/*===- TableGen'erated file -------------------------------------*- C++ -*-===*\
|*                                                                            *|
|* Global Instruction Selector for the RISCV target                           *|
|*                                                                            *|
|* Automatically generated file, do not edit!                                 *|
|*                                                                            *|
\*===----------------------------------------------------------------------===*/

#ifdef GET_GLOBALISEL_PREDICATE_BITSET
const unsigned MAX_SUBTARGET_PREDICATES = 99;
using PredicateBitset = llvm::Bitset<MAX_SUBTARGET_PREDICATES>;
#endif // ifdef GET_GLOBALISEL_PREDICATE_BITSET

#ifdef GET_GLOBALISEL_TEMPORARIES_DECL
  mutable MatcherState State;
  typedef ComplexRendererFns(RISCVInstructionSelector::*ComplexMatcherMemFn)(MachineOperand &) const;
  typedef void(RISCVInstructionSelector::*CustomRendererFn)(MachineInstrBuilder &, const MachineInstr &, int) const;
  const ExecInfoTy<PredicateBitset, ComplexMatcherMemFn, CustomRendererFn> ExecInfo;
  static RISCVInstructionSelector::ComplexMatcherMemFn ComplexPredicateFns[];
  static RISCVInstructionSelector::CustomRendererFn CustomRenderers[];
  bool testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const override;
  bool testImmPredicate_APInt(unsigned PredicateID, const APInt &Imm) const override;
  bool testImmPredicate_APFloat(unsigned PredicateID, const APFloat &Imm) const override;
  const uint8_t *getMatchTable() const override;
  bool testMIPredicate_MI(unsigned PredicateID, const MachineInstr &MI, const MatcherState &State) const override;
  bool testMOPredicate_MO(unsigned PredicateID, const MachineOperand &MO, const MatcherState &State) const override;
  bool testSimplePredicate(unsigned PredicateID) const override;
  bool runCustomAction(unsigned FnID, const MatcherState &State, NewMIVector &OutMIs) const override;
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_DECL

#ifdef GET_GLOBALISEL_TEMPORARIES_INIT
, State(4),
ExecInfo(TypeObjects, NumTypeObjects, FeatureBitsets, ComplexPredicateFns, CustomRenderers)
#endif // ifdef GET_GLOBALISEL_TEMPORARIES_INIT

#ifdef GET_GLOBALISEL_IMPL
// LLT Objects.
enum {
  GILLT_p0s32,
  GILLT_p0s64,
  GILLT_s16,
  GILLT_s32,
  GILLT_s64,
  GILLT_nxv1s1,
  GILLT_nxv1s8,
  GILLT_nxv1s16,
  GILLT_nxv1s32,
  GILLT_nxv1s64,
  GILLT_nxv2s1,
  GILLT_nxv2s8,
  GILLT_nxv2s16,
  GILLT_nxv2s32,
  GILLT_nxv2s64,
  GILLT_nxv4s1,
  GILLT_nxv4s8,
  GILLT_nxv4s16,
  GILLT_nxv4s32,
  GILLT_nxv4s64,
  GILLT_nxv8s1,
  GILLT_nxv8s8,
  GILLT_nxv8s16,
  GILLT_nxv8s32,
  GILLT_nxv8s64,
  GILLT_nxv16s1,
  GILLT_nxv16s8,
  GILLT_nxv16s16,
  GILLT_nxv16s32,
  GILLT_nxv32s1,
  GILLT_nxv32s8,
  GILLT_nxv32s16,
  GILLT_nxv64s1,
  GILLT_nxv64s8,
};
const static size_t NumTypeObjects = 34;
const static LLT TypeObjects[] = {
  LLT::pointer(0, 32),
  LLT::pointer(0, 64),
  LLT::scalar(16),
  LLT::scalar(32),
  LLT::scalar(64),
  LLT::vector(ElementCount::getScalable(1), 1),
  LLT::vector(ElementCount::getScalable(1), 8),
  LLT::vector(ElementCount::getScalable(1), 16),
  LLT::vector(ElementCount::getScalable(1), 32),
  LLT::vector(ElementCount::getScalable(1), 64),
  LLT::vector(ElementCount::getScalable(2), 1),
  LLT::vector(ElementCount::getScalable(2), 8),
  LLT::vector(ElementCount::getScalable(2), 16),
  LLT::vector(ElementCount::getScalable(2), 32),
  LLT::vector(ElementCount::getScalable(2), 64),
  LLT::vector(ElementCount::getScalable(4), 1),
  LLT::vector(ElementCount::getScalable(4), 8),
  LLT::vector(ElementCount::getScalable(4), 16),
  LLT::vector(ElementCount::getScalable(4), 32),
  LLT::vector(ElementCount::getScalable(4), 64),
  LLT::vector(ElementCount::getScalable(8), 1),
  LLT::vector(ElementCount::getScalable(8), 8),
  LLT::vector(ElementCount::getScalable(8), 16),
  LLT::vector(ElementCount::getScalable(8), 32),
  LLT::vector(ElementCount::getScalable(8), 64),
  LLT::vector(ElementCount::getScalable(16), 1),
  LLT::vector(ElementCount::getScalable(16), 8),
  LLT::vector(ElementCount::getScalable(16), 16),
  LLT::vector(ElementCount::getScalable(16), 32),
  LLT::vector(ElementCount::getScalable(32), 1),
  LLT::vector(ElementCount::getScalable(32), 8),
  LLT::vector(ElementCount::getScalable(32), 16),
  LLT::vector(ElementCount::getScalable(64), 1),
  LLT::vector(ElementCount::getScalable(64), 8),
};

// Bits for subtarget features that participate in instruction matching.
enum SubtargetFeatureBits : uint8_t {
  Feature_HasStdExtZicbopBit = 34,
  Feature_HasStdExtZicondBit = 35,
  Feature_HasStdExtZihintpauseBit = 22,
  Feature_HasStdExtZimopBit = 33,
  Feature_HasStdExtZicfilpBit = 2,
  Feature_NoStdExtZicfilpBit = 1,
  Feature_HasStdExtZilsdBit = 36,
  Feature_HasStdExtZmmulBit = 23,
  Feature_HasStdExtMBit = 24,
  Feature_HasStdExtABit = 26,
  Feature_HasStdExtZtsoBit = 28,
  Feature_NotHasStdExtZtsoBit = 27,
  Feature_HasStdExtZabhaBit = 31,
  Feature_HasStdExtZacasBit = 30,
  Feature_NoStdExtZacasBit = 29,
  Feature_HasStdExtZalasrBit = 32,
  Feature_HasStdExtFBit = 5,
  Feature_HasStdExtDBit = 7,
  Feature_HasStdExtZfhminBit = 12,
  Feature_HasStdExtZfhBit = 10,
  Feature_HasStdExtZfaBit = 37,
  Feature_NoStdExtZfaBit = 8,
  Feature_HasStdExtZfinxBit = 6,
  Feature_HasStdExtZdinxBit = 9,
  Feature_HasStdExtZhinxminBit = 13,
  Feature_HasStdExtZhinxBit = 11,
  Feature_HasStdExtZcaBit = 20,
  Feature_HasStdExtCBit = 18,
  Feature_HasStdExtZbaBit = 43,
  Feature_NotHasStdExtZbaBit = 21,
  Feature_HasStdExtZbbBit = 40,
  Feature_NoStdExtZbbBit = 42,
  Feature_HasStdExtZbcBit = 45,
  Feature_HasStdExtZbsBit = 39,
  Feature_HasStdExtZbkbBit = 41,
  Feature_NoStdExtZbkbBit = 96,
  Feature_HasStdExtZbkxBit = 46,
  Feature_HasStdExtZbbOrZbkbBit = 38,
  Feature_HasStdExtZbcOrZbkcBit = 44,
  Feature_HasStdExtZkndBit = 47,
  Feature_HasStdExtZkneBit = 49,
  Feature_HasStdExtZkndOrZkneBit = 48,
  Feature_HasStdExtZknhBit = 50,
  Feature_HasStdExtZksedBit = 51,
  Feature_HasStdExtZkshBit = 52,
  Feature_HasStdExtZvkbBit = 60,
  Feature_HasStdExtZvbbBit = 59,
  Feature_HasStdExtZvbcBit = 64,
  Feature_HasStdExtZvkgBit = 61,
  Feature_HasStdExtZvknedBit = 62,
  Feature_HasStdExtZvknhaBit = 65,
  Feature_HasStdExtZvknhbBit = 66,
  Feature_HasStdExtZvksedBit = 67,
  Feature_HasStdExtZvkshBit = 63,
  Feature_HasVInstructionsBit = 14,
  Feature_HasVInstructionsI64Bit = 55,
  Feature_HasVInstructionsAnyFBit = 54,
  Feature_HasVInstructionsF16MinimalBit = 57,
  Feature_HasVInstructionsF16Bit = 53,
  Feature_HasVInstructionsF64Bit = 58,
  Feature_HasVInstructionsFullMultiplyBit = 56,
  Feature_HasVendorXVentanaCondOpsBit = 68,
  Feature_HasVendorXTHeadBaBit = 69,
  Feature_HasVendorXTHeadBbBit = 70,
  Feature_HasVendorXTHeadBsBit = 71,
  Feature_HasVendorXTHeadCondMovBit = 72,
  Feature_HasVendorXTHeadFMemIdxBit = 77,
  Feature_HasVendorXTHeadMacBit = 73,
  Feature_HasVendorXTHeadMemIdxBit = 76,
  Feature_HasVendorXTHeadMemPairBit = 75,
  Feature_HasVendorXTHeadVdotBit = 74,
  Feature_HasVendorXSfvcpBit = 78,
  Feature_HasVendorXSfvqmaccdodBit = 79,
  Feature_HasVendorXSfvqmaccqoqBit = 80,
  Feature_HasVendorXSfvfnrclipxfqfBit = 81,
  Feature_HasVendorXCVbitmanipBit = 83,
  Feature_HasVendorXCVmacBit = 86,
  Feature_HasVendorXCVmemBit = 82,
  Feature_HasVendorXCValuBit = 84,
  Feature_HasVendorXCVbiBit = 85,
  Feature_UseCCMovInsnBit = 94,
  Feature_HasVendorXqciaBit = 90,
  Feature_HasVendorXqcibiBit = 91,
  Feature_HasVendorXqcibmBit = 92,
  Feature_HasVendorXqciintBit = 93,
  Feature_HasVendorXqciliaBit = 87,
  Feature_HasVendorXqciloBit = 88,
  Feature_HasVendorXqcislsBit = 89,
  Feature_HasVendorXAndesPerfBit = 95,
  Feature_IsRV64Bit = 4,
  Feature_IsRV32Bit = 3,
  Feature_HasShortForwardBranchOptBit = 15,
  Feature_NoShortForwardBranchOptBit = 17,
  Feature_HasConditionalMoveFusionBit = 16,
  Feature_NoConditionalMoveFusionBit = 0,
  Feature_HasAtomicLdStBit = 25,
  Feature_OptForMinSizeBit = 19,
  Feature_HwMode1Bit = 98,
  Feature_HwMode0Bit = 97,
};

PredicateBitset RISCVInstructionSelector::
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const {
  PredicateBitset Features{};
  if (Subtarget->hasStdExtZicbop())
    Features.set(Feature_HasStdExtZicbopBit);
  if (Subtarget->hasStdExtZicond())
    Features.set(Feature_HasStdExtZicondBit);
  if (Subtarget->hasStdExtZihintpause())
    Features.set(Feature_HasStdExtZihintpauseBit);
  if (Subtarget->hasStdExtZimop())
    Features.set(Feature_HasStdExtZimopBit);
  if (Subtarget->hasStdExtZicfilp())
    Features.set(Feature_HasStdExtZicfilpBit);
  if (!Subtarget->hasStdExtZicfilp())
    Features.set(Feature_NoStdExtZicfilpBit);
  if (Subtarget->hasStdExtZilsd())
    Features.set(Feature_HasStdExtZilsdBit);
  if (Subtarget->hasStdExtZmmul())
    Features.set(Feature_HasStdExtZmmulBit);
  if (Subtarget->hasStdExtM())
    Features.set(Feature_HasStdExtMBit);
  if (Subtarget->hasStdExtA())
    Features.set(Feature_HasStdExtABit);
  if (Subtarget->hasStdExtZtso())
    Features.set(Feature_HasStdExtZtsoBit);
  if (!Subtarget->hasStdExtZtso())
    Features.set(Feature_NotHasStdExtZtsoBit);
  if (Subtarget->hasStdExtZabha())
    Features.set(Feature_HasStdExtZabhaBit);
  if (Subtarget->hasStdExtZacas())
    Features.set(Feature_HasStdExtZacasBit);
  if (!Subtarget->hasStdExtZacas())
    Features.set(Feature_NoStdExtZacasBit);
  if (Subtarget->hasStdExtZalasr())
    Features.set(Feature_HasStdExtZalasrBit);
  if (Subtarget->hasStdExtF())
    Features.set(Feature_HasStdExtFBit);
  if (Subtarget->hasStdExtD())
    Features.set(Feature_HasStdExtDBit);
  if (Subtarget->hasStdExtZfhmin())
    Features.set(Feature_HasStdExtZfhminBit);
  if (Subtarget->hasStdExtZfh())
    Features.set(Feature_HasStdExtZfhBit);
  if (Subtarget->hasStdExtZfa())
    Features.set(Feature_HasStdExtZfaBit);
  if (!Subtarget->hasStdExtZfa())
    Features.set(Feature_NoStdExtZfaBit);
  if (Subtarget->hasStdExtZfinx())
    Features.set(Feature_HasStdExtZfinxBit);
  if (Subtarget->hasStdExtZdinx())
    Features.set(Feature_HasStdExtZdinxBit);
  if (Subtarget->hasStdExtZhinxmin())
    Features.set(Feature_HasStdExtZhinxminBit);
  if (Subtarget->hasStdExtZhinx())
    Features.set(Feature_HasStdExtZhinxBit);
  if (Subtarget->hasStdExtZca())
    Features.set(Feature_HasStdExtZcaBit);
  if (Subtarget->hasStdExtC())
    Features.set(Feature_HasStdExtCBit);
  if (Subtarget->hasStdExtZba())
    Features.set(Feature_HasStdExtZbaBit);
  if (!Subtarget->hasStdExtZba())
    Features.set(Feature_NotHasStdExtZbaBit);
  if (Subtarget->hasStdExtZbb())
    Features.set(Feature_HasStdExtZbbBit);
  if (!Subtarget->hasStdExtZbb())
    Features.set(Feature_NoStdExtZbbBit);
  if (Subtarget->hasStdExtZbc())
    Features.set(Feature_HasStdExtZbcBit);
  if (Subtarget->hasStdExtZbs())
    Features.set(Feature_HasStdExtZbsBit);
  if (Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbkbBit);
  if (!Subtarget->hasStdExtZbkb())
    Features.set(Feature_NoStdExtZbkbBit);
  if (Subtarget->hasStdExtZbkx())
    Features.set(Feature_HasStdExtZbkxBit);
  if (Subtarget->hasStdExtZbb() || Subtarget->hasStdExtZbkb())
    Features.set(Feature_HasStdExtZbbOrZbkbBit);
  if (Subtarget->hasStdExtZbc() || Subtarget->hasStdExtZbkc())
    Features.set(Feature_HasStdExtZbcOrZbkcBit);
  if (Subtarget->hasStdExtZknd())
    Features.set(Feature_HasStdExtZkndBit);
  if (Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkneBit);
  if (Subtarget->hasStdExtZknd() || Subtarget->hasStdExtZkne())
    Features.set(Feature_HasStdExtZkndOrZkneBit);
  if (Subtarget->hasStdExtZknh())
    Features.set(Feature_HasStdExtZknhBit);
  if (Subtarget->hasStdExtZksed())
    Features.set(Feature_HasStdExtZksedBit);
  if (Subtarget->hasStdExtZksh())
    Features.set(Feature_HasStdExtZkshBit);
  if (Subtarget->hasStdExtZvkb())
    Features.set(Feature_HasStdExtZvkbBit);
  if (Subtarget->hasStdExtZvbb())
    Features.set(Feature_HasStdExtZvbbBit);
  if (Subtarget->hasStdExtZvbc())
    Features.set(Feature_HasStdExtZvbcBit);
  if (Subtarget->hasStdExtZvkg())
    Features.set(Feature_HasStdExtZvkgBit);
  if (Subtarget->hasStdExtZvkned())
    Features.set(Feature_HasStdExtZvknedBit);
  if (Subtarget->hasStdExtZvknha())
    Features.set(Feature_HasStdExtZvknhaBit);
  if (Subtarget->hasStdExtZvknhb())
    Features.set(Feature_HasStdExtZvknhbBit);
  if (Subtarget->hasStdExtZvksed())
    Features.set(Feature_HasStdExtZvksedBit);
  if (Subtarget->hasStdExtZvksh())
    Features.set(Feature_HasStdExtZvkshBit);
  if (Subtarget->hasVInstructions())
    Features.set(Feature_HasVInstructionsBit);
  if (Subtarget->hasVInstructionsI64())
    Features.set(Feature_HasVInstructionsI64Bit);
  if (Subtarget->hasVInstructionsAnyF())
    Features.set(Feature_HasVInstructionsAnyFBit);
  if (Subtarget->hasVInstructionsF16Minimal())
    Features.set(Feature_HasVInstructionsF16MinimalBit);
  if (Subtarget->hasVInstructionsF16())
    Features.set(Feature_HasVInstructionsF16Bit);
  if (Subtarget->hasVInstructionsF64())
    Features.set(Feature_HasVInstructionsF64Bit);
  if (Subtarget->hasVInstructionsFullMultiply())
    Features.set(Feature_HasVInstructionsFullMultiplyBit);
  if (Subtarget->hasVendorXVentanaCondOps())
    Features.set(Feature_HasVendorXVentanaCondOpsBit);
  if (Subtarget->hasVendorXTHeadBa())
    Features.set(Feature_HasVendorXTHeadBaBit);
  if (Subtarget->hasVendorXTHeadBb())
    Features.set(Feature_HasVendorXTHeadBbBit);
  if (Subtarget->hasVendorXTHeadBs())
    Features.set(Feature_HasVendorXTHeadBsBit);
  if (Subtarget->hasVendorXTHeadCondMov())
    Features.set(Feature_HasVendorXTHeadCondMovBit);
  if (Subtarget->hasVendorXTHeadFMemIdx())
    Features.set(Feature_HasVendorXTHeadFMemIdxBit);
  if (Subtarget->hasVendorXTHeadMac())
    Features.set(Feature_HasVendorXTHeadMacBit);
  if (Subtarget->hasVendorXTHeadMemIdx())
    Features.set(Feature_HasVendorXTHeadMemIdxBit);
  if (Subtarget->hasVendorXTHeadMemPair())
    Features.set(Feature_HasVendorXTHeadMemPairBit);
  if (Subtarget->hasVendorXTHeadVdot())
    Features.set(Feature_HasVendorXTHeadVdotBit);
  if (Subtarget->hasVendorXSfvcp())
    Features.set(Feature_HasVendorXSfvcpBit);
  if (Subtarget->hasVendorXSfvqmaccdod())
    Features.set(Feature_HasVendorXSfvqmaccdodBit);
  if (Subtarget->hasVendorXSfvqmaccqoq())
    Features.set(Feature_HasVendorXSfvqmaccqoqBit);
  if (Subtarget->hasVendorXSfvfnrclipxfqf())
    Features.set(Feature_HasVendorXSfvfnrclipxfqfBit);
  if (Subtarget->hasVendorXCVbitmanip())
    Features.set(Feature_HasVendorXCVbitmanipBit);
  if (Subtarget->hasVendorXCVmac())
    Features.set(Feature_HasVendorXCVmacBit);
  if (Subtarget->hasVendorXCVmem())
    Features.set(Feature_HasVendorXCVmemBit);
  if (Subtarget->hasVendorXCValu())
    Features.set(Feature_HasVendorXCValuBit);
  if (Subtarget->hasVendorXCVbi())
    Features.set(Feature_HasVendorXCVbiBit);
  if (Subtarget->useCCMovInsn())
    Features.set(Feature_UseCCMovInsnBit);
  if (Subtarget->hasVendorXqcia())
    Features.set(Feature_HasVendorXqciaBit);
  if (Subtarget->hasVendorXqcibi())
    Features.set(Feature_HasVendorXqcibiBit);
  if (Subtarget->hasVendorXqcibm())
    Features.set(Feature_HasVendorXqcibmBit);
  if (Subtarget->hasVendorXqciint())
    Features.set(Feature_HasVendorXqciintBit);
  if (Subtarget->hasVendorXqcilia())
    Features.set(Feature_HasVendorXqciliaBit);
  if (Subtarget->hasVendorXqcilo())
    Features.set(Feature_HasVendorXqciloBit);
  if (Subtarget->hasVendorXqcisls())
    Features.set(Feature_HasVendorXqcislsBit);
  if (Subtarget->hasVendorXAndesPerf())
    Features.set(Feature_HasVendorXAndesPerfBit);
  if (Subtarget->is64Bit())
    Features.set(Feature_IsRV64Bit);
  if (!Subtarget->is64Bit())
    Features.set(Feature_IsRV32Bit);
  if (Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_HasShortForwardBranchOptBit);
  if (!Subtarget->hasShortForwardBranchOpt())
    Features.set(Feature_NoShortForwardBranchOptBit);
  if (Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_HasConditionalMoveFusionBit);
  if (!Subtarget->hasConditionalMoveFusion())
    Features.set(Feature_NoConditionalMoveFusionBit);
  if (Subtarget->hasStdExtA() || Subtarget->hasForcedAtomics())
    Features.set(Feature_HasAtomicLdStBit);
  if (MF ? MF->getFunction().hasMinSize() : false)
    Features.set(Feature_OptForMinSizeBit);
  if (!((Subtarget->is64Bit())))
    Features.set(Feature_HwMode1Bit);
  if ((Subtarget->is64Bit()))
    Features.set(Feature_HwMode0Bit);
  return Features;
}

void RISCVInstructionSelector::setupGeneratedPerFunctionState(MachineFunction &MF) {
  AvailableFunctionFeatures = computeAvailableFunctionFeatures((const RISCVSubtarget *)&MF.getSubtarget(), &MF);
}
PredicateBitset RISCVInstructionSelector::
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget, const MachineFunction *MF) const {
  PredicateBitset Features{};
  return Features;
}

// Feature bitsets.
enum {
  GIFBS_Invalid,
  GIFBS_HwMode0,
  GIFBS_HwMode1,
  GIFBS_HasAtomicLdSt_HwMode0,
  GIFBS_HasAtomicLdSt_HwMode1,
  GIFBS_HasShortForwardBranchOpt_HwMode0,
  GIFBS_HasShortForwardBranchOpt_HwMode1,
  GIFBS_HasStdExtA_HwMode0,
  GIFBS_HasStdExtA_HwMode1,
  GIFBS_HasStdExtD,
  GIFBS_HasStdExtD_HwMode0,
  GIFBS_HasStdExtD_HwMode1,
  GIFBS_HasStdExtF,
  GIFBS_HasStdExtF_HwMode0,
  GIFBS_HasStdExtF_HwMode1,
  GIFBS_HasStdExtM_HwMode0,
  GIFBS_HasStdExtM_HwMode1,
  GIFBS_HasStdExtZalasr_HwMode0,
  GIFBS_HasStdExtZalasr_HwMode1,
  GIFBS_HasStdExtZba_HwMode0,
  GIFBS_HasStdExtZba_HwMode1,
  GIFBS_HasStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_HwMode1,
  GIFBS_HasStdExtZbkb_HwMode0,
  GIFBS_HasStdExtZbkb_HwMode1,
  GIFBS_HasStdExtZbkx_HwMode0,
  GIFBS_HasStdExtZbkx_HwMode1,
  GIFBS_HasStdExtZbs_HwMode0,
  GIFBS_HasStdExtZbs_HwMode1,
  GIFBS_HasStdExtZfa,
  GIFBS_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtZfh,
  GIFBS_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtZfinx,
  GIFBS_HasStdExtZfinx_HwMode0,
  GIFBS_HasStdExtZfinx_HwMode1,
  GIFBS_HasStdExtZhinx,
  GIFBS_HasStdExtZhinx_HwMode0,
  GIFBS_HasStdExtZhinx_HwMode1,
  GIFBS_HasStdExtZhinxmin_HwMode0,
  GIFBS_HasStdExtZhinxmin_HwMode1,
  GIFBS_HasStdExtZihintpause_HwMode0,
  GIFBS_HasStdExtZihintpause_HwMode1,
  GIFBS_HasStdExtZmmul_HwMode0,
  GIFBS_HasStdExtZmmul_HwMode1,
  GIFBS_HasStdExtZvbb_HwMode0,
  GIFBS_HasStdExtZvbb_HwMode1,
  GIFBS_HasStdExtZvbc_HwMode0,
  GIFBS_HasStdExtZvbc_HwMode1,
  GIFBS_HasStdExtZvkb_HwMode0,
  GIFBS_HasStdExtZvkb_HwMode1,
  GIFBS_HasStdExtZvkg_HwMode0,
  GIFBS_HasStdExtZvkg_HwMode1,
  GIFBS_HasStdExtZvkned_HwMode0,
  GIFBS_HasStdExtZvkned_HwMode1,
  GIFBS_HasStdExtZvknha_HwMode0,
  GIFBS_HasStdExtZvknha_HwMode1,
  GIFBS_HasStdExtZvknhb_HwMode0,
  GIFBS_HasStdExtZvknhb_HwMode1,
  GIFBS_HasStdExtZvksed_HwMode0,
  GIFBS_HasStdExtZvksed_HwMode1,
  GIFBS_HasStdExtZvksh_HwMode0,
  GIFBS_HasStdExtZvksh_HwMode1,
  GIFBS_HasVInstructions_HwMode0,
  GIFBS_HasVInstructions_HwMode1,
  GIFBS_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsFullMultiply_HwMode0,
  GIFBS_HasVInstructionsFullMultiply_HwMode1,
  GIFBS_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXAndesPerf_HwMode0,
  GIFBS_HasVendorXAndesPerf_HwMode1,
  GIFBS_HasVendorXCVmac_HwMode0,
  GIFBS_HasVendorXCVmac_HwMode1,
  GIFBS_HasVendorXSfvcp_HwMode0,
  GIFBS_HasVendorXSfvcp_HwMode1,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0,
  GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1,
  GIFBS_HasVendorXSfvqmaccdod_HwMode0,
  GIFBS_HasVendorXSfvqmaccdod_HwMode1,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode0,
  GIFBS_HasVendorXSfvqmaccqoq_HwMode1,
  GIFBS_HasVendorXTHeadBa_HwMode0,
  GIFBS_HasVendorXTHeadBa_HwMode1,
  GIFBS_HasVendorXTHeadBb_HwMode0,
  GIFBS_HasVendorXTHeadBb_HwMode1,
  GIFBS_HasVendorXTHeadBs_HwMode0,
  GIFBS_HasVendorXTHeadBs_HwMode1,
  GIFBS_HasVendorXTHeadCondMov_HwMode0,
  GIFBS_HasVendorXTHeadCondMov_HwMode1,
  GIFBS_HasVendorXTHeadMac_HwMode0,
  GIFBS_HasVendorXTHeadMac_HwMode1,
  GIFBS_HasVendorXTHeadVdot_HwMode0,
  GIFBS_HasVendorXTHeadVdot_HwMode1,
  GIFBS_IsRV32_HwMode0,
  GIFBS_IsRV32_HwMode1,
  GIFBS_IsRV64_HwMode0,
  GIFBS_IsRV64_HwMode1,
  GIFBS_UseCCMovInsn_HwMode0,
  GIFBS_UseCCMovInsn_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV32_HwMode1,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode0,
  GIFBS_HasAtomicLdSt_IsRV64_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_IsRV64_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_NoStdExtZacas_HwMode1,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfa,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_HwMode1,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1,
  GIFBS_HasStdExtD_IsRV32_HwMode0,
  GIFBS_HasStdExtD_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV64_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode0,
  GIFBS_HasStdExtF_IsRV32_HwMode1,
  GIFBS_HasStdExtF_IsRV64_HwMode0,
  GIFBS_HasStdExtM_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV32_HwMode1,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode0,
  GIFBS_HasStdExtZalasr_IsRV64_HwMode1,
  GIFBS_HasStdExtZba_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbb_IsRV64_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0,
  GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1,
  GIFBS_HasStdExtZfh_IsRV32_HwMode0,
  GIFBS_HasStdExtZfh_IsRV32_HwMode1,
  GIFBS_HasStdExtZfh_IsRV64_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZfinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZfinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode0,
  GIFBS_HasStdExtZhinx_IsRV32_HwMode1,
  GIFBS_HasStdExtZhinx_IsRV64_HwMode0,
  GIFBS_HasStdExtZknd_IsRV32_HwMode1,
  GIFBS_HasStdExtZknd_IsRV64_HwMode0,
  GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZkne_IsRV32_HwMode1,
  GIFBS_HasStdExtZkne_IsRV64_HwMode0,
  GIFBS_HasStdExtZknh_IsRV32_HwMode1,
  GIFBS_HasStdExtZknh_IsRV64_HwMode0,
  GIFBS_HasStdExtZmmul_IsRV64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0,
  GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode0,
  GIFBS_HasVendorXCValu_IsRV32_HwMode1,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0,
  GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1,
  GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0,
  GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode0,
  GIFBS_HasVendorXqcia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcibm_IsRV32_HwMode0,
  GIFBS_HasVendorXqcibm_IsRV32_HwMode1,
  GIFBS_HasVendorXqcilia_IsRV32_HwMode1,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode0,
  GIFBS_HasVendorXqcisls_IsRV32_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0,
  GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0,
  GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0,
  GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1,
  GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0,
  GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0,
  GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode0,
  GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0,
  GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1,
  GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0,
  GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1,
  GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0,
  GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1,
  GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode0,
  GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode1,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0,
  GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1,
};
constexpr static PredicateBitset FeatureBitsets[] {
  {}, // GIFBS_Invalid
  {Feature_HwMode0Bit, },
  {Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_HwMode1Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode0Bit, },
  {Feature_HasShortForwardBranchOptBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, },
  {Feature_HasStdExtDBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, },
  {Feature_HasStdExtFBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZihintpauseBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZihintpauseBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbcBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkgBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvknhbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvksedBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkshBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsFullMultiplyBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVmacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvcpBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvfnrclipxfqfBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccdodBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXSfvqmaccqoqBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBaBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadBsBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadCondMovBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadVdotBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode0Bit, },
  {Feature_UseCCMovInsnBit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasAtomicLdStBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NoStdExtZacasBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfhminBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtFBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtMBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZalasrBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbaBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_IsRV64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbbOrZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfaBit, Feature_HasStdExtZfhBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZfinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZhinxBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkndBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkndOrZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZkneBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZknhBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvkbBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsAnyFBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16MinimalBit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF16MinimalBit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsF64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsAnyFBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasVInstructionsF64Bit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXAndesPerfBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCValuBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXCVbitmanipBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXTHeadBbBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXTHeadMacBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqciaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqciliaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcislsBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZabhaBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtABit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NoStdExtZacasBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtABit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_HasStdExtZfaBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtDBit, Feature_IsRV32Bit, Feature_NoStdExtZfaBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZabhaBit, Feature_HasStdExtZacasBit, Feature_NotHasStdExtZtsoBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZacasBit, Feature_HasStdExtZtsoBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZacasBit, Feature_IsRV64Bit, Feature_NotHasStdExtZtsoBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbbBit, Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZbkbBit, Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZhinxminBit, Feature_IsRV64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZilsdBit, Feature_IsRV32Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZdinxBit, Feature_HasStdExtZilsdBit, Feature_IsRV32Bit, Feature_HwMode1Bit, },
  {Feature_HasStdExtZmmulBit, Feature_IsRV64Bit, Feature_NotHasStdExtZbaBit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode0Bit, },
  {Feature_HasStdExtZvbbBit, Feature_HasVInstructionsBit, Feature_HasVInstructionsI64Bit, Feature_HwMode1Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode0Bit, },
  {Feature_HasVendorXqcibmBit, Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_HwMode1Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV32Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode0Bit, },
  {Feature_IsRV64Bit, Feature_NoStdExtZbbBit, Feature_NoStdExtZbkbBit, Feature_HwMode1Bit, },
};

// ComplexPattern predicates.
enum {
  GICP_Invalid,
  GICP_GIAddrRegImm,
  GICP_GIShiftMask32,
  GICP_GIShiftMaskXLen,
  GICP_GIVLOp,
  GICP_gi_sexti32,
  GICP_gi_sh1add_op,
  GICP_gi_sh1add_uw_op,
  GICP_gi_sh2add_op,
  GICP_gi_sh2add_uw_op,
  GICP_gi_sh3add_op,
  GICP_gi_sh3add_uw_op,
  GICP_gi_zexti16,
  GICP_gi_zexti32,
  GICP_gi_zexti8,
};
// See constructor for table contents

RISCVInstructionSelector::ComplexMatcherMemFn
RISCVInstructionSelector::ComplexPredicateFns[] = {
  nullptr, // GICP_Invalid
  &RISCVInstructionSelector::selectAddrRegImm, // GIAddrRegImm
  &RISCVInstructionSelector::selectShiftMask32, // GIShiftMask32
  &RISCVInstructionSelector::selectShiftMaskXLen, // GIShiftMaskXLen
  &RISCVInstructionSelector::renderVLOp, // GIVLOp
  &RISCVInstructionSelector::selectSExtBits<32>, // gi_sexti32
  &RISCVInstructionSelector::selectSHXADDOp<1>, // gi_sh1add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<1>, // gi_sh1add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<2>, // gi_sh2add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<2>, // gi_sh2add_uw_op
  &RISCVInstructionSelector::selectSHXADDOp<3>, // gi_sh3add_op
  &RISCVInstructionSelector::selectSHXADD_UWOp<3>, // gi_sh3add_uw_op
  &RISCVInstructionSelector::selectZExtBits<16>, // gi_zexti16
  &RISCVInstructionSelector::selectZExtBits<32>, // gi_zexti32
  &RISCVInstructionSelector::selectZExtBits<8>, // gi_zexti8
};

// PatFrag predicates.
enum {
  GICXXPred_MI_Predicate_add_like_non_imm12 = GICXXPred_Invalid + 1,
  GICXXPred_MI_Predicate_add_non_imm12,
  GICXXPred_MI_Predicate_anonymous_9921,
  GICXXPred_MI_Predicate_anonymous_9923,
  GICXXPred_MI_Predicate_anonymous_10011,
  GICXXPred_MI_Predicate_anonymous_10025,
  GICXXPred_MI_Predicate_anonymous_10029,
  GICXXPred_MI_Predicate_anonymous_10031,
  GICXXPred_MI_Predicate_anonymous_10033,
  GICXXPred_MI_Predicate_anonymous_10035,
  GICXXPred_MI_Predicate_anonymous_10038,
  GICXXPred_MI_Predicate_anonymous_10040,
  GICXXPred_MI_Predicate_anonymous_10053,
  GICXXPred_MI_Predicate_anonymous_10066,
  GICXXPred_MI_Predicate_anonymous_11262,
};
bool RISCVInstructionSelector::testMIPredicate_MI(unsigned PredicateID, const MachineInstr & MI, const MatcherState &State) const {
  const MachineFunction &MF = *MI.getParent()->getParent();
  const MachineRegisterInfo &MRI = MF.getRegInfo();
  const auto &Operands = State.RecordedOperands;
  (void)Operands;
  (void)MRI;
  switch (PredicateID) {
  case GICXXPred_MI_Predicate_add_like_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_like_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_add_non_imm12: {
    
        const MachineOperand &ImmOp = *Operands[1];
    
        if (ImmOp.isReg() && ImmOp.getReg())
          if (auto Val = getIConstantVRegValWithLookThrough(ImmOp.getReg(), MRI)) {
            // We do NOT want immediates that fit in 12 bits.
            return !isInt<12>(Val->Value.getSExtValue());
          }
    
        return true;
      
    llvm_unreachable("add_non_imm12 should have returned");
  }
  case GICXXPred_MI_Predicate_anonymous_9921: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_9923: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10011: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10025: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10029: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10031: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10033: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10035: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10038: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10040: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_10053: {
    
        return MRI.hasOneNonDBGUse(MI.getOperand(0).getReg());
      
  }
  case GICXXPred_MI_Predicate_anonymous_10066: {
     return hasAllWUsers(MI); 
  }
  case GICXXPred_MI_Predicate_anonymous_11262: {
     return hasAllHUsers(MI); 
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testMOPredicate_MO(unsigned PredicateID, const MachineOperand & MO, const MatcherState &State) const {
  const auto &Operands = State.RecordedOperands;
  Register Reg = MO.getReg();
  (void)Operands;
  (void)Reg;
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_I64_Predicate_AddiPair = GICXXPred_Invalid + 1,
  GICXXPred_I64_Predicate_BCLRMask,
  GICXXPred_I64_Predicate_LeadingOnesMask,
  GICXXPred_I64_Predicate_LeadingOnesWMask,
  GICXXPred_I64_Predicate_SingleBitSetMask,
  GICXXPred_I64_Predicate_allonessew8,
  GICXXPred_I64_Predicate_allonessew16,
  GICXXPred_I64_Predicate_allonessew32,
  GICXXPred_I64_Predicate_allonessew64,
  GICXXPred_I64_Predicate_bare_simm9_lsb0,
  GICXXPred_I64_Predicate_bare_simm12_lsb0,
  GICXXPred_I64_Predicate_bare_simm13_lsb0,
  GICXXPred_I64_Predicate_byteselect,
  GICXXPred_I64_Predicate_c_lui_imm,
  GICXXPred_I64_Predicate_csr_sysreg,
  GICXXPred_I64_Predicate_cv_tuimm2,
  GICXXPred_I64_Predicate_cv_tuimm5,
  GICXXPred_I64_Predicate_cv_uimm10,
  GICXXPred_I64_Predicate_immzero,
  GICXXPred_I64_Predicate_payload1,
  GICXXPred_I64_Predicate_payload2,
  GICXXPred_I64_Predicate_payload5,
  GICXXPred_I64_Predicate_powerOf2Minus1,
  GICXXPred_I64_Predicate_rnum,
  GICXXPred_I64_Predicate_simm5,
  GICXXPred_I64_Predicate_simm5_plus1,
  GICXXPred_I64_Predicate_simm5_plus1_nonzero,
  GICXXPred_I64_Predicate_simm5nonzero,
  GICXXPred_I64_Predicate_simm6,
  GICXXPred_I64_Predicate_simm6nonzero,
  GICXXPred_I64_Predicate_simm10_lsb0000nonzero,
  GICXXPred_I64_Predicate_simm11,
  GICXXPred_I64_Predicate_simm12,
  GICXXPred_I64_Predicate_simm12Minus1Nonzero,
  GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1,
  GICXXPred_I64_Predicate_simm12Plus1,
  GICXXPred_I64_Predicate_simm12Plus1i32,
  GICXXPred_I64_Predicate_simm12_lsb00000,
  GICXXPred_I64_Predicate_simm12_no6,
  GICXXPred_I64_Predicate_simm12_plus1,
  GICXXPred_I64_Predicate_simm16nonzero,
  GICXXPred_I64_Predicate_simm20_li,
  GICXXPred_I64_Predicate_simm21_lsb0_jal,
  GICXXPred_I64_Predicate_simm26,
  GICXXPred_I64_Predicate_simm26_nosimm12,
  GICXXPred_I64_Predicate_simm32_nosimm26,
  GICXXPred_I64_Predicate_tsimm5,
  GICXXPred_I64_Predicate_tuimm5,
  GICXXPred_I64_Predicate_u32simm12,
  GICXXPred_I64_Predicate_uimm1,
  GICXXPred_I64_Predicate_uimm2,
  GICXXPred_I64_Predicate_uimm2_3,
  GICXXPred_I64_Predicate_uimm2_4,
  GICXXPred_I64_Predicate_uimm2_lsb0,
  GICXXPred_I64_Predicate_uimm3,
  GICXXPred_I64_Predicate_uimm4,
  GICXXPred_I64_Predicate_uimm5,
  GICXXPred_I64_Predicate_uimm5_lsb0,
  GICXXPred_I64_Predicate_uimm5_plus1,
  GICXXPred_I64_Predicate_uimm5ge6_plus1,
  GICXXPred_I64_Predicate_uimm5gt3,
  GICXXPred_I64_Predicate_uimm5i32,
  GICXXPred_I64_Predicate_uimm5nonzero,
  GICXXPred_I64_Predicate_uimm5slist,
  GICXXPred_I64_Predicate_uimm6,
  GICXXPred_I64_Predicate_uimm6_lsb0,
  GICXXPred_I64_Predicate_uimm6gt32,
  GICXXPred_I64_Predicate_uimm7_lsb00,
  GICXXPred_I64_Predicate_uimm7_lsb000,
  GICXXPred_I64_Predicate_uimm8_lsb00,
  GICXXPred_I64_Predicate_uimm8_lsb000,
  GICXXPred_I64_Predicate_uimm9_lsb000,
  GICXXPred_I64_Predicate_uimm10,
  GICXXPred_I64_Predicate_uimm10_lsb00nonzero,
  GICXXPred_I64_Predicate_uimm11,
  GICXXPred_I64_Predicate_uimm14lsb00,
  GICXXPred_I64_Predicate_uimm16nonzero,
  GICXXPred_I64_Predicate_uimmlog2xlen,
  GICXXPred_I64_Predicate_uimmlog2xlennonzero,
};
bool RISCVInstructionSelector::testImmPredicate_I64(unsigned PredicateID, int64_t Imm) const {
  switch (PredicateID) {
  case GICXXPred_I64_Predicate_AddiPair: {
    
      // The immediate operand must be in range [-4096,-2049] or [2048,4094].
      return (-4096 <= Imm && Imm <= -2049) || (2048 <= Imm && Imm <= 4094);
    
    llvm_unreachable("AddiPair should have returned");
  }
  case GICXXPred_I64_Predicate_BCLRMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(~Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(~Imm);
    
    llvm_unreachable("BCLRMask should have returned");
  }
  case GICXXPred_I64_Predicate_LeadingOnesMask: {
    
      return !isInt<32>(Imm) && isMask_64(~Imm);
    
  }
  case GICXXPred_I64_Predicate_LeadingOnesWMask: {
    
      // If the value is a uint32 but not an int32, it must have bit 31 set and
      // bits 63:32 cleared. After that we're looking for a shifted mask but not
      // an all ones mask.
      return !isInt<32>(Imm) && isUInt<32>(Imm) && isShiftedMask_64(Imm) &&
             Imm != UINT64_C(0xffffffff);
    
    llvm_unreachable("LeadingOnesWMask should have returned");
  }
  case GICXXPred_I64_Predicate_SingleBitSetMask: {
    
      if (Subtarget->is64Bit())
        return !isInt<12>(Imm) && isPowerOf2_64(Imm);
      return !isInt<12>(Imm) && isPowerOf2_32(Imm);
    
    llvm_unreachable("SingleBitSetMask should have returned");
  }
  case GICXXPred_I64_Predicate_allonessew8: {
    return SignExtend64<8>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew16: {
    return SignExtend64<16>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew32: {
    return SignExtend64<32>(Imm) == -1LL;
  }
  case GICXXPred_I64_Predicate_allonessew64: {
    return Imm == -1LL;
  }
  case GICXXPred_I64_Predicate_bare_simm9_lsb0: {
    return isShiftedInt<8, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm12_lsb0: {
    return isShiftedInt<11, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_bare_simm13_lsb0: {
    return isShiftedInt<12, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_byteselect: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_c_lui_imm: {
    return (Imm != 0) &&
                                     (isUInt<5>(Imm) ||
                                      (Imm >= 0xfffe0 && Imm <= 0xfffff));
  }
  case GICXXPred_I64_Predicate_csr_sysreg: {
    return isUInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_cv_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_immzero: {
    return (Imm == 0);
  }
  case GICXXPred_I64_Predicate_payload1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_payload2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_payload5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_powerOf2Minus1: {
     return isPowerOf2_32(Imm+1); 
  }
  case GICXXPred_I64_Predicate_rnum: {
    return (Imm >= 0 && Imm <= 10);
  }
  case GICXXPred_I64_Predicate_simm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm5_plus1: {
    return (isInt<5>(Imm) && Imm != -16) || Imm == 16;
  }
  case GICXXPred_I64_Predicate_simm5_plus1_nonzero: {
    return Imm != 0 && ((isInt<5>(Imm) && Imm != -16) || Imm == 16);
  }
  case GICXXPred_I64_Predicate_simm5nonzero: {
    return (Imm != 0) && isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6: {
    return isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm6nonzero: {
    return (Imm != 0) && isInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_simm10_lsb0000nonzero: {
    return (Imm != 0) && isShiftedInt<6, 4>(Imm);
  }
  case GICXXPred_I64_Predicate_simm11: {
    return isInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12: {
    return isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12Minus1Nonzero: {
    
      return (Imm >= -2049 && Imm < 0) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1: {
    
      return (Imm >= -2049 && Imm < -1) || (Imm > 0 && Imm <= 2046);
  }
  case GICXXPred_I64_Predicate_simm12Plus1: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12Plus1i32: {
    
        return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm12_lsb00000: {
    return isShiftedInt<7, 5>(Imm);
  }
  case GICXXPred_I64_Predicate_simm12_no6: {
    
      return isInt<12>(Imm) && !isInt<6>(Imm) && isInt<12>(-Imm);
  }
  case GICXXPred_I64_Predicate_simm12_plus1: {
    return (isInt<12>(Imm) && Imm != -2048) || Imm == 2048;
  }
  case GICXXPred_I64_Predicate_simm16nonzero: {
    return (Imm != 0) && isInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_simm20_li: {
    return isInt<20>(Imm);
  }
  case GICXXPred_I64_Predicate_simm21_lsb0_jal: {
    return isShiftedInt<20, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26: {
    return isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_simm26_nosimm12: {
    
      return isInt<26>(Imm) && !isInt<12>(Imm);
  }
  case GICXXPred_I64_Predicate_simm32_nosimm26: {
    
      return isInt<32>(Imm) && !isInt<26>(Imm);
  }
  case GICXXPred_I64_Predicate_tsimm5: {
    return isInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_tuimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_u32simm12: {
    
      return isUInt<32>(Imm) && isInt<12>(SignExtend64<32>(Imm));
    
  }
  case GICXXPred_I64_Predicate_uimm1: {
    return isUInt<1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2: {
    return isUInt<2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm2_3: {
    
      return isShiftedUInt<2, 3>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_4: {
    
      return isShiftedUInt<2, 4>(Imm);
    
  }
  case GICXXPred_I64_Predicate_uimm2_lsb0: {
    return isShiftedUInt<1, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm3: {
    return isUInt<3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm4: {
    return isUInt<4>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_lsb0: {
    return isShiftedUInt<4, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5_plus1: {
    return (isUInt<5>(Imm) && (Imm != 0)) || (Imm == 32);
  }
  case GICXXPred_I64_Predicate_uimm5ge6_plus1: {
    return (Imm >= 6) && (isUInt<5>(Imm) || (Imm == 32));
  }
  case GICXXPred_I64_Predicate_uimm5gt3: {
    return (Imm > 3) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5i32: {
    return isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5nonzero: {
    return (Imm != 0) && isUInt<5>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm5slist: {
    return ((Imm == 0)  ||
                (Imm == 1)  ||
                (Imm == 2)  ||
                (Imm == 4)  ||
                (Imm == 8)  ||
                (Imm == 16) ||
                (Imm == 15) ||
                (Imm == 31));
  }
  case GICXXPred_I64_Predicate_uimm6: {
    return isUInt<6>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6_lsb0: {
    return isShiftedUInt<5, 1>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm6gt32: {
    
      return isUInt<6>(Imm) && Imm > 32;
    
  }
  case GICXXPred_I64_Predicate_uimm7_lsb00: {
    return isShiftedUInt<5, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm7_lsb000: {
    return isShiftedUInt<4, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb00: {
    return isShiftedUInt<6, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm8_lsb000: {
    return isShiftedUInt<5, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm9_lsb000: {
    return isShiftedUInt<6, 3>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10: {
    return isUInt<10>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm10_lsb00nonzero: {
    return isShiftedUInt<8, 2>(Imm) && (Imm != 0);
  }
  case GICXXPred_I64_Predicate_uimm11: {
    return isUInt<11>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm14lsb00: {
    return isShiftedUInt<12, 2>(Imm);
  }
  case GICXXPred_I64_Predicate_uimm16nonzero: {
    return (Imm != 0) && isUInt<16>(Imm);
  }
  case GICXXPred_I64_Predicate_uimmlog2xlen: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm);
      return isUInt<5>(Imm);
    
    llvm_unreachable("uimmlog2xlen should have returned");
  }
  case GICXXPred_I64_Predicate_uimmlog2xlennonzero: {
    
      if (Subtarget->is64Bit())
        return isUInt<6>(Imm) && (Imm != 0);
      return isUInt<5>(Imm) && (Imm != 0);
    
    llvm_unreachable("uimmlog2xlennonzero should have returned");
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
bool RISCVInstructionSelector::testImmPredicate_APFloat(unsigned PredicateID, const APFloat & Imm) const {
  llvm_unreachable("Unknown predicate");
  return false;
}
// PatFrag predicates.
enum {
  GICXXPred_APInt_Predicate_Shifted32OnesMask = GICXXPred_Invalid + 1,
  GICXXPred_APInt_Predicate_TrailingOnesMask,
};
bool RISCVInstructionSelector::testImmPredicate_APInt(unsigned PredicateID, const APInt & Imm) const {
  switch (PredicateID) {
  case GICXXPred_APInt_Predicate_Shifted32OnesMask: {
    
      if (!Imm.isShiftedMask())
        return false;
    
      unsigned TrailingZeros = Imm.countr_zero();
      return TrailingZeros > 0 && TrailingZeros < 32 &&
             Imm == UINT64_C(0xFFFFFFFF) << TrailingZeros;
    
    llvm_unreachable("Shifted32OnesMask should have returned");
  }
  case GICXXPred_APInt_Predicate_TrailingOnesMask: {
    
      return !isInt<12>(Imm.getSExtValue()) && isMask_64(Imm.getZExtValue());
    
  }
  }
  llvm_unreachable("Unknown predicate");
  return false;
}
bool RISCVInstructionSelector::testSimplePredicate(unsigned) const {
    llvm_unreachable("RISCVInstructionSelector does not support simple predicates!");
  return false;
}
// Custom renderers.
enum {
  GICR_Invalid,
  GICR_renderAddiPairImmLarge,
  GICR_renderAddiPairImmSmall,
  GICR_renderFrameIndex,
  GICR_renderImmPlus1,
  GICR_renderImmSubFrom32,
  GICR_renderImmSubFromXLen,
  GICR_renderNegImm,
  GICR_renderTrailingZeros,
  GICR_renderXLenSubTrailingOnes,
};
RISCVInstructionSelector::CustomRendererFn
RISCVInstructionSelector::CustomRenderers[] = {
  nullptr, // GICR_Invalid
  &RISCVInstructionSelector::renderAddiPairImmLarge,
  &RISCVInstructionSelector::renderAddiPairImmSmall,
  &RISCVInstructionSelector::renderFrameIndex,
  &RISCVInstructionSelector::renderImmPlus1,
  &RISCVInstructionSelector::renderImmSubFrom32,
  &RISCVInstructionSelector::renderImmSubFromXLen,
  &RISCVInstructionSelector::renderNegImm,
  &RISCVInstructionSelector::renderTrailingZeros,
  &RISCVInstructionSelector::renderXLenSubTrailingOnes,
};

bool RISCVInstructionSelector::selectImpl(MachineInstr &I, CodeGenCoverage &CoverageInfo) const {
  const PredicateBitset AvailableFeatures = getAvailableFeatures();
  MachineIRBuilder B(I);
  State.MIs.clear();
  State.MIs.push_back(&I);

  if (executeMatchTable(*this, State, ExecInfo, B, getMatchTable(), TII, MF->getRegInfo(), TRI, RBI, AvailableFeatures, &CoverageInfo)) {
    return true;
  }

  return false;
}

bool RISCVInstructionSelector::runCustomAction(unsigned, const MatcherState&, NewMIVector &) const {
    llvm_unreachable("RISCVInstructionSelector does not support custom C++ actions!");
}
#if __BYTE_ORDER__ == __ORDER_LITTLE_ENDIAN__
#define GIMT_Encode2(Val) uint8_t(Val), uint8_t((uint16_t)Val >> 8)
#define GIMT_Encode4(Val) uint8_t(Val), uint8_t((uint32_t)Val >> 8), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 24)
#define GIMT_Encode8(Val) uint8_t(Val), uint8_t((uint64_t)Val >> 8), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 24),  uint8_t((uint64_t)Val >> 32), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 56)
#else
#define GIMT_Encode2(Val) uint8_t((uint16_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode4(Val) uint8_t((uint32_t)Val >> 24), uint8_t((uint32_t)Val >> 16), uint8_t((uint32_t)Val >> 8), uint8_t(Val)
#define GIMT_Encode8(Val) uint8_t((uint64_t)Val >> 56), uint8_t((uint64_t)Val >> 48), uint8_t((uint64_t)Val >> 40), uint8_t((uint64_t)Val >> 32),  uint8_t((uint64_t)Val >> 24), uint8_t((uint64_t)Val >> 16), uint8_t((uint64_t)Val >> 8), uint8_t(Val)
#endif
const uint8_t *RISCVInstructionSelector::getMatchTable() const {
  constexpr static uint8_t MatchTable0[] = {
     /*       0 */ GIM_SwitchOpcode, /*MI*/0, /*[*/GIMT_Encode2(53), GIMT_Encode2(333), /*)*//*default:*//*Label 125*/ GIMT_Encode4(2453991),
     /*      10 */ /*TargetOpcode::G_ADD*//*Label 0*/ GIMT_Encode4(1130),
     /*      14 */ /*TargetOpcode::G_SUB*//*Label 1*/ GIMT_Encode4(61071),
     /*      18 */ /*TargetOpcode::G_MUL*//*Label 2*/ GIMT_Encode4(80304),
     /*      22 */ /*TargetOpcode::G_SDIV*//*Label 3*/ GIMT_Encode4(107358),
     /*      26 */ /*TargetOpcode::G_UDIV*//*Label 4*/ GIMT_Encode4(110092),
     /*      30 */ /*TargetOpcode::G_SREM*//*Label 5*/ GIMT_Encode4(112826),
     /*      34 */ /*TargetOpcode::G_UREM*//*Label 6*/ GIMT_Encode4(115605), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      46 */ /*TargetOpcode::G_AND*//*Label 7*/ GIMT_Encode4(118339),
     /*      50 */ /*TargetOpcode::G_OR*//*Label 8*/ GIMT_Encode4(128297),
     /*      54 */ /*TargetOpcode::G_XOR*//*Label 9*/ GIMT_Encode4(140918), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      74 */ /*TargetOpcode::G_FRAME_INDEX*//*Label 10*/ GIMT_Encode4(155825), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*      94 */ /*TargetOpcode::G_UNMERGE_VALUES*//*Label 11*/ GIMT_Encode4(155886), GIMT_Encode4(0),
     /*     102 */ /*TargetOpcode::G_MERGE_VALUES*//*Label 12*/ GIMT_Encode4(155947), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     126 */ /*TargetOpcode::G_BITCAST*//*Label 13*/ GIMT_Encode4(156038), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     142 */ /*TargetOpcode::G_INTRINSIC_TRUNC*//*Label 14*/ GIMT_Encode4(156405),
     /*     146 */ /*TargetOpcode::G_INTRINSIC_ROUND*//*Label 15*/ GIMT_Encode4(156603),
     /*     150 */ /*TargetOpcode::G_INTRINSIC_LRINT*//*Label 16*/ GIMT_Encode4(156801),
     /*     154 */ /*TargetOpcode::G_INTRINSIC_LLRINT*//*Label 17*/ GIMT_Encode4(157381),
     /*     158 */ /*TargetOpcode::G_INTRINSIC_ROUNDEVEN*//*Label 18*/ GIMT_Encode4(157591),
     /*     162 */ /*TargetOpcode::G_READCYCLECOUNTER*//*Label 19*/ GIMT_Encode4(157789),
     /*     166 */ /*TargetOpcode::G_READSTEADYCOUNTER*//*Label 20*/ GIMT_Encode4(157828),
     /*     170 */ /*TargetOpcode::G_LOAD*//*Label 21*/ GIMT_Encode4(157867),
     /*     174 */ /*TargetOpcode::G_SEXTLOAD*//*Label 22*/ GIMT_Encode4(168149),
     /*     178 */ /*TargetOpcode::G_ZEXTLOAD*//*Label 23*/ GIMT_Encode4(170119), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     194 */ /*TargetOpcode::G_STORE*//*Label 24*/ GIMT_Encode4(171609), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     206 */ /*TargetOpcode::G_ATOMIC_CMPXCHG*//*Label 25*/ GIMT_Encode4(179813),
     /*     210 */ /*TargetOpcode::G_ATOMICRMW_XCHG*//*Label 26*/ GIMT_Encode4(184699),
     /*     214 */ /*TargetOpcode::G_ATOMICRMW_ADD*//*Label 27*/ GIMT_Encode4(187609), GIMT_Encode4(0),
     /*     222 */ /*TargetOpcode::G_ATOMICRMW_AND*//*Label 28*/ GIMT_Encode4(190519),
     /*     226 */ /*TargetOpcode::G_ATOMICRMW_NAND*//*Label 29*/ GIMT_Encode4(193429),
     /*     230 */ /*TargetOpcode::G_ATOMICRMW_OR*//*Label 30*/ GIMT_Encode4(194341),
     /*     234 */ /*TargetOpcode::G_ATOMICRMW_XOR*//*Label 31*/ GIMT_Encode4(197251),
     /*     238 */ /*TargetOpcode::G_ATOMICRMW_MAX*//*Label 32*/ GIMT_Encode4(200161),
     /*     242 */ /*TargetOpcode::G_ATOMICRMW_MIN*//*Label 33*/ GIMT_Encode4(203071),
     /*     246 */ /*TargetOpcode::G_ATOMICRMW_UMAX*//*Label 34*/ GIMT_Encode4(205981),
     /*     250 */ /*TargetOpcode::G_ATOMICRMW_UMIN*//*Label 35*/ GIMT_Encode4(208891), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     294 */ /*TargetOpcode::G_FENCE*//*Label 36*/ GIMT_Encode4(211801), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     314 */ /*TargetOpcode::G_INTRINSIC*//*Label 37*/ GIMT_Encode4(212019),
     /*     318 */ /*TargetOpcode::G_INTRINSIC_W_SIDE_EFFECTS*//*Label 38*/ GIMT_Encode4(2210312), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     330 */ /*TargetOpcode::G_ANYEXT*//*Label 39*/ GIMT_Encode4(2211880), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     354 */ /*TargetOpcode::G_SEXT*//*Label 40*/ GIMT_Encode4(2215001),
     /*     358 */ /*TargetOpcode::G_SEXT_INREG*//*Label 41*/ GIMT_Encode4(2218476),
     /*     362 */ /*TargetOpcode::G_ZEXT*//*Label 42*/ GIMT_Encode4(2219519),
     /*     366 */ /*TargetOpcode::G_SHL*//*Label 43*/ GIMT_Encode4(2223206),
     /*     370 */ /*TargetOpcode::G_LSHR*//*Label 44*/ GIMT_Encode4(2231802),
     /*     374 */ /*TargetOpcode::G_ASHR*//*Label 45*/ GIMT_Encode4(2234833), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     386 */ /*TargetOpcode::G_ROTR*//*Label 46*/ GIMT_Encode4(2237772),
     /*     390 */ /*TargetOpcode::G_ROTL*//*Label 47*/ GIMT_Encode4(2240712),
     /*     394 */ /*TargetOpcode::G_ICMP*//*Label 48*/ GIMT_Encode4(2243622),
     /*     398 */ /*TargetOpcode::G_FCMP*//*Label 49*/ GIMT_Encode4(2270285), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     410 */ /*TargetOpcode::G_SELECT*//*Label 50*/ GIMT_Encode4(2277747), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     454 */ /*TargetOpcode::G_UMULH*//*Label 51*/ GIMT_Encode4(2282139),
     /*     458 */ /*TargetOpcode::G_SMULH*//*Label 52*/ GIMT_Encode4(2284873),
     /*     462 */ /*TargetOpcode::G_UADDSAT*//*Label 53*/ GIMT_Encode4(2287607),
     /*     466 */ /*TargetOpcode::G_SADDSAT*//*Label 54*/ GIMT_Encode4(2290460),
     /*     470 */ /*TargetOpcode::G_USUBSAT*//*Label 55*/ GIMT_Encode4(2293313),
     /*     474 */ /*TargetOpcode::G_SSUBSAT*//*Label 56*/ GIMT_Encode4(2296166),
     /*     478 */ /*TargetOpcode::G_USHLSAT*//*Label 57*/ GIMT_Encode4(2299019),
     /*     482 */ /*TargetOpcode::G_SSHLSAT*//*Label 58*/ GIMT_Encode4(2299077), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     518 */ /*TargetOpcode::G_FADD*//*Label 59*/ GIMT_Encode4(2299135),
     /*     522 */ /*TargetOpcode::G_FSUB*//*Label 60*/ GIMT_Encode4(2301563),
     /*     526 */ /*TargetOpcode::G_FMUL*//*Label 61*/ GIMT_Encode4(2303991),
     /*     530 */ /*TargetOpcode::G_FMA*//*Label 62*/ GIMT_Encode4(2306419), GIMT_Encode4(0),
     /*     538 */ /*TargetOpcode::G_FDIV*//*Label 63*/ GIMT_Encode4(2323064), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     586 */ /*TargetOpcode::G_FNEG*//*Label 64*/ GIMT_Encode4(2325492),
     /*     590 */ /*TargetOpcode::G_FPEXT*//*Label 65*/ GIMT_Encode4(2327463),
     /*     594 */ /*TargetOpcode::G_FPTRUNC*//*Label 66*/ GIMT_Encode4(2327916),
     /*     598 */ /*TargetOpcode::G_FPTOSI*//*Label 67*/ GIMT_Encode4(2329452),
     /*     602 */ /*TargetOpcode::G_FPTOUI*//*Label 68*/ GIMT_Encode4(2334338),
     /*     606 */ /*TargetOpcode::G_SITOFP*//*Label 69*/ GIMT_Encode4(2339224),
     /*     610 */ /*TargetOpcode::G_UITOFP*//*Label 70*/ GIMT_Encode4(2344510), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     622 */ /*TargetOpcode::G_FABS*//*Label 71*/ GIMT_Encode4(2349796),
     /*     626 */ /*TargetOpcode::G_FCOPYSIGN*//*Label 72*/ GIMT_Encode4(2351767), GIMT_Encode4(0),
     /*     634 */ /*TargetOpcode::G_FCANONICALIZE*//*Label 73*/ GIMT_Encode4(2357829),
     /*     638 */ /*TargetOpcode::G_FMINNUM*//*Label 74*/ GIMT_Encode4(2358019),
     /*     642 */ /*TargetOpcode::G_FMAXNUM*//*Label 75*/ GIMT_Encode4(2360104), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     654 */ /*TargetOpcode::G_FMINIMUM*//*Label 76*/ GIMT_Encode4(2362189),
     /*     658 */ /*TargetOpcode::G_FMAXIMUM*//*Label 77*/ GIMT_Encode4(2362315),
     /*     662 */ /*TargetOpcode::G_FMINIMUMNUM*//*Label 78*/ GIMT_Encode4(2362441),
     /*     666 */ /*TargetOpcode::G_FMAXIMUMNUM*//*Label 79*/ GIMT_Encode4(2364526), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     702 */ /*TargetOpcode::G_SMIN*//*Label 80*/ GIMT_Encode4(2366611),
     /*     706 */ /*TargetOpcode::G_SMAX*//*Label 81*/ GIMT_Encode4(2369387),
     /*     710 */ /*TargetOpcode::G_UMIN*//*Label 82*/ GIMT_Encode4(2372163),
     /*     714 */ /*TargetOpcode::G_UMAX*//*Label 83*/ GIMT_Encode4(2374939),
     /*     718 */ /*TargetOpcode::G_ABS*//*Label 84*/ GIMT_Encode4(2377715),
     /*     722 */ /*TargetOpcode::G_LROUND*//*Label 85*/ GIMT_Encode4(2377873),
     /*     726 */ /*TargetOpcode::G_LLROUND*//*Label 86*/ GIMT_Encode4(2378453),
     /*     730 */ /*TargetOpcode::G_BR*//*Label 87*/ GIMT_Encode4(2378663), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     774 */ /*TargetOpcode::G_CTTZ*//*Label 88*/ GIMT_Encode4(2378679), GIMT_Encode4(0),
     /*     782 */ /*TargetOpcode::G_CTLZ*//*Label 89*/ GIMT_Encode4(2381307), GIMT_Encode4(0),
     /*     790 */ /*TargetOpcode::G_CTPOP*//*Label 90*/ GIMT_Encode4(2384077),
     /*     794 */ /*TargetOpcode::G_BSWAP*//*Label 91*/ GIMT_Encode4(2386628),
     /*     798 */ /*TargetOpcode::G_BITREVERSE*//*Label 92*/ GIMT_Encode4(2389163),
     /*     802 */ /*TargetOpcode::G_FCEIL*//*Label 93*/ GIMT_Encode4(2391709), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     850 */ /*TargetOpcode::G_FSQRT*//*Label 94*/ GIMT_Encode4(2391907),
     /*     854 */ /*TargetOpcode::G_FFLOOR*//*Label 95*/ GIMT_Encode4(2394083),
     /*     858 */ /*TargetOpcode::G_FRINT*//*Label 96*/ GIMT_Encode4(2394281),
     /*     862 */ /*TargetOpcode::G_FNEARBYINT*//*Label 97*/ GIMT_Encode4(2394479), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     890 */ /*TargetOpcode::G_STRICT_FADD*//*Label 98*/ GIMT_Encode4(2394677),
     /*     894 */ /*TargetOpcode::G_STRICT_FSUB*//*Label 99*/ GIMT_Encode4(2397105),
     /*     898 */ /*TargetOpcode::G_STRICT_FMUL*//*Label 100*/ GIMT_Encode4(2399533),
     /*     902 */ /*TargetOpcode::G_STRICT_FDIV*//*Label 101*/ GIMT_Encode4(2401961), GIMT_Encode4(0),
     /*     910 */ /*TargetOpcode::G_STRICT_FMA*//*Label 102*/ GIMT_Encode4(2404389),
     /*     914 */ /*TargetOpcode::G_STRICT_FSQRT*//*Label 103*/ GIMT_Encode4(2421034), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*     950 */ /*TargetOpcode::G_TRAP*//*Label 104*/ GIMT_Encode4(2423210),
     /*     954 */ /*TargetOpcode::G_DEBUGTRAP*//*Label 105*/ GIMT_Encode4(2423223), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /*    1050 */ /*RISCV::G_CLZW*//*Label 106*/ GIMT_Encode4(2423236),
     /*    1054 */ /*RISCV::G_CTZW*//*Label 107*/ GIMT_Encode4(2423331),
     /*    1058 */ /*RISCV::G_DIVUW*//*Label 108*/ GIMT_Encode4(2423361),
     /*    1062 */ /*RISCV::G_DIVW*//*Label 109*/ GIMT_Encode4(2423398),
     /*    1066 */ /*RISCV::G_FCLASS*//*Label 110*/ GIMT_Encode4(2423435),
     /*    1070 */ /*RISCV::G_FCVT_WU_RV64*//*Label 111*/ GIMT_Encode4(2423795),
     /*    1074 */ /*RISCV::G_FCVT_W_RV64*//*Label 112*/ GIMT_Encode4(2423993),
     /*    1078 */ /*RISCV::G_READ_VLENB*//*Label 113*/ GIMT_Encode4(2424191),
     /*    1082 */ /*RISCV::G_REMUW*//*Label 114*/ GIMT_Encode4(2424251),
     /*    1086 */ /*RISCV::G_ROLW*//*Label 115*/ GIMT_Encode4(2424288),
     /*    1090 */ /*RISCV::G_RORW*//*Label 116*/ GIMT_Encode4(2424413),
     /*    1094 */ /*RISCV::G_SLLW*//*Label 117*/ GIMT_Encode4(2424534), GIMT_Encode4(0),
     /*    1102 */ /*RISCV::G_SRAW*//*Label 118*/ GIMT_Encode4(2424581),
     /*    1106 */ /*RISCV::G_SRLW*//*Label 119*/ GIMT_Encode4(2424628),
     /*    1110 */ /*RISCV::G_VMCLR_VL*//*Label 120*/ GIMT_Encode4(2424675),
     /*    1114 */ /*RISCV::G_VMSET_VL*//*Label 121*/ GIMT_Encode4(2425324),
     /*    1118 */ /*RISCV::G_VMV_V_V_VL*//*Label 122*/ GIMT_Encode4(2425973),
     /*    1122 */ /*RISCV::G_VSLIDEDOWN_VL*//*Label 123*/ GIMT_Encode4(2430231),
     /*    1126 */ /*RISCV::G_VSLIDEUP_VL*//*Label 124*/ GIMT_Encode4(2442111),
     /*    1130 */ // Label 0: @1130
     /*    1130 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 150*/ GIMT_Encode4(61070),
     /*    1141 */ /*GILLT_s32*//*Label 126*/ GIMT_Encode4(1265),
     /*    1145 */ /*GILLT_s64*//*Label 127*/ GIMT_Encode4(3530), GIMT_Encode4(0),
     /*    1153 */ /*GILLT_nxv1s8*//*Label 128*/ GIMT_Encode4(11430),
     /*    1157 */ /*GILLT_nxv1s16*//*Label 129*/ GIMT_Encode4(11825),
     /*    1161 */ /*GILLT_nxv1s32*//*Label 130*/ GIMT_Encode4(14950),
     /*    1165 */ /*GILLT_nxv1s64*//*Label 131*/ GIMT_Encode4(18075), GIMT_Encode4(0),
     /*    1173 */ /*GILLT_nxv2s8*//*Label 132*/ GIMT_Encode4(21200),
     /*    1177 */ /*GILLT_nxv2s16*//*Label 133*/ GIMT_Encode4(21595),
     /*    1181 */ /*GILLT_nxv2s32*//*Label 134*/ GIMT_Encode4(24720),
     /*    1185 */ /*GILLT_nxv2s64*//*Label 135*/ GIMT_Encode4(27845), GIMT_Encode4(0),
     /*    1193 */ /*GILLT_nxv4s8*//*Label 136*/ GIMT_Encode4(30970),
     /*    1197 */ /*GILLT_nxv4s16*//*Label 137*/ GIMT_Encode4(31365),
     /*    1201 */ /*GILLT_nxv4s32*//*Label 138*/ GIMT_Encode4(34490),
     /*    1205 */ /*GILLT_nxv4s64*//*Label 139*/ GIMT_Encode4(37615), GIMT_Encode4(0),
     /*    1213 */ /*GILLT_nxv8s8*//*Label 140*/ GIMT_Encode4(40740),
     /*    1217 */ /*GILLT_nxv8s16*//*Label 141*/ GIMT_Encode4(41135),
     /*    1221 */ /*GILLT_nxv8s32*//*Label 142*/ GIMT_Encode4(44260),
     /*    1225 */ /*GILLT_nxv8s64*//*Label 143*/ GIMT_Encode4(47385), GIMT_Encode4(0),
     /*    1233 */ /*GILLT_nxv16s8*//*Label 144*/ GIMT_Encode4(50510),
     /*    1237 */ /*GILLT_nxv16s16*//*Label 145*/ GIMT_Encode4(50905),
     /*    1241 */ /*GILLT_nxv16s32*//*Label 146*/ GIMT_Encode4(54030), GIMT_Encode4(0),
     /*    1249 */ /*GILLT_nxv32s8*//*Label 147*/ GIMT_Encode4(57155),
     /*    1253 */ /*GILLT_nxv32s16*//*Label 148*/ GIMT_Encode4(57550), GIMT_Encode4(0),
     /*    1261 */ /*GILLT_nxv64s8*//*Label 149*/ GIMT_Encode4(60675),
     /*    1265 */ // Label 126: @1265
     /*    1265 */ GIM_Try, /*On fail goto*//*Label 151*/ GIMT_Encode4(3529),
     /*    1270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*    1273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*    1276 */   GIM_Try, /*On fail goto*//*Label 152*/ GIMT_Encode4(1324), // Rule ID 2566 //
     /*    1281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1288 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    1292 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    1296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1300 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1311 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:2:x, GPR:{ *:[i32] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1316 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1322 */     GIR_RootConstrainSelectedInstOperands,
     /*    1323 */     // GIR_Coverage, 2566,
     /*    1323 */     GIR_EraseRootFromParent_Done,
     /*    1324 */   // Label 152: @1324
     /*    1324 */   GIM_Try, /*On fail goto*//*Label 153*/ GIMT_Encode4(1372), // Rule ID 2576 //
     /*    1329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1336 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    1340 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    1344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1348 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1359 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:4:x, GPR:{ *:[i32] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1364 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1370 */     GIR_RootConstrainSelectedInstOperands,
     /*    1371 */     // GIR_Coverage, 2576,
     /*    1371 */     GIR_EraseRootFromParent_Done,
     /*    1372 */   // Label 153: @1372
     /*    1372 */   GIM_Try, /*On fail goto*//*Label 154*/ GIMT_Encode4(1420), // Rule ID 2586 //
     /*    1377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1384 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    1388 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    1392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1396 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1407 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:6:x, GPR:{ *:[i32] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1412 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1418 */     GIR_RootConstrainSelectedInstOperands,
     /*    1419 */     // GIR_Coverage, 2586,
     /*    1419 */     GIR_EraseRootFromParent_Done,
     /*    1420 */   // Label 154: @1420
     /*    1420 */   GIM_Try, /*On fail goto*//*Label 155*/ GIMT_Encode4(1471), // Rule ID 62532 //
     /*    1425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1432 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    1436 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    1440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1444 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1455 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs2:$pred:24:x, GPR:{ *:[i32] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1462 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1469 */     GIR_RootConstrainSelectedInstOperands,
     /*    1470 */     // GIR_Coverage, 62532,
     /*    1470 */     GIR_EraseRootFromParent_Done,
     /*    1471 */   // Label 155: @1471
     /*    1471 */   GIM_Try, /*On fail goto*//*Label 156*/ GIMT_Encode4(1522), // Rule ID 62536 //
     /*    1476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1483 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    1487 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    1491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1495 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1506 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs2:$pred:25:x, GPR:{ *:[i32] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1513 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1520 */     GIR_RootConstrainSelectedInstOperands,
     /*    1521 */     // GIR_Coverage, 62536,
     /*    1521 */     GIR_EraseRootFromParent_Done,
     /*    1522 */   // Label 156: @1522
     /*    1522 */   GIM_Try, /*On fail goto*//*Label 157*/ GIMT_Encode4(1573), // Rule ID 62540 //
     /*    1527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1534 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    1538 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    1542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1546 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1557 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs2:$pred:26:x, GPR:{ *:[i32] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    1564 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    1571 */     GIR_RootConstrainSelectedInstOperands,
     /*    1572 */     // GIR_Coverage, 62540,
     /*    1572 */     GIR_EraseRootFromParent_Done,
     /*    1573 */   // Label 157: @1573
     /*    1573 */   GIM_Try, /*On fail goto*//*Label 158*/ GIMT_Encode4(1621), // Rule ID 65018 //
     /*    1578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1585 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:28:x
     /*    1589 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:28:y
     /*    1593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1597 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1608 */     // (add:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1:$pred:28:x, GPR:{ *:[i32] }:$rs2:$pred:28:y)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    1611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1613 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1619 */     GIR_RootConstrainSelectedInstOperands,
     /*    1620 */     // GIR_Coverage, 65018,
     /*    1620 */     GIR_EraseRootFromParent_Done,
     /*    1621 */   // Label 158: @1621
     /*    1621 */   GIM_Try, /*On fail goto*//*Label 159*/ GIMT_Encode4(1669), // Rule ID 65028 //
     /*    1626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1633 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:30:x
     /*    1637 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:30:y
     /*    1641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1645 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1656 */     // (add:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1:$pred:30:x, GPR:{ *:[i32] }:$rs2:$pred:30:y)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    1659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1661 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1667 */     GIR_RootConstrainSelectedInstOperands,
     /*    1668 */     // GIR_Coverage, 65028,
     /*    1668 */     GIR_EraseRootFromParent_Done,
     /*    1669 */   // Label 159: @1669
     /*    1669 */   GIM_Try, /*On fail goto*//*Label 160*/ GIMT_Encode4(1717), // Rule ID 65038 //
     /*    1674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    1677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1681 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:32:x
     /*    1685 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:32:y
     /*    1689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1693 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1704 */     // (add:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1:$pred:32:x, GPR:{ *:[i32] }:$rs2:$pred:32:y)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    1707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1709 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    1715 */     GIR_RootConstrainSelectedInstOperands,
     /*    1716 */     // GIR_Coverage, 65038,
     /*    1716 */     GIR_EraseRootFromParent_Done,
     /*    1717 */   // Label 160: @1717
     /*    1717 */   GIM_Try, /*On fail goto*//*Label 161*/ GIMT_Encode4(1765), // Rule ID 65497 //
     /*    1722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1729 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    1733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1737 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    1741 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1752 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:2:y, sh1add_op:{ *:[i32] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    1755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1757 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1763 */     GIR_RootConstrainSelectedInstOperands,
     /*    1764 */     // GIR_Coverage, 65497,
     /*    1764 */     GIR_EraseRootFromParent_Done,
     /*    1765 */   // Label 161: @1765
     /*    1765 */   GIM_Try, /*On fail goto*//*Label 162*/ GIMT_Encode4(1813), // Rule ID 65505 //
     /*    1770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1777 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    1781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1785 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    1789 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1800 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:4:y, sh2add_op:{ *:[i32] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    1803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1805 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1811 */     GIR_RootConstrainSelectedInstOperands,
     /*    1812 */     // GIR_Coverage, 65505,
     /*    1812 */     GIR_EraseRootFromParent_Done,
     /*    1813 */   // Label 162: @1813
     /*    1813 */   GIM_Try, /*On fail goto*//*Label 163*/ GIMT_Encode4(1861), // Rule ID 65513 //
     /*    1818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    1821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1825 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    1829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1833 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    1837 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1848 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:6:y, sh3add_op:{ *:[i32] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    1848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    1851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1853 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    1857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    1859 */     GIR_RootConstrainSelectedInstOperands,
     /*    1860 */     // GIR_Coverage, 65513,
     /*    1860 */     GIR_EraseRootFromParent_Done,
     /*    1861 */   // Label 163: @1861
     /*    1861 */   GIM_Try, /*On fail goto*//*Label 164*/ GIMT_Encode4(1912), // Rule ID 74331 //
     /*    1866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1873 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    1877 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1881 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    1885 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    1896 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:24:y, sh1add_op:{ *:[i32] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh1add_op:{ *:[i32] }:$rs2, 1:{ *:[i32] })
     /*    1896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1903 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    1910 */     GIR_RootConstrainSelectedInstOperands,
     /*    1911 */     // GIR_Coverage, 74331,
     /*    1911 */     GIR_EraseRootFromParent_Done,
     /*    1912 */   // Label 164: @1912
     /*    1912 */   GIM_Try, /*On fail goto*//*Label 165*/ GIMT_Encode4(1963), // Rule ID 74335 //
     /*    1917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1924 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    1928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1932 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    1936 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    1947 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:25:y, sh2add_op:{ *:[i32] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh2add_op:{ *:[i32] }:$rs2, 2:{ *:[i32] })
     /*    1947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    1950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    1952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    1954 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    1958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    1961 */     GIR_RootConstrainSelectedInstOperands,
     /*    1962 */     // GIR_Coverage, 74335,
     /*    1962 */     GIR_EraseRootFromParent_Done,
     /*    1963 */   // Label 165: @1963
     /*    1963 */   GIM_Try, /*On fail goto*//*Label 166*/ GIMT_Encode4(2014), // Rule ID 74339 //
     /*    1968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    1971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1975 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    1979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    1983 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    1987 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    1991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    1998 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:26:y, sh3add_op:{ *:[i32] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, sh3add_op:{ *:[i32] }:$rs2, 3:{ *:[i32] })
     /*    1998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    2001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    2005 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    2009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    2012 */     GIR_RootConstrainSelectedInstOperands,
     /*    2013 */     // GIR_Coverage, 74339,
     /*    2013 */     GIR_EraseRootFromParent_Done,
     /*    2014 */   // Label 166: @2014
     /*    2014 */   GIM_Try, /*On fail goto*//*Label 167*/ GIMT_Encode4(2062), // Rule ID 74372 //
     /*    2019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2026 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:28:y
     /*    2030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2034 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:28:x
     /*    2038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    2049 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:28:y, sh1add_op:{ *:[i32] }:$rs1:$pred:28:x)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } sh1add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2054 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2060 */     GIR_RootConstrainSelectedInstOperands,
     /*    2061 */     // GIR_Coverage, 74372,
     /*    2061 */     GIR_EraseRootFromParent_Done,
     /*    2062 */   // Label 167: @2062
     /*    2062 */   GIM_Try, /*On fail goto*//*Label 168*/ GIMT_Encode4(2110), // Rule ID 74380 //
     /*    2067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2074 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:30:y
     /*    2078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2082 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:30:x
     /*    2086 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    2097 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:30:y, sh2add_op:{ *:[i32] }:$rs1:$pred:30:x)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } sh2add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2102 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2108 */     GIR_RootConstrainSelectedInstOperands,
     /*    2109 */     // GIR_Coverage, 74380,
     /*    2109 */     GIR_EraseRootFromParent_Done,
     /*    2110 */   // Label 168: @2110
     /*    2110 */   GIM_Try, /*On fail goto*//*Label 169*/ GIMT_Encode4(2158), // Rule ID 74388 //
     /*    2115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2122 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:32:y
     /*    2126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2130 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:32:x
     /*    2134 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    2145 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:32:y, sh3add_op:{ *:[i32] }:$rs1:$pred:32:x)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } sh3add_op:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2150 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    2154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2156 */     GIR_RootConstrainSelectedInstOperands,
     /*    2157 */     // GIR_Coverage, 74388,
     /*    2157 */     GIR_EraseRootFromParent_Done,
     /*    2158 */   // Label 169: @2158
     /*    2158 */   GIM_Try, /*On fail goto*//*Label 170*/ GIMT_Encode4(2226), // Rule ID 2560 //
     /*    2163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2170 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    2174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2186 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2190 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2195 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2199 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    2203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2207 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2213 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x, GPR:{ *:[i32] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2224 */     GIR_RootConstrainSelectedInstOperands,
     /*    2225 */     // GIR_Coverage, 2560,
     /*    2225 */     GIR_EraseRootFromParent_Done,
     /*    2226 */   // Label 170: @2226
     /*    2226 */   GIM_Try, /*On fail goto*//*Label 171*/ GIMT_Encode4(2294), // Rule ID 2570 //
     /*    2231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2238 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    2242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2254 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2263 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2267 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    2271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2275 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2281 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x, GPR:{ *:[i32] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2292 */     GIR_RootConstrainSelectedInstOperands,
     /*    2293 */     // GIR_Coverage, 2570,
     /*    2293 */     GIR_EraseRootFromParent_Done,
     /*    2294 */   // Label 171: @2294
     /*    2294 */   GIM_Try, /*On fail goto*//*Label 172*/ GIMT_Encode4(2362), // Rule ID 2580 //
     /*    2299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2306 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    2310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2335 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    2339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2343 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2349 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x, GPR:{ *:[i32] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2360 */     GIR_RootConstrainSelectedInstOperands,
     /*    2361 */     // GIR_Coverage, 2580,
     /*    2361 */     GIR_EraseRootFromParent_Done,
     /*    2362 */   // Label 172: @2362
     /*    2362 */   GIM_Try, /*On fail goto*//*Label 173*/ GIMT_Encode4(2430), // Rule ID 65012 //
     /*    2367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2374 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:27:x
     /*    2378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2386 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2390 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2394 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2399 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2403 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:27:y
     /*    2407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2411 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2417 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:27:x, GPR:{ *:[i32] }:$rs2:$pred:27:y)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2428 */     GIR_RootConstrainSelectedInstOperands,
     /*    2429 */     // GIR_Coverage, 65012,
     /*    2429 */     GIR_EraseRootFromParent_Done,
     /*    2430 */   // Label 173: @2430
     /*    2430 */   GIM_Try, /*On fail goto*//*Label 174*/ GIMT_Encode4(2498), // Rule ID 65022 //
     /*    2435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2442 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:29:x
     /*    2446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2462 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2467 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2471 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:29:y
     /*    2475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2479 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2485 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:29:x, GPR:{ *:[i32] }:$rs2:$pred:29:y)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2496 */     GIR_RootConstrainSelectedInstOperands,
     /*    2497 */     // GIR_Coverage, 65022,
     /*    2497 */     GIR_EraseRootFromParent_Done,
     /*    2498 */   // Label 174: @2498
     /*    2498 */   GIM_Try, /*On fail goto*//*Label 175*/ GIMT_Encode4(2566), // Rule ID 65032 //
     /*    2503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2510 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:31:x
     /*    2514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2535 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2539 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:31:y
     /*    2543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2547 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2553 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:31:x, GPR:{ *:[i32] }:$rs2:$pred:31:y)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    2564 */     GIR_RootConstrainSelectedInstOperands,
     /*    2565 */     // GIR_Coverage, 65032,
     /*    2565 */     GIR_EraseRootFromParent_Done,
     /*    2566 */   // Label 175: @2566
     /*    2566 */   GIM_Try, /*On fail goto*//*Label 176*/ GIMT_Encode4(2634), // Rule ID 65493 //
     /*    2571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2578 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*    2582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2586 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*    2590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2611 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2615 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2621 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:1:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    2624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2632 */     GIR_RootConstrainSelectedInstOperands,
     /*    2633 */     // GIR_Coverage, 65493,
     /*    2633 */     GIR_EraseRootFromParent_Done,
     /*    2634 */   // Label 176: @2634
     /*    2634 */   GIM_Try, /*On fail goto*//*Label 177*/ GIMT_Encode4(2702), // Rule ID 65501 //
     /*    2639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2646 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*    2650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2654 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*    2658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2670 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2679 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2689 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:3:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    2692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2700 */     GIR_RootConstrainSelectedInstOperands,
     /*    2701 */     // GIR_Coverage, 65501,
     /*    2701 */     GIR_EraseRootFromParent_Done,
     /*    2702 */   // Label 177: @2702
     /*    2702 */   GIM_Try, /*On fail goto*//*Label 178*/ GIMT_Encode4(2770), // Rule ID 65509 //
     /*    2707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode1),
     /*    2710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2714 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*    2718 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2722 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*    2726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2738 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2747 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2751 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2757 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:5:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    2760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2768 */     GIR_RootConstrainSelectedInstOperands,
     /*    2769 */     // GIR_Coverage, 65509,
     /*    2769 */     GIR_EraseRootFromParent_Done,
     /*    2770 */   // Label 178: @2770
     /*    2770 */   GIM_Try, /*On fail goto*//*Label 179*/ GIMT_Encode4(2838), // Rule ID 74368 //
     /*    2775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2782 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:27:y
     /*    2786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2790 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:27:x
     /*    2794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2815 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    2819 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2825 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:27:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }):$pred:27:x)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    2828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2836 */     GIR_RootConstrainSelectedInstOperands,
     /*    2837 */     // GIR_Coverage, 74368,
     /*    2837 */     GIR_EraseRootFromParent_Done,
     /*    2838 */   // Label 179: @2838
     /*    2838 */   GIM_Try, /*On fail goto*//*Label 180*/ GIMT_Encode4(2906), // Rule ID 74376 //
     /*    2843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2850 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:29:y
     /*    2854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2858 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:29:x
     /*    2862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2883 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    2887 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2893 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:29:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 2:{ *:[i32] }):$pred:29:x)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    2896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2904 */     GIR_RootConstrainSelectedInstOperands,
     /*    2905 */     // GIR_Coverage, 74376,
     /*    2905 */     GIR_EraseRootFromParent_Done,
     /*    2906 */   // Label 180: @2906
     /*    2906 */   GIM_Try, /*On fail goto*//*Label 181*/ GIMT_Encode4(2974), // Rule ID 74384 //
     /*    2911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /*    2914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2918 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:31:y
     /*    2922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2926 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:31:x
     /*    2930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    2934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    2942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    2946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2951 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    2955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    2959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    2961 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs2:$pred:31:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 3:{ *:[i32] }):$pred:31:x)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    2961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    2964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    2966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    2970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    2972 */     GIR_RootConstrainSelectedInstOperands,
     /*    2973 */     // GIR_Coverage, 74384,
     /*    2973 */     GIR_EraseRootFromParent_Done,
     /*    2974 */   // Label 181: @2974
     /*    2974 */   GIM_Try, /*On fail goto*//*Label 182*/ GIMT_Encode4(3053), // Rule ID 62526 //
     /*    2979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    2982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    2986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*    2990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    2994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    2998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3019 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    3023 */     // MIs[2] Operand 1
     /*    3023 */     // No operand predicates
     /*    3023 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*    3027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3031 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3037 */     // (add:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i32] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    3037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    3040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    3044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    3048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    3051 */     GIR_RootConstrainSelectedInstOperands,
     /*    3052 */     // GIR_Coverage, 62526,
     /*    3052 */     GIR_EraseRootFromParent_Done,
     /*    3053 */   // Label 182: @3053
     /*    3053 */   GIM_Try, /*On fail goto*//*Label 183*/ GIMT_Encode4(3132), // Rule ID 74327 //
     /*    3058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode1),
     /*    3061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3065 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*    3069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3073 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*    3077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3089 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*    3102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3106 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*    3110 */     // MIs[2] Operand 1
     /*    3110 */     // No operand predicates
     /*    3110 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3116 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1:$pred:23:y, (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm2>>:$uimm2)
     /*    3116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    3119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*    3127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*    3130 */     GIR_RootConstrainSelectedInstOperands,
     /*    3131 */     // GIR_Coverage, 74327,
     /*    3131 */     GIR_EraseRootFromParent_Done,
     /*    3132 */   // Label 183: @3132
     /*    3132 */   GIM_Try, /*On fail goto*//*Label 184*/ GIMT_Encode4(3181), // Rule ID 121 //
     /*    3137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*    3152 */     // MIs[1] Operand 1
     /*    3152 */     // No operand predicates
     /*    3152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*    3156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3160 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3164 */     // MIs[2] Operand 1
     /*    3164 */     // No operand predicates
     /*    3164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3166 */     // (add:{ *:[i32] } (frameindex:{ *:[i32] }):$fi, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i32] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i32] }:$fi), (imm:{ *:[i32] })<<P:Predicate_simm12>>:$offset)
     /*    3166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3171 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*    3176 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*    3179 */     GIR_RootConstrainSelectedInstOperands,
     /*    3180 */     // GIR_Coverage, 121,
     /*    3180 */     GIR_EraseRootFromParent_Done,
     /*    3181 */   // Label 184: @3181
     /*    3181 */   GIM_Try, /*On fail goto*//*Label 185*/ GIMT_Encode4(3223), // Rule ID 81 //
     /*    3186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*    3209 */     // MIs[1] Operand 1
     /*    3209 */     // No operand predicates
     /*    3209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3211 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*    3211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3218 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3221 */     GIR_RootConstrainSelectedInstOperands,
     /*    3222 */     // GIR_Coverage, 81,
     /*    3222 */     GIR_EraseRootFromParent_Done,
     /*    3223 */   // Label 185: @3223
     /*    3223 */   GIM_Try, /*On fail goto*//*Label 186*/ GIMT_Encode4(3295), // Rule ID 292 //
     /*    3228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3235 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*    3251 */     // MIs[1] Operand 1
     /*    3251 */     // No operand predicates
     /*    3251 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10053),
     /*    3255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3257 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10053>>:$rs2)  =>  (ADDI:{ *:[i32] } (ADDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (AddiPairImmLarge:{ *:[i32] } (imm:{ *:[i32] }):$rs2)), (AddiPairImmSmall:{ *:[i32] } (imm:{ *:[i32] }):$rs2))
     /*    3257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*    3260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    3269 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*    3273 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*    3278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    3280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*    3283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    3288 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*    3293 */     GIR_RootConstrainSelectedInstOperands,
     /*    3294 */     // GIR_Coverage, 292,
     /*    3294 */     GIR_EraseRootFromParent_Done,
     /*    3295 */   // Label 186: @3295
     /*    3295 */   GIM_Try, /*On fail goto*//*Label 187*/ GIMT_Encode4(3337), // Rule ID 64524 //
     /*    3300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    3303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*    3323 */     // MIs[1] Operand 1
     /*    3323 */     // No operand predicates
     /*    3323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3325 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ADDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*    3325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDAI),
     /*    3328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3335 */     GIR_RootConstrainSelectedInstOperands,
     /*    3336 */     // GIR_Coverage, 64524,
     /*    3336 */     GIR_EraseRootFromParent_Done,
     /*    3337 */   // Label 187: @3337
     /*    3337 */   GIM_Try, /*On fail goto*//*Label 188*/ GIMT_Encode4(3379), // Rule ID 64528 //
     /*    3342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*    3345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*    3353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*    3361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*    3365 */     // MIs[1] Operand 1
     /*    3365 */     // No operand predicates
     /*    3365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3367 */     // (add:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ADDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*    3367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ADDI),
     /*    3370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    3374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*    3377 */     GIR_RootConstrainSelectedInstOperands,
     /*    3378 */     // GIR_Coverage, 64528,
     /*    3378 */     GIR_EraseRootFromParent_Done,
     /*    3379 */   // Label 188: @3379
     /*    3379 */   GIM_Try, /*On fail goto*//*Label 189*/ GIMT_Encode4(3440), // Rule ID 74341 //
     /*    3384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    3387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3423 */     // (add:{ *:[i32] } (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rd)  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    3426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*    3430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    3438 */     GIR_RootConstrainSelectedInstOperands,
     /*    3439 */     // GIR_Coverage, 74341,
     /*    3439 */     GIR_EraseRootFromParent_Done,
     /*    3440 */   // Label 189: @3440
     /*    3440 */   GIM_Try, /*On fail goto*//*Label 190*/ GIMT_Encode4(3501), // Rule ID 62593 //
     /*    3445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*    3448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    3460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*    3464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*    3468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*    3472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3482 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    3484 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULA:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*    3487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*    3489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*    3491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    3495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*    3499 */     GIR_RootConstrainSelectedInstOperands,
     /*    3500 */     // GIR_Coverage, 62593,
     /*    3500 */     GIR_EraseRootFromParent_Done,
     /*    3501 */   // Label 190: @3501
     /*    3501 */   GIM_Try, /*On fail goto*//*Label 191*/ GIMT_Encode4(3528), // Rule ID 79 //
     /*    3506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*    3509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3521 */     // (add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (ADD:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*    3521 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*    3526 */     GIR_RootConstrainSelectedInstOperands,
     /*    3527 */     // GIR_Coverage, 79,
     /*    3527 */     GIR_Done,
     /*    3528 */   // Label 191: @3528
     /*    3528 */   GIM_Reject,
     /*    3529 */ // Label 151: @3529
     /*    3529 */ GIM_Reject,
     /*    3530 */ // Label 127: @3530
     /*    3530 */ GIM_Try, /*On fail goto*//*Label 192*/ GIMT_Encode4(11429),
     /*    3535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*    3538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*    3541 */   GIM_Try, /*On fail goto*//*Label 193*/ GIMT_Encode4(3636), // Rule ID 2606 //
     /*    3546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3553 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:10:x
     /*    3557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3569 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3585 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3594 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3598 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3609 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:10:y
     /*    3613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3617 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3621 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3623 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:10:x, GPR:{ *:[i64] }:$rs2:$pred:10:y)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    3626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3634 */     GIR_RootConstrainSelectedInstOperands,
     /*    3635 */     // GIR_Coverage, 2606,
     /*    3635 */     GIR_EraseRootFromParent_Done,
     /*    3636 */   // Label 193: @3636
     /*    3636 */   GIM_Try, /*On fail goto*//*Label 194*/ GIMT_Encode4(3731), // Rule ID 2610 //
     /*    3641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3648 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:12:x
     /*    3652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3664 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3668 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3672 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3676 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3680 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3689 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3693 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3704 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:12:y
     /*    3708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3712 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3718 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x, GPR:{ *:[i64] }:$rs2:$pred:12:y)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    3721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3729 */     GIR_RootConstrainSelectedInstOperands,
     /*    3730 */     // GIR_Coverage, 2610,
     /*    3730 */     GIR_EraseRootFromParent_Done,
     /*    3731 */   // Label 194: @3731
     /*    3731 */   GIM_Try, /*On fail goto*//*Label 195*/ GIMT_Encode4(3826), // Rule ID 65068 //
     /*    3736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    3739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3743 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:40:x
     /*    3747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3755 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3759 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3775 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3779 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3784 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    3788 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    3799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:40:y
     /*    3803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3807 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3811 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3813 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:40:x, GPR:{ *:[i64] }:$rs2:$pred:40:y)<<P:40:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    3816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3824 */     GIR_RootConstrainSelectedInstOperands,
     /*    3825 */     // GIR_Coverage, 65068,
     /*    3825 */     GIR_EraseRootFromParent_Done,
     /*    3826 */   // Label 195: @3826
     /*    3826 */   GIM_Try, /*On fail goto*//*Label 196*/ GIMT_Encode4(3921), // Rule ID 65072 //
     /*    3831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    3834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3838 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:42:x
     /*    3842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3854 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3858 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3862 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3866 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3870 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3874 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3879 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    3883 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    3894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:42:y
     /*    3898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3902 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    3906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    3908 */     // (add:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:42:x, GPR:{ *:[i64] }:$rs2:$pred:42:y)<<P:42:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    3908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    3911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    3913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    3917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    3919 */     GIR_RootConstrainSelectedInstOperands,
     /*    3920 */     // GIR_Coverage, 65072,
     /*    3920 */     GIR_EraseRootFromParent_Done,
     /*    3921 */   // Label 196: @3921
     /*    3921 */   GIM_Try, /*On fail goto*//*Label 197*/ GIMT_Encode4(4016), // Rule ID 2601 //
     /*    3926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    3929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3933 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:8:x
     /*    3937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    3941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    3945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    3949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    3953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    3957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    3961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    3965 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    3969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3974 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    3985 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    3989 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:8:y
     /*    3993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    3997 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4001 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4003 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x, GPR:{ *:[i64] }:$rs2:$pred:8:y)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4014 */     GIR_RootConstrainSelectedInstOperands,
     /*    4015 */     // GIR_Coverage, 2601,
     /*    4015 */     GIR_EraseRootFromParent_Done,
     /*    4016 */   // Label 197: @4016
     /*    4016 */   GIM_Try, /*On fail goto*//*Label 198*/ GIMT_Encode4(4111), // Rule ID 2620 //
     /*    4021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4028 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:16:x
     /*    4032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4040 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4044 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4048 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4052 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4056 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4060 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4069 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4080 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    4084 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:16:y
     /*    4088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4092 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4098 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:16:x, GPR:{ *:[i64] }:$rs2:$pred:16:y)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4109 */     GIR_RootConstrainSelectedInstOperands,
     /*    4110 */     // GIR_Coverage, 2620,
     /*    4110 */     GIR_EraseRootFromParent_Done,
     /*    4111 */   // Label 198: @4111
     /*    4111 */   GIM_Try, /*On fail goto*//*Label 199*/ GIMT_Encode4(4206), // Rule ID 2625 //
     /*    4116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4123 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:18:x
     /*    4127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4155 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4164 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4175 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    4179 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:18:y
     /*    4183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4187 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4193 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:18:x, GPR:{ *:[i64] }:$rs2:$pred:18:y)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    4196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4204 */     GIR_RootConstrainSelectedInstOperands,
     /*    4205 */     // GIR_Coverage, 2625,
     /*    4205 */     GIR_EraseRootFromParent_Done,
     /*    4206 */   // Label 199: @4206
     /*    4206 */   GIM_Try, /*On fail goto*//*Label 200*/ GIMT_Encode4(4301), // Rule ID 65053 //
     /*    4211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4218 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:34:x
     /*    4222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4250 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4259 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4270 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    4274 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:34:y
     /*    4278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4282 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4286 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4288 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:34:x, GPR:{ *:[i64] }:$rs2:$pred:34:y)<<P:34:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    4291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4299 */     GIR_RootConstrainSelectedInstOperands,
     /*    4300 */     // GIR_Coverage, 65053,
     /*    4300 */     GIR_EraseRootFromParent_Done,
     /*    4301 */   // Label 200: @4301
     /*    4301 */   GIM_Try, /*On fail goto*//*Label 201*/ GIMT_Encode4(4396), // Rule ID 65058 //
     /*    4306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4313 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:36:x
     /*    4317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4329 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4333 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4337 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4341 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4345 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4354 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4365 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    4369 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:36:y
     /*    4373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4377 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4383 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:36:x, GPR:{ *:[i64] }:$rs2:$pred:36:y)<<P:36:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    4386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4394 */     GIR_RootConstrainSelectedInstOperands,
     /*    4395 */     // GIR_Coverage, 65058,
     /*    4395 */     GIR_EraseRootFromParent_Done,
     /*    4396 */   // Label 201: @4396
     /*    4396 */   GIM_Try, /*On fail goto*//*Label 202*/ GIMT_Encode4(4491), // Rule ID 65063 //
     /*    4401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4408 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:38:x
     /*    4412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    4416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4440 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4444 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4449 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4460 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    4464 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:38:y
     /*    4468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4472 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4478 */     // (add:{ *:[i64] } (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:38:x, GPR:{ *:[i64] }:$rs2:$pred:38:y)<<P:38:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    4481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    4489 */     GIR_RootConstrainSelectedInstOperands,
     /*    4490 */     // GIR_Coverage, 65063,
     /*    4490 */     GIR_EraseRootFromParent_Done,
     /*    4491 */   // Label 202: @4491
     /*    4491 */   GIM_Try, /*On fail goto*//*Label 203*/ GIMT_Encode4(4586), // Rule ID 65523 //
     /*    4496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4503 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:10:y
     /*    4507 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4511 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:10:x
     /*    4515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4543 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4552 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    4556 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    4567 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4573 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:10:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:10:x)<<P:10:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4584 */     GIR_RootConstrainSelectedInstOperands,
     /*    4585 */     // GIR_Coverage, 65523,
     /*    4585 */     GIR_EraseRootFromParent_Done,
     /*    4586 */   // Label 203: @4586
     /*    4586 */   GIM_Try, /*On fail goto*//*Label 204*/ GIMT_Encode4(4681), // Rule ID 65527 //
     /*    4591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4598 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:12:y
     /*    4602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4606 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:12:x
     /*    4610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4622 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4626 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4630 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4634 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4638 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4647 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4651 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    4662 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4666 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4668 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:12:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:12:x)<<P:12:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    4671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4679 */     GIR_RootConstrainSelectedInstOperands,
     /*    4680 */     // GIR_Coverage, 65527,
     /*    4680 */     GIR_EraseRootFromParent_Done,
     /*    4681 */   // Label 204: @4681
     /*    4681 */   GIM_Try, /*On fail goto*//*Label 205*/ GIMT_Encode4(4776), // Rule ID 74406 //
     /*    4686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4693 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:40:y
     /*    4697 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4701 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:40:x
     /*    4705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4721 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4725 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4729 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4733 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4742 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 1,
     /*    4746 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934591),
     /*    4757 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4763 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:40:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), 8589934591:{ *:[i64] }):$pred:40:x)<<P:40:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    4766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4774 */     GIR_RootConstrainSelectedInstOperands,
     /*    4775 */     // GIR_Coverage, 74406,
     /*    4775 */     GIR_EraseRootFromParent_Done,
     /*    4776 */   // Label 205: @4776
     /*    4776 */   GIM_Try, /*On fail goto*//*Label 206*/ GIMT_Encode4(4871), // Rule ID 74410 //
     /*    4781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    4784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4788 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:42:y
     /*    4792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4796 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:42:x
     /*    4800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4808 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4812 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4816 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4820 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4824 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4828 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4837 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 2,
     /*    4841 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869183),
     /*    4852 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4856 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4858 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:42:y, (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), 17179869183:{ *:[i64] }):$pred:42:x)<<P:42:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    4861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4869 */     GIR_RootConstrainSelectedInstOperands,
     /*    4870 */     // GIR_Coverage, 74410,
     /*    4870 */     GIR_EraseRootFromParent_Done,
     /*    4871 */   // Label 206: @4871
     /*    4871 */   GIM_Try, /*On fail goto*//*Label 207*/ GIMT_Encode4(4966), // Rule ID 65519 //
     /*    4876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4883 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:8:y
     /*    4887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4891 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:8:x
     /*    4895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    4907 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    4911 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    4915 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    4919 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    4923 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    4927 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4932 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    4943 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    4947 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    4951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    4953 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:8:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:8:x)<<P:8:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    4953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    4956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    4958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    4962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    4964 */     GIR_RootConstrainSelectedInstOperands,
     /*    4965 */     // GIR_Coverage, 65519,
     /*    4965 */     GIR_EraseRootFromParent_Done,
     /*    4966 */   // Label 207: @4966
     /*    4966 */   GIM_Try, /*On fail goto*//*Label 208*/ GIMT_Encode4(5061), // Rule ID 65535 //
     /*    4971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    4974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4978 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:16:y
     /*    4982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    4986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:16:x
     /*    4990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    4994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    4998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5027 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5038 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5042 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5048 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:16:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:16:x)<<P:16:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5059 */     GIR_RootConstrainSelectedInstOperands,
     /*    5060 */     // GIR_Coverage, 65535,
     /*    5060 */     GIR_EraseRootFromParent_Done,
     /*    5061 */   // Label 208: @5061
     /*    5061 */   GIM_Try, /*On fail goto*//*Label 209*/ GIMT_Encode4(5156), // Rule ID 65539 //
     /*    5066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5073 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:18:y
     /*    5077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:18:x
     /*    5085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5113 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5122 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5133 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5137 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5143 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:18:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:18:x)<<P:18:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5154 */     GIR_RootConstrainSelectedInstOperands,
     /*    5155 */     // GIR_Coverage, 65539,
     /*    5155 */     GIR_EraseRootFromParent_Done,
     /*    5156 */   // Label 209: @5156
     /*    5156 */   GIM_Try, /*On fail goto*//*Label 210*/ GIMT_Encode4(5251), // Rule ID 74394 //
     /*    5161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5168 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:34:y
     /*    5172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5176 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:34:x
     /*    5180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5208 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5217 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5228 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    5232 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5238 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:34:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 1:{ *:[i64] }):$pred:34:x)<<P:34:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    5241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5249 */     GIR_RootConstrainSelectedInstOperands,
     /*    5250 */     // GIR_Coverage, 74394,
     /*    5250 */     GIR_EraseRootFromParent_Done,
     /*    5251 */   // Label 210: @5251
     /*    5251 */   GIM_Try, /*On fail goto*//*Label 211*/ GIMT_Encode4(5346), // Rule ID 74398 //
     /*    5256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5263 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:36:y
     /*    5267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5271 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:36:x
     /*    5275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5303 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5307 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5312 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5323 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    5327 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5333 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:36:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 2:{ *:[i64] }):$pred:36:x)<<P:36:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    5336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5338 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5344 */     GIR_RootConstrainSelectedInstOperands,
     /*    5345 */     // GIR_Coverage, 74398,
     /*    5345 */     GIR_EraseRootFromParent_Done,
     /*    5346 */   // Label 211: @5346
     /*    5346 */   GIM_Try, /*On fail goto*//*Label 212*/ GIMT_Encode4(5441), // Rule ID 74402 //
     /*    5351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    5354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5358 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:38:y
     /*    5362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5366 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:38:x
     /*    5370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    5374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    5378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    5382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    5386 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*    5390 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*    5394 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*    5398 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*    5402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5407 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*    5418 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    5422 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5426 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*    5428 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:38:y, (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), 3:{ *:[i64] }):$pred:38:x)<<P:38:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    5431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*    5437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    5439 */     GIR_RootConstrainSelectedInstOperands,
     /*    5440 */     // GIR_Coverage, 74402,
     /*    5440 */     GIR_EraseRootFromParent_Done,
     /*    5441 */   // Label 212: @5441
     /*    5441 */   GIM_Try, /*On fail goto*//*Label 213*/ GIMT_Encode4(5489), // Rule ID 2565 //
     /*    5446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5453 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:2:x
     /*    5457 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:2:y
     /*    5461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5465 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5476 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:2:x, GPR:{ *:[i64] }:$rs2:$pred:2:y)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    5479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5481 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5487 */     GIR_RootConstrainSelectedInstOperands,
     /*    5488 */     // GIR_Coverage, 2565,
     /*    5488 */     GIR_EraseRootFromParent_Done,
     /*    5489 */   // Label 213: @5489
     /*    5489 */   GIM_Try, /*On fail goto*//*Label 214*/ GIMT_Encode4(5537), // Rule ID 2575 //
     /*    5494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5501 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:4:x
     /*    5505 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:4:y
     /*    5509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5513 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5524 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:4:x, GPR:{ *:[i64] }:$rs2:$pred:4:y)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    5527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5529 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5535 */     GIR_RootConstrainSelectedInstOperands,
     /*    5536 */     // GIR_Coverage, 2575,
     /*    5536 */     GIR_EraseRootFromParent_Done,
     /*    5537 */   // Label 214: @5537
     /*    5537 */   GIM_Try, /*On fail goto*//*Label 215*/ GIMT_Encode4(5585), // Rule ID 2585 //
     /*    5542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    5545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5549 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:6:x
     /*    5553 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:6:y
     /*    5557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5561 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    5572 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:6:x, GPR:{ *:[i64] }:$rs2:$pred:6:y)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    5575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5577 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5583 */     GIR_RootConstrainSelectedInstOperands,
     /*    5584 */     // GIR_Coverage, 2585,
     /*    5584 */     GIR_EraseRootFromParent_Done,
     /*    5585 */   // Label 215: @5585
     /*    5585 */   GIM_Try, /*On fail goto*//*Label 216*/ GIMT_Encode4(5633), // Rule ID 2604 //
     /*    5590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5597 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:9:x
     /*    5601 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:9:y
     /*    5605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5609 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    5620 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:9:x, GPR:{ *:[i64] }:$rs2:$pred:9:y)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    5623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5625 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5631 */     GIR_RootConstrainSelectedInstOperands,
     /*    5632 */     // GIR_Coverage, 2604,
     /*    5632 */     GIR_EraseRootFromParent_Done,
     /*    5633 */   // Label 216: @5633
     /*    5633 */   GIM_Try, /*On fail goto*//*Label 217*/ GIMT_Encode4(5681), // Rule ID 2623 //
     /*    5638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5645 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:17:x
     /*    5649 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:17:y
     /*    5653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5657 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    5668 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:17:x, GPR:{ *:[i64] }:$rs2:$pred:17:y)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    5671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5673 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5679 */     GIR_RootConstrainSelectedInstOperands,
     /*    5680 */     // GIR_Coverage, 2623,
     /*    5680 */     GIR_EraseRootFromParent_Done,
     /*    5681 */   // Label 217: @5681
     /*    5681 */   GIM_Try, /*On fail goto*//*Label 218*/ GIMT_Encode4(5729), // Rule ID 2628 //
     /*    5686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    5689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5693 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:19:x
     /*    5697 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:19:y
     /*    5701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5705 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    5716 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:19:x, GPR:{ *:[i64] }:$rs2:$pred:19:y)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    5719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5721 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5727 */     GIR_RootConstrainSelectedInstOperands,
     /*    5728 */     // GIR_Coverage, 2628,
     /*    5728 */     GIR_EraseRootFromParent_Done,
     /*    5729 */   // Label 218: @5729
     /*    5729 */   GIM_Try, /*On fail goto*//*Label 219*/ GIMT_Encode4(5780), // Rule ID 62531 //
     /*    5734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5741 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:24:x
     /*    5745 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:24:y
     /*    5749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5764 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs2:$pred:24:x, GPR:{ *:[i64] }:$rs1:$pred:24:y)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    5764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5771 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    5778 */     GIR_RootConstrainSelectedInstOperands,
     /*    5779 */     // GIR_Coverage, 62531,
     /*    5779 */     GIR_EraseRootFromParent_Done,
     /*    5780 */   // Label 219: @5780
     /*    5780 */   GIM_Try, /*On fail goto*//*Label 220*/ GIMT_Encode4(5831), // Rule ID 62535 //
     /*    5785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5792 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:25:x
     /*    5796 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:25:y
     /*    5800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5804 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5815 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs2:$pred:25:x, GPR:{ *:[i64] }:$rs1:$pred:25:y)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    5815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5822 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    5829 */     GIR_RootConstrainSelectedInstOperands,
     /*    5830 */     // GIR_Coverage, 62535,
     /*    5830 */     GIR_EraseRootFromParent_Done,
     /*    5831 */   // Label 220: @5831
     /*    5831 */   GIM_Try, /*On fail goto*//*Label 221*/ GIMT_Encode4(5882), // Rule ID 62539 //
     /*    5836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    5839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5843 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:26:x
     /*    5847 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:26:y
     /*    5851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5855 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    5866 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs2:$pred:26:x, GPR:{ *:[i64] }:$rs1:$pred:26:y)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    5866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    5869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*    5873 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    5877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    5880 */     GIR_RootConstrainSelectedInstOperands,
     /*    5881 */     // GIR_Coverage, 62539,
     /*    5881 */     GIR_EraseRootFromParent_Done,
     /*    5882 */   // Label 221: @5882
     /*    5882 */   GIM_Try, /*On fail goto*//*Label 222*/ GIMT_Encode4(5930), // Rule ID 65017 //
     /*    5887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5894 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:28:x
     /*    5898 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:28:y
     /*    5902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5906 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    5917 */     // (add:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1:$pred:28:x, GPR:{ *:[i64] }:$rs2:$pred:28:y)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    5920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5922 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5928 */     GIR_RootConstrainSelectedInstOperands,
     /*    5929 */     // GIR_Coverage, 65017,
     /*    5929 */     GIR_EraseRootFromParent_Done,
     /*    5930 */   // Label 222: @5930
     /*    5930 */   GIM_Try, /*On fail goto*//*Label 223*/ GIMT_Encode4(5978), // Rule ID 65027 //
     /*    5935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5942 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:30:x
     /*    5946 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:30:y
     /*    5950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5954 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    5958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    5965 */     // (add:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1:$pred:30:x, GPR:{ *:[i64] }:$rs2:$pred:30:y)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    5965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    5968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    5970 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    5974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    5976 */     GIR_RootConstrainSelectedInstOperands,
     /*    5977 */     // GIR_Coverage, 65027,
     /*    5977 */     GIR_EraseRootFromParent_Done,
     /*    5978 */   // Label 223: @5978
     /*    5978 */   GIM_Try, /*On fail goto*//*Label 224*/ GIMT_Encode4(6026), // Rule ID 65037 //
     /*    5983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    5986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    5990 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:32:x
     /*    5994 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:32:y
     /*    5998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6002 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6013 */     // (add:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1:$pred:32:x, GPR:{ *:[i64] }:$rs2:$pred:32:y)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    6016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6018 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6024 */     GIR_RootConstrainSelectedInstOperands,
     /*    6025 */     // GIR_Coverage, 65037,
     /*    6025 */     GIR_EraseRootFromParent_Done,
     /*    6026 */   // Label 224: @6026
     /*    6026 */   GIM_Try, /*On fail goto*//*Label 225*/ GIMT_Encode4(6074), // Rule ID 65056 //
     /*    6031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6038 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:35:x
     /*    6042 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:35:y
     /*    6046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6050 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6061 */     // (add:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1:$pred:35:x, GPR:{ *:[i64] }:$rs2:$pred:35:y)<<P:35:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    6064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6066 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6072 */     GIR_RootConstrainSelectedInstOperands,
     /*    6073 */     // GIR_Coverage, 65056,
     /*    6073 */     GIR_EraseRootFromParent_Done,
     /*    6074 */   // Label 225: @6074
     /*    6074 */   GIM_Try, /*On fail goto*//*Label 226*/ GIMT_Encode4(6122), // Rule ID 65061 //
     /*    6079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6086 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:37:x
     /*    6090 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:37:y
     /*    6094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6098 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6109 */     // (add:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1:$pred:37:x, GPR:{ *:[i64] }:$rs2:$pred:37:y)<<P:37:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    6112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6114 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6120 */     GIR_RootConstrainSelectedInstOperands,
     /*    6121 */     // GIR_Coverage, 65061,
     /*    6121 */     GIR_EraseRootFromParent_Done,
     /*    6122 */   // Label 226: @6122
     /*    6122 */   GIM_Try, /*On fail goto*//*Label 227*/ GIMT_Encode4(6170), // Rule ID 65066 //
     /*    6127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6134 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:39:x
     /*    6138 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:39:y
     /*    6142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6146 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6157 */     // (add:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1:$pred:39:x, GPR:{ *:[i64] }:$rs2:$pred:39:y)<<P:39:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    6160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6162 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6168 */     GIR_RootConstrainSelectedInstOperands,
     /*    6169 */     // GIR_Coverage, 65066,
     /*    6169 */     GIR_EraseRootFromParent_Done,
     /*    6170 */   // Label 227: @6170
     /*    6170 */   GIM_Try, /*On fail goto*//*Label 228*/ GIMT_Encode4(6218), // Rule ID 65496 //
     /*    6175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6182 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:2:y
     /*    6186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6190 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:2:x
     /*    6194 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6205 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:2:y, sh1add_op:{ *:[i64] }:$rs1:$pred:2:x)<<P:2:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    6208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6210 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6216 */     GIR_RootConstrainSelectedInstOperands,
     /*    6217 */     // GIR_Coverage, 65496,
     /*    6217 */     GIR_EraseRootFromParent_Done,
     /*    6218 */   // Label 228: @6218
     /*    6218 */   GIM_Try, /*On fail goto*//*Label 229*/ GIMT_Encode4(6266), // Rule ID 65504 //
     /*    6223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6230 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:4:y
     /*    6234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6238 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:4:x
     /*    6242 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6253 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:4:y, sh2add_op:{ *:[i64] }:$rs1:$pred:4:x)<<P:4:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    6256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6258 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6264 */     GIR_RootConstrainSelectedInstOperands,
     /*    6265 */     // GIR_Coverage, 65504,
     /*    6265 */     GIR_EraseRootFromParent_Done,
     /*    6266 */   // Label 229: @6266
     /*    6266 */   GIM_Try, /*On fail goto*//*Label 230*/ GIMT_Encode4(6314), // Rule ID 65512 //
     /*    6271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    6274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6278 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:6:y
     /*    6282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6286 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:6:x
     /*    6290 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6301 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:6:y, sh3add_op:{ *:[i64] }:$rs1:$pred:6:x)<<P:6:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    6304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6306 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6312 */     GIR_RootConstrainSelectedInstOperands,
     /*    6313 */     // GIR_Coverage, 65512,
     /*    6313 */     GIR_EraseRootFromParent_Done,
     /*    6314 */   // Label 230: @6314
     /*    6314 */   GIM_Try, /*On fail goto*//*Label 231*/ GIMT_Encode4(6362), // Rule ID 65521 //
     /*    6319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6326 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:9:y
     /*    6330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6334 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:9:x
     /*    6338 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6349 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:9:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:9:x)<<P:9:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    6352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6354 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6360 */     GIR_RootConstrainSelectedInstOperands,
     /*    6361 */     // GIR_Coverage, 65521,
     /*    6361 */     GIR_EraseRootFromParent_Done,
     /*    6362 */   // Label 231: @6362
     /*    6362 */   GIM_Try, /*On fail goto*//*Label 232*/ GIMT_Encode4(6410), // Rule ID 65537 //
     /*    6367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6374 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:17:y
     /*    6378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6382 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:17:x
     /*    6386 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6397 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:17:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:17:x)<<P:17:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    6400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6402 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6408 */     GIR_RootConstrainSelectedInstOperands,
     /*    6409 */     // GIR_Coverage, 65537,
     /*    6409 */     GIR_EraseRootFromParent_Done,
     /*    6410 */   // Label 232: @6410
     /*    6410 */   GIM_Try, /*On fail goto*//*Label 233*/ GIMT_Encode4(6458), // Rule ID 65541 //
     /*    6415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6422 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:19:y
     /*    6426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6430 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:19:x
     /*    6434 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6445 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:19:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:19:x)<<P:19:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    6448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6450 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6456 */     GIR_RootConstrainSelectedInstOperands,
     /*    6457 */     // GIR_Coverage, 65541,
     /*    6457 */     GIR_EraseRootFromParent_Done,
     /*    6458 */   // Label 233: @6458
     /*    6458 */   GIM_Try, /*On fail goto*//*Label 234*/ GIMT_Encode4(6509), // Rule ID 74330 //
     /*    6463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6470 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:24:y
     /*    6474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6478 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:24:x
     /*    6482 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6493 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:24:y, sh1add_op:{ *:[i64] }:$rs2:$pred:24:x)<<P:24:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh1add_op:{ *:[i64] }:$rs2, 1:{ *:[i64] })
     /*    6493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6500 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*    6507 */     GIR_RootConstrainSelectedInstOperands,
     /*    6508 */     // GIR_Coverage, 74330,
     /*    6508 */     GIR_EraseRootFromParent_Done,
     /*    6509 */   // Label 234: @6509
     /*    6509 */   GIM_Try, /*On fail goto*//*Label 235*/ GIMT_Encode4(6560), // Rule ID 74334 //
     /*    6514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6521 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:25:y
     /*    6525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6529 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:25:x
     /*    6533 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6544 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:25:y, sh2add_op:{ *:[i64] }:$rs2:$pred:25:x)<<P:25:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh2add_op:{ *:[i64] }:$rs2, 2:{ *:[i64] })
     /*    6544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6551 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*    6558 */     GIR_RootConstrainSelectedInstOperands,
     /*    6559 */     // GIR_Coverage, 74334,
     /*    6559 */     GIR_EraseRootFromParent_Done,
     /*    6560 */   // Label 235: @6560
     /*    6560 */   GIM_Try, /*On fail goto*//*Label 236*/ GIMT_Encode4(6611), // Rule ID 74338 //
     /*    6565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*    6568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6572 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:26:y
     /*    6576 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6580 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:26:x
     /*    6584 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6595 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:26:y, sh3add_op:{ *:[i64] }:$rs2:$pred:26:x)<<P:26:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, sh3add_op:{ *:[i64] }:$rs2, 3:{ *:[i64] })
     /*    6595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*    6598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*    6602 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs2
     /*    6606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*    6609 */     GIR_RootConstrainSelectedInstOperands,
     /*    6610 */     // GIR_Coverage, 74338,
     /*    6610 */     GIR_EraseRootFromParent_Done,
     /*    6611 */   // Label 236: @6611
     /*    6611 */   GIM_Try, /*On fail goto*//*Label 237*/ GIMT_Encode4(6659), // Rule ID 74371 //
     /*    6616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6623 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:28:y
     /*    6627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6631 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:28:x
     /*    6635 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_op),
     /*    6646 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:28:y, sh1add_op:{ *:[i64] }:$rs1:$pred:28:x)<<P:28:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } sh1add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    6649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6651 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6657 */     GIR_RootConstrainSelectedInstOperands,
     /*    6658 */     // GIR_Coverage, 74371,
     /*    6658 */     GIR_EraseRootFromParent_Done,
     /*    6659 */   // Label 237: @6659
     /*    6659 */   GIM_Try, /*On fail goto*//*Label 238*/ GIMT_Encode4(6707), // Rule ID 74379 //
     /*    6664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6671 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:30:y
     /*    6675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6679 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:30:x
     /*    6683 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_op),
     /*    6694 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:30:y, sh2add_op:{ *:[i64] }:$rs1:$pred:30:x)<<P:30:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } sh2add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    6697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6699 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6705 */     GIR_RootConstrainSelectedInstOperands,
     /*    6706 */     // GIR_Coverage, 74379,
     /*    6706 */     GIR_EraseRootFromParent_Done,
     /*    6707 */   // Label 238: @6707
     /*    6707 */   GIM_Try, /*On fail goto*//*Label 239*/ GIMT_Encode4(6755), // Rule ID 74387 //
     /*    6712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    6715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6719 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:32:y
     /*    6723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6727 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:32:x
     /*    6731 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_op),
     /*    6742 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:32:y, sh3add_op:{ *:[i64] }:$rs1:$pred:32:x)<<P:32:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } sh3add_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    6745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6747 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6753 */     GIR_RootConstrainSelectedInstOperands,
     /*    6754 */     // GIR_Coverage, 74387,
     /*    6754 */     GIR_EraseRootFromParent_Done,
     /*    6755 */   // Label 239: @6755
     /*    6755 */   GIM_Try, /*On fail goto*//*Label 240*/ GIMT_Encode4(6803), // Rule ID 74396 //
     /*    6760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6767 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:35:y
     /*    6771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6775 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:35:x
     /*    6779 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh1add_uw_op),
     /*    6790 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:35:y, sh1add_uw_op:{ *:[i64] }:$rs1:$pred:35:x)<<P:35:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } sh1add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    6793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6795 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6801 */     GIR_RootConstrainSelectedInstOperands,
     /*    6802 */     // GIR_Coverage, 74396,
     /*    6802 */     GIR_EraseRootFromParent_Done,
     /*    6803 */   // Label 240: @6803
     /*    6803 */   GIM_Try, /*On fail goto*//*Label 241*/ GIMT_Encode4(6851), // Rule ID 74400 //
     /*    6808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6815 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:37:y
     /*    6819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6823 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:37:x
     /*    6827 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh2add_uw_op),
     /*    6838 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:37:y, sh2add_uw_op:{ *:[i64] }:$rs1:$pred:37:x)<<P:37:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } sh2add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    6841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6843 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6849 */     GIR_RootConstrainSelectedInstOperands,
     /*    6850 */     // GIR_Coverage, 74400,
     /*    6850 */     GIR_EraseRootFromParent_Done,
     /*    6851 */   // Label 241: @6851
     /*    6851 */   GIM_Try, /*On fail goto*//*Label 242*/ GIMT_Encode4(6899), // Rule ID 74404 //
     /*    6856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    6859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6863 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:39:y
     /*    6867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6871 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:39:x
     /*    6875 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sh3add_uw_op),
     /*    6886 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:39:y, sh3add_uw_op:{ *:[i64] }:$rs1:$pred:39:x)<<P:39:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } sh3add_uw_op:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    6889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6891 */     GIR_ComplexRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), // rs1
     /*    6895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    6897 */     GIR_RootConstrainSelectedInstOperands,
     /*    6898 */     // GIR_Coverage, 74404,
     /*    6898 */     GIR_EraseRootFromParent_Done,
     /*    6899 */   // Label 242: @6899
     /*    6899 */   GIM_Try, /*On fail goto*//*Label 243*/ GIMT_Encode4(6974), // Rule ID 2596 //
     /*    6904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6911 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:7:x
     /*    6915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    6927 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    6931 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6936 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    6947 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:7:y
     /*    6951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6955 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    6959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    6961 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x, GPR:{ *:[i64] }:$rs2:$pred:7:y)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    6961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    6964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    6966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    6970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    6972 */     GIR_RootConstrainSelectedInstOperands,
     /*    6973 */     // GIR_Coverage, 2596,
     /*    6973 */     GIR_EraseRootFromParent_Done,
     /*    6974 */   // Label 243: @6974
     /*    6974 */   GIM_Try, /*On fail goto*//*Label 244*/ GIMT_Encode4(7069), // Rule ID 2608 //
     /*    6979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    6982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    6986 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:11:x
     /*    6990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    6994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    6998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7002 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7011 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    7022 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:11:y
     /*    7026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7030 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7036 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:11:x, GPR:{ *:[i64] }:$rs2:$pred:11:y)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7048 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7052 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    7060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7067 */     GIR_RootConstrainSelectedInstOperands,
     /*    7068 */     // GIR_Coverage, 2608,
     /*    7068 */     GIR_EraseRootFromParent_Done,
     /*    7069 */   // Label 244: @7069
     /*    7069 */   GIM_Try, /*On fail goto*//*Label 245*/ GIMT_Encode4(7164), // Rule ID 2612 //
     /*    7074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7081 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:13:x
     /*    7085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7106 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    7117 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:13:y
     /*    7121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7125 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7131 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:13:x, GPR:{ *:[i64] }:$rs2:$pred:13:y)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7143 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7147 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    7155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7162 */     GIR_RootConstrainSelectedInstOperands,
     /*    7163 */     // GIR_Coverage, 2612,
     /*    7163 */     GIR_EraseRootFromParent_Done,
     /*    7164 */   // Label 245: @7164
     /*    7164 */   GIM_Try, /*On fail goto*//*Label 246*/ GIMT_Encode4(7259), // Rule ID 2614 //
     /*    7169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7176 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:14:x
     /*    7180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7201 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7212 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:14:y
     /*    7216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7220 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7226 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:14:x, GPR:{ *:[i64] }:$rs2:$pred:14:y)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7242 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7245 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    7250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7252 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7257 */     GIR_RootConstrainSelectedInstOperands,
     /*    7258 */     // GIR_Coverage, 2614,
     /*    7258 */     GIR_EraseRootFromParent_Done,
     /*    7259 */   // Label 246: @7259
     /*    7259 */   GIM_Try, /*On fail goto*//*Label 247*/ GIMT_Encode4(7354), // Rule ID 2616 //
     /*    7264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7271 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:15:x
     /*    7275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7296 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    7307 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:15:y
     /*    7311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7315 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7321 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:15:x, GPR:{ *:[i64] }:$rs2:$pred:15:y)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7333 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7337 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    7345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7352 */     GIR_RootConstrainSelectedInstOperands,
     /*    7353 */     // GIR_Coverage, 2616,
     /*    7353 */     GIR_EraseRootFromParent_Done,
     /*    7354 */   // Label 247: @7354
     /*    7354 */   GIM_Try, /*On fail goto*//*Label 248*/ GIMT_Encode4(7449), // Rule ID 2630 //
     /*    7359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7366 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:20:x
     /*    7370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7382 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7391 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    7402 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:20:y
     /*    7406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7410 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7416 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:20:x, GPR:{ *:[i64] }:$rs2:$pred:20:y)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7428 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7432 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    7440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7447 */     GIR_RootConstrainSelectedInstOperands,
     /*    7448 */     // GIR_Coverage, 2630,
     /*    7448 */     GIR_EraseRootFromParent_Done,
     /*    7449 */   // Label 248: @7449
     /*    7449 */   GIM_Try, /*On fail goto*//*Label 249*/ GIMT_Encode4(7544), // Rule ID 2632 //
     /*    7454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7461 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:21:x
     /*    7465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7477 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7486 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    7497 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:21:y
     /*    7501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7505 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7511 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:21:x, GPR:{ *:[i64] }:$rs2:$pred:21:y)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7523 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7527 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    7535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7542 */     GIR_RootConstrainSelectedInstOperands,
     /*    7543 */     // GIR_Coverage, 2632,
     /*    7543 */     GIR_EraseRootFromParent_Done,
     /*    7544 */   // Label 249: @7544
     /*    7544 */   GIM_Try, /*On fail goto*//*Label 250*/ GIMT_Encode4(7639), // Rule ID 2634 //
     /*    7549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    7552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:22:x
     /*    7560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7568 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7572 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7581 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7592 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:22:y
     /*    7596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7600 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7606 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:22:x, GPR:{ *:[i64] }:$rs2:$pred:22:y)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7622 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    7630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7637 */     GIR_RootConstrainSelectedInstOperands,
     /*    7638 */     // GIR_Coverage, 2634,
     /*    7638 */     GIR_EraseRootFromParent_Done,
     /*    7639 */   // Label 250: @7639
     /*    7639 */   GIM_Try, /*On fail goto*//*Label 251*/ GIMT_Encode4(7714), // Rule ID 65048 //
     /*    7644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7651 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:33:x
     /*    7655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7667 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7671 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7676 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    7687 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:33:y
     /*    7691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7695 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7701 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:33:x, GPR:{ *:[i64] }:$rs2:$pred:33:y)<<P:33:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    7701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*    7704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7712 */     GIR_RootConstrainSelectedInstOperands,
     /*    7713 */     // GIR_Coverage, 65048,
     /*    7713 */     GIR_EraseRootFromParent_Done,
     /*    7714 */   // Label 251: @7714
     /*    7714 */   GIM_Try, /*On fail goto*//*Label 252*/ GIMT_Encode4(7809), // Rule ID 65070 //
     /*    7719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7726 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:41:x
     /*    7730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7751 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    7762 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:41:y
     /*    7766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7770 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7776 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:41:x, GPR:{ *:[i64] }:$rs2:$pred:41:y)<<P:41:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7788 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7792 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    7795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    7800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7807 */     GIR_RootConstrainSelectedInstOperands,
     /*    7808 */     // GIR_Coverage, 65070,
     /*    7808 */     GIR_EraseRootFromParent_Done,
     /*    7809 */   // Label 252: @7809
     /*    7809 */   GIM_Try, /*On fail goto*//*Label 253*/ GIMT_Encode4(7904), // Rule ID 65074 //
     /*    7814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7821 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:43:x
     /*    7825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7846 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    7857 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:43:y
     /*    7861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7865 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7871 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:43:x, GPR:{ *:[i64] }:$rs2:$pred:43:y)<<P:43:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    7878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7883 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7887 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    7890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    7895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7902 */     GIR_RootConstrainSelectedInstOperands,
     /*    7903 */     // GIR_Coverage, 65074,
     /*    7903 */     GIR_EraseRootFromParent_Done,
     /*    7904 */   // Label 253: @7904
     /*    7904 */   GIM_Try, /*On fail goto*//*Label 254*/ GIMT_Encode4(7999), // Rule ID 65076 //
     /*    7909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    7912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7916 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:44:x
     /*    7920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    7924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    7928 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    7932 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    7936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7941 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    7952 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:44:y
     /*    7956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    7960 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    7964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    7966 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:44:x, GPR:{ *:[i64] }:$rs2:$pred:44:y)<<P:44:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    7966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    7969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    7973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    7978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    7982 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    7985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    7987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    7990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    7992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    7995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    7997 */     GIR_RootConstrainSelectedInstOperands,
     /*    7998 */     // GIR_Coverage, 65076,
     /*    7998 */     GIR_EraseRootFromParent_Done,
     /*    7999 */   // Label 254: @7999
     /*    7999 */   GIM_Try, /*On fail goto*//*Label 255*/ GIMT_Encode4(8094), // Rule ID 65078 //
     /*    8004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8011 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:45:x
     /*    8015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8031 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8036 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    8047 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:45:y
     /*    8051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8055 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8061 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:45:x, GPR:{ *:[i64] }:$rs2:$pred:45:y)<<P:45:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    8068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8077 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8092 */     GIR_RootConstrainSelectedInstOperands,
     /*    8093 */     // GIR_Coverage, 65078,
     /*    8093 */     GIR_EraseRootFromParent_Done,
     /*    8094 */   // Label 255: @8094
     /*    8094 */   GIM_Try, /*On fail goto*//*Label 256*/ GIMT_Encode4(8189), // Rule ID 65080 //
     /*    8099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8106 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:46:x
     /*    8110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8118 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8122 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8131 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    8142 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:46:y
     /*    8146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8150 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8156 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:46:x, GPR:{ *:[i64] }:$rs2:$pred:46:y)<<P:46:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8168 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8172 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    8175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    8180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8187 */     GIR_RootConstrainSelectedInstOperands,
     /*    8188 */     // GIR_Coverage, 65080,
     /*    8188 */     GIR_EraseRootFromParent_Done,
     /*    8189 */   // Label 256: @8189
     /*    8189 */   GIM_Try, /*On fail goto*//*Label 257*/ GIMT_Encode4(8284), // Rule ID 65082 //
     /*    8194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8201 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:47:x
     /*    8205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8217 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8226 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    8237 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:47:y
     /*    8241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8245 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8251 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:47:x, GPR:{ *:[i64] }:$rs2:$pred:47:y)<<P:47:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8263 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8267 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    8270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    8275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8282 */     GIR_RootConstrainSelectedInstOperands,
     /*    8283 */     // GIR_Coverage, 65082,
     /*    8283 */     GIR_EraseRootFromParent_Done,
     /*    8284 */   // Label 257: @8284
     /*    8284 */   GIM_Try, /*On fail goto*//*Label 258*/ GIMT_Encode4(8379), // Rule ID 65084 //
     /*    8289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    8292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8296 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:48:x
     /*    8300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8312 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8321 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    8332 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:48:y
     /*    8336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8340 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8346 */     // (add:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:48:x, GPR:{ *:[i64] }:$rs2:$pred:48:y)<<P:48:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    8353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8358 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8362 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    8365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    8370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8377 */     GIR_RootConstrainSelectedInstOperands,
     /*    8378 */     // GIR_Coverage, 65084,
     /*    8378 */     GIR_EraseRootFromParent_Done,
     /*    8379 */   // Label 258: @8379
     /*    8379 */   GIM_Try, /*On fail goto*//*Label 259*/ GIMT_Encode4(8447), // Rule ID 2559 //
     /*    8384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8391 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:1:x
     /*    8395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8407 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8416 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    8420 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:1:y
     /*    8424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8428 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8434 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x, GPR:{ *:[i64] }:$rs2:$pred:1:y)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    8437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8445 */     GIR_RootConstrainSelectedInstOperands,
     /*    8446 */     // GIR_Coverage, 2559,
     /*    8446 */     GIR_EraseRootFromParent_Done,
     /*    8447 */   // Label 259: @8447
     /*    8447 */   GIM_Try, /*On fail goto*//*Label 260*/ GIMT_Encode4(8515), // Rule ID 2569 //
     /*    8452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8459 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:3:x
     /*    8463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8484 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    8488 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:3:y
     /*    8492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8496 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8502 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x, GPR:{ *:[i64] }:$rs2:$pred:3:y)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    8505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8513 */     GIR_RootConstrainSelectedInstOperands,
     /*    8514 */     // GIR_Coverage, 2569,
     /*    8514 */     GIR_EraseRootFromParent_Done,
     /*    8515 */   // Label 260: @8515
     /*    8515 */   GIM_Try, /*On fail goto*//*Label 261*/ GIMT_Encode4(8583), // Rule ID 2579 //
     /*    8520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*    8523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8527 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:5:x
     /*    8531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8552 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    8556 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:5:y
     /*    8560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8564 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8570 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x, GPR:{ *:[i64] }:$rs2:$pred:5:y)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    8573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8581 */     GIR_RootConstrainSelectedInstOperands,
     /*    8582 */     // GIR_Coverage, 2579,
     /*    8582 */     GIR_EraseRootFromParent_Done,
     /*    8583 */   // Label 261: @8583
     /*    8583 */   GIM_Try, /*On fail goto*//*Label 262*/ GIMT_Encode4(8651), // Rule ID 65011 //
     /*    8588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8595 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:27:x
     /*    8599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8620 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*    8624 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:27:y
     /*    8628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8632 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8638 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:27:x, GPR:{ *:[i64] }:$rs2:$pred:27:y)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*    8641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8649 */     GIR_RootConstrainSelectedInstOperands,
     /*    8650 */     // GIR_Coverage, 65011,
     /*    8650 */     GIR_EraseRootFromParent_Done,
     /*    8651 */   // Label 262: @8651
     /*    8651 */   GIM_Try, /*On fail goto*//*Label 263*/ GIMT_Encode4(8719), // Rule ID 65021 //
     /*    8656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8663 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:29:x
     /*    8667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8688 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*    8692 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:29:y
     /*    8696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8700 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8706 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:29:x, GPR:{ *:[i64] }:$rs2:$pred:29:y)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*    8709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8717 */     GIR_RootConstrainSelectedInstOperands,
     /*    8718 */     // GIR_Coverage, 65021,
     /*    8718 */     GIR_EraseRootFromParent_Done,
     /*    8719 */   // Label 263: @8719
     /*    8719 */   GIM_Try, /*On fail goto*//*Label 264*/ GIMT_Encode4(8787), // Rule ID 65031 //
     /*    8724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*    8727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8731 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:31:x
     /*    8735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*    8739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*    8743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8747 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8756 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*    8760 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:31:y
     /*    8764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8768 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8774 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:31:x, GPR:{ *:[i64] }:$rs2:$pred:31:y)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*    8777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*    8785 */     GIR_RootConstrainSelectedInstOperands,
     /*    8786 */     // GIR_Coverage, 65031,
     /*    8786 */     GIR_EraseRootFromParent_Done,
     /*    8787 */   // Label 264: @8787
     /*    8787 */   GIM_Try, /*On fail goto*//*Label 265*/ GIMT_Encode4(8862), // Rule ID 65515 //
     /*    8792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8799 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:7:y
     /*    8803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8807 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:7:x
     /*    8811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8819 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8823 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8832 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    8843 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8849 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:7:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:7:x)<<P:7:Predicate_add_like_non_imm12>>  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    8849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*    8852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    8860 */     GIR_RootConstrainSelectedInstOperands,
     /*    8861 */     // GIR_Coverage, 65515,
     /*    8861 */     GIR_EraseRootFromParent_Done,
     /*    8862 */   // Label 265: @8862
     /*    8862 */   GIM_Try, /*On fail goto*//*Label 266*/ GIMT_Encode4(8957), // Rule ID 65525 //
     /*    8867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8874 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:11:y
     /*    8878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8882 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:11:x
     /*    8886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8894 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8898 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8907 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    8918 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    8922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    8924 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:11:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:11:x)<<P:11:Predicate_add_like_non_imm12>>  =>  (SH1ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    8924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    8927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    8931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    8936 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    8940 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    8943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    8945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD_UW),
     /*    8948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    8950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    8953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    8955 */     GIR_RootConstrainSelectedInstOperands,
     /*    8956 */     // GIR_Coverage, 65525,
     /*    8956 */     GIR_EraseRootFromParent_Done,
     /*    8957 */   // Label 266: @8957
     /*    8957 */   GIM_Try, /*On fail goto*//*Label 267*/ GIMT_Encode4(9052), // Rule ID 65529 //
     /*    8962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    8965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8969 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:13:y
     /*    8973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    8977 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:13:x
     /*    8981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    8985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    8989 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    8993 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    8997 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9002 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    9013 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9019 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:13:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:13:x)<<P:13:Predicate_add_like_non_imm12>>  =>  (SH2ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9031 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9035 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD_UW),
     /*    9043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9050 */     GIR_RootConstrainSelectedInstOperands,
     /*    9051 */     // GIR_Coverage, 65529,
     /*    9051 */     GIR_EraseRootFromParent_Done,
     /*    9052 */   // Label 267: @9052
     /*    9052 */   GIM_Try, /*On fail goto*//*Label 268*/ GIMT_Encode4(9147), // Rule ID 65531 //
     /*    9057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9064 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:14:y
     /*    9068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9072 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:14:x
     /*    9076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9097 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9108 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9114 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:14:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:14:x)<<P:14:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9126 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9130 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    9138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9145 */     GIR_RootConstrainSelectedInstOperands,
     /*    9146 */     // GIR_Coverage, 65531,
     /*    9146 */     GIR_EraseRootFromParent_Done,
     /*    9147 */   // Label 268: @9147
     /*    9147 */   GIM_Try, /*On fail goto*//*Label 269*/ GIMT_Encode4(9242), // Rule ID 65533 //
     /*    9152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9159 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:15:y
     /*    9163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9167 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:15:x
     /*    9171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9183 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9192 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    9203 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9209 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:15:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:15:x)<<P:15:Predicate_add_like_non_imm12>>  =>  (SH3ADD_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9221 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9225 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD_UW),
     /*    9233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9240 */     GIR_RootConstrainSelectedInstOperands,
     /*    9241 */     // GIR_Coverage, 65533,
     /*    9241 */     GIR_EraseRootFromParent_Done,
     /*    9242 */   // Label 269: @9242
     /*    9242 */   GIM_Try, /*On fail goto*//*Label 270*/ GIMT_Encode4(9337), // Rule ID 65543 //
     /*    9247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9254 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:20:y
     /*    9258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9262 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:20:x
     /*    9266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9278 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9282 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9287 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*    9298 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9302 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9304 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:20:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:20:x)<<P:20:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9316 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9320 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*    9328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9335 */     GIR_RootConstrainSelectedInstOperands,
     /*    9336 */     // GIR_Coverage, 65543,
     /*    9336 */     GIR_EraseRootFromParent_Done,
     /*    9337 */   // Label 270: @9337
     /*    9337 */   GIM_Try, /*On fail goto*//*Label 271*/ GIMT_Encode4(9432), // Rule ID 65545 //
     /*    9342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9349 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:21:y
     /*    9353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9357 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:21:x
     /*    9361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9382 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*    9393 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9399 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:21:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:21:x)<<P:21:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9411 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9415 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*    9423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9430 */     GIR_RootConstrainSelectedInstOperands,
     /*    9431 */     // GIR_Coverage, 65545,
     /*    9431 */     GIR_EraseRootFromParent_Done,
     /*    9432 */   // Label 271: @9432
     /*    9432 */   GIM_Try, /*On fail goto*//*Label 272*/ GIMT_Encode4(9527), // Rule ID 65547 //
     /*    9437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*    9440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9444 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:22:y
     /*    9448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9452 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:22:x
     /*    9456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9472 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9477 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9488 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9494 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:22:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:22:x)<<P:22:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9506 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9510 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*    9518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9525 */     GIR_RootConstrainSelectedInstOperands,
     /*    9526 */     // GIR_Coverage, 65547,
     /*    9526 */     GIR_EraseRootFromParent_Done,
     /*    9527 */   // Label 272: @9527
     /*    9527 */   GIM_Try, /*On fail goto*//*Label 273*/ GIMT_Encode4(9602), // Rule ID 74390 //
     /*    9532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9539 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:33:y
     /*    9543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9547 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:33:x
     /*    9551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9559 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9563 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9572 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*    9583 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9589 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:33:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }):$pred:33:x)<<P:33:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*    9589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*    9592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9600 */     GIR_RootConstrainSelectedInstOperands,
     /*    9601 */     // GIR_Coverage, 74390,
     /*    9601 */     GIR_EraseRootFromParent_Done,
     /*    9602 */   // Label 273: @9602
     /*    9602 */   GIM_Try, /*On fail goto*//*Label 274*/ GIMT_Encode4(9697), // Rule ID 74408 //
     /*    9607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9614 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:41:y
     /*    9618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9622 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:41:x
     /*    9626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9634 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9638 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9647 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(8589934590),
     /*    9658 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9664 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:41:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 8589934590:{ *:[i64] }):$pred:41:x)<<P:41:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9664 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9667 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9671 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9676 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9680 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*    9683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*    9688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9695 */     GIR_RootConstrainSelectedInstOperands,
     /*    9696 */     // GIR_Coverage, 74408,
     /*    9696 */     GIR_EraseRootFromParent_Done,
     /*    9697 */   // Label 274: @9697
     /*    9697 */   GIM_Try, /*On fail goto*//*Label 275*/ GIMT_Encode4(9792), // Rule ID 74412 //
     /*    9702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9709 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:43:y
     /*    9713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9717 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:43:x
     /*    9721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9729 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9733 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9742 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(17179869180),
     /*    9753 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9759 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:43:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 17179869180:{ *:[i64] }):$pred:43:x)<<P:43:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9771 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9775 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*    9778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*    9783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9790 */     GIR_RootConstrainSelectedInstOperands,
     /*    9791 */     // GIR_Coverage, 74412,
     /*    9791 */     GIR_EraseRootFromParent_Done,
     /*    9792 */   // Label 275: @9792
     /*    9792 */   GIM_Try, /*On fail goto*//*Label 276*/ GIMT_Encode4(9887), // Rule ID 74414 //
     /*    9797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9804 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:44:y
     /*    9808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9812 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:44:x
     /*    9816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9828 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9837 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*    9848 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9854 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:44:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:44:x)<<P:44:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*    9861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9866 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9870 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    9878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9885 */     GIR_RootConstrainSelectedInstOperands,
     /*    9886 */     // GIR_Coverage, 74414,
     /*    9886 */     GIR_EraseRootFromParent_Done,
     /*    9887 */   // Label 276: @9887
     /*    9887 */   GIM_Try, /*On fail goto*//*Label 277*/ GIMT_Encode4(9982), // Rule ID 74416 //
     /*    9892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9899 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:45:y
     /*    9903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9907 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:45:x
     /*    9911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*    9915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*    9919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*    9923 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*    9927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9932 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(34359738360),
     /*    9943 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*    9947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*    9949 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:45:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 34359738360:{ *:[i64] }):$pred:45:x)<<P:45:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*    9949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*    9952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*    9956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*    9961 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*    9965 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*    9968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*    9970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*    9973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*    9975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*    9978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*    9980 */     GIR_RootConstrainSelectedInstOperands,
     /*    9981 */     // GIR_Coverage, 74416,
     /*    9981 */     GIR_EraseRootFromParent_Done,
     /*    9982 */   // Label 277: @9982
     /*    9982 */   GIM_Try, /*On fail goto*//*Label 278*/ GIMT_Encode4(10077), // Rule ID 74418 //
     /*    9987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*    9990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*    9994 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:46:y
     /*    9998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10002 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:46:x
     /*   10006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10027 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967294),
     /*   10038 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10044 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:46:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967294:{ *:[i64] }):$pred:46:x)<<P:46:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10056 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10060 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/1,
     /*   10063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H_ZE),
     /*   10068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10075 */     GIR_RootConstrainSelectedInstOperands,
     /*   10076 */     // GIR_Coverage, 74418,
     /*   10076 */     GIR_EraseRootFromParent_Done,
     /*   10077 */   // Label 278: @10077
     /*   10077 */   GIM_Try, /*On fail goto*//*Label 279*/ GIMT_Encode4(10172), // Rule ID 74420 //
     /*   10082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10089 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:47:y
     /*   10093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10097 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:47:x
     /*   10101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10109 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10113 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10122 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967292),
     /*   10133 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10139 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:47:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967292:{ *:[i64] }):$pred:47:x)<<P:47:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10151 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10155 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/2,
     /*   10158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W_ZE),
     /*   10163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10170 */     GIR_RootConstrainSelectedInstOperands,
     /*   10171 */     // GIR_Coverage, 74420,
     /*   10171 */     GIR_EraseRootFromParent_Done,
     /*   10172 */   // Label 279: @10172
     /*   10172 */   GIM_Try, /*On fail goto*//*Label 280*/ GIMT_Encode4(10267), // Rule ID 74422 //
     /*   10177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*   10180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10184 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:48:y
     /*   10188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10192 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:48:x
     /*   10196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   10204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10217 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967288),
     /*   10228 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10234 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:48:y, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967288:{ *:[i64] }):$pred:48:x)<<P:48:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D_ZE:{ *:[i64] } (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)
     /*   10234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*   10241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10246 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10250 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/3,
     /*   10253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D_ZE),
     /*   10258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10265 */     GIR_RootConstrainSelectedInstOperands,
     /*   10266 */     // GIR_Coverage, 74422,
     /*   10266 */     GIR_EraseRootFromParent_Done,
     /*   10267 */   // Label 280: @10267
     /*   10267 */   GIM_Try, /*On fail goto*//*Label 281*/ GIMT_Encode4(10335), // Rule ID 65492 //
     /*   10272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10279 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:1:y
     /*   10283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10287 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:1:x
     /*   10291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10312 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   10316 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10322 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:1:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:1:x)<<P:1:Predicate_add_like_non_imm12>>  =>  (SH1ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH1ADD),
     /*   10325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10331 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10333 */     GIR_RootConstrainSelectedInstOperands,
     /*   10334 */     // GIR_Coverage, 65492,
     /*   10334 */     GIR_EraseRootFromParent_Done,
     /*   10335 */   // Label 281: @10335
     /*   10335 */   GIM_Try, /*On fail goto*//*Label 282*/ GIMT_Encode4(10403), // Rule ID 65500 //
     /*   10340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10347 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:3:y
     /*   10351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10355 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:3:x
     /*   10359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10371 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10375 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10380 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*   10384 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10390 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:3:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:3:x)<<P:3:Predicate_add_like_non_imm12>>  =>  (SH2ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH2ADD),
     /*   10393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10401 */     GIR_RootConstrainSelectedInstOperands,
     /*   10402 */     // GIR_Coverage, 65500,
     /*   10402 */     GIR_EraseRootFromParent_Done,
     /*   10403 */   // Label 282: @10403
     /*   10403 */   GIM_Try, /*On fail goto*//*Label 283*/ GIMT_Encode4(10471), // Rule ID 65508 //
     /*   10408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_HwMode0),
     /*   10411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10415 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:5:y
     /*   10419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10423 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:5:x
     /*   10427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10439 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10448 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*   10452 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10458 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:5:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:5:x)<<P:5:Predicate_add_like_non_imm12>>  =>  (SH3ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH3ADD),
     /*   10461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10469 */     GIR_RootConstrainSelectedInstOperands,
     /*   10470 */     // GIR_Coverage, 65508,
     /*   10470 */     GIR_EraseRootFromParent_Done,
     /*   10471 */   // Label 283: @10471
     /*   10471 */   GIM_Try, /*On fail goto*//*Label 284*/ GIMT_Encode4(10539), // Rule ID 74367 //
     /*   10476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10483 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:27:y
     /*   10487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10491 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:27:x
     /*   10495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10503 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10507 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10516 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   10520 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10526 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:27:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] }):$pred:27:x)<<P:27:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_H),
     /*   10529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10537 */     GIR_RootConstrainSelectedInstOperands,
     /*   10538 */     // GIR_Coverage, 74367,
     /*   10538 */     GIR_EraseRootFromParent_Done,
     /*   10539 */   // Label 284: @10539
     /*   10539 */   GIM_Try, /*On fail goto*//*Label 285*/ GIMT_Encode4(10607), // Rule ID 74375 //
     /*   10544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10551 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:29:y
     /*   10555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10559 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:29:x
     /*   10563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10575 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10584 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 2,
     /*   10588 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10594 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:29:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 2:{ *:[i64] }):$pred:29:x)<<P:29:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_W),
     /*   10597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10605 */     GIR_RootConstrainSelectedInstOperands,
     /*   10606 */     // GIR_Coverage, 74375,
     /*   10606 */     GIR_EraseRootFromParent_Done,
     /*   10607 */   // Label 285: @10607
     /*   10607 */   GIM_Try, /*On fail goto*//*Label 286*/ GIMT_Encode4(10675), // Rule ID 74383 //
     /*   10612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /*   10615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10619 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:31:y
     /*   10623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10627 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:31:x
     /*   10631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10652 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 3,
     /*   10656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10662 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs2:$pred:31:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 3:{ *:[i64] }):$pred:31:x)<<P:31:Predicate_add_like_non_imm12>>  =>  (NDS_LEA_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   10662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_D),
     /*   10665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   10671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   10673 */     GIR_RootConstrainSelectedInstOperands,
     /*   10674 */     // GIR_Coverage, 74383,
     /*   10674 */     GIR_EraseRootFromParent_Done,
     /*   10675 */   // Label 286: @10675
     /*   10675 */   GIM_Try, /*On fail goto*//*Label 287*/ GIMT_Encode4(10754), // Rule ID 62525 //
     /*   10680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*   10683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10687 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/0, // Name : pred:23:x
     /*   10691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10712 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   10716 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10720 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*   10724 */     // MIs[2] Operand 1
     /*   10724 */     // No operand predicates
     /*   10724 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/1, // Name : pred:23:y
     /*   10728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10732 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10736 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10738 */     // (add:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x, GPR:{ *:[i64] }:$rs1:$pred:23:y)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*   10738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*   10741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*   10745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   10749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*   10752 */     GIR_RootConstrainSelectedInstOperands,
     /*   10753 */     // GIR_Coverage, 62525,
     /*   10753 */     GIR_EraseRootFromParent_Done,
     /*   10754 */   // Label 287: @10754
     /*   10754 */   GIM_Try, /*On fail goto*//*Label 288*/ GIMT_Encode4(10833), // Rule ID 74326 //
     /*   10759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBa_HwMode0),
     /*   10762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10766 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/1, /*StoreIdx*/1, // Name : pred:23:y
     /*   10770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10774 */     GIM_RecordNamedOperand, /*MI*/0, /*Op*/2, /*StoreIdx*/0, // Name : pred:23:x
     /*   10778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*   10786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   10790 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   10794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*   10803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10807 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm2),
     /*   10811 */     // MIs[2] Operand 1
     /*   10811 */     // No operand predicates
     /*   10811 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_add_like_non_imm12),
     /*   10815 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10817 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1:$pred:23:y, (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2):$pred:23:x)<<P:23:Predicate_add_like_non_imm12>>  =>  (TH_ADDSL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm2>>:$uimm2)
     /*   10817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_ADDSL),
     /*   10820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   10828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // uimm2
     /*   10831 */     GIR_RootConstrainSelectedInstOperands,
     /*   10832 */     // GIR_Coverage, 74326,
     /*   10832 */     GIR_EraseRootFromParent_Done,
     /*   10833 */   // Label 288: @10833
     /*   10833 */   GIM_Try, /*On fail goto*//*Label 289*/ GIMT_Encode4(10882), // Rule ID 120 //
     /*   10838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   10841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   10849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FRAME_INDEX),
     /*   10853 */     // MIs[1] Operand 1
     /*   10853 */     // No operand predicates
     /*   10853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   10857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10861 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   10865 */     // MIs[2] Operand 1
     /*   10865 */     // No operand predicates
     /*   10865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   10867 */     // (add:{ *:[i64] } (frameindex:{ *:[i64] }):$fi, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)  =>  (ADDI:{ *:[i64] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[i64] }:$fi), (imm:{ *:[i64] })<<P:Predicate_simm12>>:$offset)
     /*   10867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   10870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10872 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*   10877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // offset
     /*   10880 */     GIR_RootConstrainSelectedInstOperands,
     /*   10881 */     // GIR_Coverage, 120,
     /*   10881 */     GIR_EraseRootFromParent_Done,
     /*   10882 */   // Label 289: @10882
     /*   10882 */   GIM_Try, /*On fail goto*//*Label 290*/ GIMT_Encode4(10928), // Rule ID 271 //
     /*   10887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   10890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   10910 */     // MIs[1] Operand 1
     /*   10910 */     // No operand predicates
     /*   10910 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10025),
     /*   10914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10916 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)<<P:Predicate_anonymous_10025>>  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   10916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   10923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   10926 */     GIR_RootConstrainSelectedInstOperands,
     /*   10927 */     // GIR_Coverage, 271,
     /*   10927 */     GIR_EraseRootFromParent_Done,
     /*   10928 */   // Label 290: @10928
     /*   10928 */   GIM_Try, /*On fail goto*//*Label 291*/ GIMT_Encode4(11004), // Rule ID 293 //
     /*   10933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   10936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   10944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   10948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   10952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*   10956 */     // MIs[1] Operand 1
     /*   10956 */     // No operand predicates
     /*   10956 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10053),
     /*   10960 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10025),
     /*   10964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   10966 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10053>>:$rs2)<<P:Predicate_anonymous_10025>>  =>  (ADDIW:{ *:[i64] } (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*   10966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   10969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   10978 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   10982 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*   10987 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   10989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /*   10992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   10994 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   10997 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*   11002 */     GIR_RootConstrainSelectedInstOperands,
     /*   11003 */     // GIR_Coverage, 293,
     /*   11003 */     GIR_EraseRootFromParent_Done,
     /*   11004 */   // Label 291: @11004
     /*   11004 */   GIM_Try, /*On fail goto*//*Label 292*/ GIMT_Encode4(11069), // Rule ID 74342 //
     /*   11009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   11012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11046 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10025),
     /*   11050 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11052 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)<<P:Predicate_anonymous_10025>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*   11055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11067 */     GIR_RootConstrainSelectedInstOperands,
     /*   11068 */     // GIR_Coverage, 74342,
     /*   11068 */     GIR_EraseRootFromParent_Done,
     /*   11069 */   // Label 292: @11069
     /*   11069 */   GIM_Try, /*On fail goto*//*Label 293*/ GIMT_Encode4(11134), // Rule ID 62596 //
     /*   11074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   11077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11081 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11097 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11111 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10025),
     /*   11115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11117 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10025>>  =>  (TH_MULAW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULAW),
     /*   11120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11132 */     GIR_RootConstrainSelectedInstOperands,
     /*   11133 */     // GIR_Coverage, 62596,
     /*   11133 */     GIR_EraseRootFromParent_Done,
     /*   11134 */   // Label 293: @11134
     /*   11134 */   GIM_Try, /*On fail goto*//*Label 294*/ GIMT_Encode4(11176), // Rule ID 80 //
     /*   11139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*   11162 */     // MIs[1] Operand 1
     /*   11162 */     // No operand predicates
     /*   11162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11164 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*   11164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*   11174 */     GIR_RootConstrainSelectedInstOperands,
     /*   11175 */     // GIR_Coverage, 80,
     /*   11175 */     GIR_EraseRootFromParent_Done,
     /*   11176 */   // Label 294: @11176
     /*   11176 */   GIM_Try, /*On fail goto*//*Label 295*/ GIMT_Encode4(11248), // Rule ID 291 //
     /*   11181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*   11200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_AddiPair),
     /*   11204 */     // MIs[1] Operand 1
     /*   11204 */     // No operand predicates
     /*   11204 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10053),
     /*   11208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11210 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_AddiPair>><<P:Predicate_anonymous_10053>>:$rs2)  =>  (ADDI:{ *:[i64] } (ADDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (AddiPairImmLarge:{ *:[i64] } (imm:{ *:[i64] }):$rs2)), (AddiPairImmSmall:{ *:[i64] } (imm:{ *:[i64] }):$rs2))
     /*   11210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   11213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11222 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*   11226 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmLarge), // rs2
     /*   11231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*   11236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11241 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderAddiPairImmSmall), // rs2
     /*   11246 */     GIR_RootConstrainSelectedInstOperands,
     /*   11247 */     // GIR_Coverage, 291,
     /*   11247 */     GIR_EraseRootFromParent_Done,
     /*   11248 */   // Label 295: @11248
     /*   11248 */   GIM_Try, /*On fail goto*//*Label 296*/ GIMT_Encode4(11309), // Rule ID 74340 //
     /*   11253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   11256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11272 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11292 */     // (add:{ *:[i64] } (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rd)  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*   11295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11307 */     GIR_RootConstrainSelectedInstOperands,
     /*   11308 */     // GIR_Coverage, 74340,
     /*   11308 */     GIR_EraseRootFromParent_Done,
     /*   11309 */   // Label 296: @11309
     /*   11309 */   GIM_Try, /*On fail goto*//*Label 297*/ GIMT_Encode4(11370), // Rule ID 62592 //
     /*   11314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   11317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11333 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   11337 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   11341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11353 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULA:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULA),
     /*   11356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   11358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   11360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   11368 */     GIR_RootConstrainSelectedInstOperands,
     /*   11369 */     // GIR_Coverage, 62592,
     /*   11369 */     GIR_EraseRootFromParent_Done,
     /*   11370 */   // Label 297: @11370
     /*   11370 */   GIM_Try, /*On fail goto*//*Label 298*/ GIMT_Encode4(11401), // Rule ID 270 //
     /*   11375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   11378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11390 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10025),
     /*   11394 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10025>>  =>  (ADDW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADDW),
     /*   11399 */     GIR_RootConstrainSelectedInstOperands,
     /*   11400 */     // GIR_Coverage, 270,
     /*   11400 */     GIR_Done,
     /*   11401 */   // Label 298: @11401
     /*   11401 */   GIM_Try, /*On fail goto*//*Label 299*/ GIMT_Encode4(11428), // Rule ID 78 //
     /*   11406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   11409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   11421 */     // (add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (ADD:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   11421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ADD),
     /*   11426 */     GIR_RootConstrainSelectedInstOperands,
     /*   11427 */     // GIR_Coverage, 78,
     /*   11427 */     GIR_Done,
     /*   11428 */   // Label 299: @11428
     /*   11428 */   GIM_Reject,
     /*   11429 */ // Label 192: @11429
     /*   11429 */ GIM_Reject,
     /*   11430 */ // Label 128: @11430
     /*   11430 */ GIM_Try, /*On fail goto*//*Label 300*/ GIMT_Encode4(11824),
     /*   11435 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11441 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11445 */   GIM_Try, /*On fail goto*//*Label 301*/ GIMT_Encode4(11513), // Rule ID 69290 //
     /*   11450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11487 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11511 */     GIR_RootConstrainSelectedInstOperands,
     /*   11512 */     // GIR_Coverage, 69290,
     /*   11512 */     GIR_EraseRootFromParent_Done,
     /*   11513 */   // Label 301: @11513
     /*   11513 */   GIM_Try, /*On fail goto*//*Label 302*/ GIMT_Encode4(11581), // Rule ID 69291 //
     /*   11518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11533 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11537 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11555 */     // (add:{ *:[nxv1i8] } (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   11555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11579 */     GIR_RootConstrainSelectedInstOperands,
     /*   11580 */     // GIR_Coverage, 69291,
     /*   11580 */     GIR_EraseRootFromParent_Done,
     /*   11581 */   // Label 302: @11581
     /*   11581 */   GIM_Try, /*On fail goto*//*Label 303*/ GIMT_Encode4(11649), // Rule ID 45916 //
     /*   11586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11623 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   11638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11647 */     GIR_RootConstrainSelectedInstOperands,
     /*   11648 */     // GIR_Coverage, 45916,
     /*   11648 */     GIR_EraseRootFromParent_Done,
     /*   11649 */   // Label 303: @11649
     /*   11649 */   GIM_Try, /*On fail goto*//*Label 304*/ GIMT_Encode4(11717), // Rule ID 45917 //
     /*   11654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   11665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   11677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   11691 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   11691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /*   11694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   11700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   11704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   11706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11715 */     GIR_RootConstrainSelectedInstOperands,
     /*   11716 */     // GIR_Coverage, 45917,
     /*   11716 */     GIR_EraseRootFromParent_Done,
     /*   11717 */   // Label 304: @11717
     /*   11717 */   GIM_Try, /*On fail goto*//*Label 305*/ GIMT_Encode4(11770), // Rule ID 45744 //
     /*   11722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11733 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   11733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   11736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*   11750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11768 */     GIR_RootConstrainSelectedInstOperands,
     /*   11769 */     // GIR_Coverage, 45744,
     /*   11769 */     GIR_EraseRootFromParent_Done,
     /*   11770 */   // Label 305: @11770
     /*   11770 */   GIM_Try, /*On fail goto*//*Label 306*/ GIMT_Encode4(11823), // Rule ID 45745 //
     /*   11775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11786 */     // (add:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   11786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   11789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   11793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   11798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   11800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*   11803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   11808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   11810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   11812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11821 */     GIR_RootConstrainSelectedInstOperands,
     /*   11822 */     // GIR_Coverage, 45745,
     /*   11822 */     GIR_EraseRootFromParent_Done,
     /*   11823 */   // Label 306: @11823
     /*   11823 */   GIM_Reject,
     /*   11824 */ // Label 300: @11824
     /*   11824 */ GIM_Reject,
     /*   11825 */ // Label 129: @11825
     /*   11825 */ GIM_Try, /*On fail goto*//*Label 307*/ GIMT_Encode4(14949),
     /*   11830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11833 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11840 */   GIM_Try, /*On fail goto*//*Label 308*/ GIMT_Encode4(11936), // Rule ID 69204 //
     /*   11845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   11848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11856 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11860 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11864 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11885 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11889 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11893 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11897 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11899 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   11910 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   11910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   11913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   11915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   11917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   11921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   11925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   11928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   11931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   11934 */     GIR_RootConstrainSelectedInstOperands,
     /*   11935 */     // GIR_Coverage, 69204,
     /*   11935 */     GIR_EraseRootFromParent_Done,
     /*   11936 */   // Label 308: @11936
     /*   11936 */   GIM_Try, /*On fail goto*//*Label 309*/ GIMT_Encode4(12032), // Rule ID 69205 //
     /*   11941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   11944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   11948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   11952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   11956 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   11960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   11962 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   11966 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11970 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11974 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   11976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   11981 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   11985 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   11989 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   11993 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   11995 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12004 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12006 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12030 */     GIR_RootConstrainSelectedInstOperands,
     /*   12031 */     // GIR_Coverage, 69205,
     /*   12031 */     GIR_EraseRootFromParent_Done,
     /*   12032 */   // Label 309: @12032
     /*   12032 */   GIM_Try, /*On fail goto*//*Label 310*/ GIMT_Encode4(12128), // Rule ID 71030 //
     /*   12037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12077 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12081 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12085 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12089 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12091 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12100 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12102 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12113 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12126 */     GIR_RootConstrainSelectedInstOperands,
     /*   12127 */     // GIR_Coverage, 71030,
     /*   12127 */     GIR_EraseRootFromParent_Done,
     /*   12128 */   // Label 310: @12128
     /*   12128 */   GIM_Try, /*On fail goto*//*Label 311*/ GIMT_Encode4(12224), // Rule ID 71031 //
     /*   12133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12152 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12173 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12177 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12181 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12185 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12187 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12196 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12198 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12209 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12222 */     GIR_RootConstrainSelectedInstOperands,
     /*   12223 */     // GIR_Coverage, 71031,
     /*   12223 */     GIR_EraseRootFromParent_Done,
     /*   12224 */   // Label 311: @12224
     /*   12224 */   GIM_Try, /*On fail goto*//*Label 312*/ GIMT_Encode4(12320), // Rule ID 71032 //
     /*   12229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12240 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12244 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12248 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12269 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12273 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12277 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12281 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12283 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12292 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12294 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12318 */     GIR_RootConstrainSelectedInstOperands,
     /*   12319 */     // GIR_Coverage, 71032,
     /*   12319 */     GIR_EraseRootFromParent_Done,
     /*   12320 */   // Label 312: @12320
     /*   12320 */   GIM_Try, /*On fail goto*//*Label 313*/ GIMT_Encode4(12416), // Rule ID 71033 //
     /*   12325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12358 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12360 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12365 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12369 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12373 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12377 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12379 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12388 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12390 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   12401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   12405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12414 */     GIR_RootConstrainSelectedInstOperands,
     /*   12415 */     // GIR_Coverage, 71033,
     /*   12415 */     GIR_EraseRootFromParent_Done,
     /*   12416 */   // Label 313: @12416
     /*   12416 */   GIM_Try, /*On fail goto*//*Label 314*/ GIMT_Encode4(12512), // Rule ID 70908 //
     /*   12421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12436 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12440 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12461 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12465 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12469 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12473 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12475 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12484 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12486 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   12489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12510 */     GIR_RootConstrainSelectedInstOperands,
     /*   12511 */     // GIR_Coverage, 70908,
     /*   12511 */     GIR_EraseRootFromParent_Done,
     /*   12512 */   // Label 314: @12512
     /*   12512 */   GIM_Try, /*On fail goto*//*Label 315*/ GIMT_Encode4(12608), // Rule ID 70909 //
     /*   12517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   12524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12532 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12557 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12561 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12565 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12569 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12571 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12580 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12582 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   12585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   12589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12606 */     GIR_RootConstrainSelectedInstOperands,
     /*   12607 */     // GIR_Coverage, 70909,
     /*   12607 */     GIR_EraseRootFromParent_Done,
     /*   12608 */   // Label 315: @12608
     /*   12608 */   GIM_Try, /*On fail goto*//*Label 316*/ GIMT_Encode4(12704), // Rule ID 45828 //
     /*   12613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12620 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12624 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12628 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12632 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12636 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12657 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12661 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12665 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12669 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12671 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12676 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12678 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12702 */     GIR_RootConstrainSelectedInstOperands,
     /*   12703 */     // GIR_Coverage, 45828,
     /*   12703 */     GIR_EraseRootFromParent_Done,
     /*   12704 */   // Label 316: @12704
     /*   12704 */   GIM_Try, /*On fail goto*//*Label 317*/ GIMT_Encode4(12800), // Rule ID 45829 //
     /*   12709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12728 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12732 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12746 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12748 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12753 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12757 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12761 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12765 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12767 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12772 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12774 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /*   12777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12798 */     GIR_RootConstrainSelectedInstOperands,
     /*   12799 */     // GIR_Coverage, 45829,
     /*   12799 */     GIR_EraseRootFromParent_Done,
     /*   12800 */   // Label 317: @12800
     /*   12800 */   GIM_Try, /*On fail goto*//*Label 318*/ GIMT_Encode4(12896), // Rule ID 52148 //
     /*   12805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   12808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12828 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12830 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12834 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12838 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12842 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12844 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12849 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12853 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12857 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12861 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12863 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12868 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12870 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   12870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12894 */     GIR_RootConstrainSelectedInstOperands,
     /*   12895 */     // GIR_Coverage, 52148,
     /*   12895 */     GIR_EraseRootFromParent_Done,
     /*   12896 */   // Label 318: @12896
     /*   12896 */   GIM_Try, /*On fail goto*//*Label 319*/ GIMT_Encode4(12992), // Rule ID 52149 //
     /*   12901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   12904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   12912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   12916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   12920 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   12924 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   12926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   12930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   12934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12938 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   12940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12945 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   12949 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   12953 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   12957 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   12959 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   12964 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   12966 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   12966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   12969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   12971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   12973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   12977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   12981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   12984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   12987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   12990 */     GIR_RootConstrainSelectedInstOperands,
     /*   12991 */     // GIR_Coverage, 52149,
     /*   12991 */     GIR_EraseRootFromParent_Done,
     /*   12992 */   // Label 319: @12992
     /*   12992 */   GIM_Try, /*On fail goto*//*Label 320*/ GIMT_Encode4(13088), // Rule ID 71028 //
     /*   12997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13016 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13022 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13026 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13030 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13034 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13036 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13041 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13045 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13049 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13053 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13055 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13060 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13062 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   13073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   13077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13086 */     GIR_RootConstrainSelectedInstOperands,
     /*   13087 */     // GIR_Coverage, 71028,
     /*   13087 */     GIR_EraseRootFromParent_Done,
     /*   13088 */   // Label 320: @13088
     /*   13088 */   GIM_Try, /*On fail goto*//*Label 321*/ GIMT_Encode4(13184), // Rule ID 71029 //
     /*   13093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13112 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13116 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13137 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13141 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13145 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13149 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13151 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13156 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13158 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /*   13161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   13169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   13173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13182 */     GIR_RootConstrainSelectedInstOperands,
     /*   13183 */     // GIR_Coverage, 71029,
     /*   13183 */     GIR_EraseRootFromParent_Done,
     /*   13184 */   // Label 321: @13184
     /*   13184 */   GIM_Try, /*On fail goto*//*Label 322*/ GIMT_Encode4(13280), // Rule ID 52088 //
     /*   13189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13212 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13214 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13218 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13222 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13226 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13228 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13233 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13237 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13241 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13245 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13247 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13252 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13254 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   13254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   13257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13278 */     GIR_RootConstrainSelectedInstOperands,
     /*   13279 */     // GIR_Coverage, 52088,
     /*   13279 */     GIR_EraseRootFromParent_Done,
     /*   13280 */   // Label 322: @13280
     /*   13280 */   GIM_Try, /*On fail goto*//*Label 323*/ GIMT_Encode4(13376), // Rule ID 52089 //
     /*   13285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   13296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13304 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13308 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13310 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   13314 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13318 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13322 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13324 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13329 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   13333 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13337 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13341 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   13343 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13348 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   13350 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   13350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /*   13353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   13357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   13365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13374 */     GIR_RootConstrainSelectedInstOperands,
     /*   13375 */     // GIR_Coverage, 52089,
     /*   13375 */     GIR_EraseRootFromParent_Done,
     /*   13376 */   // Label 323: @13376
     /*   13376 */   GIM_Try, /*On fail goto*//*Label 324*/ GIMT_Encode4(13465), // Rule ID 46674 //
     /*   13381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13396 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13398 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13415 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13417 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13422 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13424 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13463 */     GIR_RootConstrainSelectedInstOperands,
     /*   13464 */     // GIR_Coverage, 46674,
     /*   13464 */     GIR_EraseRootFromParent_Done,
     /*   13465 */   // Label 324: @13465
     /*   13465 */   GIM_Try, /*On fail goto*//*Label 325*/ GIMT_Encode4(13554), // Rule ID 46675 //
     /*   13470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13485 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13487 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13492 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13496 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   13500 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13504 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13513 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13552 */     GIR_RootConstrainSelectedInstOperands,
     /*   13553 */     // GIR_Coverage, 46675,
     /*   13553 */     GIR_EraseRootFromParent_Done,
     /*   13554 */   // Label 325: @13554
     /*   13554 */   GIM_Try, /*On fail goto*//*Label 326*/ GIMT_Encode4(13643), // Rule ID 45820 //
     /*   13559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13574 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13581 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13585 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13589 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13593 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13602 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*   13619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13641 */     GIR_RootConstrainSelectedInstOperands,
     /*   13642 */     // GIR_Coverage, 45820,
     /*   13642 */     GIR_EraseRootFromParent_Done,
     /*   13643 */   // Label 326: @13643
     /*   13643 */   GIM_Try, /*On fail goto*//*Label 327*/ GIMT_Encode4(13732), // Rule ID 45821 //
     /*   13648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13663 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   13678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13682 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13684 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13691 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*   13708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13730 */     GIR_RootConstrainSelectedInstOperands,
     /*   13731 */     // GIR_Coverage, 45821,
     /*   13731 */     GIR_EraseRootFromParent_Done,
     /*   13732 */   // Label 327: @13732
     /*   13732 */   GIM_Try, /*On fail goto*//*Label 328*/ GIMT_Encode4(13821), // Rule ID 46554 //
     /*   13737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13759 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13763 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13767 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13771 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13773 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13780 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   13780 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13783 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13787 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13792 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13799 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13819 */     GIR_RootConstrainSelectedInstOperands,
     /*   13820 */     // GIR_Coverage, 46554,
     /*   13820 */     GIR_EraseRootFromParent_Done,
     /*   13821 */   // Label 328: @13821
     /*   13821 */   GIM_Try, /*On fail goto*//*Label 329*/ GIMT_Encode4(13910), // Rule ID 46555 //
     /*   13826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   13852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   13856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   13860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   13862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13867 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   13869 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   13869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   13872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   13876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   13881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   13883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*   13886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   13891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   13895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   13899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   13908 */     GIR_RootConstrainSelectedInstOperands,
     /*   13909 */     // GIR_Coverage, 46555,
     /*   13909 */     GIR_EraseRootFromParent_Done,
     /*   13910 */   // Label 329: @13910
     /*   13910 */   GIM_Try, /*On fail goto*//*Label 330*/ GIMT_Encode4(13978), // Rule ID 70600 //
     /*   13915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   13918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13926 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13930 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   13934 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   13936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   13950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   13952 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   13952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   13955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   13957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   13961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   13965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   13967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   13970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   13973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   13976 */     GIR_RootConstrainSelectedInstOperands,
     /*   13977 */     // GIR_Coverage, 70600,
     /*   13977 */     GIR_EraseRootFromParent_Done,
     /*   13978 */   // Label 330: @13978
     /*   13978 */   GIM_Try, /*On fail goto*//*Label 331*/ GIMT_Encode4(14046), // Rule ID 70601 //
     /*   13983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   13986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   13990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   13994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   13998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14020 */     // (add:{ *:[nxv1i16] } (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   14020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14044 */     GIR_RootConstrainSelectedInstOperands,
     /*   14045 */     // GIR_Coverage, 70601,
     /*   14045 */     GIR_EraseRootFromParent_Done,
     /*   14046 */   // Label 331: @14046
     /*   14046 */   GIM_Try, /*On fail goto*//*Label 332*/ GIMT_Encode4(14101), // Rule ID 69592 //
     /*   14051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14079 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14099 */     GIR_RootConstrainSelectedInstOperands,
     /*   14100 */     // GIR_Coverage, 69592,
     /*   14100 */     GIR_EraseRootFromParent_Done,
     /*   14101 */   // Label 332: @14101
     /*   14101 */   GIM_Try, /*On fail goto*//*Label 333*/ GIMT_Encode4(14156), // Rule ID 69593 //
     /*   14106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14134 */     // (add:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14154 */     GIR_RootConstrainSelectedInstOperands,
     /*   14155 */     // GIR_Coverage, 69593,
     /*   14155 */     GIR_EraseRootFromParent_Done,
     /*   14156 */   // Label 333: @14156
     /*   14156 */   GIM_Try, /*On fail goto*//*Label 334*/ GIMT_Encode4(14211), // Rule ID 69200 //
     /*   14161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14189 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14209 */     GIR_RootConstrainSelectedInstOperands,
     /*   14210 */     // GIR_Coverage, 69200,
     /*   14210 */     GIR_EraseRootFromParent_Done,
     /*   14211 */   // Label 334: @14211
     /*   14211 */   GIM_Try, /*On fail goto*//*Label 335*/ GIMT_Encode4(14266), // Rule ID 69201 //
     /*   14216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14244 */     // (add:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14264 */     GIR_RootConstrainSelectedInstOperands,
     /*   14265 */     // GIR_Coverage, 69201,
     /*   14265 */     GIR_EraseRootFromParent_Done,
     /*   14266 */   // Label 335: @14266
     /*   14266 */   GIM_Try, /*On fail goto*//*Label 336*/ GIMT_Encode4(14321), // Rule ID 69502 //
     /*   14271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14286 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14288 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14299 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14319 */     GIR_RootConstrainSelectedInstOperands,
     /*   14320 */     // GIR_Coverage, 69502,
     /*   14320 */     GIR_EraseRootFromParent_Done,
     /*   14321 */   // Label 336: @14321
     /*   14321 */   GIM_Try, /*On fail goto*//*Label 337*/ GIMT_Encode4(14376), // Rule ID 69503 //
     /*   14326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14337 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14341 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14352 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14354 */     // (add:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14374 */     GIR_RootConstrainSelectedInstOperands,
     /*   14375 */     // GIR_Coverage, 69503,
     /*   14375 */     GIR_EraseRootFromParent_Done,
     /*   14376 */   // Label 337: @14376
     /*   14376 */   GIM_Try, /*On fail goto*//*Label 338*/ GIMT_Encode4(14444), // Rule ID 51868 //
     /*   14381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14384 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14418 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   14418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14442 */     GIR_RootConstrainSelectedInstOperands,
     /*   14443 */     // GIR_Coverage, 51868,
     /*   14443 */     GIR_EraseRootFromParent_Done,
     /*   14444 */   // Label 338: @14444
     /*   14444 */   GIM_Try, /*On fail goto*//*Label 339*/ GIMT_Encode4(14512), // Rule ID 51869 //
     /*   14449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14464 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   14468 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   14472 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14474 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14486 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   14486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   14489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   14495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14510 */     GIR_RootConstrainSelectedInstOperands,
     /*   14511 */     // GIR_Coverage, 51869,
     /*   14511 */     GIR_EraseRootFromParent_Done,
     /*   14512 */   // Label 339: @14512
     /*   14512 */   GIM_Try, /*On fail goto*//*Label 340*/ GIMT_Encode4(14567), // Rule ID 46734 //
     /*   14517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14545 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14565 */     GIR_RootConstrainSelectedInstOperands,
     /*   14566 */     // GIR_Coverage, 46734,
     /*   14566 */     GIR_EraseRootFromParent_Done,
     /*   14567 */   // Label 340: @14567
     /*   14567 */   GIM_Try, /*On fail goto*//*Label 341*/ GIMT_Encode4(14622), // Rule ID 46735 //
     /*   14572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   14587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14600 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14620 */     GIR_RootConstrainSelectedInstOperands,
     /*   14621 */     // GIR_Coverage, 46735,
     /*   14621 */     GIR_EraseRootFromParent_Done,
     /*   14622 */   // Label 341: @14622
     /*   14622 */   GIM_Try, /*On fail goto*//*Label 342*/ GIMT_Encode4(14677), // Rule ID 45824 //
     /*   14627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14655 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14675 */     GIR_RootConstrainSelectedInstOperands,
     /*   14676 */     // GIR_Coverage, 45824,
     /*   14676 */     GIR_EraseRootFromParent_Done,
     /*   14677 */   // Label 342: @14677
     /*   14677 */   GIM_Try, /*On fail goto*//*Label 343*/ GIMT_Encode4(14732), // Rule ID 45825 //
     /*   14682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14685 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14710 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*   14713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14730 */     GIR_RootConstrainSelectedInstOperands,
     /*   14731 */     // GIR_Coverage, 45825,
     /*   14731 */     GIR_EraseRootFromParent_Done,
     /*   14732 */   // Label 343: @14732
     /*   14732 */   GIM_Try, /*On fail goto*//*Label 344*/ GIMT_Encode4(14787), // Rule ID 46614 //
     /*   14737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14765 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   14765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14785 */     GIR_RootConstrainSelectedInstOperands,
     /*   14786 */     // GIR_Coverage, 46614,
     /*   14786 */     GIR_EraseRootFromParent_Done,
     /*   14787 */   // Label 344: @14787
     /*   14787 */   GIM_Try, /*On fail goto*//*Label 345*/ GIMT_Encode4(14842), // Rule ID 46615 //
     /*   14792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   14803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   14807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   14811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   14820 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   14820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*   14823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   14827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   14831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   14840 */     GIR_RootConstrainSelectedInstOperands,
     /*   14841 */     // GIR_Coverage, 46615,
     /*   14841 */     GIR_EraseRootFromParent_Done,
     /*   14842 */   // Label 345: @14842
     /*   14842 */   GIM_Try, /*On fail goto*//*Label 346*/ GIMT_Encode4(14895), // Rule ID 46100 //
     /*   14847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14858 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   14858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   14861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   14875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14893 */     GIR_RootConstrainSelectedInstOperands,
     /*   14894 */     // GIR_Coverage, 46100,
     /*   14894 */     GIR_EraseRootFromParent_Done,
     /*   14895 */   // Label 346: @14895
     /*   14895 */   GIM_Try, /*On fail goto*//*Label 347*/ GIMT_Encode4(14948), // Rule ID 46101 //
     /*   14900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   14903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14911 */     // (add:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   14911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   14914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   14918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   14923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   14925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   14928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   14930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   14933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   14935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   14937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   14940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   14943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   14946 */     GIR_RootConstrainSelectedInstOperands,
     /*   14947 */     // GIR_Coverage, 46101,
     /*   14947 */     GIR_EraseRootFromParent_Done,
     /*   14948 */   // Label 347: @14948
     /*   14948 */   GIM_Reject,
     /*   14949 */ // Label 307: @14949
     /*   14949 */ GIM_Reject,
     /*   14950 */ // Label 130: @14950
     /*   14950 */ GIM_Try, /*On fail goto*//*Label 348*/ GIMT_Encode4(18074),
     /*   14955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   14961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   14965 */   GIM_Try, /*On fail goto*//*Label 349*/ GIMT_Encode4(15061), // Rule ID 70806 //
     /*   14970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   14973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   14977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   14981 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   14985 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   14989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   14991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   14995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   14999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15010 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15014 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15018 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15022 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15024 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15033 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15035 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15059 */     GIR_RootConstrainSelectedInstOperands,
     /*   15060 */     // GIR_Coverage, 70806,
     /*   15060 */     GIR_EraseRootFromParent_Done,
     /*   15061 */   // Label 349: @15061
     /*   15061 */   GIM_Try, /*On fail goto*//*Label 350*/ GIMT_Encode4(15157), // Rule ID 70807 //
     /*   15066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15106 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15110 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15114 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15118 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15120 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15129 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15131 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15155 */     GIR_RootConstrainSelectedInstOperands,
     /*   15156 */     // GIR_Coverage, 70807,
     /*   15156 */     GIR_EraseRootFromParent_Done,
     /*   15157 */   // Label 350: @15157
     /*   15157 */   GIM_Try, /*On fail goto*//*Label 351*/ GIMT_Encode4(15253), // Rule ID 71066 //
     /*   15162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15177 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15183 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15187 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15191 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15195 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15197 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15202 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15206 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15210 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15214 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15216 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15225 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15227 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15251 */     GIR_RootConstrainSelectedInstOperands,
     /*   15252 */     // GIR_Coverage, 71066,
     /*   15252 */     GIR_EraseRootFromParent_Done,
     /*   15253 */   // Label 351: @15253
     /*   15253 */   GIM_Try, /*On fail goto*//*Label 352*/ GIMT_Encode4(15349), // Rule ID 71067 //
     /*   15258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15273 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15277 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15291 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15298 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15302 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15306 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15310 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15312 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15321 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15323 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15347 */     GIR_RootConstrainSelectedInstOperands,
     /*   15348 */     // GIR_Coverage, 71067,
     /*   15348 */     GIR_EraseRootFromParent_Done,
     /*   15349 */   // Label 352: @15349
     /*   15349 */   GIM_Try, /*On fail goto*//*Label 353*/ GIMT_Encode4(15445), // Rule ID 71068 //
     /*   15354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15369 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15373 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15387 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15394 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15398 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15402 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15406 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15408 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15417 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15419 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15443 */     GIR_RootConstrainSelectedInstOperands,
     /*   15444 */     // GIR_Coverage, 71068,
     /*   15444 */     GIR_EraseRootFromParent_Done,
     /*   15445 */   // Label 353: @15445
     /*   15445 */   GIM_Try, /*On fail goto*//*Label 354*/ GIMT_Encode4(15541), // Rule ID 71069 //
     /*   15450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15483 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15485 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15490 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15494 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15498 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15502 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15504 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15513 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15515 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15522 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   15526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   15530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15539 */     GIR_RootConstrainSelectedInstOperands,
     /*   15540 */     // GIR_Coverage, 71069,
     /*   15540 */     GIR_EraseRootFromParent_Done,
     /*   15541 */   // Label 354: @15541
     /*   15541 */   GIM_Try, /*On fail goto*//*Label 355*/ GIMT_Encode4(15637), // Rule ID 70920 //
     /*   15546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15579 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15586 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15590 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15594 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15598 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15600 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15609 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15611 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   15614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15635 */     GIR_RootConstrainSelectedInstOperands,
     /*   15636 */     // GIR_Coverage, 70920,
     /*   15636 */     GIR_EraseRootFromParent_Done,
     /*   15637 */   // Label 355: @15637
     /*   15637 */   GIM_Try, /*On fail goto*//*Label 356*/ GIMT_Encode4(15733), // Rule ID 70921 //
     /*   15642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   15649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15657 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15675 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15682 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15686 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15690 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15694 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15696 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15705 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15707 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   15710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   15714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15731 */     GIR_RootConstrainSelectedInstOperands,
     /*   15732 */     // GIR_Coverage, 70921,
     /*   15732 */     GIR_EraseRootFromParent_Done,
     /*   15733 */   // Label 356: @15733
     /*   15733 */   GIM_Try, /*On fail goto*//*Label 357*/ GIMT_Encode4(15829), // Rule ID 52042 //
     /*   15738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15761 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15782 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15786 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15790 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15794 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15796 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15801 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15803 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15827 */     GIR_RootConstrainSelectedInstOperands,
     /*   15828 */     // GIR_Coverage, 52042,
     /*   15828 */     GIR_EraseRootFromParent_Done,
     /*   15829 */   // Label 357: @15829
     /*   15829 */   GIM_Try, /*On fail goto*//*Label 358*/ GIMT_Encode4(15925), // Rule ID 52043 //
     /*   15834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   15837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15849 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15853 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15871 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15878 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15882 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15886 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15890 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15892 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15897 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15899 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   15899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   15902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   15904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   15906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   15910 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   15914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   15917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   15920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   15923 */     GIR_RootConstrainSelectedInstOperands,
     /*   15924 */     // GIR_Coverage, 52043,
     /*   15924 */     GIR_EraseRootFromParent_Done,
     /*   15925 */   // Label 358: @15925
     /*   15925 */   GIM_Try, /*On fail goto*//*Label 359*/ GIMT_Encode4(16021), // Rule ID 52160 //
     /*   15930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   15933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   15941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   15945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   15949 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   15953 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   15955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   15959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   15963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   15969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15974 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   15978 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   15982 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   15986 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   15988 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   15993 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   15995 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   15995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   15998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16019 */     GIR_RootConstrainSelectedInstOperands,
     /*   16020 */     // GIR_Coverage, 52160,
     /*   16020 */     GIR_EraseRootFromParent_Done,
     /*   16021 */   // Label 359: @16021
     /*   16021 */   GIM_Try, /*On fail goto*//*Label 360*/ GIMT_Encode4(16117), // Rule ID 52161 //
     /*   16026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16045 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16049 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16051 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16055 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16059 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16063 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16065 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16070 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16074 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16078 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16082 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16084 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16089 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16091 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16102 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16115 */     GIR_RootConstrainSelectedInstOperands,
     /*   16116 */     // GIR_Coverage, 52161,
     /*   16116 */     GIR_EraseRootFromParent_Done,
     /*   16117 */   // Label 360: @16117
     /*   16117 */   GIM_Try, /*On fail goto*//*Label 361*/ GIMT_Encode4(16213), // Rule ID 71064 //
     /*   16122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16141 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16145 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16166 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16170 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16174 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16178 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16180 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16185 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16187 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   16198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   16202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16211 */     GIR_RootConstrainSelectedInstOperands,
     /*   16212 */     // GIR_Coverage, 71064,
     /*   16212 */     GIR_EraseRootFromParent_Done,
     /*   16213 */   // Label 361: @16213
     /*   16213 */   GIM_Try, /*On fail goto*//*Label 362*/ GIMT_Encode4(16309), // Rule ID 71065 //
     /*   16218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16262 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16266 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16270 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16274 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16276 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16281 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16283 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   16286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   16294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   16298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16307 */     GIR_RootConstrainSelectedInstOperands,
     /*   16308 */     // GIR_Coverage, 71065,
     /*   16308 */     GIR_EraseRootFromParent_Done,
     /*   16309 */   // Label 362: @16309
     /*   16309 */   GIM_Try, /*On fail goto*//*Label 363*/ GIMT_Encode4(16405), // Rule ID 52100 //
     /*   16314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16317 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16329 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16333 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16337 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16358 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16362 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16366 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16370 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16372 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16377 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16379 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   16379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   16382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16403 */     GIR_RootConstrainSelectedInstOperands,
     /*   16404 */     // GIR_Coverage, 52100,
     /*   16404 */     GIR_EraseRootFromParent_Done,
     /*   16405 */   // Label 363: @16405
     /*   16405 */   GIM_Try, /*On fail goto*//*Label 364*/ GIMT_Encode4(16501), // Rule ID 52101 //
     /*   16410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   16421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   16425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   16429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   16433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   16439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16447 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16449 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16454 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   16458 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16462 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16466 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   16468 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16473 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   16475 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   16475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   16478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   16482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   16490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   16499 */     GIR_RootConstrainSelectedInstOperands,
     /*   16500 */     // GIR_Coverage, 52101,
     /*   16500 */     GIR_EraseRootFromParent_Done,
     /*   16501 */   // Label 364: @16501
     /*   16501 */   GIM_Try, /*On fail goto*//*Label 365*/ GIMT_Encode4(16590), // Rule ID 46698 //
     /*   16506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16549 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16588 */     GIR_RootConstrainSelectedInstOperands,
     /*   16589 */     // GIR_Coverage, 46698,
     /*   16589 */     GIR_EraseRootFromParent_Done,
     /*   16590 */   // Label 365: @16590
     /*   16590 */   GIM_Try, /*On fail goto*//*Label 366*/ GIMT_Encode4(16679), // Rule ID 46699 //
     /*   16595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   16625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16638 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16677 */     GIR_RootConstrainSelectedInstOperands,
     /*   16678 */     // GIR_Coverage, 46699,
     /*   16678 */     GIR_EraseRootFromParent_Done,
     /*   16679 */   // Label 366: @16679
     /*   16679 */   GIM_Try, /*On fail goto*//*Label 367*/ GIMT_Encode4(16768), // Rule ID 46462 //
     /*   16684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16718 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16720 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16727 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   16744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16766 */     GIR_RootConstrainSelectedInstOperands,
     /*   16767 */     // GIR_Coverage, 46462,
     /*   16767 */     GIR_EraseRootFromParent_Done,
     /*   16768 */   // Label 367: @16768
     /*   16768 */   GIM_Try, /*On fail goto*//*Label 368*/ GIMT_Encode4(16857), // Rule ID 46463 //
     /*   16773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   16803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16807 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16816 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   16833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16855 */     GIR_RootConstrainSelectedInstOperands,
     /*   16856 */     // GIR_Coverage, 46463,
     /*   16856 */     GIR_EraseRootFromParent_Done,
     /*   16857 */   // Label 368: @16857
     /*   16857 */   GIM_Try, /*On fail goto*//*Label 369*/ GIMT_Encode4(16946), // Rule ID 46578 //
     /*   16862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   16865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16896 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16905 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   16905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   16912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   16917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   16919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   16922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   16924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   16927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   16931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   16935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   16938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   16941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   16944 */     GIR_RootConstrainSelectedInstOperands,
     /*   16945 */     // GIR_Coverage, 46578,
     /*   16945 */     GIR_EraseRootFromParent_Done,
     /*   16946 */   // Label 369: @16946
     /*   16946 */   GIM_Try, /*On fail goto*//*Label 370*/ GIMT_Encode4(17035), // Rule ID 46579 //
     /*   16951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   16954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   16958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   16968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   16977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   16981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   16985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   16987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   16992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   16994 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   16994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   16997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   17011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   17016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   17020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   17024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   17033 */     GIR_RootConstrainSelectedInstOperands,
     /*   17034 */     // GIR_Coverage, 46579,
     /*   17034 */     GIR_EraseRootFromParent_Done,
     /*   17035 */   // Label 370: @17035
     /*   17035 */   GIM_Try, /*On fail goto*//*Label 371*/ GIMT_Encode4(17103), // Rule ID 70616 //
     /*   17040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17055 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17059 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17077 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   17077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17101 */     GIR_RootConstrainSelectedInstOperands,
     /*   17102 */     // GIR_Coverage, 70616,
     /*   17102 */     GIR_EraseRootFromParent_Done,
     /*   17103 */   // Label 371: @17103
     /*   17103 */   GIM_Try, /*On fail goto*//*Label 372*/ GIMT_Encode4(17171), // Rule ID 70617 //
     /*   17108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17127 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17129 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17145 */     // (add:{ *:[nxv1i32] } (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   17145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17169 */     GIR_RootConstrainSelectedInstOperands,
     /*   17170 */     // GIR_Coverage, 70617,
     /*   17170 */     GIR_EraseRootFromParent_Done,
     /*   17171 */   // Label 372: @17171
     /*   17171 */   GIM_Try, /*On fail goto*//*Label 373*/ GIMT_Encode4(17226), // Rule ID 69616 //
     /*   17176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17204 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17224 */     GIR_RootConstrainSelectedInstOperands,
     /*   17225 */     // GIR_Coverage, 69616,
     /*   17225 */     GIR_EraseRootFromParent_Done,
     /*   17226 */   // Label 373: @17226
     /*   17226 */   GIM_Try, /*On fail goto*//*Label 374*/ GIMT_Encode4(17281), // Rule ID 69617 //
     /*   17231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17259 */     // (add:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17279 */     GIR_RootConstrainSelectedInstOperands,
     /*   17280 */     // GIR_Coverage, 69617,
     /*   17280 */     GIR_EraseRootFromParent_Done,
     /*   17281 */   // Label 374: @17281
     /*   17281 */   GIM_Try, /*On fail goto*//*Label 375*/ GIMT_Encode4(17336), // Rule ID 69436 //
     /*   17286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17314 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17334 */     GIR_RootConstrainSelectedInstOperands,
     /*   17335 */     // GIR_Coverage, 69436,
     /*   17335 */     GIR_EraseRootFromParent_Done,
     /*   17336 */   // Label 375: @17336
     /*   17336 */   GIM_Try, /*On fail goto*//*Label 376*/ GIMT_Encode4(17391), // Rule ID 69437 //
     /*   17341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17369 */     // (add:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17389 */     GIR_RootConstrainSelectedInstOperands,
     /*   17390 */     // GIR_Coverage, 69437,
     /*   17390 */     GIR_EraseRootFromParent_Done,
     /*   17391 */   // Label 376: @17391
     /*   17391 */   GIM_Try, /*On fail goto*//*Label 377*/ GIMT_Encode4(17446), // Rule ID 69526 //
     /*   17396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17422 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17424 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17444 */     GIR_RootConstrainSelectedInstOperands,
     /*   17445 */     // GIR_Coverage, 69526,
     /*   17445 */     GIR_EraseRootFromParent_Done,
     /*   17446 */   // Label 377: @17446
     /*   17446 */   GIM_Try, /*On fail goto*//*Label 378*/ GIMT_Encode4(17501), // Rule ID 69527 //
     /*   17451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   17458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17479 */     // (add:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   17486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17499 */     GIR_RootConstrainSelectedInstOperands,
     /*   17500 */     // GIR_Coverage, 69527,
     /*   17500 */     GIR_EraseRootFromParent_Done,
     /*   17501 */   // Label 378: @17501
     /*   17501 */   GIM_Try, /*On fail goto*//*Label 379*/ GIMT_Encode4(17569), // Rule ID 51876 //
     /*   17506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17543 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   17543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17567 */     GIR_RootConstrainSelectedInstOperands,
     /*   17568 */     // GIR_Coverage, 51876,
     /*   17568 */     GIR_EraseRootFromParent_Done,
     /*   17569 */   // Label 379: @17569
     /*   17569 */   GIM_Try, /*On fail goto*//*Label 380*/ GIMT_Encode4(17637), // Rule ID 51877 //
     /*   17574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   17589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   17593 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   17597 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17611 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   17611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   17614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   17620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   17632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17635 */     GIR_RootConstrainSelectedInstOperands,
     /*   17636 */     // GIR_Coverage, 51877,
     /*   17636 */     GIR_EraseRootFromParent_Done,
     /*   17637 */   // Label 380: @17637
     /*   17637 */   GIM_Try, /*On fail goto*//*Label 381*/ GIMT_Encode4(17692), // Rule ID 46758 //
     /*   17642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17670 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17690 */     GIR_RootConstrainSelectedInstOperands,
     /*   17691 */     // GIR_Coverage, 46758,
     /*   17691 */     GIR_EraseRootFromParent_Done,
     /*   17692 */   // Label 381: @17692
     /*   17692 */   GIM_Try, /*On fail goto*//*Label 382*/ GIMT_Encode4(17747), // Rule ID 46759 //
     /*   17697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   17712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17725 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17745 */     GIR_RootConstrainSelectedInstOperands,
     /*   17746 */     // GIR_Coverage, 46759,
     /*   17746 */     GIR_EraseRootFromParent_Done,
     /*   17747 */   // Label 382: @17747
     /*   17747 */   GIM_Try, /*On fail goto*//*Label 383*/ GIMT_Encode4(17802), // Rule ID 46518 //
     /*   17752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17780 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17800 */     GIR_RootConstrainSelectedInstOperands,
     /*   17801 */     // GIR_Coverage, 46518,
     /*   17801 */     GIR_EraseRootFromParent_Done,
     /*   17802 */   // Label 383: @17802
     /*   17802 */   GIM_Try, /*On fail goto*//*Label 384*/ GIMT_Encode4(17857), // Rule ID 46519 //
     /*   17807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   17822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17835 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   17838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17855 */     GIR_RootConstrainSelectedInstOperands,
     /*   17856 */     // GIR_Coverage, 46519,
     /*   17856 */     GIR_EraseRootFromParent_Done,
     /*   17857 */   // Label 384: @17857
     /*   17857 */   GIM_Try, /*On fail goto*//*Label 385*/ GIMT_Encode4(17912), // Rule ID 46638 //
     /*   17862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17890 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   17890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17910 */     GIR_RootConstrainSelectedInstOperands,
     /*   17911 */     // GIR_Coverage, 46638,
     /*   17911 */     GIR_EraseRootFromParent_Done,
     /*   17912 */   // Label 385: @17912
     /*   17912 */   GIM_Try, /*On fail goto*//*Label 386*/ GIMT_Encode4(17967), // Rule ID 46639 //
     /*   17917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   17920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   17928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   17932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   17936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   17938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   17945 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   17945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   17948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   17950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   17952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   17956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   17959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   17962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   17965 */     GIR_RootConstrainSelectedInstOperands,
     /*   17966 */     // GIR_Coverage, 46639,
     /*   17966 */     GIR_EraseRootFromParent_Done,
     /*   17967 */   // Label 386: @17967
     /*   17967 */   GIM_Try, /*On fail goto*//*Label 387*/ GIMT_Encode4(18020), // Rule ID 46108 //
     /*   17972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   17975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   17983 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   17983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   17986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   17990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   17995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   17997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   18000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18018 */     GIR_RootConstrainSelectedInstOperands,
     /*   18019 */     // GIR_Coverage, 46108,
     /*   18019 */     GIR_EraseRootFromParent_Done,
     /*   18020 */   // Label 387: @18020
     /*   18020 */   GIM_Try, /*On fail goto*//*Label 388*/ GIMT_Encode4(18073), // Rule ID 46109 //
     /*   18025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   18028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18036 */     // (add:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   18036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   18039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   18043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   18048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   18050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   18053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   18058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   18060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   18062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   18071 */     GIR_RootConstrainSelectedInstOperands,
     /*   18072 */     // GIR_Coverage, 46109,
     /*   18072 */     GIR_EraseRootFromParent_Done,
     /*   18073 */   // Label 388: @18073
     /*   18073 */   GIM_Reject,
     /*   18074 */ // Label 348: @18074
     /*   18074 */ GIM_Reject,
     /*   18075 */ // Label 131: @18075
     /*   18075 */ GIM_Try, /*On fail goto*//*Label 389*/ GIMT_Encode4(21199),
     /*   18080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18090 */   GIM_Try, /*On fail goto*//*Label 390*/ GIMT_Encode4(18186), // Rule ID 70816 //
     /*   18095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18147 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18149 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18160 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18184 */     GIR_RootConstrainSelectedInstOperands,
     /*   18185 */     // GIR_Coverage, 70816,
     /*   18185 */     GIR_EraseRootFromParent_Done,
     /*   18186 */   // Label 390: @18186
     /*   18186 */   GIM_Try, /*On fail goto*//*Label 391*/ GIMT_Encode4(18282), // Rule ID 70817 //
     /*   18191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18243 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18256 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18280 */     GIR_RootConstrainSelectedInstOperands,
     /*   18281 */     // GIR_Coverage, 70817,
     /*   18281 */     GIR_EraseRootFromParent_Done,
     /*   18282 */   // Label 391: @18282
     /*   18282 */   GIM_Try, /*On fail goto*//*Label 392*/ GIMT_Encode4(18378), // Rule ID 71096 //
     /*   18287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18335 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18339 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18341 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18352 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18376 */     GIR_RootConstrainSelectedInstOperands,
     /*   18377 */     // GIR_Coverage, 71096,
     /*   18377 */     GIR_EraseRootFromParent_Done,
     /*   18378 */   // Label 392: @18378
     /*   18378 */   GIM_Try, /*On fail goto*//*Label 393*/ GIMT_Encode4(18474), // Rule ID 71097 //
     /*   18383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18404 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18408 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18412 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18416 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18418 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18423 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18427 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18431 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18435 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18437 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18448 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18472 */     GIR_RootConstrainSelectedInstOperands,
     /*   18473 */     // GIR_Coverage, 71097,
     /*   18473 */     GIR_EraseRootFromParent_Done,
     /*   18474 */   // Label 393: @18474
     /*   18474 */   GIM_Try, /*On fail goto*//*Label 394*/ GIMT_Encode4(18570), // Rule ID 71098 //
     /*   18479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18512 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18514 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18519 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18523 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18527 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18531 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18533 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18544 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18568 */     GIR_RootConstrainSelectedInstOperands,
     /*   18569 */     // GIR_Coverage, 71098,
     /*   18569 */     GIR_EraseRootFromParent_Done,
     /*   18570 */   // Label 394: @18570
     /*   18570 */   GIM_Try, /*On fail goto*//*Label 395*/ GIMT_Encode4(18666), // Rule ID 71099 //
     /*   18575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18596 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18600 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18604 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18608 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18610 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18615 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18619 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18623 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18627 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18629 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18640 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   18643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   18651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   18655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18664 */     GIR_RootConstrainSelectedInstOperands,
     /*   18665 */     // GIR_Coverage, 71099,
     /*   18665 */     GIR_EraseRootFromParent_Done,
     /*   18666 */   // Label 395: @18666
     /*   18666 */   GIM_Try, /*On fail goto*//*Label 396*/ GIMT_Encode4(18762), // Rule ID 70930 //
     /*   18671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18682 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18686 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18692 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18696 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18700 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18704 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18706 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18711 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18715 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18719 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18723 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18725 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18736 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   18739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18760 */     GIR_RootConstrainSelectedInstOperands,
     /*   18761 */     // GIR_Coverage, 70930,
     /*   18761 */     GIR_EraseRootFromParent_Done,
     /*   18762 */   // Label 396: @18762
     /*   18762 */   GIM_Try, /*On fail goto*//*Label 397*/ GIMT_Encode4(18858), // Rule ID 70931 //
     /*   18767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   18774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18788 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18792 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18796 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18800 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18807 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18811 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   18815 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18819 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18821 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18832 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   18832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   18835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   18839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18856 */     GIR_RootConstrainSelectedInstOperands,
     /*   18857 */     // GIR_Coverage, 70931,
     /*   18857 */     GIR_EraseRootFromParent_Done,
     /*   18858 */   // Label 397: @18858
     /*   18858 */   GIM_Try, /*On fail goto*//*Label 398*/ GIMT_Encode4(18954), // Rule ID 52052 //
     /*   18863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   18866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   18911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18919 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   18921 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   18928 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   18928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   18931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   18933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   18935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   18939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   18943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   18946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   18949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   18952 */     GIR_RootConstrainSelectedInstOperands,
     /*   18953 */     // GIR_Coverage, 52052,
     /*   18953 */     GIR_EraseRootFromParent_Done,
     /*   18954 */   // Label 398: @18954
     /*   18954 */   GIM_Try, /*On fail goto*//*Label 399*/ GIMT_Encode4(19050), // Rule ID 52053 //
     /*   18959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   18962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   18966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   18970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   18974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   18978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   18982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   18984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   18988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   18992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   18996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   18998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19011 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19015 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19017 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19024 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   19027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19048 */     GIR_RootConstrainSelectedInstOperands,
     /*   19049 */     // GIR_Coverage, 52053,
     /*   19049 */     GIR_EraseRootFromParent_Done,
     /*   19050 */   // Label 399: @19050
     /*   19050 */   GIM_Try, /*On fail goto*//*Label 400*/ GIMT_Encode4(19146), // Rule ID 52170 //
     /*   19055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19107 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19111 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19113 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19120 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19144 */     GIR_RootConstrainSelectedInstOperands,
     /*   19145 */     // GIR_Coverage, 52170,
     /*   19145 */     GIR_EraseRootFromParent_Done,
     /*   19146 */   // Label 400: @19146
     /*   19146 */   GIM_Try, /*On fail goto*//*Label 401*/ GIMT_Encode4(19242), // Rule ID 52171 //
     /*   19151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19207 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19209 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19214 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19216 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19240 */     GIR_RootConstrainSelectedInstOperands,
     /*   19241 */     // GIR_Coverage, 52171,
     /*   19241 */     GIR_EraseRootFromParent_Done,
     /*   19242 */   // Label 401: @19242
     /*   19242 */   GIM_Try, /*On fail goto*//*Label 402*/ GIMT_Encode4(19338), // Rule ID 71094 //
     /*   19247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19303 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19305 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19310 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19312 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   19323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   19327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19336 */     GIR_RootConstrainSelectedInstOperands,
     /*   19337 */     // GIR_Coverage, 71094,
     /*   19337 */     GIR_EraseRootFromParent_Done,
     /*   19338 */   // Label 402: @19338
     /*   19338 */   GIM_Try, /*On fail goto*//*Label 403*/ GIMT_Encode4(19434), // Rule ID 71095 //
     /*   19343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19346 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19399 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19401 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19406 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19408 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   19411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   19419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   19423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19432 */     GIR_RootConstrainSelectedInstOperands,
     /*   19433 */     // GIR_Coverage, 71095,
     /*   19433 */     GIR_EraseRootFromParent_Done,
     /*   19434 */   // Label 403: @19434
     /*   19434 */   GIM_Try, /*On fail goto*//*Label 404*/ GIMT_Encode4(19530), // Rule ID 52110 //
     /*   19439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19491 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19495 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19497 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19502 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19504 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   19504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   19507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19528 */     GIR_RootConstrainSelectedInstOperands,
     /*   19529 */     // GIR_Coverage, 52110,
     /*   19529 */     GIR_EraseRootFromParent_Done,
     /*   19530 */   // Label 404: @19530
     /*   19530 */   GIM_Try, /*On fail goto*//*Label 405*/ GIMT_Encode4(19626), // Rule ID 52111 //
     /*   19535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19538 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   19546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   19550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   19554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   19558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   19564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19572 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   19583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19591 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   19593 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19598 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   19600 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   19600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   19603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   19607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   19615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   19624 */     GIR_RootConstrainSelectedInstOperands,
     /*   19625 */     // GIR_Coverage, 52111,
     /*   19625 */     GIR_EraseRootFromParent_Done,
     /*   19626 */   // Label 405: @19626
     /*   19626 */   GIM_Try, /*On fail goto*//*Label 406*/ GIMT_Encode4(19715), // Rule ID 46718 //
     /*   19631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19646 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19653 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19657 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19661 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19665 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19674 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   19691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19713 */     GIR_RootConstrainSelectedInstOperands,
     /*   19714 */     // GIR_Coverage, 46718,
     /*   19714 */     GIR_EraseRootFromParent_Done,
     /*   19715 */   // Label 406: @19715
     /*   19715 */   GIM_Try, /*On fail goto*//*Label 407*/ GIMT_Encode4(19804), // Rule ID 46719 //
     /*   19720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19735 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19737 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19742 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19746 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   19750 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19754 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19756 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19761 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19763 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   19780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19789 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19802 */     GIR_RootConstrainSelectedInstOperands,
     /*   19803 */     // GIR_Coverage, 46719,
     /*   19803 */     GIR_EraseRootFromParent_Done,
     /*   19804 */   // Label 407: @19804
     /*   19804 */   GIM_Try, /*On fail goto*//*Label 408*/ GIMT_Encode4(19893), // Rule ID 46482 //
     /*   19809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19824 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19843 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19845 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19852 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   19852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   19869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19891 */     GIR_RootConstrainSelectedInstOperands,
     /*   19892 */     // GIR_Coverage, 46482,
     /*   19892 */     GIR_EraseRootFromParent_Done,
     /*   19893 */   // Label 408: @19893
     /*   19893 */   GIM_Try, /*On fail goto*//*Label 409*/ GIMT_Encode4(19982), // Rule ID 46483 //
     /*   19898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   19901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19909 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19913 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   19915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   19924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   19928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   19932 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   19934 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   19939 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   19941 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   19941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   19944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   19948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   19953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   19955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   19958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   19960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   19963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   19967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   19971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   19974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   19977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   19980 */     GIR_RootConstrainSelectedInstOperands,
     /*   19981 */     // GIR_Coverage, 46483,
     /*   19981 */     GIR_EraseRootFromParent_Done,
     /*   19982 */   // Label 409: @19982
     /*   19982 */   GIM_Try, /*On fail goto*//*Label 410*/ GIMT_Encode4(20071), // Rule ID 46598 //
     /*   19987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   19990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   19994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   19998 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20004 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20021 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20023 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20028 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20030 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   20030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   20047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20052 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20069 */     GIR_RootConstrainSelectedInstOperands,
     /*   20070 */     // GIR_Coverage, 46598,
     /*   20070 */     GIR_EraseRootFromParent_Done,
     /*   20071 */   // Label 410: @20071
     /*   20071 */   GIM_Try, /*On fail goto*//*Label 411*/ GIMT_Encode4(20160), // Rule ID 46599 //
     /*   20076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20091 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20093 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   20102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   20112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20117 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   20119 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   20119 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   20122 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   20126 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   20131 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   20133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   20136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20138 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   20141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   20145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   20149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   20158 */     GIR_RootConstrainSelectedInstOperands,
     /*   20159 */     // GIR_Coverage, 46599,
     /*   20159 */     GIR_EraseRootFromParent_Done,
     /*   20160 */   // Label 411: @20160
     /*   20160 */   GIM_Try, /*On fail goto*//*Label 412*/ GIMT_Encode4(20228), // Rule ID 70648 //
     /*   20165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20180 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20184 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20186 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20200 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20202 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   20202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20226 */     GIR_RootConstrainSelectedInstOperands,
     /*   20227 */     // GIR_Coverage, 70648,
     /*   20227 */     GIR_EraseRootFromParent_Done,
     /*   20228 */   // Label 412: @20228
     /*   20228 */   GIM_Try, /*On fail goto*//*Label 413*/ GIMT_Encode4(20296), // Rule ID 70649 //
     /*   20233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20248 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20252 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20254 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20270 */     // (add:{ *:[nxv1i64] } (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   20270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20294 */     GIR_RootConstrainSelectedInstOperands,
     /*   20295 */     // GIR_Coverage, 70649,
     /*   20295 */     GIR_EraseRootFromParent_Done,
     /*   20296 */   // Label 413: @20296
     /*   20296 */   GIM_Try, /*On fail goto*//*Label 414*/ GIMT_Encode4(20351), // Rule ID 69636 //
     /*   20301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20329 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20336 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20349 */     GIR_RootConstrainSelectedInstOperands,
     /*   20350 */     // GIR_Coverage, 69636,
     /*   20350 */     GIR_EraseRootFromParent_Done,
     /*   20351 */   // Label 414: @20351
     /*   20351 */   GIM_Try, /*On fail goto*//*Label 415*/ GIMT_Encode4(20406), // Rule ID 69637 //
     /*   20356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20384 */     // (add:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20404 */     GIR_RootConstrainSelectedInstOperands,
     /*   20405 */     // GIR_Coverage, 69637,
     /*   20405 */     GIR_EraseRootFromParent_Done,
     /*   20406 */   // Label 415: @20406
     /*   20406 */   GIM_Try, /*On fail goto*//*Label 416*/ GIMT_Encode4(20461), // Rule ID 69456 //
     /*   20411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20439 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20459 */     GIR_RootConstrainSelectedInstOperands,
     /*   20460 */     // GIR_Coverage, 69456,
     /*   20460 */     GIR_EraseRootFromParent_Done,
     /*   20461 */   // Label 416: @20461
     /*   20461 */   GIM_Try, /*On fail goto*//*Label 417*/ GIMT_Encode4(20516), // Rule ID 69457 //
     /*   20466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20494 */     // (add:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20514 */     GIR_RootConstrainSelectedInstOperands,
     /*   20515 */     // GIR_Coverage, 69457,
     /*   20515 */     GIR_EraseRootFromParent_Done,
     /*   20516 */   // Label 417: @20516
     /*   20516 */   GIM_Try, /*On fail goto*//*Label 418*/ GIMT_Encode4(20571), // Rule ID 69546 //
     /*   20521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20549 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20569 */     GIR_RootConstrainSelectedInstOperands,
     /*   20570 */     // GIR_Coverage, 69546,
     /*   20570 */     GIR_EraseRootFromParent_Done,
     /*   20571 */   // Label 418: @20571
     /*   20571 */   GIM_Try, /*On fail goto*//*Label 419*/ GIMT_Encode4(20626), // Rule ID 69547 //
     /*   20576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   20583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   20587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20591 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20593 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20604 */     // (add:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   20611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20624 */     GIR_RootConstrainSelectedInstOperands,
     /*   20625 */     // GIR_Coverage, 69547,
     /*   20625 */     GIR_EraseRootFromParent_Done,
     /*   20626 */   // Label 419: @20626
     /*   20626 */   GIM_Try, /*On fail goto*//*Label 420*/ GIMT_Encode4(20694), // Rule ID 51892 //
     /*   20631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   20634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20668 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   20668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20692 */     GIR_RootConstrainSelectedInstOperands,
     /*   20693 */     // GIR_Coverage, 51892,
     /*   20693 */     GIR_EraseRootFromParent_Done,
     /*   20694 */   // Label 420: @20694
     /*   20694 */   GIM_Try, /*On fail goto*//*Label 421*/ GIMT_Encode4(20762), // Rule ID 51893 //
     /*   20699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   20702 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   20714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   20718 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   20722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20736 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   20736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   20739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   20745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   20757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20760 */     GIR_RootConstrainSelectedInstOperands,
     /*   20761 */     // GIR_Coverage, 51893,
     /*   20761 */     GIR_EraseRootFromParent_Done,
     /*   20762 */   // Label 421: @20762
     /*   20762 */   GIM_Try, /*On fail goto*//*Label 422*/ GIMT_Encode4(20817), // Rule ID 46778 //
     /*   20767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20795 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20815 */     GIR_RootConstrainSelectedInstOperands,
     /*   20816 */     // GIR_Coverage, 46778,
     /*   20816 */     GIR_EraseRootFromParent_Done,
     /*   20817 */   // Label 422: @20817
     /*   20817 */   GIM_Try, /*On fail goto*//*Label 423*/ GIMT_Encode4(20872), // Rule ID 46779 //
     /*   20822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   20837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20850 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   20853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20870 */     GIR_RootConstrainSelectedInstOperands,
     /*   20871 */     // GIR_Coverage, 46779,
     /*   20871 */     GIR_EraseRootFromParent_Done,
     /*   20872 */   // Label 423: @20872
     /*   20872 */   GIM_Try, /*On fail goto*//*Label 424*/ GIMT_Encode4(20927), // Rule ID 46538 //
     /*   20877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20905 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   20905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20925 */     GIR_RootConstrainSelectedInstOperands,
     /*   20926 */     // GIR_Coverage, 46538,
     /*   20926 */     GIR_EraseRootFromParent_Done,
     /*   20927 */   // Label 424: @20927
     /*   20927 */   GIM_Try, /*On fail goto*//*Label 425*/ GIMT_Encode4(20982), // Rule ID 46539 //
     /*   20932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   20935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   20947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   20951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   20953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   20960 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   20960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   20963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   20965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   20967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   20971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   20974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   20977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   20980 */     GIR_RootConstrainSelectedInstOperands,
     /*   20981 */     // GIR_Coverage, 46539,
     /*   20981 */     GIR_EraseRootFromParent_Done,
     /*   20982 */   // Label 425: @20982
     /*   20982 */   GIM_Try, /*On fail goto*//*Label 426*/ GIMT_Encode4(21037), // Rule ID 46658 //
     /*   20987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   20990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   20994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   20998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21015 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   21015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21035 */     GIR_RootConstrainSelectedInstOperands,
     /*   21036 */     // GIR_Coverage, 46658,
     /*   21036 */     GIR_EraseRootFromParent_Done,
     /*   21037 */   // Label 426: @21037
     /*   21037 */   GIM_Try, /*On fail goto*//*Label 427*/ GIMT_Encode4(21092), // Rule ID 46659 //
     /*   21042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   21045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   21061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21070 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   21070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   21073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   21087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21090 */     GIR_RootConstrainSelectedInstOperands,
     /*   21091 */     // GIR_Coverage, 46659,
     /*   21091 */     GIR_EraseRootFromParent_Done,
     /*   21092 */   // Label 427: @21092
     /*   21092 */   GIM_Try, /*On fail goto*//*Label 428*/ GIMT_Encode4(21145), // Rule ID 46124 //
     /*   21097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   21100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21108 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   21108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   21125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21143 */     GIR_RootConstrainSelectedInstOperands,
     /*   21144 */     // GIR_Coverage, 46124,
     /*   21144 */     GIR_EraseRootFromParent_Done,
     /*   21145 */   // Label 428: @21145
     /*   21145 */   GIM_Try, /*On fail goto*//*Label 429*/ GIMT_Encode4(21198), // Rule ID 46125 //
     /*   21150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   21153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21161 */     // (add:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   21161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   21164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   21178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   21193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21196 */     GIR_RootConstrainSelectedInstOperands,
     /*   21197 */     // GIR_Coverage, 46125,
     /*   21197 */     GIR_EraseRootFromParent_Done,
     /*   21198 */   // Label 429: @21198
     /*   21198 */   GIM_Reject,
     /*   21199 */ // Label 389: @21199
     /*   21199 */ GIM_Reject,
     /*   21200 */ // Label 132: @21200
     /*   21200 */ GIM_Try, /*On fail goto*//*Label 430*/ GIMT_Encode4(21594),
     /*   21205 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21215 */   GIM_Try, /*On fail goto*//*Label 431*/ GIMT_Encode4(21283), // Rule ID 70584 //
     /*   21220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21257 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21266 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21281 */     GIR_RootConstrainSelectedInstOperands,
     /*   21282 */     // GIR_Coverage, 70584,
     /*   21282 */     GIR_EraseRootFromParent_Done,
     /*   21283 */   // Label 431: @21283
     /*   21283 */   GIM_Try, /*On fail goto*//*Label 432*/ GIMT_Encode4(21351), // Rule ID 70585 //
     /*   21288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21299 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21303 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21307 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21325 */     // (add:{ *:[nxv2i8] } (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21334 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21349 */     GIR_RootConstrainSelectedInstOperands,
     /*   21350 */     // GIR_Coverage, 70585,
     /*   21350 */     GIR_EraseRootFromParent_Done,
     /*   21351 */   // Label 432: @21351
     /*   21351 */   GIM_Try, /*On fail goto*//*Label 433*/ GIMT_Encode4(21419), // Rule ID 51860 //
     /*   21356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21371 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21375 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21379 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21393 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21402 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21417 */     GIR_RootConstrainSelectedInstOperands,
     /*   21418 */     // GIR_Coverage, 51860,
     /*   21418 */     GIR_EraseRootFromParent_Done,
     /*   21419 */   // Label 433: @21419
     /*   21419 */   GIM_Try, /*On fail goto*//*Label 434*/ GIMT_Encode4(21487), // Rule ID 51861 //
     /*   21424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   21435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21439 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21443 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   21447 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   21461 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /*   21464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   21470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   21474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   21476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21485 */     GIR_RootConstrainSelectedInstOperands,
     /*   21486 */     // GIR_Coverage, 51861,
     /*   21486 */     GIR_EraseRootFromParent_Done,
     /*   21487 */   // Label 434: @21487
     /*   21487 */   GIM_Try, /*On fail goto*//*Label 435*/ GIMT_Encode4(21540), // Rule ID 46092 //
     /*   21492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21503 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   21503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   21520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21538 */     GIR_RootConstrainSelectedInstOperands,
     /*   21539 */     // GIR_Coverage, 46092,
     /*   21539 */     GIR_EraseRootFromParent_Done,
     /*   21540 */   // Label 435: @21540
     /*   21540 */   GIM_Try, /*On fail goto*//*Label 436*/ GIMT_Encode4(21593), // Rule ID 46093 //
     /*   21545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21556 */     // (add:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   21556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   21559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   21563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   21568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   21570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*   21573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   21578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   21580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   21582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21591 */     GIR_RootConstrainSelectedInstOperands,
     /*   21592 */     // GIR_Coverage, 46093,
     /*   21592 */     GIR_EraseRootFromParent_Done,
     /*   21593 */   // Label 436: @21593
     /*   21593 */   GIM_Reject,
     /*   21594 */ // Label 430: @21594
     /*   21594 */ GIM_Reject,
     /*   21595 */ // Label 133: @21595
     /*   21595 */ GIM_Try, /*On fail goto*//*Label 437*/ GIMT_Encode4(24719),
     /*   21600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21610 */   GIM_Try, /*On fail goto*//*Label 438*/ GIMT_Encode4(21706), // Rule ID 70796 //
     /*   21615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21634 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21648 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21650 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21655 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21659 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21663 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21667 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21669 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21678 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21680 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   21683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21704 */     GIR_RootConstrainSelectedInstOperands,
     /*   21705 */     // GIR_Coverage, 70796,
     /*   21705 */     GIR_EraseRootFromParent_Done,
     /*   21706 */   // Label 438: @21706
     /*   21706 */   GIM_Try, /*On fail goto*//*Label 439*/ GIMT_Encode4(21802), // Rule ID 70797 //
     /*   21711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21726 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21732 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21736 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21740 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21744 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21751 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21755 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21759 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21763 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21765 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21774 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21776 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   21779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21800 */     GIR_RootConstrainSelectedInstOperands,
     /*   21801 */     // GIR_Coverage, 70797,
     /*   21801 */     GIR_EraseRootFromParent_Done,
     /*   21802 */   // Label 439: @21802
     /*   21802 */   GIM_Try, /*On fail goto*//*Label 440*/ GIMT_Encode4(21898), // Rule ID 71036 //
     /*   21807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   21810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21822 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21847 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21851 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21855 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21859 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21861 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21870 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21872 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   21872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   21875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21896 */     GIR_RootConstrainSelectedInstOperands,
     /*   21897 */     // GIR_Coverage, 71036,
     /*   21897 */     GIR_EraseRootFromParent_Done,
     /*   21898 */   // Label 440: @21898
     /*   21898 */   GIM_Try, /*On fail goto*//*Label 441*/ GIMT_Encode4(21994), // Rule ID 71037 //
     /*   21903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   21906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   21910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   21914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   21918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   21922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   21924 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   21928 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   21932 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21936 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   21938 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21943 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   21947 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   21951 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   21955 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   21957 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   21966 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   21968 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   21968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   21971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   21973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   21975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   21979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   21983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   21986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   21989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   21992 */     GIR_RootConstrainSelectedInstOperands,
     /*   21993 */     // GIR_Coverage, 71037,
     /*   21993 */     GIR_EraseRootFromParent_Done,
     /*   21994 */   // Label 441: @21994
     /*   21994 */   GIM_Try, /*On fail goto*//*Label 442*/ GIMT_Encode4(22090), // Rule ID 71038 //
     /*   21999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22014 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22018 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22032 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22039 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22043 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22047 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22051 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22053 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22062 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22064 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22088 */     GIR_RootConstrainSelectedInstOperands,
     /*   22089 */     // GIR_Coverage, 71038,
     /*   22089 */     GIR_EraseRootFromParent_Done,
     /*   22090 */   // Label 442: @22090
     /*   22090 */   GIM_Try, /*On fail goto*//*Label 443*/ GIMT_Encode4(22186), // Rule ID 71039 //
     /*   22095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22110 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22135 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22139 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22143 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22147 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22149 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22158 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22160 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22184 */     GIR_RootConstrainSelectedInstOperands,
     /*   22185 */     // GIR_Coverage, 71039,
     /*   22185 */     GIR_EraseRootFromParent_Done,
     /*   22186 */   // Label 443: @22186
     /*   22186 */   GIM_Try, /*On fail goto*//*Label 444*/ GIMT_Encode4(22282), // Rule ID 70910 //
     /*   22191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22206 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22224 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22226 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22231 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22235 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22239 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22243 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22245 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22254 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22256 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   22259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22280 */     GIR_RootConstrainSelectedInstOperands,
     /*   22281 */     // GIR_Coverage, 70910,
     /*   22281 */     GIR_EraseRootFromParent_Done,
     /*   22282 */   // Label 444: @22282
     /*   22282 */   GIM_Try, /*On fail goto*//*Label 445*/ GIMT_Encode4(22378), // Rule ID 70911 //
     /*   22287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   22294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22302 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22308 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22312 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22316 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22320 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22322 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22327 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22331 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22335 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22339 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22341 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22350 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22352 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   22355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   22359 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22376 */     GIR_RootConstrainSelectedInstOperands,
     /*   22377 */     // GIR_Coverage, 70911,
     /*   22377 */     GIR_EraseRootFromParent_Done,
     /*   22378 */   // Label 445: @22378
     /*   22378 */   GIM_Try, /*On fail goto*//*Label 446*/ GIMT_Encode4(22474), // Rule ID 52032 //
     /*   22383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22398 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22402 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22406 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22427 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22431 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22435 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22439 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22441 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22446 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22448 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   22451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22472 */     GIR_RootConstrainSelectedInstOperands,
     /*   22473 */     // GIR_Coverage, 52032,
     /*   22473 */     GIR_EraseRootFromParent_Done,
     /*   22474 */   // Label 446: @22474
     /*   22474 */   GIM_Try, /*On fail goto*//*Label 447*/ GIMT_Encode4(22570), // Rule ID 52033 //
     /*   22479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22502 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22504 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22508 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22512 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22516 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22518 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22523 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22527 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22531 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22535 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22537 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22542 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22544 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /*   22547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22568 */     GIR_RootConstrainSelectedInstOperands,
     /*   22569 */     // GIR_Coverage, 52033,
     /*   22569 */     GIR_EraseRootFromParent_Done,
     /*   22570 */   // Label 447: @22570
     /*   22570 */   GIM_Try, /*On fail goto*//*Label 448*/ GIMT_Encode4(22666), // Rule ID 52150 //
     /*   22575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22594 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22612 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22614 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22619 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22623 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22627 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22631 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22633 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22638 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22640 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22664 */     GIR_RootConstrainSelectedInstOperands,
     /*   22665 */     // GIR_Coverage, 52150,
     /*   22665 */     GIR_EraseRootFromParent_Done,
     /*   22666 */   // Label 448: @22666
     /*   22666 */   GIM_Try, /*On fail goto*//*Label 449*/ GIMT_Encode4(22762), // Rule ID 52151 //
     /*   22671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22690 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22694 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22715 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22719 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22723 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22727 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22729 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22734 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22736 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   22747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   22751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22760 */     GIR_RootConstrainSelectedInstOperands,
     /*   22761 */     // GIR_Coverage, 52151,
     /*   22761 */     GIR_EraseRootFromParent_Done,
     /*   22762 */   // Label 449: @22762
     /*   22762 */   GIM_Try, /*On fail goto*//*Label 450*/ GIMT_Encode4(22858), // Rule ID 71034 //
     /*   22767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22786 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22792 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22796 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22800 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22804 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22806 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22811 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22815 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22819 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22823 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22825 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22830 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22832 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   22832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22856 */     GIR_RootConstrainSelectedInstOperands,
     /*   22857 */     // GIR_Coverage, 71034,
     /*   22857 */     GIR_EraseRootFromParent_Done,
     /*   22858 */   // Label 450: @22858
     /*   22858 */   GIM_Try, /*On fail goto*//*Label 451*/ GIMT_Encode4(22954), // Rule ID 71035 //
     /*   22863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   22866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22878 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22882 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22886 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22900 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22902 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22907 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   22911 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   22915 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22919 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   22921 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22926 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   22928 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   22928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /*   22931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   22933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   22935 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   22939 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   22943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   22946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   22949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   22952 */     GIR_RootConstrainSelectedInstOperands,
     /*   22953 */     // GIR_Coverage, 71035,
     /*   22953 */     GIR_EraseRootFromParent_Done,
     /*   22954 */   // Label 451: @22954
     /*   22954 */   GIM_Try, /*On fail goto*//*Label 452*/ GIMT_Encode4(23050), // Rule ID 52090 //
     /*   22959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   22962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   22966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   22970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   22974 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   22978 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   22982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   22984 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   22988 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   22992 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   22996 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   22998 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23003 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23007 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23011 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23015 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23017 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23022 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23024 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   23027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23048 */     GIR_RootConstrainSelectedInstOperands,
     /*   23049 */     // GIR_Coverage, 52090,
     /*   23049 */     GIR_EraseRootFromParent_Done,
     /*   23050 */   // Label 452: @23050
     /*   23050 */   GIM_Try, /*On fail goto*//*Label 453*/ GIMT_Encode4(23146), // Rule ID 52091 //
     /*   23055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   23066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23070 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23074 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   23084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23099 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   23103 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23107 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23111 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   23113 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23118 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   23120 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   23120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /*   23123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   23127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   23135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23144 */     GIR_RootConstrainSelectedInstOperands,
     /*   23145 */     // GIR_Coverage, 52091,
     /*   23145 */     GIR_EraseRootFromParent_Done,
     /*   23146 */   // Label 453: @23146
     /*   23146 */   GIM_Try, /*On fail goto*//*Label 454*/ GIMT_Encode4(23235), // Rule ID 46678 //
     /*   23151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23162 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23166 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23185 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23187 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23192 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23194 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23233 */     GIR_RootConstrainSelectedInstOperands,
     /*   23234 */     // GIR_Coverage, 46678,
     /*   23234 */     GIR_EraseRootFromParent_Done,
     /*   23235 */   // Label 454: @23235
     /*   23235 */   GIM_Try, /*On fail goto*//*Label 455*/ GIMT_Encode4(23324), // Rule ID 46679 //
     /*   23240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23251 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23255 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23257 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23262 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23266 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23270 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23274 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23276 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23281 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23283 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23322 */     GIR_RootConstrainSelectedInstOperands,
     /*   23323 */     // GIR_Coverage, 46679,
     /*   23323 */     GIR_EraseRootFromParent_Done,
     /*   23324 */   // Label 455: @23324
     /*   23324 */   GIM_Try, /*On fail goto*//*Label 456*/ GIMT_Encode4(23413), // Rule ID 46442 //
     /*   23329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23340 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23344 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23346 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23351 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23355 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23359 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23363 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23365 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23370 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23372 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   23389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23411 */     GIR_RootConstrainSelectedInstOperands,
     /*   23412 */     // GIR_Coverage, 46442,
     /*   23412 */     GIR_EraseRootFromParent_Done,
     /*   23413 */   // Label 456: @23413
     /*   23413 */   GIM_Try, /*On fail goto*//*Label 457*/ GIMT_Encode4(23502), // Rule ID 46443 //
     /*   23418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23433 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23435 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23440 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23444 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23448 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23452 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23454 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23459 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23461 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*   23478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23483 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23500 */     GIR_RootConstrainSelectedInstOperands,
     /*   23501 */     // GIR_Coverage, 46443,
     /*   23501 */     GIR_EraseRootFromParent_Done,
     /*   23502 */   // Label 457: @23502
     /*   23502 */   GIM_Try, /*On fail goto*//*Label 458*/ GIMT_Encode4(23591), // Rule ID 46558 //
     /*   23507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23541 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23543 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23550 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   23550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23589 */     GIR_RootConstrainSelectedInstOperands,
     /*   23590 */     // GIR_Coverage, 46558,
     /*   23590 */     GIR_EraseRootFromParent_Done,
     /*   23591 */   // Label 458: @23591
     /*   23591 */   GIM_Try, /*On fail goto*//*Label 459*/ GIMT_Encode4(23680), // Rule ID 46559 //
     /*   23596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   23622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   23626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   23632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   23639 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   23639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   23642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   23646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   23651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   23653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*   23656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   23661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   23665 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   23669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23678 */     GIR_RootConstrainSelectedInstOperands,
     /*   23679 */     // GIR_Coverage, 46559,
     /*   23679 */     GIR_EraseRootFromParent_Done,
     /*   23680 */   // Label 459: @23680
     /*   23680 */   GIM_Try, /*On fail goto*//*Label 460*/ GIMT_Encode4(23748), // Rule ID 70608 //
     /*   23685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23704 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23706 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23722 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   23722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   23725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23746 */     GIR_RootConstrainSelectedInstOperands,
     /*   23747 */     // GIR_Coverage, 70608,
     /*   23747 */     GIR_EraseRootFromParent_Done,
     /*   23748 */   // Label 460: @23748
     /*   23748 */   GIM_Try, /*On fail goto*//*Label 461*/ GIMT_Encode4(23816), // Rule ID 70609 //
     /*   23753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   23764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   23768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   23772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23790 */     // (add:{ *:[nxv2i16] } (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   23790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   23793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   23799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   23811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23814 */     GIR_RootConstrainSelectedInstOperands,
     /*   23815 */     // GIR_Coverage, 70609,
     /*   23815 */     GIR_EraseRootFromParent_Done,
     /*   23816 */   // Label 461: @23816
     /*   23816 */   GIM_Try, /*On fail goto*//*Label 462*/ GIMT_Encode4(23871), // Rule ID 69596 //
     /*   23821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23849 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   23852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23869 */     GIR_RootConstrainSelectedInstOperands,
     /*   23870 */     // GIR_Coverage, 69596,
     /*   23870 */     GIR_EraseRootFromParent_Done,
     /*   23871 */   // Label 462: @23871
     /*   23871 */   GIM_Try, /*On fail goto*//*Label 463*/ GIMT_Encode4(23926), // Rule ID 69597 //
     /*   23876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   23887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23904 */     // (add:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   23904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   23907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23924 */     GIR_RootConstrainSelectedInstOperands,
     /*   23925 */     // GIR_Coverage, 69597,
     /*   23925 */     GIR_EraseRootFromParent_Done,
     /*   23926 */   // Label 463: @23926
     /*   23926 */   GIM_Try, /*On fail goto*//*Label 464*/ GIMT_Encode4(23981), // Rule ID 69416 //
     /*   23931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   23934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   23946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   23948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   23957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   23959 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   23959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   23962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   23964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   23966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   23970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   23973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   23976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   23979 */     GIR_RootConstrainSelectedInstOperands,
     /*   23980 */     // GIR_Coverage, 69416,
     /*   23980 */     GIR_EraseRootFromParent_Done,
     /*   23981 */   // Label 464: @23981
     /*   23981 */   GIM_Try, /*On fail goto*//*Label 465*/ GIMT_Encode4(24036), // Rule ID 69417 //
     /*   23986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   23989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   23993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   23997 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24001 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24014 */     // (add:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24034 */     GIR_RootConstrainSelectedInstOperands,
     /*   24035 */     // GIR_Coverage, 69417,
     /*   24035 */     GIR_EraseRootFromParent_Done,
     /*   24036 */   // Label 465: @24036
     /*   24036 */   GIM_Try, /*On fail goto*//*Label 466*/ GIMT_Encode4(24091), // Rule ID 69506 //
     /*   24041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24056 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24058 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24069 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24089 */     GIR_RootConstrainSelectedInstOperands,
     /*   24090 */     // GIR_Coverage, 69506,
     /*   24090 */     GIR_EraseRootFromParent_Done,
     /*   24091 */   // Label 466: @24091
     /*   24091 */   GIM_Try, /*On fail goto*//*Label 467*/ GIMT_Encode4(24146), // Rule ID 69507 //
     /*   24096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24124 */     // (add:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24144 */     GIR_RootConstrainSelectedInstOperands,
     /*   24145 */     // GIR_Coverage, 69507,
     /*   24145 */     GIR_EraseRootFromParent_Done,
     /*   24146 */   // Label 467: @24146
     /*   24146 */   GIM_Try, /*On fail goto*//*Label 468*/ GIMT_Encode4(24214), // Rule ID 51872 //
     /*   24151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24181 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24188 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   24191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   24197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24212 */     GIR_RootConstrainSelectedInstOperands,
     /*   24213 */     // GIR_Coverage, 51872,
     /*   24213 */     GIR_EraseRootFromParent_Done,
     /*   24214 */   // Label 468: @24214
     /*   24214 */   GIM_Try, /*On fail goto*//*Label 469*/ GIMT_Encode4(24282), // Rule ID 51873 //
     /*   24219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24234 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24238 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   24242 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24256 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   24256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   24259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   24265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24280 */     GIR_RootConstrainSelectedInstOperands,
     /*   24281 */     // GIR_Coverage, 51873,
     /*   24281 */     GIR_EraseRootFromParent_Done,
     /*   24282 */   // Label 469: @24282
     /*   24282 */   GIM_Try, /*On fail goto*//*Label 470*/ GIMT_Encode4(24337), // Rule ID 46738 //
     /*   24287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24315 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24335 */     GIR_RootConstrainSelectedInstOperands,
     /*   24336 */     // GIR_Coverage, 46738,
     /*   24336 */     GIR_EraseRootFromParent_Done,
     /*   24337 */   // Label 470: @24337
     /*   24337 */   GIM_Try, /*On fail goto*//*Label 471*/ GIMT_Encode4(24392), // Rule ID 46739 //
     /*   24342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   24357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24370 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24390 */     GIR_RootConstrainSelectedInstOperands,
     /*   24391 */     // GIR_Coverage, 46739,
     /*   24391 */     GIR_EraseRootFromParent_Done,
     /*   24392 */   // Label 471: @24392
     /*   24392 */   GIM_Try, /*On fail goto*//*Label 472*/ GIMT_Encode4(24447), // Rule ID 46498 //
     /*   24397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24425 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24445 */     GIR_RootConstrainSelectedInstOperands,
     /*   24446 */     // GIR_Coverage, 46498,
     /*   24446 */     GIR_EraseRootFromParent_Done,
     /*   24447 */   // Label 472: @24447
     /*   24447 */   GIM_Try, /*On fail goto*//*Label 473*/ GIMT_Encode4(24502), // Rule ID 46499 //
     /*   24452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24471 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24480 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*   24483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24500 */     GIR_RootConstrainSelectedInstOperands,
     /*   24501 */     // GIR_Coverage, 46499,
     /*   24501 */     GIR_EraseRootFromParent_Done,
     /*   24502 */   // Label 473: @24502
     /*   24502 */   GIM_Try, /*On fail goto*//*Label 474*/ GIMT_Encode4(24557), // Rule ID 46618 //
     /*   24507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24526 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24535 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   24535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24555 */     GIR_RootConstrainSelectedInstOperands,
     /*   24556 */     // GIR_Coverage, 46618,
     /*   24556 */     GIR_EraseRootFromParent_Done,
     /*   24557 */   // Label 474: @24557
     /*   24557 */   GIM_Try, /*On fail goto*//*Label 475*/ GIMT_Encode4(24612), // Rule ID 46619 //
     /*   24562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   24573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24577 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   24581 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24588 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   24590 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   24590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*   24593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   24597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   24601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24610 */     GIR_RootConstrainSelectedInstOperands,
     /*   24611 */     // GIR_Coverage, 46619,
     /*   24611 */     GIR_EraseRootFromParent_Done,
     /*   24612 */   // Label 475: @24612
     /*   24612 */   GIM_Try, /*On fail goto*//*Label 476*/ GIMT_Encode4(24665), // Rule ID 46104 //
     /*   24617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24628 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   24628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   24645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24663 */     GIR_RootConstrainSelectedInstOperands,
     /*   24664 */     // GIR_Coverage, 46104,
     /*   24664 */     GIR_EraseRootFromParent_Done,
     /*   24665 */   // Label 476: @24665
     /*   24665 */   GIM_Try, /*On fail goto*//*Label 477*/ GIMT_Encode4(24718), // Rule ID 46105 //
     /*   24670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24681 */     // (add:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   24681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   24684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   24688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   24693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   24695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   24698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   24703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   24705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   24707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   24716 */     GIR_RootConstrainSelectedInstOperands,
     /*   24717 */     // GIR_Coverage, 46105,
     /*   24717 */     GIR_EraseRootFromParent_Done,
     /*   24718 */   // Label 477: @24718
     /*   24718 */   GIM_Reject,
     /*   24719 */ // Label 437: @24719
     /*   24719 */ GIM_Reject,
     /*   24720 */ // Label 134: @24720
     /*   24720 */ GIM_Try, /*On fail goto*//*Label 478*/ GIMT_Encode4(27844),
     /*   24725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24735 */   GIM_Try, /*On fail goto*//*Label 479*/ GIMT_Encode4(24831), // Rule ID 70808 //
     /*   24740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24759 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24773 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24775 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24780 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24784 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24788 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24792 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24794 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24803 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24805 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   24808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24829 */     GIR_RootConstrainSelectedInstOperands,
     /*   24830 */     // GIR_Coverage, 70808,
     /*   24830 */     GIR_EraseRootFromParent_Done,
     /*   24831 */   // Label 479: @24831
     /*   24831 */   GIM_Try, /*On fail goto*//*Label 480*/ GIMT_Encode4(24927), // Rule ID 70809 //
     /*   24836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   24839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24855 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24857 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24861 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24865 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24869 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24871 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24876 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24880 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24884 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24888 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24890 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24899 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24901 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   24901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   24904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   24906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   24908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   24912 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   24916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   24919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   24922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   24925 */     GIR_RootConstrainSelectedInstOperands,
     /*   24926 */     // GIR_Coverage, 70809,
     /*   24926 */     GIR_EraseRootFromParent_Done,
     /*   24927 */   // Label 480: @24927
     /*   24927 */   GIM_Try, /*On fail goto*//*Label 481*/ GIMT_Encode4(25023), // Rule ID 71072 //
     /*   24932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   24935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   24939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   24943 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   24947 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   24951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   24953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   24957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   24961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   24967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24972 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   24976 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   24980 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   24984 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   24986 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   24995 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   24997 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   24997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25021 */     GIR_RootConstrainSelectedInstOperands,
     /*   25022 */     // GIR_Coverage, 71072,
     /*   25022 */     GIR_EraseRootFromParent_Done,
     /*   25023 */   // Label 481: @25023
     /*   25023 */   GIM_Try, /*On fail goto*//*Label 482*/ GIMT_Encode4(25119), // Rule ID 71073 //
     /*   25028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25043 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25049 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25053 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25057 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25061 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25063 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25068 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25072 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25076 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25080 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25082 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25091 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25093 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25117 */     GIR_RootConstrainSelectedInstOperands,
     /*   25118 */     // GIR_Coverage, 71073,
     /*   25118 */     GIR_EraseRootFromParent_Done,
     /*   25119 */   // Label 482: @25119
     /*   25119 */   GIM_Try, /*On fail goto*//*Label 483*/ GIMT_Encode4(25215), // Rule ID 71074 //
     /*   25124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25139 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25143 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25145 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25149 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25153 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25157 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25164 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25168 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25172 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25176 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25178 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25187 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25189 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25213 */     GIR_RootConstrainSelectedInstOperands,
     /*   25214 */     // GIR_Coverage, 71074,
     /*   25214 */     GIR_EraseRootFromParent_Done,
     /*   25215 */   // Label 483: @25215
     /*   25215 */   GIM_Try, /*On fail goto*//*Label 484*/ GIMT_Encode4(25311), // Rule ID 71075 //
     /*   25220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25235 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25253 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25255 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25260 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25264 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25268 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25272 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25274 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25283 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25285 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25309 */     GIR_RootConstrainSelectedInstOperands,
     /*   25310 */     // GIR_Coverage, 71075,
     /*   25310 */     GIR_EraseRootFromParent_Done,
     /*   25311 */   // Label 484: @25311
     /*   25311 */   GIM_Try, /*On fail goto*//*Label 485*/ GIMT_Encode4(25407), // Rule ID 70922 //
     /*   25316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25331 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25349 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25351 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25356 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25360 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25364 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25368 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25370 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25379 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25381 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   25384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25405 */     GIR_RootConstrainSelectedInstOperands,
     /*   25406 */     // GIR_Coverage, 70922,
     /*   25406 */     GIR_EraseRootFromParent_Done,
     /*   25407 */   // Label 485: @25407
     /*   25407 */   GIM_Try, /*On fail goto*//*Label 486*/ GIMT_Encode4(25503), // Rule ID 70923 //
     /*   25412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   25419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25445 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25452 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25456 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25460 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25464 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25466 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25475 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25477 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   25480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   25484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25501 */     GIR_RootConstrainSelectedInstOperands,
     /*   25502 */     // GIR_Coverage, 70923,
     /*   25502 */     GIR_EraseRootFromParent_Done,
     /*   25503 */   // Label 486: @25503
     /*   25503 */   GIM_Try, /*On fail goto*//*Label 487*/ GIMT_Encode4(25599), // Rule ID 52044 //
     /*   25508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25523 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25527 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25533 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25537 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25541 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25545 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25547 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25552 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25556 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25560 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25564 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25566 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25571 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25573 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25584 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25597 */     GIR_RootConstrainSelectedInstOperands,
     /*   25598 */     // GIR_Coverage, 52044,
     /*   25598 */     GIR_EraseRootFromParent_Done,
     /*   25599 */   // Label 487: @25599
     /*   25599 */   GIM_Try, /*On fail goto*//*Label 488*/ GIMT_Encode4(25695), // Rule ID 52045 //
     /*   25604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25619 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25623 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25629 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25633 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25637 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25641 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25643 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25648 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25652 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25656 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25660 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25662 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25667 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25669 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   25672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25676 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25693 */     GIR_RootConstrainSelectedInstOperands,
     /*   25694 */     // GIR_Coverage, 52045,
     /*   25694 */     GIR_EraseRootFromParent_Done,
     /*   25695 */   // Label 488: @25695
     /*   25695 */   GIM_Try, /*On fail goto*//*Label 489*/ GIMT_Encode4(25791), // Rule ID 52162 //
     /*   25700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25723 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25725 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25729 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25733 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25737 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25744 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25748 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25752 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25756 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25758 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25763 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25765 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25789 */     GIR_RootConstrainSelectedInstOperands,
     /*   25790 */     // GIR_Coverage, 52162,
     /*   25790 */     GIR_EraseRootFromParent_Done,
     /*   25791 */   // Label 489: @25791
     /*   25791 */   GIM_Try, /*On fail goto*//*Label 490*/ GIMT_Encode4(25887), // Rule ID 52163 //
     /*   25796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25821 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25825 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25829 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25833 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25835 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25840 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25844 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25848 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25852 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25854 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25859 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25861 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   25861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25868 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   25872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   25876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25885 */     GIR_RootConstrainSelectedInstOperands,
     /*   25886 */     // GIR_Coverage, 52163,
     /*   25886 */     GIR_EraseRootFromParent_Done,
     /*   25887 */   // Label 490: @25887
     /*   25887 */   GIM_Try, /*On fail goto*//*Label 491*/ GIMT_Encode4(25983), // Rule ID 71070 //
     /*   25892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   25895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   25907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   25911 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   25915 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   25917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   25921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   25925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25929 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   25931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25936 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   25940 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   25944 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   25948 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   25950 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25955 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   25957 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   25957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   25960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   25962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   25964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   25968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   25972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   25975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   25978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   25981 */     GIR_RootConstrainSelectedInstOperands,
     /*   25982 */     // GIR_Coverage, 71070,
     /*   25982 */     GIR_EraseRootFromParent_Done,
     /*   25983 */   // Label 491: @25983
     /*   25983 */   GIM_Try, /*On fail goto*//*Label 492*/ GIMT_Encode4(26079), // Rule ID 71071 //
     /*   25988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   25991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   25995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   25999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26007 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26013 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26017 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26021 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26025 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26032 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26036 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26040 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26044 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26046 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26051 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26053 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   26056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26060 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   26064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   26068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26077 */     GIR_RootConstrainSelectedInstOperands,
     /*   26078 */     // GIR_Coverage, 71071,
     /*   26078 */     GIR_EraseRootFromParent_Done,
     /*   26079 */   // Label 492: @26079
     /*   26079 */   GIM_Try, /*On fail goto*//*Label 493*/ GIMT_Encode4(26175), // Rule ID 52102 //
     /*   26084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26103 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26107 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26109 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26113 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26117 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26121 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26123 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26128 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26132 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26136 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26140 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26142 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26147 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26149 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   26149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   26152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26173 */     GIR_RootConstrainSelectedInstOperands,
     /*   26174 */     // GIR_Coverage, 52102,
     /*   26174 */     GIR_EraseRootFromParent_Done,
     /*   26175 */   // Label 493: @26175
     /*   26175 */   GIM_Try, /*On fail goto*//*Label 494*/ GIMT_Encode4(26271), // Rule ID 52103 //
     /*   26180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   26191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26199 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   26209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26224 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   26228 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26232 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26236 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   26238 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26243 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   26245 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   26245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   26248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   26252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   26260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26269 */     GIR_RootConstrainSelectedInstOperands,
     /*   26270 */     // GIR_Coverage, 52103,
     /*   26270 */     GIR_EraseRootFromParent_Done,
     /*   26271 */   // Label 494: @26271
     /*   26271 */   GIM_Try, /*On fail goto*//*Label 495*/ GIMT_Encode4(26360), // Rule ID 46702 //
     /*   26276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26287 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26291 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26298 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26302 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26306 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26310 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26312 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26319 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26358 */     GIR_RootConstrainSelectedInstOperands,
     /*   26359 */     // GIR_Coverage, 46702,
     /*   26359 */     GIR_EraseRootFromParent_Done,
     /*   26360 */   // Label 495: @26360
     /*   26360 */   GIM_Try, /*On fail goto*//*Label 496*/ GIMT_Encode4(26449), // Rule ID 46703 //
     /*   26365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26376 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26380 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26382 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26387 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26391 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26395 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26399 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26401 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26406 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26408 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26447 */     GIR_RootConstrainSelectedInstOperands,
     /*   26448 */     // GIR_Coverage, 46703,
     /*   26448 */     GIR_EraseRootFromParent_Done,
     /*   26449 */   // Label 496: @26449
     /*   26449 */   GIM_Try, /*On fail goto*//*Label 497*/ GIMT_Encode4(26538), // Rule ID 46466 //
     /*   26454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26476 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26480 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26484 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26488 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26490 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26497 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   26514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26536 */     GIR_RootConstrainSelectedInstOperands,
     /*   26537 */     // GIR_Coverage, 46466,
     /*   26537 */     GIR_EraseRootFromParent_Done,
     /*   26538 */   // Label 497: @26538
     /*   26538 */   GIM_Try, /*On fail goto*//*Label 498*/ GIMT_Encode4(26627), // Rule ID 46467 //
     /*   26543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   26573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26577 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26586 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26586 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26589 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26593 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   26603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26625 */     GIR_RootConstrainSelectedInstOperands,
     /*   26626 */     // GIR_Coverage, 46467,
     /*   26626 */     GIR_EraseRootFromParent_Done,
     /*   26627 */   // Label 498: @26627
     /*   26627 */   GIM_Try, /*On fail goto*//*Label 499*/ GIMT_Encode4(26716), // Rule ID 46582 //
     /*   26632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26643 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26666 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26668 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26673 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26675 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   26675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26714 */     GIR_RootConstrainSelectedInstOperands,
     /*   26715 */     // GIR_Coverage, 46582,
     /*   26715 */     GIR_EraseRootFromParent_Done,
     /*   26716 */   // Label 499: @26716
     /*   26716 */   GIM_Try, /*On fail goto*//*Label 500*/ GIMT_Encode4(26805), // Rule ID 46583 //
     /*   26721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   26747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   26751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   26757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   26764 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   26764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   26767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   26771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   26776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   26778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   26781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   26786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   26790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   26794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   26803 */     GIR_RootConstrainSelectedInstOperands,
     /*   26804 */     // GIR_Coverage, 46583,
     /*   26804 */     GIR_EraseRootFromParent_Done,
     /*   26805 */   // Label 500: @26805
     /*   26805 */   GIM_Try, /*On fail goto*//*Label 501*/ GIMT_Encode4(26873), // Rule ID 70640 //
     /*   26810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26825 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26829 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26847 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   26847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   26850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26871 */     GIR_RootConstrainSelectedInstOperands,
     /*   26872 */     // GIR_Coverage, 70640,
     /*   26872 */     GIR_EraseRootFromParent_Done,
     /*   26873 */   // Label 501: @26873
     /*   26873 */   GIM_Try, /*On fail goto*//*Label 502*/ GIMT_Encode4(26941), // Rule ID 70641 //
     /*   26878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   26881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   26889 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   26893 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   26897 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26915 */     // (add:{ *:[nxv2i32] } (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   26915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   26918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   26924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   26936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26939 */     GIR_RootConstrainSelectedInstOperands,
     /*   26940 */     // GIR_Coverage, 70641,
     /*   26940 */     GIR_EraseRootFromParent_Done,
     /*   26941 */   // Label 502: @26941
     /*   26941 */   GIM_Try, /*On fail goto*//*Label 503*/ GIMT_Encode4(26996), // Rule ID 69620 //
     /*   26946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   26949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   26953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   26957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   26961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   26963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   26972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   26974 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   26974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   26977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   26979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   26981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   26985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   26988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   26991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   26994 */     GIR_RootConstrainSelectedInstOperands,
     /*   26995 */     // GIR_Coverage, 69620,
     /*   26995 */     GIR_EraseRootFromParent_Done,
     /*   26996 */   // Label 503: @26996
     /*   26996 */   GIM_Try, /*On fail goto*//*Label 504*/ GIMT_Encode4(27051), // Rule ID 69621 //
     /*   27001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27029 */     // (add:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27049 */     GIR_RootConstrainSelectedInstOperands,
     /*   27050 */     // GIR_Coverage, 69621,
     /*   27050 */     GIR_EraseRootFromParent_Done,
     /*   27051 */   // Label 504: @27051
     /*   27051 */   GIM_Try, /*On fail goto*//*Label 505*/ GIMT_Encode4(27106), // Rule ID 69440 //
     /*   27056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27084 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27104 */     GIR_RootConstrainSelectedInstOperands,
     /*   27105 */     // GIR_Coverage, 69440,
     /*   27105 */     GIR_EraseRootFromParent_Done,
     /*   27106 */   // Label 505: @27106
     /*   27106 */   GIM_Try, /*On fail goto*//*Label 506*/ GIMT_Encode4(27161), // Rule ID 69441 //
     /*   27111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27139 */     // (add:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27159 */     GIR_RootConstrainSelectedInstOperands,
     /*   27160 */     // GIR_Coverage, 69441,
     /*   27160 */     GIR_EraseRootFromParent_Done,
     /*   27161 */   // Label 506: @27161
     /*   27161 */   GIM_Try, /*On fail goto*//*Label 507*/ GIMT_Encode4(27216), // Rule ID 69530 //
     /*   27166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27177 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27181 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27183 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27194 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27214 */     GIR_RootConstrainSelectedInstOperands,
     /*   27215 */     // GIR_Coverage, 69530,
     /*   27215 */     GIR_EraseRootFromParent_Done,
     /*   27216 */   // Label 507: @27216
     /*   27216 */   GIM_Try, /*On fail goto*//*Label 508*/ GIMT_Encode4(27271), // Rule ID 69531 //
     /*   27221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27249 */     // (add:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27269 */     GIR_RootConstrainSelectedInstOperands,
     /*   27270 */     // GIR_Coverage, 69531,
     /*   27270 */     GIR_EraseRootFromParent_Done,
     /*   27271 */   // Label 508: @27271
     /*   27271 */   GIM_Try, /*On fail goto*//*Label 509*/ GIMT_Encode4(27339), // Rule ID 51888 //
     /*   27276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27313 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   27313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27337 */     GIR_RootConstrainSelectedInstOperands,
     /*   27338 */     // GIR_Coverage, 51888,
     /*   27338 */     GIR_EraseRootFromParent_Done,
     /*   27339 */   // Label 509: @27339
     /*   27339 */   GIM_Try, /*On fail goto*//*Label 510*/ GIMT_Encode4(27407), // Rule ID 51889 //
     /*   27344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27363 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   27367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27381 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   27381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   27384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   27390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27405 */     GIR_RootConstrainSelectedInstOperands,
     /*   27406 */     // GIR_Coverage, 51889,
     /*   27406 */     GIR_EraseRootFromParent_Done,
     /*   27407 */   // Label 510: @27407
     /*   27407 */   GIM_Try, /*On fail goto*//*Label 511*/ GIMT_Encode4(27462), // Rule ID 46762 //
     /*   27412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27438 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27440 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27460 */     GIR_RootConstrainSelectedInstOperands,
     /*   27461 */     // GIR_Coverage, 46762,
     /*   27461 */     GIR_EraseRootFromParent_Done,
     /*   27462 */   // Label 511: @27462
     /*   27462 */   GIM_Try, /*On fail goto*//*Label 512*/ GIMT_Encode4(27517), // Rule ID 46763 //
     /*   27467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   27482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27495 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27515 */     GIR_RootConstrainSelectedInstOperands,
     /*   27516 */     // GIR_Coverage, 46763,
     /*   27516 */     GIR_EraseRootFromParent_Done,
     /*   27517 */   // Label 512: @27517
     /*   27517 */   GIM_Try, /*On fail goto*//*Label 513*/ GIMT_Encode4(27572), // Rule ID 46522 //
     /*   27522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27550 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27570 */     GIR_RootConstrainSelectedInstOperands,
     /*   27571 */     // GIR_Coverage, 46522,
     /*   27571 */     GIR_EraseRootFromParent_Done,
     /*   27572 */   // Label 513: @27572
     /*   27572 */   GIM_Try, /*On fail goto*//*Label 514*/ GIMT_Encode4(27627), // Rule ID 46523 //
     /*   27577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27605 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   27608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27625 */     GIR_RootConstrainSelectedInstOperands,
     /*   27626 */     // GIR_Coverage, 46523,
     /*   27626 */     GIR_EraseRootFromParent_Done,
     /*   27627 */   // Label 514: @27627
     /*   27627 */   GIM_Try, /*On fail goto*//*Label 515*/ GIMT_Encode4(27682), // Rule ID 46642 //
     /*   27632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27660 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   27660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27680 */     GIR_RootConstrainSelectedInstOperands,
     /*   27681 */     // GIR_Coverage, 46642,
     /*   27681 */     GIR_EraseRootFromParent_Done,
     /*   27682 */   // Label 515: @27682
     /*   27682 */   GIM_Try, /*On fail goto*//*Label 516*/ GIMT_Encode4(27737), // Rule ID 46643 //
     /*   27687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   27698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   27702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   27706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   27715 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   27715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   27718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   27722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   27726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   27732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27735 */     GIR_RootConstrainSelectedInstOperands,
     /*   27736 */     // GIR_Coverage, 46643,
     /*   27736 */     GIR_EraseRootFromParent_Done,
     /*   27737 */   // Label 516: @27737
     /*   27737 */   GIM_Try, /*On fail goto*//*Label 517*/ GIMT_Encode4(27790), // Rule ID 46120 //
     /*   27742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   27745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27753 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   27753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   27756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   27770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27788 */     GIR_RootConstrainSelectedInstOperands,
     /*   27789 */     // GIR_Coverage, 46120,
     /*   27789 */     GIR_EraseRootFromParent_Done,
     /*   27790 */   // Label 517: @27790
     /*   27790 */   GIM_Try, /*On fail goto*//*Label 518*/ GIMT_Encode4(27843), // Rule ID 46121 //
     /*   27795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   27798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27806 */     // (add:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   27806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   27809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   27813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   27818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   27820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   27823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   27828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   27830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   27832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   27841 */     GIR_RootConstrainSelectedInstOperands,
     /*   27842 */     // GIR_Coverage, 46121,
     /*   27842 */     GIR_EraseRootFromParent_Done,
     /*   27843 */   // Label 518: @27843
     /*   27843 */   GIM_Reject,
     /*   27844 */ // Label 478: @27844
     /*   27844 */ GIM_Reject,
     /*   27845 */ // Label 135: @27845
     /*   27845 */ GIM_Try, /*On fail goto*//*Label 519*/ GIMT_Encode4(30969),
     /*   27850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   27860 */   GIM_Try, /*On fail goto*//*Label 520*/ GIMT_Encode4(27956), // Rule ID 70818 //
     /*   27865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   27868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   27909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27913 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27917 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   27919 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   27924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   27928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   27930 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   27930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   27933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   27935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   27937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   27941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   27945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   27948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   27951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   27954 */     GIR_RootConstrainSelectedInstOperands,
     /*   27955 */     // GIR_Coverage, 70818,
     /*   27955 */     GIR_EraseRootFromParent_Done,
     /*   27956 */   // Label 520: @27956
     /*   27956 */   GIM_Try, /*On fail goto*//*Label 521*/ GIMT_Encode4(28052), // Rule ID 70819 //
     /*   27961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   27964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   27968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   27972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   27976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   27980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   27982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   27986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   27990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   27994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   27996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28013 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28015 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28026 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28050 */     GIR_RootConstrainSelectedInstOperands,
     /*   28051 */     // GIR_Coverage, 70819,
     /*   28051 */     GIR_EraseRootFromParent_Done,
     /*   28052 */   // Label 521: @28052
     /*   28052 */   GIM_Try, /*On fail goto*//*Label 522*/ GIMT_Encode4(28148), // Rule ID 71102 //
     /*   28057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28105 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28109 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28111 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28122 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28146 */     GIR_RootConstrainSelectedInstOperands,
     /*   28147 */     // GIR_Coverage, 71102,
     /*   28147 */     GIR_EraseRootFromParent_Done,
     /*   28148 */   // Label 522: @28148
     /*   28148 */   GIM_Try, /*On fail goto*//*Label 523*/ GIMT_Encode4(28244), // Rule ID 71103 //
     /*   28153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28168 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28172 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28186 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28193 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28197 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28201 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28205 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28207 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28218 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28242 */     GIR_RootConstrainSelectedInstOperands,
     /*   28243 */     // GIR_Coverage, 71103,
     /*   28243 */     GIR_EraseRootFromParent_Done,
     /*   28244 */   // Label 523: @28244
     /*   28244 */   GIM_Try, /*On fail goto*//*Label 524*/ GIMT_Encode4(28340), // Rule ID 71104 //
     /*   28249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28264 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28268 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28270 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28274 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28278 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28282 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28284 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28289 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28293 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28297 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28301 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28303 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28314 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28338 */     GIR_RootConstrainSelectedInstOperands,
     /*   28339 */     // GIR_Coverage, 71104,
     /*   28339 */     GIR_EraseRootFromParent_Done,
     /*   28340 */   // Label 524: @28340
     /*   28340 */   GIM_Try, /*On fail goto*//*Label 525*/ GIMT_Encode4(28436), // Rule ID 71105 //
     /*   28345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28360 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28366 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28370 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28374 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28378 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28385 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28389 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28393 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28397 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28399 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28410 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   28421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   28425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28434 */     GIR_RootConstrainSelectedInstOperands,
     /*   28435 */     // GIR_Coverage, 71105,
     /*   28435 */     GIR_EraseRootFromParent_Done,
     /*   28436 */   // Label 525: @28436
     /*   28436 */   GIM_Try, /*On fail goto*//*Label 526*/ GIMT_Encode4(28532), // Rule ID 70932 //
     /*   28441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28456 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28460 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28481 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28485 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28489 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28493 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28495 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28506 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   28509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28530 */     GIR_RootConstrainSelectedInstOperands,
     /*   28531 */     // GIR_Coverage, 70932,
     /*   28531 */     GIR_EraseRootFromParent_Done,
     /*   28532 */   // Label 526: @28532
     /*   28532 */   GIM_Try, /*On fail goto*//*Label 527*/ GIMT_Encode4(28628), // Rule ID 70933 //
     /*   28537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   28544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28552 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28558 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28562 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28566 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28570 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28572 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28577 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28581 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28585 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28589 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28591 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28602 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   28605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   28609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28626 */     GIR_RootConstrainSelectedInstOperands,
     /*   28627 */     // GIR_Coverage, 70933,
     /*   28627 */     GIR_EraseRootFromParent_Done,
     /*   28628 */   // Label 527: @28628
     /*   28628 */   GIM_Try, /*On fail goto*//*Label 528*/ GIMT_Encode4(28724), // Rule ID 52054 //
     /*   28633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28685 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28689 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28691 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28698 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28722 */     GIR_RootConstrainSelectedInstOperands,
     /*   28723 */     // GIR_Coverage, 52054,
     /*   28723 */     GIR_EraseRootFromParent_Done,
     /*   28724 */   // Label 528: @28724
     /*   28724 */   GIM_Try, /*On fail goto*//*Label 529*/ GIMT_Encode4(28820), // Rule ID 52055 //
     /*   28729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28781 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28785 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28787 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28794 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   28797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28818 */     GIR_RootConstrainSelectedInstOperands,
     /*   28819 */     // GIR_Coverage, 52055,
     /*   28819 */     GIR_EraseRootFromParent_Done,
     /*   28820 */   // Label 529: @28820
     /*   28820 */   GIM_Try, /*On fail goto*//*Label 530*/ GIMT_Encode4(28916), // Rule ID 52172 //
     /*   28825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   28828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28862 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28877 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28881 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28883 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28890 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   28890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   28905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   28908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   28911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   28914 */     GIR_RootConstrainSelectedInstOperands,
     /*   28915 */     // GIR_Coverage, 52172,
     /*   28915 */     GIR_EraseRootFromParent_Done,
     /*   28916 */   // Label 530: @28916
     /*   28916 */   GIM_Try, /*On fail goto*//*Label 531*/ GIMT_Encode4(29012), // Rule ID 52173 //
     /*   28921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   28924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   28928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   28932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   28936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   28940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   28944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   28946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   28950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   28954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   28960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   28969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   28973 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   28977 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   28979 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   28984 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   28986 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   28986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   28989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   28991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   28993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   28997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29010 */     GIR_RootConstrainSelectedInstOperands,
     /*   29011 */     // GIR_Coverage, 52173,
     /*   29011 */     GIR_EraseRootFromParent_Done,
     /*   29012 */   // Label 531: @29012
     /*   29012 */   GIM_Try, /*On fail goto*//*Label 532*/ GIMT_Encode4(29108), // Rule ID 71100 //
     /*   29017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29061 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29069 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29073 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29075 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29080 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29082 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   29093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   29097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29106 */     GIR_RootConstrainSelectedInstOperands,
     /*   29107 */     // GIR_Coverage, 71100,
     /*   29107 */     GIR_EraseRootFromParent_Done,
     /*   29108 */   // Label 532: @29108
     /*   29108 */   GIM_Try, /*On fail goto*//*Label 533*/ GIMT_Encode4(29204), // Rule ID 71101 //
     /*   29113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29165 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29169 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29171 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29176 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29178 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   29181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   29189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   29193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29202 */     GIR_RootConstrainSelectedInstOperands,
     /*   29203 */     // GIR_Coverage, 71101,
     /*   29203 */     GIR_EraseRootFromParent_Done,
     /*   29204 */   // Label 533: @29204
     /*   29204 */   GIM_Try, /*On fail goto*//*Label 534*/ GIMT_Encode4(29300), // Rule ID 52112 //
     /*   29209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29212 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29265 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29267 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29272 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29274 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   29274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   29277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29298 */     GIR_RootConstrainSelectedInstOperands,
     /*   29299 */     // GIR_Coverage, 52112,
     /*   29299 */     GIR_EraseRootFromParent_Done,
     /*   29300 */   // Label 534: @29300
     /*   29300 */   GIM_Try, /*On fail goto*//*Label 535*/ GIMT_Encode4(29396), // Rule ID 52113 //
     /*   29305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29308 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   29316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   29334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29342 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   29353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29361 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   29363 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29368 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   29370 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   29370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   29373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   29377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   29385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29394 */     GIR_RootConstrainSelectedInstOperands,
     /*   29395 */     // GIR_Coverage, 52113,
     /*   29395 */     GIR_EraseRootFromParent_Done,
     /*   29396 */   // Label 535: @29396
     /*   29396 */   GIM_Try, /*On fail goto*//*Label 536*/ GIMT_Encode4(29485), // Rule ID 46722 //
     /*   29401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29412 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29416 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29435 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29437 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29442 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29444 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29483 */     GIR_RootConstrainSelectedInstOperands,
     /*   29484 */     // GIR_Coverage, 46722,
     /*   29484 */     GIR_EraseRootFromParent_Done,
     /*   29485 */   // Label 536: @29485
     /*   29485 */   GIM_Try, /*On fail goto*//*Label 537*/ GIMT_Encode4(29574), // Rule ID 46723 //
     /*   29490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29505 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29507 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29512 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29516 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   29520 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29524 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29526 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29531 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29533 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29572 */     GIR_RootConstrainSelectedInstOperands,
     /*   29573 */     // GIR_Coverage, 46723,
     /*   29573 */     GIR_EraseRootFromParent_Done,
     /*   29574 */   // Label 537: @29574
     /*   29574 */   GIM_Try, /*On fail goto*//*Label 538*/ GIMT_Encode4(29663), // Rule ID 46486 //
     /*   29579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29590 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29594 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29613 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29615 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29622 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   29639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29661 */     GIR_RootConstrainSelectedInstOperands,
     /*   29662 */     // GIR_Coverage, 46486,
     /*   29662 */     GIR_EraseRootFromParent_Done,
     /*   29663 */   // Label 538: @29663
     /*   29663 */   GIM_Try, /*On fail goto*//*Label 539*/ GIMT_Encode4(29752), // Rule ID 46487 //
     /*   29668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29683 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29690 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29694 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   29698 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29702 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29704 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29709 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29711 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29711 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29714 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29718 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29723 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   29728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29730 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29750 */     GIR_RootConstrainSelectedInstOperands,
     /*   29751 */     // GIR_Coverage, 46487,
     /*   29751 */     GIR_EraseRootFromParent_Done,
     /*   29752 */   // Label 539: @29752
     /*   29752 */   GIM_Try, /*On fail goto*//*Label 540*/ GIMT_Encode4(29841), // Rule ID 46602 //
     /*   29757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   29760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29768 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29779 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29783 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29787 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29791 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29800 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   29800 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29803 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29807 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29812 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29819 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29839 */     GIR_RootConstrainSelectedInstOperands,
     /*   29840 */     // GIR_Coverage, 46602,
     /*   29840 */     GIR_EraseRootFromParent_Done,
     /*   29841 */   // Label 540: @29841
     /*   29841 */   GIM_Try, /*On fail goto*//*Label 541*/ GIMT_Encode4(29930), // Rule ID 46603 //
     /*   29846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   29849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29861 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   29872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   29876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   29880 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   29882 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   29887 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   29889 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   29889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   29892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   29896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   29901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   29903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   29906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   29911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   29915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   29919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   29925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   29928 */     GIR_RootConstrainSelectedInstOperands,
     /*   29929 */     // GIR_Coverage, 46603,
     /*   29929 */     GIR_EraseRootFromParent_Done,
     /*   29930 */   // Label 541: @29930
     /*   29930 */   GIM_Try, /*On fail goto*//*Label 542*/ GIMT_Encode4(29998), // Rule ID 70728 //
     /*   29935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   29938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   29942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   29946 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   29950 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   29954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   29956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   29970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   29972 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   29972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   29975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   29977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   29981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   29985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   29987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   29990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   29993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   29996 */     GIR_RootConstrainSelectedInstOperands,
     /*   29997 */     // GIR_Coverage, 70728,
     /*   29997 */     GIR_EraseRootFromParent_Done,
     /*   29998 */   // Label 542: @29998
     /*   29998 */   GIM_Try, /*On fail goto*//*Label 543*/ GIMT_Encode4(30066), // Rule ID 70729 //
     /*   30003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30018 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30038 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30040 */     // (add:{ *:[nxv2i64] } (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   30040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30064 */     GIR_RootConstrainSelectedInstOperands,
     /*   30065 */     // GIR_Coverage, 70729,
     /*   30065 */     GIR_EraseRootFromParent_Done,
     /*   30066 */   // Label 543: @30066
     /*   30066 */   GIM_Try, /*On fail goto*//*Label 544*/ GIMT_Encode4(30121), // Rule ID 69640 //
     /*   30071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30099 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30119 */     GIR_RootConstrainSelectedInstOperands,
     /*   30120 */     // GIR_Coverage, 69640,
     /*   30120 */     GIR_EraseRootFromParent_Done,
     /*   30121 */   // Label 544: @30121
     /*   30121 */   GIM_Try, /*On fail goto*//*Label 545*/ GIMT_Encode4(30176), // Rule ID 69641 //
     /*   30126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30137 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30141 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30143 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30154 */     // (add:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30174 */     GIR_RootConstrainSelectedInstOperands,
     /*   30175 */     // GIR_Coverage, 69641,
     /*   30175 */     GIR_EraseRootFromParent_Done,
     /*   30176 */   // Label 545: @30176
     /*   30176 */   GIM_Try, /*On fail goto*//*Label 546*/ GIMT_Encode4(30231), // Rule ID 69460 //
     /*   30181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30209 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30229 */     GIR_RootConstrainSelectedInstOperands,
     /*   30230 */     // GIR_Coverage, 69460,
     /*   30230 */     GIR_EraseRootFromParent_Done,
     /*   30231 */   // Label 546: @30231
     /*   30231 */   GIM_Try, /*On fail goto*//*Label 547*/ GIMT_Encode4(30286), // Rule ID 69461 //
     /*   30236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30264 */     // (add:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30284 */     GIR_RootConstrainSelectedInstOperands,
     /*   30285 */     // GIR_Coverage, 69461,
     /*   30285 */     GIR_EraseRootFromParent_Done,
     /*   30286 */   // Label 547: @30286
     /*   30286 */   GIM_Try, /*On fail goto*//*Label 548*/ GIMT_Encode4(30341), // Rule ID 69550 //
     /*   30291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30302 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30306 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30319 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30339 */     GIR_RootConstrainSelectedInstOperands,
     /*   30340 */     // GIR_Coverage, 69550,
     /*   30340 */     GIR_EraseRootFromParent_Done,
     /*   30341 */   // Label 548: @30341
     /*   30341 */   GIM_Try, /*On fail goto*//*Label 549*/ GIMT_Encode4(30396), // Rule ID 69551 //
     /*   30346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30374 */     // (add:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30394 */     GIR_RootConstrainSelectedInstOperands,
     /*   30395 */     // GIR_Coverage, 69551,
     /*   30395 */     GIR_EraseRootFromParent_Done,
     /*   30396 */   // Label 549: @30396
     /*   30396 */   GIM_Try, /*On fail goto*//*Label 550*/ GIMT_Encode4(30464), // Rule ID 51932 //
     /*   30401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30404 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30438 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   30438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30462 */     GIR_RootConstrainSelectedInstOperands,
     /*   30463 */     // GIR_Coverage, 51932,
     /*   30463 */     GIR_EraseRootFromParent_Done,
     /*   30464 */   // Label 550: @30464
     /*   30464 */   GIM_Try, /*On fail goto*//*Label 551*/ GIMT_Encode4(30532), // Rule ID 51933 //
     /*   30469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   30484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   30488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   30492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30499 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30506 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   30506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   30509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   30515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30530 */     GIR_RootConstrainSelectedInstOperands,
     /*   30531 */     // GIR_Coverage, 51933,
     /*   30531 */     GIR_EraseRootFromParent_Done,
     /*   30532 */   // Label 551: @30532
     /*   30532 */   GIM_Try, /*On fail goto*//*Label 552*/ GIMT_Encode4(30587), // Rule ID 46782 //
     /*   30537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30565 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30585 */     GIR_RootConstrainSelectedInstOperands,
     /*   30586 */     // GIR_Coverage, 46782,
     /*   30586 */     GIR_EraseRootFromParent_Done,
     /*   30587 */   // Label 552: @30587
     /*   30587 */   GIM_Try, /*On fail goto*//*Label 553*/ GIMT_Encode4(30642), // Rule ID 46783 //
     /*   30592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   30607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30620 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30640 */     GIR_RootConstrainSelectedInstOperands,
     /*   30641 */     // GIR_Coverage, 46783,
     /*   30641 */     GIR_EraseRootFromParent_Done,
     /*   30642 */   // Label 553: @30642
     /*   30642 */   GIM_Try, /*On fail goto*//*Label 554*/ GIMT_Encode4(30697), // Rule ID 46542 //
     /*   30647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30650 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30675 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30695 */     GIR_RootConstrainSelectedInstOperands,
     /*   30696 */     // GIR_Coverage, 46542,
     /*   30696 */     GIR_EraseRootFromParent_Done,
     /*   30697 */   // Label 554: @30697
     /*   30697 */   GIM_Try, /*On fail goto*//*Label 555*/ GIMT_Encode4(30752), // Rule ID 46543 //
     /*   30702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30705 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   30717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30730 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   30733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30750 */     GIR_RootConstrainSelectedInstOperands,
     /*   30751 */     // GIR_Coverage, 46543,
     /*   30751 */     GIR_EraseRootFromParent_Done,
     /*   30752 */   // Label 555: @30752
     /*   30752 */   GIM_Try, /*On fail goto*//*Label 556*/ GIMT_Encode4(30807), // Rule ID 46662 //
     /*   30757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   30760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30785 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   30785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30805 */     GIR_RootConstrainSelectedInstOperands,
     /*   30806 */     // GIR_Coverage, 46662,
     /*   30806 */     GIR_EraseRootFromParent_Done,
     /*   30807 */   // Label 556: @30807
     /*   30807 */   GIM_Try, /*On fail goto*//*Label 557*/ GIMT_Encode4(30862), // Rule ID 46663 //
     /*   30812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   30815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   30823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   30827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   30831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   30833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   30840 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   30840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   30843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   30847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   30851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   30857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   30860 */     GIR_RootConstrainSelectedInstOperands,
     /*   30861 */     // GIR_Coverage, 46663,
     /*   30861 */     GIR_EraseRootFromParent_Done,
     /*   30862 */   // Label 557: @30862
     /*   30862 */   GIM_Try, /*On fail goto*//*Label 558*/ GIMT_Encode4(30915), // Rule ID 46164 //
     /*   30867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   30870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30878 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   30878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   30881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   30895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30913 */     GIR_RootConstrainSelectedInstOperands,
     /*   30914 */     // GIR_Coverage, 46164,
     /*   30914 */     GIR_EraseRootFromParent_Done,
     /*   30915 */   // Label 558: @30915
     /*   30915 */   GIM_Try, /*On fail goto*//*Label 559*/ GIMT_Encode4(30968), // Rule ID 46165 //
     /*   30920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   30923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   30931 */     // (add:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   30931 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   30934 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   30938 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   30943 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   30945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   30948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   30950 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   30953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   30955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   30957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   30960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   30963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   30966 */     GIR_RootConstrainSelectedInstOperands,
     /*   30967 */     // GIR_Coverage, 46165,
     /*   30967 */     GIR_EraseRootFromParent_Done,
     /*   30968 */   // Label 559: @30968
     /*   30968 */   GIM_Reject,
     /*   30969 */ // Label 519: @30969
     /*   30969 */ GIM_Reject,
     /*   30970 */ // Label 136: @30970
     /*   30970 */ GIM_Try, /*On fail goto*//*Label 560*/ GIMT_Encode4(31364),
     /*   30975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   30978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   30981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   30985 */   GIM_Try, /*On fail goto*//*Label 561*/ GIMT_Encode4(31053), // Rule ID 70592 //
     /*   30990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   30993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   30997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31027 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31051 */     GIR_RootConstrainSelectedInstOperands,
     /*   31052 */     // GIR_Coverage, 70592,
     /*   31052 */     GIR_EraseRootFromParent_Done,
     /*   31053 */   // Label 561: @31053
     /*   31053 */   GIM_Try, /*On fail goto*//*Label 562*/ GIMT_Encode4(31121), // Rule ID 70593 //
     /*   31058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31073 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31077 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31079 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31095 */     // (add:{ *:[nxv4i8] } (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31119 */     GIR_RootConstrainSelectedInstOperands,
     /*   31120 */     // GIR_Coverage, 70593,
     /*   31120 */     GIR_EraseRootFromParent_Done,
     /*   31121 */   // Label 562: @31121
     /*   31121 */   GIM_Try, /*On fail goto*//*Label 563*/ GIMT_Encode4(31189), // Rule ID 51864 //
     /*   31126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31163 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   31178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31187 */     GIR_RootConstrainSelectedInstOperands,
     /*   31188 */     // GIR_Coverage, 51864,
     /*   31188 */     GIR_EraseRootFromParent_Done,
     /*   31189 */   // Label 563: @31189
     /*   31189 */   GIM_Try, /*On fail goto*//*Label 564*/ GIMT_Encode4(31257), // Rule ID 51865 //
     /*   31194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   31205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31213 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   31217 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31224 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   31231 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /*   31234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   31240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   31244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   31246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31255 */     GIR_RootConstrainSelectedInstOperands,
     /*   31256 */     // GIR_Coverage, 51865,
     /*   31256 */     GIR_EraseRootFromParent_Done,
     /*   31257 */   // Label 564: @31257
     /*   31257 */   GIM_Try, /*On fail goto*//*Label 565*/ GIMT_Encode4(31310), // Rule ID 46096 //
     /*   31262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31273 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   31273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   31290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31308 */     GIR_RootConstrainSelectedInstOperands,
     /*   31309 */     // GIR_Coverage, 46096,
     /*   31309 */     GIR_EraseRootFromParent_Done,
     /*   31310 */   // Label 565: @31310
     /*   31310 */   GIM_Try, /*On fail goto*//*Label 566*/ GIMT_Encode4(31363), // Rule ID 46097 //
     /*   31315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31326 */     // (add:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   31326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   31329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   31333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   31338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   31340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*   31343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   31348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   31350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   31352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31361 */     GIR_RootConstrainSelectedInstOperands,
     /*   31362 */     // GIR_Coverage, 46097,
     /*   31362 */     GIR_EraseRootFromParent_Done,
     /*   31363 */   // Label 566: @31363
     /*   31363 */   GIM_Reject,
     /*   31364 */ // Label 560: @31364
     /*   31364 */ GIM_Reject,
     /*   31365 */ // Label 137: @31365
     /*   31365 */ GIM_Try, /*On fail goto*//*Label 567*/ GIMT_Encode4(34489),
     /*   31370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31380 */   GIM_Try, /*On fail goto*//*Label 568*/ GIMT_Encode4(31476), // Rule ID 70798 //
     /*   31385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31396 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31400 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31404 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31425 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31429 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31433 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31437 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31439 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31448 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31450 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   31453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31474 */     GIR_RootConstrainSelectedInstOperands,
     /*   31475 */     // GIR_Coverage, 70798,
     /*   31475 */     GIR_EraseRootFromParent_Done,
     /*   31476 */   // Label 568: @31476
     /*   31476 */   GIM_Try, /*On fail goto*//*Label 569*/ GIMT_Encode4(31572), // Rule ID 70799 //
     /*   31481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31496 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31514 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31516 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31521 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31525 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31529 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31533 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31535 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31544 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31546 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   31549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31570 */     GIR_RootConstrainSelectedInstOperands,
     /*   31571 */     // GIR_Coverage, 70799,
     /*   31571 */     GIR_EraseRootFromParent_Done,
     /*   31572 */   // Label 569: @31572
     /*   31572 */   GIM_Try, /*On fail goto*//*Label 570*/ GIMT_Encode4(31668), // Rule ID 71042 //
     /*   31577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31598 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31602 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31606 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31610 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31617 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31621 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31625 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31629 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31631 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31640 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31642 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31666 */     GIR_RootConstrainSelectedInstOperands,
     /*   31667 */     // GIR_Coverage, 71042,
     /*   31667 */     GIR_EraseRootFromParent_Done,
     /*   31668 */   // Label 570: @31668
     /*   31668 */   GIM_Try, /*On fail goto*//*Label 571*/ GIMT_Encode4(31764), // Rule ID 71043 //
     /*   31673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31688 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31692 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31713 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31717 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31721 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31725 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31727 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31736 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31738 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   31749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   31753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31762 */     GIR_RootConstrainSelectedInstOperands,
     /*   31763 */     // GIR_Coverage, 71043,
     /*   31763 */     GIR_EraseRootFromParent_Done,
     /*   31764 */   // Label 571: @31764
     /*   31764 */   GIM_Try, /*On fail goto*//*Label 572*/ GIMT_Encode4(31860), // Rule ID 71044 //
     /*   31769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31772 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31776 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31780 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31784 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31802 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31804 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31809 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31813 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31817 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31821 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31823 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31832 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31834 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   31834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31858 */     GIR_RootConstrainSelectedInstOperands,
     /*   31859 */     // GIR_Coverage, 71044,
     /*   31859 */     GIR_EraseRootFromParent_Done,
     /*   31860 */   // Label 572: @31860
     /*   31860 */   GIM_Try, /*On fail goto*//*Label 573*/ GIMT_Encode4(31956), // Rule ID 71045 //
     /*   31865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   31868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31880 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31886 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31890 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31894 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31898 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31900 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31905 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   31909 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   31913 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31917 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   31919 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   31928 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   31930 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   31930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   31933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   31935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   31937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   31941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   31945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   31948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   31951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   31954 */     GIR_RootConstrainSelectedInstOperands,
     /*   31955 */     // GIR_Coverage, 71045,
     /*   31955 */     GIR_EraseRootFromParent_Done,
     /*   31956 */   // Label 573: @31956
     /*   31956 */   GIM_Try, /*On fail goto*//*Label 574*/ GIMT_Encode4(32052), // Rule ID 70912 //
     /*   31961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   31964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   31968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   31972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   31976 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   31980 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   31982 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   31986 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   31990 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   31994 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   31996 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32013 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32015 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32024 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32026 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32050 */     GIR_RootConstrainSelectedInstOperands,
     /*   32051 */     // GIR_Coverage, 70912,
     /*   32051 */     GIR_EraseRootFromParent_Done,
     /*   32052 */   // Label 574: @32052
     /*   32052 */   GIM_Try, /*On fail goto*//*Label 575*/ GIMT_Encode4(32148), // Rule ID 70913 //
     /*   32057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32072 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32097 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32101 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32105 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32109 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32111 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32120 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32122 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rd)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   32129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32146 */     GIR_RootConstrainSelectedInstOperands,
     /*   32147 */     // GIR_Coverage, 70913,
     /*   32147 */     GIR_EraseRootFromParent_Done,
     /*   32148 */   // Label 575: @32148
     /*   32148 */   GIM_Try, /*On fail goto*//*Label 576*/ GIMT_Encode4(32244), // Rule ID 52034 //
     /*   32153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32176 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32178 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32182 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32186 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32190 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32197 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32201 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32205 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32209 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32211 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32216 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32218 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   32221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32242 */     GIR_RootConstrainSelectedInstOperands,
     /*   32243 */     // GIR_Coverage, 52034,
     /*   32243 */     GIR_EraseRootFromParent_Done,
     /*   32244 */   // Label 576: @32244
     /*   32244 */   GIM_Try, /*On fail goto*//*Label 577*/ GIMT_Encode4(32340), // Rule ID 52035 //
     /*   32249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32264 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32268 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32274 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32278 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32282 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32286 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32288 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32293 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32297 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32301 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32305 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32307 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32312 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32314 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /*   32317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32338 */     GIR_RootConstrainSelectedInstOperands,
     /*   32339 */     // GIR_Coverage, 52035,
     /*   32339 */     GIR_EraseRootFromParent_Done,
     /*   32340 */   // Label 577: @32340
     /*   32340 */   GIM_Try, /*On fail goto*//*Label 578*/ GIMT_Encode4(32436), // Rule ID 52152 //
     /*   32345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32364 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32389 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32393 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32397 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32401 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32403 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32408 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32410 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32434 */     GIR_RootConstrainSelectedInstOperands,
     /*   32435 */     // GIR_Coverage, 52152,
     /*   32435 */     GIR_EraseRootFromParent_Done,
     /*   32436 */   // Label 578: @32436
     /*   32436 */   GIM_Try, /*On fail goto*//*Label 579*/ GIMT_Encode4(32532), // Rule ID 52153 //
     /*   32441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32464 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32466 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32470 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32474 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32478 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32480 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32485 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32489 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32493 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32497 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32499 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32504 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32506 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32530 */     GIR_RootConstrainSelectedInstOperands,
     /*   32531 */     // GIR_Coverage, 52153,
     /*   32531 */     GIR_EraseRootFromParent_Done,
     /*   32532 */   // Label 579: @32532
     /*   32532 */   GIM_Try, /*On fail goto*//*Label 580*/ GIMT_Encode4(32628), // Rule ID 71040 //
     /*   32537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32556 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32560 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32562 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32566 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32570 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32574 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32576 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32581 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32585 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32589 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32593 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32595 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32600 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32602 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32609 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32626 */     GIR_RootConstrainSelectedInstOperands,
     /*   32627 */     // GIR_Coverage, 71040,
     /*   32627 */     GIR_EraseRootFromParent_Done,
     /*   32628 */   // Label 580: @32628
     /*   32628 */   GIM_Try, /*On fail goto*//*Label 581*/ GIMT_Encode4(32724), // Rule ID 71041 //
     /*   32633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32636 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32648 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32652 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32677 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32681 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   32685 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32689 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32691 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32696 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32698 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /*   32701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   32709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   32713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32722 */     GIR_RootConstrainSelectedInstOperands,
     /*   32723 */     // GIR_Coverage, 71041,
     /*   32723 */     GIR_EraseRootFromParent_Done,
     /*   32724 */   // Label 581: @32724
     /*   32724 */   GIM_Try, /*On fail goto*//*Label 582*/ GIMT_Encode4(32820), // Rule ID 52092 //
     /*   32729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32748 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32773 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32777 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32781 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32785 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32787 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32792 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32794 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   32794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32818 */     GIR_RootConstrainSelectedInstOperands,
     /*   32819 */     // GIR_Coverage, 52092,
     /*   32819 */     GIR_EraseRootFromParent_Done,
     /*   32820 */   // Label 582: @32820
     /*   32820 */   GIM_Try, /*On fail goto*//*Label 583*/ GIMT_Encode4(32916), // Rule ID 52093 //
     /*   32825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   32828 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   32836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   32840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   32844 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   32848 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32850 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   32854 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32858 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32862 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32864 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32869 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   32873 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   32877 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32881 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   32883 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32888 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   32890 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   32890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /*   32893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   32897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   32905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   32911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   32914 */     GIR_RootConstrainSelectedInstOperands,
     /*   32915 */     // GIR_Coverage, 52093,
     /*   32915 */     GIR_EraseRootFromParent_Done,
     /*   32916 */   // Label 583: @32916
     /*   32916 */   GIM_Try, /*On fail goto*//*Label 584*/ GIMT_Encode4(33005), // Rule ID 46682 //
     /*   32921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   32924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   32928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32936 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   32938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   32947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   32951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   32955 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   32957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   32962 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   32964 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   32964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   32967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   32971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   32976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   32978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   32981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   32983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   32986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   32990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   32994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   32997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33003 */     GIR_RootConstrainSelectedInstOperands,
     /*   33004 */     // GIR_Coverage, 46682,
     /*   33004 */     GIR_EraseRootFromParent_Done,
     /*   33005 */   // Label 584: @33005
     /*   33005 */   GIM_Try, /*On fail goto*//*Label 585*/ GIMT_Encode4(33094), // Rule ID 46683 //
     /*   33010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33021 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33025 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33032 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33036 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33040 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33044 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33046 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33051 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33053 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33079 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33092 */     GIR_RootConstrainSelectedInstOperands,
     /*   33093 */     // GIR_Coverage, 46683,
     /*   33093 */     GIR_EraseRootFromParent_Done,
     /*   33094 */   // Label 585: @33094
     /*   33094 */   GIM_Try, /*On fail goto*//*Label 586*/ GIMT_Encode4(33183), // Rule ID 46446 //
     /*   33099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33114 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33116 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33121 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33125 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33129 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33133 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33135 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33140 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33142 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   33159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33168 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33181 */     GIR_RootConstrainSelectedInstOperands,
     /*   33182 */     // GIR_Coverage, 46446,
     /*   33182 */     GIR_EraseRootFromParent_Done,
     /*   33183 */   // Label 586: @33183
     /*   33183 */   GIM_Try, /*On fail goto*//*Label 587*/ GIMT_Encode4(33272), // Rule ID 46447 //
     /*   33188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33203 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33222 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33224 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33231 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33231 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33234 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33238 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33243 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*   33248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33250 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33253 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33270 */     GIR_RootConstrainSelectedInstOperands,
     /*   33271 */     // GIR_Coverage, 46447,
     /*   33271 */     GIR_EraseRootFromParent_Done,
     /*   33272 */   // Label 587: @33272
     /*   33272 */   GIM_Try, /*On fail goto*//*Label 588*/ GIMT_Encode4(33361), // Rule ID 46562 //
     /*   33277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33311 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33313 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33320 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   33320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33359 */     GIR_RootConstrainSelectedInstOperands,
     /*   33360 */     // GIR_Coverage, 46562,
     /*   33360 */     GIR_EraseRootFromParent_Done,
     /*   33361 */   // Label 588: @33361
     /*   33361 */   GIM_Try, /*On fail goto*//*Label 589*/ GIMT_Encode4(33450), // Rule ID 46563 //
     /*   33366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33388 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   33392 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33396 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33400 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   33402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   33409 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   33409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   33412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   33416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   33421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   33423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*   33426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   33431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   33435 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   33439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33448 */     GIR_RootConstrainSelectedInstOperands,
     /*   33449 */     // GIR_Coverage, 46563,
     /*   33449 */     GIR_EraseRootFromParent_Done,
     /*   33450 */   // Label 589: @33450
     /*   33450 */   GIM_Try, /*On fail goto*//*Label 590*/ GIMT_Encode4(33518), // Rule ID 70632 //
     /*   33455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33474 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33492 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33516 */     GIR_RootConstrainSelectedInstOperands,
     /*   33517 */     // GIR_Coverage, 70632,
     /*   33517 */     GIR_EraseRootFromParent_Done,
     /*   33518 */   // Label 590: @33518
     /*   33518 */   GIM_Try, /*On fail goto*//*Label 591*/ GIMT_Encode4(33586), // Rule ID 70633 //
     /*   33523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33534 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33538 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33560 */     // (add:{ *:[nxv4i16] } (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   33560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33584 */     GIR_RootConstrainSelectedInstOperands,
     /*   33585 */     // GIR_Coverage, 70633,
     /*   33585 */     GIR_EraseRootFromParent_Done,
     /*   33586 */   // Label 591: @33586
     /*   33586 */   GIM_Try, /*On fail goto*//*Label 592*/ GIMT_Encode4(33641), // Rule ID 69600 //
     /*   33591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33602 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33606 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33619 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33639 */     GIR_RootConstrainSelectedInstOperands,
     /*   33640 */     // GIR_Coverage, 69600,
     /*   33640 */     GIR_EraseRootFromParent_Done,
     /*   33641 */   // Label 592: @33641
     /*   33641 */   GIM_Try, /*On fail goto*//*Label 593*/ GIMT_Encode4(33696), // Rule ID 69601 //
     /*   33646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   33657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33661 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33663 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33674 */     // (add:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33694 */     GIR_RootConstrainSelectedInstOperands,
     /*   33695 */     // GIR_Coverage, 69601,
     /*   33695 */     GIR_EraseRootFromParent_Done,
     /*   33696 */   // Label 593: @33696
     /*   33696 */   GIM_Try, /*On fail goto*//*Label 594*/ GIMT_Encode4(33751), // Rule ID 69420 //
     /*   33701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33729 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   33732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33749 */     GIR_RootConstrainSelectedInstOperands,
     /*   33750 */     // GIR_Coverage, 69420,
     /*   33750 */     GIR_EraseRootFromParent_Done,
     /*   33751 */   // Label 594: @33751
     /*   33751 */   GIM_Try, /*On fail goto*//*Label 595*/ GIMT_Encode4(33806), // Rule ID 69421 //
     /*   33756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   33767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33771 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33773 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33784 */     // (add:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   33787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33804 */     GIR_RootConstrainSelectedInstOperands,
     /*   33805 */     // GIR_Coverage, 69421,
     /*   33805 */     GIR_EraseRootFromParent_Done,
     /*   33806 */   // Label 595: @33806
     /*   33806 */   GIM_Try, /*On fail goto*//*Label 596*/ GIMT_Encode4(33861), // Rule ID 69510 //
     /*   33811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33826 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33839 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   33839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33846 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33859 */     GIR_RootConstrainSelectedInstOperands,
     /*   33860 */     // GIR_Coverage, 69510,
     /*   33860 */     GIR_EraseRootFromParent_Done,
     /*   33861 */   // Label 596: @33861
     /*   33861 */   GIM_Try, /*On fail goto*//*Label 597*/ GIMT_Encode4(33916), // Rule ID 69511 //
     /*   33866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   33873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   33877 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   33881 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33894 */     // (add:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   33894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   33897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   33901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   33911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33914 */     GIR_RootConstrainSelectedInstOperands,
     /*   33915 */     // GIR_Coverage, 69511,
     /*   33915 */     GIR_EraseRootFromParent_Done,
     /*   33916 */   // Label 597: @33916
     /*   33916 */   GIM_Try, /*On fail goto*//*Label 598*/ GIMT_Encode4(33984), // Rule ID 51884 //
     /*   33921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   33924 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   33932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   33936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   33940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   33944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   33946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33951 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   33958 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   33958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   33961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   33963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   33967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   33971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   33973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   33976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   33979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   33982 */     GIR_RootConstrainSelectedInstOperands,
     /*   33983 */     // GIR_Coverage, 51884,
     /*   33983 */     GIR_EraseRootFromParent_Done,
     /*   33984 */   // Label 598: @33984
     /*   33984 */   GIM_Try, /*On fail goto*//*Label 599*/ GIMT_Encode4(34052), // Rule ID 51885 //
     /*   33989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   33992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   33996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34008 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   34012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34026 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   34029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   34035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34050 */     GIR_RootConstrainSelectedInstOperands,
     /*   34051 */     // GIR_Coverage, 51885,
     /*   34051 */     GIR_EraseRootFromParent_Done,
     /*   34052 */   // Label 599: @34052
     /*   34052 */   GIM_Try, /*On fail goto*//*Label 600*/ GIMT_Encode4(34107), // Rule ID 46742 //
     /*   34057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34085 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34105 */     GIR_RootConstrainSelectedInstOperands,
     /*   34106 */     // GIR_Coverage, 46742,
     /*   34106 */     GIR_EraseRootFromParent_Done,
     /*   34107 */   // Label 600: @34107
     /*   34107 */   GIM_Try, /*On fail goto*//*Label 601*/ GIMT_Encode4(34162), // Rule ID 46743 //
     /*   34112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   34127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34140 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34160 */     GIR_RootConstrainSelectedInstOperands,
     /*   34161 */     // GIR_Coverage, 46743,
     /*   34161 */     GIR_EraseRootFromParent_Done,
     /*   34162 */   // Label 601: @34162
     /*   34162 */   GIM_Try, /*On fail goto*//*Label 602*/ GIMT_Encode4(34217), // Rule ID 46502 //
     /*   34167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34195 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   34198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34202 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34215 */     GIR_RootConstrainSelectedInstOperands,
     /*   34216 */     // GIR_Coverage, 46502,
     /*   34216 */     GIR_EraseRootFromParent_Done,
     /*   34217 */   // Label 602: @34217
     /*   34217 */   GIM_Try, /*On fail goto*//*Label 603*/ GIMT_Encode4(34272), // Rule ID 46503 //
     /*   34222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34237 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34241 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34250 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*   34253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34270 */     GIR_RootConstrainSelectedInstOperands,
     /*   34271 */     // GIR_Coverage, 46503,
     /*   34271 */     GIR_EraseRootFromParent_Done,
     /*   34272 */   // Label 603: @34272
     /*   34272 */   GIM_Try, /*On fail goto*//*Label 604*/ GIMT_Encode4(34327), // Rule ID 46622 //
     /*   34277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34296 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34305 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   34305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34325 */     GIR_RootConstrainSelectedInstOperands,
     /*   34326 */     // GIR_Coverage, 46622,
     /*   34326 */     GIR_EraseRootFromParent_Done,
     /*   34327 */   // Label 604: @34327
     /*   34327 */   GIM_Try, /*On fail goto*//*Label 605*/ GIMT_Encode4(34382), // Rule ID 46623 //
     /*   34332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   34343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   34351 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   34360 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   34360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*   34363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   34367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   34371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34380 */     GIR_RootConstrainSelectedInstOperands,
     /*   34381 */     // GIR_Coverage, 46623,
     /*   34381 */     GIR_EraseRootFromParent_Done,
     /*   34382 */   // Label 605: @34382
     /*   34382 */   GIM_Try, /*On fail goto*//*Label 606*/ GIMT_Encode4(34435), // Rule ID 46116 //
     /*   34387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34398 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   34398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   34401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   34415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34433 */     GIR_RootConstrainSelectedInstOperands,
     /*   34434 */     // GIR_Coverage, 46116,
     /*   34434 */     GIR_EraseRootFromParent_Done,
     /*   34435 */   // Label 606: @34435
     /*   34435 */   GIM_Try, /*On fail goto*//*Label 607*/ GIMT_Encode4(34488), // Rule ID 46117 //
     /*   34440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34451 */     // (add:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   34451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   34454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   34458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   34463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   34465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   34468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   34473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   34475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   34477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   34486 */     GIR_RootConstrainSelectedInstOperands,
     /*   34487 */     // GIR_Coverage, 46117,
     /*   34487 */     GIR_EraseRootFromParent_Done,
     /*   34488 */   // Label 607: @34488
     /*   34488 */   GIM_Reject,
     /*   34489 */ // Label 567: @34489
     /*   34489 */ GIM_Reject,
     /*   34490 */ // Label 138: @34490
     /*   34490 */ GIM_Try, /*On fail goto*//*Label 608*/ GIMT_Encode4(37614),
     /*   34495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34505 */   GIM_Try, /*On fail goto*//*Label 609*/ GIMT_Encode4(34601), // Rule ID 70810 //
     /*   34510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34525 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34529 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34543 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34550 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34554 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34558 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34562 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34564 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34573 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34575 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   34578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34582 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34586 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34599 */     GIR_RootConstrainSelectedInstOperands,
     /*   34600 */     // GIR_Coverage, 70810,
     /*   34600 */     GIR_EraseRootFromParent_Done,
     /*   34601 */   // Label 609: @34601
     /*   34601 */   GIM_Try, /*On fail goto*//*Label 610*/ GIMT_Encode4(34697), // Rule ID 70811 //
     /*   34606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34625 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34646 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34650 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34654 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34658 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34660 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34669 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34671 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   34674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34695 */     GIR_RootConstrainSelectedInstOperands,
     /*   34696 */     // GIR_Coverage, 70811,
     /*   34696 */     GIR_EraseRootFromParent_Done,
     /*   34697 */   // Label 610: @34697
     /*   34697 */   GIM_Try, /*On fail goto*//*Label 611*/ GIMT_Encode4(34793), // Rule ID 71078 //
     /*   34702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34717 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34742 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34746 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34750 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34754 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34756 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34765 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34767 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34791 */     GIR_RootConstrainSelectedInstOperands,
     /*   34792 */     // GIR_Coverage, 71078,
     /*   34792 */     GIR_EraseRootFromParent_Done,
     /*   34793 */   // Label 611: @34793
     /*   34793 */   GIM_Try, /*On fail goto*//*Label 612*/ GIMT_Encode4(34889), // Rule ID 71079 //
     /*   34798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34813 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34817 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34831 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34833 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34838 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34842 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34846 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34850 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34852 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34861 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34863 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   34863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   34874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   34878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34887 */     GIR_RootConstrainSelectedInstOperands,
     /*   34888 */     // GIR_Coverage, 71079,
     /*   34888 */     GIR_EraseRootFromParent_Done,
     /*   34889 */   // Label 612: @34889
     /*   34889 */   GIM_Try, /*On fail goto*//*Label 613*/ GIMT_Encode4(34985), // Rule ID 71080 //
     /*   34894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   34897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   34905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   34909 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   34913 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   34915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   34919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   34923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   34929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34934 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   34938 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   34942 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   34946 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   34948 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   34953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   34957 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   34959 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   34959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   34962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   34964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   34966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   34970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   34974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   34977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   34980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   34983 */     GIR_RootConstrainSelectedInstOperands,
     /*   34984 */     // GIR_Coverage, 71080,
     /*   34984 */     GIR_EraseRootFromParent_Done,
     /*   34985 */   // Label 613: @34985
     /*   34985 */   GIM_Try, /*On fail goto*//*Label 614*/ GIMT_Encode4(35081), // Rule ID 71081 //
     /*   34990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   34993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   34997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35011 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35015 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35019 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35023 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35025 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35030 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35034 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35038 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35042 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35044 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35053 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35055 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35079 */     GIR_RootConstrainSelectedInstOperands,
     /*   35080 */     // GIR_Coverage, 71081,
     /*   35080 */     GIR_EraseRootFromParent_Done,
     /*   35081 */   // Label 614: @35081
     /*   35081 */   GIM_Try, /*On fail goto*//*Label 615*/ GIMT_Encode4(35177), // Rule ID 70924 //
     /*   35086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35101 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35119 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35126 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35130 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35134 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35138 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35140 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35149 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35151 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35175 */     GIR_RootConstrainSelectedInstOperands,
     /*   35176 */     // GIR_Coverage, 70924,
     /*   35176 */     GIR_EraseRootFromParent_Done,
     /*   35177 */   // Label 615: @35177
     /*   35177 */   GIM_Try, /*On fail goto*//*Label 616*/ GIMT_Encode4(35273), // Rule ID 70925 //
     /*   35182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   35189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35203 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35207 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35211 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35215 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35217 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35222 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35226 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35230 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35234 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35236 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35245 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35247 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   35254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35271 */     GIR_RootConstrainSelectedInstOperands,
     /*   35272 */     // GIR_Coverage, 70925,
     /*   35272 */     GIR_EraseRootFromParent_Done,
     /*   35273 */   // Label 616: @35273
     /*   35273 */   GIM_Try, /*On fail goto*//*Label 617*/ GIMT_Encode4(35369), // Rule ID 52046 //
     /*   35278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35281 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35297 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35303 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35307 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35311 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35315 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35317 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35322 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35326 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35330 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35334 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35336 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35341 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35343 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   35346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35367 */     GIR_RootConstrainSelectedInstOperands,
     /*   35368 */     // GIR_Coverage, 52046,
     /*   35368 */     GIR_EraseRootFromParent_Done,
     /*   35369 */   // Label 617: @35369
     /*   35369 */   GIM_Try, /*On fail goto*//*Label 618*/ GIMT_Encode4(35465), // Rule ID 52047 //
     /*   35374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35377 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35393 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35397 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35399 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35403 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35407 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35411 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35413 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35418 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35422 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35426 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35430 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35432 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35437 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35439 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   35442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35463 */     GIR_RootConstrainSelectedInstOperands,
     /*   35464 */     // GIR_Coverage, 52047,
     /*   35464 */     GIR_EraseRootFromParent_Done,
     /*   35465 */   // Label 618: @35465
     /*   35465 */   GIM_Try, /*On fail goto*//*Label 619*/ GIMT_Encode4(35561), // Rule ID 52164 //
     /*   35470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35489 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35493 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35507 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35514 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35518 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35522 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35526 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35528 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35533 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35535 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35559 */     GIR_RootConstrainSelectedInstOperands,
     /*   35560 */     // GIR_Coverage, 52164,
     /*   35560 */     GIR_EraseRootFromParent_Done,
     /*   35561 */   // Label 619: @35561
     /*   35561 */   GIM_Try, /*On fail goto*//*Label 620*/ GIMT_Encode4(35657), // Rule ID 52165 //
     /*   35566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35603 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35614 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35618 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35622 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35624 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35629 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35631 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35638 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35655 */     GIR_RootConstrainSelectedInstOperands,
     /*   35656 */     // GIR_Coverage, 52165,
     /*   35656 */     GIR_EraseRootFromParent_Done,
     /*   35657 */   // Label 620: @35657
     /*   35657 */   GIM_Try, /*On fail goto*//*Label 621*/ GIMT_Encode4(35753), // Rule ID 71076 //
     /*   35662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35714 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35718 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35720 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35725 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35727 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35751 */     GIR_RootConstrainSelectedInstOperands,
     /*   35752 */     // GIR_Coverage, 71076,
     /*   35752 */     GIR_EraseRootFromParent_Done,
     /*   35753 */   // Label 621: @35753
     /*   35753 */   GIM_Try, /*On fail goto*//*Label 622*/ GIMT_Encode4(35849), // Rule ID 71077 //
     /*   35758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   35810 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35814 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35816 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35821 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35823 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   35823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   35826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35828 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   35834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   35838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35847 */     GIR_RootConstrainSelectedInstOperands,
     /*   35848 */     // GIR_Coverage, 71077,
     /*   35848 */     GIR_EraseRootFromParent_Done,
     /*   35849 */   // Label 622: @35849
     /*   35849 */   GIM_Try, /*On fail goto*//*Label 623*/ GIMT_Encode4(35945), // Rule ID 52104 //
     /*   35854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   35857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35906 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35910 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   35912 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35917 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   35919 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   35919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   35922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   35924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   35926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   35930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   35934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   35937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   35940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   35943 */     GIR_RootConstrainSelectedInstOperands,
     /*   35944 */     // GIR_Coverage, 52104,
     /*   35944 */     GIR_EraseRootFromParent_Done,
     /*   35945 */   // Label 623: @35945
     /*   35945 */   GIM_Try, /*On fail goto*//*Label 624*/ GIMT_Encode4(36041), // Rule ID 52105 //
     /*   35950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   35953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   35957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   35961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   35965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   35969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   35973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   35975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   35979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   35983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   35987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   35989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   35994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   35998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36002 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36006 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   36008 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36013 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   36015 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   36018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   36022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   36030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36039 */     GIR_RootConstrainSelectedInstOperands,
     /*   36040 */     // GIR_Coverage, 52105,
     /*   36040 */     GIR_EraseRootFromParent_Done,
     /*   36041 */   // Label 624: @36041
     /*   36041 */   GIM_Try, /*On fail goto*//*Label 625*/ GIMT_Encode4(36130), // Rule ID 46706 //
     /*   36046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36061 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36063 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36068 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36072 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36076 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36080 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36082 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36089 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36089 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36092 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36096 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36101 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36108 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36128 */     GIR_RootConstrainSelectedInstOperands,
     /*   36129 */     // GIR_Coverage, 46706,
     /*   36129 */     GIR_EraseRootFromParent_Done,
     /*   36130 */   // Label 625: @36130
     /*   36130 */   GIM_Try, /*On fail goto*//*Label 626*/ GIMT_Encode4(36219), // Rule ID 46707 //
     /*   36135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36157 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36161 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36165 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36169 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36178 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36217 */     GIR_RootConstrainSelectedInstOperands,
     /*   36218 */     // GIR_Coverage, 46707,
     /*   36218 */     GIR_EraseRootFromParent_Done,
     /*   36219 */   // Label 626: @36219
     /*   36219 */   GIM_Try, /*On fail goto*//*Label 627*/ GIMT_Encode4(36308), // Rule ID 46470 //
     /*   36224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36235 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36239 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36241 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36258 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36260 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36265 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36267 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   36284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36306 */     GIR_RootConstrainSelectedInstOperands,
     /*   36307 */     // GIR_Coverage, 46470,
     /*   36307 */     GIR_EraseRootFromParent_Done,
     /*   36308 */   // Label 627: @36308
     /*   36308 */   GIM_Try, /*On fail goto*//*Label 628*/ GIMT_Encode4(36397), // Rule ID 46471 //
     /*   36313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36335 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36339 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36343 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36347 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36356 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   36373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36395 */     GIR_RootConstrainSelectedInstOperands,
     /*   36396 */     // GIR_Coverage, 46471,
     /*   36396 */     GIR_EraseRootFromParent_Done,
     /*   36397 */   // Label 628: @36397
     /*   36397 */   GIM_Try, /*On fail goto*//*Label 629*/ GIMT_Encode4(36486), // Rule ID 46586 //
     /*   36402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36417 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36424 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36428 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36432 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36436 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36438 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36445 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   36445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36484 */     GIR_RootConstrainSelectedInstOperands,
     /*   36485 */     // GIR_Coverage, 46586,
     /*   36485 */     GIR_EraseRootFromParent_Done,
     /*   36486 */   // Label 629: @36486
     /*   36486 */   GIM_Try, /*On fail goto*//*Label 630*/ GIMT_Encode4(36575), // Rule ID 46587 //
     /*   36491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36506 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   36517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36525 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   36527 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36532 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   36534 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   36534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   36537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   36541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   36546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   36548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   36551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   36556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   36560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   36564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   36573 */     GIR_RootConstrainSelectedInstOperands,
     /*   36574 */     // GIR_Coverage, 46587,
     /*   36574 */     GIR_EraseRootFromParent_Done,
     /*   36575 */   // Label 630: @36575
     /*   36575 */   GIM_Try, /*On fail goto*//*Label 631*/ GIMT_Encode4(36643), // Rule ID 70704 //
     /*   36580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36599 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36617 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   36617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   36620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36622 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36641 */     GIR_RootConstrainSelectedInstOperands,
     /*   36642 */     // GIR_Coverage, 70704,
     /*   36642 */     GIR_EraseRootFromParent_Done,
     /*   36643 */   // Label 631: @36643
     /*   36643 */   GIM_Try, /*On fail goto*//*Label 632*/ GIMT_Encode4(36711), // Rule ID 70705 //
     /*   36648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   36659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   36663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   36667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36685 */     // (add:{ *:[nxv4i32] } (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   36685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   36688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   36694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   36706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36709 */     GIR_RootConstrainSelectedInstOperands,
     /*   36710 */     // GIR_Coverage, 70705,
     /*   36710 */     GIR_EraseRootFromParent_Done,
     /*   36711 */   // Label 632: @36711
     /*   36711 */   GIM_Try, /*On fail goto*//*Label 633*/ GIMT_Encode4(36766), // Rule ID 69624 //
     /*   36716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36731 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36733 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36744 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36764 */     GIR_RootConstrainSelectedInstOperands,
     /*   36765 */     // GIR_Coverage, 69624,
     /*   36765 */     GIR_EraseRootFromParent_Done,
     /*   36766 */   // Label 633: @36766
     /*   36766 */   GIM_Try, /*On fail goto*//*Label 634*/ GIMT_Encode4(36821), // Rule ID 69625 //
     /*   36771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   36782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36799 */     // (add:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36819 */     GIR_RootConstrainSelectedInstOperands,
     /*   36820 */     // GIR_Coverage, 69625,
     /*   36820 */     GIR_EraseRootFromParent_Done,
     /*   36821 */   // Label 634: @36821
     /*   36821 */   GIM_Try, /*On fail goto*//*Label 635*/ GIMT_Encode4(36876), // Rule ID 69444 //
     /*   36826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36837 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36854 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   36857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36874 */     GIR_RootConstrainSelectedInstOperands,
     /*   36875 */     // GIR_Coverage, 69444,
     /*   36875 */     GIR_EraseRootFromParent_Done,
     /*   36876 */   // Label 635: @36876
     /*   36876 */   GIM_Try, /*On fail goto*//*Label 636*/ GIMT_Encode4(36931), // Rule ID 69445 //
     /*   36881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   36892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36896 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36898 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36909 */     // (add:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   36909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   36912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36929 */     GIR_RootConstrainSelectedInstOperands,
     /*   36930 */     // GIR_Coverage, 69445,
     /*   36930 */     GIR_EraseRootFromParent_Done,
     /*   36931 */   // Label 636: @36931
     /*   36931 */   GIM_Try, /*On fail goto*//*Label 637*/ GIMT_Encode4(36986), // Rule ID 69534 //
     /*   36936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   36939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   36947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   36951 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   36953 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   36958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   36962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   36964 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   36964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   36967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   36969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   36971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   36975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   36978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   36981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   36984 */     GIR_RootConstrainSelectedInstOperands,
     /*   36985 */     // GIR_Coverage, 69534,
     /*   36985 */     GIR_EraseRootFromParent_Done,
     /*   36986 */   // Label 637: @36986
     /*   36986 */   GIM_Try, /*On fail goto*//*Label 638*/ GIMT_Encode4(37041), // Rule ID 69535 //
     /*   36991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   36994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   36998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37006 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37008 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37019 */     // (add:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37039 */     GIR_RootConstrainSelectedInstOperands,
     /*   37040 */     // GIR_Coverage, 69535,
     /*   37040 */     GIR_EraseRootFromParent_Done,
     /*   37041 */   // Label 638: @37041
     /*   37041 */   GIM_Try, /*On fail goto*//*Label 639*/ GIMT_Encode4(37109), // Rule ID 51920 //
     /*   37046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   37069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37076 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37083 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   37086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37088 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   37092 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37107 */     GIR_RootConstrainSelectedInstOperands,
     /*   37108 */     // GIR_Coverage, 51920,
     /*   37108 */     GIR_EraseRootFromParent_Done,
     /*   37109 */   // Label 639: @37109
     /*   37109 */   GIM_Try, /*On fail goto*//*Label 640*/ GIMT_Encode4(37177), // Rule ID 51921 //
     /*   37114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   37137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37151 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   37154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   37160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37175 */     GIR_RootConstrainSelectedInstOperands,
     /*   37176 */     // GIR_Coverage, 51921,
     /*   37176 */     GIR_EraseRootFromParent_Done,
     /*   37177 */   // Label 640: @37177
     /*   37177 */   GIM_Try, /*On fail goto*//*Label 641*/ GIMT_Encode4(37232), // Rule ID 46766 //
     /*   37182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   37197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37210 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37230 */     GIR_RootConstrainSelectedInstOperands,
     /*   37231 */     // GIR_Coverage, 46766,
     /*   37231 */     GIR_EraseRootFromParent_Done,
     /*   37232 */   // Label 641: @37232
     /*   37232 */   GIM_Try, /*On fail goto*//*Label 642*/ GIMT_Encode4(37287), // Rule ID 46767 //
     /*   37237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   37252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37265 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37272 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37285 */     GIR_RootConstrainSelectedInstOperands,
     /*   37286 */     // GIR_Coverage, 46767,
     /*   37286 */     GIR_EraseRootFromParent_Done,
     /*   37287 */   // Label 642: @37287
     /*   37287 */   GIM_Try, /*On fail goto*//*Label 643*/ GIMT_Encode4(37342), // Rule ID 46526 //
     /*   37292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37320 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37325 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37340 */     GIR_RootConstrainSelectedInstOperands,
     /*   37341 */     // GIR_Coverage, 46526,
     /*   37341 */     GIR_EraseRootFromParent_Done,
     /*   37342 */   // Label 643: @37342
     /*   37342 */   GIM_Try, /*On fail goto*//*Label 644*/ GIMT_Encode4(37397), // Rule ID 46527 //
     /*   37347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37375 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   37378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37395 */     GIR_RootConstrainSelectedInstOperands,
     /*   37396 */     // GIR_Coverage, 46527,
     /*   37396 */     GIR_EraseRootFromParent_Done,
     /*   37397 */   // Label 644: @37397
     /*   37397 */   GIM_Try, /*On fail goto*//*Label 645*/ GIMT_Encode4(37452), // Rule ID 46646 //
     /*   37402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37430 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   37430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37450 */     GIR_RootConstrainSelectedInstOperands,
     /*   37451 */     // GIR_Coverage, 46646,
     /*   37451 */     GIR_EraseRootFromParent_Done,
     /*   37452 */   // Label 645: @37452
     /*   37452 */   GIM_Try, /*On fail goto*//*Label 646*/ GIMT_Encode4(37507), // Rule ID 46647 //
     /*   37457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   37468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   37476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   37483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   37485 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   37485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   37488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   37492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   37496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   37502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37505 */     GIR_RootConstrainSelectedInstOperands,
     /*   37506 */     // GIR_Coverage, 46647,
     /*   37506 */     GIR_EraseRootFromParent_Done,
     /*   37507 */   // Label 646: @37507
     /*   37507 */   GIM_Try, /*On fail goto*//*Label 647*/ GIMT_Encode4(37560), // Rule ID 46152 //
     /*   37512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   37515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37523 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   37523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   37526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   37530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   37540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37558 */     GIR_RootConstrainSelectedInstOperands,
     /*   37559 */     // GIR_Coverage, 46152,
     /*   37559 */     GIR_EraseRootFromParent_Done,
     /*   37560 */   // Label 647: @37560
     /*   37560 */   GIM_Try, /*On fail goto*//*Label 648*/ GIMT_Encode4(37613), // Rule ID 46153 //
     /*   37565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   37568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37576 */     // (add:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   37576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   37579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   37583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   37588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   37590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   37593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   37598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   37600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   37602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   37611 */     GIR_RootConstrainSelectedInstOperands,
     /*   37612 */     // GIR_Coverage, 46153,
     /*   37612 */     GIR_EraseRootFromParent_Done,
     /*   37613 */   // Label 648: @37613
     /*   37613 */   GIM_Reject,
     /*   37614 */ // Label 608: @37614
     /*   37614 */ GIM_Reject,
     /*   37615 */ // Label 139: @37615
     /*   37615 */ GIM_Try, /*On fail goto*//*Label 649*/ GIMT_Encode4(40739),
     /*   37620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37630 */   GIM_Try, /*On fail goto*//*Label 650*/ GIMT_Encode4(37726), // Rule ID 70820 //
     /*   37635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   37638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37683 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37687 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37700 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   37703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37724 */     GIR_RootConstrainSelectedInstOperands,
     /*   37725 */     // GIR_Coverage, 70820,
     /*   37725 */     GIR_EraseRootFromParent_Done,
     /*   37726 */   // Label 650: @37726
     /*   37726 */   GIM_Try, /*On fail goto*//*Label 651*/ GIMT_Encode4(37822), // Rule ID 70821 //
     /*   37731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   37734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37771 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37779 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37783 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37785 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37796 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   37799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37820 */     GIR_RootConstrainSelectedInstOperands,
     /*   37821 */     // GIR_Coverage, 70821,
     /*   37821 */     GIR_EraseRootFromParent_Done,
     /*   37822 */   // Label 651: @37822
     /*   37822 */   GIM_Try, /*On fail goto*//*Label 652*/ GIMT_Encode4(37918), // Rule ID 71108 //
     /*   37827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   37830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37875 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37879 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37881 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37892 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   37892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   37895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   37907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   37910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   37913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   37916 */     GIR_RootConstrainSelectedInstOperands,
     /*   37917 */     // GIR_Coverage, 71108,
     /*   37917 */     GIR_EraseRootFromParent_Done,
     /*   37918 */   // Label 652: @37918
     /*   37918 */   GIM_Try, /*On fail goto*//*Label 653*/ GIMT_Encode4(38014), // Rule ID 71109 //
     /*   37923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   37926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   37930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   37934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   37938 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   37942 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   37944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   37948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   37952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37956 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   37958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37963 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   37967 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   37971 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   37975 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   37977 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   37982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   37986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   37988 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   37988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   37991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   37993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   37995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   37999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38012 */     GIR_RootConstrainSelectedInstOperands,
     /*   38013 */     // GIR_Coverage, 71109,
     /*   38013 */     GIR_EraseRootFromParent_Done,
     /*   38014 */   // Label 653: @38014
     /*   38014 */   GIM_Try, /*On fail goto*//*Label 654*/ GIMT_Encode4(38110), // Rule ID 71110 //
     /*   38019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38034 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38038 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38040 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38044 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38048 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38052 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38054 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38059 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38063 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38067 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38071 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38073 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38084 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38108 */     GIR_RootConstrainSelectedInstOperands,
     /*   38109 */     // GIR_Coverage, 71110,
     /*   38109 */     GIR_EraseRootFromParent_Done,
     /*   38110 */   // Label 654: @38110
     /*   38110 */   GIM_Try, /*On fail goto*//*Label 655*/ GIMT_Encode4(38206), // Rule ID 71111 //
     /*   38115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38126 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38130 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38136 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38140 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38144 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38148 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38150 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38155 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38159 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38163 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38167 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38169 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38180 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38204 */     GIR_RootConstrainSelectedInstOperands,
     /*   38205 */     // GIR_Coverage, 71111,
     /*   38205 */     GIR_EraseRootFromParent_Done,
     /*   38206 */   // Label 655: @38206
     /*   38206 */   GIM_Try, /*On fail goto*//*Label 656*/ GIMT_Encode4(38302), // Rule ID 70934 //
     /*   38211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38230 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38251 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38255 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38259 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38263 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38265 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38276 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   38279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38300 */     GIR_RootConstrainSelectedInstOperands,
     /*   38301 */     // GIR_Coverage, 70934,
     /*   38301 */     GIR_EraseRootFromParent_Done,
     /*   38302 */   // Label 656: @38302
     /*   38302 */   GIM_Try, /*On fail goto*//*Label 657*/ GIMT_Encode4(38398), // Rule ID 70935 //
     /*   38307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   38314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38322 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38328 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38332 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38336 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38340 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38342 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38347 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38351 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38355 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38359 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38361 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38372 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   38375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   38379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38396 */     GIR_RootConstrainSelectedInstOperands,
     /*   38397 */     // GIR_Coverage, 70935,
     /*   38397 */     GIR_EraseRootFromParent_Done,
     /*   38398 */   // Label 657: @38398
     /*   38398 */   GIM_Try, /*On fail goto*//*Label 658*/ GIMT_Encode4(38494), // Rule ID 52056 //
     /*   38403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38455 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38459 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38461 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38468 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   38471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38492 */     GIR_RootConstrainSelectedInstOperands,
     /*   38493 */     // GIR_Coverage, 52056,
     /*   38493 */     GIR_EraseRootFromParent_Done,
     /*   38494 */   // Label 658: @38494
     /*   38494 */   GIM_Try, /*On fail goto*//*Label 659*/ GIMT_Encode4(38590), // Rule ID 52057 //
     /*   38499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38551 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38555 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38557 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38564 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   38567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38588 */     GIR_RootConstrainSelectedInstOperands,
     /*   38589 */     // GIR_Coverage, 52057,
     /*   38589 */     GIR_EraseRootFromParent_Done,
     /*   38590 */   // Label 659: @38590
     /*   38590 */   GIM_Try, /*On fail goto*//*Label 660*/ GIMT_Encode4(38686), // Rule ID 52174 //
     /*   38595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38647 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38651 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38658 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38660 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38684 */     GIR_RootConstrainSelectedInstOperands,
     /*   38685 */     // GIR_Coverage, 52174,
     /*   38685 */     GIR_EraseRootFromParent_Done,
     /*   38686 */   // Label 660: @38686
     /*   38686 */   GIM_Try, /*On fail goto*//*Label 661*/ GIMT_Encode4(38782), // Rule ID 52175 //
     /*   38691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38735 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38739 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38743 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38747 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38749 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38754 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38756 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   38767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   38771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38780 */     GIR_RootConstrainSelectedInstOperands,
     /*   38781 */     // GIR_Coverage, 52175,
     /*   38781 */     GIR_EraseRootFromParent_Done,
     /*   38782 */   // Label 661: @38782
     /*   38782 */   GIM_Try, /*On fail goto*//*Label 662*/ GIMT_Encode4(38878), // Rule ID 71106 //
     /*   38787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38806 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38810 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38831 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38835 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38839 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38843 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38845 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38850 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38852 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   38852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38876 */     GIR_RootConstrainSelectedInstOperands,
     /*   38877 */     // GIR_Coverage, 71106,
     /*   38877 */     GIR_EraseRootFromParent_Done,
     /*   38878 */   // Label 662: @38878
     /*   38878 */   GIM_Try, /*On fail goto*//*Label 663*/ GIMT_Encode4(38974), // Rule ID 71107 //
     /*   38883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   38886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38902 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   38906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   38908 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   38912 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   38916 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38920 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   38922 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38927 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   38931 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   38935 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   38939 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   38941 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   38946 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   38948 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   38948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   38951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   38953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   38955 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   38959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   38963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   38966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   38969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   38972 */     GIR_RootConstrainSelectedInstOperands,
     /*   38973 */     // GIR_Coverage, 71107,
     /*   38973 */     GIR_EraseRootFromParent_Done,
     /*   38974 */   // Label 663: @38974
     /*   38974 */   GIM_Try, /*On fail goto*//*Label 664*/ GIMT_Encode4(39070), // Rule ID 52114 //
     /*   38979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   38982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   38986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   38990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   38994 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   38998 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39002 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39023 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39027 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39031 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39035 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39037 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39042 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39044 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   39047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   39059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39068 */     GIR_RootConstrainSelectedInstOperands,
     /*   39069 */     // GIR_Coverage, 52114,
     /*   39069 */     GIR_EraseRootFromParent_Done,
     /*   39070 */   // Label 664: @39070
     /*   39070 */   GIM_Try, /*On fail goto*//*Label 665*/ GIMT_Encode4(39166), // Rule ID 52115 //
     /*   39075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39078 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   39086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39094 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39100 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   39104 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39108 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39112 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39114 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39119 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   39123 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39127 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39131 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   39133 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39138 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   39140 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   39140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   39143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   39147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   39155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39164 */     GIR_RootConstrainSelectedInstOperands,
     /*   39165 */     // GIR_Coverage, 52115,
     /*   39165 */     GIR_EraseRootFromParent_Done,
     /*   39166 */   // Label 665: @39166
     /*   39166 */   GIM_Try, /*On fail goto*//*Label 666*/ GIMT_Encode4(39255), // Rule ID 46726 //
     /*   39171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39186 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39205 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39214 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39253 */     GIR_RootConstrainSelectedInstOperands,
     /*   39254 */     // GIR_Coverage, 46726,
     /*   39254 */     GIR_EraseRootFromParent_Done,
     /*   39255 */   // Label 666: @39255
     /*   39255 */   GIM_Try, /*On fail goto*//*Label 667*/ GIMT_Encode4(39344), // Rule ID 46727 //
     /*   39260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39275 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39277 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39282 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39286 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39290 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39294 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39303 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39303 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39306 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39310 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39342 */     GIR_RootConstrainSelectedInstOperands,
     /*   39343 */     // GIR_Coverage, 46727,
     /*   39343 */     GIR_EraseRootFromParent_Done,
     /*   39344 */   // Label 667: @39344
     /*   39344 */   GIM_Try, /*On fail goto*//*Label 668*/ GIMT_Encode4(39433), // Rule ID 46490 //
     /*   39349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39360 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39364 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39383 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39385 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39390 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39392 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   39409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39431 */     GIR_RootConstrainSelectedInstOperands,
     /*   39432 */     // GIR_Coverage, 46490,
     /*   39432 */     GIR_EraseRootFromParent_Done,
     /*   39433 */   // Label 668: @39433
     /*   39433 */   GIM_Try, /*On fail goto*//*Label 669*/ GIMT_Encode4(39522), // Rule ID 46491 //
     /*   39438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39455 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39460 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39464 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39468 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39472 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39474 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39479 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39481 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   39498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39520 */     GIR_RootConstrainSelectedInstOperands,
     /*   39521 */     // GIR_Coverage, 46491,
     /*   39521 */     GIR_EraseRootFromParent_Done,
     /*   39522 */   // Label 669: @39522
     /*   39522 */   GIM_Try, /*On fail goto*//*Label 670*/ GIMT_Encode4(39611), // Rule ID 46606 //
     /*   39527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39530 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39534 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39538 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39542 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39544 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39549 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39553 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39557 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39561 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39570 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   39570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39609 */     GIR_RootConstrainSelectedInstOperands,
     /*   39610 */     // GIR_Coverage, 46606,
     /*   39610 */     GIR_EraseRootFromParent_Done,
     /*   39611 */   // Label 670: @39611
     /*   39611 */   GIM_Try, /*On fail goto*//*Label 671*/ GIMT_Encode4(39700), // Rule ID 46607 //
     /*   39616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39627 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39631 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39633 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   39642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   39646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39650 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   39652 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39657 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   39659 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   39659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   39662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   39666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   39671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   39673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   39676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   39681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   39685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   39689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   39698 */     GIR_RootConstrainSelectedInstOperands,
     /*   39699 */     // GIR_Coverage, 46607,
     /*   39699 */     GIR_EraseRootFromParent_Done,
     /*   39700 */   // Label 671: @39700
     /*   39700 */   GIM_Try, /*On fail goto*//*Label 672*/ GIMT_Encode4(39768), // Rule ID 70736 //
     /*   39705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   39708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39716 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39720 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39742 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   39742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   39745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   39763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39766 */     GIR_RootConstrainSelectedInstOperands,
     /*   39767 */     // GIR_Coverage, 70736,
     /*   39767 */     GIR_EraseRootFromParent_Done,
     /*   39768 */   // Label 672: @39768
     /*   39768 */   GIM_Try, /*On fail goto*//*Label 673*/ GIMT_Encode4(39836), // Rule ID 70737 //
     /*   39773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   39776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   39784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   39788 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   39792 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39810 */     // (add:{ *:[nxv4i64] } (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   39810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   39813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   39819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   39831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39834 */     GIR_RootConstrainSelectedInstOperands,
     /*   39835 */     // GIR_Coverage, 70737,
     /*   39835 */     GIR_EraseRootFromParent_Done,
     /*   39836 */   // Label 673: @39836
     /*   39836 */   GIM_Try, /*On fail goto*//*Label 674*/ GIMT_Encode4(39891), // Rule ID 69644 //
     /*   39841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39856 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39869 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   39872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39889 */     GIR_RootConstrainSelectedInstOperands,
     /*   39890 */     // GIR_Coverage, 69644,
     /*   39890 */     GIR_EraseRootFromParent_Done,
     /*   39891 */   // Label 674: @39891
     /*   39891 */   GIM_Try, /*On fail goto*//*Label 675*/ GIMT_Encode4(39946), // Rule ID 69645 //
     /*   39896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   39899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   39907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39911 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39913 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39924 */     // (add:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   39924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   39927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39944 */     GIR_RootConstrainSelectedInstOperands,
     /*   39945 */     // GIR_Coverage, 69645,
     /*   39945 */     GIR_EraseRootFromParent_Done,
     /*   39946 */   // Label 675: @39946
     /*   39946 */   GIM_Try, /*On fail goto*//*Label 676*/ GIMT_Encode4(40001), // Rule ID 69464 //
     /*   39951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   39954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   39958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   39962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   39966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   39968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   39973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   39977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   39979 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   39979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   39982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   39984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   39986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   39990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   39993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   39996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   39999 */     GIR_RootConstrainSelectedInstOperands,
     /*   40000 */     // GIR_Coverage, 69464,
     /*   40000 */     GIR_EraseRootFromParent_Done,
     /*   40001 */   // Label 676: @40001
     /*   40001 */   GIM_Try, /*On fail goto*//*Label 677*/ GIMT_Encode4(40056), // Rule ID 69465 //
     /*   40006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40017 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40021 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40023 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40034 */     // (add:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40054 */     GIR_RootConstrainSelectedInstOperands,
     /*   40055 */     // GIR_Coverage, 69465,
     /*   40055 */     GIR_EraseRootFromParent_Done,
     /*   40056 */   // Label 677: @40056
     /*   40056 */   GIM_Try, /*On fail goto*//*Label 678*/ GIMT_Encode4(40111), // Rule ID 69554 //
     /*   40061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40089 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40109 */     GIR_RootConstrainSelectedInstOperands,
     /*   40110 */     // GIR_Coverage, 69554,
     /*   40110 */     GIR_EraseRootFromParent_Done,
     /*   40111 */   // Label 678: @40111
     /*   40111 */   GIM_Try, /*On fail goto*//*Label 679*/ GIMT_Encode4(40166), // Rule ID 69555 //
     /*   40116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40127 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40131 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40133 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40142 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40144 */     // (add:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40164 */     GIR_RootConstrainSelectedInstOperands,
     /*   40165 */     // GIR_Coverage, 69555,
     /*   40165 */     GIR_EraseRootFromParent_Done,
     /*   40166 */   // Label 679: @40166
     /*   40166 */   GIM_Try, /*On fail goto*//*Label 680*/ GIMT_Encode4(40234), // Rule ID 51936 //
     /*   40171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   40174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   40190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   40194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40208 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   40208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   40211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40232 */     GIR_RootConstrainSelectedInstOperands,
     /*   40233 */     // GIR_Coverage, 51936,
     /*   40233 */     GIR_EraseRootFromParent_Done,
     /*   40234 */   // Label 680: @40234
     /*   40234 */   GIM_Try, /*On fail goto*//*Label 681*/ GIMT_Encode4(40302), // Rule ID 51937 //
     /*   40239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   40242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   40258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   40262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40276 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   40276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   40279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40300 */     GIR_RootConstrainSelectedInstOperands,
     /*   40301 */     // GIR_Coverage, 51937,
     /*   40301 */     GIR_EraseRootFromParent_Done,
     /*   40302 */   // Label 681: @40302
     /*   40302 */   GIM_Try, /*On fail goto*//*Label 682*/ GIMT_Encode4(40357), // Rule ID 46786 //
     /*   40307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40335 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40342 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40355 */     GIR_RootConstrainSelectedInstOperands,
     /*   40356 */     // GIR_Coverage, 46786,
     /*   40356 */     GIR_EraseRootFromParent_Done,
     /*   40357 */   // Label 682: @40357
     /*   40357 */   GIM_Try, /*On fail goto*//*Label 683*/ GIMT_Encode4(40412), // Rule ID 46787 //
     /*   40362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   40377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40390 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40410 */     GIR_RootConstrainSelectedInstOperands,
     /*   40411 */     // GIR_Coverage, 46787,
     /*   40411 */     GIR_EraseRootFromParent_Done,
     /*   40412 */   // Label 683: @40412
     /*   40412 */   GIM_Try, /*On fail goto*//*Label 684*/ GIMT_Encode4(40467), // Rule ID 46546 //
     /*   40417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40445 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40465 */     GIR_RootConstrainSelectedInstOperands,
     /*   40466 */     // GIR_Coverage, 46546,
     /*   40466 */     GIR_EraseRootFromParent_Done,
     /*   40467 */   // Label 684: @40467
     /*   40467 */   GIM_Try, /*On fail goto*//*Label 685*/ GIMT_Encode4(40522), // Rule ID 46547 //
     /*   40472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   40487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40500 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   40503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40520 */     GIR_RootConstrainSelectedInstOperands,
     /*   40521 */     // GIR_Coverage, 46547,
     /*   40521 */     GIR_EraseRootFromParent_Done,
     /*   40522 */   // Label 685: @40522
     /*   40522 */   GIM_Try, /*On fail goto*//*Label 686*/ GIMT_Encode4(40577), // Rule ID 46666 //
     /*   40527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   40530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40555 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   40555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40575 */     GIR_RootConstrainSelectedInstOperands,
     /*   40576 */     // GIR_Coverage, 46666,
     /*   40576 */     GIR_EraseRootFromParent_Done,
     /*   40577 */   // Label 686: @40577
     /*   40577 */   GIM_Try, /*On fail goto*//*Label 687*/ GIMT_Encode4(40632), // Rule ID 46667 //
     /*   40582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   40585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   40597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   40601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   40608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40610 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   40610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   40613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40615 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   40627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40630 */     GIR_RootConstrainSelectedInstOperands,
     /*   40631 */     // GIR_Coverage, 46667,
     /*   40631 */     GIR_EraseRootFromParent_Done,
     /*   40632 */   // Label 687: @40632
     /*   40632 */   GIM_Try, /*On fail goto*//*Label 688*/ GIMT_Encode4(40685), // Rule ID 46168 //
     /*   40637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   40640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40648 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   40648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   40651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   40665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40683 */     GIR_RootConstrainSelectedInstOperands,
     /*   40684 */     // GIR_Coverage, 46168,
     /*   40684 */     GIR_EraseRootFromParent_Done,
     /*   40685 */   // Label 688: @40685
     /*   40685 */   GIM_Try, /*On fail goto*//*Label 689*/ GIMT_Encode4(40738), // Rule ID 46169 //
     /*   40690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   40693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   40701 */     // (add:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   40701 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   40704 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   40708 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   40713 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   40715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   40718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   40723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   40725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   40733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40736 */     GIR_RootConstrainSelectedInstOperands,
     /*   40737 */     // GIR_Coverage, 46169,
     /*   40737 */     GIR_EraseRootFromParent_Done,
     /*   40738 */   // Label 689: @40738
     /*   40738 */   GIM_Reject,
     /*   40739 */ // Label 649: @40739
     /*   40739 */ GIM_Reject,
     /*   40740 */ // Label 140: @40740
     /*   40740 */ GIM_Try, /*On fail goto*//*Label 690*/ GIMT_Encode4(41134),
     /*   40745 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40755 */   GIM_Try, /*On fail goto*//*Label 691*/ GIMT_Encode4(40823), // Rule ID 70624 //
     /*   40760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40786 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40797 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   40797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40802 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40821 */     GIR_RootConstrainSelectedInstOperands,
     /*   40822 */     // GIR_Coverage, 70624,
     /*   40822 */     GIR_EraseRootFromParent_Done,
     /*   40823 */   // Label 691: @40823
     /*   40823 */   GIM_Try, /*On fail goto*//*Label 692*/ GIMT_Encode4(40891), // Rule ID 70625 //
     /*   40828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   40835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40839 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40843 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40847 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40865 */     // (add:{ *:[nxv8i8] } (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   40865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40874 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   40880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40889 */     GIR_RootConstrainSelectedInstOperands,
     /*   40890 */     // GIR_Coverage, 70625,
     /*   40890 */     GIR_EraseRootFromParent_Done,
     /*   40891 */   // Label 692: @40891
     /*   40891 */   GIM_Try, /*On fail goto*//*Label 693*/ GIMT_Encode4(40959), // Rule ID 51880 //
     /*   40896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   40899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40915 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40919 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40926 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   40933 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   40933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   40936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   40938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   40942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   40946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   40948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   40951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   40954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   40957 */     GIR_RootConstrainSelectedInstOperands,
     /*   40958 */     // GIR_Coverage, 51880,
     /*   40958 */     GIR_EraseRootFromParent_Done,
     /*   40959 */   // Label 693: @40959
     /*   40959 */   GIM_Try, /*On fail goto*//*Label 694*/ GIMT_Encode4(41027), // Rule ID 51881 //
     /*   40964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   40967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   40975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   40979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   40983 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   40987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   40989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   40999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   41001 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /*   41004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   41010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   41014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   41016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41025 */     GIR_RootConstrainSelectedInstOperands,
     /*   41026 */     // GIR_Coverage, 51881,
     /*   41026 */     GIR_EraseRootFromParent_Done,
     /*   41027 */   // Label 694: @41027
     /*   41027 */   GIM_Try, /*On fail goto*//*Label 695*/ GIMT_Encode4(41080), // Rule ID 46112 //
     /*   41032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41043 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   41043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   41046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   41060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41078 */     GIR_RootConstrainSelectedInstOperands,
     /*   41079 */     // GIR_Coverage, 46112,
     /*   41079 */     GIR_EraseRootFromParent_Done,
     /*   41080 */   // Label 695: @41080
     /*   41080 */   GIM_Try, /*On fail goto*//*Label 696*/ GIMT_Encode4(41133), // Rule ID 46113 //
     /*   41085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41088 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41096 */     // (add:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   41096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   41099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   41103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   41108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   41110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*   41113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   41118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   41120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   41122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41131 */     GIR_RootConstrainSelectedInstOperands,
     /*   41132 */     // GIR_Coverage, 46113,
     /*   41132 */     GIR_EraseRootFromParent_Done,
     /*   41133 */   // Label 696: @41133
     /*   41133 */   GIM_Reject,
     /*   41134 */ // Label 690: @41134
     /*   41134 */ GIM_Reject,
     /*   41135 */ // Label 141: @41135
     /*   41135 */ GIM_Try, /*On fail goto*//*Label 697*/ GIMT_Encode4(44259),
     /*   41140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41150 */   GIM_Try, /*On fail goto*//*Label 698*/ GIMT_Encode4(41246), // Rule ID 70800 //
     /*   41155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41170 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41174 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41188 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41195 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41199 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41203 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41207 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41209 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41218 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41220 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41244 */     GIR_RootConstrainSelectedInstOperands,
     /*   41245 */     // GIR_Coverage, 70800,
     /*   41245 */     GIR_EraseRootFromParent_Done,
     /*   41246 */   // Label 698: @41246
     /*   41246 */   GIM_Try, /*On fail goto*//*Label 699*/ GIMT_Encode4(41342), // Rule ID 70801 //
     /*   41251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41266 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41270 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41272 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41276 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41280 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41284 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41286 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41291 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41295 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41299 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41303 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41305 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41314 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41316 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41340 */     GIR_RootConstrainSelectedInstOperands,
     /*   41341 */     // GIR_Coverage, 70801,
     /*   41341 */     GIR_EraseRootFromParent_Done,
     /*   41342 */   // Label 699: @41342
     /*   41342 */   GIM_Try, /*On fail goto*//*Label 700*/ GIMT_Encode4(41438), // Rule ID 71048 //
     /*   41347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41358 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41362 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41387 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41391 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41395 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41399 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41401 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41410 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41412 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41436 */     GIR_RootConstrainSelectedInstOperands,
     /*   41437 */     // GIR_Coverage, 71048,
     /*   41437 */     GIR_EraseRootFromParent_Done,
     /*   41438 */   // Label 700: @41438
     /*   41438 */   GIM_Try, /*On fail goto*//*Label 701*/ GIMT_Encode4(41534), // Rule ID 71049 //
     /*   41443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41458 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41462 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41483 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41487 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41491 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41495 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41497 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41506 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41508 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41532 */     GIR_RootConstrainSelectedInstOperands,
     /*   41533 */     // GIR_Coverage, 71049,
     /*   41533 */     GIR_EraseRootFromParent_Done,
     /*   41534 */   // Label 701: @41534
     /*   41534 */   GIM_Try, /*On fail goto*//*Label 702*/ GIMT_Encode4(41630), // Rule ID 71050 //
     /*   41539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41554 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41558 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41560 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41564 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41568 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41572 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41574 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41579 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41583 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41587 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41591 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41593 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41602 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41604 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41628 */     GIR_RootConstrainSelectedInstOperands,
     /*   41629 */     // GIR_Coverage, 71050,
     /*   41629 */     GIR_EraseRootFromParent_Done,
     /*   41630 */   // Label 702: @41630
     /*   41630 */   GIM_Try, /*On fail goto*//*Label 703*/ GIMT_Encode4(41726), // Rule ID 71051 //
     /*   41635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41646 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41650 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41668 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41675 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41679 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41683 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41687 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41689 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41698 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41700 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   41703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   41711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   41715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41724 */     GIR_RootConstrainSelectedInstOperands,
     /*   41725 */     // GIR_Coverage, 71051,
     /*   41725 */     GIR_EraseRootFromParent_Done,
     /*   41726 */   // Label 703: @41726
     /*   41726 */   GIM_Try, /*On fail goto*//*Label 704*/ GIMT_Encode4(41822), // Rule ID 70914 //
     /*   41731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41742 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41746 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41771 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41775 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41779 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41783 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41785 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41794 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41796 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   41799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41820 */     GIR_RootConstrainSelectedInstOperands,
     /*   41821 */     // GIR_Coverage, 70914,
     /*   41821 */     GIR_EraseRootFromParent_Done,
     /*   41822 */   // Label 704: @41822
     /*   41822 */   GIM_Try, /*On fail goto*//*Label 705*/ GIMT_Encode4(41918), // Rule ID 70915 //
     /*   41827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   41830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   41834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41842 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41848 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41852 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41856 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41860 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41862 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41867 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41871 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   41875 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41879 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41881 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41890 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41892 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rd)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   41892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   41895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   41899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   41907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   41910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   41913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   41916 */     GIR_RootConstrainSelectedInstOperands,
     /*   41917 */     // GIR_Coverage, 70915,
     /*   41917 */     GIR_EraseRootFromParent_Done,
     /*   41918 */   // Label 705: @41918
     /*   41918 */   GIM_Try, /*On fail goto*//*Label 706*/ GIMT_Encode4(42014), // Rule ID 52036 //
     /*   41923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   41926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   41930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   41934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   41938 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   41942 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   41946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   41948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   41952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41960 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   41962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41967 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   41971 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   41975 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   41979 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   41981 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   41986 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   41988 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   41988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   41991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   41993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   41995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   41999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42012 */     GIR_RootConstrainSelectedInstOperands,
     /*   42013 */     // GIR_Coverage, 52036,
     /*   42013 */     GIR_EraseRootFromParent_Done,
     /*   42014 */   // Label 706: @42014
     /*   42014 */   GIM_Try, /*On fail goto*//*Label 707*/ GIMT_Encode4(42110), // Rule ID 52037 //
     /*   42019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42038 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42042 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42063 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42067 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42071 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42075 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42077 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42082 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42084 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /*   42087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42108 */     GIR_RootConstrainSelectedInstOperands,
     /*   42109 */     // GIR_Coverage, 52037,
     /*   42109 */     GIR_EraseRootFromParent_Done,
     /*   42110 */   // Label 707: @42110
     /*   42110 */   GIM_Try, /*On fail goto*//*Label 708*/ GIMT_Encode4(42206), // Rule ID 52154 //
     /*   42115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42134 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42138 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42152 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42154 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42159 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42163 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42167 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42171 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42173 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42178 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42180 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42191 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42204 */     GIR_RootConstrainSelectedInstOperands,
     /*   42205 */     // GIR_Coverage, 52154,
     /*   42205 */     GIR_EraseRootFromParent_Done,
     /*   42206 */   // Label 708: @42206
     /*   42206 */   GIM_Try, /*On fail goto*//*Label 709*/ GIMT_Encode4(42302), // Rule ID 52155 //
     /*   42211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42234 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42255 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42259 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42263 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42267 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42269 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42274 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42276 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42300 */     GIR_RootConstrainSelectedInstOperands,
     /*   42301 */     // GIR_Coverage, 52155,
     /*   42301 */     GIR_EraseRootFromParent_Done,
     /*   42302 */   // Label 709: @42302
     /*   42302 */   GIM_Try, /*On fail goto*//*Label 710*/ GIMT_Encode4(42398), // Rule ID 71046 //
     /*   42307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42326 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42330 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42344 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42351 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42355 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42359 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42363 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42365 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42370 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42372 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   42383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   42387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42396 */     GIR_RootConstrainSelectedInstOperands,
     /*   42397 */     // GIR_Coverage, 71046,
     /*   42397 */     GIR_EraseRootFromParent_Done,
     /*   42398 */   // Label 710: @42398
     /*   42398 */   GIM_Try, /*On fail goto*//*Label 711*/ GIMT_Encode4(42494), // Rule ID 71047 //
     /*   42403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42447 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42451 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42455 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42459 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42461 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42466 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42468 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /*   42471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   42479 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   42483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42492 */     GIR_RootConstrainSelectedInstOperands,
     /*   42493 */     // GIR_Coverage, 71047,
     /*   42493 */     GIR_EraseRootFromParent_Done,
     /*   42494 */   // Label 711: @42494
     /*   42494 */   GIM_Try, /*On fail goto*//*Label 712*/ GIMT_Encode4(42590), // Rule ID 52094 //
     /*   42499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42514 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42518 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42522 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42536 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42538 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42543 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42547 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42551 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42555 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42557 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42562 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42564 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   42564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42588 */     GIR_RootConstrainSelectedInstOperands,
     /*   42589 */     // GIR_Coverage, 52094,
     /*   42589 */     GIR_EraseRootFromParent_Done,
     /*   42590 */   // Label 712: @42590
     /*   42590 */   GIM_Try, /*On fail goto*//*Label 713*/ GIMT_Encode4(42686), // Rule ID 52095 //
     /*   42595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   42602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   42606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   42610 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   42614 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   42618 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   42624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42639 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   42643 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   42647 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42651 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   42653 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42658 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   42660 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   42660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /*   42663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   42667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   42675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   42684 */     GIR_RootConstrainSelectedInstOperands,
     /*   42685 */     // GIR_Coverage, 52095,
     /*   42685 */     GIR_EraseRootFromParent_Done,
     /*   42686 */   // Label 713: @42686
     /*   42686 */   GIM_Try, /*On fail goto*//*Label 714*/ GIMT_Encode4(42775), // Rule ID 46686 //
     /*   42691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42706 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42725 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42734 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   42751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42773 */     GIR_RootConstrainSelectedInstOperands,
     /*   42774 */     // GIR_Coverage, 46686,
     /*   42774 */     GIR_EraseRootFromParent_Done,
     /*   42775 */   // Label 714: @42775
     /*   42775 */   GIM_Try, /*On fail goto*//*Label 715*/ GIMT_Encode4(42864), // Rule ID 46687 //
     /*   42780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   42810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42814 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42823 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   42823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   42840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42862 */     GIR_RootConstrainSelectedInstOperands,
     /*   42863 */     // GIR_Coverage, 46687,
     /*   42863 */     GIR_EraseRootFromParent_Done,
     /*   42864 */   // Label 715: @42864
     /*   42864 */   GIM_Try, /*On fail goto*//*Label 716*/ GIMT_Encode4(42953), // Rule ID 46450 //
     /*   42869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   42872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42884 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42903 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   42912 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   42912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   42915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   42919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   42924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   42926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   42929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   42931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   42934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   42938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   42942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   42945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   42951 */     GIR_RootConstrainSelectedInstOperands,
     /*   42952 */     // GIR_Coverage, 46450,
     /*   42952 */     GIR_EraseRootFromParent_Done,
     /*   42953 */   // Label 716: @42953
     /*   42953 */   GIM_Try, /*On fail goto*//*Label 717*/ GIMT_Encode4(43042), // Rule ID 46451 //
     /*   42958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   42961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   42965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   42975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42980 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   42984 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   42988 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   42992 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   42994 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   42999 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43001 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43001 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43004 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43008 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*   43018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43040 */     GIR_RootConstrainSelectedInstOperands,
     /*   43041 */     // GIR_Coverage, 46451,
     /*   43041 */     GIR_EraseRootFromParent_Done,
     /*   43042 */   // Label 717: @43042
     /*   43042 */   GIM_Try, /*On fail goto*//*Label 718*/ GIMT_Encode4(43131), // Rule ID 46566 //
     /*   43047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43058 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43062 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43069 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43073 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43077 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43081 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43090 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   43090 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43093 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43097 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43102 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   43107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43109 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43129 */     GIR_RootConstrainSelectedInstOperands,
     /*   43130 */     // GIR_Coverage, 46566,
     /*   43130 */     GIR_EraseRootFromParent_Done,
     /*   43131 */   // Label 718: @43131
     /*   43131 */   GIM_Try, /*On fail goto*//*Label 719*/ GIMT_Encode4(43220), // Rule ID 46567 //
     /*   43136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43158 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   43162 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43166 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43170 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   43172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   43179 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   43179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   43182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   43186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   43191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   43193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*   43196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   43201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   43205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   43209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43218 */     GIR_RootConstrainSelectedInstOperands,
     /*   43219 */     // GIR_Coverage, 46567,
     /*   43219 */     GIR_EraseRootFromParent_Done,
     /*   43220 */   // Label 719: @43220
     /*   43220 */   GIM_Try, /*On fail goto*//*Label 720*/ GIMT_Encode4(43288), // Rule ID 70680 //
     /*   43225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43240 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43244 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43262 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43286 */     GIR_RootConstrainSelectedInstOperands,
     /*   43287 */     // GIR_Coverage, 70680,
     /*   43287 */     GIR_EraseRootFromParent_Done,
     /*   43288 */   // Label 720: @43288
     /*   43288 */   GIM_Try, /*On fail goto*//*Label 721*/ GIMT_Encode4(43356), // Rule ID 70681 //
     /*   43293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43304 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43308 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43330 */     // (add:{ *:[nxv8i16] } (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43354 */     GIR_RootConstrainSelectedInstOperands,
     /*   43355 */     // GIR_Coverage, 70681,
     /*   43355 */     GIR_EraseRootFromParent_Done,
     /*   43356 */   // Label 721: @43356
     /*   43356 */   GIM_Try, /*On fail goto*//*Label 722*/ GIMT_Encode4(43411), // Rule ID 69604 //
     /*   43361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43389 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43409 */     GIR_RootConstrainSelectedInstOperands,
     /*   43410 */     // GIR_Coverage, 69604,
     /*   43410 */     GIR_EraseRootFromParent_Done,
     /*   43411 */   // Label 722: @43411
     /*   43411 */   GIM_Try, /*On fail goto*//*Label 723*/ GIMT_Encode4(43466), // Rule ID 69605 //
     /*   43416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43431 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43433 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43444 */     // (add:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43464 */     GIR_RootConstrainSelectedInstOperands,
     /*   43465 */     // GIR_Coverage, 69605,
     /*   43465 */     GIR_EraseRootFromParent_Done,
     /*   43466 */   // Label 723: @43466
     /*   43466 */   GIM_Try, /*On fail goto*//*Label 724*/ GIMT_Encode4(43521), // Rule ID 69424 //
     /*   43471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43486 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43499 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43519 */     GIR_RootConstrainSelectedInstOperands,
     /*   43520 */     // GIR_Coverage, 69424,
     /*   43520 */     GIR_EraseRootFromParent_Done,
     /*   43521 */   // Label 724: @43521
     /*   43521 */   GIM_Try, /*On fail goto*//*Label 725*/ GIMT_Encode4(43576), // Rule ID 69425 //
     /*   43526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43554 */     // (add:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43574 */     GIR_RootConstrainSelectedInstOperands,
     /*   43575 */     // GIR_Coverage, 69425,
     /*   43575 */     GIR_EraseRootFromParent_Done,
     /*   43576 */   // Label 725: @43576
     /*   43576 */   GIM_Try, /*On fail goto*//*Label 726*/ GIMT_Encode4(43631), // Rule ID 69514 //
     /*   43581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43596 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43609 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43629 */     GIR_RootConstrainSelectedInstOperands,
     /*   43630 */     // GIR_Coverage, 69514,
     /*   43630 */     GIR_EraseRootFromParent_Done,
     /*   43631 */   // Label 726: @43631
     /*   43631 */   GIM_Try, /*On fail goto*//*Label 727*/ GIMT_Encode4(43686), // Rule ID 69515 //
     /*   43636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   43643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   43647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43664 */     // (add:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   43671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43684 */     GIR_RootConstrainSelectedInstOperands,
     /*   43685 */     // GIR_Coverage, 69515,
     /*   43685 */     GIR_EraseRootFromParent_Done,
     /*   43686 */   // Label 727: @43686
     /*   43686 */   GIM_Try, /*On fail goto*//*Label 728*/ GIMT_Encode4(43754), // Rule ID 51908 //
     /*   43691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43728 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   43728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43752 */     GIR_RootConstrainSelectedInstOperands,
     /*   43753 */     // GIR_Coverage, 51908,
     /*   43753 */     GIR_EraseRootFromParent_Done,
     /*   43754 */   // Label 728: @43754
     /*   43754 */   GIM_Try, /*On fail goto*//*Label 729*/ GIMT_Encode4(43822), // Rule ID 51909 //
     /*   43759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43762 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   43774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   43778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   43782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43796 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   43796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   43799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   43805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   43817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43820 */     GIR_RootConstrainSelectedInstOperands,
     /*   43821 */     // GIR_Coverage, 51909,
     /*   43821 */     GIR_EraseRootFromParent_Done,
     /*   43822 */   // Label 729: @43822
     /*   43822 */   GIM_Try, /*On fail goto*//*Label 730*/ GIMT_Encode4(43877), // Rule ID 46746 //
     /*   43827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43855 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43875 */     GIR_RootConstrainSelectedInstOperands,
     /*   43876 */     // GIR_Coverage, 46746,
     /*   43876 */     GIR_EraseRootFromParent_Done,
     /*   43877 */   // Label 730: @43877
     /*   43877 */   GIM_Try, /*On fail goto*//*Label 731*/ GIMT_Encode4(43932), // Rule ID 46747 //
     /*   43882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   43897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43910 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   43910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   43913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43930 */     GIR_RootConstrainSelectedInstOperands,
     /*   43931 */     // GIR_Coverage, 46747,
     /*   43931 */     GIR_EraseRootFromParent_Done,
     /*   43932 */   // Label 731: @43932
     /*   43932 */   GIM_Try, /*On fail goto*//*Label 732*/ GIMT_Encode4(43987), // Rule ID 46506 //
     /*   43937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   43940 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   43948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   43952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   43956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   43958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   43963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   43965 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   43965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   43968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   43970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   43972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   43976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   43979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   43982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   43985 */     GIR_RootConstrainSelectedInstOperands,
     /*   43986 */     // GIR_Coverage, 46506,
     /*   43986 */     GIR_EraseRootFromParent_Done,
     /*   43987 */   // Label 732: @43987
     /*   43987 */   GIM_Try, /*On fail goto*//*Label 733*/ GIMT_Encode4(44042), // Rule ID 46507 //
     /*   43992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   43995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   43999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44020 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*   44023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44040 */     GIR_RootConstrainSelectedInstOperands,
     /*   44041 */     // GIR_Coverage, 46507,
     /*   44041 */     GIR_EraseRootFromParent_Done,
     /*   44042 */   // Label 733: @44042
     /*   44042 */   GIM_Try, /*On fail goto*//*Label 734*/ GIMT_Encode4(44097), // Rule ID 46626 //
     /*   44047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44075 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   44075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44095 */     GIR_RootConstrainSelectedInstOperands,
     /*   44096 */     // GIR_Coverage, 46626,
     /*   44096 */     GIR_EraseRootFromParent_Done,
     /*   44097 */   // Label 734: @44097
     /*   44097 */   GIM_Try, /*On fail goto*//*Label 735*/ GIMT_Encode4(44152), // Rule ID 46627 //
     /*   44102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   44113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   44121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   44128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   44130 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   44130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*   44133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   44137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   44141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44150 */     GIR_RootConstrainSelectedInstOperands,
     /*   44151 */     // GIR_Coverage, 46627,
     /*   44151 */     GIR_EraseRootFromParent_Done,
     /*   44152 */   // Label 735: @44152
     /*   44152 */   GIM_Try, /*On fail goto*//*Label 736*/ GIMT_Encode4(44205), // Rule ID 46140 //
     /*   44157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44168 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   44168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   44171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   44185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44203 */     GIR_RootConstrainSelectedInstOperands,
     /*   44204 */     // GIR_Coverage, 46140,
     /*   44204 */     GIR_EraseRootFromParent_Done,
     /*   44205 */   // Label 736: @44205
     /*   44205 */   GIM_Try, /*On fail goto*//*Label 737*/ GIMT_Encode4(44258), // Rule ID 46141 //
     /*   44210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44221 */     // (add:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   44221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   44224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   44228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   44233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   44235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   44238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   44243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   44245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   44247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   44256 */     GIR_RootConstrainSelectedInstOperands,
     /*   44257 */     // GIR_Coverage, 46141,
     /*   44257 */     GIR_EraseRootFromParent_Done,
     /*   44258 */   // Label 737: @44258
     /*   44258 */   GIM_Reject,
     /*   44259 */ // Label 697: @44259
     /*   44259 */ GIM_Reject,
     /*   44260 */ // Label 142: @44260
     /*   44260 */ GIM_Try, /*On fail goto*//*Label 738*/ GIMT_Encode4(47384),
     /*   44265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44275 */   GIM_Try, /*On fail goto*//*Label 739*/ GIMT_Encode4(44371), // Rule ID 70812 //
     /*   44280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44301 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44305 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44309 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44313 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44315 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44320 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44324 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44328 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44332 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44334 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44343 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44345 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   44348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44369 */     GIR_RootConstrainSelectedInstOperands,
     /*   44370 */     // GIR_Coverage, 70812,
     /*   44370 */     GIR_EraseRootFromParent_Done,
     /*   44371 */   // Label 739: @44371
     /*   44371 */   GIM_Try, /*On fail goto*//*Label 740*/ GIMT_Encode4(44467), // Rule ID 70813 //
     /*   44376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44391 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44395 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44409 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44411 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44416 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44420 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44424 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44428 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44430 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44439 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44441 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   44444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44452 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44465 */     GIR_RootConstrainSelectedInstOperands,
     /*   44466 */     // GIR_Coverage, 70813,
     /*   44466 */     GIR_EraseRootFromParent_Done,
     /*   44467 */   // Label 740: @44467
     /*   44467 */   GIM_Try, /*On fail goto*//*Label 741*/ GIMT_Encode4(44563), // Rule ID 71084 //
     /*   44472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44483 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44487 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44493 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44497 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44501 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44505 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44507 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44512 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44516 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44520 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44524 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44526 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44535 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44537 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44561 */     GIR_RootConstrainSelectedInstOperands,
     /*   44562 */     // GIR_Coverage, 71084,
     /*   44562 */     GIR_EraseRootFromParent_Done,
     /*   44563 */   // Label 741: @44563
     /*   44563 */   GIM_Try, /*On fail goto*//*Label 742*/ GIMT_Encode4(44659), // Rule ID 71085 //
     /*   44568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44587 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44589 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44593 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44597 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44601 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44603 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44608 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44612 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44616 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44620 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44622 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44631 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44633 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44657 */     GIR_RootConstrainSelectedInstOperands,
     /*   44658 */     // GIR_Coverage, 71085,
     /*   44658 */     GIR_EraseRootFromParent_Done,
     /*   44659 */   // Label 742: @44659
     /*   44659 */   GIM_Try, /*On fail goto*//*Label 743*/ GIMT_Encode4(44755), // Rule ID 71086 //
     /*   44664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44679 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44683 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44697 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44699 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44704 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44708 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44712 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44716 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44718 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44727 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44729 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44753 */     GIR_RootConstrainSelectedInstOperands,
     /*   44754 */     // GIR_Coverage, 71086,
     /*   44754 */     GIR_EraseRootFromParent_Done,
     /*   44755 */   // Label 743: @44755
     /*   44755 */   GIM_Try, /*On fail goto*//*Label 744*/ GIMT_Encode4(44851), // Rule ID 71087 //
     /*   44760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44771 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44775 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44793 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44800 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44804 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   44808 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44812 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44814 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44823 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44825 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   44825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   44828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   44836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   44840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44849 */     GIR_RootConstrainSelectedInstOperands,
     /*   44850 */     // GIR_Coverage, 71087,
     /*   44850 */     GIR_EraseRootFromParent_Done,
     /*   44851 */   // Label 744: @44851
     /*   44851 */   GIM_Try, /*On fail goto*//*Label 745*/ GIMT_Encode4(44947), // Rule ID 70926 //
     /*   44856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   44859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44867 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44871 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44889 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44896 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44900 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44904 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44908 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   44910 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   44919 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   44921 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   44921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   44924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   44926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   44928 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   44932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   44936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   44939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   44942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   44945 */     GIR_RootConstrainSelectedInstOperands,
     /*   44946 */     // GIR_Coverage, 70926,
     /*   44946 */     GIR_EraseRootFromParent_Done,
     /*   44947 */   // Label 745: @44947
     /*   44947 */   GIM_Try, /*On fail goto*//*Label 746*/ GIMT_Encode4(45043), // Rule ID 70927 //
     /*   44952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   44955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   44959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   44963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   44967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   44971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   44973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   44977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   44981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   44985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   44987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   44992 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   44996 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45000 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45004 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45006 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45015 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45017 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   45024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45028 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45041 */     GIR_RootConstrainSelectedInstOperands,
     /*   45042 */     // GIR_Coverage, 70927,
     /*   45042 */     GIR_EraseRootFromParent_Done,
     /*   45043 */   // Label 746: @45043
     /*   45043 */   GIM_Try, /*On fail goto*//*Label 747*/ GIMT_Encode4(45139), // Rule ID 52048 //
     /*   45048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45063 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45067 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45073 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45077 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45081 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45085 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45092 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45096 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45100 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45104 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45106 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45111 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45113 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   45116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45137 */     GIR_RootConstrainSelectedInstOperands,
     /*   45138 */     // GIR_Coverage, 52048,
     /*   45138 */     GIR_EraseRootFromParent_Done,
     /*   45139 */   // Label 747: @45139
     /*   45139 */   GIM_Try, /*On fail goto*//*Label 748*/ GIMT_Encode4(45235), // Rule ID 52049 //
     /*   45144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45163 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45167 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45181 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45188 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45192 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45196 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45200 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45202 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45207 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45209 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   45212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45233 */     GIR_RootConstrainSelectedInstOperands,
     /*   45234 */     // GIR_Coverage, 52049,
     /*   45234 */     GIR_EraseRootFromParent_Done,
     /*   45235 */   // Label 748: @45235
     /*   45235 */   GIM_Try, /*On fail goto*//*Label 749*/ GIMT_Encode4(45331), // Rule ID 52166 //
     /*   45240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45263 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45277 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45284 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45288 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45292 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45296 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45298 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45303 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45305 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45329 */     GIR_RootConstrainSelectedInstOperands,
     /*   45330 */     // GIR_Coverage, 52166,
     /*   45330 */     GIR_EraseRootFromParent_Done,
     /*   45331 */   // Label 749: @45331
     /*   45331 */   GIM_Try, /*On fail goto*//*Label 750*/ GIMT_Encode4(45427), // Rule ID 52167 //
     /*   45336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45339 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45355 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45359 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45373 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45380 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45384 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45388 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45392 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45394 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45399 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45401 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45406 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45408 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45425 */     GIR_RootConstrainSelectedInstOperands,
     /*   45426 */     // GIR_Coverage, 52167,
     /*   45426 */     GIR_EraseRootFromParent_Done,
     /*   45427 */   // Label 750: @45427
     /*   45427 */   GIM_Try, /*On fail goto*//*Label 751*/ GIMT_Encode4(45523), // Rule ID 71082 //
     /*   45432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45469 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45476 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45480 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45484 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45488 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45490 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45495 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45497 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   45508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   45512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45521 */     GIR_RootConstrainSelectedInstOperands,
     /*   45522 */     // GIR_Coverage, 71082,
     /*   45522 */     GIR_EraseRootFromParent_Done,
     /*   45523 */   // Label 751: @45523
     /*   45523 */   GIM_Try, /*On fail goto*//*Label 752*/ GIMT_Encode4(45619), // Rule ID 71083 //
     /*   45528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45547 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45551 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45572 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45576 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   45580 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45584 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45586 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45591 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45593 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   45596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   45604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   45608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45617 */     GIR_RootConstrainSelectedInstOperands,
     /*   45618 */     // GIR_Coverage, 71083,
     /*   45618 */     GIR_EraseRootFromParent_Done,
     /*   45619 */   // Label 752: @45619
     /*   45619 */   GIM_Try, /*On fail goto*//*Label 753*/ GIMT_Encode4(45715), // Rule ID 52106 //
     /*   45624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45649 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45653 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45657 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45661 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45668 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45672 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45676 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45680 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45682 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45687 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45689 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   45689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45713 */     GIR_RootConstrainSelectedInstOperands,
     /*   45714 */     // GIR_Coverage, 52106,
     /*   45714 */     GIR_EraseRootFromParent_Done,
     /*   45715 */   // Label 753: @45715
     /*   45715 */   GIM_Try, /*On fail goto*//*Label 754*/ GIMT_Encode4(45811), // Rule ID 52107 //
     /*   45720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   45727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   45731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   45735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   45739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   45743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   45749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45757 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45764 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   45768 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   45772 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45776 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   45778 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45783 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   45785 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   45785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   45788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   45792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   45800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   45809 */     GIR_RootConstrainSelectedInstOperands,
     /*   45810 */     // GIR_Coverage, 52107,
     /*   45810 */     GIR_EraseRootFromParent_Done,
     /*   45811 */   // Label 754: @45811
     /*   45811 */   GIM_Try, /*On fail goto*//*Label 755*/ GIMT_Encode4(45900), // Rule ID 46710 //
     /*   45816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45859 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   45859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   45876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45898 */     GIR_RootConstrainSelectedInstOperands,
     /*   45899 */     // GIR_Coverage, 46710,
     /*   45899 */     GIR_EraseRootFromParent_Done,
     /*   45900 */   // Label 755: @45900
     /*   45900 */   GIM_Try, /*On fail goto*//*Label 756*/ GIMT_Encode4(45989), // Rule ID 46711 //
     /*   45905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   45908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   45912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   45922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   45931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   45935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   45939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   45941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   45946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   45948 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   45948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   45951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   45955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   45960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   45962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   45965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   45967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   45970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   45974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   45978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   45981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   45984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   45987 */     GIR_RootConstrainSelectedInstOperands,
     /*   45988 */     // GIR_Coverage, 46711,
     /*   45988 */     GIR_EraseRootFromParent_Done,
     /*   45989 */   // Label 756: @45989
     /*   45989 */   GIM_Try, /*On fail goto*//*Label 757*/ GIMT_Encode4(46078), // Rule ID 46474 //
     /*   45994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   45997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46009 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46016 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46020 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46024 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46028 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46035 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46037 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   46054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46076 */     GIR_RootConstrainSelectedInstOperands,
     /*   46077 */     // GIR_Coverage, 46474,
     /*   46077 */     GIR_EraseRootFromParent_Done,
     /*   46078 */   // Label 757: @46078
     /*   46078 */   GIM_Try, /*On fail goto*//*Label 758*/ GIMT_Encode4(46167), // Rule ID 46475 //
     /*   46083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46098 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46100 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46117 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46119 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46124 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46126 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46126 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46129 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46133 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46138 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   46143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46165 */     GIR_RootConstrainSelectedInstOperands,
     /*   46166 */     // GIR_Coverage, 46475,
     /*   46166 */     GIR_EraseRootFromParent_Done,
     /*   46167 */   // Label 758: @46167
     /*   46167 */   GIM_Try, /*On fail goto*//*Label 759*/ GIMT_Encode4(46256), // Rule ID 46590 //
     /*   46172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46187 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46189 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46194 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46198 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46202 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46206 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46208 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46213 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46215 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   46215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46254 */     GIR_RootConstrainSelectedInstOperands,
     /*   46255 */     // GIR_Coverage, 46590,
     /*   46255 */     GIR_EraseRootFromParent_Done,
     /*   46256 */   // Label 759: @46256
     /*   46256 */   GIM_Try, /*On fail goto*//*Label 760*/ GIMT_Encode4(46345), // Rule ID 46591 //
     /*   46261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46276 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   46287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46295 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   46297 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   46304 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   46304 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   46307 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   46311 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   46316 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   46318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   46321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46323 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   46326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   46330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   46334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   46343 */     GIR_RootConstrainSelectedInstOperands,
     /*   46344 */     // GIR_Coverage, 46591,
     /*   46344 */     GIR_EraseRootFromParent_Done,
     /*   46345 */   // Label 760: @46345
     /*   46345 */   GIM_Try, /*On fail goto*//*Label 761*/ GIMT_Encode4(46413), // Rule ID 70712 //
     /*   46350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46365 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46369 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46376 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46387 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46411 */     GIR_RootConstrainSelectedInstOperands,
     /*   46412 */     // GIR_Coverage, 70712,
     /*   46412 */     GIR_EraseRootFromParent_Done,
     /*   46413 */   // Label 761: @46413
     /*   46413 */   GIM_Try, /*On fail goto*//*Label 762*/ GIMT_Encode4(46481), // Rule ID 70713 //
     /*   46418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46429 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46433 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46455 */     // (add:{ *:[nxv8i32] } (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46479 */     GIR_RootConstrainSelectedInstOperands,
     /*   46480 */     // GIR_Coverage, 70713,
     /*   46480 */     GIR_EraseRootFromParent_Done,
     /*   46481 */   // Label 762: @46481
     /*   46481 */   GIM_Try, /*On fail goto*//*Label 763*/ GIMT_Encode4(46536), // Rule ID 69628 //
     /*   46486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46501 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46512 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46514 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46534 */     GIR_RootConstrainSelectedInstOperands,
     /*   46535 */     // GIR_Coverage, 69628,
     /*   46535 */     GIR_EraseRootFromParent_Done,
     /*   46536 */   // Label 763: @46536
     /*   46536 */   GIM_Try, /*On fail goto*//*Label 764*/ GIMT_Encode4(46591), // Rule ID 69629 //
     /*   46541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46569 */     // (add:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46589 */     GIR_RootConstrainSelectedInstOperands,
     /*   46590 */     // GIR_Coverage, 69629,
     /*   46590 */     GIR_EraseRootFromParent_Done,
     /*   46591 */   // Label 764: @46591
     /*   46591 */   GIM_Try, /*On fail goto*//*Label 765*/ GIMT_Encode4(46646), // Rule ID 69448 //
     /*   46596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46611 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46624 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   46627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46644 */     GIR_RootConstrainSelectedInstOperands,
     /*   46645 */     // GIR_Coverage, 69448,
     /*   46645 */     GIR_EraseRootFromParent_Done,
     /*   46646 */   // Label 765: @46646
     /*   46646 */   GIM_Try, /*On fail goto*//*Label 766*/ GIMT_Encode4(46701), // Rule ID 69449 //
     /*   46651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   46662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46679 */     // (add:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   46682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46699 */     GIR_RootConstrainSelectedInstOperands,
     /*   46700 */     // GIR_Coverage, 69449,
     /*   46700 */     GIR_EraseRootFromParent_Done,
     /*   46701 */   // Label 766: @46701
     /*   46701 */   GIM_Try, /*On fail goto*//*Label 767*/ GIMT_Encode4(46756), // Rule ID 69538 //
     /*   46706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46717 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46721 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46723 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46734 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46754 */     GIR_RootConstrainSelectedInstOperands,
     /*   46755 */     // GIR_Coverage, 69538,
     /*   46755 */     GIR_EraseRootFromParent_Done,
     /*   46756 */   // Label 767: @46756
     /*   46756 */   GIM_Try, /*On fail goto*//*Label 768*/ GIMT_Encode4(46811), // Rule ID 69539 //
     /*   46761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   46768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   46772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46789 */     // (add:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   46789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   46796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46809 */     GIR_RootConstrainSelectedInstOperands,
     /*   46810 */     // GIR_Coverage, 69539,
     /*   46810 */     GIR_EraseRootFromParent_Done,
     /*   46811 */   // Label 768: @46811
     /*   46811 */   GIM_Try, /*On fail goto*//*Label 769*/ GIMT_Encode4(46879), // Rule ID 51924 //
     /*   46816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46831 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46835 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46853 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   46853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46862 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46877 */     GIR_RootConstrainSelectedInstOperands,
     /*   46878 */     // GIR_Coverage, 51924,
     /*   46878 */     GIR_EraseRootFromParent_Done,
     /*   46879 */   // Label 769: @46879
     /*   46879 */   GIM_Try, /*On fail goto*//*Label 770*/ GIMT_Encode4(46947), // Rule ID 51925 //
     /*   46884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   46887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   46899 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   46903 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   46907 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46921 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   46921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   46924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46926 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   46930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   46942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   46945 */     GIR_RootConstrainSelectedInstOperands,
     /*   46946 */     // GIR_Coverage, 51925,
     /*   46946 */     GIR_EraseRootFromParent_Done,
     /*   46947 */   // Label 770: @46947
     /*   46947 */   GIM_Try, /*On fail goto*//*Label 771*/ GIMT_Encode4(47002), // Rule ID 46770 //
     /*   46952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   46955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   46959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   46963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   46967 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   46971 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   46973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   46978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   46980 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   46980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   46983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   46985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   46987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   46991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   46994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   46997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47000 */     GIR_RootConstrainSelectedInstOperands,
     /*   47001 */     // GIR_Coverage, 46770,
     /*   47001 */     GIR_EraseRootFromParent_Done,
     /*   47002 */   // Label 771: @47002
     /*   47002 */   GIM_Try, /*On fail goto*//*Label 772*/ GIMT_Encode4(47057), // Rule ID 46771 //
     /*   47007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   47022 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47026 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47028 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47035 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47055 */     GIR_RootConstrainSelectedInstOperands,
     /*   47056 */     // GIR_Coverage, 46771,
     /*   47056 */     GIR_EraseRootFromParent_Done,
     /*   47057 */   // Label 772: @47057
     /*   47057 */   GIM_Try, /*On fail goto*//*Label 773*/ GIMT_Encode4(47112), // Rule ID 46530 //
     /*   47062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47081 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47090 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   47093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47110 */     GIR_RootConstrainSelectedInstOperands,
     /*   47111 */     // GIR_Coverage, 46530,
     /*   47111 */     GIR_EraseRootFromParent_Done,
     /*   47112 */   // Label 773: @47112
     /*   47112 */   GIM_Try, /*On fail goto*//*Label 774*/ GIMT_Encode4(47167), // Rule ID 46531 //
     /*   47117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47145 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   47148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47150 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47165 */     GIR_RootConstrainSelectedInstOperands,
     /*   47166 */     // GIR_Coverage, 46531,
     /*   47166 */     GIR_EraseRootFromParent_Done,
     /*   47167 */   // Label 774: @47167
     /*   47167 */   GIM_Try, /*On fail goto*//*Label 775*/ GIMT_Encode4(47222), // Rule ID 46650 //
     /*   47172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47191 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47193 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47198 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47200 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   47200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47220 */     GIR_RootConstrainSelectedInstOperands,
     /*   47221 */     // GIR_Coverage, 46650,
     /*   47221 */     GIR_EraseRootFromParent_Done,
     /*   47222 */   // Label 775: @47222
     /*   47222 */   GIM_Try, /*On fail goto*//*Label 776*/ GIMT_Encode4(47277), // Rule ID 46651 //
     /*   47227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   47238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   47246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   47253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   47255 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   47255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   47258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   47262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   47266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   47272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47275 */     GIR_RootConstrainSelectedInstOperands,
     /*   47276 */     // GIR_Coverage, 46651,
     /*   47276 */     GIR_EraseRootFromParent_Done,
     /*   47277 */   // Label 776: @47277
     /*   47277 */   GIM_Try, /*On fail goto*//*Label 777*/ GIMT_Encode4(47330), // Rule ID 46156 //
     /*   47282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   47285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47293 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   47293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   47296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   47310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47328 */     GIR_RootConstrainSelectedInstOperands,
     /*   47329 */     // GIR_Coverage, 46156,
     /*   47329 */     GIR_EraseRootFromParent_Done,
     /*   47330 */   // Label 777: @47330
     /*   47330 */   GIM_Try, /*On fail goto*//*Label 778*/ GIMT_Encode4(47383), // Rule ID 46157 //
     /*   47335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   47338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47346 */     // (add:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   47346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   47349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   47353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   47358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   47360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   47363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   47368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   47370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   47372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   47381 */     GIR_RootConstrainSelectedInstOperands,
     /*   47382 */     // GIR_Coverage, 46157,
     /*   47382 */     GIR_EraseRootFromParent_Done,
     /*   47383 */   // Label 778: @47383
     /*   47383 */   GIM_Reject,
     /*   47384 */ // Label 738: @47384
     /*   47384 */ GIM_Reject,
     /*   47385 */ // Label 143: @47385
     /*   47385 */ GIM_Try, /*On fail goto*//*Label 779*/ GIMT_Encode4(50509),
     /*   47390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47400 */   GIM_Try, /*On fail goto*//*Label 780*/ GIMT_Encode4(47496), // Rule ID 70822 //
     /*   47405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47438 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47453 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47457 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47459 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47470 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   47473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47494 */     GIR_RootConstrainSelectedInstOperands,
     /*   47495 */     // GIR_Coverage, 70822,
     /*   47495 */     GIR_EraseRootFromParent_Done,
     /*   47496 */   // Label 780: @47496
     /*   47496 */   GIM_Try, /*On fail goto*//*Label 781*/ GIMT_Encode4(47592), // Rule ID 70823 //
     /*   47501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47553 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47555 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47566 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   47569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47590 */     GIR_RootConstrainSelectedInstOperands,
     /*   47591 */     // GIR_Coverage, 70823,
     /*   47591 */     GIR_EraseRootFromParent_Done,
     /*   47592 */   // Label 781: @47592
     /*   47592 */   GIM_Try, /*On fail goto*//*Label 782*/ GIMT_Encode4(47688), // Rule ID 71114 //
     /*   47597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47645 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47649 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47651 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47662 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47686 */     GIR_RootConstrainSelectedInstOperands,
     /*   47687 */     // GIR_Coverage, 71114,
     /*   47687 */     GIR_EraseRootFromParent_Done,
     /*   47688 */   // Label 782: @47688
     /*   47688 */   GIM_Try, /*On fail goto*//*Label 783*/ GIMT_Encode4(47784), // Rule ID 71115 //
     /*   47693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47704 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47708 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47726 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47733 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47737 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47741 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47745 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47747 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47758 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   47769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   47773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47782 */     GIR_RootConstrainSelectedInstOperands,
     /*   47783 */     // GIR_Coverage, 71115,
     /*   47783 */     GIR_EraseRootFromParent_Done,
     /*   47784 */   // Label 783: @47784
     /*   47784 */   GIM_Try, /*On fail goto*//*Label 784*/ GIMT_Encode4(47880), // Rule ID 71116 //
     /*   47789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47804 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47822 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47824 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47829 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47833 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47837 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47841 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47843 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47854 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   47854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47878 */     GIR_RootConstrainSelectedInstOperands,
     /*   47879 */     // GIR_Coverage, 71116,
     /*   47879 */     GIR_EraseRootFromParent_Done,
     /*   47880 */   // Label 784: @47880
     /*   47880 */   GIM_Try, /*On fail goto*//*Label 785*/ GIMT_Encode4(47976), // Rule ID 71117 //
     /*   47885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   47888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47900 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   47904 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   47906 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   47910 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   47914 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47918 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   47920 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47925 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   47929 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   47933 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   47937 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   47939 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   47944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   47948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   47950 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   47950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   47953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   47955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   47957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   47961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   47965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   47968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   47971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   47974 */     GIR_RootConstrainSelectedInstOperands,
     /*   47975 */     // GIR_Coverage, 71117,
     /*   47975 */     GIR_EraseRootFromParent_Done,
     /*   47976 */   // Label 785: @47976
     /*   47976 */   GIM_Try, /*On fail goto*//*Label 786*/ GIMT_Encode4(48072), // Rule ID 70936 //
     /*   47981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   47984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   47988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   47992 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   47996 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48000 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48002 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48006 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48010 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48014 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48016 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48021 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48025 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48029 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48033 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48035 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48046 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48070 */     GIR_RootConstrainSelectedInstOperands,
     /*   48071 */     // GIR_Coverage, 70936,
     /*   48071 */     GIR_EraseRootFromParent_Done,
     /*   48072 */   // Label 786: @48072
     /*   48072 */   GIM_Try, /*On fail goto*//*Label 787*/ GIMT_Encode4(48168), // Rule ID 70937 //
     /*   48077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48088 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48092 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48098 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48102 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48106 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48110 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48112 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48117 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48121 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48125 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48129 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48131 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48142 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   48149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48166 */     GIR_RootConstrainSelectedInstOperands,
     /*   48167 */     // GIR_Coverage, 70937,
     /*   48167 */     GIR_EraseRootFromParent_Done,
     /*   48168 */   // Label 787: @48168
     /*   48168 */   GIM_Try, /*On fail goto*//*Label 788*/ GIMT_Encode4(48264), // Rule ID 52058 //
     /*   48173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48225 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48229 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48231 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48238 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   48241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48262 */     GIR_RootConstrainSelectedInstOperands,
     /*   48263 */     // GIR_Coverage, 52058,
     /*   48263 */     GIR_EraseRootFromParent_Done,
     /*   48264 */   // Label 788: @48264
     /*   48264 */   GIM_Try, /*On fail goto*//*Label 789*/ GIMT_Encode4(48360), // Rule ID 52059 //
     /*   48269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48321 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48325 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48327 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48334 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   48337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48358 */     GIR_RootConstrainSelectedInstOperands,
     /*   48359 */     // GIR_Coverage, 52059,
     /*   48359 */     GIR_EraseRootFromParent_Done,
     /*   48360 */   // Label 789: @48360
     /*   48360 */   GIM_Try, /*On fail goto*//*Label 790*/ GIMT_Encode4(48456), // Rule ID 52176 //
     /*   48365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48402 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48417 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48421 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48423 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48430 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48454 */     GIR_RootConstrainSelectedInstOperands,
     /*   48455 */     // GIR_Coverage, 52176,
     /*   48455 */     GIR_EraseRootFromParent_Done,
     /*   48456 */   // Label 790: @48456
     /*   48456 */   GIM_Try, /*On fail goto*//*Label 791*/ GIMT_Encode4(48552), // Rule ID 52177 //
     /*   48461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48498 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48500 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48505 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48509 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48513 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48517 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48519 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48524 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48526 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48550 */     GIR_RootConstrainSelectedInstOperands,
     /*   48551 */     // GIR_Coverage, 52177,
     /*   48551 */     GIR_EraseRootFromParent_Done,
     /*   48552 */   // Label 791: @48552
     /*   48552 */   GIM_Try, /*On fail goto*//*Label 792*/ GIMT_Encode4(48648), // Rule ID 71112 //
     /*   48557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48576 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48580 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48594 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48601 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48605 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48609 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48613 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48615 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48620 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48622 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48646 */     GIR_RootConstrainSelectedInstOperands,
     /*   48647 */     // GIR_Coverage, 71112,
     /*   48647 */     GIR_EraseRootFromParent_Done,
     /*   48648 */   // Label 792: @48648
     /*   48648 */   GIM_Try, /*On fail goto*//*Label 793*/ GIMT_Encode4(48744), // Rule ID 71113 //
     /*   48653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48678 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48682 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48686 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48690 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48692 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48697 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48701 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   48705 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48709 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48711 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48716 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48718 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   48721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48725 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   48729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   48733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48742 */     GIR_RootConstrainSelectedInstOperands,
     /*   48743 */     // GIR_Coverage, 71113,
     /*   48743 */     GIR_EraseRootFromParent_Done,
     /*   48744 */   // Label 793: @48744
     /*   48744 */   GIM_Try, /*On fail goto*//*Label 794*/ GIMT_Encode4(48840), // Rule ID 52116 //
     /*   48749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48786 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48788 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48793 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48797 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48801 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48805 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48807 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48812 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48814 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   48814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48825 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48838 */     GIR_RootConstrainSelectedInstOperands,
     /*   48839 */     // GIR_Coverage, 52116,
     /*   48839 */     GIR_EraseRootFromParent_Done,
     /*   48840 */   // Label 794: @48840
     /*   48840 */   GIM_Try, /*On fail goto*//*Label 795*/ GIMT_Encode4(48936), // Rule ID 52117 //
     /*   48845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   48848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   48852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   48856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   48860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   48864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   48868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   48874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48882 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48889 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   48893 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   48897 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48901 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   48903 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48908 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   48910 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   48910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   48913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   48915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   48917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   48921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   48925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   48928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   48931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   48934 */     GIR_RootConstrainSelectedInstOperands,
     /*   48935 */     // GIR_Coverage, 52117,
     /*   48935 */     GIR_EraseRootFromParent_Done,
     /*   48936 */   // Label 795: @48936
     /*   48936 */   GIM_Try, /*On fail goto*//*Label 796*/ GIMT_Encode4(49025), // Rule ID 46730 //
     /*   48941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   48944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   48948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   48958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   48967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   48971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   48975 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   48977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   48982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   48984 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   48984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   48987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   48991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   48996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   48998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49023 */     GIR_RootConstrainSelectedInstOperands,
     /*   49024 */     // GIR_Coverage, 46730,
     /*   49024 */     GIR_EraseRootFromParent_Done,
     /*   49025 */   // Label 796: @49025
     /*   49025 */   GIM_Try, /*On fail goto*//*Label 797*/ GIMT_Encode4(49114), // Rule ID 46731 //
     /*   49030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49073 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49112 */     GIR_RootConstrainSelectedInstOperands,
     /*   49113 */     // GIR_Coverage, 46731,
     /*   49113 */     GIR_EraseRootFromParent_Done,
     /*   49114 */   // Label 797: @49114
     /*   49114 */   GIM_Try, /*On fail goto*//*Label 798*/ GIMT_Encode4(49203), // Rule ID 46494 //
     /*   49119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49162 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   49179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49201 */     GIR_RootConstrainSelectedInstOperands,
     /*   49202 */     // GIR_Coverage, 46494,
     /*   49202 */     GIR_EraseRootFromParent_Done,
     /*   49203 */   // Label 798: @49203
     /*   49203 */   GIM_Try, /*On fail goto*//*Label 799*/ GIMT_Encode4(49292), // Rule ID 46495 //
     /*   49208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49251 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   49268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49290 */     GIR_RootConstrainSelectedInstOperands,
     /*   49291 */     // GIR_Coverage, 46495,
     /*   49291 */     GIR_EraseRootFromParent_Done,
     /*   49292 */   // Label 799: @49292
     /*   49292 */   GIM_Try, /*On fail goto*//*Label 800*/ GIMT_Encode4(49381), // Rule ID 46610 //
     /*   49297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49340 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   49340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49379 */     GIR_RootConstrainSelectedInstOperands,
     /*   49380 */     // GIR_Coverage, 46610,
     /*   49380 */     GIR_EraseRootFromParent_Done,
     /*   49381 */   // Label 800: @49381
     /*   49381 */   GIM_Try, /*On fail goto*//*Label 801*/ GIMT_Encode4(49470), // Rule ID 46611 //
     /*   49386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   49412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   49422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   49429 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   49429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   49432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   49436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   49441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   49443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   49446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   49451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   49455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   49459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   49468 */     GIR_RootConstrainSelectedInstOperands,
     /*   49469 */     // GIR_Coverage, 46611,
     /*   49469 */     GIR_EraseRootFromParent_Done,
     /*   49470 */   // Label 801: @49470
     /*   49470 */   GIM_Try, /*On fail goto*//*Label 802*/ GIMT_Encode4(49538), // Rule ID 70744 //
     /*   49475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   49478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49494 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49501 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49512 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   49512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49536 */     GIR_RootConstrainSelectedInstOperands,
     /*   49537 */     // GIR_Coverage, 70744,
     /*   49537 */     GIR_EraseRootFromParent_Done,
     /*   49538 */   // Label 802: @49538
     /*   49538 */   GIM_Try, /*On fail goto*//*Label 803*/ GIMT_Encode4(49606), // Rule ID 70745 //
     /*   49543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   49546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49558 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49580 */     // (add:{ *:[nxv8i64] } (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   49580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49604 */     GIR_RootConstrainSelectedInstOperands,
     /*   49605 */     // GIR_Coverage, 70745,
     /*   49605 */     GIR_EraseRootFromParent_Done,
     /*   49606 */   // Label 803: @49606
     /*   49606 */   GIM_Try, /*On fail goto*//*Label 804*/ GIMT_Encode4(49661), // Rule ID 69648 //
     /*   49611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49626 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49639 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49659 */     GIR_RootConstrainSelectedInstOperands,
     /*   49660 */     // GIR_Coverage, 69648,
     /*   49660 */     GIR_EraseRootFromParent_Done,
     /*   49661 */   // Label 804: @49661
     /*   49661 */   GIM_Try, /*On fail goto*//*Label 805*/ GIMT_Encode4(49716), // Rule ID 69649 //
     /*   49666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   49677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49694 */     // (add:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49714 */     GIR_RootConstrainSelectedInstOperands,
     /*   49715 */     // GIR_Coverage, 69649,
     /*   49715 */     GIR_EraseRootFromParent_Done,
     /*   49716 */   // Label 805: @49716
     /*   49716 */   GIM_Try, /*On fail goto*//*Label 806*/ GIMT_Encode4(49771), // Rule ID 69468 //
     /*   49721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49732 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49736 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49749 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   49752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49769 */     GIR_RootConstrainSelectedInstOperands,
     /*   49770 */     // GIR_Coverage, 69468,
     /*   49770 */     GIR_EraseRootFromParent_Done,
     /*   49771 */   // Label 806: @49771
     /*   49771 */   GIM_Try, /*On fail goto*//*Label 807*/ GIMT_Encode4(49826), // Rule ID 69469 //
     /*   49776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   49787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49804 */     // (add:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   49807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49824 */     GIR_RootConstrainSelectedInstOperands,
     /*   49825 */     // GIR_Coverage, 69469,
     /*   49825 */     GIR_EraseRootFromParent_Done,
     /*   49826 */   // Label 807: @49826
     /*   49826 */   GIM_Try, /*On fail goto*//*Label 808*/ GIMT_Encode4(49881), // Rule ID 69558 //
     /*   49831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   49834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49859 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   49859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49879 */     GIR_RootConstrainSelectedInstOperands,
     /*   49880 */     // GIR_Coverage, 69558,
     /*   49880 */     GIR_EraseRootFromParent_Done,
     /*   49881 */   // Label 808: @49881
     /*   49881 */   GIM_Try, /*On fail goto*//*Label 809*/ GIMT_Encode4(49936), // Rule ID 69559 //
     /*   49886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   49889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   49893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   49897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   49901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   49908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49914 */     // (add:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   49914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   49917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   49921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   49931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   49934 */     GIR_RootConstrainSelectedInstOperands,
     /*   49935 */     // GIR_Coverage, 69559,
     /*   49935 */     GIR_EraseRootFromParent_Done,
     /*   49936 */   // Label 809: @49936
     /*   49936 */   GIM_Try, /*On fail goto*//*Label 810*/ GIMT_Encode4(50004), // Rule ID 51940 //
     /*   49941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   49944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   49952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   49956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   49960 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   49964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   49966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49971 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   49976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   49978 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   49978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   49981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   49983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   49987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   49991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   49993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   49996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   49999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50002 */     GIR_RootConstrainSelectedInstOperands,
     /*   50003 */     // GIR_Coverage, 51940,
     /*   50003 */     GIR_EraseRootFromParent_Done,
     /*   50004 */   // Label 810: @50004
     /*   50004 */   GIM_Try, /*On fail goto*//*Label 811*/ GIMT_Encode4(50072), // Rule ID 51941 //
     /*   50009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   50012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   50028 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   50032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50046 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   50046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   50049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50070 */     GIR_RootConstrainSelectedInstOperands,
     /*   50071 */     // GIR_Coverage, 51941,
     /*   50071 */     GIR_EraseRootFromParent_Done,
     /*   50072 */   // Label 811: @50072
     /*   50072 */   GIM_Try, /*On fail goto*//*Label 812*/ GIMT_Encode4(50127), // Rule ID 46790 //
     /*   50077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   50092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50105 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50125 */     GIR_RootConstrainSelectedInstOperands,
     /*   50126 */     // GIR_Coverage, 46790,
     /*   50126 */     GIR_EraseRootFromParent_Done,
     /*   50127 */   // Label 812: @50127
     /*   50127 */   GIM_Try, /*On fail goto*//*Label 813*/ GIMT_Encode4(50182), // Rule ID 46791 //
     /*   50132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   50147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50160 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50180 */     GIR_RootConstrainSelectedInstOperands,
     /*   50181 */     // GIR_Coverage, 46791,
     /*   50181 */     GIR_EraseRootFromParent_Done,
     /*   50182 */   // Label 813: @50182
     /*   50182 */   GIM_Try, /*On fail goto*//*Label 814*/ GIMT_Encode4(50237), // Rule ID 46550 //
     /*   50187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50215 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   50218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50235 */     GIR_RootConstrainSelectedInstOperands,
     /*   50236 */     // GIR_Coverage, 46550,
     /*   50236 */     GIR_EraseRootFromParent_Done,
     /*   50237 */   // Label 814: @50237
     /*   50237 */   GIM_Try, /*On fail goto*//*Label 815*/ GIMT_Encode4(50292), // Rule ID 46551 //
     /*   50242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50270 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   50273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50290 */     GIR_RootConstrainSelectedInstOperands,
     /*   50291 */     // GIR_Coverage, 46551,
     /*   50291 */     GIR_EraseRootFromParent_Done,
     /*   50292 */   // Label 815: @50292
     /*   50292 */   GIM_Try, /*On fail goto*//*Label 816*/ GIMT_Encode4(50347), // Rule ID 46670 //
     /*   50297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   50300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50325 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   50325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50345 */     GIR_RootConstrainSelectedInstOperands,
     /*   50346 */     // GIR_Coverage, 46670,
     /*   50346 */     GIR_EraseRootFromParent_Done,
     /*   50347 */   // Label 816: @50347
     /*   50347 */   GIM_Try, /*On fail goto*//*Label 817*/ GIMT_Encode4(50402), // Rule ID 46671 //
     /*   50352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   50355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   50367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   50371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50380 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   50380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   50383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   50397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50400 */     GIR_RootConstrainSelectedInstOperands,
     /*   50401 */     // GIR_Coverage, 46671,
     /*   50401 */     GIR_EraseRootFromParent_Done,
     /*   50402 */   // Label 817: @50402
     /*   50402 */   GIM_Try, /*On fail goto*//*Label 818*/ GIMT_Encode4(50455), // Rule ID 46172 //
     /*   50407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   50410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50418 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   50418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   50421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   50435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50453 */     GIR_RootConstrainSelectedInstOperands,
     /*   50454 */     // GIR_Coverage, 46172,
     /*   50454 */     GIR_EraseRootFromParent_Done,
     /*   50455 */   // Label 818: @50455
     /*   50455 */   GIM_Try, /*On fail goto*//*Label 819*/ GIMT_Encode4(50508), // Rule ID 46173 //
     /*   50460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   50463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   50471 */     // (add:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   50471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   50474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   50488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   50503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50506 */     GIR_RootConstrainSelectedInstOperands,
     /*   50507 */     // GIR_Coverage, 46173,
     /*   50507 */     GIR_EraseRootFromParent_Done,
     /*   50508 */   // Label 819: @50508
     /*   50508 */   GIM_Reject,
     /*   50509 */ // Label 779: @50509
     /*   50509 */ GIM_Reject,
     /*   50510 */ // Label 144: @50510
     /*   50510 */ GIM_Try, /*On fail goto*//*Label 820*/ GIMT_Encode4(50904),
     /*   50515 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50518 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50521 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50525 */   GIM_Try, /*On fail goto*//*Label 821*/ GIMT_Encode4(50593), // Rule ID 70656 //
     /*   50530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50551 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50567 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50591 */     GIR_RootConstrainSelectedInstOperands,
     /*   50592 */     // GIR_Coverage, 70656,
     /*   50592 */     GIR_EraseRootFromParent_Done,
     /*   50593 */   // Label 821: @50593
     /*   50593 */   GIM_Try, /*On fail goto*//*Label 822*/ GIMT_Encode4(50661), // Rule ID 70657 //
     /*   50598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50613 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50617 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50624 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50635 */     // (add:{ *:[nxv16i8] } (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   50635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50659 */     GIR_RootConstrainSelectedInstOperands,
     /*   50660 */     // GIR_Coverage, 70657,
     /*   50660 */     GIR_EraseRootFromParent_Done,
     /*   50661 */   // Label 822: @50661
     /*   50661 */   GIM_Try, /*On fail goto*//*Label 823*/ GIMT_Encode4(50729), // Rule ID 51896 //
     /*   50666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50685 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50689 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50701 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50703 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50727 */     GIR_RootConstrainSelectedInstOperands,
     /*   50728 */     // GIR_Coverage, 51896,
     /*   50728 */     GIR_EraseRootFromParent_Done,
     /*   50729 */   // Label 823: @50729
     /*   50729 */   GIM_Try, /*On fail goto*//*Label 824*/ GIMT_Encode4(50797), // Rule ID 51897 //
     /*   50734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   50745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   50757 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50764 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   50771 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   50771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /*   50774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   50780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   50784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   50786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   50795 */     GIR_RootConstrainSelectedInstOperands,
     /*   50796 */     // GIR_Coverage, 51897,
     /*   50796 */     GIR_EraseRootFromParent_Done,
     /*   50797 */   // Label 824: @50797
     /*   50797 */   GIM_Try, /*On fail goto*//*Label 825*/ GIMT_Encode4(50850), // Rule ID 46128 //
     /*   50802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50813 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   50813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   50816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   50830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50848 */     GIR_RootConstrainSelectedInstOperands,
     /*   50849 */     // GIR_Coverage, 46128,
     /*   50849 */     GIR_EraseRootFromParent_Done,
     /*   50850 */   // Label 825: @50850
     /*   50850 */   GIM_Try, /*On fail goto*//*Label 826*/ GIMT_Encode4(50903), // Rule ID 46129 //
     /*   50855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   50858 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50866 */     // (add:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   50866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   50869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   50873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   50878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   50880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*   50883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   50888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   50890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   50892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   50895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   50901 */     GIR_RootConstrainSelectedInstOperands,
     /*   50902 */     // GIR_Coverage, 46129,
     /*   50902 */     GIR_EraseRootFromParent_Done,
     /*   50903 */   // Label 826: @50903
     /*   50903 */   GIM_Reject,
     /*   50904 */ // Label 820: @50904
     /*   50904 */ GIM_Reject,
     /*   50905 */ // Label 145: @50905
     /*   50905 */ GIM_Try, /*On fail goto*//*Label 827*/ GIMT_Encode4(54029),
     /*   50910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   50916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50920 */   GIM_Try, /*On fail goto*//*Label 828*/ GIMT_Encode4(51016), // Rule ID 70802 //
     /*   50925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   50928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   50932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   50936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   50940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   50944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   50946 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   50950 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50954 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50958 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   50960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50965 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   50969 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   50973 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   50977 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   50979 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   50984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   50988 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   50990 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   50990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   50993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   50995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   50997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51014 */     GIR_RootConstrainSelectedInstOperands,
     /*   51015 */     // GIR_Coverage, 70802,
     /*   51015 */     GIR_EraseRootFromParent_Done,
     /*   51016 */   // Label 828: @51016
     /*   51016 */   GIM_Try, /*On fail goto*//*Label 829*/ GIMT_Encode4(51112), // Rule ID 70803 //
     /*   51021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51036 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51061 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51065 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51069 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51073 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51075 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51084 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51086 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51110 */     GIR_RootConstrainSelectedInstOperands,
     /*   51111 */     // GIR_Coverage, 70803,
     /*   51111 */     GIR_EraseRootFromParent_Done,
     /*   51112 */   // Label 829: @51112
     /*   51112 */   GIM_Try, /*On fail goto*//*Label 830*/ GIMT_Encode4(51208), // Rule ID 71054 //
     /*   51117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51138 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51142 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51146 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51150 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51152 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51157 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51161 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51165 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51169 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51171 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51180 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51182 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51206 */     GIR_RootConstrainSelectedInstOperands,
     /*   51207 */     // GIR_Coverage, 71054,
     /*   51207 */     GIR_EraseRootFromParent_Done,
     /*   51208 */   // Label 830: @51208
     /*   51208 */   GIM_Try, /*On fail goto*//*Label 831*/ GIMT_Encode4(51304), // Rule ID 71055 //
     /*   51213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51228 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51232 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51234 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51238 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51242 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51246 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51248 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51253 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51257 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51261 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51265 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51267 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51276 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51278 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51302 */     GIR_RootConstrainSelectedInstOperands,
     /*   51303 */     // GIR_Coverage, 71055,
     /*   51303 */     GIR_EraseRootFromParent_Done,
     /*   51304 */   // Label 831: @51304
     /*   51304 */   GIM_Try, /*On fail goto*//*Label 832*/ GIMT_Encode4(51400), // Rule ID 71056 //
     /*   51309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51324 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51342 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51344 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51349 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51353 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51357 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51361 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51363 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51372 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51374 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51398 */     GIR_RootConstrainSelectedInstOperands,
     /*   51399 */     // GIR_Coverage, 71056,
     /*   51399 */     GIR_EraseRootFromParent_Done,
     /*   51400 */   // Label 832: @51400
     /*   51400 */   GIM_Try, /*On fail goto*//*Label 833*/ GIMT_Encode4(51496), // Rule ID 71057 //
     /*   51405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51420 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51438 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51440 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51445 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51449 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51453 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51457 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51459 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51468 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51470 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   51481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   51485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51494 */     GIR_RootConstrainSelectedInstOperands,
     /*   51495 */     // GIR_Coverage, 71057,
     /*   51495 */     GIR_EraseRootFromParent_Done,
     /*   51496 */   // Label 833: @51496
     /*   51496 */   GIM_Try, /*On fail goto*//*Label 834*/ GIMT_Encode4(51592), // Rule ID 70916 //
     /*   51501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51516 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51520 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51522 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51526 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51530 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51534 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51541 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51545 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51549 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51553 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51555 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51564 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51566 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   51569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51590 */     GIR_RootConstrainSelectedInstOperands,
     /*   51591 */     // GIR_Coverage, 70916,
     /*   51591 */     GIR_EraseRootFromParent_Done,
     /*   51592 */   // Label 834: @51592
     /*   51592 */   GIM_Try, /*On fail goto*//*Label 835*/ GIMT_Encode4(51688), // Rule ID 70917 //
     /*   51597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   51604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51618 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51622 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51626 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51630 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51632 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51637 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51641 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51645 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51649 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51651 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51660 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51662 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rd)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   51665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   51669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51686 */     GIR_RootConstrainSelectedInstOperands,
     /*   51687 */     // GIR_Coverage, 70917,
     /*   51687 */     GIR_EraseRootFromParent_Done,
     /*   51688 */   // Label 835: @51688
     /*   51688 */   GIM_Try, /*On fail goto*//*Label 836*/ GIMT_Encode4(51784), // Rule ID 52038 //
     /*   51693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51712 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51718 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51722 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51726 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51730 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51732 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51737 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51741 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51745 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51749 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51751 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51756 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51758 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51782 */     GIR_RootConstrainSelectedInstOperands,
     /*   51783 */     // GIR_Coverage, 52038,
     /*   51783 */     GIR_EraseRootFromParent_Done,
     /*   51784 */   // Label 836: @51784
     /*   51784 */   GIM_Try, /*On fail goto*//*Label 837*/ GIMT_Encode4(51880), // Rule ID 52039 //
     /*   51789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51812 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51814 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51818 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51822 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51826 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51828 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51833 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51837 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51841 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51845 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51847 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51852 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51854 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   51854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /*   51857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51878 */     GIR_RootConstrainSelectedInstOperands,
     /*   51879 */     // GIR_Coverage, 52039,
     /*   51879 */     GIR_EraseRootFromParent_Done,
     /*   51880 */   // Label 837: @51880
     /*   51880 */   GIM_Try, /*On fail goto*//*Label 838*/ GIMT_Encode4(51976), // Rule ID 52156 //
     /*   51885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   51888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   51904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   51908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   51910 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   51914 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   51918 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51922 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   51924 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51929 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   51933 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   51937 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   51941 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   51943 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   51948 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   51950 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   51950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   51953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   51955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   51957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   51961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   51965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   51968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   51971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   51974 */     GIR_RootConstrainSelectedInstOperands,
     /*   51975 */     // GIR_Coverage, 52156,
     /*   51975 */     GIR_EraseRootFromParent_Done,
     /*   51976 */   // Label 838: @51976
     /*   51976 */   GIM_Try, /*On fail goto*//*Label 839*/ GIMT_Encode4(52072), // Rule ID 52157 //
     /*   51981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   51984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   51988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   51992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   51996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52004 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52018 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52025 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52029 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52033 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52037 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52039 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52044 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52046 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52070 */     GIR_RootConstrainSelectedInstOperands,
     /*   52071 */     // GIR_Coverage, 52157,
     /*   52071 */     GIR_EraseRootFromParent_Done,
     /*   52072 */   // Label 839: @52072
     /*   52072 */   GIM_Try, /*On fail goto*//*Label 840*/ GIMT_Encode4(52168), // Rule ID 71052 //
     /*   52077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52096 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52100 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52114 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52121 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52125 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52129 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52133 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52135 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52140 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52142 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52149 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   52153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   52157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52166 */     GIR_RootConstrainSelectedInstOperands,
     /*   52167 */     // GIR_Coverage, 71052,
     /*   52167 */     GIR_EraseRootFromParent_Done,
     /*   52168 */   // Label 840: @52168
     /*   52168 */   GIM_Try, /*On fail goto*//*Label 841*/ GIMT_Encode4(52264), // Rule ID 71053 //
     /*   52173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52196 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52198 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52202 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52206 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52210 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52212 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52217 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52221 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52225 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52229 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52231 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52236 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52238 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /*   52241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   52249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   52253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52262 */     GIR_RootConstrainSelectedInstOperands,
     /*   52263 */     // GIR_Coverage, 71053,
     /*   52263 */     GIR_EraseRootFromParent_Done,
     /*   52264 */   // Label 841: @52264
     /*   52264 */   GIM_Try, /*On fail goto*//*Label 842*/ GIMT_Encode4(52360), // Rule ID 52096 //
     /*   52269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52313 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52317 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52321 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52325 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52327 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52332 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52334 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   52334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   52337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52358 */     GIR_RootConstrainSelectedInstOperands,
     /*   52359 */     // GIR_Coverage, 52096,
     /*   52359 */     GIR_EraseRootFromParent_Done,
     /*   52360 */   // Label 842: @52360
     /*   52360 */   GIM_Try, /*On fail goto*//*Label 843*/ GIMT_Encode4(52456), // Rule ID 52097 //
     /*   52365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52368 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   52372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   52376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   52380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   52384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   52388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   52394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52402 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52404 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52409 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   52413 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52417 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52421 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   52423 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52428 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   52430 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   52430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /*   52433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   52437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   52445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   52454 */     GIR_RootConstrainSelectedInstOperands,
     /*   52455 */     // GIR_Coverage, 52097,
     /*   52455 */     GIR_EraseRootFromParent_Done,
     /*   52456 */   // Label 843: @52456
     /*   52456 */   GIM_Try, /*On fail goto*//*Label 844*/ GIMT_Encode4(52545), // Rule ID 46690 //
     /*   52461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52472 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52476 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52495 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52497 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52502 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52504 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52543 */     GIR_RootConstrainSelectedInstOperands,
     /*   52544 */     // GIR_Coverage, 46690,
     /*   52544 */     GIR_EraseRootFromParent_Done,
     /*   52545 */   // Label 844: @52545
     /*   52545 */   GIM_Try, /*On fail goto*//*Label 845*/ GIMT_Encode4(52634), // Rule ID 46691 //
     /*   52550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52561 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52565 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   52580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52584 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52593 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52596 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52600 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52605 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52632 */     GIR_RootConstrainSelectedInstOperands,
     /*   52633 */     // GIR_Coverage, 46691,
     /*   52633 */     GIR_EraseRootFromParent_Done,
     /*   52634 */   // Label 845: @52634
     /*   52634 */   GIM_Try, /*On fail goto*//*Label 846*/ GIMT_Encode4(52723), // Rule ID 46454 //
     /*   52639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52650 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52654 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52656 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52661 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52665 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52669 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52673 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52675 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52680 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52682 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   52699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52721 */     GIR_RootConstrainSelectedInstOperands,
     /*   52722 */     // GIR_Coverage, 46454,
     /*   52722 */     GIR_EraseRootFromParent_Done,
     /*   52723 */   // Label 846: @52723
     /*   52723 */   GIM_Try, /*On fail goto*//*Label 847*/ GIMT_Encode4(52812), // Rule ID 46455 //
     /*   52728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52739 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52743 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52745 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52750 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52754 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   52758 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52762 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52764 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52771 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*   52788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52810 */     GIR_RootConstrainSelectedInstOperands,
     /*   52811 */     // GIR_Coverage, 46455,
     /*   52811 */     GIR_EraseRootFromParent_Done,
     /*   52812 */   // Label 847: @52812
     /*   52812 */   GIM_Try, /*On fail goto*//*Label 848*/ GIMT_Encode4(52901), // Rule ID 46570 //
     /*   52817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52832 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52834 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52839 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52843 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52847 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52851 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52853 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52860 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   52860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52882 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52899 */     GIR_RootConstrainSelectedInstOperands,
     /*   52900 */     // GIR_Coverage, 46570,
     /*   52900 */     GIR_EraseRootFromParent_Done,
     /*   52901 */   // Label 848: @52901
     /*   52901 */   GIM_Try, /*On fail goto*//*Label 849*/ GIMT_Encode4(52990), // Rule ID 46571 //
     /*   52906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   52909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   52913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52921 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   52923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52928 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   52932 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   52936 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   52940 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   52942 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   52947 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   52949 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   52949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   52952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   52956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   52961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   52963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*   52966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   52968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   52971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   52975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   52979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   52982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   52988 */     GIR_RootConstrainSelectedInstOperands,
     /*   52989 */     // GIR_Coverage, 46571,
     /*   52989 */     GIR_EraseRootFromParent_Done,
     /*   52990 */   // Label 849: @52990
     /*   52990 */   GIM_Try, /*On fail goto*//*Label 850*/ GIMT_Encode4(53058), // Rule ID 70688 //
     /*   52995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   52998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53010 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53032 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   53032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53056 */     GIR_RootConstrainSelectedInstOperands,
     /*   53057 */     // GIR_Coverage, 70688,
     /*   53057 */     GIR_EraseRootFromParent_Done,
     /*   53058 */   // Label 850: @53058
     /*   53058 */   GIM_Try, /*On fail goto*//*Label 851*/ GIMT_Encode4(53126), // Rule ID 70689 //
     /*   53063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53078 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53100 */     // (add:{ *:[nxv16i16] } (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   53100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53124 */     GIR_RootConstrainSelectedInstOperands,
     /*   53125 */     // GIR_Coverage, 70689,
     /*   53125 */     GIR_EraseRootFromParent_Done,
     /*   53126 */   // Label 851: @53126
     /*   53126 */   GIM_Try, /*On fail goto*//*Label 852*/ GIMT_Encode4(53181), // Rule ID 69608 //
     /*   53131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53159 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53179 */     GIR_RootConstrainSelectedInstOperands,
     /*   53180 */     // GIR_Coverage, 69608,
     /*   53180 */     GIR_EraseRootFromParent_Done,
     /*   53181 */   // Label 852: @53181
     /*   53181 */   GIM_Try, /*On fail goto*//*Label 853*/ GIMT_Encode4(53236), // Rule ID 69609 //
     /*   53186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53201 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53214 */     // (add:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53234 */     GIR_RootConstrainSelectedInstOperands,
     /*   53235 */     // GIR_Coverage, 69609,
     /*   53235 */     GIR_EraseRootFromParent_Done,
     /*   53236 */   // Label 853: @53236
     /*   53236 */   GIM_Try, /*On fail goto*//*Label 854*/ GIMT_Encode4(53291), // Rule ID 69428 //
     /*   53241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53269 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53289 */     GIR_RootConstrainSelectedInstOperands,
     /*   53290 */     // GIR_Coverage, 69428,
     /*   53290 */     GIR_EraseRootFromParent_Done,
     /*   53291 */   // Label 854: @53291
     /*   53291 */   GIM_Try, /*On fail goto*//*Label 855*/ GIMT_Encode4(53346), // Rule ID 69429 //
     /*   53296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53311 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53313 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53324 */     // (add:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53344 */     GIR_RootConstrainSelectedInstOperands,
     /*   53345 */     // GIR_Coverage, 69429,
     /*   53345 */     GIR_EraseRootFromParent_Done,
     /*   53346 */   // Label 855: @53346
     /*   53346 */   GIM_Try, /*On fail goto*//*Label 856*/ GIMT_Encode4(53401), // Rule ID 69518 //
     /*   53351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53379 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53399 */     GIR_RootConstrainSelectedInstOperands,
     /*   53400 */     // GIR_Coverage, 69518,
     /*   53400 */     GIR_EraseRootFromParent_Done,
     /*   53401 */   // Label 856: @53401
     /*   53401 */   GIM_Try, /*On fail goto*//*Label 857*/ GIMT_Encode4(53456), // Rule ID 69519 //
     /*   53406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   53413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53434 */     // (add:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53454 */     GIR_RootConstrainSelectedInstOperands,
     /*   53455 */     // GIR_Coverage, 69519,
     /*   53455 */     GIR_EraseRootFromParent_Done,
     /*   53456 */   // Label 857: @53456
     /*   53456 */   GIM_Try, /*On fail goto*//*Label 858*/ GIMT_Encode4(53524), // Rule ID 51912 //
     /*   53461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53484 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53498 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   53498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53503 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53522 */     GIR_RootConstrainSelectedInstOperands,
     /*   53523 */     // GIR_Coverage, 51912,
     /*   53523 */     GIR_EraseRootFromParent_Done,
     /*   53524 */   // Label 858: @53524
     /*   53524 */   GIM_Try, /*On fail goto*//*Label 859*/ GIMT_Encode4(53592), // Rule ID 51913 //
     /*   53529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   53544 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   53548 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   53552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53566 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   53566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   53569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   53575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53590 */     GIR_RootConstrainSelectedInstOperands,
     /*   53591 */     // GIR_Coverage, 51913,
     /*   53591 */     GIR_EraseRootFromParent_Done,
     /*   53592 */   // Label 859: @53592
     /*   53592 */   GIM_Try, /*On fail goto*//*Label 860*/ GIMT_Encode4(53647), // Rule ID 46750 //
     /*   53597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53616 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53625 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53645 */     GIR_RootConstrainSelectedInstOperands,
     /*   53646 */     // GIR_Coverage, 46750,
     /*   53646 */     GIR_EraseRootFromParent_Done,
     /*   53647 */   // Label 860: @53647
     /*   53647 */   GIM_Try, /*On fail goto*//*Label 861*/ GIMT_Encode4(53702), // Rule ID 46751 //
     /*   53652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   53667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53671 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53673 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53680 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53700 */     GIR_RootConstrainSelectedInstOperands,
     /*   53701 */     // GIR_Coverage, 46751,
     /*   53701 */     GIR_EraseRootFromParent_Done,
     /*   53702 */   // Label 861: @53702
     /*   53702 */   GIM_Try, /*On fail goto*//*Label 862*/ GIMT_Encode4(53757), // Rule ID 46510 //
     /*   53707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53726 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53735 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53755 */     GIR_RootConstrainSelectedInstOperands,
     /*   53756 */     // GIR_Coverage, 46510,
     /*   53756 */     GIR_EraseRootFromParent_Done,
     /*   53757 */   // Label 862: @53757
     /*   53757 */   GIM_Try, /*On fail goto*//*Label 863*/ GIMT_Encode4(53812), // Rule ID 46511 //
     /*   53762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   53777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53783 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53790 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*   53793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53810 */     GIR_RootConstrainSelectedInstOperands,
     /*   53811 */     // GIR_Coverage, 46511,
     /*   53811 */     GIR_EraseRootFromParent_Done,
     /*   53812 */   // Label 863: @53812
     /*   53812 */   GIM_Try, /*On fail goto*//*Label 864*/ GIMT_Encode4(53867), // Rule ID 46630 //
     /*   53817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53820 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53845 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   53845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53865 */     GIR_RootConstrainSelectedInstOperands,
     /*   53866 */     // GIR_Coverage, 46630,
     /*   53866 */     GIR_EraseRootFromParent_Done,
     /*   53867 */   // Label 864: @53867
     /*   53867 */   GIM_Try, /*On fail goto*//*Label 865*/ GIMT_Encode4(53922), // Rule ID 46631 //
     /*   53872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   53883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   53887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   53891 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   53893 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   53898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   53900 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   53900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*   53903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   53907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   53911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   53920 */     GIR_RootConstrainSelectedInstOperands,
     /*   53921 */     // GIR_Coverage, 46631,
     /*   53921 */     GIR_EraseRootFromParent_Done,
     /*   53922 */   // Label 865: @53922
     /*   53922 */   GIM_Try, /*On fail goto*//*Label 866*/ GIMT_Encode4(53975), // Rule ID 46144 //
     /*   53927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   53930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53938 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   53938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   53941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   53950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   53952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   53955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   53957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   53960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   53962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   53964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   53967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   53970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   53973 */     GIR_RootConstrainSelectedInstOperands,
     /*   53974 */     // GIR_Coverage, 46144,
     /*   53974 */     GIR_EraseRootFromParent_Done,
     /*   53975 */   // Label 866: @53975
     /*   53975 */   GIM_Try, /*On fail goto*//*Label 867*/ GIMT_Encode4(54028), // Rule ID 46145 //
     /*   53980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   53983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   53991 */     // (add:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   53991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   53994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   53998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   54003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   54005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   54008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   54013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   54015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   54017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   54026 */     GIR_RootConstrainSelectedInstOperands,
     /*   54027 */     // GIR_Coverage, 46145,
     /*   54027 */     GIR_EraseRootFromParent_Done,
     /*   54028 */   // Label 867: @54028
     /*   54028 */   GIM_Reject,
     /*   54029 */ // Label 827: @54029
     /*   54029 */ GIM_Reject,
     /*   54030 */ // Label 146: @54030
     /*   54030 */ GIM_Try, /*On fail goto*//*Label 868*/ GIMT_Encode4(57154),
     /*   54035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54045 */   GIM_Try, /*On fail goto*//*Label 869*/ GIMT_Encode4(54141), // Rule ID 70814 //
     /*   54050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54098 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54102 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54104 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54113 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54115 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54139 */     GIR_RootConstrainSelectedInstOperands,
     /*   54140 */     // GIR_Coverage, 70814,
     /*   54140 */     GIR_EraseRootFromParent_Done,
     /*   54141 */   // Label 869: @54141
     /*   54141 */   GIM_Try, /*On fail goto*//*Label 870*/ GIMT_Encode4(54237), // Rule ID 70815 //
     /*   54146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54194 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54198 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54200 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54211 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54235 */     GIR_RootConstrainSelectedInstOperands,
     /*   54236 */     // GIR_Coverage, 70815,
     /*   54236 */     GIR_EraseRootFromParent_Done,
     /*   54237 */   // Label 870: @54237
     /*   54237 */   GIM_Try, /*On fail goto*//*Label 871*/ GIMT_Encode4(54333), // Rule ID 71090 //
     /*   54242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54290 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54294 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54296 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54307 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54331 */     GIR_RootConstrainSelectedInstOperands,
     /*   54332 */     // GIR_Coverage, 71090,
     /*   54332 */     GIR_EraseRootFromParent_Done,
     /*   54333 */   // Label 871: @54333
     /*   54333 */   GIM_Try, /*On fail goto*//*Label 872*/ GIMT_Encode4(54429), // Rule ID 71091 //
     /*   54338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54357 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54371 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54378 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54382 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54386 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54390 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54392 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54403 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54427 */     GIR_RootConstrainSelectedInstOperands,
     /*   54428 */     // GIR_Coverage, 71091,
     /*   54428 */     GIR_EraseRootFromParent_Done,
     /*   54429 */   // Label 872: @54429
     /*   54429 */   GIM_Try, /*On fail goto*//*Label 873*/ GIMT_Encode4(54525), // Rule ID 71092 //
     /*   54434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54445 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54449 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54453 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54467 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54469 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54474 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54478 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54482 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54486 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54488 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54499 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54523 */     GIR_RootConstrainSelectedInstOperands,
     /*   54524 */     // GIR_Coverage, 71092,
     /*   54524 */     GIR_EraseRootFromParent_Done,
     /*   54525 */   // Label 873: @54525
     /*   54525 */   GIM_Try, /*On fail goto*//*Label 874*/ GIMT_Encode4(54621), // Rule ID 71093 //
     /*   54530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54549 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54570 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54574 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54578 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54582 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54584 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54595 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   54598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   54606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   54610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54619 */     GIR_RootConstrainSelectedInstOperands,
     /*   54620 */     // GIR_Coverage, 71093,
     /*   54620 */     GIR_EraseRootFromParent_Done,
     /*   54621 */   // Label 874: @54621
     /*   54621 */   GIM_Try, /*On fail goto*//*Label 875*/ GIMT_Encode4(54717), // Rule ID 70928 //
     /*   54626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54641 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54647 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54651 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54655 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54659 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54661 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54666 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54670 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54674 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54678 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54680 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54691 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54715 */     GIR_RootConstrainSelectedInstOperands,
     /*   54716 */     // GIR_Coverage, 70928,
     /*   54716 */     GIR_EraseRootFromParent_Done,
     /*   54717 */   // Label 875: @54717
     /*   54717 */   GIM_Try, /*On fail goto*//*Label 876*/ GIMT_Encode4(54813), // Rule ID 70929 //
     /*   54722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   54729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54743 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54747 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54751 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54755 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54757 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54762 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54766 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   54770 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54774 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54776 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54787 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   54790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   54794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54811 */     GIR_RootConstrainSelectedInstOperands,
     /*   54812 */     // GIR_Coverage, 70929,
     /*   54812 */     GIR_EraseRootFromParent_Done,
     /*   54813 */   // Label 876: @54813
     /*   54813 */   GIM_Try, /*On fail goto*//*Label 877*/ GIMT_Encode4(54909), // Rule ID 52050 //
     /*   54818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   54821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54870 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54874 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54876 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54883 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   54883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   54904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   54907 */     GIR_RootConstrainSelectedInstOperands,
     /*   54908 */     // GIR_Coverage, 52050,
     /*   54908 */     GIR_EraseRootFromParent_Done,
     /*   54909 */   // Label 877: @54909
     /*   54909 */   GIM_Try, /*On fail goto*//*Label 878*/ GIMT_Encode4(55005), // Rule ID 52051 //
     /*   54914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   54917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   54921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   54925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   54929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   54933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   54937 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   54939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   54943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54951 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   54953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   54962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   54966 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   54970 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   54972 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   54977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   54979 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   54979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   54982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   54984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   54986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   54990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   54994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   54997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55003 */     GIR_RootConstrainSelectedInstOperands,
     /*   55004 */     // GIR_Coverage, 52051,
     /*   55004 */     GIR_EraseRootFromParent_Done,
     /*   55005 */   // Label 878: @55005
     /*   55005 */   GIM_Try, /*On fail goto*//*Label 879*/ GIMT_Encode4(55101), // Rule ID 52168 //
     /*   55010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55047 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55062 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55066 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55068 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55073 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55075 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55099 */     GIR_RootConstrainSelectedInstOperands,
     /*   55100 */     // GIR_Coverage, 52168,
     /*   55100 */     GIR_EraseRootFromParent_Done,
     /*   55101 */   // Label 879: @55101
     /*   55101 */   GIM_Try, /*On fail goto*//*Label 880*/ GIMT_Encode4(55197), // Rule ID 52169 //
     /*   55106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55143 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55150 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55154 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55158 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55162 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55164 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55169 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55171 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55195 */     GIR_RootConstrainSelectedInstOperands,
     /*   55196 */     // GIR_Coverage, 52169,
     /*   55196 */     GIR_EraseRootFromParent_Done,
     /*   55197 */   // Label 880: @55197
     /*   55197 */   GIM_Try, /*On fail goto*//*Label 881*/ GIMT_Encode4(55293), // Rule ID 71088 //
     /*   55202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55205 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55221 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55227 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55231 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55235 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55239 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55241 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55246 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55250 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55254 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55258 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55260 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55265 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55267 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55274 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   55278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   55282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55291 */     GIR_RootConstrainSelectedInstOperands,
     /*   55292 */     // GIR_Coverage, 71088,
     /*   55292 */     GIR_EraseRootFromParent_Done,
     /*   55293 */   // Label 881: @55293
     /*   55293 */   GIM_Try, /*On fail goto*//*Label 882*/ GIMT_Encode4(55389), // Rule ID 71089 //
     /*   55298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55301 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55313 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55317 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55321 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55323 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55327 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55331 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55335 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55337 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55342 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55346 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55350 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55354 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55356 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55361 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55363 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   55366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   55374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   55378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55387 */     GIR_RootConstrainSelectedInstOperands,
     /*   55388 */     // GIR_Coverage, 71089,
     /*   55388 */     GIR_EraseRootFromParent_Done,
     /*   55389 */   // Label 882: @55389
     /*   55389 */   GIM_Try, /*On fail goto*//*Label 883*/ GIMT_Encode4(55485), // Rule ID 52108 //
     /*   55394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55417 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55431 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55433 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55438 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55442 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55446 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55450 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55452 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55457 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55459 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   55459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   55462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55466 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55483 */     GIR_RootConstrainSelectedInstOperands,
     /*   55484 */     // GIR_Coverage, 52108,
     /*   55484 */     GIR_EraseRootFromParent_Done,
     /*   55485 */   // Label 883: @55485
     /*   55485 */   GIM_Try, /*On fail goto*//*Label 884*/ GIMT_Encode4(55581), // Rule ID 52109 //
     /*   55490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   55497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   55501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   55505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   55509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   55513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55515 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   55519 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55523 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55527 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55534 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   55538 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55542 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55546 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   55548 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55553 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   55555 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   55555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   55558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   55562 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   55570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   55579 */     GIR_RootConstrainSelectedInstOperands,
     /*   55580 */     // GIR_Coverage, 52109,
     /*   55580 */     GIR_EraseRootFromParent_Done,
     /*   55581 */   // Label 884: @55581
     /*   55581 */   GIM_Try, /*On fail goto*//*Label 885*/ GIMT_Encode4(55670), // Rule ID 46714 //
     /*   55586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55597 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55601 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55603 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55608 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55612 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55616 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55620 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55622 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55629 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55668 */     GIR_RootConstrainSelectedInstOperands,
     /*   55669 */     // GIR_Coverage, 46714,
     /*   55669 */     GIR_EraseRootFromParent_Done,
     /*   55670 */   // Label 885: @55670
     /*   55670 */   GIM_Try, /*On fail goto*//*Label 886*/ GIMT_Encode4(55759), // Rule ID 46715 //
     /*   55675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55686 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55690 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55692 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55697 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55701 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   55705 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55709 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55711 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55716 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55718 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   55735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55757 */     GIR_RootConstrainSelectedInstOperands,
     /*   55758 */     // GIR_Coverage, 46715,
     /*   55758 */     GIR_EraseRootFromParent_Done,
     /*   55759 */   // Label 886: @55759
     /*   55759 */   GIM_Try, /*On fail goto*//*Label 887*/ GIMT_Encode4(55848), // Rule ID 46478 //
     /*   55764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55798 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55800 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55805 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55807 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55846 */     GIR_RootConstrainSelectedInstOperands,
     /*   55847 */     // GIR_Coverage, 46478,
     /*   55847 */     GIR_EraseRootFromParent_Done,
     /*   55848 */   // Label 887: @55848
     /*   55848 */   GIM_Try, /*On fail goto*//*Label 888*/ GIMT_Encode4(55937), // Rule ID 46479 //
     /*   55853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   55856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55868 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55870 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55875 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55879 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   55883 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55887 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55896 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   55896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   55913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   55915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   55918 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   55922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   55926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   55929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   55932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   55935 */     GIR_RootConstrainSelectedInstOperands,
     /*   55936 */     // GIR_Coverage, 46479,
     /*   55936 */     GIR_EraseRootFromParent_Done,
     /*   55937 */   // Label 888: @55937
     /*   55937 */   GIM_Try, /*On fail goto*//*Label 889*/ GIMT_Encode4(56026), // Rule ID 46594 //
     /*   55942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   55945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   55949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55957 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   55959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   55968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   55972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   55976 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   55978 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   55983 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   55985 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   55985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   55988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   55992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   55997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   55999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   56002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56024 */     GIR_RootConstrainSelectedInstOperands,
     /*   56025 */     // GIR_Coverage, 46594,
     /*   56025 */     GIR_EraseRootFromParent_Done,
     /*   56026 */   // Label 889: @56026
     /*   56026 */   GIM_Try, /*On fail goto*//*Label 890*/ GIMT_Encode4(56115), // Rule ID 46595 //
     /*   56031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56042 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56046 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56053 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   56057 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56061 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56065 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   56067 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56072 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   56074 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   56074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   56077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   56081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   56086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   56088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   56091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   56096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   56100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   56104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   56113 */     GIR_RootConstrainSelectedInstOperands,
     /*   56114 */     // GIR_Coverage, 46595,
     /*   56114 */     GIR_EraseRootFromParent_Done,
     /*   56115 */   // Label 890: @56115
     /*   56115 */   GIM_Try, /*On fail goto*//*Label 891*/ GIMT_Encode4(56183), // Rule ID 70720 //
     /*   56120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56135 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56139 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56157 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   56157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56181 */     GIR_RootConstrainSelectedInstOperands,
     /*   56182 */     // GIR_Coverage, 70720,
     /*   56182 */     GIR_EraseRootFromParent_Done,
     /*   56183 */   // Label 891: @56183
     /*   56183 */   GIM_Try, /*On fail goto*//*Label 892*/ GIMT_Encode4(56251), // Rule ID 70721 //
     /*   56188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56207 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56209 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56214 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56225 */     // (add:{ *:[nxv16i32] } (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   56225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56249 */     GIR_RootConstrainSelectedInstOperands,
     /*   56250 */     // GIR_Coverage, 70721,
     /*   56250 */     GIR_EraseRootFromParent_Done,
     /*   56251 */   // Label 892: @56251
     /*   56251 */   GIM_Try, /*On fail goto*//*Label 893*/ GIMT_Encode4(56306), // Rule ID 69632 //
     /*   56256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56271 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56273 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56284 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56304 */     GIR_RootConstrainSelectedInstOperands,
     /*   56305 */     // GIR_Coverage, 69632,
     /*   56305 */     GIR_EraseRootFromParent_Done,
     /*   56306 */   // Label 893: @56306
     /*   56306 */   GIM_Try, /*On fail goto*//*Label 894*/ GIMT_Encode4(56361), // Rule ID 69633 //
     /*   56311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56326 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56339 */     // (add:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56359 */     GIR_RootConstrainSelectedInstOperands,
     /*   56360 */     // GIR_Coverage, 69633,
     /*   56360 */     GIR_EraseRootFromParent_Done,
     /*   56361 */   // Label 894: @56361
     /*   56361 */   GIM_Try, /*On fail goto*//*Label 895*/ GIMT_Encode4(56416), // Rule ID 69452 //
     /*   56366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56381 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56383 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56392 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56394 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56414 */     GIR_RootConstrainSelectedInstOperands,
     /*   56415 */     // GIR_Coverage, 69452,
     /*   56415 */     GIR_EraseRootFromParent_Done,
     /*   56416 */   // Label 895: @56416
     /*   56416 */   GIM_Try, /*On fail goto*//*Label 896*/ GIMT_Encode4(56471), // Rule ID 69453 //
     /*   56421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56436 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56449 */     // (add:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56456 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56469 */     GIR_RootConstrainSelectedInstOperands,
     /*   56470 */     // GIR_Coverage, 69453,
     /*   56470 */     GIR_EraseRootFromParent_Done,
     /*   56471 */   // Label 896: @56471
     /*   56471 */   GIM_Try, /*On fail goto*//*Label 897*/ GIMT_Encode4(56526), // Rule ID 69542 //
     /*   56476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56491 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56493 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56504 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56524 */     GIR_RootConstrainSelectedInstOperands,
     /*   56525 */     // GIR_Coverage, 69542,
     /*   56525 */     GIR_EraseRootFromParent_Done,
     /*   56526 */   // Label 897: @56526
     /*   56526 */   GIM_Try, /*On fail goto*//*Label 898*/ GIMT_Encode4(56581), // Rule ID 69543 //
     /*   56531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   56538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56559 */     // (add:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   56566 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56579 */     GIR_RootConstrainSelectedInstOperands,
     /*   56580 */     // GIR_Coverage, 69543,
     /*   56580 */     GIR_EraseRootFromParent_Done,
     /*   56581 */   // Label 898: @56581
     /*   56581 */   GIM_Try, /*On fail goto*//*Label 899*/ GIMT_Encode4(56649), // Rule ID 51928 //
     /*   56586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56609 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56623 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   56623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56647 */     GIR_RootConstrainSelectedInstOperands,
     /*   56648 */     // GIR_Coverage, 51928,
     /*   56648 */     GIR_EraseRootFromParent_Done,
     /*   56649 */   // Label 899: @56649
     /*   56649 */   GIM_Try, /*On fail goto*//*Label 900*/ GIMT_Encode4(56717), // Rule ID 51929 //
     /*   56654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   56669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   56673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   56677 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56691 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   56691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   56694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   56700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   56712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56715 */     GIR_RootConstrainSelectedInstOperands,
     /*   56716 */     // GIR_Coverage, 51929,
     /*   56716 */     GIR_EraseRootFromParent_Done,
     /*   56717 */   // Label 900: @56717
     /*   56717 */   GIM_Try, /*On fail goto*//*Label 901*/ GIMT_Encode4(56772), // Rule ID 46774 //
     /*   56722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56741 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56750 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56770 */     GIR_RootConstrainSelectedInstOperands,
     /*   56771 */     // GIR_Coverage, 46774,
     /*   56771 */     GIR_EraseRootFromParent_Done,
     /*   56772 */   // Label 901: @56772
     /*   56772 */   GIM_Try, /*On fail goto*//*Label 902*/ GIMT_Encode4(56827), // Rule ID 46775 //
     /*   56777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   56792 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56796 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56798 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56805 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56825 */     GIR_RootConstrainSelectedInstOperands,
     /*   56826 */     // GIR_Coverage, 46775,
     /*   56826 */     GIR_EraseRootFromParent_Done,
     /*   56827 */   // Label 902: @56827
     /*   56827 */   GIM_Try, /*On fail goto*//*Label 903*/ GIMT_Encode4(56882), // Rule ID 46534 //
     /*   56832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56851 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56853 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56858 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56860 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56880 */     GIR_RootConstrainSelectedInstOperands,
     /*   56881 */     // GIR_Coverage, 46534,
     /*   56881 */     GIR_EraseRootFromParent_Done,
     /*   56882 */   // Label 903: @56882
     /*   56882 */   GIM_Try, /*On fail goto*//*Label 904*/ GIMT_Encode4(56937), // Rule ID 46535 //
     /*   56887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   56890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   56902 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56906 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56915 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   56915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   56918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56922 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56935 */     GIR_RootConstrainSelectedInstOperands,
     /*   56936 */     // GIR_Coverage, 46535,
     /*   56936 */     GIR_EraseRootFromParent_Done,
     /*   56937 */   // Label 904: @56937
     /*   56937 */   GIM_Try, /*On fail goto*//*Label 905*/ GIMT_Encode4(56992), // Rule ID 46654 //
     /*   56942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   56945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   56949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   56953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   56957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   56961 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   56963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   56968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   56970 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   56970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   56973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   56975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   56977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   56981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   56984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   56987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   56990 */     GIR_RootConstrainSelectedInstOperands,
     /*   56991 */     // GIR_Coverage, 46654,
     /*   56991 */     GIR_EraseRootFromParent_Done,
     /*   56992 */   // Label 905: @56992
     /*   56992 */   GIM_Try, /*On fail goto*//*Label 906*/ GIMT_Encode4(57047), // Rule ID 46655 //
     /*   56997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   57016 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57025 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   57025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   57028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   57042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57045 */     GIR_RootConstrainSelectedInstOperands,
     /*   57046 */     // GIR_Coverage, 46655,
     /*   57046 */     GIR_EraseRootFromParent_Done,
     /*   57047 */   // Label 906: @57047
     /*   57047 */   GIM_Try, /*On fail goto*//*Label 907*/ GIMT_Encode4(57100), // Rule ID 46160 //
     /*   57052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57063 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   57063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   57066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   57080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57098 */     GIR_RootConstrainSelectedInstOperands,
     /*   57099 */     // GIR_Coverage, 46160,
     /*   57099 */     GIR_EraseRootFromParent_Done,
     /*   57100 */   // Label 907: @57100
     /*   57100 */   GIM_Try, /*On fail goto*//*Label 908*/ GIMT_Encode4(57153), // Rule ID 46161 //
     /*   57105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57116 */     // (add:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   57116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   57119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   57133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   57148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57151 */     GIR_RootConstrainSelectedInstOperands,
     /*   57152 */     // GIR_Coverage, 46161,
     /*   57152 */     GIR_EraseRootFromParent_Done,
     /*   57153 */   // Label 908: @57153
     /*   57153 */   GIM_Reject,
     /*   57154 */ // Label 868: @57154
     /*   57154 */ GIM_Reject,
     /*   57155 */ // Label 147: @57155
     /*   57155 */ GIM_Try, /*On fail goto*//*Label 909*/ GIMT_Encode4(57549),
     /*   57160 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57163 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57170 */   GIM_Try, /*On fail goto*//*Label 910*/ GIMT_Encode4(57238), // Rule ID 70664 //
     /*   57175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57212 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57236 */     GIR_RootConstrainSelectedInstOperands,
     /*   57237 */     // GIR_Coverage, 70664,
     /*   57237 */     GIR_EraseRootFromParent_Done,
     /*   57238 */   // Label 910: @57238
     /*   57238 */   GIM_Try, /*On fail goto*//*Label 911*/ GIMT_Encode4(57306), // Rule ID 70665 //
     /*   57243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57258 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57262 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57280 */     // (add:{ *:[nxv32i8] } (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57304 */     GIR_RootConstrainSelectedInstOperands,
     /*   57305 */     // GIR_Coverage, 70665,
     /*   57305 */     GIR_EraseRootFromParent_Done,
     /*   57306 */   // Label 911: @57306
     /*   57306 */   GIM_Try, /*On fail goto*//*Label 912*/ GIMT_Encode4(57374), // Rule ID 51900 //
     /*   57311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57334 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57348 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57357 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57372 */     GIR_RootConstrainSelectedInstOperands,
     /*   57373 */     // GIR_Coverage, 51900,
     /*   57373 */     GIR_EraseRootFromParent_Done,
     /*   57374 */   // Label 912: @57374
     /*   57374 */   GIM_Try, /*On fail goto*//*Label 913*/ GIMT_Encode4(57442), // Rule ID 51901 //
     /*   57379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   57390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57394 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57398 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   57402 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   57416 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /*   57419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   57425 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   57429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   57431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57440 */     GIR_RootConstrainSelectedInstOperands,
     /*   57441 */     // GIR_Coverage, 51901,
     /*   57441 */     GIR_EraseRootFromParent_Done,
     /*   57442 */   // Label 913: @57442
     /*   57442 */   GIM_Try, /*On fail goto*//*Label 914*/ GIMT_Encode4(57495), // Rule ID 46132 //
     /*   57447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57458 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   57458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   57461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   57475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57493 */     GIR_RootConstrainSelectedInstOperands,
     /*   57494 */     // GIR_Coverage, 46132,
     /*   57494 */     GIR_EraseRootFromParent_Done,
     /*   57495 */   // Label 914: @57495
     /*   57495 */   GIM_Try, /*On fail goto*//*Label 915*/ GIMT_Encode4(57548), // Rule ID 46133 //
     /*   57500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57511 */     // (add:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   57511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   57514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   57518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   57523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   57525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*   57528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   57533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   57535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   57537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57546 */     GIR_RootConstrainSelectedInstOperands,
     /*   57547 */     // GIR_Coverage, 46133,
     /*   57547 */     GIR_EraseRootFromParent_Done,
     /*   57548 */   // Label 915: @57548
     /*   57548 */   GIM_Reject,
     /*   57549 */ // Label 909: @57549
     /*   57549 */ GIM_Reject,
     /*   57550 */ // Label 148: @57550
     /*   57550 */ GIM_Try, /*On fail goto*//*Label 916*/ GIMT_Encode4(60674),
     /*   57555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57565 */   GIM_Try, /*On fail goto*//*Label 917*/ GIMT_Encode4(57661), // Rule ID 70804 //
     /*   57570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57585 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57603 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57605 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57610 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57614 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57618 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57622 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57624 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57633 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57635 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   57638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57659 */     GIR_RootConstrainSelectedInstOperands,
     /*   57660 */     // GIR_Coverage, 70804,
     /*   57660 */     GIR_EraseRootFromParent_Done,
     /*   57661 */   // Label 917: @57661
     /*   57661 */   GIM_Try, /*On fail goto*//*Label 918*/ GIMT_Encode4(57757), // Rule ID 70805 //
     /*   57666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57681 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57699 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57701 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57706 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57710 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57714 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57718 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57720 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57729 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57731 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   57734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57755 */     GIR_RootConstrainSelectedInstOperands,
     /*   57756 */     // GIR_Coverage, 70805,
     /*   57756 */     GIR_EraseRootFromParent_Done,
     /*   57757 */   // Label 918: @57757
     /*   57757 */   GIM_Try, /*On fail goto*//*Label 919*/ GIMT_Encode4(57853), // Rule ID 71060 //
     /*   57762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57777 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57781 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57802 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57806 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57810 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57814 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57816 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57825 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57827 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   57827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   57830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57851 */     GIR_RootConstrainSelectedInstOperands,
     /*   57852 */     // GIR_Coverage, 71060,
     /*   57852 */     GIR_EraseRootFromParent_Done,
     /*   57853 */   // Label 919: @57853
     /*   57853 */   GIM_Try, /*On fail goto*//*Label 920*/ GIMT_Encode4(57949), // Rule ID 71061 //
     /*   57858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   57861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57879 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57883 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   57887 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57891 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57898 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57902 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57906 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57910 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   57912 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   57921 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   57923 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   57923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   57926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   57928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   57930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   57934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   57938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   57941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   57944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   57947 */     GIR_RootConstrainSelectedInstOperands,
     /*   57948 */     // GIR_Coverage, 71061,
     /*   57948 */     GIR_EraseRootFromParent_Done,
     /*   57949 */   // Label 920: @57949
     /*   57949 */   GIM_Try, /*On fail goto*//*Label 921*/ GIMT_Encode4(58045), // Rule ID 71062 //
     /*   57954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   57957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   57961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   57965 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   57969 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   57973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   57975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   57979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   57983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   57987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   57989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   57994 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   57998 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58002 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58006 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58008 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58017 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58019 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58043 */     GIR_RootConstrainSelectedInstOperands,
     /*   58044 */     // GIR_Coverage, 71062,
     /*   58044 */     GIR_EraseRootFromParent_Done,
     /*   58045 */   // Label 921: @58045
     /*   58045 */   GIM_Try, /*On fail goto*//*Label 922*/ GIMT_Encode4(58141), // Rule ID 71063 //
     /*   58050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58065 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58069 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58083 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58085 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58090 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58094 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58098 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58102 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58104 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58113 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58115 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58139 */     GIR_RootConstrainSelectedInstOperands,
     /*   58140 */     // GIR_Coverage, 71063,
     /*   58140 */     GIR_EraseRootFromParent_Done,
     /*   58141 */   // Label 922: @58141
     /*   58141 */   GIM_Try, /*On fail goto*//*Label 923*/ GIMT_Encode4(58237), // Rule ID 70918 //
     /*   58146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58157 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58161 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58186 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58190 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58194 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58198 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58200 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58209 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58211 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58218 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58235 */     GIR_RootConstrainSelectedInstOperands,
     /*   58236 */     // GIR_Coverage, 70918,
     /*   58236 */     GIR_EraseRootFromParent_Done,
     /*   58237 */   // Label 923: @58237
     /*   58237 */   GIM_Try, /*On fail goto*//*Label 924*/ GIMT_Encode4(58333), // Rule ID 70919 //
     /*   58242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   58249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58257 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58282 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58286 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58290 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58294 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58296 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58305 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58307 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rd)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*   58314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58331 */     GIR_RootConstrainSelectedInstOperands,
     /*   58332 */     // GIR_Coverage, 70919,
     /*   58332 */     GIR_EraseRootFromParent_Done,
     /*   58333 */   // Label 924: @58333
     /*   58333 */   GIM_Try, /*On fail goto*//*Label 925*/ GIMT_Encode4(58429), // Rule ID 52040 //
     /*   58338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58341 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58357 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58375 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58377 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58382 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58386 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58390 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58394 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58396 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58401 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58403 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   58406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58427 */     GIR_RootConstrainSelectedInstOperands,
     /*   58428 */     // GIR_Coverage, 52040,
     /*   58428 */     GIR_EraseRootFromParent_Done,
     /*   58429 */   // Label 925: @58429
     /*   58429 */   GIM_Try, /*On fail goto*//*Label 926*/ GIMT_Encode4(58525), // Rule ID 52041 //
     /*   58434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58453 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58478 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58482 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58486 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58490 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58492 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58497 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58499 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /*   58502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58504 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58523 */     GIR_RootConstrainSelectedInstOperands,
     /*   58524 */     // GIR_Coverage, 52041,
     /*   58524 */     GIR_EraseRootFromParent_Done,
     /*   58525 */   // Label 926: @58525
     /*   58525 */   GIM_Try, /*On fail goto*//*Label 927*/ GIMT_Encode4(58621), // Rule ID 52158 //
     /*   58530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58553 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58555 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58559 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58563 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58567 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58569 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58574 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58578 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58582 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58586 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58588 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58593 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58595 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58619 */     GIR_RootConstrainSelectedInstOperands,
     /*   58620 */     // GIR_Coverage, 52158,
     /*   58620 */     GIR_EraseRootFromParent_Done,
     /*   58621 */   // Label 927: @58621
     /*   58621 */   GIM_Try, /*On fail goto*//*Label 928*/ GIMT_Encode4(58717), // Rule ID 52159 //
     /*   58626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58649 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58663 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58665 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58670 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58674 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58678 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58682 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58684 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58689 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58691 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58715 */     GIR_RootConstrainSelectedInstOperands,
     /*   58716 */     // GIR_Coverage, 52159,
     /*   58716 */     GIR_EraseRootFromParent_Done,
     /*   58717 */   // Label 928: @58717
     /*   58717 */   GIM_Try, /*On fail goto*//*Label 929*/ GIMT_Encode4(58813), // Rule ID 71058 //
     /*   58722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58741 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58745 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58759 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58766 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58770 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58774 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58778 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58780 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58785 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58787 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58811 */     GIR_RootConstrainSelectedInstOperands,
     /*   58812 */     // GIR_Coverage, 71058,
     /*   58812 */     GIR_EraseRootFromParent_Done,
     /*   58813 */   // Label 929: @58813
     /*   58813 */   GIM_Try, /*On fail goto*//*Label 930*/ GIMT_Encode4(58909), // Rule ID 71059 //
     /*   58818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   58821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58833 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58837 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58841 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58862 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58866 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   58870 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58874 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58876 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58881 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58883 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   58883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /*   58886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs1
     /*   58894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   58898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   58904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   58907 */     GIR_RootConstrainSelectedInstOperands,
     /*   58908 */     // GIR_Coverage, 71059,
     /*   58908 */     GIR_EraseRootFromParent_Done,
     /*   58909 */   // Label 930: @58909
     /*   58909 */   GIM_Try, /*On fail goto*//*Label 931*/ GIMT_Encode4(59005), // Rule ID 52098 //
     /*   58914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   58917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   58921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   58925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   58929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   58933 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   58937 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   58939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   58943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58951 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   58953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58958 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   58962 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   58966 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   58970 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   58972 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   58977 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   58979 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   58979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   58982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   58984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   58986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   58990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   58994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   58997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59003 */     GIR_RootConstrainSelectedInstOperands,
     /*   59004 */     // GIR_Coverage, 52098,
     /*   59004 */     GIR_EraseRootFromParent_Done,
     /*   59005 */   // Label 931: @59005
     /*   59005 */   GIM_Try, /*On fail goto*//*Label 932*/ GIMT_Encode4(59101), // Rule ID 52099 //
     /*   59010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59013 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   59021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59025 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59029 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59033 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*   59039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59047 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59049 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59054 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*   59058 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59062 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59066 */     GIM_CheckHasOneUse, /*MI*/3,
     /*   59068 */     GIM_CheckRegBankForClass, /*MI*/3, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59073 */     GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*   59075 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /*   59078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   59082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/3, /*OpIdx*/1, // rs2
     /*   59090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59099 */     GIR_RootConstrainSelectedInstOperands,
     /*   59100 */     // GIR_Coverage, 52099,
     /*   59100 */     GIR_EraseRootFromParent_Done,
     /*   59101 */   // Label 932: @59101
     /*   59101 */   GIM_Try, /*On fail goto*//*Label 933*/ GIMT_Encode4(59190), // Rule ID 46694 //
     /*   59106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59140 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59149 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59188 */     GIR_RootConstrainSelectedInstOperands,
     /*   59189 */     // GIR_Coverage, 46694,
     /*   59189 */     GIR_EraseRootFromParent_Done,
     /*   59190 */   // Label 933: @59190
     /*   59190 */   GIM_Try, /*On fail goto*//*Label 934*/ GIMT_Encode4(59279), // Rule ID 46695 //
     /*   59195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59229 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59238 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59277 */     GIR_RootConstrainSelectedInstOperands,
     /*   59278 */     // GIR_Coverage, 46695,
     /*   59278 */     GIR_EraseRootFromParent_Done,
     /*   59279 */   // Label 934: @59279
     /*   59279 */   GIM_Try, /*On fail goto*//*Label 935*/ GIMT_Encode4(59368), // Rule ID 46458 //
     /*   59284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59299 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59318 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59320 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59325 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59327 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   59344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59366 */     GIR_RootConstrainSelectedInstOperands,
     /*   59367 */     // GIR_Coverage, 46458,
     /*   59367 */     GIR_EraseRootFromParent_Done,
     /*   59368 */   // Label 935: @59368
     /*   59368 */   GIM_Try, /*On fail goto*//*Label 936*/ GIMT_Encode4(59457), // Rule ID 46459 //
     /*   59373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59395 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59399 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59403 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59407 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59416 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*   59433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59455 */     GIR_RootConstrainSelectedInstOperands,
     /*   59456 */     // GIR_Coverage, 46459,
     /*   59456 */     GIR_EraseRootFromParent_Done,
     /*   59457 */   // Label 936: @59457
     /*   59457 */   GIM_Try, /*On fail goto*//*Label 937*/ GIMT_Encode4(59546), // Rule ID 46574 //
     /*   59462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59477 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59484 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59488 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59492 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59496 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59498 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59503 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59505 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   59505 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59508 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59512 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59517 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59524 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59544 */     GIR_RootConstrainSelectedInstOperands,
     /*   59545 */     // GIR_Coverage, 46574,
     /*   59545 */     GIR_EraseRootFromParent_Done,
     /*   59546 */   // Label 937: @59546
     /*   59546 */   GIM_Try, /*On fail goto*//*Label 938*/ GIMT_Encode4(59635), // Rule ID 46575 //
     /*   59551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59566 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   59577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   59581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59585 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   59587 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59592 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   59594 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   59594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   59597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   59601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   59606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   59608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*   59611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   59616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   59620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   59624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59633 */     GIR_RootConstrainSelectedInstOperands,
     /*   59634 */     // GIR_Coverage, 46575,
     /*   59634 */     GIR_EraseRootFromParent_Done,
     /*   59635 */   // Label 938: @59635
     /*   59635 */   GIM_Try, /*On fail goto*//*Label 939*/ GIMT_Encode4(59703), // Rule ID 70696 //
     /*   59640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59655 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59659 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59661 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59677 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   59677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   59680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59686 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59701 */     GIR_RootConstrainSelectedInstOperands,
     /*   59702 */     // GIR_Coverage, 70696,
     /*   59702 */     GIR_EraseRootFromParent_Done,
     /*   59703 */   // Label 939: @59703
     /*   59703 */   GIM_Try, /*On fail goto*//*Label 940*/ GIMT_Encode4(59771), // Rule ID 70697 //
     /*   59708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   59719 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   59723 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   59727 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59745 */     // (add:{ *:[nxv32i16] } (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   59745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   59748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59750 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   59754 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   59766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59769 */     GIR_RootConstrainSelectedInstOperands,
     /*   59770 */     // GIR_Coverage, 70697,
     /*   59770 */     GIR_EraseRootFromParent_Done,
     /*   59771 */   // Label 940: @59771
     /*   59771 */   GIM_Try, /*On fail goto*//*Label 941*/ GIMT_Encode4(59826), // Rule ID 69612 //
     /*   59776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59787 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59791 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59793 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59804 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   59804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   59807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59824 */     GIR_RootConstrainSelectedInstOperands,
     /*   59825 */     // GIR_Coverage, 69612,
     /*   59825 */     GIR_EraseRootFromParent_Done,
     /*   59826 */   // Label 941: @59826
     /*   59826 */   GIM_Try, /*On fail goto*//*Label 942*/ GIMT_Encode4(59881), // Rule ID 69613 //
     /*   59831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   59842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59859 */     // (add:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   59862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59879 */     GIR_RootConstrainSelectedInstOperands,
     /*   59880 */     // GIR_Coverage, 69613,
     /*   59880 */     GIR_EraseRootFromParent_Done,
     /*   59881 */   // Label 942: @59881
     /*   59881 */   GIM_Try, /*On fail goto*//*Label 943*/ GIMT_Encode4(59936), // Rule ID 69432 //
     /*   59886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59901 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59903 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59914 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   59914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   59917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59934 */     GIR_RootConstrainSelectedInstOperands,
     /*   59935 */     // GIR_Coverage, 69432,
     /*   59935 */     GIR_EraseRootFromParent_Done,
     /*   59936 */   // Label 943: @59936
     /*   59936 */   GIM_Try, /*On fail goto*//*Label 944*/ GIMT_Encode4(59991), // Rule ID 69433 //
     /*   59941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   59944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   59948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   59952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   59956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   59958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   59963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   59967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   59969 */     // (add:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   59969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   59972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   59974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   59976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   59980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   59983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   59986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   59989 */     GIR_RootConstrainSelectedInstOperands,
     /*   59990 */     // GIR_Coverage, 69433,
     /*   59990 */     GIR_EraseRootFromParent_Done,
     /*   59991 */   // Label 944: @59991
     /*   59991 */   GIM_Try, /*On fail goto*//*Label 945*/ GIMT_Encode4(60046), // Rule ID 69522 //
     /*   59996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   59999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60024 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60044 */     GIR_RootConstrainSelectedInstOperands,
     /*   60045 */     // GIR_Coverage, 69522,
     /*   60045 */     GIR_EraseRootFromParent_Done,
     /*   60046 */   // Label 945: @60046
     /*   60046 */   GIM_Try, /*On fail goto*//*Label 946*/ GIMT_Encode4(60101), // Rule ID 69523 //
     /*   60051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60066 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60079 */     // (add:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60099 */     GIR_RootConstrainSelectedInstOperands,
     /*   60100 */     // GIR_Coverage, 69523,
     /*   60100 */     GIR_EraseRootFromParent_Done,
     /*   60101 */   // Label 946: @60101
     /*   60101 */   GIM_Try, /*On fail goto*//*Label 947*/ GIMT_Encode4(60169), // Rule ID 51916 //
     /*   60106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60121 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   60125 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   60129 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60131 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60143 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   60143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60152 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60167 */     GIR_RootConstrainSelectedInstOperands,
     /*   60168 */     // GIR_Coverage, 51916,
     /*   60168 */     GIR_EraseRootFromParent_Done,
     /*   60169 */   // Label 947: @60169
     /*   60169 */   GIM_Try, /*On fail goto*//*Label 948*/ GIMT_Encode4(60237), // Rule ID 51917 //
     /*   60174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60189 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   60193 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   60197 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60204 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60211 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   60211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60235 */     GIR_RootConstrainSelectedInstOperands,
     /*   60236 */     // GIR_Coverage, 51917,
     /*   60236 */     GIR_EraseRootFromParent_Done,
     /*   60237 */   // Label 948: @60237
     /*   60237 */   GIM_Try, /*On fail goto*//*Label 949*/ GIMT_Encode4(60292), // Rule ID 46754 //
     /*   60242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60261 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60270 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60290 */     GIR_RootConstrainSelectedInstOperands,
     /*   60291 */     // GIR_Coverage, 46754,
     /*   60291 */     GIR_EraseRootFromParent_Done,
     /*   60292 */   // Label 949: @60292
     /*   60292 */   GIM_Try, /*On fail goto*//*Label 950*/ GIMT_Encode4(60347), // Rule ID 46755 //
     /*   60297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   60312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60316 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60318 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60325 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60345 */     GIR_RootConstrainSelectedInstOperands,
     /*   60346 */     // GIR_Coverage, 46755,
     /*   60346 */     GIR_EraseRootFromParent_Done,
     /*   60347 */   // Label 950: @60347
     /*   60347 */   GIM_Try, /*On fail goto*//*Label 951*/ GIMT_Encode4(60402), // Rule ID 46514 //
     /*   60352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60367 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60371 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60373 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60378 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60380 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60400 */     GIR_RootConstrainSelectedInstOperands,
     /*   60401 */     // GIR_Coverage, 46514,
     /*   60401 */     GIR_EraseRootFromParent_Done,
     /*   60402 */   // Label 951: @60402
     /*   60402 */   GIM_Try, /*On fail goto*//*Label 952*/ GIMT_Encode4(60457), // Rule ID 46515 //
     /*   60407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60410 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60414 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60418 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   60422 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60426 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60435 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*   60438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60455 */     GIR_RootConstrainSelectedInstOperands,
     /*   60456 */     // GIR_Coverage, 46515,
     /*   60456 */     GIR_EraseRootFromParent_Done,
     /*   60457 */   // Label 952: @60457
     /*   60457 */   GIM_Try, /*On fail goto*//*Label 953*/ GIMT_Encode4(60512), // Rule ID 46634 //
     /*   60462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60477 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60481 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60490 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60495 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60510 */     GIR_RootConstrainSelectedInstOperands,
     /*   60511 */     // GIR_Coverage, 46634,
     /*   60511 */     GIR_EraseRootFromParent_Done,
     /*   60512 */   // Label 953: @60512
     /*   60512 */   GIM_Try, /*On fail goto*//*Label 954*/ GIMT_Encode4(60567), // Rule ID 46635 //
     /*   60517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   60532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   60536 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60538 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   60543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60545 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*   60548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60565 */     GIR_RootConstrainSelectedInstOperands,
     /*   60566 */     // GIR_Coverage, 46635,
     /*   60566 */     GIR_EraseRootFromParent_Done,
     /*   60567 */   // Label 954: @60567
     /*   60567 */   GIM_Try, /*On fail goto*//*Label 955*/ GIMT_Encode4(60620), // Rule ID 46148 //
     /*   60572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60583 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   60583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   60586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60618 */     GIR_RootConstrainSelectedInstOperands,
     /*   60619 */     // GIR_Coverage, 46148,
     /*   60619 */     GIR_EraseRootFromParent_Done,
     /*   60620 */   // Label 955: @60620
     /*   60620 */   GIM_Try, /*On fail goto*//*Label 956*/ GIMT_Encode4(60673), // Rule ID 46149 //
     /*   60625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60636 */     // (add:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   60636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   60639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   60658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   60660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   60668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60671 */     GIR_RootConstrainSelectedInstOperands,
     /*   60672 */     // GIR_Coverage, 46149,
     /*   60672 */     GIR_EraseRootFromParent_Done,
     /*   60673 */   // Label 956: @60673
     /*   60673 */   GIM_Reject,
     /*   60674 */ // Label 916: @60674
     /*   60674 */ GIM_Reject,
     /*   60675 */ // Label 149: @60675
     /*   60675 */ GIM_Try, /*On fail goto*//*Label 957*/ GIMT_Encode4(61069),
     /*   60680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60690 */   GIM_Try, /*On fail goto*//*Label 958*/ GIMT_Encode4(60758), // Rule ID 70672 //
     /*   60695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60706 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60710 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60714 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60716 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60721 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60732 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60756 */     GIR_RootConstrainSelectedInstOperands,
     /*   60757 */     // GIR_Coverage, 70672,
     /*   60757 */     GIR_EraseRootFromParent_Done,
     /*   60758 */   // Label 958: @60758
     /*   60758 */   GIM_Try, /*On fail goto*//*Label 959*/ GIMT_Encode4(60826), // Rule ID 70673 //
     /*   60763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   60770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60778 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60782 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60784 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60800 */     // (add:{ *:[nxv64i8] } (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   60815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60824 */     GIR_RootConstrainSelectedInstOperands,
     /*   60825 */     // GIR_Coverage, 70673,
     /*   60825 */     GIR_EraseRootFromParent_Done,
     /*   60826 */   // Label 959: @60826
     /*   60826 */   GIM_Try, /*On fail goto*//*Label 960*/ GIMT_Encode4(60894), // Rule ID 51904 //
     /*   60831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60850 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60868 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   60868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60892 */     GIR_RootConstrainSelectedInstOperands,
     /*   60893 */     // GIR_Coverage, 51904,
     /*   60893 */     GIR_EraseRootFromParent_Done,
     /*   60894 */   // Label 960: @60894
     /*   60894 */   GIM_Try, /*On fail goto*//*Label 961*/ GIMT_Encode4(60962), // Rule ID 51905 //
     /*   60899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   60902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   60910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   60914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   60918 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   60922 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   60924 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   60936 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   60936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /*   60939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   60945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   60949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   60951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   60954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   60957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   60960 */     GIR_RootConstrainSelectedInstOperands,
     /*   60961 */     // GIR_Coverage, 51905,
     /*   60961 */     GIR_EraseRootFromParent_Done,
     /*   60962 */   // Label 961: @60962
     /*   60962 */   GIM_Try, /*On fail goto*//*Label 962*/ GIMT_Encode4(61015), // Rule ID 46136 //
     /*   60967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   60970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   60978 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   60978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   60981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   60985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   60990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   60992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   60995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   60997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61013 */     GIR_RootConstrainSelectedInstOperands,
     /*   61014 */     // GIR_Coverage, 46136,
     /*   61014 */     GIR_EraseRootFromParent_Done,
     /*   61015 */   // Label 962: @61015
     /*   61015 */   GIM_Try, /*On fail goto*//*Label 963*/ GIMT_Encode4(61068), // Rule ID 46137 //
     /*   61020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   61031 */     // (add:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   61034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*   61048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61066 */     GIR_RootConstrainSelectedInstOperands,
     /*   61067 */     // GIR_Coverage, 46137,
     /*   61067 */     GIR_EraseRootFromParent_Done,
     /*   61068 */   // Label 963: @61068
     /*   61068 */   GIM_Reject,
     /*   61069 */ // Label 957: @61069
     /*   61069 */ GIM_Reject,
     /*   61070 */ // Label 150: @61070
     /*   61070 */ GIM_Reject,
     /*   61071 */ // Label 1: @61071
     /*   61071 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 988*/ GIMT_Encode4(80303),
     /*   61082 */ /*GILLT_s32*//*Label 964*/ GIMT_Encode4(61206),
     /*   61086 */ /*GILLT_s64*//*Label 965*/ GIMT_Encode4(61453), GIMT_Encode4(0),
     /*   61094 */ /*GILLT_nxv1s8*//*Label 966*/ GIMT_Encode4(61729),
     /*   61098 */ /*GILLT_nxv1s16*//*Label 967*/ GIMT_Encode4(61976),
     /*   61102 */ /*GILLT_nxv1s32*//*Label 968*/ GIMT_Encode4(63099),
     /*   61106 */ /*GILLT_nxv1s64*//*Label 969*/ GIMT_Encode4(64222), GIMT_Encode4(0),
     /*   61114 */ /*GILLT_nxv2s8*//*Label 970*/ GIMT_Encode4(65345),
     /*   61118 */ /*GILLT_nxv2s16*//*Label 971*/ GIMT_Encode4(65592),
     /*   61122 */ /*GILLT_nxv2s32*//*Label 972*/ GIMT_Encode4(66715),
     /*   61126 */ /*GILLT_nxv2s64*//*Label 973*/ GIMT_Encode4(67838), GIMT_Encode4(0),
     /*   61134 */ /*GILLT_nxv4s8*//*Label 974*/ GIMT_Encode4(68961),
     /*   61138 */ /*GILLT_nxv4s16*//*Label 975*/ GIMT_Encode4(69208),
     /*   61142 */ /*GILLT_nxv4s32*//*Label 976*/ GIMT_Encode4(70331),
     /*   61146 */ /*GILLT_nxv4s64*//*Label 977*/ GIMT_Encode4(71454), GIMT_Encode4(0),
     /*   61154 */ /*GILLT_nxv8s8*//*Label 978*/ GIMT_Encode4(72577),
     /*   61158 */ /*GILLT_nxv8s16*//*Label 979*/ GIMT_Encode4(72824),
     /*   61162 */ /*GILLT_nxv8s32*//*Label 980*/ GIMT_Encode4(73947),
     /*   61166 */ /*GILLT_nxv8s64*//*Label 981*/ GIMT_Encode4(75070), GIMT_Encode4(0),
     /*   61174 */ /*GILLT_nxv16s8*//*Label 982*/ GIMT_Encode4(76193),
     /*   61178 */ /*GILLT_nxv16s16*//*Label 983*/ GIMT_Encode4(76440),
     /*   61182 */ /*GILLT_nxv16s32*//*Label 984*/ GIMT_Encode4(77563), GIMT_Encode4(0),
     /*   61190 */ /*GILLT_nxv32s8*//*Label 985*/ GIMT_Encode4(78686),
     /*   61194 */ /*GILLT_nxv32s16*//*Label 986*/ GIMT_Encode4(78933), GIMT_Encode4(0),
     /*   61202 */ /*GILLT_nxv64s8*//*Label 987*/ GIMT_Encode4(80056),
     /*   61206 */ // Label 964: @61206
     /*   61206 */ GIM_Try, /*On fail goto*//*Label 989*/ GIMT_Encode4(61452),
     /*   61211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   61214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   61217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61221 */   GIM_Try, /*On fail goto*//*Label 990*/ GIMT_Encode4(61296), // Rule ID 104 //
     /*   61226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*   61229 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61241 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61245 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61256 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61260 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61262 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i64] }), 31:{ *:[i64] })
     /*   61262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   61265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61274 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61278 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   61281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   61294 */     GIR_RootConstrainSelectedInstOperands,
     /*   61295 */     // GIR_Coverage, 104,
     /*   61295 */     GIR_EraseRootFromParent_Done,
     /*   61296 */   // Label 990: @61296
     /*   61296 */   GIM_Try, /*On fail goto*//*Label 991*/ GIMT_Encode4(61371), // Rule ID 105 //
     /*   61301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*   61304 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61320 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61331 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61337 */     // (sub:{ *:[i32] } 0:{ *:[i32] }, (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 1:{ *:[i32] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, 31:{ *:[i32] }), 31:{ *:[i32] })
     /*   61337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*   61340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61349 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61353 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/31,
     /*   61356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/31,
     /*   61369 */     GIR_RootConstrainSelectedInstOperands,
     /*   61370 */     // GIR_Coverage, 105,
     /*   61370 */     GIR_EraseRootFromParent_Done,
     /*   61371 */   // Label 991: @61371
     /*   61371 */   GIM_Try, /*On fail goto*//*Label 992*/ GIMT_Encode4(61428), // Rule ID 62595 //
     /*   61376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode1),
     /*   61379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*   61395 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*   61399 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61411 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rd, (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))  =>  (TH_MULS:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   61411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   61414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61426 */     GIR_RootConstrainSelectedInstOperands,
     /*   61427 */     // GIR_Coverage, 62595,
     /*   61427 */     GIR_EraseRootFromParent_Done,
     /*   61428 */   // Label 992: @61428
     /*   61428 */   GIM_Try, /*On fail goto*//*Label 993*/ GIMT_Encode4(61451), // Rule ID 83 //
     /*   61433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*   61436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61444 */     // (sub:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   61444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   61449 */     GIR_RootConstrainSelectedInstOperands,
     /*   61450 */     // GIR_Coverage, 83,
     /*   61450 */     GIR_Done,
     /*   61451 */   // Label 993: @61451
     /*   61451 */   GIM_Reject,
     /*   61452 */ // Label 989: @61452
     /*   61452 */ GIM_Reject,
     /*   61453 */ // Label 965: @61453
     /*   61453 */ GIM_Try, /*On fail goto*//*Label 994*/ GIMT_Encode4(61728),
     /*   61458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   61461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   61464 */   GIM_Try, /*On fail goto*//*Label 995*/ GIMT_Encode4(61543), // Rule ID 106 //
     /*   61469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   61472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61476 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 0,
     /*   61480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   61488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61492 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61503 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 1,
     /*   61507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61509 */     // (sub:{ *:[i64] } 0:{ *:[i64] }, (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 1:{ *:[i64] })<<P:Predicate_and_oneuse>>)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, 63:{ *:[i64] }), 63:{ *:[i64] })
     /*   61509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   61512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   61516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61521 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs
     /*   61525 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/63,
     /*   61528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /*   61533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/63,
     /*   61541 */     GIR_RootConstrainSelectedInstOperands,
     /*   61542 */     // GIR_Coverage, 106,
     /*   61542 */     GIR_EraseRootFromParent_Done,
     /*   61543 */   // Label 995: @61543
     /*   61543 */   GIM_Try, /*On fail goto*//*Label 996*/ GIMT_Encode4(61608), // Rule ID 62597 //
     /*   61548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_IsRV64_HwMode0),
     /*   61551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61571 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61585 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10029),
     /*   61589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61591 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))<<P:Predicate_anonymous_10029>>  =>  (TH_MULSW:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULSW),
     /*   61594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61606 */     GIR_RootConstrainSelectedInstOperands,
     /*   61607 */     // GIR_Coverage, 62597,
     /*   61607 */     GIR_EraseRootFromParent_Done,
     /*   61608 */   // Label 996: @61608
     /*   61608 */   GIM_Try, /*On fail goto*//*Label 997*/ GIMT_Encode4(61669), // Rule ID 62594 //
     /*   61613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadMac_HwMode0),
     /*   61616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61632 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   61636 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   61640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61652 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rd, (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))  =>  (TH_MULS:{ *:[i64] } GPR:{ *:[i64] }:$rd, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MULS),
     /*   61655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*   61657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /*   61659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*   61667 */     GIR_RootConstrainSelectedInstOperands,
     /*   61668 */     // GIR_Coverage, 62594,
     /*   61668 */     GIR_EraseRootFromParent_Done,
     /*   61669 */   // Label 997: @61669
     /*   61669 */   GIM_Try, /*On fail goto*//*Label 998*/ GIMT_Encode4(61700), // Rule ID 273 //
     /*   61674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*   61677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61689 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10029),
     /*   61693 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10029>>  =>  (SUBW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61693 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUBW),
     /*   61698 */     GIR_RootConstrainSelectedInstOperands,
     /*   61699 */     // GIR_Coverage, 273,
     /*   61699 */     GIR_Done,
     /*   61700 */   // Label 998: @61700
     /*   61700 */   GIM_Try, /*On fail goto*//*Label 999*/ GIMT_Encode4(61727), // Rule ID 82 //
     /*   61705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*   61708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61712 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   61720 */     // (sub:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (SUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   61720 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SUB),
     /*   61725 */     GIR_RootConstrainSelectedInstOperands,
     /*   61726 */     // GIR_Coverage, 82,
     /*   61726 */     GIR_Done,
     /*   61727 */   // Label 999: @61727
     /*   61727 */   GIM_Reject,
     /*   61728 */ // Label 994: @61728
     /*   61728 */ GIM_Reject,
     /*   61729 */ // Label 966: @61729
     /*   61729 */ GIM_Try, /*On fail goto*//*Label 1000*/ GIMT_Encode4(61975),
     /*   61734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61748 */   GIM_Try, /*On fail goto*//*Label 1001*/ GIMT_Encode4(61812), // Rule ID 51944 //
     /*   61753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61764 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61768 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61772 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61786 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   61786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   61789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61810 */     GIR_RootConstrainSelectedInstOperands,
     /*   61811 */     // GIR_Coverage, 51944,
     /*   61811 */     GIR_EraseRootFromParent_Done,
     /*   61812 */   // Label 1001: @61812
     /*   61812 */   GIM_Try, /*On fail goto*//*Label 1002*/ GIMT_Encode4(61876), // Rule ID 51945 //
     /*   61817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   61824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   61828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   61832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   61836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   61838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61843 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   61850 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs2, (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   61850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /*   61853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   61859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   61863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   61865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   61874 */     GIR_RootConstrainSelectedInstOperands,
     /*   61875 */     // GIR_Coverage, 51945,
     /*   61875 */     GIR_EraseRootFromParent_Done,
     /*   61876 */   // Label 1002: @61876
     /*   61876 */   GIM_Try, /*On fail goto*//*Label 1003*/ GIMT_Encode4(61925), // Rule ID 46218 //
     /*   61881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61888 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   61888 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   61891 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61895 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61900 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   61905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61923 */     GIR_RootConstrainSelectedInstOperands,
     /*   61924 */     // GIR_Coverage, 46218,
     /*   61924 */     GIR_EraseRootFromParent_Done,
     /*   61925 */   // Label 1003: @61925
     /*   61925 */   GIM_Try, /*On fail goto*//*Label 1004*/ GIMT_Encode4(61974), // Rule ID 46219 //
     /*   61930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   61933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61937 */     // (sub:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   61937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   61940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   61944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   61949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   61951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*   61954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   61956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   61959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   61961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   61963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   61966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   61972 */     GIR_RootConstrainSelectedInstOperands,
     /*   61973 */     // GIR_Coverage, 46219,
     /*   61973 */     GIR_EraseRootFromParent_Done,
     /*   61974 */   // Label 1004: @61974
     /*   61974 */   GIM_Reject,
     /*   61975 */ // Label 1000: @61975
     /*   61975 */ GIM_Reject,
     /*   61976 */ // Label 967: @61976
     /*   61976 */ GIM_Try, /*On fail goto*//*Label 1005*/ GIMT_Encode4(63098),
     /*   61981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   61984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   61987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   61991 */   GIM_Try, /*On fail goto*//*Label 1006*/ GIMT_Encode4(62080), // Rule ID 47214 //
     /*   61996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   61999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62011 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62013 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62030 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62039 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62065 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62078 */     GIR_RootConstrainSelectedInstOperands,
     /*   62079 */     // GIR_Coverage, 47214,
     /*   62079 */     GIR_EraseRootFromParent_Done,
     /*   62080 */   // Label 1006: @62080
     /*   62080 */   GIM_Try, /*On fail goto*//*Label 1007*/ GIMT_Encode4(62169), // Rule ID 47215 //
     /*   62085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62096 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62100 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62107 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62111 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62115 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62119 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62121 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62126 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62128 */     // (sub:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62128 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62131 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62135 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62140 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62147 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62167 */     GIR_RootConstrainSelectedInstOperands,
     /*   62168 */     // GIR_Coverage, 47215,
     /*   62168 */     GIR_EraseRootFromParent_Done,
     /*   62169 */   // Label 1007: @62169
     /*   62169 */   GIM_Try, /*On fail goto*//*Label 1008*/ GIMT_Encode4(62258), // Rule ID 46974 //
     /*   62174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62185 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62189 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62196 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62200 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62204 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62208 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62210 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62215 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62217 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   62234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62256 */     GIR_RootConstrainSelectedInstOperands,
     /*   62257 */     // GIR_Coverage, 46974,
     /*   62257 */     GIR_EraseRootFromParent_Done,
     /*   62258 */   // Label 1008: @62258
     /*   62258 */   GIM_Try, /*On fail goto*//*Label 1009*/ GIMT_Encode4(62347), // Rule ID 46975 //
     /*   62263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62278 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62297 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62306 */     // (sub:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*   62323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62332 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62345 */     GIR_RootConstrainSelectedInstOperands,
     /*   62346 */     // GIR_Coverage, 46975,
     /*   62346 */     GIR_EraseRootFromParent_Done,
     /*   62347 */   // Label 1009: @62347
     /*   62347 */   GIM_Try, /*On fail goto*//*Label 1010*/ GIMT_Encode4(62436), // Rule ID 47094 //
     /*   62352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62367 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62374 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62378 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62382 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62386 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62388 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62393 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62395 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   62395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62434 */     GIR_RootConstrainSelectedInstOperands,
     /*   62435 */     // GIR_Coverage, 47094,
     /*   62435 */     GIR_EraseRootFromParent_Done,
     /*   62436 */   // Label 1010: @62436
     /*   62436 */   GIM_Try, /*On fail goto*//*Label 1011*/ GIMT_Encode4(62525), // Rule ID 47095 //
     /*   62441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   62448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62456 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62463 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   62467 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62471 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62475 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   62477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   62484 */     // (sub:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   62484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   62487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   62491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   62496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   62498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*   62501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   62506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   62510 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   62514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62523 */     GIR_RootConstrainSelectedInstOperands,
     /*   62524 */     // GIR_Coverage, 47095,
     /*   62524 */     GIR_EraseRootFromParent_Done,
     /*   62525 */   // Label 1011: @62525
     /*   62525 */   GIM_Try, /*On fail goto*//*Label 1012*/ GIMT_Encode4(62593), // Rule ID 51956 //
     /*   62530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62533 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62545 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62549 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62553 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62567 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   62567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   62570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62572 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62591 */     GIR_RootConstrainSelectedInstOperands,
     /*   62592 */     // GIR_Coverage, 51956,
     /*   62592 */     GIR_EraseRootFromParent_Done,
     /*   62593 */   // Label 1012: @62593
     /*   62593 */   GIM_Try, /*On fail goto*//*Label 1013*/ GIMT_Encode4(62661), // Rule ID 51957 //
     /*   62598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   62613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   62617 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   62621 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62635 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   62635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   62638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62640 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   62644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   62656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62659 */     GIR_RootConstrainSelectedInstOperands,
     /*   62660 */     // GIR_Coverage, 51957,
     /*   62660 */     GIR_EraseRootFromParent_Done,
     /*   62661 */   // Label 1013: @62661
     /*   62661 */   GIM_Try, /*On fail goto*//*Label 1014*/ GIMT_Encode4(62716), // Rule ID 47274 //
     /*   62666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62669 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62685 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62692 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62694 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62714 */     GIR_RootConstrainSelectedInstOperands,
     /*   62715 */     // GIR_Coverage, 47274,
     /*   62715 */     GIR_EraseRootFromParent_Done,
     /*   62716 */   // Label 1014: @62716
     /*   62716 */   GIM_Try, /*On fail goto*//*Label 1015*/ GIMT_Encode4(62771), // Rule ID 47275 //
     /*   62721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   62736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62740 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62749 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62769 */     GIR_RootConstrainSelectedInstOperands,
     /*   62770 */     // GIR_Coverage, 47275,
     /*   62770 */     GIR_EraseRootFromParent_Done,
     /*   62771 */   // Label 1015: @62771
     /*   62771 */   GIM_Try, /*On fail goto*//*Label 1016*/ GIMT_Encode4(62826), // Rule ID 47034 //
     /*   62776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62795 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62804 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   62807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62824 */     GIR_RootConstrainSelectedInstOperands,
     /*   62825 */     // GIR_Coverage, 47034,
     /*   62825 */     GIR_EraseRootFromParent_Done,
     /*   62826 */   // Label 1016: @62826
     /*   62826 */   GIM_Try, /*On fail goto*//*Label 1017*/ GIMT_Encode4(62881), // Rule ID 47035 //
     /*   62831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   62846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62850 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62852 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62859 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*   62862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62879 */     GIR_RootConstrainSelectedInstOperands,
     /*   62880 */     // GIR_Coverage, 47035,
     /*   62880 */     GIR_EraseRootFromParent_Done,
     /*   62881 */   // Label 1017: @62881
     /*   62881 */   GIM_Try, /*On fail goto*//*Label 1018*/ GIMT_Encode4(62936), // Rule ID 47154 //
     /*   62886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62901 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62905 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62914 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   62914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62934 */     GIR_RootConstrainSelectedInstOperands,
     /*   62935 */     // GIR_Coverage, 47154,
     /*   62935 */     GIR_EraseRootFromParent_Done,
     /*   62936 */   // Label 1018: @62936
     /*   62936 */   GIM_Try, /*On fail goto*//*Label 1019*/ GIMT_Encode4(62991), // Rule ID 47155 //
     /*   62941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   62944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   62952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   62956 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   62960 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   62962 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   62967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   62969 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   62969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*   62972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   62974 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   62976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   62980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   62983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   62986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   62989 */     GIR_RootConstrainSelectedInstOperands,
     /*   62990 */     // GIR_Coverage, 47155,
     /*   62990 */     GIR_EraseRootFromParent_Done,
     /*   62991 */   // Label 1019: @62991
     /*   62991 */   GIM_Try, /*On fail goto*//*Label 1020*/ GIMT_Encode4(63044), // Rule ID 46230 //
     /*   62996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   62999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63007 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   63010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   63024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63042 */     GIR_RootConstrainSelectedInstOperands,
     /*   63043 */     // GIR_Coverage, 46230,
     /*   63043 */     GIR_EraseRootFromParent_Done,
     /*   63044 */   // Label 1020: @63044
     /*   63044 */   GIM_Try, /*On fail goto*//*Label 1021*/ GIMT_Encode4(63097), // Rule ID 46231 //
     /*   63049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63060 */     // (sub:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   63063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   63077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   63084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   63086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63095 */     GIR_RootConstrainSelectedInstOperands,
     /*   63096 */     // GIR_Coverage, 46231,
     /*   63096 */     GIR_EraseRootFromParent_Done,
     /*   63097 */   // Label 1021: @63097
     /*   63097 */   GIM_Reject,
     /*   63098 */ // Label 1005: @63098
     /*   63098 */ GIM_Reject,
     /*   63099 */ // Label 968: @63099
     /*   63099 */ GIM_Try, /*On fail goto*//*Label 1022*/ GIMT_Encode4(64221),
     /*   63104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63107 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63114 */   GIM_Try, /*On fail goto*//*Label 1023*/ GIMT_Encode4(63203), // Rule ID 47238 //
     /*   63119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63162 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63201 */     GIR_RootConstrainSelectedInstOperands,
     /*   63202 */     // GIR_Coverage, 47238,
     /*   63202 */     GIR_EraseRootFromParent_Done,
     /*   63203 */   // Label 1023: @63203
     /*   63203 */   GIM_Try, /*On fail goto*//*Label 1024*/ GIMT_Encode4(63292), // Rule ID 47239 //
     /*   63208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63251 */     // (sub:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63290 */     GIR_RootConstrainSelectedInstOperands,
     /*   63291 */     // GIR_Coverage, 47239,
     /*   63291 */     GIR_EraseRootFromParent_Done,
     /*   63292 */   // Label 1024: @63292
     /*   63292 */   GIM_Try, /*On fail goto*//*Label 1025*/ GIMT_Encode4(63381), // Rule ID 46998 //
     /*   63297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63340 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   63357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63379 */     GIR_RootConstrainSelectedInstOperands,
     /*   63380 */     // GIR_Coverage, 46998,
     /*   63380 */     GIR_EraseRootFromParent_Done,
     /*   63381 */   // Label 1025: @63381
     /*   63381 */   GIM_Try, /*On fail goto*//*Label 1026*/ GIMT_Encode4(63470), // Rule ID 46999 //
     /*   63386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63429 */     // (sub:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   63446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63468 */     GIR_RootConstrainSelectedInstOperands,
     /*   63469 */     // GIR_Coverage, 46999,
     /*   63469 */     GIR_EraseRootFromParent_Done,
     /*   63470 */   // Label 1026: @63470
     /*   63470 */   GIM_Try, /*On fail goto*//*Label 1027*/ GIMT_Encode4(63559), // Rule ID 47118 //
     /*   63475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63509 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63518 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   63518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63557 */     GIR_RootConstrainSelectedInstOperands,
     /*   63558 */     // GIR_Coverage, 47118,
     /*   63558 */     GIR_EraseRootFromParent_Done,
     /*   63559 */   // Label 1027: @63559
     /*   63559 */   GIM_Try, /*On fail goto*//*Label 1028*/ GIMT_Encode4(63648), // Rule ID 47119 //
     /*   63564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   63571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63579 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   63590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   63594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63598 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   63600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   63607 */     // (sub:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   63607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   63610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   63614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   63619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   63621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   63624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   63629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   63633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   63637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   63646 */     GIR_RootConstrainSelectedInstOperands,
     /*   63647 */     // GIR_Coverage, 47119,
     /*   63647 */     GIR_EraseRootFromParent_Done,
     /*   63648 */   // Label 1028: @63648
     /*   63648 */   GIM_Try, /*On fail goto*//*Label 1029*/ GIMT_Encode4(63716), // Rule ID 51964 //
     /*   63653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63656 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63668 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63672 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63690 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   63690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   63693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63714 */     GIR_RootConstrainSelectedInstOperands,
     /*   63715 */     // GIR_Coverage, 51964,
     /*   63715 */     GIR_EraseRootFromParent_Done,
     /*   63716 */   // Label 1029: @63716
     /*   63716 */   GIM_Try, /*On fail goto*//*Label 1030*/ GIMT_Encode4(63784), // Rule ID 51965 //
     /*   63721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   63736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   63740 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   63744 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63758 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   63758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   63761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   63767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   63779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63782 */     GIR_RootConstrainSelectedInstOperands,
     /*   63783 */     // GIR_Coverage, 51965,
     /*   63783 */     GIR_EraseRootFromParent_Done,
     /*   63784 */   // Label 1030: @63784
     /*   63784 */   GIM_Try, /*On fail goto*//*Label 1031*/ GIMT_Encode4(63839), // Rule ID 47298 //
     /*   63789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63817 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   63820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63837 */     GIR_RootConstrainSelectedInstOperands,
     /*   63838 */     // GIR_Coverage, 47298,
     /*   63838 */     GIR_EraseRootFromParent_Done,
     /*   63839 */   // Label 1031: @63839
     /*   63839 */   GIM_Try, /*On fail goto*//*Label 1032*/ GIMT_Encode4(63894), // Rule ID 47299 //
     /*   63844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   63859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63863 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63865 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63872 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   63875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63892 */     GIR_RootConstrainSelectedInstOperands,
     /*   63893 */     // GIR_Coverage, 47299,
     /*   63893 */     GIR_EraseRootFromParent_Done,
     /*   63894 */   // Label 1032: @63894
     /*   63894 */   GIM_Try, /*On fail goto*//*Label 1033*/ GIMT_Encode4(63949), // Rule ID 47058 //
     /*   63899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   63902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63918 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63927 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   63927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   63930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   63947 */     GIR_RootConstrainSelectedInstOperands,
     /*   63948 */     // GIR_Coverage, 47058,
     /*   63948 */     GIR_EraseRootFromParent_Done,
     /*   63949 */   // Label 1033: @63949
     /*   63949 */   GIM_Try, /*On fail goto*//*Label 1034*/ GIMT_Encode4(64004), // Rule ID 47059 //
     /*   63954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   63957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   63965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   63969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   63973 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   63975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   63980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   63982 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   63982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   63985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   63987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   63989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   63993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   63996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   63999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64002 */     GIR_RootConstrainSelectedInstOperands,
     /*   64003 */     // GIR_Coverage, 47059,
     /*   64003 */     GIR_EraseRootFromParent_Done,
     /*   64004 */   // Label 1034: @64004
     /*   64004 */   GIM_Try, /*On fail goto*//*Label 1035*/ GIMT_Encode4(64059), // Rule ID 47178 //
     /*   64009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64024 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64028 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64030 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64037 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   64037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64044 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64057 */     GIR_RootConstrainSelectedInstOperands,
     /*   64058 */     // GIR_Coverage, 47178,
     /*   64058 */     GIR_EraseRootFromParent_Done,
     /*   64059 */   // Label 1035: @64059
     /*   64059 */   GIM_Try, /*On fail goto*//*Label 1036*/ GIMT_Encode4(64114), // Rule ID 47179 //
     /*   64064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   64083 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64092 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   64092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   64095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   64109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64112 */     GIR_RootConstrainSelectedInstOperands,
     /*   64113 */     // GIR_Coverage, 47179,
     /*   64113 */     GIR_EraseRootFromParent_Done,
     /*   64114 */   // Label 1036: @64114
     /*   64114 */   GIM_Try, /*On fail goto*//*Label 1037*/ GIMT_Encode4(64167), // Rule ID 46238 //
     /*   64119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   64122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64130 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64130 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   64133 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64137 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64142 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64149 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64152 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64165 */     GIR_RootConstrainSelectedInstOperands,
     /*   64166 */     // GIR_Coverage, 46238,
     /*   64166 */     GIR_EraseRootFromParent_Done,
     /*   64167 */   // Label 1037: @64167
     /*   64167 */   GIM_Try, /*On fail goto*//*Label 1038*/ GIMT_Encode4(64220), // Rule ID 46239 //
     /*   64172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   64175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64183 */     // (sub:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   64186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   64200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   64207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   64209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64218 */     GIR_RootConstrainSelectedInstOperands,
     /*   64219 */     // GIR_Coverage, 46239,
     /*   64219 */     GIR_EraseRootFromParent_Done,
     /*   64220 */   // Label 1038: @64220
     /*   64220 */   GIM_Reject,
     /*   64221 */ // Label 1022: @64221
     /*   64221 */ GIM_Reject,
     /*   64222 */ // Label 969: @64222
     /*   64222 */ GIM_Try, /*On fail goto*//*Label 1039*/ GIMT_Encode4(65344),
     /*   64227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64237 */   GIM_Try, /*On fail goto*//*Label 1040*/ GIMT_Encode4(64326), // Rule ID 47258 //
     /*   64242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64253 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64257 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64259 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64264 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64268 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64272 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64276 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64278 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64283 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64285 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64324 */     GIR_RootConstrainSelectedInstOperands,
     /*   64325 */     // GIR_Coverage, 47258,
     /*   64325 */     GIR_EraseRootFromParent_Done,
     /*   64326 */   // Label 1040: @64326
     /*   64326 */   GIM_Try, /*On fail goto*//*Label 1041*/ GIMT_Encode4(64415), // Rule ID 47259 //
     /*   64331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64346 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64348 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64353 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64357 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64361 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64365 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64367 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64374 */     // (sub:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64413 */     GIR_RootConstrainSelectedInstOperands,
     /*   64414 */     // GIR_Coverage, 47259,
     /*   64414 */     GIR_EraseRootFromParent_Done,
     /*   64415 */   // Label 1041: @64415
     /*   64415 */   GIM_Try, /*On fail goto*//*Label 1042*/ GIMT_Encode4(64504), // Rule ID 47018 //
     /*   64420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64431 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64435 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64437 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64442 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64446 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64450 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64454 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64463 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   64480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64502 */     GIR_RootConstrainSelectedInstOperands,
     /*   64503 */     // GIR_Coverage, 47018,
     /*   64503 */     GIR_EraseRootFromParent_Done,
     /*   64504 */   // Label 1042: @64504
     /*   64504 */   GIM_Try, /*On fail goto*//*Label 1043*/ GIMT_Encode4(64593), // Rule ID 47019 //
     /*   64509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64524 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64531 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64535 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   64539 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64543 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64545 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64550 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64552 */     // (sub:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   64569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64578 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64591 */     GIR_RootConstrainSelectedInstOperands,
     /*   64592 */     // GIR_Coverage, 47019,
     /*   64592 */     GIR_EraseRootFromParent_Done,
     /*   64593 */   // Label 1043: @64593
     /*   64593 */   GIM_Try, /*On fail goto*//*Label 1044*/ GIMT_Encode4(64682), // Rule ID 47138 //
     /*   64598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64613 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64632 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64634 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64639 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64641 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   64641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64680 */     GIR_RootConstrainSelectedInstOperands,
     /*   64681 */     // GIR_Coverage, 47138,
     /*   64681 */     GIR_EraseRootFromParent_Done,
     /*   64682 */   // Label 1044: @64682
     /*   64682 */   GIM_Try, /*On fail goto*//*Label 1045*/ GIMT_Encode4(64771), // Rule ID 47139 //
     /*   64687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   64694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64702 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   64713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   64717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64721 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   64723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   64730 */     // (sub:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   64730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   64733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   64737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   64742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   64744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   64747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   64752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   64756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   64760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   64769 */     GIR_RootConstrainSelectedInstOperands,
     /*   64770 */     // GIR_Coverage, 47139,
     /*   64770 */     GIR_EraseRootFromParent_Done,
     /*   64771 */   // Label 1045: @64771
     /*   64771 */   GIM_Try, /*On fail goto*//*Label 1046*/ GIMT_Encode4(64839), // Rule ID 51980 //
     /*   64776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   64779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64795 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64799 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64813 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   64813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   64816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64837 */     GIR_RootConstrainSelectedInstOperands,
     /*   64838 */     // GIR_Coverage, 51980,
     /*   64838 */     GIR_EraseRootFromParent_Done,
     /*   64839 */   // Label 1046: @64839
     /*   64839 */   GIM_Try, /*On fail goto*//*Label 1047*/ GIMT_Encode4(64907), // Rule ID 51981 //
     /*   64844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   64847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   64859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   64863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   64867 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64881 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   64881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   64884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   64890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   64902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64905 */     GIR_RootConstrainSelectedInstOperands,
     /*   64906 */     // GIR_Coverage, 51981,
     /*   64906 */     GIR_EraseRootFromParent_Done,
     /*   64907 */   // Label 1047: @64907
     /*   64907 */   GIM_Try, /*On fail goto*//*Label 1048*/ GIMT_Encode4(64962), // Rule ID 47318 //
     /*   64912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   64915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64940 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   64940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   64943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   64945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   64947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   64951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   64954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   64957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   64960 */     GIR_RootConstrainSelectedInstOperands,
     /*   64961 */     // GIR_Coverage, 47318,
     /*   64961 */     GIR_EraseRootFromParent_Done,
     /*   64962 */   // Label 1048: @64962
     /*   64962 */   GIM_Try, /*On fail goto*//*Label 1049*/ GIMT_Encode4(65017), // Rule ID 47319 //
     /*   64967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   64970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   64978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   64982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   64986 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   64988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   64993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   64995 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   64995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   64998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65015 */     GIR_RootConstrainSelectedInstOperands,
     /*   65016 */     // GIR_Coverage, 47319,
     /*   65016 */     GIR_EraseRootFromParent_Done,
     /*   65017 */   // Label 1049: @65017
     /*   65017 */   GIM_Try, /*On fail goto*//*Label 1050*/ GIMT_Encode4(65072), // Rule ID 47078 //
     /*   65022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65041 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65043 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65050 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65070 */     GIR_RootConstrainSelectedInstOperands,
     /*   65071 */     // GIR_Coverage, 47078,
     /*   65071 */     GIR_EraseRootFromParent_Done,
     /*   65072 */   // Label 1050: @65072
     /*   65072 */   GIM_Try, /*On fail goto*//*Label 1051*/ GIMT_Encode4(65127), // Rule ID 47079 //
     /*   65077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65105 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   65108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65125 */     GIR_RootConstrainSelectedInstOperands,
     /*   65126 */     // GIR_Coverage, 47079,
     /*   65126 */     GIR_EraseRootFromParent_Done,
     /*   65127 */   // Label 1051: @65127
     /*   65127 */   GIM_Try, /*On fail goto*//*Label 1052*/ GIMT_Encode4(65182), // Rule ID 47198 //
     /*   65132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   65135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65151 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65153 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65158 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65160 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   65160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65180 */     GIR_RootConstrainSelectedInstOperands,
     /*   65181 */     // GIR_Coverage, 47198,
     /*   65181 */     GIR_EraseRootFromParent_Done,
     /*   65182 */   // Label 1052: @65182
     /*   65182 */   GIM_Try, /*On fail goto*//*Label 1053*/ GIMT_Encode4(65237), // Rule ID 47199 //
     /*   65187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   65190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   65206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65215 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   65215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   65218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65222 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   65232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65235 */     GIR_RootConstrainSelectedInstOperands,
     /*   65236 */     // GIR_Coverage, 47199,
     /*   65236 */     GIR_EraseRootFromParent_Done,
     /*   65237 */   // Label 1053: @65237
     /*   65237 */   GIM_Try, /*On fail goto*//*Label 1054*/ GIMT_Encode4(65290), // Rule ID 46254 //
     /*   65242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   65245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65253 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   65253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   65256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   65270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65288 */     GIR_RootConstrainSelectedInstOperands,
     /*   65289 */     // GIR_Coverage, 46254,
     /*   65289 */     GIR_EraseRootFromParent_Done,
     /*   65290 */   // Label 1054: @65290
     /*   65290 */   GIM_Try, /*On fail goto*//*Label 1055*/ GIMT_Encode4(65343), // Rule ID 46255 //
     /*   65295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   65298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65306 */     // (sub:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   65306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   65309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   65323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   65338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65341 */     GIR_RootConstrainSelectedInstOperands,
     /*   65342 */     // GIR_Coverage, 46255,
     /*   65342 */     GIR_EraseRootFromParent_Done,
     /*   65343 */   // Label 1055: @65343
     /*   65343 */   GIM_Reject,
     /*   65344 */ // Label 1039: @65344
     /*   65344 */ GIM_Reject,
     /*   65345 */ // Label 970: @65345
     /*   65345 */ GIM_Try, /*On fail goto*//*Label 1056*/ GIMT_Encode4(65591),
     /*   65350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65364 */   GIM_Try, /*On fail goto*//*Label 1057*/ GIMT_Encode4(65428), // Rule ID 51948 //
     /*   65369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65384 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65388 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65390 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65402 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   65402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   65405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65426 */     GIR_RootConstrainSelectedInstOperands,
     /*   65427 */     // GIR_Coverage, 51948,
     /*   65427 */     GIR_EraseRootFromParent_Done,
     /*   65428 */   // Label 1057: @65428
     /*   65428 */   GIM_Try, /*On fail goto*//*Label 1058*/ GIMT_Encode4(65492), // Rule ID 51949 //
     /*   65433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   65440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   65444 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65448 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   65452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   65466 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs2, (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   65466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /*   65469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   65475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   65479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   65481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   65490 */     GIR_RootConstrainSelectedInstOperands,
     /*   65491 */     // GIR_Coverage, 51949,
     /*   65491 */     GIR_EraseRootFromParent_Done,
     /*   65492 */   // Label 1058: @65492
     /*   65492 */   GIM_Try, /*On fail goto*//*Label 1059*/ GIMT_Encode4(65541), // Rule ID 46222 //
     /*   65497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65504 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   65507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   65521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65539 */     GIR_RootConstrainSelectedInstOperands,
     /*   65540 */     // GIR_Coverage, 46222,
     /*   65540 */     GIR_EraseRootFromParent_Done,
     /*   65541 */   // Label 1059: @65541
     /*   65541 */   GIM_Try, /*On fail goto*//*Label 1060*/ GIMT_Encode4(65590), // Rule ID 46223 //
     /*   65546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65553 */     // (sub:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65553 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   65556 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65560 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65565 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*   65570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65572 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   65577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   65579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65588 */     GIR_RootConstrainSelectedInstOperands,
     /*   65589 */     // GIR_Coverage, 46223,
     /*   65589 */     GIR_EraseRootFromParent_Done,
     /*   65590 */   // Label 1060: @65590
     /*   65590 */   GIM_Reject,
     /*   65591 */ // Label 1056: @65591
     /*   65591 */ GIM_Reject,
     /*   65592 */ // Label 971: @65592
     /*   65592 */ GIM_Try, /*On fail goto*//*Label 1061*/ GIMT_Encode4(66714),
     /*   65597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   65600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   65603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65607 */   GIM_Try, /*On fail goto*//*Label 1062*/ GIMT_Encode4(65696), // Rule ID 47218 //
     /*   65612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65627 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65629 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65634 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65638 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65642 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65646 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65648 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65653 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65655 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   65672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65694 */     GIR_RootConstrainSelectedInstOperands,
     /*   65695 */     // GIR_Coverage, 47218,
     /*   65695 */     GIR_EraseRootFromParent_Done,
     /*   65696 */   // Label 1062: @65696
     /*   65696 */   GIM_Try, /*On fail goto*//*Label 1063*/ GIMT_Encode4(65785), // Rule ID 47219 //
     /*   65701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65712 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65716 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   65731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65735 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65737 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65742 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65744 */     // (sub:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   65761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65783 */     GIR_RootConstrainSelectedInstOperands,
     /*   65784 */     // GIR_Coverage, 47219,
     /*   65784 */     GIR_EraseRootFromParent_Done,
     /*   65785 */   // Label 1063: @65785
     /*   65785 */   GIM_Try, /*On fail goto*//*Label 1064*/ GIMT_Encode4(65874), // Rule ID 46978 //
     /*   65790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65805 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65824 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65826 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65833 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   65833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   65850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65872 */     GIR_RootConstrainSelectedInstOperands,
     /*   65873 */     // GIR_Coverage, 46978,
     /*   65873 */     GIR_EraseRootFromParent_Done,
     /*   65874 */   // Label 1064: @65874
     /*   65874 */   GIM_Try, /*On fail goto*//*Label 1065*/ GIMT_Encode4(65963), // Rule ID 46979 //
     /*   65879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   65882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65890 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65894 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   65909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65913 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   65915 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65920 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   65922 */     // (sub:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   65922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   65925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   65929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   65934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   65936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*   65939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   65941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   65944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   65948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   65952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   65955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   65961 */     GIR_RootConstrainSelectedInstOperands,
     /*   65962 */     // GIR_Coverage, 46979,
     /*   65962 */     GIR_EraseRootFromParent_Done,
     /*   65963 */   // Label 1065: @65963
     /*   65963 */   GIM_Try, /*On fail goto*//*Label 1066*/ GIMT_Encode4(66052), // Rule ID 47098 //
     /*   65968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   65971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   65975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65979 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   65983 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   65985 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   65990 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   65994 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   65998 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66002 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66004 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66009 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66011 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   66011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   66028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66050 */     GIR_RootConstrainSelectedInstOperands,
     /*   66051 */     // GIR_Coverage, 47098,
     /*   66051 */     GIR_EraseRootFromParent_Done,
     /*   66052 */   // Label 1066: @66052
     /*   66052 */   GIM_Try, /*On fail goto*//*Label 1067*/ GIMT_Encode4(66141), // Rule ID 47099 //
     /*   66057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66068 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66072 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66074 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66091 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66098 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66100 */     // (sub:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   66100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*   66117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66139 */     GIR_RootConstrainSelectedInstOperands,
     /*   66140 */     // GIR_Coverage, 47099,
     /*   66140 */     GIR_EraseRootFromParent_Done,
     /*   66141 */   // Label 1067: @66141
     /*   66141 */   GIM_Try, /*On fail goto*//*Label 1068*/ GIMT_Encode4(66209), // Rule ID 51960 //
     /*   66146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66165 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   66169 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66183 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   66183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   66186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66207 */     GIR_RootConstrainSelectedInstOperands,
     /*   66208 */     // GIR_Coverage, 51960,
     /*   66208 */     GIR_EraseRootFromParent_Done,
     /*   66209 */   // Label 1068: @66209
     /*   66209 */   GIM_Try, /*On fail goto*//*Label 1069*/ GIMT_Encode4(66277), // Rule ID 51961 //
     /*   66214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   66229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66233 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   66237 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66239 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66251 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   66251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   66254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   66260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66264 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66275 */     GIR_RootConstrainSelectedInstOperands,
     /*   66276 */     // GIR_Coverage, 51961,
     /*   66276 */     GIR_EraseRootFromParent_Done,
     /*   66277 */   // Label 1069: @66277
     /*   66277 */   GIM_Try, /*On fail goto*//*Label 1070*/ GIMT_Encode4(66332), // Rule ID 47278 //
     /*   66282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66297 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66301 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66310 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66330 */     GIR_RootConstrainSelectedInstOperands,
     /*   66331 */     // GIR_Coverage, 47278,
     /*   66331 */     GIR_EraseRootFromParent_Done,
     /*   66332 */   // Label 1070: @66332
     /*   66332 */   GIM_Try, /*On fail goto*//*Label 1071*/ GIMT_Encode4(66387), // Rule ID 47279 //
     /*   66337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66356 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66365 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66385 */     GIR_RootConstrainSelectedInstOperands,
     /*   66386 */     // GIR_Coverage, 47279,
     /*   66386 */     GIR_EraseRootFromParent_Done,
     /*   66387 */   // Label 1071: @66387
     /*   66387 */   GIM_Try, /*On fail goto*//*Label 1072*/ GIMT_Encode4(66442), // Rule ID 47038 //
     /*   66392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66420 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   66423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66440 */     GIR_RootConstrainSelectedInstOperands,
     /*   66441 */     // GIR_Coverage, 47038,
     /*   66441 */     GIR_EraseRootFromParent_Done,
     /*   66442 */   // Label 1072: @66442
     /*   66442 */   GIM_Try, /*On fail goto*//*Label 1073*/ GIMT_Encode4(66497), // Rule ID 47039 //
     /*   66447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66450 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66462 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66466 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66468 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66475 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*   66478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66495 */     GIR_RootConstrainSelectedInstOperands,
     /*   66496 */     // GIR_Coverage, 47039,
     /*   66496 */     GIR_EraseRootFromParent_Done,
     /*   66497 */   // Label 1073: @66497
     /*   66497 */   GIM_Try, /*On fail goto*//*Label 1074*/ GIMT_Encode4(66552), // Rule ID 47158 //
     /*   66502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66530 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   66530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66550 */     GIR_RootConstrainSelectedInstOperands,
     /*   66551 */     // GIR_Coverage, 47158,
     /*   66551 */     GIR_EraseRootFromParent_Done,
     /*   66552 */   // Label 1074: @66552
     /*   66552 */   GIM_Try, /*On fail goto*//*Label 1075*/ GIMT_Encode4(66607), // Rule ID 47159 //
     /*   66557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66564 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   66568 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   66572 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   66576 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   66585 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   66585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*   66588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   66592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   66596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   66605 */     GIR_RootConstrainSelectedInstOperands,
     /*   66606 */     // GIR_Coverage, 47159,
     /*   66606 */     GIR_EraseRootFromParent_Done,
     /*   66607 */   // Label 1075: @66607
     /*   66607 */   GIM_Try, /*On fail goto*//*Label 1076*/ GIMT_Encode4(66660), // Rule ID 46234 //
     /*   66612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66615 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66623 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   66640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66658 */     GIR_RootConstrainSelectedInstOperands,
     /*   66659 */     // GIR_Coverage, 46234,
     /*   66659 */     GIR_EraseRootFromParent_Done,
     /*   66660 */   // Label 1076: @66660
     /*   66660 */   GIM_Try, /*On fail goto*//*Label 1077*/ GIMT_Encode4(66713), // Rule ID 46235 //
     /*   66665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66676 */     // (sub:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   66679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   66693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   66700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   66702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66711 */     GIR_RootConstrainSelectedInstOperands,
     /*   66712 */     // GIR_Coverage, 46235,
     /*   66712 */     GIR_EraseRootFromParent_Done,
     /*   66713 */   // Label 1077: @66713
     /*   66713 */   GIM_Reject,
     /*   66714 */ // Label 1061: @66714
     /*   66714 */ GIM_Reject,
     /*   66715 */ // Label 972: @66715
     /*   66715 */ GIM_Try, /*On fail goto*//*Label 1078*/ GIMT_Encode4(67837),
     /*   66720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   66723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   66726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66730 */   GIM_Try, /*On fail goto*//*Label 1079*/ GIMT_Encode4(66819), // Rule ID 47242 //
     /*   66735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66746 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66750 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66752 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66769 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66771 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66776 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66778 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   66795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66800 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66817 */     GIR_RootConstrainSelectedInstOperands,
     /*   66818 */     // GIR_Coverage, 47242,
     /*   66818 */     GIR_EraseRootFromParent_Done,
     /*   66819 */   // Label 1079: @66819
     /*   66819 */   GIM_Try, /*On fail goto*//*Label 1080*/ GIMT_Encode4(66908), // Rule ID 47243 //
     /*   66824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   66827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66835 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66839 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   66854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66858 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66860 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66865 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66867 */     // (sub:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   66867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   66884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66889 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66906 */     GIR_RootConstrainSelectedInstOperands,
     /*   66907 */     // GIR_Coverage, 47243,
     /*   66907 */     GIR_EraseRootFromParent_Done,
     /*   66908 */   // Label 1080: @66908
     /*   66908 */   GIM_Try, /*On fail goto*//*Label 1081*/ GIMT_Encode4(66997), // Rule ID 47002 //
     /*   66913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   66916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   66920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66924 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66928 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   66930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66935 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   66939 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   66943 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   66947 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   66949 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   66954 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   66956 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   66956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   66959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   66963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   66968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   66970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   66973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   66975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   66978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   66982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   66986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   66989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   66992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   66995 */     GIR_RootConstrainSelectedInstOperands,
     /*   66996 */     // GIR_Coverage, 47002,
     /*   66996 */     GIR_EraseRootFromParent_Done,
     /*   66997 */   // Label 1081: @66997
     /*   66997 */   GIM_Try, /*On fail goto*//*Label 1082*/ GIMT_Encode4(67086), // Rule ID 47003 //
     /*   67002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67013 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67024 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67028 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67032 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67036 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67038 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67043 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67045 */     // (sub:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   67062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67084 */     GIR_RootConstrainSelectedInstOperands,
     /*   67085 */     // GIR_Coverage, 47003,
     /*   67085 */     GIR_EraseRootFromParent_Done,
     /*   67086 */   // Label 1082: @67086
     /*   67086 */   GIM_Try, /*On fail goto*//*Label 1083*/ GIMT_Encode4(67175), // Rule ID 47122 //
     /*   67091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67106 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67108 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67113 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67117 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67121 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67125 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67127 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67132 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67134 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   67134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67173 */     GIR_RootConstrainSelectedInstOperands,
     /*   67174 */     // GIR_Coverage, 47122,
     /*   67174 */     GIR_EraseRootFromParent_Done,
     /*   67175 */   // Label 1083: @67175
     /*   67175 */   GIM_Try, /*On fail goto*//*Label 1084*/ GIMT_Encode4(67264), // Rule ID 47123 //
     /*   67180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67191 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67195 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67202 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67206 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67210 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67214 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67223 */     // (sub:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   67223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   67240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67262 */     GIR_RootConstrainSelectedInstOperands,
     /*   67263 */     // GIR_Coverage, 47123,
     /*   67263 */     GIR_EraseRootFromParent_Done,
     /*   67264 */   // Label 1084: @67264
     /*   67264 */   GIM_Try, /*On fail goto*//*Label 1085*/ GIMT_Encode4(67332), // Rule ID 51976 //
     /*   67269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   67292 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67306 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   67306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   67309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67330 */     GIR_RootConstrainSelectedInstOperands,
     /*   67331 */     // GIR_Coverage, 51976,
     /*   67331 */     GIR_EraseRootFromParent_Done,
     /*   67332 */   // Label 1085: @67332
     /*   67332 */   GIM_Try, /*On fail goto*//*Label 1086*/ GIMT_Encode4(67400), // Rule ID 51977 //
     /*   67337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   67352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   67360 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67367 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67374 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   67374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   67377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   67383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67398 */     GIR_RootConstrainSelectedInstOperands,
     /*   67399 */     // GIR_Coverage, 51977,
     /*   67399 */     GIR_EraseRootFromParent_Done,
     /*   67400 */   // Label 1086: @67400
     /*   67400 */   GIM_Try, /*On fail goto*//*Label 1087*/ GIMT_Encode4(67455), // Rule ID 47302 //
     /*   67405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67433 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67453 */     GIR_RootConstrainSelectedInstOperands,
     /*   67454 */     // GIR_Coverage, 47302,
     /*   67454 */     GIR_EraseRootFromParent_Done,
     /*   67455 */   // Label 1087: @67455
     /*   67455 */   GIM_Try, /*On fail goto*//*Label 1088*/ GIMT_Encode4(67510), // Rule ID 47303 //
     /*   67460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67479 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67488 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67508 */     GIR_RootConstrainSelectedInstOperands,
     /*   67509 */     // GIR_Coverage, 47303,
     /*   67509 */     GIR_EraseRootFromParent_Done,
     /*   67510 */   // Label 1088: @67510
     /*   67510 */   GIM_Try, /*On fail goto*//*Label 1089*/ GIMT_Encode4(67565), // Rule ID 47062 //
     /*   67515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67530 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67534 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67536 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67543 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   67546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67563 */     GIR_RootConstrainSelectedInstOperands,
     /*   67564 */     // GIR_Coverage, 47062,
     /*   67564 */     GIR_EraseRootFromParent_Done,
     /*   67565 */   // Label 1089: @67565
     /*   67565 */   GIM_Try, /*On fail goto*//*Label 1090*/ GIMT_Encode4(67620), // Rule ID 47063 //
     /*   67570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   67585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67589 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67598 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   67601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67618 */     GIR_RootConstrainSelectedInstOperands,
     /*   67619 */     // GIR_Coverage, 47063,
     /*   67619 */     GIR_EraseRootFromParent_Done,
     /*   67620 */   // Label 1090: @67620
     /*   67620 */   GIM_Try, /*On fail goto*//*Label 1091*/ GIMT_Encode4(67675), // Rule ID 47182 //
     /*   67625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67640 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67644 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67653 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   67653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67673 */     GIR_RootConstrainSelectedInstOperands,
     /*   67674 */     // GIR_Coverage, 47182,
     /*   67674 */     GIR_EraseRootFromParent_Done,
     /*   67675 */   // Label 1091: @67675
     /*   67675 */   GIM_Try, /*On fail goto*//*Label 1092*/ GIMT_Encode4(67730), // Rule ID 47183 //
     /*   67680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   67691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   67695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   67699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   67708 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   67708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   67711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   67715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   67719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   67725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   67728 */     GIR_RootConstrainSelectedInstOperands,
     /*   67729 */     // GIR_Coverage, 47183,
     /*   67729 */     GIR_EraseRootFromParent_Done,
     /*   67730 */   // Label 1092: @67730
     /*   67730 */   GIM_Try, /*On fail goto*//*Label 1093*/ GIMT_Encode4(67783), // Rule ID 46250 //
     /*   67735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   67738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67746 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   67763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67781 */     GIR_RootConstrainSelectedInstOperands,
     /*   67782 */     // GIR_Coverage, 46250,
     /*   67782 */     GIR_EraseRootFromParent_Done,
     /*   67783 */   // Label 1093: @67783
     /*   67783 */   GIM_Try, /*On fail goto*//*Label 1094*/ GIMT_Encode4(67836), // Rule ID 46251 //
     /*   67788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   67791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67799 */     // (sub:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   67802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   67816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   67823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   67825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67834 */     GIR_RootConstrainSelectedInstOperands,
     /*   67835 */     // GIR_Coverage, 46251,
     /*   67835 */     GIR_EraseRootFromParent_Done,
     /*   67836 */   // Label 1094: @67836
     /*   67836 */   GIM_Reject,
     /*   67837 */ // Label 1078: @67837
     /*   67837 */ GIM_Reject,
     /*   67838 */ // Label 973: @67838
     /*   67838 */ GIM_Try, /*On fail goto*//*Label 1095*/ GIMT_Encode4(68960),
     /*   67843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   67846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   67849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   67853 */   GIM_Try, /*On fail goto*//*Label 1096*/ GIMT_Encode4(67942), // Rule ID 47262 //
     /*   67858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   67861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67873 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67892 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67894 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67901 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   67901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   67904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   67913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   67915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   67918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   67920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   67923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   67927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   67931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   67934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   67937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   67940 */     GIR_RootConstrainSelectedInstOperands,
     /*   67941 */     // GIR_Coverage, 47262,
     /*   67941 */     GIR_EraseRootFromParent_Done,
     /*   67942 */   // Label 1096: @67942
     /*   67942 */   GIM_Try, /*On fail goto*//*Label 1097*/ GIMT_Encode4(68031), // Rule ID 47263 //
     /*   67947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   67950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   67954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67962 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   67964 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67969 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   67973 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   67977 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   67981 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   67983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   67988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   67990 */     // (sub:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   67990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   67993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   67997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68029 */     GIR_RootConstrainSelectedInstOperands,
     /*   68030 */     // GIR_Coverage, 47263,
     /*   68030 */     GIR_EraseRootFromParent_Done,
     /*   68031 */   // Label 1097: @68031
     /*   68031 */   GIM_Try, /*On fail goto*//*Label 1098*/ GIMT_Encode4(68120), // Rule ID 47022 //
     /*   68036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68047 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68051 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68053 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68058 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68062 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68066 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68070 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68072 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68077 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68079 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68118 */     GIR_RootConstrainSelectedInstOperands,
     /*   68119 */     // GIR_Coverage, 47022,
     /*   68119 */     GIR_EraseRootFromParent_Done,
     /*   68120 */   // Label 1098: @68120
     /*   68120 */   GIM_Try, /*On fail goto*//*Label 1099*/ GIMT_Encode4(68209), // Rule ID 47023 //
     /*   68125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68136 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68159 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68161 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68166 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68168 */     // (sub:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   68185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68207 */     GIR_RootConstrainSelectedInstOperands,
     /*   68208 */     // GIR_Coverage, 47023,
     /*   68208 */     GIR_EraseRootFromParent_Done,
     /*   68209 */   // Label 1099: @68209
     /*   68209 */   GIM_Try, /*On fail goto*//*Label 1100*/ GIMT_Encode4(68298), // Rule ID 47142 //
     /*   68214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68229 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68231 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68236 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68240 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68244 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68248 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68250 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68255 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68257 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   68257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68296 */     GIR_RootConstrainSelectedInstOperands,
     /*   68297 */     // GIR_Coverage, 47142,
     /*   68297 */     GIR_EraseRootFromParent_Done,
     /*   68298 */   // Label 1100: @68298
     /*   68298 */   GIM_Try, /*On fail goto*//*Label 1101*/ GIMT_Encode4(68387), // Rule ID 47143 //
     /*   68303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68306 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   68310 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68314 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68318 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68320 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68325 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   68329 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68333 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68337 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   68339 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68344 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   68346 */     // (sub:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   68346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   68363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68368 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   68372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   68376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68385 */     GIR_RootConstrainSelectedInstOperands,
     /*   68386 */     // GIR_Coverage, 47143,
     /*   68386 */     GIR_EraseRootFromParent_Done,
     /*   68387 */   // Label 1101: @68387
     /*   68387 */   GIM_Try, /*On fail goto*//*Label 1102*/ GIMT_Encode4(68455), // Rule ID 52020 //
     /*   68392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   68411 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   68415 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68417 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68429 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   68429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   68432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68453 */     GIR_RootConstrainSelectedInstOperands,
     /*   68454 */     // GIR_Coverage, 52020,
     /*   68454 */     GIR_EraseRootFromParent_Done,
     /*   68455 */   // Label 1102: @68455
     /*   68455 */   GIM_Try, /*On fail goto*//*Label 1103*/ GIMT_Encode4(68523), // Rule ID 52021 //
     /*   68460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   68479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   68483 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68485 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68497 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   68497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   68500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   68506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68521 */     GIR_RootConstrainSelectedInstOperands,
     /*   68522 */     // GIR_Coverage, 52021,
     /*   68522 */     GIR_EraseRootFromParent_Done,
     /*   68523 */   // Label 1103: @68523
     /*   68523 */   GIM_Try, /*On fail goto*//*Label 1104*/ GIMT_Encode4(68578), // Rule ID 47322 //
     /*   68528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68556 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68576 */     GIR_RootConstrainSelectedInstOperands,
     /*   68577 */     // GIR_Coverage, 47322,
     /*   68577 */     GIR_EraseRootFromParent_Done,
     /*   68578 */   // Label 1104: @68578
     /*   68578 */   GIM_Try, /*On fail goto*//*Label 1105*/ GIMT_Encode4(68633), // Rule ID 47323 //
     /*   68583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   68598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68611 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68631 */     GIR_RootConstrainSelectedInstOperands,
     /*   68632 */     // GIR_Coverage, 47323,
     /*   68632 */     GIR_EraseRootFromParent_Done,
     /*   68633 */   // Label 1105: @68633
     /*   68633 */   GIM_Try, /*On fail goto*//*Label 1106*/ GIMT_Encode4(68688), // Rule ID 47082 //
     /*   68638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68657 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68659 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68666 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   68669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68686 */     GIR_RootConstrainSelectedInstOperands,
     /*   68687 */     // GIR_Coverage, 47082,
     /*   68687 */     GIR_EraseRootFromParent_Done,
     /*   68688 */   // Label 1106: @68688
     /*   68688 */   GIM_Try, /*On fail goto*//*Label 1107*/ GIMT_Encode4(68743), // Rule ID 47083 //
     /*   68693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   68708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68721 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   68724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68741 */     GIR_RootConstrainSelectedInstOperands,
     /*   68742 */     // GIR_Coverage, 47083,
     /*   68742 */     GIR_EraseRootFromParent_Done,
     /*   68743 */   // Label 1107: @68743
     /*   68743 */   GIM_Try, /*On fail goto*//*Label 1108*/ GIMT_Encode4(68798), // Rule ID 47202 //
     /*   68748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   68751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68767 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68776 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   68776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68796 */     GIR_RootConstrainSelectedInstOperands,
     /*   68797 */     // GIR_Coverage, 47202,
     /*   68797 */     GIR_EraseRootFromParent_Done,
     /*   68798 */   // Label 1108: @68798
     /*   68798 */   GIM_Try, /*On fail goto*//*Label 1109*/ GIMT_Encode4(68853), // Rule ID 47203 //
     /*   68803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   68806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   68818 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   68822 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   68824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   68831 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   68831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   68834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   68838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   68842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   68848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   68851 */     GIR_RootConstrainSelectedInstOperands,
     /*   68852 */     // GIR_Coverage, 47203,
     /*   68852 */     GIR_EraseRootFromParent_Done,
     /*   68853 */   // Label 1109: @68853
     /*   68853 */   GIM_Try, /*On fail goto*//*Label 1110*/ GIMT_Encode4(68906), // Rule ID 46294 //
     /*   68858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   68861 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68869 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   68869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   68886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68904 */     GIR_RootConstrainSelectedInstOperands,
     /*   68905 */     // GIR_Coverage, 46294,
     /*   68905 */     GIR_EraseRootFromParent_Done,
     /*   68906 */   // Label 1110: @68906
     /*   68906 */   GIM_Try, /*On fail goto*//*Label 1111*/ GIMT_Encode4(68959), // Rule ID 46295 //
     /*   68911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   68914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   68922 */     // (sub:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   68922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   68925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   68929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   68934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   68936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   68939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   68941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   68944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   68946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   68948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   68951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   68954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   68957 */     GIR_RootConstrainSelectedInstOperands,
     /*   68958 */     // GIR_Coverage, 46295,
     /*   68958 */     GIR_EraseRootFromParent_Done,
     /*   68959 */   // Label 1111: @68959
     /*   68959 */   GIM_Reject,
     /*   68960 */ // Label 1095: @68960
     /*   68960 */ GIM_Reject,
     /*   68961 */ // Label 974: @68961
     /*   68961 */ GIM_Try, /*On fail goto*//*Label 1112*/ GIMT_Encode4(69207),
     /*   68966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   68969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   68972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   68980 */   GIM_Try, /*On fail goto*//*Label 1113*/ GIMT_Encode4(69044), // Rule ID 51952 //
     /*   68985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   68988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   68992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   68996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69004 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69006 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69018 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   69021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69042 */     GIR_RootConstrainSelectedInstOperands,
     /*   69043 */     // GIR_Coverage, 51952,
     /*   69043 */     GIR_EraseRootFromParent_Done,
     /*   69044 */   // Label 1113: @69044
     /*   69044 */   GIM_Try, /*On fail goto*//*Label 1114*/ GIMT_Encode4(69108), // Rule ID 51953 //
     /*   69049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69064 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   69068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69082 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs2, (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /*   69085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69106 */     GIR_RootConstrainSelectedInstOperands,
     /*   69107 */     // GIR_Coverage, 51953,
     /*   69107 */     GIR_EraseRootFromParent_Done,
     /*   69108 */   // Label 1114: @69108
     /*   69108 */   GIM_Try, /*On fail goto*//*Label 1115*/ GIMT_Encode4(69157), // Rule ID 46226 //
     /*   69113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69120 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   69123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   69137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69155 */     GIR_RootConstrainSelectedInstOperands,
     /*   69156 */     // GIR_Coverage, 46226,
     /*   69156 */     GIR_EraseRootFromParent_Done,
     /*   69157 */   // Label 1115: @69157
     /*   69157 */   GIM_Try, /*On fail goto*//*Label 1116*/ GIMT_Encode4(69206), // Rule ID 46227 //
     /*   69162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69169 */     // (sub:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   69172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*   69186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   69193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   69195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69204 */     GIR_RootConstrainSelectedInstOperands,
     /*   69205 */     // GIR_Coverage, 46227,
     /*   69205 */     GIR_EraseRootFromParent_Done,
     /*   69206 */   // Label 1116: @69206
     /*   69206 */   GIM_Reject,
     /*   69207 */ // Label 1112: @69207
     /*   69207 */ GIM_Reject,
     /*   69208 */ // Label 975: @69208
     /*   69208 */ GIM_Try, /*On fail goto*//*Label 1117*/ GIMT_Encode4(70330),
     /*   69213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69223 */   GIM_Try, /*On fail goto*//*Label 1118*/ GIMT_Encode4(69312), // Rule ID 47222 //
     /*   69228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69243 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69262 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69271 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69310 */     GIR_RootConstrainSelectedInstOperands,
     /*   69311 */     // GIR_Coverage, 47222,
     /*   69311 */     GIR_EraseRootFromParent_Done,
     /*   69312 */   // Label 1118: @69312
     /*   69312 */   GIM_Try, /*On fail goto*//*Label 1119*/ GIMT_Encode4(69401), // Rule ID 47223 //
     /*   69317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69332 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69351 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69360 */     // (sub:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69399 */     GIR_RootConstrainSelectedInstOperands,
     /*   69400 */     // GIR_Coverage, 47223,
     /*   69400 */     GIR_EraseRootFromParent_Done,
     /*   69401 */   // Label 1119: @69401
     /*   69401 */   GIM_Try, /*On fail goto*//*Label 1120*/ GIMT_Encode4(69490), // Rule ID 46982 //
     /*   69406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69417 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69421 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69440 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69442 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69447 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69449 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   69466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69475 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69488 */     GIR_RootConstrainSelectedInstOperands,
     /*   69489 */     // GIR_Coverage, 46982,
     /*   69489 */     GIR_EraseRootFromParent_Done,
     /*   69490 */   // Label 1120: @69490
     /*   69490 */   GIM_Try, /*On fail goto*//*Label 1121*/ GIMT_Encode4(69579), // Rule ID 46983 //
     /*   69495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69517 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69521 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   69525 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69529 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69531 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69536 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69538 */     // (sub:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*   69555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69564 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69577 */     GIR_RootConstrainSelectedInstOperands,
     /*   69578 */     // GIR_Coverage, 46983,
     /*   69578 */     GIR_EraseRootFromParent_Done,
     /*   69579 */   // Label 1121: @69579
     /*   69579 */   GIM_Try, /*On fail goto*//*Label 1122*/ GIMT_Encode4(69668), // Rule ID 47102 //
     /*   69584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69595 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69599 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69618 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69620 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69625 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69627 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   69627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69649 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69666 */     GIR_RootConstrainSelectedInstOperands,
     /*   69667 */     // GIR_Coverage, 47102,
     /*   69667 */     GIR_EraseRootFromParent_Done,
     /*   69668 */   // Label 1122: @69668
     /*   69668 */   GIM_Try, /*On fail goto*//*Label 1123*/ GIMT_Encode4(69757), // Rule ID 47103 //
     /*   69673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   69680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69684 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69688 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69690 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69695 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   69699 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   69703 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69707 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   69709 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69714 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   69716 */     // (sub:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   69716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   69719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   69723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   69728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   69730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*   69733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   69738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   69742 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   69746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69755 */     GIR_RootConstrainSelectedInstOperands,
     /*   69756 */     // GIR_Coverage, 47103,
     /*   69756 */     GIR_EraseRootFromParent_Done,
     /*   69757 */   // Label 1123: @69757
     /*   69757 */   GIM_Try, /*On fail goto*//*Label 1124*/ GIMT_Encode4(69825), // Rule ID 51972 //
     /*   69762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69781 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69785 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69787 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69799 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   69799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   69802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69804 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69808 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69823 */     GIR_RootConstrainSelectedInstOperands,
     /*   69824 */     // GIR_Coverage, 51972,
     /*   69824 */     GIR_EraseRootFromParent_Done,
     /*   69825 */   // Label 1124: @69825
     /*   69825 */   GIM_Try, /*On fail goto*//*Label 1125*/ GIMT_Encode4(69893), // Rule ID 51973 //
     /*   69830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69833 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   69845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   69849 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   69853 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69860 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69867 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   69867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   69870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69872 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   69876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   69888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69891 */     GIR_RootConstrainSelectedInstOperands,
     /*   69892 */     // GIR_Coverage, 51973,
     /*   69892 */     GIR_EraseRootFromParent_Done,
     /*   69893 */   // Label 1125: @69893
     /*   69893 */   GIM_Try, /*On fail goto*//*Label 1126*/ GIMT_Encode4(69948), // Rule ID 47282 //
     /*   69898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   69901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69926 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   69926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   69929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   69946 */     GIR_RootConstrainSelectedInstOperands,
     /*   69947 */     // GIR_Coverage, 47282,
     /*   69947 */     GIR_EraseRootFromParent_Done,
     /*   69948 */   // Label 1126: @69948
     /*   69948 */   GIM_Try, /*On fail goto*//*Label 1127*/ GIMT_Encode4(70003), // Rule ID 47283 //
     /*   69953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   69956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   69964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   69968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   69972 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   69974 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   69979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   69981 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   69981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   69984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   69986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   69988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   69992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   69995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   69998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70001 */     GIR_RootConstrainSelectedInstOperands,
     /*   70002 */     // GIR_Coverage, 47283,
     /*   70002 */     GIR_EraseRootFromParent_Done,
     /*   70003 */   // Label 1127: @70003
     /*   70003 */   GIM_Try, /*On fail goto*//*Label 1128*/ GIMT_Encode4(70058), // Rule ID 47042 //
     /*   70008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70027 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70029 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70036 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   70039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70056 */     GIR_RootConstrainSelectedInstOperands,
     /*   70057 */     // GIR_Coverage, 47042,
     /*   70057 */     GIR_EraseRootFromParent_Done,
     /*   70058 */   // Label 1128: @70058
     /*   70058 */   GIM_Try, /*On fail goto*//*Label 1129*/ GIMT_Encode4(70113), // Rule ID 47043 //
     /*   70063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70082 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70084 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70091 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*   70094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70111 */     GIR_RootConstrainSelectedInstOperands,
     /*   70112 */     // GIR_Coverage, 47043,
     /*   70112 */     GIR_EraseRootFromParent_Done,
     /*   70113 */   // Label 1129: @70113
     /*   70113 */   GIM_Try, /*On fail goto*//*Label 1130*/ GIMT_Encode4(70168), // Rule ID 47162 //
     /*   70118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70137 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70146 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   70146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70166 */     GIR_RootConstrainSelectedInstOperands,
     /*   70167 */     // GIR_Coverage, 47162,
     /*   70167 */     GIR_EraseRootFromParent_Done,
     /*   70168 */   // Label 1130: @70168
     /*   70168 */   GIM_Try, /*On fail goto*//*Label 1131*/ GIMT_Encode4(70223), // Rule ID 47163 //
     /*   70173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   70192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70201 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   70201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*   70204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70221 */     GIR_RootConstrainSelectedInstOperands,
     /*   70222 */     // GIR_Coverage, 47163,
     /*   70222 */     GIR_EraseRootFromParent_Done,
     /*   70223 */   // Label 1131: @70223
     /*   70223 */   GIM_Try, /*On fail goto*//*Label 1132*/ GIMT_Encode4(70276), // Rule ID 46246 //
     /*   70228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70239 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   70256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70274 */     GIR_RootConstrainSelectedInstOperands,
     /*   70275 */     // GIR_Coverage, 46246,
     /*   70275 */     GIR_EraseRootFromParent_Done,
     /*   70276 */   // Label 1132: @70276
     /*   70276 */   GIM_Try, /*On fail goto*//*Label 1133*/ GIMT_Encode4(70329), // Rule ID 46247 //
     /*   70281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70292 */     // (sub:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   70295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   70309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   70316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   70318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70327 */     GIR_RootConstrainSelectedInstOperands,
     /*   70328 */     // GIR_Coverage, 46247,
     /*   70328 */     GIR_EraseRootFromParent_Done,
     /*   70329 */   // Label 1133: @70329
     /*   70329 */   GIM_Reject,
     /*   70330 */ // Label 1117: @70330
     /*   70330 */ GIM_Reject,
     /*   70331 */ // Label 976: @70331
     /*   70331 */ GIM_Try, /*On fail goto*//*Label 1134*/ GIMT_Encode4(71453),
     /*   70336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70346 */   GIM_Try, /*On fail goto*//*Label 1135*/ GIMT_Encode4(70435), // Rule ID 47246 //
     /*   70351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70385 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70394 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70433 */     GIR_RootConstrainSelectedInstOperands,
     /*   70434 */     // GIR_Coverage, 47246,
     /*   70434 */     GIR_EraseRootFromParent_Done,
     /*   70435 */   // Label 1135: @70435
     /*   70435 */   GIM_Try, /*On fail goto*//*Label 1136*/ GIMT_Encode4(70524), // Rule ID 47247 //
     /*   70440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   70470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70483 */     // (sub:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70522 */     GIR_RootConstrainSelectedInstOperands,
     /*   70523 */     // GIR_Coverage, 47247,
     /*   70523 */     GIR_EraseRootFromParent_Done,
     /*   70524 */   // Label 1136: @70524
     /*   70524 */   GIM_Try, /*On fail goto*//*Label 1137*/ GIMT_Encode4(70613), // Rule ID 47006 //
     /*   70529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70544 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70572 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   70589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70611 */     GIR_RootConstrainSelectedInstOperands,
     /*   70612 */     // GIR_Coverage, 47006,
     /*   70612 */     GIR_EraseRootFromParent_Done,
     /*   70613 */   // Label 1137: @70613
     /*   70613 */   GIM_Try, /*On fail goto*//*Label 1138*/ GIMT_Encode4(70702), // Rule ID 47007 //
     /*   70618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   70648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70652 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70661 */     // (sub:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   70678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70700 */     GIR_RootConstrainSelectedInstOperands,
     /*   70701 */     // GIR_Coverage, 47007,
     /*   70701 */     GIR_EraseRootFromParent_Done,
     /*   70702 */   // Label 1138: @70702
     /*   70702 */   GIM_Try, /*On fail goto*//*Label 1139*/ GIMT_Encode4(70791), // Rule ID 47126 //
     /*   70707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70741 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70750 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   70750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70789 */     GIR_RootConstrainSelectedInstOperands,
     /*   70790 */     // GIR_Coverage, 47126,
     /*   70790 */     GIR_EraseRootFromParent_Done,
     /*   70791 */   // Label 1139: @70791
     /*   70791 */   GIM_Try, /*On fail goto*//*Label 1140*/ GIMT_Encode4(70880), // Rule ID 47127 //
     /*   70796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   70803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   70822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   70826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   70830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   70832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   70837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   70839 */     // (sub:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   70839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   70842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   70846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   70851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   70853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   70856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   70861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   70865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   70869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   70875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   70878 */     GIR_RootConstrainSelectedInstOperands,
     /*   70879 */     // GIR_Coverage, 47127,
     /*   70879 */     GIR_EraseRootFromParent_Done,
     /*   70880 */   // Label 1140: @70880
     /*   70880 */   GIM_Try, /*On fail goto*//*Label 1141*/ GIMT_Encode4(70948), // Rule ID 52008 //
     /*   70885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   70888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70900 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70904 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70915 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70922 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   70922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   70925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   70935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   70937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   70940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   70943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   70946 */     GIR_RootConstrainSelectedInstOperands,
     /*   70947 */     // GIR_Coverage, 52008,
     /*   70947 */     GIR_EraseRootFromParent_Done,
     /*   70948 */   // Label 1141: @70948
     /*   70948 */   GIM_Try, /*On fail goto*//*Label 1142*/ GIMT_Encode4(71016), // Rule ID 52009 //
     /*   70953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   70956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   70964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   70968 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   70972 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   70976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   70978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   70988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   70990 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   70990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   70993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   70995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   70999 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71014 */     GIR_RootConstrainSelectedInstOperands,
     /*   71015 */     // GIR_Coverage, 52009,
     /*   71015 */     GIR_EraseRootFromParent_Done,
     /*   71016 */   // Label 1142: @71016
     /*   71016 */   GIM_Try, /*On fail goto*//*Label 1143*/ GIMT_Encode4(71071), // Rule ID 47306 //
     /*   71021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71040 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71042 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71049 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71056 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71069 */     GIR_RootConstrainSelectedInstOperands,
     /*   71070 */     // GIR_Coverage, 47306,
     /*   71070 */     GIR_EraseRootFromParent_Done,
     /*   71071 */   // Label 1143: @71071
     /*   71071 */   GIM_Try, /*On fail goto*//*Label 1144*/ GIMT_Encode4(71126), // Rule ID 47307 //
     /*   71076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71095 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71104 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71124 */     GIR_RootConstrainSelectedInstOperands,
     /*   71125 */     // GIR_Coverage, 47307,
     /*   71125 */     GIR_EraseRootFromParent_Done,
     /*   71126 */   // Label 1144: @71126
     /*   71126 */   GIM_Try, /*On fail goto*//*Label 1145*/ GIMT_Encode4(71181), // Rule ID 47066 //
     /*   71131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71150 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71152 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71159 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   71162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71179 */     GIR_RootConstrainSelectedInstOperands,
     /*   71180 */     // GIR_Coverage, 47066,
     /*   71180 */     GIR_EraseRootFromParent_Done,
     /*   71181 */   // Label 1145: @71181
     /*   71181 */   GIM_Try, /*On fail goto*//*Label 1146*/ GIMT_Encode4(71236), // Rule ID 47067 //
     /*   71186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71205 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71214 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   71217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71234 */     GIR_RootConstrainSelectedInstOperands,
     /*   71235 */     // GIR_Coverage, 47067,
     /*   71235 */     GIR_EraseRootFromParent_Done,
     /*   71236 */   // Label 1146: @71236
     /*   71236 */   GIM_Try, /*On fail goto*//*Label 1147*/ GIMT_Encode4(71291), // Rule ID 47186 //
     /*   71241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71256 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71260 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71262 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71269 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   71269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71276 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71289 */     GIR_RootConstrainSelectedInstOperands,
     /*   71290 */     // GIR_Coverage, 47186,
     /*   71290 */     GIR_EraseRootFromParent_Done,
     /*   71291 */   // Label 1147: @71291
     /*   71291 */   GIM_Try, /*On fail goto*//*Label 1148*/ GIMT_Encode4(71346), // Rule ID 47187 //
     /*   71296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   71307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   71315 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71317 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   71322 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   71324 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   71324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   71327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   71331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   71335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   71341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   71344 */     GIR_RootConstrainSelectedInstOperands,
     /*   71345 */     // GIR_Coverage, 47187,
     /*   71345 */     GIR_EraseRootFromParent_Done,
     /*   71346 */   // Label 1148: @71346
     /*   71346 */   GIM_Try, /*On fail goto*//*Label 1149*/ GIMT_Encode4(71399), // Rule ID 46282 //
     /*   71351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   71354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71362 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   71379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71397 */     GIR_RootConstrainSelectedInstOperands,
     /*   71398 */     // GIR_Coverage, 46282,
     /*   71398 */     GIR_EraseRootFromParent_Done,
     /*   71399 */   // Label 1149: @71399
     /*   71399 */   GIM_Try, /*On fail goto*//*Label 1150*/ GIMT_Encode4(71452), // Rule ID 46283 //
     /*   71404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   71407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71415 */     // (sub:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   71418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   71432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   71439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   71441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71450 */     GIR_RootConstrainSelectedInstOperands,
     /*   71451 */     // GIR_Coverage, 46283,
     /*   71451 */     GIR_EraseRootFromParent_Done,
     /*   71452 */   // Label 1150: @71452
     /*   71452 */   GIM_Reject,
     /*   71453 */ // Label 1134: @71453
     /*   71453 */ GIM_Reject,
     /*   71454 */ // Label 977: @71454
     /*   71454 */ GIM_Try, /*On fail goto*//*Label 1151*/ GIMT_Encode4(72576),
     /*   71459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   71462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   71465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   71469 */   GIM_Try, /*On fail goto*//*Label 1152*/ GIMT_Encode4(71558), // Rule ID 47266 //
     /*   71474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71489 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71496 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71500 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71504 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71508 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71510 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71517 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71517 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71520 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71524 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71529 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71536 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71539 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71556 */     GIR_RootConstrainSelectedInstOperands,
     /*   71557 */     // GIR_Coverage, 47266,
     /*   71557 */     GIR_EraseRootFromParent_Done,
     /*   71558 */   // Label 1152: @71558
     /*   71558 */   GIM_Try, /*On fail goto*//*Label 1153*/ GIMT_Encode4(71647), // Rule ID 47267 //
     /*   71563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71574 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71585 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71589 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   71593 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71597 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71599 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71604 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71606 */     // (sub:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71628 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71632 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71645 */     GIR_RootConstrainSelectedInstOperands,
     /*   71646 */     // GIR_Coverage, 47267,
     /*   71646 */     GIR_EraseRootFromParent_Done,
     /*   71647 */   // Label 1153: @71647
     /*   71647 */   GIM_Try, /*On fail goto*//*Label 1154*/ GIMT_Encode4(71736), // Rule ID 47026 //
     /*   71652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71667 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71674 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71678 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71682 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71686 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71688 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71695 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   71712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71721 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71734 */     GIR_RootConstrainSelectedInstOperands,
     /*   71735 */     // GIR_Coverage, 47026,
     /*   71735 */     GIR_EraseRootFromParent_Done,
     /*   71736 */   // Label 1154: @71736
     /*   71736 */   GIM_Try, /*On fail goto*//*Label 1155*/ GIMT_Encode4(71825), // Rule ID 47027 //
     /*   71741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71756 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71763 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71767 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   71771 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71775 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71777 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71782 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71784 */     // (sub:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   71801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71806 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71823 */     GIR_RootConstrainSelectedInstOperands,
     /*   71824 */     // GIR_Coverage, 47027,
     /*   71824 */     GIR_EraseRootFromParent_Done,
     /*   71825 */   // Label 1155: @71825
     /*   71825 */   GIM_Try, /*On fail goto*//*Label 1156*/ GIMT_Encode4(71914), // Rule ID 47146 //
     /*   71830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   71833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71845 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71852 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71856 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71860 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71864 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71866 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71871 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71873 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   71873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71899 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   71912 */     GIR_RootConstrainSelectedInstOperands,
     /*   71913 */     // GIR_Coverage, 47146,
     /*   71913 */     GIR_EraseRootFromParent_Done,
     /*   71914 */   // Label 1156: @71914
     /*   71914 */   GIM_Try, /*On fail goto*//*Label 1157*/ GIMT_Encode4(72003), // Rule ID 47147 //
     /*   71919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   71922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   71926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71934 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   71936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   71945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   71949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   71953 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   71955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   71960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   71962 */     // (sub:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   71962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   71965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   71969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   71974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   71976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   71979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   71981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   71984 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   71988 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   71992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   71995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   71998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72001 */     GIR_RootConstrainSelectedInstOperands,
     /*   72002 */     // GIR_Coverage, 47147,
     /*   72002 */     GIR_EraseRootFromParent_Done,
     /*   72003 */   // Label 1157: @72003
     /*   72003 */   GIM_Try, /*On fail goto*//*Label 1158*/ GIMT_Encode4(72071), // Rule ID 52024 //
     /*   72008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   72027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   72031 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72033 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72045 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   72045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72054 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72069 */     GIR_RootConstrainSelectedInstOperands,
     /*   72070 */     // GIR_Coverage, 52024,
     /*   72070 */     GIR_EraseRootFromParent_Done,
     /*   72071 */   // Label 1158: @72071
     /*   72071 */   GIM_Try, /*On fail goto*//*Label 1159*/ GIMT_Encode4(72139), // Rule ID 52025 //
     /*   72076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   72095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   72099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72113 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   72113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   72116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72137 */     GIR_RootConstrainSelectedInstOperands,
     /*   72138 */     // GIR_Coverage, 52025,
     /*   72138 */     GIR_EraseRootFromParent_Done,
     /*   72139 */   // Label 1159: @72139
     /*   72139 */   GIM_Try, /*On fail goto*//*Label 1160*/ GIMT_Encode4(72194), // Rule ID 47326 //
     /*   72144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72159 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72170 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72172 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72192 */     GIR_RootConstrainSelectedInstOperands,
     /*   72193 */     // GIR_Coverage, 47326,
     /*   72193 */     GIR_EraseRootFromParent_Done,
     /*   72194 */   // Label 1160: @72194
     /*   72194 */   GIM_Try, /*On fail goto*//*Label 1161*/ GIMT_Encode4(72249), // Rule ID 47327 //
     /*   72199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72202 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72206 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72210 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72214 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72218 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72220 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72227 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72247 */     GIR_RootConstrainSelectedInstOperands,
     /*   72248 */     // GIR_Coverage, 47327,
     /*   72248 */     GIR_EraseRootFromParent_Done,
     /*   72249 */   // Label 1161: @72249
     /*   72249 */   GIM_Try, /*On fail goto*//*Label 1162*/ GIMT_Encode4(72304), // Rule ID 47086 //
     /*   72254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72269 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72273 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72282 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   72285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72302 */     GIR_RootConstrainSelectedInstOperands,
     /*   72303 */     // GIR_Coverage, 47086,
     /*   72303 */     GIR_EraseRootFromParent_Done,
     /*   72304 */   // Label 1162: @72304
     /*   72304 */   GIM_Try, /*On fail goto*//*Label 1163*/ GIMT_Encode4(72359), // Rule ID 47087 //
     /*   72309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   72324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72328 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72330 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72337 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   72340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72357 */     GIR_RootConstrainSelectedInstOperands,
     /*   72358 */     // GIR_Coverage, 47087,
     /*   72358 */     GIR_EraseRootFromParent_Done,
     /*   72359 */   // Label 1163: @72359
     /*   72359 */   GIM_Try, /*On fail goto*//*Label 1164*/ GIMT_Encode4(72414), // Rule ID 47206 //
     /*   72364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   72367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72379 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72383 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72385 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72392 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   72392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72412 */     GIR_RootConstrainSelectedInstOperands,
     /*   72413 */     // GIR_Coverage, 47206,
     /*   72413 */     GIR_EraseRootFromParent_Done,
     /*   72414 */   // Label 1164: @72414
     /*   72414 */   GIM_Try, /*On fail goto*//*Label 1165*/ GIMT_Encode4(72469), // Rule ID 47207 //
     /*   72419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   72422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   72434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   72438 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72447 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   72447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   72450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   72464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72467 */     GIR_RootConstrainSelectedInstOperands,
     /*   72468 */     // GIR_Coverage, 47207,
     /*   72468 */     GIR_EraseRootFromParent_Done,
     /*   72469 */   // Label 1165: @72469
     /*   72469 */   GIM_Try, /*On fail goto*//*Label 1166*/ GIMT_Encode4(72522), // Rule ID 46298 //
     /*   72474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   72477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72485 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   72485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   72502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72520 */     GIR_RootConstrainSelectedInstOperands,
     /*   72521 */     // GIR_Coverage, 46298,
     /*   72521 */     GIR_EraseRootFromParent_Done,
     /*   72522 */   // Label 1166: @72522
     /*   72522 */   GIM_Try, /*On fail goto*//*Label 1167*/ GIMT_Encode4(72575), // Rule ID 46299 //
     /*   72527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   72530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   72538 */     // (sub:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   72538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   72541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   72555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   72570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72573 */     GIR_RootConstrainSelectedInstOperands,
     /*   72574 */     // GIR_Coverage, 46299,
     /*   72574 */     GIR_EraseRootFromParent_Done,
     /*   72575 */   // Label 1167: @72575
     /*   72575 */   GIM_Reject,
     /*   72576 */ // Label 1151: @72576
     /*   72576 */ GIM_Reject,
     /*   72577 */ // Label 978: @72577
     /*   72577 */ GIM_Try, /*On fail goto*//*Label 1168*/ GIMT_Encode4(72823),
     /*   72582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72596 */   GIM_Try, /*On fail goto*//*Label 1169*/ GIMT_Encode4(72660), // Rule ID 51968 //
     /*   72601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72634 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   72634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   72637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72658 */     GIR_RootConstrainSelectedInstOperands,
     /*   72659 */     // GIR_Coverage, 51968,
     /*   72659 */     GIR_EraseRootFromParent_Done,
     /*   72660 */   // Label 1169: @72660
     /*   72660 */   GIM_Try, /*On fail goto*//*Label 1170*/ GIMT_Encode4(72724), // Rule ID 51969 //
     /*   72665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   72672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   72676 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72680 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   72684 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   72698 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs2, (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   72698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /*   72701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   72707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   72711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   72713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   72722 */     GIR_RootConstrainSelectedInstOperands,
     /*   72723 */     // GIR_Coverage, 51969,
     /*   72723 */     GIR_EraseRootFromParent_Done,
     /*   72724 */   // Label 1170: @72724
     /*   72724 */   GIM_Try, /*On fail goto*//*Label 1171*/ GIMT_Encode4(72773), // Rule ID 46242 //
     /*   72729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72736 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   72739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   72753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72771 */     GIR_RootConstrainSelectedInstOperands,
     /*   72772 */     // GIR_Coverage, 46242,
     /*   72772 */     GIR_EraseRootFromParent_Done,
     /*   72773 */   // Label 1171: @72773
     /*   72773 */   GIM_Try, /*On fail goto*//*Label 1172*/ GIMT_Encode4(72822), // Rule ID 46243 //
     /*   72778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72785 */     // (sub:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   72788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*   72802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   72809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   72811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72820 */     GIR_RootConstrainSelectedInstOperands,
     /*   72821 */     // GIR_Coverage, 46243,
     /*   72821 */     GIR_EraseRootFromParent_Done,
     /*   72822 */   // Label 1172: @72822
     /*   72822 */   GIM_Reject,
     /*   72823 */ // Label 1168: @72823
     /*   72823 */ GIM_Reject,
     /*   72824 */ // Label 979: @72824
     /*   72824 */ GIM_Try, /*On fail goto*//*Label 1173*/ GIMT_Encode4(73946),
     /*   72829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   72832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   72835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   72839 */   GIM_Try, /*On fail goto*//*Label 1174*/ GIMT_Encode4(72928), // Rule ID 47226 //
     /*   72844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   72847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72887 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   72887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   72890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   72904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   72913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   72917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   72920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   72926 */     GIR_RootConstrainSelectedInstOperands,
     /*   72927 */     // GIR_Coverage, 47226,
     /*   72927 */     GIR_EraseRootFromParent_Done,
     /*   72928 */   // Label 1174: @72928
     /*   72928 */   GIM_Try, /*On fail goto*//*Label 1175*/ GIMT_Encode4(73017), // Rule ID 47227 //
     /*   72933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   72936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   72940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   72950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   72959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   72963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   72967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   72969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   72974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   72976 */     // (sub:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   72976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   72979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   72983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   72988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   72990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   72993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   72995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   72998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73015 */     GIR_RootConstrainSelectedInstOperands,
     /*   73016 */     // GIR_Coverage, 47227,
     /*   73016 */     GIR_EraseRootFromParent_Done,
     /*   73017 */   // Label 1175: @73017
     /*   73017 */   GIM_Try, /*On fail goto*//*Label 1176*/ GIMT_Encode4(73106), // Rule ID 46986 //
     /*   73022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73065 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   73082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73104 */     GIR_RootConstrainSelectedInstOperands,
     /*   73105 */     // GIR_Coverage, 46986,
     /*   73105 */     GIR_EraseRootFromParent_Done,
     /*   73106 */   // Label 1176: @73106
     /*   73106 */   GIM_Try, /*On fail goto*//*Label 1177*/ GIMT_Encode4(73195), // Rule ID 46987 //
     /*   73111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73145 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73154 */     // (sub:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*   73171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73193 */     GIR_RootConstrainSelectedInstOperands,
     /*   73194 */     // GIR_Coverage, 46987,
     /*   73194 */     GIR_EraseRootFromParent_Done,
     /*   73195 */   // Label 1177: @73195
     /*   73195 */   GIM_Try, /*On fail goto*//*Label 1178*/ GIMT_Encode4(73284), // Rule ID 47106 //
     /*   73200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73234 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73243 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   73243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73282 */     GIR_RootConstrainSelectedInstOperands,
     /*   73283 */     // GIR_Coverage, 47106,
     /*   73283 */     GIR_EraseRootFromParent_Done,
     /*   73284 */   // Label 1178: @73284
     /*   73284 */   GIM_Try, /*On fail goto*//*Label 1179*/ GIMT_Encode4(73373), // Rule ID 47107 //
     /*   73289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73304 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73323 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   73325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   73332 */     // (sub:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   73332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*   73349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   73358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   73362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73371 */     GIR_RootConstrainSelectedInstOperands,
     /*   73372 */     // GIR_Coverage, 47107,
     /*   73372 */     GIR_EraseRootFromParent_Done,
     /*   73373 */   // Label 1179: @73373
     /*   73373 */   GIM_Try, /*On fail goto*//*Label 1180*/ GIMT_Encode4(73441), // Rule ID 51996 //
     /*   73378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73397 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   73401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73415 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   73415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   73418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73439 */     GIR_RootConstrainSelectedInstOperands,
     /*   73440 */     // GIR_Coverage, 51996,
     /*   73440 */     GIR_EraseRootFromParent_Done,
     /*   73441 */   // Label 1180: @73441
     /*   73441 */   GIM_Try, /*On fail goto*//*Label 1181*/ GIMT_Encode4(73509), // Rule ID 51997 //
     /*   73446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   73461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   73469 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73471 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73483 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   73483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   73486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   73492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73507 */     GIR_RootConstrainSelectedInstOperands,
     /*   73508 */     // GIR_Coverage, 51997,
     /*   73508 */     GIR_EraseRootFromParent_Done,
     /*   73509 */   // Label 1181: @73509
     /*   73509 */   GIM_Try, /*On fail goto*//*Label 1182*/ GIMT_Encode4(73564), // Rule ID 47286 //
     /*   73514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73529 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73533 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73542 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73549 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73562 */     GIR_RootConstrainSelectedInstOperands,
     /*   73563 */     // GIR_Coverage, 47286,
     /*   73563 */     GIR_EraseRootFromParent_Done,
     /*   73564 */   // Label 1182: @73564
     /*   73564 */   GIM_Try, /*On fail goto*//*Label 1183*/ GIMT_Encode4(73619), // Rule ID 47287 //
     /*   73569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73588 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73597 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73617 */     GIR_RootConstrainSelectedInstOperands,
     /*   73618 */     // GIR_Coverage, 47287,
     /*   73618 */     GIR_EraseRootFromParent_Done,
     /*   73619 */   // Label 1183: @73619
     /*   73619 */   GIM_Try, /*On fail goto*//*Label 1184*/ GIMT_Encode4(73674), // Rule ID 47046 //
     /*   73624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73652 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   73655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73659 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73672 */     GIR_RootConstrainSelectedInstOperands,
     /*   73673 */     // GIR_Coverage, 47046,
     /*   73673 */     GIR_EraseRootFromParent_Done,
     /*   73674 */   // Label 1184: @73674
     /*   73674 */   GIM_Try, /*On fail goto*//*Label 1185*/ GIMT_Encode4(73729), // Rule ID 47047 //
     /*   73679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   73694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73698 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73700 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73707 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*   73710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73727 */     GIR_RootConstrainSelectedInstOperands,
     /*   73728 */     // GIR_Coverage, 47047,
     /*   73728 */     GIR_EraseRootFromParent_Done,
     /*   73729 */   // Label 1185: @73729
     /*   73729 */   GIM_Try, /*On fail goto*//*Label 1186*/ GIMT_Encode4(73784), // Rule ID 47166 //
     /*   73734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73753 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73762 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   73762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73782 */     GIR_RootConstrainSelectedInstOperands,
     /*   73783 */     // GIR_Coverage, 47166,
     /*   73783 */     GIR_EraseRootFromParent_Done,
     /*   73784 */   // Label 1186: @73784
     /*   73784 */   GIM_Try, /*On fail goto*//*Label 1187*/ GIMT_Encode4(73839), // Rule ID 47167 //
     /*   73789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   73800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   73804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   73808 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73810 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   73815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   73817 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   73817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*   73820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   73824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   73828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   73837 */     GIR_RootConstrainSelectedInstOperands,
     /*   73838 */     // GIR_Coverage, 47167,
     /*   73838 */     GIR_EraseRootFromParent_Done,
     /*   73839 */   // Label 1187: @73839
     /*   73839 */   GIM_Try, /*On fail goto*//*Label 1188*/ GIMT_Encode4(73892), // Rule ID 46270 //
     /*   73844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73855 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   73855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   73872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73890 */     GIR_RootConstrainSelectedInstOperands,
     /*   73891 */     // GIR_Coverage, 46270,
     /*   73891 */     GIR_EraseRootFromParent_Done,
     /*   73892 */   // Label 1188: @73892
     /*   73892 */   GIM_Try, /*On fail goto*//*Label 1189*/ GIMT_Encode4(73945), // Rule ID 46271 //
     /*   73897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   73900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73908 */     // (sub:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   73908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   73911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   73915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   73920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   73922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   73925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   73927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   73930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   73932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   73934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   73937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   73940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   73943 */     GIR_RootConstrainSelectedInstOperands,
     /*   73944 */     // GIR_Coverage, 46271,
     /*   73944 */     GIR_EraseRootFromParent_Done,
     /*   73945 */   // Label 1189: @73945
     /*   73945 */   GIM_Reject,
     /*   73946 */ // Label 1173: @73946
     /*   73946 */ GIM_Reject,
     /*   73947 */ // Label 980: @73947
     /*   73947 */ GIM_Try, /*On fail goto*//*Label 1190*/ GIMT_Encode4(75069),
     /*   73952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   73955 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   73958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   73962 */   GIM_Try, /*On fail goto*//*Label 1191*/ GIMT_Encode4(74051), // Rule ID 47250 //
     /*   73967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   73970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   73974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73978 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   73982 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   73984 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   73989 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   73993 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   73997 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74001 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74010 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74032 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74049 */     GIR_RootConstrainSelectedInstOperands,
     /*   74050 */     // GIR_Coverage, 47250,
     /*   74050 */     GIR_EraseRootFromParent_Done,
     /*   74051 */   // Label 1191: @74051
     /*   74051 */   GIM_Try, /*On fail goto*//*Label 1192*/ GIMT_Encode4(74140), // Rule ID 47251 //
     /*   74056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74071 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74073 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74078 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74082 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74086 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74090 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74092 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74099 */     // (sub:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74138 */     GIR_RootConstrainSelectedInstOperands,
     /*   74139 */     // GIR_Coverage, 47251,
     /*   74139 */     GIR_EraseRootFromParent_Done,
     /*   74140 */   // Label 1192: @74140
     /*   74140 */   GIM_Try, /*On fail goto*//*Label 1193*/ GIMT_Encode4(74229), // Rule ID 47010 //
     /*   74145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74156 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74160 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74162 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74167 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74171 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74175 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74179 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74181 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74186 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74188 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74188 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74191 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74195 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74200 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   74205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74207 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74227 */     GIR_RootConstrainSelectedInstOperands,
     /*   74228 */     // GIR_Coverage, 47010,
     /*   74228 */     GIR_EraseRootFromParent_Done,
     /*   74229 */   // Label 1193: @74229
     /*   74229 */   GIM_Try, /*On fail goto*//*Label 1194*/ GIMT_Encode4(74318), // Rule ID 47011 //
     /*   74234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74249 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74256 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74260 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74264 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74268 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74270 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74275 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74277 */     // (sub:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   74294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74299 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74316 */     GIR_RootConstrainSelectedInstOperands,
     /*   74317 */     // GIR_Coverage, 47011,
     /*   74317 */     GIR_EraseRootFromParent_Done,
     /*   74318 */   // Label 1194: @74318
     /*   74318 */   GIM_Try, /*On fail goto*//*Label 1195*/ GIMT_Encode4(74407), // Rule ID 47130 //
     /*   74323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74334 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74338 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74345 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74349 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74353 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74357 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74359 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74364 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74366 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   74366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74405 */     GIR_RootConstrainSelectedInstOperands,
     /*   74406 */     // GIR_Coverage, 47130,
     /*   74406 */     GIR_EraseRootFromParent_Done,
     /*   74407 */   // Label 1195: @74407
     /*   74407 */   GIM_Try, /*On fail goto*//*Label 1196*/ GIMT_Encode4(74496), // Rule ID 47131 //
     /*   74412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   74419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74427 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74434 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   74438 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74442 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74446 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   74448 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   74455 */     // (sub:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   74455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   74472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   74477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   74481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   74485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   74494 */     GIR_RootConstrainSelectedInstOperands,
     /*   74495 */     // GIR_Coverage, 47131,
     /*   74495 */     GIR_EraseRootFromParent_Done,
     /*   74496 */   // Label 1196: @74496
     /*   74496 */   GIM_Try, /*On fail goto*//*Label 1197*/ GIMT_Encode4(74564), // Rule ID 52012 //
     /*   74501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74524 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74538 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   74538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74562 */     GIR_RootConstrainSelectedInstOperands,
     /*   74563 */     // GIR_Coverage, 52012,
     /*   74563 */     GIR_EraseRootFromParent_Done,
     /*   74564 */   // Label 1197: @74564
     /*   74564 */   GIM_Try, /*On fail goto*//*Label 1198*/ GIMT_Encode4(74632), // Rule ID 52013 //
     /*   74569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   74584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   74588 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   74592 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74606 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   74606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   74609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   74615 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   74627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74630 */     GIR_RootConstrainSelectedInstOperands,
     /*   74631 */     // GIR_Coverage, 52013,
     /*   74631 */     GIR_EraseRootFromParent_Done,
     /*   74632 */   // Label 1198: @74632
     /*   74632 */   GIM_Try, /*On fail goto*//*Label 1199*/ GIMT_Encode4(74687), // Rule ID 47310 //
     /*   74637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74665 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74685 */     GIR_RootConstrainSelectedInstOperands,
     /*   74686 */     // GIR_Coverage, 47310,
     /*   74686 */     GIR_EraseRootFromParent_Done,
     /*   74687 */   // Label 1199: @74687
     /*   74687 */   GIM_Try, /*On fail goto*//*Label 1200*/ GIMT_Encode4(74742), // Rule ID 47311 //
     /*   74692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   74707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74711 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74720 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74740 */     GIR_RootConstrainSelectedInstOperands,
     /*   74741 */     // GIR_Coverage, 47311,
     /*   74741 */     GIR_EraseRootFromParent_Done,
     /*   74742 */   // Label 1200: @74742
     /*   74742 */   GIM_Try, /*On fail goto*//*Label 1201*/ GIMT_Encode4(74797), // Rule ID 47070 //
     /*   74747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74766 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74768 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74775 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   74778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74795 */     GIR_RootConstrainSelectedInstOperands,
     /*   74796 */     // GIR_Coverage, 47070,
     /*   74796 */     GIR_EraseRootFromParent_Done,
     /*   74797 */   // Label 1201: @74797
     /*   74797 */   GIM_Try, /*On fail goto*//*Label 1202*/ GIMT_Encode4(74852), // Rule ID 47071 //
     /*   74802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   74817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74821 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74828 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74830 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   74833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74850 */     GIR_RootConstrainSelectedInstOperands,
     /*   74851 */     // GIR_Coverage, 47071,
     /*   74851 */     GIR_EraseRootFromParent_Done,
     /*   74852 */   // Label 1202: @74852
     /*   74852 */   GIM_Try, /*On fail goto*//*Label 1203*/ GIMT_Encode4(74907), // Rule ID 47190 //
     /*   74857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74860 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74876 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74885 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   74885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74905 */     GIR_RootConstrainSelectedInstOperands,
     /*   74906 */     // GIR_Coverage, 47190,
     /*   74906 */     GIR_EraseRootFromParent_Done,
     /*   74907 */   // Label 1203: @74907
     /*   74907 */   GIM_Try, /*On fail goto*//*Label 1204*/ GIMT_Encode4(74962), // Rule ID 47191 //
     /*   74912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   74915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   74923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   74927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   74931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   74933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   74938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   74940 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   74940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   74943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   74947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   74951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   74954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   74957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   74960 */     GIR_RootConstrainSelectedInstOperands,
     /*   74961 */     // GIR_Coverage, 47191,
     /*   74961 */     GIR_EraseRootFromParent_Done,
     /*   74962 */   // Label 1204: @74962
     /*   74962 */   GIM_Try, /*On fail goto*//*Label 1205*/ GIMT_Encode4(75015), // Rule ID 46286 //
     /*   74967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   74970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   74978 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   74978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   74981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   74985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   74990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   74992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   74995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   74997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75013 */     GIR_RootConstrainSelectedInstOperands,
     /*   75014 */     // GIR_Coverage, 46286,
     /*   75014 */     GIR_EraseRootFromParent_Done,
     /*   75015 */   // Label 1205: @75015
     /*   75015 */   GIM_Try, /*On fail goto*//*Label 1206*/ GIMT_Encode4(75068), // Rule ID 46287 //
     /*   75020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   75023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75031 */     // (sub:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   75034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   75048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   75055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   75057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75066 */     GIR_RootConstrainSelectedInstOperands,
     /*   75067 */     // GIR_Coverage, 46287,
     /*   75067 */     GIR_EraseRootFromParent_Done,
     /*   75068 */   // Label 1206: @75068
     /*   75068 */   GIM_Reject,
     /*   75069 */ // Label 1190: @75069
     /*   75069 */ GIM_Reject,
     /*   75070 */ // Label 981: @75070
     /*   75070 */ GIM_Try, /*On fail goto*//*Label 1207*/ GIMT_Encode4(76192),
     /*   75075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75085 */   GIM_Try, /*On fail goto*//*Label 1208*/ GIMT_Encode4(75174), // Rule ID 47270 //
     /*   75090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75105 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75107 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75112 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75116 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75120 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75124 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75126 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75131 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75133 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75172 */     GIR_RootConstrainSelectedInstOperands,
     /*   75173 */     // GIR_Coverage, 47270,
     /*   75173 */     GIR_EraseRootFromParent_Done,
     /*   75174 */   // Label 1208: @75174
     /*   75174 */   GIM_Try, /*On fail goto*//*Label 1209*/ GIMT_Encode4(75263), // Rule ID 47271 //
     /*   75179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75194 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75213 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75215 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75222 */     // (sub:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75261 */     GIR_RootConstrainSelectedInstOperands,
     /*   75262 */     // GIR_Coverage, 47271,
     /*   75262 */     GIR_EraseRootFromParent_Done,
     /*   75263 */   // Label 1209: @75263
     /*   75263 */   GIM_Try, /*On fail goto*//*Label 1210*/ GIMT_Encode4(75352), // Rule ID 47030 //
     /*   75268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75279 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75283 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75285 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75302 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75309 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75311 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75350 */     GIR_RootConstrainSelectedInstOperands,
     /*   75351 */     // GIR_Coverage, 47030,
     /*   75351 */     GIR_EraseRootFromParent_Done,
     /*   75352 */   // Label 1210: @75352
     /*   75352 */   GIM_Try, /*On fail goto*//*Label 1211*/ GIMT_Encode4(75441), // Rule ID 47031 //
     /*   75357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75368 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75372 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75379 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75383 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75387 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75391 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75393 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75398 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75400 */     // (sub:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   75417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75439 */     GIR_RootConstrainSelectedInstOperands,
     /*   75440 */     // GIR_Coverage, 47031,
     /*   75440 */     GIR_EraseRootFromParent_Done,
     /*   75441 */   // Label 1211: @75441
     /*   75441 */   GIM_Try, /*On fail goto*//*Label 1212*/ GIMT_Encode4(75530), // Rule ID 47150 //
     /*   75446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75457 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75461 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75463 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75468 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75472 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75476 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75480 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75482 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75487 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75489 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   75489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75528 */     GIR_RootConstrainSelectedInstOperands,
     /*   75529 */     // GIR_Coverage, 47150,
     /*   75529 */     GIR_EraseRootFromParent_Done,
     /*   75530 */   // Label 1212: @75530
     /*   75530 */   GIM_Try, /*On fail goto*//*Label 1213*/ GIMT_Encode4(75619), // Rule ID 47151 //
     /*   75535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   75542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75550 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   75561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75569 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   75571 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   75578 */     // (sub:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   75578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   75581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   75585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   75590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   75592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   75595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   75600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   75604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   75608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   75617 */     GIR_RootConstrainSelectedInstOperands,
     /*   75618 */     // GIR_Coverage, 47151,
     /*   75618 */     GIR_EraseRootFromParent_Done,
     /*   75619 */   // Label 1213: @75619
     /*   75619 */   GIM_Try, /*On fail goto*//*Label 1214*/ GIMT_Encode4(75687), // Rule ID 52028 //
     /*   75624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   75627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75647 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75654 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75661 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*   75661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   75682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75685 */     GIR_RootConstrainSelectedInstOperands,
     /*   75686 */     // GIR_Coverage, 52028,
     /*   75686 */     GIR_EraseRootFromParent_Done,
     /*   75687 */   // Label 1214: @75687
     /*   75687 */   GIM_Try, /*On fail goto*//*Label 1215*/ GIMT_Encode4(75755), // Rule ID 52029 //
     /*   75692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   75695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   75707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*   75711 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*   75715 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75722 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75729 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*   75729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   75732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   75738 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   75750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75753 */     GIR_RootConstrainSelectedInstOperands,
     /*   75754 */     // GIR_Coverage, 52029,
     /*   75754 */     GIR_EraseRootFromParent_Done,
     /*   75755 */   // Label 1215: @75755
     /*   75755 */   GIM_Try, /*On fail goto*//*Label 1216*/ GIMT_Encode4(75810), // Rule ID 47330 //
     /*   75760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75779 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75788 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   75788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75808 */     GIR_RootConstrainSelectedInstOperands,
     /*   75809 */     // GIR_Coverage, 47330,
     /*   75809 */     GIR_EraseRootFromParent_Done,
     /*   75810 */   // Label 1216: @75810
     /*   75810 */   GIM_Try, /*On fail goto*//*Label 1217*/ GIMT_Encode4(75865), // Rule ID 47331 //
     /*   75815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   75830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75843 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   75843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   75846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75850 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75863 */     GIR_RootConstrainSelectedInstOperands,
     /*   75864 */     // GIR_Coverage, 47331,
     /*   75864 */     GIR_EraseRootFromParent_Done,
     /*   75865 */   // Label 1217: @75865
     /*   75865 */   GIM_Try, /*On fail goto*//*Label 1218*/ GIMT_Encode4(75920), // Rule ID 47090 //
     /*   75870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75889 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75898 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   75898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75918 */     GIR_RootConstrainSelectedInstOperands,
     /*   75919 */     // GIR_Coverage, 47090,
     /*   75919 */     GIR_EraseRootFromParent_Done,
     /*   75920 */   // Label 1218: @75920
     /*   75920 */   GIM_Try, /*On fail goto*//*Label 1219*/ GIMT_Encode4(75975), // Rule ID 47091 //
     /*   75925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   75928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75932 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75936 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   75940 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75944 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   75946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   75951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   75953 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   75953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   75956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   75958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   75960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   75964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   75967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   75970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   75973 */     GIR_RootConstrainSelectedInstOperands,
     /*   75974 */     // GIR_Coverage, 47091,
     /*   75974 */     GIR_EraseRootFromParent_Done,
     /*   75975 */   // Label 1219: @75975
     /*   75975 */   GIM_Try, /*On fail goto*//*Label 1220*/ GIMT_Encode4(76030), // Rule ID 47210 //
     /*   75980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   75983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   75987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   75991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   75995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   75999 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76006 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76008 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   76008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   76011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76028 */     GIR_RootConstrainSelectedInstOperands,
     /*   76029 */     // GIR_Coverage, 47210,
     /*   76029 */     GIR_EraseRootFromParent_Done,
     /*   76030 */   // Label 1220: @76030
     /*   76030 */   GIM_Try, /*On fail goto*//*Label 1221*/ GIMT_Encode4(76085), // Rule ID 47211 //
     /*   76035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   76038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76050 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   76054 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76063 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   76063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   76066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   76080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76083 */     GIR_RootConstrainSelectedInstOperands,
     /*   76084 */     // GIR_Coverage, 47211,
     /*   76084 */     GIR_EraseRootFromParent_Done,
     /*   76085 */   // Label 1221: @76085
     /*   76085 */   GIM_Try, /*On fail goto*//*Label 1222*/ GIMT_Encode4(76138), // Rule ID 46302 //
     /*   76090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   76093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76101 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   76101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   76104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   76133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76136 */     GIR_RootConstrainSelectedInstOperands,
     /*   76137 */     // GIR_Coverage, 46302,
     /*   76137 */     GIR_EraseRootFromParent_Done,
     /*   76138 */   // Label 1222: @76138
     /*   76138 */   GIM_Try, /*On fail goto*//*Label 1223*/ GIMT_Encode4(76191), // Rule ID 46303 //
     /*   76143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   76146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   76154 */     // (sub:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   76154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*   76157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   76171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   76186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76189 */     GIR_RootConstrainSelectedInstOperands,
     /*   76190 */     // GIR_Coverage, 46303,
     /*   76190 */     GIR_EraseRootFromParent_Done,
     /*   76191 */   // Label 1223: @76191
     /*   76191 */   GIM_Reject,
     /*   76192 */ // Label 1207: @76192
     /*   76192 */ GIM_Reject,
     /*   76193 */ // Label 982: @76193
     /*   76193 */ GIM_Try, /*On fail goto*//*Label 1224*/ GIMT_Encode4(76439),
     /*   76198 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76212 */   GIM_Try, /*On fail goto*//*Label 1225*/ GIMT_Encode4(76276), // Rule ID 51984 //
     /*   76217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76220 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76224 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76228 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76232 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76243 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76250 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   76250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   76253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76259 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76274 */     GIR_RootConstrainSelectedInstOperands,
     /*   76275 */     // GIR_Coverage, 51984,
     /*   76275 */     GIR_EraseRootFromParent_Done,
     /*   76276 */   // Label 1225: @76276
     /*   76276 */   GIM_Try, /*On fail goto*//*Label 1226*/ GIMT_Encode4(76340), // Rule ID 51985 //
     /*   76281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   76288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   76292 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76296 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*   76300 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76302 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76307 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   76314 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs2, (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   76314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /*   76317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76319 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   76323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   76327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   76329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   76338 */     GIR_RootConstrainSelectedInstOperands,
     /*   76339 */     // GIR_Coverage, 51985,
     /*   76339 */     GIR_EraseRootFromParent_Done,
     /*   76340 */   // Label 1226: @76340
     /*   76340 */   GIM_Try, /*On fail goto*//*Label 1227*/ GIMT_Encode4(76389), // Rule ID 46258 //
     /*   76345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76352 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   76355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   76369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76387 */     GIR_RootConstrainSelectedInstOperands,
     /*   76388 */     // GIR_Coverage, 46258,
     /*   76388 */     GIR_EraseRootFromParent_Done,
     /*   76389 */   // Label 1227: @76389
     /*   76389 */   GIM_Try, /*On fail goto*//*Label 1228*/ GIMT_Encode4(76438), // Rule ID 46259 //
     /*   76394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76401 */     // (sub:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*   76404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*   76418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   76425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   76427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76436 */     GIR_RootConstrainSelectedInstOperands,
     /*   76437 */     // GIR_Coverage, 46259,
     /*   76437 */     GIR_EraseRootFromParent_Done,
     /*   76438 */   // Label 1228: @76438
     /*   76438 */   GIM_Reject,
     /*   76439 */ // Label 1224: @76439
     /*   76439 */ GIM_Reject,
     /*   76440 */ // Label 983: @76440
     /*   76440 */ GIM_Try, /*On fail goto*//*Label 1229*/ GIMT_Encode4(77562),
     /*   76445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   76448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   76451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   76455 */   GIM_Try, /*On fail goto*//*Label 1230*/ GIMT_Encode4(76544), // Rule ID 47230 //
     /*   76460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76503 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76542 */     GIR_RootConstrainSelectedInstOperands,
     /*   76543 */     // GIR_Coverage, 47230,
     /*   76543 */     GIR_EraseRootFromParent_Done,
     /*   76544 */   // Label 1230: @76544
     /*   76544 */   GIM_Try, /*On fail goto*//*Label 1231*/ GIMT_Encode4(76633), // Rule ID 47231 //
     /*   76549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   76579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76592 */     // (sub:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76631 */     GIR_RootConstrainSelectedInstOperands,
     /*   76632 */     // GIR_Coverage, 47231,
     /*   76632 */     GIR_EraseRootFromParent_Done,
     /*   76633 */   // Label 1231: @76633
     /*   76633 */   GIM_Try, /*On fail goto*//*Label 1232*/ GIMT_Encode4(76722), // Rule ID 46990 //
     /*   76638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76681 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   76698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76720 */     GIR_RootConstrainSelectedInstOperands,
     /*   76721 */     // GIR_Coverage, 46990,
     /*   76721 */     GIR_EraseRootFromParent_Done,
     /*   76722 */   // Label 1232: @76722
     /*   76722 */   GIM_Try, /*On fail goto*//*Label 1233*/ GIMT_Encode4(76811), // Rule ID 46991 //
     /*   76727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   76757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76770 */     // (sub:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*   76787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76809 */     GIR_RootConstrainSelectedInstOperands,
     /*   76810 */     // GIR_Coverage, 46991,
     /*   76810 */     GIR_EraseRootFromParent_Done,
     /*   76811 */   // Label 1233: @76811
     /*   76811 */   GIM_Try, /*On fail goto*//*Label 1234*/ GIMT_Encode4(76900), // Rule ID 47110 //
     /*   76816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76859 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   76859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76898 */     GIR_RootConstrainSelectedInstOperands,
     /*   76899 */     // GIR_Coverage, 47110,
     /*   76899 */     GIR_EraseRootFromParent_Done,
     /*   76900 */   // Label 1234: @76900
     /*   76900 */   GIM_Try, /*On fail goto*//*Label 1235*/ GIMT_Encode4(76989), // Rule ID 47111 //
     /*   76905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   76908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   76912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   76922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   76931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   76935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   76939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   76941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   76946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   76948 */     // (sub:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   76948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   76951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   76955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   76960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   76962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*   76965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   76967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   76970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   76974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   76978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   76981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   76987 */     GIR_RootConstrainSelectedInstOperands,
     /*   76988 */     // GIR_Coverage, 47111,
     /*   76988 */     GIR_EraseRootFromParent_Done,
     /*   76989 */   // Label 1235: @76989
     /*   76989 */   GIM_Try, /*On fail goto*//*Label 1236*/ GIMT_Encode4(77057), // Rule ID 52000 //
     /*   76994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   76997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   77009 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77013 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   77017 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77031 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   77031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   77034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77036 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   77040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77055 */     GIR_RootConstrainSelectedInstOperands,
     /*   77056 */     // GIR_Coverage, 52000,
     /*   77056 */     GIR_EraseRootFromParent_Done,
     /*   77057 */   // Label 1236: @77057
     /*   77057 */   GIM_Try, /*On fail goto*//*Label 1237*/ GIMT_Encode4(77125), // Rule ID 52001 //
     /*   77062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   77077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77081 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*   77085 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77099 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   77099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   77102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   77108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77112 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77123 */     GIR_RootConstrainSelectedInstOperands,
     /*   77124 */     // GIR_Coverage, 52001,
     /*   77124 */     GIR_EraseRootFromParent_Done,
     /*   77125 */   // Label 1237: @77125
     /*   77125 */   GIM_Try, /*On fail goto*//*Label 1238*/ GIMT_Encode4(77180), // Rule ID 47290 //
     /*   77130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77149 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77156 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77158 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77178 */     GIR_RootConstrainSelectedInstOperands,
     /*   77179 */     // GIR_Coverage, 47290,
     /*   77179 */     GIR_EraseRootFromParent_Done,
     /*   77180 */   // Label 1238: @77180
     /*   77180 */   GIM_Try, /*On fail goto*//*Label 1239*/ GIMT_Encode4(77235), // Rule ID 47291 //
     /*   77185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77204 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77213 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77233 */     GIR_RootConstrainSelectedInstOperands,
     /*   77234 */     // GIR_Coverage, 47291,
     /*   77234 */     GIR_EraseRootFromParent_Done,
     /*   77235 */   // Label 1239: @77235
     /*   77235 */   GIM_Try, /*On fail goto*//*Label 1240*/ GIMT_Encode4(77290), // Rule ID 47050 //
     /*   77240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77259 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77268 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   77271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77288 */     GIR_RootConstrainSelectedInstOperands,
     /*   77289 */     // GIR_Coverage, 47050,
     /*   77289 */     GIR_EraseRootFromParent_Done,
     /*   77290 */   // Label 1240: @77290
     /*   77290 */   GIM_Try, /*On fail goto*//*Label 1241*/ GIMT_Encode4(77345), // Rule ID 47051 //
     /*   77295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77310 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77314 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77323 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*   77326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77343 */     GIR_RootConstrainSelectedInstOperands,
     /*   77344 */     // GIR_Coverage, 47051,
     /*   77344 */     GIR_EraseRootFromParent_Done,
     /*   77345 */   // Label 1241: @77345
     /*   77345 */   GIM_Try, /*On fail goto*//*Label 1242*/ GIMT_Encode4(77400), // Rule ID 47170 //
     /*   77350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77365 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77369 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77371 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77378 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   77378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77398 */     GIR_RootConstrainSelectedInstOperands,
     /*   77399 */     // GIR_Coverage, 47170,
     /*   77399 */     GIR_EraseRootFromParent_Done,
     /*   77400 */   // Label 1242: @77400
     /*   77400 */   GIM_Try, /*On fail goto*//*Label 1243*/ GIMT_Encode4(77455), // Rule ID 47171 //
     /*   77405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   77416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*   77424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   77431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   77433 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   77433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*   77436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   77440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   77444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   77453 */     GIR_RootConstrainSelectedInstOperands,
     /*   77454 */     // GIR_Coverage, 47171,
     /*   77454 */     GIR_EraseRootFromParent_Done,
     /*   77455 */   // Label 1243: @77455
     /*   77455 */   GIM_Try, /*On fail goto*//*Label 1244*/ GIMT_Encode4(77508), // Rule ID 46274 //
     /*   77460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77471 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   77488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   77497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77506 */     GIR_RootConstrainSelectedInstOperands,
     /*   77507 */     // GIR_Coverage, 46274,
     /*   77507 */     GIR_EraseRootFromParent_Done,
     /*   77508 */   // Label 1244: @77508
     /*   77508 */   GIM_Try, /*On fail goto*//*Label 1245*/ GIMT_Encode4(77561), // Rule ID 46275 //
     /*   77513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77524 */     // (sub:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*   77527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   77541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   77548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   77550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77559 */     GIR_RootConstrainSelectedInstOperands,
     /*   77560 */     // GIR_Coverage, 46275,
     /*   77560 */     GIR_EraseRootFromParent_Done,
     /*   77561 */   // Label 1245: @77561
     /*   77561 */   GIM_Reject,
     /*   77562 */ // Label 1229: @77562
     /*   77562 */ GIM_Reject,
     /*   77563 */ // Label 984: @77563
     /*   77563 */ GIM_Try, /*On fail goto*//*Label 1246*/ GIMT_Encode4(78685),
     /*   77568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   77571 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   77574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   77578 */   GIM_Try, /*On fail goto*//*Label 1247*/ GIMT_Encode4(77667), // Rule ID 47254 //
     /*   77583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77598 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77605 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77609 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77613 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77617 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77626 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77648 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77665 */     GIR_RootConstrainSelectedInstOperands,
     /*   77666 */     // GIR_Coverage, 47254,
     /*   77666 */     GIR_EraseRootFromParent_Done,
     /*   77667 */   // Label 1247: @77667
     /*   77667 */   GIM_Try, /*On fail goto*//*Label 1248*/ GIMT_Encode4(77756), // Rule ID 47255 //
     /*   77672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77687 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77694 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77698 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   77702 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77706 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77708 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77715 */     // (sub:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77754 */     GIR_RootConstrainSelectedInstOperands,
     /*   77755 */     // GIR_Coverage, 47255,
     /*   77755 */     GIR_EraseRootFromParent_Done,
     /*   77756 */   // Label 1248: @77756
     /*   77756 */   GIM_Try, /*On fail goto*//*Label 1249*/ GIMT_Encode4(77845), // Rule ID 47014 //
     /*   77761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77776 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77795 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77797 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77802 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77804 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   77821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77826 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77843 */     GIR_RootConstrainSelectedInstOperands,
     /*   77844 */     // GIR_Coverage, 47014,
     /*   77844 */     GIR_EraseRootFromParent_Done,
     /*   77845 */   // Label 1249: @77845
     /*   77845 */   GIM_Try, /*On fail goto*//*Label 1250*/ GIMT_Encode4(77934), // Rule ID 47015 //
     /*   77850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   77853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77861 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77865 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   77880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77884 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77891 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77893 */     // (sub:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   77893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   77910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   77912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   77915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   77919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   77923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   77926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   77929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   77932 */     GIR_RootConstrainSelectedInstOperands,
     /*   77933 */     // GIR_Coverage, 47015,
     /*   77933 */     GIR_EraseRootFromParent_Done,
     /*   77934 */   // Label 1250: @77934
     /*   77934 */   GIM_Try, /*On fail goto*//*Label 1251*/ GIMT_Encode4(78023), // Rule ID 47134 //
     /*   77939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   77942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   77946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77950 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77954 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   77956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77961 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   77965 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   77969 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   77973 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   77975 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   77980 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   77982 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   77982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   77985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   77989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   77994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   77996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   77999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78004 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78021 */     GIR_RootConstrainSelectedInstOperands,
     /*   78022 */     // GIR_Coverage, 47134,
     /*   78022 */     GIR_EraseRootFromParent_Done,
     /*   78023 */   // Label 1251: @78023
     /*   78023 */   GIM_Try, /*On fail goto*//*Label 1252*/ GIMT_Encode4(78112), // Rule ID 47135 //
     /*   78028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78039 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78043 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78062 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78064 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78069 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78071 */     // (sub:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   78071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   78088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   78097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   78101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78110 */     GIR_RootConstrainSelectedInstOperands,
     /*   78111 */     // GIR_Coverage, 47135,
     /*   78111 */     GIR_EraseRootFromParent_Done,
     /*   78112 */   // Label 1252: @78112
     /*   78112 */   GIM_Try, /*On fail goto*//*Label 1253*/ GIMT_Encode4(78180), // Rule ID 52016 //
     /*   78117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78120 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   78136 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   78140 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78154 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*   78154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   78157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78178 */     GIR_RootConstrainSelectedInstOperands,
     /*   78179 */     // GIR_Coverage, 52016,
     /*   78179 */     GIR_EraseRootFromParent_Done,
     /*   78180 */   // Label 1253: @78180
     /*   78180 */   GIM_Try, /*On fail goto*//*Label 1254*/ GIMT_Encode4(78248), // Rule ID 52017 //
     /*   78185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78200 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*   78204 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*   78208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78222 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*   78222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   78225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78246 */     GIR_RootConstrainSelectedInstOperands,
     /*   78247 */     // GIR_Coverage, 52017,
     /*   78247 */     GIR_EraseRootFromParent_Done,
     /*   78248 */   // Label 1254: @78248
     /*   78248 */   GIM_Try, /*On fail goto*//*Label 1255*/ GIMT_Encode4(78303), // Rule ID 47314 //
     /*   78253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78256 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78281 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78288 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78301 */     GIR_RootConstrainSelectedInstOperands,
     /*   78302 */     // GIR_Coverage, 47314,
     /*   78302 */     GIR_EraseRootFromParent_Done,
     /*   78303 */   // Label 1255: @78303
     /*   78303 */   GIM_Try, /*On fail goto*//*Label 1256*/ GIMT_Encode4(78358), // Rule ID 47315 //
     /*   78308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78311 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78327 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78336 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78356 */     GIR_RootConstrainSelectedInstOperands,
     /*   78357 */     // GIR_Coverage, 47315,
     /*   78357 */     GIR_EraseRootFromParent_Done,
     /*   78358 */   // Label 1256: @78358
     /*   78358 */   GIM_Try, /*On fail goto*//*Label 1257*/ GIMT_Encode4(78413), // Rule ID 47074 //
     /*   78363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78378 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78382 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78384 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78391 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   78394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78411 */     GIR_RootConstrainSelectedInstOperands,
     /*   78412 */     // GIR_Coverage, 47074,
     /*   78412 */     GIR_EraseRootFromParent_Done,
     /*   78413 */   // Label 1257: @78413
     /*   78413 */   GIM_Try, /*On fail goto*//*Label 1258*/ GIMT_Encode4(78468), // Rule ID 47075 //
     /*   78418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   78433 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78437 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78446 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   78449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78466 */     GIR_RootConstrainSelectedInstOperands,
     /*   78467 */     // GIR_Coverage, 47075,
     /*   78467 */     GIR_EraseRootFromParent_Done,
     /*   78468 */   // Label 1258: @78468
     /*   78468 */   GIM_Try, /*On fail goto*//*Label 1259*/ GIMT_Encode4(78523), // Rule ID 47194 //
     /*   78473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78488 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78492 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78501 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   78501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78508 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78521 */     GIR_RootConstrainSelectedInstOperands,
     /*   78522 */     // GIR_Coverage, 47194,
     /*   78522 */     GIR_EraseRootFromParent_Done,
     /*   78523 */   // Label 1259: @78523
     /*   78523 */   GIM_Try, /*On fail goto*//*Label 1260*/ GIMT_Encode4(78578), // Rule ID 47195 //
     /*   78528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   78543 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*   78547 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78556 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   78556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   78559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   78573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78576 */     GIR_RootConstrainSelectedInstOperands,
     /*   78577 */     // GIR_Coverage, 47195,
     /*   78577 */     GIR_EraseRootFromParent_Done,
     /*   78578 */   // Label 1260: @78578
     /*   78578 */   GIM_Try, /*On fail goto*//*Label 1261*/ GIMT_Encode4(78631), // Rule ID 46290 //
     /*   78583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78594 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   78594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   78611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78629 */     GIR_RootConstrainSelectedInstOperands,
     /*   78630 */     // GIR_Coverage, 46290,
     /*   78630 */     GIR_EraseRootFromParent_Done,
     /*   78631 */   // Label 1261: @78631
     /*   78631 */   GIM_Try, /*On fail goto*//*Label 1262*/ GIMT_Encode4(78684), // Rule ID 46291 //
     /*   78636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78647 */     // (sub:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   78647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*   78650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   78664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   78679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78682 */     GIR_RootConstrainSelectedInstOperands,
     /*   78683 */     // GIR_Coverage, 46291,
     /*   78683 */     GIR_EraseRootFromParent_Done,
     /*   78684 */   // Label 1262: @78684
     /*   78684 */   GIM_Reject,
     /*   78685 */ // Label 1246: @78685
     /*   78685 */ GIM_Reject,
     /*   78686 */ // Label 985: @78686
     /*   78686 */ GIM_Try, /*On fail goto*//*Label 1263*/ GIMT_Encode4(78932),
     /*   78691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78705 */   GIM_Try, /*On fail goto*//*Label 1264*/ GIMT_Encode4(78769), // Rule ID 51988 //
     /*   78710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78721 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78725 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78729 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78743 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   78743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   78746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78748 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78752 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78767 */     GIR_RootConstrainSelectedInstOperands,
     /*   78768 */     // GIR_Coverage, 51988,
     /*   78768 */     GIR_EraseRootFromParent_Done,
     /*   78769 */   // Label 1264: @78769
     /*   78769 */   GIM_Try, /*On fail goto*//*Label 1265*/ GIMT_Encode4(78833), // Rule ID 51989 //
     /*   78774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   78781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   78785 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78789 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*   78793 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78795 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   78807 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs2, (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   78807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /*   78810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78812 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   78816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   78820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   78822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   78831 */     GIR_RootConstrainSelectedInstOperands,
     /*   78832 */     // GIR_Coverage, 51989,
     /*   78832 */     GIR_EraseRootFromParent_Done,
     /*   78833 */   // Label 1265: @78833
     /*   78833 */   GIM_Try, /*On fail goto*//*Label 1266*/ GIMT_Encode4(78882), // Rule ID 46262 //
     /*   78838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78845 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   78848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   78862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78880 */     GIR_RootConstrainSelectedInstOperands,
     /*   78881 */     // GIR_Coverage, 46262,
     /*   78881 */     GIR_EraseRootFromParent_Done,
     /*   78882 */   // Label 1266: @78882
     /*   78882 */   GIM_Try, /*On fail goto*//*Label 1267*/ GIMT_Encode4(78931), // Rule ID 46263 //
     /*   78887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   78890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78894 */     // (sub:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   78894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*   78897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   78901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   78906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   78908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*   78911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   78913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   78916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   78918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   78920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   78923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   78929 */     GIR_RootConstrainSelectedInstOperands,
     /*   78930 */     // GIR_Coverage, 46263,
     /*   78930 */     GIR_EraseRootFromParent_Done,
     /*   78931 */   // Label 1267: @78931
     /*   78931 */   GIM_Reject,
     /*   78932 */ // Label 1263: @78932
     /*   78932 */ GIM_Reject,
     /*   78933 */ // Label 986: @78933
     /*   78933 */ GIM_Try, /*On fail goto*//*Label 1268*/ GIMT_Encode4(80055),
     /*   78938 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   78941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   78944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   78948 */   GIM_Try, /*On fail goto*//*Label 1269*/ GIMT_Encode4(79037), // Rule ID 47234 //
     /*   78953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   78956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   78960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78968 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   78970 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78975 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   78979 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   78983 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   78987 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   78989 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   78994 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   78996 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   78996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   78999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79022 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79035 */     GIR_RootConstrainSelectedInstOperands,
     /*   79036 */     // GIR_Coverage, 47234,
     /*   79036 */     GIR_EraseRootFromParent_Done,
     /*   79037 */   // Label 1269: @79037
     /*   79037 */   GIM_Try, /*On fail goto*//*Label 1270*/ GIMT_Encode4(79126), // Rule ID 47235 //
     /*   79042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79057 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79064 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79068 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79072 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79076 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79078 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79083 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79085 */     // (sub:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79124 */     GIR_RootConstrainSelectedInstOperands,
     /*   79125 */     // GIR_Coverage, 47235,
     /*   79125 */     GIR_EraseRootFromParent_Done,
     /*   79126 */   // Label 1270: @79126
     /*   79126 */   GIM_Try, /*On fail goto*//*Label 1271*/ GIMT_Encode4(79215), // Rule ID 46994 //
     /*   79131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79146 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79153 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79157 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79161 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79165 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79174 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   79191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79213 */     GIR_RootConstrainSelectedInstOperands,
     /*   79214 */     // GIR_Coverage, 46994,
     /*   79214 */     GIR_EraseRootFromParent_Done,
     /*   79215 */   // Label 1271: @79215
     /*   79215 */   GIM_Try, /*On fail goto*//*Label 1272*/ GIMT_Encode4(79304), // Rule ID 46995 //
     /*   79220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79235 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79242 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79246 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79250 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79254 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79256 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79261 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79263 */     // (sub:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*   79280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79289 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79302 */     GIR_RootConstrainSelectedInstOperands,
     /*   79303 */     // GIR_Coverage, 46995,
     /*   79303 */     GIR_EraseRootFromParent_Done,
     /*   79304 */   // Label 1272: @79304
     /*   79304 */   GIM_Try, /*On fail goto*//*Label 1273*/ GIMT_Encode4(79393), // Rule ID 47114 //
     /*   79309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79320 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79324 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79326 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79331 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79335 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79339 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79343 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79345 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79350 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79352 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   79352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79378 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79391 */     GIR_RootConstrainSelectedInstOperands,
     /*   79392 */     // GIR_Coverage, 47114,
     /*   79392 */     GIR_EraseRootFromParent_Done,
     /*   79393 */   // Label 1273: @79393
     /*   79393 */   GIM_Try, /*On fail goto*//*Label 1274*/ GIMT_Encode4(79482), // Rule ID 47115 //
     /*   79398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   79405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79413 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   79424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79432 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   79434 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   79441 */     // (sub:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   79441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*   79458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   79467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   79471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79480 */     GIR_RootConstrainSelectedInstOperands,
     /*   79481 */     // GIR_Coverage, 47115,
     /*   79481 */     GIR_EraseRootFromParent_Done,
     /*   79482 */   // Label 1274: @79482
     /*   79482 */   GIM_Try, /*On fail goto*//*Label 1275*/ GIMT_Encode4(79550), // Rule ID 52004 //
     /*   79487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   79502 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79506 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79510 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79517 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79524 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*   79524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   79527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   79533 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79548 */     GIR_RootConstrainSelectedInstOperands,
     /*   79549 */     // GIR_Coverage, 52004,
     /*   79549 */     GIR_EraseRootFromParent_Done,
     /*   79550 */   // Label 1275: @79550
     /*   79550 */   GIM_Try, /*On fail goto*//*Label 1276*/ GIMT_Encode4(79618), // Rule ID 52005 //
     /*   79555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   79570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*   79574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*   79578 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79580 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79585 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79590 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79592 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*   79592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   79595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   79601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79616 */     GIR_RootConstrainSelectedInstOperands,
     /*   79617 */     // GIR_Coverage, 52005,
     /*   79617 */     GIR_EraseRootFromParent_Done,
     /*   79618 */   // Label 1276: @79618
     /*   79618 */   GIM_Try, /*On fail goto*//*Label 1277*/ GIMT_Encode4(79673), // Rule ID 47294 //
     /*   79623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79638 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79642 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79644 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79651 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79671 */     GIR_RootConstrainSelectedInstOperands,
     /*   79672 */     // GIR_Coverage, 47294,
     /*   79672 */     GIR_EraseRootFromParent_Done,
     /*   79673 */   // Label 1277: @79673
     /*   79673 */   GIM_Try, /*On fail goto*//*Label 1278*/ GIMT_Encode4(79728), // Rule ID 47295 //
     /*   79678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   79693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79706 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79726 */     GIR_RootConstrainSelectedInstOperands,
     /*   79727 */     // GIR_Coverage, 47295,
     /*   79727 */     GIR_EraseRootFromParent_Done,
     /*   79728 */   // Label 1278: @79728
     /*   79728 */   GIM_Try, /*On fail goto*//*Label 1279*/ GIMT_Encode4(79783), // Rule ID 47054 //
     /*   79733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79740 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79744 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79748 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79752 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79754 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79761 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   79764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79768 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79781 */     GIR_RootConstrainSelectedInstOperands,
     /*   79782 */     // GIR_Coverage, 47054,
     /*   79782 */     GIR_EraseRootFromParent_Done,
     /*   79783 */   // Label 1279: @79783
     /*   79783 */   GIM_Try, /*On fail goto*//*Label 1280*/ GIMT_Encode4(79838), // Rule ID 47055 //
     /*   79788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   79803 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79807 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79816 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*   79819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79836 */     GIR_RootConstrainSelectedInstOperands,
     /*   79837 */     // GIR_Coverage, 47055,
     /*   79837 */     GIR_EraseRootFromParent_Done,
     /*   79838 */   // Label 1280: @79838
     /*   79838 */   GIM_Try, /*On fail goto*//*Label 1281*/ GIMT_Encode4(79893), // Rule ID 47174 //
     /*   79843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79862 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79864 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79871 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   79871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79878 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79891 */     GIR_RootConstrainSelectedInstOperands,
     /*   79892 */     // GIR_Coverage, 47174,
     /*   79892 */     GIR_EraseRootFromParent_Done,
     /*   79893 */   // Label 1281: @79893
     /*   79893 */   GIM_Try, /*On fail goto*//*Label 1282*/ GIMT_Encode4(79948), // Rule ID 47175 //
     /*   79898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   79901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   79909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   79913 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*   79917 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   79919 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   79924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   79926 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   79926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*   79929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   79933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   79937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   79946 */     GIR_RootConstrainSelectedInstOperands,
     /*   79947 */     // GIR_Coverage, 47175,
     /*   79947 */     GIR_EraseRootFromParent_Done,
     /*   79948 */   // Label 1282: @79948
     /*   79948 */   GIM_Try, /*On fail goto*//*Label 1283*/ GIMT_Encode4(80001), // Rule ID 46278 //
     /*   79953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   79956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   79964 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   79964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   79967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   79971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   79976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   79978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   79981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   79983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   79986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   79988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   79990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   79993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   79996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   79999 */     GIR_RootConstrainSelectedInstOperands,
     /*   80000 */     // GIR_Coverage, 46278,
     /*   80000 */     GIR_EraseRootFromParent_Done,
     /*   80001 */   // Label 1283: @80001
     /*   80001 */   GIM_Try, /*On fail goto*//*Label 1284*/ GIMT_Encode4(80054), // Rule ID 46279 //
     /*   80006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80017 */     // (sub:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   80017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*   80020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   80049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80052 */     GIR_RootConstrainSelectedInstOperands,
     /*   80053 */     // GIR_Coverage, 46279,
     /*   80053 */     GIR_EraseRootFromParent_Done,
     /*   80054 */   // Label 1284: @80054
     /*   80054 */   GIM_Reject,
     /*   80055 */ // Label 1268: @80055
     /*   80055 */ GIM_Reject,
     /*   80056 */ // Label 987: @80056
     /*   80056 */ GIM_Try, /*On fail goto*//*Label 1285*/ GIMT_Encode4(80302),
     /*   80061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80075 */   GIM_Try, /*On fail goto*//*Label 1286*/ GIMT_Encode4(80139), // Rule ID 51992 //
     /*   80080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   80091 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80095 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80099 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80113 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*   80113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   80116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   80122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80137 */     GIR_RootConstrainSelectedInstOperands,
     /*   80138 */     // GIR_Coverage, 51992,
     /*   80138 */     GIR_EraseRootFromParent_Done,
     /*   80139 */   // Label 1286: @80139
     /*   80139 */   GIM_Try, /*On fail goto*//*Label 1287*/ GIMT_Encode4(80203), // Rule ID 51993 //
     /*   80144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*   80151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_MUL),
     /*   80155 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*   80159 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*   80163 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80165 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80170 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*   80177 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs2, (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rd)<<P:Predicate_mul_oneuse>>)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*   80177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /*   80180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rd
     /*   80186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*   80192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*   80201 */     GIR_RootConstrainSelectedInstOperands,
     /*   80202 */     // GIR_Coverage, 51993,
     /*   80202 */     GIR_EraseRootFromParent_Done,
     /*   80203 */   // Label 1287: @80203
     /*   80203 */   GIM_Try, /*On fail goto*//*Label 1288*/ GIMT_Encode4(80252), // Rule ID 46266 //
     /*   80208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80215 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   80218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80250 */     GIR_RootConstrainSelectedInstOperands,
     /*   80251 */     // GIR_Coverage, 46266,
     /*   80251 */     GIR_EraseRootFromParent_Done,
     /*   80252 */   // Label 1288: @80252
     /*   80252 */   GIM_Try, /*On fail goto*//*Label 1289*/ GIMT_Encode4(80301), // Rule ID 46267 //
     /*   80257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*   80264 */     // (sub:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*   80267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*   80281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80299 */     GIR_RootConstrainSelectedInstOperands,
     /*   80300 */     // GIR_Coverage, 46267,
     /*   80300 */     GIR_EraseRootFromParent_Done,
     /*   80301 */   // Label 1289: @80301
     /*   80301 */   GIM_Reject,
     /*   80302 */ // Label 1285: @80302
     /*   80302 */ GIM_Reject,
     /*   80303 */ // Label 988: @80303
     /*   80303 */ GIM_Reject,
     /*   80304 */ // Label 2: @80304
     /*   80304 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1314*/ GIMT_Encode4(107357),
     /*   80315 */ /*GILLT_s32*//*Label 1290*/ GIMT_Encode4(80439),
     /*   80319 */ /*GILLT_s64*//*Label 1291*/ GIMT_Encode4(80473), GIMT_Encode4(0),
     /*   80327 */ /*GILLT_nxv1s8*//*Label 1292*/ GIMT_Encode4(80677),
     /*   80331 */ /*GILLT_nxv1s16*//*Label 1293*/ GIMT_Encode4(80792),
     /*   80335 */ /*GILLT_nxv1s32*//*Label 1294*/ GIMT_Encode4(82517),
     /*   80339 */ /*GILLT_nxv1s64*//*Label 1295*/ GIMT_Encode4(84242), GIMT_Encode4(0),
     /*   80347 */ /*GILLT_nxv2s8*//*Label 1296*/ GIMT_Encode4(85967),
     /*   80351 */ /*GILLT_nxv2s16*//*Label 1297*/ GIMT_Encode4(86082),
     /*   80355 */ /*GILLT_nxv2s32*//*Label 1298*/ GIMT_Encode4(87807),
     /*   80359 */ /*GILLT_nxv2s64*//*Label 1299*/ GIMT_Encode4(89532), GIMT_Encode4(0),
     /*   80367 */ /*GILLT_nxv4s8*//*Label 1300*/ GIMT_Encode4(91257),
     /*   80371 */ /*GILLT_nxv4s16*//*Label 1301*/ GIMT_Encode4(91372),
     /*   80375 */ /*GILLT_nxv4s32*//*Label 1302*/ GIMT_Encode4(93097),
     /*   80379 */ /*GILLT_nxv4s64*//*Label 1303*/ GIMT_Encode4(94822), GIMT_Encode4(0),
     /*   80387 */ /*GILLT_nxv8s8*//*Label 1304*/ GIMT_Encode4(96547),
     /*   80391 */ /*GILLT_nxv8s16*//*Label 1305*/ GIMT_Encode4(96662),
     /*   80395 */ /*GILLT_nxv8s32*//*Label 1306*/ GIMT_Encode4(98387),
     /*   80399 */ /*GILLT_nxv8s64*//*Label 1307*/ GIMT_Encode4(100112), GIMT_Encode4(0),
     /*   80407 */ /*GILLT_nxv16s8*//*Label 1308*/ GIMT_Encode4(101837),
     /*   80411 */ /*GILLT_nxv16s16*//*Label 1309*/ GIMT_Encode4(101952),
     /*   80415 */ /*GILLT_nxv16s32*//*Label 1310*/ GIMT_Encode4(103677), GIMT_Encode4(0),
     /*   80423 */ /*GILLT_nxv32s8*//*Label 1311*/ GIMT_Encode4(105402),
     /*   80427 */ /*GILLT_nxv32s16*//*Label 1312*/ GIMT_Encode4(105517), GIMT_Encode4(0),
     /*   80435 */ /*GILLT_nxv64s8*//*Label 1313*/ GIMT_Encode4(107242),
     /*   80439 */ // Label 1290: @80439
     /*   80439 */ GIM_Try, /*On fail goto*//*Label 1315*/ GIMT_Encode4(80472), // Rule ID 298 //
     /*   80444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /*   80447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*   80450 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*   80453 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80457 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80465 */   // (mul:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MUL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*   80465 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   80470 */   GIR_RootConstrainSelectedInstOperands,
     /*   80471 */   // GIR_Coverage, 298,
     /*   80471 */   GIR_Done,
     /*   80472 */ // Label 1315: @80472
     /*   80472 */ GIM_Reject,
     /*   80473 */ // Label 1291: @80473
     /*   80473 */ GIM_Try, /*On fail goto*//*Label 1316*/ GIMT_Encode4(80676),
     /*   80478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*   80481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*   80484 */   GIM_Try, /*On fail goto*//*Label 1317*/ GIMT_Encode4(80617), // Rule ID 320 //
     /*   80489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_NotHasStdExtZba_HwMode0),
     /*   80492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*   80504 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*   80508 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*   80512 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80517 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /*   80528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*   80536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*   80540 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*   80544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80549 */     GIM_CheckConstantInt, /*MI*/2, /*Op*/2, GIMT_Encode8(4294967295),
     /*   80560 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80562 */     // (mul:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (and:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 4294967295:{ *:[i64] }))  =>  (MULHU:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))
     /*   80562 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*   80565 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   80569 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80574 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   80578 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/32,
     /*   80581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*   80583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*   80586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*   80590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80595 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   80599 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*   80602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /*   80607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80612 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*   80615 */     GIR_RootConstrainSelectedInstOperands,
     /*   80616 */     // GIR_Coverage, 320,
     /*   80616 */     GIR_EraseRootFromParent_Done,
     /*   80617 */   // Label 1317: @80617
     /*   80617 */   GIM_Try, /*On fail goto*//*Label 1318*/ GIMT_Encode4(80648), // Rule ID 313 //
     /*   80622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_IsRV64_HwMode0),
     /*   80625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80637 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10066),
     /*   80641 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_anonymous_10066>>  =>  (MULW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   80641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULW),
     /*   80646 */     GIR_RootConstrainSelectedInstOperands,
     /*   80647 */     // GIR_Coverage, 313,
     /*   80647 */     GIR_Done,
     /*   80648 */   // Label 1318: @80648
     /*   80648 */   GIM_Try, /*On fail goto*//*Label 1319*/ GIMT_Encode4(80675), // Rule ID 297 //
     /*   80653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /*   80656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*   80668 */     // (mul:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MUL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*   80668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MUL),
     /*   80673 */     GIR_RootConstrainSelectedInstOperands,
     /*   80674 */     // GIR_Coverage, 297,
     /*   80674 */     GIR_Done,
     /*   80675 */   // Label 1319: @80675
     /*   80675 */   GIM_Reject,
     /*   80676 */ // Label 1316: @80676
     /*   80676 */ GIM_Reject,
     /*   80677 */ // Label 1292: @80677
     /*   80677 */ GIM_Try, /*On fail goto*//*Label 1320*/ GIMT_Encode4(80791),
     /*   80682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*   80688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80692 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80700 */   GIM_Try, /*On fail goto*//*Label 1321*/ GIMT_Encode4(80745), // Rule ID 50854 //
     /*   80705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80708 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   80711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   80725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80743 */     GIR_RootConstrainSelectedInstOperands,
     /*   80744 */     // GIR_Coverage, 50854,
     /*   80744 */     GIR_EraseRootFromParent_Done,
     /*   80745 */   // Label 1321: @80745
     /*   80745 */   GIM_Try, /*On fail goto*//*Label 1322*/ GIMT_Encode4(80790), // Rule ID 50855 //
     /*   80750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80753 */     // (mul:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*   80756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*   80770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   80777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   80779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80788 */     GIR_RootConstrainSelectedInstOperands,
     /*   80789 */     // GIR_Coverage, 50855,
     /*   80789 */     GIR_EraseRootFromParent_Done,
     /*   80790 */   // Label 1322: @80790
     /*   80790 */   GIM_Reject,
     /*   80791 */ // Label 1320: @80791
     /*   80791 */ GIM_Reject,
     /*   80792 */ // Label 1293: @80792
     /*   80792 */ GIM_Try, /*On fail goto*//*Label 1323*/ GIMT_Encode4(82516),
     /*   80797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   80800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*   80803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80807 */   GIM_Try, /*On fail goto*//*Label 1324*/ GIMT_Encode4(80896), // Rule ID 51620 //
     /*   80812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80827 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80846 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80848 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80853 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80855 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   80855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   80858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   80872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80894 */     GIR_RootConstrainSelectedInstOperands,
     /*   80895 */     // GIR_Coverage, 51620,
     /*   80895 */     GIR_EraseRootFromParent_Done,
     /*   80896 */   // Label 1324: @80896
     /*   80896 */   GIM_Try, /*On fail goto*//*Label 1325*/ GIMT_Encode4(80985), // Rule ID 51621 //
     /*   80901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   80904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80916 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   80918 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80923 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   80927 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   80931 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   80935 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   80937 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   80942 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   80944 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   80944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   80947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   80951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   80956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   80958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   80961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   80963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   80966 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   80970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   80974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   80977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   80983 */     GIR_RootConstrainSelectedInstOperands,
     /*   80984 */     // GIR_Coverage, 51621,
     /*   80984 */     GIR_EraseRootFromParent_Done,
     /*   80985 */   // Label 1325: @80985
     /*   80985 */   GIM_Try, /*On fail goto*//*Label 1326*/ GIMT_Encode4(81074), // Rule ID 70524 //
     /*   80990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   80993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   80997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81005 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81024 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81033 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81033 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81036 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81040 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81045 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81052 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81072 */     GIR_RootConstrainSelectedInstOperands,
     /*   81073 */     // GIR_Coverage, 70524,
     /*   81073 */     GIR_EraseRootFromParent_Done,
     /*   81074 */   // Label 1326: @81074
     /*   81074 */   GIM_Try, /*On fail goto*//*Label 1327*/ GIMT_Encode4(81163), // Rule ID 70525 //
     /*   81079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81082 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81086 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81090 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81094 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81113 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81115 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81120 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81122 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81144 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81148 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81161 */     GIR_RootConstrainSelectedInstOperands,
     /*   81162 */     // GIR_Coverage, 70525,
     /*   81162 */     GIR_EraseRootFromParent_Done,
     /*   81163 */   // Label 1327: @81163
     /*   81163 */   GIM_Try, /*On fail goto*//*Label 1328*/ GIMT_Encode4(81252), // Rule ID 70404 //
     /*   81168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81179 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81183 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81190 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81194 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81198 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81202 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81204 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81209 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81211 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81250 */     GIR_RootConstrainSelectedInstOperands,
     /*   81251 */     // GIR_Coverage, 70404,
     /*   81251 */     GIR_EraseRootFromParent_Done,
     /*   81252 */   // Label 1328: @81252
     /*   81252 */   GIM_Try, /*On fail goto*//*Label 1329*/ GIMT_Encode4(81341), // Rule ID 70405 //
     /*   81257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81268 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81272 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81291 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81300 */     // (mul:{ *:[nxv1i16] } (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81322 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   81326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   81330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81339 */     GIR_RootConstrainSelectedInstOperands,
     /*   81340 */     // GIR_Coverage, 70405,
     /*   81340 */     GIR_EraseRootFromParent_Done,
     /*   81341 */   // Label 1329: @81341
     /*   81341 */   GIM_Try, /*On fail goto*//*Label 1330*/ GIMT_Encode4(81430), // Rule ID 51800 //
     /*   81346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81361 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81363 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81368 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81372 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81376 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81380 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81389 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81428 */     GIR_RootConstrainSelectedInstOperands,
     /*   81429 */     // GIR_Coverage, 51800,
     /*   81429 */     GIR_EraseRootFromParent_Done,
     /*   81430 */   // Label 1330: @81430
     /*   81430 */   GIM_Try, /*On fail goto*//*Label 1331*/ GIMT_Encode4(81519), // Rule ID 51801 //
     /*   81435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81446 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81450 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81452 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81457 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81461 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81465 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81469 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81471 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81478 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81517 */     GIR_RootConstrainSelectedInstOperands,
     /*   81518 */     // GIR_Coverage, 51801,
     /*   81518 */     GIR_EraseRootFromParent_Done,
     /*   81519 */   // Label 1331: @81519
     /*   81519 */   GIM_Try, /*On fail goto*//*Label 1332*/ GIMT_Encode4(81608), // Rule ID 51500 //
     /*   81524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81539 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81546 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81550 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81554 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81558 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81560 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81565 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81567 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   81584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81589 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81606 */     GIR_RootConstrainSelectedInstOperands,
     /*   81607 */     // GIR_Coverage, 51500,
     /*   81607 */     GIR_EraseRootFromParent_Done,
     /*   81608 */   // Label 1332: @81608
     /*   81608 */   GIM_Try, /*On fail goto*//*Label 1333*/ GIMT_Encode4(81697), // Rule ID 51501 //
     /*   81613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81628 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81647 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81649 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81654 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81656 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*   81673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81682 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81695 */     GIR_RootConstrainSelectedInstOperands,
     /*   81696 */     // GIR_Coverage, 51501,
     /*   81696 */     GIR_EraseRootFromParent_Done,
     /*   81697 */   // Label 1333: @81697
     /*   81697 */   GIM_Try, /*On fail goto*//*Label 1334*/ GIMT_Encode4(81786), // Rule ID 51740 //
     /*   81702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81717 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81724 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81728 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81732 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81736 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81738 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81743 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81745 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81784 */     GIR_RootConstrainSelectedInstOperands,
     /*   81785 */     // GIR_Coverage, 51740,
     /*   81785 */     GIR_EraseRootFromParent_Done,
     /*   81786 */   // Label 1334: @81786
     /*   81786 */   GIM_Try, /*On fail goto*//*Label 1335*/ GIMT_Encode4(81875), // Rule ID 51741 //
     /*   81791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   81802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81806 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81825 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81832 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81834 */     // (mul:{ *:[nxv1i16] } (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   81834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   81851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81856 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81860 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81873 */     GIR_RootConstrainSelectedInstOperands,
     /*   81874 */     // GIR_Coverage, 51741,
     /*   81874 */     GIR_EraseRootFromParent_Done,
     /*   81875 */   // Label 1335: @81875
     /*   81875 */   GIM_Try, /*On fail goto*//*Label 1336*/ GIMT_Encode4(81964), // Rule ID 51680 //
     /*   81880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   81883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81895 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81897 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81902 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81906 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81910 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81914 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   81916 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   81923 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   81923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   81926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   81930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   81935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   81937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   81940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   81942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   81945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   81949 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   81953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   81956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   81962 */     GIR_RootConstrainSelectedInstOperands,
     /*   81963 */     // GIR_Coverage, 51680,
     /*   81963 */     GIR_EraseRootFromParent_Done,
     /*   81964 */   // Label 1336: @81964
     /*   81964 */   GIM_Try, /*On fail goto*//*Label 1337*/ GIMT_Encode4(82053), // Rule ID 51681 //
     /*   81969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   81972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   81976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   81980 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   81984 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   81986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   81991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   81995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   81999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82003 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82005 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82010 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82012 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82034 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82038 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82051 */     GIR_RootConstrainSelectedInstOperands,
     /*   82052 */     // GIR_Coverage, 51681,
     /*   82052 */     GIR_EraseRootFromParent_Done,
     /*   82053 */   // Label 1337: @82053
     /*   82053 */   GIM_Try, /*On fail goto*//*Label 1338*/ GIMT_Encode4(82142), // Rule ID 70464 //
     /*   82058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82069 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82073 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82092 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82094 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82099 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82101 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82140 */     GIR_RootConstrainSelectedInstOperands,
     /*   82141 */     // GIR_Coverage, 70464,
     /*   82141 */     GIR_EraseRootFromParent_Done,
     /*   82142 */   // Label 1338: @82142
     /*   82142 */   GIM_Try, /*On fail goto*//*Label 1339*/ GIMT_Encode4(82231), // Rule ID 70465 //
     /*   82147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82158 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82162 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82169 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82173 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82177 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82181 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82183 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82188 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82190 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*   82207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82216 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82229 */     GIR_RootConstrainSelectedInstOperands,
     /*   82230 */     // GIR_Coverage, 70465,
     /*   82230 */     GIR_EraseRootFromParent_Done,
     /*   82231 */   // Label 1339: @82231
     /*   82231 */   GIM_Try, /*On fail goto*//*Label 1340*/ GIMT_Encode4(82320), // Rule ID 51560 //
     /*   82236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82251 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82253 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82258 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82262 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82266 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82270 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82279 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   82279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82301 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82305 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82318 */     GIR_RootConstrainSelectedInstOperands,
     /*   82319 */     // GIR_Coverage, 51560,
     /*   82319 */     GIR_EraseRootFromParent_Done,
     /*   82320 */   // Label 1340: @82320
     /*   82320 */   GIM_Try, /*On fail goto*//*Label 1341*/ GIMT_Encode4(82409), // Rule ID 51561 //
     /*   82325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82340 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82342 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82347 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82351 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82355 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*   82359 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82361 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82368 */     // (mul:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   82368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*   82385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82407 */     GIR_RootConstrainSelectedInstOperands,
     /*   82408 */     // GIR_Coverage, 51561,
     /*   82408 */     GIR_EraseRootFromParent_Done,
     /*   82409 */   // Label 1341: @82409
     /*   82409 */   GIM_Try, /*On fail goto*//*Label 1342*/ GIMT_Encode4(82462), // Rule ID 50866 //
     /*   82414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82417 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82425 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82425 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82428 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82432 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82437 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   82442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82444 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   82449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   82451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82460 */     GIR_RootConstrainSelectedInstOperands,
     /*   82461 */     // GIR_Coverage, 50866,
     /*   82461 */     GIR_EraseRootFromParent_Done,
     /*   82462 */   // Label 1342: @82462
     /*   82462 */   GIM_Try, /*On fail goto*//*Label 1343*/ GIMT_Encode4(82515), // Rule ID 50867 //
     /*   82467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82478 */     // (mul:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*   82481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   82495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   82502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   82504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82513 */     GIR_RootConstrainSelectedInstOperands,
     /*   82514 */     // GIR_Coverage, 50867,
     /*   82514 */     GIR_EraseRootFromParent_Done,
     /*   82515 */   // Label 1343: @82515
     /*   82515 */   GIM_Reject,
     /*   82516 */ // Label 1323: @82516
     /*   82516 */ GIM_Reject,
     /*   82517 */ // Label 1294: @82517
     /*   82517 */ GIM_Try, /*On fail goto*//*Label 1344*/ GIMT_Encode4(84241),
     /*   82522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   82525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*   82528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82532 */   GIM_Try, /*On fail goto*//*Label 1345*/ GIMT_Encode4(82621), // Rule ID 51644 //
     /*   82537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82580 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82619 */     GIR_RootConstrainSelectedInstOperands,
     /*   82620 */     // GIR_Coverage, 51644,
     /*   82620 */     GIR_EraseRootFromParent_Done,
     /*   82621 */   // Label 1345: @82621
     /*   82621 */   GIM_Try, /*On fail goto*//*Label 1346*/ GIMT_Encode4(82710), // Rule ID 51645 //
     /*   82626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82669 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   82695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   82699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82708 */     GIR_RootConstrainSelectedInstOperands,
     /*   82709 */     // GIR_Coverage, 51645,
     /*   82709 */     GIR_EraseRootFromParent_Done,
     /*   82710 */   // Label 1346: @82710
     /*   82710 */   GIM_Try, /*On fail goto*//*Label 1347*/ GIMT_Encode4(82799), // Rule ID 70548 //
     /*   82715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82749 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82758 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82797 */     GIR_RootConstrainSelectedInstOperands,
     /*   82798 */     // GIR_Coverage, 70548,
     /*   82798 */     GIR_EraseRootFromParent_Done,
     /*   82799 */   // Label 1347: @82799
     /*   82799 */   GIM_Try, /*On fail goto*//*Label 1348*/ GIMT_Encode4(82888), // Rule ID 70549 //
     /*   82804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   82834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82838 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82847 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   82847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   82864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82886 */     GIR_RootConstrainSelectedInstOperands,
     /*   82887 */     // GIR_Coverage, 70549,
     /*   82887 */     GIR_EraseRootFromParent_Done,
     /*   82888 */   // Label 1348: @82888
     /*   82888 */   GIM_Try, /*On fail goto*//*Label 1349*/ GIMT_Encode4(82977), // Rule ID 70428 //
     /*   82893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   82896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   82919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   82923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   82929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   82934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   82936 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   82936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   82939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   82943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   82948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   82950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   82953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   82955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   82958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   82962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   82966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   82969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   82972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   82975 */     GIR_RootConstrainSelectedInstOperands,
     /*   82976 */     // GIR_Coverage, 70428,
     /*   82976 */     GIR_EraseRootFromParent_Done,
     /*   82977 */   // Label 1349: @82977
     /*   82977 */   GIM_Try, /*On fail goto*//*Label 1350*/ GIMT_Encode4(83066), // Rule ID 70429 //
     /*   82982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   82985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   82989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   82993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   82997 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   82999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83025 */     // (mul:{ *:[nxv1i32] } (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83064 */     GIR_RootConstrainSelectedInstOperands,
     /*   83065 */     // GIR_Coverage, 70429,
     /*   83065 */     GIR_EraseRootFromParent_Done,
     /*   83066 */   // Label 1350: @83066
     /*   83066 */   GIM_Try, /*On fail goto*//*Label 1351*/ GIMT_Encode4(83155), // Rule ID 51824 //
     /*   83071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83105 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83114 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83153 */     GIR_RootConstrainSelectedInstOperands,
     /*   83154 */     // GIR_Coverage, 51824,
     /*   83154 */     GIR_EraseRootFromParent_Done,
     /*   83155 */   // Label 1351: @83155
     /*   83155 */   GIM_Try, /*On fail goto*//*Label 1352*/ GIMT_Encode4(83244), // Rule ID 51825 //
     /*   83160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83203 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83242 */     GIR_RootConstrainSelectedInstOperands,
     /*   83243 */     // GIR_Coverage, 51825,
     /*   83243 */     GIR_EraseRootFromParent_Done,
     /*   83244 */   // Label 1352: @83244
     /*   83244 */   GIM_Try, /*On fail goto*//*Label 1353*/ GIMT_Encode4(83333), // Rule ID 51524 //
     /*   83249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83292 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   83309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83331 */     GIR_RootConstrainSelectedInstOperands,
     /*   83332 */     // GIR_Coverage, 51524,
     /*   83332 */     GIR_EraseRootFromParent_Done,
     /*   83333 */   // Label 1353: @83333
     /*   83333 */   GIM_Try, /*On fail goto*//*Label 1354*/ GIMT_Encode4(83422), // Rule ID 51525 //
     /*   83338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83381 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   83398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83420 */     GIR_RootConstrainSelectedInstOperands,
     /*   83421 */     // GIR_Coverage, 51525,
     /*   83421 */     GIR_EraseRootFromParent_Done,
     /*   83422 */   // Label 1354: @83422
     /*   83422 */   GIM_Try, /*On fail goto*//*Label 1355*/ GIMT_Encode4(83511), // Rule ID 51764 //
     /*   83427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83461 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83470 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83509 */     GIR_RootConstrainSelectedInstOperands,
     /*   83510 */     // GIR_Coverage, 51764,
     /*   83510 */     GIR_EraseRootFromParent_Done,
     /*   83511 */   // Label 1355: @83511
     /*   83511 */   GIM_Try, /*On fail goto*//*Label 1356*/ GIMT_Encode4(83600), // Rule ID 51765 //
     /*   83516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83559 */     // (mul:{ *:[nxv1i32] } (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83598 */     GIR_RootConstrainSelectedInstOperands,
     /*   83599 */     // GIR_Coverage, 51765,
     /*   83599 */     GIR_EraseRootFromParent_Done,
     /*   83600 */   // Label 1356: @83600
     /*   83600 */   GIM_Try, /*On fail goto*//*Label 1357*/ GIMT_Encode4(83689), // Rule ID 51704 //
     /*   83605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83648 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83687 */     GIR_RootConstrainSelectedInstOperands,
     /*   83688 */     // GIR_Coverage, 51704,
     /*   83688 */     GIR_EraseRootFromParent_Done,
     /*   83689 */   // Label 1357: @83689
     /*   83689 */   GIM_Try, /*On fail goto*//*Label 1358*/ GIMT_Encode4(83778), // Rule ID 51705 //
     /*   83694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   83724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83737 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   83754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   83763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   83767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83776 */     GIR_RootConstrainSelectedInstOperands,
     /*   83777 */     // GIR_Coverage, 51705,
     /*   83777 */     GIR_EraseRootFromParent_Done,
     /*   83778 */   // Label 1358: @83778
     /*   83778 */   GIM_Try, /*On fail goto*//*Label 1359*/ GIMT_Encode4(83867), // Rule ID 70488 //
     /*   83783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83817 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83826 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   83826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83865 */     GIR_RootConstrainSelectedInstOperands,
     /*   83866 */     // GIR_Coverage, 70488,
     /*   83866 */     GIR_EraseRootFromParent_Done,
     /*   83867 */   // Label 1359: @83867
     /*   83867 */   GIM_Try, /*On fail goto*//*Label 1360*/ GIMT_Encode4(83956), // Rule ID 70489 //
     /*   83872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   83875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83887 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   83902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   83915 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   83915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   83918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   83922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   83927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   83929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   83932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   83934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   83937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   83941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   83945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   83948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   83951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   83954 */     GIR_RootConstrainSelectedInstOperands,
     /*   83955 */     // GIR_Coverage, 70489,
     /*   83955 */     GIR_EraseRootFromParent_Done,
     /*   83956 */   // Label 1360: @83956
     /*   83956 */   GIM_Try, /*On fail goto*//*Label 1361*/ GIMT_Encode4(84045), // Rule ID 51584 //
     /*   83961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   83964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   83968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   83978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   83983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   83987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   83991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   83995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   83997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84004 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   84004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   84021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84043 */     GIR_RootConstrainSelectedInstOperands,
     /*   84044 */     // GIR_Coverage, 51584,
     /*   84044 */     GIR_EraseRootFromParent_Done,
     /*   84045 */   // Label 1361: @84045
     /*   84045 */   GIM_Try, /*On fail goto*//*Label 1362*/ GIMT_Encode4(84134), // Rule ID 51585 //
     /*   84050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*   84084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84093 */     // (mul:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   84093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   84110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   84129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84132 */     GIR_RootConstrainSelectedInstOperands,
     /*   84133 */     // GIR_Coverage, 51585,
     /*   84133 */     GIR_EraseRootFromParent_Done,
     /*   84134 */   // Label 1362: @84134
     /*   84134 */   GIM_Try, /*On fail goto*//*Label 1363*/ GIMT_Encode4(84187), // Rule ID 50874 //
     /*   84139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   84142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84150 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   84167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   84174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   84176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84185 */     GIR_RootConstrainSelectedInstOperands,
     /*   84186 */     // GIR_Coverage, 50874,
     /*   84186 */     GIR_EraseRootFromParent_Done,
     /*   84187 */   // Label 1363: @84187
     /*   84187 */   GIM_Try, /*On fail goto*//*Label 1364*/ GIMT_Encode4(84240), // Rule ID 50875 //
     /*   84192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   84195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84203 */     // (mul:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*   84206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   84220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   84227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   84229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84238 */     GIR_RootConstrainSelectedInstOperands,
     /*   84239 */     // GIR_Coverage, 50875,
     /*   84239 */     GIR_EraseRootFromParent_Done,
     /*   84240 */   // Label 1364: @84240
     /*   84240 */   GIM_Reject,
     /*   84241 */ // Label 1344: @84241
     /*   84241 */ GIM_Reject,
     /*   84242 */ // Label 1295: @84242
     /*   84242 */ GIM_Try, /*On fail goto*//*Label 1365*/ GIMT_Encode4(85966),
     /*   84247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*   84250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*   84253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84257 */   GIM_Try, /*On fail goto*//*Label 1366*/ GIMT_Encode4(84346), // Rule ID 51664 //
     /*   84262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84277 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84296 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84298 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84303 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84305 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84305 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84308 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84312 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84344 */     GIR_RootConstrainSelectedInstOperands,
     /*   84345 */     // GIR_Coverage, 51664,
     /*   84345 */     GIR_EraseRootFromParent_Done,
     /*   84346 */   // Label 1366: @84346
     /*   84346 */   GIM_Try, /*On fail goto*//*Label 1367*/ GIMT_Encode4(84435), // Rule ID 51665 //
     /*   84351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84366 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84368 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84373 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84377 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84381 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84385 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84387 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84392 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84394 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84433 */     GIR_RootConstrainSelectedInstOperands,
     /*   84434 */     // GIR_Coverage, 51665,
     /*   84434 */     GIR_EraseRootFromParent_Done,
     /*   84435 */   // Label 1367: @84435
     /*   84435 */   GIM_Try, /*On fail goto*//*Label 1368*/ GIMT_Encode4(84524), // Rule ID 70568 //
     /*   84440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84451 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84455 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84462 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84466 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84470 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84474 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84476 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84481 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84483 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84522 */     GIR_RootConstrainSelectedInstOperands,
     /*   84523 */     // GIR_Coverage, 70568,
     /*   84523 */     GIR_EraseRootFromParent_Done,
     /*   84524 */   // Label 1368: @84524
     /*   84524 */   GIM_Try, /*On fail goto*//*Label 1369*/ GIMT_Encode4(84613), // Rule ID 70569 //
     /*   84529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84544 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84563 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84572 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84611 */     GIR_RootConstrainSelectedInstOperands,
     /*   84612 */     // GIR_Coverage, 70569,
     /*   84612 */     GIR_EraseRootFromParent_Done,
     /*   84613 */   // Label 1369: @84613
     /*   84613 */   GIM_Try, /*On fail goto*//*Label 1370*/ GIMT_Encode4(84702), // Rule ID 70448 //
     /*   84618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84633 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84652 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84661 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84700 */     GIR_RootConstrainSelectedInstOperands,
     /*   84701 */     // GIR_Coverage, 70448,
     /*   84701 */     GIR_EraseRootFromParent_Done,
     /*   84702 */   // Label 1370: @84702
     /*   84702 */   GIM_Try, /*On fail goto*//*Label 1371*/ GIMT_Encode4(84791), // Rule ID 70449 //
     /*   84707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84722 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   84737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84741 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84750 */     // (mul:{ *:[nxv1i64] } (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   84767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   84776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   84780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84789 */     GIR_RootConstrainSelectedInstOperands,
     /*   84790 */     // GIR_Coverage, 70449,
     /*   84790 */     GIR_EraseRootFromParent_Done,
     /*   84791 */   // Label 1371: @84791
     /*   84791 */   GIM_Try, /*On fail goto*//*Label 1372*/ GIMT_Encode4(84880), // Rule ID 51844 //
     /*   84796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84811 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84830 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84839 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   84839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84878 */     GIR_RootConstrainSelectedInstOperands,
     /*   84879 */     // GIR_Coverage, 51844,
     /*   84879 */     GIR_EraseRootFromParent_Done,
     /*   84880 */   // Label 1372: @84880
     /*   84880 */   GIM_Try, /*On fail goto*//*Label 1373*/ GIMT_Encode4(84969), // Rule ID 51845 //
     /*   84885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   84888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84896 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84900 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84902 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84907 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   84911 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   84915 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84919 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   84921 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84926 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   84928 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   84928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   84931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   84935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   84940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   84942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   84945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   84947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   84950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   84954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   84958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   84961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   84964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   84967 */     GIR_RootConstrainSelectedInstOperands,
     /*   84968 */     // GIR_Coverage, 51845,
     /*   84968 */     GIR_EraseRootFromParent_Done,
     /*   84969 */   // Label 1373: @84969
     /*   84969 */   GIM_Try, /*On fail goto*//*Label 1374*/ GIMT_Encode4(85058), // Rule ID 51544 //
     /*   84974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   84977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   84981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   84985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   84989 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   84991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   84996 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85000 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85004 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85008 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85010 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85015 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85017 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   85034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85056 */     GIR_RootConstrainSelectedInstOperands,
     /*   85057 */     // GIR_Coverage, 51544,
     /*   85057 */     GIR_EraseRootFromParent_Done,
     /*   85058 */   // Label 1374: @85058
     /*   85058 */   GIM_Try, /*On fail goto*//*Label 1375*/ GIMT_Encode4(85147), // Rule ID 51545 //
     /*   85063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85074 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85078 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85080 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85085 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85089 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85093 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85097 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85106 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   85123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85132 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85145 */     GIR_RootConstrainSelectedInstOperands,
     /*   85146 */     // GIR_Coverage, 51545,
     /*   85146 */     GIR_EraseRootFromParent_Done,
     /*   85147 */   // Label 1375: @85147
     /*   85147 */   GIM_Try, /*On fail goto*//*Label 1376*/ GIMT_Encode4(85236), // Rule ID 51784 //
     /*   85152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85167 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85186 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85188 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85193 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85195 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85234 */     GIR_RootConstrainSelectedInstOperands,
     /*   85235 */     // GIR_Coverage, 51784,
     /*   85235 */     GIR_EraseRootFromParent_Done,
     /*   85236 */   // Label 1376: @85236
     /*   85236 */   GIM_Try, /*On fail goto*//*Label 1377*/ GIMT_Encode4(85325), // Rule ID 51785 //
     /*   85241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85252 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85256 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85258 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85263 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85267 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85271 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85275 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85277 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85282 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85284 */     // (mul:{ *:[nxv1i64] } (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85306 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85323 */     GIR_RootConstrainSelectedInstOperands,
     /*   85324 */     // GIR_Coverage, 51785,
     /*   85324 */     GIR_EraseRootFromParent_Done,
     /*   85325 */   // Label 1377: @85325
     /*   85325 */   GIM_Try, /*On fail goto*//*Label 1378*/ GIMT_Encode4(85414), // Rule ID 51724 //
     /*   85330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85345 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85364 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85366 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85371 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85373 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85399 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85412 */     GIR_RootConstrainSelectedInstOperands,
     /*   85413 */     // GIR_Coverage, 51724,
     /*   85413 */     GIR_EraseRootFromParent_Done,
     /*   85414 */   // Label 1378: @85414
     /*   85414 */   GIM_Try, /*On fail goto*//*Label 1379*/ GIMT_Encode4(85503), // Rule ID 51725 //
     /*   85419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85430 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85434 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   85449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85453 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85455 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85460 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85462 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85484 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85488 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85501 */     GIR_RootConstrainSelectedInstOperands,
     /*   85502 */     // GIR_Coverage, 51725,
     /*   85502 */     GIR_EraseRootFromParent_Done,
     /*   85503 */   // Label 1379: @85503
     /*   85503 */   GIM_Try, /*On fail goto*//*Label 1380*/ GIMT_Encode4(85592), // Rule ID 70508 //
     /*   85508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85523 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85542 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85544 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85551 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85551 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85554 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85558 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85563 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85570 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85590 */     GIR_RootConstrainSelectedInstOperands,
     /*   85591 */     // GIR_Coverage, 70508,
     /*   85591 */     GIR_EraseRootFromParent_Done,
     /*   85592 */   // Label 1380: @85592
     /*   85592 */   GIM_Try, /*On fail goto*//*Label 1381*/ GIMT_Encode4(85681), // Rule ID 70509 //
     /*   85597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85612 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85614 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85619 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85623 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   85627 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85631 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85640 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   85657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85662 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   85666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   85670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85679 */     GIR_RootConstrainSelectedInstOperands,
     /*   85680 */     // GIR_Coverage, 70509,
     /*   85680 */     GIR_EraseRootFromParent_Done,
     /*   85681 */   // Label 1381: @85681
     /*   85681 */   GIM_Try, /*On fail goto*//*Label 1382*/ GIMT_Encode4(85770), // Rule ID 51604 //
     /*   85686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   85689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85701 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85703 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85708 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85712 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85716 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85720 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85729 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   85729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85755 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85768 */     GIR_RootConstrainSelectedInstOperands,
     /*   85769 */     // GIR_Coverage, 51604,
     /*   85769 */     GIR_EraseRootFromParent_Done,
     /*   85770 */   // Label 1382: @85770
     /*   85770 */   GIM_Try, /*On fail goto*//*Label 1383*/ GIMT_Encode4(85859), // Rule ID 51605 //
     /*   85775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   85778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   85782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85786 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85790 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   85792 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85797 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   85801 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   85805 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*   85809 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   85811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   85818 */     // (mul:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   85818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   85835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   85844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   85848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   85854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85857 */     GIR_RootConstrainSelectedInstOperands,
     /*   85858 */     // GIR_Coverage, 51605,
     /*   85858 */     GIR_EraseRootFromParent_Done,
     /*   85859 */   // Label 1383: @85859
     /*   85859 */   GIM_Try, /*On fail goto*//*Label 1384*/ GIMT_Encode4(85912), // Rule ID 50890 //
     /*   85864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   85867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85875 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   85875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   85907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85910 */     GIR_RootConstrainSelectedInstOperands,
     /*   85911 */     // GIR_Coverage, 50890,
     /*   85911 */     GIR_EraseRootFromParent_Done,
     /*   85912 */   // Label 1384: @85912
     /*   85912 */   GIM_Try, /*On fail goto*//*Label 1385*/ GIMT_Encode4(85965), // Rule ID 50891 //
     /*   85917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   85920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85928 */     // (mul:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   85928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*   85931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   85935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   85940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   85942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   85945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   85947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   85950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   85952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   85954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   85957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   85960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   85963 */     GIR_RootConstrainSelectedInstOperands,
     /*   85964 */     // GIR_Coverage, 50891,
     /*   85964 */     GIR_EraseRootFromParent_Done,
     /*   85965 */   // Label 1385: @85965
     /*   85965 */   GIM_Reject,
     /*   85966 */ // Label 1365: @85966
     /*   85966 */ GIM_Reject,
     /*   85967 */ // Label 1296: @85967
     /*   85967 */ GIM_Try, /*On fail goto*//*Label 1386*/ GIMT_Encode4(86081),
     /*   85972 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   85975 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*   85978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85986 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   85990 */   GIM_Try, /*On fail goto*//*Label 1387*/ GIMT_Encode4(86035), // Rule ID 50858 //
     /*   85995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   85998 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   85998 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   86001 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86005 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   86015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86017 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86033 */     GIR_RootConstrainSelectedInstOperands,
     /*   86034 */     // GIR_Coverage, 50858,
     /*   86034 */     GIR_EraseRootFromParent_Done,
     /*   86035 */   // Label 1387: @86035
     /*   86035 */   GIM_Try, /*On fail goto*//*Label 1388*/ GIMT_Encode4(86080), // Rule ID 50859 //
     /*   86040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86043 */     // (mul:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*   86046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*   86060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   86067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   86069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86078 */     GIR_RootConstrainSelectedInstOperands,
     /*   86079 */     // GIR_Coverage, 50859,
     /*   86079 */     GIR_EraseRootFromParent_Done,
     /*   86080 */   // Label 1388: @86080
     /*   86080 */   GIM_Reject,
     /*   86081 */ // Label 1386: @86081
     /*   86081 */ GIM_Reject,
     /*   86082 */ // Label 1297: @86082
     /*   86082 */ GIM_Try, /*On fail goto*//*Label 1389*/ GIMT_Encode4(87806),
     /*   86087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   86090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*   86093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86097 */   GIM_Try, /*On fail goto*//*Label 1390*/ GIMT_Encode4(86186), // Rule ID 51624 //
     /*   86102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86117 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86136 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86138 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86143 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86145 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86184 */     GIR_RootConstrainSelectedInstOperands,
     /*   86185 */     // GIR_Coverage, 51624,
     /*   86185 */     GIR_EraseRootFromParent_Done,
     /*   86186 */   // Label 1390: @86186
     /*   86186 */   GIM_Try, /*On fail goto*//*Label 1391*/ GIMT_Encode4(86275), // Rule ID 51625 //
     /*   86191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86202 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86206 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86208 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86213 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86217 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86221 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86225 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86227 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86232 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86234 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86273 */     GIR_RootConstrainSelectedInstOperands,
     /*   86274 */     // GIR_Coverage, 51625,
     /*   86274 */     GIR_EraseRootFromParent_Done,
     /*   86275 */   // Label 1391: @86275
     /*   86275 */   GIM_Try, /*On fail goto*//*Label 1392*/ GIMT_Encode4(86364), // Rule ID 70528 //
     /*   86280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86295 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86297 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86302 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86306 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86310 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86314 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86316 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86321 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86323 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86349 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86362 */     GIR_RootConstrainSelectedInstOperands,
     /*   86363 */     // GIR_Coverage, 70528,
     /*   86363 */     GIR_EraseRootFromParent_Done,
     /*   86364 */   // Label 1392: @86364
     /*   86364 */   GIM_Try, /*On fail goto*//*Label 1393*/ GIMT_Encode4(86453), // Rule ID 70529 //
     /*   86369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86380 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86384 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86403 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86412 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86412 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86415 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86419 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86424 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86431 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86451 */     GIR_RootConstrainSelectedInstOperands,
     /*   86452 */     // GIR_Coverage, 70529,
     /*   86452 */     GIR_EraseRootFromParent_Done,
     /*   86453 */   // Label 1393: @86453
     /*   86453 */   GIM_Try, /*On fail goto*//*Label 1394*/ GIMT_Encode4(86542), // Rule ID 70408 //
     /*   86458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86469 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86473 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86480 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86484 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86488 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86492 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86494 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86499 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86501 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86540 */     GIR_RootConstrainSelectedInstOperands,
     /*   86541 */     // GIR_Coverage, 70408,
     /*   86541 */     GIR_EraseRootFromParent_Done,
     /*   86542 */   // Label 1394: @86542
     /*   86542 */   GIM_Try, /*On fail goto*//*Label 1395*/ GIMT_Encode4(86631), // Rule ID 70409 //
     /*   86547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86562 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86564 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86569 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86573 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   86577 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86581 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86590 */     // (mul:{ *:[nxv2i16] } (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   86607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86612 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   86616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   86620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86629 */     GIR_RootConstrainSelectedInstOperands,
     /*   86630 */     // GIR_Coverage, 70409,
     /*   86630 */     GIR_EraseRootFromParent_Done,
     /*   86631 */   // Label 1395: @86631
     /*   86631 */   GIM_Try, /*On fail goto*//*Label 1396*/ GIMT_Encode4(86720), // Rule ID 51804 //
     /*   86636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86651 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86653 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86658 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86662 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86666 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86670 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86672 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86677 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86679 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86718 */     GIR_RootConstrainSelectedInstOperands,
     /*   86719 */     // GIR_Coverage, 51804,
     /*   86719 */     GIR_EraseRootFromParent_Done,
     /*   86720 */   // Label 1396: @86720
     /*   86720 */   GIM_Try, /*On fail goto*//*Label 1397*/ GIMT_Encode4(86809), // Rule ID 51805 //
     /*   86725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86736 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86740 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86747 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86751 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   86755 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86759 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86761 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86766 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86768 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   86785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86794 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86807 */     GIR_RootConstrainSelectedInstOperands,
     /*   86808 */     // GIR_Coverage, 51805,
     /*   86808 */     GIR_EraseRootFromParent_Done,
     /*   86809 */   // Label 1397: @86809
     /*   86809 */   GIM_Try, /*On fail goto*//*Label 1398*/ GIMT_Encode4(86898), // Rule ID 51504 //
     /*   86814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86829 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86848 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86850 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86857 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   86857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   86874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86896 */     GIR_RootConstrainSelectedInstOperands,
     /*   86897 */     // GIR_Coverage, 51504,
     /*   86897 */     GIR_EraseRootFromParent_Done,
     /*   86898 */   // Label 1398: @86898
     /*   86898 */   GIM_Try, /*On fail goto*//*Label 1399*/ GIMT_Encode4(86987), // Rule ID 51505 //
     /*   86903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   86906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86914 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86918 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   86920 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86925 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   86929 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   86933 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   86937 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   86939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   86944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   86946 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   86946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   86949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   86953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   86958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   86960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*   86963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   86965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   86968 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   86972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   86976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   86979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   86985 */     GIR_RootConstrainSelectedInstOperands,
     /*   86986 */     // GIR_Coverage, 51505,
     /*   86986 */     GIR_EraseRootFromParent_Done,
     /*   86987 */   // Label 1399: @86987
     /*   86987 */   GIM_Try, /*On fail goto*//*Label 1400*/ GIMT_Encode4(87076), // Rule ID 51744 //
     /*   86992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   86995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   86999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87007 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87026 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87033 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87035 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87074 */     GIR_RootConstrainSelectedInstOperands,
     /*   87075 */     // GIR_Coverage, 51744,
     /*   87075 */     GIR_EraseRootFromParent_Done,
     /*   87076 */   // Label 1400: @87076
     /*   87076 */   GIM_Try, /*On fail goto*//*Label 1401*/ GIMT_Encode4(87165), // Rule ID 51745 //
     /*   87081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87096 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87115 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87124 */     // (mul:{ *:[nxv2i16] } (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87163 */     GIR_RootConstrainSelectedInstOperands,
     /*   87164 */     // GIR_Coverage, 51745,
     /*   87164 */     GIR_EraseRootFromParent_Done,
     /*   87165 */   // Label 1401: @87165
     /*   87165 */   GIM_Try, /*On fail goto*//*Label 1402*/ GIMT_Encode4(87254), // Rule ID 51684 //
     /*   87170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87185 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87204 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87213 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87252 */     GIR_RootConstrainSelectedInstOperands,
     /*   87253 */     // GIR_Coverage, 51684,
     /*   87253 */     GIR_EraseRootFromParent_Done,
     /*   87254 */   // Label 1402: @87254
     /*   87254 */   GIM_Try, /*On fail goto*//*Label 1403*/ GIMT_Encode4(87343), // Rule ID 51685 //
     /*   87259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87274 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87293 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87302 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87341 */     GIR_RootConstrainSelectedInstOperands,
     /*   87342 */     // GIR_Coverage, 51685,
     /*   87342 */     GIR_EraseRootFromParent_Done,
     /*   87343 */   // Label 1403: @87343
     /*   87343 */   GIM_Try, /*On fail goto*//*Label 1404*/ GIMT_Encode4(87432), // Rule ID 70468 //
     /*   87348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87363 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87382 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87391 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87430 */     GIR_RootConstrainSelectedInstOperands,
     /*   87431 */     // GIR_Coverage, 70468,
     /*   87431 */     GIR_EraseRootFromParent_Done,
     /*   87432 */   // Label 1404: @87432
     /*   87432 */   GIM_Try, /*On fail goto*//*Label 1405*/ GIMT_Encode4(87521), // Rule ID 70469 //
     /*   87437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87452 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87454 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87459 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87463 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   87467 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87471 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87480 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*   87497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   87506 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   87510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87519 */     GIR_RootConstrainSelectedInstOperands,
     /*   87520 */     // GIR_Coverage, 70469,
     /*   87520 */     GIR_EraseRootFromParent_Done,
     /*   87521 */   // Label 1405: @87521
     /*   87521 */   GIM_Try, /*On fail goto*//*Label 1406*/ GIMT_Encode4(87610), // Rule ID 51564 //
     /*   87526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87541 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87543 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87548 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87552 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87556 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87560 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87569 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   87569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87608 */     GIR_RootConstrainSelectedInstOperands,
     /*   87609 */     // GIR_Coverage, 51564,
     /*   87609 */     GIR_EraseRootFromParent_Done,
     /*   87610 */   // Label 1406: @87610
     /*   87610 */   GIM_Try, /*On fail goto*//*Label 1407*/ GIMT_Encode4(87699), // Rule ID 51565 //
     /*   87615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87630 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87632 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87637 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87641 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   87645 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*   87649 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87658 */     // (mul:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   87658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*   87675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87697 */     GIR_RootConstrainSelectedInstOperands,
     /*   87698 */     // GIR_Coverage, 51565,
     /*   87698 */     GIR_EraseRootFromParent_Done,
     /*   87699 */   // Label 1407: @87699
     /*   87699 */   GIM_Try, /*On fail goto*//*Label 1408*/ GIMT_Encode4(87752), // Rule ID 50870 //
     /*   87704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87715 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   87715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87750 */     GIR_RootConstrainSelectedInstOperands,
     /*   87751 */     // GIR_Coverage, 50870,
     /*   87751 */     GIR_EraseRootFromParent_Done,
     /*   87752 */   // Label 1408: @87752
     /*   87752 */   GIM_Try, /*On fail goto*//*Label 1409*/ GIMT_Encode4(87805), // Rule ID 50871 //
     /*   87757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87768 */     // (mul:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   87768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*   87771 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87775 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87780 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   87785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87787 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   87792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   87794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87803 */     GIR_RootConstrainSelectedInstOperands,
     /*   87804 */     // GIR_Coverage, 50871,
     /*   87804 */     GIR_EraseRootFromParent_Done,
     /*   87805 */   // Label 1409: @87805
     /*   87805 */   GIM_Reject,
     /*   87806 */ // Label 1389: @87806
     /*   87806 */ GIM_Reject,
     /*   87807 */ // Label 1298: @87807
     /*   87807 */ GIM_Try, /*On fail goto*//*Label 1410*/ GIMT_Encode4(89531),
     /*   87812 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   87815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*   87818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87822 */   GIM_Try, /*On fail goto*//*Label 1411*/ GIMT_Encode4(87911), // Rule ID 51648 //
     /*   87827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   87830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87842 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87861 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87870 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   87870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   87873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87909 */     GIR_RootConstrainSelectedInstOperands,
     /*   87910 */     // GIR_Coverage, 51648,
     /*   87910 */     GIR_EraseRootFromParent_Done,
     /*   87911 */   // Label 1411: @87911
     /*   87911 */   GIM_Try, /*On fail goto*//*Label 1412*/ GIMT_Encode4(88000), // Rule ID 51649 //
     /*   87916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   87919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   87923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87927 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87931 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   87933 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   87942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   87946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   87950 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   87952 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   87957 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   87959 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   87959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   87962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   87966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   87971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   87973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   87976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   87978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   87981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   87985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   87989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   87992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   87995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   87998 */     GIR_RootConstrainSelectedInstOperands,
     /*   87999 */     // GIR_Coverage, 51649,
     /*   87999 */     GIR_EraseRootFromParent_Done,
     /*   88000 */   // Label 1412: @88000
     /*   88000 */   GIM_Try, /*On fail goto*//*Label 1413*/ GIMT_Encode4(88089), // Rule ID 70552 //
     /*   88005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88016 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88020 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88022 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88039 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88048 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88048 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88051 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88055 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88060 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88067 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88070 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88074 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88087 */     GIR_RootConstrainSelectedInstOperands,
     /*   88088 */     // GIR_Coverage, 70552,
     /*   88088 */     GIR_EraseRootFromParent_Done,
     /*   88089 */   // Label 1413: @88089
     /*   88089 */   GIM_Try, /*On fail goto*//*Label 1414*/ GIMT_Encode4(88178), // Rule ID 70553 //
     /*   88094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88109 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88111 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88116 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88120 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88124 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88128 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88130 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88135 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88137 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88137 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88140 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88144 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88149 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88156 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88176 */     GIR_RootConstrainSelectedInstOperands,
     /*   88177 */     // GIR_Coverage, 70553,
     /*   88177 */     GIR_EraseRootFromParent_Done,
     /*   88178 */   // Label 1414: @88178
     /*   88178 */   GIM_Try, /*On fail goto*//*Label 1415*/ GIMT_Encode4(88267), // Rule ID 70432 //
     /*   88183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88198 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88200 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88205 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88209 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88213 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88217 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88226 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88248 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88265 */     GIR_RootConstrainSelectedInstOperands,
     /*   88266 */     // GIR_Coverage, 70432,
     /*   88266 */     GIR_EraseRootFromParent_Done,
     /*   88267 */   // Label 1415: @88267
     /*   88267 */   GIM_Try, /*On fail goto*//*Label 1416*/ GIMT_Encode4(88356), // Rule ID 70433 //
     /*   88272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88287 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88306 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88313 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88315 */     // (mul:{ *:[nxv2i32] } (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   88341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   88345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88354 */     GIR_RootConstrainSelectedInstOperands,
     /*   88355 */     // GIR_Coverage, 70433,
     /*   88355 */     GIR_EraseRootFromParent_Done,
     /*   88356 */   // Label 1416: @88356
     /*   88356 */   GIM_Try, /*On fail goto*//*Label 1417*/ GIMT_Encode4(88445), // Rule ID 51828 //
     /*   88361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88372 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88376 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88383 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88387 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88391 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88395 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88397 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88402 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88404 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88443 */     GIR_RootConstrainSelectedInstOperands,
     /*   88444 */     // GIR_Coverage, 51828,
     /*   88444 */     GIR_EraseRootFromParent_Done,
     /*   88445 */   // Label 1417: @88445
     /*   88445 */   GIM_Try, /*On fail goto*//*Label 1418*/ GIMT_Encode4(88534), // Rule ID 51829 //
     /*   88450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88465 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88472 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88476 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88480 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88484 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88493 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88515 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88532 */     GIR_RootConstrainSelectedInstOperands,
     /*   88533 */     // GIR_Coverage, 51829,
     /*   88533 */     GIR_EraseRootFromParent_Done,
     /*   88534 */   // Label 1418: @88534
     /*   88534 */   GIM_Try, /*On fail goto*//*Label 1419*/ GIMT_Encode4(88623), // Rule ID 51528 //
     /*   88539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88550 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88554 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88556 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88561 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88565 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88569 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88573 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88575 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88582 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88608 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88621 */     GIR_RootConstrainSelectedInstOperands,
     /*   88622 */     // GIR_Coverage, 51528,
     /*   88622 */     GIR_EraseRootFromParent_Done,
     /*   88623 */   // Label 1419: @88623
     /*   88623 */   GIM_Try, /*On fail goto*//*Label 1420*/ GIMT_Encode4(88712), // Rule ID 51529 //
     /*   88628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88643 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88645 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88650 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88654 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88658 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88662 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88664 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88669 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88671 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   88688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88697 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88710 */     GIR_RootConstrainSelectedInstOperands,
     /*   88711 */     // GIR_Coverage, 51529,
     /*   88711 */     GIR_EraseRootFromParent_Done,
     /*   88712 */   // Label 1420: @88712
     /*   88712 */   GIM_Try, /*On fail goto*//*Label 1421*/ GIMT_Encode4(88801), // Rule ID 51768 //
     /*   88717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88732 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88734 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88739 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88743 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88747 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88751 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88760 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88782 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88799 */     GIR_RootConstrainSelectedInstOperands,
     /*   88800 */     // GIR_Coverage, 51768,
     /*   88800 */     GIR_EraseRootFromParent_Done,
     /*   88801 */   // Label 1421: @88801
     /*   88801 */   GIM_Try, /*On fail goto*//*Label 1422*/ GIMT_Encode4(88890), // Rule ID 51769 //
     /*   88806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   88817 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88821 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88823 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88828 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88832 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88836 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88840 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88842 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88847 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88849 */     // (mul:{ *:[nxv2i32] } (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   88849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   88866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88888 */     GIR_RootConstrainSelectedInstOperands,
     /*   88889 */     // GIR_Coverage, 51769,
     /*   88889 */     GIR_EraseRootFromParent_Done,
     /*   88890 */   // Label 1422: @88890
     /*   88890 */   GIM_Try, /*On fail goto*//*Label 1423*/ GIMT_Encode4(88979), // Rule ID 51708 //
     /*   88895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   88898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88910 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   88912 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   88921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   88925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88929 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   88931 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   88936 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   88938 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   88938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   88941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   88945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   88950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   88952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   88955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   88957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   88960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   88964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   88968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   88971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   88974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   88977 */     GIR_RootConstrainSelectedInstOperands,
     /*   88978 */     // GIR_Coverage, 51708,
     /*   88978 */     GIR_EraseRootFromParent_Done,
     /*   88979 */   // Label 1423: @88979
     /*   88979 */   GIM_Try, /*On fail goto*//*Label 1424*/ GIMT_Encode4(89068), // Rule ID 51709 //
     /*   88984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   88987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   88991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   88995 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   88999 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89001 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89018 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89020 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89025 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89027 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89066 */     GIR_RootConstrainSelectedInstOperands,
     /*   89067 */     // GIR_Coverage, 51709,
     /*   89067 */     GIR_EraseRootFromParent_Done,
     /*   89068 */   // Label 1424: @89068
     /*   89068 */   GIM_Try, /*On fail goto*//*Label 1425*/ GIMT_Encode4(89157), // Rule ID 70492 //
     /*   89073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89088 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89090 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89095 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89099 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89103 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89107 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89116 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89138 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89142 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89155 */     GIR_RootConstrainSelectedInstOperands,
     /*   89156 */     // GIR_Coverage, 70492,
     /*   89156 */     GIR_EraseRootFromParent_Done,
     /*   89157 */   // Label 1425: @89157
     /*   89157 */   GIM_Try, /*On fail goto*//*Label 1426*/ GIMT_Encode4(89246), // Rule ID 70493 //
     /*   89162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89177 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89179 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89184 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89188 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89192 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89196 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89205 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89205 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89208 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89212 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89217 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   89222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89224 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89244 */     GIR_RootConstrainSelectedInstOperands,
     /*   89245 */     // GIR_Coverage, 70493,
     /*   89245 */     GIR_EraseRootFromParent_Done,
     /*   89246 */   // Label 1426: @89246
     /*   89246 */   GIM_Try, /*On fail goto*//*Label 1427*/ GIMT_Encode4(89335), // Rule ID 51588 //
     /*   89251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89262 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89266 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89285 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89287 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89292 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89294 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   89294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89306 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89313 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89333 */     GIR_RootConstrainSelectedInstOperands,
     /*   89334 */     // GIR_Coverage, 51588,
     /*   89334 */     GIR_EraseRootFromParent_Done,
     /*   89335 */   // Label 1427: @89335
     /*   89335 */   GIM_Try, /*On fail goto*//*Label 1428*/ GIMT_Encode4(89424), // Rule ID 51589 //
     /*   89340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89351 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89355 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*   89374 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89383 */     // (mul:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   89383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   89400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89409 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   89419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89422 */     GIR_RootConstrainSelectedInstOperands,
     /*   89423 */     // GIR_Coverage, 51589,
     /*   89423 */     GIR_EraseRootFromParent_Done,
     /*   89424 */   // Label 1428: @89424
     /*   89424 */   GIM_Try, /*On fail goto*//*Label 1429*/ GIMT_Encode4(89477), // Rule ID 50886 //
     /*   89429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   89432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89440 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89440 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89443 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89447 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89452 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   89457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89459 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   89464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   89466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89475 */     GIR_RootConstrainSelectedInstOperands,
     /*   89476 */     // GIR_Coverage, 50886,
     /*   89476 */     GIR_EraseRootFromParent_Done,
     /*   89477 */   // Label 1429: @89477
     /*   89477 */   GIM_Try, /*On fail goto*//*Label 1430*/ GIMT_Encode4(89530), // Rule ID 50887 //
     /*   89482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   89485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89493 */     // (mul:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*   89496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   89510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   89517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   89519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89528 */     GIR_RootConstrainSelectedInstOperands,
     /*   89529 */     // GIR_Coverage, 50887,
     /*   89529 */     GIR_EraseRootFromParent_Done,
     /*   89530 */   // Label 1430: @89530
     /*   89530 */   GIM_Reject,
     /*   89531 */ // Label 1410: @89531
     /*   89531 */ GIM_Reject,
     /*   89532 */ // Label 1299: @89532
     /*   89532 */ GIM_Try, /*On fail goto*//*Label 1431*/ GIMT_Encode4(91256),
     /*   89537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*   89540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*   89543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   89547 */   GIM_Try, /*On fail goto*//*Label 1432*/ GIMT_Encode4(89636), // Rule ID 51668 //
     /*   89552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89567 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89586 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89588 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89595 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89634 */     GIR_RootConstrainSelectedInstOperands,
     /*   89635 */     // GIR_Coverage, 51668,
     /*   89635 */     GIR_EraseRootFromParent_Done,
     /*   89636 */   // Label 1432: @89636
     /*   89636 */   GIM_Try, /*On fail goto*//*Label 1433*/ GIMT_Encode4(89725), // Rule ID 51669 //
     /*   89641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   89644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89656 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89658 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89663 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89667 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89671 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89675 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89677 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89682 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89684 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   89710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   89714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89723 */     GIR_RootConstrainSelectedInstOperands,
     /*   89724 */     // GIR_Coverage, 51669,
     /*   89724 */     GIR_EraseRootFromParent_Done,
     /*   89725 */   // Label 1433: @89725
     /*   89725 */   GIM_Try, /*On fail goto*//*Label 1434*/ GIMT_Encode4(89814), // Rule ID 70572 //
     /*   89730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89741 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89745 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89752 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89756 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89760 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89764 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89773 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89795 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89799 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89812 */     GIR_RootConstrainSelectedInstOperands,
     /*   89813 */     // GIR_Coverage, 70572,
     /*   89813 */     GIR_EraseRootFromParent_Done,
     /*   89814 */   // Label 1434: @89814
     /*   89814 */   GIM_Try, /*On fail goto*//*Label 1435*/ GIMT_Encode4(89903), // Rule ID 70573 //
     /*   89819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   89822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89830 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89834 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89841 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89845 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   89849 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89853 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89855 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89860 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89862 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   89862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   89879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89884 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89901 */     GIR_RootConstrainSelectedInstOperands,
     /*   89902 */     // GIR_Coverage, 70573,
     /*   89902 */     GIR_EraseRootFromParent_Done,
     /*   89903 */   // Label 1435: @89903
     /*   89903 */   GIM_Try, /*On fail goto*//*Label 1436*/ GIMT_Encode4(89992), // Rule ID 70452 //
     /*   89908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   89911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   89915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   89919 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89923 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   89925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89930 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   89934 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   89938 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   89942 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   89944 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   89949 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   89951 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   89951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   89954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   89958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   89963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   89965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   89968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   89970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   89973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   89977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   89981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   89984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   89987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   89990 */     GIR_RootConstrainSelectedInstOperands,
     /*   89991 */     // GIR_Coverage, 70452,
     /*   89991 */     GIR_EraseRootFromParent_Done,
     /*   89992 */   // Label 1436: @89992
     /*   89992 */   GIM_Try, /*On fail goto*//*Label 1437*/ GIMT_Encode4(90081), // Rule ID 70453 //
     /*   89997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90012 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90014 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90019 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90023 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90027 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90031 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90040 */     // (mul:{ *:[nxv2i64] } (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90066 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90079 */     GIR_RootConstrainSelectedInstOperands,
     /*   90080 */     // GIR_Coverage, 70453,
     /*   90080 */     GIR_EraseRootFromParent_Done,
     /*   90081 */   // Label 1437: @90081
     /*   90081 */   GIM_Try, /*On fail goto*//*Label 1438*/ GIMT_Encode4(90170), // Rule ID 51848 //
     /*   90086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90101 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90103 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90120 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90122 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90127 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90129 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90168 */     GIR_RootConstrainSelectedInstOperands,
     /*   90169 */     // GIR_Coverage, 51848,
     /*   90169 */     GIR_EraseRootFromParent_Done,
     /*   90170 */   // Label 1438: @90170
     /*   90170 */   GIM_Try, /*On fail goto*//*Label 1439*/ GIMT_Encode4(90259), // Rule ID 51849 //
     /*   90175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90190 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90192 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90197 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90201 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90205 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90209 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90211 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90216 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90218 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90244 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90257 */     GIR_RootConstrainSelectedInstOperands,
     /*   90258 */     // GIR_Coverage, 51849,
     /*   90258 */     GIR_EraseRootFromParent_Done,
     /*   90259 */   // Label 1439: @90259
     /*   90259 */   GIM_Try, /*On fail goto*//*Label 1440*/ GIMT_Encode4(90348), // Rule ID 51548 //
     /*   90264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90279 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90298 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90300 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90305 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90307 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   90324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90346 */     GIR_RootConstrainSelectedInstOperands,
     /*   90347 */     // GIR_Coverage, 51548,
     /*   90347 */     GIR_EraseRootFromParent_Done,
     /*   90348 */   // Label 1440: @90348
     /*   90348 */   GIM_Try, /*On fail goto*//*Label 1441*/ GIMT_Encode4(90437), // Rule ID 51549 //
     /*   90353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90364 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90368 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90387 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90389 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90394 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90396 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   90413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90418 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90422 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90435 */     GIR_RootConstrainSelectedInstOperands,
     /*   90436 */     // GIR_Coverage, 51549,
     /*   90436 */     GIR_EraseRootFromParent_Done,
     /*   90437 */   // Label 1441: @90437
     /*   90437 */   GIM_Try, /*On fail goto*//*Label 1442*/ GIMT_Encode4(90526), // Rule ID 51788 //
     /*   90442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90457 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90464 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90468 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90472 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90476 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90478 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90483 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90485 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90524 */     GIR_RootConstrainSelectedInstOperands,
     /*   90525 */     // GIR_Coverage, 51788,
     /*   90525 */     GIR_EraseRootFromParent_Done,
     /*   90526 */   // Label 1442: @90526
     /*   90526 */   GIM_Try, /*On fail goto*//*Label 1443*/ GIMT_Encode4(90615), // Rule ID 51789 //
     /*   90531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90546 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90548 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90553 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90557 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90561 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90565 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90567 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90572 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90574 */     // (mul:{ *:[nxv2i64] } (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90596 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90613 */     GIR_RootConstrainSelectedInstOperands,
     /*   90614 */     // GIR_Coverage, 51789,
     /*   90614 */     GIR_EraseRootFromParent_Done,
     /*   90615 */   // Label 1443: @90615
     /*   90615 */   GIM_Try, /*On fail goto*//*Label 1444*/ GIMT_Encode4(90704), // Rule ID 51728 //
     /*   90620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90631 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90635 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90642 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90646 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90650 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90654 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90656 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90661 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90663 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90689 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90702 */     GIR_RootConstrainSelectedInstOperands,
     /*   90703 */     // GIR_Coverage, 51728,
     /*   90703 */     GIR_EraseRootFromParent_Done,
     /*   90704 */   // Label 1444: @90704
     /*   90704 */   GIM_Try, /*On fail goto*//*Label 1445*/ GIMT_Encode4(90793), // Rule ID 51729 //
     /*   90709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90720 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90724 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   90739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90743 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90745 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90750 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90752 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   90769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   90778 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   90782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90791 */     GIR_RootConstrainSelectedInstOperands,
     /*   90792 */     // GIR_Coverage, 51729,
     /*   90792 */     GIR_EraseRootFromParent_Done,
     /*   90793 */   // Label 1445: @90793
     /*   90793 */   GIM_Try, /*On fail goto*//*Label 1446*/ GIMT_Encode4(90882), // Rule ID 70512 //
     /*   90798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90809 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90813 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90820 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90824 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90828 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90832 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90834 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90839 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90841 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   90841 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90844 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90848 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90853 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90860 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90880 */     GIR_RootConstrainSelectedInstOperands,
     /*   90881 */     // GIR_Coverage, 70512,
     /*   90881 */     GIR_EraseRootFromParent_Done,
     /*   90882 */   // Label 1446: @90882
     /*   90882 */   GIM_Try, /*On fail goto*//*Label 1447*/ GIMT_Encode4(90971), // Rule ID 70513 //
     /*   90887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   90890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90898 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90902 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90904 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90909 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   90913 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   90917 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90921 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   90923 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90928 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   90930 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   90930 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   90933 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   90937 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   90942 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   90944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   90947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   90949 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   90952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   90956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   90960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   90963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   90966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   90969 */     GIR_RootConstrainSelectedInstOperands,
     /*   90970 */     // GIR_Coverage, 70513,
     /*   90970 */     GIR_EraseRootFromParent_Done,
     /*   90971 */   // Label 1447: @90971
     /*   90971 */   GIM_Try, /*On fail goto*//*Label 1448*/ GIMT_Encode4(91060), // Rule ID 51608 //
     /*   90976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   90979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   90983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   90987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   90991 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   90993 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   90998 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91002 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91006 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91010 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91019 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   91019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   91036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91058 */     GIR_RootConstrainSelectedInstOperands,
     /*   91059 */     // GIR_Coverage, 51608,
     /*   91059 */     GIR_EraseRootFromParent_Done,
     /*   91060 */   // Label 1448: @91060
     /*   91060 */   GIM_Try, /*On fail goto*//*Label 1449*/ GIMT_Encode4(91149), // Rule ID 51609 //
     /*   91065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   91068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91076 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91080 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*   91099 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91101 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91106 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91108 */     // (mul:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   91108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   91125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   91144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91147 */     GIR_RootConstrainSelectedInstOperands,
     /*   91148 */     // GIR_Coverage, 51609,
     /*   91148 */     GIR_EraseRootFromParent_Done,
     /*   91149 */   // Label 1449: @91149
     /*   91149 */   GIM_Try, /*On fail goto*//*Label 1450*/ GIMT_Encode4(91202), // Rule ID 50930 //
     /*   91154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   91157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91165 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   91165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   91182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   91197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91200 */     GIR_RootConstrainSelectedInstOperands,
     /*   91201 */     // GIR_Coverage, 50930,
     /*   91201 */     GIR_EraseRootFromParent_Done,
     /*   91202 */   // Label 1450: @91202
     /*   91202 */   GIM_Try, /*On fail goto*//*Label 1451*/ GIMT_Encode4(91255), // Rule ID 50931 //
     /*   91207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   91210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   91218 */     // (mul:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   91218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*   91221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   91235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   91250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91253 */     GIR_RootConstrainSelectedInstOperands,
     /*   91254 */     // GIR_Coverage, 50931,
     /*   91254 */     GIR_EraseRootFromParent_Done,
     /*   91255 */   // Label 1451: @91255
     /*   91255 */   GIM_Reject,
     /*   91256 */ // Label 1431: @91256
     /*   91256 */ GIM_Reject,
     /*   91257 */ // Label 1300: @91257
     /*   91257 */ GIM_Try, /*On fail goto*//*Label 1452*/ GIMT_Encode4(91371),
     /*   91262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*   91268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91280 */   GIM_Try, /*On fail goto*//*Label 1453*/ GIMT_Encode4(91325), // Rule ID 50862 //
     /*   91285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91288 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   91291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   91305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91323 */     GIR_RootConstrainSelectedInstOperands,
     /*   91324 */     // GIR_Coverage, 50862,
     /*   91324 */     GIR_EraseRootFromParent_Done,
     /*   91325 */   // Label 1453: @91325
     /*   91325 */   GIM_Try, /*On fail goto*//*Label 1454*/ GIMT_Encode4(91370), // Rule ID 50863 //
     /*   91330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91333 */     // (mul:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*   91336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*   91350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   91357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   91359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91368 */     GIR_RootConstrainSelectedInstOperands,
     /*   91369 */     // GIR_Coverage, 50863,
     /*   91369 */     GIR_EraseRootFromParent_Done,
     /*   91370 */   // Label 1454: @91370
     /*   91370 */   GIM_Reject,
     /*   91371 */ // Label 1452: @91371
     /*   91371 */ GIM_Reject,
     /*   91372 */ // Label 1301: @91372
     /*   91372 */ GIM_Try, /*On fail goto*//*Label 1455*/ GIMT_Encode4(93096),
     /*   91377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   91380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*   91383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91387 */   GIM_Try, /*On fail goto*//*Label 1456*/ GIMT_Encode4(91476), // Rule ID 51628 //
     /*   91392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91407 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91426 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91428 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91433 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91435 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91474 */     GIR_RootConstrainSelectedInstOperands,
     /*   91475 */     // GIR_Coverage, 51628,
     /*   91475 */     GIR_EraseRootFromParent_Done,
     /*   91476 */   // Label 1456: @91476
     /*   91476 */   GIM_Try, /*On fail goto*//*Label 1457*/ GIMT_Encode4(91565), // Rule ID 51629 //
     /*   91481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91496 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91498 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91503 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91507 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91511 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91515 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91517 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91522 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91524 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91546 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91563 */     GIR_RootConstrainSelectedInstOperands,
     /*   91564 */     // GIR_Coverage, 51629,
     /*   91564 */     GIR_EraseRootFromParent_Done,
     /*   91565 */   // Label 1457: @91565
     /*   91565 */   GIM_Try, /*On fail goto*//*Label 1458*/ GIMT_Encode4(91654), // Rule ID 70532 //
     /*   91570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91581 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91585 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91604 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91606 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91611 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91613 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91652 */     GIR_RootConstrainSelectedInstOperands,
     /*   91653 */     // GIR_Coverage, 70532,
     /*   91653 */     GIR_EraseRootFromParent_Done,
     /*   91654 */   // Label 1458: @91654
     /*   91654 */   GIM_Try, /*On fail goto*//*Label 1459*/ GIMT_Encode4(91743), // Rule ID 70533 //
     /*   91659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91674 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91681 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91685 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91689 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91693 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91695 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91700 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91702 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91705 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91709 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91714 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91721 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91724 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91741 */     GIR_RootConstrainSelectedInstOperands,
     /*   91742 */     // GIR_Coverage, 70533,
     /*   91742 */     GIR_EraseRootFromParent_Done,
     /*   91743 */   // Label 1459: @91743
     /*   91743 */   GIM_Try, /*On fail goto*//*Label 1460*/ GIMT_Encode4(91832), // Rule ID 70412 //
     /*   91748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91763 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91770 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91774 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91778 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91782 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91784 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91791 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91830 */     GIR_RootConstrainSelectedInstOperands,
     /*   91831 */     // GIR_Coverage, 70412,
     /*   91831 */     GIR_EraseRootFromParent_Done,
     /*   91832 */   // Label 1460: @91832
     /*   91832 */   GIM_Try, /*On fail goto*//*Label 1461*/ GIMT_Encode4(91921), // Rule ID 70413 //
     /*   91837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   91840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91848 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91852 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91854 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91859 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91863 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   91867 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91871 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91880 */     // (mul:{ *:[nxv4i16] } (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   91880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   91897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91902 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   91906 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   91910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   91913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   91919 */     GIR_RootConstrainSelectedInstOperands,
     /*   91920 */     // GIR_Coverage, 70413,
     /*   91920 */     GIR_EraseRootFromParent_Done,
     /*   91921 */   // Label 1461: @91921
     /*   91921 */   GIM_Try, /*On fail goto*//*Label 1462*/ GIMT_Encode4(92010), // Rule ID 51808 //
     /*   91926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   91929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   91933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   91937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91941 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   91943 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91948 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   91952 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   91956 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   91960 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   91962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   91967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   91969 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   91969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   91972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   91976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   91981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   91983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   91986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   91988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   91991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   91995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   91999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92008 */     GIR_RootConstrainSelectedInstOperands,
     /*   92009 */     // GIR_Coverage, 51808,
     /*   92009 */     GIR_EraseRootFromParent_Done,
     /*   92010 */   // Label 1462: @92010
     /*   92010 */   GIM_Try, /*On fail goto*//*Label 1463*/ GIMT_Encode4(92099), // Rule ID 51809 //
     /*   92015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92026 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92030 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92032 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92037 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92041 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92045 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92049 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92051 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92056 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92058 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92084 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92097 */     GIR_RootConstrainSelectedInstOperands,
     /*   92098 */     // GIR_Coverage, 51809,
     /*   92098 */     GIR_EraseRootFromParent_Done,
     /*   92099 */   // Label 1463: @92099
     /*   92099 */   GIM_Try, /*On fail goto*//*Label 1464*/ GIMT_Encode4(92188), // Rule ID 51508 //
     /*   92104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92119 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92126 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92130 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92134 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92138 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92140 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92145 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92147 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   92164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92169 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92186 */     GIR_RootConstrainSelectedInstOperands,
     /*   92187 */     // GIR_Coverage, 51508,
     /*   92187 */     GIR_EraseRootFromParent_Done,
     /*   92188 */   // Label 1464: @92188
     /*   92188 */   GIM_Try, /*On fail goto*//*Label 1465*/ GIMT_Encode4(92277), // Rule ID 51509 //
     /*   92193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92208 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92227 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92229 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92234 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92236 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*   92253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92275 */     GIR_RootConstrainSelectedInstOperands,
     /*   92276 */     // GIR_Coverage, 51509,
     /*   92276 */     GIR_EraseRootFromParent_Done,
     /*   92277 */   // Label 1465: @92277
     /*   92277 */   GIM_Try, /*On fail goto*//*Label 1466*/ GIMT_Encode4(92366), // Rule ID 51748 //
     /*   92282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92293 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92297 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92304 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92308 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92312 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92316 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92318 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92323 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92325 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92325 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92328 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92332 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92337 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92344 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92364 */     GIR_RootConstrainSelectedInstOperands,
     /*   92365 */     // GIR_Coverage, 51748,
     /*   92365 */     GIR_EraseRootFromParent_Done,
     /*   92366 */   // Label 1466: @92366
     /*   92366 */   GIM_Try, /*On fail goto*//*Label 1467*/ GIMT_Encode4(92455), // Rule ID 51749 //
     /*   92371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92386 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92405 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92407 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92412 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92414 */     // (mul:{ *:[nxv4i16] } (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92453 */     GIR_RootConstrainSelectedInstOperands,
     /*   92454 */     // GIR_Coverage, 51749,
     /*   92454 */     GIR_EraseRootFromParent_Done,
     /*   92455 */   // Label 1467: @92455
     /*   92455 */   GIM_Try, /*On fail goto*//*Label 1468*/ GIMT_Encode4(92544), // Rule ID 51688 //
     /*   92460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92475 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92482 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92486 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92490 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92494 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92496 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92501 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92503 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92542 */     GIR_RootConstrainSelectedInstOperands,
     /*   92543 */     // GIR_Coverage, 51688,
     /*   92543 */     GIR_EraseRootFromParent_Done,
     /*   92544 */   // Label 1468: @92544
     /*   92544 */   GIM_Try, /*On fail goto*//*Label 1469*/ GIMT_Encode4(92633), // Rule ID 51689 //
     /*   92549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92564 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   92579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92583 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92585 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92590 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92592 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92618 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92631 */     GIR_RootConstrainSelectedInstOperands,
     /*   92632 */     // GIR_Coverage, 51689,
     /*   92632 */     GIR_EraseRootFromParent_Done,
     /*   92633 */   // Label 1469: @92633
     /*   92633 */   GIM_Try, /*On fail goto*//*Label 1470*/ GIMT_Encode4(92722), // Rule ID 70472 //
     /*   92638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92653 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92660 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92664 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92668 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92672 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92674 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92679 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92681 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92720 */     GIR_RootConstrainSelectedInstOperands,
     /*   92721 */     // GIR_Coverage, 70472,
     /*   92721 */     GIR_EraseRootFromParent_Done,
     /*   92722 */   // Label 1470: @92722
     /*   92722 */   GIM_Try, /*On fail goto*//*Label 1471*/ GIMT_Encode4(92811), // Rule ID 70473 //
     /*   92727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92742 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92744 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92749 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92753 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   92757 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92761 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92763 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92770 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*   92787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   92796 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   92800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92809 */     GIR_RootConstrainSelectedInstOperands,
     /*   92810 */     // GIR_Coverage, 70473,
     /*   92810 */     GIR_EraseRootFromParent_Done,
     /*   92811 */   // Label 1471: @92811
     /*   92811 */   GIM_Try, /*On fail goto*//*Label 1472*/ GIMT_Encode4(92900), // Rule ID 51568 //
     /*   92816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92831 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92850 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92859 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   92859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92898 */     GIR_RootConstrainSelectedInstOperands,
     /*   92899 */     // GIR_Coverage, 51568,
     /*   92899 */     GIR_EraseRootFromParent_Done,
     /*   92900 */   // Label 1472: @92900
     /*   92900 */   GIM_Try, /*On fail goto*//*Label 1473*/ GIMT_Encode4(92989), // Rule ID 51569 //
     /*   92905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   92908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   92912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92916 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92920 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   92922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   92931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   92935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*   92939 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   92941 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   92946 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   92948 */     // (mul:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   92948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   92951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   92955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   92960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   92962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*   92965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   92967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   92970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   92974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   92978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   92981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   92987 */     GIR_RootConstrainSelectedInstOperands,
     /*   92988 */     // GIR_Coverage, 51569,
     /*   92988 */     GIR_EraseRootFromParent_Done,
     /*   92989 */   // Label 1473: @92989
     /*   92989 */   GIM_Try, /*On fail goto*//*Label 1474*/ GIMT_Encode4(93042), // Rule ID 50882 //
     /*   92994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   92997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93005 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   93022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   93029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   93031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93040 */     GIR_RootConstrainSelectedInstOperands,
     /*   93041 */     // GIR_Coverage, 50882,
     /*   93041 */     GIR_EraseRootFromParent_Done,
     /*   93042 */   // Label 1474: @93042
     /*   93042 */   GIM_Try, /*On fail goto*//*Label 1475*/ GIMT_Encode4(93095), // Rule ID 50883 //
     /*   93047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93058 */     // (mul:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*   93061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   93075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   93082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   93084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93093 */     GIR_RootConstrainSelectedInstOperands,
     /*   93094 */     // GIR_Coverage, 50883,
     /*   93094 */     GIR_EraseRootFromParent_Done,
     /*   93095 */   // Label 1475: @93095
     /*   93095 */   GIM_Reject,
     /*   93096 */ // Label 1455: @93096
     /*   93096 */ GIM_Reject,
     /*   93097 */ // Label 1302: @93097
     /*   93097 */ GIM_Try, /*On fail goto*//*Label 1476*/ GIMT_Encode4(94821),
     /*   93102 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   93105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*   93108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   93112 */   GIM_Try, /*On fail goto*//*Label 1477*/ GIMT_Encode4(93201), // Rule ID 51652 //
     /*   93117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93132 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93139 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93143 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93147 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93151 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93153 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93160 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93160 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93163 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93167 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93172 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93179 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93182 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93199 */     GIR_RootConstrainSelectedInstOperands,
     /*   93200 */     // GIR_Coverage, 51652,
     /*   93200 */     GIR_EraseRootFromParent_Done,
     /*   93201 */   // Label 1477: @93201
     /*   93201 */   GIM_Try, /*On fail goto*//*Label 1478*/ GIMT_Encode4(93290), // Rule ID 51653 //
     /*   93206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93221 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93223 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93228 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93232 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93236 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93240 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93249 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93288 */     GIR_RootConstrainSelectedInstOperands,
     /*   93289 */     // GIR_Coverage, 51653,
     /*   93289 */     GIR_EraseRootFromParent_Done,
     /*   93290 */   // Label 1478: @93290
     /*   93290 */   GIM_Try, /*On fail goto*//*Label 1479*/ GIMT_Encode4(93379), // Rule ID 70556 //
     /*   93295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93306 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93310 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93312 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93317 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93321 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93325 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93329 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93336 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93338 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93377 */     GIR_RootConstrainSelectedInstOperands,
     /*   93378 */     // GIR_Coverage, 70556,
     /*   93378 */     GIR_EraseRootFromParent_Done,
     /*   93379 */   // Label 1479: @93379
     /*   93379 */   GIM_Try, /*On fail goto*//*Label 1480*/ GIMT_Encode4(93468), // Rule ID 70557 //
     /*   93384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93399 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93406 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93410 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93414 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93418 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93420 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93425 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93427 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93449 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93466 */     GIR_RootConstrainSelectedInstOperands,
     /*   93467 */     // GIR_Coverage, 70557,
     /*   93467 */     GIR_EraseRootFromParent_Done,
     /*   93468 */   // Label 1480: @93468
     /*   93468 */   GIM_Try, /*On fail goto*//*Label 1481*/ GIMT_Encode4(93557), // Rule ID 70436 //
     /*   93473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93488 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93490 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93495 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93499 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93503 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93507 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93516 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93516 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93519 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93523 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93528 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93535 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93538 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93555 */     GIR_RootConstrainSelectedInstOperands,
     /*   93556 */     // GIR_Coverage, 70436,
     /*   93556 */     GIR_EraseRootFromParent_Done,
     /*   93557 */   // Label 1481: @93557
     /*   93557 */   GIM_Try, /*On fail goto*//*Label 1482*/ GIMT_Encode4(93646), // Rule ID 70437 //
     /*   93562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93577 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93579 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93584 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93588 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   93592 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93596 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93598 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93603 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93605 */     // (mul:{ *:[nxv4i32] } (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   93622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   93631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   93635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93644 */     GIR_RootConstrainSelectedInstOperands,
     /*   93645 */     // GIR_Coverage, 70437,
     /*   93645 */     GIR_EraseRootFromParent_Done,
     /*   93646 */   // Label 1482: @93646
     /*   93646 */   GIM_Try, /*On fail goto*//*Label 1483*/ GIMT_Encode4(93735), // Rule ID 51832 //
     /*   93651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93666 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93673 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93677 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93681 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93685 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93687 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93692 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93694 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93716 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93720 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93733 */     GIR_RootConstrainSelectedInstOperands,
     /*   93734 */     // GIR_Coverage, 51832,
     /*   93734 */     GIR_EraseRootFromParent_Done,
     /*   93735 */   // Label 1483: @93735
     /*   93735 */   GIM_Try, /*On fail goto*//*Label 1484*/ GIMT_Encode4(93824), // Rule ID 51833 //
     /*   93740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93755 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   93770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93774 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93776 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93781 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93783 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   93800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93805 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93809 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93822 */     GIR_RootConstrainSelectedInstOperands,
     /*   93823 */     // GIR_Coverage, 51833,
     /*   93823 */     GIR_EraseRootFromParent_Done,
     /*   93824 */   // Label 1484: @93824
     /*   93824 */   GIM_Try, /*On fail goto*//*Label 1485*/ GIMT_Encode4(93913), // Rule ID 51532 //
     /*   93829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   93832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93840 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93844 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93851 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93855 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93859 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93863 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93865 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93872 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   93872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   93911 */     GIR_RootConstrainSelectedInstOperands,
     /*   93912 */     // GIR_Coverage, 51532,
     /*   93912 */     GIR_EraseRootFromParent_Done,
     /*   93913 */   // Label 1485: @93913
     /*   93913 */   GIM_Try, /*On fail goto*//*Label 1486*/ GIMT_Encode4(94002), // Rule ID 51533 //
     /*   93918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   93921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   93925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93929 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93933 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   93935 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93940 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   93944 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   93948 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   93952 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   93954 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   93959 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   93961 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   93961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   93964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   93968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   93973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   93975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   93978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   93980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   93983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   93987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   93991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   93994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   93997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94000 */     GIR_RootConstrainSelectedInstOperands,
     /*   94001 */     // GIR_Coverage, 51533,
     /*   94001 */     GIR_EraseRootFromParent_Done,
     /*   94002 */   // Label 1486: @94002
     /*   94002 */   GIM_Try, /*On fail goto*//*Label 1487*/ GIMT_Encode4(94091), // Rule ID 51772 //
     /*   94007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94010 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94014 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94018 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94022 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94041 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94043 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94048 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94050 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94089 */     GIR_RootConstrainSelectedInstOperands,
     /*   94090 */     // GIR_Coverage, 51772,
     /*   94090 */     GIR_EraseRootFromParent_Done,
     /*   94091 */   // Label 1487: @94091
     /*   94091 */   GIM_Try, /*On fail goto*//*Label 1488*/ GIMT_Encode4(94180), // Rule ID 51773 //
     /*   94096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94107 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94111 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94113 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94118 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94122 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94126 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94130 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94132 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94137 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94139 */     // (mul:{ *:[nxv4i32] } (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94165 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94178 */     GIR_RootConstrainSelectedInstOperands,
     /*   94179 */     // GIR_Coverage, 51773,
     /*   94179 */     GIR_EraseRootFromParent_Done,
     /*   94180 */   // Label 1488: @94180
     /*   94180 */   GIM_Try, /*On fail goto*//*Label 1489*/ GIMT_Encode4(94269), // Rule ID 51712 //
     /*   94185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94196 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94200 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94202 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94219 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94221 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94226 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94228 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94267 */     GIR_RootConstrainSelectedInstOperands,
     /*   94268 */     // GIR_Coverage, 51712,
     /*   94268 */     GIR_EraseRootFromParent_Done,
     /*   94269 */   // Label 1489: @94269
     /*   94269 */   GIM_Try, /*On fail goto*//*Label 1490*/ GIMT_Encode4(94358), // Rule ID 51713 //
     /*   94274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94289 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94291 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94308 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94310 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94315 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94317 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94339 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94356 */     GIR_RootConstrainSelectedInstOperands,
     /*   94357 */     // GIR_Coverage, 51713,
     /*   94357 */     GIR_EraseRootFromParent_Done,
     /*   94358 */   // Label 1490: @94358
     /*   94358 */   GIM_Try, /*On fail goto*//*Label 1491*/ GIMT_Encode4(94447), // Rule ID 70496 //
     /*   94363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94378 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94380 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94385 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94389 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94393 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94397 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94399 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94404 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94406 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94432 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94445 */     GIR_RootConstrainSelectedInstOperands,
     /*   94446 */     // GIR_Coverage, 70496,
     /*   94446 */     GIR_EraseRootFromParent_Done,
     /*   94447 */   // Label 1491: @94447
     /*   94447 */   GIM_Try, /*On fail goto*//*Label 1492*/ GIMT_Encode4(94536), // Rule ID 70497 //
     /*   94452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94467 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   94482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94486 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94488 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94493 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94495 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   94512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   94521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   94525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94534 */     GIR_RootConstrainSelectedInstOperands,
     /*   94535 */     // GIR_Coverage, 70497,
     /*   94535 */     GIR_EraseRootFromParent_Done,
     /*   94536 */   // Label 1492: @94536
     /*   94536 */   GIM_Try, /*On fail goto*//*Label 1493*/ GIMT_Encode4(94625), // Rule ID 51592 //
     /*   94541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94556 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94563 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94567 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94571 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94575 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94577 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94582 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94584 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   94584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94623 */     GIR_RootConstrainSelectedInstOperands,
     /*   94624 */     // GIR_Coverage, 51592,
     /*   94624 */     GIR_EraseRootFromParent_Done,
     /*   94625 */   // Label 1493: @94625
     /*   94625 */   GIM_Try, /*On fail goto*//*Label 1494*/ GIMT_Encode4(94714), // Rule ID 51593 //
     /*   94630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94645 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94652 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94656 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   94660 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*   94664 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   94671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94673 */     // (mul:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   94673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   94690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   94709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94712 */     GIR_RootConstrainSelectedInstOperands,
     /*   94713 */     // GIR_Coverage, 51593,
     /*   94713 */     GIR_EraseRootFromParent_Done,
     /*   94714 */   // Label 1494: @94714
     /*   94714 */   GIM_Try, /*On fail goto*//*Label 1495*/ GIMT_Encode4(94767), // Rule ID 50918 //
     /*   94719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   94722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94730 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   94730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94765 */     GIR_RootConstrainSelectedInstOperands,
     /*   94766 */     // GIR_Coverage, 50918,
     /*   94766 */     GIR_EraseRootFromParent_Done,
     /*   94767 */   // Label 1495: @94767
     /*   94767 */   GIM_Try, /*On fail goto*//*Label 1496*/ GIMT_Encode4(94820), // Rule ID 50919 //
     /*   94772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   94775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94783 */     // (mul:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   94783 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*   94786 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94790 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94795 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   94800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94802 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   94807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   94809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94818 */     GIR_RootConstrainSelectedInstOperands,
     /*   94819 */     // GIR_Coverage, 50919,
     /*   94819 */     GIR_EraseRootFromParent_Done,
     /*   94820 */   // Label 1496: @94820
     /*   94820 */   GIM_Reject,
     /*   94821 */ // Label 1476: @94821
     /*   94821 */ GIM_Reject,
     /*   94822 */ // Label 1303: @94822
     /*   94822 */ GIM_Try, /*On fail goto*//*Label 1497*/ GIMT_Encode4(96546),
     /*   94827 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*   94830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*   94833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   94837 */   GIM_Try, /*On fail goto*//*Label 1498*/ GIMT_Encode4(94926), // Rule ID 51672 //
     /*   94842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   94845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94857 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94876 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94878 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94883 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94885 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   94885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   94888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   94911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   94915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   94918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   94921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   94924 */     GIR_RootConstrainSelectedInstOperands,
     /*   94925 */     // GIR_Coverage, 51672,
     /*   94925 */     GIR_EraseRootFromParent_Done,
     /*   94926 */   // Label 1498: @94926
     /*   94926 */   GIM_Try, /*On fail goto*//*Label 1499*/ GIMT_Encode4(95015), // Rule ID 51673 //
     /*   94931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   94934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   94938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94946 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   94948 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94953 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   94957 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   94961 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   94965 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   94967 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   94972 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   94974 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   94974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   94977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   94981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   94986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   94988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   94991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   94993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   94996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95013 */     GIR_RootConstrainSelectedInstOperands,
     /*   95014 */     // GIR_Coverage, 51673,
     /*   95014 */     GIR_EraseRootFromParent_Done,
     /*   95015 */   // Label 1499: @95015
     /*   95015 */   GIM_Try, /*On fail goto*//*Label 1500*/ GIMT_Encode4(95104), // Rule ID 70576 //
     /*   95020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95031 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95035 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95042 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95046 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95050 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95054 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95056 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95061 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95063 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95102 */     GIR_RootConstrainSelectedInstOperands,
     /*   95103 */     // GIR_Coverage, 70576,
     /*   95103 */     GIR_EraseRootFromParent_Done,
     /*   95104 */   // Label 1500: @95104
     /*   95104 */   GIM_Try, /*On fail goto*//*Label 1501*/ GIMT_Encode4(95193), // Rule ID 70577 //
     /*   95109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95124 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95126 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95131 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95135 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95139 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95143 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95145 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95150 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95152 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95174 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95178 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95191 */     GIR_RootConstrainSelectedInstOperands,
     /*   95192 */     // GIR_Coverage, 70577,
     /*   95192 */     GIR_EraseRootFromParent_Done,
     /*   95193 */   // Label 1501: @95193
     /*   95193 */   GIM_Try, /*On fail goto*//*Label 1502*/ GIMT_Encode4(95282), // Rule ID 70456 //
     /*   95198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95209 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95213 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95215 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95232 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95234 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95239 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95241 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95241 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95244 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95248 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95253 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95260 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95280 */     GIR_RootConstrainSelectedInstOperands,
     /*   95281 */     // GIR_Coverage, 70456,
     /*   95281 */     GIR_EraseRootFromParent_Done,
     /*   95282 */   // Label 1502: @95282
     /*   95282 */   GIM_Try, /*On fail goto*//*Label 1503*/ GIMT_Encode4(95371), // Rule ID 70457 //
     /*   95287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95298 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95302 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95304 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95309 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95313 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95317 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95321 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95323 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95330 */     // (mul:{ *:[nxv4i64] } (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   95356 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   95360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95369 */     GIR_RootConstrainSelectedInstOperands,
     /*   95370 */     // GIR_Coverage, 70457,
     /*   95370 */     GIR_EraseRootFromParent_Done,
     /*   95371 */   // Label 1503: @95371
     /*   95371 */   GIM_Try, /*On fail goto*//*Label 1504*/ GIMT_Encode4(95460), // Rule ID 51852 //
     /*   95376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95391 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95393 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95410 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95412 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95417 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95419 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95419 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95422 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95426 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95431 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95438 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95458 */     GIR_RootConstrainSelectedInstOperands,
     /*   95459 */     // GIR_Coverage, 51852,
     /*   95459 */     GIR_EraseRootFromParent_Done,
     /*   95460 */   // Label 1504: @95460
     /*   95460 */   GIM_Try, /*On fail goto*//*Label 1505*/ GIMT_Encode4(95549), // Rule ID 51853 //
     /*   95465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95480 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95482 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95487 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95491 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95495 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95499 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95501 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95506 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95508 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95534 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95547 */     GIR_RootConstrainSelectedInstOperands,
     /*   95548 */     // GIR_Coverage, 51853,
     /*   95548 */     GIR_EraseRootFromParent_Done,
     /*   95549 */   // Label 1505: @95549
     /*   95549 */   GIM_Try, /*On fail goto*//*Label 1506*/ GIMT_Encode4(95638), // Rule ID 51552 //
     /*   95554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95569 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95576 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95580 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95584 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95588 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95590 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95595 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95597 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95619 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95623 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95636 */     GIR_RootConstrainSelectedInstOperands,
     /*   95637 */     // GIR_Coverage, 51552,
     /*   95637 */     GIR_EraseRootFromParent_Done,
     /*   95638 */   // Label 1506: @95638
     /*   95638 */   GIM_Try, /*On fail goto*//*Label 1507*/ GIMT_Encode4(95727), // Rule ID 51553 //
     /*   95643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95654 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95658 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95677 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95679 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95684 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95686 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   95703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95708 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95725 */     GIR_RootConstrainSelectedInstOperands,
     /*   95726 */     // GIR_Coverage, 51553,
     /*   95726 */     GIR_EraseRootFromParent_Done,
     /*   95727 */   // Label 1507: @95727
     /*   95727 */   GIM_Try, /*On fail goto*//*Label 1508*/ GIMT_Encode4(95816), // Rule ID 51792 //
     /*   95732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95747 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95766 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95768 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95773 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95775 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95814 */     GIR_RootConstrainSelectedInstOperands,
     /*   95815 */     // GIR_Coverage, 51792,
     /*   95815 */     GIR_EraseRootFromParent_Done,
     /*   95816 */   // Label 1508: @95816
     /*   95816 */   GIM_Try, /*On fail goto*//*Label 1509*/ GIMT_Encode4(95905), // Rule ID 51793 //
     /*   95821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   95824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   95832 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95836 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95838 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95843 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95847 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95851 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95855 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95857 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95862 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95864 */     // (mul:{ *:[nxv4i64] } (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   95864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   95881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95903 */     GIR_RootConstrainSelectedInstOperands,
     /*   95904 */     // GIR_Coverage, 51793,
     /*   95904 */     GIR_EraseRootFromParent_Done,
     /*   95905 */   // Label 1509: @95905
     /*   95905 */   GIM_Try, /*On fail goto*//*Label 1510*/ GIMT_Encode4(95994), // Rule ID 51732 //
     /*   95910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   95913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   95917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   95921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95925 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   95927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95932 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   95936 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   95940 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   95944 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   95946 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   95951 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   95953 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   95953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   95956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   95960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   95965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   95967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   95970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   95972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   95975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   95979 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   95983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   95986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   95989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   95992 */     GIR_RootConstrainSelectedInstOperands,
     /*   95993 */     // GIR_Coverage, 51732,
     /*   95993 */     GIR_EraseRootFromParent_Done,
     /*   95994 */   // Label 1510: @95994
     /*   95994 */   GIM_Try, /*On fail goto*//*Label 1511*/ GIMT_Encode4(96083), // Rule ID 51733 //
     /*   95999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96014 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96033 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96042 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96064 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96068 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96081 */     GIR_RootConstrainSelectedInstOperands,
     /*   96082 */     // GIR_Coverage, 51733,
     /*   96082 */     GIR_EraseRootFromParent_Done,
     /*   96083 */   // Label 1511: @96083
     /*   96083 */   GIM_Try, /*On fail goto*//*Label 1512*/ GIMT_Encode4(96172), // Rule ID 70516 //
     /*   96088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96099 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96103 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96110 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96114 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96118 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96122 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96129 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96131 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96170 */     GIR_RootConstrainSelectedInstOperands,
     /*   96171 */     // GIR_Coverage, 70516,
     /*   96171 */     GIR_EraseRootFromParent_Done,
     /*   96172 */   // Label 1512: @96172
     /*   96172 */   GIM_Try, /*On fail goto*//*Label 1513*/ GIMT_Encode4(96261), // Rule ID 70517 //
     /*   96177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96192 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96199 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96203 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96207 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96211 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96220 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   96237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96246 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96259 */     GIR_RootConstrainSelectedInstOperands,
     /*   96260 */     // GIR_Coverage, 70517,
     /*   96260 */     GIR_EraseRootFromParent_Done,
     /*   96261 */   // Label 1513: @96261
     /*   96261 */   GIM_Try, /*On fail goto*//*Label 1514*/ GIMT_Encode4(96350), // Rule ID 51612 //
     /*   96266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*   96269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96281 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96283 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96300 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96309 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*   96309 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96312 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96316 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96321 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96328 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96335 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96348 */     GIR_RootConstrainSelectedInstOperands,
     /*   96349 */     // GIR_Coverage, 51612,
     /*   96349 */     GIR_EraseRootFromParent_Done,
     /*   96350 */   // Label 1514: @96350
     /*   96350 */   GIM_Try, /*On fail goto*//*Label 1515*/ GIMT_Encode4(96439), // Rule ID 51613 //
     /*   96355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*   96358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96366 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96370 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   96385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*   96389 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96391 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96398 */     // (mul:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*   96398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   96415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96424 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*   96434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96437 */     GIR_RootConstrainSelectedInstOperands,
     /*   96438 */     // GIR_Coverage, 51613,
     /*   96438 */     GIR_EraseRootFromParent_Done,
     /*   96439 */   // Label 1515: @96439
     /*   96439 */   GIM_Try, /*On fail goto*//*Label 1516*/ GIMT_Encode4(96492), // Rule ID 50934 //
     /*   96444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*   96447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96455 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*   96455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   96472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   96487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96490 */     GIR_RootConstrainSelectedInstOperands,
     /*   96491 */     // GIR_Coverage, 50934,
     /*   96491 */     GIR_EraseRootFromParent_Done,
     /*   96492 */   // Label 1516: @96492
     /*   96492 */   GIM_Try, /*On fail goto*//*Label 1517*/ GIMT_Encode4(96545), // Rule ID 50935 //
     /*   96497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*   96500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   96508 */     // (mul:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*   96508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*   96511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*   96525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*   96540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96543 */     GIR_RootConstrainSelectedInstOperands,
     /*   96544 */     // GIR_Coverage, 50935,
     /*   96544 */     GIR_EraseRootFromParent_Done,
     /*   96545 */   // Label 1517: @96545
     /*   96545 */   GIM_Reject,
     /*   96546 */ // Label 1497: @96546
     /*   96546 */ GIM_Reject,
     /*   96547 */ // Label 1304: @96547
     /*   96547 */ GIM_Try, /*On fail goto*//*Label 1518*/ GIMT_Encode4(96661),
     /*   96552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*   96558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96566 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96570 */   GIM_Try, /*On fail goto*//*Label 1519*/ GIMT_Encode4(96615), // Rule ID 50878 //
     /*   96575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96578 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   96581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   96595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96613 */     GIR_RootConstrainSelectedInstOperands,
     /*   96614 */     // GIR_Coverage, 50878,
     /*   96614 */     GIR_EraseRootFromParent_Done,
     /*   96615 */   // Label 1519: @96615
     /*   96615 */   GIM_Try, /*On fail goto*//*Label 1520*/ GIMT_Encode4(96660), // Rule ID 50879 //
     /*   96620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96623 */     // (mul:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*   96626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*   96640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   96647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   96649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96658 */     GIR_RootConstrainSelectedInstOperands,
     /*   96659 */     // GIR_Coverage, 50879,
     /*   96659 */     GIR_EraseRootFromParent_Done,
     /*   96660 */   // Label 1520: @96660
     /*   96660 */   GIM_Reject,
     /*   96661 */ // Label 1518: @96661
     /*   96661 */ GIM_Reject,
     /*   96662 */ // Label 1305: @96662
     /*   96662 */ GIM_Try, /*On fail goto*//*Label 1521*/ GIMT_Encode4(98386),
     /*   96667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   96670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*   96673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   96677 */   GIM_Try, /*On fail goto*//*Label 1522*/ GIMT_Encode4(96766), // Rule ID 51632 //
     /*   96682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96697 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96716 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96718 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96723 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96725 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   96742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96747 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96764 */     GIR_RootConstrainSelectedInstOperands,
     /*   96765 */     // GIR_Coverage, 51632,
     /*   96765 */     GIR_EraseRootFromParent_Done,
     /*   96766 */   // Label 1522: @96766
     /*   96766 */   GIM_Try, /*On fail goto*//*Label 1523*/ GIMT_Encode4(96855), // Rule ID 51633 //
     /*   96771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96782 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96786 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96788 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96793 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96797 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96801 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96805 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96807 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96812 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96814 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   96831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   96840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   96844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96853 */     GIR_RootConstrainSelectedInstOperands,
     /*   96854 */     // GIR_Coverage, 51633,
     /*   96854 */     GIR_EraseRootFromParent_Done,
     /*   96855 */   // Label 1523: @96855
     /*   96855 */   GIM_Try, /*On fail goto*//*Label 1524*/ GIMT_Encode4(96944), // Rule ID 70536 //
     /*   96860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   96863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96875 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96882 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96886 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96890 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96894 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96901 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96903 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   96903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   96915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   96917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   96920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   96922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   96925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   96929 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   96933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   96936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   96942 */     GIR_RootConstrainSelectedInstOperands,
     /*   96943 */     // GIR_Coverage, 70536,
     /*   96943 */     GIR_EraseRootFromParent_Done,
     /*   96944 */   // Label 1524: @96944
     /*   96944 */   GIM_Try, /*On fail goto*//*Label 1525*/ GIMT_Encode4(97033), // Rule ID 70537 //
     /*   96949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   96952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   96956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   96960 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96964 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   96966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   96975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   96979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   96983 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   96985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   96990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   96992 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   96992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   96995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   96999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97014 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97018 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97031 */     GIR_RootConstrainSelectedInstOperands,
     /*   97032 */     // GIR_Coverage, 70537,
     /*   97032 */     GIR_EraseRootFromParent_Done,
     /*   97033 */   // Label 1525: @97033
     /*   97033 */   GIM_Try, /*On fail goto*//*Label 1526*/ GIMT_Encode4(97122), // Rule ID 70416 //
     /*   97038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97049 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97053 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97072 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97074 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97079 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97081 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97120 */     GIR_RootConstrainSelectedInstOperands,
     /*   97121 */     // GIR_Coverage, 70416,
     /*   97121 */     GIR_EraseRootFromParent_Done,
     /*   97122 */   // Label 1526: @97122
     /*   97122 */   GIM_Try, /*On fail goto*//*Label 1527*/ GIMT_Encode4(97211), // Rule ID 70417 //
     /*   97127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97142 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97144 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97161 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97170 */     // (mul:{ *:[nxv8i16] } (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97192 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97196 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   97200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97209 */     GIR_RootConstrainSelectedInstOperands,
     /*   97210 */     // GIR_Coverage, 70417,
     /*   97210 */     GIR_EraseRootFromParent_Done,
     /*   97211 */   // Label 1527: @97211
     /*   97211 */   GIM_Try, /*On fail goto*//*Label 1528*/ GIMT_Encode4(97300), // Rule ID 51812 //
     /*   97216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97227 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97231 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97233 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97238 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97242 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97246 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97250 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97252 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97257 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97259 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97298 */     GIR_RootConstrainSelectedInstOperands,
     /*   97299 */     // GIR_Coverage, 51812,
     /*   97299 */     GIR_EraseRootFromParent_Done,
     /*   97300 */   // Label 1528: @97300
     /*   97300 */   GIM_Try, /*On fail goto*//*Label 1529*/ GIMT_Encode4(97389), // Rule ID 51813 //
     /*   97305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97316 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97320 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97322 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97327 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97331 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97335 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97339 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97341 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97346 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97348 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97387 */     GIR_RootConstrainSelectedInstOperands,
     /*   97388 */     // GIR_Coverage, 51813,
     /*   97388 */     GIR_EraseRootFromParent_Done,
     /*   97389 */   // Label 1529: @97389
     /*   97389 */   GIM_Try, /*On fail goto*//*Label 1530*/ GIMT_Encode4(97478), // Rule ID 51512 //
     /*   97394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97409 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97416 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97420 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97424 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97428 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97430 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97435 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97437 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   97454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97476 */     GIR_RootConstrainSelectedInstOperands,
     /*   97477 */     // GIR_Coverage, 51512,
     /*   97477 */     GIR_EraseRootFromParent_Done,
     /*   97478 */   // Label 1530: @97478
     /*   97478 */   GIM_Try, /*On fail goto*//*Label 1531*/ GIMT_Encode4(97567), // Rule ID 51513 //
     /*   97483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97498 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97505 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97509 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97513 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97517 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97519 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97526 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*   97543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97552 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97565 */     GIR_RootConstrainSelectedInstOperands,
     /*   97566 */     // GIR_Coverage, 51513,
     /*   97566 */     GIR_EraseRootFromParent_Done,
     /*   97567 */   // Label 1531: @97567
     /*   97567 */   GIM_Try, /*On fail goto*//*Label 1532*/ GIMT_Encode4(97656), // Rule ID 51752 //
     /*   97572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97587 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97606 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97608 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97613 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97615 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97654 */     GIR_RootConstrainSelectedInstOperands,
     /*   97655 */     // GIR_Coverage, 51752,
     /*   97655 */     GIR_EraseRootFromParent_Done,
     /*   97656 */   // Label 1532: @97656
     /*   97656 */   GIM_Try, /*On fail goto*//*Label 1533*/ GIMT_Encode4(97745), // Rule ID 51753 //
     /*   97661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97676 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97683 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97687 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97691 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97695 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97704 */     // (mul:{ *:[nxv8i16] } (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97726 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97743 */     GIR_RootConstrainSelectedInstOperands,
     /*   97744 */     // GIR_Coverage, 51753,
     /*   97744 */     GIR_EraseRootFromParent_Done,
     /*   97745 */   // Label 1533: @97745
     /*   97745 */   GIM_Try, /*On fail goto*//*Label 1534*/ GIMT_Encode4(97834), // Rule ID 51692 //
     /*   97750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97765 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97772 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97776 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97780 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97784 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97786 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97793 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97819 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97832 */     GIR_RootConstrainSelectedInstOperands,
     /*   97833 */     // GIR_Coverage, 51692,
     /*   97833 */     GIR_EraseRootFromParent_Done,
     /*   97834 */   // Label 1534: @97834
     /*   97834 */   GIM_Try, /*On fail goto*//*Label 1535*/ GIMT_Encode4(97923), // Rule ID 51693 //
     /*   97839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   97842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97850 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97854 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   97869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97873 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97875 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97880 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97882 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   97882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   97899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97904 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   97908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   97912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   97915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   97921 */     GIR_RootConstrainSelectedInstOperands,
     /*   97922 */     // GIR_Coverage, 51693,
     /*   97922 */     GIR_EraseRootFromParent_Done,
     /*   97923 */   // Label 1535: @97923
     /*   97923 */   GIM_Try, /*On fail goto*//*Label 1536*/ GIMT_Encode4(98012), // Rule ID 70476 //
     /*   97928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   97931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   97935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   97939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97943 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   97945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   97954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   97958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   97962 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   97964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   97969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   97971 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   97971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   97974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   97978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   97983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   97985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   97988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   97990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   97993 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   97997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98010 */     GIR_RootConstrainSelectedInstOperands,
     /*   98011 */     // GIR_Coverage, 70476,
     /*   98011 */     GIR_EraseRootFromParent_Done,
     /*   98012 */   // Label 1536: @98012
     /*   98012 */   GIM_Try, /*On fail goto*//*Label 1537*/ GIMT_Encode4(98101), // Rule ID 70477 //
     /*   98017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98032 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98051 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98060 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*   98077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98082 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98086 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98099 */     GIR_RootConstrainSelectedInstOperands,
     /*   98100 */     // GIR_Coverage, 70477,
     /*   98100 */     GIR_EraseRootFromParent_Done,
     /*   98101 */   // Label 1537: @98101
     /*   98101 */   GIM_Try, /*On fail goto*//*Label 1538*/ GIMT_Encode4(98190), // Rule ID 51572 //
     /*   98106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98121 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98123 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98128 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98132 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98136 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98140 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98149 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*   98149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98188 */     GIR_RootConstrainSelectedInstOperands,
     /*   98189 */     // GIR_Coverage, 51572,
     /*   98189 */     GIR_EraseRootFromParent_Done,
     /*   98190 */   // Label 1538: @98190
     /*   98190 */   GIM_Try, /*On fail goto*//*Label 1539*/ GIMT_Encode4(98279), // Rule ID 51573 //
     /*   98195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98210 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*   98229 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*   98236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98238 */     // (mul:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*   98238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*   98255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98264 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98277 */     GIR_RootConstrainSelectedInstOperands,
     /*   98278 */     // GIR_Coverage, 51573,
     /*   98278 */     GIR_EraseRootFromParent_Done,
     /*   98279 */   // Label 1539: @98279
     /*   98279 */   GIM_Try, /*On fail goto*//*Label 1540*/ GIMT_Encode4(98332), // Rule ID 50906 //
     /*   98284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98295 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   98312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   98319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   98321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98330 */     GIR_RootConstrainSelectedInstOperands,
     /*   98331 */     // GIR_Coverage, 50906,
     /*   98331 */     GIR_EraseRootFromParent_Done,
     /*   98332 */   // Label 1540: @98332
     /*   98332 */   GIM_Try, /*On fail goto*//*Label 1541*/ GIMT_Encode4(98385), // Rule ID 50907 //
     /*   98337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98348 */     // (mul:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98348 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*   98351 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98355 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98360 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*   98365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98367 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*   98372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*   98374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98383 */     GIR_RootConstrainSelectedInstOperands,
     /*   98384 */     // GIR_Coverage, 50907,
     /*   98384 */     GIR_EraseRootFromParent_Done,
     /*   98385 */   // Label 1541: @98385
     /*   98385 */   GIM_Reject,
     /*   98386 */ // Label 1521: @98386
     /*   98386 */ GIM_Reject,
     /*   98387 */ // Label 1306: @98387
     /*   98387 */ GIM_Try, /*On fail goto*//*Label 1542*/ GIMT_Encode4(100111),
     /*   98392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*   98395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*   98398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*   98402 */   GIM_Try, /*On fail goto*//*Label 1543*/ GIMT_Encode4(98491), // Rule ID 51656 //
     /*   98407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98422 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98424 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98429 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98433 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98437 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98441 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98443 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98450 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98472 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98476 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98489 */     GIR_RootConstrainSelectedInstOperands,
     /*   98490 */     // GIR_Coverage, 51656,
     /*   98490 */     GIR_EraseRootFromParent_Done,
     /*   98491 */   // Label 1543: @98491
     /*   98491 */   GIM_Try, /*On fail goto*//*Label 1544*/ GIMT_Encode4(98580), // Rule ID 51657 //
     /*   98496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98511 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98513 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98518 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98522 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98526 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98530 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98532 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98537 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98539 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   98565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   98569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98578 */     GIR_RootConstrainSelectedInstOperands,
     /*   98579 */     // GIR_Coverage, 51657,
     /*   98579 */     GIR_EraseRootFromParent_Done,
     /*   98580 */   // Label 1544: @98580
     /*   98580 */   GIM_Try, /*On fail goto*//*Label 1545*/ GIMT_Encode4(98669), // Rule ID 70560 //
     /*   98585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98600 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98602 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98619 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98621 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98626 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98628 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98650 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98654 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98667 */     GIR_RootConstrainSelectedInstOperands,
     /*   98668 */     // GIR_Coverage, 70560,
     /*   98668 */     GIR_EraseRootFromParent_Done,
     /*   98669 */   // Label 1545: @98669
     /*   98669 */   GIM_Try, /*On fail goto*//*Label 1546*/ GIMT_Encode4(98758), // Rule ID 70561 //
     /*   98674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98689 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98708 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98710 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98715 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98717 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   98734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98739 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98743 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98756 */     GIR_RootConstrainSelectedInstOperands,
     /*   98757 */     // GIR_Coverage, 70561,
     /*   98757 */     GIR_EraseRootFromParent_Done,
     /*   98758 */   // Label 1546: @98758
     /*   98758 */   GIM_Try, /*On fail goto*//*Label 1547*/ GIMT_Encode4(98847), // Rule ID 70440 //
     /*   98763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98778 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98785 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98789 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98793 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98797 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98806 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98806 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98809 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98813 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98828 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98845 */     GIR_RootConstrainSelectedInstOperands,
     /*   98846 */     // GIR_Coverage, 70440,
     /*   98846 */     GIR_EraseRootFromParent_Done,
     /*   98847 */   // Label 1547: @98847
     /*   98847 */   GIM_Try, /*On fail goto*//*Label 1548*/ GIMT_Encode4(98936), // Rule ID 70441 //
     /*   98852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   98855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98867 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98869 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98874 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98878 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   98882 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98886 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98893 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98895 */     // (mul:{ *:[nxv8i32] } (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   98895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   98912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   98914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   98917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   98921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   98925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   98928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   98931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   98934 */     GIR_RootConstrainSelectedInstOperands,
     /*   98935 */     // GIR_Coverage, 70441,
     /*   98935 */     GIR_EraseRootFromParent_Done,
     /*   98936 */   // Label 1548: @98936
     /*   98936 */   GIM_Try, /*On fail goto*//*Label 1549*/ GIMT_Encode4(99025), // Rule ID 51836 //
     /*   98941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   98944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   98948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   98952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98956 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   98958 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98963 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   98967 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   98971 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   98975 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   98977 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   98982 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   98984 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   98984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   98987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   98991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   98996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   98998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99006 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99010 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99023 */     GIR_RootConstrainSelectedInstOperands,
     /*   99024 */     // GIR_Coverage, 51836,
     /*   99024 */     GIR_EraseRootFromParent_Done,
     /*   99025 */   // Label 1549: @99025
     /*   99025 */   GIM_Try, /*On fail goto*//*Label 1550*/ GIMT_Encode4(99114), // Rule ID 51837 //
     /*   99030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99041 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99045 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99047 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99052 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99056 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99060 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99064 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99066 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99071 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99073 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99112 */     GIR_RootConstrainSelectedInstOperands,
     /*   99113 */     // GIR_Coverage, 51837,
     /*   99113 */     GIR_EraseRootFromParent_Done,
     /*   99114 */   // Label 1550: @99114
     /*   99114 */   GIM_Try, /*On fail goto*//*Label 1551*/ GIMT_Encode4(99203), // Rule ID 51536 //
     /*   99119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99134 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99153 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99155 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99162 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   99179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99188 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99201 */     GIR_RootConstrainSelectedInstOperands,
     /*   99202 */     // GIR_Coverage, 51536,
     /*   99202 */     GIR_EraseRootFromParent_Done,
     /*   99203 */   // Label 1551: @99203
     /*   99203 */   GIM_Try, /*On fail goto*//*Label 1552*/ GIMT_Encode4(99292), // Rule ID 51537 //
     /*   99208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99219 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99223 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99225 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99242 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99244 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99249 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99251 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99251 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99254 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99258 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99263 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*   99268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99270 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99290 */     GIR_RootConstrainSelectedInstOperands,
     /*   99291 */     // GIR_Coverage, 51537,
     /*   99291 */     GIR_EraseRootFromParent_Done,
     /*   99292 */   // Label 1552: @99292
     /*   99292 */   GIM_Try, /*On fail goto*//*Label 1553*/ GIMT_Encode4(99381), // Rule ID 51776 //
     /*   99297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99308 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99312 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99314 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99319 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99323 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99327 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99331 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99340 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99340 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99343 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99347 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99352 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99359 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99362 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99379 */     GIR_RootConstrainSelectedInstOperands,
     /*   99380 */     // GIR_Coverage, 51776,
     /*   99380 */     GIR_EraseRootFromParent_Done,
     /*   99381 */   // Label 1553: @99381
     /*   99381 */   GIM_Try, /*On fail goto*//*Label 1554*/ GIMT_Encode4(99470), // Rule ID 51777 //
     /*   99386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99401 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99403 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99408 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99412 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99416 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99420 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99422 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99429 */     // (mul:{ *:[nxv8i32] } (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99468 */     GIR_RootConstrainSelectedInstOperands,
     /*   99469 */     // GIR_Coverage, 51777,
     /*   99469 */     GIR_EraseRootFromParent_Done,
     /*   99470 */   // Label 1554: @99470
     /*   99470 */   GIM_Try, /*On fail goto*//*Label 1555*/ GIMT_Encode4(99559), // Rule ID 51716 //
     /*   99475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99490 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99509 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99511 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99516 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99518 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99540 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99557 */     GIR_RootConstrainSelectedInstOperands,
     /*   99558 */     // GIR_Coverage, 51716,
     /*   99558 */     GIR_EraseRootFromParent_Done,
     /*   99559 */   // Label 1555: @99559
     /*   99559 */   GIM_Try, /*On fail goto*//*Label 1556*/ GIMT_Encode4(99648), // Rule ID 51717 //
     /*   99564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99579 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99586 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99590 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*   99594 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99598 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99600 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99605 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99607 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99607 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99610 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99614 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99619 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99626 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99646 */     GIR_RootConstrainSelectedInstOperands,
     /*   99647 */     // GIR_Coverage, 51717,
     /*   99647 */     GIR_EraseRootFromParent_Done,
     /*   99648 */   // Label 1556: @99648
     /*   99648 */   GIM_Try, /*On fail goto*//*Label 1557*/ GIMT_Encode4(99737), // Rule ID 70500 //
     /*   99653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99668 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99687 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99696 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99708 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99715 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99735 */     GIR_RootConstrainSelectedInstOperands,
     /*   99736 */     // GIR_Coverage, 70500,
     /*   99736 */     GIR_EraseRootFromParent_Done,
     /*   99737 */   // Label 1557: @99737
     /*   99737 */   GIM_Try, /*On fail goto*//*Label 1558*/ GIMT_Encode4(99826), // Rule ID 70501 //
     /*   99742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99757 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99764 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99768 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*   99772 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99776 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99778 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99783 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99785 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*   99802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*   99811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*   99815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99824 */     GIR_RootConstrainSelectedInstOperands,
     /*   99825 */     // GIR_Coverage, 70501,
     /*   99825 */     GIR_EraseRootFromParent_Done,
     /*   99826 */   // Label 1558: @99826
     /*   99826 */   GIM_Try, /*On fail goto*//*Label 1559*/ GIMT_Encode4(99915), // Rule ID 51596 //
     /*   99831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*   99834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99846 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99848 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99853 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99857 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99861 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99865 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99874 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*   99874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99900 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*   99913 */     GIR_RootConstrainSelectedInstOperands,
     /*   99914 */     // GIR_Coverage, 51596,
     /*   99914 */     GIR_EraseRootFromParent_Done,
     /*   99915 */   // Label 1559: @99915
     /*   99915 */   GIM_Try, /*On fail goto*//*Label 1560*/ GIMT_Encode4(100004), // Rule ID 51597 //
     /*   99920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*   99923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*   99927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99935 */     GIM_CheckHasOneUse, /*MI*/1,
     /*   99937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99942 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*   99946 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*   99950 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*   99954 */     GIM_CheckHasOneUse, /*MI*/2,
     /*   99956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*   99961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*   99963 */     // (mul:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*   99963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*   99966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*   99970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*   99975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*   99977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*   99980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*   99982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*   99985 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*   99989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*   99993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*   99996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*   99999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100002 */     GIR_RootConstrainSelectedInstOperands,
     /*  100003 */     // GIR_Coverage, 51597,
     /*  100003 */     GIR_EraseRootFromParent_Done,
     /*  100004 */   // Label 1560: @100004
     /*  100004 */   GIM_Try, /*On fail goto*//*Label 1561*/ GIMT_Encode4(100057), // Rule ID 50922 //
     /*  100009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  100012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100020 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  100037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  100044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  100046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100055 */     GIR_RootConstrainSelectedInstOperands,
     /*  100056 */     // GIR_Coverage, 50922,
     /*  100056 */     GIR_EraseRootFromParent_Done,
     /*  100057 */   // Label 1561: @100057
     /*  100057 */   GIM_Try, /*On fail goto*//*Label 1562*/ GIMT_Encode4(100110), // Rule ID 50923 //
     /*  100062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  100065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100073 */     // (mul:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100073 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  100076 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100080 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100085 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  100090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100092 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  100097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  100099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100108 */     GIR_RootConstrainSelectedInstOperands,
     /*  100109 */     // GIR_Coverage, 50923,
     /*  100109 */     GIR_EraseRootFromParent_Done,
     /*  100110 */   // Label 1562: @100110
     /*  100110 */   GIM_Reject,
     /*  100111 */ // Label 1542: @100111
     /*  100111 */ GIM_Reject,
     /*  100112 */ // Label 1307: @100112
     /*  100112 */ GIM_Try, /*On fail goto*//*Label 1563*/ GIMT_Encode4(101836),
     /*  100117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  100120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  100123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  100127 */   GIM_Try, /*On fail goto*//*Label 1564*/ GIMT_Encode4(100216), // Rule ID 51676 //
     /*  100132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100147 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100166 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100173 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100175 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100197 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100214 */     GIR_RootConstrainSelectedInstOperands,
     /*  100215 */     // GIR_Coverage, 51676,
     /*  100215 */     GIR_EraseRootFromParent_Done,
     /*  100216 */   // Label 1564: @100216
     /*  100216 */   GIM_Try, /*On fail goto*//*Label 1565*/ GIMT_Encode4(100305), // Rule ID 51677 //
     /*  100221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100232 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100236 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100238 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100243 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100247 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100251 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100255 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100262 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100264 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100303 */     GIR_RootConstrainSelectedInstOperands,
     /*  100304 */     // GIR_Coverage, 51677,
     /*  100304 */     GIR_EraseRootFromParent_Done,
     /*  100305 */   // Label 1565: @100305
     /*  100305 */   GIM_Try, /*On fail goto*//*Label 1566*/ GIMT_Encode4(100394), // Rule ID 70580 //
     /*  100310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100321 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100325 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100344 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100353 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100375 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100392 */     GIR_RootConstrainSelectedInstOperands,
     /*  100393 */     // GIR_Coverage, 70580,
     /*  100393 */     GIR_EraseRootFromParent_Done,
     /*  100394 */   // Label 1566: @100394
     /*  100394 */   GIM_Try, /*On fail goto*//*Label 1567*/ GIMT_Encode4(100483), // Rule ID 70581 //
     /*  100399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100414 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100416 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100421 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100425 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100429 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100433 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100435 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100440 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100442 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100464 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100468 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100481 */     GIR_RootConstrainSelectedInstOperands,
     /*  100482 */     // GIR_Coverage, 70581,
     /*  100482 */     GIR_EraseRootFromParent_Done,
     /*  100483 */   // Label 1567: @100483
     /*  100483 */   GIM_Try, /*On fail goto*//*Label 1568*/ GIMT_Encode4(100572), // Rule ID 70460 //
     /*  100488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100499 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100503 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100510 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100514 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100518 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100522 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100524 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100529 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100531 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100570 */     GIR_RootConstrainSelectedInstOperands,
     /*  100571 */     // GIR_Coverage, 70460,
     /*  100571 */     GIR_EraseRootFromParent_Done,
     /*  100572 */   // Label 1568: @100572
     /*  100572 */   GIM_Try, /*On fail goto*//*Label 1569*/ GIMT_Encode4(100661), // Rule ID 70461 //
     /*  100577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100592 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100594 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  100607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100611 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100620 */     // (mul:{ *:[nxv8i64] } (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  100637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100642 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  100646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  100650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100659 */     GIR_RootConstrainSelectedInstOperands,
     /*  100660 */     // GIR_Coverage, 70461,
     /*  100660 */     GIR_EraseRootFromParent_Done,
     /*  100661 */   // Label 1569: @100661
     /*  100661 */   GIM_Try, /*On fail goto*//*Label 1570*/ GIMT_Encode4(100750), // Rule ID 51856 //
     /*  100666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100681 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100683 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100688 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100692 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100696 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100700 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100702 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100707 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100709 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100748 */     GIR_RootConstrainSelectedInstOperands,
     /*  100749 */     // GIR_Coverage, 51856,
     /*  100749 */     GIR_EraseRootFromParent_Done,
     /*  100750 */   // Label 1570: @100750
     /*  100750 */   GIM_Try, /*On fail goto*//*Label 1571*/ GIMT_Encode4(100839), // Rule ID 51857 //
     /*  100755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100770 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100772 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100777 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100781 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  100785 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100789 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100791 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100796 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100798 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  100815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100824 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100837 */     GIR_RootConstrainSelectedInstOperands,
     /*  100838 */     // GIR_Coverage, 51857,
     /*  100838 */     GIR_EraseRootFromParent_Done,
     /*  100839 */   // Label 1571: @100839
     /*  100839 */   GIM_Try, /*On fail goto*//*Label 1572*/ GIMT_Encode4(100928), // Rule ID 51556 //
     /*  100844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  100847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100859 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100866 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100870 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100874 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100878 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100880 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100885 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100887 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  100887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  100913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  100917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  100920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  100923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  100926 */     GIR_RootConstrainSelectedInstOperands,
     /*  100927 */     // GIR_Coverage, 51556,
     /*  100927 */     GIR_EraseRootFromParent_Done,
     /*  100928 */   // Label 1572: @100928
     /*  100928 */   GIM_Try, /*On fail goto*//*Label 1573*/ GIMT_Encode4(101017), // Rule ID 51557 //
     /*  100933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  100936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  100940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100944 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100948 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  100950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100955 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  100959 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  100963 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  100967 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  100969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  100974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  100976 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  100976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  100979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  100983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  100988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  100990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  100993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  100995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  100998 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101015 */     GIR_RootConstrainSelectedInstOperands,
     /*  101016 */     // GIR_Coverage, 51557,
     /*  101016 */     GIR_EraseRootFromParent_Done,
     /*  101017 */   // Label 1573: @101017
     /*  101017 */   GIM_Try, /*On fail goto*//*Label 1574*/ GIMT_Encode4(101106), // Rule ID 51796 //
     /*  101022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101037 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101044 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101048 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101052 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101056 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101058 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101063 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101065 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101104 */     GIR_RootConstrainSelectedInstOperands,
     /*  101105 */     // GIR_Coverage, 51796,
     /*  101105 */     GIR_EraseRootFromParent_Done,
     /*  101106 */   // Label 1574: @101106
     /*  101106 */   GIM_Try, /*On fail goto*//*Label 1575*/ GIMT_Encode4(101195), // Rule ID 51797 //
     /*  101111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101114 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101118 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101122 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101126 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101128 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101133 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101137 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101141 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101145 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101147 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101154 */     // (mul:{ *:[nxv8i64] } (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101154 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101157 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101161 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101166 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101173 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101193 */     GIR_RootConstrainSelectedInstOperands,
     /*  101194 */     // GIR_Coverage, 51797,
     /*  101194 */     GIR_EraseRootFromParent_Done,
     /*  101195 */   // Label 1575: @101195
     /*  101195 */   GIM_Try, /*On fail goto*//*Label 1576*/ GIMT_Encode4(101284), // Rule ID 51736 //
     /*  101200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101211 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101215 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101222 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101226 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101230 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101234 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101236 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101243 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101265 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101269 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101282 */     GIR_RootConstrainSelectedInstOperands,
     /*  101283 */     // GIR_Coverage, 51736,
     /*  101283 */     GIR_EraseRootFromParent_Done,
     /*  101284 */   // Label 1576: @101284
     /*  101284 */   GIM_Try, /*On fail goto*//*Label 1577*/ GIMT_Encode4(101373), // Rule ID 51737 //
     /*  101289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101292 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101296 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101300 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101304 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101311 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101315 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101319 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101323 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101325 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101330 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101332 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101358 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101371 */     GIR_RootConstrainSelectedInstOperands,
     /*  101372 */     // GIR_Coverage, 51737,
     /*  101372 */     GIR_EraseRootFromParent_Done,
     /*  101373 */   // Label 1577: @101373
     /*  101373 */   GIM_Try, /*On fail goto*//*Label 1578*/ GIMT_Encode4(101462), // Rule ID 70520 //
     /*  101378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101389 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101393 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101400 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101404 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101408 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101412 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101414 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101421 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101460 */     GIR_RootConstrainSelectedInstOperands,
     /*  101461 */     // GIR_Coverage, 70520,
     /*  101461 */     GIR_EraseRootFromParent_Done,
     /*  101462 */   // Label 1578: @101462
     /*  101462 */   GIM_Try, /*On fail goto*//*Label 1579*/ GIMT_Encode4(101551), // Rule ID 70521 //
     /*  101467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101470 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101474 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101478 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101482 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101484 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101489 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101493 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  101497 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101501 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101510 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  101527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  101536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  101540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101549 */     GIR_RootConstrainSelectedInstOperands,
     /*  101550 */     // GIR_Coverage, 70521,
     /*  101550 */     GIR_EraseRootFromParent_Done,
     /*  101551 */   // Label 1579: @101551
     /*  101551 */   GIM_Try, /*On fail goto*//*Label 1580*/ GIMT_Encode4(101640), // Rule ID 51616 //
     /*  101556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  101559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101571 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101573 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101578 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101582 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101586 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101590 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101599 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  101599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101638 */     GIR_RootConstrainSelectedInstOperands,
     /*  101639 */     // GIR_Coverage, 51616,
     /*  101639 */     GIR_EraseRootFromParent_Done,
     /*  101640 */   // Label 1580: @101640
     /*  101640 */   GIM_Try, /*On fail goto*//*Label 1581*/ GIMT_Encode4(101729), // Rule ID 51617 //
     /*  101645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  101648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101660 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101662 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101667 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101671 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  101675 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  101679 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  101681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  101688 */     // (mul:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  101688 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101691 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101695 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101700 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  101705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101707 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  101714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  101718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  101724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101727 */     GIR_RootConstrainSelectedInstOperands,
     /*  101728 */     // GIR_Coverage, 51617,
     /*  101728 */     GIR_EraseRootFromParent_Done,
     /*  101729 */   // Label 1581: @101729
     /*  101729 */   GIM_Try, /*On fail goto*//*Label 1582*/ GIMT_Encode4(101782), // Rule ID 50938 //
     /*  101734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  101737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101745 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  101745 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101748 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101752 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101757 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101764 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  101777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101780 */     GIR_RootConstrainSelectedInstOperands,
     /*  101781 */     // GIR_Coverage, 50938,
     /*  101781 */     GIR_EraseRootFromParent_Done,
     /*  101782 */   // Label 1582: @101782
     /*  101782 */   GIM_Try, /*On fail goto*//*Label 1583*/ GIMT_Encode4(101835), // Rule ID 50939 //
     /*  101787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  101790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  101798 */     // (mul:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  101798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  101801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  101815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  101830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101833 */     GIR_RootConstrainSelectedInstOperands,
     /*  101834 */     // GIR_Coverage, 50939,
     /*  101834 */     GIR_EraseRootFromParent_Done,
     /*  101835 */   // Label 1583: @101835
     /*  101835 */   GIM_Reject,
     /*  101836 */ // Label 1563: @101836
     /*  101836 */ GIM_Reject,
     /*  101837 */ // Label 1308: @101837
     /*  101837 */ GIM_Try, /*On fail goto*//*Label 1584*/ GIMT_Encode4(101951),
     /*  101842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  101845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  101848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101860 */   GIM_Try, /*On fail goto*//*Label 1585*/ GIMT_Encode4(101905), // Rule ID 50894 //
     /*  101865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101868 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  101868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  101871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  101885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101903 */     GIR_RootConstrainSelectedInstOperands,
     /*  101904 */     // GIR_Coverage, 50894,
     /*  101904 */     GIR_EraseRootFromParent_Done,
     /*  101905 */   // Label 1585: @101905
     /*  101905 */   GIM_Try, /*On fail goto*//*Label 1586*/ GIMT_Encode4(101950), // Rule ID 50895 //
     /*  101910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  101913 */     // (mul:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  101913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  101916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  101920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  101925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  101927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  101930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  101932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  101935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  101937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  101939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  101942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  101948 */     GIR_RootConstrainSelectedInstOperands,
     /*  101949 */     // GIR_Coverage, 50895,
     /*  101949 */     GIR_EraseRootFromParent_Done,
     /*  101950 */   // Label 1586: @101950
     /*  101950 */   GIM_Reject,
     /*  101951 */ // Label 1584: @101951
     /*  101951 */ GIM_Reject,
     /*  101952 */ // Label 1309: @101952
     /*  101952 */ GIM_Try, /*On fail goto*//*Label 1587*/ GIMT_Encode4(103676),
     /*  101957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  101960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  101963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  101967 */   GIM_Try, /*On fail goto*//*Label 1588*/ GIMT_Encode4(102056), // Rule ID 51636 //
     /*  101972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  101975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  101979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  101983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  101987 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  101989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  101994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  101998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102006 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102008 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102013 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102015 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102054 */     GIR_RootConstrainSelectedInstOperands,
     /*  102055 */     // GIR_Coverage, 51636,
     /*  102055 */     GIR_EraseRootFromParent_Done,
     /*  102056 */   // Label 1588: @102056
     /*  102056 */   GIM_Try, /*On fail goto*//*Label 1589*/ GIMT_Encode4(102145), // Rule ID 51637 //
     /*  102061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102076 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102078 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102095 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102102 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102104 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102126 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102143 */     GIR_RootConstrainSelectedInstOperands,
     /*  102144 */     // GIR_Coverage, 51637,
     /*  102144 */     GIR_EraseRootFromParent_Done,
     /*  102145 */   // Label 1589: @102145
     /*  102145 */   GIM_Try, /*On fail goto*//*Label 1590*/ GIMT_Encode4(102234), // Rule ID 70540 //
     /*  102150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102161 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102165 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102172 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102176 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102180 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102184 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102193 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102193 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102196 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102200 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102205 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102212 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102215 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102232 */     GIR_RootConstrainSelectedInstOperands,
     /*  102233 */     // GIR_Coverage, 70540,
     /*  102233 */     GIR_EraseRootFromParent_Done,
     /*  102234 */   // Label 1590: @102234
     /*  102234 */   GIM_Try, /*On fail goto*//*Label 1591*/ GIMT_Encode4(102323), // Rule ID 70541 //
     /*  102239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102250 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102254 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102256 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102261 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102265 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102269 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102273 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102275 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102280 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102282 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102321 */     GIR_RootConstrainSelectedInstOperands,
     /*  102322 */     // GIR_Coverage, 70541,
     /*  102322 */     GIR_EraseRootFromParent_Done,
     /*  102323 */   // Label 1591: @102323
     /*  102323 */   GIM_Try, /*On fail goto*//*Label 1592*/ GIMT_Encode4(102412), // Rule ID 70420 //
     /*  102328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102343 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102362 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102364 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102369 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102371 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102410 */     GIR_RootConstrainSelectedInstOperands,
     /*  102411 */     // GIR_Coverage, 70420,
     /*  102411 */     GIR_EraseRootFromParent_Done,
     /*  102412 */   // Label 1592: @102412
     /*  102412 */   GIM_Try, /*On fail goto*//*Label 1593*/ GIMT_Encode4(102501), // Rule ID 70421 //
     /*  102417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102432 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102451 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102460 */     // (mul:{ *:[nxv16i16] } (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  102477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  102486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  102490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102499 */     GIR_RootConstrainSelectedInstOperands,
     /*  102500 */     // GIR_Coverage, 70421,
     /*  102500 */     GIR_EraseRootFromParent_Done,
     /*  102501 */   // Label 1593: @102501
     /*  102501 */   GIM_Try, /*On fail goto*//*Label 1594*/ GIMT_Encode4(102590), // Rule ID 51816 //
     /*  102506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102521 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102523 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102540 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102549 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102549 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102552 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102556 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102561 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102568 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102588 */     GIR_RootConstrainSelectedInstOperands,
     /*  102589 */     // GIR_Coverage, 51816,
     /*  102589 */     GIR_EraseRootFromParent_Done,
     /*  102590 */   // Label 1594: @102590
     /*  102590 */   GIM_Try, /*On fail goto*//*Label 1595*/ GIMT_Encode4(102679), // Rule ID 51817 //
     /*  102595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102610 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102617 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102621 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  102625 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102629 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102631 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102636 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102638 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102664 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102677 */     GIR_RootConstrainSelectedInstOperands,
     /*  102678 */     // GIR_Coverage, 51817,
     /*  102678 */     GIR_EraseRootFromParent_Done,
     /*  102679 */   // Label 1595: @102679
     /*  102679 */   GIM_Try, /*On fail goto*//*Label 1596*/ GIMT_Encode4(102768), // Rule ID 51516 //
     /*  102684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102699 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102706 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102710 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102714 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102718 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102720 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102727 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  102744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102766 */     GIR_RootConstrainSelectedInstOperands,
     /*  102767 */     // GIR_Coverage, 51516,
     /*  102767 */     GIR_EraseRootFromParent_Done,
     /*  102768 */   // Label 1596: @102768
     /*  102768 */   GIM_Try, /*On fail goto*//*Label 1597*/ GIMT_Encode4(102857), // Rule ID 51517 //
     /*  102773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102784 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102788 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102790 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102795 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102799 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102803 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102807 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102809 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102814 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102816 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102816 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102819 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102823 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102828 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  102833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102835 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102855 */     GIR_RootConstrainSelectedInstOperands,
     /*  102856 */     // GIR_Coverage, 51517,
     /*  102856 */     GIR_EraseRootFromParent_Done,
     /*  102857 */   // Label 1597: @102857
     /*  102857 */   GIM_Try, /*On fail goto*//*Label 1598*/ GIMT_Encode4(102946), // Rule ID 51756 //
     /*  102862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  102865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102877 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102884 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102888 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102892 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102896 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102898 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102903 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102905 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  102905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  102912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  102917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  102919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  102922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  102924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  102927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  102931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  102935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  102938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  102944 */     GIR_RootConstrainSelectedInstOperands,
     /*  102945 */     // GIR_Coverage, 51756,
     /*  102945 */     GIR_EraseRootFromParent_Done,
     /*  102946 */   // Label 1598: @102946
     /*  102946 */   GIM_Try, /*On fail goto*//*Label 1599*/ GIMT_Encode4(103035), // Rule ID 51757 //
     /*  102951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  102954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  102958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  102962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102966 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  102968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  102977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  102981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  102985 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  102987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  102992 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  102994 */     // (mul:{ *:[nxv16i16] } (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  102994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  102997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103016 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103033 */     GIR_RootConstrainSelectedInstOperands,
     /*  103034 */     // GIR_Coverage, 51757,
     /*  103034 */     GIR_EraseRootFromParent_Done,
     /*  103035 */   // Label 1599: @103035
     /*  103035 */   GIM_Try, /*On fail goto*//*Label 1600*/ GIMT_Encode4(103124), // Rule ID 51696 //
     /*  103040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103055 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103062 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103066 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103070 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103074 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103081 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103083 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103083 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103086 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103090 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103095 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103102 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103109 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103122 */     GIR_RootConstrainSelectedInstOperands,
     /*  103123 */     // GIR_Coverage, 51696,
     /*  103123 */     GIR_EraseRootFromParent_Done,
     /*  103124 */   // Label 1600: @103124
     /*  103124 */   GIM_Try, /*On fail goto*//*Label 1601*/ GIMT_Encode4(103213), // Rule ID 51697 //
     /*  103129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103140 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103144 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103163 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103165 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103172 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103198 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103211 */     GIR_RootConstrainSelectedInstOperands,
     /*  103212 */     // GIR_Coverage, 51697,
     /*  103212 */     GIR_EraseRootFromParent_Done,
     /*  103213 */   // Label 1601: @103213
     /*  103213 */   GIM_Try, /*On fail goto*//*Label 1602*/ GIMT_Encode4(103302), // Rule ID 70480 //
     /*  103218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103229 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103233 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103240 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103244 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103248 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103252 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103254 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103259 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103261 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103300 */     GIR_RootConstrainSelectedInstOperands,
     /*  103301 */     // GIR_Coverage, 70480,
     /*  103301 */     GIR_EraseRootFromParent_Done,
     /*  103302 */   // Label 1602: @103302
     /*  103302 */   GIM_Try, /*On fail goto*//*Label 1603*/ GIMT_Encode4(103391), // Rule ID 70481 //
     /*  103307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103310 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103314 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103318 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103322 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103324 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103329 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103333 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103337 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103341 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103343 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103348 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103350 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  103367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103372 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103376 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103389 */     GIR_RootConstrainSelectedInstOperands,
     /*  103390 */     // GIR_Coverage, 70481,
     /*  103390 */     GIR_EraseRootFromParent_Done,
     /*  103391 */   // Label 1603: @103391
     /*  103391 */   GIM_Try, /*On fail goto*//*Label 1604*/ GIMT_Encode4(103480), // Rule ID 51576 //
     /*  103396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103411 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103413 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103418 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103422 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103426 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103430 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103432 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103437 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103439 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  103439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103461 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103478 */     GIR_RootConstrainSelectedInstOperands,
     /*  103479 */     // GIR_Coverage, 51576,
     /*  103479 */     GIR_EraseRootFromParent_Done,
     /*  103480 */   // Label 1604: @103480
     /*  103480 */   GIM_Try, /*On fail goto*//*Label 1605*/ GIMT_Encode4(103569), // Rule ID 51577 //
     /*  103485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103496 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103500 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  103515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  103519 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103521 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  103526 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103528 */     // (mul:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  103528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  103545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103567 */     GIR_RootConstrainSelectedInstOperands,
     /*  103568 */     // GIR_Coverage, 51577,
     /*  103568 */     GIR_EraseRootFromParent_Done,
     /*  103569 */   // Label 1605: @103569
     /*  103569 */   GIM_Try, /*On fail goto*//*Label 1606*/ GIMT_Encode4(103622), // Rule ID 50910 //
     /*  103574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103585 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  103602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103620 */     GIR_RootConstrainSelectedInstOperands,
     /*  103621 */     // GIR_Coverage, 50910,
     /*  103621 */     GIR_EraseRootFromParent_Done,
     /*  103622 */   // Label 1606: @103622
     /*  103622 */   GIM_Try, /*On fail goto*//*Label 1607*/ GIMT_Encode4(103675), // Rule ID 50911 //
     /*  103627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103638 */     // (mul:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  103641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  103655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  103662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  103664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103673 */     GIR_RootConstrainSelectedInstOperands,
     /*  103674 */     // GIR_Coverage, 50911,
     /*  103674 */     GIR_EraseRootFromParent_Done,
     /*  103675 */   // Label 1607: @103675
     /*  103675 */   GIM_Reject,
     /*  103676 */ // Label 1587: @103676
     /*  103676 */ GIM_Reject,
     /*  103677 */ // Label 1310: @103677
     /*  103677 */ GIM_Try, /*On fail goto*//*Label 1608*/ GIMT_Encode4(105401),
     /*  103682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  103685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  103688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  103692 */   GIM_Try, /*On fail goto*//*Label 1609*/ GIMT_Encode4(103781), // Rule ID 51660 //
     /*  103697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103712 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103719 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103723 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103727 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103731 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103733 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103738 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103740 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  103757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103762 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103779 */     GIR_RootConstrainSelectedInstOperands,
     /*  103780 */     // GIR_Coverage, 51660,
     /*  103780 */     GIR_EraseRootFromParent_Done,
     /*  103781 */   // Label 1609: @103781
     /*  103781 */   GIM_Try, /*On fail goto*//*Label 1610*/ GIMT_Encode4(103870), // Rule ID 51661 //
     /*  103786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103801 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103803 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103808 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103812 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103816 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103820 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103829 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  103829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  103846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  103855 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  103859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103868 */     GIR_RootConstrainSelectedInstOperands,
     /*  103869 */     // GIR_Coverage, 51661,
     /*  103869 */     GIR_EraseRootFromParent_Done,
     /*  103870 */   // Label 1610: @103870
     /*  103870 */   GIM_Try, /*On fail goto*//*Label 1611*/ GIMT_Encode4(103959), // Rule ID 70564 //
     /*  103875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  103878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103886 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103890 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103892 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103897 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103901 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103905 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103909 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  103911 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  103918 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  103918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  103921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  103925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  103930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  103932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  103935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  103937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  103940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  103944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  103948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  103951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  103954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  103957 */     GIR_RootConstrainSelectedInstOperands,
     /*  103958 */     // GIR_Coverage, 70564,
     /*  103958 */     GIR_EraseRootFromParent_Done,
     /*  103959 */   // Label 1611: @103959
     /*  103959 */   GIM_Try, /*On fail goto*//*Label 1612*/ GIMT_Encode4(104048), // Rule ID 70565 //
     /*  103964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  103967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  103971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  103975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103979 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  103981 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  103986 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  103990 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  103994 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  103998 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104000 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104005 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104007 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104046 */     GIR_RootConstrainSelectedInstOperands,
     /*  104047 */     // GIR_Coverage, 70565,
     /*  104047 */     GIR_EraseRootFromParent_Done,
     /*  104048 */   // Label 1612: @104048
     /*  104048 */   GIM_Try, /*On fail goto*//*Label 1613*/ GIMT_Encode4(104137), // Rule ID 70444 //
     /*  104053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104068 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104087 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104096 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104122 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104135 */     GIR_RootConstrainSelectedInstOperands,
     /*  104136 */     // GIR_Coverage, 70444,
     /*  104136 */     GIR_EraseRootFromParent_Done,
     /*  104137 */   // Label 1613: @104137
     /*  104137 */   GIM_Try, /*On fail goto*//*Label 1614*/ GIMT_Encode4(104226), // Rule ID 70445 //
     /*  104142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104153 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104157 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104159 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104164 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104168 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104172 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104176 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104178 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104183 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104185 */     // (mul:{ *:[nxv16i32] } (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  104211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  104215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104224 */     GIR_RootConstrainSelectedInstOperands,
     /*  104225 */     // GIR_Coverage, 70445,
     /*  104225 */     GIR_EraseRootFromParent_Done,
     /*  104226 */   // Label 1614: @104226
     /*  104226 */   GIM_Try, /*On fail goto*//*Label 1615*/ GIMT_Encode4(104315), // Rule ID 51840 //
     /*  104231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104246 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104253 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104257 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104261 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104265 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104274 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104274 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104277 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104281 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104286 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104293 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104313 */     GIR_RootConstrainSelectedInstOperands,
     /*  104314 */     // GIR_Coverage, 51840,
     /*  104314 */     GIR_EraseRootFromParent_Done,
     /*  104315 */   // Label 1615: @104315
     /*  104315 */   GIM_Try, /*On fail goto*//*Label 1616*/ GIMT_Encode4(104404), // Rule ID 51841 //
     /*  104320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104335 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104337 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104342 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104346 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104350 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104354 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104356 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104361 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104363 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104402 */     GIR_RootConstrainSelectedInstOperands,
     /*  104403 */     // GIR_Coverage, 51841,
     /*  104403 */     GIR_EraseRootFromParent_Done,
     /*  104404 */   // Label 1616: @104404
     /*  104404 */   GIM_Try, /*On fail goto*//*Label 1617*/ GIMT_Encode4(104493), // Rule ID 51540 //
     /*  104409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104424 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104443 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104445 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104450 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104452 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  104469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104478 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104491 */     GIR_RootConstrainSelectedInstOperands,
     /*  104492 */     // GIR_Coverage, 51540,
     /*  104492 */     GIR_EraseRootFromParent_Done,
     /*  104493 */   // Label 1617: @104493
     /*  104493 */   GIM_Try, /*On fail goto*//*Label 1618*/ GIMT_Encode4(104582), // Rule ID 51541 //
     /*  104498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104513 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104532 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104541 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  104558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104580 */     GIR_RootConstrainSelectedInstOperands,
     /*  104581 */     // GIR_Coverage, 51541,
     /*  104581 */     GIR_EraseRootFromParent_Done,
     /*  104582 */   // Label 1618: @104582
     /*  104582 */   GIM_Try, /*On fail goto*//*Label 1619*/ GIMT_Encode4(104671), // Rule ID 51780 //
     /*  104587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104602 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104621 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104630 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104669 */     GIR_RootConstrainSelectedInstOperands,
     /*  104670 */     // GIR_Coverage, 51780,
     /*  104670 */     GIR_EraseRootFromParent_Done,
     /*  104671 */   // Label 1619: @104671
     /*  104671 */   GIM_Try, /*On fail goto*//*Label 1620*/ GIMT_Encode4(104760), // Rule ID 51781 //
     /*  104676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104691 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104710 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104712 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104719 */     // (mul:{ *:[nxv16i32] } (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  104736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104758 */     GIR_RootConstrainSelectedInstOperands,
     /*  104759 */     // GIR_Coverage, 51781,
     /*  104759 */     GIR_EraseRootFromParent_Done,
     /*  104760 */   // Label 1620: @104760
     /*  104760 */   GIM_Try, /*On fail goto*//*Label 1621*/ GIMT_Encode4(104849), // Rule ID 51720 //
     /*  104765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104780 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104799 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104808 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104847 */     GIR_RootConstrainSelectedInstOperands,
     /*  104848 */     // GIR_Coverage, 51720,
     /*  104848 */     GIR_EraseRootFromParent_Done,
     /*  104849 */   // Label 1621: @104849
     /*  104849 */   GIM_Try, /*On fail goto*//*Label 1622*/ GIMT_Encode4(104938), // Rule ID 51721 //
     /*  104854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  104857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104869 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104876 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104880 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  104884 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104888 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104890 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104895 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104897 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  104897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  104911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  104914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  104916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  104919 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  104923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  104927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  104930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  104933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  104936 */     GIR_RootConstrainSelectedInstOperands,
     /*  104937 */     // GIR_Coverage, 51721,
     /*  104937 */     GIR_EraseRootFromParent_Done,
     /*  104938 */   // Label 1622: @104938
     /*  104938 */   GIM_Try, /*On fail goto*//*Label 1623*/ GIMT_Encode4(105027), // Rule ID 70504 //
     /*  104943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  104946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  104950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  104954 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104958 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  104960 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104965 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  104969 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  104973 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  104977 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  104979 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  104984 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  104986 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  104986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  104989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  104993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  104998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105008 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105012 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105025 */     GIR_RootConstrainSelectedInstOperands,
     /*  105026 */     // GIR_Coverage, 70504,
     /*  105026 */     GIR_EraseRootFromParent_Done,
     /*  105027 */   // Label 1623: @105027
     /*  105027 */   GIM_Try, /*On fail goto*//*Label 1624*/ GIMT_Encode4(105116), // Rule ID 70505 //
     /*  105032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105043 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105047 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105049 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105054 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105058 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105062 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105066 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105068 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105073 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105075 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105114 */     GIR_RootConstrainSelectedInstOperands,
     /*  105115 */     // GIR_Coverage, 70505,
     /*  105115 */     GIR_EraseRootFromParent_Done,
     /*  105116 */   // Label 1624: @105116
     /*  105116 */   GIM_Try, /*On fail goto*//*Label 1625*/ GIMT_Encode4(105205), // Rule ID 51600 //
     /*  105121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105132 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105136 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105143 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105147 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105151 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105155 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105157 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105162 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105164 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  105164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105203 */     GIR_RootConstrainSelectedInstOperands,
     /*  105204 */     // GIR_Coverage, 51600,
     /*  105204 */     GIR_EraseRootFromParent_Done,
     /*  105205 */   // Label 1625: @105205
     /*  105205 */   GIM_Try, /*On fail goto*//*Label 1626*/ GIMT_Encode4(105294), // Rule ID 51601 //
     /*  105210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105221 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105225 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105232 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105236 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105240 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  105244 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105246 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105253 */     // (mul:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  105253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105275 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  105289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105292 */     GIR_RootConstrainSelectedInstOperands,
     /*  105293 */     // GIR_Coverage, 51601,
     /*  105293 */     GIR_EraseRootFromParent_Done,
     /*  105294 */   // Label 1626: @105294
     /*  105294 */   GIM_Try, /*On fail goto*//*Label 1627*/ GIMT_Encode4(105347), // Rule ID 50926 //
     /*  105299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105310 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  105310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  105327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105345 */     GIR_RootConstrainSelectedInstOperands,
     /*  105346 */     // GIR_Coverage, 50926,
     /*  105346 */     GIR_EraseRootFromParent_Done,
     /*  105347 */   // Label 1627: @105347
     /*  105347 */   GIM_Try, /*On fail goto*//*Label 1628*/ GIMT_Encode4(105400), // Rule ID 50927 //
     /*  105352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105355 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105363 */     // (mul:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  105363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  105366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  105380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  105395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105398 */     GIR_RootConstrainSelectedInstOperands,
     /*  105399 */     // GIR_Coverage, 50927,
     /*  105399 */     GIR_EraseRootFromParent_Done,
     /*  105400 */   // Label 1628: @105400
     /*  105400 */   GIM_Reject,
     /*  105401 */ // Label 1608: @105401
     /*  105401 */ GIM_Reject,
     /*  105402 */ // Label 1311: @105402
     /*  105402 */ GIM_Try, /*On fail goto*//*Label 1629*/ GIMT_Encode4(105516),
     /*  105407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  105413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105425 */   GIM_Try, /*On fail goto*//*Label 1630*/ GIMT_Encode4(105470), // Rule ID 50898 //
     /*  105430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105433 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  105450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105468 */     GIR_RootConstrainSelectedInstOperands,
     /*  105469 */     // GIR_Coverage, 50898,
     /*  105469 */     GIR_EraseRootFromParent_Done,
     /*  105470 */   // Label 1630: @105470
     /*  105470 */   GIM_Try, /*On fail goto*//*Label 1631*/ GIMT_Encode4(105515), // Rule ID 50899 //
     /*  105475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105478 */     // (mul:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105478 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  105481 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105485 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105490 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  105495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105497 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  105502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  105504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105513 */     GIR_RootConstrainSelectedInstOperands,
     /*  105514 */     // GIR_Coverage, 50899,
     /*  105514 */     GIR_EraseRootFromParent_Done,
     /*  105515 */   // Label 1631: @105515
     /*  105515 */   GIM_Reject,
     /*  105516 */ // Label 1629: @105516
     /*  105516 */ GIM_Reject,
     /*  105517 */ // Label 1312: @105517
     /*  105517 */ GIM_Try, /*On fail goto*//*Label 1632*/ GIMT_Encode4(107241),
     /*  105522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  105525 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  105528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  105532 */   GIM_Try, /*On fail goto*//*Label 1633*/ GIMT_Encode4(105621), // Rule ID 51640 //
     /*  105537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105548 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105552 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105554 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105571 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105573 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105578 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105580 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105602 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105619 */     GIR_RootConstrainSelectedInstOperands,
     /*  105620 */     // GIR_Coverage, 51640,
     /*  105620 */     GIR_EraseRootFromParent_Done,
     /*  105621 */   // Label 1633: @105621
     /*  105621 */   GIM_Try, /*On fail goto*//*Label 1634*/ GIMT_Encode4(105710), // Rule ID 51641 //
     /*  105626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105637 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105641 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105643 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105648 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105652 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105656 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105660 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105662 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105667 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105669 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_anyext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  105695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  105699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105708 */     GIR_RootConstrainSelectedInstOperands,
     /*  105709 */     // GIR_Coverage, 51641,
     /*  105709 */     GIR_EraseRootFromParent_Done,
     /*  105710 */   // Label 1634: @105710
     /*  105710 */   GIM_Try, /*On fail goto*//*Label 1635*/ GIMT_Encode4(105799), // Rule ID 70544 //
     /*  105715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105730 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105737 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105741 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105745 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105749 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105758 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105797 */     GIR_RootConstrainSelectedInstOperands,
     /*  105798 */     // GIR_Coverage, 70544,
     /*  105798 */     GIR_EraseRootFromParent_Done,
     /*  105799 */   // Label 1635: @105799
     /*  105799 */   GIM_Try, /*On fail goto*//*Label 1636*/ GIMT_Encode4(105888), // Rule ID 70545 //
     /*  105804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105815 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105819 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105821 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105826 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105830 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  105834 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105838 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105840 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105847 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  105847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  105864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105873 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105886 */     GIR_RootConstrainSelectedInstOperands,
     /*  105887 */     // GIR_Coverage, 70545,
     /*  105887 */     GIR_EraseRootFromParent_Done,
     /*  105888 */   // Label 1636: @105888
     /*  105888 */   GIM_Try, /*On fail goto*//*Label 1637*/ GIMT_Encode4(105977), // Rule ID 70424 //
     /*  105893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  105896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105908 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  105919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  105923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105927 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  105929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  105934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  105936 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  105936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  105939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  105943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  105948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  105950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  105953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  105955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  105958 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  105962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  105966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  105969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  105975 */     GIR_RootConstrainSelectedInstOperands,
     /*  105976 */     // GIR_Coverage, 70424,
     /*  105976 */     GIR_EraseRootFromParent_Done,
     /*  105977 */   // Label 1637: @105977
     /*  105977 */   GIM_Try, /*On fail goto*//*Label 1638*/ GIMT_Encode4(106066), // Rule ID 70425 //
     /*  105982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  105985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  105989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  105993 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  105997 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  105999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106016 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106018 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106023 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106025 */     // (mul:{ *:[nxv32i16] } (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106064 */     GIR_RootConstrainSelectedInstOperands,
     /*  106065 */     // GIR_Coverage, 70425,
     /*  106065 */     GIR_EraseRootFromParent_Done,
     /*  106066 */   // Label 1638: @106066
     /*  106066 */   GIM_Try, /*On fail goto*//*Label 1639*/ GIMT_Encode4(106155), // Rule ID 51820 //
     /*  106071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106082 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106086 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106093 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106097 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106101 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106105 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106107 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106112 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106114 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106136 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106140 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106153 */     GIR_RootConstrainSelectedInstOperands,
     /*  106154 */     // GIR_Coverage, 51820,
     /*  106154 */     GIR_EraseRootFromParent_Done,
     /*  106155 */   // Label 1639: @106155
     /*  106155 */   GIM_Try, /*On fail goto*//*Label 1640*/ GIMT_Encode4(106244), // Rule ID 51821 //
     /*  106160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106171 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106175 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106177 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106182 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106186 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106190 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106194 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106196 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106201 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106203 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106242 */     GIR_RootConstrainSelectedInstOperands,
     /*  106243 */     // GIR_Coverage, 51821,
     /*  106243 */     GIR_EraseRootFromParent_Done,
     /*  106244 */   // Label 1640: @106244
     /*  106244 */   GIM_Try, /*On fail goto*//*Label 1641*/ GIMT_Encode4(106333), // Rule ID 51520 //
     /*  106249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106264 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106266 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106271 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106275 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106279 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106283 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106285 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106290 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106292 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  106309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106331 */     GIR_RootConstrainSelectedInstOperands,
     /*  106332 */     // GIR_Coverage, 51520,
     /*  106332 */     GIR_EraseRootFromParent_Done,
     /*  106333 */   // Label 1641: @106333
     /*  106333 */   GIM_Try, /*On fail goto*//*Label 1642*/ GIMT_Encode4(106422), // Rule ID 51521 //
     /*  106338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106353 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106372 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106374 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106379 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106381 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  106398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106407 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106420 */     GIR_RootConstrainSelectedInstOperands,
     /*  106421 */     // GIR_Coverage, 51521,
     /*  106421 */     GIR_EraseRootFromParent_Done,
     /*  106422 */   // Label 1642: @106422
     /*  106422 */   GIM_Try, /*On fail goto*//*Label 1643*/ GIMT_Encode4(106511), // Rule ID 51760 //
     /*  106427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106442 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106444 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106449 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106453 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106457 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106461 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106463 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106468 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106470 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106509 */     GIR_RootConstrainSelectedInstOperands,
     /*  106510 */     // GIR_Coverage, 51760,
     /*  106510 */     GIR_EraseRootFromParent_Done,
     /*  106511 */   // Label 1643: @106511
     /*  106511 */   GIM_Try, /*On fail goto*//*Label 1644*/ GIMT_Encode4(106600), // Rule ID 51761 //
     /*  106516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106531 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106533 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106538 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106542 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106546 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106550 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106552 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106557 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106559 */     // (mul:{ *:[nxv32i16] } (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106598 */     GIR_RootConstrainSelectedInstOperands,
     /*  106599 */     // GIR_Coverage, 51761,
     /*  106599 */     GIR_EraseRootFromParent_Done,
     /*  106600 */   // Label 1644: @106600
     /*  106600 */   GIM_Try, /*On fail goto*//*Label 1645*/ GIMT_Encode4(106689), // Rule ID 51700 //
     /*  106605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106616 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106620 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106622 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106639 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106641 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106646 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106648 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106670 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106674 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106687 */     GIR_RootConstrainSelectedInstOperands,
     /*  106688 */     // GIR_Coverage, 51700,
     /*  106688 */     GIR_EraseRootFromParent_Done,
     /*  106689 */   // Label 1645: @106689
     /*  106689 */   GIM_Try, /*On fail goto*//*Label 1646*/ GIMT_Encode4(106778), // Rule ID 51701 //
     /*  106694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106709 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106716 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106720 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ANYEXT),
     /*  106724 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106728 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106730 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106735 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106737 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_anyext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  106754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106759 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  106763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  106767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106776 */     GIR_RootConstrainSelectedInstOperands,
     /*  106777 */     // GIR_Coverage, 51701,
     /*  106777 */     GIR_EraseRootFromParent_Done,
     /*  106778 */   // Label 1646: @106778
     /*  106778 */   GIM_Try, /*On fail goto*//*Label 1647*/ GIMT_Encode4(106867), // Rule ID 70484 //
     /*  106783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106798 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106800 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106805 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106809 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106813 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106817 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106819 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106824 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106826 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  106826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106852 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106865 */     GIR_RootConstrainSelectedInstOperands,
     /*  106866 */     // GIR_Coverage, 70484,
     /*  106866 */     GIR_EraseRootFromParent_Done,
     /*  106867 */   // Label 1647: @106867
     /*  106867 */   GIM_Try, /*On fail goto*//*Label 1648*/ GIMT_Encode4(106956), // Rule ID 70485 //
     /*  106872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  106875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106883 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106887 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /*  106902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106906 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106908 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106913 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  106915 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_sext_oneuse>>)  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  106915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  106918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  106922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  106927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  106929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  106932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  106934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  106937 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  106941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  106945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  106948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  106954 */     GIR_RootConstrainSelectedInstOperands,
     /*  106955 */     // GIR_Coverage, 70485,
     /*  106955 */     GIR_EraseRootFromParent_Done,
     /*  106956 */   // Label 1648: @106956
     /*  106956 */   GIM_Try, /*On fail goto*//*Label 1649*/ GIMT_Encode4(107045), // Rule ID 51580 //
     /*  106961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  106964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  106968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106972 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106976 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  106978 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  106983 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  106987 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  106991 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  106995 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  106997 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107002 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107004 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  107021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  107030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  107034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107043 */     GIR_RootConstrainSelectedInstOperands,
     /*  107044 */     // GIR_Coverage, 51580,
     /*  107044 */     GIR_EraseRootFromParent_Done,
     /*  107045 */   // Label 1649: @107045
     /*  107045 */   GIM_Try, /*On fail goto*//*Label 1650*/ GIMT_Encode4(107134), // Rule ID 51581 //
     /*  107050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  107057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107065 */     GIM_CheckHasOneUse, /*MI*/1,
     /*  107067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  107076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /*  107080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  107084 */     GIM_CheckHasOneUse, /*MI*/2,
     /*  107086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  107091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  107093 */     // (mul:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_zext_oneuse>>)  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  107110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  107119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  107123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107132 */     GIR_RootConstrainSelectedInstOperands,
     /*  107133 */     // GIR_Coverage, 51581,
     /*  107133 */     GIR_EraseRootFromParent_Done,
     /*  107134 */   // Label 1650: @107134
     /*  107134 */   GIM_Try, /*On fail goto*//*Label 1651*/ GIMT_Encode4(107187), // Rule ID 50914 //
     /*  107139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107150 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107185 */     GIR_RootConstrainSelectedInstOperands,
     /*  107186 */     // GIR_Coverage, 50914,
     /*  107186 */     GIR_EraseRootFromParent_Done,
     /*  107187 */   // Label 1651: @107187
     /*  107187 */   GIM_Try, /*On fail goto*//*Label 1652*/ GIMT_Encode4(107240), // Rule ID 50915 //
     /*  107192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107203 */     // (mul:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  107206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107238 */     GIR_RootConstrainSelectedInstOperands,
     /*  107239 */     // GIR_Coverage, 50915,
     /*  107239 */     GIR_EraseRootFromParent_Done,
     /*  107240 */   // Label 1652: @107240
     /*  107240 */   GIM_Reject,
     /*  107241 */ // Label 1632: @107241
     /*  107241 */ GIM_Reject,
     /*  107242 */ // Label 1313: @107242
     /*  107242 */ GIM_Try, /*On fail goto*//*Label 1653*/ GIMT_Encode4(107356),
     /*  107247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  107250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  107253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  107265 */   GIM_Try, /*On fail goto*//*Label 1654*/ GIMT_Encode4(107310), // Rule ID 50902 //
     /*  107270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107273 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  107276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107308 */     GIR_RootConstrainSelectedInstOperands,
     /*  107309 */     // GIR_Coverage, 50902,
     /*  107309 */     GIR_EraseRootFromParent_Done,
     /*  107310 */   // Label 1654: @107310
     /*  107310 */   GIM_Try, /*On fail goto*//*Label 1655*/ GIMT_Encode4(107355), // Rule ID 50903 //
     /*  107315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107318 */     // (mul:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  107321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  107335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107353 */     GIR_RootConstrainSelectedInstOperands,
     /*  107354 */     // GIR_Coverage, 50903,
     /*  107354 */     GIR_EraseRootFromParent_Done,
     /*  107355 */   // Label 1655: @107355
     /*  107355 */   GIM_Reject,
     /*  107356 */ // Label 1653: @107356
     /*  107356 */ GIM_Reject,
     /*  107357 */ // Label 1314: @107357
     /*  107357 */ GIM_Reject,
     /*  107358 */ // Label 3: @107358
     /*  107358 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1680*/ GIMT_Encode4(110091),
     /*  107369 */ /*GILLT_s32*//*Label 1656*/ GIMT_Encode4(107493),
     /*  107373 */ /*GILLT_s64*//*Label 1657*/ GIMT_Encode4(107527), GIMT_Encode4(0),
     /*  107381 */ /*GILLT_nxv1s8*//*Label 1658*/ GIMT_Encode4(107561),
     /*  107385 */ /*GILLT_nxv1s16*//*Label 1659*/ GIMT_Encode4(107676),
     /*  107389 */ /*GILLT_nxv1s32*//*Label 1660*/ GIMT_Encode4(107791),
     /*  107393 */ /*GILLT_nxv1s64*//*Label 1661*/ GIMT_Encode4(107906), GIMT_Encode4(0),
     /*  107401 */ /*GILLT_nxv2s8*//*Label 1662*/ GIMT_Encode4(108021),
     /*  107405 */ /*GILLT_nxv2s16*//*Label 1663*/ GIMT_Encode4(108136),
     /*  107409 */ /*GILLT_nxv2s32*//*Label 1664*/ GIMT_Encode4(108251),
     /*  107413 */ /*GILLT_nxv2s64*//*Label 1665*/ GIMT_Encode4(108366), GIMT_Encode4(0),
     /*  107421 */ /*GILLT_nxv4s8*//*Label 1666*/ GIMT_Encode4(108481),
     /*  107425 */ /*GILLT_nxv4s16*//*Label 1667*/ GIMT_Encode4(108596),
     /*  107429 */ /*GILLT_nxv4s32*//*Label 1668*/ GIMT_Encode4(108711),
     /*  107433 */ /*GILLT_nxv4s64*//*Label 1669*/ GIMT_Encode4(108826), GIMT_Encode4(0),
     /*  107441 */ /*GILLT_nxv8s8*//*Label 1670*/ GIMT_Encode4(108941),
     /*  107445 */ /*GILLT_nxv8s16*//*Label 1671*/ GIMT_Encode4(109056),
     /*  107449 */ /*GILLT_nxv8s32*//*Label 1672*/ GIMT_Encode4(109171),
     /*  107453 */ /*GILLT_nxv8s64*//*Label 1673*/ GIMT_Encode4(109286), GIMT_Encode4(0),
     /*  107461 */ /*GILLT_nxv16s8*//*Label 1674*/ GIMT_Encode4(109401),
     /*  107465 */ /*GILLT_nxv16s16*//*Label 1675*/ GIMT_Encode4(109516),
     /*  107469 */ /*GILLT_nxv16s32*//*Label 1676*/ GIMT_Encode4(109631), GIMT_Encode4(0),
     /*  107477 */ /*GILLT_nxv32s8*//*Label 1677*/ GIMT_Encode4(109746),
     /*  107481 */ /*GILLT_nxv32s16*//*Label 1678*/ GIMT_Encode4(109861), GIMT_Encode4(0),
     /*  107489 */ /*GILLT_nxv64s8*//*Label 1679*/ GIMT_Encode4(109976),
     /*  107493 */ // Label 1656: @107493
     /*  107493 */ GIM_Try, /*On fail goto*//*Label 1681*/ GIMT_Encode4(107526), // Rule ID 306 //
     /*  107498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  107501 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  107504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  107507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107515 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107519 */   // (sdiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  107519 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  107524 */   GIR_RootConstrainSelectedInstOperands,
     /*  107525 */   // GIR_Coverage, 306,
     /*  107525 */   GIR_Done,
     /*  107526 */ // Label 1681: @107526
     /*  107526 */ GIM_Reject,
     /*  107527 */ // Label 1657: @107527
     /*  107527 */ GIM_Try, /*On fail goto*//*Label 1682*/ GIMT_Encode4(107560), // Rule ID 305 //
     /*  107532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  107535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  107538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  107541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107545 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  107553 */   // (sdiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  107553 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIV),
     /*  107558 */   GIR_RootConstrainSelectedInstOperands,
     /*  107559 */   // GIR_Coverage, 305,
     /*  107559 */   GIR_Done,
     /*  107560 */ // Label 1682: @107560
     /*  107560 */ GIM_Reject,
     /*  107561 */ // Label 1658: @107561
     /*  107561 */ GIM_Try, /*On fail goto*//*Label 1683*/ GIMT_Encode4(107675),
     /*  107566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  107569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  107572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107584 */   GIM_Try, /*On fail goto*//*Label 1684*/ GIMT_Encode4(107629), // Rule ID 51206 //
     /*  107589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107592 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  107592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  107595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  107609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107627 */     GIR_RootConstrainSelectedInstOperands,
     /*  107628 */     // GIR_Coverage, 51206,
     /*  107628 */     GIR_EraseRootFromParent_Done,
     /*  107629 */   // Label 1684: @107629
     /*  107629 */   GIM_Try, /*On fail goto*//*Label 1685*/ GIMT_Encode4(107674), // Rule ID 51207 //
     /*  107634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107637 */     // (sdiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  107637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  107640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  107654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107672 */     GIR_RootConstrainSelectedInstOperands,
     /*  107673 */     // GIR_Coverage, 51207,
     /*  107673 */     GIR_EraseRootFromParent_Done,
     /*  107674 */   // Label 1685: @107674
     /*  107674 */   GIM_Reject,
     /*  107675 */ // Label 1683: @107675
     /*  107675 */ GIM_Reject,
     /*  107676 */ // Label 1659: @107676
     /*  107676 */ GIM_Try, /*On fail goto*//*Label 1686*/ GIMT_Encode4(107790),
     /*  107681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  107684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  107687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107699 */   GIM_Try, /*On fail goto*//*Label 1687*/ GIMT_Encode4(107744), // Rule ID 51218 //
     /*  107704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107707 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  107707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  107710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  107724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107742 */     GIR_RootConstrainSelectedInstOperands,
     /*  107743 */     // GIR_Coverage, 51218,
     /*  107743 */     GIR_EraseRootFromParent_Done,
     /*  107744 */   // Label 1687: @107744
     /*  107744 */   GIM_Try, /*On fail goto*//*Label 1688*/ GIMT_Encode4(107789), // Rule ID 51219 //
     /*  107749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107752 */     // (sdiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  107752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  107755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  107769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  107784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107787 */     GIR_RootConstrainSelectedInstOperands,
     /*  107788 */     // GIR_Coverage, 51219,
     /*  107788 */     GIR_EraseRootFromParent_Done,
     /*  107789 */   // Label 1688: @107789
     /*  107789 */   GIM_Reject,
     /*  107790 */ // Label 1686: @107790
     /*  107790 */ GIM_Reject,
     /*  107791 */ // Label 1660: @107791
     /*  107791 */ GIM_Try, /*On fail goto*//*Label 1689*/ GIMT_Encode4(107905),
     /*  107796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  107799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  107802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107814 */   GIM_Try, /*On fail goto*//*Label 1690*/ GIMT_Encode4(107859), // Rule ID 51226 //
     /*  107819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  107822 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  107822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  107825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  107839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107857 */     GIR_RootConstrainSelectedInstOperands,
     /*  107858 */     // GIR_Coverage, 51226,
     /*  107858 */     GIR_EraseRootFromParent_Done,
     /*  107859 */   // Label 1690: @107859
     /*  107859 */   GIM_Try, /*On fail goto*//*Label 1691*/ GIMT_Encode4(107904), // Rule ID 51227 //
     /*  107864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  107867 */     // (sdiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  107867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  107870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  107884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  107899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107902 */     GIR_RootConstrainSelectedInstOperands,
     /*  107903 */     // GIR_Coverage, 51227,
     /*  107903 */     GIR_EraseRootFromParent_Done,
     /*  107904 */   // Label 1691: @107904
     /*  107904 */   GIM_Reject,
     /*  107905 */ // Label 1689: @107905
     /*  107905 */ GIM_Reject,
     /*  107906 */ // Label 1661: @107906
     /*  107906 */ GIM_Try, /*On fail goto*//*Label 1692*/ GIMT_Encode4(108020),
     /*  107911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  107914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  107917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  107929 */   GIM_Try, /*On fail goto*//*Label 1693*/ GIMT_Encode4(107974), // Rule ID 51242 //
     /*  107934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  107937 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  107937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  107940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  107954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  107956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  107959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  107961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  107963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  107966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  107969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  107972 */     GIR_RootConstrainSelectedInstOperands,
     /*  107973 */     // GIR_Coverage, 51242,
     /*  107973 */     GIR_EraseRootFromParent_Done,
     /*  107974 */   // Label 1693: @107974
     /*  107974 */   GIM_Try, /*On fail goto*//*Label 1694*/ GIMT_Encode4(108019), // Rule ID 51243 //
     /*  107979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  107982 */     // (sdiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  107982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  107985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  107989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  107994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  107996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  107999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108017 */     GIR_RootConstrainSelectedInstOperands,
     /*  108018 */     // GIR_Coverage, 51243,
     /*  108018 */     GIR_EraseRootFromParent_Done,
     /*  108019 */   // Label 1694: @108019
     /*  108019 */   GIM_Reject,
     /*  108020 */ // Label 1692: @108020
     /*  108020 */ GIM_Reject,
     /*  108021 */ // Label 1662: @108021
     /*  108021 */ GIM_Try, /*On fail goto*//*Label 1695*/ GIMT_Encode4(108135),
     /*  108026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  108029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  108032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108044 */   GIM_Try, /*On fail goto*//*Label 1696*/ GIMT_Encode4(108089), // Rule ID 51210 //
     /*  108049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108052 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  108055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  108069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108087 */     GIR_RootConstrainSelectedInstOperands,
     /*  108088 */     // GIR_Coverage, 51210,
     /*  108088 */     GIR_EraseRootFromParent_Done,
     /*  108089 */   // Label 1696: @108089
     /*  108089 */   GIM_Try, /*On fail goto*//*Label 1697*/ GIMT_Encode4(108134), // Rule ID 51211 //
     /*  108094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108097 */     // (sdiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  108100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  108114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108132 */     GIR_RootConstrainSelectedInstOperands,
     /*  108133 */     // GIR_Coverage, 51211,
     /*  108133 */     GIR_EraseRootFromParent_Done,
     /*  108134 */   // Label 1697: @108134
     /*  108134 */   GIM_Reject,
     /*  108135 */ // Label 1695: @108135
     /*  108135 */ GIM_Reject,
     /*  108136 */ // Label 1663: @108136
     /*  108136 */ GIM_Try, /*On fail goto*//*Label 1698*/ GIMT_Encode4(108250),
     /*  108141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  108144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  108147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108159 */   GIM_Try, /*On fail goto*//*Label 1699*/ GIMT_Encode4(108204), // Rule ID 51222 //
     /*  108164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108167 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  108170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  108184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108202 */     GIR_RootConstrainSelectedInstOperands,
     /*  108203 */     // GIR_Coverage, 51222,
     /*  108203 */     GIR_EraseRootFromParent_Done,
     /*  108204 */   // Label 1699: @108204
     /*  108204 */   GIM_Try, /*On fail goto*//*Label 1700*/ GIMT_Encode4(108249), // Rule ID 51223 //
     /*  108209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108212 */     // (sdiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  108215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  108229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108247 */     GIR_RootConstrainSelectedInstOperands,
     /*  108248 */     // GIR_Coverage, 51223,
     /*  108248 */     GIR_EraseRootFromParent_Done,
     /*  108249 */   // Label 1700: @108249
     /*  108249 */   GIM_Reject,
     /*  108250 */ // Label 1698: @108250
     /*  108250 */ GIM_Reject,
     /*  108251 */ // Label 1664: @108251
     /*  108251 */ GIM_Try, /*On fail goto*//*Label 1701*/ GIMT_Encode4(108365),
     /*  108256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  108259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  108262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108274 */   GIM_Try, /*On fail goto*//*Label 1702*/ GIMT_Encode4(108319), // Rule ID 51238 //
     /*  108279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108282 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  108285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  108299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108317 */     GIR_RootConstrainSelectedInstOperands,
     /*  108318 */     // GIR_Coverage, 51238,
     /*  108318 */     GIR_EraseRootFromParent_Done,
     /*  108319 */   // Label 1702: @108319
     /*  108319 */   GIM_Try, /*On fail goto*//*Label 1703*/ GIMT_Encode4(108364), // Rule ID 51239 //
     /*  108324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108327 */     // (sdiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  108330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  108344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108362 */     GIR_RootConstrainSelectedInstOperands,
     /*  108363 */     // GIR_Coverage, 51239,
     /*  108363 */     GIR_EraseRootFromParent_Done,
     /*  108364 */   // Label 1703: @108364
     /*  108364 */   GIM_Reject,
     /*  108365 */ // Label 1701: @108365
     /*  108365 */ GIM_Reject,
     /*  108366 */ // Label 1665: @108366
     /*  108366 */ GIM_Try, /*On fail goto*//*Label 1704*/ GIMT_Encode4(108480),
     /*  108371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  108374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  108377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108389 */   GIM_Try, /*On fail goto*//*Label 1705*/ GIMT_Encode4(108434), // Rule ID 51282 //
     /*  108394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  108397 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  108397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  108400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  108414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108432 */     GIR_RootConstrainSelectedInstOperands,
     /*  108433 */     // GIR_Coverage, 51282,
     /*  108433 */     GIR_EraseRootFromParent_Done,
     /*  108434 */   // Label 1705: @108434
     /*  108434 */   GIM_Try, /*On fail goto*//*Label 1706*/ GIMT_Encode4(108479), // Rule ID 51283 //
     /*  108439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  108442 */     // (sdiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  108442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  108445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  108459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108477 */     GIR_RootConstrainSelectedInstOperands,
     /*  108478 */     // GIR_Coverage, 51283,
     /*  108478 */     GIR_EraseRootFromParent_Done,
     /*  108479 */   // Label 1706: @108479
     /*  108479 */   GIM_Reject,
     /*  108480 */ // Label 1704: @108480
     /*  108480 */ GIM_Reject,
     /*  108481 */ // Label 1666: @108481
     /*  108481 */ GIM_Try, /*On fail goto*//*Label 1707*/ GIMT_Encode4(108595),
     /*  108486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  108489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  108492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108504 */   GIM_Try, /*On fail goto*//*Label 1708*/ GIMT_Encode4(108549), // Rule ID 51214 //
     /*  108509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108512 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  108515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  108529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108547 */     GIR_RootConstrainSelectedInstOperands,
     /*  108548 */     // GIR_Coverage, 51214,
     /*  108548 */     GIR_EraseRootFromParent_Done,
     /*  108549 */   // Label 1708: @108549
     /*  108549 */   GIM_Try, /*On fail goto*//*Label 1709*/ GIMT_Encode4(108594), // Rule ID 51215 //
     /*  108554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108557 */     // (sdiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  108557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  108560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  108574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108592 */     GIR_RootConstrainSelectedInstOperands,
     /*  108593 */     // GIR_Coverage, 51215,
     /*  108593 */     GIR_EraseRootFromParent_Done,
     /*  108594 */   // Label 1709: @108594
     /*  108594 */   GIM_Reject,
     /*  108595 */ // Label 1707: @108595
     /*  108595 */ GIM_Reject,
     /*  108596 */ // Label 1667: @108596
     /*  108596 */ GIM_Try, /*On fail goto*//*Label 1710*/ GIMT_Encode4(108710),
     /*  108601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  108604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  108607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108619 */   GIM_Try, /*On fail goto*//*Label 1711*/ GIMT_Encode4(108664), // Rule ID 51234 //
     /*  108624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108627 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  108627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  108630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  108644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108662 */     GIR_RootConstrainSelectedInstOperands,
     /*  108663 */     // GIR_Coverage, 51234,
     /*  108663 */     GIR_EraseRootFromParent_Done,
     /*  108664 */   // Label 1711: @108664
     /*  108664 */   GIM_Try, /*On fail goto*//*Label 1712*/ GIMT_Encode4(108709), // Rule ID 51235 //
     /*  108669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108672 */     // (sdiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  108672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  108675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  108689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  108704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108707 */     GIR_RootConstrainSelectedInstOperands,
     /*  108708 */     // GIR_Coverage, 51235,
     /*  108708 */     GIR_EraseRootFromParent_Done,
     /*  108709 */   // Label 1712: @108709
     /*  108709 */   GIM_Reject,
     /*  108710 */ // Label 1710: @108710
     /*  108710 */ GIM_Reject,
     /*  108711 */ // Label 1668: @108711
     /*  108711 */ GIM_Try, /*On fail goto*//*Label 1713*/ GIMT_Encode4(108825),
     /*  108716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  108719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  108722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108726 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  108734 */   GIM_Try, /*On fail goto*//*Label 1714*/ GIMT_Encode4(108779), // Rule ID 51270 //
     /*  108739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108742 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  108742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  108745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  108759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108777 */     GIR_RootConstrainSelectedInstOperands,
     /*  108778 */     // GIR_Coverage, 51270,
     /*  108778 */     GIR_EraseRootFromParent_Done,
     /*  108779 */   // Label 1714: @108779
     /*  108779 */   GIM_Try, /*On fail goto*//*Label 1715*/ GIMT_Encode4(108824), // Rule ID 51271 //
     /*  108784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  108787 */     // (sdiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  108787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  108790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  108804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  108819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108822 */     GIR_RootConstrainSelectedInstOperands,
     /*  108823 */     // GIR_Coverage, 51271,
     /*  108823 */     GIR_EraseRootFromParent_Done,
     /*  108824 */   // Label 1715: @108824
     /*  108824 */   GIM_Reject,
     /*  108825 */ // Label 1713: @108825
     /*  108825 */ GIM_Reject,
     /*  108826 */ // Label 1669: @108826
     /*  108826 */ GIM_Try, /*On fail goto*//*Label 1716*/ GIMT_Encode4(108940),
     /*  108831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  108834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  108837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  108849 */   GIM_Try, /*On fail goto*//*Label 1717*/ GIMT_Encode4(108894), // Rule ID 51286 //
     /*  108854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  108857 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  108857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  108860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  108874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108892 */     GIR_RootConstrainSelectedInstOperands,
     /*  108893 */     // GIR_Coverage, 51286,
     /*  108893 */     GIR_EraseRootFromParent_Done,
     /*  108894 */   // Label 1717: @108894
     /*  108894 */   GIM_Try, /*On fail goto*//*Label 1718*/ GIMT_Encode4(108939), // Rule ID 51287 //
     /*  108899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  108902 */     // (sdiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  108902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  108905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  108919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  108931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  108934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  108937 */     GIR_RootConstrainSelectedInstOperands,
     /*  108938 */     // GIR_Coverage, 51287,
     /*  108938 */     GIR_EraseRootFromParent_Done,
     /*  108939 */   // Label 1718: @108939
     /*  108939 */   GIM_Reject,
     /*  108940 */ // Label 1716: @108940
     /*  108940 */ GIM_Reject,
     /*  108941 */ // Label 1670: @108941
     /*  108941 */ GIM_Try, /*On fail goto*//*Label 1719*/ GIMT_Encode4(109055),
     /*  108946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  108949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  108952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  108964 */   GIM_Try, /*On fail goto*//*Label 1720*/ GIMT_Encode4(109009), // Rule ID 51230 //
     /*  108969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  108972 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  108972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  108975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  108979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  108984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  108986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  108989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  108991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  108994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  108996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  108998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109007 */     GIR_RootConstrainSelectedInstOperands,
     /*  109008 */     // GIR_Coverage, 51230,
     /*  109008 */     GIR_EraseRootFromParent_Done,
     /*  109009 */   // Label 1720: @109009
     /*  109009 */   GIM_Try, /*On fail goto*//*Label 1721*/ GIMT_Encode4(109054), // Rule ID 51231 //
     /*  109014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109017 */     // (sdiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  109020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  109034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109052 */     GIR_RootConstrainSelectedInstOperands,
     /*  109053 */     // GIR_Coverage, 51231,
     /*  109053 */     GIR_EraseRootFromParent_Done,
     /*  109054 */   // Label 1721: @109054
     /*  109054 */   GIM_Reject,
     /*  109055 */ // Label 1719: @109055
     /*  109055 */ GIM_Reject,
     /*  109056 */ // Label 1671: @109056
     /*  109056 */ GIM_Try, /*On fail goto*//*Label 1722*/ GIMT_Encode4(109170),
     /*  109061 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  109064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  109067 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109071 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109079 */   GIM_Try, /*On fail goto*//*Label 1723*/ GIMT_Encode4(109124), // Rule ID 51258 //
     /*  109084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109087 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  109090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  109104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109122 */     GIR_RootConstrainSelectedInstOperands,
     /*  109123 */     // GIR_Coverage, 51258,
     /*  109123 */     GIR_EraseRootFromParent_Done,
     /*  109124 */   // Label 1723: @109124
     /*  109124 */   GIM_Try, /*On fail goto*//*Label 1724*/ GIMT_Encode4(109169), // Rule ID 51259 //
     /*  109129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109132 */     // (sdiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  109135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  109149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109167 */     GIR_RootConstrainSelectedInstOperands,
     /*  109168 */     // GIR_Coverage, 51259,
     /*  109168 */     GIR_EraseRootFromParent_Done,
     /*  109169 */   // Label 1724: @109169
     /*  109169 */   GIM_Reject,
     /*  109170 */ // Label 1722: @109170
     /*  109170 */ GIM_Reject,
     /*  109171 */ // Label 1672: @109171
     /*  109171 */ GIM_Try, /*On fail goto*//*Label 1725*/ GIMT_Encode4(109285),
     /*  109176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  109179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  109182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109194 */   GIM_Try, /*On fail goto*//*Label 1726*/ GIMT_Encode4(109239), // Rule ID 51274 //
     /*  109199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109202 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  109205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  109219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109237 */     GIR_RootConstrainSelectedInstOperands,
     /*  109238 */     // GIR_Coverage, 51274,
     /*  109238 */     GIR_EraseRootFromParent_Done,
     /*  109239 */   // Label 1726: @109239
     /*  109239 */   GIM_Try, /*On fail goto*//*Label 1727*/ GIMT_Encode4(109284), // Rule ID 51275 //
     /*  109244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109247 */     // (sdiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  109250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  109264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109282 */     GIR_RootConstrainSelectedInstOperands,
     /*  109283 */     // GIR_Coverage, 51275,
     /*  109283 */     GIR_EraseRootFromParent_Done,
     /*  109284 */   // Label 1727: @109284
     /*  109284 */   GIM_Reject,
     /*  109285 */ // Label 1725: @109285
     /*  109285 */ GIM_Reject,
     /*  109286 */ // Label 1673: @109286
     /*  109286 */ GIM_Try, /*On fail goto*//*Label 1728*/ GIMT_Encode4(109400),
     /*  109291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  109294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  109297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109309 */   GIM_Try, /*On fail goto*//*Label 1729*/ GIMT_Encode4(109354), // Rule ID 51290 //
     /*  109314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  109317 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  109317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  109320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  109334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109352 */     GIR_RootConstrainSelectedInstOperands,
     /*  109353 */     // GIR_Coverage, 51290,
     /*  109353 */     GIR_EraseRootFromParent_Done,
     /*  109354 */   // Label 1729: @109354
     /*  109354 */   GIM_Try, /*On fail goto*//*Label 1730*/ GIMT_Encode4(109399), // Rule ID 51291 //
     /*  109359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  109362 */     // (sdiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  109362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  109365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  109379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  109394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109397 */     GIR_RootConstrainSelectedInstOperands,
     /*  109398 */     // GIR_Coverage, 51291,
     /*  109398 */     GIR_EraseRootFromParent_Done,
     /*  109399 */   // Label 1730: @109399
     /*  109399 */   GIM_Reject,
     /*  109400 */ // Label 1728: @109400
     /*  109400 */ GIM_Reject,
     /*  109401 */ // Label 1674: @109401
     /*  109401 */ GIM_Try, /*On fail goto*//*Label 1731*/ GIMT_Encode4(109515),
     /*  109406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  109409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  109412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  109424 */   GIM_Try, /*On fail goto*//*Label 1732*/ GIMT_Encode4(109469), // Rule ID 51246 //
     /*  109429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109432 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  109435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  109449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109467 */     GIR_RootConstrainSelectedInstOperands,
     /*  109468 */     // GIR_Coverage, 51246,
     /*  109468 */     GIR_EraseRootFromParent_Done,
     /*  109469 */   // Label 1732: @109469
     /*  109469 */   GIM_Try, /*On fail goto*//*Label 1733*/ GIMT_Encode4(109514), // Rule ID 51247 //
     /*  109474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109477 */     // (sdiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  109480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  109494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109512 */     GIR_RootConstrainSelectedInstOperands,
     /*  109513 */     // GIR_Coverage, 51247,
     /*  109513 */     GIR_EraseRootFromParent_Done,
     /*  109514 */   // Label 1733: @109514
     /*  109514 */   GIM_Reject,
     /*  109515 */ // Label 1731: @109515
     /*  109515 */ GIM_Reject,
     /*  109516 */ // Label 1675: @109516
     /*  109516 */ GIM_Try, /*On fail goto*//*Label 1734*/ GIMT_Encode4(109630),
     /*  109521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  109524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  109527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109539 */   GIM_Try, /*On fail goto*//*Label 1735*/ GIMT_Encode4(109584), // Rule ID 51262 //
     /*  109544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109547 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  109550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  109564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109582 */     GIR_RootConstrainSelectedInstOperands,
     /*  109583 */     // GIR_Coverage, 51262,
     /*  109583 */     GIR_EraseRootFromParent_Done,
     /*  109584 */   // Label 1735: @109584
     /*  109584 */   GIM_Try, /*On fail goto*//*Label 1736*/ GIMT_Encode4(109629), // Rule ID 51263 //
     /*  109589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109592 */     // (sdiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  109595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  109609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109627 */     GIR_RootConstrainSelectedInstOperands,
     /*  109628 */     // GIR_Coverage, 51263,
     /*  109628 */     GIR_EraseRootFromParent_Done,
     /*  109629 */   // Label 1736: @109629
     /*  109629 */   GIM_Reject,
     /*  109630 */ // Label 1734: @109630
     /*  109630 */ GIM_Reject,
     /*  109631 */ // Label 1676: @109631
     /*  109631 */ GIM_Try, /*On fail goto*//*Label 1737*/ GIMT_Encode4(109745),
     /*  109636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  109639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  109642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109646 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109650 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109654 */   GIM_Try, /*On fail goto*//*Label 1738*/ GIMT_Encode4(109699), // Rule ID 51278 //
     /*  109659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109662 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  109662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  109665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  109679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109697 */     GIR_RootConstrainSelectedInstOperands,
     /*  109698 */     // GIR_Coverage, 51278,
     /*  109698 */     GIR_EraseRootFromParent_Done,
     /*  109699 */   // Label 1738: @109699
     /*  109699 */   GIM_Try, /*On fail goto*//*Label 1739*/ GIMT_Encode4(109744), // Rule ID 51279 //
     /*  109704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109707 */     // (sdiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  109707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  109710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  109724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  109739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109742 */     GIR_RootConstrainSelectedInstOperands,
     /*  109743 */     // GIR_Coverage, 51279,
     /*  109743 */     GIR_EraseRootFromParent_Done,
     /*  109744 */   // Label 1739: @109744
     /*  109744 */   GIM_Reject,
     /*  109745 */ // Label 1737: @109745
     /*  109745 */ GIM_Reject,
     /*  109746 */ // Label 1677: @109746
     /*  109746 */ GIM_Try, /*On fail goto*//*Label 1740*/ GIMT_Encode4(109860),
     /*  109751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  109754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  109757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  109769 */   GIM_Try, /*On fail goto*//*Label 1741*/ GIMT_Encode4(109814), // Rule ID 51250 //
     /*  109774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109777 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  109777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  109780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  109794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109812 */     GIR_RootConstrainSelectedInstOperands,
     /*  109813 */     // GIR_Coverage, 51250,
     /*  109813 */     GIR_EraseRootFromParent_Done,
     /*  109814 */   // Label 1741: @109814
     /*  109814 */   GIM_Try, /*On fail goto*//*Label 1742*/ GIMT_Encode4(109859), // Rule ID 51251 //
     /*  109819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109822 */     // (sdiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  109822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  109825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  109839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109857 */     GIR_RootConstrainSelectedInstOperands,
     /*  109858 */     // GIR_Coverage, 51251,
     /*  109858 */     GIR_EraseRootFromParent_Done,
     /*  109859 */   // Label 1742: @109859
     /*  109859 */   GIM_Reject,
     /*  109860 */ // Label 1740: @109860
     /*  109860 */ GIM_Reject,
     /*  109861 */ // Label 1678: @109861
     /*  109861 */ GIM_Try, /*On fail goto*//*Label 1743*/ GIMT_Encode4(109975),
     /*  109866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  109869 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  109872 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109876 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109884 */   GIM_Try, /*On fail goto*//*Label 1744*/ GIMT_Encode4(109929), // Rule ID 51266 //
     /*  109889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  109892 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  109892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  109895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  109909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109927 */     GIR_RootConstrainSelectedInstOperands,
     /*  109928 */     // GIR_Coverage, 51266,
     /*  109928 */     GIR_EraseRootFromParent_Done,
     /*  109929 */   // Label 1744: @109929
     /*  109929 */   GIM_Try, /*On fail goto*//*Label 1745*/ GIMT_Encode4(109974), // Rule ID 51267 //
     /*  109934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  109937 */     // (sdiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  109937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  109940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  109944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  109949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  109951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  109954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  109956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  109959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  109961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  109963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  109966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  109969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  109972 */     GIR_RootConstrainSelectedInstOperands,
     /*  109973 */     // GIR_Coverage, 51267,
     /*  109973 */     GIR_EraseRootFromParent_Done,
     /*  109974 */   // Label 1745: @109974
     /*  109974 */   GIM_Reject,
     /*  109975 */ // Label 1743: @109975
     /*  109975 */ GIM_Reject,
     /*  109976 */ // Label 1679: @109976
     /*  109976 */ GIM_Try, /*On fail goto*//*Label 1746*/ GIMT_Encode4(110090),
     /*  109981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  109984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  109987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109995 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  109999 */   GIM_Try, /*On fail goto*//*Label 1747*/ GIMT_Encode4(110044), // Rule ID 51254 //
     /*  110004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110007 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  110010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  110024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110042 */     GIR_RootConstrainSelectedInstOperands,
     /*  110043 */     // GIR_Coverage, 51254,
     /*  110043 */     GIR_EraseRootFromParent_Done,
     /*  110044 */   // Label 1747: @110044
     /*  110044 */   GIM_Try, /*On fail goto*//*Label 1748*/ GIMT_Encode4(110089), // Rule ID 51255 //
     /*  110049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110052 */     // (sdiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  110055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  110069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110087 */     GIR_RootConstrainSelectedInstOperands,
     /*  110088 */     // GIR_Coverage, 51255,
     /*  110088 */     GIR_EraseRootFromParent_Done,
     /*  110089 */   // Label 1748: @110089
     /*  110089 */   GIM_Reject,
     /*  110090 */ // Label 1746: @110090
     /*  110090 */ GIM_Reject,
     /*  110091 */ // Label 1680: @110091
     /*  110091 */ GIM_Reject,
     /*  110092 */ // Label 4: @110092
     /*  110092 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1773*/ GIMT_Encode4(112825),
     /*  110103 */ /*GILLT_s32*//*Label 1749*/ GIMT_Encode4(110227),
     /*  110107 */ /*GILLT_s64*//*Label 1750*/ GIMT_Encode4(110261), GIMT_Encode4(0),
     /*  110115 */ /*GILLT_nxv1s8*//*Label 1751*/ GIMT_Encode4(110295),
     /*  110119 */ /*GILLT_nxv1s16*//*Label 1752*/ GIMT_Encode4(110410),
     /*  110123 */ /*GILLT_nxv1s32*//*Label 1753*/ GIMT_Encode4(110525),
     /*  110127 */ /*GILLT_nxv1s64*//*Label 1754*/ GIMT_Encode4(110640), GIMT_Encode4(0),
     /*  110135 */ /*GILLT_nxv2s8*//*Label 1755*/ GIMT_Encode4(110755),
     /*  110139 */ /*GILLT_nxv2s16*//*Label 1756*/ GIMT_Encode4(110870),
     /*  110143 */ /*GILLT_nxv2s32*//*Label 1757*/ GIMT_Encode4(110985),
     /*  110147 */ /*GILLT_nxv2s64*//*Label 1758*/ GIMT_Encode4(111100), GIMT_Encode4(0),
     /*  110155 */ /*GILLT_nxv4s8*//*Label 1759*/ GIMT_Encode4(111215),
     /*  110159 */ /*GILLT_nxv4s16*//*Label 1760*/ GIMT_Encode4(111330),
     /*  110163 */ /*GILLT_nxv4s32*//*Label 1761*/ GIMT_Encode4(111445),
     /*  110167 */ /*GILLT_nxv4s64*//*Label 1762*/ GIMT_Encode4(111560), GIMT_Encode4(0),
     /*  110175 */ /*GILLT_nxv8s8*//*Label 1763*/ GIMT_Encode4(111675),
     /*  110179 */ /*GILLT_nxv8s16*//*Label 1764*/ GIMT_Encode4(111790),
     /*  110183 */ /*GILLT_nxv8s32*//*Label 1765*/ GIMT_Encode4(111905),
     /*  110187 */ /*GILLT_nxv8s64*//*Label 1766*/ GIMT_Encode4(112020), GIMT_Encode4(0),
     /*  110195 */ /*GILLT_nxv16s8*//*Label 1767*/ GIMT_Encode4(112135),
     /*  110199 */ /*GILLT_nxv16s16*//*Label 1768*/ GIMT_Encode4(112250),
     /*  110203 */ /*GILLT_nxv16s32*//*Label 1769*/ GIMT_Encode4(112365), GIMT_Encode4(0),
     /*  110211 */ /*GILLT_nxv32s8*//*Label 1770*/ GIMT_Encode4(112480),
     /*  110215 */ /*GILLT_nxv32s16*//*Label 1771*/ GIMT_Encode4(112595), GIMT_Encode4(0),
     /*  110223 */ /*GILLT_nxv64s8*//*Label 1772*/ GIMT_Encode4(112710),
     /*  110227 */ // Label 1749: @110227
     /*  110227 */ GIM_Try, /*On fail goto*//*Label 1774*/ GIMT_Encode4(110260), // Rule ID 308 //
     /*  110232 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  110235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  110238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  110241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110253 */   // (udiv:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (DIVU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  110253 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  110258 */   GIR_RootConstrainSelectedInstOperands,
     /*  110259 */   // GIR_Coverage, 308,
     /*  110259 */   GIR_Done,
     /*  110260 */ // Label 1774: @110260
     /*  110260 */ GIM_Reject,
     /*  110261 */ // Label 1750: @110261
     /*  110261 */ GIM_Try, /*On fail goto*//*Label 1775*/ GIMT_Encode4(110294), // Rule ID 307 //
     /*  110266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  110269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  110272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  110275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  110287 */   // (udiv:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  110287 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVU),
     /*  110292 */   GIR_RootConstrainSelectedInstOperands,
     /*  110293 */   // GIR_Coverage, 307,
     /*  110293 */   GIR_Done,
     /*  110294 */ // Label 1775: @110294
     /*  110294 */ GIM_Reject,
     /*  110295 */ // Label 1751: @110295
     /*  110295 */ GIM_Try, /*On fail goto*//*Label 1776*/ GIMT_Encode4(110409),
     /*  110300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  110303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  110306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110318 */   GIM_Try, /*On fail goto*//*Label 1777*/ GIMT_Encode4(110363), // Rule ID 51118 //
     /*  110323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110326 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  110329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  110343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110361 */     GIR_RootConstrainSelectedInstOperands,
     /*  110362 */     // GIR_Coverage, 51118,
     /*  110362 */     GIR_EraseRootFromParent_Done,
     /*  110363 */   // Label 1777: @110363
     /*  110363 */   GIM_Try, /*On fail goto*//*Label 1778*/ GIMT_Encode4(110408), // Rule ID 51119 //
     /*  110368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110371 */     // (udiv:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  110374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  110388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110406 */     GIR_RootConstrainSelectedInstOperands,
     /*  110407 */     // GIR_Coverage, 51119,
     /*  110407 */     GIR_EraseRootFromParent_Done,
     /*  110408 */   // Label 1778: @110408
     /*  110408 */   GIM_Reject,
     /*  110409 */ // Label 1776: @110409
     /*  110409 */ GIM_Reject,
     /*  110410 */ // Label 1752: @110410
     /*  110410 */ GIM_Try, /*On fail goto*//*Label 1779*/ GIMT_Encode4(110524),
     /*  110415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  110418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  110421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110433 */   GIM_Try, /*On fail goto*//*Label 1780*/ GIMT_Encode4(110478), // Rule ID 51130 //
     /*  110438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110441 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  110444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  110458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110476 */     GIR_RootConstrainSelectedInstOperands,
     /*  110477 */     // GIR_Coverage, 51130,
     /*  110477 */     GIR_EraseRootFromParent_Done,
     /*  110478 */   // Label 1780: @110478
     /*  110478 */   GIM_Try, /*On fail goto*//*Label 1781*/ GIMT_Encode4(110523), // Rule ID 51131 //
     /*  110483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110486 */     // (udiv:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  110489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  110503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110521 */     GIR_RootConstrainSelectedInstOperands,
     /*  110522 */     // GIR_Coverage, 51131,
     /*  110522 */     GIR_EraseRootFromParent_Done,
     /*  110523 */   // Label 1781: @110523
     /*  110523 */   GIM_Reject,
     /*  110524 */ // Label 1779: @110524
     /*  110524 */ GIM_Reject,
     /*  110525 */ // Label 1753: @110525
     /*  110525 */ GIM_Try, /*On fail goto*//*Label 1782*/ GIMT_Encode4(110639),
     /*  110530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  110533 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  110536 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110540 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110548 */   GIM_Try, /*On fail goto*//*Label 1783*/ GIMT_Encode4(110593), // Rule ID 51138 //
     /*  110553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110556 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  110556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  110559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  110573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110591 */     GIR_RootConstrainSelectedInstOperands,
     /*  110592 */     // GIR_Coverage, 51138,
     /*  110592 */     GIR_EraseRootFromParent_Done,
     /*  110593 */   // Label 1783: @110593
     /*  110593 */   GIM_Try, /*On fail goto*//*Label 1784*/ GIMT_Encode4(110638), // Rule ID 51139 //
     /*  110598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110601 */     // (udiv:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  110601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  110604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110613 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  110618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110620 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  110633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110636 */     GIR_RootConstrainSelectedInstOperands,
     /*  110637 */     // GIR_Coverage, 51139,
     /*  110637 */     GIR_EraseRootFromParent_Done,
     /*  110638 */   // Label 1784: @110638
     /*  110638 */   GIM_Reject,
     /*  110639 */ // Label 1782: @110639
     /*  110639 */ GIM_Reject,
     /*  110640 */ // Label 1754: @110640
     /*  110640 */ GIM_Try, /*On fail goto*//*Label 1785*/ GIMT_Encode4(110754),
     /*  110645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  110648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  110651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110655 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110659 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110663 */   GIM_Try, /*On fail goto*//*Label 1786*/ GIMT_Encode4(110708), // Rule ID 51154 //
     /*  110668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  110671 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  110671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  110674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  110688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110706 */     GIR_RootConstrainSelectedInstOperands,
     /*  110707 */     // GIR_Coverage, 51154,
     /*  110707 */     GIR_EraseRootFromParent_Done,
     /*  110708 */   // Label 1786: @110708
     /*  110708 */   GIM_Try, /*On fail goto*//*Label 1787*/ GIMT_Encode4(110753), // Rule ID 51155 //
     /*  110713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  110716 */     // (udiv:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  110716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  110719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  110733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  110748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110751 */     GIR_RootConstrainSelectedInstOperands,
     /*  110752 */     // GIR_Coverage, 51155,
     /*  110752 */     GIR_EraseRootFromParent_Done,
     /*  110753 */   // Label 1787: @110753
     /*  110753 */   GIM_Reject,
     /*  110754 */ // Label 1785: @110754
     /*  110754 */ GIM_Reject,
     /*  110755 */ // Label 1755: @110755
     /*  110755 */ GIM_Try, /*On fail goto*//*Label 1788*/ GIMT_Encode4(110869),
     /*  110760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  110763 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  110766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110778 */   GIM_Try, /*On fail goto*//*Label 1789*/ GIMT_Encode4(110823), // Rule ID 51122 //
     /*  110783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110786 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  110786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  110789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  110803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110821 */     GIR_RootConstrainSelectedInstOperands,
     /*  110822 */     // GIR_Coverage, 51122,
     /*  110822 */     GIR_EraseRootFromParent_Done,
     /*  110823 */   // Label 1789: @110823
     /*  110823 */   GIM_Try, /*On fail goto*//*Label 1790*/ GIMT_Encode4(110868), // Rule ID 51123 //
     /*  110828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110831 */     // (udiv:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  110831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  110834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  110848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110866 */     GIR_RootConstrainSelectedInstOperands,
     /*  110867 */     // GIR_Coverage, 51123,
     /*  110867 */     GIR_EraseRootFromParent_Done,
     /*  110868 */   // Label 1790: @110868
     /*  110868 */   GIM_Reject,
     /*  110869 */ // Label 1788: @110869
     /*  110869 */ GIM_Reject,
     /*  110870 */ // Label 1756: @110870
     /*  110870 */ GIM_Try, /*On fail goto*//*Label 1791*/ GIMT_Encode4(110984),
     /*  110875 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  110878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  110881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  110893 */   GIM_Try, /*On fail goto*//*Label 1792*/ GIMT_Encode4(110938), // Rule ID 51134 //
     /*  110898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  110901 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  110901 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  110904 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110908 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110913 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  110918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110920 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110936 */     GIR_RootConstrainSelectedInstOperands,
     /*  110937 */     // GIR_Coverage, 51134,
     /*  110937 */     GIR_EraseRootFromParent_Done,
     /*  110938 */   // Label 1792: @110938
     /*  110938 */   GIM_Try, /*On fail goto*//*Label 1793*/ GIMT_Encode4(110983), // Rule ID 51135 //
     /*  110943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  110946 */     // (udiv:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  110946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  110949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  110953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  110958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  110960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  110963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  110965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  110968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  110970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  110972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  110975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  110978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  110981 */     GIR_RootConstrainSelectedInstOperands,
     /*  110982 */     // GIR_Coverage, 51135,
     /*  110982 */     GIR_EraseRootFromParent_Done,
     /*  110983 */   // Label 1793: @110983
     /*  110983 */   GIM_Reject,
     /*  110984 */ // Label 1791: @110984
     /*  110984 */ GIM_Reject,
     /*  110985 */ // Label 1757: @110985
     /*  110985 */ GIM_Try, /*On fail goto*//*Label 1794*/ GIMT_Encode4(111099),
     /*  110990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  110993 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  110996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111008 */   GIM_Try, /*On fail goto*//*Label 1795*/ GIMT_Encode4(111053), // Rule ID 51150 //
     /*  111013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111016 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111016 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  111019 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111023 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111028 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  111033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111035 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111038 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111051 */     GIR_RootConstrainSelectedInstOperands,
     /*  111052 */     // GIR_Coverage, 51150,
     /*  111052 */     GIR_EraseRootFromParent_Done,
     /*  111053 */   // Label 1795: @111053
     /*  111053 */   GIM_Try, /*On fail goto*//*Label 1796*/ GIMT_Encode4(111098), // Rule ID 51151 //
     /*  111058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111061 */     // (udiv:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  111064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  111078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111096 */     GIR_RootConstrainSelectedInstOperands,
     /*  111097 */     // GIR_Coverage, 51151,
     /*  111097 */     GIR_EraseRootFromParent_Done,
     /*  111098 */   // Label 1796: @111098
     /*  111098 */   GIM_Reject,
     /*  111099 */ // Label 1794: @111099
     /*  111099 */ GIM_Reject,
     /*  111100 */ // Label 1758: @111100
     /*  111100 */ GIM_Try, /*On fail goto*//*Label 1797*/ GIMT_Encode4(111214),
     /*  111105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  111108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  111111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111123 */   GIM_Try, /*On fail goto*//*Label 1798*/ GIMT_Encode4(111168), // Rule ID 51194 //
     /*  111128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111131 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  111134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  111148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111166 */     GIR_RootConstrainSelectedInstOperands,
     /*  111167 */     // GIR_Coverage, 51194,
     /*  111167 */     GIR_EraseRootFromParent_Done,
     /*  111168 */   // Label 1798: @111168
     /*  111168 */   GIM_Try, /*On fail goto*//*Label 1799*/ GIMT_Encode4(111213), // Rule ID 51195 //
     /*  111173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  111176 */     // (udiv:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  111176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  111179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  111193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111211 */     GIR_RootConstrainSelectedInstOperands,
     /*  111212 */     // GIR_Coverage, 51195,
     /*  111212 */     GIR_EraseRootFromParent_Done,
     /*  111213 */   // Label 1799: @111213
     /*  111213 */   GIM_Reject,
     /*  111214 */ // Label 1797: @111214
     /*  111214 */ GIM_Reject,
     /*  111215 */ // Label 1759: @111215
     /*  111215 */ GIM_Try, /*On fail goto*//*Label 1800*/ GIMT_Encode4(111329),
     /*  111220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  111223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  111226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111238 */   GIM_Try, /*On fail goto*//*Label 1801*/ GIMT_Encode4(111283), // Rule ID 51126 //
     /*  111243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111246 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  111249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  111263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111281 */     GIR_RootConstrainSelectedInstOperands,
     /*  111282 */     // GIR_Coverage, 51126,
     /*  111282 */     GIR_EraseRootFromParent_Done,
     /*  111283 */   // Label 1801: @111283
     /*  111283 */   GIM_Try, /*On fail goto*//*Label 1802*/ GIMT_Encode4(111328), // Rule ID 51127 //
     /*  111288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111291 */     // (udiv:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  111294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  111308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111326 */     GIR_RootConstrainSelectedInstOperands,
     /*  111327 */     // GIR_Coverage, 51127,
     /*  111327 */     GIR_EraseRootFromParent_Done,
     /*  111328 */   // Label 1802: @111328
     /*  111328 */   GIM_Reject,
     /*  111329 */ // Label 1800: @111329
     /*  111329 */ GIM_Reject,
     /*  111330 */ // Label 1760: @111330
     /*  111330 */ GIM_Try, /*On fail goto*//*Label 1803*/ GIMT_Encode4(111444),
     /*  111335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  111338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  111341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111353 */   GIM_Try, /*On fail goto*//*Label 1804*/ GIMT_Encode4(111398), // Rule ID 51146 //
     /*  111358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111361 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  111364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  111378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111396 */     GIR_RootConstrainSelectedInstOperands,
     /*  111397 */     // GIR_Coverage, 51146,
     /*  111397 */     GIR_EraseRootFromParent_Done,
     /*  111398 */   // Label 1804: @111398
     /*  111398 */   GIM_Try, /*On fail goto*//*Label 1805*/ GIMT_Encode4(111443), // Rule ID 51147 //
     /*  111403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111406 */     // (udiv:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  111409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  111423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111441 */     GIR_RootConstrainSelectedInstOperands,
     /*  111442 */     // GIR_Coverage, 51147,
     /*  111442 */     GIR_EraseRootFromParent_Done,
     /*  111443 */   // Label 1805: @111443
     /*  111443 */   GIM_Reject,
     /*  111444 */ // Label 1803: @111444
     /*  111444 */ GIM_Reject,
     /*  111445 */ // Label 1761: @111445
     /*  111445 */ GIM_Try, /*On fail goto*//*Label 1806*/ GIMT_Encode4(111559),
     /*  111450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  111453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  111456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111468 */   GIM_Try, /*On fail goto*//*Label 1807*/ GIMT_Encode4(111513), // Rule ID 51182 //
     /*  111473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111476 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  111479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  111493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111511 */     GIR_RootConstrainSelectedInstOperands,
     /*  111512 */     // GIR_Coverage, 51182,
     /*  111512 */     GIR_EraseRootFromParent_Done,
     /*  111513 */   // Label 1807: @111513
     /*  111513 */   GIM_Try, /*On fail goto*//*Label 1808*/ GIMT_Encode4(111558), // Rule ID 51183 //
     /*  111518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111521 */     // (udiv:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  111524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  111538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111556 */     GIR_RootConstrainSelectedInstOperands,
     /*  111557 */     // GIR_Coverage, 51183,
     /*  111557 */     GIR_EraseRootFromParent_Done,
     /*  111558 */   // Label 1808: @111558
     /*  111558 */   GIM_Reject,
     /*  111559 */ // Label 1806: @111559
     /*  111559 */ GIM_Reject,
     /*  111560 */ // Label 1762: @111560
     /*  111560 */ GIM_Try, /*On fail goto*//*Label 1809*/ GIMT_Encode4(111674),
     /*  111565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  111568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  111571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111583 */   GIM_Try, /*On fail goto*//*Label 1810*/ GIMT_Encode4(111628), // Rule ID 51198 //
     /*  111588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  111591 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  111591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  111594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  111608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111626 */     GIR_RootConstrainSelectedInstOperands,
     /*  111627 */     // GIR_Coverage, 51198,
     /*  111627 */     GIR_EraseRootFromParent_Done,
     /*  111628 */   // Label 1810: @111628
     /*  111628 */   GIM_Try, /*On fail goto*//*Label 1811*/ GIMT_Encode4(111673), // Rule ID 51199 //
     /*  111633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  111636 */     // (udiv:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  111636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  111639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  111653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  111668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111671 */     GIR_RootConstrainSelectedInstOperands,
     /*  111672 */     // GIR_Coverage, 51199,
     /*  111672 */     GIR_EraseRootFromParent_Done,
     /*  111673 */   // Label 1811: @111673
     /*  111673 */   GIM_Reject,
     /*  111674 */ // Label 1809: @111674
     /*  111674 */ GIM_Reject,
     /*  111675 */ // Label 1763: @111675
     /*  111675 */ GIM_Try, /*On fail goto*//*Label 1812*/ GIMT_Encode4(111789),
     /*  111680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  111683 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  111686 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111690 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  111698 */   GIM_Try, /*On fail goto*//*Label 1813*/ GIMT_Encode4(111743), // Rule ID 51142 //
     /*  111703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111706 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  111706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  111709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  111723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111741 */     GIR_RootConstrainSelectedInstOperands,
     /*  111742 */     // GIR_Coverage, 51142,
     /*  111742 */     GIR_EraseRootFromParent_Done,
     /*  111743 */   // Label 1813: @111743
     /*  111743 */   GIM_Try, /*On fail goto*//*Label 1814*/ GIMT_Encode4(111788), // Rule ID 51143 //
     /*  111748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111751 */     // (udiv:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  111751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  111754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  111768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111786 */     GIR_RootConstrainSelectedInstOperands,
     /*  111787 */     // GIR_Coverage, 51143,
     /*  111787 */     GIR_EraseRootFromParent_Done,
     /*  111788 */   // Label 1814: @111788
     /*  111788 */   GIM_Reject,
     /*  111789 */ // Label 1812: @111789
     /*  111789 */ GIM_Reject,
     /*  111790 */ // Label 1764: @111790
     /*  111790 */ GIM_Try, /*On fail goto*//*Label 1815*/ GIMT_Encode4(111904),
     /*  111795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  111798 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  111801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  111813 */   GIM_Try, /*On fail goto*//*Label 1816*/ GIMT_Encode4(111858), // Rule ID 51170 //
     /*  111818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111821 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  111821 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  111824 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111828 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111833 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  111838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111840 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111843 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111856 */     GIR_RootConstrainSelectedInstOperands,
     /*  111857 */     // GIR_Coverage, 51170,
     /*  111857 */     GIR_EraseRootFromParent_Done,
     /*  111858 */   // Label 1816: @111858
     /*  111858 */   GIM_Try, /*On fail goto*//*Label 1817*/ GIMT_Encode4(111903), // Rule ID 51171 //
     /*  111863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111866 */     // (udiv:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  111866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  111869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  111883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  111898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111901 */     GIR_RootConstrainSelectedInstOperands,
     /*  111902 */     // GIR_Coverage, 51171,
     /*  111902 */     GIR_EraseRootFromParent_Done,
     /*  111903 */   // Label 1817: @111903
     /*  111903 */   GIM_Reject,
     /*  111904 */ // Label 1815: @111904
     /*  111904 */ GIM_Reject,
     /*  111905 */ // Label 1765: @111905
     /*  111905 */ GIM_Try, /*On fail goto*//*Label 1818*/ GIMT_Encode4(112019),
     /*  111910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  111913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  111916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111924 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  111928 */   GIM_Try, /*On fail goto*//*Label 1819*/ GIMT_Encode4(111973), // Rule ID 51186 //
     /*  111933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  111936 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  111936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  111939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  111953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  111955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  111958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  111960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  111962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  111965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  111968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  111971 */     GIR_RootConstrainSelectedInstOperands,
     /*  111972 */     // GIR_Coverage, 51186,
     /*  111972 */     GIR_EraseRootFromParent_Done,
     /*  111973 */   // Label 1819: @111973
     /*  111973 */   GIM_Try, /*On fail goto*//*Label 1820*/ GIMT_Encode4(112018), // Rule ID 51187 //
     /*  111978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  111981 */     // (udiv:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  111981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  111984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  111988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  111993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  111995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  111998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112016 */     GIR_RootConstrainSelectedInstOperands,
     /*  112017 */     // GIR_Coverage, 51187,
     /*  112017 */     GIR_EraseRootFromParent_Done,
     /*  112018 */   // Label 1820: @112018
     /*  112018 */   GIM_Reject,
     /*  112019 */ // Label 1818: @112019
     /*  112019 */ GIM_Reject,
     /*  112020 */ // Label 1766: @112020
     /*  112020 */ GIM_Try, /*On fail goto*//*Label 1821*/ GIMT_Encode4(112134),
     /*  112025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  112028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  112031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112043 */   GIM_Try, /*On fail goto*//*Label 1822*/ GIMT_Encode4(112088), // Rule ID 51202 //
     /*  112048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  112051 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  112051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  112054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  112068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112086 */     GIR_RootConstrainSelectedInstOperands,
     /*  112087 */     // GIR_Coverage, 51202,
     /*  112087 */     GIR_EraseRootFromParent_Done,
     /*  112088 */   // Label 1822: @112088
     /*  112088 */   GIM_Try, /*On fail goto*//*Label 1823*/ GIMT_Encode4(112133), // Rule ID 51203 //
     /*  112093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  112096 */     // (udiv:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  112096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  112099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  112113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  112128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112131 */     GIR_RootConstrainSelectedInstOperands,
     /*  112132 */     // GIR_Coverage, 51203,
     /*  112132 */     GIR_EraseRootFromParent_Done,
     /*  112133 */   // Label 1823: @112133
     /*  112133 */   GIM_Reject,
     /*  112134 */ // Label 1821: @112134
     /*  112134 */ GIM_Reject,
     /*  112135 */ // Label 1767: @112135
     /*  112135 */ GIM_Try, /*On fail goto*//*Label 1824*/ GIMT_Encode4(112249),
     /*  112140 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  112143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  112146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112154 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  112158 */   GIM_Try, /*On fail goto*//*Label 1825*/ GIMT_Encode4(112203), // Rule ID 51158 //
     /*  112163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112166 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  112169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  112183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112201 */     GIR_RootConstrainSelectedInstOperands,
     /*  112202 */     // GIR_Coverage, 51158,
     /*  112202 */     GIR_EraseRootFromParent_Done,
     /*  112203 */   // Label 1825: @112203
     /*  112203 */   GIM_Try, /*On fail goto*//*Label 1826*/ GIMT_Encode4(112248), // Rule ID 51159 //
     /*  112208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112211 */     // (udiv:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  112214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  112228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112246 */     GIR_RootConstrainSelectedInstOperands,
     /*  112247 */     // GIR_Coverage, 51159,
     /*  112247 */     GIR_EraseRootFromParent_Done,
     /*  112248 */   // Label 1826: @112248
     /*  112248 */   GIM_Reject,
     /*  112249 */ // Label 1824: @112249
     /*  112249 */ GIM_Reject,
     /*  112250 */ // Label 1768: @112250
     /*  112250 */ GIM_Try, /*On fail goto*//*Label 1827*/ GIMT_Encode4(112364),
     /*  112255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  112258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  112261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112273 */   GIM_Try, /*On fail goto*//*Label 1828*/ GIMT_Encode4(112318), // Rule ID 51174 //
     /*  112278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112281 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112281 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  112284 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112288 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112293 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  112298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112300 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112316 */     GIR_RootConstrainSelectedInstOperands,
     /*  112317 */     // GIR_Coverage, 51174,
     /*  112317 */     GIR_EraseRootFromParent_Done,
     /*  112318 */   // Label 1828: @112318
     /*  112318 */   GIM_Try, /*On fail goto*//*Label 1829*/ GIMT_Encode4(112363), // Rule ID 51175 //
     /*  112323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112326 */     // (udiv:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  112329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  112343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112361 */     GIR_RootConstrainSelectedInstOperands,
     /*  112362 */     // GIR_Coverage, 51175,
     /*  112362 */     GIR_EraseRootFromParent_Done,
     /*  112363 */   // Label 1829: @112363
     /*  112363 */   GIM_Reject,
     /*  112364 */ // Label 1827: @112364
     /*  112364 */ GIM_Reject,
     /*  112365 */ // Label 1769: @112365
     /*  112365 */ GIM_Try, /*On fail goto*//*Label 1830*/ GIMT_Encode4(112479),
     /*  112370 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  112373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  112376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112380 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112384 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112388 */   GIM_Try, /*On fail goto*//*Label 1831*/ GIMT_Encode4(112433), // Rule ID 51190 //
     /*  112393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112396 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  112396 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  112399 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112403 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112408 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  112413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112415 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112431 */     GIR_RootConstrainSelectedInstOperands,
     /*  112432 */     // GIR_Coverage, 51190,
     /*  112432 */     GIR_EraseRootFromParent_Done,
     /*  112433 */   // Label 1831: @112433
     /*  112433 */   GIM_Try, /*On fail goto*//*Label 1832*/ GIMT_Encode4(112478), // Rule ID 51191 //
     /*  112438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112441 */     // (udiv:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  112441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  112444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  112458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  112473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112476 */     GIR_RootConstrainSelectedInstOperands,
     /*  112477 */     // GIR_Coverage, 51191,
     /*  112477 */     GIR_EraseRootFromParent_Done,
     /*  112478 */   // Label 1832: @112478
     /*  112478 */   GIM_Reject,
     /*  112479 */ // Label 1830: @112479
     /*  112479 */ GIM_Reject,
     /*  112480 */ // Label 1770: @112480
     /*  112480 */ GIM_Try, /*On fail goto*//*Label 1833*/ GIMT_Encode4(112594),
     /*  112485 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  112488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  112491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  112503 */   GIM_Try, /*On fail goto*//*Label 1834*/ GIMT_Encode4(112548), // Rule ID 51162 //
     /*  112508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112511 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  112514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  112528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112546 */     GIR_RootConstrainSelectedInstOperands,
     /*  112547 */     // GIR_Coverage, 51162,
     /*  112547 */     GIR_EraseRootFromParent_Done,
     /*  112548 */   // Label 1834: @112548
     /*  112548 */   GIM_Try, /*On fail goto*//*Label 1835*/ GIMT_Encode4(112593), // Rule ID 51163 //
     /*  112553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112556 */     // (udiv:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  112559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  112573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112591 */     GIR_RootConstrainSelectedInstOperands,
     /*  112592 */     // GIR_Coverage, 51163,
     /*  112592 */     GIR_EraseRootFromParent_Done,
     /*  112593 */   // Label 1835: @112593
     /*  112593 */   GIM_Reject,
     /*  112594 */ // Label 1833: @112594
     /*  112594 */ GIM_Reject,
     /*  112595 */ // Label 1771: @112595
     /*  112595 */ GIM_Try, /*On fail goto*//*Label 1836*/ GIMT_Encode4(112709),
     /*  112600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  112603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  112606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112618 */   GIM_Try, /*On fail goto*//*Label 1837*/ GIMT_Encode4(112663), // Rule ID 51178 //
     /*  112623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112626 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  112626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  112629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  112643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112661 */     GIR_RootConstrainSelectedInstOperands,
     /*  112662 */     // GIR_Coverage, 51178,
     /*  112662 */     GIR_EraseRootFromParent_Done,
     /*  112663 */   // Label 1837: @112663
     /*  112663 */   GIM_Try, /*On fail goto*//*Label 1838*/ GIMT_Encode4(112708), // Rule ID 51179 //
     /*  112668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112671 */     // (udiv:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  112671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  112674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  112688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  112703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112706 */     GIR_RootConstrainSelectedInstOperands,
     /*  112707 */     // GIR_Coverage, 51179,
     /*  112707 */     GIR_EraseRootFromParent_Done,
     /*  112708 */   // Label 1838: @112708
     /*  112708 */   GIM_Reject,
     /*  112709 */ // Label 1836: @112709
     /*  112709 */ GIM_Reject,
     /*  112710 */ // Label 1772: @112710
     /*  112710 */ GIM_Try, /*On fail goto*//*Label 1839*/ GIMT_Encode4(112824),
     /*  112715 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  112718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  112721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112725 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112729 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  112733 */   GIM_Try, /*On fail goto*//*Label 1840*/ GIMT_Encode4(112778), // Rule ID 51166 //
     /*  112738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  112741 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  112741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  112744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  112758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112776 */     GIR_RootConstrainSelectedInstOperands,
     /*  112777 */     // GIR_Coverage, 51166,
     /*  112777 */     GIR_EraseRootFromParent_Done,
     /*  112778 */   // Label 1840: @112778
     /*  112778 */   GIM_Try, /*On fail goto*//*Label 1841*/ GIMT_Encode4(112823), // Rule ID 51167 //
     /*  112783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  112786 */     // (udiv:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  112786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  112789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  112793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  112798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  112800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  112803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  112805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  112808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  112810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  112812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  112815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  112821 */     GIR_RootConstrainSelectedInstOperands,
     /*  112822 */     // GIR_Coverage, 51167,
     /*  112822 */     GIR_EraseRootFromParent_Done,
     /*  112823 */   // Label 1841: @112823
     /*  112823 */   GIM_Reject,
     /*  112824 */ // Label 1839: @112824
     /*  112824 */ GIM_Reject,
     /*  112825 */ // Label 1773: @112825
     /*  112825 */ GIM_Reject,
     /*  112826 */ // Label 5: @112826
     /*  112826 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1866*/ GIMT_Encode4(115604),
     /*  112837 */ /*GILLT_s32*//*Label 1842*/ GIMT_Encode4(112961),
     /*  112841 */ /*GILLT_s64*//*Label 1843*/ GIMT_Encode4(112995), GIMT_Encode4(0),
     /*  112849 */ /*GILLT_nxv1s8*//*Label 1844*/ GIMT_Encode4(113074),
     /*  112853 */ /*GILLT_nxv1s16*//*Label 1845*/ GIMT_Encode4(113189),
     /*  112857 */ /*GILLT_nxv1s32*//*Label 1846*/ GIMT_Encode4(113304),
     /*  112861 */ /*GILLT_nxv1s64*//*Label 1847*/ GIMT_Encode4(113419), GIMT_Encode4(0),
     /*  112869 */ /*GILLT_nxv2s8*//*Label 1848*/ GIMT_Encode4(113534),
     /*  112873 */ /*GILLT_nxv2s16*//*Label 1849*/ GIMT_Encode4(113649),
     /*  112877 */ /*GILLT_nxv2s32*//*Label 1850*/ GIMT_Encode4(113764),
     /*  112881 */ /*GILLT_nxv2s64*//*Label 1851*/ GIMT_Encode4(113879), GIMT_Encode4(0),
     /*  112889 */ /*GILLT_nxv4s8*//*Label 1852*/ GIMT_Encode4(113994),
     /*  112893 */ /*GILLT_nxv4s16*//*Label 1853*/ GIMT_Encode4(114109),
     /*  112897 */ /*GILLT_nxv4s32*//*Label 1854*/ GIMT_Encode4(114224),
     /*  112901 */ /*GILLT_nxv4s64*//*Label 1855*/ GIMT_Encode4(114339), GIMT_Encode4(0),
     /*  112909 */ /*GILLT_nxv8s8*//*Label 1856*/ GIMT_Encode4(114454),
     /*  112913 */ /*GILLT_nxv8s16*//*Label 1857*/ GIMT_Encode4(114569),
     /*  112917 */ /*GILLT_nxv8s32*//*Label 1858*/ GIMT_Encode4(114684),
     /*  112921 */ /*GILLT_nxv8s64*//*Label 1859*/ GIMT_Encode4(114799), GIMT_Encode4(0),
     /*  112929 */ /*GILLT_nxv16s8*//*Label 1860*/ GIMT_Encode4(114914),
     /*  112933 */ /*GILLT_nxv16s16*//*Label 1861*/ GIMT_Encode4(115029),
     /*  112937 */ /*GILLT_nxv16s32*//*Label 1862*/ GIMT_Encode4(115144), GIMT_Encode4(0),
     /*  112945 */ /*GILLT_nxv32s8*//*Label 1863*/ GIMT_Encode4(115259),
     /*  112949 */ /*GILLT_nxv32s16*//*Label 1864*/ GIMT_Encode4(115374), GIMT_Encode4(0),
     /*  112957 */ /*GILLT_nxv64s8*//*Label 1865*/ GIMT_Encode4(115489),
     /*  112961 */ // Label 1842: @112961
     /*  112961 */ GIM_Try, /*On fail goto*//*Label 1867*/ GIMT_Encode4(112994), // Rule ID 310 //
     /*  112966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  112969 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  112972 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  112975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112979 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  112987 */   // (srem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REM:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  112987 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  112992 */   GIR_RootConstrainSelectedInstOperands,
     /*  112993 */   // GIR_Coverage, 310,
     /*  112993 */   GIR_Done,
     /*  112994 */ // Label 1867: @112994
     /*  112994 */ GIM_Reject,
     /*  112995 */ // Label 1843: @112995
     /*  112995 */ GIM_Try, /*On fail goto*//*Label 1868*/ GIMT_Encode4(113073),
     /*  113000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  113003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  113006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113010 */   GIM_Try, /*On fail goto*//*Label 1869*/ GIMT_Encode4(113049), // Rule ID 319 //
     /*  113015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /*  113018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /*  113025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_sexti32),
     /*  113032 */     // (srem:{ *:[i64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (REMW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::REMW),
     /*  113035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  113042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  113047 */     GIR_RootConstrainSelectedInstOperands,
     /*  113048 */     // GIR_Coverage, 319,
     /*  113048 */     GIR_EraseRootFromParent_Done,
     /*  113049 */   // Label 1869: @113049
     /*  113049 */   GIM_Try, /*On fail goto*//*Label 1870*/ GIMT_Encode4(113072), // Rule ID 309 //
     /*  113054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  113057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  113065 */     // (srem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  113065 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REM),
     /*  113070 */     GIR_RootConstrainSelectedInstOperands,
     /*  113071 */     // GIR_Coverage, 309,
     /*  113071 */     GIR_Done,
     /*  113072 */   // Label 1870: @113072
     /*  113072 */   GIM_Reject,
     /*  113073 */ // Label 1868: @113073
     /*  113073 */ GIM_Reject,
     /*  113074 */ // Label 1844: @113074
     /*  113074 */ GIM_Try, /*On fail goto*//*Label 1871*/ GIMT_Encode4(113188),
     /*  113079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  113082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  113085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113097 */   GIM_Try, /*On fail goto*//*Label 1872*/ GIMT_Encode4(113142), // Rule ID 51382 //
     /*  113102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113105 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  113108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  113122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113140 */     GIR_RootConstrainSelectedInstOperands,
     /*  113141 */     // GIR_Coverage, 51382,
     /*  113141 */     GIR_EraseRootFromParent_Done,
     /*  113142 */   // Label 1872: @113142
     /*  113142 */   GIM_Try, /*On fail goto*//*Label 1873*/ GIMT_Encode4(113187), // Rule ID 51383 //
     /*  113147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113150 */     // (srem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113150 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  113153 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113157 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113162 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  113167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113169 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113172 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113185 */     GIR_RootConstrainSelectedInstOperands,
     /*  113186 */     // GIR_Coverage, 51383,
     /*  113186 */     GIR_EraseRootFromParent_Done,
     /*  113187 */   // Label 1873: @113187
     /*  113187 */   GIM_Reject,
     /*  113188 */ // Label 1871: @113188
     /*  113188 */ GIM_Reject,
     /*  113189 */ // Label 1845: @113189
     /*  113189 */ GIM_Try, /*On fail goto*//*Label 1874*/ GIMT_Encode4(113303),
     /*  113194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  113197 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  113200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113204 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113212 */   GIM_Try, /*On fail goto*//*Label 1875*/ GIMT_Encode4(113257), // Rule ID 51394 //
     /*  113217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113220 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  113223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  113237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113255 */     GIR_RootConstrainSelectedInstOperands,
     /*  113256 */     // GIR_Coverage, 51394,
     /*  113256 */     GIR_EraseRootFromParent_Done,
     /*  113257 */   // Label 1875: @113257
     /*  113257 */   GIM_Try, /*On fail goto*//*Label 1876*/ GIMT_Encode4(113302), // Rule ID 51395 //
     /*  113262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113265 */     // (srem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  113268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  113282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113300 */     GIR_RootConstrainSelectedInstOperands,
     /*  113301 */     // GIR_Coverage, 51395,
     /*  113301 */     GIR_EraseRootFromParent_Done,
     /*  113302 */   // Label 1876: @113302
     /*  113302 */   GIM_Reject,
     /*  113303 */ // Label 1874: @113303
     /*  113303 */ GIM_Reject,
     /*  113304 */ // Label 1846: @113304
     /*  113304 */ GIM_Try, /*On fail goto*//*Label 1877*/ GIMT_Encode4(113418),
     /*  113309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  113312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  113315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113323 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113327 */   GIM_Try, /*On fail goto*//*Label 1878*/ GIMT_Encode4(113372), // Rule ID 51402 //
     /*  113332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113335 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  113338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  113352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113370 */     GIR_RootConstrainSelectedInstOperands,
     /*  113371 */     // GIR_Coverage, 51402,
     /*  113371 */     GIR_EraseRootFromParent_Done,
     /*  113372 */   // Label 1878: @113372
     /*  113372 */   GIM_Try, /*On fail goto*//*Label 1879*/ GIMT_Encode4(113417), // Rule ID 51403 //
     /*  113377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113380 */     // (srem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  113383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  113397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113415 */     GIR_RootConstrainSelectedInstOperands,
     /*  113416 */     // GIR_Coverage, 51403,
     /*  113416 */     GIR_EraseRootFromParent_Done,
     /*  113417 */   // Label 1879: @113417
     /*  113417 */   GIM_Reject,
     /*  113418 */ // Label 1877: @113418
     /*  113418 */ GIM_Reject,
     /*  113419 */ // Label 1847: @113419
     /*  113419 */ GIM_Try, /*On fail goto*//*Label 1880*/ GIMT_Encode4(113533),
     /*  113424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  113427 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  113430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113442 */   GIM_Try, /*On fail goto*//*Label 1881*/ GIMT_Encode4(113487), // Rule ID 51418 //
     /*  113447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113450 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  113453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  113467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113485 */     GIR_RootConstrainSelectedInstOperands,
     /*  113486 */     // GIR_Coverage, 51418,
     /*  113486 */     GIR_EraseRootFromParent_Done,
     /*  113487 */   // Label 1881: @113487
     /*  113487 */   GIM_Try, /*On fail goto*//*Label 1882*/ GIMT_Encode4(113532), // Rule ID 51419 //
     /*  113492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113495 */     // (srem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113495 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  113498 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113502 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113507 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  113512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113514 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113517 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113530 */     GIR_RootConstrainSelectedInstOperands,
     /*  113531 */     // GIR_Coverage, 51419,
     /*  113531 */     GIR_EraseRootFromParent_Done,
     /*  113532 */   // Label 1882: @113532
     /*  113532 */   GIM_Reject,
     /*  113533 */ // Label 1880: @113533
     /*  113533 */ GIM_Reject,
     /*  113534 */ // Label 1848: @113534
     /*  113534 */ GIM_Try, /*On fail goto*//*Label 1883*/ GIMT_Encode4(113648),
     /*  113539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  113542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  113545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113557 */   GIM_Try, /*On fail goto*//*Label 1884*/ GIMT_Encode4(113602), // Rule ID 51386 //
     /*  113562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113565 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  113565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  113568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  113582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113600 */     GIR_RootConstrainSelectedInstOperands,
     /*  113601 */     // GIR_Coverage, 51386,
     /*  113601 */     GIR_EraseRootFromParent_Done,
     /*  113602 */   // Label 1884: @113602
     /*  113602 */   GIM_Try, /*On fail goto*//*Label 1885*/ GIMT_Encode4(113647), // Rule ID 51387 //
     /*  113607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113610 */     // (srem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  113610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  113613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  113627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113645 */     GIR_RootConstrainSelectedInstOperands,
     /*  113646 */     // GIR_Coverage, 51387,
     /*  113646 */     GIR_EraseRootFromParent_Done,
     /*  113647 */   // Label 1885: @113647
     /*  113647 */   GIM_Reject,
     /*  113648 */ // Label 1883: @113648
     /*  113648 */ GIM_Reject,
     /*  113649 */ // Label 1849: @113649
     /*  113649 */ GIM_Try, /*On fail goto*//*Label 1886*/ GIMT_Encode4(113763),
     /*  113654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  113657 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  113660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113672 */   GIM_Try, /*On fail goto*//*Label 1887*/ GIMT_Encode4(113717), // Rule ID 51398 //
     /*  113677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113680 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  113680 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  113683 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113687 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113692 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  113697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113699 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113715 */     GIR_RootConstrainSelectedInstOperands,
     /*  113716 */     // GIR_Coverage, 51398,
     /*  113716 */     GIR_EraseRootFromParent_Done,
     /*  113717 */   // Label 1887: @113717
     /*  113717 */   GIM_Try, /*On fail goto*//*Label 1888*/ GIMT_Encode4(113762), // Rule ID 51399 //
     /*  113722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113725 */     // (srem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  113725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  113728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  113742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  113757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113760 */     GIR_RootConstrainSelectedInstOperands,
     /*  113761 */     // GIR_Coverage, 51399,
     /*  113761 */     GIR_EraseRootFromParent_Done,
     /*  113762 */   // Label 1888: @113762
     /*  113762 */   GIM_Reject,
     /*  113763 */ // Label 1886: @113763
     /*  113763 */ GIM_Reject,
     /*  113764 */ // Label 1850: @113764
     /*  113764 */ GIM_Try, /*On fail goto*//*Label 1889*/ GIMT_Encode4(113878),
     /*  113769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  113772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  113775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113779 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113783 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  113787 */   GIM_Try, /*On fail goto*//*Label 1890*/ GIMT_Encode4(113832), // Rule ID 51414 //
     /*  113792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  113795 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  113795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  113798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  113812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113830 */     GIR_RootConstrainSelectedInstOperands,
     /*  113831 */     // GIR_Coverage, 51414,
     /*  113831 */     GIR_EraseRootFromParent_Done,
     /*  113832 */   // Label 1890: @113832
     /*  113832 */   GIM_Try, /*On fail goto*//*Label 1891*/ GIMT_Encode4(113877), // Rule ID 51415 //
     /*  113837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  113840 */     // (srem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  113840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  113843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  113857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  113872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113875 */     GIR_RootConstrainSelectedInstOperands,
     /*  113876 */     // GIR_Coverage, 51415,
     /*  113876 */     GIR_EraseRootFromParent_Done,
     /*  113877 */   // Label 1891: @113877
     /*  113877 */   GIM_Reject,
     /*  113878 */ // Label 1889: @113878
     /*  113878 */ GIM_Reject,
     /*  113879 */ // Label 1851: @113879
     /*  113879 */ GIM_Try, /*On fail goto*//*Label 1892*/ GIMT_Encode4(113993),
     /*  113884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  113887 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  113890 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113894 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  113902 */   GIM_Try, /*On fail goto*//*Label 1893*/ GIMT_Encode4(113947), // Rule ID 51458 //
     /*  113907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  113910 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  113910 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  113913 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113917 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113922 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  113927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113929 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113932 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113945 */     GIR_RootConstrainSelectedInstOperands,
     /*  113946 */     // GIR_Coverage, 51458,
     /*  113946 */     GIR_EraseRootFromParent_Done,
     /*  113947 */   // Label 1893: @113947
     /*  113947 */   GIM_Try, /*On fail goto*//*Label 1894*/ GIMT_Encode4(113992), // Rule ID 51459 //
     /*  113952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  113955 */     // (srem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  113955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  113958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  113962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  113967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  113969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  113972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  113974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  113977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  113979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  113981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  113984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  113987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  113990 */     GIR_RootConstrainSelectedInstOperands,
     /*  113991 */     // GIR_Coverage, 51459,
     /*  113991 */     GIR_EraseRootFromParent_Done,
     /*  113992 */   // Label 1894: @113992
     /*  113992 */   GIM_Reject,
     /*  113993 */ // Label 1892: @113993
     /*  113993 */ GIM_Reject,
     /*  113994 */ // Label 1852: @113994
     /*  113994 */ GIM_Try, /*On fail goto*//*Label 1895*/ GIMT_Encode4(114108),
     /*  113999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  114002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  114005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114013 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114017 */   GIM_Try, /*On fail goto*//*Label 1896*/ GIMT_Encode4(114062), // Rule ID 51390 //
     /*  114022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114025 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  114028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  114042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114060 */     GIR_RootConstrainSelectedInstOperands,
     /*  114061 */     // GIR_Coverage, 51390,
     /*  114061 */     GIR_EraseRootFromParent_Done,
     /*  114062 */   // Label 1896: @114062
     /*  114062 */   GIM_Try, /*On fail goto*//*Label 1897*/ GIMT_Encode4(114107), // Rule ID 51391 //
     /*  114067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114070 */     // (srem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  114073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  114087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114105 */     GIR_RootConstrainSelectedInstOperands,
     /*  114106 */     // GIR_Coverage, 51391,
     /*  114106 */     GIR_EraseRootFromParent_Done,
     /*  114107 */   // Label 1897: @114107
     /*  114107 */   GIM_Reject,
     /*  114108 */ // Label 1895: @114108
     /*  114108 */ GIM_Reject,
     /*  114109 */ // Label 1853: @114109
     /*  114109 */ GIM_Try, /*On fail goto*//*Label 1898*/ GIMT_Encode4(114223),
     /*  114114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  114117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  114120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114132 */   GIM_Try, /*On fail goto*//*Label 1899*/ GIMT_Encode4(114177), // Rule ID 51410 //
     /*  114137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114140 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  114143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  114157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114175 */     GIR_RootConstrainSelectedInstOperands,
     /*  114176 */     // GIR_Coverage, 51410,
     /*  114176 */     GIR_EraseRootFromParent_Done,
     /*  114177 */   // Label 1899: @114177
     /*  114177 */   GIM_Try, /*On fail goto*//*Label 1900*/ GIMT_Encode4(114222), // Rule ID 51411 //
     /*  114182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114185 */     // (srem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114185 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  114188 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114192 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114197 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  114202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114204 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114207 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114220 */     GIR_RootConstrainSelectedInstOperands,
     /*  114221 */     // GIR_Coverage, 51411,
     /*  114221 */     GIR_EraseRootFromParent_Done,
     /*  114222 */   // Label 1900: @114222
     /*  114222 */   GIM_Reject,
     /*  114223 */ // Label 1898: @114223
     /*  114223 */ GIM_Reject,
     /*  114224 */ // Label 1854: @114224
     /*  114224 */ GIM_Try, /*On fail goto*//*Label 1901*/ GIMT_Encode4(114338),
     /*  114229 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  114232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  114235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114243 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114247 */   GIM_Try, /*On fail goto*//*Label 1902*/ GIMT_Encode4(114292), // Rule ID 51446 //
     /*  114252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114255 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  114255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  114258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  114272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114290 */     GIR_RootConstrainSelectedInstOperands,
     /*  114291 */     // GIR_Coverage, 51446,
     /*  114291 */     GIR_EraseRootFromParent_Done,
     /*  114292 */   // Label 1902: @114292
     /*  114292 */   GIM_Try, /*On fail goto*//*Label 1903*/ GIMT_Encode4(114337), // Rule ID 51447 //
     /*  114297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114300 */     // (srem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  114300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  114303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  114317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114335 */     GIR_RootConstrainSelectedInstOperands,
     /*  114336 */     // GIR_Coverage, 51447,
     /*  114336 */     GIR_EraseRootFromParent_Done,
     /*  114337 */   // Label 1903: @114337
     /*  114337 */   GIM_Reject,
     /*  114338 */ // Label 1901: @114338
     /*  114338 */ GIM_Reject,
     /*  114339 */ // Label 1855: @114339
     /*  114339 */ GIM_Try, /*On fail goto*//*Label 1904*/ GIMT_Encode4(114453),
     /*  114344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  114347 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  114350 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114354 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114362 */   GIM_Try, /*On fail goto*//*Label 1905*/ GIMT_Encode4(114407), // Rule ID 51462 //
     /*  114367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114370 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114370 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  114373 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114377 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114382 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  114387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114389 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114392 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114405 */     GIR_RootConstrainSelectedInstOperands,
     /*  114406 */     // GIR_Coverage, 51462,
     /*  114406 */     GIR_EraseRootFromParent_Done,
     /*  114407 */   // Label 1905: @114407
     /*  114407 */   GIM_Try, /*On fail goto*//*Label 1906*/ GIMT_Encode4(114452), // Rule ID 51463 //
     /*  114412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  114415 */     // (srem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  114415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  114418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  114432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114450 */     GIR_RootConstrainSelectedInstOperands,
     /*  114451 */     // GIR_Coverage, 51463,
     /*  114451 */     GIR_EraseRootFromParent_Done,
     /*  114452 */   // Label 1906: @114452
     /*  114452 */   GIM_Reject,
     /*  114453 */ // Label 1904: @114453
     /*  114453 */ GIM_Reject,
     /*  114454 */ // Label 1856: @114454
     /*  114454 */ GIM_Try, /*On fail goto*//*Label 1907*/ GIMT_Encode4(114568),
     /*  114459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  114462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  114465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  114477 */   GIM_Try, /*On fail goto*//*Label 1908*/ GIMT_Encode4(114522), // Rule ID 51406 //
     /*  114482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114485 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  114488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  114502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114520 */     GIR_RootConstrainSelectedInstOperands,
     /*  114521 */     // GIR_Coverage, 51406,
     /*  114521 */     GIR_EraseRootFromParent_Done,
     /*  114522 */   // Label 1908: @114522
     /*  114522 */   GIM_Try, /*On fail goto*//*Label 1909*/ GIMT_Encode4(114567), // Rule ID 51407 //
     /*  114527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114530 */     // (srem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  114533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  114547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114565 */     GIR_RootConstrainSelectedInstOperands,
     /*  114566 */     // GIR_Coverage, 51407,
     /*  114566 */     GIR_EraseRootFromParent_Done,
     /*  114567 */   // Label 1909: @114567
     /*  114567 */   GIM_Reject,
     /*  114568 */ // Label 1907: @114568
     /*  114568 */ GIM_Reject,
     /*  114569 */ // Label 1857: @114569
     /*  114569 */ GIM_Try, /*On fail goto*//*Label 1910*/ GIMT_Encode4(114683),
     /*  114574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  114577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  114580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114588 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114592 */   GIM_Try, /*On fail goto*//*Label 1911*/ GIMT_Encode4(114637), // Rule ID 51434 //
     /*  114597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114600 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  114600 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  114603 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114607 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114612 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  114617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114619 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114622 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114635 */     GIR_RootConstrainSelectedInstOperands,
     /*  114636 */     // GIR_Coverage, 51434,
     /*  114636 */     GIR_EraseRootFromParent_Done,
     /*  114637 */   // Label 1911: @114637
     /*  114637 */   GIM_Try, /*On fail goto*//*Label 1912*/ GIMT_Encode4(114682), // Rule ID 51435 //
     /*  114642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114645 */     // (srem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  114645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  114648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  114662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  114677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114680 */     GIR_RootConstrainSelectedInstOperands,
     /*  114681 */     // GIR_Coverage, 51435,
     /*  114681 */     GIR_EraseRootFromParent_Done,
     /*  114682 */   // Label 1912: @114682
     /*  114682 */   GIM_Reject,
     /*  114683 */ // Label 1910: @114683
     /*  114683 */ GIM_Reject,
     /*  114684 */ // Label 1858: @114684
     /*  114684 */ GIM_Try, /*On fail goto*//*Label 1913*/ GIMT_Encode4(114798),
     /*  114689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  114692 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  114695 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114699 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  114707 */   GIM_Try, /*On fail goto*//*Label 1914*/ GIMT_Encode4(114752), // Rule ID 51450 //
     /*  114712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114715 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  114715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  114718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  114732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114750 */     GIR_RootConstrainSelectedInstOperands,
     /*  114751 */     // GIR_Coverage, 51450,
     /*  114751 */     GIR_EraseRootFromParent_Done,
     /*  114752 */   // Label 1914: @114752
     /*  114752 */   GIM_Try, /*On fail goto*//*Label 1915*/ GIMT_Encode4(114797), // Rule ID 51451 //
     /*  114757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114760 */     // (srem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  114760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  114763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  114777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  114792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114795 */     GIR_RootConstrainSelectedInstOperands,
     /*  114796 */     // GIR_Coverage, 51451,
     /*  114796 */     GIR_EraseRootFromParent_Done,
     /*  114797 */   // Label 1915: @114797
     /*  114797 */   GIM_Reject,
     /*  114798 */ // Label 1913: @114798
     /*  114798 */ GIM_Reject,
     /*  114799 */ // Label 1859: @114799
     /*  114799 */ GIM_Try, /*On fail goto*//*Label 1916*/ GIMT_Encode4(114913),
     /*  114804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  114807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  114810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114814 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114818 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  114822 */   GIM_Try, /*On fail goto*//*Label 1917*/ GIMT_Encode4(114867), // Rule ID 51466 //
     /*  114827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  114830 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  114830 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  114833 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114837 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  114847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114849 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114865 */     GIR_RootConstrainSelectedInstOperands,
     /*  114866 */     // GIR_Coverage, 51466,
     /*  114866 */     GIR_EraseRootFromParent_Done,
     /*  114867 */   // Label 1917: @114867
     /*  114867 */   GIM_Try, /*On fail goto*//*Label 1918*/ GIMT_Encode4(114912), // Rule ID 51467 //
     /*  114872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  114875 */     // (srem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  114875 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  114878 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114882 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114887 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  114892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114894 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  114907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114910 */     GIR_RootConstrainSelectedInstOperands,
     /*  114911 */     // GIR_Coverage, 51467,
     /*  114911 */     GIR_EraseRootFromParent_Done,
     /*  114912 */   // Label 1918: @114912
     /*  114912 */   GIM_Reject,
     /*  114913 */ // Label 1916: @114913
     /*  114913 */ GIM_Reject,
     /*  114914 */ // Label 1860: @114914
     /*  114914 */ GIM_Try, /*On fail goto*//*Label 1919*/ GIMT_Encode4(115028),
     /*  114919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  114922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  114925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114929 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  114937 */   GIM_Try, /*On fail goto*//*Label 1920*/ GIMT_Encode4(114982), // Rule ID 51422 //
     /*  114942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  114945 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  114945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  114948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  114957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  114959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  114962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  114964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  114967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  114969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  114971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  114974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  114980 */     GIR_RootConstrainSelectedInstOperands,
     /*  114981 */     // GIR_Coverage, 51422,
     /*  114981 */     GIR_EraseRootFromParent_Done,
     /*  114982 */   // Label 1920: @114982
     /*  114982 */   GIM_Try, /*On fail goto*//*Label 1921*/ GIMT_Encode4(115027), // Rule ID 51423 //
     /*  114987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  114990 */     // (srem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  114990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  114993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  114997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  115007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115025 */     GIR_RootConstrainSelectedInstOperands,
     /*  115026 */     // GIR_Coverage, 51423,
     /*  115026 */     GIR_EraseRootFromParent_Done,
     /*  115027 */   // Label 1921: @115027
     /*  115027 */   GIM_Reject,
     /*  115028 */ // Label 1919: @115028
     /*  115028 */ GIM_Reject,
     /*  115029 */ // Label 1861: @115029
     /*  115029 */ GIM_Try, /*On fail goto*//*Label 1922*/ GIMT_Encode4(115143),
     /*  115034 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  115037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  115040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115044 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115048 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115052 */   GIM_Try, /*On fail goto*//*Label 1923*/ GIMT_Encode4(115097), // Rule ID 51438 //
     /*  115057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115060 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  115063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  115077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115095 */     GIR_RootConstrainSelectedInstOperands,
     /*  115096 */     // GIR_Coverage, 51438,
     /*  115096 */     GIR_EraseRootFromParent_Done,
     /*  115097 */   // Label 1923: @115097
     /*  115097 */   GIM_Try, /*On fail goto*//*Label 1924*/ GIMT_Encode4(115142), // Rule ID 51439 //
     /*  115102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115105 */     // (srem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115105 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  115108 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115112 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115117 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  115122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115124 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115127 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115140 */     GIR_RootConstrainSelectedInstOperands,
     /*  115141 */     // GIR_Coverage, 51439,
     /*  115141 */     GIR_EraseRootFromParent_Done,
     /*  115142 */   // Label 1924: @115142
     /*  115142 */   GIM_Reject,
     /*  115143 */ // Label 1922: @115143
     /*  115143 */ GIM_Reject,
     /*  115144 */ // Label 1862: @115144
     /*  115144 */ GIM_Try, /*On fail goto*//*Label 1925*/ GIMT_Encode4(115258),
     /*  115149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  115152 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  115155 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115159 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115167 */   GIM_Try, /*On fail goto*//*Label 1926*/ GIMT_Encode4(115212), // Rule ID 51454 //
     /*  115172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115175 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  115175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  115178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  115192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  115207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115210 */     GIR_RootConstrainSelectedInstOperands,
     /*  115211 */     // GIR_Coverage, 51454,
     /*  115211 */     GIR_EraseRootFromParent_Done,
     /*  115212 */   // Label 1926: @115212
     /*  115212 */   GIM_Try, /*On fail goto*//*Label 1927*/ GIMT_Encode4(115257), // Rule ID 51455 //
     /*  115217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115220 */     // (srem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  115220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  115223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  115237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  115252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115255 */     GIR_RootConstrainSelectedInstOperands,
     /*  115256 */     // GIR_Coverage, 51455,
     /*  115256 */     GIR_EraseRootFromParent_Done,
     /*  115257 */   // Label 1927: @115257
     /*  115257 */   GIM_Reject,
     /*  115258 */ // Label 1925: @115258
     /*  115258 */ GIM_Reject,
     /*  115259 */ // Label 1863: @115259
     /*  115259 */ GIM_Try, /*On fail goto*//*Label 1928*/ GIMT_Encode4(115373),
     /*  115264 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  115267 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  115270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115274 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115278 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  115282 */   GIM_Try, /*On fail goto*//*Label 1929*/ GIMT_Encode4(115327), // Rule ID 51426 //
     /*  115287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115290 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  115293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  115307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115325 */     GIR_RootConstrainSelectedInstOperands,
     /*  115326 */     // GIR_Coverage, 51426,
     /*  115326 */     GIR_EraseRootFromParent_Done,
     /*  115327 */   // Label 1929: @115327
     /*  115327 */   GIM_Try, /*On fail goto*//*Label 1930*/ GIMT_Encode4(115372), // Rule ID 51427 //
     /*  115332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115335 */     // (srem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115335 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  115338 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115342 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115347 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  115352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115354 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115357 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115370 */     GIR_RootConstrainSelectedInstOperands,
     /*  115371 */     // GIR_Coverage, 51427,
     /*  115371 */     GIR_EraseRootFromParent_Done,
     /*  115372 */   // Label 1930: @115372
     /*  115372 */   GIM_Reject,
     /*  115373 */ // Label 1928: @115373
     /*  115373 */ GIM_Reject,
     /*  115374 */ // Label 1864: @115374
     /*  115374 */ GIM_Try, /*On fail goto*//*Label 1931*/ GIMT_Encode4(115488),
     /*  115379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  115382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  115385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115397 */   GIM_Try, /*On fail goto*//*Label 1932*/ GIMT_Encode4(115442), // Rule ID 51442 //
     /*  115402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115405 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115405 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  115408 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115412 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115417 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  115422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115424 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115440 */     GIR_RootConstrainSelectedInstOperands,
     /*  115441 */     // GIR_Coverage, 51442,
     /*  115441 */     GIR_EraseRootFromParent_Done,
     /*  115442 */   // Label 1932: @115442
     /*  115442 */   GIM_Try, /*On fail goto*//*Label 1933*/ GIMT_Encode4(115487), // Rule ID 51443 //
     /*  115447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115450 */     // (srem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115450 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  115453 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115457 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115462 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  115467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115469 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115485 */     GIR_RootConstrainSelectedInstOperands,
     /*  115486 */     // GIR_Coverage, 51443,
     /*  115486 */     GIR_EraseRootFromParent_Done,
     /*  115487 */   // Label 1933: @115487
     /*  115487 */   GIM_Reject,
     /*  115488 */ // Label 1931: @115488
     /*  115488 */ GIM_Reject,
     /*  115489 */ // Label 1865: @115489
     /*  115489 */ GIM_Try, /*On fail goto*//*Label 1934*/ GIMT_Encode4(115603),
     /*  115494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  115497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  115500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  115512 */   GIM_Try, /*On fail goto*//*Label 1935*/ GIMT_Encode4(115557), // Rule ID 51430 //
     /*  115517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115520 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  115523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  115537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115555 */     GIR_RootConstrainSelectedInstOperands,
     /*  115556 */     // GIR_Coverage, 51430,
     /*  115556 */     GIR_EraseRootFromParent_Done,
     /*  115557 */   // Label 1935: @115557
     /*  115557 */   GIM_Try, /*On fail goto*//*Label 1936*/ GIMT_Encode4(115602), // Rule ID 51431 //
     /*  115562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115565 */     // (srem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  115568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  115582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115600 */     GIR_RootConstrainSelectedInstOperands,
     /*  115601 */     // GIR_Coverage, 51431,
     /*  115601 */     GIR_EraseRootFromParent_Done,
     /*  115602 */   // Label 1936: @115602
     /*  115602 */   GIM_Reject,
     /*  115603 */ // Label 1934: @115603
     /*  115603 */ GIM_Reject,
     /*  115604 */ // Label 1866: @115604
     /*  115604 */ GIM_Reject,
     /*  115605 */ // Label 6: @115605
     /*  115605 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 1961*/ GIMT_Encode4(118338),
     /*  115616 */ /*GILLT_s32*//*Label 1937*/ GIMT_Encode4(115740),
     /*  115620 */ /*GILLT_s64*//*Label 1938*/ GIMT_Encode4(115774), GIMT_Encode4(0),
     /*  115628 */ /*GILLT_nxv1s8*//*Label 1939*/ GIMT_Encode4(115808),
     /*  115632 */ /*GILLT_nxv1s16*//*Label 1940*/ GIMT_Encode4(115923),
     /*  115636 */ /*GILLT_nxv1s32*//*Label 1941*/ GIMT_Encode4(116038),
     /*  115640 */ /*GILLT_nxv1s64*//*Label 1942*/ GIMT_Encode4(116153), GIMT_Encode4(0),
     /*  115648 */ /*GILLT_nxv2s8*//*Label 1943*/ GIMT_Encode4(116268),
     /*  115652 */ /*GILLT_nxv2s16*//*Label 1944*/ GIMT_Encode4(116383),
     /*  115656 */ /*GILLT_nxv2s32*//*Label 1945*/ GIMT_Encode4(116498),
     /*  115660 */ /*GILLT_nxv2s64*//*Label 1946*/ GIMT_Encode4(116613), GIMT_Encode4(0),
     /*  115668 */ /*GILLT_nxv4s8*//*Label 1947*/ GIMT_Encode4(116728),
     /*  115672 */ /*GILLT_nxv4s16*//*Label 1948*/ GIMT_Encode4(116843),
     /*  115676 */ /*GILLT_nxv4s32*//*Label 1949*/ GIMT_Encode4(116958),
     /*  115680 */ /*GILLT_nxv4s64*//*Label 1950*/ GIMT_Encode4(117073), GIMT_Encode4(0),
     /*  115688 */ /*GILLT_nxv8s8*//*Label 1951*/ GIMT_Encode4(117188),
     /*  115692 */ /*GILLT_nxv8s16*//*Label 1952*/ GIMT_Encode4(117303),
     /*  115696 */ /*GILLT_nxv8s32*//*Label 1953*/ GIMT_Encode4(117418),
     /*  115700 */ /*GILLT_nxv8s64*//*Label 1954*/ GIMT_Encode4(117533), GIMT_Encode4(0),
     /*  115708 */ /*GILLT_nxv16s8*//*Label 1955*/ GIMT_Encode4(117648),
     /*  115712 */ /*GILLT_nxv16s16*//*Label 1956*/ GIMT_Encode4(117763),
     /*  115716 */ /*GILLT_nxv16s32*//*Label 1957*/ GIMT_Encode4(117878), GIMT_Encode4(0),
     /*  115724 */ /*GILLT_nxv32s8*//*Label 1958*/ GIMT_Encode4(117993),
     /*  115728 */ /*GILLT_nxv32s16*//*Label 1959*/ GIMT_Encode4(118108), GIMT_Encode4(0),
     /*  115736 */ /*GILLT_nxv64s8*//*Label 1960*/ GIMT_Encode4(118223),
     /*  115740 */ // Label 1937: @115740
     /*  115740 */ GIM_Try, /*On fail goto*//*Label 1962*/ GIMT_Encode4(115773), // Rule ID 312 //
     /*  115745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode1),
     /*  115748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  115751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  115754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115766 */   // (urem:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (REMU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  115766 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  115771 */   GIR_RootConstrainSelectedInstOperands,
     /*  115772 */   // GIR_Coverage, 312,
     /*  115772 */   GIR_Done,
     /*  115773 */ // Label 1962: @115773
     /*  115773 */ GIM_Reject,
     /*  115774 */ // Label 1938: @115774
     /*  115774 */ GIM_Try, /*On fail goto*//*Label 1963*/ GIMT_Encode4(115807), // Rule ID 311 //
     /*  115779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_HwMode0),
     /*  115782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  115785 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  115788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  115800 */   // (urem:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  115800 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMU),
     /*  115805 */   GIR_RootConstrainSelectedInstOperands,
     /*  115806 */   // GIR_Coverage, 311,
     /*  115806 */   GIR_Done,
     /*  115807 */ // Label 1963: @115807
     /*  115807 */ GIM_Reject,
     /*  115808 */ // Label 1939: @115808
     /*  115808 */ GIM_Try, /*On fail goto*//*Label 1964*/ GIMT_Encode4(115922),
     /*  115813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  115816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  115819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115831 */   GIM_Try, /*On fail goto*//*Label 1965*/ GIMT_Encode4(115876), // Rule ID 51294 //
     /*  115836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115839 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  115839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  115842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  115856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115874 */     GIR_RootConstrainSelectedInstOperands,
     /*  115875 */     // GIR_Coverage, 51294,
     /*  115875 */     GIR_EraseRootFromParent_Done,
     /*  115876 */   // Label 1965: @115876
     /*  115876 */   GIM_Try, /*On fail goto*//*Label 1966*/ GIMT_Encode4(115921), // Rule ID 51295 //
     /*  115881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115884 */     // (urem:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  115884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  115887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  115901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115919 */     GIR_RootConstrainSelectedInstOperands,
     /*  115920 */     // GIR_Coverage, 51295,
     /*  115920 */     GIR_EraseRootFromParent_Done,
     /*  115921 */   // Label 1966: @115921
     /*  115921 */   GIM_Reject,
     /*  115922 */ // Label 1964: @115922
     /*  115922 */ GIM_Reject,
     /*  115923 */ // Label 1940: @115923
     /*  115923 */ GIM_Try, /*On fail goto*//*Label 1967*/ GIMT_Encode4(116037),
     /*  115928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  115931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  115934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  115946 */   GIM_Try, /*On fail goto*//*Label 1968*/ GIMT_Encode4(115991), // Rule ID 51306 //
     /*  115951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  115954 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  115954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  115957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  115961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  115966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  115968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  115971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  115973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  115976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  115978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  115980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  115983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  115986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  115989 */     GIR_RootConstrainSelectedInstOperands,
     /*  115990 */     // GIR_Coverage, 51306,
     /*  115990 */     GIR_EraseRootFromParent_Done,
     /*  115991 */   // Label 1968: @115991
     /*  115991 */   GIM_Try, /*On fail goto*//*Label 1969*/ GIMT_Encode4(116036), // Rule ID 51307 //
     /*  115996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  115999 */     // (urem:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  115999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  116002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  116016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116034 */     GIR_RootConstrainSelectedInstOperands,
     /*  116035 */     // GIR_Coverage, 51307,
     /*  116035 */     GIR_EraseRootFromParent_Done,
     /*  116036 */   // Label 1969: @116036
     /*  116036 */   GIM_Reject,
     /*  116037 */ // Label 1967: @116037
     /*  116037 */ GIM_Reject,
     /*  116038 */ // Label 1941: @116038
     /*  116038 */ GIM_Try, /*On fail goto*//*Label 1970*/ GIMT_Encode4(116152),
     /*  116043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  116046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  116049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116061 */   GIM_Try, /*On fail goto*//*Label 1971*/ GIMT_Encode4(116106), // Rule ID 51314 //
     /*  116066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116069 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  116072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  116086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116104 */     GIR_RootConstrainSelectedInstOperands,
     /*  116105 */     // GIR_Coverage, 51314,
     /*  116105 */     GIR_EraseRootFromParent_Done,
     /*  116106 */   // Label 1971: @116106
     /*  116106 */   GIM_Try, /*On fail goto*//*Label 1972*/ GIMT_Encode4(116151), // Rule ID 51315 //
     /*  116111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116114 */     // (urem:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  116114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  116117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  116131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116149 */     GIR_RootConstrainSelectedInstOperands,
     /*  116150 */     // GIR_Coverage, 51315,
     /*  116150 */     GIR_EraseRootFromParent_Done,
     /*  116151 */   // Label 1972: @116151
     /*  116151 */   GIM_Reject,
     /*  116152 */ // Label 1970: @116152
     /*  116152 */ GIM_Reject,
     /*  116153 */ // Label 1942: @116153
     /*  116153 */ GIM_Try, /*On fail goto*//*Label 1973*/ GIMT_Encode4(116267),
     /*  116158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  116161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  116164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116176 */   GIM_Try, /*On fail goto*//*Label 1974*/ GIMT_Encode4(116221), // Rule ID 51330 //
     /*  116181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  116184 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  116184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  116187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  116201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116219 */     GIR_RootConstrainSelectedInstOperands,
     /*  116220 */     // GIR_Coverage, 51330,
     /*  116220 */     GIR_EraseRootFromParent_Done,
     /*  116221 */   // Label 1974: @116221
     /*  116221 */   GIM_Try, /*On fail goto*//*Label 1975*/ GIMT_Encode4(116266), // Rule ID 51331 //
     /*  116226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  116229 */     // (urem:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  116229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  116232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  116246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116264 */     GIR_RootConstrainSelectedInstOperands,
     /*  116265 */     // GIR_Coverage, 51331,
     /*  116265 */     GIR_EraseRootFromParent_Done,
     /*  116266 */   // Label 1975: @116266
     /*  116266 */   GIM_Reject,
     /*  116267 */ // Label 1973: @116267
     /*  116267 */ GIM_Reject,
     /*  116268 */ // Label 1943: @116268
     /*  116268 */ GIM_Try, /*On fail goto*//*Label 1976*/ GIMT_Encode4(116382),
     /*  116273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  116276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  116279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116291 */   GIM_Try, /*On fail goto*//*Label 1977*/ GIMT_Encode4(116336), // Rule ID 51298 //
     /*  116296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116299 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  116299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  116302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  116316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116334 */     GIR_RootConstrainSelectedInstOperands,
     /*  116335 */     // GIR_Coverage, 51298,
     /*  116335 */     GIR_EraseRootFromParent_Done,
     /*  116336 */   // Label 1977: @116336
     /*  116336 */   GIM_Try, /*On fail goto*//*Label 1978*/ GIMT_Encode4(116381), // Rule ID 51299 //
     /*  116341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116344 */     // (urem:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  116347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  116361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116379 */     GIR_RootConstrainSelectedInstOperands,
     /*  116380 */     // GIR_Coverage, 51299,
     /*  116380 */     GIR_EraseRootFromParent_Done,
     /*  116381 */   // Label 1978: @116381
     /*  116381 */   GIM_Reject,
     /*  116382 */ // Label 1976: @116382
     /*  116382 */ GIM_Reject,
     /*  116383 */ // Label 1944: @116383
     /*  116383 */ GIM_Try, /*On fail goto*//*Label 1979*/ GIMT_Encode4(116497),
     /*  116388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  116391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  116394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116406 */   GIM_Try, /*On fail goto*//*Label 1980*/ GIMT_Encode4(116451), // Rule ID 51310 //
     /*  116411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116414 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  116414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  116417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  116431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116449 */     GIR_RootConstrainSelectedInstOperands,
     /*  116450 */     // GIR_Coverage, 51310,
     /*  116450 */     GIR_EraseRootFromParent_Done,
     /*  116451 */   // Label 1980: @116451
     /*  116451 */   GIM_Try, /*On fail goto*//*Label 1981*/ GIMT_Encode4(116496), // Rule ID 51311 //
     /*  116456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116459 */     // (urem:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  116459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  116462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  116476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116494 */     GIR_RootConstrainSelectedInstOperands,
     /*  116495 */     // GIR_Coverage, 51311,
     /*  116495 */     GIR_EraseRootFromParent_Done,
     /*  116496 */   // Label 1981: @116496
     /*  116496 */   GIM_Reject,
     /*  116497 */ // Label 1979: @116497
     /*  116497 */ GIM_Reject,
     /*  116498 */ // Label 1945: @116498
     /*  116498 */ GIM_Try, /*On fail goto*//*Label 1982*/ GIMT_Encode4(116612),
     /*  116503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  116506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  116509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116521 */   GIM_Try, /*On fail goto*//*Label 1983*/ GIMT_Encode4(116566), // Rule ID 51326 //
     /*  116526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116529 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  116532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  116546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116564 */     GIR_RootConstrainSelectedInstOperands,
     /*  116565 */     // GIR_Coverage, 51326,
     /*  116565 */     GIR_EraseRootFromParent_Done,
     /*  116566 */   // Label 1983: @116566
     /*  116566 */   GIM_Try, /*On fail goto*//*Label 1984*/ GIMT_Encode4(116611), // Rule ID 51327 //
     /*  116571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116574 */     // (urem:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  116574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  116577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  116591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  116606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116609 */     GIR_RootConstrainSelectedInstOperands,
     /*  116610 */     // GIR_Coverage, 51327,
     /*  116610 */     GIR_EraseRootFromParent_Done,
     /*  116611 */   // Label 1984: @116611
     /*  116611 */   GIM_Reject,
     /*  116612 */ // Label 1982: @116612
     /*  116612 */ GIM_Reject,
     /*  116613 */ // Label 1946: @116613
     /*  116613 */ GIM_Try, /*On fail goto*//*Label 1985*/ GIMT_Encode4(116727),
     /*  116618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  116621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  116624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116636 */   GIM_Try, /*On fail goto*//*Label 1986*/ GIMT_Encode4(116681), // Rule ID 51370 //
     /*  116641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  116644 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  116644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  116647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  116661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116679 */     GIR_RootConstrainSelectedInstOperands,
     /*  116680 */     // GIR_Coverage, 51370,
     /*  116680 */     GIR_EraseRootFromParent_Done,
     /*  116681 */   // Label 1986: @116681
     /*  116681 */   GIM_Try, /*On fail goto*//*Label 1987*/ GIMT_Encode4(116726), // Rule ID 51371 //
     /*  116686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  116689 */     // (urem:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  116689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  116692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  116706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  116721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116724 */     GIR_RootConstrainSelectedInstOperands,
     /*  116725 */     // GIR_Coverage, 51371,
     /*  116725 */     GIR_EraseRootFromParent_Done,
     /*  116726 */   // Label 1987: @116726
     /*  116726 */   GIM_Reject,
     /*  116727 */ // Label 1985: @116727
     /*  116727 */ GIM_Reject,
     /*  116728 */ // Label 1947: @116728
     /*  116728 */ GIM_Try, /*On fail goto*//*Label 1988*/ GIMT_Encode4(116842),
     /*  116733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  116736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  116739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116751 */   GIM_Try, /*On fail goto*//*Label 1989*/ GIMT_Encode4(116796), // Rule ID 51302 //
     /*  116756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116759 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  116759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  116762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  116776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116794 */     GIR_RootConstrainSelectedInstOperands,
     /*  116795 */     // GIR_Coverage, 51302,
     /*  116795 */     GIR_EraseRootFromParent_Done,
     /*  116796 */   // Label 1989: @116796
     /*  116796 */   GIM_Try, /*On fail goto*//*Label 1990*/ GIMT_Encode4(116841), // Rule ID 51303 //
     /*  116801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116804 */     // (urem:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  116804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  116807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  116821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116839 */     GIR_RootConstrainSelectedInstOperands,
     /*  116840 */     // GIR_Coverage, 51303,
     /*  116840 */     GIR_EraseRootFromParent_Done,
     /*  116841 */   // Label 1990: @116841
     /*  116841 */   GIM_Reject,
     /*  116842 */ // Label 1988: @116842
     /*  116842 */ GIM_Reject,
     /*  116843 */ // Label 1948: @116843
     /*  116843 */ GIM_Try, /*On fail goto*//*Label 1991*/ GIMT_Encode4(116957),
     /*  116848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  116851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  116854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  116866 */   GIM_Try, /*On fail goto*//*Label 1992*/ GIMT_Encode4(116911), // Rule ID 51322 //
     /*  116871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116874 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  116874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  116877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  116891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116909 */     GIR_RootConstrainSelectedInstOperands,
     /*  116910 */     // GIR_Coverage, 51322,
     /*  116910 */     GIR_EraseRootFromParent_Done,
     /*  116911 */   // Label 1992: @116911
     /*  116911 */   GIM_Try, /*On fail goto*//*Label 1993*/ GIMT_Encode4(116956), // Rule ID 51323 //
     /*  116916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  116919 */     // (urem:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  116919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  116922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  116931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  116933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  116936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  116938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  116941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  116943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  116945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  116948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  116951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  116954 */     GIR_RootConstrainSelectedInstOperands,
     /*  116955 */     // GIR_Coverage, 51323,
     /*  116955 */     GIR_EraseRootFromParent_Done,
     /*  116956 */   // Label 1993: @116956
     /*  116956 */   GIM_Reject,
     /*  116957 */ // Label 1991: @116957
     /*  116957 */ GIM_Reject,
     /*  116958 */ // Label 1949: @116958
     /*  116958 */ GIM_Try, /*On fail goto*//*Label 1994*/ GIMT_Encode4(117072),
     /*  116963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  116966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  116969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  116981 */   GIM_Try, /*On fail goto*//*Label 1995*/ GIMT_Encode4(117026), // Rule ID 51358 //
     /*  116986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  116989 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  116989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  116992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  116996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  117006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117024 */     GIR_RootConstrainSelectedInstOperands,
     /*  117025 */     // GIR_Coverage, 51358,
     /*  117025 */     GIR_EraseRootFromParent_Done,
     /*  117026 */   // Label 1995: @117026
     /*  117026 */   GIM_Try, /*On fail goto*//*Label 1996*/ GIMT_Encode4(117071), // Rule ID 51359 //
     /*  117031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117034 */     // (urem:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  117037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  117051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117069 */     GIR_RootConstrainSelectedInstOperands,
     /*  117070 */     // GIR_Coverage, 51359,
     /*  117070 */     GIR_EraseRootFromParent_Done,
     /*  117071 */   // Label 1996: @117071
     /*  117071 */   GIM_Reject,
     /*  117072 */ // Label 1994: @117072
     /*  117072 */ GIM_Reject,
     /*  117073 */ // Label 1950: @117073
     /*  117073 */ GIM_Try, /*On fail goto*//*Label 1997*/ GIMT_Encode4(117187),
     /*  117078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  117081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  117084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117096 */   GIM_Try, /*On fail goto*//*Label 1998*/ GIMT_Encode4(117141), // Rule ID 51374 //
     /*  117101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117104 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  117107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  117121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117139 */     GIR_RootConstrainSelectedInstOperands,
     /*  117140 */     // GIR_Coverage, 51374,
     /*  117140 */     GIR_EraseRootFromParent_Done,
     /*  117141 */   // Label 1998: @117141
     /*  117141 */   GIM_Try, /*On fail goto*//*Label 1999*/ GIMT_Encode4(117186), // Rule ID 51375 //
     /*  117146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117149 */     // (urem:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  117152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  117166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117184 */     GIR_RootConstrainSelectedInstOperands,
     /*  117185 */     // GIR_Coverage, 51375,
     /*  117185 */     GIR_EraseRootFromParent_Done,
     /*  117186 */   // Label 1999: @117186
     /*  117186 */   GIM_Reject,
     /*  117187 */ // Label 1997: @117187
     /*  117187 */ GIM_Reject,
     /*  117188 */ // Label 1951: @117188
     /*  117188 */ GIM_Try, /*On fail goto*//*Label 2000*/ GIMT_Encode4(117302),
     /*  117193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  117196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  117199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117203 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  117211 */   GIM_Try, /*On fail goto*//*Label 2001*/ GIMT_Encode4(117256), // Rule ID 51318 //
     /*  117216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117219 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117219 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  117222 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117226 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117231 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  117236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117238 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117254 */     GIR_RootConstrainSelectedInstOperands,
     /*  117255 */     // GIR_Coverage, 51318,
     /*  117255 */     GIR_EraseRootFromParent_Done,
     /*  117256 */   // Label 2001: @117256
     /*  117256 */   GIM_Try, /*On fail goto*//*Label 2002*/ GIMT_Encode4(117301), // Rule ID 51319 //
     /*  117261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117264 */     // (urem:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117264 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  117267 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117271 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117276 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  117281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117283 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117286 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117299 */     GIR_RootConstrainSelectedInstOperands,
     /*  117300 */     // GIR_Coverage, 51319,
     /*  117300 */     GIR_EraseRootFromParent_Done,
     /*  117301 */   // Label 2002: @117301
     /*  117301 */   GIM_Reject,
     /*  117302 */ // Label 2000: @117302
     /*  117302 */ GIM_Reject,
     /*  117303 */ // Label 1952: @117303
     /*  117303 */ GIM_Try, /*On fail goto*//*Label 2003*/ GIMT_Encode4(117417),
     /*  117308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  117311 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  117314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117318 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117322 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117326 */   GIM_Try, /*On fail goto*//*Label 2004*/ GIMT_Encode4(117371), // Rule ID 51346 //
     /*  117331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117334 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  117337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  117351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117369 */     GIR_RootConstrainSelectedInstOperands,
     /*  117370 */     // GIR_Coverage, 51346,
     /*  117370 */     GIR_EraseRootFromParent_Done,
     /*  117371 */   // Label 2004: @117371
     /*  117371 */   GIM_Try, /*On fail goto*//*Label 2005*/ GIMT_Encode4(117416), // Rule ID 51347 //
     /*  117376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117379 */     // (urem:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117379 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  117382 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117386 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117391 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  117396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117398 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117401 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117414 */     GIR_RootConstrainSelectedInstOperands,
     /*  117415 */     // GIR_Coverage, 51347,
     /*  117415 */     GIR_EraseRootFromParent_Done,
     /*  117416 */   // Label 2005: @117416
     /*  117416 */   GIM_Reject,
     /*  117417 */ // Label 2003: @117417
     /*  117417 */ GIM_Reject,
     /*  117418 */ // Label 1953: @117418
     /*  117418 */ GIM_Try, /*On fail goto*//*Label 2006*/ GIMT_Encode4(117532),
     /*  117423 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  117426 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  117429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117433 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117441 */   GIM_Try, /*On fail goto*//*Label 2007*/ GIMT_Encode4(117486), // Rule ID 51362 //
     /*  117446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117449 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  117452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  117466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117484 */     GIR_RootConstrainSelectedInstOperands,
     /*  117485 */     // GIR_Coverage, 51362,
     /*  117485 */     GIR_EraseRootFromParent_Done,
     /*  117486 */   // Label 2007: @117486
     /*  117486 */   GIM_Try, /*On fail goto*//*Label 2008*/ GIMT_Encode4(117531), // Rule ID 51363 //
     /*  117491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117494 */     // (urem:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  117497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  117511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117529 */     GIR_RootConstrainSelectedInstOperands,
     /*  117530 */     // GIR_Coverage, 51363,
     /*  117530 */     GIR_EraseRootFromParent_Done,
     /*  117531 */   // Label 2008: @117531
     /*  117531 */   GIM_Reject,
     /*  117532 */ // Label 2006: @117532
     /*  117532 */ GIM_Reject,
     /*  117533 */ // Label 1954: @117533
     /*  117533 */ GIM_Try, /*On fail goto*//*Label 2009*/ GIMT_Encode4(117647),
     /*  117538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  117541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  117544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117556 */   GIM_Try, /*On fail goto*//*Label 2010*/ GIMT_Encode4(117601), // Rule ID 51378 //
     /*  117561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  117564 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  117564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  117567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  117581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117599 */     GIR_RootConstrainSelectedInstOperands,
     /*  117600 */     // GIR_Coverage, 51378,
     /*  117600 */     GIR_EraseRootFromParent_Done,
     /*  117601 */   // Label 2010: @117601
     /*  117601 */   GIM_Try, /*On fail goto*//*Label 2011*/ GIMT_Encode4(117646), // Rule ID 51379 //
     /*  117606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  117609 */     // (urem:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  117609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  117612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  117626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  117641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117644 */     GIR_RootConstrainSelectedInstOperands,
     /*  117645 */     // GIR_Coverage, 51379,
     /*  117645 */     GIR_EraseRootFromParent_Done,
     /*  117646 */   // Label 2011: @117646
     /*  117646 */   GIM_Reject,
     /*  117647 */ // Label 2009: @117647
     /*  117647 */ GIM_Reject,
     /*  117648 */ // Label 1955: @117648
     /*  117648 */ GIM_Try, /*On fail goto*//*Label 2012*/ GIMT_Encode4(117762),
     /*  117653 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  117656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  117659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117667 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  117671 */   GIM_Try, /*On fail goto*//*Label 2013*/ GIMT_Encode4(117716), // Rule ID 51334 //
     /*  117676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117679 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  117679 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  117682 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117686 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117691 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  117696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117698 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117714 */     GIR_RootConstrainSelectedInstOperands,
     /*  117715 */     // GIR_Coverage, 51334,
     /*  117715 */     GIR_EraseRootFromParent_Done,
     /*  117716 */   // Label 2013: @117716
     /*  117716 */   GIM_Try, /*On fail goto*//*Label 2014*/ GIMT_Encode4(117761), // Rule ID 51335 //
     /*  117721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117724 */     // (urem:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  117724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  117727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  117741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117759 */     GIR_RootConstrainSelectedInstOperands,
     /*  117760 */     // GIR_Coverage, 51335,
     /*  117760 */     GIR_EraseRootFromParent_Done,
     /*  117761 */   // Label 2014: @117761
     /*  117761 */   GIM_Reject,
     /*  117762 */ // Label 2012: @117762
     /*  117762 */ GIM_Reject,
     /*  117763 */ // Label 1956: @117763
     /*  117763 */ GIM_Try, /*On fail goto*//*Label 2015*/ GIMT_Encode4(117877),
     /*  117768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  117771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  117774 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117778 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  117786 */   GIM_Try, /*On fail goto*//*Label 2016*/ GIMT_Encode4(117831), // Rule ID 51350 //
     /*  117791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117794 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  117794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  117797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  117811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117829 */     GIR_RootConstrainSelectedInstOperands,
     /*  117830 */     // GIR_Coverage, 51350,
     /*  117830 */     GIR_EraseRootFromParent_Done,
     /*  117831 */   // Label 2016: @117831
     /*  117831 */   GIM_Try, /*On fail goto*//*Label 2017*/ GIMT_Encode4(117876), // Rule ID 51351 //
     /*  117836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117839 */     // (urem:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  117839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  117842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  117856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  117871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117874 */     GIR_RootConstrainSelectedInstOperands,
     /*  117875 */     // GIR_Coverage, 51351,
     /*  117875 */     GIR_EraseRootFromParent_Done,
     /*  117876 */   // Label 2017: @117876
     /*  117876 */   GIM_Reject,
     /*  117877 */ // Label 2015: @117877
     /*  117877 */ GIM_Reject,
     /*  117878 */ // Label 1957: @117878
     /*  117878 */ GIM_Try, /*On fail goto*//*Label 2018*/ GIMT_Encode4(117992),
     /*  117883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  117886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  117889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117893 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  117901 */   GIM_Try, /*On fail goto*//*Label 2019*/ GIMT_Encode4(117946), // Rule ID 51366 //
     /*  117906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  117909 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  117909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  117912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  117926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117944 */     GIR_RootConstrainSelectedInstOperands,
     /*  117945 */     // GIR_Coverage, 51366,
     /*  117945 */     GIR_EraseRootFromParent_Done,
     /*  117946 */   // Label 2019: @117946
     /*  117946 */   GIM_Try, /*On fail goto*//*Label 2020*/ GIMT_Encode4(117991), // Rule ID 51367 //
     /*  117951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  117954 */     // (urem:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  117954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  117957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  117961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  117966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  117968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  117971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  117973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  117976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  117978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  117980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  117983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  117986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  117989 */     GIR_RootConstrainSelectedInstOperands,
     /*  117990 */     // GIR_Coverage, 51367,
     /*  117990 */     GIR_EraseRootFromParent_Done,
     /*  117991 */   // Label 2020: @117991
     /*  117991 */   GIM_Reject,
     /*  117992 */ // Label 2018: @117992
     /*  117992 */ GIM_Reject,
     /*  117993 */ // Label 1958: @117993
     /*  117993 */ GIM_Try, /*On fail goto*//*Label 2021*/ GIMT_Encode4(118107),
     /*  117998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  118001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  118004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  118016 */   GIM_Try, /*On fail goto*//*Label 2022*/ GIMT_Encode4(118061), // Rule ID 51338 //
     /*  118021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118024 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118024 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  118027 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118031 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118036 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  118041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118043 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118059 */     GIR_RootConstrainSelectedInstOperands,
     /*  118060 */     // GIR_Coverage, 51338,
     /*  118060 */     GIR_EraseRootFromParent_Done,
     /*  118061 */   // Label 2022: @118061
     /*  118061 */   GIM_Try, /*On fail goto*//*Label 2023*/ GIMT_Encode4(118106), // Rule ID 51339 //
     /*  118066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118069 */     // (urem:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  118072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  118086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118104 */     GIR_RootConstrainSelectedInstOperands,
     /*  118105 */     // GIR_Coverage, 51339,
     /*  118105 */     GIR_EraseRootFromParent_Done,
     /*  118106 */   // Label 2023: @118106
     /*  118106 */   GIM_Reject,
     /*  118107 */ // Label 2021: @118107
     /*  118107 */ GIM_Reject,
     /*  118108 */ // Label 1959: @118108
     /*  118108 */ GIM_Try, /*On fail goto*//*Label 2024*/ GIMT_Encode4(118222),
     /*  118113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  118116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  118119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118131 */   GIM_Try, /*On fail goto*//*Label 2025*/ GIMT_Encode4(118176), // Rule ID 51354 //
     /*  118136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118139 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  118139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  118142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  118156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118174 */     GIR_RootConstrainSelectedInstOperands,
     /*  118175 */     // GIR_Coverage, 51354,
     /*  118175 */     GIR_EraseRootFromParent_Done,
     /*  118176 */   // Label 2025: @118176
     /*  118176 */   GIM_Try, /*On fail goto*//*Label 2026*/ GIMT_Encode4(118221), // Rule ID 51355 //
     /*  118181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118184 */     // (urem:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  118184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  118187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  118201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  118216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118219 */     GIR_RootConstrainSelectedInstOperands,
     /*  118220 */     // GIR_Coverage, 51355,
     /*  118220 */     GIR_EraseRootFromParent_Done,
     /*  118221 */   // Label 2026: @118221
     /*  118221 */   GIM_Reject,
     /*  118222 */ // Label 2024: @118222
     /*  118222 */ GIM_Reject,
     /*  118223 */ // Label 1960: @118223
     /*  118223 */ GIM_Try, /*On fail goto*//*Label 2027*/ GIMT_Encode4(118337),
     /*  118228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  118231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  118234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  118246 */   GIM_Try, /*On fail goto*//*Label 2028*/ GIMT_Encode4(118291), // Rule ID 51342 //
     /*  118251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  118254 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  118254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  118257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  118271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118289 */     GIR_RootConstrainSelectedInstOperands,
     /*  118290 */     // GIR_Coverage, 51342,
     /*  118290 */     GIR_EraseRootFromParent_Done,
     /*  118291 */   // Label 2028: @118291
     /*  118291 */   GIM_Try, /*On fail goto*//*Label 2029*/ GIMT_Encode4(118336), // Rule ID 51343 //
     /*  118296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  118299 */     // (urem:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  118299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  118302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  118306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  118311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  118313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  118316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  118321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  118325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  118328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  118334 */     GIR_RootConstrainSelectedInstOperands,
     /*  118335 */     // GIR_Coverage, 51343,
     /*  118335 */     GIR_EraseRootFromParent_Done,
     /*  118336 */   // Label 2029: @118336
     /*  118336 */   GIM_Reject,
     /*  118337 */ // Label 2027: @118337
     /*  118337 */ GIM_Reject,
     /*  118338 */ // Label 1961: @118338
     /*  118338 */ GIM_Reject,
     /*  118339 */ // Label 7: @118339
     /*  118339 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2061*/ GIMT_Encode4(128296),
     /*  118350 */ /*GILLT_s32*//*Label 2030*/ GIMT_Encode4(118474),
     /*  118354 */ /*GILLT_s64*//*Label 2031*/ GIMT_Encode4(120168),
     /*  118358 */ /*GILLT_nxv1s1*//*Label 2032*/ GIMT_Encode4(121489),
     /*  118362 */ /*GILLT_nxv1s8*//*Label 2033*/ GIMT_Encode4(122100),
     /*  118366 */ /*GILLT_nxv1s16*//*Label 2034*/ GIMT_Encode4(122215),
     /*  118370 */ /*GILLT_nxv1s32*//*Label 2035*/ GIMT_Encode4(122330),
     /*  118374 */ /*GILLT_nxv1s64*//*Label 2036*/ GIMT_Encode4(122445),
     /*  118378 */ /*GILLT_nxv2s1*//*Label 2037*/ GIMT_Encode4(122560),
     /*  118382 */ /*GILLT_nxv2s8*//*Label 2038*/ GIMT_Encode4(123171),
     /*  118386 */ /*GILLT_nxv2s16*//*Label 2039*/ GIMT_Encode4(123286),
     /*  118390 */ /*GILLT_nxv2s32*//*Label 2040*/ GIMT_Encode4(123401),
     /*  118394 */ /*GILLT_nxv2s64*//*Label 2041*/ GIMT_Encode4(123516),
     /*  118398 */ /*GILLT_nxv4s1*//*Label 2042*/ GIMT_Encode4(123631),
     /*  118402 */ /*GILLT_nxv4s8*//*Label 2043*/ GIMT_Encode4(124242),
     /*  118406 */ /*GILLT_nxv4s16*//*Label 2044*/ GIMT_Encode4(124357),
     /*  118410 */ /*GILLT_nxv4s32*//*Label 2045*/ GIMT_Encode4(124472),
     /*  118414 */ /*GILLT_nxv4s64*//*Label 2046*/ GIMT_Encode4(124587),
     /*  118418 */ /*GILLT_nxv8s1*//*Label 2047*/ GIMT_Encode4(124702),
     /*  118422 */ /*GILLT_nxv8s8*//*Label 2048*/ GIMT_Encode4(125313),
     /*  118426 */ /*GILLT_nxv8s16*//*Label 2049*/ GIMT_Encode4(125428),
     /*  118430 */ /*GILLT_nxv8s32*//*Label 2050*/ GIMT_Encode4(125543),
     /*  118434 */ /*GILLT_nxv8s64*//*Label 2051*/ GIMT_Encode4(125658),
     /*  118438 */ /*GILLT_nxv16s1*//*Label 2052*/ GIMT_Encode4(125773),
     /*  118442 */ /*GILLT_nxv16s8*//*Label 2053*/ GIMT_Encode4(126384),
     /*  118446 */ /*GILLT_nxv16s16*//*Label 2054*/ GIMT_Encode4(126499),
     /*  118450 */ /*GILLT_nxv16s32*//*Label 2055*/ GIMT_Encode4(126614),
     /*  118454 */ /*GILLT_nxv32s1*//*Label 2056*/ GIMT_Encode4(126729),
     /*  118458 */ /*GILLT_nxv32s8*//*Label 2057*/ GIMT_Encode4(127340),
     /*  118462 */ /*GILLT_nxv32s16*//*Label 2058*/ GIMT_Encode4(127455),
     /*  118466 */ /*GILLT_nxv64s1*//*Label 2059*/ GIMT_Encode4(127570),
     /*  118470 */ /*GILLT_nxv64s8*//*Label 2060*/ GIMT_Encode4(128181),
     /*  118474 */ // Label 2030: @118474
     /*  118474 */ GIM_Try, /*On fail goto*//*Label 2062*/ GIMT_Encode4(120167),
     /*  118479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  118482 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  118485 */   GIM_Try, /*On fail goto*//*Label 2063*/ GIMT_Encode4(118574), // Rule ID 65467 //
     /*  118490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  118493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  118505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118509 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118525 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118529 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118534 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  118538 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  118549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118551 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  118558 */     // (and:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] })), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  118561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  118568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  118572 */     GIR_RootConstrainSelectedInstOperands,
     /*  118573 */     // GIR_Coverage, 65467,
     /*  118573 */     GIR_EraseRootFromParent_Done,
     /*  118574 */   // Label 2063: @118574
     /*  118574 */   GIM_Try, /*On fail goto*//*Label 2064*/ GIMT_Encode4(118663), // Rule ID 2540 //
     /*  118579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  118582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  118594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118598 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118602 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118606 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118610 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118614 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118618 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118623 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  118627 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  118638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118640 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  118647 */     // (and:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1)), 65535:{ *:[i32] })  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  118650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  118657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  118661 */     GIR_RootConstrainSelectedInstOperands,
     /*  118662 */     // GIR_Coverage, 2540,
     /*  118662 */     GIR_EraseRootFromParent_Done,
     /*  118663 */   // Label 2064: @118663
     /*  118663 */   GIM_Try, /*On fail goto*//*Label 2065*/ GIMT_Encode4(118742), // Rule ID 2467 //
     /*  118668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118703 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118707 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  118711 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  118715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118719 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118721 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118728 */     // (and:{ *:[i32] } (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  118731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  118735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  118740 */     GIR_RootConstrainSelectedInstOperands,
     /*  118741 */     // GIR_Coverage, 2467,
     /*  118741 */     GIR_EraseRootFromParent_Done,
     /*  118742 */   // Label 2065: @118742
     /*  118742 */   GIM_Try, /*On fail goto*//*Label 2066*/ GIMT_Encode4(118821), // Rule ID 65455 //
     /*  118747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  118762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  118766 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118770 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118774 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  118778 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  118782 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  118786 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  118790 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  118794 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  118798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118800 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118807 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] }))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  118810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  118814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  118819 */     GIR_RootConstrainSelectedInstOperands,
     /*  118820 */     // GIR_Coverage, 65455,
     /*  118820 */     GIR_EraseRootFromParent_Done,
     /*  118821 */   // Label 2066: @118821
     /*  118821 */   GIM_Try, /*On fail goto*//*Label 2067*/ GIMT_Encode4(118886), // Rule ID 2487 //
     /*  118826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118845 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118854 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118858 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  118862 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  118866 */     // MIs[2] Operand 1
     /*  118866 */     // No operand predicates
     /*  118866 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118870 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118872 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (BEXTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  118872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  118875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  118881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  118884 */     GIR_RootConstrainSelectedInstOperands,
     /*  118885 */     // GIR_Coverage, 2487,
     /*  118885 */     GIR_EraseRootFromParent_Done,
     /*  118886 */   // Label 2067: @118886
     /*  118886 */   GIM_Try, /*On fail goto*//*Label 2068*/ GIMT_Encode4(118951), // Rule ID 62571 //
     /*  118891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode1),
     /*  118894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118906 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118910 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118914 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118919 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  118923 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  118927 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  118931 */     // MIs[2] Operand 1
     /*  118931 */     // No operand predicates
     /*  118931 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118935 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  118937 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i32] })  =>  (TH_TST:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  118937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  118940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  118942 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  118946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  118949 */     GIR_RootConstrainSelectedInstOperands,
     /*  118950 */     // GIR_Coverage, 62571,
     /*  118950 */     GIR_EraseRootFromParent_Done,
     /*  118951 */   // Label 2068: @118951
     /*  118951 */   GIM_Try, /*On fail goto*//*Label 2069*/ GIMT_Encode4(119013), // Rule ID 2475 //
     /*  118956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  118959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  118967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  118971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  118975 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  118979 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  118984 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  118988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  118990 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  118997 */     // (and:{ *:[i32] } (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), 1:{ *:[i32] })  =>  (BEXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  118997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  119000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  119006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  119011 */     GIR_RootConstrainSelectedInstOperands,
     /*  119012 */     // GIR_Coverage, 2475,
     /*  119012 */     GIR_EraseRootFromParent_Done,
     /*  119013 */   // Label 2069: @119013
     /*  119013 */   GIM_Try, /*On fail goto*//*Label 2070*/ GIMT_Encode4(119069), // Rule ID 2469 //
     /*  119018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  119033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119037 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119041 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  119045 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119056 */     // (and:{ *:[i32] } (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), GPR:{ *:[i32] }:$rs1)  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119067 */     GIR_RootConstrainSelectedInstOperands,
     /*  119068 */     // GIR_Coverage, 2469,
     /*  119068 */     GIR_EraseRootFromParent_Done,
     /*  119069 */   // Label 2070: @119069
     /*  119069 */   GIM_Try, /*On fail goto*//*Label 2071*/ GIMT_Encode4(119125), // Rule ID 65441 //
     /*  119074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  119077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  119085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119089 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119093 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119097 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119102 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119112 */     // (and:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  119115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  119119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119123 */     GIR_RootConstrainSelectedInstOperands,
     /*  119124 */     // GIR_Coverage, 65441,
     /*  119124 */     GIR_EraseRootFromParent_Done,
     /*  119125 */   // Label 2071: @119125
     /*  119125 */   GIM_Try, /*On fail goto*//*Label 2072*/ GIMT_Encode4(119181), // Rule ID 65457 //
     /*  119130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  119133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  119149 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119153 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119157 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  119161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119168 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (rotl:{ *:[i32] } -2:{ *:[i32] }, GPR:{ *:[i32] }:$rs2))  =>  (BCLR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  119171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119175 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  119179 */     GIR_RootConstrainSelectedInstOperands,
     /*  119180 */     // GIR_Coverage, 65457,
     /*  119180 */     GIR_EraseRootFromParent_Done,
     /*  119181 */   // Label 2072: @119181
     /*  119181 */   GIM_Try, /*On fail goto*//*Label 2073*/ GIMT_Encode4(119237), // Rule ID 2443 //
     /*  119186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  119189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  119205 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  119209 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  119213 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119218 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  119222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119224 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ANDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  119224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  119227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  119235 */     GIR_RootConstrainSelectedInstOperands,
     /*  119236 */     // GIR_Coverage, 2443,
     /*  119236 */     GIR_EraseRootFromParent_Done,
     /*  119237 */   // Label 2073: @119237
     /*  119237 */   GIM_Try, /*On fail goto*//*Label 2074*/ GIMT_Encode4(119273), // Rule ID 64472 //
     /*  119242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  119245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119253 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119264 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 65535:{ *:[i32] })  =>  (CV_EXTHZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  119264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  119267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119271 */     GIR_RootConstrainSelectedInstOperands,
     /*  119272 */     // GIR_Coverage, 64472,
     /*  119272 */     GIR_EraseRootFromParent_Done,
     /*  119273 */   // Label 2074: @119273
     /*  119273 */   GIM_Try, /*On fail goto*//*Label 2075*/ GIMT_Encode4(119309), // Rule ID 64474 //
     /*  119278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  119281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119289 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  119300 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 255:{ *:[i32] })  =>  (CV_EXTBZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  119300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  119303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119307 */     GIR_RootConstrainSelectedInstOperands,
     /*  119308 */     // GIR_Coverage, 64474,
     /*  119308 */     GIR_EraseRootFromParent_Done,
     /*  119309 */   // Label 2075: @119309
     /*  119309 */   GIM_Try, /*On fail goto*//*Label 2076*/ GIMT_Encode4(119345), // Rule ID 2551 //
     /*  119314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /*  119317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119325 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119336 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  119336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  119339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119343 */     GIR_RootConstrainSelectedInstOperands,
     /*  119344 */     // GIR_Coverage, 2551,
     /*  119344 */     GIR_EraseRootFromParent_Done,
     /*  119345 */   // Label 2076: @119345
     /*  119345 */   GIM_Try, /*On fail goto*//*Label 2077*/ GIMT_Encode4(119381), // Rule ID 2552 //
     /*  119350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /*  119353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119361 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119372 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs)
     /*  119372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /*  119375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119379 */     GIR_RootConstrainSelectedInstOperands,
     /*  119380 */     // GIR_Coverage, 2552,
     /*  119380 */     GIR_EraseRootFromParent_Done,
     /*  119381 */   // Label 2077: @119381
     /*  119381 */   GIM_Try, /*On fail goto*//*Label 2078*/ GIMT_Encode4(119423), // Rule ID 2554 //
     /*  119386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /*  119389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119397 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119408 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i64] })
     /*  119408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  119411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119415 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  119421 */     GIR_RootConstrainSelectedInstOperands,
     /*  119422 */     // GIR_Coverage, 2554,
     /*  119422 */     GIR_EraseRootFromParent_Done,
     /*  119423 */   // Label 2078: @119423
     /*  119423 */   GIM_Try, /*On fail goto*//*Label 2079*/ GIMT_Encode4(119465), // Rule ID 2555 //
     /*  119428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /*  119431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119439 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  119450 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, 65535:{ *:[i32] })  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs, X0:{ *:[i32] })
     /*  119450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  119453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119457 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  119463 */     GIR_RootConstrainSelectedInstOperands,
     /*  119464 */     // GIR_Coverage, 2555,
     /*  119464 */     GIR_EraseRootFromParent_Done,
     /*  119465 */   // Label 2079: @119465
     /*  119465 */   GIM_Try, /*On fail goto*//*Label 2080*/ GIMT_Encode4(119500), // Rule ID 64622 //
     /*  119470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119481 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /*  119485 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 63:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  119485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119498 */     GIR_RootConstrainSelectedInstOperands,
     /*  119499 */     // GIR_Coverage, 64622,
     /*  119499 */     GIR_EraseRootFromParent_Done,
     /*  119500 */   // Label 2080: @119500
     /*  119500 */   GIM_Try, /*On fail goto*//*Label 2081*/ GIMT_Encode4(119535), // Rule ID 64623 //
     /*  119505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119516 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 63,
     /*  119520 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 63:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  119520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  119530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119533 */     GIR_RootConstrainSelectedInstOperands,
     /*  119534 */     // GIR_Coverage, 64623,
     /*  119534 */     GIR_EraseRootFromParent_Done,
     /*  119535 */   // Label 2081: @119535
     /*  119535 */   GIM_Try, /*On fail goto*//*Label 2082*/ GIMT_Encode4(119570), // Rule ID 64624 //
     /*  119540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119551 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 127,
     /*  119555 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 127:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 7:{ *:[i64] }, 0:{ *:[i64] })
     /*  119555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  119565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119568 */     GIR_RootConstrainSelectedInstOperands,
     /*  119569 */     // GIR_Coverage, 64624,
     /*  119569 */     GIR_EraseRootFromParent_Done,
     /*  119570 */   // Label 2082: @119570
     /*  119570 */   GIM_Try, /*On fail goto*//*Label 2083*/ GIMT_Encode4(119605), // Rule ID 64625 //
     /*  119575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119582 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119586 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 127,
     /*  119590 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 127:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 7:{ *:[i32] }, 0:{ *:[i32] })
     /*  119590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  119600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119603 */     GIR_RootConstrainSelectedInstOperands,
     /*  119604 */     // GIR_Coverage, 64625,
     /*  119604 */     GIR_EraseRootFromParent_Done,
     /*  119605 */   // Label 2083: @119605
     /*  119605 */   GIM_Try, /*On fail goto*//*Label 2084*/ GIMT_Encode4(119647), // Rule ID 64626 //
     /*  119610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119621 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  119632 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 255:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 8:{ *:[i64] }, 0:{ *:[i64] })
     /*  119632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  119642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119645 */     GIR_RootConstrainSelectedInstOperands,
     /*  119646 */     // GIR_Coverage, 64626,
     /*  119646 */     GIR_EraseRootFromParent_Done,
     /*  119647 */   // Label 2084: @119647
     /*  119647 */   GIM_Try, /*On fail goto*//*Label 2085*/ GIMT_Encode4(119689), // Rule ID 64627 //
     /*  119652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119663 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  119674 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 255:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 8:{ *:[i32] }, 0:{ *:[i32] })
     /*  119674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /*  119684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119687 */     GIR_RootConstrainSelectedInstOperands,
     /*  119688 */     // GIR_Coverage, 64627,
     /*  119688 */     GIR_EraseRootFromParent_Done,
     /*  119689 */   // Label 2085: @119689
     /*  119689 */   GIM_Try, /*On fail goto*//*Label 2086*/ GIMT_Encode4(119731), // Rule ID 64628 //
     /*  119694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119705 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(511),
     /*  119716 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 511:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 9:{ *:[i64] }, 0:{ *:[i64] })
     /*  119716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /*  119726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119729 */     GIR_RootConstrainSelectedInstOperands,
     /*  119730 */     // GIR_Coverage, 64628,
     /*  119730 */     GIR_EraseRootFromParent_Done,
     /*  119731 */   // Label 2086: @119731
     /*  119731 */   GIM_Try, /*On fail goto*//*Label 2087*/ GIMT_Encode4(119773), // Rule ID 64629 //
     /*  119736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119747 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(511),
     /*  119758 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 511:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 9:{ *:[i32] }, 0:{ *:[i32] })
     /*  119758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/9,
     /*  119768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119771 */     GIR_RootConstrainSelectedInstOperands,
     /*  119772 */     // GIR_Coverage, 64629,
     /*  119772 */     GIR_EraseRootFromParent_Done,
     /*  119773 */   // Label 2087: @119773
     /*  119773 */   GIM_Try, /*On fail goto*//*Label 2088*/ GIMT_Encode4(119815), // Rule ID 64630 //
     /*  119778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119789 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1023),
     /*  119800 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 1023:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 10:{ *:[i64] }, 0:{ *:[i64] })
     /*  119800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/10,
     /*  119810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119813 */     GIR_RootConstrainSelectedInstOperands,
     /*  119814 */     // GIR_Coverage, 64630,
     /*  119814 */     GIR_EraseRootFromParent_Done,
     /*  119815 */   // Label 2088: @119815
     /*  119815 */   GIM_Try, /*On fail goto*//*Label 2089*/ GIMT_Encode4(119857), // Rule ID 64631 //
     /*  119820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119831 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1023),
     /*  119842 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 1023:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 10:{ *:[i32] }, 0:{ *:[i32] })
     /*  119842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/10,
     /*  119852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119855 */     GIR_RootConstrainSelectedInstOperands,
     /*  119856 */     // GIR_Coverage, 64631,
     /*  119856 */     GIR_EraseRootFromParent_Done,
     /*  119857 */   // Label 2089: @119857
     /*  119857 */   GIM_Try, /*On fail goto*//*Label 2090*/ GIMT_Encode4(119899), // Rule ID 64632 //
     /*  119862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /*  119865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119873 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2047),
     /*  119884 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 2047:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 11:{ *:[i64] }, 0:{ *:[i64] })
     /*  119884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /*  119894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119897 */     GIR_RootConstrainSelectedInstOperands,
     /*  119898 */     // GIR_Coverage, 64632,
     /*  119898 */     GIR_EraseRootFromParent_Done,
     /*  119899 */   // Label 2090: @119899
     /*  119899 */   GIM_Try, /*On fail goto*//*Label 2091*/ GIMT_Encode4(119941), // Rule ID 64633 //
     /*  119904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /*  119907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  119915 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(2047),
     /*  119926 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 2047:{ *:[i32] })  =>  (QC_EXTU:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs, 11:{ *:[i32] }, 0:{ *:[i32] })
     /*  119926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXTU),
     /*  119929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  119933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/11,
     /*  119936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  119939 */     GIR_RootConstrainSelectedInstOperands,
     /*  119940 */     // GIR_Coverage, 64633,
     /*  119940 */     GIR_EraseRootFromParent_Done,
     /*  119941 */   // Label 2091: @119941
     /*  119941 */   GIM_Try, /*On fail goto*//*Label 2092*/ GIMT_Encode4(119983), // Rule ID 91 //
     /*  119946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  119949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  119961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  119965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  119969 */     // MIs[1] Operand 1
     /*  119969 */     // No operand predicates
     /*  119969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  119971 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  119971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  119974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  119976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  119978 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  119981 */     GIR_RootConstrainSelectedInstOperands,
     /*  119982 */     // GIR_Coverage, 91,
     /*  119982 */     GIR_EraseRootFromParent_Done,
     /*  119983 */   // Label 2092: @119983
     /*  119983 */   GIM_Try, /*On fail goto*//*Label 2093*/ GIMT_Encode4(120055), // Rule ID 109 //
     /*  119988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  119991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  119999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120007 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  120011 */     // MIs[1] Operand 1
     /*  120011 */     // No operand predicates
     /*  120011 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9923),
     /*  120015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120017 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs, (imm:{ *:[i32] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9923>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } ?:{ *:[i32] }:$rs, (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask)), (XLenSubTrailingOnes:{ *:[i32] } (imm:{ *:[i32] }):$mask))
     /*  120017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  120020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120029 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  120033 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  120038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  120043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  120048 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  120053 */     GIR_RootConstrainSelectedInstOperands,
     /*  120054 */     // GIR_Coverage, 109,
     /*  120054 */     GIR_EraseRootFromParent_Done,
     /*  120055 */   // Label 2093: @120055
     /*  120055 */   GIM_Try, /*On fail goto*//*Label 2094*/ GIMT_Encode4(120097), // Rule ID 64525 //
     /*  120060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  120063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  120083 */     // MIs[1] Operand 1
     /*  120083 */     // No operand predicates
     /*  120083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120085 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ANDAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  120085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDAI),
     /*  120088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  120090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  120095 */     GIR_RootConstrainSelectedInstOperands,
     /*  120096 */     // GIR_Coverage, 64525,
     /*  120096 */     GIR_EraseRootFromParent_Done,
     /*  120097 */   // Label 2094: @120097
     /*  120097 */   GIM_Try, /*On fail goto*//*Label 2095*/ GIMT_Encode4(120139), // Rule ID 64529 //
     /*  120102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  120105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  120113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  120125 */     // MIs[1] Operand 1
     /*  120125 */     // No operand predicates
     /*  120125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120127 */     // (and:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ANDI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  120127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ANDI),
     /*  120130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  120137 */     GIR_RootConstrainSelectedInstOperands,
     /*  120138 */     // GIR_Coverage, 64529,
     /*  120138 */     GIR_EraseRootFromParent_Done,
     /*  120139 */   // Label 2095: @120139
     /*  120139 */   GIM_Try, /*On fail goto*//*Label 2096*/ GIMT_Encode4(120166), // Rule ID 89 //
     /*  120144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  120147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120159 */     // (and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (AND:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  120159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  120164 */     GIR_RootConstrainSelectedInstOperands,
     /*  120165 */     // GIR_Coverage, 89,
     /*  120165 */     GIR_Done,
     /*  120166 */   // Label 2096: @120166
     /*  120166 */   GIM_Reject,
     /*  120167 */ // Label 2062: @120167
     /*  120167 */ GIM_Reject,
     /*  120168 */ // Label 2031: @120168
     /*  120168 */ GIM_Try, /*On fail goto*//*Label 2097*/ GIMT_Encode4(121488),
     /*  120173 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  120176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  120179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120183 */   GIM_Try, /*On fail goto*//*Label 2098*/ GIMT_Encode4(120268), // Rule ID 65466 //
     /*  120188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  120191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  120199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  120215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120219 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  120223 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120228 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  120232 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120245 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  120252 */     // (and:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] })), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  120255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  120262 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  120266 */     GIR_RootConstrainSelectedInstOperands,
     /*  120267 */     // GIR_Coverage, 65466,
     /*  120267 */     GIR_EraseRootFromParent_Done,
     /*  120268 */   // Label 2098: @120268
     /*  120268 */   GIM_Try, /*On fail goto*//*Label 2099*/ GIMT_Encode4(120353), // Rule ID 2539 //
     /*  120273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  120276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  120284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120288 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120292 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120296 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  120300 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120304 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  120308 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120313 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  120317 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120328 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120330 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  120337 */     // (and:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1)), 65535:{ *:[i64] })  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  120340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  120347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  120351 */     GIR_RootConstrainSelectedInstOperands,
     /*  120352 */     // GIR_Coverage, 2539,
     /*  120352 */     GIR_EraseRootFromParent_Done,
     /*  120353 */   // Label 2099: @120353
     /*  120353 */   GIM_Try, /*On fail goto*//*Label 2100*/ GIMT_Encode4(120428), // Rule ID 2466 //
     /*  120358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120369 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120373 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120377 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120381 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  120385 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120389 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  120393 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  120397 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120405 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120407 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120414 */     // (and:{ *:[i64] } (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120426 */     GIR_RootConstrainSelectedInstOperands,
     /*  120427 */     // GIR_Coverage, 2466,
     /*  120427 */     GIR_EraseRootFromParent_Done,
     /*  120428 */   // Label 2100: @120428
     /*  120428 */   GIM_Try, /*On fail goto*//*Label 2101*/ GIMT_Encode4(120503), // Rule ID 65454 //
     /*  120433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120448 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120452 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120456 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  120460 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  120464 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  120468 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  120472 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/1, 1,
     /*  120476 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120480 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120482 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120489 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] }))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120501 */     GIR_RootConstrainSelectedInstOperands,
     /*  120502 */     // GIR_Coverage, 65454,
     /*  120502 */     GIR_EraseRootFromParent_Done,
     /*  120503 */   // Label 2101: @120503
     /*  120503 */   GIM_Try, /*On fail goto*//*Label 2102*/ GIMT_Encode4(120564), // Rule ID 2486 //
     /*  120508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120519 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120523 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120527 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120532 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120536 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120540 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  120544 */     // MIs[2] Operand 1
     /*  120544 */     // No operand predicates
     /*  120544 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120548 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120550 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (BEXTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  120550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXTI),
     /*  120553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120555 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  120562 */     GIR_RootConstrainSelectedInstOperands,
     /*  120563 */     // GIR_Coverage, 2486,
     /*  120563 */     GIR_EraseRootFromParent_Done,
     /*  120564 */   // Label 2102: @120564
     /*  120564 */   GIM_Try, /*On fail goto*//*Label 2103*/ GIMT_Encode4(120625), // Rule ID 62570 //
     /*  120569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBs_HwMode0),
     /*  120572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120580 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120584 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120593 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  120597 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  120601 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /*  120605 */     // MIs[2] Operand 1
     /*  120605 */     // No operand predicates
     /*  120605 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120609 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  120611 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt), 1:{ *:[i64] })  =>  (TH_TST:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)
     /*  120611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_TST),
     /*  120614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120616 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120620 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /*  120623 */     GIR_RootConstrainSelectedInstOperands,
     /*  120624 */     // GIR_Coverage, 62570,
     /*  120624 */     GIR_EraseRootFromParent_Done,
     /*  120625 */   // Label 2103: @120625
     /*  120625 */   GIM_Try, /*On fail goto*//*Label 2104*/ GIMT_Encode4(120683), // Rule ID 2474 //
     /*  120630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_LSHR),
     /*  120641 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120645 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120654 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 1,
     /*  120658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120660 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  120667 */     // (and:{ *:[i64] } (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), 1:{ *:[i64] })  =>  (BEXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BEXT),
     /*  120670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  120676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  120681 */     GIR_RootConstrainSelectedInstOperands,
     /*  120682 */     // GIR_Coverage, 2474,
     /*  120682 */     GIR_EraseRootFromParent_Done,
     /*  120683 */   // Label 2104: @120683
     /*  120683 */   GIM_Try, /*On fail goto*//*Label 2105*/ GIMT_Encode4(120735), // Rule ID 2468 //
     /*  120688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  120699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120707 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  120711 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120722 */     // (and:{ *:[i64] } (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), GPR:{ *:[i64] }:$rs1)  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120729 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120733 */     GIR_RootConstrainSelectedInstOperands,
     /*  120734 */     // GIR_Coverage, 2468,
     /*  120734 */     GIR_EraseRootFromParent_Done,
     /*  120735 */   // Label 2105: @120735
     /*  120735 */   GIM_Try, /*On fail goto*//*Label 2106*/ GIMT_Encode4(120787), // Rule ID 65440 //
     /*  120740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  120743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  120747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120751 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120755 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120759 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120764 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120774 */     // (and:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  120777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  120781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120785 */     GIR_RootConstrainSelectedInstOperands,
     /*  120786 */     // GIR_Coverage, 65440,
     /*  120786 */     GIR_EraseRootFromParent_Done,
     /*  120787 */   // Label 2106: @120787
     /*  120787 */   GIM_Try, /*On fail goto*//*Label 2107*/ GIMT_Encode4(120839), // Rule ID 65456 //
     /*  120792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  120795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ROTL),
     /*  120807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120811 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120815 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-2),
     /*  120819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120826 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (rotl:{ *:[i64] } -2:{ *:[i64] }, GPR:{ *:[i64] }:$rs2))  =>  (BCLR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BCLR),
     /*  120829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120831 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120833 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  120837 */     GIR_RootConstrainSelectedInstOperands,
     /*  120838 */     // GIR_Coverage, 65456,
     /*  120838 */     GIR_EraseRootFromParent_Done,
     /*  120839 */   // Label 2107: @120839
     /*  120839 */   GIM_Try, /*On fail goto*//*Label 2108*/ GIMT_Encode4(120891), // Rule ID 2442 //
     /*  120844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  120847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  120855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  120859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  120863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  120867 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120872 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  120876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  120878 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ANDN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  120878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDN),
     /*  120881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  120889 */     GIR_RootConstrainSelectedInstOperands,
     /*  120890 */     // GIR_Coverage, 2442,
     /*  120890 */     GIR_EraseRootFromParent_Done,
     /*  120891 */   // Label 2108: @120891
     /*  120891 */   GIM_Try, /*On fail goto*//*Label 2109*/ GIMT_Encode4(120923), // Rule ID 64471 //
     /*  120896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  120899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120903 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  120914 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 65535:{ *:[i64] })  =>  (CV_EXTHZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  120914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHZ),
     /*  120917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120921 */     GIR_RootConstrainSelectedInstOperands,
     /*  120922 */     // GIR_Coverage, 64471,
     /*  120922 */     GIR_EraseRootFromParent_Done,
     /*  120923 */   // Label 2109: @120923
     /*  120923 */   GIM_Try, /*On fail goto*//*Label 2110*/ GIMT_Encode4(120955), // Rule ID 64473 //
     /*  120928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  120931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120935 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(255),
     /*  120946 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 255:{ *:[i64] })  =>  (CV_EXTBZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  120946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBZ),
     /*  120949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  120951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  120953 */     GIR_RootConstrainSelectedInstOperands,
     /*  120954 */     // GIR_Coverage, 64473,
     /*  120954 */     GIR_EraseRootFromParent_Done,
     /*  120955 */   // Label 2110: @120955
     /*  120955 */   GIM_Try, /*On fail goto*//*Label 2111*/ GIMT_Encode4(121012), // Rule ID 258 //
     /*  120960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /*  120963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  120967 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  120978 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] })  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), 32:{ *:[i64] })
     /*  120978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  120981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  120985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  120990 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  120994 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /*  120997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  120999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  121002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /*  121010 */     GIR_RootConstrainSelectedInstOperands,
     /*  121011 */     // GIR_Coverage, 258,
     /*  121011 */     GIR_EraseRootFromParent_Done,
     /*  121012 */   // Label 2111: @121012
     /*  121012 */   GIM_Try, /*On fail goto*//*Label 2112*/ GIMT_Encode4(121044), // Rule ID 2553 //
     /*  121017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /*  121020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121024 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  121035 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs)
     /*  121035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /*  121038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  121042 */     GIR_RootConstrainSelectedInstOperands,
     /*  121043 */     // GIR_Coverage, 2553,
     /*  121043 */     GIR_EraseRootFromParent_Done,
     /*  121044 */   // Label 2112: @121044
     /*  121044 */   GIM_Try, /*On fail goto*//*Label 2113*/ GIMT_Encode4(121082), // Rule ID 2556 //
     /*  121049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /*  121052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121056 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(65535),
     /*  121067 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 65535:{ *:[i64] })  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  121067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  121070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  121074 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  121080 */     GIR_RootConstrainSelectedInstOperands,
     /*  121081 */     // GIR_Coverage, 2556,
     /*  121081 */     GIR_EraseRootFromParent_Done,
     /*  121082 */   // Label 2113: @121082
     /*  121082 */   GIM_Try, /*On fail goto*//*Label 2114*/ GIMT_Encode4(121120), // Rule ID 2599 //
     /*  121087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  121090 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121094 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  121105 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  121105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /*  121108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  121112 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  121118 */     GIR_RootConstrainSelectedInstOperands,
     /*  121119 */     // GIR_Coverage, 2599,
     /*  121119 */     GIR_EraseRootFromParent_Done,
     /*  121120 */   // Label 2114: @121120
     /*  121120 */   GIM_Try, /*On fail goto*//*Label 2115*/ GIMT_Encode4(121158), // Rule ID 65051 //
     /*  121125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_IsRV64_HwMode0),
     /*  121128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121132 */     GIM_CheckConstantInt, /*MI*/0, /*Op*/2, GIMT_Encode8(4294967295),
     /*  121143 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, 4294967295:{ *:[i64] })  =>  (NDS_LEA_B_ZE:{ *:[i64] } GPR:{ *:[i64] }:$rs, X0:{ *:[i64] })
     /*  121143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_LEA_B_ZE),
     /*  121146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  121150 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  121156 */     GIR_RootConstrainSelectedInstOperands,
     /*  121157 */     // GIR_Coverage, 65051,
     /*  121157 */     GIR_EraseRootFromParent_Done,
     /*  121158 */   // Label 2115: @121158
     /*  121158 */   GIM_Try, /*On fail goto*//*Label 2116*/ GIMT_Encode4(121196), // Rule ID 90 //
     /*  121163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  121166 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  121182 */     // MIs[1] Operand 1
     /*  121182 */     // No operand predicates
     /*  121182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121184 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ANDI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  121184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ANDI),
     /*  121187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  121194 */     GIR_RootConstrainSelectedInstOperands,
     /*  121195 */     // GIR_Coverage, 90,
     /*  121195 */     GIR_EraseRootFromParent_Done,
     /*  121196 */   // Label 2116: @121196
     /*  121196 */   GIM_Try, /*On fail goto*//*Label 2117*/ GIMT_Encode4(121264), // Rule ID 107 //
     /*  121201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  121204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesMask),
     /*  121220 */     // MIs[1] Operand 1
     /*  121220 */     // No operand predicates
     /*  121220 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9921),
     /*  121224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121226 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesMask>><<P:Predicate_anonymous_9921>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  121226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  121233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121238 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  121242 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  121252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121257 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121262 */     GIR_RootConstrainSelectedInstOperands,
     /*  121263 */     // GIR_Coverage, 107,
     /*  121263 */     GIR_EraseRootFromParent_Done,
     /*  121264 */   // Label 2117: @121264
     /*  121264 */   GIM_Try, /*On fail goto*//*Label 2118*/ GIMT_Encode4(121332), // Rule ID 108 //
     /*  121269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  121272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121284 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_TrailingOnesMask),
     /*  121288 */     // MIs[1] Operand 1
     /*  121288 */     // No operand predicates
     /*  121288 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_9923),
     /*  121292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121294 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_TrailingOnesMask>><<P:Predicate_anonymous_9923>><<X:XLenSubTrailingOnes>>:$mask)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } ?:{ *:[i64] }:$rs, (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (XLenSubTrailingOnes:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  121294 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121297 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  121301 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121306 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  121310 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  121315 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  121320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121322 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121325 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderXLenSubTrailingOnes), // mask
     /*  121330 */     GIR_RootConstrainSelectedInstOperands,
     /*  121331 */     // GIR_Coverage, 108,
     /*  121331 */     GIR_EraseRootFromParent_Done,
     /*  121332 */   // Label 2118: @121332
     /*  121332 */   GIM_Try, /*On fail goto*//*Label 2119*/ GIMT_Encode4(121400), // Rule ID 260 //
     /*  121337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  121340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_LeadingOnesWMask),
     /*  121356 */     // MIs[1] Operand 1
     /*  121356 */     // No operand predicates
     /*  121356 */     GIM_CheckCxxInsnPredicate, /*MI*/1, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10011),
     /*  121360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121362 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs, (imm:{ *:[i64] })<<P:Predicate_LeadingOnesWMask>><<P:Predicate_anonymous_10011>><<X:TrailingZeros>>:$mask)  =>  (SLLI:{ *:[i64] } (SRLIW:{ *:[i64] } ?:{ *:[i64] }:$rs, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] }):$mask))
     /*  121362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /*  121369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121374 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs
     /*  121378 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  121388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121393 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121398 */     GIR_RootConstrainSelectedInstOperands,
     /*  121399 */     // GIR_Coverage, 260,
     /*  121399 */     GIR_EraseRootFromParent_Done,
     /*  121400 */   // Label 2119: @121400
     /*  121400 */   GIM_Try, /*On fail goto*//*Label 2120*/ GIMT_Encode4(121464), // Rule ID 2618 //
     /*  121405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /*  121408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  121420 */     GIM_CheckAPIntImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_APInt_Predicate_Shifted32OnesMask),
     /*  121424 */     // MIs[1] Operand 1
     /*  121424 */     // No operand predicates
     /*  121424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  121426 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>><<X:TrailingZeros>>:$mask)  =>  (SLLI_UW:{ *:[i64] } (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask)), (TrailingZeros:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_Shifted32OnesMask>>:$mask))
     /*  121426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  121429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /*  121433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  121438 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /*  121442 */     GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  121449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /*  121452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  121457 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderTrailingZeros), // mask
     /*  121462 */     GIR_RootConstrainSelectedInstOperands,
     /*  121463 */     // GIR_Coverage, 2618,
     /*  121463 */     GIR_EraseRootFromParent_Done,
     /*  121464 */   // Label 2120: @121464
     /*  121464 */   GIM_Try, /*On fail goto*//*Label 2121*/ GIMT_Encode4(121487), // Rule ID 88 //
     /*  121469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  121472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  121480 */     // (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AND:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  121480 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AND),
     /*  121485 */     GIR_RootConstrainSelectedInstOperands,
     /*  121486 */     // GIR_Coverage, 88,
     /*  121486 */     GIR_Done,
     /*  121487 */   // Label 2121: @121487
     /*  121487 */   GIM_Reject,
     /*  121488 */ // Label 2097: @121488
     /*  121488 */ GIM_Reject,
     /*  121489 */ // Label 2032: @121489
     /*  121489 */ GIM_Try, /*On fail goto*//*Label 2122*/ GIMT_Encode4(122099),
     /*  121494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121504 */   GIM_Try, /*On fail goto*//*Label 2123*/ GIMT_Encode4(121570), // Rule ID 71666 //
     /*  121509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121528 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121532 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121536 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121540 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121549 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121551 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121568 */     GIR_RootConstrainSelectedInstOperands,
     /*  121569 */     // GIR_Coverage, 71666,
     /*  121569 */     GIR_EraseRootFromParent_Done,
     /*  121570 */   // Label 2123: @121570
     /*  121570 */   GIM_Try, /*On fail goto*//*Label 2124*/ GIMT_Encode4(121636), // Rule ID 71667 //
     /*  121575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121586 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121590 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121594 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121598 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121602 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121615 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121617 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121624 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121634 */     GIR_RootConstrainSelectedInstOperands,
     /*  121635 */     // GIR_Coverage, 71667,
     /*  121635 */     GIR_EraseRootFromParent_Done,
     /*  121636 */   // Label 2124: @121636
     /*  121636 */   GIM_Try, /*On fail goto*//*Label 2125*/ GIMT_Encode4(121702), // Rule ID 71664 //
     /*  121641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121652 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121656 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121681 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121683 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121690 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121700 */     GIR_RootConstrainSelectedInstOperands,
     /*  121701 */     // GIR_Coverage, 71664,
     /*  121701 */     GIR_EraseRootFromParent_Done,
     /*  121702 */   // Label 2125: @121702
     /*  121702 */   GIM_Try, /*On fail goto*//*Label 2126*/ GIMT_Encode4(121768), // Rule ID 71665 //
     /*  121707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  121714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121722 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121747 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121749 */     // (and:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  121756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121766 */     GIR_RootConstrainSelectedInstOperands,
     /*  121767 */     // GIR_Coverage, 71665,
     /*  121767 */     GIR_EraseRootFromParent_Done,
     /*  121768 */   // Label 2126: @121768
     /*  121768 */   GIM_Try, /*On fail goto*//*Label 2127*/ GIMT_Encode4(121834), // Rule ID 71662 //
     /*  121773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121788 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121792 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121796 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121800 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121804 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121813 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121815 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121822 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121832 */     GIR_RootConstrainSelectedInstOperands,
     /*  121833 */     // GIR_Coverage, 71662,
     /*  121833 */     GIR_EraseRootFromParent_Done,
     /*  121834 */   // Label 2127: @121834
     /*  121834 */   GIM_Try, /*On fail goto*//*Label 2128*/ GIMT_Encode4(121900), // Rule ID 71663 //
     /*  121839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121858 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121862 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  121866 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121870 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  121874 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121879 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121881 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  121881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  121892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121898 */     GIR_RootConstrainSelectedInstOperands,
     /*  121899 */     // GIR_Coverage, 71663,
     /*  121899 */     GIR_EraseRootFromParent_Done,
     /*  121900 */   // Label 2128: @121900
     /*  121900 */   GIM_Try, /*On fail goto*//*Label 2129*/ GIMT_Encode4(121966), // Rule ID 53170 //
     /*  121905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  121908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121920 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121924 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121928 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  121937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  121941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  121945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  121947 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  121947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  121950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  121952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  121954 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  121958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  121961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  121964 */     GIR_RootConstrainSelectedInstOperands,
     /*  121965 */     // GIR_Coverage, 53170,
     /*  121965 */     GIR_EraseRootFromParent_Done,
     /*  121966 */   // Label 2129: @121966
     /*  121966 */   GIM_Try, /*On fail goto*//*Label 2130*/ GIMT_Encode4(122032), // Rule ID 53171 //
     /*  121971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  121974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  121982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  121986 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  121990 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  121994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  121999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122013 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  122016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122030 */     GIR_RootConstrainSelectedInstOperands,
     /*  122031 */     // GIR_Coverage, 53171,
     /*  122031 */     GIR_EraseRootFromParent_Done,
     /*  122032 */   // Label 2130: @122032
     /*  122032 */   GIM_Try, /*On fail goto*//*Label 2131*/ GIMT_Encode4(122065), // Rule ID 53158 //
     /*  122037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122048 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  122051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122063 */     GIR_RootConstrainSelectedInstOperands,
     /*  122064 */     // GIR_Coverage, 53158,
     /*  122064 */     GIR_EraseRootFromParent_Done,
     /*  122065 */   // Label 2131: @122065
     /*  122065 */   GIM_Try, /*On fail goto*//*Label 2132*/ GIMT_Encode4(122098), // Rule ID 53159 //
     /*  122070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122081 */     // (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  122084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122096 */     GIR_RootConstrainSelectedInstOperands,
     /*  122097 */     // GIR_Coverage, 53159,
     /*  122097 */     GIR_EraseRootFromParent_Done,
     /*  122098 */   // Label 2132: @122098
     /*  122098 */   GIM_Reject,
     /*  122099 */ // Label 2122: @122099
     /*  122099 */ GIM_Reject,
     /*  122100 */ // Label 2033: @122100
     /*  122100 */ GIM_Try, /*On fail goto*//*Label 2133*/ GIMT_Encode4(122214),
     /*  122105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  122108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  122111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122119 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122123 */   GIM_Try, /*On fail goto*//*Label 2134*/ GIMT_Encode4(122168), // Rule ID 47650 //
     /*  122128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122131 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  122131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  122134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  122148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122166 */     GIR_RootConstrainSelectedInstOperands,
     /*  122167 */     // GIR_Coverage, 47650,
     /*  122167 */     GIR_EraseRootFromParent_Done,
     /*  122168 */   // Label 2134: @122168
     /*  122168 */   GIM_Try, /*On fail goto*//*Label 2135*/ GIMT_Encode4(122213), // Rule ID 47651 //
     /*  122173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122176 */     // (and:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  122176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  122179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  122193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122211 */     GIR_RootConstrainSelectedInstOperands,
     /*  122212 */     // GIR_Coverage, 47651,
     /*  122212 */     GIR_EraseRootFromParent_Done,
     /*  122213 */   // Label 2135: @122213
     /*  122213 */   GIM_Reject,
     /*  122214 */ // Label 2133: @122214
     /*  122214 */ GIM_Reject,
     /*  122215 */ // Label 2034: @122215
     /*  122215 */ GIM_Try, /*On fail goto*//*Label 2136*/ GIMT_Encode4(122329),
     /*  122220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  122223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  122226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122238 */   GIM_Try, /*On fail goto*//*Label 2137*/ GIMT_Encode4(122283), // Rule ID 47662 //
     /*  122243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122246 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  122246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  122249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  122263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122281 */     GIR_RootConstrainSelectedInstOperands,
     /*  122282 */     // GIR_Coverage, 47662,
     /*  122282 */     GIR_EraseRootFromParent_Done,
     /*  122283 */   // Label 2137: @122283
     /*  122283 */   GIM_Try, /*On fail goto*//*Label 2138*/ GIMT_Encode4(122328), // Rule ID 47663 //
     /*  122288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122291 */     // (and:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  122291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  122294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  122308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  122323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122326 */     GIR_RootConstrainSelectedInstOperands,
     /*  122327 */     // GIR_Coverage, 47663,
     /*  122327 */     GIR_EraseRootFromParent_Done,
     /*  122328 */   // Label 2138: @122328
     /*  122328 */   GIM_Reject,
     /*  122329 */ // Label 2136: @122329
     /*  122329 */ GIM_Reject,
     /*  122330 */ // Label 2035: @122330
     /*  122330 */ GIM_Try, /*On fail goto*//*Label 2139*/ GIMT_Encode4(122444),
     /*  122335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  122338 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  122341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122353 */   GIM_Try, /*On fail goto*//*Label 2140*/ GIMT_Encode4(122398), // Rule ID 47670 //
     /*  122358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122361 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  122361 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  122364 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122368 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122373 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  122378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122380 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122396 */     GIR_RootConstrainSelectedInstOperands,
     /*  122397 */     // GIR_Coverage, 47670,
     /*  122397 */     GIR_EraseRootFromParent_Done,
     /*  122398 */   // Label 2140: @122398
     /*  122398 */   GIM_Try, /*On fail goto*//*Label 2141*/ GIMT_Encode4(122443), // Rule ID 47671 //
     /*  122403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122406 */     // (and:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  122406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  122409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  122423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  122438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122441 */     GIR_RootConstrainSelectedInstOperands,
     /*  122442 */     // GIR_Coverage, 47671,
     /*  122442 */     GIR_EraseRootFromParent_Done,
     /*  122443 */   // Label 2141: @122443
     /*  122443 */   GIM_Reject,
     /*  122444 */ // Label 2139: @122444
     /*  122444 */ GIM_Reject,
     /*  122445 */ // Label 2036: @122445
     /*  122445 */ GIM_Try, /*On fail goto*//*Label 2142*/ GIMT_Encode4(122559),
     /*  122450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  122453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  122456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122468 */   GIM_Try, /*On fail goto*//*Label 2143*/ GIMT_Encode4(122513), // Rule ID 47686 //
     /*  122473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  122476 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  122476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  122479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  122508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122511 */     GIR_RootConstrainSelectedInstOperands,
     /*  122512 */     // GIR_Coverage, 47686,
     /*  122512 */     GIR_EraseRootFromParent_Done,
     /*  122513 */   // Label 2143: @122513
     /*  122513 */   GIM_Try, /*On fail goto*//*Label 2144*/ GIMT_Encode4(122558), // Rule ID 47687 //
     /*  122518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  122521 */     // (and:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  122521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  122524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  122528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  122533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  122535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  122538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  122543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  122547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  122553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  122556 */     GIR_RootConstrainSelectedInstOperands,
     /*  122557 */     // GIR_Coverage, 47687,
     /*  122557 */     GIR_EraseRootFromParent_Done,
     /*  122558 */   // Label 2144: @122558
     /*  122558 */   GIM_Reject,
     /*  122559 */ // Label 2142: @122559
     /*  122559 */ GIM_Reject,
     /*  122560 */ // Label 2037: @122560
     /*  122560 */ GIM_Try, /*On fail goto*//*Label 2145*/ GIMT_Encode4(123170),
     /*  122565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122575 */   GIM_Try, /*On fail goto*//*Label 2146*/ GIMT_Encode4(122641), // Rule ID 71694 //
     /*  122580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122599 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122603 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122607 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122620 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122622 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122639 */     GIR_RootConstrainSelectedInstOperands,
     /*  122640 */     // GIR_Coverage, 71694,
     /*  122640 */     GIR_EraseRootFromParent_Done,
     /*  122641 */   // Label 2146: @122641
     /*  122641 */   GIM_Try, /*On fail goto*//*Label 2147*/ GIMT_Encode4(122707), // Rule ID 71695 //
     /*  122646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122665 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122669 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122673 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122688 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122695 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122705 */     GIR_RootConstrainSelectedInstOperands,
     /*  122706 */     // GIR_Coverage, 71695,
     /*  122706 */     GIR_EraseRootFromParent_Done,
     /*  122707 */   // Label 2147: @122707
     /*  122707 */   GIM_Try, /*On fail goto*//*Label 2148*/ GIMT_Encode4(122773), // Rule ID 71692 //
     /*  122712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122723 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122727 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122752 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122754 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122771 */     GIR_RootConstrainSelectedInstOperands,
     /*  122772 */     // GIR_Coverage, 71692,
     /*  122772 */     GIR_EraseRootFromParent_Done,
     /*  122773 */   // Label 2148: @122773
     /*  122773 */   GIM_Try, /*On fail goto*//*Label 2149*/ GIMT_Encode4(122839), // Rule ID 71693 //
     /*  122778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  122785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122789 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122793 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  122806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122818 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122820 */     // (and:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  122827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  122831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122837 */     GIR_RootConstrainSelectedInstOperands,
     /*  122838 */     // GIR_Coverage, 71693,
     /*  122838 */     GIR_EraseRootFromParent_Done,
     /*  122839 */   // Label 2149: @122839
     /*  122839 */   GIM_Try, /*On fail goto*//*Label 2150*/ GIMT_Encode4(122905), // Rule ID 71690 //
     /*  122844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122863 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  122879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122886 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  122886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122903 */     GIR_RootConstrainSelectedInstOperands,
     /*  122904 */     // GIR_Coverage, 71690,
     /*  122904 */     GIR_EraseRootFromParent_Done,
     /*  122905 */   // Label 2150: @122905
     /*  122905 */   GIM_Try, /*On fail goto*//*Label 2151*/ GIMT_Encode4(122971), // Rule ID 71691 //
     /*  122910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  122913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122929 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122933 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  122937 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  122941 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  122945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122950 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  122952 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  122952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  122955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  122957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  122959 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  122963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  122966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  122969 */     GIR_RootConstrainSelectedInstOperands,
     /*  122970 */     // GIR_Coverage, 71691,
     /*  122970 */     GIR_EraseRootFromParent_Done,
     /*  122971 */   // Label 2151: @122971
     /*  122971 */   GIM_Try, /*On fail goto*//*Label 2152*/ GIMT_Encode4(123037), // Rule ID 53188 //
     /*  122976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  122979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  122983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  122987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  122991 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  122995 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  122999 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123018 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  123021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123035 */     GIR_RootConstrainSelectedInstOperands,
     /*  123036 */     // GIR_Coverage, 53188,
     /*  123036 */     GIR_EraseRootFromParent_Done,
     /*  123037 */   // Label 2152: @123037
     /*  123037 */   GIM_Try, /*On fail goto*//*Label 2153*/ GIMT_Encode4(123103), // Rule ID 53189 //
     /*  123042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123057 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  123061 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  123065 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123070 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123074 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123078 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123082 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123084 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  123087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123089 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123091 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123101 */     GIR_RootConstrainSelectedInstOperands,
     /*  123102 */     // GIR_Coverage, 53189,
     /*  123102 */     GIR_EraseRootFromParent_Done,
     /*  123103 */   // Label 2153: @123103
     /*  123103 */   GIM_Try, /*On fail goto*//*Label 2154*/ GIMT_Encode4(123136), // Rule ID 53176 //
     /*  123108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123111 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123119 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  123122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123134 */     GIR_RootConstrainSelectedInstOperands,
     /*  123135 */     // GIR_Coverage, 53176,
     /*  123135 */     GIR_EraseRootFromParent_Done,
     /*  123136 */   // Label 2154: @123136
     /*  123136 */   GIM_Try, /*On fail goto*//*Label 2155*/ GIMT_Encode4(123169), // Rule ID 53177 //
     /*  123141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123144 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123152 */     // (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  123155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123167 */     GIR_RootConstrainSelectedInstOperands,
     /*  123168 */     // GIR_Coverage, 53177,
     /*  123168 */     GIR_EraseRootFromParent_Done,
     /*  123169 */   // Label 2155: @123169
     /*  123169 */   GIM_Reject,
     /*  123170 */ // Label 2145: @123170
     /*  123170 */ GIM_Reject,
     /*  123171 */ // Label 2038: @123171
     /*  123171 */ GIM_Try, /*On fail goto*//*Label 2156*/ GIMT_Encode4(123285),
     /*  123176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  123179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  123182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123194 */   GIM_Try, /*On fail goto*//*Label 2157*/ GIMT_Encode4(123239), // Rule ID 47654 //
     /*  123199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123202 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  123202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  123205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  123219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123237 */     GIR_RootConstrainSelectedInstOperands,
     /*  123238 */     // GIR_Coverage, 47654,
     /*  123238 */     GIR_EraseRootFromParent_Done,
     /*  123239 */   // Label 2157: @123239
     /*  123239 */   GIM_Try, /*On fail goto*//*Label 2158*/ GIMT_Encode4(123284), // Rule ID 47655 //
     /*  123244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123247 */     // (and:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  123247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  123250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  123264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123282 */     GIR_RootConstrainSelectedInstOperands,
     /*  123283 */     // GIR_Coverage, 47655,
     /*  123283 */     GIR_EraseRootFromParent_Done,
     /*  123284 */   // Label 2158: @123284
     /*  123284 */   GIM_Reject,
     /*  123285 */ // Label 2156: @123285
     /*  123285 */ GIM_Reject,
     /*  123286 */ // Label 2039: @123286
     /*  123286 */ GIM_Try, /*On fail goto*//*Label 2159*/ GIMT_Encode4(123400),
     /*  123291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  123294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  123297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123309 */   GIM_Try, /*On fail goto*//*Label 2160*/ GIMT_Encode4(123354), // Rule ID 47666 //
     /*  123314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123317 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  123317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  123320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  123334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123352 */     GIR_RootConstrainSelectedInstOperands,
     /*  123353 */     // GIR_Coverage, 47666,
     /*  123353 */     GIR_EraseRootFromParent_Done,
     /*  123354 */   // Label 2160: @123354
     /*  123354 */   GIM_Try, /*On fail goto*//*Label 2161*/ GIMT_Encode4(123399), // Rule ID 47667 //
     /*  123359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123362 */     // (and:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  123362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  123365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  123379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  123394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123397 */     GIR_RootConstrainSelectedInstOperands,
     /*  123398 */     // GIR_Coverage, 47667,
     /*  123398 */     GIR_EraseRootFromParent_Done,
     /*  123399 */   // Label 2161: @123399
     /*  123399 */   GIM_Reject,
     /*  123400 */ // Label 2159: @123400
     /*  123400 */ GIM_Reject,
     /*  123401 */ // Label 2040: @123401
     /*  123401 */ GIM_Try, /*On fail goto*//*Label 2162*/ GIMT_Encode4(123515),
     /*  123406 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  123409 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  123412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123424 */   GIM_Try, /*On fail goto*//*Label 2163*/ GIMT_Encode4(123469), // Rule ID 47682 //
     /*  123429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123432 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  123432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  123435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123467 */     GIR_RootConstrainSelectedInstOperands,
     /*  123468 */     // GIR_Coverage, 47682,
     /*  123468 */     GIR_EraseRootFromParent_Done,
     /*  123469 */   // Label 2163: @123469
     /*  123469 */   GIM_Try, /*On fail goto*//*Label 2164*/ GIMT_Encode4(123514), // Rule ID 47683 //
     /*  123474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123477 */     // (and:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  123477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  123480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  123494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  123509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123512 */     GIR_RootConstrainSelectedInstOperands,
     /*  123513 */     // GIR_Coverage, 47683,
     /*  123513 */     GIR_EraseRootFromParent_Done,
     /*  123514 */   // Label 2164: @123514
     /*  123514 */   GIM_Reject,
     /*  123515 */ // Label 2162: @123515
     /*  123515 */ GIM_Reject,
     /*  123516 */ // Label 2041: @123516
     /*  123516 */ GIM_Try, /*On fail goto*//*Label 2165*/ GIMT_Encode4(123630),
     /*  123521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  123524 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  123527 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123531 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  123539 */   GIM_Try, /*On fail goto*//*Label 2166*/ GIMT_Encode4(123584), // Rule ID 47726 //
     /*  123544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  123547 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  123547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  123550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  123564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123582 */     GIR_RootConstrainSelectedInstOperands,
     /*  123583 */     // GIR_Coverage, 47726,
     /*  123583 */     GIR_EraseRootFromParent_Done,
     /*  123584 */   // Label 2166: @123584
     /*  123584 */   GIM_Try, /*On fail goto*//*Label 2167*/ GIMT_Encode4(123629), // Rule ID 47727 //
     /*  123589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  123592 */     // (and:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  123592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  123595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  123599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  123604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  123606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  123609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  123614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  123618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  123624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  123627 */     GIR_RootConstrainSelectedInstOperands,
     /*  123628 */     // GIR_Coverage, 47727,
     /*  123628 */     GIR_EraseRootFromParent_Done,
     /*  123629 */   // Label 2167: @123629
     /*  123629 */   GIM_Reject,
     /*  123630 */ // Label 2165: @123630
     /*  123630 */ GIM_Reject,
     /*  123631 */ // Label 2042: @123631
     /*  123631 */ GIM_Try, /*On fail goto*//*Label 2168*/ GIMT_Encode4(124241),
     /*  123636 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123639 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123646 */   GIM_Try, /*On fail goto*//*Label 2169*/ GIMT_Encode4(123712), // Rule ID 71722 //
     /*  123651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123654 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123658 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123662 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123666 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123670 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123674 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123678 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123691 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123693 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123710 */     GIR_RootConstrainSelectedInstOperands,
     /*  123711 */     // GIR_Coverage, 71722,
     /*  123711 */     GIR_EraseRootFromParent_Done,
     /*  123712 */   // Label 2169: @123712
     /*  123712 */   GIM_Try, /*On fail goto*//*Label 2170*/ GIMT_Encode4(123778), // Rule ID 71723 //
     /*  123717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123736 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123740 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123744 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123759 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123776 */     GIR_RootConstrainSelectedInstOperands,
     /*  123777 */     // GIR_Coverage, 71723,
     /*  123777 */     GIR_EraseRootFromParent_Done,
     /*  123778 */   // Label 2170: @123778
     /*  123778 */   GIM_Try, /*On fail goto*//*Label 2171*/ GIMT_Encode4(123844), // Rule ID 71720 //
     /*  123783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123794 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123798 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123823 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123825 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123830 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123842 */     GIR_RootConstrainSelectedInstOperands,
     /*  123843 */     // GIR_Coverage, 71720,
     /*  123843 */     GIR_EraseRootFromParent_Done,
     /*  123844 */   // Label 2171: @123844
     /*  123844 */   GIM_Try, /*On fail goto*//*Label 2172*/ GIMT_Encode4(123910), // Rule ID 71721 //
     /*  123849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  123856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123868 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123873 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  123877 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123881 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  123885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123889 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123891 */     // (and:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  123891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  123898 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  123902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123908 */     GIR_RootConstrainSelectedInstOperands,
     /*  123909 */     // GIR_Coverage, 71721,
     /*  123909 */     GIR_EraseRootFromParent_Done,
     /*  123910 */   // Label 2172: @123910
     /*  123910 */   GIM_Try, /*On fail goto*//*Label 2173*/ GIMT_Encode4(123976), // Rule ID 71718 //
     /*  123915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  123918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123930 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  123934 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  123938 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  123942 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  123946 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  123950 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123955 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  123957 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  123957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  123960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  123962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  123964 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  123968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  123971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  123974 */     GIR_RootConstrainSelectedInstOperands,
     /*  123975 */     // GIR_Coverage, 71718,
     /*  123975 */     GIR_EraseRootFromParent_Done,
     /*  123976 */   // Label 2173: @123976
     /*  123976 */   GIM_Try, /*On fail goto*//*Label 2174*/ GIMT_Encode4(124042), // Rule ID 71719 //
     /*  123981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  123984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  123988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  123992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  123996 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  124000 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  124004 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124008 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124012 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124021 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124023 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  124026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124040 */     GIR_RootConstrainSelectedInstOperands,
     /*  124041 */     // GIR_Coverage, 71719,
     /*  124041 */     GIR_EraseRootFromParent_Done,
     /*  124042 */   // Label 2174: @124042
     /*  124042 */   GIM_Try, /*On fail goto*//*Label 2175*/ GIMT_Encode4(124108), // Rule ID 53206 //
     /*  124047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  124066 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  124070 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124087 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124089 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  124092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124096 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124106 */     GIR_RootConstrainSelectedInstOperands,
     /*  124107 */     // GIR_Coverage, 53206,
     /*  124107 */     GIR_EraseRootFromParent_Done,
     /*  124108 */   // Label 2175: @124108
     /*  124108 */   GIM_Try, /*On fail goto*//*Label 2176*/ GIMT_Encode4(124174), // Rule ID 53207 //
     /*  124113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  124132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  124136 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124141 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124145 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124149 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124153 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124155 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  124158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124172 */     GIR_RootConstrainSelectedInstOperands,
     /*  124173 */     // GIR_Coverage, 53207,
     /*  124173 */     GIR_EraseRootFromParent_Done,
     /*  124174 */   // Label 2176: @124174
     /*  124174 */   GIM_Try, /*On fail goto*//*Label 2177*/ GIMT_Encode4(124207), // Rule ID 53194 //
     /*  124179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124190 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  124193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124205 */     GIR_RootConstrainSelectedInstOperands,
     /*  124206 */     // GIR_Coverage, 53194,
     /*  124206 */     GIR_EraseRootFromParent_Done,
     /*  124207 */   // Label 2177: @124207
     /*  124207 */   GIM_Try, /*On fail goto*//*Label 2178*/ GIMT_Encode4(124240), // Rule ID 53195 //
     /*  124212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124223 */     // (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  124226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124238 */     GIR_RootConstrainSelectedInstOperands,
     /*  124239 */     // GIR_Coverage, 53195,
     /*  124239 */     GIR_EraseRootFromParent_Done,
     /*  124240 */   // Label 2178: @124240
     /*  124240 */   GIM_Reject,
     /*  124241 */ // Label 2168: @124241
     /*  124241 */ GIM_Reject,
     /*  124242 */ // Label 2043: @124242
     /*  124242 */ GIM_Try, /*On fail goto*//*Label 2179*/ GIMT_Encode4(124356),
     /*  124247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  124250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  124253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124265 */   GIM_Try, /*On fail goto*//*Label 2180*/ GIMT_Encode4(124310), // Rule ID 47658 //
     /*  124270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124273 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  124273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  124276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  124290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124308 */     GIR_RootConstrainSelectedInstOperands,
     /*  124309 */     // GIR_Coverage, 47658,
     /*  124309 */     GIR_EraseRootFromParent_Done,
     /*  124310 */   // Label 2180: @124310
     /*  124310 */   GIM_Try, /*On fail goto*//*Label 2181*/ GIMT_Encode4(124355), // Rule ID 47659 //
     /*  124315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124318 */     // (and:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  124318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  124321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  124335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124353 */     GIR_RootConstrainSelectedInstOperands,
     /*  124354 */     // GIR_Coverage, 47659,
     /*  124354 */     GIR_EraseRootFromParent_Done,
     /*  124355 */   // Label 2181: @124355
     /*  124355 */   GIM_Reject,
     /*  124356 */ // Label 2179: @124356
     /*  124356 */ GIM_Reject,
     /*  124357 */ // Label 2044: @124357
     /*  124357 */ GIM_Try, /*On fail goto*//*Label 2182*/ GIMT_Encode4(124471),
     /*  124362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  124365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  124368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124380 */   GIM_Try, /*On fail goto*//*Label 2183*/ GIMT_Encode4(124425), // Rule ID 47678 //
     /*  124385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124388 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  124388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  124391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  124405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124423 */     GIR_RootConstrainSelectedInstOperands,
     /*  124424 */     // GIR_Coverage, 47678,
     /*  124424 */     GIR_EraseRootFromParent_Done,
     /*  124425 */   // Label 2183: @124425
     /*  124425 */   GIM_Try, /*On fail goto*//*Label 2184*/ GIMT_Encode4(124470), // Rule ID 47679 //
     /*  124430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124433 */     // (and:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  124433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  124436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  124450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  124465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124468 */     GIR_RootConstrainSelectedInstOperands,
     /*  124469 */     // GIR_Coverage, 47679,
     /*  124469 */     GIR_EraseRootFromParent_Done,
     /*  124470 */   // Label 2184: @124470
     /*  124470 */   GIM_Reject,
     /*  124471 */ // Label 2182: @124471
     /*  124471 */ GIM_Reject,
     /*  124472 */ // Label 2045: @124472
     /*  124472 */ GIM_Try, /*On fail goto*//*Label 2185*/ GIMT_Encode4(124586),
     /*  124477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  124480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  124483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  124495 */   GIM_Try, /*On fail goto*//*Label 2186*/ GIMT_Encode4(124540), // Rule ID 47714 //
     /*  124500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124503 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  124503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  124506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  124520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124538 */     GIR_RootConstrainSelectedInstOperands,
     /*  124539 */     // GIR_Coverage, 47714,
     /*  124539 */     GIR_EraseRootFromParent_Done,
     /*  124540 */   // Label 2186: @124540
     /*  124540 */   GIM_Try, /*On fail goto*//*Label 2187*/ GIMT_Encode4(124585), // Rule ID 47715 //
     /*  124545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124548 */     // (and:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  124548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  124551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  124565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  124580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124583 */     GIR_RootConstrainSelectedInstOperands,
     /*  124584 */     // GIR_Coverage, 47715,
     /*  124584 */     GIR_EraseRootFromParent_Done,
     /*  124585 */   // Label 2187: @124585
     /*  124585 */   GIM_Reject,
     /*  124586 */ // Label 2185: @124586
     /*  124586 */ GIM_Reject,
     /*  124587 */ // Label 2046: @124587
     /*  124587 */ GIM_Try, /*On fail goto*//*Label 2188*/ GIMT_Encode4(124701),
     /*  124592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  124595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  124598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  124610 */   GIM_Try, /*On fail goto*//*Label 2189*/ GIMT_Encode4(124655), // Rule ID 47730 //
     /*  124615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  124618 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  124618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  124621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  124635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124653 */     GIR_RootConstrainSelectedInstOperands,
     /*  124654 */     // GIR_Coverage, 47730,
     /*  124654 */     GIR_EraseRootFromParent_Done,
     /*  124655 */   // Label 2189: @124655
     /*  124655 */   GIM_Try, /*On fail goto*//*Label 2190*/ GIMT_Encode4(124700), // Rule ID 47731 //
     /*  124660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  124663 */     // (and:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  124663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  124666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  124670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  124675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  124677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  124680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  124685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  124687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  124689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  124695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  124698 */     GIR_RootConstrainSelectedInstOperands,
     /*  124699 */     // GIR_Coverage, 47731,
     /*  124699 */     GIR_EraseRootFromParent_Done,
     /*  124700 */   // Label 2190: @124700
     /*  124700 */   GIM_Reject,
     /*  124701 */ // Label 2188: @124701
     /*  124701 */ GIM_Reject,
     /*  124702 */ // Label 2047: @124702
     /*  124702 */ GIM_Try, /*On fail goto*//*Label 2191*/ GIMT_Encode4(125312),
     /*  124707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124717 */   GIM_Try, /*On fail goto*//*Label 2192*/ GIMT_Encode4(124783), // Rule ID 71750 //
     /*  124722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124753 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124764 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124781 */     GIR_RootConstrainSelectedInstOperands,
     /*  124782 */     // GIR_Coverage, 71750,
     /*  124782 */     GIR_EraseRootFromParent_Done,
     /*  124783 */   // Label 2192: @124783
     /*  124783 */   GIM_Try, /*On fail goto*//*Label 2193*/ GIMT_Encode4(124849), // Rule ID 71751 //
     /*  124788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124807 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  124811 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124815 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124830 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  124841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124847 */     GIR_RootConstrainSelectedInstOperands,
     /*  124848 */     // GIR_Coverage, 71751,
     /*  124848 */     GIR_EraseRootFromParent_Done,
     /*  124849 */   // Label 2193: @124849
     /*  124849 */   GIM_Try, /*On fail goto*//*Label 2194*/ GIMT_Encode4(124915), // Rule ID 71748 //
     /*  124854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124865 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124869 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124873 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  124890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124896 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  124896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124913 */     GIR_RootConstrainSelectedInstOperands,
     /*  124914 */     // GIR_Coverage, 71748,
     /*  124914 */     GIR_EraseRootFromParent_Done,
     /*  124915 */   // Label 2194: @124915
     /*  124915 */   GIM_Try, /*On fail goto*//*Label 2195*/ GIMT_Encode4(124981), // Rule ID 71749 //
     /*  124920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  124923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  124927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  124931 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  124935 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  124939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  124948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  124952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  124956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  124962 */     // (and:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  124962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  124965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  124967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  124969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  124973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  124976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  124979 */     GIR_RootConstrainSelectedInstOperands,
     /*  124980 */     // GIR_Coverage, 71749,
     /*  124980 */     GIR_EraseRootFromParent_Done,
     /*  124981 */   // Label 2195: @124981
     /*  124981 */   GIM_Try, /*On fail goto*//*Label 2196*/ GIMT_Encode4(125047), // Rule ID 71746 //
     /*  124986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  124989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  124993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  124997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125009 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125013 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125017 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125021 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125028 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125045 */     GIR_RootConstrainSelectedInstOperands,
     /*  125046 */     // GIR_Coverage, 71746,
     /*  125046 */     GIR_EraseRootFromParent_Done,
     /*  125047 */   // Label 2196: @125047
     /*  125047 */   GIM_Try, /*On fail goto*//*Label 2197*/ GIMT_Encode4(125113), // Rule ID 71747 //
     /*  125052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125087 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125094 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125111 */     GIR_RootConstrainSelectedInstOperands,
     /*  125112 */     // GIR_Coverage, 71747,
     /*  125112 */     GIR_EraseRootFromParent_Done,
     /*  125113 */   // Label 2197: @125113
     /*  125113 */   GIM_Try, /*On fail goto*//*Label 2198*/ GIMT_Encode4(125179), // Rule ID 53224 //
     /*  125118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125137 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125158 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125160 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125167 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125177 */     GIR_RootConstrainSelectedInstOperands,
     /*  125178 */     // GIR_Coverage, 53224,
     /*  125178 */     GIR_EraseRootFromParent_Done,
     /*  125179 */   // Label 2198: @125179
     /*  125179 */   GIM_Try, /*On fail goto*//*Label 2199*/ GIMT_Encode4(125245), // Rule ID 53225 //
     /*  125184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  125195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125199 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  125203 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  125207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125212 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125216 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125220 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125226 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  125229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125243 */     GIR_RootConstrainSelectedInstOperands,
     /*  125244 */     // GIR_Coverage, 53225,
     /*  125244 */     GIR_EraseRootFromParent_Done,
     /*  125245 */   // Label 2199: @125245
     /*  125245 */   GIM_Try, /*On fail goto*//*Label 2200*/ GIMT_Encode4(125278), // Rule ID 53212 //
     /*  125250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125253 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125261 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  125264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125276 */     GIR_RootConstrainSelectedInstOperands,
     /*  125277 */     // GIR_Coverage, 53212,
     /*  125277 */     GIR_EraseRootFromParent_Done,
     /*  125278 */   // Label 2200: @125278
     /*  125278 */   GIM_Try, /*On fail goto*//*Label 2201*/ GIMT_Encode4(125311), // Rule ID 53213 //
     /*  125283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125294 */     // (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  125297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125309 */     GIR_RootConstrainSelectedInstOperands,
     /*  125310 */     // GIR_Coverage, 53213,
     /*  125310 */     GIR_EraseRootFromParent_Done,
     /*  125311 */   // Label 2201: @125311
     /*  125311 */   GIM_Reject,
     /*  125312 */ // Label 2191: @125312
     /*  125312 */ GIM_Reject,
     /*  125313 */ // Label 2048: @125313
     /*  125313 */ GIM_Try, /*On fail goto*//*Label 2202*/ GIMT_Encode4(125427),
     /*  125318 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  125321 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  125324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125328 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125336 */   GIM_Try, /*On fail goto*//*Label 2203*/ GIMT_Encode4(125381), // Rule ID 47674 //
     /*  125341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125344 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  125344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  125347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  125361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125379 */     GIR_RootConstrainSelectedInstOperands,
     /*  125380 */     // GIR_Coverage, 47674,
     /*  125380 */     GIR_EraseRootFromParent_Done,
     /*  125381 */   // Label 2203: @125381
     /*  125381 */   GIM_Try, /*On fail goto*//*Label 2204*/ GIMT_Encode4(125426), // Rule ID 47675 //
     /*  125386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125389 */     // (and:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  125389 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  125392 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125396 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125401 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  125406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125408 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125424 */     GIR_RootConstrainSelectedInstOperands,
     /*  125425 */     // GIR_Coverage, 47675,
     /*  125425 */     GIR_EraseRootFromParent_Done,
     /*  125426 */   // Label 2204: @125426
     /*  125426 */   GIM_Reject,
     /*  125427 */ // Label 2202: @125427
     /*  125427 */ GIM_Reject,
     /*  125428 */ // Label 2049: @125428
     /*  125428 */ GIM_Try, /*On fail goto*//*Label 2205*/ GIMT_Encode4(125542),
     /*  125433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  125436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  125439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125447 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  125451 */   GIM_Try, /*On fail goto*//*Label 2206*/ GIMT_Encode4(125496), // Rule ID 47702 //
     /*  125456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125459 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  125459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  125462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125494 */     GIR_RootConstrainSelectedInstOperands,
     /*  125495 */     // GIR_Coverage, 47702,
     /*  125495 */     GIR_EraseRootFromParent_Done,
     /*  125496 */   // Label 2206: @125496
     /*  125496 */   GIM_Try, /*On fail goto*//*Label 2207*/ GIMT_Encode4(125541), // Rule ID 47703 //
     /*  125501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125504 */     // (and:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  125504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  125507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  125521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  125536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125539 */     GIR_RootConstrainSelectedInstOperands,
     /*  125540 */     // GIR_Coverage, 47703,
     /*  125540 */     GIR_EraseRootFromParent_Done,
     /*  125541 */   // Label 2207: @125541
     /*  125541 */   GIM_Reject,
     /*  125542 */ // Label 2205: @125542
     /*  125542 */ GIM_Reject,
     /*  125543 */ // Label 2050: @125543
     /*  125543 */ GIM_Try, /*On fail goto*//*Label 2208*/ GIMT_Encode4(125657),
     /*  125548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  125551 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  125554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  125566 */   GIM_Try, /*On fail goto*//*Label 2209*/ GIMT_Encode4(125611), // Rule ID 47718 //
     /*  125571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125574 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  125574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  125577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  125591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  125606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125609 */     GIR_RootConstrainSelectedInstOperands,
     /*  125610 */     // GIR_Coverage, 47718,
     /*  125610 */     GIR_EraseRootFromParent_Done,
     /*  125611 */   // Label 2209: @125611
     /*  125611 */   GIM_Try, /*On fail goto*//*Label 2210*/ GIMT_Encode4(125656), // Rule ID 47719 //
     /*  125616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125619 */     // (and:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  125619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  125622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  125636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  125651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125654 */     GIR_RootConstrainSelectedInstOperands,
     /*  125655 */     // GIR_Coverage, 47719,
     /*  125655 */     GIR_EraseRootFromParent_Done,
     /*  125656 */   // Label 2210: @125656
     /*  125656 */   GIM_Reject,
     /*  125657 */ // Label 2208: @125657
     /*  125657 */ GIM_Reject,
     /*  125658 */ // Label 2051: @125658
     /*  125658 */ GIM_Try, /*On fail goto*//*Label 2211*/ GIMT_Encode4(125772),
     /*  125663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  125666 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  125669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125677 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  125681 */   GIM_Try, /*On fail goto*//*Label 2212*/ GIMT_Encode4(125726), // Rule ID 47734 //
     /*  125686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  125689 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  125689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  125692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  125706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125724 */     GIR_RootConstrainSelectedInstOperands,
     /*  125725 */     // GIR_Coverage, 47734,
     /*  125725 */     GIR_EraseRootFromParent_Done,
     /*  125726 */   // Label 2212: @125726
     /*  125726 */   GIM_Try, /*On fail goto*//*Label 2213*/ GIMT_Encode4(125771), // Rule ID 47735 //
     /*  125731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  125734 */     // (and:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  125734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  125737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  125741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  125746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  125748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  125751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  125756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  125758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  125760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  125766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  125769 */     GIR_RootConstrainSelectedInstOperands,
     /*  125770 */     // GIR_Coverage, 47735,
     /*  125770 */     GIR_EraseRootFromParent_Done,
     /*  125771 */   // Label 2213: @125771
     /*  125771 */   GIM_Reject,
     /*  125772 */ // Label 2211: @125772
     /*  125772 */ GIM_Reject,
     /*  125773 */ // Label 2052: @125773
     /*  125773 */ GIM_Try, /*On fail goto*//*Label 2214*/ GIMT_Encode4(126383),
     /*  125778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125788 */   GIM_Try, /*On fail goto*//*Label 2215*/ GIMT_Encode4(125854), // Rule ID 71778 //
     /*  125793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125808 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125833 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125835 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125852 */     GIR_RootConstrainSelectedInstOperands,
     /*  125853 */     // GIR_Coverage, 71778,
     /*  125853 */     GIR_EraseRootFromParent_Done,
     /*  125854 */   // Label 2215: @125854
     /*  125854 */   GIM_Try, /*On fail goto*//*Label 2216*/ GIMT_Encode4(125920), // Rule ID 71779 //
     /*  125859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125878 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  125882 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125886 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  125890 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125899 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125901 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  125901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125908 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  125912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125918 */     GIR_RootConstrainSelectedInstOperands,
     /*  125919 */     // GIR_Coverage, 71779,
     /*  125919 */     GIR_EraseRootFromParent_Done,
     /*  125920 */   // Label 2216: @125920
     /*  125920 */   GIM_Try, /*On fail goto*//*Label 2217*/ GIMT_Encode4(125986), // Rule ID 71776 //
     /*  125925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  125928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  125936 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  125940 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  125944 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  125953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  125957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  125961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  125965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  125967 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  125967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  125970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  125972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  125974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  125978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  125981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  125984 */     GIR_RootConstrainSelectedInstOperands,
     /*  125985 */     // GIR_Coverage, 71776,
     /*  125985 */     GIR_EraseRootFromParent_Done,
     /*  125986 */   // Label 2217: @125986
     /*  125986 */   GIM_Try, /*On fail goto*//*Label 2218*/ GIMT_Encode4(126052), // Rule ID 71777 //
     /*  125991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  125994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  125998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126006 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126031 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126033 */     // (and:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126040 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126050 */     GIR_RootConstrainSelectedInstOperands,
     /*  126051 */     // GIR_Coverage, 71777,
     /*  126051 */     GIR_EraseRootFromParent_Done,
     /*  126052 */   // Label 2218: @126052
     /*  126052 */   GIM_Try, /*On fail goto*//*Label 2219*/ GIMT_Encode4(126118), // Rule ID 71774 //
     /*  126057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126072 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126076 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126092 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126097 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126099 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126106 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126116 */     GIR_RootConstrainSelectedInstOperands,
     /*  126117 */     // GIR_Coverage, 71774,
     /*  126117 */     GIR_EraseRootFromParent_Done,
     /*  126118 */   // Label 2219: @126118
     /*  126118 */   GIM_Try, /*On fail goto*//*Label 2220*/ GIMT_Encode4(126184), // Rule ID 71775 //
     /*  126123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126130 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126134 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126138 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126142 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126158 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126163 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126165 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126172 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126182 */     GIR_RootConstrainSelectedInstOperands,
     /*  126183 */     // GIR_Coverage, 71775,
     /*  126183 */     GIR_EraseRootFromParent_Done,
     /*  126184 */   // Label 2220: @126184
     /*  126184 */   GIM_Try, /*On fail goto*//*Label 2221*/ GIMT_Encode4(126250), // Rule ID 53242 //
     /*  126189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126204 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126208 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126212 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126229 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126231 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126238 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126248 */     GIR_RootConstrainSelectedInstOperands,
     /*  126249 */     // GIR_Coverage, 53242,
     /*  126249 */     GIR_EraseRootFromParent_Done,
     /*  126250 */   // Label 2221: @126250
     /*  126250 */   GIM_Try, /*On fail goto*//*Label 2222*/ GIMT_Encode4(126316), // Rule ID 53243 //
     /*  126255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  126266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  126274 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  126278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126283 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126287 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126291 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126295 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126297 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  126300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126314 */     GIR_RootConstrainSelectedInstOperands,
     /*  126315 */     // GIR_Coverage, 53243,
     /*  126315 */     GIR_EraseRootFromParent_Done,
     /*  126316 */   // Label 2222: @126316
     /*  126316 */   GIM_Try, /*On fail goto*//*Label 2223*/ GIMT_Encode4(126349), // Rule ID 53230 //
     /*  126321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126332 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  126335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126347 */     GIR_RootConstrainSelectedInstOperands,
     /*  126348 */     // GIR_Coverage, 53230,
     /*  126348 */     GIR_EraseRootFromParent_Done,
     /*  126349 */   // Label 2223: @126349
     /*  126349 */   GIM_Try, /*On fail goto*//*Label 2224*/ GIMT_Encode4(126382), // Rule ID 53231 //
     /*  126354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126365 */     // (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  126368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126380 */     GIR_RootConstrainSelectedInstOperands,
     /*  126381 */     // GIR_Coverage, 53231,
     /*  126381 */     GIR_EraseRootFromParent_Done,
     /*  126382 */   // Label 2224: @126382
     /*  126382 */   GIM_Reject,
     /*  126383 */ // Label 2214: @126383
     /*  126383 */ GIM_Reject,
     /*  126384 */ // Label 2053: @126384
     /*  126384 */ GIM_Try, /*On fail goto*//*Label 2225*/ GIMT_Encode4(126498),
     /*  126389 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  126392 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  126395 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126399 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  126407 */   GIM_Try, /*On fail goto*//*Label 2226*/ GIMT_Encode4(126452), // Rule ID 47690 //
     /*  126412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126415 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  126415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  126418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  126432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126450 */     GIR_RootConstrainSelectedInstOperands,
     /*  126451 */     // GIR_Coverage, 47690,
     /*  126451 */     GIR_EraseRootFromParent_Done,
     /*  126452 */   // Label 2226: @126452
     /*  126452 */   GIM_Try, /*On fail goto*//*Label 2227*/ GIMT_Encode4(126497), // Rule ID 47691 //
     /*  126457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126460 */     // (and:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  126460 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  126463 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126467 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126472 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  126477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126479 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126495 */     GIR_RootConstrainSelectedInstOperands,
     /*  126496 */     // GIR_Coverage, 47691,
     /*  126496 */     GIR_EraseRootFromParent_Done,
     /*  126497 */   // Label 2227: @126497
     /*  126497 */   GIM_Reject,
     /*  126498 */ // Label 2225: @126498
     /*  126498 */ GIM_Reject,
     /*  126499 */ // Label 2054: @126499
     /*  126499 */ GIM_Try, /*On fail goto*//*Label 2228*/ GIMT_Encode4(126613),
     /*  126504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  126507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  126510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  126522 */   GIM_Try, /*On fail goto*//*Label 2229*/ GIMT_Encode4(126567), // Rule ID 47706 //
     /*  126527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126530 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  126530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  126533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126565 */     GIR_RootConstrainSelectedInstOperands,
     /*  126566 */     // GIR_Coverage, 47706,
     /*  126566 */     GIR_EraseRootFromParent_Done,
     /*  126567 */   // Label 2229: @126567
     /*  126567 */   GIM_Try, /*On fail goto*//*Label 2230*/ GIMT_Encode4(126612), // Rule ID 47707 //
     /*  126572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126575 */     // (and:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  126575 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  126578 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126582 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126587 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  126592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126594 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  126607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126610 */     GIR_RootConstrainSelectedInstOperands,
     /*  126611 */     // GIR_Coverage, 47707,
     /*  126611 */     GIR_EraseRootFromParent_Done,
     /*  126612 */   // Label 2230: @126612
     /*  126612 */   GIM_Reject,
     /*  126613 */ // Label 2228: @126613
     /*  126613 */ GIM_Reject,
     /*  126614 */ // Label 2055: @126614
     /*  126614 */ GIM_Try, /*On fail goto*//*Label 2231*/ GIMT_Encode4(126728),
     /*  126619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  126622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  126625 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126629 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126633 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  126637 */   GIM_Try, /*On fail goto*//*Label 2232*/ GIMT_Encode4(126682), // Rule ID 47722 //
     /*  126642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126645 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  126645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  126648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  126662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126680 */     GIR_RootConstrainSelectedInstOperands,
     /*  126681 */     // GIR_Coverage, 47722,
     /*  126681 */     GIR_EraseRootFromParent_Done,
     /*  126682 */   // Label 2232: @126682
     /*  126682 */   GIM_Try, /*On fail goto*//*Label 2233*/ GIMT_Encode4(126727), // Rule ID 47723 //
     /*  126687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126690 */     // (and:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  126690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  126693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  126697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  126702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  126704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  126707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  126712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  126714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  126716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  126722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  126725 */     GIR_RootConstrainSelectedInstOperands,
     /*  126726 */     // GIR_Coverage, 47723,
     /*  126726 */     GIR_EraseRootFromParent_Done,
     /*  126727 */   // Label 2233: @126727
     /*  126727 */   GIM_Reject,
     /*  126728 */ // Label 2231: @126728
     /*  126728 */ GIM_Reject,
     /*  126729 */ // Label 2056: @126729
     /*  126729 */ GIM_Try, /*On fail goto*//*Label 2234*/ GIMT_Encode4(127339),
     /*  126734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126737 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126744 */   GIM_Try, /*On fail goto*//*Label 2235*/ GIMT_Encode4(126810), // Rule ID 71806 //
     /*  126749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126768 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126772 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126776 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126780 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126789 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126791 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126808 */     GIR_RootConstrainSelectedInstOperands,
     /*  126809 */     // GIR_Coverage, 71806,
     /*  126809 */     GIR_EraseRootFromParent_Done,
     /*  126810 */   // Label 2235: @126810
     /*  126810 */   GIM_Try, /*On fail goto*//*Label 2236*/ GIMT_Encode4(126876), // Rule ID 71807 //
     /*  126815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126826 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126830 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126834 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  126838 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126842 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126846 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126855 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126857 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126864 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  126868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126874 */     GIR_RootConstrainSelectedInstOperands,
     /*  126875 */     // GIR_Coverage, 71807,
     /*  126875 */     GIR_EraseRootFromParent_Done,
     /*  126876 */   // Label 2236: @126876
     /*  126876 */   GIM_Try, /*On fail goto*//*Label 2237*/ GIMT_Encode4(126942), // Rule ID 71804 //
     /*  126881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  126884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126905 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126909 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126913 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  126917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126921 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126923 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  126923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126930 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  126934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  126937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  126940 */     GIR_RootConstrainSelectedInstOperands,
     /*  126941 */     // GIR_Coverage, 71804,
     /*  126941 */     GIR_EraseRootFromParent_Done,
     /*  126942 */   // Label 2237: @126942
     /*  126942 */   GIM_Try, /*On fail goto*//*Label 2238*/ GIMT_Encode4(127008), // Rule ID 71805 //
     /*  126947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  126950 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  126954 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  126958 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  126962 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  126966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  126975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  126979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  126983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  126987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  126989 */     // (and:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  126989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  126992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  126994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  126996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127006 */     GIR_RootConstrainSelectedInstOperands,
     /*  127007 */     // GIR_Coverage, 71805,
     /*  127007 */     GIR_EraseRootFromParent_Done,
     /*  127008 */   // Label 2238: @127008
     /*  127008 */   GIM_Try, /*On fail goto*//*Label 2239*/ GIMT_Encode4(127074), // Rule ID 71802 //
     /*  127013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127028 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127032 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127036 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127040 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127044 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127048 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127053 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127055 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127072 */     GIR_RootConstrainSelectedInstOperands,
     /*  127073 */     // GIR_Coverage, 71802,
     /*  127073 */     GIR_EraseRootFromParent_Done,
     /*  127074 */   // Label 2239: @127074
     /*  127074 */   GIM_Try, /*On fail goto*//*Label 2240*/ GIMT_Encode4(127140), // Rule ID 71803 //
     /*  127079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127086 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127090 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127094 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127098 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127102 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127106 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127110 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127119 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127121 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127128 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127138 */     GIR_RootConstrainSelectedInstOperands,
     /*  127139 */     // GIR_Coverage, 71803,
     /*  127139 */     GIR_EraseRootFromParent_Done,
     /*  127140 */   // Label 2240: @127140
     /*  127140 */   GIM_Try, /*On fail goto*//*Label 2241*/ GIMT_Encode4(127206), // Rule ID 53260 //
     /*  127145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127164 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127173 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127177 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127181 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127185 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127187 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127204 */     GIR_RootConstrainSelectedInstOperands,
     /*  127205 */     // GIR_Coverage, 53260,
     /*  127205 */     GIR_EraseRootFromParent_Done,
     /*  127206 */   // Label 2241: @127206
     /*  127206 */   GIM_Try, /*On fail goto*//*Label 2242*/ GIMT_Encode4(127272), // Rule ID 53261 //
     /*  127211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127226 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  127230 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  127234 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127239 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127243 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127247 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127253 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  127256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127270 */     GIR_RootConstrainSelectedInstOperands,
     /*  127271 */     // GIR_Coverage, 53261,
     /*  127271 */     GIR_EraseRootFromParent_Done,
     /*  127272 */   // Label 2242: @127272
     /*  127272 */   GIM_Try, /*On fail goto*//*Label 2243*/ GIMT_Encode4(127305), // Rule ID 53248 //
     /*  127277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127288 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  127291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127303 */     GIR_RootConstrainSelectedInstOperands,
     /*  127304 */     // GIR_Coverage, 53248,
     /*  127304 */     GIR_EraseRootFromParent_Done,
     /*  127305 */   // Label 2243: @127305
     /*  127305 */   GIM_Try, /*On fail goto*//*Label 2244*/ GIMT_Encode4(127338), // Rule ID 53249 //
     /*  127310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127321 */     // (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  127324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127326 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127336 */     GIR_RootConstrainSelectedInstOperands,
     /*  127337 */     // GIR_Coverage, 53249,
     /*  127337 */     GIR_EraseRootFromParent_Done,
     /*  127338 */   // Label 2244: @127338
     /*  127338 */   GIM_Reject,
     /*  127339 */ // Label 2234: @127339
     /*  127339 */ GIM_Reject,
     /*  127340 */ // Label 2057: @127340
     /*  127340 */ GIM_Try, /*On fail goto*//*Label 2245*/ GIMT_Encode4(127454),
     /*  127345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  127348 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  127351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127355 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127359 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  127363 */   GIM_Try, /*On fail goto*//*Label 2246*/ GIMT_Encode4(127408), // Rule ID 47694 //
     /*  127368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127371 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  127371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  127374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  127388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127406 */     GIR_RootConstrainSelectedInstOperands,
     /*  127407 */     // GIR_Coverage, 47694,
     /*  127407 */     GIR_EraseRootFromParent_Done,
     /*  127408 */   // Label 2246: @127408
     /*  127408 */   GIM_Try, /*On fail goto*//*Label 2247*/ GIMT_Encode4(127453), // Rule ID 47695 //
     /*  127413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127416 */     // (and:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  127416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  127419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  127433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127451 */     GIR_RootConstrainSelectedInstOperands,
     /*  127452 */     // GIR_Coverage, 47695,
     /*  127452 */     GIR_EraseRootFromParent_Done,
     /*  127453 */   // Label 2247: @127453
     /*  127453 */   GIM_Reject,
     /*  127454 */ // Label 2245: @127454
     /*  127454 */ GIM_Reject,
     /*  127455 */ // Label 2058: @127455
     /*  127455 */ GIM_Try, /*On fail goto*//*Label 2248*/ GIMT_Encode4(127569),
     /*  127460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  127463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  127466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127474 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  127478 */   GIM_Try, /*On fail goto*//*Label 2249*/ GIMT_Encode4(127523), // Rule ID 47710 //
     /*  127483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127486 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  127486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  127489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127521 */     GIR_RootConstrainSelectedInstOperands,
     /*  127522 */     // GIR_Coverage, 47710,
     /*  127522 */     GIR_EraseRootFromParent_Done,
     /*  127523 */   // Label 2249: @127523
     /*  127523 */   GIM_Try, /*On fail goto*//*Label 2250*/ GIMT_Encode4(127568), // Rule ID 47711 //
     /*  127528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127531 */     // (and:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  127531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  127534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  127538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  127543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  127545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  127548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  127553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  127557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  127563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  127566 */     GIR_RootConstrainSelectedInstOperands,
     /*  127567 */     // GIR_Coverage, 47711,
     /*  127567 */     GIR_EraseRootFromParent_Done,
     /*  127568 */   // Label 2250: @127568
     /*  127568 */   GIM_Reject,
     /*  127569 */ // Label 2248: @127569
     /*  127569 */ GIM_Reject,
     /*  127570 */ // Label 2059: @127570
     /*  127570 */ GIM_Try, /*On fail goto*//*Label 2251*/ GIMT_Encode4(128180),
     /*  127575 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127578 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127585 */   GIM_Try, /*On fail goto*//*Label 2252*/ GIMT_Encode4(127651), // Rule ID 71834 //
     /*  127590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127605 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127632 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127649 */     GIR_RootConstrainSelectedInstOperands,
     /*  127650 */     // GIR_Coverage, 71834,
     /*  127650 */     GIR_EraseRootFromParent_Done,
     /*  127651 */   // Label 2252: @127651
     /*  127651 */   GIM_Try, /*On fail goto*//*Label 2253*/ GIMT_Encode4(127717), // Rule ID 71835 //
     /*  127656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127667 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127671 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127696 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127698 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127715 */     GIR_RootConstrainSelectedInstOperands,
     /*  127716 */     // GIR_Coverage, 71835,
     /*  127716 */     GIR_EraseRootFromParent_Done,
     /*  127717 */   // Label 2253: @127717
     /*  127717 */   GIM_Try, /*On fail goto*//*Label 2254*/ GIMT_Encode4(127783), // Rule ID 71832 //
     /*  127722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127737 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127762 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127764 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127781 */     GIR_RootConstrainSelectedInstOperands,
     /*  127782 */     // GIR_Coverage, 71832,
     /*  127782 */     GIR_EraseRootFromParent_Done,
     /*  127783 */   // Label 2254: @127783
     /*  127783 */   GIM_Try, /*On fail goto*//*Label 2255*/ GIMT_Encode4(127849), // Rule ID 71833 //
     /*  127788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  127795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127812 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  127816 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127820 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127830 */     // (and:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  127837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  127841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127847 */     GIR_RootConstrainSelectedInstOperands,
     /*  127848 */     // GIR_Coverage, 71833,
     /*  127848 */     GIR_EraseRootFromParent_Done,
     /*  127849 */   // Label 2255: @127849
     /*  127849 */   GIM_Try, /*On fail goto*//*Label 2256*/ GIMT_Encode4(127915), // Rule ID 71830 //
     /*  127854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127869 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127873 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127877 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127881 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127885 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  127889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127896 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  127896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127901 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127913 */     GIR_RootConstrainSelectedInstOperands,
     /*  127914 */     // GIR_Coverage, 71830,
     /*  127914 */     GIR_EraseRootFromParent_Done,
     /*  127915 */   // Label 2256: @127915
     /*  127915 */   GIM_Try, /*On fail goto*//*Label 2257*/ GIMT_Encode4(127981), // Rule ID 71831 //
     /*  127920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  127923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  127935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  127939 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  127943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  127947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  127951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  127955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  127962 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  127962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  127965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  127967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  127969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  127973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  127976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  127979 */     GIR_RootConstrainSelectedInstOperands,
     /*  127980 */     // GIR_Coverage, 71831,
     /*  127980 */     GIR_EraseRootFromParent_Done,
     /*  127981 */   // Label 2257: @127981
     /*  127981 */   GIM_Try, /*On fail goto*//*Label 2258*/ GIMT_Encode4(128047), // Rule ID 53278 //
     /*  127986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  127989 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  127993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  127997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  128001 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  128005 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  128009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  128022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  128026 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128028 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  128028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  128031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128035 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128045 */     GIR_RootConstrainSelectedInstOperands,
     /*  128046 */     // GIR_Coverage, 53278,
     /*  128046 */     GIR_EraseRootFromParent_Done,
     /*  128047 */   // Label 2258: @128047
     /*  128047 */   GIM_Try, /*On fail goto*//*Label 2259*/ GIMT_Encode4(128113), // Rule ID 53279 //
     /*  128052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128055 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  128063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  128067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  128071 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  128075 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128080 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128084 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  128088 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  128094 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  128094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  128097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  128105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128111 */     GIR_RootConstrainSelectedInstOperands,
     /*  128112 */     // GIR_Coverage, 53279,
     /*  128112 */     GIR_EraseRootFromParent_Done,
     /*  128113 */   // Label 2259: @128113
     /*  128113 */   GIM_Try, /*On fail goto*//*Label 2260*/ GIMT_Encode4(128146), // Rule ID 53266 //
     /*  128118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128129 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  128129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  128132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  128138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128144 */     GIR_RootConstrainSelectedInstOperands,
     /*  128145 */     // GIR_Coverage, 53266,
     /*  128145 */     GIR_EraseRootFromParent_Done,
     /*  128146 */   // Label 2260: @128146
     /*  128146 */   GIM_Try, /*On fail goto*//*Label 2261*/ GIMT_Encode4(128179), // Rule ID 53267 //
     /*  128151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  128162 */     // (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  128162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  128165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  128171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  128177 */     GIR_RootConstrainSelectedInstOperands,
     /*  128178 */     // GIR_Coverage, 53267,
     /*  128178 */     GIR_EraseRootFromParent_Done,
     /*  128179 */   // Label 2261: @128179
     /*  128179 */   GIM_Reject,
     /*  128180 */ // Label 2251: @128180
     /*  128180 */ GIM_Reject,
     /*  128181 */ // Label 2060: @128181
     /*  128181 */ GIM_Try, /*On fail goto*//*Label 2262*/ GIMT_Encode4(128295),
     /*  128186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  128189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  128192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  128204 */   GIM_Try, /*On fail goto*//*Label 2263*/ GIMT_Encode4(128249), // Rule ID 47698 //
     /*  128209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  128212 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  128212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  128215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  128219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  128229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  128238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128247 */     GIR_RootConstrainSelectedInstOperands,
     /*  128248 */     // GIR_Coverage, 47698,
     /*  128248 */     GIR_EraseRootFromParent_Done,
     /*  128249 */   // Label 2263: @128249
     /*  128249 */   GIM_Try, /*On fail goto*//*Label 2264*/ GIMT_Encode4(128294), // Rule ID 47699 //
     /*  128254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  128257 */     // (and:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  128257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  128260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  128264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  128274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  128281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  128283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  128286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  128292 */     GIR_RootConstrainSelectedInstOperands,
     /*  128293 */     // GIR_Coverage, 47699,
     /*  128293 */     GIR_EraseRootFromParent_Done,
     /*  128294 */   // Label 2264: @128294
     /*  128294 */   GIM_Reject,
     /*  128295 */ // Label 2262: @128295
     /*  128295 */ GIM_Reject,
     /*  128296 */ // Label 2061: @128296
     /*  128296 */ GIM_Reject,
     /*  128297 */ // Label 8: @128297
     /*  128297 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2296*/ GIMT_Encode4(140917),
     /*  128308 */ /*GILLT_s32*//*Label 2265*/ GIMT_Encode4(128432),
     /*  128312 */ /*GILLT_s64*//*Label 2266*/ GIMT_Encode4(131162),
     /*  128316 */ /*GILLT_nxv1s1*//*Label 2267*/ GIMT_Encode4(134110),
     /*  128320 */ /*GILLT_nxv1s8*//*Label 2268*/ GIMT_Encode4(134721),
     /*  128324 */ /*GILLT_nxv1s16*//*Label 2269*/ GIMT_Encode4(134836),
     /*  128328 */ /*GILLT_nxv1s32*//*Label 2270*/ GIMT_Encode4(134951),
     /*  128332 */ /*GILLT_nxv1s64*//*Label 2271*/ GIMT_Encode4(135066),
     /*  128336 */ /*GILLT_nxv2s1*//*Label 2272*/ GIMT_Encode4(135181),
     /*  128340 */ /*GILLT_nxv2s8*//*Label 2273*/ GIMT_Encode4(135792),
     /*  128344 */ /*GILLT_nxv2s16*//*Label 2274*/ GIMT_Encode4(135907),
     /*  128348 */ /*GILLT_nxv2s32*//*Label 2275*/ GIMT_Encode4(136022),
     /*  128352 */ /*GILLT_nxv2s64*//*Label 2276*/ GIMT_Encode4(136137),
     /*  128356 */ /*GILLT_nxv4s1*//*Label 2277*/ GIMT_Encode4(136252),
     /*  128360 */ /*GILLT_nxv4s8*//*Label 2278*/ GIMT_Encode4(136863),
     /*  128364 */ /*GILLT_nxv4s16*//*Label 2279*/ GIMT_Encode4(136978),
     /*  128368 */ /*GILLT_nxv4s32*//*Label 2280*/ GIMT_Encode4(137093),
     /*  128372 */ /*GILLT_nxv4s64*//*Label 2281*/ GIMT_Encode4(137208),
     /*  128376 */ /*GILLT_nxv8s1*//*Label 2282*/ GIMT_Encode4(137323),
     /*  128380 */ /*GILLT_nxv8s8*//*Label 2283*/ GIMT_Encode4(137934),
     /*  128384 */ /*GILLT_nxv8s16*//*Label 2284*/ GIMT_Encode4(138049),
     /*  128388 */ /*GILLT_nxv8s32*//*Label 2285*/ GIMT_Encode4(138164),
     /*  128392 */ /*GILLT_nxv8s64*//*Label 2286*/ GIMT_Encode4(138279),
     /*  128396 */ /*GILLT_nxv16s1*//*Label 2287*/ GIMT_Encode4(138394),
     /*  128400 */ /*GILLT_nxv16s8*//*Label 2288*/ GIMT_Encode4(139005),
     /*  128404 */ /*GILLT_nxv16s16*//*Label 2289*/ GIMT_Encode4(139120),
     /*  128408 */ /*GILLT_nxv16s32*//*Label 2290*/ GIMT_Encode4(139235),
     /*  128412 */ /*GILLT_nxv32s1*//*Label 2291*/ GIMT_Encode4(139350),
     /*  128416 */ /*GILLT_nxv32s8*//*Label 2292*/ GIMT_Encode4(139961),
     /*  128420 */ /*GILLT_nxv32s16*//*Label 2293*/ GIMT_Encode4(140076),
     /*  128424 */ /*GILLT_nxv64s1*//*Label 2294*/ GIMT_Encode4(140191),
     /*  128428 */ /*GILLT_nxv64s8*//*Label 2295*/ GIMT_Encode4(140802),
     /*  128432 */ // Label 2265: @128432
     /*  128432 */ GIM_Try, /*On fail goto*//*Label 2297*/ GIMT_Encode4(131161),
     /*  128437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  128440 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  128443 */   GIM_Try, /*On fail goto*//*Label 2298*/ GIMT_Encode4(128638), // Rule ID 65484 //
     /*  128448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128463 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128467 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128471 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128475 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128479 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128483 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128487 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128491 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128495 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128499 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128503 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128507 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128511 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128515 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128519 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128523 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  128527 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128531 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128535 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128539 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128543 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  128547 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128549 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128556 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128563 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128570 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128577 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128577 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128580 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128584 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  128594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  128599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128601 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128604 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128608 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  128618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  128623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128636 */     GIR_RootConstrainSelectedInstOperands,
     /*  128637 */     // GIR_Coverage, 65484,
     /*  128637 */     GIR_EraseRootFromParent_Done,
     /*  128638 */   // Label 2298: @128638
     /*  128638 */   GIM_Try, /*On fail goto*//*Label 2299*/ GIMT_Encode4(128833), // Rule ID 65486 //
     /*  128643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128658 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128662 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128666 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  128670 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128674 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128678 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128682 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128686 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128690 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128694 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128698 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128702 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128706 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128710 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128714 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128718 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  128722 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128726 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128730 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128734 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128738 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  128742 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128744 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128751 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128758 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128765 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128772 */     // (or:{ *:[i32] } (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128772 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128775 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128779 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  128789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  128794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  128813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  128818 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  128820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  128823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  128825 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  128828 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  128831 */     GIR_RootConstrainSelectedInstOperands,
     /*  128832 */     // GIR_Coverage, 65486,
     /*  128832 */     GIR_EraseRootFromParent_Done,
     /*  128833 */   // Label 2299: @128833
     /*  128833 */   GIM_Try, /*On fail goto*//*Label 2300*/ GIMT_Encode4(129028), // Rule ID 65480 //
     /*  128838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  128841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  128845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  128849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128853 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  128857 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  128861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  128865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  128873 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  128877 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  128881 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  128885 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  128889 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  128893 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  128897 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  128901 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128905 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  128909 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  128913 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  128917 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  128921 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  128925 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  128929 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  128933 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  128937 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  128939 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  128946 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  128953 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  128960 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  128967 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  128967 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  128970 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128974 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  128979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  128984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  128989 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  128991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  128994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  128998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  129008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  129013 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129020 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129026 */     GIR_RootConstrainSelectedInstOperands,
     /*  129027 */     // GIR_Coverage, 65480,
     /*  129027 */     GIR_EraseRootFromParent_Done,
     /*  129028 */   // Label 2300: @129028
     /*  129028 */   GIM_Try, /*On fail goto*//*Label 2301*/ GIMT_Encode4(129223), // Rule ID 65482 //
     /*  129033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129056 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129060 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129064 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129068 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129072 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  129076 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  129080 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129084 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129088 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129092 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  129096 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129100 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129104 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129108 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  129112 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  129116 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129120 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129124 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129128 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  129132 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129134 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129141 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129148 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129155 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129162 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129162 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129165 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129169 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  129179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  129184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  129203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  129208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129218 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129221 */     GIR_RootConstrainSelectedInstOperands,
     /*  129222 */     // GIR_Coverage, 65482,
     /*  129222 */     GIR_EraseRootFromParent_Done,
     /*  129223 */   // Label 2301: @129223
     /*  129223 */   GIM_Try, /*On fail goto*//*Label 2302*/ GIMT_Encode4(129418), // Rule ID 65474 //
     /*  129228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129247 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129263 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129267 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  129271 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129275 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129279 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129283 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129287 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  129291 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129295 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129299 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129303 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129307 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  129311 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129315 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129319 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129323 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129327 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129329 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129336 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129343 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129350 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129357 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129357 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129360 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129364 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  129374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  129379 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  129398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  129403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129416 */     GIR_RootConstrainSelectedInstOperands,
     /*  129417 */     // GIR_Coverage, 65474,
     /*  129417 */     GIR_EraseRootFromParent_Done,
     /*  129418 */   // Label 2302: @129418
     /*  129418 */   GIM_Try, /*On fail goto*//*Label 2303*/ GIMT_Encode4(129613), // Rule ID 65478 //
     /*  129423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129438 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129442 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129446 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129450 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129454 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129458 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129462 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  129466 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129470 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129474 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129478 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129482 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  129486 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129490 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129494 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129498 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129502 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  129506 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129510 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129514 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129518 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129522 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129524 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129531 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129538 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129545 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129552 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] })))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129552 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129555 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129559 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  129569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  129574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  129593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  129598 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129605 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129611 */     GIR_RootConstrainSelectedInstOperands,
     /*  129612 */     // GIR_Coverage, 65478,
     /*  129612 */     GIR_EraseRootFromParent_Done,
     /*  129613 */   // Label 2303: @129613
     /*  129613 */   GIM_Try, /*On fail goto*//*Label 2304*/ GIMT_Encode4(129808), // Rule ID 2547 //
     /*  129618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129637 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129641 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129645 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129649 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129653 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129657 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  129661 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129665 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129669 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129673 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129677 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  129681 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129685 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129689 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129693 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129697 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  129701 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129705 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129709 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129713 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129717 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129719 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129726 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129733 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129740 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129747 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129747 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129750 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129754 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  129764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  129769 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  129788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  129793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  129806 */     GIR_RootConstrainSelectedInstOperands,
     /*  129807 */     // GIR_Coverage, 2547,
     /*  129807 */     GIR_EraseRootFromParent_Done,
     /*  129808 */   // Label 2304: @129808
     /*  129808 */   GIM_Try, /*On fail goto*//*Label 2305*/ GIMT_Encode4(130003), // Rule ID 65476 //
     /*  129813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  129816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  129820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  129824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  129832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  129836 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  129840 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129844 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  129848 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  129852 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  129856 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  129860 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129864 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s32,
     /*  129868 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s32,
     /*  129872 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  129876 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  129880 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  129884 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s32,
     /*  129888 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s32,
     /*  129892 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  129896 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  129900 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s32,
     /*  129904 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s32,
     /*  129908 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  129912 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  129914 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  129921 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  129928 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  129935 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  129942 */     // (or:{ *:[i32] } (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op1rs2), 24:{ *:[i32] })), (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1)))  =>  (PACK:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op0rs1, GPR:{ *:[i32] }:$op0rs2), (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$op1rs1, GPR:{ *:[i32] }:$op1rs2))
     /*  129942 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s32,
     /*  129945 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129949 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  129959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  129964 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  129966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  129969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  129973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  129978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  129983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  129988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  129990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  129993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  129995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  129998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  130001 */     GIR_RootConstrainSelectedInstOperands,
     /*  130002 */     // GIR_Coverage, 65476,
     /*  130002 */     GIR_EraseRootFromParent_Done,
     /*  130003 */   // Label 2305: @130003
     /*  130003 */   GIM_Try, /*On fail goto*//*Label 2306*/ GIMT_Encode4(130108), // Rule ID 2542 //
     /*  130008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130027 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130031 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  130035 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  130039 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130043 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130047 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130051 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  130055 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130057 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130064 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130071 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  130071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  130074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  130088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  130098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  130106 */     GIR_RootConstrainSelectedInstOperands,
     /*  130107 */     // GIR_Coverage, 2542,
     /*  130107 */     GIR_EraseRootFromParent_Done,
     /*  130108 */   // Label 2306: @130108
     /*  130108 */   GIM_Try, /*On fail goto*//*Label 2307*/ GIMT_Encode4(130213), // Rule ID 65469 //
     /*  130113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130128 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130132 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130136 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  130144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130148 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130152 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130156 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  130160 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130169 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130176 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), 16:{ *:[i32] }), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 24:{ *:[i32] }))  =>  (SLLI:{ *:[i32] } (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 16:{ *:[i32] })
     /*  130176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  130179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  130188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  130198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  130200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  130203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  130208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  130211 */     GIR_RootConstrainSelectedInstOperands,
     /*  130212 */     // GIR_Coverage, 65469,
     /*  130212 */     GIR_EraseRootFromParent_Done,
     /*  130213 */   // Label 2307: @130213
     /*  130213 */   GIM_Try, /*On fail goto*//*Label 2308*/ GIMT_Encode4(130302), // Rule ID 65463 //
     /*  130218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  130233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130237 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130241 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130245 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130249 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130253 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130257 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130262 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  130266 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  130277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130286 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  130300 */     GIR_RootConstrainSelectedInstOperands,
     /*  130301 */     // GIR_Coverage, 65463,
     /*  130301 */     GIR_EraseRootFromParent_Done,
     /*  130302 */   // Label 2308: @130302
     /*  130302 */   GIM_Try, /*On fail goto*//*Label 2309*/ GIMT_Encode4(130391), // Rule ID 2536 //
     /*  130307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  130322 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130326 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130330 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  130334 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130338 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  130342 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  130346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130351 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  130355 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  130366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  130368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130375 */     // (or:{ *:[i32] } (and:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), 65535:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  130389 */     GIR_RootConstrainSelectedInstOperands,
     /*  130390 */     // GIR_Coverage, 2536,
     /*  130390 */     GIR_EraseRootFromParent_Done,
     /*  130391 */   // Label 2309: @130391
     /*  130391 */   GIM_Try, /*On fail goto*//*Label 2310*/ GIMT_Encode4(130456), // Rule ID 65465 //
     /*  130396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130411 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130415 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130419 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130432 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130439 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  130454 */     GIR_RootConstrainSelectedInstOperands,
     /*  130455 */     // GIR_Coverage, 65465,
     /*  130455 */     GIR_EraseRootFromParent_Done,
     /*  130456 */   // Label 2310: @130456
     /*  130456 */   GIM_Try, /*On fail goto*//*Label 2311*/ GIMT_Encode4(130521), // Rule ID 2538 //
     /*  130461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130480 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130484 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  130497 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130504 */     // (or:{ *:[i32] } (shl:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs2), 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  130514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130519 */     GIR_RootConstrainSelectedInstOperands,
     /*  130520 */     // GIR_Coverage, 2538,
     /*  130520 */     GIR_EraseRootFromParent_Done,
     /*  130521 */   // Label 2311: @130521
     /*  130521 */   GIM_Try, /*On fail goto*//*Label 2312*/ GIMT_Encode4(130587), // Rule ID 65471 //
     /*  130526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130554 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130558 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11262),
     /*  130562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130571 */     // (or:{ *:[i32] } (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }))<<P:Predicate_anonymous_11262>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130585 */     GIR_RootConstrainSelectedInstOperands,
     /*  130586 */     // GIR_Coverage, 65471,
     /*  130586 */     GIR_EraseRootFromParent_Done,
     /*  130587 */   // Label 2312: @130587
     /*  130587 */   GIM_Try, /*On fail goto*//*Label 2313*/ GIMT_Encode4(130653), // Rule ID 2544 //
     /*  130592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode1),
     /*  130595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130620 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  130624 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11262),
     /*  130628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  130637 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 8:{ *:[i32] }), (zexti8:{ *:[i32] } GPR:{ *:[i32] }:$rs1))<<P:Predicate_anonymous_11262>>  =>  (PACKH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  130640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130651 */     GIR_RootConstrainSelectedInstOperands,
     /*  130652 */     // GIR_Coverage, 2544,
     /*  130652 */     GIR_EraseRootFromParent_Done,
     /*  130653 */   // Label 2313: @130653
     /*  130653 */   GIM_Try, /*On fail goto*//*Label 2314*/ GIMT_Encode4(130715), // Rule ID 2545 //
     /*  130658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  130661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130673 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130677 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130686 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  130699 */     // (or:{ *:[i32] } (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1), (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130713 */     GIR_RootConstrainSelectedInstOperands,
     /*  130714 */     // GIR_Coverage, 2545,
     /*  130714 */     GIR_EraseRootFromParent_Done,
     /*  130715 */   // Label 2314: @130715
     /*  130715 */   GIM_Try, /*On fail goto*//*Label 2315*/ GIMT_Encode4(130777), // Rule ID 65472 //
     /*  130720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode1),
     /*  130723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130748 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  130752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  130761 */     // (or:{ *:[i32] } (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs2, 16:{ *:[i32] }), (zexti16:{ *:[i32] } GPR:{ *:[i32] }:$rs1))  =>  (PACK:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  130764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  130771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130775 */     GIR_RootConstrainSelectedInstOperands,
     /*  130776 */     // GIR_Coverage, 65472,
     /*  130776 */     GIR_EraseRootFromParent_Done,
     /*  130777 */   // Label 2315: @130777
     /*  130777 */   GIM_Try, /*On fail goto*//*Label 2316*/ GIMT_Encode4(130836), // Rule ID 2471 //
     /*  130782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  130785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130801 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130805 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  130809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130815 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  130822 */     // (or:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  130825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130834 */     GIR_RootConstrainSelectedInstOperands,
     /*  130835 */     // GIR_Coverage, 2471,
     /*  130835 */     GIR_EraseRootFromParent_Done,
     /*  130836 */   // Label 2316: @130836
     /*  130836 */   GIM_Try, /*On fail goto*//*Label 2317*/ GIMT_Encode4(130895), // Rule ID 65459 //
     /*  130841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  130844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  130860 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130864 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130868 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  130872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130874 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  130881 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BSET:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  130884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  130888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  130893 */     GIR_RootConstrainSelectedInstOperands,
     /*  130894 */     // GIR_Coverage, 65459,
     /*  130894 */     GIR_EraseRootFromParent_Done,
     /*  130895 */   // Label 2317: @130895
     /*  130895 */   GIM_Try, /*On fail goto*//*Label 2318*/ GIMT_Encode4(130951), // Rule ID 65443 //
     /*  130900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  130903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  130911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130919 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130923 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130928 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  130932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130938 */     // (or:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs1)  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  130941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  130945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  130949 */     GIR_RootConstrainSelectedInstOperands,
     /*  130950 */     // GIR_Coverage, 65443,
     /*  130950 */     GIR_EraseRootFromParent_Done,
     /*  130951 */   // Label 2318: @130951
     /*  130951 */   GIM_Try, /*On fail goto*//*Label 2319*/ GIMT_Encode4(131007), // Rule ID 2445 //
     /*  130956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  130959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  130971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  130975 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  130979 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  130983 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  130988 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  130992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  130994 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (ORN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  130994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  130997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  130999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  131005 */     GIR_RootConstrainSelectedInstOperands,
     /*  131006 */     // GIR_Coverage, 2445,
     /*  131006 */     GIR_EraseRootFromParent_Done,
     /*  131007 */   // Label 2319: @131007
     /*  131007 */   GIM_Try, /*On fail goto*//*Label 2320*/ GIMT_Encode4(131049), // Rule ID 87 //
     /*  131012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  131015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  131035 */     // MIs[1] Operand 1
     /*  131035 */     // No operand predicates
     /*  131035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131037 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  131037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  131040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  131047 */     GIR_RootConstrainSelectedInstOperands,
     /*  131048 */     // GIR_Coverage, 87,
     /*  131048 */     GIR_EraseRootFromParent_Done,
     /*  131049 */   // Label 2320: @131049
     /*  131049 */   GIM_Try, /*On fail goto*//*Label 2321*/ GIMT_Encode4(131091), // Rule ID 64526 //
     /*  131054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  131057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  131061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  131065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  131077 */     // MIs[1] Operand 1
     /*  131077 */     // No operand predicates
     /*  131077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131079 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_ORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  131079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORAI),
     /*  131082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  131084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131086 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  131089 */     GIR_RootConstrainSelectedInstOperands,
     /*  131090 */     // GIR_Coverage, 64526,
     /*  131090 */     GIR_EraseRootFromParent_Done,
     /*  131091 */   // Label 2321: @131091
     /*  131091 */   GIM_Try, /*On fail goto*//*Label 2322*/ GIMT_Encode4(131133), // Rule ID 64530 //
     /*  131096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  131099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  131103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  131107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  131111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  131115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  131119 */     // MIs[1] Operand 1
     /*  131119 */     // No operand predicates
     /*  131119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  131121 */     // (or:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_ORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  131121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_ORI),
     /*  131124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  131128 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  131131 */     GIR_RootConstrainSelectedInstOperands,
     /*  131132 */     // GIR_Coverage, 64530,
     /*  131132 */     GIR_EraseRootFromParent_Done,
     /*  131133 */   // Label 2322: @131133
     /*  131133 */   GIM_Try, /*On fail goto*//*Label 2323*/ GIMT_Encode4(131160), // Rule ID 85 //
     /*  131138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  131141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131153 */     // (or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (OR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  131153 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  131158 */     GIR_RootConstrainSelectedInstOperands,
     /*  131159 */     // GIR_Coverage, 85,
     /*  131159 */     GIR_Done,
     /*  131160 */   // Label 2323: @131160
     /*  131160 */   GIM_Reject,
     /*  131161 */ // Label 2297: @131161
     /*  131161 */ GIM_Reject,
     /*  131162 */ // Label 2266: @131162
     /*  131162 */ GIM_Try, /*On fail goto*//*Label 2324*/ GIMT_Encode4(134109),
     /*  131167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  131170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  131173 */   GIM_Try, /*On fail goto*//*Label 2325*/ GIMT_Encode4(131368), // Rule ID 65483 //
     /*  131178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131197 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131213 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131217 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131221 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131225 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131229 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131233 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131237 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131241 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131245 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131249 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131253 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  131257 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131261 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131265 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131269 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131273 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  131277 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131279 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131286 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131293 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131300 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131307 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131307 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131310 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131314 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  131324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  131329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131331 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131334 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131338 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  131348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  131353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131366 */     GIR_RootConstrainSelectedInstOperands,
     /*  131367 */     // GIR_Coverage, 65483,
     /*  131367 */     GIR_EraseRootFromParent_Done,
     /*  131368 */   // Label 2325: @131368
     /*  131368 */   GIM_Try, /*On fail goto*//*Label 2326*/ GIMT_Encode4(131563), // Rule ID 65485 //
     /*  131373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131388 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131392 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131396 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  131400 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131404 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131408 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131412 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131416 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131420 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131424 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131428 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131432 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131436 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131440 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131444 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131448 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  131452 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131456 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131460 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131464 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131468 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  131472 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131474 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131481 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131488 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131495 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131502 */     // (or:{ *:[i64] } (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131502 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131505 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131509 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  131519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  131524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs1
     /*  131543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs2
     /*  131548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131561 */     GIR_RootConstrainSelectedInstOperands,
     /*  131562 */     // GIR_Coverage, 65485,
     /*  131562 */     GIR_EraseRootFromParent_Done,
     /*  131563 */   // Label 2326: @131563
     /*  131563 */   GIM_Try, /*On fail goto*//*Label 2327*/ GIMT_Encode4(131758), // Rule ID 65479 //
     /*  131568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131587 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131591 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131595 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131599 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131603 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131607 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131611 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131615 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131619 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131623 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131627 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131631 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131635 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131639 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131643 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 24,
     /*  131647 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131651 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131655 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131659 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131663 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 16,
     /*  131667 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131669 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131676 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131683 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131690 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131697 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131697 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131700 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131704 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs1
     /*  131714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs2
     /*  131719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  131738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  131743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131756 */     GIR_RootConstrainSelectedInstOperands,
     /*  131757 */     // GIR_Coverage, 65479,
     /*  131757 */     GIR_EraseRootFromParent_Done,
     /*  131758 */   // Label 2327: @131758
     /*  131758 */   GIM_Try, /*On fail goto*//*Label 2328*/ GIMT_Encode4(131953), // Rule ID 65481 //
     /*  131763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131782 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131786 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131790 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131794 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131798 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131802 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  131806 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/0, /*OpIdx*/2, // MIs[3]
     /*  131810 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131814 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  131818 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  131822 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/3, /*OpIdx*/1, // MIs[4]
     /*  131826 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131830 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  131834 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  131838 */     GIM_CheckConstantInt8, /*MI*/4, /*Op*/2, 16,
     /*  131842 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/3, /*OpIdx*/2, // MIs[5]
     /*  131846 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131850 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  131854 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  131858 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 24,
     /*  131862 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  131864 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  131871 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  131878 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  131885 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  131892 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  131892 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  131895 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131899 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op1rs1
     /*  131909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op1rs2
     /*  131914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  131916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  131919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  131923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  131928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op0rs1
     /*  131933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op0rs2
     /*  131938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  131940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  131943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  131945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  131948 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  131951 */     GIR_RootConstrainSelectedInstOperands,
     /*  131952 */     // GIR_Coverage, 65481,
     /*  131952 */     GIR_EraseRootFromParent_Done,
     /*  131953 */   // Label 2328: @131953
     /*  131953 */   GIM_Try, /*On fail goto*//*Label 2329*/ GIMT_Encode4(132148), // Rule ID 65473 //
     /*  131958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  131961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  131965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  131969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  131973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  131977 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  131981 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  131985 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  131989 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  131993 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  131997 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  132001 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132005 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132009 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132013 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132017 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  132021 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132025 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132029 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132033 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132037 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  132041 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132045 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132049 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132053 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132057 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132059 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132066 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132073 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132080 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132087 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132087 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132090 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132094 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  132104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  132109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  132128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  132133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132146 */     GIR_RootConstrainSelectedInstOperands,
     /*  132147 */     // GIR_Coverage, 65473,
     /*  132147 */     GIR_EraseRootFromParent_Done,
     /*  132148 */   // Label 2329: @132148
     /*  132148 */   GIM_Try, /*On fail goto*//*Label 2330*/ GIMT_Encode4(132343), // Rule ID 65477 //
     /*  132153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132172 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132188 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132192 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132196 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132200 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132204 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132208 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132212 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  132216 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132220 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132224 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132228 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132232 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/2, // MIs[5]
     /*  132236 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132240 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132244 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132248 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132252 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132254 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132261 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132268 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132275 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132282 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] })))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132282 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132285 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132289 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  132299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  132304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs1
     /*  132323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs2
     /*  132328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132341 */     GIR_RootConstrainSelectedInstOperands,
     /*  132342 */     // GIR_Coverage, 65477,
     /*  132342 */     GIR_EraseRootFromParent_Done,
     /*  132343 */   // Label 2330: @132343
     /*  132343 */   GIM_Try, /*On fail goto*//*Label 2331*/ GIMT_Encode4(132538), // Rule ID 2546 //
     /*  132348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132363 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132367 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132371 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132375 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132379 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132383 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132387 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  132391 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132395 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132399 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132403 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132407 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 16,
     /*  132411 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132415 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132419 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132423 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132427 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  132431 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132435 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132439 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132443 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132447 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132449 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132456 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132463 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132470 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132477 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132477 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132480 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132484 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs1
     /*  132494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs2
     /*  132499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  132518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  132523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132536 */     GIR_RootConstrainSelectedInstOperands,
     /*  132537 */     // GIR_Coverage, 2546,
     /*  132537 */     GIR_EraseRootFromParent_Done,
     /*  132538 */   // Label 2331: @132538
     /*  132538 */   GIM_Try, /*On fail goto*//*Label 2332*/ GIMT_Encode4(132733), // Rule ID 65475 //
     /*  132543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_HwMode0),
     /*  132546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132558 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132562 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132566 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132570 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132574 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132578 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132582 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132586 */     GIM_RecordInsn, /*DefineMI*/3, /*MI*/1, /*OpIdx*/2, // MIs[3]
     /*  132590 */     GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132594 */     GIM_CheckType, /*MI*/3, /*Op*/1, /*Type*/GILLT_s64,
     /*  132598 */     GIM_CheckType, /*MI*/3, /*Op*/2, /*Type*/GILLT_s64,
     /*  132602 */     GIM_CheckConstantInt8, /*MI*/3, /*Op*/2, 24,
     /*  132606 */     GIM_RecordInsn, /*DefineMI*/4, /*MI*/0, /*OpIdx*/2, // MIs[4]
     /*  132610 */     GIM_CheckOpcode, /*MI*/4, GIMT_Encode2(TargetOpcode::G_OR),
     /*  132614 */     GIM_CheckType, /*MI*/4, /*Op*/1, /*Type*/GILLT_s64,
     /*  132618 */     GIM_CheckType, /*MI*/4, /*Op*/2, /*Type*/GILLT_s64,
     /*  132622 */     GIM_RecordInsn, /*DefineMI*/5, /*MI*/4, /*OpIdx*/1, // MIs[5]
     /*  132626 */     GIM_CheckOpcode, /*MI*/5, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132630 */     GIM_CheckType, /*MI*/5, /*Op*/1, /*Type*/GILLT_s64,
     /*  132634 */     GIM_CheckType, /*MI*/5, /*Op*/2, /*Type*/GILLT_s64,
     /*  132638 */     GIM_CheckConstantInt8, /*MI*/5, /*Op*/2, 8,
     /*  132642 */     GIM_CheckIsSafeToFold, /*NumInsns*/5,
     /*  132644 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132651 */     GIM_CheckComplexPattern, /*MI*/3, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132658 */     GIM_CheckComplexPattern, /*MI*/4, /*Op*/2, /*Renderer*/GIMT_Encode2(3), GIMT_Encode2(GICP_gi_zexti8),
     /*  132665 */     GIM_CheckComplexPattern, /*MI*/5, /*Op*/1, /*Renderer*/GIMT_Encode2(2), GIMT_Encode2(GICP_gi_zexti8),
     /*  132672 */     // (or:{ *:[i64] } (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op1rs2), 24:{ *:[i64] })), (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1)))  =>  (PACK:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op0rs1, GPR:{ *:[i64] }:$op0rs2), (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$op1rs1, GPR:{ *:[i64] }:$op1rs2))
     /*  132672 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /*  132675 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132679 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // op1rs1
     /*  132689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/2, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // op1rs2
     /*  132694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /*  132696 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132699 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132703 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(3), /*SubOperand*/0, // op0rs1
     /*  132713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(2), /*SubOperand*/0, // op0rs2
     /*  132718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  132723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/1,
     /*  132731 */     GIR_RootConstrainSelectedInstOperands,
     /*  132732 */     // GIR_Coverage, 65475,
     /*  132732 */     GIR_EraseRootFromParent_Done,
     /*  132733 */   // Label 2332: @132733
     /*  132733 */   GIM_Try, /*On fail goto*//*Label 2333*/ GIMT_Encode4(132838), // Rule ID 2541 //
     /*  132738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132753 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132757 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132761 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 24,
     /*  132765 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  132769 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132773 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132777 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132781 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  132785 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132787 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132794 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132801 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  132801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  132818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  132823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  132828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  132836 */     GIR_RootConstrainSelectedInstOperands,
     /*  132837 */     // GIR_Coverage, 2541,
     /*  132837 */     GIR_EraseRootFromParent_Done,
     /*  132838 */   // Label 2333: @132838
     /*  132838 */   GIM_Try, /*On fail goto*//*Label 2334*/ GIMT_Encode4(132943), // Rule ID 65468 //
     /*  132843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  132854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132858 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132862 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132866 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  132870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  132874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132882 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132886 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 24,
     /*  132890 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  132892 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  132899 */     GIM_CheckComplexPattern, /*MI*/2, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  132906 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), 16:{ *:[i64] }), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 24:{ *:[i64] }))  =>  (SLLI:{ *:[i64] } (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 16:{ *:[i64] })
     /*  132906 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  132909 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  132913 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  132918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  132923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  132928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  132930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /*  132933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  132935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  132938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /*  132941 */     GIR_RootConstrainSelectedInstOperands,
     /*  132942 */     // GIR_Coverage, 65468,
     /*  132942 */     GIR_EraseRootFromParent_Done,
     /*  132943 */   // Label 2334: @132943
     /*  132943 */   GIM_Try, /*On fail goto*//*Label 2335*/ GIMT_Encode4(133032), // Rule ID 65462 //
     /*  132948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  132951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  132959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  132963 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  132967 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  132971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  132975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  132979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  132983 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  132987 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  132992 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  132996 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  133007 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133016 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  133030 */     GIR_RootConstrainSelectedInstOperands,
     /*  133031 */     // GIR_Coverage, 65462,
     /*  133031 */     GIR_EraseRootFromParent_Done,
     /*  133032 */   // Label 2335: @133032
     /*  133032 */   GIM_Try, /*On fail goto*//*Label 2336*/ GIMT_Encode4(133121), // Rule ID 2535 //
     /*  133037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  133052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133060 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133064 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133068 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133072 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  133076 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133081 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 8,
     /*  133085 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(65535),
     /*  133096 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133105 */     // (or:{ *:[i64] } (and:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), 65535:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  133119 */     GIR_RootConstrainSelectedInstOperands,
     /*  133120 */     // GIR_Coverage, 2535,
     /*  133120 */     GIR_EraseRootFromParent_Done,
     /*  133121 */   // Label 2336: @133121
     /*  133121 */   GIM_Try, /*On fail goto*//*Label 2337*/ GIMT_Encode4(133186), // Rule ID 65464 //
     /*  133126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133149 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133162 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  133169 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs2
     /*  133184 */     GIR_RootConstrainSelectedInstOperands,
     /*  133185 */     // GIR_Coverage, 65464,
     /*  133185 */     GIR_EraseRootFromParent_Done,
     /*  133186 */   // Label 2337: @133186
     /*  133186 */   GIM_Try, /*On fail goto*//*Label 2338*/ GIMT_Encode4(133251), // Rule ID 2537 //
     /*  133191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133210 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133214 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133218 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(1), GIMT_Encode2(GICP_gi_zexti8),
     /*  133227 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133234 */     // (or:{ *:[i64] } (shl:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs2), 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(1), /*SubOperand*/0, // rs1
     /*  133244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  133249 */     GIR_RootConstrainSelectedInstOperands,
     /*  133250 */     // GIR_Coverage, 2537,
     /*  133250 */     GIR_EraseRootFromParent_Done,
     /*  133251 */   // Label 2338: @133251
     /*  133251 */   GIM_Try, /*On fail goto*//*Label 2339*/ GIMT_Encode4(133336), // Rule ID 65489 //
     /*  133256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  133271 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133287 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  133291 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133296 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  133300 */     // MIs[1] Operand 2
     /*  133300 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  133311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133320 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133330 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  133334 */     GIR_RootConstrainSelectedInstOperands,
     /*  133335 */     // GIR_Coverage, 65489,
     /*  133335 */     GIR_EraseRootFromParent_Done,
     /*  133336 */   // Label 2339: @133336
     /*  133336 */   GIM_Try, /*On fail goto*//*Label 2340*/ GIMT_Encode4(133421), // Rule ID 2550 //
     /*  133341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /*  133356 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  133364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  133372 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  133376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133381 */     GIM_CheckConstantInt8, /*MI*/2, /*Op*/2, 16,
     /*  133385 */     // MIs[1] Operand 2
     /*  133385 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /*  133396 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  133398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133405 */     // (or:{ *:[i64] } (sext_inreg:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), i32:{ *:[Other] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  133419 */     GIR_RootConstrainSelectedInstOperands,
     /*  133420 */     // GIR_Coverage, 2550,
     /*  133420 */     GIR_EraseRootFromParent_Done,
     /*  133421 */   // Label 2340: @133421
     /*  133421 */   GIM_Try, /*On fail goto*//*Label 2341*/ GIMT_Encode4(133487), // Rule ID 65470 //
     /*  133426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133441 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133445 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133449 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133454 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133458 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11262),
     /*  133462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133471 */     // (or:{ *:[i64] } (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }))<<P:Predicate_anonymous_11262>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133485 */     GIR_RootConstrainSelectedInstOperands,
     /*  133486 */     // GIR_Coverage, 65470,
     /*  133486 */     GIR_EraseRootFromParent_Done,
     /*  133487 */   // Label 2341: @133487
     /*  133487 */   GIM_Try, /*On fail goto*//*Label 2342*/ GIMT_Encode4(133553), // Rule ID 65488 //
     /*  133492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133507 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133511 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133520 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133524 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10038),
     /*  133528 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133537 */     // (or:{ *:[i64] } (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }))<<P:Predicate_anonymous_10038>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133551 */     GIR_RootConstrainSelectedInstOperands,
     /*  133552 */     // GIR_Coverage, 65488,
     /*  133552 */     GIR_EraseRootFromParent_Done,
     /*  133553 */   // Label 2342: @133553
     /*  133553 */   GIM_Try, /*On fail goto*//*Label 2343*/ GIMT_Encode4(133619), // Rule ID 2543 //
     /*  133558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_HwMode0),
     /*  133561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133573 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133577 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133581 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133586 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 8,
     /*  133590 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_11262),
     /*  133594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti8),
     /*  133603 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 8:{ *:[i64] }), (zexti8:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_11262>>  =>  (PACKH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKH),
     /*  133606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133617 */     GIR_RootConstrainSelectedInstOperands,
     /*  133618 */     // GIR_Coverage, 2543,
     /*  133618 */     GIR_EraseRootFromParent_Done,
     /*  133619 */   // Label 2343: @133619
     /*  133619 */   GIM_Try, /*On fail goto*//*Label 2344*/ GIMT_Encode4(133685), // Rule ID 2549 //
     /*  133624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133639 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133643 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133647 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133652 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 16,
     /*  133656 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10038),
     /*  133660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti16),
     /*  133669 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 16:{ *:[i64] }), (zexti16:{ *:[i64] } GPR:{ *:[i64] }:$rs1))<<P:Predicate_anonymous_10038>>  =>  (PACKW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /*  133672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133683 */     GIR_RootConstrainSelectedInstOperands,
     /*  133684 */     // GIR_Coverage, 2549,
     /*  133684 */     GIR_EraseRootFromParent_Done,
     /*  133685 */   // Label 2344: @133685
     /*  133685 */   GIM_Try, /*On fail goto*//*Label 2345*/ GIMT_Encode4(133747), // Rule ID 2548 //
     /*  133690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133705 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133709 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133718 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  133722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  133731 */     // (or:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1), (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  133734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133745 */     GIR_RootConstrainSelectedInstOperands,
     /*  133746 */     // GIR_Coverage, 2548,
     /*  133746 */     GIR_EraseRootFromParent_Done,
     /*  133747 */   // Label 2345: @133747
     /*  133747 */   GIM_Try, /*On fail goto*//*Label 2346*/ GIMT_Encode4(133809), // Rule ID 65487 //
     /*  133752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_HwMode0),
     /*  133755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133771 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133775 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133780 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, 32,
     /*  133784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /*  133793 */     // (or:{ *:[i64] } (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs2, 32:{ *:[i64] }), (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (PACK:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /*  133796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  133803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133807 */     GIR_RootConstrainSelectedInstOperands,
     /*  133808 */     // GIR_Coverage, 65487,
     /*  133808 */     GIR_EraseRootFromParent_Done,
     /*  133809 */   // Label 2346: @133809
     /*  133809 */   GIM_Try, /*On fail goto*//*Label 2347*/ GIMT_Encode4(133868), // Rule ID 2470 //
     /*  133814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  133817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133829 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133833 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133837 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  133841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133847 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  133854 */     // (or:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  133857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  133866 */     GIR_RootConstrainSelectedInstOperands,
     /*  133867 */     // GIR_Coverage, 2470,
     /*  133867 */     GIR_EraseRootFromParent_Done,
     /*  133868 */   // Label 2347: @133868
     /*  133868 */   GIM_Try, /*On fail goto*//*Label 2348*/ GIMT_Encode4(133927), // Rule ID 65458 //
     /*  133873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  133876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  133888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  133892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133900 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  133904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133906 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  133913 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BSET:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  133916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  133920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  133925 */     GIR_RootConstrainSelectedInstOperands,
     /*  133926 */     // GIR_Coverage, 65458,
     /*  133926 */     GIR_EraseRootFromParent_Done,
     /*  133927 */   // Label 2348: @133927
     /*  133927 */   GIM_Try, /*On fail goto*//*Label 2349*/ GIMT_Encode4(133983), // Rule ID 65442 //
     /*  133932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  133935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  133943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  133947 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  133951 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  133955 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133960 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  133964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  133970 */     // (or:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs1)  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  133970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  133973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  133975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  133977 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  133981 */     GIR_RootConstrainSelectedInstOperands,
     /*  133982 */     // GIR_Coverage, 65442,
     /*  133982 */     GIR_EraseRootFromParent_Done,
     /*  133983 */   // Label 2349: @133983
     /*  133983 */   GIM_Try, /*On fail goto*//*Label 2350*/ GIMT_Encode4(134039), // Rule ID 2444 //
     /*  133988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  133991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  133999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  134011 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  134015 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134020 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  134024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134026 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (ORN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  134026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORN),
     /*  134029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134037 */     GIR_RootConstrainSelectedInstOperands,
     /*  134038 */     // GIR_Coverage, 2444,
     /*  134038 */     GIR_EraseRootFromParent_Done,
     /*  134039 */   // Label 2350: @134039
     /*  134039 */   GIM_Try, /*On fail goto*//*Label 2351*/ GIMT_Encode4(134081), // Rule ID 86 //
     /*  134044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  134047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  134063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  134067 */     // MIs[1] Operand 1
     /*  134067 */     // No operand predicates
     /*  134067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  134069 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (ORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  134069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ORI),
     /*  134072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  134079 */     GIR_RootConstrainSelectedInstOperands,
     /*  134080 */     // GIR_Coverage, 86,
     /*  134080 */     GIR_EraseRootFromParent_Done,
     /*  134081 */   // Label 2351: @134081
     /*  134081 */   GIM_Try, /*On fail goto*//*Label 2352*/ GIMT_Encode4(134108), // Rule ID 84 //
     /*  134086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  134089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134093 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  134101 */     // (or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (OR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  134101 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::OR),
     /*  134106 */     GIR_RootConstrainSelectedInstOperands,
     /*  134107 */     // GIR_Coverage, 84,
     /*  134107 */     GIR_Done,
     /*  134108 */   // Label 2352: @134108
     /*  134108 */   GIM_Reject,
     /*  134109 */ // Label 2324: @134109
     /*  134109 */ GIM_Reject,
     /*  134110 */ // Label 2267: @134110
     /*  134110 */ GIM_Try, /*On fail goto*//*Label 2353*/ GIMT_Encode4(134720),
     /*  134115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134125 */   GIM_Try, /*On fail goto*//*Label 2354*/ GIMT_Encode4(134191), // Rule ID 71672 //
     /*  134130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134141 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134145 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134149 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134153 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134157 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134161 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134170 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134172 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134189 */     GIR_RootConstrainSelectedInstOperands,
     /*  134190 */     // GIR_Coverage, 71672,
     /*  134190 */     GIR_EraseRootFromParent_Done,
     /*  134191 */   // Label 2354: @134191
     /*  134191 */   GIM_Try, /*On fail goto*//*Label 2355*/ GIMT_Encode4(134257), // Rule ID 71673 //
     /*  134196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134207 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134211 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134215 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134219 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134223 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134227 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134238 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134245 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134255 */     GIR_RootConstrainSelectedInstOperands,
     /*  134256 */     // GIR_Coverage, 71673,
     /*  134256 */     GIR_EraseRootFromParent_Done,
     /*  134257 */   // Label 2355: @134257
     /*  134257 */   GIM_Try, /*On fail goto*//*Label 2356*/ GIMT_Encode4(134323), // Rule ID 71670 //
     /*  134262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134273 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134277 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134302 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134304 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134321 */     GIR_RootConstrainSelectedInstOperands,
     /*  134322 */     // GIR_Coverage, 71670,
     /*  134322 */     GIR_EraseRootFromParent_Done,
     /*  134323 */   // Label 2356: @134323
     /*  134323 */   GIM_Try, /*On fail goto*//*Label 2357*/ GIMT_Encode4(134389), // Rule ID 71671 //
     /*  134328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  134335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134339 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134343 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134352 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134356 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134360 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134368 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134370 */     // (or:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs1)  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  134377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134387 */     GIR_RootConstrainSelectedInstOperands,
     /*  134388 */     // GIR_Coverage, 71671,
     /*  134388 */     GIR_EraseRootFromParent_Done,
     /*  134389 */   // Label 2357: @134389
     /*  134389 */   GIM_Try, /*On fail goto*//*Label 2358*/ GIMT_Encode4(134455), // Rule ID 71668 //
     /*  134394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134409 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134413 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134436 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134453 */     GIR_RootConstrainSelectedInstOperands,
     /*  134454 */     // GIR_Coverage, 71668,
     /*  134454 */     GIR_EraseRootFromParent_Done,
     /*  134455 */   // Label 2358: @134455
     /*  134455 */   GIM_Try, /*On fail goto*//*Label 2359*/ GIMT_Encode4(134521), // Rule ID 71669 //
     /*  134460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134479 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134483 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  134487 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134491 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134495 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134502 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  134513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134519 */     GIR_RootConstrainSelectedInstOperands,
     /*  134520 */     // GIR_Coverage, 71669,
     /*  134520 */     GIR_EraseRootFromParent_Done,
     /*  134521 */   // Label 2359: @134521
     /*  134521 */   GIM_Try, /*On fail goto*//*Label 2360*/ GIMT_Encode4(134587), // Rule ID 53172 //
     /*  134526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134541 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134545 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134549 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  134566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134568 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134585 */     GIR_RootConstrainSelectedInstOperands,
     /*  134586 */     // GIR_Coverage, 53172,
     /*  134586 */     GIR_EraseRootFromParent_Done,
     /*  134587 */   // Label 2360: @134587
     /*  134587 */   GIM_Try, /*On fail goto*//*Label 2361*/ GIMT_Encode4(134653), // Rule ID 53173 //
     /*  134592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  134603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  134607 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  134611 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  134615 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134620 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  134624 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  134628 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  134632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  134634 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  134637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  134645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134651 */     GIR_RootConstrainSelectedInstOperands,
     /*  134652 */     // GIR_Coverage, 53173,
     /*  134652 */     GIR_EraseRootFromParent_Done,
     /*  134653 */   // Label 2361: @134653
     /*  134653 */   GIM_Try, /*On fail goto*//*Label 2362*/ GIMT_Encode4(134686), // Rule ID 53160 //
     /*  134658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134661 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134669 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  134669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  134672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134684 */     GIR_RootConstrainSelectedInstOperands,
     /*  134685 */     // GIR_Coverage, 53160,
     /*  134685 */     GIR_EraseRootFromParent_Done,
     /*  134686 */   // Label 2362: @134686
     /*  134686 */   GIM_Try, /*On fail goto*//*Label 2363*/ GIMT_Encode4(134719), // Rule ID 53161 //
     /*  134691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134702 */     // (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  134702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  134705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  134717 */     GIR_RootConstrainSelectedInstOperands,
     /*  134718 */     // GIR_Coverage, 53161,
     /*  134718 */     GIR_EraseRootFromParent_Done,
     /*  134719 */   // Label 2363: @134719
     /*  134719 */   GIM_Reject,
     /*  134720 */ // Label 2353: @134720
     /*  134720 */ GIM_Reject,
     /*  134721 */ // Label 2268: @134721
     /*  134721 */ GIM_Try, /*On fail goto*//*Label 2364*/ GIMT_Encode4(134835),
     /*  134726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  134729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  134732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134740 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134744 */   GIM_Try, /*On fail goto*//*Label 2365*/ GIMT_Encode4(134789), // Rule ID 47782 //
     /*  134749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134752 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  134752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  134755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  134769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134787 */     GIR_RootConstrainSelectedInstOperands,
     /*  134788 */     // GIR_Coverage, 47782,
     /*  134788 */     GIR_EraseRootFromParent_Done,
     /*  134789 */   // Label 2365: @134789
     /*  134789 */   GIM_Try, /*On fail goto*//*Label 2366*/ GIMT_Encode4(134834), // Rule ID 47783 //
     /*  134794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134797 */     // (or:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  134797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  134800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  134814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134832 */     GIR_RootConstrainSelectedInstOperands,
     /*  134833 */     // GIR_Coverage, 47783,
     /*  134833 */     GIR_EraseRootFromParent_Done,
     /*  134834 */   // Label 2366: @134834
     /*  134834 */   GIM_Reject,
     /*  134835 */ // Label 2364: @134835
     /*  134835 */ GIM_Reject,
     /*  134836 */ // Label 2269: @134836
     /*  134836 */ GIM_Try, /*On fail goto*//*Label 2367*/ GIMT_Encode4(134950),
     /*  134841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  134844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  134847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134859 */   GIM_Try, /*On fail goto*//*Label 2368*/ GIMT_Encode4(134904), // Rule ID 47794 //
     /*  134864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134867 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  134867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  134870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  134884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134902 */     GIR_RootConstrainSelectedInstOperands,
     /*  134903 */     // GIR_Coverage, 47794,
     /*  134903 */     GIR_EraseRootFromParent_Done,
     /*  134904 */   // Label 2368: @134904
     /*  134904 */   GIM_Try, /*On fail goto*//*Label 2369*/ GIMT_Encode4(134949), // Rule ID 47795 //
     /*  134909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  134912 */     // (or:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  134912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  134915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  134929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  134931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  134934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  134936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  134938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  134941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  134944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  134947 */     GIR_RootConstrainSelectedInstOperands,
     /*  134948 */     // GIR_Coverage, 47795,
     /*  134948 */     GIR_EraseRootFromParent_Done,
     /*  134949 */   // Label 2369: @134949
     /*  134949 */   GIM_Reject,
     /*  134950 */ // Label 2367: @134950
     /*  134950 */ GIM_Reject,
     /*  134951 */ // Label 2270: @134951
     /*  134951 */ GIM_Try, /*On fail goto*//*Label 2370*/ GIMT_Encode4(135065),
     /*  134956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  134959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  134962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134970 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  134974 */   GIM_Try, /*On fail goto*//*Label 2371*/ GIMT_Encode4(135019), // Rule ID 47802 //
     /*  134979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  134982 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  134982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  134985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  134989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  134994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  134996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  134999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135017 */     GIR_RootConstrainSelectedInstOperands,
     /*  135018 */     // GIR_Coverage, 47802,
     /*  135018 */     GIR_EraseRootFromParent_Done,
     /*  135019 */   // Label 2371: @135019
     /*  135019 */   GIM_Try, /*On fail goto*//*Label 2372*/ GIMT_Encode4(135064), // Rule ID 47803 //
     /*  135024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135027 */     // (or:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  135027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  135030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  135044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  135059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135062 */     GIR_RootConstrainSelectedInstOperands,
     /*  135063 */     // GIR_Coverage, 47803,
     /*  135063 */     GIR_EraseRootFromParent_Done,
     /*  135064 */   // Label 2372: @135064
     /*  135064 */   GIM_Reject,
     /*  135065 */ // Label 2370: @135065
     /*  135065 */ GIM_Reject,
     /*  135066 */ // Label 2271: @135066
     /*  135066 */ GIM_Try, /*On fail goto*//*Label 2373*/ GIMT_Encode4(135180),
     /*  135071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  135074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  135077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135089 */   GIM_Try, /*On fail goto*//*Label 2374*/ GIMT_Encode4(135134), // Rule ID 47818 //
     /*  135094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  135097 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  135097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  135100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  135114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135132 */     GIR_RootConstrainSelectedInstOperands,
     /*  135133 */     // GIR_Coverage, 47818,
     /*  135133 */     GIR_EraseRootFromParent_Done,
     /*  135134 */   // Label 2374: @135134
     /*  135134 */   GIM_Try, /*On fail goto*//*Label 2375*/ GIMT_Encode4(135179), // Rule ID 47819 //
     /*  135139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  135142 */     // (or:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  135142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  135145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  135159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  135174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135177 */     GIR_RootConstrainSelectedInstOperands,
     /*  135178 */     // GIR_Coverage, 47819,
     /*  135178 */     GIR_EraseRootFromParent_Done,
     /*  135179 */   // Label 2375: @135179
     /*  135179 */   GIM_Reject,
     /*  135180 */ // Label 2373: @135180
     /*  135180 */ GIM_Reject,
     /*  135181 */ // Label 2272: @135181
     /*  135181 */ GIM_Try, /*On fail goto*//*Label 2376*/ GIMT_Encode4(135791),
     /*  135186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135196 */   GIM_Try, /*On fail goto*//*Label 2377*/ GIMT_Encode4(135262), // Rule ID 71700 //
     /*  135201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135212 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135216 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135220 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135224 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135228 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135232 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135241 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135243 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135260 */     GIR_RootConstrainSelectedInstOperands,
     /*  135261 */     // GIR_Coverage, 71700,
     /*  135261 */     GIR_EraseRootFromParent_Done,
     /*  135262 */   // Label 2377: @135262
     /*  135262 */   GIM_Try, /*On fail goto*//*Label 2378*/ GIMT_Encode4(135328), // Rule ID 71701 //
     /*  135267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135278 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135282 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135286 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135290 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135294 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135309 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135326 */     GIR_RootConstrainSelectedInstOperands,
     /*  135327 */     // GIR_Coverage, 71701,
     /*  135327 */     GIR_EraseRootFromParent_Done,
     /*  135328 */   // Label 2378: @135328
     /*  135328 */   GIM_Try, /*On fail goto*//*Label 2379*/ GIMT_Encode4(135394), // Rule ID 71698 //
     /*  135333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135344 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135348 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135352 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135375 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135392 */     GIR_RootConstrainSelectedInstOperands,
     /*  135393 */     // GIR_Coverage, 71698,
     /*  135393 */     GIR_EraseRootFromParent_Done,
     /*  135394 */   // Label 2379: @135394
     /*  135394 */   GIM_Try, /*On fail goto*//*Label 2380*/ GIMT_Encode4(135460), // Rule ID 71699 //
     /*  135399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  135406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135410 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135414 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135418 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135423 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135427 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135431 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135439 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135441 */     // (or:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs1)  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  135448 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135458 */     GIR_RootConstrainSelectedInstOperands,
     /*  135459 */     // GIR_Coverage, 71699,
     /*  135459 */     GIR_EraseRootFromParent_Done,
     /*  135460 */   // Label 2380: @135460
     /*  135460 */   GIM_Try, /*On fail goto*//*Label 2381*/ GIMT_Encode4(135526), // Rule ID 71696 //
     /*  135465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135480 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135484 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135500 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135505 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135507 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135514 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135524 */     GIR_RootConstrainSelectedInstOperands,
     /*  135525 */     // GIR_Coverage, 71696,
     /*  135525 */     GIR_EraseRootFromParent_Done,
     /*  135526 */   // Label 2381: @135526
     /*  135526 */   GIM_Try, /*On fail goto*//*Label 2382*/ GIMT_Encode4(135592), // Rule ID 71697 //
     /*  135531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135550 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135554 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  135558 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135562 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135571 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135573 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  135584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135590 */     GIR_RootConstrainSelectedInstOperands,
     /*  135591 */     // GIR_Coverage, 71697,
     /*  135591 */     GIR_EraseRootFromParent_Done,
     /*  135592 */   // Label 2382: @135592
     /*  135592 */   GIM_Try, /*On fail goto*//*Label 2383*/ GIMT_Encode4(135658), // Rule ID 53190 //
     /*  135597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135616 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  135637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135639 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135646 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135656 */     GIR_RootConstrainSelectedInstOperands,
     /*  135657 */     // GIR_Coverage, 53190,
     /*  135657 */     GIR_EraseRootFromParent_Done,
     /*  135658 */   // Label 2383: @135658
     /*  135658 */   GIM_Try, /*On fail goto*//*Label 2384*/ GIMT_Encode4(135724), // Rule ID 53191 //
     /*  135663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  135674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  135678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  135682 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  135686 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135691 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  135695 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  135699 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  135703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  135705 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  135708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135710 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135712 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  135716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135722 */     GIR_RootConstrainSelectedInstOperands,
     /*  135723 */     // GIR_Coverage, 53191,
     /*  135723 */     GIR_EraseRootFromParent_Done,
     /*  135724 */   // Label 2384: @135724
     /*  135724 */   GIM_Try, /*On fail goto*//*Label 2385*/ GIMT_Encode4(135757), // Rule ID 53178 //
     /*  135729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135740 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  135740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  135743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135755 */     GIR_RootConstrainSelectedInstOperands,
     /*  135756 */     // GIR_Coverage, 53178,
     /*  135756 */     GIR_EraseRootFromParent_Done,
     /*  135757 */   // Label 2385: @135757
     /*  135757 */   GIM_Try, /*On fail goto*//*Label 2386*/ GIMT_Encode4(135790), // Rule ID 53179 //
     /*  135762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135773 */     // (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  135773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  135776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  135788 */     GIR_RootConstrainSelectedInstOperands,
     /*  135789 */     // GIR_Coverage, 53179,
     /*  135789 */     GIR_EraseRootFromParent_Done,
     /*  135790 */   // Label 2386: @135790
     /*  135790 */   GIM_Reject,
     /*  135791 */ // Label 2376: @135791
     /*  135791 */ GIM_Reject,
     /*  135792 */ // Label 2273: @135792
     /*  135792 */ GIM_Try, /*On fail goto*//*Label 2387*/ GIMT_Encode4(135906),
     /*  135797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  135800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  135803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135811 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135815 */   GIM_Try, /*On fail goto*//*Label 2388*/ GIMT_Encode4(135860), // Rule ID 47786 //
     /*  135820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135823 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  135823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  135826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135858 */     GIR_RootConstrainSelectedInstOperands,
     /*  135859 */     // GIR_Coverage, 47786,
     /*  135859 */     GIR_EraseRootFromParent_Done,
     /*  135860 */   // Label 2388: @135860
     /*  135860 */   GIM_Try, /*On fail goto*//*Label 2389*/ GIMT_Encode4(135905), // Rule ID 47787 //
     /*  135865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135868 */     // (or:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  135868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  135871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  135885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135903 */     GIR_RootConstrainSelectedInstOperands,
     /*  135904 */     // GIR_Coverage, 47787,
     /*  135904 */     GIR_EraseRootFromParent_Done,
     /*  135905 */   // Label 2389: @135905
     /*  135905 */   GIM_Reject,
     /*  135906 */ // Label 2387: @135906
     /*  135906 */ GIM_Reject,
     /*  135907 */ // Label 2274: @135907
     /*  135907 */ GIM_Try, /*On fail goto*//*Label 2390*/ GIMT_Encode4(136021),
     /*  135912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  135915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  135918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  135930 */   GIM_Try, /*On fail goto*//*Label 2391*/ GIMT_Encode4(135975), // Rule ID 47798 //
     /*  135935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  135938 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  135938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  135941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  135955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  135957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  135960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  135962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  135964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  135967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  135970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  135973 */     GIR_RootConstrainSelectedInstOperands,
     /*  135974 */     // GIR_Coverage, 47798,
     /*  135974 */     GIR_EraseRootFromParent_Done,
     /*  135975 */   // Label 2391: @135975
     /*  135975 */   GIM_Try, /*On fail goto*//*Label 2392*/ GIMT_Encode4(136020), // Rule ID 47799 //
     /*  135980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  135983 */     // (or:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  135983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  135986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  135990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  135995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  135997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  136015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136018 */     GIR_RootConstrainSelectedInstOperands,
     /*  136019 */     // GIR_Coverage, 47799,
     /*  136019 */     GIR_EraseRootFromParent_Done,
     /*  136020 */   // Label 2392: @136020
     /*  136020 */   GIM_Reject,
     /*  136021 */ // Label 2390: @136021
     /*  136021 */ GIM_Reject,
     /*  136022 */ // Label 2275: @136022
     /*  136022 */ GIM_Try, /*On fail goto*//*Label 2393*/ GIMT_Encode4(136136),
     /*  136027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  136030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  136033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136045 */   GIM_Try, /*On fail goto*//*Label 2394*/ GIMT_Encode4(136090), // Rule ID 47814 //
     /*  136050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136053 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  136053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  136056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  136070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136088 */     GIR_RootConstrainSelectedInstOperands,
     /*  136089 */     // GIR_Coverage, 47814,
     /*  136089 */     GIR_EraseRootFromParent_Done,
     /*  136090 */   // Label 2394: @136090
     /*  136090 */   GIM_Try, /*On fail goto*//*Label 2395*/ GIMT_Encode4(136135), // Rule ID 47815 //
     /*  136095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136098 */     // (or:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  136098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  136101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  136115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  136130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136133 */     GIR_RootConstrainSelectedInstOperands,
     /*  136134 */     // GIR_Coverage, 47815,
     /*  136134 */     GIR_EraseRootFromParent_Done,
     /*  136135 */   // Label 2395: @136135
     /*  136135 */   GIM_Reject,
     /*  136136 */ // Label 2393: @136136
     /*  136136 */ GIM_Reject,
     /*  136137 */ // Label 2276: @136137
     /*  136137 */ GIM_Try, /*On fail goto*//*Label 2396*/ GIMT_Encode4(136251),
     /*  136142 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  136145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  136148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  136160 */   GIM_Try, /*On fail goto*//*Label 2397*/ GIMT_Encode4(136205), // Rule ID 47858 //
     /*  136165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  136168 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  136168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  136171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  136185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136203 */     GIR_RootConstrainSelectedInstOperands,
     /*  136204 */     // GIR_Coverage, 47858,
     /*  136204 */     GIR_EraseRootFromParent_Done,
     /*  136205 */   // Label 2397: @136205
     /*  136205 */   GIM_Try, /*On fail goto*//*Label 2398*/ GIMT_Encode4(136250), // Rule ID 47859 //
     /*  136210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  136213 */     // (or:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  136213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  136216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  136230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  136245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136248 */     GIR_RootConstrainSelectedInstOperands,
     /*  136249 */     // GIR_Coverage, 47859,
     /*  136249 */     GIR_EraseRootFromParent_Done,
     /*  136250 */   // Label 2398: @136250
     /*  136250 */   GIM_Reject,
     /*  136251 */ // Label 2396: @136251
     /*  136251 */ GIM_Reject,
     /*  136252 */ // Label 2277: @136252
     /*  136252 */ GIM_Try, /*On fail goto*//*Label 2399*/ GIMT_Encode4(136862),
     /*  136257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136260 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136267 */   GIM_Try, /*On fail goto*//*Label 2400*/ GIMT_Encode4(136333), // Rule ID 71728 //
     /*  136272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136283 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136287 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136303 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136312 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136314 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136331 */     GIR_RootConstrainSelectedInstOperands,
     /*  136332 */     // GIR_Coverage, 71728,
     /*  136332 */     GIR_EraseRootFromParent_Done,
     /*  136333 */   // Label 2400: @136333
     /*  136333 */   GIM_Try, /*On fail goto*//*Label 2401*/ GIMT_Encode4(136399), // Rule ID 71729 //
     /*  136338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136353 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136357 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136361 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136365 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136369 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136378 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136380 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136397 */     GIR_RootConstrainSelectedInstOperands,
     /*  136398 */     // GIR_Coverage, 71729,
     /*  136398 */     GIR_EraseRootFromParent_Done,
     /*  136399 */   // Label 2401: @136399
     /*  136399 */   GIM_Try, /*On fail goto*//*Label 2402*/ GIMT_Encode4(136465), // Rule ID 71726 //
     /*  136404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136419 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136444 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136446 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136453 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136463 */     GIR_RootConstrainSelectedInstOperands,
     /*  136464 */     // GIR_Coverage, 71726,
     /*  136464 */     GIR_EraseRootFromParent_Done,
     /*  136465 */   // Label 2402: @136465
     /*  136465 */   GIM_Try, /*On fail goto*//*Label 2403*/ GIMT_Encode4(136531), // Rule ID 71727 //
     /*  136470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  136477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136481 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136485 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136510 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136512 */     // (or:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs1)  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  136519 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136529 */     GIR_RootConstrainSelectedInstOperands,
     /*  136530 */     // GIR_Coverage, 71727,
     /*  136530 */     GIR_EraseRootFromParent_Done,
     /*  136531 */   // Label 2403: @136531
     /*  136531 */   GIM_Try, /*On fail goto*//*Label 2404*/ GIMT_Encode4(136597), // Rule ID 71724 //
     /*  136536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136539 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136555 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136559 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136563 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136567 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136576 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136578 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136585 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136595 */     GIR_RootConstrainSelectedInstOperands,
     /*  136596 */     // GIR_Coverage, 71724,
     /*  136596 */     GIR_EraseRootFromParent_Done,
     /*  136597 */   // Label 2404: @136597
     /*  136597 */   GIM_Try, /*On fail goto*//*Label 2405*/ GIMT_Encode4(136663), // Rule ID 71725 //
     /*  136602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136621 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  136629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136642 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136644 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  136655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136661 */     GIR_RootConstrainSelectedInstOperands,
     /*  136662 */     // GIR_Coverage, 71725,
     /*  136662 */     GIR_EraseRootFromParent_Done,
     /*  136663 */   // Label 2405: @136663
     /*  136663 */   GIM_Try, /*On fail goto*//*Label 2406*/ GIMT_Encode4(136729), // Rule ID 53208 //
     /*  136668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136687 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136691 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  136708 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136710 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136727 */     GIR_RootConstrainSelectedInstOperands,
     /*  136728 */     // GIR_Coverage, 53208,
     /*  136728 */     GIR_EraseRootFromParent_Done,
     /*  136729 */   // Label 2406: @136729
     /*  136729 */   GIM_Try, /*On fail goto*//*Label 2407*/ GIMT_Encode4(136795), // Rule ID 53209 //
     /*  136734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  136745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  136749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  136753 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  136757 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136762 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  136766 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  136770 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  136774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  136776 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  136779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136783 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  136787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136793 */     GIR_RootConstrainSelectedInstOperands,
     /*  136794 */     // GIR_Coverage, 53209,
     /*  136794 */     GIR_EraseRootFromParent_Done,
     /*  136795 */   // Label 2407: @136795
     /*  136795 */   GIM_Try, /*On fail goto*//*Label 2408*/ GIMT_Encode4(136828), // Rule ID 53196 //
     /*  136800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136811 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  136811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  136814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136826 */     GIR_RootConstrainSelectedInstOperands,
     /*  136827 */     // GIR_Coverage, 53196,
     /*  136827 */     GIR_EraseRootFromParent_Done,
     /*  136828 */   // Label 2408: @136828
     /*  136828 */   GIM_Try, /*On fail goto*//*Label 2409*/ GIMT_Encode4(136861), // Rule ID 53197 //
     /*  136833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136844 */     // (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  136844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  136847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  136859 */     GIR_RootConstrainSelectedInstOperands,
     /*  136860 */     // GIR_Coverage, 53197,
     /*  136860 */     GIR_EraseRootFromParent_Done,
     /*  136861 */   // Label 2409: @136861
     /*  136861 */   GIM_Reject,
     /*  136862 */ // Label 2399: @136862
     /*  136862 */ GIM_Reject,
     /*  136863 */ // Label 2278: @136863
     /*  136863 */ GIM_Try, /*On fail goto*//*Label 2410*/ GIMT_Encode4(136977),
     /*  136868 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  136871 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  136874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136882 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136886 */   GIM_Try, /*On fail goto*//*Label 2411*/ GIMT_Encode4(136931), // Rule ID 47790 //
     /*  136891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  136894 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  136894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  136897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136929 */     GIR_RootConstrainSelectedInstOperands,
     /*  136930 */     // GIR_Coverage, 47790,
     /*  136930 */     GIR_EraseRootFromParent_Done,
     /*  136931 */   // Label 2411: @136931
     /*  136931 */   GIM_Try, /*On fail goto*//*Label 2412*/ GIMT_Encode4(136976), // Rule ID 47791 //
     /*  136936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  136939 */     // (or:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  136939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  136942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  136946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  136951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  136953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  136956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  136958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  136961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  136963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  136965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  136968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  136974 */     GIR_RootConstrainSelectedInstOperands,
     /*  136975 */     // GIR_Coverage, 47791,
     /*  136975 */     GIR_EraseRootFromParent_Done,
     /*  136976 */   // Label 2412: @136976
     /*  136976 */   GIM_Reject,
     /*  136977 */ // Label 2410: @136977
     /*  136977 */ GIM_Reject,
     /*  136978 */ // Label 2279: @136978
     /*  136978 */ GIM_Try, /*On fail goto*//*Label 2413*/ GIMT_Encode4(137092),
     /*  136983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  136986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  136989 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136993 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  136997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137001 */   GIM_Try, /*On fail goto*//*Label 2414*/ GIMT_Encode4(137046), // Rule ID 47810 //
     /*  137006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137009 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  137009 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  137012 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137016 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137021 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137028 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137031 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137044 */     GIR_RootConstrainSelectedInstOperands,
     /*  137045 */     // GIR_Coverage, 47810,
     /*  137045 */     GIR_EraseRootFromParent_Done,
     /*  137046 */   // Label 2414: @137046
     /*  137046 */   GIM_Try, /*On fail goto*//*Label 2415*/ GIMT_Encode4(137091), // Rule ID 47811 //
     /*  137051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137054 */     // (or:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  137054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  137057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  137086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137089 */     GIR_RootConstrainSelectedInstOperands,
     /*  137090 */     // GIR_Coverage, 47811,
     /*  137090 */     GIR_EraseRootFromParent_Done,
     /*  137091 */   // Label 2415: @137091
     /*  137091 */   GIM_Reject,
     /*  137092 */ // Label 2413: @137092
     /*  137092 */ GIM_Reject,
     /*  137093 */ // Label 2280: @137093
     /*  137093 */ GIM_Try, /*On fail goto*//*Label 2416*/ GIMT_Encode4(137207),
     /*  137098 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  137101 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  137104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  137116 */   GIM_Try, /*On fail goto*//*Label 2417*/ GIMT_Encode4(137161), // Rule ID 47846 //
     /*  137121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137124 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  137124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  137127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  137141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137159 */     GIR_RootConstrainSelectedInstOperands,
     /*  137160 */     // GIR_Coverage, 47846,
     /*  137160 */     GIR_EraseRootFromParent_Done,
     /*  137161 */   // Label 2417: @137161
     /*  137161 */   GIM_Try, /*On fail goto*//*Label 2418*/ GIMT_Encode4(137206), // Rule ID 47847 //
     /*  137166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137169 */     // (or:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  137169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  137172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  137186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  137201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137204 */     GIR_RootConstrainSelectedInstOperands,
     /*  137205 */     // GIR_Coverage, 47847,
     /*  137205 */     GIR_EraseRootFromParent_Done,
     /*  137206 */   // Label 2418: @137206
     /*  137206 */   GIM_Reject,
     /*  137207 */ // Label 2416: @137207
     /*  137207 */ GIM_Reject,
     /*  137208 */ // Label 2281: @137208
     /*  137208 */ GIM_Try, /*On fail goto*//*Label 2419*/ GIMT_Encode4(137322),
     /*  137213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  137216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  137219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  137231 */   GIM_Try, /*On fail goto*//*Label 2420*/ GIMT_Encode4(137276), // Rule ID 47862 //
     /*  137236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  137239 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  137239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  137242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  137256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137274 */     GIR_RootConstrainSelectedInstOperands,
     /*  137275 */     // GIR_Coverage, 47862,
     /*  137275 */     GIR_EraseRootFromParent_Done,
     /*  137276 */   // Label 2420: @137276
     /*  137276 */   GIM_Try, /*On fail goto*//*Label 2421*/ GIMT_Encode4(137321), // Rule ID 47863 //
     /*  137281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  137284 */     // (or:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  137284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  137287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  137301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  137316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137319 */     GIR_RootConstrainSelectedInstOperands,
     /*  137320 */     // GIR_Coverage, 47863,
     /*  137320 */     GIR_EraseRootFromParent_Done,
     /*  137321 */   // Label 2421: @137321
     /*  137321 */   GIM_Reject,
     /*  137322 */ // Label 2419: @137322
     /*  137322 */ GIM_Reject,
     /*  137323 */ // Label 2282: @137323
     /*  137323 */ GIM_Try, /*On fail goto*//*Label 2422*/ GIMT_Encode4(137933),
     /*  137328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137338 */   GIM_Try, /*On fail goto*//*Label 2423*/ GIMT_Encode4(137404), // Rule ID 71756 //
     /*  137343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137362 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137366 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137370 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137374 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137385 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137402 */     GIR_RootConstrainSelectedInstOperands,
     /*  137403 */     // GIR_Coverage, 71756,
     /*  137403 */     GIR_EraseRootFromParent_Done,
     /*  137404 */   // Label 2423: @137404
     /*  137404 */   GIM_Try, /*On fail goto*//*Label 2424*/ GIMT_Encode4(137470), // Rule ID 71757 //
     /*  137409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137428 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137432 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137436 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137440 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137451 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137468 */     GIR_RootConstrainSelectedInstOperands,
     /*  137469 */     // GIR_Coverage, 71757,
     /*  137469 */     GIR_EraseRootFromParent_Done,
     /*  137470 */   // Label 2424: @137470
     /*  137470 */   GIM_Try, /*On fail goto*//*Label 2425*/ GIMT_Encode4(137536), // Rule ID 71754 //
     /*  137475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137486 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137490 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137494 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137517 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137534 */     GIR_RootConstrainSelectedInstOperands,
     /*  137535 */     // GIR_Coverage, 71754,
     /*  137535 */     GIR_EraseRootFromParent_Done,
     /*  137536 */   // Label 2425: @137536
     /*  137536 */   GIM_Try, /*On fail goto*//*Label 2426*/ GIMT_Encode4(137602), // Rule ID 71755 //
     /*  137541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  137548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137552 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137556 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137560 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137565 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137569 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137573 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137583 */     // (or:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs1)  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  137590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137600 */     GIR_RootConstrainSelectedInstOperands,
     /*  137601 */     // GIR_Coverage, 71755,
     /*  137601 */     GIR_EraseRootFromParent_Done,
     /*  137602 */   // Label 2426: @137602
     /*  137602 */   GIM_Try, /*On fail goto*//*Label 2427*/ GIMT_Encode4(137668), // Rule ID 71752 //
     /*  137607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137642 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137649 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137666 */     GIR_RootConstrainSelectedInstOperands,
     /*  137667 */     // GIR_Coverage, 71752,
     /*  137667 */     GIR_EraseRootFromParent_Done,
     /*  137668 */   // Label 2427: @137668
     /*  137668 */   GIM_Try, /*On fail goto*//*Label 2428*/ GIMT_Encode4(137734), // Rule ID 71753 //
     /*  137673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137696 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  137700 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137704 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137715 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  137726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137732 */     GIR_RootConstrainSelectedInstOperands,
     /*  137733 */     // GIR_Coverage, 71753,
     /*  137733 */     GIR_EraseRootFromParent_Done,
     /*  137734 */   // Label 2428: @137734
     /*  137734 */   GIM_Try, /*On fail goto*//*Label 2429*/ GIMT_Encode4(137800), // Rule ID 53226 //
     /*  137739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137758 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137762 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  137779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137781 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137798 */     GIR_RootConstrainSelectedInstOperands,
     /*  137799 */     // GIR_Coverage, 53226,
     /*  137799 */     GIR_EraseRootFromParent_Done,
     /*  137800 */   // Label 2429: @137800
     /*  137800 */   GIM_Try, /*On fail goto*//*Label 2430*/ GIMT_Encode4(137866), // Rule ID 53227 //
     /*  137805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  137816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  137820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  137824 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  137828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  137837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  137841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  137845 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  137847 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  137850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137854 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  137858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137864 */     GIR_RootConstrainSelectedInstOperands,
     /*  137865 */     // GIR_Coverage, 53227,
     /*  137865 */     GIR_EraseRootFromParent_Done,
     /*  137866 */   // Label 2430: @137866
     /*  137866 */   GIM_Try, /*On fail goto*//*Label 2431*/ GIMT_Encode4(137899), // Rule ID 53214 //
     /*  137871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137874 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137882 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  137882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  137885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137897 */     GIR_RootConstrainSelectedInstOperands,
     /*  137898 */     // GIR_Coverage, 53214,
     /*  137898 */     GIR_EraseRootFromParent_Done,
     /*  137899 */   // Label 2431: @137899
     /*  137899 */   GIM_Try, /*On fail goto*//*Label 2432*/ GIMT_Encode4(137932), // Rule ID 53215 //
     /*  137904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  137907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137915 */     // (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  137915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  137918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  137930 */     GIR_RootConstrainSelectedInstOperands,
     /*  137931 */     // GIR_Coverage, 53215,
     /*  137931 */     GIR_EraseRootFromParent_Done,
     /*  137932 */   // Label 2432: @137932
     /*  137932 */   GIM_Reject,
     /*  137933 */ // Label 2422: @137933
     /*  137933 */ GIM_Reject,
     /*  137934 */ // Label 2283: @137934
     /*  137934 */ GIM_Try, /*On fail goto*//*Label 2433*/ GIMT_Encode4(138048),
     /*  137939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  137942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  137945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  137957 */   GIM_Try, /*On fail goto*//*Label 2434*/ GIMT_Encode4(138002), // Rule ID 47806 //
     /*  137962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  137965 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  137965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  137968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  137972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  137977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  137979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  137982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  137984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  137987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  137989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  137991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  137994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  137997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138000 */     GIR_RootConstrainSelectedInstOperands,
     /*  138001 */     // GIR_Coverage, 47806,
     /*  138001 */     GIR_EraseRootFromParent_Done,
     /*  138002 */   // Label 2434: @138002
     /*  138002 */   GIM_Try, /*On fail goto*//*Label 2435*/ GIMT_Encode4(138047), // Rule ID 47807 //
     /*  138007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138010 */     // (or:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  138010 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  138013 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138017 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138022 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  138027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138029 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138045 */     GIR_RootConstrainSelectedInstOperands,
     /*  138046 */     // GIR_Coverage, 47807,
     /*  138046 */     GIR_EraseRootFromParent_Done,
     /*  138047 */   // Label 2435: @138047
     /*  138047 */   GIM_Reject,
     /*  138048 */ // Label 2433: @138048
     /*  138048 */ GIM_Reject,
     /*  138049 */ // Label 2284: @138049
     /*  138049 */ GIM_Try, /*On fail goto*//*Label 2436*/ GIMT_Encode4(138163),
     /*  138054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  138057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  138060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138068 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  138072 */   GIM_Try, /*On fail goto*//*Label 2437*/ GIMT_Encode4(138117), // Rule ID 47834 //
     /*  138077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138080 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  138080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  138083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  138097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138115 */     GIR_RootConstrainSelectedInstOperands,
     /*  138116 */     // GIR_Coverage, 47834,
     /*  138116 */     GIR_EraseRootFromParent_Done,
     /*  138117 */   // Label 2437: @138117
     /*  138117 */   GIM_Try, /*On fail goto*//*Label 2438*/ GIMT_Encode4(138162), // Rule ID 47835 //
     /*  138122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138125 */     // (or:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  138125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  138128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  138142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  138157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138160 */     GIR_RootConstrainSelectedInstOperands,
     /*  138161 */     // GIR_Coverage, 47835,
     /*  138161 */     GIR_EraseRootFromParent_Done,
     /*  138162 */   // Label 2438: @138162
     /*  138162 */   GIM_Reject,
     /*  138163 */ // Label 2436: @138163
     /*  138163 */ GIM_Reject,
     /*  138164 */ // Label 2285: @138164
     /*  138164 */ GIM_Try, /*On fail goto*//*Label 2439*/ GIMT_Encode4(138278),
     /*  138169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  138172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  138175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138179 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  138187 */   GIM_Try, /*On fail goto*//*Label 2440*/ GIMT_Encode4(138232), // Rule ID 47850 //
     /*  138192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138195 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  138195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  138198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  138212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138230 */     GIR_RootConstrainSelectedInstOperands,
     /*  138231 */     // GIR_Coverage, 47850,
     /*  138231 */     GIR_EraseRootFromParent_Done,
     /*  138232 */   // Label 2440: @138232
     /*  138232 */   GIM_Try, /*On fail goto*//*Label 2441*/ GIMT_Encode4(138277), // Rule ID 47851 //
     /*  138237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138240 */     // (or:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  138240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  138243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  138257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138262 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  138272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138275 */     GIR_RootConstrainSelectedInstOperands,
     /*  138276 */     // GIR_Coverage, 47851,
     /*  138276 */     GIR_EraseRootFromParent_Done,
     /*  138277 */   // Label 2441: @138277
     /*  138277 */   GIM_Reject,
     /*  138278 */ // Label 2439: @138278
     /*  138278 */ GIM_Reject,
     /*  138279 */ // Label 2286: @138279
     /*  138279 */ GIM_Try, /*On fail goto*//*Label 2442*/ GIMT_Encode4(138393),
     /*  138284 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  138287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  138290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138298 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  138302 */   GIM_Try, /*On fail goto*//*Label 2443*/ GIMT_Encode4(138347), // Rule ID 47866 //
     /*  138307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  138310 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  138310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  138313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  138327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138345 */     GIR_RootConstrainSelectedInstOperands,
     /*  138346 */     // GIR_Coverage, 47866,
     /*  138346 */     GIR_EraseRootFromParent_Done,
     /*  138347 */   // Label 2443: @138347
     /*  138347 */   GIM_Try, /*On fail goto*//*Label 2444*/ GIMT_Encode4(138392), // Rule ID 47867 //
     /*  138352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  138355 */     // (or:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  138355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  138358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  138362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  138367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  138369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  138372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  138377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  138387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  138390 */     GIR_RootConstrainSelectedInstOperands,
     /*  138391 */     // GIR_Coverage, 47867,
     /*  138391 */     GIR_EraseRootFromParent_Done,
     /*  138392 */   // Label 2444: @138392
     /*  138392 */   GIM_Reject,
     /*  138393 */ // Label 2442: @138393
     /*  138393 */ GIM_Reject,
     /*  138394 */ // Label 2287: @138394
     /*  138394 */ GIM_Try, /*On fail goto*//*Label 2445*/ GIMT_Encode4(139004),
     /*  138399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138402 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138409 */   GIM_Try, /*On fail goto*//*Label 2446*/ GIMT_Encode4(138475), // Rule ID 71784 //
     /*  138414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138429 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138445 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138454 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138456 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138473 */     GIR_RootConstrainSelectedInstOperands,
     /*  138474 */     // GIR_Coverage, 71784,
     /*  138474 */     GIR_EraseRootFromParent_Done,
     /*  138475 */   // Label 2446: @138475
     /*  138475 */   GIM_Try, /*On fail goto*//*Label 2447*/ GIMT_Encode4(138541), // Rule ID 71785 //
     /*  138480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138491 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138495 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138499 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138503 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138507 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138520 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138522 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138529 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138539 */     GIR_RootConstrainSelectedInstOperands,
     /*  138540 */     // GIR_Coverage, 71785,
     /*  138540 */     GIR_EraseRootFromParent_Done,
     /*  138541 */   // Label 2447: @138541
     /*  138541 */   GIM_Try, /*On fail goto*//*Label 2448*/ GIMT_Encode4(138607), // Rule ID 71782 //
     /*  138546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138557 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138561 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138565 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138570 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138574 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138578 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138588 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138595 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138605 */     GIR_RootConstrainSelectedInstOperands,
     /*  138606 */     // GIR_Coverage, 71782,
     /*  138606 */     GIR_EraseRootFromParent_Done,
     /*  138607 */   // Label 2448: @138607
     /*  138607 */   GIM_Try, /*On fail goto*//*Label 2449*/ GIMT_Encode4(138673), // Rule ID 71783 //
     /*  138612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  138619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138627 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138631 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138636 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138640 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138644 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138652 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138654 */     // (or:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs1)  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  138661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138671 */     GIR_RootConstrainSelectedInstOperands,
     /*  138672 */     // GIR_Coverage, 71783,
     /*  138672 */     GIR_EraseRootFromParent_Done,
     /*  138673 */   // Label 2449: @138673
     /*  138673 */   GIM_Try, /*On fail goto*//*Label 2450*/ GIMT_Encode4(138739), // Rule ID 71780 //
     /*  138678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138697 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138713 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138718 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138720 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138727 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138737 */     GIR_RootConstrainSelectedInstOperands,
     /*  138738 */     // GIR_Coverage, 71780,
     /*  138738 */     GIR_EraseRootFromParent_Done,
     /*  138739 */   // Label 2450: @138739
     /*  138739 */   GIM_Try, /*On fail goto*//*Label 2451*/ GIMT_Encode4(138805), // Rule ID 71781 //
     /*  138744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138759 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138763 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138767 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  138771 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138775 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138784 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138786 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  138797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138803 */     GIR_RootConstrainSelectedInstOperands,
     /*  138804 */     // GIR_Coverage, 71781,
     /*  138804 */     GIR_EraseRootFromParent_Done,
     /*  138805 */   // Label 2451: @138805
     /*  138805 */   GIM_Try, /*On fail goto*//*Label 2452*/ GIMT_Encode4(138871), // Rule ID 53244 //
     /*  138810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138829 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138833 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138838 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138842 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138846 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  138850 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138852 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138869 */     GIR_RootConstrainSelectedInstOperands,
     /*  138870 */     // GIR_Coverage, 53244,
     /*  138870 */     GIR_EraseRootFromParent_Done,
     /*  138871 */   // Label 2452: @138871
     /*  138871 */   GIM_Try, /*On fail goto*//*Label 2453*/ GIMT_Encode4(138937), // Rule ID 53245 //
     /*  138876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  138887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  138891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  138895 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  138899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138904 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  138908 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  138912 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  138916 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  138918 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  138921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138923 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  138929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138935 */     GIR_RootConstrainSelectedInstOperands,
     /*  138936 */     // GIR_Coverage, 53245,
     /*  138936 */     GIR_EraseRootFromParent_Done,
     /*  138937 */   // Label 2453: @138937
     /*  138937 */   GIM_Try, /*On fail goto*//*Label 2454*/ GIMT_Encode4(138970), // Rule ID 53232 //
     /*  138942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  138945 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138953 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  138953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  138956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  138968 */     GIR_RootConstrainSelectedInstOperands,
     /*  138969 */     // GIR_Coverage, 53232,
     /*  138969 */     GIR_EraseRootFromParent_Done,
     /*  138970 */   // Label 2454: @138970
     /*  138970 */   GIM_Try, /*On fail goto*//*Label 2455*/ GIMT_Encode4(139003), // Rule ID 53233 //
     /*  138975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  138978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  138986 */     // (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  138986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  138989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  138991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  138993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  138995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  138998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139001 */     GIR_RootConstrainSelectedInstOperands,
     /*  139002 */     // GIR_Coverage, 53233,
     /*  139002 */     GIR_EraseRootFromParent_Done,
     /*  139003 */   // Label 2455: @139003
     /*  139003 */   GIM_Reject,
     /*  139004 */ // Label 2445: @139004
     /*  139004 */ GIM_Reject,
     /*  139005 */ // Label 2288: @139005
     /*  139005 */ GIM_Try, /*On fail goto*//*Label 2456*/ GIMT_Encode4(139119),
     /*  139010 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  139013 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  139016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  139028 */   GIM_Try, /*On fail goto*//*Label 2457*/ GIMT_Encode4(139073), // Rule ID 47822 //
     /*  139033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139036 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  139039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  139053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139071 */     GIR_RootConstrainSelectedInstOperands,
     /*  139072 */     // GIR_Coverage, 47822,
     /*  139072 */     GIR_EraseRootFromParent_Done,
     /*  139073 */   // Label 2457: @139073
     /*  139073 */   GIM_Try, /*On fail goto*//*Label 2458*/ GIMT_Encode4(139118), // Rule ID 47823 //
     /*  139078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139081 */     // (or:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  139081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  139084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  139098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139116 */     GIR_RootConstrainSelectedInstOperands,
     /*  139117 */     // GIR_Coverage, 47823,
     /*  139117 */     GIR_EraseRootFromParent_Done,
     /*  139118 */   // Label 2458: @139118
     /*  139118 */   GIM_Reject,
     /*  139119 */ // Label 2456: @139119
     /*  139119 */ GIM_Reject,
     /*  139120 */ // Label 2289: @139120
     /*  139120 */ GIM_Try, /*On fail goto*//*Label 2459*/ GIMT_Encode4(139234),
     /*  139125 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  139128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  139131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139139 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139143 */   GIM_Try, /*On fail goto*//*Label 2460*/ GIMT_Encode4(139188), // Rule ID 47838 //
     /*  139148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139151 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  139151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  139154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  139168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139186 */     GIR_RootConstrainSelectedInstOperands,
     /*  139187 */     // GIR_Coverage, 47838,
     /*  139187 */     GIR_EraseRootFromParent_Done,
     /*  139188 */   // Label 2460: @139188
     /*  139188 */   GIM_Try, /*On fail goto*//*Label 2461*/ GIMT_Encode4(139233), // Rule ID 47839 //
     /*  139193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139196 */     // (or:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  139196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  139199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  139213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  139228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139231 */     GIR_RootConstrainSelectedInstOperands,
     /*  139232 */     // GIR_Coverage, 47839,
     /*  139232 */     GIR_EraseRootFromParent_Done,
     /*  139233 */   // Label 2461: @139233
     /*  139233 */   GIM_Reject,
     /*  139234 */ // Label 2459: @139234
     /*  139234 */ GIM_Reject,
     /*  139235 */ // Label 2290: @139235
     /*  139235 */ GIM_Try, /*On fail goto*//*Label 2462*/ GIMT_Encode4(139349),
     /*  139240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  139243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  139246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139250 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  139258 */   GIM_Try, /*On fail goto*//*Label 2463*/ GIMT_Encode4(139303), // Rule ID 47854 //
     /*  139263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139266 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  139266 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  139269 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139273 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  139283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139285 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139301 */     GIR_RootConstrainSelectedInstOperands,
     /*  139302 */     // GIR_Coverage, 47854,
     /*  139302 */     GIR_EraseRootFromParent_Done,
     /*  139303 */   // Label 2463: @139303
     /*  139303 */   GIM_Try, /*On fail goto*//*Label 2464*/ GIMT_Encode4(139348), // Rule ID 47855 //
     /*  139308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139311 */     // (or:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  139311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  139314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  139323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  139325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  139328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  139333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  139343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  139346 */     GIR_RootConstrainSelectedInstOperands,
     /*  139347 */     // GIR_Coverage, 47855,
     /*  139347 */     GIR_EraseRootFromParent_Done,
     /*  139348 */   // Label 2464: @139348
     /*  139348 */   GIM_Reject,
     /*  139349 */ // Label 2462: @139349
     /*  139349 */ GIM_Reject,
     /*  139350 */ // Label 2291: @139350
     /*  139350 */ GIM_Try, /*On fail goto*//*Label 2465*/ GIMT_Encode4(139960),
     /*  139355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139365 */   GIM_Try, /*On fail goto*//*Label 2466*/ GIMT_Encode4(139431), // Rule ID 71812 //
     /*  139370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139381 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139385 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139389 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139393 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139397 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139401 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139412 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139419 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139429 */     GIR_RootConstrainSelectedInstOperands,
     /*  139430 */     // GIR_Coverage, 71812,
     /*  139430 */     GIR_EraseRootFromParent_Done,
     /*  139431 */   // Label 2466: @139431
     /*  139431 */   GIM_Try, /*On fail goto*//*Label 2467*/ GIMT_Encode4(139497), // Rule ID 71813 //
     /*  139436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139451 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139455 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139459 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139463 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139467 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139476 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139478 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139495 */     GIR_RootConstrainSelectedInstOperands,
     /*  139496 */     // GIR_Coverage, 71813,
     /*  139496 */     GIR_EraseRootFromParent_Done,
     /*  139497 */   // Label 2467: @139497
     /*  139497 */   GIM_Try, /*On fail goto*//*Label 2468*/ GIMT_Encode4(139563), // Rule ID 71810 //
     /*  139502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139513 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139517 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139526 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139530 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139534 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139542 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139544 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139561 */     GIR_RootConstrainSelectedInstOperands,
     /*  139562 */     // GIR_Coverage, 71810,
     /*  139562 */     GIR_EraseRootFromParent_Done,
     /*  139563 */   // Label 2468: @139563
     /*  139563 */   GIM_Try, /*On fail goto*//*Label 2469*/ GIMT_Encode4(139629), // Rule ID 71811 //
     /*  139568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  139575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139583 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139592 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139596 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139600 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139608 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139610 */     // (or:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs1)  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  139617 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139627 */     GIR_RootConstrainSelectedInstOperands,
     /*  139628 */     // GIR_Coverage, 71811,
     /*  139628 */     GIR_EraseRootFromParent_Done,
     /*  139629 */   // Label 2469: @139629
     /*  139629 */   GIM_Try, /*On fail goto*//*Label 2470*/ GIMT_Encode4(139695), // Rule ID 71808 //
     /*  139634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139637 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139649 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139653 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139676 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139693 */     GIR_RootConstrainSelectedInstOperands,
     /*  139694 */     // GIR_Coverage, 71808,
     /*  139694 */     GIR_EraseRootFromParent_Done,
     /*  139695 */   // Label 2470: @139695
     /*  139695 */   GIM_Try, /*On fail goto*//*Label 2471*/ GIMT_Encode4(139761), // Rule ID 71809 //
     /*  139700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139719 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139723 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  139727 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139731 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139740 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139742 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139749 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  139753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139759 */     GIR_RootConstrainSelectedInstOperands,
     /*  139760 */     // GIR_Coverage, 71809,
     /*  139760 */     GIR_EraseRootFromParent_Done,
     /*  139761 */   // Label 2471: @139761
     /*  139761 */   GIM_Try, /*On fail goto*//*Label 2472*/ GIMT_Encode4(139827), // Rule ID 53262 //
     /*  139766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139785 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139789 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139794 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139798 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139802 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  139806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139808 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139825 */     GIR_RootConstrainSelectedInstOperands,
     /*  139826 */     // GIR_Coverage, 53262,
     /*  139826 */     GIR_EraseRootFromParent_Done,
     /*  139827 */   // Label 2472: @139827
     /*  139827 */   GIM_Try, /*On fail goto*//*Label 2473*/ GIMT_Encode4(139893), // Rule ID 53263 //
     /*  139832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139835 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139839 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  139843 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  139847 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  139851 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  139855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139860 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  139864 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  139868 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  139872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  139874 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  139877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139881 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  139885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139891 */     GIR_RootConstrainSelectedInstOperands,
     /*  139892 */     // GIR_Coverage, 53263,
     /*  139892 */     GIR_EraseRootFromParent_Done,
     /*  139893 */   // Label 2473: @139893
     /*  139893 */   GIM_Try, /*On fail goto*//*Label 2474*/ GIMT_Encode4(139926), // Rule ID 53250 //
     /*  139898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139901 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139909 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  139909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  139912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139924 */     GIR_RootConstrainSelectedInstOperands,
     /*  139925 */     // GIR_Coverage, 53250,
     /*  139925 */     GIR_EraseRootFromParent_Done,
     /*  139926 */   // Label 2474: @139926
     /*  139926 */   GIM_Try, /*On fail goto*//*Label 2475*/ GIMT_Encode4(139959), // Rule ID 53251 //
     /*  139931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  139934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  139942 */     // (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  139942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  139945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  139947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  139949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  139951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  139954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  139957 */     GIR_RootConstrainSelectedInstOperands,
     /*  139958 */     // GIR_Coverage, 53251,
     /*  139958 */     GIR_EraseRootFromParent_Done,
     /*  139959 */   // Label 2475: @139959
     /*  139959 */   GIM_Reject,
     /*  139960 */ // Label 2465: @139960
     /*  139960 */ GIM_Reject,
     /*  139961 */ // Label 2292: @139961
     /*  139961 */ GIM_Try, /*On fail goto*//*Label 2476*/ GIMT_Encode4(140075),
     /*  139966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  139969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  139972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  139984 */   GIM_Try, /*On fail goto*//*Label 2477*/ GIMT_Encode4(140029), // Rule ID 47826 //
     /*  139989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  139992 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  139992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  139995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  139999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  140009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140027 */     GIR_RootConstrainSelectedInstOperands,
     /*  140028 */     // GIR_Coverage, 47826,
     /*  140028 */     GIR_EraseRootFromParent_Done,
     /*  140029 */   // Label 2477: @140029
     /*  140029 */   GIM_Try, /*On fail goto*//*Label 2478*/ GIMT_Encode4(140074), // Rule ID 47827 //
     /*  140034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140037 */     // (or:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  140037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  140040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  140054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140072 */     GIR_RootConstrainSelectedInstOperands,
     /*  140073 */     // GIR_Coverage, 47827,
     /*  140073 */     GIR_EraseRootFromParent_Done,
     /*  140074 */   // Label 2478: @140074
     /*  140074 */   GIM_Reject,
     /*  140075 */ // Label 2476: @140075
     /*  140075 */ GIM_Reject,
     /*  140076 */ // Label 2293: @140076
     /*  140076 */ GIM_Try, /*On fail goto*//*Label 2479*/ GIMT_Encode4(140190),
     /*  140081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  140084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  140087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140099 */   GIM_Try, /*On fail goto*//*Label 2480*/ GIMT_Encode4(140144), // Rule ID 47842 //
     /*  140104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140107 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  140107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  140110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140142 */     GIR_RootConstrainSelectedInstOperands,
     /*  140143 */     // GIR_Coverage, 47842,
     /*  140143 */     GIR_EraseRootFromParent_Done,
     /*  140144 */   // Label 2480: @140144
     /*  140144 */   GIM_Try, /*On fail goto*//*Label 2481*/ GIMT_Encode4(140189), // Rule ID 47843 //
     /*  140149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140152 */     // (or:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  140152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  140155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  140184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140187 */     GIR_RootConstrainSelectedInstOperands,
     /*  140188 */     // GIR_Coverage, 47843,
     /*  140188 */     GIR_EraseRootFromParent_Done,
     /*  140189 */   // Label 2481: @140189
     /*  140189 */   GIM_Reject,
     /*  140190 */ // Label 2479: @140190
     /*  140190 */ GIM_Reject,
     /*  140191 */ // Label 2294: @140191
     /*  140191 */ GIM_Try, /*On fail goto*//*Label 2482*/ GIMT_Encode4(140801),
     /*  140196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140206 */   GIM_Try, /*On fail goto*//*Label 2483*/ GIMT_Encode4(140272), // Rule ID 71840 //
     /*  140211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140226 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140242 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140251 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140253 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140270 */     GIR_RootConstrainSelectedInstOperands,
     /*  140271 */     // GIR_Coverage, 71840,
     /*  140271 */     GIR_EraseRootFromParent_Done,
     /*  140272 */   // Label 2483: @140272
     /*  140272 */   GIM_Try, /*On fail goto*//*Label 2484*/ GIMT_Encode4(140338), // Rule ID 71841 //
     /*  140277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140296 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140300 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140304 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140308 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140317 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140319 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140326 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140336 */     GIR_RootConstrainSelectedInstOperands,
     /*  140337 */     // GIR_Coverage, 71841,
     /*  140337 */     GIR_EraseRootFromParent_Done,
     /*  140338 */   // Label 2484: @140338
     /*  140338 */   GIM_Try, /*On fail goto*//*Label 2485*/ GIMT_Encode4(140404), // Rule ID 71838 //
     /*  140343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140358 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140362 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140383 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140385 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140402 */     GIR_RootConstrainSelectedInstOperands,
     /*  140403 */     // GIR_Coverage, 71838,
     /*  140403 */     GIR_EraseRootFromParent_Done,
     /*  140404 */   // Label 2485: @140404
     /*  140404 */   GIM_Try, /*On fail goto*//*Label 2486*/ GIMT_Encode4(140470), // Rule ID 71839 //
     /*  140409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140412 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  140416 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140420 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140424 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140428 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140433 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140437 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140441 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140449 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140451 */     // (or:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs1)  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  140458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140468 */     GIR_RootConstrainSelectedInstOperands,
     /*  140469 */     // GIR_Coverage, 71839,
     /*  140469 */     GIR_EraseRootFromParent_Done,
     /*  140470 */   // Label 2486: @140470
     /*  140470 */   GIM_Try, /*On fail goto*//*Label 2487*/ GIMT_Encode4(140536), // Rule ID 71836 //
     /*  140475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140478 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140490 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140494 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140498 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140502 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140506 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140515 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140517 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140534 */     GIR_RootConstrainSelectedInstOperands,
     /*  140535 */     // GIR_Coverage, 71836,
     /*  140535 */     GIR_EraseRootFromParent_Done,
     /*  140536 */   // Label 2487: @140536
     /*  140536 */   GIM_Try, /*On fail goto*//*Label 2488*/ GIMT_Encode4(140602), // Rule ID 71837 //
     /*  140541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140560 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140564 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  140568 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140572 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140576 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140581 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140583 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  140594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140600 */     GIR_RootConstrainSelectedInstOperands,
     /*  140601 */     // GIR_Coverage, 71837,
     /*  140601 */     GIR_EraseRootFromParent_Done,
     /*  140602 */   // Label 2488: @140602
     /*  140602 */   GIM_Try, /*On fail goto*//*Label 2489*/ GIMT_Encode4(140668), // Rule ID 53280 //
     /*  140607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140635 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140639 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140643 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  140647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140649 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140666 */     GIR_RootConstrainSelectedInstOperands,
     /*  140667 */     // GIR_Coverage, 53280,
     /*  140667 */     GIR_EraseRootFromParent_Done,
     /*  140668 */   // Label 2489: @140668
     /*  140668 */   GIM_Try, /*On fail goto*//*Label 2490*/ GIMT_Encode4(140734), // Rule ID 53281 //
     /*  140673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  140684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  140688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  140692 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  140696 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140701 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  140705 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  140709 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  140713 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  140715 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  140718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140722 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  140726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140732 */     GIR_RootConstrainSelectedInstOperands,
     /*  140733 */     // GIR_Coverage, 53281,
     /*  140733 */     GIR_EraseRootFromParent_Done,
     /*  140734 */   // Label 2490: @140734
     /*  140734 */   GIM_Try, /*On fail goto*//*Label 2491*/ GIMT_Encode4(140767), // Rule ID 53268 //
     /*  140739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140750 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  140750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  140753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140765 */     GIR_RootConstrainSelectedInstOperands,
     /*  140766 */     // GIR_Coverage, 53268,
     /*  140766 */     GIR_EraseRootFromParent_Done,
     /*  140767 */   // Label 2491: @140767
     /*  140767 */   GIM_Try, /*On fail goto*//*Label 2492*/ GIMT_Encode4(140800), // Rule ID 53269 //
     /*  140772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  140783 */     // (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  140783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  140786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  140798 */     GIR_RootConstrainSelectedInstOperands,
     /*  140799 */     // GIR_Coverage, 53269,
     /*  140799 */     GIR_EraseRootFromParent_Done,
     /*  140800 */   // Label 2492: @140800
     /*  140800 */   GIM_Reject,
     /*  140801 */ // Label 2482: @140801
     /*  140801 */ GIM_Reject,
     /*  140802 */ // Label 2295: @140802
     /*  140802 */ GIM_Try, /*On fail goto*//*Label 2493*/ GIMT_Encode4(140916),
     /*  140807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  140810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  140813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  140825 */   GIM_Try, /*On fail goto*//*Label 2494*/ GIMT_Encode4(140870), // Rule ID 47830 //
     /*  140830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  140833 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  140833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  140836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140868 */     GIR_RootConstrainSelectedInstOperands,
     /*  140869 */     // GIR_Coverage, 47830,
     /*  140869 */     GIR_EraseRootFromParent_Done,
     /*  140870 */   // Label 2494: @140870
     /*  140870 */   GIM_Try, /*On fail goto*//*Label 2495*/ GIMT_Encode4(140915), // Rule ID 47831 //
     /*  140875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  140878 */     // (or:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  140878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  140881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  140885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  140890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  140892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  140895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  140897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  140900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  140902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  140904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  140907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  140913 */     GIR_RootConstrainSelectedInstOperands,
     /*  140914 */     // GIR_Coverage, 47831,
     /*  140914 */     GIR_EraseRootFromParent_Done,
     /*  140915 */   // Label 2495: @140915
     /*  140915 */   GIM_Reject,
     /*  140916 */ // Label 2493: @140916
     /*  140916 */ GIM_Reject,
     /*  140917 */ // Label 2296: @140917
     /*  140917 */ GIM_Reject,
     /*  140918 */ // Label 9: @140918
     /*  140918 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 2527*/ GIMT_Encode4(155824),
     /*  140929 */ /*GILLT_s32*//*Label 2496*/ GIMT_Encode4(141053),
     /*  140933 */ /*GILLT_s64*//*Label 2497*/ GIMT_Encode4(141591),
     /*  140937 */ /*GILLT_nxv1s1*//*Label 2498*/ GIMT_Encode4(142017),
     /*  140941 */ /*GILLT_nxv1s8*//*Label 2499*/ GIMT_Encode4(143628),
     /*  140945 */ /*GILLT_nxv1s16*//*Label 2500*/ GIMT_Encode4(143743),
     /*  140949 */ /*GILLT_nxv1s32*//*Label 2501*/ GIMT_Encode4(143858),
     /*  140953 */ /*GILLT_nxv1s64*//*Label 2502*/ GIMT_Encode4(143973),
     /*  140957 */ /*GILLT_nxv2s1*//*Label 2503*/ GIMT_Encode4(144088),
     /*  140961 */ /*GILLT_nxv2s8*//*Label 2504*/ GIMT_Encode4(145699),
     /*  140965 */ /*GILLT_nxv2s16*//*Label 2505*/ GIMT_Encode4(145814),
     /*  140969 */ /*GILLT_nxv2s32*//*Label 2506*/ GIMT_Encode4(145929),
     /*  140973 */ /*GILLT_nxv2s64*//*Label 2507*/ GIMT_Encode4(146044),
     /*  140977 */ /*GILLT_nxv4s1*//*Label 2508*/ GIMT_Encode4(146159),
     /*  140981 */ /*GILLT_nxv4s8*//*Label 2509*/ GIMT_Encode4(147770),
     /*  140985 */ /*GILLT_nxv4s16*//*Label 2510*/ GIMT_Encode4(147885),
     /*  140989 */ /*GILLT_nxv4s32*//*Label 2511*/ GIMT_Encode4(148000),
     /*  140993 */ /*GILLT_nxv4s64*//*Label 2512*/ GIMT_Encode4(148115),
     /*  140997 */ /*GILLT_nxv8s1*//*Label 2513*/ GIMT_Encode4(148230),
     /*  141001 */ /*GILLT_nxv8s8*//*Label 2514*/ GIMT_Encode4(149841),
     /*  141005 */ /*GILLT_nxv8s16*//*Label 2515*/ GIMT_Encode4(149956),
     /*  141009 */ /*GILLT_nxv8s32*//*Label 2516*/ GIMT_Encode4(150071),
     /*  141013 */ /*GILLT_nxv8s64*//*Label 2517*/ GIMT_Encode4(150186),
     /*  141017 */ /*GILLT_nxv16s1*//*Label 2518*/ GIMT_Encode4(150301),
     /*  141021 */ /*GILLT_nxv16s8*//*Label 2519*/ GIMT_Encode4(151912),
     /*  141025 */ /*GILLT_nxv16s16*//*Label 2520*/ GIMT_Encode4(152027),
     /*  141029 */ /*GILLT_nxv16s32*//*Label 2521*/ GIMT_Encode4(152142),
     /*  141033 */ /*GILLT_nxv32s1*//*Label 2522*/ GIMT_Encode4(152257),
     /*  141037 */ /*GILLT_nxv32s8*//*Label 2523*/ GIMT_Encode4(153868),
     /*  141041 */ /*GILLT_nxv32s16*//*Label 2524*/ GIMT_Encode4(153983),
     /*  141045 */ /*GILLT_nxv64s1*//*Label 2525*/ GIMT_Encode4(154098),
     /*  141049 */ /*GILLT_nxv64s8*//*Label 2526*/ GIMT_Encode4(155709),
     /*  141053 */ // Label 2496: @141053
     /*  141053 */ GIM_Try, /*On fail goto*//*Label 2528*/ GIMT_Encode4(141590),
     /*  141058 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  141061 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  141064 */   GIM_Try, /*On fail goto*//*Label 2529*/ GIMT_Encode4(141147), // Rule ID 2479 //
     /*  141069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  141072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141088 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141092 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  141096 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141102 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141109 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } -1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), -1:{ *:[i32] })  =>  (ADDI:{ *:[i32] } (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })
     /*  141109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  141112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  141116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141121 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  141127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  141137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141145 */     GIR_RootConstrainSelectedInstOperands,
     /*  141146 */     // GIR_Coverage, 2479,
     /*  141146 */     GIR_EraseRootFromParent_Done,
     /*  141147 */   // Label 2529: @141147
     /*  141147 */   GIM_Try, /*On fail goto*//*Label 2530*/ GIMT_Encode4(141206), // Rule ID 2473 //
     /*  141152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  141155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141171 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141175 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141185 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141192 */     // (xor:{ *:[i32] } (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)), GPR:{ *:[i32] }:$rs1)  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141204 */     GIR_RootConstrainSelectedInstOperands,
     /*  141205 */     // GIR_Coverage, 2473,
     /*  141205 */     GIR_EraseRootFromParent_Done,
     /*  141206 */   // Label 2530: @141206
     /*  141206 */   GIM_Try, /*On fail goto*//*Label 2531*/ GIMT_Encode4(141265), // Rule ID 65461 //
     /*  141211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /*  141214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141230 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141234 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141238 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141244 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141251 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2)))  =>  (BINV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141263 */     GIR_RootConstrainSelectedInstOperands,
     /*  141264 */     // GIR_Coverage, 65461,
     /*  141264 */     GIR_EraseRootFromParent_Done,
     /*  141265 */   // Label 2531: @141265
     /*  141265 */   GIM_Try, /*On fail goto*//*Label 2532*/ GIMT_Encode4(141321), // Rule ID 65447 //
     /*  141270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  141273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141289 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141293 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141298 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141308 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }), GPR:{ *:[i32] }:$rs2)  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141319 */     GIR_RootConstrainSelectedInstOperands,
     /*  141320 */     // GIR_Coverage, 65447,
     /*  141320 */     GIR_EraseRootFromParent_Done,
     /*  141321 */   // Label 2532: @141321
     /*  141321 */   GIM_Try, /*On fail goto*//*Label 2533*/ GIMT_Encode4(141380), // Rule ID 65445 //
     /*  141326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  141329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141345 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141354 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141359 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141365 */     // (xor:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), -1:{ *:[i32] })  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141378 */     GIR_RootConstrainSelectedInstOperands,
     /*  141379 */     // GIR_Coverage, 65445,
     /*  141379 */     GIR_EraseRootFromParent_Done,
     /*  141380 */   // Label 2533: @141380
     /*  141380 */   GIM_Try, /*On fail goto*//*Label 2534*/ GIMT_Encode4(141436), // Rule ID 2447 //
     /*  141385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /*  141388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  141408 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  141412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141417 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141423 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs2, -1:{ *:[i32] }))  =>  (XNOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141430 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  141434 */     GIR_RootConstrainSelectedInstOperands,
     /*  141435 */     // GIR_Coverage, 2447,
     /*  141435 */     GIR_EraseRootFromParent_Done,
     /*  141436 */   // Label 2534: @141436
     /*  141436 */   GIM_Try, /*On fail goto*//*Label 2535*/ GIMT_Encode4(141478), // Rule ID 95 //
     /*  141441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  141444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141448 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  141464 */     // MIs[1] Operand 1
     /*  141464 */     // No operand predicates
     /*  141464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141466 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /*  141466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  141469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141476 */     GIR_RootConstrainSelectedInstOperands,
     /*  141477 */     // GIR_Coverage, 95,
     /*  141477 */     GIR_EraseRootFromParent_Done,
     /*  141478 */   // Label 2535: @141478
     /*  141478 */   GIM_Try, /*On fail goto*//*Label 2536*/ GIMT_Encode4(141520), // Rule ID 64527 //
     /*  141483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  141486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm32_nosimm26),
     /*  141506 */     // MIs[1] Operand 1
     /*  141506 */     // No operand predicates
     /*  141506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141508 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)  =>  (QC_E_XORAI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm32_nosimm26>>:$imm)
     /*  141508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORAI),
     /*  141511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  141513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141518 */     GIR_RootConstrainSelectedInstOperands,
     /*  141519 */     // GIR_Coverage, 64527,
     /*  141519 */     GIR_EraseRootFromParent_Done,
     /*  141520 */   // Label 2536: @141520
     /*  141520 */   GIM_Try, /*On fail goto*//*Label 2537*/ GIMT_Encode4(141562), // Rule ID 64531 //
     /*  141525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcilia_IsRV32_HwMode1),
     /*  141528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  141536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm26_nosimm12),
     /*  141548 */     // MIs[1] Operand 1
     /*  141548 */     // No operand predicates
     /*  141548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141550 */     // (xor:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)  =>  (QC_E_XORI:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm26_nosimm12>>:$imm)
     /*  141550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_E_XORI),
     /*  141553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141560 */     GIR_RootConstrainSelectedInstOperands,
     /*  141561 */     // GIR_Coverage, 64531,
     /*  141561 */     GIR_EraseRootFromParent_Done,
     /*  141562 */   // Label 2537: @141562
     /*  141562 */   GIM_Try, /*On fail goto*//*Label 2538*/ GIMT_Encode4(141589), // Rule ID 93 //
     /*  141567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  141570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141582 */     // (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XOR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  141582 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  141587 */     GIR_RootConstrainSelectedInstOperands,
     /*  141588 */     // GIR_Coverage, 93,
     /*  141588 */     GIR_Done,
     /*  141589 */   // Label 2538: @141589
     /*  141589 */   GIM_Reject,
     /*  141590 */ // Label 2528: @141590
     /*  141590 */ GIM_Reject,
     /*  141591 */ // Label 2497: @141591
     /*  141591 */ GIM_Try, /*On fail goto*//*Label 2539*/ GIMT_Encode4(142016),
     /*  141596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  141599 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  141602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141606 */   GIM_Try, /*On fail goto*//*Label 2540*/ GIMT_Encode4(141685), // Rule ID 2478 //
     /*  141611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141622 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141626 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141630 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, uint8_t(-1),
     /*  141634 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141640 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141647 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } -1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), -1:{ *:[i64] })  =>  (ADDI:{ *:[i64] } (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })
     /*  141647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /*  141650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /*  141654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  141659 */     GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  141665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/1, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  141672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  141675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  141680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  141683 */     GIR_RootConstrainSelectedInstOperands,
     /*  141684 */     // GIR_Coverage, 2478,
     /*  141684 */     GIR_EraseRootFromParent_Done,
     /*  141685 */   // Label 2540: @141685
     /*  141685 */   GIM_Try, /*On fail goto*//*Label 2541*/ GIMT_Encode4(141740), // Rule ID 2472 //
     /*  141690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141701 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141705 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141709 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141719 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141726 */     // (xor:{ *:[i64] } (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)), GPR:{ *:[i64] }:$rs1)  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  141733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141738 */     GIR_RootConstrainSelectedInstOperands,
     /*  141739 */     // GIR_Coverage, 2472,
     /*  141739 */     GIR_EraseRootFromParent_Done,
     /*  141740 */   // Label 2541: @141740
     /*  141740 */   GIM_Try, /*On fail goto*//*Label 2542*/ GIMT_Encode4(141795), // Rule ID 65460 //
     /*  141745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /*  141748 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  141760 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141764 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141768 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/1, 1,
     /*  141772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141774 */     GIM_CheckComplexPattern, /*MI*/1, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /*  141781 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2)))  =>  (BINV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BINV),
     /*  141784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /*  141793 */     GIR_RootConstrainSelectedInstOperands,
     /*  141794 */     // GIR_Coverage, 65460,
     /*  141794 */     GIR_EraseRootFromParent_Done,
     /*  141795 */   // Label 2542: @141795
     /*  141795 */   GIM_Try, /*On fail goto*//*Label 2543*/ GIMT_Encode4(141847), // Rule ID 65446 //
     /*  141800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141815 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141819 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141824 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141834 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }), GPR:{ *:[i64] }:$rs2)  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141839 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  141845 */     GIR_RootConstrainSelectedInstOperands,
     /*  141846 */     // GIR_Coverage, 65446,
     /*  141846 */     GIR_EraseRootFromParent_Done,
     /*  141847 */   // Label 2543: @141847
     /*  141847 */   GIM_Try, /*On fail goto*//*Label 2544*/ GIMT_Encode4(141902), // Rule ID 65444 //
     /*  141852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  141859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141863 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141867 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141871 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141876 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141881 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, uint8_t(-1),
     /*  141885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141887 */     // (xor:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), -1:{ *:[i64] })  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  141896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  141900 */     GIR_RootConstrainSelectedInstOperands,
     /*  141901 */     // GIR_Coverage, 65444,
     /*  141901 */     GIR_EraseRootFromParent_Done,
     /*  141902 */   // Label 2544: @141902
     /*  141902 */   GIM_Try, /*On fail goto*//*Label 2545*/ GIMT_Encode4(141954), // Rule ID 2446 //
     /*  141907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /*  141910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  141922 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  141926 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /*  141930 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141935 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /*  141939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141941 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs2, -1:{ *:[i64] }))  =>  (XNOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  141941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XNOR),
     /*  141944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141948 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /*  141952 */     GIR_RootConstrainSelectedInstOperands,
     /*  141953 */     // GIR_Coverage, 2446,
     /*  141953 */     GIR_EraseRootFromParent_Done,
     /*  141954 */   // Label 2545: @141954
     /*  141954 */   GIM_Try, /*On fail goto*//*Label 2546*/ GIMT_Encode4(141992), // Rule ID 94 //
     /*  141959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  141962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  141966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  141970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  141974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /*  141978 */     // MIs[1] Operand 1
     /*  141978 */     // No operand predicates
     /*  141978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  141980 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)  =>  (XORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /*  141980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /*  141983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  141985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  141987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  141990 */     GIR_RootConstrainSelectedInstOperands,
     /*  141991 */     // GIR_Coverage, 94,
     /*  141991 */     GIR_EraseRootFromParent_Done,
     /*  141992 */   // Label 2546: @141992
     /*  141992 */   GIM_Try, /*On fail goto*//*Label 2547*/ GIMT_Encode4(142015), // Rule ID 92 //
     /*  141997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  142000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  142008 */     // (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XOR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  142008 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /*  142013 */     GIR_RootConstrainSelectedInstOperands,
     /*  142014 */     // GIR_Coverage, 92,
     /*  142014 */     GIR_Done,
     /*  142015 */   // Label 2547: @142015
     /*  142015 */   GIM_Reject,
     /*  142016 */ // Label 2539: @142016
     /*  142016 */ GIM_Reject,
     /*  142017 */ // Label 2498: @142017
     /*  142017 */ GIM_Try, /*On fail goto*//*Label 2548*/ GIMT_Encode4(143627),
     /*  142022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142025 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142032 */   GIM_Try, /*On fail goto*//*Label 2549*/ GIMT_Encode4(142101), // Rule ID 53164 //
     /*  142037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142048 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142052 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142056 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142061 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142066 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142070 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142074 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142078 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142080 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142085 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142089 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142099 */     GIR_RootConstrainSelectedInstOperands,
     /*  142100 */     // GIR_Coverage, 53164,
     /*  142100 */     GIR_EraseRootFromParent_Done,
     /*  142101 */   // Label 2549: @142101
     /*  142101 */   GIM_Try, /*On fail goto*//*Label 2550*/ GIMT_Encode4(142170), // Rule ID 53165 //
     /*  142106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142121 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142125 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142130 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142135 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142139 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142143 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142149 */     // (xor:{ *:[nxv1i1] } (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142158 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142168 */     GIR_RootConstrainSelectedInstOperands,
     /*  142169 */     // GIR_Coverage, 53165,
     /*  142169 */     GIR_EraseRootFromParent_Done,
     /*  142170 */   // Label 2550: @142170
     /*  142170 */   GIM_Try, /*On fail goto*//*Label 2551*/ GIMT_Encode4(142239), // Rule ID 53166 //
     /*  142175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142186 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142190 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142194 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142216 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142218 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142237 */     GIR_RootConstrainSelectedInstOperands,
     /*  142238 */     // GIR_Coverage, 53166,
     /*  142238 */     GIR_EraseRootFromParent_Done,
     /*  142239 */   // Label 2551: @142239
     /*  142239 */   GIM_Try, /*On fail goto*//*Label 2552*/ GIMT_Encode4(142308), // Rule ID 53167 //
     /*  142244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142259 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142263 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142268 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142273 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142277 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142281 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142287 */     // (xor:{ *:[nxv1i1] } (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142306 */     GIR_RootConstrainSelectedInstOperands,
     /*  142307 */     // GIR_Coverage, 53167,
     /*  142307 */     GIR_EraseRootFromParent_Done,
     /*  142308 */   // Label 2552: @142308
     /*  142308 */   GIM_Try, /*On fail goto*//*Label 2553*/ GIMT_Encode4(142374), // Rule ID 71654 //
     /*  142313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142328 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142332 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142336 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142340 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142353 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142355 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142372 */     GIR_RootConstrainSelectedInstOperands,
     /*  142373 */     // GIR_Coverage, 71654,
     /*  142373 */     GIR_EraseRootFromParent_Done,
     /*  142374 */   // Label 2553: @142374
     /*  142374 */   GIM_Try, /*On fail goto*//*Label 2554*/ GIMT_Encode4(142440), // Rule ID 71655 //
     /*  142379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142390 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142394 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142398 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  142402 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142406 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142419 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142421 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142426 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  142430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142438 */     GIR_RootConstrainSelectedInstOperands,
     /*  142439 */     // GIR_Coverage, 71655,
     /*  142439 */     GIR_EraseRootFromParent_Done,
     /*  142440 */   // Label 2554: @142440
     /*  142440 */   GIM_Try, /*On fail goto*//*Label 2555*/ GIMT_Encode4(142506), // Rule ID 71652 //
     /*  142445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142460 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142464 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142485 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142487 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142492 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142504 */     GIR_RootConstrainSelectedInstOperands,
     /*  142505 */     // GIR_Coverage, 71652,
     /*  142505 */     GIR_EraseRootFromParent_Done,
     /*  142506 */   // Label 2555: @142506
     /*  142506 */   GIM_Try, /*On fail goto*//*Label 2556*/ GIMT_Encode4(142572), // Rule ID 71653 //
     /*  142511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142526 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142530 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142535 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  142539 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142543 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142551 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142553 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142558 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  142564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142570 */     GIR_RootConstrainSelectedInstOperands,
     /*  142571 */     // GIR_Coverage, 71653,
     /*  142571 */     GIR_EraseRootFromParent_Done,
     /*  142572 */   // Label 2556: @142572
     /*  142572 */   GIM_Try, /*On fail goto*//*Label 2557*/ GIMT_Encode4(142641), // Rule ID 53168 //
     /*  142577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142588 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142592 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  142618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142620 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142639 */     GIR_RootConstrainSelectedInstOperands,
     /*  142640 */     // GIR_Coverage, 53168,
     /*  142640 */     GIR_EraseRootFromParent_Done,
     /*  142641 */   // Label 2557: @142641
     /*  142641 */   GIM_Try, /*On fail goto*//*Label 2558*/ GIMT_Encode4(142710), // Rule ID 53169 //
     /*  142646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  142657 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142661 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142665 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142675 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142679 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142683 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  142687 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142689 */     // (xor:{ *:[nxv1i1] } (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  142692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142694 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  142698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  142702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142708 */     GIR_RootConstrainSelectedInstOperands,
     /*  142709 */     // GIR_Coverage, 53169,
     /*  142709 */     GIR_EraseRootFromParent_Done,
     /*  142710 */   // Label 2558: @142710
     /*  142710 */   GIM_Try, /*On fail goto*//*Label 2559*/ GIMT_Encode4(142779), // Rule ID 71648 //
     /*  142715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142726 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142730 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142734 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142738 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142742 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142751 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142756 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142758 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142777 */     GIR_RootConstrainSelectedInstOperands,
     /*  142778 */     // GIR_Coverage, 71648,
     /*  142778 */     GIR_EraseRootFromParent_Done,
     /*  142779 */   // Label 2559: @142779
     /*  142779 */   GIM_Try, /*On fail goto*//*Label 2560*/ GIMT_Encode4(142848), // Rule ID 71649 //
     /*  142784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  142807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142811 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142815 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142820 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142825 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142827 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  142830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142832 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142846 */     GIR_RootConstrainSelectedInstOperands,
     /*  142847 */     // GIR_Coverage, 71649,
     /*  142847 */     GIR_EraseRootFromParent_Done,
     /*  142848 */   // Label 2560: @142848
     /*  142848 */   GIM_Try, /*On fail goto*//*Label 2561*/ GIMT_Encode4(142917), // Rule ID 71650 //
     /*  142853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142864 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  142868 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142872 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142876 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142880 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142884 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142889 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142894 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142896 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  142896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142915 */     GIR_RootConstrainSelectedInstOperands,
     /*  142916 */     // GIR_Coverage, 71650,
     /*  142916 */     GIR_EraseRootFromParent_Done,
     /*  142917 */   // Label 2561: @142917
     /*  142917 */   GIM_Try, /*On fail goto*//*Label 2562*/ GIMT_Encode4(142986), // Rule ID 71651 //
     /*  142922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  142925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  142933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  142937 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  142941 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  142945 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  142949 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  142953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142958 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  142963 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  142965 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  142965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  142968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  142970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  142974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  142978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  142981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  142984 */     GIR_RootConstrainSelectedInstOperands,
     /*  142985 */     // GIR_Coverage, 71651,
     /*  142985 */     GIR_EraseRootFromParent_Done,
     /*  142986 */   // Label 2562: @142986
     /*  142986 */   GIM_Try, /*On fail goto*//*Label 2563*/ GIMT_Encode4(143055), // Rule ID 71656 //
     /*  142991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  142994 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  142998 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143002 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143006 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143010 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143014 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143018 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143022 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143034 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  143043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  143047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143053 */     GIR_RootConstrainSelectedInstOperands,
     /*  143054 */     // GIR_Coverage, 71656,
     /*  143054 */     GIR_EraseRootFromParent_Done,
     /*  143055 */   // Label 2563: @143055
     /*  143055 */   GIM_Try, /*On fail goto*//*Label 2564*/ GIMT_Encode4(143124), // Rule ID 71657 //
     /*  143060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143071 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  143079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143087 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143091 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143096 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143101 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143103 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143108 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  143112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  143116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143122 */     GIR_RootConstrainSelectedInstOperands,
     /*  143123 */     // GIR_Coverage, 71657,
     /*  143123 */     GIR_EraseRootFromParent_Done,
     /*  143124 */   // Label 2564: @143124
     /*  143124 */   GIM_Try, /*On fail goto*//*Label 2565*/ GIMT_Encode4(143190), // Rule ID 71660 //
     /*  143129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143148 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143169 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143171 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143176 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  143182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143188 */     GIR_RootConstrainSelectedInstOperands,
     /*  143189 */     // GIR_Coverage, 71660,
     /*  143189 */     GIR_EraseRootFromParent_Done,
     /*  143190 */   // Label 2565: @143190
     /*  143190 */   GIM_Try, /*On fail goto*//*Label 2566*/ GIMT_Encode4(143256), // Rule ID 71661 //
     /*  143195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143202 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143206 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143210 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143214 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143218 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  143222 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143226 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143235 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143237 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143242 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  143246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  143248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143254 */     GIR_RootConstrainSelectedInstOperands,
     /*  143255 */     // GIR_Coverage, 71661,
     /*  143255 */     GIR_EraseRootFromParent_Done,
     /*  143256 */   // Label 2566: @143256
     /*  143256 */   GIM_Try, /*On fail goto*//*Label 2567*/ GIMT_Encode4(143322), // Rule ID 71658 //
     /*  143261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143276 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143280 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143284 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  143293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  143301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143303 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  143314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143320 */     GIR_RootConstrainSelectedInstOperands,
     /*  143321 */     // GIR_Coverage, 71658,
     /*  143321 */     GIR_EraseRootFromParent_Done,
     /*  143322 */   // Label 2567: @143322
     /*  143322 */   GIM_Try, /*On fail goto*//*Label 2568*/ GIMT_Encode4(143388), // Rule ID 71659 //
     /*  143327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  143342 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /*  143346 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  143350 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143355 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  143359 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143363 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  143367 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  143369 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  143372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143374 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  143378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  143380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143386 */     GIR_RootConstrainSelectedInstOperands,
     /*  143387 */     // GIR_Coverage, 71659,
     /*  143387 */     GIR_EraseRootFromParent_Done,
     /*  143388 */   // Label 2568: @143388
     /*  143388 */   GIM_Try, /*On fail goto*//*Label 2569*/ GIMT_Encode4(143431), // Rule ID 71674 //
     /*  143393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143414 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  143421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  143423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143429 */     GIR_RootConstrainSelectedInstOperands,
     /*  143430 */     // GIR_Coverage, 71674,
     /*  143430 */     GIR_EraseRootFromParent_Done,
     /*  143431 */   // Label 2569: @143431
     /*  143431 */   GIM_Try, /*On fail goto*//*Label 2570*/ GIMT_Encode4(143474), // Rule ID 71675 //
     /*  143436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  143443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143447 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143457 */     // (xor:{ *:[nxv1i1] } (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv1i1] }:$rs)  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  143464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  143466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143472 */     GIR_RootConstrainSelectedInstOperands,
     /*  143473 */     // GIR_Coverage, 71675,
     /*  143473 */     GIR_EraseRootFromParent_Done,
     /*  143474 */   // Label 2570: @143474
     /*  143474 */   GIM_Try, /*On fail goto*//*Label 2571*/ GIMT_Encode4(143517), // Rule ID 53174 //
     /*  143479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  143498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143500 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143515 */     GIR_RootConstrainSelectedInstOperands,
     /*  143516 */     // GIR_Coverage, 53174,
     /*  143516 */     GIR_EraseRootFromParent_Done,
     /*  143517 */   // Label 2571: @143517
     /*  143517 */   GIM_Try, /*On fail goto*//*Label 2572*/ GIMT_Encode4(143560), // Rule ID 53175 //
     /*  143522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  143533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  143537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  143541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  143543 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, (riscv_vmset_vl:{ *:[nxv1i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs, VR:{ *:[nxv1i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  143546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  143552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143558 */     GIR_RootConstrainSelectedInstOperands,
     /*  143559 */     // GIR_Coverage, 53175,
     /*  143559 */     GIR_EraseRootFromParent_Done,
     /*  143560 */   // Label 2572: @143560
     /*  143560 */   GIM_Try, /*On fail goto*//*Label 2573*/ GIMT_Encode4(143593), // Rule ID 53162 //
     /*  143565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143576 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  143576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  143579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143591 */     GIR_RootConstrainSelectedInstOperands,
     /*  143592 */     // GIR_Coverage, 53162,
     /*  143592 */     GIR_EraseRootFromParent_Done,
     /*  143593 */   // Label 2573: @143593
     /*  143593 */   GIM_Try, /*On fail goto*//*Label 2574*/ GIMT_Encode4(143626), // Rule ID 53163 //
     /*  143598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143609 */     // (xor:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2)  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  143609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  143612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  143624 */     GIR_RootConstrainSelectedInstOperands,
     /*  143625 */     // GIR_Coverage, 53163,
     /*  143625 */     GIR_EraseRootFromParent_Done,
     /*  143626 */   // Label 2574: @143626
     /*  143626 */   GIM_Reject,
     /*  143627 */ // Label 2548: @143627
     /*  143627 */ GIM_Reject,
     /*  143628 */ // Label 2499: @143628
     /*  143628 */ GIM_Try, /*On fail goto*//*Label 2575*/ GIMT_Encode4(143742),
     /*  143633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /*  143636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  143639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143643 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143647 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143651 */   GIM_Try, /*On fail goto*//*Label 2576*/ GIMT_Encode4(143696), // Rule ID 47914 //
     /*  143656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143659 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  143659 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  143662 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143666 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143671 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  143676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143678 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143694 */     GIR_RootConstrainSelectedInstOperands,
     /*  143695 */     // GIR_Coverage, 47914,
     /*  143695 */     GIR_EraseRootFromParent_Done,
     /*  143696 */   // Label 2576: @143696
     /*  143696 */   GIM_Try, /*On fail goto*//*Label 2577*/ GIMT_Encode4(143741), // Rule ID 47915 //
     /*  143701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143704 */     // (xor:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  143704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  143707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  143721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143739 */     GIR_RootConstrainSelectedInstOperands,
     /*  143740 */     // GIR_Coverage, 47915,
     /*  143740 */     GIR_EraseRootFromParent_Done,
     /*  143741 */   // Label 2577: @143741
     /*  143741 */   GIM_Reject,
     /*  143742 */ // Label 2575: @143742
     /*  143742 */ GIM_Reject,
     /*  143743 */ // Label 2500: @143743
     /*  143743 */ GIM_Try, /*On fail goto*//*Label 2578*/ GIMT_Encode4(143857),
     /*  143748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /*  143751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  143754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143762 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143766 */   GIM_Try, /*On fail goto*//*Label 2579*/ GIMT_Encode4(143811), // Rule ID 47926 //
     /*  143771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143774 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  143774 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  143777 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143781 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  143791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143793 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143809 */     GIR_RootConstrainSelectedInstOperands,
     /*  143810 */     // GIR_Coverage, 47926,
     /*  143810 */     GIR_EraseRootFromParent_Done,
     /*  143811 */   // Label 2579: @143811
     /*  143811 */   GIM_Try, /*On fail goto*//*Label 2580*/ GIMT_Encode4(143856), // Rule ID 47927 //
     /*  143816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143819 */     // (xor:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  143819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  143822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  143836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  143851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143854 */     GIR_RootConstrainSelectedInstOperands,
     /*  143855 */     // GIR_Coverage, 47927,
     /*  143855 */     GIR_EraseRootFromParent_Done,
     /*  143856 */   // Label 2580: @143856
     /*  143856 */   GIM_Reject,
     /*  143857 */ // Label 2578: @143857
     /*  143857 */ GIM_Reject,
     /*  143858 */ // Label 2501: @143858
     /*  143858 */ GIM_Try, /*On fail goto*//*Label 2581*/ GIMT_Encode4(143972),
     /*  143863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /*  143866 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  143869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143881 */   GIM_Try, /*On fail goto*//*Label 2582*/ GIMT_Encode4(143926), // Rule ID 47934 //
     /*  143886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  143889 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  143889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  143892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143924 */     GIR_RootConstrainSelectedInstOperands,
     /*  143925 */     // GIR_Coverage, 47934,
     /*  143925 */     GIR_EraseRootFromParent_Done,
     /*  143926 */   // Label 2582: @143926
     /*  143926 */   GIM_Try, /*On fail goto*//*Label 2583*/ GIMT_Encode4(143971), // Rule ID 47935 //
     /*  143931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  143934 */     // (xor:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  143934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  143937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  143941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  143946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  143948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  143951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  143953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  143956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  143958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  143960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  143963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  143966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  143969 */     GIR_RootConstrainSelectedInstOperands,
     /*  143970 */     // GIR_Coverage, 47935,
     /*  143970 */     GIR_EraseRootFromParent_Done,
     /*  143971 */   // Label 2583: @143971
     /*  143971 */   GIM_Reject,
     /*  143972 */ // Label 2581: @143972
     /*  143972 */ GIM_Reject,
     /*  143973 */ // Label 2502: @143973
     /*  143973 */ GIM_Try, /*On fail goto*//*Label 2584*/ GIMT_Encode4(144087),
     /*  143978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /*  143981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  143984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143988 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143992 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  143996 */   GIM_Try, /*On fail goto*//*Label 2585*/ GIMT_Encode4(144041), // Rule ID 47950 //
     /*  144001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  144004 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  144004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  144007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  144021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144039 */     GIR_RootConstrainSelectedInstOperands,
     /*  144040 */     // GIR_Coverage, 47950,
     /*  144040 */     GIR_EraseRootFromParent_Done,
     /*  144041 */   // Label 2585: @144041
     /*  144041 */   GIM_Try, /*On fail goto*//*Label 2586*/ GIMT_Encode4(144086), // Rule ID 47951 //
     /*  144046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  144049 */     // (xor:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  144049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  144052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  144056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  144061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  144063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  144066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  144071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  144073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  144081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  144084 */     GIR_RootConstrainSelectedInstOperands,
     /*  144085 */     // GIR_Coverage, 47951,
     /*  144085 */     GIR_EraseRootFromParent_Done,
     /*  144086 */   // Label 2586: @144086
     /*  144086 */   GIM_Reject,
     /*  144087 */ // Label 2584: @144087
     /*  144087 */ GIM_Reject,
     /*  144088 */ // Label 2503: @144088
     /*  144088 */ GIM_Try, /*On fail goto*//*Label 2587*/ GIMT_Encode4(145698),
     /*  144093 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144103 */   GIM_Try, /*On fail goto*//*Label 2588*/ GIMT_Encode4(144172), // Rule ID 53182 //
     /*  144108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144119 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144123 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144127 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144132 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144137 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144141 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144145 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144149 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144151 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144170 */     GIR_RootConstrainSelectedInstOperands,
     /*  144171 */     // GIR_Coverage, 53182,
     /*  144171 */     GIR_EraseRootFromParent_Done,
     /*  144172 */   // Label 2588: @144172
     /*  144172 */   GIM_Try, /*On fail goto*//*Label 2589*/ GIMT_Encode4(144241), // Rule ID 53183 //
     /*  144177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144188 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144192 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144206 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144210 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144214 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144220 */     // (xor:{ *:[nxv2i1] } (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144225 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144229 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144239 */     GIR_RootConstrainSelectedInstOperands,
     /*  144240 */     // GIR_Coverage, 53183,
     /*  144240 */     GIR_EraseRootFromParent_Done,
     /*  144241 */   // Label 2589: @144241
     /*  144241 */   GIM_Try, /*On fail goto*//*Label 2590*/ GIMT_Encode4(144310), // Rule ID 53184 //
     /*  144246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144257 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144261 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144270 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144275 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144279 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144283 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144287 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144289 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144294 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144308 */     GIR_RootConstrainSelectedInstOperands,
     /*  144309 */     // GIR_Coverage, 53184,
     /*  144309 */     GIR_EraseRootFromParent_Done,
     /*  144310 */   // Label 2590: @144310
     /*  144310 */   GIM_Try, /*On fail goto*//*Label 2591*/ GIMT_Encode4(144379), // Rule ID 53185 //
     /*  144315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144326 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144330 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144339 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144344 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144348 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144352 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144356 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144358 */     // (xor:{ *:[nxv2i1] } (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144377 */     GIR_RootConstrainSelectedInstOperands,
     /*  144378 */     // GIR_Coverage, 53185,
     /*  144378 */     GIR_EraseRootFromParent_Done,
     /*  144379 */   // Label 2591: @144379
     /*  144379 */   GIM_Try, /*On fail goto*//*Label 2592*/ GIMT_Encode4(144445), // Rule ID 71682 //
     /*  144384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144395 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144399 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144403 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144407 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144411 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144415 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144424 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144426 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144431 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144443 */     GIR_RootConstrainSelectedInstOperands,
     /*  144444 */     // GIR_Coverage, 71682,
     /*  144444 */     GIR_EraseRootFromParent_Done,
     /*  144445 */   // Label 2592: @144445
     /*  144445 */   GIM_Try, /*On fail goto*//*Label 2593*/ GIMT_Encode4(144511), // Rule ID 71683 //
     /*  144450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144461 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144465 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  144473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144490 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144492 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  144501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144509 */     GIR_RootConstrainSelectedInstOperands,
     /*  144510 */     // GIR_Coverage, 71683,
     /*  144510 */     GIR_EraseRootFromParent_Done,
     /*  144511 */   // Label 2593: @144511
     /*  144511 */   GIM_Try, /*On fail goto*//*Label 2594*/ GIMT_Encode4(144577), // Rule ID 71680 //
     /*  144516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144527 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144531 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144535 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144556 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144558 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144575 */     GIR_RootConstrainSelectedInstOperands,
     /*  144576 */     // GIR_Coverage, 71680,
     /*  144576 */     GIR_EraseRootFromParent_Done,
     /*  144577 */   // Label 2594: @144577
     /*  144577 */   GIM_Try, /*On fail goto*//*Label 2595*/ GIMT_Encode4(144643), // Rule ID 71681 //
     /*  144582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144593 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144597 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144601 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144606 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  144610 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144614 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144622 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144624 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  144635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144641 */     GIR_RootConstrainSelectedInstOperands,
     /*  144642 */     // GIR_Coverage, 71681,
     /*  144642 */     GIR_EraseRootFromParent_Done,
     /*  144643 */   // Label 2595: @144643
     /*  144643 */   GIM_Try, /*On fail goto*//*Label 2596*/ GIMT_Encode4(144712), // Rule ID 53186 //
     /*  144648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144659 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144663 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  144689 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144691 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144696 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144710 */     GIR_RootConstrainSelectedInstOperands,
     /*  144711 */     // GIR_Coverage, 53186,
     /*  144711 */     GIR_EraseRootFromParent_Done,
     /*  144712 */   // Label 2596: @144712
     /*  144712 */   GIM_Try, /*On fail goto*//*Label 2597*/ GIMT_Encode4(144781), // Rule ID 53187 //
     /*  144717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  144728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144732 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144736 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144746 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144750 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144754 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  144758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144760 */     // (xor:{ *:[nxv2i1] } (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  144763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  144769 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  144773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144779 */     GIR_RootConstrainSelectedInstOperands,
     /*  144780 */     // GIR_Coverage, 53187,
     /*  144780 */     GIR_EraseRootFromParent_Done,
     /*  144781 */   // Label 2597: @144781
     /*  144781 */   GIM_Try, /*On fail goto*//*Label 2598*/ GIMT_Encode4(144850), // Rule ID 71676 //
     /*  144786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144801 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144805 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144809 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144813 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144817 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144829 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144848 */     GIR_RootConstrainSelectedInstOperands,
     /*  144849 */     // GIR_Coverage, 71676,
     /*  144849 */     GIR_EraseRootFromParent_Done,
     /*  144850 */   // Label 2598: @144850
     /*  144850 */   GIM_Try, /*On fail goto*//*Label 2599*/ GIMT_Encode4(144919), // Rule ID 71677 //
     /*  144855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144866 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  144870 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144874 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  144878 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144882 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144886 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144891 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144896 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144898 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  144898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  144901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144903 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144917 */     GIR_RootConstrainSelectedInstOperands,
     /*  144918 */     // GIR_Coverage, 71677,
     /*  144918 */     GIR_EraseRootFromParent_Done,
     /*  144919 */   // Label 2599: @144919
     /*  144919 */   GIM_Try, /*On fail goto*//*Label 2600*/ GIMT_Encode4(144988), // Rule ID 71678 //
     /*  144924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  144927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  144931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  144935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  144939 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  144943 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  144947 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  144951 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  144955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144960 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  144965 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  144967 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  144967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  144970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  144972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  144976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  144980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  144983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  144986 */     GIR_RootConstrainSelectedInstOperands,
     /*  144987 */     // GIR_Coverage, 71678,
     /*  144987 */     GIR_EraseRootFromParent_Done,
     /*  144988 */   // Label 2600: @144988
     /*  144988 */   GIM_Try, /*On fail goto*//*Label 2601*/ GIMT_Encode4(145057), // Rule ID 71679 //
     /*  144993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  144996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145008 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145012 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  145016 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145020 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145024 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145036 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  145039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145041 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145055 */     GIR_RootConstrainSelectedInstOperands,
     /*  145056 */     // GIR_Coverage, 71679,
     /*  145056 */     GIR_EraseRootFromParent_Done,
     /*  145057 */   // Label 2601: @145057
     /*  145057 */   GIM_Try, /*On fail goto*//*Label 2602*/ GIMT_Encode4(145126), // Rule ID 71684 //
     /*  145062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145073 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145089 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145093 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145098 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145103 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145105 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145110 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145124 */     GIR_RootConstrainSelectedInstOperands,
     /*  145125 */     // GIR_Coverage, 71684,
     /*  145125 */     GIR_EraseRootFromParent_Done,
     /*  145126 */   // Label 2602: @145126
     /*  145126 */   GIM_Try, /*On fail goto*//*Label 2603*/ GIMT_Encode4(145195), // Rule ID 71685 //
     /*  145131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  145150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145158 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145162 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145167 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145172 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145174 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145179 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  145183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  145187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145193 */     GIR_RootConstrainSelectedInstOperands,
     /*  145194 */     // GIR_Coverage, 71685,
     /*  145194 */     GIR_EraseRootFromParent_Done,
     /*  145195 */   // Label 2603: @145195
     /*  145195 */   GIM_Try, /*On fail goto*//*Label 2604*/ GIMT_Encode4(145261), // Rule ID 71688 //
     /*  145200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145219 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145223 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145227 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145231 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145240 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145242 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  145251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  145253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145259 */     GIR_RootConstrainSelectedInstOperands,
     /*  145260 */     // GIR_Coverage, 71688,
     /*  145260 */     GIR_EraseRootFromParent_Done,
     /*  145261 */   // Label 2604: @145261
     /*  145261 */   GIM_Try, /*On fail goto*//*Label 2605*/ GIMT_Encode4(145327), // Rule ID 71689 //
     /*  145266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145281 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145285 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145289 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  145293 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145297 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145306 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145308 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  145317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  145319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145325 */     GIR_RootConstrainSelectedInstOperands,
     /*  145326 */     // GIR_Coverage, 71689,
     /*  145326 */     GIR_EraseRootFromParent_Done,
     /*  145327 */   // Label 2605: @145327
     /*  145327 */   GIM_Try, /*On fail goto*//*Label 2606*/ GIMT_Encode4(145393), // Rule ID 71686 //
     /*  145332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145351 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145355 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  145364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  145372 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145374 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145379 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  145385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145391 */     GIR_RootConstrainSelectedInstOperands,
     /*  145392 */     // GIR_Coverage, 71686,
     /*  145392 */     GIR_EraseRootFromParent_Done,
     /*  145393 */   // Label 2606: @145393
     /*  145393 */   GIM_Try, /*On fail goto*//*Label 2607*/ GIMT_Encode4(145459), // Rule ID 71687 //
     /*  145398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  145413 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /*  145417 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  145421 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145426 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  145430 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145434 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  145438 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  145440 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  145443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  145449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  145451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145457 */     GIR_RootConstrainSelectedInstOperands,
     /*  145458 */     // GIR_Coverage, 71687,
     /*  145458 */     GIR_EraseRootFromParent_Done,
     /*  145459 */   // Label 2607: @145459
     /*  145459 */   GIM_Try, /*On fail goto*//*Label 2608*/ GIMT_Encode4(145502), // Rule ID 71702 //
     /*  145464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145485 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145500 */     GIR_RootConstrainSelectedInstOperands,
     /*  145501 */     // GIR_Coverage, 71702,
     /*  145501 */     GIR_EraseRootFromParent_Done,
     /*  145502 */   // Label 2608: @145502
     /*  145502 */   GIM_Try, /*On fail goto*//*Label 2609*/ GIMT_Encode4(145545), // Rule ID 71703 //
     /*  145507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  145514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145518 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145526 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145528 */     // (xor:{ *:[nxv2i1] } (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv2i1] }:$rs)  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  145537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145543 */     GIR_RootConstrainSelectedInstOperands,
     /*  145544 */     // GIR_Coverage, 71703,
     /*  145544 */     GIR_EraseRootFromParent_Done,
     /*  145545 */   // Label 2609: @145545
     /*  145545 */   GIM_Try, /*On fail goto*//*Label 2610*/ GIMT_Encode4(145588), // Rule ID 53192 //
     /*  145550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  145569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145571 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145586 */     GIR_RootConstrainSelectedInstOperands,
     /*  145587 */     // GIR_Coverage, 53192,
     /*  145587 */     GIR_EraseRootFromParent_Done,
     /*  145588 */   // Label 2610: @145588
     /*  145588 */   GIM_Try, /*On fail goto*//*Label 2611*/ GIMT_Encode4(145631), // Rule ID 53193 //
     /*  145593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145596 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  145604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  145608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  145612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  145614 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, (riscv_vmset_vl:{ *:[nxv2i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs, VR:{ *:[nxv2i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  145617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  145623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145629 */     GIR_RootConstrainSelectedInstOperands,
     /*  145630 */     // GIR_Coverage, 53193,
     /*  145630 */     GIR_EraseRootFromParent_Done,
     /*  145631 */   // Label 2611: @145631
     /*  145631 */   GIM_Try, /*On fail goto*//*Label 2612*/ GIMT_Encode4(145664), // Rule ID 53180 //
     /*  145636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145647 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  145647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  145650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145662 */     GIR_RootConstrainSelectedInstOperands,
     /*  145663 */     // GIR_Coverage, 53180,
     /*  145663 */     GIR_EraseRootFromParent_Done,
     /*  145664 */   // Label 2612: @145664
     /*  145664 */   GIM_Try, /*On fail goto*//*Label 2613*/ GIMT_Encode4(145697), // Rule ID 53181 //
     /*  145669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145680 */     // (xor:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2)  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  145680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  145683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  145695 */     GIR_RootConstrainSelectedInstOperands,
     /*  145696 */     // GIR_Coverage, 53181,
     /*  145696 */     GIR_EraseRootFromParent_Done,
     /*  145697 */   // Label 2613: @145697
     /*  145697 */   GIM_Reject,
     /*  145698 */ // Label 2587: @145698
     /*  145698 */ GIM_Reject,
     /*  145699 */ // Label 2504: @145699
     /*  145699 */ GIM_Try, /*On fail goto*//*Label 2614*/ GIMT_Encode4(145813),
     /*  145704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /*  145707 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  145710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145714 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145722 */   GIM_Try, /*On fail goto*//*Label 2615*/ GIMT_Encode4(145767), // Rule ID 47918 //
     /*  145727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145730 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  145730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  145733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  145747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145765 */     GIR_RootConstrainSelectedInstOperands,
     /*  145766 */     // GIR_Coverage, 47918,
     /*  145766 */     GIR_EraseRootFromParent_Done,
     /*  145767 */   // Label 2615: @145767
     /*  145767 */   GIM_Try, /*On fail goto*//*Label 2616*/ GIMT_Encode4(145812), // Rule ID 47919 //
     /*  145772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145775 */     // (xor:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  145775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  145778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  145792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145810 */     GIR_RootConstrainSelectedInstOperands,
     /*  145811 */     // GIR_Coverage, 47919,
     /*  145811 */     GIR_EraseRootFromParent_Done,
     /*  145812 */   // Label 2616: @145812
     /*  145812 */   GIM_Reject,
     /*  145813 */ // Label 2614: @145813
     /*  145813 */ GIM_Reject,
     /*  145814 */ // Label 2505: @145814
     /*  145814 */ GIM_Try, /*On fail goto*//*Label 2617*/ GIMT_Encode4(145928),
     /*  145819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /*  145822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  145825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145833 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145837 */   GIM_Try, /*On fail goto*//*Label 2618*/ GIMT_Encode4(145882), // Rule ID 47930 //
     /*  145842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145845 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  145845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  145848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  145862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145880 */     GIR_RootConstrainSelectedInstOperands,
     /*  145881 */     // GIR_Coverage, 47930,
     /*  145881 */     GIR_EraseRootFromParent_Done,
     /*  145882 */   // Label 2618: @145882
     /*  145882 */   GIM_Try, /*On fail goto*//*Label 2619*/ GIMT_Encode4(145927), // Rule ID 47931 //
     /*  145887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  145890 */     // (xor:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  145890 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  145893 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145897 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145902 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  145907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145909 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  145922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145925 */     GIR_RootConstrainSelectedInstOperands,
     /*  145926 */     // GIR_Coverage, 47931,
     /*  145926 */     GIR_EraseRootFromParent_Done,
     /*  145927 */   // Label 2619: @145927
     /*  145927 */   GIM_Reject,
     /*  145928 */ // Label 2617: @145928
     /*  145928 */ GIM_Reject,
     /*  145929 */ // Label 2506: @145929
     /*  145929 */ GIM_Try, /*On fail goto*//*Label 2620*/ GIMT_Encode4(146043),
     /*  145934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /*  145937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  145940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  145952 */   GIM_Try, /*On fail goto*//*Label 2621*/ GIMT_Encode4(145997), // Rule ID 47946 //
     /*  145957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  145960 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  145960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  145963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  145967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  145972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  145974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  145977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  145979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  145982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  145984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  145986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  145989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  145992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  145995 */     GIR_RootConstrainSelectedInstOperands,
     /*  145996 */     // GIR_Coverage, 47946,
     /*  145996 */     GIR_EraseRootFromParent_Done,
     /*  145997 */   // Label 2621: @145997
     /*  145997 */   GIM_Try, /*On fail goto*//*Label 2622*/ GIMT_Encode4(146042), // Rule ID 47947 //
     /*  146002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146005 */     // (xor:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  146005 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  146008 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146012 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146017 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  146022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146024 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  146037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146040 */     GIR_RootConstrainSelectedInstOperands,
     /*  146041 */     // GIR_Coverage, 47947,
     /*  146041 */     GIR_EraseRootFromParent_Done,
     /*  146042 */   // Label 2622: @146042
     /*  146042 */   GIM_Reject,
     /*  146043 */ // Label 2620: @146043
     /*  146043 */ GIM_Reject,
     /*  146044 */ // Label 2507: @146044
     /*  146044 */ GIM_Try, /*On fail goto*//*Label 2623*/ GIMT_Encode4(146158),
     /*  146049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /*  146052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  146055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  146067 */   GIM_Try, /*On fail goto*//*Label 2624*/ GIMT_Encode4(146112), // Rule ID 47990 //
     /*  146072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  146075 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  146075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  146078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  146092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  146107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146110 */     GIR_RootConstrainSelectedInstOperands,
     /*  146111 */     // GIR_Coverage, 47990,
     /*  146111 */     GIR_EraseRootFromParent_Done,
     /*  146112 */   // Label 2624: @146112
     /*  146112 */   GIM_Try, /*On fail goto*//*Label 2625*/ GIMT_Encode4(146157), // Rule ID 47991 //
     /*  146117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  146120 */     // (xor:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  146120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  146123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  146127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  146132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  146134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  146137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  146142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  146144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  146152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  146155 */     GIR_RootConstrainSelectedInstOperands,
     /*  146156 */     // GIR_Coverage, 47991,
     /*  146156 */     GIR_EraseRootFromParent_Done,
     /*  146157 */   // Label 2625: @146157
     /*  146157 */   GIM_Reject,
     /*  146158 */ // Label 2623: @146158
     /*  146158 */ GIM_Reject,
     /*  146159 */ // Label 2508: @146159
     /*  146159 */ GIM_Try, /*On fail goto*//*Label 2626*/ GIMT_Encode4(147769),
     /*  146164 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146167 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146174 */   GIM_Try, /*On fail goto*//*Label 2627*/ GIMT_Encode4(146243), // Rule ID 53200 //
     /*  146179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146190 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146194 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146220 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146222 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146241 */     GIR_RootConstrainSelectedInstOperands,
     /*  146242 */     // GIR_Coverage, 53200,
     /*  146242 */     GIR_EraseRootFromParent_Done,
     /*  146243 */   // Label 2627: @146243
     /*  146243 */   GIM_Try, /*On fail goto*//*Label 2628*/ GIMT_Encode4(146312), // Rule ID 53201 //
     /*  146248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146259 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146263 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146272 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146277 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146281 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146285 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146289 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146291 */     // (xor:{ *:[nxv4i1] } (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146300 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146310 */     GIR_RootConstrainSelectedInstOperands,
     /*  146311 */     // GIR_Coverage, 53201,
     /*  146311 */     GIR_EraseRootFromParent_Done,
     /*  146312 */   // Label 2628: @146312
     /*  146312 */   GIM_Try, /*On fail goto*//*Label 2629*/ GIMT_Encode4(146381), // Rule ID 53202 //
     /*  146317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146332 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146336 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146341 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146346 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146350 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146354 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146360 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  146363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146379 */     GIR_RootConstrainSelectedInstOperands,
     /*  146380 */     // GIR_Coverage, 53202,
     /*  146380 */     GIR_EraseRootFromParent_Done,
     /*  146381 */   // Label 2629: @146381
     /*  146381 */   GIM_Try, /*On fail goto*//*Label 2630*/ GIMT_Encode4(146450), // Rule ID 53203 //
     /*  146386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146389 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146393 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  146397 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146401 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146405 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146410 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146415 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146419 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146423 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146427 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146429 */     // (xor:{ *:[nxv4i1] } (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  146432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146434 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146448 */     GIR_RootConstrainSelectedInstOperands,
     /*  146449 */     // GIR_Coverage, 53203,
     /*  146449 */     GIR_EraseRootFromParent_Done,
     /*  146450 */   // Label 2630: @146450
     /*  146450 */   GIM_Try, /*On fail goto*//*Label 2631*/ GIMT_Encode4(146516), // Rule ID 71710 //
     /*  146455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146466 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146470 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146495 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146497 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146502 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146514 */     GIR_RootConstrainSelectedInstOperands,
     /*  146515 */     // GIR_Coverage, 71710,
     /*  146515 */     GIR_EraseRootFromParent_Done,
     /*  146516 */   // Label 2631: @146516
     /*  146516 */   GIM_Try, /*On fail goto*//*Label 2632*/ GIMT_Encode4(146582), // Rule ID 71711 //
     /*  146521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146532 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146536 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146540 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  146544 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146548 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146563 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146568 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  146572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146580 */     GIR_RootConstrainSelectedInstOperands,
     /*  146581 */     // GIR_Coverage, 71711,
     /*  146581 */     GIR_EraseRootFromParent_Done,
     /*  146582 */   // Label 2632: @146582
     /*  146582 */   GIM_Try, /*On fail goto*//*Label 2633*/ GIMT_Encode4(146648), // Rule ID 71708 //
     /*  146587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146602 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146606 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146629 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146646 */     GIR_RootConstrainSelectedInstOperands,
     /*  146647 */     // GIR_Coverage, 71708,
     /*  146647 */     GIR_EraseRootFromParent_Done,
     /*  146648 */   // Label 2633: @146648
     /*  146648 */   GIM_Try, /*On fail goto*//*Label 2634*/ GIMT_Encode4(146714), // Rule ID 71709 //
     /*  146653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146668 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146672 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  146681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146693 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146695 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146700 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  146706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146712 */     GIR_RootConstrainSelectedInstOperands,
     /*  146713 */     // GIR_Coverage, 71709,
     /*  146713 */     GIR_EraseRootFromParent_Done,
     /*  146714 */   // Label 2634: @146714
     /*  146714 */   GIM_Try, /*On fail goto*//*Label 2635*/ GIMT_Encode4(146783), // Rule ID 53204 //
     /*  146719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146730 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146734 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146738 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  146760 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146762 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146781 */     GIR_RootConstrainSelectedInstOperands,
     /*  146782 */     // GIR_Coverage, 53204,
     /*  146782 */     GIR_EraseRootFromParent_Done,
     /*  146783 */   // Label 2635: @146783
     /*  146783 */   GIM_Try, /*On fail goto*//*Label 2636*/ GIMT_Encode4(146852), // Rule ID 53205 //
     /*  146788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  146799 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146803 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146807 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146812 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  146829 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146831 */     // (xor:{ *:[nxv4i1] } (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  146834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  146840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  146844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146850 */     GIR_RootConstrainSelectedInstOperands,
     /*  146851 */     // GIR_Coverage, 53205,
     /*  146851 */     GIR_EraseRootFromParent_Done,
     /*  146852 */   // Label 2636: @146852
     /*  146852 */   GIM_Try, /*On fail goto*//*Label 2637*/ GIMT_Encode4(146921), // Rule ID 71704 //
     /*  146857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  146872 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146876 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146880 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146884 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146888 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146893 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146898 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146900 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  146900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146919 */     GIR_RootConstrainSelectedInstOperands,
     /*  146920 */     // GIR_Coverage, 71704,
     /*  146920 */     GIR_EraseRootFromParent_Done,
     /*  146921 */   // Label 2637: @146921
     /*  146921 */   GIM_Try, /*On fail goto*//*Label 2638*/ GIMT_Encode4(146990), // Rule ID 71705 //
     /*  146926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  146929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  146933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  146937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  146941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  146945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  146949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  146953 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  146957 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  146967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  146969 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  146969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  146972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  146974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  146978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  146982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  146985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  146988 */     GIR_RootConstrainSelectedInstOperands,
     /*  146989 */     // GIR_Coverage, 71705,
     /*  146989 */     GIR_EraseRootFromParent_Done,
     /*  146990 */   // Label 2638: @146990
     /*  146990 */   GIM_Try, /*On fail goto*//*Label 2639*/ GIMT_Encode4(147059), // Rule ID 71706 //
     /*  146995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  146998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147010 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147014 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147018 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147022 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147026 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147031 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147036 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147038 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  147041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147043 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147057 */     GIR_RootConstrainSelectedInstOperands,
     /*  147058 */     // GIR_Coverage, 71706,
     /*  147058 */     GIR_EraseRootFromParent_Done,
     /*  147059 */   // Label 2639: @147059
     /*  147059 */   GIM_Try, /*On fail goto*//*Label 2640*/ GIMT_Encode4(147128), // Rule ID 71707 //
     /*  147064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147075 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147079 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147083 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  147087 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147091 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147095 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147100 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147105 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147107 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  147110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147112 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147126 */     GIR_RootConstrainSelectedInstOperands,
     /*  147127 */     // GIR_Coverage, 71707,
     /*  147127 */     GIR_EraseRootFromParent_Done,
     /*  147128 */   // Label 2640: @147128
     /*  147128 */   GIM_Try, /*On fail goto*//*Label 2641*/ GIMT_Encode4(147197), // Rule ID 71712 //
     /*  147133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147148 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147152 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147156 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147160 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147164 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147169 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147174 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147176 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147195 */     GIR_RootConstrainSelectedInstOperands,
     /*  147196 */     // GIR_Coverage, 71712,
     /*  147196 */     GIR_EraseRootFromParent_Done,
     /*  147197 */   // Label 2641: @147197
     /*  147197 */   GIM_Try, /*On fail goto*//*Label 2642*/ GIMT_Encode4(147266), // Rule ID 71713 //
     /*  147202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147217 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  147221 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147225 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147229 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147233 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147238 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147243 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147245 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147250 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  147254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  147258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147264 */     GIR_RootConstrainSelectedInstOperands,
     /*  147265 */     // GIR_Coverage, 71713,
     /*  147265 */     GIR_EraseRootFromParent_Done,
     /*  147266 */   // Label 2642: @147266
     /*  147266 */   GIM_Try, /*On fail goto*//*Label 2643*/ GIMT_Encode4(147332), // Rule ID 71716 //
     /*  147271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147290 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147294 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147298 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147302 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147306 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147311 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147313 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147318 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147330 */     GIR_RootConstrainSelectedInstOperands,
     /*  147331 */     // GIR_Coverage, 71716,
     /*  147331 */     GIR_EraseRootFromParent_Done,
     /*  147332 */   // Label 2643: @147332
     /*  147332 */   GIM_Try, /*On fail goto*//*Label 2644*/ GIMT_Encode4(147398), // Rule ID 71717 //
     /*  147337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147356 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147360 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  147364 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147368 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147372 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147377 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147379 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  147388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147396 */     GIR_RootConstrainSelectedInstOperands,
     /*  147397 */     // GIR_Coverage, 71717,
     /*  147397 */     GIR_EraseRootFromParent_Done,
     /*  147398 */   // Label 2644: @147398
     /*  147398 */   GIM_Try, /*On fail goto*//*Label 2645*/ GIMT_Encode4(147464), // Rule ID 71714 //
     /*  147403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147406 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147418 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147422 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147426 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  147443 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147445 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147462 */     GIR_RootConstrainSelectedInstOperands,
     /*  147463 */     // GIR_Coverage, 71714,
     /*  147463 */     GIR_EraseRootFromParent_Done,
     /*  147464 */   // Label 2645: @147464
     /*  147464 */   GIM_Try, /*On fail goto*//*Label 2646*/ GIMT_Encode4(147530), // Rule ID 71715 //
     /*  147469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  147484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /*  147488 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  147492 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  147501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  147509 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  147511 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  147514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147516 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  147520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  147522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147528 */     GIR_RootConstrainSelectedInstOperands,
     /*  147529 */     // GIR_Coverage, 71715,
     /*  147529 */     GIR_EraseRootFromParent_Done,
     /*  147530 */   // Label 2646: @147530
     /*  147530 */   GIM_Try, /*On fail goto*//*Label 2647*/ GIMT_Encode4(147573), // Rule ID 71730 //
     /*  147535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147546 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147556 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147571 */     GIR_RootConstrainSelectedInstOperands,
     /*  147572 */     // GIR_Coverage, 71730,
     /*  147572 */     GIR_EraseRootFromParent_Done,
     /*  147573 */   // Label 2647: @147573
     /*  147573 */   GIM_Try, /*On fail goto*//*Label 2648*/ GIMT_Encode4(147616), // Rule ID 71731 //
     /*  147578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  147585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147589 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147599 */     // (xor:{ *:[nxv4i1] } (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv4i1] }:$rs)  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  147608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147614 */     GIR_RootConstrainSelectedInstOperands,
     /*  147615 */     // GIR_Coverage, 71731,
     /*  147615 */     GIR_EraseRootFromParent_Done,
     /*  147616 */   // Label 2648: @147616
     /*  147616 */   GIM_Try, /*On fail goto*//*Label 2649*/ GIMT_Encode4(147659), // Rule ID 53210 //
     /*  147621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  147640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147642 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147657 */     GIR_RootConstrainSelectedInstOperands,
     /*  147658 */     // GIR_Coverage, 53210,
     /*  147658 */     GIR_EraseRootFromParent_Done,
     /*  147659 */   // Label 2649: @147659
     /*  147659 */   GIM_Try, /*On fail goto*//*Label 2650*/ GIMT_Encode4(147702), // Rule ID 53211 //
     /*  147664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  147675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  147679 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  147683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  147685 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, (riscv_vmset_vl:{ *:[nxv4i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs, VR:{ *:[nxv4i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  147688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  147694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147700 */     GIR_RootConstrainSelectedInstOperands,
     /*  147701 */     // GIR_Coverage, 53211,
     /*  147701 */     GIR_EraseRootFromParent_Done,
     /*  147702 */   // Label 2650: @147702
     /*  147702 */   GIM_Try, /*On fail goto*//*Label 2651*/ GIMT_Encode4(147735), // Rule ID 53198 //
     /*  147707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147718 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  147718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  147721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147733 */     GIR_RootConstrainSelectedInstOperands,
     /*  147734 */     // GIR_Coverage, 53198,
     /*  147734 */     GIR_EraseRootFromParent_Done,
     /*  147735 */   // Label 2651: @147735
     /*  147735 */   GIM_Try, /*On fail goto*//*Label 2652*/ GIMT_Encode4(147768), // Rule ID 53199 //
     /*  147740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147751 */     // (xor:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2)  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  147751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  147754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  147766 */     GIR_RootConstrainSelectedInstOperands,
     /*  147767 */     // GIR_Coverage, 53199,
     /*  147767 */     GIR_EraseRootFromParent_Done,
     /*  147768 */   // Label 2652: @147768
     /*  147768 */   GIM_Reject,
     /*  147769 */ // Label 2626: @147769
     /*  147769 */ GIM_Reject,
     /*  147770 */ // Label 2509: @147770
     /*  147770 */ GIM_Try, /*On fail goto*//*Label 2653*/ GIMT_Encode4(147884),
     /*  147775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /*  147778 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  147781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147785 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147793 */   GIM_Try, /*On fail goto*//*Label 2654*/ GIMT_Encode4(147838), // Rule ID 47922 //
     /*  147798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147801 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  147801 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  147804 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147808 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147813 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  147818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147820 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147836 */     GIR_RootConstrainSelectedInstOperands,
     /*  147837 */     // GIR_Coverage, 47922,
     /*  147837 */     GIR_EraseRootFromParent_Done,
     /*  147838 */   // Label 2654: @147838
     /*  147838 */   GIM_Try, /*On fail goto*//*Label 2655*/ GIMT_Encode4(147883), // Rule ID 47923 //
     /*  147843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147846 */     // (xor:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  147846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  147849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  147863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147881 */     GIR_RootConstrainSelectedInstOperands,
     /*  147882 */     // GIR_Coverage, 47923,
     /*  147882 */     GIR_EraseRootFromParent_Done,
     /*  147883 */   // Label 2655: @147883
     /*  147883 */   GIM_Reject,
     /*  147884 */ // Label 2653: @147884
     /*  147884 */ GIM_Reject,
     /*  147885 */ // Label 2510: @147885
     /*  147885 */ GIM_Try, /*On fail goto*//*Label 2656*/ GIMT_Encode4(147999),
     /*  147890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /*  147893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  147896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  147908 */   GIM_Try, /*On fail goto*//*Label 2657*/ GIMT_Encode4(147953), // Rule ID 47942 //
     /*  147913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  147916 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  147916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  147919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  147933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147951 */     GIR_RootConstrainSelectedInstOperands,
     /*  147952 */     // GIR_Coverage, 47942,
     /*  147952 */     GIR_EraseRootFromParent_Done,
     /*  147953 */   // Label 2657: @147953
     /*  147953 */   GIM_Try, /*On fail goto*//*Label 2658*/ GIMT_Encode4(147998), // Rule ID 47943 //
     /*  147958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  147961 */     // (xor:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  147961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  147964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  147968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  147973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  147975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  147978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  147980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  147983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  147985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  147987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  147990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  147993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  147996 */     GIR_RootConstrainSelectedInstOperands,
     /*  147997 */     // GIR_Coverage, 47943,
     /*  147997 */     GIR_EraseRootFromParent_Done,
     /*  147998 */   // Label 2658: @147998
     /*  147998 */   GIM_Reject,
     /*  147999 */ // Label 2656: @147999
     /*  147999 */ GIM_Reject,
     /*  148000 */ // Label 2511: @148000
     /*  148000 */ GIM_Try, /*On fail goto*//*Label 2659*/ GIMT_Encode4(148114),
     /*  148005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /*  148008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  148011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  148023 */   GIM_Try, /*On fail goto*//*Label 2660*/ GIMT_Encode4(148068), // Rule ID 47978 //
     /*  148028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148031 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  148031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  148034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  148048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148066 */     GIR_RootConstrainSelectedInstOperands,
     /*  148067 */     // GIR_Coverage, 47978,
     /*  148067 */     GIR_EraseRootFromParent_Done,
     /*  148068 */   // Label 2660: @148068
     /*  148068 */   GIM_Try, /*On fail goto*//*Label 2661*/ GIMT_Encode4(148113), // Rule ID 47979 //
     /*  148073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148076 */     // (xor:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  148076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  148079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  148093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  148108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148111 */     GIR_RootConstrainSelectedInstOperands,
     /*  148112 */     // GIR_Coverage, 47979,
     /*  148112 */     GIR_EraseRootFromParent_Done,
     /*  148113 */   // Label 2661: @148113
     /*  148113 */   GIM_Reject,
     /*  148114 */ // Label 2659: @148114
     /*  148114 */ GIM_Reject,
     /*  148115 */ // Label 2512: @148115
     /*  148115 */ GIM_Try, /*On fail goto*//*Label 2662*/ GIMT_Encode4(148229),
     /*  148120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /*  148123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  148126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  148138 */   GIM_Try, /*On fail goto*//*Label 2663*/ GIMT_Encode4(148183), // Rule ID 47994 //
     /*  148143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  148146 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  148146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  148149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  148163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148181 */     GIR_RootConstrainSelectedInstOperands,
     /*  148182 */     // GIR_Coverage, 47994,
     /*  148182 */     GIR_EraseRootFromParent_Done,
     /*  148183 */   // Label 2663: @148183
     /*  148183 */   GIM_Try, /*On fail goto*//*Label 2664*/ GIMT_Encode4(148228), // Rule ID 47995 //
     /*  148188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  148191 */     // (xor:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  148191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  148194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  148198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  148203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  148205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  148208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  148213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  148215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  148223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  148226 */     GIR_RootConstrainSelectedInstOperands,
     /*  148227 */     // GIR_Coverage, 47995,
     /*  148227 */     GIR_EraseRootFromParent_Done,
     /*  148228 */   // Label 2664: @148228
     /*  148228 */   GIM_Reject,
     /*  148229 */ // Label 2662: @148229
     /*  148229 */ GIM_Reject,
     /*  148230 */ // Label 2513: @148230
     /*  148230 */ GIM_Try, /*On fail goto*//*Label 2665*/ GIMT_Encode4(149840),
     /*  148235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148245 */   GIM_Try, /*On fail goto*//*Label 2666*/ GIMT_Encode4(148314), // Rule ID 53218 //
     /*  148250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148265 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148274 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148279 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148283 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148287 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148291 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148293 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148302 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148312 */     GIR_RootConstrainSelectedInstOperands,
     /*  148313 */     // GIR_Coverage, 53218,
     /*  148313 */     GIR_EraseRootFromParent_Done,
     /*  148314 */   // Label 2666: @148314
     /*  148314 */   GIM_Try, /*On fail goto*//*Label 2667*/ GIMT_Encode4(148383), // Rule ID 53219 //
     /*  148319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148322 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148326 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148330 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148334 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148338 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148343 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148348 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148352 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148356 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148360 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148362 */     // (xor:{ *:[nxv8i1] } (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148381 */     GIR_RootConstrainSelectedInstOperands,
     /*  148382 */     // GIR_Coverage, 53219,
     /*  148382 */     GIR_EraseRootFromParent_Done,
     /*  148383 */   // Label 2667: @148383
     /*  148383 */   GIM_Try, /*On fail goto*//*Label 2668*/ GIMT_Encode4(148452), // Rule ID 53220 //
     /*  148388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148399 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148403 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148412 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148429 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148431 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148436 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148450 */     GIR_RootConstrainSelectedInstOperands,
     /*  148451 */     // GIR_Coverage, 53220,
     /*  148451 */     GIR_EraseRootFromParent_Done,
     /*  148452 */   // Label 2668: @148452
     /*  148452 */   GIM_Try, /*On fail goto*//*Label 2669*/ GIMT_Encode4(148521), // Rule ID 53221 //
     /*  148457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148460 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148464 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  148468 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148472 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148476 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148481 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148486 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148490 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148494 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148498 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148500 */     // (xor:{ *:[nxv8i1] } (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  148503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148505 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148509 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148519 */     GIR_RootConstrainSelectedInstOperands,
     /*  148520 */     // GIR_Coverage, 53221,
     /*  148520 */     GIR_EraseRootFromParent_Done,
     /*  148521 */   // Label 2669: @148521
     /*  148521 */   GIM_Try, /*On fail goto*//*Label 2670*/ GIMT_Encode4(148587), // Rule ID 71738 //
     /*  148526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148545 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148549 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148553 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148568 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148585 */     GIR_RootConstrainSelectedInstOperands,
     /*  148586 */     // GIR_Coverage, 71738,
     /*  148586 */     GIR_EraseRootFromParent_Done,
     /*  148587 */   // Label 2670: @148587
     /*  148587 */   GIM_Try, /*On fail goto*//*Label 2671*/ GIMT_Encode4(148653), // Rule ID 71739 //
     /*  148592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148611 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  148615 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148619 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148623 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148634 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  148643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148651 */     GIR_RootConstrainSelectedInstOperands,
     /*  148652 */     // GIR_Coverage, 71739,
     /*  148652 */     GIR_EraseRootFromParent_Done,
     /*  148653 */   // Label 2671: @148653
     /*  148653 */   GIM_Try, /*On fail goto*//*Label 2672*/ GIMT_Encode4(148719), // Rule ID 71736 //
     /*  148658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148698 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148700 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148717 */     GIR_RootConstrainSelectedInstOperands,
     /*  148718 */     // GIR_Coverage, 71736,
     /*  148718 */     GIR_EraseRootFromParent_Done,
     /*  148719 */   // Label 2672: @148719
     /*  148719 */   GIM_Try, /*On fail goto*//*Label 2673*/ GIMT_Encode4(148785), // Rule ID 71737 //
     /*  148724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148735 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148739 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148743 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148748 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  148752 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148756 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148766 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  148777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148783 */     GIR_RootConstrainSelectedInstOperands,
     /*  148784 */     // GIR_Coverage, 71737,
     /*  148784 */     GIR_EraseRootFromParent_Done,
     /*  148785 */   // Label 2673: @148785
     /*  148785 */   GIM_Try, /*On fail goto*//*Label 2674*/ GIMT_Encode4(148854), // Rule ID 53222 //
     /*  148790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148801 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148805 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  148831 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148833 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148838 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148852 */     GIR_RootConstrainSelectedInstOperands,
     /*  148853 */     // GIR_Coverage, 53222,
     /*  148853 */     GIR_EraseRootFromParent_Done,
     /*  148854 */   // Label 2674: @148854
     /*  148854 */   GIM_Try, /*On fail goto*//*Label 2675*/ GIMT_Encode4(148923), // Rule ID 53223 //
     /*  148859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  148862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  148870 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148874 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148883 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148888 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148892 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148896 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  148900 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148902 */     // (xor:{ *:[nxv8i1] } (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  148902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  148905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148907 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  148911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  148915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148921 */     GIR_RootConstrainSelectedInstOperands,
     /*  148922 */     // GIR_Coverage, 53223,
     /*  148922 */     GIR_EraseRootFromParent_Done,
     /*  148923 */   // Label 2675: @148923
     /*  148923 */   GIM_Try, /*On fail goto*//*Label 2676*/ GIMT_Encode4(148992), // Rule ID 71732 //
     /*  148928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  148931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  148935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  148939 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  148943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  148947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  148951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  148955 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  148959 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148964 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  148969 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  148971 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  148971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  148974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  148976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  148980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  148984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  148987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  148990 */     GIR_RootConstrainSelectedInstOperands,
     /*  148991 */     // GIR_Coverage, 71732,
     /*  148991 */     GIR_EraseRootFromParent_Done,
     /*  148992 */   // Label 2676: @148992
     /*  148992 */   GIM_Try, /*On fail goto*//*Label 2677*/ GIMT_Encode4(149061), // Rule ID 71733 //
     /*  148997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149008 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149012 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149016 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  149020 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149024 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149028 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149040 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149049 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149059 */     GIR_RootConstrainSelectedInstOperands,
     /*  149060 */     // GIR_Coverage, 71733,
     /*  149060 */     GIR_EraseRootFromParent_Done,
     /*  149061 */   // Label 2677: @149061
     /*  149061 */   GIM_Try, /*On fail goto*//*Label 2678*/ GIMT_Encode4(149130), // Rule ID 71734 //
     /*  149066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149081 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149085 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149089 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149093 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149097 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149109 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  149112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149114 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149118 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149128 */     GIR_RootConstrainSelectedInstOperands,
     /*  149129 */     // GIR_Coverage, 71734,
     /*  149129 */     GIR_EraseRootFromParent_Done,
     /*  149130 */   // Label 2678: @149130
     /*  149130 */   GIM_Try, /*On fail goto*//*Label 2679*/ GIMT_Encode4(149199), // Rule ID 71735 //
     /*  149135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149150 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149154 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  149158 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149162 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149171 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149176 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149178 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  149181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149187 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149197 */     GIR_RootConstrainSelectedInstOperands,
     /*  149198 */     // GIR_Coverage, 71735,
     /*  149198 */     GIR_EraseRootFromParent_Done,
     /*  149199 */   // Label 2679: @149199
     /*  149199 */   GIM_Try, /*On fail goto*//*Label 2680*/ GIMT_Encode4(149268), // Rule ID 71740 //
     /*  149204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149231 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149235 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149240 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149245 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149247 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149252 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149266 */     GIR_RootConstrainSelectedInstOperands,
     /*  149267 */     // GIR_Coverage, 71740,
     /*  149267 */     GIR_EraseRootFromParent_Done,
     /*  149268 */   // Label 2680: @149268
     /*  149268 */   GIM_Try, /*On fail goto*//*Label 2681*/ GIMT_Encode4(149337), // Rule ID 71741 //
     /*  149273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149284 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149288 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  149292 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149296 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149300 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149304 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149309 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149314 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149316 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  149325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  149329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149335 */     GIR_RootConstrainSelectedInstOperands,
     /*  149336 */     // GIR_Coverage, 71741,
     /*  149336 */     GIR_EraseRootFromParent_Done,
     /*  149337 */   // Label 2681: @149337
     /*  149337 */   GIM_Try, /*On fail goto*//*Label 2682*/ GIMT_Encode4(149403), // Rule ID 71744 //
     /*  149342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149365 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149369 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149373 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149384 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149401 */     GIR_RootConstrainSelectedInstOperands,
     /*  149402 */     // GIR_Coverage, 71744,
     /*  149402 */     GIR_EraseRootFromParent_Done,
     /*  149403 */   // Label 2682: @149403
     /*  149403 */   GIM_Try, /*On fail goto*//*Label 2683*/ GIMT_Encode4(149469), // Rule ID 71745 //
     /*  149408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149431 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  149435 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149439 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149443 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149450 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  149459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149467 */     GIR_RootConstrainSelectedInstOperands,
     /*  149468 */     // GIR_Coverage, 71745,
     /*  149468 */     GIR_EraseRootFromParent_Done,
     /*  149469 */   // Label 2683: @149469
     /*  149469 */   GIM_Try, /*On fail goto*//*Label 2684*/ GIMT_Encode4(149535), // Rule ID 71742 //
     /*  149474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149489 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149493 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149497 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  149514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149516 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149533 */     GIR_RootConstrainSelectedInstOperands,
     /*  149534 */     // GIR_Coverage, 71742,
     /*  149534 */     GIR_EraseRootFromParent_Done,
     /*  149535 */   // Label 2684: @149535
     /*  149535 */   GIM_Try, /*On fail goto*//*Label 2685*/ GIMT_Encode4(149601), // Rule ID 71743 //
     /*  149540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149543 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  149555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /*  149559 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  149563 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149568 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  149572 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149576 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  149580 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  149582 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  149585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149587 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  149591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  149593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149599 */     GIR_RootConstrainSelectedInstOperands,
     /*  149600 */     // GIR_Coverage, 71743,
     /*  149600 */     GIR_EraseRootFromParent_Done,
     /*  149601 */   // Label 2685: @149601
     /*  149601 */   GIM_Try, /*On fail goto*//*Label 2686*/ GIMT_Encode4(149644), // Rule ID 71758 //
     /*  149606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149627 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149642 */     GIR_RootConstrainSelectedInstOperands,
     /*  149643 */     // GIR_Coverage, 71758,
     /*  149643 */     GIR_EraseRootFromParent_Done,
     /*  149644 */   // Label 2686: @149644
     /*  149644 */   GIM_Try, /*On fail goto*//*Label 2687*/ GIMT_Encode4(149687), // Rule ID 71759 //
     /*  149649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  149656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149670 */     // (xor:{ *:[nxv8i1] } (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv8i1] }:$rs)  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  149679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149685 */     GIR_RootConstrainSelectedInstOperands,
     /*  149686 */     // GIR_Coverage, 71759,
     /*  149686 */     GIR_EraseRootFromParent_Done,
     /*  149687 */   // Label 2687: @149687
     /*  149687 */   GIM_Try, /*On fail goto*//*Label 2688*/ GIMT_Encode4(149730), // Rule ID 53228 //
     /*  149692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149707 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  149711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149713 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149728 */     GIR_RootConstrainSelectedInstOperands,
     /*  149729 */     // GIR_Coverage, 53228,
     /*  149729 */     GIR_EraseRootFromParent_Done,
     /*  149730 */   // Label 2688: @149730
     /*  149730 */   GIM_Try, /*On fail goto*//*Label 2689*/ GIMT_Encode4(149773), // Rule ID 53229 //
     /*  149735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149742 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  149746 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  149750 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  149754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  149756 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, (riscv_vmset_vl:{ *:[nxv8i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs, VR:{ *:[nxv8i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  149759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  149765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149771 */     GIR_RootConstrainSelectedInstOperands,
     /*  149772 */     // GIR_Coverage, 53229,
     /*  149772 */     GIR_EraseRootFromParent_Done,
     /*  149773 */   // Label 2689: @149773
     /*  149773 */   GIM_Try, /*On fail goto*//*Label 2690*/ GIMT_Encode4(149806), // Rule ID 53216 //
     /*  149778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149789 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  149789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  149792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149804 */     GIR_RootConstrainSelectedInstOperands,
     /*  149805 */     // GIR_Coverage, 53216,
     /*  149805 */     GIR_EraseRootFromParent_Done,
     /*  149806 */   // Label 2690: @149806
     /*  149806 */   GIM_Try, /*On fail goto*//*Label 2691*/ GIMT_Encode4(149839), // Rule ID 53217 //
     /*  149811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149822 */     // (xor:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2)  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  149822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  149825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  149837 */     GIR_RootConstrainSelectedInstOperands,
     /*  149838 */     // GIR_Coverage, 53217,
     /*  149838 */     GIR_EraseRootFromParent_Done,
     /*  149839 */   // Label 2691: @149839
     /*  149839 */   GIM_Reject,
     /*  149840 */ // Label 2665: @149840
     /*  149840 */ GIM_Reject,
     /*  149841 */ // Label 2514: @149841
     /*  149841 */ GIM_Try, /*On fail goto*//*Label 2692*/ GIMT_Encode4(149955),
     /*  149846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /*  149849 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  149852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  149864 */   GIM_Try, /*On fail goto*//*Label 2693*/ GIMT_Encode4(149909), // Rule ID 47938 //
     /*  149869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149872 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  149872 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  149875 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149879 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149884 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  149889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149891 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149907 */     GIR_RootConstrainSelectedInstOperands,
     /*  149908 */     // GIR_Coverage, 47938,
     /*  149908 */     GIR_EraseRootFromParent_Done,
     /*  149909 */   // Label 2693: @149909
     /*  149909 */   GIM_Try, /*On fail goto*//*Label 2694*/ GIMT_Encode4(149954), // Rule ID 47939 //
     /*  149914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  149917 */     // (xor:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  149917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  149920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  149931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  149934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  149936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  149939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  149941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  149943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  149946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  149952 */     GIR_RootConstrainSelectedInstOperands,
     /*  149953 */     // GIR_Coverage, 47939,
     /*  149953 */     GIR_EraseRootFromParent_Done,
     /*  149954 */   // Label 2694: @149954
     /*  149954 */   GIM_Reject,
     /*  149955 */ // Label 2692: @149955
     /*  149955 */ GIM_Reject,
     /*  149956 */ // Label 2515: @149956
     /*  149956 */ GIM_Try, /*On fail goto*//*Label 2695*/ GIMT_Encode4(150070),
     /*  149961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /*  149964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  149967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149971 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149975 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  149979 */   GIM_Try, /*On fail goto*//*Label 2696*/ GIMT_Encode4(150024), // Rule ID 47966 //
     /*  149984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  149987 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  149987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  149990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  149994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  149999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  150004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150022 */     GIR_RootConstrainSelectedInstOperands,
     /*  150023 */     // GIR_Coverage, 47966,
     /*  150023 */     GIR_EraseRootFromParent_Done,
     /*  150024 */   // Label 2696: @150024
     /*  150024 */   GIM_Try, /*On fail goto*//*Label 2697*/ GIMT_Encode4(150069), // Rule ID 47967 //
     /*  150029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150032 */     // (xor:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  150032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  150035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  150049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  150064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150067 */     GIR_RootConstrainSelectedInstOperands,
     /*  150068 */     // GIR_Coverage, 47967,
     /*  150068 */     GIR_EraseRootFromParent_Done,
     /*  150069 */   // Label 2697: @150069
     /*  150069 */   GIM_Reject,
     /*  150070 */ // Label 2695: @150070
     /*  150070 */ GIM_Reject,
     /*  150071 */ // Label 2516: @150071
     /*  150071 */ GIM_Try, /*On fail goto*//*Label 2698*/ GIMT_Encode4(150185),
     /*  150076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /*  150079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  150082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  150094 */   GIM_Try, /*On fail goto*//*Label 2699*/ GIMT_Encode4(150139), // Rule ID 47982 //
     /*  150099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150102 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  150102 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  150105 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150109 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150114 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  150119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150121 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150137 */     GIR_RootConstrainSelectedInstOperands,
     /*  150138 */     // GIR_Coverage, 47982,
     /*  150138 */     GIR_EraseRootFromParent_Done,
     /*  150139 */   // Label 2699: @150139
     /*  150139 */   GIM_Try, /*On fail goto*//*Label 2700*/ GIMT_Encode4(150184), // Rule ID 47983 //
     /*  150144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150147 */     // (xor:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  150147 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  150150 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150154 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150159 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  150164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150166 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  150179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150182 */     GIR_RootConstrainSelectedInstOperands,
     /*  150183 */     // GIR_Coverage, 47983,
     /*  150183 */     GIR_EraseRootFromParent_Done,
     /*  150184 */   // Label 2700: @150184
     /*  150184 */   GIM_Reject,
     /*  150185 */ // Label 2698: @150185
     /*  150185 */ GIM_Reject,
     /*  150186 */ // Label 2517: @150186
     /*  150186 */ GIM_Try, /*On fail goto*//*Label 2701*/ GIMT_Encode4(150300),
     /*  150191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /*  150194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  150197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  150209 */   GIM_Try, /*On fail goto*//*Label 2702*/ GIMT_Encode4(150254), // Rule ID 47998 //
     /*  150214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  150217 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  150217 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  150220 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150224 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150229 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  150234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150236 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  150249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150252 */     GIR_RootConstrainSelectedInstOperands,
     /*  150253 */     // GIR_Coverage, 47998,
     /*  150253 */     GIR_EraseRootFromParent_Done,
     /*  150254 */   // Label 2702: @150254
     /*  150254 */   GIM_Try, /*On fail goto*//*Label 2703*/ GIMT_Encode4(150299), // Rule ID 47999 //
     /*  150259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  150262 */     // (xor:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  150262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  150265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  150269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  150274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  150276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  150279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  150284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  150286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  150294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  150297 */     GIR_RootConstrainSelectedInstOperands,
     /*  150298 */     // GIR_Coverage, 47999,
     /*  150298 */     GIR_EraseRootFromParent_Done,
     /*  150299 */   // Label 2703: @150299
     /*  150299 */   GIM_Reject,
     /*  150300 */ // Label 2701: @150300
     /*  150300 */ GIM_Reject,
     /*  150301 */ // Label 2518: @150301
     /*  150301 */ GIM_Try, /*On fail goto*//*Label 2704*/ GIMT_Encode4(151911),
     /*  150306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150316 */   GIM_Try, /*On fail goto*//*Label 2705*/ GIMT_Encode4(150385), // Rule ID 53236 //
     /*  150321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150332 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150336 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150350 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150354 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150358 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150362 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150364 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  150367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150369 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150383 */     GIR_RootConstrainSelectedInstOperands,
     /*  150384 */     // GIR_Coverage, 53236,
     /*  150384 */     GIR_EraseRootFromParent_Done,
     /*  150385 */   // Label 2705: @150385
     /*  150385 */   GIM_Try, /*On fail goto*//*Label 2706*/ GIMT_Encode4(150454), // Rule ID 53237 //
     /*  150390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  150401 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150405 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150414 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150419 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150423 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150427 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150433 */     // (xor:{ *:[nxv16i1] } (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  150436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150438 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150442 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150452 */     GIR_RootConstrainSelectedInstOperands,
     /*  150453 */     // GIR_Coverage, 53237,
     /*  150453 */     GIR_EraseRootFromParent_Done,
     /*  150454 */   // Label 2706: @150454
     /*  150454 */   GIM_Try, /*On fail goto*//*Label 2707*/ GIMT_Encode4(150523), // Rule ID 53238 //
     /*  150459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150483 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150488 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150492 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150496 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150502 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150511 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150521 */     GIR_RootConstrainSelectedInstOperands,
     /*  150522 */     // GIR_Coverage, 53238,
     /*  150522 */     GIR_EraseRootFromParent_Done,
     /*  150523 */   // Label 2707: @150523
     /*  150523 */   GIM_Try, /*On fail goto*//*Label 2708*/ GIMT_Encode4(150592), // Rule ID 53239 //
     /*  150528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  150539 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150543 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150547 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150552 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150557 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150561 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150565 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150569 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150571 */     // (xor:{ *:[nxv16i1] } (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  150574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150590 */     GIR_RootConstrainSelectedInstOperands,
     /*  150591 */     // GIR_Coverage, 53239,
     /*  150591 */     GIR_EraseRootFromParent_Done,
     /*  150592 */   // Label 2708: @150592
     /*  150592 */   GIM_Try, /*On fail goto*//*Label 2709*/ GIMT_Encode4(150658), // Rule ID 71766 //
     /*  150597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150612 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150637 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150639 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150656 */     GIR_RootConstrainSelectedInstOperands,
     /*  150657 */     // GIR_Coverage, 71766,
     /*  150657 */     GIR_EraseRootFromParent_Done,
     /*  150658 */   // Label 2709: @150658
     /*  150658 */   GIM_Try, /*On fail goto*//*Label 2710*/ GIMT_Encode4(150724), // Rule ID 71767 //
     /*  150663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150678 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150682 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  150686 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150690 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150694 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150703 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150705 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  150714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150722 */     GIR_RootConstrainSelectedInstOperands,
     /*  150723 */     // GIR_Coverage, 71767,
     /*  150723 */     GIR_EraseRootFromParent_Done,
     /*  150724 */   // Label 2710: @150724
     /*  150724 */   GIM_Try, /*On fail goto*//*Label 2711*/ GIMT_Encode4(150790), // Rule ID 71764 //
     /*  150729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150740 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150744 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150753 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150757 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150761 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150769 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150771 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150788 */     GIR_RootConstrainSelectedInstOperands,
     /*  150789 */     // GIR_Coverage, 71764,
     /*  150789 */     GIR_EraseRootFromParent_Done,
     /*  150790 */   // Label 2711: @150790
     /*  150790 */   GIM_Try, /*On fail goto*//*Label 2712*/ GIMT_Encode4(150856), // Rule ID 71765 //
     /*  150795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150806 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150810 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150814 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150819 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  150823 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150827 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150835 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150837 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150842 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  150848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150854 */     GIR_RootConstrainSelectedInstOperands,
     /*  150855 */     // GIR_Coverage, 71765,
     /*  150855 */     GIR_EraseRootFromParent_Done,
     /*  150856 */   // Label 2712: @150856
     /*  150856 */   GIM_Try, /*On fail goto*//*Label 2713*/ GIMT_Encode4(150925), // Rule ID 53240 //
     /*  150861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  150864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150872 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150876 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150885 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150890 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150894 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150898 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  150902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150904 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  150904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150923 */     GIR_RootConstrainSelectedInstOperands,
     /*  150924 */     // GIR_Coverage, 53240,
     /*  150924 */     GIR_EraseRootFromParent_Done,
     /*  150925 */   // Label 2713: @150925
     /*  150925 */   GIM_Try, /*On fail goto*//*Label 2714*/ GIMT_Encode4(150994), // Rule ID 53241 //
     /*  150930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  150933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  150937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  150941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  150945 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  150949 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150954 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  150959 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  150963 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  150967 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  150971 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  150973 */     // (xor:{ *:[nxv16i1] } (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  150973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  150976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  150978 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  150982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  150986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  150989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  150992 */     GIR_RootConstrainSelectedInstOperands,
     /*  150993 */     // GIR_Coverage, 53241,
     /*  150993 */     GIR_EraseRootFromParent_Done,
     /*  150994 */   // Label 2714: @150994
     /*  150994 */   GIM_Try, /*On fail goto*//*Label 2715*/ GIMT_Encode4(151063), // Rule ID 71760 //
     /*  150999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151010 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151014 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151018 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  151022 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151026 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151030 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151035 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151040 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151042 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151061 */     GIR_RootConstrainSelectedInstOperands,
     /*  151062 */     // GIR_Coverage, 71760,
     /*  151062 */     GIR_EraseRootFromParent_Done,
     /*  151063 */   // Label 2715: @151063
     /*  151063 */   GIM_Try, /*On fail goto*//*Label 2716*/ GIMT_Encode4(151132), // Rule ID 71761 //
     /*  151068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151079 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151083 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151087 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  151091 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151095 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151104 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151109 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151111 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151116 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151130 */     GIR_RootConstrainSelectedInstOperands,
     /*  151131 */     // GIR_Coverage, 71761,
     /*  151131 */     GIR_EraseRootFromParent_Done,
     /*  151132 */   // Label 2716: @151132
     /*  151132 */   GIM_Try, /*On fail goto*//*Label 2717*/ GIMT_Encode4(151201), // Rule ID 71762 //
     /*  151137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151148 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151152 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151156 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  151160 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151164 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151168 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151173 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151178 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151180 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  151183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151199 */     GIR_RootConstrainSelectedInstOperands,
     /*  151200 */     // GIR_Coverage, 71762,
     /*  151200 */     GIR_EraseRootFromParent_Done,
     /*  151201 */   // Label 2717: @151201
     /*  151201 */   GIM_Try, /*On fail goto*//*Label 2718*/ GIMT_Encode4(151270), // Rule ID 71763 //
     /*  151206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151221 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151225 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  151229 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151233 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151237 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151249 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  151252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151254 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151258 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151268 */     GIR_RootConstrainSelectedInstOperands,
     /*  151269 */     // GIR_Coverage, 71763,
     /*  151269 */     GIR_EraseRootFromParent_Done,
     /*  151270 */   // Label 2718: @151270
     /*  151270 */   GIM_Try, /*On fail goto*//*Label 2719*/ GIMT_Encode4(151339), // Rule ID 71768 //
     /*  151275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151302 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151306 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151318 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151327 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151337 */     GIR_RootConstrainSelectedInstOperands,
     /*  151338 */     // GIR_Coverage, 71768,
     /*  151338 */     GIR_EraseRootFromParent_Done,
     /*  151339 */   // Label 2719: @151339
     /*  151339 */   GIM_Try, /*On fail goto*//*Label 2720*/ GIMT_Encode4(151408), // Rule ID 71769 //
     /*  151344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151359 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  151363 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151367 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151371 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151380 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151385 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151387 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  151396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  151400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151406 */     GIR_RootConstrainSelectedInstOperands,
     /*  151407 */     // GIR_Coverage, 71769,
     /*  151407 */     GIR_EraseRootFromParent_Done,
     /*  151408 */   // Label 2720: @151408
     /*  151408 */   GIM_Try, /*On fail goto*//*Label 2721*/ GIMT_Encode4(151474), // Rule ID 71772 //
     /*  151413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151416 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151428 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151432 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  151440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151448 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151453 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151455 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151460 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  151464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151472 */     GIR_RootConstrainSelectedInstOperands,
     /*  151473 */     // GIR_Coverage, 71772,
     /*  151473 */     GIR_EraseRootFromParent_Done,
     /*  151474 */   // Label 2721: @151474
     /*  151474 */   GIM_Try, /*On fail goto*//*Label 2722*/ GIMT_Encode4(151540), // Rule ID 71773 //
     /*  151479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151494 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151498 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151502 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  151506 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151510 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151514 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151519 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151521 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  151530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151538 */     GIR_RootConstrainSelectedInstOperands,
     /*  151539 */     // GIR_Coverage, 71773,
     /*  151539 */     GIR_EraseRootFromParent_Done,
     /*  151540 */   // Label 2722: @151540
     /*  151540 */   GIM_Try, /*On fail goto*//*Label 2723*/ GIMT_Encode4(151606), // Rule ID 71770 //
     /*  151545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151560 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151564 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151573 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  151577 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151581 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  151585 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151587 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151592 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151604 */     GIR_RootConstrainSelectedInstOperands,
     /*  151605 */     // GIR_Coverage, 71770,
     /*  151605 */     GIR_EraseRootFromParent_Done,
     /*  151606 */   // Label 2723: @151606
     /*  151606 */   GIM_Try, /*On fail goto*//*Label 2724*/ GIMT_Encode4(151672), // Rule ID 71771 //
     /*  151611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  151626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /*  151630 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  151634 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  151643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  151651 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  151653 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  151656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151658 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  151662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  151664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151670 */     GIR_RootConstrainSelectedInstOperands,
     /*  151671 */     // GIR_Coverage, 71771,
     /*  151671 */     GIR_EraseRootFromParent_Done,
     /*  151672 */   // Label 2724: @151672
     /*  151672 */   GIM_Try, /*On fail goto*//*Label 2725*/ GIMT_Encode4(151715), // Rule ID 71786 //
     /*  151677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151688 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151698 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151713 */     GIR_RootConstrainSelectedInstOperands,
     /*  151714 */     // GIR_Coverage, 71786,
     /*  151714 */     GIR_EraseRootFromParent_Done,
     /*  151715 */   // Label 2725: @151715
     /*  151715 */   GIM_Try, /*On fail goto*//*Label 2726*/ GIMT_Encode4(151758), // Rule ID 71787 //
     /*  151720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  151727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151741 */     // (xor:{ *:[nxv16i1] } (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv16i1] }:$rs)  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  151750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151756 */     GIR_RootConstrainSelectedInstOperands,
     /*  151757 */     // GIR_Coverage, 71787,
     /*  151757 */     GIR_EraseRootFromParent_Done,
     /*  151758 */   // Label 2726: @151758
     /*  151758 */   GIM_Try, /*On fail goto*//*Label 2727*/ GIMT_Encode4(151801), // Rule ID 53246 //
     /*  151763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151770 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151774 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151778 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  151782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151784 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151799 */     GIR_RootConstrainSelectedInstOperands,
     /*  151800 */     // GIR_Coverage, 53246,
     /*  151800 */     GIR_EraseRootFromParent_Done,
     /*  151801 */   // Label 2727: @151801
     /*  151801 */   GIM_Try, /*On fail goto*//*Label 2728*/ GIMT_Encode4(151844), // Rule ID 53247 //
     /*  151806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  151817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  151821 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  151825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  151827 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, (riscv_vmset_vl:{ *:[nxv16i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs, VR:{ *:[nxv16i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  151830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  151836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151842 */     GIR_RootConstrainSelectedInstOperands,
     /*  151843 */     // GIR_Coverage, 53247,
     /*  151843 */     GIR_EraseRootFromParent_Done,
     /*  151844 */   // Label 2728: @151844
     /*  151844 */   GIM_Try, /*On fail goto*//*Label 2729*/ GIMT_Encode4(151877), // Rule ID 53234 //
     /*  151849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151860 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  151860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  151863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151865 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151875 */     GIR_RootConstrainSelectedInstOperands,
     /*  151876 */     // GIR_Coverage, 53234,
     /*  151876 */     GIR_EraseRootFromParent_Done,
     /*  151877 */   // Label 2729: @151877
     /*  151877 */   GIM_Try, /*On fail goto*//*Label 2730*/ GIMT_Encode4(151910), // Rule ID 53235 //
     /*  151882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151885 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  151893 */     // (xor:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2)  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  151893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  151896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  151908 */     GIR_RootConstrainSelectedInstOperands,
     /*  151909 */     // GIR_Coverage, 53235,
     /*  151909 */     GIR_EraseRootFromParent_Done,
     /*  151910 */   // Label 2730: @151910
     /*  151910 */   GIM_Reject,
     /*  151911 */ // Label 2704: @151911
     /*  151911 */ GIM_Reject,
     /*  151912 */ // Label 2519: @151912
     /*  151912 */ GIM_Try, /*On fail goto*//*Label 2731*/ GIMT_Encode4(152026),
     /*  151917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /*  151920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  151923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  151935 */   GIM_Try, /*On fail goto*//*Label 2732*/ GIMT_Encode4(151980), // Rule ID 47954 //
     /*  151940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  151943 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  151943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  151946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  151955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  151957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  151960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  151962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  151965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  151967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  151969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  151972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  151978 */     GIR_RootConstrainSelectedInstOperands,
     /*  151979 */     // GIR_Coverage, 47954,
     /*  151979 */     GIR_EraseRootFromParent_Done,
     /*  151980 */   // Label 2732: @151980
     /*  151980 */   GIM_Try, /*On fail goto*//*Label 2733*/ GIMT_Encode4(152025), // Rule ID 47955 //
     /*  151985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  151988 */     // (xor:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  151988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  151991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  151995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  152005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152023 */     GIR_RootConstrainSelectedInstOperands,
     /*  152024 */     // GIR_Coverage, 47955,
     /*  152024 */     GIR_EraseRootFromParent_Done,
     /*  152025 */   // Label 2733: @152025
     /*  152025 */   GIM_Reject,
     /*  152026 */ // Label 2731: @152026
     /*  152026 */ GIM_Reject,
     /*  152027 */ // Label 2520: @152027
     /*  152027 */ GIM_Try, /*On fail goto*//*Label 2734*/ GIMT_Encode4(152141),
     /*  152032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /*  152035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  152038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  152050 */   GIM_Try, /*On fail goto*//*Label 2735*/ GIMT_Encode4(152095), // Rule ID 47970 //
     /*  152055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152058 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  152058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  152061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  152075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152093 */     GIR_RootConstrainSelectedInstOperands,
     /*  152094 */     // GIR_Coverage, 47970,
     /*  152094 */     GIR_EraseRootFromParent_Done,
     /*  152095 */   // Label 2735: @152095
     /*  152095 */   GIM_Try, /*On fail goto*//*Label 2736*/ GIMT_Encode4(152140), // Rule ID 47971 //
     /*  152100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152103 */     // (xor:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  152103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  152106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  152120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  152135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152138 */     GIR_RootConstrainSelectedInstOperands,
     /*  152139 */     // GIR_Coverage, 47971,
     /*  152139 */     GIR_EraseRootFromParent_Done,
     /*  152140 */   // Label 2736: @152140
     /*  152140 */   GIM_Reject,
     /*  152141 */ // Label 2734: @152141
     /*  152141 */ GIM_Reject,
     /*  152142 */ // Label 2521: @152142
     /*  152142 */ GIM_Try, /*On fail goto*//*Label 2737*/ GIMT_Encode4(152256),
     /*  152147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /*  152150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  152153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  152165 */   GIM_Try, /*On fail goto*//*Label 2738*/ GIMT_Encode4(152210), // Rule ID 47986 //
     /*  152170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152173 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  152173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  152176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  152190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152208 */     GIR_RootConstrainSelectedInstOperands,
     /*  152209 */     // GIR_Coverage, 47986,
     /*  152209 */     GIR_EraseRootFromParent_Done,
     /*  152210 */   // Label 2738: @152210
     /*  152210 */   GIM_Try, /*On fail goto*//*Label 2739*/ GIMT_Encode4(152255), // Rule ID 47987 //
     /*  152215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152218 */     // (xor:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  152218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  152221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  152225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  152230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  152232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  152235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  152240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  152242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  152250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  152253 */     GIR_RootConstrainSelectedInstOperands,
     /*  152254 */     // GIR_Coverage, 47987,
     /*  152254 */     GIR_EraseRootFromParent_Done,
     /*  152255 */   // Label 2739: @152255
     /*  152255 */   GIM_Reject,
     /*  152256 */ // Label 2737: @152256
     /*  152256 */ GIM_Reject,
     /*  152257 */ // Label 2522: @152257
     /*  152257 */ GIM_Try, /*On fail goto*//*Label 2740*/ GIMT_Encode4(153867),
     /*  152262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152272 */   GIM_Try, /*On fail goto*//*Label 2741*/ GIMT_Encode4(152341), // Rule ID 53254 //
     /*  152277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152288 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152292 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152296 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152301 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152306 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152310 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152314 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152318 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152320 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  152323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152329 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152339 */     GIR_RootConstrainSelectedInstOperands,
     /*  152340 */     // GIR_Coverage, 53254,
     /*  152340 */     GIR_EraseRootFromParent_Done,
     /*  152341 */   // Label 2741: @152341
     /*  152341 */   GIM_Try, /*On fail goto*//*Label 2742*/ GIMT_Encode4(152410), // Rule ID 53255 //
     /*  152346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152370 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152375 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152379 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152383 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152389 */     // (xor:{ *:[nxv32i1] } (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  152392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152408 */     GIR_RootConstrainSelectedInstOperands,
     /*  152409 */     // GIR_Coverage, 53255,
     /*  152409 */     GIR_EraseRootFromParent_Done,
     /*  152410 */   // Label 2742: @152410
     /*  152410 */   GIM_Try, /*On fail goto*//*Label 2743*/ GIMT_Encode4(152479), // Rule ID 53256 //
     /*  152415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152430 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152434 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152458 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152477 */     GIR_RootConstrainSelectedInstOperands,
     /*  152478 */     // GIR_Coverage, 53256,
     /*  152478 */     GIR_EraseRootFromParent_Done,
     /*  152479 */   // Label 2743: @152479
     /*  152479 */   GIM_Try, /*On fail goto*//*Label 2744*/ GIMT_Encode4(152548), // Rule ID 53257 //
     /*  152484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  152495 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152499 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152503 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152508 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152513 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152517 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152521 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152525 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152527 */     // (xor:{ *:[nxv32i1] } (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  152530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152532 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152536 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152546 */     GIR_RootConstrainSelectedInstOperands,
     /*  152547 */     // GIR_Coverage, 53257,
     /*  152547 */     GIR_EraseRootFromParent_Done,
     /*  152548 */   // Label 2744: @152548
     /*  152548 */   GIM_Try, /*On fail goto*//*Label 2745*/ GIMT_Encode4(152614), // Rule ID 71794 //
     /*  152553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152568 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152572 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152576 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152580 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152584 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152593 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152595 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152612 */     GIR_RootConstrainSelectedInstOperands,
     /*  152613 */     // GIR_Coverage, 71794,
     /*  152613 */     GIR_EraseRootFromParent_Done,
     /*  152614 */   // Label 2745: @152614
     /*  152614 */   GIM_Try, /*On fail goto*//*Label 2746*/ GIMT_Encode4(152680), // Rule ID 71795 //
     /*  152619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152622 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152626 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152630 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152634 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152638 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  152642 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152646 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152661 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152666 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  152670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152678 */     GIR_RootConstrainSelectedInstOperands,
     /*  152679 */     // GIR_Coverage, 71795,
     /*  152679 */     GIR_EraseRootFromParent_Done,
     /*  152680 */   // Label 2746: @152680
     /*  152680 */   GIM_Try, /*On fail goto*//*Label 2747*/ GIMT_Encode4(152746), // Rule ID 71792 //
     /*  152685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152696 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152700 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152704 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152709 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  152713 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152717 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152725 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152727 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152732 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152744 */     GIR_RootConstrainSelectedInstOperands,
     /*  152745 */     // GIR_Coverage, 71792,
     /*  152745 */     GIR_EraseRootFromParent_Done,
     /*  152746 */   // Label 2747: @152746
     /*  152746 */   GIM_Try, /*On fail goto*//*Label 2748*/ GIMT_Encode4(152812), // Rule ID 71793 //
     /*  152751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152762 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152766 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152770 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152775 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  152779 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152783 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152791 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152793 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152798 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  152804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152810 */     GIR_RootConstrainSelectedInstOperands,
     /*  152811 */     // GIR_Coverage, 71793,
     /*  152811 */     GIR_EraseRootFromParent_Done,
     /*  152812 */   // Label 2748: @152812
     /*  152812 */   GIM_Try, /*On fail goto*//*Label 2749*/ GIMT_Encode4(152881), // Rule ID 53258 //
     /*  152817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152832 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152836 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152841 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152846 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152850 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152854 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  152858 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152860 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152869 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152879 */     GIR_RootConstrainSelectedInstOperands,
     /*  152880 */     // GIR_Coverage, 53258,
     /*  152880 */     GIR_EraseRootFromParent_Done,
     /*  152881 */   // Label 2749: @152881
     /*  152881 */   GIM_Try, /*On fail goto*//*Label 2750*/ GIMT_Encode4(152950), // Rule ID 53259 //
     /*  152886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  152889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  152897 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152901 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152905 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152910 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152915 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152919 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152923 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  152927 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152929 */     // (xor:{ *:[nxv32i1] } (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  152929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  152932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  152934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  152938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  152942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  152945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  152948 */     GIR_RootConstrainSelectedInstOperands,
     /*  152949 */     // GIR_Coverage, 53259,
     /*  152949 */     GIR_EraseRootFromParent_Done,
     /*  152950 */   // Label 2750: @152950
     /*  152950 */   GIM_Try, /*On fail goto*//*Label 2751*/ GIMT_Encode4(153019), // Rule ID 71788 //
     /*  152955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  152958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  152962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  152966 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  152970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  152974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  152978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  152982 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  152986 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152991 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  152996 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  152998 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  152998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153017 */     GIR_RootConstrainSelectedInstOperands,
     /*  153018 */     // GIR_Coverage, 71788,
     /*  153018 */     GIR_EraseRootFromParent_Done,
     /*  153019 */   // Label 2751: @153019
     /*  153019 */   GIM_Try, /*On fail goto*//*Label 2752*/ GIMT_Encode4(153088), // Rule ID 71789 //
     /*  153024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153039 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153043 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  153047 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153051 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153055 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153060 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153065 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153067 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153072 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153086 */     GIR_RootConstrainSelectedInstOperands,
     /*  153087 */     // GIR_Coverage, 71789,
     /*  153087 */     GIR_EraseRootFromParent_Done,
     /*  153088 */   // Label 2752: @153088
     /*  153088 */   GIM_Try, /*On fail goto*//*Label 2753*/ GIMT_Encode4(153157), // Rule ID 71790 //
     /*  153093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153104 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153108 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153112 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  153116 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153120 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153124 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153136 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  153139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153155 */     GIR_RootConstrainSelectedInstOperands,
     /*  153156 */     // GIR_Coverage, 71790,
     /*  153156 */     GIR_EraseRootFromParent_Done,
     /*  153157 */   // Label 2753: @153157
     /*  153157 */   GIM_Try, /*On fail goto*//*Label 2754*/ GIMT_Encode4(153226), // Rule ID 71791 //
     /*  153162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153173 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  153185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153189 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153193 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153198 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153203 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153205 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  153208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153214 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153224 */     GIR_RootConstrainSelectedInstOperands,
     /*  153225 */     // GIR_Coverage, 71791,
     /*  153225 */     GIR_EraseRootFromParent_Done,
     /*  153226 */   // Label 2754: @153226
     /*  153226 */   GIM_Try, /*On fail goto*//*Label 2755*/ GIMT_Encode4(153295), // Rule ID 71796 //
     /*  153231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153246 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153250 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153254 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153258 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153262 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153267 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153272 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153274 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153293 */     GIR_RootConstrainSelectedInstOperands,
     /*  153294 */     // GIR_Coverage, 71796,
     /*  153294 */     GIR_EraseRootFromParent_Done,
     /*  153295 */   // Label 2755: @153295
     /*  153295 */   GIM_Try, /*On fail goto*//*Label 2756*/ GIMT_Encode4(153364), // Rule ID 71797 //
     /*  153300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153315 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  153319 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153323 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153327 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153331 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153336 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153341 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153343 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153348 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  153352 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  153356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153362 */     GIR_RootConstrainSelectedInstOperands,
     /*  153363 */     // GIR_Coverage, 71797,
     /*  153363 */     GIR_EraseRootFromParent_Done,
     /*  153364 */   // Label 2756: @153364
     /*  153364 */   GIM_Try, /*On fail goto*//*Label 2757*/ GIMT_Encode4(153430), // Rule ID 71800 //
     /*  153369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153388 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153392 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  153396 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153400 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153404 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153409 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153411 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  153420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153428 */     GIR_RootConstrainSelectedInstOperands,
     /*  153429 */     // GIR_Coverage, 71800,
     /*  153429 */     GIR_EraseRootFromParent_Done,
     /*  153430 */   // Label 2757: @153430
     /*  153430 */   GIM_Try, /*On fail goto*//*Label 2758*/ GIMT_Encode4(153496), // Rule ID 71801 //
     /*  153435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153442 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153446 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153450 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153454 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153458 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  153462 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153466 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153470 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153475 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153477 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153482 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  153486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153494 */     GIR_RootConstrainSelectedInstOperands,
     /*  153495 */     // GIR_Coverage, 71801,
     /*  153495 */     GIR_EraseRootFromParent_Done,
     /*  153496 */   // Label 2758: @153496
     /*  153496 */   GIM_Try, /*On fail goto*//*Label 2759*/ GIMT_Encode4(153562), // Rule ID 71798 //
     /*  153501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153516 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153520 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153524 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153529 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  153533 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153537 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  153541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153543 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153548 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153560 */     GIR_RootConstrainSelectedInstOperands,
     /*  153561 */     // GIR_Coverage, 71798,
     /*  153561 */     GIR_EraseRootFromParent_Done,
     /*  153562 */   // Label 2759: @153562
     /*  153562 */   GIM_Try, /*On fail goto*//*Label 2760*/ GIMT_Encode4(153628), // Rule ID 71799 //
     /*  153567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153570 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153574 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153578 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  153582 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /*  153586 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  153590 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153595 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  153599 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153603 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  153607 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  153609 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  153612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  153618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  153620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153626 */     GIR_RootConstrainSelectedInstOperands,
     /*  153627 */     // GIR_Coverage, 71799,
     /*  153627 */     GIR_EraseRootFromParent_Done,
     /*  153628 */   // Label 2760: @153628
     /*  153628 */   GIM_Try, /*On fail goto*//*Label 2761*/ GIMT_Encode4(153671), // Rule ID 71814 //
     /*  153633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153654 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153669 */     GIR_RootConstrainSelectedInstOperands,
     /*  153670 */     // GIR_Coverage, 71814,
     /*  153670 */     GIR_EraseRootFromParent_Done,
     /*  153671 */   // Label 2761: @153671
     /*  153671 */   GIM_Try, /*On fail goto*//*Label 2762*/ GIMT_Encode4(153714), // Rule ID 71815 //
     /*  153676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  153683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153697 */     // (xor:{ *:[nxv32i1] } (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv32i1] }:$rs)  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  153706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153712 */     GIR_RootConstrainSelectedInstOperands,
     /*  153713 */     // GIR_Coverage, 71815,
     /*  153713 */     GIR_EraseRootFromParent_Done,
     /*  153714 */   // Label 2762: @153714
     /*  153714 */   GIM_Try, /*On fail goto*//*Label 2763*/ GIMT_Encode4(153757), // Rule ID 53264 //
     /*  153719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  153738 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153740 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153755 */     GIR_RootConstrainSelectedInstOperands,
     /*  153756 */     // GIR_Coverage, 53264,
     /*  153756 */     GIR_EraseRootFromParent_Done,
     /*  153757 */   // Label 2763: @153757
     /*  153757 */   GIM_Try, /*On fail goto*//*Label 2764*/ GIMT_Encode4(153800), // Rule ID 53265 //
     /*  153762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  153773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  153777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  153781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  153783 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, (riscv_vmset_vl:{ *:[nxv32i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs, VR:{ *:[nxv32i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  153786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  153792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153798 */     GIR_RootConstrainSelectedInstOperands,
     /*  153799 */     // GIR_Coverage, 53265,
     /*  153799 */     GIR_EraseRootFromParent_Done,
     /*  153800 */   // Label 2764: @153800
     /*  153800 */   GIM_Try, /*On fail goto*//*Label 2765*/ GIMT_Encode4(153833), // Rule ID 53252 //
     /*  153805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153816 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  153816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  153819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153831 */     GIR_RootConstrainSelectedInstOperands,
     /*  153832 */     // GIR_Coverage, 53252,
     /*  153832 */     GIR_EraseRootFromParent_Done,
     /*  153833 */   // Label 2765: @153833
     /*  153833 */   GIM_Try, /*On fail goto*//*Label 2766*/ GIMT_Encode4(153866), // Rule ID 53253 //
     /*  153838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  153849 */     // (xor:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2)  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  153849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  153852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  153864 */     GIR_RootConstrainSelectedInstOperands,
     /*  153865 */     // GIR_Coverage, 53253,
     /*  153865 */     GIR_EraseRootFromParent_Done,
     /*  153866 */   // Label 2766: @153866
     /*  153866 */   GIM_Reject,
     /*  153867 */ // Label 2740: @153867
     /*  153867 */ GIM_Reject,
     /*  153868 */ // Label 2523: @153868
     /*  153868 */ GIM_Try, /*On fail goto*//*Label 2767*/ GIMT_Encode4(153982),
     /*  153873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /*  153876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  153879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  153891 */   GIM_Try, /*On fail goto*//*Label 2768*/ GIMT_Encode4(153936), // Rule ID 47958 //
     /*  153896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  153899 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  153899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  153902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  153916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153934 */     GIR_RootConstrainSelectedInstOperands,
     /*  153935 */     // GIR_Coverage, 47958,
     /*  153935 */     GIR_EraseRootFromParent_Done,
     /*  153936 */   // Label 2768: @153936
     /*  153936 */   GIM_Try, /*On fail goto*//*Label 2769*/ GIMT_Encode4(153981), // Rule ID 47959 //
     /*  153941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  153944 */     // (xor:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  153944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  153947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  153951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  153956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  153958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  153961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  153963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  153966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  153968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  153970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  153973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  153979 */     GIR_RootConstrainSelectedInstOperands,
     /*  153980 */     // GIR_Coverage, 47959,
     /*  153980 */     GIR_EraseRootFromParent_Done,
     /*  153981 */   // Label 2769: @153981
     /*  153981 */   GIM_Reject,
     /*  153982 */ // Label 2767: @153982
     /*  153982 */ GIM_Reject,
     /*  153983 */ // Label 2524: @153983
     /*  153983 */ GIM_Try, /*On fail goto*//*Label 2770*/ GIMT_Encode4(154097),
     /*  153988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /*  153991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  153994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  153998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  154006 */   GIM_Try, /*On fail goto*//*Label 2771*/ GIMT_Encode4(154051), // Rule ID 47974 //
     /*  154011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154014 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  154014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  154017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  154021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  154026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  154028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  154031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  154036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  154038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154049 */     GIR_RootConstrainSelectedInstOperands,
     /*  154050 */     // GIR_Coverage, 47974,
     /*  154050 */     GIR_EraseRootFromParent_Done,
     /*  154051 */   // Label 2771: @154051
     /*  154051 */   GIM_Try, /*On fail goto*//*Label 2772*/ GIMT_Encode4(154096), // Rule ID 47975 //
     /*  154056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154059 */     // (xor:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  154059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  154062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  154066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  154071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  154073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  154076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  154081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  154083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  154091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  154094 */     GIR_RootConstrainSelectedInstOperands,
     /*  154095 */     // GIR_Coverage, 47975,
     /*  154095 */     GIR_EraseRootFromParent_Done,
     /*  154096 */   // Label 2772: @154096
     /*  154096 */   GIM_Reject,
     /*  154097 */ // Label 2770: @154097
     /*  154097 */ GIM_Reject,
     /*  154098 */ // Label 2525: @154098
     /*  154098 */ GIM_Try, /*On fail goto*//*Label 2773*/ GIMT_Encode4(155708),
     /*  154103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154113 */   GIM_Try, /*On fail goto*//*Label 2774*/ GIMT_Encode4(154182), // Rule ID 53272 //
     /*  154118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154129 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154133 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154142 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154159 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154161 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154180 */     GIR_RootConstrainSelectedInstOperands,
     /*  154181 */     // GIR_Coverage, 53272,
     /*  154181 */     GIR_EraseRootFromParent_Done,
     /*  154182 */   // Label 2774: @154182
     /*  154182 */   GIM_Try, /*On fail goto*//*Label 2775*/ GIMT_Encode4(154251), // Rule ID 53273 //
     /*  154187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154190 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154194 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154198 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154202 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154206 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154211 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154216 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154220 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154224 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154228 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154230 */     // (xor:{ *:[nxv64i1] } (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154249 */     GIR_RootConstrainSelectedInstOperands,
     /*  154250 */     // GIR_Coverage, 53273,
     /*  154250 */     GIR_EraseRootFromParent_Done,
     /*  154251 */   // Label 2775: @154251
     /*  154251 */   GIM_Try, /*On fail goto*//*Label 2776*/ GIMT_Encode4(154320), // Rule ID 53274 //
     /*  154256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154267 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154271 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154275 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154280 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154285 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154289 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154293 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154297 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154299 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154304 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154318 */     GIR_RootConstrainSelectedInstOperands,
     /*  154319 */     // GIR_Coverage, 53274,
     /*  154319 */     GIR_EraseRootFromParent_Done,
     /*  154320 */   // Label 2776: @154320
     /*  154320 */   GIM_Try, /*On fail goto*//*Label 2777*/ GIMT_Encode4(154389), // Rule ID 53275 //
     /*  154325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154340 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154344 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154366 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154368 */     // (xor:{ *:[nxv64i1] } (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154377 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154387 */     GIR_RootConstrainSelectedInstOperands,
     /*  154388 */     // GIR_Coverage, 53275,
     /*  154388 */     GIR_EraseRootFromParent_Done,
     /*  154389 */   // Label 2777: @154389
     /*  154389 */   GIM_Try, /*On fail goto*//*Label 2778*/ GIMT_Encode4(154455), // Rule ID 71822 //
     /*  154394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154409 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154413 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154417 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154421 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154425 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154436 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154453 */     GIR_RootConstrainSelectedInstOperands,
     /*  154454 */     // GIR_Coverage, 71822,
     /*  154454 */     GIR_EraseRootFromParent_Done,
     /*  154455 */   // Label 2778: @154455
     /*  154455 */   GIM_Try, /*On fail goto*//*Label 2779*/ GIMT_Encode4(154521), // Rule ID 71823 //
     /*  154460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154475 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154479 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  154483 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154487 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154500 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154502 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  154511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154519 */     GIR_RootConstrainSelectedInstOperands,
     /*  154520 */     // GIR_Coverage, 71823,
     /*  154520 */     GIR_EraseRootFromParent_Done,
     /*  154521 */   // Label 2779: @154521
     /*  154521 */   GIM_Try, /*On fail goto*//*Label 2780*/ GIMT_Encode4(154587), // Rule ID 71820 //
     /*  154526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154541 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154545 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154566 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154568 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154573 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154585 */     GIR_RootConstrainSelectedInstOperands,
     /*  154586 */     // GIR_Coverage, 71820,
     /*  154586 */     GIR_EraseRootFromParent_Done,
     /*  154587 */   // Label 2780: @154587
     /*  154587 */   GIM_Try, /*On fail goto*//*Label 2781*/ GIMT_Encode4(154653), // Rule ID 71821 //
     /*  154592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154607 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154611 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154616 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  154620 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154624 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154632 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154634 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })), VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  154645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154651 */     GIR_RootConstrainSelectedInstOperands,
     /*  154652 */     // GIR_Coverage, 71821,
     /*  154652 */     GIR_EraseRootFromParent_Done,
     /*  154653 */   // Label 2781: @154653
     /*  154653 */   GIM_Try, /*On fail goto*//*Label 2782*/ GIMT_Encode4(154722), // Rule ID 53276 //
     /*  154658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154669 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154673 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154677 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154687 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154691 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154695 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  154699 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154701 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154706 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154720 */     GIR_RootConstrainSelectedInstOperands,
     /*  154721 */     // GIR_Coverage, 53276,
     /*  154721 */     GIR_EraseRootFromParent_Done,
     /*  154722 */   // Label 2782: @154722
     /*  154722 */   GIM_Try, /*On fail goto*//*Label 2783*/ GIMT_Encode4(154791), // Rule ID 53277 //
     /*  154727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  154738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154742 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154746 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154756 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154760 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154764 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  154768 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154770 */     // (xor:{ *:[nxv64i1] } (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2), (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  154773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154775 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  154779 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs2
     /*  154783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154789 */     GIR_RootConstrainSelectedInstOperands,
     /*  154790 */     // GIR_Coverage, 53277,
     /*  154790 */     GIR_EraseRootFromParent_Done,
     /*  154791 */   // Label 2783: @154791
     /*  154791 */   GIM_Try, /*On fail goto*//*Label 2784*/ GIMT_Encode4(154860), // Rule ID 71816 //
     /*  154796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154823 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154827 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154839 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154844 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154858 */     GIR_RootConstrainSelectedInstOperands,
     /*  154859 */     // GIR_Coverage, 71816,
     /*  154859 */     GIR_EraseRootFromParent_Done,
     /*  154860 */   // Label 2784: @154860
     /*  154860 */   GIM_Try, /*On fail goto*//*Label 2785*/ GIMT_Encode4(154929), // Rule ID 71817 //
     /*  154865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  154868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  154880 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154884 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_AND),
     /*  154888 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154892 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154896 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154901 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154906 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154908 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (and:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  154908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  154911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154927 */     GIR_RootConstrainSelectedInstOperands,
     /*  154928 */     // GIR_Coverage, 71817,
     /*  154928 */     GIR_EraseRootFromParent_Done,
     /*  154929 */   // Label 2785: @154929
     /*  154929 */   GIM_Try, /*On fail goto*//*Label 2786*/ GIMT_Encode4(154998), // Rule ID 71818 //
     /*  154934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  154937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  154941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  154945 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  154949 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  154953 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  154957 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  154961 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  154965 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154970 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  154975 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  154977 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  154977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  154980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  154982 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  154986 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  154990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  154993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  154996 */     GIR_RootConstrainSelectedInstOperands,
     /*  154997 */     // GIR_Coverage, 71818,
     /*  154997 */     GIR_EraseRootFromParent_Done,
     /*  154998 */   // Label 2786: @154998
     /*  154998 */   GIM_Try, /*On fail goto*//*Label 2787*/ GIMT_Encode4(155067), // Rule ID 71819 //
     /*  155003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155018 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  155022 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_OR),
     /*  155026 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155030 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155034 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155046 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (or:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  155049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  155055 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155065 */     GIR_RootConstrainSelectedInstOperands,
     /*  155066 */     // GIR_Coverage, 71819,
     /*  155066 */     GIR_EraseRootFromParent_Done,
     /*  155067 */   // Label 2787: @155067
     /*  155067 */   GIM_Try, /*On fail goto*//*Label 2788*/ GIMT_Encode4(155136), // Rule ID 71824 //
     /*  155072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  155091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155099 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155103 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155108 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155113 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155115 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155120 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  155124 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155134 */     GIR_RootConstrainSelectedInstOperands,
     /*  155135 */     // GIR_Coverage, 71824,
     /*  155135 */     GIR_EraseRootFromParent_Done,
     /*  155136 */   // Label 2788: @155136
     /*  155136 */   GIM_Try, /*On fail goto*//*Label 2789*/ GIMT_Encode4(155205), // Rule ID 71825 //
     /*  155141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155152 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155156 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /*  155160 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155164 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155168 */     GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155177 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155182 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155184 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /*  155193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/2, // rs2
     /*  155197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155203 */     GIR_RootConstrainSelectedInstOperands,
     /*  155204 */     // GIR_Coverage, 71825,
     /*  155204 */     GIR_EraseRootFromParent_Done,
     /*  155205 */   // Label 2789: @155205
     /*  155205 */   GIM_Try, /*On fail goto*//*Label 2790*/ GIMT_Encode4(155271), // Rule ID 71828 //
     /*  155210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155229 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155233 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  155237 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155241 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  155245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155250 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155252 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  155261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  155263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155269 */     GIR_RootConstrainSelectedInstOperands,
     /*  155270 */     // GIR_Coverage, 71828,
     /*  155270 */     GIR_EraseRootFromParent_Done,
     /*  155271 */   // Label 2790: @155271
     /*  155271 */   GIM_Try, /*On fail goto*//*Label 2791*/ GIMT_Encode4(155337), // Rule ID 71829 //
     /*  155276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155295 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155299 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  155303 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155307 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155318 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs1))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155323 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  155327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  155329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155335 */     GIR_RootConstrainSelectedInstOperands,
     /*  155336 */     // GIR_Coverage, 71829,
     /*  155336 */     GIR_EraseRootFromParent_Done,
     /*  155337 */   // Label 2791: @155337
     /*  155337 */   GIM_Try, /*On fail goto*//*Label 2792*/ GIMT_Encode4(155403), // Rule ID 71826 //
     /*  155342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155361 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /*  155382 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155384 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155389 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  155395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155401 */     GIR_RootConstrainSelectedInstOperands,
     /*  155402 */     // GIR_Coverage, 71826,
     /*  155402 */     GIR_EraseRootFromParent_Done,
     /*  155403 */   // Label 2792: @155403
     /*  155403 */   GIM_Try, /*On fail goto*//*Label 2793*/ GIMT_Encode4(155469), // Rule ID 71827 //
     /*  155408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /*  155423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /*  155427 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  155431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155436 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  155440 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155444 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  155448 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /*  155450 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] })))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  155453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  155459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /*  155461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155467 */     GIR_RootConstrainSelectedInstOperands,
     /*  155468 */     // GIR_Coverage, 71827,
     /*  155468 */     GIR_EraseRootFromParent_Done,
     /*  155469 */   // Label 2793: @155469
     /*  155469 */   GIM_Try, /*On fail goto*//*Label 2794*/ GIMT_Encode4(155512), // Rule ID 71842 //
     /*  155474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155495 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155510 */     GIR_RootConstrainSelectedInstOperands,
     /*  155511 */     // GIR_Coverage, 71842,
     /*  155511 */     GIR_EraseRootFromParent_Done,
     /*  155512 */   // Label 2794: @155512
     /*  155512 */   GIM_Try, /*On fail goto*//*Label 2795*/ GIMT_Encode4(155555), // Rule ID 71843 //
     /*  155517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  155524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155538 */     // (xor:{ *:[nxv64i1] } (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }), VR:{ *:[nxv64i1] }:$rs)  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs
     /*  155547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155553 */     GIR_RootConstrainSelectedInstOperands,
     /*  155554 */     // GIR_Coverage, 71843,
     /*  155554 */     GIR_EraseRootFromParent_Done,
     /*  155555 */   // Label 2795: @155555
     /*  155555 */   GIM_Try, /*On fail goto*//*Label 2796*/ GIMT_Encode4(155598), // Rule ID 53282 //
     /*  155560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155563 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155575 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /*  155579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155581 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i64] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155586 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155596 */     GIR_RootConstrainSelectedInstOperands,
     /*  155597 */     // GIR_Coverage, 53282,
     /*  155597 */     GIR_EraseRootFromParent_Done,
     /*  155598 */   // Label 2796: @155598
     /*  155598 */   GIM_Try, /*On fail goto*//*Label 2797*/ GIMT_Encode4(155641), // Rule ID 53283 //
     /*  155603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155606 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  155614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(RISCV::G_VMSET_VL),
     /*  155618 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  155622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  155624 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, (riscv_vmset_vl:{ *:[nxv64i1] } srcvalue:{ *:[i32] }))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs, VR:{ *:[nxv64i1] }:$rs, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  155627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /*  155633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155639 */     GIR_RootConstrainSelectedInstOperands,
     /*  155640 */     // GIR_Coverage, 53283,
     /*  155640 */     GIR_EraseRootFromParent_Done,
     /*  155641 */   // Label 2797: @155641
     /*  155641 */   GIM_Try, /*On fail goto*//*Label 2798*/ GIMT_Encode4(155674), // Rule ID 53270 //
     /*  155646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155657 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  155657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  155660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155672 */     GIR_RootConstrainSelectedInstOperands,
     /*  155673 */     // GIR_Coverage, 53270,
     /*  155673 */     GIR_EraseRootFromParent_Done,
     /*  155674 */   // Label 2798: @155674
     /*  155674 */   GIM_Try, /*On fail goto*//*Label 2799*/ GIMT_Encode4(155707), // Rule ID 53271 //
     /*  155679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  155690 */     // (xor:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2)  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  155690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  155693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155705 */     GIR_RootConstrainSelectedInstOperands,
     /*  155706 */     // GIR_Coverage, 53271,
     /*  155706 */     GIR_EraseRootFromParent_Done,
     /*  155707 */   // Label 2799: @155707
     /*  155707 */   GIM_Reject,
     /*  155708 */ // Label 2773: @155708
     /*  155708 */ GIM_Reject,
     /*  155709 */ // Label 2526: @155709
     /*  155709 */ GIM_Try, /*On fail goto*//*Label 2800*/ GIMT_Encode4(155823),
     /*  155714 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /*  155717 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  155720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  155732 */   GIM_Try, /*On fail goto*//*Label 2801*/ GIMT_Encode4(155777), // Rule ID 47962 //
     /*  155737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  155740 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  155740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  155743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  155757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155775 */     GIR_RootConstrainSelectedInstOperands,
     /*  155776 */     // GIR_Coverage, 47962,
     /*  155776 */     GIR_EraseRootFromParent_Done,
     /*  155777 */   // Label 2801: @155777
     /*  155777 */   GIM_Try, /*On fail goto*//*Label 2802*/ GIMT_Encode4(155822), // Rule ID 47963 //
     /*  155782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  155785 */     // (xor:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  155785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  155788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  155792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  155797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  155799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  155802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  155807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  155809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  155811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  155814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  155820 */     GIR_RootConstrainSelectedInstOperands,
     /*  155821 */     // GIR_Coverage, 47963,
     /*  155821 */     GIR_EraseRootFromParent_Done,
     /*  155822 */   // Label 2802: @155822
     /*  155822 */   GIM_Reject,
     /*  155823 */ // Label 2800: @155823
     /*  155823 */ GIM_Reject,
     /*  155824 */ // Label 2527: @155824
     /*  155824 */ GIM_Reject,
     /*  155825 */ // Label 10: @155825
     /*  155825 */ GIM_Try, /*On fail goto*//*Label 2803*/ GIMT_Encode4(155885),
     /*  155830 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/0, /*SizeInBits*/0,
     /*  155834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155838 */   GIM_Try, /*On fail goto*//*Label 2804*/ GIMT_Encode4(155861), // Rule ID 116 //
     /*  155843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  155846 */     // MIs[0] Operand 1
     /*  155846 */     // No operand predicates
     /*  155846 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i64] })
     /*  155846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  155849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155851 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  155856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155859 */     GIR_RootConstrainSelectedInstOperands,
     /*  155860 */     // GIR_Coverage, 116,
     /*  155860 */     GIR_EraseRootFromParent_Done,
     /*  155861 */   // Label 2804: @155861
     /*  155861 */   GIM_Try, /*On fail goto*//*Label 2805*/ GIMT_Encode4(155884), // Rule ID 117 //
     /*  155866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  155869 */     // MIs[0] Operand 1
     /*  155869 */     // No operand predicates
     /*  155869 */     // (frameindex:{ *:[iPTR] }):$fi  =>  (ADDI:{ *:[iPTR] } (to_tframeindex:{ *:[iPTR] } ?:{ *:[iPTR] }:$fi), 0:{ *:[i32] })
     /*  155869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /*  155872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  155874 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/0, /*Renderer*/GIMT_Encode2(GICR_renderFrameIndex), // fi
     /*  155879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  155882 */     GIR_RootConstrainSelectedInstOperands,
     /*  155883 */     // GIR_Coverage, 117,
     /*  155883 */     GIR_EraseRootFromParent_Done,
     /*  155884 */   // Label 2805: @155884
     /*  155884 */   GIM_Reject,
     /*  155885 */ // Label 2803: @155885
     /*  155885 */ GIM_Reject,
     /*  155886 */ // Label 11: @155886
     /*  155886 */ GIM_Try, /*On fail goto*//*Label 2806*/ GIMT_Encode4(155946),
     /*  155891 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  155894 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  155897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  155900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  155903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155915 */   GIM_Try, /*On fail goto*//*Label 2807*/ GIMT_Encode4(155930), // Rule ID 56 //
     /*  155920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  155923 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  155923 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  155928 */     GIR_RootConstrainSelectedInstOperands,
     /*  155929 */     // GIR_Coverage, 56,
     /*  155929 */     GIR_Done,
     /*  155930 */   // Label 2807: @155930
     /*  155930 */   GIM_Try, /*On fail goto*//*Label 2808*/ GIMT_Encode4(155945), // Rule ID 57 //
     /*  155935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  155938 */     // (RISCVSplitF64:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)  =>  (SplitF64Pseudo:{ *:[i32] }:{ *:[i32] } FPR64:{ *:[f64] }:$src)
     /*  155938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SplitF64Pseudo),
     /*  155943 */     GIR_RootConstrainSelectedInstOperands,
     /*  155944 */     // GIR_Coverage, 57,
     /*  155944 */     GIR_Done,
     /*  155945 */   // Label 2808: @155945
     /*  155945 */   GIM_Reject,
     /*  155946 */ // Label 2806: @155946
     /*  155946 */ GIM_Reject,
     /*  155947 */ // Label 12: @155947
     /*  155947 */ GIM_Try, /*On fail goto*//*Label 2809*/ GIMT_Encode4(156037),
     /*  155952 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  155955 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  155958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  155961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  155964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  155968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  155976 */   GIM_Try, /*On fail goto*//*Label 2810*/ GIMT_Encode4(155991), // Rule ID 54 //
     /*  155981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode0),
     /*  155984 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  155984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  155989 */     GIR_RootConstrainSelectedInstOperands,
     /*  155990 */     // GIR_Coverage, 54,
     /*  155990 */     GIR_Done,
     /*  155991 */   // Label 2810: @155991
     /*  155991 */   GIM_Try, /*On fail goto*//*Label 2811*/ GIMT_Encode4(156006), // Rule ID 55 //
     /*  155996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_NoStdExtZfa_HwMode1),
     /*  155999 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)  =>  (BuildPairF64Pseudo:{ *:[f64] } GPR:{ *:[i32] }:$src1, GPR:{ *:[i32] }:$src2)
     /*  155999 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::BuildPairF64Pseudo),
     /*  156004 */     GIR_RootConstrainSelectedInstOperands,
     /*  156005 */     // GIR_Coverage, 55,
     /*  156005 */     GIR_Done,
     /*  156006 */   // Label 2811: @156006
     /*  156006 */   GIM_Try, /*On fail goto*//*Label 2812*/ GIMT_Encode4(156021), // Rule ID 2400 //
     /*  156011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode0),
     /*  156014 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  156014 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  156019 */     GIR_RootConstrainSelectedInstOperands,
     /*  156020 */     // GIR_Coverage, 2400,
     /*  156020 */     GIR_Done,
     /*  156021 */   // Label 2812: @156021
     /*  156021 */   GIM_Try, /*On fail goto*//*Label 2813*/ GIMT_Encode4(156036), // Rule ID 2401 //
     /*  156026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_IsRV32_HwMode1),
     /*  156029 */     // (RISCVBuildPairF64:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (FMVP_D_X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  156029 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMVP_D_X),
     /*  156034 */     GIR_RootConstrainSelectedInstOperands,
     /*  156035 */     // GIR_Coverage, 2401,
     /*  156035 */     GIR_Done,
     /*  156036 */   // Label 2813: @156036
     /*  156036 */   GIM_Reject,
     /*  156037 */ // Label 2809: @156037
     /*  156037 */ GIM_Reject,
     /*  156038 */ // Label 13: @156038
     /*  156038 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2816*/ GIMT_Encode4(156404),
     /*  156049 */ /*GILLT_s32*//*Label 2814*/ GIMT_Encode4(156057),
     /*  156053 */ /*GILLT_s64*//*Label 2815*/ GIMT_Encode4(156294),
     /*  156057 */ // Label 2814: @156057
     /*  156057 */ GIM_Try, /*On fail goto*//*Label 2817*/ GIMT_Encode4(156293),
     /*  156062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156065 */   GIM_Try, /*On fail goto*//*Label 2818*/ GIMT_Encode4(156088), // Rule ID 1443 //
     /*  156070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  156073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156081 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  156081 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  156086 */     GIR_RootConstrainSelectedInstOperands,
     /*  156087 */     // GIR_Coverage, 1443,
     /*  156087 */     GIR_Done,
     /*  156088 */   // Label 2818: @156088
     /*  156088 */   GIM_Try, /*On fail goto*//*Label 2819*/ GIMT_Encode4(156111), // Rule ID 1444 //
     /*  156093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  156096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156104 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FMV_W_X:{ *:[f32] } GPR:{ *:[i32] }:$rs1)
     /*  156104 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_W_X),
     /*  156109 */     GIR_RootConstrainSelectedInstOperands,
     /*  156110 */     // GIR_Coverage, 1444,
     /*  156110 */     GIR_Done,
     /*  156111 */   // Label 2819: @156111
     /*  156111 */   GIM_Try, /*On fail goto*//*Label 2820*/ GIMT_Encode4(156134), // Rule ID 1445 //
     /*  156116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  156119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156127 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  156127 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  156132 */     GIR_RootConstrainSelectedInstOperands,
     /*  156133 */     // GIR_Coverage, 1445,
     /*  156133 */     GIR_Done,
     /*  156134 */   // Label 2820: @156134
     /*  156134 */   GIM_Try, /*On fail goto*//*Label 2821*/ GIMT_Encode4(156157), // Rule ID 1446 //
     /*  156139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  156142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156150 */     // (bitconvert:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMV_X_W:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)
     /*  156150 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_W),
     /*  156155 */     GIR_RootConstrainSelectedInstOperands,
     /*  156156 */     // GIR_Coverage, 1446,
     /*  156156 */     GIR_Done,
     /*  156157 */   // Label 2821: @156157
     /*  156157 */   GIM_Try, /*On fail goto*//*Label 2822*/ GIMT_Encode4(156195), // Rule ID 1447 //
     /*  156162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  156165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156173 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  156173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  156176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  156178 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  156184 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156189 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156194 */     // GIR_Coverage, 1447,
     /*  156194 */     GIR_EraseRootFromParent_Done,
     /*  156195 */   // Label 2822: @156195
     /*  156195 */   GIM_Try, /*On fail goto*//*Label 2823*/ GIMT_Encode4(156233), // Rule ID 1448 //
     /*  156200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  156203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156211 */     // (bitconvert:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (EXTRACT_SUBREG:{ *:[f32] } GPR:{ *:[i32] }:$rs1, sub_32:{ *:[i32] })
     /*  156211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  156214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  156216 */     GIR_CopySubReg, /*NewInsnID*/0, /*OldInsnID*/0, /*OpIdx*/1, /*SubRegIdx*/GIMT_Encode2(2), // rs1
     /*  156222 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156227 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156232 */     // GIR_Coverage, 1448,
     /*  156232 */     GIR_EraseRootFromParent_Done,
     /*  156233 */   // Label 2823: @156233
     /*  156233 */   GIM_Try, /*On fail goto*//*Label 2824*/ GIMT_Encode4(156292), // Rule ID 1449 //
     /*  156238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  156241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156249 */     // (bitconvert:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (INSERT_SUBREG:{ *:[i32] } (IMPLICIT_DEF:{ *:[i32] }), FPR32INX:{ *:[f32] }:$rs1, sub_32:{ *:[i32] })
     /*  156249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /*  156252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  156256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  156261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  156263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(TargetOpcode::INSERT_SUBREG),
     /*  156266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /*  156268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  156271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  156276 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156281 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/1, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156286 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/2, GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156291 */     // GIR_Coverage, 1449,
     /*  156291 */     GIR_EraseRootFromParent_Done,
     /*  156292 */   // Label 2824: @156292
     /*  156292 */   GIM_Reject,
     /*  156293 */ // Label 2817: @156293
     /*  156293 */ GIM_Reject,
     /*  156294 */ // Label 2815: @156294
     /*  156294 */ GIM_Try, /*On fail goto*//*Label 2825*/ GIMT_Encode4(156403),
     /*  156299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156302 */   GIM_Try, /*On fail goto*//*Label 2826*/ GIMT_Encode4(156325), // Rule ID 1896 //
     /*  156307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  156310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156318 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FMV_D_X:{ *:[f64] } GPR:{ *:[i64] }:$rs1)
     /*  156318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_D_X),
     /*  156323 */     GIR_RootConstrainSelectedInstOperands,
     /*  156324 */     // GIR_Coverage, 1896,
     /*  156324 */     GIR_Done,
     /*  156325 */   // Label 2826: @156325
     /*  156325 */   GIM_Try, /*On fail goto*//*Label 2827*/ GIMT_Encode4(156348), // Rule ID 1897 //
     /*  156330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  156333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156341 */     // (bitconvert:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMV_X_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)
     /*  156341 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMV_X_D),
     /*  156346 */     GIR_RootConstrainSelectedInstOperands,
     /*  156347 */     // GIR_Coverage, 1897,
     /*  156347 */     GIR_Done,
     /*  156348 */   // Label 2827: @156348
     /*  156348 */   GIM_Try, /*On fail goto*//*Label 2828*/ GIMT_Encode4(156375), // Rule ID 1924 //
     /*  156353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  156356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156360 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156364 */     // (bitconvert:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[f64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i32] })
     /*  156364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  156369 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156374 */     // GIR_Coverage, 1924,
     /*  156374 */     GIR_Done,
     /*  156375 */   // Label 2828: @156375
     /*  156375 */   GIM_Try, /*On fail goto*//*Label 2829*/ GIMT_Encode4(156402), // Rule ID 1925 //
     /*  156380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  156383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156391 */     // (bitconvert:{ *:[i64] } GPR:{ *:[f64] }:$rs1)  =>  (COPY_TO_REGCLASS:{ *:[i64] } GPR:{ *:[f64] }:$rs1, GPR:{ *:[i32] })
     /*  156391 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /*  156396 */     GIR_ConstrainOperandRC, /*InsnID*/0, /*Op*/0, GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156401 */     // GIR_Coverage, 1925,
     /*  156401 */     GIR_Done,
     /*  156402 */   // Label 2829: @156402
     /*  156402 */   GIM_Reject,
     /*  156403 */ // Label 2825: @156403
     /*  156403 */ GIM_Reject,
     /*  156404 */ // Label 2816: @156404
     /*  156404 */ GIM_Reject,
     /*  156405 */ // Label 14: @156405
     /*  156405 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2833*/ GIMT_Encode4(156602),
     /*  156416 */ /*GILLT_s16*//*Label 2830*/ GIMT_Encode4(156428),
     /*  156420 */ /*GILLT_s32*//*Label 2831*/ GIMT_Encode4(156486),
     /*  156424 */ /*GILLT_s64*//*Label 2832*/ GIMT_Encode4(156544),
     /*  156428 */ // Label 2830: @156428
     /*  156428 */ GIM_Try, /*On fail goto*//*Label 2834*/ GIMT_Encode4(156485),
     /*  156433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156444 */   GIM_Try, /*On fail goto*//*Label 2835*/ GIMT_Encode4(156464), // Rule ID 2432 //
     /*  156449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  156452 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /*  156452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156462 */     GIR_RootConstrainSelectedInstOperands,
     /*  156463 */     // GIR_Coverage, 2432,
     /*  156463 */     GIR_EraseRootFromParent_Done,
     /*  156464 */   // Label 2835: @156464
     /*  156464 */   GIM_Try, /*On fail goto*//*Label 2836*/ GIMT_Encode4(156484), // Rule ID 2433 //
     /*  156469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  156472 */     // (ftrunc:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /*  156472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156482 */     GIR_RootConstrainSelectedInstOperands,
     /*  156483 */     // GIR_Coverage, 2433,
     /*  156483 */     GIR_EraseRootFromParent_Done,
     /*  156484 */   // Label 2836: @156484
     /*  156484 */   GIM_Reject,
     /*  156485 */ // Label 2834: @156485
     /*  156485 */ GIM_Reject,
     /*  156486 */ // Label 2831: @156486
     /*  156486 */ GIM_Try, /*On fail goto*//*Label 2837*/ GIMT_Encode4(156543),
     /*  156491 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156498 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156502 */   GIM_Try, /*On fail goto*//*Label 2838*/ GIMT_Encode4(156522), // Rule ID 2350 //
     /*  156507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  156510 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /*  156510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156520 */     GIR_RootConstrainSelectedInstOperands,
     /*  156521 */     // GIR_Coverage, 2350,
     /*  156521 */     GIR_EraseRootFromParent_Done,
     /*  156522 */   // Label 2838: @156522
     /*  156522 */   GIM_Try, /*On fail goto*//*Label 2839*/ GIMT_Encode4(156542), // Rule ID 2351 //
     /*  156527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  156530 */     // (ftrunc:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /*  156530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156540 */     GIR_RootConstrainSelectedInstOperands,
     /*  156541 */     // GIR_Coverage, 2351,
     /*  156541 */     GIR_EraseRootFromParent_Done,
     /*  156542 */   // Label 2839: @156542
     /*  156542 */   GIM_Reject,
     /*  156543 */ // Label 2837: @156543
     /*  156543 */ GIM_Reject,
     /*  156544 */ // Label 2832: @156544
     /*  156544 */ GIM_Try, /*On fail goto*//*Label 2840*/ GIMT_Encode4(156601),
     /*  156549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156560 */   GIM_Try, /*On fail goto*//*Label 2841*/ GIMT_Encode4(156580), // Rule ID 2390 //
     /*  156565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  156568 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /*  156568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156578 */     GIR_RootConstrainSelectedInstOperands,
     /*  156579 */     // GIR_Coverage, 2390,
     /*  156579 */     GIR_EraseRootFromParent_Done,
     /*  156580 */   // Label 2841: @156580
     /*  156580 */   GIM_Try, /*On fail goto*//*Label 2842*/ GIMT_Encode4(156600), // Rule ID 2391 //
     /*  156585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  156588 */     // (ftrunc:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /*  156588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  156598 */     GIR_RootConstrainSelectedInstOperands,
     /*  156599 */     // GIR_Coverage, 2391,
     /*  156599 */     GIR_EraseRootFromParent_Done,
     /*  156600 */   // Label 2842: @156600
     /*  156600 */   GIM_Reject,
     /*  156601 */ // Label 2840: @156601
     /*  156601 */ GIM_Reject,
     /*  156602 */ // Label 2833: @156602
     /*  156602 */ GIM_Reject,
     /*  156603 */ // Label 15: @156603
     /*  156603 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2846*/ GIMT_Encode4(156800),
     /*  156614 */ /*GILLT_s16*//*Label 2843*/ GIMT_Encode4(156626),
     /*  156618 */ /*GILLT_s32*//*Label 2844*/ GIMT_Encode4(156684),
     /*  156622 */ /*GILLT_s64*//*Label 2845*/ GIMT_Encode4(156742),
     /*  156626 */ // Label 2843: @156626
     /*  156626 */ GIM_Try, /*On fail goto*//*Label 2847*/ GIMT_Encode4(156683),
     /*  156631 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  156634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156638 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  156642 */   GIM_Try, /*On fail goto*//*Label 2848*/ GIMT_Encode4(156662), // Rule ID 2416 //
     /*  156647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  156650 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /*  156650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156660 */     GIR_RootConstrainSelectedInstOperands,
     /*  156661 */     // GIR_Coverage, 2416,
     /*  156661 */     GIR_EraseRootFromParent_Done,
     /*  156662 */   // Label 2848: @156662
     /*  156662 */   GIM_Try, /*On fail goto*//*Label 2849*/ GIMT_Encode4(156682), // Rule ID 2417 //
     /*  156667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  156670 */     // (fround:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /*  156670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  156673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156680 */     GIR_RootConstrainSelectedInstOperands,
     /*  156681 */     // GIR_Coverage, 2417,
     /*  156681 */     GIR_EraseRootFromParent_Done,
     /*  156682 */   // Label 2849: @156682
     /*  156682 */   GIM_Reject,
     /*  156683 */ // Label 2847: @156683
     /*  156683 */ GIM_Reject,
     /*  156684 */ // Label 2844: @156684
     /*  156684 */ GIM_Try, /*On fail goto*//*Label 2850*/ GIMT_Encode4(156741),
     /*  156689 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156700 */   GIM_Try, /*On fail goto*//*Label 2851*/ GIMT_Encode4(156720), // Rule ID 2334 //
     /*  156705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  156708 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /*  156708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156718 */     GIR_RootConstrainSelectedInstOperands,
     /*  156719 */     // GIR_Coverage, 2334,
     /*  156719 */     GIR_EraseRootFromParent_Done,
     /*  156720 */   // Label 2851: @156720
     /*  156720 */   GIM_Try, /*On fail goto*//*Label 2852*/ GIMT_Encode4(156740), // Rule ID 2335 //
     /*  156725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  156728 */     // (fround:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /*  156728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  156731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156738 */     GIR_RootConstrainSelectedInstOperands,
     /*  156739 */     // GIR_Coverage, 2335,
     /*  156739 */     GIR_EraseRootFromParent_Done,
     /*  156740 */   // Label 2852: @156740
     /*  156740 */   GIM_Reject,
     /*  156741 */ // Label 2850: @156741
     /*  156741 */ GIM_Reject,
     /*  156742 */ // Label 2845: @156742
     /*  156742 */ GIM_Try, /*On fail goto*//*Label 2853*/ GIMT_Encode4(156799),
     /*  156747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156758 */   GIM_Try, /*On fail goto*//*Label 2854*/ GIMT_Encode4(156778), // Rule ID 2374 //
     /*  156763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  156766 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /*  156766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156776 */     GIR_RootConstrainSelectedInstOperands,
     /*  156777 */     // GIR_Coverage, 2374,
     /*  156777 */     GIR_EraseRootFromParent_Done,
     /*  156778 */   // Label 2854: @156778
     /*  156778 */   GIM_Try, /*On fail goto*//*Label 2855*/ GIMT_Encode4(156798), // Rule ID 2375 //
     /*  156783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  156786 */     // (fround:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /*  156786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  156789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  156796 */     GIR_RootConstrainSelectedInstOperands,
     /*  156797 */     // GIR_Coverage, 2375,
     /*  156797 */     GIR_EraseRootFromParent_Done,
     /*  156798 */   // Label 2855: @156798
     /*  156798 */   GIM_Reject,
     /*  156799 */ // Label 2853: @156799
     /*  156799 */ GIM_Reject,
     /*  156800 */ // Label 2846: @156800
     /*  156800 */ GIM_Reject,
     /*  156801 */ // Label 16: @156801
     /*  156801 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 2858*/ GIMT_Encode4(157380),
     /*  156812 */ /*GILLT_s32*//*Label 2856*/ GIMT_Encode4(156820),
     /*  156816 */ /*GILLT_s64*//*Label 2857*/ GIMT_Encode4(157193),
     /*  156820 */ // Label 2856: @156820
     /*  156820 */ GIM_Try, /*On fail goto*//*Label 2859*/ GIMT_Encode4(156851), // Rule ID 1462 //
     /*  156825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /*  156828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156839 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156839 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  156842 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156844 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156849 */   GIR_RootConstrainSelectedInstOperands,
     /*  156850 */   // GIR_Coverage, 1462,
     /*  156850 */   GIR_EraseRootFromParent_Done,
     /*  156851 */ // Label 2859: @156851
     /*  156851 */ GIM_Try, /*On fail goto*//*Label 2860*/ GIMT_Encode4(156882), // Rule ID 1463 //
     /*  156856 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /*  156859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  156870 */   // (lrint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  156870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /*  156873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156875 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156880 */   GIR_RootConstrainSelectedInstOperands,
     /*  156881 */   // GIR_Coverage, 1463,
     /*  156881 */   GIR_EraseRootFromParent_Done,
     /*  156882 */ // Label 2860: @156882
     /*  156882 */ GIM_Try, /*On fail goto*//*Label 2861*/ GIMT_Encode4(156913), // Rule ID 1488 //
     /*  156887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /*  156890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156893 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156897 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156901 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  156901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  156904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156906 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156911 */   GIR_RootConstrainSelectedInstOperands,
     /*  156912 */   // GIR_Coverage, 1488,
     /*  156912 */   GIR_EraseRootFromParent_Done,
     /*  156913 */ // Label 2861: @156913
     /*  156913 */ GIM_Try, /*On fail goto*//*Label 2862*/ GIMT_Encode4(156944), // Rule ID 1489 //
     /*  156918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /*  156921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  156924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  156932 */   // (lrint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /*  156932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /*  156935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156937 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156942 */   GIR_RootConstrainSelectedInstOperands,
     /*  156943 */   // GIR_Coverage, 1489,
     /*  156943 */   GIR_EraseRootFromParent_Done,
     /*  156944 */ // Label 2862: @156944
     /*  156944 */ GIM_Try, /*On fail goto*//*Label 2863*/ GIMT_Encode4(156975), // Rule ID 1856 //
     /*  156949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /*  156952 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156959 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156963 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  156963 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  156966 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156968 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  156970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  156973 */   GIR_RootConstrainSelectedInstOperands,
     /*  156974 */   // GIR_Coverage, 1856,
     /*  156974 */   GIR_EraseRootFromParent_Done,
     /*  156975 */ // Label 2863: @156975
     /*  156975 */ GIM_Try, /*On fail goto*//*Label 2864*/ GIMT_Encode4(157006), // Rule ID 1857 //
     /*  156980 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /*  156983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  156986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  156990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  156994 */   // (lrint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  156994 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /*  156997 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  156999 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157004 */   GIR_RootConstrainSelectedInstOperands,
     /*  157005 */   // GIR_Coverage, 1857,
     /*  157005 */   GIR_EraseRootFromParent_Done,
     /*  157006 */ // Label 2864: @157006
     /*  157006 */ GIM_Try, /*On fail goto*//*Label 2865*/ GIMT_Encode4(157037), // Rule ID 1882 //
     /*  157011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /*  157014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  157025 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  157028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157035 */   GIR_RootConstrainSelectedInstOperands,
     /*  157036 */   // GIR_Coverage, 1882,
     /*  157036 */   GIR_EraseRootFromParent_Done,
     /*  157037 */ // Label 2865: @157037
     /*  157037 */ GIM_Try, /*On fail goto*//*Label 2866*/ GIMT_Encode4(157068), // Rule ID 1883 //
     /*  157042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /*  157045 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157052 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  157056 */   // (lrint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /*  157056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /*  157059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157061 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157066 */   GIR_RootConstrainSelectedInstOperands,
     /*  157067 */   // GIR_Coverage, 1883,
     /*  157067 */   GIR_EraseRootFromParent_Done,
     /*  157068 */ // Label 2866: @157068
     /*  157068 */ GIM_Try, /*On fail goto*//*Label 2867*/ GIMT_Encode4(157099), // Rule ID 2198 //
     /*  157073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /*  157076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157087 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  157090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157097 */   GIR_RootConstrainSelectedInstOperands,
     /*  157098 */   // GIR_Coverage, 2198,
     /*  157098 */   GIR_EraseRootFromParent_Done,
     /*  157099 */ // Label 2867: @157099
     /*  157099 */ GIM_Try, /*On fail goto*//*Label 2868*/ GIMT_Encode4(157130), // Rule ID 2199 //
     /*  157104 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /*  157107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157114 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157118 */   // (lrint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  157118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /*  157121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157123 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157128 */   GIR_RootConstrainSelectedInstOperands,
     /*  157129 */   // GIR_Coverage, 2199,
     /*  157129 */   GIR_EraseRootFromParent_Done,
     /*  157130 */ // Label 2868: @157130
     /*  157130 */ GIM_Try, /*On fail goto*//*Label 2869*/ GIMT_Encode4(157161), // Rule ID 2224 //
     /*  157135 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /*  157138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157145 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157149 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  157152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157154 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157156 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157159 */   GIR_RootConstrainSelectedInstOperands,
     /*  157160 */   // GIR_Coverage, 2224,
     /*  157160 */   GIR_EraseRootFromParent_Done,
     /*  157161 */ // Label 2869: @157161
     /*  157161 */ GIM_Try, /*On fail goto*//*Label 2870*/ GIMT_Encode4(157192), // Rule ID 2225 //
     /*  157166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /*  157169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157180 */   // (lrint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /*  157180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /*  157183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157185 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157190 */   GIR_RootConstrainSelectedInstOperands,
     /*  157191 */   // GIR_Coverage, 2225,
     /*  157191 */   GIR_EraseRootFromParent_Done,
     /*  157192 */ // Label 2870: @157192
     /*  157192 */ GIM_Reject,
     /*  157193 */ // Label 2857: @157193
     /*  157193 */ GIM_Try, /*On fail goto*//*Label 2871*/ GIMT_Encode4(157224), // Rule ID 1515 //
     /*  157198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  157201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157212 */   // (lrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157212 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  157215 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157217 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157222 */   GIR_RootConstrainSelectedInstOperands,
     /*  157223 */   // GIR_Coverage, 1515,
     /*  157223 */   GIR_EraseRootFromParent_Done,
     /*  157224 */ // Label 2871: @157224
     /*  157224 */ GIM_Try, /*On fail goto*//*Label 2872*/ GIMT_Encode4(157255), // Rule ID 1543 //
     /*  157229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  157232 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157239 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  157243 */   // (lrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157243 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  157246 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157248 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157253 */   GIR_RootConstrainSelectedInstOperands,
     /*  157254 */   // GIR_Coverage, 1543,
     /*  157254 */   GIR_EraseRootFromParent_Done,
     /*  157255 */ // Label 2872: @157255
     /*  157255 */ GIM_Try, /*On fail goto*//*Label 2873*/ GIMT_Encode4(157286), // Rule ID 1913 //
     /*  157260 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  157263 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157274 */   // (lrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  157277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157279 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157284 */   GIR_RootConstrainSelectedInstOperands,
     /*  157285 */   // GIR_Coverage, 1913,
     /*  157285 */   GIR_EraseRootFromParent_Done,
     /*  157286 */ // Label 2873: @157286
     /*  157286 */ GIM_Try, /*On fail goto*//*Label 2874*/ GIMT_Encode4(157317), // Rule ID 1941 //
     /*  157291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157305 */   // (lrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157305 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  157308 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157310 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157315 */   GIR_RootConstrainSelectedInstOperands,
     /*  157316 */   // GIR_Coverage, 1941,
     /*  157316 */   GIR_EraseRootFromParent_Done,
     /*  157317 */ // Label 2874: @157317
     /*  157317 */ GIM_Try, /*On fail goto*//*Label 2875*/ GIMT_Encode4(157348), // Rule ID 2249 //
     /*  157322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  157325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157336 */   // (lrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157336 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  157339 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157341 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157346 */   GIR_RootConstrainSelectedInstOperands,
     /*  157347 */   // GIR_Coverage, 2249,
     /*  157347 */   GIR_EraseRootFromParent_Done,
     /*  157348 */ // Label 2875: @157348
     /*  157348 */ GIM_Try, /*On fail goto*//*Label 2876*/ GIMT_Encode4(157379), // Rule ID 2275 //
     /*  157353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  157356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157367 */   // (lrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  157370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157372 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157377 */   GIR_RootConstrainSelectedInstOperands,
     /*  157378 */   // GIR_Coverage, 2275,
     /*  157378 */   GIR_EraseRootFromParent_Done,
     /*  157379 */ // Label 2876: @157379
     /*  157379 */ GIM_Reject,
     /*  157380 */ // Label 2858: @157380
     /*  157380 */ GIM_Reject,
     /*  157381 */ // Label 17: @157381
     /*  157381 */ GIM_Try, /*On fail goto*//*Label 2877*/ GIMT_Encode4(157590),
     /*  157386 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157389 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2881*/ GIMT_Encode4(157589),
     /*  157400 */   /*GILLT_s16*//*Label 2878*/ GIMT_Encode4(157412),
     /*  157404 */   /*GILLT_s32*//*Label 2879*/ GIMT_Encode4(157471),
     /*  157408 */   /*GILLT_s64*//*Label 2880*/ GIMT_Encode4(157530),
     /*  157412 */   // Label 2878: @157412
     /*  157412 */   GIM_Try, /*On fail goto*//*Label 2882*/ GIMT_Encode4(157470),
     /*  157417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157421 */     GIM_Try, /*On fail goto*//*Label 2883*/ GIMT_Encode4(157445), // Rule ID 2251 //
     /*  157426 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /*  157429 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157433 */       // (llrint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157433 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /*  157436 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157438 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157440 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157443 */       GIR_RootConstrainSelectedInstOperands,
     /*  157444 */       // GIR_Coverage, 2251,
     /*  157444 */       GIR_EraseRootFromParent_Done,
     /*  157445 */     // Label 2883: @157445
     /*  157445 */     GIM_Try, /*On fail goto*//*Label 2884*/ GIMT_Encode4(157469), // Rule ID 2277 //
     /*  157450 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /*  157453 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  157457 */       // (llrint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /*  157457 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /*  157460 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157462 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157464 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157467 */       GIR_RootConstrainSelectedInstOperands,
     /*  157468 */       // GIR_Coverage, 2277,
     /*  157468 */       GIR_EraseRootFromParent_Done,
     /*  157469 */     // Label 2884: @157469
     /*  157469 */     GIM_Reject,
     /*  157470 */   // Label 2882: @157470
     /*  157470 */   GIM_Reject,
     /*  157471 */   // Label 2879: @157471
     /*  157471 */   GIM_Try, /*On fail goto*//*Label 2885*/ GIMT_Encode4(157529),
     /*  157476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157480 */     GIM_Try, /*On fail goto*//*Label 2886*/ GIMT_Encode4(157504), // Rule ID 1517 //
     /*  157485 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /*  157488 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157492 */       // (llrint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157492 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /*  157495 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157497 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157499 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157502 */       GIR_RootConstrainSelectedInstOperands,
     /*  157503 */       // GIR_Coverage, 1517,
     /*  157503 */       GIR_EraseRootFromParent_Done,
     /*  157504 */     // Label 2886: @157504
     /*  157504 */     GIM_Try, /*On fail goto*//*Label 2887*/ GIMT_Encode4(157528), // Rule ID 1545 //
     /*  157509 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /*  157512 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  157516 */       // (llrint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /*  157516 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /*  157519 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157521 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157523 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157526 */       GIR_RootConstrainSelectedInstOperands,
     /*  157527 */       // GIR_Coverage, 1545,
     /*  157527 */       GIR_EraseRootFromParent_Done,
     /*  157528 */     // Label 2887: @157528
     /*  157528 */     GIM_Reject,
     /*  157529 */   // Label 2885: @157529
     /*  157529 */   GIM_Reject,
     /*  157530 */   // Label 2880: @157530
     /*  157530 */   GIM_Try, /*On fail goto*//*Label 2888*/ GIMT_Encode4(157588),
     /*  157535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157539 */     GIM_Try, /*On fail goto*//*Label 2889*/ GIMT_Encode4(157563), // Rule ID 1915 //
     /*  157544 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /*  157547 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157551 */       // (llrint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157551 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /*  157554 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157556 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157558 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157561 */       GIR_RootConstrainSelectedInstOperands,
     /*  157562 */       // GIR_Coverage, 1915,
     /*  157562 */       GIR_EraseRootFromParent_Done,
     /*  157563 */     // Label 2889: @157563
     /*  157563 */     GIM_Try, /*On fail goto*//*Label 2890*/ GIMT_Encode4(157587), // Rule ID 1943 //
     /*  157568 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  157571 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157575 */       // (llrint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /*  157575 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /*  157578 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157580 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157582 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  157585 */       GIR_RootConstrainSelectedInstOperands,
     /*  157586 */       // GIR_Coverage, 1943,
     /*  157586 */       GIR_EraseRootFromParent_Done,
     /*  157587 */     // Label 2890: @157587
     /*  157587 */     GIM_Reject,
     /*  157588 */   // Label 2888: @157588
     /*  157588 */   GIM_Reject,
     /*  157589 */   // Label 2881: @157589
     /*  157589 */   GIM_Reject,
     /*  157590 */ // Label 2877: @157590
     /*  157590 */ GIM_Reject,
     /*  157591 */ // Label 18: @157591
     /*  157591 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 2894*/ GIMT_Encode4(157788),
     /*  157602 */ /*GILLT_s16*//*Label 2891*/ GIMT_Encode4(157614),
     /*  157606 */ /*GILLT_s32*//*Label 2892*/ GIMT_Encode4(157672),
     /*  157610 */ /*GILLT_s64*//*Label 2893*/ GIMT_Encode4(157730),
     /*  157614 */ // Label 2891: @157614
     /*  157614 */ GIM_Try, /*On fail goto*//*Label 2895*/ GIMT_Encode4(157671),
     /*  157619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /*  157622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  157630 */   GIM_Try, /*On fail goto*//*Label 2896*/ GIMT_Encode4(157650), // Rule ID 2420 //
     /*  157635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /*  157638 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /*  157638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  157641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157648 */     GIR_RootConstrainSelectedInstOperands,
     /*  157649 */     // GIR_Coverage, 2420,
     /*  157649 */     GIR_EraseRootFromParent_Done,
     /*  157650 */   // Label 2896: @157650
     /*  157650 */   GIM_Try, /*On fail goto*//*Label 2897*/ GIMT_Encode4(157670), // Rule ID 2421 //
     /*  157655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /*  157658 */     // (froundeven:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /*  157658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /*  157661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157668 */     GIR_RootConstrainSelectedInstOperands,
     /*  157669 */     // GIR_Coverage, 2421,
     /*  157669 */     GIR_EraseRootFromParent_Done,
     /*  157670 */   // Label 2897: @157670
     /*  157670 */   GIM_Reject,
     /*  157671 */ // Label 2895: @157671
     /*  157671 */ GIM_Reject,
     /*  157672 */ // Label 2892: @157672
     /*  157672 */ GIM_Try, /*On fail goto*//*Label 2898*/ GIMT_Encode4(157729),
     /*  157677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /*  157680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  157688 */   GIM_Try, /*On fail goto*//*Label 2899*/ GIMT_Encode4(157708), // Rule ID 2338 //
     /*  157693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /*  157696 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /*  157696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  157699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157701 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157706 */     GIR_RootConstrainSelectedInstOperands,
     /*  157707 */     // GIR_Coverage, 2338,
     /*  157707 */     GIR_EraseRootFromParent_Done,
     /*  157708 */   // Label 2899: @157708
     /*  157708 */   GIM_Try, /*On fail goto*//*Label 2900*/ GIMT_Encode4(157728), // Rule ID 2339 //
     /*  157713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /*  157716 */     // (froundeven:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /*  157716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /*  157719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157726 */     GIR_RootConstrainSelectedInstOperands,
     /*  157727 */     // GIR_Coverage, 2339,
     /*  157727 */     GIR_EraseRootFromParent_Done,
     /*  157728 */   // Label 2900: @157728
     /*  157728 */   GIM_Reject,
     /*  157729 */ // Label 2898: @157729
     /*  157729 */ GIM_Reject,
     /*  157730 */ // Label 2893: @157730
     /*  157730 */ GIM_Try, /*On fail goto*//*Label 2901*/ GIMT_Encode4(157787),
     /*  157735 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /*  157738 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  157746 */   GIM_Try, /*On fail goto*//*Label 2902*/ GIMT_Encode4(157766), // Rule ID 2378 //
     /*  157751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /*  157754 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i64] })
     /*  157754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  157757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157764 */     GIR_RootConstrainSelectedInstOperands,
     /*  157765 */     // GIR_Coverage, 2378,
     /*  157765 */     GIR_EraseRootFromParent_Done,
     /*  157766 */   // Label 2902: @157766
     /*  157766 */   GIM_Try, /*On fail goto*//*Label 2903*/ GIMT_Encode4(157786), // Rule ID 2379 //
     /*  157771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /*  157774 */     // (froundeven:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 0:{ *:[i32] })
     /*  157774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /*  157777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  157781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  157784 */     GIR_RootConstrainSelectedInstOperands,
     /*  157785 */     // GIR_Coverage, 2379,
     /*  157785 */     GIR_EraseRootFromParent_Done,
     /*  157786 */   // Label 2903: @157786
     /*  157786 */   GIM_Reject,
     /*  157787 */ // Label 2901: @157787
     /*  157787 */ GIM_Reject,
     /*  157788 */ // Label 2894: @157788
     /*  157788 */ GIM_Reject,
     /*  157789 */ // Label 19: @157789
     /*  157789 */ GIM_Try, /*On fail goto*//*Label 2904*/ GIMT_Encode4(157827), // Rule ID 287 //
     /*  157794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157797 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157804 */   // (readcyclecounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3072:{ *:[i64] }, X0:{ *:[i64] })
     /*  157804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  157807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157809 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3072),
     /*  157819 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  157825 */   GIR_RootConstrainSelectedInstOperands,
     /*  157826 */   // GIR_Coverage, 287,
     /*  157826 */   GIR_EraseRootFromParent_Done,
     /*  157827 */ // Label 2904: @157827
     /*  157827 */ GIM_Reject,
     /*  157828 */ // Label 20: @157828
     /*  157828 */ GIM_Try, /*On fail goto*//*Label 2905*/ GIMT_Encode4(157866), // Rule ID 288 //
     /*  157833 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  157836 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  157839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  157843 */   // (readsteadycounter:{ *:[i64] })  =>  (CSRRS:{ *:[i64] } 3073:{ *:[i64] }, X0:{ *:[i64] })
     /*  157843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CSRRS),
     /*  157846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  157848 */   GIR_AddImm, /*InsnID*/0, /*Imm*/GIMT_Encode8(3073),
     /*  157858 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /*  157864 */   GIR_RootConstrainSelectedInstOperands,
     /*  157865 */   // GIR_Coverage, 288,
     /*  157865 */   GIR_EraseRootFromParent_Done,
     /*  157866 */ // Label 2905: @157866
     /*  157866 */ GIM_Reject,
     /*  157867 */ // Label 21: @157867
     /*  157867 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 2940*/ GIMT_Encode4(168148),
     /*  157878 */ /*GILLT_p0s32*//*Label 2906*/ GIMT_Encode4(158014),
     /*  157882 */ /*GILLT_p0s64*//*Label 2907*/ GIMT_Encode4(158108),
     /*  157886 */ /*GILLT_s16*//*Label 2908*/ GIMT_Encode4(158202),
     /*  157890 */ /*GILLT_s32*//*Label 2909*/ GIMT_Encode4(158857),
     /*  157894 */ /*GILLT_s64*//*Label 2910*/ GIMT_Encode4(161616),
     /*  157898 */ /*GILLT_nxv1s1*//*Label 2911*/ GIMT_Encode4(162842),
     /*  157902 */ /*GILLT_nxv1s8*//*Label 2912*/ GIMT_Encode4(162962),
     /*  157906 */ /*GILLT_nxv1s16*//*Label 2913*/ GIMT_Encode4(163090),
     /*  157910 */ /*GILLT_nxv1s32*//*Label 2914*/ GIMT_Encode4(163328),
     /*  157914 */ /*GILLT_nxv1s64*//*Label 2915*/ GIMT_Encode4(163566),
     /*  157918 */ /*GILLT_nxv2s1*//*Label 2916*/ GIMT_Encode4(163804),
     /*  157922 */ /*GILLT_nxv2s8*//*Label 2917*/ GIMT_Encode4(163924),
     /*  157926 */ /*GILLT_nxv2s16*//*Label 2918*/ GIMT_Encode4(164052),
     /*  157930 */ /*GILLT_nxv2s32*//*Label 2919*/ GIMT_Encode4(164290),
     /*  157934 */ /*GILLT_nxv2s64*//*Label 2920*/ GIMT_Encode4(164528),
     /*  157938 */ /*GILLT_nxv4s1*//*Label 2921*/ GIMT_Encode4(164766),
     /*  157942 */ /*GILLT_nxv4s8*//*Label 2922*/ GIMT_Encode4(164886),
     /*  157946 */ /*GILLT_nxv4s16*//*Label 2923*/ GIMT_Encode4(165014),
     /*  157950 */ /*GILLT_nxv4s32*//*Label 2924*/ GIMT_Encode4(165252),
     /*  157954 */ /*GILLT_nxv4s64*//*Label 2925*/ GIMT_Encode4(165490),
     /*  157958 */ /*GILLT_nxv8s1*//*Label 2926*/ GIMT_Encode4(165728),
     /*  157962 */ /*GILLT_nxv8s8*//*Label 2927*/ GIMT_Encode4(165848),
     /*  157966 */ /*GILLT_nxv8s16*//*Label 2928*/ GIMT_Encode4(165976),
     /*  157970 */ /*GILLT_nxv8s32*//*Label 2929*/ GIMT_Encode4(166214),
     /*  157974 */ /*GILLT_nxv8s64*//*Label 2930*/ GIMT_Encode4(166452),
     /*  157978 */ /*GILLT_nxv16s1*//*Label 2931*/ GIMT_Encode4(166690),
     /*  157982 */ /*GILLT_nxv16s8*//*Label 2932*/ GIMT_Encode4(166810),
     /*  157986 */ /*GILLT_nxv16s16*//*Label 2933*/ GIMT_Encode4(166938),
     /*  157990 */ /*GILLT_nxv16s32*//*Label 2934*/ GIMT_Encode4(167176),
     /*  157994 */ /*GILLT_nxv32s1*//*Label 2935*/ GIMT_Encode4(167414),
     /*  157998 */ /*GILLT_nxv32s8*//*Label 2936*/ GIMT_Encode4(167534),
     /*  158002 */ /*GILLT_nxv32s16*//*Label 2937*/ GIMT_Encode4(167662),
     /*  158006 */ /*GILLT_nxv64s1*//*Label 2938*/ GIMT_Encode4(167900),
     /*  158010 */ /*GILLT_nxv64s8*//*Label 2939*/ GIMT_Encode4(168020),
     /*  158014 */ // Label 2906: @158014
     /*  158014 */ GIM_Try, /*On fail goto*//*Label 2941*/ GIMT_Encode4(158107),
     /*  158019 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158022 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158030 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158034 */   GIM_Try, /*On fail goto*//*Label 2942*/ GIMT_Encode4(158070), // Rule ID 65322 //
     /*  158039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  158042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158049 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  158052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158064 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158068 */     GIR_RootConstrainSelectedInstOperands,
     /*  158069 */     // GIR_Coverage, 65322,
     /*  158069 */     GIR_EraseRootFromParent_Done,
     /*  158070 */   // Label 2942: @158070
     /*  158070 */   GIM_Try, /*On fail goto*//*Label 2943*/ GIMT_Encode4(158106), // Rule ID 65326 //
     /*  158075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  158078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158085 */     // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  158088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158100 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158104 */     GIR_RootConstrainSelectedInstOperands,
     /*  158105 */     // GIR_Coverage, 65326,
     /*  158105 */     GIR_EraseRootFromParent_Done,
     /*  158106 */   // Label 2943: @158106
     /*  158106 */   GIM_Reject,
     /*  158107 */ // Label 2941: @158107
     /*  158107 */ GIM_Reject,
     /*  158108 */ // Label 2907: @158108
     /*  158108 */ GIM_Try, /*On fail goto*//*Label 2944*/ GIMT_Encode4(158201),
     /*  158113 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158116 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158124 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158128 */   GIM_Try, /*On fail goto*//*Label 2945*/ GIMT_Encode4(158164), // Rule ID 65321 //
     /*  158133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  158136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158143 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  158146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158158 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158162 */     GIR_RootConstrainSelectedInstOperands,
     /*  158163 */     // GIR_Coverage, 65321,
     /*  158163 */     GIR_EraseRootFromParent_Done,
     /*  158164 */   // Label 2945: @158164
     /*  158164 */   GIM_Try, /*On fail goto*//*Label 2946*/ GIMT_Encode4(158200), // Rule ID 65325 //
     /*  158169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  158172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158179 */     // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  158182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158194 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158198 */     GIR_RootConstrainSelectedInstOperands,
     /*  158199 */     // GIR_Coverage, 65325,
     /*  158199 */     GIR_EraseRootFromParent_Done,
     /*  158200 */   // Label 2946: @158200
     /*  158200 */   GIM_Reject,
     /*  158201 */ // Label 2944: @158201
     /*  158201 */ GIM_Reject,
     /*  158202 */ // Label 2908: @158202
     /*  158202 */ GIM_Try, /*On fail goto*//*Label 2947*/ GIMT_Encode4(158253), // Rule ID 2146 //
     /*  158207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  158210 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158213 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  158221 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158225 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158232 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  158235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158237 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158242 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158247 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158251 */   GIR_RootConstrainSelectedInstOperands,
     /*  158252 */   // GIR_Coverage, 2146,
     /*  158252 */   GIR_EraseRootFromParent_Done,
     /*  158253 */ // Label 2947: @158253
     /*  158253 */ GIM_Try, /*On fail goto*//*Label 2948*/ GIMT_Encode4(158304), // Rule ID 2147 //
     /*  158258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  158261 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158264 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  158272 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158276 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158283 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLH:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLH),
     /*  158286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158293 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158298 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158302 */   GIR_RootConstrainSelectedInstOperands,
     /*  158303 */   // GIR_Coverage, 2147,
     /*  158303 */   GIR_EraseRootFromParent_Done,
     /*  158304 */ // Label 2948: @158304
     /*  158304 */ GIM_Try, /*On fail goto*//*Label 2949*/ GIMT_Encode4(158355), // Rule ID 2152 //
     /*  158309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  158312 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158315 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158319 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  158323 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158327 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158334 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158334 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  158337 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158339 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158344 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158349 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158353 */   GIR_RootConstrainSelectedInstOperands,
     /*  158354 */   // GIR_Coverage, 2152,
     /*  158354 */   GIR_EraseRootFromParent_Done,
     /*  158355 */ // Label 2949: @158355
     /*  158355 */ GIM_Try, /*On fail goto*//*Label 2950*/ GIMT_Encode4(158406), // Rule ID 2153 //
     /*  158360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  158363 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158366 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  158374 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158378 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158385 */   // (ld:{ *:[f16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH_INX:{ *:[f16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH_INX),
     /*  158388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158390 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158395 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158400 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158404 */   GIR_RootConstrainSelectedInstOperands,
     /*  158405 */   // GIR_Coverage, 2153,
     /*  158405 */   GIR_EraseRootFromParent_Done,
     /*  158406 */ // Label 2950: @158406
     /*  158406 */ GIM_Try, /*On fail goto*//*Label 2951*/ GIMT_Encode4(158457), // Rule ID 65329 //
     /*  158411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  158414 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158417 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158425 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158429 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158436 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158441 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158446 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158451 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158455 */   GIR_RootConstrainSelectedInstOperands,
     /*  158456 */   // GIR_Coverage, 65329,
     /*  158456 */   GIR_EraseRootFromParent_Done,
     /*  158457 */ // Label 2951: @158457
     /*  158457 */ GIM_Try, /*On fail goto*//*Label 2952*/ GIMT_Encode4(158508), // Rule ID 65330 //
     /*  158462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  158465 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158468 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158476 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158480 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158487 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158492 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158497 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158502 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158506 */   GIR_RootConstrainSelectedInstOperands,
     /*  158507 */   // GIR_Coverage, 65330,
     /*  158507 */   GIR_EraseRootFromParent_Done,
     /*  158508 */ // Label 2952: @158508
     /*  158508 */ GIM_Try, /*On fail goto*//*Label 2953*/ GIMT_Encode4(158566), // Rule ID 65333 //
     /*  158513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  158516 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158519 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158523 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158534 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158538 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158545 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158545 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  158548 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158550 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158555 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158560 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158564 */   GIR_RootConstrainSelectedInstOperands,
     /*  158565 */   // GIR_Coverage, 65333,
     /*  158565 */   GIR_EraseRootFromParent_Done,
     /*  158566 */ // Label 2953: @158566
     /*  158566 */ GIM_Try, /*On fail goto*//*Label 2954*/ GIMT_Encode4(158624), // Rule ID 65334 //
     /*  158571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  158574 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158577 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158581 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158592 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158596 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158603 */   // (ld:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  158606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158608 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158613 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158618 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158622 */   GIR_RootConstrainSelectedInstOperands,
     /*  158623 */   // GIR_Coverage, 65334,
     /*  158623 */   GIR_EraseRootFromParent_Done,
     /*  158624 */ // Label 2954: @158624
     /*  158624 */ GIM_Try, /*On fail goto*//*Label 2955*/ GIMT_Encode4(158682), // Rule ID 65337 //
     /*  158629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  158632 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158635 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158639 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158650 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158654 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158661 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  158664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158666 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158671 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158676 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158680 */   GIR_RootConstrainSelectedInstOperands,
     /*  158681 */   // GIR_Coverage, 65337,
     /*  158681 */   GIR_EraseRootFromParent_Done,
     /*  158682 */ // Label 2955: @158682
     /*  158682 */ GIM_Try, /*On fail goto*//*Label 2956*/ GIMT_Encode4(158740), // Rule ID 65338 //
     /*  158687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  158690 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158693 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158697 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158708 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158712 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158719 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>>  =>  (LB:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  158722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158724 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158729 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158734 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158738 */   GIR_RootConstrainSelectedInstOperands,
     /*  158739 */   // GIR_Coverage, 65338,
     /*  158739 */   GIR_EraseRootFromParent_Done,
     /*  158740 */ // Label 2956: @158740
     /*  158740 */ GIM_Try, /*On fail goto*//*Label 2957*/ GIMT_Encode4(158798), // Rule ID 65339 //
     /*  158745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  158748 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158751 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158755 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158766 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158770 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158777 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  158777 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158780 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158782 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158787 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158792 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158796 */   GIR_RootConstrainSelectedInstOperands,
     /*  158797 */   // GIR_Coverage, 65339,
     /*  158797 */   GIR_EraseRootFromParent_Done,
     /*  158798 */ // Label 2957: @158798
     /*  158798 */ GIM_Try, /*On fail goto*//*Label 2958*/ GIMT_Encode4(158856), // Rule ID 65340 //
     /*  158803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  158806 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  158809 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158813 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  158820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158824 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  158828 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  158835 */   // (atomic_load:{ *:[i16] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_16>>  =>  (LH:{ *:[i16] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  158835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  158838 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158840 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  158845 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  158850 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  158854 */   GIR_RootConstrainSelectedInstOperands,
     /*  158855 */   // GIR_Coverage, 65340,
     /*  158855 */   GIR_EraseRootFromParent_Done,
     /*  158856 */ // Label 2958: @158856
     /*  158856 */ GIM_Reject,
     /*  158857 */ // Label 2909: @158857
     /*  158857 */ GIM_Try, /*On fail goto*//*Label 2959*/ GIMT_Encode4(158968), // Rule ID 74347 //
     /*  158862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  158865 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158868 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158872 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158883 */   // MIs[0] Operand 1
     /*  158883 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158887 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  158891 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  158895 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  158899 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  158903 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  158907 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  158911 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  158915 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  158919 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  158924 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  158928 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  158932 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  158936 */   // MIs[3] Operand 1
     /*  158936 */   // No operand predicates
     /*  158936 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158941 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  158943 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  158943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  158946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  158948 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  158952 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  158956 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  158959 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  158966 */   GIR_RootConstrainSelectedInstOperands,
     /*  158967 */   // GIR_Coverage, 74347,
     /*  158967 */   GIR_EraseRootFromParent_Done,
     /*  158968 */ // Label 2959: @158968
     /*  158968 */ GIM_Try, /*On fail goto*//*Label 2960*/ GIMT_Encode4(159079), // Rule ID 74348 //
     /*  158973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  158976 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  158979 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  158983 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  158990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  158994 */   // MIs[0] Operand 1
     /*  158994 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  158998 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159002 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159006 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159010 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159014 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  159018 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159022 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159026 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159030 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159035 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159039 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159043 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159047 */   // MIs[3] Operand 1
     /*  159047 */   // No operand predicates
     /*  159047 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159052 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159054 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  159057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159059 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  159063 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159067 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159070 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159077 */   GIR_RootConstrainSelectedInstOperands,
     /*  159078 */   // GIR_Coverage, 74348,
     /*  159078 */   GIR_EraseRootFromParent_Done,
     /*  159079 */ // Label 2960: @159079
     /*  159079 */ GIM_Try, /*On fail goto*//*Label 2961*/ GIMT_Encode4(159190), // Rule ID 74351 //
     /*  159084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159087 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159090 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159094 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159105 */   // MIs[0] Operand 1
     /*  159105 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159109 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159113 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159117 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159121 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159125 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  159129 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159133 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159137 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159141 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159146 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159150 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159154 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159158 */   // MIs[3] Operand 1
     /*  159158 */   // No operand predicates
     /*  159158 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159163 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159165 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159165 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  159168 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159170 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  159174 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159178 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159181 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159188 */   GIR_RootConstrainSelectedInstOperands,
     /*  159189 */   // GIR_Coverage, 74351,
     /*  159189 */   GIR_EraseRootFromParent_Done,
     /*  159190 */ // Label 2961: @159190
     /*  159190 */ GIM_Try, /*On fail goto*//*Label 2962*/ GIMT_Encode4(159301), // Rule ID 74352 //
     /*  159195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159198 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159201 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159205 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159216 */   // MIs[0] Operand 1
     /*  159216 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159220 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159224 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159228 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159232 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159236 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  159240 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159244 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159248 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159252 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159257 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159261 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159265 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159269 */   // MIs[3] Operand 1
     /*  159269 */   // No operand predicates
     /*  159269 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159274 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159276 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  159279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159281 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  159285 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159289 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159292 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159299 */   GIR_RootConstrainSelectedInstOperands,
     /*  159300 */   // GIR_Coverage, 74352,
     /*  159300 */   GIR_EraseRootFromParent_Done,
     /*  159301 */ // Label 2962: @159301
     /*  159301 */ GIM_Try, /*On fail goto*//*Label 2963*/ GIMT_Encode4(159405), // Rule ID 74353 //
     /*  159306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159309 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159312 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159320 */   // MIs[0] Operand 1
     /*  159320 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159324 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159328 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159332 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159336 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159340 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  159344 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159348 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159352 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159356 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159361 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159365 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159369 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159373 */   // MIs[3] Operand 1
     /*  159373 */   // No operand predicates
     /*  159373 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159378 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159380 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  159383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159385 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  159389 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159393 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159396 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159403 */   GIR_RootConstrainSelectedInstOperands,
     /*  159404 */   // GIR_Coverage, 74353,
     /*  159404 */   GIR_EraseRootFromParent_Done,
     /*  159405 */ // Label 2963: @159405
     /*  159405 */ GIM_Try, /*On fail goto*//*Label 2964*/ GIMT_Encode4(159509), // Rule ID 74354 //
     /*  159410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159413 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159416 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159424 */   // MIs[0] Operand 1
     /*  159424 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159428 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159432 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159436 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159440 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159444 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  159448 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159452 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159456 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159460 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159465 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159469 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159473 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159477 */   // MIs[3] Operand 1
     /*  159477 */   // No operand predicates
     /*  159477 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159482 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159484 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  159487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159489 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  159493 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159497 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159500 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159507 */   GIR_RootConstrainSelectedInstOperands,
     /*  159508 */   // GIR_Coverage, 74354,
     /*  159508 */   GIR_EraseRootFromParent_Done,
     /*  159509 */ // Label 2964: @159509
     /*  159509 */ GIM_Try, /*On fail goto*//*Label 2965*/ GIMT_Encode4(159620), // Rule ID 64554 //
     /*  159514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159517 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159520 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159524 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159535 */   // MIs[0] Operand 1
     /*  159535 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159539 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159543 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159547 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159551 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159555 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159560 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159564 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159568 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159572 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159576 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159581 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159585 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159589 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159593 */   // MIs[3] Operand 1
     /*  159593 */   // No operand predicates
     /*  159593 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159595 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  159598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159600 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159604 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159608 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159611 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159618 */   GIR_RootConstrainSelectedInstOperands,
     /*  159619 */   // GIR_Coverage, 64554,
     /*  159619 */   GIR_EraseRootFromParent_Done,
     /*  159620 */ // Label 2965: @159620
     /*  159620 */ GIM_Try, /*On fail goto*//*Label 2966*/ GIMT_Encode4(159731), // Rule ID 64555 //
     /*  159625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159628 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159631 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159635 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  159642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159646 */   // MIs[0] Operand 1
     /*  159646 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159650 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159654 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159658 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159662 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159666 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159671 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159675 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159679 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159683 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159687 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159692 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159696 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159700 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159704 */   // MIs[3] Operand 1
     /*  159704 */   // No operand predicates
     /*  159704 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159706 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  159709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159711 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159715 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159719 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159722 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159729 */   GIR_RootConstrainSelectedInstOperands,
     /*  159730 */   // GIR_Coverage, 64555,
     /*  159730 */   GIR_EraseRootFromParent_Done,
     /*  159731 */ // Label 2966: @159731
     /*  159731 */ GIM_Try, /*On fail goto*//*Label 2967*/ GIMT_Encode4(159842), // Rule ID 64558 //
     /*  159736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159739 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159742 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159746 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159757 */   // MIs[0] Operand 1
     /*  159757 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159761 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159765 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159769 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159773 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159777 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159782 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159786 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159790 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159794 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  159798 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159803 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159807 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159811 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159815 */   // MIs[3] Operand 1
     /*  159815 */   // No operand predicates
     /*  159815 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159817 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  159817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  159820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159822 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159826 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159830 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159833 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159840 */   GIR_RootConstrainSelectedInstOperands,
     /*  159841 */   // GIR_Coverage, 64558,
     /*  159841 */   GIR_EraseRootFromParent_Done,
     /*  159842 */ // Label 2967: @159842
     /*  159842 */ GIM_Try, /*On fail goto*//*Label 2968*/ GIMT_Encode4(159953), // Rule ID 64559 //
     /*  159847 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  159850 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159853 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159857 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  159864 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159868 */   // MIs[0] Operand 1
     /*  159868 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159872 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159876 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159880 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159884 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159888 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159893 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  159897 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  159901 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  159905 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  159909 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  159914 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  159918 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  159922 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  159926 */   // MIs[3] Operand 1
     /*  159926 */   // No operand predicates
     /*  159926 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  159928 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  159928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  159931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  159933 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  159937 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  159941 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  159944 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  159951 */   GIR_RootConstrainSelectedInstOperands,
     /*  159952 */   // GIR_Coverage, 64559,
     /*  159952 */   GIR_EraseRootFromParent_Done,
     /*  159953 */ // Label 2968: @159953
     /*  159953 */ GIM_Try, /*On fail goto*//*Label 2969*/ GIMT_Encode4(160057), // Rule ID 64560 //
     /*  159958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  159961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  159964 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  159968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159972 */   // MIs[0] Operand 1
     /*  159972 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  159976 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  159980 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  159984 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  159988 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  159992 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  159997 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  160001 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  160005 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  160009 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  160013 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  160018 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  160022 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  160026 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  160030 */   // MIs[3] Operand 1
     /*  160030 */   // No operand predicates
     /*  160030 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  160032 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  160032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  160035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160037 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  160041 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  160045 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  160048 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  160055 */   GIR_RootConstrainSelectedInstOperands,
     /*  160056 */   // GIR_Coverage, 64560,
     /*  160056 */   GIR_EraseRootFromParent_Done,
     /*  160057 */ // Label 2969: @160057
     /*  160057 */ GIM_Try, /*On fail goto*//*Label 2970*/ GIMT_Encode4(160161), // Rule ID 64561 //
     /*  160062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  160065 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160068 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160076 */   // MIs[0] Operand 1
     /*  160076 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  160080 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  160084 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  160088 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  160092 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  160096 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160101 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  160105 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  160109 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  160113 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  160117 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  160122 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  160126 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  160130 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  160134 */   // MIs[3] Operand 1
     /*  160134 */   // No operand predicates
     /*  160134 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  160136 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (QC_LRW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  160136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRW),
     /*  160139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160141 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  160145 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  160149 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  160152 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  160159 */   GIR_RootConstrainSelectedInstOperands,
     /*  160160 */   // GIR_Coverage, 64561,
     /*  160160 */   GIR_EraseRootFromParent_Done,
     /*  160161 */ // Label 2970: @160161
     /*  160161 */ GIM_Try, /*On fail goto*//*Label 2971*/ GIMT_Encode4(160219), // Rule ID 233 //
     /*  160166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  160169 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160172 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160176 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160187 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160191 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160198 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  160201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160203 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160208 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160213 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160217 */   GIR_RootConstrainSelectedInstOperands,
     /*  160218 */   // GIR_Coverage, 233,
     /*  160218 */   GIR_EraseRootFromParent_Done,
     /*  160219 */ // Label 2971: @160219
     /*  160219 */ GIM_Try, /*On fail goto*//*Label 2972*/ GIMT_Encode4(160277), // Rule ID 237 //
     /*  160224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  160227 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160230 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160234 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160245 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160249 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160256 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160261 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160271 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160275 */   GIR_RootConstrainSelectedInstOperands,
     /*  160276 */   // GIR_Coverage, 237,
     /*  160276 */   GIR_EraseRootFromParent_Done,
     /*  160277 */ // Label 2972: @160277
     /*  160277 */ GIM_Try, /*On fail goto*//*Label 2973*/ GIMT_Encode4(160328), // Rule ID 238 //
     /*  160282 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  160285 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160288 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160296 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160300 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160307 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160322 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160326 */   GIR_RootConstrainSelectedInstOperands,
     /*  160327 */   // GIR_Coverage, 238,
     /*  160327 */   GIR_EraseRootFromParent_Done,
     /*  160328 */ // Label 2973: @160328
     /*  160328 */ GIM_Try, /*On fail goto*//*Label 2974*/ GIMT_Encode4(160379), // Rule ID 239 //
     /*  160333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  160336 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160339 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160347 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160351 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160358 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160363 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160373 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160377 */   GIR_RootConstrainSelectedInstOperands,
     /*  160378 */   // GIR_Coverage, 239,
     /*  160378 */   GIR_EraseRootFromParent_Done,
     /*  160379 */ // Label 2974: @160379
     /*  160379 */ GIM_Try, /*On fail goto*//*Label 2975*/ GIMT_Encode4(160440), // Rule ID 322 //
     /*  160384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  160387 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160390 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160394 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160401 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160408 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160412 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160419 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10075>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  160422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160424 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160429 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160434 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160438 */   GIR_RootConstrainSelectedInstOperands,
     /*  160439 */   // GIR_Coverage, 322,
     /*  160439 */   GIR_EraseRootFromParent_Done,
     /*  160440 */ // Label 2975: @160440
     /*  160440 */ GIM_Try, /*On fail goto*//*Label 2976*/ GIMT_Encode4(160501), // Rule ID 326 //
     /*  160445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  160448 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160451 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160455 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  160462 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160469 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160473 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160480 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10077>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160480 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  160483 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160485 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160490 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160495 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160499 */   GIR_RootConstrainSelectedInstOperands,
     /*  160500 */   // GIR_Coverage, 326,
     /*  160500 */   GIR_EraseRootFromParent_Done,
     /*  160501 */ // Label 2976: @160501
     /*  160501 */ GIM_Try, /*On fail goto*//*Label 2977*/ GIMT_Encode4(160562), // Rule ID 340 //
     /*  160506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode1),
     /*  160509 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160512 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160516 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160523 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160530 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160534 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160541 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10089>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160546 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160551 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160556 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160560 */   GIR_RootConstrainSelectedInstOperands,
     /*  160561 */   // GIR_Coverage, 340,
     /*  160561 */   GIR_EraseRootFromParent_Done,
     /*  160562 */ // Label 2977: @160562
     /*  160562 */ GIM_Try, /*On fail goto*//*Label 2978*/ GIMT_Encode4(160623), // Rule ID 342 //
     /*  160567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  160570 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160573 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160577 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160584 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  160587 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160591 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160595 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160602 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10091>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160602 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160605 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160607 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160612 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160617 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160621 */   GIR_RootConstrainSelectedInstOperands,
     /*  160622 */   // GIR_Coverage, 342,
     /*  160622 */   GIR_EraseRootFromParent_Done,
     /*  160623 */ // Label 2978: @160623
     /*  160623 */ GIM_Try, /*On fail goto*//*Label 2979*/ GIMT_Encode4(160674), // Rule ID 1433 //
     /*  160628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  160631 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160634 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  160642 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160646 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160653 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  160656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160668 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160672 */   GIR_RootConstrainSelectedInstOperands,
     /*  160673 */   // GIR_Coverage, 1433,
     /*  160673 */   GIR_EraseRootFromParent_Done,
     /*  160674 */ // Label 2979: @160674
     /*  160674 */ GIM_Try, /*On fail goto*//*Label 2980*/ GIMT_Encode4(160725), // Rule ID 1434 //
     /*  160679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  160682 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160685 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  160693 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160697 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160704 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLW:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLW),
     /*  160707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160709 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160714 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160719 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160723 */   GIR_RootConstrainSelectedInstOperands,
     /*  160724 */   // GIR_Coverage, 1434,
     /*  160724 */   GIR_EraseRootFromParent_Done,
     /*  160725 */ // Label 2980: @160725
     /*  160725 */ GIM_Try, /*On fail goto*//*Label 2981*/ GIMT_Encode4(160776), // Rule ID 1439 //
     /*  160730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  160733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160736 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  160744 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160748 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160755 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  160758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160760 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160765 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160770 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160774 */   GIR_RootConstrainSelectedInstOperands,
     /*  160775 */   // GIR_Coverage, 1439,
     /*  160775 */   GIR_EraseRootFromParent_Done,
     /*  160776 */ // Label 2981: @160776
     /*  160776 */ GIM_Try, /*On fail goto*//*Label 2982*/ GIMT_Encode4(160827), // Rule ID 1440 //
     /*  160781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  160784 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160787 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  160795 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160799 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160806 */   // (ld:{ *:[f32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LW_INX:{ *:[f32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW_INX),
     /*  160809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160816 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160821 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160825 */   GIR_RootConstrainSelectedInstOperands,
     /*  160826 */   // GIR_Coverage, 1440,
     /*  160826 */   GIR_EraseRootFromParent_Done,
     /*  160827 */ // Label 2982: @160827
     /*  160827 */ GIM_Try, /*On fail goto*//*Label 2983*/ GIMT_Encode4(160885), // Rule ID 65345 //
     /*  160832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  160835 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160838 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160842 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160853 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160857 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160864 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160869 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160874 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160879 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160883 */   GIR_RootConstrainSelectedInstOperands,
     /*  160884 */   // GIR_Coverage, 65345,
     /*  160884 */   GIR_EraseRootFromParent_Done,
     /*  160885 */ // Label 2983: @160885
     /*  160885 */ GIM_Try, /*On fail goto*//*Label 2984*/ GIMT_Encode4(160943), // Rule ID 65346 //
     /*  160890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  160893 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  160896 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160900 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  160907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160911 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160915 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160922 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  160922 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  160925 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160927 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160932 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160937 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160941 */   GIR_RootConstrainSelectedInstOperands,
     /*  160942 */   // GIR_Coverage, 65346,
     /*  160942 */   GIR_EraseRootFromParent_Done,
     /*  160943 */ // Label 2984: @160943
     /*  160943 */ GIM_Try, /*On fail goto*//*Label 2985*/ GIMT_Encode4(161001), // Rule ID 65349 //
     /*  160948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  160951 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  160954 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  160958 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  160965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  160969 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  160973 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  160980 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  160980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  160983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  160985 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  160990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  160995 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  160999 */   GIR_RootConstrainSelectedInstOperands,
     /*  161000 */   // GIR_Coverage, 65349,
     /*  161000 */   GIR_EraseRootFromParent_Done,
     /*  161001 */ // Label 2985: @161001
     /*  161001 */ GIM_Try, /*On fail goto*//*Label 2986*/ GIMT_Encode4(161059), // Rule ID 65350 //
     /*  161006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  161009 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161012 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161016 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161027 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161031 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161038 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  161041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161043 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161048 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161053 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161057 */   GIR_RootConstrainSelectedInstOperands,
     /*  161058 */   // GIR_Coverage, 65350,
     /*  161058 */   GIR_EraseRootFromParent_Done,
     /*  161059 */ // Label 2986: @161059
     /*  161059 */ GIM_Try, /*On fail goto*//*Label 2987*/ GIMT_Encode4(161117), // Rule ID 65351 //
     /*  161064 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161067 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161070 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161074 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161085 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161089 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161096 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161101 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161106 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161111 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161115 */   GIR_RootConstrainSelectedInstOperands,
     /*  161116 */   // GIR_Coverage, 65351,
     /*  161116 */   GIR_EraseRootFromParent_Done,
     /*  161117 */ // Label 2987: @161117
     /*  161117 */ GIM_Try, /*On fail goto*//*Label 2988*/ GIMT_Encode4(161175), // Rule ID 65352 //
     /*  161122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  161125 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161128 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161132 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161143 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161147 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161154 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  161154 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161157 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161159 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161164 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161169 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161173 */   GIR_RootConstrainSelectedInstOperands,
     /*  161174 */   // GIR_Coverage, 65352,
     /*  161174 */   GIR_EraseRootFromParent_Done,
     /*  161175 */ // Label 2988: @161175
     /*  161175 */ GIM_Try, /*On fail goto*//*Label 2989*/ GIMT_Encode4(161219), // Rule ID 1098 //
     /*  161180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  161183 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161186 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161190 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161197 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161204 */   // MIs[0] rs1
     /*  161204 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161212 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10579>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161212 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  161217 */   GIR_RootConstrainSelectedInstOperands,
     /*  161218 */   // GIR_Coverage, 1098,
     /*  161218 */   GIR_Done,
     /*  161219 */ // Label 2989: @161219
     /*  161219 */ GIM_Try, /*On fail goto*//*Label 2990*/ GIMT_Encode4(161263), // Rule ID 1102 //
     /*  161224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  161227 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161230 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161234 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161241 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161248 */   // MIs[0] rs1
     /*  161248 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161256 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10581>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161256 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  161261 */   GIR_RootConstrainSelectedInstOperands,
     /*  161262 */   // GIR_Coverage, 1102,
     /*  161262 */   GIR_Done,
     /*  161263 */ // Label 2990: @161263
     /*  161263 */ GIM_Try, /*On fail goto*//*Label 2991*/ GIMT_Encode4(161307), // Rule ID 1106 //
     /*  161268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  161271 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161274 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161278 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161285 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161292 */   // MIs[0] rs1
     /*  161292 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161300 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10583>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161300 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  161305 */   GIR_RootConstrainSelectedInstOperands,
     /*  161306 */   // GIR_Coverage, 1106,
     /*  161306 */   GIR_Done,
     /*  161307 */ // Label 2991: @161307
     /*  161307 */ GIM_Try, /*On fail goto*//*Label 2992*/ GIMT_Encode4(161351), // Rule ID 1110 //
     /*  161312 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  161315 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161318 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161322 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161329 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161336 */   // MIs[0] rs1
     /*  161336 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161344 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10585>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161344 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  161349 */   GIR_RootConstrainSelectedInstOperands,
     /*  161350 */   // GIR_Coverage, 1110,
     /*  161350 */   GIR_Done,
     /*  161351 */ // Label 2992: @161351
     /*  161351 */ GIM_Try, /*On fail goto*//*Label 2993*/ GIMT_Encode4(161395), // Rule ID 1126 //
     /*  161356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  161359 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161362 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161366 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161373 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161380 */   // MIs[0] rs1
     /*  161380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161388 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10599>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161388 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161393 */   GIR_RootConstrainSelectedInstOperands,
     /*  161394 */   // GIR_Coverage, 1126,
     /*  161394 */   GIR_Done,
     /*  161395 */ // Label 2993: @161395
     /*  161395 */ GIM_Try, /*On fail goto*//*Label 2994*/ GIMT_Encode4(161439), // Rule ID 1128 //
     /*  161400 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode1),
     /*  161403 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161406 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161410 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161417 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161424 */   // MIs[0] rs1
     /*  161424 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161432 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10601>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161432 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161437 */   GIR_RootConstrainSelectedInstOperands,
     /*  161438 */   // GIR_Coverage, 1128,
     /*  161438 */   GIR_Done,
     /*  161439 */ // Label 2994: @161439
     /*  161439 */ GIM_Try, /*On fail goto*//*Label 2995*/ GIMT_Encode4(161483), // Rule ID 1130 //
     /*  161444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161447 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161450 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161454 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161461 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161468 */   // MIs[0] rs1
     /*  161468 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161476 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10603>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161476 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161481 */   GIR_RootConstrainSelectedInstOperands,
     /*  161482 */   // GIR_Coverage, 1130,
     /*  161482 */   GIR_Done,
     /*  161483 */ // Label 2995: @161483
     /*  161483 */ GIM_Try, /*On fail goto*//*Label 2996*/ GIMT_Encode4(161527), // Rule ID 1134 //
     /*  161488 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161491 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161494 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161498 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161505 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161512 */   // MIs[0] rs1
     /*  161512 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161516 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161520 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161520 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  161525 */   GIR_RootConstrainSelectedInstOperands,
     /*  161526 */   // GIR_Coverage, 1134,
     /*  161526 */   GIR_Done,
     /*  161527 */ // Label 2996: @161527
     /*  161527 */ GIM_Try, /*On fail goto*//*Label 2997*/ GIMT_Encode4(161571), // Rule ID 1138 //
     /*  161532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161535 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161538 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161542 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161549 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161556 */   // MIs[0] rs1
     /*  161556 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161560 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161564 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10607>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161564 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  161569 */   GIR_RootConstrainSelectedInstOperands,
     /*  161570 */   // GIR_Coverage, 1138,
     /*  161570 */   GIR_Done,
     /*  161571 */ // Label 2997: @161571
     /*  161571 */ GIM_Try, /*On fail goto*//*Label 2998*/ GIMT_Encode4(161615), // Rule ID 1140 //
     /*  161576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  161579 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161582 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161586 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  161593 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  161596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161600 */   // MIs[0] rs1
     /*  161600 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  161604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161608 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10609>>  =>  (LD_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  161608 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  161613 */   GIR_RootConstrainSelectedInstOperands,
     /*  161614 */   // GIR_Coverage, 1140,
     /*  161614 */   GIR_Done,
     /*  161615 */ // Label 2998: @161615
     /*  161615 */ GIM_Reject,
     /*  161616 */ // Label 2910: @161616
     /*  161616 */ GIM_Try, /*On fail goto*//*Label 2999*/ GIMT_Encode4(161674), // Rule ID 232 //
     /*  161621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161624 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161627 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161631 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161642 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161646 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161653 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  161656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161658 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161663 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161668 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161672 */   GIR_RootConstrainSelectedInstOperands,
     /*  161673 */   // GIR_Coverage, 232,
     /*  161673 */   GIR_EraseRootFromParent_Done,
     /*  161674 */ // Label 2999: @161674
     /*  161674 */ GIM_Try, /*On fail goto*//*Label 3000*/ GIMT_Encode4(161732), // Rule ID 236 //
     /*  161679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  161682 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161685 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161689 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161700 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161704 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161711 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161716 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161721 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161726 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161730 */   GIR_RootConstrainSelectedInstOperands,
     /*  161731 */   // GIR_Coverage, 236,
     /*  161731 */   GIR_EraseRootFromParent_Done,
     /*  161732 */ // Label 3000: @161732
     /*  161732 */ GIM_Try, /*On fail goto*//*Label 3001*/ GIMT_Encode4(161790), // Rule ID 282 //
     /*  161737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161740 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161743 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161747 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161758 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161762 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161769 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_extload>><<P:Predicate_extloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  161772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161774 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161784 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161788 */   GIR_RootConstrainSelectedInstOperands,
     /*  161789 */   // GIR_Coverage, 282,
     /*  161789 */   GIR_EraseRootFromParent_Done,
     /*  161790 */ // Label 3001: @161790
     /*  161790 */ GIM_Try, /*On fail goto*//*Label 3002*/ GIMT_Encode4(161841), // Rule ID 284 //
     /*  161795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  161798 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  161801 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161809 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161813 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161820 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  161823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161825 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161830 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161835 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161839 */   GIR_RootConstrainSelectedInstOperands,
     /*  161840 */   // GIR_Coverage, 284,
     /*  161840 */   GIR_EraseRootFromParent_Done,
     /*  161841 */ // Label 3002: @161841
     /*  161841 */ GIM_Try, /*On fail goto*//*Label 3003*/ GIMT_Encode4(161902), // Rule ID 321 //
     /*  161846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  161849 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161852 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161856 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  161863 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161870 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161874 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161881 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10075>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  161884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161891 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161896 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161900 */   GIR_RootConstrainSelectedInstOperands,
     /*  161901 */   // GIR_Coverage, 321,
     /*  161901 */   GIR_EraseRootFromParent_Done,
     /*  161902 */ // Label 3003: @161902
     /*  161902 */ GIM_Try, /*On fail goto*//*Label 3004*/ GIMT_Encode4(161963), // Rule ID 325 //
     /*  161907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  161910 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161913 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161917 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  161924 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161931 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161935 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  161942 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10077>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  161942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  161945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  161947 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  161952 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  161957 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  161961 */   GIR_RootConstrainSelectedInstOperands,
     /*  161962 */   // GIR_Coverage, 325,
     /*  161962 */   GIR_EraseRootFromParent_Done,
     /*  161963 */ // Label 3004: @161963
     /*  161963 */ GIM_Try, /*On fail goto*//*Label 3005*/ GIMT_Encode4(162024), // Rule ID 339 //
     /*  161968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV32_HwMode0),
     /*  161971 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  161974 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  161978 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  161985 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  161988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  161992 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  161996 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162003 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10089>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  162006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162008 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162013 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162018 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162022 */   GIR_RootConstrainSelectedInstOperands,
     /*  162023 */   // GIR_Coverage, 339,
     /*  162023 */   GIR_EraseRootFromParent_Done,
     /*  162024 */ // Label 3005: @162024
     /*  162024 */ GIM_Try, /*On fail goto*//*Label 3006*/ GIMT_Encode4(162085), // Rule ID 341 //
     /*  162029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  162032 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162035 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162039 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162046 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162053 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162057 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162064 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10091>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  162067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162069 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162074 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162079 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162083 */   GIR_RootConstrainSelectedInstOperands,
     /*  162084 */   // GIR_Coverage, 341,
     /*  162084 */   GIR_EraseRootFromParent_Done,
     /*  162085 */ // Label 3006: @162085
     /*  162085 */ GIM_Try, /*On fail goto*//*Label 3007*/ GIMT_Encode4(162146), // Rule ID 347 //
     /*  162090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  162093 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162096 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162100 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  162107 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162110 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162114 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162118 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162125 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10095>>  =>  (LD:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  162128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162130 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162135 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162140 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162144 */   GIR_RootConstrainSelectedInstOperands,
     /*  162145 */   // GIR_Coverage, 347,
     /*  162145 */   GIR_EraseRootFromParent_Done,
     /*  162146 */ // Label 3007: @162146
     /*  162146 */ GIM_Try, /*On fail goto*//*Label 3008*/ GIMT_Encode4(162197), // Rule ID 1831 //
     /*  162151 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  162154 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162157 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  162165 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162169 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162176 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  162179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162181 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162186 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162191 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162195 */   GIR_RootConstrainSelectedInstOperands,
     /*  162196 */   // GIR_Coverage, 1831,
     /*  162196 */   GIR_EraseRootFromParent_Done,
     /*  162197 */ // Label 3008: @162197
     /*  162197 */ GIM_Try, /*On fail goto*//*Label 3009*/ GIMT_Encode4(162248), // Rule ID 1832 //
     /*  162202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  162205 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162208 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  162216 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162220 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162227 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (FLD:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162227 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLD),
     /*  162230 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162232 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162237 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162242 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162246 */   GIR_RootConstrainSelectedInstOperands,
     /*  162247 */   // GIR_Coverage, 1832,
     /*  162247 */   GIR_EraseRootFromParent_Done,
     /*  162248 */ // Label 3009: @162248
     /*  162248 */ GIM_Try, /*On fail goto*//*Label 3010*/ GIMT_Encode4(162299), // Rule ID 1836 //
     /*  162253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  162256 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162259 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162267 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162271 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162278 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD),
     /*  162281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162283 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162288 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162293 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162297 */   GIR_RootConstrainSelectedInstOperands,
     /*  162298 */   // GIR_Coverage, 1836,
     /*  162298 */   GIR_EraseRootFromParent_Done,
     /*  162299 */ // Label 3010: @162299
     /*  162299 */ GIM_Try, /*On fail goto*//*Label 3011*/ GIMT_Encode4(162350), // Rule ID 1840 //
     /*  162304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0),
     /*  162307 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162310 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162314 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  162318 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162322 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162329 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_RV32:{ *:[f64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  162329 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD_RV32),
     /*  162332 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162334 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162339 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162344 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162348 */   GIR_RootConstrainSelectedInstOperands,
     /*  162349 */   // GIR_Coverage, 1840,
     /*  162349 */   GIR_EraseRootFromParent_Done,
     /*  162350 */ // Label 3011: @162350
     /*  162350 */ GIM_Try, /*On fail goto*//*Label 3012*/ GIMT_Encode4(162401), // Rule ID 1841 //
     /*  162355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1),
     /*  162358 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162361 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  162369 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162373 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  162380 */   // (ld:{ *:[f64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (LD_RV32:{ *:[f64] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  162380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LD_RV32),
     /*  162383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162385 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  162390 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  162395 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162399 */   GIR_RootConstrainSelectedInstOperands,
     /*  162400 */   // GIR_Coverage, 1841,
     /*  162400 */   GIR_EraseRootFromParent_Done,
     /*  162401 */ // Label 3012: @162401
     /*  162401 */ GIM_Try, /*On fail goto*//*Label 3013*/ GIMT_Encode4(162445), // Rule ID 1097 //
     /*  162406 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  162409 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162412 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162416 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  162423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162430 */   // MIs[0] rs1
     /*  162430 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162438 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10579>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162438 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  162443 */   GIR_RootConstrainSelectedInstOperands,
     /*  162444 */   // GIR_Coverage, 1097,
     /*  162444 */   GIR_Done,
     /*  162445 */ // Label 3013: @162445
     /*  162445 */ GIM_Try, /*On fail goto*//*Label 3014*/ GIMT_Encode4(162489), // Rule ID 1101 //
     /*  162450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  162453 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162456 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162460 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  162467 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162474 */   // MIs[0] rs1
     /*  162474 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162482 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_8>><<P:Predicate_anonymous_10581>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162482 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  162487 */   GIR_RootConstrainSelectedInstOperands,
     /*  162488 */   // GIR_Coverage, 1101,
     /*  162488 */   GIR_Done,
     /*  162489 */ // Label 3014: @162489
     /*  162489 */ GIM_Try, /*On fail goto*//*Label 3015*/ GIMT_Encode4(162533), // Rule ID 1105 //
     /*  162494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  162497 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162500 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162504 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  162511 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162518 */   // MIs[0] rs1
     /*  162518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162522 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162526 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10583>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162526 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  162531 */   GIR_RootConstrainSelectedInstOperands,
     /*  162532 */   // GIR_Coverage, 1105,
     /*  162532 */   GIR_Done,
     /*  162533 */ // Label 3015: @162533
     /*  162533 */ GIM_Try, /*On fail goto*//*Label 3016*/ GIMT_Encode4(162577), // Rule ID 1109 //
     /*  162538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  162541 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162544 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162548 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  162555 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162562 */   // MIs[0] rs1
     /*  162562 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162570 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_16>><<P:Predicate_anonymous_10585>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162570 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  162575 */   GIR_RootConstrainSelectedInstOperands,
     /*  162576 */   // GIR_Coverage, 1109,
     /*  162576 */   GIR_Done,
     /*  162577 */ // Label 3016: @162577
     /*  162577 */ GIM_Try, /*On fail goto*//*Label 3017*/ GIMT_Encode4(162621), // Rule ID 1125 //
     /*  162582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  162585 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162588 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162592 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162599 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162602 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162606 */   // MIs[0] rs1
     /*  162606 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162614 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10599>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162614 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162619 */   GIR_RootConstrainSelectedInstOperands,
     /*  162620 */   // GIR_Coverage, 1125,
     /*  162620 */   GIR_Done,
     /*  162621 */ // Label 3017: @162621
     /*  162621 */ GIM_Try, /*On fail goto*//*Label 3018*/ GIMT_Encode4(162665), // Rule ID 1127 //
     /*  162626 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV32_HwMode0),
     /*  162629 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162632 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162636 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162643 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162650 */   // MIs[0] rs1
     /*  162650 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162658 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_32>><<P:Predicate_anonymous_10601>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162658 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162663 */   GIR_RootConstrainSelectedInstOperands,
     /*  162664 */   // GIR_Coverage, 1127,
     /*  162664 */   GIR_Done,
     /*  162665 */ // Label 3018: @162665
     /*  162665 */ GIM_Try, /*On fail goto*//*Label 3019*/ GIMT_Encode4(162709), // Rule ID 1129 //
     /*  162670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162673 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162676 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162680 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162687 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162694 */   // MIs[0] rs1
     /*  162694 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162702 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10603>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162702 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162707 */   GIR_RootConstrainSelectedInstOperands,
     /*  162708 */   // GIR_Coverage, 1129,
     /*  162708 */   GIR_Done,
     /*  162709 */ // Label 3019: @162709
     /*  162709 */ GIM_Try, /*On fail goto*//*Label 3020*/ GIMT_Encode4(162753), // Rule ID 1133 //
     /*  162714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162717 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162720 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162724 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  162731 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162738 */   // MIs[0] rs1
     /*  162738 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162742 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162746 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_aext>><<P:Predicate_atomic_load_aext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162746 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  162751 */   GIR_RootConstrainSelectedInstOperands,
     /*  162752 */   // GIR_Coverage, 1133,
     /*  162752 */   GIR_Done,
     /*  162753 */ // Label 3020: @162753
     /*  162753 */ GIM_Try, /*On fail goto*//*Label 3021*/ GIMT_Encode4(162797), // Rule ID 1137 //
     /*  162758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162761 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162764 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162768 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  162775 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  162778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162782 */   // MIs[0] rs1
     /*  162782 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162790 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10607>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162790 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  162795 */   GIR_RootConstrainSelectedInstOperands,
     /*  162796 */   // GIR_Coverage, 1137,
     /*  162796 */   GIR_Done,
     /*  162797 */ // Label 3021: @162797
     /*  162797 */ GIM_Try, /*On fail goto*//*Label 3022*/ GIMT_Encode4(162841), // Rule ID 1139 //
     /*  162802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  162805 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  162808 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162812 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  162819 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  162822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162826 */   // MIs[0] rs1
     /*  162826 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162834 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_nonext>><<P:Predicate_atomic_load_nonext_64>><<P:Predicate_anonymous_10609>>  =>  (LD_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  162834 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LD_AQ),
     /*  162839 */   GIR_RootConstrainSelectedInstOperands,
     /*  162840 */   // GIR_Coverage, 1139,
     /*  162840 */   GIR_Done,
     /*  162841 */ // Label 3022: @162841
     /*  162841 */ GIM_Reject,
     /*  162842 */ // Label 2911: @162842
     /*  162842 */ GIM_Try, /*On fail goto*//*Label 3023*/ GIMT_Encode4(162961),
     /*  162847 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162850 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162858 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  162862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162866 */   GIM_Try, /*On fail goto*//*Label 3024*/ GIMT_Encode4(162913), // Rule ID 45740 //
     /*  162871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162874 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  162874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  162877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  162891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162907 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162911 */     GIR_RootConstrainSelectedInstOperands,
     /*  162912 */     // GIR_Coverage, 45740,
     /*  162912 */     GIR_EraseRootFromParent_Done,
     /*  162913 */   // Label 3024: @162913
     /*  162913 */   GIM_Try, /*On fail goto*//*Label 3025*/ GIMT_Encode4(162960), // Rule ID 45741 //
     /*  162918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  162921 */     // (ld:{ *:[nxv1i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B64:{ *:[nxv1i1] } (IMPLICIT_DEF:{ *:[nxv1i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  162921 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s1,
     /*  162924 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  162928 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  162933 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  162935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B64),
     /*  162938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  162940 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  162943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  162945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  162948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  162951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  162954 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  162958 */     GIR_RootConstrainSelectedInstOperands,
     /*  162959 */     // GIR_Coverage, 45741,
     /*  162959 */     GIR_EraseRootFromParent_Done,
     /*  162960 */   // Label 3025: @162960
     /*  162960 */   GIM_Reject,
     /*  162961 */ // Label 3023: @162961
     /*  162961 */ GIM_Reject,
     /*  162962 */ // Label 2912: @162962
     /*  162962 */ GIM_Try, /*On fail goto*//*Label 3026*/ GIMT_Encode4(163089),
     /*  162967 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  162970 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  162974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  162978 */   GIM_Try, /*On fail goto*//*Label 3027*/ GIMT_Encode4(163033), // Rule ID 45736 //
     /*  162983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  162986 */     // MIs[0] rs1
     /*  162986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  162990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  162994 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  162994 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  162997 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163001 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163006 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  163011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163013 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163027 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163031 */     GIR_RootConstrainSelectedInstOperands,
     /*  163032 */     // GIR_Coverage, 45736,
     /*  163032 */     GIR_EraseRootFromParent_Done,
     /*  163033 */   // Label 3027: @163033
     /*  163033 */   GIM_Try, /*On fail goto*//*Label 3028*/ GIMT_Encode4(163088), // Rule ID 45737 //
     /*  163038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163041 */     // MIs[0] rs1
     /*  163041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163049 */     // (ld:{ *:[nxv1i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  163049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /*  163052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF8),
     /*  163066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163086 */     GIR_RootConstrainSelectedInstOperands,
     /*  163087 */     // GIR_Coverage, 45737,
     /*  163087 */     GIR_EraseRootFromParent_Done,
     /*  163088 */   // Label 3028: @163088
     /*  163088 */   GIM_Reject,
     /*  163089 */ // Label 3026: @163089
     /*  163089 */ GIM_Reject,
     /*  163090 */ // Label 2913: @163090
     /*  163090 */ GIM_Try, /*On fail goto*//*Label 3029*/ GIMT_Encode4(163327),
     /*  163095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163098 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163106 */   GIM_Try, /*On fail goto*//*Label 3030*/ GIMT_Encode4(163161), // Rule ID 45932 //
     /*  163111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163114 */     // MIs[0] rs1
     /*  163114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163122 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  163125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  163139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163155 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163159 */     GIR_RootConstrainSelectedInstOperands,
     /*  163160 */     // GIR_Coverage, 45932,
     /*  163160 */     GIR_EraseRootFromParent_Done,
     /*  163161 */   // Label 3030: @163161
     /*  163161 */   GIM_Try, /*On fail goto*//*Label 3031*/ GIMT_Encode4(163216), // Rule ID 45933 //
     /*  163166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163169 */     // MIs[0] rs1
     /*  163169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163177 */     // (ld:{ *:[nxv1i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  163180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  163194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163210 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163214 */     GIR_RootConstrainSelectedInstOperands,
     /*  163215 */     // GIR_Coverage, 45933,
     /*  163215 */     GIR_EraseRootFromParent_Done,
     /*  163216 */   // Label 3031: @163216
     /*  163216 */   GIM_Try, /*On fail goto*//*Label 3032*/ GIMT_Encode4(163271), // Rule ID 46008 //
     /*  163221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  163224 */     // MIs[0] rs1
     /*  163224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163232 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  163232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  163235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  163249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163269 */     GIR_RootConstrainSelectedInstOperands,
     /*  163270 */     // GIR_Coverage, 46008,
     /*  163270 */     GIR_EraseRootFromParent_Done,
     /*  163271 */   // Label 3032: @163271
     /*  163271 */   GIM_Try, /*On fail goto*//*Label 3033*/ GIMT_Encode4(163326), // Rule ID 46009 //
     /*  163276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  163279 */     // MIs[0] rs1
     /*  163279 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163287 */     // (ld:{ *:[nxv1f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  163287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /*  163290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF4),
     /*  163304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  163317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163320 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163324 */     GIR_RootConstrainSelectedInstOperands,
     /*  163325 */     // GIR_Coverage, 46009,
     /*  163325 */     GIR_EraseRootFromParent_Done,
     /*  163326 */   // Label 3033: @163326
     /*  163326 */   GIM_Reject,
     /*  163327 */ // Label 3029: @163327
     /*  163327 */ GIM_Reject,
     /*  163328 */ // Label 2914: @163328
     /*  163328 */ GIM_Try, /*On fail goto*//*Label 3034*/ GIMT_Encode4(163565),
     /*  163333 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163336 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163344 */   GIM_Try, /*On fail goto*//*Label 3035*/ GIMT_Encode4(163399), // Rule ID 45940 //
     /*  163349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163352 */     // MIs[0] rs1
     /*  163352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163360 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  163360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  163363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  163377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163393 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163397 */     GIR_RootConstrainSelectedInstOperands,
     /*  163398 */     // GIR_Coverage, 45940,
     /*  163398 */     GIR_EraseRootFromParent_Done,
     /*  163399 */   // Label 3035: @163399
     /*  163399 */   GIM_Try, /*On fail goto*//*Label 3036*/ GIMT_Encode4(163454), // Rule ID 45941 //
     /*  163404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163407 */     // MIs[0] rs1
     /*  163407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163415 */     // (ld:{ *:[nxv1i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  163415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  163418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  163432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163448 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163452 */     GIR_RootConstrainSelectedInstOperands,
     /*  163453 */     // GIR_Coverage, 45941,
     /*  163453 */     GIR_EraseRootFromParent_Done,
     /*  163454 */   // Label 3036: @163454
     /*  163454 */   GIM_Try, /*On fail goto*//*Label 3037*/ GIMT_Encode4(163509), // Rule ID 46016 //
     /*  163459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  163462 */     // MIs[0] rs1
     /*  163462 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163466 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163470 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  163470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  163473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  163487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163503 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163507 */     GIR_RootConstrainSelectedInstOperands,
     /*  163508 */     // GIR_Coverage, 46016,
     /*  163508 */     GIR_EraseRootFromParent_Done,
     /*  163509 */   // Label 3037: @163509
     /*  163509 */   GIM_Try, /*On fail goto*//*Label 3038*/ GIMT_Encode4(163564), // Rule ID 46017 //
     /*  163514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  163517 */     // MIs[0] rs1
     /*  163517 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163525 */     // (ld:{ *:[nxv1f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  163525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /*  163528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_MF2),
     /*  163542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  163555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163558 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163562 */     GIR_RootConstrainSelectedInstOperands,
     /*  163563 */     // GIR_Coverage, 46017,
     /*  163563 */     GIR_EraseRootFromParent_Done,
     /*  163564 */   // Label 3038: @163564
     /*  163564 */   GIM_Reject,
     /*  163565 */ // Label 3034: @163565
     /*  163565 */ GIM_Reject,
     /*  163566 */ // Label 2915: @163566
     /*  163566 */ GIM_Try, /*On fail goto*//*Label 3039*/ GIMT_Encode4(163803),
     /*  163571 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163574 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163582 */   GIM_Try, /*On fail goto*//*Label 3040*/ GIMT_Encode4(163637), // Rule ID 45956 //
     /*  163587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  163590 */     // MIs[0] rs1
     /*  163590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163598 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163631 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163635 */     GIR_RootConstrainSelectedInstOperands,
     /*  163636 */     // GIR_Coverage, 45956,
     /*  163636 */     GIR_EraseRootFromParent_Done,
     /*  163637 */   // Label 3040: @163637
     /*  163637 */   GIM_Try, /*On fail goto*//*Label 3041*/ GIMT_Encode4(163692), // Rule ID 45957 //
     /*  163642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  163645 */     // MIs[0] rs1
     /*  163645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163653 */     // (ld:{ *:[nxv1i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  163653 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163656 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163660 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163665 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163672 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163686 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163690 */     GIR_RootConstrainSelectedInstOperands,
     /*  163691 */     // GIR_Coverage, 45957,
     /*  163691 */     GIR_EraseRootFromParent_Done,
     /*  163692 */   // Label 3041: @163692
     /*  163692 */   GIM_Try, /*On fail goto*//*Label 3042*/ GIMT_Encode4(163747), // Rule ID 46028 //
     /*  163697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  163700 */     // MIs[0] rs1
     /*  163700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163708 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  163708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163741 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163745 */     GIR_RootConstrainSelectedInstOperands,
     /*  163746 */     // GIR_Coverage, 46028,
     /*  163746 */     GIR_EraseRootFromParent_Done,
     /*  163747 */   // Label 3042: @163747
     /*  163747 */   GIM_Try, /*On fail goto*//*Label 3043*/ GIMT_Encode4(163802), // Rule ID 46029 //
     /*  163752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  163755 */     // MIs[0] rs1
     /*  163755 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  163759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163763 */     // (ld:{ *:[nxv1f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  163763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /*  163766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M1),
     /*  163780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  163793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163796 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163800 */     GIR_RootConstrainSelectedInstOperands,
     /*  163801 */     // GIR_Coverage, 46029,
     /*  163801 */     GIR_EraseRootFromParent_Done,
     /*  163802 */   // Label 3043: @163802
     /*  163802 */   GIM_Reject,
     /*  163803 */ // Label 3039: @163803
     /*  163803 */ GIM_Reject,
     /*  163804 */ // Label 2916: @163804
     /*  163804 */ GIM_Try, /*On fail goto*//*Label 3044*/ GIMT_Encode4(163923),
     /*  163809 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163812 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163820 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  163824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163828 */   GIM_Try, /*On fail goto*//*Label 3045*/ GIMT_Encode4(163875), // Rule ID 46068 //
     /*  163833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163836 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  163836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  163839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  163853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163869 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163873 */     GIR_RootConstrainSelectedInstOperands,
     /*  163874 */     // GIR_Coverage, 46068,
     /*  163874 */     GIR_EraseRootFromParent_Done,
     /*  163875 */   // Label 3045: @163875
     /*  163875 */   GIM_Try, /*On fail goto*//*Label 3046*/ GIMT_Encode4(163922), // Rule ID 46069 //
     /*  163880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  163883 */     // (ld:{ *:[nxv2i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B32:{ *:[nxv2i1] } (IMPLICIT_DEF:{ *:[nxv2i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  163883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s1,
     /*  163886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B32),
     /*  163900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  163913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163916 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163920 */     GIR_RootConstrainSelectedInstOperands,
     /*  163921 */     // GIR_Coverage, 46069,
     /*  163921 */     GIR_EraseRootFromParent_Done,
     /*  163922 */   // Label 3046: @163922
     /*  163922 */   GIM_Reject,
     /*  163923 */ // Label 3044: @163923
     /*  163923 */ GIM_Reject,
     /*  163924 */ // Label 2917: @163924
     /*  163924 */ GIM_Try, /*On fail goto*//*Label 3047*/ GIMT_Encode4(164051),
     /*  163929 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  163932 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  163936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  163940 */   GIM_Try, /*On fail goto*//*Label 3048*/ GIMT_Encode4(163995), // Rule ID 45924 //
     /*  163945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  163948 */     // MIs[0] rs1
     /*  163948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  163952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  163956 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  163956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  163959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  163963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  163968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  163970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  163973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  163975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  163978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  163980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  163983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  163989 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  163993 */     GIR_RootConstrainSelectedInstOperands,
     /*  163994 */     // GIR_Coverage, 45924,
     /*  163994 */     GIR_EraseRootFromParent_Done,
     /*  163995 */   // Label 3048: @163995
     /*  163995 */   GIM_Try, /*On fail goto*//*Label 3049*/ GIMT_Encode4(164050), // Rule ID 45925 //
     /*  164000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164003 */     // MIs[0] rs1
     /*  164003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164011 */     // (ld:{ *:[nxv2i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  164011 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /*  164014 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164018 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164023 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF4),
     /*  164028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164030 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164033 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164044 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164048 */     GIR_RootConstrainSelectedInstOperands,
     /*  164049 */     // GIR_Coverage, 45925,
     /*  164049 */     GIR_EraseRootFromParent_Done,
     /*  164050 */   // Label 3049: @164050
     /*  164050 */   GIM_Reject,
     /*  164051 */ // Label 3047: @164051
     /*  164051 */ GIM_Reject,
     /*  164052 */ // Label 2918: @164052
     /*  164052 */ GIM_Try, /*On fail goto*//*Label 3050*/ GIMT_Encode4(164289),
     /*  164057 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164060 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164064 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164068 */   GIM_Try, /*On fail goto*//*Label 3051*/ GIMT_Encode4(164123), // Rule ID 45936 //
     /*  164073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164076 */     // MIs[0] rs1
     /*  164076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164084 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164084 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  164087 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164091 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164096 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  164101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164103 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164121 */     GIR_RootConstrainSelectedInstOperands,
     /*  164122 */     // GIR_Coverage, 45936,
     /*  164122 */     GIR_EraseRootFromParent_Done,
     /*  164123 */   // Label 3051: @164123
     /*  164123 */   GIM_Try, /*On fail goto*//*Label 3052*/ GIMT_Encode4(164178), // Rule ID 45937 //
     /*  164128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164131 */     // MIs[0] rs1
     /*  164131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164139 */     // (ld:{ *:[nxv2i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  164139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  164142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  164156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164172 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164176 */     GIR_RootConstrainSelectedInstOperands,
     /*  164177 */     // GIR_Coverage, 45937,
     /*  164177 */     GIR_EraseRootFromParent_Done,
     /*  164178 */   // Label 3052: @164178
     /*  164178 */   GIM_Try, /*On fail goto*//*Label 3053*/ GIMT_Encode4(164233), // Rule ID 46012 //
     /*  164183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  164186 */     // MIs[0] rs1
     /*  164186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164194 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  164194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  164197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164206 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  164211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164213 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164227 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164231 */     GIR_RootConstrainSelectedInstOperands,
     /*  164232 */     // GIR_Coverage, 46012,
     /*  164232 */     GIR_EraseRootFromParent_Done,
     /*  164233 */   // Label 3053: @164233
     /*  164233 */   GIM_Try, /*On fail goto*//*Label 3054*/ GIMT_Encode4(164288), // Rule ID 46013 //
     /*  164238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  164241 */     // MIs[0] rs1
     /*  164241 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164249 */     // (ld:{ *:[nxv2f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  164249 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /*  164252 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164256 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164261 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_MF2),
     /*  164266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164268 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  164279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164282 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164286 */     GIR_RootConstrainSelectedInstOperands,
     /*  164287 */     // GIR_Coverage, 46013,
     /*  164287 */     GIR_EraseRootFromParent_Done,
     /*  164288 */   // Label 3054: @164288
     /*  164288 */   GIM_Reject,
     /*  164289 */ // Label 3050: @164289
     /*  164289 */ GIM_Reject,
     /*  164290 */ // Label 2919: @164290
     /*  164290 */ GIM_Try, /*On fail goto*//*Label 3055*/ GIMT_Encode4(164527),
     /*  164295 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164298 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164306 */   GIM_Try, /*On fail goto*//*Label 3056*/ GIMT_Encode4(164361), // Rule ID 45952 //
     /*  164311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164314 */     // MIs[0] rs1
     /*  164314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164322 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  164322 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  164325 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164329 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  164339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164341 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164355 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164359 */     GIR_RootConstrainSelectedInstOperands,
     /*  164360 */     // GIR_Coverage, 45952,
     /*  164360 */     GIR_EraseRootFromParent_Done,
     /*  164361 */   // Label 3056: @164361
     /*  164361 */   GIM_Try, /*On fail goto*//*Label 3057*/ GIMT_Encode4(164416), // Rule ID 45953 //
     /*  164366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164369 */     // MIs[0] rs1
     /*  164369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164377 */     // (ld:{ *:[nxv2i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164377 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  164380 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164384 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164389 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  164394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164396 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164399 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164410 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164414 */     GIR_RootConstrainSelectedInstOperands,
     /*  164415 */     // GIR_Coverage, 45953,
     /*  164415 */     GIR_EraseRootFromParent_Done,
     /*  164416 */   // Label 3057: @164416
     /*  164416 */   GIM_Try, /*On fail goto*//*Label 3058*/ GIMT_Encode4(164471), // Rule ID 46024 //
     /*  164421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  164424 */     // MIs[0] rs1
     /*  164424 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164428 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164432 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  164432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  164435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  164449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164465 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164469 */     GIR_RootConstrainSelectedInstOperands,
     /*  164470 */     // GIR_Coverage, 46024,
     /*  164470 */     GIR_EraseRootFromParent_Done,
     /*  164471 */   // Label 3058: @164471
     /*  164471 */   GIM_Try, /*On fail goto*//*Label 3059*/ GIMT_Encode4(164526), // Rule ID 46025 //
     /*  164476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  164479 */     // MIs[0] rs1
     /*  164479 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164483 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164487 */     // (ld:{ *:[nxv2f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  164487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /*  164490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M1),
     /*  164504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  164517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164520 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164524 */     GIR_RootConstrainSelectedInstOperands,
     /*  164525 */     // GIR_Coverage, 46025,
     /*  164525 */     GIR_EraseRootFromParent_Done,
     /*  164526 */   // Label 3059: @164526
     /*  164526 */   GIM_Reject,
     /*  164527 */ // Label 3055: @164527
     /*  164527 */ GIM_Reject,
     /*  164528 */ // Label 2920: @164528
     /*  164528 */ GIM_Try, /*On fail goto*//*Label 3060*/ GIMT_Encode4(164765),
     /*  164533 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164536 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  164544 */   GIM_Try, /*On fail goto*//*Label 3061*/ GIMT_Encode4(164599), // Rule ID 45996 //
     /*  164549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  164552 */     // MIs[0] rs1
     /*  164552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164560 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  164560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164597 */     GIR_RootConstrainSelectedInstOperands,
     /*  164598 */     // GIR_Coverage, 45996,
     /*  164598 */     GIR_EraseRootFromParent_Done,
     /*  164599 */   // Label 3061: @164599
     /*  164599 */   GIM_Try, /*On fail goto*//*Label 3062*/ GIMT_Encode4(164654), // Rule ID 45997 //
     /*  164604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  164607 */     // MIs[0] rs1
     /*  164607 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164611 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164615 */     // (ld:{ *:[nxv2i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164648 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164652 */     GIR_RootConstrainSelectedInstOperands,
     /*  164653 */     // GIR_Coverage, 45997,
     /*  164653 */     GIR_EraseRootFromParent_Done,
     /*  164654 */   // Label 3062: @164654
     /*  164654 */   GIM_Try, /*On fail goto*//*Label 3063*/ GIMT_Encode4(164709), // Rule ID 46056 //
     /*  164659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  164662 */     // MIs[0] rs1
     /*  164662 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164670 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  164670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164682 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164689 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164692 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164703 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164707 */     GIR_RootConstrainSelectedInstOperands,
     /*  164708 */     // GIR_Coverage, 46056,
     /*  164708 */     GIR_EraseRootFromParent_Done,
     /*  164709 */   // Label 3063: @164709
     /*  164709 */   GIM_Try, /*On fail goto*//*Label 3064*/ GIMT_Encode4(164764), // Rule ID 46057 //
     /*  164714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  164717 */     // MIs[0] rs1
     /*  164717 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164725 */     // (ld:{ *:[nxv2f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  164725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /*  164728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M2),
     /*  164742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  164755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164758 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164762 */     GIR_RootConstrainSelectedInstOperands,
     /*  164763 */     // GIR_Coverage, 46057,
     /*  164763 */     GIR_EraseRootFromParent_Done,
     /*  164764 */   // Label 3064: @164764
     /*  164764 */   GIM_Reject,
     /*  164765 */ // Label 3060: @164765
     /*  164765 */ GIM_Reject,
     /*  164766 */ // Label 2921: @164766
     /*  164766 */ GIM_Try, /*On fail goto*//*Label 3065*/ GIMT_Encode4(164885),
     /*  164771 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164774 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164782 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  164786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164790 */   GIM_Try, /*On fail goto*//*Label 3066*/ GIMT_Encode4(164837), // Rule ID 46072 //
     /*  164795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164798 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  164798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  164801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  164815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  164828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164831 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164835 */     GIR_RootConstrainSelectedInstOperands,
     /*  164836 */     // GIR_Coverage, 46072,
     /*  164836 */     GIR_EraseRootFromParent_Done,
     /*  164837 */   // Label 3066: @164837
     /*  164837 */   GIM_Try, /*On fail goto*//*Label 3067*/ GIMT_Encode4(164884), // Rule ID 46073 //
     /*  164842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164845 */     // (ld:{ *:[nxv4i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B16:{ *:[nxv4i1] } (IMPLICIT_DEF:{ *:[nxv4i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  164845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s1,
     /*  164848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B16),
     /*  164862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  164875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164878 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164882 */     GIR_RootConstrainSelectedInstOperands,
     /*  164883 */     // GIR_Coverage, 46073,
     /*  164883 */     GIR_EraseRootFromParent_Done,
     /*  164884 */   // Label 3067: @164884
     /*  164884 */   GIM_Reject,
     /*  164885 */ // Label 3065: @164885
     /*  164885 */ GIM_Reject,
     /*  164886 */ // Label 2922: @164886
     /*  164886 */ GIM_Try, /*On fail goto*//*Label 3068*/ GIMT_Encode4(165013),
     /*  164891 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  164894 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  164898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  164902 */   GIM_Try, /*On fail goto*//*Label 3069*/ GIMT_Encode4(164957), // Rule ID 45928 //
     /*  164907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  164910 */     // MIs[0] rs1
     /*  164910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  164914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164918 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  164918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  164921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  164935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  164945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  164951 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  164955 */     GIR_RootConstrainSelectedInstOperands,
     /*  164956 */     // GIR_Coverage, 45928,
     /*  164956 */     GIR_EraseRootFromParent_Done,
     /*  164957 */   // Label 3069: @164957
     /*  164957 */   GIM_Try, /*On fail goto*//*Label 3070*/ GIMT_Encode4(165012), // Rule ID 45929 //
     /*  164962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  164965 */     // MIs[0] rs1
     /*  164965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  164969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  164973 */     // (ld:{ *:[nxv4i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  164973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /*  164976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  164980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  164985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  164987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_MF2),
     /*  164990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  164992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  164995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  164997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165006 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165010 */     GIR_RootConstrainSelectedInstOperands,
     /*  165011 */     // GIR_Coverage, 45929,
     /*  165011 */     GIR_EraseRootFromParent_Done,
     /*  165012 */   // Label 3070: @165012
     /*  165012 */   GIM_Reject,
     /*  165013 */ // Label 3068: @165013
     /*  165013 */ GIM_Reject,
     /*  165014 */ // Label 2923: @165014
     /*  165014 */ GIM_Try, /*On fail goto*//*Label 3071*/ GIMT_Encode4(165251),
     /*  165019 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165022 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165030 */   GIM_Try, /*On fail goto*//*Label 3072*/ GIMT_Encode4(165085), // Rule ID 45948 //
     /*  165035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165038 */     // MIs[0] rs1
     /*  165038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165046 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  165046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  165049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  165063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165083 */     GIR_RootConstrainSelectedInstOperands,
     /*  165084 */     // GIR_Coverage, 45948,
     /*  165084 */     GIR_EraseRootFromParent_Done,
     /*  165085 */   // Label 3072: @165085
     /*  165085 */   GIM_Try, /*On fail goto*//*Label 3073*/ GIMT_Encode4(165140), // Rule ID 45949 //
     /*  165090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165093 */     // MIs[0] rs1
     /*  165093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165101 */     // (ld:{ *:[nxv4i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  165104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  165118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165134 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165138 */     GIR_RootConstrainSelectedInstOperands,
     /*  165139 */     // GIR_Coverage, 45949,
     /*  165139 */     GIR_EraseRootFromParent_Done,
     /*  165140 */   // Label 3073: @165140
     /*  165140 */   GIM_Try, /*On fail goto*//*Label 3074*/ GIMT_Encode4(165195), // Rule ID 46020 //
     /*  165145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  165148 */     // MIs[0] rs1
     /*  165148 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165152 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165156 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  165156 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  165159 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165163 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165168 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  165173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165175 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165189 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165193 */     GIR_RootConstrainSelectedInstOperands,
     /*  165194 */     // GIR_Coverage, 46020,
     /*  165194 */     GIR_EraseRootFromParent_Done,
     /*  165195 */   // Label 3074: @165195
     /*  165195 */   GIM_Try, /*On fail goto*//*Label 3075*/ GIMT_Encode4(165250), // Rule ID 46021 //
     /*  165200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  165203 */     // MIs[0] rs1
     /*  165203 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165211 */     // (ld:{ *:[nxv4f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  165211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /*  165214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M1),
     /*  165228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  165241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165244 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165248 */     GIR_RootConstrainSelectedInstOperands,
     /*  165249 */     // GIR_Coverage, 46021,
     /*  165249 */     GIR_EraseRootFromParent_Done,
     /*  165250 */   // Label 3075: @165250
     /*  165250 */   GIM_Reject,
     /*  165251 */ // Label 3071: @165251
     /*  165251 */ GIM_Reject,
     /*  165252 */ // Label 2924: @165252
     /*  165252 */ GIM_Try, /*On fail goto*//*Label 3076*/ GIMT_Encode4(165489),
     /*  165257 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165260 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165268 */   GIM_Try, /*On fail goto*//*Label 3077*/ GIMT_Encode4(165323), // Rule ID 45984 //
     /*  165273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165276 */     // MIs[0] rs1
     /*  165276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165284 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  165284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  165287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  165301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165321 */     GIR_RootConstrainSelectedInstOperands,
     /*  165322 */     // GIR_Coverage, 45984,
     /*  165322 */     GIR_EraseRootFromParent_Done,
     /*  165323 */   // Label 3077: @165323
     /*  165323 */   GIM_Try, /*On fail goto*//*Label 3078*/ GIMT_Encode4(165378), // Rule ID 45985 //
     /*  165328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165331 */     // MIs[0] rs1
     /*  165331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165339 */     // (ld:{ *:[nxv4i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  165339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  165342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  165356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165372 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165376 */     GIR_RootConstrainSelectedInstOperands,
     /*  165377 */     // GIR_Coverage, 45985,
     /*  165377 */     GIR_EraseRootFromParent_Done,
     /*  165378 */   // Label 3078: @165378
     /*  165378 */   GIM_Try, /*On fail goto*//*Label 3079*/ GIMT_Encode4(165433), // Rule ID 46044 //
     /*  165383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  165386 */     // MIs[0] rs1
     /*  165386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165394 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  165394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  165397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  165411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165427 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165431 */     GIR_RootConstrainSelectedInstOperands,
     /*  165432 */     // GIR_Coverage, 46044,
     /*  165432 */     GIR_EraseRootFromParent_Done,
     /*  165433 */   // Label 3079: @165433
     /*  165433 */   GIM_Try, /*On fail goto*//*Label 3080*/ GIMT_Encode4(165488), // Rule ID 46045 //
     /*  165438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  165441 */     // MIs[0] rs1
     /*  165441 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165445 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165449 */     // (ld:{ *:[nxv4f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  165449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /*  165452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M2),
     /*  165466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  165479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165482 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165486 */     GIR_RootConstrainSelectedInstOperands,
     /*  165487 */     // GIR_Coverage, 46045,
     /*  165487 */     GIR_EraseRootFromParent_Done,
     /*  165488 */   // Label 3080: @165488
     /*  165488 */   GIM_Reject,
     /*  165489 */ // Label 3076: @165489
     /*  165489 */ GIM_Reject,
     /*  165490 */ // Label 2925: @165490
     /*  165490 */ GIM_Try, /*On fail goto*//*Label 3081*/ GIMT_Encode4(165727),
     /*  165495 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165498 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  165506 */   GIM_Try, /*On fail goto*//*Label 3082*/ GIMT_Encode4(165561), // Rule ID 46000 //
     /*  165511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  165514 */     // MIs[0] rs1
     /*  165514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165522 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  165522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165555 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165559 */     GIR_RootConstrainSelectedInstOperands,
     /*  165560 */     // GIR_Coverage, 46000,
     /*  165560 */     GIR_EraseRootFromParent_Done,
     /*  165561 */   // Label 3082: @165561
     /*  165561 */   GIM_Try, /*On fail goto*//*Label 3083*/ GIMT_Encode4(165616), // Rule ID 46001 //
     /*  165566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  165569 */     // MIs[0] rs1
     /*  165569 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165573 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165577 */     // (ld:{ *:[nxv4i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  165577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165610 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165614 */     GIR_RootConstrainSelectedInstOperands,
     /*  165615 */     // GIR_Coverage, 46001,
     /*  165615 */     GIR_EraseRootFromParent_Done,
     /*  165616 */   // Label 3083: @165616
     /*  165616 */   GIM_Try, /*On fail goto*//*Label 3084*/ GIMT_Encode4(165671), // Rule ID 46060 //
     /*  165621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  165624 */     // MIs[0] rs1
     /*  165624 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165628 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165632 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  165632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165665 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165669 */     GIR_RootConstrainSelectedInstOperands,
     /*  165670 */     // GIR_Coverage, 46060,
     /*  165670 */     GIR_EraseRootFromParent_Done,
     /*  165671 */   // Label 3084: @165671
     /*  165671 */   GIM_Try, /*On fail goto*//*Label 3085*/ GIMT_Encode4(165726), // Rule ID 46061 //
     /*  165676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  165679 */     // MIs[0] rs1
     /*  165679 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165687 */     // (ld:{ *:[nxv4f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  165687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /*  165690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M4),
     /*  165704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  165717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165720 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165724 */     GIR_RootConstrainSelectedInstOperands,
     /*  165725 */     // GIR_Coverage, 46061,
     /*  165725 */     GIR_EraseRootFromParent_Done,
     /*  165726 */   // Label 3085: @165726
     /*  165726 */   GIM_Reject,
     /*  165727 */ // Label 3081: @165727
     /*  165727 */ GIM_Reject,
     /*  165728 */ // Label 2926: @165728
     /*  165728 */ GIM_Try, /*On fail goto*//*Label 3086*/ GIMT_Encode4(165847),
     /*  165733 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165736 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165744 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  165748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165752 */   GIM_Try, /*On fail goto*//*Label 3087*/ GIMT_Encode4(165799), // Rule ID 46076 //
     /*  165757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165760 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  165760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  165763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  165777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165793 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165797 */     GIR_RootConstrainSelectedInstOperands,
     /*  165798 */     // GIR_Coverage, 46076,
     /*  165798 */     GIR_EraseRootFromParent_Done,
     /*  165799 */   // Label 3087: @165799
     /*  165799 */   GIM_Try, /*On fail goto*//*Label 3088*/ GIMT_Encode4(165846), // Rule ID 46077 //
     /*  165804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165807 */     // (ld:{ *:[nxv8i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B8:{ *:[nxv8i1] } (IMPLICIT_DEF:{ *:[nxv8i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  165807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s1,
     /*  165810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B8),
     /*  165824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  165837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165840 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165844 */     GIR_RootConstrainSelectedInstOperands,
     /*  165845 */     // GIR_Coverage, 46077,
     /*  165845 */     GIR_EraseRootFromParent_Done,
     /*  165846 */   // Label 3088: @165846
     /*  165846 */   GIM_Reject,
     /*  165847 */ // Label 3086: @165847
     /*  165847 */ GIM_Reject,
     /*  165848 */ // Label 2927: @165848
     /*  165848 */ GIM_Try, /*On fail goto*//*Label 3089*/ GIMT_Encode4(165975),
     /*  165853 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165856 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  165864 */   GIM_Try, /*On fail goto*//*Label 3090*/ GIMT_Encode4(165919), // Rule ID 45944 //
     /*  165869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  165872 */     // MIs[0] rs1
     /*  165872 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  165876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165880 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  165880 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  165883 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165887 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165892 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  165897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165899 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165902 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165913 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165917 */     GIR_RootConstrainSelectedInstOperands,
     /*  165918 */     // GIR_Coverage, 45944,
     /*  165918 */     GIR_EraseRootFromParent_Done,
     /*  165919 */   // Label 3090: @165919
     /*  165919 */   GIM_Try, /*On fail goto*//*Label 3091*/ GIMT_Encode4(165974), // Rule ID 45945 //
     /*  165924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  165927 */     // MIs[0] rs1
     /*  165927 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  165931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  165935 */     // (ld:{ *:[nxv8i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  165935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /*  165938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  165942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  165947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  165949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M1),
     /*  165952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  165954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  165957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  165959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  165962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  165968 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  165972 */     GIR_RootConstrainSelectedInstOperands,
     /*  165973 */     // GIR_Coverage, 45945,
     /*  165973 */     GIR_EraseRootFromParent_Done,
     /*  165974 */   // Label 3091: @165974
     /*  165974 */   GIM_Reject,
     /*  165975 */ // Label 3089: @165975
     /*  165975 */ GIM_Reject,
     /*  165976 */ // Label 2928: @165976
     /*  165976 */ GIM_Try, /*On fail goto*//*Label 3092*/ GIMT_Encode4(166213),
     /*  165981 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  165984 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  165988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  165992 */   GIM_Try, /*On fail goto*//*Label 3093*/ GIMT_Encode4(166047), // Rule ID 45972 //
     /*  165997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166000 */     // MIs[0] rs1
     /*  166000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166008 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  166011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  166025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166045 */     GIR_RootConstrainSelectedInstOperands,
     /*  166046 */     // GIR_Coverage, 45972,
     /*  166046 */     GIR_EraseRootFromParent_Done,
     /*  166047 */   // Label 3093: @166047
     /*  166047 */   GIM_Try, /*On fail goto*//*Label 3094*/ GIMT_Encode4(166102), // Rule ID 45973 //
     /*  166052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166055 */     // MIs[0] rs1
     /*  166055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166063 */     // (ld:{ *:[nxv8i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  166063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  166066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  166080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166096 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166100 */     GIR_RootConstrainSelectedInstOperands,
     /*  166101 */     // GIR_Coverage, 45973,
     /*  166101 */     GIR_EraseRootFromParent_Done,
     /*  166102 */   // Label 3094: @166102
     /*  166102 */   GIM_Try, /*On fail goto*//*Label 3095*/ GIMT_Encode4(166157), // Rule ID 46032 //
     /*  166107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  166110 */     // MIs[0] rs1
     /*  166110 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166118 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  166121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  166135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166151 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166155 */     GIR_RootConstrainSelectedInstOperands,
     /*  166156 */     // GIR_Coverage, 46032,
     /*  166156 */     GIR_EraseRootFromParent_Done,
     /*  166157 */   // Label 3095: @166157
     /*  166157 */   GIM_Try, /*On fail goto*//*Label 3096*/ GIMT_Encode4(166212), // Rule ID 46033 //
     /*  166162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  166165 */     // MIs[0] rs1
     /*  166165 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166169 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166173 */     // (ld:{ *:[nxv8f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  166173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /*  166176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M2),
     /*  166190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  166203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166206 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166210 */     GIR_RootConstrainSelectedInstOperands,
     /*  166211 */     // GIR_Coverage, 46033,
     /*  166211 */     GIR_EraseRootFromParent_Done,
     /*  166212 */   // Label 3096: @166212
     /*  166212 */   GIM_Reject,
     /*  166213 */ // Label 3092: @166213
     /*  166213 */ GIM_Reject,
     /*  166214 */ // Label 2929: @166214
     /*  166214 */ GIM_Try, /*On fail goto*//*Label 3097*/ GIMT_Encode4(166451),
     /*  166219 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166222 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166230 */   GIM_Try, /*On fail goto*//*Label 3098*/ GIMT_Encode4(166285), // Rule ID 45988 //
     /*  166235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166238 */     // MIs[0] rs1
     /*  166238 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166246 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  166246 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  166249 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166253 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166258 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  166263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166265 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166268 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166283 */     GIR_RootConstrainSelectedInstOperands,
     /*  166284 */     // GIR_Coverage, 45988,
     /*  166284 */     GIR_EraseRootFromParent_Done,
     /*  166285 */   // Label 3098: @166285
     /*  166285 */   GIM_Try, /*On fail goto*//*Label 3099*/ GIMT_Encode4(166340), // Rule ID 45989 //
     /*  166290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166293 */     // MIs[0] rs1
     /*  166293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166301 */     // (ld:{ *:[nxv8i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  166301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  166304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  166318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166334 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166338 */     GIR_RootConstrainSelectedInstOperands,
     /*  166339 */     // GIR_Coverage, 45989,
     /*  166339 */     GIR_EraseRootFromParent_Done,
     /*  166340 */   // Label 3099: @166340
     /*  166340 */   GIM_Try, /*On fail goto*//*Label 3100*/ GIMT_Encode4(166395), // Rule ID 46048 //
     /*  166345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  166348 */     // MIs[0] rs1
     /*  166348 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166356 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  166356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  166359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  166373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166378 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166389 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166393 */     GIR_RootConstrainSelectedInstOperands,
     /*  166394 */     // GIR_Coverage, 46048,
     /*  166394 */     GIR_EraseRootFromParent_Done,
     /*  166395 */   // Label 3100: @166395
     /*  166395 */   GIM_Try, /*On fail goto*//*Label 3101*/ GIMT_Encode4(166450), // Rule ID 46049 //
     /*  166400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  166403 */     // MIs[0] rs1
     /*  166403 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166411 */     // (ld:{ *:[nxv8f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  166411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /*  166414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M4),
     /*  166428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  166441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166444 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166448 */     GIR_RootConstrainSelectedInstOperands,
     /*  166449 */     // GIR_Coverage, 46049,
     /*  166449 */     GIR_EraseRootFromParent_Done,
     /*  166450 */   // Label 3101: @166450
     /*  166450 */   GIM_Reject,
     /*  166451 */ // Label 3097: @166451
     /*  166451 */ GIM_Reject,
     /*  166452 */ // Label 2930: @166452
     /*  166452 */ GIM_Try, /*On fail goto*//*Label 3102*/ GIMT_Encode4(166689),
     /*  166457 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166460 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  166468 */   GIM_Try, /*On fail goto*//*Label 3103*/ GIMT_Encode4(166523), // Rule ID 46004 //
     /*  166473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  166476 */     // MIs[0] rs1
     /*  166476 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166484 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  166484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166517 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166521 */     GIR_RootConstrainSelectedInstOperands,
     /*  166522 */     // GIR_Coverage, 46004,
     /*  166522 */     GIR_EraseRootFromParent_Done,
     /*  166523 */   // Label 3103: @166523
     /*  166523 */   GIM_Try, /*On fail goto*//*Label 3104*/ GIMT_Encode4(166578), // Rule ID 46005 //
     /*  166528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  166531 */     // MIs[0] rs1
     /*  166531 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166539 */     // (ld:{ *:[nxv8i64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  166539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166572 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166576 */     GIR_RootConstrainSelectedInstOperands,
     /*  166577 */     // GIR_Coverage, 46005,
     /*  166577 */     GIR_EraseRootFromParent_Done,
     /*  166578 */   // Label 3104: @166578
     /*  166578 */   GIM_Try, /*On fail goto*//*Label 3105*/ GIMT_Encode4(166633), // Rule ID 46064 //
     /*  166583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  166586 */     // MIs[0] rs1
     /*  166586 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166594 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /*  166594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166627 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166631 */     GIR_RootConstrainSelectedInstOperands,
     /*  166632 */     // GIR_Coverage, 46064,
     /*  166632 */     GIR_EraseRootFromParent_Done,
     /*  166633 */   // Label 3105: @166633
     /*  166633 */   GIM_Try, /*On fail goto*//*Label 3106*/ GIMT_Encode4(166688), // Rule ID 46065 //
     /*  166638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  166641 */     // MIs[0] rs1
     /*  166641 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166645 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166649 */     // (ld:{ *:[nxv8f64] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE64_V_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /*  166649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /*  166652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE64_V_M8),
     /*  166666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  166679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166682 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166686 */     GIR_RootConstrainSelectedInstOperands,
     /*  166687 */     // GIR_Coverage, 46065,
     /*  166687 */     GIR_EraseRootFromParent_Done,
     /*  166688 */   // Label 3106: @166688
     /*  166688 */   GIM_Reject,
     /*  166689 */ // Label 3102: @166689
     /*  166689 */ GIM_Reject,
     /*  166690 */ // Label 2931: @166690
     /*  166690 */ GIM_Try, /*On fail goto*//*Label 3107*/ GIMT_Encode4(166809),
     /*  166695 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166698 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  166706 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  166710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166714 */   GIM_Try, /*On fail goto*//*Label 3108*/ GIMT_Encode4(166761), // Rule ID 46080 //
     /*  166719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166722 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  166722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  166725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  166739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166759 */     GIR_RootConstrainSelectedInstOperands,
     /*  166760 */     // GIR_Coverage, 46080,
     /*  166760 */     GIR_EraseRootFromParent_Done,
     /*  166761 */   // Label 3108: @166761
     /*  166761 */   GIM_Try, /*On fail goto*//*Label 3109*/ GIMT_Encode4(166808), // Rule ID 46081 //
     /*  166766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166769 */     // (ld:{ *:[nxv16i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B4:{ *:[nxv16i1] } (IMPLICIT_DEF:{ *:[nxv16i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  166769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s1,
     /*  166772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B4),
     /*  166786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  166799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166802 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166806 */     GIR_RootConstrainSelectedInstOperands,
     /*  166807 */     // GIR_Coverage, 46081,
     /*  166807 */     GIR_EraseRootFromParent_Done,
     /*  166808 */   // Label 3109: @166808
     /*  166808 */   GIM_Reject,
     /*  166809 */ // Label 3107: @166809
     /*  166809 */ GIM_Reject,
     /*  166810 */ // Label 2932: @166810
     /*  166810 */ GIM_Try, /*On fail goto*//*Label 3110*/ GIMT_Encode4(166937),
     /*  166815 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166818 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  166826 */   GIM_Try, /*On fail goto*//*Label 3111*/ GIMT_Encode4(166881), // Rule ID 45960 //
     /*  166831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166834 */     // MIs[0] rs1
     /*  166834 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166842 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  166842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  166845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  166859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166879 */     GIR_RootConstrainSelectedInstOperands,
     /*  166880 */     // GIR_Coverage, 45960,
     /*  166880 */     GIR_EraseRootFromParent_Done,
     /*  166881 */   // Label 3111: @166881
     /*  166881 */   GIM_Try, /*On fail goto*//*Label 3112*/ GIMT_Encode4(166936), // Rule ID 45961 //
     /*  166886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  166889 */     // MIs[0] rs1
     /*  166889 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  166893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166897 */     // (ld:{ *:[nxv16i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  166897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /*  166900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M2),
     /*  166914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  166930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  166934 */     GIR_RootConstrainSelectedInstOperands,
     /*  166935 */     // GIR_Coverage, 45961,
     /*  166935 */     GIR_EraseRootFromParent_Done,
     /*  166936 */   // Label 3112: @166936
     /*  166936 */   GIM_Reject,
     /*  166937 */ // Label 3110: @166937
     /*  166937 */ GIM_Reject,
     /*  166938 */ // Label 2933: @166938
     /*  166938 */ GIM_Try, /*On fail goto*//*Label 3113*/ GIMT_Encode4(167175),
     /*  166943 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  166946 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  166950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  166954 */   GIM_Try, /*On fail goto*//*Label 3114*/ GIMT_Encode4(167009), // Rule ID 45976 //
     /*  166959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  166962 */     // MIs[0] rs1
     /*  166962 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  166966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  166970 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  166970 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  166973 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  166977 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  166982 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  166984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  166987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  166989 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  166992 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  166994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  166997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167003 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167007 */     GIR_RootConstrainSelectedInstOperands,
     /*  167008 */     // GIR_Coverage, 45976,
     /*  167008 */     GIR_EraseRootFromParent_Done,
     /*  167009 */   // Label 3114: @167009
     /*  167009 */   GIM_Try, /*On fail goto*//*Label 3115*/ GIMT_Encode4(167064), // Rule ID 45977 //
     /*  167014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167017 */     // MIs[0] rs1
     /*  167017 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167025 */     // (ld:{ *:[nxv16i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  167025 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  167028 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167032 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167037 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  167042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167044 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167058 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167062 */     GIR_RootConstrainSelectedInstOperands,
     /*  167063 */     // GIR_Coverage, 45977,
     /*  167063 */     GIR_EraseRootFromParent_Done,
     /*  167064 */   // Label 3115: @167064
     /*  167064 */   GIM_Try, /*On fail goto*//*Label 3116*/ GIMT_Encode4(167119), // Rule ID 46036 //
     /*  167069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  167072 */     // MIs[0] rs1
     /*  167072 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167076 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167080 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  167080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  167083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  167097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167102 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167117 */     GIR_RootConstrainSelectedInstOperands,
     /*  167118 */     // GIR_Coverage, 46036,
     /*  167118 */     GIR_EraseRootFromParent_Done,
     /*  167119 */   // Label 3116: @167119
     /*  167119 */   GIM_Try, /*On fail goto*//*Label 3117*/ GIMT_Encode4(167174), // Rule ID 46037 //
     /*  167124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  167127 */     // MIs[0] rs1
     /*  167127 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167131 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167135 */     // (ld:{ *:[nxv16f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  167135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /*  167138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M4),
     /*  167152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167168 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167172 */     GIR_RootConstrainSelectedInstOperands,
     /*  167173 */     // GIR_Coverage, 46037,
     /*  167173 */     GIR_EraseRootFromParent_Done,
     /*  167174 */   // Label 3117: @167174
     /*  167174 */   GIM_Reject,
     /*  167175 */ // Label 3113: @167175
     /*  167175 */ GIM_Reject,
     /*  167176 */ // Label 2934: @167176
     /*  167176 */ GIM_Try, /*On fail goto*//*Label 3118*/ GIMT_Encode4(167413),
     /*  167181 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167184 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  167192 */   GIM_Try, /*On fail goto*//*Label 3119*/ GIMT_Encode4(167247), // Rule ID 45992 //
     /*  167197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167200 */     // MIs[0] rs1
     /*  167200 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167208 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  167208 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  167211 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167215 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167220 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  167225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167227 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167241 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167245 */     GIR_RootConstrainSelectedInstOperands,
     /*  167246 */     // GIR_Coverage, 45992,
     /*  167246 */     GIR_EraseRootFromParent_Done,
     /*  167247 */   // Label 3119: @167247
     /*  167247 */   GIM_Try, /*On fail goto*//*Label 3120*/ GIMT_Encode4(167302), // Rule ID 45993 //
     /*  167252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167255 */     // MIs[0] rs1
     /*  167255 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167263 */     // (ld:{ *:[nxv16i32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  167263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  167266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  167280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167296 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167300 */     GIR_RootConstrainSelectedInstOperands,
     /*  167301 */     // GIR_Coverage, 45993,
     /*  167301 */     GIR_EraseRootFromParent_Done,
     /*  167302 */   // Label 3120: @167302
     /*  167302 */   GIM_Try, /*On fail goto*//*Label 3121*/ GIMT_Encode4(167357), // Rule ID 46052 //
     /*  167307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  167310 */     // MIs[0] rs1
     /*  167310 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167314 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167318 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /*  167318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  167321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  167335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167351 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167355 */     GIR_RootConstrainSelectedInstOperands,
     /*  167356 */     // GIR_Coverage, 46052,
     /*  167356 */     GIR_EraseRootFromParent_Done,
     /*  167357 */   // Label 3121: @167357
     /*  167357 */   GIM_Try, /*On fail goto*//*Label 3122*/ GIMT_Encode4(167412), // Rule ID 46053 //
     /*  167362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  167365 */     // MIs[0] rs1
     /*  167365 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167373 */     // (ld:{ *:[nxv16f32] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE32_V_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /*  167373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /*  167376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE32_V_M8),
     /*  167390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  167403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167406 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167410 */     GIR_RootConstrainSelectedInstOperands,
     /*  167411 */     // GIR_Coverage, 46053,
     /*  167411 */     GIR_EraseRootFromParent_Done,
     /*  167412 */   // Label 3122: @167412
     /*  167412 */   GIM_Reject,
     /*  167413 */ // Label 3118: @167413
     /*  167413 */ GIM_Reject,
     /*  167414 */ // Label 2935: @167414
     /*  167414 */ GIM_Try, /*On fail goto*//*Label 3123*/ GIMT_Encode4(167533),
     /*  167419 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167422 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167430 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167438 */   GIM_Try, /*On fail goto*//*Label 3124*/ GIMT_Encode4(167485), // Rule ID 46084 //
     /*  167443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167446 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  167446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  167449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  167463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167483 */     GIR_RootConstrainSelectedInstOperands,
     /*  167484 */     // GIR_Coverage, 46084,
     /*  167484 */     GIR_EraseRootFromParent_Done,
     /*  167485 */   // Label 3124: @167485
     /*  167485 */   GIM_Try, /*On fail goto*//*Label 3125*/ GIMT_Encode4(167532), // Rule ID 46085 //
     /*  167490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167493 */     // (ld:{ *:[nxv32i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B2:{ *:[nxv32i1] } (IMPLICIT_DEF:{ *:[nxv32i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  167493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s1,
     /*  167496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B2),
     /*  167510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167526 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167530 */     GIR_RootConstrainSelectedInstOperands,
     /*  167531 */     // GIR_Coverage, 46085,
     /*  167531 */     GIR_EraseRootFromParent_Done,
     /*  167532 */   // Label 3125: @167532
     /*  167532 */   GIM_Reject,
     /*  167533 */ // Label 3123: @167533
     /*  167533 */ GIM_Reject,
     /*  167534 */ // Label 2936: @167534
     /*  167534 */ GIM_Try, /*On fail goto*//*Label 3126*/ GIMT_Encode4(167661),
     /*  167539 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167542 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  167550 */   GIM_Try, /*On fail goto*//*Label 3127*/ GIMT_Encode4(167605), // Rule ID 45964 //
     /*  167555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167558 */     // MIs[0] rs1
     /*  167558 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167566 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  167566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  167569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  167583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167599 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167603 */     GIR_RootConstrainSelectedInstOperands,
     /*  167604 */     // GIR_Coverage, 45964,
     /*  167604 */     GIR_EraseRootFromParent_Done,
     /*  167605 */   // Label 3127: @167605
     /*  167605 */   GIM_Try, /*On fail goto*//*Label 3128*/ GIMT_Encode4(167660), // Rule ID 45965 //
     /*  167610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167613 */     // MIs[0] rs1
     /*  167613 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167621 */     // (ld:{ *:[nxv32i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  167621 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /*  167624 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167628 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167633 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M4),
     /*  167638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167640 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167654 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167658 */     GIR_RootConstrainSelectedInstOperands,
     /*  167659 */     // GIR_Coverage, 45965,
     /*  167659 */     GIR_EraseRootFromParent_Done,
     /*  167660 */   // Label 3128: @167660
     /*  167660 */   GIM_Reject,
     /*  167661 */ // Label 3126: @167661
     /*  167661 */ GIM_Reject,
     /*  167662 */ // Label 2937: @167662
     /*  167662 */ GIM_Try, /*On fail goto*//*Label 3129*/ GIMT_Encode4(167899),
     /*  167667 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167670 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  167678 */   GIM_Try, /*On fail goto*//*Label 3130*/ GIMT_Encode4(167733), // Rule ID 45980 //
     /*  167683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167686 */     // MIs[0] rs1
     /*  167686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167694 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  167694 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167697 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167701 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167706 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167713 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167727 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167731 */     GIR_RootConstrainSelectedInstOperands,
     /*  167732 */     // GIR_Coverage, 45980,
     /*  167732 */     GIR_EraseRootFromParent_Done,
     /*  167733 */   // Label 3130: @167733
     /*  167733 */   GIM_Try, /*On fail goto*//*Label 3131*/ GIMT_Encode4(167788), // Rule ID 45981 //
     /*  167738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167741 */     // MIs[0] rs1
     /*  167741 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167749 */     // (ld:{ *:[nxv32i16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  167749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167782 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167786 */     GIR_RootConstrainSelectedInstOperands,
     /*  167787 */     // GIR_Coverage, 45981,
     /*  167787 */     GIR_EraseRootFromParent_Done,
     /*  167788 */   // Label 3131: @167788
     /*  167788 */   GIM_Try, /*On fail goto*//*Label 3132*/ GIMT_Encode4(167843), // Rule ID 46040 //
     /*  167793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  167796 */     // MIs[0] rs1
     /*  167796 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  167800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167804 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /*  167804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167837 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167841 */     GIR_RootConstrainSelectedInstOperands,
     /*  167842 */     // GIR_Coverage, 46040,
     /*  167842 */     GIR_EraseRootFromParent_Done,
     /*  167843 */   // Label 3132: @167843
     /*  167843 */   GIM_Try, /*On fail goto*//*Label 3133*/ GIMT_Encode4(167898), // Rule ID 46041 //
     /*  167848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  167851 */     // MIs[0] rs1
     /*  167851 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  167855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167859 */     // (ld:{ *:[nxv32f16] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE16_V_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /*  167859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /*  167862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE16_V_M8),
     /*  167876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  167889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167892 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167896 */     GIR_RootConstrainSelectedInstOperands,
     /*  167897 */     // GIR_Coverage, 46041,
     /*  167897 */     GIR_EraseRootFromParent_Done,
     /*  167898 */   // Label 3133: @167898
     /*  167898 */   GIM_Reject,
     /*  167899 */ // Label 3129: @167899
     /*  167899 */ GIM_Reject,
     /*  167900 */ // Label 2938: @167900
     /*  167900 */ GIM_Try, /*On fail goto*//*Label 3134*/ GIMT_Encode4(168019),
     /*  167905 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  167908 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  167912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  167916 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  167920 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  167924 */   GIM_Try, /*On fail goto*//*Label 3135*/ GIMT_Encode4(167971), // Rule ID 46088 //
     /*  167929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  167932 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] }, 3:{ *:[i64] })
     /*  167932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  167935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  167949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  167954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  167956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  167959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  167962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  167965 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  167969 */     GIR_RootConstrainSelectedInstOperands,
     /*  167970 */     // GIR_Coverage, 46088,
     /*  167970 */     GIR_EraseRootFromParent_Done,
     /*  167971 */   // Label 3135: @167971
     /*  167971 */   GIM_Try, /*On fail goto*//*Label 3136*/ GIMT_Encode4(168018), // Rule ID 46089 //
     /*  167976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  167979 */     // (ld:{ *:[nxv64i1] } GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLM_V_B1:{ *:[nxv64i1] } (IMPLICIT_DEF:{ *:[nxv64i1] }), GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] }, 3:{ *:[i32] })
     /*  167979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s1,
     /*  167982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  167986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  167991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  167993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLM_V_B1),
     /*  167996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  167998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  168001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  168009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168012 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168016 */     GIR_RootConstrainSelectedInstOperands,
     /*  168017 */     // GIR_Coverage, 46089,
     /*  168017 */     GIR_EraseRootFromParent_Done,
     /*  168018 */   // Label 3136: @168018
     /*  168018 */   GIM_Reject,
     /*  168019 */ // Label 3134: @168019
     /*  168019 */ GIM_Reject,
     /*  168020 */ // Label 2939: @168020
     /*  168020 */ GIM_Try, /*On fail goto*//*Label 3137*/ GIMT_Encode4(168147),
     /*  168025 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168028 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  168032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  168036 */   GIM_Try, /*On fail goto*//*Label 3138*/ GIMT_Encode4(168091), // Rule ID 45968 //
     /*  168041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  168044 */     // MIs[0] rs1
     /*  168044 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  168048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168052 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  168052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  168055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  168059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  168064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  168066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  168069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  168074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168089 */     GIR_RootConstrainSelectedInstOperands,
     /*  168090 */     // GIR_Coverage, 45968,
     /*  168090 */     GIR_EraseRootFromParent_Done,
     /*  168091 */   // Label 3138: @168091
     /*  168091 */   GIM_Try, /*On fail goto*//*Label 3139*/ GIMT_Encode4(168146), // Rule ID 45969 //
     /*  168096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  168099 */     // MIs[0] rs1
     /*  168099 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168107 */     // (ld:{ *:[nxv64i8] } GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedload>><<P:Predicate_load>>  =>  (PseudoVLE8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  168107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /*  168110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /*  168114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /*  168119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /*  168121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVLE8_V_M8),
     /*  168124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /*  168129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  168131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  168134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  168140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  168144 */     GIR_RootConstrainSelectedInstOperands,
     /*  168145 */     // GIR_Coverage, 45969,
     /*  168145 */     GIR_EraseRootFromParent_Done,
     /*  168146 */   // Label 3139: @168146
     /*  168146 */   GIM_Reject,
     /*  168147 */ // Label 3137: @168147
     /*  168147 */ GIM_Reject,
     /*  168148 */ // Label 2940: @168148
     /*  168148 */ GIM_Reject,
     /*  168149 */ // Label 22: @168149
     /*  168149 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3142*/ GIMT_Encode4(170118),
     /*  168160 */ /*GILLT_s32*//*Label 3140*/ GIMT_Encode4(168168),
     /*  168164 */ /*GILLT_s64*//*Label 3141*/ GIMT_Encode4(169544),
     /*  168168 */ // Label 3140: @168168
     /*  168168 */ GIM_Try, /*On fail goto*//*Label 3143*/ GIMT_Encode4(168275), // Rule ID 74345 //
     /*  168173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168176 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168179 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168190 */   // MIs[0] Operand 1
     /*  168190 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168194 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168198 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168202 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168206 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168210 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168214 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168218 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168222 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168226 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168231 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168235 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168239 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168243 */   // MIs[3] Operand 1
     /*  168243 */   // No operand predicates
     /*  168243 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168248 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168250 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  168253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168255 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168259 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168263 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168266 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168273 */   GIR_RootConstrainSelectedInstOperands,
     /*  168274 */   // GIR_Coverage, 74345,
     /*  168274 */   GIR_EraseRootFromParent_Done,
     /*  168275 */ // Label 3143: @168275
     /*  168275 */ GIM_Try, /*On fail goto*//*Label 3144*/ GIMT_Encode4(168382), // Rule ID 74346 //
     /*  168280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168283 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168286 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168297 */   // MIs[0] Operand 1
     /*  168297 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168301 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168305 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168309 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168313 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168317 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168321 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168325 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168329 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168333 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168338 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168342 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168346 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168350 */   // MIs[3] Operand 1
     /*  168350 */   // No operand predicates
     /*  168350 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168355 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168357 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  168360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168362 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168366 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168370 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168373 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168380 */   GIR_RootConstrainSelectedInstOperands,
     /*  168381 */   // GIR_Coverage, 74346,
     /*  168381 */   GIR_EraseRootFromParent_Done,
     /*  168382 */ // Label 3144: @168382
     /*  168382 */ GIM_Try, /*On fail goto*//*Label 3145*/ GIMT_Encode4(168489), // Rule ID 74349 //
     /*  168387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168390 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168393 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168404 */   // MIs[0] Operand 1
     /*  168404 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168408 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168412 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168416 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168420 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168424 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168428 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168432 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168436 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168440 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168445 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168449 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168453 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168457 */   // MIs[3] Operand 1
     /*  168457 */   // No operand predicates
     /*  168457 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168462 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168464 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  168467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168469 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168473 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168477 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168480 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168487 */   GIR_RootConstrainSelectedInstOperands,
     /*  168488 */   // GIR_Coverage, 74349,
     /*  168488 */   GIR_EraseRootFromParent_Done,
     /*  168489 */ // Label 3145: @168489
     /*  168489 */ GIM_Try, /*On fail goto*//*Label 3146*/ GIMT_Encode4(168596), // Rule ID 74350 //
     /*  168494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168497 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168500 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168511 */   // MIs[0] Operand 1
     /*  168511 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168515 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168519 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168523 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168527 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168531 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  168535 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168539 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168543 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168547 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168552 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168556 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168560 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168564 */   // MIs[3] Operand 1
     /*  168564 */   // No operand predicates
     /*  168564 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168569 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168571 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  168574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168576 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  168580 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168584 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168587 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168594 */   GIR_RootConstrainSelectedInstOperands,
     /*  168595 */   // GIR_Coverage, 74350,
     /*  168595 */   GIR_EraseRootFromParent_Done,
     /*  168596 */ // Label 3146: @168596
     /*  168596 */ GIM_Try, /*On fail goto*//*Label 3147*/ GIMT_Encode4(168703), // Rule ID 64552 //
     /*  168601 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168604 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168607 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168618 */   // MIs[0] Operand 1
     /*  168618 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168622 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168626 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168630 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168634 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168638 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168643 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168647 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168651 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168655 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168659 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168664 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168668 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168672 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168676 */   // MIs[3] Operand 1
     /*  168676 */   // No operand predicates
     /*  168676 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168678 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  168681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168683 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168687 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168691 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168694 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168701 */   GIR_RootConstrainSelectedInstOperands,
     /*  168702 */   // GIR_Coverage, 64552,
     /*  168702 */   GIR_EraseRootFromParent_Done,
     /*  168703 */ // Label 3147: @168703
     /*  168703 */ GIM_Try, /*On fail goto*//*Label 3148*/ GIMT_Encode4(168810), // Rule ID 64553 //
     /*  168708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168711 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168714 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  168721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168725 */   // MIs[0] Operand 1
     /*  168725 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168729 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168733 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168737 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168741 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168745 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168750 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168754 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168758 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168762 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168766 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168771 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168775 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168779 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168783 */   // MIs[3] Operand 1
     /*  168783 */   // No operand predicates
     /*  168783 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168785 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (QC_LRB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168785 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRB),
     /*  168788 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168790 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168794 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168798 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168801 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168808 */   GIR_RootConstrainSelectedInstOperands,
     /*  168809 */   // GIR_Coverage, 64553,
     /*  168809 */   GIR_EraseRootFromParent_Done,
     /*  168810 */ // Label 3148: @168810
     /*  168810 */ GIM_Try, /*On fail goto*//*Label 3149*/ GIMT_Encode4(168917), // Rule ID 64556 //
     /*  168815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  168818 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168821 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168832 */   // MIs[0] Operand 1
     /*  168832 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168836 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168840 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168844 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168848 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168852 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168857 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168861 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168865 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168869 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  168873 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168878 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168882 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168886 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168890 */   // MIs[3] Operand 1
     /*  168890 */   // No operand predicates
     /*  168890 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168892 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  168892 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  168895 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  168897 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  168901 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  168905 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  168908 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  168915 */   GIR_RootConstrainSelectedInstOperands,
     /*  168916 */   // GIR_Coverage, 64556,
     /*  168916 */   GIR_EraseRootFromParent_Done,
     /*  168917 */ // Label 3149: @168917
     /*  168917 */ GIM_Try, /*On fail goto*//*Label 3150*/ GIMT_Encode4(169024), // Rule ID 64557 //
     /*  168922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  168925 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  168928 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  168935 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168939 */   // MIs[0] Operand 1
     /*  168939 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  168943 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  168947 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  168951 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  168955 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  168959 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  168964 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  168968 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  168972 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  168976 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  168980 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  168985 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  168989 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  168993 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  168997 */   // MIs[3] Operand 1
     /*  168997 */   // No operand predicates
     /*  168997 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  168999 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (QC_LRH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  168999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRH),
     /*  169002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169004 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  169008 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  169012 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  169015 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  169022 */   GIR_RootConstrainSelectedInstOperands,
     /*  169023 */   // GIR_Coverage, 64557,
     /*  169023 */   GIR_EraseRootFromParent_Done,
     /*  169024 */ // Label 3150: @169024
     /*  169024 */ GIM_Try, /*On fail goto*//*Label 3151*/ GIMT_Encode4(169078), // Rule ID 231 //
     /*  169029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169032 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169035 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169046 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169050 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169057 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  169060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169062 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169067 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169072 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169076 */   GIR_RootConstrainSelectedInstOperands,
     /*  169077 */   // GIR_Coverage, 231,
     /*  169077 */   GIR_EraseRootFromParent_Done,
     /*  169078 */ // Label 3151: @169078
     /*  169078 */ GIM_Try, /*On fail goto*//*Label 3152*/ GIMT_Encode4(169132), // Rule ID 235 //
     /*  169083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  169086 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169089 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169096 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169100 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169104 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169111 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  169114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169116 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169121 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169126 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169130 */   GIR_RootConstrainSelectedInstOperands,
     /*  169131 */   // GIR_Coverage, 235,
     /*  169131 */   GIR_EraseRootFromParent_Done,
     /*  169132 */ // Label 3152: @169132
     /*  169132 */ GIM_Try, /*On fail goto*//*Label 3153*/ GIMT_Encode4(169189), // Rule ID 324 //
     /*  169137 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169140 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169143 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169150 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169157 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169161 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169168 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10075>>  =>  (LB:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  169171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169173 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169178 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169183 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169187 */   GIR_RootConstrainSelectedInstOperands,
     /*  169188 */   // GIR_Coverage, 324,
     /*  169188 */   GIR_EraseRootFromParent_Done,
     /*  169189 */ // Label 3153: @169189
     /*  169189 */ GIM_Try, /*On fail goto*//*Label 3154*/ GIMT_Encode4(169246), // Rule ID 328 //
     /*  169194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  169197 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169200 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169207 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169214 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169218 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169225 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10077>>  =>  (LH:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  169228 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169230 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169235 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169240 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169244 */   GIR_RootConstrainSelectedInstOperands,
     /*  169245 */   // GIR_Coverage, 328,
     /*  169245 */   GIR_EraseRootFromParent_Done,
     /*  169246 */ // Label 3154: @169246
     /*  169246 */ GIM_Try, /*On fail goto*//*Label 3155*/ GIMT_Encode4(169303), // Rule ID 344 //
     /*  169251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  169254 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169257 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169264 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169271 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169275 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169282 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10091>>  =>  (LW:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  169282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  169285 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169287 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169292 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169297 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169301 */   GIR_RootConstrainSelectedInstOperands,
     /*  169302 */   // GIR_Coverage, 344,
     /*  169302 */   GIR_EraseRootFromParent_Done,
     /*  169303 */ // Label 3155: @169303
     /*  169303 */ GIM_Try, /*On fail goto*//*Label 3156*/ GIMT_Encode4(169343), // Rule ID 1100 //
     /*  169308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169311 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169314 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169328 */   // MIs[0] rs1
     /*  169328 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169336 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10579>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  169336 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  169341 */   GIR_RootConstrainSelectedInstOperands,
     /*  169342 */   // GIR_Coverage, 1100,
     /*  169342 */   GIR_Done,
     /*  169343 */ // Label 3156: @169343
     /*  169343 */ GIM_Try, /*On fail goto*//*Label 3157*/ GIMT_Encode4(169383), // Rule ID 1104 //
     /*  169348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169351 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169354 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169361 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169368 */   // MIs[0] rs1
     /*  169368 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169376 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10581>>  =>  (LB_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  169376 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  169381 */   GIR_RootConstrainSelectedInstOperands,
     /*  169382 */   // GIR_Coverage, 1104,
     /*  169382 */   GIR_Done,
     /*  169383 */ // Label 3157: @169383
     /*  169383 */ GIM_Try, /*On fail goto*//*Label 3158*/ GIMT_Encode4(169423), // Rule ID 1108 //
     /*  169388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169391 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169394 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169401 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169408 */   // MIs[0] rs1
     /*  169408 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169416 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10583>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  169416 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  169421 */   GIR_RootConstrainSelectedInstOperands,
     /*  169422 */   // GIR_Coverage, 1108,
     /*  169422 */   GIR_Done,
     /*  169423 */ // Label 3158: @169423
     /*  169423 */ GIM_Try, /*On fail goto*//*Label 3159*/ GIMT_Encode4(169463), // Rule ID 1112 //
     /*  169428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  169431 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169434 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169441 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169448 */   // MIs[0] rs1
     /*  169448 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169456 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10585>>  =>  (LH_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  169456 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  169461 */   GIR_RootConstrainSelectedInstOperands,
     /*  169462 */   // GIR_Coverage, 1112,
     /*  169462 */   GIR_Done,
     /*  169463 */ // Label 3159: @169463
     /*  169463 */ GIM_Try, /*On fail goto*//*Label 3160*/ GIMT_Encode4(169503), // Rule ID 1132 //
     /*  169468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  169471 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169474 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169481 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169488 */   // MIs[0] rs1
     /*  169488 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169496 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10603>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  169496 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  169501 */   GIR_RootConstrainSelectedInstOperands,
     /*  169502 */   // GIR_Coverage, 1132,
     /*  169502 */   GIR_Done,
     /*  169503 */ // Label 3160: @169503
     /*  169503 */ GIM_Try, /*On fail goto*//*Label 3161*/ GIMT_Encode4(169543), // Rule ID 1136 //
     /*  169508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  169511 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169514 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169521 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169528 */   // MIs[0] rs1
     /*  169528 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  169532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169536 */   // (atomic_load:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i32] } GPRMemZeroOffset:{ *:[i32] }:$rs1)
     /*  169536 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  169541 */   GIR_RootConstrainSelectedInstOperands,
     /*  169542 */   // GIR_Coverage, 1136,
     /*  169542 */   GIR_Done,
     /*  169543 */ // Label 3161: @169543
     /*  169543 */ GIM_Reject,
     /*  169544 */ // Label 3141: @169544
     /*  169544 */ GIM_Try, /*On fail goto*//*Label 3162*/ GIMT_Encode4(169598), // Rule ID 230 //
     /*  169549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169552 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169555 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169566 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169570 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169577 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi8>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  169580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169582 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169587 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169592 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169596 */   GIR_RootConstrainSelectedInstOperands,
     /*  169597 */   // GIR_Coverage, 230,
     /*  169597 */   GIR_EraseRootFromParent_Done,
     /*  169598 */ // Label 3162: @169598
     /*  169598 */ GIM_Try, /*On fail goto*//*Label 3163*/ GIMT_Encode4(169652), // Rule ID 234 //
     /*  169603 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  169606 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169609 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169620 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169624 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169631 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi16>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  169634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169636 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169641 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169646 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169650 */   GIR_RootConstrainSelectedInstOperands,
     /*  169651 */   // GIR_Coverage, 234,
     /*  169651 */   GIR_EraseRootFromParent_Done,
     /*  169652 */ // Label 3163: @169652
     /*  169652 */ GIM_Try, /*On fail goto*//*Label 3164*/ GIMT_Encode4(169706), // Rule ID 281 //
     /*  169657 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  169660 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  169663 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169674 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169678 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169685 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_sextload>><<P:Predicate_sextloadi32>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  169688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169690 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169695 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169700 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169704 */   GIR_RootConstrainSelectedInstOperands,
     /*  169705 */   // GIR_Coverage, 281,
     /*  169705 */   GIR_EraseRootFromParent_Done,
     /*  169706 */ // Label 3164: @169706
     /*  169706 */ GIM_Try, /*On fail goto*//*Label 3165*/ GIMT_Encode4(169763), // Rule ID 323 //
     /*  169711 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  169714 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169717 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169724 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169731 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169735 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169742 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10075>>  =>  (LB:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LB),
     /*  169745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169747 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169752 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169757 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169761 */   GIR_RootConstrainSelectedInstOperands,
     /*  169762 */   // GIR_Coverage, 323,
     /*  169762 */   GIR_EraseRootFromParent_Done,
     /*  169763 */ // Label 3165: @169763
     /*  169763 */ GIM_Try, /*On fail goto*//*Label 3166*/ GIMT_Encode4(169820), // Rule ID 327 //
     /*  169768 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  169771 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169774 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169781 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169788 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169792 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169799 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10077>>  =>  (LH:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LH),
     /*  169802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169804 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169814 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169818 */   GIR_RootConstrainSelectedInstOperands,
     /*  169819 */   // GIR_Coverage, 327,
     /*  169819 */   GIR_EraseRootFromParent_Done,
     /*  169820 */ // Label 3166: @169820
     /*  169820 */ GIM_Try, /*On fail goto*//*Label 3167*/ GIMT_Encode4(169877), // Rule ID 343 //
     /*  169825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  169828 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169831 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  169838 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169845 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  169849 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  169856 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10091>>  =>  (LW:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  169856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LW),
     /*  169859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  169861 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  169866 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  169871 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  169875 */   GIR_RootConstrainSelectedInstOperands,
     /*  169876 */   // GIR_Coverage, 343,
     /*  169876 */   GIR_EraseRootFromParent_Done,
     /*  169877 */ // Label 3167: @169877
     /*  169877 */ GIM_Try, /*On fail goto*//*Label 3168*/ GIMT_Encode4(169917), // Rule ID 1099 //
     /*  169882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169885 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169888 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169895 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169902 */   // MIs[0] rs1
     /*  169902 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169910 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10579>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169910 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  169915 */   GIR_RootConstrainSelectedInstOperands,
     /*  169916 */   // GIR_Coverage, 1099,
     /*  169916 */   GIR_Done,
     /*  169917 */ // Label 3168: @169917
     /*  169917 */ GIM_Try, /*On fail goto*//*Label 3169*/ GIMT_Encode4(169957), // Rule ID 1103 //
     /*  169922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169925 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169928 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  169935 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  169938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169942 */   // MIs[0] rs1
     /*  169942 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169950 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_8>><<P:Predicate_anonymous_10581>>  =>  (LB_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169950 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LB_AQ),
     /*  169955 */   GIR_RootConstrainSelectedInstOperands,
     /*  169956 */   // GIR_Coverage, 1103,
     /*  169956 */   GIR_Done,
     /*  169957 */ // Label 3169: @169957
     /*  169957 */ GIM_Try, /*On fail goto*//*Label 3170*/ GIMT_Encode4(169997), // Rule ID 1107 //
     /*  169962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  169965 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  169968 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  169975 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  169978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169982 */   // MIs[0] rs1
     /*  169982 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  169986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  169990 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10583>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  169990 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  169995 */   GIR_RootConstrainSelectedInstOperands,
     /*  169996 */   // GIR_Coverage, 1107,
     /*  169996 */   GIR_Done,
     /*  169997 */ // Label 3170: @169997
     /*  169997 */ GIM_Try, /*On fail goto*//*Label 3171*/ GIMT_Encode4(170037), // Rule ID 1111 //
     /*  170002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  170005 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170008 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170015 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170022 */   // MIs[0] rs1
     /*  170022 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170030 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_16>><<P:Predicate_anonymous_10585>>  =>  (LH_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  170030 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LH_AQ),
     /*  170035 */   GIR_RootConstrainSelectedInstOperands,
     /*  170036 */   // GIR_Coverage, 1111,
     /*  170036 */   GIR_Done,
     /*  170037 */ // Label 3171: @170037
     /*  170037 */ GIM_Try, /*On fail goto*//*Label 3172*/ GIMT_Encode4(170077), // Rule ID 1131 //
     /*  170042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  170045 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170048 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170055 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  170058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170062 */   // MIs[0] rs1
     /*  170062 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170070 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10603>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  170070 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  170075 */   GIR_RootConstrainSelectedInstOperands,
     /*  170076 */   // GIR_Coverage, 1131,
     /*  170076 */   GIR_Done,
     /*  170077 */ // Label 3172: @170077
     /*  170077 */ GIM_Try, /*On fail goto*//*Label 3173*/ GIMT_Encode4(170117), // Rule ID 1135 //
     /*  170082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  170085 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  170088 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  170095 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  170098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170102 */   // MIs[0] rs1
     /*  170102 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  170106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170110 */   // (atomic_load:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_load_sext>><<P:Predicate_atomic_load_sext_32>><<P:Predicate_anonymous_10605>>  =>  (LW_AQ:{ *:[i64] } GPRMemZeroOffset:{ *:[i64] }:$rs1)
     /*  170110 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::LW_AQ),
     /*  170115 */   GIR_RootConstrainSelectedInstOperands,
     /*  170116 */   // GIR_Coverage, 1135,
     /*  170116 */   GIR_Done,
     /*  170117 */ // Label 3173: @170117
     /*  170117 */ GIM_Reject,
     /*  170118 */ // Label 3142: @170118
     /*  170118 */ GIM_Reject,
     /*  170119 */ // Label 23: @170119
     /*  170119 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3176*/ GIMT_Encode4(171608),
     /*  170130 */ /*GILLT_s32*//*Label 3174*/ GIMT_Encode4(170138),
     /*  170134 */ /*GILLT_s64*//*Label 3175*/ GIMT_Encode4(171274),
     /*  170138 */ // Label 3174: @170138
     /*  170138 */ GIM_Try, /*On fail goto*//*Label 3177*/ GIMT_Encode4(170245), // Rule ID 74355 //
     /*  170143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  170146 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170149 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170160 */   // MIs[0] Operand 1
     /*  170160 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170164 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170168 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170172 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170176 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170180 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  170184 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170188 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170192 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  170196 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170201 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170205 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170209 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170213 */   // MIs[3] Operand 1
     /*  170213 */   // No operand predicates
     /*  170213 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170218 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170220 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  170220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  170223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170225 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  170229 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170233 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170236 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170243 */   GIR_RootConstrainSelectedInstOperands,
     /*  170244 */   // GIR_Coverage, 74355,
     /*  170244 */   GIR_EraseRootFromParent_Done,
     /*  170245 */ // Label 3177: @170245
     /*  170245 */ GIM_Try, /*On fail goto*//*Label 3178*/ GIMT_Encode4(170352), // Rule ID 74356 //
     /*  170250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  170253 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170256 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170267 */   // MIs[0] Operand 1
     /*  170267 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170271 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170275 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170279 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170283 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170287 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  170291 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170295 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170299 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170303 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170308 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170312 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170316 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170320 */   // MIs[3] Operand 1
     /*  170320 */   // No operand predicates
     /*  170320 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170325 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170327 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  170330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170332 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  170336 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170340 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170343 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170350 */   GIR_RootConstrainSelectedInstOperands,
     /*  170351 */   // GIR_Coverage, 74356,
     /*  170351 */   GIR_EraseRootFromParent_Done,
     /*  170352 */ // Label 3178: @170352
     /*  170352 */ GIM_Try, /*On fail goto*//*Label 3179*/ GIMT_Encode4(170459), // Rule ID 74357 //
     /*  170357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  170360 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170363 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170374 */   // MIs[0] Operand 1
     /*  170374 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170378 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170382 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170386 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170390 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170394 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  170398 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170402 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170406 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  170410 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170415 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170419 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170423 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170427 */   // MIs[3] Operand 1
     /*  170427 */   // No operand predicates
     /*  170427 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170432 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170434 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  170434 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170437 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170439 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  170443 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170447 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170450 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170457 */   GIR_RootConstrainSelectedInstOperands,
     /*  170458 */   // GIR_Coverage, 74357,
     /*  170458 */   GIR_EraseRootFromParent_Done,
     /*  170459 */ // Label 3179: @170459
     /*  170459 */ GIM_Try, /*On fail goto*//*Label 3180*/ GIMT_Encode4(170566), // Rule ID 74358 //
     /*  170464 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  170467 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170470 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170481 */   // MIs[0] Operand 1
     /*  170481 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170485 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170489 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170493 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170497 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170501 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  170505 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170509 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170513 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170517 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170522 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170526 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170530 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170534 */   // MIs[3] Operand 1
     /*  170534 */   // No operand predicates
     /*  170534 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170539 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170541 */   // (ld:{ *:[i32] } (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170546 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  170550 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170554 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170557 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170564 */   GIR_RootConstrainSelectedInstOperands,
     /*  170565 */   // GIR_Coverage, 74358,
     /*  170565 */   GIR_EraseRootFromParent_Done,
     /*  170566 */ // Label 3180: @170566
     /*  170566 */ GIM_Try, /*On fail goto*//*Label 3181*/ GIMT_Encode4(170673), // Rule ID 64562 //
     /*  170571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  170574 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170577 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170588 */   // MIs[0] Operand 1
     /*  170588 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170592 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170596 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170600 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170604 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170608 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170613 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170617 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170621 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170625 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  170629 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170634 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170638 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170642 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170646 */   // MIs[3] Operand 1
     /*  170646 */   // No operand predicates
     /*  170646 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170648 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  170648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  170651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170653 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170657 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170661 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170664 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170671 */   GIR_RootConstrainSelectedInstOperands,
     /*  170672 */   // GIR_Coverage, 64562,
     /*  170672 */   GIR_EraseRootFromParent_Done,
     /*  170673 */ // Label 3181: @170673
     /*  170673 */ GIM_Try, /*On fail goto*//*Label 3182*/ GIMT_Encode4(170780), // Rule ID 64563 //
     /*  170678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  170681 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170684 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  170691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170695 */   // MIs[0] Operand 1
     /*  170695 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170699 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170703 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170707 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170711 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170715 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170720 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170724 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170728 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170732 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170736 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170741 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170745 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170749 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170753 */   // MIs[3] Operand 1
     /*  170753 */   // No operand predicates
     /*  170753 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170755 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (QC_LRBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170755 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRBU),
     /*  170758 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170760 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170764 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170768 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170771 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170778 */   GIR_RootConstrainSelectedInstOperands,
     /*  170779 */   // GIR_Coverage, 64563,
     /*  170779 */   GIR_EraseRootFromParent_Done,
     /*  170780 */ // Label 3182: @170780
     /*  170780 */ GIM_Try, /*On fail goto*//*Label 3183*/ GIMT_Encode4(170887), // Rule ID 64564 //
     /*  170785 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  170788 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170791 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170802 */   // MIs[0] Operand 1
     /*  170802 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170806 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170810 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170814 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170818 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170822 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170827 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170831 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170835 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170839 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  170843 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170848 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170852 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170856 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170860 */   // MIs[3] Operand 1
     /*  170860 */   // No operand predicates
     /*  170860 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170862 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  170862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170867 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170871 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170875 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170878 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170885 */   GIR_RootConstrainSelectedInstOperands,
     /*  170886 */   // GIR_Coverage, 64564,
     /*  170886 */   GIR_EraseRootFromParent_Done,
     /*  170887 */ // Label 3183: @170887
     /*  170887 */ GIM_Try, /*On fail goto*//*Label 3184*/ GIMT_Encode4(170994), // Rule ID 64565 //
     /*  170892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  170895 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  170898 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  170905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170909 */   // MIs[0] Operand 1
     /*  170909 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  170913 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  170917 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  170921 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  170925 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  170929 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  170934 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  170938 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  170942 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  170946 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  170950 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  170955 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  170959 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  170963 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  170967 */   // MIs[3] Operand 1
     /*  170967 */   // No operand predicates
     /*  170967 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  170969 */   // (ld:{ *:[i32] } (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (QC_LRHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  170969 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_LRHU),
     /*  170972 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  170974 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  170978 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  170982 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  170985 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  170992 */   GIR_RootConstrainSelectedInstOperands,
     /*  170993 */   // GIR_Coverage, 64565,
     /*  170993 */   GIR_EraseRootFromParent_Done,
     /*  170994 */ // Label 3184: @170994
     /*  170994 */ GIM_Try, /*On fail goto*//*Label 3185*/ GIMT_Encode4(171048), // Rule ID 241 //
     /*  170999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  171002 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171005 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171016 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171020 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171027 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  171030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171032 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171037 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171042 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171046 */   GIR_RootConstrainSelectedInstOperands,
     /*  171047 */   // GIR_Coverage, 241,
     /*  171047 */   GIR_EraseRootFromParent_Done,
     /*  171048 */ // Label 3185: @171048
     /*  171048 */ GIM_Try, /*On fail goto*//*Label 3186*/ GIMT_Encode4(171102), // Rule ID 243 //
     /*  171053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  171056 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171059 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171070 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171074 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171081 */   // (ld:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  171084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171086 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171091 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171096 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171100 */   GIR_RootConstrainSelectedInstOperands,
     /*  171101 */   // GIR_Coverage, 243,
     /*  171101 */   GIR_EraseRootFromParent_Done,
     /*  171102 */ // Label 3186: @171102
     /*  171102 */ GIM_Try, /*On fail goto*//*Label 3187*/ GIMT_Encode4(171159), // Rule ID 330 //
     /*  171107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  171110 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171113 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171120 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171127 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171131 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171138 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10079>>  =>  (LBU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171138 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  171141 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171143 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171148 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171153 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171157 */   GIR_RootConstrainSelectedInstOperands,
     /*  171158 */   // GIR_Coverage, 330,
     /*  171158 */   GIR_EraseRootFromParent_Done,
     /*  171159 */ // Label 3187: @171159
     /*  171159 */ GIM_Try, /*On fail goto*//*Label 3188*/ GIMT_Encode4(171216), // Rule ID 332 //
     /*  171164 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  171167 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171170 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171177 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171184 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171188 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171195 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10081>>  =>  (LHU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  171198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171200 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171205 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171210 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171214 */   GIR_RootConstrainSelectedInstOperands,
     /*  171215 */   // GIR_Coverage, 332,
     /*  171215 */   GIR_EraseRootFromParent_Done,
     /*  171216 */ // Label 3188: @171216
     /*  171216 */ GIM_Try, /*On fail goto*//*Label 3189*/ GIMT_Encode4(171273), // Rule ID 346 //
     /*  171221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  171224 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171227 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171234 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171241 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171245 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171252 */   // (atomic_load:{ *:[i32] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10093>>  =>  (LWU:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  171255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171257 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171262 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171267 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171271 */   GIR_RootConstrainSelectedInstOperands,
     /*  171272 */   // GIR_Coverage, 346,
     /*  171272 */   GIR_EraseRootFromParent_Done,
     /*  171273 */ // Label 3189: @171273
     /*  171273 */ GIM_Reject,
     /*  171274 */ // Label 3175: @171274
     /*  171274 */ GIM_Try, /*On fail goto*//*Label 3190*/ GIMT_Encode4(171328), // Rule ID 240 //
     /*  171279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  171282 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171285 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171296 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171300 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171307 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi8>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  171310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171322 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171326 */   GIR_RootConstrainSelectedInstOperands,
     /*  171327 */   // GIR_Coverage, 240,
     /*  171327 */   GIR_EraseRootFromParent_Done,
     /*  171328 */ // Label 3190: @171328
     /*  171328 */ GIM_Try, /*On fail goto*//*Label 3191*/ GIMT_Encode4(171382), // Rule ID 242 //
     /*  171333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  171336 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171339 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171350 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171354 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171361 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi16>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171361 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  171364 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171366 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171371 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171376 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171380 */   GIR_RootConstrainSelectedInstOperands,
     /*  171381 */   // GIR_Coverage, 242,
     /*  171381 */   GIR_EraseRootFromParent_Done,
     /*  171382 */ // Label 3191: @171382
     /*  171382 */ GIM_Try, /*On fail goto*//*Label 3192*/ GIMT_Encode4(171436), // Rule ID 283 //
     /*  171387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  171390 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171393 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171404 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171408 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171415 */   // (ld:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedload>><<P:Predicate_zextload>><<P:Predicate_zextloadi32>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171415 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  171418 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171420 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171425 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171430 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171434 */   GIR_RootConstrainSelectedInstOperands,
     /*  171435 */   // GIR_Coverage, 283,
     /*  171435 */   GIR_EraseRootFromParent_Done,
     /*  171436 */ // Label 3192: @171436
     /*  171436 */ GIM_Try, /*On fail goto*//*Label 3193*/ GIMT_Encode4(171493), // Rule ID 329 //
     /*  171441 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171444 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171447 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171454 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171461 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171465 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171472 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_8>><<P:Predicate_anonymous_10079>>  =>  (LBU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LBU),
     /*  171475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171477 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171482 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171487 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171491 */   GIR_RootConstrainSelectedInstOperands,
     /*  171492 */   // GIR_Coverage, 329,
     /*  171492 */   GIR_EraseRootFromParent_Done,
     /*  171493 */ // Label 3193: @171493
     /*  171493 */ GIM_Try, /*On fail goto*//*Label 3194*/ GIMT_Encode4(171550), // Rule ID 331 //
     /*  171498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171501 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171504 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  171511 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171518 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171522 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171529 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_16>><<P:Predicate_anonymous_10081>>  =>  (LHU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LHU),
     /*  171532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171534 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171539 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171544 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171548 */   GIR_RootConstrainSelectedInstOperands,
     /*  171549 */   // GIR_Coverage, 331,
     /*  171549 */   GIR_EraseRootFromParent_Done,
     /*  171550 */ // Label 3194: @171550
     /*  171550 */ GIM_Try, /*On fail goto*//*Label 3195*/ GIMT_Encode4(171607), // Rule ID 345 //
     /*  171555 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  171558 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171561 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  171568 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  171571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171575 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171579 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171586 */   // (atomic_load:{ *:[i64] } (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_load_zext>><<P:Predicate_atomic_load_zext_32>><<P:Predicate_anonymous_10093>>  =>  (LWU:{ *:[i64] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171586 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::LWU),
     /*  171589 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  171591 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171596 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171601 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171605 */   GIR_RootConstrainSelectedInstOperands,
     /*  171606 */   // GIR_Coverage, 345,
     /*  171606 */   GIR_EraseRootFromParent_Done,
     /*  171607 */ // Label 3195: @171607
     /*  171607 */ GIM_Reject,
     /*  171608 */ // Label 3176: @171608
     /*  171608 */ GIM_Reject,
     /*  171609 */ // Label 24: @171609
     /*  171609 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(0), GIMT_Encode2(34), /*)*//*default:*//*Label 3230*/ GIMT_Encode4(179812),
     /*  171620 */ /*GILLT_p0s32*//*Label 3196*/ GIMT_Encode4(171756),
     /*  171624 */ /*GILLT_p0s64*//*Label 3197*/ GIMT_Encode4(171850),
     /*  171628 */ /*GILLT_s16*//*Label 3198*/ GIMT_Encode4(171944),
     /*  171632 */ /*GILLT_s32*//*Label 3199*/ GIMT_Encode4(172583),
     /*  171636 */ /*GILLT_s64*//*Label 3200*/ GIMT_Encode4(175189),
     /*  171640 */ /*GILLT_nxv1s1*//*Label 3201*/ GIMT_Encode4(176266),
     /*  171644 */ /*GILLT_nxv1s8*//*Label 3202*/ GIMT_Encode4(176346),
     /*  171648 */ /*GILLT_nxv1s16*//*Label 3203*/ GIMT_Encode4(176434),
     /*  171652 */ /*GILLT_nxv1s32*//*Label 3204*/ GIMT_Encode4(176592),
     /*  171656 */ /*GILLT_nxv1s64*//*Label 3205*/ GIMT_Encode4(176750),
     /*  171660 */ /*GILLT_nxv2s1*//*Label 3206*/ GIMT_Encode4(176908),
     /*  171664 */ /*GILLT_nxv2s8*//*Label 3207*/ GIMT_Encode4(176988),
     /*  171668 */ /*GILLT_nxv2s16*//*Label 3208*/ GIMT_Encode4(177076),
     /*  171672 */ /*GILLT_nxv2s32*//*Label 3209*/ GIMT_Encode4(177234),
     /*  171676 */ /*GILLT_nxv2s64*//*Label 3210*/ GIMT_Encode4(177392),
     /*  171680 */ /*GILLT_nxv4s1*//*Label 3211*/ GIMT_Encode4(177550),
     /*  171684 */ /*GILLT_nxv4s8*//*Label 3212*/ GIMT_Encode4(177630),
     /*  171688 */ /*GILLT_nxv4s16*//*Label 3213*/ GIMT_Encode4(177718),
     /*  171692 */ /*GILLT_nxv4s32*//*Label 3214*/ GIMT_Encode4(177876),
     /*  171696 */ /*GILLT_nxv4s64*//*Label 3215*/ GIMT_Encode4(178034),
     /*  171700 */ /*GILLT_nxv8s1*//*Label 3216*/ GIMT_Encode4(178192),
     /*  171704 */ /*GILLT_nxv8s8*//*Label 3217*/ GIMT_Encode4(178272),
     /*  171708 */ /*GILLT_nxv8s16*//*Label 3218*/ GIMT_Encode4(178360),
     /*  171712 */ /*GILLT_nxv8s32*//*Label 3219*/ GIMT_Encode4(178518),
     /*  171716 */ /*GILLT_nxv8s64*//*Label 3220*/ GIMT_Encode4(178676),
     /*  171720 */ /*GILLT_nxv16s1*//*Label 3221*/ GIMT_Encode4(178834),
     /*  171724 */ /*GILLT_nxv16s8*//*Label 3222*/ GIMT_Encode4(178914),
     /*  171728 */ /*GILLT_nxv16s16*//*Label 3223*/ GIMT_Encode4(179002),
     /*  171732 */ /*GILLT_nxv16s32*//*Label 3224*/ GIMT_Encode4(179160),
     /*  171736 */ /*GILLT_nxv32s1*//*Label 3225*/ GIMT_Encode4(179318),
     /*  171740 */ /*GILLT_nxv32s8*//*Label 3226*/ GIMT_Encode4(179398),
     /*  171744 */ /*GILLT_nxv32s16*//*Label 3227*/ GIMT_Encode4(179486),
     /*  171748 */ /*GILLT_nxv64s1*//*Label 3228*/ GIMT_Encode4(179644),
     /*  171752 */ /*GILLT_nxv64s8*//*Label 3229*/ GIMT_Encode4(179724),
     /*  171756 */ // Label 3196: @171756
     /*  171756 */ GIM_Try, /*On fail goto*//*Label 3231*/ GIMT_Encode4(171849),
     /*  171761 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171764 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171772 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171776 */   GIM_Try, /*On fail goto*//*Label 3232*/ GIMT_Encode4(171812), // Rule ID 65324 //
     /*  171781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode1),
     /*  171784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171791 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  171794 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171806 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171810 */     GIR_RootConstrainSelectedInstOperands,
     /*  171811 */     // GIR_Coverage, 65324,
     /*  171811 */     GIR_EraseRootFromParent_Done,
     /*  171812 */   // Label 3232: @171812
     /*  171812 */   GIM_Try, /*On fail goto*//*Label 3233*/ GIMT_Encode4(171848), // Rule ID 65328 //
     /*  171817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  171820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171827 */     // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  171827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171830 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171842 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171846 */     GIR_RootConstrainSelectedInstOperands,
     /*  171847 */     // GIR_Coverage, 65328,
     /*  171847 */     GIR_EraseRootFromParent_Done,
     /*  171848 */   // Label 3233: @171848
     /*  171848 */   GIM_Reject,
     /*  171849 */ // Label 3231: @171849
     /*  171849 */ GIM_Reject,
     /*  171850 */ // Label 3197: @171850
     /*  171850 */ GIM_Try, /*On fail goto*//*Label 3234*/ GIMT_Encode4(171943),
     /*  171855 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  171858 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  171862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171866 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171870 */   GIM_Try, /*On fail goto*//*Label 3235*/ GIMT_Encode4(171906), // Rule ID 65323 //
     /*  171875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_HwMode0),
     /*  171878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171885 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  171888 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171904 */     GIR_RootConstrainSelectedInstOperands,
     /*  171905 */     // GIR_Coverage, 65323,
     /*  171905 */     GIR_EraseRootFromParent_Done,
     /*  171906 */   // Label 3235: @171906
     /*  171906 */   GIM_Try, /*On fail goto*//*Label 3236*/ GIMT_Encode4(171942), // Rule ID 65327 //
     /*  171911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  171914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171921 */     // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  171924 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171936 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171940 */     GIR_RootConstrainSelectedInstOperands,
     /*  171941 */     // GIR_Coverage, 65327,
     /*  171941 */     GIR_EraseRootFromParent_Done,
     /*  171942 */   // Label 3236: @171942
     /*  171942 */   GIM_Reject,
     /*  171943 */ // Label 3234: @171943
     /*  171943 */ GIM_Reject,
     /*  171944 */ // Label 3198: @171944
     /*  171944 */ GIM_Try, /*On fail goto*//*Label 3237*/ GIMT_Encode4(171998), // Rule ID 65341 //
     /*  171949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  171952 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  171955 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  171962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  171966 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  171970 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  171977 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  171977 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  171980 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  171982 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  171987 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  171992 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  171996 */   GIR_RootConstrainSelectedInstOperands,
     /*  171997 */   // GIR_Coverage, 65341,
     /*  171997 */   GIR_EraseRootFromParent_Done,
     /*  171998 */ // Label 3237: @171998
     /*  171998 */ GIM_Try, /*On fail goto*//*Label 3238*/ GIMT_Encode4(172052), // Rule ID 65342 //
     /*  172003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  172006 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  172009 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172020 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172024 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172031 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  172031 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  172034 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172036 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172041 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172046 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172050 */   GIR_RootConstrainSelectedInstOperands,
     /*  172051 */   // GIR_Coverage, 65342,
     /*  172051 */   GIR_EraseRootFromParent_Done,
     /*  172052 */ // Label 3238: @172052
     /*  172052 */ GIM_Try, /*On fail goto*//*Label 3239*/ GIMT_Encode4(172106), // Rule ID 65343 //
     /*  172057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  172060 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  172063 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172074 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172078 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172085 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  172085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  172088 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172090 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172095 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172100 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172104 */   GIR_RootConstrainSelectedInstOperands,
     /*  172105 */   // GIR_Coverage, 65343,
     /*  172105 */   GIR_EraseRootFromParent_Done,
     /*  172106 */ // Label 3239: @172106
     /*  172106 */ GIM_Try, /*On fail goto*//*Label 3240*/ GIMT_Encode4(172160), // Rule ID 65344 //
     /*  172111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  172114 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  172117 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172128 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172132 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172139 */   // (atomic_store GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  172139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  172142 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172144 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172149 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172154 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172158 */   GIR_RootConstrainSelectedInstOperands,
     /*  172159 */   // GIR_Coverage, 65344,
     /*  172159 */   GIR_EraseRootFromParent_Done,
     /*  172160 */ // Label 3240: @172160
     /*  172160 */ GIM_Try, /*On fail goto*//*Label 3241*/ GIMT_Encode4(172211), // Rule ID 2148 //
     /*  172165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /*  172168 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172171 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  172179 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172183 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172190 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  172190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  172193 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172195 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172200 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172205 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172209 */   GIR_RootConstrainSelectedInstOperands,
     /*  172210 */   // GIR_Coverage, 2148,
     /*  172210 */   GIR_EraseRootFromParent_Done,
     /*  172211 */ // Label 3241: @172211
     /*  172211 */ GIM_Try, /*On fail goto*//*Label 3242*/ GIMT_Encode4(172262), // Rule ID 2149 //
     /*  172216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /*  172219 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172222 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  172230 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172234 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172241 */   // (st FPR16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSH FPR16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  172241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSH),
     /*  172244 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172246 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172251 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172256 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172260 */   GIR_RootConstrainSelectedInstOperands,
     /*  172261 */   // GIR_Coverage, 2149,
     /*  172261 */   GIR_EraseRootFromParent_Done,
     /*  172262 */ // Label 3242: @172262
     /*  172262 */ GIM_Try, /*On fail goto*//*Label 3243*/ GIMT_Encode4(172313), // Rule ID 2154 //
     /*  172267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /*  172270 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172273 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  172281 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172285 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172292 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  172292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  172295 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172297 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172302 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172307 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172311 */   GIR_RootConstrainSelectedInstOperands,
     /*  172312 */   // GIR_Coverage, 2154,
     /*  172312 */   GIR_EraseRootFromParent_Done,
     /*  172313 */ // Label 3243: @172313
     /*  172313 */ GIM_Try, /*On fail goto*//*Label 3244*/ GIMT_Encode4(172364), // Rule ID 2155 //
     /*  172318 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /*  172321 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172324 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /*  172332 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172336 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172343 */   // (st GPRF16:{ *:[f16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH_INX GPRF16:{ *:[f16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  172343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_INX),
     /*  172346 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172348 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172353 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172358 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172362 */   GIR_RootConstrainSelectedInstOperands,
     /*  172363 */   // GIR_Coverage, 2155,
     /*  172363 */   GIR_EraseRootFromParent_Done,
     /*  172364 */ // Label 3244: @172364
     /*  172364 */ GIM_Try, /*On fail goto*//*Label 3245*/ GIMT_Encode4(172415), // Rule ID 65331 //
     /*  172369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  172372 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172375 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172383 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172387 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172394 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  172394 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  172397 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172399 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172404 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172409 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172413 */   GIR_RootConstrainSelectedInstOperands,
     /*  172414 */   // GIR_Coverage, 65331,
     /*  172414 */   GIR_EraseRootFromParent_Done,
     /*  172415 */ // Label 3245: @172415
     /*  172415 */ GIM_Try, /*On fail goto*//*Label 3246*/ GIMT_Encode4(172466), // Rule ID 65332 //
     /*  172420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  172423 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172426 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172434 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172438 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172445 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SH GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  172445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  172448 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172450 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172455 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172460 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172464 */   GIR_RootConstrainSelectedInstOperands,
     /*  172465 */   // GIR_Coverage, 65332,
     /*  172465 */   GIR_EraseRootFromParent_Done,
     /*  172466 */ // Label 3246: @172466
     /*  172466 */ GIM_Try, /*On fail goto*//*Label 3247*/ GIMT_Encode4(172524), // Rule ID 65335 //
     /*  172471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  172474 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172477 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172481 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172492 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172496 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172503 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  172503 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  172506 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172508 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172513 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172518 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172522 */   GIR_RootConstrainSelectedInstOperands,
     /*  172523 */   // GIR_Coverage, 65335,
     /*  172523 */   GIR_EraseRootFromParent_Done,
     /*  172524 */ // Label 3247: @172524
     /*  172524 */ GIM_Try, /*On fail goto*//*Label 3248*/ GIMT_Encode4(172582), // Rule ID 65336 //
     /*  172529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  172532 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172535 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172539 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172550 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  172554 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  172561 */   // (st GPR:{ *:[i16] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i16] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  172561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  172564 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  172566 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  172571 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  172576 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  172580 */   GIR_RootConstrainSelectedInstOperands,
     /*  172581 */   // GIR_Coverage, 65336,
     /*  172581 */   GIR_EraseRootFromParent_Done,
     /*  172582 */ // Label 3248: @172582
     /*  172582 */ GIM_Reject,
     /*  172583 */ // Label 3199: @172583
     /*  172583 */ GIM_Try, /*On fail goto*//*Label 3249*/ GIMT_Encode4(172694), // Rule ID 74359 //
     /*  172588 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172591 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172594 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172598 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172609 */   // MIs[0] Operand 1
     /*  172609 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172613 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172617 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172621 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172625 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172629 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172633 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172637 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172641 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172645 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172650 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172654 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172658 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172662 */   // MIs[3] Operand 1
     /*  172662 */   // No operand predicates
     /*  172662 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172667 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172669 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172672 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172674 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172678 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172682 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172685 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172692 */   GIR_RootConstrainSelectedInstOperands,
     /*  172693 */   // GIR_Coverage, 74359,
     /*  172693 */   GIR_EraseRootFromParent_Done,
     /*  172694 */ // Label 3249: @172694
     /*  172694 */ GIM_Try, /*On fail goto*//*Label 3250*/ GIMT_Encode4(172805), // Rule ID 74360 //
     /*  172699 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172702 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172705 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172709 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  172716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172720 */   // MIs[0] Operand 1
     /*  172720 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172724 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172728 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172732 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172736 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172740 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172744 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172748 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172752 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172756 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172761 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172765 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172769 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172773 */   // MIs[3] Operand 1
     /*  172773 */   // No operand predicates
     /*  172773 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172778 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172780 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  172780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  172783 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172785 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172789 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172793 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172796 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172803 */   GIR_RootConstrainSelectedInstOperands,
     /*  172804 */   // GIR_Coverage, 74360,
     /*  172804 */   GIR_EraseRootFromParent_Done,
     /*  172805 */ // Label 3250: @172805
     /*  172805 */ GIM_Try, /*On fail goto*//*Label 3251*/ GIMT_Encode4(172916), // Rule ID 74361 //
     /*  172810 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  172813 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172816 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172820 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172831 */   // MIs[0] Operand 1
     /*  172831 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172835 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172839 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172843 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172847 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172851 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172855 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172859 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172863 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  172867 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172872 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172876 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172880 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172884 */   // MIs[3] Operand 1
     /*  172884 */   // No operand predicates
     /*  172884 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172889 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  172891 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  172891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  172894 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  172896 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  172900 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  172904 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  172907 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  172914 */   GIR_RootConstrainSelectedInstOperands,
     /*  172915 */   // GIR_Coverage, 74361,
     /*  172915 */   GIR_EraseRootFromParent_Done,
     /*  172916 */ // Label 3251: @172916
     /*  172916 */ GIM_Try, /*On fail goto*//*Label 3252*/ GIMT_Encode4(173027), // Rule ID 74362 //
     /*  172921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  172924 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  172927 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  172931 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  172938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  172942 */   // MIs[0] Operand 1
     /*  172942 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  172946 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  172950 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  172954 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  172958 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  172962 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  172966 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  172970 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  172974 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  172978 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  172983 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  172987 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  172991 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  172995 */   // MIs[3] Operand 1
     /*  172995 */   // No operand predicates
     /*  172995 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173000 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173002 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  173005 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173007 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  173011 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173015 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173018 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173025 */   GIR_RootConstrainSelectedInstOperands,
     /*  173026 */   // GIR_Coverage, 74362,
     /*  173026 */   GIR_EraseRootFromParent_Done,
     /*  173027 */ // Label 3252: @173027
     /*  173027 */ GIM_Try, /*On fail goto*//*Label 3253*/ GIMT_Encode4(173131), // Rule ID 74363 //
     /*  173032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  173035 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173038 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173046 */   // MIs[0] Operand 1
     /*  173046 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173050 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173054 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173058 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173062 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173066 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  173070 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173074 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173078 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  173082 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173087 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173091 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173095 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173099 */   // MIs[3] Operand 1
     /*  173099 */   // No operand predicates
     /*  173099 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173104 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173106 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  173106 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  173109 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173111 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  173115 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173119 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173122 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173129 */   GIR_RootConstrainSelectedInstOperands,
     /*  173130 */   // GIR_Coverage, 74363,
     /*  173130 */   GIR_EraseRootFromParent_Done,
     /*  173131 */ // Label 3253: @173131
     /*  173131 */ GIM_Try, /*On fail goto*//*Label 3254*/ GIMT_Encode4(173235), // Rule ID 74364 //
     /*  173136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  173139 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173142 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173150 */   // MIs[0] Operand 1
     /*  173150 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173154 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173158 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173162 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173166 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173170 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/1, // MIs[2]
     /*  173174 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173178 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173182 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  173186 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173191 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173195 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173199 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173203 */   // MIs[3] Operand 1
     /*  173203 */   // No operand predicates
     /*  173203 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173208 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173210 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt), GPRMem:{ *:[i32] }:$rs1))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  173213 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173215 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/2, // rs1
     /*  173219 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173223 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173226 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173233 */   GIR_RootConstrainSelectedInstOperands,
     /*  173234 */   // GIR_Coverage, 74364,
     /*  173234 */   GIR_EraseRootFromParent_Done,
     /*  173235 */ // Label 3254: @173235
     /*  173235 */ GIM_Try, /*On fail goto*//*Label 3255*/ GIMT_Encode4(173346), // Rule ID 64566 //
     /*  173240 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  173243 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173246 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173250 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  173257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173261 */   // MIs[0] Operand 1
     /*  173261 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173265 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173269 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173273 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173277 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173281 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173286 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173290 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173294 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173298 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  173302 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173307 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173311 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173315 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173319 */   // MIs[3] Operand 1
     /*  173319 */   // No operand predicates
     /*  173319 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173321 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  173321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  173324 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173326 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173330 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173334 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173337 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173344 */   GIR_RootConstrainSelectedInstOperands,
     /*  173345 */   // GIR_Coverage, 64566,
     /*  173345 */   GIR_EraseRootFromParent_Done,
     /*  173346 */ // Label 3255: @173346
     /*  173346 */ GIM_Try, /*On fail goto*//*Label 3256*/ GIMT_Encode4(173457), // Rule ID 64567 //
     /*  173351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  173354 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173357 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173361 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  173368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173372 */   // MIs[0] Operand 1
     /*  173372 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173376 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173380 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173384 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173388 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173392 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173397 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173401 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173405 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173409 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  173413 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173418 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173422 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173426 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173430 */   // MIs[3] Operand 1
     /*  173430 */   // No operand predicates
     /*  173430 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173432 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (QC_SRB GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173432 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRB),
     /*  173435 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173437 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173441 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173445 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173448 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173455 */   GIR_RootConstrainSelectedInstOperands,
     /*  173456 */   // GIR_Coverage, 64567,
     /*  173456 */   GIR_EraseRootFromParent_Done,
     /*  173457 */ // Label 3256: @173457
     /*  173457 */ GIM_Try, /*On fail goto*//*Label 3257*/ GIMT_Encode4(173568), // Rule ID 64568 //
     /*  173462 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  173465 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173468 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173472 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173479 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173483 */   // MIs[0] Operand 1
     /*  173483 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173487 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173491 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173495 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173499 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173503 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173508 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173512 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173516 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173520 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  173524 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173529 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173533 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173537 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173541 */   // MIs[3] Operand 1
     /*  173541 */   // No operand predicates
     /*  173541 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173543 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  173543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  173546 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173548 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173552 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173556 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173559 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173566 */   GIR_RootConstrainSelectedInstOperands,
     /*  173567 */   // GIR_Coverage, 64568,
     /*  173567 */   GIR_EraseRootFromParent_Done,
     /*  173568 */ // Label 3257: @173568
     /*  173568 */ GIM_Try, /*On fail goto*//*Label 3258*/ GIMT_Encode4(173679), // Rule ID 64569 //
     /*  173573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  173576 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173579 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173583 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173594 */   // MIs[0] Operand 1
     /*  173594 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173598 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173602 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173606 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173610 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173614 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173619 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173623 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173627 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173631 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  173635 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173640 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173644 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173648 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173652 */   // MIs[3] Operand 1
     /*  173652 */   // No operand predicates
     /*  173652 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173654 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (QC_SRH GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRH),
     /*  173657 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173659 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173663 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173667 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173670 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173677 */   GIR_RootConstrainSelectedInstOperands,
     /*  173678 */   // GIR_Coverage, 64569,
     /*  173678 */   GIR_EraseRootFromParent_Done,
     /*  173679 */ // Label 3258: @173679
     /*  173679 */ GIM_Try, /*On fail goto*//*Label 3259*/ GIMT_Encode4(173783), // Rule ID 64570 //
     /*  173684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode0),
     /*  173687 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173690 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173698 */   // MIs[0] Operand 1
     /*  173698 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173702 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173706 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173710 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173714 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173718 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173723 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173727 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173731 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173735 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s64,
     /*  173739 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173744 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173748 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173752 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173756 */   // MIs[3] Operand 1
     /*  173756 */   // No operand predicates
     /*  173756 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173758 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i64] })<<P:Predicate_uimm3>>:$shamt)
     /*  173758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  173761 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173763 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173767 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173771 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173774 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173781 */   GIR_RootConstrainSelectedInstOperands,
     /*  173782 */   // GIR_Coverage, 64570,
     /*  173782 */   GIR_EraseRootFromParent_Done,
     /*  173783 */ // Label 3259: @173783
     /*  173783 */ GIM_Try, /*On fail goto*//*Label 3260*/ GIMT_Encode4(173887), // Rule ID 64571 //
     /*  173788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcisls_IsRV32_HwMode1),
     /*  173791 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  173794 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  173798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173802 */   // MIs[0] Operand 1
     /*  173802 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  173806 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /*  173810 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ADD),
     /*  173814 */   GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /*  173818 */   GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /*  173822 */   GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173827 */   GIM_RecordInsn, /*DefineMI*/2, /*MI*/1, /*OpIdx*/2, // MIs[2]
     /*  173831 */   GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SHL),
     /*  173835 */   GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /*  173839 */   GIM_CheckType, /*MI*/2, /*Op*/2, /*Type*/GILLT_s32,
     /*  173843 */   GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /*  173848 */   GIM_RecordInsn, /*DefineMI*/3, /*MI*/2, /*OpIdx*/2, // MIs[3]
     /*  173852 */   GIM_CheckOpcode, /*MI*/3, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  173856 */   GIM_CheckI64ImmPredicate, /*MI*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm3),
     /*  173860 */   // MIs[3] Operand 1
     /*  173860 */   // No operand predicates
     /*  173860 */   GIM_CheckIsSafeToFold, /*NumInsns*/3,
     /*  173862 */   // (st GPR:{ *:[i32] }:$rd, (add:{ *:[i32] } GPRMem:{ *:[i32] }:$rs1, (shl:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (QC_SRW GPR:{ *:[i32] }:$rd, GPRMem:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm3>>:$shamt)
     /*  173862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_SRW),
     /*  173865 */   GIR_RootToRootCopy, /*OpIdx*/0, // rd
     /*  173867 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /*  173871 */   GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /*  173875 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/3, // shamt
     /*  173878 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/4, /*MergeInsnID's*/0, 1, 2, 3,
     /*  173885 */   GIR_RootConstrainSelectedInstOperands,
     /*  173886 */   // GIR_Coverage, 64571,
     /*  173886 */   GIR_EraseRootFromParent_Done,
     /*  173887 */ // Label 3260: @173887
     /*  173887 */ GIM_Try, /*On fail goto*//*Label 3261*/ GIMT_Encode4(173944), // Rule ID 334 //
     /*  173892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  173895 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173898 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  173905 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173912 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173916 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173923 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10083>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173923 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  173926 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173928 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173933 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173938 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173942 */   GIR_RootConstrainSelectedInstOperands,
     /*  173943 */   // GIR_Coverage, 334,
     /*  173943 */   GIR_EraseRootFromParent_Done,
     /*  173944 */ // Label 3261: @173944
     /*  173944 */ GIM_Try, /*On fail goto*//*Label 3262*/ GIMT_Encode4(174001), // Rule ID 336 //
     /*  173949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  173952 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  173955 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  173962 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  173965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  173969 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  173973 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  173980 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10085>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  173980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  173983 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  173985 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  173990 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  173995 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  173999 */   GIR_RootConstrainSelectedInstOperands,
     /*  174000 */   // GIR_Coverage, 336,
     /*  174000 */   GIR_EraseRootFromParent_Done,
     /*  174001 */ // Label 3262: @174001
     /*  174001 */ GIM_Try, /*On fail goto*//*Label 3263*/ GIMT_Encode4(174058), // Rule ID 338 //
     /*  174006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode1),
     /*  174009 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174012 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174019 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174026 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174030 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174037 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10087>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  174040 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174042 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174047 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174052 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174056 */   GIR_RootConstrainSelectedInstOperands,
     /*  174057 */   // GIR_Coverage, 338,
     /*  174057 */   GIR_EraseRootFromParent_Done,
     /*  174058 */ // Label 3263: @174058
     /*  174058 */ GIM_Try, /*On fail goto*//*Label 3264*/ GIMT_Encode4(174112), // Rule ID 65347 //
     /*  174063 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  174066 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174069 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174080 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174084 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174091 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174091 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  174094 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174096 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174101 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174106 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174110 */   GIR_RootConstrainSelectedInstOperands,
     /*  174111 */   // GIR_Coverage, 65347,
     /*  174111 */   GIR_EraseRootFromParent_Done,
     /*  174112 */ // Label 3264: @174112
     /*  174112 */ GIM_Try, /*On fail goto*//*Label 3265*/ GIMT_Encode4(174166), // Rule ID 65348 //
     /*  174117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode1),
     /*  174120 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174123 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  174130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174134 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174138 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174145 */   // (atomic_store GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  174148 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174150 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174155 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174160 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174164 */   GIR_RootConstrainSelectedInstOperands,
     /*  174165 */   // GIR_Coverage, 65348,
     /*  174165 */   GIR_EraseRootFromParent_Done,
     /*  174166 */ // Label 3265: @174166
     /*  174166 */ GIM_Try, /*On fail goto*//*Label 3266*/ GIMT_Encode4(174224), // Rule ID 245 //
     /*  174171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  174174 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174177 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174181 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174192 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174196 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174203 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174203 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174206 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174208 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174213 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174218 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174222 */   GIR_RootConstrainSelectedInstOperands,
     /*  174223 */   // GIR_Coverage, 245,
     /*  174223 */   GIR_EraseRootFromParent_Done,
     /*  174224 */ // Label 3266: @174224
     /*  174224 */ GIM_Try, /*On fail goto*//*Label 3267*/ GIMT_Encode4(174282), // Rule ID 247 //
     /*  174229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  174232 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174235 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174239 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174250 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174254 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174261 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174264 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174266 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174271 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174276 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174280 */   GIR_RootConstrainSelectedInstOperands,
     /*  174281 */   // GIR_Coverage, 247,
     /*  174281 */   GIR_EraseRootFromParent_Done,
     /*  174282 */ // Label 3267: @174282
     /*  174282 */ GIM_Try, /*On fail goto*//*Label 3268*/ GIMT_Encode4(174333), // Rule ID 248 //
     /*  174287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  174290 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174293 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174301 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174305 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174312 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  174315 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174317 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174322 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174327 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174331 */   GIR_RootConstrainSelectedInstOperands,
     /*  174332 */   // GIR_Coverage, 248,
     /*  174332 */   GIR_EraseRootFromParent_Done,
     /*  174333 */ // Label 3268: @174333
     /*  174333 */ GIM_Try, /*On fail goto*//*Label 3269*/ GIMT_Encode4(174384), // Rule ID 249 //
     /*  174338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  174341 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174344 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174352 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174356 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174363 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  174366 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174368 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174373 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174378 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174382 */   GIR_RootConstrainSelectedInstOperands,
     /*  174383 */   // GIR_Coverage, 249,
     /*  174383 */   GIR_EraseRootFromParent_Done,
     /*  174384 */ // Label 3269: @174384
     /*  174384 */ GIM_Try, /*On fail goto*//*Label 3270*/ GIMT_Encode4(174435), // Rule ID 1435 //
     /*  174389 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /*  174392 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174395 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  174403 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174407 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174414 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  174417 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174419 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174424 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174429 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174433 */   GIR_RootConstrainSelectedInstOperands,
     /*  174434 */   // GIR_Coverage, 1435,
     /*  174434 */   GIR_EraseRootFromParent_Done,
     /*  174435 */ // Label 3270: @174435
     /*  174435 */ GIM_Try, /*On fail goto*//*Label 3271*/ GIMT_Encode4(174486), // Rule ID 1436 //
     /*  174440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /*  174443 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174446 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  174454 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174458 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174465 */   // (st FPR32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSW FPR32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174465 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSW),
     /*  174468 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174470 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174475 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174480 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174484 */   GIR_RootConstrainSelectedInstOperands,
     /*  174485 */   // GIR_Coverage, 1436,
     /*  174485 */   GIR_EraseRootFromParent_Done,
     /*  174486 */ // Label 3271: @174486
     /*  174486 */ GIM_Try, /*On fail goto*//*Label 3272*/ GIMT_Encode4(174537), // Rule ID 1441 //
     /*  174491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /*  174494 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174497 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  174505 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174509 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174516 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  174519 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174521 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174526 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174531 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174535 */   GIR_RootConstrainSelectedInstOperands,
     /*  174536 */   // GIR_Coverage, 1441,
     /*  174536 */   GIR_EraseRootFromParent_Done,
     /*  174537 */ // Label 3272: @174537
     /*  174537 */ GIM_Try, /*On fail goto*//*Label 3273*/ GIMT_Encode4(174588), // Rule ID 1442 //
     /*  174542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /*  174545 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174548 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /*  174556 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174560 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174567 */   // (st GPRF32:{ *:[f32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SW_INX GPRF32:{ *:[f32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_INX),
     /*  174570 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174572 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174577 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174582 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174586 */   GIR_RootConstrainSelectedInstOperands,
     /*  174587 */   // GIR_Coverage, 1442,
     /*  174587 */   GIR_EraseRootFromParent_Done,
     /*  174588 */ // Label 3273: @174588
     /*  174588 */ GIM_Try, /*On fail goto*//*Label 3274*/ GIMT_Encode4(174646), // Rule ID 65353 //
     /*  174593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  174596 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174599 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174603 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174614 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174618 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174625 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174628 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174630 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174635 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174640 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174644 */   GIR_RootConstrainSelectedInstOperands,
     /*  174645 */   // GIR_Coverage, 65353,
     /*  174645 */   GIR_EraseRootFromParent_Done,
     /*  174646 */ // Label 3274: @174646
     /*  174646 */ GIM_Try, /*On fail goto*//*Label 3275*/ GIMT_Encode4(174704), // Rule ID 65354 //
     /*  174651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  174654 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174657 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174661 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174672 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174676 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174683 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174683 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  174686 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174688 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174693 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174698 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174702 */   GIR_RootConstrainSelectedInstOperands,
     /*  174703 */   // GIR_Coverage, 65354,
     /*  174703 */   GIR_EraseRootFromParent_Done,
     /*  174704 */ // Label 3275: @174704
     /*  174704 */ GIM_Try, /*On fail goto*//*Label 3276*/ GIMT_Encode4(174762), // Rule ID 65355 //
     /*  174709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  174712 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174715 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174719 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174730 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174734 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174741 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  174741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174744 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174746 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174751 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174756 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174760 */   GIR_RootConstrainSelectedInstOperands,
     /*  174761 */   // GIR_Coverage, 65355,
     /*  174761 */   GIR_EraseRootFromParent_Done,
     /*  174762 */ // Label 3276: @174762
     /*  174762 */ GIM_Try, /*On fail goto*//*Label 3277*/ GIMT_Encode4(174820), // Rule ID 65356 //
     /*  174767 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode1),
     /*  174770 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  174773 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  174777 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174788 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  174792 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  174799 */   // (st GPR:{ *:[i32] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i32] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  174799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  174802 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174804 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  174809 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  174814 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174818 */   GIR_RootConstrainSelectedInstOperands,
     /*  174819 */   // GIR_Coverage, 65356,
     /*  174819 */   GIR_EraseRootFromParent_Done,
     /*  174820 */ // Label 3277: @174820
     /*  174820 */ GIM_Try, /*On fail goto*//*Label 3278*/ GIMT_Encode4(174866), // Rule ID 1114 //
     /*  174825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174828 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174831 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174838 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174841 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174845 */   // MIs[0] rs1
     /*  174845 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174853 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10587>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  174856 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174858 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174860 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174864 */   GIR_RootConstrainSelectedInstOperands,
     /*  174865 */   // GIR_Coverage, 1114,
     /*  174865 */   GIR_EraseRootFromParent_Done,
     /*  174866 */ // Label 3278: @174866
     /*  174866 */ GIM_Try, /*On fail goto*//*Label 3279*/ GIMT_Encode4(174912), // Rule ID 1116 //
     /*  174871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174874 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174877 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  174884 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174891 */   // MIs[0] rs1
     /*  174891 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174899 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10589>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  174902 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174904 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174906 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174910 */   GIR_RootConstrainSelectedInstOperands,
     /*  174911 */   // GIR_Coverage, 1116,
     /*  174911 */   GIR_EraseRootFromParent_Done,
     /*  174912 */ // Label 3279: @174912
     /*  174912 */ GIM_Try, /*On fail goto*//*Label 3280*/ GIMT_Encode4(174958), // Rule ID 1118 //
     /*  174917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174920 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174923 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174930 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  174933 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174937 */   // MIs[0] rs1
     /*  174937 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174945 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10591>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  174948 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174950 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174952 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  174956 */   GIR_RootConstrainSelectedInstOperands,
     /*  174957 */   // GIR_Coverage, 1118,
     /*  174957 */   GIR_EraseRootFromParent_Done,
     /*  174958 */ // Label 3280: @174958
     /*  174958 */ GIM_Try, /*On fail goto*//*Label 3281*/ GIMT_Encode4(175004), // Rule ID 1120 //
     /*  174963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  174966 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  174969 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  174976 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  174979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174983 */   // MIs[0] rs1
     /*  174983 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  174987 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  174991 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10593>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  174991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  174994 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  174996 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  174998 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175002 */   GIR_RootConstrainSelectedInstOperands,
     /*  175003 */   // GIR_Coverage, 1120,
     /*  175003 */   GIR_EraseRootFromParent_Done,
     /*  175004 */ // Label 3281: @175004
     /*  175004 */ GIM_Try, /*On fail goto*//*Label 3282*/ GIMT_Encode4(175050), // Rule ID 1122 //
     /*  175009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  175012 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175015 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175022 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175029 */   // MIs[0] rs1
     /*  175029 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175037 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10595>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  175037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  175040 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175042 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175044 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175048 */   GIR_RootConstrainSelectedInstOperands,
     /*  175049 */   // GIR_Coverage, 1122,
     /*  175049 */   GIR_EraseRootFromParent_Done,
     /*  175050 */ // Label 3282: @175050
     /*  175050 */ GIM_Try, /*On fail goto*//*Label 3283*/ GIMT_Encode4(175096), // Rule ID 1124 //
     /*  175055 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode1),
     /*  175058 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175061 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175068 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175075 */   // MIs[0] rs1
     /*  175075 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175083 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10597>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  175083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  175086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175088 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175090 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175094 */   GIR_RootConstrainSelectedInstOperands,
     /*  175095 */   // GIR_Coverage, 1124,
     /*  175095 */   GIR_EraseRootFromParent_Done,
     /*  175096 */ // Label 3283: @175096
     /*  175096 */ GIM_Try, /*On fail goto*//*Label 3284*/ GIMT_Encode4(175142), // Rule ID 1142 //
     /*  175101 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  175104 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175107 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175114 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175121 */   // MIs[0] rs1
     /*  175121 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175129 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10611>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  175129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  175132 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175134 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175136 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175140 */   GIR_RootConstrainSelectedInstOperands,
     /*  175141 */   // GIR_Coverage, 1142,
     /*  175141 */   GIR_EraseRootFromParent_Done,
     /*  175142 */ // Label 3284: @175142
     /*  175142 */ GIM_Try, /*On fail goto*//*Label 3285*/ GIMT_Encode4(175188), // Rule ID 1144 //
     /*  175147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode1),
     /*  175150 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175153 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175160 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175163 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175167 */   // MIs[0] rs1
     /*  175167 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  175171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175175 */   // (atomic_store GPR:{ *:[i32] }:$rs2, GPRMemZeroOffset:{ *:[i32] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10613>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  175175 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  175178 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175180 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175182 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175186 */   GIR_RootConstrainSelectedInstOperands,
     /*  175187 */   // GIR_Coverage, 1144,
     /*  175187 */   GIR_EraseRootFromParent_Done,
     /*  175188 */ // Label 3285: @175188
     /*  175188 */ GIM_Reject,
     /*  175189 */ // Label 3200: @175189
     /*  175189 */ GIM_Try, /*On fail goto*//*Label 3286*/ GIMT_Encode4(175246), // Rule ID 333 //
     /*  175194 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  175197 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175200 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175207 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175214 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175218 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175225 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10083>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175225 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  175228 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175230 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175235 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175240 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175244 */   GIR_RootConstrainSelectedInstOperands,
     /*  175245 */   // GIR_Coverage, 333,
     /*  175245 */   GIR_EraseRootFromParent_Done,
     /*  175246 */ // Label 3286: @175246
     /*  175246 */ GIM_Try, /*On fail goto*//*Label 3287*/ GIMT_Encode4(175303), // Rule ID 335 //
     /*  175251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  175254 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175257 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175264 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175271 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175275 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175282 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10085>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175282 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  175285 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175287 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175292 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175297 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175301 */   GIR_RootConstrainSelectedInstOperands,
     /*  175302 */   // GIR_Coverage, 335,
     /*  175302 */   GIR_EraseRootFromParent_Done,
     /*  175303 */ // Label 3287: @175303
     /*  175303 */ GIM_Try, /*On fail goto*//*Label 3288*/ GIMT_Encode4(175360), // Rule ID 337 //
     /*  175308 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_HwMode0),
     /*  175311 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175314 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175321 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175328 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175332 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175339 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10087>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  175342 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175344 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175349 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175354 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175358 */   GIR_RootConstrainSelectedInstOperands,
     /*  175359 */   // GIR_Coverage, 337,
     /*  175359 */   GIR_EraseRootFromParent_Done,
     /*  175360 */ // Label 3288: @175360
     /*  175360 */ GIM_Try, /*On fail goto*//*Label 3289*/ GIMT_Encode4(175417), // Rule ID 348 //
     /*  175365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasAtomicLdSt_IsRV64_HwMode0),
     /*  175368 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175371 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  175378 */   GIM_CheckAtomicOrderingWeakerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175385 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175389 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175396 */   // (atomic_store GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10097>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  175399 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175401 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175406 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175411 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175415 */   GIR_RootConstrainSelectedInstOperands,
     /*  175416 */   // GIR_Coverage, 348,
     /*  175416 */   GIR_EraseRootFromParent_Done,
     /*  175417 */ // Label 3289: @175417
     /*  175417 */ GIM_Try, /*On fail goto*//*Label 3290*/ GIMT_Encode4(175475), // Rule ID 244 //
     /*  175422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  175425 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175428 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175432 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175443 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175447 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175454 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei8>>  =>  (SB GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB),
     /*  175457 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175459 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175464 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175469 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175473 */   GIR_RootConstrainSelectedInstOperands,
     /*  175474 */   // GIR_Coverage, 244,
     /*  175474 */   GIR_EraseRootFromParent_Done,
     /*  175475 */ // Label 3290: @175475
     /*  175475 */ GIM_Try, /*On fail goto*//*Label 3291*/ GIMT_Encode4(175533), // Rule ID 246 //
     /*  175480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  175483 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175486 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175490 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  175497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175501 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175505 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175512 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei16>>  =>  (SH GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH),
     /*  175515 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175517 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175522 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175527 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175531 */   GIR_RootConstrainSelectedInstOperands,
     /*  175532 */   // GIR_Coverage, 246,
     /*  175532 */   GIR_EraseRootFromParent_Done,
     /*  175533 */ // Label 3291: @175533
     /*  175533 */ GIM_Try, /*On fail goto*//*Label 3292*/ GIMT_Encode4(175591), // Rule ID 285 //
     /*  175538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  175541 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175544 */   GIM_CheckMemorySizeLessThanLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175548 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  175555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175559 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175563 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175570 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_truncstore>><<P:Predicate_truncstorei32>>  =>  (SW GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW),
     /*  175573 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175575 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175580 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175585 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175589 */   GIR_RootConstrainSelectedInstOperands,
     /*  175590 */   // GIR_Coverage, 285,
     /*  175590 */   GIR_EraseRootFromParent_Done,
     /*  175591 */ // Label 3292: @175591
     /*  175591 */ GIM_Try, /*On fail goto*//*Label 3293*/ GIMT_Encode4(175642), // Rule ID 286 //
     /*  175596 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /*  175599 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175602 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175610 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175614 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175621 */   // (st GPR:{ *:[i64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[i64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  175624 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175626 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175631 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175636 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175640 */   GIR_RootConstrainSelectedInstOperands,
     /*  175641 */   // GIR_Coverage, 286,
     /*  175641 */   GIR_EraseRootFromParent_Done,
     /*  175642 */ // Label 3293: @175642
     /*  175642 */ GIM_Try, /*On fail goto*//*Label 3294*/ GIMT_Encode4(175693), // Rule ID 1833 //
     /*  175647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /*  175650 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175653 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  175661 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175665 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175672 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175672 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  175675 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175677 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175682 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175687 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175691 */   GIR_RootConstrainSelectedInstOperands,
     /*  175692 */   // GIR_Coverage, 1833,
     /*  175692 */   GIR_EraseRootFromParent_Done,
     /*  175693 */ // Label 3294: @175693
     /*  175693 */ GIM_Try, /*On fail goto*//*Label 3295*/ GIMT_Encode4(175744), // Rule ID 1834 //
     /*  175698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /*  175701 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175704 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  175712 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175716 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175723 */   // (st FPR64:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (FSD FPR64:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  175723 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSD),
     /*  175726 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175728 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175733 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175738 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175742 */   GIR_RootConstrainSelectedInstOperands,
     /*  175743 */   // GIR_Coverage, 1834,
     /*  175743 */   GIR_EraseRootFromParent_Done,
     /*  175744 */ // Label 3295: @175744
     /*  175744 */ GIM_Try, /*On fail goto*//*Label 3296*/ GIMT_Encode4(175795), // Rule ID 1837 //
     /*  175749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /*  175752 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175755 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175763 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175767 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175774 */   // (st GPR:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD GPR:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD),
     /*  175777 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175779 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175784 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175789 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175793 */   GIR_RootConstrainSelectedInstOperands,
     /*  175794 */   // GIR_Coverage, 1837,
     /*  175794 */   GIR_EraseRootFromParent_Done,
     /*  175795 */ // Label 3296: @175795
     /*  175795 */ GIM_Try, /*On fail goto*//*Label 3297*/ GIMT_Encode4(175846), // Rule ID 1842 //
     /*  175800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode0),
     /*  175803 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175806 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  175814 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175818 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175825 */   // (st GPRPair:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD_RV32 GPRPair:{ *:[f64] }:$rs2, GPRMem:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /*  175825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RV32),
     /*  175828 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175830 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175835 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175840 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175844 */   GIR_RootConstrainSelectedInstOperands,
     /*  175845 */   // GIR_Coverage, 1842,
     /*  175845 */   GIR_EraseRootFromParent_Done,
     /*  175846 */ // Label 3297: @175846
     /*  175846 */ GIM_Try, /*On fail goto*//*Label 3298*/ GIMT_Encode4(175897), // Rule ID 1843 //
     /*  175851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZilsd_IsRV32_HwMode1),
     /*  175854 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  175857 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  175861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /*  175865 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  175869 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIAddrRegImm),
     /*  175876 */   // (st GPRPair:{ *:[f64] }:$rs2, (AddrRegImm:{ *:[iPTR] } GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12))<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (SD_RV32 GPRPair:{ *:[f64] }:$rs2, GPRMem:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /*  175876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RV32),
     /*  175879 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175881 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /*  175886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/1, // imm12
     /*  175891 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175895 */   GIR_RootConstrainSelectedInstOperands,
     /*  175896 */   // GIR_Coverage, 1843,
     /*  175896 */   GIR_EraseRootFromParent_Done,
     /*  175897 */ // Label 3298: @175897
     /*  175897 */ GIM_Try, /*On fail goto*//*Label 3299*/ GIMT_Encode4(175943), // Rule ID 1113 //
     /*  175902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175905 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175908 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175915 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  175918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175922 */   // MIs[0] rs1
     /*  175922 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175930 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10587>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175930 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  175933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175935 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175937 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175941 */   GIR_RootConstrainSelectedInstOperands,
     /*  175942 */   // GIR_Coverage, 1113,
     /*  175942 */   GIR_EraseRootFromParent_Done,
     /*  175943 */ // Label 3299: @175943
     /*  175943 */ GIM_Try, /*On fail goto*//*Label 3300*/ GIMT_Encode4(175989), // Rule ID 1115 //
     /*  175948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175951 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  175954 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  175961 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  175964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175968 */   // MIs[0] rs1
     /*  175968 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  175972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  175976 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_8>><<P:Predicate_anonymous_10589>>  =>  (SB_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  175976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SB_RL),
     /*  175979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  175981 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  175983 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  175987 */   GIR_RootConstrainSelectedInstOperands,
     /*  175988 */   // GIR_Coverage, 1115,
     /*  175988 */   GIR_EraseRootFromParent_Done,
     /*  175989 */ // Label 3300: @175989
     /*  175989 */ GIM_Try, /*On fail goto*//*Label 3301*/ GIMT_Encode4(176035), // Rule ID 1117 //
     /*  175994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  175997 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  176000 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176007 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176014 */   // MIs[0] rs1
     /*  176014 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176022 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10591>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  176025 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176027 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176029 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176033 */   GIR_RootConstrainSelectedInstOperands,
     /*  176034 */   // GIR_Coverage, 1117,
     /*  176034 */   GIR_EraseRootFromParent_Done,
     /*  176035 */ // Label 3301: @176035
     /*  176035 */ GIM_Try, /*On fail goto*//*Label 3302*/ GIMT_Encode4(176081), // Rule ID 1119 //
     /*  176040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  176043 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  176046 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  176053 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176060 */   // MIs[0] rs1
     /*  176060 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176068 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_16>><<P:Predicate_anonymous_10593>>  =>  (SH_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SH_RL),
     /*  176071 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176073 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176075 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176079 */   GIR_RootConstrainSelectedInstOperands,
     /*  176080 */   // GIR_Coverage, 1119,
     /*  176080 */   GIR_EraseRootFromParent_Done,
     /*  176081 */ // Label 3302: @176081
     /*  176081 */ GIM_Try, /*On fail goto*//*Label 3303*/ GIMT_Encode4(176127), // Rule ID 1121 //
     /*  176086 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  176089 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  176092 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176099 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176106 */   // MIs[0] rs1
     /*  176106 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176114 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10595>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176114 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  176117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176119 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176121 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176125 */   GIR_RootConstrainSelectedInstOperands,
     /*  176126 */   // GIR_Coverage, 1121,
     /*  176126 */   GIR_EraseRootFromParent_Done,
     /*  176127 */ // Label 3303: @176127
     /*  176127 */ GIM_Try, /*On fail goto*//*Label 3304*/ GIMT_Encode4(176173), // Rule ID 1123 //
     /*  176132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_HwMode0),
     /*  176135 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  176138 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  176145 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176152 */   // MIs[0] rs1
     /*  176152 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176160 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_32>><<P:Predicate_anonymous_10597>>  =>  (SW_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176160 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SW_RL),
     /*  176163 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176165 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176167 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176171 */   GIR_RootConstrainSelectedInstOperands,
     /*  176172 */   // GIR_Coverage, 1123,
     /*  176172 */   GIR_EraseRootFromParent_Done,
     /*  176173 */ // Label 3304: @176173
     /*  176173 */ GIM_Try, /*On fail goto*//*Label 3305*/ GIMT_Encode4(176219), // Rule ID 1141 //
     /*  176178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  176181 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  176184 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176191 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  176194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176198 */   // MIs[0] rs1
     /*  176198 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176206 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10611>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  176209 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176211 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176213 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176217 */   GIR_RootConstrainSelectedInstOperands,
     /*  176218 */   // GIR_Coverage, 1141,
     /*  176218 */   GIR_EraseRootFromParent_Done,
     /*  176219 */ // Label 3305: @176219
     /*  176219 */ GIM_Try, /*On fail goto*//*Label 3306*/ GIMT_Encode4(176265), // Rule ID 1143 //
     /*  176224 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZalasr_IsRV64_HwMode0),
     /*  176227 */   GIM_CheckAtomicOrderingOrStrongerThan, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Unordered,
     /*  176230 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  176237 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  176240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176244 */   // MIs[0] rs1
     /*  176244 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176252 */   // (atomic_store GPR:{ *:[i64] }:$rs2, GPRMemZeroOffset:{ *:[i64] }:$rs1)<<P:Predicate_atomic_store_64>><<P:Predicate_anonymous_10613>>  =>  (SD_RL GPRMemZeroOffset:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  176252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SD_RL),
     /*  176255 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176257 */   GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176259 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176263 */   GIR_RootConstrainSelectedInstOperands,
     /*  176264 */   // GIR_Coverage, 1143,
     /*  176264 */   GIR_EraseRootFromParent_Done,
     /*  176265 */ // Label 3306: @176265
     /*  176265 */ GIM_Reject,
     /*  176266 */ // Label 3201: @176266
     /*  176266 */ GIM_Try, /*On fail goto*//*Label 3307*/ GIMT_Encode4(176345),
     /*  176271 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176274 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176282 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176290 */   GIM_Try, /*On fail goto*//*Label 3308*/ GIMT_Encode4(176317), // Rule ID 45742 //
     /*  176295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176298 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  176298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  176301 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176311 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176315 */     GIR_RootConstrainSelectedInstOperands,
     /*  176316 */     // GIR_Coverage, 45742,
     /*  176316 */     GIR_EraseRootFromParent_Done,
     /*  176317 */   // Label 3308: @176317
     /*  176317 */   GIM_Try, /*On fail goto*//*Label 3309*/ GIMT_Encode4(176344), // Rule ID 45743 //
     /*  176322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176325 */     // (st VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B64 VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  176325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B64),
     /*  176328 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176338 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176342 */     GIR_RootConstrainSelectedInstOperands,
     /*  176343 */     // GIR_Coverage, 45743,
     /*  176343 */     GIR_EraseRootFromParent_Done,
     /*  176344 */   // Label 3309: @176344
     /*  176344 */   GIM_Reject,
     /*  176345 */ // Label 3307: @176345
     /*  176345 */ GIM_Reject,
     /*  176346 */ // Label 3202: @176346
     /*  176346 */ GIM_Try, /*On fail goto*//*Label 3310*/ GIMT_Encode4(176433),
     /*  176351 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176354 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176362 */   GIM_Try, /*On fail goto*//*Label 3311*/ GIMT_Encode4(176397), // Rule ID 45738 //
     /*  176367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176370 */     // MIs[0] rs1
     /*  176370 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176374 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176378 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  176378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  176381 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176391 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176395 */     GIR_RootConstrainSelectedInstOperands,
     /*  176396 */     // GIR_Coverage, 45738,
     /*  176396 */     GIR_EraseRootFromParent_Done,
     /*  176397 */   // Label 3311: @176397
     /*  176397 */   GIM_Try, /*On fail goto*//*Label 3312*/ GIMT_Encode4(176432), // Rule ID 45739 //
     /*  176402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176405 */     // MIs[0] rs1
     /*  176405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176413 */     // (st VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF8 VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  176413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF8),
     /*  176416 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  176426 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176430 */     GIR_RootConstrainSelectedInstOperands,
     /*  176431 */     // GIR_Coverage, 45739,
     /*  176431 */     GIR_EraseRootFromParent_Done,
     /*  176432 */   // Label 3312: @176432
     /*  176432 */   GIM_Reject,
     /*  176433 */ // Label 3310: @176433
     /*  176433 */ GIM_Reject,
     /*  176434 */ // Label 3203: @176434
     /*  176434 */ GIM_Try, /*On fail goto*//*Label 3313*/ GIMT_Encode4(176591),
     /*  176439 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176442 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176450 */   GIM_Try, /*On fail goto*//*Label 3314*/ GIMT_Encode4(176485), // Rule ID 45934 //
     /*  176455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176458 */     // MIs[0] rs1
     /*  176458 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176466 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  176466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  176469 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176479 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176483 */     GIR_RootConstrainSelectedInstOperands,
     /*  176484 */     // GIR_Coverage, 45934,
     /*  176484 */     GIR_EraseRootFromParent_Done,
     /*  176485 */   // Label 3314: @176485
     /*  176485 */   GIM_Try, /*On fail goto*//*Label 3315*/ GIMT_Encode4(176520), // Rule ID 45935 //
     /*  176490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176493 */     // MIs[0] rs1
     /*  176493 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176497 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176501 */     // (st VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  176501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  176504 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176514 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176518 */     GIR_RootConstrainSelectedInstOperands,
     /*  176519 */     // GIR_Coverage, 45935,
     /*  176519 */     GIR_EraseRootFromParent_Done,
     /*  176520 */   // Label 3315: @176520
     /*  176520 */   GIM_Try, /*On fail goto*//*Label 3316*/ GIMT_Encode4(176555), // Rule ID 46010 //
     /*  176525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  176528 */     // MIs[0] rs1
     /*  176528 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176532 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176536 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  176536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  176539 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176549 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176553 */     GIR_RootConstrainSelectedInstOperands,
     /*  176554 */     // GIR_Coverage, 46010,
     /*  176554 */     GIR_EraseRootFromParent_Done,
     /*  176555 */   // Label 3316: @176555
     /*  176555 */   GIM_Try, /*On fail goto*//*Label 3317*/ GIMT_Encode4(176590), // Rule ID 46011 //
     /*  176560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  176563 */     // MIs[0] rs1
     /*  176563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176571 */     // (st VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF4 VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  176571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF4),
     /*  176574 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  176584 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176588 */     GIR_RootConstrainSelectedInstOperands,
     /*  176589 */     // GIR_Coverage, 46011,
     /*  176589 */     GIR_EraseRootFromParent_Done,
     /*  176590 */   // Label 3317: @176590
     /*  176590 */   GIM_Reject,
     /*  176591 */ // Label 3313: @176591
     /*  176591 */ GIM_Reject,
     /*  176592 */ // Label 3204: @176592
     /*  176592 */ GIM_Try, /*On fail goto*//*Label 3318*/ GIMT_Encode4(176749),
     /*  176597 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176600 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176608 */   GIM_Try, /*On fail goto*//*Label 3319*/ GIMT_Encode4(176643), // Rule ID 45942 //
     /*  176613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176616 */     // MIs[0] rs1
     /*  176616 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176620 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176624 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176627 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176629 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176637 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176641 */     GIR_RootConstrainSelectedInstOperands,
     /*  176642 */     // GIR_Coverage, 45942,
     /*  176642 */     GIR_EraseRootFromParent_Done,
     /*  176643 */   // Label 3319: @176643
     /*  176643 */   GIM_Try, /*On fail goto*//*Label 3320*/ GIMT_Encode4(176678), // Rule ID 45943 //
     /*  176648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176651 */     // MIs[0] rs1
     /*  176651 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176659 */     // (st VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176662 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176672 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176676 */     GIR_RootConstrainSelectedInstOperands,
     /*  176677 */     // GIR_Coverage, 45943,
     /*  176677 */     GIR_EraseRootFromParent_Done,
     /*  176678 */   // Label 3320: @176678
     /*  176678 */   GIM_Try, /*On fail goto*//*Label 3321*/ GIMT_Encode4(176713), // Rule ID 46018 //
     /*  176683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  176686 */     // MIs[0] rs1
     /*  176686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176694 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  176694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176697 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176711 */     GIR_RootConstrainSelectedInstOperands,
     /*  176712 */     // GIR_Coverage, 46018,
     /*  176712 */     GIR_EraseRootFromParent_Done,
     /*  176713 */   // Label 3321: @176713
     /*  176713 */   GIM_Try, /*On fail goto*//*Label 3322*/ GIMT_Encode4(176748), // Rule ID 46019 //
     /*  176718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  176721 */     // MIs[0] rs1
     /*  176721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176729 */     // (st VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_MF2 VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  176729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_MF2),
     /*  176732 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  176742 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176746 */     GIR_RootConstrainSelectedInstOperands,
     /*  176747 */     // GIR_Coverage, 46019,
     /*  176747 */     GIR_EraseRootFromParent_Done,
     /*  176748 */   // Label 3322: @176748
     /*  176748 */   GIM_Reject,
     /*  176749 */ // Label 3318: @176749
     /*  176749 */ GIM_Reject,
     /*  176750 */ // Label 3205: @176750
     /*  176750 */ GIM_Try, /*On fail goto*//*Label 3323*/ GIMT_Encode4(176907),
     /*  176755 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176758 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176762 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176766 */   GIM_Try, /*On fail goto*//*Label 3324*/ GIMT_Encode4(176801), // Rule ID 45958 //
     /*  176771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  176774 */     // MIs[0] rs1
     /*  176774 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176782 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176785 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176787 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176795 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176799 */     GIR_RootConstrainSelectedInstOperands,
     /*  176800 */     // GIR_Coverage, 45958,
     /*  176800 */     GIR_EraseRootFromParent_Done,
     /*  176801 */   // Label 3324: @176801
     /*  176801 */   GIM_Try, /*On fail goto*//*Label 3325*/ GIMT_Encode4(176836), // Rule ID 45959 //
     /*  176806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  176809 */     // MIs[0] rs1
     /*  176809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176817 */     // (st VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176820 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176830 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176834 */     GIR_RootConstrainSelectedInstOperands,
     /*  176835 */     // GIR_Coverage, 45959,
     /*  176835 */     GIR_EraseRootFromParent_Done,
     /*  176836 */   // Label 3325: @176836
     /*  176836 */   GIM_Try, /*On fail goto*//*Label 3326*/ GIMT_Encode4(176871), // Rule ID 46030 //
     /*  176841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  176844 */     // MIs[0] rs1
     /*  176844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  176848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176852 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  176852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176855 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176869 */     GIR_RootConstrainSelectedInstOperands,
     /*  176870 */     // GIR_Coverage, 46030,
     /*  176870 */     GIR_EraseRootFromParent_Done,
     /*  176871 */   // Label 3326: @176871
     /*  176871 */   GIM_Try, /*On fail goto*//*Label 3327*/ GIMT_Encode4(176906), // Rule ID 46031 //
     /*  176876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  176879 */     // MIs[0] rs1
     /*  176879 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  176883 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176887 */     // (st VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M1 VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  176887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M1),
     /*  176890 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  176900 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176904 */     GIR_RootConstrainSelectedInstOperands,
     /*  176905 */     // GIR_Coverage, 46031,
     /*  176905 */     GIR_EraseRootFromParent_Done,
     /*  176906 */   // Label 3327: @176906
     /*  176906 */   GIM_Reject,
     /*  176907 */ // Label 3323: @176907
     /*  176907 */ GIM_Reject,
     /*  176908 */ // Label 3206: @176908
     /*  176908 */ GIM_Try, /*On fail goto*//*Label 3328*/ GIMT_Encode4(176987),
     /*  176913 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176916 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  176920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  176924 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  176928 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  176932 */   GIM_Try, /*On fail goto*//*Label 3329*/ GIMT_Encode4(176959), // Rule ID 46070 //
     /*  176937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  176940 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  176940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  176943 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176953 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176957 */     GIR_RootConstrainSelectedInstOperands,
     /*  176958 */     // GIR_Coverage, 46070,
     /*  176958 */     GIR_EraseRootFromParent_Done,
     /*  176959 */   // Label 3329: @176959
     /*  176959 */   GIM_Try, /*On fail goto*//*Label 3330*/ GIMT_Encode4(176986), // Rule ID 46071 //
     /*  176964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  176967 */     // (st VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B32 VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  176967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B32),
     /*  176970 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  176972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  176974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  176977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  176980 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  176984 */     GIR_RootConstrainSelectedInstOperands,
     /*  176985 */     // GIR_Coverage, 46071,
     /*  176985 */     GIR_EraseRootFromParent_Done,
     /*  176986 */   // Label 3330: @176986
     /*  176986 */   GIM_Reject,
     /*  176987 */ // Label 3328: @176987
     /*  176987 */ GIM_Reject,
     /*  176988 */ // Label 3207: @176988
     /*  176988 */ GIM_Try, /*On fail goto*//*Label 3331*/ GIMT_Encode4(177075),
     /*  176993 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  176996 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177004 */   GIM_Try, /*On fail goto*//*Label 3332*/ GIMT_Encode4(177039), // Rule ID 45926 //
     /*  177009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177012 */     // MIs[0] rs1
     /*  177012 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177016 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177020 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  177020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  177023 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177025 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177033 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177037 */     GIR_RootConstrainSelectedInstOperands,
     /*  177038 */     // GIR_Coverage, 45926,
     /*  177038 */     GIR_EraseRootFromParent_Done,
     /*  177039 */   // Label 3332: @177039
     /*  177039 */   GIM_Try, /*On fail goto*//*Label 3333*/ GIMT_Encode4(177074), // Rule ID 45927 //
     /*  177044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177047 */     // MIs[0] rs1
     /*  177047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177055 */     // (st VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF4 VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  177055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF4),
     /*  177058 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177068 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177072 */     GIR_RootConstrainSelectedInstOperands,
     /*  177073 */     // GIR_Coverage, 45927,
     /*  177073 */     GIR_EraseRootFromParent_Done,
     /*  177074 */   // Label 3333: @177074
     /*  177074 */   GIM_Reject,
     /*  177075 */ // Label 3331: @177075
     /*  177075 */ GIM_Reject,
     /*  177076 */ // Label 3208: @177076
     /*  177076 */ GIM_Try, /*On fail goto*//*Label 3334*/ GIMT_Encode4(177233),
     /*  177081 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177084 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177092 */   GIM_Try, /*On fail goto*//*Label 3335*/ GIMT_Encode4(177127), // Rule ID 45938 //
     /*  177097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177100 */     // MIs[0] rs1
     /*  177100 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177108 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  177111 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177121 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177125 */     GIR_RootConstrainSelectedInstOperands,
     /*  177126 */     // GIR_Coverage, 45938,
     /*  177126 */     GIR_EraseRootFromParent_Done,
     /*  177127 */   // Label 3335: @177127
     /*  177127 */   GIM_Try, /*On fail goto*//*Label 3336*/ GIMT_Encode4(177162), // Rule ID 45939 //
     /*  177132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177135 */     // MIs[0] rs1
     /*  177135 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177143 */     // (st VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  177146 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177156 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177160 */     GIR_RootConstrainSelectedInstOperands,
     /*  177161 */     // GIR_Coverage, 45939,
     /*  177161 */     GIR_EraseRootFromParent_Done,
     /*  177162 */   // Label 3336: @177162
     /*  177162 */   GIM_Try, /*On fail goto*//*Label 3337*/ GIMT_Encode4(177197), // Rule ID 46014 //
     /*  177167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  177170 */     // MIs[0] rs1
     /*  177170 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177178 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  177181 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177191 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177195 */     GIR_RootConstrainSelectedInstOperands,
     /*  177196 */     // GIR_Coverage, 46014,
     /*  177196 */     GIR_EraseRootFromParent_Done,
     /*  177197 */   // Label 3337: @177197
     /*  177197 */   GIM_Try, /*On fail goto*//*Label 3338*/ GIMT_Encode4(177232), // Rule ID 46015 //
     /*  177202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  177205 */     // MIs[0] rs1
     /*  177205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177213 */     // (st VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_MF2 VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_MF2),
     /*  177216 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177230 */     GIR_RootConstrainSelectedInstOperands,
     /*  177231 */     // GIR_Coverage, 46015,
     /*  177231 */     GIR_EraseRootFromParent_Done,
     /*  177232 */   // Label 3338: @177232
     /*  177232 */   GIM_Reject,
     /*  177233 */ // Label 3334: @177233
     /*  177233 */ GIM_Reject,
     /*  177234 */ // Label 3209: @177234
     /*  177234 */ GIM_Try, /*On fail goto*//*Label 3339*/ GIMT_Encode4(177391),
     /*  177239 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177242 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177250 */   GIM_Try, /*On fail goto*//*Label 3340*/ GIMT_Encode4(177285), // Rule ID 45954 //
     /*  177255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177258 */     // MIs[0] rs1
     /*  177258 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177266 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  177269 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177279 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177283 */     GIR_RootConstrainSelectedInstOperands,
     /*  177284 */     // GIR_Coverage, 45954,
     /*  177284 */     GIR_EraseRootFromParent_Done,
     /*  177285 */   // Label 3340: @177285
     /*  177285 */   GIM_Try, /*On fail goto*//*Label 3341*/ GIMT_Encode4(177320), // Rule ID 45955 //
     /*  177290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177293 */     // MIs[0] rs1
     /*  177293 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177297 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177301 */     // (st VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  177304 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177314 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177318 */     GIR_RootConstrainSelectedInstOperands,
     /*  177319 */     // GIR_Coverage, 45955,
     /*  177319 */     GIR_EraseRootFromParent_Done,
     /*  177320 */   // Label 3341: @177320
     /*  177320 */   GIM_Try, /*On fail goto*//*Label 3342*/ GIMT_Encode4(177355), // Rule ID 46026 //
     /*  177325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  177328 */     // MIs[0] rs1
     /*  177328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177336 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  177339 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177349 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177353 */     GIR_RootConstrainSelectedInstOperands,
     /*  177354 */     // GIR_Coverage, 46026,
     /*  177354 */     GIR_EraseRootFromParent_Done,
     /*  177355 */   // Label 3342: @177355
     /*  177355 */   GIM_Try, /*On fail goto*//*Label 3343*/ GIMT_Encode4(177390), // Rule ID 46027 //
     /*  177360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  177363 */     // MIs[0] rs1
     /*  177363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177371 */     // (st VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M1 VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M1),
     /*  177374 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177384 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177388 */     GIR_RootConstrainSelectedInstOperands,
     /*  177389 */     // GIR_Coverage, 46027,
     /*  177389 */     GIR_EraseRootFromParent_Done,
     /*  177390 */   // Label 3343: @177390
     /*  177390 */   GIM_Reject,
     /*  177391 */ // Label 3339: @177391
     /*  177391 */ GIM_Reject,
     /*  177392 */ // Label 3210: @177392
     /*  177392 */ GIM_Try, /*On fail goto*//*Label 3344*/ GIMT_Encode4(177549),
     /*  177397 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177400 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177408 */   GIM_Try, /*On fail goto*//*Label 3345*/ GIMT_Encode4(177443), // Rule ID 45998 //
     /*  177413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  177416 */     // MIs[0] rs1
     /*  177416 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177424 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  177424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  177427 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177437 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177441 */     GIR_RootConstrainSelectedInstOperands,
     /*  177442 */     // GIR_Coverage, 45998,
     /*  177442 */     GIR_EraseRootFromParent_Done,
     /*  177443 */   // Label 3345: @177443
     /*  177443 */   GIM_Try, /*On fail goto*//*Label 3346*/ GIMT_Encode4(177478), // Rule ID 45999 //
     /*  177448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  177451 */     // MIs[0] rs1
     /*  177451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177459 */     // (st VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  177459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  177462 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177472 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177476 */     GIR_RootConstrainSelectedInstOperands,
     /*  177477 */     // GIR_Coverage, 45999,
     /*  177477 */     GIR_EraseRootFromParent_Done,
     /*  177478 */   // Label 3346: @177478
     /*  177478 */   GIM_Try, /*On fail goto*//*Label 3347*/ GIMT_Encode4(177513), // Rule ID 46058 //
     /*  177483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  177486 */     // MIs[0] rs1
     /*  177486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177494 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  177494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  177497 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177507 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177511 */     GIR_RootConstrainSelectedInstOperands,
     /*  177512 */     // GIR_Coverage, 46058,
     /*  177512 */     GIR_EraseRootFromParent_Done,
     /*  177513 */   // Label 3347: @177513
     /*  177513 */   GIM_Try, /*On fail goto*//*Label 3348*/ GIMT_Encode4(177548), // Rule ID 46059 //
     /*  177518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  177521 */     // MIs[0] rs1
     /*  177521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177529 */     // (st VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M2 VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  177529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M2),
     /*  177532 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  177542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177546 */     GIR_RootConstrainSelectedInstOperands,
     /*  177547 */     // GIR_Coverage, 46059,
     /*  177547 */     GIR_EraseRootFromParent_Done,
     /*  177548 */   // Label 3348: @177548
     /*  177548 */   GIM_Reject,
     /*  177549 */ // Label 3344: @177549
     /*  177549 */ GIM_Reject,
     /*  177550 */ // Label 3211: @177550
     /*  177550 */ GIM_Try, /*On fail goto*//*Label 3349*/ GIMT_Encode4(177629),
     /*  177555 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177558 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177566 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  177570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177574 */   GIM_Try, /*On fail goto*//*Label 3350*/ GIMT_Encode4(177601), // Rule ID 46074 //
     /*  177579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177582 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  177582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  177585 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  177595 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177599 */     GIR_RootConstrainSelectedInstOperands,
     /*  177600 */     // GIR_Coverage, 46074,
     /*  177600 */     GIR_EraseRootFromParent_Done,
     /*  177601 */   // Label 3350: @177601
     /*  177601 */   GIM_Try, /*On fail goto*//*Label 3351*/ GIMT_Encode4(177628), // Rule ID 46075 //
     /*  177606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177609 */     // (st VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B16 VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  177609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B16),
     /*  177612 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  177622 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177626 */     GIR_RootConstrainSelectedInstOperands,
     /*  177627 */     // GIR_Coverage, 46075,
     /*  177627 */     GIR_EraseRootFromParent_Done,
     /*  177628 */   // Label 3351: @177628
     /*  177628 */   GIM_Reject,
     /*  177629 */ // Label 3349: @177629
     /*  177629 */ GIM_Reject,
     /*  177630 */ // Label 3212: @177630
     /*  177630 */ GIM_Try, /*On fail goto*//*Label 3352*/ GIMT_Encode4(177717),
     /*  177635 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177638 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177646 */   GIM_Try, /*On fail goto*//*Label 3353*/ GIMT_Encode4(177681), // Rule ID 45930 //
     /*  177651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177654 */     // MIs[0] rs1
     /*  177654 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177662 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  177662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  177665 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177675 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177679 */     GIR_RootConstrainSelectedInstOperands,
     /*  177680 */     // GIR_Coverage, 45930,
     /*  177680 */     GIR_EraseRootFromParent_Done,
     /*  177681 */   // Label 3353: @177681
     /*  177681 */   GIM_Try, /*On fail goto*//*Label 3354*/ GIMT_Encode4(177716), // Rule ID 45931 //
     /*  177686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177689 */     // MIs[0] rs1
     /*  177689 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177697 */     // (st VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_MF2 VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  177697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_MF2),
     /*  177700 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  177710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177714 */     GIR_RootConstrainSelectedInstOperands,
     /*  177715 */     // GIR_Coverage, 45931,
     /*  177715 */     GIR_EraseRootFromParent_Done,
     /*  177716 */   // Label 3354: @177716
     /*  177716 */   GIM_Reject,
     /*  177717 */ // Label 3352: @177717
     /*  177717 */ GIM_Reject,
     /*  177718 */ // Label 3213: @177718
     /*  177718 */ GIM_Try, /*On fail goto*//*Label 3355*/ GIMT_Encode4(177875),
     /*  177723 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177726 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  177734 */   GIM_Try, /*On fail goto*//*Label 3356*/ GIMT_Encode4(177769), // Rule ID 45950 //
     /*  177739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177742 */     // MIs[0] rs1
     /*  177742 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177750 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177753 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177763 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177767 */     GIR_RootConstrainSelectedInstOperands,
     /*  177768 */     // GIR_Coverage, 45950,
     /*  177768 */     GIR_EraseRootFromParent_Done,
     /*  177769 */   // Label 3356: @177769
     /*  177769 */   GIM_Try, /*On fail goto*//*Label 3357*/ GIMT_Encode4(177804), // Rule ID 45951 //
     /*  177774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177777 */     // MIs[0] rs1
     /*  177777 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177785 */     // (st VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177788 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177798 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177802 */     GIR_RootConstrainSelectedInstOperands,
     /*  177803 */     // GIR_Coverage, 45951,
     /*  177803 */     GIR_EraseRootFromParent_Done,
     /*  177804 */   // Label 3357: @177804
     /*  177804 */   GIM_Try, /*On fail goto*//*Label 3358*/ GIMT_Encode4(177839), // Rule ID 46022 //
     /*  177809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  177812 */     // MIs[0] rs1
     /*  177812 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177820 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  177820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177823 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177833 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177837 */     GIR_RootConstrainSelectedInstOperands,
     /*  177838 */     // GIR_Coverage, 46022,
     /*  177838 */     GIR_EraseRootFromParent_Done,
     /*  177839 */   // Label 3358: @177839
     /*  177839 */   GIM_Try, /*On fail goto*//*Label 3359*/ GIMT_Encode4(177874), // Rule ID 46023 //
     /*  177844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  177847 */     // MIs[0] rs1
     /*  177847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177855 */     // (st VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M1 VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  177855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M1),
     /*  177858 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  177868 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177872 */     GIR_RootConstrainSelectedInstOperands,
     /*  177873 */     // GIR_Coverage, 46023,
     /*  177873 */     GIR_EraseRootFromParent_Done,
     /*  177874 */   // Label 3359: @177874
     /*  177874 */   GIM_Reject,
     /*  177875 */ // Label 3355: @177875
     /*  177875 */ GIM_Reject,
     /*  177876 */ // Label 3214: @177876
     /*  177876 */ GIM_Try, /*On fail goto*//*Label 3360*/ GIMT_Encode4(178033),
     /*  177881 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  177884 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  177888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  177892 */   GIM_Try, /*On fail goto*//*Label 3361*/ GIMT_Encode4(177927), // Rule ID 45986 //
     /*  177897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  177900 */     // MIs[0] rs1
     /*  177900 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177908 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177911 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177921 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177925 */     GIR_RootConstrainSelectedInstOperands,
     /*  177926 */     // GIR_Coverage, 45986,
     /*  177926 */     GIR_EraseRootFromParent_Done,
     /*  177927 */   // Label 3361: @177927
     /*  177927 */   GIM_Try, /*On fail goto*//*Label 3362*/ GIMT_Encode4(177962), // Rule ID 45987 //
     /*  177932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  177935 */     // MIs[0] rs1
     /*  177935 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  177939 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177943 */     // (st VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  177943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177946 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177956 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177960 */     GIR_RootConstrainSelectedInstOperands,
     /*  177961 */     // GIR_Coverage, 45987,
     /*  177961 */     GIR_EraseRootFromParent_Done,
     /*  177962 */   // Label 3362: @177962
     /*  177962 */   GIM_Try, /*On fail goto*//*Label 3363*/ GIMT_Encode4(177997), // Rule ID 46046 //
     /*  177967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  177970 */     // MIs[0] rs1
     /*  177970 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  177974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  177978 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  177978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  177981 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  177983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  177985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  177988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  177991 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  177995 */     GIR_RootConstrainSelectedInstOperands,
     /*  177996 */     // GIR_Coverage, 46046,
     /*  177996 */     GIR_EraseRootFromParent_Done,
     /*  177997 */   // Label 3363: @177997
     /*  177997 */   GIM_Try, /*On fail goto*//*Label 3364*/ GIMT_Encode4(178032), // Rule ID 46047 //
     /*  178002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  178005 */     // MIs[0] rs1
     /*  178005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178013 */     // (st VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M2 VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M2),
     /*  178016 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178026 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178030 */     GIR_RootConstrainSelectedInstOperands,
     /*  178031 */     // GIR_Coverage, 46047,
     /*  178031 */     GIR_EraseRootFromParent_Done,
     /*  178032 */   // Label 3364: @178032
     /*  178032 */   GIM_Reject,
     /*  178033 */ // Label 3360: @178033
     /*  178033 */ GIM_Reject,
     /*  178034 */ // Label 3215: @178034
     /*  178034 */ GIM_Try, /*On fail goto*//*Label 3365*/ GIMT_Encode4(178191),
     /*  178039 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178042 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  178050 */   GIM_Try, /*On fail goto*//*Label 3366*/ GIMT_Encode4(178085), // Rule ID 46002 //
     /*  178055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  178058 */     // MIs[0] rs1
     /*  178058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178066 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  178066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  178069 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178079 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178083 */     GIR_RootConstrainSelectedInstOperands,
     /*  178084 */     // GIR_Coverage, 46002,
     /*  178084 */     GIR_EraseRootFromParent_Done,
     /*  178085 */   // Label 3366: @178085
     /*  178085 */   GIM_Try, /*On fail goto*//*Label 3367*/ GIMT_Encode4(178120), // Rule ID 46003 //
     /*  178090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  178093 */     // MIs[0] rs1
     /*  178093 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178101 */     // (st VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  178101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  178104 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178114 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178118 */     GIR_RootConstrainSelectedInstOperands,
     /*  178119 */     // GIR_Coverage, 46003,
     /*  178119 */     GIR_EraseRootFromParent_Done,
     /*  178120 */   // Label 3367: @178120
     /*  178120 */   GIM_Try, /*On fail goto*//*Label 3368*/ GIMT_Encode4(178155), // Rule ID 46062 //
     /*  178125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  178128 */     // MIs[0] rs1
     /*  178128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178136 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  178136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  178139 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178149 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178153 */     GIR_RootConstrainSelectedInstOperands,
     /*  178154 */     // GIR_Coverage, 46062,
     /*  178154 */     GIR_EraseRootFromParent_Done,
     /*  178155 */   // Label 3368: @178155
     /*  178155 */   GIM_Try, /*On fail goto*//*Label 3369*/ GIMT_Encode4(178190), // Rule ID 46063 //
     /*  178160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  178163 */     // MIs[0] rs1
     /*  178163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178171 */     // (st VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M4 VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  178171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M4),
     /*  178174 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178184 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178188 */     GIR_RootConstrainSelectedInstOperands,
     /*  178189 */     // GIR_Coverage, 46063,
     /*  178189 */     GIR_EraseRootFromParent_Done,
     /*  178190 */   // Label 3369: @178190
     /*  178190 */   GIM_Reject,
     /*  178191 */ // Label 3365: @178191
     /*  178191 */ GIM_Reject,
     /*  178192 */ // Label 3216: @178192
     /*  178192 */ GIM_Try, /*On fail goto*//*Label 3370*/ GIMT_Encode4(178271),
     /*  178197 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178200 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178208 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178216 */   GIM_Try, /*On fail goto*//*Label 3371*/ GIMT_Encode4(178243), // Rule ID 46078 //
     /*  178221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178224 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  178224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  178227 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178237 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178241 */     GIR_RootConstrainSelectedInstOperands,
     /*  178242 */     // GIR_Coverage, 46078,
     /*  178242 */     GIR_EraseRootFromParent_Done,
     /*  178243 */   // Label 3371: @178243
     /*  178243 */   GIM_Try, /*On fail goto*//*Label 3372*/ GIMT_Encode4(178270), // Rule ID 46079 //
     /*  178248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178251 */     // (st VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B8 VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  178251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B8),
     /*  178254 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178264 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178268 */     GIR_RootConstrainSelectedInstOperands,
     /*  178269 */     // GIR_Coverage, 46079,
     /*  178269 */     GIR_EraseRootFromParent_Done,
     /*  178270 */   // Label 3372: @178270
     /*  178270 */   GIM_Reject,
     /*  178271 */ // Label 3370: @178271
     /*  178271 */ GIM_Reject,
     /*  178272 */ // Label 3217: @178272
     /*  178272 */ GIM_Try, /*On fail goto*//*Label 3373*/ GIMT_Encode4(178359),
     /*  178277 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178280 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178284 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178288 */   GIM_Try, /*On fail goto*//*Label 3374*/ GIMT_Encode4(178323), // Rule ID 45946 //
     /*  178293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178296 */     // MIs[0] rs1
     /*  178296 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178304 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  178304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  178307 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178317 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178321 */     GIR_RootConstrainSelectedInstOperands,
     /*  178322 */     // GIR_Coverage, 45946,
     /*  178322 */     GIR_EraseRootFromParent_Done,
     /*  178323 */   // Label 3374: @178323
     /*  178323 */   GIM_Try, /*On fail goto*//*Label 3375*/ GIMT_Encode4(178358), // Rule ID 45947 //
     /*  178328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178331 */     // MIs[0] rs1
     /*  178331 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178339 */     // (st VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M1 VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  178339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M1),
     /*  178342 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178352 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178356 */     GIR_RootConstrainSelectedInstOperands,
     /*  178357 */     // GIR_Coverage, 45947,
     /*  178357 */     GIR_EraseRootFromParent_Done,
     /*  178358 */   // Label 3375: @178358
     /*  178358 */   GIM_Reject,
     /*  178359 */ // Label 3373: @178359
     /*  178359 */ GIM_Reject,
     /*  178360 */ // Label 3218: @178360
     /*  178360 */ GIM_Try, /*On fail goto*//*Label 3376*/ GIMT_Encode4(178517),
     /*  178365 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178368 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  178376 */   GIM_Try, /*On fail goto*//*Label 3377*/ GIMT_Encode4(178411), // Rule ID 45974 //
     /*  178381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178384 */     // MIs[0] rs1
     /*  178384 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178392 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  178392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  178395 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178405 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178409 */     GIR_RootConstrainSelectedInstOperands,
     /*  178410 */     // GIR_Coverage, 45974,
     /*  178410 */     GIR_EraseRootFromParent_Done,
     /*  178411 */   // Label 3377: @178411
     /*  178411 */   GIM_Try, /*On fail goto*//*Label 3378*/ GIMT_Encode4(178446), // Rule ID 45975 //
     /*  178416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178419 */     // MIs[0] rs1
     /*  178419 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178427 */     // (st VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  178430 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178440 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178444 */     GIR_RootConstrainSelectedInstOperands,
     /*  178445 */     // GIR_Coverage, 45975,
     /*  178445 */     GIR_EraseRootFromParent_Done,
     /*  178446 */   // Label 3378: @178446
     /*  178446 */   GIM_Try, /*On fail goto*//*Label 3379*/ GIMT_Encode4(178481), // Rule ID 46034 //
     /*  178451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  178454 */     // MIs[0] rs1
     /*  178454 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178462 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  178462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  178465 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178475 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178479 */     GIR_RootConstrainSelectedInstOperands,
     /*  178480 */     // GIR_Coverage, 46034,
     /*  178480 */     GIR_EraseRootFromParent_Done,
     /*  178481 */   // Label 3379: @178481
     /*  178481 */   GIM_Try, /*On fail goto*//*Label 3380*/ GIMT_Encode4(178516), // Rule ID 46035 //
     /*  178486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  178489 */     // MIs[0] rs1
     /*  178489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178497 */     // (st VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M2 VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  178497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M2),
     /*  178500 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  178510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178514 */     GIR_RootConstrainSelectedInstOperands,
     /*  178515 */     // GIR_Coverage, 46035,
     /*  178515 */     GIR_EraseRootFromParent_Done,
     /*  178516 */   // Label 3380: @178516
     /*  178516 */   GIM_Reject,
     /*  178517 */ // Label 3376: @178517
     /*  178517 */ GIM_Reject,
     /*  178518 */ // Label 3219: @178518
     /*  178518 */ GIM_Try, /*On fail goto*//*Label 3381*/ GIMT_Encode4(178675),
     /*  178523 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178526 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178530 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  178534 */   GIM_Try, /*On fail goto*//*Label 3382*/ GIMT_Encode4(178569), // Rule ID 45990 //
     /*  178539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178542 */     // MIs[0] rs1
     /*  178542 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178546 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178550 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  178550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  178553 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178567 */     GIR_RootConstrainSelectedInstOperands,
     /*  178568 */     // GIR_Coverage, 45990,
     /*  178568 */     GIR_EraseRootFromParent_Done,
     /*  178569 */   // Label 3382: @178569
     /*  178569 */   GIM_Try, /*On fail goto*//*Label 3383*/ GIMT_Encode4(178604), // Rule ID 45991 //
     /*  178574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178577 */     // MIs[0] rs1
     /*  178577 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178585 */     // (st VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  178588 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178598 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178602 */     GIR_RootConstrainSelectedInstOperands,
     /*  178603 */     // GIR_Coverage, 45991,
     /*  178603 */     GIR_EraseRootFromParent_Done,
     /*  178604 */   // Label 3383: @178604
     /*  178604 */   GIM_Try, /*On fail goto*//*Label 3384*/ GIMT_Encode4(178639), // Rule ID 46050 //
     /*  178609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  178612 */     // MIs[0] rs1
     /*  178612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178620 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  178620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  178623 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178633 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178637 */     GIR_RootConstrainSelectedInstOperands,
     /*  178638 */     // GIR_Coverage, 46050,
     /*  178638 */     GIR_EraseRootFromParent_Done,
     /*  178639 */   // Label 3384: @178639
     /*  178639 */   GIM_Try, /*On fail goto*//*Label 3385*/ GIMT_Encode4(178674), // Rule ID 46051 //
     /*  178644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  178647 */     // MIs[0] rs1
     /*  178647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178655 */     // (st VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M4 VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  178655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M4),
     /*  178658 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  178668 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178672 */     GIR_RootConstrainSelectedInstOperands,
     /*  178673 */     // GIR_Coverage, 46051,
     /*  178673 */     GIR_EraseRootFromParent_Done,
     /*  178674 */   // Label 3385: @178674
     /*  178674 */   GIM_Reject,
     /*  178675 */ // Label 3381: @178675
     /*  178675 */ GIM_Reject,
     /*  178676 */ // Label 3220: @178676
     /*  178676 */ GIM_Try, /*On fail goto*//*Label 3386*/ GIMT_Encode4(178833),
     /*  178681 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178684 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178688 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  178692 */   GIM_Try, /*On fail goto*//*Label 3387*/ GIMT_Encode4(178727), // Rule ID 46006 //
     /*  178697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  178700 */     // MIs[0] rs1
     /*  178700 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178708 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  178708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178711 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178721 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178725 */     GIR_RootConstrainSelectedInstOperands,
     /*  178726 */     // GIR_Coverage, 46006,
     /*  178726 */     GIR_EraseRootFromParent_Done,
     /*  178727 */   // Label 3387: @178727
     /*  178727 */   GIM_Try, /*On fail goto*//*Label 3388*/ GIMT_Encode4(178762), // Rule ID 46007 //
     /*  178732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  178735 */     // MIs[0] rs1
     /*  178735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178743 */     // (st VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  178743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178746 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178748 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178756 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178760 */     GIR_RootConstrainSelectedInstOperands,
     /*  178761 */     // GIR_Coverage, 46007,
     /*  178761 */     GIR_EraseRootFromParent_Done,
     /*  178762 */   // Label 3388: @178762
     /*  178762 */   GIM_Try, /*On fail goto*//*Label 3389*/ GIMT_Encode4(178797), // Rule ID 46066 //
     /*  178767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  178770 */     // MIs[0] rs1
     /*  178770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178778 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] })
     /*  178778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178781 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178795 */     GIR_RootConstrainSelectedInstOperands,
     /*  178796 */     // GIR_Coverage, 46066,
     /*  178796 */     GIR_EraseRootFromParent_Done,
     /*  178797 */   // Label 3389: @178797
     /*  178797 */   GIM_Try, /*On fail goto*//*Label 3390*/ GIMT_Encode4(178832), // Rule ID 46067 //
     /*  178802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  178805 */     // MIs[0] rs1
     /*  178805 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178813 */     // (st VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE64_V_M8 VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] })
     /*  178813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE64_V_M8),
     /*  178816 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  178826 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178830 */     GIR_RootConstrainSelectedInstOperands,
     /*  178831 */     // GIR_Coverage, 46067,
     /*  178831 */     GIR_EraseRootFromParent_Done,
     /*  178832 */   // Label 3390: @178832
     /*  178832 */   GIM_Reject,
     /*  178833 */ // Label 3386: @178833
     /*  178833 */ GIM_Reject,
     /*  178834 */ // Label 3221: @178834
     /*  178834 */ GIM_Try, /*On fail goto*//*Label 3391*/ GIMT_Encode4(178913),
     /*  178839 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178842 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  178850 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  178854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178858 */   GIM_Try, /*On fail goto*//*Label 3392*/ GIMT_Encode4(178885), // Rule ID 46082 //
     /*  178863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178866 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  178866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  178869 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178879 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178883 */     GIR_RootConstrainSelectedInstOperands,
     /*  178884 */     // GIR_Coverage, 46082,
     /*  178884 */     GIR_EraseRootFromParent_Done,
     /*  178885 */   // Label 3392: @178885
     /*  178885 */   GIM_Try, /*On fail goto*//*Label 3393*/ GIMT_Encode4(178912), // Rule ID 46083 //
     /*  178890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178893 */     // (st VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B4 VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  178893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B4),
     /*  178896 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  178906 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178910 */     GIR_RootConstrainSelectedInstOperands,
     /*  178911 */     // GIR_Coverage, 46083,
     /*  178911 */     GIR_EraseRootFromParent_Done,
     /*  178912 */   // Label 3393: @178912
     /*  178912 */   GIM_Reject,
     /*  178913 */ // Label 3391: @178913
     /*  178913 */ GIM_Reject,
     /*  178914 */ // Label 3222: @178914
     /*  178914 */ GIM_Try, /*On fail goto*//*Label 3394*/ GIMT_Encode4(179001),
     /*  178919 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  178922 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  178926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  178930 */   GIM_Try, /*On fail goto*//*Label 3395*/ GIMT_Encode4(178965), // Rule ID 45962 //
     /*  178935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  178938 */     // MIs[0] rs1
     /*  178938 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  178942 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178946 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  178946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  178949 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178959 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178963 */     GIR_RootConstrainSelectedInstOperands,
     /*  178964 */     // GIR_Coverage, 45962,
     /*  178964 */     GIR_EraseRootFromParent_Done,
     /*  178965 */   // Label 3395: @178965
     /*  178965 */   GIM_Try, /*On fail goto*//*Label 3396*/ GIMT_Encode4(179000), // Rule ID 45963 //
     /*  178970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  178973 */     // MIs[0] rs1
     /*  178973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  178977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  178981 */     // (st VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M2 VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  178981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M2),
     /*  178984 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  178986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  178988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  178991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  178994 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  178998 */     GIR_RootConstrainSelectedInstOperands,
     /*  178999 */     // GIR_Coverage, 45963,
     /*  178999 */     GIR_EraseRootFromParent_Done,
     /*  179000 */   // Label 3396: @179000
     /*  179000 */   GIM_Reject,
     /*  179001 */ // Label 3394: @179001
     /*  179001 */ GIM_Reject,
     /*  179002 */ // Label 3223: @179002
     /*  179002 */ GIM_Try, /*On fail goto*//*Label 3397*/ GIMT_Encode4(179159),
     /*  179007 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179010 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179018 */   GIM_Try, /*On fail goto*//*Label 3398*/ GIMT_Encode4(179053), // Rule ID 45978 //
     /*  179023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179026 */     // MIs[0] rs1
     /*  179026 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179030 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179034 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  179034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  179037 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179047 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179051 */     GIR_RootConstrainSelectedInstOperands,
     /*  179052 */     // GIR_Coverage, 45978,
     /*  179052 */     GIR_EraseRootFromParent_Done,
     /*  179053 */   // Label 3398: @179053
     /*  179053 */   GIM_Try, /*On fail goto*//*Label 3399*/ GIMT_Encode4(179088), // Rule ID 45979 //
     /*  179058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179061 */     // MIs[0] rs1
     /*  179061 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179069 */     // (st VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  179069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  179072 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179082 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179086 */     GIR_RootConstrainSelectedInstOperands,
     /*  179087 */     // GIR_Coverage, 45979,
     /*  179087 */     GIR_EraseRootFromParent_Done,
     /*  179088 */   // Label 3399: @179088
     /*  179088 */   GIM_Try, /*On fail goto*//*Label 3400*/ GIMT_Encode4(179123), // Rule ID 46038 //
     /*  179093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  179096 */     // MIs[0] rs1
     /*  179096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179104 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  179104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  179107 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179117 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179121 */     GIR_RootConstrainSelectedInstOperands,
     /*  179122 */     // GIR_Coverage, 46038,
     /*  179122 */     GIR_EraseRootFromParent_Done,
     /*  179123 */   // Label 3400: @179123
     /*  179123 */   GIM_Try, /*On fail goto*//*Label 3401*/ GIMT_Encode4(179158), // Rule ID 46039 //
     /*  179128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  179131 */     // MIs[0] rs1
     /*  179131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179139 */     // (st VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M4 VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  179139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M4),
     /*  179142 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179156 */     GIR_RootConstrainSelectedInstOperands,
     /*  179157 */     // GIR_Coverage, 46039,
     /*  179157 */     GIR_EraseRootFromParent_Done,
     /*  179158 */   // Label 3401: @179158
     /*  179158 */   GIM_Reject,
     /*  179159 */ // Label 3397: @179159
     /*  179159 */ GIM_Reject,
     /*  179160 */ // Label 3224: @179160
     /*  179160 */ GIM_Try, /*On fail goto*//*Label 3402*/ GIMT_Encode4(179317),
     /*  179165 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179168 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179176 */   GIM_Try, /*On fail goto*//*Label 3403*/ GIMT_Encode4(179211), // Rule ID 45994 //
     /*  179181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179184 */     // MIs[0] rs1
     /*  179184 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179188 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179192 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  179192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  179195 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179209 */     GIR_RootConstrainSelectedInstOperands,
     /*  179210 */     // GIR_Coverage, 45994,
     /*  179210 */     GIR_EraseRootFromParent_Done,
     /*  179211 */   // Label 3403: @179211
     /*  179211 */   GIM_Try, /*On fail goto*//*Label 3404*/ GIMT_Encode4(179246), // Rule ID 45995 //
     /*  179216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179219 */     // MIs[0] rs1
     /*  179219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179227 */     // (st VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  179227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  179230 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179240 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179244 */     GIR_RootConstrainSelectedInstOperands,
     /*  179245 */     // GIR_Coverage, 45995,
     /*  179245 */     GIR_EraseRootFromParent_Done,
     /*  179246 */   // Label 3404: @179246
     /*  179246 */   GIM_Try, /*On fail goto*//*Label 3405*/ GIMT_Encode4(179281), // Rule ID 46054 //
     /*  179251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  179254 */     // MIs[0] rs1
     /*  179254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179262 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] })
     /*  179262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  179265 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179267 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179275 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179279 */     GIR_RootConstrainSelectedInstOperands,
     /*  179280 */     // GIR_Coverage, 46054,
     /*  179280 */     GIR_EraseRootFromParent_Done,
     /*  179281 */   // Label 3405: @179281
     /*  179281 */   GIM_Try, /*On fail goto*//*Label 3406*/ GIMT_Encode4(179316), // Rule ID 46055 //
     /*  179286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  179289 */     // MIs[0] rs1
     /*  179289 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179297 */     // (st VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE32_V_M8 VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] })
     /*  179297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE32_V_M8),
     /*  179300 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  179310 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179314 */     GIR_RootConstrainSelectedInstOperands,
     /*  179315 */     // GIR_Coverage, 46055,
     /*  179315 */     GIR_EraseRootFromParent_Done,
     /*  179316 */   // Label 3406: @179316
     /*  179316 */   GIM_Reject,
     /*  179317 */ // Label 3402: @179317
     /*  179317 */ GIM_Reject,
     /*  179318 */ // Label 3225: @179318
     /*  179318 */ GIM_Try, /*On fail goto*//*Label 3407*/ GIMT_Encode4(179397),
     /*  179323 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179326 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179334 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179342 */   GIM_Try, /*On fail goto*//*Label 3408*/ GIMT_Encode4(179369), // Rule ID 46086 //
     /*  179347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179350 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  179350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  179353 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  179363 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179367 */     GIR_RootConstrainSelectedInstOperands,
     /*  179368 */     // GIR_Coverage, 46086,
     /*  179368 */     GIR_EraseRootFromParent_Done,
     /*  179369 */   // Label 3408: @179369
     /*  179369 */   GIM_Try, /*On fail goto*//*Label 3409*/ GIMT_Encode4(179396), // Rule ID 46087 //
     /*  179374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179377 */     // (st VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B2 VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  179377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B2),
     /*  179380 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  179390 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179394 */     GIR_RootConstrainSelectedInstOperands,
     /*  179395 */     // GIR_Coverage, 46087,
     /*  179395 */     GIR_EraseRootFromParent_Done,
     /*  179396 */   // Label 3409: @179396
     /*  179396 */   GIM_Reject,
     /*  179397 */ // Label 3407: @179397
     /*  179397 */ GIM_Reject,
     /*  179398 */ // Label 3226: @179398
     /*  179398 */ GIM_Try, /*On fail goto*//*Label 3410*/ GIMT_Encode4(179485),
     /*  179403 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179406 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179410 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  179414 */   GIM_Try, /*On fail goto*//*Label 3411*/ GIMT_Encode4(179449), // Rule ID 45966 //
     /*  179419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179422 */     // MIs[0] rs1
     /*  179422 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179430 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  179430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  179433 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179447 */     GIR_RootConstrainSelectedInstOperands,
     /*  179448 */     // GIR_Coverage, 45966,
     /*  179448 */     GIR_EraseRootFromParent_Done,
     /*  179449 */   // Label 3411: @179449
     /*  179449 */   GIM_Try, /*On fail goto*//*Label 3412*/ GIMT_Encode4(179484), // Rule ID 45967 //
     /*  179454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179457 */     // MIs[0] rs1
     /*  179457 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179465 */     // (st VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M4 VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  179465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M4),
     /*  179468 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179478 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179482 */     GIR_RootConstrainSelectedInstOperands,
     /*  179483 */     // GIR_Coverage, 45967,
     /*  179483 */     GIR_EraseRootFromParent_Done,
     /*  179484 */   // Label 3412: @179484
     /*  179484 */   GIM_Reject,
     /*  179485 */ // Label 3410: @179485
     /*  179485 */ GIM_Reject,
     /*  179486 */ // Label 3227: @179486
     /*  179486 */ GIM_Try, /*On fail goto*//*Label 3413*/ GIMT_Encode4(179643),
     /*  179491 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179494 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179502 */   GIM_Try, /*On fail goto*//*Label 3414*/ GIMT_Encode4(179537), // Rule ID 45982 //
     /*  179507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179510 */     // MIs[0] rs1
     /*  179510 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179518 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  179518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  179521 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179531 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179535 */     GIR_RootConstrainSelectedInstOperands,
     /*  179536 */     // GIR_Coverage, 45982,
     /*  179536 */     GIR_EraseRootFromParent_Done,
     /*  179537 */   // Label 3414: @179537
     /*  179537 */   GIM_Try, /*On fail goto*//*Label 3415*/ GIMT_Encode4(179572), // Rule ID 45983 //
     /*  179542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179545 */     // MIs[0] rs1
     /*  179545 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179553 */     // (st VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  179553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  179556 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179566 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179570 */     GIR_RootConstrainSelectedInstOperands,
     /*  179571 */     // GIR_Coverage, 45983,
     /*  179571 */     GIR_EraseRootFromParent_Done,
     /*  179572 */   // Label 3415: @179572
     /*  179572 */   GIM_Try, /*On fail goto*//*Label 3416*/ GIMT_Encode4(179607), // Rule ID 46042 //
     /*  179577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  179580 */     // MIs[0] rs1
     /*  179580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179588 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] })
     /*  179588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  179591 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179601 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179605 */     GIR_RootConstrainSelectedInstOperands,
     /*  179606 */     // GIR_Coverage, 46042,
     /*  179606 */     GIR_EraseRootFromParent_Done,
     /*  179607 */   // Label 3416: @179607
     /*  179607 */   GIM_Try, /*On fail goto*//*Label 3417*/ GIMT_Encode4(179642), // Rule ID 46043 //
     /*  179612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  179615 */     // MIs[0] rs1
     /*  179615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179623 */     // (st VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE16_V_M8 VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] })
     /*  179623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE16_V_M8),
     /*  179626 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179636 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179640 */     GIR_RootConstrainSelectedInstOperands,
     /*  179641 */     // GIR_Coverage, 46043,
     /*  179641 */     GIR_EraseRootFromParent_Done,
     /*  179642 */   // Label 3417: @179642
     /*  179642 */   GIM_Reject,
     /*  179643 */ // Label 3413: @179643
     /*  179643 */ GIM_Reject,
     /*  179644 */ // Label 3228: @179644
     /*  179644 */ GIM_Try, /*On fail goto*//*Label 3418*/ GIMT_Encode4(179723),
     /*  179649 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179652 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  179660 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179668 */   GIM_Try, /*On fail goto*//*Label 3419*/ GIMT_Encode4(179695), // Rule ID 46090 //
     /*  179673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179676 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i64] }, 0:{ *:[i64] })
     /*  179676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  179679 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  179689 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179693 */     GIR_RootConstrainSelectedInstOperands,
     /*  179694 */     // GIR_Coverage, 46090,
     /*  179694 */     GIR_EraseRootFromParent_Done,
     /*  179695 */   // Label 3419: @179695
     /*  179695 */   GIM_Try, /*On fail goto*//*Label 3420*/ GIMT_Encode4(179722), // Rule ID 46091 //
     /*  179700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179703 */     // (st VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSM_V_B1 VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[iPTR] }:$rs1, -1:{ *:[i32] }, 0:{ *:[i32] })
     /*  179703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM_V_B1),
     /*  179706 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  179716 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179720 */     GIR_RootConstrainSelectedInstOperands,
     /*  179721 */     // GIR_Coverage, 46091,
     /*  179721 */     GIR_EraseRootFromParent_Done,
     /*  179722 */   // Label 3420: @179722
     /*  179722 */   GIM_Reject,
     /*  179723 */ // Label 3418: @179723
     /*  179723 */ GIM_Reject,
     /*  179724 */ // Label 3229: @179724
     /*  179724 */ GIM_Try, /*On fail goto*//*Label 3421*/ GIMT_Encode4(179811),
     /*  179729 */   GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::NotAtomic,
     /*  179732 */   GIM_CheckMemorySizeEqualToLLT, /*MI*/0, /*MMO*/0, /*OpIdx*/0,
     /*  179736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  179740 */   GIM_Try, /*On fail goto*//*Label 3422*/ GIMT_Encode4(179775), // Rule ID 45970 //
     /*  179745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  179748 */     // MIs[0] rs1
     /*  179748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  179752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179756 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] })
     /*  179756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  179759 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179769 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179773 */     GIR_RootConstrainSelectedInstOperands,
     /*  179774 */     // GIR_Coverage, 45970,
     /*  179774 */     GIR_EraseRootFromParent_Done,
     /*  179775 */   // Label 3422: @179775
     /*  179775 */   GIM_Try, /*On fail goto*//*Label 3423*/ GIMT_Encode4(179810), // Rule ID 45971 //
     /*  179780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  179783 */     // MIs[0] rs1
     /*  179783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  179787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179791 */     // (st VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1)<<P:Predicate_unindexedstore>><<P:Predicate_store>>  =>  (PseudoVSE8_V_M8 VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] })
     /*  179791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSE8_V_M8),
     /*  179794 */     GIR_RootToRootCopy, /*OpIdx*/0, // rs2
     /*  179796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /*  179798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /*  179801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  179804 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179808 */     GIR_RootConstrainSelectedInstOperands,
     /*  179809 */     // GIR_Coverage, 45971,
     /*  179809 */     GIR_EraseRootFromParent_Done,
     /*  179810 */   // Label 3423: @179810
     /*  179810 */   GIM_Reject,
     /*  179811 */ // Label 3421: @179811
     /*  179811 */ GIM_Reject,
     /*  179812 */ // Label 3230: @179812
     /*  179812 */ GIM_Reject,
     /*  179813 */ // Label 25: @179813
     /*  179813 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3426*/ GIMT_Encode4(184698),
     /*  179824 */ /*GILLT_s32*//*Label 3424*/ GIMT_Encode4(179832),
     /*  179828 */ /*GILLT_s64*//*Label 3425*/ GIMT_Encode4(181825),
     /*  179832 */ // Label 3424: @179832
     /*  179832 */ GIM_Try, /*On fail goto*//*Label 3427*/ GIMT_Encode4(181824),
     /*  179837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  179840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  179843 */   GIM_Try, /*On fail goto*//*Label 3428*/ GIMT_Encode4(179909), // Rule ID 651 //
     /*  179848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179851 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179858 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  179861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179865 */     // MIs[0] addr
     /*  179865 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179881 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 2:{ *:[i32] })
     /*  179881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179889 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179894 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179896 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179898 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  179903 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179907 */     GIR_RootConstrainSelectedInstOperands,
     /*  179908 */     // GIR_Coverage, 651,
     /*  179908 */     GIR_EraseRootFromParent_Done,
     /*  179909 */   // Label 3428: @179909
     /*  179909 */   GIM_Try, /*On fail goto*//*Label 3429*/ GIMT_Encode4(179975), // Rule ID 653 //
     /*  179914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  179927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179931 */     // MIs[0] addr
     /*  179931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  179935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179947 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 4:{ *:[i32] })
     /*  179947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  179950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  179953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  179955 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  179960 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  179962 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  179964 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  179966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  179969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  179973 */     GIR_RootConstrainSelectedInstOperands,
     /*  179974 */     // GIR_Coverage, 653,
     /*  179974 */     GIR_EraseRootFromParent_Done,
     /*  179975 */   // Label 3429: @179975
     /*  179975 */   GIM_Try, /*On fail goto*//*Label 3430*/ GIMT_Encode4(180041), // Rule ID 655 //
     /*  179980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  179983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  179990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  179993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  179997 */     // MIs[0] addr
     /*  179997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  180001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180013 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 5:{ *:[i32] })
     /*  180013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  180016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  180019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  180021 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  180026 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180028 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180030 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  180035 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180039 */     GIR_RootConstrainSelectedInstOperands,
     /*  180040 */     // GIR_Coverage, 655,
     /*  180040 */     GIR_EraseRootFromParent_Done,
     /*  180041 */   // Label 3430: @180041
     /*  180041 */   GIM_Try, /*On fail goto*//*Label 3431*/ GIMT_Encode4(180107), // Rule ID 657 //
     /*  180046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  180049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180063 */     // MIs[0] addr
     /*  180063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  180067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180079 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 6:{ *:[i32] })
     /*  180079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  180082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  180085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  180087 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  180092 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180094 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180096 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  180101 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180105 */     GIR_RootConstrainSelectedInstOperands,
     /*  180106 */     // GIR_Coverage, 657,
     /*  180106 */     GIR_EraseRootFromParent_Done,
     /*  180107 */   // Label 3431: @180107
     /*  180107 */   GIM_Try, /*On fail goto*//*Label 3432*/ GIMT_Encode4(180173), // Rule ID 659 //
     /*  180112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode1),
     /*  180115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180129 */     // MIs[0] addr
     /*  180129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  180133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180145 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new, 7:{ *:[i32] })
     /*  180145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  180148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  180151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  180153 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  180158 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180160 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180162 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  180167 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180171 */     GIR_RootConstrainSelectedInstOperands,
     /*  180172 */     // GIR_Coverage, 659,
     /*  180172 */     GIR_EraseRootFromParent_Done,
     /*  180173 */   // Label 3432: @180173
     /*  180173 */   GIM_Try, /*On fail goto*//*Label 3433*/ GIMT_Encode4(180228), // Rule ID 668 //
     /*  180178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180181 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180188 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180195 */     // MIs[0] addr
     /*  180195 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180211 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180216 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180218 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180220 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180222 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180226 */     GIR_RootConstrainSelectedInstOperands,
     /*  180227 */     // GIR_Coverage, 668,
     /*  180227 */     GIR_EraseRootFromParent_Done,
     /*  180228 */   // Label 3433: @180228
     /*  180228 */   GIM_Try, /*On fail goto*//*Label 3434*/ GIMT_Encode4(180283), // Rule ID 670 //
     /*  180233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180236 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180243 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180250 */     // MIs[0] addr
     /*  180250 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180266 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  180269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180271 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180273 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180275 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180277 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180281 */     GIR_RootConstrainSelectedInstOperands,
     /*  180282 */     // GIR_Coverage, 670,
     /*  180282 */     GIR_EraseRootFromParent_Done,
     /*  180283 */   // Label 3434: @180283
     /*  180283 */   GIM_Try, /*On fail goto*//*Label 3435*/ GIMT_Encode4(180338), // Rule ID 672 //
     /*  180288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180291 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180298 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180305 */     // MIs[0] addr
     /*  180305 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180309 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180321 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  180324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180326 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180328 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180330 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180336 */     GIR_RootConstrainSelectedInstOperands,
     /*  180337 */     // GIR_Coverage, 672,
     /*  180337 */     GIR_EraseRootFromParent_Done,
     /*  180338 */   // Label 3435: @180338
     /*  180338 */   GIM_Try, /*On fail goto*//*Label 3436*/ GIMT_Encode4(180393), // Rule ID 674 //
     /*  180343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180360 */     // MIs[0] addr
     /*  180360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180376 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  180379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180381 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180383 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180385 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180387 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180391 */     GIR_RootConstrainSelectedInstOperands,
     /*  180392 */     // GIR_Coverage, 674,
     /*  180392 */     GIR_EraseRootFromParent_Done,
     /*  180393 */   // Label 3436: @180393
     /*  180393 */   GIM_Try, /*On fail goto*//*Label 3437*/ GIMT_Encode4(180448), // Rule ID 676 //
     /*  180398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180415 */     // MIs[0] addr
     /*  180415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180431 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  180434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180436 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180438 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180440 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180442 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180446 */     GIR_RootConstrainSelectedInstOperands,
     /*  180447 */     // GIR_Coverage, 676,
     /*  180447 */     GIR_EraseRootFromParent_Done,
     /*  180448 */   // Label 3437: @180448
     /*  180448 */   GIM_Try, /*On fail goto*//*Label 3438*/ GIMT_Encode4(180503), // Rule ID 678 //
     /*  180453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180470 */     // MIs[0] addr
     /*  180470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180486 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180491 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180493 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180495 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180497 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180501 */     GIR_RootConstrainSelectedInstOperands,
     /*  180502 */     // GIR_Coverage, 678,
     /*  180502 */     GIR_EraseRootFromParent_Done,
     /*  180503 */   // Label 3438: @180503
     /*  180503 */   GIM_Try, /*On fail goto*//*Label 3439*/ GIMT_Encode4(180558), // Rule ID 680 //
     /*  180508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180511 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180518 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180525 */     // MIs[0] addr
     /*  180525 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180541 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180546 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180548 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180550 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180552 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180556 */     GIR_RootConstrainSelectedInstOperands,
     /*  180557 */     // GIR_Coverage, 680,
     /*  180557 */     GIR_EraseRootFromParent_Done,
     /*  180558 */   // Label 3439: @180558
     /*  180558 */   GIM_Try, /*On fail goto*//*Label 3440*/ GIMT_Encode4(180613), // Rule ID 682 //
     /*  180563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180566 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180573 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180580 */     // MIs[0] addr
     /*  180580 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180596 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180601 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180603 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180605 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180607 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180611 */     GIR_RootConstrainSelectedInstOperands,
     /*  180612 */     // GIR_Coverage, 682,
     /*  180612 */     GIR_EraseRootFromParent_Done,
     /*  180613 */   // Label 3440: @180613
     /*  180613 */   GIM_Try, /*On fail goto*//*Label 3441*/ GIMT_Encode4(180668), // Rule ID 684 //
     /*  180618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180621 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180628 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180635 */     // MIs[0] addr
     /*  180635 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180651 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180656 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180658 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180660 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180662 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180666 */     GIR_RootConstrainSelectedInstOperands,
     /*  180667 */     // GIR_Coverage, 684,
     /*  180667 */     GIR_EraseRootFromParent_Done,
     /*  180668 */   // Label 3441: @180668
     /*  180668 */   GIM_Try, /*On fail goto*//*Label 3442*/ GIMT_Encode4(180723), // Rule ID 686 //
     /*  180673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  180676 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  180683 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180690 */     // MIs[0] addr
     /*  180690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180706 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  180709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180711 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180713 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180715 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180717 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180721 */     GIR_RootConstrainSelectedInstOperands,
     /*  180722 */     // GIR_Coverage, 686,
     /*  180722 */     GIR_EraseRootFromParent_Done,
     /*  180723 */   // Label 3442: @180723
     /*  180723 */   GIM_Try, /*On fail goto*//*Label 3443*/ GIMT_Encode4(180778), // Rule ID 1058 //
     /*  180728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  180741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180745 */     // MIs[0] addr
     /*  180745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180761 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  180764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180766 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180768 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180770 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180772 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180776 */     GIR_RootConstrainSelectedInstOperands,
     /*  180777 */     // GIR_Coverage, 1058,
     /*  180777 */     GIR_EraseRootFromParent_Done,
     /*  180778 */   // Label 3443: @180778
     /*  180778 */   GIM_Try, /*On fail goto*//*Label 3444*/ GIMT_Encode4(180833), // Rule ID 1060 //
     /*  180783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  180796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180800 */     // MIs[0] addr
     /*  180800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180816 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  180819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180821 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180823 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180825 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180827 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180831 */     GIR_RootConstrainSelectedInstOperands,
     /*  180832 */     // GIR_Coverage, 1060,
     /*  180832 */     GIR_EraseRootFromParent_Done,
     /*  180833 */   // Label 3444: @180833
     /*  180833 */   GIM_Try, /*On fail goto*//*Label 3445*/ GIMT_Encode4(180888), // Rule ID 1062 //
     /*  180838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  180851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180855 */     // MIs[0] addr
     /*  180855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180871 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  180874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180876 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180878 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180880 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180882 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180886 */     GIR_RootConstrainSelectedInstOperands,
     /*  180887 */     // GIR_Coverage, 1062,
     /*  180887 */     GIR_EraseRootFromParent_Done,
     /*  180888 */   // Label 3445: @180888
     /*  180888 */   GIM_Try, /*On fail goto*//*Label 3446*/ GIMT_Encode4(180943), // Rule ID 1064 //
     /*  180893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180896 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180903 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  180906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180910 */     // MIs[0] addr
     /*  180910 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180926 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  180929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180931 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180933 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180935 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180937 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180941 */     GIR_RootConstrainSelectedInstOperands,
     /*  180942 */     // GIR_Coverage, 1064,
     /*  180942 */     GIR_EraseRootFromParent_Done,
     /*  180943 */   // Label 3446: @180943
     /*  180943 */   GIM_Try, /*On fail goto*//*Label 3447*/ GIMT_Encode4(180998), // Rule ID 1066 //
     /*  180948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  180951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  180958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  180961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180965 */     // MIs[0] addr
     /*  180965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  180969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  180981 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  180981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  180984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  180986 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  180988 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  180990 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  180992 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  180996 */     GIR_RootConstrainSelectedInstOperands,
     /*  180997 */     // GIR_Coverage, 1066,
     /*  180997 */     GIR_EraseRootFromParent_Done,
     /*  180998 */   // Label 3447: @180998
     /*  180998 */   GIM_Try, /*On fail goto*//*Label 3448*/ GIMT_Encode4(181053), // Rule ID 1068 //
     /*  181003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181006 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181013 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181020 */     // MIs[0] addr
     /*  181020 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181036 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  181039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181041 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181043 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181045 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181047 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181051 */     GIR_RootConstrainSelectedInstOperands,
     /*  181052 */     // GIR_Coverage, 1068,
     /*  181052 */     GIR_EraseRootFromParent_Done,
     /*  181053 */   // Label 3448: @181053
     /*  181053 */   GIM_Try, /*On fail goto*//*Label 3449*/ GIMT_Encode4(181108), // Rule ID 1070 //
     /*  181058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181061 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181068 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181075 */     // MIs[0] addr
     /*  181075 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181091 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  181094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181096 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181098 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181100 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181102 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181106 */     GIR_RootConstrainSelectedInstOperands,
     /*  181107 */     // GIR_Coverage, 1070,
     /*  181107 */     GIR_EraseRootFromParent_Done,
     /*  181108 */   // Label 3449: @181108
     /*  181108 */   GIM_Try, /*On fail goto*//*Label 3450*/ GIMT_Encode4(181163), // Rule ID 1072 //
     /*  181113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181116 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181123 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181130 */     // MIs[0] addr
     /*  181130 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181134 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181146 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  181149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181151 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181153 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181155 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181157 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181161 */     GIR_RootConstrainSelectedInstOperands,
     /*  181162 */     // GIR_Coverage, 1072,
     /*  181162 */     GIR_EraseRootFromParent_Done,
     /*  181163 */   // Label 3450: @181163
     /*  181163 */   GIM_Try, /*On fail goto*//*Label 3451*/ GIMT_Encode4(181218), // Rule ID 1074 //
     /*  181168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181185 */     // MIs[0] addr
     /*  181185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181201 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  181204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181206 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181208 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181210 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181216 */     GIR_RootConstrainSelectedInstOperands,
     /*  181217 */     // GIR_Coverage, 1074,
     /*  181217 */     GIR_EraseRootFromParent_Done,
     /*  181218 */   // Label 3451: @181218
     /*  181218 */   GIM_Try, /*On fail goto*//*Label 3452*/ GIMT_Encode4(181273), // Rule ID 1076 //
     /*  181223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  181233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181240 */     // MIs[0] addr
     /*  181240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181256 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  181259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181261 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181263 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181265 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181267 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181271 */     GIR_RootConstrainSelectedInstOperands,
     /*  181272 */     // GIR_Coverage, 1076,
     /*  181272 */     GIR_EraseRootFromParent_Done,
     /*  181273 */   // Label 3452: @181273
     /*  181273 */   GIM_Try, /*On fail goto*//*Label 3453*/ GIMT_Encode4(181328), // Rule ID 1078 //
     /*  181278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  181281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181295 */     // MIs[0] addr
     /*  181295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181311 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181316 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181318 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181320 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181322 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181326 */     GIR_RootConstrainSelectedInstOperands,
     /*  181327 */     // GIR_Coverage, 1078,
     /*  181327 */     GIR_EraseRootFromParent_Done,
     /*  181328 */   // Label 3453: @181328
     /*  181328 */   GIM_Try, /*On fail goto*//*Label 3454*/ GIMT_Encode4(181383), // Rule ID 1080 //
     /*  181333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  181336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181350 */     // MIs[0] addr
     /*  181350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181366 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  181369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181371 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181373 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181375 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181377 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181381 */     GIR_RootConstrainSelectedInstOperands,
     /*  181382 */     // GIR_Coverage, 1080,
     /*  181382 */     GIR_EraseRootFromParent_Done,
     /*  181383 */   // Label 3454: @181383
     /*  181383 */   GIM_Try, /*On fail goto*//*Label 3455*/ GIMT_Encode4(181438), // Rule ID 1082 //
     /*  181388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  181391 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181398 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181405 */     // MIs[0] addr
     /*  181405 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181421 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  181424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181426 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181428 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181430 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181432 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181436 */     GIR_RootConstrainSelectedInstOperands,
     /*  181437 */     // GIR_Coverage, 1082,
     /*  181437 */     GIR_EraseRootFromParent_Done,
     /*  181438 */   // Label 3455: @181438
     /*  181438 */   GIM_Try, /*On fail goto*//*Label 3456*/ GIMT_Encode4(181493), // Rule ID 1084 //
     /*  181443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  181446 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181453 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181460 */     // MIs[0] addr
     /*  181460 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181476 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  181479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181481 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181483 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181485 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181487 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181491 */     GIR_RootConstrainSelectedInstOperands,
     /*  181492 */     // GIR_Coverage, 1084,
     /*  181492 */     GIR_EraseRootFromParent_Done,
     /*  181493 */   // Label 3456: @181493
     /*  181493 */   GIM_Try, /*On fail goto*//*Label 3457*/ GIMT_Encode4(181548), // Rule ID 1086 //
     /*  181498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode1),
     /*  181501 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181508 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181515 */     // MIs[0] addr
     /*  181515 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181519 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181531 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  181534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181536 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181538 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181540 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181542 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181546 */     GIR_RootConstrainSelectedInstOperands,
     /*  181547 */     // GIR_Coverage, 1086,
     /*  181547 */     GIR_EraseRootFromParent_Done,
     /*  181548 */   // Label 3457: @181548
     /*  181548 */   GIM_Try, /*On fail goto*//*Label 3458*/ GIMT_Encode4(181603), // Rule ID 1088 //
     /*  181553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181556 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181563 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181570 */     // MIs[0] addr
     /*  181570 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181574 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181586 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181591 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181593 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181595 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181597 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181601 */     GIR_RootConstrainSelectedInstOperands,
     /*  181602 */     // GIR_Coverage, 1088,
     /*  181602 */     GIR_EraseRootFromParent_Done,
     /*  181603 */   // Label 3458: @181603
     /*  181603 */   GIM_Try, /*On fail goto*//*Label 3459*/ GIMT_Encode4(181658), // Rule ID 1090 //
     /*  181608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181611 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181618 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181625 */     // MIs[0] addr
     /*  181625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181641 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181646 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181648 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181650 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181652 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181656 */     GIR_RootConstrainSelectedInstOperands,
     /*  181657 */     // GIR_Coverage, 1090,
     /*  181657 */     GIR_EraseRootFromParent_Done,
     /*  181658 */   // Label 3459: @181658
     /*  181658 */   GIM_Try, /*On fail goto*//*Label 3460*/ GIMT_Encode4(181713), // Rule ID 1092 //
     /*  181663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181680 */     // MIs[0] addr
     /*  181680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181696 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181701 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181703 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181705 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181707 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181711 */     GIR_RootConstrainSelectedInstOperands,
     /*  181712 */     // GIR_Coverage, 1092,
     /*  181712 */     GIR_EraseRootFromParent_Done,
     /*  181713 */   // Label 3460: @181713
     /*  181713 */   GIM_Try, /*On fail goto*//*Label 3461*/ GIMT_Encode4(181768), // Rule ID 1094 //
     /*  181718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  181731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181735 */     // MIs[0] addr
     /*  181735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181751 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181756 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181758 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181760 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181762 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181766 */     GIR_RootConstrainSelectedInstOperands,
     /*  181767 */     // GIR_Coverage, 1094,
     /*  181767 */     GIR_EraseRootFromParent_Done,
     /*  181768 */   // Label 3461: @181768
     /*  181768 */   GIM_Try, /*On fail goto*//*Label 3462*/ GIMT_Encode4(181823), // Rule ID 1096 //
     /*  181773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode1),
     /*  181776 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  181783 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  181786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181790 */     // MIs[0] addr
     /*  181790 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  181794 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181806 */     // (atomic_cmp_swap:{ *:[i32] } GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i32] } GPR:{ *:[i32] }:$cmp, GPR:{ *:[i32] }:$addr, GPR:{ *:[i32] }:$new)
     /*  181806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  181809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  181811 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181813 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181815 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181821 */     GIR_RootConstrainSelectedInstOperands,
     /*  181822 */     // GIR_Coverage, 1096,
     /*  181822 */     GIR_EraseRootFromParent_Done,
     /*  181823 */   // Label 3462: @181823
     /*  181823 */   GIM_Reject,
     /*  181824 */ // Label 3427: @181824
     /*  181824 */ GIM_Reject,
     /*  181825 */ // Label 3425: @181825
     /*  181825 */ GIM_Try, /*On fail goto*//*Label 3463*/ GIMT_Encode4(184697),
     /*  181830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  181833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  181836 */   GIM_Try, /*On fail goto*//*Label 3464*/ GIMT_Encode4(181902), // Rule ID 650 //
     /*  181841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  181854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181858 */     // MIs[0] addr
     /*  181858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181874 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  181874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181882 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181887 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181889 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181891 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  181896 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181900 */     GIR_RootConstrainSelectedInstOperands,
     /*  181901 */     // GIR_Coverage, 650,
     /*  181901 */     GIR_EraseRootFromParent_Done,
     /*  181902 */   // Label 3464: @181902
     /*  181902 */   GIM_Try, /*On fail goto*//*Label 3465*/ GIMT_Encode4(181968), // Rule ID 652 //
     /*  181907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  181920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181924 */     // MIs[0] addr
     /*  181924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181940 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  181940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  181943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  181946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  181948 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  181953 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  181955 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  181957 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  181959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  181962 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  181966 */     GIR_RootConstrainSelectedInstOperands,
     /*  181967 */     // GIR_Coverage, 652,
     /*  181967 */     GIR_EraseRootFromParent_Done,
     /*  181968 */   // Label 3465: @181968
     /*  181968 */   GIM_Try, /*On fail goto*//*Label 3466*/ GIMT_Encode4(182034), // Rule ID 654 //
     /*  181973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  181976 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  181983 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  181986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181990 */     // MIs[0] addr
     /*  181990 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  181994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  181998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182006 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  182006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  182012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182014 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182019 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182021 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182023 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  182028 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182032 */     GIR_RootConstrainSelectedInstOperands,
     /*  182033 */     // GIR_Coverage, 654,
     /*  182033 */     GIR_EraseRootFromParent_Done,
     /*  182034 */   // Label 3466: @182034
     /*  182034 */   GIM_Try, /*On fail goto*//*Label 3467*/ GIMT_Encode4(182100), // Rule ID 656 //
     /*  182039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  182042 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182049 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182056 */     // MIs[0] addr
     /*  182056 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182072 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  182072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  182078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182080 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182085 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182087 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182089 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  182094 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182098 */     GIR_RootConstrainSelectedInstOperands,
     /*  182099 */     // GIR_Coverage, 656,
     /*  182099 */     GIR_EraseRootFromParent_Done,
     /*  182100 */   // Label 3467: @182100
     /*  182100 */   GIM_Try, /*On fail goto*//*Label 3468*/ GIMT_Encode4(182166), // Rule ID 658 //
     /*  182105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NoStdExtZacas_HwMode0),
     /*  182108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182122 */     // MIs[0] addr
     /*  182122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182138 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (PseudoCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  182138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg32),
     /*  182144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182146 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182151 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182153 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182155 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  182160 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182164 */     GIR_RootConstrainSelectedInstOperands,
     /*  182165 */     // GIR_Coverage, 658,
     /*  182165 */     GIR_EraseRootFromParent_Done,
     /*  182166 */   // Label 3468: @182166
     /*  182166 */   GIM_Try, /*On fail goto*//*Label 3469*/ GIMT_Encode4(182232), // Rule ID 660 //
     /*  182171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  182174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182188 */     // MIs[0] addr
     /*  182188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182204 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 2:{ *:[i64] })
     /*  182204 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  182210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182212 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182217 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182219 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182221 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  182226 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182230 */     GIR_RootConstrainSelectedInstOperands,
     /*  182231 */     // GIR_Coverage, 660,
     /*  182231 */     GIR_EraseRootFromParent_Done,
     /*  182232 */   // Label 3469: @182232
     /*  182232 */   GIM_Try, /*On fail goto*//*Label 3470*/ GIMT_Encode4(182298), // Rule ID 661 //
     /*  182237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  182240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182254 */     // MIs[0] addr
     /*  182254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182270 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 4:{ *:[i64] })
     /*  182270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  182276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182278 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182283 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182285 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182287 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  182292 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182296 */     GIR_RootConstrainSelectedInstOperands,
     /*  182297 */     // GIR_Coverage, 661,
     /*  182297 */     GIR_EraseRootFromParent_Done,
     /*  182298 */   // Label 3470: @182298
     /*  182298 */   GIM_Try, /*On fail goto*//*Label 3471*/ GIMT_Encode4(182364), // Rule ID 662 //
     /*  182303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  182306 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182313 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182320 */     // MIs[0] addr
     /*  182320 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182336 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 5:{ *:[i64] })
     /*  182336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  182342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182344 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182349 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182351 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182353 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  182358 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182362 */     GIR_RootConstrainSelectedInstOperands,
     /*  182363 */     // GIR_Coverage, 662,
     /*  182363 */     GIR_EraseRootFromParent_Done,
     /*  182364 */   // Label 3471: @182364
     /*  182364 */   GIM_Try, /*On fail goto*//*Label 3472*/ GIMT_Encode4(182430), // Rule ID 663 //
     /*  182369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  182372 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182379 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182386 */     // MIs[0] addr
     /*  182386 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182402 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 6:{ *:[i64] })
     /*  182402 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  182408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182410 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182415 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182417 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182419 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  182424 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182428 */     GIR_RootConstrainSelectedInstOperands,
     /*  182429 */     // GIR_Coverage, 663,
     /*  182429 */     GIR_EraseRootFromParent_Done,
     /*  182430 */   // Label 3472: @182430
     /*  182430 */   GIM_Try, /*On fail goto*//*Label 3473*/ GIMT_Encode4(182496), // Rule ID 664 //
     /*  182435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NoStdExtZacas_HwMode0),
     /*  182438 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  182445 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182452 */     // MIs[0] addr
     /*  182452 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  182456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182468 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (PseudoCmpXchg64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new, 7:{ *:[i64] })
     /*  182468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  182471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCmpXchg64),
     /*  182474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  182476 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  182481 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182483 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182485 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  182490 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182494 */     GIR_RootConstrainSelectedInstOperands,
     /*  182495 */     // GIR_Coverage, 664,
     /*  182495 */     GIR_EraseRootFromParent_Done,
     /*  182496 */   // Label 3473: @182496
     /*  182496 */   GIM_Try, /*On fail goto*//*Label 3474*/ GIMT_Encode4(182551), // Rule ID 667 //
     /*  182501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182504 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182511 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182518 */     // MIs[0] addr
     /*  182518 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182522 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182534 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182539 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182541 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182543 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182545 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182549 */     GIR_RootConstrainSelectedInstOperands,
     /*  182550 */     // GIR_Coverage, 667,
     /*  182550 */     GIR_EraseRootFromParent_Done,
     /*  182551 */   // Label 3474: @182551
     /*  182551 */   GIM_Try, /*On fail goto*//*Label 3475*/ GIMT_Encode4(182606), // Rule ID 669 //
     /*  182556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182573 */     // MIs[0] addr
     /*  182573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182589 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ),
     /*  182592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182594 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182596 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182598 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182600 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182604 */     GIR_RootConstrainSelectedInstOperands,
     /*  182605 */     // GIR_Coverage, 669,
     /*  182605 */     GIR_EraseRootFromParent_Done,
     /*  182606 */   // Label 3475: @182606
     /*  182606 */   GIM_Try, /*On fail goto*//*Label 3476*/ GIMT_Encode4(182661), // Rule ID 671 //
     /*  182611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182628 */     // MIs[0] addr
     /*  182628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182644 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_RL),
     /*  182647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182649 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182651 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182653 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182655 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182659 */     GIR_RootConstrainSelectedInstOperands,
     /*  182660 */     // GIR_Coverage, 671,
     /*  182660 */     GIR_EraseRootFromParent_Done,
     /*  182661 */   // Label 3476: @182661
     /*  182661 */   GIM_Try, /*On fail goto*//*Label 3477*/ GIMT_Encode4(182716), // Rule ID 673 //
     /*  182666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182683 */     // MIs[0] addr
     /*  182683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182699 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  182702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182704 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182706 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182708 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182714 */     GIR_RootConstrainSelectedInstOperands,
     /*  182715 */     // GIR_Coverage, 673,
     /*  182715 */     GIR_EraseRootFromParent_Done,
     /*  182716 */   // Label 3477: @182716
     /*  182716 */   GIM_Try, /*On fail goto*//*Label 3478*/ GIMT_Encode4(182771), // Rule ID 675 //
     /*  182721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  182724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  182734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182738 */     // MIs[0] addr
     /*  182738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182754 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W_AQ_RL),
     /*  182757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182759 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182761 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182763 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182765 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182769 */     GIR_RootConstrainSelectedInstOperands,
     /*  182770 */     // GIR_Coverage, 675,
     /*  182770 */     GIR_EraseRootFromParent_Done,
     /*  182771 */   // Label 3478: @182771
     /*  182771 */   GIM_Try, /*On fail goto*//*Label 3479*/ GIMT_Encode4(182826), // Rule ID 677 //
     /*  182776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182779 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182786 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  182789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182793 */     // MIs[0] addr
     /*  182793 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182797 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182809 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_monotonic>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182814 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182816 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182818 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182820 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182824 */     GIR_RootConstrainSelectedInstOperands,
     /*  182825 */     // GIR_Coverage, 677,
     /*  182825 */     GIR_EraseRootFromParent_Done,
     /*  182826 */   // Label 3479: @182826
     /*  182826 */   GIM_Try, /*On fail goto*//*Label 3480*/ GIMT_Encode4(182881), // Rule ID 679 //
     /*  182831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182834 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182841 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  182844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182848 */     // MIs[0] addr
     /*  182848 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182864 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acquire>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182869 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182871 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182873 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182875 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182879 */     GIR_RootConstrainSelectedInstOperands,
     /*  182880 */     // GIR_Coverage, 679,
     /*  182880 */     GIR_EraseRootFromParent_Done,
     /*  182881 */   // Label 3480: @182881
     /*  182881 */   GIM_Try, /*On fail goto*//*Label 3481*/ GIMT_Encode4(182936), // Rule ID 681 //
     /*  182886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182889 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182896 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  182899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182903 */     // MIs[0] addr
     /*  182903 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182907 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182919 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_release>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182924 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182926 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182928 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182930 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182934 */     GIR_RootConstrainSelectedInstOperands,
     /*  182935 */     // GIR_Coverage, 681,
     /*  182935 */     GIR_EraseRootFromParent_Done,
     /*  182936 */   // Label 3481: @182936
     /*  182936 */   GIM_Try, /*On fail goto*//*Label 3482*/ GIMT_Encode4(182991), // Rule ID 683 //
     /*  182941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  182951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  182954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182958 */     // MIs[0] addr
     /*  182958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  182962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  182974 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_acq_rel>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  182974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  182977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  182979 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  182981 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  182983 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  182985 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  182989 */     GIR_RootConstrainSelectedInstOperands,
     /*  182990 */     // GIR_Coverage, 683,
     /*  182990 */     GIR_EraseRootFromParent_Done,
     /*  182991 */   // Label 3482: @182991
     /*  182991 */   GIM_Try, /*On fail goto*//*Label 3483*/ GIMT_Encode4(183046), // Rule ID 685 //
     /*  182996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  182999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  183006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183013 */     // MIs[0] addr
     /*  183013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183029 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i32>><<P:Predicate_atomic_cmp_swap_i32_seq_cst>>  =>  (AMOCAS_W:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_W),
     /*  183032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183034 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183036 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183038 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183040 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183044 */     GIR_RootConstrainSelectedInstOperands,
     /*  183045 */     // GIR_Coverage, 685,
     /*  183045 */     GIR_EraseRootFromParent_Done,
     /*  183046 */   // Label 3483: @183046
     /*  183046 */   GIM_Try, /*On fail goto*//*Label 3484*/ GIMT_Encode4(183101), // Rule ID 687 //
     /*  183051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  183054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183068 */     // MIs[0] addr
     /*  183068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183084 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  183087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183089 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183091 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183093 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183095 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183099 */     GIR_RootConstrainSelectedInstOperands,
     /*  183100 */     // GIR_Coverage, 687,
     /*  183100 */     GIR_EraseRootFromParent_Done,
     /*  183101 */   // Label 3484: @183101
     /*  183101 */   GIM_Try, /*On fail goto*//*Label 3485*/ GIMT_Encode4(183156), // Rule ID 688 //
     /*  183106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  183109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183123 */     // MIs[0] addr
     /*  183123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183139 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ),
     /*  183142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183144 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183146 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183148 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183150 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183154 */     GIR_RootConstrainSelectedInstOperands,
     /*  183155 */     // GIR_Coverage, 688,
     /*  183155 */     GIR_EraseRootFromParent_Done,
     /*  183156 */   // Label 3485: @183156
     /*  183156 */   GIM_Try, /*On fail goto*//*Label 3486*/ GIMT_Encode4(183211), // Rule ID 689 //
     /*  183161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  183164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183178 */     // MIs[0] addr
     /*  183178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183194 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_RL),
     /*  183197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183199 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183201 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183203 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183205 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183209 */     GIR_RootConstrainSelectedInstOperands,
     /*  183210 */     // GIR_Coverage, 689,
     /*  183210 */     GIR_EraseRootFromParent_Done,
     /*  183211 */   // Label 3486: @183211
     /*  183211 */   GIM_Try, /*On fail goto*//*Label 3487*/ GIMT_Encode4(183266), // Rule ID 690 //
     /*  183216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  183219 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183226 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183233 */     // MIs[0] addr
     /*  183233 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183249 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  183252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183254 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183256 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183258 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183260 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183264 */     GIR_RootConstrainSelectedInstOperands,
     /*  183265 */     // GIR_Coverage, 690,
     /*  183265 */     GIR_EraseRootFromParent_Done,
     /*  183266 */   // Label 3487: @183266
     /*  183266 */   GIM_Try, /*On fail goto*//*Label 3488*/ GIMT_Encode4(183321), // Rule ID 691 //
     /*  183271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  183274 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183281 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183288 */     // MIs[0] addr
     /*  183288 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183304 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64_AQ_RL),
     /*  183307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183309 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183311 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183313 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183315 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183319 */     GIR_RootConstrainSelectedInstOperands,
     /*  183320 */     // GIR_Coverage, 691,
     /*  183320 */     GIR_EraseRootFromParent_Done,
     /*  183321 */   // Label 3488: @183321
     /*  183321 */   GIM_Try, /*On fail goto*//*Label 3489*/ GIMT_Encode4(183376), // Rule ID 692 //
     /*  183326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  183329 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183336 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183343 */     // MIs[0] addr
     /*  183343 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183347 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183359 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_monotonic>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  183362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183364 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183366 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183368 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183370 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183374 */     GIR_RootConstrainSelectedInstOperands,
     /*  183375 */     // GIR_Coverage, 692,
     /*  183375 */     GIR_EraseRootFromParent_Done,
     /*  183376 */   // Label 3489: @183376
     /*  183376 */   GIM_Try, /*On fail goto*//*Label 3490*/ GIMT_Encode4(183431), // Rule ID 693 //
     /*  183381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  183384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183398 */     // MIs[0] addr
     /*  183398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183414 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acquire>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  183417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183419 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183421 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183423 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183425 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183429 */     GIR_RootConstrainSelectedInstOperands,
     /*  183430 */     // GIR_Coverage, 693,
     /*  183430 */     GIR_EraseRootFromParent_Done,
     /*  183431 */   // Label 3490: @183431
     /*  183431 */   GIM_Try, /*On fail goto*//*Label 3491*/ GIMT_Encode4(183486), // Rule ID 694 //
     /*  183436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  183439 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183446 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183453 */     // MIs[0] addr
     /*  183453 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183469 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_release>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  183472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183474 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183476 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183478 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183480 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183484 */     GIR_RootConstrainSelectedInstOperands,
     /*  183485 */     // GIR_Coverage, 694,
     /*  183485 */     GIR_EraseRootFromParent_Done,
     /*  183486 */   // Label 3491: @183486
     /*  183486 */   GIM_Try, /*On fail goto*//*Label 3492*/ GIMT_Encode4(183541), // Rule ID 695 //
     /*  183491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  183494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183508 */     // MIs[0] addr
     /*  183508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183524 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_acq_rel>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  183527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183529 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183531 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183533 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183535 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183539 */     GIR_RootConstrainSelectedInstOperands,
     /*  183540 */     // GIR_Coverage, 695,
     /*  183540 */     GIR_EraseRootFromParent_Done,
     /*  183541 */   // Label 3492: @183541
     /*  183541 */   GIM_Try, /*On fail goto*//*Label 3493*/ GIMT_Encode4(183596), // Rule ID 696 //
     /*  183546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZacas_HasStdExtZtso_IsRV64_HwMode0),
     /*  183549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  183556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183563 */     // MIs[0] addr
     /*  183563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183579 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i64>><<P:Predicate_atomic_cmp_swap_i64_seq_cst>>  =>  (AMOCAS_D_RV64:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_D_RV64),
     /*  183582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183584 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183586 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183588 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183590 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183594 */     GIR_RootConstrainSelectedInstOperands,
     /*  183595 */     // GIR_Coverage, 696,
     /*  183595 */     GIR_EraseRootFromParent_Done,
     /*  183596 */   // Label 3493: @183596
     /*  183596 */   GIM_Try, /*On fail goto*//*Label 3494*/ GIMT_Encode4(183651), // Rule ID 1057 //
     /*  183601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183604 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183611 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183618 */     // MIs[0] addr
     /*  183618 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183634 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183639 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183641 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183643 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183645 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183649 */     GIR_RootConstrainSelectedInstOperands,
     /*  183650 */     // GIR_Coverage, 1057,
     /*  183650 */     GIR_EraseRootFromParent_Done,
     /*  183651 */   // Label 3494: @183651
     /*  183651 */   GIM_Try, /*On fail goto*//*Label 3495*/ GIMT_Encode4(183706), // Rule ID 1059 //
     /*  183656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183659 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183666 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183673 */     // MIs[0] addr
     /*  183673 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183677 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183689 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ),
     /*  183692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183694 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183696 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183698 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183700 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183704 */     GIR_RootConstrainSelectedInstOperands,
     /*  183705 */     // GIR_Coverage, 1059,
     /*  183705 */     GIR_EraseRootFromParent_Done,
     /*  183706 */   // Label 3495: @183706
     /*  183706 */   GIM_Try, /*On fail goto*//*Label 3496*/ GIMT_Encode4(183761), // Rule ID 1061 //
     /*  183711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183714 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183721 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183728 */     // MIs[0] addr
     /*  183728 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183732 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183744 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_RL),
     /*  183747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183749 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183751 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183753 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183755 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183759 */     GIR_RootConstrainSelectedInstOperands,
     /*  183760 */     // GIR_Coverage, 1061,
     /*  183760 */     GIR_EraseRootFromParent_Done,
     /*  183761 */   // Label 3496: @183761
     /*  183761 */   GIM_Try, /*On fail goto*//*Label 3497*/ GIMT_Encode4(183816), // Rule ID 1063 //
     /*  183766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183769 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183776 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  183779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183783 */     // MIs[0] addr
     /*  183783 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183787 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183799 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  183802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183804 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183806 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183808 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183810 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183814 */     GIR_RootConstrainSelectedInstOperands,
     /*  183815 */     // GIR_Coverage, 1063,
     /*  183815 */     GIR_EraseRootFromParent_Done,
     /*  183816 */   // Label 3497: @183816
     /*  183816 */   GIM_Try, /*On fail goto*//*Label 3498*/ GIMT_Encode4(183871), // Rule ID 1065 //
     /*  183821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  183824 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183831 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  183834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183838 */     // MIs[0] addr
     /*  183838 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183842 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183854 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B_AQ_RL),
     /*  183857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183859 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183861 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183863 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183865 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183869 */     GIR_RootConstrainSelectedInstOperands,
     /*  183870 */     // GIR_Coverage, 1065,
     /*  183870 */     GIR_EraseRootFromParent_Done,
     /*  183871 */   // Label 3498: @183871
     /*  183871 */   GIM_Try, /*On fail goto*//*Label 3499*/ GIMT_Encode4(183926), // Rule ID 1067 //
     /*  183876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  183889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183893 */     // MIs[0] addr
     /*  183893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183909 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_monotonic>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183914 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183916 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183918 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183920 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183924 */     GIR_RootConstrainSelectedInstOperands,
     /*  183925 */     // GIR_Coverage, 1067,
     /*  183925 */     GIR_EraseRootFromParent_Done,
     /*  183926 */   // Label 3499: @183926
     /*  183926 */   GIM_Try, /*On fail goto*//*Label 3500*/ GIMT_Encode4(183981), // Rule ID 1069 //
     /*  183931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  183944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183948 */     // MIs[0] addr
     /*  183948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  183952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  183964 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acquire>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  183964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  183967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  183969 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  183971 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  183973 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  183975 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  183979 */     GIR_RootConstrainSelectedInstOperands,
     /*  183980 */     // GIR_Coverage, 1069,
     /*  183980 */     GIR_EraseRootFromParent_Done,
     /*  183981 */   // Label 3500: @183981
     /*  183981 */   GIM_Try, /*On fail goto*//*Label 3501*/ GIMT_Encode4(184036), // Rule ID 1071 //
     /*  183986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  183989 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  183996 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  183999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184003 */     // MIs[0] addr
     /*  184003 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184007 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184019 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_release>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  184022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184024 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184026 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184028 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184030 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184034 */     GIR_RootConstrainSelectedInstOperands,
     /*  184035 */     // GIR_Coverage, 1071,
     /*  184035 */     GIR_EraseRootFromParent_Done,
     /*  184036 */   // Label 3501: @184036
     /*  184036 */   GIM_Try, /*On fail goto*//*Label 3502*/ GIMT_Encode4(184091), // Rule ID 1073 //
     /*  184041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184044 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184051 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184058 */     // MIs[0] addr
     /*  184058 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184062 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184074 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_acq_rel>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  184077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184079 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184081 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184083 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184085 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184089 */     GIR_RootConstrainSelectedInstOperands,
     /*  184090 */     // GIR_Coverage, 1073,
     /*  184090 */     GIR_EraseRootFromParent_Done,
     /*  184091 */   // Label 3502: @184091
     /*  184091 */   GIM_Try, /*On fail goto*//*Label 3503*/ GIMT_Encode4(184146), // Rule ID 1075 //
     /*  184096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184099 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  184106 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184113 */     // MIs[0] addr
     /*  184113 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184129 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i8>><<P:Predicate_atomic_cmp_swap_i8_seq_cst>>  =>  (AMOCAS_B:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_B),
     /*  184132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184134 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184136 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184138 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184140 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184144 */     GIR_RootConstrainSelectedInstOperands,
     /*  184145 */     // GIR_Coverage, 1075,
     /*  184145 */     GIR_EraseRootFromParent_Done,
     /*  184146 */   // Label 3503: @184146
     /*  184146 */   GIM_Try, /*On fail goto*//*Label 3504*/ GIMT_Encode4(184201), // Rule ID 1077 //
     /*  184151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  184154 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184161 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184168 */     // MIs[0] addr
     /*  184168 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184172 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184184 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184189 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184191 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184193 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184195 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184199 */     GIR_RootConstrainSelectedInstOperands,
     /*  184200 */     // GIR_Coverage, 1077,
     /*  184200 */     GIR_EraseRootFromParent_Done,
     /*  184201 */   // Label 3504: @184201
     /*  184201 */   GIM_Try, /*On fail goto*//*Label 3505*/ GIMT_Encode4(184256), // Rule ID 1079 //
     /*  184206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  184209 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184216 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184223 */     // MIs[0] addr
     /*  184223 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184239 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ),
     /*  184242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184244 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184246 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184248 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184250 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184254 */     GIR_RootConstrainSelectedInstOperands,
     /*  184255 */     // GIR_Coverage, 1079,
     /*  184255 */     GIR_EraseRootFromParent_Done,
     /*  184256 */   // Label 3505: @184256
     /*  184256 */   GIM_Try, /*On fail goto*//*Label 3506*/ GIMT_Encode4(184311), // Rule ID 1081 //
     /*  184261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  184264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184278 */     // MIs[0] addr
     /*  184278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184294 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_RL),
     /*  184297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184299 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184301 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184303 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184305 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184309 */     GIR_RootConstrainSelectedInstOperands,
     /*  184310 */     // GIR_Coverage, 1081,
     /*  184310 */     GIR_EraseRootFromParent_Done,
     /*  184311 */   // Label 3506: @184311
     /*  184311 */   GIM_Try, /*On fail goto*//*Label 3507*/ GIMT_Encode4(184366), // Rule ID 1083 //
     /*  184316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  184319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184333 */     // MIs[0] addr
     /*  184333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184349 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  184352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184354 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184356 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184358 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184360 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184364 */     GIR_RootConstrainSelectedInstOperands,
     /*  184365 */     // GIR_Coverage, 1083,
     /*  184365 */     GIR_EraseRootFromParent_Done,
     /*  184366 */   // Label 3507: @184366
     /*  184366 */   GIM_Try, /*On fail goto*//*Label 3508*/ GIMT_Encode4(184421), // Rule ID 1085 //
     /*  184371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_NotHasStdExtZtso_HwMode0),
     /*  184374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184388 */     // MIs[0] addr
     /*  184388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184404 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H_AQ_RL),
     /*  184407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184409 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184411 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184413 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184415 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184419 */     GIR_RootConstrainSelectedInstOperands,
     /*  184420 */     // GIR_Coverage, 1085,
     /*  184420 */     GIR_EraseRootFromParent_Done,
     /*  184421 */   // Label 3508: @184421
     /*  184421 */   GIM_Try, /*On fail goto*//*Label 3509*/ GIMT_Encode4(184476), // Rule ID 1087 //
     /*  184426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184429 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184436 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184443 */     // MIs[0] addr
     /*  184443 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184459 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_monotonic>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184464 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184466 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184468 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184470 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184474 */     GIR_RootConstrainSelectedInstOperands,
     /*  184475 */     // GIR_Coverage, 1087,
     /*  184475 */     GIR_EraseRootFromParent_Done,
     /*  184476 */   // Label 3509: @184476
     /*  184476 */   GIM_Try, /*On fail goto*//*Label 3510*/ GIMT_Encode4(184531), // Rule ID 1089 //
     /*  184481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184484 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184491 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184498 */     // MIs[0] addr
     /*  184498 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184514 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acquire>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184519 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184521 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184523 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184525 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184529 */     GIR_RootConstrainSelectedInstOperands,
     /*  184530 */     // GIR_Coverage, 1089,
     /*  184530 */     GIR_EraseRootFromParent_Done,
     /*  184531 */   // Label 3510: @184531
     /*  184531 */   GIM_Try, /*On fail goto*//*Label 3511*/ GIMT_Encode4(184586), // Rule ID 1091 //
     /*  184536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184539 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184546 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184553 */     // MIs[0] addr
     /*  184553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184569 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_release>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184574 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184576 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184578 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184580 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184584 */     GIR_RootConstrainSelectedInstOperands,
     /*  184585 */     // GIR_Coverage, 1091,
     /*  184585 */     GIR_EraseRootFromParent_Done,
     /*  184586 */   // Label 3511: @184586
     /*  184586 */   GIM_Try, /*On fail goto*//*Label 3512*/ GIMT_Encode4(184641), // Rule ID 1093 //
     /*  184591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184594 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184601 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184608 */     // MIs[0] addr
     /*  184608 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184624 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_acq_rel>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184629 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184631 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184633 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184635 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184639 */     GIR_RootConstrainSelectedInstOperands,
     /*  184640 */     // GIR_Coverage, 1093,
     /*  184640 */     GIR_EraseRootFromParent_Done,
     /*  184641 */   // Label 3512: @184641
     /*  184641 */   GIM_Try, /*On fail goto*//*Label 3513*/ GIMT_Encode4(184696), // Rule ID 1095 //
     /*  184646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZabha_HasStdExtZacas_HasStdExtZtso_HwMode0),
     /*  184649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  184656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184663 */     // MIs[0] addr
     /*  184663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  184667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184679 */     // (atomic_cmp_swap:{ *:[i64] } GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$new)<<P:Predicate_atomic_cmp_swap_i16>><<P:Predicate_atomic_cmp_swap_i16_seq_cst>>  =>  (AMOCAS_H:{ *:[i64] } GPR:{ *:[i64] }:$cmp, GPR:{ *:[i64] }:$addr, GPR:{ *:[i64] }:$new)
     /*  184679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AMOCAS_H),
     /*  184682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  184684 */     GIR_RootToRootCopy, /*OpIdx*/2, // cmp
     /*  184686 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  184688 */     GIR_RootToRootCopy, /*OpIdx*/3, // new
     /*  184690 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  184694 */     GIR_RootConstrainSelectedInstOperands,
     /*  184695 */     // GIR_Coverage, 1095,
     /*  184695 */     GIR_EraseRootFromParent_Done,
     /*  184696 */   // Label 3513: @184696
     /*  184696 */   GIM_Reject,
     /*  184697 */ // Label 3463: @184697
     /*  184697 */ GIM_Reject,
     /*  184698 */ // Label 3426: @184698
     /*  184698 */ GIM_Reject,
     /*  184699 */ // Label 26: @184699
     /*  184699 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3516*/ GIMT_Encode4(187608),
     /*  184710 */ /*GILLT_s32*//*Label 3514*/ GIMT_Encode4(184718),
     /*  184714 */ /*GILLT_s64*//*Label 3515*/ GIMT_Encode4(185958),
     /*  184718 */ // Label 3514: @184718
     /*  184718 */ GIM_Try, /*On fail goto*//*Label 3517*/ GIMT_Encode4(185957),
     /*  184723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  184726 */   GIM_Try, /*On fail goto*//*Label 3518*/ GIMT_Encode4(184767), // Rule ID 350 //
     /*  184731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184734 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184741 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184748 */     // MIs[0] rs1
     /*  184748 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184752 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184760 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184760 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184765 */     GIR_RootConstrainSelectedInstOperands,
     /*  184766 */     // GIR_Coverage, 350,
     /*  184766 */     GIR_Done,
     /*  184767 */   // Label 3518: @184767
     /*  184767 */   GIM_Try, /*On fail goto*//*Label 3519*/ GIMT_Encode4(184808), // Rule ID 352 //
     /*  184772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184775 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184782 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184789 */     // MIs[0] rs1
     /*  184789 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184801 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184801 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  184806 */     GIR_RootConstrainSelectedInstOperands,
     /*  184807 */     // GIR_Coverage, 352,
     /*  184807 */     GIR_Done,
     /*  184808 */   // Label 3519: @184808
     /*  184808 */   GIM_Try, /*On fail goto*//*Label 3520*/ GIMT_Encode4(184849), // Rule ID 354 //
     /*  184813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184816 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184823 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  184826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184830 */     // MIs[0] rs1
     /*  184830 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184842 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184842 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  184847 */     GIR_RootConstrainSelectedInstOperands,
     /*  184848 */     // GIR_Coverage, 354,
     /*  184848 */     GIR_Done,
     /*  184849 */   // Label 3520: @184849
     /*  184849 */   GIM_Try, /*On fail goto*//*Label 3521*/ GIMT_Encode4(184890), // Rule ID 356 //
     /*  184854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184857 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184864 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  184867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184871 */     // MIs[0] rs1
     /*  184871 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184883 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184883 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  184888 */     GIR_RootConstrainSelectedInstOperands,
     /*  184889 */     // GIR_Coverage, 356,
     /*  184889 */     GIR_Done,
     /*  184890 */   // Label 3521: @184890
     /*  184890 */   GIM_Try, /*On fail goto*//*Label 3522*/ GIMT_Encode4(184931), // Rule ID 358 //
     /*  184895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  184898 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184905 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  184908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184912 */     // MIs[0] rs1
     /*  184912 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184924 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184924 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  184929 */     GIR_RootConstrainSelectedInstOperands,
     /*  184930 */     // GIR_Coverage, 358,
     /*  184930 */     GIR_Done,
     /*  184931 */   // Label 3522: @184931
     /*  184931 */   GIM_Try, /*On fail goto*//*Label 3523*/ GIMT_Encode4(184972), // Rule ID 360 //
     /*  184936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184939 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184946 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  184949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184953 */     // MIs[0] rs1
     /*  184953 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184965 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  184965 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  184970 */     GIR_RootConstrainSelectedInstOperands,
     /*  184971 */     // GIR_Coverage, 360,
     /*  184971 */     GIR_Done,
     /*  184972 */   // Label 3523: @184972
     /*  184972 */   GIM_Try, /*On fail goto*//*Label 3524*/ GIMT_Encode4(185013), // Rule ID 362 //
     /*  184977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  184980 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  184987 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  184990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  184994 */     // MIs[0] rs1
     /*  184994 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  184998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185006 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185006 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185011 */     GIR_RootConstrainSelectedInstOperands,
     /*  185012 */     // GIR_Coverage, 362,
     /*  185012 */     GIR_Done,
     /*  185013 */   // Label 3524: @185013
     /*  185013 */   GIM_Try, /*On fail goto*//*Label 3525*/ GIMT_Encode4(185054), // Rule ID 364 //
     /*  185018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185021 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185028 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185035 */     // MIs[0] rs1
     /*  185035 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185047 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185047 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185052 */     GIR_RootConstrainSelectedInstOperands,
     /*  185053 */     // GIR_Coverage, 364,
     /*  185053 */     GIR_Done,
     /*  185054 */   // Label 3525: @185054
     /*  185054 */   GIM_Try, /*On fail goto*//*Label 3526*/ GIMT_Encode4(185095), // Rule ID 366 //
     /*  185059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185062 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185069 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185076 */     // MIs[0] rs1
     /*  185076 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185088 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185088 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185093 */     GIR_RootConstrainSelectedInstOperands,
     /*  185094 */     // GIR_Coverage, 366,
     /*  185094 */     GIR_Done,
     /*  185095 */   // Label 3526: @185095
     /*  185095 */   GIM_Try, /*On fail goto*//*Label 3527*/ GIMT_Encode4(185136), // Rule ID 368 //
     /*  185100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  185103 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185110 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185117 */     // MIs[0] rs1
     /*  185117 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185129 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185129 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  185134 */     GIR_RootConstrainSelectedInstOperands,
     /*  185135 */     // GIR_Coverage, 368,
     /*  185135 */     GIR_Done,
     /*  185136 */   // Label 3527: @185136
     /*  185136 */   GIM_Try, /*On fail goto*//*Label 3528*/ GIMT_Encode4(185177), // Rule ID 698 //
     /*  185141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185144 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185151 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185158 */     // MIs[0] rs1
     /*  185158 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185162 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185170 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185170 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  185175 */     GIR_RootConstrainSelectedInstOperands,
     /*  185176 */     // GIR_Coverage, 698,
     /*  185176 */     GIR_Done,
     /*  185177 */   // Label 3528: @185177
     /*  185177 */   GIM_Try, /*On fail goto*//*Label 3529*/ GIMT_Encode4(185218), // Rule ID 700 //
     /*  185182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185185 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185192 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185199 */     // MIs[0] rs1
     /*  185199 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185203 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185211 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185211 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  185216 */     GIR_RootConstrainSelectedInstOperands,
     /*  185217 */     // GIR_Coverage, 700,
     /*  185217 */     GIR_Done,
     /*  185218 */   // Label 3529: @185218
     /*  185218 */   GIM_Try, /*On fail goto*//*Label 3530*/ GIMT_Encode4(185259), // Rule ID 702 //
     /*  185223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185240 */     // MIs[0] rs1
     /*  185240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185252 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185252 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  185257 */     GIR_RootConstrainSelectedInstOperands,
     /*  185258 */     // GIR_Coverage, 702,
     /*  185258 */     GIR_Done,
     /*  185259 */   // Label 3530: @185259
     /*  185259 */   GIM_Try, /*On fail goto*//*Label 3531*/ GIMT_Encode4(185300), // Rule ID 704 //
     /*  185264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185267 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185274 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185281 */     // MIs[0] rs1
     /*  185281 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185293 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  185298 */     GIR_RootConstrainSelectedInstOperands,
     /*  185299 */     // GIR_Coverage, 704,
     /*  185299 */     GIR_Done,
     /*  185300 */   // Label 3531: @185300
     /*  185300 */   GIM_Try, /*On fail goto*//*Label 3532*/ GIMT_Encode4(185341), // Rule ID 706 //
     /*  185305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185308 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185315 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185322 */     // MIs[0] rs1
     /*  185322 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185334 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185334 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  185339 */     GIR_RootConstrainSelectedInstOperands,
     /*  185340 */     // GIR_Coverage, 706,
     /*  185340 */     GIR_Done,
     /*  185341 */   // Label 3532: @185341
     /*  185341 */   GIM_Try, /*On fail goto*//*Label 3533*/ GIMT_Encode4(185382), // Rule ID 708 //
     /*  185346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185349 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185356 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185363 */     // MIs[0] rs1
     /*  185363 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185375 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185375 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  185380 */     GIR_RootConstrainSelectedInstOperands,
     /*  185381 */     // GIR_Coverage, 708,
     /*  185381 */     GIR_Done,
     /*  185382 */   // Label 3533: @185382
     /*  185382 */   GIM_Try, /*On fail goto*//*Label 3534*/ GIMT_Encode4(185423), // Rule ID 710 //
     /*  185387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185390 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185397 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185404 */     // MIs[0] rs1
     /*  185404 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185416 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185416 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  185421 */     GIR_RootConstrainSelectedInstOperands,
     /*  185422 */     // GIR_Coverage, 710,
     /*  185422 */     GIR_Done,
     /*  185423 */   // Label 3534: @185423
     /*  185423 */   GIM_Try, /*On fail goto*//*Label 3535*/ GIMT_Encode4(185464), // Rule ID 712 //
     /*  185428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185431 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185438 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185445 */     // MIs[0] rs1
     /*  185445 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185457 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185457 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  185462 */     GIR_RootConstrainSelectedInstOperands,
     /*  185463 */     // GIR_Coverage, 712,
     /*  185463 */     GIR_Done,
     /*  185464 */   // Label 3535: @185464
     /*  185464 */   GIM_Try, /*On fail goto*//*Label 3536*/ GIMT_Encode4(185505), // Rule ID 714 //
     /*  185469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185472 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185479 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185486 */     // MIs[0] rs1
     /*  185486 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185490 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185498 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185498 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  185503 */     GIR_RootConstrainSelectedInstOperands,
     /*  185504 */     // GIR_Coverage, 714,
     /*  185504 */     GIR_Done,
     /*  185505 */   // Label 3536: @185505
     /*  185505 */   GIM_Try, /*On fail goto*//*Label 3537*/ GIMT_Encode4(185546), // Rule ID 716 //
     /*  185510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185513 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  185520 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185527 */     // MIs[0] rs1
     /*  185527 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185539 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185539 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  185544 */     GIR_RootConstrainSelectedInstOperands,
     /*  185545 */     // GIR_Coverage, 716,
     /*  185545 */     GIR_Done,
     /*  185546 */   // Label 3537: @185546
     /*  185546 */   GIM_Try, /*On fail goto*//*Label 3538*/ GIMT_Encode4(185587), // Rule ID 878 //
     /*  185551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185554 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185561 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185568 */     // MIs[0] rs1
     /*  185568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185580 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185585 */     GIR_RootConstrainSelectedInstOperands,
     /*  185586 */     // GIR_Coverage, 878,
     /*  185586 */     GIR_Done,
     /*  185587 */   // Label 3538: @185587
     /*  185587 */   GIM_Try, /*On fail goto*//*Label 3539*/ GIMT_Encode4(185628), // Rule ID 880 //
     /*  185592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185595 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185602 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185609 */     // MIs[0] rs1
     /*  185609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185621 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  185626 */     GIR_RootConstrainSelectedInstOperands,
     /*  185627 */     // GIR_Coverage, 880,
     /*  185627 */     GIR_Done,
     /*  185628 */   // Label 3539: @185628
     /*  185628 */   GIM_Try, /*On fail goto*//*Label 3540*/ GIMT_Encode4(185669), // Rule ID 882 //
     /*  185633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185650 */     // MIs[0] rs1
     /*  185650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185662 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  185667 */     GIR_RootConstrainSelectedInstOperands,
     /*  185668 */     // GIR_Coverage, 882,
     /*  185668 */     GIR_Done,
     /*  185669 */   // Label 3540: @185669
     /*  185669 */   GIM_Try, /*On fail goto*//*Label 3541*/ GIMT_Encode4(185710), // Rule ID 884 //
     /*  185674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185677 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185684 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185691 */     // MIs[0] rs1
     /*  185691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185703 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185703 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  185708 */     GIR_RootConstrainSelectedInstOperands,
     /*  185709 */     // GIR_Coverage, 884,
     /*  185709 */     GIR_Done,
     /*  185710 */   // Label 3541: @185710
     /*  185710 */   GIM_Try, /*On fail goto*//*Label 3542*/ GIMT_Encode4(185751), // Rule ID 886 //
     /*  185715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  185718 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185725 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185732 */     // MIs[0] rs1
     /*  185732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185744 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185744 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  185749 */     GIR_RootConstrainSelectedInstOperands,
     /*  185750 */     // GIR_Coverage, 886,
     /*  185750 */     GIR_Done,
     /*  185751 */   // Label 3542: @185751
     /*  185751 */   GIM_Try, /*On fail goto*//*Label 3543*/ GIMT_Encode4(185792), // Rule ID 888 //
     /*  185756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185773 */     // MIs[0] rs1
     /*  185773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185785 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185790 */     GIR_RootConstrainSelectedInstOperands,
     /*  185791 */     // GIR_Coverage, 888,
     /*  185791 */     GIR_Done,
     /*  185792 */   // Label 3543: @185792
     /*  185792 */   GIM_Try, /*On fail goto*//*Label 3544*/ GIMT_Encode4(185833), // Rule ID 890 //
     /*  185797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  185810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185814 */     // MIs[0] rs1
     /*  185814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185826 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185831 */     GIR_RootConstrainSelectedInstOperands,
     /*  185832 */     // GIR_Coverage, 890,
     /*  185832 */     GIR_Done,
     /*  185833 */   // Label 3544: @185833
     /*  185833 */   GIM_Try, /*On fail goto*//*Label 3545*/ GIMT_Encode4(185874), // Rule ID 892 //
     /*  185838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  185851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185855 */     // MIs[0] rs1
     /*  185855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185867 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185872 */     GIR_RootConstrainSelectedInstOperands,
     /*  185873 */     // GIR_Coverage, 892,
     /*  185873 */     GIR_Done,
     /*  185874 */   // Label 3545: @185874
     /*  185874 */   GIM_Try, /*On fail goto*//*Label 3546*/ GIMT_Encode4(185915), // Rule ID 894 //
     /*  185879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  185892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185896 */     // MIs[0] rs1
     /*  185896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185908 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185913 */     GIR_RootConstrainSelectedInstOperands,
     /*  185914 */     // GIR_Coverage, 894,
     /*  185914 */     GIR_Done,
     /*  185915 */   // Label 3546: @185915
     /*  185915 */   GIM_Try, /*On fail goto*//*Label 3547*/ GIMT_Encode4(185956), // Rule ID 896 //
     /*  185920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  185923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  185930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  185933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185937 */     // MIs[0] rs1
     /*  185937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  185941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185949 */     // (atomic_swap:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  185949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  185954 */     GIR_RootConstrainSelectedInstOperands,
     /*  185955 */     // GIR_Coverage, 896,
     /*  185955 */     GIR_Done,
     /*  185956 */   // Label 3547: @185956
     /*  185956 */   GIM_Reject,
     /*  185957 */ // Label 3517: @185957
     /*  185957 */ GIM_Reject,
     /*  185958 */ // Label 3515: @185958
     /*  185958 */ GIM_Try, /*On fail goto*//*Label 3548*/ GIMT_Encode4(187607),
     /*  185963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  185966 */   GIM_Try, /*On fail goto*//*Label 3549*/ GIMT_Encode4(186007), // Rule ID 349 //
     /*  185971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  185974 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  185981 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  185984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185988 */     // MIs[0] rs1
     /*  185988 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  185992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  185996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186000 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186000 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  186005 */     GIR_RootConstrainSelectedInstOperands,
     /*  186006 */     // GIR_Coverage, 349,
     /*  186006 */     GIR_Done,
     /*  186007 */   // Label 3549: @186007
     /*  186007 */   GIM_Try, /*On fail goto*//*Label 3550*/ GIMT_Encode4(186048), // Rule ID 351 //
     /*  186012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186015 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186022 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186029 */     // MIs[0] rs1
     /*  186029 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186041 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186041 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ),
     /*  186046 */     GIR_RootConstrainSelectedInstOperands,
     /*  186047 */     // GIR_Coverage, 351,
     /*  186047 */     GIR_Done,
     /*  186048 */   // Label 3550: @186048
     /*  186048 */   GIM_Try, /*On fail goto*//*Label 3551*/ GIMT_Encode4(186089), // Rule ID 353 //
     /*  186053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186056 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186063 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186070 */     // MIs[0] rs1
     /*  186070 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186082 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186082 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_RL),
     /*  186087 */     GIR_RootConstrainSelectedInstOperands,
     /*  186088 */     // GIR_Coverage, 353,
     /*  186088 */     GIR_Done,
     /*  186089 */   // Label 3551: @186089
     /*  186089 */   GIM_Try, /*On fail goto*//*Label 3552*/ GIMT_Encode4(186130), // Rule ID 355 //
     /*  186094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186097 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186104 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186111 */     // MIs[0] rs1
     /*  186111 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186123 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186123 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  186128 */     GIR_RootConstrainSelectedInstOperands,
     /*  186129 */     // GIR_Coverage, 355,
     /*  186129 */     GIR_Done,
     /*  186130 */   // Label 3552: @186130
     /*  186130 */   GIM_Try, /*On fail goto*//*Label 3553*/ GIMT_Encode4(186171), // Rule ID 357 //
     /*  186135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  186138 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186145 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186152 */     // MIs[0] rs1
     /*  186152 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186156 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186164 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186164 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W_AQ_RL),
     /*  186169 */     GIR_RootConstrainSelectedInstOperands,
     /*  186170 */     // GIR_Coverage, 357,
     /*  186170 */     GIR_Done,
     /*  186171 */   // Label 3553: @186171
     /*  186171 */   GIM_Try, /*On fail goto*//*Label 3554*/ GIMT_Encode4(186212), // Rule ID 359 //
     /*  186176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186179 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186186 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186193 */     // MIs[0] rs1
     /*  186193 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186205 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_monotonic>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186205 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  186210 */     GIR_RootConstrainSelectedInstOperands,
     /*  186211 */     // GIR_Coverage, 359,
     /*  186211 */     GIR_Done,
     /*  186212 */   // Label 3554: @186212
     /*  186212 */   GIM_Try, /*On fail goto*//*Label 3555*/ GIMT_Encode4(186253), // Rule ID 361 //
     /*  186217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186220 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186227 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186234 */     // MIs[0] rs1
     /*  186234 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186238 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186246 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acquire>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186246 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  186251 */     GIR_RootConstrainSelectedInstOperands,
     /*  186252 */     // GIR_Coverage, 361,
     /*  186252 */     GIR_Done,
     /*  186253 */   // Label 3555: @186253
     /*  186253 */   GIM_Try, /*On fail goto*//*Label 3556*/ GIMT_Encode4(186294), // Rule ID 363 //
     /*  186258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186261 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186268 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186275 */     // MIs[0] rs1
     /*  186275 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186279 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186287 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_release>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186287 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  186292 */     GIR_RootConstrainSelectedInstOperands,
     /*  186293 */     // GIR_Coverage, 363,
     /*  186293 */     GIR_Done,
     /*  186294 */   // Label 3556: @186294
     /*  186294 */   GIM_Try, /*On fail goto*//*Label 3557*/ GIMT_Encode4(186335), // Rule ID 365 //
     /*  186299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186302 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186309 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186316 */     // MIs[0] rs1
     /*  186316 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186328 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_acq_rel>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186328 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  186333 */     GIR_RootConstrainSelectedInstOperands,
     /*  186334 */     // GIR_Coverage, 365,
     /*  186334 */     GIR_Done,
     /*  186335 */   // Label 3557: @186335
     /*  186335 */   GIM_Try, /*On fail goto*//*Label 3558*/ GIMT_Encode4(186376), // Rule ID 367 //
     /*  186340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  186343 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  186350 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186357 */     // MIs[0] rs1
     /*  186357 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186369 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i32>><<P:Predicate_atomic_swap_i32_seq_cst>>  =>  (AMOSWAP_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_W),
     /*  186374 */     GIR_RootConstrainSelectedInstOperands,
     /*  186375 */     // GIR_Coverage, 367,
     /*  186375 */     GIR_Done,
     /*  186376 */   // Label 3558: @186376
     /*  186376 */   GIM_Try, /*On fail goto*//*Label 3559*/ GIMT_Encode4(186417), // Rule ID 529 //
     /*  186381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186384 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186391 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186398 */     // MIs[0] rs1
     /*  186398 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186410 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186410 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186415 */     GIR_RootConstrainSelectedInstOperands,
     /*  186416 */     // GIR_Coverage, 529,
     /*  186416 */     GIR_Done,
     /*  186417 */   // Label 3559: @186417
     /*  186417 */   GIM_Try, /*On fail goto*//*Label 3560*/ GIMT_Encode4(186458), // Rule ID 530 //
     /*  186422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186425 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186432 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186439 */     // MIs[0] rs1
     /*  186439 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186451 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186451 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ),
     /*  186456 */     GIR_RootConstrainSelectedInstOperands,
     /*  186457 */     // GIR_Coverage, 530,
     /*  186457 */     GIR_Done,
     /*  186458 */   // Label 3560: @186458
     /*  186458 */   GIM_Try, /*On fail goto*//*Label 3561*/ GIMT_Encode4(186499), // Rule ID 531 //
     /*  186463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186466 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186473 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186480 */     // MIs[0] rs1
     /*  186480 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186492 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186492 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_RL),
     /*  186497 */     GIR_RootConstrainSelectedInstOperands,
     /*  186498 */     // GIR_Coverage, 531,
     /*  186498 */     GIR_Done,
     /*  186499 */   // Label 3561: @186499
     /*  186499 */   GIM_Try, /*On fail goto*//*Label 3562*/ GIMT_Encode4(186540), // Rule ID 532 //
     /*  186504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186507 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186514 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186521 */     // MIs[0] rs1
     /*  186521 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186525 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186533 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186533 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  186538 */     GIR_RootConstrainSelectedInstOperands,
     /*  186539 */     // GIR_Coverage, 532,
     /*  186539 */     GIR_Done,
     /*  186540 */   // Label 3562: @186540
     /*  186540 */   GIM_Try, /*On fail goto*//*Label 3563*/ GIMT_Encode4(186581), // Rule ID 533 //
     /*  186545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  186548 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186555 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186562 */     // MIs[0] rs1
     /*  186562 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186574 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186574 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D_AQ_RL),
     /*  186579 */     GIR_RootConstrainSelectedInstOperands,
     /*  186580 */     // GIR_Coverage, 533,
     /*  186580 */     GIR_Done,
     /*  186581 */   // Label 3563: @186581
     /*  186581 */   GIM_Try, /*On fail goto*//*Label 3564*/ GIMT_Encode4(186622), // Rule ID 534 //
     /*  186586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186589 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186596 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186603 */     // MIs[0] rs1
     /*  186603 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186607 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186615 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_monotonic>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186615 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186620 */     GIR_RootConstrainSelectedInstOperands,
     /*  186621 */     // GIR_Coverage, 534,
     /*  186621 */     GIR_Done,
     /*  186622 */   // Label 3564: @186622
     /*  186622 */   GIM_Try, /*On fail goto*//*Label 3565*/ GIMT_Encode4(186663), // Rule ID 535 //
     /*  186627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186630 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186637 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186644 */     // MIs[0] rs1
     /*  186644 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186656 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acquire>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186656 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186661 */     GIR_RootConstrainSelectedInstOperands,
     /*  186662 */     // GIR_Coverage, 535,
     /*  186662 */     GIR_Done,
     /*  186663 */   // Label 3565: @186663
     /*  186663 */   GIM_Try, /*On fail goto*//*Label 3566*/ GIMT_Encode4(186704), // Rule ID 536 //
     /*  186668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186671 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186678 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186685 */     // MIs[0] rs1
     /*  186685 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186697 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_release>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186702 */     GIR_RootConstrainSelectedInstOperands,
     /*  186703 */     // GIR_Coverage, 536,
     /*  186703 */     GIR_Done,
     /*  186704 */   // Label 3566: @186704
     /*  186704 */   GIM_Try, /*On fail goto*//*Label 3567*/ GIMT_Encode4(186745), // Rule ID 537 //
     /*  186709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186712 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186719 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186726 */     // MIs[0] rs1
     /*  186726 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186738 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_acq_rel>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186738 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186743 */     GIR_RootConstrainSelectedInstOperands,
     /*  186744 */     // GIR_Coverage, 537,
     /*  186744 */     GIR_Done,
     /*  186745 */   // Label 3567: @186745
     /*  186745 */   GIM_Try, /*On fail goto*//*Label 3568*/ GIMT_Encode4(186786), // Rule ID 538 //
     /*  186750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  186753 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  186760 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186767 */     // MIs[0] rs1
     /*  186767 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186779 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i64>><<P:Predicate_atomic_swap_i64_seq_cst>>  =>  (AMOSWAP_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_D),
     /*  186784 */     GIR_RootConstrainSelectedInstOperands,
     /*  186785 */     // GIR_Coverage, 538,
     /*  186785 */     GIR_Done,
     /*  186786 */   // Label 3568: @186786
     /*  186786 */   GIM_Try, /*On fail goto*//*Label 3569*/ GIMT_Encode4(186827), // Rule ID 697 //
     /*  186791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  186804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186808 */     // MIs[0] rs1
     /*  186808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186820 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  186825 */     GIR_RootConstrainSelectedInstOperands,
     /*  186826 */     // GIR_Coverage, 697,
     /*  186826 */     GIR_Done,
     /*  186827 */   // Label 3569: @186827
     /*  186827 */   GIM_Try, /*On fail goto*//*Label 3570*/ GIMT_Encode4(186868), // Rule ID 699 //
     /*  186832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  186845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186849 */     // MIs[0] rs1
     /*  186849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186861 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ),
     /*  186866 */     GIR_RootConstrainSelectedInstOperands,
     /*  186867 */     // GIR_Coverage, 699,
     /*  186867 */     GIR_Done,
     /*  186868 */   // Label 3570: @186868
     /*  186868 */   GIM_Try, /*On fail goto*//*Label 3571*/ GIMT_Encode4(186909), // Rule ID 701 //
     /*  186873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  186886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186890 */     // MIs[0] rs1
     /*  186890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186902 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_RL),
     /*  186907 */     GIR_RootConstrainSelectedInstOperands,
     /*  186908 */     // GIR_Coverage, 701,
     /*  186908 */     GIR_Done,
     /*  186909 */   // Label 3571: @186909
     /*  186909 */   GIM_Try, /*On fail goto*//*Label 3572*/ GIMT_Encode4(186950), // Rule ID 703 //
     /*  186914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  186927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186931 */     // MIs[0] rs1
     /*  186931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186943 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  186948 */     GIR_RootConstrainSelectedInstOperands,
     /*  186949 */     // GIR_Coverage, 703,
     /*  186949 */     GIR_Done,
     /*  186950 */   // Label 3572: @186950
     /*  186950 */   GIM_Try, /*On fail goto*//*Label 3573*/ GIMT_Encode4(186991), // Rule ID 705 //
     /*  186955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  186958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  186965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  186968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186972 */     // MIs[0] rs1
     /*  186972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  186976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  186984 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  186984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B_AQ_RL),
     /*  186989 */     GIR_RootConstrainSelectedInstOperands,
     /*  186990 */     // GIR_Coverage, 705,
     /*  186990 */     GIR_Done,
     /*  186991 */   // Label 3573: @186991
     /*  186991 */   GIM_Try, /*On fail goto*//*Label 3574*/ GIMT_Encode4(187032), // Rule ID 707 //
     /*  186996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  186999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187013 */     // MIs[0] rs1
     /*  187013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187025 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_monotonic>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  187030 */     GIR_RootConstrainSelectedInstOperands,
     /*  187031 */     // GIR_Coverage, 707,
     /*  187031 */     GIR_Done,
     /*  187032 */   // Label 3574: @187032
     /*  187032 */   GIM_Try, /*On fail goto*//*Label 3575*/ GIMT_Encode4(187073), // Rule ID 709 //
     /*  187037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187054 */     // MIs[0] rs1
     /*  187054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187066 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acquire>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  187071 */     GIR_RootConstrainSelectedInstOperands,
     /*  187072 */     // GIR_Coverage, 709,
     /*  187072 */     GIR_Done,
     /*  187073 */   // Label 3575: @187073
     /*  187073 */   GIM_Try, /*On fail goto*//*Label 3576*/ GIMT_Encode4(187114), // Rule ID 711 //
     /*  187078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187095 */     // MIs[0] rs1
     /*  187095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187107 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_release>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  187112 */     GIR_RootConstrainSelectedInstOperands,
     /*  187113 */     // GIR_Coverage, 711,
     /*  187113 */     GIR_Done,
     /*  187114 */   // Label 3576: @187114
     /*  187114 */   GIM_Try, /*On fail goto*//*Label 3577*/ GIMT_Encode4(187155), // Rule ID 713 //
     /*  187119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187136 */     // MIs[0] rs1
     /*  187136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187148 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_acq_rel>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  187153 */     GIR_RootConstrainSelectedInstOperands,
     /*  187154 */     // GIR_Coverage, 713,
     /*  187154 */     GIR_Done,
     /*  187155 */   // Label 3577: @187155
     /*  187155 */   GIM_Try, /*On fail goto*//*Label 3578*/ GIMT_Encode4(187196), // Rule ID 715 //
     /*  187160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  187170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187177 */     // MIs[0] rs1
     /*  187177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187189 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i8>><<P:Predicate_atomic_swap_i8_seq_cst>>  =>  (AMOSWAP_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_B),
     /*  187194 */     GIR_RootConstrainSelectedInstOperands,
     /*  187195 */     // GIR_Coverage, 715,
     /*  187195 */     GIR_Done,
     /*  187196 */   // Label 3578: @187196
     /*  187196 */   GIM_Try, /*On fail goto*//*Label 3579*/ GIMT_Encode4(187237), // Rule ID 877 //
     /*  187201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187218 */     // MIs[0] rs1
     /*  187218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187230 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187235 */     GIR_RootConstrainSelectedInstOperands,
     /*  187236 */     // GIR_Coverage, 877,
     /*  187236 */     GIR_Done,
     /*  187237 */   // Label 3579: @187237
     /*  187237 */   GIM_Try, /*On fail goto*//*Label 3580*/ GIMT_Encode4(187278), // Rule ID 879 //
     /*  187242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187259 */     // MIs[0] rs1
     /*  187259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187271 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ),
     /*  187276 */     GIR_RootConstrainSelectedInstOperands,
     /*  187277 */     // GIR_Coverage, 879,
     /*  187277 */     GIR_Done,
     /*  187278 */   // Label 3580: @187278
     /*  187278 */   GIM_Try, /*On fail goto*//*Label 3581*/ GIMT_Encode4(187319), // Rule ID 881 //
     /*  187283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187300 */     // MIs[0] rs1
     /*  187300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187312 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_RL),
     /*  187317 */     GIR_RootConstrainSelectedInstOperands,
     /*  187318 */     // GIR_Coverage, 881,
     /*  187318 */     GIR_Done,
     /*  187319 */   // Label 3581: @187319
     /*  187319 */   GIM_Try, /*On fail goto*//*Label 3582*/ GIMT_Encode4(187360), // Rule ID 883 //
     /*  187324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187341 */     // MIs[0] rs1
     /*  187341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187353 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  187358 */     GIR_RootConstrainSelectedInstOperands,
     /*  187359 */     // GIR_Coverage, 883,
     /*  187359 */     GIR_Done,
     /*  187360 */   // Label 3582: @187360
     /*  187360 */   GIM_Try, /*On fail goto*//*Label 3583*/ GIMT_Encode4(187401), // Rule ID 885 //
     /*  187365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  187368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187382 */     // MIs[0] rs1
     /*  187382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187394 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H_AQ_RL),
     /*  187399 */     GIR_RootConstrainSelectedInstOperands,
     /*  187400 */     // GIR_Coverage, 885,
     /*  187400 */     GIR_Done,
     /*  187401 */   // Label 3583: @187401
     /*  187401 */   GIM_Try, /*On fail goto*//*Label 3584*/ GIMT_Encode4(187442), // Rule ID 887 //
     /*  187406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187423 */     // MIs[0] rs1
     /*  187423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187435 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_monotonic>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187440 */     GIR_RootConstrainSelectedInstOperands,
     /*  187441 */     // GIR_Coverage, 887,
     /*  187441 */     GIR_Done,
     /*  187442 */   // Label 3584: @187442
     /*  187442 */   GIM_Try, /*On fail goto*//*Label 3585*/ GIMT_Encode4(187483), // Rule ID 889 //
     /*  187447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187464 */     // MIs[0] rs1
     /*  187464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187476 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acquire>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187481 */     GIR_RootConstrainSelectedInstOperands,
     /*  187482 */     // GIR_Coverage, 889,
     /*  187482 */     GIR_Done,
     /*  187483 */   // Label 3585: @187483
     /*  187483 */   GIM_Try, /*On fail goto*//*Label 3586*/ GIMT_Encode4(187524), // Rule ID 891 //
     /*  187488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187505 */     // MIs[0] rs1
     /*  187505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187517 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_release>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187522 */     GIR_RootConstrainSelectedInstOperands,
     /*  187523 */     // GIR_Coverage, 891,
     /*  187523 */     GIR_Done,
     /*  187524 */   // Label 3586: @187524
     /*  187524 */   GIM_Try, /*On fail goto*//*Label 3587*/ GIMT_Encode4(187565), // Rule ID 893 //
     /*  187529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187546 */     // MIs[0] rs1
     /*  187546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187558 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_acq_rel>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187563 */     GIR_RootConstrainSelectedInstOperands,
     /*  187564 */     // GIR_Coverage, 893,
     /*  187564 */     GIR_Done,
     /*  187565 */   // Label 3587: @187565
     /*  187565 */   GIM_Try, /*On fail goto*//*Label 3588*/ GIMT_Encode4(187606), // Rule ID 895 //
     /*  187570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  187573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  187580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187587 */     // MIs[0] rs1
     /*  187587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  187591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187599 */     // (atomic_swap:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_swap_i16>><<P:Predicate_atomic_swap_i16_seq_cst>>  =>  (AMOSWAP_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  187599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOSWAP_H),
     /*  187604 */     GIR_RootConstrainSelectedInstOperands,
     /*  187605 */     // GIR_Coverage, 895,
     /*  187605 */     GIR_Done,
     /*  187606 */   // Label 3588: @187606
     /*  187606 */   GIM_Reject,
     /*  187607 */ // Label 3548: @187607
     /*  187607 */ GIM_Reject,
     /*  187608 */ // Label 3516: @187608
     /*  187608 */ GIM_Reject,
     /*  187609 */ // Label 27: @187609
     /*  187609 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3591*/ GIMT_Encode4(190518),
     /*  187620 */ /*GILLT_s32*//*Label 3589*/ GIMT_Encode4(187628),
     /*  187624 */ /*GILLT_s64*//*Label 3590*/ GIMT_Encode4(188868),
     /*  187628 */ // Label 3589: @187628
     /*  187628 */ GIM_Try, /*On fail goto*//*Label 3592*/ GIMT_Encode4(188867),
     /*  187633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  187636 */   GIM_Try, /*On fail goto*//*Label 3593*/ GIMT_Encode4(187677), // Rule ID 370 //
     /*  187641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187644 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187651 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187658 */     // MIs[0] rs1
     /*  187658 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187670 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187670 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187675 */     GIR_RootConstrainSelectedInstOperands,
     /*  187676 */     // GIR_Coverage, 370,
     /*  187676 */     GIR_Done,
     /*  187677 */   // Label 3593: @187677
     /*  187677 */   GIM_Try, /*On fail goto*//*Label 3594*/ GIMT_Encode4(187718), // Rule ID 372 //
     /*  187682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187685 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187692 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187699 */     // MIs[0] rs1
     /*  187699 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187711 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187711 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  187716 */     GIR_RootConstrainSelectedInstOperands,
     /*  187717 */     // GIR_Coverage, 372,
     /*  187717 */     GIR_Done,
     /*  187718 */   // Label 3594: @187718
     /*  187718 */   GIM_Try, /*On fail goto*//*Label 3595*/ GIMT_Encode4(187759), // Rule ID 374 //
     /*  187723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187726 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187733 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187740 */     // MIs[0] rs1
     /*  187740 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187744 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187752 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187752 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  187757 */     GIR_RootConstrainSelectedInstOperands,
     /*  187758 */     // GIR_Coverage, 374,
     /*  187758 */     GIR_Done,
     /*  187759 */   // Label 3595: @187759
     /*  187759 */   GIM_Try, /*On fail goto*//*Label 3596*/ GIMT_Encode4(187800), // Rule ID 376 //
     /*  187764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187767 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187774 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187781 */     // MIs[0] rs1
     /*  187781 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187793 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187793 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  187798 */     GIR_RootConstrainSelectedInstOperands,
     /*  187799 */     // GIR_Coverage, 376,
     /*  187799 */     GIR_Done,
     /*  187800 */   // Label 3596: @187800
     /*  187800 */   GIM_Try, /*On fail goto*//*Label 3597*/ GIMT_Encode4(187841), // Rule ID 378 //
     /*  187805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  187808 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187815 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  187818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187822 */     // MIs[0] rs1
     /*  187822 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187834 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187834 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  187839 */     GIR_RootConstrainSelectedInstOperands,
     /*  187840 */     // GIR_Coverage, 378,
     /*  187840 */     GIR_Done,
     /*  187841 */   // Label 3597: @187841
     /*  187841 */   GIM_Try, /*On fail goto*//*Label 3598*/ GIMT_Encode4(187882), // Rule ID 380 //
     /*  187846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187849 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187856 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  187859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187863 */     // MIs[0] rs1
     /*  187863 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187867 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187875 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187875 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187880 */     GIR_RootConstrainSelectedInstOperands,
     /*  187881 */     // GIR_Coverage, 380,
     /*  187881 */     GIR_Done,
     /*  187882 */   // Label 3598: @187882
     /*  187882 */   GIM_Try, /*On fail goto*//*Label 3599*/ GIMT_Encode4(187923), // Rule ID 382 //
     /*  187887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187890 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187897 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  187900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187904 */     // MIs[0] rs1
     /*  187904 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187916 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187916 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187921 */     GIR_RootConstrainSelectedInstOperands,
     /*  187922 */     // GIR_Coverage, 382,
     /*  187922 */     GIR_Done,
     /*  187923 */   // Label 3599: @187923
     /*  187923 */   GIM_Try, /*On fail goto*//*Label 3600*/ GIMT_Encode4(187964), // Rule ID 384 //
     /*  187928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187931 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187938 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  187941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187945 */     // MIs[0] rs1
     /*  187945 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187957 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187957 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  187962 */     GIR_RootConstrainSelectedInstOperands,
     /*  187963 */     // GIR_Coverage, 384,
     /*  187963 */     GIR_Done,
     /*  187964 */   // Label 3600: @187964
     /*  187964 */   GIM_Try, /*On fail goto*//*Label 3601*/ GIMT_Encode4(188005), // Rule ID 386 //
     /*  187969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  187972 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  187979 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  187982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187986 */     // MIs[0] rs1
     /*  187986 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  187990 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  187998 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  187998 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188003 */     GIR_RootConstrainSelectedInstOperands,
     /*  188004 */     // GIR_Coverage, 386,
     /*  188004 */     GIR_Done,
     /*  188005 */   // Label 3601: @188005
     /*  188005 */   GIM_Try, /*On fail goto*//*Label 3602*/ GIMT_Encode4(188046), // Rule ID 388 //
     /*  188010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  188013 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188020 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188027 */     // MIs[0] rs1
     /*  188027 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188031 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188039 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188039 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188044 */     GIR_RootConstrainSelectedInstOperands,
     /*  188045 */     // GIR_Coverage, 388,
     /*  188045 */     GIR_Done,
     /*  188046 */   // Label 3602: @188046
     /*  188046 */   GIM_Try, /*On fail goto*//*Label 3603*/ GIMT_Encode4(188087), // Rule ID 718 //
     /*  188051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188054 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188061 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188068 */     // MIs[0] rs1
     /*  188068 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188080 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188080 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  188085 */     GIR_RootConstrainSelectedInstOperands,
     /*  188086 */     // GIR_Coverage, 718,
     /*  188086 */     GIR_Done,
     /*  188087 */   // Label 3603: @188087
     /*  188087 */   GIM_Try, /*On fail goto*//*Label 3604*/ GIMT_Encode4(188128), // Rule ID 720 //
     /*  188092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188095 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188102 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188109 */     // MIs[0] rs1
     /*  188109 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188121 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188121 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  188126 */     GIR_RootConstrainSelectedInstOperands,
     /*  188127 */     // GIR_Coverage, 720,
     /*  188127 */     GIR_Done,
     /*  188128 */   // Label 3604: @188128
     /*  188128 */   GIM_Try, /*On fail goto*//*Label 3605*/ GIMT_Encode4(188169), // Rule ID 722 //
     /*  188133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188136 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188143 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188150 */     // MIs[0] rs1
     /*  188150 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188162 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188162 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  188167 */     GIR_RootConstrainSelectedInstOperands,
     /*  188168 */     // GIR_Coverage, 722,
     /*  188168 */     GIR_Done,
     /*  188169 */   // Label 3605: @188169
     /*  188169 */   GIM_Try, /*On fail goto*//*Label 3606*/ GIMT_Encode4(188210), // Rule ID 724 //
     /*  188174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188177 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188184 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188191 */     // MIs[0] rs1
     /*  188191 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188203 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188203 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  188208 */     GIR_RootConstrainSelectedInstOperands,
     /*  188209 */     // GIR_Coverage, 724,
     /*  188209 */     GIR_Done,
     /*  188210 */   // Label 3606: @188210
     /*  188210 */   GIM_Try, /*On fail goto*//*Label 3607*/ GIMT_Encode4(188251), // Rule ID 726 //
     /*  188215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188218 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188225 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188232 */     // MIs[0] rs1
     /*  188232 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188244 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188244 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  188249 */     GIR_RootConstrainSelectedInstOperands,
     /*  188250 */     // GIR_Coverage, 726,
     /*  188250 */     GIR_Done,
     /*  188251 */   // Label 3607: @188251
     /*  188251 */   GIM_Try, /*On fail goto*//*Label 3608*/ GIMT_Encode4(188292), // Rule ID 728 //
     /*  188256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188259 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188266 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188273 */     // MIs[0] rs1
     /*  188273 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188277 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188285 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188285 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  188290 */     GIR_RootConstrainSelectedInstOperands,
     /*  188291 */     // GIR_Coverage, 728,
     /*  188291 */     GIR_Done,
     /*  188292 */   // Label 3608: @188292
     /*  188292 */   GIM_Try, /*On fail goto*//*Label 3609*/ GIMT_Encode4(188333), // Rule ID 730 //
     /*  188297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188300 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188307 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188314 */     // MIs[0] rs1
     /*  188314 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188326 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188326 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  188331 */     GIR_RootConstrainSelectedInstOperands,
     /*  188332 */     // GIR_Coverage, 730,
     /*  188332 */     GIR_Done,
     /*  188333 */   // Label 3609: @188333
     /*  188333 */   GIM_Try, /*On fail goto*//*Label 3610*/ GIMT_Encode4(188374), // Rule ID 732 //
     /*  188338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188341 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188348 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188355 */     // MIs[0] rs1
     /*  188355 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188367 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188367 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  188372 */     GIR_RootConstrainSelectedInstOperands,
     /*  188373 */     // GIR_Coverage, 732,
     /*  188373 */     GIR_Done,
     /*  188374 */   // Label 3610: @188374
     /*  188374 */   GIM_Try, /*On fail goto*//*Label 3611*/ GIMT_Encode4(188415), // Rule ID 734 //
     /*  188379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188382 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188389 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188396 */     // MIs[0] rs1
     /*  188396 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188400 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188408 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188408 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  188413 */     GIR_RootConstrainSelectedInstOperands,
     /*  188414 */     // GIR_Coverage, 734,
     /*  188414 */     GIR_Done,
     /*  188415 */   // Label 3611: @188415
     /*  188415 */   GIM_Try, /*On fail goto*//*Label 3612*/ GIMT_Encode4(188456), // Rule ID 736 //
     /*  188420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188423 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  188430 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188437 */     // MIs[0] rs1
     /*  188437 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188441 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188449 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188449 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  188454 */     GIR_RootConstrainSelectedInstOperands,
     /*  188455 */     // GIR_Coverage, 736,
     /*  188455 */     GIR_Done,
     /*  188456 */   // Label 3612: @188456
     /*  188456 */   GIM_Try, /*On fail goto*//*Label 3613*/ GIMT_Encode4(188497), // Rule ID 898 //
     /*  188461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188464 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188478 */     // MIs[0] rs1
     /*  188478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188490 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188490 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188495 */     GIR_RootConstrainSelectedInstOperands,
     /*  188496 */     // GIR_Coverage, 898,
     /*  188496 */     GIR_Done,
     /*  188497 */   // Label 3613: @188497
     /*  188497 */   GIM_Try, /*On fail goto*//*Label 3614*/ GIMT_Encode4(188538), // Rule ID 900 //
     /*  188502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188505 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188512 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188519 */     // MIs[0] rs1
     /*  188519 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188531 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188531 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  188536 */     GIR_RootConstrainSelectedInstOperands,
     /*  188537 */     // GIR_Coverage, 900,
     /*  188537 */     GIR_Done,
     /*  188538 */   // Label 3614: @188538
     /*  188538 */   GIM_Try, /*On fail goto*//*Label 3615*/ GIMT_Encode4(188579), // Rule ID 902 //
     /*  188543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188546 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188553 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188560 */     // MIs[0] rs1
     /*  188560 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188572 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188572 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  188577 */     GIR_RootConstrainSelectedInstOperands,
     /*  188578 */     // GIR_Coverage, 902,
     /*  188578 */     GIR_Done,
     /*  188579 */   // Label 3615: @188579
     /*  188579 */   GIM_Try, /*On fail goto*//*Label 3616*/ GIMT_Encode4(188620), // Rule ID 904 //
     /*  188584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188587 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188594 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188601 */     // MIs[0] rs1
     /*  188601 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188605 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188613 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188613 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  188618 */     GIR_RootConstrainSelectedInstOperands,
     /*  188619 */     // GIR_Coverage, 904,
     /*  188619 */     GIR_Done,
     /*  188620 */   // Label 3616: @188620
     /*  188620 */   GIM_Try, /*On fail goto*//*Label 3617*/ GIMT_Encode4(188661), // Rule ID 906 //
     /*  188625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  188628 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188635 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188642 */     // MIs[0] rs1
     /*  188642 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188646 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188654 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188654 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  188659 */     GIR_RootConstrainSelectedInstOperands,
     /*  188660 */     // GIR_Coverage, 906,
     /*  188660 */     GIR_Done,
     /*  188661 */   // Label 3617: @188661
     /*  188661 */   GIM_Try, /*On fail goto*//*Label 3618*/ GIMT_Encode4(188702), // Rule ID 908 //
     /*  188666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188669 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188676 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188683 */     // MIs[0] rs1
     /*  188683 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188695 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188695 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188700 */     GIR_RootConstrainSelectedInstOperands,
     /*  188701 */     // GIR_Coverage, 908,
     /*  188701 */     GIR_Done,
     /*  188702 */   // Label 3618: @188702
     /*  188702 */   GIM_Try, /*On fail goto*//*Label 3619*/ GIMT_Encode4(188743), // Rule ID 910 //
     /*  188707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188710 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188717 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188724 */     // MIs[0] rs1
     /*  188724 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188728 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188736 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188736 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188741 */     GIR_RootConstrainSelectedInstOperands,
     /*  188742 */     // GIR_Coverage, 910,
     /*  188742 */     GIR_Done,
     /*  188743 */   // Label 3619: @188743
     /*  188743 */   GIM_Try, /*On fail goto*//*Label 3620*/ GIMT_Encode4(188784), // Rule ID 912 //
     /*  188748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188751 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188758 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188765 */     // MIs[0] rs1
     /*  188765 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188769 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188777 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188782 */     GIR_RootConstrainSelectedInstOperands,
     /*  188783 */     // GIR_Coverage, 912,
     /*  188783 */     GIR_Done,
     /*  188784 */   // Label 3620: @188784
     /*  188784 */   GIM_Try, /*On fail goto*//*Label 3621*/ GIMT_Encode4(188825), // Rule ID 914 //
     /*  188789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188792 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188799 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  188802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188806 */     // MIs[0] rs1
     /*  188806 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188818 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188818 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188823 */     GIR_RootConstrainSelectedInstOperands,
     /*  188824 */     // GIR_Coverage, 914,
     /*  188824 */     GIR_Done,
     /*  188825 */   // Label 3621: @188825
     /*  188825 */   GIM_Try, /*On fail goto*//*Label 3622*/ GIMT_Encode4(188866), // Rule ID 916 //
     /*  188830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  188833 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  188840 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  188843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188847 */     // MIs[0] rs1
     /*  188847 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  188851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188859 */     // (atomic_load_add:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  188859 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  188864 */     GIR_RootConstrainSelectedInstOperands,
     /*  188865 */     // GIR_Coverage, 916,
     /*  188865 */     GIR_Done,
     /*  188866 */   // Label 3622: @188866
     /*  188866 */   GIM_Reject,
     /*  188867 */ // Label 3592: @188867
     /*  188867 */ GIM_Reject,
     /*  188868 */ // Label 3590: @188868
     /*  188868 */ GIM_Try, /*On fail goto*//*Label 3623*/ GIMT_Encode4(190517),
     /*  188873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  188876 */   GIM_Try, /*On fail goto*//*Label 3624*/ GIMT_Encode4(188917), // Rule ID 369 //
     /*  188881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188884 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188891 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  188894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188898 */     // MIs[0] rs1
     /*  188898 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188910 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188910 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  188915 */     GIR_RootConstrainSelectedInstOperands,
     /*  188916 */     // GIR_Coverage, 369,
     /*  188916 */     GIR_Done,
     /*  188917 */   // Label 3624: @188917
     /*  188917 */   GIM_Try, /*On fail goto*//*Label 3625*/ GIMT_Encode4(188958), // Rule ID 371 //
     /*  188922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188925 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188932 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  188935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188939 */     // MIs[0] rs1
     /*  188939 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188951 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188951 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ),
     /*  188956 */     GIR_RootConstrainSelectedInstOperands,
     /*  188957 */     // GIR_Coverage, 371,
     /*  188957 */     GIR_Done,
     /*  188958 */   // Label 3625: @188958
     /*  188958 */   GIM_Try, /*On fail goto*//*Label 3626*/ GIMT_Encode4(188999), // Rule ID 373 //
     /*  188963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  188966 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  188973 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  188976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188980 */     // MIs[0] rs1
     /*  188980 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  188984 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  188992 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  188992 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_RL),
     /*  188997 */     GIR_RootConstrainSelectedInstOperands,
     /*  188998 */     // GIR_Coverage, 373,
     /*  188998 */     GIR_Done,
     /*  188999 */   // Label 3626: @188999
     /*  188999 */   GIM_Try, /*On fail goto*//*Label 3627*/ GIMT_Encode4(189040), // Rule ID 375 //
     /*  189004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  189007 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189014 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189021 */     // MIs[0] rs1
     /*  189021 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189033 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189033 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  189038 */     GIR_RootConstrainSelectedInstOperands,
     /*  189039 */     // GIR_Coverage, 375,
     /*  189039 */     GIR_Done,
     /*  189040 */   // Label 3627: @189040
     /*  189040 */   GIM_Try, /*On fail goto*//*Label 3628*/ GIMT_Encode4(189081), // Rule ID 377 //
     /*  189045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  189048 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189055 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189062 */     // MIs[0] rs1
     /*  189062 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189074 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189074 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W_AQ_RL),
     /*  189079 */     GIR_RootConstrainSelectedInstOperands,
     /*  189080 */     // GIR_Coverage, 377,
     /*  189080 */     GIR_Done,
     /*  189081 */   // Label 3628: @189081
     /*  189081 */   GIM_Try, /*On fail goto*//*Label 3629*/ GIMT_Encode4(189122), // Rule ID 379 //
     /*  189086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189089 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189096 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189103 */     // MIs[0] rs1
     /*  189103 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189107 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189115 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_monotonic>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189115 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  189120 */     GIR_RootConstrainSelectedInstOperands,
     /*  189121 */     // GIR_Coverage, 379,
     /*  189121 */     GIR_Done,
     /*  189122 */   // Label 3629: @189122
     /*  189122 */   GIM_Try, /*On fail goto*//*Label 3630*/ GIMT_Encode4(189163), // Rule ID 381 //
     /*  189127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189130 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189137 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189144 */     // MIs[0] rs1
     /*  189144 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189148 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189156 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acquire>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189156 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  189161 */     GIR_RootConstrainSelectedInstOperands,
     /*  189162 */     // GIR_Coverage, 381,
     /*  189162 */     GIR_Done,
     /*  189163 */   // Label 3630: @189163
     /*  189163 */   GIM_Try, /*On fail goto*//*Label 3631*/ GIMT_Encode4(189204), // Rule ID 383 //
     /*  189168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189171 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189178 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189185 */     // MIs[0] rs1
     /*  189185 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189197 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_release>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189197 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  189202 */     GIR_RootConstrainSelectedInstOperands,
     /*  189203 */     // GIR_Coverage, 383,
     /*  189203 */     GIR_Done,
     /*  189204 */   // Label 3631: @189204
     /*  189204 */   GIM_Try, /*On fail goto*//*Label 3632*/ GIMT_Encode4(189245), // Rule ID 385 //
     /*  189209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189212 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189219 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189226 */     // MIs[0] rs1
     /*  189226 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189238 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_acq_rel>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189238 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  189243 */     GIR_RootConstrainSelectedInstOperands,
     /*  189244 */     // GIR_Coverage, 385,
     /*  189244 */     GIR_Done,
     /*  189245 */   // Label 3632: @189245
     /*  189245 */   GIM_Try, /*On fail goto*//*Label 3633*/ GIMT_Encode4(189286), // Rule ID 387 //
     /*  189250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  189253 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  189260 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189267 */     // MIs[0] rs1
     /*  189267 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189271 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189279 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i32>><<P:Predicate_atomic_load_add_i32_seq_cst>>  =>  (AMOADD_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189279 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_W),
     /*  189284 */     GIR_RootConstrainSelectedInstOperands,
     /*  189285 */     // GIR_Coverage, 387,
     /*  189285 */     GIR_Done,
     /*  189286 */   // Label 3633: @189286
     /*  189286 */   GIM_Try, /*On fail goto*//*Label 3634*/ GIMT_Encode4(189327), // Rule ID 539 //
     /*  189291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189294 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189301 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189308 */     // MIs[0] rs1
     /*  189308 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189320 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189320 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189325 */     GIR_RootConstrainSelectedInstOperands,
     /*  189326 */     // GIR_Coverage, 539,
     /*  189326 */     GIR_Done,
     /*  189327 */   // Label 3634: @189327
     /*  189327 */   GIM_Try, /*On fail goto*//*Label 3635*/ GIMT_Encode4(189368), // Rule ID 540 //
     /*  189332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189335 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189342 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189349 */     // MIs[0] rs1
     /*  189349 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189353 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189361 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189361 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ),
     /*  189366 */     GIR_RootConstrainSelectedInstOperands,
     /*  189367 */     // GIR_Coverage, 540,
     /*  189367 */     GIR_Done,
     /*  189368 */   // Label 3635: @189368
     /*  189368 */   GIM_Try, /*On fail goto*//*Label 3636*/ GIMT_Encode4(189409), // Rule ID 541 //
     /*  189373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189390 */     // MIs[0] rs1
     /*  189390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189402 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_RL),
     /*  189407 */     GIR_RootConstrainSelectedInstOperands,
     /*  189408 */     // GIR_Coverage, 541,
     /*  189408 */     GIR_Done,
     /*  189409 */   // Label 3636: @189409
     /*  189409 */   GIM_Try, /*On fail goto*//*Label 3637*/ GIMT_Encode4(189450), // Rule ID 542 //
     /*  189414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189431 */     // MIs[0] rs1
     /*  189431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189443 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  189448 */     GIR_RootConstrainSelectedInstOperands,
     /*  189449 */     // GIR_Coverage, 542,
     /*  189449 */     GIR_Done,
     /*  189450 */   // Label 3637: @189450
     /*  189450 */   GIM_Try, /*On fail goto*//*Label 3638*/ GIMT_Encode4(189491), // Rule ID 543 //
     /*  189455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  189458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189472 */     // MIs[0] rs1
     /*  189472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189484 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D_AQ_RL),
     /*  189489 */     GIR_RootConstrainSelectedInstOperands,
     /*  189490 */     // GIR_Coverage, 543,
     /*  189490 */     GIR_Done,
     /*  189491 */   // Label 3638: @189491
     /*  189491 */   GIM_Try, /*On fail goto*//*Label 3639*/ GIMT_Encode4(189532), // Rule ID 544 //
     /*  189496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189513 */     // MIs[0] rs1
     /*  189513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189525 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_monotonic>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189530 */     GIR_RootConstrainSelectedInstOperands,
     /*  189531 */     // GIR_Coverage, 544,
     /*  189531 */     GIR_Done,
     /*  189532 */   // Label 3639: @189532
     /*  189532 */   GIM_Try, /*On fail goto*//*Label 3640*/ GIMT_Encode4(189573), // Rule ID 545 //
     /*  189537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189554 */     // MIs[0] rs1
     /*  189554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189566 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acquire>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189571 */     GIR_RootConstrainSelectedInstOperands,
     /*  189572 */     // GIR_Coverage, 545,
     /*  189572 */     GIR_Done,
     /*  189573 */   // Label 3640: @189573
     /*  189573 */   GIM_Try, /*On fail goto*//*Label 3641*/ GIMT_Encode4(189614), // Rule ID 546 //
     /*  189578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189595 */     // MIs[0] rs1
     /*  189595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189607 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_release>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189612 */     GIR_RootConstrainSelectedInstOperands,
     /*  189613 */     // GIR_Coverage, 546,
     /*  189613 */     GIR_Done,
     /*  189614 */   // Label 3641: @189614
     /*  189614 */   GIM_Try, /*On fail goto*//*Label 3642*/ GIMT_Encode4(189655), // Rule ID 547 //
     /*  189619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189636 */     // MIs[0] rs1
     /*  189636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189648 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_acq_rel>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189653 */     GIR_RootConstrainSelectedInstOperands,
     /*  189654 */     // GIR_Coverage, 547,
     /*  189654 */     GIR_Done,
     /*  189655 */   // Label 3642: @189655
     /*  189655 */   GIM_Try, /*On fail goto*//*Label 3643*/ GIMT_Encode4(189696), // Rule ID 548 //
     /*  189660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  189663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  189670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189677 */     // MIs[0] rs1
     /*  189677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189689 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i64>><<P:Predicate_atomic_load_add_i64_seq_cst>>  =>  (AMOADD_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_D),
     /*  189694 */     GIR_RootConstrainSelectedInstOperands,
     /*  189695 */     // GIR_Coverage, 548,
     /*  189695 */     GIR_Done,
     /*  189696 */   // Label 3643: @189696
     /*  189696 */   GIM_Try, /*On fail goto*//*Label 3644*/ GIMT_Encode4(189737), // Rule ID 717 //
     /*  189701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189718 */     // MIs[0] rs1
     /*  189718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189730 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189735 */     GIR_RootConstrainSelectedInstOperands,
     /*  189736 */     // GIR_Coverage, 717,
     /*  189736 */     GIR_Done,
     /*  189737 */   // Label 3644: @189737
     /*  189737 */   GIM_Try, /*On fail goto*//*Label 3645*/ GIMT_Encode4(189778), // Rule ID 719 //
     /*  189742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189759 */     // MIs[0] rs1
     /*  189759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189771 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ),
     /*  189776 */     GIR_RootConstrainSelectedInstOperands,
     /*  189777 */     // GIR_Coverage, 719,
     /*  189777 */     GIR_Done,
     /*  189778 */   // Label 3645: @189778
     /*  189778 */   GIM_Try, /*On fail goto*//*Label 3646*/ GIMT_Encode4(189819), // Rule ID 721 //
     /*  189783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  189796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189800 */     // MIs[0] rs1
     /*  189800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189812 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_RL),
     /*  189817 */     GIR_RootConstrainSelectedInstOperands,
     /*  189818 */     // GIR_Coverage, 721,
     /*  189818 */     GIR_Done,
     /*  189819 */   // Label 3646: @189819
     /*  189819 */   GIM_Try, /*On fail goto*//*Label 3647*/ GIMT_Encode4(189860), // Rule ID 723 //
     /*  189824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  189837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189841 */     // MIs[0] rs1
     /*  189841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189853 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  189858 */     GIR_RootConstrainSelectedInstOperands,
     /*  189859 */     // GIR_Coverage, 723,
     /*  189859 */     GIR_Done,
     /*  189860 */   // Label 3647: @189860
     /*  189860 */   GIM_Try, /*On fail goto*//*Label 3648*/ GIMT_Encode4(189901), // Rule ID 725 //
     /*  189865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  189868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  189878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189882 */     // MIs[0] rs1
     /*  189882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189894 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B_AQ_RL),
     /*  189899 */     GIR_RootConstrainSelectedInstOperands,
     /*  189900 */     // GIR_Coverage, 725,
     /*  189900 */     GIR_Done,
     /*  189901 */   // Label 3648: @189901
     /*  189901 */   GIM_Try, /*On fail goto*//*Label 3649*/ GIMT_Encode4(189942), // Rule ID 727 //
     /*  189906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  189919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189923 */     // MIs[0] rs1
     /*  189923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189935 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_monotonic>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189940 */     GIR_RootConstrainSelectedInstOperands,
     /*  189941 */     // GIR_Coverage, 727,
     /*  189941 */     GIR_Done,
     /*  189942 */   // Label 3649: @189942
     /*  189942 */   GIM_Try, /*On fail goto*//*Label 3650*/ GIMT_Encode4(189983), // Rule ID 729 //
     /*  189947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  189960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189964 */     // MIs[0] rs1
     /*  189964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  189968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  189976 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acquire>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  189976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  189981 */     GIR_RootConstrainSelectedInstOperands,
     /*  189982 */     // GIR_Coverage, 729,
     /*  189982 */     GIR_Done,
     /*  189983 */   // Label 3650: @189983
     /*  189983 */   GIM_Try, /*On fail goto*//*Label 3651*/ GIMT_Encode4(190024), // Rule ID 731 //
     /*  189988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  189991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  189998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190005 */     // MIs[0] rs1
     /*  190005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190017 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_release>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  190022 */     GIR_RootConstrainSelectedInstOperands,
     /*  190023 */     // GIR_Coverage, 731,
     /*  190023 */     GIR_Done,
     /*  190024 */   // Label 3651: @190024
     /*  190024 */   GIM_Try, /*On fail goto*//*Label 3652*/ GIMT_Encode4(190065), // Rule ID 733 //
     /*  190029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190046 */     // MIs[0] rs1
     /*  190046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190058 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_acq_rel>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  190063 */     GIR_RootConstrainSelectedInstOperands,
     /*  190064 */     // GIR_Coverage, 733,
     /*  190064 */     GIR_Done,
     /*  190065 */   // Label 3652: @190065
     /*  190065 */   GIM_Try, /*On fail goto*//*Label 3653*/ GIMT_Encode4(190106), // Rule ID 735 //
     /*  190070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190087 */     // MIs[0] rs1
     /*  190087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190099 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i8>><<P:Predicate_atomic_load_add_i8_seq_cst>>  =>  (AMOADD_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_B),
     /*  190104 */     GIR_RootConstrainSelectedInstOperands,
     /*  190105 */     // GIR_Coverage, 735,
     /*  190105 */     GIR_Done,
     /*  190106 */   // Label 3653: @190106
     /*  190106 */   GIM_Try, /*On fail goto*//*Label 3654*/ GIMT_Encode4(190147), // Rule ID 897 //
     /*  190111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190128 */     // MIs[0] rs1
     /*  190128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190140 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  190145 */     GIR_RootConstrainSelectedInstOperands,
     /*  190146 */     // GIR_Coverage, 897,
     /*  190146 */     GIR_Done,
     /*  190147 */   // Label 3654: @190147
     /*  190147 */   GIM_Try, /*On fail goto*//*Label 3655*/ GIMT_Encode4(190188), // Rule ID 899 //
     /*  190152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190169 */     // MIs[0] rs1
     /*  190169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190181 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ),
     /*  190186 */     GIR_RootConstrainSelectedInstOperands,
     /*  190187 */     // GIR_Coverage, 899,
     /*  190187 */     GIR_Done,
     /*  190188 */   // Label 3655: @190188
     /*  190188 */   GIM_Try, /*On fail goto*//*Label 3656*/ GIMT_Encode4(190229), // Rule ID 901 //
     /*  190193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190210 */     // MIs[0] rs1
     /*  190210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190222 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_RL),
     /*  190227 */     GIR_RootConstrainSelectedInstOperands,
     /*  190228 */     // GIR_Coverage, 901,
     /*  190228 */     GIR_Done,
     /*  190229 */   // Label 3656: @190229
     /*  190229 */   GIM_Try, /*On fail goto*//*Label 3657*/ GIMT_Encode4(190270), // Rule ID 903 //
     /*  190234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190251 */     // MIs[0] rs1
     /*  190251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190263 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  190268 */     GIR_RootConstrainSelectedInstOperands,
     /*  190269 */     // GIR_Coverage, 903,
     /*  190269 */     GIR_Done,
     /*  190270 */   // Label 3657: @190270
     /*  190270 */   GIM_Try, /*On fail goto*//*Label 3658*/ GIMT_Encode4(190311), // Rule ID 905 //
     /*  190275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  190278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190292 */     // MIs[0] rs1
     /*  190292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190304 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H_AQ_RL),
     /*  190309 */     GIR_RootConstrainSelectedInstOperands,
     /*  190310 */     // GIR_Coverage, 905,
     /*  190310 */     GIR_Done,
     /*  190311 */   // Label 3658: @190311
     /*  190311 */   GIM_Try, /*On fail goto*//*Label 3659*/ GIMT_Encode4(190352), // Rule ID 907 //
     /*  190316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190333 */     // MIs[0] rs1
     /*  190333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190345 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_monotonic>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  190350 */     GIR_RootConstrainSelectedInstOperands,
     /*  190351 */     // GIR_Coverage, 907,
     /*  190351 */     GIR_Done,
     /*  190352 */   // Label 3659: @190352
     /*  190352 */   GIM_Try, /*On fail goto*//*Label 3660*/ GIMT_Encode4(190393), // Rule ID 909 //
     /*  190357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190374 */     // MIs[0] rs1
     /*  190374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190386 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acquire>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  190391 */     GIR_RootConstrainSelectedInstOperands,
     /*  190392 */     // GIR_Coverage, 909,
     /*  190392 */     GIR_Done,
     /*  190393 */   // Label 3660: @190393
     /*  190393 */   GIM_Try, /*On fail goto*//*Label 3661*/ GIMT_Encode4(190434), // Rule ID 911 //
     /*  190398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190415 */     // MIs[0] rs1
     /*  190415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190427 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_release>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  190432 */     GIR_RootConstrainSelectedInstOperands,
     /*  190433 */     // GIR_Coverage, 911,
     /*  190433 */     GIR_Done,
     /*  190434 */   // Label 3661: @190434
     /*  190434 */   GIM_Try, /*On fail goto*//*Label 3662*/ GIMT_Encode4(190475), // Rule ID 913 //
     /*  190439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190456 */     // MIs[0] rs1
     /*  190456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190468 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_acq_rel>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  190473 */     GIR_RootConstrainSelectedInstOperands,
     /*  190474 */     // GIR_Coverage, 913,
     /*  190474 */     GIR_Done,
     /*  190475 */   // Label 3662: @190475
     /*  190475 */   GIM_Try, /*On fail goto*//*Label 3663*/ GIMT_Encode4(190516), // Rule ID 915 //
     /*  190480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  190483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  190490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190497 */     // MIs[0] rs1
     /*  190497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  190501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190509 */     // (atomic_load_add:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_add_i16>><<P:Predicate_atomic_load_add_i16_seq_cst>>  =>  (AMOADD_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  190509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOADD_H),
     /*  190514 */     GIR_RootConstrainSelectedInstOperands,
     /*  190515 */     // GIR_Coverage, 915,
     /*  190515 */     GIR_Done,
     /*  190516 */   // Label 3663: @190516
     /*  190516 */   GIM_Reject,
     /*  190517 */ // Label 3623: @190517
     /*  190517 */ GIM_Reject,
     /*  190518 */ // Label 3591: @190518
     /*  190518 */ GIM_Reject,
     /*  190519 */ // Label 28: @190519
     /*  190519 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3666*/ GIMT_Encode4(193428),
     /*  190530 */ /*GILLT_s32*//*Label 3664*/ GIMT_Encode4(190538),
     /*  190534 */ /*GILLT_s64*//*Label 3665*/ GIMT_Encode4(191778),
     /*  190538 */ // Label 3664: @190538
     /*  190538 */ GIM_Try, /*On fail goto*//*Label 3667*/ GIMT_Encode4(191777),
     /*  190543 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  190546 */   GIM_Try, /*On fail goto*//*Label 3668*/ GIMT_Encode4(190587), // Rule ID 390 //
     /*  190551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190554 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190561 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190568 */     // MIs[0] rs1
     /*  190568 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190572 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190580 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190580 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190585 */     GIR_RootConstrainSelectedInstOperands,
     /*  190586 */     // GIR_Coverage, 390,
     /*  190586 */     GIR_Done,
     /*  190587 */   // Label 3668: @190587
     /*  190587 */   GIM_Try, /*On fail goto*//*Label 3669*/ GIMT_Encode4(190628), // Rule ID 392 //
     /*  190592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190595 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190602 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190609 */     // MIs[0] rs1
     /*  190609 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190613 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190621 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190621 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  190626 */     GIR_RootConstrainSelectedInstOperands,
     /*  190627 */     // GIR_Coverage, 392,
     /*  190627 */     GIR_Done,
     /*  190628 */   // Label 3669: @190628
     /*  190628 */   GIM_Try, /*On fail goto*//*Label 3670*/ GIMT_Encode4(190669), // Rule ID 394 //
     /*  190633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190636 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190643 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190650 */     // MIs[0] rs1
     /*  190650 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190662 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  190667 */     GIR_RootConstrainSelectedInstOperands,
     /*  190668 */     // GIR_Coverage, 394,
     /*  190668 */     GIR_Done,
     /*  190669 */   // Label 3670: @190669
     /*  190669 */   GIM_Try, /*On fail goto*//*Label 3671*/ GIMT_Encode4(190710), // Rule ID 396 //
     /*  190674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190677 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190684 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190691 */     // MIs[0] rs1
     /*  190691 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190703 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190703 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  190708 */     GIR_RootConstrainSelectedInstOperands,
     /*  190709 */     // GIR_Coverage, 396,
     /*  190709 */     GIR_Done,
     /*  190710 */   // Label 3671: @190710
     /*  190710 */   GIM_Try, /*On fail goto*//*Label 3672*/ GIMT_Encode4(190751), // Rule ID 398 //
     /*  190715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  190718 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190725 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190732 */     // MIs[0] rs1
     /*  190732 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190744 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190744 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  190749 */     GIR_RootConstrainSelectedInstOperands,
     /*  190750 */     // GIR_Coverage, 398,
     /*  190750 */     GIR_Done,
     /*  190751 */   // Label 3672: @190751
     /*  190751 */   GIM_Try, /*On fail goto*//*Label 3673*/ GIMT_Encode4(190792), // Rule ID 400 //
     /*  190756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190759 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190766 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190773 */     // MIs[0] rs1
     /*  190773 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190785 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190785 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190790 */     GIR_RootConstrainSelectedInstOperands,
     /*  190791 */     // GIR_Coverage, 400,
     /*  190791 */     GIR_Done,
     /*  190792 */   // Label 3673: @190792
     /*  190792 */   GIM_Try, /*On fail goto*//*Label 3674*/ GIMT_Encode4(190833), // Rule ID 402 //
     /*  190797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190800 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190807 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  190810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190814 */     // MIs[0] rs1
     /*  190814 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190826 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190831 */     GIR_RootConstrainSelectedInstOperands,
     /*  190832 */     // GIR_Coverage, 402,
     /*  190832 */     GIR_Done,
     /*  190833 */   // Label 3674: @190833
     /*  190833 */   GIM_Try, /*On fail goto*//*Label 3675*/ GIMT_Encode4(190874), // Rule ID 404 //
     /*  190838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190841 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190848 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  190851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190855 */     // MIs[0] rs1
     /*  190855 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190859 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190867 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190867 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190872 */     GIR_RootConstrainSelectedInstOperands,
     /*  190873 */     // GIR_Coverage, 404,
     /*  190873 */     GIR_Done,
     /*  190874 */   // Label 3675: @190874
     /*  190874 */   GIM_Try, /*On fail goto*//*Label 3676*/ GIMT_Encode4(190915), // Rule ID 406 //
     /*  190879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190882 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190889 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  190892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190896 */     // MIs[0] rs1
     /*  190896 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190908 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190908 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190913 */     GIR_RootConstrainSelectedInstOperands,
     /*  190914 */     // GIR_Coverage, 406,
     /*  190914 */     GIR_Done,
     /*  190915 */   // Label 3676: @190915
     /*  190915 */   GIM_Try, /*On fail goto*//*Label 3677*/ GIMT_Encode4(190956), // Rule ID 408 //
     /*  190920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  190923 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  190930 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  190933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190937 */     // MIs[0] rs1
     /*  190937 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190949 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190949 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  190954 */     GIR_RootConstrainSelectedInstOperands,
     /*  190955 */     // GIR_Coverage, 408,
     /*  190955 */     GIR_Done,
     /*  190956 */   // Label 3677: @190956
     /*  190956 */   GIM_Try, /*On fail goto*//*Label 3678*/ GIMT_Encode4(190997), // Rule ID 738 //
     /*  190961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  190964 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  190971 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  190974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190978 */     // MIs[0] rs1
     /*  190978 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  190982 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  190990 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  190990 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  190995 */     GIR_RootConstrainSelectedInstOperands,
     /*  190996 */     // GIR_Coverage, 738,
     /*  190996 */     GIR_Done,
     /*  190997 */   // Label 3678: @190997
     /*  190997 */   GIM_Try, /*On fail goto*//*Label 3679*/ GIMT_Encode4(191038), // Rule ID 740 //
     /*  191002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191005 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191012 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191019 */     // MIs[0] rs1
     /*  191019 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191031 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  191036 */     GIR_RootConstrainSelectedInstOperands,
     /*  191037 */     // GIR_Coverage, 740,
     /*  191037 */     GIR_Done,
     /*  191038 */   // Label 3679: @191038
     /*  191038 */   GIM_Try, /*On fail goto*//*Label 3680*/ GIMT_Encode4(191079), // Rule ID 742 //
     /*  191043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191060 */     // MIs[0] rs1
     /*  191060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191072 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191072 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  191077 */     GIR_RootConstrainSelectedInstOperands,
     /*  191078 */     // GIR_Coverage, 742,
     /*  191078 */     GIR_Done,
     /*  191079 */   // Label 3680: @191079
     /*  191079 */   GIM_Try, /*On fail goto*//*Label 3681*/ GIMT_Encode4(191120), // Rule ID 744 //
     /*  191084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191087 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191094 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191101 */     // MIs[0] rs1
     /*  191101 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191105 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191113 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191113 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  191118 */     GIR_RootConstrainSelectedInstOperands,
     /*  191119 */     // GIR_Coverage, 744,
     /*  191119 */     GIR_Done,
     /*  191120 */   // Label 3681: @191120
     /*  191120 */   GIM_Try, /*On fail goto*//*Label 3682*/ GIMT_Encode4(191161), // Rule ID 746 //
     /*  191125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191128 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191135 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191142 */     // MIs[0] rs1
     /*  191142 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191146 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191154 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191154 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  191159 */     GIR_RootConstrainSelectedInstOperands,
     /*  191160 */     // GIR_Coverage, 746,
     /*  191160 */     GIR_Done,
     /*  191161 */   // Label 3682: @191161
     /*  191161 */   GIM_Try, /*On fail goto*//*Label 3683*/ GIMT_Encode4(191202), // Rule ID 748 //
     /*  191166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191169 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191176 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191183 */     // MIs[0] rs1
     /*  191183 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191195 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191195 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  191200 */     GIR_RootConstrainSelectedInstOperands,
     /*  191201 */     // GIR_Coverage, 748,
     /*  191201 */     GIR_Done,
     /*  191202 */   // Label 3683: @191202
     /*  191202 */   GIM_Try, /*On fail goto*//*Label 3684*/ GIMT_Encode4(191243), // Rule ID 750 //
     /*  191207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191210 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191217 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191224 */     // MIs[0] rs1
     /*  191224 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191228 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191236 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  191241 */     GIR_RootConstrainSelectedInstOperands,
     /*  191242 */     // GIR_Coverage, 750,
     /*  191242 */     GIR_Done,
     /*  191243 */   // Label 3684: @191243
     /*  191243 */   GIM_Try, /*On fail goto*//*Label 3685*/ GIMT_Encode4(191284), // Rule ID 752 //
     /*  191248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191251 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191258 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191265 */     // MIs[0] rs1
     /*  191265 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191277 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191277 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  191282 */     GIR_RootConstrainSelectedInstOperands,
     /*  191283 */     // GIR_Coverage, 752,
     /*  191283 */     GIR_Done,
     /*  191284 */   // Label 3685: @191284
     /*  191284 */   GIM_Try, /*On fail goto*//*Label 3686*/ GIMT_Encode4(191325), // Rule ID 754 //
     /*  191289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191292 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191299 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191306 */     // MIs[0] rs1
     /*  191306 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191310 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191318 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191318 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  191323 */     GIR_RootConstrainSelectedInstOperands,
     /*  191324 */     // GIR_Coverage, 754,
     /*  191324 */     GIR_Done,
     /*  191325 */   // Label 3686: @191325
     /*  191325 */   GIM_Try, /*On fail goto*//*Label 3687*/ GIMT_Encode4(191366), // Rule ID 756 //
     /*  191330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191333 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  191340 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191347 */     // MIs[0] rs1
     /*  191347 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191351 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191359 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191359 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  191364 */     GIR_RootConstrainSelectedInstOperands,
     /*  191365 */     // GIR_Coverage, 756,
     /*  191365 */     GIR_Done,
     /*  191366 */   // Label 3687: @191366
     /*  191366 */   GIM_Try, /*On fail goto*//*Label 3688*/ GIMT_Encode4(191407), // Rule ID 918 //
     /*  191371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191374 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191381 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191388 */     // MIs[0] rs1
     /*  191388 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191400 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191405 */     GIR_RootConstrainSelectedInstOperands,
     /*  191406 */     // GIR_Coverage, 918,
     /*  191406 */     GIR_Done,
     /*  191407 */   // Label 3688: @191407
     /*  191407 */   GIM_Try, /*On fail goto*//*Label 3689*/ GIMT_Encode4(191448), // Rule ID 920 //
     /*  191412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191415 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191422 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191429 */     // MIs[0] rs1
     /*  191429 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191433 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191441 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191441 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  191446 */     GIR_RootConstrainSelectedInstOperands,
     /*  191447 */     // GIR_Coverage, 920,
     /*  191447 */     GIR_Done,
     /*  191448 */   // Label 3689: @191448
     /*  191448 */   GIM_Try, /*On fail goto*//*Label 3690*/ GIMT_Encode4(191489), // Rule ID 922 //
     /*  191453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191456 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191463 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191470 */     // MIs[0] rs1
     /*  191470 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191474 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191482 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191482 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  191487 */     GIR_RootConstrainSelectedInstOperands,
     /*  191488 */     // GIR_Coverage, 922,
     /*  191488 */     GIR_Done,
     /*  191489 */   // Label 3690: @191489
     /*  191489 */   GIM_Try, /*On fail goto*//*Label 3691*/ GIMT_Encode4(191530), // Rule ID 924 //
     /*  191494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191497 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191504 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191511 */     // MIs[0] rs1
     /*  191511 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191523 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191523 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  191528 */     GIR_RootConstrainSelectedInstOperands,
     /*  191529 */     // GIR_Coverage, 924,
     /*  191529 */     GIR_Done,
     /*  191530 */   // Label 3691: @191530
     /*  191530 */   GIM_Try, /*On fail goto*//*Label 3692*/ GIMT_Encode4(191571), // Rule ID 926 //
     /*  191535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  191538 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191545 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191552 */     // MIs[0] rs1
     /*  191552 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191564 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191564 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  191569 */     GIR_RootConstrainSelectedInstOperands,
     /*  191570 */     // GIR_Coverage, 926,
     /*  191570 */     GIR_Done,
     /*  191571 */   // Label 3692: @191571
     /*  191571 */   GIM_Try, /*On fail goto*//*Label 3693*/ GIMT_Encode4(191612), // Rule ID 928 //
     /*  191576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191579 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191586 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191593 */     // MIs[0] rs1
     /*  191593 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191605 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191605 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191610 */     GIR_RootConstrainSelectedInstOperands,
     /*  191611 */     // GIR_Coverage, 928,
     /*  191611 */     GIR_Done,
     /*  191612 */   // Label 3693: @191612
     /*  191612 */   GIM_Try, /*On fail goto*//*Label 3694*/ GIMT_Encode4(191653), // Rule ID 930 //
     /*  191617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191620 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191627 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191634 */     // MIs[0] rs1
     /*  191634 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191638 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191646 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191646 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191651 */     GIR_RootConstrainSelectedInstOperands,
     /*  191652 */     // GIR_Coverage, 930,
     /*  191652 */     GIR_Done,
     /*  191653 */   // Label 3694: @191653
     /*  191653 */   GIM_Try, /*On fail goto*//*Label 3695*/ GIMT_Encode4(191694), // Rule ID 932 //
     /*  191658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191661 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191668 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191675 */     // MIs[0] rs1
     /*  191675 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191687 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191687 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191692 */     GIR_RootConstrainSelectedInstOperands,
     /*  191693 */     // GIR_Coverage, 932,
     /*  191693 */     GIR_Done,
     /*  191694 */   // Label 3695: @191694
     /*  191694 */   GIM_Try, /*On fail goto*//*Label 3696*/ GIMT_Encode4(191735), // Rule ID 934 //
     /*  191699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191702 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191709 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191716 */     // MIs[0] rs1
     /*  191716 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191720 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191728 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191728 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191733 */     GIR_RootConstrainSelectedInstOperands,
     /*  191734 */     // GIR_Coverage, 934,
     /*  191734 */     GIR_Done,
     /*  191735 */   // Label 3696: @191735
     /*  191735 */   GIM_Try, /*On fail goto*//*Label 3697*/ GIMT_Encode4(191776), // Rule ID 936 //
     /*  191740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  191743 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  191750 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191757 */     // MIs[0] rs1
     /*  191757 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  191761 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191769 */     // (atomic_load_and:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  191769 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  191774 */     GIR_RootConstrainSelectedInstOperands,
     /*  191775 */     // GIR_Coverage, 936,
     /*  191775 */     GIR_Done,
     /*  191776 */   // Label 3697: @191776
     /*  191776 */   GIM_Reject,
     /*  191777 */ // Label 3667: @191777
     /*  191777 */ GIM_Reject,
     /*  191778 */ // Label 3665: @191778
     /*  191778 */ GIM_Try, /*On fail goto*//*Label 3698*/ GIMT_Encode4(193427),
     /*  191783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  191786 */   GIM_Try, /*On fail goto*//*Label 3699*/ GIMT_Encode4(191827), // Rule ID 389 //
     /*  191791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191794 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191801 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  191804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191808 */     // MIs[0] rs1
     /*  191808 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191812 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191820 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191820 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  191825 */     GIR_RootConstrainSelectedInstOperands,
     /*  191826 */     // GIR_Coverage, 389,
     /*  191826 */     GIR_Done,
     /*  191827 */   // Label 3699: @191827
     /*  191827 */   GIM_Try, /*On fail goto*//*Label 3700*/ GIMT_Encode4(191868), // Rule ID 391 //
     /*  191832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191835 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191842 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  191845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191849 */     // MIs[0] rs1
     /*  191849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191861 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191861 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ),
     /*  191866 */     GIR_RootConstrainSelectedInstOperands,
     /*  191867 */     // GIR_Coverage, 391,
     /*  191867 */     GIR_Done,
     /*  191868 */   // Label 3700: @191868
     /*  191868 */   GIM_Try, /*On fail goto*//*Label 3701*/ GIMT_Encode4(191909), // Rule ID 393 //
     /*  191873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191876 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191883 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  191886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191890 */     // MIs[0] rs1
     /*  191890 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191902 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191902 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_RL),
     /*  191907 */     GIR_RootConstrainSelectedInstOperands,
     /*  191908 */     // GIR_Coverage, 393,
     /*  191908 */     GIR_Done,
     /*  191909 */   // Label 3701: @191909
     /*  191909 */   GIM_Try, /*On fail goto*//*Label 3702*/ GIMT_Encode4(191950), // Rule ID 395 //
     /*  191914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191917 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191924 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  191927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191931 */     // MIs[0] rs1
     /*  191931 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191935 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191943 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191943 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  191948 */     GIR_RootConstrainSelectedInstOperands,
     /*  191949 */     // GIR_Coverage, 395,
     /*  191949 */     GIR_Done,
     /*  191950 */   // Label 3702: @191950
     /*  191950 */   GIM_Try, /*On fail goto*//*Label 3703*/ GIMT_Encode4(191991), // Rule ID 397 //
     /*  191955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  191958 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  191965 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  191968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191972 */     // MIs[0] rs1
     /*  191972 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  191976 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  191984 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  191984 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W_AQ_RL),
     /*  191989 */     GIR_RootConstrainSelectedInstOperands,
     /*  191990 */     // GIR_Coverage, 397,
     /*  191990 */     GIR_Done,
     /*  191991 */   // Label 3703: @191991
     /*  191991 */   GIM_Try, /*On fail goto*//*Label 3704*/ GIMT_Encode4(192032), // Rule ID 399 //
     /*  191996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  191999 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192006 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192013 */     // MIs[0] rs1
     /*  192013 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192025 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_monotonic>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192025 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  192030 */     GIR_RootConstrainSelectedInstOperands,
     /*  192031 */     // GIR_Coverage, 399,
     /*  192031 */     GIR_Done,
     /*  192032 */   // Label 3704: @192032
     /*  192032 */   GIM_Try, /*On fail goto*//*Label 3705*/ GIMT_Encode4(192073), // Rule ID 401 //
     /*  192037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192040 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192047 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192054 */     // MIs[0] rs1
     /*  192054 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192066 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acquire>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192066 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  192071 */     GIR_RootConstrainSelectedInstOperands,
     /*  192072 */     // GIR_Coverage, 401,
     /*  192072 */     GIR_Done,
     /*  192073 */   // Label 3705: @192073
     /*  192073 */   GIM_Try, /*On fail goto*//*Label 3706*/ GIMT_Encode4(192114), // Rule ID 403 //
     /*  192078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192081 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192088 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192095 */     // MIs[0] rs1
     /*  192095 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192099 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192107 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_release>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192107 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  192112 */     GIR_RootConstrainSelectedInstOperands,
     /*  192113 */     // GIR_Coverage, 403,
     /*  192113 */     GIR_Done,
     /*  192114 */   // Label 3706: @192114
     /*  192114 */   GIM_Try, /*On fail goto*//*Label 3707*/ GIMT_Encode4(192155), // Rule ID 405 //
     /*  192119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192122 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192129 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192136 */     // MIs[0] rs1
     /*  192136 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192140 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192148 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_acq_rel>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192148 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  192153 */     GIR_RootConstrainSelectedInstOperands,
     /*  192154 */     // GIR_Coverage, 405,
     /*  192154 */     GIR_Done,
     /*  192155 */   // Label 3707: @192155
     /*  192155 */   GIM_Try, /*On fail goto*//*Label 3708*/ GIMT_Encode4(192196), // Rule ID 407 //
     /*  192160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  192163 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  192170 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192177 */     // MIs[0] rs1
     /*  192177 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192181 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192189 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i32>><<P:Predicate_atomic_load_and_i32_seq_cst>>  =>  (AMOAND_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192189 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_W),
     /*  192194 */     GIR_RootConstrainSelectedInstOperands,
     /*  192195 */     // GIR_Coverage, 407,
     /*  192195 */     GIR_Done,
     /*  192196 */   // Label 3708: @192196
     /*  192196 */   GIM_Try, /*On fail goto*//*Label 3709*/ GIMT_Encode4(192237), // Rule ID 549 //
     /*  192201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192204 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192211 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192218 */     // MIs[0] rs1
     /*  192218 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192230 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192230 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192235 */     GIR_RootConstrainSelectedInstOperands,
     /*  192236 */     // GIR_Coverage, 549,
     /*  192236 */     GIR_Done,
     /*  192237 */   // Label 3709: @192237
     /*  192237 */   GIM_Try, /*On fail goto*//*Label 3710*/ GIMT_Encode4(192278), // Rule ID 550 //
     /*  192242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192245 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192252 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192259 */     // MIs[0] rs1
     /*  192259 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192271 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192271 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ),
     /*  192276 */     GIR_RootConstrainSelectedInstOperands,
     /*  192277 */     // GIR_Coverage, 550,
     /*  192277 */     GIR_Done,
     /*  192278 */   // Label 3710: @192278
     /*  192278 */   GIM_Try, /*On fail goto*//*Label 3711*/ GIMT_Encode4(192319), // Rule ID 551 //
     /*  192283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192300 */     // MIs[0] rs1
     /*  192300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192312 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_RL),
     /*  192317 */     GIR_RootConstrainSelectedInstOperands,
     /*  192318 */     // GIR_Coverage, 551,
     /*  192318 */     GIR_Done,
     /*  192319 */   // Label 3711: @192319
     /*  192319 */   GIM_Try, /*On fail goto*//*Label 3712*/ GIMT_Encode4(192360), // Rule ID 552 //
     /*  192324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192341 */     // MIs[0] rs1
     /*  192341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192353 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  192358 */     GIR_RootConstrainSelectedInstOperands,
     /*  192359 */     // GIR_Coverage, 552,
     /*  192359 */     GIR_Done,
     /*  192360 */   // Label 3712: @192360
     /*  192360 */   GIM_Try, /*On fail goto*//*Label 3713*/ GIMT_Encode4(192401), // Rule ID 553 //
     /*  192365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  192368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192382 */     // MIs[0] rs1
     /*  192382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192394 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D_AQ_RL),
     /*  192399 */     GIR_RootConstrainSelectedInstOperands,
     /*  192400 */     // GIR_Coverage, 553,
     /*  192400 */     GIR_Done,
     /*  192401 */   // Label 3713: @192401
     /*  192401 */   GIM_Try, /*On fail goto*//*Label 3714*/ GIMT_Encode4(192442), // Rule ID 554 //
     /*  192406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192423 */     // MIs[0] rs1
     /*  192423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192435 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_monotonic>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192440 */     GIR_RootConstrainSelectedInstOperands,
     /*  192441 */     // GIR_Coverage, 554,
     /*  192441 */     GIR_Done,
     /*  192442 */   // Label 3714: @192442
     /*  192442 */   GIM_Try, /*On fail goto*//*Label 3715*/ GIMT_Encode4(192483), // Rule ID 555 //
     /*  192447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192464 */     // MIs[0] rs1
     /*  192464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192476 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acquire>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192481 */     GIR_RootConstrainSelectedInstOperands,
     /*  192482 */     // GIR_Coverage, 555,
     /*  192482 */     GIR_Done,
     /*  192483 */   // Label 3715: @192483
     /*  192483 */   GIM_Try, /*On fail goto*//*Label 3716*/ GIMT_Encode4(192524), // Rule ID 556 //
     /*  192488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192505 */     // MIs[0] rs1
     /*  192505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192517 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_release>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192522 */     GIR_RootConstrainSelectedInstOperands,
     /*  192523 */     // GIR_Coverage, 556,
     /*  192523 */     GIR_Done,
     /*  192524 */   // Label 3716: @192524
     /*  192524 */   GIM_Try, /*On fail goto*//*Label 3717*/ GIMT_Encode4(192565), // Rule ID 557 //
     /*  192529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192546 */     // MIs[0] rs1
     /*  192546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192558 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_acq_rel>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192563 */     GIR_RootConstrainSelectedInstOperands,
     /*  192564 */     // GIR_Coverage, 557,
     /*  192564 */     GIR_Done,
     /*  192565 */   // Label 3717: @192565
     /*  192565 */   GIM_Try, /*On fail goto*//*Label 3718*/ GIMT_Encode4(192606), // Rule ID 558 //
     /*  192570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  192573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  192580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192587 */     // MIs[0] rs1
     /*  192587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192599 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i64>><<P:Predicate_atomic_load_and_i64_seq_cst>>  =>  (AMOAND_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_D),
     /*  192604 */     GIR_RootConstrainSelectedInstOperands,
     /*  192605 */     // GIR_Coverage, 558,
     /*  192605 */     GIR_Done,
     /*  192606 */   // Label 3718: @192606
     /*  192606 */   GIM_Try, /*On fail goto*//*Label 3719*/ GIMT_Encode4(192647), // Rule ID 737 //
     /*  192611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192628 */     // MIs[0] rs1
     /*  192628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192640 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192645 */     GIR_RootConstrainSelectedInstOperands,
     /*  192646 */     // GIR_Coverage, 737,
     /*  192646 */     GIR_Done,
     /*  192647 */   // Label 3719: @192647
     /*  192647 */   GIM_Try, /*On fail goto*//*Label 3720*/ GIMT_Encode4(192688), // Rule ID 739 //
     /*  192652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192669 */     // MIs[0] rs1
     /*  192669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192681 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ),
     /*  192686 */     GIR_RootConstrainSelectedInstOperands,
     /*  192687 */     // GIR_Coverage, 739,
     /*  192687 */     GIR_Done,
     /*  192688 */   // Label 3720: @192688
     /*  192688 */   GIM_Try, /*On fail goto*//*Label 3721*/ GIMT_Encode4(192729), // Rule ID 741 //
     /*  192693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192710 */     // MIs[0] rs1
     /*  192710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192722 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_RL),
     /*  192727 */     GIR_RootConstrainSelectedInstOperands,
     /*  192728 */     // GIR_Coverage, 741,
     /*  192728 */     GIR_Done,
     /*  192729 */   // Label 3721: @192729
     /*  192729 */   GIM_Try, /*On fail goto*//*Label 3722*/ GIMT_Encode4(192770), // Rule ID 743 //
     /*  192734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192751 */     // MIs[0] rs1
     /*  192751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192763 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  192768 */     GIR_RootConstrainSelectedInstOperands,
     /*  192769 */     // GIR_Coverage, 743,
     /*  192769 */     GIR_Done,
     /*  192770 */   // Label 3722: @192770
     /*  192770 */   GIM_Try, /*On fail goto*//*Label 3723*/ GIMT_Encode4(192811), // Rule ID 745 //
     /*  192775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  192778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192792 */     // MIs[0] rs1
     /*  192792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192804 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B_AQ_RL),
     /*  192809 */     GIR_RootConstrainSelectedInstOperands,
     /*  192810 */     // GIR_Coverage, 745,
     /*  192810 */     GIR_Done,
     /*  192811 */   // Label 3723: @192811
     /*  192811 */   GIM_Try, /*On fail goto*//*Label 3724*/ GIMT_Encode4(192852), // Rule ID 747 //
     /*  192816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  192829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192833 */     // MIs[0] rs1
     /*  192833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192845 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_monotonic>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192850 */     GIR_RootConstrainSelectedInstOperands,
     /*  192851 */     // GIR_Coverage, 747,
     /*  192851 */     GIR_Done,
     /*  192852 */   // Label 3724: @192852
     /*  192852 */   GIM_Try, /*On fail goto*//*Label 3725*/ GIMT_Encode4(192893), // Rule ID 749 //
     /*  192857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  192870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192874 */     // MIs[0] rs1
     /*  192874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192886 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acquire>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192891 */     GIR_RootConstrainSelectedInstOperands,
     /*  192892 */     // GIR_Coverage, 749,
     /*  192892 */     GIR_Done,
     /*  192893 */   // Label 3725: @192893
     /*  192893 */   GIM_Try, /*On fail goto*//*Label 3726*/ GIMT_Encode4(192934), // Rule ID 751 //
     /*  192898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  192911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192915 */     // MIs[0] rs1
     /*  192915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192927 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_release>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192932 */     GIR_RootConstrainSelectedInstOperands,
     /*  192933 */     // GIR_Coverage, 751,
     /*  192933 */     GIR_Done,
     /*  192934 */   // Label 3726: @192934
     /*  192934 */   GIM_Try, /*On fail goto*//*Label 3727*/ GIMT_Encode4(192975), // Rule ID 753 //
     /*  192939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  192952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192956 */     // MIs[0] rs1
     /*  192956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  192960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192968 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_acq_rel>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  192968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  192973 */     GIR_RootConstrainSelectedInstOperands,
     /*  192974 */     // GIR_Coverage, 753,
     /*  192974 */     GIR_Done,
     /*  192975 */   // Label 3727: @192975
     /*  192975 */   GIM_Try, /*On fail goto*//*Label 3728*/ GIMT_Encode4(193016), // Rule ID 755 //
     /*  192980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  192983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  192990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  192993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  192997 */     // MIs[0] rs1
     /*  192997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193009 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i8>><<P:Predicate_atomic_load_and_i8_seq_cst>>  =>  (AMOAND_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_B),
     /*  193014 */     GIR_RootConstrainSelectedInstOperands,
     /*  193015 */     // GIR_Coverage, 755,
     /*  193015 */     GIR_Done,
     /*  193016 */   // Label 3728: @193016
     /*  193016 */   GIM_Try, /*On fail goto*//*Label 3729*/ GIMT_Encode4(193057), // Rule ID 917 //
     /*  193021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193038 */     // MIs[0] rs1
     /*  193038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193050 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  193055 */     GIR_RootConstrainSelectedInstOperands,
     /*  193056 */     // GIR_Coverage, 917,
     /*  193056 */     GIR_Done,
     /*  193057 */   // Label 3729: @193057
     /*  193057 */   GIM_Try, /*On fail goto*//*Label 3730*/ GIMT_Encode4(193098), // Rule ID 919 //
     /*  193062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193079 */     // MIs[0] rs1
     /*  193079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193091 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ),
     /*  193096 */     GIR_RootConstrainSelectedInstOperands,
     /*  193097 */     // GIR_Coverage, 919,
     /*  193097 */     GIR_Done,
     /*  193098 */   // Label 3730: @193098
     /*  193098 */   GIM_Try, /*On fail goto*//*Label 3731*/ GIMT_Encode4(193139), // Rule ID 921 //
     /*  193103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193120 */     // MIs[0] rs1
     /*  193120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193132 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_RL),
     /*  193137 */     GIR_RootConstrainSelectedInstOperands,
     /*  193138 */     // GIR_Coverage, 921,
     /*  193138 */     GIR_Done,
     /*  193139 */   // Label 3731: @193139
     /*  193139 */   GIM_Try, /*On fail goto*//*Label 3732*/ GIMT_Encode4(193180), // Rule ID 923 //
     /*  193144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193161 */     // MIs[0] rs1
     /*  193161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193173 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  193178 */     GIR_RootConstrainSelectedInstOperands,
     /*  193179 */     // GIR_Coverage, 923,
     /*  193179 */     GIR_Done,
     /*  193180 */   // Label 3732: @193180
     /*  193180 */   GIM_Try, /*On fail goto*//*Label 3733*/ GIMT_Encode4(193221), // Rule ID 925 //
     /*  193185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  193188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193202 */     // MIs[0] rs1
     /*  193202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193214 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H_AQ_RL),
     /*  193219 */     GIR_RootConstrainSelectedInstOperands,
     /*  193220 */     // GIR_Coverage, 925,
     /*  193220 */     GIR_Done,
     /*  193221 */   // Label 3733: @193221
     /*  193221 */   GIM_Try, /*On fail goto*//*Label 3734*/ GIMT_Encode4(193262), // Rule ID 927 //
     /*  193226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193243 */     // MIs[0] rs1
     /*  193243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193255 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_monotonic>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  193260 */     GIR_RootConstrainSelectedInstOperands,
     /*  193261 */     // GIR_Coverage, 927,
     /*  193261 */     GIR_Done,
     /*  193262 */   // Label 3734: @193262
     /*  193262 */   GIM_Try, /*On fail goto*//*Label 3735*/ GIMT_Encode4(193303), // Rule ID 929 //
     /*  193267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193284 */     // MIs[0] rs1
     /*  193284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193296 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acquire>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  193301 */     GIR_RootConstrainSelectedInstOperands,
     /*  193302 */     // GIR_Coverage, 929,
     /*  193302 */     GIR_Done,
     /*  193303 */   // Label 3735: @193303
     /*  193303 */   GIM_Try, /*On fail goto*//*Label 3736*/ GIMT_Encode4(193344), // Rule ID 931 //
     /*  193308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193325 */     // MIs[0] rs1
     /*  193325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193337 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_release>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  193342 */     GIR_RootConstrainSelectedInstOperands,
     /*  193343 */     // GIR_Coverage, 931,
     /*  193343 */     GIR_Done,
     /*  193344 */   // Label 3736: @193344
     /*  193344 */   GIM_Try, /*On fail goto*//*Label 3737*/ GIMT_Encode4(193385), // Rule ID 933 //
     /*  193349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193366 */     // MIs[0] rs1
     /*  193366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193378 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_acq_rel>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  193383 */     GIR_RootConstrainSelectedInstOperands,
     /*  193384 */     // GIR_Coverage, 933,
     /*  193384 */     GIR_Done,
     /*  193385 */   // Label 3737: @193385
     /*  193385 */   GIM_Try, /*On fail goto*//*Label 3738*/ GIMT_Encode4(193426), // Rule ID 935 //
     /*  193390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  193393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  193400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193407 */     // MIs[0] rs1
     /*  193407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  193411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193419 */     // (atomic_load_and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_and_i16>><<P:Predicate_atomic_load_and_i16_seq_cst>>  =>  (AMOAND_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  193419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOAND_H),
     /*  193424 */     GIR_RootConstrainSelectedInstOperands,
     /*  193425 */     // GIR_Coverage, 935,
     /*  193425 */     GIR_Done,
     /*  193426 */   // Label 3738: @193426
     /*  193426 */   GIM_Reject,
     /*  193427 */ // Label 3698: @193427
     /*  193427 */ GIM_Reject,
     /*  193428 */ // Label 3666: @193428
     /*  193428 */ GIM_Reject,
     /*  193429 */ // Label 29: @193429
     /*  193429 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3741*/ GIMT_Encode4(194340),
     /*  193440 */ /*GILLT_s32*//*Label 3739*/ GIMT_Encode4(193448),
     /*  193444 */ /*GILLT_s64*//*Label 3740*/ GIMT_Encode4(193730),
     /*  193448 */ // Label 3739: @193448
     /*  193448 */ GIM_Try, /*On fail goto*//*Label 3742*/ GIMT_Encode4(193729),
     /*  193453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  193456 */   GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193463 */   GIM_Try, /*On fail goto*//*Label 3743*/ GIMT_Encode4(193516), // Rule ID 620 //
     /*  193468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193471 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193478 */     // MIs[0] addr
     /*  193478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193482 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193490 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 2:{ *:[i32] })
     /*  193490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193498 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193503 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193505 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  193510 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193514 */     GIR_RootConstrainSelectedInstOperands,
     /*  193515 */     // GIR_Coverage, 620,
     /*  193515 */     GIR_EraseRootFromParent_Done,
     /*  193516 */   // Label 3743: @193516
     /*  193516 */   GIM_Try, /*On fail goto*//*Label 3744*/ GIMT_Encode4(193569), // Rule ID 622 //
     /*  193521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193524 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193531 */     // MIs[0] addr
     /*  193531 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193543 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 4:{ *:[i32] })
     /*  193543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193551 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193556 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193558 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193563 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193567 */     GIR_RootConstrainSelectedInstOperands,
     /*  193568 */     // GIR_Coverage, 622,
     /*  193568 */     GIR_EraseRootFromParent_Done,
     /*  193569 */   // Label 3744: @193569
     /*  193569 */   GIM_Try, /*On fail goto*//*Label 3745*/ GIMT_Encode4(193622), // Rule ID 624 //
     /*  193574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193577 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193584 */     // MIs[0] addr
     /*  193584 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193588 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193596 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 5:{ *:[i32] })
     /*  193596 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193604 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193609 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193611 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193616 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193620 */     GIR_RootConstrainSelectedInstOperands,
     /*  193621 */     // GIR_Coverage, 624,
     /*  193621 */     GIR_EraseRootFromParent_Done,
     /*  193622 */   // Label 3745: @193622
     /*  193622 */   GIM_Try, /*On fail goto*//*Label 3746*/ GIMT_Encode4(193675), // Rule ID 626 //
     /*  193627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193637 */     // MIs[0] addr
     /*  193637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193649 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 6:{ *:[i32] })
     /*  193649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193657 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193662 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193664 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193669 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193673 */     GIR_RootConstrainSelectedInstOperands,
     /*  193674 */     // GIR_Coverage, 626,
     /*  193674 */     GIR_EraseRootFromParent_Done,
     /*  193675 */   // Label 3746: @193675
     /*  193675 */   GIM_Try, /*On fail goto*//*Label 3747*/ GIMT_Encode4(193728), // Rule ID 628 //
     /*  193680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /*  193683 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193690 */     // MIs[0] addr
     /*  193690 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193694 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193702 */     // (atomic_load_nand:{ *:[i32] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, 7:{ *:[i32] })
     /*  193702 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193710 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193715 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193717 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  193722 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193726 */     GIR_RootConstrainSelectedInstOperands,
     /*  193727 */     // GIR_Coverage, 628,
     /*  193727 */     GIR_EraseRootFromParent_Done,
     /*  193728 */   // Label 3747: @193728
     /*  193728 */   GIM_Reject,
     /*  193729 */ // Label 3742: @193729
     /*  193729 */ GIM_Reject,
     /*  193730 */ // Label 3740: @193730
     /*  193730 */ GIM_Try, /*On fail goto*//*Label 3748*/ GIMT_Encode4(194339),
     /*  193735 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  193738 */   GIM_Try, /*On fail goto*//*Label 3749*/ GIMT_Encode4(193798), // Rule ID 619 //
     /*  193743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  193756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193760 */     // MIs[0] addr
     /*  193760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193772 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_monotonic>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  193772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193780 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193785 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193787 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  193792 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193796 */     GIR_RootConstrainSelectedInstOperands,
     /*  193797 */     // GIR_Coverage, 619,
     /*  193797 */     GIR_EraseRootFromParent_Done,
     /*  193798 */   // Label 3749: @193798
     /*  193798 */   GIM_Try, /*On fail goto*//*Label 3750*/ GIMT_Encode4(193858), // Rule ID 621 //
     /*  193803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193806 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193813 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  193816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193820 */     // MIs[0] addr
     /*  193820 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193824 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193832 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acquire>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  193832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193840 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193845 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193847 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  193852 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193856 */     GIR_RootConstrainSelectedInstOperands,
     /*  193857 */     // GIR_Coverage, 621,
     /*  193857 */     GIR_EraseRootFromParent_Done,
     /*  193858 */   // Label 3750: @193858
     /*  193858 */   GIM_Try, /*On fail goto*//*Label 3751*/ GIMT_Encode4(193918), // Rule ID 623 //
     /*  193863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193866 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193873 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  193876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193880 */     // MIs[0] addr
     /*  193880 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193892 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_release>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  193892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193900 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193905 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193907 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  193912 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193916 */     GIR_RootConstrainSelectedInstOperands,
     /*  193917 */     // GIR_Coverage, 623,
     /*  193917 */     GIR_EraseRootFromParent_Done,
     /*  193918 */   // Label 3751: @193918
     /*  193918 */   GIM_Try, /*On fail goto*//*Label 3752*/ GIMT_Encode4(193978), // Rule ID 625 //
     /*  193923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  193936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193940 */     // MIs[0] addr
     /*  193940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  193944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  193952 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_acq_rel>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  193952 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  193955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  193958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  193960 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  193965 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  193967 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  193969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  193972 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  193976 */     GIR_RootConstrainSelectedInstOperands,
     /*  193977 */     // GIR_Coverage, 625,
     /*  193977 */     GIR_EraseRootFromParent_Done,
     /*  193978 */   // Label 3752: @193978
     /*  193978 */   GIM_Try, /*On fail goto*//*Label 3753*/ GIMT_Encode4(194038), // Rule ID 627 //
     /*  193983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode0),
     /*  193986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  193993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  193996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194000 */     // MIs[0] addr
     /*  194000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  194004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194012 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i32>><<P:Predicate_atomic_load_nand_i32_seq_cst>>  =>  (PseudoAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  194012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  194015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand32),
     /*  194018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  194020 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  194025 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  194027 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  194029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  194032 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  194036 */     GIR_RootConstrainSelectedInstOperands,
     /*  194037 */     // GIR_Coverage, 627,
     /*  194037 */     GIR_EraseRootFromParent_Done,
     /*  194038 */   // Label 3753: @194038
     /*  194038 */   GIM_Try, /*On fail goto*//*Label 3754*/ GIMT_Encode4(194098), // Rule ID 637 //
     /*  194043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  194046 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194053 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194060 */     // MIs[0] addr
     /*  194060 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  194064 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194072 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_monotonic>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 2:{ *:[i64] })
     /*  194072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  194075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  194078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  194080 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  194085 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  194087 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  194089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  194092 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  194096 */     GIR_RootConstrainSelectedInstOperands,
     /*  194097 */     // GIR_Coverage, 637,
     /*  194097 */     GIR_EraseRootFromParent_Done,
     /*  194098 */   // Label 3754: @194098
     /*  194098 */   GIM_Try, /*On fail goto*//*Label 3755*/ GIMT_Encode4(194158), // Rule ID 638 //
     /*  194103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  194106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194120 */     // MIs[0] addr
     /*  194120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  194124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194132 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acquire>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 4:{ *:[i64] })
     /*  194132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  194135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  194138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  194140 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  194145 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  194147 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  194149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  194152 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  194156 */     GIR_RootConstrainSelectedInstOperands,
     /*  194157 */     // GIR_Coverage, 638,
     /*  194157 */     GIR_EraseRootFromParent_Done,
     /*  194158 */   // Label 3755: @194158
     /*  194158 */   GIM_Try, /*On fail goto*//*Label 3756*/ GIMT_Encode4(194218), // Rule ID 639 //
     /*  194163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  194166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194180 */     // MIs[0] addr
     /*  194180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  194184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194192 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_release>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 5:{ *:[i64] })
     /*  194192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  194195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  194198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  194200 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  194205 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  194207 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  194209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  194212 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  194216 */     GIR_RootConstrainSelectedInstOperands,
     /*  194217 */     // GIR_Coverage, 639,
     /*  194217 */     GIR_EraseRootFromParent_Done,
     /*  194218 */   // Label 3756: @194218
     /*  194218 */   GIM_Try, /*On fail goto*//*Label 3757*/ GIMT_Encode4(194278), // Rule ID 640 //
     /*  194223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  194226 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194233 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194240 */     // MIs[0] addr
     /*  194240 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  194244 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194252 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_acq_rel>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 6:{ *:[i64] })
     /*  194252 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  194255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  194258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  194260 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  194265 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  194267 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  194269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  194272 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  194276 */     GIR_RootConstrainSelectedInstOperands,
     /*  194277 */     // GIR_Coverage, 640,
     /*  194277 */     GIR_EraseRootFromParent_Done,
     /*  194278 */   // Label 3757: @194278
     /*  194278 */   GIM_Try, /*On fail goto*//*Label 3758*/ GIMT_Encode4(194338), // Rule ID 641 //
     /*  194283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /*  194286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  194293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194300 */     // MIs[0] addr
     /*  194300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/0,
     /*  194304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194312 */     // (atomic_load_nand:{ *:[i64] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr)<<P:Predicate_atomic_load_nand_i64>><<P:Predicate_atomic_load_nand_i64_seq_cst>>  =>  (PseudoAtomicLoadNand64:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, 7:{ *:[i64] })
     /*  194312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /*  194315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoAtomicLoadNand64),
     /*  194318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /*  194320 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /*  194325 */     GIR_RootToRootCopy, /*OpIdx*/1, // addr
     /*  194327 */     GIR_RootToRootCopy, /*OpIdx*/2, // incr
     /*  194329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /*  194332 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /*  194336 */     GIR_RootConstrainSelectedInstOperands,
     /*  194337 */     // GIR_Coverage, 641,
     /*  194337 */     GIR_EraseRootFromParent_Done,
     /*  194338 */   // Label 3758: @194338
     /*  194338 */   GIM_Reject,
     /*  194339 */ // Label 3748: @194339
     /*  194339 */ GIM_Reject,
     /*  194340 */ // Label 3741: @194340
     /*  194340 */ GIM_Reject,
     /*  194341 */ // Label 30: @194341
     /*  194341 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3761*/ GIMT_Encode4(197250),
     /*  194352 */ /*GILLT_s32*//*Label 3759*/ GIMT_Encode4(194360),
     /*  194356 */ /*GILLT_s64*//*Label 3760*/ GIMT_Encode4(195600),
     /*  194360 */ // Label 3759: @194360
     /*  194360 */ GIM_Try, /*On fail goto*//*Label 3762*/ GIMT_Encode4(195599),
     /*  194365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  194368 */   GIM_Try, /*On fail goto*//*Label 3763*/ GIMT_Encode4(194409), // Rule ID 410 //
     /*  194373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194376 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194383 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194390 */     // MIs[0] rs1
     /*  194390 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194394 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194402 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194402 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194407 */     GIR_RootConstrainSelectedInstOperands,
     /*  194408 */     // GIR_Coverage, 410,
     /*  194408 */     GIR_Done,
     /*  194409 */   // Label 3763: @194409
     /*  194409 */   GIM_Try, /*On fail goto*//*Label 3764*/ GIMT_Encode4(194450), // Rule ID 412 //
     /*  194414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194417 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194424 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194431 */     // MIs[0] rs1
     /*  194431 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194443 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194443 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  194448 */     GIR_RootConstrainSelectedInstOperands,
     /*  194449 */     // GIR_Coverage, 412,
     /*  194449 */     GIR_Done,
     /*  194450 */   // Label 3764: @194450
     /*  194450 */   GIM_Try, /*On fail goto*//*Label 3765*/ GIMT_Encode4(194491), // Rule ID 414 //
     /*  194455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194458 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194465 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194472 */     // MIs[0] rs1
     /*  194472 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194484 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194484 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  194489 */     GIR_RootConstrainSelectedInstOperands,
     /*  194490 */     // GIR_Coverage, 414,
     /*  194490 */     GIR_Done,
     /*  194491 */   // Label 3765: @194491
     /*  194491 */   GIM_Try, /*On fail goto*//*Label 3766*/ GIMT_Encode4(194532), // Rule ID 416 //
     /*  194496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194499 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194506 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194513 */     // MIs[0] rs1
     /*  194513 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194525 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194525 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  194530 */     GIR_RootConstrainSelectedInstOperands,
     /*  194531 */     // GIR_Coverage, 416,
     /*  194531 */     GIR_Done,
     /*  194532 */   // Label 3766: @194532
     /*  194532 */   GIM_Try, /*On fail goto*//*Label 3767*/ GIMT_Encode4(194573), // Rule ID 418 //
     /*  194537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  194540 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194547 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194554 */     // MIs[0] rs1
     /*  194554 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194566 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194566 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  194571 */     GIR_RootConstrainSelectedInstOperands,
     /*  194572 */     // GIR_Coverage, 418,
     /*  194572 */     GIR_Done,
     /*  194573 */   // Label 3767: @194573
     /*  194573 */   GIM_Try, /*On fail goto*//*Label 3768*/ GIMT_Encode4(194614), // Rule ID 420 //
     /*  194578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194581 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194588 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194595 */     // MIs[0] rs1
     /*  194595 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194599 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194607 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194607 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194612 */     GIR_RootConstrainSelectedInstOperands,
     /*  194613 */     // GIR_Coverage, 420,
     /*  194613 */     GIR_Done,
     /*  194614 */   // Label 3768: @194614
     /*  194614 */   GIM_Try, /*On fail goto*//*Label 3769*/ GIMT_Encode4(194655), // Rule ID 422 //
     /*  194619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194622 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194629 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194636 */     // MIs[0] rs1
     /*  194636 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194640 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194648 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194648 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194653 */     GIR_RootConstrainSelectedInstOperands,
     /*  194654 */     // GIR_Coverage, 422,
     /*  194654 */     GIR_Done,
     /*  194655 */   // Label 3769: @194655
     /*  194655 */   GIM_Try, /*On fail goto*//*Label 3770*/ GIMT_Encode4(194696), // Rule ID 424 //
     /*  194660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194663 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194670 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194677 */     // MIs[0] rs1
     /*  194677 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194689 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194689 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194694 */     GIR_RootConstrainSelectedInstOperands,
     /*  194695 */     // GIR_Coverage, 424,
     /*  194695 */     GIR_Done,
     /*  194696 */   // Label 3770: @194696
     /*  194696 */   GIM_Try, /*On fail goto*//*Label 3771*/ GIMT_Encode4(194737), // Rule ID 426 //
     /*  194701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194704 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194711 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194718 */     // MIs[0] rs1
     /*  194718 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194730 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194730 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194735 */     GIR_RootConstrainSelectedInstOperands,
     /*  194736 */     // GIR_Coverage, 426,
     /*  194736 */     GIR_Done,
     /*  194737 */   // Label 3771: @194737
     /*  194737 */   GIM_Try, /*On fail goto*//*Label 3772*/ GIMT_Encode4(194778), // Rule ID 428 //
     /*  194742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  194745 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  194752 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194759 */     // MIs[0] rs1
     /*  194759 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194771 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194771 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  194776 */     GIR_RootConstrainSelectedInstOperands,
     /*  194777 */     // GIR_Coverage, 428,
     /*  194777 */     GIR_Done,
     /*  194778 */   // Label 3772: @194778
     /*  194778 */   GIM_Try, /*On fail goto*//*Label 3773*/ GIMT_Encode4(194819), // Rule ID 758 //
     /*  194783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194786 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194793 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  194796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194800 */     // MIs[0] rs1
     /*  194800 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194804 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194812 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194812 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  194817 */     GIR_RootConstrainSelectedInstOperands,
     /*  194818 */     // GIR_Coverage, 758,
     /*  194818 */     GIR_Done,
     /*  194819 */   // Label 3773: @194819
     /*  194819 */   GIM_Try, /*On fail goto*//*Label 3774*/ GIMT_Encode4(194860), // Rule ID 760 //
     /*  194824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194827 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194834 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  194837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194841 */     // MIs[0] rs1
     /*  194841 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194845 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194853 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194853 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  194858 */     GIR_RootConstrainSelectedInstOperands,
     /*  194859 */     // GIR_Coverage, 760,
     /*  194859 */     GIR_Done,
     /*  194860 */   // Label 3774: @194860
     /*  194860 */   GIM_Try, /*On fail goto*//*Label 3775*/ GIMT_Encode4(194901), // Rule ID 762 //
     /*  194865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194868 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194875 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  194878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194882 */     // MIs[0] rs1
     /*  194882 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194894 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194894 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  194899 */     GIR_RootConstrainSelectedInstOperands,
     /*  194900 */     // GIR_Coverage, 762,
     /*  194900 */     GIR_Done,
     /*  194901 */   // Label 3775: @194901
     /*  194901 */   GIM_Try, /*On fail goto*//*Label 3776*/ GIMT_Encode4(194942), // Rule ID 764 //
     /*  194906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194909 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194916 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  194919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194923 */     // MIs[0] rs1
     /*  194923 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194935 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194935 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  194940 */     GIR_RootConstrainSelectedInstOperands,
     /*  194941 */     // GIR_Coverage, 764,
     /*  194941 */     GIR_Done,
     /*  194942 */   // Label 3776: @194942
     /*  194942 */   GIM_Try, /*On fail goto*//*Label 3777*/ GIMT_Encode4(194983), // Rule ID 766 //
     /*  194947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  194950 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194957 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  194960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194964 */     // MIs[0] rs1
     /*  194964 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  194968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  194976 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  194976 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  194981 */     GIR_RootConstrainSelectedInstOperands,
     /*  194982 */     // GIR_Coverage, 766,
     /*  194982 */     GIR_Done,
     /*  194983 */   // Label 3777: @194983
     /*  194983 */   GIM_Try, /*On fail goto*//*Label 3778*/ GIMT_Encode4(195024), // Rule ID 768 //
     /*  194988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  194991 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  194998 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195005 */     // MIs[0] rs1
     /*  195005 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195009 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195017 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195017 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  195022 */     GIR_RootConstrainSelectedInstOperands,
     /*  195023 */     // GIR_Coverage, 768,
     /*  195023 */     GIR_Done,
     /*  195024 */   // Label 3778: @195024
     /*  195024 */   GIM_Try, /*On fail goto*//*Label 3779*/ GIMT_Encode4(195065), // Rule ID 770 //
     /*  195029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195032 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195039 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195046 */     // MIs[0] rs1
     /*  195046 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195058 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195058 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  195063 */     GIR_RootConstrainSelectedInstOperands,
     /*  195064 */     // GIR_Coverage, 770,
     /*  195064 */     GIR_Done,
     /*  195065 */   // Label 3779: @195065
     /*  195065 */   GIM_Try, /*On fail goto*//*Label 3780*/ GIMT_Encode4(195106), // Rule ID 772 //
     /*  195070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195073 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195080 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195087 */     // MIs[0] rs1
     /*  195087 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195099 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195099 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  195104 */     GIR_RootConstrainSelectedInstOperands,
     /*  195105 */     // GIR_Coverage, 772,
     /*  195105 */     GIR_Done,
     /*  195106 */   // Label 3780: @195106
     /*  195106 */   GIM_Try, /*On fail goto*//*Label 3781*/ GIMT_Encode4(195147), // Rule ID 774 //
     /*  195111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195114 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195121 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195128 */     // MIs[0] rs1
     /*  195128 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195132 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195140 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195140 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  195145 */     GIR_RootConstrainSelectedInstOperands,
     /*  195146 */     // GIR_Coverage, 774,
     /*  195146 */     GIR_Done,
     /*  195147 */   // Label 3781: @195147
     /*  195147 */   GIM_Try, /*On fail goto*//*Label 3782*/ GIMT_Encode4(195188), // Rule ID 776 //
     /*  195152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195155 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  195162 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195169 */     // MIs[0] rs1
     /*  195169 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195181 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  195186 */     GIR_RootConstrainSelectedInstOperands,
     /*  195187 */     // GIR_Coverage, 776,
     /*  195187 */     GIR_Done,
     /*  195188 */   // Label 3782: @195188
     /*  195188 */   GIM_Try, /*On fail goto*//*Label 3783*/ GIMT_Encode4(195229), // Rule ID 938 //
     /*  195193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195210 */     // MIs[0] rs1
     /*  195210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195222 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195227 */     GIR_RootConstrainSelectedInstOperands,
     /*  195228 */     // GIR_Coverage, 938,
     /*  195228 */     GIR_Done,
     /*  195229 */   // Label 3783: @195229
     /*  195229 */   GIM_Try, /*On fail goto*//*Label 3784*/ GIMT_Encode4(195270), // Rule ID 940 //
     /*  195234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195251 */     // MIs[0] rs1
     /*  195251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195263 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  195268 */     GIR_RootConstrainSelectedInstOperands,
     /*  195269 */     // GIR_Coverage, 940,
     /*  195269 */     GIR_Done,
     /*  195270 */   // Label 3784: @195270
     /*  195270 */   GIM_Try, /*On fail goto*//*Label 3785*/ GIMT_Encode4(195311), // Rule ID 942 //
     /*  195275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195292 */     // MIs[0] rs1
     /*  195292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195304 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  195309 */     GIR_RootConstrainSelectedInstOperands,
     /*  195310 */     // GIR_Coverage, 942,
     /*  195310 */     GIR_Done,
     /*  195311 */   // Label 3785: @195311
     /*  195311 */   GIM_Try, /*On fail goto*//*Label 3786*/ GIMT_Encode4(195352), // Rule ID 944 //
     /*  195316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195333 */     // MIs[0] rs1
     /*  195333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195345 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  195350 */     GIR_RootConstrainSelectedInstOperands,
     /*  195351 */     // GIR_Coverage, 944,
     /*  195351 */     GIR_Done,
     /*  195352 */   // Label 3786: @195352
     /*  195352 */   GIM_Try, /*On fail goto*//*Label 3787*/ GIMT_Encode4(195393), // Rule ID 946 //
     /*  195357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  195360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195374 */     // MIs[0] rs1
     /*  195374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195386 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  195391 */     GIR_RootConstrainSelectedInstOperands,
     /*  195392 */     // GIR_Coverage, 946,
     /*  195392 */     GIR_Done,
     /*  195393 */   // Label 3787: @195393
     /*  195393 */   GIM_Try, /*On fail goto*//*Label 3788*/ GIMT_Encode4(195434), // Rule ID 948 //
     /*  195398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195415 */     // MIs[0] rs1
     /*  195415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195427 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195432 */     GIR_RootConstrainSelectedInstOperands,
     /*  195433 */     // GIR_Coverage, 948,
     /*  195433 */     GIR_Done,
     /*  195434 */   // Label 3788: @195434
     /*  195434 */   GIM_Try, /*On fail goto*//*Label 3789*/ GIMT_Encode4(195475), // Rule ID 950 //
     /*  195439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195456 */     // MIs[0] rs1
     /*  195456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195468 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195473 */     GIR_RootConstrainSelectedInstOperands,
     /*  195474 */     // GIR_Coverage, 950,
     /*  195474 */     GIR_Done,
     /*  195475 */   // Label 3789: @195475
     /*  195475 */   GIM_Try, /*On fail goto*//*Label 3790*/ GIMT_Encode4(195516), // Rule ID 952 //
     /*  195480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195497 */     // MIs[0] rs1
     /*  195497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195509 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195514 */     GIR_RootConstrainSelectedInstOperands,
     /*  195515 */     // GIR_Coverage, 952,
     /*  195515 */     GIR_Done,
     /*  195516 */   // Label 3790: @195516
     /*  195516 */   GIM_Try, /*On fail goto*//*Label 3791*/ GIMT_Encode4(195557), // Rule ID 954 //
     /*  195521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195538 */     // MIs[0] rs1
     /*  195538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195550 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195555 */     GIR_RootConstrainSelectedInstOperands,
     /*  195556 */     // GIR_Coverage, 954,
     /*  195556 */     GIR_Done,
     /*  195557 */   // Label 3791: @195557
     /*  195557 */   GIM_Try, /*On fail goto*//*Label 3792*/ GIMT_Encode4(195598), // Rule ID 956 //
     /*  195562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  195565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  195572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195579 */     // MIs[0] rs1
     /*  195579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  195583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195591 */     // (atomic_load_or:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  195591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  195596 */     GIR_RootConstrainSelectedInstOperands,
     /*  195597 */     // GIR_Coverage, 956,
     /*  195597 */     GIR_Done,
     /*  195598 */   // Label 3792: @195598
     /*  195598 */   GIM_Reject,
     /*  195599 */ // Label 3762: @195599
     /*  195599 */ GIM_Reject,
     /*  195600 */ // Label 3760: @195600
     /*  195600 */ GIM_Try, /*On fail goto*//*Label 3793*/ GIMT_Encode4(197249),
     /*  195605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  195608 */   GIM_Try, /*On fail goto*//*Label 3794*/ GIMT_Encode4(195649), // Rule ID 409 //
     /*  195613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195616 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195623 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195630 */     // MIs[0] rs1
     /*  195630 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195642 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195642 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195647 */     GIR_RootConstrainSelectedInstOperands,
     /*  195648 */     // GIR_Coverage, 409,
     /*  195648 */     GIR_Done,
     /*  195649 */   // Label 3794: @195649
     /*  195649 */   GIM_Try, /*On fail goto*//*Label 3795*/ GIMT_Encode4(195690), // Rule ID 411 //
     /*  195654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195657 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195664 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195671 */     // MIs[0] rs1
     /*  195671 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195675 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195683 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195683 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ),
     /*  195688 */     GIR_RootConstrainSelectedInstOperands,
     /*  195689 */     // GIR_Coverage, 411,
     /*  195689 */     GIR_Done,
     /*  195690 */   // Label 3795: @195690
     /*  195690 */   GIM_Try, /*On fail goto*//*Label 3796*/ GIMT_Encode4(195731), // Rule ID 413 //
     /*  195695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195698 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195705 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195712 */     // MIs[0] rs1
     /*  195712 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195716 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195724 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195724 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_RL),
     /*  195729 */     GIR_RootConstrainSelectedInstOperands,
     /*  195730 */     // GIR_Coverage, 413,
     /*  195730 */     GIR_Done,
     /*  195731 */   // Label 3796: @195731
     /*  195731 */   GIM_Try, /*On fail goto*//*Label 3797*/ GIMT_Encode4(195772), // Rule ID 415 //
     /*  195736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195739 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195746 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195753 */     // MIs[0] rs1
     /*  195753 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195765 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195765 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  195770 */     GIR_RootConstrainSelectedInstOperands,
     /*  195771 */     // GIR_Coverage, 415,
     /*  195771 */     GIR_Done,
     /*  195772 */   // Label 3797: @195772
     /*  195772 */   GIM_Try, /*On fail goto*//*Label 3798*/ GIMT_Encode4(195813), // Rule ID 417 //
     /*  195777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  195780 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195787 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195794 */     // MIs[0] rs1
     /*  195794 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195806 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195806 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W_AQ_RL),
     /*  195811 */     GIR_RootConstrainSelectedInstOperands,
     /*  195812 */     // GIR_Coverage, 417,
     /*  195812 */     GIR_Done,
     /*  195813 */   // Label 3798: @195813
     /*  195813 */   GIM_Try, /*On fail goto*//*Label 3799*/ GIMT_Encode4(195854), // Rule ID 419 //
     /*  195818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195821 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195828 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  195831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195835 */     // MIs[0] rs1
     /*  195835 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195847 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_monotonic>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195852 */     GIR_RootConstrainSelectedInstOperands,
     /*  195853 */     // GIR_Coverage, 419,
     /*  195853 */     GIR_Done,
     /*  195854 */   // Label 3799: @195854
     /*  195854 */   GIM_Try, /*On fail goto*//*Label 3800*/ GIMT_Encode4(195895), // Rule ID 421 //
     /*  195859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195862 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195869 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  195872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195876 */     // MIs[0] rs1
     /*  195876 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195888 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acquire>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195888 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195893 */     GIR_RootConstrainSelectedInstOperands,
     /*  195894 */     // GIR_Coverage, 421,
     /*  195894 */     GIR_Done,
     /*  195895 */   // Label 3800: @195895
     /*  195895 */   GIM_Try, /*On fail goto*//*Label 3801*/ GIMT_Encode4(195936), // Rule ID 423 //
     /*  195900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195903 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195910 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  195913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195917 */     // MIs[0] rs1
     /*  195917 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195929 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_release>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195929 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195934 */     GIR_RootConstrainSelectedInstOperands,
     /*  195935 */     // GIR_Coverage, 423,
     /*  195935 */     GIR_Done,
     /*  195936 */   // Label 3801: @195936
     /*  195936 */   GIM_Try, /*On fail goto*//*Label 3802*/ GIMT_Encode4(195977), // Rule ID 425 //
     /*  195941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195944 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195951 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  195954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195958 */     // MIs[0] rs1
     /*  195958 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  195962 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195970 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_acq_rel>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  195970 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  195975 */     GIR_RootConstrainSelectedInstOperands,
     /*  195976 */     // GIR_Coverage, 425,
     /*  195976 */     GIR_Done,
     /*  195977 */   // Label 3802: @195977
     /*  195977 */   GIM_Try, /*On fail goto*//*Label 3803*/ GIMT_Encode4(196018), // Rule ID 427 //
     /*  195982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  195985 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  195992 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  195995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  195999 */     // MIs[0] rs1
     /*  195999 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196011 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i32>><<P:Predicate_atomic_load_or_i32_seq_cst>>  =>  (AMOOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196011 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_W),
     /*  196016 */     GIR_RootConstrainSelectedInstOperands,
     /*  196017 */     // GIR_Coverage, 427,
     /*  196017 */     GIR_Done,
     /*  196018 */   // Label 3803: @196018
     /*  196018 */   GIM_Try, /*On fail goto*//*Label 3804*/ GIMT_Encode4(196059), // Rule ID 559 //
     /*  196023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196026 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196033 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196040 */     // MIs[0] rs1
     /*  196040 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196052 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196052 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  196057 */     GIR_RootConstrainSelectedInstOperands,
     /*  196058 */     // GIR_Coverage, 559,
     /*  196058 */     GIR_Done,
     /*  196059 */   // Label 3804: @196059
     /*  196059 */   GIM_Try, /*On fail goto*//*Label 3805*/ GIMT_Encode4(196100), // Rule ID 560 //
     /*  196064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196067 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196074 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196081 */     // MIs[0] rs1
     /*  196081 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196093 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196093 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ),
     /*  196098 */     GIR_RootConstrainSelectedInstOperands,
     /*  196099 */     // GIR_Coverage, 560,
     /*  196099 */     GIR_Done,
     /*  196100 */   // Label 3805: @196100
     /*  196100 */   GIM_Try, /*On fail goto*//*Label 3806*/ GIMT_Encode4(196141), // Rule ID 561 //
     /*  196105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196108 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196115 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196122 */     // MIs[0] rs1
     /*  196122 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196126 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196134 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196134 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_RL),
     /*  196139 */     GIR_RootConstrainSelectedInstOperands,
     /*  196140 */     // GIR_Coverage, 561,
     /*  196140 */     GIR_Done,
     /*  196141 */   // Label 3806: @196141
     /*  196141 */   GIM_Try, /*On fail goto*//*Label 3807*/ GIMT_Encode4(196182), // Rule ID 562 //
     /*  196146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196149 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196156 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196163 */     // MIs[0] rs1
     /*  196163 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196167 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196175 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  196180 */     GIR_RootConstrainSelectedInstOperands,
     /*  196181 */     // GIR_Coverage, 562,
     /*  196181 */     GIR_Done,
     /*  196182 */   // Label 3807: @196182
     /*  196182 */   GIM_Try, /*On fail goto*//*Label 3808*/ GIMT_Encode4(196223), // Rule ID 563 //
     /*  196187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  196190 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196197 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196204 */     // MIs[0] rs1
     /*  196204 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196216 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196216 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D_AQ_RL),
     /*  196221 */     GIR_RootConstrainSelectedInstOperands,
     /*  196222 */     // GIR_Coverage, 563,
     /*  196222 */     GIR_Done,
     /*  196223 */   // Label 3808: @196223
     /*  196223 */   GIM_Try, /*On fail goto*//*Label 3809*/ GIMT_Encode4(196264), // Rule ID 564 //
     /*  196228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196231 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196238 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196245 */     // MIs[0] rs1
     /*  196245 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196249 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196257 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_monotonic>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196257 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  196262 */     GIR_RootConstrainSelectedInstOperands,
     /*  196263 */     // GIR_Coverage, 564,
     /*  196263 */     GIR_Done,
     /*  196264 */   // Label 3809: @196264
     /*  196264 */   GIM_Try, /*On fail goto*//*Label 3810*/ GIMT_Encode4(196305), // Rule ID 565 //
     /*  196269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196272 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196279 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196286 */     // MIs[0] rs1
     /*  196286 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196298 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acquire>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196298 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  196303 */     GIR_RootConstrainSelectedInstOperands,
     /*  196304 */     // GIR_Coverage, 565,
     /*  196304 */     GIR_Done,
     /*  196305 */   // Label 3810: @196305
     /*  196305 */   GIM_Try, /*On fail goto*//*Label 3811*/ GIMT_Encode4(196346), // Rule ID 566 //
     /*  196310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196313 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196320 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196327 */     // MIs[0] rs1
     /*  196327 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196339 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_release>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196339 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  196344 */     GIR_RootConstrainSelectedInstOperands,
     /*  196345 */     // GIR_Coverage, 566,
     /*  196345 */     GIR_Done,
     /*  196346 */   // Label 3811: @196346
     /*  196346 */   GIM_Try, /*On fail goto*//*Label 3812*/ GIMT_Encode4(196387), // Rule ID 567 //
     /*  196351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196354 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196361 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196368 */     // MIs[0] rs1
     /*  196368 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196380 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_acq_rel>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196380 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  196385 */     GIR_RootConstrainSelectedInstOperands,
     /*  196386 */     // GIR_Coverage, 567,
     /*  196386 */     GIR_Done,
     /*  196387 */   // Label 3812: @196387
     /*  196387 */   GIM_Try, /*On fail goto*//*Label 3813*/ GIMT_Encode4(196428), // Rule ID 568 //
     /*  196392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  196395 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  196402 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196409 */     // MIs[0] rs1
     /*  196409 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196421 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i64>><<P:Predicate_atomic_load_or_i64_seq_cst>>  =>  (AMOOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196421 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_D),
     /*  196426 */     GIR_RootConstrainSelectedInstOperands,
     /*  196427 */     // GIR_Coverage, 568,
     /*  196427 */     GIR_Done,
     /*  196428 */   // Label 3813: @196428
     /*  196428 */   GIM_Try, /*On fail goto*//*Label 3814*/ GIMT_Encode4(196469), // Rule ID 757 //
     /*  196433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196450 */     // MIs[0] rs1
     /*  196450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196462 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196467 */     GIR_RootConstrainSelectedInstOperands,
     /*  196468 */     // GIR_Coverage, 757,
     /*  196468 */     GIR_Done,
     /*  196469 */   // Label 3814: @196469
     /*  196469 */   GIM_Try, /*On fail goto*//*Label 3815*/ GIMT_Encode4(196510), // Rule ID 759 //
     /*  196474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196477 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196484 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196491 */     // MIs[0] rs1
     /*  196491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196503 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ),
     /*  196508 */     GIR_RootConstrainSelectedInstOperands,
     /*  196509 */     // GIR_Coverage, 759,
     /*  196509 */     GIR_Done,
     /*  196510 */   // Label 3815: @196510
     /*  196510 */   GIM_Try, /*On fail goto*//*Label 3816*/ GIMT_Encode4(196551), // Rule ID 761 //
     /*  196515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196532 */     // MIs[0] rs1
     /*  196532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196544 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_RL),
     /*  196549 */     GIR_RootConstrainSelectedInstOperands,
     /*  196550 */     // GIR_Coverage, 761,
     /*  196550 */     GIR_Done,
     /*  196551 */   // Label 3816: @196551
     /*  196551 */   GIM_Try, /*On fail goto*//*Label 3817*/ GIMT_Encode4(196592), // Rule ID 763 //
     /*  196556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196573 */     // MIs[0] rs1
     /*  196573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196585 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  196590 */     GIR_RootConstrainSelectedInstOperands,
     /*  196591 */     // GIR_Coverage, 763,
     /*  196591 */     GIR_Done,
     /*  196592 */   // Label 3817: @196592
     /*  196592 */   GIM_Try, /*On fail goto*//*Label 3818*/ GIMT_Encode4(196633), // Rule ID 765 //
     /*  196597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196614 */     // MIs[0] rs1
     /*  196614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196626 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B_AQ_RL),
     /*  196631 */     GIR_RootConstrainSelectedInstOperands,
     /*  196632 */     // GIR_Coverage, 765,
     /*  196632 */     GIR_Done,
     /*  196633 */   // Label 3818: @196633
     /*  196633 */   GIM_Try, /*On fail goto*//*Label 3819*/ GIMT_Encode4(196674), // Rule ID 767 //
     /*  196638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196655 */     // MIs[0] rs1
     /*  196655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196667 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_monotonic>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196672 */     GIR_RootConstrainSelectedInstOperands,
     /*  196673 */     // GIR_Coverage, 767,
     /*  196673 */     GIR_Done,
     /*  196674 */   // Label 3819: @196674
     /*  196674 */   GIM_Try, /*On fail goto*//*Label 3820*/ GIMT_Encode4(196715), // Rule ID 769 //
     /*  196679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196696 */     // MIs[0] rs1
     /*  196696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196708 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acquire>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196713 */     GIR_RootConstrainSelectedInstOperands,
     /*  196714 */     // GIR_Coverage, 769,
     /*  196714 */     GIR_Done,
     /*  196715 */   // Label 3820: @196715
     /*  196715 */   GIM_Try, /*On fail goto*//*Label 3821*/ GIMT_Encode4(196756), // Rule ID 771 //
     /*  196720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196737 */     // MIs[0] rs1
     /*  196737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196749 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_release>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196754 */     GIR_RootConstrainSelectedInstOperands,
     /*  196755 */     // GIR_Coverage, 771,
     /*  196755 */     GIR_Done,
     /*  196756 */   // Label 3821: @196756
     /*  196756 */   GIM_Try, /*On fail goto*//*Label 3822*/ GIMT_Encode4(196797), // Rule ID 773 //
     /*  196761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196778 */     // MIs[0] rs1
     /*  196778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196790 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_acq_rel>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196795 */     GIR_RootConstrainSelectedInstOperands,
     /*  196796 */     // GIR_Coverage, 773,
     /*  196796 */     GIR_Done,
     /*  196797 */   // Label 3822: @196797
     /*  196797 */   GIM_Try, /*On fail goto*//*Label 3823*/ GIMT_Encode4(196838), // Rule ID 775 //
     /*  196802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  196805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  196812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  196815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196819 */     // MIs[0] rs1
     /*  196819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196831 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i8>><<P:Predicate_atomic_load_or_i8_seq_cst>>  =>  (AMOOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_B),
     /*  196836 */     GIR_RootConstrainSelectedInstOperands,
     /*  196837 */     // GIR_Coverage, 775,
     /*  196837 */     GIR_Done,
     /*  196838 */   // Label 3823: @196838
     /*  196838 */   GIM_Try, /*On fail goto*//*Label 3824*/ GIMT_Encode4(196879), // Rule ID 937 //
     /*  196843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  196856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196860 */     // MIs[0] rs1
     /*  196860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196872 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  196877 */     GIR_RootConstrainSelectedInstOperands,
     /*  196878 */     // GIR_Coverage, 937,
     /*  196878 */     GIR_Done,
     /*  196879 */   // Label 3824: @196879
     /*  196879 */   GIM_Try, /*On fail goto*//*Label 3825*/ GIMT_Encode4(196920), // Rule ID 939 //
     /*  196884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  196897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196901 */     // MIs[0] rs1
     /*  196901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196913 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ),
     /*  196918 */     GIR_RootConstrainSelectedInstOperands,
     /*  196919 */     // GIR_Coverage, 939,
     /*  196919 */     GIR_Done,
     /*  196920 */   // Label 3825: @196920
     /*  196920 */   GIM_Try, /*On fail goto*//*Label 3826*/ GIMT_Encode4(196961), // Rule ID 941 //
     /*  196925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  196938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196942 */     // MIs[0] rs1
     /*  196942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196954 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_RL),
     /*  196959 */     GIR_RootConstrainSelectedInstOperands,
     /*  196960 */     // GIR_Coverage, 941,
     /*  196960 */     GIR_Done,
     /*  196961 */   // Label 3826: @196961
     /*  196961 */   GIM_Try, /*On fail goto*//*Label 3827*/ GIMT_Encode4(197002), // Rule ID 943 //
     /*  196966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  196969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  196976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  196979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196983 */     // MIs[0] rs1
     /*  196983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  196987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  196995 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  196995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  197000 */     GIR_RootConstrainSelectedInstOperands,
     /*  197001 */     // GIR_Coverage, 943,
     /*  197001 */     GIR_Done,
     /*  197002 */   // Label 3827: @197002
     /*  197002 */   GIM_Try, /*On fail goto*//*Label 3828*/ GIMT_Encode4(197043), // Rule ID 945 //
     /*  197007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  197010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197024 */     // MIs[0] rs1
     /*  197024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197036 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H_AQ_RL),
     /*  197041 */     GIR_RootConstrainSelectedInstOperands,
     /*  197042 */     // GIR_Coverage, 945,
     /*  197042 */     GIR_Done,
     /*  197043 */   // Label 3828: @197043
     /*  197043 */   GIM_Try, /*On fail goto*//*Label 3829*/ GIMT_Encode4(197084), // Rule ID 947 //
     /*  197048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197065 */     // MIs[0] rs1
     /*  197065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197077 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_monotonic>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  197082 */     GIR_RootConstrainSelectedInstOperands,
     /*  197083 */     // GIR_Coverage, 947,
     /*  197083 */     GIR_Done,
     /*  197084 */   // Label 3829: @197084
     /*  197084 */   GIM_Try, /*On fail goto*//*Label 3830*/ GIMT_Encode4(197125), // Rule ID 949 //
     /*  197089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197106 */     // MIs[0] rs1
     /*  197106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197118 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acquire>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  197123 */     GIR_RootConstrainSelectedInstOperands,
     /*  197124 */     // GIR_Coverage, 949,
     /*  197124 */     GIR_Done,
     /*  197125 */   // Label 3830: @197125
     /*  197125 */   GIM_Try, /*On fail goto*//*Label 3831*/ GIMT_Encode4(197166), // Rule ID 951 //
     /*  197130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197147 */     // MIs[0] rs1
     /*  197147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197159 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_release>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  197164 */     GIR_RootConstrainSelectedInstOperands,
     /*  197165 */     // GIR_Coverage, 951,
     /*  197165 */     GIR_Done,
     /*  197166 */   // Label 3831: @197166
     /*  197166 */   GIM_Try, /*On fail goto*//*Label 3832*/ GIMT_Encode4(197207), // Rule ID 953 //
     /*  197171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197188 */     // MIs[0] rs1
     /*  197188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197200 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_acq_rel>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  197205 */     GIR_RootConstrainSelectedInstOperands,
     /*  197206 */     // GIR_Coverage, 953,
     /*  197206 */     GIR_Done,
     /*  197207 */   // Label 3832: @197207
     /*  197207 */   GIM_Try, /*On fail goto*//*Label 3833*/ GIMT_Encode4(197248), // Rule ID 955 //
     /*  197212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  197215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  197222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197229 */     // MIs[0] rs1
     /*  197229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  197233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197241 */     // (atomic_load_or:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_or_i16>><<P:Predicate_atomic_load_or_i16_seq_cst>>  =>  (AMOOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  197241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOOR_H),
     /*  197246 */     GIR_RootConstrainSelectedInstOperands,
     /*  197247 */     // GIR_Coverage, 955,
     /*  197247 */     GIR_Done,
     /*  197248 */   // Label 3833: @197248
     /*  197248 */   GIM_Reject,
     /*  197249 */ // Label 3793: @197249
     /*  197249 */ GIM_Reject,
     /*  197250 */ // Label 3761: @197250
     /*  197250 */ GIM_Reject,
     /*  197251 */ // Label 31: @197251
     /*  197251 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3836*/ GIMT_Encode4(200160),
     /*  197262 */ /*GILLT_s32*//*Label 3834*/ GIMT_Encode4(197270),
     /*  197266 */ /*GILLT_s64*//*Label 3835*/ GIMT_Encode4(198510),
     /*  197270 */ // Label 3834: @197270
     /*  197270 */ GIM_Try, /*On fail goto*//*Label 3837*/ GIMT_Encode4(198509),
     /*  197275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  197278 */   GIM_Try, /*On fail goto*//*Label 3838*/ GIMT_Encode4(197319), // Rule ID 430 //
     /*  197283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197286 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197293 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197300 */     // MIs[0] rs1
     /*  197300 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197312 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197312 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197317 */     GIR_RootConstrainSelectedInstOperands,
     /*  197318 */     // GIR_Coverage, 430,
     /*  197318 */     GIR_Done,
     /*  197319 */   // Label 3838: @197319
     /*  197319 */   GIM_Try, /*On fail goto*//*Label 3839*/ GIMT_Encode4(197360), // Rule ID 432 //
     /*  197324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197327 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197334 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197341 */     // MIs[0] rs1
     /*  197341 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197353 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  197358 */     GIR_RootConstrainSelectedInstOperands,
     /*  197359 */     // GIR_Coverage, 432,
     /*  197359 */     GIR_Done,
     /*  197360 */   // Label 3839: @197360
     /*  197360 */   GIM_Try, /*On fail goto*//*Label 3840*/ GIMT_Encode4(197401), // Rule ID 434 //
     /*  197365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197368 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197375 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197382 */     // MIs[0] rs1
     /*  197382 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197394 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197394 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  197399 */     GIR_RootConstrainSelectedInstOperands,
     /*  197400 */     // GIR_Coverage, 434,
     /*  197400 */     GIR_Done,
     /*  197401 */   // Label 3840: @197401
     /*  197401 */   GIM_Try, /*On fail goto*//*Label 3841*/ GIMT_Encode4(197442), // Rule ID 436 //
     /*  197406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197409 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197416 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197423 */     // MIs[0] rs1
     /*  197423 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197427 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197435 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197435 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  197440 */     GIR_RootConstrainSelectedInstOperands,
     /*  197441 */     // GIR_Coverage, 436,
     /*  197441 */     GIR_Done,
     /*  197442 */   // Label 3841: @197442
     /*  197442 */   GIM_Try, /*On fail goto*//*Label 3842*/ GIMT_Encode4(197483), // Rule ID 438 //
     /*  197447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  197450 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197457 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197464 */     // MIs[0] rs1
     /*  197464 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197468 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197476 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197476 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  197481 */     GIR_RootConstrainSelectedInstOperands,
     /*  197482 */     // GIR_Coverage, 438,
     /*  197482 */     GIR_Done,
     /*  197483 */   // Label 3842: @197483
     /*  197483 */   GIM_Try, /*On fail goto*//*Label 3843*/ GIMT_Encode4(197524), // Rule ID 440 //
     /*  197488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197491 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197498 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197505 */     // MIs[0] rs1
     /*  197505 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197517 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197517 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197522 */     GIR_RootConstrainSelectedInstOperands,
     /*  197523 */     // GIR_Coverage, 440,
     /*  197523 */     GIR_Done,
     /*  197524 */   // Label 3843: @197524
     /*  197524 */   GIM_Try, /*On fail goto*//*Label 3844*/ GIMT_Encode4(197565), // Rule ID 442 //
     /*  197529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197532 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197539 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197546 */     // MIs[0] rs1
     /*  197546 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197558 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197558 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197563 */     GIR_RootConstrainSelectedInstOperands,
     /*  197564 */     // GIR_Coverage, 442,
     /*  197564 */     GIR_Done,
     /*  197565 */   // Label 3844: @197565
     /*  197565 */   GIM_Try, /*On fail goto*//*Label 3845*/ GIMT_Encode4(197606), // Rule ID 444 //
     /*  197570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197573 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197580 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197587 */     // MIs[0] rs1
     /*  197587 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197599 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197599 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197604 */     GIR_RootConstrainSelectedInstOperands,
     /*  197605 */     // GIR_Coverage, 444,
     /*  197605 */     GIR_Done,
     /*  197606 */   // Label 3845: @197606
     /*  197606 */   GIM_Try, /*On fail goto*//*Label 3846*/ GIMT_Encode4(197647), // Rule ID 446 //
     /*  197611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197614 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197621 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197628 */     // MIs[0] rs1
     /*  197628 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197640 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197640 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197645 */     GIR_RootConstrainSelectedInstOperands,
     /*  197646 */     // GIR_Coverage, 446,
     /*  197646 */     GIR_Done,
     /*  197647 */   // Label 3846: @197647
     /*  197647 */   GIM_Try, /*On fail goto*//*Label 3847*/ GIMT_Encode4(197688), // Rule ID 448 //
     /*  197652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  197655 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  197662 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197669 */     // MIs[0] rs1
     /*  197669 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197681 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197681 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  197686 */     GIR_RootConstrainSelectedInstOperands,
     /*  197687 */     // GIR_Coverage, 448,
     /*  197687 */     GIR_Done,
     /*  197688 */   // Label 3847: @197688
     /*  197688 */   GIM_Try, /*On fail goto*//*Label 3848*/ GIMT_Encode4(197729), // Rule ID 778 //
     /*  197693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197696 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197703 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197710 */     // MIs[0] rs1
     /*  197710 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197714 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197722 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197722 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197727 */     GIR_RootConstrainSelectedInstOperands,
     /*  197728 */     // GIR_Coverage, 778,
     /*  197728 */     GIR_Done,
     /*  197729 */   // Label 3848: @197729
     /*  197729 */   GIM_Try, /*On fail goto*//*Label 3849*/ GIMT_Encode4(197770), // Rule ID 780 //
     /*  197734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197737 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197744 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197751 */     // MIs[0] rs1
     /*  197751 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197763 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197763 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  197768 */     GIR_RootConstrainSelectedInstOperands,
     /*  197769 */     // GIR_Coverage, 780,
     /*  197769 */     GIR_Done,
     /*  197770 */   // Label 3849: @197770
     /*  197770 */   GIM_Try, /*On fail goto*//*Label 3850*/ GIMT_Encode4(197811), // Rule ID 782 //
     /*  197775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197778 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197785 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197792 */     // MIs[0] rs1
     /*  197792 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197804 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197804 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  197809 */     GIR_RootConstrainSelectedInstOperands,
     /*  197810 */     // GIR_Coverage, 782,
     /*  197810 */     GIR_Done,
     /*  197811 */   // Label 3850: @197811
     /*  197811 */   GIM_Try, /*On fail goto*//*Label 3851*/ GIMT_Encode4(197852), // Rule ID 784 //
     /*  197816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197819 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197826 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  197829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197833 */     // MIs[0] rs1
     /*  197833 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197845 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197845 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  197850 */     GIR_RootConstrainSelectedInstOperands,
     /*  197851 */     // GIR_Coverage, 784,
     /*  197851 */     GIR_Done,
     /*  197852 */   // Label 3851: @197852
     /*  197852 */   GIM_Try, /*On fail goto*//*Label 3852*/ GIMT_Encode4(197893), // Rule ID 786 //
     /*  197857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  197860 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197867 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  197870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197874 */     // MIs[0] rs1
     /*  197874 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197878 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197886 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197886 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  197891 */     GIR_RootConstrainSelectedInstOperands,
     /*  197892 */     // GIR_Coverage, 786,
     /*  197892 */     GIR_Done,
     /*  197893 */   // Label 3852: @197893
     /*  197893 */   GIM_Try, /*On fail goto*//*Label 3853*/ GIMT_Encode4(197934), // Rule ID 788 //
     /*  197898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197901 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197908 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  197911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197915 */     // MIs[0] rs1
     /*  197915 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197927 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197927 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197932 */     GIR_RootConstrainSelectedInstOperands,
     /*  197933 */     // GIR_Coverage, 788,
     /*  197933 */     GIR_Done,
     /*  197934 */   // Label 3853: @197934
     /*  197934 */   GIM_Try, /*On fail goto*//*Label 3854*/ GIMT_Encode4(197975), // Rule ID 790 //
     /*  197939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197942 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197949 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  197952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197956 */     // MIs[0] rs1
     /*  197956 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  197960 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197968 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  197968 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  197973 */     GIR_RootConstrainSelectedInstOperands,
     /*  197974 */     // GIR_Coverage, 790,
     /*  197974 */     GIR_Done,
     /*  197975 */   // Label 3854: @197975
     /*  197975 */   GIM_Try, /*On fail goto*//*Label 3855*/ GIMT_Encode4(198016), // Rule ID 792 //
     /*  197980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  197983 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  197990 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  197993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  197997 */     // MIs[0] rs1
     /*  197997 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198009 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  198014 */     GIR_RootConstrainSelectedInstOperands,
     /*  198015 */     // GIR_Coverage, 792,
     /*  198015 */     GIR_Done,
     /*  198016 */   // Label 3855: @198016
     /*  198016 */   GIM_Try, /*On fail goto*//*Label 3856*/ GIMT_Encode4(198057), // Rule ID 794 //
     /*  198021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198024 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198031 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198038 */     // MIs[0] rs1
     /*  198038 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198042 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198050 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198050 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  198055 */     GIR_RootConstrainSelectedInstOperands,
     /*  198056 */     // GIR_Coverage, 794,
     /*  198056 */     GIR_Done,
     /*  198057 */   // Label 3856: @198057
     /*  198057 */   GIM_Try, /*On fail goto*//*Label 3857*/ GIMT_Encode4(198098), // Rule ID 796 //
     /*  198062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198065 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  198072 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198079 */     // MIs[0] rs1
     /*  198079 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198091 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198091 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  198096 */     GIR_RootConstrainSelectedInstOperands,
     /*  198097 */     // GIR_Coverage, 796,
     /*  198097 */     GIR_Done,
     /*  198098 */   // Label 3857: @198098
     /*  198098 */   GIM_Try, /*On fail goto*//*Label 3858*/ GIMT_Encode4(198139), // Rule ID 958 //
     /*  198103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198120 */     // MIs[0] rs1
     /*  198120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198132 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  198137 */     GIR_RootConstrainSelectedInstOperands,
     /*  198138 */     // GIR_Coverage, 958,
     /*  198138 */     GIR_Done,
     /*  198139 */   // Label 3858: @198139
     /*  198139 */   GIM_Try, /*On fail goto*//*Label 3859*/ GIMT_Encode4(198180), // Rule ID 960 //
     /*  198144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198161 */     // MIs[0] rs1
     /*  198161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198173 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  198178 */     GIR_RootConstrainSelectedInstOperands,
     /*  198179 */     // GIR_Coverage, 960,
     /*  198179 */     GIR_Done,
     /*  198180 */   // Label 3859: @198180
     /*  198180 */   GIM_Try, /*On fail goto*//*Label 3860*/ GIMT_Encode4(198221), // Rule ID 962 //
     /*  198185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198202 */     // MIs[0] rs1
     /*  198202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198214 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  198219 */     GIR_RootConstrainSelectedInstOperands,
     /*  198220 */     // GIR_Coverage, 962,
     /*  198220 */     GIR_Done,
     /*  198221 */   // Label 3860: @198221
     /*  198221 */   GIM_Try, /*On fail goto*//*Label 3861*/ GIMT_Encode4(198262), // Rule ID 964 //
     /*  198226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198243 */     // MIs[0] rs1
     /*  198243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198255 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  198260 */     GIR_RootConstrainSelectedInstOperands,
     /*  198261 */     // GIR_Coverage, 964,
     /*  198261 */     GIR_Done,
     /*  198262 */   // Label 3861: @198262
     /*  198262 */   GIM_Try, /*On fail goto*//*Label 3862*/ GIMT_Encode4(198303), // Rule ID 966 //
     /*  198267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  198270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198284 */     // MIs[0] rs1
     /*  198284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198296 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  198301 */     GIR_RootConstrainSelectedInstOperands,
     /*  198302 */     // GIR_Coverage, 966,
     /*  198302 */     GIR_Done,
     /*  198303 */   // Label 3862: @198303
     /*  198303 */   GIM_Try, /*On fail goto*//*Label 3863*/ GIMT_Encode4(198344), // Rule ID 968 //
     /*  198308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198325 */     // MIs[0] rs1
     /*  198325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198337 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  198342 */     GIR_RootConstrainSelectedInstOperands,
     /*  198343 */     // GIR_Coverage, 968,
     /*  198343 */     GIR_Done,
     /*  198344 */   // Label 3863: @198344
     /*  198344 */   GIM_Try, /*On fail goto*//*Label 3864*/ GIMT_Encode4(198385), // Rule ID 970 //
     /*  198349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198366 */     // MIs[0] rs1
     /*  198366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198378 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  198383 */     GIR_RootConstrainSelectedInstOperands,
     /*  198384 */     // GIR_Coverage, 970,
     /*  198384 */     GIR_Done,
     /*  198385 */   // Label 3864: @198385
     /*  198385 */   GIM_Try, /*On fail goto*//*Label 3865*/ GIMT_Encode4(198426), // Rule ID 972 //
     /*  198390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198407 */     // MIs[0] rs1
     /*  198407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198419 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  198424 */     GIR_RootConstrainSelectedInstOperands,
     /*  198425 */     // GIR_Coverage, 972,
     /*  198425 */     GIR_Done,
     /*  198426 */   // Label 3865: @198426
     /*  198426 */   GIM_Try, /*On fail goto*//*Label 3866*/ GIMT_Encode4(198467), // Rule ID 974 //
     /*  198431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198448 */     // MIs[0] rs1
     /*  198448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198460 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  198465 */     GIR_RootConstrainSelectedInstOperands,
     /*  198466 */     // GIR_Coverage, 974,
     /*  198466 */     GIR_Done,
     /*  198467 */   // Label 3866: @198467
     /*  198467 */   GIM_Try, /*On fail goto*//*Label 3867*/ GIMT_Encode4(198508), // Rule ID 976 //
     /*  198472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  198475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  198482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198489 */     // MIs[0] rs1
     /*  198489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  198493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198501 */     // (atomic_load_xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  198501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  198506 */     GIR_RootConstrainSelectedInstOperands,
     /*  198507 */     // GIR_Coverage, 976,
     /*  198507 */     GIR_Done,
     /*  198508 */   // Label 3867: @198508
     /*  198508 */   GIM_Reject,
     /*  198509 */ // Label 3837: @198509
     /*  198509 */ GIM_Reject,
     /*  198510 */ // Label 3835: @198510
     /*  198510 */ GIM_Try, /*On fail goto*//*Label 3868*/ GIMT_Encode4(200159),
     /*  198515 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  198518 */   GIM_Try, /*On fail goto*//*Label 3869*/ GIMT_Encode4(198559), // Rule ID 429 //
     /*  198523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198526 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198533 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198540 */     // MIs[0] rs1
     /*  198540 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198552 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198552 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198557 */     GIR_RootConstrainSelectedInstOperands,
     /*  198558 */     // GIR_Coverage, 429,
     /*  198558 */     GIR_Done,
     /*  198559 */   // Label 3869: @198559
     /*  198559 */   GIM_Try, /*On fail goto*//*Label 3870*/ GIMT_Encode4(198600), // Rule ID 431 //
     /*  198564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198567 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198574 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198581 */     // MIs[0] rs1
     /*  198581 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198593 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198593 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ),
     /*  198598 */     GIR_RootConstrainSelectedInstOperands,
     /*  198599 */     // GIR_Coverage, 431,
     /*  198599 */     GIR_Done,
     /*  198600 */   // Label 3870: @198600
     /*  198600 */   GIM_Try, /*On fail goto*//*Label 3871*/ GIMT_Encode4(198641), // Rule ID 433 //
     /*  198605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198608 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198615 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198622 */     // MIs[0] rs1
     /*  198622 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198634 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198634 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_RL),
     /*  198639 */     GIR_RootConstrainSelectedInstOperands,
     /*  198640 */     // GIR_Coverage, 433,
     /*  198640 */     GIR_Done,
     /*  198641 */   // Label 3871: @198641
     /*  198641 */   GIM_Try, /*On fail goto*//*Label 3872*/ GIMT_Encode4(198682), // Rule ID 435 //
     /*  198646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198649 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198656 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198663 */     // MIs[0] rs1
     /*  198663 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198667 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198675 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198675 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  198680 */     GIR_RootConstrainSelectedInstOperands,
     /*  198681 */     // GIR_Coverage, 435,
     /*  198681 */     GIR_Done,
     /*  198682 */   // Label 3872: @198682
     /*  198682 */   GIM_Try, /*On fail goto*//*Label 3873*/ GIMT_Encode4(198723), // Rule ID 437 //
     /*  198687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  198690 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198697 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198704 */     // MIs[0] rs1
     /*  198704 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198716 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198716 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W_AQ_RL),
     /*  198721 */     GIR_RootConstrainSelectedInstOperands,
     /*  198722 */     // GIR_Coverage, 437,
     /*  198722 */     GIR_Done,
     /*  198723 */   // Label 3873: @198723
     /*  198723 */   GIM_Try, /*On fail goto*//*Label 3874*/ GIMT_Encode4(198764), // Rule ID 439 //
     /*  198728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198731 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198738 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198745 */     // MIs[0] rs1
     /*  198745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198757 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_monotonic>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198757 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198762 */     GIR_RootConstrainSelectedInstOperands,
     /*  198763 */     // GIR_Coverage, 439,
     /*  198763 */     GIR_Done,
     /*  198764 */   // Label 3874: @198764
     /*  198764 */   GIM_Try, /*On fail goto*//*Label 3875*/ GIMT_Encode4(198805), // Rule ID 441 //
     /*  198769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198772 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198779 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198786 */     // MIs[0] rs1
     /*  198786 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198798 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acquire>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198798 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198803 */     GIR_RootConstrainSelectedInstOperands,
     /*  198804 */     // GIR_Coverage, 441,
     /*  198804 */     GIR_Done,
     /*  198805 */   // Label 3875: @198805
     /*  198805 */   GIM_Try, /*On fail goto*//*Label 3876*/ GIMT_Encode4(198846), // Rule ID 443 //
     /*  198810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198813 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198820 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  198823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198827 */     // MIs[0] rs1
     /*  198827 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198839 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_release>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198839 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198844 */     GIR_RootConstrainSelectedInstOperands,
     /*  198845 */     // GIR_Coverage, 443,
     /*  198845 */     GIR_Done,
     /*  198846 */   // Label 3876: @198846
     /*  198846 */   GIM_Try, /*On fail goto*//*Label 3877*/ GIMT_Encode4(198887), // Rule ID 445 //
     /*  198851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198854 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198861 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  198864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198868 */     // MIs[0] rs1
     /*  198868 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198872 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198880 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_acq_rel>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198880 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198885 */     GIR_RootConstrainSelectedInstOperands,
     /*  198886 */     // GIR_Coverage, 445,
     /*  198886 */     GIR_Done,
     /*  198887 */   // Label 3877: @198887
     /*  198887 */   GIM_Try, /*On fail goto*//*Label 3878*/ GIMT_Encode4(198928), // Rule ID 447 //
     /*  198892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  198895 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  198902 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  198905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198909 */     // MIs[0] rs1
     /*  198909 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198921 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i32>><<P:Predicate_atomic_load_xor_i32_seq_cst>>  =>  (AMOXOR_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198921 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_W),
     /*  198926 */     GIR_RootConstrainSelectedInstOperands,
     /*  198927 */     // GIR_Coverage, 447,
     /*  198927 */     GIR_Done,
     /*  198928 */   // Label 3878: @198928
     /*  198928 */   GIM_Try, /*On fail goto*//*Label 3879*/ GIMT_Encode4(198969), // Rule ID 569 //
     /*  198933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198936 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198943 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  198946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198950 */     // MIs[0] rs1
     /*  198950 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198962 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  198962 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  198967 */     GIR_RootConstrainSelectedInstOperands,
     /*  198968 */     // GIR_Coverage, 569,
     /*  198968 */     GIR_Done,
     /*  198969 */   // Label 3879: @198969
     /*  198969 */   GIM_Try, /*On fail goto*//*Label 3880*/ GIMT_Encode4(199010), // Rule ID 570 //
     /*  198974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  198977 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  198984 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  198987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198991 */     // MIs[0] rs1
     /*  198991 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  198995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  198999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199003 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199003 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ),
     /*  199008 */     GIR_RootConstrainSelectedInstOperands,
     /*  199009 */     // GIR_Coverage, 570,
     /*  199009 */     GIR_Done,
     /*  199010 */   // Label 3880: @199010
     /*  199010 */   GIM_Try, /*On fail goto*//*Label 3881*/ GIMT_Encode4(199051), // Rule ID 571 //
     /*  199015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199018 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199025 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199032 */     // MIs[0] rs1
     /*  199032 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199036 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199044 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199044 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_RL),
     /*  199049 */     GIR_RootConstrainSelectedInstOperands,
     /*  199050 */     // GIR_Coverage, 571,
     /*  199050 */     GIR_Done,
     /*  199051 */   // Label 3881: @199051
     /*  199051 */   GIM_Try, /*On fail goto*//*Label 3882*/ GIMT_Encode4(199092), // Rule ID 572 //
     /*  199056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199059 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199066 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199073 */     // MIs[0] rs1
     /*  199073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199085 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199085 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  199090 */     GIR_RootConstrainSelectedInstOperands,
     /*  199091 */     // GIR_Coverage, 572,
     /*  199091 */     GIR_Done,
     /*  199092 */   // Label 3882: @199092
     /*  199092 */   GIM_Try, /*On fail goto*//*Label 3883*/ GIMT_Encode4(199133), // Rule ID 573 //
     /*  199097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  199100 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199107 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199114 */     // MIs[0] rs1
     /*  199114 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199126 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D_AQ_RL),
     /*  199131 */     GIR_RootConstrainSelectedInstOperands,
     /*  199132 */     // GIR_Coverage, 573,
     /*  199132 */     GIR_Done,
     /*  199133 */   // Label 3883: @199133
     /*  199133 */   GIM_Try, /*On fail goto*//*Label 3884*/ GIMT_Encode4(199174), // Rule ID 574 //
     /*  199138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199141 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199148 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199155 */     // MIs[0] rs1
     /*  199155 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199167 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_monotonic>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199167 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  199172 */     GIR_RootConstrainSelectedInstOperands,
     /*  199173 */     // GIR_Coverage, 574,
     /*  199173 */     GIR_Done,
     /*  199174 */   // Label 3884: @199174
     /*  199174 */   GIM_Try, /*On fail goto*//*Label 3885*/ GIMT_Encode4(199215), // Rule ID 575 //
     /*  199179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199182 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199189 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199196 */     // MIs[0] rs1
     /*  199196 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199208 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acquire>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  199213 */     GIR_RootConstrainSelectedInstOperands,
     /*  199214 */     // GIR_Coverage, 575,
     /*  199214 */     GIR_Done,
     /*  199215 */   // Label 3885: @199215
     /*  199215 */   GIM_Try, /*On fail goto*//*Label 3886*/ GIMT_Encode4(199256), // Rule ID 576 //
     /*  199220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199223 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199230 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199237 */     // MIs[0] rs1
     /*  199237 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199249 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_release>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199249 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  199254 */     GIR_RootConstrainSelectedInstOperands,
     /*  199255 */     // GIR_Coverage, 576,
     /*  199255 */     GIR_Done,
     /*  199256 */   // Label 3886: @199256
     /*  199256 */   GIM_Try, /*On fail goto*//*Label 3887*/ GIMT_Encode4(199297), // Rule ID 577 //
     /*  199261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199264 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199271 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199278 */     // MIs[0] rs1
     /*  199278 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199290 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_acq_rel>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199290 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  199295 */     GIR_RootConstrainSelectedInstOperands,
     /*  199296 */     // GIR_Coverage, 577,
     /*  199296 */     GIR_Done,
     /*  199297 */   // Label 3887: @199297
     /*  199297 */   GIM_Try, /*On fail goto*//*Label 3888*/ GIMT_Encode4(199338), // Rule ID 578 //
     /*  199302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  199305 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  199312 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199319 */     // MIs[0] rs1
     /*  199319 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199331 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i64>><<P:Predicate_atomic_load_xor_i64_seq_cst>>  =>  (AMOXOR_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199331 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_D),
     /*  199336 */     GIR_RootConstrainSelectedInstOperands,
     /*  199337 */     // GIR_Coverage, 578,
     /*  199337 */     GIR_Done,
     /*  199338 */   // Label 3888: @199338
     /*  199338 */   GIM_Try, /*On fail goto*//*Label 3889*/ GIMT_Encode4(199379), // Rule ID 777 //
     /*  199343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199360 */     // MIs[0] rs1
     /*  199360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199372 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199377 */     GIR_RootConstrainSelectedInstOperands,
     /*  199378 */     // GIR_Coverage, 777,
     /*  199378 */     GIR_Done,
     /*  199379 */   // Label 3889: @199379
     /*  199379 */   GIM_Try, /*On fail goto*//*Label 3890*/ GIMT_Encode4(199420), // Rule ID 779 //
     /*  199384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199401 */     // MIs[0] rs1
     /*  199401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199413 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ),
     /*  199418 */     GIR_RootConstrainSelectedInstOperands,
     /*  199419 */     // GIR_Coverage, 779,
     /*  199419 */     GIR_Done,
     /*  199420 */   // Label 3890: @199420
     /*  199420 */   GIM_Try, /*On fail goto*//*Label 3891*/ GIMT_Encode4(199461), // Rule ID 781 //
     /*  199425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199442 */     // MIs[0] rs1
     /*  199442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199454 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_RL),
     /*  199459 */     GIR_RootConstrainSelectedInstOperands,
     /*  199460 */     // GIR_Coverage, 781,
     /*  199460 */     GIR_Done,
     /*  199461 */   // Label 3891: @199461
     /*  199461 */   GIM_Try, /*On fail goto*//*Label 3892*/ GIMT_Encode4(199502), // Rule ID 783 //
     /*  199466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199483 */     // MIs[0] rs1
     /*  199483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199495 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  199500 */     GIR_RootConstrainSelectedInstOperands,
     /*  199501 */     // GIR_Coverage, 783,
     /*  199501 */     GIR_Done,
     /*  199502 */   // Label 3892: @199502
     /*  199502 */   GIM_Try, /*On fail goto*//*Label 3893*/ GIMT_Encode4(199543), // Rule ID 785 //
     /*  199507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199524 */     // MIs[0] rs1
     /*  199524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199536 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B_AQ_RL),
     /*  199541 */     GIR_RootConstrainSelectedInstOperands,
     /*  199542 */     // GIR_Coverage, 785,
     /*  199542 */     GIR_Done,
     /*  199543 */   // Label 3893: @199543
     /*  199543 */   GIM_Try, /*On fail goto*//*Label 3894*/ GIMT_Encode4(199584), // Rule ID 787 //
     /*  199548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199565 */     // MIs[0] rs1
     /*  199565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199577 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_monotonic>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199582 */     GIR_RootConstrainSelectedInstOperands,
     /*  199583 */     // GIR_Coverage, 787,
     /*  199583 */     GIR_Done,
     /*  199584 */   // Label 3894: @199584
     /*  199584 */   GIM_Try, /*On fail goto*//*Label 3895*/ GIMT_Encode4(199625), // Rule ID 789 //
     /*  199589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199606 */     // MIs[0] rs1
     /*  199606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199618 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acquire>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199623 */     GIR_RootConstrainSelectedInstOperands,
     /*  199624 */     // GIR_Coverage, 789,
     /*  199624 */     GIR_Done,
     /*  199625 */   // Label 3895: @199625
     /*  199625 */   GIM_Try, /*On fail goto*//*Label 3896*/ GIMT_Encode4(199666), // Rule ID 791 //
     /*  199630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199647 */     // MIs[0] rs1
     /*  199647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199659 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_release>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199664 */     GIR_RootConstrainSelectedInstOperands,
     /*  199665 */     // GIR_Coverage, 791,
     /*  199665 */     GIR_Done,
     /*  199666 */   // Label 3896: @199666
     /*  199666 */   GIM_Try, /*On fail goto*//*Label 3897*/ GIMT_Encode4(199707), // Rule ID 793 //
     /*  199671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199688 */     // MIs[0] rs1
     /*  199688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199700 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_acq_rel>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199705 */     GIR_RootConstrainSelectedInstOperands,
     /*  199706 */     // GIR_Coverage, 793,
     /*  199706 */     GIR_Done,
     /*  199707 */   // Label 3897: @199707
     /*  199707 */   GIM_Try, /*On fail goto*//*Label 3898*/ GIMT_Encode4(199748), // Rule ID 795 //
     /*  199712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  199722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199729 */     // MIs[0] rs1
     /*  199729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199741 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i8>><<P:Predicate_atomic_load_xor_i8_seq_cst>>  =>  (AMOXOR_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_B),
     /*  199746 */     GIR_RootConstrainSelectedInstOperands,
     /*  199747 */     // GIR_Coverage, 795,
     /*  199747 */     GIR_Done,
     /*  199748 */   // Label 3898: @199748
     /*  199748 */   GIM_Try, /*On fail goto*//*Label 3899*/ GIMT_Encode4(199789), // Rule ID 957 //
     /*  199753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199770 */     // MIs[0] rs1
     /*  199770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199782 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199787 */     GIR_RootConstrainSelectedInstOperands,
     /*  199788 */     // GIR_Coverage, 957,
     /*  199788 */     GIR_Done,
     /*  199789 */   // Label 3899: @199789
     /*  199789 */   GIM_Try, /*On fail goto*//*Label 3900*/ GIMT_Encode4(199830), // Rule ID 959 //
     /*  199794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  199807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199811 */     // MIs[0] rs1
     /*  199811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199823 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ),
     /*  199828 */     GIR_RootConstrainSelectedInstOperands,
     /*  199829 */     // GIR_Coverage, 959,
     /*  199829 */     GIR_Done,
     /*  199830 */   // Label 3900: @199830
     /*  199830 */   GIM_Try, /*On fail goto*//*Label 3901*/ GIMT_Encode4(199871), // Rule ID 961 //
     /*  199835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  199848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199852 */     // MIs[0] rs1
     /*  199852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199864 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_RL),
     /*  199869 */     GIR_RootConstrainSelectedInstOperands,
     /*  199870 */     // GIR_Coverage, 961,
     /*  199870 */     GIR_Done,
     /*  199871 */   // Label 3901: @199871
     /*  199871 */   GIM_Try, /*On fail goto*//*Label 3902*/ GIMT_Encode4(199912), // Rule ID 963 //
     /*  199876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  199889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199893 */     // MIs[0] rs1
     /*  199893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199905 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  199910 */     GIR_RootConstrainSelectedInstOperands,
     /*  199911 */     // GIR_Coverage, 963,
     /*  199911 */     GIR_Done,
     /*  199912 */   // Label 3902: @199912
     /*  199912 */   GIM_Try, /*On fail goto*//*Label 3903*/ GIMT_Encode4(199953), // Rule ID 965 //
     /*  199917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  199920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  199930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199934 */     // MIs[0] rs1
     /*  199934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199946 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H_AQ_RL),
     /*  199951 */     GIR_RootConstrainSelectedInstOperands,
     /*  199952 */     // GIR_Coverage, 965,
     /*  199952 */     GIR_Done,
     /*  199953 */   // Label 3903: @199953
     /*  199953 */   GIM_Try, /*On fail goto*//*Label 3904*/ GIMT_Encode4(199994), // Rule ID 967 //
     /*  199958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  199961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  199968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  199971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199975 */     // MIs[0] rs1
     /*  199975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  199979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  199987 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_monotonic>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  199987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  199992 */     GIR_RootConstrainSelectedInstOperands,
     /*  199993 */     // GIR_Coverage, 967,
     /*  199993 */     GIR_Done,
     /*  199994 */   // Label 3904: @199994
     /*  199994 */   GIM_Try, /*On fail goto*//*Label 3905*/ GIMT_Encode4(200035), // Rule ID 969 //
     /*  199999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200016 */     // MIs[0] rs1
     /*  200016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200028 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acquire>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  200033 */     GIR_RootConstrainSelectedInstOperands,
     /*  200034 */     // GIR_Coverage, 969,
     /*  200034 */     GIR_Done,
     /*  200035 */   // Label 3905: @200035
     /*  200035 */   GIM_Try, /*On fail goto*//*Label 3906*/ GIMT_Encode4(200076), // Rule ID 971 //
     /*  200040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200057 */     // MIs[0] rs1
     /*  200057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200069 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_release>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  200074 */     GIR_RootConstrainSelectedInstOperands,
     /*  200075 */     // GIR_Coverage, 971,
     /*  200075 */     GIR_Done,
     /*  200076 */   // Label 3906: @200076
     /*  200076 */   GIM_Try, /*On fail goto*//*Label 3907*/ GIMT_Encode4(200117), // Rule ID 973 //
     /*  200081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200098 */     // MIs[0] rs1
     /*  200098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200110 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_acq_rel>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  200115 */     GIR_RootConstrainSelectedInstOperands,
     /*  200116 */     // GIR_Coverage, 973,
     /*  200116 */     GIR_Done,
     /*  200117 */   // Label 3907: @200117
     /*  200117 */   GIM_Try, /*On fail goto*//*Label 3908*/ GIMT_Encode4(200158), // Rule ID 975 //
     /*  200122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  200125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  200132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200139 */     // MIs[0] rs1
     /*  200139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  200143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200151 */     // (atomic_load_xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_xor_i16>><<P:Predicate_atomic_load_xor_i16_seq_cst>>  =>  (AMOXOR_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  200151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOXOR_H),
     /*  200156 */     GIR_RootConstrainSelectedInstOperands,
     /*  200157 */     // GIR_Coverage, 975,
     /*  200157 */     GIR_Done,
     /*  200158 */   // Label 3908: @200158
     /*  200158 */   GIM_Reject,
     /*  200159 */ // Label 3868: @200159
     /*  200159 */ GIM_Reject,
     /*  200160 */ // Label 3836: @200160
     /*  200160 */ GIM_Reject,
     /*  200161 */ // Label 32: @200161
     /*  200161 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3911*/ GIMT_Encode4(203070),
     /*  200172 */ /*GILLT_s32*//*Label 3909*/ GIMT_Encode4(200180),
     /*  200176 */ /*GILLT_s64*//*Label 3910*/ GIMT_Encode4(201420),
     /*  200180 */ // Label 3909: @200180
     /*  200180 */ GIM_Try, /*On fail goto*//*Label 3912*/ GIMT_Encode4(201419),
     /*  200185 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  200188 */   GIM_Try, /*On fail goto*//*Label 3913*/ GIMT_Encode4(200229), // Rule ID 450 //
     /*  200193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200196 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200203 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200210 */     // MIs[0] rs1
     /*  200210 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200222 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200222 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200227 */     GIR_RootConstrainSelectedInstOperands,
     /*  200228 */     // GIR_Coverage, 450,
     /*  200228 */     GIR_Done,
     /*  200229 */   // Label 3913: @200229
     /*  200229 */   GIM_Try, /*On fail goto*//*Label 3914*/ GIMT_Encode4(200270), // Rule ID 452 //
     /*  200234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200237 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200244 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200251 */     // MIs[0] rs1
     /*  200251 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200263 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  200268 */     GIR_RootConstrainSelectedInstOperands,
     /*  200269 */     // GIR_Coverage, 452,
     /*  200269 */     GIR_Done,
     /*  200270 */   // Label 3914: @200270
     /*  200270 */   GIM_Try, /*On fail goto*//*Label 3915*/ GIMT_Encode4(200311), // Rule ID 454 //
     /*  200275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200278 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200285 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200292 */     // MIs[0] rs1
     /*  200292 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200296 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200304 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200304 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  200309 */     GIR_RootConstrainSelectedInstOperands,
     /*  200310 */     // GIR_Coverage, 454,
     /*  200310 */     GIR_Done,
     /*  200311 */   // Label 3915: @200311
     /*  200311 */   GIM_Try, /*On fail goto*//*Label 3916*/ GIMT_Encode4(200352), // Rule ID 456 //
     /*  200316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200319 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200326 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200333 */     // MIs[0] rs1
     /*  200333 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200345 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200345 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  200350 */     GIR_RootConstrainSelectedInstOperands,
     /*  200351 */     // GIR_Coverage, 456,
     /*  200351 */     GIR_Done,
     /*  200352 */   // Label 3916: @200352
     /*  200352 */   GIM_Try, /*On fail goto*//*Label 3917*/ GIMT_Encode4(200393), // Rule ID 458 //
     /*  200357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  200360 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200367 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200374 */     // MIs[0] rs1
     /*  200374 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200378 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200386 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200386 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  200391 */     GIR_RootConstrainSelectedInstOperands,
     /*  200392 */     // GIR_Coverage, 458,
     /*  200392 */     GIR_Done,
     /*  200393 */   // Label 3917: @200393
     /*  200393 */   GIM_Try, /*On fail goto*//*Label 3918*/ GIMT_Encode4(200434), // Rule ID 460 //
     /*  200398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200401 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200408 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200415 */     // MIs[0] rs1
     /*  200415 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200427 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200432 */     GIR_RootConstrainSelectedInstOperands,
     /*  200433 */     // GIR_Coverage, 460,
     /*  200433 */     GIR_Done,
     /*  200434 */   // Label 3918: @200434
     /*  200434 */   GIM_Try, /*On fail goto*//*Label 3919*/ GIMT_Encode4(200475), // Rule ID 462 //
     /*  200439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200442 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200449 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200456 */     // MIs[0] rs1
     /*  200456 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200468 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200468 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200473 */     GIR_RootConstrainSelectedInstOperands,
     /*  200474 */     // GIR_Coverage, 462,
     /*  200474 */     GIR_Done,
     /*  200475 */   // Label 3919: @200475
     /*  200475 */   GIM_Try, /*On fail goto*//*Label 3920*/ GIMT_Encode4(200516), // Rule ID 464 //
     /*  200480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200483 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200490 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200497 */     // MIs[0] rs1
     /*  200497 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200501 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200509 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200509 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200514 */     GIR_RootConstrainSelectedInstOperands,
     /*  200515 */     // GIR_Coverage, 464,
     /*  200515 */     GIR_Done,
     /*  200516 */   // Label 3920: @200516
     /*  200516 */   GIM_Try, /*On fail goto*//*Label 3921*/ GIMT_Encode4(200557), // Rule ID 466 //
     /*  200521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200524 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200531 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200538 */     // MIs[0] rs1
     /*  200538 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200550 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200550 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200555 */     GIR_RootConstrainSelectedInstOperands,
     /*  200556 */     // GIR_Coverage, 466,
     /*  200556 */     GIR_Done,
     /*  200557 */   // Label 3921: @200557
     /*  200557 */   GIM_Try, /*On fail goto*//*Label 3922*/ GIMT_Encode4(200598), // Rule ID 468 //
     /*  200562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  200565 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  200572 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200579 */     // MIs[0] rs1
     /*  200579 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200583 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200591 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200591 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  200596 */     GIR_RootConstrainSelectedInstOperands,
     /*  200597 */     // GIR_Coverage, 468,
     /*  200597 */     GIR_Done,
     /*  200598 */   // Label 3922: @200598
     /*  200598 */   GIM_Try, /*On fail goto*//*Label 3923*/ GIMT_Encode4(200639), // Rule ID 798 //
     /*  200603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200606 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200613 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200620 */     // MIs[0] rs1
     /*  200620 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200632 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200632 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200637 */     GIR_RootConstrainSelectedInstOperands,
     /*  200638 */     // GIR_Coverage, 798,
     /*  200638 */     GIR_Done,
     /*  200639 */   // Label 3923: @200639
     /*  200639 */   GIM_Try, /*On fail goto*//*Label 3924*/ GIMT_Encode4(200680), // Rule ID 800 //
     /*  200644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200647 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200654 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200661 */     // MIs[0] rs1
     /*  200661 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200673 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200673 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  200678 */     GIR_RootConstrainSelectedInstOperands,
     /*  200679 */     // GIR_Coverage, 800,
     /*  200679 */     GIR_Done,
     /*  200680 */   // Label 3924: @200680
     /*  200680 */   GIM_Try, /*On fail goto*//*Label 3925*/ GIMT_Encode4(200721), // Rule ID 802 //
     /*  200685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200688 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200695 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200702 */     // MIs[0] rs1
     /*  200702 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200714 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200714 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  200719 */     GIR_RootConstrainSelectedInstOperands,
     /*  200720 */     // GIR_Coverage, 802,
     /*  200720 */     GIR_Done,
     /*  200721 */   // Label 3925: @200721
     /*  200721 */   GIM_Try, /*On fail goto*//*Label 3926*/ GIMT_Encode4(200762), // Rule ID 804 //
     /*  200726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200729 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200736 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200743 */     // MIs[0] rs1
     /*  200743 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200755 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  200760 */     GIR_RootConstrainSelectedInstOperands,
     /*  200761 */     // GIR_Coverage, 804,
     /*  200761 */     GIR_Done,
     /*  200762 */   // Label 3926: @200762
     /*  200762 */   GIM_Try, /*On fail goto*//*Label 3927*/ GIMT_Encode4(200803), // Rule ID 806 //
     /*  200767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  200770 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200777 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200784 */     // MIs[0] rs1
     /*  200784 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200788 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200796 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  200801 */     GIR_RootConstrainSelectedInstOperands,
     /*  200802 */     // GIR_Coverage, 806,
     /*  200802 */     GIR_Done,
     /*  200803 */   // Label 3927: @200803
     /*  200803 */   GIM_Try, /*On fail goto*//*Label 3928*/ GIMT_Encode4(200844), // Rule ID 808 //
     /*  200808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200811 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200818 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  200821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200825 */     // MIs[0] rs1
     /*  200825 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200829 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200837 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200837 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200842 */     GIR_RootConstrainSelectedInstOperands,
     /*  200843 */     // GIR_Coverage, 808,
     /*  200843 */     GIR_Done,
     /*  200844 */   // Label 3928: @200844
     /*  200844 */   GIM_Try, /*On fail goto*//*Label 3929*/ GIMT_Encode4(200885), // Rule ID 810 //
     /*  200849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200852 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200859 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  200862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200866 */     // MIs[0] rs1
     /*  200866 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200878 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200878 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200883 */     GIR_RootConstrainSelectedInstOperands,
     /*  200884 */     // GIR_Coverage, 810,
     /*  200884 */     GIR_Done,
     /*  200885 */   // Label 3929: @200885
     /*  200885 */   GIM_Try, /*On fail goto*//*Label 3930*/ GIMT_Encode4(200926), // Rule ID 812 //
     /*  200890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200893 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200900 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  200903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200907 */     // MIs[0] rs1
     /*  200907 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200919 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200919 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200924 */     GIR_RootConstrainSelectedInstOperands,
     /*  200925 */     // GIR_Coverage, 812,
     /*  200925 */     GIR_Done,
     /*  200926 */   // Label 3930: @200926
     /*  200926 */   GIM_Try, /*On fail goto*//*Label 3931*/ GIMT_Encode4(200967), // Rule ID 814 //
     /*  200931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200934 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200941 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  200944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200948 */     // MIs[0] rs1
     /*  200948 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200960 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  200960 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  200965 */     GIR_RootConstrainSelectedInstOperands,
     /*  200966 */     // GIR_Coverage, 814,
     /*  200966 */     GIR_Done,
     /*  200967 */   // Label 3931: @200967
     /*  200967 */   GIM_Try, /*On fail goto*//*Label 3932*/ GIMT_Encode4(201008), // Rule ID 816 //
     /*  200972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  200975 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  200982 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  200985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200989 */     // MIs[0] rs1
     /*  200989 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  200993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  200997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201001 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201001 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  201006 */     GIR_RootConstrainSelectedInstOperands,
     /*  201007 */     // GIR_Coverage, 816,
     /*  201007 */     GIR_Done,
     /*  201008 */   // Label 3932: @201008
     /*  201008 */   GIM_Try, /*On fail goto*//*Label 3933*/ GIMT_Encode4(201049), // Rule ID 978 //
     /*  201013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201030 */     // MIs[0] rs1
     /*  201030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201042 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  201047 */     GIR_RootConstrainSelectedInstOperands,
     /*  201048 */     // GIR_Coverage, 978,
     /*  201048 */     GIR_Done,
     /*  201049 */   // Label 3933: @201049
     /*  201049 */   GIM_Try, /*On fail goto*//*Label 3934*/ GIMT_Encode4(201090), // Rule ID 980 //
     /*  201054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201071 */     // MIs[0] rs1
     /*  201071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201083 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  201088 */     GIR_RootConstrainSelectedInstOperands,
     /*  201089 */     // GIR_Coverage, 980,
     /*  201089 */     GIR_Done,
     /*  201090 */   // Label 3934: @201090
     /*  201090 */   GIM_Try, /*On fail goto*//*Label 3935*/ GIMT_Encode4(201131), // Rule ID 982 //
     /*  201095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201112 */     // MIs[0] rs1
     /*  201112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201124 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  201129 */     GIR_RootConstrainSelectedInstOperands,
     /*  201130 */     // GIR_Coverage, 982,
     /*  201130 */     GIR_Done,
     /*  201131 */   // Label 3935: @201131
     /*  201131 */   GIM_Try, /*On fail goto*//*Label 3936*/ GIMT_Encode4(201172), // Rule ID 984 //
     /*  201136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201153 */     // MIs[0] rs1
     /*  201153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201165 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  201170 */     GIR_RootConstrainSelectedInstOperands,
     /*  201171 */     // GIR_Coverage, 984,
     /*  201171 */     GIR_Done,
     /*  201172 */   // Label 3936: @201172
     /*  201172 */   GIM_Try, /*On fail goto*//*Label 3937*/ GIMT_Encode4(201213), // Rule ID 986 //
     /*  201177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  201180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201194 */     // MIs[0] rs1
     /*  201194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201206 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  201211 */     GIR_RootConstrainSelectedInstOperands,
     /*  201212 */     // GIR_Coverage, 986,
     /*  201212 */     GIR_Done,
     /*  201213 */   // Label 3937: @201213
     /*  201213 */   GIM_Try, /*On fail goto*//*Label 3938*/ GIMT_Encode4(201254), // Rule ID 988 //
     /*  201218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201235 */     // MIs[0] rs1
     /*  201235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201247 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  201252 */     GIR_RootConstrainSelectedInstOperands,
     /*  201253 */     // GIR_Coverage, 988,
     /*  201253 */     GIR_Done,
     /*  201254 */   // Label 3938: @201254
     /*  201254 */   GIM_Try, /*On fail goto*//*Label 3939*/ GIMT_Encode4(201295), // Rule ID 990 //
     /*  201259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201276 */     // MIs[0] rs1
     /*  201276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201288 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  201293 */     GIR_RootConstrainSelectedInstOperands,
     /*  201294 */     // GIR_Coverage, 990,
     /*  201294 */     GIR_Done,
     /*  201295 */   // Label 3939: @201295
     /*  201295 */   GIM_Try, /*On fail goto*//*Label 3940*/ GIMT_Encode4(201336), // Rule ID 992 //
     /*  201300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201317 */     // MIs[0] rs1
     /*  201317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201329 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  201334 */     GIR_RootConstrainSelectedInstOperands,
     /*  201335 */     // GIR_Coverage, 992,
     /*  201335 */     GIR_Done,
     /*  201336 */   // Label 3940: @201336
     /*  201336 */   GIM_Try, /*On fail goto*//*Label 3941*/ GIMT_Encode4(201377), // Rule ID 994 //
     /*  201341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201358 */     // MIs[0] rs1
     /*  201358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201370 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  201375 */     GIR_RootConstrainSelectedInstOperands,
     /*  201376 */     // GIR_Coverage, 994,
     /*  201376 */     GIR_Done,
     /*  201377 */   // Label 3941: @201377
     /*  201377 */   GIM_Try, /*On fail goto*//*Label 3942*/ GIMT_Encode4(201418), // Rule ID 996 //
     /*  201382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  201385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  201392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201399 */     // MIs[0] rs1
     /*  201399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  201403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201411 */     // (atomic_load_max:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  201411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  201416 */     GIR_RootConstrainSelectedInstOperands,
     /*  201417 */     // GIR_Coverage, 996,
     /*  201417 */     GIR_Done,
     /*  201418 */   // Label 3942: @201418
     /*  201418 */   GIM_Reject,
     /*  201419 */ // Label 3912: @201419
     /*  201419 */ GIM_Reject,
     /*  201420 */ // Label 3910: @201420
     /*  201420 */ GIM_Try, /*On fail goto*//*Label 3943*/ GIMT_Encode4(203069),
     /*  201425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  201428 */   GIM_Try, /*On fail goto*//*Label 3944*/ GIMT_Encode4(201469), // Rule ID 449 //
     /*  201433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201436 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201443 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201450 */     // MIs[0] rs1
     /*  201450 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201454 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201462 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201462 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201467 */     GIR_RootConstrainSelectedInstOperands,
     /*  201468 */     // GIR_Coverage, 449,
     /*  201468 */     GIR_Done,
     /*  201469 */   // Label 3944: @201469
     /*  201469 */   GIM_Try, /*On fail goto*//*Label 3945*/ GIMT_Encode4(201510), // Rule ID 451 //
     /*  201474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201477 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201484 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201491 */     // MIs[0] rs1
     /*  201491 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201495 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201503 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201503 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ),
     /*  201508 */     GIR_RootConstrainSelectedInstOperands,
     /*  201509 */     // GIR_Coverage, 451,
     /*  201509 */     GIR_Done,
     /*  201510 */   // Label 3945: @201510
     /*  201510 */   GIM_Try, /*On fail goto*//*Label 3946*/ GIMT_Encode4(201551), // Rule ID 453 //
     /*  201515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201518 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201525 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201532 */     // MIs[0] rs1
     /*  201532 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201536 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201544 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201544 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_RL),
     /*  201549 */     GIR_RootConstrainSelectedInstOperands,
     /*  201550 */     // GIR_Coverage, 453,
     /*  201550 */     GIR_Done,
     /*  201551 */   // Label 3946: @201551
     /*  201551 */   GIM_Try, /*On fail goto*//*Label 3947*/ GIMT_Encode4(201592), // Rule ID 455 //
     /*  201556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201559 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201566 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201573 */     // MIs[0] rs1
     /*  201573 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201577 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201585 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201585 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  201590 */     GIR_RootConstrainSelectedInstOperands,
     /*  201591 */     // GIR_Coverage, 455,
     /*  201591 */     GIR_Done,
     /*  201592 */   // Label 3947: @201592
     /*  201592 */   GIM_Try, /*On fail goto*//*Label 3948*/ GIMT_Encode4(201633), // Rule ID 457 //
     /*  201597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  201600 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201607 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201614 */     // MIs[0] rs1
     /*  201614 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201626 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W_AQ_RL),
     /*  201631 */     GIR_RootConstrainSelectedInstOperands,
     /*  201632 */     // GIR_Coverage, 457,
     /*  201632 */     GIR_Done,
     /*  201633 */   // Label 3948: @201633
     /*  201633 */   GIM_Try, /*On fail goto*//*Label 3949*/ GIMT_Encode4(201674), // Rule ID 459 //
     /*  201638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201641 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201648 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201655 */     // MIs[0] rs1
     /*  201655 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201667 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_monotonic>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201667 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201672 */     GIR_RootConstrainSelectedInstOperands,
     /*  201673 */     // GIR_Coverage, 459,
     /*  201673 */     GIR_Done,
     /*  201674 */   // Label 3949: @201674
     /*  201674 */   GIM_Try, /*On fail goto*//*Label 3950*/ GIMT_Encode4(201715), // Rule ID 461 //
     /*  201679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201682 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201689 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201696 */     // MIs[0] rs1
     /*  201696 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201700 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201708 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acquire>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201708 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201713 */     GIR_RootConstrainSelectedInstOperands,
     /*  201714 */     // GIR_Coverage, 461,
     /*  201714 */     GIR_Done,
     /*  201715 */   // Label 3950: @201715
     /*  201715 */   GIM_Try, /*On fail goto*//*Label 3951*/ GIMT_Encode4(201756), // Rule ID 463 //
     /*  201720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201723 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201730 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201737 */     // MIs[0] rs1
     /*  201737 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201741 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201749 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_release>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201749 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201754 */     GIR_RootConstrainSelectedInstOperands,
     /*  201755 */     // GIR_Coverage, 463,
     /*  201755 */     GIR_Done,
     /*  201756 */   // Label 3951: @201756
     /*  201756 */   GIM_Try, /*On fail goto*//*Label 3952*/ GIMT_Encode4(201797), // Rule ID 465 //
     /*  201761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201764 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201771 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201778 */     // MIs[0] rs1
     /*  201778 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201790 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_acq_rel>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201790 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201795 */     GIR_RootConstrainSelectedInstOperands,
     /*  201796 */     // GIR_Coverage, 465,
     /*  201796 */     GIR_Done,
     /*  201797 */   // Label 3952: @201797
     /*  201797 */   GIM_Try, /*On fail goto*//*Label 3953*/ GIMT_Encode4(201838), // Rule ID 467 //
     /*  201802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  201805 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  201812 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  201815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201819 */     // MIs[0] rs1
     /*  201819 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201831 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i32>><<P:Predicate_atomic_load_max_i32_seq_cst>>  =>  (AMOMAX_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201831 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_W),
     /*  201836 */     GIR_RootConstrainSelectedInstOperands,
     /*  201837 */     // GIR_Coverage, 467,
     /*  201837 */     GIR_Done,
     /*  201838 */   // Label 3953: @201838
     /*  201838 */   GIM_Try, /*On fail goto*//*Label 3954*/ GIMT_Encode4(201879), // Rule ID 579 //
     /*  201843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201846 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201853 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  201856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201860 */     // MIs[0] rs1
     /*  201860 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201872 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201872 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  201877 */     GIR_RootConstrainSelectedInstOperands,
     /*  201878 */     // GIR_Coverage, 579,
     /*  201878 */     GIR_Done,
     /*  201879 */   // Label 3954: @201879
     /*  201879 */   GIM_Try, /*On fail goto*//*Label 3955*/ GIMT_Encode4(201920), // Rule ID 580 //
     /*  201884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201887 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201894 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  201897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201901 */     // MIs[0] rs1
     /*  201901 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201913 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201913 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ),
     /*  201918 */     GIR_RootConstrainSelectedInstOperands,
     /*  201919 */     // GIR_Coverage, 580,
     /*  201919 */     GIR_Done,
     /*  201920 */   // Label 3955: @201920
     /*  201920 */   GIM_Try, /*On fail goto*//*Label 3956*/ GIMT_Encode4(201961), // Rule ID 581 //
     /*  201925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201928 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201935 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  201938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201942 */     // MIs[0] rs1
     /*  201942 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201954 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201954 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_RL),
     /*  201959 */     GIR_RootConstrainSelectedInstOperands,
     /*  201960 */     // GIR_Coverage, 581,
     /*  201960 */     GIR_Done,
     /*  201961 */   // Label 3956: @201961
     /*  201961 */   GIM_Try, /*On fail goto*//*Label 3957*/ GIMT_Encode4(202002), // Rule ID 582 //
     /*  201966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  201969 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  201976 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  201979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201983 */     // MIs[0] rs1
     /*  201983 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  201987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  201995 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  201995 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  202000 */     GIR_RootConstrainSelectedInstOperands,
     /*  202001 */     // GIR_Coverage, 582,
     /*  202001 */     GIR_Done,
     /*  202002 */   // Label 3957: @202002
     /*  202002 */   GIM_Try, /*On fail goto*//*Label 3958*/ GIMT_Encode4(202043), // Rule ID 583 //
     /*  202007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  202010 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202017 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202024 */     // MIs[0] rs1
     /*  202024 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202028 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202036 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202036 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D_AQ_RL),
     /*  202041 */     GIR_RootConstrainSelectedInstOperands,
     /*  202042 */     // GIR_Coverage, 583,
     /*  202042 */     GIR_Done,
     /*  202043 */   // Label 3958: @202043
     /*  202043 */   GIM_Try, /*On fail goto*//*Label 3959*/ GIMT_Encode4(202084), // Rule ID 584 //
     /*  202048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202051 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202058 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202065 */     // MIs[0] rs1
     /*  202065 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202077 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_monotonic>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202077 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  202082 */     GIR_RootConstrainSelectedInstOperands,
     /*  202083 */     // GIR_Coverage, 584,
     /*  202083 */     GIR_Done,
     /*  202084 */   // Label 3959: @202084
     /*  202084 */   GIM_Try, /*On fail goto*//*Label 3960*/ GIMT_Encode4(202125), // Rule ID 585 //
     /*  202089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202092 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202099 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202106 */     // MIs[0] rs1
     /*  202106 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202118 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acquire>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202118 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  202123 */     GIR_RootConstrainSelectedInstOperands,
     /*  202124 */     // GIR_Coverage, 585,
     /*  202124 */     GIR_Done,
     /*  202125 */   // Label 3960: @202125
     /*  202125 */   GIM_Try, /*On fail goto*//*Label 3961*/ GIMT_Encode4(202166), // Rule ID 586 //
     /*  202130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202133 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202140 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202147 */     // MIs[0] rs1
     /*  202147 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202159 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_release>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202159 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  202164 */     GIR_RootConstrainSelectedInstOperands,
     /*  202165 */     // GIR_Coverage, 586,
     /*  202165 */     GIR_Done,
     /*  202166 */   // Label 3961: @202166
     /*  202166 */   GIM_Try, /*On fail goto*//*Label 3962*/ GIMT_Encode4(202207), // Rule ID 587 //
     /*  202171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202174 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202181 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202188 */     // MIs[0] rs1
     /*  202188 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202192 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202200 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_acq_rel>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202200 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  202205 */     GIR_RootConstrainSelectedInstOperands,
     /*  202206 */     // GIR_Coverage, 587,
     /*  202206 */     GIR_Done,
     /*  202207 */   // Label 3962: @202207
     /*  202207 */   GIM_Try, /*On fail goto*//*Label 3963*/ GIMT_Encode4(202248), // Rule ID 588 //
     /*  202212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  202215 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  202222 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202229 */     // MIs[0] rs1
     /*  202229 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202241 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i64>><<P:Predicate_atomic_load_max_i64_seq_cst>>  =>  (AMOMAX_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202241 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_D),
     /*  202246 */     GIR_RootConstrainSelectedInstOperands,
     /*  202247 */     // GIR_Coverage, 588,
     /*  202247 */     GIR_Done,
     /*  202248 */   // Label 3963: @202248
     /*  202248 */   GIM_Try, /*On fail goto*//*Label 3964*/ GIMT_Encode4(202289), // Rule ID 797 //
     /*  202253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202270 */     // MIs[0] rs1
     /*  202270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202282 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202287 */     GIR_RootConstrainSelectedInstOperands,
     /*  202288 */     // GIR_Coverage, 797,
     /*  202288 */     GIR_Done,
     /*  202289 */   // Label 3964: @202289
     /*  202289 */   GIM_Try, /*On fail goto*//*Label 3965*/ GIMT_Encode4(202330), // Rule ID 799 //
     /*  202294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202311 */     // MIs[0] rs1
     /*  202311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202323 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ),
     /*  202328 */     GIR_RootConstrainSelectedInstOperands,
     /*  202329 */     // GIR_Coverage, 799,
     /*  202329 */     GIR_Done,
     /*  202330 */   // Label 3965: @202330
     /*  202330 */   GIM_Try, /*On fail goto*//*Label 3966*/ GIMT_Encode4(202371), // Rule ID 801 //
     /*  202335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202352 */     // MIs[0] rs1
     /*  202352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202364 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_RL),
     /*  202369 */     GIR_RootConstrainSelectedInstOperands,
     /*  202370 */     // GIR_Coverage, 801,
     /*  202370 */     GIR_Done,
     /*  202371 */   // Label 3966: @202371
     /*  202371 */   GIM_Try, /*On fail goto*//*Label 3967*/ GIMT_Encode4(202412), // Rule ID 803 //
     /*  202376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202393 */     // MIs[0] rs1
     /*  202393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202405 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  202410 */     GIR_RootConstrainSelectedInstOperands,
     /*  202411 */     // GIR_Coverage, 803,
     /*  202411 */     GIR_Done,
     /*  202412 */   // Label 3967: @202412
     /*  202412 */   GIM_Try, /*On fail goto*//*Label 3968*/ GIMT_Encode4(202453), // Rule ID 805 //
     /*  202417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202434 */     // MIs[0] rs1
     /*  202434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202446 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B_AQ_RL),
     /*  202451 */     GIR_RootConstrainSelectedInstOperands,
     /*  202452 */     // GIR_Coverage, 805,
     /*  202452 */     GIR_Done,
     /*  202453 */   // Label 3968: @202453
     /*  202453 */   GIM_Try, /*On fail goto*//*Label 3969*/ GIMT_Encode4(202494), // Rule ID 807 //
     /*  202458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202475 */     // MIs[0] rs1
     /*  202475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202487 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_monotonic>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202492 */     GIR_RootConstrainSelectedInstOperands,
     /*  202493 */     // GIR_Coverage, 807,
     /*  202493 */     GIR_Done,
     /*  202494 */   // Label 3969: @202494
     /*  202494 */   GIM_Try, /*On fail goto*//*Label 3970*/ GIMT_Encode4(202535), // Rule ID 809 //
     /*  202499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202516 */     // MIs[0] rs1
     /*  202516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202528 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acquire>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202533 */     GIR_RootConstrainSelectedInstOperands,
     /*  202534 */     // GIR_Coverage, 809,
     /*  202534 */     GIR_Done,
     /*  202535 */   // Label 3970: @202535
     /*  202535 */   GIM_Try, /*On fail goto*//*Label 3971*/ GIMT_Encode4(202576), // Rule ID 811 //
     /*  202540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202557 */     // MIs[0] rs1
     /*  202557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202569 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_release>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202574 */     GIR_RootConstrainSelectedInstOperands,
     /*  202575 */     // GIR_Coverage, 811,
     /*  202575 */     GIR_Done,
     /*  202576 */   // Label 3971: @202576
     /*  202576 */   GIM_Try, /*On fail goto*//*Label 3972*/ GIMT_Encode4(202617), // Rule ID 813 //
     /*  202581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202598 */     // MIs[0] rs1
     /*  202598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202610 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_acq_rel>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202615 */     GIR_RootConstrainSelectedInstOperands,
     /*  202616 */     // GIR_Coverage, 813,
     /*  202616 */     GIR_Done,
     /*  202617 */   // Label 3972: @202617
     /*  202617 */   GIM_Try, /*On fail goto*//*Label 3973*/ GIMT_Encode4(202658), // Rule ID 815 //
     /*  202622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  202632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202639 */     // MIs[0] rs1
     /*  202639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202651 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i8>><<P:Predicate_atomic_load_max_i8_seq_cst>>  =>  (AMOMAX_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_B),
     /*  202656 */     GIR_RootConstrainSelectedInstOperands,
     /*  202657 */     // GIR_Coverage, 815,
     /*  202657 */     GIR_Done,
     /*  202658 */   // Label 3973: @202658
     /*  202658 */   GIM_Try, /*On fail goto*//*Label 3974*/ GIMT_Encode4(202699), // Rule ID 977 //
     /*  202663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202680 */     // MIs[0] rs1
     /*  202680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202692 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202697 */     GIR_RootConstrainSelectedInstOperands,
     /*  202698 */     // GIR_Coverage, 977,
     /*  202698 */     GIR_Done,
     /*  202699 */   // Label 3974: @202699
     /*  202699 */   GIM_Try, /*On fail goto*//*Label 3975*/ GIMT_Encode4(202740), // Rule ID 979 //
     /*  202704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202721 */     // MIs[0] rs1
     /*  202721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202733 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ),
     /*  202738 */     GIR_RootConstrainSelectedInstOperands,
     /*  202739 */     // GIR_Coverage, 979,
     /*  202739 */     GIR_Done,
     /*  202740 */   // Label 3975: @202740
     /*  202740 */   GIM_Try, /*On fail goto*//*Label 3976*/ GIMT_Encode4(202781), // Rule ID 981 //
     /*  202745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202762 */     // MIs[0] rs1
     /*  202762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202774 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_RL),
     /*  202779 */     GIR_RootConstrainSelectedInstOperands,
     /*  202780 */     // GIR_Coverage, 981,
     /*  202780 */     GIR_Done,
     /*  202781 */   // Label 3976: @202781
     /*  202781 */   GIM_Try, /*On fail goto*//*Label 3977*/ GIMT_Encode4(202822), // Rule ID 983 //
     /*  202786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  202799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202803 */     // MIs[0] rs1
     /*  202803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202815 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  202820 */     GIR_RootConstrainSelectedInstOperands,
     /*  202821 */     // GIR_Coverage, 983,
     /*  202821 */     GIR_Done,
     /*  202822 */   // Label 3977: @202822
     /*  202822 */   GIM_Try, /*On fail goto*//*Label 3978*/ GIMT_Encode4(202863), // Rule ID 985 //
     /*  202827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  202830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  202840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202844 */     // MIs[0] rs1
     /*  202844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202856 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H_AQ_RL),
     /*  202861 */     GIR_RootConstrainSelectedInstOperands,
     /*  202862 */     // GIR_Coverage, 985,
     /*  202862 */     GIR_Done,
     /*  202863 */   // Label 3978: @202863
     /*  202863 */   GIM_Try, /*On fail goto*//*Label 3979*/ GIMT_Encode4(202904), // Rule ID 987 //
     /*  202868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  202881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202885 */     // MIs[0] rs1
     /*  202885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202897 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_monotonic>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202902 */     GIR_RootConstrainSelectedInstOperands,
     /*  202903 */     // GIR_Coverage, 987,
     /*  202903 */     GIR_Done,
     /*  202904 */   // Label 3979: @202904
     /*  202904 */   GIM_Try, /*On fail goto*//*Label 3980*/ GIMT_Encode4(202945), // Rule ID 989 //
     /*  202909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  202922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202926 */     // MIs[0] rs1
     /*  202926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202938 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acquire>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202943 */     GIR_RootConstrainSelectedInstOperands,
     /*  202944 */     // GIR_Coverage, 989,
     /*  202944 */     GIR_Done,
     /*  202945 */   // Label 3980: @202945
     /*  202945 */   GIM_Try, /*On fail goto*//*Label 3981*/ GIMT_Encode4(202986), // Rule ID 991 //
     /*  202950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  202960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  202963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202967 */     // MIs[0] rs1
     /*  202967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  202971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  202979 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_release>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  202979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  202984 */     GIR_RootConstrainSelectedInstOperands,
     /*  202985 */     // GIR_Coverage, 991,
     /*  202985 */     GIR_Done,
     /*  202986 */   // Label 3981: @202986
     /*  202986 */   GIM_Try, /*On fail goto*//*Label 3982*/ GIMT_Encode4(203027), // Rule ID 993 //
     /*  202991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  202994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203008 */     // MIs[0] rs1
     /*  203008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203020 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_acq_rel>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  203025 */     GIR_RootConstrainSelectedInstOperands,
     /*  203026 */     // GIR_Coverage, 993,
     /*  203026 */     GIR_Done,
     /*  203027 */   // Label 3982: @203027
     /*  203027 */   GIM_Try, /*On fail goto*//*Label 3983*/ GIMT_Encode4(203068), // Rule ID 995 //
     /*  203032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  203035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203049 */     // MIs[0] rs1
     /*  203049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  203053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203061 */     // (atomic_load_max:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_max_i16>><<P:Predicate_atomic_load_max_i16_seq_cst>>  =>  (AMOMAX_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  203061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAX_H),
     /*  203066 */     GIR_RootConstrainSelectedInstOperands,
     /*  203067 */     // GIR_Coverage, 995,
     /*  203067 */     GIR_Done,
     /*  203068 */   // Label 3983: @203068
     /*  203068 */   GIM_Reject,
     /*  203069 */ // Label 3943: @203069
     /*  203069 */ GIM_Reject,
     /*  203070 */ // Label 3911: @203070
     /*  203070 */ GIM_Reject,
     /*  203071 */ // Label 33: @203071
     /*  203071 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 3986*/ GIMT_Encode4(205980),
     /*  203082 */ /*GILLT_s32*//*Label 3984*/ GIMT_Encode4(203090),
     /*  203086 */ /*GILLT_s64*//*Label 3985*/ GIMT_Encode4(204330),
     /*  203090 */ // Label 3984: @203090
     /*  203090 */ GIM_Try, /*On fail goto*//*Label 3987*/ GIMT_Encode4(204329),
     /*  203095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  203098 */   GIM_Try, /*On fail goto*//*Label 3988*/ GIMT_Encode4(203139), // Rule ID 470 //
     /*  203103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203106 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203113 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203120 */     // MIs[0] rs1
     /*  203120 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203132 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203132 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203137 */     GIR_RootConstrainSelectedInstOperands,
     /*  203138 */     // GIR_Coverage, 470,
     /*  203138 */     GIR_Done,
     /*  203139 */   // Label 3988: @203139
     /*  203139 */   GIM_Try, /*On fail goto*//*Label 3989*/ GIMT_Encode4(203180), // Rule ID 472 //
     /*  203144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203147 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203154 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203161 */     // MIs[0] rs1
     /*  203161 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203173 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  203178 */     GIR_RootConstrainSelectedInstOperands,
     /*  203179 */     // GIR_Coverage, 472,
     /*  203179 */     GIR_Done,
     /*  203180 */   // Label 3989: @203180
     /*  203180 */   GIM_Try, /*On fail goto*//*Label 3990*/ GIMT_Encode4(203221), // Rule ID 474 //
     /*  203185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203188 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203195 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203202 */     // MIs[0] rs1
     /*  203202 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203206 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203214 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203214 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  203219 */     GIR_RootConstrainSelectedInstOperands,
     /*  203220 */     // GIR_Coverage, 474,
     /*  203220 */     GIR_Done,
     /*  203221 */   // Label 3990: @203221
     /*  203221 */   GIM_Try, /*On fail goto*//*Label 3991*/ GIMT_Encode4(203262), // Rule ID 476 //
     /*  203226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203229 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203236 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203243 */     // MIs[0] rs1
     /*  203243 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203255 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203255 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  203260 */     GIR_RootConstrainSelectedInstOperands,
     /*  203261 */     // GIR_Coverage, 476,
     /*  203261 */     GIR_Done,
     /*  203262 */   // Label 3991: @203262
     /*  203262 */   GIM_Try, /*On fail goto*//*Label 3992*/ GIMT_Encode4(203303), // Rule ID 478 //
     /*  203267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  203270 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203277 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203284 */     // MIs[0] rs1
     /*  203284 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203288 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203296 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203296 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  203301 */     GIR_RootConstrainSelectedInstOperands,
     /*  203302 */     // GIR_Coverage, 478,
     /*  203302 */     GIR_Done,
     /*  203303 */   // Label 3992: @203303
     /*  203303 */   GIM_Try, /*On fail goto*//*Label 3993*/ GIMT_Encode4(203344), // Rule ID 480 //
     /*  203308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203311 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203318 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203325 */     // MIs[0] rs1
     /*  203325 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203329 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203337 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203337 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203342 */     GIR_RootConstrainSelectedInstOperands,
     /*  203343 */     // GIR_Coverage, 480,
     /*  203343 */     GIR_Done,
     /*  203344 */   // Label 3993: @203344
     /*  203344 */   GIM_Try, /*On fail goto*//*Label 3994*/ GIMT_Encode4(203385), // Rule ID 482 //
     /*  203349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203352 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203359 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203366 */     // MIs[0] rs1
     /*  203366 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203378 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203378 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203383 */     GIR_RootConstrainSelectedInstOperands,
     /*  203384 */     // GIR_Coverage, 482,
     /*  203384 */     GIR_Done,
     /*  203385 */   // Label 3994: @203385
     /*  203385 */   GIM_Try, /*On fail goto*//*Label 3995*/ GIMT_Encode4(203426), // Rule ID 484 //
     /*  203390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203393 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203400 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203407 */     // MIs[0] rs1
     /*  203407 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203419 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203419 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203424 */     GIR_RootConstrainSelectedInstOperands,
     /*  203425 */     // GIR_Coverage, 484,
     /*  203425 */     GIR_Done,
     /*  203426 */   // Label 3995: @203426
     /*  203426 */   GIM_Try, /*On fail goto*//*Label 3996*/ GIMT_Encode4(203467), // Rule ID 486 //
     /*  203431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203434 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203441 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203448 */     // MIs[0] rs1
     /*  203448 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203452 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203460 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203460 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203465 */     GIR_RootConstrainSelectedInstOperands,
     /*  203466 */     // GIR_Coverage, 486,
     /*  203466 */     GIR_Done,
     /*  203467 */   // Label 3996: @203467
     /*  203467 */   GIM_Try, /*On fail goto*//*Label 3997*/ GIMT_Encode4(203508), // Rule ID 488 //
     /*  203472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  203475 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  203482 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203489 */     // MIs[0] rs1
     /*  203489 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203501 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203501 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  203506 */     GIR_RootConstrainSelectedInstOperands,
     /*  203507 */     // GIR_Coverage, 488,
     /*  203507 */     GIR_Done,
     /*  203508 */   // Label 3997: @203508
     /*  203508 */   GIM_Try, /*On fail goto*//*Label 3998*/ GIMT_Encode4(203549), // Rule ID 818 //
     /*  203513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203516 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203523 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203530 */     // MIs[0] rs1
     /*  203530 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203534 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203542 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203542 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203547 */     GIR_RootConstrainSelectedInstOperands,
     /*  203548 */     // GIR_Coverage, 818,
     /*  203548 */     GIR_Done,
     /*  203549 */   // Label 3998: @203549
     /*  203549 */   GIM_Try, /*On fail goto*//*Label 3999*/ GIMT_Encode4(203590), // Rule ID 820 //
     /*  203554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203557 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203564 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203571 */     // MIs[0] rs1
     /*  203571 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203575 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203583 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203583 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  203588 */     GIR_RootConstrainSelectedInstOperands,
     /*  203589 */     // GIR_Coverage, 820,
     /*  203589 */     GIR_Done,
     /*  203590 */   // Label 3999: @203590
     /*  203590 */   GIM_Try, /*On fail goto*//*Label 4000*/ GIMT_Encode4(203631), // Rule ID 822 //
     /*  203595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203598 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203605 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203612 */     // MIs[0] rs1
     /*  203612 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203624 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203624 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  203629 */     GIR_RootConstrainSelectedInstOperands,
     /*  203630 */     // GIR_Coverage, 822,
     /*  203630 */     GIR_Done,
     /*  203631 */   // Label 4000: @203631
     /*  203631 */   GIM_Try, /*On fail goto*//*Label 4001*/ GIMT_Encode4(203672), // Rule ID 824 //
     /*  203636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203639 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203646 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203653 */     // MIs[0] rs1
     /*  203653 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203657 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203665 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203665 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  203670 */     GIR_RootConstrainSelectedInstOperands,
     /*  203671 */     // GIR_Coverage, 824,
     /*  203671 */     GIR_Done,
     /*  203672 */   // Label 4001: @203672
     /*  203672 */   GIM_Try, /*On fail goto*//*Label 4002*/ GIMT_Encode4(203713), // Rule ID 826 //
     /*  203677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203680 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203687 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203694 */     // MIs[0] rs1
     /*  203694 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203706 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203706 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  203711 */     GIR_RootConstrainSelectedInstOperands,
     /*  203712 */     // GIR_Coverage, 826,
     /*  203712 */     GIR_Done,
     /*  203713 */   // Label 4002: @203713
     /*  203713 */   GIM_Try, /*On fail goto*//*Label 4003*/ GIMT_Encode4(203754), // Rule ID 828 //
     /*  203718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203721 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203728 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203735 */     // MIs[0] rs1
     /*  203735 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203739 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203747 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203747 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203752 */     GIR_RootConstrainSelectedInstOperands,
     /*  203753 */     // GIR_Coverage, 828,
     /*  203753 */     GIR_Done,
     /*  203754 */   // Label 4003: @203754
     /*  203754 */   GIM_Try, /*On fail goto*//*Label 4004*/ GIMT_Encode4(203795), // Rule ID 830 //
     /*  203759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203762 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203769 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203776 */     // MIs[0] rs1
     /*  203776 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203780 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203788 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203793 */     GIR_RootConstrainSelectedInstOperands,
     /*  203794 */     // GIR_Coverage, 830,
     /*  203794 */     GIR_Done,
     /*  203795 */   // Label 4004: @203795
     /*  203795 */   GIM_Try, /*On fail goto*//*Label 4005*/ GIMT_Encode4(203836), // Rule ID 832 //
     /*  203800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203803 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203810 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  203813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203817 */     // MIs[0] rs1
     /*  203817 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203821 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203829 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203829 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203834 */     GIR_RootConstrainSelectedInstOperands,
     /*  203835 */     // GIR_Coverage, 832,
     /*  203835 */     GIR_Done,
     /*  203836 */   // Label 4005: @203836
     /*  203836 */   GIM_Try, /*On fail goto*//*Label 4006*/ GIMT_Encode4(203877), // Rule ID 834 //
     /*  203841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203844 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203851 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  203854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203858 */     // MIs[0] rs1
     /*  203858 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203862 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203870 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203870 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203875 */     GIR_RootConstrainSelectedInstOperands,
     /*  203876 */     // GIR_Coverage, 834,
     /*  203876 */     GIR_Done,
     /*  203877 */   // Label 4006: @203877
     /*  203877 */   GIM_Try, /*On fail goto*//*Label 4007*/ GIMT_Encode4(203918), // Rule ID 836 //
     /*  203882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  203885 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  203892 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  203895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203899 */     // MIs[0] rs1
     /*  203899 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203911 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203911 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  203916 */     GIR_RootConstrainSelectedInstOperands,
     /*  203917 */     // GIR_Coverage, 836,
     /*  203917 */     GIR_Done,
     /*  203918 */   // Label 4007: @203918
     /*  203918 */   GIM_Try, /*On fail goto*//*Label 4008*/ GIMT_Encode4(203959), // Rule ID 998 //
     /*  203923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  203936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203940 */     // MIs[0] rs1
     /*  203940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203952 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  203957 */     GIR_RootConstrainSelectedInstOperands,
     /*  203958 */     // GIR_Coverage, 998,
     /*  203958 */     GIR_Done,
     /*  203959 */   // Label 4008: @203959
     /*  203959 */   GIM_Try, /*On fail goto*//*Label 4009*/ GIMT_Encode4(204000), // Rule ID 1000 //
     /*  203964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  203967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  203974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  203977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203981 */     // MIs[0] rs1
     /*  203981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  203985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  203993 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  203993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  203998 */     GIR_RootConstrainSelectedInstOperands,
     /*  203999 */     // GIR_Coverage, 1000,
     /*  203999 */     GIR_Done,
     /*  204000 */   // Label 4009: @204000
     /*  204000 */   GIM_Try, /*On fail goto*//*Label 4010*/ GIMT_Encode4(204041), // Rule ID 1002 //
     /*  204005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204022 */     // MIs[0] rs1
     /*  204022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204034 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  204039 */     GIR_RootConstrainSelectedInstOperands,
     /*  204040 */     // GIR_Coverage, 1002,
     /*  204040 */     GIR_Done,
     /*  204041 */   // Label 4010: @204041
     /*  204041 */   GIM_Try, /*On fail goto*//*Label 4011*/ GIMT_Encode4(204082), // Rule ID 1004 //
     /*  204046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204063 */     // MIs[0] rs1
     /*  204063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204075 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  204080 */     GIR_RootConstrainSelectedInstOperands,
     /*  204081 */     // GIR_Coverage, 1004,
     /*  204081 */     GIR_Done,
     /*  204082 */   // Label 4011: @204082
     /*  204082 */   GIM_Try, /*On fail goto*//*Label 4012*/ GIMT_Encode4(204123), // Rule ID 1006 //
     /*  204087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  204090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204104 */     // MIs[0] rs1
     /*  204104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204116 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  204121 */     GIR_RootConstrainSelectedInstOperands,
     /*  204122 */     // GIR_Coverage, 1006,
     /*  204122 */     GIR_Done,
     /*  204123 */   // Label 4012: @204123
     /*  204123 */   GIM_Try, /*On fail goto*//*Label 4013*/ GIMT_Encode4(204164), // Rule ID 1008 //
     /*  204128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204145 */     // MIs[0] rs1
     /*  204145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204157 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  204162 */     GIR_RootConstrainSelectedInstOperands,
     /*  204163 */     // GIR_Coverage, 1008,
     /*  204163 */     GIR_Done,
     /*  204164 */   // Label 4013: @204164
     /*  204164 */   GIM_Try, /*On fail goto*//*Label 4014*/ GIMT_Encode4(204205), // Rule ID 1010 //
     /*  204169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204186 */     // MIs[0] rs1
     /*  204186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204198 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  204203 */     GIR_RootConstrainSelectedInstOperands,
     /*  204204 */     // GIR_Coverage, 1010,
     /*  204204 */     GIR_Done,
     /*  204205 */   // Label 4014: @204205
     /*  204205 */   GIM_Try, /*On fail goto*//*Label 4015*/ GIMT_Encode4(204246), // Rule ID 1012 //
     /*  204210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204227 */     // MIs[0] rs1
     /*  204227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204239 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  204244 */     GIR_RootConstrainSelectedInstOperands,
     /*  204245 */     // GIR_Coverage, 1012,
     /*  204245 */     GIR_Done,
     /*  204246 */   // Label 4015: @204246
     /*  204246 */   GIM_Try, /*On fail goto*//*Label 4016*/ GIMT_Encode4(204287), // Rule ID 1014 //
     /*  204251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204268 */     // MIs[0] rs1
     /*  204268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204280 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  204285 */     GIR_RootConstrainSelectedInstOperands,
     /*  204286 */     // GIR_Coverage, 1014,
     /*  204286 */     GIR_Done,
     /*  204287 */   // Label 4016: @204287
     /*  204287 */   GIM_Try, /*On fail goto*//*Label 4017*/ GIMT_Encode4(204328), // Rule ID 1016 //
     /*  204292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  204295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  204302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204309 */     // MIs[0] rs1
     /*  204309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  204313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204321 */     // (atomic_load_min:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  204321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  204326 */     GIR_RootConstrainSelectedInstOperands,
     /*  204327 */     // GIR_Coverage, 1016,
     /*  204327 */     GIR_Done,
     /*  204328 */   // Label 4017: @204328
     /*  204328 */   GIM_Reject,
     /*  204329 */ // Label 3987: @204329
     /*  204329 */ GIM_Reject,
     /*  204330 */ // Label 3985: @204330
     /*  204330 */ GIM_Try, /*On fail goto*//*Label 4018*/ GIMT_Encode4(205979),
     /*  204335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  204338 */   GIM_Try, /*On fail goto*//*Label 4019*/ GIMT_Encode4(204379), // Rule ID 469 //
     /*  204343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204346 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204353 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204360 */     // MIs[0] rs1
     /*  204360 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204372 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204372 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204377 */     GIR_RootConstrainSelectedInstOperands,
     /*  204378 */     // GIR_Coverage, 469,
     /*  204378 */     GIR_Done,
     /*  204379 */   // Label 4019: @204379
     /*  204379 */   GIM_Try, /*On fail goto*//*Label 4020*/ GIMT_Encode4(204420), // Rule ID 471 //
     /*  204384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204387 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204394 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204401 */     // MIs[0] rs1
     /*  204401 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204405 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204413 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204413 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ),
     /*  204418 */     GIR_RootConstrainSelectedInstOperands,
     /*  204419 */     // GIR_Coverage, 471,
     /*  204419 */     GIR_Done,
     /*  204420 */   // Label 4020: @204420
     /*  204420 */   GIM_Try, /*On fail goto*//*Label 4021*/ GIMT_Encode4(204461), // Rule ID 473 //
     /*  204425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204428 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204435 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204442 */     // MIs[0] rs1
     /*  204442 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204454 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_RL),
     /*  204459 */     GIR_RootConstrainSelectedInstOperands,
     /*  204460 */     // GIR_Coverage, 473,
     /*  204460 */     GIR_Done,
     /*  204461 */   // Label 4021: @204461
     /*  204461 */   GIM_Try, /*On fail goto*//*Label 4022*/ GIMT_Encode4(204502), // Rule ID 475 //
     /*  204466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204469 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204476 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204483 */     // MIs[0] rs1
     /*  204483 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204487 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204495 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204495 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  204500 */     GIR_RootConstrainSelectedInstOperands,
     /*  204501 */     // GIR_Coverage, 475,
     /*  204501 */     GIR_Done,
     /*  204502 */   // Label 4022: @204502
     /*  204502 */   GIM_Try, /*On fail goto*//*Label 4023*/ GIMT_Encode4(204543), // Rule ID 477 //
     /*  204507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  204510 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204517 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204524 */     // MIs[0] rs1
     /*  204524 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204528 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204536 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204536 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W_AQ_RL),
     /*  204541 */     GIR_RootConstrainSelectedInstOperands,
     /*  204542 */     // GIR_Coverage, 477,
     /*  204542 */     GIR_Done,
     /*  204543 */   // Label 4023: @204543
     /*  204543 */   GIM_Try, /*On fail goto*//*Label 4024*/ GIMT_Encode4(204584), // Rule ID 479 //
     /*  204548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204551 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204558 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204565 */     // MIs[0] rs1
     /*  204565 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204569 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204577 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_monotonic>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204577 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204582 */     GIR_RootConstrainSelectedInstOperands,
     /*  204583 */     // GIR_Coverage, 479,
     /*  204583 */     GIR_Done,
     /*  204584 */   // Label 4024: @204584
     /*  204584 */   GIM_Try, /*On fail goto*//*Label 4025*/ GIMT_Encode4(204625), // Rule ID 481 //
     /*  204589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204592 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204599 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204606 */     // MIs[0] rs1
     /*  204606 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204618 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acquire>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204618 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204623 */     GIR_RootConstrainSelectedInstOperands,
     /*  204624 */     // GIR_Coverage, 481,
     /*  204624 */     GIR_Done,
     /*  204625 */   // Label 4025: @204625
     /*  204625 */   GIM_Try, /*On fail goto*//*Label 4026*/ GIMT_Encode4(204666), // Rule ID 483 //
     /*  204630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204633 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204640 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204647 */     // MIs[0] rs1
     /*  204647 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204659 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_release>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204659 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204664 */     GIR_RootConstrainSelectedInstOperands,
     /*  204665 */     // GIR_Coverage, 483,
     /*  204665 */     GIR_Done,
     /*  204666 */   // Label 4026: @204666
     /*  204666 */   GIM_Try, /*On fail goto*//*Label 4027*/ GIMT_Encode4(204707), // Rule ID 485 //
     /*  204671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204674 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204681 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204688 */     // MIs[0] rs1
     /*  204688 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204700 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_acq_rel>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204700 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204705 */     GIR_RootConstrainSelectedInstOperands,
     /*  204706 */     // GIR_Coverage, 485,
     /*  204706 */     GIR_Done,
     /*  204707 */   // Label 4027: @204707
     /*  204707 */   GIM_Try, /*On fail goto*//*Label 4028*/ GIMT_Encode4(204748), // Rule ID 487 //
     /*  204712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  204715 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  204722 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204729 */     // MIs[0] rs1
     /*  204729 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204741 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i32>><<P:Predicate_atomic_load_min_i32_seq_cst>>  =>  (AMOMIN_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_W),
     /*  204746 */     GIR_RootConstrainSelectedInstOperands,
     /*  204747 */     // GIR_Coverage, 487,
     /*  204747 */     GIR_Done,
     /*  204748 */   // Label 4028: @204748
     /*  204748 */   GIM_Try, /*On fail goto*//*Label 4029*/ GIMT_Encode4(204789), // Rule ID 589 //
     /*  204753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204756 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204763 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204770 */     // MIs[0] rs1
     /*  204770 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204782 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204787 */     GIR_RootConstrainSelectedInstOperands,
     /*  204788 */     // GIR_Coverage, 589,
     /*  204788 */     GIR_Done,
     /*  204789 */   // Label 4029: @204789
     /*  204789 */   GIM_Try, /*On fail goto*//*Label 4030*/ GIMT_Encode4(204830), // Rule ID 590 //
     /*  204794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204797 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204804 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  204807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204811 */     // MIs[0] rs1
     /*  204811 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204823 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204823 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ),
     /*  204828 */     GIR_RootConstrainSelectedInstOperands,
     /*  204829 */     // GIR_Coverage, 590,
     /*  204829 */     GIR_Done,
     /*  204830 */   // Label 4030: @204830
     /*  204830 */   GIM_Try, /*On fail goto*//*Label 4031*/ GIMT_Encode4(204871), // Rule ID 591 //
     /*  204835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204838 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204845 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  204848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204852 */     // MIs[0] rs1
     /*  204852 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204856 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204864 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204864 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_RL),
     /*  204869 */     GIR_RootConstrainSelectedInstOperands,
     /*  204870 */     // GIR_Coverage, 591,
     /*  204870 */     GIR_Done,
     /*  204871 */   // Label 4031: @204871
     /*  204871 */   GIM_Try, /*On fail goto*//*Label 4032*/ GIMT_Encode4(204912), // Rule ID 592 //
     /*  204876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204879 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204886 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  204889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204893 */     // MIs[0] rs1
     /*  204893 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204897 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204905 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204905 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  204910 */     GIR_RootConstrainSelectedInstOperands,
     /*  204911 */     // GIR_Coverage, 592,
     /*  204911 */     GIR_Done,
     /*  204912 */   // Label 4032: @204912
     /*  204912 */   GIM_Try, /*On fail goto*//*Label 4033*/ GIMT_Encode4(204953), // Rule ID 593 //
     /*  204917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  204920 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204927 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  204930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204934 */     // MIs[0] rs1
     /*  204934 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204946 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204946 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D_AQ_RL),
     /*  204951 */     GIR_RootConstrainSelectedInstOperands,
     /*  204952 */     // GIR_Coverage, 593,
     /*  204952 */     GIR_Done,
     /*  204953 */   // Label 4033: @204953
     /*  204953 */   GIM_Try, /*On fail goto*//*Label 4034*/ GIMT_Encode4(204994), // Rule ID 594 //
     /*  204958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  204961 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  204968 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  204971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204975 */     // MIs[0] rs1
     /*  204975 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  204979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  204987 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_monotonic>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  204987 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  204992 */     GIR_RootConstrainSelectedInstOperands,
     /*  204993 */     // GIR_Coverage, 594,
     /*  204993 */     GIR_Done,
     /*  204994 */   // Label 4034: @204994
     /*  204994 */   GIM_Try, /*On fail goto*//*Label 4035*/ GIMT_Encode4(205035), // Rule ID 595 //
     /*  204999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205002 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205009 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205016 */     // MIs[0] rs1
     /*  205016 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205028 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acquire>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205028 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  205033 */     GIR_RootConstrainSelectedInstOperands,
     /*  205034 */     // GIR_Coverage, 595,
     /*  205034 */     GIR_Done,
     /*  205035 */   // Label 4035: @205035
     /*  205035 */   GIM_Try, /*On fail goto*//*Label 4036*/ GIMT_Encode4(205076), // Rule ID 596 //
     /*  205040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205043 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205050 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205057 */     // MIs[0] rs1
     /*  205057 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205061 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205069 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_release>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205069 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  205074 */     GIR_RootConstrainSelectedInstOperands,
     /*  205075 */     // GIR_Coverage, 596,
     /*  205075 */     GIR_Done,
     /*  205076 */   // Label 4036: @205076
     /*  205076 */   GIM_Try, /*On fail goto*//*Label 4037*/ GIMT_Encode4(205117), // Rule ID 597 //
     /*  205081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205084 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205091 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205098 */     // MIs[0] rs1
     /*  205098 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205110 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_acq_rel>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205110 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  205115 */     GIR_RootConstrainSelectedInstOperands,
     /*  205116 */     // GIR_Coverage, 597,
     /*  205116 */     GIR_Done,
     /*  205117 */   // Label 4037: @205117
     /*  205117 */   GIM_Try, /*On fail goto*//*Label 4038*/ GIMT_Encode4(205158), // Rule ID 598 //
     /*  205122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  205125 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  205132 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205139 */     // MIs[0] rs1
     /*  205139 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205151 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i64>><<P:Predicate_atomic_load_min_i64_seq_cst>>  =>  (AMOMIN_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205151 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_D),
     /*  205156 */     GIR_RootConstrainSelectedInstOperands,
     /*  205157 */     // GIR_Coverage, 598,
     /*  205157 */     GIR_Done,
     /*  205158 */   // Label 4038: @205158
     /*  205158 */   GIM_Try, /*On fail goto*//*Label 4039*/ GIMT_Encode4(205199), // Rule ID 817 //
     /*  205163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205180 */     // MIs[0] rs1
     /*  205180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205192 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205197 */     GIR_RootConstrainSelectedInstOperands,
     /*  205198 */     // GIR_Coverage, 817,
     /*  205198 */     GIR_Done,
     /*  205199 */   // Label 4039: @205199
     /*  205199 */   GIM_Try, /*On fail goto*//*Label 4040*/ GIMT_Encode4(205240), // Rule ID 819 //
     /*  205204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205221 */     // MIs[0] rs1
     /*  205221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205233 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ),
     /*  205238 */     GIR_RootConstrainSelectedInstOperands,
     /*  205239 */     // GIR_Coverage, 819,
     /*  205239 */     GIR_Done,
     /*  205240 */   // Label 4040: @205240
     /*  205240 */   GIM_Try, /*On fail goto*//*Label 4041*/ GIMT_Encode4(205281), // Rule ID 821 //
     /*  205245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205262 */     // MIs[0] rs1
     /*  205262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205274 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_RL),
     /*  205279 */     GIR_RootConstrainSelectedInstOperands,
     /*  205280 */     // GIR_Coverage, 821,
     /*  205280 */     GIR_Done,
     /*  205281 */   // Label 4041: @205281
     /*  205281 */   GIM_Try, /*On fail goto*//*Label 4042*/ GIMT_Encode4(205322), // Rule ID 823 //
     /*  205286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205303 */     // MIs[0] rs1
     /*  205303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205315 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  205320 */     GIR_RootConstrainSelectedInstOperands,
     /*  205321 */     // GIR_Coverage, 823,
     /*  205321 */     GIR_Done,
     /*  205322 */   // Label 4042: @205322
     /*  205322 */   GIM_Try, /*On fail goto*//*Label 4043*/ GIMT_Encode4(205363), // Rule ID 825 //
     /*  205327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205344 */     // MIs[0] rs1
     /*  205344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205356 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B_AQ_RL),
     /*  205361 */     GIR_RootConstrainSelectedInstOperands,
     /*  205362 */     // GIR_Coverage, 825,
     /*  205362 */     GIR_Done,
     /*  205363 */   // Label 4043: @205363
     /*  205363 */   GIM_Try, /*On fail goto*//*Label 4044*/ GIMT_Encode4(205404), // Rule ID 827 //
     /*  205368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205385 */     // MIs[0] rs1
     /*  205385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205397 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_monotonic>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205402 */     GIR_RootConstrainSelectedInstOperands,
     /*  205403 */     // GIR_Coverage, 827,
     /*  205403 */     GIR_Done,
     /*  205404 */   // Label 4044: @205404
     /*  205404 */   GIM_Try, /*On fail goto*//*Label 4045*/ GIMT_Encode4(205445), // Rule ID 829 //
     /*  205409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205426 */     // MIs[0] rs1
     /*  205426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205438 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acquire>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205443 */     GIR_RootConstrainSelectedInstOperands,
     /*  205444 */     // GIR_Coverage, 829,
     /*  205444 */     GIR_Done,
     /*  205445 */   // Label 4045: @205445
     /*  205445 */   GIM_Try, /*On fail goto*//*Label 4046*/ GIMT_Encode4(205486), // Rule ID 831 //
     /*  205450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205467 */     // MIs[0] rs1
     /*  205467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205479 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_release>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205484 */     GIR_RootConstrainSelectedInstOperands,
     /*  205485 */     // GIR_Coverage, 831,
     /*  205485 */     GIR_Done,
     /*  205486 */   // Label 4046: @205486
     /*  205486 */   GIM_Try, /*On fail goto*//*Label 4047*/ GIMT_Encode4(205527), // Rule ID 833 //
     /*  205491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205508 */     // MIs[0] rs1
     /*  205508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205520 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_acq_rel>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205525 */     GIR_RootConstrainSelectedInstOperands,
     /*  205526 */     // GIR_Coverage, 833,
     /*  205526 */     GIR_Done,
     /*  205527 */   // Label 4047: @205527
     /*  205527 */   GIM_Try, /*On fail goto*//*Label 4048*/ GIMT_Encode4(205568), // Rule ID 835 //
     /*  205532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  205542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205549 */     // MIs[0] rs1
     /*  205549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205561 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i8>><<P:Predicate_atomic_load_min_i8_seq_cst>>  =>  (AMOMIN_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_B),
     /*  205566 */     GIR_RootConstrainSelectedInstOperands,
     /*  205567 */     // GIR_Coverage, 835,
     /*  205567 */     GIR_Done,
     /*  205568 */   // Label 4048: @205568
     /*  205568 */   GIM_Try, /*On fail goto*//*Label 4049*/ GIMT_Encode4(205609), // Rule ID 997 //
     /*  205573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205590 */     // MIs[0] rs1
     /*  205590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205602 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205607 */     GIR_RootConstrainSelectedInstOperands,
     /*  205608 */     // GIR_Coverage, 997,
     /*  205608 */     GIR_Done,
     /*  205609 */   // Label 4049: @205609
     /*  205609 */   GIM_Try, /*On fail goto*//*Label 4050*/ GIMT_Encode4(205650), // Rule ID 999 //
     /*  205614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205631 */     // MIs[0] rs1
     /*  205631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205643 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ),
     /*  205648 */     GIR_RootConstrainSelectedInstOperands,
     /*  205649 */     // GIR_Coverage, 999,
     /*  205649 */     GIR_Done,
     /*  205650 */   // Label 4050: @205650
     /*  205650 */   GIM_Try, /*On fail goto*//*Label 4051*/ GIMT_Encode4(205691), // Rule ID 1001 //
     /*  205655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205672 */     // MIs[0] rs1
     /*  205672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205684 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_RL),
     /*  205689 */     GIR_RootConstrainSelectedInstOperands,
     /*  205690 */     // GIR_Coverage, 1001,
     /*  205690 */     GIR_Done,
     /*  205691 */   // Label 4051: @205691
     /*  205691 */   GIM_Try, /*On fail goto*//*Label 4052*/ GIMT_Encode4(205732), // Rule ID 1003 //
     /*  205696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205713 */     // MIs[0] rs1
     /*  205713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205725 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  205730 */     GIR_RootConstrainSelectedInstOperands,
     /*  205731 */     // GIR_Coverage, 1003,
     /*  205731 */     GIR_Done,
     /*  205732 */   // Label 4052: @205732
     /*  205732 */   GIM_Try, /*On fail goto*//*Label 4053*/ GIMT_Encode4(205773), // Rule ID 1005 //
     /*  205737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  205740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205754 */     // MIs[0] rs1
     /*  205754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205766 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H_AQ_RL),
     /*  205771 */     GIR_RootConstrainSelectedInstOperands,
     /*  205772 */     // GIR_Coverage, 1005,
     /*  205772 */     GIR_Done,
     /*  205773 */   // Label 4053: @205773
     /*  205773 */   GIM_Try, /*On fail goto*//*Label 4054*/ GIMT_Encode4(205814), // Rule ID 1007 //
     /*  205778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  205791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205795 */     // MIs[0] rs1
     /*  205795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205807 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_monotonic>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205812 */     GIR_RootConstrainSelectedInstOperands,
     /*  205813 */     // GIR_Coverage, 1007,
     /*  205813 */     GIR_Done,
     /*  205814 */   // Label 4054: @205814
     /*  205814 */   GIM_Try, /*On fail goto*//*Label 4055*/ GIMT_Encode4(205855), // Rule ID 1009 //
     /*  205819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  205832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205836 */     // MIs[0] rs1
     /*  205836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205848 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acquire>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205853 */     GIR_RootConstrainSelectedInstOperands,
     /*  205854 */     // GIR_Coverage, 1009,
     /*  205854 */     GIR_Done,
     /*  205855 */   // Label 4055: @205855
     /*  205855 */   GIM_Try, /*On fail goto*//*Label 4056*/ GIMT_Encode4(205896), // Rule ID 1011 //
     /*  205860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  205873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205877 */     // MIs[0] rs1
     /*  205877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205889 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_release>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205894 */     GIR_RootConstrainSelectedInstOperands,
     /*  205895 */     // GIR_Coverage, 1011,
     /*  205895 */     GIR_Done,
     /*  205896 */   // Label 4056: @205896
     /*  205896 */   GIM_Try, /*On fail goto*//*Label 4057*/ GIMT_Encode4(205937), // Rule ID 1013 //
     /*  205901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  205914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205918 */     // MIs[0] rs1
     /*  205918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205930 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_acq_rel>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205935 */     GIR_RootConstrainSelectedInstOperands,
     /*  205936 */     // GIR_Coverage, 1013,
     /*  205936 */     GIR_Done,
     /*  205937 */   // Label 4057: @205937
     /*  205937 */   GIM_Try, /*On fail goto*//*Label 4058*/ GIMT_Encode4(205978), // Rule ID 1015 //
     /*  205942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  205945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  205952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  205955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205959 */     // MIs[0] rs1
     /*  205959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  205963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  205971 */     // (atomic_load_min:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_min_i16>><<P:Predicate_atomic_load_min_i16_seq_cst>>  =>  (AMOMIN_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  205971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMIN_H),
     /*  205976 */     GIR_RootConstrainSelectedInstOperands,
     /*  205977 */     // GIR_Coverage, 1015,
     /*  205977 */     GIR_Done,
     /*  205978 */   // Label 4058: @205978
     /*  205978 */   GIM_Reject,
     /*  205979 */ // Label 4018: @205979
     /*  205979 */ GIM_Reject,
     /*  205980 */ // Label 3986: @205980
     /*  205980 */ GIM_Reject,
     /*  205981 */ // Label 34: @205981
     /*  205981 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4061*/ GIMT_Encode4(208890),
     /*  205992 */ /*GILLT_s32*//*Label 4059*/ GIMT_Encode4(206000),
     /*  205996 */ /*GILLT_s64*//*Label 4060*/ GIMT_Encode4(207240),
     /*  206000 */ // Label 4059: @206000
     /*  206000 */ GIM_Try, /*On fail goto*//*Label 4062*/ GIMT_Encode4(207239),
     /*  206005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  206008 */   GIM_Try, /*On fail goto*//*Label 4063*/ GIMT_Encode4(206049), // Rule ID 490 //
     /*  206013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  206016 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206023 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206030 */     // MIs[0] rs1
     /*  206030 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206034 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206042 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206042 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206047 */     GIR_RootConstrainSelectedInstOperands,
     /*  206048 */     // GIR_Coverage, 490,
     /*  206048 */     GIR_Done,
     /*  206049 */   // Label 4063: @206049
     /*  206049 */   GIM_Try, /*On fail goto*//*Label 4064*/ GIMT_Encode4(206090), // Rule ID 492 //
     /*  206054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  206057 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206064 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206071 */     // MIs[0] rs1
     /*  206071 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206083 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206083 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  206088 */     GIR_RootConstrainSelectedInstOperands,
     /*  206089 */     // GIR_Coverage, 492,
     /*  206089 */     GIR_Done,
     /*  206090 */   // Label 4064: @206090
     /*  206090 */   GIM_Try, /*On fail goto*//*Label 4065*/ GIMT_Encode4(206131), // Rule ID 494 //
     /*  206095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  206098 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206105 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206112 */     // MIs[0] rs1
     /*  206112 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206124 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206124 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  206129 */     GIR_RootConstrainSelectedInstOperands,
     /*  206130 */     // GIR_Coverage, 494,
     /*  206130 */     GIR_Done,
     /*  206131 */   // Label 4065: @206131
     /*  206131 */   GIM_Try, /*On fail goto*//*Label 4066*/ GIMT_Encode4(206172), // Rule ID 496 //
     /*  206136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  206139 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206146 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206153 */     // MIs[0] rs1
     /*  206153 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206157 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206165 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206165 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  206170 */     GIR_RootConstrainSelectedInstOperands,
     /*  206171 */     // GIR_Coverage, 496,
     /*  206171 */     GIR_Done,
     /*  206172 */   // Label 4066: @206172
     /*  206172 */   GIM_Try, /*On fail goto*//*Label 4067*/ GIMT_Encode4(206213), // Rule ID 498 //
     /*  206177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  206180 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206187 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206194 */     // MIs[0] rs1
     /*  206194 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206198 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206206 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206206 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  206211 */     GIR_RootConstrainSelectedInstOperands,
     /*  206212 */     // GIR_Coverage, 498,
     /*  206212 */     GIR_Done,
     /*  206213 */   // Label 4067: @206213
     /*  206213 */   GIM_Try, /*On fail goto*//*Label 4068*/ GIMT_Encode4(206254), // Rule ID 500 //
     /*  206218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  206221 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206228 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206235 */     // MIs[0] rs1
     /*  206235 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206247 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206247 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206252 */     GIR_RootConstrainSelectedInstOperands,
     /*  206253 */     // GIR_Coverage, 500,
     /*  206253 */     GIR_Done,
     /*  206254 */   // Label 4068: @206254
     /*  206254 */   GIM_Try, /*On fail goto*//*Label 4069*/ GIMT_Encode4(206295), // Rule ID 502 //
     /*  206259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  206262 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206269 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206276 */     // MIs[0] rs1
     /*  206276 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206288 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206288 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206293 */     GIR_RootConstrainSelectedInstOperands,
     /*  206294 */     // GIR_Coverage, 502,
     /*  206294 */     GIR_Done,
     /*  206295 */   // Label 4069: @206295
     /*  206295 */   GIM_Try, /*On fail goto*//*Label 4070*/ GIMT_Encode4(206336), // Rule ID 504 //
     /*  206300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  206303 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206310 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206317 */     // MIs[0] rs1
     /*  206317 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206321 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206329 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206334 */     GIR_RootConstrainSelectedInstOperands,
     /*  206335 */     // GIR_Coverage, 504,
     /*  206335 */     GIR_Done,
     /*  206336 */   // Label 4070: @206336
     /*  206336 */   GIM_Try, /*On fail goto*//*Label 4071*/ GIMT_Encode4(206377), // Rule ID 506 //
     /*  206341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  206344 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206351 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206358 */     // MIs[0] rs1
     /*  206358 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206370 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206370 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206375 */     GIR_RootConstrainSelectedInstOperands,
     /*  206376 */     // GIR_Coverage, 506,
     /*  206376 */     GIR_Done,
     /*  206377 */   // Label 4071: @206377
     /*  206377 */   GIM_Try, /*On fail goto*//*Label 4072*/ GIMT_Encode4(206418), // Rule ID 508 //
     /*  206382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  206385 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  206392 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206399 */     // MIs[0] rs1
     /*  206399 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206411 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206411 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  206416 */     GIR_RootConstrainSelectedInstOperands,
     /*  206417 */     // GIR_Coverage, 508,
     /*  206417 */     GIR_Done,
     /*  206418 */   // Label 4072: @206418
     /*  206418 */   GIM_Try, /*On fail goto*//*Label 4073*/ GIMT_Encode4(206459), // Rule ID 838 //
     /*  206423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206426 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206433 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206440 */     // MIs[0] rs1
     /*  206440 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206452 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206452 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206457 */     GIR_RootConstrainSelectedInstOperands,
     /*  206458 */     // GIR_Coverage, 838,
     /*  206458 */     GIR_Done,
     /*  206459 */   // Label 4073: @206459
     /*  206459 */   GIM_Try, /*On fail goto*//*Label 4074*/ GIMT_Encode4(206500), // Rule ID 840 //
     /*  206464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206467 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206474 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206481 */     // MIs[0] rs1
     /*  206481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206493 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206493 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  206498 */     GIR_RootConstrainSelectedInstOperands,
     /*  206499 */     // GIR_Coverage, 840,
     /*  206499 */     GIR_Done,
     /*  206500 */   // Label 4074: @206500
     /*  206500 */   GIM_Try, /*On fail goto*//*Label 4075*/ GIMT_Encode4(206541), // Rule ID 842 //
     /*  206505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206508 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206515 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206522 */     // MIs[0] rs1
     /*  206522 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206526 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206534 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206534 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  206539 */     GIR_RootConstrainSelectedInstOperands,
     /*  206540 */     // GIR_Coverage, 842,
     /*  206540 */     GIR_Done,
     /*  206541 */   // Label 4075: @206541
     /*  206541 */   GIM_Try, /*On fail goto*//*Label 4076*/ GIMT_Encode4(206582), // Rule ID 844 //
     /*  206546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206549 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206556 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206563 */     // MIs[0] rs1
     /*  206563 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206575 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206575 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  206580 */     GIR_RootConstrainSelectedInstOperands,
     /*  206581 */     // GIR_Coverage, 844,
     /*  206581 */     GIR_Done,
     /*  206582 */   // Label 4076: @206582
     /*  206582 */   GIM_Try, /*On fail goto*//*Label 4077*/ GIMT_Encode4(206623), // Rule ID 846 //
     /*  206587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206590 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206597 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206604 */     // MIs[0] rs1
     /*  206604 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206616 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  206621 */     GIR_RootConstrainSelectedInstOperands,
     /*  206622 */     // GIR_Coverage, 846,
     /*  206622 */     GIR_Done,
     /*  206623 */   // Label 4077: @206623
     /*  206623 */   GIM_Try, /*On fail goto*//*Label 4078*/ GIMT_Encode4(206664), // Rule ID 848 //
     /*  206628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206631 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206638 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206645 */     // MIs[0] rs1
     /*  206645 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206649 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206657 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206657 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206662 */     GIR_RootConstrainSelectedInstOperands,
     /*  206663 */     // GIR_Coverage, 848,
     /*  206663 */     GIR_Done,
     /*  206664 */   // Label 4078: @206664
     /*  206664 */   GIM_Try, /*On fail goto*//*Label 4079*/ GIMT_Encode4(206705), // Rule ID 850 //
     /*  206669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206672 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206679 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206686 */     // MIs[0] rs1
     /*  206686 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206690 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206698 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206698 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206703 */     GIR_RootConstrainSelectedInstOperands,
     /*  206704 */     // GIR_Coverage, 850,
     /*  206704 */     GIR_Done,
     /*  206705 */   // Label 4079: @206705
     /*  206705 */   GIM_Try, /*On fail goto*//*Label 4080*/ GIMT_Encode4(206746), // Rule ID 852 //
     /*  206710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206713 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206720 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206727 */     // MIs[0] rs1
     /*  206727 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206739 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206739 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206744 */     GIR_RootConstrainSelectedInstOperands,
     /*  206745 */     // GIR_Coverage, 852,
     /*  206745 */     GIR_Done,
     /*  206746 */   // Label 4080: @206746
     /*  206746 */   GIM_Try, /*On fail goto*//*Label 4081*/ GIMT_Encode4(206787), // Rule ID 854 //
     /*  206751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206754 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206761 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206768 */     // MIs[0] rs1
     /*  206768 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206772 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206780 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206780 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206785 */     GIR_RootConstrainSelectedInstOperands,
     /*  206786 */     // GIR_Coverage, 854,
     /*  206786 */     GIR_Done,
     /*  206787 */   // Label 4081: @206787
     /*  206787 */   GIM_Try, /*On fail goto*//*Label 4082*/ GIMT_Encode4(206828), // Rule ID 856 //
     /*  206792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  206795 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  206802 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  206805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206809 */     // MIs[0] rs1
     /*  206809 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206821 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206821 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  206826 */     GIR_RootConstrainSelectedInstOperands,
     /*  206827 */     // GIR_Coverage, 856,
     /*  206827 */     GIR_Done,
     /*  206828 */   // Label 4082: @206828
     /*  206828 */   GIM_Try, /*On fail goto*//*Label 4083*/ GIMT_Encode4(206869), // Rule ID 1018 //
     /*  206833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206836 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206843 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  206846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206850 */     // MIs[0] rs1
     /*  206850 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206854 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206862 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206862 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  206867 */     GIR_RootConstrainSelectedInstOperands,
     /*  206868 */     // GIR_Coverage, 1018,
     /*  206868 */     GIR_Done,
     /*  206869 */   // Label 4083: @206869
     /*  206869 */   GIM_Try, /*On fail goto*//*Label 4084*/ GIMT_Encode4(206910), // Rule ID 1020 //
     /*  206874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206877 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206884 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  206887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206891 */     // MIs[0] rs1
     /*  206891 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206903 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206903 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  206908 */     GIR_RootConstrainSelectedInstOperands,
     /*  206909 */     // GIR_Coverage, 1020,
     /*  206909 */     GIR_Done,
     /*  206910 */   // Label 4084: @206910
     /*  206910 */   GIM_Try, /*On fail goto*//*Label 4085*/ GIMT_Encode4(206951), // Rule ID 1022 //
     /*  206915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206918 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206925 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  206928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206932 */     // MIs[0] rs1
     /*  206932 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206944 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206944 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  206949 */     GIR_RootConstrainSelectedInstOperands,
     /*  206950 */     // GIR_Coverage, 1022,
     /*  206950 */     GIR_Done,
     /*  206951 */   // Label 4085: @206951
     /*  206951 */   GIM_Try, /*On fail goto*//*Label 4086*/ GIMT_Encode4(206992), // Rule ID 1024 //
     /*  206956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  206959 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  206966 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  206969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206973 */     // MIs[0] rs1
     /*  206973 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  206977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  206985 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  206985 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  206990 */     GIR_RootConstrainSelectedInstOperands,
     /*  206991 */     // GIR_Coverage, 1024,
     /*  206991 */     GIR_Done,
     /*  206992 */   // Label 4086: @206992
     /*  206992 */   GIM_Try, /*On fail goto*//*Label 4087*/ GIMT_Encode4(207033), // Rule ID 1026 //
     /*  206997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  207000 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207007 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207014 */     // MIs[0] rs1
     /*  207014 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  207018 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207026 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  207026 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  207031 */     GIR_RootConstrainSelectedInstOperands,
     /*  207032 */     // GIR_Coverage, 1026,
     /*  207032 */     GIR_Done,
     /*  207033 */   // Label 4087: @207033
     /*  207033 */   GIM_Try, /*On fail goto*//*Label 4088*/ GIMT_Encode4(207074), // Rule ID 1028 //
     /*  207038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  207041 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207048 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207055 */     // MIs[0] rs1
     /*  207055 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  207059 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207067 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  207067 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  207072 */     GIR_RootConstrainSelectedInstOperands,
     /*  207073 */     // GIR_Coverage, 1028,
     /*  207073 */     GIR_Done,
     /*  207074 */   // Label 4088: @207074
     /*  207074 */   GIM_Try, /*On fail goto*//*Label 4089*/ GIMT_Encode4(207115), // Rule ID 1030 //
     /*  207079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  207082 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207089 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207096 */     // MIs[0] rs1
     /*  207096 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  207100 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207108 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  207108 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  207113 */     GIR_RootConstrainSelectedInstOperands,
     /*  207114 */     // GIR_Coverage, 1030,
     /*  207114 */     GIR_Done,
     /*  207115 */   // Label 4089: @207115
     /*  207115 */   GIM_Try, /*On fail goto*//*Label 4090*/ GIMT_Encode4(207156), // Rule ID 1032 //
     /*  207120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  207123 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207130 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207137 */     // MIs[0] rs1
     /*  207137 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  207141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207149 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  207149 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  207154 */     GIR_RootConstrainSelectedInstOperands,
     /*  207155 */     // GIR_Coverage, 1032,
     /*  207155 */     GIR_Done,
     /*  207156 */   // Label 4090: @207156
     /*  207156 */   GIM_Try, /*On fail goto*//*Label 4091*/ GIMT_Encode4(207197), // Rule ID 1034 //
     /*  207161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  207164 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207171 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207178 */     // MIs[0] rs1
     /*  207178 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  207182 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207190 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  207190 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  207195 */     GIR_RootConstrainSelectedInstOperands,
     /*  207196 */     // GIR_Coverage, 1034,
     /*  207196 */     GIR_Done,
     /*  207197 */   // Label 4091: @207197
     /*  207197 */   GIM_Try, /*On fail goto*//*Label 4092*/ GIMT_Encode4(207238), // Rule ID 1036 //
     /*  207202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  207205 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  207212 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207219 */     // MIs[0] rs1
     /*  207219 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  207223 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207231 */     // (atomic_load_umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  207231 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  207236 */     GIR_RootConstrainSelectedInstOperands,
     /*  207237 */     // GIR_Coverage, 1036,
     /*  207237 */     GIR_Done,
     /*  207238 */   // Label 4092: @207238
     /*  207238 */   GIM_Reject,
     /*  207239 */ // Label 4062: @207239
     /*  207239 */ GIM_Reject,
     /*  207240 */ // Label 4060: @207240
     /*  207240 */ GIM_Try, /*On fail goto*//*Label 4093*/ GIMT_Encode4(208889),
     /*  207245 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  207248 */   GIM_Try, /*On fail goto*//*Label 4094*/ GIMT_Encode4(207289), // Rule ID 489 //
     /*  207253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  207256 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207263 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207270 */     // MIs[0] rs1
     /*  207270 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207282 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207282 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207287 */     GIR_RootConstrainSelectedInstOperands,
     /*  207288 */     // GIR_Coverage, 489,
     /*  207288 */     GIR_Done,
     /*  207289 */   // Label 4094: @207289
     /*  207289 */   GIM_Try, /*On fail goto*//*Label 4095*/ GIMT_Encode4(207330), // Rule ID 491 //
     /*  207294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  207297 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207304 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207311 */     // MIs[0] rs1
     /*  207311 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207323 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207323 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ),
     /*  207328 */     GIR_RootConstrainSelectedInstOperands,
     /*  207329 */     // GIR_Coverage, 491,
     /*  207329 */     GIR_Done,
     /*  207330 */   // Label 4095: @207330
     /*  207330 */   GIM_Try, /*On fail goto*//*Label 4096*/ GIMT_Encode4(207371), // Rule ID 493 //
     /*  207335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  207338 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207345 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207352 */     // MIs[0] rs1
     /*  207352 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207356 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207364 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207364 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_RL),
     /*  207369 */     GIR_RootConstrainSelectedInstOperands,
     /*  207370 */     // GIR_Coverage, 493,
     /*  207370 */     GIR_Done,
     /*  207371 */   // Label 4096: @207371
     /*  207371 */   GIM_Try, /*On fail goto*//*Label 4097*/ GIMT_Encode4(207412), // Rule ID 495 //
     /*  207376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  207379 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207386 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207393 */     // MIs[0] rs1
     /*  207393 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207405 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207405 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  207410 */     GIR_RootConstrainSelectedInstOperands,
     /*  207411 */     // GIR_Coverage, 495,
     /*  207411 */     GIR_Done,
     /*  207412 */   // Label 4097: @207412
     /*  207412 */   GIM_Try, /*On fail goto*//*Label 4098*/ GIMT_Encode4(207453), // Rule ID 497 //
     /*  207417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  207420 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207427 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207434 */     // MIs[0] rs1
     /*  207434 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207446 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207446 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W_AQ_RL),
     /*  207451 */     GIR_RootConstrainSelectedInstOperands,
     /*  207452 */     // GIR_Coverage, 497,
     /*  207452 */     GIR_Done,
     /*  207453 */   // Label 4098: @207453
     /*  207453 */   GIM_Try, /*On fail goto*//*Label 4099*/ GIMT_Encode4(207494), // Rule ID 499 //
     /*  207458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207461 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207468 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207475 */     // MIs[0] rs1
     /*  207475 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207487 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_monotonic>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207487 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207492 */     GIR_RootConstrainSelectedInstOperands,
     /*  207493 */     // GIR_Coverage, 499,
     /*  207493 */     GIR_Done,
     /*  207494 */   // Label 4099: @207494
     /*  207494 */   GIM_Try, /*On fail goto*//*Label 4100*/ GIMT_Encode4(207535), // Rule ID 501 //
     /*  207499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207502 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207509 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207516 */     // MIs[0] rs1
     /*  207516 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207520 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207528 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acquire>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207528 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207533 */     GIR_RootConstrainSelectedInstOperands,
     /*  207534 */     // GIR_Coverage, 501,
     /*  207534 */     GIR_Done,
     /*  207535 */   // Label 4100: @207535
     /*  207535 */   GIM_Try, /*On fail goto*//*Label 4101*/ GIMT_Encode4(207576), // Rule ID 503 //
     /*  207540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207543 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207550 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207557 */     // MIs[0] rs1
     /*  207557 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207561 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207569 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_release>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207569 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207574 */     GIR_RootConstrainSelectedInstOperands,
     /*  207575 */     // GIR_Coverage, 503,
     /*  207575 */     GIR_Done,
     /*  207576 */   // Label 4101: @207576
     /*  207576 */   GIM_Try, /*On fail goto*//*Label 4102*/ GIMT_Encode4(207617), // Rule ID 505 //
     /*  207581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207584 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207591 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207598 */     // MIs[0] rs1
     /*  207598 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207602 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207610 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_acq_rel>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207610 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207615 */     GIR_RootConstrainSelectedInstOperands,
     /*  207616 */     // GIR_Coverage, 505,
     /*  207616 */     GIR_Done,
     /*  207617 */   // Label 4102: @207617
     /*  207617 */   GIM_Try, /*On fail goto*//*Label 4103*/ GIMT_Encode4(207658), // Rule ID 507 //
     /*  207622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  207625 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  207632 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207639 */     // MIs[0] rs1
     /*  207639 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207651 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i32>><<P:Predicate_atomic_load_umax_i32_seq_cst>>  =>  (AMOMAXU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207651 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_W),
     /*  207656 */     GIR_RootConstrainSelectedInstOperands,
     /*  207657 */     // GIR_Coverage, 507,
     /*  207657 */     GIR_Done,
     /*  207658 */   // Label 4103: @207658
     /*  207658 */   GIM_Try, /*On fail goto*//*Label 4104*/ GIMT_Encode4(207699), // Rule ID 599 //
     /*  207663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207666 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207673 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207680 */     // MIs[0] rs1
     /*  207680 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207692 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207692 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207697 */     GIR_RootConstrainSelectedInstOperands,
     /*  207698 */     // GIR_Coverage, 599,
     /*  207698 */     GIR_Done,
     /*  207699 */   // Label 4104: @207699
     /*  207699 */   GIM_Try, /*On fail goto*//*Label 4105*/ GIMT_Encode4(207740), // Rule ID 600 //
     /*  207704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207707 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207714 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207721 */     // MIs[0] rs1
     /*  207721 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207725 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207733 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207733 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ),
     /*  207738 */     GIR_RootConstrainSelectedInstOperands,
     /*  207739 */     // GIR_Coverage, 600,
     /*  207739 */     GIR_Done,
     /*  207740 */   // Label 4105: @207740
     /*  207740 */   GIM_Try, /*On fail goto*//*Label 4106*/ GIMT_Encode4(207781), // Rule ID 601 //
     /*  207745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207748 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207755 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207762 */     // MIs[0] rs1
     /*  207762 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207766 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207774 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207774 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_RL),
     /*  207779 */     GIR_RootConstrainSelectedInstOperands,
     /*  207780 */     // GIR_Coverage, 601,
     /*  207780 */     GIR_Done,
     /*  207781 */   // Label 4106: @207781
     /*  207781 */   GIM_Try, /*On fail goto*//*Label 4107*/ GIMT_Encode4(207822), // Rule ID 602 //
     /*  207786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207789 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207796 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  207799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207803 */     // MIs[0] rs1
     /*  207803 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207815 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207815 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  207820 */     GIR_RootConstrainSelectedInstOperands,
     /*  207821 */     // GIR_Coverage, 602,
     /*  207821 */     GIR_Done,
     /*  207822 */   // Label 4107: @207822
     /*  207822 */   GIM_Try, /*On fail goto*//*Label 4108*/ GIMT_Encode4(207863), // Rule ID 603 //
     /*  207827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  207830 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207837 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  207840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207844 */     // MIs[0] rs1
     /*  207844 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207856 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207856 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D_AQ_RL),
     /*  207861 */     GIR_RootConstrainSelectedInstOperands,
     /*  207862 */     // GIR_Coverage, 603,
     /*  207862 */     GIR_Done,
     /*  207863 */   // Label 4108: @207863
     /*  207863 */   GIM_Try, /*On fail goto*//*Label 4109*/ GIMT_Encode4(207904), // Rule ID 604 //
     /*  207868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207871 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207878 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  207881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207885 */     // MIs[0] rs1
     /*  207885 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207897 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_monotonic>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207897 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207902 */     GIR_RootConstrainSelectedInstOperands,
     /*  207903 */     // GIR_Coverage, 604,
     /*  207903 */     GIR_Done,
     /*  207904 */   // Label 4109: @207904
     /*  207904 */   GIM_Try, /*On fail goto*//*Label 4110*/ GIMT_Encode4(207945), // Rule ID 605 //
     /*  207909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207912 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207919 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  207922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207926 */     // MIs[0] rs1
     /*  207926 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207938 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acquire>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207943 */     GIR_RootConstrainSelectedInstOperands,
     /*  207944 */     // GIR_Coverage, 605,
     /*  207944 */     GIR_Done,
     /*  207945 */   // Label 4110: @207945
     /*  207945 */   GIM_Try, /*On fail goto*//*Label 4111*/ GIMT_Encode4(207986), // Rule ID 606 //
     /*  207950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207953 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  207960 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  207963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207967 */     // MIs[0] rs1
     /*  207967 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  207971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  207979 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_release>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  207979 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  207984 */     GIR_RootConstrainSelectedInstOperands,
     /*  207985 */     // GIR_Coverage, 606,
     /*  207985 */     GIR_Done,
     /*  207986 */   // Label 4111: @207986
     /*  207986 */   GIM_Try, /*On fail goto*//*Label 4112*/ GIMT_Encode4(208027), // Rule ID 607 //
     /*  207991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  207994 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  208001 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208008 */     // MIs[0] rs1
     /*  208008 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208012 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208020 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_acq_rel>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208020 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  208025 */     GIR_RootConstrainSelectedInstOperands,
     /*  208026 */     // GIR_Coverage, 607,
     /*  208026 */     GIR_Done,
     /*  208027 */   // Label 4112: @208027
     /*  208027 */   GIM_Try, /*On fail goto*//*Label 4113*/ GIMT_Encode4(208068), // Rule ID 608 //
     /*  208032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  208035 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  208042 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208049 */     // MIs[0] rs1
     /*  208049 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208061 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i64>><<P:Predicate_atomic_load_umax_i64_seq_cst>>  =>  (AMOMAXU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208061 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_D),
     /*  208066 */     GIR_RootConstrainSelectedInstOperands,
     /*  208067 */     // GIR_Coverage, 608,
     /*  208067 */     GIR_Done,
     /*  208068 */   // Label 4113: @208068
     /*  208068 */   GIM_Try, /*On fail goto*//*Label 4114*/ GIMT_Encode4(208109), // Rule ID 837 //
     /*  208073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208076 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208083 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208090 */     // MIs[0] rs1
     /*  208090 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208102 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208102 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  208107 */     GIR_RootConstrainSelectedInstOperands,
     /*  208108 */     // GIR_Coverage, 837,
     /*  208108 */     GIR_Done,
     /*  208109 */   // Label 4114: @208109
     /*  208109 */   GIM_Try, /*On fail goto*//*Label 4115*/ GIMT_Encode4(208150), // Rule ID 839 //
     /*  208114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208117 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208124 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208131 */     // MIs[0] rs1
     /*  208131 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208143 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208143 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ),
     /*  208148 */     GIR_RootConstrainSelectedInstOperands,
     /*  208149 */     // GIR_Coverage, 839,
     /*  208149 */     GIR_Done,
     /*  208150 */   // Label 4115: @208150
     /*  208150 */   GIM_Try, /*On fail goto*//*Label 4116*/ GIMT_Encode4(208191), // Rule ID 841 //
     /*  208155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208158 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208165 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208172 */     // MIs[0] rs1
     /*  208172 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208184 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208184 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_RL),
     /*  208189 */     GIR_RootConstrainSelectedInstOperands,
     /*  208190 */     // GIR_Coverage, 841,
     /*  208190 */     GIR_Done,
     /*  208191 */   // Label 4116: @208191
     /*  208191 */   GIM_Try, /*On fail goto*//*Label 4117*/ GIMT_Encode4(208232), // Rule ID 843 //
     /*  208196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208199 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208206 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208213 */     // MIs[0] rs1
     /*  208213 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208225 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208225 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  208230 */     GIR_RootConstrainSelectedInstOperands,
     /*  208231 */     // GIR_Coverage, 843,
     /*  208231 */     GIR_Done,
     /*  208232 */   // Label 4117: @208232
     /*  208232 */   GIM_Try, /*On fail goto*//*Label 4118*/ GIMT_Encode4(208273), // Rule ID 845 //
     /*  208237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208240 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208247 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208254 */     // MIs[0] rs1
     /*  208254 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208266 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B_AQ_RL),
     /*  208271 */     GIR_RootConstrainSelectedInstOperands,
     /*  208272 */     // GIR_Coverage, 845,
     /*  208272 */     GIR_Done,
     /*  208273 */   // Label 4118: @208273
     /*  208273 */   GIM_Try, /*On fail goto*//*Label 4119*/ GIMT_Encode4(208314), // Rule ID 847 //
     /*  208278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208281 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208288 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208295 */     // MIs[0] rs1
     /*  208295 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208307 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_monotonic>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208307 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  208312 */     GIR_RootConstrainSelectedInstOperands,
     /*  208313 */     // GIR_Coverage, 847,
     /*  208313 */     GIR_Done,
     /*  208314 */   // Label 4119: @208314
     /*  208314 */   GIM_Try, /*On fail goto*//*Label 4120*/ GIMT_Encode4(208355), // Rule ID 849 //
     /*  208319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208322 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208329 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208336 */     // MIs[0] rs1
     /*  208336 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208348 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acquire>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208348 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  208353 */     GIR_RootConstrainSelectedInstOperands,
     /*  208354 */     // GIR_Coverage, 849,
     /*  208354 */     GIR_Done,
     /*  208355 */   // Label 4120: @208355
     /*  208355 */   GIM_Try, /*On fail goto*//*Label 4121*/ GIMT_Encode4(208396), // Rule ID 851 //
     /*  208360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208363 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208370 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208377 */     // MIs[0] rs1
     /*  208377 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208389 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_release>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208389 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  208394 */     GIR_RootConstrainSelectedInstOperands,
     /*  208395 */     // GIR_Coverage, 851,
     /*  208395 */     GIR_Done,
     /*  208396 */   // Label 4121: @208396
     /*  208396 */   GIM_Try, /*On fail goto*//*Label 4122*/ GIMT_Encode4(208437), // Rule ID 853 //
     /*  208401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208404 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208411 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208418 */     // MIs[0] rs1
     /*  208418 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208422 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208430 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_acq_rel>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208430 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  208435 */     GIR_RootConstrainSelectedInstOperands,
     /*  208436 */     // GIR_Coverage, 853,
     /*  208436 */     GIR_Done,
     /*  208437 */   // Label 4122: @208437
     /*  208437 */   GIM_Try, /*On fail goto*//*Label 4123*/ GIMT_Encode4(208478), // Rule ID 855 //
     /*  208442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208445 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  208452 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208459 */     // MIs[0] rs1
     /*  208459 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208471 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i8>><<P:Predicate_atomic_load_umax_i8_seq_cst>>  =>  (AMOMAXU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208471 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_B),
     /*  208476 */     GIR_RootConstrainSelectedInstOperands,
     /*  208477 */     // GIR_Coverage, 855,
     /*  208477 */     GIR_Done,
     /*  208478 */   // Label 4123: @208478
     /*  208478 */   GIM_Try, /*On fail goto*//*Label 4124*/ GIMT_Encode4(208519), // Rule ID 1017 //
     /*  208483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208486 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208493 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208500 */     // MIs[0] rs1
     /*  208500 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208512 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208512 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208517 */     GIR_RootConstrainSelectedInstOperands,
     /*  208518 */     // GIR_Coverage, 1017,
     /*  208518 */     GIR_Done,
     /*  208519 */   // Label 4124: @208519
     /*  208519 */   GIM_Try, /*On fail goto*//*Label 4125*/ GIMT_Encode4(208560), // Rule ID 1019 //
     /*  208524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208527 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208534 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208541 */     // MIs[0] rs1
     /*  208541 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208553 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ),
     /*  208558 */     GIR_RootConstrainSelectedInstOperands,
     /*  208559 */     // GIR_Coverage, 1019,
     /*  208559 */     GIR_Done,
     /*  208560 */   // Label 4125: @208560
     /*  208560 */   GIM_Try, /*On fail goto*//*Label 4126*/ GIMT_Encode4(208601), // Rule ID 1021 //
     /*  208565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208568 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208575 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208582 */     // MIs[0] rs1
     /*  208582 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208594 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208594 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_RL),
     /*  208599 */     GIR_RootConstrainSelectedInstOperands,
     /*  208600 */     // GIR_Coverage, 1021,
     /*  208600 */     GIR_Done,
     /*  208601 */   // Label 4126: @208601
     /*  208601 */   GIM_Try, /*On fail goto*//*Label 4127*/ GIMT_Encode4(208642), // Rule ID 1023 //
     /*  208606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208609 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208616 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208623 */     // MIs[0] rs1
     /*  208623 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208627 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208635 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208635 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  208640 */     GIR_RootConstrainSelectedInstOperands,
     /*  208641 */     // GIR_Coverage, 1023,
     /*  208641 */     GIR_Done,
     /*  208642 */   // Label 4127: @208642
     /*  208642 */   GIM_Try, /*On fail goto*//*Label 4128*/ GIMT_Encode4(208683), // Rule ID 1025 //
     /*  208647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  208650 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208657 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208664 */     // MIs[0] rs1
     /*  208664 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208676 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208676 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H_AQ_RL),
     /*  208681 */     GIR_RootConstrainSelectedInstOperands,
     /*  208682 */     // GIR_Coverage, 1025,
     /*  208682 */     GIR_Done,
     /*  208683 */   // Label 4128: @208683
     /*  208683 */   GIM_Try, /*On fail goto*//*Label 4129*/ GIMT_Encode4(208724), // Rule ID 1027 //
     /*  208688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208691 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208698 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208705 */     // MIs[0] rs1
     /*  208705 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208717 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_monotonic>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208717 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208722 */     GIR_RootConstrainSelectedInstOperands,
     /*  208723 */     // GIR_Coverage, 1027,
     /*  208723 */     GIR_Done,
     /*  208724 */   // Label 4129: @208724
     /*  208724 */   GIM_Try, /*On fail goto*//*Label 4130*/ GIMT_Encode4(208765), // Rule ID 1029 //
     /*  208729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208732 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208739 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208746 */     // MIs[0] rs1
     /*  208746 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208750 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208758 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acquire>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208763 */     GIR_RootConstrainSelectedInstOperands,
     /*  208764 */     // GIR_Coverage, 1029,
     /*  208764 */     GIR_Done,
     /*  208765 */   // Label 4130: @208765
     /*  208765 */   GIM_Try, /*On fail goto*//*Label 4131*/ GIMT_Encode4(208806), // Rule ID 1031 //
     /*  208770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208773 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208780 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  208783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208787 */     // MIs[0] rs1
     /*  208787 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208791 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208799 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_release>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208799 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208804 */     GIR_RootConstrainSelectedInstOperands,
     /*  208805 */     // GIR_Coverage, 1031,
     /*  208805 */     GIR_Done,
     /*  208806 */   // Label 4131: @208806
     /*  208806 */   GIM_Try, /*On fail goto*//*Label 4132*/ GIMT_Encode4(208847), // Rule ID 1033 //
     /*  208811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208814 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208821 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  208824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208828 */     // MIs[0] rs1
     /*  208828 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208840 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_acq_rel>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208840 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208845 */     GIR_RootConstrainSelectedInstOperands,
     /*  208846 */     // GIR_Coverage, 1033,
     /*  208846 */     GIR_Done,
     /*  208847 */   // Label 4132: @208847
     /*  208847 */   GIM_Try, /*On fail goto*//*Label 4133*/ GIMT_Encode4(208888), // Rule ID 1035 //
     /*  208852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  208855 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  208862 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  208865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208869 */     // MIs[0] rs1
     /*  208869 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  208873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208881 */     // (atomic_load_umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umax_i16>><<P:Predicate_atomic_load_umax_i16_seq_cst>>  =>  (AMOMAXU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  208881 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMAXU_H),
     /*  208886 */     GIR_RootConstrainSelectedInstOperands,
     /*  208887 */     // GIR_Coverage, 1035,
     /*  208887 */     GIR_Done,
     /*  208888 */   // Label 4133: @208888
     /*  208888 */   GIM_Reject,
     /*  208889 */ // Label 4093: @208889
     /*  208889 */ GIM_Reject,
     /*  208890 */ // Label 4061: @208890
     /*  208890 */ GIM_Reject,
     /*  208891 */ // Label 35: @208891
     /*  208891 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4136*/ GIMT_Encode4(211800),
     /*  208902 */ /*GILLT_s32*//*Label 4134*/ GIMT_Encode4(208910),
     /*  208906 */ /*GILLT_s64*//*Label 4135*/ GIMT_Encode4(210150),
     /*  208910 */ // Label 4134: @208910
     /*  208910 */ GIM_Try, /*On fail goto*//*Label 4137*/ GIMT_Encode4(210149),
     /*  208915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  208918 */   GIM_Try, /*On fail goto*//*Label 4138*/ GIMT_Encode4(208959), // Rule ID 510 //
     /*  208923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208926 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208933 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  208936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208940 */     // MIs[0] rs1
     /*  208940 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208944 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208952 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208952 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  208957 */     GIR_RootConstrainSelectedInstOperands,
     /*  208958 */     // GIR_Coverage, 510,
     /*  208958 */     GIR_Done,
     /*  208959 */   // Label 4138: @208959
     /*  208959 */   GIM_Try, /*On fail goto*//*Label 4139*/ GIMT_Encode4(209000), // Rule ID 512 //
     /*  208964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  208967 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  208974 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  208977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208981 */     // MIs[0] rs1
     /*  208981 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  208985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  208993 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  208993 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  208998 */     GIR_RootConstrainSelectedInstOperands,
     /*  208999 */     // GIR_Coverage, 512,
     /*  208999 */     GIR_Done,
     /*  209000 */   // Label 4139: @209000
     /*  209000 */   GIM_Try, /*On fail goto*//*Label 4140*/ GIMT_Encode4(209041), // Rule ID 514 //
     /*  209005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  209008 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209015 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209022 */     // MIs[0] rs1
     /*  209022 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209026 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209034 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209034 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  209039 */     GIR_RootConstrainSelectedInstOperands,
     /*  209040 */     // GIR_Coverage, 514,
     /*  209040 */     GIR_Done,
     /*  209041 */   // Label 4140: @209041
     /*  209041 */   GIM_Try, /*On fail goto*//*Label 4141*/ GIMT_Encode4(209082), // Rule ID 516 //
     /*  209046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  209049 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209056 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209063 */     // MIs[0] rs1
     /*  209063 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209067 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209075 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209075 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  209080 */     GIR_RootConstrainSelectedInstOperands,
     /*  209081 */     // GIR_Coverage, 516,
     /*  209081 */     GIR_Done,
     /*  209082 */   // Label 4141: @209082
     /*  209082 */   GIM_Try, /*On fail goto*//*Label 4142*/ GIMT_Encode4(209123), // Rule ID 518 //
     /*  209087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode1),
     /*  209090 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209097 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209104 */     // MIs[0] rs1
     /*  209104 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209108 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209116 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209116 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  209121 */     GIR_RootConstrainSelectedInstOperands,
     /*  209122 */     // GIR_Coverage, 518,
     /*  209122 */     GIR_Done,
     /*  209123 */   // Label 4142: @209123
     /*  209123 */   GIM_Try, /*On fail goto*//*Label 4143*/ GIMT_Encode4(209164), // Rule ID 520 //
     /*  209128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  209131 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209138 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209145 */     // MIs[0] rs1
     /*  209145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209157 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209157 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209162 */     GIR_RootConstrainSelectedInstOperands,
     /*  209163 */     // GIR_Coverage, 520,
     /*  209163 */     GIR_Done,
     /*  209164 */   // Label 4143: @209164
     /*  209164 */   GIM_Try, /*On fail goto*//*Label 4144*/ GIMT_Encode4(209205), // Rule ID 522 //
     /*  209169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  209172 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209179 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209186 */     // MIs[0] rs1
     /*  209186 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209198 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209198 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209203 */     GIR_RootConstrainSelectedInstOperands,
     /*  209204 */     // GIR_Coverage, 522,
     /*  209204 */     GIR_Done,
     /*  209205 */   // Label 4144: @209205
     /*  209205 */   GIM_Try, /*On fail goto*//*Label 4145*/ GIMT_Encode4(209246), // Rule ID 524 //
     /*  209210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  209213 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209220 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209227 */     // MIs[0] rs1
     /*  209227 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209239 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209239 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209244 */     GIR_RootConstrainSelectedInstOperands,
     /*  209245 */     // GIR_Coverage, 524,
     /*  209245 */     GIR_Done,
     /*  209246 */   // Label 4145: @209246
     /*  209246 */   GIM_Try, /*On fail goto*//*Label 4146*/ GIMT_Encode4(209287), // Rule ID 526 //
     /*  209251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  209254 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209261 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209268 */     // MIs[0] rs1
     /*  209268 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209280 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209280 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209285 */     GIR_RootConstrainSelectedInstOperands,
     /*  209286 */     // GIR_Coverage, 526,
     /*  209286 */     GIR_Done,
     /*  209287 */   // Label 4146: @209287
     /*  209287 */   GIM_Try, /*On fail goto*//*Label 4147*/ GIMT_Encode4(209328), // Rule ID 528 //
     /*  209292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode1),
     /*  209295 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  209302 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209309 */     // MIs[0] rs1
     /*  209309 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209321 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209321 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  209326 */     GIR_RootConstrainSelectedInstOperands,
     /*  209327 */     // GIR_Coverage, 528,
     /*  209327 */     GIR_Done,
     /*  209328 */   // Label 4147: @209328
     /*  209328 */   GIM_Try, /*On fail goto*//*Label 4148*/ GIMT_Encode4(209369), // Rule ID 858 //
     /*  209333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209336 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209343 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209350 */     // MIs[0] rs1
     /*  209350 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209354 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209362 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209362 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209367 */     GIR_RootConstrainSelectedInstOperands,
     /*  209368 */     // GIR_Coverage, 858,
     /*  209368 */     GIR_Done,
     /*  209369 */   // Label 4148: @209369
     /*  209369 */   GIM_Try, /*On fail goto*//*Label 4149*/ GIMT_Encode4(209410), // Rule ID 860 //
     /*  209374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209377 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209384 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209391 */     // MIs[0] rs1
     /*  209391 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209403 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209403 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  209408 */     GIR_RootConstrainSelectedInstOperands,
     /*  209409 */     // GIR_Coverage, 860,
     /*  209409 */     GIR_Done,
     /*  209410 */   // Label 4149: @209410
     /*  209410 */   GIM_Try, /*On fail goto*//*Label 4150*/ GIMT_Encode4(209451), // Rule ID 862 //
     /*  209415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209418 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209425 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209432 */     // MIs[0] rs1
     /*  209432 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209444 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209444 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  209449 */     GIR_RootConstrainSelectedInstOperands,
     /*  209450 */     // GIR_Coverage, 862,
     /*  209450 */     GIR_Done,
     /*  209451 */   // Label 4150: @209451
     /*  209451 */   GIM_Try, /*On fail goto*//*Label 4151*/ GIMT_Encode4(209492), // Rule ID 864 //
     /*  209456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209459 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209466 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209473 */     // MIs[0] rs1
     /*  209473 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209485 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209485 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  209490 */     GIR_RootConstrainSelectedInstOperands,
     /*  209491 */     // GIR_Coverage, 864,
     /*  209491 */     GIR_Done,
     /*  209492 */   // Label 4151: @209492
     /*  209492 */   GIM_Try, /*On fail goto*//*Label 4152*/ GIMT_Encode4(209533), // Rule ID 866 //
     /*  209497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209500 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209507 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209514 */     // MIs[0] rs1
     /*  209514 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209526 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209526 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  209531 */     GIR_RootConstrainSelectedInstOperands,
     /*  209532 */     // GIR_Coverage, 866,
     /*  209532 */     GIR_Done,
     /*  209533 */   // Label 4152: @209533
     /*  209533 */   GIM_Try, /*On fail goto*//*Label 4153*/ GIMT_Encode4(209574), // Rule ID 868 //
     /*  209538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209541 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209548 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209555 */     // MIs[0] rs1
     /*  209555 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209559 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209567 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209567 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209572 */     GIR_RootConstrainSelectedInstOperands,
     /*  209573 */     // GIR_Coverage, 868,
     /*  209573 */     GIR_Done,
     /*  209574 */   // Label 4153: @209574
     /*  209574 */   GIM_Try, /*On fail goto*//*Label 4154*/ GIMT_Encode4(209615), // Rule ID 870 //
     /*  209579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209582 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209589 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209596 */     // MIs[0] rs1
     /*  209596 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209608 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209613 */     GIR_RootConstrainSelectedInstOperands,
     /*  209614 */     // GIR_Coverage, 870,
     /*  209614 */     GIR_Done,
     /*  209615 */   // Label 4154: @209615
     /*  209615 */   GIM_Try, /*On fail goto*//*Label 4155*/ GIMT_Encode4(209656), // Rule ID 872 //
     /*  209620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209623 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209630 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209637 */     // MIs[0] rs1
     /*  209637 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209649 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209649 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209654 */     GIR_RootConstrainSelectedInstOperands,
     /*  209655 */     // GIR_Coverage, 872,
     /*  209655 */     GIR_Done,
     /*  209656 */   // Label 4155: @209656
     /*  209656 */   GIM_Try, /*On fail goto*//*Label 4156*/ GIMT_Encode4(209697), // Rule ID 874 //
     /*  209661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209664 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209671 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209678 */     // MIs[0] rs1
     /*  209678 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209690 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209690 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209695 */     GIR_RootConstrainSelectedInstOperands,
     /*  209696 */     // GIR_Coverage, 874,
     /*  209696 */     GIR_Done,
     /*  209697 */   // Label 4156: @209697
     /*  209697 */   GIM_Try, /*On fail goto*//*Label 4157*/ GIMT_Encode4(209738), // Rule ID 876 //
     /*  209702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209705 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  209712 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209719 */     // MIs[0] rs1
     /*  209719 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209731 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209731 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  209736 */     GIR_RootConstrainSelectedInstOperands,
     /*  209737 */     // GIR_Coverage, 876,
     /*  209737 */     GIR_Done,
     /*  209738 */   // Label 4157: @209738
     /*  209738 */   GIM_Try, /*On fail goto*//*Label 4158*/ GIMT_Encode4(209779), // Rule ID 1038 //
     /*  209743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209746 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209753 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209760 */     // MIs[0] rs1
     /*  209760 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209764 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209772 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209772 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209777 */     GIR_RootConstrainSelectedInstOperands,
     /*  209778 */     // GIR_Coverage, 1038,
     /*  209778 */     GIR_Done,
     /*  209779 */   // Label 4158: @209779
     /*  209779 */   GIM_Try, /*On fail goto*//*Label 4159*/ GIMT_Encode4(209820), // Rule ID 1040 //
     /*  209784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209787 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209794 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  209797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209801 */     // MIs[0] rs1
     /*  209801 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209805 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209813 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209813 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  209818 */     GIR_RootConstrainSelectedInstOperands,
     /*  209819 */     // GIR_Coverage, 1040,
     /*  209819 */     GIR_Done,
     /*  209820 */   // Label 4159: @209820
     /*  209820 */   GIM_Try, /*On fail goto*//*Label 4160*/ GIMT_Encode4(209861), // Rule ID 1042 //
     /*  209825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209828 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209835 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  209838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209842 */     // MIs[0] rs1
     /*  209842 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209854 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209854 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  209859 */     GIR_RootConstrainSelectedInstOperands,
     /*  209860 */     // GIR_Coverage, 1042,
     /*  209860 */     GIR_Done,
     /*  209861 */   // Label 4160: @209861
     /*  209861 */   GIM_Try, /*On fail goto*//*Label 4161*/ GIMT_Encode4(209902), // Rule ID 1044 //
     /*  209866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209869 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209876 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  209879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209883 */     // MIs[0] rs1
     /*  209883 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209895 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209895 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  209900 */     GIR_RootConstrainSelectedInstOperands,
     /*  209901 */     // GIR_Coverage, 1044,
     /*  209901 */     GIR_Done,
     /*  209902 */   // Label 4161: @209902
     /*  209902 */   GIM_Try, /*On fail goto*//*Label 4162*/ GIMT_Encode4(209943), // Rule ID 1046 //
     /*  209907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode1),
     /*  209910 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209917 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  209920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209924 */     // MIs[0] rs1
     /*  209924 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209928 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209936 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209936 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  209941 */     GIR_RootConstrainSelectedInstOperands,
     /*  209942 */     // GIR_Coverage, 1046,
     /*  209942 */     GIR_Done,
     /*  209943 */   // Label 4162: @209943
     /*  209943 */   GIM_Try, /*On fail goto*//*Label 4163*/ GIMT_Encode4(209984), // Rule ID 1048 //
     /*  209948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209951 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209958 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  209961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209965 */     // MIs[0] rs1
     /*  209965 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  209969 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  209977 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  209977 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  209982 */     GIR_RootConstrainSelectedInstOperands,
     /*  209983 */     // GIR_Coverage, 1048,
     /*  209983 */     GIR_Done,
     /*  209984 */   // Label 4163: @209984
     /*  209984 */   GIM_Try, /*On fail goto*//*Label 4164*/ GIMT_Encode4(210025), // Rule ID 1050 //
     /*  209989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  209992 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  209999 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210006 */     // MIs[0] rs1
     /*  210006 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  210010 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210018 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  210018 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  210023 */     GIR_RootConstrainSelectedInstOperands,
     /*  210024 */     // GIR_Coverage, 1050,
     /*  210024 */     GIR_Done,
     /*  210025 */   // Label 4164: @210025
     /*  210025 */   GIM_Try, /*On fail goto*//*Label 4165*/ GIMT_Encode4(210066), // Rule ID 1052 //
     /*  210030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  210033 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210040 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210047 */     // MIs[0] rs1
     /*  210047 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  210051 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210059 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  210059 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  210064 */     GIR_RootConstrainSelectedInstOperands,
     /*  210065 */     // GIR_Coverage, 1052,
     /*  210065 */     GIR_Done,
     /*  210066 */   // Label 4165: @210066
     /*  210066 */   GIM_Try, /*On fail goto*//*Label 4166*/ GIMT_Encode4(210107), // Rule ID 1054 //
     /*  210071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  210074 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210081 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210088 */     // MIs[0] rs1
     /*  210088 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  210092 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210100 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  210100 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  210105 */     GIR_RootConstrainSelectedInstOperands,
     /*  210106 */     // GIR_Coverage, 1054,
     /*  210106 */     GIR_Done,
     /*  210107 */   // Label 4166: @210107
     /*  210107 */   GIM_Try, /*On fail goto*//*Label 4167*/ GIMT_Encode4(210148), // Rule ID 1056 //
     /*  210112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode1),
     /*  210115 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  210122 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210129 */     // MIs[0] rs1
     /*  210129 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/32,
     /*  210133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210141 */     // (atomic_load_umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  210141 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  210146 */     GIR_RootConstrainSelectedInstOperands,
     /*  210147 */     // GIR_Coverage, 1056,
     /*  210147 */     GIR_Done,
     /*  210148 */   // Label 4167: @210148
     /*  210148 */   GIM_Reject,
     /*  210149 */ // Label 4137: @210149
     /*  210149 */ GIM_Reject,
     /*  210150 */ // Label 4135: @210150
     /*  210150 */ GIM_Try, /*On fail goto*//*Label 4168*/ GIMT_Encode4(211799),
     /*  210155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  210158 */   GIM_Try, /*On fail goto*//*Label 4169*/ GIMT_Encode4(210199), // Rule ID 509 //
     /*  210163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  210166 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210173 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210180 */     // MIs[0] rs1
     /*  210180 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210184 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210192 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210192 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210197 */     GIR_RootConstrainSelectedInstOperands,
     /*  210198 */     // GIR_Coverage, 509,
     /*  210198 */     GIR_Done,
     /*  210199 */   // Label 4169: @210199
     /*  210199 */   GIM_Try, /*On fail goto*//*Label 4170*/ GIMT_Encode4(210240), // Rule ID 511 //
     /*  210204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  210207 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210214 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210221 */     // MIs[0] rs1
     /*  210221 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210225 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210233 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210233 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ),
     /*  210238 */     GIR_RootConstrainSelectedInstOperands,
     /*  210239 */     // GIR_Coverage, 511,
     /*  210239 */     GIR_Done,
     /*  210240 */   // Label 4170: @210240
     /*  210240 */   GIM_Try, /*On fail goto*//*Label 4171*/ GIMT_Encode4(210281), // Rule ID 513 //
     /*  210245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  210248 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210255 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210262 */     // MIs[0] rs1
     /*  210262 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210274 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210274 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_RL),
     /*  210279 */     GIR_RootConstrainSelectedInstOperands,
     /*  210280 */     // GIR_Coverage, 513,
     /*  210280 */     GIR_Done,
     /*  210281 */   // Label 4171: @210281
     /*  210281 */   GIM_Try, /*On fail goto*//*Label 4172*/ GIMT_Encode4(210322), // Rule ID 515 //
     /*  210286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  210289 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210296 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210303 */     // MIs[0] rs1
     /*  210303 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210315 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  210320 */     GIR_RootConstrainSelectedInstOperands,
     /*  210321 */     // GIR_Coverage, 515,
     /*  210321 */     GIR_Done,
     /*  210322 */   // Label 4172: @210322
     /*  210322 */   GIM_Try, /*On fail goto*//*Label 4173*/ GIMT_Encode4(210363), // Rule ID 517 //
     /*  210327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_NotHasStdExtZtso_HwMode0),
     /*  210330 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210337 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210344 */     // MIs[0] rs1
     /*  210344 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210348 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210356 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210356 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W_AQ_RL),
     /*  210361 */     GIR_RootConstrainSelectedInstOperands,
     /*  210362 */     // GIR_Coverage, 517,
     /*  210362 */     GIR_Done,
     /*  210363 */   // Label 4173: @210363
     /*  210363 */   GIM_Try, /*On fail goto*//*Label 4174*/ GIMT_Encode4(210404), // Rule ID 519 //
     /*  210368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  210371 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210378 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210385 */     // MIs[0] rs1
     /*  210385 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210397 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_monotonic>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210397 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210402 */     GIR_RootConstrainSelectedInstOperands,
     /*  210403 */     // GIR_Coverage, 519,
     /*  210403 */     GIR_Done,
     /*  210404 */   // Label 4174: @210404
     /*  210404 */   GIM_Try, /*On fail goto*//*Label 4175*/ GIMT_Encode4(210445), // Rule ID 521 //
     /*  210409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  210412 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210419 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210426 */     // MIs[0] rs1
     /*  210426 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210430 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210438 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acquire>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210438 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210443 */     GIR_RootConstrainSelectedInstOperands,
     /*  210444 */     // GIR_Coverage, 521,
     /*  210444 */     GIR_Done,
     /*  210445 */   // Label 4175: @210445
     /*  210445 */   GIM_Try, /*On fail goto*//*Label 4176*/ GIMT_Encode4(210486), // Rule ID 523 //
     /*  210450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  210453 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210460 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210467 */     // MIs[0] rs1
     /*  210467 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210479 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_release>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210484 */     GIR_RootConstrainSelectedInstOperands,
     /*  210485 */     // GIR_Coverage, 523,
     /*  210485 */     GIR_Done,
     /*  210486 */   // Label 4176: @210486
     /*  210486 */   GIM_Try, /*On fail goto*//*Label 4177*/ GIMT_Encode4(210527), // Rule ID 525 //
     /*  210491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  210494 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210501 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210508 */     // MIs[0] rs1
     /*  210508 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210520 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_acq_rel>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210520 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210525 */     GIR_RootConstrainSelectedInstOperands,
     /*  210526 */     // GIR_Coverage, 525,
     /*  210526 */     GIR_Done,
     /*  210527 */   // Label 4177: @210527
     /*  210527 */   GIM_Try, /*On fail goto*//*Label 4178*/ GIMT_Encode4(210568), // Rule ID 527 //
     /*  210532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_HwMode0),
     /*  210535 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(4),
     /*  210542 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210549 */     // MIs[0] rs1
     /*  210549 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210561 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i32>><<P:Predicate_atomic_load_umin_i32_seq_cst>>  =>  (AMOMINU_W:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210561 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_W),
     /*  210566 */     GIR_RootConstrainSelectedInstOperands,
     /*  210567 */     // GIR_Coverage, 527,
     /*  210567 */     GIR_Done,
     /*  210568 */   // Label 4178: @210568
     /*  210568 */   GIM_Try, /*On fail goto*//*Label 4179*/ GIMT_Encode4(210609), // Rule ID 609 //
     /*  210573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210576 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210583 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210590 */     // MIs[0] rs1
     /*  210590 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210602 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210602 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210607 */     GIR_RootConstrainSelectedInstOperands,
     /*  210608 */     // GIR_Coverage, 609,
     /*  210608 */     GIR_Done,
     /*  210609 */   // Label 4179: @210609
     /*  210609 */   GIM_Try, /*On fail goto*//*Label 4180*/ GIMT_Encode4(210650), // Rule ID 610 //
     /*  210614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210617 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210624 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210631 */     // MIs[0] rs1
     /*  210631 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210643 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210643 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ),
     /*  210648 */     GIR_RootConstrainSelectedInstOperands,
     /*  210649 */     // GIR_Coverage, 610,
     /*  210649 */     GIR_Done,
     /*  210650 */   // Label 4180: @210650
     /*  210650 */   GIM_Try, /*On fail goto*//*Label 4181*/ GIMT_Encode4(210691), // Rule ID 611 //
     /*  210655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210658 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210665 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210672 */     // MIs[0] rs1
     /*  210672 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210676 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210684 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210684 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_RL),
     /*  210689 */     GIR_RootConstrainSelectedInstOperands,
     /*  210690 */     // GIR_Coverage, 611,
     /*  210690 */     GIR_Done,
     /*  210691 */   // Label 4181: @210691
     /*  210691 */   GIM_Try, /*On fail goto*//*Label 4182*/ GIMT_Encode4(210732), // Rule ID 612 //
     /*  210696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210699 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210706 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210713 */     // MIs[0] rs1
     /*  210713 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210725 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210725 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  210730 */     GIR_RootConstrainSelectedInstOperands,
     /*  210731 */     // GIR_Coverage, 612,
     /*  210731 */     GIR_Done,
     /*  210732 */   // Label 4182: @210732
     /*  210732 */   GIM_Try, /*On fail goto*//*Label 4183*/ GIMT_Encode4(210773), // Rule ID 613 //
     /*  210737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_NotHasStdExtZtso_HwMode0),
     /*  210740 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210747 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210754 */     // MIs[0] rs1
     /*  210754 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210758 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210766 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210766 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D_AQ_RL),
     /*  210771 */     GIR_RootConstrainSelectedInstOperands,
     /*  210772 */     // GIR_Coverage, 613,
     /*  210772 */     GIR_Done,
     /*  210773 */   // Label 4183: @210773
     /*  210773 */   GIM_Try, /*On fail goto*//*Label 4184*/ GIMT_Encode4(210814), // Rule ID 614 //
     /*  210778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210781 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210788 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210795 */     // MIs[0] rs1
     /*  210795 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210807 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_monotonic>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210807 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210812 */     GIR_RootConstrainSelectedInstOperands,
     /*  210813 */     // GIR_Coverage, 614,
     /*  210813 */     GIR_Done,
     /*  210814 */   // Label 4184: @210814
     /*  210814 */   GIM_Try, /*On fail goto*//*Label 4185*/ GIMT_Encode4(210855), // Rule ID 615 //
     /*  210819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210822 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210829 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  210832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210836 */     // MIs[0] rs1
     /*  210836 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210848 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acquire>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210848 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210853 */     GIR_RootConstrainSelectedInstOperands,
     /*  210854 */     // GIR_Coverage, 615,
     /*  210854 */     GIR_Done,
     /*  210855 */   // Label 4185: @210855
     /*  210855 */   GIM_Try, /*On fail goto*//*Label 4186*/ GIMT_Encode4(210896), // Rule ID 616 //
     /*  210860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210863 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210870 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  210873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210877 */     // MIs[0] rs1
     /*  210877 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210889 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_release>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210889 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210894 */     GIR_RootConstrainSelectedInstOperands,
     /*  210895 */     // GIR_Coverage, 616,
     /*  210895 */     GIR_Done,
     /*  210896 */   // Label 4186: @210896
     /*  210896 */   GIM_Try, /*On fail goto*//*Label 4187*/ GIMT_Encode4(210937), // Rule ID 617 //
     /*  210901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210904 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210911 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  210914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210918 */     // MIs[0] rs1
     /*  210918 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210930 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_acq_rel>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210930 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210935 */     GIR_RootConstrainSelectedInstOperands,
     /*  210936 */     // GIR_Coverage, 617,
     /*  210936 */     GIR_Done,
     /*  210937 */   // Label 4187: @210937
     /*  210937 */   GIM_Try, /*On fail goto*//*Label 4188*/ GIMT_Encode4(210978), // Rule ID 618 //
     /*  210942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZtso_IsRV64_HwMode0),
     /*  210945 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(8),
     /*  210952 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  210955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210959 */     // MIs[0] rs1
     /*  210959 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  210963 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  210971 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i64>><<P:Predicate_atomic_load_umin_i64_seq_cst>>  =>  (AMOMINU_D:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  210971 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_D),
     /*  210976 */     GIR_RootConstrainSelectedInstOperands,
     /*  210977 */     // GIR_Coverage, 618,
     /*  210977 */     GIR_Done,
     /*  210978 */   // Label 4188: @210978
     /*  210978 */   GIM_Try, /*On fail goto*//*Label 4189*/ GIMT_Encode4(211019), // Rule ID 857 //
     /*  210983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  210986 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  210993 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  210996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211000 */     // MIs[0] rs1
     /*  211000 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211004 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211012 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211012 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  211017 */     GIR_RootConstrainSelectedInstOperands,
     /*  211018 */     // GIR_Coverage, 857,
     /*  211018 */     GIR_Done,
     /*  211019 */   // Label 4189: @211019
     /*  211019 */   GIM_Try, /*On fail goto*//*Label 4190*/ GIMT_Encode4(211060), // Rule ID 859 //
     /*  211024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211027 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211034 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  211037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211041 */     // MIs[0] rs1
     /*  211041 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211053 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ),
     /*  211058 */     GIR_RootConstrainSelectedInstOperands,
     /*  211059 */     // GIR_Coverage, 859,
     /*  211059 */     GIR_Done,
     /*  211060 */   // Label 4190: @211060
     /*  211060 */   GIM_Try, /*On fail goto*//*Label 4191*/ GIMT_Encode4(211101), // Rule ID 861 //
     /*  211065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211068 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211075 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  211078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211082 */     // MIs[0] rs1
     /*  211082 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211094 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211094 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_RL),
     /*  211099 */     GIR_RootConstrainSelectedInstOperands,
     /*  211100 */     // GIR_Coverage, 861,
     /*  211100 */     GIR_Done,
     /*  211101 */   // Label 4191: @211101
     /*  211101 */   GIM_Try, /*On fail goto*//*Label 4192*/ GIMT_Encode4(211142), // Rule ID 863 //
     /*  211106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211109 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211116 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  211119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211123 */     // MIs[0] rs1
     /*  211123 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211135 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211135 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  211140 */     GIR_RootConstrainSelectedInstOperands,
     /*  211141 */     // GIR_Coverage, 863,
     /*  211141 */     GIR_Done,
     /*  211142 */   // Label 4192: @211142
     /*  211142 */   GIM_Try, /*On fail goto*//*Label 4193*/ GIMT_Encode4(211183), // Rule ID 865 //
     /*  211147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211150 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211157 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  211160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211164 */     // MIs[0] rs1
     /*  211164 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211168 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211176 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211176 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B_AQ_RL),
     /*  211181 */     GIR_RootConstrainSelectedInstOperands,
     /*  211182 */     // GIR_Coverage, 865,
     /*  211182 */     GIR_Done,
     /*  211183 */   // Label 4193: @211183
     /*  211183 */   GIM_Try, /*On fail goto*//*Label 4194*/ GIMT_Encode4(211224), // Rule ID 867 //
     /*  211188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211191 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211198 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  211201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211205 */     // MIs[0] rs1
     /*  211205 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211217 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_monotonic>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211217 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  211222 */     GIR_RootConstrainSelectedInstOperands,
     /*  211223 */     // GIR_Coverage, 867,
     /*  211223 */     GIR_Done,
     /*  211224 */   // Label 4194: @211224
     /*  211224 */   GIM_Try, /*On fail goto*//*Label 4195*/ GIMT_Encode4(211265), // Rule ID 869 //
     /*  211229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211232 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211239 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  211242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211246 */     // MIs[0] rs1
     /*  211246 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211250 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211258 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acquire>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211258 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  211263 */     GIR_RootConstrainSelectedInstOperands,
     /*  211264 */     // GIR_Coverage, 869,
     /*  211264 */     GIR_Done,
     /*  211265 */   // Label 4195: @211265
     /*  211265 */   GIM_Try, /*On fail goto*//*Label 4196*/ GIMT_Encode4(211306), // Rule ID 871 //
     /*  211270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211273 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211280 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  211283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211287 */     // MIs[0] rs1
     /*  211287 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211299 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_release>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211299 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  211304 */     GIR_RootConstrainSelectedInstOperands,
     /*  211305 */     // GIR_Coverage, 871,
     /*  211305 */     GIR_Done,
     /*  211306 */   // Label 4196: @211306
     /*  211306 */   GIM_Try, /*On fail goto*//*Label 4197*/ GIMT_Encode4(211347), // Rule ID 873 //
     /*  211311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211314 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211321 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  211324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211328 */     // MIs[0] rs1
     /*  211328 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211340 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_acq_rel>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211340 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  211345 */     GIR_RootConstrainSelectedInstOperands,
     /*  211346 */     // GIR_Coverage, 873,
     /*  211346 */     GIR_Done,
     /*  211347 */   // Label 4197: @211347
     /*  211347 */   GIM_Try, /*On fail goto*//*Label 4198*/ GIMT_Encode4(211388), // Rule ID 875 //
     /*  211352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211355 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(1),
     /*  211362 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  211365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211369 */     // MIs[0] rs1
     /*  211369 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211373 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211381 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i8>><<P:Predicate_atomic_load_umin_i8_seq_cst>>  =>  (AMOMINU_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211381 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_B),
     /*  211386 */     GIR_RootConstrainSelectedInstOperands,
     /*  211387 */     // GIR_Coverage, 875,
     /*  211387 */     GIR_Done,
     /*  211388 */   // Label 4198: @211388
     /*  211388 */   GIM_Try, /*On fail goto*//*Label 4199*/ GIMT_Encode4(211429), // Rule ID 1037 //
     /*  211393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211396 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211403 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  211406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211410 */     // MIs[0] rs1
     /*  211410 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211422 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211422 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211427 */     GIR_RootConstrainSelectedInstOperands,
     /*  211428 */     // GIR_Coverage, 1037,
     /*  211428 */     GIR_Done,
     /*  211429 */   // Label 4199: @211429
     /*  211429 */   GIM_Try, /*On fail goto*//*Label 4200*/ GIMT_Encode4(211470), // Rule ID 1039 //
     /*  211434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211437 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211444 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  211447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211451 */     // MIs[0] rs1
     /*  211451 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211463 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H_AQ:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211463 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ),
     /*  211468 */     GIR_RootConstrainSelectedInstOperands,
     /*  211469 */     // GIR_Coverage, 1039,
     /*  211469 */     GIR_Done,
     /*  211470 */   // Label 4200: @211470
     /*  211470 */   GIM_Try, /*On fail goto*//*Label 4201*/ GIMT_Encode4(211511), // Rule ID 1041 //
     /*  211475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211478 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211485 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  211488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211492 */     // MIs[0] rs1
     /*  211492 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211496 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211504 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211504 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_RL),
     /*  211509 */     GIR_RootConstrainSelectedInstOperands,
     /*  211510 */     // GIR_Coverage, 1041,
     /*  211510 */     GIR_Done,
     /*  211511 */   // Label 4201: @211511
     /*  211511 */   GIM_Try, /*On fail goto*//*Label 4202*/ GIMT_Encode4(211552), // Rule ID 1043 //
     /*  211516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211519 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211526 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  211529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211533 */     // MIs[0] rs1
     /*  211533 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211545 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211545 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  211550 */     GIR_RootConstrainSelectedInstOperands,
     /*  211551 */     // GIR_Coverage, 1043,
     /*  211551 */     GIR_Done,
     /*  211552 */   // Label 4202: @211552
     /*  211552 */   GIM_Try, /*On fail goto*//*Label 4203*/ GIMT_Encode4(211593), // Rule ID 1045 //
     /*  211557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_NotHasStdExtZtso_HwMode0),
     /*  211560 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211567 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  211570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211574 */     // MIs[0] rs1
     /*  211574 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211586 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H_AQ_RL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211586 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H_AQ_RL),
     /*  211591 */     GIR_RootConstrainSelectedInstOperands,
     /*  211592 */     // GIR_Coverage, 1045,
     /*  211592 */     GIR_Done,
     /*  211593 */   // Label 4203: @211593
     /*  211593 */   GIM_Try, /*On fail goto*//*Label 4204*/ GIMT_Encode4(211634), // Rule ID 1047 //
     /*  211598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211601 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211608 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Monotonic,
     /*  211611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211615 */     // MIs[0] rs1
     /*  211615 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211619 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211627 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_monotonic>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211627 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211632 */     GIR_RootConstrainSelectedInstOperands,
     /*  211633 */     // GIR_Coverage, 1047,
     /*  211633 */     GIR_Done,
     /*  211634 */   // Label 4204: @211634
     /*  211634 */   GIM_Try, /*On fail goto*//*Label 4205*/ GIMT_Encode4(211675), // Rule ID 1049 //
     /*  211639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211642 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211649 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Acquire,
     /*  211652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211656 */     // MIs[0] rs1
     /*  211656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211660 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211668 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acquire>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211668 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211673 */     GIR_RootConstrainSelectedInstOperands,
     /*  211674 */     // GIR_Coverage, 1049,
     /*  211674 */     GIR_Done,
     /*  211675 */   // Label 4205: @211675
     /*  211675 */   GIM_Try, /*On fail goto*//*Label 4206*/ GIMT_Encode4(211716), // Rule ID 1051 //
     /*  211680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211683 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211690 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::Release,
     /*  211693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211697 */     // MIs[0] rs1
     /*  211697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211709 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_release>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211709 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211714 */     GIR_RootConstrainSelectedInstOperands,
     /*  211715 */     // GIR_Coverage, 1051,
     /*  211715 */     GIR_Done,
     /*  211716 */   // Label 4206: @211716
     /*  211716 */   GIM_Try, /*On fail goto*//*Label 4207*/ GIMT_Encode4(211757), // Rule ID 1053 //
     /*  211721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211724 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211731 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::AcquireRelease,
     /*  211734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211738 */     // MIs[0] rs1
     /*  211738 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211750 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_acq_rel>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211750 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211755 */     GIR_RootConstrainSelectedInstOperands,
     /*  211756 */     // GIR_Coverage, 1053,
     /*  211756 */     GIR_Done,
     /*  211757 */   // Label 4207: @211757
     /*  211757 */   GIM_Try, /*On fail goto*//*Label 4208*/ GIMT_Encode4(211798), // Rule ID 1055 //
     /*  211762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HasStdExtZabha_HasStdExtZtso_HwMode0),
     /*  211765 */     GIM_CheckMemorySizeEqualTo, /*MI*/0, /*MMO*/0, /*Size*/GIMT_Encode4(2),
     /*  211772 */     GIM_CheckAtomicOrdering, /*MI*/0, /*Order*/(uint8_t)AtomicOrdering::SequentiallyConsistent,
     /*  211775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211779 */     // MIs[0] rs1
     /*  211779 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /*  211783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  211791 */     // (atomic_load_umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)<<P:Predicate_atomic_load_umin_i16>><<P:Predicate_atomic_load_umin_i16_seq_cst>>  =>  (AMOMINU_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  211791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::AMOMINU_H),
     /*  211796 */     GIR_RootConstrainSelectedInstOperands,
     /*  211797 */     // GIR_Coverage, 1055,
     /*  211797 */     GIR_Done,
     /*  211798 */   // Label 4208: @211798
     /*  211798 */   GIM_Reject,
     /*  211799 */ // Label 4168: @211799
     /*  211799 */ GIM_Reject,
     /*  211800 */ // Label 4136: @211800
     /*  211800 */ GIM_Reject,
     /*  211801 */ // Label 36: @211801
     /*  211801 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 4211*/ GIMT_Encode4(212018),
     /*  211812 */ /*GILLT_s32*//*Label 4209*/ GIMT_Encode4(211820),
     /*  211816 */ /*GILLT_s64*//*Label 4210*/ GIMT_Encode4(211919),
     /*  211820 */ // Label 4209: @211820
     /*  211820 */ GIM_Try, /*On fail goto*//*Label 4212*/ GIMT_Encode4(211846), // Rule ID 251 //
     /*  211825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211828 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  211832 */   // MIs[0] Operand 1
     /*  211832 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211835 */   // (atomic_fence 4:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 2:{ *:[i32] }, 3:{ *:[i32] })
     /*  211835 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  211841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211844 */   GIR_RootConstrainSelectedInstOperands,
     /*  211845 */   // GIR_Coverage, 251,
     /*  211845 */   GIR_EraseRootFromParent_Done,
     /*  211846 */ // Label 4212: @211846
     /*  211846 */ GIM_Try, /*On fail goto*//*Label 4213*/ GIMT_Encode4(211872), // Rule ID 253 //
     /*  211851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211854 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  211858 */   // MIs[0] Operand 1
     /*  211858 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211861 */   // (atomic_fence 5:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  211861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  211870 */   GIR_RootConstrainSelectedInstOperands,
     /*  211871 */   // GIR_Coverage, 253,
     /*  211871 */   GIR_EraseRootFromParent_Done,
     /*  211872 */ // Label 4213: @211872
     /*  211872 */ GIM_Try, /*On fail goto*//*Label 4214*/ GIMT_Encode4(211892), // Rule ID 255 //
     /*  211877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211880 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  211884 */   // MIs[0] Operand 1
     /*  211884 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211887 */   // (atomic_fence 6:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE_TSO)
     /*  211887 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  211890 */   GIR_RootConstrainSelectedInstOperands,
     /*  211891 */   // GIR_Coverage, 255,
     /*  211891 */   GIR_EraseRootFromParent_Done,
     /*  211892 */ // Label 4214: @211892
     /*  211892 */ GIM_Try, /*On fail goto*//*Label 4215*/ GIMT_Encode4(211918), // Rule ID 257 //
     /*  211897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  211900 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  211904 */   // MIs[0] Operand 1
     /*  211904 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211907 */   // (atomic_fence 7:{ *:[i32] }, (timm:{ *:[i32] }))  =>  (FENCE 3:{ *:[i32] }, 3:{ *:[i32] })
     /*  211907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211916 */   GIR_RootConstrainSelectedInstOperands,
     /*  211917 */   // GIR_Coverage, 257,
     /*  211917 */   GIR_EraseRootFromParent_Done,
     /*  211918 */ // Label 4215: @211918
     /*  211918 */ GIM_Reject,
     /*  211919 */ // Label 4210: @211919
     /*  211919 */ GIM_Try, /*On fail goto*//*Label 4216*/ GIMT_Encode4(211945), // Rule ID 250 //
     /*  211924 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211927 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 4,
     /*  211931 */   // MIs[0] Operand 1
     /*  211931 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211934 */   // (atomic_fence 4:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 2:{ *:[i64] }, 3:{ *:[i64] })
     /*  211934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /*  211940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211943 */   GIR_RootConstrainSelectedInstOperands,
     /*  211944 */   // GIR_Coverage, 250,
     /*  211944 */   GIR_EraseRootFromParent_Done,
     /*  211945 */ // Label 4216: @211945
     /*  211945 */ GIM_Try, /*On fail goto*//*Label 4217*/ GIMT_Encode4(211971), // Rule ID 252 //
     /*  211950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211953 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 5,
     /*  211957 */   // MIs[0] Operand 1
     /*  211957 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211960 */   // (atomic_fence 5:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  211960 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  211963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  211966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  211969 */   GIR_RootConstrainSelectedInstOperands,
     /*  211970 */   // GIR_Coverage, 252,
     /*  211970 */   GIR_EraseRootFromParent_Done,
     /*  211971 */ // Label 4217: @211971
     /*  211971 */ GIM_Try, /*On fail goto*//*Label 4218*/ GIMT_Encode4(211991), // Rule ID 254 //
     /*  211976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211979 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 6,
     /*  211983 */   // MIs[0] Operand 1
     /*  211983 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  211986 */   // (atomic_fence 6:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE_TSO)
     /*  211986 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE_TSO),
     /*  211989 */   GIR_RootConstrainSelectedInstOperands,
     /*  211990 */   // GIR_Coverage, 254,
     /*  211990 */   GIR_EraseRootFromParent_Done,
     /*  211991 */ // Label 4218: @211991
     /*  211991 */ GIM_Try, /*On fail goto*//*Label 4219*/ GIMT_Encode4(212017), // Rule ID 256 //
     /*  211996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  211999 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/0, 7,
     /*  212003 */   // MIs[0] Operand 1
     /*  212003 */   GIM_CheckIsImm, /*MI*/0, /*Op*/1,
     /*  212006 */   // (atomic_fence 7:{ *:[i64] }, (timm:{ *:[i64] }))  =>  (FENCE 3:{ *:[i64] }, 3:{ *:[i64] })
     /*  212006 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /*  212009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  212015 */   GIR_RootConstrainSelectedInstOperands,
     /*  212016 */   // GIR_Coverage, 256,
     /*  212016 */   GIR_EraseRootFromParent_Done,
     /*  212017 */ // Label 4219: @212017
     /*  212017 */ GIM_Reject,
     /*  212018 */ // Label 4211: @212018
     /*  212018 */ GIM_Reject,
     /*  212019 */ // Label 37: @212019
     /*  212019 */ GIM_Try, /*On fail goto*//*Label 4220*/ GIMT_Encode4(213504),
     /*  212024 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/3,
     /*  212027 */   GIM_Try, /*On fail goto*//*Label 4221*/ GIMT_Encode4(212072), // Rule ID 2712 //
     /*  212032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212057 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  212060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212070 */     GIR_RootConstrainSelectedInstOperands,
     /*  212071 */     // GIR_Coverage, 2712,
     /*  212071 */     GIR_EraseRootFromParent_Done,
     /*  212072 */   // Label 4221: @212072
     /*  212072 */   GIM_Try, /*On fail goto*//*Label 4222*/ GIMT_Encode4(212117), // Rule ID 2713 //
     /*  212077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212102 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /*  212105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212115 */     GIR_RootConstrainSelectedInstOperands,
     /*  212116 */     // GIR_Coverage, 2713,
     /*  212116 */     GIR_EraseRootFromParent_Done,
     /*  212117 */   // Label 4222: @212117
     /*  212117 */   GIM_Try, /*On fail goto*//*Label 4223*/ GIMT_Encode4(212162), // Rule ID 23262 //
     /*  212122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212147 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  212150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212160 */     GIR_RootConstrainSelectedInstOperands,
     /*  212161 */     // GIR_Coverage, 23262,
     /*  212161 */     GIR_EraseRootFromParent_Done,
     /*  212162 */   // Label 4223: @212162
     /*  212162 */   GIM_Try, /*On fail goto*//*Label 4224*/ GIMT_Encode4(212207), // Rule ID 23263 //
     /*  212167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212192 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /*  212195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212205 */     GIR_RootConstrainSelectedInstOperands,
     /*  212206 */     // GIR_Coverage, 23263,
     /*  212206 */     GIR_EraseRootFromParent_Done,
     /*  212207 */   // Label 4224: @212207
     /*  212207 */   GIM_Try, /*On fail goto*//*Label 4225*/ GIMT_Encode4(212252), // Rule ID 23264 //
     /*  212212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212237 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  212240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212250 */     GIR_RootConstrainSelectedInstOperands,
     /*  212251 */     // GIR_Coverage, 23264,
     /*  212251 */     GIR_EraseRootFromParent_Done,
     /*  212252 */   // Label 4225: @212252
     /*  212252 */   GIM_Try, /*On fail goto*//*Label 4226*/ GIMT_Encode4(212297), // Rule ID 23265 //
     /*  212257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212282 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /*  212285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212295 */     GIR_RootConstrainSelectedInstOperands,
     /*  212296 */     // GIR_Coverage, 23265,
     /*  212296 */     GIR_EraseRootFromParent_Done,
     /*  212297 */   // Label 4226: @212297
     /*  212297 */   GIM_Try, /*On fail goto*//*Label 4227*/ GIMT_Encode4(212342), // Rule ID 23266 //
     /*  212302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212327 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  212330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212340 */     GIR_RootConstrainSelectedInstOperands,
     /*  212341 */     // GIR_Coverage, 23266,
     /*  212341 */     GIR_EraseRootFromParent_Done,
     /*  212342 */   // Label 4227: @212342
     /*  212342 */   GIM_Try, /*On fail goto*//*Label 4228*/ GIMT_Encode4(212387), // Rule ID 23267 //
     /*  212347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212372 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /*  212375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212385 */     GIR_RootConstrainSelectedInstOperands,
     /*  212386 */     // GIR_Coverage, 23267,
     /*  212386 */     GIR_EraseRootFromParent_Done,
     /*  212387 */   // Label 4228: @212387
     /*  212387 */   GIM_Try, /*On fail goto*//*Label 4229*/ GIMT_Encode4(212432), // Rule ID 23268 //
     /*  212392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212417 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  212420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212430 */     GIR_RootConstrainSelectedInstOperands,
     /*  212431 */     // GIR_Coverage, 23268,
     /*  212431 */     GIR_EraseRootFromParent_Done,
     /*  212432 */   // Label 4229: @212432
     /*  212432 */   GIM_Try, /*On fail goto*//*Label 4230*/ GIMT_Encode4(212477), // Rule ID 23269 //
     /*  212437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  212448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212462 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /*  212465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212475 */     GIR_RootConstrainSelectedInstOperands,
     /*  212476 */     // GIR_Coverage, 23269,
     /*  212476 */     GIR_EraseRootFromParent_Done,
     /*  212477 */   // Label 4230: @212477
     /*  212477 */   GIM_Try, /*On fail goto*//*Label 4231*/ GIMT_Encode4(212522), // Rule ID 23270 //
     /*  212482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212507 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  212510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212520 */     GIR_RootConstrainSelectedInstOperands,
     /*  212521 */     // GIR_Coverage, 23270,
     /*  212521 */     GIR_EraseRootFromParent_Done,
     /*  212522 */   // Label 4231: @212522
     /*  212522 */   GIM_Try, /*On fail goto*//*Label 4232*/ GIMT_Encode4(212567), // Rule ID 23271 //
     /*  212527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  212538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212552 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /*  212555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212565 */     GIR_RootConstrainSelectedInstOperands,
     /*  212566 */     // GIR_Coverage, 23271,
     /*  212566 */     GIR_EraseRootFromParent_Done,
     /*  212567 */   // Label 4232: @212567
     /*  212567 */   GIM_Try, /*On fail goto*//*Label 4233*/ GIMT_Encode4(212612), // Rule ID 23272 //
     /*  212572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212597 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  212600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212610 */     GIR_RootConstrainSelectedInstOperands,
     /*  212611 */     // GIR_Coverage, 23272,
     /*  212611 */     GIR_EraseRootFromParent_Done,
     /*  212612 */   // Label 4233: @212612
     /*  212612 */   GIM_Try, /*On fail goto*//*Label 4234*/ GIMT_Encode4(212657), // Rule ID 23273 //
     /*  212617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmclr),
     /*  212625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  212628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212642 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11418:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /*  212645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212655 */     GIR_RootConstrainSelectedInstOperands,
     /*  212656 */     // GIR_Coverage, 23273,
     /*  212656 */     GIR_EraseRootFromParent_Done,
     /*  212657 */   // Label 4234: @212657
     /*  212657 */   GIM_Try, /*On fail goto*//*Label 4235*/ GIMT_Encode4(212702), // Rule ID 23274 //
     /*  212662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  212690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212700 */     GIR_RootConstrainSelectedInstOperands,
     /*  212701 */     // GIR_Coverage, 23274,
     /*  212701 */     GIR_EraseRootFromParent_Done,
     /*  212702 */   // Label 4235: @212702
     /*  212702 */   GIM_Try, /*On fail goto*//*Label 4236*/ GIMT_Encode4(212747), // Rule ID 23275 //
     /*  212707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  212718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212732 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /*  212735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212745 */     GIR_RootConstrainSelectedInstOperands,
     /*  212746 */     // GIR_Coverage, 23275,
     /*  212746 */     GIR_EraseRootFromParent_Done,
     /*  212747 */   // Label 4236: @212747
     /*  212747 */   GIM_Try, /*On fail goto*//*Label 4237*/ GIMT_Encode4(212792), // Rule ID 23276 //
     /*  212752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  212780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212790 */     GIR_RootConstrainSelectedInstOperands,
     /*  212791 */     // GIR_Coverage, 23276,
     /*  212791 */     GIR_EraseRootFromParent_Done,
     /*  212792 */   // Label 4237: @212792
     /*  212792 */   GIM_Try, /*On fail goto*//*Label 4238*/ GIMT_Encode4(212837), // Rule ID 23277 //
     /*  212797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  212808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212822 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /*  212825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212835 */     GIR_RootConstrainSelectedInstOperands,
     /*  212836 */     // GIR_Coverage, 23277,
     /*  212836 */     GIR_EraseRootFromParent_Done,
     /*  212837 */   // Label 4238: @212837
     /*  212837 */   GIM_Try, /*On fail goto*//*Label 4239*/ GIMT_Encode4(212882), // Rule ID 23278 //
     /*  212842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212867 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  212870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212880 */     GIR_RootConstrainSelectedInstOperands,
     /*  212881 */     // GIR_Coverage, 23278,
     /*  212881 */     GIR_EraseRootFromParent_Done,
     /*  212882 */   // Label 4239: @212882
     /*  212882 */   GIM_Try, /*On fail goto*//*Label 4240*/ GIMT_Encode4(212927), // Rule ID 23279 //
     /*  212887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  212898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  212912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /*  212915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212925 */     GIR_RootConstrainSelectedInstOperands,
     /*  212926 */     // GIR_Coverage, 23279,
     /*  212926 */     GIR_EraseRootFromParent_Done,
     /*  212927 */   // Label 4240: @212927
     /*  212927 */   GIM_Try, /*On fail goto*//*Label 4241*/ GIMT_Encode4(212972), // Rule ID 23280 //
     /*  212932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  212935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  212946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  212957 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  212957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  212960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  212962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  212967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  212970 */     GIR_RootConstrainSelectedInstOperands,
     /*  212971 */     // GIR_Coverage, 23280,
     /*  212971 */     GIR_EraseRootFromParent_Done,
     /*  212972 */   // Label 4241: @212972
     /*  212972 */   GIM_Try, /*On fail goto*//*Label 4242*/ GIMT_Encode4(213017), // Rule ID 23281 //
     /*  212977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  212980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  212985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  212988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  212991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  212995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213002 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /*  213005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213015 */     GIR_RootConstrainSelectedInstOperands,
     /*  213016 */     // GIR_Coverage, 23281,
     /*  213016 */     GIR_EraseRootFromParent_Done,
     /*  213017 */   // Label 4242: @213017
     /*  213017 */   GIM_Try, /*On fail goto*//*Label 4243*/ GIMT_Encode4(213062), // Rule ID 23282 //
     /*  213022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  213030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213047 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  213050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213060 */     GIR_RootConstrainSelectedInstOperands,
     /*  213061 */     // GIR_Coverage, 23282,
     /*  213061 */     GIR_EraseRootFromParent_Done,
     /*  213062 */   // Label 4243: @213062
     /*  213062 */   GIM_Try, /*On fail goto*//*Label 4244*/ GIMT_Encode4(213107), // Rule ID 23283 //
     /*  213067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  213075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  213078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213092 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /*  213095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213105 */     GIR_RootConstrainSelectedInstOperands,
     /*  213106 */     // GIR_Coverage, 23283,
     /*  213106 */     GIR_EraseRootFromParent_Done,
     /*  213107 */   // Label 4244: @213107
     /*  213107 */   GIM_Try, /*On fail goto*//*Label 4245*/ GIMT_Encode4(213152), // Rule ID 23284 //
     /*  213112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  213120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  213123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213137 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  213140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213150 */     GIR_RootConstrainSelectedInstOperands,
     /*  213151 */     // GIR_Coverage, 23284,
     /*  213151 */     GIR_EraseRootFromParent_Done,
     /*  213152 */   // Label 4245: @213152
     /*  213152 */   GIM_Try, /*On fail goto*//*Label 4246*/ GIMT_Encode4(213197), // Rule ID 23285 //
     /*  213157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  213165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  213168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213182 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /*  213185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213195 */     GIR_RootConstrainSelectedInstOperands,
     /*  213196 */     // GIR_Coverage, 23285,
     /*  213196 */     GIR_EraseRootFromParent_Done,
     /*  213197 */   // Label 4246: @213197
     /*  213197 */   GIM_Try, /*On fail goto*//*Label 4247*/ GIMT_Encode4(213242), // Rule ID 23286 //
     /*  213202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  213210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  213213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213227 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  213230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213240 */     GIR_RootConstrainSelectedInstOperands,
     /*  213241 */     // GIR_Coverage, 23286,
     /*  213241 */     GIR_EraseRootFromParent_Done,
     /*  213242 */   // Label 4247: @213242
     /*  213242 */   GIM_Try, /*On fail goto*//*Label 4248*/ GIMT_Encode4(213287), // Rule ID 23287 //
     /*  213247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmset),
     /*  213255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  213258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213272 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11446:{ *:[iPTR] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /*  213275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213285 */     GIR_RootConstrainSelectedInstOperands,
     /*  213286 */     // GIR_Coverage, 23287,
     /*  213286 */     GIR_EraseRootFromParent_Done,
     /*  213287 */   // Label 4248: @213287
     /*  213287 */   GIM_Try, /*On fail goto*//*Label 4249*/ GIMT_Encode4(213323), // Rule ID 2649 //
     /*  213292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  213295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64im),
     /*  213300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213314 */     // (intrinsic_wo_chain:{ *:[i64] } 10964:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (AES64IM:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  213314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64IM),
     /*  213317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213321 */     GIR_RootConstrainSelectedInstOperands,
     /*  213322 */     // GIR_Coverage, 2649,
     /*  213322 */     GIR_EraseRootFromParent_Done,
     /*  213323 */   // Label 4249: @213323
     /*  213323 */   GIM_Try, /*On fail goto*//*Label 4250*/ GIMT_Encode4(213359), // Rule ID 2670 //
     /*  213328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  213331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0),
     /*  213336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213350 */     // (intrinsic_wo_chain:{ *:[i64] } 11113:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  213350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0),
     /*  213353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213357 */     GIR_RootConstrainSelectedInstOperands,
     /*  213358 */     // GIR_Coverage, 2670,
     /*  213358 */     GIR_EraseRootFromParent_Done,
     /*  213359 */   // Label 4250: @213359
     /*  213359 */   GIM_Try, /*On fail goto*//*Label 4251*/ GIMT_Encode4(213395), // Rule ID 2671 //
     /*  213364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  213367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1),
     /*  213372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213386 */     // (intrinsic_wo_chain:{ *:[i64] } 11116:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SIG1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  213386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1),
     /*  213389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213393 */     GIR_RootConstrainSelectedInstOperands,
     /*  213394 */     // GIR_Coverage, 2671,
     /*  213394 */     GIR_EraseRootFromParent_Done,
     /*  213395 */   // Label 4251: @213395
     /*  213395 */   GIM_Try, /*On fail goto*//*Label 4252*/ GIMT_Encode4(213431), // Rule ID 2672 //
     /*  213400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  213403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0),
     /*  213408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213422 */     // (intrinsic_wo_chain:{ *:[i64] } 11119:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  213422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0),
     /*  213425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213429 */     GIR_RootConstrainSelectedInstOperands,
     /*  213430 */     // GIR_Coverage, 2672,
     /*  213430 */     GIR_EraseRootFromParent_Done,
     /*  213431 */   // Label 4252: @213431
     /*  213431 */   GIM_Try, /*On fail goto*//*Label 4253*/ GIMT_Encode4(213467), // Rule ID 2673 //
     /*  213436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV64_HwMode0),
     /*  213439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1),
     /*  213444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  213450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213458 */     // (intrinsic_wo_chain:{ *:[i64] } 11121:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1)  =>  (SHA512SUM1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /*  213458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1),
     /*  213461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213465 */     GIR_RootConstrainSelectedInstOperands,
     /*  213466 */     // GIR_Coverage, 2673,
     /*  213466 */     GIR_EraseRootFromParent_Done,
     /*  213467 */   // Label 4253: @213467
     /*  213467 */   GIM_Try, /*On fail goto*//*Label 4254*/ GIMT_Encode4(213503), // Rule ID 64440 //
     /*  213472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  213475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_clb),
     /*  213480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  213486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213494 */     // (intrinsic_wo_chain:{ *:[i32] } 10984:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1)  =>  (CV_CLB:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /*  213494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLB),
     /*  213497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213501 */     GIR_RootConstrainSelectedInstOperands,
     /*  213502 */     // GIR_Coverage, 64440,
     /*  213502 */     GIR_EraseRootFromParent_Done,
     /*  213503 */   // Label 4254: @213503
     /*  213503 */   GIM_Reject,
     /*  213504 */ // Label 4220: @213504
     /*  213504 */ GIM_Try, /*On fail goto*//*Label 4255*/ GIMT_Encode4(220792),
     /*  213509 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /*  213512 */   GIM_Try, /*On fail goto*//*Label 4256*/ GIMT_Encode4(213566), // Rule ID 2682 //
     /*  213517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213549 */     // (intrinsic_wo_chain:{ *:[i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  213552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213564 */     GIR_RootConstrainSelectedInstOperands,
     /*  213565 */     // GIR_Coverage, 2682,
     /*  213565 */     GIR_EraseRootFromParent_Done,
     /*  213566 */   // Label 4256: @213566
     /*  213566 */   GIM_Try, /*On fail goto*//*Label 4257*/ GIMT_Encode4(213620), // Rule ID 2683 //
     /*  213571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213603 */     // (intrinsic_wo_chain:{ *:[i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64),
     /*  213606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213618 */     GIR_RootConstrainSelectedInstOperands,
     /*  213619 */     // GIR_Coverage, 2683,
     /*  213619 */     GIR_EraseRootFromParent_Done,
     /*  213620 */   // Label 4257: @213620
     /*  213620 */   GIM_Try, /*On fail goto*//*Label 4258*/ GIMT_Encode4(213674), // Rule ID 2688 //
     /*  213625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  213633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213657 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  213660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213672 */     GIR_RootConstrainSelectedInstOperands,
     /*  213673 */     // GIR_Coverage, 2688,
     /*  213673 */     GIR_EraseRootFromParent_Done,
     /*  213674 */   // Label 4258: @213674
     /*  213674 */   GIM_Try, /*On fail goto*//*Label 4259*/ GIMT_Encode4(213728), // Rule ID 2689 //
     /*  213679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  213687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  213690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  213693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213711 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64),
     /*  213714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  213718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213726 */     GIR_RootConstrainSelectedInstOperands,
     /*  213727 */     // GIR_Coverage, 2689,
     /*  213727 */     GIR_EraseRootFromParent_Done,
     /*  213728 */   // Label 4259: @213728
     /*  213728 */   GIM_Try, /*On fail goto*//*Label 4260*/ GIMT_Encode4(213785), // Rule ID 2708 //
     /*  213733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  213736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  213744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  213747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  213765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  213768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213783 */     GIR_RootConstrainSelectedInstOperands,
     /*  213784 */     // GIR_Coverage, 2708,
     /*  213784 */     GIR_EraseRootFromParent_Done,
     /*  213785 */   // Label 4260: @213785
     /*  213785 */   GIM_Try, /*On fail goto*//*Label 4261*/ GIMT_Encode4(213842), // Rule ID 2709 //
     /*  213790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  213793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  213798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  213801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  213804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213822 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  213822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8),
     /*  213825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  213829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  213837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213840 */     GIR_RootConstrainSelectedInstOperands,
     /*  213841 */     // GIR_Coverage, 2709,
     /*  213841 */     GIR_EraseRootFromParent_Done,
     /*  213842 */   // Label 4261: @213842
     /*  213842 */   GIM_Try, /*On fail goto*//*Label 4262*/ GIMT_Encode4(213896), // Rule ID 23288 //
     /*  213847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  213861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213879 */     // (intrinsic_wo_chain:{ *:[i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  213882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213894 */     GIR_RootConstrainSelectedInstOperands,
     /*  213895 */     // GIR_Coverage, 23288,
     /*  213895 */     GIR_EraseRootFromParent_Done,
     /*  213896 */   // Label 4262: @213896
     /*  213896 */   GIM_Try, /*On fail goto*//*Label 4263*/ GIMT_Encode4(213950), // Rule ID 23289 //
     /*  213901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  213904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  213912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  213915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  213918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213933 */     // (intrinsic_wo_chain:{ *:[i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  213933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32),
     /*  213936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  213948 */     GIR_RootConstrainSelectedInstOperands,
     /*  213949 */     // GIR_Coverage, 23289,
     /*  213949 */     GIR_EraseRootFromParent_Done,
     /*  213950 */   // Label 4263: @213950
     /*  213950 */   GIM_Try, /*On fail goto*//*Label 4264*/ GIMT_Encode4(214004), // Rule ID 23292 //
     /*  213955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  213958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  213963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  213966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  213969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  213972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  213976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  213980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  213987 */     // (intrinsic_wo_chain:{ *:[i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  213987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  213990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  213992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  213994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  213999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214002 */     GIR_RootConstrainSelectedInstOperands,
     /*  214003 */     // GIR_Coverage, 23292,
     /*  214003 */     GIR_EraseRootFromParent_Done,
     /*  214004 */   // Label 4264: @214004
     /*  214004 */   GIM_Try, /*On fail goto*//*Label 4265*/ GIMT_Encode4(214058), // Rule ID 23293 //
     /*  214009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214041 */     // (intrinsic_wo_chain:{ *:[i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16),
     /*  214044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214056 */     GIR_RootConstrainSelectedInstOperands,
     /*  214057 */     // GIR_Coverage, 23293,
     /*  214057 */     GIR_EraseRootFromParent_Done,
     /*  214058 */   // Label 4265: @214058
     /*  214058 */   GIM_Try, /*On fail goto*//*Label 4266*/ GIMT_Encode4(214112), // Rule ID 23296 //
     /*  214063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214095 */     // (intrinsic_wo_chain:{ *:[i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  214098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214110 */     GIR_RootConstrainSelectedInstOperands,
     /*  214111 */     // GIR_Coverage, 23296,
     /*  214111 */     GIR_EraseRootFromParent_Done,
     /*  214112 */   // Label 4266: @214112
     /*  214112 */   GIM_Try, /*On fail goto*//*Label 4267*/ GIMT_Encode4(214166), // Rule ID 23297 //
     /*  214117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214149 */     // (intrinsic_wo_chain:{ *:[i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8),
     /*  214152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214164 */     GIR_RootConstrainSelectedInstOperands,
     /*  214165 */     // GIR_Coverage, 23297,
     /*  214165 */     GIR_EraseRootFromParent_Done,
     /*  214166 */   // Label 4267: @214166
     /*  214166 */   GIM_Try, /*On fail goto*//*Label 4268*/ GIMT_Encode4(214220), // Rule ID 23300 //
     /*  214171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214203 */     // (intrinsic_wo_chain:{ *:[i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  214206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214218 */     GIR_RootConstrainSelectedInstOperands,
     /*  214219 */     // GIR_Coverage, 23300,
     /*  214219 */     GIR_EraseRootFromParent_Done,
     /*  214220 */   // Label 4268: @214220
     /*  214220 */   GIM_Try, /*On fail goto*//*Label 4269*/ GIMT_Encode4(214274), // Rule ID 23301 //
     /*  214225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214257 */     // (intrinsic_wo_chain:{ *:[i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4),
     /*  214260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214272 */     GIR_RootConstrainSelectedInstOperands,
     /*  214273 */     // GIR_Coverage, 23301,
     /*  214273 */     GIR_EraseRootFromParent_Done,
     /*  214274 */   // Label 4269: @214274
     /*  214274 */   GIM_Try, /*On fail goto*//*Label 4270*/ GIMT_Encode4(214328), // Rule ID 23304 //
     /*  214279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  214293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214311 */     // (intrinsic_wo_chain:{ *:[i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  214314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214326 */     GIR_RootConstrainSelectedInstOperands,
     /*  214327 */     // GIR_Coverage, 23304,
     /*  214327 */     GIR_EraseRootFromParent_Done,
     /*  214328 */   // Label 4270: @214328
     /*  214328 */   GIM_Try, /*On fail goto*//*Label 4271*/ GIMT_Encode4(214382), // Rule ID 23305 //
     /*  214333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  214347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214365 */     // (intrinsic_wo_chain:{ *:[i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2),
     /*  214368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214380 */     GIR_RootConstrainSelectedInstOperands,
     /*  214381 */     // GIR_Coverage, 23305,
     /*  214381 */     GIR_EraseRootFromParent_Done,
     /*  214382 */   // Label 4271: @214382
     /*  214382 */   GIM_Try, /*On fail goto*//*Label 4272*/ GIMT_Encode4(214436), // Rule ID 23308 //
     /*  214387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  214401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214419 */     // (intrinsic_wo_chain:{ *:[i64] } 11175:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  214422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214434 */     GIR_RootConstrainSelectedInstOperands,
     /*  214435 */     // GIR_Coverage, 23308,
     /*  214435 */     GIR_EraseRootFromParent_Done,
     /*  214436 */   // Label 4272: @214436
     /*  214436 */   GIM_Try, /*On fail goto*//*Label 4273*/ GIMT_Encode4(214490), // Rule ID 23309 //
     /*  214441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop),
     /*  214449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  214455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214473 */     // (intrinsic_wo_chain:{ *:[i32] } 11175:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1),
     /*  214476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214488 */     GIR_RootConstrainSelectedInstOperands,
     /*  214489 */     // GIR_Coverage, 23309,
     /*  214489 */     GIR_EraseRootFromParent_Done,
     /*  214490 */   // Label 4273: @214490
     /*  214490 */   GIM_Try, /*On fail goto*//*Label 4274*/ GIMT_Encode4(214544), // Rule ID 23312 //
     /*  214495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  214509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214527 */     // (intrinsic_wo_chain:{ *:[i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  214530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214542 */     GIR_RootConstrainSelectedInstOperands,
     /*  214543 */     // GIR_Coverage, 23312,
     /*  214543 */     GIR_EraseRootFromParent_Done,
     /*  214544 */   // Label 4274: @214544
     /*  214544 */   GIM_Try, /*On fail goto*//*Label 4275*/ GIMT_Encode4(214598), // Rule ID 23313 //
     /*  214549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  214563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214581 */     // (intrinsic_wo_chain:{ *:[i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64),
     /*  214584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214596 */     GIR_RootConstrainSelectedInstOperands,
     /*  214597 */     // GIR_Coverage, 23313,
     /*  214597 */     GIR_EraseRootFromParent_Done,
     /*  214598 */   // Label 4275: @214598
     /*  214598 */   GIM_Try, /*On fail goto*//*Label 4276*/ GIMT_Encode4(214652), // Rule ID 23316 //
     /*  214603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  214617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214635 */     // (intrinsic_wo_chain:{ *:[i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  214638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214650 */     GIR_RootConstrainSelectedInstOperands,
     /*  214651 */     // GIR_Coverage, 23316,
     /*  214651 */     GIR_EraseRootFromParent_Done,
     /*  214652 */   // Label 4276: @214652
     /*  214652 */   GIM_Try, /*On fail goto*//*Label 4277*/ GIMT_Encode4(214706), // Rule ID 23317 //
     /*  214657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  214671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214689 */     // (intrinsic_wo_chain:{ *:[i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32),
     /*  214692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214704 */     GIR_RootConstrainSelectedInstOperands,
     /*  214705 */     // GIR_Coverage, 23317,
     /*  214705 */     GIR_EraseRootFromParent_Done,
     /*  214706 */   // Label 4277: @214706
     /*  214706 */   GIM_Try, /*On fail goto*//*Label 4278*/ GIMT_Encode4(214760), // Rule ID 23320 //
     /*  214711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214743 */     // (intrinsic_wo_chain:{ *:[i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  214746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214758 */     GIR_RootConstrainSelectedInstOperands,
     /*  214759 */     // GIR_Coverage, 23320,
     /*  214759 */     GIR_EraseRootFromParent_Done,
     /*  214760 */   // Label 4278: @214760
     /*  214760 */   GIM_Try, /*On fail goto*//*Label 4279*/ GIMT_Encode4(214814), // Rule ID 23321 //
     /*  214765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  214779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214797 */     // (intrinsic_wo_chain:{ *:[i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16),
     /*  214800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214812 */     GIR_RootConstrainSelectedInstOperands,
     /*  214813 */     // GIR_Coverage, 23321,
     /*  214813 */     GIR_EraseRootFromParent_Done,
     /*  214814 */   // Label 4279: @214814
     /*  214814 */   GIM_Try, /*On fail goto*//*Label 4280*/ GIMT_Encode4(214868), // Rule ID 23324 //
     /*  214819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214851 */     // (intrinsic_wo_chain:{ *:[i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  214854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214866 */     GIR_RootConstrainSelectedInstOperands,
     /*  214867 */     // GIR_Coverage, 23324,
     /*  214867 */     GIR_EraseRootFromParent_Done,
     /*  214868 */   // Label 4280: @214868
     /*  214868 */   GIM_Try, /*On fail goto*//*Label 4281*/ GIMT_Encode4(214922), // Rule ID 23325 //
     /*  214873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  214887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214905 */     // (intrinsic_wo_chain:{ *:[i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  214905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8),
     /*  214908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214920 */     GIR_RootConstrainSelectedInstOperands,
     /*  214921 */     // GIR_Coverage, 23325,
     /*  214921 */     GIR_EraseRootFromParent_Done,
     /*  214922 */   // Label 4281: @214922
     /*  214922 */   GIM_Try, /*On fail goto*//*Label 4282*/ GIMT_Encode4(214976), // Rule ID 23328 //
     /*  214927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  214930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  214938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  214944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  214948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  214952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  214959 */     // (intrinsic_wo_chain:{ *:[i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  214959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  214962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  214964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  214966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  214971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  214974 */     GIR_RootConstrainSelectedInstOperands,
     /*  214975 */     // GIR_Coverage, 23328,
     /*  214975 */     GIR_EraseRootFromParent_Done,
     /*  214976 */   // Label 4282: @214976
     /*  214976 */   GIM_Try, /*On fail goto*//*Label 4283*/ GIMT_Encode4(215030), // Rule ID 23329 //
     /*  214981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  214984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  214989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  214992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  214995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  214998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215013 */     // (intrinsic_wo_chain:{ *:[i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4),
     /*  215016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215028 */     GIR_RootConstrainSelectedInstOperands,
     /*  215029 */     // GIR_Coverage, 23329,
     /*  215029 */     GIR_EraseRootFromParent_Done,
     /*  215030 */   // Label 4283: @215030
     /*  215030 */   GIM_Try, /*On fail goto*//*Label 4284*/ GIMT_Encode4(215084), // Rule ID 23332 //
     /*  215035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  215043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215067 */     // (intrinsic_wo_chain:{ *:[i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  215070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215082 */     GIR_RootConstrainSelectedInstOperands,
     /*  215083 */     // GIR_Coverage, 23332,
     /*  215083 */     GIR_EraseRootFromParent_Done,
     /*  215084 */   // Label 4284: @215084
     /*  215084 */   GIM_Try, /*On fail goto*//*Label 4285*/ GIMT_Encode4(215138), // Rule ID 23333 //
     /*  215089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  215097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215121 */     // (intrinsic_wo_chain:{ *:[i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2),
     /*  215124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215136 */     GIR_RootConstrainSelectedInstOperands,
     /*  215137 */     // GIR_Coverage, 23333,
     /*  215137 */     GIR_EraseRootFromParent_Done,
     /*  215138 */   // Label 4285: @215138
     /*  215138 */   GIM_Try, /*On fail goto*//*Label 4286*/ GIMT_Encode4(215192), // Rule ID 23336 //
     /*  215143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  215151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  215154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215175 */     // (intrinsic_wo_chain:{ *:[i64] } 11203:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  215178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215190 */     GIR_RootConstrainSelectedInstOperands,
     /*  215191 */     // GIR_Coverage, 23336,
     /*  215191 */     GIR_EraseRootFromParent_Done,
     /*  215192 */   // Label 4286: @215192
     /*  215192 */   GIM_Try, /*On fail goto*//*Label 4287*/ GIMT_Encode4(215246), // Rule ID 23337 //
     /*  215197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst),
     /*  215205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  215208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  215218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215229 */     // (intrinsic_wo_chain:{ *:[i32] } 11203:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1),
     /*  215232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  215236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215244 */     GIR_RootConstrainSelectedInstOperands,
     /*  215245 */     // GIR_Coverage, 23337,
     /*  215245 */     GIR_EraseRootFromParent_Done,
     /*  215246 */   // Label 4287: @215246
     /*  215246 */   GIM_Try, /*On fail goto*//*Label 4288*/ GIMT_Encode4(215300), // Rule ID 23340 //
     /*  215251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  215265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215283 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  215286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215298 */     GIR_RootConstrainSelectedInstOperands,
     /*  215299 */     // GIR_Coverage, 23340,
     /*  215299 */     GIR_EraseRootFromParent_Done,
     /*  215300 */   // Label 4288: @215300
     /*  215300 */   GIM_Try, /*On fail goto*//*Label 4289*/ GIMT_Encode4(215354), // Rule ID 23341 //
     /*  215305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  215316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  215319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215337 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32),
     /*  215340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215352 */     GIR_RootConstrainSelectedInstOperands,
     /*  215353 */     // GIR_Coverage, 23341,
     /*  215353 */     GIR_EraseRootFromParent_Done,
     /*  215354 */   // Label 4289: @215354
     /*  215354 */   GIM_Try, /*On fail goto*//*Label 4290*/ GIMT_Encode4(215408), // Rule ID 23344 //
     /*  215359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  215373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215391 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  215394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215406 */     GIR_RootConstrainSelectedInstOperands,
     /*  215407 */     // GIR_Coverage, 23344,
     /*  215407 */     GIR_EraseRootFromParent_Done,
     /*  215408 */   // Label 4290: @215408
     /*  215408 */   GIM_Try, /*On fail goto*//*Label 4291*/ GIMT_Encode4(215462), // Rule ID 23345 //
     /*  215413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  215424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  215427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215445 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16),
     /*  215448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215460 */     GIR_RootConstrainSelectedInstOperands,
     /*  215461 */     // GIR_Coverage, 23345,
     /*  215461 */     GIR_EraseRootFromParent_Done,
     /*  215462 */   // Label 4291: @215462
     /*  215462 */   GIM_Try, /*On fail goto*//*Label 4292*/ GIMT_Encode4(215516), // Rule ID 23348 //
     /*  215467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  215481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215499 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  215502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215514 */     GIR_RootConstrainSelectedInstOperands,
     /*  215515 */     // GIR_Coverage, 23348,
     /*  215515 */     GIR_EraseRootFromParent_Done,
     /*  215516 */   // Label 4292: @215516
     /*  215516 */   GIM_Try, /*On fail goto*//*Label 4293*/ GIMT_Encode4(215570), // Rule ID 23349 //
     /*  215521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  215532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  215535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215553 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8),
     /*  215556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215568 */     GIR_RootConstrainSelectedInstOperands,
     /*  215569 */     // GIR_Coverage, 23349,
     /*  215569 */     GIR_EraseRootFromParent_Done,
     /*  215570 */   // Label 4293: @215570
     /*  215570 */   GIM_Try, /*On fail goto*//*Label 4294*/ GIMT_Encode4(215624), // Rule ID 23352 //
     /*  215575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  215589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215607 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  215610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215622 */     GIR_RootConstrainSelectedInstOperands,
     /*  215623 */     // GIR_Coverage, 23352,
     /*  215623 */     GIR_EraseRootFromParent_Done,
     /*  215624 */   // Label 4294: @215624
     /*  215624 */   GIM_Try, /*On fail goto*//*Label 4295*/ GIMT_Encode4(215678), // Rule ID 23353 //
     /*  215629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  215640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  215643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215661 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4),
     /*  215664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215676 */     GIR_RootConstrainSelectedInstOperands,
     /*  215677 */     // GIR_Coverage, 23353,
     /*  215677 */     GIR_EraseRootFromParent_Done,
     /*  215678 */   // Label 4295: @215678
     /*  215678 */   GIM_Try, /*On fail goto*//*Label 4296*/ GIMT_Encode4(215732), // Rule ID 23356 //
     /*  215683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215715 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  215718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215730 */     GIR_RootConstrainSelectedInstOperands,
     /*  215731 */     // GIR_Coverage, 23356,
     /*  215731 */     GIR_EraseRootFromParent_Done,
     /*  215732 */   // Label 4296: @215732
     /*  215732 */   GIM_Try, /*On fail goto*//*Label 4297*/ GIMT_Encode4(215786), // Rule ID 23357 //
     /*  215737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  215748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  215751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215769 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2),
     /*  215772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215784 */     GIR_RootConstrainSelectedInstOperands,
     /*  215785 */     // GIR_Coverage, 23357,
     /*  215785 */     GIR_EraseRootFromParent_Done,
     /*  215786 */   // Label 4297: @215786
     /*  215786 */   GIM_Try, /*On fail goto*//*Label 4298*/ GIMT_Encode4(215840), // Rule ID 23360 //
     /*  215791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  215802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215823 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  215826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215838 */     GIR_RootConstrainSelectedInstOperands,
     /*  215839 */     // GIR_Coverage, 23360,
     /*  215839 */     GIR_EraseRootFromParent_Done,
     /*  215840 */   // Label 4298: @215840
     /*  215840 */   GIM_Try, /*On fail goto*//*Label 4299*/ GIMT_Encode4(215894), // Rule ID 23361 //
     /*  215845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf),
     /*  215853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  215856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  215859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215877 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11442:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1),
     /*  215880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215892 */     GIR_RootConstrainSelectedInstOperands,
     /*  215893 */     // GIR_Coverage, 23361,
     /*  215893 */     GIR_EraseRootFromParent_Done,
     /*  215894 */   // Label 4299: @215894
     /*  215894 */   GIM_Try, /*On fail goto*//*Label 4300*/ GIMT_Encode4(215948), // Rule ID 23364 //
     /*  215899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  215902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  215913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  215916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215931 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  215931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  215934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  215946 */     GIR_RootConstrainSelectedInstOperands,
     /*  215947 */     // GIR_Coverage, 23364,
     /*  215947 */     GIR_EraseRootFromParent_Done,
     /*  215948 */   // Label 4300: @215948
     /*  215948 */   GIM_Try, /*On fail goto*//*Label 4301*/ GIMT_Encode4(216002), // Rule ID 23365 //
     /*  215953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  215956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  215961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  215964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  215967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  215970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  215978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  215985 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  215985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64),
     /*  215988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  215990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  215992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  215997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216000 */     GIR_RootConstrainSelectedInstOperands,
     /*  216001 */     // GIR_Coverage, 23365,
     /*  216001 */     GIR_EraseRootFromParent_Done,
     /*  216002 */   // Label 4301: @216002
     /*  216002 */   GIM_Try, /*On fail goto*//*Label 4302*/ GIMT_Encode4(216056), // Rule ID 23368 //
     /*  216007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  216021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216039 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  216042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216054 */     GIR_RootConstrainSelectedInstOperands,
     /*  216055 */     // GIR_Coverage, 23368,
     /*  216055 */     GIR_EraseRootFromParent_Done,
     /*  216056 */   // Label 4302: @216056
     /*  216056 */   GIM_Try, /*On fail goto*//*Label 4303*/ GIMT_Encode4(216110), // Rule ID 23369 //
     /*  216061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  216075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216093 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32),
     /*  216096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216108 */     GIR_RootConstrainSelectedInstOperands,
     /*  216109 */     // GIR_Coverage, 23369,
     /*  216109 */     GIR_EraseRootFromParent_Done,
     /*  216110 */   // Label 4303: @216110
     /*  216110 */   GIM_Try, /*On fail goto*//*Label 4304*/ GIMT_Encode4(216164), // Rule ID 23372 //
     /*  216115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  216129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216147 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  216150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216162 */     GIR_RootConstrainSelectedInstOperands,
     /*  216163 */     // GIR_Coverage, 23372,
     /*  216163 */     GIR_EraseRootFromParent_Done,
     /*  216164 */   // Label 4304: @216164
     /*  216164 */   GIM_Try, /*On fail goto*//*Label 4305*/ GIMT_Encode4(216218), // Rule ID 23373 //
     /*  216169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  216183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216201 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16),
     /*  216204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216216 */     GIR_RootConstrainSelectedInstOperands,
     /*  216217 */     // GIR_Coverage, 23373,
     /*  216217 */     GIR_EraseRootFromParent_Done,
     /*  216218 */   // Label 4305: @216218
     /*  216218 */   GIM_Try, /*On fail goto*//*Label 4306*/ GIMT_Encode4(216272), // Rule ID 23376 //
     /*  216223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  216237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216255 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  216258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216270 */     GIR_RootConstrainSelectedInstOperands,
     /*  216271 */     // GIR_Coverage, 23376,
     /*  216271 */     GIR_EraseRootFromParent_Done,
     /*  216272 */   // Label 4306: @216272
     /*  216272 */   GIM_Try, /*On fail goto*//*Label 4307*/ GIMT_Encode4(216326), // Rule ID 23377 //
     /*  216277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  216291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8),
     /*  216312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216324 */     GIR_RootConstrainSelectedInstOperands,
     /*  216325 */     // GIR_Coverage, 23377,
     /*  216325 */     GIR_EraseRootFromParent_Done,
     /*  216326 */   // Label 4307: @216326
     /*  216326 */   GIM_Try, /*On fail goto*//*Label 4308*/ GIMT_Encode4(216380), // Rule ID 23380 //
     /*  216331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  216342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  216345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216363 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  216366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216378 */     GIR_RootConstrainSelectedInstOperands,
     /*  216379 */     // GIR_Coverage, 23380,
     /*  216379 */     GIR_EraseRootFromParent_Done,
     /*  216380 */   // Label 4308: @216380
     /*  216380 */   GIM_Try, /*On fail goto*//*Label 4309*/ GIMT_Encode4(216434), // Rule ID 23381 //
     /*  216385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  216396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  216399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216417 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4),
     /*  216420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216432 */     GIR_RootConstrainSelectedInstOperands,
     /*  216433 */     // GIR_Coverage, 23381,
     /*  216433 */     GIR_EraseRootFromParent_Done,
     /*  216434 */   // Label 4309: @216434
     /*  216434 */   GIM_Try, /*On fail goto*//*Label 4310*/ GIMT_Encode4(216488), // Rule ID 23384 //
     /*  216439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  216453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216471 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  216474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216486 */     GIR_RootConstrainSelectedInstOperands,
     /*  216487 */     // GIR_Coverage, 23384,
     /*  216487 */     GIR_EraseRootFromParent_Done,
     /*  216488 */   // Label 4310: @216488
     /*  216488 */   GIM_Try, /*On fail goto*//*Label 4311*/ GIMT_Encode4(216542), // Rule ID 23385 //
     /*  216493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  216504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  216507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216525 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2),
     /*  216528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216540 */     GIR_RootConstrainSelectedInstOperands,
     /*  216541 */     // GIR_Coverage, 23385,
     /*  216541 */     GIR_EraseRootFromParent_Done,
     /*  216542 */   // Label 4311: @216542
     /*  216542 */   GIM_Try, /*On fail goto*//*Label 4312*/ GIMT_Encode4(216596), // Rule ID 23388 //
     /*  216547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  216561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216579 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  216582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216594 */     GIR_RootConstrainSelectedInstOperands,
     /*  216595 */     // GIR_Coverage, 23388,
     /*  216595 */     GIR_EraseRootFromParent_Done,
     /*  216596 */   // Label 4312: @216596
     /*  216596 */   GIM_Try, /*On fail goto*//*Label 4313*/ GIMT_Encode4(216650), // Rule ID 23389 //
     /*  216601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif),
     /*  216609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  216612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  216615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216633 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11455:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1),
     /*  216636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216648 */     GIR_RootConstrainSelectedInstOperands,
     /*  216649 */     // GIR_Coverage, 23389,
     /*  216649 */     GIR_EraseRootFromParent_Done,
     /*  216650 */   // Label 4313: @216650
     /*  216650 */   GIM_Try, /*On fail goto*//*Label 4314*/ GIMT_Encode4(216704), // Rule ID 23392 //
     /*  216655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  216669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  216690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216702 */     GIR_RootConstrainSelectedInstOperands,
     /*  216703 */     // GIR_Coverage, 23392,
     /*  216703 */     GIR_EraseRootFromParent_Done,
     /*  216704 */   // Label 4314: @216704
     /*  216704 */   GIM_Try, /*On fail goto*//*Label 4315*/ GIMT_Encode4(216758), // Rule ID 23393 //
     /*  216709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  216720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  216723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64),
     /*  216744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216756 */     GIR_RootConstrainSelectedInstOperands,
     /*  216757 */     // GIR_Coverage, 23393,
     /*  216757 */     GIR_EraseRootFromParent_Done,
     /*  216758 */   // Label 4315: @216758
     /*  216758 */   GIM_Try, /*On fail goto*//*Label 4316*/ GIMT_Encode4(216812), // Rule ID 23396 //
     /*  216763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  216777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216795 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  216798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216810 */     GIR_RootConstrainSelectedInstOperands,
     /*  216811 */     // GIR_Coverage, 23396,
     /*  216811 */     GIR_EraseRootFromParent_Done,
     /*  216812 */   // Label 4316: @216812
     /*  216812 */   GIM_Try, /*On fail goto*//*Label 4317*/ GIMT_Encode4(216866), // Rule ID 23397 //
     /*  216817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  216828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  216831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216849 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32),
     /*  216852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216864 */     GIR_RootConstrainSelectedInstOperands,
     /*  216865 */     // GIR_Coverage, 23397,
     /*  216865 */     GIR_EraseRootFromParent_Done,
     /*  216866 */   // Label 4317: @216866
     /*  216866 */   GIM_Try, /*On fail goto*//*Label 4318*/ GIMT_Encode4(216920), // Rule ID 23400 //
     /*  216871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  216885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216903 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  216903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  216906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216918 */     GIR_RootConstrainSelectedInstOperands,
     /*  216919 */     // GIR_Coverage, 23400,
     /*  216919 */     GIR_EraseRootFromParent_Done,
     /*  216920 */   // Label 4318: @216920
     /*  216920 */   GIM_Try, /*On fail goto*//*Label 4319*/ GIMT_Encode4(216974), // Rule ID 23401 //
     /*  216925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  216928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  216936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  216939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  216942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  216950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  216957 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  216957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16),
     /*  216960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  216962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  216964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  216969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  216972 */     GIR_RootConstrainSelectedInstOperands,
     /*  216973 */     // GIR_Coverage, 23401,
     /*  216973 */     GIR_EraseRootFromParent_Done,
     /*  216974 */   // Label 4319: @216974
     /*  216974 */   GIM_Try, /*On fail goto*//*Label 4320*/ GIMT_Encode4(217028), // Rule ID 23404 //
     /*  216979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  216982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  216987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  216990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  216993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  216996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  217011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  217014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  217018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217026 */     GIR_RootConstrainSelectedInstOperands,
     /*  217027 */     // GIR_Coverage, 23404,
     /*  217027 */     GIR_EraseRootFromParent_Done,
     /*  217028 */   // Label 4320: @217028
     /*  217028 */   GIM_Try, /*On fail goto*//*Label 4321*/ GIMT_Encode4(217082), // Rule ID 23405 //
     /*  217033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  217036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  217041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  217044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  217047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  217065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8),
     /*  217068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  217072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217080 */     GIR_RootConstrainSelectedInstOperands,
     /*  217081 */     // GIR_Coverage, 23405,
     /*  217081 */     GIR_EraseRootFromParent_Done,
     /*  217082 */   // Label 4321: @217082
     /*  217082 */   GIM_Try, /*On fail goto*//*Label 4322*/ GIMT_Encode4(217136), // Rule ID 23408 //
     /*  217087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  217090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  217095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  217101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217119 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  217119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  217122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  217126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217134 */     GIR_RootConstrainSelectedInstOperands,
     /*  217135 */     // GIR_Coverage, 23408,
     /*  217135 */     GIR_EraseRootFromParent_Done,
     /*  217136 */   // Label 4322: @217136
     /*  217136 */   GIM_Try, /*On fail goto*//*Label 4323*/ GIMT_Encode4(217190), // Rule ID 23409 //
     /*  217141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  217144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  217149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  217152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  217155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217173 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  217173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4),
     /*  217176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  217180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217188 */     GIR_RootConstrainSelectedInstOperands,
     /*  217189 */     // GIR_Coverage, 23409,
     /*  217189 */     GIR_EraseRootFromParent_Done,
     /*  217190 */   // Label 4323: @217190
     /*  217190 */   GIM_Try, /*On fail goto*//*Label 4324*/ GIMT_Encode4(217244), // Rule ID 23412 //
     /*  217195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  217198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  217203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  217209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217227 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  217227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  217230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  217234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217242 */     GIR_RootConstrainSelectedInstOperands,
     /*  217243 */     // GIR_Coverage, 23412,
     /*  217243 */     GIR_EraseRootFromParent_Done,
     /*  217244 */   // Label 4324: @217244
     /*  217244 */   GIM_Try, /*On fail goto*//*Label 4325*/ GIMT_Encode4(217298), // Rule ID 23413 //
     /*  217249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  217252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  217257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  217260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  217263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217281 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  217281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2),
     /*  217284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  217288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217296 */     GIR_RootConstrainSelectedInstOperands,
     /*  217297 */     // GIR_Coverage, 23413,
     /*  217297 */     GIR_EraseRootFromParent_Done,
     /*  217298 */   // Label 4325: @217298
     /*  217298 */   GIM_Try, /*On fail goto*//*Label 4326*/ GIMT_Encode4(217352), // Rule ID 23416 //
     /*  217303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  217306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  217311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  217317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217335 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  217335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  217338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  217342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217350 */     GIR_RootConstrainSelectedInstOperands,
     /*  217351 */     // GIR_Coverage, 23416,
     /*  217351 */     GIR_EraseRootFromParent_Done,
     /*  217352 */   // Label 4326: @217352
     /*  217352 */   GIM_Try, /*On fail goto*//*Label 4327*/ GIMT_Encode4(217406), // Rule ID 23417 //
     /*  217357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  217360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof),
     /*  217365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  217368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  217371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217389 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11467:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  217389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1),
     /*  217392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  217396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217404 */     GIR_RootConstrainSelectedInstOperands,
     /*  217405 */     // GIR_Coverage, 23417,
     /*  217405 */     GIR_EraseRootFromParent_Done,
     /*  217406 */   // Label 4327: @217406
     /*  217406 */   GIM_Try, /*On fail goto*//*Label 4328*/ GIMT_Encode4(217463), // Rule ID 23504 //
     /*  217411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  217422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  217425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217443 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  217443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  217446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217461 */     GIR_RootConstrainSelectedInstOperands,
     /*  217462 */     // GIR_Coverage, 23504,
     /*  217462 */     GIR_EraseRootFromParent_Done,
     /*  217463 */   // Label 4328: @217463
     /*  217463 */   GIM_Try, /*On fail goto*//*Label 4329*/ GIMT_Encode4(217520), // Rule ID 23505 //
     /*  217468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  217479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  217482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217500 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  217500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  217503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217518 */     GIR_RootConstrainSelectedInstOperands,
     /*  217519 */     // GIR_Coverage, 23505,
     /*  217519 */     GIR_EraseRootFromParent_Done,
     /*  217520 */   // Label 4329: @217520
     /*  217520 */   GIM_Try, /*On fail goto*//*Label 4330*/ GIMT_Encode4(217577), // Rule ID 23508 //
     /*  217525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  217536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  217539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217557 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  217557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217575 */     GIR_RootConstrainSelectedInstOperands,
     /*  217576 */     // GIR_Coverage, 23508,
     /*  217576 */     GIR_EraseRootFromParent_Done,
     /*  217577 */   // Label 4330: @217577
     /*  217577 */   GIM_Try, /*On fail goto*//*Label 4331*/ GIMT_Encode4(217634), // Rule ID 23509 //
     /*  217582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  217593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  217596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217614 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  217614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  217629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217632 */     GIR_RootConstrainSelectedInstOperands,
     /*  217633 */     // GIR_Coverage, 23509,
     /*  217633 */     GIR_EraseRootFromParent_Done,
     /*  217634 */   // Label 4331: @217634
     /*  217634 */   GIM_Try, /*On fail goto*//*Label 4332*/ GIMT_Encode4(217691), // Rule ID 23512 //
     /*  217639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  217650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  217653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217671 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  217674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217689 */     GIR_RootConstrainSelectedInstOperands,
     /*  217690 */     // GIR_Coverage, 23512,
     /*  217690 */     GIR_EraseRootFromParent_Done,
     /*  217691 */   // Label 4332: @217691
     /*  217691 */   GIM_Try, /*On fail goto*//*Label 4333*/ GIMT_Encode4(217748), // Rule ID 23513 //
     /*  217696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  217707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  217710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4),
     /*  217731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217746 */     GIR_RootConstrainSelectedInstOperands,
     /*  217747 */     // GIR_Coverage, 23513,
     /*  217747 */     GIR_EraseRootFromParent_Done,
     /*  217748 */   // Label 4333: @217748
     /*  217748 */   GIM_Try, /*On fail goto*//*Label 4334*/ GIMT_Encode4(217805), // Rule ID 23516 //
     /*  217753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217785 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  217785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217803 */     GIR_RootConstrainSelectedInstOperands,
     /*  217804 */     // GIR_Coverage, 23516,
     /*  217804 */     GIR_EraseRootFromParent_Done,
     /*  217805 */   // Label 4334: @217805
     /*  217805 */   GIM_Try, /*On fail goto*//*Label 4335*/ GIMT_Encode4(217862), // Rule ID 23517 //
     /*  217810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  217821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  217824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217842 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  217842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  217857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217860 */     GIR_RootConstrainSelectedInstOperands,
     /*  217861 */     // GIR_Coverage, 23517,
     /*  217861 */     GIR_EraseRootFromParent_Done,
     /*  217862 */   // Label 4335: @217862
     /*  217862 */   GIM_Try, /*On fail goto*//*Label 4336*/ GIMT_Encode4(217919), // Rule ID 23520 //
     /*  217867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217899 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  217899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217917 */     GIR_RootConstrainSelectedInstOperands,
     /*  217918 */     // GIR_Coverage, 23520,
     /*  217918 */     GIR_EraseRootFromParent_Done,
     /*  217919 */   // Label 4336: @217919
     /*  217919 */   GIM_Try, /*On fail goto*//*Label 4337*/ GIMT_Encode4(217976), // Rule ID 23521 //
     /*  217924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  217927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  217935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  217938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  217941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  217949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  217956 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  217956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2),
     /*  217959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  217961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  217963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  217968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  217971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  217974 */     GIR_RootConstrainSelectedInstOperands,
     /*  217975 */     // GIR_Coverage, 23521,
     /*  217975 */     GIR_EraseRootFromParent_Done,
     /*  217976 */   // Label 4337: @217976
     /*  217976 */   GIM_Try, /*On fail goto*//*Label 4338*/ GIMT_Encode4(218033), // Rule ID 23524 //
     /*  217981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  217984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  217989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  217992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  217995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  217998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218013 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  218013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  218016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218031 */     GIR_RootConstrainSelectedInstOperands,
     /*  218032 */     // GIR_Coverage, 23524,
     /*  218032 */     GIR_EraseRootFromParent_Done,
     /*  218033 */   // Label 4338: @218033
     /*  218033 */   GIM_Try, /*On fail goto*//*Label 4339*/ GIMT_Encode4(218090), // Rule ID 23525 //
     /*  218038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  218049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  218052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218070 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11321:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  218070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  218073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218088 */     GIR_RootConstrainSelectedInstOperands,
     /*  218089 */     // GIR_Coverage, 23525,
     /*  218089 */     GIR_EraseRootFromParent_Done,
     /*  218090 */   // Label 4339: @218090
     /*  218090 */   GIM_Try, /*On fail goto*//*Label 4340*/ GIMT_Encode4(218147), // Rule ID 23528 //
     /*  218095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  218106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  218109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218127 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  218130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218145 */     GIR_RootConstrainSelectedInstOperands,
     /*  218146 */     // GIR_Coverage, 23528,
     /*  218146 */     GIR_EraseRootFromParent_Done,
     /*  218147 */   // Label 4340: @218147
     /*  218147 */   GIM_Try, /*On fail goto*//*Label 4341*/ GIMT_Encode4(218204), // Rule ID 23529 //
     /*  218152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  218163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  218166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218184 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11321:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  218187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218202 */     GIR_RootConstrainSelectedInstOperands,
     /*  218203 */     // GIR_Coverage, 23529,
     /*  218203 */     GIR_EraseRootFromParent_Done,
     /*  218204 */   // Label 4341: @218204
     /*  218204 */   GIM_Try, /*On fail goto*//*Label 4342*/ GIMT_Encode4(218261), // Rule ID 23532 //
     /*  218209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  218220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  218223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  218241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  218244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218259 */     GIR_RootConstrainSelectedInstOperands,
     /*  218260 */     // GIR_Coverage, 23532,
     /*  218260 */     GIR_EraseRootFromParent_Done,
     /*  218261 */   // Label 4342: @218261
     /*  218261 */   GIM_Try, /*On fail goto*//*Label 4343*/ GIMT_Encode4(218318), // Rule ID 23533 //
     /*  218266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  218277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  218280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11321:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  218298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  218301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  218313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218316 */     GIR_RootConstrainSelectedInstOperands,
     /*  218317 */     // GIR_Coverage, 23533,
     /*  218317 */     GIR_EraseRootFromParent_Done,
     /*  218318 */   // Label 4343: @218318
     /*  218318 */   GIM_Try, /*On fail goto*//*Label 4344*/ GIMT_Encode4(218375), // Rule ID 23536 //
     /*  218323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  218326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  218334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  218337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  218355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  218358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218373 */     GIR_RootConstrainSelectedInstOperands,
     /*  218374 */     // GIR_Coverage, 23536,
     /*  218374 */     GIR_EraseRootFromParent_Done,
     /*  218375 */   // Label 4344: @218375
     /*  218375 */   GIM_Try, /*On fail goto*//*Label 4345*/ GIMT_Encode4(218432), // Rule ID 23537 //
     /*  218380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  218383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  218391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  218394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  218405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11321:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  218412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1),
     /*  218415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  218427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218430 */     GIR_RootConstrainSelectedInstOperands,
     /*  218431 */     // GIR_Coverage, 23537,
     /*  218431 */     GIR_EraseRootFromParent_Done,
     /*  218432 */   // Label 4345: @218432
     /*  218432 */   GIM_Try, /*On fail goto*//*Label 4346*/ GIMT_Encode4(218489), // Rule ID 23540 //
     /*  218437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  218448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  218451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218469 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  218469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218487 */     GIR_RootConstrainSelectedInstOperands,
     /*  218488 */     // GIR_Coverage, 23540,
     /*  218488 */     GIR_EraseRootFromParent_Done,
     /*  218489 */   // Label 4346: @218489
     /*  218489 */   GIM_Try, /*On fail goto*//*Label 4347*/ GIMT_Encode4(218546), // Rule ID 23541 //
     /*  218494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  218505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  218508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218526 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  218526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218544 */     GIR_RootConstrainSelectedInstOperands,
     /*  218545 */     // GIR_Coverage, 23541,
     /*  218545 */     GIR_EraseRootFromParent_Done,
     /*  218546 */   // Label 4347: @218546
     /*  218546 */   GIM_Try, /*On fail goto*//*Label 4348*/ GIMT_Encode4(218603), // Rule ID 23544 //
     /*  218551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  218562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  218565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218583 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  218583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218601 */     GIR_RootConstrainSelectedInstOperands,
     /*  218602 */     // GIR_Coverage, 23544,
     /*  218602 */     GIR_EraseRootFromParent_Done,
     /*  218603 */   // Label 4348: @218603
     /*  218603 */   GIM_Try, /*On fail goto*//*Label 4349*/ GIMT_Encode4(218660), // Rule ID 23545 //
     /*  218608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  218619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  218622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  218640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218658 */     GIR_RootConstrainSelectedInstOperands,
     /*  218659 */     // GIR_Coverage, 23545,
     /*  218659 */     GIR_EraseRootFromParent_Done,
     /*  218660 */   // Label 4349: @218660
     /*  218660 */   GIM_Try, /*On fail goto*//*Label 4350*/ GIMT_Encode4(218717), // Rule ID 23548 //
     /*  218665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  218676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  218679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  218697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218715 */     GIR_RootConstrainSelectedInstOperands,
     /*  218716 */     // GIR_Coverage, 23548,
     /*  218716 */     GIR_EraseRootFromParent_Done,
     /*  218717 */   // Label 4350: @218717
     /*  218717 */   GIM_Try, /*On fail goto*//*Label 4351*/ GIMT_Encode4(218774), // Rule ID 23549 //
     /*  218722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  218733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  218736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  218747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218754 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  218754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  218757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  218769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218772 */     GIR_RootConstrainSelectedInstOperands,
     /*  218773 */     // GIR_Coverage, 23549,
     /*  218773 */     GIR_EraseRootFromParent_Done,
     /*  218774 */   // Label 4351: @218774
     /*  218774 */   GIM_Try, /*On fail goto*//*Label 4352*/ GIMT_Encode4(218831), // Rule ID 23552 //
     /*  218779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  218790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218811 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218829 */     GIR_RootConstrainSelectedInstOperands,
     /*  218830 */     // GIR_Coverage, 23552,
     /*  218830 */     GIR_EraseRootFromParent_Done,
     /*  218831 */   // Label 4352: @218831
     /*  218831 */   GIM_Try, /*On fail goto*//*Label 4353*/ GIMT_Encode4(218888), // Rule ID 23553 //
     /*  218836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  218847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  218850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  218861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  218871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218886 */     GIR_RootConstrainSelectedInstOperands,
     /*  218887 */     // GIR_Coverage, 23553,
     /*  218887 */     GIR_EraseRootFromParent_Done,
     /*  218888 */   // Label 4353: @218888
     /*  218888 */   GIM_Try, /*On fail goto*//*Label 4354*/ GIMT_Encode4(218945), // Rule ID 23556 //
     /*  218893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  218896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  218904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  218910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  218925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  218943 */     GIR_RootConstrainSelectedInstOperands,
     /*  218944 */     // GIR_Coverage, 23556,
     /*  218944 */     GIR_EraseRootFromParent_Done,
     /*  218945 */   // Label 4354: @218945
     /*  218945 */   GIM_Try, /*On fail goto*//*Label 4355*/ GIMT_Encode4(219002), // Rule ID 23557 //
     /*  218950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  218953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  218958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  218961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  218964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  218967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  218975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  218982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  218982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  218985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  218987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  218989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  218994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  218997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219000 */     GIR_RootConstrainSelectedInstOperands,
     /*  219001 */     // GIR_Coverage, 23557,
     /*  219001 */     GIR_EraseRootFromParent_Done,
     /*  219002 */   // Label 4355: @219002
     /*  219002 */   GIM_Try, /*On fail goto*//*Label 4356*/ GIMT_Encode4(219059), // Rule ID 23560 //
     /*  219007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  219018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  219021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219039 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  219039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219057 */     GIR_RootConstrainSelectedInstOperands,
     /*  219058 */     // GIR_Coverage, 23560,
     /*  219058 */     GIR_EraseRootFromParent_Done,
     /*  219059 */   // Label 4356: @219059
     /*  219059 */   GIM_Try, /*On fail goto*//*Label 4357*/ GIMT_Encode4(219116), // Rule ID 23561 //
     /*  219064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  219075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  219078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  219096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  219111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219114 */     GIR_RootConstrainSelectedInstOperands,
     /*  219115 */     // GIR_Coverage, 23561,
     /*  219115 */     GIR_EraseRootFromParent_Done,
     /*  219116 */   // Label 4357: @219116
     /*  219116 */   GIM_Try, /*On fail goto*//*Label 4358*/ GIMT_Encode4(219173), // Rule ID 23564 //
     /*  219121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  219132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  219135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219153 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  219156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219171 */     GIR_RootConstrainSelectedInstOperands,
     /*  219172 */     // GIR_Coverage, 23564,
     /*  219172 */     GIR_EraseRootFromParent_Done,
     /*  219173 */   // Label 4358: @219173
     /*  219173 */   GIM_Try, /*On fail goto*//*Label 4359*/ GIMT_Encode4(219230), // Rule ID 23565 //
     /*  219178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  219189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  219192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  219210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  219213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219228 */     GIR_RootConstrainSelectedInstOperands,
     /*  219229 */     // GIR_Coverage, 23565,
     /*  219229 */     GIR_EraseRootFromParent_Done,
     /*  219230 */   // Label 4359: @219230
     /*  219230 */   GIM_Try, /*On fail goto*//*Label 4360*/ GIMT_Encode4(219287), // Rule ID 23568 //
     /*  219235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  219246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  219249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219267 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  219270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219285 */     GIR_RootConstrainSelectedInstOperands,
     /*  219286 */     // GIR_Coverage, 23568,
     /*  219286 */     GIR_EraseRootFromParent_Done,
     /*  219287 */   // Label 4360: @219287
     /*  219287 */   GIM_Try, /*On fail goto*//*Label 4361*/ GIMT_Encode4(219344), // Rule ID 23569 //
     /*  219292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  219303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  219306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  219324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  219327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219342 */     GIR_RootConstrainSelectedInstOperands,
     /*  219343 */     // GIR_Coverage, 23569,
     /*  219343 */     GIR_EraseRootFromParent_Done,
     /*  219344 */   // Label 4361: @219344
     /*  219344 */   GIM_Try, /*On fail goto*//*Label 4362*/ GIMT_Encode4(219401), // Rule ID 23572 //
     /*  219349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  219352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  219360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  219363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  219381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219399 */     GIR_RootConstrainSelectedInstOperands,
     /*  219400 */     // GIR_Coverage, 23572,
     /*  219400 */     GIR_EraseRootFromParent_Done,
     /*  219401 */   // Label 4362: @219401
     /*  219401 */   GIM_Try, /*On fail goto*//*Label 4363*/ GIMT_Encode4(219458), // Rule ID 23573 //
     /*  219406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  219409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  219417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  219420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  219438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  219453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219456 */     GIR_RootConstrainSelectedInstOperands,
     /*  219457 */     // GIR_Coverage, 23573,
     /*  219457 */     GIR_EraseRootFromParent_Done,
     /*  219458 */   // Label 4363: @219458
     /*  219458 */   GIM_Try, /*On fail goto*//*Label 4364*/ GIMT_Encode4(219515), // Rule ID 23576 //
     /*  219463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  219474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  219477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219495 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  219498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219513 */     GIR_RootConstrainSelectedInstOperands,
     /*  219514 */     // GIR_Coverage, 23576,
     /*  219514 */     GIR_EraseRootFromParent_Done,
     /*  219515 */   // Label 4364: @219515
     /*  219515 */   GIM_Try, /*On fail goto*//*Label 4365*/ GIMT_Encode4(219572), // Rule ID 23577 //
     /*  219520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  219531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  219534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  219545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11321:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2),
     /*  219555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219570 */     GIR_RootConstrainSelectedInstOperands,
     /*  219571 */     // GIR_Coverage, 23577,
     /*  219571 */     GIR_EraseRootFromParent_Done,
     /*  219572 */   // Label 4365: @219572
     /*  219572 */   GIM_Try, /*On fail goto*//*Label 4366*/ GIMT_Encode4(219629), // Rule ID 23580 //
     /*  219577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  219588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219609 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  219612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219627 */     GIR_RootConstrainSelectedInstOperands,
     /*  219628 */     // GIR_Coverage, 23580,
     /*  219628 */     GIR_EraseRootFromParent_Done,
     /*  219629 */   // Label 4366: @219629
     /*  219629 */   GIM_Try, /*On fail goto*//*Label 4367*/ GIMT_Encode4(219686), // Rule ID 23581 //
     /*  219634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  219645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  219648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  219659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219666 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11321:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4),
     /*  219669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219684 */     GIR_RootConstrainSelectedInstOperands,
     /*  219685 */     // GIR_Coverage, 23581,
     /*  219685 */     GIR_EraseRootFromParent_Done,
     /*  219686 */   // Label 4367: @219686
     /*  219686 */   GIM_Try, /*On fail goto*//*Label 4368*/ GIMT_Encode4(219743), // Rule ID 23584 //
     /*  219691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  219694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  219702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  219723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219741 */     GIR_RootConstrainSelectedInstOperands,
     /*  219742 */     // GIR_Coverage, 23584,
     /*  219742 */     GIR_EraseRootFromParent_Done,
     /*  219743 */   // Label 4368: @219743
     /*  219743 */   GIM_Try, /*On fail goto*//*Label 4369*/ GIMT_Encode4(219800), // Rule ID 23585 //
     /*  219748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  219751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid),
     /*  219756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  219759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  219762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  219773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  219780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11321:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVID_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  219780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8),
     /*  219783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  219787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  219792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  219795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  219798 */     GIR_RootConstrainSelectedInstOperands,
     /*  219799 */     // GIR_Coverage, 23585,
     /*  219799 */     GIR_EraseRootFromParent_Done,
     /*  219800 */   // Label 4369: @219800
     /*  219800 */   GIM_Try, /*On fail goto*//*Label 4370*/ GIMT_Encode4(219846), // Rule ID 2651 //
     /*  219805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  219808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks1i),
     /*  219813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219827 */     // MIs[0] rnum
     /*  219827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  219830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_rnum),
     /*  219835 */     // (intrinsic_wo_chain:{ *:[i64] } 10965:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)  =>  (AES64KS1I:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_rnum>>:$rnum)
     /*  219835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS1I),
     /*  219838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rnum
     /*  219844 */     GIR_RootConstrainSelectedInstOperands,
     /*  219845 */     // GIR_Coverage, 2651,
     /*  219845 */     GIR_EraseRootFromParent_Done,
     /*  219846 */   // Label 4370: @219846
     /*  219846 */   GIM_Try, /*On fail goto*//*Label 4371*/ GIMT_Encode4(219891), // Rule ID 64448 //
     /*  219851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  219854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clip),
     /*  219859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219880 */     // (intrinsic_wo_chain:{ *:[i32] } 10975:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPR),
     /*  219883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219889 */     GIR_RootConstrainSelectedInstOperands,
     /*  219890 */     // GIR_Coverage, 64448,
     /*  219890 */     GIR_EraseRootFromParent_Done,
     /*  219891 */   // Label 4371: @219891
     /*  219891 */   GIM_Try, /*On fail goto*//*Label 4372*/ GIMT_Encode4(219936), // Rule ID 64475 //
     /*  219896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  219899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_clipu),
     /*  219904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  219910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  219913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219925 */     // (intrinsic_wo_chain:{ *:[i32] } 10976:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_CLIPUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  219925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_CLIPUR),
     /*  219928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219934 */     GIR_RootConstrainSelectedInstOperands,
     /*  219935 */     // GIR_Coverage, 64475,
     /*  219935 */     GIR_EraseRootFromParent_Done,
     /*  219936 */   // Label 4372: @219936
     /*  219936 */   GIM_Try, /*On fail goto*//*Label 4373*/ GIMT_Encode4(219981), // Rule ID 2641 //
     /*  219941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  219944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  219949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  219952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  219955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  219958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  219970 */     // (intrinsic_wo_chain:{ *:[i64] } 11679:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM4:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  219970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  219973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  219975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  219977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  219979 */     GIR_RootConstrainSelectedInstOperands,
     /*  219980 */     // GIR_Coverage, 2641,
     /*  219980 */     GIR_EraseRootFromParent_Done,
     /*  219981 */   // Label 4373: @219981
     /*  219981 */   GIM_Try, /*On fail goto*//*Label 4374*/ GIMT_Encode4(220026), // Rule ID 2642 //
     /*  219986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  219989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm4),
     /*  219994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  219997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220015 */     // (intrinsic_wo_chain:{ *:[i32] } 11679:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM4:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM4),
     /*  220018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220024 */     GIR_RootConstrainSelectedInstOperands,
     /*  220025 */     // GIR_Coverage, 2642,
     /*  220025 */     GIR_EraseRootFromParent_Done,
     /*  220026 */   // Label 4374: @220026
     /*  220026 */   GIM_Try, /*On fail goto*//*Label 4375*/ GIMT_Encode4(220071), // Rule ID 2643 //
     /*  220031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode0),
     /*  220034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  220039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  220042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  220045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220060 */     // (intrinsic_wo_chain:{ *:[i64] } 11680:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (XPERM8:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  220060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  220063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220069 */     GIR_RootConstrainSelectedInstOperands,
     /*  220070 */     // GIR_Coverage, 2643,
     /*  220070 */     GIR_EraseRootFromParent_Done,
     /*  220071 */   // Label 4375: @220071
     /*  220071 */   GIM_Try, /*On fail goto*//*Label 4376*/ GIMT_Encode4(220116), // Rule ID 2644 //
     /*  220076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkx_HwMode1),
     /*  220079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_xperm8),
     /*  220084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220105 */     // (intrinsic_wo_chain:{ *:[i32] } 11680:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (XPERM8:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XPERM8),
     /*  220108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220114 */     GIR_RootConstrainSelectedInstOperands,
     /*  220115 */     // GIR_Coverage, 2644,
     /*  220115 */     GIR_EraseRootFromParent_Done,
     /*  220116 */   // Label 4376: @220116
     /*  220116 */   GIM_Try, /*On fail goto*//*Label 4377*/ GIMT_Encode4(220161), // Rule ID 2647 //
     /*  220121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  220124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ds),
     /*  220129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  220132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  220135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220150 */     // (intrinsic_wo_chain:{ *:[i64] } 10960:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  220150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DS),
     /*  220153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220159 */     GIR_RootConstrainSelectedInstOperands,
     /*  220160 */     // GIR_Coverage, 2647,
     /*  220160 */     GIR_EraseRootFromParent_Done,
     /*  220161 */   // Label 4377: @220161
     /*  220161 */   GIM_Try, /*On fail goto*//*Label 4378*/ GIMT_Encode4(220206), // Rule ID 2648 //
     /*  220166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV64_HwMode0),
     /*  220169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64dsm),
     /*  220174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  220177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  220180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220195 */     // (intrinsic_wo_chain:{ *:[i64] } 10961:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64DSM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  220195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64DSM),
     /*  220198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220204 */     GIR_RootConstrainSelectedInstOperands,
     /*  220205 */     // GIR_Coverage, 2648,
     /*  220205 */     GIR_EraseRootFromParent_Done,
     /*  220206 */   // Label 4378: @220206
     /*  220206 */   GIM_Try, /*On fail goto*//*Label 4379*/ GIMT_Encode4(220251), // Rule ID 2650 //
     /*  220211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkndOrZkne_IsRV64_HwMode0),
     /*  220214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64ks2),
     /*  220219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  220222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  220225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220240 */     // (intrinsic_wo_chain:{ *:[i64] } 10966:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64KS2:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  220240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64KS2),
     /*  220243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220249 */     GIR_RootConstrainSelectedInstOperands,
     /*  220250 */     // GIR_Coverage, 2650,
     /*  220250 */     GIR_EraseRootFromParent_Done,
     /*  220251 */   // Label 4379: @220251
     /*  220251 */   GIM_Try, /*On fail goto*//*Label 4380*/ GIMT_Encode4(220296), // Rule ID 2654 //
     /*  220256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  220259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64es),
     /*  220264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  220267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  220270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220285 */     // (intrinsic_wo_chain:{ *:[i64] } 10962:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ES:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  220285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ES),
     /*  220288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220294 */     GIR_RootConstrainSelectedInstOperands,
     /*  220295 */     // GIR_Coverage, 2654,
     /*  220295 */     GIR_EraseRootFromParent_Done,
     /*  220296 */   // Label 4380: @220296
     /*  220296 */   GIM_Try, /*On fail goto*//*Label 4381*/ GIMT_Encode4(220341), // Rule ID 2655 //
     /*  220301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV64_HwMode0),
     /*  220304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes64esm),
     /*  220309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  220312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /*  220315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220330 */     // (intrinsic_wo_chain:{ *:[i64] } 10963:{ *:[iPTR] }, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (AES64ESM:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /*  220330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES64ESM),
     /*  220333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220339 */     GIR_RootConstrainSelectedInstOperands,
     /*  220340 */     // GIR_Coverage, 2655,
     /*  220340 */     GIR_EraseRootFromParent_Done,
     /*  220341 */   // Label 4381: @220341
     /*  220341 */   GIM_Try, /*On fail goto*//*Label 4382*/ GIMT_Encode4(220386), // Rule ID 2664 //
     /*  220346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0l),
     /*  220354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220375 */     // (intrinsic_wo_chain:{ *:[i32] } 11115:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0L),
     /*  220378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220384 */     GIR_RootConstrainSelectedInstOperands,
     /*  220385 */     // GIR_Coverage, 2664,
     /*  220385 */     GIR_EraseRootFromParent_Done,
     /*  220386 */   // Label 4382: @220386
     /*  220386 */   GIM_Try, /*On fail goto*//*Label 4383*/ GIMT_Encode4(220431), // Rule ID 2665 //
     /*  220391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig0h),
     /*  220399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220420 */     // (intrinsic_wo_chain:{ *:[i32] } 11114:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG0H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG0H),
     /*  220423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220429 */     GIR_RootConstrainSelectedInstOperands,
     /*  220430 */     // GIR_Coverage, 2665,
     /*  220430 */     GIR_EraseRootFromParent_Done,
     /*  220431 */   // Label 4383: @220431
     /*  220431 */   GIM_Try, /*On fail goto*//*Label 4384*/ GIMT_Encode4(220476), // Rule ID 2666 //
     /*  220436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1l),
     /*  220444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220465 */     // (intrinsic_wo_chain:{ *:[i32] } 11118:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1L:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1L),
     /*  220468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220474 */     GIR_RootConstrainSelectedInstOperands,
     /*  220475 */     // GIR_Coverage, 2666,
     /*  220475 */     GIR_EraseRootFromParent_Done,
     /*  220476 */   // Label 4384: @220476
     /*  220476 */   GIM_Try, /*On fail goto*//*Label 4385*/ GIMT_Encode4(220521), // Rule ID 2667 //
     /*  220481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sig1h),
     /*  220489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220510 */     // (intrinsic_wo_chain:{ *:[i32] } 11117:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SIG1H:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SIG1H),
     /*  220513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220519 */     GIR_RootConstrainSelectedInstOperands,
     /*  220520 */     // GIR_Coverage, 2667,
     /*  220520 */     GIR_EraseRootFromParent_Done,
     /*  220521 */   // Label 4385: @220521
     /*  220521 */   GIM_Try, /*On fail goto*//*Label 4386*/ GIMT_Encode4(220566), // Rule ID 2668 //
     /*  220526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum0r),
     /*  220534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220555 */     // (intrinsic_wo_chain:{ *:[i32] } 11120:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM0R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM0R),
     /*  220558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220564 */     GIR_RootConstrainSelectedInstOperands,
     /*  220565 */     // GIR_Coverage, 2668,
     /*  220565 */     GIR_EraseRootFromParent_Done,
     /*  220566 */   // Label 4386: @220566
     /*  220566 */   GIM_Try, /*On fail goto*//*Label 4387*/ GIMT_Encode4(220611), // Rule ID 2669 //
     /*  220571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknh_IsRV32_HwMode1),
     /*  220574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sha512sum1r),
     /*  220579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220600 */     // (intrinsic_wo_chain:{ *:[i32] } 11122:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (SHA512SUM1R:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SHA512SUM1R),
     /*  220603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220609 */     GIR_RootConstrainSelectedInstOperands,
     /*  220610 */     // GIR_Coverage, 2669,
     /*  220610 */     GIR_EraseRootFromParent_Done,
     /*  220611 */   // Label 4387: @220611
     /*  220611 */   GIM_Try, /*On fail goto*//*Label 4388*/ GIMT_Encode4(220656), // Rule ID 64425 //
     /*  220616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extract),
     /*  220624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220645 */     // (intrinsic_wo_chain:{ *:[i32] } 10985:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTR),
     /*  220648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220654 */     GIR_RootConstrainSelectedInstOperands,
     /*  220655 */     // GIR_Coverage, 64425,
     /*  220655 */     GIR_EraseRootFromParent_Done,
     /*  220656 */   // Label 4388: @220656
     /*  220656 */   GIM_Try, /*On fail goto*//*Label 4389*/ GIMT_Encode4(220701), // Rule ID 64427 //
     /*  220661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_extractu),
     /*  220669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220690 */     // (intrinsic_wo_chain:{ *:[i32] } 10986:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_EXTRACTUR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTRACTUR),
     /*  220693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220699 */     GIR_RootConstrainSelectedInstOperands,
     /*  220700 */     // GIR_Coverage, 64427,
     /*  220700 */     GIR_EraseRootFromParent_Done,
     /*  220701 */   // Label 4389: @220701
     /*  220701 */   GIM_Try, /*On fail goto*//*Label 4390*/ GIMT_Encode4(220746), // Rule ID 64429 //
     /*  220706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bclr),
     /*  220714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220735 */     // (intrinsic_wo_chain:{ *:[i32] } 10981:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BCLRR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BCLRR),
     /*  220738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220744 */     GIR_RootConstrainSelectedInstOperands,
     /*  220745 */     // GIR_Coverage, 64429,
     /*  220745 */     GIR_EraseRootFromParent_Done,
     /*  220746 */   // Label 4390: @220746
     /*  220746 */   GIM_Try, /*On fail goto*//*Label 4391*/ GIMT_Encode4(220791), // Rule ID 64431 //
     /*  220751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  220754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bset),
     /*  220759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  220762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  220765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  220780 */     // (intrinsic_wo_chain:{ *:[i32] } 10983:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_BSETR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  220780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BSETR),
     /*  220783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  220789 */     GIR_RootConstrainSelectedInstOperands,
     /*  220790 */     // GIR_Coverage, 64431,
     /*  220790 */     GIR_EraseRootFromParent_Done,
     /*  220791 */   // Label 4391: @220791
     /*  220791 */   GIM_Reject,
     /*  220792 */ // Label 4255: @220792
     /*  220792 */ GIM_Try, /*On fail goto*//*Label 4392*/ GIMT_Encode4(391697),
     /*  220797 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/5,
     /*  220800 */   GIM_Try, /*On fail goto*//*Label 4393*/ GIMT_Encode4(220874), // Rule ID 5462 //
     /*  220805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  220819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220845 */     // MIs[1] Operand 1
     /*  220845 */     // No operand predicates
     /*  220845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220854 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  220854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  220857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220872 */     GIR_RootConstrainSelectedInstOperands,
     /*  220873 */     // GIR_Coverage, 5462,
     /*  220873 */     GIR_EraseRootFromParent_Done,
     /*  220874 */   // Label 4393: @220874
     /*  220874 */   GIM_Try, /*On fail goto*//*Label 4394*/ GIMT_Encode4(220948), // Rule ID 5463 //
     /*  220879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  220882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  220890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  220893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  220896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  220899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220919 */     // MIs[1] Operand 1
     /*  220919 */     // No operand predicates
     /*  220919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  220928 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  220928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF8),
     /*  220931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  220933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  220935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  220938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  220943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  220946 */     GIR_RootConstrainSelectedInstOperands,
     /*  220947 */     // GIR_Coverage, 5463,
     /*  220947 */     GIR_EraseRootFromParent_Done,
     /*  220948 */   // Label 4394: @220948
     /*  220948 */   GIM_Try, /*On fail goto*//*Label 4395*/ GIMT_Encode4(221022), // Rule ID 5464 //
     /*  220953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  220956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  220961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  220964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  220967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  220970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  220973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  220981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  220985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  220989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  220993 */     // MIs[1] Operand 1
     /*  220993 */     // No operand predicates
     /*  220993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  220995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221002 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  221005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221020 */     GIR_RootConstrainSelectedInstOperands,
     /*  221021 */     // GIR_Coverage, 5464,
     /*  221021 */     GIR_EraseRootFromParent_Done,
     /*  221022 */   // Label 4395: @221022
     /*  221022 */   GIM_Try, /*On fail goto*//*Label 4396*/ GIMT_Encode4(221096), // Rule ID 5465 //
     /*  221027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  221041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221067 */     // MIs[1] Operand 1
     /*  221067 */     // No operand predicates
     /*  221067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221076 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  221079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221094 */     GIR_RootConstrainSelectedInstOperands,
     /*  221095 */     // GIR_Coverage, 5465,
     /*  221095 */     GIR_EraseRootFromParent_Done,
     /*  221096 */   // Label 4396: @221096
     /*  221096 */   GIM_Try, /*On fail goto*//*Label 4397*/ GIMT_Encode4(221170), // Rule ID 5466 //
     /*  221101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  221115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221141 */     // MIs[1] Operand 1
     /*  221141 */     // No operand predicates
     /*  221141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221168 */     GIR_RootConstrainSelectedInstOperands,
     /*  221169 */     // GIR_Coverage, 5466,
     /*  221169 */     GIR_EraseRootFromParent_Done,
     /*  221170 */   // Label 4397: @221170
     /*  221170 */   GIM_Try, /*On fail goto*//*Label 4398*/ GIMT_Encode4(221244), // Rule ID 5467 //
     /*  221175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  221189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221215 */     // MIs[1] Operand 1
     /*  221215 */     // No operand predicates
     /*  221215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221224 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221242 */     GIR_RootConstrainSelectedInstOperands,
     /*  221243 */     // GIR_Coverage, 5467,
     /*  221243 */     GIR_EraseRootFromParent_Done,
     /*  221244 */   // Label 4398: @221244
     /*  221244 */   GIM_Try, /*On fail goto*//*Label 4399*/ GIMT_Encode4(221318), // Rule ID 5468 //
     /*  221249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  221263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221289 */     // MIs[1] Operand 1
     /*  221289 */     // No operand predicates
     /*  221289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  221301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221316 */     GIR_RootConstrainSelectedInstOperands,
     /*  221317 */     // GIR_Coverage, 5468,
     /*  221317 */     GIR_EraseRootFromParent_Done,
     /*  221318 */   // Label 4399: @221318
     /*  221318 */   GIM_Try, /*On fail goto*//*Label 4400*/ GIMT_Encode4(221392), // Rule ID 5469 //
     /*  221323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  221337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221363 */     // MIs[1] Operand 1
     /*  221363 */     // No operand predicates
     /*  221363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF4),
     /*  221375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221390 */     GIR_RootConstrainSelectedInstOperands,
     /*  221391 */     // GIR_Coverage, 5469,
     /*  221391 */     GIR_EraseRootFromParent_Done,
     /*  221392 */   // Label 4400: @221392
     /*  221392 */   GIM_Try, /*On fail goto*//*Label 4401*/ GIMT_Encode4(221466), // Rule ID 5470 //
     /*  221397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  221411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221437 */     // MIs[1] Operand 1
     /*  221437 */     // No operand predicates
     /*  221437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221464 */     GIR_RootConstrainSelectedInstOperands,
     /*  221465 */     // GIR_Coverage, 5470,
     /*  221465 */     GIR_EraseRootFromParent_Done,
     /*  221466 */   // Label 4401: @221466
     /*  221466 */   GIM_Try, /*On fail goto*//*Label 4402*/ GIMT_Encode4(221540), // Rule ID 5471 //
     /*  221471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  221482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  221485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221511 */     // MIs[1] Operand 1
     /*  221511 */     // No operand predicates
     /*  221511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221538 */     GIR_RootConstrainSelectedInstOperands,
     /*  221539 */     // GIR_Coverage, 5471,
     /*  221539 */     GIR_EraseRootFromParent_Done,
     /*  221540 */   // Label 4402: @221540
     /*  221540 */   GIM_Try, /*On fail goto*//*Label 4403*/ GIMT_Encode4(221614), // Rule ID 5472 //
     /*  221545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  221559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221585 */     // MIs[1] Operand 1
     /*  221585 */     // No operand predicates
     /*  221585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221594 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  221594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221612 */     GIR_RootConstrainSelectedInstOperands,
     /*  221613 */     // GIR_Coverage, 5472,
     /*  221613 */     GIR_EraseRootFromParent_Done,
     /*  221614 */   // Label 4403: @221614
     /*  221614 */   GIM_Try, /*On fail goto*//*Label 4404*/ GIMT_Encode4(221688), // Rule ID 5473 //
     /*  221619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  221630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  221633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221659 */     // MIs[1] Operand 1
     /*  221659 */     // No operand predicates
     /*  221659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221668 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  221668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_MF2),
     /*  221671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  221686 */     GIR_RootConstrainSelectedInstOperands,
     /*  221687 */     // GIR_Coverage, 5473,
     /*  221687 */     GIR_EraseRootFromParent_Done,
     /*  221688 */   // Label 4404: @221688
     /*  221688 */   GIM_Try, /*On fail goto*//*Label 4405*/ GIMT_Encode4(221762), // Rule ID 5474 //
     /*  221693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  221707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221721 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221725 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221729 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221733 */     // MIs[1] Operand 1
     /*  221733 */     // No operand predicates
     /*  221733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221742 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  221742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221760 */     GIR_RootConstrainSelectedInstOperands,
     /*  221761 */     // GIR_Coverage, 5474,
     /*  221761 */     GIR_EraseRootFromParent_Done,
     /*  221762 */   // Label 4405: @221762
     /*  221762 */   GIM_Try, /*On fail goto*//*Label 4406*/ GIMT_Encode4(221836), // Rule ID 5475 //
     /*  221767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  221778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  221781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221807 */     // MIs[1] Operand 1
     /*  221807 */     // No operand predicates
     /*  221807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221816 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  221816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  221834 */     GIR_RootConstrainSelectedInstOperands,
     /*  221835 */     // GIR_Coverage, 5475,
     /*  221835 */     GIR_EraseRootFromParent_Done,
     /*  221836 */   // Label 4406: @221836
     /*  221836 */   GIM_Try, /*On fail goto*//*Label 4407*/ GIMT_Encode4(221910), // Rule ID 5476 //
     /*  221841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  221858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  221861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221881 */     // MIs[1] Operand 1
     /*  221881 */     // No operand predicates
     /*  221881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221890 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  221890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221908 */     GIR_RootConstrainSelectedInstOperands,
     /*  221909 */     // GIR_Coverage, 5476,
     /*  221909 */     GIR_EraseRootFromParent_Done,
     /*  221910 */   // Label 4407: @221910
     /*  221910 */   GIM_Try, /*On fail goto*//*Label 4408*/ GIMT_Encode4(221984), // Rule ID 5477 //
     /*  221915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  221918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  221926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  221929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  221932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  221935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  221943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  221947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  221951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  221955 */     // MIs[1] Operand 1
     /*  221955 */     // No operand predicates
     /*  221955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  221957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  221964 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  221964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  221967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  221969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  221971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  221974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  221979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  221982 */     GIR_RootConstrainSelectedInstOperands,
     /*  221983 */     // GIR_Coverage, 5477,
     /*  221983 */     GIR_EraseRootFromParent_Done,
     /*  221984 */   // Label 4408: @221984
     /*  221984 */   GIM_Try, /*On fail goto*//*Label 4409*/ GIMT_Encode4(222058), // Rule ID 5478 //
     /*  221989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  221992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  221997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  222003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222029 */     // MIs[1] Operand 1
     /*  222029 */     // No operand predicates
     /*  222029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222038 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  222038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  222041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222056 */     GIR_RootConstrainSelectedInstOperands,
     /*  222057 */     // GIR_Coverage, 5478,
     /*  222057 */     GIR_EraseRootFromParent_Done,
     /*  222058 */   // Label 4409: @222058
     /*  222058 */   GIM_Try, /*On fail goto*//*Label 4410*/ GIMT_Encode4(222132), // Rule ID 5479 //
     /*  222063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  222074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  222077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222103 */     // MIs[1] Operand 1
     /*  222103 */     // No operand predicates
     /*  222103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  222112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  222115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  222130 */     GIR_RootConstrainSelectedInstOperands,
     /*  222131 */     // GIR_Coverage, 5479,
     /*  222131 */     GIR_EraseRootFromParent_Done,
     /*  222132 */   // Label 4410: @222132
     /*  222132 */   GIM_Try, /*On fail goto*//*Label 4411*/ GIMT_Encode4(222206), // Rule ID 5480 //
     /*  222137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  222140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  222151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222177 */     // MIs[1] Operand 1
     /*  222177 */     // No operand predicates
     /*  222177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222186 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  222186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  222189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222204 */     GIR_RootConstrainSelectedInstOperands,
     /*  222205 */     // GIR_Coverage, 5480,
     /*  222205 */     GIR_EraseRootFromParent_Done,
     /*  222206 */   // Label 4411: @222206
     /*  222206 */   GIM_Try, /*On fail goto*//*Label 4412*/ GIMT_Encode4(222280), // Rule ID 5481 //
     /*  222211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  222214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  222222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  222225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222251 */     // MIs[1] Operand 1
     /*  222251 */     // No operand predicates
     /*  222251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  222260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M1),
     /*  222263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  222278 */     GIR_RootConstrainSelectedInstOperands,
     /*  222279 */     // GIR_Coverage, 5481,
     /*  222279 */     GIR_EraseRootFromParent_Done,
     /*  222280 */   // Label 4412: @222280
     /*  222280 */   GIM_Try, /*On fail goto*//*Label 4413*/ GIMT_Encode4(222354), // Rule ID 5482 //
     /*  222285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  222299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222325 */     // MIs[1] Operand 1
     /*  222325 */     // No operand predicates
     /*  222325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222334 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222352 */     GIR_RootConstrainSelectedInstOperands,
     /*  222353 */     // GIR_Coverage, 5482,
     /*  222353 */     GIR_EraseRootFromParent_Done,
     /*  222354 */   // Label 4413: @222354
     /*  222354 */   GIM_Try, /*On fail goto*//*Label 4414*/ GIMT_Encode4(222428), // Rule ID 5483 //
     /*  222359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  222373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222399 */     // MIs[1] Operand 1
     /*  222399 */     // No operand predicates
     /*  222399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222408 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222426 */     GIR_RootConstrainSelectedInstOperands,
     /*  222427 */     // GIR_Coverage, 5483,
     /*  222427 */     GIR_EraseRootFromParent_Done,
     /*  222428 */   // Label 4414: @222428
     /*  222428 */   GIM_Try, /*On fail goto*//*Label 4415*/ GIMT_Encode4(222502), // Rule ID 5484 //
     /*  222433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  222447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222473 */     // MIs[1] Operand 1
     /*  222473 */     // No operand predicates
     /*  222473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222482 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222500 */     GIR_RootConstrainSelectedInstOperands,
     /*  222501 */     // GIR_Coverage, 5484,
     /*  222501 */     GIR_EraseRootFromParent_Done,
     /*  222502 */   // Label 4415: @222502
     /*  222502 */   GIM_Try, /*On fail goto*//*Label 4416*/ GIMT_Encode4(222576), // Rule ID 5485 //
     /*  222507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  222518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  222521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222547 */     // MIs[1] Operand 1
     /*  222547 */     // No operand predicates
     /*  222547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222556 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222574 */     GIR_RootConstrainSelectedInstOperands,
     /*  222575 */     // GIR_Coverage, 5485,
     /*  222575 */     GIR_EraseRootFromParent_Done,
     /*  222576 */   // Label 4416: @222576
     /*  222576 */   GIM_Try, /*On fail goto*//*Label 4417*/ GIMT_Encode4(222650), // Rule ID 5486 //
     /*  222581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  222592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  222595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222621 */     // MIs[1] Operand 1
     /*  222621 */     // No operand predicates
     /*  222621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222630 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  222630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222648 */     GIR_RootConstrainSelectedInstOperands,
     /*  222649 */     // GIR_Coverage, 5486,
     /*  222649 */     GIR_EraseRootFromParent_Done,
     /*  222650 */   // Label 4417: @222650
     /*  222650 */   GIM_Try, /*On fail goto*//*Label 4418*/ GIMT_Encode4(222724), // Rule ID 5487 //
     /*  222655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  222666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  222669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  222683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222695 */     // MIs[1] Operand 1
     /*  222695 */     // No operand predicates
     /*  222695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222704 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  222704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  222707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  222722 */     GIR_RootConstrainSelectedInstOperands,
     /*  222723 */     // GIR_Coverage, 5487,
     /*  222723 */     GIR_EraseRootFromParent_Done,
     /*  222724 */   // Label 4418: @222724
     /*  222724 */   GIM_Try, /*On fail goto*//*Label 4419*/ GIMT_Encode4(222798), // Rule ID 5488 //
     /*  222729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  222743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222769 */     // MIs[1] Operand 1
     /*  222769 */     // No operand predicates
     /*  222769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222796 */     GIR_RootConstrainSelectedInstOperands,
     /*  222797 */     // GIR_Coverage, 5488,
     /*  222797 */     GIR_EraseRootFromParent_Done,
     /*  222798 */   // Label 4419: @222798
     /*  222798 */   GIM_Try, /*On fail goto*//*Label 4420*/ GIMT_Encode4(222872), // Rule ID 5489 //
     /*  222803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  222814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  222817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  222831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222843 */     // MIs[1] Operand 1
     /*  222843 */     // No operand predicates
     /*  222843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222852 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  222852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  222855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222870 */     GIR_RootConstrainSelectedInstOperands,
     /*  222871 */     // GIR_Coverage, 5489,
     /*  222871 */     GIR_EraseRootFromParent_Done,
     /*  222872 */   // Label 4420: @222872
     /*  222872 */   GIM_Try, /*On fail goto*//*Label 4421*/ GIMT_Encode4(222946), // Rule ID 5490 //
     /*  222877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  222880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  222891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  222894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  222897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222917 */     // MIs[1] Operand 1
     /*  222917 */     // No operand predicates
     /*  222917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  222926 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  222926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  222929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  222931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  222933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  222936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  222941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  222944 */     GIR_RootConstrainSelectedInstOperands,
     /*  222945 */     // GIR_Coverage, 5490,
     /*  222945 */     GIR_EraseRootFromParent_Done,
     /*  222946 */   // Label 4421: @222946
     /*  222946 */   GIM_Try, /*On fail goto*//*Label 4422*/ GIMT_Encode4(223020), // Rule ID 5491 //
     /*  222951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  222954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  222959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  222962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  222965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  222968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  222971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  222975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  222979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  222983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  222987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  222991 */     // MIs[1] Operand 1
     /*  222991 */     // No operand predicates
     /*  222991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  222993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223018 */     GIR_RootConstrainSelectedInstOperands,
     /*  223019 */     // GIR_Coverage, 5491,
     /*  223019 */     GIR_EraseRootFromParent_Done,
     /*  223020 */   // Label 4422: @223020
     /*  223020 */   GIM_Try, /*On fail goto*//*Label 4423*/ GIMT_Encode4(223094), // Rule ID 5492 //
     /*  223025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  223039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223065 */     // MIs[1] Operand 1
     /*  223065 */     // No operand predicates
     /*  223065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223074 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  223074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223092 */     GIR_RootConstrainSelectedInstOperands,
     /*  223093 */     // GIR_Coverage, 5492,
     /*  223093 */     GIR_EraseRootFromParent_Done,
     /*  223094 */   // Label 4423: @223094
     /*  223094 */   GIM_Try, /*On fail goto*//*Label 4424*/ GIMT_Encode4(223168), // Rule ID 5493 //
     /*  223099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  223110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  223113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223139 */     // MIs[1] Operand 1
     /*  223139 */     // No operand predicates
     /*  223139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223148 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  223148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  223166 */     GIR_RootConstrainSelectedInstOperands,
     /*  223167 */     // GIR_Coverage, 5493,
     /*  223167 */     GIR_EraseRootFromParent_Done,
     /*  223168 */   // Label 4424: @223168
     /*  223168 */   GIM_Try, /*On fail goto*//*Label 4425*/ GIMT_Encode4(223242), // Rule ID 5494 //
     /*  223173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  223187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223213 */     // MIs[1] Operand 1
     /*  223213 */     // No operand predicates
     /*  223213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223222 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  223225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223240 */     GIR_RootConstrainSelectedInstOperands,
     /*  223241 */     // GIR_Coverage, 5494,
     /*  223241 */     GIR_EraseRootFromParent_Done,
     /*  223242 */   // Label 4425: @223242
     /*  223242 */   GIM_Try, /*On fail goto*//*Label 4426*/ GIMT_Encode4(223316), // Rule ID 5495 //
     /*  223247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  223261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223287 */     // MIs[1] Operand 1
     /*  223287 */     // No operand predicates
     /*  223287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223296 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  223299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223314 */     GIR_RootConstrainSelectedInstOperands,
     /*  223315 */     // GIR_Coverage, 5495,
     /*  223315 */     GIR_EraseRootFromParent_Done,
     /*  223316 */   // Label 4426: @223316
     /*  223316 */   GIM_Try, /*On fail goto*//*Label 4427*/ GIMT_Encode4(223390), // Rule ID 5496 //
     /*  223321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  223335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223361 */     // MIs[1] Operand 1
     /*  223361 */     // No operand predicates
     /*  223361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223370 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223388 */     GIR_RootConstrainSelectedInstOperands,
     /*  223389 */     // GIR_Coverage, 5496,
     /*  223389 */     GIR_EraseRootFromParent_Done,
     /*  223390 */   // Label 4427: @223390
     /*  223390 */   GIM_Try, /*On fail goto*//*Label 4428*/ GIMT_Encode4(223464), // Rule ID 5497 //
     /*  223395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  223409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223435 */     // MIs[1] Operand 1
     /*  223435 */     // No operand predicates
     /*  223435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223462 */     GIR_RootConstrainSelectedInstOperands,
     /*  223463 */     // GIR_Coverage, 5497,
     /*  223463 */     GIR_EraseRootFromParent_Done,
     /*  223464 */   // Label 4428: @223464
     /*  223464 */   GIM_Try, /*On fail goto*//*Label 4429*/ GIMT_Encode4(223538), // Rule ID 5498 //
     /*  223469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  223472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  223483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223509 */     // MIs[1] Operand 1
     /*  223509 */     // No operand predicates
     /*  223509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223518 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  223518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223536 */     GIR_RootConstrainSelectedInstOperands,
     /*  223537 */     // GIR_Coverage, 5498,
     /*  223537 */     GIR_EraseRootFromParent_Done,
     /*  223538 */   // Label 4429: @223538
     /*  223538 */   GIM_Try, /*On fail goto*//*Label 4430*/ GIMT_Encode4(223612), // Rule ID 5499 //
     /*  223543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  223546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  223554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  223557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223583 */     // MIs[1] Operand 1
     /*  223583 */     // No operand predicates
     /*  223583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223592 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  223592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  223610 */     GIR_RootConstrainSelectedInstOperands,
     /*  223611 */     // GIR_Coverage, 5499,
     /*  223611 */     GIR_EraseRootFromParent_Done,
     /*  223612 */   // Label 4430: @223612
     /*  223612 */   GIM_Try, /*On fail goto*//*Label 4431*/ GIMT_Encode4(223686), // Rule ID 5500 //
     /*  223617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  223631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223657 */     // MIs[1] Operand 1
     /*  223657 */     // No operand predicates
     /*  223657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223666 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  223669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223684 */     GIR_RootConstrainSelectedInstOperands,
     /*  223685 */     // GIR_Coverage, 5500,
     /*  223685 */     GIR_EraseRootFromParent_Done,
     /*  223686 */   // Label 4431: @223686
     /*  223686 */   GIM_Try, /*On fail goto*//*Label 4432*/ GIMT_Encode4(223760), // Rule ID 5501 //
     /*  223691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  223702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  223705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  223719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223731 */     // MIs[1] Operand 1
     /*  223731 */     // No operand predicates
     /*  223731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M2),
     /*  223743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223758 */     GIR_RootConstrainSelectedInstOperands,
     /*  223759 */     // GIR_Coverage, 5501,
     /*  223759 */     GIR_EraseRootFromParent_Done,
     /*  223760 */   // Label 4432: @223760
     /*  223760 */   GIM_Try, /*On fail goto*//*Label 4433*/ GIMT_Encode4(223834), // Rule ID 5502 //
     /*  223765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  223779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223805 */     // MIs[1] Operand 1
     /*  223805 */     // No operand predicates
     /*  223805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223814 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223832 */     GIR_RootConstrainSelectedInstOperands,
     /*  223833 */     // GIR_Coverage, 5502,
     /*  223833 */     GIR_EraseRootFromParent_Done,
     /*  223834 */   // Label 4433: @223834
     /*  223834 */   GIM_Try, /*On fail goto*//*Label 4434*/ GIMT_Encode4(223908), // Rule ID 5503 //
     /*  223839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  223850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  223853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  223856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  223859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  223867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223879 */     // MIs[1] Operand 1
     /*  223879 */     // No operand predicates
     /*  223879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223888 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  223888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M4),
     /*  223891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223906 */     GIR_RootConstrainSelectedInstOperands,
     /*  223907 */     // GIR_Coverage, 5503,
     /*  223907 */     GIR_EraseRootFromParent_Done,
     /*  223908 */   // Label 4434: @223908
     /*  223908 */   GIM_Try, /*On fail goto*//*Label 4435*/ GIMT_Encode4(223982), // Rule ID 5504 //
     /*  223913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  223916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  223927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  223930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  223933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  223937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  223941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  223945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  223949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  223953 */     // MIs[1] Operand 1
     /*  223953 */     // No operand predicates
     /*  223953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  223955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  223962 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  223962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  223965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  223967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  223969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  223972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  223977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  223980 */     GIR_RootConstrainSelectedInstOperands,
     /*  223981 */     // GIR_Coverage, 5504,
     /*  223981 */     GIR_EraseRootFromParent_Done,
     /*  223982 */   // Label 4435: @223982
     /*  223982 */   GIM_Try, /*On fail goto*//*Label 4436*/ GIMT_Encode4(224056), // Rule ID 5505 //
     /*  223987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  223990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  223995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  223998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  224001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  224015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224027 */     // MIs[1] Operand 1
     /*  224027 */     // No operand predicates
     /*  224027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  224036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VI_M8),
     /*  224039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  224054 */     GIR_RootConstrainSelectedInstOperands,
     /*  224055 */     // GIR_Coverage, 5505,
     /*  224055 */     GIR_EraseRootFromParent_Done,
     /*  224056 */   // Label 4436: @224056
     /*  224056 */   GIM_Try, /*On fail goto*//*Label 4437*/ GIMT_Encode4(224130), // Rule ID 7974 //
     /*  224061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  224075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224101 */     // MIs[1] Operand 1
     /*  224101 */     // No operand predicates
     /*  224101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224110 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  224113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224128 */     GIR_RootConstrainSelectedInstOperands,
     /*  224129 */     // GIR_Coverage, 7974,
     /*  224129 */     GIR_EraseRootFromParent_Done,
     /*  224130 */   // Label 4437: @224130
     /*  224130 */   GIM_Try, /*On fail goto*//*Label 4438*/ GIMT_Encode4(224204), // Rule ID 7975 //
     /*  224135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  224149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224175 */     // MIs[1] Operand 1
     /*  224175 */     // No operand predicates
     /*  224175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8),
     /*  224187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224202 */     GIR_RootConstrainSelectedInstOperands,
     /*  224203 */     // GIR_Coverage, 7975,
     /*  224203 */     GIR_EraseRootFromParent_Done,
     /*  224204 */   // Label 4438: @224204
     /*  224204 */   GIM_Try, /*On fail goto*//*Label 4439*/ GIMT_Encode4(224278), // Rule ID 7978 //
     /*  224209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  224223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224249 */     // MIs[1] Operand 1
     /*  224249 */     // No operand predicates
     /*  224249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224258 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  224261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224276 */     GIR_RootConstrainSelectedInstOperands,
     /*  224277 */     // GIR_Coverage, 7978,
     /*  224277 */     GIR_EraseRootFromParent_Done,
     /*  224278 */   // Label 4439: @224278
     /*  224278 */   GIM_Try, /*On fail goto*//*Label 4440*/ GIMT_Encode4(224352), // Rule ID 7979 //
     /*  224283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  224297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224323 */     // MIs[1] Operand 1
     /*  224323 */     // No operand predicates
     /*  224323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224332 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  224335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224350 */     GIR_RootConstrainSelectedInstOperands,
     /*  224351 */     // GIR_Coverage, 7979,
     /*  224351 */     GIR_EraseRootFromParent_Done,
     /*  224352 */   // Label 4440: @224352
     /*  224352 */   GIM_Try, /*On fail goto*//*Label 4441*/ GIMT_Encode4(224426), // Rule ID 7982 //
     /*  224357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  224371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224397 */     // MIs[1] Operand 1
     /*  224397 */     // No operand predicates
     /*  224397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224406 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224424 */     GIR_RootConstrainSelectedInstOperands,
     /*  224425 */     // GIR_Coverage, 7982,
     /*  224425 */     GIR_EraseRootFromParent_Done,
     /*  224426 */   // Label 4441: @224426
     /*  224426 */   GIM_Try, /*On fail goto*//*Label 4442*/ GIMT_Encode4(224500), // Rule ID 7983 //
     /*  224431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  224442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  224445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224471 */     // MIs[1] Operand 1
     /*  224471 */     // No operand predicates
     /*  224471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224480 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  224480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  224498 */     GIR_RootConstrainSelectedInstOperands,
     /*  224499 */     // GIR_Coverage, 7983,
     /*  224499 */     GIR_EraseRootFromParent_Done,
     /*  224500 */   // Label 4442: @224500
     /*  224500 */   GIM_Try, /*On fail goto*//*Label 4443*/ GIMT_Encode4(224574), // Rule ID 7986 //
     /*  224505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224545 */     // MIs[1] Operand 1
     /*  224545 */     // No operand predicates
     /*  224545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  224557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224572 */     GIR_RootConstrainSelectedInstOperands,
     /*  224573 */     // GIR_Coverage, 7986,
     /*  224573 */     GIR_EraseRootFromParent_Done,
     /*  224574 */   // Label 4443: @224574
     /*  224574 */   GIM_Try, /*On fail goto*//*Label 4444*/ GIMT_Encode4(224648), // Rule ID 7987 //
     /*  224579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  224593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224619 */     // MIs[1] Operand 1
     /*  224619 */     // No operand predicates
     /*  224619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224628 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4),
     /*  224631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224646 */     GIR_RootConstrainSelectedInstOperands,
     /*  224647 */     // GIR_Coverage, 7987,
     /*  224647 */     GIR_EraseRootFromParent_Done,
     /*  224648 */   // Label 4444: @224648
     /*  224648 */   GIM_Try, /*On fail goto*//*Label 4445*/ GIMT_Encode4(224722), // Rule ID 7990 //
     /*  224653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224693 */     // MIs[1] Operand 1
     /*  224693 */     // No operand predicates
     /*  224693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  224702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224720 */     GIR_RootConstrainSelectedInstOperands,
     /*  224721 */     // GIR_Coverage, 7990,
     /*  224721 */     GIR_EraseRootFromParent_Done,
     /*  224722 */   // Label 4445: @224722
     /*  224722 */   GIM_Try, /*On fail goto*//*Label 4446*/ GIMT_Encode4(224796), // Rule ID 7991 //
     /*  224727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  224738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  224741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224767 */     // MIs[1] Operand 1
     /*  224767 */     // No operand predicates
     /*  224767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224776 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  224776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  224794 */     GIR_RootConstrainSelectedInstOperands,
     /*  224795 */     // GIR_Coverage, 7991,
     /*  224795 */     GIR_EraseRootFromParent_Done,
     /*  224796 */   // Label 4446: @224796
     /*  224796 */   GIM_Try, /*On fail goto*//*Label 4447*/ GIMT_Encode4(224870), // Rule ID 7994 //
     /*  224801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224841 */     // MIs[1] Operand 1
     /*  224841 */     // No operand predicates
     /*  224841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224850 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  224850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224868 */     GIR_RootConstrainSelectedInstOperands,
     /*  224869 */     // GIR_Coverage, 7994,
     /*  224869 */     GIR_EraseRootFromParent_Done,
     /*  224870 */   // Label 4447: @224870
     /*  224870 */   GIM_Try, /*On fail goto*//*Label 4448*/ GIMT_Encode4(224944), // Rule ID 7995 //
     /*  224875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  224878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  224886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  224889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  224892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  224895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224915 */     // MIs[1] Operand 1
     /*  224915 */     // No operand predicates
     /*  224915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  224924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2),
     /*  224927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  224929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  224931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  224934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  224939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  224942 */     GIR_RootConstrainSelectedInstOperands,
     /*  224943 */     // GIR_Coverage, 7995,
     /*  224943 */     GIR_EraseRootFromParent_Done,
     /*  224944 */   // Label 4448: @224944
     /*  224944 */   GIM_Try, /*On fail goto*//*Label 4449*/ GIMT_Encode4(225018), // Rule ID 7998 //
     /*  224949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  224952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  224957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  224960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  224963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  224966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  224969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  224977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  224981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  224985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  224989 */     // MIs[1] Operand 1
     /*  224989 */     // No operand predicates
     /*  224989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  224991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  224998 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  224998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225016 */     GIR_RootConstrainSelectedInstOperands,
     /*  225017 */     // GIR_Coverage, 7998,
     /*  225017 */     GIR_EraseRootFromParent_Done,
     /*  225018 */   // Label 4449: @225018
     /*  225018 */   GIM_Try, /*On fail goto*//*Label 4450*/ GIMT_Encode4(225092), // Rule ID 7999 //
     /*  225023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  225037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225063 */     // MIs[1] Operand 1
     /*  225063 */     // No operand predicates
     /*  225063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225072 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225090 */     GIR_RootConstrainSelectedInstOperands,
     /*  225091 */     // GIR_Coverage, 7999,
     /*  225091 */     GIR_EraseRootFromParent_Done,
     /*  225092 */   // Label 4450: @225092
     /*  225092 */   GIM_Try, /*On fail goto*//*Label 4451*/ GIMT_Encode4(225166), // Rule ID 8002 //
     /*  225097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  225111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225137 */     // MIs[1] Operand 1
     /*  225137 */     // No operand predicates
     /*  225137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225146 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  225146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225164 */     GIR_RootConstrainSelectedInstOperands,
     /*  225165 */     // GIR_Coverage, 8002,
     /*  225165 */     GIR_EraseRootFromParent_Done,
     /*  225166 */   // Label 4451: @225166
     /*  225166 */   GIM_Try, /*On fail goto*//*Label 4452*/ GIMT_Encode4(225240), // Rule ID 8003 //
     /*  225171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  225182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  225185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225211 */     // MIs[1] Operand 1
     /*  225211 */     // No operand predicates
     /*  225211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225220 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  225220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  225238 */     GIR_RootConstrainSelectedInstOperands,
     /*  225239 */     // GIR_Coverage, 8003,
     /*  225239 */     GIR_EraseRootFromParent_Done,
     /*  225240 */   // Label 4452: @225240
     /*  225240 */   GIM_Try, /*On fail goto*//*Label 4453*/ GIMT_Encode4(225314), // Rule ID 8006 //
     /*  225245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  225259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225285 */     // MIs[1] Operand 1
     /*  225285 */     // No operand predicates
     /*  225285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225294 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  225294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225312 */     GIR_RootConstrainSelectedInstOperands,
     /*  225313 */     // GIR_Coverage, 8006,
     /*  225313 */     GIR_EraseRootFromParent_Done,
     /*  225314 */   // Label 4453: @225314
     /*  225314 */   GIM_Try, /*On fail goto*//*Label 4454*/ GIMT_Encode4(225388), // Rule ID 8007 //
     /*  225319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  225330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  225333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225359 */     // MIs[1] Operand 1
     /*  225359 */     // No operand predicates
     /*  225359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  225368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  225386 */     GIR_RootConstrainSelectedInstOperands,
     /*  225387 */     // GIR_Coverage, 8007,
     /*  225387 */     GIR_EraseRootFromParent_Done,
     /*  225388 */   // Label 4454: @225388
     /*  225388 */   GIM_Try, /*On fail goto*//*Label 4455*/ GIMT_Encode4(225462), // Rule ID 8010 //
     /*  225393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  225396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225421 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225425 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225429 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225433 */     // MIs[1] Operand 1
     /*  225433 */     // No operand predicates
     /*  225433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225442 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  225442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225460 */     GIR_RootConstrainSelectedInstOperands,
     /*  225461 */     // GIR_Coverage, 8010,
     /*  225461 */     GIR_EraseRootFromParent_Done,
     /*  225462 */   // Label 4455: @225462
     /*  225462 */   GIM_Try, /*On fail goto*//*Label 4456*/ GIMT_Encode4(225536), // Rule ID 8011 //
     /*  225467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  225470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  225478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  225481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225507 */     // MIs[1] Operand 1
     /*  225507 */     // No operand predicates
     /*  225507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225516 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  225516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1),
     /*  225519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  225534 */     GIR_RootConstrainSelectedInstOperands,
     /*  225535 */     // GIR_Coverage, 8011,
     /*  225535 */     GIR_EraseRootFromParent_Done,
     /*  225536 */   // Label 4456: @225536
     /*  225536 */   GIM_Try, /*On fail goto*//*Label 4457*/ GIMT_Encode4(225610), // Rule ID 8014 //
     /*  225541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  225555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225581 */     // MIs[1] Operand 1
     /*  225581 */     // No operand predicates
     /*  225581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225590 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225608 */     GIR_RootConstrainSelectedInstOperands,
     /*  225609 */     // GIR_Coverage, 8014,
     /*  225609 */     GIR_EraseRootFromParent_Done,
     /*  225610 */   // Label 4457: @225610
     /*  225610 */   GIM_Try, /*On fail goto*//*Label 4458*/ GIMT_Encode4(225684), // Rule ID 8015 //
     /*  225615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  225626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  225629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  225643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225655 */     // MIs[1] Operand 1
     /*  225655 */     // No operand predicates
     /*  225655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225664 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  225667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225682 */     GIR_RootConstrainSelectedInstOperands,
     /*  225683 */     // GIR_Coverage, 8015,
     /*  225683 */     GIR_EraseRootFromParent_Done,
     /*  225684 */   // Label 4458: @225684
     /*  225684 */   GIM_Try, /*On fail goto*//*Label 4459*/ GIMT_Encode4(225758), // Rule ID 8018 //
     /*  225689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  225703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225729 */     // MIs[1] Operand 1
     /*  225729 */     // No operand predicates
     /*  225729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225738 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225756 */     GIR_RootConstrainSelectedInstOperands,
     /*  225757 */     // GIR_Coverage, 8018,
     /*  225757 */     GIR_EraseRootFromParent_Done,
     /*  225758 */   // Label 4459: @225758
     /*  225758 */   GIM_Try, /*On fail goto*//*Label 4460*/ GIMT_Encode4(225832), // Rule ID 8019 //
     /*  225763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  225774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  225777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  225791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225803 */     // MIs[1] Operand 1
     /*  225803 */     // No operand predicates
     /*  225803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225812 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  225815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225830 */     GIR_RootConstrainSelectedInstOperands,
     /*  225831 */     // GIR_Coverage, 8019,
     /*  225831 */     GIR_EraseRootFromParent_Done,
     /*  225832 */   // Label 4460: @225832
     /*  225832 */   GIM_Try, /*On fail goto*//*Label 4461*/ GIMT_Encode4(225906), // Rule ID 8022 //
     /*  225837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  225854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  225857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225877 */     // MIs[1] Operand 1
     /*  225877 */     // No operand predicates
     /*  225877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225886 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  225886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225904 */     GIR_RootConstrainSelectedInstOperands,
     /*  225905 */     // GIR_Coverage, 8022,
     /*  225905 */     GIR_EraseRootFromParent_Done,
     /*  225906 */   // Label 4461: @225906
     /*  225906 */   GIM_Try, /*On fail goto*//*Label 4462*/ GIMT_Encode4(225980), // Rule ID 8023 //
     /*  225911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  225914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  225922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  225925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  225928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  225931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  225935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  225939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  225943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  225947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  225951 */     // MIs[1] Operand 1
     /*  225951 */     // No operand predicates
     /*  225951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  225953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  225960 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  225960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  225963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  225965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  225967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  225970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  225975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  225978 */     GIR_RootConstrainSelectedInstOperands,
     /*  225979 */     // GIR_Coverage, 8023,
     /*  225979 */     GIR_EraseRootFromParent_Done,
     /*  225980 */   // Label 4462: @225980
     /*  225980 */   GIM_Try, /*On fail goto*//*Label 4463*/ GIMT_Encode4(226054), // Rule ID 8026 //
     /*  225985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  225988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  225993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  225996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  225999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226025 */     // MIs[1] Operand 1
     /*  226025 */     // No operand predicates
     /*  226025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226052 */     GIR_RootConstrainSelectedInstOperands,
     /*  226053 */     // GIR_Coverage, 8026,
     /*  226053 */     GIR_EraseRootFromParent_Done,
     /*  226054 */   // Label 4463: @226054
     /*  226054 */   GIM_Try, /*On fail goto*//*Label 4464*/ GIMT_Encode4(226128), // Rule ID 8027 //
     /*  226059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  226073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226099 */     // MIs[1] Operand 1
     /*  226099 */     // No operand predicates
     /*  226099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226126 */     GIR_RootConstrainSelectedInstOperands,
     /*  226127 */     // GIR_Coverage, 8027,
     /*  226127 */     GIR_EraseRootFromParent_Done,
     /*  226128 */   // Label 4464: @226128
     /*  226128 */   GIM_Try, /*On fail goto*//*Label 4465*/ GIMT_Encode4(226202), // Rule ID 8030 //
     /*  226133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  226147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226173 */     // MIs[1] Operand 1
     /*  226173 */     // No operand predicates
     /*  226173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226182 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226200 */     GIR_RootConstrainSelectedInstOperands,
     /*  226201 */     // GIR_Coverage, 8030,
     /*  226201 */     GIR_EraseRootFromParent_Done,
     /*  226202 */   // Label 4465: @226202
     /*  226202 */   GIM_Try, /*On fail goto*//*Label 4466*/ GIMT_Encode4(226276), // Rule ID 8031 //
     /*  226207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  226221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226247 */     // MIs[1] Operand 1
     /*  226247 */     // No operand predicates
     /*  226247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226256 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226274 */     GIR_RootConstrainSelectedInstOperands,
     /*  226275 */     // GIR_Coverage, 8031,
     /*  226275 */     GIR_EraseRootFromParent_Done,
     /*  226276 */   // Label 4466: @226276
     /*  226276 */   GIM_Try, /*On fail goto*//*Label 4467*/ GIMT_Encode4(226350), // Rule ID 8034 //
     /*  226281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  226292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  226295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226321 */     // MIs[1] Operand 1
     /*  226321 */     // No operand predicates
     /*  226321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226330 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  226330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226348 */     GIR_RootConstrainSelectedInstOperands,
     /*  226349 */     // GIR_Coverage, 8034,
     /*  226349 */     GIR_EraseRootFromParent_Done,
     /*  226350 */   // Label 4467: @226350
     /*  226350 */   GIM_Try, /*On fail goto*//*Label 4468*/ GIMT_Encode4(226424), // Rule ID 8035 //
     /*  226355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  226366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  226369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226395 */     // MIs[1] Operand 1
     /*  226395 */     // No operand predicates
     /*  226395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226404 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  226404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  226422 */     GIR_RootConstrainSelectedInstOperands,
     /*  226423 */     // GIR_Coverage, 8035,
     /*  226423 */     GIR_EraseRootFromParent_Done,
     /*  226424 */   // Label 4468: @226424
     /*  226424 */   GIM_Try, /*On fail goto*//*Label 4469*/ GIMT_Encode4(226498), // Rule ID 8038 //
     /*  226429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  226443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226469 */     // MIs[1] Operand 1
     /*  226469 */     // No operand predicates
     /*  226469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226478 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226496 */     GIR_RootConstrainSelectedInstOperands,
     /*  226497 */     // GIR_Coverage, 8038,
     /*  226497 */     GIR_EraseRootFromParent_Done,
     /*  226498 */   // Label 4469: @226498
     /*  226498 */   GIM_Try, /*On fail goto*//*Label 4470*/ GIMT_Encode4(226572), // Rule ID 8039 //
     /*  226503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  226514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  226517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226543 */     // MIs[1] Operand 1
     /*  226543 */     // No operand predicates
     /*  226543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226570 */     GIR_RootConstrainSelectedInstOperands,
     /*  226571 */     // GIR_Coverage, 8039,
     /*  226571 */     GIR_EraseRootFromParent_Done,
     /*  226572 */   // Label 4470: @226572
     /*  226572 */   GIM_Try, /*On fail goto*//*Label 4471*/ GIMT_Encode4(226646), // Rule ID 8042 //
     /*  226577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  226591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226617 */     // MIs[1] Operand 1
     /*  226617 */     // No operand predicates
     /*  226617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226626 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226644 */     GIR_RootConstrainSelectedInstOperands,
     /*  226645 */     // GIR_Coverage, 8042,
     /*  226645 */     GIR_EraseRootFromParent_Done,
     /*  226646 */   // Label 4471: @226646
     /*  226646 */   GIM_Try, /*On fail goto*//*Label 4472*/ GIMT_Encode4(226720), // Rule ID 8043 //
     /*  226651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  226662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  226665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  226679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226691 */     // MIs[1] Operand 1
     /*  226691 */     // No operand predicates
     /*  226691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  226703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226718 */     GIR_RootConstrainSelectedInstOperands,
     /*  226719 */     // GIR_Coverage, 8043,
     /*  226719 */     GIR_EraseRootFromParent_Done,
     /*  226720 */   // Label 4472: @226720
     /*  226720 */   GIM_Try, /*On fail goto*//*Label 4473*/ GIMT_Encode4(226794), // Rule ID 8046 //
     /*  226725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  226728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  226739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226765 */     // MIs[1] Operand 1
     /*  226765 */     // No operand predicates
     /*  226765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  226774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226792 */     GIR_RootConstrainSelectedInstOperands,
     /*  226793 */     // GIR_Coverage, 8046,
     /*  226793 */     GIR_EraseRootFromParent_Done,
     /*  226794 */   // Label 4473: @226794
     /*  226794 */   GIM_Try, /*On fail goto*//*Label 4474*/ GIMT_Encode4(226868), // Rule ID 8047 //
     /*  226799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  226802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  226810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  226813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  226827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226839 */     // MIs[1] Operand 1
     /*  226839 */     // No operand predicates
     /*  226839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  226848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  226851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  226866 */     GIR_RootConstrainSelectedInstOperands,
     /*  226867 */     // GIR_Coverage, 8047,
     /*  226867 */     GIR_EraseRootFromParent_Done,
     /*  226868 */   // Label 4474: @226868
     /*  226868 */   GIM_Try, /*On fail goto*//*Label 4475*/ GIMT_Encode4(226942), // Rule ID 8050 //
     /*  226873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  226876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  226890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  226893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226913 */     // MIs[1] Operand 1
     /*  226913 */     // No operand predicates
     /*  226913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  226922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  226927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  226929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  226932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  226937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  226940 */     GIR_RootConstrainSelectedInstOperands,
     /*  226941 */     // GIR_Coverage, 8050,
     /*  226941 */     GIR_EraseRootFromParent_Done,
     /*  226942 */   // Label 4475: @226942
     /*  226942 */   GIM_Try, /*On fail goto*//*Label 4476*/ GIMT_Encode4(227016), // Rule ID 8051 //
     /*  226947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  226950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  226955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  226958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  226961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  226964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  226967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  226971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  226975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  226979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  226983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  226987 */     // MIs[1] Operand 1
     /*  226987 */     // No operand predicates
     /*  226987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  226989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  226996 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  226996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2),
     /*  226999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227014 */     GIR_RootConstrainSelectedInstOperands,
     /*  227015 */     // GIR_Coverage, 8051,
     /*  227015 */     GIR_EraseRootFromParent_Done,
     /*  227016 */   // Label 4476: @227016
     /*  227016 */   GIM_Try, /*On fail goto*//*Label 4477*/ GIMT_Encode4(227090), // Rule ID 8054 //
     /*  227021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  227029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  227035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227061 */     // MIs[1] Operand 1
     /*  227061 */     // No operand predicates
     /*  227061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227070 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  227073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227088 */     GIR_RootConstrainSelectedInstOperands,
     /*  227089 */     // GIR_Coverage, 8054,
     /*  227089 */     GIR_EraseRootFromParent_Done,
     /*  227090 */   // Label 4477: @227090
     /*  227090 */   GIM_Try, /*On fail goto*//*Label 4478*/ GIMT_Encode4(227164), // Rule ID 8055 //
     /*  227095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  227098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  227103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  227109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  227123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227135 */     // MIs[1] Operand 1
     /*  227135 */     // No operand predicates
     /*  227135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4),
     /*  227147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227162 */     GIR_RootConstrainSelectedInstOperands,
     /*  227163 */     // GIR_Coverage, 8055,
     /*  227163 */     GIR_EraseRootFromParent_Done,
     /*  227164 */   // Label 4478: @227164
     /*  227164 */   GIM_Try, /*On fail goto*//*Label 4479*/ GIMT_Encode4(227238), // Rule ID 8058 //
     /*  227169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  227172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  227177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  227183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227209 */     // MIs[1] Operand 1
     /*  227209 */     // No operand predicates
     /*  227209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  227218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  227221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227236 */     GIR_RootConstrainSelectedInstOperands,
     /*  227237 */     // GIR_Coverage, 8058,
     /*  227237 */     GIR_EraseRootFromParent_Done,
     /*  227238 */   // Label 4479: @227238
     /*  227238 */   GIM_Try, /*On fail goto*//*Label 4480*/ GIMT_Encode4(227312), // Rule ID 8059 //
     /*  227243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  227246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  227251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  227254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  227257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  227271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227283 */     // MIs[1] Operand 1
     /*  227283 */     // No operand predicates
     /*  227283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227292 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  227292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8),
     /*  227295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227299 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  227310 */     GIR_RootConstrainSelectedInstOperands,
     /*  227311 */     // GIR_Coverage, 8059,
     /*  227311 */     GIR_EraseRootFromParent_Done,
     /*  227312 */   // Label 4480: @227312
     /*  227312 */   GIM_Try, /*On fail goto*//*Label 4481*/ GIMT_Encode4(227386), // Rule ID 8238 //
     /*  227317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  227331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227357 */     // MIs[1] Operand 1
     /*  227357 */     // No operand predicates
     /*  227357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227366 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  227369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227384 */     GIR_RootConstrainSelectedInstOperands,
     /*  227385 */     // GIR_Coverage, 8238,
     /*  227385 */     GIR_EraseRootFromParent_Done,
     /*  227386 */   // Label 4481: @227386
     /*  227386 */   GIM_Try, /*On fail goto*//*Label 4482*/ GIMT_Encode4(227460), // Rule ID 8239 //
     /*  227391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  227405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227431 */     // MIs[1] Operand 1
     /*  227431 */     // No operand predicates
     /*  227431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227440 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8),
     /*  227443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227458 */     GIR_RootConstrainSelectedInstOperands,
     /*  227459 */     // GIR_Coverage, 8239,
     /*  227459 */     GIR_EraseRootFromParent_Done,
     /*  227460 */   // Label 4482: @227460
     /*  227460 */   GIM_Try, /*On fail goto*//*Label 4483*/ GIMT_Encode4(227534), // Rule ID 8242 //
     /*  227465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  227479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227505 */     // MIs[1] Operand 1
     /*  227505 */     // No operand predicates
     /*  227505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227514 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227532 */     GIR_RootConstrainSelectedInstOperands,
     /*  227533 */     // GIR_Coverage, 8242,
     /*  227533 */     GIR_EraseRootFromParent_Done,
     /*  227534 */   // Label 4483: @227534
     /*  227534 */   GIM_Try, /*On fail goto*//*Label 4484*/ GIMT_Encode4(227608), // Rule ID 8243 //
     /*  227539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  227553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227579 */     // MIs[1] Operand 1
     /*  227579 */     // No operand predicates
     /*  227579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227606 */     GIR_RootConstrainSelectedInstOperands,
     /*  227607 */     // GIR_Coverage, 8243,
     /*  227607 */     GIR_EraseRootFromParent_Done,
     /*  227608 */   // Label 4484: @227608
     /*  227608 */   GIM_Try, /*On fail goto*//*Label 4485*/ GIMT_Encode4(227682), // Rule ID 8246 //
     /*  227613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  227627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227653 */     // MIs[1] Operand 1
     /*  227653 */     // No operand predicates
     /*  227653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  227662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227680 */     GIR_RootConstrainSelectedInstOperands,
     /*  227681 */     // GIR_Coverage, 8246,
     /*  227681 */     GIR_EraseRootFromParent_Done,
     /*  227682 */   // Label 4485: @227682
     /*  227682 */   GIM_Try, /*On fail goto*//*Label 4486*/ GIMT_Encode4(227756), // Rule ID 8247 //
     /*  227687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  227698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  227701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227727 */     // MIs[1] Operand 1
     /*  227727 */     // No operand predicates
     /*  227727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227736 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  227736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  227754 */     GIR_RootConstrainSelectedInstOperands,
     /*  227755 */     // GIR_Coverage, 8247,
     /*  227755 */     GIR_EraseRootFromParent_Done,
     /*  227756 */   // Label 4486: @227756
     /*  227756 */   GIM_Try, /*On fail goto*//*Label 4487*/ GIMT_Encode4(227830), // Rule ID 8250 //
     /*  227761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  227775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227801 */     // MIs[1] Operand 1
     /*  227801 */     // No operand predicates
     /*  227801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227810 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227828 */     GIR_RootConstrainSelectedInstOperands,
     /*  227829 */     // GIR_Coverage, 8250,
     /*  227829 */     GIR_EraseRootFromParent_Done,
     /*  227830 */   // Label 4487: @227830
     /*  227830 */   GIM_Try, /*On fail goto*//*Label 4488*/ GIMT_Encode4(227904), // Rule ID 8251 //
     /*  227835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  227846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  227849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  227852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  227855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227875 */     // MIs[1] Operand 1
     /*  227875 */     // No operand predicates
     /*  227875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227884 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  227884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4),
     /*  227887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227902 */     GIR_RootConstrainSelectedInstOperands,
     /*  227903 */     // GIR_Coverage, 8251,
     /*  227903 */     GIR_EraseRootFromParent_Done,
     /*  227904 */   // Label 4488: @227904
     /*  227904 */   GIM_Try, /*On fail goto*//*Label 4489*/ GIMT_Encode4(227978), // Rule ID 8254 //
     /*  227909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  227912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  227926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  227929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  227937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  227941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  227945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  227949 */     // MIs[1] Operand 1
     /*  227949 */     // No operand predicates
     /*  227949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  227951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  227958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  227958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  227961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  227963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  227965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  227968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  227973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  227976 */     GIR_RootConstrainSelectedInstOperands,
     /*  227977 */     // GIR_Coverage, 8254,
     /*  227977 */     GIR_EraseRootFromParent_Done,
     /*  227978 */   // Label 4489: @227978
     /*  227978 */   GIM_Try, /*On fail goto*//*Label 4490*/ GIMT_Encode4(228052), // Rule ID 8255 //
     /*  227983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  227986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  227991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  227994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  227997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228023 */     // MIs[1] Operand 1
     /*  228023 */     // No operand predicates
     /*  228023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  228035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228050 */     GIR_RootConstrainSelectedInstOperands,
     /*  228051 */     // GIR_Coverage, 8255,
     /*  228051 */     GIR_EraseRootFromParent_Done,
     /*  228052 */   // Label 4490: @228052
     /*  228052 */   GIM_Try, /*On fail goto*//*Label 4491*/ GIMT_Encode4(228126), // Rule ID 8258 //
     /*  228057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  228071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228097 */     // MIs[1] Operand 1
     /*  228097 */     // No operand predicates
     /*  228097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228106 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  228109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228124 */     GIR_RootConstrainSelectedInstOperands,
     /*  228125 */     // GIR_Coverage, 8258,
     /*  228125 */     GIR_EraseRootFromParent_Done,
     /*  228126 */   // Label 4491: @228126
     /*  228126 */   GIM_Try, /*On fail goto*//*Label 4492*/ GIMT_Encode4(228200), // Rule ID 8259 //
     /*  228131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  228145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228171 */     // MIs[1] Operand 1
     /*  228171 */     // No operand predicates
     /*  228171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228180 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2),
     /*  228183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228198 */     GIR_RootConstrainSelectedInstOperands,
     /*  228199 */     // GIR_Coverage, 8259,
     /*  228199 */     GIR_EraseRootFromParent_Done,
     /*  228200 */   // Label 4492: @228200
     /*  228200 */   GIM_Try, /*On fail goto*//*Label 4493*/ GIMT_Encode4(228274), // Rule ID 8262 //
     /*  228205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  228219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228245 */     // MIs[1] Operand 1
     /*  228245 */     // No operand predicates
     /*  228245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228254 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228272 */     GIR_RootConstrainSelectedInstOperands,
     /*  228273 */     // GIR_Coverage, 8262,
     /*  228273 */     GIR_EraseRootFromParent_Done,
     /*  228274 */   // Label 4493: @228274
     /*  228274 */   GIM_Try, /*On fail goto*//*Label 4494*/ GIMT_Encode4(228348), // Rule ID 8263 //
     /*  228279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  228290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  228293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228319 */     // MIs[1] Operand 1
     /*  228319 */     // No operand predicates
     /*  228319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228328 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228346 */     GIR_RootConstrainSelectedInstOperands,
     /*  228347 */     // GIR_Coverage, 8263,
     /*  228347 */     GIR_EraseRootFromParent_Done,
     /*  228348 */   // Label 4494: @228348
     /*  228348 */   GIM_Try, /*On fail goto*//*Label 4495*/ GIMT_Encode4(228422), // Rule ID 8266 //
     /*  228353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  228367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228393 */     // MIs[1] Operand 1
     /*  228393 */     // No operand predicates
     /*  228393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  228402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228420 */     GIR_RootConstrainSelectedInstOperands,
     /*  228421 */     // GIR_Coverage, 8266,
     /*  228421 */     GIR_EraseRootFromParent_Done,
     /*  228422 */   // Label 4495: @228422
     /*  228422 */   GIM_Try, /*On fail goto*//*Label 4496*/ GIMT_Encode4(228496), // Rule ID 8267 //
     /*  228427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  228438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  228441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228467 */     // MIs[1] Operand 1
     /*  228467 */     // No operand predicates
     /*  228467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228476 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  228476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  228494 */     GIR_RootConstrainSelectedInstOperands,
     /*  228495 */     // GIR_Coverage, 8267,
     /*  228495 */     GIR_EraseRootFromParent_Done,
     /*  228496 */   // Label 4496: @228496
     /*  228496 */   GIM_Try, /*On fail goto*//*Label 4497*/ GIMT_Encode4(228570), // Rule ID 8270 //
     /*  228501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228541 */     // MIs[1] Operand 1
     /*  228541 */     // No operand predicates
     /*  228541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  228550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228568 */     GIR_RootConstrainSelectedInstOperands,
     /*  228569 */     // GIR_Coverage, 8270,
     /*  228569 */     GIR_EraseRootFromParent_Done,
     /*  228570 */   // Label 4497: @228570
     /*  228570 */   GIM_Try, /*On fail goto*//*Label 4498*/ GIMT_Encode4(228644), // Rule ID 8271 //
     /*  228575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  228586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  228589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228615 */     // MIs[1] Operand 1
     /*  228615 */     // No operand predicates
     /*  228615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228624 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  228624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  228642 */     GIR_RootConstrainSelectedInstOperands,
     /*  228643 */     // GIR_Coverage, 8271,
     /*  228643 */     GIR_EraseRootFromParent_Done,
     /*  228644 */   // Label 4498: @228644
     /*  228644 */   GIM_Try, /*On fail goto*//*Label 4499*/ GIMT_Encode4(228718), // Rule ID 8274 //
     /*  228649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  228652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228689 */     // MIs[1] Operand 1
     /*  228689 */     // No operand predicates
     /*  228689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  228698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228716 */     GIR_RootConstrainSelectedInstOperands,
     /*  228717 */     // GIR_Coverage, 8274,
     /*  228717 */     GIR_EraseRootFromParent_Done,
     /*  228718 */   // Label 4499: @228718
     /*  228718 */   GIM_Try, /*On fail goto*//*Label 4500*/ GIMT_Encode4(228792), // Rule ID 8275 //
     /*  228723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  228726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  228734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  228737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228763 */     // MIs[1] Operand 1
     /*  228763 */     // No operand predicates
     /*  228763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228772 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  228772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1),
     /*  228775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  228790 */     GIR_RootConstrainSelectedInstOperands,
     /*  228791 */     // GIR_Coverage, 8275,
     /*  228791 */     GIR_EraseRootFromParent_Done,
     /*  228792 */   // Label 4500: @228792
     /*  228792 */   GIM_Try, /*On fail goto*//*Label 4501*/ GIMT_Encode4(228866), // Rule ID 8278 //
     /*  228797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  228811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228837 */     // MIs[1] Operand 1
     /*  228837 */     // No operand predicates
     /*  228837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228846 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228864 */     GIR_RootConstrainSelectedInstOperands,
     /*  228865 */     // GIR_Coverage, 8278,
     /*  228865 */     GIR_EraseRootFromParent_Done,
     /*  228866 */   // Label 4501: @228866
     /*  228866 */   GIM_Try, /*On fail goto*//*Label 4502*/ GIMT_Encode4(228940), // Rule ID 8279 //
     /*  228871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  228874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  228882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  228885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  228888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  228891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  228899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228911 */     // MIs[1] Operand 1
     /*  228911 */     // No operand predicates
     /*  228911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228920 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  228920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  228923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  228927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  228930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  228935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  228938 */     GIR_RootConstrainSelectedInstOperands,
     /*  228939 */     // GIR_Coverage, 8279,
     /*  228939 */     GIR_EraseRootFromParent_Done,
     /*  228940 */   // Label 4502: @228940
     /*  228940 */   GIM_Try, /*On fail goto*//*Label 4503*/ GIMT_Encode4(229014), // Rule ID 8282 //
     /*  228945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  228948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  228953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  228956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  228959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  228962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  228965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  228969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  228973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  228977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  228981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  228985 */     // MIs[1] Operand 1
     /*  228985 */     // No operand predicates
     /*  228985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  228987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  228994 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  228994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  228997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  228999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229012 */     GIR_RootConstrainSelectedInstOperands,
     /*  229013 */     // GIR_Coverage, 8282,
     /*  229013 */     GIR_EraseRootFromParent_Done,
     /*  229014 */   // Label 4503: @229014
     /*  229014 */   GIM_Try, /*On fail goto*//*Label 4504*/ GIMT_Encode4(229088), // Rule ID 8283 //
     /*  229019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  229033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229059 */     // MIs[1] Operand 1
     /*  229059 */     // No operand predicates
     /*  229059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229068 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229086 */     GIR_RootConstrainSelectedInstOperands,
     /*  229087 */     // GIR_Coverage, 8283,
     /*  229087 */     GIR_EraseRootFromParent_Done,
     /*  229088 */   // Label 4504: @229088
     /*  229088 */   GIM_Try, /*On fail goto*//*Label 4505*/ GIMT_Encode4(229162), // Rule ID 8286 //
     /*  229093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  229104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  229107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229133 */     // MIs[1] Operand 1
     /*  229133 */     // No operand predicates
     /*  229133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229142 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  229142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229160 */     GIR_RootConstrainSelectedInstOperands,
     /*  229161 */     // GIR_Coverage, 8286,
     /*  229161 */     GIR_EraseRootFromParent_Done,
     /*  229162 */   // Label 4505: @229162
     /*  229162 */   GIM_Try, /*On fail goto*//*Label 4506*/ GIMT_Encode4(229236), // Rule ID 8287 //
     /*  229167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  229178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  229181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229203 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229207 */     // MIs[1] Operand 1
     /*  229207 */     // No operand predicates
     /*  229207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229216 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  229216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  229234 */     GIR_RootConstrainSelectedInstOperands,
     /*  229235 */     // GIR_Coverage, 8287,
     /*  229235 */     GIR_EraseRootFromParent_Done,
     /*  229236 */   // Label 4506: @229236
     /*  229236 */   GIM_Try, /*On fail goto*//*Label 4507*/ GIMT_Encode4(229310), // Rule ID 8290 //
     /*  229241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  229255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229277 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229281 */     // MIs[1] Operand 1
     /*  229281 */     // No operand predicates
     /*  229281 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229290 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229308 */     GIR_RootConstrainSelectedInstOperands,
     /*  229309 */     // GIR_Coverage, 8290,
     /*  229309 */     GIR_EraseRootFromParent_Done,
     /*  229310 */   // Label 4507: @229310
     /*  229310 */   GIM_Try, /*On fail goto*//*Label 4508*/ GIMT_Encode4(229384), // Rule ID 8291 //
     /*  229315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  229329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229355 */     // MIs[1] Operand 1
     /*  229355 */     // No operand predicates
     /*  229355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229382 */     GIR_RootConstrainSelectedInstOperands,
     /*  229383 */     // GIR_Coverage, 8291,
     /*  229383 */     GIR_EraseRootFromParent_Done,
     /*  229384 */   // Label 4508: @229384
     /*  229384 */   GIM_Try, /*On fail goto*//*Label 4509*/ GIMT_Encode4(229458), // Rule ID 8294 //
     /*  229389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229429 */     // MIs[1] Operand 1
     /*  229429 */     // No operand predicates
     /*  229429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229438 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229456 */     GIR_RootConstrainSelectedInstOperands,
     /*  229457 */     // GIR_Coverage, 8294,
     /*  229457 */     GIR_EraseRootFromParent_Done,
     /*  229458 */   // Label 4509: @229458
     /*  229458 */   GIM_Try, /*On fail goto*//*Label 4510*/ GIMT_Encode4(229532), // Rule ID 8295 //
     /*  229463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  229477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229503 */     // MIs[1] Operand 1
     /*  229503 */     // No operand predicates
     /*  229503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229512 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229530 */     GIR_RootConstrainSelectedInstOperands,
     /*  229531 */     // GIR_Coverage, 8295,
     /*  229531 */     GIR_EraseRootFromParent_Done,
     /*  229532 */   // Label 4510: @229532
     /*  229532 */   GIM_Try, /*On fail goto*//*Label 4511*/ GIMT_Encode4(229606), // Rule ID 8298 //
     /*  229537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229577 */     // MIs[1] Operand 1
     /*  229577 */     // No operand predicates
     /*  229577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229586 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  229586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229604 */     GIR_RootConstrainSelectedInstOperands,
     /*  229605 */     // GIR_Coverage, 8298,
     /*  229605 */     GIR_EraseRootFromParent_Done,
     /*  229606 */   // Label 4511: @229606
     /*  229606 */   GIM_Try, /*On fail goto*//*Label 4512*/ GIMT_Encode4(229680), // Rule ID 8299 //
     /*  229611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  229622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  229625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  229639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229651 */     // MIs[1] Operand 1
     /*  229651 */     // No operand predicates
     /*  229651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229660 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  229660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  229663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  229678 */     GIR_RootConstrainSelectedInstOperands,
     /*  229679 */     // GIR_Coverage, 8299,
     /*  229679 */     GIR_EraseRootFromParent_Done,
     /*  229680 */   // Label 4512: @229680
     /*  229680 */   GIM_Try, /*On fail goto*//*Label 4513*/ GIMT_Encode4(229754), // Rule ID 8302 //
     /*  229685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229725 */     // MIs[1] Operand 1
     /*  229725 */     // No operand predicates
     /*  229725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229752 */     GIR_RootConstrainSelectedInstOperands,
     /*  229753 */     // GIR_Coverage, 8302,
     /*  229753 */     GIR_EraseRootFromParent_Done,
     /*  229754 */   // Label 4513: @229754
     /*  229754 */   GIM_Try, /*On fail goto*//*Label 4514*/ GIMT_Encode4(229828), // Rule ID 8303 //
     /*  229759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  229770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  229773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  229787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229799 */     // MIs[1] Operand 1
     /*  229799 */     // No operand predicates
     /*  229799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  229811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229826 */     GIR_RootConstrainSelectedInstOperands,
     /*  229827 */     // GIR_Coverage, 8303,
     /*  229827 */     GIR_EraseRootFromParent_Done,
     /*  229828 */   // Label 4514: @229828
     /*  229828 */   GIM_Try, /*On fail goto*//*Label 4515*/ GIMT_Encode4(229902), // Rule ID 8306 //
     /*  229833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  229853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229873 */     // MIs[1] Operand 1
     /*  229873 */     // No operand predicates
     /*  229873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  229882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229900 */     GIR_RootConstrainSelectedInstOperands,
     /*  229901 */     // GIR_Coverage, 8306,
     /*  229901 */     GIR_EraseRootFromParent_Done,
     /*  229902 */   // Label 4515: @229902
     /*  229902 */   GIM_Try, /*On fail goto*//*Label 4516*/ GIMT_Encode4(229976), // Rule ID 8307 //
     /*  229907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  229910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  229918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  229921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  229924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  229927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  229931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  229935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  229939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  229943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  229947 */     // MIs[1] Operand 1
     /*  229947 */     // No operand predicates
     /*  229947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  229949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  229956 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  229956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  229959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  229961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  229963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  229966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  229971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  229974 */     GIR_RootConstrainSelectedInstOperands,
     /*  229975 */     // GIR_Coverage, 8307,
     /*  229975 */     GIR_EraseRootFromParent_Done,
     /*  229976 */   // Label 4516: @229976
     /*  229976 */   GIM_Try, /*On fail goto*//*Label 4517*/ GIMT_Encode4(230050), // Rule ID 8310 //
     /*  229981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  229984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  229989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  229992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  229995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  229998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230021 */     // MIs[1] Operand 1
     /*  230021 */     // No operand predicates
     /*  230021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230030 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  230030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  230033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230048 */     GIR_RootConstrainSelectedInstOperands,
     /*  230049 */     // GIR_Coverage, 8310,
     /*  230049 */     GIR_EraseRootFromParent_Done,
     /*  230050 */   // Label 4517: @230050
     /*  230050 */   GIM_Try, /*On fail goto*//*Label 4518*/ GIMT_Encode4(230124), // Rule ID 8311 //
     /*  230055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  230063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  230066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  230069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230095 */     // MIs[1] Operand 1
     /*  230095 */     // No operand predicates
     /*  230095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230104 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  230104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  230107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  230122 */     GIR_RootConstrainSelectedInstOperands,
     /*  230123 */     // GIR_Coverage, 8311,
     /*  230123 */     GIR_EraseRootFromParent_Done,
     /*  230124 */   // Label 4518: @230124
     /*  230124 */   GIM_Try, /*On fail goto*//*Label 4519*/ GIMT_Encode4(230198), // Rule ID 8314 //
     /*  230129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  230137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  230143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230169 */     // MIs[1] Operand 1
     /*  230169 */     // No operand predicates
     /*  230169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230178 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  230181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230196 */     GIR_RootConstrainSelectedInstOperands,
     /*  230197 */     // GIR_Coverage, 8314,
     /*  230197 */     GIR_EraseRootFromParent_Done,
     /*  230198 */   // Label 4519: @230198
     /*  230198 */   GIM_Try, /*On fail goto*//*Label 4520*/ GIMT_Encode4(230272), // Rule ID 8315 //
     /*  230203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  230211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  230217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  230231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230243 */     // MIs[1] Operand 1
     /*  230243 */     // No operand predicates
     /*  230243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2),
     /*  230255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230270 */     GIR_RootConstrainSelectedInstOperands,
     /*  230271 */     // GIR_Coverage, 8315,
     /*  230271 */     GIR_EraseRootFromParent_Done,
     /*  230272 */   // Label 4520: @230272
     /*  230272 */   GIM_Try, /*On fail goto*//*Label 4521*/ GIMT_Encode4(230346), // Rule ID 8318 //
     /*  230277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  230285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  230291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230317 */     // MIs[1] Operand 1
     /*  230317 */     // No operand predicates
     /*  230317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230326 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  230329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230344 */     GIR_RootConstrainSelectedInstOperands,
     /*  230345 */     // GIR_Coverage, 8318,
     /*  230345 */     GIR_EraseRootFromParent_Done,
     /*  230346 */   // Label 4521: @230346
     /*  230346 */   GIM_Try, /*On fail goto*//*Label 4522*/ GIMT_Encode4(230420), // Rule ID 8319 //
     /*  230351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  230359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  230365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  230379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230391 */     // MIs[1] Operand 1
     /*  230391 */     // No operand predicates
     /*  230391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230400 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4),
     /*  230403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230418 */     GIR_RootConstrainSelectedInstOperands,
     /*  230419 */     // GIR_Coverage, 8319,
     /*  230419 */     GIR_EraseRootFromParent_Done,
     /*  230420 */   // Label 4522: @230420
     /*  230420 */   GIM_Try, /*On fail goto*//*Label 4523*/ GIMT_Encode4(230494), // Rule ID 8322 //
     /*  230425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  230428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  230433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230465 */     // MIs[1] Operand 1
     /*  230465 */     // No operand predicates
     /*  230465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  230474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  230477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230492 */     GIR_RootConstrainSelectedInstOperands,
     /*  230493 */     // GIR_Coverage, 8322,
     /*  230493 */     GIR_EraseRootFromParent_Done,
     /*  230494 */   // Label 4523: @230494
     /*  230494 */   GIM_Try, /*On fail goto*//*Label 4524*/ GIMT_Encode4(230568), // Rule ID 8323 //
     /*  230499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  230502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  230507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  230510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  230513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  230527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230539 */     // MIs[1] Operand 1
     /*  230539 */     // No operand predicates
     /*  230539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230548 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  230548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8),
     /*  230551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  230566 */     GIR_RootConstrainSelectedInstOperands,
     /*  230567 */     // GIR_Coverage, 8323,
     /*  230567 */     GIR_EraseRootFromParent_Done,
     /*  230568 */   // Label 4524: @230568
     /*  230568 */   GIM_Try, /*On fail goto*//*Label 4525*/ GIMT_Encode4(230642), // Rule ID 8854 //
     /*  230573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  230587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230613 */     // MIs[1] Operand 1
     /*  230613 */     // No operand predicates
     /*  230613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230622 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  230625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230640 */     GIR_RootConstrainSelectedInstOperands,
     /*  230641 */     // GIR_Coverage, 8854,
     /*  230641 */     GIR_EraseRootFromParent_Done,
     /*  230642 */   // Label 4525: @230642
     /*  230642 */   GIM_Try, /*On fail goto*//*Label 4526*/ GIMT_Encode4(230716), // Rule ID 8855 //
     /*  230647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  230658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  230661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230687 */     // MIs[1] Operand 1
     /*  230687 */     // No operand predicates
     /*  230687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230696 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8),
     /*  230699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230714 */     GIR_RootConstrainSelectedInstOperands,
     /*  230715 */     // GIR_Coverage, 8855,
     /*  230715 */     GIR_EraseRootFromParent_Done,
     /*  230716 */   // Label 4526: @230716
     /*  230716 */   GIM_Try, /*On fail goto*//*Label 4527*/ GIMT_Encode4(230790), // Rule ID 8858 //
     /*  230721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  230735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230761 */     // MIs[1] Operand 1
     /*  230761 */     // No operand predicates
     /*  230761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230770 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230788 */     GIR_RootConstrainSelectedInstOperands,
     /*  230789 */     // GIR_Coverage, 8858,
     /*  230789 */     GIR_EraseRootFromParent_Done,
     /*  230790 */   // Label 4527: @230790
     /*  230790 */   GIM_Try, /*On fail goto*//*Label 4528*/ GIMT_Encode4(230864), // Rule ID 8859 //
     /*  230795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  230806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  230809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230835 */     // MIs[1] Operand 1
     /*  230835 */     // No operand predicates
     /*  230835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  230847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230862 */     GIR_RootConstrainSelectedInstOperands,
     /*  230863 */     // GIR_Coverage, 8859,
     /*  230863 */     GIR_EraseRootFromParent_Done,
     /*  230864 */   // Label 4528: @230864
     /*  230864 */   GIM_Try, /*On fail goto*//*Label 4529*/ GIMT_Encode4(230938), // Rule ID 8862 //
     /*  230869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  230872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  230883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  230886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  230889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230909 */     // MIs[1] Operand 1
     /*  230909 */     // No operand predicates
     /*  230909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230918 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  230918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  230928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  230933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  230936 */     GIR_RootConstrainSelectedInstOperands,
     /*  230937 */     // GIR_Coverage, 8862,
     /*  230937 */     GIR_EraseRootFromParent_Done,
     /*  230938 */   // Label 4529: @230938
     /*  230938 */   GIM_Try, /*On fail goto*//*Label 4530*/ GIMT_Encode4(231012), // Rule ID 8863 //
     /*  230943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  230946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  230951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  230954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  230957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  230960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  230963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  230971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  230975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  230979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  230983 */     // MIs[1] Operand 1
     /*  230983 */     // No operand predicates
     /*  230983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  230985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  230992 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  230992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  230995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  230997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  230999 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231010 */     GIR_RootConstrainSelectedInstOperands,
     /*  231011 */     // GIR_Coverage, 8863,
     /*  231011 */     GIR_EraseRootFromParent_Done,
     /*  231012 */   // Label 4530: @231012
     /*  231012 */   GIM_Try, /*On fail goto*//*Label 4531*/ GIMT_Encode4(231086), // Rule ID 8866 //
     /*  231017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  231031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231053 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231057 */     // MIs[1] Operand 1
     /*  231057 */     // No operand predicates
     /*  231057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231066 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  231069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231084 */     GIR_RootConstrainSelectedInstOperands,
     /*  231085 */     // GIR_Coverage, 8866,
     /*  231085 */     GIR_EraseRootFromParent_Done,
     /*  231086 */   // Label 4531: @231086
     /*  231086 */   GIM_Try, /*On fail goto*//*Label 4532*/ GIMT_Encode4(231160), // Rule ID 8867 //
     /*  231091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  231105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231131 */     // MIs[1] Operand 1
     /*  231131 */     // No operand predicates
     /*  231131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231140 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4),
     /*  231143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231158 */     GIR_RootConstrainSelectedInstOperands,
     /*  231159 */     // GIR_Coverage, 8867,
     /*  231159 */     GIR_EraseRootFromParent_Done,
     /*  231160 */   // Label 4532: @231160
     /*  231160 */   GIM_Try, /*On fail goto*//*Label 4533*/ GIMT_Encode4(231234), // Rule ID 8870 //
     /*  231165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  231179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231205 */     // MIs[1] Operand 1
     /*  231205 */     // No operand predicates
     /*  231205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231214 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  231217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231232 */     GIR_RootConstrainSelectedInstOperands,
     /*  231233 */     // GIR_Coverage, 8870,
     /*  231233 */     GIR_EraseRootFromParent_Done,
     /*  231234 */   // Label 4533: @231234
     /*  231234 */   GIM_Try, /*On fail goto*//*Label 4534*/ GIMT_Encode4(231308), // Rule ID 8871 //
     /*  231239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  231253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231279 */     // MIs[1] Operand 1
     /*  231279 */     // No operand predicates
     /*  231279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  231291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231306 */     GIR_RootConstrainSelectedInstOperands,
     /*  231307 */     // GIR_Coverage, 8871,
     /*  231307 */     GIR_EraseRootFromParent_Done,
     /*  231308 */   // Label 4534: @231308
     /*  231308 */   GIM_Try, /*On fail goto*//*Label 4535*/ GIMT_Encode4(231382), // Rule ID 8874 //
     /*  231313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  231327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231353 */     // MIs[1] Operand 1
     /*  231353 */     // No operand predicates
     /*  231353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231362 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  231365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231380 */     GIR_RootConstrainSelectedInstOperands,
     /*  231381 */     // GIR_Coverage, 8874,
     /*  231381 */     GIR_EraseRootFromParent_Done,
     /*  231382 */   // Label 4535: @231382
     /*  231382 */   GIM_Try, /*On fail goto*//*Label 4536*/ GIMT_Encode4(231456), // Rule ID 8875 //
     /*  231387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  231401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231427 */     // MIs[1] Operand 1
     /*  231427 */     // No operand predicates
     /*  231427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2),
     /*  231439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231454 */     GIR_RootConstrainSelectedInstOperands,
     /*  231455 */     // GIR_Coverage, 8875,
     /*  231455 */     GIR_EraseRootFromParent_Done,
     /*  231456 */   // Label 4536: @231456
     /*  231456 */   GIM_Try, /*On fail goto*//*Label 4537*/ GIMT_Encode4(231530), // Rule ID 8878 //
     /*  231461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  231475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231501 */     // MIs[1] Operand 1
     /*  231501 */     // No operand predicates
     /*  231501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231510 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  231510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231528 */     GIR_RootConstrainSelectedInstOperands,
     /*  231529 */     // GIR_Coverage, 8878,
     /*  231529 */     GIR_EraseRootFromParent_Done,
     /*  231530 */   // Label 4537: @231530
     /*  231530 */   GIM_Try, /*On fail goto*//*Label 4538*/ GIMT_Encode4(231604), // Rule ID 8879 //
     /*  231535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  231546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  231549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231575 */     // MIs[1] Operand 1
     /*  231575 */     // No operand predicates
     /*  231575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  231584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  231602 */     GIR_RootConstrainSelectedInstOperands,
     /*  231603 */     // GIR_Coverage, 8879,
     /*  231603 */     GIR_EraseRootFromParent_Done,
     /*  231604 */   // Label 4538: @231604
     /*  231604 */   GIM_Try, /*On fail goto*//*Label 4539*/ GIMT_Encode4(231678), // Rule ID 8882 //
     /*  231609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  231623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231649 */     // MIs[1] Operand 1
     /*  231649 */     // No operand predicates
     /*  231649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231658 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  231658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231676 */     GIR_RootConstrainSelectedInstOperands,
     /*  231677 */     // GIR_Coverage, 8882,
     /*  231677 */     GIR_EraseRootFromParent_Done,
     /*  231678 */   // Label 4539: @231678
     /*  231678 */   GIM_Try, /*On fail goto*//*Label 4540*/ GIMT_Encode4(231752), // Rule ID 8883 //
     /*  231683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  231694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  231697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231723 */     // MIs[1] Operand 1
     /*  231723 */     // No operand predicates
     /*  231723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231732 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  231732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  231750 */     GIR_RootConstrainSelectedInstOperands,
     /*  231751 */     // GIR_Coverage, 8883,
     /*  231751 */     GIR_EraseRootFromParent_Done,
     /*  231752 */   // Label 4540: @231752
     /*  231752 */   GIM_Try, /*On fail goto*//*Label 4541*/ GIMT_Encode4(231826), // Rule ID 8886 //
     /*  231757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  231760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  231771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231797 */     // MIs[1] Operand 1
     /*  231797 */     // No operand predicates
     /*  231797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231806 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  231806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231824 */     GIR_RootConstrainSelectedInstOperands,
     /*  231825 */     // GIR_Coverage, 8886,
     /*  231825 */     GIR_EraseRootFromParent_Done,
     /*  231826 */   // Label 4541: @231826
     /*  231826 */   GIM_Try, /*On fail goto*//*Label 4542*/ GIMT_Encode4(231900), // Rule ID 8887 //
     /*  231831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  231834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  231842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  231845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231871 */     // MIs[1] Operand 1
     /*  231871 */     // No operand predicates
     /*  231871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231880 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  231880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  231898 */     GIR_RootConstrainSelectedInstOperands,
     /*  231899 */     // GIR_Coverage, 8887,
     /*  231899 */     GIR_EraseRootFromParent_Done,
     /*  231900 */   // Label 4542: @231900
     /*  231900 */   GIM_Try, /*On fail goto*//*Label 4543*/ GIMT_Encode4(231974), // Rule ID 8890 //
     /*  231905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  231908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  231922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  231925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  231933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  231937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  231941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  231945 */     // MIs[1] Operand 1
     /*  231945 */     // No operand predicates
     /*  231945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  231947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  231954 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  231954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  231957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  231959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  231961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  231964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  231969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  231972 */     GIR_RootConstrainSelectedInstOperands,
     /*  231973 */     // GIR_Coverage, 8890,
     /*  231973 */     GIR_EraseRootFromParent_Done,
     /*  231974 */   // Label 4543: @231974
     /*  231974 */   GIM_Try, /*On fail goto*//*Label 4544*/ GIMT_Encode4(232048), // Rule ID 8891 //
     /*  231979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  231982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  231987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  231990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  231993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  231996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  231999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232019 */     // MIs[1] Operand 1
     /*  232019 */     // No operand predicates
     /*  232019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  232028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1),
     /*  232031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  232046 */     GIR_RootConstrainSelectedInstOperands,
     /*  232047 */     // GIR_Coverage, 8891,
     /*  232047 */     GIR_EraseRootFromParent_Done,
     /*  232048 */   // Label 4544: @232048
     /*  232048 */   GIM_Try, /*On fail goto*//*Label 4545*/ GIMT_Encode4(232122), // Rule ID 8894 //
     /*  232053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  232067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232093 */     // MIs[1] Operand 1
     /*  232093 */     // No operand predicates
     /*  232093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232102 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232120 */     GIR_RootConstrainSelectedInstOperands,
     /*  232121 */     // GIR_Coverage, 8894,
     /*  232121 */     GIR_EraseRootFromParent_Done,
     /*  232122 */   // Label 4545: @232122
     /*  232122 */   GIM_Try, /*On fail goto*//*Label 4546*/ GIMT_Encode4(232196), // Rule ID 8895 //
     /*  232127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  232141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232167 */     // MIs[1] Operand 1
     /*  232167 */     // No operand predicates
     /*  232167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232176 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232194 */     GIR_RootConstrainSelectedInstOperands,
     /*  232195 */     // GIR_Coverage, 8895,
     /*  232195 */     GIR_EraseRootFromParent_Done,
     /*  232196 */   // Label 4546: @232196
     /*  232196 */   GIM_Try, /*On fail goto*//*Label 4547*/ GIMT_Encode4(232270), // Rule ID 8898 //
     /*  232201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  232215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232241 */     // MIs[1] Operand 1
     /*  232241 */     // No operand predicates
     /*  232241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232250 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232268 */     GIR_RootConstrainSelectedInstOperands,
     /*  232269 */     // GIR_Coverage, 8898,
     /*  232269 */     GIR_EraseRootFromParent_Done,
     /*  232270 */   // Label 4547: @232270
     /*  232270 */   GIM_Try, /*On fail goto*//*Label 4548*/ GIMT_Encode4(232344), // Rule ID 8899 //
     /*  232275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  232289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232315 */     // MIs[1] Operand 1
     /*  232315 */     // No operand predicates
     /*  232315 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232324 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232342 */     GIR_RootConstrainSelectedInstOperands,
     /*  232343 */     // GIR_Coverage, 8899,
     /*  232343 */     GIR_EraseRootFromParent_Done,
     /*  232344 */   // Label 4548: @232344
     /*  232344 */   GIM_Try, /*On fail goto*//*Label 4549*/ GIMT_Encode4(232418), // Rule ID 8902 //
     /*  232349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  232360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  232363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232377 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232381 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232385 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232389 */     // MIs[1] Operand 1
     /*  232389 */     // No operand predicates
     /*  232389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232398 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  232398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232416 */     GIR_RootConstrainSelectedInstOperands,
     /*  232417 */     // GIR_Coverage, 8902,
     /*  232417 */     GIR_EraseRootFromParent_Done,
     /*  232418 */   // Label 4549: @232418
     /*  232418 */   GIM_Try, /*On fail goto*//*Label 4550*/ GIMT_Encode4(232492), // Rule ID 8903 //
     /*  232423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  232434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  232437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232463 */     // MIs[1] Operand 1
     /*  232463 */     // No operand predicates
     /*  232463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232472 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  232472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  232490 */     GIR_RootConstrainSelectedInstOperands,
     /*  232491 */     // GIR_Coverage, 8903,
     /*  232491 */     GIR_EraseRootFromParent_Done,
     /*  232492 */   // Label 4550: @232492
     /*  232492 */   GIM_Try, /*On fail goto*//*Label 4551*/ GIMT_Encode4(232566), // Rule ID 8906 //
     /*  232497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232537 */     // MIs[1] Operand 1
     /*  232537 */     // No operand predicates
     /*  232537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232546 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232564 */     GIR_RootConstrainSelectedInstOperands,
     /*  232565 */     // GIR_Coverage, 8906,
     /*  232565 */     GIR_EraseRootFromParent_Done,
     /*  232566 */   // Label 4551: @232566
     /*  232566 */   GIM_Try, /*On fail goto*//*Label 4552*/ GIMT_Encode4(232640), // Rule ID 8907 //
     /*  232571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  232582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  232585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232611 */     // MIs[1] Operand 1
     /*  232611 */     // No operand predicates
     /*  232611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232638 */     GIR_RootConstrainSelectedInstOperands,
     /*  232639 */     // GIR_Coverage, 8907,
     /*  232639 */     GIR_EraseRootFromParent_Done,
     /*  232640 */   // Label 4552: @232640
     /*  232640 */   GIM_Try, /*On fail goto*//*Label 4553*/ GIMT_Encode4(232714), // Rule ID 8910 //
     /*  232645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232685 */     // MIs[1] Operand 1
     /*  232685 */     // No operand predicates
     /*  232685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232694 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232712 */     GIR_RootConstrainSelectedInstOperands,
     /*  232713 */     // GIR_Coverage, 8910,
     /*  232713 */     GIR_EraseRootFromParent_Done,
     /*  232714 */   // Label 4553: @232714
     /*  232714 */   GIM_Try, /*On fail goto*//*Label 4554*/ GIMT_Encode4(232788), // Rule ID 8911 //
     /*  232719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  232730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  232733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  232747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232759 */     // MIs[1] Operand 1
     /*  232759 */     // No operand predicates
     /*  232759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232768 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  232771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232786 */     GIR_RootConstrainSelectedInstOperands,
     /*  232787 */     // GIR_Coverage, 8911,
     /*  232787 */     GIR_EraseRootFromParent_Done,
     /*  232788 */   // Label 4554: @232788
     /*  232788 */   GIM_Try, /*On fail goto*//*Label 4555*/ GIMT_Encode4(232862), // Rule ID 8914 //
     /*  232793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  232807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232833 */     // MIs[1] Operand 1
     /*  232833 */     // No operand predicates
     /*  232833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232842 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  232842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232860 */     GIR_RootConstrainSelectedInstOperands,
     /*  232861 */     // GIR_Coverage, 8914,
     /*  232861 */     GIR_EraseRootFromParent_Done,
     /*  232862 */   // Label 4555: @232862
     /*  232862 */   GIM_Try, /*On fail goto*//*Label 4556*/ GIMT_Encode4(232936), // Rule ID 8915 //
     /*  232867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  232870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  232878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  232881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  232884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  232887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  232895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232907 */     // MIs[1] Operand 1
     /*  232907 */     // No operand predicates
     /*  232907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232916 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  232916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  232919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  232926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  232931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  232934 */     GIR_RootConstrainSelectedInstOperands,
     /*  232935 */     // GIR_Coverage, 8915,
     /*  232935 */     GIR_EraseRootFromParent_Done,
     /*  232936 */   // Label 4556: @232936
     /*  232936 */   GIM_Try, /*On fail goto*//*Label 4557*/ GIMT_Encode4(233010), // Rule ID 8918 //
     /*  232941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  232944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  232949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  232952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  232955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  232958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  232961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  232965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  232969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  232973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  232977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  232981 */     // MIs[1] Operand 1
     /*  232981 */     // No operand predicates
     /*  232981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  232983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  232990 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  232990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  232993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  232995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  232997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233008 */     GIR_RootConstrainSelectedInstOperands,
     /*  233009 */     // GIR_Coverage, 8918,
     /*  233009 */     GIR_EraseRootFromParent_Done,
     /*  233010 */   // Label 4557: @233010
     /*  233010 */   GIM_Try, /*On fail goto*//*Label 4558*/ GIMT_Encode4(233084), // Rule ID 8919 //
     /*  233015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  233029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233055 */     // MIs[1] Operand 1
     /*  233055 */     // No operand predicates
     /*  233055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233064 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  233067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233082 */     GIR_RootConstrainSelectedInstOperands,
     /*  233083 */     // GIR_Coverage, 8919,
     /*  233083 */     GIR_EraseRootFromParent_Done,
     /*  233084 */   // Label 4558: @233084
     /*  233084 */   GIM_Try, /*On fail goto*//*Label 4559*/ GIMT_Encode4(233158), // Rule ID 8922 //
     /*  233089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  233103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233129 */     // MIs[1] Operand 1
     /*  233129 */     // No operand predicates
     /*  233129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233138 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  233141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233156 */     GIR_RootConstrainSelectedInstOperands,
     /*  233157 */     // GIR_Coverage, 8922,
     /*  233157 */     GIR_EraseRootFromParent_Done,
     /*  233158 */   // Label 4559: @233158
     /*  233158 */   GIM_Try, /*On fail goto*//*Label 4560*/ GIMT_Encode4(233232), // Rule ID 8923 //
     /*  233163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  233177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233203 */     // MIs[1] Operand 1
     /*  233203 */     // No operand predicates
     /*  233203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  233215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233230 */     GIR_RootConstrainSelectedInstOperands,
     /*  233231 */     // GIR_Coverage, 8923,
     /*  233231 */     GIR_EraseRootFromParent_Done,
     /*  233232 */   // Label 4560: @233232
     /*  233232 */   GIM_Try, /*On fail goto*//*Label 4561*/ GIMT_Encode4(233306), // Rule ID 8926 //
     /*  233237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  233251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233277 */     // MIs[1] Operand 1
     /*  233277 */     // No operand predicates
     /*  233277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233286 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  233286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  233289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233304 */     GIR_RootConstrainSelectedInstOperands,
     /*  233305 */     // GIR_Coverage, 8926,
     /*  233305 */     GIR_EraseRootFromParent_Done,
     /*  233306 */   // Label 4561: @233306
     /*  233306 */   GIM_Try, /*On fail goto*//*Label 4562*/ GIMT_Encode4(233380), // Rule ID 8927 //
     /*  233311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  233322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  233325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233351 */     // MIs[1] Operand 1
     /*  233351 */     // No operand predicates
     /*  233351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233360 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  233360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  233363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  233378 */     GIR_RootConstrainSelectedInstOperands,
     /*  233379 */     // GIR_Coverage, 8927,
     /*  233379 */     GIR_EraseRootFromParent_Done,
     /*  233380 */   // Label 4562: @233380
     /*  233380 */   GIM_Try, /*On fail goto*//*Label 4563*/ GIMT_Encode4(233454), // Rule ID 8930 //
     /*  233385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  233399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233425 */     // MIs[1] Operand 1
     /*  233425 */     // No operand predicates
     /*  233425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  233437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233452 */     GIR_RootConstrainSelectedInstOperands,
     /*  233453 */     // GIR_Coverage, 8930,
     /*  233453 */     GIR_EraseRootFromParent_Done,
     /*  233454 */   // Label 4563: @233454
     /*  233454 */   GIM_Try, /*On fail goto*//*Label 4564*/ GIMT_Encode4(233528), // Rule ID 8931 //
     /*  233459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  233473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  233487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233499 */     // MIs[1] Operand 1
     /*  233499 */     // No operand predicates
     /*  233499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2),
     /*  233511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233526 */     GIR_RootConstrainSelectedInstOperands,
     /*  233527 */     // GIR_Coverage, 8931,
     /*  233527 */     GIR_EraseRootFromParent_Done,
     /*  233528 */   // Label 4564: @233528
     /*  233528 */   GIM_Try, /*On fail goto*//*Label 4565*/ GIMT_Encode4(233602), // Rule ID 8934 //
     /*  233533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233573 */     // MIs[1] Operand 1
     /*  233573 */     // No operand predicates
     /*  233573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  233585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233600 */     GIR_RootConstrainSelectedInstOperands,
     /*  233601 */     // GIR_Coverage, 8934,
     /*  233601 */     GIR_EraseRootFromParent_Done,
     /*  233602 */   // Label 4565: @233602
     /*  233602 */   GIM_Try, /*On fail goto*//*Label 4566*/ GIMT_Encode4(233676), // Rule ID 8935 //
     /*  233607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  233618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  233621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  233635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233647 */     // MIs[1] Operand 1
     /*  233647 */     // No operand predicates
     /*  233647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233656 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4),
     /*  233659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233674 */     GIR_RootConstrainSelectedInstOperands,
     /*  233675 */     // GIR_Coverage, 8935,
     /*  233675 */     GIR_EraseRootFromParent_Done,
     /*  233676 */   // Label 4566: @233676
     /*  233676 */   GIM_Try, /*On fail goto*//*Label 4567*/ GIMT_Encode4(233750), // Rule ID 8938 //
     /*  233681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  233684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233721 */     // MIs[1] Operand 1
     /*  233721 */     // No operand predicates
     /*  233721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233730 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  233730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  233733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233748 */     GIR_RootConstrainSelectedInstOperands,
     /*  233749 */     // GIR_Coverage, 8938,
     /*  233749 */     GIR_EraseRootFromParent_Done,
     /*  233750 */   // Label 4567: @233750
     /*  233750 */   GIM_Try, /*On fail goto*//*Label 4568*/ GIMT_Encode4(233824), // Rule ID 8939 //
     /*  233755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  233758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  233763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  233766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  233769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  233783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233795 */     // MIs[1] Operand 1
     /*  233795 */     // No operand predicates
     /*  233795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  233804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8),
     /*  233807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  233822 */     GIR_RootConstrainSelectedInstOperands,
     /*  233823 */     // GIR_Coverage, 8939,
     /*  233823 */     GIR_EraseRootFromParent_Done,
     /*  233824 */   // Label 4568: @233824
     /*  233824 */   GIM_Try, /*On fail goto*//*Label 4569*/ GIMT_Encode4(233898), // Rule ID 9118 //
     /*  233829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233869 */     // MIs[1] Operand 1
     /*  233869 */     // No operand predicates
     /*  233869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233878 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  233878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  233881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233896 */     GIR_RootConstrainSelectedInstOperands,
     /*  233897 */     // GIR_Coverage, 9118,
     /*  233897 */     GIR_EraseRootFromParent_Done,
     /*  233898 */   // Label 4569: @233898
     /*  233898 */   GIM_Try, /*On fail goto*//*Label 4570*/ GIMT_Encode4(233972), // Rule ID 9119 //
     /*  233903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  233906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  233914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  233917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  233920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  233923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  233931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  233935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  233939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  233943 */     // MIs[1] Operand 1
     /*  233943 */     // No operand predicates
     /*  233943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  233945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  233952 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  233952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8),
     /*  233955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  233957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  233959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  233962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  233967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  233970 */     GIR_RootConstrainSelectedInstOperands,
     /*  233971 */     // GIR_Coverage, 9119,
     /*  233971 */     GIR_EraseRootFromParent_Done,
     /*  233972 */   // Label 4570: @233972
     /*  233972 */   GIM_Try, /*On fail goto*//*Label 4571*/ GIMT_Encode4(234046), // Rule ID 9122 //
     /*  233977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  233980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  233985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  233988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  233991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  233994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  233997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234017 */     // MIs[1] Operand 1
     /*  234017 */     // No operand predicates
     /*  234017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234026 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  234029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234044 */     GIR_RootConstrainSelectedInstOperands,
     /*  234045 */     // GIR_Coverage, 9122,
     /*  234045 */     GIR_EraseRootFromParent_Done,
     /*  234046 */   // Label 4571: @234046
     /*  234046 */   GIM_Try, /*On fail goto*//*Label 4572*/ GIMT_Encode4(234120), // Rule ID 9123 //
     /*  234051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  234065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234091 */     // MIs[1] Operand 1
     /*  234091 */     // No operand predicates
     /*  234091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234100 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  234103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234118 */     GIR_RootConstrainSelectedInstOperands,
     /*  234119 */     // GIR_Coverage, 9123,
     /*  234119 */     GIR_EraseRootFromParent_Done,
     /*  234120 */   // Label 4572: @234120
     /*  234120 */   GIM_Try, /*On fail goto*//*Label 4573*/ GIMT_Encode4(234194), // Rule ID 9126 //
     /*  234125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  234139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234165 */     // MIs[1] Operand 1
     /*  234165 */     // No operand predicates
     /*  234165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234174 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234192 */     GIR_RootConstrainSelectedInstOperands,
     /*  234193 */     // GIR_Coverage, 9126,
     /*  234193 */     GIR_EraseRootFromParent_Done,
     /*  234194 */   // Label 4573: @234194
     /*  234194 */   GIM_Try, /*On fail goto*//*Label 4574*/ GIMT_Encode4(234268), // Rule ID 9127 //
     /*  234199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  234213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234239 */     // MIs[1] Operand 1
     /*  234239 */     // No operand predicates
     /*  234239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234248 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234266 */     GIR_RootConstrainSelectedInstOperands,
     /*  234267 */     // GIR_Coverage, 9127,
     /*  234267 */     GIR_EraseRootFromParent_Done,
     /*  234268 */   // Label 4574: @234268
     /*  234268 */   GIM_Try, /*On fail goto*//*Label 4575*/ GIMT_Encode4(234342), // Rule ID 9130 //
     /*  234273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  234287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234313 */     // MIs[1] Operand 1
     /*  234313 */     // No operand predicates
     /*  234313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234322 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  234325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234340 */     GIR_RootConstrainSelectedInstOperands,
     /*  234341 */     // GIR_Coverage, 9130,
     /*  234341 */     GIR_EraseRootFromParent_Done,
     /*  234342 */   // Label 4575: @234342
     /*  234342 */   GIM_Try, /*On fail goto*//*Label 4576*/ GIMT_Encode4(234416), // Rule ID 9131 //
     /*  234347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  234361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234387 */     // MIs[1] Operand 1
     /*  234387 */     // No operand predicates
     /*  234387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4),
     /*  234399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234414 */     GIR_RootConstrainSelectedInstOperands,
     /*  234415 */     // GIR_Coverage, 9131,
     /*  234415 */     GIR_EraseRootFromParent_Done,
     /*  234416 */   // Label 4576: @234416
     /*  234416 */   GIM_Try, /*On fail goto*//*Label 4577*/ GIMT_Encode4(234490), // Rule ID 9134 //
     /*  234421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234461 */     // MIs[1] Operand 1
     /*  234461 */     // No operand predicates
     /*  234461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234470 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234488 */     GIR_RootConstrainSelectedInstOperands,
     /*  234489 */     // GIR_Coverage, 9134,
     /*  234489 */     GIR_EraseRootFromParent_Done,
     /*  234490 */   // Label 4577: @234490
     /*  234490 */   GIM_Try, /*On fail goto*//*Label 4578*/ GIMT_Encode4(234564), // Rule ID 9135 //
     /*  234495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  234506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  234509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234535 */     // MIs[1] Operand 1
     /*  234535 */     // No operand predicates
     /*  234535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234544 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234562 */     GIR_RootConstrainSelectedInstOperands,
     /*  234563 */     // GIR_Coverage, 9135,
     /*  234563 */     GIR_EraseRootFromParent_Done,
     /*  234564 */   // Label 4578: @234564
     /*  234564 */   GIM_Try, /*On fail goto*//*Label 4579*/ GIMT_Encode4(234638), // Rule ID 9138 //
     /*  234569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234609 */     // MIs[1] Operand 1
     /*  234609 */     // No operand predicates
     /*  234609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234618 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  234618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234636 */     GIR_RootConstrainSelectedInstOperands,
     /*  234637 */     // GIR_Coverage, 9138,
     /*  234637 */     GIR_EraseRootFromParent_Done,
     /*  234638 */   // Label 4579: @234638
     /*  234638 */   GIM_Try, /*On fail goto*//*Label 4580*/ GIMT_Encode4(234712), // Rule ID 9139 //
     /*  234643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  234654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  234657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234683 */     // MIs[1] Operand 1
     /*  234683 */     // No operand predicates
     /*  234683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234692 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  234692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2),
     /*  234695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  234710 */     GIR_RootConstrainSelectedInstOperands,
     /*  234711 */     // GIR_Coverage, 9139,
     /*  234711 */     GIR_EraseRootFromParent_Done,
     /*  234712 */   // Label 4580: @234712
     /*  234712 */   GIM_Try, /*On fail goto*//*Label 4581*/ GIMT_Encode4(234786), // Rule ID 9142 //
     /*  234717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  234731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234757 */     // MIs[1] Operand 1
     /*  234757 */     // No operand predicates
     /*  234757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234766 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  234766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234784 */     GIR_RootConstrainSelectedInstOperands,
     /*  234785 */     // GIR_Coverage, 9142,
     /*  234785 */     GIR_EraseRootFromParent_Done,
     /*  234786 */   // Label 4581: @234786
     /*  234786 */   GIM_Try, /*On fail goto*//*Label 4582*/ GIMT_Encode4(234860), // Rule ID 9143 //
     /*  234791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  234802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  234805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234831 */     // MIs[1] Operand 1
     /*  234831 */     // No operand predicates
     /*  234831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234840 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  234840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  234858 */     GIR_RootConstrainSelectedInstOperands,
     /*  234859 */     // GIR_Coverage, 9143,
     /*  234859 */     GIR_EraseRootFromParent_Done,
     /*  234860 */   // Label 4582: @234860
     /*  234860 */   GIM_Try, /*On fail goto*//*Label 4583*/ GIMT_Encode4(234934), // Rule ID 9146 //
     /*  234865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  234868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  234882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  234885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234905 */     // MIs[1] Operand 1
     /*  234905 */     // No operand predicates
     /*  234905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234914 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  234914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  234929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  234932 */     GIR_RootConstrainSelectedInstOperands,
     /*  234933 */     // GIR_Coverage, 9146,
     /*  234933 */     GIR_EraseRootFromParent_Done,
     /*  234934 */   // Label 4583: @234934
     /*  234934 */   GIM_Try, /*On fail goto*//*Label 4584*/ GIMT_Encode4(235008), // Rule ID 9147 //
     /*  234939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  234942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  234947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  234950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  234953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  234956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  234959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  234967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  234971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  234975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  234979 */     // MIs[1] Operand 1
     /*  234979 */     // No operand predicates
     /*  234979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  234981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  234988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  234988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  234991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  234993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  234995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  234998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235006 */     GIR_RootConstrainSelectedInstOperands,
     /*  235007 */     // GIR_Coverage, 9147,
     /*  235007 */     GIR_EraseRootFromParent_Done,
     /*  235008 */   // Label 4584: @235008
     /*  235008 */   GIM_Try, /*On fail goto*//*Label 4585*/ GIMT_Encode4(235082), // Rule ID 9150 //
     /*  235013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  235027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235053 */     // MIs[1] Operand 1
     /*  235053 */     // No operand predicates
     /*  235053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235062 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  235062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  235065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235080 */     GIR_RootConstrainSelectedInstOperands,
     /*  235081 */     // GIR_Coverage, 9150,
     /*  235081 */     GIR_EraseRootFromParent_Done,
     /*  235082 */   // Label 4585: @235082
     /*  235082 */   GIM_Try, /*On fail goto*//*Label 4586*/ GIMT_Encode4(235156), // Rule ID 9151 //
     /*  235087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  235098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  235101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235127 */     // MIs[1] Operand 1
     /*  235127 */     // No operand predicates
     /*  235127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  235136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  235139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  235154 */     GIR_RootConstrainSelectedInstOperands,
     /*  235155 */     // GIR_Coverage, 9151,
     /*  235155 */     GIR_EraseRootFromParent_Done,
     /*  235156 */   // Label 4586: @235156
     /*  235156 */   GIM_Try, /*On fail goto*//*Label 4587*/ GIMT_Encode4(235230), // Rule ID 9154 //
     /*  235161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  235164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  235175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235201 */     // MIs[1] Operand 1
     /*  235201 */     // No operand predicates
     /*  235201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235210 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  235210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  235213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235228 */     GIR_RootConstrainSelectedInstOperands,
     /*  235229 */     // GIR_Coverage, 9154,
     /*  235229 */     GIR_EraseRootFromParent_Done,
     /*  235230 */   // Label 4587: @235230
     /*  235230 */   GIM_Try, /*On fail goto*//*Label 4588*/ GIMT_Encode4(235304), // Rule ID 9155 //
     /*  235235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  235238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  235246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  235249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235275 */     // MIs[1] Operand 1
     /*  235275 */     // No operand predicates
     /*  235275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235284 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  235284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1),
     /*  235287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  235302 */     GIR_RootConstrainSelectedInstOperands,
     /*  235303 */     // GIR_Coverage, 9155,
     /*  235303 */     GIR_EraseRootFromParent_Done,
     /*  235304 */   // Label 4588: @235304
     /*  235304 */   GIM_Try, /*On fail goto*//*Label 4589*/ GIMT_Encode4(235378), // Rule ID 9158 //
     /*  235309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  235323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235349 */     // MIs[1] Operand 1
     /*  235349 */     // No operand predicates
     /*  235349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235358 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235376 */     GIR_RootConstrainSelectedInstOperands,
     /*  235377 */     // GIR_Coverage, 9158,
     /*  235377 */     GIR_EraseRootFromParent_Done,
     /*  235378 */   // Label 4589: @235378
     /*  235378 */   GIM_Try, /*On fail goto*//*Label 4590*/ GIMT_Encode4(235452), // Rule ID 9159 //
     /*  235383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  235397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235423 */     // MIs[1] Operand 1
     /*  235423 */     // No operand predicates
     /*  235423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235450 */     GIR_RootConstrainSelectedInstOperands,
     /*  235451 */     // GIR_Coverage, 9159,
     /*  235451 */     GIR_EraseRootFromParent_Done,
     /*  235452 */   // Label 4590: @235452
     /*  235452 */   GIM_Try, /*On fail goto*//*Label 4591*/ GIMT_Encode4(235526), // Rule ID 9162 //
     /*  235457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  235471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235497 */     // MIs[1] Operand 1
     /*  235497 */     // No operand predicates
     /*  235497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235506 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235524 */     GIR_RootConstrainSelectedInstOperands,
     /*  235525 */     // GIR_Coverage, 9162,
     /*  235525 */     GIR_EraseRootFromParent_Done,
     /*  235526 */   // Label 4591: @235526
     /*  235526 */   GIM_Try, /*On fail goto*//*Label 4592*/ GIMT_Encode4(235600), // Rule ID 9163 //
     /*  235531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  235542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  235545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235571 */     // MIs[1] Operand 1
     /*  235571 */     // No operand predicates
     /*  235571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235580 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235598 */     GIR_RootConstrainSelectedInstOperands,
     /*  235599 */     // GIR_Coverage, 9163,
     /*  235599 */     GIR_EraseRootFromParent_Done,
     /*  235600 */   // Label 4592: @235600
     /*  235600 */   GIM_Try, /*On fail goto*//*Label 4593*/ GIMT_Encode4(235674), // Rule ID 9166 //
     /*  235605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  235616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  235619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235645 */     // MIs[1] Operand 1
     /*  235645 */     // No operand predicates
     /*  235645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235654 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  235654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235672 */     GIR_RootConstrainSelectedInstOperands,
     /*  235673 */     // GIR_Coverage, 9166,
     /*  235673 */     GIR_EraseRootFromParent_Done,
     /*  235674 */   // Label 4593: @235674
     /*  235674 */   GIM_Try, /*On fail goto*//*Label 4594*/ GIMT_Encode4(235748), // Rule ID 9167 //
     /*  235679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  235690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  235693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  235707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235719 */     // MIs[1] Operand 1
     /*  235719 */     // No operand predicates
     /*  235719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235728 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  235728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  235731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  235746 */     GIR_RootConstrainSelectedInstOperands,
     /*  235747 */     // GIR_Coverage, 9167,
     /*  235747 */     GIR_EraseRootFromParent_Done,
     /*  235748 */   // Label 4594: @235748
     /*  235748 */   GIM_Try, /*On fail goto*//*Label 4595*/ GIMT_Encode4(235822), // Rule ID 9170 //
     /*  235753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  235767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235793 */     // MIs[1] Operand 1
     /*  235793 */     // No operand predicates
     /*  235793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235802 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235820 */     GIR_RootConstrainSelectedInstOperands,
     /*  235821 */     // GIR_Coverage, 9170,
     /*  235821 */     GIR_EraseRootFromParent_Done,
     /*  235822 */   // Label 4595: @235822
     /*  235822 */   GIM_Try, /*On fail goto*//*Label 4596*/ GIMT_Encode4(235896), // Rule ID 9171 //
     /*  235827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  235838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  235841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  235855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235867 */     // MIs[1] Operand 1
     /*  235867 */     // No operand predicates
     /*  235867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235876 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  235876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  235879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235894 */     GIR_RootConstrainSelectedInstOperands,
     /*  235895 */     // GIR_Coverage, 9171,
     /*  235895 */     GIR_EraseRootFromParent_Done,
     /*  235896 */   // Label 4596: @235896
     /*  235896 */   GIM_Try, /*On fail goto*//*Label 4597*/ GIMT_Encode4(235970), // Rule ID 9174 //
     /*  235901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  235904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  235918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  235921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  235929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  235933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  235937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  235941 */     // MIs[1] Operand 1
     /*  235941 */     // No operand predicates
     /*  235941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  235943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  235950 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  235950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  235953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  235955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  235957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  235960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  235965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  235968 */     GIR_RootConstrainSelectedInstOperands,
     /*  235969 */     // GIR_Coverage, 9174,
     /*  235969 */     GIR_EraseRootFromParent_Done,
     /*  235970 */   // Label 4597: @235970
     /*  235970 */   GIM_Try, /*On fail goto*//*Label 4598*/ GIMT_Encode4(236044), // Rule ID 9175 //
     /*  235975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  235978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  235983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  235986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  235989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  235992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  235995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  235999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236015 */     // MIs[1] Operand 1
     /*  236015 */     // No operand predicates
     /*  236015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236031 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236042 */     GIR_RootConstrainSelectedInstOperands,
     /*  236043 */     // GIR_Coverage, 9175,
     /*  236043 */     GIR_EraseRootFromParent_Done,
     /*  236044 */   // Label 4598: @236044
     /*  236044 */   GIM_Try, /*On fail goto*//*Label 4599*/ GIMT_Encode4(236118), // Rule ID 9178 //
     /*  236049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  236063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236085 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236089 */     // MIs[1] Operand 1
     /*  236089 */     // No operand predicates
     /*  236089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236098 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  236098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236116 */     GIR_RootConstrainSelectedInstOperands,
     /*  236117 */     // GIR_Coverage, 9178,
     /*  236117 */     GIR_EraseRootFromParent_Done,
     /*  236118 */   // Label 4599: @236118
     /*  236118 */   GIM_Try, /*On fail goto*//*Label 4600*/ GIMT_Encode4(236192), // Rule ID 9179 //
     /*  236123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  236134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  236137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236163 */     // MIs[1] Operand 1
     /*  236163 */     // No operand predicates
     /*  236163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236172 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  236172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  236190 */     GIR_RootConstrainSelectedInstOperands,
     /*  236191 */     // GIR_Coverage, 9179,
     /*  236191 */     GIR_EraseRootFromParent_Done,
     /*  236192 */   // Label 4600: @236192
     /*  236192 */   GIM_Try, /*On fail goto*//*Label 4601*/ GIMT_Encode4(236266), // Rule ID 9182 //
     /*  236197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  236211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236237 */     // MIs[1] Operand 1
     /*  236237 */     // No operand predicates
     /*  236237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236246 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  236249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236264 */     GIR_RootConstrainSelectedInstOperands,
     /*  236265 */     // GIR_Coverage, 9182,
     /*  236265 */     GIR_EraseRootFromParent_Done,
     /*  236266 */   // Label 4601: @236266
     /*  236266 */   GIM_Try, /*On fail goto*//*Label 4602*/ GIMT_Encode4(236340), // Rule ID 9183 //
     /*  236271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  236285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236311 */     // MIs[1] Operand 1
     /*  236311 */     // No operand predicates
     /*  236311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  236323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236338 */     GIR_RootConstrainSelectedInstOperands,
     /*  236339 */     // GIR_Coverage, 9183,
     /*  236339 */     GIR_EraseRootFromParent_Done,
     /*  236340 */   // Label 4602: @236340
     /*  236340 */   GIM_Try, /*On fail goto*//*Label 4603*/ GIMT_Encode4(236414), // Rule ID 9186 //
     /*  236345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  236359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236385 */     // MIs[1] Operand 1
     /*  236385 */     // No operand predicates
     /*  236385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236394 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236412 */     GIR_RootConstrainSelectedInstOperands,
     /*  236413 */     // GIR_Coverage, 9186,
     /*  236413 */     GIR_EraseRootFromParent_Done,
     /*  236414 */   // Label 4603: @236414
     /*  236414 */   GIM_Try, /*On fail goto*//*Label 4604*/ GIMT_Encode4(236488), // Rule ID 9187 //
     /*  236419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  236433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236459 */     // MIs[1] Operand 1
     /*  236459 */     // No operand predicates
     /*  236459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236468 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236486 */     GIR_RootConstrainSelectedInstOperands,
     /*  236487 */     // GIR_Coverage, 9187,
     /*  236487 */     GIR_EraseRootFromParent_Done,
     /*  236488 */   // Label 4604: @236488
     /*  236488 */   GIM_Try, /*On fail goto*//*Label 4605*/ GIMT_Encode4(236562), // Rule ID 9190 //
     /*  236493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  236496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  236507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236533 */     // MIs[1] Operand 1
     /*  236533 */     // No operand predicates
     /*  236533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236542 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  236542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236560 */     GIR_RootConstrainSelectedInstOperands,
     /*  236561 */     // GIR_Coverage, 9190,
     /*  236561 */     GIR_EraseRootFromParent_Done,
     /*  236562 */   // Label 4605: @236562
     /*  236562 */   GIM_Try, /*On fail goto*//*Label 4606*/ GIMT_Encode4(236636), // Rule ID 9191 //
     /*  236567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  236570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  236578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  236581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236607 */     // MIs[1] Operand 1
     /*  236607 */     // No operand predicates
     /*  236607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236616 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  236616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  236634 */     GIR_RootConstrainSelectedInstOperands,
     /*  236635 */     // GIR_Coverage, 9191,
     /*  236635 */     GIR_EraseRootFromParent_Done,
     /*  236636 */   // Label 4606: @236636
     /*  236636 */   GIM_Try, /*On fail goto*//*Label 4607*/ GIMT_Encode4(236710), // Rule ID 9194 //
     /*  236641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236681 */     // MIs[1] Operand 1
     /*  236681 */     // No operand predicates
     /*  236681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236690 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  236693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236708 */     GIR_RootConstrainSelectedInstOperands,
     /*  236709 */     // GIR_Coverage, 9194,
     /*  236709 */     GIR_EraseRootFromParent_Done,
     /*  236710 */   // Label 4607: @236710
     /*  236710 */   GIM_Try, /*On fail goto*//*Label 4608*/ GIMT_Encode4(236784), // Rule ID 9195 //
     /*  236715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  236726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  236729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  236743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236755 */     // MIs[1] Operand 1
     /*  236755 */     // No operand predicates
     /*  236755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2),
     /*  236767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236782 */     GIR_RootConstrainSelectedInstOperands,
     /*  236783 */     // GIR_Coverage, 9195,
     /*  236783 */     GIR_EraseRootFromParent_Done,
     /*  236784 */   // Label 4608: @236784
     /*  236784 */   GIM_Try, /*On fail goto*//*Label 4609*/ GIMT_Encode4(236858), // Rule ID 9198 //
     /*  236789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236829 */     // MIs[1] Operand 1
     /*  236829 */     // No operand predicates
     /*  236829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236838 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236856 */     GIR_RootConstrainSelectedInstOperands,
     /*  236857 */     // GIR_Coverage, 9198,
     /*  236857 */     GIR_EraseRootFromParent_Done,
     /*  236858 */   // Label 4609: @236858
     /*  236858 */   GIM_Try, /*On fail goto*//*Label 4610*/ GIMT_Encode4(236932), // Rule ID 9199 //
     /*  236863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  236866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  236874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  236877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  236880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  236883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  236891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236903 */     // MIs[1] Operand 1
     /*  236903 */     // No operand predicates
     /*  236903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236912 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  236912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4),
     /*  236915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  236927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  236930 */     GIR_RootConstrainSelectedInstOperands,
     /*  236931 */     // GIR_Coverage, 9199,
     /*  236931 */     GIR_EraseRootFromParent_Done,
     /*  236932 */   // Label 4610: @236932
     /*  236932 */   GIM_Try, /*On fail goto*//*Label 4611*/ GIMT_Encode4(237006), // Rule ID 9202 //
     /*  236937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  236940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  236945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  236948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  236951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  236954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  236957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  236961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  236965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  236969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  236973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  236977 */     // MIs[1] Operand 1
     /*  236977 */     // No operand predicates
     /*  236977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  236979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  236986 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  236986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  236989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  236991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  236993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  236996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237004 */     GIR_RootConstrainSelectedInstOperands,
     /*  237005 */     // GIR_Coverage, 9202,
     /*  237005 */     GIR_EraseRootFromParent_Done,
     /*  237006 */   // Label 4611: @237006
     /*  237006 */   GIM_Try, /*On fail goto*//*Label 4612*/ GIMT_Encode4(237080), // Rule ID 9203 //
     /*  237011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  237014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  237019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  237025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  237039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237051 */     // MIs[1] Operand 1
     /*  237051 */     // No operand predicates
     /*  237051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  237060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8),
     /*  237063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  237078 */     GIR_RootConstrainSelectedInstOperands,
     /*  237079 */     // GIR_Coverage, 9203,
     /*  237079 */     GIR_EraseRootFromParent_Done,
     /*  237080 */   // Label 4612: @237080
     /*  237080 */   GIM_Try, /*On fail goto*//*Label 4613*/ GIMT_Encode4(237154), // Rule ID 9294 //
     /*  237085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237125 */     // MIs[1] Operand 1
     /*  237125 */     // No operand predicates
     /*  237125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237134 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  237137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237152 */     GIR_RootConstrainSelectedInstOperands,
     /*  237153 */     // GIR_Coverage, 9294,
     /*  237153 */     GIR_EraseRootFromParent_Done,
     /*  237154 */   // Label 4613: @237154
     /*  237154 */   GIM_Try, /*On fail goto*//*Label 4614*/ GIMT_Encode4(237228), // Rule ID 9295 //
     /*  237159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  237173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237199 */     // MIs[1] Operand 1
     /*  237199 */     // No operand predicates
     /*  237199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237208 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8),
     /*  237211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237226 */     GIR_RootConstrainSelectedInstOperands,
     /*  237227 */     // GIR_Coverage, 9295,
     /*  237227 */     GIR_EraseRootFromParent_Done,
     /*  237228 */   // Label 4614: @237228
     /*  237228 */   GIM_Try, /*On fail goto*//*Label 4615*/ GIMT_Encode4(237302), // Rule ID 9298 //
     /*  237233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  237247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237273 */     // MIs[1] Operand 1
     /*  237273 */     // No operand predicates
     /*  237273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237282 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  237285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237300 */     GIR_RootConstrainSelectedInstOperands,
     /*  237301 */     // GIR_Coverage, 9298,
     /*  237301 */     GIR_EraseRootFromParent_Done,
     /*  237302 */   // Label 4615: @237302
     /*  237302 */   GIM_Try, /*On fail goto*//*Label 4616*/ GIMT_Encode4(237376), // Rule ID 9299 //
     /*  237307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  237321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237347 */     // MIs[1] Operand 1
     /*  237347 */     // No operand predicates
     /*  237347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  237359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237374 */     GIR_RootConstrainSelectedInstOperands,
     /*  237375 */     // GIR_Coverage, 9299,
     /*  237375 */     GIR_EraseRootFromParent_Done,
     /*  237376 */   // Label 4616: @237376
     /*  237376 */   GIM_Try, /*On fail goto*//*Label 4617*/ GIMT_Encode4(237450), // Rule ID 9302 //
     /*  237381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  237395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237421 */     // MIs[1] Operand 1
     /*  237421 */     // No operand predicates
     /*  237421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237430 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  237430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237448 */     GIR_RootConstrainSelectedInstOperands,
     /*  237449 */     // GIR_Coverage, 9302,
     /*  237449 */     GIR_EraseRootFromParent_Done,
     /*  237450 */   // Label 4617: @237450
     /*  237450 */   GIM_Try, /*On fail goto*//*Label 4618*/ GIMT_Encode4(237524), // Rule ID 9303 //
     /*  237455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  237466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  237469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237495 */     // MIs[1] Operand 1
     /*  237495 */     // No operand predicates
     /*  237495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  237504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  237522 */     GIR_RootConstrainSelectedInstOperands,
     /*  237523 */     // GIR_Coverage, 9303,
     /*  237523 */     GIR_EraseRootFromParent_Done,
     /*  237524 */   // Label 4618: @237524
     /*  237524 */   GIM_Try, /*On fail goto*//*Label 4619*/ GIMT_Encode4(237598), // Rule ID 9306 //
     /*  237529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237569 */     // MIs[1] Operand 1
     /*  237569 */     // No operand predicates
     /*  237569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237578 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  237581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237596 */     GIR_RootConstrainSelectedInstOperands,
     /*  237597 */     // GIR_Coverage, 9306,
     /*  237597 */     GIR_EraseRootFromParent_Done,
     /*  237598 */   // Label 4619: @237598
     /*  237598 */   GIM_Try, /*On fail goto*//*Label 4620*/ GIMT_Encode4(237672), // Rule ID 9307 //
     /*  237603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  237617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237643 */     // MIs[1] Operand 1
     /*  237643 */     // No operand predicates
     /*  237643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237652 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4),
     /*  237655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237670 */     GIR_RootConstrainSelectedInstOperands,
     /*  237671 */     // GIR_Coverage, 9307,
     /*  237671 */     GIR_EraseRootFromParent_Done,
     /*  237672 */   // Label 4620: @237672
     /*  237672 */   GIM_Try, /*On fail goto*//*Label 4621*/ GIMT_Encode4(237746), // Rule ID 9310 //
     /*  237677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237717 */     // MIs[1] Operand 1
     /*  237717 */     // No operand predicates
     /*  237717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  237726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237744 */     GIR_RootConstrainSelectedInstOperands,
     /*  237745 */     // GIR_Coverage, 9310,
     /*  237745 */     GIR_EraseRootFromParent_Done,
     /*  237746 */   // Label 4621: @237746
     /*  237746 */   GIM_Try, /*On fail goto*//*Label 4622*/ GIMT_Encode4(237820), // Rule ID 9311 //
     /*  237751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  237762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  237765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237791 */     // MIs[1] Operand 1
     /*  237791 */     // No operand predicates
     /*  237791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237800 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  237800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  237818 */     GIR_RootConstrainSelectedInstOperands,
     /*  237819 */     // GIR_Coverage, 9311,
     /*  237819 */     GIR_EraseRootFromParent_Done,
     /*  237820 */   // Label 4622: @237820
     /*  237820 */   GIM_Try, /*On fail goto*//*Label 4623*/ GIMT_Encode4(237894), // Rule ID 9314 //
     /*  237825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  237839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237865 */     // MIs[1] Operand 1
     /*  237865 */     // No operand predicates
     /*  237865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  237874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237892 */     GIR_RootConstrainSelectedInstOperands,
     /*  237893 */     // GIR_Coverage, 9314,
     /*  237893 */     GIR_EraseRootFromParent_Done,
     /*  237894 */   // Label 4623: @237894
     /*  237894 */   GIM_Try, /*On fail goto*//*Label 4624*/ GIMT_Encode4(237968), // Rule ID 9315 //
     /*  237899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  237902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  237910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  237913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  237916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  237919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  237931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  237935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  237939 */     // MIs[1] Operand 1
     /*  237939 */     // No operand predicates
     /*  237939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  237941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  237948 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  237948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2),
     /*  237951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  237953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  237955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  237958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  237963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  237966 */     GIR_RootConstrainSelectedInstOperands,
     /*  237967 */     // GIR_Coverage, 9315,
     /*  237967 */     GIR_EraseRootFromParent_Done,
     /*  237968 */   // Label 4624: @237968
     /*  237968 */   GIM_Try, /*On fail goto*//*Label 4625*/ GIMT_Encode4(238042), // Rule ID 9318 //
     /*  237973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  237976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  237981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  237984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  237987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  237990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  237993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  237997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238001 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238005 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238009 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238013 */     // MIs[1] Operand 1
     /*  238013 */     // No operand predicates
     /*  238013 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238022 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238040 */     GIR_RootConstrainSelectedInstOperands,
     /*  238041 */     // GIR_Coverage, 9318,
     /*  238041 */     GIR_EraseRootFromParent_Done,
     /*  238042 */   // Label 4625: @238042
     /*  238042 */   GIM_Try, /*On fail goto*//*Label 4626*/ GIMT_Encode4(238116), // Rule ID 9319 //
     /*  238047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  238058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  238061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238087 */     // MIs[1] Operand 1
     /*  238087 */     // No operand predicates
     /*  238087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238096 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238114 */     GIR_RootConstrainSelectedInstOperands,
     /*  238115 */     // GIR_Coverage, 9319,
     /*  238115 */     GIR_EraseRootFromParent_Done,
     /*  238116 */   // Label 4626: @238116
     /*  238116 */   GIM_Try, /*On fail goto*//*Label 4627*/ GIMT_Encode4(238190), // Rule ID 9322 //
     /*  238121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  238135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238161 */     // MIs[1] Operand 1
     /*  238161 */     // No operand predicates
     /*  238161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238170 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  238170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238188 */     GIR_RootConstrainSelectedInstOperands,
     /*  238189 */     // GIR_Coverage, 9322,
     /*  238189 */     GIR_EraseRootFromParent_Done,
     /*  238190 */   // Label 4627: @238190
     /*  238190 */   GIM_Try, /*On fail goto*//*Label 4628*/ GIMT_Encode4(238264), // Rule ID 9323 //
     /*  238195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  238206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  238209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238235 */     // MIs[1] Operand 1
     /*  238235 */     // No operand predicates
     /*  238235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  238244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  238262 */     GIR_RootConstrainSelectedInstOperands,
     /*  238263 */     // GIR_Coverage, 9323,
     /*  238263 */     GIR_EraseRootFromParent_Done,
     /*  238264 */   // Label 4628: @238264
     /*  238264 */   GIM_Try, /*On fail goto*//*Label 4629*/ GIMT_Encode4(238338), // Rule ID 9326 //
     /*  238269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  238283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238309 */     // MIs[1] Operand 1
     /*  238309 */     // No operand predicates
     /*  238309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238318 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  238318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238336 */     GIR_RootConstrainSelectedInstOperands,
     /*  238337 */     // GIR_Coverage, 9326,
     /*  238337 */     GIR_EraseRootFromParent_Done,
     /*  238338 */   // Label 4629: @238338
     /*  238338 */   GIM_Try, /*On fail goto*//*Label 4630*/ GIMT_Encode4(238412), // Rule ID 9327 //
     /*  238343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  238354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  238357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238383 */     // MIs[1] Operand 1
     /*  238383 */     // No operand predicates
     /*  238383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238392 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  238392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  238410 */     GIR_RootConstrainSelectedInstOperands,
     /*  238411 */     // GIR_Coverage, 9327,
     /*  238411 */     GIR_EraseRootFromParent_Done,
     /*  238412 */   // Label 4630: @238412
     /*  238412 */   GIM_Try, /*On fail goto*//*Label 4631*/ GIMT_Encode4(238486), // Rule ID 9330 //
     /*  238417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  238420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238457 */     // MIs[1] Operand 1
     /*  238457 */     // No operand predicates
     /*  238457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  238466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238484 */     GIR_RootConstrainSelectedInstOperands,
     /*  238485 */     // GIR_Coverage, 9330,
     /*  238485 */     GIR_EraseRootFromParent_Done,
     /*  238486 */   // Label 4631: @238486
     /*  238486 */   GIM_Try, /*On fail goto*//*Label 4632*/ GIMT_Encode4(238560), // Rule ID 9331 //
     /*  238491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  238494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  238502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  238505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238531 */     // MIs[1] Operand 1
     /*  238531 */     // No operand predicates
     /*  238531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  238540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1),
     /*  238543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  238558 */     GIR_RootConstrainSelectedInstOperands,
     /*  238559 */     // GIR_Coverage, 9331,
     /*  238559 */     GIR_EraseRootFromParent_Done,
     /*  238560 */   // Label 4632: @238560
     /*  238560 */   GIM_Try, /*On fail goto*//*Label 4633*/ GIMT_Encode4(238634), // Rule ID 9334 //
     /*  238565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  238579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238605 */     // MIs[1] Operand 1
     /*  238605 */     // No operand predicates
     /*  238605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238614 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238632 */     GIR_RootConstrainSelectedInstOperands,
     /*  238633 */     // GIR_Coverage, 9334,
     /*  238633 */     GIR_EraseRootFromParent_Done,
     /*  238634 */   // Label 4633: @238634
     /*  238634 */   GIM_Try, /*On fail goto*//*Label 4634*/ GIMT_Encode4(238708), // Rule ID 9335 //
     /*  238639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  238650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  238653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  238667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238679 */     // MIs[1] Operand 1
     /*  238679 */     // No operand predicates
     /*  238679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  238691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238706 */     GIR_RootConstrainSelectedInstOperands,
     /*  238707 */     // GIR_Coverage, 9335,
     /*  238707 */     GIR_EraseRootFromParent_Done,
     /*  238708 */   // Label 4634: @238708
     /*  238708 */   GIM_Try, /*On fail goto*//*Label 4635*/ GIMT_Encode4(238782), // Rule ID 9338 //
     /*  238713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  238727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238753 */     // MIs[1] Operand 1
     /*  238753 */     // No operand predicates
     /*  238753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238762 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238780 */     GIR_RootConstrainSelectedInstOperands,
     /*  238781 */     // GIR_Coverage, 9338,
     /*  238781 */     GIR_EraseRootFromParent_Done,
     /*  238782 */   // Label 4635: @238782
     /*  238782 */   GIM_Try, /*On fail goto*//*Label 4636*/ GIMT_Encode4(238856), // Rule ID 9339 //
     /*  238787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  238798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  238801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  238815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238827 */     // MIs[1] Operand 1
     /*  238827 */     // No operand predicates
     /*  238827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238836 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  238839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238854 */     GIR_RootConstrainSelectedInstOperands,
     /*  238855 */     // GIR_Coverage, 9339,
     /*  238855 */     GIR_EraseRootFromParent_Done,
     /*  238856 */   // Label 4636: @238856
     /*  238856 */   GIM_Try, /*On fail goto*//*Label 4637*/ GIMT_Encode4(238930), // Rule ID 9342 //
     /*  238861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  238864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  238872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  238875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  238878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  238881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238901 */     // MIs[1] Operand 1
     /*  238901 */     // No operand predicates
     /*  238901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238910 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  238910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  238928 */     GIR_RootConstrainSelectedInstOperands,
     /*  238929 */     // GIR_Coverage, 9342,
     /*  238929 */     GIR_EraseRootFromParent_Done,
     /*  238930 */   // Label 4637: @238930
     /*  238930 */   GIM_Try, /*On fail goto*//*Label 4638*/ GIMT_Encode4(239004), // Rule ID 9343 //
     /*  238935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  238938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  238943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  238946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  238949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  238952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  238955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  238959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  238963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  238967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  238971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  238975 */     // MIs[1] Operand 1
     /*  238975 */     // No operand predicates
     /*  238975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  238977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  238984 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  238984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  238987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  238989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  238991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  238994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  238999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  239002 */     GIR_RootConstrainSelectedInstOperands,
     /*  239003 */     // GIR_Coverage, 9343,
     /*  239003 */     GIR_EraseRootFromParent_Done,
     /*  239004 */   // Label 4638: @239004
     /*  239004 */   GIM_Try, /*On fail goto*//*Label 4639*/ GIMT_Encode4(239078), // Rule ID 9346 //
     /*  239009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  239023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239049 */     // MIs[1] Operand 1
     /*  239049 */     // No operand predicates
     /*  239049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  239058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239076 */     GIR_RootConstrainSelectedInstOperands,
     /*  239077 */     // GIR_Coverage, 9346,
     /*  239077 */     GIR_EraseRootFromParent_Done,
     /*  239078 */   // Label 4639: @239078
     /*  239078 */   GIM_Try, /*On fail goto*//*Label 4640*/ GIMT_Encode4(239152), // Rule ID 9347 //
     /*  239083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  239097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239123 */     // MIs[1] Operand 1
     /*  239123 */     // No operand predicates
     /*  239123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239132 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  239132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239150 */     GIR_RootConstrainSelectedInstOperands,
     /*  239151 */     // GIR_Coverage, 9347,
     /*  239151 */     GIR_EraseRootFromParent_Done,
     /*  239152 */   // Label 4640: @239152
     /*  239152 */   GIM_Try, /*On fail goto*//*Label 4641*/ GIMT_Encode4(239226), // Rule ID 9350 //
     /*  239157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  239171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239197 */     // MIs[1] Operand 1
     /*  239197 */     // No operand predicates
     /*  239197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239206 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  239206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239224 */     GIR_RootConstrainSelectedInstOperands,
     /*  239225 */     // GIR_Coverage, 9350,
     /*  239225 */     GIR_EraseRootFromParent_Done,
     /*  239226 */   // Label 4641: @239226
     /*  239226 */   GIM_Try, /*On fail goto*//*Label 4642*/ GIMT_Encode4(239300), // Rule ID 9351 //
     /*  239231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  239245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239271 */     // MIs[1] Operand 1
     /*  239271 */     // No operand predicates
     /*  239271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239280 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  239280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239298 */     GIR_RootConstrainSelectedInstOperands,
     /*  239299 */     // GIR_Coverage, 9351,
     /*  239299 */     GIR_EraseRootFromParent_Done,
     /*  239300 */   // Label 4642: @239300
     /*  239300 */   GIM_Try, /*On fail goto*//*Label 4643*/ GIMT_Encode4(239374), // Rule ID 9354 //
     /*  239305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  239316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  239319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239345 */     // MIs[1] Operand 1
     /*  239345 */     // No operand predicates
     /*  239345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239354 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  239354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239372 */     GIR_RootConstrainSelectedInstOperands,
     /*  239373 */     // GIR_Coverage, 9354,
     /*  239373 */     GIR_EraseRootFromParent_Done,
     /*  239374 */   // Label 4643: @239374
     /*  239374 */   GIM_Try, /*On fail goto*//*Label 4644*/ GIMT_Encode4(239448), // Rule ID 9355 //
     /*  239379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  239390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  239393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239419 */     // MIs[1] Operand 1
     /*  239419 */     // No operand predicates
     /*  239419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239428 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  239428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  239446 */     GIR_RootConstrainSelectedInstOperands,
     /*  239447 */     // GIR_Coverage, 9355,
     /*  239447 */     GIR_EraseRootFromParent_Done,
     /*  239448 */   // Label 4644: @239448
     /*  239448 */   GIM_Try, /*On fail goto*//*Label 4645*/ GIMT_Encode4(239522), // Rule ID 9358 //
     /*  239453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  239467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239493 */     // MIs[1] Operand 1
     /*  239493 */     // No operand predicates
     /*  239493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239502 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239520 */     GIR_RootConstrainSelectedInstOperands,
     /*  239521 */     // GIR_Coverage, 9358,
     /*  239521 */     GIR_EraseRootFromParent_Done,
     /*  239522 */   // Label 4645: @239522
     /*  239522 */   GIM_Try, /*On fail goto*//*Label 4646*/ GIMT_Encode4(239596), // Rule ID 9359 //
     /*  239527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  239538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  239541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239567 */     // MIs[1] Operand 1
     /*  239567 */     // No operand predicates
     /*  239567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239576 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239594 */     GIR_RootConstrainSelectedInstOperands,
     /*  239595 */     // GIR_Coverage, 9359,
     /*  239595 */     GIR_EraseRootFromParent_Done,
     /*  239596 */   // Label 4646: @239596
     /*  239596 */   GIM_Try, /*On fail goto*//*Label 4647*/ GIMT_Encode4(239670), // Rule ID 9362 //
     /*  239601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239641 */     // MIs[1] Operand 1
     /*  239641 */     // No operand predicates
     /*  239641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239650 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239668 */     GIR_RootConstrainSelectedInstOperands,
     /*  239669 */     // GIR_Coverage, 9362,
     /*  239669 */     GIR_EraseRootFromParent_Done,
     /*  239670 */   // Label 4647: @239670
     /*  239670 */   GIM_Try, /*On fail goto*//*Label 4648*/ GIMT_Encode4(239744), // Rule ID 9363 //
     /*  239675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  239686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  239689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  239703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239715 */     // MIs[1] Operand 1
     /*  239715 */     // No operand predicates
     /*  239715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  239727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239742 */     GIR_RootConstrainSelectedInstOperands,
     /*  239743 */     // GIR_Coverage, 9363,
     /*  239743 */     GIR_EraseRootFromParent_Done,
     /*  239744 */   // Label 4648: @239744
     /*  239744 */   GIM_Try, /*On fail goto*//*Label 4649*/ GIMT_Encode4(239818), // Rule ID 9366 //
     /*  239749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  239752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239789 */     // MIs[1] Operand 1
     /*  239789 */     // No operand predicates
     /*  239789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239798 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  239798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239805 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239816 */     GIR_RootConstrainSelectedInstOperands,
     /*  239817 */     // GIR_Coverage, 9366,
     /*  239817 */     GIR_EraseRootFromParent_Done,
     /*  239818 */   // Label 4649: @239818
     /*  239818 */   GIM_Try, /*On fail goto*//*Label 4650*/ GIMT_Encode4(239892), // Rule ID 9367 //
     /*  239823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  239826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  239834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  239837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  239851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239859 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239863 */     // MIs[1] Operand 1
     /*  239863 */     // No operand predicates
     /*  239863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239872 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  239872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  239875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  239890 */     GIR_RootConstrainSelectedInstOperands,
     /*  239891 */     // GIR_Coverage, 9367,
     /*  239891 */     GIR_EraseRootFromParent_Done,
     /*  239892 */   // Label 4650: @239892
     /*  239892 */   GIM_Try, /*On fail goto*//*Label 4651*/ GIMT_Encode4(239966), // Rule ID 9370 //
     /*  239897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  239900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  239914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  239917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  239929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  239933 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  239937 */     // MIs[1] Operand 1
     /*  239937 */     // No operand predicates
     /*  239937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  239939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  239946 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  239946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  239949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  239951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  239953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  239956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  239961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  239964 */     GIR_RootConstrainSelectedInstOperands,
     /*  239965 */     // GIR_Coverage, 9370,
     /*  239965 */     GIR_EraseRootFromParent_Done,
     /*  239966 */   // Label 4651: @239966
     /*  239966 */   GIM_Try, /*On fail goto*//*Label 4652*/ GIMT_Encode4(240040), // Rule ID 9371 //
     /*  239971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  239974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  239979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  239982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  239985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  239988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  239991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  239995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  239999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240011 */     // MIs[1] Operand 1
     /*  240011 */     // No operand predicates
     /*  240011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  240020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2),
     /*  240023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240038 */     GIR_RootConstrainSelectedInstOperands,
     /*  240039 */     // GIR_Coverage, 9371,
     /*  240039 */     GIR_EraseRootFromParent_Done,
     /*  240040 */   // Label 4652: @240040
     /*  240040 */   GIM_Try, /*On fail goto*//*Label 4653*/ GIMT_Encode4(240114), // Rule ID 9374 //
     /*  240045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  240048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  240053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  240059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240085 */     // MIs[1] Operand 1
     /*  240085 */     // No operand predicates
     /*  240085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240094 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  240094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  240097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240112 */     GIR_RootConstrainSelectedInstOperands,
     /*  240113 */     // GIR_Coverage, 9374,
     /*  240113 */     GIR_EraseRootFromParent_Done,
     /*  240114 */   // Label 4653: @240114
     /*  240114 */   GIM_Try, /*On fail goto*//*Label 4654*/ GIMT_Encode4(240188), // Rule ID 9375 //
     /*  240119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  240122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  240127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  240133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  240147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240159 */     // MIs[1] Operand 1
     /*  240159 */     // No operand predicates
     /*  240159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  240168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4),
     /*  240171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240186 */     GIR_RootConstrainSelectedInstOperands,
     /*  240187 */     // GIR_Coverage, 9375,
     /*  240187 */     GIR_EraseRootFromParent_Done,
     /*  240188 */   // Label 4654: @240188
     /*  240188 */   GIM_Try, /*On fail goto*//*Label 4655*/ GIMT_Encode4(240262), // Rule ID 9378 //
     /*  240193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  240196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  240201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  240207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240233 */     // MIs[1] Operand 1
     /*  240233 */     // No operand predicates
     /*  240233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  240242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  240245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240260 */     GIR_RootConstrainSelectedInstOperands,
     /*  240261 */     // GIR_Coverage, 9378,
     /*  240261 */     GIR_EraseRootFromParent_Done,
     /*  240262 */   // Label 4655: @240262
     /*  240262 */   GIM_Try, /*On fail goto*//*Label 4656*/ GIMT_Encode4(240336), // Rule ID 9379 //
     /*  240267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  240270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  240275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  240278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  240281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  240295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240307 */     // MIs[1] Operand 1
     /*  240307 */     // No operand predicates
     /*  240307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  240316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8),
     /*  240319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  240334 */     GIR_RootConstrainSelectedInstOperands,
     /*  240335 */     // GIR_Coverage, 9379,
     /*  240335 */     GIR_EraseRootFromParent_Done,
     /*  240336 */   // Label 4656: @240336
     /*  240336 */   GIM_Try, /*On fail goto*//*Label 4657*/ GIMT_Encode4(240410), // Rule ID 9470 //
     /*  240341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  240355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240381 */     // MIs[1] Operand 1
     /*  240381 */     // No operand predicates
     /*  240381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240390 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  240393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240408 */     GIR_RootConstrainSelectedInstOperands,
     /*  240409 */     // GIR_Coverage, 9470,
     /*  240409 */     GIR_EraseRootFromParent_Done,
     /*  240410 */   // Label 4657: @240410
     /*  240410 */   GIM_Try, /*On fail goto*//*Label 4658*/ GIMT_Encode4(240484), // Rule ID 9471 //
     /*  240415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  240429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240455 */     // MIs[1] Operand 1
     /*  240455 */     // No operand predicates
     /*  240455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240464 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8),
     /*  240467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240482 */     GIR_RootConstrainSelectedInstOperands,
     /*  240483 */     // GIR_Coverage, 9471,
     /*  240483 */     GIR_EraseRootFromParent_Done,
     /*  240484 */   // Label 4658: @240484
     /*  240484 */   GIM_Try, /*On fail goto*//*Label 4659*/ GIMT_Encode4(240558), // Rule ID 9474 //
     /*  240489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  240503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240529 */     // MIs[1] Operand 1
     /*  240529 */     // No operand predicates
     /*  240529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240538 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240556 */     GIR_RootConstrainSelectedInstOperands,
     /*  240557 */     // GIR_Coverage, 9474,
     /*  240557 */     GIR_EraseRootFromParent_Done,
     /*  240558 */   // Label 4659: @240558
     /*  240558 */   GIM_Try, /*On fail goto*//*Label 4660*/ GIMT_Encode4(240632), // Rule ID 9475 //
     /*  240563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  240577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240603 */     // MIs[1] Operand 1
     /*  240603 */     // No operand predicates
     /*  240603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240630 */     GIR_RootConstrainSelectedInstOperands,
     /*  240631 */     // GIR_Coverage, 9475,
     /*  240631 */     GIR_EraseRootFromParent_Done,
     /*  240632 */   // Label 4660: @240632
     /*  240632 */   GIM_Try, /*On fail goto*//*Label 4661*/ GIMT_Encode4(240706), // Rule ID 9478 //
     /*  240637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  240651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240677 */     // MIs[1] Operand 1
     /*  240677 */     // No operand predicates
     /*  240677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240686 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  240686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240704 */     GIR_RootConstrainSelectedInstOperands,
     /*  240705 */     // GIR_Coverage, 9478,
     /*  240705 */     GIR_EraseRootFromParent_Done,
     /*  240706 */   // Label 4661: @240706
     /*  240706 */   GIM_Try, /*On fail goto*//*Label 4662*/ GIMT_Encode4(240780), // Rule ID 9479 //
     /*  240711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  240722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  240725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240751 */     // MIs[1] Operand 1
     /*  240751 */     // No operand predicates
     /*  240751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240760 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  240760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  240778 */     GIR_RootConstrainSelectedInstOperands,
     /*  240779 */     // GIR_Coverage, 9479,
     /*  240779 */     GIR_EraseRootFromParent_Done,
     /*  240780 */   // Label 4662: @240780
     /*  240780 */   GIM_Try, /*On fail goto*//*Label 4663*/ GIMT_Encode4(240854), // Rule ID 9482 //
     /*  240785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  240799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240825 */     // MIs[1] Operand 1
     /*  240825 */     // No operand predicates
     /*  240825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240834 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240852 */     GIR_RootConstrainSelectedInstOperands,
     /*  240853 */     // GIR_Coverage, 9482,
     /*  240853 */     GIR_EraseRootFromParent_Done,
     /*  240854 */   // Label 4663: @240854
     /*  240854 */   GIM_Try, /*On fail goto*//*Label 4664*/ GIMT_Encode4(240928), // Rule ID 9483 //
     /*  240859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  240862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  240870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  240873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  240876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  240879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240899 */     // MIs[1] Operand 1
     /*  240899 */     // No operand predicates
     /*  240899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240908 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  240908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4),
     /*  240911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  240926 */     GIR_RootConstrainSelectedInstOperands,
     /*  240927 */     // GIR_Coverage, 9483,
     /*  240927 */     GIR_EraseRootFromParent_Done,
     /*  240928 */   // Label 4664: @240928
     /*  240928 */   GIM_Try, /*On fail goto*//*Label 4665*/ GIMT_Encode4(241002), // Rule ID 9486 //
     /*  240933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  240936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  240941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  240944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  240947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  240950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  240953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  240961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  240965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  240969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  240973 */     // MIs[1] Operand 1
     /*  240973 */     // No operand predicates
     /*  240973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  240975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  240982 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  240982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  240985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  240987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  240989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  240992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  240997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241000 */     GIR_RootConstrainSelectedInstOperands,
     /*  241001 */     // GIR_Coverage, 9486,
     /*  241001 */     GIR_EraseRootFromParent_Done,
     /*  241002 */   // Label 4665: @241002
     /*  241002 */   GIM_Try, /*On fail goto*//*Label 4666*/ GIMT_Encode4(241076), // Rule ID 9487 //
     /*  241007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  241021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241047 */     // MIs[1] Operand 1
     /*  241047 */     // No operand predicates
     /*  241047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241056 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  241059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241063 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241074 */     GIR_RootConstrainSelectedInstOperands,
     /*  241075 */     // GIR_Coverage, 9487,
     /*  241075 */     GIR_EraseRootFromParent_Done,
     /*  241076 */   // Label 4666: @241076
     /*  241076 */   GIM_Try, /*On fail goto*//*Label 4667*/ GIMT_Encode4(241150), // Rule ID 9490 //
     /*  241081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241117 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241121 */     // MIs[1] Operand 1
     /*  241121 */     // No operand predicates
     /*  241121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241130 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  241133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241148 */     GIR_RootConstrainSelectedInstOperands,
     /*  241149 */     // GIR_Coverage, 9490,
     /*  241149 */     GIR_EraseRootFromParent_Done,
     /*  241150 */   // Label 4667: @241150
     /*  241150 */   GIM_Try, /*On fail goto*//*Label 4668*/ GIMT_Encode4(241224), // Rule ID 9491 //
     /*  241155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  241169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241195 */     // MIs[1] Operand 1
     /*  241195 */     // No operand predicates
     /*  241195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2),
     /*  241207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241222 */     GIR_RootConstrainSelectedInstOperands,
     /*  241223 */     // GIR_Coverage, 9491,
     /*  241223 */     GIR_EraseRootFromParent_Done,
     /*  241224 */   // Label 4668: @241224
     /*  241224 */   GIM_Try, /*On fail goto*//*Label 4669*/ GIMT_Encode4(241298), // Rule ID 9494 //
     /*  241229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  241243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241269 */     // MIs[1] Operand 1
     /*  241269 */     // No operand predicates
     /*  241269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241296 */     GIR_RootConstrainSelectedInstOperands,
     /*  241297 */     // GIR_Coverage, 9494,
     /*  241297 */     GIR_EraseRootFromParent_Done,
     /*  241298 */   // Label 4669: @241298
     /*  241298 */   GIM_Try, /*On fail goto*//*Label 4670*/ GIMT_Encode4(241372), // Rule ID 9495 //
     /*  241303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  241314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  241317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241343 */     // MIs[1] Operand 1
     /*  241343 */     // No operand predicates
     /*  241343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241370 */     GIR_RootConstrainSelectedInstOperands,
     /*  241371 */     // GIR_Coverage, 9495,
     /*  241371 */     GIR_EraseRootFromParent_Done,
     /*  241372 */   // Label 4670: @241372
     /*  241372 */   GIM_Try, /*On fail goto*//*Label 4671*/ GIMT_Encode4(241446), // Rule ID 9498 //
     /*  241377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  241391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241417 */     // MIs[1] Operand 1
     /*  241417 */     // No operand predicates
     /*  241417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241426 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  241426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241444 */     GIR_RootConstrainSelectedInstOperands,
     /*  241445 */     // GIR_Coverage, 9498,
     /*  241445 */     GIR_EraseRootFromParent_Done,
     /*  241446 */   // Label 4671: @241446
     /*  241446 */   GIM_Try, /*On fail goto*//*Label 4672*/ GIMT_Encode4(241520), // Rule ID 9499 //
     /*  241451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  241462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  241465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241491 */     // MIs[1] Operand 1
     /*  241491 */     // No operand predicates
     /*  241491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241500 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  241500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  241518 */     GIR_RootConstrainSelectedInstOperands,
     /*  241519 */     // GIR_Coverage, 9499,
     /*  241519 */     GIR_EraseRootFromParent_Done,
     /*  241520 */   // Label 4672: @241520
     /*  241520 */   GIM_Try, /*On fail goto*//*Label 4673*/ GIMT_Encode4(241594), // Rule ID 9502 //
     /*  241525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241565 */     // MIs[1] Operand 1
     /*  241565 */     // No operand predicates
     /*  241565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  241574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241592 */     GIR_RootConstrainSelectedInstOperands,
     /*  241593 */     // GIR_Coverage, 9502,
     /*  241593 */     GIR_EraseRootFromParent_Done,
     /*  241594 */   // Label 4673: @241594
     /*  241594 */   GIM_Try, /*On fail goto*//*Label 4674*/ GIMT_Encode4(241668), // Rule ID 9503 //
     /*  241599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  241610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  241613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241639 */     // MIs[1] Operand 1
     /*  241639 */     // No operand predicates
     /*  241639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241648 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  241648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  241666 */     GIR_RootConstrainSelectedInstOperands,
     /*  241667 */     // GIR_Coverage, 9503,
     /*  241667 */     GIR_EraseRootFromParent_Done,
     /*  241668 */   // Label 4674: @241668
     /*  241668 */   GIM_Try, /*On fail goto*//*Label 4675*/ GIMT_Encode4(241742), // Rule ID 9506 //
     /*  241673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  241676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241713 */     // MIs[1] Operand 1
     /*  241713 */     // No operand predicates
     /*  241713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241722 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  241722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241740 */     GIR_RootConstrainSelectedInstOperands,
     /*  241741 */     // GIR_Coverage, 9506,
     /*  241741 */     GIR_EraseRootFromParent_Done,
     /*  241742 */   // Label 4675: @241742
     /*  241742 */   GIM_Try, /*On fail goto*//*Label 4676*/ GIMT_Encode4(241816), // Rule ID 9507 //
     /*  241747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  241750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  241758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  241761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241787 */     // MIs[1] Operand 1
     /*  241787 */     // No operand predicates
     /*  241787 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241796 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  241796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1),
     /*  241799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  241814 */     GIR_RootConstrainSelectedInstOperands,
     /*  241815 */     // GIR_Coverage, 9507,
     /*  241815 */     GIR_EraseRootFromParent_Done,
     /*  241816 */   // Label 4676: @241816
     /*  241816 */   GIM_Try, /*On fail goto*//*Label 4677*/ GIMT_Encode4(241890), // Rule ID 9510 //
     /*  241821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  241835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241861 */     // MIs[1] Operand 1
     /*  241861 */     // No operand predicates
     /*  241861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241870 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  241870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241888 */     GIR_RootConstrainSelectedInstOperands,
     /*  241889 */     // GIR_Coverage, 9510,
     /*  241889 */     GIR_EraseRootFromParent_Done,
     /*  241890 */   // Label 4677: @241890
     /*  241890 */   GIM_Try, /*On fail goto*//*Label 4678*/ GIMT_Encode4(241964), // Rule ID 9511 //
     /*  241895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  241898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  241906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  241909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  241912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  241915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  241923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  241927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  241931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  241935 */     // MIs[1] Operand 1
     /*  241935 */     // No operand predicates
     /*  241935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  241937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  241944 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  241944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  241947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  241949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  241951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  241954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  241959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  241962 */     GIR_RootConstrainSelectedInstOperands,
     /*  241963 */     // GIR_Coverage, 9511,
     /*  241963 */     GIR_EraseRootFromParent_Done,
     /*  241964 */   // Label 4678: @241964
     /*  241964 */   GIM_Try, /*On fail goto*//*Label 4679*/ GIMT_Encode4(242038), // Rule ID 9514 //
     /*  241969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  241972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  241977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  241980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  241983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  241986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  241989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  241993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  241997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242009 */     // MIs[1] Operand 1
     /*  242009 */     // No operand predicates
     /*  242009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242018 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  242018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242036 */     GIR_RootConstrainSelectedInstOperands,
     /*  242037 */     // GIR_Coverage, 9514,
     /*  242037 */     GIR_EraseRootFromParent_Done,
     /*  242038 */   // Label 4679: @242038
     /*  242038 */   GIM_Try, /*On fail goto*//*Label 4680*/ GIMT_Encode4(242112), // Rule ID 9515 //
     /*  242043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  242057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242083 */     // MIs[1] Operand 1
     /*  242083 */     // No operand predicates
     /*  242083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242092 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  242092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242110 */     GIR_RootConstrainSelectedInstOperands,
     /*  242111 */     // GIR_Coverage, 9515,
     /*  242111 */     GIR_EraseRootFromParent_Done,
     /*  242112 */   // Label 4680: @242112
     /*  242112 */   GIM_Try, /*On fail goto*//*Label 4681*/ GIMT_Encode4(242186), // Rule ID 9518 //
     /*  242117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  242128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  242131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242157 */     // MIs[1] Operand 1
     /*  242157 */     // No operand predicates
     /*  242157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242166 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  242166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242184 */     GIR_RootConstrainSelectedInstOperands,
     /*  242185 */     // GIR_Coverage, 9518,
     /*  242185 */     GIR_EraseRootFromParent_Done,
     /*  242186 */   // Label 4681: @242186
     /*  242186 */   GIM_Try, /*On fail goto*//*Label 4682*/ GIMT_Encode4(242260), // Rule ID 9519 //
     /*  242191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  242202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  242205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242231 */     // MIs[1] Operand 1
     /*  242231 */     // No operand predicates
     /*  242231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242240 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  242240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  242258 */     GIR_RootConstrainSelectedInstOperands,
     /*  242259 */     // GIR_Coverage, 9519,
     /*  242259 */     GIR_EraseRootFromParent_Done,
     /*  242260 */   // Label 4682: @242260
     /*  242260 */   GIM_Try, /*On fail goto*//*Label 4683*/ GIMT_Encode4(242334), // Rule ID 9522 //
     /*  242265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242305 */     // MIs[1] Operand 1
     /*  242305 */     // No operand predicates
     /*  242305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242332 */     GIR_RootConstrainSelectedInstOperands,
     /*  242333 */     // GIR_Coverage, 9522,
     /*  242333 */     GIR_EraseRootFromParent_Done,
     /*  242334 */   // Label 4683: @242334
     /*  242334 */   GIM_Try, /*On fail goto*//*Label 4684*/ GIMT_Encode4(242408), // Rule ID 9523 //
     /*  242339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  242353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242379 */     // MIs[1] Operand 1
     /*  242379 */     // No operand predicates
     /*  242379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242406 */     GIR_RootConstrainSelectedInstOperands,
     /*  242407 */     // GIR_Coverage, 9523,
     /*  242407 */     GIR_EraseRootFromParent_Done,
     /*  242408 */   // Label 4684: @242408
     /*  242408 */   GIM_Try, /*On fail goto*//*Label 4685*/ GIMT_Encode4(242482), // Rule ID 9526 //
     /*  242413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242453 */     // MIs[1] Operand 1
     /*  242453 */     // No operand predicates
     /*  242453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242462 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242480 */     GIR_RootConstrainSelectedInstOperands,
     /*  242481 */     // GIR_Coverage, 9526,
     /*  242481 */     GIR_EraseRootFromParent_Done,
     /*  242482 */   // Label 4685: @242482
     /*  242482 */   GIM_Try, /*On fail goto*//*Label 4686*/ GIMT_Encode4(242556), // Rule ID 9527 //
     /*  242487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  242498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  242501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242527 */     // MIs[1] Operand 1
     /*  242527 */     // No operand predicates
     /*  242527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242536 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242554 */     GIR_RootConstrainSelectedInstOperands,
     /*  242555 */     // GIR_Coverage, 9527,
     /*  242555 */     GIR_EraseRootFromParent_Done,
     /*  242556 */   // Label 4686: @242556
     /*  242556 */   GIM_Try, /*On fail goto*//*Label 4687*/ GIMT_Encode4(242630), // Rule ID 9530 //
     /*  242561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242601 */     // MIs[1] Operand 1
     /*  242601 */     // No operand predicates
     /*  242601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242610 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  242610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242628 */     GIR_RootConstrainSelectedInstOperands,
     /*  242629 */     // GIR_Coverage, 9530,
     /*  242629 */     GIR_EraseRootFromParent_Done,
     /*  242630 */   // Label 4687: @242630
     /*  242630 */   GIM_Try, /*On fail goto*//*Label 4688*/ GIMT_Encode4(242704), // Rule ID 9531 //
     /*  242635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  242646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  242649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  242663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242675 */     // MIs[1] Operand 1
     /*  242675 */     // No operand predicates
     /*  242675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242684 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  242684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  242687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  242702 */     GIR_RootConstrainSelectedInstOperands,
     /*  242703 */     // GIR_Coverage, 9531,
     /*  242703 */     GIR_EraseRootFromParent_Done,
     /*  242704 */   // Label 4688: @242704
     /*  242704 */   GIM_Try, /*On fail goto*//*Label 4689*/ GIMT_Encode4(242778), // Rule ID 9534 //
     /*  242709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242749 */     // MIs[1] Operand 1
     /*  242749 */     // No operand predicates
     /*  242749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242776 */     GIR_RootConstrainSelectedInstOperands,
     /*  242777 */     // GIR_Coverage, 9534,
     /*  242777 */     GIR_EraseRootFromParent_Done,
     /*  242778 */   // Label 4689: @242778
     /*  242778 */   GIM_Try, /*On fail goto*//*Label 4690*/ GIMT_Encode4(242852), // Rule ID 9535 //
     /*  242783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  242794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  242797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  242811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242823 */     // MIs[1] Operand 1
     /*  242823 */     // No operand predicates
     /*  242823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242832 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  242835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242850 */     GIR_RootConstrainSelectedInstOperands,
     /*  242851 */     // GIR_Coverage, 9535,
     /*  242851 */     GIR_EraseRootFromParent_Done,
     /*  242852 */   // Label 4690: @242852
     /*  242852 */   GIM_Try, /*On fail goto*//*Label 4691*/ GIMT_Encode4(242926), // Rule ID 9538 //
     /*  242857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  242860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  242874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  242877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242897 */     // MIs[1] Operand 1
     /*  242897 */     // No operand predicates
     /*  242897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242906 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  242906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242924 */     GIR_RootConstrainSelectedInstOperands,
     /*  242925 */     // GIR_Coverage, 9538,
     /*  242925 */     GIR_EraseRootFromParent_Done,
     /*  242926 */   // Label 4691: @242926
     /*  242926 */   GIM_Try, /*On fail goto*//*Label 4692*/ GIMT_Encode4(243000), // Rule ID 9539 //
     /*  242931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  242934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  242939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  242942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  242945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  242948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  242951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  242955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  242959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  242963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  242967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  242971 */     // MIs[1] Operand 1
     /*  242971 */     // No operand predicates
     /*  242971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  242973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  242980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  242980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  242983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  242985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  242987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  242990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  242995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  242998 */     GIR_RootConstrainSelectedInstOperands,
     /*  242999 */     // GIR_Coverage, 9539,
     /*  242999 */     GIR_EraseRootFromParent_Done,
     /*  243000 */   // Label 4692: @243000
     /*  243000 */   GIM_Try, /*On fail goto*//*Label 4693*/ GIMT_Encode4(243074), // Rule ID 9542 //
     /*  243005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  243016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  243019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  243022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243045 */     // MIs[1] Operand 1
     /*  243045 */     // No operand predicates
     /*  243045 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  243054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  243057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243072 */     GIR_RootConstrainSelectedInstOperands,
     /*  243073 */     // GIR_Coverage, 9542,
     /*  243073 */     GIR_EraseRootFromParent_Done,
     /*  243074 */   // Label 4693: @243074
     /*  243074 */   GIM_Try, /*On fail goto*//*Label 4694*/ GIMT_Encode4(243148), // Rule ID 9543 //
     /*  243079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  243090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  243093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243119 */     // MIs[1] Operand 1
     /*  243119 */     // No operand predicates
     /*  243119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243128 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  243128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  243131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  243146 */     GIR_RootConstrainSelectedInstOperands,
     /*  243147 */     // GIR_Coverage, 9543,
     /*  243147 */     GIR_EraseRootFromParent_Done,
     /*  243148 */   // Label 4694: @243148
     /*  243148 */   GIM_Try, /*On fail goto*//*Label 4695*/ GIMT_Encode4(243222), // Rule ID 9546 //
     /*  243153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  243156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  243170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243193 */     // MIs[1] Operand 1
     /*  243193 */     // No operand predicates
     /*  243193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243202 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  243205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243220 */     GIR_RootConstrainSelectedInstOperands,
     /*  243221 */     // GIR_Coverage, 9546,
     /*  243221 */     GIR_EraseRootFromParent_Done,
     /*  243222 */   // Label 4695: @243222
     /*  243222 */   GIM_Try, /*On fail goto*//*Label 4696*/ GIMT_Encode4(243296), // Rule ID 9547 //
     /*  243227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  243230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  243238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  243241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  243255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243267 */     // MIs[1] Operand 1
     /*  243267 */     // No operand predicates
     /*  243267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2),
     /*  243279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243294 */     GIR_RootConstrainSelectedInstOperands,
     /*  243295 */     // GIR_Coverage, 9547,
     /*  243295 */     GIR_EraseRootFromParent_Done,
     /*  243296 */   // Label 4696: @243296
     /*  243296 */   GIM_Try, /*On fail goto*//*Label 4697*/ GIMT_Encode4(243370), // Rule ID 9550 //
     /*  243301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  243304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  243318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243341 */     // MIs[1] Operand 1
     /*  243341 */     // No operand predicates
     /*  243341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243350 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  243353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243368 */     GIR_RootConstrainSelectedInstOperands,
     /*  243369 */     // GIR_Coverage, 9550,
     /*  243369 */     GIR_EraseRootFromParent_Done,
     /*  243370 */   // Label 4697: @243370
     /*  243370 */   GIM_Try, /*On fail goto*//*Label 4698*/ GIMT_Encode4(243444), // Rule ID 9551 //
     /*  243375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  243378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  243386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  243389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  243403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243415 */     // MIs[1] Operand 1
     /*  243415 */     // No operand predicates
     /*  243415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4),
     /*  243427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243442 */     GIR_RootConstrainSelectedInstOperands,
     /*  243443 */     // GIR_Coverage, 9551,
     /*  243443 */     GIR_EraseRootFromParent_Done,
     /*  243444 */   // Label 4698: @243444
     /*  243444 */   GIM_Try, /*On fail goto*//*Label 4699*/ GIMT_Encode4(243518), // Rule ID 9554 //
     /*  243449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  243452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  243466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243489 */     // MIs[1] Operand 1
     /*  243489 */     // No operand predicates
     /*  243489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243498 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  243498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  243501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243516 */     GIR_RootConstrainSelectedInstOperands,
     /*  243517 */     // GIR_Coverage, 9554,
     /*  243517 */     GIR_EraseRootFromParent_Done,
     /*  243518 */   // Label 4699: @243518
     /*  243518 */   GIM_Try, /*On fail goto*//*Label 4700*/ GIMT_Encode4(243592), // Rule ID 9555 //
     /*  243523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  243526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  243531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  243534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  243537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  243540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  243551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  243555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  243559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  243563 */     // MIs[1] Operand 1
     /*  243563 */     // No operand predicates
     /*  243563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  243565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  243572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8),
     /*  243575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  243582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  243590 */     GIR_RootConstrainSelectedInstOperands,
     /*  243591 */     // GIR_Coverage, 9555,
     /*  243591 */     GIR_EraseRootFromParent_Done,
     /*  243592 */   // Label 4700: @243592
     /*  243592 */   GIM_Try, /*On fail goto*//*Label 4701*/ GIMT_Encode4(243648), // Rule ID 64445 //
     /*  243597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  243600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_bitrev),
     /*  243605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  243608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  243611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243619 */     // MIs[0] pts
     /*  243619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  243622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  243627 */     // MIs[0] radix
     /*  243627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  243630 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm2),
     /*  243635 */     // (intrinsic_wo_chain:{ *:[i32] } 10982:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm2>>:$radix, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$pts)
     /*  243635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /*  243638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243642 */     GIR_RootToRootCopy, /*OpIdx*/4, // radix
     /*  243644 */     GIR_RootToRootCopy, /*OpIdx*/3, // pts
     /*  243646 */     GIR_RootConstrainSelectedInstOperands,
     /*  243647 */     // GIR_Coverage, 64445,
     /*  243647 */     GIR_EraseRootFromParent_Done,
     /*  243648 */   // Label 4701: @243648
     /*  243648 */   GIM_Try, /*On fail goto*//*Label 4702*/ GIMT_Encode4(243711), // Rule ID 2684 //
     /*  243653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  243656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  243661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  243664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  243667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  243685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243692 */     // (intrinsic_wo_chain:{ *:[i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  243692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  243695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243699 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  243701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243709 */     GIR_RootConstrainSelectedInstOperands,
     /*  243710 */     // GIR_Coverage, 2684,
     /*  243710 */     GIR_EraseRootFromParent_Done,
     /*  243711 */   // Label 4702: @243711
     /*  243711 */   GIM_Try, /*On fail goto*//*Label 4703*/ GIMT_Encode4(243774), // Rule ID 2685 //
     /*  243716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  243719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  243724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  243727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  243730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  243740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  243748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243755 */     // (intrinsic_wo_chain:{ *:[i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  243755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B64_MASK),
     /*  243758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  243762 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  243764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243772 */     GIR_RootConstrainSelectedInstOperands,
     /*  243773 */     // GIR_Coverage, 2685,
     /*  243773 */     GIR_EraseRootFromParent_Done,
     /*  243774 */   // Label 4703: @243774
     /*  243774 */   GIM_Try, /*On fail goto*//*Label 4704*/ GIMT_Encode4(243840), // Rule ID 2692 //
     /*  243779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  243787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  243790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243818 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  243818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  243821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243838 */     GIR_RootConstrainSelectedInstOperands,
     /*  243839 */     // GIR_Coverage, 2692,
     /*  243839 */     GIR_EraseRootFromParent_Done,
     /*  243840 */   // Label 4704: @243840
     /*  243840 */   GIM_Try, /*On fail goto*//*Label 4705*/ GIMT_Encode4(243906), // Rule ID 2693 //
     /*  243845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  243853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  243856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  243859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  243862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  243884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8),
     /*  243887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  243901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243904 */     GIR_RootConstrainSelectedInstOperands,
     /*  243905 */     // GIR_Coverage, 2693,
     /*  243905 */     GIR_EraseRootFromParent_Done,
     /*  243906 */   // Label 4705: @243906
     /*  243906 */   GIM_Try, /*On fail goto*//*Label 4706*/ GIMT_Encode4(243972), // Rule ID 2696 //
     /*  243911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  243914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  243931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  243943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  243950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  243950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  243953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  243955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  243957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  243959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  243964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  243967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  243970 */     GIR_RootConstrainSelectedInstOperands,
     /*  243971 */     // GIR_Coverage, 2696,
     /*  243971 */     GIR_EraseRootFromParent_Done,
     /*  243972 */   // Label 4706: @243972
     /*  243972 */   GIM_Try, /*On fail goto*//*Label 4707*/ GIMT_Encode4(244038), // Rule ID 2697 //
     /*  243977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  243980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  243985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  243988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  243991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  243994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  243997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /*  244019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244036 */     GIR_RootConstrainSelectedInstOperands,
     /*  244037 */     // GIR_Coverage, 2697,
     /*  244037 */     GIR_EraseRootFromParent_Done,
     /*  244038 */   // Label 4707: @244038
     /*  244038 */   GIM_Try, /*On fail goto*//*Label 4708*/ GIMT_Encode4(244104), // Rule ID 2700 //
     /*  244043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  244046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  244051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  244054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  244057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244082 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  244085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244102 */     GIR_RootConstrainSelectedInstOperands,
     /*  244103 */     // GIR_Coverage, 2700,
     /*  244103 */     GIR_EraseRootFromParent_Done,
     /*  244104 */   // Label 4708: @244104
     /*  244104 */   GIM_Try, /*On fail goto*//*Label 4709*/ GIMT_Encode4(244170), // Rule ID 2701 //
     /*  244109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  244112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  244117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  244120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  244123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244148 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16),
     /*  244151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244168 */     GIR_RootConstrainSelectedInstOperands,
     /*  244169 */     // GIR_Coverage, 2701,
     /*  244169 */     GIR_EraseRootFromParent_Done,
     /*  244170 */   // Label 4709: @244170
     /*  244170 */   GIM_Try, /*On fail goto*//*Label 4710*/ GIMT_Encode4(244233), // Rule ID 2714 //
     /*  244175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  244183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  244189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  244214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  244217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244231 */     GIR_RootConstrainSelectedInstOperands,
     /*  244232 */     // GIR_Coverage, 2714,
     /*  244232 */     GIR_EraseRootFromParent_Done,
     /*  244233 */   // Label 4710: @244233
     /*  244233 */   GIM_Try, /*On fail goto*//*Label 4711*/ GIMT_Encode4(244296), // Rule ID 2715 //
     /*  244238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  244246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  244252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244277 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  244277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /*  244280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244294 */     GIR_RootConstrainSelectedInstOperands,
     /*  244295 */     // GIR_Coverage, 2715,
     /*  244295 */     GIR_EraseRootFromParent_Done,
     /*  244296 */   // Label 4711: @244296
     /*  244296 */   GIM_Try, /*On fail goto*//*Label 4712*/ GIMT_Encode4(244359), // Rule ID 2726 //
     /*  244301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  244309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  244315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244340 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  244340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  244343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  244347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  244349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244357 */     GIR_RootConstrainSelectedInstOperands,
     /*  244358 */     // GIR_Coverage, 2726,
     /*  244358 */     GIR_EraseRootFromParent_Done,
     /*  244359 */   // Label 4712: @244359
     /*  244359 */   GIM_Try, /*On fail goto*//*Label 4713*/ GIMT_Encode4(244422), // Rule ID 2727 //
     /*  244364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  244372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  244378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244403 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  244403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  244406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  244410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  244412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244420 */     GIR_RootConstrainSelectedInstOperands,
     /*  244421 */     // GIR_Coverage, 2727,
     /*  244421 */     GIR_EraseRootFromParent_Done,
     /*  244422 */   // Label 4713: @244422
     /*  244422 */   GIM_Try, /*On fail goto*//*Label 4714*/ GIMT_Encode4(244485), // Rule ID 2734 //
     /*  244427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  244441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  244466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  244469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244483 */     GIR_RootConstrainSelectedInstOperands,
     /*  244484 */     // GIR_Coverage, 2734,
     /*  244484 */     GIR_EraseRootFromParent_Done,
     /*  244485 */   // Label 4714: @244485
     /*  244485 */   GIM_Try, /*On fail goto*//*Label 4715*/ GIMT_Encode4(244548), // Rule ID 2735 //
     /*  244490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  244498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  244504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  244507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244529 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  244529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF8),
     /*  244532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  244546 */     GIR_RootConstrainSelectedInstOperands,
     /*  244547 */     // GIR_Coverage, 2735,
     /*  244547 */     GIR_EraseRootFromParent_Done,
     /*  244548 */   // Label 4715: @244548
     /*  244548 */   GIM_Try, /*On fail goto*//*Label 4716*/ GIMT_Encode4(244614), // Rule ID 2736 //
     /*  244553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  244556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  244564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  244567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244592 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  244595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244612 */     GIR_RootConstrainSelectedInstOperands,
     /*  244613 */     // GIR_Coverage, 2736,
     /*  244613 */     GIR_EraseRootFromParent_Done,
     /*  244614 */   // Label 4716: @244614
     /*  244614 */   GIM_Try, /*On fail goto*//*Label 4717*/ GIMT_Encode4(244680), // Rule ID 2737 //
     /*  244619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  244622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  244627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  244630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  244633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  244636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4),
     /*  244661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244678 */     GIR_RootConstrainSelectedInstOperands,
     /*  244679 */     // GIR_Coverage, 2737,
     /*  244679 */     GIR_EraseRootFromParent_Done,
     /*  244680 */   // Label 4717: @244680
     /*  244680 */   GIM_Try, /*On fail goto*//*Label 4718*/ GIMT_Encode4(244743), // Rule ID 2748 //
     /*  244685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  244693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  244699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  244702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244724 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  244724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  244727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244741 */     GIR_RootConstrainSelectedInstOperands,
     /*  244742 */     // GIR_Coverage, 2748,
     /*  244742 */     GIR_EraseRootFromParent_Done,
     /*  244743 */   // Label 4718: @244743
     /*  244743 */   GIM_Try, /*On fail goto*//*Label 4719*/ GIMT_Encode4(244806), // Rule ID 2749 //
     /*  244748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  244756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  244759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  244762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  244765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244787 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  244787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B64),
     /*  244790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  244794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244804 */     GIR_RootConstrainSelectedInstOperands,
     /*  244805 */     // GIR_Coverage, 2749,
     /*  244805 */     GIR_EraseRootFromParent_Done,
     /*  244806 */   // Label 4719: @244806
     /*  244806 */   GIM_Try, /*On fail goto*//*Label 4720*/ GIMT_Encode4(244872), // Rule ID 4896 //
     /*  244811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  244822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244850 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  244853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244870 */     GIR_RootConstrainSelectedInstOperands,
     /*  244871 */     // GIR_Coverage, 4896,
     /*  244871 */     GIR_EraseRootFromParent_Done,
     /*  244872 */   // Label 4720: @244872
     /*  244872 */   GIM_Try, /*On fail goto*//*Label 4721*/ GIMT_Encode4(244938), // Rule ID 4897 //
     /*  244877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  244880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  244888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  244891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  244894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  244897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244916 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  244916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  244919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  244936 */     GIR_RootConstrainSelectedInstOperands,
     /*  244937 */     // GIR_Coverage, 4897,
     /*  244937 */     GIR_EraseRootFromParent_Done,
     /*  244938 */   // Label 4721: @244938
     /*  244938 */   GIM_Try, /*On fail goto*//*Label 4722*/ GIMT_Encode4(245004), // Rule ID 4900 //
     /*  244943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  244946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  244951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  244954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  244957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  244960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  244963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  244975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  244982 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  244982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  244985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  244987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  244989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  244991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  244996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  244999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245002 */     GIR_RootConstrainSelectedInstOperands,
     /*  245003 */     // GIR_Coverage, 4900,
     /*  245003 */     GIR_EraseRootFromParent_Done,
     /*  245004 */   // Label 4722: @245004
     /*  245004 */   GIM_Try, /*On fail goto*//*Label 4723*/ GIMT_Encode4(245070), // Rule ID 4901 //
     /*  245009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  245020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  245023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  245026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11677:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245068 */     GIR_RootConstrainSelectedInstOperands,
     /*  245069 */     // GIR_Coverage, 4901,
     /*  245069 */     GIR_EraseRootFromParent_Done,
     /*  245070 */   // Label 4723: @245070
     /*  245070 */   GIM_Try, /*On fail goto*//*Label 4724*/ GIMT_Encode4(245136), // Rule ID 4904 //
     /*  245075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  245086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  245089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245134 */     GIR_RootConstrainSelectedInstOperands,
     /*  245135 */     // GIR_Coverage, 4904,
     /*  245135 */     GIR_EraseRootFromParent_Done,
     /*  245136 */   // Label 4724: @245136
     /*  245136 */   GIM_Try, /*On fail goto*//*Label 4725*/ GIMT_Encode4(245202), // Rule ID 4905 //
     /*  245141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  245152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  245155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  245158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245180 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245200 */     GIR_RootConstrainSelectedInstOperands,
     /*  245201 */     // GIR_Coverage, 4905,
     /*  245201 */     GIR_EraseRootFromParent_Done,
     /*  245202 */   // Label 4725: @245202
     /*  245202 */   GIM_Try, /*On fail goto*//*Label 4726*/ GIMT_Encode4(245268), // Rule ID 4908 //
     /*  245207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  245218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  245221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  245224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245246 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245266 */     GIR_RootConstrainSelectedInstOperands,
     /*  245267 */     // GIR_Coverage, 4908,
     /*  245267 */     GIR_EraseRootFromParent_Done,
     /*  245268 */   // Label 4726: @245268
     /*  245268 */   GIM_Try, /*On fail goto*//*Label 4727*/ GIMT_Encode4(245334), // Rule ID 4909 //
     /*  245273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  245284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  245287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  245290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245332 */     GIR_RootConstrainSelectedInstOperands,
     /*  245333 */     // GIR_Coverage, 4909,
     /*  245333 */     GIR_EraseRootFromParent_Done,
     /*  245334 */   // Label 4727: @245334
     /*  245334 */   GIM_Try, /*On fail goto*//*Label 4728*/ GIMT_Encode4(245400), // Rule ID 4912 //
     /*  245339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  245350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  245353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  245356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  245378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  245381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245398 */     GIR_RootConstrainSelectedInstOperands,
     /*  245399 */     // GIR_Coverage, 4912,
     /*  245399 */     GIR_EraseRootFromParent_Done,
     /*  245400 */   // Label 4728: @245400
     /*  245400 */   GIM_Try, /*On fail goto*//*Label 4729*/ GIMT_Encode4(245466), // Rule ID 4913 //
     /*  245405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  245416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  245419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  245422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  245433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245444 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  245444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  245447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  245461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245464 */     GIR_RootConstrainSelectedInstOperands,
     /*  245465 */     // GIR_Coverage, 4913,
     /*  245465 */     GIR_EraseRootFromParent_Done,
     /*  245466 */   // Label 4729: @245466
     /*  245466 */   GIM_Try, /*On fail goto*//*Label 4730*/ GIMT_Encode4(245532), // Rule ID 4916 //
     /*  245471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  245513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245530 */     GIR_RootConstrainSelectedInstOperands,
     /*  245531 */     // GIR_Coverage, 4916,
     /*  245531 */     GIR_EraseRootFromParent_Done,
     /*  245532 */   // Label 4730: @245532
     /*  245532 */   GIM_Try, /*On fail goto*//*Label 4731*/ GIMT_Encode4(245598), // Rule ID 4917 //
     /*  245537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  245548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  245551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  245554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245576 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /*  245579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245596 */     GIR_RootConstrainSelectedInstOperands,
     /*  245597 */     // GIR_Coverage, 4917,
     /*  245597 */     GIR_EraseRootFromParent_Done,
     /*  245598 */   // Label 4731: @245598
     /*  245598 */   GIM_Try, /*On fail goto*//*Label 4732*/ GIMT_Encode4(245664), // Rule ID 4920 //
     /*  245603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245662 */     GIR_RootConstrainSelectedInstOperands,
     /*  245663 */     // GIR_Coverage, 4920,
     /*  245663 */     GIR_EraseRootFromParent_Done,
     /*  245664 */   // Label 4732: @245664
     /*  245664 */   GIM_Try, /*On fail goto*//*Label 4733*/ GIMT_Encode4(245730), // Rule ID 4921 //
     /*  245669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  245680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  245683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  245686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  245711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245728 */     GIR_RootConstrainSelectedInstOperands,
     /*  245729 */     // GIR_Coverage, 4921,
     /*  245729 */     GIR_EraseRootFromParent_Done,
     /*  245730 */   // Label 4733: @245730
     /*  245730 */   GIM_Try, /*On fail goto*//*Label 4734*/ GIMT_Encode4(245796), // Rule ID 4924 //
     /*  245735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245794 */     GIR_RootConstrainSelectedInstOperands,
     /*  245795 */     // GIR_Coverage, 4924,
     /*  245795 */     GIR_EraseRootFromParent_Done,
     /*  245796 */   // Label 4734: @245796
     /*  245796 */   GIM_Try, /*On fail goto*//*Label 4735*/ GIMT_Encode4(245862), // Rule ID 4925 //
     /*  245801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  245812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  245815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  245818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  245833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  245843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245860 */     GIR_RootConstrainSelectedInstOperands,
     /*  245861 */     // GIR_Coverage, 4925,
     /*  245861 */     GIR_EraseRootFromParent_Done,
     /*  245862 */   // Label 4735: @245862
     /*  245862 */   GIM_Try, /*On fail goto*//*Label 4736*/ GIMT_Encode4(245928), // Rule ID 4928 //
     /*  245867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  245870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  245887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  245906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245926 */     GIR_RootConstrainSelectedInstOperands,
     /*  245927 */     // GIR_Coverage, 4928,
     /*  245927 */     GIR_EraseRootFromParent_Done,
     /*  245928 */   // Label 4736: @245928
     /*  245928 */   GIM_Try, /*On fail goto*//*Label 4737*/ GIMT_Encode4(245994), // Rule ID 4929 //
     /*  245933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  245936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  245941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  245944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  245947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  245950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  245953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  245961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  245965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  245972 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  245972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  245975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  245977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  245979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  245981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  245986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  245989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  245992 */     GIR_RootConstrainSelectedInstOperands,
     /*  245993 */     // GIR_Coverage, 4929,
     /*  245993 */     GIR_EraseRootFromParent_Done,
     /*  245994 */   // Label 4737: @245994
     /*  245994 */   GIM_Try, /*On fail goto*//*Label 4738*/ GIMT_Encode4(246060), // Rule ID 4932 //
     /*  245999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  246016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246038 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  246041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246058 */     GIR_RootConstrainSelectedInstOperands,
     /*  246059 */     // GIR_Coverage, 4932,
     /*  246059 */     GIR_EraseRootFromParent_Done,
     /*  246060 */   // Label 4738: @246060
     /*  246060 */   GIM_Try, /*On fail goto*//*Label 4739*/ GIMT_Encode4(246126), // Rule ID 4933 //
     /*  246065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  246076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  246079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  246082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  246107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246124 */     GIR_RootConstrainSelectedInstOperands,
     /*  246125 */     // GIR_Coverage, 4933,
     /*  246125 */     GIR_EraseRootFromParent_Done,
     /*  246126 */   // Label 4739: @246126
     /*  246126 */   GIM_Try, /*On fail goto*//*Label 4740*/ GIMT_Encode4(246192), // Rule ID 4936 //
     /*  246131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  246148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246170 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  246173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246190 */     GIR_RootConstrainSelectedInstOperands,
     /*  246191 */     // GIR_Coverage, 4936,
     /*  246191 */     GIR_EraseRootFromParent_Done,
     /*  246192 */   // Label 4740: @246192
     /*  246192 */   GIM_Try, /*On fail goto*//*Label 4741*/ GIMT_Encode4(246258), // Rule ID 4937 //
     /*  246197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  246208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  246211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  246214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /*  246239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246256 */     GIR_RootConstrainSelectedInstOperands,
     /*  246257 */     // GIR_Coverage, 4937,
     /*  246257 */     GIR_EraseRootFromParent_Done,
     /*  246258 */   // Label 4741: @246258
     /*  246258 */   GIM_Try, /*On fail goto*//*Label 4742*/ GIMT_Encode4(246324), // Rule ID 4940 //
     /*  246263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  246280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246302 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  246305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246322 */     GIR_RootConstrainSelectedInstOperands,
     /*  246323 */     // GIR_Coverage, 4940,
     /*  246323 */     GIR_EraseRootFromParent_Done,
     /*  246324 */   // Label 4742: @246324
     /*  246324 */   GIM_Try, /*On fail goto*//*Label 4743*/ GIMT_Encode4(246390), // Rule ID 4941 //
     /*  246329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  246340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  246343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  246346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246368 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /*  246371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246388 */     GIR_RootConstrainSelectedInstOperands,
     /*  246389 */     // GIR_Coverage, 4941,
     /*  246389 */     GIR_EraseRootFromParent_Done,
     /*  246390 */   // Label 4743: @246390
     /*  246390 */   GIM_Try, /*On fail goto*//*Label 4744*/ GIMT_Encode4(246456), // Rule ID 4944 //
     /*  246395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  246412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246434 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  246437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246454 */     GIR_RootConstrainSelectedInstOperands,
     /*  246455 */     // GIR_Coverage, 4944,
     /*  246455 */     GIR_EraseRootFromParent_Done,
     /*  246456 */   // Label 4744: @246456
     /*  246456 */   GIM_Try, /*On fail goto*//*Label 4745*/ GIMT_Encode4(246522), // Rule ID 4945 //
     /*  246461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  246472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  246475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  246478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246500 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /*  246503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246520 */     GIR_RootConstrainSelectedInstOperands,
     /*  246521 */     // GIR_Coverage, 4945,
     /*  246521 */     GIR_EraseRootFromParent_Done,
     /*  246522 */   // Label 4745: @246522
     /*  246522 */   GIM_Try, /*On fail goto*//*Label 4746*/ GIMT_Encode4(246588), // Rule ID 4948 //
     /*  246527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  246530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  246566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  246569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246586 */     GIR_RootConstrainSelectedInstOperands,
     /*  246587 */     // GIR_Coverage, 4948,
     /*  246587 */     GIR_EraseRootFromParent_Done,
     /*  246588 */   // Label 4746: @246588
     /*  246588 */   GIM_Try, /*On fail goto*//*Label 4747*/ GIMT_Encode4(246654), // Rule ID 4949 //
     /*  246593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  246596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  246604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  246607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  246610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  246621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  246625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246632 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  246632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /*  246635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  246649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246652 */     GIR_RootConstrainSelectedInstOperands,
     /*  246653 */     // GIR_Coverage, 4949,
     /*  246653 */     GIR_EraseRootFromParent_Done,
     /*  246654 */   // Label 4747: @246654
     /*  246654 */   GIM_Try, /*On fail goto*//*Label 4748*/ GIMT_Encode4(246720), // Rule ID 4952 //
     /*  246659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  246670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  246701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246718 */     GIR_RootConstrainSelectedInstOperands,
     /*  246719 */     // GIR_Coverage, 4952,
     /*  246719 */     GIR_EraseRootFromParent_Done,
     /*  246720 */   // Label 4748: @246720
     /*  246720 */   GIM_Try, /*On fail goto*//*Label 4749*/ GIMT_Encode4(246786), // Rule ID 4953 //
     /*  246725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  246736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  246739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  246742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246764 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /*  246767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246784 */     GIR_RootConstrainSelectedInstOperands,
     /*  246785 */     // GIR_Coverage, 4953,
     /*  246785 */     GIR_EraseRootFromParent_Done,
     /*  246786 */   // Label 4749: @246786
     /*  246786 */   GIM_Try, /*On fail goto*//*Label 4750*/ GIMT_Encode4(246852), // Rule ID 4956 //
     /*  246791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  246802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246850 */     GIR_RootConstrainSelectedInstOperands,
     /*  246851 */     // GIR_Coverage, 4956,
     /*  246851 */     GIR_EraseRootFromParent_Done,
     /*  246852 */   // Label 4750: @246852
     /*  246852 */   GIM_Try, /*On fail goto*//*Label 4751*/ GIMT_Encode4(246918), // Rule ID 4957 //
     /*  246857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  246868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  246871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  246874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  246877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11677:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  246896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  246899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246916 */     GIR_RootConstrainSelectedInstOperands,
     /*  246917 */     // GIR_Coverage, 4957,
     /*  246917 */     GIR_EraseRootFromParent_Done,
     /*  246918 */   // Label 4751: @246918
     /*  246918 */   GIM_Try, /*On fail goto*//*Label 4752*/ GIMT_Encode4(246984), // Rule ID 4960 //
     /*  246923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  246926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  246934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  246937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  246940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  246943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  246951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  246955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  246962 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  246962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  246965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  246967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  246969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  246971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  246976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  246979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  246982 */     GIR_RootConstrainSelectedInstOperands,
     /*  246983 */     // GIR_Coverage, 4960,
     /*  246983 */     GIR_EraseRootFromParent_Done,
     /*  246984 */   // Label 4752: @246984
     /*  246984 */   GIM_Try, /*On fail goto*//*Label 4753*/ GIMT_Encode4(247050), // Rule ID 4961 //
     /*  246989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  246992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  246997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  247000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  247003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  247006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247028 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  247028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  247031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247048 */     GIR_RootConstrainSelectedInstOperands,
     /*  247049 */     // GIR_Coverage, 4961,
     /*  247049 */     GIR_EraseRootFromParent_Done,
     /*  247050 */   // Label 4753: @247050
     /*  247050 */   GIM_Try, /*On fail goto*//*Label 4754*/ GIMT_Encode4(247116), // Rule ID 4964 //
     /*  247055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  247066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  247069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  247094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  247097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247114 */     GIR_RootConstrainSelectedInstOperands,
     /*  247115 */     // GIR_Coverage, 4964,
     /*  247115 */     GIR_EraseRootFromParent_Done,
     /*  247116 */   // Label 4754: @247116
     /*  247116 */   GIM_Try, /*On fail goto*//*Label 4755*/ GIMT_Encode4(247182), // Rule ID 4965 //
     /*  247121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  247132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  247135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  247138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  247160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  247163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247180 */     GIR_RootConstrainSelectedInstOperands,
     /*  247181 */     // GIR_Coverage, 4965,
     /*  247181 */     GIR_EraseRootFromParent_Done,
     /*  247182 */   // Label 4755: @247182
     /*  247182 */   GIM_Try, /*On fail goto*//*Label 4756*/ GIMT_Encode4(247248), // Rule ID 4968 //
     /*  247187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  247190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  247198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  247201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  247204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  247226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  247229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247246 */     GIR_RootConstrainSelectedInstOperands,
     /*  247247 */     // GIR_Coverage, 4968,
     /*  247247 */     GIR_EraseRootFromParent_Done,
     /*  247248 */   // Label 4756: @247248
     /*  247248 */   GIM_Try, /*On fail goto*//*Label 4757*/ GIMT_Encode4(247314), // Rule ID 4969 //
     /*  247253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  247256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  247264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  247267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  247270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247292 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  247292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  247295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  247309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247312 */     GIR_RootConstrainSelectedInstOperands,
     /*  247313 */     // GIR_Coverage, 4969,
     /*  247313 */     GIR_EraseRootFromParent_Done,
     /*  247314 */   // Label 4757: @247314
     /*  247314 */   GIM_Try, /*On fail goto*//*Label 4758*/ GIMT_Encode4(247380), // Rule ID 4972 //
     /*  247319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247358 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  247361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247378 */     GIR_RootConstrainSelectedInstOperands,
     /*  247379 */     // GIR_Coverage, 4972,
     /*  247379 */     GIR_EraseRootFromParent_Done,
     /*  247380 */   // Label 4758: @247380
     /*  247380 */   GIM_Try, /*On fail goto*//*Label 4759*/ GIMT_Encode4(247446), // Rule ID 4973 //
     /*  247385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  247402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /*  247427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247444 */     GIR_RootConstrainSelectedInstOperands,
     /*  247445 */     // GIR_Coverage, 4973,
     /*  247445 */     GIR_EraseRootFromParent_Done,
     /*  247446 */   // Label 4759: @247446
     /*  247446 */   GIM_Try, /*On fail goto*//*Label 4760*/ GIMT_Encode4(247512), // Rule ID 4976 //
     /*  247451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  247493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247510 */     GIR_RootConstrainSelectedInstOperands,
     /*  247511 */     // GIR_Coverage, 4976,
     /*  247511 */     GIR_EraseRootFromParent_Done,
     /*  247512 */   // Label 4760: @247512
     /*  247512 */   GIM_Try, /*On fail goto*//*Label 4761*/ GIMT_Encode4(247578), // Rule ID 4977 //
     /*  247517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  247534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /*  247559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247576 */     GIR_RootConstrainSelectedInstOperands,
     /*  247577 */     // GIR_Coverage, 4977,
     /*  247577 */     GIR_EraseRootFromParent_Done,
     /*  247578 */   // Label 4761: @247578
     /*  247578 */   GIM_Try, /*On fail goto*//*Label 4762*/ GIMT_Encode4(247644), // Rule ID 4980 //
     /*  247583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  247625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247642 */     GIR_RootConstrainSelectedInstOperands,
     /*  247643 */     // GIR_Coverage, 4980,
     /*  247643 */     GIR_EraseRootFromParent_Done,
     /*  247644 */   // Label 4762: @247644
     /*  247644 */   GIM_Try, /*On fail goto*//*Label 4763*/ GIMT_Encode4(247710), // Rule ID 4981 //
     /*  247649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  247660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  247663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  247666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  247677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /*  247691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247708 */     GIR_RootConstrainSelectedInstOperands,
     /*  247709 */     // GIR_Coverage, 4981,
     /*  247709 */     GIR_EraseRootFromParent_Done,
     /*  247710 */   // Label 4763: @247710
     /*  247710 */   GIM_Try, /*On fail goto*//*Label 4764*/ GIMT_Encode4(247776), // Rule ID 4984 //
     /*  247715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247754 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  247757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247774 */     GIR_RootConstrainSelectedInstOperands,
     /*  247775 */     // GIR_Coverage, 4984,
     /*  247775 */     GIR_EraseRootFromParent_Done,
     /*  247776 */   // Label 4764: @247776
     /*  247776 */   GIM_Try, /*On fail goto*//*Label 4765*/ GIMT_Encode4(247842), // Rule ID 4985 //
     /*  247781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  247792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  247795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  247798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  247809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  247813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247820 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /*  247823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247840 */     GIR_RootConstrainSelectedInstOperands,
     /*  247841 */     // GIR_Coverage, 4985,
     /*  247841 */     GIR_EraseRootFromParent_Done,
     /*  247842 */   // Label 4765: @247842
     /*  247842 */   GIM_Try, /*On fail goto*//*Label 4766*/ GIMT_Encode4(247908), // Rule ID 4988 //
     /*  247847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  247886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  247889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247906 */     GIR_RootConstrainSelectedInstOperands,
     /*  247907 */     // GIR_Coverage, 4988,
     /*  247907 */     GIR_EraseRootFromParent_Done,
     /*  247908 */   // Label 4766: @247908
     /*  247908 */   GIM_Try, /*On fail goto*//*Label 4767*/ GIMT_Encode4(247974), // Rule ID 4989 //
     /*  247913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  247916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  247924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  247927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  247930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  247933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  247945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  247952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11677:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  247952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /*  247955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  247957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  247959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  247961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  247966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  247969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  247972 */     GIR_RootConstrainSelectedInstOperands,
     /*  247973 */     // GIR_Coverage, 4989,
     /*  247973 */     GIR_EraseRootFromParent_Done,
     /*  247974 */   // Label 4767: @247974
     /*  247974 */   GIM_Try, /*On fail goto*//*Label 4768*/ GIMT_Encode4(248040), // Rule ID 4992 //
     /*  247979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  247982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  247987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  247990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  247993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  247996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  247999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248018 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  248018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  248021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248038 */     GIR_RootConstrainSelectedInstOperands,
     /*  248039 */     // GIR_Coverage, 4992,
     /*  248039 */     GIR_EraseRootFromParent_Done,
     /*  248040 */   // Label 4768: @248040
     /*  248040 */   GIM_Try, /*On fail goto*//*Label 4769*/ GIMT_Encode4(248106), // Rule ID 4993 //
     /*  248045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  248048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  248053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  248056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  248059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  248062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248084 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11677:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  248084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /*  248087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248104 */     GIR_RootConstrainSelectedInstOperands,
     /*  248105 */     // GIR_Coverage, 4993,
     /*  248105 */     GIR_EraseRootFromParent_Done,
     /*  248106 */   // Label 4769: @248106
     /*  248106 */   GIM_Try, /*On fail goto*//*Label 4770*/ GIMT_Encode4(248172), // Rule ID 4996 //
     /*  248111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  248114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  248119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  248122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  248125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248150 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  248150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  248153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248170 */     GIR_RootConstrainSelectedInstOperands,
     /*  248171 */     // GIR_Coverage, 4996,
     /*  248171 */     GIR_EraseRootFromParent_Done,
     /*  248172 */   // Label 4770: @248172
     /*  248172 */   GIM_Try, /*On fail goto*//*Label 4771*/ GIMT_Encode4(248238), // Rule ID 4997 //
     /*  248177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  248180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  248185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  248188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  248191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248216 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11677:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  248216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /*  248219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248236 */     GIR_RootConstrainSelectedInstOperands,
     /*  248237 */     // GIR_Coverage, 4997,
     /*  248237 */     GIR_EraseRootFromParent_Done,
     /*  248238 */   // Label 4771: @248238
     /*  248238 */   GIM_Try, /*On fail goto*//*Label 4772*/ GIMT_Encode4(248304), // Rule ID 5000 //
     /*  248243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  248246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  248251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  248254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  248257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  248282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  248285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248302 */     GIR_RootConstrainSelectedInstOperands,
     /*  248303 */     // GIR_Coverage, 5000,
     /*  248303 */     GIR_EraseRootFromParent_Done,
     /*  248304 */   // Label 4772: @248304
     /*  248304 */   GIM_Try, /*On fail goto*//*Label 4773*/ GIMT_Encode4(248370), // Rule ID 5001 //
     /*  248309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  248312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext),
     /*  248317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  248320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  248323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  248337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11677:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  248348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /*  248351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  248365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248368 */     GIR_RootConstrainSelectedInstOperands,
     /*  248369 */     // GIR_Coverage, 5001,
     /*  248369 */     GIR_EraseRootFromParent_Done,
     /*  248370 */   // Label 4773: @248370
     /*  248370 */   GIM_Try, /*On fail goto*//*Label 4774*/ GIMT_Encode4(248436), // Rule ID 5004 //
     /*  248375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  248386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  248389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  248392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  248417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248434 */     GIR_RootConstrainSelectedInstOperands,
     /*  248435 */     // GIR_Coverage, 5004,
     /*  248435 */     GIR_EraseRootFromParent_Done,
     /*  248436 */   // Label 4774: @248436
     /*  248436 */   GIM_Try, /*On fail goto*//*Label 4775*/ GIMT_Encode4(248502), // Rule ID 5005 //
     /*  248441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  248452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  248455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  248458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /*  248483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248500 */     GIR_RootConstrainSelectedInstOperands,
     /*  248501 */     // GIR_Coverage, 5005,
     /*  248501 */     GIR_EraseRootFromParent_Done,
     /*  248502 */   // Label 4775: @248502
     /*  248502 */   GIM_Try, /*On fail goto*//*Label 4776*/ GIMT_Encode4(248568), // Rule ID 5008 //
     /*  248507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  248518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  248521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  248524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248546 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  248549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248566 */     GIR_RootConstrainSelectedInstOperands,
     /*  248567 */     // GIR_Coverage, 5008,
     /*  248567 */     GIR_EraseRootFromParent_Done,
     /*  248568 */   // Label 4776: @248568
     /*  248568 */   GIM_Try, /*On fail goto*//*Label 4777*/ GIMT_Encode4(248634), // Rule ID 5009 //
     /*  248573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  248584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  248587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  248590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248612 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  248615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248632 */     GIR_RootConstrainSelectedInstOperands,
     /*  248633 */     // GIR_Coverage, 5009,
     /*  248633 */     GIR_EraseRootFromParent_Done,
     /*  248634 */   // Label 4777: @248634
     /*  248634 */   GIM_Try, /*On fail goto*//*Label 4778*/ GIMT_Encode4(248700), // Rule ID 5012 //
     /*  248639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  248650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248698 */     GIR_RootConstrainSelectedInstOperands,
     /*  248699 */     // GIR_Coverage, 5012,
     /*  248699 */     GIR_EraseRootFromParent_Done,
     /*  248700 */   // Label 4778: @248700
     /*  248700 */   GIM_Try, /*On fail goto*//*Label 4779*/ GIMT_Encode4(248766), // Rule ID 5013 //
     /*  248705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  248716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  248719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  248722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11540:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  248747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248764 */     GIR_RootConstrainSelectedInstOperands,
     /*  248765 */     // GIR_Coverage, 5013,
     /*  248765 */     GIR_EraseRootFromParent_Done,
     /*  248766 */   // Label 4779: @248766
     /*  248766 */   GIM_Try, /*On fail goto*//*Label 4780*/ GIMT_Encode4(248832), // Rule ID 5016 //
     /*  248771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248810 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248830 */     GIR_RootConstrainSelectedInstOperands,
     /*  248831 */     // GIR_Coverage, 5016,
     /*  248831 */     GIR_EraseRootFromParent_Done,
     /*  248832 */   // Label 4780: @248832
     /*  248832 */   GIM_Try, /*On fail goto*//*Label 4781*/ GIMT_Encode4(248898), // Rule ID 5017 //
     /*  248837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  248848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  248851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  248854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  248869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248876 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  248876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  248879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248896 */     GIR_RootConstrainSelectedInstOperands,
     /*  248897 */     // GIR_Coverage, 5017,
     /*  248897 */     GIR_EraseRootFromParent_Done,
     /*  248898 */   // Label 4781: @248898
     /*  248898 */   GIM_Try, /*On fail goto*//*Label 4782*/ GIMT_Encode4(248964), // Rule ID 5020 //
     /*  248903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  248906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  248923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  248935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  248942 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  248942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  248945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  248947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  248949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  248951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  248956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  248959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  248962 */     GIR_RootConstrainSelectedInstOperands,
     /*  248963 */     // GIR_Coverage, 5020,
     /*  248963 */     GIR_EraseRootFromParent_Done,
     /*  248964 */   // Label 4782: @248964
     /*  248964 */   GIM_Try, /*On fail goto*//*Label 4783*/ GIMT_Encode4(249030), // Rule ID 5021 //
     /*  248969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  248972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  248977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  248980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  248983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  248986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  248989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  248997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249028 */     GIR_RootConstrainSelectedInstOperands,
     /*  249029 */     // GIR_Coverage, 5021,
     /*  249029 */     GIR_EraseRootFromParent_Done,
     /*  249030 */   // Label 4783: @249030
     /*  249030 */   GIM_Try, /*On fail goto*//*Label 4784*/ GIMT_Encode4(249096), // Rule ID 5024 //
     /*  249035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  249046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  249049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  249052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249074 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  249074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249094 */     GIR_RootConstrainSelectedInstOperands,
     /*  249095 */     // GIR_Coverage, 5024,
     /*  249095 */     GIR_EraseRootFromParent_Done,
     /*  249096 */   // Label 4784: @249096
     /*  249096 */   GIM_Try, /*On fail goto*//*Label 4785*/ GIMT_Encode4(249162), // Rule ID 5025 //
     /*  249101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  249112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  249115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  249118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249140 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  249140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  249157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249160 */     GIR_RootConstrainSelectedInstOperands,
     /*  249161 */     // GIR_Coverage, 5025,
     /*  249161 */     GIR_EraseRootFromParent_Done,
     /*  249162 */   // Label 4785: @249162
     /*  249162 */   GIM_Try, /*On fail goto*//*Label 4786*/ GIMT_Encode4(249228), // Rule ID 5028 //
     /*  249167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  249184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249206 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  249209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249226 */     GIR_RootConstrainSelectedInstOperands,
     /*  249227 */     // GIR_Coverage, 5028,
     /*  249227 */     GIR_EraseRootFromParent_Done,
     /*  249228 */   // Label 4786: @249228
     /*  249228 */   GIM_Try, /*On fail goto*//*Label 4787*/ GIMT_Encode4(249294), // Rule ID 5029 //
     /*  249233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  249244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  249247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  249250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /*  249275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249292 */     GIR_RootConstrainSelectedInstOperands,
     /*  249293 */     // GIR_Coverage, 5029,
     /*  249293 */     GIR_EraseRootFromParent_Done,
     /*  249294 */   // Label 4787: @249294
     /*  249294 */   GIM_Try, /*On fail goto*//*Label 4788*/ GIMT_Encode4(249360), // Rule ID 5032 //
     /*  249299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  249310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  249316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  249341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249358 */     GIR_RootConstrainSelectedInstOperands,
     /*  249359 */     // GIR_Coverage, 5032,
     /*  249359 */     GIR_EraseRootFromParent_Done,
     /*  249360 */   // Label 4788: @249360
     /*  249360 */   GIM_Try, /*On fail goto*//*Label 4789*/ GIMT_Encode4(249426), // Rule ID 5033 //
     /*  249365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  249376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  249379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  249382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  249407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249424 */     GIR_RootConstrainSelectedInstOperands,
     /*  249425 */     // GIR_Coverage, 5033,
     /*  249425 */     GIR_EraseRootFromParent_Done,
     /*  249426 */   // Label 4789: @249426
     /*  249426 */   GIM_Try, /*On fail goto*//*Label 4790*/ GIMT_Encode4(249492), // Rule ID 5036 //
     /*  249431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  249442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  249448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  249473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249490 */     GIR_RootConstrainSelectedInstOperands,
     /*  249491 */     // GIR_Coverage, 5036,
     /*  249491 */     GIR_EraseRootFromParent_Done,
     /*  249492 */   // Label 4790: @249492
     /*  249492 */   GIM_Try, /*On fail goto*//*Label 4791*/ GIMT_Encode4(249558), // Rule ID 5037 //
     /*  249497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  249508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  249511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  249514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  249539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249556 */     GIR_RootConstrainSelectedInstOperands,
     /*  249557 */     // GIR_Coverage, 5037,
     /*  249557 */     GIR_EraseRootFromParent_Done,
     /*  249558 */   // Label 4791: @249558
     /*  249558 */   GIM_Try, /*On fail goto*//*Label 4792*/ GIMT_Encode4(249624), // Rule ID 5040 //
     /*  249563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  249574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249622 */     GIR_RootConstrainSelectedInstOperands,
     /*  249623 */     // GIR_Coverage, 5040,
     /*  249623 */     GIR_EraseRootFromParent_Done,
     /*  249624 */   // Label 4792: @249624
     /*  249624 */   GIM_Try, /*On fail goto*//*Label 4793*/ GIMT_Encode4(249690), // Rule ID 5041 //
     /*  249629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  249640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  249643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  249646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  249671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249688 */     GIR_RootConstrainSelectedInstOperands,
     /*  249689 */     // GIR_Coverage, 5041,
     /*  249689 */     GIR_EraseRootFromParent_Done,
     /*  249690 */   // Label 4793: @249690
     /*  249690 */   GIM_Try, /*On fail goto*//*Label 4794*/ GIMT_Encode4(249756), // Rule ID 5044 //
     /*  249695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  249698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  249734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249754 */     GIR_RootConstrainSelectedInstOperands,
     /*  249755 */     // GIR_Coverage, 5044,
     /*  249755 */     GIR_EraseRootFromParent_Done,
     /*  249756 */   // Label 4794: @249756
     /*  249756 */   GIM_Try, /*On fail goto*//*Label 4795*/ GIMT_Encode4(249822), // Rule ID 5045 //
     /*  249761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  249764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  249772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  249775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  249778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  249789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  249793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249800 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  249800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  249803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  249817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249820 */     GIR_RootConstrainSelectedInstOperands,
     /*  249821 */     // GIR_Coverage, 5045,
     /*  249821 */     GIR_EraseRootFromParent_Done,
     /*  249822 */   // Label 4795: @249822
     /*  249822 */   GIM_Try, /*On fail goto*//*Label 4796*/ GIMT_Encode4(249888), // Rule ID 5048 //
     /*  249827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249866 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  249869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249886 */     GIR_RootConstrainSelectedInstOperands,
     /*  249887 */     // GIR_Coverage, 5048,
     /*  249887 */     GIR_EraseRootFromParent_Done,
     /*  249888 */   // Label 4796: @249888
     /*  249888 */   GIM_Try, /*On fail goto*//*Label 4797*/ GIMT_Encode4(249954), // Rule ID 5049 //
     /*  249893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  249896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  249904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  249907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  249910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  249913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  249932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /*  249935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  249937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  249939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  249941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  249946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  249949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  249952 */     GIR_RootConstrainSelectedInstOperands,
     /*  249953 */     // GIR_Coverage, 5049,
     /*  249953 */     GIR_EraseRootFromParent_Done,
     /*  249954 */   // Label 4797: @249954
     /*  249954 */   GIM_Try, /*On fail goto*//*Label 4798*/ GIMT_Encode4(250020), // Rule ID 5052 //
     /*  249959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  249962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  249967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  249970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  249973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  249976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  249979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  249987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  249991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  249998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  249998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  250001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250018 */     GIR_RootConstrainSelectedInstOperands,
     /*  250019 */     // GIR_Coverage, 5052,
     /*  250019 */     GIR_EraseRootFromParent_Done,
     /*  250020 */   // Label 4798: @250020
     /*  250020 */   GIM_Try, /*On fail goto*//*Label 4799*/ GIMT_Encode4(250086), // Rule ID 5053 //
     /*  250025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  250036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  250039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  250042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /*  250067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250084 */     GIR_RootConstrainSelectedInstOperands,
     /*  250085 */     // GIR_Coverage, 5053,
     /*  250085 */     GIR_EraseRootFromParent_Done,
     /*  250086 */   // Label 4799: @250086
     /*  250086 */   GIM_Try, /*On fail goto*//*Label 4800*/ GIMT_Encode4(250152), // Rule ID 5056 //
     /*  250091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  250108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250130 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  250133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250150 */     GIR_RootConstrainSelectedInstOperands,
     /*  250151 */     // GIR_Coverage, 5056,
     /*  250151 */     GIR_EraseRootFromParent_Done,
     /*  250152 */   // Label 4800: @250152
     /*  250152 */   GIM_Try, /*On fail goto*//*Label 4801*/ GIMT_Encode4(250218), // Rule ID 5057 //
     /*  250157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  250168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  250171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  250174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /*  250199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250216 */     GIR_RootConstrainSelectedInstOperands,
     /*  250217 */     // GIR_Coverage, 5057,
     /*  250217 */     GIR_EraseRootFromParent_Done,
     /*  250218 */   // Label 4801: @250218
     /*  250218 */   GIM_Try, /*On fail goto*//*Label 4802*/ GIMT_Encode4(250284), // Rule ID 5060 //
     /*  250223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  250226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  250240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  250262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  250265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250282 */     GIR_RootConstrainSelectedInstOperands,
     /*  250283 */     // GIR_Coverage, 5060,
     /*  250283 */     GIR_EraseRootFromParent_Done,
     /*  250284 */   // Label 4802: @250284
     /*  250284 */   GIM_Try, /*On fail goto*//*Label 4803*/ GIMT_Encode4(250350), // Rule ID 5061 //
     /*  250289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  250292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  250300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  250303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  250306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  250328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /*  250331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  250345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250348 */     GIR_RootConstrainSelectedInstOperands,
     /*  250349 */     // GIR_Coverage, 5061,
     /*  250349 */     GIR_EraseRootFromParent_Done,
     /*  250350 */   // Label 4803: @250350
     /*  250350 */   GIM_Try, /*On fail goto*//*Label 4804*/ GIMT_Encode4(250416), // Rule ID 5064 //
     /*  250355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  250366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  250372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  250397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250414 */     GIR_RootConstrainSelectedInstOperands,
     /*  250415 */     // GIR_Coverage, 5064,
     /*  250415 */     GIR_EraseRootFromParent_Done,
     /*  250416 */   // Label 4804: @250416
     /*  250416 */   GIM_Try, /*On fail goto*//*Label 4805*/ GIMT_Encode4(250482), // Rule ID 5065 //
     /*  250421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  250432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  250435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  250438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /*  250463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250480 */     GIR_RootConstrainSelectedInstOperands,
     /*  250481 */     // GIR_Coverage, 5065,
     /*  250481 */     GIR_EraseRootFromParent_Done,
     /*  250482 */   // Label 4805: @250482
     /*  250482 */   GIM_Try, /*On fail goto*//*Label 4806*/ GIMT_Encode4(250548), // Rule ID 5068 //
     /*  250487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  250498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  250504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  250529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250546 */     GIR_RootConstrainSelectedInstOperands,
     /*  250547 */     // GIR_Coverage, 5068,
     /*  250547 */     GIR_EraseRootFromParent_Done,
     /*  250548 */   // Label 4806: @250548
     /*  250548 */   GIM_Try, /*On fail goto*//*Label 4807*/ GIMT_Encode4(250614), // Rule ID 5069 //
     /*  250553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  250564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  250567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  250570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250592 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11540:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  250595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250612 */     GIR_RootConstrainSelectedInstOperands,
     /*  250613 */     // GIR_Coverage, 5069,
     /*  250613 */     GIR_EraseRootFromParent_Done,
     /*  250614 */   // Label 4807: @250614
     /*  250614 */   GIM_Try, /*On fail goto*//*Label 4808*/ GIMT_Encode4(250680), // Rule ID 5072 //
     /*  250619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  250636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250658 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250678 */     GIR_RootConstrainSelectedInstOperands,
     /*  250679 */     // GIR_Coverage, 5072,
     /*  250679 */     GIR_EraseRootFromParent_Done,
     /*  250680 */   // Label 4808: @250680
     /*  250680 */   GIM_Try, /*On fail goto*//*Label 4809*/ GIMT_Encode4(250746), // Rule ID 5073 //
     /*  250685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  250696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  250699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  250702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  250727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250744 */     GIR_RootConstrainSelectedInstOperands,
     /*  250745 */     // GIR_Coverage, 5073,
     /*  250745 */     GIR_EraseRootFromParent_Done,
     /*  250746 */   // Label 4809: @250746
     /*  250746 */   GIM_Try, /*On fail goto*//*Label 4810*/ GIMT_Encode4(250812), // Rule ID 5076 //
     /*  250751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  250768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250810 */     GIR_RootConstrainSelectedInstOperands,
     /*  250811 */     // GIR_Coverage, 5076,
     /*  250811 */     GIR_EraseRootFromParent_Done,
     /*  250812 */   // Label 4810: @250812
     /*  250812 */   GIM_Try, /*On fail goto*//*Label 4811*/ GIMT_Encode4(250878), // Rule ID 5077 //
     /*  250817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  250828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  250831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  250834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  250845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  250849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250856 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  250859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250876 */     GIR_RootConstrainSelectedInstOperands,
     /*  250877 */     // GIR_Coverage, 5077,
     /*  250877 */     GIR_EraseRootFromParent_Done,
     /*  250878 */   // Label 4811: @250878
     /*  250878 */   GIM_Try, /*On fail goto*//*Label 4812*/ GIMT_Encode4(250944), // Rule ID 5080 //
     /*  250883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  250886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  250900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  250903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  250922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  250936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  250939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  250942 */     GIR_RootConstrainSelectedInstOperands,
     /*  250943 */     // GIR_Coverage, 5080,
     /*  250943 */     GIR_EraseRootFromParent_Done,
     /*  250944 */   // Label 4812: @250944
     /*  250944 */   GIM_Try, /*On fail goto*//*Label 4813*/ GIMT_Encode4(251010), // Rule ID 5081 //
     /*  250949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  250952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  250957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  250960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  250963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  250966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  250969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  250977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  250981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  250988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  250988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  250991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  250993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  250995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  250997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  251005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251008 */     GIR_RootConstrainSelectedInstOperands,
     /*  251009 */     // GIR_Coverage, 5081,
     /*  251009 */     GIR_EraseRootFromParent_Done,
     /*  251010 */   // Label 4813: @251010
     /*  251010 */   GIM_Try, /*On fail goto*//*Label 4814*/ GIMT_Encode4(251076), // Rule ID 5084 //
     /*  251015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  251032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251054 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  251057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251074 */     GIR_RootConstrainSelectedInstOperands,
     /*  251075 */     // GIR_Coverage, 5084,
     /*  251075 */     GIR_EraseRootFromParent_Done,
     /*  251076 */   // Label 4814: @251076
     /*  251076 */   GIM_Try, /*On fail goto*//*Label 4815*/ GIMT_Encode4(251142), // Rule ID 5085 //
     /*  251081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  251098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251120 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /*  251123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251140 */     GIR_RootConstrainSelectedInstOperands,
     /*  251141 */     // GIR_Coverage, 5085,
     /*  251141 */     GIR_EraseRootFromParent_Done,
     /*  251142 */   // Label 4815: @251142
     /*  251142 */   GIM_Try, /*On fail goto*//*Label 4816*/ GIMT_Encode4(251208), // Rule ID 5088 //
     /*  251147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  251164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  251189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251206 */     GIR_RootConstrainSelectedInstOperands,
     /*  251207 */     // GIR_Coverage, 5088,
     /*  251207 */     GIR_EraseRootFromParent_Done,
     /*  251208 */   // Label 4816: @251208
     /*  251208 */   GIM_Try, /*On fail goto*//*Label 4817*/ GIMT_Encode4(251274), // Rule ID 5089 //
     /*  251213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  251230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251252 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /*  251255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251272 */     GIR_RootConstrainSelectedInstOperands,
     /*  251273 */     // GIR_Coverage, 5089,
     /*  251273 */     GIR_EraseRootFromParent_Done,
     /*  251274 */   // Label 4817: @251274
     /*  251274 */   GIM_Try, /*On fail goto*//*Label 4818*/ GIMT_Encode4(251340), // Rule ID 5092 //
     /*  251279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  251296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  251321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251338 */     GIR_RootConstrainSelectedInstOperands,
     /*  251339 */     // GIR_Coverage, 5092,
     /*  251339 */     GIR_EraseRootFromParent_Done,
     /*  251340 */   // Label 4818: @251340
     /*  251340 */   GIM_Try, /*On fail goto*//*Label 4819*/ GIMT_Encode4(251406), // Rule ID 5093 //
     /*  251345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  251362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251384 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /*  251387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251404 */     GIR_RootConstrainSelectedInstOperands,
     /*  251405 */     // GIR_Coverage, 5093,
     /*  251405 */     GIR_EraseRootFromParent_Done,
     /*  251406 */   // Label 4819: @251406
     /*  251406 */   GIM_Try, /*On fail goto*//*Label 4820*/ GIMT_Encode4(251472), // Rule ID 5096 //
     /*  251411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  251428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251450 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  251453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251470 */     GIR_RootConstrainSelectedInstOperands,
     /*  251471 */     // GIR_Coverage, 5096,
     /*  251471 */     GIR_EraseRootFromParent_Done,
     /*  251472 */   // Label 4820: @251472
     /*  251472 */   GIM_Try, /*On fail goto*//*Label 4821*/ GIMT_Encode4(251538), // Rule ID 5097 //
     /*  251477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  251494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /*  251519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251536 */     GIR_RootConstrainSelectedInstOperands,
     /*  251537 */     // GIR_Coverage, 5097,
     /*  251537 */     GIR_EraseRootFromParent_Done,
     /*  251538 */   // Label 4821: @251538
     /*  251538 */   GIM_Try, /*On fail goto*//*Label 4822*/ GIMT_Encode4(251604), // Rule ID 5100 //
     /*  251543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  251585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251602 */     GIR_RootConstrainSelectedInstOperands,
     /*  251603 */     // GIR_Coverage, 5100,
     /*  251603 */     GIR_EraseRootFromParent_Done,
     /*  251604 */   // Label 4822: @251604
     /*  251604 */   GIM_Try, /*On fail goto*//*Label 4823*/ GIMT_Encode4(251670), // Rule ID 5101 //
     /*  251609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  251620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  251623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  251626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11540:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /*  251651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251668 */     GIR_RootConstrainSelectedInstOperands,
     /*  251669 */     // GIR_Coverage, 5101,
     /*  251669 */     GIR_EraseRootFromParent_Done,
     /*  251670 */   // Label 4823: @251670
     /*  251670 */   GIM_Try, /*On fail goto*//*Label 4824*/ GIMT_Encode4(251736), // Rule ID 5104 //
     /*  251675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  251717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251734 */     GIR_RootConstrainSelectedInstOperands,
     /*  251735 */     // GIR_Coverage, 5104,
     /*  251735 */     GIR_EraseRootFromParent_Done,
     /*  251736 */   // Label 4824: @251736
     /*  251736 */   GIM_Try, /*On fail goto*//*Label 4825*/ GIMT_Encode4(251802), // Rule ID 5105 //
     /*  251741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  251752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  251755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  251758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  251769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251780 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11540:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /*  251783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251800 */     GIR_RootConstrainSelectedInstOperands,
     /*  251801 */     // GIR_Coverage, 5105,
     /*  251801 */     GIR_EraseRootFromParent_Done,
     /*  251802 */   // Label 4825: @251802
     /*  251802 */   GIM_Try, /*On fail goto*//*Label 4826*/ GIMT_Encode4(251868), // Rule ID 5108 //
     /*  251807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251846 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  251849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251866 */     GIR_RootConstrainSelectedInstOperands,
     /*  251867 */     // GIR_Coverage, 5108,
     /*  251867 */     GIR_EraseRootFromParent_Done,
     /*  251868 */   // Label 4826: @251868
     /*  251868 */   GIM_Try, /*On fail goto*//*Label 4827*/ GIMT_Encode4(251934), // Rule ID 5109 //
     /*  251873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  251876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  251884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  251887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  251890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  251893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  251901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11540:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  251912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /*  251915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251932 */     GIR_RootConstrainSelectedInstOperands,
     /*  251933 */     // GIR_Coverage, 5109,
     /*  251933 */     GIR_EraseRootFromParent_Done,
     /*  251934 */   // Label 4827: @251934
     /*  251934 */   GIM_Try, /*On fail goto*//*Label 4828*/ GIMT_Encode4(252000), // Rule ID 5112 //
     /*  251939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  251942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  251947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  251950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  251953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  251956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  251959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  251967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  251971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  251978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  251978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  251981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  251983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  251985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  251987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  251992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  251995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  251998 */     GIR_RootConstrainSelectedInstOperands,
     /*  251999 */     // GIR_Coverage, 5112,
     /*  251999 */     GIR_EraseRootFromParent_Done,
     /*  252000 */   // Label 4828: @252000
     /*  252000 */   GIM_Try, /*On fail goto*//*Label 4829*/ GIMT_Encode4(252066), // Rule ID 5113 //
     /*  252005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  252008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext),
     /*  252013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  252016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  252019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  252033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252044 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11540:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  252044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /*  252047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  252051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  252061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  252064 */     GIR_RootConstrainSelectedInstOperands,
     /*  252065 */     // GIR_Coverage, 5113,
     /*  252065 */     GIR_EraseRootFromParent_Done,
     /*  252066 */   // Label 4829: @252066
     /*  252066 */   GIM_Try, /*On fail goto*//*Label 4830*/ GIMT_Encode4(252129), // Rule ID 5376 //
     /*  252071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  252113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252127 */     GIR_RootConstrainSelectedInstOperands,
     /*  252128 */     // GIR_Coverage, 5376,
     /*  252128 */     GIR_EraseRootFromParent_Done,
     /*  252129 */   // Label 4830: @252129
     /*  252129 */   GIM_Try, /*On fail goto*//*Label 4831*/ GIMT_Encode4(252192), // Rule ID 5377 //
     /*  252134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  252148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  252151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252173 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  252176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252190 */     GIR_RootConstrainSelectedInstOperands,
     /*  252191 */     // GIR_Coverage, 5377,
     /*  252191 */     GIR_EraseRootFromParent_Done,
     /*  252192 */   // Label 4831: @252192
     /*  252192 */   GIM_Try, /*On fail goto*//*Label 4832*/ GIMT_Encode4(252255), // Rule ID 5378 //
     /*  252197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252236 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252253 */     GIR_RootConstrainSelectedInstOperands,
     /*  252254 */     // GIR_Coverage, 5378,
     /*  252254 */     GIR_EraseRootFromParent_Done,
     /*  252255 */   // Label 4832: @252255
     /*  252255 */   GIM_Try, /*On fail goto*//*Label 4833*/ GIMT_Encode4(252318), // Rule ID 5379 //
     /*  252260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  252274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  252277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252299 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252316 */     GIR_RootConstrainSelectedInstOperands,
     /*  252317 */     // GIR_Coverage, 5379,
     /*  252317 */     GIR_EraseRootFromParent_Done,
     /*  252318 */   // Label 4833: @252318
     /*  252318 */   GIM_Try, /*On fail goto*//*Label 4834*/ GIMT_Encode4(252381), // Rule ID 5380 //
     /*  252323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  252337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252362 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  252365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252379 */     GIR_RootConstrainSelectedInstOperands,
     /*  252380 */     // GIR_Coverage, 5380,
     /*  252380 */     GIR_EraseRootFromParent_Done,
     /*  252381 */   // Label 4834: @252381
     /*  252381 */   GIM_Try, /*On fail goto*//*Label 4835*/ GIMT_Encode4(252444), // Rule ID 5381 //
     /*  252386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  252400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  252403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252425 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF4),
     /*  252428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252442 */     GIR_RootConstrainSelectedInstOperands,
     /*  252443 */     // GIR_Coverage, 5381,
     /*  252443 */     GIR_EraseRootFromParent_Done,
     /*  252444 */   // Label 4835: @252444
     /*  252444 */   GIM_Try, /*On fail goto*//*Label 4836*/ GIMT_Encode4(252507), // Rule ID 5382 //
     /*  252449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252505 */     GIR_RootConstrainSelectedInstOperands,
     /*  252506 */     // GIR_Coverage, 5382,
     /*  252506 */     GIR_EraseRootFromParent_Done,
     /*  252507 */   // Label 4836: @252507
     /*  252507 */   GIM_Try, /*On fail goto*//*Label 4837*/ GIMT_Encode4(252570), // Rule ID 5383 //
     /*  252512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  252526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  252529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252551 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252568 */     GIR_RootConstrainSelectedInstOperands,
     /*  252569 */     // GIR_Coverage, 5383,
     /*  252569 */     GIR_EraseRootFromParent_Done,
     /*  252570 */   // Label 4837: @252570
     /*  252570 */   GIM_Try, /*On fail goto*//*Label 4838*/ GIMT_Encode4(252633), // Rule ID 5384 //
     /*  252575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252614 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252631 */     GIR_RootConstrainSelectedInstOperands,
     /*  252632 */     // GIR_Coverage, 5384,
     /*  252632 */     GIR_EraseRootFromParent_Done,
     /*  252633 */   // Label 4838: @252633
     /*  252633 */   GIM_Try, /*On fail goto*//*Label 4839*/ GIMT_Encode4(252696), // Rule ID 5385 //
     /*  252638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  252649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  252652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  252655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252677 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  252677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_MF2),
     /*  252680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  252694 */     GIR_RootConstrainSelectedInstOperands,
     /*  252695 */     // GIR_Coverage, 5385,
     /*  252695 */     GIR_EraseRootFromParent_Done,
     /*  252696 */   // Label 4839: @252696
     /*  252696 */   GIM_Try, /*On fail goto*//*Label 4840*/ GIMT_Encode4(252759), // Rule ID 5386 //
     /*  252701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  252740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252757 */     GIR_RootConstrainSelectedInstOperands,
     /*  252758 */     // GIR_Coverage, 5386,
     /*  252758 */     GIR_EraseRootFromParent_Done,
     /*  252759 */   // Label 4840: @252759
     /*  252759 */   GIM_Try, /*On fail goto*//*Label 4841*/ GIMT_Encode4(252822), // Rule ID 5387 //
     /*  252764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  252775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  252778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  252781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252803 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  252803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  252820 */     GIR_RootConstrainSelectedInstOperands,
     /*  252821 */     // GIR_Coverage, 5387,
     /*  252821 */     GIR_EraseRootFromParent_Done,
     /*  252822 */   // Label 4841: @252822
     /*  252822 */   GIM_Try, /*On fail goto*//*Label 4842*/ GIMT_Encode4(252885), // Rule ID 5388 //
     /*  252827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  252841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252866 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  252866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252883 */     GIR_RootConstrainSelectedInstOperands,
     /*  252884 */     // GIR_Coverage, 5388,
     /*  252884 */     GIR_EraseRootFromParent_Done,
     /*  252885 */   // Label 4842: @252885
     /*  252885 */   GIM_Try, /*On fail goto*//*Label 4843*/ GIMT_Encode4(252948), // Rule ID 5389 //
     /*  252890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  252893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  252901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  252904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  252907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  252910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  252929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  252938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  252943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  252946 */     GIR_RootConstrainSelectedInstOperands,
     /*  252947 */     // GIR_Coverage, 5389,
     /*  252947 */     GIR_EraseRootFromParent_Done,
     /*  252948 */   // Label 4843: @252948
     /*  252948 */   GIM_Try, /*On fail goto*//*Label 4844*/ GIMT_Encode4(253011), // Rule ID 5390 //
     /*  252953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  252956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  252961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  252964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  252967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  252970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  252973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  252985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  252992 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  252992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  252995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  252997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  252999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253009 */     GIR_RootConstrainSelectedInstOperands,
     /*  253010 */     // GIR_Coverage, 5390,
     /*  253010 */     GIR_EraseRootFromParent_Done,
     /*  253011 */   // Label 4844: @253011
     /*  253011 */   GIM_Try, /*On fail goto*//*Label 4845*/ GIMT_Encode4(253074), // Rule ID 5391 //
     /*  253016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  253027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  253030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  253033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253055 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  253055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  253058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  253072 */     GIR_RootConstrainSelectedInstOperands,
     /*  253073 */     // GIR_Coverage, 5391,
     /*  253073 */     GIR_EraseRootFromParent_Done,
     /*  253074 */   // Label 4845: @253074
     /*  253074 */   GIM_Try, /*On fail goto*//*Label 4846*/ GIMT_Encode4(253137), // Rule ID 5392 //
     /*  253079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  253082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253118 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  253118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  253121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253135 */     GIR_RootConstrainSelectedInstOperands,
     /*  253136 */     // GIR_Coverage, 5392,
     /*  253136 */     GIR_EraseRootFromParent_Done,
     /*  253137 */   // Label 4846: @253137
     /*  253137 */   GIM_Try, /*On fail goto*//*Label 4847*/ GIMT_Encode4(253200), // Rule ID 5393 //
     /*  253142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  253145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  253153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  253156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  253159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  253181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M1),
     /*  253184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  253198 */     GIR_RootConstrainSelectedInstOperands,
     /*  253199 */     // GIR_Coverage, 5393,
     /*  253199 */     GIR_EraseRootFromParent_Done,
     /*  253200 */   // Label 4847: @253200
     /*  253200 */   GIM_Try, /*On fail goto*//*Label 4848*/ GIMT_Encode4(253263), // Rule ID 5394 //
     /*  253205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253244 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253261 */     GIR_RootConstrainSelectedInstOperands,
     /*  253262 */     // GIR_Coverage, 5394,
     /*  253262 */     GIR_EraseRootFromParent_Done,
     /*  253263 */   // Label 4848: @253263
     /*  253263 */   GIM_Try, /*On fail goto*//*Label 4849*/ GIMT_Encode4(253326), // Rule ID 5395 //
     /*  253268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  253282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  253285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253307 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253324 */     GIR_RootConstrainSelectedInstOperands,
     /*  253325 */     // GIR_Coverage, 5395,
     /*  253325 */     GIR_EraseRootFromParent_Done,
     /*  253326 */   // Label 4849: @253326
     /*  253326 */   GIM_Try, /*On fail goto*//*Label 4850*/ GIMT_Encode4(253389), // Rule ID 5396 //
     /*  253331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  253345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  253348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253370 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253387 */     GIR_RootConstrainSelectedInstOperands,
     /*  253388 */     // GIR_Coverage, 5396,
     /*  253388 */     GIR_EraseRootFromParent_Done,
     /*  253389 */   // Label 4850: @253389
     /*  253389 */   GIM_Try, /*On fail goto*//*Label 4851*/ GIMT_Encode4(253452), // Rule ID 5397 //
     /*  253394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  253408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  253411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253433 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253450 */     GIR_RootConstrainSelectedInstOperands,
     /*  253451 */     // GIR_Coverage, 5397,
     /*  253451 */     GIR_EraseRootFromParent_Done,
     /*  253452 */   // Label 4851: @253452
     /*  253452 */   GIM_Try, /*On fail goto*//*Label 4852*/ GIMT_Encode4(253515), // Rule ID 5398 //
     /*  253457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253496 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  253496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253513 */     GIR_RootConstrainSelectedInstOperands,
     /*  253514 */     // GIR_Coverage, 5398,
     /*  253514 */     GIR_EraseRootFromParent_Done,
     /*  253515 */   // Label 4852: @253515
     /*  253515 */   GIM_Try, /*On fail goto*//*Label 4853*/ GIMT_Encode4(253578), // Rule ID 5399 //
     /*  253520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  253531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  253534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  253537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253559 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  253559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  253576 */     GIR_RootConstrainSelectedInstOperands,
     /*  253577 */     // GIR_Coverage, 5399,
     /*  253577 */     GIR_EraseRootFromParent_Done,
     /*  253578 */   // Label 4853: @253578
     /*  253578 */   GIM_Try, /*On fail goto*//*Label 4854*/ GIMT_Encode4(253641), // Rule ID 5400 //
     /*  253583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253622 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253639 */     GIR_RootConstrainSelectedInstOperands,
     /*  253640 */     // GIR_Coverage, 5400,
     /*  253640 */     GIR_EraseRootFromParent_Done,
     /*  253641 */   // Label 4854: @253641
     /*  253641 */   GIM_Try, /*On fail goto*//*Label 4855*/ GIMT_Encode4(253704), // Rule ID 5401 //
     /*  253646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  253657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  253660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  253663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253685 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  253688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253702 */     GIR_RootConstrainSelectedInstOperands,
     /*  253703 */     // GIR_Coverage, 5401,
     /*  253703 */     GIR_EraseRootFromParent_Done,
     /*  253704 */   // Label 4855: @253704
     /*  253704 */   GIM_Try, /*On fail goto*//*Label 4856*/ GIMT_Encode4(253767), // Rule ID 5402 //
     /*  253709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253748 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253765 */     GIR_RootConstrainSelectedInstOperands,
     /*  253766 */     // GIR_Coverage, 5402,
     /*  253766 */     GIR_EraseRootFromParent_Done,
     /*  253767 */   // Label 4856: @253767
     /*  253767 */   GIM_Try, /*On fail goto*//*Label 4857*/ GIMT_Encode4(253830), // Rule ID 5403 //
     /*  253772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  253783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  253786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  253789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  253804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253811 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  253814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253828 */     GIR_RootConstrainSelectedInstOperands,
     /*  253829 */     // GIR_Coverage, 5403,
     /*  253829 */     GIR_EraseRootFromParent_Done,
     /*  253830 */   // Label 4857: @253830
     /*  253830 */   GIM_Try, /*On fail goto*//*Label 4858*/ GIMT_Encode4(253893), // Rule ID 5404 //
     /*  253835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  253849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  253852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253874 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  253874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253891 */     GIR_RootConstrainSelectedInstOperands,
     /*  253892 */     // GIR_Coverage, 5404,
     /*  253892 */     GIR_EraseRootFromParent_Done,
     /*  253893 */   // Label 4858: @253893
     /*  253893 */   GIM_Try, /*On fail goto*//*Label 4859*/ GIMT_Encode4(253956), // Rule ID 5405 //
     /*  253898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  253901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  253909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  253912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  253915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  253918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  253930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  253937 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  253937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  253940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  253942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  253944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  253946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  253951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  253954 */     GIR_RootConstrainSelectedInstOperands,
     /*  253955 */     // GIR_Coverage, 5405,
     /*  253955 */     GIR_EraseRootFromParent_Done,
     /*  253956 */   // Label 4859: @253956
     /*  253956 */   GIM_Try, /*On fail goto*//*Label 4860*/ GIMT_Encode4(254019), // Rule ID 5406 //
     /*  253961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  253964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  253969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  253972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  253975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  253978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  253981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  253985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  253993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254000 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  254003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254017 */     GIR_RootConstrainSelectedInstOperands,
     /*  254018 */     // GIR_Coverage, 5406,
     /*  254018 */     GIR_EraseRootFromParent_Done,
     /*  254019 */   // Label 4860: @254019
     /*  254019 */   GIM_Try, /*On fail goto*//*Label 4861*/ GIMT_Encode4(254082), // Rule ID 5407 //
     /*  254024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  254038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  254041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254063 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  254066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254080 */     GIR_RootConstrainSelectedInstOperands,
     /*  254081 */     // GIR_Coverage, 5407,
     /*  254081 */     GIR_EraseRootFromParent_Done,
     /*  254082 */   // Label 4861: @254082
     /*  254082 */   GIM_Try, /*On fail goto*//*Label 4862*/ GIMT_Encode4(254145), // Rule ID 5408 //
     /*  254087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254126 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  254129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254143 */     GIR_RootConstrainSelectedInstOperands,
     /*  254144 */     // GIR_Coverage, 5408,
     /*  254144 */     GIR_EraseRootFromParent_Done,
     /*  254145 */   // Label 4862: @254145
     /*  254145 */   GIM_Try, /*On fail goto*//*Label 4863*/ GIMT_Encode4(254208), // Rule ID 5409 //
     /*  254150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  254164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  254167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254189 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  254192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254206 */     GIR_RootConstrainSelectedInstOperands,
     /*  254207 */     // GIR_Coverage, 5409,
     /*  254207 */     GIR_EraseRootFromParent_Done,
     /*  254208 */   // Label 4863: @254208
     /*  254208 */   GIM_Try, /*On fail goto*//*Label 4864*/ GIMT_Encode4(254271), // Rule ID 5410 //
     /*  254213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254252 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  254252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  254255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254269 */     GIR_RootConstrainSelectedInstOperands,
     /*  254270 */     // GIR_Coverage, 5410,
     /*  254270 */     GIR_EraseRootFromParent_Done,
     /*  254271 */   // Label 4864: @254271
     /*  254271 */   GIM_Try, /*On fail goto*//*Label 4865*/ GIMT_Encode4(254334), // Rule ID 5411 //
     /*  254276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  254287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  254290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  254293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254315 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  254315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  254318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  254332 */     GIR_RootConstrainSelectedInstOperands,
     /*  254333 */     // GIR_Coverage, 5411,
     /*  254333 */     GIR_EraseRootFromParent_Done,
     /*  254334 */   // Label 4865: @254334
     /*  254334 */   GIM_Try, /*On fail goto*//*Label 4866*/ GIMT_Encode4(254397), // Rule ID 5412 //
     /*  254339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  254353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  254356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254378 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  254381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254395 */     GIR_RootConstrainSelectedInstOperands,
     /*  254396 */     // GIR_Coverage, 5412,
     /*  254396 */     GIR_EraseRootFromParent_Done,
     /*  254397 */   // Label 4866: @254397
     /*  254397 */   GIM_Try, /*On fail goto*//*Label 4867*/ GIMT_Encode4(254460), // Rule ID 5413 //
     /*  254402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  254416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  254419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  254434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254441 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M2),
     /*  254444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254458 */     GIR_RootConstrainSelectedInstOperands,
     /*  254459 */     // GIR_Coverage, 5413,
     /*  254459 */     GIR_EraseRootFromParent_Done,
     /*  254460 */   // Label 4867: @254460
     /*  254460 */   GIM_Try, /*On fail goto*//*Label 4868*/ GIMT_Encode4(254523), // Rule ID 5414 //
     /*  254465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254504 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  254507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254521 */     GIR_RootConstrainSelectedInstOperands,
     /*  254522 */     // GIR_Coverage, 5414,
     /*  254522 */     GIR_EraseRootFromParent_Done,
     /*  254523 */   // Label 4868: @254523
     /*  254523 */   GIM_Try, /*On fail goto*//*Label 4869*/ GIMT_Encode4(254586), // Rule ID 5415 //
     /*  254528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  254542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  254545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  254560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254567 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M4),
     /*  254570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254584 */     GIR_RootConstrainSelectedInstOperands,
     /*  254585 */     // GIR_Coverage, 5415,
     /*  254585 */     GIR_EraseRootFromParent_Done,
     /*  254586 */   // Label 4869: @254586
     /*  254586 */   GIM_Try, /*On fail goto*//*Label 4870*/ GIMT_Encode4(254649), // Rule ID 5416 //
     /*  254591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  254594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254630 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  254630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  254633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254647 */     GIR_RootConstrainSelectedInstOperands,
     /*  254648 */     // GIR_Coverage, 5416,
     /*  254648 */     GIR_EraseRootFromParent_Done,
     /*  254649 */   // Label 4870: @254649
     /*  254649 */   GIM_Try, /*On fail goto*//*Label 4871*/ GIMT_Encode4(254712), // Rule ID 5417 //
     /*  254654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  254657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  254665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  254668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  254671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  254686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254693 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  254693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VV_M8),
     /*  254696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  254710 */     GIR_RootConstrainSelectedInstOperands,
     /*  254711 */     // GIR_Coverage, 5417,
     /*  254711 */     GIR_EraseRootFromParent_Done,
     /*  254712 */   // Label 4871: @254712
     /*  254712 */   GIM_Try, /*On fail goto*//*Label 4872*/ GIMT_Encode4(254775), // Rule ID 5418 //
     /*  254717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  254731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  254759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254773 */     GIR_RootConstrainSelectedInstOperands,
     /*  254774 */     // GIR_Coverage, 5418,
     /*  254774 */     GIR_EraseRootFromParent_Done,
     /*  254775 */   // Label 4872: @254775
     /*  254775 */   GIM_Try, /*On fail goto*//*Label 4873*/ GIMT_Encode4(254838), // Rule ID 5419 //
     /*  254780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  254791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  254794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254819 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF8),
     /*  254822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254836 */     GIR_RootConstrainSelectedInstOperands,
     /*  254837 */     // GIR_Coverage, 5419,
     /*  254837 */     GIR_EraseRootFromParent_Done,
     /*  254838 */   // Label 4873: @254838
     /*  254838 */   GIM_Try, /*On fail goto*//*Label 4874*/ GIMT_Encode4(254901), // Rule ID 5420 //
     /*  254843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254882 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  254882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254899 */     GIR_RootConstrainSelectedInstOperands,
     /*  254900 */     // GIR_Coverage, 5420,
     /*  254900 */     GIR_EraseRootFromParent_Done,
     /*  254901 */   // Label 4874: @254901
     /*  254901 */   GIM_Try, /*On fail goto*//*Label 4875*/ GIMT_Encode4(254964), // Rule ID 5421 //
     /*  254906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  254909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  254917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  254920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  254923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  254926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  254938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  254945 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  254945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  254948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  254950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  254952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  254954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  254959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  254962 */     GIR_RootConstrainSelectedInstOperands,
     /*  254963 */     // GIR_Coverage, 5421,
     /*  254963 */     GIR_EraseRootFromParent_Done,
     /*  254964 */   // Label 4875: @254964
     /*  254964 */   GIM_Try, /*On fail goto*//*Label 4876*/ GIMT_Encode4(255027), // Rule ID 5422 //
     /*  254969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  254972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  254977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  254980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  254983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  254986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  254989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  254997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  255011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255025 */     GIR_RootConstrainSelectedInstOperands,
     /*  255026 */     // GIR_Coverage, 5422,
     /*  255026 */     GIR_EraseRootFromParent_Done,
     /*  255027 */   // Label 4876: @255027
     /*  255027 */   GIM_Try, /*On fail goto*//*Label 4877*/ GIMT_Encode4(255090), // Rule ID 5423 //
     /*  255032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  255046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255071 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  255074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255088 */     GIR_RootConstrainSelectedInstOperands,
     /*  255089 */     // GIR_Coverage, 5423,
     /*  255089 */     GIR_EraseRootFromParent_Done,
     /*  255090 */   // Label 4877: @255090
     /*  255090 */   GIM_Try, /*On fail goto*//*Label 4878*/ GIMT_Encode4(255153), // Rule ID 5424 //
     /*  255095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255134 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  255137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255151 */     GIR_RootConstrainSelectedInstOperands,
     /*  255152 */     // GIR_Coverage, 5424,
     /*  255152 */     GIR_EraseRootFromParent_Done,
     /*  255153 */   // Label 4878: @255153
     /*  255153 */   GIM_Try, /*On fail goto*//*Label 4879*/ GIMT_Encode4(255216), // Rule ID 5425 //
     /*  255158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  255172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255197 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF4),
     /*  255200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255214 */     GIR_RootConstrainSelectedInstOperands,
     /*  255215 */     // GIR_Coverage, 5425,
     /*  255215 */     GIR_EraseRootFromParent_Done,
     /*  255216 */   // Label 4879: @255216
     /*  255216 */   GIM_Try, /*On fail goto*//*Label 4880*/ GIMT_Encode4(255279), // Rule ID 5426 //
     /*  255221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255260 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  255263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255277 */     GIR_RootConstrainSelectedInstOperands,
     /*  255278 */     // GIR_Coverage, 5426,
     /*  255278 */     GIR_EraseRootFromParent_Done,
     /*  255279 */   // Label 4880: @255279
     /*  255279 */   GIM_Try, /*On fail goto*//*Label 4881*/ GIMT_Encode4(255342), // Rule ID 5427 //
     /*  255284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  255298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255323 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  255326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255340 */     GIR_RootConstrainSelectedInstOperands,
     /*  255341 */     // GIR_Coverage, 5427,
     /*  255341 */     GIR_EraseRootFromParent_Done,
     /*  255342 */   // Label 4881: @255342
     /*  255342 */   GIM_Try, /*On fail goto*//*Label 4882*/ GIMT_Encode4(255405), // Rule ID 5428 //
     /*  255347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255386 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  255389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255403 */     GIR_RootConstrainSelectedInstOperands,
     /*  255404 */     // GIR_Coverage, 5428,
     /*  255404 */     GIR_EraseRootFromParent_Done,
     /*  255405 */   // Label 4882: @255405
     /*  255405 */   GIM_Try, /*On fail goto*//*Label 4883*/ GIMT_Encode4(255468), // Rule ID 5429 //
     /*  255410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  255424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255449 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_MF2),
     /*  255452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255466 */     GIR_RootConstrainSelectedInstOperands,
     /*  255467 */     // GIR_Coverage, 5429,
     /*  255467 */     GIR_EraseRootFromParent_Done,
     /*  255468 */   // Label 4883: @255468
     /*  255468 */   GIM_Try, /*On fail goto*//*Label 4884*/ GIMT_Encode4(255531), // Rule ID 5430 //
     /*  255473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255512 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  255512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255529 */     GIR_RootConstrainSelectedInstOperands,
     /*  255530 */     // GIR_Coverage, 5430,
     /*  255530 */     GIR_EraseRootFromParent_Done,
     /*  255531 */   // Label 4884: @255531
     /*  255531 */   GIM_Try, /*On fail goto*//*Label 4885*/ GIMT_Encode4(255594), // Rule ID 5431 //
     /*  255536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  255547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  255550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255575 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  255575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  255592 */     GIR_RootConstrainSelectedInstOperands,
     /*  255593 */     // GIR_Coverage, 5431,
     /*  255593 */     GIR_EraseRootFromParent_Done,
     /*  255594 */   // Label 4885: @255594
     /*  255594 */   GIM_Try, /*On fail goto*//*Label 4886*/ GIMT_Encode4(255657), // Rule ID 5432 //
     /*  255599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255638 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  255638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255655 */     GIR_RootConstrainSelectedInstOperands,
     /*  255656 */     // GIR_Coverage, 5432,
     /*  255656 */     GIR_EraseRootFromParent_Done,
     /*  255657 */   // Label 4886: @255657
     /*  255657 */   GIM_Try, /*On fail goto*//*Label 4887*/ GIMT_Encode4(255720), // Rule ID 5433 //
     /*  255662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  255673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  255676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255701 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  255701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  255718 */     GIR_RootConstrainSelectedInstOperands,
     /*  255719 */     // GIR_Coverage, 5433,
     /*  255719 */     GIR_EraseRootFromParent_Done,
     /*  255720 */   // Label 4887: @255720
     /*  255720 */   GIM_Try, /*On fail goto*//*Label 4888*/ GIMT_Encode4(255783), // Rule ID 5434 //
     /*  255725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255764 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  255764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255781 */     GIR_RootConstrainSelectedInstOperands,
     /*  255782 */     // GIR_Coverage, 5434,
     /*  255782 */     GIR_EraseRootFromParent_Done,
     /*  255783 */   // Label 4888: @255783
     /*  255783 */   GIM_Try, /*On fail goto*//*Label 4889*/ GIMT_Encode4(255846), // Rule ID 5435 //
     /*  255788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  255791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  255799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  255802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255827 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  255827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  255844 */     GIR_RootConstrainSelectedInstOperands,
     /*  255845 */     // GIR_Coverage, 5435,
     /*  255845 */     GIR_EraseRootFromParent_Done,
     /*  255846 */   // Label 4889: @255846
     /*  255846 */   GIM_Try, /*On fail goto*//*Label 4890*/ GIMT_Encode4(255909), // Rule ID 5436 //
     /*  255851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  255854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255890 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  255890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255907 */     GIR_RootConstrainSelectedInstOperands,
     /*  255908 */     // GIR_Coverage, 5436,
     /*  255908 */     GIR_EraseRootFromParent_Done,
     /*  255909 */   // Label 4890: @255909
     /*  255909 */   GIM_Try, /*On fail goto*//*Label 4891*/ GIMT_Encode4(255972), // Rule ID 5437 //
     /*  255914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  255917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  255925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  255928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  255931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  255934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  255942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  255946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  255953 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11408:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  255953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M1),
     /*  255956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  255958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  255960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  255962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  255967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  255970 */     GIR_RootConstrainSelectedInstOperands,
     /*  255971 */     // GIR_Coverage, 5437,
     /*  255971 */     GIR_EraseRootFromParent_Done,
     /*  255972 */   // Label 4891: @255972
     /*  255972 */   GIM_Try, /*On fail goto*//*Label 4892*/ GIMT_Encode4(256035), // Rule ID 5438 //
     /*  255977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  255980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  255985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  255988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  255991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  255994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  255997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256016 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256033 */     GIR_RootConstrainSelectedInstOperands,
     /*  256034 */     // GIR_Coverage, 5438,
     /*  256034 */     GIR_EraseRootFromParent_Done,
     /*  256035 */   // Label 4892: @256035
     /*  256035 */   GIM_Try, /*On fail goto*//*Label 4893*/ GIMT_Encode4(256098), // Rule ID 5439 //
     /*  256040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  256054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256079 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256096 */     GIR_RootConstrainSelectedInstOperands,
     /*  256097 */     // GIR_Coverage, 5439,
     /*  256097 */     GIR_EraseRootFromParent_Done,
     /*  256098 */   // Label 4893: @256098
     /*  256098 */   GIM_Try, /*On fail goto*//*Label 4894*/ GIMT_Encode4(256161), // Rule ID 5440 //
     /*  256103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256142 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256159 */     GIR_RootConstrainSelectedInstOperands,
     /*  256160 */     // GIR_Coverage, 5440,
     /*  256160 */     GIR_EraseRootFromParent_Done,
     /*  256161 */   // Label 4894: @256161
     /*  256161 */   GIM_Try, /*On fail goto*//*Label 4895*/ GIMT_Encode4(256224), // Rule ID 5441 //
     /*  256166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  256180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256205 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256222 */     GIR_RootConstrainSelectedInstOperands,
     /*  256223 */     // GIR_Coverage, 5441,
     /*  256223 */     GIR_EraseRootFromParent_Done,
     /*  256224 */   // Label 4895: @256224
     /*  256224 */   GIM_Try, /*On fail goto*//*Label 4896*/ GIMT_Encode4(256287), // Rule ID 5442 //
     /*  256229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256268 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  256268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256285 */     GIR_RootConstrainSelectedInstOperands,
     /*  256286 */     // GIR_Coverage, 5442,
     /*  256286 */     GIR_EraseRootFromParent_Done,
     /*  256287 */   // Label 4896: @256287
     /*  256287 */   GIM_Try, /*On fail goto*//*Label 4897*/ GIMT_Encode4(256350), // Rule ID 5443 //
     /*  256292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  256303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  256306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256331 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  256331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  256348 */     GIR_RootConstrainSelectedInstOperands,
     /*  256349 */     // GIR_Coverage, 5443,
     /*  256349 */     GIR_EraseRootFromParent_Done,
     /*  256350 */   // Label 4897: @256350
     /*  256350 */   GIM_Try, /*On fail goto*//*Label 4898*/ GIMT_Encode4(256413), // Rule ID 5444 //
     /*  256355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  256369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256394 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256411 */     GIR_RootConstrainSelectedInstOperands,
     /*  256412 */     // GIR_Coverage, 5444,
     /*  256412 */     GIR_EraseRootFromParent_Done,
     /*  256413 */   // Label 4898: @256413
     /*  256413 */   GIM_Try, /*On fail goto*//*Label 4899*/ GIMT_Encode4(256476), // Rule ID 5445 //
     /*  256418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  256432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256457 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256474 */     GIR_RootConstrainSelectedInstOperands,
     /*  256475 */     // GIR_Coverage, 5445,
     /*  256475 */     GIR_EraseRootFromParent_Done,
     /*  256476 */   // Label 4899: @256476
     /*  256476 */   GIM_Try, /*On fail goto*//*Label 4900*/ GIMT_Encode4(256539), // Rule ID 5446 //
     /*  256481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256520 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256537 */     GIR_RootConstrainSelectedInstOperands,
     /*  256538 */     // GIR_Coverage, 5446,
     /*  256538 */     GIR_EraseRootFromParent_Done,
     /*  256539 */   // Label 4900: @256539
     /*  256539 */   GIM_Try, /*On fail goto*//*Label 4901*/ GIMT_Encode4(256602), // Rule ID 5447 //
     /*  256544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  256558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256583 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256600 */     GIR_RootConstrainSelectedInstOperands,
     /*  256601 */     // GIR_Coverage, 5447,
     /*  256601 */     GIR_EraseRootFromParent_Done,
     /*  256602 */   // Label 4901: @256602
     /*  256602 */   GIM_Try, /*On fail goto*//*Label 4902*/ GIMT_Encode4(256665), // Rule ID 5448 //
     /*  256607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256646 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  256646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256663 */     GIR_RootConstrainSelectedInstOperands,
     /*  256664 */     // GIR_Coverage, 5448,
     /*  256664 */     GIR_EraseRootFromParent_Done,
     /*  256665 */   // Label 4902: @256665
     /*  256665 */   GIM_Try, /*On fail goto*//*Label 4903*/ GIMT_Encode4(256728), // Rule ID 5449 //
     /*  256670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  256681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  256684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  256698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256709 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  256709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  256712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  256726 */     GIR_RootConstrainSelectedInstOperands,
     /*  256727 */     // GIR_Coverage, 5449,
     /*  256727 */     GIR_EraseRootFromParent_Done,
     /*  256728 */   // Label 4903: @256728
     /*  256728 */   GIM_Try, /*On fail goto*//*Label 4904*/ GIMT_Encode4(256791), // Rule ID 5450 //
     /*  256733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  256747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256772 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256789 */     GIR_RootConstrainSelectedInstOperands,
     /*  256790 */     // GIR_Coverage, 5450,
     /*  256790 */     GIR_EraseRootFromParent_Done,
     /*  256791 */   // Label 4904: @256791
     /*  256791 */   GIM_Try, /*On fail goto*//*Label 4905*/ GIMT_Encode4(256854), // Rule ID 5451 //
     /*  256796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  256807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  256810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  256824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256835 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  256838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256852 */     GIR_RootConstrainSelectedInstOperands,
     /*  256853 */     // GIR_Coverage, 5451,
     /*  256853 */     GIR_EraseRootFromParent_Done,
     /*  256854 */   // Label 4905: @256854
     /*  256854 */   GIM_Try, /*On fail goto*//*Label 4906*/ GIMT_Encode4(256917), // Rule ID 5452 //
     /*  256859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  256876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  256879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  256898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256915 */     GIR_RootConstrainSelectedInstOperands,
     /*  256916 */     // GIR_Coverage, 5452,
     /*  256916 */     GIR_EraseRootFromParent_Done,
     /*  256917 */   // Label 4906: @256917
     /*  256917 */   GIM_Try, /*On fail goto*//*Label 4907*/ GIMT_Encode4(256980), // Rule ID 5453 //
     /*  256922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  256925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  256933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  256936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  256939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  256942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  256946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  256950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  256954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  256961 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  256961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  256964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  256966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  256968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  256970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  256975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  256978 */     GIR_RootConstrainSelectedInstOperands,
     /*  256979 */     // GIR_Coverage, 5453,
     /*  256979 */     GIR_EraseRootFromParent_Done,
     /*  256980 */   // Label 4907: @256980
     /*  256980 */   GIM_Try, /*On fail goto*//*Label 4908*/ GIMT_Encode4(257043), // Rule ID 5454 //
     /*  256985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  256988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  256993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  256996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  256999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257024 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  257024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  257027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257041 */     GIR_RootConstrainSelectedInstOperands,
     /*  257042 */     // GIR_Coverage, 5454,
     /*  257042 */     GIR_EraseRootFromParent_Done,
     /*  257043 */   // Label 4908: @257043
     /*  257043 */   GIM_Try, /*On fail goto*//*Label 4909*/ GIMT_Encode4(257106), // Rule ID 5455 //
     /*  257048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  257056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  257059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  257062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257087 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  257087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  257090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  257104 */     GIR_RootConstrainSelectedInstOperands,
     /*  257105 */     // GIR_Coverage, 5455,
     /*  257105 */     GIR_EraseRootFromParent_Done,
     /*  257106 */   // Label 4909: @257106
     /*  257106 */   GIM_Try, /*On fail goto*//*Label 4910*/ GIMT_Encode4(257169), // Rule ID 5456 //
     /*  257111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  257119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257150 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  257153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257167 */     GIR_RootConstrainSelectedInstOperands,
     /*  257168 */     // GIR_Coverage, 5456,
     /*  257168 */     GIR_EraseRootFromParent_Done,
     /*  257169 */   // Label 4910: @257169
     /*  257169 */   GIM_Try, /*On fail goto*//*Label 4911*/ GIMT_Encode4(257232), // Rule ID 5457 //
     /*  257174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  257182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  257188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  257202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257213 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11408:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M2),
     /*  257216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257230 */     GIR_RootConstrainSelectedInstOperands,
     /*  257231 */     // GIR_Coverage, 5457,
     /*  257231 */     GIR_EraseRootFromParent_Done,
     /*  257232 */   // Label 4911: @257232
     /*  257232 */   GIM_Try, /*On fail goto*//*Label 4912*/ GIMT_Encode4(257295), // Rule ID 5458 //
     /*  257237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  257245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257276 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  257279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257293 */     GIR_RootConstrainSelectedInstOperands,
     /*  257294 */     // GIR_Coverage, 5458,
     /*  257294 */     GIR_EraseRootFromParent_Done,
     /*  257295 */   // Label 4912: @257295
     /*  257295 */   GIM_Try, /*On fail goto*//*Label 4913*/ GIMT_Encode4(257358), // Rule ID 5459 //
     /*  257300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  257308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  257314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  257328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257339 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11408:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M4),
     /*  257342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257356 */     GIR_RootConstrainSelectedInstOperands,
     /*  257357 */     // GIR_Coverage, 5459,
     /*  257357 */     GIR_EraseRootFromParent_Done,
     /*  257358 */   // Label 4913: @257358
     /*  257358 */   GIM_Try, /*On fail goto*//*Label 4914*/ GIMT_Encode4(257421), // Rule ID 5460 //
     /*  257363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  257366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  257371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  257377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  257380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257402 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  257402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  257405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257419 */     GIR_RootConstrainSelectedInstOperands,
     /*  257420 */     // GIR_Coverage, 5460,
     /*  257420 */     GIR_EraseRootFromParent_Done,
     /*  257421 */   // Label 4914: @257421
     /*  257421 */   GIM_Try, /*On fail goto*//*Label 4915*/ GIMT_Encode4(257484), // Rule ID 5461 //
     /*  257426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  257429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc),
     /*  257434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  257437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  257440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  257443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  257454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  257458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257465 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11408:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  257465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VX_M8),
     /*  257468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  257482 */     GIR_RootConstrainSelectedInstOperands,
     /*  257483 */     // GIR_Coverage, 5461,
     /*  257483 */     GIR_EraseRootFromParent_Done,
     /*  257484 */   // Label 4915: @257484
     /*  257484 */   GIM_Try, /*On fail goto*//*Label 4916*/ GIMT_Encode4(257547), // Rule ID 5682 //
     /*  257489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  257503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  257506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  257531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257545 */     GIR_RootConstrainSelectedInstOperands,
     /*  257546 */     // GIR_Coverage, 5682,
     /*  257546 */     GIR_EraseRootFromParent_Done,
     /*  257547 */   // Label 4916: @257547
     /*  257547 */   GIM_Try, /*On fail goto*//*Label 4917*/ GIMT_Encode4(257610), // Rule ID 5683 //
     /*  257552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  257566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  257569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257591 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF8),
     /*  257594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257608 */     GIR_RootConstrainSelectedInstOperands,
     /*  257609 */     // GIR_Coverage, 5683,
     /*  257609 */     GIR_EraseRootFromParent_Done,
     /*  257610 */   // Label 4917: @257610
     /*  257610 */   GIM_Try, /*On fail goto*//*Label 4918*/ GIMT_Encode4(257673), // Rule ID 5684 //
     /*  257615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257654 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257671 */     GIR_RootConstrainSelectedInstOperands,
     /*  257672 */     // GIR_Coverage, 5684,
     /*  257672 */     GIR_EraseRootFromParent_Done,
     /*  257673 */   // Label 4918: @257673
     /*  257673 */   GIM_Try, /*On fail goto*//*Label 4919*/ GIMT_Encode4(257736), // Rule ID 5685 //
     /*  257678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  257689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  257692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  257695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257717 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257734 */     GIR_RootConstrainSelectedInstOperands,
     /*  257735 */     // GIR_Coverage, 5685,
     /*  257735 */     GIR_EraseRootFromParent_Done,
     /*  257736 */   // Label 4919: @257736
     /*  257736 */   GIM_Try, /*On fail goto*//*Label 4920*/ GIMT_Encode4(257799), // Rule ID 5686 //
     /*  257741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  257780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257797 */     GIR_RootConstrainSelectedInstOperands,
     /*  257798 */     // GIR_Coverage, 5686,
     /*  257798 */     GIR_EraseRootFromParent_Done,
     /*  257799 */   // Label 4920: @257799
     /*  257799 */   GIM_Try, /*On fail goto*//*Label 4921*/ GIMT_Encode4(257862), // Rule ID 5687 //
     /*  257804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  257815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  257818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  257821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257843 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  257843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  257846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  257860 */     GIR_RootConstrainSelectedInstOperands,
     /*  257861 */     // GIR_Coverage, 5687,
     /*  257861 */     GIR_EraseRootFromParent_Done,
     /*  257862 */   // Label 4921: @257862
     /*  257862 */   GIM_Try, /*On fail goto*//*Label 4922*/ GIMT_Encode4(257925), // Rule ID 5688 //
     /*  257867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  257884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  257887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257906 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  257906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257923 */     GIR_RootConstrainSelectedInstOperands,
     /*  257924 */     // GIR_Coverage, 5688,
     /*  257924 */     GIR_EraseRootFromParent_Done,
     /*  257925 */   // Label 4922: @257925
     /*  257925 */   GIM_Try, /*On fail goto*//*Label 4923*/ GIMT_Encode4(257988), // Rule ID 5689 //
     /*  257930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  257933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  257938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  257941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  257944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  257947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  257950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  257962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  257969 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  257969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF4),
     /*  257972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  257974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  257976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  257978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  257983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  257986 */     GIR_RootConstrainSelectedInstOperands,
     /*  257987 */     // GIR_Coverage, 5689,
     /*  257987 */     GIR_EraseRootFromParent_Done,
     /*  257988 */   // Label 4923: @257988
     /*  257988 */   GIM_Try, /*On fail goto*//*Label 4924*/ GIMT_Encode4(258051), // Rule ID 5690 //
     /*  257993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  257996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258032 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  258035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258049 */     GIR_RootConstrainSelectedInstOperands,
     /*  258050 */     // GIR_Coverage, 5690,
     /*  258050 */     GIR_EraseRootFromParent_Done,
     /*  258051 */   // Label 4924: @258051
     /*  258051 */   GIM_Try, /*On fail goto*//*Label 4925*/ GIMT_Encode4(258114), // Rule ID 5691 //
     /*  258056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  258070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  258073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258095 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  258098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258112 */     GIR_RootConstrainSelectedInstOperands,
     /*  258113 */     // GIR_Coverage, 5691,
     /*  258113 */     GIR_EraseRootFromParent_Done,
     /*  258114 */   // Label 4925: @258114
     /*  258114 */   GIM_Try, /*On fail goto*//*Label 4926*/ GIMT_Encode4(258177), // Rule ID 5692 //
     /*  258119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258158 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  258161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258175 */     GIR_RootConstrainSelectedInstOperands,
     /*  258176 */     // GIR_Coverage, 5692,
     /*  258176 */     GIR_EraseRootFromParent_Done,
     /*  258177 */   // Label 4926: @258177
     /*  258177 */   GIM_Try, /*On fail goto*//*Label 4927*/ GIMT_Encode4(258240), // Rule ID 5693 //
     /*  258182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  258196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  258199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258221 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_MF2),
     /*  258224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258238 */     GIR_RootConstrainSelectedInstOperands,
     /*  258239 */     // GIR_Coverage, 5693,
     /*  258239 */     GIR_EraseRootFromParent_Done,
     /*  258240 */   // Label 4927: @258240
     /*  258240 */   GIM_Try, /*On fail goto*//*Label 4928*/ GIMT_Encode4(258303), // Rule ID 5694 //
     /*  258245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258284 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258301 */     GIR_RootConstrainSelectedInstOperands,
     /*  258302 */     // GIR_Coverage, 5694,
     /*  258302 */     GIR_EraseRootFromParent_Done,
     /*  258303 */   // Label 4928: @258303
     /*  258303 */   GIM_Try, /*On fail goto*//*Label 4929*/ GIMT_Encode4(258366), // Rule ID 5695 //
     /*  258308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  258319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  258322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  258325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258347 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258364 */     GIR_RootConstrainSelectedInstOperands,
     /*  258365 */     // GIR_Coverage, 5695,
     /*  258365 */     GIR_EraseRootFromParent_Done,
     /*  258366 */   // Label 4929: @258366
     /*  258366 */   GIM_Try, /*On fail goto*//*Label 4930*/ GIMT_Encode4(258429), // Rule ID 5696 //
     /*  258371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258410 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  258410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258427 */     GIR_RootConstrainSelectedInstOperands,
     /*  258428 */     // GIR_Coverage, 5696,
     /*  258428 */     GIR_EraseRootFromParent_Done,
     /*  258429 */   // Label 4930: @258429
     /*  258429 */   GIM_Try, /*On fail goto*//*Label 4931*/ GIMT_Encode4(258492), // Rule ID 5697 //
     /*  258434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  258445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  258448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  258451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258473 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  258473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  258490 */     GIR_RootConstrainSelectedInstOperands,
     /*  258491 */     // GIR_Coverage, 5697,
     /*  258491 */     GIR_EraseRootFromParent_Done,
     /*  258492 */   // Label 4931: @258492
     /*  258492 */   GIM_Try, /*On fail goto*//*Label 4932*/ GIMT_Encode4(258555), // Rule ID 5698 //
     /*  258497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258536 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  258536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258553 */     GIR_RootConstrainSelectedInstOperands,
     /*  258554 */     // GIR_Coverage, 5698,
     /*  258554 */     GIR_EraseRootFromParent_Done,
     /*  258555 */   // Label 4932: @258555
     /*  258555 */   GIM_Try, /*On fail goto*//*Label 4933*/ GIMT_Encode4(258618), // Rule ID 5699 //
     /*  258560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  258571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  258574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  258577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258599 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  258599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  258616 */     GIR_RootConstrainSelectedInstOperands,
     /*  258617 */     // GIR_Coverage, 5699,
     /*  258617 */     GIR_EraseRootFromParent_Done,
     /*  258618 */   // Label 4933: @258618
     /*  258618 */   GIM_Try, /*On fail goto*//*Label 4934*/ GIMT_Encode4(258681), // Rule ID 5700 //
     /*  258623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  258626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258662 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  258662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258679 */     GIR_RootConstrainSelectedInstOperands,
     /*  258680 */     // GIR_Coverage, 5700,
     /*  258680 */     GIR_EraseRootFromParent_Done,
     /*  258681 */   // Label 4934: @258681
     /*  258681 */   GIM_Try, /*On fail goto*//*Label 4935*/ GIMT_Encode4(258744), // Rule ID 5701 //
     /*  258686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  258689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  258697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  258700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  258703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258725 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  258725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M1),
     /*  258728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  258742 */     GIR_RootConstrainSelectedInstOperands,
     /*  258743 */     // GIR_Coverage, 5701,
     /*  258743 */     GIR_EraseRootFromParent_Done,
     /*  258744 */   // Label 4935: @258744
     /*  258744 */   GIM_Try, /*On fail goto*//*Label 4936*/ GIMT_Encode4(258807), // Rule ID 5702 //
     /*  258749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258805 */     GIR_RootConstrainSelectedInstOperands,
     /*  258806 */     // GIR_Coverage, 5702,
     /*  258806 */     GIR_EraseRootFromParent_Done,
     /*  258807 */   // Label 4936: @258807
     /*  258807 */   GIM_Try, /*On fail goto*//*Label 4937*/ GIMT_Encode4(258870), // Rule ID 5703 //
     /*  258812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  258823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  258826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  258829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  258844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258851 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  258854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258868 */     GIR_RootConstrainSelectedInstOperands,
     /*  258869 */     // GIR_Coverage, 5703,
     /*  258869 */     GIR_EraseRootFromParent_Done,
     /*  258870 */   // Label 4937: @258870
     /*  258870 */   GIM_Try, /*On fail goto*//*Label 4938*/ GIMT_Encode4(258933), // Rule ID 5704 //
     /*  258875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  258878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  258889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  258892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  258895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258914 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  258914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258931 */     GIR_RootConstrainSelectedInstOperands,
     /*  258932 */     // GIR_Coverage, 5704,
     /*  258932 */     GIR_EraseRootFromParent_Done,
     /*  258933 */   // Label 4938: @258933
     /*  258933 */   GIM_Try, /*On fail goto*//*Label 4939*/ GIMT_Encode4(258996), // Rule ID 5705 //
     /*  258938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  258941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  258946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  258949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  258952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  258955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  258958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  258962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  258970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  258977 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  258977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  258980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  258982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  258984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  258986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  258991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  258994 */     GIR_RootConstrainSelectedInstOperands,
     /*  258995 */     // GIR_Coverage, 5705,
     /*  258995 */     GIR_EraseRootFromParent_Done,
     /*  258996 */   // Label 4939: @258996
     /*  258996 */   GIM_Try, /*On fail goto*//*Label 4940*/ GIMT_Encode4(259059), // Rule ID 5706 //
     /*  259001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259040 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  259040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259057 */     GIR_RootConstrainSelectedInstOperands,
     /*  259058 */     // GIR_Coverage, 5706,
     /*  259058 */     GIR_EraseRootFromParent_Done,
     /*  259059 */   // Label 4940: @259059
     /*  259059 */   GIM_Try, /*On fail goto*//*Label 4941*/ GIMT_Encode4(259122), // Rule ID 5707 //
     /*  259064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  259075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  259078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  259081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259103 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  259103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  259120 */     GIR_RootConstrainSelectedInstOperands,
     /*  259121 */     // GIR_Coverage, 5707,
     /*  259121 */     GIR_EraseRootFromParent_Done,
     /*  259122 */   // Label 4941: @259122
     /*  259122 */   GIM_Try, /*On fail goto*//*Label 4942*/ GIMT_Encode4(259185), // Rule ID 5708 //
     /*  259127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259166 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259183 */     GIR_RootConstrainSelectedInstOperands,
     /*  259184 */     // GIR_Coverage, 5708,
     /*  259184 */     GIR_EraseRootFromParent_Done,
     /*  259185 */   // Label 4942: @259185
     /*  259185 */   GIM_Try, /*On fail goto*//*Label 4943*/ GIMT_Encode4(259248), // Rule ID 5709 //
     /*  259190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  259204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  259207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259229 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259246 */     GIR_RootConstrainSelectedInstOperands,
     /*  259247 */     // GIR_Coverage, 5709,
     /*  259247 */     GIR_EraseRootFromParent_Done,
     /*  259248 */   // Label 4943: @259248
     /*  259248 */   GIM_Try, /*On fail goto*//*Label 4944*/ GIMT_Encode4(259311), // Rule ID 5710 //
     /*  259253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259309 */     GIR_RootConstrainSelectedInstOperands,
     /*  259310 */     // GIR_Coverage, 5710,
     /*  259310 */     GIR_EraseRootFromParent_Done,
     /*  259311 */   // Label 4944: @259311
     /*  259311 */   GIM_Try, /*On fail goto*//*Label 4945*/ GIMT_Encode4(259374), // Rule ID 5711 //
     /*  259316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  259330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  259333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259355 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259372 */     GIR_RootConstrainSelectedInstOperands,
     /*  259373 */     // GIR_Coverage, 5711,
     /*  259373 */     GIR_EraseRootFromParent_Done,
     /*  259374 */   // Label 4945: @259374
     /*  259374 */   GIM_Try, /*On fail goto*//*Label 4946*/ GIMT_Encode4(259437), // Rule ID 5712 //
     /*  259379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259418 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  259418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259435 */     GIR_RootConstrainSelectedInstOperands,
     /*  259436 */     // GIR_Coverage, 5712,
     /*  259436 */     GIR_EraseRootFromParent_Done,
     /*  259437 */   // Label 4946: @259437
     /*  259437 */   GIM_Try, /*On fail goto*//*Label 4947*/ GIMT_Encode4(259500), // Rule ID 5713 //
     /*  259442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  259453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  259456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  259459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259481 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  259481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  259498 */     GIR_RootConstrainSelectedInstOperands,
     /*  259499 */     // GIR_Coverage, 5713,
     /*  259499 */     GIR_EraseRootFromParent_Done,
     /*  259500 */   // Label 4947: @259500
     /*  259500 */   GIM_Try, /*On fail goto*//*Label 4948*/ GIMT_Encode4(259563), // Rule ID 5714 //
     /*  259505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259544 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259561 */     GIR_RootConstrainSelectedInstOperands,
     /*  259562 */     // GIR_Coverage, 5714,
     /*  259562 */     GIR_EraseRootFromParent_Done,
     /*  259563 */   // Label 4948: @259563
     /*  259563 */   GIM_Try, /*On fail goto*//*Label 4949*/ GIMT_Encode4(259626), // Rule ID 5715 //
     /*  259568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  259579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  259582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  259585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259607 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259624 */     GIR_RootConstrainSelectedInstOperands,
     /*  259625 */     // GIR_Coverage, 5715,
     /*  259625 */     GIR_EraseRootFromParent_Done,
     /*  259626 */   // Label 4949: @259626
     /*  259626 */   GIM_Try, /*On fail goto*//*Label 4950*/ GIMT_Encode4(259689), // Rule ID 5716 //
     /*  259631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259670 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259687 */     GIR_RootConstrainSelectedInstOperands,
     /*  259688 */     // GIR_Coverage, 5716,
     /*  259688 */     GIR_EraseRootFromParent_Done,
     /*  259689 */   // Label 4950: @259689
     /*  259689 */   GIM_Try, /*On fail goto*//*Label 4951*/ GIMT_Encode4(259752), // Rule ID 5717 //
     /*  259694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  259705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  259708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  259711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  259726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259733 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  259736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259750 */     GIR_RootConstrainSelectedInstOperands,
     /*  259751 */     // GIR_Coverage, 5717,
     /*  259751 */     GIR_EraseRootFromParent_Done,
     /*  259752 */   // Label 4951: @259752
     /*  259752 */   GIM_Try, /*On fail goto*//*Label 4952*/ GIMT_Encode4(259815), // Rule ID 5718 //
     /*  259757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  259760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259796 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  259796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259813 */     GIR_RootConstrainSelectedInstOperands,
     /*  259814 */     // GIR_Coverage, 5718,
     /*  259814 */     GIR_EraseRootFromParent_Done,
     /*  259815 */   // Label 4952: @259815
     /*  259815 */   GIM_Try, /*On fail goto*//*Label 4953*/ GIMT_Encode4(259878), // Rule ID 5719 //
     /*  259820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  259823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  259831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  259834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  259837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  259852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259859 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  259859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  259862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  259876 */     GIR_RootConstrainSelectedInstOperands,
     /*  259877 */     // GIR_Coverage, 5719,
     /*  259877 */     GIR_EraseRootFromParent_Done,
     /*  259878 */   // Label 4953: @259878
     /*  259878 */   GIM_Try, /*On fail goto*//*Label 4954*/ GIMT_Encode4(259941), // Rule ID 5720 //
     /*  259883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  259886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  259897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  259900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  259903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  259922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  259939 */     GIR_RootConstrainSelectedInstOperands,
     /*  259940 */     // GIR_Coverage, 5720,
     /*  259940 */     GIR_EraseRootFromParent_Done,
     /*  259941 */   // Label 4954: @259941
     /*  259941 */   GIM_Try, /*On fail goto*//*Label 4955*/ GIMT_Encode4(260004), // Rule ID 5721 //
     /*  259946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  259949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  259954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  259957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  259960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  259963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  259966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  259970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  259978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  259985 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  259985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M2),
     /*  259988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  259990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  259992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  259994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  259999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260002 */     GIR_RootConstrainSelectedInstOperands,
     /*  260003 */     // GIR_Coverage, 5721,
     /*  260003 */     GIR_EraseRootFromParent_Done,
     /*  260004 */   // Label 4955: @260004
     /*  260004 */   GIM_Try, /*On fail goto*//*Label 4956*/ GIMT_Encode4(260067), // Rule ID 5722 //
     /*  260009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  260051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260065 */     GIR_RootConstrainSelectedInstOperands,
     /*  260066 */     // GIR_Coverage, 5722,
     /*  260066 */     GIR_EraseRootFromParent_Done,
     /*  260067 */   // Label 4956: @260067
     /*  260067 */   GIM_Try, /*On fail goto*//*Label 4957*/ GIMT_Encode4(260130), // Rule ID 5723 //
     /*  260072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  260086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  260089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  260104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260111 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M4),
     /*  260114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260128 */     GIR_RootConstrainSelectedInstOperands,
     /*  260129 */     // GIR_Coverage, 5723,
     /*  260129 */     GIR_EraseRootFromParent_Done,
     /*  260130 */   // Label 4957: @260130
     /*  260130 */   GIM_Try, /*On fail goto*//*Label 4958*/ GIMT_Encode4(260193), // Rule ID 5724 //
     /*  260135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  260138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  260174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  260177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260191 */     GIR_RootConstrainSelectedInstOperands,
     /*  260192 */     // GIR_Coverage, 5724,
     /*  260192 */     GIR_EraseRootFromParent_Done,
     /*  260193 */   // Label 4958: @260193
     /*  260193 */   GIM_Try, /*On fail goto*//*Label 4959*/ GIMT_Encode4(260256), // Rule ID 5725 //
     /*  260198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  260201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  260209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  260212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  260215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  260230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260237 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  260237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VV_M8),
     /*  260240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  260254 */     GIR_RootConstrainSelectedInstOperands,
     /*  260255 */     // GIR_Coverage, 5725,
     /*  260255 */     GIR_EraseRootFromParent_Done,
     /*  260256 */   // Label 4959: @260256
     /*  260256 */   GIM_Try, /*On fail goto*//*Label 4960*/ GIMT_Encode4(260319), // Rule ID 5726 //
     /*  260261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  260303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260317 */     GIR_RootConstrainSelectedInstOperands,
     /*  260318 */     // GIR_Coverage, 5726,
     /*  260318 */     GIR_EraseRootFromParent_Done,
     /*  260319 */   // Label 4960: @260319
     /*  260319 */   GIM_Try, /*On fail goto*//*Label 4961*/ GIMT_Encode4(260382), // Rule ID 5727 //
     /*  260324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  260338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260363 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF8),
     /*  260366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260380 */     GIR_RootConstrainSelectedInstOperands,
     /*  260381 */     // GIR_Coverage, 5727,
     /*  260381 */     GIR_EraseRootFromParent_Done,
     /*  260382 */   // Label 4961: @260382
     /*  260382 */   GIM_Try, /*On fail goto*//*Label 4962*/ GIMT_Encode4(260445), // Rule ID 5728 //
     /*  260387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260426 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260443 */     GIR_RootConstrainSelectedInstOperands,
     /*  260444 */     // GIR_Coverage, 5728,
     /*  260444 */     GIR_EraseRootFromParent_Done,
     /*  260445 */   // Label 4962: @260445
     /*  260445 */   GIM_Try, /*On fail goto*//*Label 4963*/ GIMT_Encode4(260508), // Rule ID 5729 //
     /*  260450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  260464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260489 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260506 */     GIR_RootConstrainSelectedInstOperands,
     /*  260507 */     // GIR_Coverage, 5729,
     /*  260507 */     GIR_EraseRootFromParent_Done,
     /*  260508 */   // Label 4963: @260508
     /*  260508 */   GIM_Try, /*On fail goto*//*Label 4964*/ GIMT_Encode4(260571), // Rule ID 5730 //
     /*  260513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260552 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  260552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260569 */     GIR_RootConstrainSelectedInstOperands,
     /*  260570 */     // GIR_Coverage, 5730,
     /*  260570 */     GIR_EraseRootFromParent_Done,
     /*  260571 */   // Label 4964: @260571
     /*  260571 */   GIM_Try, /*On fail goto*//*Label 4965*/ GIMT_Encode4(260634), // Rule ID 5731 //
     /*  260576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  260587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  260590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260615 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  260615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  260632 */     GIR_RootConstrainSelectedInstOperands,
     /*  260633 */     // GIR_Coverage, 5731,
     /*  260633 */     GIR_EraseRootFromParent_Done,
     /*  260634 */   // Label 4965: @260634
     /*  260634 */   GIM_Try, /*On fail goto*//*Label 4966*/ GIMT_Encode4(260697), // Rule ID 5732 //
     /*  260639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260678 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260695 */     GIR_RootConstrainSelectedInstOperands,
     /*  260696 */     // GIR_Coverage, 5732,
     /*  260696 */     GIR_EraseRootFromParent_Done,
     /*  260697 */   // Label 4966: @260697
     /*  260697 */   GIM_Try, /*On fail goto*//*Label 4967*/ GIMT_Encode4(260760), // Rule ID 5733 //
     /*  260702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  260716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF4),
     /*  260744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260758 */     GIR_RootConstrainSelectedInstOperands,
     /*  260759 */     // GIR_Coverage, 5733,
     /*  260759 */     GIR_EraseRootFromParent_Done,
     /*  260760 */   // Label 4967: @260760
     /*  260760 */   GIM_Try, /*On fail goto*//*Label 4968*/ GIMT_Encode4(260823), // Rule ID 5734 //
     /*  260765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  260804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260821 */     GIR_RootConstrainSelectedInstOperands,
     /*  260822 */     // GIR_Coverage, 5734,
     /*  260822 */     GIR_EraseRootFromParent_Done,
     /*  260823 */   // Label 4968: @260823
     /*  260823 */   GIM_Try, /*On fail goto*//*Label 4969*/ GIMT_Encode4(260886), // Rule ID 5735 //
     /*  260828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  260839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  260842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260867 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  260867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  260884 */     GIR_RootConstrainSelectedInstOperands,
     /*  260885 */     // GIR_Coverage, 5735,
     /*  260885 */     GIR_EraseRootFromParent_Done,
     /*  260886 */   // Label 4969: @260886
     /*  260886 */   GIM_Try, /*On fail goto*//*Label 4970*/ GIMT_Encode4(260949), // Rule ID 5736 //
     /*  260891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  260894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  260908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  260911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260930 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  260930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  260937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  260939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  260944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  260947 */     GIR_RootConstrainSelectedInstOperands,
     /*  260948 */     // GIR_Coverage, 5736,
     /*  260948 */     GIR_EraseRootFromParent_Done,
     /*  260949 */   // Label 4970: @260949
     /*  260949 */   GIM_Try, /*On fail goto*//*Label 4971*/ GIMT_Encode4(261012), // Rule ID 5737 //
     /*  260954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  260957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  260962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  260965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  260968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  260971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  260974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  260982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  260986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  260993 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  260993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_MF2),
     /*  260996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  260998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261010 */     GIR_RootConstrainSelectedInstOperands,
     /*  261011 */     // GIR_Coverage, 5737,
     /*  261011 */     GIR_EraseRootFromParent_Done,
     /*  261012 */   // Label 4971: @261012
     /*  261012 */   GIM_Try, /*On fail goto*//*Label 4972*/ GIMT_Encode4(261075), // Rule ID 5738 //
     /*  261017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261056 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261073 */     GIR_RootConstrainSelectedInstOperands,
     /*  261074 */     // GIR_Coverage, 5738,
     /*  261074 */     GIR_EraseRootFromParent_Done,
     /*  261075 */   // Label 4972: @261075
     /*  261075 */   GIM_Try, /*On fail goto*//*Label 4973*/ GIMT_Encode4(261138), // Rule ID 5739 //
     /*  261080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  261094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261119 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261136 */     GIR_RootConstrainSelectedInstOperands,
     /*  261137 */     // GIR_Coverage, 5739,
     /*  261137 */     GIR_EraseRootFromParent_Done,
     /*  261138 */   // Label 4973: @261138
     /*  261138 */   GIM_Try, /*On fail goto*//*Label 4974*/ GIMT_Encode4(261201), // Rule ID 5740 //
     /*  261143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261182 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261199 */     GIR_RootConstrainSelectedInstOperands,
     /*  261200 */     // GIR_Coverage, 5740,
     /*  261200 */     GIR_EraseRootFromParent_Done,
     /*  261201 */   // Label 4974: @261201
     /*  261201 */   GIM_Try, /*On fail goto*//*Label 4975*/ GIMT_Encode4(261264), // Rule ID 5741 //
     /*  261206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  261217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  261220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261245 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  261245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261262 */     GIR_RootConstrainSelectedInstOperands,
     /*  261263 */     // GIR_Coverage, 5741,
     /*  261263 */     GIR_EraseRootFromParent_Done,
     /*  261264 */   // Label 4975: @261264
     /*  261264 */   GIM_Try, /*On fail goto*//*Label 4976*/ GIMT_Encode4(261327), // Rule ID 5742 //
     /*  261269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  261308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261325 */     GIR_RootConstrainSelectedInstOperands,
     /*  261326 */     // GIR_Coverage, 5742,
     /*  261326 */     GIR_EraseRootFromParent_Done,
     /*  261327 */   // Label 4976: @261327
     /*  261327 */   GIM_Try, /*On fail goto*//*Label 4977*/ GIMT_Encode4(261390), // Rule ID 5743 //
     /*  261332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  261343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  261346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261371 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  261371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  261388 */     GIR_RootConstrainSelectedInstOperands,
     /*  261389 */     // GIR_Coverage, 5743,
     /*  261389 */     GIR_EraseRootFromParent_Done,
     /*  261390 */   // Label 4977: @261390
     /*  261390 */   GIM_Try, /*On fail goto*//*Label 4978*/ GIMT_Encode4(261453), // Rule ID 5744 //
     /*  261395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  261398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261434 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  261434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261451 */     GIR_RootConstrainSelectedInstOperands,
     /*  261452 */     // GIR_Coverage, 5744,
     /*  261452 */     GIR_EraseRootFromParent_Done,
     /*  261453 */   // Label 4978: @261453
     /*  261453 */   GIM_Try, /*On fail goto*//*Label 4979*/ GIMT_Encode4(261516), // Rule ID 5745 //
     /*  261458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  261461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  261469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  261472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261497 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11440:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  261497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M1),
     /*  261500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  261514 */     GIR_RootConstrainSelectedInstOperands,
     /*  261515 */     // GIR_Coverage, 5745,
     /*  261515 */     GIR_EraseRootFromParent_Done,
     /*  261516 */   // Label 4979: @261516
     /*  261516 */   GIM_Try, /*On fail goto*//*Label 4980*/ GIMT_Encode4(261579), // Rule ID 5746 //
     /*  261521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261577 */     GIR_RootConstrainSelectedInstOperands,
     /*  261578 */     // GIR_Coverage, 5746,
     /*  261578 */     GIR_EraseRootFromParent_Done,
     /*  261579 */   // Label 4980: @261579
     /*  261579 */   GIM_Try, /*On fail goto*//*Label 4981*/ GIMT_Encode4(261642), // Rule ID 5747 //
     /*  261584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  261595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  261598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261623 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261640 */     GIR_RootConstrainSelectedInstOperands,
     /*  261641 */     // GIR_Coverage, 5747,
     /*  261641 */     GIR_EraseRootFromParent_Done,
     /*  261642 */   // Label 4981: @261642
     /*  261642 */   GIM_Try, /*On fail goto*//*Label 4982*/ GIMT_Encode4(261705), // Rule ID 5748 //
     /*  261647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261686 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261703 */     GIR_RootConstrainSelectedInstOperands,
     /*  261704 */     // GIR_Coverage, 5748,
     /*  261704 */     GIR_EraseRootFromParent_Done,
     /*  261705 */   // Label 4982: @261705
     /*  261705 */   GIM_Try, /*On fail goto*//*Label 4983*/ GIMT_Encode4(261768), // Rule ID 5749 //
     /*  261710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  261721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  261724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  261738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261749 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  261752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261766 */     GIR_RootConstrainSelectedInstOperands,
     /*  261767 */     // GIR_Coverage, 5749,
     /*  261767 */     GIR_EraseRootFromParent_Done,
     /*  261768 */   // Label 4983: @261768
     /*  261768 */   GIM_Try, /*On fail goto*//*Label 4984*/ GIMT_Encode4(261831), // Rule ID 5750 //
     /*  261773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261812 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  261812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261829 */     GIR_RootConstrainSelectedInstOperands,
     /*  261830 */     // GIR_Coverage, 5750,
     /*  261830 */     GIR_EraseRootFromParent_Done,
     /*  261831 */   // Label 4984: @261831
     /*  261831 */   GIM_Try, /*On fail goto*//*Label 4985*/ GIMT_Encode4(261894), // Rule ID 5751 //
     /*  261836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  261847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  261850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  261864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261875 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  261875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  261878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  261892 */     GIR_RootConstrainSelectedInstOperands,
     /*  261893 */     // GIR_Coverage, 5751,
     /*  261893 */     GIR_EraseRootFromParent_Done,
     /*  261894 */   // Label 4985: @261894
     /*  261894 */   GIM_Try, /*On fail goto*//*Label 4986*/ GIMT_Encode4(261957), // Rule ID 5752 //
     /*  261899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  261902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  261916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  261919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  261938 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  261938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  261941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  261943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  261945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  261947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  261952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  261955 */     GIR_RootConstrainSelectedInstOperands,
     /*  261956 */     // GIR_Coverage, 5752,
     /*  261956 */     GIR_EraseRootFromParent_Done,
     /*  261957 */   // Label 4986: @261957
     /*  261957 */   GIM_Try, /*On fail goto*//*Label 4987*/ GIMT_Encode4(262020), // Rule ID 5753 //
     /*  261962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  261965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  261970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  261973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  261976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  261979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  261982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  261986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  261990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  261994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262001 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262018 */     GIR_RootConstrainSelectedInstOperands,
     /*  262019 */     // GIR_Coverage, 5753,
     /*  262019 */     GIR_EraseRootFromParent_Done,
     /*  262020 */   // Label 4987: @262020
     /*  262020 */   GIM_Try, /*On fail goto*//*Label 4988*/ GIMT_Encode4(262083), // Rule ID 5754 //
     /*  262025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262064 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262081 */     GIR_RootConstrainSelectedInstOperands,
     /*  262082 */     // GIR_Coverage, 5754,
     /*  262082 */     GIR_EraseRootFromParent_Done,
     /*  262083 */   // Label 4988: @262083
     /*  262083 */   GIM_Try, /*On fail goto*//*Label 4989*/ GIMT_Encode4(262146), // Rule ID 5755 //
     /*  262088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  262102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262127 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262144 */     GIR_RootConstrainSelectedInstOperands,
     /*  262145 */     // GIR_Coverage, 5755,
     /*  262145 */     GIR_EraseRootFromParent_Done,
     /*  262146 */   // Label 4989: @262146
     /*  262146 */   GIM_Try, /*On fail goto*//*Label 4990*/ GIMT_Encode4(262209), // Rule ID 5756 //
     /*  262151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262190 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  262190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262207 */     GIR_RootConstrainSelectedInstOperands,
     /*  262208 */     // GIR_Coverage, 5756,
     /*  262208 */     GIR_EraseRootFromParent_Done,
     /*  262209 */   // Label 4990: @262209
     /*  262209 */   GIM_Try, /*On fail goto*//*Label 4991*/ GIMT_Encode4(262272), // Rule ID 5757 //
     /*  262214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  262225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  262228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262253 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  262253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  262270 */     GIR_RootConstrainSelectedInstOperands,
     /*  262271 */     // GIR_Coverage, 5757,
     /*  262271 */     GIR_EraseRootFromParent_Done,
     /*  262272 */   // Label 4991: @262272
     /*  262272 */   GIM_Try, /*On fail goto*//*Label 4992*/ GIMT_Encode4(262335), // Rule ID 5758 //
     /*  262277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262333 */     GIR_RootConstrainSelectedInstOperands,
     /*  262334 */     // GIR_Coverage, 5758,
     /*  262334 */     GIR_EraseRootFromParent_Done,
     /*  262335 */   // Label 4992: @262335
     /*  262335 */   GIM_Try, /*On fail goto*//*Label 4993*/ GIMT_Encode4(262398), // Rule ID 5759 //
     /*  262340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  262354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262379 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262396 */     GIR_RootConstrainSelectedInstOperands,
     /*  262397 */     // GIR_Coverage, 5759,
     /*  262397 */     GIR_EraseRootFromParent_Done,
     /*  262398 */   // Label 4993: @262398
     /*  262398 */   GIM_Try, /*On fail goto*//*Label 4994*/ GIMT_Encode4(262461), // Rule ID 5760 //
     /*  262403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262442 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262459 */     GIR_RootConstrainSelectedInstOperands,
     /*  262460 */     // GIR_Coverage, 5760,
     /*  262460 */     GIR_EraseRootFromParent_Done,
     /*  262461 */   // Label 4994: @262461
     /*  262461 */   GIM_Try, /*On fail goto*//*Label 4995*/ GIMT_Encode4(262524), // Rule ID 5761 //
     /*  262466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  262480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262505 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262522 */     GIR_RootConstrainSelectedInstOperands,
     /*  262523 */     // GIR_Coverage, 5761,
     /*  262523 */     GIR_EraseRootFromParent_Done,
     /*  262524 */   // Label 4995: @262524
     /*  262524 */   GIM_Try, /*On fail goto*//*Label 4996*/ GIMT_Encode4(262587), // Rule ID 5762 //
     /*  262529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  262532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262568 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  262568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262585 */     GIR_RootConstrainSelectedInstOperands,
     /*  262586 */     // GIR_Coverage, 5762,
     /*  262586 */     GIR_EraseRootFromParent_Done,
     /*  262587 */   // Label 4996: @262587
     /*  262587 */   GIM_Try, /*On fail goto*//*Label 4997*/ GIMT_Encode4(262650), // Rule ID 5763 //
     /*  262592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  262595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  262603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  262606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262631 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  262631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  262648 */     GIR_RootConstrainSelectedInstOperands,
     /*  262649 */     // GIR_Coverage, 5763,
     /*  262649 */     GIR_EraseRootFromParent_Done,
     /*  262650 */   // Label 4997: @262650
     /*  262650 */   GIM_Try, /*On fail goto*//*Label 4998*/ GIMT_Encode4(262713), // Rule ID 5764 //
     /*  262655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262711 */     GIR_RootConstrainSelectedInstOperands,
     /*  262712 */     // GIR_Coverage, 5764,
     /*  262712 */     GIR_EraseRootFromParent_Done,
     /*  262713 */   // Label 4998: @262713
     /*  262713 */   GIM_Try, /*On fail goto*//*Label 4999*/ GIMT_Encode4(262776), // Rule ID 5765 //
     /*  262718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  262729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  262732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  262746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11440:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M2),
     /*  262760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262774 */     GIR_RootConstrainSelectedInstOperands,
     /*  262775 */     // GIR_Coverage, 5765,
     /*  262775 */     GIR_EraseRootFromParent_Done,
     /*  262776 */   // Label 4999: @262776
     /*  262776 */   GIM_Try, /*On fail goto*//*Label 5000*/ GIMT_Encode4(262839), // Rule ID 5766 //
     /*  262781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262837 */     GIR_RootConstrainSelectedInstOperands,
     /*  262838 */     // GIR_Coverage, 5766,
     /*  262838 */     GIR_EraseRootFromParent_Done,
     /*  262839 */   // Label 5000: @262839
     /*  262839 */   GIM_Try, /*On fail goto*//*Label 5001*/ GIMT_Encode4(262902), // Rule ID 5767 //
     /*  262844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  262855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  262858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  262872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262883 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11440:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  262883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M4),
     /*  262886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262900 */     GIR_RootConstrainSelectedInstOperands,
     /*  262901 */     // GIR_Coverage, 5767,
     /*  262901 */     GIR_EraseRootFromParent_Done,
     /*  262902 */   // Label 5001: @262902
     /*  262902 */   GIM_Try, /*On fail goto*//*Label 5002*/ GIMT_Encode4(262965), // Rule ID 5768 //
     /*  262907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  262910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  262921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  262924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  262927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  262939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  262946 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  262946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  262949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  262951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  262953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  262955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  262960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  262963 */     GIR_RootConstrainSelectedInstOperands,
     /*  262964 */     // GIR_Coverage, 5768,
     /*  262964 */     GIR_EraseRootFromParent_Done,
     /*  262965 */   // Label 5002: @262965
     /*  262965 */   GIM_Try, /*On fail goto*//*Label 5003*/ GIMT_Encode4(263028), // Rule ID 5769 //
     /*  262970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  262973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc),
     /*  262978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  262981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  262984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  262987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  262990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  262994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  262998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  263002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263009 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11440:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  263009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VX_M8),
     /*  263012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  263026 */     GIR_RootConstrainSelectedInstOperands,
     /*  263027 */     // GIR_Coverage, 5769,
     /*  263027 */     GIR_EraseRootFromParent_Done,
     /*  263028 */   // Label 5003: @263028
     /*  263028 */   GIM_Try, /*On fail goto*//*Label 5004*/ GIMT_Encode4(263091), // Rule ID 7802 //
     /*  263033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  263075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263089 */     GIR_RootConstrainSelectedInstOperands,
     /*  263090 */     // GIR_Coverage, 7802,
     /*  263090 */     GIR_EraseRootFromParent_Done,
     /*  263091 */   // Label 5004: @263091
     /*  263091 */   GIM_Try, /*On fail goto*//*Label 5005*/ GIMT_Encode4(263154), // Rule ID 7803 //
     /*  263096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  263110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  263113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  263138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263152 */     GIR_RootConstrainSelectedInstOperands,
     /*  263153 */     // GIR_Coverage, 7803,
     /*  263153 */     GIR_EraseRootFromParent_Done,
     /*  263154 */   // Label 5005: @263154
     /*  263154 */   GIM_Try, /*On fail goto*//*Label 5006*/ GIMT_Encode4(263217), // Rule ID 7806 //
     /*  263159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263198 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263215 */     GIR_RootConstrainSelectedInstOperands,
     /*  263216 */     // GIR_Coverage, 7806,
     /*  263216 */     GIR_EraseRootFromParent_Done,
     /*  263217 */   // Label 5006: @263217
     /*  263217 */   GIM_Try, /*On fail goto*//*Label 5007*/ GIMT_Encode4(263280), // Rule ID 7807 //
     /*  263222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  263236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  263239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263261 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263278 */     GIR_RootConstrainSelectedInstOperands,
     /*  263279 */     // GIR_Coverage, 7807,
     /*  263279 */     GIR_EraseRootFromParent_Done,
     /*  263280 */   // Label 5007: @263280
     /*  263280 */   GIM_Try, /*On fail goto*//*Label 5008*/ GIMT_Encode4(263343), // Rule ID 7810 //
     /*  263285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  263302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263324 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  263327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263341 */     GIR_RootConstrainSelectedInstOperands,
     /*  263342 */     // GIR_Coverage, 7810,
     /*  263342 */     GIR_EraseRootFromParent_Done,
     /*  263343 */   // Label 5008: @263343
     /*  263343 */   GIM_Try, /*On fail goto*//*Label 5009*/ GIMT_Encode4(263406), // Rule ID 7811 //
     /*  263348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  263362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  263365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263387 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /*  263390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263404 */     GIR_RootConstrainSelectedInstOperands,
     /*  263405 */     // GIR_Coverage, 7811,
     /*  263405 */     GIR_EraseRootFromParent_Done,
     /*  263406 */   // Label 5009: @263406
     /*  263406 */   GIM_Try, /*On fail goto*//*Label 5010*/ GIMT_Encode4(263469), // Rule ID 7814 //
     /*  263411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263450 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263467 */     GIR_RootConstrainSelectedInstOperands,
     /*  263468 */     // GIR_Coverage, 7814,
     /*  263468 */     GIR_EraseRootFromParent_Done,
     /*  263469 */   // Label 5010: @263469
     /*  263469 */   GIM_Try, /*On fail goto*//*Label 5011*/ GIMT_Encode4(263532), // Rule ID 7815 //
     /*  263474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  263488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  263491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263513 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263530 */     GIR_RootConstrainSelectedInstOperands,
     /*  263531 */     // GIR_Coverage, 7815,
     /*  263531 */     GIR_EraseRootFromParent_Done,
     /*  263532 */   // Label 5011: @263532
     /*  263532 */   GIM_Try, /*On fail goto*//*Label 5012*/ GIMT_Encode4(263595), // Rule ID 7818 //
     /*  263537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263576 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263593 */     GIR_RootConstrainSelectedInstOperands,
     /*  263594 */     // GIR_Coverage, 7818,
     /*  263594 */     GIR_EraseRootFromParent_Done,
     /*  263595 */   // Label 5012: @263595
     /*  263595 */   GIM_Try, /*On fail goto*//*Label 5013*/ GIMT_Encode4(263658), // Rule ID 7819 //
     /*  263600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  263611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  263614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  263617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263639 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  263639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /*  263642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263656 */     GIR_RootConstrainSelectedInstOperands,
     /*  263657 */     // GIR_Coverage, 7819,
     /*  263657 */     GIR_EraseRootFromParent_Done,
     /*  263658 */   // Label 5013: @263658
     /*  263658 */   GIM_Try, /*On fail goto*//*Label 5014*/ GIMT_Encode4(263721), // Rule ID 7822 //
     /*  263663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  263702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263719 */     GIR_RootConstrainSelectedInstOperands,
     /*  263720 */     // GIR_Coverage, 7822,
     /*  263720 */     GIR_EraseRootFromParent_Done,
     /*  263721 */   // Label 5014: @263721
     /*  263721 */   GIM_Try, /*On fail goto*//*Label 5015*/ GIMT_Encode4(263784), // Rule ID 7823 //
     /*  263726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  263737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  263740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  263743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263765 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  263765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  263782 */     GIR_RootConstrainSelectedInstOperands,
     /*  263783 */     // GIR_Coverage, 7823,
     /*  263783 */     GIR_EraseRootFromParent_Done,
     /*  263784 */   // Label 5015: @263784
     /*  263784 */   GIM_Try, /*On fail goto*//*Label 5016*/ GIMT_Encode4(263847), // Rule ID 7826 //
     /*  263789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  263803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  263806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  263828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263845 */     GIR_RootConstrainSelectedInstOperands,
     /*  263846 */     // GIR_Coverage, 7826,
     /*  263846 */     GIR_EraseRootFromParent_Done,
     /*  263847 */   // Label 5016: @263847
     /*  263847 */   GIM_Try, /*On fail goto*//*Label 5017*/ GIMT_Encode4(263910), // Rule ID 7827 //
     /*  263852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  263863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  263866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  263869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263891 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  263891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  263908 */     GIR_RootConstrainSelectedInstOperands,
     /*  263909 */     // GIR_Coverage, 7827,
     /*  263909 */     GIR_EraseRootFromParent_Done,
     /*  263910 */   // Label 5017: @263910
     /*  263910 */   GIM_Try, /*On fail goto*//*Label 5018*/ GIMT_Encode4(263973), // Rule ID 7830 //
     /*  263915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  263918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  263935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  263947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  263954 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  263954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  263957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  263959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  263961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  263963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  263968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  263971 */     GIR_RootConstrainSelectedInstOperands,
     /*  263972 */     // GIR_Coverage, 7830,
     /*  263972 */     GIR_EraseRootFromParent_Done,
     /*  263973 */   // Label 5018: @263973
     /*  263973 */   GIM_Try, /*On fail goto*//*Label 5019*/ GIMT_Encode4(264036), // Rule ID 7831 //
     /*  263978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  263981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  263986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  263989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  263992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  263995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  263998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264017 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  264017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  264020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264034 */     GIR_RootConstrainSelectedInstOperands,
     /*  264035 */     // GIR_Coverage, 7831,
     /*  264035 */     GIR_EraseRootFromParent_Done,
     /*  264036 */   // Label 5019: @264036
     /*  264036 */   GIM_Try, /*On fail goto*//*Label 5020*/ GIMT_Encode4(264099), // Rule ID 7834 //
     /*  264041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  264044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264080 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  264080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  264083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264097 */     GIR_RootConstrainSelectedInstOperands,
     /*  264098 */     // GIR_Coverage, 7834,
     /*  264098 */     GIR_EraseRootFromParent_Done,
     /*  264099 */   // Label 5020: @264099
     /*  264099 */   GIM_Try, /*On fail goto*//*Label 5021*/ GIMT_Encode4(264162), // Rule ID 7835 //
     /*  264104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  264107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  264115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  264118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  264121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264143 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  264143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /*  264146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  264160 */     GIR_RootConstrainSelectedInstOperands,
     /*  264161 */     // GIR_Coverage, 7835,
     /*  264161 */     GIR_EraseRootFromParent_Done,
     /*  264162 */   // Label 5021: @264162
     /*  264162 */   GIM_Try, /*On fail goto*//*Label 5022*/ GIMT_Encode4(264225), // Rule ID 7838 //
     /*  264167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264206 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264223 */     GIR_RootConstrainSelectedInstOperands,
     /*  264224 */     // GIR_Coverage, 7838,
     /*  264224 */     GIR_EraseRootFromParent_Done,
     /*  264225 */   // Label 5022: @264225
     /*  264225 */   GIM_Try, /*On fail goto*//*Label 5023*/ GIMT_Encode4(264288), // Rule ID 7839 //
     /*  264230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  264244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  264247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264269 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264286 */     GIR_RootConstrainSelectedInstOperands,
     /*  264287 */     // GIR_Coverage, 7839,
     /*  264287 */     GIR_EraseRootFromParent_Done,
     /*  264288 */   // Label 5023: @264288
     /*  264288 */   GIM_Try, /*On fail goto*//*Label 5024*/ GIMT_Encode4(264351), // Rule ID 7842 //
     /*  264293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  264307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  264310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264332 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264349 */     GIR_RootConstrainSelectedInstOperands,
     /*  264350 */     // GIR_Coverage, 7842,
     /*  264350 */     GIR_EraseRootFromParent_Done,
     /*  264351 */   // Label 5024: @264351
     /*  264351 */   GIM_Try, /*On fail goto*//*Label 5025*/ GIMT_Encode4(264414), // Rule ID 7843 //
     /*  264356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  264370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  264373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264395 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264412 */     GIR_RootConstrainSelectedInstOperands,
     /*  264413 */     // GIR_Coverage, 7843,
     /*  264413 */     GIR_EraseRootFromParent_Done,
     /*  264414 */   // Label 5025: @264414
     /*  264414 */   GIM_Try, /*On fail goto*//*Label 5026*/ GIMT_Encode4(264477), // Rule ID 7846 //
     /*  264419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264458 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  264458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264475 */     GIR_RootConstrainSelectedInstOperands,
     /*  264476 */     // GIR_Coverage, 7846,
     /*  264476 */     GIR_EraseRootFromParent_Done,
     /*  264477 */   // Label 5026: @264477
     /*  264477 */   GIM_Try, /*On fail goto*//*Label 5027*/ GIMT_Encode4(264540), // Rule ID 7847 //
     /*  264482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  264493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  264496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  264499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264521 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  264521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  264538 */     GIR_RootConstrainSelectedInstOperands,
     /*  264539 */     // GIR_Coverage, 7847,
     /*  264539 */     GIR_EraseRootFromParent_Done,
     /*  264540 */   // Label 5027: @264540
     /*  264540 */   GIM_Try, /*On fail goto*//*Label 5028*/ GIMT_Encode4(264603), // Rule ID 7850 //
     /*  264545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264584 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264601 */     GIR_RootConstrainSelectedInstOperands,
     /*  264602 */     // GIR_Coverage, 7850,
     /*  264602 */     GIR_EraseRootFromParent_Done,
     /*  264603 */   // Label 5028: @264603
     /*  264603 */   GIM_Try, /*On fail goto*//*Label 5029*/ GIMT_Encode4(264666), // Rule ID 7851 //
     /*  264608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  264619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  264622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  264625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264647 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264664 */     GIR_RootConstrainSelectedInstOperands,
     /*  264665 */     // GIR_Coverage, 7851,
     /*  264665 */     GIR_EraseRootFromParent_Done,
     /*  264666 */   // Label 5029: @264666
     /*  264666 */   GIM_Try, /*On fail goto*//*Label 5030*/ GIMT_Encode4(264729), // Rule ID 7854 //
     /*  264671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264710 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264727 */     GIR_RootConstrainSelectedInstOperands,
     /*  264728 */     // GIR_Coverage, 7854,
     /*  264728 */     GIR_EraseRootFromParent_Done,
     /*  264729 */   // Label 5030: @264729
     /*  264729 */   GIM_Try, /*On fail goto*//*Label 5031*/ GIMT_Encode4(264792), // Rule ID 7855 //
     /*  264734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  264745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  264748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  264751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  264766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264773 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  264776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264790 */     GIR_RootConstrainSelectedInstOperands,
     /*  264791 */     // GIR_Coverage, 7855,
     /*  264791 */     GIR_EraseRootFromParent_Done,
     /*  264792 */   // Label 5031: @264792
     /*  264792 */   GIM_Try, /*On fail goto*//*Label 5032*/ GIMT_Encode4(264855), // Rule ID 7858 //
     /*  264797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  264811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  264814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264836 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  264836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264853 */     GIR_RootConstrainSelectedInstOperands,
     /*  264854 */     // GIR_Coverage, 7858,
     /*  264854 */     GIR_EraseRootFromParent_Done,
     /*  264855 */   // Label 5032: @264855
     /*  264855 */   GIM_Try, /*On fail goto*//*Label 5033*/ GIMT_Encode4(264918), // Rule ID 7859 //
     /*  264860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  264871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  264874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  264877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  264880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  264892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264899 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  264899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  264902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  264916 */     GIR_RootConstrainSelectedInstOperands,
     /*  264917 */     // GIR_Coverage, 7859,
     /*  264917 */     GIR_EraseRootFromParent_Done,
     /*  264918 */   // Label 5033: @264918
     /*  264918 */   GIM_Try, /*On fail goto*//*Label 5034*/ GIMT_Encode4(264981), // Rule ID 7862 //
     /*  264923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  264926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  264937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  264940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  264943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  264947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  264955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  264962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  264962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  264965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  264967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  264969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  264971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  264976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  264979 */     GIR_RootConstrainSelectedInstOperands,
     /*  264980 */     // GIR_Coverage, 7862,
     /*  264980 */     GIR_EraseRootFromParent_Done,
     /*  264981 */   // Label 5034: @264981
     /*  264981 */   GIM_Try, /*On fail goto*//*Label 5035*/ GIMT_Encode4(265044), // Rule ID 7863 //
     /*  264986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  264989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  264994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  264997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  265000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  265003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265025 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  265028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265042 */     GIR_RootConstrainSelectedInstOperands,
     /*  265043 */     // GIR_Coverage, 7863,
     /*  265043 */     GIR_EraseRootFromParent_Done,
     /*  265044 */   // Label 5035: @265044
     /*  265044 */   GIM_Try, /*On fail goto*//*Label 5036*/ GIMT_Encode4(265107), // Rule ID 7866 //
     /*  265049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265088 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  265091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265105 */     GIR_RootConstrainSelectedInstOperands,
     /*  265106 */     // GIR_Coverage, 7866,
     /*  265106 */     GIR_EraseRootFromParent_Done,
     /*  265107 */   // Label 5036: @265107
     /*  265107 */   GIM_Try, /*On fail goto*//*Label 5037*/ GIMT_Encode4(265170), // Rule ID 7867 //
     /*  265112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  265126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  265129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265151 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  265154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265168 */     GIR_RootConstrainSelectedInstOperands,
     /*  265169 */     // GIR_Coverage, 7867,
     /*  265169 */     GIR_EraseRootFromParent_Done,
     /*  265170 */   // Label 5037: @265170
     /*  265170 */   GIM_Try, /*On fail goto*//*Label 5038*/ GIMT_Encode4(265233), // Rule ID 7870 //
     /*  265175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265214 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  265214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  265217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265231 */     GIR_RootConstrainSelectedInstOperands,
     /*  265232 */     // GIR_Coverage, 7870,
     /*  265232 */     GIR_EraseRootFromParent_Done,
     /*  265233 */   // Label 5038: @265233
     /*  265233 */   GIM_Try, /*On fail goto*//*Label 5039*/ GIMT_Encode4(265296), // Rule ID 7871 //
     /*  265238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  265249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  265252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  265255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265277 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  265277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  265280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  265294 */     GIR_RootConstrainSelectedInstOperands,
     /*  265295 */     // GIR_Coverage, 7871,
     /*  265295 */     GIR_EraseRootFromParent_Done,
     /*  265296 */   // Label 5039: @265296
     /*  265296 */   GIM_Try, /*On fail goto*//*Label 5040*/ GIMT_Encode4(265359), // Rule ID 7874 //
     /*  265301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  265315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  265318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265340 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  265343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265357 */     GIR_RootConstrainSelectedInstOperands,
     /*  265358 */     // GIR_Coverage, 7874,
     /*  265358 */     GIR_EraseRootFromParent_Done,
     /*  265359 */   // Label 5040: @265359
     /*  265359 */   GIM_Try, /*On fail goto*//*Label 5041*/ GIMT_Encode4(265422), // Rule ID 7875 //
     /*  265364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  265378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  265381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  265396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /*  265406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265420 */     GIR_RootConstrainSelectedInstOperands,
     /*  265421 */     // GIR_Coverage, 7875,
     /*  265421 */     GIR_EraseRootFromParent_Done,
     /*  265422 */   // Label 5041: @265422
     /*  265422 */   GIM_Try, /*On fail goto*//*Label 5042*/ GIMT_Encode4(265485), // Rule ID 7878 //
     /*  265427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265466 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  265469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265483 */     GIR_RootConstrainSelectedInstOperands,
     /*  265484 */     // GIR_Coverage, 7878,
     /*  265484 */     GIR_EraseRootFromParent_Done,
     /*  265485 */   // Label 5042: @265485
     /*  265485 */   GIM_Try, /*On fail goto*//*Label 5043*/ GIMT_Encode4(265548), // Rule ID 7879 //
     /*  265490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  265504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  265507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  265522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265529 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /*  265532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265546 */     GIR_RootConstrainSelectedInstOperands,
     /*  265547 */     // GIR_Coverage, 7879,
     /*  265547 */     GIR_EraseRootFromParent_Done,
     /*  265548 */   // Label 5043: @265548
     /*  265548 */   GIM_Try, /*On fail goto*//*Label 5044*/ GIMT_Encode4(265611), // Rule ID 7882 //
     /*  265553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  265556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265592 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  265592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  265595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265609 */     GIR_RootConstrainSelectedInstOperands,
     /*  265610 */     // GIR_Coverage, 7882,
     /*  265610 */     GIR_EraseRootFromParent_Done,
     /*  265611 */   // Label 5044: @265611
     /*  265611 */   GIM_Try, /*On fail goto*//*Label 5045*/ GIMT_Encode4(265674), // Rule ID 7883 //
     /*  265616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  265619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  265627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  265630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  265633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  265648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265655 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  265655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /*  265658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  265672 */     GIR_RootConstrainSelectedInstOperands,
     /*  265673 */     // GIR_Coverage, 7883,
     /*  265673 */     GIR_EraseRootFromParent_Done,
     /*  265674 */   // Label 5045: @265674
     /*  265674 */   GIM_Try, /*On fail goto*//*Label 5046*/ GIMT_Encode4(265737), // Rule ID 7886 //
     /*  265679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265718 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  265721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265735 */     GIR_RootConstrainSelectedInstOperands,
     /*  265736 */     // GIR_Coverage, 7886,
     /*  265736 */     GIR_EraseRootFromParent_Done,
     /*  265737 */   // Label 5046: @265737
     /*  265737 */   GIM_Try, /*On fail goto*//*Label 5047*/ GIMT_Encode4(265800), // Rule ID 7887 //
     /*  265742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  265753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  265756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265781 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8),
     /*  265784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265798 */     GIR_RootConstrainSelectedInstOperands,
     /*  265799 */     // GIR_Coverage, 7887,
     /*  265799 */     GIR_EraseRootFromParent_Done,
     /*  265800 */   // Label 5047: @265800
     /*  265800 */   GIM_Try, /*On fail goto*//*Label 5048*/ GIMT_Encode4(265863), // Rule ID 7890 //
     /*  265805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  265819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265861 */     GIR_RootConstrainSelectedInstOperands,
     /*  265862 */     // GIR_Coverage, 7890,
     /*  265862 */     GIR_EraseRootFromParent_Done,
     /*  265863 */   // Label 5048: @265863
     /*  265863 */   GIM_Try, /*On fail goto*//*Label 5049*/ GIMT_Encode4(265926), // Rule ID 7891 //
     /*  265868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  265879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  265882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  265885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  265888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265907 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  265907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  265910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265924 */     GIR_RootConstrainSelectedInstOperands,
     /*  265925 */     // GIR_Coverage, 7891,
     /*  265925 */     GIR_EraseRootFromParent_Done,
     /*  265926 */   // Label 5049: @265926
     /*  265926 */   GIM_Try, /*On fail goto*//*Label 5050*/ GIMT_Encode4(265989), // Rule ID 7894 //
     /*  265931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  265934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  265939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  265942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  265945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  265948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  265951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  265959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  265963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  265970 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  265970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  265973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  265975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  265977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  265979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  265984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  265987 */     GIR_RootConstrainSelectedInstOperands,
     /*  265988 */     // GIR_Coverage, 7894,
     /*  265988 */     GIR_EraseRootFromParent_Done,
     /*  265989 */   // Label 5050: @265989
     /*  265989 */   GIM_Try, /*On fail goto*//*Label 5051*/ GIMT_Encode4(266052), // Rule ID 7895 //
     /*  265994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  265997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  266008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266033 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  266036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266050 */     GIR_RootConstrainSelectedInstOperands,
     /*  266051 */     // GIR_Coverage, 7895,
     /*  266051 */     GIR_EraseRootFromParent_Done,
     /*  266052 */   // Label 5051: @266052
     /*  266052 */   GIM_Try, /*On fail goto*//*Label 5052*/ GIMT_Encode4(266115), // Rule ID 7898 //
     /*  266057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266096 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  266099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266113 */     GIR_RootConstrainSelectedInstOperands,
     /*  266114 */     // GIR_Coverage, 7898,
     /*  266114 */     GIR_EraseRootFromParent_Done,
     /*  266115 */   // Label 5052: @266115
     /*  266115 */   GIM_Try, /*On fail goto*//*Label 5053*/ GIMT_Encode4(266178), // Rule ID 7899 //
     /*  266120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  266134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266159 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4),
     /*  266162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266176 */     GIR_RootConstrainSelectedInstOperands,
     /*  266177 */     // GIR_Coverage, 7899,
     /*  266177 */     GIR_EraseRootFromParent_Done,
     /*  266178 */   // Label 5053: @266178
     /*  266178 */   GIM_Try, /*On fail goto*//*Label 5054*/ GIMT_Encode4(266241), // Rule ID 7902 //
     /*  266183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  266225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266239 */     GIR_RootConstrainSelectedInstOperands,
     /*  266240 */     // GIR_Coverage, 7902,
     /*  266240 */     GIR_EraseRootFromParent_Done,
     /*  266241 */   // Label 5054: @266241
     /*  266241 */   GIM_Try, /*On fail goto*//*Label 5055*/ GIMT_Encode4(266304), // Rule ID 7903 //
     /*  266246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  266260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266285 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  266288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266302 */     GIR_RootConstrainSelectedInstOperands,
     /*  266303 */     // GIR_Coverage, 7903,
     /*  266303 */     GIR_EraseRootFromParent_Done,
     /*  266304 */   // Label 5055: @266304
     /*  266304 */   GIM_Try, /*On fail goto*//*Label 5056*/ GIMT_Encode4(266367), // Rule ID 7906 //
     /*  266309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  266323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  266351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266365 */     GIR_RootConstrainSelectedInstOperands,
     /*  266366 */     // GIR_Coverage, 7906,
     /*  266366 */     GIR_EraseRootFromParent_Done,
     /*  266367 */   // Label 5056: @266367
     /*  266367 */   GIM_Try, /*On fail goto*//*Label 5057*/ GIMT_Encode4(266430), // Rule ID 7907 //
     /*  266372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  266386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266411 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2),
     /*  266414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266428 */     GIR_RootConstrainSelectedInstOperands,
     /*  266429 */     // GIR_Coverage, 7907,
     /*  266429 */     GIR_EraseRootFromParent_Done,
     /*  266430 */   // Label 5057: @266430
     /*  266430 */   GIM_Try, /*On fail goto*//*Label 5058*/ GIMT_Encode4(266493), // Rule ID 7910 //
     /*  266435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266474 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266491 */     GIR_RootConstrainSelectedInstOperands,
     /*  266492 */     // GIR_Coverage, 7910,
     /*  266492 */     GIR_EraseRootFromParent_Done,
     /*  266493 */   // Label 5058: @266493
     /*  266493 */   GIM_Try, /*On fail goto*//*Label 5059*/ GIMT_Encode4(266556), // Rule ID 7911 //
     /*  266498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  266509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  266512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266537 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  266537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266554 */     GIR_RootConstrainSelectedInstOperands,
     /*  266555 */     // GIR_Coverage, 7911,
     /*  266555 */     GIR_EraseRootFromParent_Done,
     /*  266556 */   // Label 5059: @266556
     /*  266556 */   GIM_Try, /*On fail goto*//*Label 5060*/ GIMT_Encode4(266619), // Rule ID 7914 //
     /*  266561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266600 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  266600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266617 */     GIR_RootConstrainSelectedInstOperands,
     /*  266618 */     // GIR_Coverage, 7914,
     /*  266618 */     GIR_EraseRootFromParent_Done,
     /*  266619 */   // Label 5060: @266619
     /*  266619 */   GIM_Try, /*On fail goto*//*Label 5061*/ GIMT_Encode4(266682), // Rule ID 7915 //
     /*  266624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  266635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  266638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266663 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  266663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  266680 */     GIR_RootConstrainSelectedInstOperands,
     /*  266681 */     // GIR_Coverage, 7915,
     /*  266681 */     GIR_EraseRootFromParent_Done,
     /*  266682 */   // Label 5061: @266682
     /*  266682 */   GIM_Try, /*On fail goto*//*Label 5062*/ GIMT_Encode4(266745), // Rule ID 7918 //
     /*  266687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  266726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266743 */     GIR_RootConstrainSelectedInstOperands,
     /*  266744 */     // GIR_Coverage, 7918,
     /*  266744 */     GIR_EraseRootFromParent_Done,
     /*  266745 */   // Label 5062: @266745
     /*  266745 */   GIM_Try, /*On fail goto*//*Label 5063*/ GIMT_Encode4(266808), // Rule ID 7919 //
     /*  266750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  266753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  266761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  266764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266789 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  266789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  266806 */     GIR_RootConstrainSelectedInstOperands,
     /*  266807 */     // GIR_Coverage, 7919,
     /*  266807 */     GIR_EraseRootFromParent_Done,
     /*  266808 */   // Label 5063: @266808
     /*  266808 */   GIM_Try, /*On fail goto*//*Label 5064*/ GIMT_Encode4(266871), // Rule ID 7922 //
     /*  266813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  266816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  266827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266852 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  266852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266869 */     GIR_RootConstrainSelectedInstOperands,
     /*  266870 */     // GIR_Coverage, 7922,
     /*  266870 */     GIR_EraseRootFromParent_Done,
     /*  266871 */   // Label 5064: @266871
     /*  266871 */   GIM_Try, /*On fail goto*//*Label 5065*/ GIMT_Encode4(266934), // Rule ID 7923 //
     /*  266876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  266879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  266887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  266890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  266893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  266896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266915 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11444:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  266915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1),
     /*  266918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  266932 */     GIR_RootConstrainSelectedInstOperands,
     /*  266933 */     // GIR_Coverage, 7923,
     /*  266933 */     GIR_EraseRootFromParent_Done,
     /*  266934 */   // Label 5065: @266934
     /*  266934 */   GIM_Try, /*On fail goto*//*Label 5066*/ GIMT_Encode4(266997), // Rule ID 7926 //
     /*  266939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  266942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  266947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  266950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  266953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  266956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  266959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  266963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  266967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  266971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  266978 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  266978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  266981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  266983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  266985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  266987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  266992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  266995 */     GIR_RootConstrainSelectedInstOperands,
     /*  266996 */     // GIR_Coverage, 7926,
     /*  266996 */     GIR_EraseRootFromParent_Done,
     /*  266997 */   // Label 5066: @266997
     /*  266997 */   GIM_Try, /*On fail goto*//*Label 5067*/ GIMT_Encode4(267060), // Rule ID 7927 //
     /*  267002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  267016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267041 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267058 */     GIR_RootConstrainSelectedInstOperands,
     /*  267059 */     // GIR_Coverage, 7927,
     /*  267059 */     GIR_EraseRootFromParent_Done,
     /*  267060 */   // Label 5067: @267060
     /*  267060 */   GIM_Try, /*On fail goto*//*Label 5068*/ GIMT_Encode4(267123), // Rule ID 7930 //
     /*  267065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267104 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267121 */     GIR_RootConstrainSelectedInstOperands,
     /*  267122 */     // GIR_Coverage, 7930,
     /*  267122 */     GIR_EraseRootFromParent_Done,
     /*  267123 */   // Label 5068: @267123
     /*  267123 */   GIM_Try, /*On fail goto*//*Label 5069*/ GIMT_Encode4(267186), // Rule ID 7931 //
     /*  267128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  267142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267167 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267184 */     GIR_RootConstrainSelectedInstOperands,
     /*  267185 */     // GIR_Coverage, 7931,
     /*  267185 */     GIR_EraseRootFromParent_Done,
     /*  267186 */   // Label 5069: @267186
     /*  267186 */   GIM_Try, /*On fail goto*//*Label 5070*/ GIMT_Encode4(267249), // Rule ID 7934 //
     /*  267191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267230 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  267230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267247 */     GIR_RootConstrainSelectedInstOperands,
     /*  267248 */     // GIR_Coverage, 7934,
     /*  267248 */     GIR_EraseRootFromParent_Done,
     /*  267249 */   // Label 5070: @267249
     /*  267249 */   GIM_Try, /*On fail goto*//*Label 5071*/ GIMT_Encode4(267312), // Rule ID 7935 //
     /*  267254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  267265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  267268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267293 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  267293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  267310 */     GIR_RootConstrainSelectedInstOperands,
     /*  267311 */     // GIR_Coverage, 7935,
     /*  267311 */     GIR_EraseRootFromParent_Done,
     /*  267312 */   // Label 5071: @267312
     /*  267312 */   GIM_Try, /*On fail goto*//*Label 5072*/ GIMT_Encode4(267375), // Rule ID 7938 //
     /*  267317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  267331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267356 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267373 */     GIR_RootConstrainSelectedInstOperands,
     /*  267374 */     // GIR_Coverage, 7938,
     /*  267374 */     GIR_EraseRootFromParent_Done,
     /*  267375 */   // Label 5072: @267375
     /*  267375 */   GIM_Try, /*On fail goto*//*Label 5073*/ GIMT_Encode4(267438), // Rule ID 7939 //
     /*  267380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  267394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267419 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267436 */     GIR_RootConstrainSelectedInstOperands,
     /*  267437 */     // GIR_Coverage, 7939,
     /*  267437 */     GIR_EraseRootFromParent_Done,
     /*  267438 */   // Label 5073: @267438
     /*  267438 */   GIM_Try, /*On fail goto*//*Label 5074*/ GIMT_Encode4(267501), // Rule ID 7942 //
     /*  267443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267482 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267499 */     GIR_RootConstrainSelectedInstOperands,
     /*  267500 */     // GIR_Coverage, 7942,
     /*  267500 */     GIR_EraseRootFromParent_Done,
     /*  267501 */   // Label 5074: @267501
     /*  267501 */   GIM_Try, /*On fail goto*//*Label 5075*/ GIMT_Encode4(267564), // Rule ID 7943 //
     /*  267506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  267520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267545 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267562 */     GIR_RootConstrainSelectedInstOperands,
     /*  267563 */     // GIR_Coverage, 7943,
     /*  267563 */     GIR_EraseRootFromParent_Done,
     /*  267564 */   // Label 5075: @267564
     /*  267564 */   GIM_Try, /*On fail goto*//*Label 5076*/ GIMT_Encode4(267627), // Rule ID 7946 //
     /*  267569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267608 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  267608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267625 */     GIR_RootConstrainSelectedInstOperands,
     /*  267626 */     // GIR_Coverage, 7946,
     /*  267626 */     GIR_EraseRootFromParent_Done,
     /*  267627 */   // Label 5076: @267627
     /*  267627 */   GIM_Try, /*On fail goto*//*Label 5077*/ GIMT_Encode4(267690), // Rule ID 7947 //
     /*  267632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  267643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  267646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267671 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  267671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  267688 */     GIR_RootConstrainSelectedInstOperands,
     /*  267689 */     // GIR_Coverage, 7947,
     /*  267689 */     GIR_EraseRootFromParent_Done,
     /*  267690 */   // Label 5077: @267690
     /*  267690 */   GIM_Try, /*On fail goto*//*Label 5078*/ GIMT_Encode4(267753), // Rule ID 7950 //
     /*  267695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267751 */     GIR_RootConstrainSelectedInstOperands,
     /*  267752 */     // GIR_Coverage, 7950,
     /*  267752 */     GIR_EraseRootFromParent_Done,
     /*  267753 */   // Label 5078: @267753
     /*  267753 */   GIM_Try, /*On fail goto*//*Label 5079*/ GIMT_Encode4(267816), // Rule ID 7951 //
     /*  267758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  267769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  267772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  267786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267797 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  267800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267814 */     GIR_RootConstrainSelectedInstOperands,
     /*  267815 */     // GIR_Coverage, 7951,
     /*  267815 */     GIR_EraseRootFromParent_Done,
     /*  267816 */   // Label 5079: @267816
     /*  267816 */   GIM_Try, /*On fail goto*//*Label 5080*/ GIMT_Encode4(267879), // Rule ID 7954 //
     /*  267821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  267835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267877 */     GIR_RootConstrainSelectedInstOperands,
     /*  267878 */     // GIR_Coverage, 7954,
     /*  267878 */     GIR_EraseRootFromParent_Done,
     /*  267879 */   // Label 5080: @267879
     /*  267879 */   GIM_Try, /*On fail goto*//*Label 5081*/ GIMT_Encode4(267942), // Rule ID 7955 //
     /*  267884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  267887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  267895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  267898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  267901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  267904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  267912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267923 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  267923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  267926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  267937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  267940 */     GIR_RootConstrainSelectedInstOperands,
     /*  267941 */     // GIR_Coverage, 7955,
     /*  267941 */     GIR_EraseRootFromParent_Done,
     /*  267942 */   // Label 5081: @267942
     /*  267942 */   GIM_Try, /*On fail goto*//*Label 5082*/ GIMT_Encode4(268005), // Rule ID 7958 //
     /*  267947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  267950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  267955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  267958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  267961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  267964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  267967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  267971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  267975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  267979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  267986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  267986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  267989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  267991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  267993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  267995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268003 */     GIR_RootConstrainSelectedInstOperands,
     /*  268004 */     // GIR_Coverage, 7958,
     /*  268004 */     GIR_EraseRootFromParent_Done,
     /*  268005 */   // Label 5082: @268005
     /*  268005 */   GIM_Try, /*On fail goto*//*Label 5083*/ GIMT_Encode4(268068), // Rule ID 7959 //
     /*  268010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  268018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  268021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  268024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268049 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  268049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  268052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  268066 */     GIR_RootConstrainSelectedInstOperands,
     /*  268067 */     // GIR_Coverage, 7959,
     /*  268067 */     GIR_EraseRootFromParent_Done,
     /*  268068 */   // Label 5083: @268068
     /*  268068 */   GIM_Try, /*On fail goto*//*Label 5084*/ GIMT_Encode4(268131), // Rule ID 7962 //
     /*  268073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  268081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268112 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  268115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268129 */     GIR_RootConstrainSelectedInstOperands,
     /*  268130 */     // GIR_Coverage, 7962,
     /*  268130 */     GIR_EraseRootFromParent_Done,
     /*  268131 */   // Label 5084: @268131
     /*  268131 */   GIM_Try, /*On fail goto*//*Label 5085*/ GIMT_Encode4(268194), // Rule ID 7963 //
     /*  268136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  268144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  268150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  268164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268175 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11444:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2),
     /*  268178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268192 */     GIR_RootConstrainSelectedInstOperands,
     /*  268193 */     // GIR_Coverage, 7963,
     /*  268193 */     GIR_EraseRootFromParent_Done,
     /*  268194 */   // Label 5085: @268194
     /*  268194 */   GIM_Try, /*On fail goto*//*Label 5086*/ GIMT_Encode4(268257), // Rule ID 7966 //
     /*  268199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  268207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268238 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  268241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268255 */     GIR_RootConstrainSelectedInstOperands,
     /*  268256 */     // GIR_Coverage, 7966,
     /*  268256 */     GIR_EraseRootFromParent_Done,
     /*  268257 */   // Label 5086: @268257
     /*  268257 */   GIM_Try, /*On fail goto*//*Label 5087*/ GIMT_Encode4(268320), // Rule ID 7967 //
     /*  268262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  268270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  268276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  268290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268301 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11444:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4),
     /*  268304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268318 */     GIR_RootConstrainSelectedInstOperands,
     /*  268319 */     // GIR_Coverage, 7967,
     /*  268319 */     GIR_EraseRootFromParent_Done,
     /*  268320 */   // Label 5087: @268320
     /*  268320 */   GIM_Try, /*On fail goto*//*Label 5088*/ GIMT_Encode4(268383), // Rule ID 7970 //
     /*  268325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  268328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  268333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  268339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  268342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268364 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  268364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  268367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268381 */     GIR_RootConstrainSelectedInstOperands,
     /*  268382 */     // GIR_Coverage, 7970,
     /*  268382 */     GIR_EraseRootFromParent_Done,
     /*  268383 */   // Label 5088: @268383
     /*  268383 */   GIM_Try, /*On fail goto*//*Label 5089*/ GIMT_Encode4(268446), // Rule ID 7971 //
     /*  268388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  268391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq),
     /*  268396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  268399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  268402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  268405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  268416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  268420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268427 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11444:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  268427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8),
     /*  268430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  268444 */     GIR_RootConstrainSelectedInstOperands,
     /*  268445 */     // GIR_Coverage, 7971,
     /*  268445 */     GIR_EraseRootFromParent_Done,
     /*  268446 */   // Label 5089: @268446
     /*  268446 */   GIM_Try, /*On fail goto*//*Label 5090*/ GIMT_Encode4(268509), // Rule ID 8062 //
     /*  268451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268490 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  268493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268507 */     GIR_RootConstrainSelectedInstOperands,
     /*  268508 */     // GIR_Coverage, 8062,
     /*  268508 */     GIR_EraseRootFromParent_Done,
     /*  268509 */   // Label 5090: @268509
     /*  268509 */   GIM_Try, /*On fail goto*//*Label 5091*/ GIMT_Encode4(268572), // Rule ID 8063 //
     /*  268514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  268528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  268531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268553 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /*  268556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268570 */     GIR_RootConstrainSelectedInstOperands,
     /*  268571 */     // GIR_Coverage, 8063,
     /*  268571 */     GIR_EraseRootFromParent_Done,
     /*  268572 */   // Label 5091: @268572
     /*  268572 */   GIM_Try, /*On fail goto*//*Label 5092*/ GIMT_Encode4(268635), // Rule ID 8066 //
     /*  268577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268616 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268633 */     GIR_RootConstrainSelectedInstOperands,
     /*  268634 */     // GIR_Coverage, 8066,
     /*  268634 */     GIR_EraseRootFromParent_Done,
     /*  268635 */   // Label 5092: @268635
     /*  268635 */   GIM_Try, /*On fail goto*//*Label 5093*/ GIMT_Encode4(268698), // Rule ID 8067 //
     /*  268640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  268654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  268657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268679 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268696 */     GIR_RootConstrainSelectedInstOperands,
     /*  268697 */     // GIR_Coverage, 8067,
     /*  268697 */     GIR_EraseRootFromParent_Done,
     /*  268698 */   // Label 5093: @268698
     /*  268698 */   GIM_Try, /*On fail goto*//*Label 5094*/ GIMT_Encode4(268761), // Rule ID 8070 //
     /*  268703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268742 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  268742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268759 */     GIR_RootConstrainSelectedInstOperands,
     /*  268760 */     // GIR_Coverage, 8070,
     /*  268760 */     GIR_EraseRootFromParent_Done,
     /*  268761 */   // Label 5094: @268761
     /*  268761 */   GIM_Try, /*On fail goto*//*Label 5095*/ GIMT_Encode4(268824), // Rule ID 8071 //
     /*  268766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  268777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  268780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  268783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268805 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  268805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  268822 */     GIR_RootConstrainSelectedInstOperands,
     /*  268823 */     // GIR_Coverage, 8071,
     /*  268823 */     GIR_EraseRootFromParent_Done,
     /*  268824 */   // Label 5095: @268824
     /*  268824 */   GIM_Try, /*On fail goto*//*Label 5096*/ GIMT_Encode4(268887), // Rule ID 8074 //
     /*  268829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  268843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  268846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268885 */     GIR_RootConstrainSelectedInstOperands,
     /*  268886 */     // GIR_Coverage, 8074,
     /*  268886 */     GIR_EraseRootFromParent_Done,
     /*  268887 */   // Label 5096: @268887
     /*  268887 */   GIM_Try, /*On fail goto*//*Label 5097*/ GIMT_Encode4(268950), // Rule ID 8075 //
     /*  268892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  268895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  268903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  268906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  268909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  268912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268931 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  268931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /*  268934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  268938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  268940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  268945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  268948 */     GIR_RootConstrainSelectedInstOperands,
     /*  268949 */     // GIR_Coverage, 8075,
     /*  268949 */     GIR_EraseRootFromParent_Done,
     /*  268950 */   // Label 5097: @268950
     /*  268950 */   GIM_Try, /*On fail goto*//*Label 5098*/ GIMT_Encode4(269013), // Rule ID 8078 //
     /*  268955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  268958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  268963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  268966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  268969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  268972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  268975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  268987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  268994 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  268994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  268997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  268999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269011 */     GIR_RootConstrainSelectedInstOperands,
     /*  269012 */     // GIR_Coverage, 8078,
     /*  269012 */     GIR_EraseRootFromParent_Done,
     /*  269013 */   // Label 5098: @269013
     /*  269013 */   GIM_Try, /*On fail goto*//*Label 5099*/ GIMT_Encode4(269076), // Rule ID 8079 //
     /*  269018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  269032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  269035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269057 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  269060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269074 */     GIR_RootConstrainSelectedInstOperands,
     /*  269075 */     // GIR_Coverage, 8079,
     /*  269075 */     GIR_EraseRootFromParent_Done,
     /*  269076 */   // Label 5099: @269076
     /*  269076 */   GIM_Try, /*On fail goto*//*Label 5100*/ GIMT_Encode4(269139), // Rule ID 8082 //
     /*  269081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269120 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  269123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269137 */     GIR_RootConstrainSelectedInstOperands,
     /*  269138 */     // GIR_Coverage, 8082,
     /*  269138 */     GIR_EraseRootFromParent_Done,
     /*  269139 */   // Label 5100: @269139
     /*  269139 */   GIM_Try, /*On fail goto*//*Label 5101*/ GIMT_Encode4(269202), // Rule ID 8083 //
     /*  269144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  269158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  269161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269183 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /*  269186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269200 */     GIR_RootConstrainSelectedInstOperands,
     /*  269201 */     // GIR_Coverage, 8083,
     /*  269201 */     GIR_EraseRootFromParent_Done,
     /*  269202 */   // Label 5101: @269202
     /*  269202 */   GIM_Try, /*On fail goto*//*Label 5102*/ GIMT_Encode4(269265), // Rule ID 8086 //
     /*  269207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269246 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269263 */     GIR_RootConstrainSelectedInstOperands,
     /*  269264 */     // GIR_Coverage, 8086,
     /*  269264 */     GIR_EraseRootFromParent_Done,
     /*  269265 */   // Label 5102: @269265
     /*  269265 */   GIM_Try, /*On fail goto*//*Label 5103*/ GIMT_Encode4(269328), // Rule ID 8087 //
     /*  269270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  269281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  269284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  269287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269309 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269326 */     GIR_RootConstrainSelectedInstOperands,
     /*  269327 */     // GIR_Coverage, 8087,
     /*  269327 */     GIR_EraseRootFromParent_Done,
     /*  269328 */   // Label 5103: @269328
     /*  269328 */   GIM_Try, /*On fail goto*//*Label 5104*/ GIMT_Encode4(269391), // Rule ID 8090 //
     /*  269333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  269347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  269350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  269372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269389 */     GIR_RootConstrainSelectedInstOperands,
     /*  269390 */     // GIR_Coverage, 8090,
     /*  269390 */     GIR_EraseRootFromParent_Done,
     /*  269391 */   // Label 5104: @269391
     /*  269391 */   GIM_Try, /*On fail goto*//*Label 5105*/ GIMT_Encode4(269454), // Rule ID 8091 //
     /*  269396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  269407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  269410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  269413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269435 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  269435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  269452 */     GIR_RootConstrainSelectedInstOperands,
     /*  269453 */     // GIR_Coverage, 8091,
     /*  269453 */     GIR_EraseRootFromParent_Done,
     /*  269454 */   // Label 5105: @269454
     /*  269454 */   GIM_Try, /*On fail goto*//*Label 5106*/ GIMT_Encode4(269517), // Rule ID 8094 //
     /*  269459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269498 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  269498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269515 */     GIR_RootConstrainSelectedInstOperands,
     /*  269516 */     // GIR_Coverage, 8094,
     /*  269516 */     GIR_EraseRootFromParent_Done,
     /*  269517 */   // Label 5106: @269517
     /*  269517 */   GIM_Try, /*On fail goto*//*Label 5107*/ GIMT_Encode4(269580), // Rule ID 8095 //
     /*  269522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  269533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  269536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  269539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269561 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  269561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  269578 */     GIR_RootConstrainSelectedInstOperands,
     /*  269579 */     // GIR_Coverage, 8095,
     /*  269579 */     GIR_EraseRootFromParent_Done,
     /*  269580 */   // Label 5107: @269580
     /*  269580 */   GIM_Try, /*On fail goto*//*Label 5108*/ GIMT_Encode4(269643), // Rule ID 8098 //
     /*  269585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  269588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269624 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  269624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269641 */     GIR_RootConstrainSelectedInstOperands,
     /*  269642 */     // GIR_Coverage, 8098,
     /*  269642 */     GIR_EraseRootFromParent_Done,
     /*  269643 */   // Label 5108: @269643
     /*  269643 */   GIM_Try, /*On fail goto*//*Label 5109*/ GIMT_Encode4(269706), // Rule ID 8099 //
     /*  269648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  269651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  269659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  269662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  269665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269687 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  269687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /*  269690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  269704 */     GIR_RootConstrainSelectedInstOperands,
     /*  269705 */     // GIR_Coverage, 8099,
     /*  269705 */     GIR_EraseRootFromParent_Done,
     /*  269706 */   // Label 5109: @269706
     /*  269706 */   GIM_Try, /*On fail goto*//*Label 5110*/ GIMT_Encode4(269769), // Rule ID 8102 //
     /*  269711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269767 */     GIR_RootConstrainSelectedInstOperands,
     /*  269768 */     // GIR_Coverage, 8102,
     /*  269768 */     GIR_EraseRootFromParent_Done,
     /*  269769 */   // Label 5110: @269769
     /*  269769 */   GIM_Try, /*On fail goto*//*Label 5111*/ GIMT_Encode4(269832), // Rule ID 8103 //
     /*  269774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  269785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  269788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  269791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  269806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  269816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269830 */     GIR_RootConstrainSelectedInstOperands,
     /*  269831 */     // GIR_Coverage, 8103,
     /*  269831 */     GIR_EraseRootFromParent_Done,
     /*  269832 */   // Label 5111: @269832
     /*  269832 */   GIM_Try, /*On fail goto*//*Label 5112*/ GIMT_Encode4(269895), // Rule ID 8106 //
     /*  269837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  269851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  269854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  269876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269893 */     GIR_RootConstrainSelectedInstOperands,
     /*  269894 */     // GIR_Coverage, 8106,
     /*  269894 */     GIR_EraseRootFromParent_Done,
     /*  269895 */   // Label 5112: @269895
     /*  269895 */   GIM_Try, /*On fail goto*//*Label 5113*/ GIMT_Encode4(269958), // Rule ID 8107 //
     /*  269900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  269903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  269911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  269914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  269917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  269920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  269932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  269939 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  269939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  269942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  269944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  269946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  269948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  269953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  269956 */     GIR_RootConstrainSelectedInstOperands,
     /*  269957 */     // GIR_Coverage, 8107,
     /*  269957 */     GIR_EraseRootFromParent_Done,
     /*  269958 */   // Label 5113: @269958
     /*  269958 */   GIM_Try, /*On fail goto*//*Label 5114*/ GIMT_Encode4(270021), // Rule ID 8110 //
     /*  269963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  269966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  269971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  269974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  269977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  269980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  269983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  269987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  269995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270002 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  270002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270019 */     GIR_RootConstrainSelectedInstOperands,
     /*  270020 */     // GIR_Coverage, 8110,
     /*  270020 */     GIR_EraseRootFromParent_Done,
     /*  270021 */   // Label 5114: @270021
     /*  270021 */   GIM_Try, /*On fail goto*//*Label 5115*/ GIMT_Encode4(270084), // Rule ID 8111 //
     /*  270026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  270037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  270040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  270043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270065 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  270065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  270082 */     GIR_RootConstrainSelectedInstOperands,
     /*  270083 */     // GIR_Coverage, 8111,
     /*  270083 */     GIR_EraseRootFromParent_Done,
     /*  270084 */   // Label 5115: @270084
     /*  270084 */   GIM_Try, /*On fail goto*//*Label 5116*/ GIMT_Encode4(270147), // Rule ID 8114 //
     /*  270089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270145 */     GIR_RootConstrainSelectedInstOperands,
     /*  270146 */     // GIR_Coverage, 8114,
     /*  270146 */     GIR_EraseRootFromParent_Done,
     /*  270147 */   // Label 5116: @270147
     /*  270147 */   GIM_Try, /*On fail goto*//*Label 5117*/ GIMT_Encode4(270210), // Rule ID 8115 //
     /*  270152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  270166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  270169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270191 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270208 */     GIR_RootConstrainSelectedInstOperands,
     /*  270209 */     // GIR_Coverage, 8115,
     /*  270209 */     GIR_EraseRootFromParent_Done,
     /*  270210 */   // Label 5117: @270210
     /*  270210 */   GIM_Try, /*On fail goto*//*Label 5118*/ GIMT_Encode4(270273), // Rule ID 8118 //
     /*  270215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270254 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270271 */     GIR_RootConstrainSelectedInstOperands,
     /*  270272 */     // GIR_Coverage, 8118,
     /*  270272 */     GIR_EraseRootFromParent_Done,
     /*  270273 */   // Label 5118: @270273
     /*  270273 */   GIM_Try, /*On fail goto*//*Label 5119*/ GIMT_Encode4(270336), // Rule ID 8119 //
     /*  270278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  270292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  270295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270317 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270334 */     GIR_RootConstrainSelectedInstOperands,
     /*  270335 */     // GIR_Coverage, 8119,
     /*  270335 */     GIR_EraseRootFromParent_Done,
     /*  270336 */   // Label 5119: @270336
     /*  270336 */   GIM_Try, /*On fail goto*//*Label 5120*/ GIMT_Encode4(270399), // Rule ID 8122 //
     /*  270341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  270355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  270358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270380 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  270380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270397 */     GIR_RootConstrainSelectedInstOperands,
     /*  270398 */     // GIR_Coverage, 8122,
     /*  270398 */     GIR_EraseRootFromParent_Done,
     /*  270399 */   // Label 5120: @270399
     /*  270399 */   GIM_Try, /*On fail goto*//*Label 5121*/ GIMT_Encode4(270462), // Rule ID 8123 //
     /*  270404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  270415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  270418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  270421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270443 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  270443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  270460 */     GIR_RootConstrainSelectedInstOperands,
     /*  270461 */     // GIR_Coverage, 8123,
     /*  270461 */     GIR_EraseRootFromParent_Done,
     /*  270462 */   // Label 5121: @270462
     /*  270462 */   GIM_Try, /*On fail goto*//*Label 5122*/ GIMT_Encode4(270525), // Rule ID 8126 //
     /*  270467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270506 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270523 */     GIR_RootConstrainSelectedInstOperands,
     /*  270524 */     // GIR_Coverage, 8126,
     /*  270524 */     GIR_EraseRootFromParent_Done,
     /*  270525 */   // Label 5122: @270525
     /*  270525 */   GIM_Try, /*On fail goto*//*Label 5123*/ GIMT_Encode4(270588), // Rule ID 8127 //
     /*  270530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  270544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  270547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270569 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270586 */     GIR_RootConstrainSelectedInstOperands,
     /*  270587 */     // GIR_Coverage, 8127,
     /*  270587 */     GIR_EraseRootFromParent_Done,
     /*  270588 */   // Label 5123: @270588
     /*  270588 */   GIM_Try, /*On fail goto*//*Label 5124*/ GIMT_Encode4(270651), // Rule ID 8130 //
     /*  270593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270632 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270649 */     GIR_RootConstrainSelectedInstOperands,
     /*  270650 */     // GIR_Coverage, 8130,
     /*  270650 */     GIR_EraseRootFromParent_Done,
     /*  270651 */   // Label 5124: @270651
     /*  270651 */   GIM_Try, /*On fail goto*//*Label 5125*/ GIMT_Encode4(270714), // Rule ID 8131 //
     /*  270656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  270667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  270670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  270673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270695 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  270698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270712 */     GIR_RootConstrainSelectedInstOperands,
     /*  270713 */     // GIR_Coverage, 8131,
     /*  270713 */     GIR_EraseRootFromParent_Done,
     /*  270714 */   // Label 5125: @270714
     /*  270714 */   GIM_Try, /*On fail goto*//*Label 5126*/ GIMT_Encode4(270777), // Rule ID 8134 //
     /*  270719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  270722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  270733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  270736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270758 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  270758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270775 */     GIR_RootConstrainSelectedInstOperands,
     /*  270776 */     // GIR_Coverage, 8134,
     /*  270776 */     GIR_EraseRootFromParent_Done,
     /*  270777 */   // Label 5126: @270777
     /*  270777 */   GIM_Try, /*On fail goto*//*Label 5127*/ GIMT_Encode4(270840), // Rule ID 8135 //
     /*  270782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  270785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  270793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  270796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  270799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  270814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270821 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  270821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  270824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  270838 */     GIR_RootConstrainSelectedInstOperands,
     /*  270839 */     // GIR_Coverage, 8135,
     /*  270839 */     GIR_EraseRootFromParent_Done,
     /*  270840 */   // Label 5127: @270840
     /*  270840 */   GIM_Try, /*On fail goto*//*Label 5128*/ GIMT_Encode4(270903), // Rule ID 8138 //
     /*  270845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270884 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  270884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270901 */     GIR_RootConstrainSelectedInstOperands,
     /*  270902 */     // GIR_Coverage, 8138,
     /*  270902 */     GIR_EraseRootFromParent_Done,
     /*  270903 */   // Label 5128: @270903
     /*  270903 */   GIM_Try, /*On fail goto*//*Label 5129*/ GIMT_Encode4(270966), // Rule ID 8139 //
     /*  270908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  270911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  270919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  270922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  270925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  270928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  270940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  270947 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  270947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /*  270950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  270952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  270954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  270956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  270961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  270964 */     GIR_RootConstrainSelectedInstOperands,
     /*  270965 */     // GIR_Coverage, 8139,
     /*  270965 */     GIR_EraseRootFromParent_Done,
     /*  270966 */   // Label 5129: @270966
     /*  270966 */   GIM_Try, /*On fail goto*//*Label 5130*/ GIMT_Encode4(271029), // Rule ID 8142 //
     /*  270971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  270974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  270979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  270982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  270985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  270988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  270991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  270995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  270999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271010 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  271013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271027 */     GIR_RootConstrainSelectedInstOperands,
     /*  271028 */     // GIR_Coverage, 8142,
     /*  271028 */     GIR_EraseRootFromParent_Done,
     /*  271029 */   // Label 5130: @271029
     /*  271029 */   GIM_Try, /*On fail goto*//*Label 5131*/ GIMT_Encode4(271092), // Rule ID 8143 //
     /*  271034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  271048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  271051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  271066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271073 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /*  271076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271090 */     GIR_RootConstrainSelectedInstOperands,
     /*  271091 */     // GIR_Coverage, 8143,
     /*  271091 */     GIR_EraseRootFromParent_Done,
     /*  271092 */   // Label 5131: @271092
     /*  271092 */   GIM_Try, /*On fail goto*//*Label 5132*/ GIMT_Encode4(271155), // Rule ID 8146 //
     /*  271097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  271100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271136 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  271136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  271139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271153 */     GIR_RootConstrainSelectedInstOperands,
     /*  271154 */     // GIR_Coverage, 8146,
     /*  271154 */     GIR_EraseRootFromParent_Done,
     /*  271155 */   // Label 5132: @271155
     /*  271155 */   GIM_Try, /*On fail goto*//*Label 5133*/ GIMT_Encode4(271218), // Rule ID 8147 //
     /*  271160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  271163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  271174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  271177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  271192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271199 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  271199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /*  271202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  271216 */     GIR_RootConstrainSelectedInstOperands,
     /*  271217 */     // GIR_Coverage, 8147,
     /*  271217 */     GIR_EraseRootFromParent_Done,
     /*  271218 */   // Label 5133: @271218
     /*  271218 */   GIM_Try, /*On fail goto*//*Label 5134*/ GIMT_Encode4(271281), // Rule ID 8150 //
     /*  271223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271262 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  271265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271279 */     GIR_RootConstrainSelectedInstOperands,
     /*  271280 */     // GIR_Coverage, 8150,
     /*  271280 */     GIR_EraseRootFromParent_Done,
     /*  271281 */   // Label 5134: @271281
     /*  271281 */   GIM_Try, /*On fail goto*//*Label 5135*/ GIMT_Encode4(271344), // Rule ID 8151 //
     /*  271286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  271300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271325 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8),
     /*  271328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271342 */     GIR_RootConstrainSelectedInstOperands,
     /*  271343 */     // GIR_Coverage, 8151,
     /*  271343 */     GIR_EraseRootFromParent_Done,
     /*  271344 */   // Label 5135: @271344
     /*  271344 */   GIM_Try, /*On fail goto*//*Label 5136*/ GIMT_Encode4(271407), // Rule ID 8154 //
     /*  271349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271388 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  271391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271405 */     GIR_RootConstrainSelectedInstOperands,
     /*  271406 */     // GIR_Coverage, 8154,
     /*  271406 */     GIR_EraseRootFromParent_Done,
     /*  271407 */   // Label 5136: @271407
     /*  271407 */   GIM_Try, /*On fail goto*//*Label 5137*/ GIMT_Encode4(271470), // Rule ID 8155 //
     /*  271412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  271426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271451 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  271454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271468 */     GIR_RootConstrainSelectedInstOperands,
     /*  271469 */     // GIR_Coverage, 8155,
     /*  271469 */     GIR_EraseRootFromParent_Done,
     /*  271470 */   // Label 5137: @271470
     /*  271470 */   GIM_Try, /*On fail goto*//*Label 5138*/ GIMT_Encode4(271533), // Rule ID 8158 //
     /*  271475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  271514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271531 */     GIR_RootConstrainSelectedInstOperands,
     /*  271532 */     // GIR_Coverage, 8158,
     /*  271532 */     GIR_EraseRootFromParent_Done,
     /*  271533 */   // Label 5138: @271533
     /*  271533 */   GIM_Try, /*On fail goto*//*Label 5139*/ GIMT_Encode4(271596), // Rule ID 8159 //
     /*  271538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  271549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  271552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271577 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  271577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  271594 */     GIR_RootConstrainSelectedInstOperands,
     /*  271595 */     // GIR_Coverage, 8159,
     /*  271595 */     GIR_EraseRootFromParent_Done,
     /*  271596 */   // Label 5139: @271596
     /*  271596 */   GIM_Try, /*On fail goto*//*Label 5140*/ GIMT_Encode4(271659), // Rule ID 8162 //
     /*  271601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271640 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  271643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271657 */     GIR_RootConstrainSelectedInstOperands,
     /*  271658 */     // GIR_Coverage, 8162,
     /*  271658 */     GIR_EraseRootFromParent_Done,
     /*  271659 */   // Label 5140: @271659
     /*  271659 */   GIM_Try, /*On fail goto*//*Label 5141*/ GIMT_Encode4(271722), // Rule ID 8163 //
     /*  271664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  271678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271703 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4),
     /*  271706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271720 */     GIR_RootConstrainSelectedInstOperands,
     /*  271721 */     // GIR_Coverage, 8163,
     /*  271721 */     GIR_EraseRootFromParent_Done,
     /*  271722 */   // Label 5141: @271722
     /*  271722 */   GIM_Try, /*On fail goto*//*Label 5142*/ GIMT_Encode4(271785), // Rule ID 8166 //
     /*  271727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271766 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  271766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271783 */     GIR_RootConstrainSelectedInstOperands,
     /*  271784 */     // GIR_Coverage, 8166,
     /*  271784 */     GIR_EraseRootFromParent_Done,
     /*  271785 */   // Label 5142: @271785
     /*  271785 */   GIM_Try, /*On fail goto*//*Label 5143*/ GIMT_Encode4(271848), // Rule ID 8167 //
     /*  271790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  271801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  271804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271829 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  271829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  271846 */     GIR_RootConstrainSelectedInstOperands,
     /*  271847 */     // GIR_Coverage, 8167,
     /*  271847 */     GIR_EraseRootFromParent_Done,
     /*  271848 */   // Label 5143: @271848
     /*  271848 */   GIM_Try, /*On fail goto*//*Label 5144*/ GIMT_Encode4(271911), // Rule ID 8170 //
     /*  271853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  271892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271909 */     GIR_RootConstrainSelectedInstOperands,
     /*  271910 */     // GIR_Coverage, 8170,
     /*  271910 */     GIR_EraseRootFromParent_Done,
     /*  271911 */   // Label 5144: @271911
     /*  271911 */   GIM_Try, /*On fail goto*//*Label 5145*/ GIMT_Encode4(271974), // Rule ID 8171 //
     /*  271916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  271919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  271927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  271930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  271933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  271936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  271944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  271948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  271955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  271955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2),
     /*  271958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  271960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  271962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  271964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  271969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  271972 */     GIR_RootConstrainSelectedInstOperands,
     /*  271973 */     // GIR_Coverage, 8171,
     /*  271973 */     GIR_EraseRootFromParent_Done,
     /*  271974 */   // Label 5145: @271974
     /*  271974 */   GIM_Try, /*On fail goto*//*Label 5146*/ GIMT_Encode4(272037), // Rule ID 8174 //
     /*  271979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  271982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  271987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  271990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  271993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  271996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  271999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272018 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  272021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272035 */     GIR_RootConstrainSelectedInstOperands,
     /*  272036 */     // GIR_Coverage, 8174,
     /*  272036 */     GIR_EraseRootFromParent_Done,
     /*  272037 */   // Label 5146: @272037
     /*  272037 */   GIM_Try, /*On fail goto*//*Label 5147*/ GIMT_Encode4(272100), // Rule ID 8175 //
     /*  272042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  272056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272081 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  272084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272098 */     GIR_RootConstrainSelectedInstOperands,
     /*  272099 */     // GIR_Coverage, 8175,
     /*  272099 */     GIR_EraseRootFromParent_Done,
     /*  272100 */   // Label 5147: @272100
     /*  272100 */   GIM_Try, /*On fail goto*//*Label 5148*/ GIMT_Encode4(272163), // Rule ID 8178 //
     /*  272105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  272147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272161 */     GIR_RootConstrainSelectedInstOperands,
     /*  272162 */     // GIR_Coverage, 8178,
     /*  272162 */     GIR_EraseRootFromParent_Done,
     /*  272163 */   // Label 5148: @272163
     /*  272163 */   GIM_Try, /*On fail goto*//*Label 5149*/ GIMT_Encode4(272226), // Rule ID 8179 //
     /*  272168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  272179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  272182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  272210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272224 */     GIR_RootConstrainSelectedInstOperands,
     /*  272225 */     // GIR_Coverage, 8179,
     /*  272225 */     GIR_EraseRootFromParent_Done,
     /*  272226 */   // Label 5149: @272226
     /*  272226 */   GIM_Try, /*On fail goto*//*Label 5150*/ GIMT_Encode4(272289), // Rule ID 8182 //
     /*  272231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272270 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  272270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  272273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272287 */     GIR_RootConstrainSelectedInstOperands,
     /*  272288 */     // GIR_Coverage, 8182,
     /*  272288 */     GIR_EraseRootFromParent_Done,
     /*  272289 */   // Label 5150: @272289
     /*  272289 */   GIM_Try, /*On fail goto*//*Label 5151*/ GIMT_Encode4(272352), // Rule ID 8183 //
     /*  272294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  272305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  272308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272333 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  272333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  272336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  272350 */     GIR_RootConstrainSelectedInstOperands,
     /*  272351 */     // GIR_Coverage, 8183,
     /*  272351 */     GIR_EraseRootFromParent_Done,
     /*  272352 */   // Label 5151: @272352
     /*  272352 */   GIM_Try, /*On fail goto*//*Label 5152*/ GIMT_Encode4(272415), // Rule ID 8186 //
     /*  272357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  272360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272396 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  272396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  272399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272413 */     GIR_RootConstrainSelectedInstOperands,
     /*  272414 */     // GIR_Coverage, 8186,
     /*  272414 */     GIR_EraseRootFromParent_Done,
     /*  272415 */   // Label 5152: @272415
     /*  272415 */   GIM_Try, /*On fail goto*//*Label 5153*/ GIMT_Encode4(272478), // Rule ID 8187 //
     /*  272420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  272423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  272431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  272434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272459 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11465:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  272459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1),
     /*  272462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  272476 */     GIR_RootConstrainSelectedInstOperands,
     /*  272477 */     // GIR_Coverage, 8187,
     /*  272477 */     GIR_EraseRootFromParent_Done,
     /*  272478 */   // Label 5153: @272478
     /*  272478 */   GIM_Try, /*On fail goto*//*Label 5154*/ GIMT_Encode4(272541), // Rule ID 8190 //
     /*  272483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272522 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272539 */     GIR_RootConstrainSelectedInstOperands,
     /*  272540 */     // GIR_Coverage, 8190,
     /*  272540 */     GIR_EraseRootFromParent_Done,
     /*  272541 */   // Label 5154: @272541
     /*  272541 */   GIM_Try, /*On fail goto*//*Label 5155*/ GIMT_Encode4(272604), // Rule ID 8191 //
     /*  272546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  272560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272585 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272602 */     GIR_RootConstrainSelectedInstOperands,
     /*  272603 */     // GIR_Coverage, 8191,
     /*  272603 */     GIR_EraseRootFromParent_Done,
     /*  272604 */   // Label 5155: @272604
     /*  272604 */   GIM_Try, /*On fail goto*//*Label 5156*/ GIMT_Encode4(272667), // Rule ID 8194 //
     /*  272609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272648 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272665 */     GIR_RootConstrainSelectedInstOperands,
     /*  272666 */     // GIR_Coverage, 8194,
     /*  272666 */     GIR_EraseRootFromParent_Done,
     /*  272667 */   // Label 5156: @272667
     /*  272667 */   GIM_Try, /*On fail goto*//*Label 5157*/ GIMT_Encode4(272730), // Rule ID 8195 //
     /*  272672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  272683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  272686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  272700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272711 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  272714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272728 */     GIR_RootConstrainSelectedInstOperands,
     /*  272729 */     // GIR_Coverage, 8195,
     /*  272729 */     GIR_EraseRootFromParent_Done,
     /*  272730 */   // Label 5157: @272730
     /*  272730 */   GIM_Try, /*On fail goto*//*Label 5158*/ GIMT_Encode4(272793), // Rule ID 8198 //
     /*  272735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  272746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272774 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  272774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272791 */     GIR_RootConstrainSelectedInstOperands,
     /*  272792 */     // GIR_Coverage, 8198,
     /*  272792 */     GIR_EraseRootFromParent_Done,
     /*  272793 */   // Label 5158: @272793
     /*  272793 */   GIM_Try, /*On fail goto*//*Label 5159*/ GIMT_Encode4(272856), // Rule ID 8199 //
     /*  272798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  272809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  272812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  272826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272837 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  272837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  272840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  272854 */     GIR_RootConstrainSelectedInstOperands,
     /*  272855 */     // GIR_Coverage, 8199,
     /*  272855 */     GIR_EraseRootFromParent_Done,
     /*  272856 */   // Label 5159: @272856
     /*  272856 */   GIM_Try, /*On fail goto*//*Label 5160*/ GIMT_Encode4(272919), // Rule ID 8202 //
     /*  272861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  272878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  272881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  272900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272917 */     GIR_RootConstrainSelectedInstOperands,
     /*  272918 */     // GIR_Coverage, 8202,
     /*  272918 */     GIR_EraseRootFromParent_Done,
     /*  272919 */   // Label 5160: @272919
     /*  272919 */   GIM_Try, /*On fail goto*//*Label 5161*/ GIMT_Encode4(272982), // Rule ID 8203 //
     /*  272924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  272927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  272935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  272938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  272941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  272944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  272948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  272952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  272956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  272963 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  272963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  272966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  272968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  272970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  272972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  272977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  272980 */     GIR_RootConstrainSelectedInstOperands,
     /*  272981 */     // GIR_Coverage, 8203,
     /*  272981 */     GIR_EraseRootFromParent_Done,
     /*  272982 */   // Label 5161: @272982
     /*  272982 */   GIM_Try, /*On fail goto*//*Label 5162*/ GIMT_Encode4(273045), // Rule ID 8206 //
     /*  272987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  272990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  272995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  272998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273026 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273043 */     GIR_RootConstrainSelectedInstOperands,
     /*  273044 */     // GIR_Coverage, 8206,
     /*  273044 */     GIR_EraseRootFromParent_Done,
     /*  273045 */   // Label 5162: @273045
     /*  273045 */   GIM_Try, /*On fail goto*//*Label 5163*/ GIMT_Encode4(273108), // Rule ID 8207 //
     /*  273050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  273064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273089 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273106 */     GIR_RootConstrainSelectedInstOperands,
     /*  273107 */     // GIR_Coverage, 8207,
     /*  273107 */     GIR_EraseRootFromParent_Done,
     /*  273108 */   // Label 5163: @273108
     /*  273108 */   GIM_Try, /*On fail goto*//*Label 5164*/ GIMT_Encode4(273171), // Rule ID 8210 //
     /*  273113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273152 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  273152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273169 */     GIR_RootConstrainSelectedInstOperands,
     /*  273170 */     // GIR_Coverage, 8210,
     /*  273170 */     GIR_EraseRootFromParent_Done,
     /*  273171 */   // Label 5164: @273171
     /*  273171 */   GIM_Try, /*On fail goto*//*Label 5165*/ GIMT_Encode4(273234), // Rule ID 8211 //
     /*  273176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  273187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  273190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273215 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  273215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  273232 */     GIR_RootConstrainSelectedInstOperands,
     /*  273233 */     // GIR_Coverage, 8211,
     /*  273233 */     GIR_EraseRootFromParent_Done,
     /*  273234 */   // Label 5165: @273234
     /*  273234 */   GIM_Try, /*On fail goto*//*Label 5166*/ GIMT_Encode4(273297), // Rule ID 8214 //
     /*  273239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273278 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  273281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273295 */     GIR_RootConstrainSelectedInstOperands,
     /*  273296 */     // GIR_Coverage, 8214,
     /*  273296 */     GIR_EraseRootFromParent_Done,
     /*  273297 */   // Label 5166: @273297
     /*  273297 */   GIM_Try, /*On fail goto*//*Label 5167*/ GIMT_Encode4(273360), // Rule ID 8215 //
     /*  273302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  273316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273341 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  273344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273358 */     GIR_RootConstrainSelectedInstOperands,
     /*  273359 */     // GIR_Coverage, 8215,
     /*  273359 */     GIR_EraseRootFromParent_Done,
     /*  273360 */   // Label 5167: @273360
     /*  273360 */   GIM_Try, /*On fail goto*//*Label 5168*/ GIMT_Encode4(273423), // Rule ID 8218 //
     /*  273365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273404 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273421 */     GIR_RootConstrainSelectedInstOperands,
     /*  273422 */     // GIR_Coverage, 8218,
     /*  273422 */     GIR_EraseRootFromParent_Done,
     /*  273423 */   // Label 5168: @273423
     /*  273423 */   GIM_Try, /*On fail goto*//*Label 5169*/ GIMT_Encode4(273486), // Rule ID 8219 //
     /*  273428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  273442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273467 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273484 */     GIR_RootConstrainSelectedInstOperands,
     /*  273485 */     // GIR_Coverage, 8219,
     /*  273485 */     GIR_EraseRootFromParent_Done,
     /*  273486 */   // Label 5169: @273486
     /*  273486 */   GIM_Try, /*On fail goto*//*Label 5170*/ GIMT_Encode4(273549), // Rule ID 8222 //
     /*  273491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273530 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  273530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273547 */     GIR_RootConstrainSelectedInstOperands,
     /*  273548 */     // GIR_Coverage, 8222,
     /*  273548 */     GIR_EraseRootFromParent_Done,
     /*  273549 */   // Label 5170: @273549
     /*  273549 */   GIM_Try, /*On fail goto*//*Label 5171*/ GIMT_Encode4(273612), // Rule ID 8223 //
     /*  273554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  273557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  273565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  273568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273593 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  273593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  273610 */     GIR_RootConstrainSelectedInstOperands,
     /*  273611 */     // GIR_Coverage, 8223,
     /*  273611 */     GIR_EraseRootFromParent_Done,
     /*  273612 */   // Label 5171: @273612
     /*  273612 */   GIM_Try, /*On fail goto*//*Label 5172*/ GIMT_Encode4(273675), // Rule ID 8226 //
     /*  273617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273656 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  273659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273673 */     GIR_RootConstrainSelectedInstOperands,
     /*  273674 */     // GIR_Coverage, 8226,
     /*  273674 */     GIR_EraseRootFromParent_Done,
     /*  273675 */   // Label 5172: @273675
     /*  273675 */   GIM_Try, /*On fail goto*//*Label 5173*/ GIMT_Encode4(273738), // Rule ID 8227 //
     /*  273680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  273691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  273694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  273708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273719 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11465:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2),
     /*  273722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273736 */     GIR_RootConstrainSelectedInstOperands,
     /*  273737 */     // GIR_Coverage, 8227,
     /*  273737 */     GIR_EraseRootFromParent_Done,
     /*  273738 */   // Label 5173: @273738
     /*  273738 */   GIM_Try, /*On fail goto*//*Label 5174*/ GIMT_Encode4(273801), // Rule ID 8230 //
     /*  273743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273782 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273799 */     GIR_RootConstrainSelectedInstOperands,
     /*  273800 */     // GIR_Coverage, 8230,
     /*  273800 */     GIR_EraseRootFromParent_Done,
     /*  273801 */   // Label 5174: @273801
     /*  273801 */   GIM_Try, /*On fail goto*//*Label 5175*/ GIMT_Encode4(273864), // Rule ID 8231 //
     /*  273806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  273817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  273820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  273834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273845 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11465:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4),
     /*  273848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273862 */     GIR_RootConstrainSelectedInstOperands,
     /*  273863 */     // GIR_Coverage, 8231,
     /*  273863 */     GIR_EraseRootFromParent_Done,
     /*  273864 */   // Label 5175: @273864
     /*  273864 */   GIM_Try, /*On fail goto*//*Label 5176*/ GIMT_Encode4(273927), // Rule ID 8234 //
     /*  273869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  273872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  273886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  273889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  273908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273925 */     GIR_RootConstrainSelectedInstOperands,
     /*  273926 */     // GIR_Coverage, 8234,
     /*  273926 */     GIR_EraseRootFromParent_Done,
     /*  273927 */   // Label 5176: @273927
     /*  273927 */   GIM_Try, /*On fail goto*//*Label 5177*/ GIMT_Encode4(273990), // Rule ID 8235 //
     /*  273932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  273935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne),
     /*  273940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  273943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  273946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  273949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  273952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  273956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  273960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  273964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  273971 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11465:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  273971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8),
     /*  273974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  273976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  273978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  273980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  273985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  273988 */     GIR_RootConstrainSelectedInstOperands,
     /*  273989 */     // GIR_Coverage, 8235,
     /*  273989 */     GIR_EraseRootFromParent_Done,
     /*  273990 */   // Label 5177: @273990
     /*  273990 */   GIM_Try, /*On fail goto*//*Label 5178*/ GIMT_Encode4(274053), // Rule ID 8326 //
     /*  273995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  273998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  274037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274051 */     GIR_RootConstrainSelectedInstOperands,
     /*  274052 */     // GIR_Coverage, 8326,
     /*  274052 */     GIR_EraseRootFromParent_Done,
     /*  274053 */   // Label 5178: @274053
     /*  274053 */   GIM_Try, /*On fail goto*//*Label 5179*/ GIMT_Encode4(274116), // Rule ID 8327 //
     /*  274058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  274072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  274075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274097 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /*  274100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274114 */     GIR_RootConstrainSelectedInstOperands,
     /*  274115 */     // GIR_Coverage, 8327,
     /*  274115 */     GIR_EraseRootFromParent_Done,
     /*  274116 */   // Label 5179: @274116
     /*  274116 */   GIM_Try, /*On fail goto*//*Label 5180*/ GIMT_Encode4(274179), // Rule ID 8330 //
     /*  274121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274160 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  274163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274177 */     GIR_RootConstrainSelectedInstOperands,
     /*  274178 */     // GIR_Coverage, 8330,
     /*  274178 */     GIR_EraseRootFromParent_Done,
     /*  274179 */   // Label 5180: @274179
     /*  274179 */   GIM_Try, /*On fail goto*//*Label 5181*/ GIMT_Encode4(274242), // Rule ID 8331 //
     /*  274184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  274198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  274201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  274226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274240 */     GIR_RootConstrainSelectedInstOperands,
     /*  274241 */     // GIR_Coverage, 8331,
     /*  274241 */     GIR_EraseRootFromParent_Done,
     /*  274242 */   // Label 5181: @274242
     /*  274242 */   GIM_Try, /*On fail goto*//*Label 5182*/ GIMT_Encode4(274305), // Rule ID 8334 //
     /*  274247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274286 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274303 */     GIR_RootConstrainSelectedInstOperands,
     /*  274304 */     // GIR_Coverage, 8334,
     /*  274304 */     GIR_EraseRootFromParent_Done,
     /*  274305 */   // Label 5182: @274305
     /*  274305 */   GIM_Try, /*On fail goto*//*Label 5183*/ GIMT_Encode4(274368), // Rule ID 8335 //
     /*  274310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  274324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  274327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274349 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274366 */     GIR_RootConstrainSelectedInstOperands,
     /*  274367 */     // GIR_Coverage, 8335,
     /*  274367 */     GIR_EraseRootFromParent_Done,
     /*  274368 */   // Label 5183: @274368
     /*  274368 */   GIM_Try, /*On fail goto*//*Label 5184*/ GIMT_Encode4(274431), // Rule ID 8338 //
     /*  274373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274412 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  274415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274429 */     GIR_RootConstrainSelectedInstOperands,
     /*  274430 */     // GIR_Coverage, 8338,
     /*  274430 */     GIR_EraseRootFromParent_Done,
     /*  274431 */   // Label 5184: @274431
     /*  274431 */   GIM_Try, /*On fail goto*//*Label 5185*/ GIMT_Encode4(274494), // Rule ID 8339 //
     /*  274436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  274450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  274453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274475 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  274478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274492 */     GIR_RootConstrainSelectedInstOperands,
     /*  274493 */     // GIR_Coverage, 8339,
     /*  274493 */     GIR_EraseRootFromParent_Done,
     /*  274494 */   // Label 5185: @274494
     /*  274494 */   GIM_Try, /*On fail goto*//*Label 5186*/ GIMT_Encode4(274557), // Rule ID 8342 //
     /*  274499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274538 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274555 */     GIR_RootConstrainSelectedInstOperands,
     /*  274556 */     // GIR_Coverage, 8342,
     /*  274556 */     GIR_EraseRootFromParent_Done,
     /*  274557 */   // Label 5186: @274557
     /*  274557 */   GIM_Try, /*On fail goto*//*Label 5187*/ GIMT_Encode4(274620), // Rule ID 8343 //
     /*  274562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  274573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  274576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  274579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274601 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274618 */     GIR_RootConstrainSelectedInstOperands,
     /*  274619 */     // GIR_Coverage, 8343,
     /*  274619 */     GIR_EraseRootFromParent_Done,
     /*  274620 */   // Label 5187: @274620
     /*  274620 */   GIM_Try, /*On fail goto*//*Label 5188*/ GIMT_Encode4(274683), // Rule ID 8346 //
     /*  274625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274664 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  274664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274681 */     GIR_RootConstrainSelectedInstOperands,
     /*  274682 */     // GIR_Coverage, 8346,
     /*  274682 */     GIR_EraseRootFromParent_Done,
     /*  274683 */   // Label 5188: @274683
     /*  274683 */   GIM_Try, /*On fail goto*//*Label 5189*/ GIMT_Encode4(274746), // Rule ID 8347 //
     /*  274688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  274699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  274702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  274705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274727 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  274727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  274730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  274744 */     GIR_RootConstrainSelectedInstOperands,
     /*  274745 */     // GIR_Coverage, 8347,
     /*  274745 */     GIR_EraseRootFromParent_Done,
     /*  274746 */   // Label 5189: @274746
     /*  274746 */   GIM_Try, /*On fail goto*//*Label 5190*/ GIMT_Encode4(274809), // Rule ID 8350 //
     /*  274751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274790 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  274790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274807 */     GIR_RootConstrainSelectedInstOperands,
     /*  274808 */     // GIR_Coverage, 8350,
     /*  274808 */     GIR_EraseRootFromParent_Done,
     /*  274809 */   // Label 5190: @274809
     /*  274809 */   GIM_Try, /*On fail goto*//*Label 5191*/ GIMT_Encode4(274872), // Rule ID 8351 //
     /*  274814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  274825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  274828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  274831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274853 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  274853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  274870 */     GIR_RootConstrainSelectedInstOperands,
     /*  274871 */     // GIR_Coverage, 8351,
     /*  274871 */     GIR_EraseRootFromParent_Done,
     /*  274872 */   // Label 5191: @274872
     /*  274872 */   GIM_Try, /*On fail goto*//*Label 5192*/ GIMT_Encode4(274935), // Rule ID 8354 //
     /*  274877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  274880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  274897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  274916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274933 */     GIR_RootConstrainSelectedInstOperands,
     /*  274934 */     // GIR_Coverage, 8354,
     /*  274934 */     GIR_EraseRootFromParent_Done,
     /*  274935 */   // Label 5192: @274935
     /*  274935 */   GIM_Try, /*On fail goto*//*Label 5193*/ GIMT_Encode4(274998), // Rule ID 8355 //
     /*  274940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  274943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  274948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  274951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  274954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  274957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  274960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  274972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  274979 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  274979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  274982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  274984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  274986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  274988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  274993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  274996 */     GIR_RootConstrainSelectedInstOperands,
     /*  274997 */     // GIR_Coverage, 8355,
     /*  274997 */     GIR_EraseRootFromParent_Done,
     /*  274998 */   // Label 5193: @274998
     /*  274998 */   GIM_Try, /*On fail goto*//*Label 5194*/ GIMT_Encode4(275061), // Rule ID 8358 //
     /*  275003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275042 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  275042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  275045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275059 */     GIR_RootConstrainSelectedInstOperands,
     /*  275060 */     // GIR_Coverage, 8358,
     /*  275060 */     GIR_EraseRootFromParent_Done,
     /*  275061 */   // Label 5194: @275061
     /*  275061 */   GIM_Try, /*On fail goto*//*Label 5195*/ GIMT_Encode4(275124), // Rule ID 8359 //
     /*  275066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  275077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  275080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  275083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275105 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  275105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  275108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  275122 */     GIR_RootConstrainSelectedInstOperands,
     /*  275123 */     // GIR_Coverage, 8359,
     /*  275123 */     GIR_EraseRootFromParent_Done,
     /*  275124 */   // Label 5195: @275124
     /*  275124 */   GIM_Try, /*On fail goto*//*Label 5196*/ GIMT_Encode4(275187), // Rule ID 8362 //
     /*  275129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  275132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275168 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  275168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  275171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275185 */     GIR_RootConstrainSelectedInstOperands,
     /*  275186 */     // GIR_Coverage, 8362,
     /*  275186 */     GIR_EraseRootFromParent_Done,
     /*  275187 */   // Label 5196: @275187
     /*  275187 */   GIM_Try, /*On fail goto*//*Label 5197*/ GIMT_Encode4(275250), // Rule ID 8363 //
     /*  275192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  275195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  275203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  275206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  275209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275231 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  275231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  275234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  275248 */     GIR_RootConstrainSelectedInstOperands,
     /*  275249 */     // GIR_Coverage, 8363,
     /*  275249 */     GIR_EraseRootFromParent_Done,
     /*  275250 */   // Label 5197: @275250
     /*  275250 */   GIM_Try, /*On fail goto*//*Label 5198*/ GIMT_Encode4(275313), // Rule ID 8366 //
     /*  275255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275294 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275311 */     GIR_RootConstrainSelectedInstOperands,
     /*  275312 */     // GIR_Coverage, 8366,
     /*  275312 */     GIR_EraseRootFromParent_Done,
     /*  275313 */   // Label 5198: @275313
     /*  275313 */   GIM_Try, /*On fail goto*//*Label 5199*/ GIMT_Encode4(275376), // Rule ID 8367 //
     /*  275318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  275332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  275335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275357 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275374 */     GIR_RootConstrainSelectedInstOperands,
     /*  275375 */     // GIR_Coverage, 8367,
     /*  275375 */     GIR_EraseRootFromParent_Done,
     /*  275376 */   // Label 5199: @275376
     /*  275376 */   GIM_Try, /*On fail goto*//*Label 5200*/ GIMT_Encode4(275439), // Rule ID 8370 //
     /*  275381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275420 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275437 */     GIR_RootConstrainSelectedInstOperands,
     /*  275438 */     // GIR_Coverage, 8370,
     /*  275438 */     GIR_EraseRootFromParent_Done,
     /*  275439 */   // Label 5200: @275439
     /*  275439 */   GIM_Try, /*On fail goto*//*Label 5201*/ GIMT_Encode4(275502), // Rule ID 8371 //
     /*  275444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  275458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  275461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275483 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275500 */     GIR_RootConstrainSelectedInstOperands,
     /*  275501 */     // GIR_Coverage, 8371,
     /*  275501 */     GIR_EraseRootFromParent_Done,
     /*  275502 */   // Label 5201: @275502
     /*  275502 */   GIM_Try, /*On fail goto*//*Label 5202*/ GIMT_Encode4(275565), // Rule ID 8374 //
     /*  275507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275546 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  275546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275563 */     GIR_RootConstrainSelectedInstOperands,
     /*  275564 */     // GIR_Coverage, 8374,
     /*  275564 */     GIR_EraseRootFromParent_Done,
     /*  275565 */   // Label 5202: @275565
     /*  275565 */   GIM_Try, /*On fail goto*//*Label 5203*/ GIMT_Encode4(275628), // Rule ID 8375 //
     /*  275570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  275581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  275584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  275587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275609 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  275609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  275626 */     GIR_RootConstrainSelectedInstOperands,
     /*  275627 */     // GIR_Coverage, 8375,
     /*  275627 */     GIR_EraseRootFromParent_Done,
     /*  275628 */   // Label 5203: @275628
     /*  275628 */   GIM_Try, /*On fail goto*//*Label 5204*/ GIMT_Encode4(275691), // Rule ID 8378 //
     /*  275633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275672 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275689 */     GIR_RootConstrainSelectedInstOperands,
     /*  275690 */     // GIR_Coverage, 8378,
     /*  275690 */     GIR_EraseRootFromParent_Done,
     /*  275691 */   // Label 5204: @275691
     /*  275691 */   GIM_Try, /*On fail goto*//*Label 5205*/ GIMT_Encode4(275754), // Rule ID 8379 //
     /*  275696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  275707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  275710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  275713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  275728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275735 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  275738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275752 */     GIR_RootConstrainSelectedInstOperands,
     /*  275753 */     // GIR_Coverage, 8379,
     /*  275753 */     GIR_EraseRootFromParent_Done,
     /*  275754 */   // Label 5205: @275754
     /*  275754 */   GIM_Try, /*On fail goto*//*Label 5206*/ GIMT_Encode4(275817), // Rule ID 8382 //
     /*  275759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275798 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275815 */     GIR_RootConstrainSelectedInstOperands,
     /*  275816 */     // GIR_Coverage, 8382,
     /*  275816 */     GIR_EraseRootFromParent_Done,
     /*  275817 */   // Label 5206: @275817
     /*  275817 */   GIM_Try, /*On fail goto*//*Label 5207*/ GIMT_Encode4(275880), // Rule ID 8383 //
     /*  275822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  275833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  275836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  275839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  275854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275861 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  275864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275878 */     GIR_RootConstrainSelectedInstOperands,
     /*  275879 */     // GIR_Coverage, 8383,
     /*  275879 */     GIR_EraseRootFromParent_Done,
     /*  275880 */   // Label 5207: @275880
     /*  275880 */   GIM_Try, /*On fail goto*//*Label 5208*/ GIMT_Encode4(275943), // Rule ID 8386 //
     /*  275885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  275888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  275905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275924 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  275924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  275938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  275941 */     GIR_RootConstrainSelectedInstOperands,
     /*  275942 */     // GIR_Coverage, 8386,
     /*  275942 */     GIR_EraseRootFromParent_Done,
     /*  275943 */   // Label 5208: @275943
     /*  275943 */   GIM_Try, /*On fail goto*//*Label 5209*/ GIMT_Encode4(276006), // Rule ID 8387 //
     /*  275948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  275951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  275956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  275959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  275962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  275965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  275968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  275972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  275980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  275987 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  275987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  275990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  275992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  275994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  275996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  276004 */     GIR_RootConstrainSelectedInstOperands,
     /*  276005 */     // GIR_Coverage, 8387,
     /*  276005 */     GIR_EraseRootFromParent_Done,
     /*  276006 */   // Label 5209: @276006
     /*  276006 */   GIM_Try, /*On fail goto*//*Label 5210*/ GIMT_Encode4(276069), // Rule ID 8390 //
     /*  276011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276050 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  276053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276067 */     GIR_RootConstrainSelectedInstOperands,
     /*  276068 */     // GIR_Coverage, 8390,
     /*  276068 */     GIR_EraseRootFromParent_Done,
     /*  276069 */   // Label 5210: @276069
     /*  276069 */   GIM_Try, /*On fail goto*//*Label 5211*/ GIMT_Encode4(276132), // Rule ID 8391 //
     /*  276074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  276088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  276091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276113 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  276116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276130 */     GIR_RootConstrainSelectedInstOperands,
     /*  276131 */     // GIR_Coverage, 8391,
     /*  276131 */     GIR_EraseRootFromParent_Done,
     /*  276132 */   // Label 5211: @276132
     /*  276132 */   GIM_Try, /*On fail goto*//*Label 5212*/ GIMT_Encode4(276195), // Rule ID 8394 //
     /*  276137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276176 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  276179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276193 */     GIR_RootConstrainSelectedInstOperands,
     /*  276194 */     // GIR_Coverage, 8394,
     /*  276194 */     GIR_EraseRootFromParent_Done,
     /*  276195 */   // Label 5212: @276195
     /*  276195 */   GIM_Try, /*On fail goto*//*Label 5213*/ GIMT_Encode4(276258), // Rule ID 8395 //
     /*  276200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  276214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  276217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276239 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  276242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276256 */     GIR_RootConstrainSelectedInstOperands,
     /*  276257 */     // GIR_Coverage, 8395,
     /*  276257 */     GIR_EraseRootFromParent_Done,
     /*  276258 */   // Label 5213: @276258
     /*  276258 */   GIM_Try, /*On fail goto*//*Label 5214*/ GIMT_Encode4(276321), // Rule ID 8398 //
     /*  276263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276302 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  276302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  276305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276319 */     GIR_RootConstrainSelectedInstOperands,
     /*  276320 */     // GIR_Coverage, 8398,
     /*  276320 */     GIR_EraseRootFromParent_Done,
     /*  276321 */   // Label 5214: @276321
     /*  276321 */   GIM_Try, /*On fail goto*//*Label 5215*/ GIMT_Encode4(276384), // Rule ID 8399 //
     /*  276326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  276337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  276340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  276343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276365 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  276365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  276368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  276382 */     GIR_RootConstrainSelectedInstOperands,
     /*  276383 */     // GIR_Coverage, 8399,
     /*  276383 */     GIR_EraseRootFromParent_Done,
     /*  276384 */   // Label 5215: @276384
     /*  276384 */   GIM_Try, /*On fail goto*//*Label 5216*/ GIMT_Encode4(276447), // Rule ID 8402 //
     /*  276389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  276431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276445 */     GIR_RootConstrainSelectedInstOperands,
     /*  276446 */     // GIR_Coverage, 8402,
     /*  276446 */     GIR_EraseRootFromParent_Done,
     /*  276447 */   // Label 5216: @276447
     /*  276447 */   GIM_Try, /*On fail goto*//*Label 5217*/ GIMT_Encode4(276510), // Rule ID 8403 //
     /*  276452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  276466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  276469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  276484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276491 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  276494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276508 */     GIR_RootConstrainSelectedInstOperands,
     /*  276509 */     // GIR_Coverage, 8403,
     /*  276509 */     GIR_EraseRootFromParent_Done,
     /*  276510 */   // Label 5217: @276510
     /*  276510 */   GIM_Try, /*On fail goto*//*Label 5218*/ GIMT_Encode4(276573), // Rule ID 8406 //
     /*  276515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276554 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  276557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276571 */     GIR_RootConstrainSelectedInstOperands,
     /*  276572 */     // GIR_Coverage, 8406,
     /*  276572 */     GIR_EraseRootFromParent_Done,
     /*  276573 */   // Label 5218: @276573
     /*  276573 */   GIM_Try, /*On fail goto*//*Label 5219*/ GIMT_Encode4(276636), // Rule ID 8407 //
     /*  276578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  276589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  276592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  276595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  276610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276617 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  276620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276634 */     GIR_RootConstrainSelectedInstOperands,
     /*  276635 */     // GIR_Coverage, 8407,
     /*  276635 */     GIR_EraseRootFromParent_Done,
     /*  276636 */   // Label 5219: @276636
     /*  276636 */   GIM_Try, /*On fail goto*//*Label 5220*/ GIMT_Encode4(276699), // Rule ID 8410 //
     /*  276641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  276644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276680 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  276680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  276683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276697 */     GIR_RootConstrainSelectedInstOperands,
     /*  276698 */     // GIR_Coverage, 8410,
     /*  276698 */     GIR_EraseRootFromParent_Done,
     /*  276699 */   // Label 5220: @276699
     /*  276699 */   GIM_Try, /*On fail goto*//*Label 5221*/ GIMT_Encode4(276762), // Rule ID 8411 //
     /*  276704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  276707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  276715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  276718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  276721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  276736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276743 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  276743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  276746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  276760 */     GIR_RootConstrainSelectedInstOperands,
     /*  276761 */     // GIR_Coverage, 8411,
     /*  276761 */     GIR_EraseRootFromParent_Done,
     /*  276762 */   // Label 5221: @276762
     /*  276762 */   GIM_Try, /*On fail goto*//*Label 5222*/ GIMT_Encode4(276825), // Rule ID 8414 //
     /*  276767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276806 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  276809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276823 */     GIR_RootConstrainSelectedInstOperands,
     /*  276824 */     // GIR_Coverage, 8414,
     /*  276824 */     GIR_EraseRootFromParent_Done,
     /*  276825 */   // Label 5222: @276825
     /*  276825 */   GIM_Try, /*On fail goto*//*Label 5223*/ GIMT_Encode4(276888), // Rule ID 8415 //
     /*  276830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  276841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  276844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276869 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8),
     /*  276872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276886 */     GIR_RootConstrainSelectedInstOperands,
     /*  276887 */     // GIR_Coverage, 8415,
     /*  276887 */     GIR_EraseRootFromParent_Done,
     /*  276888 */   // Label 5223: @276888
     /*  276888 */   GIM_Try, /*On fail goto*//*Label 5224*/ GIMT_Encode4(276951), // Rule ID 8418 //
     /*  276893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  276896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  276910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  276913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276932 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  276932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  276937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  276939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  276941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  276946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  276949 */     GIR_RootConstrainSelectedInstOperands,
     /*  276950 */     // GIR_Coverage, 8418,
     /*  276950 */     GIR_EraseRootFromParent_Done,
     /*  276951 */   // Label 5224: @276951
     /*  276951 */   GIM_Try, /*On fail goto*//*Label 5225*/ GIMT_Encode4(277014), // Rule ID 8419 //
     /*  276956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  276959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  276964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  276967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  276970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  276973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  276976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  276984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  276988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  276995 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  276995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  276998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277012 */     GIR_RootConstrainSelectedInstOperands,
     /*  277013 */     // GIR_Coverage, 8419,
     /*  277013 */     GIR_EraseRootFromParent_Done,
     /*  277014 */   // Label 5225: @277014
     /*  277014 */   GIM_Try, /*On fail goto*//*Label 5226*/ GIMT_Encode4(277077), // Rule ID 8422 //
     /*  277019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277058 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  277061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277075 */     GIR_RootConstrainSelectedInstOperands,
     /*  277076 */     // GIR_Coverage, 8422,
     /*  277076 */     GIR_EraseRootFromParent_Done,
     /*  277077 */   // Label 5226: @277077
     /*  277077 */   GIM_Try, /*On fail goto*//*Label 5227*/ GIMT_Encode4(277140), // Rule ID 8423 //
     /*  277082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  277096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277121 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  277124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277138 */     GIR_RootConstrainSelectedInstOperands,
     /*  277139 */     // GIR_Coverage, 8423,
     /*  277139 */     GIR_EraseRootFromParent_Done,
     /*  277140 */   // Label 5227: @277140
     /*  277140 */   GIM_Try, /*On fail goto*//*Label 5228*/ GIMT_Encode4(277203), // Rule ID 8426 //
     /*  277145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277184 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  277187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277201 */     GIR_RootConstrainSelectedInstOperands,
     /*  277202 */     // GIR_Coverage, 8426,
     /*  277202 */     GIR_EraseRootFromParent_Done,
     /*  277203 */   // Label 5228: @277203
     /*  277203 */   GIM_Try, /*On fail goto*//*Label 5229*/ GIMT_Encode4(277266), // Rule ID 8427 //
     /*  277208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  277222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277247 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4),
     /*  277250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277264 */     GIR_RootConstrainSelectedInstOperands,
     /*  277265 */     // GIR_Coverage, 8427,
     /*  277265 */     GIR_EraseRootFromParent_Done,
     /*  277266 */   // Label 5229: @277266
     /*  277266 */   GIM_Try, /*On fail goto*//*Label 5230*/ GIMT_Encode4(277329), // Rule ID 8430 //
     /*  277271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277310 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  277313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277327 */     GIR_RootConstrainSelectedInstOperands,
     /*  277328 */     // GIR_Coverage, 8430,
     /*  277328 */     GIR_EraseRootFromParent_Done,
     /*  277329 */   // Label 5230: @277329
     /*  277329 */   GIM_Try, /*On fail goto*//*Label 5231*/ GIMT_Encode4(277392), // Rule ID 8431 //
     /*  277334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  277348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277373 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  277376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277390 */     GIR_RootConstrainSelectedInstOperands,
     /*  277391 */     // GIR_Coverage, 8431,
     /*  277391 */     GIR_EraseRootFromParent_Done,
     /*  277392 */   // Label 5231: @277392
     /*  277392 */   GIM_Try, /*On fail goto*//*Label 5232*/ GIMT_Encode4(277455), // Rule ID 8434 //
     /*  277397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277436 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  277439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277453 */     GIR_RootConstrainSelectedInstOperands,
     /*  277454 */     // GIR_Coverage, 8434,
     /*  277454 */     GIR_EraseRootFromParent_Done,
     /*  277455 */   // Label 5232: @277455
     /*  277455 */   GIM_Try, /*On fail goto*//*Label 5233*/ GIMT_Encode4(277518), // Rule ID 8435 //
     /*  277460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  277474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277499 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2),
     /*  277502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277516 */     GIR_RootConstrainSelectedInstOperands,
     /*  277517 */     // GIR_Coverage, 8435,
     /*  277517 */     GIR_EraseRootFromParent_Done,
     /*  277518 */   // Label 5233: @277518
     /*  277518 */   GIM_Try, /*On fail goto*//*Label 5234*/ GIMT_Encode4(277581), // Rule ID 8438 //
     /*  277523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277562 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  277562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277579 */     GIR_RootConstrainSelectedInstOperands,
     /*  277580 */     // GIR_Coverage, 8438,
     /*  277580 */     GIR_EraseRootFromParent_Done,
     /*  277581 */   // Label 5234: @277581
     /*  277581 */   GIM_Try, /*On fail goto*//*Label 5235*/ GIMT_Encode4(277644), // Rule ID 8439 //
     /*  277586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  277597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  277600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277625 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  277625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  277642 */     GIR_RootConstrainSelectedInstOperands,
     /*  277643 */     // GIR_Coverage, 8439,
     /*  277643 */     GIR_EraseRootFromParent_Done,
     /*  277644 */   // Label 5235: @277644
     /*  277644 */   GIM_Try, /*On fail goto*//*Label 5236*/ GIMT_Encode4(277707), // Rule ID 8442 //
     /*  277649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277688 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  277688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277705 */     GIR_RootConstrainSelectedInstOperands,
     /*  277706 */     // GIR_Coverage, 8442,
     /*  277706 */     GIR_EraseRootFromParent_Done,
     /*  277707 */   // Label 5236: @277707
     /*  277707 */   GIM_Try, /*On fail goto*//*Label 5237*/ GIMT_Encode4(277770), // Rule ID 8443 //
     /*  277712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  277723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  277726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277751 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  277751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  277768 */     GIR_RootConstrainSelectedInstOperands,
     /*  277769 */     // GIR_Coverage, 8443,
     /*  277769 */     GIR_EraseRootFromParent_Done,
     /*  277770 */   // Label 5237: @277770
     /*  277770 */   GIM_Try, /*On fail goto*//*Label 5238*/ GIMT_Encode4(277833), // Rule ID 8446 //
     /*  277775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  277778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277814 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  277814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277831 */     GIR_RootConstrainSelectedInstOperands,
     /*  277832 */     // GIR_Coverage, 8446,
     /*  277832 */     GIR_EraseRootFromParent_Done,
     /*  277833 */   // Label 5238: @277833
     /*  277833 */   GIM_Try, /*On fail goto*//*Label 5239*/ GIMT_Encode4(277896), // Rule ID 8447 //
     /*  277838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  277841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  277849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  277852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277877 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  277877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  277894 */     GIR_RootConstrainSelectedInstOperands,
     /*  277895 */     // GIR_Coverage, 8447,
     /*  277895 */     GIR_EraseRootFromParent_Done,
     /*  277896 */   // Label 5239: @277896
     /*  277896 */   GIM_Try, /*On fail goto*//*Label 5240*/ GIMT_Encode4(277959), // Rule ID 8450 //
     /*  277901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  277904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  277918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  277921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  277940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  277940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  277943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  277945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  277947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  277949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  277954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  277957 */     GIR_RootConstrainSelectedInstOperands,
     /*  277958 */     // GIR_Coverage, 8450,
     /*  277958 */     GIR_EraseRootFromParent_Done,
     /*  277959 */   // Label 5240: @277959
     /*  277959 */   GIM_Try, /*On fail goto*//*Label 5241*/ GIMT_Encode4(278022), // Rule ID 8451 //
     /*  277964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  277967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  277972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  277975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  277978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  277981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  277984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  277992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  277996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278003 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11463:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  278003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1),
     /*  278006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  278020 */     GIR_RootConstrainSelectedInstOperands,
     /*  278021 */     // GIR_Coverage, 8451,
     /*  278021 */     GIR_EraseRootFromParent_Done,
     /*  278022 */   // Label 5241: @278022
     /*  278022 */   GIM_Try, /*On fail goto*//*Label 5242*/ GIMT_Encode4(278085), // Rule ID 8454 //
     /*  278027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278066 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278083 */     GIR_RootConstrainSelectedInstOperands,
     /*  278084 */     // GIR_Coverage, 8454,
     /*  278084 */     GIR_EraseRootFromParent_Done,
     /*  278085 */   // Label 5242: @278085
     /*  278085 */   GIM_Try, /*On fail goto*//*Label 5243*/ GIMT_Encode4(278148), // Rule ID 8455 //
     /*  278090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  278104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278129 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278146 */     GIR_RootConstrainSelectedInstOperands,
     /*  278147 */     // GIR_Coverage, 8455,
     /*  278147 */     GIR_EraseRootFromParent_Done,
     /*  278148 */   // Label 5243: @278148
     /*  278148 */   GIM_Try, /*On fail goto*//*Label 5244*/ GIMT_Encode4(278211), // Rule ID 8458 //
     /*  278153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278192 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278209 */     GIR_RootConstrainSelectedInstOperands,
     /*  278210 */     // GIR_Coverage, 8458,
     /*  278210 */     GIR_EraseRootFromParent_Done,
     /*  278211 */   // Label 5244: @278211
     /*  278211 */   GIM_Try, /*On fail goto*//*Label 5245*/ GIMT_Encode4(278274), // Rule ID 8459 //
     /*  278216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  278230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278255 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278272 */     GIR_RootConstrainSelectedInstOperands,
     /*  278273 */     // GIR_Coverage, 8459,
     /*  278273 */     GIR_EraseRootFromParent_Done,
     /*  278274 */   // Label 5245: @278274
     /*  278274 */   GIM_Try, /*On fail goto*//*Label 5246*/ GIMT_Encode4(278337), // Rule ID 8462 //
     /*  278279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278318 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  278318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278335 */     GIR_RootConstrainSelectedInstOperands,
     /*  278336 */     // GIR_Coverage, 8462,
     /*  278336 */     GIR_EraseRootFromParent_Done,
     /*  278337 */   // Label 5246: @278337
     /*  278337 */   GIM_Try, /*On fail goto*//*Label 5247*/ GIMT_Encode4(278400), // Rule ID 8463 //
     /*  278342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  278353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  278356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278381 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  278381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  278398 */     GIR_RootConstrainSelectedInstOperands,
     /*  278399 */     // GIR_Coverage, 8463,
     /*  278399 */     GIR_EraseRootFromParent_Done,
     /*  278400 */   // Label 5247: @278400
     /*  278400 */   GIM_Try, /*On fail goto*//*Label 5248*/ GIMT_Encode4(278463), // Rule ID 8466 //
     /*  278405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278444 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278461 */     GIR_RootConstrainSelectedInstOperands,
     /*  278462 */     // GIR_Coverage, 8466,
     /*  278462 */     GIR_EraseRootFromParent_Done,
     /*  278463 */   // Label 5248: @278463
     /*  278463 */   GIM_Try, /*On fail goto*//*Label 5249*/ GIMT_Encode4(278526), // Rule ID 8467 //
     /*  278468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  278482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278507 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278524 */     GIR_RootConstrainSelectedInstOperands,
     /*  278525 */     // GIR_Coverage, 8467,
     /*  278525 */     GIR_EraseRootFromParent_Done,
     /*  278526 */   // Label 5249: @278526
     /*  278526 */   GIM_Try, /*On fail goto*//*Label 5250*/ GIMT_Encode4(278589), // Rule ID 8470 //
     /*  278531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278570 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278587 */     GIR_RootConstrainSelectedInstOperands,
     /*  278588 */     // GIR_Coverage, 8470,
     /*  278588 */     GIR_EraseRootFromParent_Done,
     /*  278589 */   // Label 5250: @278589
     /*  278589 */   GIM_Try, /*On fail goto*//*Label 5251*/ GIMT_Encode4(278652), // Rule ID 8471 //
     /*  278594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  278605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  278608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278633 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278650 */     GIR_RootConstrainSelectedInstOperands,
     /*  278651 */     // GIR_Coverage, 8471,
     /*  278651 */     GIR_EraseRootFromParent_Done,
     /*  278652 */   // Label 5251: @278652
     /*  278652 */   GIM_Try, /*On fail goto*//*Label 5252*/ GIMT_Encode4(278715), // Rule ID 8474 //
     /*  278657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278696 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  278696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278713 */     GIR_RootConstrainSelectedInstOperands,
     /*  278714 */     // GIR_Coverage, 8474,
     /*  278714 */     GIR_EraseRootFromParent_Done,
     /*  278715 */   // Label 5252: @278715
     /*  278715 */   GIM_Try, /*On fail goto*//*Label 5253*/ GIMT_Encode4(278778), // Rule ID 8475 //
     /*  278720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  278731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  278734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  278748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278759 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  278759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  278762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  278776 */     GIR_RootConstrainSelectedInstOperands,
     /*  278777 */     // GIR_Coverage, 8475,
     /*  278777 */     GIR_EraseRootFromParent_Done,
     /*  278778 */   // Label 5253: @278778
     /*  278778 */   GIM_Try, /*On fail goto*//*Label 5254*/ GIMT_Encode4(278841), // Rule ID 8478 //
     /*  278783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278839 */     GIR_RootConstrainSelectedInstOperands,
     /*  278840 */     // GIR_Coverage, 8478,
     /*  278840 */     GIR_EraseRootFromParent_Done,
     /*  278841 */   // Label 5254: @278841
     /*  278841 */   GIM_Try, /*On fail goto*//*Label 5255*/ GIMT_Encode4(278904), // Rule ID 8479 //
     /*  278846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  278857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  278860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  278874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278885 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  278885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  278888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278902 */     GIR_RootConstrainSelectedInstOperands,
     /*  278903 */     // GIR_Coverage, 8479,
     /*  278903 */     GIR_EraseRootFromParent_Done,
     /*  278904 */   // Label 5255: @278904
     /*  278904 */   GIM_Try, /*On fail goto*//*Label 5256*/ GIMT_Encode4(278967), // Rule ID 8482 //
     /*  278909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  278912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  278926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  278929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  278937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  278941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  278948 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  278948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  278951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  278953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  278955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  278957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  278962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  278965 */     GIR_RootConstrainSelectedInstOperands,
     /*  278966 */     // GIR_Coverage, 8482,
     /*  278966 */     GIR_EraseRootFromParent_Done,
     /*  278967 */   // Label 5256: @278967
     /*  278967 */   GIM_Try, /*On fail goto*//*Label 5257*/ GIMT_Encode4(279030), // Rule ID 8483 //
     /*  278972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  278975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  278980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  278983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  278986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  278989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  278992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  278996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279011 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  279014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279028 */     GIR_RootConstrainSelectedInstOperands,
     /*  279029 */     // GIR_Coverage, 8483,
     /*  279029 */     GIR_EraseRootFromParent_Done,
     /*  279030 */   // Label 5257: @279030
     /*  279030 */   GIM_Try, /*On fail goto*//*Label 5258*/ GIMT_Encode4(279093), // Rule ID 8486 //
     /*  279035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279074 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  279074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  279077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279091 */     GIR_RootConstrainSelectedInstOperands,
     /*  279092 */     // GIR_Coverage, 8486,
     /*  279092 */     GIR_EraseRootFromParent_Done,
     /*  279093 */   // Label 5258: @279093
     /*  279093 */   GIM_Try, /*On fail goto*//*Label 5259*/ GIMT_Encode4(279156), // Rule ID 8487 //
     /*  279098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  279109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  279112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279137 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  279137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  279140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  279154 */     GIR_RootConstrainSelectedInstOperands,
     /*  279155 */     // GIR_Coverage, 8487,
     /*  279155 */     GIR_EraseRootFromParent_Done,
     /*  279156 */   // Label 5259: @279156
     /*  279156 */   GIM_Try, /*On fail goto*//*Label 5260*/ GIMT_Encode4(279219), // Rule ID 8490 //
     /*  279161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279200 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  279203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279217 */     GIR_RootConstrainSelectedInstOperands,
     /*  279218 */     // GIR_Coverage, 8490,
     /*  279218 */     GIR_EraseRootFromParent_Done,
     /*  279219 */   // Label 5260: @279219
     /*  279219 */   GIM_Try, /*On fail goto*//*Label 5261*/ GIMT_Encode4(279282), // Rule ID 8491 //
     /*  279224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  279238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  279252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279263 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11463:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2),
     /*  279266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279280 */     GIR_RootConstrainSelectedInstOperands,
     /*  279281 */     // GIR_Coverage, 8491,
     /*  279281 */     GIR_EraseRootFromParent_Done,
     /*  279282 */   // Label 5261: @279282
     /*  279282 */   GIM_Try, /*On fail goto*//*Label 5262*/ GIMT_Encode4(279345), // Rule ID 8494 //
     /*  279287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279326 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  279329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279343 */     GIR_RootConstrainSelectedInstOperands,
     /*  279344 */     // GIR_Coverage, 8494,
     /*  279344 */     GIR_EraseRootFromParent_Done,
     /*  279345 */   // Label 5262: @279345
     /*  279345 */   GIM_Try, /*On fail goto*//*Label 5263*/ GIMT_Encode4(279408), // Rule ID 8495 //
     /*  279350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  279364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  279378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279389 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11463:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4),
     /*  279392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279406 */     GIR_RootConstrainSelectedInstOperands,
     /*  279407 */     // GIR_Coverage, 8495,
     /*  279407 */     GIR_EraseRootFromParent_Done,
     /*  279408 */   // Label 5263: @279408
     /*  279408 */   GIM_Try, /*On fail goto*//*Label 5264*/ GIMT_Encode4(279471), // Rule ID 8498 //
     /*  279413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  279416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  279430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279452 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  279452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  279455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279469 */     GIR_RootConstrainSelectedInstOperands,
     /*  279470 */     // GIR_Coverage, 8498,
     /*  279470 */     GIR_EraseRootFromParent_Done,
     /*  279471 */   // Label 5264: @279471
     /*  279471 */   GIM_Try, /*On fail goto*//*Label 5265*/ GIMT_Encode4(279534), // Rule ID 8499 //
     /*  279476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  279479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu),
     /*  279484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  279487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  279490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  279493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  279504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  279508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279515 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11463:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  279515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8),
     /*  279518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  279532 */     GIR_RootConstrainSelectedInstOperands,
     /*  279533 */     // GIR_Coverage, 8499,
     /*  279533 */     GIR_EraseRootFromParent_Done,
     /*  279534 */   // Label 5265: @279534
     /*  279534 */   GIM_Try, /*On fail goto*//*Label 5266*/ GIMT_Encode4(279597), // Rule ID 8502 //
     /*  279539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279578 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  279581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279595 */     GIR_RootConstrainSelectedInstOperands,
     /*  279596 */     // GIR_Coverage, 8502,
     /*  279596 */     GIR_EraseRootFromParent_Done,
     /*  279597 */   // Label 5266: @279597
     /*  279597 */   GIM_Try, /*On fail goto*//*Label 5267*/ GIMT_Encode4(279660), // Rule ID 8503 //
     /*  279602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  279616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  279619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279641 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  279644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279658 */     GIR_RootConstrainSelectedInstOperands,
     /*  279659 */     // GIR_Coverage, 8503,
     /*  279659 */     GIR_EraseRootFromParent_Done,
     /*  279660 */   // Label 5267: @279660
     /*  279660 */   GIM_Try, /*On fail goto*//*Label 5268*/ GIMT_Encode4(279723), // Rule ID 8506 //
     /*  279665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279704 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279721 */     GIR_RootConstrainSelectedInstOperands,
     /*  279722 */     // GIR_Coverage, 8506,
     /*  279722 */     GIR_EraseRootFromParent_Done,
     /*  279723 */   // Label 5268: @279723
     /*  279723 */   GIM_Try, /*On fail goto*//*Label 5269*/ GIMT_Encode4(279786), // Rule ID 8507 //
     /*  279728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  279739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  279742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  279745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279767 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279784 */     GIR_RootConstrainSelectedInstOperands,
     /*  279785 */     // GIR_Coverage, 8507,
     /*  279785 */     GIR_EraseRootFromParent_Done,
     /*  279786 */   // Label 5269: @279786
     /*  279786 */   GIM_Try, /*On fail goto*//*Label 5270*/ GIMT_Encode4(279849), // Rule ID 8510 //
     /*  279791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279830 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  279830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279847 */     GIR_RootConstrainSelectedInstOperands,
     /*  279848 */     // GIR_Coverage, 8510,
     /*  279848 */     GIR_EraseRootFromParent_Done,
     /*  279849 */   // Label 5270: @279849
     /*  279849 */   GIM_Try, /*On fail goto*//*Label 5271*/ GIMT_Encode4(279912), // Rule ID 8511 //
     /*  279854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  279865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  279868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  279871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  279874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279893 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  279893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  279896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  279910 */     GIR_RootConstrainSelectedInstOperands,
     /*  279911 */     // GIR_Coverage, 8511,
     /*  279911 */     GIR_EraseRootFromParent_Done,
     /*  279912 */   // Label 5271: @279912
     /*  279912 */   GIM_Try, /*On fail goto*//*Label 5272*/ GIMT_Encode4(279975), // Rule ID 8514 //
     /*  279917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  279920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  279937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  279949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  279956 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  279956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  279959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  279961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  279963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  279965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  279970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  279973 */     GIR_RootConstrainSelectedInstOperands,
     /*  279974 */     // GIR_Coverage, 8514,
     /*  279974 */     GIR_EraseRootFromParent_Done,
     /*  279975 */   // Label 5272: @279975
     /*  279975 */   GIM_Try, /*On fail goto*//*Label 5273*/ GIMT_Encode4(280038), // Rule ID 8515 //
     /*  279980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  279983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  279988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  279991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  279994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  279997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280019 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  280022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280036 */     GIR_RootConstrainSelectedInstOperands,
     /*  280037 */     // GIR_Coverage, 8515,
     /*  280037 */     GIR_EraseRootFromParent_Done,
     /*  280038 */   // Label 5273: @280038
     /*  280038 */   GIM_Try, /*On fail goto*//*Label 5274*/ GIMT_Encode4(280101), // Rule ID 8518 //
     /*  280043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280082 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  280085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280099 */     GIR_RootConstrainSelectedInstOperands,
     /*  280100 */     // GIR_Coverage, 8518,
     /*  280100 */     GIR_EraseRootFromParent_Done,
     /*  280101 */   // Label 5274: @280101
     /*  280101 */   GIM_Try, /*On fail goto*//*Label 5275*/ GIMT_Encode4(280164), // Rule ID 8519 //
     /*  280106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  280120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  280123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280145 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  280148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280162 */     GIR_RootConstrainSelectedInstOperands,
     /*  280163 */     // GIR_Coverage, 8519,
     /*  280163 */     GIR_EraseRootFromParent_Done,
     /*  280164 */   // Label 5275: @280164
     /*  280164 */   GIM_Try, /*On fail goto*//*Label 5276*/ GIMT_Encode4(280227), // Rule ID 8522 //
     /*  280169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280208 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  280211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280225 */     GIR_RootConstrainSelectedInstOperands,
     /*  280226 */     // GIR_Coverage, 8522,
     /*  280226 */     GIR_EraseRootFromParent_Done,
     /*  280227 */   // Label 5276: @280227
     /*  280227 */   GIM_Try, /*On fail goto*//*Label 5277*/ GIMT_Encode4(280290), // Rule ID 8523 //
     /*  280232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  280246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  280249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280271 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  280274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280288 */     GIR_RootConstrainSelectedInstOperands,
     /*  280289 */     // GIR_Coverage, 8523,
     /*  280289 */     GIR_EraseRootFromParent_Done,
     /*  280290 */   // Label 5277: @280290
     /*  280290 */   GIM_Try, /*On fail goto*//*Label 5278*/ GIMT_Encode4(280353), // Rule ID 8526 //
     /*  280295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280334 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280351 */     GIR_RootConstrainSelectedInstOperands,
     /*  280352 */     // GIR_Coverage, 8526,
     /*  280352 */     GIR_EraseRootFromParent_Done,
     /*  280353 */   // Label 5278: @280353
     /*  280353 */   GIM_Try, /*On fail goto*//*Label 5279*/ GIMT_Encode4(280416), // Rule ID 8527 //
     /*  280358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  280369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  280372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  280375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280397 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280414 */     GIR_RootConstrainSelectedInstOperands,
     /*  280415 */     // GIR_Coverage, 8527,
     /*  280415 */     GIR_EraseRootFromParent_Done,
     /*  280416 */   // Label 5279: @280416
     /*  280416 */   GIM_Try, /*On fail goto*//*Label 5280*/ GIMT_Encode4(280479), // Rule ID 8530 //
     /*  280421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280460 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  280460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280477 */     GIR_RootConstrainSelectedInstOperands,
     /*  280478 */     // GIR_Coverage, 8530,
     /*  280478 */     GIR_EraseRootFromParent_Done,
     /*  280479 */   // Label 5280: @280479
     /*  280479 */   GIM_Try, /*On fail goto*//*Label 5281*/ GIMT_Encode4(280542), // Rule ID 8531 //
     /*  280484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  280495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  280498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  280501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280523 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  280523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  280540 */     GIR_RootConstrainSelectedInstOperands,
     /*  280541 */     // GIR_Coverage, 8531,
     /*  280541 */     GIR_EraseRootFromParent_Done,
     /*  280542 */   // Label 5281: @280542
     /*  280542 */   GIM_Try, /*On fail goto*//*Label 5282*/ GIMT_Encode4(280605), // Rule ID 8534 //
     /*  280547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280586 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  280586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280603 */     GIR_RootConstrainSelectedInstOperands,
     /*  280604 */     // GIR_Coverage, 8534,
     /*  280604 */     GIR_EraseRootFromParent_Done,
     /*  280605 */   // Label 5282: @280605
     /*  280605 */   GIM_Try, /*On fail goto*//*Label 5283*/ GIMT_Encode4(280668), // Rule ID 8535 //
     /*  280610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  280621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  280624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  280627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280649 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  280649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  280666 */     GIR_RootConstrainSelectedInstOperands,
     /*  280667 */     // GIR_Coverage, 8535,
     /*  280667 */     GIR_EraseRootFromParent_Done,
     /*  280668 */   // Label 5283: @280668
     /*  280668 */   GIM_Try, /*On fail goto*//*Label 5284*/ GIMT_Encode4(280731), // Rule ID 8538 //
     /*  280673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  280676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280712 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  280712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280729 */     GIR_RootConstrainSelectedInstOperands,
     /*  280730 */     // GIR_Coverage, 8538,
     /*  280730 */     GIR_EraseRootFromParent_Done,
     /*  280731 */   // Label 5284: @280731
     /*  280731 */   GIM_Try, /*On fail goto*//*Label 5285*/ GIMT_Encode4(280794), // Rule ID 8539 //
     /*  280736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  280739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  280747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  280750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  280753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280775 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  280775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  280778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  280792 */     GIR_RootConstrainSelectedInstOperands,
     /*  280793 */     // GIR_Coverage, 8539,
     /*  280793 */     GIR_EraseRootFromParent_Done,
     /*  280794 */   // Label 5285: @280794
     /*  280794 */   GIM_Try, /*On fail goto*//*Label 5286*/ GIMT_Encode4(280857), // Rule ID 8542 //
     /*  280799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280838 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280855 */     GIR_RootConstrainSelectedInstOperands,
     /*  280856 */     // GIR_Coverage, 8542,
     /*  280856 */     GIR_EraseRootFromParent_Done,
     /*  280857 */   // Label 5286: @280857
     /*  280857 */   GIM_Try, /*On fail goto*//*Label 5287*/ GIMT_Encode4(280920), // Rule ID 8543 //
     /*  280862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  280873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  280876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  280879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  280882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  280894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280901 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  280901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  280904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280918 */     GIR_RootConstrainSelectedInstOperands,
     /*  280919 */     // GIR_Coverage, 8543,
     /*  280919 */     GIR_EraseRootFromParent_Done,
     /*  280920 */   // Label 5287: @280920
     /*  280920 */   GIM_Try, /*On fail goto*//*Label 5288*/ GIMT_Encode4(280983), // Rule ID 8546 //
     /*  280925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  280928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  280939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  280942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  280945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  280949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  280957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  280964 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  280964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  280967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  280969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  280971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  280973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  280978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  280981 */     GIR_RootConstrainSelectedInstOperands,
     /*  280982 */     // GIR_Coverage, 8546,
     /*  280982 */     GIR_EraseRootFromParent_Done,
     /*  280983 */   // Label 5288: @280983
     /*  280983 */   GIM_Try, /*On fail goto*//*Label 5289*/ GIMT_Encode4(281046), // Rule ID 8547 //
     /*  280988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  280991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  280996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  280999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  281002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  281005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281027 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281044 */     GIR_RootConstrainSelectedInstOperands,
     /*  281045 */     // GIR_Coverage, 8547,
     /*  281045 */     GIR_EraseRootFromParent_Done,
     /*  281046 */   // Label 5289: @281046
     /*  281046 */   GIM_Try, /*On fail goto*//*Label 5290*/ GIMT_Encode4(281109), // Rule ID 8550 //
     /*  281051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281090 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  281090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281107 */     GIR_RootConstrainSelectedInstOperands,
     /*  281108 */     // GIR_Coverage, 8550,
     /*  281108 */     GIR_EraseRootFromParent_Done,
     /*  281109 */   // Label 5290: @281109
     /*  281109 */   GIM_Try, /*On fail goto*//*Label 5291*/ GIMT_Encode4(281172), // Rule ID 8551 //
     /*  281114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  281125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  281128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  281131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281153 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  281153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  281170 */     GIR_RootConstrainSelectedInstOperands,
     /*  281171 */     // GIR_Coverage, 8551,
     /*  281171 */     GIR_EraseRootFromParent_Done,
     /*  281172 */   // Label 5291: @281172
     /*  281172 */   GIM_Try, /*On fail goto*//*Label 5292*/ GIMT_Encode4(281235), // Rule ID 8554 //
     /*  281177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281216 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281233 */     GIR_RootConstrainSelectedInstOperands,
     /*  281234 */     // GIR_Coverage, 8554,
     /*  281234 */     GIR_EraseRootFromParent_Done,
     /*  281235 */   // Label 5292: @281235
     /*  281235 */   GIM_Try, /*On fail goto*//*Label 5293*/ GIMT_Encode4(281298), // Rule ID 8555 //
     /*  281240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  281254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  281257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281279 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281296 */     GIR_RootConstrainSelectedInstOperands,
     /*  281297 */     // GIR_Coverage, 8555,
     /*  281297 */     GIR_EraseRootFromParent_Done,
     /*  281298 */   // Label 5293: @281298
     /*  281298 */   GIM_Try, /*On fail goto*//*Label 5294*/ GIMT_Encode4(281361), // Rule ID 8558 //
     /*  281303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281342 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281359 */     GIR_RootConstrainSelectedInstOperands,
     /*  281360 */     // GIR_Coverage, 8558,
     /*  281360 */     GIR_EraseRootFromParent_Done,
     /*  281361 */   // Label 5294: @281361
     /*  281361 */   GIM_Try, /*On fail goto*//*Label 5295*/ GIMT_Encode4(281424), // Rule ID 8559 //
     /*  281366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  281380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  281383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281405 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281422 */     GIR_RootConstrainSelectedInstOperands,
     /*  281423 */     // GIR_Coverage, 8559,
     /*  281423 */     GIR_EraseRootFromParent_Done,
     /*  281424 */   // Label 5295: @281424
     /*  281424 */   GIM_Try, /*On fail goto*//*Label 5296*/ GIMT_Encode4(281487), // Rule ID 8562 //
     /*  281429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281468 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  281468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281485 */     GIR_RootConstrainSelectedInstOperands,
     /*  281486 */     // GIR_Coverage, 8562,
     /*  281486 */     GIR_EraseRootFromParent_Done,
     /*  281487 */   // Label 5296: @281487
     /*  281487 */   GIM_Try, /*On fail goto*//*Label 5297*/ GIMT_Encode4(281550), // Rule ID 8563 //
     /*  281492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  281503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  281506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  281509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281531 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  281531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  281548 */     GIR_RootConstrainSelectedInstOperands,
     /*  281549 */     // GIR_Coverage, 8563,
     /*  281549 */     GIR_EraseRootFromParent_Done,
     /*  281550 */   // Label 5297: @281550
     /*  281550 */   GIM_Try, /*On fail goto*//*Label 5298*/ GIMT_Encode4(281613), // Rule ID 8566 //
     /*  281555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281594 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281611 */     GIR_RootConstrainSelectedInstOperands,
     /*  281612 */     // GIR_Coverage, 8566,
     /*  281612 */     GIR_EraseRootFromParent_Done,
     /*  281613 */   // Label 5298: @281613
     /*  281613 */   GIM_Try, /*On fail goto*//*Label 5299*/ GIMT_Encode4(281676), // Rule ID 8567 //
     /*  281618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  281629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  281632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  281635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281657 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281674 */     GIR_RootConstrainSelectedInstOperands,
     /*  281675 */     // GIR_Coverage, 8567,
     /*  281675 */     GIR_EraseRootFromParent_Done,
     /*  281676 */   // Label 5299: @281676
     /*  281676 */   GIM_Try, /*On fail goto*//*Label 5300*/ GIMT_Encode4(281739), // Rule ID 8570 //
     /*  281681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281720 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281737 */     GIR_RootConstrainSelectedInstOperands,
     /*  281738 */     // GIR_Coverage, 8570,
     /*  281738 */     GIR_EraseRootFromParent_Done,
     /*  281739 */   // Label 5300: @281739
     /*  281739 */   GIM_Try, /*On fail goto*//*Label 5301*/ GIMT_Encode4(281802), // Rule ID 8571 //
     /*  281744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  281755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  281758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  281761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  281776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281783 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  281786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281800 */     GIR_RootConstrainSelectedInstOperands,
     /*  281801 */     // GIR_Coverage, 8571,
     /*  281801 */     GIR_EraseRootFromParent_Done,
     /*  281802 */   // Label 5301: @281802
     /*  281802 */   GIM_Try, /*On fail goto*//*Label 5302*/ GIMT_Encode4(281865), // Rule ID 8574 //
     /*  281807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  281810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281846 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  281846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281863 */     GIR_RootConstrainSelectedInstOperands,
     /*  281864 */     // GIR_Coverage, 8574,
     /*  281864 */     GIR_EraseRootFromParent_Done,
     /*  281865 */   // Label 5302: @281865
     /*  281865 */   GIM_Try, /*On fail goto*//*Label 5303*/ GIMT_Encode4(281928), // Rule ID 8575 //
     /*  281870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  281873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  281881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  281884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  281887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  281890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  281902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281909 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  281909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  281912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  281926 */     GIR_RootConstrainSelectedInstOperands,
     /*  281927 */     // GIR_Coverage, 8575,
     /*  281927 */     GIR_EraseRootFromParent_Done,
     /*  281928 */   // Label 5303: @281928
     /*  281928 */   GIM_Try, /*On fail goto*//*Label 5304*/ GIMT_Encode4(281991), // Rule ID 8578 //
     /*  281933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  281936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  281941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  281944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  281947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  281950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  281953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  281957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  281965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  281972 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  281972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  281975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  281977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  281979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  281981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  281986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  281989 */     GIR_RootConstrainSelectedInstOperands,
     /*  281990 */     // GIR_Coverage, 8578,
     /*  281990 */     GIR_EraseRootFromParent_Done,
     /*  281991 */   // Label 5304: @281991
     /*  281991 */   GIM_Try, /*On fail goto*//*Label 5305*/ GIMT_Encode4(282054), // Rule ID 8579 //
     /*  281996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  281999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  282010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  282013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  282028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282035 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  282038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282052 */     GIR_RootConstrainSelectedInstOperands,
     /*  282053 */     // GIR_Coverage, 8579,
     /*  282053 */     GIR_EraseRootFromParent_Done,
     /*  282054 */   // Label 5305: @282054
     /*  282054 */   GIM_Try, /*On fail goto*//*Label 5306*/ GIMT_Encode4(282117), // Rule ID 8582 //
     /*  282059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282098 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  282101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282115 */     GIR_RootConstrainSelectedInstOperands,
     /*  282116 */     // GIR_Coverage, 8582,
     /*  282116 */     GIR_EraseRootFromParent_Done,
     /*  282117 */   // Label 5306: @282117
     /*  282117 */   GIM_Try, /*On fail goto*//*Label 5307*/ GIMT_Encode4(282180), // Rule ID 8583 //
     /*  282122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  282136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  282139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  282154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282161 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  282164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282178 */     GIR_RootConstrainSelectedInstOperands,
     /*  282179 */     // GIR_Coverage, 8583,
     /*  282179 */     GIR_EraseRootFromParent_Done,
     /*  282180 */   // Label 5307: @282180
     /*  282180 */   GIM_Try, /*On fail goto*//*Label 5308*/ GIMT_Encode4(282243), // Rule ID 8586 //
     /*  282185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  282188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282224 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  282224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  282227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282241 */     GIR_RootConstrainSelectedInstOperands,
     /*  282242 */     // GIR_Coverage, 8586,
     /*  282242 */     GIR_EraseRootFromParent_Done,
     /*  282243 */   // Label 5308: @282243
     /*  282243 */   GIM_Try, /*On fail goto*//*Label 5309*/ GIMT_Encode4(282306), // Rule ID 8587 //
     /*  282248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  282251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  282259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  282262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  282265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  282280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282287 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  282287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  282290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  282304 */     GIR_RootConstrainSelectedInstOperands,
     /*  282305 */     // GIR_Coverage, 8587,
     /*  282305 */     GIR_EraseRootFromParent_Done,
     /*  282306 */   // Label 5309: @282306
     /*  282306 */   GIM_Try, /*On fail goto*//*Label 5310*/ GIMT_Encode4(282369), // Rule ID 8590 //
     /*  282311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282350 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  282353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282367 */     GIR_RootConstrainSelectedInstOperands,
     /*  282368 */     // GIR_Coverage, 8590,
     /*  282368 */     GIR_EraseRootFromParent_Done,
     /*  282369 */   // Label 5310: @282369
     /*  282369 */   GIM_Try, /*On fail goto*//*Label 5311*/ GIMT_Encode4(282432), // Rule ID 8591 //
     /*  282374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  282388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282413 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8),
     /*  282416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282430 */     GIR_RootConstrainSelectedInstOperands,
     /*  282431 */     // GIR_Coverage, 8591,
     /*  282431 */     GIR_EraseRootFromParent_Done,
     /*  282432 */   // Label 5311: @282432
     /*  282432 */   GIM_Try, /*On fail goto*//*Label 5312*/ GIMT_Encode4(282495), // Rule ID 8594 //
     /*  282437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282476 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282493 */     GIR_RootConstrainSelectedInstOperands,
     /*  282494 */     // GIR_Coverage, 8594,
     /*  282494 */     GIR_EraseRootFromParent_Done,
     /*  282495 */   // Label 5312: @282495
     /*  282495 */   GIM_Try, /*On fail goto*//*Label 5313*/ GIMT_Encode4(282558), // Rule ID 8595 //
     /*  282500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  282514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282539 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282556 */     GIR_RootConstrainSelectedInstOperands,
     /*  282557 */     // GIR_Coverage, 8595,
     /*  282557 */     GIR_EraseRootFromParent_Done,
     /*  282558 */   // Label 5313: @282558
     /*  282558 */   GIM_Try, /*On fail goto*//*Label 5314*/ GIMT_Encode4(282621), // Rule ID 8598 //
     /*  282563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  282602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282619 */     GIR_RootConstrainSelectedInstOperands,
     /*  282620 */     // GIR_Coverage, 8598,
     /*  282620 */     GIR_EraseRootFromParent_Done,
     /*  282621 */   // Label 5314: @282621
     /*  282621 */   GIM_Try, /*On fail goto*//*Label 5315*/ GIMT_Encode4(282684), // Rule ID 8599 //
     /*  282626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  282637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  282640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282665 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  282665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  282682 */     GIR_RootConstrainSelectedInstOperands,
     /*  282683 */     // GIR_Coverage, 8599,
     /*  282683 */     GIR_EraseRootFromParent_Done,
     /*  282684 */   // Label 5315: @282684
     /*  282684 */   GIM_Try, /*On fail goto*//*Label 5316*/ GIMT_Encode4(282747), // Rule ID 8602 //
     /*  282689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282745 */     GIR_RootConstrainSelectedInstOperands,
     /*  282746 */     // GIR_Coverage, 8602,
     /*  282746 */     GIR_EraseRootFromParent_Done,
     /*  282747 */   // Label 5316: @282747
     /*  282747 */   GIM_Try, /*On fail goto*//*Label 5317*/ GIMT_Encode4(282810), // Rule ID 8603 //
     /*  282752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  282766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282791 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4),
     /*  282794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282808 */     GIR_RootConstrainSelectedInstOperands,
     /*  282809 */     // GIR_Coverage, 8603,
     /*  282809 */     GIR_EraseRootFromParent_Done,
     /*  282810 */   // Label 5317: @282810
     /*  282810 */   GIM_Try, /*On fail goto*//*Label 5318*/ GIMT_Encode4(282873), // Rule ID 8606 //
     /*  282815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282854 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  282854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282871 */     GIR_RootConstrainSelectedInstOperands,
     /*  282872 */     // GIR_Coverage, 8606,
     /*  282872 */     GIR_EraseRootFromParent_Done,
     /*  282873 */   // Label 5318: @282873
     /*  282873 */   GIM_Try, /*On fail goto*//*Label 5319*/ GIMT_Encode4(282936), // Rule ID 8607 //
     /*  282878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  282881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  282889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  282892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  282895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  282898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282917 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  282917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  282934 */     GIR_RootConstrainSelectedInstOperands,
     /*  282935 */     // GIR_Coverage, 8607,
     /*  282935 */     GIR_EraseRootFromParent_Done,
     /*  282936 */   // Label 5319: @282936
     /*  282936 */   GIM_Try, /*On fail goto*//*Label 5320*/ GIMT_Encode4(282999), // Rule ID 8610 //
     /*  282941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  282944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  282949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  282952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  282955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  282958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  282961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  282969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  282973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  282980 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  282980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  282983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  282985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  282987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  282989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  282994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  282997 */     GIR_RootConstrainSelectedInstOperands,
     /*  282998 */     // GIR_Coverage, 8610,
     /*  282998 */     GIR_EraseRootFromParent_Done,
     /*  282999 */   // Label 5320: @282999
     /*  282999 */   GIM_Try, /*On fail goto*//*Label 5321*/ GIMT_Encode4(283062), // Rule ID 8611 //
     /*  283004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  283018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283043 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2),
     /*  283046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283060 */     GIR_RootConstrainSelectedInstOperands,
     /*  283061 */     // GIR_Coverage, 8611,
     /*  283061 */     GIR_EraseRootFromParent_Done,
     /*  283062 */   // Label 5321: @283062
     /*  283062 */   GIM_Try, /*On fail goto*//*Label 5322*/ GIMT_Encode4(283125), // Rule ID 8614 //
     /*  283067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283106 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283123 */     GIR_RootConstrainSelectedInstOperands,
     /*  283124 */     // GIR_Coverage, 8614,
     /*  283124 */     GIR_EraseRootFromParent_Done,
     /*  283125 */   // Label 5322: @283125
     /*  283125 */   GIM_Try, /*On fail goto*//*Label 5323*/ GIMT_Encode4(283188), // Rule ID 8615 //
     /*  283130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  283144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283169 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283186 */     GIR_RootConstrainSelectedInstOperands,
     /*  283187 */     // GIR_Coverage, 8615,
     /*  283187 */     GIR_EraseRootFromParent_Done,
     /*  283188 */   // Label 5323: @283188
     /*  283188 */   GIM_Try, /*On fail goto*//*Label 5324*/ GIMT_Encode4(283251), // Rule ID 8618 //
     /*  283193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283232 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283249 */     GIR_RootConstrainSelectedInstOperands,
     /*  283250 */     // GIR_Coverage, 8618,
     /*  283250 */     GIR_EraseRootFromParent_Done,
     /*  283251 */   // Label 5324: @283251
     /*  283251 */   GIM_Try, /*On fail goto*//*Label 5325*/ GIMT_Encode4(283314), // Rule ID 8619 //
     /*  283256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  283267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  283270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283295 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  283295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  283312 */     GIR_RootConstrainSelectedInstOperands,
     /*  283313 */     // GIR_Coverage, 8619,
     /*  283313 */     GIR_EraseRootFromParent_Done,
     /*  283314 */   // Label 5325: @283314
     /*  283314 */   GIM_Try, /*On fail goto*//*Label 5326*/ GIMT_Encode4(283377), // Rule ID 8622 //
     /*  283319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283358 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  283358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283375 */     GIR_RootConstrainSelectedInstOperands,
     /*  283376 */     // GIR_Coverage, 8622,
     /*  283376 */     GIR_EraseRootFromParent_Done,
     /*  283377 */   // Label 5326: @283377
     /*  283377 */   GIM_Try, /*On fail goto*//*Label 5327*/ GIMT_Encode4(283440), // Rule ID 8623 //
     /*  283382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  283393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  283396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283421 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  283421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  283438 */     GIR_RootConstrainSelectedInstOperands,
     /*  283439 */     // GIR_Coverage, 8623,
     /*  283439 */     GIR_EraseRootFromParent_Done,
     /*  283440 */   // Label 5327: @283440
     /*  283440 */   GIM_Try, /*On fail goto*//*Label 5328*/ GIMT_Encode4(283503), // Rule ID 8626 //
     /*  283445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  283448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283484 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  283484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283501 */     GIR_RootConstrainSelectedInstOperands,
     /*  283502 */     // GIR_Coverage, 8626,
     /*  283502 */     GIR_EraseRootFromParent_Done,
     /*  283503 */   // Label 5328: @283503
     /*  283503 */   GIM_Try, /*On fail goto*//*Label 5329*/ GIMT_Encode4(283566), // Rule ID 8627 //
     /*  283508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  283511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  283519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  283522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283547 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11461:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  283547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1),
     /*  283550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  283564 */     GIR_RootConstrainSelectedInstOperands,
     /*  283565 */     // GIR_Coverage, 8627,
     /*  283565 */     GIR_EraseRootFromParent_Done,
     /*  283566 */   // Label 5329: @283566
     /*  283566 */   GIM_Try, /*On fail goto*//*Label 5330*/ GIMT_Encode4(283629), // Rule ID 8630 //
     /*  283571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283610 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283627 */     GIR_RootConstrainSelectedInstOperands,
     /*  283628 */     // GIR_Coverage, 8630,
     /*  283628 */     GIR_EraseRootFromParent_Done,
     /*  283629 */   // Label 5330: @283629
     /*  283629 */   GIM_Try, /*On fail goto*//*Label 5331*/ GIMT_Encode4(283692), // Rule ID 8631 //
     /*  283634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  283645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  283648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283673 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283690 */     GIR_RootConstrainSelectedInstOperands,
     /*  283691 */     // GIR_Coverage, 8631,
     /*  283691 */     GIR_EraseRootFromParent_Done,
     /*  283692 */   // Label 5331: @283692
     /*  283692 */   GIM_Try, /*On fail goto*//*Label 5332*/ GIMT_Encode4(283755), // Rule ID 8634 //
     /*  283697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283736 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283753 */     GIR_RootConstrainSelectedInstOperands,
     /*  283754 */     // GIR_Coverage, 8634,
     /*  283754 */     GIR_EraseRootFromParent_Done,
     /*  283755 */   // Label 5332: @283755
     /*  283755 */   GIM_Try, /*On fail goto*//*Label 5333*/ GIMT_Encode4(283818), // Rule ID 8635 //
     /*  283760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  283771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  283774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  283788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283799 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  283802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283816 */     GIR_RootConstrainSelectedInstOperands,
     /*  283817 */     // GIR_Coverage, 8635,
     /*  283817 */     GIR_EraseRootFromParent_Done,
     /*  283818 */   // Label 5333: @283818
     /*  283818 */   GIM_Try, /*On fail goto*//*Label 5334*/ GIMT_Encode4(283881), // Rule ID 8638 //
     /*  283823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  283834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283862 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  283862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283879 */     GIR_RootConstrainSelectedInstOperands,
     /*  283880 */     // GIR_Coverage, 8638,
     /*  283880 */     GIR_EraseRootFromParent_Done,
     /*  283881 */   // Label 5334: @283881
     /*  283881 */   GIM_Try, /*On fail goto*//*Label 5335*/ GIMT_Encode4(283944), // Rule ID 8639 //
     /*  283886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  283889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  283897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  283900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  283903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  283906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  283914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283925 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  283925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  283928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  283939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  283942 */     GIR_RootConstrainSelectedInstOperands,
     /*  283943 */     // GIR_Coverage, 8639,
     /*  283943 */     GIR_EraseRootFromParent_Done,
     /*  283944 */   // Label 5335: @283944
     /*  283944 */   GIM_Try, /*On fail goto*//*Label 5336*/ GIMT_Encode4(284007), // Rule ID 8642 //
     /*  283949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  283952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  283957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  283960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  283963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  283966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  283969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  283973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  283977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  283981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  283988 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  283988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  283991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  283993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  283995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  283997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284005 */     GIR_RootConstrainSelectedInstOperands,
     /*  284006 */     // GIR_Coverage, 8642,
     /*  284006 */     GIR_EraseRootFromParent_Done,
     /*  284007 */   // Label 5336: @284007
     /*  284007 */   GIM_Try, /*On fail goto*//*Label 5337*/ GIMT_Encode4(284070), // Rule ID 8643 //
     /*  284012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  284026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284051 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284068 */     GIR_RootConstrainSelectedInstOperands,
     /*  284069 */     // GIR_Coverage, 8643,
     /*  284069 */     GIR_EraseRootFromParent_Done,
     /*  284070 */   // Label 5337: @284070
     /*  284070 */   GIM_Try, /*On fail goto*//*Label 5338*/ GIMT_Encode4(284133), // Rule ID 8646 //
     /*  284075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284114 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284131 */     GIR_RootConstrainSelectedInstOperands,
     /*  284132 */     // GIR_Coverage, 8646,
     /*  284132 */     GIR_EraseRootFromParent_Done,
     /*  284133 */   // Label 5338: @284133
     /*  284133 */   GIM_Try, /*On fail goto*//*Label 5339*/ GIMT_Encode4(284196), // Rule ID 8647 //
     /*  284138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  284152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284177 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284194 */     GIR_RootConstrainSelectedInstOperands,
     /*  284195 */     // GIR_Coverage, 8647,
     /*  284195 */     GIR_EraseRootFromParent_Done,
     /*  284196 */   // Label 5339: @284196
     /*  284196 */   GIM_Try, /*On fail goto*//*Label 5340*/ GIMT_Encode4(284259), // Rule ID 8650 //
     /*  284201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284240 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  284240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284257 */     GIR_RootConstrainSelectedInstOperands,
     /*  284258 */     // GIR_Coverage, 8650,
     /*  284258 */     GIR_EraseRootFromParent_Done,
     /*  284259 */   // Label 5340: @284259
     /*  284259 */   GIM_Try, /*On fail goto*//*Label 5341*/ GIMT_Encode4(284322), // Rule ID 8651 //
     /*  284264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  284275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  284278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284303 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  284303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  284320 */     GIR_RootConstrainSelectedInstOperands,
     /*  284321 */     // GIR_Coverage, 8651,
     /*  284321 */     GIR_EraseRootFromParent_Done,
     /*  284322 */   // Label 5341: @284322
     /*  284322 */   GIM_Try, /*On fail goto*//*Label 5342*/ GIMT_Encode4(284385), // Rule ID 8654 //
     /*  284327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284366 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284383 */     GIR_RootConstrainSelectedInstOperands,
     /*  284384 */     // GIR_Coverage, 8654,
     /*  284384 */     GIR_EraseRootFromParent_Done,
     /*  284385 */   // Label 5342: @284385
     /*  284385 */   GIM_Try, /*On fail goto*//*Label 5343*/ GIMT_Encode4(284448), // Rule ID 8655 //
     /*  284390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  284404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284429 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284446 */     GIR_RootConstrainSelectedInstOperands,
     /*  284447 */     // GIR_Coverage, 8655,
     /*  284447 */     GIR_EraseRootFromParent_Done,
     /*  284448 */   // Label 5343: @284448
     /*  284448 */   GIM_Try, /*On fail goto*//*Label 5344*/ GIMT_Encode4(284511), // Rule ID 8658 //
     /*  284453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284492 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284509 */     GIR_RootConstrainSelectedInstOperands,
     /*  284510 */     // GIR_Coverage, 8658,
     /*  284510 */     GIR_EraseRootFromParent_Done,
     /*  284511 */   // Label 5344: @284511
     /*  284511 */   GIM_Try, /*On fail goto*//*Label 5345*/ GIMT_Encode4(284574), // Rule ID 8659 //
     /*  284516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  284530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284555 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284572 */     GIR_RootConstrainSelectedInstOperands,
     /*  284573 */     // GIR_Coverage, 8659,
     /*  284573 */     GIR_EraseRootFromParent_Done,
     /*  284574 */   // Label 5345: @284574
     /*  284574 */   GIM_Try, /*On fail goto*//*Label 5346*/ GIMT_Encode4(284637), // Rule ID 8662 //
     /*  284579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  284582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284618 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  284618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284635 */     GIR_RootConstrainSelectedInstOperands,
     /*  284636 */     // GIR_Coverage, 8662,
     /*  284636 */     GIR_EraseRootFromParent_Done,
     /*  284637 */   // Label 5346: @284637
     /*  284637 */   GIM_Try, /*On fail goto*//*Label 5347*/ GIMT_Encode4(284700), // Rule ID 8663 //
     /*  284642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  284645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  284653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  284656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284681 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  284681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  284698 */     GIR_RootConstrainSelectedInstOperands,
     /*  284699 */     // GIR_Coverage, 8663,
     /*  284699 */     GIR_EraseRootFromParent_Done,
     /*  284700 */   // Label 5347: @284700
     /*  284700 */   GIM_Try, /*On fail goto*//*Label 5348*/ GIMT_Encode4(284763), // Rule ID 8666 //
     /*  284705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284744 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284761 */     GIR_RootConstrainSelectedInstOperands,
     /*  284762 */     // GIR_Coverage, 8666,
     /*  284762 */     GIR_EraseRootFromParent_Done,
     /*  284763 */   // Label 5348: @284763
     /*  284763 */   GIM_Try, /*On fail goto*//*Label 5349*/ GIMT_Encode4(284826), // Rule ID 8667 //
     /*  284768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  284779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  284782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  284796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284807 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11461:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2),
     /*  284810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284824 */     GIR_RootConstrainSelectedInstOperands,
     /*  284825 */     // GIR_Coverage, 8667,
     /*  284825 */     GIR_EraseRootFromParent_Done,
     /*  284826 */   // Label 5349: @284826
     /*  284826 */   GIM_Try, /*On fail goto*//*Label 5350*/ GIMT_Encode4(284889), // Rule ID 8670 //
     /*  284831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284870 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284887 */     GIR_RootConstrainSelectedInstOperands,
     /*  284888 */     // GIR_Coverage, 8670,
     /*  284888 */     GIR_EraseRootFromParent_Done,
     /*  284889 */   // Label 5350: @284889
     /*  284889 */   GIM_Try, /*On fail goto*//*Label 5351*/ GIMT_Encode4(284952), // Rule ID 8671 //
     /*  284894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  284897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  284905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  284908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  284911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  284914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  284922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284933 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11461:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  284933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4),
     /*  284936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  284938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  284940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  284942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  284947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  284950 */     GIR_RootConstrainSelectedInstOperands,
     /*  284951 */     // GIR_Coverage, 8671,
     /*  284951 */     GIR_EraseRootFromParent_Done,
     /*  284952 */   // Label 5351: @284952
     /*  284952 */   GIM_Try, /*On fail goto*//*Label 5352*/ GIMT_Encode4(285015), // Rule ID 8674 //
     /*  284957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  284960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  284965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  284968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  284971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  284974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  284977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  284981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  284985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  284989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  284996 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  284996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  284999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285013 */     GIR_RootConstrainSelectedInstOperands,
     /*  285014 */     // GIR_Coverage, 8674,
     /*  285014 */     GIR_EraseRootFromParent_Done,
     /*  285015 */   // Label 5352: @285015
     /*  285015 */   GIM_Try, /*On fail goto*//*Label 5353*/ GIMT_Encode4(285078), // Rule ID 8675 //
     /*  285020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  285023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt),
     /*  285028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  285034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  285037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  285048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  285052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285059 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11461:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  285059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8),
     /*  285062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  285076 */     GIR_RootConstrainSelectedInstOperands,
     /*  285077 */     // GIR_Coverage, 8675,
     /*  285077 */     GIR_EraseRootFromParent_Done,
     /*  285078 */   // Label 5353: @285078
     /*  285078 */   GIM_Try, /*On fail goto*//*Label 5354*/ GIMT_Encode4(285141), // Rule ID 8678 //
     /*  285083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285122 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  285125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285139 */     GIR_RootConstrainSelectedInstOperands,
     /*  285140 */     // GIR_Coverage, 8678,
     /*  285140 */     GIR_EraseRootFromParent_Done,
     /*  285141 */   // Label 5354: @285141
     /*  285141 */   GIM_Try, /*On fail goto*//*Label 5355*/ GIMT_Encode4(285204), // Rule ID 8679 //
     /*  285146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  285160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  285163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285185 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  285188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285202 */     GIR_RootConstrainSelectedInstOperands,
     /*  285203 */     // GIR_Coverage, 8679,
     /*  285203 */     GIR_EraseRootFromParent_Done,
     /*  285204 */   // Label 5355: @285204
     /*  285204 */   GIM_Try, /*On fail goto*//*Label 5356*/ GIMT_Encode4(285267), // Rule ID 8682 //
     /*  285209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285248 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  285251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285265 */     GIR_RootConstrainSelectedInstOperands,
     /*  285266 */     // GIR_Coverage, 8682,
     /*  285266 */     GIR_EraseRootFromParent_Done,
     /*  285267 */   // Label 5356: @285267
     /*  285267 */   GIM_Try, /*On fail goto*//*Label 5357*/ GIMT_Encode4(285330), // Rule ID 8683 //
     /*  285272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  285286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  285289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285311 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  285314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285328 */     GIR_RootConstrainSelectedInstOperands,
     /*  285329 */     // GIR_Coverage, 8683,
     /*  285329 */     GIR_EraseRootFromParent_Done,
     /*  285330 */   // Label 5357: @285330
     /*  285330 */   GIM_Try, /*On fail goto*//*Label 5358*/ GIMT_Encode4(285393), // Rule ID 8686 //
     /*  285335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285374 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285391 */     GIR_RootConstrainSelectedInstOperands,
     /*  285392 */     // GIR_Coverage, 8686,
     /*  285392 */     GIR_EraseRootFromParent_Done,
     /*  285393 */   // Label 5358: @285393
     /*  285393 */   GIM_Try, /*On fail goto*//*Label 5359*/ GIMT_Encode4(285456), // Rule ID 8687 //
     /*  285398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  285412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  285415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285437 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285454 */     GIR_RootConstrainSelectedInstOperands,
     /*  285455 */     // GIR_Coverage, 8687,
     /*  285455 */     GIR_EraseRootFromParent_Done,
     /*  285456 */   // Label 5359: @285456
     /*  285456 */   GIM_Try, /*On fail goto*//*Label 5360*/ GIMT_Encode4(285519), // Rule ID 8690 //
     /*  285461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  285503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285517 */     GIR_RootConstrainSelectedInstOperands,
     /*  285518 */     // GIR_Coverage, 8690,
     /*  285518 */     GIR_EraseRootFromParent_Done,
     /*  285519 */   // Label 5360: @285519
     /*  285519 */   GIM_Try, /*On fail goto*//*Label 5361*/ GIMT_Encode4(285582), // Rule ID 8691 //
     /*  285524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  285538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  285541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285563 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  285566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285580 */     GIR_RootConstrainSelectedInstOperands,
     /*  285581 */     // GIR_Coverage, 8691,
     /*  285581 */     GIR_EraseRootFromParent_Done,
     /*  285582 */   // Label 5361: @285582
     /*  285582 */   GIM_Try, /*On fail goto*//*Label 5362*/ GIMT_Encode4(285645), // Rule ID 8694 //
     /*  285587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285626 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  285626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285643 */     GIR_RootConstrainSelectedInstOperands,
     /*  285644 */     // GIR_Coverage, 8694,
     /*  285644 */     GIR_EraseRootFromParent_Done,
     /*  285645 */   // Label 5362: @285645
     /*  285645 */   GIM_Try, /*On fail goto*//*Label 5363*/ GIMT_Encode4(285708), // Rule ID 8695 //
     /*  285650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  285661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  285664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  285667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285689 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  285689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  285706 */     GIR_RootConstrainSelectedInstOperands,
     /*  285707 */     // GIR_Coverage, 8695,
     /*  285707 */     GIR_EraseRootFromParent_Done,
     /*  285708 */   // Label 5363: @285708
     /*  285708 */   GIM_Try, /*On fail goto*//*Label 5364*/ GIMT_Encode4(285771), // Rule ID 8698 //
     /*  285713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285752 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  285752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285769 */     GIR_RootConstrainSelectedInstOperands,
     /*  285770 */     // GIR_Coverage, 8698,
     /*  285770 */     GIR_EraseRootFromParent_Done,
     /*  285771 */   // Label 5364: @285771
     /*  285771 */   GIM_Try, /*On fail goto*//*Label 5365*/ GIMT_Encode4(285834), // Rule ID 8699 //
     /*  285776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  285787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  285790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  285793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285815 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  285815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  285818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  285832 */     GIR_RootConstrainSelectedInstOperands,
     /*  285833 */     // GIR_Coverage, 8699,
     /*  285833 */     GIR_EraseRootFromParent_Done,
     /*  285834 */   // Label 5365: @285834
     /*  285834 */   GIM_Try, /*On fail goto*//*Label 5366*/ GIMT_Encode4(285897), // Rule ID 8702 //
     /*  285839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  285856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285878 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  285878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285895 */     GIR_RootConstrainSelectedInstOperands,
     /*  285896 */     // GIR_Coverage, 8702,
     /*  285896 */     GIR_EraseRootFromParent_Done,
     /*  285897 */   // Label 5366: @285897
     /*  285897 */   GIM_Try, /*On fail goto*//*Label 5367*/ GIMT_Encode4(285960), // Rule ID 8703 //
     /*  285902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  285905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  285913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  285916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  285919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  285922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  285941 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  285941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  285944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  285946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  285948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  285950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  285955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  285958 */     GIR_RootConstrainSelectedInstOperands,
     /*  285959 */     // GIR_Coverage, 8703,
     /*  285959 */     GIR_EraseRootFromParent_Done,
     /*  285960 */   // Label 5367: @285960
     /*  285960 */   GIM_Try, /*On fail goto*//*Label 5368*/ GIMT_Encode4(286023), // Rule ID 8706 //
     /*  285965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  285968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  285973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  285976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  285979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  285982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  285985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  285997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  286007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286021 */     GIR_RootConstrainSelectedInstOperands,
     /*  286022 */     // GIR_Coverage, 8706,
     /*  286022 */     GIR_EraseRootFromParent_Done,
     /*  286023 */   // Label 5368: @286023
     /*  286023 */   GIM_Try, /*On fail goto*//*Label 5369*/ GIMT_Encode4(286086), // Rule ID 8707 //
     /*  286028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  286039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  286042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  286045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286067 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  286070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286084 */     GIR_RootConstrainSelectedInstOperands,
     /*  286085 */     // GIR_Coverage, 8707,
     /*  286085 */     GIR_EraseRootFromParent_Done,
     /*  286086 */   // Label 5369: @286086
     /*  286086 */   GIM_Try, /*On fail goto*//*Label 5370*/ GIMT_Encode4(286149), // Rule ID 8710 //
     /*  286091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286130 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  286130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  286133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286147 */     GIR_RootConstrainSelectedInstOperands,
     /*  286148 */     // GIR_Coverage, 8710,
     /*  286148 */     GIR_EraseRootFromParent_Done,
     /*  286149 */   // Label 5370: @286149
     /*  286149 */   GIM_Try, /*On fail goto*//*Label 5371*/ GIMT_Encode4(286212), // Rule ID 8711 //
     /*  286154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  286165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  286168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  286171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286193 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  286193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  286196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  286210 */     GIR_RootConstrainSelectedInstOperands,
     /*  286211 */     // GIR_Coverage, 8711,
     /*  286211 */     GIR_EraseRootFromParent_Done,
     /*  286212 */   // Label 5371: @286212
     /*  286212 */   GIM_Try, /*On fail goto*//*Label 5372*/ GIMT_Encode4(286275), // Rule ID 8714 //
     /*  286217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  286220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286256 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  286256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  286259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286273 */     GIR_RootConstrainSelectedInstOperands,
     /*  286274 */     // GIR_Coverage, 8714,
     /*  286274 */     GIR_EraseRootFromParent_Done,
     /*  286275 */   // Label 5372: @286275
     /*  286275 */   GIM_Try, /*On fail goto*//*Label 5373*/ GIMT_Encode4(286338), // Rule ID 8715 //
     /*  286280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  286283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  286291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  286294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  286297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286319 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  286319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  286322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  286336 */     GIR_RootConstrainSelectedInstOperands,
     /*  286337 */     // GIR_Coverage, 8715,
     /*  286337 */     GIR_EraseRootFromParent_Done,
     /*  286338 */   // Label 5373: @286338
     /*  286338 */   GIM_Try, /*On fail goto*//*Label 5374*/ GIMT_Encode4(286401), // Rule ID 8718 //
     /*  286343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286382 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286399 */     GIR_RootConstrainSelectedInstOperands,
     /*  286400 */     // GIR_Coverage, 8718,
     /*  286400 */     GIR_EraseRootFromParent_Done,
     /*  286401 */   // Label 5374: @286401
     /*  286401 */   GIM_Try, /*On fail goto*//*Label 5375*/ GIMT_Encode4(286464), // Rule ID 8719 //
     /*  286406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  286420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  286423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286445 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286462 */     GIR_RootConstrainSelectedInstOperands,
     /*  286463 */     // GIR_Coverage, 8719,
     /*  286463 */     GIR_EraseRootFromParent_Done,
     /*  286464 */   // Label 5375: @286464
     /*  286464 */   GIM_Try, /*On fail goto*//*Label 5376*/ GIMT_Encode4(286527), // Rule ID 8722 //
     /*  286469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286508 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286525 */     GIR_RootConstrainSelectedInstOperands,
     /*  286526 */     // GIR_Coverage, 8722,
     /*  286526 */     GIR_EraseRootFromParent_Done,
     /*  286527 */   // Label 5376: @286527
     /*  286527 */   GIM_Try, /*On fail goto*//*Label 5377*/ GIMT_Encode4(286590), // Rule ID 8723 //
     /*  286532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  286546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  286549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286571 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286588 */     GIR_RootConstrainSelectedInstOperands,
     /*  286589 */     // GIR_Coverage, 8723,
     /*  286589 */     GIR_EraseRootFromParent_Done,
     /*  286590 */   // Label 5377: @286590
     /*  286590 */   GIM_Try, /*On fail goto*//*Label 5378*/ GIMT_Encode4(286653), // Rule ID 8726 //
     /*  286595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286634 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  286634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286651 */     GIR_RootConstrainSelectedInstOperands,
     /*  286652 */     // GIR_Coverage, 8726,
     /*  286652 */     GIR_EraseRootFromParent_Done,
     /*  286653 */   // Label 5378: @286653
     /*  286653 */   GIM_Try, /*On fail goto*//*Label 5379*/ GIMT_Encode4(286716), // Rule ID 8727 //
     /*  286658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  286669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  286672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  286675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  286690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286697 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  286697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  286700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  286714 */     GIR_RootConstrainSelectedInstOperands,
     /*  286715 */     // GIR_Coverage, 8727,
     /*  286715 */     GIR_EraseRootFromParent_Done,
     /*  286716 */   // Label 5379: @286716
     /*  286716 */   GIM_Try, /*On fail goto*//*Label 5380*/ GIMT_Encode4(286779), // Rule ID 8730 //
     /*  286721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  286738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286760 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286777 */     GIR_RootConstrainSelectedInstOperands,
     /*  286778 */     // GIR_Coverage, 8730,
     /*  286778 */     GIR_EraseRootFromParent_Done,
     /*  286779 */   // Label 5380: @286779
     /*  286779 */   GIM_Try, /*On fail goto*//*Label 5381*/ GIMT_Encode4(286842), // Rule ID 8731 //
     /*  286784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  286795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  286798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  286801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  286816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286823 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  286826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286840 */     GIR_RootConstrainSelectedInstOperands,
     /*  286841 */     // GIR_Coverage, 8731,
     /*  286841 */     GIR_EraseRootFromParent_Done,
     /*  286842 */   // Label 5381: @286842
     /*  286842 */   GIM_Try, /*On fail goto*//*Label 5382*/ GIMT_Encode4(286905), // Rule ID 8734 //
     /*  286847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286886 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  286886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286903 */     GIR_RootConstrainSelectedInstOperands,
     /*  286904 */     // GIR_Coverage, 8734,
     /*  286904 */     GIR_EraseRootFromParent_Done,
     /*  286905 */   // Label 5382: @286905
     /*  286905 */   GIM_Try, /*On fail goto*//*Label 5383*/ GIMT_Encode4(286968), // Rule ID 8735 //
     /*  286910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  286913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  286921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  286924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  286927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  286930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  286942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  286949 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  286949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  286952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  286954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  286956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  286958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  286963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  286966 */     GIR_RootConstrainSelectedInstOperands,
     /*  286967 */     // GIR_Coverage, 8735,
     /*  286967 */     GIR_EraseRootFromParent_Done,
     /*  286968 */   // Label 5383: @286968
     /*  286968 */   GIM_Try, /*On fail goto*//*Label 5384*/ GIMT_Encode4(287031), // Rule ID 8738 //
     /*  286973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  286976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  286981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  286984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  286987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  286990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  286993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  286997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287012 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  287012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287029 */     GIR_RootConstrainSelectedInstOperands,
     /*  287030 */     // GIR_Coverage, 8738,
     /*  287030 */     GIR_EraseRootFromParent_Done,
     /*  287031 */   // Label 5384: @287031
     /*  287031 */   GIM_Try, /*On fail goto*//*Label 5385*/ GIMT_Encode4(287094), // Rule ID 8739 //
     /*  287036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  287047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  287050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  287053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287075 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  287075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  287092 */     GIR_RootConstrainSelectedInstOperands,
     /*  287093 */     // GIR_Coverage, 8739,
     /*  287093 */     GIR_EraseRootFromParent_Done,
     /*  287094 */   // Label 5385: @287094
     /*  287094 */   GIM_Try, /*On fail goto*//*Label 5386*/ GIMT_Encode4(287157), // Rule ID 8742 //
     /*  287099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287138 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  287141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287155 */     GIR_RootConstrainSelectedInstOperands,
     /*  287156 */     // GIR_Coverage, 8742,
     /*  287156 */     GIR_EraseRootFromParent_Done,
     /*  287157 */   // Label 5386: @287157
     /*  287157 */   GIM_Try, /*On fail goto*//*Label 5387*/ GIMT_Encode4(287220), // Rule ID 8743 //
     /*  287162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  287176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  287179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287201 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  287204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287218 */     GIR_RootConstrainSelectedInstOperands,
     /*  287219 */     // GIR_Coverage, 8743,
     /*  287219 */     GIR_EraseRootFromParent_Done,
     /*  287220 */   // Label 5387: @287220
     /*  287220 */   GIM_Try, /*On fail goto*//*Label 5388*/ GIMT_Encode4(287283), // Rule ID 8746 //
     /*  287225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287264 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  287267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287281 */     GIR_RootConstrainSelectedInstOperands,
     /*  287282 */     // GIR_Coverage, 8746,
     /*  287282 */     GIR_EraseRootFromParent_Done,
     /*  287283 */   // Label 5388: @287283
     /*  287283 */   GIM_Try, /*On fail goto*//*Label 5389*/ GIMT_Encode4(287346), // Rule ID 8747 //
     /*  287288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  287302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  287305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287327 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  287330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287344 */     GIR_RootConstrainSelectedInstOperands,
     /*  287345 */     // GIR_Coverage, 8747,
     /*  287345 */     GIR_EraseRootFromParent_Done,
     /*  287346 */   // Label 5389: @287346
     /*  287346 */   GIM_Try, /*On fail goto*//*Label 5390*/ GIMT_Encode4(287409), // Rule ID 8750 //
     /*  287351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287390 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  287390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287407 */     GIR_RootConstrainSelectedInstOperands,
     /*  287408 */     // GIR_Coverage, 8750,
     /*  287408 */     GIR_EraseRootFromParent_Done,
     /*  287409 */   // Label 5390: @287409
     /*  287409 */   GIM_Try, /*On fail goto*//*Label 5391*/ GIMT_Encode4(287472), // Rule ID 8751 //
     /*  287414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  287425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  287428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  287431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287453 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  287453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  287470 */     GIR_RootConstrainSelectedInstOperands,
     /*  287471 */     // GIR_Coverage, 8751,
     /*  287471 */     GIR_EraseRootFromParent_Done,
     /*  287472 */   // Label 5391: @287472
     /*  287472 */   GIM_Try, /*On fail goto*//*Label 5392*/ GIMT_Encode4(287535), // Rule ID 8754 //
     /*  287477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  287519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287533 */     GIR_RootConstrainSelectedInstOperands,
     /*  287534 */     // GIR_Coverage, 8754,
     /*  287534 */     GIR_EraseRootFromParent_Done,
     /*  287535 */   // Label 5392: @287535
     /*  287535 */   GIM_Try, /*On fail goto*//*Label 5393*/ GIMT_Encode4(287598), // Rule ID 8755 //
     /*  287540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  287554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  287557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  287572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287579 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  287582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287596 */     GIR_RootConstrainSelectedInstOperands,
     /*  287597 */     // GIR_Coverage, 8755,
     /*  287597 */     GIR_EraseRootFromParent_Done,
     /*  287598 */   // Label 5393: @287598
     /*  287598 */   GIM_Try, /*On fail goto*//*Label 5394*/ GIMT_Encode4(287661), // Rule ID 8758 //
     /*  287603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287642 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  287645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287659 */     GIR_RootConstrainSelectedInstOperands,
     /*  287660 */     // GIR_Coverage, 8758,
     /*  287660 */     GIR_EraseRootFromParent_Done,
     /*  287661 */   // Label 5394: @287661
     /*  287661 */   GIM_Try, /*On fail goto*//*Label 5395*/ GIMT_Encode4(287724), // Rule ID 8759 //
     /*  287666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  287677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  287680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  287683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  287698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287705 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  287708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287722 */     GIR_RootConstrainSelectedInstOperands,
     /*  287723 */     // GIR_Coverage, 8759,
     /*  287723 */     GIR_EraseRootFromParent_Done,
     /*  287724 */   // Label 5395: @287724
     /*  287724 */   GIM_Try, /*On fail goto*//*Label 5396*/ GIMT_Encode4(287787), // Rule ID 8762 //
     /*  287729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  287732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  287746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287768 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  287768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287785 */     GIR_RootConstrainSelectedInstOperands,
     /*  287786 */     // GIR_Coverage, 8762,
     /*  287786 */     GIR_EraseRootFromParent_Done,
     /*  287787 */   // Label 5396: @287787
     /*  287787 */   GIM_Try, /*On fail goto*//*Label 5397*/ GIMT_Encode4(287850), // Rule ID 8763 //
     /*  287792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  287795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  287803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  287806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  287809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  287824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287831 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  287831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  287834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  287848 */     GIR_RootConstrainSelectedInstOperands,
     /*  287849 */     // GIR_Coverage, 8763,
     /*  287849 */     GIR_EraseRootFromParent_Done,
     /*  287850 */   // Label 5397: @287850
     /*  287850 */   GIM_Try, /*On fail goto*//*Label 5398*/ GIMT_Encode4(287913), // Rule ID 8766 //
     /*  287855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  287875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287894 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  287894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  287897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287911 */     GIR_RootConstrainSelectedInstOperands,
     /*  287912 */     // GIR_Coverage, 8766,
     /*  287912 */     GIR_EraseRootFromParent_Done,
     /*  287913 */   // Label 5398: @287913
     /*  287913 */   GIM_Try, /*On fail goto*//*Label 5399*/ GIMT_Encode4(287976), // Rule ID 8767 //
     /*  287918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  287921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  287929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  287932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  287935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  287938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  287946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  287950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  287957 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  287957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8),
     /*  287960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  287962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  287964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  287966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  287971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  287974 */     GIR_RootConstrainSelectedInstOperands,
     /*  287975 */     // GIR_Coverage, 8767,
     /*  287975 */     GIR_EraseRootFromParent_Done,
     /*  287976 */   // Label 5399: @287976
     /*  287976 */   GIM_Try, /*On fail goto*//*Label 5400*/ GIMT_Encode4(288039), // Rule ID 8770 //
     /*  287981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  287984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  287989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  287992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  287995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  287998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  288023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288037 */     GIR_RootConstrainSelectedInstOperands,
     /*  288038 */     // GIR_Coverage, 8770,
     /*  288038 */     GIR_EraseRootFromParent_Done,
     /*  288039 */   // Label 5400: @288039
     /*  288039 */   GIM_Try, /*On fail goto*//*Label 5401*/ GIMT_Encode4(288102), // Rule ID 8771 //
     /*  288044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  288058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288083 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  288086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288100 */     GIR_RootConstrainSelectedInstOperands,
     /*  288101 */     // GIR_Coverage, 8771,
     /*  288101 */     GIR_EraseRootFromParent_Done,
     /*  288102 */   // Label 5401: @288102
     /*  288102 */   GIM_Try, /*On fail goto*//*Label 5402*/ GIMT_Encode4(288165), // Rule ID 8774 //
     /*  288107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288146 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  288149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288163 */     GIR_RootConstrainSelectedInstOperands,
     /*  288164 */     // GIR_Coverage, 8774,
     /*  288164 */     GIR_EraseRootFromParent_Done,
     /*  288165 */   // Label 5402: @288165
     /*  288165 */   GIM_Try, /*On fail goto*//*Label 5403*/ GIMT_Encode4(288228), // Rule ID 8775 //
     /*  288170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  288184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288209 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  288212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288214 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288226 */     GIR_RootConstrainSelectedInstOperands,
     /*  288227 */     // GIR_Coverage, 8775,
     /*  288227 */     GIR_EraseRootFromParent_Done,
     /*  288228 */   // Label 5403: @288228
     /*  288228 */   GIM_Try, /*On fail goto*//*Label 5404*/ GIMT_Encode4(288291), // Rule ID 8778 //
     /*  288233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288272 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  288275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288289 */     GIR_RootConstrainSelectedInstOperands,
     /*  288290 */     // GIR_Coverage, 8778,
     /*  288290 */     GIR_EraseRootFromParent_Done,
     /*  288291 */   // Label 5404: @288291
     /*  288291 */   GIM_Try, /*On fail goto*//*Label 5405*/ GIMT_Encode4(288354), // Rule ID 8779 //
     /*  288296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  288310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288335 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4),
     /*  288338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288352 */     GIR_RootConstrainSelectedInstOperands,
     /*  288353 */     // GIR_Coverage, 8779,
     /*  288353 */     GIR_EraseRootFromParent_Done,
     /*  288354 */   // Label 5405: @288354
     /*  288354 */   GIM_Try, /*On fail goto*//*Label 5406*/ GIMT_Encode4(288417), // Rule ID 8782 //
     /*  288359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288398 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  288401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288415 */     GIR_RootConstrainSelectedInstOperands,
     /*  288416 */     // GIR_Coverage, 8782,
     /*  288416 */     GIR_EraseRootFromParent_Done,
     /*  288417 */   // Label 5406: @288417
     /*  288417 */   GIM_Try, /*On fail goto*//*Label 5407*/ GIMT_Encode4(288480), // Rule ID 8783 //
     /*  288422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  288436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288461 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  288464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288478 */     GIR_RootConstrainSelectedInstOperands,
     /*  288479 */     // GIR_Coverage, 8783,
     /*  288479 */     GIR_EraseRootFromParent_Done,
     /*  288480 */   // Label 5407: @288480
     /*  288480 */   GIM_Try, /*On fail goto*//*Label 5408*/ GIMT_Encode4(288543), // Rule ID 8786 //
     /*  288485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288524 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  288527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288541 */     GIR_RootConstrainSelectedInstOperands,
     /*  288542 */     // GIR_Coverage, 8786,
     /*  288542 */     GIR_EraseRootFromParent_Done,
     /*  288543 */   // Label 5408: @288543
     /*  288543 */   GIM_Try, /*On fail goto*//*Label 5409*/ GIMT_Encode4(288606), // Rule ID 8787 //
     /*  288548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  288559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  288562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288587 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2),
     /*  288590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288604 */     GIR_RootConstrainSelectedInstOperands,
     /*  288605 */     // GIR_Coverage, 8787,
     /*  288605 */     GIR_EraseRootFromParent_Done,
     /*  288606 */   // Label 5409: @288606
     /*  288606 */   GIM_Try, /*On fail goto*//*Label 5410*/ GIMT_Encode4(288669), // Rule ID 8790 //
     /*  288611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288650 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  288650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288667 */     GIR_RootConstrainSelectedInstOperands,
     /*  288668 */     // GIR_Coverage, 8790,
     /*  288668 */     GIR_EraseRootFromParent_Done,
     /*  288669 */   // Label 5410: @288669
     /*  288669 */   GIM_Try, /*On fail goto*//*Label 5411*/ GIMT_Encode4(288732), // Rule ID 8791 //
     /*  288674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  288685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  288688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288713 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  288713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  288730 */     GIR_RootConstrainSelectedInstOperands,
     /*  288731 */     // GIR_Coverage, 8791,
     /*  288731 */     GIR_EraseRootFromParent_Done,
     /*  288732 */   // Label 5411: @288732
     /*  288732 */   GIM_Try, /*On fail goto*//*Label 5412*/ GIMT_Encode4(288795), // Rule ID 8794 //
     /*  288737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288776 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  288776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288793 */     GIR_RootConstrainSelectedInstOperands,
     /*  288794 */     // GIR_Coverage, 8794,
     /*  288794 */     GIR_EraseRootFromParent_Done,
     /*  288795 */   // Label 5412: @288795
     /*  288795 */   GIM_Try, /*On fail goto*//*Label 5413*/ GIMT_Encode4(288858), // Rule ID 8795 //
     /*  288800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  288811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  288814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288839 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  288839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  288856 */     GIR_RootConstrainSelectedInstOperands,
     /*  288857 */     // GIR_Coverage, 8795,
     /*  288857 */     GIR_EraseRootFromParent_Done,
     /*  288858 */   // Label 5413: @288858
     /*  288858 */   GIM_Try, /*On fail goto*//*Label 5414*/ GIMT_Encode4(288921), // Rule ID 8798 //
     /*  288863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  288866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  288880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  288883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288902 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  288902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288919 */     GIR_RootConstrainSelectedInstOperands,
     /*  288920 */     // GIR_Coverage, 8798,
     /*  288920 */     GIR_EraseRootFromParent_Done,
     /*  288921 */   // Label 5414: @288921
     /*  288921 */   GIM_Try, /*On fail goto*//*Label 5415*/ GIMT_Encode4(288984), // Rule ID 8799 //
     /*  288926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  288929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  288937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  288940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  288943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  288946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  288954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  288958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  288965 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  288965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  288968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  288970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  288972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  288974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  288979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  288982 */     GIR_RootConstrainSelectedInstOperands,
     /*  288983 */     // GIR_Coverage, 8799,
     /*  288983 */     GIR_EraseRootFromParent_Done,
     /*  288984 */   // Label 5415: @288984
     /*  288984 */   GIM_Try, /*On fail goto*//*Label 5416*/ GIMT_Encode4(289047), // Rule ID 8802 //
     /*  288989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  288992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  288997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289028 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  289028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  289031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289045 */     GIR_RootConstrainSelectedInstOperands,
     /*  289046 */     // GIR_Coverage, 8802,
     /*  289046 */     GIR_EraseRootFromParent_Done,
     /*  289047 */   // Label 5416: @289047
     /*  289047 */   GIM_Try, /*On fail goto*//*Label 5417*/ GIMT_Encode4(289110), // Rule ID 8803 //
     /*  289052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  289055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  289063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  289066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289091 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11459:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  289091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1),
     /*  289094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  289108 */     GIR_RootConstrainSelectedInstOperands,
     /*  289109 */     // GIR_Coverage, 8803,
     /*  289109 */     GIR_EraseRootFromParent_Done,
     /*  289110 */   // Label 5417: @289110
     /*  289110 */   GIM_Try, /*On fail goto*//*Label 5418*/ GIMT_Encode4(289173), // Rule ID 8806 //
     /*  289115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289154 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289171 */     GIR_RootConstrainSelectedInstOperands,
     /*  289172 */     // GIR_Coverage, 8806,
     /*  289172 */     GIR_EraseRootFromParent_Done,
     /*  289173 */   // Label 5418: @289173
     /*  289173 */   GIM_Try, /*On fail goto*//*Label 5419*/ GIMT_Encode4(289236), // Rule ID 8807 //
     /*  289178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  289192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289217 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289234 */     GIR_RootConstrainSelectedInstOperands,
     /*  289235 */     // GIR_Coverage, 8807,
     /*  289235 */     GIR_EraseRootFromParent_Done,
     /*  289236 */   // Label 5419: @289236
     /*  289236 */   GIM_Try, /*On fail goto*//*Label 5420*/ GIMT_Encode4(289299), // Rule ID 8810 //
     /*  289241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289280 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289297 */     GIR_RootConstrainSelectedInstOperands,
     /*  289298 */     // GIR_Coverage, 8810,
     /*  289298 */     GIR_EraseRootFromParent_Done,
     /*  289299 */   // Label 5420: @289299
     /*  289299 */   GIM_Try, /*On fail goto*//*Label 5421*/ GIMT_Encode4(289362), // Rule ID 8811 //
     /*  289304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  289318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289343 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289360 */     GIR_RootConstrainSelectedInstOperands,
     /*  289361 */     // GIR_Coverage, 8811,
     /*  289361 */     GIR_EraseRootFromParent_Done,
     /*  289362 */   // Label 5421: @289362
     /*  289362 */   GIM_Try, /*On fail goto*//*Label 5422*/ GIMT_Encode4(289425), // Rule ID 8814 //
     /*  289367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  289378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289406 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  289406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289423 */     GIR_RootConstrainSelectedInstOperands,
     /*  289424 */     // GIR_Coverage, 8814,
     /*  289424 */     GIR_EraseRootFromParent_Done,
     /*  289425 */   // Label 5422: @289425
     /*  289425 */   GIM_Try, /*On fail goto*//*Label 5423*/ GIMT_Encode4(289488), // Rule ID 8815 //
     /*  289430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  289441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  289444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289469 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  289469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  289486 */     GIR_RootConstrainSelectedInstOperands,
     /*  289487 */     // GIR_Coverage, 8815,
     /*  289487 */     GIR_EraseRootFromParent_Done,
     /*  289488 */   // Label 5423: @289488
     /*  289488 */   GIM_Try, /*On fail goto*//*Label 5424*/ GIMT_Encode4(289551), // Rule ID 8818 //
     /*  289493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289532 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289549 */     GIR_RootConstrainSelectedInstOperands,
     /*  289550 */     // GIR_Coverage, 8818,
     /*  289550 */     GIR_EraseRootFromParent_Done,
     /*  289551 */   // Label 5424: @289551
     /*  289551 */   GIM_Try, /*On fail goto*//*Label 5425*/ GIMT_Encode4(289614), // Rule ID 8819 //
     /*  289556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  289567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  289570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289595 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289612 */     GIR_RootConstrainSelectedInstOperands,
     /*  289613 */     // GIR_Coverage, 8819,
     /*  289613 */     GIR_EraseRootFromParent_Done,
     /*  289614 */   // Label 5425: @289614
     /*  289614 */   GIM_Try, /*On fail goto*//*Label 5426*/ GIMT_Encode4(289677), // Rule ID 8822 //
     /*  289619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289658 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289675 */     GIR_RootConstrainSelectedInstOperands,
     /*  289676 */     // GIR_Coverage, 8822,
     /*  289676 */     GIR_EraseRootFromParent_Done,
     /*  289677 */   // Label 5426: @289677
     /*  289677 */   GIM_Try, /*On fail goto*//*Label 5427*/ GIMT_Encode4(289740), // Rule ID 8823 //
     /*  289682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  289693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  289696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  289710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289721 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  289724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289738 */     GIR_RootConstrainSelectedInstOperands,
     /*  289739 */     // GIR_Coverage, 8823,
     /*  289739 */     GIR_EraseRootFromParent_Done,
     /*  289740 */   // Label 5427: @289740
     /*  289740 */   GIM_Try, /*On fail goto*//*Label 5428*/ GIMT_Encode4(289803), // Rule ID 8826 //
     /*  289745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289784 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  289784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289801 */     GIR_RootConstrainSelectedInstOperands,
     /*  289802 */     // GIR_Coverage, 8826,
     /*  289802 */     GIR_EraseRootFromParent_Done,
     /*  289803 */   // Label 5428: @289803
     /*  289803 */   GIM_Try, /*On fail goto*//*Label 5429*/ GIMT_Encode4(289866), // Rule ID 8827 //
     /*  289808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  289819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  289822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  289836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289847 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  289847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  289850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  289864 */     GIR_RootConstrainSelectedInstOperands,
     /*  289865 */     // GIR_Coverage, 8827,
     /*  289865 */     GIR_EraseRootFromParent_Done,
     /*  289866 */   // Label 5429: @289866
     /*  289866 */   GIM_Try, /*On fail goto*//*Label 5430*/ GIMT_Encode4(289929), // Rule ID 8830 //
     /*  289871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  289874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  289888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  289891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289910 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  289910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289927 */     GIR_RootConstrainSelectedInstOperands,
     /*  289928 */     // GIR_Coverage, 8830,
     /*  289928 */     GIR_EraseRootFromParent_Done,
     /*  289929 */   // Label 5430: @289929
     /*  289929 */   GIM_Try, /*On fail goto*//*Label 5431*/ GIMT_Encode4(289992), // Rule ID 8831 //
     /*  289934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  289937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  289942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  289945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  289948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  289951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  289954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  289958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  289962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  289966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  289973 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  289973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  289976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  289978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  289980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  289982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  289987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  289990 */     GIR_RootConstrainSelectedInstOperands,
     /*  289991 */     // GIR_Coverage, 8831,
     /*  289991 */     GIR_EraseRootFromParent_Done,
     /*  289992 */   // Label 5431: @289992
     /*  289992 */   GIM_Try, /*On fail goto*//*Label 5432*/ GIMT_Encode4(290055), // Rule ID 8834 //
     /*  289997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290036 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  290039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290053 */     GIR_RootConstrainSelectedInstOperands,
     /*  290054 */     // GIR_Coverage, 8834,
     /*  290054 */     GIR_EraseRootFromParent_Done,
     /*  290055 */   // Label 5432: @290055
     /*  290055 */   GIM_Try, /*On fail goto*//*Label 5433*/ GIMT_Encode4(290118), // Rule ID 8835 //
     /*  290060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  290074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290099 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  290102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290116 */     GIR_RootConstrainSelectedInstOperands,
     /*  290117 */     // GIR_Coverage, 8835,
     /*  290117 */     GIR_EraseRootFromParent_Done,
     /*  290118 */   // Label 5433: @290118
     /*  290118 */   GIM_Try, /*On fail goto*//*Label 5434*/ GIMT_Encode4(290181), // Rule ID 8838 //
     /*  290123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290162 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  290162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  290165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290179 */     GIR_RootConstrainSelectedInstOperands,
     /*  290180 */     // GIR_Coverage, 8838,
     /*  290180 */     GIR_EraseRootFromParent_Done,
     /*  290181 */   // Label 5434: @290181
     /*  290181 */   GIM_Try, /*On fail goto*//*Label 5435*/ GIMT_Encode4(290244), // Rule ID 8839 //
     /*  290186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  290197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  290200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290225 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  290225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  290228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  290242 */     GIR_RootConstrainSelectedInstOperands,
     /*  290243 */     // GIR_Coverage, 8839,
     /*  290243 */     GIR_EraseRootFromParent_Done,
     /*  290244 */   // Label 5435: @290244
     /*  290244 */   GIM_Try, /*On fail goto*//*Label 5436*/ GIMT_Encode4(290307), // Rule ID 8842 //
     /*  290249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290288 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  290291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290305 */     GIR_RootConstrainSelectedInstOperands,
     /*  290306 */     // GIR_Coverage, 8842,
     /*  290306 */     GIR_EraseRootFromParent_Done,
     /*  290307 */   // Label 5436: @290307
     /*  290307 */   GIM_Try, /*On fail goto*//*Label 5437*/ GIMT_Encode4(290370), // Rule ID 8843 //
     /*  290312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  290326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  290340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290351 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11459:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2),
     /*  290354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290368 */     GIR_RootConstrainSelectedInstOperands,
     /*  290369 */     // GIR_Coverage, 8843,
     /*  290369 */     GIR_EraseRootFromParent_Done,
     /*  290370 */   // Label 5437: @290370
     /*  290370 */   GIM_Try, /*On fail goto*//*Label 5438*/ GIMT_Encode4(290433), // Rule ID 8846 //
     /*  290375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290414 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  290417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290431 */     GIR_RootConstrainSelectedInstOperands,
     /*  290432 */     // GIR_Coverage, 8846,
     /*  290432 */     GIR_EraseRootFromParent_Done,
     /*  290433 */   // Label 5438: @290433
     /*  290433 */   GIM_Try, /*On fail goto*//*Label 5439*/ GIMT_Encode4(290496), // Rule ID 8847 //
     /*  290438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  290452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  290466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290477 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11459:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4),
     /*  290480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290494 */     GIR_RootConstrainSelectedInstOperands,
     /*  290495 */     // GIR_Coverage, 8847,
     /*  290495 */     GIR_EraseRootFromParent_Done,
     /*  290496 */   // Label 5439: @290496
     /*  290496 */   GIM_Try, /*On fail goto*//*Label 5440*/ GIMT_Encode4(290559), // Rule ID 8850 //
     /*  290501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  290504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  290518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290540 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  290540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  290543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290557 */     GIR_RootConstrainSelectedInstOperands,
     /*  290558 */     // GIR_Coverage, 8850,
     /*  290558 */     GIR_EraseRootFromParent_Done,
     /*  290559 */   // Label 5440: @290559
     /*  290559 */   GIM_Try, /*On fail goto*//*Label 5441*/ GIMT_Encode4(290622), // Rule ID 8851 //
     /*  290564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  290567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu),
     /*  290572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  290575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  290578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  290581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  290592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  290596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290603 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11459:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  290603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8),
     /*  290606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  290620 */     GIR_RootConstrainSelectedInstOperands,
     /*  290621 */     // GIR_Coverage, 8851,
     /*  290621 */     GIR_EraseRootFromParent_Done,
     /*  290622 */   // Label 5441: @290622
     /*  290622 */   GIM_Try, /*On fail goto*//*Label 5442*/ GIMT_Encode4(290685), // Rule ID 8942 //
     /*  290627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  290641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  290644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290666 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  290669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290683 */     GIR_RootConstrainSelectedInstOperands,
     /*  290684 */     // GIR_Coverage, 8942,
     /*  290684 */     GIR_EraseRootFromParent_Done,
     /*  290685 */   // Label 5442: @290685
     /*  290685 */   GIM_Try, /*On fail goto*//*Label 5443*/ GIMT_Encode4(290748), // Rule ID 8943 //
     /*  290690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  290701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  290704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  290707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290729 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  290732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290746 */     GIR_RootConstrainSelectedInstOperands,
     /*  290747 */     // GIR_Coverage, 8943,
     /*  290747 */     GIR_EraseRootFromParent_Done,
     /*  290748 */   // Label 5443: @290748
     /*  290748 */   GIM_Try, /*On fail goto*//*Label 5444*/ GIMT_Encode4(290811), // Rule ID 8946 //
     /*  290753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  290767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  290770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290792 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290809 */     GIR_RootConstrainSelectedInstOperands,
     /*  290810 */     // GIR_Coverage, 8946,
     /*  290810 */     GIR_EraseRootFromParent_Done,
     /*  290811 */   // Label 5444: @290811
     /*  290811 */   GIM_Try, /*On fail goto*//*Label 5445*/ GIMT_Encode4(290874), // Rule ID 8947 //
     /*  290816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  290827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  290830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  290833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290855 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  290858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290872 */     GIR_RootConstrainSelectedInstOperands,
     /*  290873 */     // GIR_Coverage, 8947,
     /*  290873 */     GIR_EraseRootFromParent_Done,
     /*  290874 */   // Label 5445: @290874
     /*  290874 */   GIM_Try, /*On fail goto*//*Label 5446*/ GIMT_Encode4(290937), // Rule ID 8950 //
     /*  290879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  290882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  290896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  290899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290918 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  290918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290935 */     GIR_RootConstrainSelectedInstOperands,
     /*  290936 */     // GIR_Coverage, 8950,
     /*  290936 */     GIR_EraseRootFromParent_Done,
     /*  290937 */   // Label 5446: @290937
     /*  290937 */   GIM_Try, /*On fail goto*//*Label 5447*/ GIMT_Encode4(291000), // Rule ID 8951 //
     /*  290942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  290945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  290950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  290953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  290956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  290959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  290962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  290974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  290981 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  290981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  290984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  290986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  290988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  290990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  290995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  290998 */     GIR_RootConstrainSelectedInstOperands,
     /*  290999 */     // GIR_Coverage, 8951,
     /*  290999 */     GIR_EraseRootFromParent_Done,
     /*  291000 */   // Label 5447: @291000
     /*  291000 */   GIM_Try, /*On fail goto*//*Label 5448*/ GIMT_Encode4(291063), // Rule ID 8954 //
     /*  291005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  291022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291044 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  291047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291061 */     GIR_RootConstrainSelectedInstOperands,
     /*  291062 */     // GIR_Coverage, 8954,
     /*  291062 */     GIR_EraseRootFromParent_Done,
     /*  291063 */   // Label 5448: @291063
     /*  291063 */   GIM_Try, /*On fail goto*//*Label 5449*/ GIMT_Encode4(291126), // Rule ID 8955 //
     /*  291068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  291082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  291085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291107 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  291110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291124 */     GIR_RootConstrainSelectedInstOperands,
     /*  291125 */     // GIR_Coverage, 8955,
     /*  291125 */     GIR_EraseRootFromParent_Done,
     /*  291126 */   // Label 5449: @291126
     /*  291126 */   GIM_Try, /*On fail goto*//*Label 5450*/ GIMT_Encode4(291189), // Rule ID 8958 //
     /*  291131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  291148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291170 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  291173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291187 */     GIR_RootConstrainSelectedInstOperands,
     /*  291188 */     // GIR_Coverage, 8958,
     /*  291188 */     GIR_EraseRootFromParent_Done,
     /*  291189 */   // Label 5450: @291189
     /*  291189 */   GIM_Try, /*On fail goto*//*Label 5451*/ GIMT_Encode4(291252), // Rule ID 8959 //
     /*  291194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  291208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  291211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291233 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  291236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291250 */     GIR_RootConstrainSelectedInstOperands,
     /*  291251 */     // GIR_Coverage, 8959,
     /*  291251 */     GIR_EraseRootFromParent_Done,
     /*  291252 */   // Label 5451: @291252
     /*  291252 */   GIM_Try, /*On fail goto*//*Label 5452*/ GIMT_Encode4(291315), // Rule ID 8962 //
     /*  291257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  291274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291296 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  291299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291313 */     GIR_RootConstrainSelectedInstOperands,
     /*  291314 */     // GIR_Coverage, 8962,
     /*  291314 */     GIR_EraseRootFromParent_Done,
     /*  291315 */   // Label 5452: @291315
     /*  291315 */   GIM_Try, /*On fail goto*//*Label 5453*/ GIMT_Encode4(291378), // Rule ID 8963 //
     /*  291320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  291334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  291337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291359 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  291362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291376 */     GIR_RootConstrainSelectedInstOperands,
     /*  291377 */     // GIR_Coverage, 8963,
     /*  291377 */     GIR_EraseRootFromParent_Done,
     /*  291378 */   // Label 5453: @291378
     /*  291378 */   GIM_Try, /*On fail goto*//*Label 5454*/ GIMT_Encode4(291441), // Rule ID 8966 //
     /*  291383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  291397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  291400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291422 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291439 */     GIR_RootConstrainSelectedInstOperands,
     /*  291440 */     // GIR_Coverage, 8966,
     /*  291440 */     GIR_EraseRootFromParent_Done,
     /*  291441 */   // Label 5454: @291441
     /*  291441 */   GIM_Try, /*On fail goto*//*Label 5455*/ GIMT_Encode4(291504), // Rule ID 8967 //
     /*  291446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  291457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  291460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  291463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291485 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291502 */     GIR_RootConstrainSelectedInstOperands,
     /*  291503 */     // GIR_Coverage, 8967,
     /*  291503 */     GIR_EraseRootFromParent_Done,
     /*  291504 */   // Label 5455: @291504
     /*  291504 */   GIM_Try, /*On fail goto*//*Label 5456*/ GIMT_Encode4(291567), // Rule ID 8970 //
     /*  291509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  291526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291548 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  291548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291565 */     GIR_RootConstrainSelectedInstOperands,
     /*  291566 */     // GIR_Coverage, 8970,
     /*  291566 */     GIR_EraseRootFromParent_Done,
     /*  291567 */   // Label 5456: @291567
     /*  291567 */   GIM_Try, /*On fail goto*//*Label 5457*/ GIMT_Encode4(291630), // Rule ID 8971 //
     /*  291572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  291583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  291586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  291589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291611 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  291611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  291628 */     GIR_RootConstrainSelectedInstOperands,
     /*  291629 */     // GIR_Coverage, 8971,
     /*  291629 */     GIR_EraseRootFromParent_Done,
     /*  291630 */   // Label 5457: @291630
     /*  291630 */   GIM_Try, /*On fail goto*//*Label 5458*/ GIMT_Encode4(291693), // Rule ID 8974 //
     /*  291635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  291652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  291674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291691 */     GIR_RootConstrainSelectedInstOperands,
     /*  291692 */     // GIR_Coverage, 8974,
     /*  291692 */     GIR_EraseRootFromParent_Done,
     /*  291693 */   // Label 5458: @291693
     /*  291693 */   GIM_Try, /*On fail goto*//*Label 5459*/ GIMT_Encode4(291756), // Rule ID 8975 //
     /*  291698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  291709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  291712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  291715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291737 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  291737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  291754 */     GIR_RootConstrainSelectedInstOperands,
     /*  291755 */     // GIR_Coverage, 8975,
     /*  291755 */     GIR_EraseRootFromParent_Done,
     /*  291756 */   // Label 5459: @291756
     /*  291756 */   GIM_Try, /*On fail goto*//*Label 5460*/ GIMT_Encode4(291819), // Rule ID 8978 //
     /*  291761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  291764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  291775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  291778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291800 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  291800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291817 */     GIR_RootConstrainSelectedInstOperands,
     /*  291818 */     // GIR_Coverage, 8978,
     /*  291818 */     GIR_EraseRootFromParent_Done,
     /*  291819 */   // Label 5460: @291819
     /*  291819 */   GIM_Try, /*On fail goto*//*Label 5461*/ GIMT_Encode4(291882), // Rule ID 8979 //
     /*  291824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  291827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  291835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  291838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  291841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291863 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  291863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  291866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  291880 */     GIR_RootConstrainSelectedInstOperands,
     /*  291881 */     // GIR_Coverage, 8979,
     /*  291881 */     GIR_EraseRootFromParent_Done,
     /*  291882 */   // Label 5461: @291882
     /*  291882 */   GIM_Try, /*On fail goto*//*Label 5462*/ GIMT_Encode4(291945), // Rule ID 8982 //
     /*  291887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  291890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  291904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  291907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291926 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  291926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  291940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  291943 */     GIR_RootConstrainSelectedInstOperands,
     /*  291944 */     // GIR_Coverage, 8982,
     /*  291944 */     GIR_EraseRootFromParent_Done,
     /*  291945 */   // Label 5462: @291945
     /*  291945 */   GIM_Try, /*On fail goto*//*Label 5463*/ GIMT_Encode4(292008), // Rule ID 8983 //
     /*  291950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  291953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  291958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  291961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  291964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  291967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  291970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  291974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  291982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  291989 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  291989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  291992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  291994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  291996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  291998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292006 */     GIR_RootConstrainSelectedInstOperands,
     /*  292007 */     // GIR_Coverage, 8983,
     /*  292007 */     GIR_EraseRootFromParent_Done,
     /*  292008 */   // Label 5463: @292008
     /*  292008 */   GIM_Try, /*On fail goto*//*Label 5464*/ GIMT_Encode4(292071), // Rule ID 8986 //
     /*  292013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  292030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292052 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292069 */     GIR_RootConstrainSelectedInstOperands,
     /*  292070 */     // GIR_Coverage, 8986,
     /*  292070 */     GIR_EraseRootFromParent_Done,
     /*  292071 */   // Label 5464: @292071
     /*  292071 */   GIM_Try, /*On fail goto*//*Label 5465*/ GIMT_Encode4(292134), // Rule ID 8987 //
     /*  292076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  292090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  292093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292115 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292132 */     GIR_RootConstrainSelectedInstOperands,
     /*  292133 */     // GIR_Coverage, 8987,
     /*  292133 */     GIR_EraseRootFromParent_Done,
     /*  292134 */   // Label 5465: @292134
     /*  292134 */   GIM_Try, /*On fail goto*//*Label 5466*/ GIMT_Encode4(292197), // Rule ID 8990 //
     /*  292139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  292156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292178 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  292178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292195 */     GIR_RootConstrainSelectedInstOperands,
     /*  292196 */     // GIR_Coverage, 8990,
     /*  292196 */     GIR_EraseRootFromParent_Done,
     /*  292197 */   // Label 5466: @292197
     /*  292197 */   GIM_Try, /*On fail goto*//*Label 5467*/ GIMT_Encode4(292260), // Rule ID 8991 //
     /*  292202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  292213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  292216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  292219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292241 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  292241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  292258 */     GIR_RootConstrainSelectedInstOperands,
     /*  292259 */     // GIR_Coverage, 8991,
     /*  292259 */     GIR_EraseRootFromParent_Done,
     /*  292260 */   // Label 5467: @292260
     /*  292260 */   GIM_Try, /*On fail goto*//*Label 5468*/ GIMT_Encode4(292323), // Rule ID 8994 //
     /*  292265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  292282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292304 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292321 */     GIR_RootConstrainSelectedInstOperands,
     /*  292322 */     // GIR_Coverage, 8994,
     /*  292322 */     GIR_EraseRootFromParent_Done,
     /*  292323 */   // Label 5468: @292323
     /*  292323 */   GIM_Try, /*On fail goto*//*Label 5469*/ GIMT_Encode4(292386), // Rule ID 8995 //
     /*  292328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  292342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  292345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292367 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292384 */     GIR_RootConstrainSelectedInstOperands,
     /*  292385 */     // GIR_Coverage, 8995,
     /*  292385 */     GIR_EraseRootFromParent_Done,
     /*  292386 */   // Label 5469: @292386
     /*  292386 */   GIM_Try, /*On fail goto*//*Label 5470*/ GIMT_Encode4(292449), // Rule ID 8998 //
     /*  292391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  292405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  292408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292430 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292447 */     GIR_RootConstrainSelectedInstOperands,
     /*  292448 */     // GIR_Coverage, 8998,
     /*  292448 */     GIR_EraseRootFromParent_Done,
     /*  292449 */   // Label 5470: @292449
     /*  292449 */   GIM_Try, /*On fail goto*//*Label 5471*/ GIMT_Encode4(292512), // Rule ID 8999 //
     /*  292454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  292468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  292471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292493 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292510 */     GIR_RootConstrainSelectedInstOperands,
     /*  292511 */     // GIR_Coverage, 8999,
     /*  292511 */     GIR_EraseRootFromParent_Done,
     /*  292512 */   // Label 5471: @292512
     /*  292512 */   GIM_Try, /*On fail goto*//*Label 5472*/ GIMT_Encode4(292575), // Rule ID 9002 //
     /*  292517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  292534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292556 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  292556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292573 */     GIR_RootConstrainSelectedInstOperands,
     /*  292574 */     // GIR_Coverage, 9002,
     /*  292574 */     GIR_EraseRootFromParent_Done,
     /*  292575 */   // Label 5472: @292575
     /*  292575 */   GIM_Try, /*On fail goto*//*Label 5473*/ GIMT_Encode4(292638), // Rule ID 9003 //
     /*  292580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  292591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  292594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  292597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292619 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  292619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  292636 */     GIR_RootConstrainSelectedInstOperands,
     /*  292637 */     // GIR_Coverage, 9003,
     /*  292637 */     GIR_EraseRootFromParent_Done,
     /*  292638 */   // Label 5473: @292638
     /*  292638 */   GIM_Try, /*On fail goto*//*Label 5474*/ GIMT_Encode4(292701), // Rule ID 9006 //
     /*  292643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  292660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292682 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292699 */     GIR_RootConstrainSelectedInstOperands,
     /*  292700 */     // GIR_Coverage, 9006,
     /*  292700 */     GIR_EraseRootFromParent_Done,
     /*  292701 */   // Label 5474: @292701
     /*  292701 */   GIM_Try, /*On fail goto*//*Label 5475*/ GIMT_Encode4(292764), // Rule ID 9007 //
     /*  292706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  292717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  292720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  292723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  292738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292745 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  292748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292762 */     GIR_RootConstrainSelectedInstOperands,
     /*  292763 */     // GIR_Coverage, 9007,
     /*  292763 */     GIR_EraseRootFromParent_Done,
     /*  292764 */   // Label 5475: @292764
     /*  292764 */   GIM_Try, /*On fail goto*//*Label 5476*/ GIMT_Encode4(292827), // Rule ID 9010 //
     /*  292769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  292783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  292786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292808 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292825 */     GIR_RootConstrainSelectedInstOperands,
     /*  292826 */     // GIR_Coverage, 9010,
     /*  292826 */     GIR_EraseRootFromParent_Done,
     /*  292827 */   // Label 5476: @292827
     /*  292827 */   GIM_Try, /*On fail goto*//*Label 5477*/ GIMT_Encode4(292890), // Rule ID 9011 //
     /*  292832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  292843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  292846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  292849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  292864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292871 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  292874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292888 */     GIR_RootConstrainSelectedInstOperands,
     /*  292889 */     // GIR_Coverage, 9011,
     /*  292889 */     GIR_EraseRootFromParent_Done,
     /*  292890 */   // Label 5477: @292890
     /*  292890 */   GIM_Try, /*On fail goto*//*Label 5478*/ GIMT_Encode4(292953), // Rule ID 9014 //
     /*  292895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  292898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  292912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  292915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292934 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  292934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  292937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  292939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  292941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  292943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  292948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  292951 */     GIR_RootConstrainSelectedInstOperands,
     /*  292952 */     // GIR_Coverage, 9014,
     /*  292952 */     GIR_EraseRootFromParent_Done,
     /*  292953 */   // Label 5478: @292953
     /*  292953 */   GIM_Try, /*On fail goto*//*Label 5479*/ GIMT_Encode4(293016), // Rule ID 9015 //
     /*  292958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  292961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  292966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  292969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  292972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  292975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  292978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  292982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  292990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  292997 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  292997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  293000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  293014 */     GIR_RootConstrainSelectedInstOperands,
     /*  293015 */     // GIR_Coverage, 9015,
     /*  293015 */     GIR_EraseRootFromParent_Done,
     /*  293016 */   // Label 5479: @293016
     /*  293016 */   GIM_Try, /*On fail goto*//*Label 5480*/ GIMT_Encode4(293079), // Rule ID 9018 //
     /*  293021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  293038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293060 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  293063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293077 */     GIR_RootConstrainSelectedInstOperands,
     /*  293078 */     // GIR_Coverage, 9018,
     /*  293078 */     GIR_EraseRootFromParent_Done,
     /*  293079 */   // Label 5480: @293079
     /*  293079 */   GIM_Try, /*On fail goto*//*Label 5481*/ GIMT_Encode4(293142), // Rule ID 9019 //
     /*  293084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  293098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  293101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  293116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293123 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  293126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293140 */     GIR_RootConstrainSelectedInstOperands,
     /*  293141 */     // GIR_Coverage, 9019,
     /*  293141 */     GIR_EraseRootFromParent_Done,
     /*  293142 */   // Label 5481: @293142
     /*  293142 */   GIM_Try, /*On fail goto*//*Label 5482*/ GIMT_Encode4(293205), // Rule ID 9022 //
     /*  293147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  293164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293186 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  293189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293203 */     GIR_RootConstrainSelectedInstOperands,
     /*  293204 */     // GIR_Coverage, 9022,
     /*  293204 */     GIR_EraseRootFromParent_Done,
     /*  293205 */   // Label 5482: @293205
     /*  293205 */   GIM_Try, /*On fail goto*//*Label 5483*/ GIMT_Encode4(293268), // Rule ID 9023 //
     /*  293210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  293224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  293227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  293242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293249 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  293252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293266 */     GIR_RootConstrainSelectedInstOperands,
     /*  293267 */     // GIR_Coverage, 9023,
     /*  293267 */     GIR_EraseRootFromParent_Done,
     /*  293268 */   // Label 5483: @293268
     /*  293268 */   GIM_Try, /*On fail goto*//*Label 5484*/ GIMT_Encode4(293331), // Rule ID 9026 //
     /*  293273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  293276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  293290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293312 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  293312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  293315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293329 */     GIR_RootConstrainSelectedInstOperands,
     /*  293330 */     // GIR_Coverage, 9026,
     /*  293330 */     GIR_EraseRootFromParent_Done,
     /*  293331 */   // Label 5484: @293331
     /*  293331 */   GIM_Try, /*On fail goto*//*Label 5485*/ GIMT_Encode4(293394), // Rule ID 9027 //
     /*  293336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  293339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  293347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  293350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  293353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  293368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293375 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  293375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  293378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  293392 */     GIR_RootConstrainSelectedInstOperands,
     /*  293393 */     // GIR_Coverage, 9027,
     /*  293393 */     GIR_EraseRootFromParent_Done,
     /*  293394 */   // Label 5485: @293394
     /*  293394 */   GIM_Try, /*On fail goto*//*Label 5486*/ GIMT_Encode4(293457), // Rule ID 9030 //
     /*  293399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293438 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  293441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293455 */     GIR_RootConstrainSelectedInstOperands,
     /*  293456 */     // GIR_Coverage, 9030,
     /*  293456 */     GIR_EraseRootFromParent_Done,
     /*  293457 */   // Label 5486: @293457
     /*  293457 */   GIM_Try, /*On fail goto*//*Label 5487*/ GIMT_Encode4(293520), // Rule ID 9031 //
     /*  293462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  293476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293501 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8),
     /*  293504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293518 */     GIR_RootConstrainSelectedInstOperands,
     /*  293519 */     // GIR_Coverage, 9031,
     /*  293519 */     GIR_EraseRootFromParent_Done,
     /*  293520 */   // Label 5487: @293520
     /*  293520 */   GIM_Try, /*On fail goto*//*Label 5488*/ GIMT_Encode4(293583), // Rule ID 9034 //
     /*  293525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293564 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293581 */     GIR_RootConstrainSelectedInstOperands,
     /*  293582 */     // GIR_Coverage, 9034,
     /*  293582 */     GIR_EraseRootFromParent_Done,
     /*  293583 */   // Label 5488: @293583
     /*  293583 */   GIM_Try, /*On fail goto*//*Label 5489*/ GIMT_Encode4(293646), // Rule ID 9035 //
     /*  293588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  293602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293627 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293644 */     GIR_RootConstrainSelectedInstOperands,
     /*  293645 */     // GIR_Coverage, 9035,
     /*  293645 */     GIR_EraseRootFromParent_Done,
     /*  293646 */   // Label 5489: @293646
     /*  293646 */   GIM_Try, /*On fail goto*//*Label 5490*/ GIMT_Encode4(293709), // Rule ID 9038 //
     /*  293651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293690 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  293690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293707 */     GIR_RootConstrainSelectedInstOperands,
     /*  293708 */     // GIR_Coverage, 9038,
     /*  293708 */     GIR_EraseRootFromParent_Done,
     /*  293709 */   // Label 5490: @293709
     /*  293709 */   GIM_Try, /*On fail goto*//*Label 5491*/ GIMT_Encode4(293772), // Rule ID 9039 //
     /*  293714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  293725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  293728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293753 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  293753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  293770 */     GIR_RootConstrainSelectedInstOperands,
     /*  293771 */     // GIR_Coverage, 9039,
     /*  293771 */     GIR_EraseRootFromParent_Done,
     /*  293772 */   // Label 5491: @293772
     /*  293772 */   GIM_Try, /*On fail goto*//*Label 5492*/ GIMT_Encode4(293835), // Rule ID 9042 //
     /*  293777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  293791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293816 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293833 */     GIR_RootConstrainSelectedInstOperands,
     /*  293834 */     // GIR_Coverage, 9042,
     /*  293834 */     GIR_EraseRootFromParent_Done,
     /*  293835 */   // Label 5492: @293835
     /*  293835 */   GIM_Try, /*On fail goto*//*Label 5493*/ GIMT_Encode4(293898), // Rule ID 9043 //
     /*  293840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  293851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  293854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293879 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  293879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4),
     /*  293882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293896 */     GIR_RootConstrainSelectedInstOperands,
     /*  293897 */     // GIR_Coverage, 9043,
     /*  293897 */     GIR_EraseRootFromParent_Done,
     /*  293898 */   // Label 5493: @293898
     /*  293898 */   GIM_Try, /*On fail goto*//*Label 5494*/ GIMT_Encode4(293961), // Rule ID 9046 //
     /*  293903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  293906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  293920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  293923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  293942 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  293942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  293945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  293947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  293949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  293951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  293956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  293959 */     GIR_RootConstrainSelectedInstOperands,
     /*  293960 */     // GIR_Coverage, 9046,
     /*  293960 */     GIR_EraseRootFromParent_Done,
     /*  293961 */   // Label 5494: @293961
     /*  293961 */   GIM_Try, /*On fail goto*//*Label 5495*/ GIMT_Encode4(294024), // Rule ID 9047 //
     /*  293966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  293969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  293974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  293977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  293980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  293983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  293986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  293994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  293998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294005 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  294008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294022 */     GIR_RootConstrainSelectedInstOperands,
     /*  294023 */     // GIR_Coverage, 9047,
     /*  294023 */     GIR_EraseRootFromParent_Done,
     /*  294024 */   // Label 5495: @294024
     /*  294024 */   GIM_Try, /*On fail goto*//*Label 5496*/ GIMT_Encode4(294087), // Rule ID 9050 //
     /*  294029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  294071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294085 */     GIR_RootConstrainSelectedInstOperands,
     /*  294086 */     // GIR_Coverage, 9050,
     /*  294086 */     GIR_EraseRootFromParent_Done,
     /*  294087 */   // Label 5496: @294087
     /*  294087 */   GIM_Try, /*On fail goto*//*Label 5497*/ GIMT_Encode4(294150), // Rule ID 9051 //
     /*  294092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  294106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294131 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2),
     /*  294134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294148 */     GIR_RootConstrainSelectedInstOperands,
     /*  294149 */     // GIR_Coverage, 9051,
     /*  294149 */     GIR_EraseRootFromParent_Done,
     /*  294150 */   // Label 5497: @294150
     /*  294150 */   GIM_Try, /*On fail goto*//*Label 5498*/ GIMT_Encode4(294213), // Rule ID 9054 //
     /*  294155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294211 */     GIR_RootConstrainSelectedInstOperands,
     /*  294212 */     // GIR_Coverage, 9054,
     /*  294212 */     GIR_EraseRootFromParent_Done,
     /*  294213 */   // Label 5498: @294213
     /*  294213 */   GIM_Try, /*On fail goto*//*Label 5499*/ GIMT_Encode4(294276), // Rule ID 9055 //
     /*  294218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  294229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  294232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294257 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294274 */     GIR_RootConstrainSelectedInstOperands,
     /*  294275 */     // GIR_Coverage, 9055,
     /*  294275 */     GIR_EraseRootFromParent_Done,
     /*  294276 */   // Label 5499: @294276
     /*  294276 */   GIM_Try, /*On fail goto*//*Label 5500*/ GIMT_Encode4(294339), // Rule ID 9058 //
     /*  294281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294320 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  294320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294337 */     GIR_RootConstrainSelectedInstOperands,
     /*  294338 */     // GIR_Coverage, 9058,
     /*  294338 */     GIR_EraseRootFromParent_Done,
     /*  294339 */   // Label 5500: @294339
     /*  294339 */   GIM_Try, /*On fail goto*//*Label 5501*/ GIMT_Encode4(294402), // Rule ID 9059 //
     /*  294344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  294355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  294358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294383 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  294383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  294400 */     GIR_RootConstrainSelectedInstOperands,
     /*  294401 */     // GIR_Coverage, 9059,
     /*  294401 */     GIR_EraseRootFromParent_Done,
     /*  294402 */   // Label 5501: @294402
     /*  294402 */   GIM_Try, /*On fail goto*//*Label 5502*/ GIMT_Encode4(294465), // Rule ID 9062 //
     /*  294407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  294446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294463 */     GIR_RootConstrainSelectedInstOperands,
     /*  294464 */     // GIR_Coverage, 9062,
     /*  294464 */     GIR_EraseRootFromParent_Done,
     /*  294465 */   // Label 5502: @294465
     /*  294465 */   GIM_Try, /*On fail goto*//*Label 5503*/ GIMT_Encode4(294528), // Rule ID 9063 //
     /*  294470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  294481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  294484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294509 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  294509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  294526 */     GIR_RootConstrainSelectedInstOperands,
     /*  294527 */     // GIR_Coverage, 9063,
     /*  294527 */     GIR_EraseRootFromParent_Done,
     /*  294528 */   // Label 5503: @294528
     /*  294528 */   GIM_Try, /*On fail goto*//*Label 5504*/ GIMT_Encode4(294591), // Rule ID 9066 //
     /*  294533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  294536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  294572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294589 */     GIR_RootConstrainSelectedInstOperands,
     /*  294590 */     // GIR_Coverage, 9066,
     /*  294590 */     GIR_EraseRootFromParent_Done,
     /*  294591 */   // Label 5504: @294591
     /*  294591 */   GIM_Try, /*On fail goto*//*Label 5505*/ GIMT_Encode4(294654), // Rule ID 9067 //
     /*  294596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  294599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  294607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  294610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294635 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11457:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  294635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1),
     /*  294638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  294652 */     GIR_RootConstrainSelectedInstOperands,
     /*  294653 */     // GIR_Coverage, 9067,
     /*  294653 */     GIR_EraseRootFromParent_Done,
     /*  294654 */   // Label 5505: @294654
     /*  294654 */   GIM_Try, /*On fail goto*//*Label 5506*/ GIMT_Encode4(294717), // Rule ID 9070 //
     /*  294659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294698 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294715 */     GIR_RootConstrainSelectedInstOperands,
     /*  294716 */     // GIR_Coverage, 9070,
     /*  294716 */     GIR_EraseRootFromParent_Done,
     /*  294717 */   // Label 5506: @294717
     /*  294717 */   GIM_Try, /*On fail goto*//*Label 5507*/ GIMT_Encode4(294780), // Rule ID 9071 //
     /*  294722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  294733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  294736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  294750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294761 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  294764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294778 */     GIR_RootConstrainSelectedInstOperands,
     /*  294779 */     // GIR_Coverage, 9071,
     /*  294779 */     GIR_EraseRootFromParent_Done,
     /*  294780 */   // Label 5507: @294780
     /*  294780 */   GIM_Try, /*On fail goto*//*Label 5508*/ GIMT_Encode4(294843), // Rule ID 9074 //
     /*  294785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  294799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294824 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294841 */     GIR_RootConstrainSelectedInstOperands,
     /*  294842 */     // GIR_Coverage, 9074,
     /*  294842 */     GIR_EraseRootFromParent_Done,
     /*  294843 */   // Label 5508: @294843
     /*  294843 */   GIM_Try, /*On fail goto*//*Label 5509*/ GIMT_Encode4(294906), // Rule ID 9075 //
     /*  294848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  294859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  294862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  294876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294887 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  294887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  294890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294904 */     GIR_RootConstrainSelectedInstOperands,
     /*  294905 */     // GIR_Coverage, 9075,
     /*  294905 */     GIR_EraseRootFromParent_Done,
     /*  294906 */   // Label 5509: @294906
     /*  294906 */   GIM_Try, /*On fail goto*//*Label 5510*/ GIMT_Encode4(294969), // Rule ID 9078 //
     /*  294911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  294914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  294928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  294931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  294939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  294943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  294950 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  294950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  294953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  294955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  294957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  294959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  294964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  294967 */     GIR_RootConstrainSelectedInstOperands,
     /*  294968 */     // GIR_Coverage, 9078,
     /*  294968 */     GIR_EraseRootFromParent_Done,
     /*  294969 */   // Label 5510: @294969
     /*  294969 */   GIM_Try, /*On fail goto*//*Label 5511*/ GIMT_Encode4(295032), // Rule ID 9079 //
     /*  294974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  294977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  294982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  294985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  294988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  294991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  294994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  294998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295013 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  295013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  295030 */     GIR_RootConstrainSelectedInstOperands,
     /*  295031 */     // GIR_Coverage, 9079,
     /*  295031 */     GIR_EraseRootFromParent_Done,
     /*  295032 */   // Label 5511: @295032
     /*  295032 */   GIM_Try, /*On fail goto*//*Label 5512*/ GIMT_Encode4(295095), // Rule ID 9082 //
     /*  295037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295076 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295093 */     GIR_RootConstrainSelectedInstOperands,
     /*  295094 */     // GIR_Coverage, 9082,
     /*  295094 */     GIR_EraseRootFromParent_Done,
     /*  295095 */   // Label 5512: @295095
     /*  295095 */   GIM_Try, /*On fail goto*//*Label 5513*/ GIMT_Encode4(295158), // Rule ID 9083 //
     /*  295100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  295114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295139 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295156 */     GIR_RootConstrainSelectedInstOperands,
     /*  295157 */     // GIR_Coverage, 9083,
     /*  295157 */     GIR_EraseRootFromParent_Done,
     /*  295158 */   // Label 5513: @295158
     /*  295158 */   GIM_Try, /*On fail goto*//*Label 5514*/ GIMT_Encode4(295221), // Rule ID 9086 //
     /*  295163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295202 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295219 */     GIR_RootConstrainSelectedInstOperands,
     /*  295220 */     // GIR_Coverage, 9086,
     /*  295220 */     GIR_EraseRootFromParent_Done,
     /*  295221 */   // Label 5514: @295221
     /*  295221 */   GIM_Try, /*On fail goto*//*Label 5515*/ GIMT_Encode4(295284), // Rule ID 9087 //
     /*  295226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  295240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295265 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295282 */     GIR_RootConstrainSelectedInstOperands,
     /*  295283 */     // GIR_Coverage, 9087,
     /*  295283 */     GIR_EraseRootFromParent_Done,
     /*  295284 */   // Label 5515: @295284
     /*  295284 */   GIM_Try, /*On fail goto*//*Label 5516*/ GIMT_Encode4(295347), // Rule ID 9090 //
     /*  295289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  295303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295328 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  295328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295345 */     GIR_RootConstrainSelectedInstOperands,
     /*  295346 */     // GIR_Coverage, 9090,
     /*  295346 */     GIR_EraseRootFromParent_Done,
     /*  295347 */   // Label 5516: @295347
     /*  295347 */   GIM_Try, /*On fail goto*//*Label 5517*/ GIMT_Encode4(295410), // Rule ID 9091 //
     /*  295352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  295363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  295366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295391 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  295391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  295408 */     GIR_RootConstrainSelectedInstOperands,
     /*  295409 */     // GIR_Coverage, 9091,
     /*  295409 */     GIR_EraseRootFromParent_Done,
     /*  295410 */   // Label 5517: @295410
     /*  295410 */   GIM_Try, /*On fail goto*//*Label 5518*/ GIMT_Encode4(295473), // Rule ID 9094 //
     /*  295415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295454 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295471 */     GIR_RootConstrainSelectedInstOperands,
     /*  295472 */     // GIR_Coverage, 9094,
     /*  295472 */     GIR_EraseRootFromParent_Done,
     /*  295473 */   // Label 5518: @295473
     /*  295473 */   GIM_Try, /*On fail goto*//*Label 5519*/ GIMT_Encode4(295536), // Rule ID 9095 //
     /*  295478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  295492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295517 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295534 */     GIR_RootConstrainSelectedInstOperands,
     /*  295535 */     // GIR_Coverage, 9095,
     /*  295535 */     GIR_EraseRootFromParent_Done,
     /*  295536 */   // Label 5519: @295536
     /*  295536 */   GIM_Try, /*On fail goto*//*Label 5520*/ GIMT_Encode4(295599), // Rule ID 9098 //
     /*  295541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295580 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295597 */     GIR_RootConstrainSelectedInstOperands,
     /*  295598 */     // GIR_Coverage, 9098,
     /*  295598 */     GIR_EraseRootFromParent_Done,
     /*  295599 */   // Label 5520: @295599
     /*  295599 */   GIM_Try, /*On fail goto*//*Label 5521*/ GIMT_Encode4(295662), // Rule ID 9099 //
     /*  295604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  295615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  295618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295643 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295660 */     GIR_RootConstrainSelectedInstOperands,
     /*  295661 */     // GIR_Coverage, 9099,
     /*  295661 */     GIR_EraseRootFromParent_Done,
     /*  295662 */   // Label 5521: @295662
     /*  295662 */   GIM_Try, /*On fail goto*//*Label 5522*/ GIMT_Encode4(295725), // Rule ID 9102 //
     /*  295667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  295670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295706 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  295706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295723 */     GIR_RootConstrainSelectedInstOperands,
     /*  295724 */     // GIR_Coverage, 9102,
     /*  295724 */     GIR_EraseRootFromParent_Done,
     /*  295725 */   // Label 5522: @295725
     /*  295725 */   GIM_Try, /*On fail goto*//*Label 5523*/ GIMT_Encode4(295788), // Rule ID 9103 //
     /*  295730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  295733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  295741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  295744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  295758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295769 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  295769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  295772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  295786 */     GIR_RootConstrainSelectedInstOperands,
     /*  295787 */     // GIR_Coverage, 9103,
     /*  295787 */     GIR_EraseRootFromParent_Done,
     /*  295788 */   // Label 5523: @295788
     /*  295788 */   GIM_Try, /*On fail goto*//*Label 5524*/ GIMT_Encode4(295851), // Rule ID 9106 //
     /*  295793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  295807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295849 */     GIR_RootConstrainSelectedInstOperands,
     /*  295850 */     // GIR_Coverage, 9106,
     /*  295850 */     GIR_EraseRootFromParent_Done,
     /*  295851 */   // Label 5524: @295851
     /*  295851 */   GIM_Try, /*On fail goto*//*Label 5525*/ GIMT_Encode4(295914), // Rule ID 9107 //
     /*  295856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  295867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  295870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  295876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  295884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295895 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11457:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  295895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2),
     /*  295898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295912 */     GIR_RootConstrainSelectedInstOperands,
     /*  295913 */     // GIR_Coverage, 9107,
     /*  295913 */     GIR_EraseRootFromParent_Done,
     /*  295914 */   // Label 5525: @295914
     /*  295914 */   GIM_Try, /*On fail goto*//*Label 5526*/ GIMT_Encode4(295977), // Rule ID 9110 //
     /*  295919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  295922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  295936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  295939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  295943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  295947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  295951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  295958 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  295958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  295961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  295963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  295965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  295967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  295972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  295975 */     GIR_RootConstrainSelectedInstOperands,
     /*  295976 */     // GIR_Coverage, 9110,
     /*  295976 */     GIR_EraseRootFromParent_Done,
     /*  295977 */   // Label 5526: @295977
     /*  295977 */   GIM_Try, /*On fail goto*//*Label 5527*/ GIMT_Encode4(296040), // Rule ID 9111 //
     /*  295982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  295985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  295990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  295993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  295996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  295999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  296010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296021 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11457:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4),
     /*  296024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296038 */     GIR_RootConstrainSelectedInstOperands,
     /*  296039 */     // GIR_Coverage, 9111,
     /*  296039 */     GIR_EraseRootFromParent_Done,
     /*  296040 */   // Label 5527: @296040
     /*  296040 */   GIM_Try, /*On fail goto*//*Label 5528*/ GIMT_Encode4(296103), // Rule ID 9114 //
     /*  296045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  296048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  296053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296084 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  296084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  296087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296101 */     GIR_RootConstrainSelectedInstOperands,
     /*  296102 */     // GIR_Coverage, 9114,
     /*  296102 */     GIR_EraseRootFromParent_Done,
     /*  296103 */   // Label 5528: @296103
     /*  296103 */   GIM_Try, /*On fail goto*//*Label 5529*/ GIMT_Encode4(296166), // Rule ID 9115 //
     /*  296108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  296111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle),
     /*  296116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  296122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  296136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296147 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11457:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  296147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8),
     /*  296150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  296164 */     GIR_RootConstrainSelectedInstOperands,
     /*  296165 */     // GIR_Coverage, 9115,
     /*  296165 */     GIR_EraseRootFromParent_Done,
     /*  296166 */   // Label 5529: @296166
     /*  296166 */   GIM_Try, /*On fail goto*//*Label 5530*/ GIMT_Encode4(296229), // Rule ID 9206 //
     /*  296171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  296185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296210 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  296213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296227 */     GIR_RootConstrainSelectedInstOperands,
     /*  296228 */     // GIR_Coverage, 9206,
     /*  296228 */     GIR_EraseRootFromParent_Done,
     /*  296229 */   // Label 5530: @296229
     /*  296229 */   GIM_Try, /*On fail goto*//*Label 5531*/ GIMT_Encode4(296292), // Rule ID 9207 //
     /*  296234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  296248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296273 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8),
     /*  296276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296290 */     GIR_RootConstrainSelectedInstOperands,
     /*  296291 */     // GIR_Coverage, 9207,
     /*  296291 */     GIR_EraseRootFromParent_Done,
     /*  296292 */   // Label 5531: @296292
     /*  296292 */   GIM_Try, /*On fail goto*//*Label 5532*/ GIMT_Encode4(296355), // Rule ID 9210 //
     /*  296297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296336 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  296339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296353 */     GIR_RootConstrainSelectedInstOperands,
     /*  296354 */     // GIR_Coverage, 9210,
     /*  296354 */     GIR_EraseRootFromParent_Done,
     /*  296355 */   // Label 5532: @296355
     /*  296355 */   GIM_Try, /*On fail goto*//*Label 5533*/ GIMT_Encode4(296418), // Rule ID 9211 //
     /*  296360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  296374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296399 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  296402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296416 */     GIR_RootConstrainSelectedInstOperands,
     /*  296417 */     // GIR_Coverage, 9211,
     /*  296417 */     GIR_EraseRootFromParent_Done,
     /*  296418 */   // Label 5533: @296418
     /*  296418 */   GIM_Try, /*On fail goto*//*Label 5534*/ GIMT_Encode4(296481), // Rule ID 9214 //
     /*  296423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296462 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296479 */     GIR_RootConstrainSelectedInstOperands,
     /*  296480 */     // GIR_Coverage, 9214,
     /*  296480 */     GIR_EraseRootFromParent_Done,
     /*  296481 */   // Label 5534: @296481
     /*  296481 */   GIM_Try, /*On fail goto*//*Label 5535*/ GIMT_Encode4(296544), // Rule ID 9215 //
     /*  296486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  296497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  296500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296525 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  296525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296542 */     GIR_RootConstrainSelectedInstOperands,
     /*  296543 */     // GIR_Coverage, 9215,
     /*  296543 */     GIR_EraseRootFromParent_Done,
     /*  296544 */   // Label 5535: @296544
     /*  296544 */   GIM_Try, /*On fail goto*//*Label 5536*/ GIMT_Encode4(296607), // Rule ID 9218 //
     /*  296549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  296591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296605 */     GIR_RootConstrainSelectedInstOperands,
     /*  296606 */     // GIR_Coverage, 9218,
     /*  296606 */     GIR_EraseRootFromParent_Done,
     /*  296607 */   // Label 5536: @296607
     /*  296607 */   GIM_Try, /*On fail goto*//*Label 5537*/ GIMT_Encode4(296670), // Rule ID 9219 //
     /*  296612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  296626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296651 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4),
     /*  296654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296668 */     GIR_RootConstrainSelectedInstOperands,
     /*  296669 */     // GIR_Coverage, 9219,
     /*  296669 */     GIR_EraseRootFromParent_Done,
     /*  296670 */   // Label 5537: @296670
     /*  296670 */   GIM_Try, /*On fail goto*//*Label 5538*/ GIMT_Encode4(296733), // Rule ID 9222 //
     /*  296675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296714 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  296714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296731 */     GIR_RootConstrainSelectedInstOperands,
     /*  296732 */     // GIR_Coverage, 9222,
     /*  296732 */     GIR_EraseRootFromParent_Done,
     /*  296733 */   // Label 5538: @296733
     /*  296733 */   GIM_Try, /*On fail goto*//*Label 5539*/ GIMT_Encode4(296796), // Rule ID 9223 //
     /*  296738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  296749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  296752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296777 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  296777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  296794 */     GIR_RootConstrainSelectedInstOperands,
     /*  296795 */     // GIR_Coverage, 9223,
     /*  296795 */     GIR_EraseRootFromParent_Done,
     /*  296796 */   // Label 5539: @296796
     /*  296796 */   GIM_Try, /*On fail goto*//*Label 5540*/ GIMT_Encode4(296859), // Rule ID 9226 //
     /*  296801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296840 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  296840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296857 */     GIR_RootConstrainSelectedInstOperands,
     /*  296858 */     // GIR_Coverage, 9226,
     /*  296858 */     GIR_EraseRootFromParent_Done,
     /*  296859 */   // Label 5540: @296859
     /*  296859 */   GIM_Try, /*On fail goto*//*Label 5541*/ GIMT_Encode4(296922), // Rule ID 9227 //
     /*  296864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  296875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  296878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  296881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  296884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296903 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  296903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2),
     /*  296906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  296920 */     GIR_RootConstrainSelectedInstOperands,
     /*  296921 */     // GIR_Coverage, 9227,
     /*  296921 */     GIR_EraseRootFromParent_Done,
     /*  296922 */   // Label 5541: @296922
     /*  296922 */   GIM_Try, /*On fail goto*//*Label 5542*/ GIMT_Encode4(296985), // Rule ID 9230 //
     /*  296927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  296930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  296938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  296941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  296944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  296947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  296955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  296959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  296966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  296966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  296969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  296971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  296973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  296975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  296980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  296983 */     GIR_RootConstrainSelectedInstOperands,
     /*  296984 */     // GIR_Coverage, 9230,
     /*  296984 */     GIR_EraseRootFromParent_Done,
     /*  296985 */   // Label 5542: @296985
     /*  296985 */   GIM_Try, /*On fail goto*//*Label 5543*/ GIMT_Encode4(297048), // Rule ID 9231 //
     /*  296990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  296993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  296998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  297004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297029 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  297032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297046 */     GIR_RootConstrainSelectedInstOperands,
     /*  297047 */     // GIR_Coverage, 9231,
     /*  297047 */     GIR_EraseRootFromParent_Done,
     /*  297048 */   // Label 5543: @297048
     /*  297048 */   GIM_Try, /*On fail goto*//*Label 5544*/ GIMT_Encode4(297111), // Rule ID 9234 //
     /*  297053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297092 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  297095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297109 */     GIR_RootConstrainSelectedInstOperands,
     /*  297110 */     // GIR_Coverage, 9234,
     /*  297110 */     GIR_EraseRootFromParent_Done,
     /*  297111 */   // Label 5544: @297111
     /*  297111 */   GIM_Try, /*On fail goto*//*Label 5545*/ GIMT_Encode4(297174), // Rule ID 9235 //
     /*  297116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  297127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  297130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297155 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  297158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297172 */     GIR_RootConstrainSelectedInstOperands,
     /*  297173 */     // GIR_Coverage, 9235,
     /*  297173 */     GIR_EraseRootFromParent_Done,
     /*  297174 */   // Label 5545: @297174
     /*  297174 */   GIM_Try, /*On fail goto*//*Label 5546*/ GIMT_Encode4(297237), // Rule ID 9238 //
     /*  297179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  297218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  297221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297235 */     GIR_RootConstrainSelectedInstOperands,
     /*  297236 */     // GIR_Coverage, 9238,
     /*  297236 */     GIR_EraseRootFromParent_Done,
     /*  297237 */   // Label 5546: @297237
     /*  297237 */   GIM_Try, /*On fail goto*//*Label 5547*/ GIMT_Encode4(297300), // Rule ID 9239 //
     /*  297242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  297253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  297256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297281 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  297281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  297284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  297298 */     GIR_RootConstrainSelectedInstOperands,
     /*  297299 */     // GIR_Coverage, 9239,
     /*  297299 */     GIR_EraseRootFromParent_Done,
     /*  297300 */   // Label 5547: @297300
     /*  297300 */   GIM_Try, /*On fail goto*//*Label 5548*/ GIMT_Encode4(297363), // Rule ID 9242 //
     /*  297305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  297308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297344 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  297344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  297347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297361 */     GIR_RootConstrainSelectedInstOperands,
     /*  297362 */     // GIR_Coverage, 9242,
     /*  297362 */     GIR_EraseRootFromParent_Done,
     /*  297363 */   // Label 5548: @297363
     /*  297363 */   GIM_Try, /*On fail goto*//*Label 5549*/ GIMT_Encode4(297426), // Rule ID 9243 //
     /*  297368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  297371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  297379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  297382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297407 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  297407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1),
     /*  297410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  297424 */     GIR_RootConstrainSelectedInstOperands,
     /*  297425 */     // GIR_Coverage, 9243,
     /*  297425 */     GIR_EraseRootFromParent_Done,
     /*  297426 */   // Label 5549: @297426
     /*  297426 */   GIM_Try, /*On fail goto*//*Label 5550*/ GIMT_Encode4(297489), // Rule ID 9246 //
     /*  297431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297470 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297487 */     GIR_RootConstrainSelectedInstOperands,
     /*  297488 */     // GIR_Coverage, 9246,
     /*  297488 */     GIR_EraseRootFromParent_Done,
     /*  297489 */   // Label 5550: @297489
     /*  297489 */   GIM_Try, /*On fail goto*//*Label 5551*/ GIMT_Encode4(297552), // Rule ID 9247 //
     /*  297494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  297508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297533 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297550 */     GIR_RootConstrainSelectedInstOperands,
     /*  297551 */     // GIR_Coverage, 9247,
     /*  297551 */     GIR_EraseRootFromParent_Done,
     /*  297552 */   // Label 5551: @297552
     /*  297552 */   GIM_Try, /*On fail goto*//*Label 5552*/ GIMT_Encode4(297615), // Rule ID 9250 //
     /*  297557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297596 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297613 */     GIR_RootConstrainSelectedInstOperands,
     /*  297614 */     // GIR_Coverage, 9250,
     /*  297614 */     GIR_EraseRootFromParent_Done,
     /*  297615 */   // Label 5552: @297615
     /*  297615 */   GIM_Try, /*On fail goto*//*Label 5553*/ GIMT_Encode4(297678), // Rule ID 9251 //
     /*  297620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  297631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  297634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297659 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297676 */     GIR_RootConstrainSelectedInstOperands,
     /*  297677 */     // GIR_Coverage, 9251,
     /*  297677 */     GIR_EraseRootFromParent_Done,
     /*  297678 */   // Label 5553: @297678
     /*  297678 */   GIM_Try, /*On fail goto*//*Label 5554*/ GIMT_Encode4(297741), // Rule ID 9254 //
     /*  297683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297722 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  297722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297739 */     GIR_RootConstrainSelectedInstOperands,
     /*  297740 */     // GIR_Coverage, 9254,
     /*  297740 */     GIR_EraseRootFromParent_Done,
     /*  297741 */   // Label 5554: @297741
     /*  297741 */   GIM_Try, /*On fail goto*//*Label 5555*/ GIMT_Encode4(297804), // Rule ID 9255 //
     /*  297746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  297757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  297760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  297774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297785 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  297785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  297788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  297802 */     GIR_RootConstrainSelectedInstOperands,
     /*  297803 */     // GIR_Coverage, 9255,
     /*  297803 */     GIR_EraseRootFromParent_Done,
     /*  297804 */   // Label 5555: @297804
     /*  297804 */   GIM_Try, /*On fail goto*//*Label 5556*/ GIMT_Encode4(297867), // Rule ID 9258 //
     /*  297809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297848 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297865 */     GIR_RootConstrainSelectedInstOperands,
     /*  297866 */     // GIR_Coverage, 9258,
     /*  297866 */     GIR_EraseRootFromParent_Done,
     /*  297867 */   // Label 5556: @297867
     /*  297867 */   GIM_Try, /*On fail goto*//*Label 5557*/ GIMT_Encode4(297930), // Rule ID 9259 //
     /*  297872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  297875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  297883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  297886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  297889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  297892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  297900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297911 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  297911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  297914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297928 */     GIR_RootConstrainSelectedInstOperands,
     /*  297929 */     // GIR_Coverage, 9259,
     /*  297929 */     GIR_EraseRootFromParent_Done,
     /*  297930 */   // Label 5557: @297930
     /*  297930 */   GIM_Try, /*On fail goto*//*Label 5558*/ GIMT_Encode4(297993), // Rule ID 9262 //
     /*  297935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  297938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  297943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  297946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  297949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  297952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  297955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  297959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  297963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  297967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  297974 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  297974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  297977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  297979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  297981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  297983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  297988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  297991 */     GIR_RootConstrainSelectedInstOperands,
     /*  297992 */     // GIR_Coverage, 9262,
     /*  297992 */     GIR_EraseRootFromParent_Done,
     /*  297993 */   // Label 5558: @297993
     /*  297993 */   GIM_Try, /*On fail goto*//*Label 5559*/ GIMT_Encode4(298056), // Rule ID 9263 //
     /*  297998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  298012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298037 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298054 */     GIR_RootConstrainSelectedInstOperands,
     /*  298055 */     // GIR_Coverage, 9263,
     /*  298055 */     GIR_EraseRootFromParent_Done,
     /*  298056 */   // Label 5559: @298056
     /*  298056 */   GIM_Try, /*On fail goto*//*Label 5560*/ GIMT_Encode4(298119), // Rule ID 9266 //
     /*  298061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298100 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  298100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298117 */     GIR_RootConstrainSelectedInstOperands,
     /*  298118 */     // GIR_Coverage, 9266,
     /*  298118 */     GIR_EraseRootFromParent_Done,
     /*  298119 */   // Label 5560: @298119
     /*  298119 */   GIM_Try, /*On fail goto*//*Label 5561*/ GIMT_Encode4(298182), // Rule ID 9267 //
     /*  298124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  298135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  298138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298163 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  298163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  298180 */     GIR_RootConstrainSelectedInstOperands,
     /*  298181 */     // GIR_Coverage, 9267,
     /*  298181 */     GIR_EraseRootFromParent_Done,
     /*  298182 */   // Label 5561: @298182
     /*  298182 */   GIM_Try, /*On fail goto*//*Label 5562*/ GIMT_Encode4(298245), // Rule ID 9270 //
     /*  298187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  298229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298243 */     GIR_RootConstrainSelectedInstOperands,
     /*  298244 */     // GIR_Coverage, 9270,
     /*  298244 */     GIR_EraseRootFromParent_Done,
     /*  298245 */   // Label 5562: @298245
     /*  298245 */   GIM_Try, /*On fail goto*//*Label 5563*/ GIMT_Encode4(298308), // Rule ID 9271 //
     /*  298250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  298264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298289 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  298292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298306 */     GIR_RootConstrainSelectedInstOperands,
     /*  298307 */     // GIR_Coverage, 9271,
     /*  298307 */     GIR_EraseRootFromParent_Done,
     /*  298308 */   // Label 5563: @298308
     /*  298308 */   GIM_Try, /*On fail goto*//*Label 5564*/ GIMT_Encode4(298371), // Rule ID 9274 //
     /*  298313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298352 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298369 */     GIR_RootConstrainSelectedInstOperands,
     /*  298370 */     // GIR_Coverage, 9274,
     /*  298370 */     GIR_EraseRootFromParent_Done,
     /*  298371 */   // Label 5564: @298371
     /*  298371 */   GIM_Try, /*On fail goto*//*Label 5565*/ GIMT_Encode4(298434), // Rule ID 9275 //
     /*  298376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  298390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298415 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298432 */     GIR_RootConstrainSelectedInstOperands,
     /*  298433 */     // GIR_Coverage, 9275,
     /*  298433 */     GIR_EraseRootFromParent_Done,
     /*  298434 */   // Label 5565: @298434
     /*  298434 */   GIM_Try, /*On fail goto*//*Label 5566*/ GIMT_Encode4(298497), // Rule ID 9278 //
     /*  298439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298478 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  298478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298495 */     GIR_RootConstrainSelectedInstOperands,
     /*  298496 */     // GIR_Coverage, 9278,
     /*  298496 */     GIR_EraseRootFromParent_Done,
     /*  298497 */   // Label 5566: @298497
     /*  298497 */   GIM_Try, /*On fail goto*//*Label 5567*/ GIMT_Encode4(298560), // Rule ID 9279 //
     /*  298502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  298505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  298513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  298516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298541 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  298541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  298558 */     GIR_RootConstrainSelectedInstOperands,
     /*  298559 */     // GIR_Coverage, 9279,
     /*  298559 */     GIR_EraseRootFromParent_Done,
     /*  298560 */   // Label 5567: @298560
     /*  298560 */   GIM_Try, /*On fail goto*//*Label 5568*/ GIMT_Encode4(298623), // Rule ID 9282 //
     /*  298565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  298607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298621 */     GIR_RootConstrainSelectedInstOperands,
     /*  298622 */     // GIR_Coverage, 9282,
     /*  298622 */     GIR_EraseRootFromParent_Done,
     /*  298623 */   // Label 5568: @298623
     /*  298623 */   GIM_Try, /*On fail goto*//*Label 5569*/ GIMT_Encode4(298686), // Rule ID 9283 //
     /*  298628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  298639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  298642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  298656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298667 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2),
     /*  298670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298684 */     GIR_RootConstrainSelectedInstOperands,
     /*  298685 */     // GIR_Coverage, 9283,
     /*  298685 */     GIR_EraseRootFromParent_Done,
     /*  298686 */   // Label 5569: @298686
     /*  298686 */   GIM_Try, /*On fail goto*//*Label 5570*/ GIMT_Encode4(298749), // Rule ID 9286 //
     /*  298691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298730 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298747 */     GIR_RootConstrainSelectedInstOperands,
     /*  298748 */     // GIR_Coverage, 9286,
     /*  298748 */     GIR_EraseRootFromParent_Done,
     /*  298749 */   // Label 5570: @298749
     /*  298749 */   GIM_Try, /*On fail goto*//*Label 5571*/ GIMT_Encode4(298812), // Rule ID 9287 //
     /*  298754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  298765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  298768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  298782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298793 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4),
     /*  298796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298810 */     GIR_RootConstrainSelectedInstOperands,
     /*  298811 */     // GIR_Coverage, 9287,
     /*  298811 */     GIR_EraseRootFromParent_Done,
     /*  298812 */   // Label 5571: @298812
     /*  298812 */   GIM_Try, /*On fail goto*//*Label 5572*/ GIMT_Encode4(298875), // Rule ID 9290 //
     /*  298817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  298820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298856 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  298856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298873 */     GIR_RootConstrainSelectedInstOperands,
     /*  298874 */     // GIR_Coverage, 9290,
     /*  298874 */     GIR_EraseRootFromParent_Done,
     /*  298875 */   // Label 5572: @298875
     /*  298875 */   GIM_Try, /*On fail goto*//*Label 5573*/ GIMT_Encode4(298938), // Rule ID 9291 //
     /*  298880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  298883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  298888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  298891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  298894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  298897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  298900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  298908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298919 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  298919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8),
     /*  298922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  298936 */     GIR_RootConstrainSelectedInstOperands,
     /*  298937 */     // GIR_Coverage, 9291,
     /*  298937 */     GIR_EraseRootFromParent_Done,
     /*  298938 */   // Label 5573: @298938
     /*  298938 */   GIM_Try, /*On fail goto*//*Label 5574*/ GIMT_Encode4(299001), // Rule ID 9382 //
     /*  298943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  298946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  298951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  298954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  298957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  298960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  298963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  298971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  298975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  298982 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  298982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  298985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  298987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  298989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  298991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  298996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  298999 */     GIR_RootConstrainSelectedInstOperands,
     /*  299000 */     // GIR_Coverage, 9382,
     /*  299000 */     GIR_EraseRootFromParent_Done,
     /*  299001 */   // Label 5574: @299001
     /*  299001 */   GIM_Try, /*On fail goto*//*Label 5575*/ GIMT_Encode4(299064), // Rule ID 9383 //
     /*  299006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  299020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299045 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8),
     /*  299048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299062 */     GIR_RootConstrainSelectedInstOperands,
     /*  299063 */     // GIR_Coverage, 9383,
     /*  299063 */     GIR_EraseRootFromParent_Done,
     /*  299064 */   // Label 5575: @299064
     /*  299064 */   GIM_Try, /*On fail goto*//*Label 5576*/ GIMT_Encode4(299127), // Rule ID 9386 //
     /*  299069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299108 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  299111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299125 */     GIR_RootConstrainSelectedInstOperands,
     /*  299126 */     // GIR_Coverage, 9386,
     /*  299126 */     GIR_EraseRootFromParent_Done,
     /*  299127 */   // Label 5576: @299127
     /*  299127 */   GIM_Try, /*On fail goto*//*Label 5577*/ GIMT_Encode4(299190), // Rule ID 9387 //
     /*  299132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  299146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299171 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  299174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299188 */     GIR_RootConstrainSelectedInstOperands,
     /*  299189 */     // GIR_Coverage, 9387,
     /*  299189 */     GIR_EraseRootFromParent_Done,
     /*  299190 */   // Label 5577: @299190
     /*  299190 */   GIM_Try, /*On fail goto*//*Label 5578*/ GIMT_Encode4(299253), // Rule ID 9390 //
     /*  299195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299234 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299251 */     GIR_RootConstrainSelectedInstOperands,
     /*  299252 */     // GIR_Coverage, 9390,
     /*  299252 */     GIR_EraseRootFromParent_Done,
     /*  299253 */   // Label 5578: @299253
     /*  299253 */   GIM_Try, /*On fail goto*//*Label 5579*/ GIMT_Encode4(299316), // Rule ID 9391 //
     /*  299258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  299272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299297 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299314 */     GIR_RootConstrainSelectedInstOperands,
     /*  299315 */     // GIR_Coverage, 9391,
     /*  299315 */     GIR_EraseRootFromParent_Done,
     /*  299316 */   // Label 5579: @299316
     /*  299316 */   GIM_Try, /*On fail goto*//*Label 5580*/ GIMT_Encode4(299379), // Rule ID 9394 //
     /*  299321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299360 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  299363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299377 */     GIR_RootConstrainSelectedInstOperands,
     /*  299378 */     // GIR_Coverage, 9394,
     /*  299378 */     GIR_EraseRootFromParent_Done,
     /*  299379 */   // Label 5580: @299379
     /*  299379 */   GIM_Try, /*On fail goto*//*Label 5581*/ GIMT_Encode4(299442), // Rule ID 9395 //
     /*  299384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  299398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299423 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4),
     /*  299426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299440 */     GIR_RootConstrainSelectedInstOperands,
     /*  299441 */     // GIR_Coverage, 9395,
     /*  299441 */     GIR_EraseRootFromParent_Done,
     /*  299442 */   // Label 5581: @299442
     /*  299442 */   GIM_Try, /*On fail goto*//*Label 5582*/ GIMT_Encode4(299505), // Rule ID 9398 //
     /*  299447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299486 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299503 */     GIR_RootConstrainSelectedInstOperands,
     /*  299504 */     // GIR_Coverage, 9398,
     /*  299504 */     GIR_EraseRootFromParent_Done,
     /*  299505 */   // Label 5582: @299505
     /*  299505 */   GIM_Try, /*On fail goto*//*Label 5583*/ GIMT_Encode4(299568), // Rule ID 9399 //
     /*  299510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  299524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299549 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299566 */     GIR_RootConstrainSelectedInstOperands,
     /*  299567 */     // GIR_Coverage, 9399,
     /*  299567 */     GIR_EraseRootFromParent_Done,
     /*  299568 */   // Label 5583: @299568
     /*  299568 */   GIM_Try, /*On fail goto*//*Label 5584*/ GIMT_Encode4(299631), // Rule ID 9402 //
     /*  299573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299612 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299629 */     GIR_RootConstrainSelectedInstOperands,
     /*  299630 */     // GIR_Coverage, 9402,
     /*  299630 */     GIR_EraseRootFromParent_Done,
     /*  299631 */   // Label 5584: @299631
     /*  299631 */   GIM_Try, /*On fail goto*//*Label 5585*/ GIMT_Encode4(299694), // Rule ID 9403 //
     /*  299636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  299647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  299650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299675 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  299675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2),
     /*  299678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  299692 */     GIR_RootConstrainSelectedInstOperands,
     /*  299693 */     // GIR_Coverage, 9403,
     /*  299693 */     GIR_EraseRootFromParent_Done,
     /*  299694 */   // Label 5585: @299694
     /*  299694 */   GIM_Try, /*On fail goto*//*Label 5586*/ GIMT_Encode4(299757), // Rule ID 9406 //
     /*  299699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299738 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  299738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299755 */     GIR_RootConstrainSelectedInstOperands,
     /*  299756 */     // GIR_Coverage, 9406,
     /*  299756 */     GIR_EraseRootFromParent_Done,
     /*  299757 */   // Label 5586: @299757
     /*  299757 */   GIM_Try, /*On fail goto*//*Label 5587*/ GIMT_Encode4(299820), // Rule ID 9407 //
     /*  299762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  299773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  299776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299801 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  299801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  299818 */     GIR_RootConstrainSelectedInstOperands,
     /*  299819 */     // GIR_Coverage, 9407,
     /*  299819 */     GIR_EraseRootFromParent_Done,
     /*  299820 */   // Label 5587: @299820
     /*  299820 */   GIM_Try, /*On fail goto*//*Label 5588*/ GIMT_Encode4(299883), // Rule ID 9410 //
     /*  299825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299864 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  299864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299881 */     GIR_RootConstrainSelectedInstOperands,
     /*  299882 */     // GIR_Coverage, 9410,
     /*  299882 */     GIR_EraseRootFromParent_Done,
     /*  299883 */   // Label 5588: @299883
     /*  299883 */   GIM_Try, /*On fail goto*//*Label 5589*/ GIMT_Encode4(299946), // Rule ID 9411 //
     /*  299888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  299891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  299899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  299902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  299905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  299908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299927 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  299927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  299941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  299944 */     GIR_RootConstrainSelectedInstOperands,
     /*  299945 */     // GIR_Coverage, 9411,
     /*  299945 */     GIR_EraseRootFromParent_Done,
     /*  299946 */   // Label 5589: @299946
     /*  299946 */   GIM_Try, /*On fail goto*//*Label 5590*/ GIMT_Encode4(300009), // Rule ID 9414 //
     /*  299951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  299954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  299959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  299962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  299965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  299968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  299971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  299979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  299983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  299990 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  299990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  299993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  299995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  299997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  299999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300007 */     GIR_RootConstrainSelectedInstOperands,
     /*  300008 */     // GIR_Coverage, 9414,
     /*  300008 */     GIR_EraseRootFromParent_Done,
     /*  300009 */   // Label 5590: @300009
     /*  300009 */   GIM_Try, /*On fail goto*//*Label 5591*/ GIMT_Encode4(300072), // Rule ID 9415 //
     /*  300014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  300025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  300028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300053 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  300053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  300056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  300070 */     GIR_RootConstrainSelectedInstOperands,
     /*  300071 */     // GIR_Coverage, 9415,
     /*  300071 */     GIR_EraseRootFromParent_Done,
     /*  300072 */   // Label 5591: @300072
     /*  300072 */   GIM_Try, /*On fail goto*//*Label 5592*/ GIMT_Encode4(300135), // Rule ID 9418 //
     /*  300077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  300080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300116 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  300116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  300119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300133 */     GIR_RootConstrainSelectedInstOperands,
     /*  300134 */     // GIR_Coverage, 9418,
     /*  300134 */     GIR_EraseRootFromParent_Done,
     /*  300135 */   // Label 5592: @300135
     /*  300135 */   GIM_Try, /*On fail goto*//*Label 5593*/ GIMT_Encode4(300198), // Rule ID 9419 //
     /*  300140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  300143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  300151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  300154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300179 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  300179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1),
     /*  300182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  300196 */     GIR_RootConstrainSelectedInstOperands,
     /*  300197 */     // GIR_Coverage, 9419,
     /*  300197 */     GIR_EraseRootFromParent_Done,
     /*  300198 */   // Label 5593: @300198
     /*  300198 */   GIM_Try, /*On fail goto*//*Label 5594*/ GIMT_Encode4(300261), // Rule ID 9422 //
     /*  300203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300242 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300259 */     GIR_RootConstrainSelectedInstOperands,
     /*  300260 */     // GIR_Coverage, 9422,
     /*  300260 */     GIR_EraseRootFromParent_Done,
     /*  300261 */   // Label 5594: @300261
     /*  300261 */   GIM_Try, /*On fail goto*//*Label 5595*/ GIMT_Encode4(300324), // Rule ID 9423 //
     /*  300266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  300280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300305 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300322 */     GIR_RootConstrainSelectedInstOperands,
     /*  300323 */     // GIR_Coverage, 9423,
     /*  300323 */     GIR_EraseRootFromParent_Done,
     /*  300324 */   // Label 5595: @300324
     /*  300324 */   GIM_Try, /*On fail goto*//*Label 5596*/ GIMT_Encode4(300387), // Rule ID 9426 //
     /*  300329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300368 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300385 */     GIR_RootConstrainSelectedInstOperands,
     /*  300386 */     // GIR_Coverage, 9426,
     /*  300386 */     GIR_EraseRootFromParent_Done,
     /*  300387 */   // Label 5596: @300387
     /*  300387 */   GIM_Try, /*On fail goto*//*Label 5597*/ GIMT_Encode4(300450), // Rule ID 9427 //
     /*  300392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  300406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300431 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300448 */     GIR_RootConstrainSelectedInstOperands,
     /*  300449 */     // GIR_Coverage, 9427,
     /*  300449 */     GIR_EraseRootFromParent_Done,
     /*  300450 */   // Label 5597: @300450
     /*  300450 */   GIM_Try, /*On fail goto*//*Label 5598*/ GIMT_Encode4(300513), // Rule ID 9430 //
     /*  300455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300494 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  300494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300511 */     GIR_RootConstrainSelectedInstOperands,
     /*  300512 */     // GIR_Coverage, 9430,
     /*  300512 */     GIR_EraseRootFromParent_Done,
     /*  300513 */   // Label 5598: @300513
     /*  300513 */   GIM_Try, /*On fail goto*//*Label 5599*/ GIMT_Encode4(300576), // Rule ID 9431 //
     /*  300518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  300529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  300532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300557 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  300557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  300574 */     GIR_RootConstrainSelectedInstOperands,
     /*  300575 */     // GIR_Coverage, 9431,
     /*  300575 */     GIR_EraseRootFromParent_Done,
     /*  300576 */   // Label 5599: @300576
     /*  300576 */   GIM_Try, /*On fail goto*//*Label 5600*/ GIMT_Encode4(300639), // Rule ID 9434 //
     /*  300581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300620 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300637 */     GIR_RootConstrainSelectedInstOperands,
     /*  300638 */     // GIR_Coverage, 9434,
     /*  300638 */     GIR_EraseRootFromParent_Done,
     /*  300639 */   // Label 5600: @300639
     /*  300639 */   GIM_Try, /*On fail goto*//*Label 5601*/ GIMT_Encode4(300702), // Rule ID 9435 //
     /*  300644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  300655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  300658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300683 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  300686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300700 */     GIR_RootConstrainSelectedInstOperands,
     /*  300701 */     // GIR_Coverage, 9435,
     /*  300701 */     GIR_EraseRootFromParent_Done,
     /*  300702 */   // Label 5601: @300702
     /*  300702 */   GIM_Try, /*On fail goto*//*Label 5602*/ GIMT_Encode4(300765), // Rule ID 9438 //
     /*  300707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300746 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300763 */     GIR_RootConstrainSelectedInstOperands,
     /*  300764 */     // GIR_Coverage, 9438,
     /*  300764 */     GIR_EraseRootFromParent_Done,
     /*  300765 */   // Label 5602: @300765
     /*  300765 */   GIM_Try, /*On fail goto*//*Label 5603*/ GIMT_Encode4(300828), // Rule ID 9439 //
     /*  300770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  300781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  300784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  300798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300809 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  300812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300826 */     GIR_RootConstrainSelectedInstOperands,
     /*  300827 */     // GIR_Coverage, 9439,
     /*  300827 */     GIR_EraseRootFromParent_Done,
     /*  300828 */   // Label 5603: @300828
     /*  300828 */   GIM_Try, /*On fail goto*//*Label 5604*/ GIMT_Encode4(300891), // Rule ID 9442 //
     /*  300833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300872 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  300872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300889 */     GIR_RootConstrainSelectedInstOperands,
     /*  300890 */     // GIR_Coverage, 9442,
     /*  300890 */     GIR_EraseRootFromParent_Done,
     /*  300891 */   // Label 5604: @300891
     /*  300891 */   GIM_Try, /*On fail goto*//*Label 5605*/ GIMT_Encode4(300954), // Rule ID 9443 //
     /*  300896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  300899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  300907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  300910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  300913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  300916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  300924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300935 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  300935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  300938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  300940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  300942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  300944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  300949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  300952 */     GIR_RootConstrainSelectedInstOperands,
     /*  300953 */     // GIR_Coverage, 9443,
     /*  300953 */     GIR_EraseRootFromParent_Done,
     /*  300954 */   // Label 5605: @300954
     /*  300954 */   GIM_Try, /*On fail goto*//*Label 5606*/ GIMT_Encode4(301017), // Rule ID 9446 //
     /*  300959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  300962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  300967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  300970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  300973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  300976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  300979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  300983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  300987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  300991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  300998 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  300998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  301001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301015 */     GIR_RootConstrainSelectedInstOperands,
     /*  301016 */     // GIR_Coverage, 9446,
     /*  301016 */     GIR_EraseRootFromParent_Done,
     /*  301017 */   // Label 5606: @301017
     /*  301017 */   GIM_Try, /*On fail goto*//*Label 5607*/ GIMT_Encode4(301080), // Rule ID 9447 //
     /*  301022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  301036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  301039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301061 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  301064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301078 */     GIR_RootConstrainSelectedInstOperands,
     /*  301079 */     // GIR_Coverage, 9447,
     /*  301079 */     GIR_EraseRootFromParent_Done,
     /*  301080 */   // Label 5607: @301080
     /*  301080 */   GIM_Try, /*On fail goto*//*Label 5608*/ GIMT_Encode4(301143), // Rule ID 9450 //
     /*  301085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  301102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301124 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  301127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301141 */     GIR_RootConstrainSelectedInstOperands,
     /*  301142 */     // GIR_Coverage, 9450,
     /*  301142 */     GIR_EraseRootFromParent_Done,
     /*  301143 */   // Label 5608: @301143
     /*  301143 */   GIM_Try, /*On fail goto*//*Label 5609*/ GIMT_Encode4(301206), // Rule ID 9451 //
     /*  301148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  301162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  301165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301187 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  301190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301204 */     GIR_RootConstrainSelectedInstOperands,
     /*  301205 */     // GIR_Coverage, 9451,
     /*  301205 */     GIR_EraseRootFromParent_Done,
     /*  301206 */   // Label 5609: @301206
     /*  301206 */   GIM_Try, /*On fail goto*//*Label 5610*/ GIMT_Encode4(301269), // Rule ID 9454 //
     /*  301211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  301228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301250 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  301250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  301253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301267 */     GIR_RootConstrainSelectedInstOperands,
     /*  301268 */     // GIR_Coverage, 9454,
     /*  301268 */     GIR_EraseRootFromParent_Done,
     /*  301269 */   // Label 5610: @301269
     /*  301269 */   GIM_Try, /*On fail goto*//*Label 5611*/ GIMT_Encode4(301332), // Rule ID 9455 //
     /*  301274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  301285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  301288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  301291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301313 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  301313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  301316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  301330 */     GIR_RootConstrainSelectedInstOperands,
     /*  301331 */     // GIR_Coverage, 9455,
     /*  301331 */     GIR_EraseRootFromParent_Done,
     /*  301332 */   // Label 5611: @301332
     /*  301332 */   GIM_Try, /*On fail goto*//*Label 5612*/ GIMT_Encode4(301395), // Rule ID 9458 //
     /*  301337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  301354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301376 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  301379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301393 */     GIR_RootConstrainSelectedInstOperands,
     /*  301394 */     // GIR_Coverage, 9458,
     /*  301394 */     GIR_EraseRootFromParent_Done,
     /*  301395 */   // Label 5612: @301395
     /*  301395 */   GIM_Try, /*On fail goto*//*Label 5613*/ GIMT_Encode4(301458), // Rule ID 9459 //
     /*  301400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  301414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  301417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  301428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301439 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2),
     /*  301442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301456 */     GIR_RootConstrainSelectedInstOperands,
     /*  301457 */     // GIR_Coverage, 9459,
     /*  301457 */     GIR_EraseRootFromParent_Done,
     /*  301458 */   // Label 5613: @301458
     /*  301458 */   GIM_Try, /*On fail goto*//*Label 5614*/ GIMT_Encode4(301521), // Rule ID 9462 //
     /*  301463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  301480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301502 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  301505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301519 */     GIR_RootConstrainSelectedInstOperands,
     /*  301520 */     // GIR_Coverage, 9462,
     /*  301520 */     GIR_EraseRootFromParent_Done,
     /*  301521 */   // Label 5614: @301521
     /*  301521 */   GIM_Try, /*On fail goto*//*Label 5615*/ GIMT_Encode4(301584), // Rule ID 9463 //
     /*  301526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  301540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  301543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  301554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301565 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4),
     /*  301568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301582 */     GIR_RootConstrainSelectedInstOperands,
     /*  301583 */     // GIR_Coverage, 9463,
     /*  301583 */     GIR_EraseRootFromParent_Done,
     /*  301584 */   // Label 5615: @301584
     /*  301584 */   GIM_Try, /*On fail goto*//*Label 5616*/ GIMT_Encode4(301647), // Rule ID 9466 //
     /*  301589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  301592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  301606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301628 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  301628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  301631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301645 */     GIR_RootConstrainSelectedInstOperands,
     /*  301646 */     // GIR_Coverage, 9466,
     /*  301646 */     GIR_EraseRootFromParent_Done,
     /*  301647 */   // Label 5616: @301647
     /*  301647 */   GIM_Try, /*On fail goto*//*Label 5617*/ GIMT_Encode4(301710), // Rule ID 9467 //
     /*  301652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  301655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  301660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  301663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  301666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  301669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  301680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  301684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301691 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  301691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8),
     /*  301694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  301698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  301700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  301708 */     GIR_RootConstrainSelectedInstOperands,
     /*  301709 */     // GIR_Coverage, 9467,
     /*  301709 */     GIR_EraseRootFromParent_Done,
     /*  301710 */   // Label 5617: @301710
     /*  301710 */   GIM_Try, /*On fail goto*//*Label 5618*/ GIMT_Encode4(301773), // Rule ID 9558 //
     /*  301715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  301732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301771 */     GIR_RootConstrainSelectedInstOperands,
     /*  301772 */     // GIR_Coverage, 9558,
     /*  301772 */     GIR_EraseRootFromParent_Done,
     /*  301773 */   // Label 5618: @301773
     /*  301773 */   GIM_Try, /*On fail goto*//*Label 5619*/ GIMT_Encode4(301836), // Rule ID 9559 //
     /*  301778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  301789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  301792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  301795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301817 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  301820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301834 */     GIR_RootConstrainSelectedInstOperands,
     /*  301835 */     // GIR_Coverage, 9559,
     /*  301835 */     GIR_EraseRootFromParent_Done,
     /*  301836 */   // Label 5619: @301836
     /*  301836 */   GIM_Try, /*On fail goto*//*Label 5620*/ GIMT_Encode4(301899), // Rule ID 9562 //
     /*  301841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  301855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301880 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  301880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301897 */     GIR_RootConstrainSelectedInstOperands,
     /*  301898 */     // GIR_Coverage, 9562,
     /*  301898 */     GIR_EraseRootFromParent_Done,
     /*  301899 */   // Label 5620: @301899
     /*  301899 */   GIM_Try, /*On fail goto*//*Label 5621*/ GIMT_Encode4(301962), // Rule ID 9563 //
     /*  301904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  301907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  301915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  301918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  301921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  301924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  301943 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  301943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  301946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  301948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  301950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  301952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  301957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  301960 */     GIR_RootConstrainSelectedInstOperands,
     /*  301961 */     // GIR_Coverage, 9563,
     /*  301961 */     GIR_EraseRootFromParent_Done,
     /*  301962 */   // Label 5621: @301962
     /*  301962 */   GIM_Try, /*On fail goto*//*Label 5622*/ GIMT_Encode4(302025), // Rule ID 9566 //
     /*  301967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  301970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  301975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  301978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  301981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  301984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  301987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  301999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302006 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  302009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302023 */     GIR_RootConstrainSelectedInstOperands,
     /*  302024 */     // GIR_Coverage, 9566,
     /*  302024 */     GIR_EraseRootFromParent_Done,
     /*  302025 */   // Label 5622: @302025
     /*  302025 */   GIM_Try, /*On fail goto*//*Label 5623*/ GIMT_Encode4(302088), // Rule ID 9567 //
     /*  302030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  302044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  302047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302069 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /*  302072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302086 */     GIR_RootConstrainSelectedInstOperands,
     /*  302087 */     // GIR_Coverage, 9567,
     /*  302087 */     GIR_EraseRootFromParent_Done,
     /*  302088 */   // Label 5623: @302088
     /*  302088 */   GIM_Try, /*On fail goto*//*Label 5624*/ GIMT_Encode4(302151), // Rule ID 9570 //
     /*  302093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302132 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  302135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302149 */     GIR_RootConstrainSelectedInstOperands,
     /*  302150 */     // GIR_Coverage, 9570,
     /*  302150 */     GIR_EraseRootFromParent_Done,
     /*  302151 */   // Label 5624: @302151
     /*  302151 */   GIM_Try, /*On fail goto*//*Label 5625*/ GIMT_Encode4(302214), // Rule ID 9571 //
     /*  302156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  302170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  302173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302195 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  302198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302212 */     GIR_RootConstrainSelectedInstOperands,
     /*  302213 */     // GIR_Coverage, 9571,
     /*  302213 */     GIR_EraseRootFromParent_Done,
     /*  302214 */   // Label 5625: @302214
     /*  302214 */   GIM_Try, /*On fail goto*//*Label 5626*/ GIMT_Encode4(302277), // Rule ID 9574 //
     /*  302219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  302261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302275 */     GIR_RootConstrainSelectedInstOperands,
     /*  302276 */     // GIR_Coverage, 9574,
     /*  302276 */     GIR_EraseRootFromParent_Done,
     /*  302277 */   // Label 5626: @302277
     /*  302277 */   GIM_Try, /*On fail goto*//*Label 5627*/ GIMT_Encode4(302340), // Rule ID 9575 //
     /*  302282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  302296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  302299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302321 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /*  302324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302338 */     GIR_RootConstrainSelectedInstOperands,
     /*  302339 */     // GIR_Coverage, 9575,
     /*  302339 */     GIR_EraseRootFromParent_Done,
     /*  302340 */   // Label 5627: @302340
     /*  302340 */   GIM_Try, /*On fail goto*//*Label 5628*/ GIMT_Encode4(302403), // Rule ID 9578 //
     /*  302345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  302359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  302362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302384 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302401 */     GIR_RootConstrainSelectedInstOperands,
     /*  302402 */     // GIR_Coverage, 9578,
     /*  302402 */     GIR_EraseRootFromParent_Done,
     /*  302403 */   // Label 5628: @302403
     /*  302403 */   GIM_Try, /*On fail goto*//*Label 5629*/ GIMT_Encode4(302466), // Rule ID 9579 //
     /*  302408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  302419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  302422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  302425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302447 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302464 */     GIR_RootConstrainSelectedInstOperands,
     /*  302465 */     // GIR_Coverage, 9579,
     /*  302465 */     GIR_EraseRootFromParent_Done,
     /*  302466 */   // Label 5629: @302466
     /*  302466 */   GIM_Try, /*On fail goto*//*Label 5630*/ GIMT_Encode4(302529), // Rule ID 9582 //
     /*  302471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302510 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  302510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302527 */     GIR_RootConstrainSelectedInstOperands,
     /*  302528 */     // GIR_Coverage, 9582,
     /*  302528 */     GIR_EraseRootFromParent_Done,
     /*  302529 */   // Label 5630: @302529
     /*  302529 */   GIM_Try, /*On fail goto*//*Label 5631*/ GIMT_Encode4(302592), // Rule ID 9583 //
     /*  302534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  302545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  302548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  302551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302573 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  302573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  302590 */     GIR_RootConstrainSelectedInstOperands,
     /*  302591 */     // GIR_Coverage, 9583,
     /*  302591 */     GIR_EraseRootFromParent_Done,
     /*  302592 */   // Label 5631: @302592
     /*  302592 */   GIM_Try, /*On fail goto*//*Label 5632*/ GIMT_Encode4(302655), // Rule ID 9586 //
     /*  302597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302636 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  302636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302653 */     GIR_RootConstrainSelectedInstOperands,
     /*  302654 */     // GIR_Coverage, 9586,
     /*  302654 */     GIR_EraseRootFromParent_Done,
     /*  302655 */   // Label 5632: @302655
     /*  302655 */   GIM_Try, /*On fail goto*//*Label 5633*/ GIMT_Encode4(302718), // Rule ID 9587 //
     /*  302660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  302671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  302674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  302677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302699 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  302699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  302716 */     GIR_RootConstrainSelectedInstOperands,
     /*  302717 */     // GIR_Coverage, 9587,
     /*  302717 */     GIR_EraseRootFromParent_Done,
     /*  302718 */   // Label 5633: @302718
     /*  302718 */   GIM_Try, /*On fail goto*//*Label 5634*/ GIMT_Encode4(302781), // Rule ID 9590 //
     /*  302723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  302726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  302737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  302740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302762 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  302762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302779 */     GIR_RootConstrainSelectedInstOperands,
     /*  302780 */     // GIR_Coverage, 9590,
     /*  302780 */     GIR_EraseRootFromParent_Done,
     /*  302781 */   // Label 5634: @302781
     /*  302781 */   GIM_Try, /*On fail goto*//*Label 5635*/ GIMT_Encode4(302844), // Rule ID 9591 //
     /*  302786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  302789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  302797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  302800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  302803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302825 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11453:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  302825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /*  302828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  302842 */     GIR_RootConstrainSelectedInstOperands,
     /*  302843 */     // GIR_Coverage, 9591,
     /*  302843 */     GIR_EraseRootFromParent_Done,
     /*  302844 */   // Label 5635: @302844
     /*  302844 */   GIM_Try, /*On fail goto*//*Label 5636*/ GIMT_Encode4(302907), // Rule ID 9594 //
     /*  302849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302888 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  302888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302905 */     GIR_RootConstrainSelectedInstOperands,
     /*  302906 */     // GIR_Coverage, 9594,
     /*  302906 */     GIR_EraseRootFromParent_Done,
     /*  302907 */   // Label 5636: @302907
     /*  302907 */   GIM_Try, /*On fail goto*//*Label 5637*/ GIMT_Encode4(302970), // Rule ID 9595 //
     /*  302912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  302915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  302923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  302926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  302929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  302932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  302944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  302951 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  302951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  302954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  302956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  302958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  302960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  302965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  302968 */     GIR_RootConstrainSelectedInstOperands,
     /*  302969 */     // GIR_Coverage, 9595,
     /*  302969 */     GIR_EraseRootFromParent_Done,
     /*  302970 */   // Label 5637: @302970
     /*  302970 */   GIM_Try, /*On fail goto*//*Label 5638*/ GIMT_Encode4(303033), // Rule ID 9598 //
     /*  302975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  302978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  302983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  302986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  302989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  302992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  302995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  302999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303014 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303031 */     GIR_RootConstrainSelectedInstOperands,
     /*  303032 */     // GIR_Coverage, 9598,
     /*  303032 */     GIR_EraseRootFromParent_Done,
     /*  303033 */   // Label 5638: @303033
     /*  303033 */   GIM_Try, /*On fail goto*//*Label 5639*/ GIMT_Encode4(303096), // Rule ID 9599 //
     /*  303038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  303052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  303055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303077 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303094 */     GIR_RootConstrainSelectedInstOperands,
     /*  303095 */     // GIR_Coverage, 9599,
     /*  303095 */     GIR_EraseRootFromParent_Done,
     /*  303096 */   // Label 5639: @303096
     /*  303096 */   GIM_Try, /*On fail goto*//*Label 5640*/ GIMT_Encode4(303159), // Rule ID 9602 //
     /*  303101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303140 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  303140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303157 */     GIR_RootConstrainSelectedInstOperands,
     /*  303158 */     // GIR_Coverage, 9602,
     /*  303158 */     GIR_EraseRootFromParent_Done,
     /*  303159 */   // Label 5640: @303159
     /*  303159 */   GIM_Try, /*On fail goto*//*Label 5641*/ GIMT_Encode4(303222), // Rule ID 9603 //
     /*  303164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  303175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  303178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  303181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303203 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  303203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  303220 */     GIR_RootConstrainSelectedInstOperands,
     /*  303221 */     // GIR_Coverage, 9603,
     /*  303221 */     GIR_EraseRootFromParent_Done,
     /*  303222 */   // Label 5641: @303222
     /*  303222 */   GIM_Try, /*On fail goto*//*Label 5642*/ GIMT_Encode4(303285), // Rule ID 9606 //
     /*  303227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303283 */     GIR_RootConstrainSelectedInstOperands,
     /*  303284 */     // GIR_Coverage, 9606,
     /*  303284 */     GIR_EraseRootFromParent_Done,
     /*  303285 */   // Label 5642: @303285
     /*  303285 */   GIM_Try, /*On fail goto*//*Label 5643*/ GIMT_Encode4(303348), // Rule ID 9607 //
     /*  303290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  303304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  303307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303329 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303346 */     GIR_RootConstrainSelectedInstOperands,
     /*  303347 */     // GIR_Coverage, 9607,
     /*  303347 */     GIR_EraseRootFromParent_Done,
     /*  303348 */   // Label 5643: @303348
     /*  303348 */   GIM_Try, /*On fail goto*//*Label 5644*/ GIMT_Encode4(303411), // Rule ID 9610 //
     /*  303353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  303367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  303370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303392 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303409 */     GIR_RootConstrainSelectedInstOperands,
     /*  303410 */     // GIR_Coverage, 9610,
     /*  303410 */     GIR_EraseRootFromParent_Done,
     /*  303411 */   // Label 5644: @303411
     /*  303411 */   GIM_Try, /*On fail goto*//*Label 5645*/ GIMT_Encode4(303474), // Rule ID 9611 //
     /*  303416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  303430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  303433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303455 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303472 */     GIR_RootConstrainSelectedInstOperands,
     /*  303473 */     // GIR_Coverage, 9611,
     /*  303473 */     GIR_EraseRootFromParent_Done,
     /*  303474 */   // Label 5645: @303474
     /*  303474 */   GIM_Try, /*On fail goto*//*Label 5646*/ GIMT_Encode4(303537), // Rule ID 9614 //
     /*  303479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  303518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303535 */     GIR_RootConstrainSelectedInstOperands,
     /*  303536 */     // GIR_Coverage, 9614,
     /*  303536 */     GIR_EraseRootFromParent_Done,
     /*  303537 */   // Label 5646: @303537
     /*  303537 */   GIM_Try, /*On fail goto*//*Label 5647*/ GIMT_Encode4(303600), // Rule ID 9615 //
     /*  303542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  303553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  303556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  303559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303581 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  303581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  303598 */     GIR_RootConstrainSelectedInstOperands,
     /*  303599 */     // GIR_Coverage, 9615,
     /*  303599 */     GIR_EraseRootFromParent_Done,
     /*  303600 */   // Label 5647: @303600
     /*  303600 */   GIM_Try, /*On fail goto*//*Label 5648*/ GIMT_Encode4(303663), // Rule ID 9618 //
     /*  303605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303644 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303661 */     GIR_RootConstrainSelectedInstOperands,
     /*  303662 */     // GIR_Coverage, 9618,
     /*  303662 */     GIR_EraseRootFromParent_Done,
     /*  303663 */   // Label 5648: @303663
     /*  303663 */   GIM_Try, /*On fail goto*//*Label 5649*/ GIMT_Encode4(303726), // Rule ID 9619 //
     /*  303668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  303679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  303682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  303685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  303700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303707 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  303710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303724 */     GIR_RootConstrainSelectedInstOperands,
     /*  303725 */     // GIR_Coverage, 9619,
     /*  303725 */     GIR_EraseRootFromParent_Done,
     /*  303726 */   // Label 5649: @303726
     /*  303726 */   GIM_Try, /*On fail goto*//*Label 5650*/ GIMT_Encode4(303789), // Rule ID 9622 //
     /*  303731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  303745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  303748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303770 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303787 */     GIR_RootConstrainSelectedInstOperands,
     /*  303788 */     // GIR_Coverage, 9622,
     /*  303788 */     GIR_EraseRootFromParent_Done,
     /*  303789 */   // Label 5650: @303789
     /*  303789 */   GIM_Try, /*On fail goto*//*Label 5651*/ GIMT_Encode4(303852), // Rule ID 9623 //
     /*  303794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  303805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  303808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  303811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  303826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303833 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  303836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303850 */     GIR_RootConstrainSelectedInstOperands,
     /*  303851 */     // GIR_Coverage, 9623,
     /*  303851 */     GIR_EraseRootFromParent_Done,
     /*  303852 */   // Label 5651: @303852
     /*  303852 */   GIM_Try, /*On fail goto*//*Label 5652*/ GIMT_Encode4(303915), // Rule ID 9626 //
     /*  303857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  303860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  303877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303896 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  303896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303913 */     GIR_RootConstrainSelectedInstOperands,
     /*  303914 */     // GIR_Coverage, 9626,
     /*  303914 */     GIR_EraseRootFromParent_Done,
     /*  303915 */   // Label 5652: @303915
     /*  303915 */   GIM_Try, /*On fail goto*//*Label 5653*/ GIMT_Encode4(303978), // Rule ID 9627 //
     /*  303920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  303923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  303931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  303934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  303937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  303940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  303944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  303952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  303959 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  303959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  303962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  303964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  303966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  303968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  303973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  303976 */     GIR_RootConstrainSelectedInstOperands,
     /*  303977 */     // GIR_Coverage, 9627,
     /*  303977 */     GIR_EraseRootFromParent_Done,
     /*  303978 */   // Label 5653: @303978
     /*  303978 */   GIM_Try, /*On fail goto*//*Label 5654*/ GIMT_Encode4(304041), // Rule ID 9630 //
     /*  303983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  303986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  303991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  303994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  303997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304022 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  304025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304039 */     GIR_RootConstrainSelectedInstOperands,
     /*  304040 */     // GIR_Coverage, 9630,
     /*  304040 */     GIR_EraseRootFromParent_Done,
     /*  304041 */   // Label 5654: @304041
     /*  304041 */   GIM_Try, /*On fail goto*//*Label 5655*/ GIMT_Encode4(304104), // Rule ID 9631 //
     /*  304046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  304054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  304060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  304063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  304078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304085 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11453:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /*  304088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304102 */     GIR_RootConstrainSelectedInstOperands,
     /*  304103 */     // GIR_Coverage, 9631,
     /*  304103 */     GIR_EraseRootFromParent_Done,
     /*  304104 */   // Label 5655: @304104
     /*  304104 */   GIM_Try, /*On fail goto*//*Label 5656*/ GIMT_Encode4(304167), // Rule ID 9634 //
     /*  304109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  304117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304148 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  304151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304165 */     GIR_RootConstrainSelectedInstOperands,
     /*  304166 */     // GIR_Coverage, 9634,
     /*  304166 */     GIR_EraseRootFromParent_Done,
     /*  304167 */   // Label 5656: @304167
     /*  304167 */   GIM_Try, /*On fail goto*//*Label 5657*/ GIMT_Encode4(304230), // Rule ID 9635 //
     /*  304172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  304180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  304186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  304189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  304204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304211 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11453:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /*  304214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304228 */     GIR_RootConstrainSelectedInstOperands,
     /*  304229 */     // GIR_Coverage, 9635,
     /*  304229 */     GIR_EraseRootFromParent_Done,
     /*  304230 */   // Label 5657: @304230
     /*  304230 */   GIM_Try, /*On fail goto*//*Label 5658*/ GIMT_Encode4(304293), // Rule ID 9638 //
     /*  304235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  304238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  304243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  304274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  304277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304291 */     GIR_RootConstrainSelectedInstOperands,
     /*  304292 */     // GIR_Coverage, 9638,
     /*  304292 */     GIR_EraseRootFromParent_Done,
     /*  304293 */   // Label 5658: @304293
     /*  304293 */   GIM_Try, /*On fail goto*//*Label 5659*/ GIMT_Encode4(304356), // Rule ID 9639 //
     /*  304298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  304301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu),
     /*  304306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  304309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  304312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  304315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  304330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304337 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11453:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  304337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /*  304340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  304354 */     GIR_RootConstrainSelectedInstOperands,
     /*  304355 */     // GIR_Coverage, 9639,
     /*  304355 */     GIR_EraseRootFromParent_Done,
     /*  304356 */   // Label 5659: @304356
     /*  304356 */   GIM_Try, /*On fail goto*//*Label 5660*/ GIMT_Encode4(304419), // Rule ID 9642 //
     /*  304361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  304375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  304378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304400 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  304403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304417 */     GIR_RootConstrainSelectedInstOperands,
     /*  304418 */     // GIR_Coverage, 9642,
     /*  304418 */     GIR_EraseRootFromParent_Done,
     /*  304419 */   // Label 5660: @304419
     /*  304419 */   GIM_Try, /*On fail goto*//*Label 5661*/ GIMT_Encode4(304482), // Rule ID 9643 //
     /*  304424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  304438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  304441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304463 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /*  304466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304480 */     GIR_RootConstrainSelectedInstOperands,
     /*  304481 */     // GIR_Coverage, 9643,
     /*  304481 */     GIR_EraseRootFromParent_Done,
     /*  304482 */   // Label 5661: @304482
     /*  304482 */   GIM_Try, /*On fail goto*//*Label 5662*/ GIMT_Encode4(304545), // Rule ID 9646 //
     /*  304487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  304501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  304504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304526 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304543 */     GIR_RootConstrainSelectedInstOperands,
     /*  304544 */     // GIR_Coverage, 9646,
     /*  304544 */     GIR_EraseRootFromParent_Done,
     /*  304545 */   // Label 5662: @304545
     /*  304545 */   GIM_Try, /*On fail goto*//*Label 5663*/ GIMT_Encode4(304608), // Rule ID 9647 //
     /*  304550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  304564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  304567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304589 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304606 */     GIR_RootConstrainSelectedInstOperands,
     /*  304607 */     // GIR_Coverage, 9647,
     /*  304607 */     GIR_EraseRootFromParent_Done,
     /*  304608 */   // Label 5663: @304608
     /*  304608 */   GIM_Try, /*On fail goto*//*Label 5664*/ GIMT_Encode4(304671), // Rule ID 9650 //
     /*  304613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  304627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  304630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  304652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304669 */     GIR_RootConstrainSelectedInstOperands,
     /*  304670 */     // GIR_Coverage, 9650,
     /*  304670 */     GIR_EraseRootFromParent_Done,
     /*  304671 */   // Label 5664: @304671
     /*  304671 */   GIM_Try, /*On fail goto*//*Label 5665*/ GIMT_Encode4(304734), // Rule ID 9651 //
     /*  304676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  304687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  304690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  304693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304715 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  304715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  304732 */     GIR_RootConstrainSelectedInstOperands,
     /*  304733 */     // GIR_Coverage, 9651,
     /*  304733 */     GIR_EraseRootFromParent_Done,
     /*  304734 */   // Label 5665: @304734
     /*  304734 */   GIM_Try, /*On fail goto*//*Label 5666*/ GIMT_Encode4(304797), // Rule ID 9654 //
     /*  304739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  304753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  304756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304795 */     GIR_RootConstrainSelectedInstOperands,
     /*  304796 */     // GIR_Coverage, 9654,
     /*  304796 */     GIR_EraseRootFromParent_Done,
     /*  304797 */   // Label 5666: @304797
     /*  304797 */   GIM_Try, /*On fail goto*//*Label 5667*/ GIMT_Encode4(304860), // Rule ID 9655 //
     /*  304802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  304813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  304816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  304819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304841 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /*  304844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304858 */     GIR_RootConstrainSelectedInstOperands,
     /*  304859 */     // GIR_Coverage, 9655,
     /*  304859 */     GIR_EraseRootFromParent_Done,
     /*  304860 */   // Label 5667: @304860
     /*  304860 */   GIM_Try, /*On fail goto*//*Label 5668*/ GIMT_Encode4(304923), // Rule ID 9658 //
     /*  304865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  304885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304904 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  304904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304921 */     GIR_RootConstrainSelectedInstOperands,
     /*  304922 */     // GIR_Coverage, 9658,
     /*  304922 */     GIR_EraseRootFromParent_Done,
     /*  304923 */   // Label 5668: @304923
     /*  304923 */   GIM_Try, /*On fail goto*//*Label 5669*/ GIMT_Encode4(304986), // Rule ID 9659 //
     /*  304928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  304931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  304939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  304942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  304945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  304948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  304960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  304967 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  304967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  304970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  304972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  304974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  304976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  304981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  304984 */     GIR_RootConstrainSelectedInstOperands,
     /*  304985 */     // GIR_Coverage, 9659,
     /*  304985 */     GIR_EraseRootFromParent_Done,
     /*  304986 */   // Label 5669: @304986
     /*  304986 */   GIM_Try, /*On fail goto*//*Label 5670*/ GIMT_Encode4(305049), // Rule ID 9662 //
     /*  304991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  304994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  304999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305030 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  305033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305047 */     GIR_RootConstrainSelectedInstOperands,
     /*  305048 */     // GIR_Coverage, 9662,
     /*  305048 */     GIR_EraseRootFromParent_Done,
     /*  305049 */   // Label 5670: @305049
     /*  305049 */   GIM_Try, /*On fail goto*//*Label 5671*/ GIMT_Encode4(305112), // Rule ID 9663 //
     /*  305054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  305068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  305071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305093 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /*  305096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305110 */     GIR_RootConstrainSelectedInstOperands,
     /*  305111 */     // GIR_Coverage, 9663,
     /*  305111 */     GIR_EraseRootFromParent_Done,
     /*  305112 */   // Label 5671: @305112
     /*  305112 */   GIM_Try, /*On fail goto*//*Label 5672*/ GIMT_Encode4(305175), // Rule ID 9666 //
     /*  305117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305156 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305173 */     GIR_RootConstrainSelectedInstOperands,
     /*  305174 */     // GIR_Coverage, 9666,
     /*  305174 */     GIR_EraseRootFromParent_Done,
     /*  305175 */   // Label 5672: @305175
     /*  305175 */   GIM_Try, /*On fail goto*//*Label 5673*/ GIMT_Encode4(305238), // Rule ID 9667 //
     /*  305180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  305191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  305194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  305197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305219 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305236 */     GIR_RootConstrainSelectedInstOperands,
     /*  305237 */     // GIR_Coverage, 9667,
     /*  305237 */     GIR_EraseRootFromParent_Done,
     /*  305238 */   // Label 5673: @305238
     /*  305238 */   GIM_Try, /*On fail goto*//*Label 5674*/ GIMT_Encode4(305301), // Rule ID 9670 //
     /*  305243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  305257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  305260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305282 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  305282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305299 */     GIR_RootConstrainSelectedInstOperands,
     /*  305300 */     // GIR_Coverage, 9670,
     /*  305300 */     GIR_EraseRootFromParent_Done,
     /*  305301 */   // Label 5674: @305301
     /*  305301 */   GIM_Try, /*On fail goto*//*Label 5675*/ GIMT_Encode4(305364), // Rule ID 9671 //
     /*  305306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  305317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  305320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  305323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305345 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  305345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  305362 */     GIR_RootConstrainSelectedInstOperands,
     /*  305363 */     // GIR_Coverage, 9671,
     /*  305363 */     GIR_EraseRootFromParent_Done,
     /*  305364 */   // Label 5675: @305364
     /*  305364 */   GIM_Try, /*On fail goto*//*Label 5676*/ GIMT_Encode4(305427), // Rule ID 9674 //
     /*  305369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  305383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  305386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305408 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  305408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305425 */     GIR_RootConstrainSelectedInstOperands,
     /*  305426 */     // GIR_Coverage, 9674,
     /*  305426 */     GIR_EraseRootFromParent_Done,
     /*  305427 */   // Label 5676: @305427
     /*  305427 */   GIM_Try, /*On fail goto*//*Label 5677*/ GIMT_Encode4(305490), // Rule ID 9675 //
     /*  305432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  305443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  305446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  305449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305471 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  305471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  305488 */     GIR_RootConstrainSelectedInstOperands,
     /*  305489 */     // GIR_Coverage, 9675,
     /*  305489 */     GIR_EraseRootFromParent_Done,
     /*  305490 */   // Label 5677: @305490
     /*  305490 */   GIM_Try, /*On fail goto*//*Label 5678*/ GIMT_Encode4(305553), // Rule ID 9678 //
     /*  305495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  305498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  305534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305551 */     GIR_RootConstrainSelectedInstOperands,
     /*  305552 */     // GIR_Coverage, 9678,
     /*  305552 */     GIR_EraseRootFromParent_Done,
     /*  305553 */   // Label 5678: @305553
     /*  305553 */   GIM_Try, /*On fail goto*//*Label 5679*/ GIMT_Encode4(305616), // Rule ID 9679 //
     /*  305558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  305561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  305569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  305572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  305575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305597 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11451:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  305597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /*  305600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  305614 */     GIR_RootConstrainSelectedInstOperands,
     /*  305615 */     // GIR_Coverage, 9679,
     /*  305615 */     GIR_EraseRootFromParent_Done,
     /*  305616 */   // Label 5679: @305616
     /*  305616 */   GIM_Try, /*On fail goto*//*Label 5680*/ GIMT_Encode4(305679), // Rule ID 9682 //
     /*  305621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  305635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  305638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305660 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305677 */     GIR_RootConstrainSelectedInstOperands,
     /*  305678 */     // GIR_Coverage, 9682,
     /*  305678 */     GIR_EraseRootFromParent_Done,
     /*  305679 */   // Label 5680: @305679
     /*  305679 */   GIM_Try, /*On fail goto*//*Label 5681*/ GIMT_Encode4(305742), // Rule ID 9683 //
     /*  305684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  305695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  305698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  305701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  305716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305723 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  305726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305740 */     GIR_RootConstrainSelectedInstOperands,
     /*  305741 */     // GIR_Coverage, 9683,
     /*  305741 */     GIR_EraseRootFromParent_Done,
     /*  305742 */   // Label 5681: @305742
     /*  305742 */   GIM_Try, /*On fail goto*//*Label 5682*/ GIMT_Encode4(305805), // Rule ID 9686 //
     /*  305747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  305761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  305764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305786 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305803 */     GIR_RootConstrainSelectedInstOperands,
     /*  305804 */     // GIR_Coverage, 9686,
     /*  305804 */     GIR_EraseRootFromParent_Done,
     /*  305805 */   // Label 5682: @305805
     /*  305805 */   GIM_Try, /*On fail goto*//*Label 5683*/ GIMT_Encode4(305868), // Rule ID 9687 //
     /*  305810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  305821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  305824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  305827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  305842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305849 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  305852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305866 */     GIR_RootConstrainSelectedInstOperands,
     /*  305867 */     // GIR_Coverage, 9687,
     /*  305867 */     GIR_EraseRootFromParent_Done,
     /*  305868 */   // Label 5683: @305868
     /*  305868 */   GIM_Try, /*On fail goto*//*Label 5684*/ GIMT_Encode4(305931), // Rule ID 9690 //
     /*  305873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  305876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  305884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  305893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305912 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  305912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305929 */     GIR_RootConstrainSelectedInstOperands,
     /*  305930 */     // GIR_Coverage, 9690,
     /*  305930 */     GIR_EraseRootFromParent_Done,
     /*  305931 */   // Label 5684: @305931
     /*  305931 */   GIM_Try, /*On fail goto*//*Label 5685*/ GIMT_Encode4(305994), // Rule ID 9691 //
     /*  305936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  305939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  305944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  305947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  305950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  305953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  305956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  305960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  305968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  305975 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  305975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  305978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  305980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  305982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  305984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  305989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  305992 */     GIR_RootConstrainSelectedInstOperands,
     /*  305993 */     // GIR_Coverage, 9691,
     /*  305993 */     GIR_EraseRootFromParent_Done,
     /*  305994 */   // Label 5685: @305994
     /*  305994 */   GIM_Try, /*On fail goto*//*Label 5686*/ GIMT_Encode4(306057), // Rule ID 9694 //
     /*  305999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306055 */     GIR_RootConstrainSelectedInstOperands,
     /*  306056 */     // GIR_Coverage, 9694,
     /*  306056 */     GIR_EraseRootFromParent_Done,
     /*  306057 */   // Label 5686: @306057
     /*  306057 */   GIM_Try, /*On fail goto*//*Label 5687*/ GIMT_Encode4(306120), // Rule ID 9695 //
     /*  306062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  306076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  306079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306101 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306118 */     GIR_RootConstrainSelectedInstOperands,
     /*  306119 */     // GIR_Coverage, 9695,
     /*  306119 */     GIR_EraseRootFromParent_Done,
     /*  306120 */   // Label 5687: @306120
     /*  306120 */   GIM_Try, /*On fail goto*//*Label 5688*/ GIMT_Encode4(306183), // Rule ID 9698 //
     /*  306125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306181 */     GIR_RootConstrainSelectedInstOperands,
     /*  306182 */     // GIR_Coverage, 9698,
     /*  306182 */     GIR_EraseRootFromParent_Done,
     /*  306183 */   // Label 5688: @306183
     /*  306183 */   GIM_Try, /*On fail goto*//*Label 5689*/ GIMT_Encode4(306246), // Rule ID 9699 //
     /*  306188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  306202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  306205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306227 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306244 */     GIR_RootConstrainSelectedInstOperands,
     /*  306245 */     // GIR_Coverage, 9699,
     /*  306245 */     GIR_EraseRootFromParent_Done,
     /*  306246 */   // Label 5689: @306246
     /*  306246 */   GIM_Try, /*On fail goto*//*Label 5690*/ GIMT_Encode4(306309), // Rule ID 9702 //
     /*  306251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  306265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  306268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306290 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  306290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306307 */     GIR_RootConstrainSelectedInstOperands,
     /*  306308 */     // GIR_Coverage, 9702,
     /*  306308 */     GIR_EraseRootFromParent_Done,
     /*  306309 */   // Label 5690: @306309
     /*  306309 */   GIM_Try, /*On fail goto*//*Label 5691*/ GIMT_Encode4(306372), // Rule ID 9703 //
     /*  306314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  306325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  306328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  306331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306353 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  306353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  306370 */     GIR_RootConstrainSelectedInstOperands,
     /*  306371 */     // GIR_Coverage, 9703,
     /*  306371 */     GIR_EraseRootFromParent_Done,
     /*  306372 */   // Label 5691: @306372
     /*  306372 */   GIM_Try, /*On fail goto*//*Label 5692*/ GIMT_Encode4(306435), // Rule ID 9706 //
     /*  306377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  306391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  306394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306416 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306433 */     GIR_RootConstrainSelectedInstOperands,
     /*  306434 */     // GIR_Coverage, 9706,
     /*  306434 */     GIR_EraseRootFromParent_Done,
     /*  306435 */   // Label 5692: @306435
     /*  306435 */   GIM_Try, /*On fail goto*//*Label 5693*/ GIMT_Encode4(306498), // Rule ID 9707 //
     /*  306440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  306454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  306457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306479 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306496 */     GIR_RootConstrainSelectedInstOperands,
     /*  306497 */     // GIR_Coverage, 9707,
     /*  306497 */     GIR_EraseRootFromParent_Done,
     /*  306498 */   // Label 5693: @306498
     /*  306498 */   GIM_Try, /*On fail goto*//*Label 5694*/ GIMT_Encode4(306561), // Rule ID 9710 //
     /*  306503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  306517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  306520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306559 */     GIR_RootConstrainSelectedInstOperands,
     /*  306560 */     // GIR_Coverage, 9710,
     /*  306560 */     GIR_EraseRootFromParent_Done,
     /*  306561 */   // Label 5694: @306561
     /*  306561 */   GIM_Try, /*On fail goto*//*Label 5695*/ GIMT_Encode4(306624), // Rule ID 9711 //
     /*  306566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  306577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  306580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  306583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306605 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306622 */     GIR_RootConstrainSelectedInstOperands,
     /*  306623 */     // GIR_Coverage, 9711,
     /*  306623 */     GIR_EraseRootFromParent_Done,
     /*  306624 */   // Label 5695: @306624
     /*  306624 */   GIM_Try, /*On fail goto*//*Label 5696*/ GIMT_Encode4(306687), // Rule ID 9714 //
     /*  306629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  306632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  306668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306685 */     GIR_RootConstrainSelectedInstOperands,
     /*  306686 */     // GIR_Coverage, 9714,
     /*  306686 */     GIR_EraseRootFromParent_Done,
     /*  306687 */   // Label 5696: @306687
     /*  306687 */   GIM_Try, /*On fail goto*//*Label 5697*/ GIMT_Encode4(306750), // Rule ID 9715 //
     /*  306692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  306695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  306703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  306706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  306709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  306724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306731 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  306731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  306734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  306748 */     GIR_RootConstrainSelectedInstOperands,
     /*  306749 */     // GIR_Coverage, 9715,
     /*  306749 */     GIR_EraseRootFromParent_Done,
     /*  306750 */   // Label 5697: @306750
     /*  306750 */   GIM_Try, /*On fail goto*//*Label 5698*/ GIMT_Encode4(306813), // Rule ID 9718 //
     /*  306755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306811 */     GIR_RootConstrainSelectedInstOperands,
     /*  306812 */     // GIR_Coverage, 9718,
     /*  306812 */     GIR_EraseRootFromParent_Done,
     /*  306813 */   // Label 5698: @306813
     /*  306813 */   GIM_Try, /*On fail goto*//*Label 5699*/ GIMT_Encode4(306876), // Rule ID 9719 //
     /*  306818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  306829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  306832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  306835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  306850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306857 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11451:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /*  306860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306874 */     GIR_RootConstrainSelectedInstOperands,
     /*  306875 */     // GIR_Coverage, 9719,
     /*  306875 */     GIR_EraseRootFromParent_Done,
     /*  306876 */   // Label 5699: @306876
     /*  306876 */   GIM_Try, /*On fail goto*//*Label 5700*/ GIMT_Encode4(306939), // Rule ID 9722 //
     /*  306881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  306884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  306901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306920 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  306920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  306937 */     GIR_RootConstrainSelectedInstOperands,
     /*  306938 */     // GIR_Coverage, 9722,
     /*  306938 */     GIR_EraseRootFromParent_Done,
     /*  306939 */   // Label 5700: @306939
     /*  306939 */   GIM_Try, /*On fail goto*//*Label 5701*/ GIMT_Encode4(307002), // Rule ID 9723 //
     /*  306944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  306947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  306952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  306955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  306958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  306961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  306964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  306968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  306976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  306983 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11451:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  306983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /*  306986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  306988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  306990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  306992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  306997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307000 */     GIR_RootConstrainSelectedInstOperands,
     /*  307001 */     // GIR_Coverage, 9723,
     /*  307001 */     GIR_EraseRootFromParent_Done,
     /*  307002 */   // Label 5701: @307002
     /*  307002 */   GIM_Try, /*On fail goto*//*Label 5702*/ GIMT_Encode4(307065), // Rule ID 9726 //
     /*  307007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  307010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  307015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307046 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  307046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  307049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307063 */     GIR_RootConstrainSelectedInstOperands,
     /*  307064 */     // GIR_Coverage, 9726,
     /*  307064 */     GIR_EraseRootFromParent_Done,
     /*  307065 */   // Label 5702: @307065
     /*  307065 */   GIM_Try, /*On fail goto*//*Label 5703*/ GIMT_Encode4(307128), // Rule ID 9727 //
     /*  307070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  307073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt),
     /*  307078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  307084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  307087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  307102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307109 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11451:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  307109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /*  307112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  307126 */     GIR_RootConstrainSelectedInstOperands,
     /*  307127 */     // GIR_Coverage, 9727,
     /*  307127 */     GIR_EraseRootFromParent_Done,
     /*  307128 */   // Label 5703: @307128
     /*  307128 */   GIM_Try, /*On fail goto*//*Label 5704*/ GIMT_Encode4(307191), // Rule ID 9730 //
     /*  307133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307172 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  307175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307189 */     GIR_RootConstrainSelectedInstOperands,
     /*  307190 */     // GIR_Coverage, 9730,
     /*  307190 */     GIR_EraseRootFromParent_Done,
     /*  307191 */   // Label 5704: @307191
     /*  307191 */   GIM_Try, /*On fail goto*//*Label 5705*/ GIMT_Encode4(307254), // Rule ID 9731 //
     /*  307196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  307210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  307213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307235 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /*  307238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307252 */     GIR_RootConstrainSelectedInstOperands,
     /*  307253 */     // GIR_Coverage, 9731,
     /*  307253 */     GIR_EraseRootFromParent_Done,
     /*  307254 */   // Label 5705: @307254
     /*  307254 */   GIM_Try, /*On fail goto*//*Label 5706*/ GIMT_Encode4(307317), // Rule ID 9734 //
     /*  307259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  307273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  307276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307298 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  307301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307315 */     GIR_RootConstrainSelectedInstOperands,
     /*  307316 */     // GIR_Coverage, 9734,
     /*  307316 */     GIR_EraseRootFromParent_Done,
     /*  307317 */   // Label 5706: @307317
     /*  307317 */   GIM_Try, /*On fail goto*//*Label 5707*/ GIMT_Encode4(307380), // Rule ID 9735 //
     /*  307322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  307336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  307339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307361 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  307364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307378 */     GIR_RootConstrainSelectedInstOperands,
     /*  307379 */     // GIR_Coverage, 9735,
     /*  307379 */     GIR_EraseRootFromParent_Done,
     /*  307380 */   // Label 5707: @307380
     /*  307380 */   GIM_Try, /*On fail goto*//*Label 5708*/ GIMT_Encode4(307443), // Rule ID 9738 //
     /*  307385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  307399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  307402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307424 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307441 */     GIR_RootConstrainSelectedInstOperands,
     /*  307442 */     // GIR_Coverage, 9738,
     /*  307442 */     GIR_EraseRootFromParent_Done,
     /*  307443 */   // Label 5708: @307443
     /*  307443 */   GIM_Try, /*On fail goto*//*Label 5709*/ GIMT_Encode4(307506), // Rule ID 9739 //
     /*  307448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  307459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  307462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  307465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307487 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307504 */     GIR_RootConstrainSelectedInstOperands,
     /*  307505 */     // GIR_Coverage, 9739,
     /*  307505 */     GIR_EraseRootFromParent_Done,
     /*  307506 */   // Label 5709: @307506
     /*  307506 */   GIM_Try, /*On fail goto*//*Label 5710*/ GIMT_Encode4(307569), // Rule ID 9742 //
     /*  307511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  307525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  307528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307550 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  307553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307567 */     GIR_RootConstrainSelectedInstOperands,
     /*  307568 */     // GIR_Coverage, 9742,
     /*  307568 */     GIR_EraseRootFromParent_Done,
     /*  307569 */   // Label 5710: @307569
     /*  307569 */   GIM_Try, /*On fail goto*//*Label 5711*/ GIMT_Encode4(307632), // Rule ID 9743 //
     /*  307574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  307588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  307591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307613 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /*  307616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307630 */     GIR_RootConstrainSelectedInstOperands,
     /*  307631 */     // GIR_Coverage, 9743,
     /*  307631 */     GIR_EraseRootFromParent_Done,
     /*  307632 */   // Label 5711: @307632
     /*  307632 */   GIM_Try, /*On fail goto*//*Label 5712*/ GIMT_Encode4(307695), // Rule ID 9746 //
     /*  307637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  307651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  307654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  307676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307693 */     GIR_RootConstrainSelectedInstOperands,
     /*  307694 */     // GIR_Coverage, 9746,
     /*  307694 */     GIR_EraseRootFromParent_Done,
     /*  307695 */   // Label 5712: @307695
     /*  307695 */   GIM_Try, /*On fail goto*//*Label 5713*/ GIMT_Encode4(307758), // Rule ID 9747 //
     /*  307700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  307711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  307714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  307717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307739 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  307739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  307756 */     GIR_RootConstrainSelectedInstOperands,
     /*  307757 */     // GIR_Coverage, 9747,
     /*  307757 */     GIR_EraseRootFromParent_Done,
     /*  307758 */   // Label 5713: @307758
     /*  307758 */   GIM_Try, /*On fail goto*//*Label 5714*/ GIMT_Encode4(307821), // Rule ID 9750 //
     /*  307763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  307777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  307780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307802 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  307802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307819 */     GIR_RootConstrainSelectedInstOperands,
     /*  307820 */     // GIR_Coverage, 9750,
     /*  307820 */     GIR_EraseRootFromParent_Done,
     /*  307821 */   // Label 5714: @307821
     /*  307821 */   GIM_Try, /*On fail goto*//*Label 5715*/ GIMT_Encode4(307884), // Rule ID 9751 //
     /*  307826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  307837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  307840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  307843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307865 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  307865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /*  307868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  307882 */     GIR_RootConstrainSelectedInstOperands,
     /*  307883 */     // GIR_Coverage, 9751,
     /*  307883 */     GIR_EraseRootFromParent_Done,
     /*  307884 */   // Label 5715: @307884
     /*  307884 */   GIM_Try, /*On fail goto*//*Label 5716*/ GIMT_Encode4(307947), // Rule ID 9754 //
     /*  307889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  307892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  307903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  307906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  307909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  307928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  307937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  307942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  307945 */     GIR_RootConstrainSelectedInstOperands,
     /*  307946 */     // GIR_Coverage, 9754,
     /*  307946 */     GIR_EraseRootFromParent_Done,
     /*  307947 */   // Label 5716: @307947
     /*  307947 */   GIM_Try, /*On fail goto*//*Label 5717*/ GIMT_Encode4(308010), // Rule ID 9755 //
     /*  307952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  307955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  307960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  307963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  307966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  307969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  307972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  307984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  307991 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  307991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  307994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  307996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  307998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308008 */     GIR_RootConstrainSelectedInstOperands,
     /*  308009 */     // GIR_Coverage, 9755,
     /*  308009 */     GIR_EraseRootFromParent_Done,
     /*  308010 */   // Label 5717: @308010
     /*  308010 */   GIM_Try, /*On fail goto*//*Label 5718*/ GIMT_Encode4(308073), // Rule ID 9758 //
     /*  308015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308054 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  308057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308071 */     GIR_RootConstrainSelectedInstOperands,
     /*  308072 */     // GIR_Coverage, 9758,
     /*  308072 */     GIR_EraseRootFromParent_Done,
     /*  308073 */   // Label 5718: @308073
     /*  308073 */   GIM_Try, /*On fail goto*//*Label 5719*/ GIMT_Encode4(308136), // Rule ID 9759 //
     /*  308078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  308089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  308092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  308095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308117 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  308120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308134 */     GIR_RootConstrainSelectedInstOperands,
     /*  308135 */     // GIR_Coverage, 9759,
     /*  308135 */     GIR_EraseRootFromParent_Done,
     /*  308136 */   // Label 5719: @308136
     /*  308136 */   GIM_Try, /*On fail goto*//*Label 5720*/ GIMT_Encode4(308199), // Rule ID 9762 //
     /*  308141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  308180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  308183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308197 */     GIR_RootConstrainSelectedInstOperands,
     /*  308198 */     // GIR_Coverage, 9762,
     /*  308198 */     GIR_EraseRootFromParent_Done,
     /*  308199 */   // Label 5720: @308199
     /*  308199 */   GIM_Try, /*On fail goto*//*Label 5721*/ GIMT_Encode4(308262), // Rule ID 9763 //
     /*  308204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  308215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  308218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  308221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308243 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  308243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  308246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  308260 */     GIR_RootConstrainSelectedInstOperands,
     /*  308261 */     // GIR_Coverage, 9763,
     /*  308261 */     GIR_EraseRootFromParent_Done,
     /*  308262 */   // Label 5721: @308262
     /*  308262 */   GIM_Try, /*On fail goto*//*Label 5722*/ GIMT_Encode4(308325), // Rule ID 9766 //
     /*  308267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  308270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  308278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  308281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  308284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308306 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  308306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  308309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308323 */     GIR_RootConstrainSelectedInstOperands,
     /*  308324 */     // GIR_Coverage, 9766,
     /*  308324 */     GIR_EraseRootFromParent_Done,
     /*  308325 */   // Label 5722: @308325
     /*  308325 */   GIM_Try, /*On fail goto*//*Label 5723*/ GIMT_Encode4(308388), // Rule ID 9767 //
     /*  308330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  308333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  308341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  308344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  308347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308369 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11449:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  308369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /*  308372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  308386 */     GIR_RootConstrainSelectedInstOperands,
     /*  308387 */     // GIR_Coverage, 9767,
     /*  308387 */     GIR_EraseRootFromParent_Done,
     /*  308388 */   // Label 5723: @308388
     /*  308388 */   GIM_Try, /*On fail goto*//*Label 5724*/ GIMT_Encode4(308451), // Rule ID 9770 //
     /*  308393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  308407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  308410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308432 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  308432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308449 */     GIR_RootConstrainSelectedInstOperands,
     /*  308450 */     // GIR_Coverage, 9770,
     /*  308450 */     GIR_EraseRootFromParent_Done,
     /*  308451 */   // Label 5724: @308451
     /*  308451 */   GIM_Try, /*On fail goto*//*Label 5725*/ GIMT_Encode4(308514), // Rule ID 9771 //
     /*  308456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  308470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  308473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308495 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  308495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308512 */     GIR_RootConstrainSelectedInstOperands,
     /*  308513 */     // GIR_Coverage, 9771,
     /*  308513 */     GIR_EraseRootFromParent_Done,
     /*  308514 */   // Label 5725: @308514
     /*  308514 */   GIM_Try, /*On fail goto*//*Label 5726*/ GIMT_Encode4(308577), // Rule ID 9774 //
     /*  308519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  308530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  308533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  308536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308558 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  308558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308575 */     GIR_RootConstrainSelectedInstOperands,
     /*  308576 */     // GIR_Coverage, 9774,
     /*  308576 */     GIR_EraseRootFromParent_Done,
     /*  308577 */   // Label 5726: @308577
     /*  308577 */   GIM_Try, /*On fail goto*//*Label 5727*/ GIMT_Encode4(308640), // Rule ID 9775 //
     /*  308582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  308593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  308596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  308599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308621 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  308621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308638 */     GIR_RootConstrainSelectedInstOperands,
     /*  308639 */     // GIR_Coverage, 9775,
     /*  308639 */     GIR_EraseRootFromParent_Done,
     /*  308640 */   // Label 5727: @308640
     /*  308640 */   GIM_Try, /*On fail goto*//*Label 5728*/ GIMT_Encode4(308703), // Rule ID 9778 //
     /*  308645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  308656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  308659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  308662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308684 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  308684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308701 */     GIR_RootConstrainSelectedInstOperands,
     /*  308702 */     // GIR_Coverage, 9778,
     /*  308702 */     GIR_EraseRootFromParent_Done,
     /*  308703 */   // Label 5728: @308703
     /*  308703 */   GIM_Try, /*On fail goto*//*Label 5729*/ GIMT_Encode4(308766), // Rule ID 9779 //
     /*  308708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  308719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  308722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  308725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  308740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308747 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  308747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  308750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  308764 */     GIR_RootConstrainSelectedInstOperands,
     /*  308765 */     // GIR_Coverage, 9779,
     /*  308765 */     GIR_EraseRootFromParent_Done,
     /*  308766 */   // Label 5729: @308766
     /*  308766 */   GIM_Try, /*On fail goto*//*Label 5730*/ GIMT_Encode4(308829), // Rule ID 9782 //
     /*  308771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  308785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  308788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308810 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308827 */     GIR_RootConstrainSelectedInstOperands,
     /*  308828 */     // GIR_Coverage, 9782,
     /*  308828 */     GIR_EraseRootFromParent_Done,
     /*  308829 */   // Label 5730: @308829
     /*  308829 */   GIM_Try, /*On fail goto*//*Label 5731*/ GIMT_Encode4(308892), // Rule ID 9783 //
     /*  308834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  308845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  308848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  308851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  308866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  308876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308890 */     GIR_RootConstrainSelectedInstOperands,
     /*  308891 */     // GIR_Coverage, 9783,
     /*  308891 */     GIR_EraseRootFromParent_Done,
     /*  308892 */   // Label 5731: @308892
     /*  308892 */   GIM_Try, /*On fail goto*//*Label 5732*/ GIMT_Encode4(308955), // Rule ID 9786 //
     /*  308897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  308900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  308911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  308914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  308917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308936 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  308936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  308939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  308941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  308943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  308945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  308950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  308953 */     GIR_RootConstrainSelectedInstOperands,
     /*  308954 */     // GIR_Coverage, 9786,
     /*  308954 */     GIR_EraseRootFromParent_Done,
     /*  308955 */   // Label 5732: @308955
     /*  308955 */   GIM_Try, /*On fail goto*//*Label 5733*/ GIMT_Encode4(309018), // Rule ID 9787 //
     /*  308960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  308963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  308968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  308971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  308974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  308977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  308980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  308984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  308992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  308999 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  308999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309016 */     GIR_RootConstrainSelectedInstOperands,
     /*  309017 */     // GIR_Coverage, 9787,
     /*  309017 */     GIR_EraseRootFromParent_Done,
     /*  309018 */   // Label 5733: @309018
     /*  309018 */   GIM_Try, /*On fail goto*//*Label 5734*/ GIMT_Encode4(309081), // Rule ID 9790 //
     /*  309023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  309034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309062 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  309062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309079 */     GIR_RootConstrainSelectedInstOperands,
     /*  309080 */     // GIR_Coverage, 9790,
     /*  309080 */     GIR_EraseRootFromParent_Done,
     /*  309081 */   // Label 5734: @309081
     /*  309081 */   GIM_Try, /*On fail goto*//*Label 5735*/ GIMT_Encode4(309144), // Rule ID 9791 //
     /*  309086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  309097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  309100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  309103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309125 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  309125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  309142 */     GIR_RootConstrainSelectedInstOperands,
     /*  309143 */     // GIR_Coverage, 9791,
     /*  309143 */     GIR_EraseRootFromParent_Done,
     /*  309144 */   // Label 5735: @309144
     /*  309144 */   GIM_Try, /*On fail goto*//*Label 5736*/ GIMT_Encode4(309207), // Rule ID 9794 //
     /*  309149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309188 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  309188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  309191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309205 */     GIR_RootConstrainSelectedInstOperands,
     /*  309206 */     // GIR_Coverage, 9794,
     /*  309206 */     GIR_EraseRootFromParent_Done,
     /*  309207 */   // Label 5736: @309207
     /*  309207 */   GIM_Try, /*On fail goto*//*Label 5737*/ GIMT_Encode4(309270), // Rule ID 9795 //
     /*  309212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  309226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  309229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309251 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  309251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  309254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309268 */     GIR_RootConstrainSelectedInstOperands,
     /*  309269 */     // GIR_Coverage, 9795,
     /*  309269 */     GIR_EraseRootFromParent_Done,
     /*  309270 */   // Label 5737: @309270
     /*  309270 */   GIM_Try, /*On fail goto*//*Label 5738*/ GIMT_Encode4(309333), // Rule ID 9798 //
     /*  309275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  309314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309331 */     GIR_RootConstrainSelectedInstOperands,
     /*  309332 */     // GIR_Coverage, 9798,
     /*  309332 */     GIR_EraseRootFromParent_Done,
     /*  309333 */   // Label 5738: @309333
     /*  309333 */   GIM_Try, /*On fail goto*//*Label 5739*/ GIMT_Encode4(309396), // Rule ID 9799 //
     /*  309338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  309352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  309355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309377 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  309377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309394 */     GIR_RootConstrainSelectedInstOperands,
     /*  309395 */     // GIR_Coverage, 9799,
     /*  309395 */     GIR_EraseRootFromParent_Done,
     /*  309396 */   // Label 5739: @309396
     /*  309396 */   GIM_Try, /*On fail goto*//*Label 5740*/ GIMT_Encode4(309459), // Rule ID 9802 //
     /*  309401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  309412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309440 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  309440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309457 */     GIR_RootConstrainSelectedInstOperands,
     /*  309458 */     // GIR_Coverage, 9802,
     /*  309458 */     GIR_EraseRootFromParent_Done,
     /*  309459 */   // Label 5740: @309459
     /*  309459 */   GIM_Try, /*On fail goto*//*Label 5741*/ GIMT_Encode4(309522), // Rule ID 9803 //
     /*  309464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  309475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  309478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  309481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309503 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  309503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  309520 */     GIR_RootConstrainSelectedInstOperands,
     /*  309521 */     // GIR_Coverage, 9803,
     /*  309521 */     GIR_EraseRootFromParent_Done,
     /*  309522 */   // Label 5741: @309522
     /*  309522 */   GIM_Try, /*On fail goto*//*Label 5742*/ GIMT_Encode4(309585), // Rule ID 9806 //
     /*  309527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309566 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  309569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309583 */     GIR_RootConstrainSelectedInstOperands,
     /*  309584 */     // GIR_Coverage, 9806,
     /*  309584 */     GIR_EraseRootFromParent_Done,
     /*  309585 */   // Label 5742: @309585
     /*  309585 */   GIM_Try, /*On fail goto*//*Label 5743*/ GIMT_Encode4(309648), // Rule ID 9807 //
     /*  309590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  309601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  309604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  309607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  309622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309629 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11449:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /*  309632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309646 */     GIR_RootConstrainSelectedInstOperands,
     /*  309647 */     // GIR_Coverage, 9807,
     /*  309647 */     GIR_EraseRootFromParent_Done,
     /*  309648 */   // Label 5743: @309648
     /*  309648 */   GIM_Try, /*On fail goto*//*Label 5744*/ GIMT_Encode4(309711), // Rule ID 9810 //
     /*  309653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  309667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  309670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309692 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309709 */     GIR_RootConstrainSelectedInstOperands,
     /*  309710 */     // GIR_Coverage, 9810,
     /*  309710 */     GIR_EraseRootFromParent_Done,
     /*  309711 */   // Label 5744: @309711
     /*  309711 */   GIM_Try, /*On fail goto*//*Label 5745*/ GIMT_Encode4(309774), // Rule ID 9811 //
     /*  309716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  309727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  309730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  309733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  309748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309755 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11449:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /*  309758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309772 */     GIR_RootConstrainSelectedInstOperands,
     /*  309773 */     // GIR_Coverage, 9811,
     /*  309773 */     GIR_EraseRootFromParent_Done,
     /*  309774 */   // Label 5745: @309774
     /*  309774 */   GIM_Try, /*On fail goto*//*Label 5746*/ GIMT_Encode4(309837), // Rule ID 9814 //
     /*  309779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  309782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  309793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  309796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  309818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309835 */     GIR_RootConstrainSelectedInstOperands,
     /*  309836 */     // GIR_Coverage, 9814,
     /*  309836 */     GIR_EraseRootFromParent_Done,
     /*  309837 */   // Label 5746: @309837
     /*  309837 */   GIM_Try, /*On fail goto*//*Label 5747*/ GIMT_Encode4(309900), // Rule ID 9815 //
     /*  309842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  309845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu),
     /*  309850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  309853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  309856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  309859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  309874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309881 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11449:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  309881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /*  309884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  309898 */     GIR_RootConstrainSelectedInstOperands,
     /*  309899 */     // GIR_Coverage, 9815,
     /*  309899 */     GIR_EraseRootFromParent_Done,
     /*  309900 */   // Label 5747: @309900
     /*  309900 */   GIM_Try, /*On fail goto*//*Label 5748*/ GIMT_Encode4(309963), // Rule ID 9818 //
     /*  309905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  309908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  309919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  309922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  309925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  309944 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  309944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  309947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  309949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  309951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  309953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  309958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  309961 */     GIR_RootConstrainSelectedInstOperands,
     /*  309962 */     // GIR_Coverage, 9818,
     /*  309962 */     GIR_EraseRootFromParent_Done,
     /*  309963 */   // Label 5748: @309963
     /*  309963 */   GIM_Try, /*On fail goto*//*Label 5749*/ GIMT_Encode4(310026), // Rule ID 9819 //
     /*  309968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  309971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  309976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  309979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  309982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  309985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  309988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  309996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310007 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /*  310010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310024 */     GIR_RootConstrainSelectedInstOperands,
     /*  310025 */     // GIR_Coverage, 9819,
     /*  310025 */     GIR_EraseRootFromParent_Done,
     /*  310026 */   // Label 5749: @310026
     /*  310026 */   GIM_Try, /*On fail goto*//*Label 5750*/ GIMT_Encode4(310089), // Rule ID 9822 //
     /*  310031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  310045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  310048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310070 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  310073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310087 */     GIR_RootConstrainSelectedInstOperands,
     /*  310088 */     // GIR_Coverage, 9822,
     /*  310088 */     GIR_EraseRootFromParent_Done,
     /*  310089 */   // Label 5750: @310089
     /*  310089 */   GIM_Try, /*On fail goto*//*Label 5751*/ GIMT_Encode4(310152), // Rule ID 9823 //
     /*  310094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  310108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  310111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  310136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310150 */     GIR_RootConstrainSelectedInstOperands,
     /*  310151 */     // GIR_Coverage, 9823,
     /*  310151 */     GIR_EraseRootFromParent_Done,
     /*  310152 */   // Label 5751: @310152
     /*  310152 */   GIM_Try, /*On fail goto*//*Label 5752*/ GIMT_Encode4(310215), // Rule ID 9826 //
     /*  310157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  310171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  310174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310196 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310213 */     GIR_RootConstrainSelectedInstOperands,
     /*  310214 */     // GIR_Coverage, 9826,
     /*  310214 */     GIR_EraseRootFromParent_Done,
     /*  310215 */   // Label 5752: @310215
     /*  310215 */   GIM_Try, /*On fail goto*//*Label 5753*/ GIMT_Encode4(310278), // Rule ID 9827 //
     /*  310220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  310234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  310237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310259 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310276 */     GIR_RootConstrainSelectedInstOperands,
     /*  310277 */     // GIR_Coverage, 9827,
     /*  310277 */     GIR_EraseRootFromParent_Done,
     /*  310278 */   // Label 5753: @310278
     /*  310278 */   GIM_Try, /*On fail goto*//*Label 5754*/ GIMT_Encode4(310341), // Rule ID 9830 //
     /*  310283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310322 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  310325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310339 */     GIR_RootConstrainSelectedInstOperands,
     /*  310340 */     // GIR_Coverage, 9830,
     /*  310340 */     GIR_EraseRootFromParent_Done,
     /*  310341 */   // Label 5754: @310341
     /*  310341 */   GIM_Try, /*On fail goto*//*Label 5755*/ GIMT_Encode4(310404), // Rule ID 9831 //
     /*  310346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  310360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  310363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310385 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /*  310388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310402 */     GIR_RootConstrainSelectedInstOperands,
     /*  310403 */     // GIR_Coverage, 9831,
     /*  310403 */     GIR_EraseRootFromParent_Done,
     /*  310404 */   // Label 5755: @310404
     /*  310404 */   GIM_Try, /*On fail goto*//*Label 5756*/ GIMT_Encode4(310467), // Rule ID 9834 //
     /*  310409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310448 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310465 */     GIR_RootConstrainSelectedInstOperands,
     /*  310466 */     // GIR_Coverage, 9834,
     /*  310466 */     GIR_EraseRootFromParent_Done,
     /*  310467 */   // Label 5756: @310467
     /*  310467 */   GIM_Try, /*On fail goto*//*Label 5757*/ GIMT_Encode4(310530), // Rule ID 9835 //
     /*  310472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  310486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  310489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310511 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310528 */     GIR_RootConstrainSelectedInstOperands,
     /*  310529 */     // GIR_Coverage, 9835,
     /*  310529 */     GIR_EraseRootFromParent_Done,
     /*  310530 */   // Label 5757: @310530
     /*  310530 */   GIM_Try, /*On fail goto*//*Label 5758*/ GIMT_Encode4(310593), // Rule ID 9838 //
     /*  310535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  310552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310574 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  310574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310591 */     GIR_RootConstrainSelectedInstOperands,
     /*  310592 */     // GIR_Coverage, 9838,
     /*  310592 */     GIR_EraseRootFromParent_Done,
     /*  310593 */   // Label 5758: @310593
     /*  310593 */   GIM_Try, /*On fail goto*//*Label 5759*/ GIMT_Encode4(310656), // Rule ID 9839 //
     /*  310598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  310609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  310612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  310615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310637 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  310637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /*  310640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310654 */     GIR_RootConstrainSelectedInstOperands,
     /*  310655 */     // GIR_Coverage, 9839,
     /*  310655 */     GIR_EraseRootFromParent_Done,
     /*  310656 */   // Label 5759: @310656
     /*  310656 */   GIM_Try, /*On fail goto*//*Label 5760*/ GIMT_Encode4(310719), // Rule ID 9842 //
     /*  310661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  310675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  310678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310700 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  310700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310717 */     GIR_RootConstrainSelectedInstOperands,
     /*  310718 */     // GIR_Coverage, 9842,
     /*  310718 */     GIR_EraseRootFromParent_Done,
     /*  310719 */   // Label 5760: @310719
     /*  310719 */   GIM_Try, /*On fail goto*//*Label 5761*/ GIMT_Encode4(310782), // Rule ID 9843 //
     /*  310724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  310735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  310738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  310741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310763 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  310763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  310780 */     GIR_RootConstrainSelectedInstOperands,
     /*  310781 */     // GIR_Coverage, 9843,
     /*  310781 */     GIR_EraseRootFromParent_Done,
     /*  310782 */   // Label 5761: @310782
     /*  310782 */   GIM_Try, /*On fail goto*//*Label 5762*/ GIMT_Encode4(310845), // Rule ID 9846 //
     /*  310787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310826 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  310826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310843 */     GIR_RootConstrainSelectedInstOperands,
     /*  310844 */     // GIR_Coverage, 9846,
     /*  310844 */     GIR_EraseRootFromParent_Done,
     /*  310845 */   // Label 5762: @310845
     /*  310845 */   GIM_Try, /*On fail goto*//*Label 5763*/ GIMT_Encode4(310908), // Rule ID 9847 //
     /*  310850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  310861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  310864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  310867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310889 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  310889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  310906 */     GIR_RootConstrainSelectedInstOperands,
     /*  310907 */     // GIR_Coverage, 9847,
     /*  310907 */     GIR_EraseRootFromParent_Done,
     /*  310908 */   // Label 5763: @310908
     /*  310908 */   GIM_Try, /*On fail goto*//*Label 5764*/ GIMT_Encode4(310971), // Rule ID 9850 //
     /*  310913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  310916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  310933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  310945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  310952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  310952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  310955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  310957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  310959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  310961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  310966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  310969 */     GIR_RootConstrainSelectedInstOperands,
     /*  310970 */     // GIR_Coverage, 9850,
     /*  310970 */     GIR_EraseRootFromParent_Done,
     /*  310971 */   // Label 5764: @310971
     /*  310971 */   GIM_Try, /*On fail goto*//*Label 5765*/ GIMT_Encode4(311034), // Rule ID 9851 //
     /*  310976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  310979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  310984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  310987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  310990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  310993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  310996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311015 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  311015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  311018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311032 */     GIR_RootConstrainSelectedInstOperands,
     /*  311033 */     // GIR_Coverage, 9851,
     /*  311033 */     GIR_EraseRootFromParent_Done,
     /*  311034 */   // Label 5765: @311034
     /*  311034 */   GIM_Try, /*On fail goto*//*Label 5766*/ GIMT_Encode4(311097), // Rule ID 9854 //
     /*  311039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  311042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  311050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311078 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  311078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  311081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311095 */     GIR_RootConstrainSelectedInstOperands,
     /*  311096 */     // GIR_Coverage, 9854,
     /*  311096 */     GIR_EraseRootFromParent_Done,
     /*  311097 */   // Label 5766: @311097
     /*  311097 */   GIM_Try, /*On fail goto*//*Label 5767*/ GIMT_Encode4(311160), // Rule ID 9855 //
     /*  311102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  311105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  311113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  311116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  311119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11447:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  311141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /*  311144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  311158 */     GIR_RootConstrainSelectedInstOperands,
     /*  311159 */     // GIR_Coverage, 9855,
     /*  311159 */     GIR_EraseRootFromParent_Done,
     /*  311160 */   // Label 5767: @311160
     /*  311160 */   GIM_Try, /*On fail goto*//*Label 5768*/ GIMT_Encode4(311223), // Rule ID 9858 //
     /*  311165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  311179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  311182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311204 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  311204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  311221 */     GIR_RootConstrainSelectedInstOperands,
     /*  311222 */     // GIR_Coverage, 9858,
     /*  311222 */     GIR_EraseRootFromParent_Done,
     /*  311223 */   // Label 5768: @311223
     /*  311223 */   GIM_Try, /*On fail goto*//*Label 5769*/ GIMT_Encode4(311286), // Rule ID 9859 //
     /*  311228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  311242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  311245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311267 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  311267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  311284 */     GIR_RootConstrainSelectedInstOperands,
     /*  311285 */     // GIR_Coverage, 9859,
     /*  311285 */     GIR_EraseRootFromParent_Done,
     /*  311286 */   // Label 5769: @311286
     /*  311286 */   GIM_Try, /*On fail goto*//*Label 5770*/ GIMT_Encode4(311349), // Rule ID 9862 //
     /*  311291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  311305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  311308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311330 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  311330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  311347 */     GIR_RootConstrainSelectedInstOperands,
     /*  311348 */     // GIR_Coverage, 9862,
     /*  311348 */     GIR_EraseRootFromParent_Done,
     /*  311349 */   // Label 5770: @311349
     /*  311349 */   GIM_Try, /*On fail goto*//*Label 5771*/ GIMT_Encode4(311412), // Rule ID 9863 //
     /*  311354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  311368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  311371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311393 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  311393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  311410 */     GIR_RootConstrainSelectedInstOperands,
     /*  311411 */     // GIR_Coverage, 9863,
     /*  311411 */     GIR_EraseRootFromParent_Done,
     /*  311412 */   // Label 5771: @311412
     /*  311412 */   GIM_Try, /*On fail goto*//*Label 5772*/ GIMT_Encode4(311475), // Rule ID 9866 //
     /*  311417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  311428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  311431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  311434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311456 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  311456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  311473 */     GIR_RootConstrainSelectedInstOperands,
     /*  311474 */     // GIR_Coverage, 9866,
     /*  311474 */     GIR_EraseRootFromParent_Done,
     /*  311475 */   // Label 5772: @311475
     /*  311475 */   GIM_Try, /*On fail goto*//*Label 5773*/ GIMT_Encode4(311538), // Rule ID 9867 //
     /*  311480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  311491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  311494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  311497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311519 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  311519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  311536 */     GIR_RootConstrainSelectedInstOperands,
     /*  311537 */     // GIR_Coverage, 9867,
     /*  311537 */     GIR_EraseRootFromParent_Done,
     /*  311538 */   // Label 5773: @311538
     /*  311538 */   GIM_Try, /*On fail goto*//*Label 5774*/ GIMT_Encode4(311601), // Rule ID 9870 //
     /*  311543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311599 */     GIR_RootConstrainSelectedInstOperands,
     /*  311600 */     // GIR_Coverage, 9870,
     /*  311600 */     GIR_EraseRootFromParent_Done,
     /*  311601 */   // Label 5774: @311601
     /*  311601 */   GIM_Try, /*On fail goto*//*Label 5775*/ GIMT_Encode4(311664), // Rule ID 9871 //
     /*  311606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  311617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  311620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  311623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311645 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311662 */     GIR_RootConstrainSelectedInstOperands,
     /*  311663 */     // GIR_Coverage, 9871,
     /*  311663 */     GIR_EraseRootFromParent_Done,
     /*  311664 */   // Label 5775: @311664
     /*  311664 */   GIM_Try, /*On fail goto*//*Label 5776*/ GIMT_Encode4(311727), // Rule ID 9874 //
     /*  311669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311708 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311725 */     GIR_RootConstrainSelectedInstOperands,
     /*  311726 */     // GIR_Coverage, 9874,
     /*  311726 */     GIR_EraseRootFromParent_Done,
     /*  311727 */   // Label 5776: @311727
     /*  311727 */   GIM_Try, /*On fail goto*//*Label 5777*/ GIMT_Encode4(311790), // Rule ID 9875 //
     /*  311732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  311743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  311746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  311749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  311764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311771 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  311774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311788 */     GIR_RootConstrainSelectedInstOperands,
     /*  311789 */     // GIR_Coverage, 9875,
     /*  311789 */     GIR_EraseRootFromParent_Done,
     /*  311790 */   // Label 5777: @311790
     /*  311790 */   GIM_Try, /*On fail goto*//*Label 5778*/ GIMT_Encode4(311853), // Rule ID 9878 //
     /*  311795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311834 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  311834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311851 */     GIR_RootConstrainSelectedInstOperands,
     /*  311852 */     // GIR_Coverage, 9878,
     /*  311852 */     GIR_EraseRootFromParent_Done,
     /*  311853 */   // Label 5778: @311853
     /*  311853 */   GIM_Try, /*On fail goto*//*Label 5779*/ GIMT_Encode4(311916), // Rule ID 9879 //
     /*  311858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  311869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  311872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  311875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  311878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  311890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311897 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  311897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  311900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  311914 */     GIR_RootConstrainSelectedInstOperands,
     /*  311915 */     // GIR_Coverage, 9879,
     /*  311915 */     GIR_EraseRootFromParent_Done,
     /*  311916 */   // Label 5779: @311916
     /*  311916 */   GIM_Try, /*On fail goto*//*Label 5780*/ GIMT_Encode4(311979), // Rule ID 9882 //
     /*  311921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  311924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  311938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  311941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  311945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  311953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  311960 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  311960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  311963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  311965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  311967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  311969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  311974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  311977 */     GIR_RootConstrainSelectedInstOperands,
     /*  311978 */     // GIR_Coverage, 9882,
     /*  311978 */     GIR_EraseRootFromParent_Done,
     /*  311979 */   // Label 5780: @311979
     /*  311979 */   GIM_Try, /*On fail goto*//*Label 5781*/ GIMT_Encode4(312042), // Rule ID 9883 //
     /*  311984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  311987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  311992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  311995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  311998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  312001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312023 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  312023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  312026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312040 */     GIR_RootConstrainSelectedInstOperands,
     /*  312041 */     // GIR_Coverage, 9883,
     /*  312041 */     GIR_EraseRootFromParent_Done,
     /*  312042 */   // Label 5781: @312042
     /*  312042 */   GIM_Try, /*On fail goto*//*Label 5782*/ GIMT_Encode4(312105), // Rule ID 9886 //
     /*  312047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  312058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312086 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  312086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  312089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312103 */     GIR_RootConstrainSelectedInstOperands,
     /*  312104 */     // GIR_Coverage, 9886,
     /*  312104 */     GIR_EraseRootFromParent_Done,
     /*  312105 */   // Label 5782: @312105
     /*  312105 */   GIM_Try, /*On fail goto*//*Label 5783*/ GIMT_Encode4(312168), // Rule ID 9887 //
     /*  312110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  312121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  312124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  312127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312149 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  312149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  312152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312166 */     GIR_RootConstrainSelectedInstOperands,
     /*  312167 */     // GIR_Coverage, 9887,
     /*  312167 */     GIR_EraseRootFromParent_Done,
     /*  312168 */   // Label 5783: @312168
     /*  312168 */   GIM_Try, /*On fail goto*//*Label 5784*/ GIMT_Encode4(312231), // Rule ID 9890 //
     /*  312173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  312184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  312212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  312215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312229 */     GIR_RootConstrainSelectedInstOperands,
     /*  312230 */     // GIR_Coverage, 9890,
     /*  312230 */     GIR_EraseRootFromParent_Done,
     /*  312231 */   // Label 5784: @312231
     /*  312231 */   GIM_Try, /*On fail goto*//*Label 5785*/ GIMT_Encode4(312294), // Rule ID 9891 //
     /*  312236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  312247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  312250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  312253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312275 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  312275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  312278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  312292 */     GIR_RootConstrainSelectedInstOperands,
     /*  312293 */     // GIR_Coverage, 9891,
     /*  312293 */     GIR_EraseRootFromParent_Done,
     /*  312294 */   // Label 5785: @312294
     /*  312294 */   GIM_Try, /*On fail goto*//*Label 5786*/ GIMT_Encode4(312357), // Rule ID 9894 //
     /*  312299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  312302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  312310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  312338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  312341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312355 */     GIR_RootConstrainSelectedInstOperands,
     /*  312356 */     // GIR_Coverage, 9894,
     /*  312356 */     GIR_EraseRootFromParent_Done,
     /*  312357 */   // Label 5786: @312357
     /*  312357 */   GIM_Try, /*On fail goto*//*Label 5787*/ GIMT_Encode4(312420), // Rule ID 9895 //
     /*  312362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  312365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  312373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  312376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  312379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  312394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312401 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11447:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  312401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /*  312404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312418 */     GIR_RootConstrainSelectedInstOperands,
     /*  312419 */     // GIR_Coverage, 9895,
     /*  312419 */     GIR_EraseRootFromParent_Done,
     /*  312420 */   // Label 5787: @312420
     /*  312420 */   GIM_Try, /*On fail goto*//*Label 5788*/ GIMT_Encode4(312483), // Rule ID 9898 //
     /*  312425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  312428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  312436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312464 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  312464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  312467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312481 */     GIR_RootConstrainSelectedInstOperands,
     /*  312482 */     // GIR_Coverage, 9898,
     /*  312482 */     GIR_EraseRootFromParent_Done,
     /*  312483 */   // Label 5788: @312483
     /*  312483 */   GIM_Try, /*On fail goto*//*Label 5789*/ GIMT_Encode4(312546), // Rule ID 9899 //
     /*  312488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  312491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  312499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  312502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  312505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  312520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312527 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11447:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  312527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /*  312530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312544 */     GIR_RootConstrainSelectedInstOperands,
     /*  312545 */     // GIR_Coverage, 9899,
     /*  312545 */     GIR_EraseRootFromParent_Done,
     /*  312546 */   // Label 5789: @312546
     /*  312546 */   GIM_Try, /*On fail goto*//*Label 5790*/ GIMT_Encode4(312609), // Rule ID 9902 //
     /*  312551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  312554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  312562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312590 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  312590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  312593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312607 */     GIR_RootConstrainSelectedInstOperands,
     /*  312608 */     // GIR_Coverage, 9902,
     /*  312608 */     GIR_EraseRootFromParent_Done,
     /*  312609 */   // Label 5790: @312609
     /*  312609 */   GIM_Try, /*On fail goto*//*Label 5791*/ GIMT_Encode4(312672), // Rule ID 9903 //
     /*  312614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  312617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge),
     /*  312622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  312625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  312628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  312631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  312646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312653 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11447:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  312653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /*  312656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  312662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  312670 */     GIR_RootConstrainSelectedInstOperands,
     /*  312671 */     // GIR_Coverage, 9903,
     /*  312671 */     GIR_EraseRootFromParent_Done,
     /*  312672 */   // Label 5791: @312672
     /*  312672 */   GIM_Try, /*On fail goto*//*Label 5792*/ GIMT_Encode4(312738), // Rule ID 13978 //
     /*  312677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  312688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  312691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  312694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312716 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  312719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312736 */     GIR_RootConstrainSelectedInstOperands,
     /*  312737 */     // GIR_Coverage, 13978,
     /*  312737 */     GIR_EraseRootFromParent_Done,
     /*  312738 */   // Label 5792: @312738
     /*  312738 */   GIM_Try, /*On fail goto*//*Label 5793*/ GIMT_Encode4(312804), // Rule ID 13979 //
     /*  312743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  312754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  312757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  312760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312782 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } ?:{ *:[nxv1i8] }:$passthru, ?:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /*  312785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312802 */     GIR_RootConstrainSelectedInstOperands,
     /*  312803 */     // GIR_Coverage, 13979,
     /*  312803 */     GIR_EraseRootFromParent_Done,
     /*  312804 */   // Label 5793: @312804
     /*  312804 */   GIM_Try, /*On fail goto*//*Label 5794*/ GIMT_Encode4(312870), // Rule ID 13980 //
     /*  312809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  312820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  312823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  312826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312848 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312868 */     GIR_RootConstrainSelectedInstOperands,
     /*  312869 */     // GIR_Coverage, 13980,
     /*  312869 */     GIR_EraseRootFromParent_Done,
     /*  312870 */   // Label 5794: @312870
     /*  312870 */   GIM_Try, /*On fail goto*//*Label 5795*/ GIMT_Encode4(312936), // Rule ID 13981 //
     /*  312875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  312878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  312886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  312889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  312892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  312895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312914 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } ?:{ *:[nxv2i8] }:$passthru, ?:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  312914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  312917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  312934 */     GIR_RootConstrainSelectedInstOperands,
     /*  312935 */     // GIR_Coverage, 13981,
     /*  312935 */     GIR_EraseRootFromParent_Done,
     /*  312936 */   // Label 5795: @312936
     /*  312936 */   GIM_Try, /*On fail goto*//*Label 5796*/ GIMT_Encode4(313002), // Rule ID 13982 //
     /*  312941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  312944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  312949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  312952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  312955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  312958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  312961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  312973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  312980 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  312980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  312983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  312985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  312987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  312989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  312994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  312997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313000 */     GIR_RootConstrainSelectedInstOperands,
     /*  313001 */     // GIR_Coverage, 13982,
     /*  313001 */     GIR_EraseRootFromParent_Done,
     /*  313002 */   // Label 5796: @313002
     /*  313002 */   GIM_Try, /*On fail goto*//*Label 5797*/ GIMT_Encode4(313068), // Rule ID 13983 //
     /*  313007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  313018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  313021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  313024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } ?:{ *:[nxv4i8] }:$passthru, ?:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  313049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313066 */     GIR_RootConstrainSelectedInstOperands,
     /*  313067 */     // GIR_Coverage, 13983,
     /*  313067 */     GIR_EraseRootFromParent_Done,
     /*  313068 */   // Label 5797: @313068
     /*  313068 */   GIM_Try, /*On fail goto*//*Label 5798*/ GIMT_Encode4(313134), // Rule ID 13984 //
     /*  313073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  313084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  313087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  313090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313112 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  313115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313132 */     GIR_RootConstrainSelectedInstOperands,
     /*  313133 */     // GIR_Coverage, 13984,
     /*  313133 */     GIR_EraseRootFromParent_Done,
     /*  313134 */   // Label 5798: @313134
     /*  313134 */   GIM_Try, /*On fail goto*//*Label 5799*/ GIMT_Encode4(313200), // Rule ID 13985 //
     /*  313139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  313150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  313153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  313156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } ?:{ *:[nxv1i16] }:$passthru, ?:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  313181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313198 */     GIR_RootConstrainSelectedInstOperands,
     /*  313199 */     // GIR_Coverage, 13985,
     /*  313199 */     GIR_EraseRootFromParent_Done,
     /*  313200 */   // Label 5799: @313200
     /*  313200 */   GIM_Try, /*On fail goto*//*Label 5800*/ GIMT_Encode4(313266), // Rule ID 13986 //
     /*  313205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  313216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  313219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  313222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313244 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  313247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313264 */     GIR_RootConstrainSelectedInstOperands,
     /*  313265 */     // GIR_Coverage, 13986,
     /*  313265 */     GIR_EraseRootFromParent_Done,
     /*  313266 */   // Label 5800: @313266
     /*  313266 */   GIM_Try, /*On fail goto*//*Label 5801*/ GIMT_Encode4(313332), // Rule ID 13987 //
     /*  313271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  313282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  313285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  313288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313310 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } ?:{ *:[nxv2i16] }:$passthru, ?:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  313313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313330 */     GIR_RootConstrainSelectedInstOperands,
     /*  313331 */     // GIR_Coverage, 13987,
     /*  313331 */     GIR_EraseRootFromParent_Done,
     /*  313332 */   // Label 5801: @313332
     /*  313332 */   GIM_Try, /*On fail goto*//*Label 5802*/ GIMT_Encode4(313398), // Rule ID 13988 //
     /*  313337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  313348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  313351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  313354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  313379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313396 */     GIR_RootConstrainSelectedInstOperands,
     /*  313397 */     // GIR_Coverage, 13988,
     /*  313397 */     GIR_EraseRootFromParent_Done,
     /*  313398 */   // Label 5802: @313398
     /*  313398 */   GIM_Try, /*On fail goto*//*Label 5803*/ GIMT_Encode4(313464), // Rule ID 13989 //
     /*  313403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  313414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  313417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  313420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } ?:{ *:[nxv1i32] }:$passthru, ?:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  313445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313462 */     GIR_RootConstrainSelectedInstOperands,
     /*  313463 */     // GIR_Coverage, 13989,
     /*  313463 */     GIR_EraseRootFromParent_Done,
     /*  313464 */   // Label 5803: @313464
     /*  313464 */   GIM_Try, /*On fail goto*//*Label 5804*/ GIMT_Encode4(313530), // Rule ID 13990 //
     /*  313469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  313480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  313483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  313486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  313508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313528 */     GIR_RootConstrainSelectedInstOperands,
     /*  313529 */     // GIR_Coverage, 13990,
     /*  313529 */     GIR_EraseRootFromParent_Done,
     /*  313530 */   // Label 5804: @313530
     /*  313530 */   GIM_Try, /*On fail goto*//*Label 5805*/ GIMT_Encode4(313596), // Rule ID 13991 //
     /*  313535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  313546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  313549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  313552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11478:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } ?:{ *:[nxv8i8] }:$passthru, ?:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  313574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  313591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313594 */     GIR_RootConstrainSelectedInstOperands,
     /*  313595 */     // GIR_Coverage, 13991,
     /*  313595 */     GIR_EraseRootFromParent_Done,
     /*  313596 */   // Label 5805: @313596
     /*  313596 */   GIM_Try, /*On fail goto*//*Label 5806*/ GIMT_Encode4(313662), // Rule ID 13992 //
     /*  313601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313640 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  313640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313660 */     GIR_RootConstrainSelectedInstOperands,
     /*  313661 */     // GIR_Coverage, 13992,
     /*  313661 */     GIR_EraseRootFromParent_Done,
     /*  313662 */   // Label 5806: @313662
     /*  313662 */   GIM_Try, /*On fail goto*//*Label 5807*/ GIMT_Encode4(313728), // Rule ID 13993 //
     /*  313667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  313678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  313681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  313684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } ?:{ *:[nxv4i16] }:$passthru, ?:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  313706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  313723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313726 */     GIR_RootConstrainSelectedInstOperands,
     /*  313727 */     // GIR_Coverage, 13993,
     /*  313727 */     GIR_EraseRootFromParent_Done,
     /*  313728 */   // Label 5807: @313728
     /*  313728 */   GIM_Try, /*On fail goto*//*Label 5808*/ GIMT_Encode4(313794), // Rule ID 13994 //
     /*  313733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  313736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  313772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313792 */     GIR_RootConstrainSelectedInstOperands,
     /*  313793 */     // GIR_Coverage, 13994,
     /*  313793 */     GIR_EraseRootFromParent_Done,
     /*  313794 */   // Label 5808: @313794
     /*  313794 */   GIM_Try, /*On fail goto*//*Label 5809*/ GIMT_Encode4(313860), // Rule ID 13995 //
     /*  313799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  313802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  313810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  313813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  313816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313838 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } ?:{ *:[nxv2i32] }:$passthru, ?:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  313838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  313855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313858 */     GIR_RootConstrainSelectedInstOperands,
     /*  313859 */     // GIR_Coverage, 13995,
     /*  313859 */     GIR_EraseRootFromParent_Done,
     /*  313860 */   // Label 5809: @313860
     /*  313860 */   GIM_Try, /*On fail goto*//*Label 5810*/ GIMT_Encode4(313926), // Rule ID 13996 //
     /*  313865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  313868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  313885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313904 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  313904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313924 */     GIR_RootConstrainSelectedInstOperands,
     /*  313925 */     // GIR_Coverage, 13996,
     /*  313925 */     GIR_EraseRootFromParent_Done,
     /*  313926 */   // Label 5810: @313926
     /*  313926 */   GIM_Try, /*On fail goto*//*Label 5811*/ GIMT_Encode4(313992), // Rule ID 13997 //
     /*  313931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  313934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  313939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  313942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  313945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  313948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  313951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  313963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  313970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } ?:{ *:[nxv1i64] }:$passthru, ?:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  313970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  313973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  313975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  313977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  313979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  313984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  313987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  313990 */     GIR_RootConstrainSelectedInstOperands,
     /*  313991 */     // GIR_Coverage, 13997,
     /*  313991 */     GIR_EraseRootFromParent_Done,
     /*  313992 */   // Label 5811: @313992
     /*  313992 */   GIM_Try, /*On fail goto*//*Label 5812*/ GIMT_Encode4(314058), // Rule ID 13998 //
     /*  313997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  314008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  314011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  314014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314056 */     GIR_RootConstrainSelectedInstOperands,
     /*  314057 */     // GIR_Coverage, 13998,
     /*  314057 */     GIR_EraseRootFromParent_Done,
     /*  314058 */   // Label 5812: @314058
     /*  314058 */   GIM_Try, /*On fail goto*//*Label 5813*/ GIMT_Encode4(314124), // Rule ID 13999 //
     /*  314063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  314074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  314077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  314080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } ?:{ *:[nxv16i8] }:$passthru, ?:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314122 */     GIR_RootConstrainSelectedInstOperands,
     /*  314123 */     // GIR_Coverage, 13999,
     /*  314123 */     GIR_EraseRootFromParent_Done,
     /*  314124 */   // Label 5813: @314124
     /*  314124 */   GIM_Try, /*On fail goto*//*Label 5814*/ GIMT_Encode4(314190), // Rule ID 14000 //
     /*  314129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  314140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  314143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  314146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314168 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314188 */     GIR_RootConstrainSelectedInstOperands,
     /*  314189 */     // GIR_Coverage, 14000,
     /*  314189 */     GIR_EraseRootFromParent_Done,
     /*  314190 */   // Label 5814: @314190
     /*  314190 */   GIM_Try, /*On fail goto*//*Label 5815*/ GIMT_Encode4(314256), // Rule ID 14001 //
     /*  314195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  314206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  314209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  314212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314234 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } ?:{ *:[nxv32i8] }:$passthru, ?:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314254 */     GIR_RootConstrainSelectedInstOperands,
     /*  314255 */     // GIR_Coverage, 14001,
     /*  314255 */     GIR_EraseRootFromParent_Done,
     /*  314256 */   // Label 5815: @314256
     /*  314256 */   GIM_Try, /*On fail goto*//*Label 5816*/ GIMT_Encode4(314322), // Rule ID 14002 //
     /*  314261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  314272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  314275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  314278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  314300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314320 */     GIR_RootConstrainSelectedInstOperands,
     /*  314321 */     // GIR_Coverage, 14002,
     /*  314321 */     GIR_EraseRootFromParent_Done,
     /*  314322 */   // Label 5816: @314322
     /*  314322 */   GIM_Try, /*On fail goto*//*Label 5817*/ GIMT_Encode4(314388), // Rule ID 14003 //
     /*  314327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  314338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  314341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  314344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314366 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } ?:{ *:[nxv64i8] }:$passthru, ?:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  314366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  314383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314386 */     GIR_RootConstrainSelectedInstOperands,
     /*  314387 */     // GIR_Coverage, 14003,
     /*  314387 */     GIR_EraseRootFromParent_Done,
     /*  314388 */   // Label 5817: @314388
     /*  314388 */   GIM_Try, /*On fail goto*//*Label 5818*/ GIMT_Encode4(314454), // Rule ID 14004 //
     /*  314393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  314404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314432 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314452 */     GIR_RootConstrainSelectedInstOperands,
     /*  314453 */     // GIR_Coverage, 14004,
     /*  314453 */     GIR_EraseRootFromParent_Done,
     /*  314454 */   // Label 5818: @314454
     /*  314454 */   GIM_Try, /*On fail goto*//*Label 5819*/ GIMT_Encode4(314520), // Rule ID 14005 //
     /*  314459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  314470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  314473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  314476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } ?:{ *:[nxv8i16] }:$passthru, ?:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314518 */     GIR_RootConstrainSelectedInstOperands,
     /*  314519 */     // GIR_Coverage, 14005,
     /*  314519 */     GIR_EraseRootFromParent_Done,
     /*  314520 */   // Label 5819: @314520
     /*  314520 */   GIM_Try, /*On fail goto*//*Label 5820*/ GIMT_Encode4(314586), // Rule ID 14006 //
     /*  314525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  314536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  314539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314584 */     GIR_RootConstrainSelectedInstOperands,
     /*  314585 */     // GIR_Coverage, 14006,
     /*  314585 */     GIR_EraseRootFromParent_Done,
     /*  314586 */   // Label 5820: @314586
     /*  314586 */   GIM_Try, /*On fail goto*//*Label 5821*/ GIMT_Encode4(314652), // Rule ID 14007 //
     /*  314591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  314602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  314605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  314608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314630 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } ?:{ *:[nxv16i16] }:$passthru, ?:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314650 */     GIR_RootConstrainSelectedInstOperands,
     /*  314651 */     // GIR_Coverage, 14007,
     /*  314651 */     GIR_EraseRootFromParent_Done,
     /*  314652 */   // Label 5821: @314652
     /*  314652 */   GIM_Try, /*On fail goto*//*Label 5822*/ GIMT_Encode4(314718), // Rule ID 14008 //
     /*  314657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  314668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  314696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314716 */     GIR_RootConstrainSelectedInstOperands,
     /*  314717 */     // GIR_Coverage, 14008,
     /*  314717 */     GIR_EraseRootFromParent_Done,
     /*  314718 */   // Label 5822: @314718
     /*  314718 */   GIM_Try, /*On fail goto*//*Label 5823*/ GIMT_Encode4(314784), // Rule ID 14009 //
     /*  314723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  314734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  314737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  314740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  314755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314762 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } ?:{ *:[nxv32i16] }:$passthru, ?:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  314762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  314765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  314779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314782 */     GIR_RootConstrainSelectedInstOperands,
     /*  314783 */     // GIR_Coverage, 14009,
     /*  314783 */     GIR_EraseRootFromParent_Done,
     /*  314784 */   // Label 5823: @314784
     /*  314784 */   GIM_Try, /*On fail goto*//*Label 5824*/ GIMT_Encode4(314850), // Rule ID 14010 //
     /*  314789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  314800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314848 */     GIR_RootConstrainSelectedInstOperands,
     /*  314849 */     // GIR_Coverage, 14010,
     /*  314849 */     GIR_EraseRootFromParent_Done,
     /*  314850 */   // Label 5824: @314850
     /*  314850 */   GIM_Try, /*On fail goto*//*Label 5825*/ GIMT_Encode4(314916), // Rule ID 14011 //
     /*  314855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  314866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  314869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  314872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  314875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  314887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } ?:{ *:[nxv4i32] }:$passthru, ?:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  314894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  314897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314914 */     GIR_RootConstrainSelectedInstOperands,
     /*  314915 */     // GIR_Coverage, 14011,
     /*  314915 */     GIR_EraseRootFromParent_Done,
     /*  314916 */   // Label 5825: @314916
     /*  314916 */   GIM_Try, /*On fail goto*//*Label 5826*/ GIMT_Encode4(314982), // Rule ID 14012 //
     /*  314921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  314924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  314932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  314935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  314938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  314941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  314953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  314960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  314960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  314963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  314965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  314967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  314969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  314974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  314977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  314980 */     GIR_RootConstrainSelectedInstOperands,
     /*  314981 */     // GIR_Coverage, 14012,
     /*  314981 */     GIR_EraseRootFromParent_Done,
     /*  314982 */   // Label 5826: @314982
     /*  314982 */   GIM_Try, /*On fail goto*//*Label 5827*/ GIMT_Encode4(315048), // Rule ID 14013 //
     /*  314987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  314990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  314995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  314998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  315001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  315004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315026 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } ?:{ *:[nxv8i32] }:$passthru, ?:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  315029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315046 */     GIR_RootConstrainSelectedInstOperands,
     /*  315047 */     // GIR_Coverage, 14013,
     /*  315047 */     GIR_EraseRootFromParent_Done,
     /*  315048 */   // Label 5827: @315048
     /*  315048 */   GIM_Try, /*On fail goto*//*Label 5828*/ GIMT_Encode4(315114), // Rule ID 14014 //
     /*  315053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  315056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  315064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315092 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  315095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315112 */     GIR_RootConstrainSelectedInstOperands,
     /*  315113 */     // GIR_Coverage, 14014,
     /*  315113 */     GIR_EraseRootFromParent_Done,
     /*  315114 */   // Label 5828: @315114
     /*  315114 */   GIM_Try, /*On fail goto*//*Label 5829*/ GIMT_Encode4(315180), // Rule ID 14015 //
     /*  315119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  315122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  315130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  315133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  315136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } ?:{ *:[nxv16i32] }:$passthru, ?:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  315161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315178 */     GIR_RootConstrainSelectedInstOperands,
     /*  315179 */     // GIR_Coverage, 14015,
     /*  315179 */     GIR_EraseRootFromParent_Done,
     /*  315180 */   // Label 5829: @315180
     /*  315180 */   GIM_Try, /*On fail goto*//*Label 5830*/ GIMT_Encode4(315246), // Rule ID 14016 //
     /*  315185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  315188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  315196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  315199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315224 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  315224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  315227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315244 */     GIR_RootConstrainSelectedInstOperands,
     /*  315245 */     // GIR_Coverage, 14016,
     /*  315245 */     GIR_EraseRootFromParent_Done,
     /*  315246 */   // Label 5830: @315246
     /*  315246 */   GIM_Try, /*On fail goto*//*Label 5831*/ GIMT_Encode4(315312), // Rule ID 14017 //
     /*  315251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  315254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  315262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  315265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  315268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  315283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } ?:{ *:[nxv2i64] }:$passthru, ?:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  315290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  315293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315310 */     GIR_RootConstrainSelectedInstOperands,
     /*  315311 */     // GIR_Coverage, 14017,
     /*  315311 */     GIR_EraseRootFromParent_Done,
     /*  315312 */   // Label 5831: @315312
     /*  315312 */   GIM_Try, /*On fail goto*//*Label 5832*/ GIMT_Encode4(315378), // Rule ID 14018 //
     /*  315317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  315320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  315328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  315356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  315359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315376 */     GIR_RootConstrainSelectedInstOperands,
     /*  315377 */     // GIR_Coverage, 14018,
     /*  315377 */     GIR_EraseRootFromParent_Done,
     /*  315378 */   // Label 5832: @315378
     /*  315378 */   GIM_Try, /*On fail goto*//*Label 5833*/ GIMT_Encode4(315444), // Rule ID 14019 //
     /*  315383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  315386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  315394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  315397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  315400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  315415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315422 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } ?:{ *:[nxv4i64] }:$passthru, ?:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  315422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  315425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315442 */     GIR_RootConstrainSelectedInstOperands,
     /*  315443 */     // GIR_Coverage, 14019,
     /*  315443 */     GIR_EraseRootFromParent_Done,
     /*  315444 */   // Label 5833: @315444
     /*  315444 */   GIM_Try, /*On fail goto*//*Label 5834*/ GIMT_Encode4(315510), // Rule ID 14020 //
     /*  315449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  315452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  315460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  315488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  315491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315508 */     GIR_RootConstrainSelectedInstOperands,
     /*  315509 */     // GIR_Coverage, 14020,
     /*  315509 */     GIR_EraseRootFromParent_Done,
     /*  315510 */   // Label 5834: @315510
     /*  315510 */   GIM_Try, /*On fail goto*//*Label 5835*/ GIMT_Encode4(315576), // Rule ID 14021 //
     /*  315515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  315518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  315526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  315529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  315532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  315547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315554 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } ?:{ *:[nxv8i64] }:$passthru, ?:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  315554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  315557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  315571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315574 */     GIR_RootConstrainSelectedInstOperands,
     /*  315575 */     // GIR_Coverage, 14021,
     /*  315575 */     GIR_EraseRootFromParent_Done,
     /*  315576 */   // Label 5835: @315576
     /*  315576 */   GIM_Try, /*On fail goto*//*Label 5836*/ GIMT_Encode4(315642), // Rule ID 14022 //
     /*  315581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  315592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315620 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  315623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315640 */     GIR_RootConstrainSelectedInstOperands,
     /*  315641 */     // GIR_Coverage, 14022,
     /*  315641 */     GIR_EraseRootFromParent_Done,
     /*  315642 */   // Label 5836: @315642
     /*  315642 */   GIM_Try, /*On fail goto*//*Label 5837*/ GIMT_Encode4(315708), // Rule ID 14023 //
     /*  315647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  315658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  315661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  315664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315686 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } ?:{ *:[nxv1f16] }:$passthru, ?:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /*  315689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315706 */     GIR_RootConstrainSelectedInstOperands,
     /*  315707 */     // GIR_Coverage, 14023,
     /*  315707 */     GIR_EraseRootFromParent_Done,
     /*  315708 */   // Label 5837: @315708
     /*  315708 */   GIM_Try, /*On fail goto*//*Label 5838*/ GIMT_Encode4(315774), // Rule ID 14024 //
     /*  315713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  315724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315752 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  315752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315772 */     GIR_RootConstrainSelectedInstOperands,
     /*  315773 */     // GIR_Coverage, 14024,
     /*  315773 */     GIR_EraseRootFromParent_Done,
     /*  315774 */   // Label 5838: @315774
     /*  315774 */   GIM_Try, /*On fail goto*//*Label 5839*/ GIMT_Encode4(315840), // Rule ID 14025 //
     /*  315779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  315782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  315790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  315793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  315796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315818 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } ?:{ *:[nxv2f16] }:$passthru, ?:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  315818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  315835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315838 */     GIR_RootConstrainSelectedInstOperands,
     /*  315839 */     // GIR_Coverage, 14025,
     /*  315839 */     GIR_EraseRootFromParent_Done,
     /*  315840 */   // Label 5839: @315840
     /*  315840 */   GIM_Try, /*On fail goto*//*Label 5840*/ GIMT_Encode4(315906), // Rule ID 14026 //
     /*  315845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  315848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315884 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  315884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315904 */     GIR_RootConstrainSelectedInstOperands,
     /*  315905 */     // GIR_Coverage, 14026,
     /*  315905 */     GIR_EraseRootFromParent_Done,
     /*  315906 */   // Label 5840: @315906
     /*  315906 */   GIM_Try, /*On fail goto*//*Label 5841*/ GIMT_Encode4(315972), // Rule ID 14027 //
     /*  315911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  315914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  315922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  315925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  315928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  315931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  315943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  315950 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } ?:{ *:[nxv1f32] }:$passthru, ?:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  315950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /*  315953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  315955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  315957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  315959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  315964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  315967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  315970 */     GIR_RootConstrainSelectedInstOperands,
     /*  315971 */     // GIR_Coverage, 14027,
     /*  315971 */     GIR_EraseRootFromParent_Done,
     /*  315972 */   // Label 5841: @315972
     /*  315972 */   GIM_Try, /*On fail goto*//*Label 5842*/ GIMT_Encode4(316038), // Rule ID 14028 //
     /*  315977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  315980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  315985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  315988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  315991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  315994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  315997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316016 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  316019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316036 */     GIR_RootConstrainSelectedInstOperands,
     /*  316037 */     // GIR_Coverage, 14028,
     /*  316037 */     GIR_EraseRootFromParent_Done,
     /*  316038 */   // Label 5842: @316038
     /*  316038 */   GIM_Try, /*On fail goto*//*Label 5843*/ GIMT_Encode4(316104), // Rule ID 14029 //
     /*  316043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  316046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  316054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  316057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  316060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316082 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11478:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } ?:{ *:[nxv4f16] }:$passthru, ?:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  316085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316102 */     GIR_RootConstrainSelectedInstOperands,
     /*  316103 */     // GIR_Coverage, 14029,
     /*  316103 */     GIR_EraseRootFromParent_Done,
     /*  316104 */   // Label 5843: @316104
     /*  316104 */   GIM_Try, /*On fail goto*//*Label 5844*/ GIMT_Encode4(316170), // Rule ID 14030 //
     /*  316109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  316120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  316126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  316151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316168 */     GIR_RootConstrainSelectedInstOperands,
     /*  316169 */     // GIR_Coverage, 14030,
     /*  316169 */     GIR_EraseRootFromParent_Done,
     /*  316170 */   // Label 5844: @316170
     /*  316170 */   GIM_Try, /*On fail goto*//*Label 5845*/ GIMT_Encode4(316236), // Rule ID 14031 //
     /*  316175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  316186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  316189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  316192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316214 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11478:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } ?:{ *:[nxv2f32] }:$passthru, ?:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  316217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316234 */     GIR_RootConstrainSelectedInstOperands,
     /*  316235 */     // GIR_Coverage, 14031,
     /*  316235 */     GIR_EraseRootFromParent_Done,
     /*  316236 */   // Label 5845: @316236
     /*  316236 */   GIM_Try, /*On fail goto*//*Label 5846*/ GIMT_Encode4(316302), // Rule ID 14032 //
     /*  316241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  316244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  316252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  316255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  316258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  316280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  316283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316300 */     GIR_RootConstrainSelectedInstOperands,
     /*  316301 */     // GIR_Coverage, 14032,
     /*  316301 */     GIR_EraseRootFromParent_Done,
     /*  316302 */   // Label 5846: @316302
     /*  316302 */   GIM_Try, /*On fail goto*//*Label 5847*/ GIMT_Encode4(316368), // Rule ID 14033 //
     /*  316307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  316310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  316318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  316321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  316324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  316339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316346 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11478:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } ?:{ *:[nxv1f64] }:$passthru, ?:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  316346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /*  316349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  316363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316366 */     GIR_RootConstrainSelectedInstOperands,
     /*  316367 */     // GIR_Coverage, 14033,
     /*  316367 */     GIR_EraseRootFromParent_Done,
     /*  316368 */   // Label 5847: @316368
     /*  316368 */   GIM_Try, /*On fail goto*//*Label 5848*/ GIMT_Encode4(316434), // Rule ID 14034 //
     /*  316373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  316376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  316384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316412 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316432 */     GIR_RootConstrainSelectedInstOperands,
     /*  316433 */     // GIR_Coverage, 14034,
     /*  316433 */     GIR_EraseRootFromParent_Done,
     /*  316434 */   // Label 5848: @316434
     /*  316434 */   GIM_Try, /*On fail goto*//*Label 5849*/ GIMT_Encode4(316500), // Rule ID 14035 //
     /*  316439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  316442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  316450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  316453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  316456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316478 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } ?:{ *:[nxv8f16] }:$passthru, ?:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316498 */     GIR_RootConstrainSelectedInstOperands,
     /*  316499 */     // GIR_Coverage, 14035,
     /*  316499 */     GIR_EraseRootFromParent_Done,
     /*  316500 */   // Label 5849: @316500
     /*  316500 */   GIM_Try, /*On fail goto*//*Label 5850*/ GIMT_Encode4(316566), // Rule ID 14036 //
     /*  316505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  316508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  316516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316544 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316564 */     GIR_RootConstrainSelectedInstOperands,
     /*  316565 */     // GIR_Coverage, 14036,
     /*  316565 */     GIR_EraseRootFromParent_Done,
     /*  316566 */   // Label 5850: @316566
     /*  316566 */   GIM_Try, /*On fail goto*//*Label 5851*/ GIMT_Encode4(316632), // Rule ID 14037 //
     /*  316571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  316574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  316582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  316585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  316588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316610 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } ?:{ *:[nxv16f16] }:$passthru, ?:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316630 */     GIR_RootConstrainSelectedInstOperands,
     /*  316631 */     // GIR_Coverage, 14037,
     /*  316631 */     GIR_EraseRootFromParent_Done,
     /*  316632 */   // Label 5851: @316632
     /*  316632 */   GIM_Try, /*On fail goto*//*Label 5852*/ GIMT_Encode4(316698), // Rule ID 14038 //
     /*  316637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  316640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  316648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316676 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  316676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316696 */     GIR_RootConstrainSelectedInstOperands,
     /*  316697 */     // GIR_Coverage, 14038,
     /*  316697 */     GIR_EraseRootFromParent_Done,
     /*  316698 */   // Label 5852: @316698
     /*  316698 */   GIM_Try, /*On fail goto*//*Label 5853*/ GIMT_Encode4(316764), // Rule ID 14039 //
     /*  316703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  316706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  316714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  316717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  316720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  316735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316742 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } ?:{ *:[nxv32f16] }:$passthru, ?:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  316742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  316745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  316759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316762 */     GIR_RootConstrainSelectedInstOperands,
     /*  316763 */     // GIR_Coverage, 14039,
     /*  316763 */     GIR_EraseRootFromParent_Done,
     /*  316764 */   // Label 5853: @316764
     /*  316764 */   GIM_Try, /*On fail goto*//*Label 5854*/ GIMT_Encode4(316830), // Rule ID 14040 //
     /*  316769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  316780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316828 */     GIR_RootConstrainSelectedInstOperands,
     /*  316829 */     // GIR_Coverage, 14040,
     /*  316829 */     GIR_EraseRootFromParent_Done,
     /*  316830 */   // Label 5854: @316830
     /*  316830 */   GIM_Try, /*On fail goto*//*Label 5855*/ GIMT_Encode4(316896), // Rule ID 14041 //
     /*  316835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  316846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  316849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  316852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  316867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316874 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } ?:{ *:[nxv4f32] }:$passthru, ?:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  316874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  316877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316894 */     GIR_RootConstrainSelectedInstOperands,
     /*  316895 */     // GIR_Coverage, 14041,
     /*  316895 */     GIR_EraseRootFromParent_Done,
     /*  316896 */   // Label 5855: @316896
     /*  316896 */   GIM_Try, /*On fail goto*//*Label 5856*/ GIMT_Encode4(316962), // Rule ID 14042 //
     /*  316901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  316904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  316912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  316918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  316921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  316940 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  316940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  316943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  316945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  316947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  316949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  316954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  316957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  316960 */     GIR_RootConstrainSelectedInstOperands,
     /*  316961 */     // GIR_Coverage, 14042,
     /*  316961 */     GIR_EraseRootFromParent_Done,
     /*  316962 */   // Label 5856: @316962
     /*  316962 */   GIM_Try, /*On fail goto*//*Label 5857*/ GIMT_Encode4(317028), // Rule ID 14043 //
     /*  316967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  316970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  316975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  316978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  316981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  316984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  316987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  316999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317006 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } ?:{ *:[nxv8f32] }:$passthru, ?:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  317009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317026 */     GIR_RootConstrainSelectedInstOperands,
     /*  317027 */     // GIR_Coverage, 14043,
     /*  317027 */     GIR_EraseRootFromParent_Done,
     /*  317028 */   // Label 5857: @317028
     /*  317028 */   GIM_Try, /*On fail goto*//*Label 5858*/ GIMT_Encode4(317094), // Rule ID 14044 //
     /*  317033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  317044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  317050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317072 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  317075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317092 */     GIR_RootConstrainSelectedInstOperands,
     /*  317093 */     // GIR_Coverage, 14044,
     /*  317093 */     GIR_EraseRootFromParent_Done,
     /*  317094 */   // Label 5858: @317094
     /*  317094 */   GIM_Try, /*On fail goto*//*Label 5859*/ GIMT_Encode4(317160), // Rule ID 14045 //
     /*  317099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  317110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  317113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  317116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317138 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } ?:{ *:[nxv16f32] }:$passthru, ?:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  317141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317158 */     GIR_RootConstrainSelectedInstOperands,
     /*  317159 */     // GIR_Coverage, 14045,
     /*  317159 */     GIR_EraseRootFromParent_Done,
     /*  317160 */   // Label 5859: @317160
     /*  317160 */   GIM_Try, /*On fail goto*//*Label 5860*/ GIMT_Encode4(317226), // Rule ID 14046 //
     /*  317165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  317176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  317182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317204 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  317204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  317207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317224 */     GIR_RootConstrainSelectedInstOperands,
     /*  317225 */     // GIR_Coverage, 14046,
     /*  317225 */     GIR_EraseRootFromParent_Done,
     /*  317226 */   // Label 5860: @317226
     /*  317226 */   GIM_Try, /*On fail goto*//*Label 5861*/ GIMT_Encode4(317292), // Rule ID 14047 //
     /*  317231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  317242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  317245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  317248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  317263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317270 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11478:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } ?:{ *:[nxv2f64] }:$passthru, ?:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  317270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /*  317273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317290 */     GIR_RootConstrainSelectedInstOperands,
     /*  317291 */     // GIR_Coverage, 14047,
     /*  317291 */     GIR_EraseRootFromParent_Done,
     /*  317292 */   // Label 5861: @317292
     /*  317292 */   GIM_Try, /*On fail goto*//*Label 5862*/ GIMT_Encode4(317358), // Rule ID 14048 //
     /*  317297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  317308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  317311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  317314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317336 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  317336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  317339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317356 */     GIR_RootConstrainSelectedInstOperands,
     /*  317357 */     // GIR_Coverage, 14048,
     /*  317357 */     GIR_EraseRootFromParent_Done,
     /*  317358 */   // Label 5862: @317358
     /*  317358 */   GIM_Try, /*On fail goto*//*Label 5863*/ GIMT_Encode4(317424), // Rule ID 14049 //
     /*  317363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  317374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  317377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  317380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  317395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317402 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11478:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } ?:{ *:[nxv4f64] }:$passthru, ?:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  317402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /*  317405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317422 */     GIR_RootConstrainSelectedInstOperands,
     /*  317423 */     // GIR_Coverage, 14049,
     /*  317423 */     GIR_EraseRootFromParent_Done,
     /*  317424 */   // Label 5863: @317424
     /*  317424 */   GIM_Try, /*On fail goto*//*Label 5864*/ GIMT_Encode4(317490), // Rule ID 14050 //
     /*  317429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  317432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  317440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  317446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317468 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  317468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  317471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317488 */     GIR_RootConstrainSelectedInstOperands,
     /*  317489 */     // GIR_Coverage, 14050,
     /*  317489 */     GIR_EraseRootFromParent_Done,
     /*  317490 */   // Label 5864: @317490
     /*  317490 */   GIM_Try, /*On fail goto*//*Label 5865*/ GIMT_Encode4(317556), // Rule ID 14051 //
     /*  317495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  317498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmv_v_v),
     /*  317503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  317506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  317509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  317512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  317527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317534 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11478:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } ?:{ *:[nxv8f64] }:$passthru, ?:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  317534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /*  317537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  317543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  317551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317554 */     GIR_RootConstrainSelectedInstOperands,
     /*  317555 */     // GIR_Coverage, 14051,
     /*  317555 */     GIR_EraseRootFromParent_Done,
     /*  317556 */   // Label 5865: @317556
     /*  317556 */   GIM_Try, /*On fail goto*//*Label 5866*/ GIMT_Encode4(317622), // Rule ID 19054 //
     /*  317561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  317572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  317578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317600 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  317603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317620 */     GIR_RootConstrainSelectedInstOperands,
     /*  317621 */     // GIR_Coverage, 19054,
     /*  317621 */     GIR_EraseRootFromParent_Done,
     /*  317622 */   // Label 5866: @317622
     /*  317622 */   GIM_Try, /*On fail goto*//*Label 5867*/ GIMT_Encode4(317688), // Rule ID 19055 //
     /*  317627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  317638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  317641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  317644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317666 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16),
     /*  317669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317686 */     GIR_RootConstrainSelectedInstOperands,
     /*  317687 */     // GIR_Coverage, 19055,
     /*  317687 */     GIR_EraseRootFromParent_Done,
     /*  317688 */   // Label 5867: @317688
     /*  317688 */   GIM_Try, /*On fail goto*//*Label 5868*/ GIMT_Encode4(317754), // Rule ID 19058 //
     /*  317693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  317704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317732 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  317735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317752 */     GIR_RootConstrainSelectedInstOperands,
     /*  317753 */     // GIR_Coverage, 19058,
     /*  317753 */     GIR_EraseRootFromParent_Done,
     /*  317754 */   // Label 5868: @317754
     /*  317754 */   GIM_Try, /*On fail goto*//*Label 5869*/ GIMT_Encode4(317820), // Rule ID 19059 //
     /*  317759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  317762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  317770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  317773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  317776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317798 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  317798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32),
     /*  317801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  317815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317818 */     GIR_RootConstrainSelectedInstOperands,
     /*  317819 */     // GIR_Coverage, 19059,
     /*  317819 */     GIR_EraseRootFromParent_Done,
     /*  317820 */   // Label 5869: @317820
     /*  317820 */   GIM_Try, /*On fail goto*//*Label 5870*/ GIMT_Encode4(317886), // Rule ID 19062 //
     /*  317825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  317828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  317842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317864 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  317864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  317867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317884 */     GIR_RootConstrainSelectedInstOperands,
     /*  317885 */     // GIR_Coverage, 19062,
     /*  317885 */     GIR_EraseRootFromParent_Done,
     /*  317886 */   // Label 5870: @317886
     /*  317886 */   GIM_Try, /*On fail goto*//*Label 5871*/ GIMT_Encode4(317952), // Rule ID 19063 //
     /*  317891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  317894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  317902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  317905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  317908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  317911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317930 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11261:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  317930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16),
     /*  317933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  317935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  317937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  317939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  317944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  317947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  317950 */     GIR_RootConstrainSelectedInstOperands,
     /*  317951 */     // GIR_Coverage, 19063,
     /*  317951 */     GIR_EraseRootFromParent_Done,
     /*  317952 */   // Label 5871: @317952
     /*  317952 */   GIM_Try, /*On fail goto*//*Label 5872*/ GIMT_Encode4(318018), // Rule ID 19066 //
     /*  317957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  317960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  317965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  317968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  317971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  317974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  317977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  317989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  317996 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  317996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  317999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318016 */     GIR_RootConstrainSelectedInstOperands,
     /*  318017 */     // GIR_Coverage, 19066,
     /*  318017 */     GIR_EraseRootFromParent_Done,
     /*  318018 */   // Label 5872: @318018
     /*  318018 */   GIM_Try, /*On fail goto*//*Label 5873*/ GIMT_Encode4(318084), // Rule ID 19067 //
     /*  318023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  318034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  318037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  318040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318062 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11261:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32),
     /*  318065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318082 */     GIR_RootConstrainSelectedInstOperands,
     /*  318083 */     // GIR_Coverage, 19067,
     /*  318083 */     GIR_EraseRootFromParent_Done,
     /*  318084 */   // Label 5873: @318084
     /*  318084 */   GIM_Try, /*On fail goto*//*Label 5874*/ GIMT_Encode4(318150), // Rule ID 19070 //
     /*  318089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  318092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  318100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  318128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  318131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318148 */     GIR_RootConstrainSelectedInstOperands,
     /*  318149 */     // GIR_Coverage, 19070,
     /*  318149 */     GIR_EraseRootFromParent_Done,
     /*  318150 */   // Label 5874: @318150
     /*  318150 */   GIM_Try, /*On fail goto*//*Label 5875*/ GIMT_Encode4(318216), // Rule ID 19071 //
     /*  318155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  318158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  318166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  318169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  318172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  318187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318194 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11261:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  318194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64),
     /*  318197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  318211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318214 */     GIR_RootConstrainSelectedInstOperands,
     /*  318215 */     // GIR_Coverage, 19071,
     /*  318215 */     GIR_EraseRootFromParent_Done,
     /*  318216 */   // Label 5875: @318216
     /*  318216 */   GIM_Try, /*On fail goto*//*Label 5876*/ GIMT_Encode4(318282), // Rule ID 19074 //
     /*  318221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  318232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  318235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  318238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318260 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  318260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  318263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318280 */     GIR_RootConstrainSelectedInstOperands,
     /*  318281 */     // GIR_Coverage, 19074,
     /*  318281 */     GIR_EraseRootFromParent_Done,
     /*  318282 */   // Label 5876: @318282
     /*  318282 */   GIM_Try, /*On fail goto*//*Label 5877*/ GIMT_Encode4(318348), // Rule ID 19075 //
     /*  318287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  318298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  318301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  318304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318326 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  318326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16),
     /*  318329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318346 */     GIR_RootConstrainSelectedInstOperands,
     /*  318347 */     // GIR_Coverage, 19075,
     /*  318347 */     GIR_EraseRootFromParent_Done,
     /*  318348 */   // Label 5877: @318348
     /*  318348 */   GIM_Try, /*On fail goto*//*Label 5878*/ GIMT_Encode4(318414), // Rule ID 19078 //
     /*  318353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  318364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  318370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318392 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  318392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  318395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318412 */     GIR_RootConstrainSelectedInstOperands,
     /*  318413 */     // GIR_Coverage, 19078,
     /*  318413 */     GIR_EraseRootFromParent_Done,
     /*  318414 */   // Label 5878: @318414
     /*  318414 */   GIM_Try, /*On fail goto*//*Label 5879*/ GIMT_Encode4(318480), // Rule ID 19079 //
     /*  318419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  318430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  318433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  318436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318458 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  318458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16),
     /*  318461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318478 */     GIR_RootConstrainSelectedInstOperands,
     /*  318479 */     // GIR_Coverage, 19079,
     /*  318479 */     GIR_EraseRootFromParent_Done,
     /*  318480 */   // Label 5879: @318480
     /*  318480 */   GIM_Try, /*On fail goto*//*Label 5880*/ GIMT_Encode4(318546), // Rule ID 19082 //
     /*  318485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  318488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  318496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  318502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318524 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  318524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  318527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318544 */     GIR_RootConstrainSelectedInstOperands,
     /*  318545 */     // GIR_Coverage, 19082,
     /*  318545 */     GIR_EraseRootFromParent_Done,
     /*  318546 */   // Label 5880: @318546
     /*  318546 */   GIM_Try, /*On fail goto*//*Label 5881*/ GIMT_Encode4(318612), // Rule ID 19083 //
     /*  318551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  318554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  318562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  318565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  318568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318590 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  318590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16),
     /*  318593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  318607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318610 */     GIR_RootConstrainSelectedInstOperands,
     /*  318611 */     // GIR_Coverage, 19083,
     /*  318611 */     GIR_EraseRootFromParent_Done,
     /*  318612 */   // Label 5881: @318612
     /*  318612 */   GIM_Try, /*On fail goto*//*Label 5882*/ GIMT_Encode4(318678), // Rule ID 19086 //
     /*  318617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  318628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  318634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318656 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  318659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318676 */     GIR_RootConstrainSelectedInstOperands,
     /*  318677 */     // GIR_Coverage, 19086,
     /*  318677 */     GIR_EraseRootFromParent_Done,
     /*  318678 */   // Label 5882: @318678
     /*  318678 */   GIM_Try, /*On fail goto*//*Label 5883*/ GIMT_Encode4(318744), // Rule ID 19087 //
     /*  318683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  318694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  318697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  318700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  318715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318722 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32),
     /*  318725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318742 */     GIR_RootConstrainSelectedInstOperands,
     /*  318743 */     // GIR_Coverage, 19087,
     /*  318743 */     GIR_EraseRootFromParent_Done,
     /*  318744 */   // Label 5883: @318744
     /*  318744 */   GIM_Try, /*On fail goto*//*Label 5884*/ GIMT_Encode4(318810), // Rule ID 19090 //
     /*  318749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  318766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318788 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  318791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318808 */     GIR_RootConstrainSelectedInstOperands,
     /*  318809 */     // GIR_Coverage, 19090,
     /*  318809 */     GIR_EraseRootFromParent_Done,
     /*  318810 */   // Label 5884: @318810
     /*  318810 */   GIM_Try, /*On fail goto*//*Label 5885*/ GIMT_Encode4(318876), // Rule ID 19091 //
     /*  318815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  318826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  318829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  318832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  318847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318854 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32),
     /*  318857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318874 */     GIR_RootConstrainSelectedInstOperands,
     /*  318875 */     // GIR_Coverage, 19091,
     /*  318875 */     GIR_EraseRootFromParent_Done,
     /*  318876 */   // Label 5885: @318876
     /*  318876 */   GIM_Try, /*On fail goto*//*Label 5886*/ GIMT_Encode4(318942), // Rule ID 19094 //
     /*  318881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  318884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  318892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  318898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  318901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318920 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  318920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  318923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  318934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  318937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  318940 */     GIR_RootConstrainSelectedInstOperands,
     /*  318941 */     // GIR_Coverage, 19094,
     /*  318941 */     GIR_EraseRootFromParent_Done,
     /*  318942 */   // Label 5886: @318942
     /*  318942 */   GIM_Try, /*On fail goto*//*Label 5887*/ GIMT_Encode4(319008), // Rule ID 19095 //
     /*  318947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  318950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  318955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  318958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  318961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  318964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  318967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  318979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  318986 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  318986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32),
     /*  318989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  318991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  318993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  318995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  319006 */     GIR_RootConstrainSelectedInstOperands,
     /*  319007 */     // GIR_Coverage, 19095,
     /*  319007 */     GIR_EraseRootFromParent_Done,
     /*  319008 */   // Label 5887: @319008
     /*  319008 */   GIM_Try, /*On fail goto*//*Label 5888*/ GIMT_Encode4(319074), // Rule ID 19098 //
     /*  319013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  319021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  319024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319052 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  319052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  319055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  319059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  319072 */     GIR_RootConstrainSelectedInstOperands,
     /*  319073 */     // GIR_Coverage, 19098,
     /*  319073 */     GIR_EraseRootFromParent_Done,
     /*  319074 */   // Label 5888: @319074
     /*  319074 */   GIM_Try, /*On fail goto*//*Label 5889*/ GIMT_Encode4(319140), // Rule ID 19099 //
     /*  319079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  319087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  319090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  319093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  319096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  319111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319118 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11261:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  319118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64),
     /*  319121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  319125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  319138 */     GIR_RootConstrainSelectedInstOperands,
     /*  319139 */     // GIR_Coverage, 19099,
     /*  319139 */     GIR_EraseRootFromParent_Done,
     /*  319140 */   // Label 5889: @319140
     /*  319140 */   GIM_Try, /*On fail goto*//*Label 5890*/ GIMT_Encode4(319206), // Rule ID 19102 //
     /*  319145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  319153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  319156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  319162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319184 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  319184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  319187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  319191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  319204 */     GIR_RootConstrainSelectedInstOperands,
     /*  319205 */     // GIR_Coverage, 19102,
     /*  319205 */     GIR_EraseRootFromParent_Done,
     /*  319206 */   // Label 5890: @319206
     /*  319206 */   GIM_Try, /*On fail goto*//*Label 5891*/ GIMT_Encode4(319272), // Rule ID 19103 //
     /*  319211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  319219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  319222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  319225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  319228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  319243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319250 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11261:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  319250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64),
     /*  319253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  319257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  319270 */     GIR_RootConstrainSelectedInstOperands,
     /*  319271 */     // GIR_Coverage, 19103,
     /*  319271 */     GIR_EraseRootFromParent_Done,
     /*  319272 */   // Label 5891: @319272
     /*  319272 */   GIM_Try, /*On fail goto*//*Label 5892*/ GIMT_Encode4(319338), // Rule ID 19106 //
     /*  319277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  319280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  319285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  319288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  319291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  319294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319316 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  319316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  319319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  319323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  319336 */     GIR_RootConstrainSelectedInstOperands,
     /*  319337 */     // GIR_Coverage, 19106,
     /*  319337 */     GIR_EraseRootFromParent_Done,
     /*  319338 */   // Label 5892: @319338
     /*  319338 */   GIM_Try, /*On fail goto*//*Label 5893*/ GIMT_Encode4(319404), // Rule ID 19107 //
     /*  319343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  319346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7),
     /*  319351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  319354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  319357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  319360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  319375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319382 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11261:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSQRT7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  319382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64),
     /*  319385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  319389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  319399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  319402 */     GIR_RootConstrainSelectedInstOperands,
     /*  319403 */     // GIR_Coverage, 19107,
     /*  319403 */     GIR_EraseRootFromParent_Done,
     /*  319404 */   // Label 5893: @319404
     /*  319404 */   GIM_Try, /*On fail goto*//*Label 5894*/ GIMT_Encode4(319467), // Rule ID 19770 //
     /*  319409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319448 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  319451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319465 */     GIR_RootConstrainSelectedInstOperands,
     /*  319466 */     // GIR_Coverage, 19770,
     /*  319466 */     GIR_EraseRootFromParent_Done,
     /*  319467 */   // Label 5894: @319467
     /*  319467 */   GIM_Try, /*On fail goto*//*Label 5895*/ GIMT_Encode4(319530), // Rule ID 19771 //
     /*  319472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  319486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  319489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319511 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /*  319514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319528 */     GIR_RootConstrainSelectedInstOperands,
     /*  319529 */     // GIR_Coverage, 19771,
     /*  319529 */     GIR_EraseRootFromParent_Done,
     /*  319530 */   // Label 5895: @319530
     /*  319530 */   GIM_Try, /*On fail goto*//*Label 5896*/ GIMT_Encode4(319593), // Rule ID 19774 //
     /*  319535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319574 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319591 */     GIR_RootConstrainSelectedInstOperands,
     /*  319592 */     // GIR_Coverage, 19774,
     /*  319592 */     GIR_EraseRootFromParent_Done,
     /*  319593 */   // Label 5896: @319593
     /*  319593 */   GIM_Try, /*On fail goto*//*Label 5897*/ GIMT_Encode4(319656), // Rule ID 19775 //
     /*  319598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  319612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  319615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319637 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319654 */     GIR_RootConstrainSelectedInstOperands,
     /*  319655 */     // GIR_Coverage, 19775,
     /*  319655 */     GIR_EraseRootFromParent_Done,
     /*  319656 */   // Label 5897: @319656
     /*  319656 */   GIM_Try, /*On fail goto*//*Label 5898*/ GIMT_Encode4(319719), // Rule ID 19778 //
     /*  319661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319700 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319717 */     GIR_RootConstrainSelectedInstOperands,
     /*  319718 */     // GIR_Coverage, 19778,
     /*  319718 */     GIR_EraseRootFromParent_Done,
     /*  319719 */   // Label 5898: @319719
     /*  319719 */   GIM_Try, /*On fail goto*//*Label 5899*/ GIMT_Encode4(319782), // Rule ID 19779 //
     /*  319724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  319735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  319738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  319741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319763 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  319763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /*  319766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319780 */     GIR_RootConstrainSelectedInstOperands,
     /*  319781 */     // GIR_Coverage, 19779,
     /*  319781 */     GIR_EraseRootFromParent_Done,
     /*  319782 */   // Label 5899: @319782
     /*  319782 */   GIM_Try, /*On fail goto*//*Label 5900*/ GIMT_Encode4(319845), // Rule ID 19782 //
     /*  319787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  319790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319826 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  319826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319843 */     GIR_RootConstrainSelectedInstOperands,
     /*  319844 */     // GIR_Coverage, 19782,
     /*  319844 */     GIR_EraseRootFromParent_Done,
     /*  319845 */   // Label 5900: @319845
     /*  319845 */   GIM_Try, /*On fail goto*//*Label 5901*/ GIMT_Encode4(319908), // Rule ID 19783 //
     /*  319850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  319853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  319861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  319864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  319867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319889 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  319889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  319906 */     GIR_RootConstrainSelectedInstOperands,
     /*  319907 */     // GIR_Coverage, 19783,
     /*  319907 */     GIR_EraseRootFromParent_Done,
     /*  319908 */   // Label 5901: @319908
     /*  319908 */   GIM_Try, /*On fail goto*//*Label 5902*/ GIMT_Encode4(319971), // Rule ID 19786 //
     /*  319913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  319916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  319930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  319933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  319945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  319952 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  319952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  319955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  319957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  319959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  319961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  319966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  319969 */     GIR_RootConstrainSelectedInstOperands,
     /*  319970 */     // GIR_Coverage, 19786,
     /*  319970 */     GIR_EraseRootFromParent_Done,
     /*  319971 */   // Label 5902: @319971
     /*  319971 */   GIM_Try, /*On fail goto*//*Label 5903*/ GIMT_Encode4(320034), // Rule ID 19787 //
     /*  319976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  319979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  319984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  319987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  319990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  319993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  319996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320015 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  320018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320032 */     GIR_RootConstrainSelectedInstOperands,
     /*  320033 */     // GIR_Coverage, 19787,
     /*  320033 */     GIR_EraseRootFromParent_Done,
     /*  320034 */   // Label 5903: @320034
     /*  320034 */   GIM_Try, /*On fail goto*//*Label 5904*/ GIMT_Encode4(320097), // Rule ID 19790 //
     /*  320039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  320056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320078 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  320081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320095 */     GIR_RootConstrainSelectedInstOperands,
     /*  320096 */     // GIR_Coverage, 19790,
     /*  320096 */     GIR_EraseRootFromParent_Done,
     /*  320097 */   // Label 5904: @320097
     /*  320097 */   GIM_Try, /*On fail goto*//*Label 5905*/ GIMT_Encode4(320160), // Rule ID 19791 //
     /*  320102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  320113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  320116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  320119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320141 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  320141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /*  320144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320158 */     GIR_RootConstrainSelectedInstOperands,
     /*  320159 */     // GIR_Coverage, 19791,
     /*  320159 */     GIR_EraseRootFromParent_Done,
     /*  320160 */   // Label 5905: @320160
     /*  320160 */   GIM_Try, /*On fail goto*//*Label 5906*/ GIMT_Encode4(320223), // Rule ID 19794 //
     /*  320165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  320179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  320182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320204 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320221 */     GIR_RootConstrainSelectedInstOperands,
     /*  320222 */     // GIR_Coverage, 19794,
     /*  320222 */     GIR_EraseRootFromParent_Done,
     /*  320223 */   // Label 5906: @320223
     /*  320223 */   GIM_Try, /*On fail goto*//*Label 5907*/ GIMT_Encode4(320286), // Rule ID 19795 //
     /*  320228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  320242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  320245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320267 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320284 */     GIR_RootConstrainSelectedInstOperands,
     /*  320285 */     // GIR_Coverage, 19795,
     /*  320285 */     GIR_EraseRootFromParent_Done,
     /*  320286 */   // Label 5907: @320286
     /*  320286 */   GIM_Try, /*On fail goto*//*Label 5908*/ GIMT_Encode4(320349), // Rule ID 19798 //
     /*  320291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  320305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  320308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320330 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320347 */     GIR_RootConstrainSelectedInstOperands,
     /*  320348 */     // GIR_Coverage, 19798,
     /*  320348 */     GIR_EraseRootFromParent_Done,
     /*  320349 */   // Label 5908: @320349
     /*  320349 */   GIM_Try, /*On fail goto*//*Label 5909*/ GIMT_Encode4(320412), // Rule ID 19799 //
     /*  320354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  320368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  320371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320393 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320410 */     GIR_RootConstrainSelectedInstOperands,
     /*  320411 */     // GIR_Coverage, 19799,
     /*  320411 */     GIR_EraseRootFromParent_Done,
     /*  320412 */   // Label 5909: @320412
     /*  320412 */   GIM_Try, /*On fail goto*//*Label 5910*/ GIMT_Encode4(320475), // Rule ID 19802 //
     /*  320417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  320420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  320434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320456 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  320456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320473 */     GIR_RootConstrainSelectedInstOperands,
     /*  320474 */     // GIR_Coverage, 19802,
     /*  320474 */     GIR_EraseRootFromParent_Done,
     /*  320475 */   // Label 5910: @320475
     /*  320475 */   GIM_Try, /*On fail goto*//*Label 5911*/ GIMT_Encode4(320538), // Rule ID 19803 //
     /*  320480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  320483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  320491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  320494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  320497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320519 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  320519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  320536 */     GIR_RootConstrainSelectedInstOperands,
     /*  320537 */     // GIR_Coverage, 19803,
     /*  320537 */     GIR_EraseRootFromParent_Done,
     /*  320538 */   // Label 5911: @320538
     /*  320538 */   GIM_Try, /*On fail goto*//*Label 5912*/ GIMT_Encode4(320601), // Rule ID 19806 //
     /*  320543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  320560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320582 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320599 */     GIR_RootConstrainSelectedInstOperands,
     /*  320600 */     // GIR_Coverage, 19806,
     /*  320600 */     GIR_EraseRootFromParent_Done,
     /*  320601 */   // Label 5912: @320601
     /*  320601 */   GIM_Try, /*On fail goto*//*Label 5913*/ GIMT_Encode4(320664), // Rule ID 19807 //
     /*  320606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  320617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  320620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  320623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320645 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320662 */     GIR_RootConstrainSelectedInstOperands,
     /*  320663 */     // GIR_Coverage, 19807,
     /*  320663 */     GIR_EraseRootFromParent_Done,
     /*  320664 */   // Label 5913: @320664
     /*  320664 */   GIM_Try, /*On fail goto*//*Label 5914*/ GIMT_Encode4(320727), // Rule ID 19810 //
     /*  320669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320708 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320725 */     GIR_RootConstrainSelectedInstOperands,
     /*  320726 */     // GIR_Coverage, 19810,
     /*  320726 */     GIR_EraseRootFromParent_Done,
     /*  320727 */   // Label 5914: @320727
     /*  320727 */   GIM_Try, /*On fail goto*//*Label 5915*/ GIMT_Encode4(320790), // Rule ID 19811 //
     /*  320732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  320743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  320746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  320749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  320764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320771 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  320774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320788 */     GIR_RootConstrainSelectedInstOperands,
     /*  320789 */     // GIR_Coverage, 19811,
     /*  320789 */     GIR_EraseRootFromParent_Done,
     /*  320790 */   // Label 5915: @320790
     /*  320790 */   GIM_Try, /*On fail goto*//*Label 5916*/ GIMT_Encode4(320853), // Rule ID 19814 //
     /*  320795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  320798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320834 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  320834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320851 */     GIR_RootConstrainSelectedInstOperands,
     /*  320852 */     // GIR_Coverage, 19814,
     /*  320852 */     GIR_EraseRootFromParent_Done,
     /*  320853 */   // Label 5916: @320853
     /*  320853 */   GIM_Try, /*On fail goto*//*Label 5917*/ GIMT_Encode4(320916), // Rule ID 19815 //
     /*  320858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  320861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  320869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  320872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  320875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  320878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  320890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320897 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  320897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  320900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  320914 */     GIR_RootConstrainSelectedInstOperands,
     /*  320915 */     // GIR_Coverage, 19815,
     /*  320915 */     GIR_EraseRootFromParent_Done,
     /*  320916 */   // Label 5917: @320916
     /*  320916 */   GIM_Try, /*On fail goto*//*Label 5918*/ GIMT_Encode4(320979), // Rule ID 19818 //
     /*  320921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  320924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  320938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  320941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  320945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  320953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  320960 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  320960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  320963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  320965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  320967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  320969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  320974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  320977 */     GIR_RootConstrainSelectedInstOperands,
     /*  320978 */     // GIR_Coverage, 19818,
     /*  320978 */     GIR_EraseRootFromParent_Done,
     /*  320979 */   // Label 5918: @320979
     /*  320979 */   GIM_Try, /*On fail goto*//*Label 5919*/ GIMT_Encode4(321042), // Rule ID 19819 //
     /*  320984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  320987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  320992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  320995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  320998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  321001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  321016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321023 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /*  321026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321040 */     GIR_RootConstrainSelectedInstOperands,
     /*  321041 */     // GIR_Coverage, 19819,
     /*  321041 */     GIR_EraseRootFromParent_Done,
     /*  321042 */   // Label 5919: @321042
     /*  321042 */   GIM_Try, /*On fail goto*//*Label 5920*/ GIMT_Encode4(321105), // Rule ID 19822 //
     /*  321047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  321064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321086 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  321089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321103 */     GIR_RootConstrainSelectedInstOperands,
     /*  321104 */     // GIR_Coverage, 19822,
     /*  321104 */     GIR_EraseRootFromParent_Done,
     /*  321105 */   // Label 5920: @321105
     /*  321105 */   GIM_Try, /*On fail goto*//*Label 5921*/ GIMT_Encode4(321168), // Rule ID 19823 //
     /*  321110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  321124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  321127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  321142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321149 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /*  321152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321166 */     GIR_RootConstrainSelectedInstOperands,
     /*  321167 */     // GIR_Coverage, 19823,
     /*  321167 */     GIR_EraseRootFromParent_Done,
     /*  321168 */   // Label 5921: @321168
     /*  321168 */   GIM_Try, /*On fail goto*//*Label 5922*/ GIMT_Encode4(321231), // Rule ID 19826 //
     /*  321173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  321187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  321190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321212 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  321215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321229 */     GIR_RootConstrainSelectedInstOperands,
     /*  321230 */     // GIR_Coverage, 19826,
     /*  321230 */     GIR_EraseRootFromParent_Done,
     /*  321231 */   // Label 5922: @321231
     /*  321231 */   GIM_Try, /*On fail goto*//*Label 5923*/ GIMT_Encode4(321294), // Rule ID 19827 //
     /*  321236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  321247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  321250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  321253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  321268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321275 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  321275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /*  321278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321292 */     GIR_RootConstrainSelectedInstOperands,
     /*  321293 */     // GIR_Coverage, 19827,
     /*  321293 */     GIR_EraseRootFromParent_Done,
     /*  321294 */   // Label 5923: @321294
     /*  321294 */   GIM_Try, /*On fail goto*//*Label 5924*/ GIMT_Encode4(321357), // Rule ID 19830 //
     /*  321299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  321313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321338 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  321341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321355 */     GIR_RootConstrainSelectedInstOperands,
     /*  321356 */     // GIR_Coverage, 19830,
     /*  321356 */     GIR_EraseRootFromParent_Done,
     /*  321357 */   // Label 5924: @321357
     /*  321357 */   GIM_Try, /*On fail goto*//*Label 5925*/ GIMT_Encode4(321420), // Rule ID 19831 //
     /*  321362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  321376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321401 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4),
     /*  321404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321418 */     GIR_RootConstrainSelectedInstOperands,
     /*  321419 */     // GIR_Coverage, 19831,
     /*  321419 */     GIR_EraseRootFromParent_Done,
     /*  321420 */   // Label 5925: @321420
     /*  321420 */   GIM_Try, /*On fail goto*//*Label 5926*/ GIMT_Encode4(321483), // Rule ID 19834 //
     /*  321425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321464 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  321467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321481 */     GIR_RootConstrainSelectedInstOperands,
     /*  321482 */     // GIR_Coverage, 19834,
     /*  321482 */     GIR_EraseRootFromParent_Done,
     /*  321483 */   // Label 5926: @321483
     /*  321483 */   GIM_Try, /*On fail goto*//*Label 5927*/ GIMT_Encode4(321546), // Rule ID 19835 //
     /*  321488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  321502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321527 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2),
     /*  321530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321544 */     GIR_RootConstrainSelectedInstOperands,
     /*  321545 */     // GIR_Coverage, 19835,
     /*  321545 */     GIR_EraseRootFromParent_Done,
     /*  321546 */   // Label 5927: @321546
     /*  321546 */   GIM_Try, /*On fail goto*//*Label 5928*/ GIMT_Encode4(321609), // Rule ID 19838 //
     /*  321551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321590 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  321593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321607 */     GIR_RootConstrainSelectedInstOperands,
     /*  321608 */     // GIR_Coverage, 19838,
     /*  321608 */     GIR_EraseRootFromParent_Done,
     /*  321609 */   // Label 5928: @321609
     /*  321609 */   GIM_Try, /*On fail goto*//*Label 5929*/ GIMT_Encode4(321672), // Rule ID 19839 //
     /*  321614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  321628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2),
     /*  321656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321670 */     GIR_RootConstrainSelectedInstOperands,
     /*  321671 */     // GIR_Coverage, 19839,
     /*  321671 */     GIR_EraseRootFromParent_Done,
     /*  321672 */   // Label 5929: @321672
     /*  321672 */   GIM_Try, /*On fail goto*//*Label 5930*/ GIMT_Encode4(321735), // Rule ID 19842 //
     /*  321677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  321680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321716 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  321716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  321719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321733 */     GIR_RootConstrainSelectedInstOperands,
     /*  321734 */     // GIR_Coverage, 19842,
     /*  321734 */     GIR_EraseRootFromParent_Done,
     /*  321735 */   // Label 5930: @321735
     /*  321735 */   GIM_Try, /*On fail goto*//*Label 5931*/ GIMT_Encode4(321798), // Rule ID 19843 //
     /*  321740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  321743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  321751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  321754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  321757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  321772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321779 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  321779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1),
     /*  321782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  321796 */     GIR_RootConstrainSelectedInstOperands,
     /*  321797 */     // GIR_Coverage, 19843,
     /*  321797 */     GIR_EraseRootFromParent_Done,
     /*  321798 */   // Label 5931: @321798
     /*  321798 */   GIM_Try, /*On fail goto*//*Label 5932*/ GIMT_Encode4(321861), // Rule ID 19846 //
     /*  321803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  321806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321842 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  321842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  321845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321859 */     GIR_RootConstrainSelectedInstOperands,
     /*  321860 */     // GIR_Coverage, 19846,
     /*  321860 */     GIR_EraseRootFromParent_Done,
     /*  321861 */   // Label 5932: @321861
     /*  321861 */   GIM_Try, /*On fail goto*//*Label 5933*/ GIMT_Encode4(321924), // Rule ID 19847 //
     /*  321866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  321869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  321877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  321880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  321883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  321886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  321898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321905 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  321905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1),
     /*  321908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  321922 */     GIR_RootConstrainSelectedInstOperands,
     /*  321923 */     // GIR_Coverage, 19847,
     /*  321923 */     GIR_EraseRootFromParent_Done,
     /*  321924 */   // Label 5933: @321924
     /*  321924 */   GIM_Try, /*On fail goto*//*Label 5934*/ GIMT_Encode4(321987), // Rule ID 19850 //
     /*  321929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  321932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  321937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  321940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  321943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  321946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  321949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  321957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  321961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  321968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  321968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  321971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  321973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  321975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  321977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  321982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  321985 */     GIR_RootConstrainSelectedInstOperands,
     /*  321986 */     // GIR_Coverage, 19850,
     /*  321986 */     GIR_EraseRootFromParent_Done,
     /*  321987 */   // Label 5934: @321987
     /*  321987 */   GIM_Try, /*On fail goto*//*Label 5935*/ GIMT_Encode4(322050), // Rule ID 19851 //
     /*  321992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  321995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  322003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  322006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322031 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11420:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1),
     /*  322034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322048 */     GIR_RootConstrainSelectedInstOperands,
     /*  322049 */     // GIR_Coverage, 19851,
     /*  322049 */     GIR_EraseRootFromParent_Done,
     /*  322050 */   // Label 5935: @322050
     /*  322050 */   GIM_Try, /*On fail goto*//*Label 5936*/ GIMT_Encode4(322113), // Rule ID 19854 //
     /*  322055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322094 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  322097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322111 */     GIR_RootConstrainSelectedInstOperands,
     /*  322112 */     // GIR_Coverage, 19854,
     /*  322112 */     GIR_EraseRootFromParent_Done,
     /*  322113 */   // Label 5936: @322113
     /*  322113 */   GIM_Try, /*On fail goto*//*Label 5937*/ GIMT_Encode4(322176), // Rule ID 19855 //
     /*  322118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  322132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322157 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2),
     /*  322160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322174 */     GIR_RootConstrainSelectedInstOperands,
     /*  322175 */     // GIR_Coverage, 19855,
     /*  322175 */     GIR_EraseRootFromParent_Done,
     /*  322176 */   // Label 5937: @322176
     /*  322176 */   GIM_Try, /*On fail goto*//*Label 5938*/ GIMT_Encode4(322239), // Rule ID 19858 //
     /*  322181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  322195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  322223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322237 */     GIR_RootConstrainSelectedInstOperands,
     /*  322238 */     // GIR_Coverage, 19858,
     /*  322238 */     GIR_EraseRootFromParent_Done,
     /*  322239 */   // Label 5938: @322239
     /*  322239 */   GIM_Try, /*On fail goto*//*Label 5939*/ GIMT_Encode4(322302), // Rule ID 19859 //
     /*  322244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  322258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322283 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4),
     /*  322286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322300 */     GIR_RootConstrainSelectedInstOperands,
     /*  322301 */     // GIR_Coverage, 19859,
     /*  322301 */     GIR_EraseRootFromParent_Done,
     /*  322302 */   // Label 5939: @322302
     /*  322302 */   GIM_Try, /*On fail goto*//*Label 5940*/ GIMT_Encode4(322365), // Rule ID 19862 //
     /*  322307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  322310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  322318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  322321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322346 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  322346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  322349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322363 */     GIR_RootConstrainSelectedInstOperands,
     /*  322364 */     // GIR_Coverage, 19862,
     /*  322364 */     GIR_EraseRootFromParent_Done,
     /*  322365 */   // Label 5940: @322365
     /*  322365 */   GIM_Try, /*On fail goto*//*Label 5941*/ GIMT_Encode4(322428), // Rule ID 19863 //
     /*  322370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  322373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  322381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  322384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  322387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  322402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322409 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  322409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8),
     /*  322412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  322426 */     GIR_RootConstrainSelectedInstOperands,
     /*  322427 */     // GIR_Coverage, 19863,
     /*  322427 */     GIR_EraseRootFromParent_Done,
     /*  322428 */   // Label 5941: @322428
     /*  322428 */   GIM_Try, /*On fail goto*//*Label 5942*/ GIMT_Encode4(322491), // Rule ID 19866 //
     /*  322433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322472 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  322475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322489 */     GIR_RootConstrainSelectedInstOperands,
     /*  322490 */     // GIR_Coverage, 19866,
     /*  322490 */     GIR_EraseRootFromParent_Done,
     /*  322491 */   // Label 5942: @322491
     /*  322491 */   GIM_Try, /*On fail goto*//*Label 5943*/ GIMT_Encode4(322554), // Rule ID 19867 //
     /*  322496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  322510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322535 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2),
     /*  322538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322552 */     GIR_RootConstrainSelectedInstOperands,
     /*  322553 */     // GIR_Coverage, 19867,
     /*  322553 */     GIR_EraseRootFromParent_Done,
     /*  322554 */   // Label 5943: @322554
     /*  322554 */   GIM_Try, /*On fail goto*//*Label 5944*/ GIMT_Encode4(322617), // Rule ID 19870 //
     /*  322559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  322601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322615 */     GIR_RootConstrainSelectedInstOperands,
     /*  322616 */     // GIR_Coverage, 19870,
     /*  322616 */     GIR_EraseRootFromParent_Done,
     /*  322617 */   // Label 5944: @322617
     /*  322617 */   GIM_Try, /*On fail goto*//*Label 5945*/ GIMT_Encode4(322680), // Rule ID 19871 //
     /*  322622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  322633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  322636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322661 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4),
     /*  322664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322678 */     GIR_RootConstrainSelectedInstOperands,
     /*  322679 */     // GIR_Coverage, 19871,
     /*  322679 */     GIR_EraseRootFromParent_Done,
     /*  322680 */   // Label 5945: @322680
     /*  322680 */   GIM_Try, /*On fail goto*//*Label 5946*/ GIMT_Encode4(322743), // Rule ID 19874 //
     /*  322685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  322688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322724 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  322724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  322727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322741 */     GIR_RootConstrainSelectedInstOperands,
     /*  322742 */     // GIR_Coverage, 19874,
     /*  322742 */     GIR_EraseRootFromParent_Done,
     /*  322743 */   // Label 5946: @322743
     /*  322743 */   GIM_Try, /*On fail goto*//*Label 5947*/ GIMT_Encode4(322806), // Rule ID 19875 //
     /*  322748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  322751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  322759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  322762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  322765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  322776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  322780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322787 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  322787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8),
     /*  322790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  322804 */     GIR_RootConstrainSelectedInstOperands,
     /*  322805 */     // GIR_Coverage, 19875,
     /*  322805 */     GIR_EraseRootFromParent_Done,
     /*  322806 */   // Label 5947: @322806
     /*  322806 */   GIM_Try, /*On fail goto*//*Label 5948*/ GIMT_Encode4(322869), // Rule ID 19878 //
     /*  322811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  322853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322867 */     GIR_RootConstrainSelectedInstOperands,
     /*  322868 */     // GIR_Coverage, 19878,
     /*  322868 */     GIR_EraseRootFromParent_Done,
     /*  322869 */   // Label 5948: @322869
     /*  322869 */   GIM_Try, /*On fail goto*//*Label 5949*/ GIMT_Encode4(322932), // Rule ID 19879 //
     /*  322874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  322877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  322885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  322888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  322894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  322902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322913 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11420:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  322913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2),
     /*  322916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322930 */     GIR_RootConstrainSelectedInstOperands,
     /*  322931 */     // GIR_Coverage, 19879,
     /*  322931 */     GIR_EraseRootFromParent_Done,
     /*  322932 */   // Label 5949: @322932
     /*  322932 */   GIM_Try, /*On fail goto*//*Label 5950*/ GIMT_Encode4(322995), // Rule ID 19882 //
     /*  322937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  322940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  322945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  322948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  322951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  322954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  322957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  322961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  322965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  322969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  322976 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  322976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  322979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  322981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  322983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  322985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  322990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  322993 */     GIR_RootConstrainSelectedInstOperands,
     /*  322994 */     // GIR_Coverage, 19882,
     /*  322994 */     GIR_EraseRootFromParent_Done,
     /*  322995 */   // Label 5950: @322995
     /*  322995 */   GIM_Try, /*On fail goto*//*Label 5951*/ GIMT_Encode4(323058), // Rule ID 19883 //
     /*  323000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  323008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  323014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  323028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323039 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11420:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4),
     /*  323042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323056 */     GIR_RootConstrainSelectedInstOperands,
     /*  323057 */     // GIR_Coverage, 19883,
     /*  323057 */     GIR_EraseRootFromParent_Done,
     /*  323058 */   // Label 5951: @323058
     /*  323058 */   GIM_Try, /*On fail goto*//*Label 5952*/ GIMT_Encode4(323121), // Rule ID 19886 //
     /*  323063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  323071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  323105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323119 */     GIR_RootConstrainSelectedInstOperands,
     /*  323120 */     // GIR_Coverage, 19886,
     /*  323120 */     GIR_EraseRootFromParent_Done,
     /*  323121 */   // Label 5952: @323121
     /*  323121 */   GIM_Try, /*On fail goto*//*Label 5953*/ GIMT_Encode4(323184), // Rule ID 19887 //
     /*  323126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq),
     /*  323134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  323140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  323143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  323154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  323158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323165 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11420:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8),
     /*  323168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323182 */     GIR_RootConstrainSelectedInstOperands,
     /*  323183 */     // GIR_Coverage, 19887,
     /*  323183 */     GIR_EraseRootFromParent_Done,
     /*  323184 */   // Label 5953: @323184
     /*  323184 */   GIM_Try, /*On fail goto*//*Label 5954*/ GIMT_Encode4(323247), // Rule ID 19890 //
     /*  323189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  323203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  323206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323228 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  323231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323245 */     GIR_RootConstrainSelectedInstOperands,
     /*  323246 */     // GIR_Coverage, 19890,
     /*  323246 */     GIR_EraseRootFromParent_Done,
     /*  323247 */   // Label 5954: @323247
     /*  323247 */   GIM_Try, /*On fail goto*//*Label 5955*/ GIMT_Encode4(323310), // Rule ID 19891 //
     /*  323252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  323266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  323269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323291 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  323294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323308 */     GIR_RootConstrainSelectedInstOperands,
     /*  323309 */     // GIR_Coverage, 19891,
     /*  323309 */     GIR_EraseRootFromParent_Done,
     /*  323310 */   // Label 5955: @323310
     /*  323310 */   GIM_Try, /*On fail goto*//*Label 5956*/ GIMT_Encode4(323373), // Rule ID 19894 //
     /*  323315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  323332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323354 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  323357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323371 */     GIR_RootConstrainSelectedInstOperands,
     /*  323372 */     // GIR_Coverage, 19894,
     /*  323372 */     GIR_EraseRootFromParent_Done,
     /*  323373 */   // Label 5956: @323373
     /*  323373 */   GIM_Try, /*On fail goto*//*Label 5957*/ GIMT_Encode4(323436), // Rule ID 19895 //
     /*  323378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  323392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  323395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323417 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  323420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323434 */     GIR_RootConstrainSelectedInstOperands,
     /*  323435 */     // GIR_Coverage, 19895,
     /*  323435 */     GIR_EraseRootFromParent_Done,
     /*  323436 */   // Label 5957: @323436
     /*  323436 */   GIM_Try, /*On fail goto*//*Label 5958*/ GIMT_Encode4(323499), // Rule ID 19898 //
     /*  323441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  323458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323480 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  323483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323497 */     GIR_RootConstrainSelectedInstOperands,
     /*  323498 */     // GIR_Coverage, 19898,
     /*  323498 */     GIR_EraseRootFromParent_Done,
     /*  323499 */   // Label 5958: @323499
     /*  323499 */   GIM_Try, /*On fail goto*//*Label 5959*/ GIMT_Encode4(323562), // Rule ID 19899 //
     /*  323504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  323518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  323521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323543 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  323546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323560 */     GIR_RootConstrainSelectedInstOperands,
     /*  323561 */     // GIR_Coverage, 19899,
     /*  323561 */     GIR_EraseRootFromParent_Done,
     /*  323562 */   // Label 5959: @323562
     /*  323562 */   GIM_Try, /*On fail goto*//*Label 5960*/ GIMT_Encode4(323625), // Rule ID 19902 //
     /*  323567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  323584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323606 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323623 */     GIR_RootConstrainSelectedInstOperands,
     /*  323624 */     // GIR_Coverage, 19902,
     /*  323624 */     GIR_EraseRootFromParent_Done,
     /*  323625 */   // Label 5960: @323625
     /*  323625 */   GIM_Try, /*On fail goto*//*Label 5961*/ GIMT_Encode4(323688), // Rule ID 19903 //
     /*  323630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  323633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  323641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  323644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  323647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323669 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  323669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  323686 */     GIR_RootConstrainSelectedInstOperands,
     /*  323687 */     // GIR_Coverage, 19903,
     /*  323687 */     GIR_EraseRootFromParent_Done,
     /*  323688 */   // Label 5961: @323688
     /*  323688 */   GIM_Try, /*On fail goto*//*Label 5962*/ GIMT_Encode4(323751), // Rule ID 19906 //
     /*  323693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  323696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  323710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323732 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  323732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323749 */     GIR_RootConstrainSelectedInstOperands,
     /*  323750 */     // GIR_Coverage, 19906,
     /*  323750 */     GIR_EraseRootFromParent_Done,
     /*  323751 */   // Label 5962: @323751
     /*  323751 */   GIM_Try, /*On fail goto*//*Label 5963*/ GIMT_Encode4(323814), // Rule ID 19907 //
     /*  323756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  323759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  323767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  323770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  323773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323795 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  323795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  323812 */     GIR_RootConstrainSelectedInstOperands,
     /*  323813 */     // GIR_Coverage, 19907,
     /*  323813 */     GIR_EraseRootFromParent_Done,
     /*  323814 */   // Label 5963: @323814
     /*  323814 */   GIM_Try, /*On fail goto*//*Label 5964*/ GIMT_Encode4(323877), // Rule ID 19910 //
     /*  323819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  323822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  323836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  323858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323875 */     GIR_RootConstrainSelectedInstOperands,
     /*  323876 */     // GIR_Coverage, 19910,
     /*  323876 */     GIR_EraseRootFromParent_Done,
     /*  323877 */   // Label 5964: @323877
     /*  323877 */   GIM_Try, /*On fail goto*//*Label 5965*/ GIMT_Encode4(323940), // Rule ID 19911 //
     /*  323882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  323885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  323893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  323896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  323899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  323902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323921 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  323921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  323924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  323938 */     GIR_RootConstrainSelectedInstOperands,
     /*  323939 */     // GIR_Coverage, 19911,
     /*  323939 */     GIR_EraseRootFromParent_Done,
     /*  323940 */   // Label 5965: @323940
     /*  323940 */   GIM_Try, /*On fail goto*//*Label 5966*/ GIMT_Encode4(324003), // Rule ID 19914 //
     /*  323945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  323948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  323953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  323956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  323959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  323962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  323965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  323969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  323977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  323984 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  323984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  323987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  323989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  323991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  323993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  323998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324001 */     GIR_RootConstrainSelectedInstOperands,
     /*  324002 */     // GIR_Coverage, 19914,
     /*  324002 */     GIR_EraseRootFromParent_Done,
     /*  324003 */   // Label 5966: @324003
     /*  324003 */   GIM_Try, /*On fail goto*//*Label 5967*/ GIMT_Encode4(324066), // Rule ID 19915 //
     /*  324008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  324022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  324025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324047 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324064 */     GIR_RootConstrainSelectedInstOperands,
     /*  324065 */     // GIR_Coverage, 19915,
     /*  324065 */     GIR_EraseRootFromParent_Done,
     /*  324066 */   // Label 5967: @324066
     /*  324066 */   GIM_Try, /*On fail goto*//*Label 5968*/ GIMT_Encode4(324129), // Rule ID 19918 //
     /*  324071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  324088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324110 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324127 */     GIR_RootConstrainSelectedInstOperands,
     /*  324128 */     // GIR_Coverage, 19918,
     /*  324128 */     GIR_EraseRootFromParent_Done,
     /*  324129 */   // Label 5968: @324129
     /*  324129 */   GIM_Try, /*On fail goto*//*Label 5969*/ GIMT_Encode4(324192), // Rule ID 19919 //
     /*  324134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  324148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  324151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324173 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324190 */     GIR_RootConstrainSelectedInstOperands,
     /*  324191 */     // GIR_Coverage, 19919,
     /*  324191 */     GIR_EraseRootFromParent_Done,
     /*  324192 */   // Label 5969: @324192
     /*  324192 */   GIM_Try, /*On fail goto*//*Label 5970*/ GIMT_Encode4(324255), // Rule ID 19922 //
     /*  324197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  324200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  324208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  324211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324236 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  324236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324253 */     GIR_RootConstrainSelectedInstOperands,
     /*  324254 */     // GIR_Coverage, 19922,
     /*  324254 */     GIR_EraseRootFromParent_Done,
     /*  324255 */   // Label 5970: @324255
     /*  324255 */   GIM_Try, /*On fail goto*//*Label 5971*/ GIMT_Encode4(324318), // Rule ID 19923 //
     /*  324260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  324263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  324271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  324274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  324277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324299 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  324299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  324316 */     GIR_RootConstrainSelectedInstOperands,
     /*  324317 */     // GIR_Coverage, 19923,
     /*  324317 */     GIR_EraseRootFromParent_Done,
     /*  324318 */   // Label 5971: @324318
     /*  324318 */   GIM_Try, /*On fail goto*//*Label 5972*/ GIMT_Encode4(324381), // Rule ID 19926 //
     /*  324323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324362 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324379 */     GIR_RootConstrainSelectedInstOperands,
     /*  324380 */     // GIR_Coverage, 19926,
     /*  324380 */     GIR_EraseRootFromParent_Done,
     /*  324381 */   // Label 5972: @324381
     /*  324381 */   GIM_Try, /*On fail goto*//*Label 5973*/ GIMT_Encode4(324444), // Rule ID 19927 //
     /*  324386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  324400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  324403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324425 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324442 */     GIR_RootConstrainSelectedInstOperands,
     /*  324443 */     // GIR_Coverage, 19927,
     /*  324443 */     GIR_EraseRootFromParent_Done,
     /*  324444 */   // Label 5973: @324444
     /*  324444 */   GIM_Try, /*On fail goto*//*Label 5974*/ GIMT_Encode4(324507), // Rule ID 19930 //
     /*  324449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324488 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324505 */     GIR_RootConstrainSelectedInstOperands,
     /*  324506 */     // GIR_Coverage, 19930,
     /*  324506 */     GIR_EraseRootFromParent_Done,
     /*  324507 */   // Label 5974: @324507
     /*  324507 */   GIM_Try, /*On fail goto*//*Label 5975*/ GIMT_Encode4(324570), // Rule ID 19931 //
     /*  324512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  324526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  324529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324551 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324568 */     GIR_RootConstrainSelectedInstOperands,
     /*  324569 */     // GIR_Coverage, 19931,
     /*  324569 */     GIR_EraseRootFromParent_Done,
     /*  324570 */   // Label 5975: @324570
     /*  324570 */   GIM_Try, /*On fail goto*//*Label 5976*/ GIMT_Encode4(324633), // Rule ID 19934 //
     /*  324575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  324578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  324592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324614 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  324614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324631 */     GIR_RootConstrainSelectedInstOperands,
     /*  324632 */     // GIR_Coverage, 19934,
     /*  324632 */     GIR_EraseRootFromParent_Done,
     /*  324633 */   // Label 5976: @324633
     /*  324633 */   GIM_Try, /*On fail goto*//*Label 5977*/ GIMT_Encode4(324696), // Rule ID 19935 //
     /*  324638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  324641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  324649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  324652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  324655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324677 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  324677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  324694 */     GIR_RootConstrainSelectedInstOperands,
     /*  324695 */     // GIR_Coverage, 19935,
     /*  324695 */     GIR_EraseRootFromParent_Done,
     /*  324696 */   // Label 5977: @324696
     /*  324696 */   GIM_Try, /*On fail goto*//*Label 5978*/ GIMT_Encode4(324759), // Rule ID 19938 //
     /*  324701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  324718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324740 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324757 */     GIR_RootConstrainSelectedInstOperands,
     /*  324758 */     // GIR_Coverage, 19938,
     /*  324758 */     GIR_EraseRootFromParent_Done,
     /*  324759 */   // Label 5978: @324759
     /*  324759 */   GIM_Try, /*On fail goto*//*Label 5979*/ GIMT_Encode4(324822), // Rule ID 19939 //
     /*  324764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  324775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  324778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  324781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  324796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324803 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  324806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324820 */     GIR_RootConstrainSelectedInstOperands,
     /*  324821 */     // GIR_Coverage, 19939,
     /*  324821 */     GIR_EraseRootFromParent_Done,
     /*  324822 */   // Label 5979: @324822
     /*  324822 */   GIM_Try, /*On fail goto*//*Label 5980*/ GIMT_Encode4(324885), // Rule ID 19942 //
     /*  324827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  324844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324866 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324883 */     GIR_RootConstrainSelectedInstOperands,
     /*  324884 */     // GIR_Coverage, 19942,
     /*  324884 */     GIR_EraseRootFromParent_Done,
     /*  324885 */   // Label 5980: @324885
     /*  324885 */   GIM_Try, /*On fail goto*//*Label 5981*/ GIMT_Encode4(324948), // Rule ID 19943 //
     /*  324890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  324893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  324901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  324904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  324907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  324910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  324922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324929 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  324929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  324932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  324938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  324943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  324946 */     GIR_RootConstrainSelectedInstOperands,
     /*  324947 */     // GIR_Coverage, 19943,
     /*  324947 */     GIR_EraseRootFromParent_Done,
     /*  324948 */   // Label 5981: @324948
     /*  324948 */   GIM_Try, /*On fail goto*//*Label 5982*/ GIMT_Encode4(325011), // Rule ID 19946 //
     /*  324953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  324956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  324961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  324964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  324967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  324970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  324973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  324977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  324985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  324992 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  324992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  324995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  324997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  324999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325009 */     GIR_RootConstrainSelectedInstOperands,
     /*  325010 */     // GIR_Coverage, 19946,
     /*  325010 */     GIR_EraseRootFromParent_Done,
     /*  325011 */   // Label 5982: @325011
     /*  325011 */   GIM_Try, /*On fail goto*//*Label 5983*/ GIMT_Encode4(325074), // Rule ID 19947 //
     /*  325016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  325030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  325033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  325048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325055 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  325058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325072 */     GIR_RootConstrainSelectedInstOperands,
     /*  325073 */     // GIR_Coverage, 19947,
     /*  325073 */     GIR_EraseRootFromParent_Done,
     /*  325074 */   // Label 5983: @325074
     /*  325074 */   GIM_Try, /*On fail goto*//*Label 5984*/ GIMT_Encode4(325137), // Rule ID 19950 //
     /*  325079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325118 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  325121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325135 */     GIR_RootConstrainSelectedInstOperands,
     /*  325136 */     // GIR_Coverage, 19950,
     /*  325136 */     GIR_EraseRootFromParent_Done,
     /*  325137 */   // Label 5984: @325137
     /*  325137 */   GIM_Try, /*On fail goto*//*Label 5985*/ GIMT_Encode4(325200), // Rule ID 19951 //
     /*  325142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  325156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325181 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4),
     /*  325184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325198 */     GIR_RootConstrainSelectedInstOperands,
     /*  325199 */     // GIR_Coverage, 19951,
     /*  325199 */     GIR_EraseRootFromParent_Done,
     /*  325200 */   // Label 5985: @325200
     /*  325200 */   GIM_Try, /*On fail goto*//*Label 5986*/ GIMT_Encode4(325263), // Rule ID 19954 //
     /*  325205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  325219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325244 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  325247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325261 */     GIR_RootConstrainSelectedInstOperands,
     /*  325262 */     // GIR_Coverage, 19954,
     /*  325262 */     GIR_EraseRootFromParent_Done,
     /*  325263 */   // Label 5986: @325263
     /*  325263 */   GIM_Try, /*On fail goto*//*Label 5987*/ GIMT_Encode4(325326), // Rule ID 19955 //
     /*  325268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  325282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325307 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2),
     /*  325310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325324 */     GIR_RootConstrainSelectedInstOperands,
     /*  325325 */     // GIR_Coverage, 19955,
     /*  325325 */     GIR_EraseRootFromParent_Done,
     /*  325326 */   // Label 5987: @325326
     /*  325326 */   GIM_Try, /*On fail goto*//*Label 5988*/ GIMT_Encode4(325389), // Rule ID 19958 //
     /*  325331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325370 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  325373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325387 */     GIR_RootConstrainSelectedInstOperands,
     /*  325388 */     // GIR_Coverage, 19958,
     /*  325388 */     GIR_EraseRootFromParent_Done,
     /*  325389 */   // Label 5988: @325389
     /*  325389 */   GIM_Try, /*On fail goto*//*Label 5989*/ GIMT_Encode4(325452), // Rule ID 19959 //
     /*  325394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  325408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325433 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2),
     /*  325436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325450 */     GIR_RootConstrainSelectedInstOperands,
     /*  325451 */     // GIR_Coverage, 19959,
     /*  325451 */     GIR_EraseRootFromParent_Done,
     /*  325452 */   // Label 5989: @325452
     /*  325452 */   GIM_Try, /*On fail goto*//*Label 5990*/ GIMT_Encode4(325515), // Rule ID 19962 //
     /*  325457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325496 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  325499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325513 */     GIR_RootConstrainSelectedInstOperands,
     /*  325514 */     // GIR_Coverage, 19962,
     /*  325514 */     GIR_EraseRootFromParent_Done,
     /*  325515 */   // Label 5990: @325515
     /*  325515 */   GIM_Try, /*On fail goto*//*Label 5991*/ GIMT_Encode4(325578), // Rule ID 19963 //
     /*  325520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  325531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  325534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325559 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1),
     /*  325562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325576 */     GIR_RootConstrainSelectedInstOperands,
     /*  325577 */     // GIR_Coverage, 19963,
     /*  325577 */     GIR_EraseRootFromParent_Done,
     /*  325578 */   // Label 5991: @325578
     /*  325578 */   GIM_Try, /*On fail goto*//*Label 5992*/ GIMT_Encode4(325641), // Rule ID 19966 //
     /*  325583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  325586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325622 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  325622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  325625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325639 */     GIR_RootConstrainSelectedInstOperands,
     /*  325640 */     // GIR_Coverage, 19966,
     /*  325640 */     GIR_EraseRootFromParent_Done,
     /*  325641 */   // Label 5992: @325641
     /*  325641 */   GIM_Try, /*On fail goto*//*Label 5993*/ GIMT_Encode4(325704), // Rule ID 19967 //
     /*  325646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  325649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  325657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  325660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  325663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  325678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325685 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  325685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1),
     /*  325688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  325702 */     GIR_RootConstrainSelectedInstOperands,
     /*  325703 */     // GIR_Coverage, 19967,
     /*  325703 */     GIR_EraseRootFromParent_Done,
     /*  325704 */   // Label 5993: @325704
     /*  325704 */   GIM_Try, /*On fail goto*//*Label 5994*/ GIMT_Encode4(325767), // Rule ID 19970 //
     /*  325709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  325712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325748 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  325748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  325751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325765 */     GIR_RootConstrainSelectedInstOperands,
     /*  325766 */     // GIR_Coverage, 19970,
     /*  325766 */     GIR_EraseRootFromParent_Done,
     /*  325767 */   // Label 5994: @325767
     /*  325767 */   GIM_Try, /*On fail goto*//*Label 5995*/ GIMT_Encode4(325830), // Rule ID 19971 //
     /*  325772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  325775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  325783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  325786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  325789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  325804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325811 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11426:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  325811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1),
     /*  325814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  325828 */     GIR_RootConstrainSelectedInstOperands,
     /*  325829 */     // GIR_Coverage, 19971,
     /*  325829 */     GIR_EraseRootFromParent_Done,
     /*  325830 */   // Label 5995: @325830
     /*  325830 */   GIM_Try, /*On fail goto*//*Label 5996*/ GIMT_Encode4(325893), // Rule ID 19974 //
     /*  325835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325874 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  325874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  325877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325891 */     GIR_RootConstrainSelectedInstOperands,
     /*  325892 */     // GIR_Coverage, 19974,
     /*  325892 */     GIR_EraseRootFromParent_Done,
     /*  325893 */   // Label 5996: @325893
     /*  325893 */   GIM_Try, /*On fail goto*//*Label 5997*/ GIMT_Encode4(325956), // Rule ID 19975 //
     /*  325898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  325901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  325909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  325912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  325918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  325926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  325937 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  325937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2),
     /*  325940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  325942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  325944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  325946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  325951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  325954 */     GIR_RootConstrainSelectedInstOperands,
     /*  325955 */     // GIR_Coverage, 19975,
     /*  325955 */     GIR_EraseRootFromParent_Done,
     /*  325956 */   // Label 5997: @325956
     /*  325956 */   GIM_Try, /*On fail goto*//*Label 5998*/ GIMT_Encode4(326019), // Rule ID 19978 //
     /*  325961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  325964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  325969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  325972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  325975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  325978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  325981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  325985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  325989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  325993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326000 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  326003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326017 */     GIR_RootConstrainSelectedInstOperands,
     /*  326018 */     // GIR_Coverage, 19978,
     /*  326018 */     GIR_EraseRootFromParent_Done,
     /*  326019 */   // Label 5998: @326019
     /*  326019 */   GIM_Try, /*On fail goto*//*Label 5999*/ GIMT_Encode4(326082), // Rule ID 19979 //
     /*  326024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  326038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326063 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4),
     /*  326066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326080 */     GIR_RootConstrainSelectedInstOperands,
     /*  326081 */     // GIR_Coverage, 19979,
     /*  326081 */     GIR_EraseRootFromParent_Done,
     /*  326082 */   // Label 5999: @326082
     /*  326082 */   GIM_Try, /*On fail goto*//*Label 6000*/ GIMT_Encode4(326145), // Rule ID 19982 //
     /*  326087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326126 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  326126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  326129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326143 */     GIR_RootConstrainSelectedInstOperands,
     /*  326144 */     // GIR_Coverage, 19982,
     /*  326144 */     GIR_EraseRootFromParent_Done,
     /*  326145 */   // Label 6000: @326145
     /*  326145 */   GIM_Try, /*On fail goto*//*Label 6001*/ GIMT_Encode4(326208), // Rule ID 19983 //
     /*  326150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  326153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  326161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  326164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  326167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  326182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326189 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  326189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8),
     /*  326192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  326206 */     GIR_RootConstrainSelectedInstOperands,
     /*  326207 */     // GIR_Coverage, 19983,
     /*  326207 */     GIR_EraseRootFromParent_Done,
     /*  326208 */   // Label 6001: @326208
     /*  326208 */   GIM_Try, /*On fail goto*//*Label 6002*/ GIMT_Encode4(326271), // Rule ID 19986 //
     /*  326213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  326227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326252 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  326255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326269 */     GIR_RootConstrainSelectedInstOperands,
     /*  326270 */     // GIR_Coverage, 19986,
     /*  326270 */     GIR_EraseRootFromParent_Done,
     /*  326271 */   // Label 6002: @326271
     /*  326271 */   GIM_Try, /*On fail goto*//*Label 6003*/ GIMT_Encode4(326334), // Rule ID 19987 //
     /*  326276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  326290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326315 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2),
     /*  326318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326332 */     GIR_RootConstrainSelectedInstOperands,
     /*  326333 */     // GIR_Coverage, 19987,
     /*  326333 */     GIR_EraseRootFromParent_Done,
     /*  326334 */   // Label 6003: @326334
     /*  326334 */   GIM_Try, /*On fail goto*//*Label 6004*/ GIMT_Encode4(326397), // Rule ID 19990 //
     /*  326339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  326381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326395 */     GIR_RootConstrainSelectedInstOperands,
     /*  326396 */     // GIR_Coverage, 19990,
     /*  326396 */     GIR_EraseRootFromParent_Done,
     /*  326397 */   // Label 6004: @326397
     /*  326397 */   GIM_Try, /*On fail goto*//*Label 6005*/ GIMT_Encode4(326460), // Rule ID 19991 //
     /*  326402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  326416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326441 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4),
     /*  326444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326458 */     GIR_RootConstrainSelectedInstOperands,
     /*  326459 */     // GIR_Coverage, 19991,
     /*  326459 */     GIR_EraseRootFromParent_Done,
     /*  326460 */   // Label 6005: @326460
     /*  326460 */   GIM_Try, /*On fail goto*//*Label 6006*/ GIMT_Encode4(326523), // Rule ID 19994 //
     /*  326465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  326468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326504 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  326504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  326507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326521 */     GIR_RootConstrainSelectedInstOperands,
     /*  326522 */     // GIR_Coverage, 19994,
     /*  326522 */     GIR_EraseRootFromParent_Done,
     /*  326523 */   // Label 6006: @326523
     /*  326523 */   GIM_Try, /*On fail goto*//*Label 6007*/ GIMT_Encode4(326586), // Rule ID 19995 //
     /*  326528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  326531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  326539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  326542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  326545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  326560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326567 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  326567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8),
     /*  326570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  326584 */     GIR_RootConstrainSelectedInstOperands,
     /*  326585 */     // GIR_Coverage, 19995,
     /*  326585 */     GIR_EraseRootFromParent_Done,
     /*  326586 */   // Label 6007: @326586
     /*  326586 */   GIM_Try, /*On fail goto*//*Label 6008*/ GIMT_Encode4(326649), // Rule ID 19998 //
     /*  326591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  326605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  326633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326647 */     GIR_RootConstrainSelectedInstOperands,
     /*  326648 */     // GIR_Coverage, 19998,
     /*  326648 */     GIR_EraseRootFromParent_Done,
     /*  326649 */   // Label 6008: @326649
     /*  326649 */   GIM_Try, /*On fail goto*//*Label 6009*/ GIMT_Encode4(326712), // Rule ID 19999 //
     /*  326654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  326665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  326668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  326682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326693 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11426:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2),
     /*  326696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326710 */     GIR_RootConstrainSelectedInstOperands,
     /*  326711 */     // GIR_Coverage, 19999,
     /*  326711 */     GIR_EraseRootFromParent_Done,
     /*  326712 */   // Label 6009: @326712
     /*  326712 */   GIM_Try, /*On fail goto*//*Label 6010*/ GIMT_Encode4(326775), // Rule ID 20002 //
     /*  326717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326756 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  326759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326773 */     GIR_RootConstrainSelectedInstOperands,
     /*  326774 */     // GIR_Coverage, 20002,
     /*  326774 */     GIR_EraseRootFromParent_Done,
     /*  326775 */   // Label 6010: @326775
     /*  326775 */   GIM_Try, /*On fail goto*//*Label 6011*/ GIMT_Encode4(326838), // Rule ID 20003 //
     /*  326780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  326791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  326794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  326808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326819 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11426:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4),
     /*  326822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326836 */     GIR_RootConstrainSelectedInstOperands,
     /*  326837 */     // GIR_Coverage, 20003,
     /*  326837 */     GIR_EraseRootFromParent_Done,
     /*  326838 */   // Label 6011: @326838
     /*  326838 */   GIM_Try, /*On fail goto*//*Label 6012*/ GIMT_Encode4(326901), // Rule ID 20006 //
     /*  326843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  326846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  326882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  326885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326899 */     GIR_RootConstrainSelectedInstOperands,
     /*  326900 */     // GIR_Coverage, 20006,
     /*  326900 */     GIR_EraseRootFromParent_Done,
     /*  326901 */   // Label 6012: @326901
     /*  326901 */   GIM_Try, /*On fail goto*//*Label 6013*/ GIMT_Encode4(326964), // Rule ID 20007 //
     /*  326906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  326909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle),
     /*  326914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  326917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  326920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  326923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  326926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  326934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  326938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  326945 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11426:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  326945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8),
     /*  326948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  326950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  326952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  326954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  326959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  326962 */     GIR_RootConstrainSelectedInstOperands,
     /*  326963 */     // GIR_Coverage, 20007,
     /*  326963 */     GIR_EraseRootFromParent_Done,
     /*  326964 */   // Label 6013: @326964
     /*  326964 */   GIM_Try, /*On fail goto*//*Label 6014*/ GIMT_Encode4(327027), // Rule ID 20010 //
     /*  326969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  326972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  326977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  326980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  326983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  326986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  326989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  326997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327008 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  327011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327025 */     GIR_RootConstrainSelectedInstOperands,
     /*  327026 */     // GIR_Coverage, 20010,
     /*  327026 */     GIR_EraseRootFromParent_Done,
     /*  327027 */   // Label 6014: @327027
     /*  327027 */   GIM_Try, /*On fail goto*//*Label 6015*/ GIMT_Encode4(327090), // Rule ID 20011 //
     /*  327032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  327046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  327049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327071 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  327074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327088 */     GIR_RootConstrainSelectedInstOperands,
     /*  327089 */     // GIR_Coverage, 20011,
     /*  327089 */     GIR_EraseRootFromParent_Done,
     /*  327090 */   // Label 6015: @327090
     /*  327090 */   GIM_Try, /*On fail goto*//*Label 6016*/ GIMT_Encode4(327153), // Rule ID 20014 //
     /*  327095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  327112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327134 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  327137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327151 */     GIR_RootConstrainSelectedInstOperands,
     /*  327152 */     // GIR_Coverage, 20014,
     /*  327152 */     GIR_EraseRootFromParent_Done,
     /*  327153 */   // Label 6016: @327153
     /*  327153 */   GIM_Try, /*On fail goto*//*Label 6017*/ GIMT_Encode4(327216), // Rule ID 20015 //
     /*  327158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  327172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  327175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327197 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  327200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327214 */     GIR_RootConstrainSelectedInstOperands,
     /*  327215 */     // GIR_Coverage, 20015,
     /*  327215 */     GIR_EraseRootFromParent_Done,
     /*  327216 */   // Label 6017: @327216
     /*  327216 */   GIM_Try, /*On fail goto*//*Label 6018*/ GIMT_Encode4(327279), // Rule ID 20018 //
     /*  327221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  327238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327260 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  327263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327277 */     GIR_RootConstrainSelectedInstOperands,
     /*  327278 */     // GIR_Coverage, 20018,
     /*  327278 */     GIR_EraseRootFromParent_Done,
     /*  327279 */   // Label 6018: @327279
     /*  327279 */   GIM_Try, /*On fail goto*//*Label 6019*/ GIMT_Encode4(327342), // Rule ID 20019 //
     /*  327284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  327298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  327301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327323 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  327326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327340 */     GIR_RootConstrainSelectedInstOperands,
     /*  327341 */     // GIR_Coverage, 20019,
     /*  327341 */     GIR_EraseRootFromParent_Done,
     /*  327342 */   // Label 6019: @327342
     /*  327342 */   GIM_Try, /*On fail goto*//*Label 6020*/ GIMT_Encode4(327405), // Rule ID 20022 //
     /*  327347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  327364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327386 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327403 */     GIR_RootConstrainSelectedInstOperands,
     /*  327404 */     // GIR_Coverage, 20022,
     /*  327404 */     GIR_EraseRootFromParent_Done,
     /*  327405 */   // Label 6020: @327405
     /*  327405 */   GIM_Try, /*On fail goto*//*Label 6021*/ GIMT_Encode4(327468), // Rule ID 20023 //
     /*  327410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  327421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  327424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  327427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327449 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327466 */     GIR_RootConstrainSelectedInstOperands,
     /*  327467 */     // GIR_Coverage, 20023,
     /*  327467 */     GIR_EraseRootFromParent_Done,
     /*  327468 */   // Label 6021: @327468
     /*  327468 */   GIM_Try, /*On fail goto*//*Label 6022*/ GIMT_Encode4(327531), // Rule ID 20026 //
     /*  327473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  327476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  327490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327512 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  327512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327529 */     GIR_RootConstrainSelectedInstOperands,
     /*  327530 */     // GIR_Coverage, 20026,
     /*  327530 */     GIR_EraseRootFromParent_Done,
     /*  327531 */   // Label 6022: @327531
     /*  327531 */   GIM_Try, /*On fail goto*//*Label 6023*/ GIMT_Encode4(327594), // Rule ID 20027 //
     /*  327536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  327539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  327547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  327550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  327553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327575 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  327575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  327592 */     GIR_RootConstrainSelectedInstOperands,
     /*  327593 */     // GIR_Coverage, 20027,
     /*  327593 */     GIR_EraseRootFromParent_Done,
     /*  327594 */   // Label 6023: @327594
     /*  327594 */   GIM_Try, /*On fail goto*//*Label 6024*/ GIMT_Encode4(327657), // Rule ID 20030 //
     /*  327599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  327602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  327613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  327616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327638 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  327638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327655 */     GIR_RootConstrainSelectedInstOperands,
     /*  327656 */     // GIR_Coverage, 20030,
     /*  327656 */     GIR_EraseRootFromParent_Done,
     /*  327657 */   // Label 6024: @327657
     /*  327657 */   GIM_Try, /*On fail goto*//*Label 6025*/ GIMT_Encode4(327720), // Rule ID 20031 //
     /*  327662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  327665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  327673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  327676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  327679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327701 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  327701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  327704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  327718 */     GIR_RootConstrainSelectedInstOperands,
     /*  327719 */     // GIR_Coverage, 20031,
     /*  327719 */     GIR_EraseRootFromParent_Done,
     /*  327720 */   // Label 6025: @327720
     /*  327720 */   GIM_Try, /*On fail goto*//*Label 6026*/ GIMT_Encode4(327783), // Rule ID 20034 //
     /*  327725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327764 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327781 */     GIR_RootConstrainSelectedInstOperands,
     /*  327782 */     // GIR_Coverage, 20034,
     /*  327782 */     GIR_EraseRootFromParent_Done,
     /*  327783 */   // Label 6026: @327783
     /*  327783 */   GIM_Try, /*On fail goto*//*Label 6027*/ GIMT_Encode4(327846), // Rule ID 20035 //
     /*  327788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  327799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  327802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  327805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  327820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327827 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  327830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327832 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327844 */     GIR_RootConstrainSelectedInstOperands,
     /*  327845 */     // GIR_Coverage, 20035,
     /*  327845 */     GIR_EraseRootFromParent_Done,
     /*  327846 */   // Label 6027: @327846
     /*  327846 */   GIM_Try, /*On fail goto*//*Label 6028*/ GIMT_Encode4(327909), // Rule ID 20038 //
     /*  327851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  327868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327890 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  327890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327907 */     GIR_RootConstrainSelectedInstOperands,
     /*  327908 */     // GIR_Coverage, 20038,
     /*  327908 */     GIR_EraseRootFromParent_Done,
     /*  327909 */   // Label 6028: @327909
     /*  327909 */   GIM_Try, /*On fail goto*//*Label 6029*/ GIMT_Encode4(327972), // Rule ID 20039 //
     /*  327914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  327917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  327925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  327928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  327931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  327934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  327938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  327946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  327953 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  327953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  327956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  327958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  327960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  327962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  327967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  327970 */     GIR_RootConstrainSelectedInstOperands,
     /*  327971 */     // GIR_Coverage, 20039,
     /*  327971 */     GIR_EraseRootFromParent_Done,
     /*  327972 */   // Label 6029: @327972
     /*  327972 */   GIM_Try, /*On fail goto*//*Label 6030*/ GIMT_Encode4(328035), // Rule ID 20042 //
     /*  327977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  327980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  327985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  327988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  327991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  327994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  327997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328016 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328033 */     GIR_RootConstrainSelectedInstOperands,
     /*  328034 */     // GIR_Coverage, 20042,
     /*  328034 */     GIR_EraseRootFromParent_Done,
     /*  328035 */   // Label 6030: @328035
     /*  328035 */   GIM_Try, /*On fail goto*//*Label 6031*/ GIMT_Encode4(328098), // Rule ID 20043 //
     /*  328040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  328051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  328054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  328057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328079 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328096 */     GIR_RootConstrainSelectedInstOperands,
     /*  328097 */     // GIR_Coverage, 20043,
     /*  328097 */     GIR_EraseRootFromParent_Done,
     /*  328098 */   // Label 6031: @328098
     /*  328098 */   GIM_Try, /*On fail goto*//*Label 6032*/ GIMT_Encode4(328161), // Rule ID 20046 //
     /*  328103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  328120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328142 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328159 */     GIR_RootConstrainSelectedInstOperands,
     /*  328160 */     // GIR_Coverage, 20046,
     /*  328160 */     GIR_EraseRootFromParent_Done,
     /*  328161 */   // Label 6032: @328161
     /*  328161 */   GIM_Try, /*On fail goto*//*Label 6033*/ GIMT_Encode4(328224), // Rule ID 20047 //
     /*  328166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  328180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  328183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328205 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328222 */     GIR_RootConstrainSelectedInstOperands,
     /*  328223 */     // GIR_Coverage, 20047,
     /*  328223 */     GIR_EraseRootFromParent_Done,
     /*  328224 */   // Label 6033: @328224
     /*  328224 */   GIM_Try, /*On fail goto*//*Label 6034*/ GIMT_Encode4(328287), // Rule ID 20050 //
     /*  328229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  328243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  328246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328268 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328285 */     GIR_RootConstrainSelectedInstOperands,
     /*  328286 */     // GIR_Coverage, 20050,
     /*  328286 */     GIR_EraseRootFromParent_Done,
     /*  328287 */   // Label 6034: @328287
     /*  328287 */   GIM_Try, /*On fail goto*//*Label 6035*/ GIMT_Encode4(328350), // Rule ID 20051 //
     /*  328292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  328306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  328309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328331 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328348 */     GIR_RootConstrainSelectedInstOperands,
     /*  328349 */     // GIR_Coverage, 20051,
     /*  328349 */     GIR_EraseRootFromParent_Done,
     /*  328350 */   // Label 6035: @328350
     /*  328350 */   GIM_Try, /*On fail goto*//*Label 6036*/ GIMT_Encode4(328413), // Rule ID 20054 //
     /*  328355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  328358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  328372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328394 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  328394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328411 */     GIR_RootConstrainSelectedInstOperands,
     /*  328412 */     // GIR_Coverage, 20054,
     /*  328412 */     GIR_EraseRootFromParent_Done,
     /*  328413 */   // Label 6036: @328413
     /*  328413 */   GIM_Try, /*On fail goto*//*Label 6037*/ GIMT_Encode4(328476), // Rule ID 20055 //
     /*  328418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  328421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  328429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  328432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  328435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328457 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  328457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  328474 */     GIR_RootConstrainSelectedInstOperands,
     /*  328475 */     // GIR_Coverage, 20055,
     /*  328475 */     GIR_EraseRootFromParent_Done,
     /*  328476 */   // Label 6037: @328476
     /*  328476 */   GIM_Try, /*On fail goto*//*Label 6038*/ GIMT_Encode4(328539), // Rule ID 20058 //
     /*  328481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  328498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328520 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328537 */     GIR_RootConstrainSelectedInstOperands,
     /*  328538 */     // GIR_Coverage, 20058,
     /*  328538 */     GIR_EraseRootFromParent_Done,
     /*  328539 */   // Label 6038: @328539
     /*  328539 */   GIM_Try, /*On fail goto*//*Label 6039*/ GIMT_Encode4(328602), // Rule ID 20059 //
     /*  328544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  328558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  328561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  328576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  328586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328600 */     GIR_RootConstrainSelectedInstOperands,
     /*  328601 */     // GIR_Coverage, 20059,
     /*  328601 */     GIR_EraseRootFromParent_Done,
     /*  328602 */   // Label 6039: @328602
     /*  328602 */   GIM_Try, /*On fail goto*//*Label 6040*/ GIMT_Encode4(328665), // Rule ID 20062 //
     /*  328607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328646 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328663 */     GIR_RootConstrainSelectedInstOperands,
     /*  328664 */     // GIR_Coverage, 20062,
     /*  328664 */     GIR_EraseRootFromParent_Done,
     /*  328665 */   // Label 6040: @328665
     /*  328665 */   GIM_Try, /*On fail goto*//*Label 6041*/ GIMT_Encode4(328728), // Rule ID 20063 //
     /*  328670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  328681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  328684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  328687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  328702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328709 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  328712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328726 */     GIR_RootConstrainSelectedInstOperands,
     /*  328727 */     // GIR_Coverage, 20063,
     /*  328727 */     GIR_EraseRootFromParent_Done,
     /*  328728 */   // Label 6041: @328728
     /*  328728 */   GIM_Try, /*On fail goto*//*Label 6042*/ GIMT_Encode4(328791), // Rule ID 20066 //
     /*  328733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  328736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328772 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  328772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328789 */     GIR_RootConstrainSelectedInstOperands,
     /*  328790 */     // GIR_Coverage, 20066,
     /*  328790 */     GIR_EraseRootFromParent_Done,
     /*  328791 */   // Label 6042: @328791
     /*  328791 */   GIM_Try, /*On fail goto*//*Label 6043*/ GIMT_Encode4(328854), // Rule ID 20067 //
     /*  328796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  328799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  328807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  328810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  328813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  328828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328835 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  328835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  328838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  328852 */     GIR_RootConstrainSelectedInstOperands,
     /*  328853 */     // GIR_Coverage, 20067,
     /*  328853 */     GIR_EraseRootFromParent_Done,
     /*  328854 */   // Label 6043: @328854
     /*  328854 */   GIM_Try, /*On fail goto*//*Label 6044*/ GIMT_Encode4(328917), // Rule ID 20070 //
     /*  328859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  328879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  328898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  328901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328915 */     GIR_RootConstrainSelectedInstOperands,
     /*  328916 */     // GIR_Coverage, 20070,
     /*  328916 */     GIR_EraseRootFromParent_Done,
     /*  328917 */   // Label 6044: @328917
     /*  328917 */   GIM_Try, /*On fail goto*//*Label 6045*/ GIMT_Encode4(328980), // Rule ID 20071 //
     /*  328922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  328925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  328933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  328936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  328939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  328942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  328950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  328954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  328961 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  328961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4),
     /*  328964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  328966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  328968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  328970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  328975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  328978 */     GIR_RootConstrainSelectedInstOperands,
     /*  328979 */     // GIR_Coverage, 20071,
     /*  328979 */     GIR_EraseRootFromParent_Done,
     /*  328980 */   // Label 6045: @328980
     /*  328980 */   GIM_Try, /*On fail goto*//*Label 6046*/ GIMT_Encode4(329043), // Rule ID 20074 //
     /*  328985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  328988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  328993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  328996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  328999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329024 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  329027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329041 */     GIR_RootConstrainSelectedInstOperands,
     /*  329042 */     // GIR_Coverage, 20074,
     /*  329042 */     GIR_EraseRootFromParent_Done,
     /*  329043 */   // Label 6046: @329043
     /*  329043 */   GIM_Try, /*On fail goto*//*Label 6047*/ GIMT_Encode4(329106), // Rule ID 20075 //
     /*  329048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  329062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329087 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2),
     /*  329090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329104 */     GIR_RootConstrainSelectedInstOperands,
     /*  329105 */     // GIR_Coverage, 20075,
     /*  329105 */     GIR_EraseRootFromParent_Done,
     /*  329106 */   // Label 6047: @329106
     /*  329106 */   GIM_Try, /*On fail goto*//*Label 6048*/ GIMT_Encode4(329169), // Rule ID 20078 //
     /*  329111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329150 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  329153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329167 */     GIR_RootConstrainSelectedInstOperands,
     /*  329168 */     // GIR_Coverage, 20078,
     /*  329168 */     GIR_EraseRootFromParent_Done,
     /*  329169 */   // Label 6048: @329169
     /*  329169 */   GIM_Try, /*On fail goto*//*Label 6049*/ GIMT_Encode4(329232), // Rule ID 20079 //
     /*  329174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  329188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329213 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2),
     /*  329216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329230 */     GIR_RootConstrainSelectedInstOperands,
     /*  329231 */     // GIR_Coverage, 20079,
     /*  329231 */     GIR_EraseRootFromParent_Done,
     /*  329232 */   // Label 6049: @329232
     /*  329232 */   GIM_Try, /*On fail goto*//*Label 6050*/ GIMT_Encode4(329295), // Rule ID 20082 //
     /*  329237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  329251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329276 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  329279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329293 */     GIR_RootConstrainSelectedInstOperands,
     /*  329294 */     // GIR_Coverage, 20082,
     /*  329294 */     GIR_EraseRootFromParent_Done,
     /*  329295 */   // Label 6050: @329295
     /*  329295 */   GIM_Try, /*On fail goto*//*Label 6051*/ GIMT_Encode4(329358), // Rule ID 20083 //
     /*  329300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  329311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  329314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329339 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1),
     /*  329342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329356 */     GIR_RootConstrainSelectedInstOperands,
     /*  329357 */     // GIR_Coverage, 20083,
     /*  329357 */     GIR_EraseRootFromParent_Done,
     /*  329358 */   // Label 6051: @329358
     /*  329358 */   GIM_Try, /*On fail goto*//*Label 6052*/ GIMT_Encode4(329421), // Rule ID 20086 //
     /*  329363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329402 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  329402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  329405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329419 */     GIR_RootConstrainSelectedInstOperands,
     /*  329420 */     // GIR_Coverage, 20086,
     /*  329420 */     GIR_EraseRootFromParent_Done,
     /*  329421 */   // Label 6052: @329421
     /*  329421 */   GIM_Try, /*On fail goto*//*Label 6053*/ GIMT_Encode4(329484), // Rule ID 20087 //
     /*  329426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  329429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  329437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  329440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  329443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  329458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329465 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  329465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1),
     /*  329468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  329482 */     GIR_RootConstrainSelectedInstOperands,
     /*  329483 */     // GIR_Coverage, 20087,
     /*  329483 */     GIR_EraseRootFromParent_Done,
     /*  329484 */   // Label 6053: @329484
     /*  329484 */   GIM_Try, /*On fail goto*//*Label 6054*/ GIMT_Encode4(329547), // Rule ID 20090 //
     /*  329489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  329492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329528 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  329528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  329531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329545 */     GIR_RootConstrainSelectedInstOperands,
     /*  329546 */     // GIR_Coverage, 20090,
     /*  329546 */     GIR_EraseRootFromParent_Done,
     /*  329547 */   // Label 6054: @329547
     /*  329547 */   GIM_Try, /*On fail goto*//*Label 6055*/ GIMT_Encode4(329610), // Rule ID 20091 //
     /*  329552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  329555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  329563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  329566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  329569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  329584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329591 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11428:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  329591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1),
     /*  329594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  329608 */     GIR_RootConstrainSelectedInstOperands,
     /*  329609 */     // GIR_Coverage, 20091,
     /*  329609 */     GIR_EraseRootFromParent_Done,
     /*  329610 */   // Label 6055: @329610
     /*  329610 */   GIM_Try, /*On fail goto*//*Label 6056*/ GIMT_Encode4(329673), // Rule ID 20094 //
     /*  329615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329654 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  329657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329671 */     GIR_RootConstrainSelectedInstOperands,
     /*  329672 */     // GIR_Coverage, 20094,
     /*  329672 */     GIR_EraseRootFromParent_Done,
     /*  329673 */   // Label 6056: @329673
     /*  329673 */   GIM_Try, /*On fail goto*//*Label 6057*/ GIMT_Encode4(329736), // Rule ID 20095 //
     /*  329678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  329689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  329692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  329706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329717 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2),
     /*  329720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329734 */     GIR_RootConstrainSelectedInstOperands,
     /*  329735 */     // GIR_Coverage, 20095,
     /*  329735 */     GIR_EraseRootFromParent_Done,
     /*  329736 */   // Label 6057: @329736
     /*  329736 */   GIM_Try, /*On fail goto*//*Label 6058*/ GIMT_Encode4(329799), // Rule ID 20098 //
     /*  329741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329780 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  329783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329797 */     GIR_RootConstrainSelectedInstOperands,
     /*  329798 */     // GIR_Coverage, 20098,
     /*  329798 */     GIR_EraseRootFromParent_Done,
     /*  329799 */   // Label 6058: @329799
     /*  329799 */   GIM_Try, /*On fail goto*//*Label 6059*/ GIMT_Encode4(329862), // Rule ID 20099 //
     /*  329804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  329815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  329818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  329832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329843 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4),
     /*  329846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329860 */     GIR_RootConstrainSelectedInstOperands,
     /*  329861 */     // GIR_Coverage, 20099,
     /*  329861 */     GIR_EraseRootFromParent_Done,
     /*  329862 */   // Label 6059: @329862
     /*  329862 */   GIM_Try, /*On fail goto*//*Label 6060*/ GIMT_Encode4(329925), // Rule ID 20102 //
     /*  329867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  329870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  329887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329906 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  329906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  329909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329923 */     GIR_RootConstrainSelectedInstOperands,
     /*  329924 */     // GIR_Coverage, 20102,
     /*  329924 */     GIR_EraseRootFromParent_Done,
     /*  329925 */   // Label 6060: @329925
     /*  329925 */   GIM_Try, /*On fail goto*//*Label 6061*/ GIMT_Encode4(329988), // Rule ID 20103 //
     /*  329930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  329933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  329938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  329941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  329944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  329947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  329950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  329954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  329958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  329962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  329969 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  329969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8),
     /*  329972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  329974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  329976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  329978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  329983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  329986 */     GIR_RootConstrainSelectedInstOperands,
     /*  329987 */     // GIR_Coverage, 20103,
     /*  329987 */     GIR_EraseRootFromParent_Done,
     /*  329988 */   // Label 6061: @329988
     /*  329988 */   GIM_Try, /*On fail goto*//*Label 6062*/ GIMT_Encode4(330051), // Rule ID 20106 //
     /*  329993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  329996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330032 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  330035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330049 */     GIR_RootConstrainSelectedInstOperands,
     /*  330050 */     // GIR_Coverage, 20106,
     /*  330050 */     GIR_EraseRootFromParent_Done,
     /*  330051 */   // Label 6062: @330051
     /*  330051 */   GIM_Try, /*On fail goto*//*Label 6063*/ GIMT_Encode4(330114), // Rule ID 20107 //
     /*  330056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  330070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330095 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2),
     /*  330098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330112 */     GIR_RootConstrainSelectedInstOperands,
     /*  330113 */     // GIR_Coverage, 20107,
     /*  330113 */     GIR_EraseRootFromParent_Done,
     /*  330114 */   // Label 6063: @330114
     /*  330114 */   GIM_Try, /*On fail goto*//*Label 6064*/ GIMT_Encode4(330177), // Rule ID 20110 //
     /*  330119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  330161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330175 */     GIR_RootConstrainSelectedInstOperands,
     /*  330176 */     // GIR_Coverage, 20110,
     /*  330176 */     GIR_EraseRootFromParent_Done,
     /*  330177 */   // Label 6064: @330177
     /*  330177 */   GIM_Try, /*On fail goto*//*Label 6065*/ GIMT_Encode4(330240), // Rule ID 20111 //
     /*  330182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  330196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330221 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4),
     /*  330224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330238 */     GIR_RootConstrainSelectedInstOperands,
     /*  330239 */     // GIR_Coverage, 20111,
     /*  330239 */     GIR_EraseRootFromParent_Done,
     /*  330240 */   // Label 6065: @330240
     /*  330240 */   GIM_Try, /*On fail goto*//*Label 6066*/ GIMT_Encode4(330303), // Rule ID 20114 //
     /*  330245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  330248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330284 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  330284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  330287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330301 */     GIR_RootConstrainSelectedInstOperands,
     /*  330302 */     // GIR_Coverage, 20114,
     /*  330302 */     GIR_EraseRootFromParent_Done,
     /*  330303 */   // Label 6066: @330303
     /*  330303 */   GIM_Try, /*On fail goto*//*Label 6067*/ GIMT_Encode4(330366), // Rule ID 20115 //
     /*  330308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  330311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  330319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  330322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  330325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  330340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330347 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  330347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8),
     /*  330350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  330364 */     GIR_RootConstrainSelectedInstOperands,
     /*  330365 */     // GIR_Coverage, 20115,
     /*  330365 */     GIR_EraseRootFromParent_Done,
     /*  330366 */   // Label 6067: @330366
     /*  330366 */   GIM_Try, /*On fail goto*//*Label 6068*/ GIMT_Encode4(330429), // Rule ID 20118 //
     /*  330371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330410 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  330413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330427 */     GIR_RootConstrainSelectedInstOperands,
     /*  330428 */     // GIR_Coverage, 20118,
     /*  330428 */     GIR_EraseRootFromParent_Done,
     /*  330429 */   // Label 6068: @330429
     /*  330429 */   GIM_Try, /*On fail goto*//*Label 6069*/ GIMT_Encode4(330492), // Rule ID 20119 //
     /*  330434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  330448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  330462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330473 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11428:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2),
     /*  330476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330490 */     GIR_RootConstrainSelectedInstOperands,
     /*  330491 */     // GIR_Coverage, 20119,
     /*  330491 */     GIR_EraseRootFromParent_Done,
     /*  330492 */   // Label 6069: @330492
     /*  330492 */   GIM_Try, /*On fail goto*//*Label 6070*/ GIMT_Encode4(330555), // Rule ID 20122 //
     /*  330497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330536 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  330539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330553 */     GIR_RootConstrainSelectedInstOperands,
     /*  330554 */     // GIR_Coverage, 20122,
     /*  330554 */     GIR_EraseRootFromParent_Done,
     /*  330555 */   // Label 6070: @330555
     /*  330555 */   GIM_Try, /*On fail goto*//*Label 6071*/ GIMT_Encode4(330618), // Rule ID 20123 //
     /*  330560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  330571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  330574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  330588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330599 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11428:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4),
     /*  330602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330616 */     GIR_RootConstrainSelectedInstOperands,
     /*  330617 */     // GIR_Coverage, 20123,
     /*  330617 */     GIR_EraseRootFromParent_Done,
     /*  330618 */   // Label 6071: @330618
     /*  330618 */   GIM_Try, /*On fail goto*//*Label 6072*/ GIMT_Encode4(330681), // Rule ID 20126 //
     /*  330623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  330626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  330662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  330665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330679 */     GIR_RootConstrainSelectedInstOperands,
     /*  330680 */     // GIR_Coverage, 20126,
     /*  330680 */     GIR_EraseRootFromParent_Done,
     /*  330681 */   // Label 6072: @330681
     /*  330681 */   GIM_Try, /*On fail goto*//*Label 6073*/ GIMT_Encode4(330744), // Rule ID 20127 //
     /*  330686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  330689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt),
     /*  330694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  330697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  330700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  330703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  330714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  330718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330725 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11428:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  330725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8),
     /*  330728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  330742 */     GIR_RootConstrainSelectedInstOperands,
     /*  330743 */     // GIR_Coverage, 20127,
     /*  330743 */     GIR_EraseRootFromParent_Done,
     /*  330744 */   // Label 6073: @330744
     /*  330744 */   GIM_Try, /*On fail goto*//*Label 6074*/ GIMT_Encode4(330807), // Rule ID 20130 //
     /*  330749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  330766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  330791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330805 */     GIR_RootConstrainSelectedInstOperands,
     /*  330806 */     // GIR_Coverage, 20130,
     /*  330806 */     GIR_EraseRootFromParent_Done,
     /*  330807 */   // Label 6074: @330807
     /*  330807 */   GIM_Try, /*On fail goto*//*Label 6075*/ GIMT_Encode4(330870), // Rule ID 20131 //
     /*  330812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  330823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  330826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  330829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330851 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /*  330854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330868 */     GIR_RootConstrainSelectedInstOperands,
     /*  330869 */     // GIR_Coverage, 20131,
     /*  330869 */     GIR_EraseRootFromParent_Done,
     /*  330870 */   // Label 6075: @330870
     /*  330870 */   GIM_Try, /*On fail goto*//*Label 6076*/ GIMT_Encode4(330933), // Rule ID 20134 //
     /*  330875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  330878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  330892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  330895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330914 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  330914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330931 */     GIR_RootConstrainSelectedInstOperands,
     /*  330932 */     // GIR_Coverage, 20134,
     /*  330932 */     GIR_EraseRootFromParent_Done,
     /*  330933 */   // Label 6076: @330933
     /*  330933 */   GIM_Try, /*On fail goto*//*Label 6077*/ GIMT_Encode4(330996), // Rule ID 20135 //
     /*  330938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  330941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  330946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  330949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  330952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  330955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  330958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  330970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  330977 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  330977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  330980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  330982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  330984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  330986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  330991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  330994 */     GIR_RootConstrainSelectedInstOperands,
     /*  330995 */     // GIR_Coverage, 20135,
     /*  330995 */     GIR_EraseRootFromParent_Done,
     /*  330996 */   // Label 6077: @330996
     /*  330996 */   GIM_Try, /*On fail goto*//*Label 6078*/ GIMT_Encode4(331059), // Rule ID 20138 //
     /*  331001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  331018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331040 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  331043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331057 */     GIR_RootConstrainSelectedInstOperands,
     /*  331058 */     // GIR_Coverage, 20138,
     /*  331058 */     GIR_EraseRootFromParent_Done,
     /*  331059 */   // Label 6078: @331059
     /*  331059 */   GIM_Try, /*On fail goto*//*Label 6079*/ GIMT_Encode4(331122), // Rule ID 20139 //
     /*  331064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  331078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  331081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331103 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /*  331106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331120 */     GIR_RootConstrainSelectedInstOperands,
     /*  331121 */     // GIR_Coverage, 20139,
     /*  331121 */     GIR_EraseRootFromParent_Done,
     /*  331122 */   // Label 6079: @331122
     /*  331122 */   GIM_Try, /*On fail goto*//*Label 6080*/ GIMT_Encode4(331185), // Rule ID 20142 //
     /*  331127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  331144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331166 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  331169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331183 */     GIR_RootConstrainSelectedInstOperands,
     /*  331184 */     // GIR_Coverage, 20142,
     /*  331184 */     GIR_EraseRootFromParent_Done,
     /*  331185 */   // Label 6080: @331185
     /*  331185 */   GIM_Try, /*On fail goto*//*Label 6081*/ GIMT_Encode4(331248), // Rule ID 20143 //
     /*  331190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  331204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  331207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331229 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  331232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331246 */     GIR_RootConstrainSelectedInstOperands,
     /*  331247 */     // GIR_Coverage, 20143,
     /*  331247 */     GIR_EraseRootFromParent_Done,
     /*  331248 */   // Label 6081: @331248
     /*  331248 */   GIM_Try, /*On fail goto*//*Label 6082*/ GIMT_Encode4(331311), // Rule ID 20146 //
     /*  331253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  331270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331292 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  331295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331309 */     GIR_RootConstrainSelectedInstOperands,
     /*  331310 */     // GIR_Coverage, 20146,
     /*  331310 */     GIR_EraseRootFromParent_Done,
     /*  331311 */   // Label 6082: @331311
     /*  331311 */   GIM_Try, /*On fail goto*//*Label 6083*/ GIMT_Encode4(331374), // Rule ID 20147 //
     /*  331316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  331327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  331330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  331333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331355 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  331358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331372 */     GIR_RootConstrainSelectedInstOperands,
     /*  331373 */     // GIR_Coverage, 20147,
     /*  331373 */     GIR_EraseRootFromParent_Done,
     /*  331374 */   // Label 6083: @331374
     /*  331374 */   GIM_Try, /*On fail goto*//*Label 6084*/ GIMT_Encode4(331437), // Rule ID 20150 //
     /*  331379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  331382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  331396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  331418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  331421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331435 */     GIR_RootConstrainSelectedInstOperands,
     /*  331436 */     // GIR_Coverage, 20150,
     /*  331436 */     GIR_EraseRootFromParent_Done,
     /*  331437 */   // Label 6084: @331437
     /*  331437 */   GIM_Try, /*On fail goto*//*Label 6085*/ GIMT_Encode4(331500), // Rule ID 20151 //
     /*  331442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  331445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  331453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  331456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  331459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331481 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  331481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /*  331484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  331498 */     GIR_RootConstrainSelectedInstOperands,
     /*  331499 */     // GIR_Coverage, 20151,
     /*  331499 */     GIR_EraseRootFromParent_Done,
     /*  331500 */   // Label 6085: @331500
     /*  331500 */   GIM_Try, /*On fail goto*//*Label 6086*/ GIMT_Encode4(331563), // Rule ID 20154 //
     /*  331505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  331522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331544 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331561 */     GIR_RootConstrainSelectedInstOperands,
     /*  331562 */     // GIR_Coverage, 20154,
     /*  331562 */     GIR_EraseRootFromParent_Done,
     /*  331563 */   // Label 6086: @331563
     /*  331563 */   GIM_Try, /*On fail goto*//*Label 6087*/ GIMT_Encode4(331626), // Rule ID 20155 //
     /*  331568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  331579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  331582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  331585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331607 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331624 */     GIR_RootConstrainSelectedInstOperands,
     /*  331625 */     // GIR_Coverage, 20155,
     /*  331625 */     GIR_EraseRootFromParent_Done,
     /*  331626 */   // Label 6087: @331626
     /*  331626 */   GIM_Try, /*On fail goto*//*Label 6088*/ GIMT_Encode4(331689), // Rule ID 20158 //
     /*  331631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  331648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331687 */     GIR_RootConstrainSelectedInstOperands,
     /*  331688 */     // GIR_Coverage, 20158,
     /*  331688 */     GIR_EraseRootFromParent_Done,
     /*  331689 */   // Label 6088: @331689
     /*  331689 */   GIM_Try, /*On fail goto*//*Label 6089*/ GIMT_Encode4(331752), // Rule ID 20159 //
     /*  331694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  331705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  331708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  331711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  331726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331733 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  331736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331750 */     GIR_RootConstrainSelectedInstOperands,
     /*  331751 */     // GIR_Coverage, 20159,
     /*  331751 */     GIR_EraseRootFromParent_Done,
     /*  331752 */   // Label 6089: @331752
     /*  331752 */   GIM_Try, /*On fail goto*//*Label 6090*/ GIMT_Encode4(331815), // Rule ID 20162 //
     /*  331757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  331760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  331774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331796 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  331796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331813 */     GIR_RootConstrainSelectedInstOperands,
     /*  331814 */     // GIR_Coverage, 20162,
     /*  331814 */     GIR_EraseRootFromParent_Done,
     /*  331815 */   // Label 6090: @331815
     /*  331815 */   GIM_Try, /*On fail goto*//*Label 6091*/ GIMT_Encode4(331878), // Rule ID 20163 //
     /*  331820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  331823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  331831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  331834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  331837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  331852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331859 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  331859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  331862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  331876 */     GIR_RootConstrainSelectedInstOperands,
     /*  331877 */     // GIR_Coverage, 20163,
     /*  331877 */     GIR_EraseRootFromParent_Done,
     /*  331878 */   // Label 6091: @331878
     /*  331878 */   GIM_Try, /*On fail goto*//*Label 6092*/ GIMT_Encode4(331941), // Rule ID 20166 //
     /*  331883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  331886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  331903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  331922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  331939 */     GIR_RootConstrainSelectedInstOperands,
     /*  331940 */     // GIR_Coverage, 20166,
     /*  331940 */     GIR_EraseRootFromParent_Done,
     /*  331941 */   // Label 6092: @331941
     /*  331941 */   GIM_Try, /*On fail goto*//*Label 6093*/ GIMT_Encode4(332004), // Rule ID 20167 //
     /*  331946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  331949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  331954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  331957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  331960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  331963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  331966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  331970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  331978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  331985 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  331985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  331988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  331990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  331992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  331994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  331999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332002 */     GIR_RootConstrainSelectedInstOperands,
     /*  332003 */     // GIR_Coverage, 20167,
     /*  332003 */     GIR_EraseRootFromParent_Done,
     /*  332004 */   // Label 6093: @332004
     /*  332004 */   GIM_Try, /*On fail goto*//*Label 6094*/ GIMT_Encode4(332067), // Rule ID 20170 //
     /*  332009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  332026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332048 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  332051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332065 */     GIR_RootConstrainSelectedInstOperands,
     /*  332066 */     // GIR_Coverage, 20170,
     /*  332066 */     GIR_EraseRootFromParent_Done,
     /*  332067 */   // Label 6094: @332067
     /*  332067 */   GIM_Try, /*On fail goto*//*Label 6095*/ GIMT_Encode4(332130), // Rule ID 20171 //
     /*  332072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  332086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  332089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332111 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  332114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332128 */     GIR_RootConstrainSelectedInstOperands,
     /*  332129 */     // GIR_Coverage, 20171,
     /*  332129 */     GIR_EraseRootFromParent_Done,
     /*  332130 */   // Label 6095: @332130
     /*  332130 */   GIM_Try, /*On fail goto*//*Label 6096*/ GIMT_Encode4(332193), // Rule ID 20174 //
     /*  332135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  332152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332174 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  332177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332191 */     GIR_RootConstrainSelectedInstOperands,
     /*  332192 */     // GIR_Coverage, 20174,
     /*  332192 */     GIR_EraseRootFromParent_Done,
     /*  332193 */   // Label 6096: @332193
     /*  332193 */   GIM_Try, /*On fail goto*//*Label 6097*/ GIMT_Encode4(332256), // Rule ID 20175 //
     /*  332198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  332209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  332212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  332215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332237 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  332240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332254 */     GIR_RootConstrainSelectedInstOperands,
     /*  332255 */     // GIR_Coverage, 20175,
     /*  332255 */     GIR_EraseRootFromParent_Done,
     /*  332256 */   // Label 6097: @332256
     /*  332256 */   GIM_Try, /*On fail goto*//*Label 6098*/ GIMT_Encode4(332319), // Rule ID 20178 //
     /*  332261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  332275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  332278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332300 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  332303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332317 */     GIR_RootConstrainSelectedInstOperands,
     /*  332318 */     // GIR_Coverage, 20178,
     /*  332318 */     GIR_EraseRootFromParent_Done,
     /*  332319 */   // Label 6098: @332319
     /*  332319 */   GIM_Try, /*On fail goto*//*Label 6099*/ GIMT_Encode4(332382), // Rule ID 20179 //
     /*  332324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  332338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  332341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  332356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332363 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /*  332366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332380 */     GIR_RootConstrainSelectedInstOperands,
     /*  332381 */     // GIR_Coverage, 20179,
     /*  332381 */     GIR_EraseRootFromParent_Done,
     /*  332382 */   // Label 6099: @332382
     /*  332382 */   GIM_Try, /*On fail goto*//*Label 6100*/ GIMT_Encode4(332445), // Rule ID 20182 //
     /*  332387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  332404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332426 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  332429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332443 */     GIR_RootConstrainSelectedInstOperands,
     /*  332444 */     // GIR_Coverage, 20182,
     /*  332444 */     GIR_EraseRootFromParent_Done,
     /*  332445 */   // Label 6100: @332445
     /*  332445 */   GIM_Try, /*On fail goto*//*Label 6101*/ GIMT_Encode4(332508), // Rule ID 20183 //
     /*  332450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  332461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  332464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  332467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  332482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332489 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /*  332492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332506 */     GIR_RootConstrainSelectedInstOperands,
     /*  332507 */     // GIR_Coverage, 20183,
     /*  332507 */     GIR_EraseRootFromParent_Done,
     /*  332508 */   // Label 6101: @332508
     /*  332508 */   GIM_Try, /*On fail goto*//*Label 6102*/ GIMT_Encode4(332571), // Rule ID 20186 //
     /*  332513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  332516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  332530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332552 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  332552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  332555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332569 */     GIR_RootConstrainSelectedInstOperands,
     /*  332570 */     // GIR_Coverage, 20186,
     /*  332570 */     GIR_EraseRootFromParent_Done,
     /*  332571 */   // Label 6102: @332571
     /*  332571 */   GIM_Try, /*On fail goto*//*Label 6103*/ GIMT_Encode4(332634), // Rule ID 20187 //
     /*  332576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  332579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  332587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  332590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  332593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  332608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332615 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  332615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /*  332618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  332632 */     GIR_RootConstrainSelectedInstOperands,
     /*  332633 */     // GIR_Coverage, 20187,
     /*  332633 */     GIR_EraseRootFromParent_Done,
     /*  332634 */   // Label 6103: @332634
     /*  332634 */   GIM_Try, /*On fail goto*//*Label 6104*/ GIMT_Encode4(332697), // Rule ID 20190 //
     /*  332639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332678 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  332681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332695 */     GIR_RootConstrainSelectedInstOperands,
     /*  332696 */     // GIR_Coverage, 20190,
     /*  332696 */     GIR_EraseRootFromParent_Done,
     /*  332697 */   // Label 6104: @332697
     /*  332697 */   GIM_Try, /*On fail goto*//*Label 6105*/ GIMT_Encode4(332760), // Rule ID 20191 //
     /*  332702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  332716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332741 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4),
     /*  332744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332758 */     GIR_RootConstrainSelectedInstOperands,
     /*  332759 */     // GIR_Coverage, 20191,
     /*  332759 */     GIR_EraseRootFromParent_Done,
     /*  332760 */   // Label 6105: @332760
     /*  332760 */   GIM_Try, /*On fail goto*//*Label 6106*/ GIMT_Encode4(332823), // Rule ID 20194 //
     /*  332765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  332768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332804 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  332804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  332807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332821 */     GIR_RootConstrainSelectedInstOperands,
     /*  332822 */     // GIR_Coverage, 20194,
     /*  332822 */     GIR_EraseRootFromParent_Done,
     /*  332823 */   // Label 6106: @332823
     /*  332823 */   GIM_Try, /*On fail goto*//*Label 6107*/ GIMT_Encode4(332886), // Rule ID 20195 //
     /*  332828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  332831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  332839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  332842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  332845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  332860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332867 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  332867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2),
     /*  332870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  332884 */     GIR_RootConstrainSelectedInstOperands,
     /*  332885 */     // GIR_Coverage, 20195,
     /*  332885 */     GIR_EraseRootFromParent_Done,
     /*  332886 */   // Label 6107: @332886
     /*  332886 */   GIM_Try, /*On fail goto*//*Label 6108*/ GIMT_Encode4(332949), // Rule ID 20198 //
     /*  332891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  332894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  332911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332930 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  332930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  332933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  332937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  332939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  332944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  332947 */     GIR_RootConstrainSelectedInstOperands,
     /*  332948 */     // GIR_Coverage, 20198,
     /*  332948 */     GIR_EraseRootFromParent_Done,
     /*  332949 */   // Label 6108: @332949
     /*  332949 */   GIM_Try, /*On fail goto*//*Label 6109*/ GIMT_Encode4(333012), // Rule ID 20199 //
     /*  332954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  332957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  332962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  332965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  332968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  332971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  332974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  332982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  332986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  332993 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  332993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2),
     /*  332996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  332998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333010 */     GIR_RootConstrainSelectedInstOperands,
     /*  333011 */     // GIR_Coverage, 20199,
     /*  333011 */     GIR_EraseRootFromParent_Done,
     /*  333012 */   // Label 6109: @333012
     /*  333012 */   GIM_Try, /*On fail goto*//*Label 6110*/ GIMT_Encode4(333075), // Rule ID 20202 //
     /*  333017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333056 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  333059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333073 */     GIR_RootConstrainSelectedInstOperands,
     /*  333074 */     // GIR_Coverage, 20202,
     /*  333074 */     GIR_EraseRootFromParent_Done,
     /*  333075 */   // Label 6110: @333075
     /*  333075 */   GIM_Try, /*On fail goto*//*Label 6111*/ GIMT_Encode4(333138), // Rule ID 20203 //
     /*  333080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  333094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333119 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1),
     /*  333122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333136 */     GIR_RootConstrainSelectedInstOperands,
     /*  333137 */     // GIR_Coverage, 20203,
     /*  333137 */     GIR_EraseRootFromParent_Done,
     /*  333138 */   // Label 6111: @333138
     /*  333138 */   GIM_Try, /*On fail goto*//*Label 6112*/ GIMT_Encode4(333201), // Rule ID 20206 //
     /*  333143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333182 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  333185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333199 */     GIR_RootConstrainSelectedInstOperands,
     /*  333200 */     // GIR_Coverage, 20206,
     /*  333200 */     GIR_EraseRootFromParent_Done,
     /*  333201 */   // Label 6112: @333201
     /*  333201 */   GIM_Try, /*On fail goto*//*Label 6113*/ GIMT_Encode4(333264), // Rule ID 20207 //
     /*  333206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  333217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  333220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333245 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1),
     /*  333248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333262 */     GIR_RootConstrainSelectedInstOperands,
     /*  333263 */     // GIR_Coverage, 20207,
     /*  333263 */     GIR_EraseRootFromParent_Done,
     /*  333264 */   // Label 6113: @333264
     /*  333264 */   GIM_Try, /*On fail goto*//*Label 6114*/ GIMT_Encode4(333327), // Rule ID 20210 //
     /*  333269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  333272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333308 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  333308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  333311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333325 */     GIR_RootConstrainSelectedInstOperands,
     /*  333326 */     // GIR_Coverage, 20210,
     /*  333326 */     GIR_EraseRootFromParent_Done,
     /*  333327 */   // Label 6114: @333327
     /*  333327 */   GIM_Try, /*On fail goto*//*Label 6115*/ GIMT_Encode4(333390), // Rule ID 20211 //
     /*  333332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  333335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  333343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  333346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  333349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  333364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333371 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11430:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  333371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1),
     /*  333374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  333388 */     GIR_RootConstrainSelectedInstOperands,
     /*  333389 */     // GIR_Coverage, 20211,
     /*  333389 */     GIR_EraseRootFromParent_Done,
     /*  333390 */   // Label 6115: @333390
     /*  333390 */   GIM_Try, /*On fail goto*//*Label 6116*/ GIMT_Encode4(333453), // Rule ID 20214 //
     /*  333395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333434 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  333437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333451 */     GIR_RootConstrainSelectedInstOperands,
     /*  333452 */     // GIR_Coverage, 20214,
     /*  333452 */     GIR_EraseRootFromParent_Done,
     /*  333453 */   // Label 6116: @333453
     /*  333453 */   GIM_Try, /*On fail goto*//*Label 6117*/ GIMT_Encode4(333516), // Rule ID 20215 //
     /*  333458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  333472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333497 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2),
     /*  333500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333514 */     GIR_RootConstrainSelectedInstOperands,
     /*  333515 */     // GIR_Coverage, 20215,
     /*  333515 */     GIR_EraseRootFromParent_Done,
     /*  333516 */   // Label 6117: @333516
     /*  333516 */   GIM_Try, /*On fail goto*//*Label 6118*/ GIMT_Encode4(333579), // Rule ID 20218 //
     /*  333521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333560 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  333563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333577 */     GIR_RootConstrainSelectedInstOperands,
     /*  333578 */     // GIR_Coverage, 20218,
     /*  333578 */     GIR_EraseRootFromParent_Done,
     /*  333579 */   // Label 6118: @333579
     /*  333579 */   GIM_Try, /*On fail goto*//*Label 6119*/ GIMT_Encode4(333642), // Rule ID 20219 //
     /*  333584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  333595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  333598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333623 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4),
     /*  333626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333640 */     GIR_RootConstrainSelectedInstOperands,
     /*  333641 */     // GIR_Coverage, 20219,
     /*  333641 */     GIR_EraseRootFromParent_Done,
     /*  333642 */   // Label 6119: @333642
     /*  333642 */   GIM_Try, /*On fail goto*//*Label 6120*/ GIMT_Encode4(333705), // Rule ID 20222 //
     /*  333647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  333650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  333658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333686 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  333686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  333689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333703 */     GIR_RootConstrainSelectedInstOperands,
     /*  333704 */     // GIR_Coverage, 20222,
     /*  333704 */     GIR_EraseRootFromParent_Done,
     /*  333705 */   // Label 6120: @333705
     /*  333705 */   GIM_Try, /*On fail goto*//*Label 6121*/ GIMT_Encode4(333768), // Rule ID 20223 //
     /*  333710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  333713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  333721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  333724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  333727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  333738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  333742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333749 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  333749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8),
     /*  333752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  333766 */     GIR_RootConstrainSelectedInstOperands,
     /*  333767 */     // GIR_Coverage, 20223,
     /*  333767 */     GIR_EraseRootFromParent_Done,
     /*  333768 */   // Label 6121: @333768
     /*  333768 */   GIM_Try, /*On fail goto*//*Label 6122*/ GIMT_Encode4(333831), // Rule ID 20226 //
     /*  333773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333812 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  333815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333829 */     GIR_RootConstrainSelectedInstOperands,
     /*  333830 */     // GIR_Coverage, 20226,
     /*  333830 */     GIR_EraseRootFromParent_Done,
     /*  333831 */   // Label 6122: @333831
     /*  333831 */   GIM_Try, /*On fail goto*//*Label 6123*/ GIMT_Encode4(333894), // Rule ID 20227 //
     /*  333836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  333847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  333850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  333864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333875 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  333875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2),
     /*  333878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333892 */     GIR_RootConstrainSelectedInstOperands,
     /*  333893 */     // GIR_Coverage, 20227,
     /*  333893 */     GIR_EraseRootFromParent_Done,
     /*  333894 */   // Label 6123: @333894
     /*  333894 */   GIM_Try, /*On fail goto*//*Label 6124*/ GIMT_Encode4(333957), // Rule ID 20230 //
     /*  333899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  333902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  333919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  333938 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  333938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  333941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  333943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  333945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  333947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  333952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  333955 */     GIR_RootConstrainSelectedInstOperands,
     /*  333956 */     // GIR_Coverage, 20230,
     /*  333956 */     GIR_EraseRootFromParent_Done,
     /*  333957 */   // Label 6124: @333957
     /*  333957 */   GIM_Try, /*On fail goto*//*Label 6125*/ GIMT_Encode4(334020), // Rule ID 20231 //
     /*  333962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  333965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  333970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  333973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  333976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  333979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  333982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  333986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  333990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  333994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334001 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4),
     /*  334004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334018 */     GIR_RootConstrainSelectedInstOperands,
     /*  334019 */     // GIR_Coverage, 20231,
     /*  334019 */     GIR_EraseRootFromParent_Done,
     /*  334020 */   // Label 6125: @334020
     /*  334020 */   GIM_Try, /*On fail goto*//*Label 6126*/ GIMT_Encode4(334083), // Rule ID 20234 //
     /*  334025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  334033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334064 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  334067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334081 */     GIR_RootConstrainSelectedInstOperands,
     /*  334082 */     // GIR_Coverage, 20234,
     /*  334082 */     GIR_EraseRootFromParent_Done,
     /*  334083 */   // Label 6126: @334083
     /*  334083 */   GIM_Try, /*On fail goto*//*Label 6127*/ GIMT_Encode4(334146), // Rule ID 20235 //
     /*  334088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  334096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  334099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  334102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334127 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8),
     /*  334130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334144 */     GIR_RootConstrainSelectedInstOperands,
     /*  334145 */     // GIR_Coverage, 20235,
     /*  334145 */     GIR_EraseRootFromParent_Done,
     /*  334146 */   // Label 6127: @334146
     /*  334146 */   GIM_Try, /*On fail goto*//*Label 6128*/ GIMT_Encode4(334209), // Rule ID 20238 //
     /*  334151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  334159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  334193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334207 */     GIR_RootConstrainSelectedInstOperands,
     /*  334208 */     // GIR_Coverage, 20238,
     /*  334208 */     GIR_EraseRootFromParent_Done,
     /*  334209 */   // Label 6128: @334209
     /*  334209 */   GIM_Try, /*On fail goto*//*Label 6129*/ GIMT_Encode4(334272), // Rule ID 20239 //
     /*  334214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  334222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  334228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  334242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334253 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11430:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2),
     /*  334256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334270 */     GIR_RootConstrainSelectedInstOperands,
     /*  334271 */     // GIR_Coverage, 20239,
     /*  334271 */     GIR_EraseRootFromParent_Done,
     /*  334272 */   // Label 6129: @334272
     /*  334272 */   GIM_Try, /*On fail goto*//*Label 6130*/ GIMT_Encode4(334335), // Rule ID 20242 //
     /*  334277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  334285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  334291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334316 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  334319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334333 */     GIR_RootConstrainSelectedInstOperands,
     /*  334334 */     // GIR_Coverage, 20242,
     /*  334334 */     GIR_EraseRootFromParent_Done,
     /*  334335 */   // Label 6130: @334335
     /*  334335 */   GIM_Try, /*On fail goto*//*Label 6131*/ GIMT_Encode4(334398), // Rule ID 20243 //
     /*  334340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  334348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  334354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  334368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334379 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11430:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4),
     /*  334382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334396 */     GIR_RootConstrainSelectedInstOperands,
     /*  334397 */     // GIR_Coverage, 20243,
     /*  334397 */     GIR_EraseRootFromParent_Done,
     /*  334398 */   // Label 6131: @334398
     /*  334398 */   GIM_Try, /*On fail goto*//*Label 6132*/ GIMT_Encode4(334461), // Rule ID 20246 //
     /*  334403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  334406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  334411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334442 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  334442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  334445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334459 */     GIR_RootConstrainSelectedInstOperands,
     /*  334460 */     // GIR_Coverage, 20246,
     /*  334460 */     GIR_EraseRootFromParent_Done,
     /*  334461 */   // Label 6132: @334461
     /*  334461 */   GIM_Try, /*On fail goto*//*Label 6133*/ GIMT_Encode4(334524), // Rule ID 20247 //
     /*  334466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  334469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne),
     /*  334474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  334477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  334480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  334483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  334494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  334498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334505 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11430:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  334505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8),
     /*  334508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  334522 */     GIR_RootConstrainSelectedInstOperands,
     /*  334523 */     // GIR_Coverage, 20247,
     /*  334523 */     GIR_EraseRootFromParent_Done,
     /*  334524 */   // Label 6133: @334524
     /*  334524 */   GIM_Try, /*On fail goto*//*Label 6134*/ GIMT_Encode4(334587), // Rule ID 20250 //
     /*  334529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334568 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  334571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334585 */     GIR_RootConstrainSelectedInstOperands,
     /*  334586 */     // GIR_Coverage, 20250,
     /*  334586 */     GIR_EraseRootFromParent_Done,
     /*  334587 */   // Label 6134: @334587
     /*  334587 */   GIM_Try, /*On fail goto*//*Label 6135*/ GIMT_Encode4(334650), // Rule ID 20251 //
     /*  334592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  334606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334631 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4),
     /*  334634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334648 */     GIR_RootConstrainSelectedInstOperands,
     /*  334649 */     // GIR_Coverage, 20251,
     /*  334649 */     GIR_EraseRootFromParent_Done,
     /*  334650 */   // Label 6135: @334650
     /*  334650 */   GIM_Try, /*On fail goto*//*Label 6136*/ GIMT_Encode4(334713), // Rule ID 20254 //
     /*  334655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334694 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  334697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334711 */     GIR_RootConstrainSelectedInstOperands,
     /*  334712 */     // GIR_Coverage, 20254,
     /*  334712 */     GIR_EraseRootFromParent_Done,
     /*  334713 */   // Label 6136: @334713
     /*  334713 */   GIM_Try, /*On fail goto*//*Label 6137*/ GIMT_Encode4(334776), // Rule ID 20255 //
     /*  334718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  334729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  334732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334757 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  334757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2),
     /*  334760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334774 */     GIR_RootConstrainSelectedInstOperands,
     /*  334775 */     // GIR_Coverage, 20255,
     /*  334775 */     GIR_EraseRootFromParent_Done,
     /*  334776 */   // Label 6137: @334776
     /*  334776 */   GIM_Try, /*On fail goto*//*Label 6138*/ GIMT_Encode4(334839), // Rule ID 20258 //
     /*  334781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  334784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334820 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  334820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  334823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334837 */     GIR_RootConstrainSelectedInstOperands,
     /*  334838 */     // GIR_Coverage, 20258,
     /*  334838 */     GIR_EraseRootFromParent_Done,
     /*  334839 */   // Label 6138: @334839
     /*  334839 */   GIM_Try, /*On fail goto*//*Label 6139*/ GIMT_Encode4(334902), // Rule ID 20259 //
     /*  334844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  334847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  334855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  334858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  334861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  334876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  334883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2),
     /*  334886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  334900 */     GIR_RootConstrainSelectedInstOperands,
     /*  334901 */     // GIR_Coverage, 20259,
     /*  334901 */     GIR_EraseRootFromParent_Done,
     /*  334902 */   // Label 6139: @334902
     /*  334902 */   GIM_Try, /*On fail goto*//*Label 6140*/ GIMT_Encode4(334965), // Rule ID 20262 //
     /*  334907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  334910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  334927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  334939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  334946 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  334946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  334949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  334951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  334953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  334955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  334960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  334963 */     GIR_RootConstrainSelectedInstOperands,
     /*  334964 */     // GIR_Coverage, 20262,
     /*  334964 */     GIR_EraseRootFromParent_Done,
     /*  334965 */   // Label 6140: @334965
     /*  334965 */   GIM_Try, /*On fail goto*//*Label 6141*/ GIMT_Encode4(335028), // Rule ID 20263 //
     /*  334970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  334973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  334978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  334981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  334984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  334987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  334990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  334998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335009 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1),
     /*  335012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335026 */     GIR_RootConstrainSelectedInstOperands,
     /*  335027 */     // GIR_Coverage, 20263,
     /*  335027 */     GIR_EraseRootFromParent_Done,
     /*  335028 */   // Label 6141: @335028
     /*  335028 */   GIM_Try, /*On fail goto*//*Label 6142*/ GIMT_Encode4(335091), // Rule ID 20266 //
     /*  335033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335072 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  335075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335089 */     GIR_RootConstrainSelectedInstOperands,
     /*  335090 */     // GIR_Coverage, 20266,
     /*  335090 */     GIR_EraseRootFromParent_Done,
     /*  335091 */   // Label 6142: @335091
     /*  335091 */   GIM_Try, /*On fail goto*//*Label 6143*/ GIMT_Encode4(335154), // Rule ID 20267 //
     /*  335096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  335107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  335110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335135 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1),
     /*  335138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335152 */     GIR_RootConstrainSelectedInstOperands,
     /*  335153 */     // GIR_Coverage, 20267,
     /*  335153 */     GIR_EraseRootFromParent_Done,
     /*  335154 */   // Label 6143: @335154
     /*  335154 */   GIM_Try, /*On fail goto*//*Label 6144*/ GIMT_Encode4(335217), // Rule ID 20270 //
     /*  335159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  335162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335198 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  335198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  335201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335215 */     GIR_RootConstrainSelectedInstOperands,
     /*  335216 */     // GIR_Coverage, 20270,
     /*  335216 */     GIR_EraseRootFromParent_Done,
     /*  335217 */   // Label 6144: @335217
     /*  335217 */   GIM_Try, /*On fail goto*//*Label 6145*/ GIMT_Encode4(335280), // Rule ID 20271 //
     /*  335222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  335225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  335233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  335236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  335239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  335254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335261 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  335261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1),
     /*  335264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  335278 */     GIR_RootConstrainSelectedInstOperands,
     /*  335279 */     // GIR_Coverage, 20271,
     /*  335279 */     GIR_EraseRootFromParent_Done,
     /*  335280 */   // Label 6145: @335280
     /*  335280 */   GIM_Try, /*On fail goto*//*Label 6146*/ GIMT_Encode4(335343), // Rule ID 20274 //
     /*  335285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335324 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  335327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335341 */     GIR_RootConstrainSelectedInstOperands,
     /*  335342 */     // GIR_Coverage, 20274,
     /*  335342 */     GIR_EraseRootFromParent_Done,
     /*  335343 */   // Label 6146: @335343
     /*  335343 */   GIM_Try, /*On fail goto*//*Label 6147*/ GIMT_Encode4(335406), // Rule ID 20275 //
     /*  335348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  335362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335387 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2),
     /*  335390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335404 */     GIR_RootConstrainSelectedInstOperands,
     /*  335405 */     // GIR_Coverage, 20275,
     /*  335405 */     GIR_EraseRootFromParent_Done,
     /*  335406 */   // Label 6147: @335406
     /*  335406 */   GIM_Try, /*On fail goto*//*Label 6148*/ GIMT_Encode4(335469), // Rule ID 20278 //
     /*  335411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335450 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  335453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335467 */     GIR_RootConstrainSelectedInstOperands,
     /*  335468 */     // GIR_Coverage, 20278,
     /*  335468 */     GIR_EraseRootFromParent_Done,
     /*  335469 */   // Label 6148: @335469
     /*  335469 */   GIM_Try, /*On fail goto*//*Label 6149*/ GIMT_Encode4(335532), // Rule ID 20279 //
     /*  335474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  335488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335513 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4),
     /*  335516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335530 */     GIR_RootConstrainSelectedInstOperands,
     /*  335531 */     // GIR_Coverage, 20279,
     /*  335531 */     GIR_EraseRootFromParent_Done,
     /*  335532 */   // Label 6149: @335532
     /*  335532 */   GIM_Try, /*On fail goto*//*Label 6150*/ GIMT_Encode4(335595), // Rule ID 20282 //
     /*  335537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  335540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  335548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335576 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  335576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  335579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335593 */     GIR_RootConstrainSelectedInstOperands,
     /*  335594 */     // GIR_Coverage, 20282,
     /*  335594 */     GIR_EraseRootFromParent_Done,
     /*  335595 */   // Label 6150: @335595
     /*  335595 */   GIM_Try, /*On fail goto*//*Label 6151*/ GIMT_Encode4(335658), // Rule ID 20283 //
     /*  335600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  335603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  335611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  335614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  335617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  335632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335639 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  335639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8),
     /*  335642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  335656 */     GIR_RootConstrainSelectedInstOperands,
     /*  335657 */     // GIR_Coverage, 20283,
     /*  335657 */     GIR_EraseRootFromParent_Done,
     /*  335658 */   // Label 6151: @335658
     /*  335658 */   GIM_Try, /*On fail goto*//*Label 6152*/ GIMT_Encode4(335721), // Rule ID 20286 //
     /*  335663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  335677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335702 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  335705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335719 */     GIR_RootConstrainSelectedInstOperands,
     /*  335720 */     // GIR_Coverage, 20286,
     /*  335720 */     GIR_EraseRootFromParent_Done,
     /*  335721 */   // Label 6152: @335721
     /*  335721 */   GIM_Try, /*On fail goto*//*Label 6153*/ GIMT_Encode4(335784), // Rule ID 20287 //
     /*  335726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  335737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  335740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  335754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335765 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2),
     /*  335768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335782 */     GIR_RootConstrainSelectedInstOperands,
     /*  335783 */     // GIR_Coverage, 20287,
     /*  335783 */     GIR_EraseRootFromParent_Done,
     /*  335784 */   // Label 6153: @335784
     /*  335784 */   GIM_Try, /*On fail goto*//*Label 6154*/ GIMT_Encode4(335847), // Rule ID 20290 //
     /*  335789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335828 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  335831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335845 */     GIR_RootConstrainSelectedInstOperands,
     /*  335846 */     // GIR_Coverage, 20290,
     /*  335846 */     GIR_EraseRootFromParent_Done,
     /*  335847 */   // Label 6154: @335847
     /*  335847 */   GIM_Try, /*On fail goto*//*Label 6155*/ GIMT_Encode4(335910), // Rule ID 20291 //
     /*  335852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  335863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  335866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  335880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335891 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  335891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4),
     /*  335894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335908 */     GIR_RootConstrainSelectedInstOperands,
     /*  335909 */     // GIR_Coverage, 20291,
     /*  335909 */     GIR_EraseRootFromParent_Done,
     /*  335910 */   // Label 6155: @335910
     /*  335910 */   GIM_Try, /*On fail goto*//*Label 6156*/ GIMT_Encode4(335973), // Rule ID 20294 //
     /*  335915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  335918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  335935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  335939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  335943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  335947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  335954 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  335954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  335957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  335959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  335961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  335963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  335968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  335971 */     GIR_RootConstrainSelectedInstOperands,
     /*  335972 */     // GIR_Coverage, 20294,
     /*  335972 */     GIR_EraseRootFromParent_Done,
     /*  335973 */   // Label 6156: @335973
     /*  335973 */   GIM_Try, /*On fail goto*//*Label 6157*/ GIMT_Encode4(336036), // Rule ID 20295 //
     /*  335978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  335981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  335986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  335989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  335992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  335995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  335998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336017 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8),
     /*  336020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336034 */     GIR_RootConstrainSelectedInstOperands,
     /*  336035 */     // GIR_Coverage, 20295,
     /*  336035 */     GIR_EraseRootFromParent_Done,
     /*  336036 */   // Label 6157: @336036
     /*  336036 */   GIM_Try, /*On fail goto*//*Label 6158*/ GIMT_Encode4(336099), // Rule ID 20298 //
     /*  336041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  336049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336080 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  336083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336097 */     GIR_RootConstrainSelectedInstOperands,
     /*  336098 */     // GIR_Coverage, 20298,
     /*  336098 */     GIR_EraseRootFromParent_Done,
     /*  336099 */   // Label 6158: @336099
     /*  336099 */   GIM_Try, /*On fail goto*//*Label 6159*/ GIMT_Encode4(336162), // Rule ID 20299 //
     /*  336104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  336112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  336118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  336132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336143 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2),
     /*  336146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336160 */     GIR_RootConstrainSelectedInstOperands,
     /*  336161 */     // GIR_Coverage, 20299,
     /*  336161 */     GIR_EraseRootFromParent_Done,
     /*  336162 */   // Label 6159: @336162
     /*  336162 */   GIM_Try, /*On fail goto*//*Label 6160*/ GIMT_Encode4(336225), // Rule ID 20302 //
     /*  336167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  336175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336206 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  336209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336223 */     GIR_RootConstrainSelectedInstOperands,
     /*  336224 */     // GIR_Coverage, 20302,
     /*  336224 */     GIR_EraseRootFromParent_Done,
     /*  336225 */   // Label 6160: @336225
     /*  336225 */   GIM_Try, /*On fail goto*//*Label 6161*/ GIMT_Encode4(336288), // Rule ID 20303 //
     /*  336230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  336238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  336244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  336258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336269 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4),
     /*  336272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336286 */     GIR_RootConstrainSelectedInstOperands,
     /*  336287 */     // GIR_Coverage, 20303,
     /*  336287 */     GIR_EraseRootFromParent_Done,
     /*  336288 */   // Label 6161: @336288
     /*  336288 */   GIM_Try, /*On fail goto*//*Label 6162*/ GIMT_Encode4(336351), // Rule ID 20306 //
     /*  336293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  336296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  336301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336332 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  336332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  336335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336349 */     GIR_RootConstrainSelectedInstOperands,
     /*  336350 */     // GIR_Coverage, 20306,
     /*  336350 */     GIR_EraseRootFromParent_Done,
     /*  336351 */   // Label 6162: @336351
     /*  336351 */   GIM_Try, /*On fail goto*//*Label 6163*/ GIMT_Encode4(336414), // Rule ID 20307 //
     /*  336356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  336359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  336364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  336367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  336370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  336373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  336384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  336388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336395 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  336395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8),
     /*  336398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  336412 */     GIR_RootConstrainSelectedInstOperands,
     /*  336413 */     // GIR_Coverage, 20307,
     /*  336413 */     GIR_EraseRootFromParent_Done,
     /*  336414 */   // Label 6163: @336414
     /*  336414 */   GIM_Try, /*On fail goto*//*Label 6164*/ GIMT_Encode4(336477), // Rule ID 20310 //
     /*  336419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  336433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336458 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  336461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336475 */     GIR_RootConstrainSelectedInstOperands,
     /*  336476 */     // GIR_Coverage, 20310,
     /*  336476 */     GIR_EraseRootFromParent_Done,
     /*  336477 */   // Label 6164: @336477
     /*  336477 */   GIM_Try, /*On fail goto*//*Label 6165*/ GIMT_Encode4(336540), // Rule ID 20311 //
     /*  336482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  336496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336521 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4),
     /*  336524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336538 */     GIR_RootConstrainSelectedInstOperands,
     /*  336539 */     // GIR_Coverage, 20311,
     /*  336539 */     GIR_EraseRootFromParent_Done,
     /*  336540 */   // Label 6165: @336540
     /*  336540 */   GIM_Try, /*On fail goto*//*Label 6166*/ GIMT_Encode4(336603), // Rule ID 20314 //
     /*  336545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336584 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  336587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336601 */     GIR_RootConstrainSelectedInstOperands,
     /*  336602 */     // GIR_Coverage, 20314,
     /*  336602 */     GIR_EraseRootFromParent_Done,
     /*  336603 */   // Label 6166: @336603
     /*  336603 */   GIM_Try, /*On fail goto*//*Label 6167*/ GIMT_Encode4(336666), // Rule ID 20315 //
     /*  336608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  336622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336647 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2),
     /*  336650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336664 */     GIR_RootConstrainSelectedInstOperands,
     /*  336665 */     // GIR_Coverage, 20315,
     /*  336665 */     GIR_EraseRootFromParent_Done,
     /*  336666 */   // Label 6167: @336666
     /*  336666 */   GIM_Try, /*On fail goto*//*Label 6168*/ GIMT_Encode4(336729), // Rule ID 20318 //
     /*  336671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336710 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  336713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336727 */     GIR_RootConstrainSelectedInstOperands,
     /*  336728 */     // GIR_Coverage, 20318,
     /*  336728 */     GIR_EraseRootFromParent_Done,
     /*  336729 */   // Label 6168: @336729
     /*  336729 */   GIM_Try, /*On fail goto*//*Label 6169*/ GIMT_Encode4(336792), // Rule ID 20319 //
     /*  336734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  336745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  336748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336773 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  336773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2),
     /*  336776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336790 */     GIR_RootConstrainSelectedInstOperands,
     /*  336791 */     // GIR_Coverage, 20319,
     /*  336791 */     GIR_EraseRootFromParent_Done,
     /*  336792 */   // Label 6169: @336792
     /*  336792 */   GIM_Try, /*On fail goto*//*Label 6170*/ GIMT_Encode4(336855), // Rule ID 20322 //
     /*  336797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  336800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  336836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  336839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336853 */     GIR_RootConstrainSelectedInstOperands,
     /*  336854 */     // GIR_Coverage, 20322,
     /*  336854 */     GIR_EraseRootFromParent_Done,
     /*  336855 */   // Label 6170: @336855
     /*  336855 */   GIM_Try, /*On fail goto*//*Label 6171*/ GIMT_Encode4(336918), // Rule ID 20323 //
     /*  336860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  336863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  336871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  336874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  336877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  336880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  336892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336899 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  336899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1),
     /*  336902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  336916 */     GIR_RootConstrainSelectedInstOperands,
     /*  336917 */     // GIR_Coverage, 20323,
     /*  336917 */     GIR_EraseRootFromParent_Done,
     /*  336918 */   // Label 6171: @336918
     /*  336918 */   GIM_Try, /*On fail goto*//*Label 6172*/ GIMT_Encode4(336981), // Rule ID 20326 //
     /*  336923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  336926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  336937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  336940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  336943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  336951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  336955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  336962 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  336962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  336965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  336967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  336969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  336971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  336976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  336979 */     GIR_RootConstrainSelectedInstOperands,
     /*  336980 */     // GIR_Coverage, 20326,
     /*  336980 */     GIR_EraseRootFromParent_Done,
     /*  336981 */   // Label 6172: @336981
     /*  336981 */   GIM_Try, /*On fail goto*//*Label 6173*/ GIMT_Encode4(337044), // Rule ID 20327 //
     /*  336986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  336989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  336994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  336997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  337000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337025 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1),
     /*  337028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337042 */     GIR_RootConstrainSelectedInstOperands,
     /*  337043 */     // GIR_Coverage, 20327,
     /*  337043 */     GIR_EraseRootFromParent_Done,
     /*  337044 */   // Label 6173: @337044
     /*  337044 */   GIM_Try, /*On fail goto*//*Label 6174*/ GIMT_Encode4(337107), // Rule ID 20330 //
     /*  337049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  337060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337088 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  337091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337105 */     GIR_RootConstrainSelectedInstOperands,
     /*  337106 */     // GIR_Coverage, 20330,
     /*  337106 */     GIR_EraseRootFromParent_Done,
     /*  337107 */   // Label 6174: @337107
     /*  337107 */   GIM_Try, /*On fail goto*//*Label 6175*/ GIMT_Encode4(337170), // Rule ID 20331 //
     /*  337112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  337123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  337126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337151 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  337151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1),
     /*  337154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337168 */     GIR_RootConstrainSelectedInstOperands,
     /*  337169 */     // GIR_Coverage, 20331,
     /*  337169 */     GIR_EraseRootFromParent_Done,
     /*  337170 */   // Label 6175: @337170
     /*  337170 */   GIM_Try, /*On fail goto*//*Label 6176*/ GIMT_Encode4(337233), // Rule ID 20334 //
     /*  337175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  337178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  337192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  337207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337214 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  337214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  337217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337231 */     GIR_RootConstrainSelectedInstOperands,
     /*  337232 */     // GIR_Coverage, 20334,
     /*  337232 */     GIR_EraseRootFromParent_Done,
     /*  337233 */   // Label 6176: @337233
     /*  337233 */   GIM_Try, /*On fail goto*//*Label 6177*/ GIMT_Encode4(337296), // Rule ID 20335 //
     /*  337238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  337241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  337252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  337255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  337270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337277 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2),
     /*  337280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337294 */     GIR_RootConstrainSelectedInstOperands,
     /*  337295 */     // GIR_Coverage, 20335,
     /*  337295 */     GIR_EraseRootFromParent_Done,
     /*  337296 */   // Label 6177: @337296
     /*  337296 */   GIM_Try, /*On fail goto*//*Label 6178*/ GIMT_Encode4(337359), // Rule ID 20338 //
     /*  337301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  337304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  337315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  337318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  337333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337340 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  337340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  337343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337357 */     GIR_RootConstrainSelectedInstOperands,
     /*  337358 */     // GIR_Coverage, 20338,
     /*  337358 */     GIR_EraseRootFromParent_Done,
     /*  337359 */   // Label 6178: @337359
     /*  337359 */   GIM_Try, /*On fail goto*//*Label 6179*/ GIMT_Encode4(337422), // Rule ID 20339 //
     /*  337364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  337367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  337378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  337381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  337396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337403 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4),
     /*  337406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337420 */     GIR_RootConstrainSelectedInstOperands,
     /*  337421 */     // GIR_Coverage, 20339,
     /*  337421 */     GIR_EraseRootFromParent_Done,
     /*  337422 */   // Label 6179: @337422
     /*  337422 */   GIM_Try, /*On fail goto*//*Label 6180*/ GIMT_Encode4(337485), // Rule ID 20342 //
     /*  337427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  337430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  337438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  337444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  337459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337466 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  337466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  337469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337483 */     GIR_RootConstrainSelectedInstOperands,
     /*  337484 */     // GIR_Coverage, 20342,
     /*  337484 */     GIR_EraseRootFromParent_Done,
     /*  337485 */   // Label 6180: @337485
     /*  337485 */   GIM_Try, /*On fail goto*//*Label 6181*/ GIMT_Encode4(337548), // Rule ID 20343 //
     /*  337490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  337493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  337501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  337504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /*  337507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  337522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337529 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  337529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8),
     /*  337532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  337546 */     GIR_RootConstrainSelectedInstOperands,
     /*  337547 */     // GIR_Coverage, 20343,
     /*  337547 */     GIR_EraseRootFromParent_Done,
     /*  337548 */   // Label 6181: @337548
     /*  337548 */   GIM_Try, /*On fail goto*//*Label 6182*/ GIMT_Encode4(337611), // Rule ID 20346 //
     /*  337553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337592 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  337595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337609 */     GIR_RootConstrainSelectedInstOperands,
     /*  337610 */     // GIR_Coverage, 20346,
     /*  337610 */     GIR_EraseRootFromParent_Done,
     /*  337611 */   // Label 6182: @337611
     /*  337611 */   GIM_Try, /*On fail goto*//*Label 6183*/ GIMT_Encode4(337674), // Rule ID 20347 //
     /*  337616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  337627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  337630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337655 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2),
     /*  337658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337672 */     GIR_RootConstrainSelectedInstOperands,
     /*  337673 */     // GIR_Coverage, 20347,
     /*  337673 */     GIR_EraseRootFromParent_Done,
     /*  337674 */   // Label 6183: @337674
     /*  337674 */   GIM_Try, /*On fail goto*//*Label 6184*/ GIMT_Encode4(337737), // Rule ID 20350 //
     /*  337679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337718 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  337721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337735 */     GIR_RootConstrainSelectedInstOperands,
     /*  337736 */     // GIR_Coverage, 20350,
     /*  337736 */     GIR_EraseRootFromParent_Done,
     /*  337737 */   // Label 6184: @337737
     /*  337737 */   GIM_Try, /*On fail goto*//*Label 6185*/ GIMT_Encode4(337800), // Rule ID 20351 //
     /*  337742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  337753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  337756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  337770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337781 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4),
     /*  337784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337798 */     GIR_RootConstrainSelectedInstOperands,
     /*  337799 */     // GIR_Coverage, 20351,
     /*  337799 */     GIR_EraseRootFromParent_Done,
     /*  337800 */   // Label 6185: @337800
     /*  337800 */   GIM_Try, /*On fail goto*//*Label 6186*/ GIMT_Encode4(337863), // Rule ID 20354 //
     /*  337805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  337808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337844 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  337844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  337847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337861 */     GIR_RootConstrainSelectedInstOperands,
     /*  337862 */     // GIR_Coverage, 20354,
     /*  337862 */     GIR_EraseRootFromParent_Done,
     /*  337863 */   // Label 6186: @337863
     /*  337863 */   GIM_Try, /*On fail goto*//*Label 6187*/ GIMT_Encode4(337926), // Rule ID 20355 //
     /*  337868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  337871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  337879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  337882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  337885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  337888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  337896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  337900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337907 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  337907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8),
     /*  337910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  337924 */     GIR_RootConstrainSelectedInstOperands,
     /*  337925 */     // GIR_Coverage, 20355,
     /*  337925 */     GIR_EraseRootFromParent_Done,
     /*  337926 */   // Label 6187: @337926
     /*  337926 */   GIM_Try, /*On fail goto*//*Label 6188*/ GIMT_Encode4(337989), // Rule ID 20358 //
     /*  337931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  337934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  337939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  337942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  337945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  337948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  337951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  337955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  337959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  337963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  337970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  337970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  337973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  337975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  337977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  337979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  337984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  337987 */     GIR_RootConstrainSelectedInstOperands,
     /*  337988 */     // GIR_Coverage, 20358,
     /*  337988 */     GIR_EraseRootFromParent_Done,
     /*  337989 */   // Label 6188: @337989
     /*  337989 */   GIM_Try, /*On fail goto*//*Label 6189*/ GIMT_Encode4(338052), // Rule ID 20359 //
     /*  337994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  337997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  338002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  338008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  338011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  338022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  338026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338033 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  338033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2),
     /*  338036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  338040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338050 */     GIR_RootConstrainSelectedInstOperands,
     /*  338051 */     // GIR_Coverage, 20359,
     /*  338051 */     GIR_EraseRootFromParent_Done,
     /*  338052 */   // Label 6189: @338052
     /*  338052 */   GIM_Try, /*On fail goto*//*Label 6190*/ GIMT_Encode4(338115), // Rule ID 20362 //
     /*  338057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  338060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  338065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  338074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  338089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338096 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  338096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  338099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  338103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338113 */     GIR_RootConstrainSelectedInstOperands,
     /*  338114 */     // GIR_Coverage, 20362,
     /*  338114 */     GIR_EraseRootFromParent_Done,
     /*  338115 */   // Label 6190: @338115
     /*  338115 */   GIM_Try, /*On fail goto*//*Label 6191*/ GIMT_Encode4(338178), // Rule ID 20363 //
     /*  338120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  338123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  338128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  338134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  338137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  338148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  338152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338159 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  338159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4),
     /*  338162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  338166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338176 */     GIR_RootConstrainSelectedInstOperands,
     /*  338177 */     // GIR_Coverage, 20363,
     /*  338177 */     GIR_EraseRootFromParent_Done,
     /*  338178 */   // Label 6191: @338178
     /*  338178 */   GIM_Try, /*On fail goto*//*Label 6192*/ GIMT_Encode4(338241), // Rule ID 20366 //
     /*  338183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  338186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  338191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  338194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  338200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  338215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338222 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  338222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  338225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  338229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338239 */     GIR_RootConstrainSelectedInstOperands,
     /*  338240 */     // GIR_Coverage, 20366,
     /*  338240 */     GIR_EraseRootFromParent_Done,
     /*  338241 */   // Label 6192: @338241
     /*  338241 */   GIM_Try, /*On fail goto*//*Label 6193*/ GIMT_Encode4(338304), // Rule ID 20367 //
     /*  338246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  338249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  338254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  338257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  338260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  338263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  338274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  338278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338285 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  338285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8),
     /*  338288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  338292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  338294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338302 */     GIR_RootConstrainSelectedInstOperands,
     /*  338303 */     // GIR_Coverage, 20367,
     /*  338303 */     GIR_EraseRootFromParent_Done,
     /*  338304 */   // Label 6193: @338304
     /*  338304 */   GIM_Try, /*On fail goto*//*Label 6194*/ GIMT_Encode4(338367), // Rule ID 20370 //
     /*  338309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  338323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  338326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338348 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  338351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338365 */     GIR_RootConstrainSelectedInstOperands,
     /*  338366 */     // GIR_Coverage, 20370,
     /*  338366 */     GIR_EraseRootFromParent_Done,
     /*  338367 */   // Label 6194: @338367
     /*  338367 */   GIM_Try, /*On fail goto*//*Label 6195*/ GIMT_Encode4(338430), // Rule ID 20371 //
     /*  338372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  338386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  338389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338411 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /*  338414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338428 */     GIR_RootConstrainSelectedInstOperands,
     /*  338429 */     // GIR_Coverage, 20371,
     /*  338429 */     GIR_EraseRootFromParent_Done,
     /*  338430 */   // Label 6195: @338430
     /*  338430 */   GIM_Try, /*On fail goto*//*Label 6196*/ GIMT_Encode4(338493), // Rule ID 20374 //
     /*  338435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  338449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338474 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  338477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338491 */     GIR_RootConstrainSelectedInstOperands,
     /*  338492 */     // GIR_Coverage, 20374,
     /*  338492 */     GIR_EraseRootFromParent_Done,
     /*  338493 */   // Label 6196: @338493
     /*  338493 */   GIM_Try, /*On fail goto*//*Label 6197*/ GIMT_Encode4(338556), // Rule ID 20375 //
     /*  338498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  338512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  338515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338537 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  338540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338554 */     GIR_RootConstrainSelectedInstOperands,
     /*  338555 */     // GIR_Coverage, 20375,
     /*  338555 */     GIR_EraseRootFromParent_Done,
     /*  338556 */   // Label 6197: @338556
     /*  338556 */   GIM_Try, /*On fail goto*//*Label 6198*/ GIMT_Encode4(338619), // Rule ID 20378 //
     /*  338561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  338564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  338600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  338603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338617 */     GIR_RootConstrainSelectedInstOperands,
     /*  338618 */     // GIR_Coverage, 20378,
     /*  338618 */     GIR_EraseRootFromParent_Done,
     /*  338619 */   // Label 6198: @338619
     /*  338619 */   GIM_Try, /*On fail goto*//*Label 6199*/ GIMT_Encode4(338682), // Rule ID 20379 //
     /*  338624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  338627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  338638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  338641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338663 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  338663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /*  338666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338680 */     GIR_RootConstrainSelectedInstOperands,
     /*  338681 */     // GIR_Coverage, 20379,
     /*  338681 */     GIR_EraseRootFromParent_Done,
     /*  338682 */   // Label 6199: @338682
     /*  338682 */   GIM_Try, /*On fail goto*//*Label 6200*/ GIMT_Encode4(338745), // Rule ID 20382 //
     /*  338687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  338690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338726 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  338726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338743 */     GIR_RootConstrainSelectedInstOperands,
     /*  338744 */     // GIR_Coverage, 20382,
     /*  338744 */     GIR_EraseRootFromParent_Done,
     /*  338745 */   // Label 6200: @338745
     /*  338745 */   GIM_Try, /*On fail goto*//*Label 6201*/ GIMT_Encode4(338808), // Rule ID 20383 //
     /*  338750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  338753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  338761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  338764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  338767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338789 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  338789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  338806 */     GIR_RootConstrainSelectedInstOperands,
     /*  338807 */     // GIR_Coverage, 20383,
     /*  338807 */     GIR_EraseRootFromParent_Done,
     /*  338808 */   // Label 6201: @338808
     /*  338808 */   GIM_Try, /*On fail goto*//*Label 6202*/ GIMT_Encode4(338871), // Rule ID 20386 //
     /*  338813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  338816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  338852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338869 */     GIR_RootConstrainSelectedInstOperands,
     /*  338870 */     // GIR_Coverage, 20386,
     /*  338870 */     GIR_EraseRootFromParent_Done,
     /*  338871 */   // Label 6202: @338871
     /*  338871 */   GIM_Try, /*On fail goto*//*Label 6203*/ GIMT_Encode4(338934), // Rule ID 20387 //
     /*  338876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  338879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  338887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  338890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  338893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  338896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338915 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  338915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338922 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  338932 */     GIR_RootConstrainSelectedInstOperands,
     /*  338933 */     // GIR_Coverage, 20387,
     /*  338933 */     GIR_EraseRootFromParent_Done,
     /*  338934 */   // Label 6203: @338934
     /*  338934 */   GIM_Try, /*On fail goto*//*Label 6204*/ GIMT_Encode4(338997), // Rule ID 20390 //
     /*  338939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  338942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  338947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  338950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  338953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  338956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  338959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  338971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  338978 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  338978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  338981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  338983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  338985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  338987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  338992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  338995 */     GIR_RootConstrainSelectedInstOperands,
     /*  338996 */     // GIR_Coverage, 20390,
     /*  338996 */     GIR_EraseRootFromParent_Done,
     /*  338997 */   // Label 6204: @338997
     /*  338997 */   GIM_Try, /*On fail goto*//*Label 6205*/ GIMT_Encode4(339060), // Rule ID 20391 //
     /*  339002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  339005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  339013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  339016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  339019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339041 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11424:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  339041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /*  339044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339058 */     GIR_RootConstrainSelectedInstOperands,
     /*  339059 */     // GIR_Coverage, 20391,
     /*  339059 */     GIR_EraseRootFromParent_Done,
     /*  339060 */   // Label 6205: @339060
     /*  339060 */   GIM_Try, /*On fail goto*//*Label 6206*/ GIMT_Encode4(339123), // Rule ID 20394 //
     /*  339065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  339068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339104 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  339104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339121 */     GIR_RootConstrainSelectedInstOperands,
     /*  339122 */     // GIR_Coverage, 20394,
     /*  339122 */     GIR_EraseRootFromParent_Done,
     /*  339123 */   // Label 6206: @339123
     /*  339123 */   GIM_Try, /*On fail goto*//*Label 6207*/ GIMT_Encode4(339186), // Rule ID 20395 //
     /*  339128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  339131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  339142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  339145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339167 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  339167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339184 */     GIR_RootConstrainSelectedInstOperands,
     /*  339185 */     // GIR_Coverage, 20395,
     /*  339185 */     GIR_EraseRootFromParent_Done,
     /*  339186 */   // Label 6207: @339186
     /*  339186 */   GIM_Try, /*On fail goto*//*Label 6208*/ GIMT_Encode4(339249), // Rule ID 20398 //
     /*  339191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  339194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  339202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  339208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  339230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339247 */     GIR_RootConstrainSelectedInstOperands,
     /*  339248 */     // GIR_Coverage, 20398,
     /*  339248 */     GIR_EraseRootFromParent_Done,
     /*  339249 */   // Label 6208: @339249
     /*  339249 */   GIM_Try, /*On fail goto*//*Label 6209*/ GIMT_Encode4(339312), // Rule ID 20399 //
     /*  339254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  339257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  339265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  339268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  339271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339293 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  339293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339310 */     GIR_RootConstrainSelectedInstOperands,
     /*  339311 */     // GIR_Coverage, 20399,
     /*  339311 */     GIR_EraseRootFromParent_Done,
     /*  339312 */   // Label 6209: @339312
     /*  339312 */   GIM_Try, /*On fail goto*//*Label 6210*/ GIMT_Encode4(339375), // Rule ID 20402 //
     /*  339317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  339320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  339328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  339334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339356 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  339356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339373 */     GIR_RootConstrainSelectedInstOperands,
     /*  339374 */     // GIR_Coverage, 20402,
     /*  339374 */     GIR_EraseRootFromParent_Done,
     /*  339375 */   // Label 6210: @339375
     /*  339375 */   GIM_Try, /*On fail goto*//*Label 6211*/ GIMT_Encode4(339438), // Rule ID 20403 //
     /*  339380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  339383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  339391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  339394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  339397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339419 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  339419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  339436 */     GIR_RootConstrainSelectedInstOperands,
     /*  339437 */     // GIR_Coverage, 20403,
     /*  339437 */     GIR_EraseRootFromParent_Done,
     /*  339438 */   // Label 6211: @339438
     /*  339438 */   GIM_Try, /*On fail goto*//*Label 6212*/ GIMT_Encode4(339501), // Rule ID 20406 //
     /*  339443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  339446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  339482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339499 */     GIR_RootConstrainSelectedInstOperands,
     /*  339500 */     // GIR_Coverage, 20406,
     /*  339500 */     GIR_EraseRootFromParent_Done,
     /*  339501 */   // Label 6212: @339501
     /*  339501 */   GIM_Try, /*On fail goto*//*Label 6213*/ GIMT_Encode4(339564), // Rule ID 20407 //
     /*  339506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  339509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  339520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  339523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339545 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  339545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339562 */     GIR_RootConstrainSelectedInstOperands,
     /*  339563 */     // GIR_Coverage, 20407,
     /*  339563 */     GIR_EraseRootFromParent_Done,
     /*  339564 */   // Label 6213: @339564
     /*  339564 */   GIM_Try, /*On fail goto*//*Label 6214*/ GIMT_Encode4(339627), // Rule ID 20410 //
     /*  339569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  339572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  339583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  339586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339608 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  339608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339625 */     GIR_RootConstrainSelectedInstOperands,
     /*  339626 */     // GIR_Coverage, 20410,
     /*  339626 */     GIR_EraseRootFromParent_Done,
     /*  339627 */   // Label 6214: @339627
     /*  339627 */   GIM_Try, /*On fail goto*//*Label 6215*/ GIMT_Encode4(339690), // Rule ID 20411 //
     /*  339632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  339635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  339643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  339646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  339649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339671 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  339671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339688 */     GIR_RootConstrainSelectedInstOperands,
     /*  339689 */     // GIR_Coverage, 20411,
     /*  339689 */     GIR_EraseRootFromParent_Done,
     /*  339690 */   // Label 6215: @339690
     /*  339690 */   GIM_Try, /*On fail goto*//*Label 6216*/ GIMT_Encode4(339753), // Rule ID 20414 //
     /*  339695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  339698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  339706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339734 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  339734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339751 */     GIR_RootConstrainSelectedInstOperands,
     /*  339752 */     // GIR_Coverage, 20414,
     /*  339752 */     GIR_EraseRootFromParent_Done,
     /*  339753 */   // Label 6216: @339753
     /*  339753 */   GIM_Try, /*On fail goto*//*Label 6217*/ GIMT_Encode4(339816), // Rule ID 20415 //
     /*  339758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  339761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  339769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  339772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  339775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  339790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339797 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  339797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  339800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  339814 */     GIR_RootConstrainSelectedInstOperands,
     /*  339815 */     // GIR_Coverage, 20415,
     /*  339815 */     GIR_EraseRootFromParent_Done,
     /*  339816 */   // Label 6217: @339816
     /*  339816 */   GIM_Try, /*On fail goto*//*Label 6218*/ GIMT_Encode4(339879), // Rule ID 20418 //
     /*  339821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  339824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339860 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  339860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339877 */     GIR_RootConstrainSelectedInstOperands,
     /*  339878 */     // GIR_Coverage, 20418,
     /*  339878 */     GIR_EraseRootFromParent_Done,
     /*  339879 */   // Label 6218: @339879
     /*  339879 */   GIM_Try, /*On fail goto*//*Label 6219*/ GIMT_Encode4(339942), // Rule ID 20419 //
     /*  339884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  339887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  339895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  339898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  339901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  339904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  339916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339923 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11424:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  339923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /*  339926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  339937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  339940 */     GIR_RootConstrainSelectedInstOperands,
     /*  339941 */     // GIR_Coverage, 20419,
     /*  339941 */     GIR_EraseRootFromParent_Done,
     /*  339942 */   // Label 6219: @339942
     /*  339942 */   GIM_Try, /*On fail goto*//*Label 6220*/ GIMT_Encode4(340005), // Rule ID 20422 //
     /*  339947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  339950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  339955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  339958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  339961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  339964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  339967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  339971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  339979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  339986 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  339986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  339989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  339991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  339993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  339995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340003 */     GIR_RootConstrainSelectedInstOperands,
     /*  340004 */     // GIR_Coverage, 20422,
     /*  340004 */     GIR_EraseRootFromParent_Done,
     /*  340005 */   // Label 6220: @340005
     /*  340005 */   GIM_Try, /*On fail goto*//*Label 6221*/ GIMT_Encode4(340068), // Rule ID 20423 //
     /*  340010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  340013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  340018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  340024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  340027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  340042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340049 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11424:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  340049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /*  340052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340066 */     GIR_RootConstrainSelectedInstOperands,
     /*  340067 */     // GIR_Coverage, 20423,
     /*  340067 */     GIR_EraseRootFromParent_Done,
     /*  340068 */   // Label 6221: @340068
     /*  340068 */   GIM_Try, /*On fail goto*//*Label 6222*/ GIMT_Encode4(340131), // Rule ID 20426 //
     /*  340073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  340076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  340081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340112 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  340112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  340115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340129 */     GIR_RootConstrainSelectedInstOperands,
     /*  340130 */     // GIR_Coverage, 20426,
     /*  340130 */     GIR_EraseRootFromParent_Done,
     /*  340131 */   // Label 6222: @340131
     /*  340131 */   GIM_Try, /*On fail goto*//*Label 6223*/ GIMT_Encode4(340194), // Rule ID 20427 //
     /*  340136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  340139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt),
     /*  340144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  340150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  340153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  340168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340175 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11424:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  340175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /*  340178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340192 */     GIR_RootConstrainSelectedInstOperands,
     /*  340193 */     // GIR_Coverage, 20427,
     /*  340193 */     GIR_EraseRootFromParent_Done,
     /*  340194 */   // Label 6223: @340194
     /*  340194 */   GIM_Try, /*On fail goto*//*Label 6224*/ GIMT_Encode4(340257), // Rule ID 20430 //
     /*  340199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  340213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  340216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340238 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  340241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340255 */     GIR_RootConstrainSelectedInstOperands,
     /*  340256 */     // GIR_Coverage, 20430,
     /*  340256 */     GIR_EraseRootFromParent_Done,
     /*  340257 */   // Label 6224: @340257
     /*  340257 */   GIM_Try, /*On fail goto*//*Label 6225*/ GIMT_Encode4(340320), // Rule ID 20431 //
     /*  340262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  340276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  340279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340301 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /*  340304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340318 */     GIR_RootConstrainSelectedInstOperands,
     /*  340319 */     // GIR_Coverage, 20431,
     /*  340319 */     GIR_EraseRootFromParent_Done,
     /*  340320 */   // Label 6225: @340320
     /*  340320 */   GIM_Try, /*On fail goto*//*Label 6226*/ GIMT_Encode4(340383), // Rule ID 20434 //
     /*  340325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  340336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  340339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340364 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  340367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340381 */     GIR_RootConstrainSelectedInstOperands,
     /*  340382 */     // GIR_Coverage, 20434,
     /*  340382 */     GIR_EraseRootFromParent_Done,
     /*  340383 */   // Label 6226: @340383
     /*  340383 */   GIM_Try, /*On fail goto*//*Label 6227*/ GIMT_Encode4(340446), // Rule ID 20435 //
     /*  340388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  340399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  340402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  340405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340427 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  340430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340444 */     GIR_RootConstrainSelectedInstOperands,
     /*  340445 */     // GIR_Coverage, 20435,
     /*  340445 */     GIR_EraseRootFromParent_Done,
     /*  340446 */   // Label 6227: @340446
     /*  340446 */   GIM_Try, /*On fail goto*//*Label 6228*/ GIMT_Encode4(340509), // Rule ID 20438 //
     /*  340451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340490 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  340493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340507 */     GIR_RootConstrainSelectedInstOperands,
     /*  340508 */     // GIR_Coverage, 20438,
     /*  340508 */     GIR_EraseRootFromParent_Done,
     /*  340509 */   // Label 6228: @340509
     /*  340509 */   GIM_Try, /*On fail goto*//*Label 6229*/ GIMT_Encode4(340572), // Rule ID 20439 //
     /*  340514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  340528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  340531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340553 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  340553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /*  340556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340570 */     GIR_RootConstrainSelectedInstOperands,
     /*  340571 */     // GIR_Coverage, 20439,
     /*  340571 */     GIR_EraseRootFromParent_Done,
     /*  340572 */   // Label 6229: @340572
     /*  340572 */   GIM_Try, /*On fail goto*//*Label 6230*/ GIMT_Encode4(340635), // Rule ID 20442 //
     /*  340577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  340591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340633 */     GIR_RootConstrainSelectedInstOperands,
     /*  340634 */     // GIR_Coverage, 20442,
     /*  340634 */     GIR_EraseRootFromParent_Done,
     /*  340635 */   // Label 6230: @340635
     /*  340635 */   GIM_Try, /*On fail goto*//*Label 6231*/ GIMT_Encode4(340698), // Rule ID 20443 //
     /*  340640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  340643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  340651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  340654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  340657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340679 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  340679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  340696 */     GIR_RootConstrainSelectedInstOperands,
     /*  340697 */     // GIR_Coverage, 20443,
     /*  340697 */     GIR_EraseRootFromParent_Done,
     /*  340698 */   // Label 6231: @340698
     /*  340698 */   GIM_Try, /*On fail goto*//*Label 6232*/ GIMT_Encode4(340761), // Rule ID 20446 //
     /*  340703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  340706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  340714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  340742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340759 */     GIR_RootConstrainSelectedInstOperands,
     /*  340760 */     // GIR_Coverage, 20446,
     /*  340760 */     GIR_EraseRootFromParent_Done,
     /*  340761 */   // Label 6232: @340761
     /*  340761 */   GIM_Try, /*On fail goto*//*Label 6233*/ GIMT_Encode4(340824), // Rule ID 20447 //
     /*  340766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  340769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  340777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  340780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  340783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340805 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  340805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  340822 */     GIR_RootConstrainSelectedInstOperands,
     /*  340823 */     // GIR_Coverage, 20447,
     /*  340823 */     GIR_EraseRootFromParent_Done,
     /*  340824 */   // Label 6233: @340824
     /*  340824 */   GIM_Try, /*On fail goto*//*Label 6234*/ GIMT_Encode4(340887), // Rule ID 20450 //
     /*  340829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  340832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  340868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340885 */     GIR_RootConstrainSelectedInstOperands,
     /*  340886 */     // GIR_Coverage, 20450,
     /*  340886 */     GIR_EraseRootFromParent_Done,
     /*  340887 */   // Label 6234: @340887
     /*  340887 */   GIM_Try, /*On fail goto*//*Label 6235*/ GIMT_Encode4(340950), // Rule ID 20451 //
     /*  340892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  340895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  340903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  340906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  340909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  340912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340931 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11422:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  340931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /*  340934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  340938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  340940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  340945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  340948 */     GIR_RootConstrainSelectedInstOperands,
     /*  340949 */     // GIR_Coverage, 20451,
     /*  340949 */     GIR_EraseRootFromParent_Done,
     /*  340950 */   // Label 6235: @340950
     /*  340950 */   GIM_Try, /*On fail goto*//*Label 6236*/ GIMT_Encode4(341013), // Rule ID 20454 //
     /*  340955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  340958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  340963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  340966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  340969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  340972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  340975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  340979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  340987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  340994 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  340994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  340997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  340999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341011 */     GIR_RootConstrainSelectedInstOperands,
     /*  341012 */     // GIR_Coverage, 20454,
     /*  341012 */     GIR_EraseRootFromParent_Done,
     /*  341013 */   // Label 6236: @341013
     /*  341013 */   GIM_Try, /*On fail goto*//*Label 6237*/ GIMT_Encode4(341076), // Rule ID 20455 //
     /*  341018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  341021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  341032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  341035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341057 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  341057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341074 */     GIR_RootConstrainSelectedInstOperands,
     /*  341075 */     // GIR_Coverage, 20455,
     /*  341075 */     GIR_EraseRootFromParent_Done,
     /*  341076 */   // Label 6237: @341076
     /*  341076 */   GIM_Try, /*On fail goto*//*Label 6238*/ GIMT_Encode4(341139), // Rule ID 20458 //
     /*  341081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  341084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  341092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  341098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341120 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  341120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341137 */     GIR_RootConstrainSelectedInstOperands,
     /*  341138 */     // GIR_Coverage, 20458,
     /*  341138 */     GIR_EraseRootFromParent_Done,
     /*  341139 */   // Label 6238: @341139
     /*  341139 */   GIM_Try, /*On fail goto*//*Label 6239*/ GIMT_Encode4(341202), // Rule ID 20459 //
     /*  341144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  341147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  341155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  341158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  341161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341183 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  341183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341200 */     GIR_RootConstrainSelectedInstOperands,
     /*  341201 */     // GIR_Coverage, 20459,
     /*  341201 */     GIR_EraseRootFromParent_Done,
     /*  341202 */   // Label 6239: @341202
     /*  341202 */   GIM_Try, /*On fail goto*//*Label 6240*/ GIMT_Encode4(341265), // Rule ID 20462 //
     /*  341207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  341210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  341218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  341221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  341224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341246 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  341246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341263 */     GIR_RootConstrainSelectedInstOperands,
     /*  341264 */     // GIR_Coverage, 20462,
     /*  341264 */     GIR_EraseRootFromParent_Done,
     /*  341265 */   // Label 6240: @341265
     /*  341265 */   GIM_Try, /*On fail goto*//*Label 6241*/ GIMT_Encode4(341328), // Rule ID 20463 //
     /*  341270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  341273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  341281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  341284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  341287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341309 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  341309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  341326 */     GIR_RootConstrainSelectedInstOperands,
     /*  341327 */     // GIR_Coverage, 20463,
     /*  341327 */     GIR_EraseRootFromParent_Done,
     /*  341328 */   // Label 6241: @341328
     /*  341328 */   GIM_Try, /*On fail goto*//*Label 6242*/ GIMT_Encode4(341391), // Rule ID 20466 //
     /*  341333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  341336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  341344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  341350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341372 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  341372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341389 */     GIR_RootConstrainSelectedInstOperands,
     /*  341390 */     // GIR_Coverage, 20466,
     /*  341390 */     GIR_EraseRootFromParent_Done,
     /*  341391 */   // Label 6242: @341391
     /*  341391 */   GIM_Try, /*On fail goto*//*Label 6243*/ GIMT_Encode4(341454), // Rule ID 20467 //
     /*  341396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  341399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  341407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  341410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  341413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341435 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  341435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341452 */     GIR_RootConstrainSelectedInstOperands,
     /*  341453 */     // GIR_Coverage, 20467,
     /*  341453 */     GIR_EraseRootFromParent_Done,
     /*  341454 */   // Label 6243: @341454
     /*  341454 */   GIM_Try, /*On fail goto*//*Label 6244*/ GIMT_Encode4(341517), // Rule ID 20470 //
     /*  341459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  341462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  341473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  341476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341498 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  341498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341515 */     GIR_RootConstrainSelectedInstOperands,
     /*  341516 */     // GIR_Coverage, 20470,
     /*  341516 */     GIR_EraseRootFromParent_Done,
     /*  341517 */   // Label 6244: @341517
     /*  341517 */   GIM_Try, /*On fail goto*//*Label 6245*/ GIMT_Encode4(341580), // Rule ID 20471 //
     /*  341522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  341525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  341536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  341539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341561 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  341561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341578 */     GIR_RootConstrainSelectedInstOperands,
     /*  341579 */     // GIR_Coverage, 20471,
     /*  341579 */     GIR_EraseRootFromParent_Done,
     /*  341580 */   // Label 6245: @341580
     /*  341580 */   GIM_Try, /*On fail goto*//*Label 6246*/ GIMT_Encode4(341643), // Rule ID 20474 //
     /*  341585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  341588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  341596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  341599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  341602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341624 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  341624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341641 */     GIR_RootConstrainSelectedInstOperands,
     /*  341642 */     // GIR_Coverage, 20474,
     /*  341642 */     GIR_EraseRootFromParent_Done,
     /*  341643 */   // Label 6246: @341643
     /*  341643 */   GIM_Try, /*On fail goto*//*Label 6247*/ GIMT_Encode4(341706), // Rule ID 20475 //
     /*  341648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  341651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  341659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  341662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  341665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341687 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  341687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  341690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  341704 */     GIR_RootConstrainSelectedInstOperands,
     /*  341705 */     // GIR_Coverage, 20475,
     /*  341705 */     GIR_EraseRootFromParent_Done,
     /*  341706 */   // Label 6247: @341706
     /*  341706 */   GIM_Try, /*On fail goto*//*Label 6248*/ GIMT_Encode4(341769), // Rule ID 20478 //
     /*  341711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  341722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341750 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  341750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341767 */     GIR_RootConstrainSelectedInstOperands,
     /*  341768 */     // GIR_Coverage, 20478,
     /*  341768 */     GIR_EraseRootFromParent_Done,
     /*  341769 */   // Label 6248: @341769
     /*  341769 */   GIM_Try, /*On fail goto*//*Label 6249*/ GIMT_Encode4(341832), // Rule ID 20479 //
     /*  341774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  341777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  341785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  341788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  341791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  341806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341813 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11422:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  341813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /*  341816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341830 */     GIR_RootConstrainSelectedInstOperands,
     /*  341831 */     // GIR_Coverage, 20479,
     /*  341831 */     GIR_EraseRootFromParent_Done,
     /*  341832 */   // Label 6249: @341832
     /*  341832 */   GIM_Try, /*On fail goto*//*Label 6250*/ GIMT_Encode4(341895), // Rule ID 20482 //
     /*  341837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  341848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  341876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341893 */     GIR_RootConstrainSelectedInstOperands,
     /*  341894 */     // GIR_Coverage, 20482,
     /*  341894 */     GIR_EraseRootFromParent_Done,
     /*  341895 */   // Label 6250: @341895
     /*  341895 */   GIM_Try, /*On fail goto*//*Label 6251*/ GIMT_Encode4(341958), // Rule ID 20483 //
     /*  341900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  341903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  341911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  341914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  341917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  341920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  341932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  341939 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11422:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  341939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /*  341942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  341944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  341946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  341948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  341953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  341956 */     GIR_RootConstrainSelectedInstOperands,
     /*  341957 */     // GIR_Coverage, 20483,
     /*  341957 */     GIR_EraseRootFromParent_Done,
     /*  341958 */   // Label 6251: @341958
     /*  341958 */   GIM_Try, /*On fail goto*//*Label 6252*/ GIMT_Encode4(342021), // Rule ID 20486 //
     /*  341963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  341966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  341971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  341974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  341977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  341980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  341983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  341987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  341995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342002 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  342002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  342005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  342011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342019 */     GIR_RootConstrainSelectedInstOperands,
     /*  342020 */     // GIR_Coverage, 20486,
     /*  342020 */     GIR_EraseRootFromParent_Done,
     /*  342021 */   // Label 6252: @342021
     /*  342021 */   GIM_Try, /*On fail goto*//*Label 6253*/ GIMT_Encode4(342084), // Rule ID 20487 //
     /*  342026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  342029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge),
     /*  342034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  342037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  342040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  342043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  342058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342065 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11422:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  342065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /*  342068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  342072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /*  342074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342082 */     GIR_RootConstrainSelectedInstOperands,
     /*  342083 */     // GIR_Coverage, 20487,
     /*  342083 */     GIR_EraseRootFromParent_Done,
     /*  342084 */   // Label 6253: @342084
     /*  342084 */   GIM_Try, /*On fail goto*//*Label 6254*/ GIMT_Encode4(342150), // Rule ID 20490 //
     /*  342089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  342100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  342103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342128 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  342131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342148 */     GIR_RootConstrainSelectedInstOperands,
     /*  342149 */     // GIR_Coverage, 20490,
     /*  342149 */     GIR_EraseRootFromParent_Done,
     /*  342150 */   // Label 6254: @342150
     /*  342150 */   GIM_Try, /*On fail goto*//*Label 6255*/ GIMT_Encode4(342216), // Rule ID 20491 //
     /*  342155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  342166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  342169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  342172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  342197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342214 */     GIR_RootConstrainSelectedInstOperands,
     /*  342215 */     // GIR_Coverage, 20491,
     /*  342215 */     GIR_EraseRootFromParent_Done,
     /*  342216 */   // Label 6255: @342216
     /*  342216 */   GIM_Try, /*On fail goto*//*Label 6256*/ GIMT_Encode4(342282), // Rule ID 20494 //
     /*  342221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  342238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342260 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  342263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342280 */     GIR_RootConstrainSelectedInstOperands,
     /*  342281 */     // GIR_Coverage, 20494,
     /*  342281 */     GIR_EraseRootFromParent_Done,
     /*  342282 */   // Label 6256: @342282
     /*  342282 */   GIM_Try, /*On fail goto*//*Label 6257*/ GIMT_Encode4(342348), // Rule ID 20495 //
     /*  342287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  342298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  342301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  342304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2),
     /*  342329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342346 */     GIR_RootConstrainSelectedInstOperands,
     /*  342347 */     // GIR_Coverage, 20495,
     /*  342347 */     GIR_EraseRootFromParent_Done,
     /*  342348 */   // Label 6257: @342348
     /*  342348 */   GIM_Try, /*On fail goto*//*Label 6258*/ GIMT_Encode4(342414), // Rule ID 20498 //
     /*  342353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  342364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  342367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342412 */     GIR_RootConstrainSelectedInstOperands,
     /*  342413 */     // GIR_Coverage, 20498,
     /*  342413 */     GIR_EraseRootFromParent_Done,
     /*  342414 */   // Label 6258: @342414
     /*  342414 */   GIM_Try, /*On fail goto*//*Label 6259*/ GIMT_Encode4(342480), // Rule ID 20499 //
     /*  342419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  342430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  342433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  342436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11187:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342478 */     GIR_RootConstrainSelectedInstOperands,
     /*  342479 */     // GIR_Coverage, 20499,
     /*  342479 */     GIR_EraseRootFromParent_Done,
     /*  342480 */   // Label 6259: @342480
     /*  342480 */   GIM_Try, /*On fail goto*//*Label 6260*/ GIMT_Encode4(342546), // Rule ID 20502 //
     /*  342485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  342488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  342524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342544 */     GIR_RootConstrainSelectedInstOperands,
     /*  342545 */     // GIR_Coverage, 20502,
     /*  342545 */     GIR_EraseRootFromParent_Done,
     /*  342546 */   // Label 6260: @342546
     /*  342546 */   GIM_Try, /*On fail goto*//*Label 6261*/ GIMT_Encode4(342612), // Rule ID 20503 //
     /*  342551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  342554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  342562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  342565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  342568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11187:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  342590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  342607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342610 */     GIR_RootConstrainSelectedInstOperands,
     /*  342611 */     // GIR_Coverage, 20503,
     /*  342611 */     GIR_EraseRootFromParent_Done,
     /*  342612 */   // Label 6261: @342612
     /*  342612 */   GIM_Try, /*On fail goto*//*Label 6262*/ GIMT_Encode4(342678), // Rule ID 20506 //
     /*  342617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  342620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  342656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342676 */     GIR_RootConstrainSelectedInstOperands,
     /*  342677 */     // GIR_Coverage, 20506,
     /*  342677 */     GIR_EraseRootFromParent_Done,
     /*  342678 */   // Label 6262: @342678
     /*  342678 */   GIM_Try, /*On fail goto*//*Label 6263*/ GIMT_Encode4(342744), // Rule ID 20507 //
     /*  342683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  342686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  342694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  342697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  342700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  342715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11187:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  342722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1),
     /*  342725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  342739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342742 */     GIR_RootConstrainSelectedInstOperands,
     /*  342743 */     // GIR_Coverage, 20507,
     /*  342743 */     GIR_EraseRootFromParent_Done,
     /*  342744 */   // Label 6263: @342744
     /*  342744 */   GIM_Try, /*On fail goto*//*Label 6264*/ GIMT_Encode4(342810), // Rule ID 20510 //
     /*  342749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  342760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  342763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342788 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342808 */     GIR_RootConstrainSelectedInstOperands,
     /*  342809 */     // GIR_Coverage, 20510,
     /*  342809 */     GIR_EraseRootFromParent_Done,
     /*  342810 */   // Label 6264: @342810
     /*  342810 */   GIM_Try, /*On fail goto*//*Label 6265*/ GIMT_Encode4(342876), // Rule ID 20511 //
     /*  342815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  342826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  342829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  342832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  342847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342854 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  342857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342874 */     GIR_RootConstrainSelectedInstOperands,
     /*  342875 */     // GIR_Coverage, 20511,
     /*  342875 */     GIR_EraseRootFromParent_Done,
     /*  342876 */   // Label 6265: @342876
     /*  342876 */   GIM_Try, /*On fail goto*//*Label 6266*/ GIMT_Encode4(342942), // Rule ID 20514 //
     /*  342881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  342884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  342901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342920 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  342920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  342934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  342937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  342940 */     GIR_RootConstrainSelectedInstOperands,
     /*  342941 */     // GIR_Coverage, 20514,
     /*  342941 */     GIR_EraseRootFromParent_Done,
     /*  342942 */   // Label 6266: @342942
     /*  342942 */   GIM_Try, /*On fail goto*//*Label 6267*/ GIMT_Encode4(343008), // Rule ID 20515 //
     /*  342947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  342950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  342955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  342958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  342961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  342964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  342967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  342979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  342986 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  342986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  342989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  342991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  342993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  342995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343006 */     GIR_RootConstrainSelectedInstOperands,
     /*  343007 */     // GIR_Coverage, 20515,
     /*  343007 */     GIR_EraseRootFromParent_Done,
     /*  343008 */   // Label 6267: @343008
     /*  343008 */   GIM_Try, /*On fail goto*//*Label 6268*/ GIMT_Encode4(343074), // Rule ID 20518 //
     /*  343013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  343024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  343027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  343030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343072 */     GIR_RootConstrainSelectedInstOperands,
     /*  343073 */     // GIR_Coverage, 20518,
     /*  343073 */     GIR_EraseRootFromParent_Done,
     /*  343074 */   // Label 6268: @343074
     /*  343074 */   GIM_Try, /*On fail goto*//*Label 6269*/ GIMT_Encode4(343140), // Rule ID 20519 //
     /*  343079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  343082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  343090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  343093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  343096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  343118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343138 */     GIR_RootConstrainSelectedInstOperands,
     /*  343139 */     // GIR_Coverage, 20519,
     /*  343139 */     GIR_EraseRootFromParent_Done,
     /*  343140 */   // Label 6269: @343140
     /*  343140 */   GIM_Try, /*On fail goto*//*Label 6270*/ GIMT_Encode4(343206), // Rule ID 20522 //
     /*  343145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  343187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343204 */     GIR_RootConstrainSelectedInstOperands,
     /*  343205 */     // GIR_Coverage, 20522,
     /*  343205 */     GIR_EraseRootFromParent_Done,
     /*  343206 */   // Label 6270: @343206
     /*  343206 */   GIM_Try, /*On fail goto*//*Label 6271*/ GIMT_Encode4(343272), // Rule ID 20523 //
     /*  343211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  343222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  343225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  343228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  343253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343270 */     GIR_RootConstrainSelectedInstOperands,
     /*  343271 */     // GIR_Coverage, 20523,
     /*  343271 */     GIR_EraseRootFromParent_Done,
     /*  343272 */   // Label 6271: @343272
     /*  343272 */   GIM_Try, /*On fail goto*//*Label 6272*/ GIMT_Encode4(343338), // Rule ID 20526 //
     /*  343277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343316 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  343319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343336 */     GIR_RootConstrainSelectedInstOperands,
     /*  343337 */     // GIR_Coverage, 20526,
     /*  343337 */     GIR_EraseRootFromParent_Done,
     /*  343338 */   // Label 6272: @343338
     /*  343338 */   GIM_Try, /*On fail goto*//*Label 6273*/ GIMT_Encode4(343404), // Rule ID 20527 //
     /*  343343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  343354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  343357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  343360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343382 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  343385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343402 */     GIR_RootConstrainSelectedInstOperands,
     /*  343403 */     // GIR_Coverage, 20527,
     /*  343403 */     GIR_EraseRootFromParent_Done,
     /*  343404 */   // Label 6273: @343404
     /*  343404 */   GIM_Try, /*On fail goto*//*Label 6274*/ GIMT_Encode4(343470), // Rule ID 20530 //
     /*  343409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  343412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  343426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343448 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  343448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343468 */     GIR_RootConstrainSelectedInstOperands,
     /*  343469 */     // GIR_Coverage, 20530,
     /*  343469 */     GIR_EraseRootFromParent_Done,
     /*  343470 */   // Label 6274: @343470
     /*  343470 */   GIM_Try, /*On fail goto*//*Label 6275*/ GIMT_Encode4(343536), // Rule ID 20531 //
     /*  343475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  343478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  343486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  343489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  343492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  343514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  343531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343534 */     GIR_RootConstrainSelectedInstOperands,
     /*  343535 */     // GIR_Coverage, 20531,
     /*  343535 */     GIR_EraseRootFromParent_Done,
     /*  343536 */   // Label 6275: @343536
     /*  343536 */   GIM_Try, /*On fail goto*//*Label 6276*/ GIMT_Encode4(343602), // Rule ID 20534 //
     /*  343541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  343558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343580 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  343583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343600 */     GIR_RootConstrainSelectedInstOperands,
     /*  343601 */     // GIR_Coverage, 20534,
     /*  343601 */     GIR_EraseRootFromParent_Done,
     /*  343602 */   // Label 6276: @343602
     /*  343602 */   GIM_Try, /*On fail goto*//*Label 6277*/ GIMT_Encode4(343668), // Rule ID 20535 //
     /*  343607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  343618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  343621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  343624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  343639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11187:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2),
     /*  343649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343666 */     GIR_RootConstrainSelectedInstOperands,
     /*  343667 */     // GIR_Coverage, 20535,
     /*  343667 */     GIR_EraseRootFromParent_Done,
     /*  343668 */   // Label 6277: @343668
     /*  343668 */   GIM_Try, /*On fail goto*//*Label 6278*/ GIMT_Encode4(343734), // Rule ID 20538 //
     /*  343673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  343715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343732 */     GIR_RootConstrainSelectedInstOperands,
     /*  343733 */     // GIR_Coverage, 20538,
     /*  343733 */     GIR_EraseRootFromParent_Done,
     /*  343734 */   // Label 6278: @343734
     /*  343734 */   GIM_Try, /*On fail goto*//*Label 6279*/ GIMT_Encode4(343800), // Rule ID 20539 //
     /*  343739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  343750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  343753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  343756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  343771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11187:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4),
     /*  343781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343798 */     GIR_RootConstrainSelectedInstOperands,
     /*  343799 */     // GIR_Coverage, 20539,
     /*  343799 */     GIR_EraseRootFromParent_Done,
     /*  343800 */   // Label 6279: @343800
     /*  343800 */   GIM_Try, /*On fail goto*//*Label 6280*/ GIMT_Encode4(343866), // Rule ID 20542 //
     /*  343805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  343808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  343844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343864 */     GIR_RootConstrainSelectedInstOperands,
     /*  343865 */     // GIR_Coverage, 20542,
     /*  343865 */     GIR_EraseRootFromParent_Done,
     /*  343866 */   // Label 6280: @343866
     /*  343866 */   GIM_Try, /*On fail goto*//*Label 6281*/ GIMT_Encode4(343932), // Rule ID 20543 //
     /*  343871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  343874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass),
     /*  343879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  343882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  343885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  343888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  343891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  343903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11187:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCLASS_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  343910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8),
     /*  343913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  343927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343930 */     GIR_RootConstrainSelectedInstOperands,
     /*  343931 */     // GIR_Coverage, 20543,
     /*  343931 */     GIR_EraseRootFromParent_Done,
     /*  343932 */   // Label 6281: @343932
     /*  343932 */   GIM_Try, /*On fail goto*//*Label 6282*/ GIMT_Encode4(343998), // Rule ID 20868 //
     /*  343937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  343940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  343945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  343948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  343951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  343954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  343957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  343969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  343976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  343976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  343979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  343981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  343983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  343985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  343990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  343993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  343996 */     GIR_RootConstrainSelectedInstOperands,
     /*  343997 */     // GIR_Coverage, 20868,
     /*  343997 */     GIR_EraseRootFromParent_Done,
     /*  343998 */   // Label 6282: @343998
     /*  343998 */   GIM_Try, /*On fail goto*//*Label 6283*/ GIMT_Encode4(344064), // Rule ID 20869 //
     /*  344003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  344014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  344017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  344020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  344045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344062 */     GIR_RootConstrainSelectedInstOperands,
     /*  344063 */     // GIR_Coverage, 20869,
     /*  344063 */     GIR_EraseRootFromParent_Done,
     /*  344064 */   // Label 6283: @344064
     /*  344064 */   GIM_Try, /*On fail goto*//*Label 6284*/ GIMT_Encode4(344130), // Rule ID 20872 //
     /*  344069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  344080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  344083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344108 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  344111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344128 */     GIR_RootConstrainSelectedInstOperands,
     /*  344129 */     // GIR_Coverage, 20872,
     /*  344129 */     GIR_EraseRootFromParent_Done,
     /*  344130 */   // Label 6284: @344130
     /*  344130 */   GIM_Try, /*On fail goto*//*Label 6285*/ GIMT_Encode4(344196), // Rule ID 20873 //
     /*  344135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  344146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  344149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  344152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344174 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  344177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344194 */     GIR_RootConstrainSelectedInstOperands,
     /*  344195 */     // GIR_Coverage, 20873,
     /*  344195 */     GIR_EraseRootFromParent_Done,
     /*  344196 */   // Label 6285: @344196
     /*  344196 */   GIM_Try, /*On fail goto*//*Label 6286*/ GIMT_Encode4(344262), // Rule ID 20876 //
     /*  344201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344240 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  344243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344260 */     GIR_RootConstrainSelectedInstOperands,
     /*  344261 */     // GIR_Coverage, 20876,
     /*  344261 */     GIR_EraseRootFromParent_Done,
     /*  344262 */   // Label 6286: @344262
     /*  344262 */   GIM_Try, /*On fail goto*//*Label 6287*/ GIMT_Encode4(344328), // Rule ID 20877 //
     /*  344267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  344278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  344281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  344284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  344309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344326 */     GIR_RootConstrainSelectedInstOperands,
     /*  344327 */     // GIR_Coverage, 20877,
     /*  344327 */     GIR_EraseRootFromParent_Done,
     /*  344328 */   // Label 6287: @344328
     /*  344328 */   GIM_Try, /*On fail goto*//*Label 6288*/ GIMT_Encode4(344394), // Rule ID 20880 //
     /*  344333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  344344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  344347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344392 */     GIR_RootConstrainSelectedInstOperands,
     /*  344393 */     // GIR_Coverage, 20880,
     /*  344393 */     GIR_EraseRootFromParent_Done,
     /*  344394 */   // Label 6288: @344394
     /*  344394 */   GIM_Try, /*On fail goto*//*Label 6289*/ GIMT_Encode4(344460), // Rule ID 20881 //
     /*  344399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  344410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  344413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  344416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11195:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344458 */     GIR_RootConstrainSelectedInstOperands,
     /*  344459 */     // GIR_Coverage, 20881,
     /*  344459 */     GIR_EraseRootFromParent_Done,
     /*  344460 */   // Label 6289: @344460
     /*  344460 */   GIM_Try, /*On fail goto*//*Label 6290*/ GIMT_Encode4(344526), // Rule ID 20884 //
     /*  344465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  344468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344504 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  344504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344524 */     GIR_RootConstrainSelectedInstOperands,
     /*  344525 */     // GIR_Coverage, 20884,
     /*  344525 */     GIR_EraseRootFromParent_Done,
     /*  344526 */   // Label 6290: @344526
     /*  344526 */   GIM_Try, /*On fail goto*//*Label 6291*/ GIMT_Encode4(344592), // Rule ID 20885 //
     /*  344531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  344534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  344542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  344545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  344548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11195:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  344570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  344587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344590 */     GIR_RootConstrainSelectedInstOperands,
     /*  344591 */     // GIR_Coverage, 20885,
     /*  344591 */     GIR_EraseRootFromParent_Done,
     /*  344592 */   // Label 6291: @344592
     /*  344592 */   GIM_Try, /*On fail goto*//*Label 6292*/ GIMT_Encode4(344658), // Rule ID 20888 //
     /*  344597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  344600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  344614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  344636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344656 */     GIR_RootConstrainSelectedInstOperands,
     /*  344657 */     // GIR_Coverage, 20888,
     /*  344657 */     GIR_EraseRootFromParent_Done,
     /*  344658 */   // Label 6292: @344658
     /*  344658 */   GIM_Try, /*On fail goto*//*Label 6293*/ GIMT_Encode4(344724), // Rule ID 20889 //
     /*  344663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  344666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  344674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  344677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  344680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  344695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344702 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11195:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  344702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  344705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  344719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344722 */     GIR_RootConstrainSelectedInstOperands,
     /*  344723 */     // GIR_Coverage, 20889,
     /*  344723 */     GIR_EraseRootFromParent_Done,
     /*  344724 */   // Label 6293: @344724
     /*  344724 */   GIM_Try, /*On fail goto*//*Label 6294*/ GIMT_Encode4(344790), // Rule ID 20892 //
     /*  344729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  344740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  344743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344788 */     GIR_RootConstrainSelectedInstOperands,
     /*  344789 */     // GIR_Coverage, 20892,
     /*  344789 */     GIR_EraseRootFromParent_Done,
     /*  344790 */   // Label 6294: @344790
     /*  344790 */   GIM_Try, /*On fail goto*//*Label 6295*/ GIMT_Encode4(344856), // Rule ID 20893 //
     /*  344795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  344806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  344809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  344812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  344827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  344837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344854 */     GIR_RootConstrainSelectedInstOperands,
     /*  344855 */     // GIR_Coverage, 20893,
     /*  344855 */     GIR_EraseRootFromParent_Done,
     /*  344856 */   // Label 6295: @344856
     /*  344856 */   GIM_Try, /*On fail goto*//*Label 6296*/ GIMT_Encode4(344922), // Rule ID 20896 //
     /*  344861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  344872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  344875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  344881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344900 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  344900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344920 */     GIR_RootConstrainSelectedInstOperands,
     /*  344921 */     // GIR_Coverage, 20896,
     /*  344921 */     GIR_EraseRootFromParent_Done,
     /*  344922 */   // Label 6296: @344922
     /*  344922 */   GIM_Try, /*On fail goto*//*Label 6297*/ GIMT_Encode4(344988), // Rule ID 20897 //
     /*  344927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  344930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  344935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  344938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  344941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  344944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  344947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  344959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  344966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  344966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  344969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  344971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  344973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  344975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  344980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  344983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  344986 */     GIR_RootConstrainSelectedInstOperands,
     /*  344987 */     // GIR_Coverage, 20897,
     /*  344987 */     GIR_EraseRootFromParent_Done,
     /*  344988 */   // Label 6297: @344988
     /*  344988 */   GIM_Try, /*On fail goto*//*Label 6298*/ GIMT_Encode4(345054), // Rule ID 20900 //
     /*  344993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  344996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  345004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  345007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  345010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345052 */     GIR_RootConstrainSelectedInstOperands,
     /*  345053 */     // GIR_Coverage, 20900,
     /*  345053 */     GIR_EraseRootFromParent_Done,
     /*  345054 */   // Label 6298: @345054
     /*  345054 */   GIM_Try, /*On fail goto*//*Label 6299*/ GIMT_Encode4(345120), // Rule ID 20901 //
     /*  345059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  345070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  345073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  345076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345098 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  345098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345118 */     GIR_RootConstrainSelectedInstOperands,
     /*  345119 */     // GIR_Coverage, 20901,
     /*  345119 */     GIR_EraseRootFromParent_Done,
     /*  345120 */   // Label 6299: @345120
     /*  345120 */   GIM_Try, /*On fail goto*//*Label 6300*/ GIMT_Encode4(345186), // Rule ID 20904 //
     /*  345125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  345136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  345139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  345167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345184 */     GIR_RootConstrainSelectedInstOperands,
     /*  345185 */     // GIR_Coverage, 20904,
     /*  345185 */     GIR_EraseRootFromParent_Done,
     /*  345186 */   // Label 6300: @345186
     /*  345186 */   GIM_Try, /*On fail goto*//*Label 6301*/ GIMT_Encode4(345252), // Rule ID 20905 //
     /*  345191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  345202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  345205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  345208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345230 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  345233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345250 */     GIR_RootConstrainSelectedInstOperands,
     /*  345251 */     // GIR_Coverage, 20905,
     /*  345251 */     GIR_EraseRootFromParent_Done,
     /*  345252 */   // Label 6301: @345252
     /*  345252 */   GIM_Try, /*On fail goto*//*Label 6302*/ GIMT_Encode4(345318), // Rule ID 20908 //
     /*  345257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  345268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  345271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  345299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345316 */     GIR_RootConstrainSelectedInstOperands,
     /*  345317 */     // GIR_Coverage, 20908,
     /*  345317 */     GIR_EraseRootFromParent_Done,
     /*  345318 */   // Label 6302: @345318
     /*  345318 */   GIM_Try, /*On fail goto*//*Label 6303*/ GIMT_Encode4(345384), // Rule ID 20909 //
     /*  345323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  345334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  345337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  345340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  345365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345382 */     GIR_RootConstrainSelectedInstOperands,
     /*  345383 */     // GIR_Coverage, 20909,
     /*  345383 */     GIR_EraseRootFromParent_Done,
     /*  345384 */   // Label 6303: @345384
     /*  345384 */   GIM_Try, /*On fail goto*//*Label 6304*/ GIMT_Encode4(345450), // Rule ID 20912 //
     /*  345389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  345392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  345400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  345403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  345406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  345428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345448 */     GIR_RootConstrainSelectedInstOperands,
     /*  345449 */     // GIR_Coverage, 20912,
     /*  345449 */     GIR_EraseRootFromParent_Done,
     /*  345450 */   // Label 6304: @345450
     /*  345450 */   GIM_Try, /*On fail goto*//*Label 6305*/ GIMT_Encode4(345516), // Rule ID 20913 //
     /*  345455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  345458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  345466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  345469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  345472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  345494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  345511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345514 */     GIR_RootConstrainSelectedInstOperands,
     /*  345515 */     // GIR_Coverage, 20913,
     /*  345515 */     GIR_EraseRootFromParent_Done,
     /*  345516 */   // Label 6305: @345516
     /*  345516 */   GIM_Try, /*On fail goto*//*Label 6306*/ GIMT_Encode4(345582), // Rule ID 20916 //
     /*  345521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  345524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  345538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  345563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345580 */     GIR_RootConstrainSelectedInstOperands,
     /*  345581 */     // GIR_Coverage, 20916,
     /*  345581 */     GIR_EraseRootFromParent_Done,
     /*  345582 */   // Label 6306: @345582
     /*  345582 */   GIM_Try, /*On fail goto*//*Label 6307*/ GIMT_Encode4(345648), // Rule ID 20917 //
     /*  345587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  345598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  345601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  345604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  345619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11195:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  345629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345646 */     GIR_RootConstrainSelectedInstOperands,
     /*  345647 */     // GIR_Coverage, 20917,
     /*  345647 */     GIR_EraseRootFromParent_Done,
     /*  345648 */   // Label 6307: @345648
     /*  345648 */   GIM_Try, /*On fail goto*//*Label 6308*/ GIMT_Encode4(345714), // Rule ID 20920 //
     /*  345653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  345656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  345670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  345695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345712 */     GIR_RootConstrainSelectedInstOperands,
     /*  345713 */     // GIR_Coverage, 20920,
     /*  345713 */     GIR_EraseRootFromParent_Done,
     /*  345714 */   // Label 6308: @345714
     /*  345714 */   GIM_Try, /*On fail goto*//*Label 6309*/ GIMT_Encode4(345780), // Rule ID 20921 //
     /*  345719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  345730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  345733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  345736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  345751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345758 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11195:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  345761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345778 */     GIR_RootConstrainSelectedInstOperands,
     /*  345779 */     // GIR_Coverage, 20921,
     /*  345779 */     GIR_EraseRootFromParent_Done,
     /*  345780 */   // Label 6309: @345780
     /*  345780 */   GIM_Try, /*On fail goto*//*Label 6310*/ GIMT_Encode4(345846), // Rule ID 20924 //
     /*  345785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  345788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  345802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345824 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  345824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345844 */     GIR_RootConstrainSelectedInstOperands,
     /*  345845 */     // GIR_Coverage, 20924,
     /*  345845 */     GIR_EraseRootFromParent_Done,
     /*  345846 */   // Label 6310: @345846
     /*  345846 */   GIM_Try, /*On fail goto*//*Label 6311*/ GIMT_Encode4(345912), // Rule ID 20925 //
     /*  345851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  345854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v),
     /*  345859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  345862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  345865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  345868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  345871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  345883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11195:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  345890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  345893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  345907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345910 */     GIR_RootConstrainSelectedInstOperands,
     /*  345911 */     // GIR_Coverage, 20925,
     /*  345911 */     GIR_EraseRootFromParent_Done,
     /*  345912 */   // Label 6311: @345912
     /*  345912 */   GIM_Try, /*On fail goto*//*Label 6312*/ GIMT_Encode4(345978), // Rule ID 20928 //
     /*  345917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  345920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  345934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  345937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  345949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  345956 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  345956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  345959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  345961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  345963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  345965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  345970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  345973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  345976 */     GIR_RootConstrainSelectedInstOperands,
     /*  345977 */     // GIR_Coverage, 20928,
     /*  345977 */     GIR_EraseRootFromParent_Done,
     /*  345978 */   // Label 6312: @345978
     /*  345978 */   GIM_Try, /*On fail goto*//*Label 6313*/ GIMT_Encode4(346044), // Rule ID 20929 //
     /*  345983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  345986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  345991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  345994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  345997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  346000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  346025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346042 */     GIR_RootConstrainSelectedInstOperands,
     /*  346043 */     // GIR_Coverage, 20929,
     /*  346043 */     GIR_EraseRootFromParent_Done,
     /*  346044 */   // Label 6313: @346044
     /*  346044 */   GIM_Try, /*On fail goto*//*Label 6314*/ GIMT_Encode4(346110), // Rule ID 20932 //
     /*  346049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  346060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  346063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346088 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  346091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346108 */     GIR_RootConstrainSelectedInstOperands,
     /*  346109 */     // GIR_Coverage, 20932,
     /*  346109 */     GIR_EraseRootFromParent_Done,
     /*  346110 */   // Label 6314: @346110
     /*  346110 */   GIM_Try, /*On fail goto*//*Label 6315*/ GIMT_Encode4(346176), // Rule ID 20933 //
     /*  346115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  346126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  346129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  346132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346154 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  346157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346174 */     GIR_RootConstrainSelectedInstOperands,
     /*  346175 */     // GIR_Coverage, 20933,
     /*  346175 */     GIR_EraseRootFromParent_Done,
     /*  346176 */   // Label 6315: @346176
     /*  346176 */   GIM_Try, /*On fail goto*//*Label 6316*/ GIMT_Encode4(346242), // Rule ID 20936 //
     /*  346181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346220 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  346223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346240 */     GIR_RootConstrainSelectedInstOperands,
     /*  346241 */     // GIR_Coverage, 20936,
     /*  346241 */     GIR_EraseRootFromParent_Done,
     /*  346242 */   // Label 6316: @346242
     /*  346242 */   GIM_Try, /*On fail goto*//*Label 6317*/ GIMT_Encode4(346308), // Rule ID 20937 //
     /*  346247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  346258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  346261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  346264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346286 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  346289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346306 */     GIR_RootConstrainSelectedInstOperands,
     /*  346307 */     // GIR_Coverage, 20937,
     /*  346307 */     GIR_EraseRootFromParent_Done,
     /*  346308 */   // Label 6317: @346308
     /*  346308 */   GIM_Try, /*On fail goto*//*Label 6318*/ GIMT_Encode4(346374), // Rule ID 20940 //
     /*  346313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  346324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  346327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346372 */     GIR_RootConstrainSelectedInstOperands,
     /*  346373 */     // GIR_Coverage, 20940,
     /*  346373 */     GIR_EraseRootFromParent_Done,
     /*  346374 */   // Label 6318: @346374
     /*  346374 */   GIM_Try, /*On fail goto*//*Label 6319*/ GIMT_Encode4(346440), // Rule ID 20941 //
     /*  346379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  346390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  346393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  346396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11193:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346438 */     GIR_RootConstrainSelectedInstOperands,
     /*  346439 */     // GIR_Coverage, 20941,
     /*  346439 */     GIR_EraseRootFromParent_Done,
     /*  346440 */   // Label 6319: @346440
     /*  346440 */   GIM_Try, /*On fail goto*//*Label 6320*/ GIMT_Encode4(346506), // Rule ID 20944 //
     /*  346445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  346448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  346484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346504 */     GIR_RootConstrainSelectedInstOperands,
     /*  346505 */     // GIR_Coverage, 20944,
     /*  346505 */     GIR_EraseRootFromParent_Done,
     /*  346506 */   // Label 6320: @346506
     /*  346506 */   GIM_Try, /*On fail goto*//*Label 6321*/ GIMT_Encode4(346572), // Rule ID 20945 //
     /*  346511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  346514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  346522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  346525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  346528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11193:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  346550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  346567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346570 */     GIR_RootConstrainSelectedInstOperands,
     /*  346571 */     // GIR_Coverage, 20945,
     /*  346571 */     GIR_EraseRootFromParent_Done,
     /*  346572 */   // Label 6321: @346572
     /*  346572 */   GIM_Try, /*On fail goto*//*Label 6322*/ GIMT_Encode4(346638), // Rule ID 20948 //
     /*  346577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  346580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  346594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  346616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346636 */     GIR_RootConstrainSelectedInstOperands,
     /*  346637 */     // GIR_Coverage, 20948,
     /*  346637 */     GIR_EraseRootFromParent_Done,
     /*  346638 */   // Label 6322: @346638
     /*  346638 */   GIM_Try, /*On fail goto*//*Label 6323*/ GIMT_Encode4(346704), // Rule ID 20949 //
     /*  346643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  346646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  346654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  346657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  346660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  346675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11193:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  346682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  346685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  346699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346702 */     GIR_RootConstrainSelectedInstOperands,
     /*  346703 */     // GIR_Coverage, 20949,
     /*  346703 */     GIR_EraseRootFromParent_Done,
     /*  346704 */   // Label 6323: @346704
     /*  346704 */   GIM_Try, /*On fail goto*//*Label 6324*/ GIMT_Encode4(346770), // Rule ID 20952 //
     /*  346709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346748 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346768 */     GIR_RootConstrainSelectedInstOperands,
     /*  346769 */     // GIR_Coverage, 20952,
     /*  346769 */     GIR_EraseRootFromParent_Done,
     /*  346770 */   // Label 6324: @346770
     /*  346770 */   GIM_Try, /*On fail goto*//*Label 6325*/ GIMT_Encode4(346836), // Rule ID 20953 //
     /*  346775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  346786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  346789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  346792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  346807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346814 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  346817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346834 */     GIR_RootConstrainSelectedInstOperands,
     /*  346835 */     // GIR_Coverage, 20953,
     /*  346835 */     GIR_EraseRootFromParent_Done,
     /*  346836 */   // Label 6325: @346836
     /*  346836 */   GIM_Try, /*On fail goto*//*Label 6326*/ GIMT_Encode4(346902), // Rule ID 20956 //
     /*  346841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  346880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346900 */     GIR_RootConstrainSelectedInstOperands,
     /*  346901 */     // GIR_Coverage, 20956,
     /*  346901 */     GIR_EraseRootFromParent_Done,
     /*  346902 */   // Label 6326: @346902
     /*  346902 */   GIM_Try, /*On fail goto*//*Label 6327*/ GIMT_Encode4(346968), // Rule ID 20957 //
     /*  346907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  346910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  346918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  346921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  346924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  346927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  346939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  346946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  346946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  346949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  346951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  346953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  346955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  346960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  346963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  346966 */     GIR_RootConstrainSelectedInstOperands,
     /*  346967 */     // GIR_Coverage, 20957,
     /*  346967 */     GIR_EraseRootFromParent_Done,
     /*  346968 */   // Label 6327: @346968
     /*  346968 */   GIM_Try, /*On fail goto*//*Label 6328*/ GIMT_Encode4(347034), // Rule ID 20960 //
     /*  346973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  346976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  346981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  346984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  346987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  346990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  346993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  346997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347032 */     GIR_RootConstrainSelectedInstOperands,
     /*  347033 */     // GIR_Coverage, 20960,
     /*  347033 */     GIR_EraseRootFromParent_Done,
     /*  347034 */   // Label 6328: @347034
     /*  347034 */   GIM_Try, /*On fail goto*//*Label 6329*/ GIMT_Encode4(347100), // Rule ID 20961 //
     /*  347039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  347050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  347053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  347056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347078 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  347078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347098 */     GIR_RootConstrainSelectedInstOperands,
     /*  347099 */     // GIR_Coverage, 20961,
     /*  347099 */     GIR_EraseRootFromParent_Done,
     /*  347100 */   // Label 6329: @347100
     /*  347100 */   GIM_Try, /*On fail goto*//*Label 6330*/ GIMT_Encode4(347166), // Rule ID 20964 //
     /*  347105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347144 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  347147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347164 */     GIR_RootConstrainSelectedInstOperands,
     /*  347165 */     // GIR_Coverage, 20964,
     /*  347165 */     GIR_EraseRootFromParent_Done,
     /*  347166 */   // Label 6330: @347166
     /*  347166 */   GIM_Try, /*On fail goto*//*Label 6331*/ GIMT_Encode4(347232), // Rule ID 20965 //
     /*  347171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  347182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  347185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  347188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  347213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347230 */     GIR_RootConstrainSelectedInstOperands,
     /*  347231 */     // GIR_Coverage, 20965,
     /*  347231 */     GIR_EraseRootFromParent_Done,
     /*  347232 */   // Label 6331: @347232
     /*  347232 */   GIM_Try, /*On fail goto*//*Label 6332*/ GIMT_Encode4(347298), // Rule ID 20968 //
     /*  347237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  347279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347296 */     GIR_RootConstrainSelectedInstOperands,
     /*  347297 */     // GIR_Coverage, 20968,
     /*  347297 */     GIR_EraseRootFromParent_Done,
     /*  347298 */   // Label 6332: @347298
     /*  347298 */   GIM_Try, /*On fail goto*//*Label 6333*/ GIMT_Encode4(347364), // Rule ID 20969 //
     /*  347303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  347314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  347317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  347320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  347345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347362 */     GIR_RootConstrainSelectedInstOperands,
     /*  347363 */     // GIR_Coverage, 20969,
     /*  347363 */     GIR_EraseRootFromParent_Done,
     /*  347364 */   // Label 6333: @347364
     /*  347364 */   GIM_Try, /*On fail goto*//*Label 6334*/ GIMT_Encode4(347430), // Rule ID 20972 //
     /*  347369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  347372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  347386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  347408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347428 */     GIR_RootConstrainSelectedInstOperands,
     /*  347429 */     // GIR_Coverage, 20972,
     /*  347429 */     GIR_EraseRootFromParent_Done,
     /*  347430 */   // Label 6334: @347430
     /*  347430 */   GIM_Try, /*On fail goto*//*Label 6335*/ GIMT_Encode4(347496), // Rule ID 20973 //
     /*  347435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  347438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  347446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  347449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  347452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347474 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  347474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  347491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347494 */     GIR_RootConstrainSelectedInstOperands,
     /*  347495 */     // GIR_Coverage, 20973,
     /*  347495 */     GIR_EraseRootFromParent_Done,
     /*  347496 */   // Label 6335: @347496
     /*  347496 */   GIM_Try, /*On fail goto*//*Label 6336*/ GIMT_Encode4(347562), // Rule ID 20976 //
     /*  347501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  347504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  347518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347540 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  347543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347560 */     GIR_RootConstrainSelectedInstOperands,
     /*  347561 */     // GIR_Coverage, 20976,
     /*  347561 */     GIR_EraseRootFromParent_Done,
     /*  347562 */   // Label 6336: @347562
     /*  347562 */   GIM_Try, /*On fail goto*//*Label 6337*/ GIMT_Encode4(347628), // Rule ID 20977 //
     /*  347567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  347570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  347578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  347581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  347584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  347599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347606 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11193:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  347609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347626 */     GIR_RootConstrainSelectedInstOperands,
     /*  347627 */     // GIR_Coverage, 20977,
     /*  347627 */     GIR_EraseRootFromParent_Done,
     /*  347628 */   // Label 6337: @347628
     /*  347628 */   GIM_Try, /*On fail goto*//*Label 6338*/ GIMT_Encode4(347694), // Rule ID 20980 //
     /*  347633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  347636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  347650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  347675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347692 */     GIR_RootConstrainSelectedInstOperands,
     /*  347693 */     // GIR_Coverage, 20980,
     /*  347693 */     GIR_EraseRootFromParent_Done,
     /*  347694 */   // Label 6338: @347694
     /*  347694 */   GIM_Try, /*On fail goto*//*Label 6339*/ GIMT_Encode4(347760), // Rule ID 20981 //
     /*  347699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  347702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  347710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  347713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  347716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  347731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347738 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11193:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  347741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347758 */     GIR_RootConstrainSelectedInstOperands,
     /*  347759 */     // GIR_Coverage, 20981,
     /*  347759 */     GIR_EraseRootFromParent_Done,
     /*  347760 */   // Label 6339: @347760
     /*  347760 */   GIM_Try, /*On fail goto*//*Label 6340*/ GIMT_Encode4(347826), // Rule ID 20984 //
     /*  347765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  347768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  347782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  347804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347824 */     GIR_RootConstrainSelectedInstOperands,
     /*  347825 */     // GIR_Coverage, 20984,
     /*  347825 */     GIR_EraseRootFromParent_Done,
     /*  347826 */   // Label 6340: @347826
     /*  347826 */   GIM_Try, /*On fail goto*//*Label 6341*/ GIMT_Encode4(347892), // Rule ID 20985 //
     /*  347831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  347834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v),
     /*  347839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  347842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  347845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  347848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  347863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347870 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11193:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  347870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  347873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  347887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347890 */     GIR_RootConstrainSelectedInstOperands,
     /*  347891 */     // GIR_Coverage, 20985,
     /*  347891 */     GIR_EraseRootFromParent_Done,
     /*  347892 */   // Label 6341: @347892
     /*  347892 */   GIM_Try, /*On fail goto*//*Label 6342*/ GIMT_Encode4(347958), // Rule ID 21252 //
     /*  347897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  347900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  347917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  347936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  347936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  347939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  347941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  347943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  347945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  347950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  347953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  347956 */     GIR_RootConstrainSelectedInstOperands,
     /*  347957 */     // GIR_Coverage, 21252,
     /*  347957 */     GIR_EraseRootFromParent_Done,
     /*  347958 */   // Label 6342: @347958
     /*  347958 */   GIM_Try, /*On fail goto*//*Label 6343*/ GIMT_Encode4(348024), // Rule ID 21253 //
     /*  347963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  347966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  347971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  347974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  347977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  347980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  347983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  347995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348002 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  348005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348022 */     GIR_RootConstrainSelectedInstOperands,
     /*  348023 */     // GIR_Coverage, 21253,
     /*  348023 */     GIR_EraseRootFromParent_Done,
     /*  348024 */   // Label 6343: @348024
     /*  348024 */   GIM_Try, /*On fail goto*//*Label 6344*/ GIMT_Encode4(348090), // Rule ID 21256 //
     /*  348029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348068 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  348071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348088 */     GIR_RootConstrainSelectedInstOperands,
     /*  348089 */     // GIR_Coverage, 21256,
     /*  348089 */     GIR_EraseRootFromParent_Done,
     /*  348090 */   // Label 6344: @348090
     /*  348090 */   GIM_Try, /*On fail goto*//*Label 6345*/ GIMT_Encode4(348156), // Rule ID 21257 //
     /*  348095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  348106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  348109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  348112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11291:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  348137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348154 */     GIR_RootConstrainSelectedInstOperands,
     /*  348155 */     // GIR_Coverage, 21257,
     /*  348155 */     GIR_EraseRootFromParent_Done,
     /*  348156 */   // Label 6345: @348156
     /*  348156 */   GIM_Try, /*On fail goto*//*Label 6346*/ GIMT_Encode4(348222), // Rule ID 21260 //
     /*  348161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  348203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348220 */     GIR_RootConstrainSelectedInstOperands,
     /*  348221 */     // GIR_Coverage, 21260,
     /*  348221 */     GIR_EraseRootFromParent_Done,
     /*  348222 */   // Label 6346: @348222
     /*  348222 */   GIM_Try, /*On fail goto*//*Label 6347*/ GIMT_Encode4(348288), // Rule ID 21261 //
     /*  348227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  348238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  348241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  348244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  348269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348286 */     GIR_RootConstrainSelectedInstOperands,
     /*  348287 */     // GIR_Coverage, 21261,
     /*  348287 */     GIR_EraseRootFromParent_Done,
     /*  348288 */   // Label 6347: @348288
     /*  348288 */   GIM_Try, /*On fail goto*//*Label 6348*/ GIMT_Encode4(348354), // Rule ID 21264 //
     /*  348293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348332 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  348335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348352 */     GIR_RootConstrainSelectedInstOperands,
     /*  348353 */     // GIR_Coverage, 21264,
     /*  348353 */     GIR_EraseRootFromParent_Done,
     /*  348354 */   // Label 6348: @348354
     /*  348354 */   GIM_Try, /*On fail goto*//*Label 6349*/ GIMT_Encode4(348420), // Rule ID 21265 //
     /*  348359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  348370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  348373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  348376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  348401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348418 */     GIR_RootConstrainSelectedInstOperands,
     /*  348419 */     // GIR_Coverage, 21265,
     /*  348419 */     GIR_EraseRootFromParent_Done,
     /*  348420 */   // Label 6349: @348420
     /*  348420 */   GIM_Try, /*On fail goto*//*Label 6350*/ GIMT_Encode4(348486), // Rule ID 21268 //
     /*  348425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  348428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  348464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  348467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348484 */     GIR_RootConstrainSelectedInstOperands,
     /*  348485 */     // GIR_Coverage, 21268,
     /*  348485 */     GIR_EraseRootFromParent_Done,
     /*  348486 */   // Label 6350: @348486
     /*  348486 */   GIM_Try, /*On fail goto*//*Label 6351*/ GIMT_Encode4(348552), // Rule ID 21269 //
     /*  348491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  348494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  348502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  348505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  348508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  348530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  348533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  348547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348550 */     GIR_RootConstrainSelectedInstOperands,
     /*  348551 */     // GIR_Coverage, 21269,
     /*  348551 */     GIR_EraseRootFromParent_Done,
     /*  348552 */   // Label 6351: @348552
     /*  348552 */   GIM_Try, /*On fail goto*//*Label 6352*/ GIMT_Encode4(348618), // Rule ID 21272 //
     /*  348557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  348599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348616 */     GIR_RootConstrainSelectedInstOperands,
     /*  348617 */     // GIR_Coverage, 21272,
     /*  348617 */     GIR_EraseRootFromParent_Done,
     /*  348618 */   // Label 6352: @348618
     /*  348618 */   GIM_Try, /*On fail goto*//*Label 6353*/ GIMT_Encode4(348684), // Rule ID 21273 //
     /*  348623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  348634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  348637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  348640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348662 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11291:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  348665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348682 */     GIR_RootConstrainSelectedInstOperands,
     /*  348683 */     // GIR_Coverage, 21273,
     /*  348683 */     GIR_EraseRootFromParent_Done,
     /*  348684 */   // Label 6353: @348684
     /*  348684 */   GIM_Try, /*On fail goto*//*Label 6354*/ GIMT_Encode4(348750), // Rule ID 21276 //
     /*  348689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  348731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348748 */     GIR_RootConstrainSelectedInstOperands,
     /*  348749 */     // GIR_Coverage, 21276,
     /*  348749 */     GIR_EraseRootFromParent_Done,
     /*  348750 */   // Label 6354: @348750
     /*  348750 */   GIM_Try, /*On fail goto*//*Label 6355*/ GIMT_Encode4(348816), // Rule ID 21277 //
     /*  348755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  348766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  348769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  348772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  348787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11291:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  348797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348814 */     GIR_RootConstrainSelectedInstOperands,
     /*  348815 */     // GIR_Coverage, 21277,
     /*  348815 */     GIR_EraseRootFromParent_Done,
     /*  348816 */   // Label 6355: @348816
     /*  348816 */   GIM_Try, /*On fail goto*//*Label 6356*/ GIMT_Encode4(348882), // Rule ID 21280 //
     /*  348821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348860 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  348863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348880 */     GIR_RootConstrainSelectedInstOperands,
     /*  348881 */     // GIR_Coverage, 21280,
     /*  348881 */     GIR_EraseRootFromParent_Done,
     /*  348882 */   // Label 6356: @348882
     /*  348882 */   GIM_Try, /*On fail goto*//*Label 6357*/ GIMT_Encode4(348948), // Rule ID 21281 //
     /*  348887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  348890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  348898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  348901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  348904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  348907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  348919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348926 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11291:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  348926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  348929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  348935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  348940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  348943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  348946 */     GIR_RootConstrainSelectedInstOperands,
     /*  348947 */     // GIR_Coverage, 21281,
     /*  348947 */     GIR_EraseRootFromParent_Done,
     /*  348948 */   // Label 6357: @348948
     /*  348948 */   GIM_Try, /*On fail goto*//*Label 6358*/ GIMT_Encode4(349014), // Rule ID 21284 //
     /*  348953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  348956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  348961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  348964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  348967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  348970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  348973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  348981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  348985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  348992 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  348992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  348995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  348997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  348999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349012 */     GIR_RootConstrainSelectedInstOperands,
     /*  349013 */     // GIR_Coverage, 21284,
     /*  349013 */     GIR_EraseRootFromParent_Done,
     /*  349014 */   // Label 6358: @349014
     /*  349014 */   GIM_Try, /*On fail goto*//*Label 6359*/ GIMT_Encode4(349080), // Rule ID 21285 //
     /*  349019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v),
     /*  349027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  349030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  349033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  349036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11291:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  349061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349078 */     GIR_RootConstrainSelectedInstOperands,
     /*  349079 */     // GIR_Coverage, 21285,
     /*  349079 */     GIR_EraseRootFromParent_Done,
     /*  349080 */   // Label 6359: @349080
     /*  349080 */   GIM_Try, /*On fail goto*//*Label 6360*/ GIMT_Encode4(349146), // Rule ID 21288 //
     /*  349085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349124 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  349127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349144 */     GIR_RootConstrainSelectedInstOperands,
     /*  349145 */     // GIR_Coverage, 21288,
     /*  349145 */     GIR_EraseRootFromParent_Done,
     /*  349146 */   // Label 6360: @349146
     /*  349146 */   GIM_Try, /*On fail goto*//*Label 6361*/ GIMT_Encode4(349212), // Rule ID 21289 //
     /*  349151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  349162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  349165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  349168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  349193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349210 */     GIR_RootConstrainSelectedInstOperands,
     /*  349211 */     // GIR_Coverage, 21289,
     /*  349211 */     GIR_EraseRootFromParent_Done,
     /*  349212 */   // Label 6361: @349212
     /*  349212 */   GIM_Try, /*On fail goto*//*Label 6362*/ GIMT_Encode4(349278), // Rule ID 21292 //
     /*  349217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349256 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  349259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349276 */     GIR_RootConstrainSelectedInstOperands,
     /*  349277 */     // GIR_Coverage, 21292,
     /*  349277 */     GIR_EraseRootFromParent_Done,
     /*  349278 */   // Label 6362: @349278
     /*  349278 */   GIM_Try, /*On fail goto*//*Label 6363*/ GIMT_Encode4(349344), // Rule ID 21293 //
     /*  349283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  349294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  349297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  349300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11289:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  349325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349342 */     GIR_RootConstrainSelectedInstOperands,
     /*  349343 */     // GIR_Coverage, 21293,
     /*  349343 */     GIR_EraseRootFromParent_Done,
     /*  349344 */   // Label 6363: @349344
     /*  349344 */   GIM_Try, /*On fail goto*//*Label 6364*/ GIMT_Encode4(349410), // Rule ID 21296 //
     /*  349349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349388 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  349391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349408 */     GIR_RootConstrainSelectedInstOperands,
     /*  349409 */     // GIR_Coverage, 21296,
     /*  349409 */     GIR_EraseRootFromParent_Done,
     /*  349410 */   // Label 6364: @349410
     /*  349410 */   GIM_Try, /*On fail goto*//*Label 6365*/ GIMT_Encode4(349476), // Rule ID 21297 //
     /*  349415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  349426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  349429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  349432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349454 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  349457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349474 */     GIR_RootConstrainSelectedInstOperands,
     /*  349475 */     // GIR_Coverage, 21297,
     /*  349475 */     GIR_EraseRootFromParent_Done,
     /*  349476 */   // Label 6365: @349476
     /*  349476 */   GIM_Try, /*On fail goto*//*Label 6366*/ GIMT_Encode4(349542), // Rule ID 21300 //
     /*  349481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  349523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349540 */     GIR_RootConstrainSelectedInstOperands,
     /*  349541 */     // GIR_Coverage, 21300,
     /*  349541 */     GIR_EraseRootFromParent_Done,
     /*  349542 */   // Label 6366: @349542
     /*  349542 */   GIM_Try, /*On fail goto*//*Label 6367*/ GIMT_Encode4(349608), // Rule ID 21301 //
     /*  349547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  349558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  349561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  349564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  349589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349606 */     GIR_RootConstrainSelectedInstOperands,
     /*  349607 */     // GIR_Coverage, 21301,
     /*  349607 */     GIR_EraseRootFromParent_Done,
     /*  349608 */   // Label 6367: @349608
     /*  349608 */   GIM_Try, /*On fail goto*//*Label 6368*/ GIMT_Encode4(349674), // Rule ID 21304 //
     /*  349613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  349616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349652 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  349652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349672 */     GIR_RootConstrainSelectedInstOperands,
     /*  349673 */     // GIR_Coverage, 21304,
     /*  349673 */     GIR_EraseRootFromParent_Done,
     /*  349674 */   // Label 6368: @349674
     /*  349674 */   GIM_Try, /*On fail goto*//*Label 6369*/ GIMT_Encode4(349740), // Rule ID 21305 //
     /*  349679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  349682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  349690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  349693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  349696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  349707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  349711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349718 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  349718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  349721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  349735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349738 */     GIR_RootConstrainSelectedInstOperands,
     /*  349739 */     // GIR_Coverage, 21305,
     /*  349739 */     GIR_EraseRootFromParent_Done,
     /*  349740 */   // Label 6369: @349740
     /*  349740 */   GIM_Try, /*On fail goto*//*Label 6370*/ GIMT_Encode4(349806), // Rule ID 21308 //
     /*  349745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  349787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349804 */     GIR_RootConstrainSelectedInstOperands,
     /*  349805 */     // GIR_Coverage, 21308,
     /*  349805 */     GIR_EraseRootFromParent_Done,
     /*  349806 */   // Label 6370: @349806
     /*  349806 */   GIM_Try, /*On fail goto*//*Label 6371*/ GIMT_Encode4(349872), // Rule ID 21309 //
     /*  349811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  349822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  349825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  349828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11289:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  349853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349870 */     GIR_RootConstrainSelectedInstOperands,
     /*  349871 */     // GIR_Coverage, 21309,
     /*  349871 */     GIR_EraseRootFromParent_Done,
     /*  349872 */   // Label 6371: @349872
     /*  349872 */   GIM_Try, /*On fail goto*//*Label 6372*/ GIMT_Encode4(349938), // Rule ID 21312 //
     /*  349877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  349880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  349897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349916 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  349916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  349919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  349936 */     GIR_RootConstrainSelectedInstOperands,
     /*  349937 */     // GIR_Coverage, 21312,
     /*  349937 */     GIR_EraseRootFromParent_Done,
     /*  349938 */   // Label 6372: @349938
     /*  349938 */   GIM_Try, /*On fail goto*//*Label 6373*/ GIMT_Encode4(350004), // Rule ID 21313 //
     /*  349943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  349946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  349951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  349954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  349957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  349960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  349963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  349971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  349975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  349982 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11289:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  349982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  349985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  349987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  349989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  349991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  349996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  349999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350002 */     GIR_RootConstrainSelectedInstOperands,
     /*  350003 */     // GIR_Coverage, 21313,
     /*  350003 */     GIR_EraseRootFromParent_Done,
     /*  350004 */   // Label 6373: @350004
     /*  350004 */   GIM_Try, /*On fail goto*//*Label 6374*/ GIMT_Encode4(350070), // Rule ID 21316 //
     /*  350009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  350012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  350017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350048 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  350051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350068 */     GIR_RootConstrainSelectedInstOperands,
     /*  350069 */     // GIR_Coverage, 21316,
     /*  350069 */     GIR_EraseRootFromParent_Done,
     /*  350070 */   // Label 6374: @350070
     /*  350070 */   GIM_Try, /*On fail goto*//*Label 6375*/ GIMT_Encode4(350136), // Rule ID 21317 //
     /*  350075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  350078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  350083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  350086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  350089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  350092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11289:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  350117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350134 */     GIR_RootConstrainSelectedInstOperands,
     /*  350135 */     // GIR_Coverage, 21317,
     /*  350135 */     GIR_EraseRootFromParent_Done,
     /*  350136 */   // Label 6375: @350136
     /*  350136 */   GIM_Try, /*On fail goto*//*Label 6376*/ GIMT_Encode4(350202), // Rule ID 21320 //
     /*  350141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  350144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  350149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350180 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  350180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  350183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350200 */     GIR_RootConstrainSelectedInstOperands,
     /*  350201 */     // GIR_Coverage, 21320,
     /*  350201 */     GIR_EraseRootFromParent_Done,
     /*  350202 */   // Label 6376: @350202
     /*  350202 */   GIM_Try, /*On fail goto*//*Label 6377*/ GIMT_Encode4(350268), // Rule ID 21321 //
     /*  350207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  350210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v),
     /*  350215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  350218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  350221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  350224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11289:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  350246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  350249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  350263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350266 */     GIR_RootConstrainSelectedInstOperands,
     /*  350267 */     // GIR_Coverage, 21321,
     /*  350267 */     GIR_EraseRootFromParent_Done,
     /*  350268 */   // Label 6377: @350268
     /*  350268 */   GIM_Try, /*On fail goto*//*Label 6378*/ GIMT_Encode4(350334), // Rule ID 21324 //
     /*  350273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  350284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  350287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  350290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350312 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  350315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350332 */     GIR_RootConstrainSelectedInstOperands,
     /*  350333 */     // GIR_Coverage, 21324,
     /*  350333 */     GIR_EraseRootFromParent_Done,
     /*  350334 */   // Label 6378: @350334
     /*  350334 */   GIM_Try, /*On fail goto*//*Label 6379*/ GIMT_Encode4(350400), // Rule ID 21325 //
     /*  350339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  350350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  350353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  350356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350378 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /*  350381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350398 */     GIR_RootConstrainSelectedInstOperands,
     /*  350399 */     // GIR_Coverage, 21325,
     /*  350399 */     GIR_EraseRootFromParent_Done,
     /*  350400 */   // Label 6379: @350400
     /*  350400 */   GIM_Try, /*On fail goto*//*Label 6380*/ GIMT_Encode4(350466), // Rule ID 21328 //
     /*  350405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  350416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  350419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  350422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350444 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  350447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350464 */     GIR_RootConstrainSelectedInstOperands,
     /*  350465 */     // GIR_Coverage, 21328,
     /*  350465 */     GIR_EraseRootFromParent_Done,
     /*  350466 */   // Label 6380: @350466
     /*  350466 */   GIM_Try, /*On fail goto*//*Label 6381*/ GIMT_Encode4(350532), // Rule ID 21329 //
     /*  350471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  350482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  350485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  350488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350510 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /*  350513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350530 */     GIR_RootConstrainSelectedInstOperands,
     /*  350531 */     // GIR_Coverage, 21329,
     /*  350531 */     GIR_EraseRootFromParent_Done,
     /*  350532 */   // Label 6381: @350532
     /*  350532 */   GIM_Try, /*On fail goto*//*Label 6382*/ GIMT_Encode4(350598), // Rule ID 21332 //
     /*  350537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  350548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  350551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  350554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350576 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  350579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350596 */     GIR_RootConstrainSelectedInstOperands,
     /*  350597 */     // GIR_Coverage, 21332,
     /*  350597 */     GIR_EraseRootFromParent_Done,
     /*  350598 */   // Label 6382: @350598
     /*  350598 */   GIM_Try, /*On fail goto*//*Label 6383*/ GIMT_Encode4(350664), // Rule ID 21333 //
     /*  350603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  350614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  350617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  350620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350642 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11287:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /*  350645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350662 */     GIR_RootConstrainSelectedInstOperands,
     /*  350663 */     // GIR_Coverage, 21333,
     /*  350663 */     GIR_EraseRootFromParent_Done,
     /*  350664 */   // Label 6383: @350664
     /*  350664 */   GIM_Try, /*On fail goto*//*Label 6384*/ GIMT_Encode4(350730), // Rule ID 21336 //
     /*  350669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  350686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350708 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  350711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350728 */     GIR_RootConstrainSelectedInstOperands,
     /*  350729 */     // GIR_Coverage, 21336,
     /*  350729 */     GIR_EraseRootFromParent_Done,
     /*  350730 */   // Label 6384: @350730
     /*  350730 */   GIM_Try, /*On fail goto*//*Label 6385*/ GIMT_Encode4(350796), // Rule ID 21337 //
     /*  350735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  350746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  350749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  350752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  350767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350774 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /*  350777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350794 */     GIR_RootConstrainSelectedInstOperands,
     /*  350795 */     // GIR_Coverage, 21337,
     /*  350795 */     GIR_EraseRootFromParent_Done,
     /*  350796 */   // Label 6385: @350796
     /*  350796 */   GIM_Try, /*On fail goto*//*Label 6386*/ GIMT_Encode4(350862), // Rule ID 21340 //
     /*  350801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  350818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350840 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  350843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350860 */     GIR_RootConstrainSelectedInstOperands,
     /*  350861 */     // GIR_Coverage, 21340,
     /*  350861 */     GIR_EraseRootFromParent_Done,
     /*  350862 */   // Label 6386: @350862
     /*  350862 */   GIM_Try, /*On fail goto*//*Label 6387*/ GIMT_Encode4(350928), // Rule ID 21341 //
     /*  350867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  350870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  350878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  350881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  350884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  350887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  350899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350906 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  350906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /*  350909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350926 */     GIR_RootConstrainSelectedInstOperands,
     /*  350927 */     // GIR_Coverage, 21341,
     /*  350927 */     GIR_EraseRootFromParent_Done,
     /*  350928 */   // Label 6387: @350928
     /*  350928 */   GIM_Try, /*On fail goto*//*Label 6388*/ GIMT_Encode4(350994), // Rule ID 21344 //
     /*  350933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  350936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  350941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  350944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  350947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  350950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  350953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  350961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  350965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  350972 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  350972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  350975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  350977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  350979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  350981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  350986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  350989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  350992 */     GIR_RootConstrainSelectedInstOperands,
     /*  350993 */     // GIR_Coverage, 21344,
     /*  350993 */     GIR_EraseRootFromParent_Done,
     /*  350994 */   // Label 6388: @350994
     /*  350994 */   GIM_Try, /*On fail goto*//*Label 6389*/ GIMT_Encode4(351060), // Rule ID 21345 //
     /*  350999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  351002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  351010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  351013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  351016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351038 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  351038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /*  351041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  351055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351058 */     GIR_RootConstrainSelectedInstOperands,
     /*  351059 */     // GIR_Coverage, 21345,
     /*  351059 */     GIR_EraseRootFromParent_Done,
     /*  351060 */   // Label 6389: @351060
     /*  351060 */   GIM_Try, /*On fail goto*//*Label 6390*/ GIMT_Encode4(351126), // Rule ID 21348 //
     /*  351065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  351076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  351079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  351082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351104 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  351107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351124 */     GIR_RootConstrainSelectedInstOperands,
     /*  351125 */     // GIR_Coverage, 21348,
     /*  351125 */     GIR_EraseRootFromParent_Done,
     /*  351126 */   // Label 6390: @351126
     /*  351126 */   GIM_Try, /*On fail goto*//*Label 6391*/ GIMT_Encode4(351192), // Rule ID 21349 //
     /*  351131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  351142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  351145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  351148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351170 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /*  351173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351190 */     GIR_RootConstrainSelectedInstOperands,
     /*  351191 */     // GIR_Coverage, 21349,
     /*  351191 */     GIR_EraseRootFromParent_Done,
     /*  351192 */   // Label 6391: @351192
     /*  351192 */   GIM_Try, /*On fail goto*//*Label 6392*/ GIMT_Encode4(351258), // Rule ID 21352 //
     /*  351197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  351208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  351211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  351214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351236 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  351239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351256 */     GIR_RootConstrainSelectedInstOperands,
     /*  351257 */     // GIR_Coverage, 21352,
     /*  351257 */     GIR_EraseRootFromParent_Done,
     /*  351258 */   // Label 6392: @351258
     /*  351258 */   GIM_Try, /*On fail goto*//*Label 6393*/ GIMT_Encode4(351324), // Rule ID 21353 //
     /*  351263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  351274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  351277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  351280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351302 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11287:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /*  351305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351322 */     GIR_RootConstrainSelectedInstOperands,
     /*  351323 */     // GIR_Coverage, 21353,
     /*  351323 */     GIR_EraseRootFromParent_Done,
     /*  351324 */   // Label 6393: @351324
     /*  351324 */   GIM_Try, /*On fail goto*//*Label 6394*/ GIMT_Encode4(351390), // Rule ID 21356 //
     /*  351329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  351340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  351343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  351346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351368 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  351371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351388 */     GIR_RootConstrainSelectedInstOperands,
     /*  351389 */     // GIR_Coverage, 21356,
     /*  351389 */     GIR_EraseRootFromParent_Done,
     /*  351390 */   // Label 6394: @351390
     /*  351390 */   GIM_Try, /*On fail goto*//*Label 6395*/ GIMT_Encode4(351456), // Rule ID 21357 //
     /*  351395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  351406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  351409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  351412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351434 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /*  351437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351454 */     GIR_RootConstrainSelectedInstOperands,
     /*  351455 */     // GIR_Coverage, 21357,
     /*  351455 */     GIR_EraseRootFromParent_Done,
     /*  351456 */   // Label 6395: @351456
     /*  351456 */   GIM_Try, /*On fail goto*//*Label 6396*/ GIMT_Encode4(351522), // Rule ID 21360 //
     /*  351461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  351472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  351475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351500 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  351503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351520 */     GIR_RootConstrainSelectedInstOperands,
     /*  351521 */     // GIR_Coverage, 21360,
     /*  351521 */     GIR_EraseRootFromParent_Done,
     /*  351522 */   // Label 6396: @351522
     /*  351522 */   GIM_Try, /*On fail goto*//*Label 6397*/ GIMT_Encode4(351588), // Rule ID 21361 //
     /*  351527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  351538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  351541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  351544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351566 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /*  351569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351586 */     GIR_RootConstrainSelectedInstOperands,
     /*  351587 */     // GIR_Coverage, 21361,
     /*  351587 */     GIR_EraseRootFromParent_Done,
     /*  351588 */   // Label 6397: @351588
     /*  351588 */   GIM_Try, /*On fail goto*//*Label 6398*/ GIMT_Encode4(351654), // Rule ID 21364 //
     /*  351593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  351596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  351604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  351607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351632 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  351632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  351635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351652 */     GIR_RootConstrainSelectedInstOperands,
     /*  351653 */     // GIR_Coverage, 21364,
     /*  351653 */     GIR_EraseRootFromParent_Done,
     /*  351654 */   // Label 6398: @351654
     /*  351654 */   GIM_Try, /*On fail goto*//*Label 6399*/ GIMT_Encode4(351720), // Rule ID 21365 //
     /*  351659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  351662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  351670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  351673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  351676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  351687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  351691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351698 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  351698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /*  351701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  351715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351718 */     GIR_RootConstrainSelectedInstOperands,
     /*  351719 */     // GIR_Coverage, 21365,
     /*  351719 */     GIR_EraseRootFromParent_Done,
     /*  351720 */   // Label 6399: @351720
     /*  351720 */   GIM_Try, /*On fail goto*//*Label 6400*/ GIMT_Encode4(351786), // Rule ID 21368 //
     /*  351725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  351736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  351739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351764 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  351767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351784 */     GIR_RootConstrainSelectedInstOperands,
     /*  351785 */     // GIR_Coverage, 21368,
     /*  351785 */     GIR_EraseRootFromParent_Done,
     /*  351786 */   // Label 6400: @351786
     /*  351786 */   GIM_Try, /*On fail goto*//*Label 6401*/ GIMT_Encode4(351852), // Rule ID 21369 //
     /*  351791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  351802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  351805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  351808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351830 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11287:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /*  351833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351850 */     GIR_RootConstrainSelectedInstOperands,
     /*  351851 */     // GIR_Coverage, 21369,
     /*  351851 */     GIR_EraseRootFromParent_Done,
     /*  351852 */   // Label 6401: @351852
     /*  351852 */   GIM_Try, /*On fail goto*//*Label 6402*/ GIMT_Encode4(351918), // Rule ID 21372 //
     /*  351857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  351868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  351871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  351877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351896 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  351896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  351899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351916 */     GIR_RootConstrainSelectedInstOperands,
     /*  351917 */     // GIR_Coverage, 21372,
     /*  351917 */     GIR_EraseRootFromParent_Done,
     /*  351918 */   // Label 6402: @351918
     /*  351918 */   GIM_Try, /*On fail goto*//*Label 6403*/ GIMT_Encode4(351984), // Rule ID 21373 //
     /*  351923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  351926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  351934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  351937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  351940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  351943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  351951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  351955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  351962 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11287:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  351962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /*  351965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  351967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  351969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  351971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  351976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  351979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  351982 */     GIR_RootConstrainSelectedInstOperands,
     /*  351983 */     // GIR_Coverage, 21373,
     /*  351983 */     GIR_EraseRootFromParent_Done,
     /*  351984 */   // Label 6403: @351984
     /*  351984 */   GIM_Try, /*On fail goto*//*Label 6404*/ GIMT_Encode4(352050), // Rule ID 21376 //
     /*  351989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  351992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  351997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  352000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  352003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  352006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352028 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  352031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352048 */     GIR_RootConstrainSelectedInstOperands,
     /*  352049 */     // GIR_Coverage, 21376,
     /*  352049 */     GIR_EraseRootFromParent_Done,
     /*  352050 */   // Label 6404: @352050
     /*  352050 */   GIM_Try, /*On fail goto*//*Label 6405*/ GIMT_Encode4(352116), // Rule ID 21377 //
     /*  352055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  352063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  352066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  352069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  352072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352094 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11287:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /*  352097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352114 */     GIR_RootConstrainSelectedInstOperands,
     /*  352115 */     // GIR_Coverage, 21377,
     /*  352115 */     GIR_EraseRootFromParent_Done,
     /*  352116 */   // Label 6405: @352116
     /*  352116 */   GIM_Try, /*On fail goto*//*Label 6406*/ GIMT_Encode4(352182), // Rule ID 21380 //
     /*  352121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  352124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  352129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  352132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  352135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  352138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352160 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  352160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  352163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352180 */     GIR_RootConstrainSelectedInstOperands,
     /*  352181 */     // GIR_Coverage, 21380,
     /*  352181 */     GIR_EraseRootFromParent_Done,
     /*  352182 */   // Label 6406: @352182
     /*  352182 */   GIM_Try, /*On fail goto*//*Label 6407*/ GIMT_Encode4(352248), // Rule ID 21381 //
     /*  352187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  352190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v),
     /*  352195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  352198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  352201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  352204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352226 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11287:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  352226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /*  352229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  352243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352246 */     GIR_RootConstrainSelectedInstOperands,
     /*  352247 */     // GIR_Coverage, 21381,
     /*  352247 */     GIR_EraseRootFromParent_Done,
     /*  352248 */   // Label 6407: @352248
     /*  352248 */   GIM_Try, /*On fail goto*//*Label 6408*/ GIMT_Encode4(352314), // Rule ID 21384 //
     /*  352253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  352270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352292 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  352295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352312 */     GIR_RootConstrainSelectedInstOperands,
     /*  352313 */     // GIR_Coverage, 21384,
     /*  352313 */     GIR_EraseRootFromParent_Done,
     /*  352314 */   // Label 6408: @352314
     /*  352314 */   GIM_Try, /*On fail goto*//*Label 6409*/ GIMT_Encode4(352380), // Rule ID 21385 //
     /*  352319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  352330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  352333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  352336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352358 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /*  352361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352378 */     GIR_RootConstrainSelectedInstOperands,
     /*  352379 */     // GIR_Coverage, 21385,
     /*  352379 */     GIR_EraseRootFromParent_Done,
     /*  352380 */   // Label 6409: @352380
     /*  352380 */   GIM_Try, /*On fail goto*//*Label 6410*/ GIMT_Encode4(352446), // Rule ID 21388 //
     /*  352385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  352396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  352399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  352402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352424 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  352427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352444 */     GIR_RootConstrainSelectedInstOperands,
     /*  352445 */     // GIR_Coverage, 21388,
     /*  352445 */     GIR_EraseRootFromParent_Done,
     /*  352446 */   // Label 6410: @352446
     /*  352446 */   GIM_Try, /*On fail goto*//*Label 6411*/ GIMT_Encode4(352512), // Rule ID 21389 //
     /*  352451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  352462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  352465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  352468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352490 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /*  352493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352510 */     GIR_RootConstrainSelectedInstOperands,
     /*  352511 */     // GIR_Coverage, 21389,
     /*  352511 */     GIR_EraseRootFromParent_Done,
     /*  352512 */   // Label 6411: @352512
     /*  352512 */   GIM_Try, /*On fail goto*//*Label 6412*/ GIMT_Encode4(352578), // Rule ID 21392 //
     /*  352517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  352534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352556 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  352559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352576 */     GIR_RootConstrainSelectedInstOperands,
     /*  352577 */     // GIR_Coverage, 21392,
     /*  352577 */     GIR_EraseRootFromParent_Done,
     /*  352578 */   // Label 6412: @352578
     /*  352578 */   GIM_Try, /*On fail goto*//*Label 6413*/ GIMT_Encode4(352644), // Rule ID 21393 //
     /*  352583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  352594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  352597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  352600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352622 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11285:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /*  352625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352642 */     GIR_RootConstrainSelectedInstOperands,
     /*  352643 */     // GIR_Coverage, 21393,
     /*  352643 */     GIR_EraseRootFromParent_Done,
     /*  352644 */   // Label 6413: @352644
     /*  352644 */   GIM_Try, /*On fail goto*//*Label 6414*/ GIMT_Encode4(352710), // Rule ID 21396 //
     /*  352649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  352666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352688 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  352691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352708 */     GIR_RootConstrainSelectedInstOperands,
     /*  352709 */     // GIR_Coverage, 21396,
     /*  352709 */     GIR_EraseRootFromParent_Done,
     /*  352710 */   // Label 6414: @352710
     /*  352710 */   GIM_Try, /*On fail goto*//*Label 6415*/ GIMT_Encode4(352776), // Rule ID 21397 //
     /*  352715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  352726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  352729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  352732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  352747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352754 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /*  352757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352774 */     GIR_RootConstrainSelectedInstOperands,
     /*  352775 */     // GIR_Coverage, 21397,
     /*  352775 */     GIR_EraseRootFromParent_Done,
     /*  352776 */   // Label 6415: @352776
     /*  352776 */   GIM_Try, /*On fail goto*//*Label 6416*/ GIMT_Encode4(352842), // Rule ID 21400 //
     /*  352781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  352798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352820 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  352823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352840 */     GIR_RootConstrainSelectedInstOperands,
     /*  352841 */     // GIR_Coverage, 21400,
     /*  352841 */     GIR_EraseRootFromParent_Done,
     /*  352842 */   // Label 6416: @352842
     /*  352842 */   GIM_Try, /*On fail goto*//*Label 6417*/ GIMT_Encode4(352908), // Rule ID 21401 //
     /*  352847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  352858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  352861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  352864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  352879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352886 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  352886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /*  352889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352906 */     GIR_RootConstrainSelectedInstOperands,
     /*  352907 */     // GIR_Coverage, 21401,
     /*  352907 */     GIR_EraseRootFromParent_Done,
     /*  352908 */   // Label 6417: @352908
     /*  352908 */   GIM_Try, /*On fail goto*//*Label 6418*/ GIMT_Encode4(352974), // Rule ID 21404 //
     /*  352913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  352916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  352924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  352927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  352930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  352933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  352941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  352945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  352952 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  352952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  352955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  352957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  352959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  352961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  352966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  352969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  352972 */     GIR_RootConstrainSelectedInstOperands,
     /*  352973 */     // GIR_Coverage, 21404,
     /*  352973 */     GIR_EraseRootFromParent_Done,
     /*  352974 */   // Label 6418: @352974
     /*  352974 */   GIM_Try, /*On fail goto*//*Label 6419*/ GIMT_Encode4(353040), // Rule ID 21405 //
     /*  352979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  352982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  352987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  352990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  352993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  352996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  352999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353018 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  353018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /*  353021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  353035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353038 */     GIR_RootConstrainSelectedInstOperands,
     /*  353039 */     // GIR_Coverage, 21405,
     /*  353039 */     GIR_EraseRootFromParent_Done,
     /*  353040 */   // Label 6419: @353040
     /*  353040 */   GIM_Try, /*On fail goto*//*Label 6420*/ GIMT_Encode4(353106), // Rule ID 21408 //
     /*  353045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  353062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353084 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  353087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353104 */     GIR_RootConstrainSelectedInstOperands,
     /*  353105 */     // GIR_Coverage, 21408,
     /*  353105 */     GIR_EraseRootFromParent_Done,
     /*  353106 */   // Label 6420: @353106
     /*  353106 */   GIM_Try, /*On fail goto*//*Label 6421*/ GIMT_Encode4(353172), // Rule ID 21409 //
     /*  353111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  353122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  353125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  353128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353150 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /*  353153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353170 */     GIR_RootConstrainSelectedInstOperands,
     /*  353171 */     // GIR_Coverage, 21409,
     /*  353171 */     GIR_EraseRootFromParent_Done,
     /*  353172 */   // Label 6421: @353172
     /*  353172 */   GIM_Try, /*On fail goto*//*Label 6422*/ GIMT_Encode4(353238), // Rule ID 21412 //
     /*  353177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  353219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353236 */     GIR_RootConstrainSelectedInstOperands,
     /*  353237 */     // GIR_Coverage, 21412,
     /*  353237 */     GIR_EraseRootFromParent_Done,
     /*  353238 */   // Label 6422: @353238
     /*  353238 */   GIM_Try, /*On fail goto*//*Label 6423*/ GIMT_Encode4(353304), // Rule ID 21413 //
     /*  353243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  353254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  353257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  353260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353282 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11285:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /*  353285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353302 */     GIR_RootConstrainSelectedInstOperands,
     /*  353303 */     // GIR_Coverage, 21413,
     /*  353303 */     GIR_EraseRootFromParent_Done,
     /*  353304 */   // Label 6423: @353304
     /*  353304 */   GIM_Try, /*On fail goto*//*Label 6424*/ GIMT_Encode4(353370), // Rule ID 21416 //
     /*  353309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  353326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353348 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  353351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353368 */     GIR_RootConstrainSelectedInstOperands,
     /*  353369 */     // GIR_Coverage, 21416,
     /*  353369 */     GIR_EraseRootFromParent_Done,
     /*  353370 */   // Label 6424: @353370
     /*  353370 */   GIM_Try, /*On fail goto*//*Label 6425*/ GIMT_Encode4(353436), // Rule ID 21417 //
     /*  353375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  353386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  353389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  353392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353414 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /*  353417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353434 */     GIR_RootConstrainSelectedInstOperands,
     /*  353435 */     // GIR_Coverage, 21417,
     /*  353435 */     GIR_EraseRootFromParent_Done,
     /*  353436 */   // Label 6425: @353436
     /*  353436 */   GIM_Try, /*On fail goto*//*Label 6426*/ GIMT_Encode4(353502), // Rule ID 21420 //
     /*  353441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  353483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353500 */     GIR_RootConstrainSelectedInstOperands,
     /*  353501 */     // GIR_Coverage, 21420,
     /*  353501 */     GIR_EraseRootFromParent_Done,
     /*  353502 */   // Label 6426: @353502
     /*  353502 */   GIM_Try, /*On fail goto*//*Label 6427*/ GIMT_Encode4(353568), // Rule ID 21421 //
     /*  353507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  353518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  353521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  353524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353546 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /*  353549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353566 */     GIR_RootConstrainSelectedInstOperands,
     /*  353567 */     // GIR_Coverage, 21421,
     /*  353567 */     GIR_EraseRootFromParent_Done,
     /*  353568 */   // Label 6427: @353568
     /*  353568 */   GIM_Try, /*On fail goto*//*Label 6428*/ GIMT_Encode4(353634), // Rule ID 21424 //
     /*  353573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  353576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  353584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  353587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353612 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  353612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  353615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353632 */     GIR_RootConstrainSelectedInstOperands,
     /*  353633 */     // GIR_Coverage, 21424,
     /*  353633 */     GIR_EraseRootFromParent_Done,
     /*  353634 */   // Label 6428: @353634
     /*  353634 */   GIM_Try, /*On fail goto*//*Label 6429*/ GIMT_Encode4(353700), // Rule ID 21425 //
     /*  353639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  353642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  353650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  353653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  353656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  353667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353678 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  353678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /*  353681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  353695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353698 */     GIR_RootConstrainSelectedInstOperands,
     /*  353699 */     // GIR_Coverage, 21425,
     /*  353699 */     GIR_EraseRootFromParent_Done,
     /*  353700 */   // Label 6429: @353700
     /*  353700 */   GIM_Try, /*On fail goto*//*Label 6430*/ GIMT_Encode4(353766), // Rule ID 21428 //
     /*  353705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  353716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  353719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  353747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353764 */     GIR_RootConstrainSelectedInstOperands,
     /*  353765 */     // GIR_Coverage, 21428,
     /*  353765 */     GIR_EraseRootFromParent_Done,
     /*  353766 */   // Label 6430: @353766
     /*  353766 */   GIM_Try, /*On fail goto*//*Label 6431*/ GIMT_Encode4(353832), // Rule ID 21429 //
     /*  353771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  353782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  353785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  353788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11285:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /*  353813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353830 */     GIR_RootConstrainSelectedInstOperands,
     /*  353831 */     // GIR_Coverage, 21429,
     /*  353831 */     GIR_EraseRootFromParent_Done,
     /*  353832 */   // Label 6431: @353832
     /*  353832 */   GIM_Try, /*On fail goto*//*Label 6432*/ GIMT_Encode4(353898), // Rule ID 21432 //
     /*  353837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  353848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  353851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353876 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  353876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  353879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353896 */     GIR_RootConstrainSelectedInstOperands,
     /*  353897 */     // GIR_Coverage, 21432,
     /*  353897 */     GIR_EraseRootFromParent_Done,
     /*  353898 */   // Label 6432: @353898
     /*  353898 */   GIM_Try, /*On fail goto*//*Label 6433*/ GIMT_Encode4(353964), // Rule ID 21433 //
     /*  353903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  353906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  353914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  353917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  353920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  353923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  353931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  353935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  353942 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11285:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  353942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /*  353945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  353947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  353949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  353951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  353956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  353959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  353962 */     GIR_RootConstrainSelectedInstOperands,
     /*  353963 */     // GIR_Coverage, 21433,
     /*  353963 */     GIR_EraseRootFromParent_Done,
     /*  353964 */   // Label 6433: @353964
     /*  353964 */   GIM_Try, /*On fail goto*//*Label 6434*/ GIMT_Encode4(354030), // Rule ID 21436 //
     /*  353969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  353972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  353977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  353980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  353983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  353986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  353989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  353997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  354011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354028 */     GIR_RootConstrainSelectedInstOperands,
     /*  354029 */     // GIR_Coverage, 21436,
     /*  354029 */     GIR_EraseRootFromParent_Done,
     /*  354030 */   // Label 6434: @354030
     /*  354030 */   GIM_Try, /*On fail goto*//*Label 6435*/ GIMT_Encode4(354096), // Rule ID 21437 //
     /*  354035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  354043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  354046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  354049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  354052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354074 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11285:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /*  354077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354094 */     GIR_RootConstrainSelectedInstOperands,
     /*  354095 */     // GIR_Coverage, 21437,
     /*  354095 */     GIR_EraseRootFromParent_Done,
     /*  354096 */   // Label 6435: @354096
     /*  354096 */   GIM_Try, /*On fail goto*//*Label 6436*/ GIMT_Encode4(354162), // Rule ID 21440 //
     /*  354101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  354104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  354109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  354112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  354115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  354143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354160 */     GIR_RootConstrainSelectedInstOperands,
     /*  354161 */     // GIR_Coverage, 21440,
     /*  354161 */     GIR_EraseRootFromParent_Done,
     /*  354162 */   // Label 6436: @354162
     /*  354162 */   GIM_Try, /*On fail goto*//*Label 6437*/ GIMT_Encode4(354228), // Rule ID 21441 //
     /*  354167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  354170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v),
     /*  354175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  354178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  354181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  354184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354206 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11285:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /*  354209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354226 */     GIR_RootConstrainSelectedInstOperands,
     /*  354227 */     // GIR_Coverage, 21441,
     /*  354227 */     GIR_EraseRootFromParent_Done,
     /*  354228 */   // Label 6437: @354228
     /*  354228 */   GIM_Try, /*On fail goto*//*Label 6438*/ GIMT_Encode4(354294), // Rule ID 21444 //
     /*  354233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  354236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  354250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354272 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  354275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354292 */     GIR_RootConstrainSelectedInstOperands,
     /*  354293 */     // GIR_Coverage, 21444,
     /*  354293 */     GIR_EraseRootFromParent_Done,
     /*  354294 */   // Label 6438: @354294
     /*  354294 */   GIM_Try, /*On fail goto*//*Label 6439*/ GIMT_Encode4(354360), // Rule ID 21445 //
     /*  354299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  354302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  354310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  354313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  354316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354338 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16),
     /*  354341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354358 */     GIR_RootConstrainSelectedInstOperands,
     /*  354359 */     // GIR_Coverage, 21445,
     /*  354359 */     GIR_EraseRootFromParent_Done,
     /*  354360 */   // Label 6439: @354360
     /*  354360 */   GIM_Try, /*On fail goto*//*Label 6440*/ GIMT_Encode4(354426), // Rule ID 21448 //
     /*  354365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  354368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  354382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354404 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  354407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354424 */     GIR_RootConstrainSelectedInstOperands,
     /*  354425 */     // GIR_Coverage, 21448,
     /*  354425 */     GIR_EraseRootFromParent_Done,
     /*  354426 */   // Label 6440: @354426
     /*  354426 */   GIM_Try, /*On fail goto*//*Label 6441*/ GIMT_Encode4(354492), // Rule ID 21449 //
     /*  354431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  354434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  354442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  354445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  354448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354470 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11283:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16),
     /*  354473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354490 */     GIR_RootConstrainSelectedInstOperands,
     /*  354491 */     // GIR_Coverage, 21449,
     /*  354491 */     GIR_EraseRootFromParent_Done,
     /*  354492 */   // Label 6441: @354492
     /*  354492 */   GIM_Try, /*On fail goto*//*Label 6442*/ GIMT_Encode4(354558), // Rule ID 21452 //
     /*  354497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  354500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  354514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354536 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  354539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354556 */     GIR_RootConstrainSelectedInstOperands,
     /*  354557 */     // GIR_Coverage, 21452,
     /*  354557 */     GIR_EraseRootFromParent_Done,
     /*  354558 */   // Label 6442: @354558
     /*  354558 */   GIM_Try, /*On fail goto*//*Label 6443*/ GIMT_Encode4(354624), // Rule ID 21453 //
     /*  354563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  354566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  354574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  354577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  354580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354602 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16),
     /*  354605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354622 */     GIR_RootConstrainSelectedInstOperands,
     /*  354623 */     // GIR_Coverage, 21453,
     /*  354623 */     GIR_EraseRootFromParent_Done,
     /*  354624 */   // Label 6443: @354624
     /*  354624 */   GIM_Try, /*On fail goto*//*Label 6444*/ GIMT_Encode4(354690), // Rule ID 21456 //
     /*  354629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  354632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  354646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354668 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  354671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354688 */     GIR_RootConstrainSelectedInstOperands,
     /*  354689 */     // GIR_Coverage, 21456,
     /*  354689 */     GIR_EraseRootFromParent_Done,
     /*  354690 */   // Label 6444: @354690
     /*  354690 */   GIM_Try, /*On fail goto*//*Label 6445*/ GIMT_Encode4(354756), // Rule ID 21457 //
     /*  354695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  354698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  354706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  354709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  354712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  354727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354734 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16),
     /*  354737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354754 */     GIR_RootConstrainSelectedInstOperands,
     /*  354755 */     // GIR_Coverage, 21457,
     /*  354755 */     GIR_EraseRootFromParent_Done,
     /*  354756 */   // Label 6445: @354756
     /*  354756 */   GIM_Try, /*On fail goto*//*Label 6446*/ GIMT_Encode4(354822), // Rule ID 21460 //
     /*  354761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  354764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  354772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  354775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  354778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354800 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  354800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  354803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354820 */     GIR_RootConstrainSelectedInstOperands,
     /*  354821 */     // GIR_Coverage, 21460,
     /*  354821 */     GIR_EraseRootFromParent_Done,
     /*  354822 */   // Label 6446: @354822
     /*  354822 */   GIM_Try, /*On fail goto*//*Label 6447*/ GIMT_Encode4(354888), // Rule ID 21461 //
     /*  354827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  354830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  354838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  354841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  354844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  354855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  354859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354866 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  354866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16),
     /*  354869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  354883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354886 */     GIR_RootConstrainSelectedInstOperands,
     /*  354887 */     // GIR_Coverage, 21461,
     /*  354887 */     GIR_EraseRootFromParent_Done,
     /*  354888 */   // Label 6447: @354888
     /*  354888 */   GIM_Try, /*On fail goto*//*Label 6448*/ GIMT_Encode4(354954), // Rule ID 21464 //
     /*  354893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  354896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  354904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  354907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  354913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354932 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  354932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  354935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  354937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  354939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  354941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  354946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  354949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  354952 */     GIR_RootConstrainSelectedInstOperands,
     /*  354953 */     // GIR_Coverage, 21464,
     /*  354953 */     GIR_EraseRootFromParent_Done,
     /*  354954 */   // Label 6448: @354954
     /*  354954 */   GIM_Try, /*On fail goto*//*Label 6449*/ GIMT_Encode4(355020), // Rule ID 21465 //
     /*  354959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  354962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  354967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  354970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  354973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  354976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  354979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  354991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  354998 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11283:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  354998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32),
     /*  355001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355018 */     GIR_RootConstrainSelectedInstOperands,
     /*  355019 */     // GIR_Coverage, 21465,
     /*  355019 */     GIR_EraseRootFromParent_Done,
     /*  355020 */   // Label 6449: @355020
     /*  355020 */   GIM_Try, /*On fail goto*//*Label 6450*/ GIMT_Encode4(355086), // Rule ID 21468 //
     /*  355025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  355033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  355036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  355039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  355042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355064 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  355067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355084 */     GIR_RootConstrainSelectedInstOperands,
     /*  355085 */     // GIR_Coverage, 21468,
     /*  355085 */     GIR_EraseRootFromParent_Done,
     /*  355086 */   // Label 6450: @355086
     /*  355086 */   GIM_Try, /*On fail goto*//*Label 6451*/ GIMT_Encode4(355152), // Rule ID 21469 //
     /*  355091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  355099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  355102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  355105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  355108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355130 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11283:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32),
     /*  355133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355150 */     GIR_RootConstrainSelectedInstOperands,
     /*  355151 */     // GIR_Coverage, 21469,
     /*  355151 */     GIR_EraseRootFromParent_Done,
     /*  355152 */   // Label 6451: @355152
     /*  355152 */   GIM_Try, /*On fail goto*//*Label 6452*/ GIMT_Encode4(355218), // Rule ID 21472 //
     /*  355157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  355165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  355168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  355171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  355174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355196 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  355199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355216 */     GIR_RootConstrainSelectedInstOperands,
     /*  355217 */     // GIR_Coverage, 21472,
     /*  355217 */     GIR_EraseRootFromParent_Done,
     /*  355218 */   // Label 6452: @355218
     /*  355218 */   GIM_Try, /*On fail goto*//*Label 6453*/ GIMT_Encode4(355284), // Rule ID 21473 //
     /*  355223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  355231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  355234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  355237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  355240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355262 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11283:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32),
     /*  355265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355282 */     GIR_RootConstrainSelectedInstOperands,
     /*  355283 */     // GIR_Coverage, 21473,
     /*  355283 */     GIR_EraseRootFromParent_Done,
     /*  355284 */   // Label 6453: @355284
     /*  355284 */   GIM_Try, /*On fail goto*//*Label 6454*/ GIMT_Encode4(355350), // Rule ID 21476 //
     /*  355289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  355292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  355297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  355300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  355303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355328 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  355328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  355331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355348 */     GIR_RootConstrainSelectedInstOperands,
     /*  355349 */     // GIR_Coverage, 21476,
     /*  355349 */     GIR_EraseRootFromParent_Done,
     /*  355350 */   // Label 6454: @355350
     /*  355350 */   GIM_Try, /*On fail goto*//*Label 6455*/ GIMT_Encode4(355416), // Rule ID 21477 //
     /*  355355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  355358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v),
     /*  355363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  355366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  355369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  355372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  355383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355394 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11283:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_F_F_V_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  355394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32),
     /*  355397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  355411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355414 */     GIR_RootConstrainSelectedInstOperands,
     /*  355415 */     // GIR_Coverage, 21477,
     /*  355415 */     GIR_EraseRootFromParent_Done,
     /*  355416 */   // Label 6455: @355416
     /*  355416 */   GIM_Try, /*On fail goto*//*Label 6456*/ GIMT_Encode4(355482), // Rule ID 21720 //
     /*  355421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  355432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  355435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  355438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355460 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  355463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355480 */     GIR_RootConstrainSelectedInstOperands,
     /*  355481 */     // GIR_Coverage, 21720,
     /*  355481 */     GIR_EraseRootFromParent_Done,
     /*  355482 */   // Label 6456: @355482
     /*  355482 */   GIM_Try, /*On fail goto*//*Label 6457*/ GIMT_Encode4(355548), // Rule ID 21721 //
     /*  355487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  355498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  355501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  355504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355526 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  355529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355546 */     GIR_RootConstrainSelectedInstOperands,
     /*  355547 */     // GIR_Coverage, 21721,
     /*  355547 */     GIR_EraseRootFromParent_Done,
     /*  355548 */   // Label 6457: @355548
     /*  355548 */   GIM_Try, /*On fail goto*//*Label 6458*/ GIMT_Encode4(355614), // Rule ID 21724 //
     /*  355553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  355564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  355567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  355570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355592 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  355595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355612 */     GIR_RootConstrainSelectedInstOperands,
     /*  355613 */     // GIR_Coverage, 21724,
     /*  355613 */     GIR_EraseRootFromParent_Done,
     /*  355614 */   // Label 6458: @355614
     /*  355614 */   GIM_Try, /*On fail goto*//*Label 6459*/ GIMT_Encode4(355680), // Rule ID 21725 //
     /*  355619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  355630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  355633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  355636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  355661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355678 */     GIR_RootConstrainSelectedInstOperands,
     /*  355679 */     // GIR_Coverage, 21725,
     /*  355679 */     GIR_EraseRootFromParent_Done,
     /*  355680 */   // Label 6459: @355680
     /*  355680 */   GIM_Try, /*On fail goto*//*Label 6460*/ GIMT_Encode4(355746), // Rule ID 21728 //
     /*  355685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  355696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  355699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  355702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355744 */     GIR_RootConstrainSelectedInstOperands,
     /*  355745 */     // GIR_Coverage, 21728,
     /*  355745 */     GIR_EraseRootFromParent_Done,
     /*  355746 */   // Label 6460: @355746
     /*  355746 */   GIM_Try, /*On fail goto*//*Label 6461*/ GIMT_Encode4(355812), // Rule ID 21729 //
     /*  355751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  355762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  355765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  355768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355790 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  355793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355810 */     GIR_RootConstrainSelectedInstOperands,
     /*  355811 */     // GIR_Coverage, 21729,
     /*  355811 */     GIR_EraseRootFromParent_Done,
     /*  355812 */   // Label 6461: @355812
     /*  355812 */   GIM_Try, /*On fail goto*//*Label 6462*/ GIMT_Encode4(355878), // Rule ID 21732 //
     /*  355817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  355828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  355831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  355834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355856 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  355859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355876 */     GIR_RootConstrainSelectedInstOperands,
     /*  355877 */     // GIR_Coverage, 21732,
     /*  355877 */     GIR_EraseRootFromParent_Done,
     /*  355878 */   // Label 6462: @355878
     /*  355878 */   GIM_Try, /*On fail goto*//*Label 6463*/ GIMT_Encode4(355944), // Rule ID 21733 //
     /*  355883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  355886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  355894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  355897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  355900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  355903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  355911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11233:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  355922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  355925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  355936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  355939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  355942 */     GIR_RootConstrainSelectedInstOperands,
     /*  355943 */     // GIR_Coverage, 21733,
     /*  355943 */     GIR_EraseRootFromParent_Done,
     /*  355944 */   // Label 6463: @355944
     /*  355944 */   GIM_Try, /*On fail goto*//*Label 6464*/ GIMT_Encode4(356010), // Rule ID 21736 //
     /*  355949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  355952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  355957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  355960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  355963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  355966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  355969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  355977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  355981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  355988 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  355988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  355991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  355993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  355995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  355997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356008 */     GIR_RootConstrainSelectedInstOperands,
     /*  356009 */     // GIR_Coverage, 21736,
     /*  356009 */     GIR_EraseRootFromParent_Done,
     /*  356010 */   // Label 6464: @356010
     /*  356010 */   GIM_Try, /*On fail goto*//*Label 6465*/ GIMT_Encode4(356076), // Rule ID 21737 //
     /*  356015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  356018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  356026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  356029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  356032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356054 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356074 */     GIR_RootConstrainSelectedInstOperands,
     /*  356075 */     // GIR_Coverage, 21737,
     /*  356075 */     GIR_EraseRootFromParent_Done,
     /*  356076 */   // Label 6465: @356076
     /*  356076 */   GIM_Try, /*On fail goto*//*Label 6466*/ GIMT_Encode4(356142), // Rule ID 21740 //
     /*  356081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  356084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  356092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  356095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  356098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356120 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  356120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356140 */     GIR_RootConstrainSelectedInstOperands,
     /*  356141 */     // GIR_Coverage, 21740,
     /*  356141 */     GIR_EraseRootFromParent_Done,
     /*  356142 */   // Label 6466: @356142
     /*  356142 */   GIM_Try, /*On fail goto*//*Label 6467*/ GIMT_Encode4(356208), // Rule ID 21741 //
     /*  356147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  356150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  356158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  356161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  356164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356186 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  356186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  356203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356206 */     GIR_RootConstrainSelectedInstOperands,
     /*  356207 */     // GIR_Coverage, 21741,
     /*  356207 */     GIR_EraseRootFromParent_Done,
     /*  356208 */   // Label 6467: @356208
     /*  356208 */   GIM_Try, /*On fail goto*//*Label 6468*/ GIMT_Encode4(356274), // Rule ID 21744 //
     /*  356213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  356224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  356227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  356230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  356255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356272 */     GIR_RootConstrainSelectedInstOperands,
     /*  356273 */     // GIR_Coverage, 21744,
     /*  356273 */     GIR_EraseRootFromParent_Done,
     /*  356274 */   // Label 6468: @356274
     /*  356274 */   GIM_Try, /*On fail goto*//*Label 6469*/ GIMT_Encode4(356340), // Rule ID 21745 //
     /*  356279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  356290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  356293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  356296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  356321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356338 */     GIR_RootConstrainSelectedInstOperands,
     /*  356339 */     // GIR_Coverage, 21745,
     /*  356339 */     GIR_EraseRootFromParent_Done,
     /*  356340 */   // Label 6469: @356340
     /*  356340 */   GIM_Try, /*On fail goto*//*Label 6470*/ GIMT_Encode4(356406), // Rule ID 21748 //
     /*  356345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  356356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  356359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  356362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  356387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356404 */     GIR_RootConstrainSelectedInstOperands,
     /*  356405 */     // GIR_Coverage, 21748,
     /*  356405 */     GIR_EraseRootFromParent_Done,
     /*  356406 */   // Label 6470: @356406
     /*  356406 */   GIM_Try, /*On fail goto*//*Label 6471*/ GIMT_Encode4(356472), // Rule ID 21749 //
     /*  356411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  356422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  356425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  356428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356450 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  356453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356470 */     GIR_RootConstrainSelectedInstOperands,
     /*  356471 */     // GIR_Coverage, 21749,
     /*  356471 */     GIR_EraseRootFromParent_Done,
     /*  356472 */   // Label 6471: @356472
     /*  356472 */   GIM_Try, /*On fail goto*//*Label 6472*/ GIMT_Encode4(356538), // Rule ID 21752 //
     /*  356477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  356488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  356491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  356494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356516 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  356519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356536 */     GIR_RootConstrainSelectedInstOperands,
     /*  356537 */     // GIR_Coverage, 21752,
     /*  356537 */     GIR_EraseRootFromParent_Done,
     /*  356538 */   // Label 6472: @356538
     /*  356538 */   GIM_Try, /*On fail goto*//*Label 6473*/ GIMT_Encode4(356604), // Rule ID 21753 //
     /*  356543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  356554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  356557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  356560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11233:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  356585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356602 */     GIR_RootConstrainSelectedInstOperands,
     /*  356603 */     // GIR_Coverage, 21753,
     /*  356603 */     GIR_EraseRootFromParent_Done,
     /*  356604 */   // Label 6473: @356604
     /*  356604 */   GIM_Try, /*On fail goto*//*Label 6474*/ GIMT_Encode4(356670), // Rule ID 21756 //
     /*  356609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  356620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  356623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  356626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356668 */     GIR_RootConstrainSelectedInstOperands,
     /*  356669 */     // GIR_Coverage, 21756,
     /*  356669 */     GIR_EraseRootFromParent_Done,
     /*  356670 */   // Label 6474: @356670
     /*  356670 */   GIM_Try, /*On fail goto*//*Label 6475*/ GIMT_Encode4(356736), // Rule ID 21757 //
     /*  356675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  356686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  356689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  356692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  356703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356714 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  356717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356734 */     GIR_RootConstrainSelectedInstOperands,
     /*  356735 */     // GIR_Coverage, 21757,
     /*  356735 */     GIR_EraseRootFromParent_Done,
     /*  356736 */   // Label 6475: @356736
     /*  356736 */   GIM_Try, /*On fail goto*//*Label 6476*/ GIMT_Encode4(356802), // Rule ID 21760 //
     /*  356741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  356744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  356752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  356755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  356758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  356780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356800 */     GIR_RootConstrainSelectedInstOperands,
     /*  356801 */     // GIR_Coverage, 21760,
     /*  356801 */     GIR_EraseRootFromParent_Done,
     /*  356802 */   // Label 6476: @356802
     /*  356802 */   GIM_Try, /*On fail goto*//*Label 6477*/ GIMT_Encode4(356868), // Rule ID 21761 //
     /*  356807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  356810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  356818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  356821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  356824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  356835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  356839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356846 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  356846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  356849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  356863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356866 */     GIR_RootConstrainSelectedInstOperands,
     /*  356867 */     // GIR_Coverage, 21761,
     /*  356867 */     GIR_EraseRootFromParent_Done,
     /*  356868 */   // Label 6477: @356868
     /*  356868 */   GIM_Try, /*On fail goto*//*Label 6478*/ GIMT_Encode4(356934), // Rule ID 21764 //
     /*  356873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  356876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  356884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  356887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  356890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  356893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  356912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  356915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356932 */     GIR_RootConstrainSelectedInstOperands,
     /*  356933 */     // GIR_Coverage, 21764,
     /*  356933 */     GIR_EraseRootFromParent_Done,
     /*  356934 */   // Label 6478: @356934
     /*  356934 */   GIM_Try, /*On fail goto*//*Label 6479*/ GIMT_Encode4(357000), // Rule ID 21765 //
     /*  356939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  356942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  356947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  356950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  356953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  356956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  356959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  356971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  356978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  356978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  356981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  356983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  356985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  356987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  356992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  356995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  356998 */     GIR_RootConstrainSelectedInstOperands,
     /*  356999 */     // GIR_Coverage, 21765,
     /*  356999 */     GIR_EraseRootFromParent_Done,
     /*  357000 */   // Label 6479: @357000
     /*  357000 */   GIM_Try, /*On fail goto*//*Label 6480*/ GIMT_Encode4(357066), // Rule ID 21768 //
     /*  357005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  357008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  357013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  357016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  357019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  357022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  357044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  357047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357064 */     GIR_RootConstrainSelectedInstOperands,
     /*  357065 */     // GIR_Coverage, 21768,
     /*  357065 */     GIR_EraseRootFromParent_Done,
     /*  357066 */   // Label 6480: @357066
     /*  357066 */   GIM_Try, /*On fail goto*//*Label 6481*/ GIMT_Encode4(357132), // Rule ID 21769 //
     /*  357071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  357074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  357079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  357082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  357085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  357088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357110 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11233:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  357110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  357113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357130 */     GIR_RootConstrainSelectedInstOperands,
     /*  357131 */     // GIR_Coverage, 21769,
     /*  357131 */     GIR_EraseRootFromParent_Done,
     /*  357132 */   // Label 6481: @357132
     /*  357132 */   GIM_Try, /*On fail goto*//*Label 6482*/ GIMT_Encode4(357198), // Rule ID 21772 //
     /*  357137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  357140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  357145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  357148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  357151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  357154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  357176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  357179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357196 */     GIR_RootConstrainSelectedInstOperands,
     /*  357197 */     // GIR_Coverage, 21772,
     /*  357197 */     GIR_EraseRootFromParent_Done,
     /*  357198 */   // Label 6482: @357198
     /*  357198 */   GIM_Try, /*On fail goto*//*Label 6483*/ GIMT_Encode4(357264), // Rule ID 21773 //
     /*  357203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  357206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  357211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  357214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  357217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  357220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11233:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  357242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  357245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357262 */     GIR_RootConstrainSelectedInstOperands,
     /*  357263 */     // GIR_Coverage, 21773,
     /*  357263 */     GIR_EraseRootFromParent_Done,
     /*  357264 */   // Label 6483: @357264
     /*  357264 */   GIM_Try, /*On fail goto*//*Label 6484*/ GIMT_Encode4(357330), // Rule ID 21776 //
     /*  357269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  357272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  357277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  357280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  357283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  357286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  357308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  357311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357328 */     GIR_RootConstrainSelectedInstOperands,
     /*  357329 */     // GIR_Coverage, 21776,
     /*  357329 */     GIR_EraseRootFromParent_Done,
     /*  357330 */   // Label 6484: @357330
     /*  357330 */   GIM_Try, /*On fail goto*//*Label 6485*/ GIMT_Encode4(357396), // Rule ID 21777 //
     /*  357335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  357338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w),
     /*  357343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  357346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  357349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  357352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  357367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357374 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11233:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  357374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  357377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  357391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357394 */     GIR_RootConstrainSelectedInstOperands,
     /*  357395 */     // GIR_Coverage, 21777,
     /*  357395 */     GIR_EraseRootFromParent_Done,
     /*  357396 */   // Label 6485: @357396
     /*  357396 */   GIM_Try, /*On fail goto*//*Label 6486*/ GIMT_Encode4(357462), // Rule ID 21780 //
     /*  357401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  357412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  357415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  357418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357440 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  357443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357460 */     GIR_RootConstrainSelectedInstOperands,
     /*  357461 */     // GIR_Coverage, 21780,
     /*  357461 */     GIR_EraseRootFromParent_Done,
     /*  357462 */   // Label 6486: @357462
     /*  357462 */   GIM_Try, /*On fail goto*//*Label 6487*/ GIMT_Encode4(357528), // Rule ID 21781 //
     /*  357467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  357478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  357481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  357484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357506 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  357509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357526 */     GIR_RootConstrainSelectedInstOperands,
     /*  357527 */     // GIR_Coverage, 21781,
     /*  357527 */     GIR_EraseRootFromParent_Done,
     /*  357528 */   // Label 6487: @357528
     /*  357528 */   GIM_Try, /*On fail goto*//*Label 6488*/ GIMT_Encode4(357594), // Rule ID 21784 //
     /*  357533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  357544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  357547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  357550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357572 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  357575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357592 */     GIR_RootConstrainSelectedInstOperands,
     /*  357593 */     // GIR_Coverage, 21784,
     /*  357593 */     GIR_EraseRootFromParent_Done,
     /*  357594 */   // Label 6488: @357594
     /*  357594 */   GIM_Try, /*On fail goto*//*Label 6489*/ GIMT_Encode4(357660), // Rule ID 21785 //
     /*  357599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  357610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  357613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  357616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357638 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  357641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357658 */     GIR_RootConstrainSelectedInstOperands,
     /*  357659 */     // GIR_Coverage, 21785,
     /*  357659 */     GIR_EraseRootFromParent_Done,
     /*  357660 */   // Label 6489: @357660
     /*  357660 */   GIM_Try, /*On fail goto*//*Label 6490*/ GIMT_Encode4(357726), // Rule ID 21788 //
     /*  357665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  357676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  357679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  357682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357704 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357724 */     GIR_RootConstrainSelectedInstOperands,
     /*  357725 */     // GIR_Coverage, 21788,
     /*  357725 */     GIR_EraseRootFromParent_Done,
     /*  357726 */   // Label 6490: @357726
     /*  357726 */   GIM_Try, /*On fail goto*//*Label 6491*/ GIMT_Encode4(357792), // Rule ID 21789 //
     /*  357731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  357742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  357745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  357748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  357773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357790 */     GIR_RootConstrainSelectedInstOperands,
     /*  357791 */     // GIR_Coverage, 21789,
     /*  357791 */     GIR_EraseRootFromParent_Done,
     /*  357792 */   // Label 6491: @357792
     /*  357792 */   GIM_Try, /*On fail goto*//*Label 6492*/ GIMT_Encode4(357858), // Rule ID 21792 //
     /*  357797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  357808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  357811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  357814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  357839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357856 */     GIR_RootConstrainSelectedInstOperands,
     /*  357857 */     // GIR_Coverage, 21792,
     /*  357857 */     GIR_EraseRootFromParent_Done,
     /*  357858 */   // Label 6492: @357858
     /*  357858 */   GIM_Try, /*On fail goto*//*Label 6493*/ GIMT_Encode4(357924), // Rule ID 21793 //
     /*  357863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  357874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  357877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  357880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  357883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  357891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11231:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  357902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  357905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357922 */     GIR_RootConstrainSelectedInstOperands,
     /*  357923 */     // GIR_Coverage, 21793,
     /*  357923 */     GIR_EraseRootFromParent_Done,
     /*  357924 */   // Label 6493: @357924
     /*  357924 */   GIM_Try, /*On fail goto*//*Label 6494*/ GIMT_Encode4(357990), // Rule ID 21796 //
     /*  357929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  357932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  357937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  357940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  357943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  357946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  357949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  357957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  357961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  357968 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  357968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  357971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  357973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  357975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  357977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  357982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  357985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  357988 */     GIR_RootConstrainSelectedInstOperands,
     /*  357989 */     // GIR_Coverage, 21796,
     /*  357989 */     GIR_EraseRootFromParent_Done,
     /*  357990 */   // Label 6494: @357990
     /*  357990 */   GIM_Try, /*On fail goto*//*Label 6495*/ GIMT_Encode4(358056), // Rule ID 21797 //
     /*  357995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  357998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  358006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  358009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  358012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358054 */     GIR_RootConstrainSelectedInstOperands,
     /*  358055 */     // GIR_Coverage, 21797,
     /*  358055 */     GIR_EraseRootFromParent_Done,
     /*  358056 */   // Label 6495: @358056
     /*  358056 */   GIM_Try, /*On fail goto*//*Label 6496*/ GIMT_Encode4(358122), // Rule ID 21800 //
     /*  358061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  358064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  358072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  358075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  358078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358100 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  358100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358120 */     GIR_RootConstrainSelectedInstOperands,
     /*  358121 */     // GIR_Coverage, 21800,
     /*  358121 */     GIR_EraseRootFromParent_Done,
     /*  358122 */   // Label 6496: @358122
     /*  358122 */   GIM_Try, /*On fail goto*//*Label 6497*/ GIMT_Encode4(358188), // Rule ID 21801 //
     /*  358127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  358130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  358138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  358141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  358144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358166 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  358166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  358183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358186 */     GIR_RootConstrainSelectedInstOperands,
     /*  358187 */     // GIR_Coverage, 21801,
     /*  358187 */     GIR_EraseRootFromParent_Done,
     /*  358188 */   // Label 6497: @358188
     /*  358188 */   GIM_Try, /*On fail goto*//*Label 6498*/ GIMT_Encode4(358254), // Rule ID 21804 //
     /*  358193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  358196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  358204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  358207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  358210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358232 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  358235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358252 */     GIR_RootConstrainSelectedInstOperands,
     /*  358253 */     // GIR_Coverage, 21804,
     /*  358253 */     GIR_EraseRootFromParent_Done,
     /*  358254 */   // Label 6498: @358254
     /*  358254 */   GIM_Try, /*On fail goto*//*Label 6499*/ GIMT_Encode4(358320), // Rule ID 21805 //
     /*  358259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  358270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  358273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  358276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358298 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  358301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358318 */     GIR_RootConstrainSelectedInstOperands,
     /*  358319 */     // GIR_Coverage, 21805,
     /*  358319 */     GIR_EraseRootFromParent_Done,
     /*  358320 */   // Label 6499: @358320
     /*  358320 */   GIM_Try, /*On fail goto*//*Label 6500*/ GIMT_Encode4(358386), // Rule ID 21808 //
     /*  358325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  358328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  358336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  358339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  358342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  358367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358384 */     GIR_RootConstrainSelectedInstOperands,
     /*  358385 */     // GIR_Coverage, 21808,
     /*  358385 */     GIR_EraseRootFromParent_Done,
     /*  358386 */   // Label 6500: @358386
     /*  358386 */   GIM_Try, /*On fail goto*//*Label 6501*/ GIMT_Encode4(358452), // Rule ID 21809 //
     /*  358391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  358402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  358405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  358408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  358433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358450 */     GIR_RootConstrainSelectedInstOperands,
     /*  358451 */     // GIR_Coverage, 21809,
     /*  358451 */     GIR_EraseRootFromParent_Done,
     /*  358452 */   // Label 6501: @358452
     /*  358452 */   GIM_Try, /*On fail goto*//*Label 6502*/ GIMT_Encode4(358518), // Rule ID 21812 //
     /*  358457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  358460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  358468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  358471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  358474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  358499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358516 */     GIR_RootConstrainSelectedInstOperands,
     /*  358517 */     // GIR_Coverage, 21812,
     /*  358517 */     GIR_EraseRootFromParent_Done,
     /*  358518 */   // Label 6502: @358518
     /*  358518 */   GIM_Try, /*On fail goto*//*Label 6503*/ GIMT_Encode4(358584), // Rule ID 21813 //
     /*  358523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  358534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  358537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  358540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358562 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11231:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  358565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358582 */     GIR_RootConstrainSelectedInstOperands,
     /*  358583 */     // GIR_Coverage, 21813,
     /*  358583 */     GIR_EraseRootFromParent_Done,
     /*  358584 */   // Label 6503: @358584
     /*  358584 */   GIM_Try, /*On fail goto*//*Label 6504*/ GIMT_Encode4(358650), // Rule ID 21816 //
     /*  358589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  358592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  358600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  358603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  358606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358628 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358648 */     GIR_RootConstrainSelectedInstOperands,
     /*  358649 */     // GIR_Coverage, 21816,
     /*  358649 */     GIR_EraseRootFromParent_Done,
     /*  358650 */   // Label 6504: @358650
     /*  358650 */   GIM_Try, /*On fail goto*//*Label 6505*/ GIMT_Encode4(358716), // Rule ID 21817 //
     /*  358655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  358666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  358669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  358672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  358683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  358697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358714 */     GIR_RootConstrainSelectedInstOperands,
     /*  358715 */     // GIR_Coverage, 21817,
     /*  358715 */     GIR_EraseRootFromParent_Done,
     /*  358716 */   // Label 6505: @358716
     /*  358716 */   GIM_Try, /*On fail goto*//*Label 6506*/ GIMT_Encode4(358782), // Rule ID 21820 //
     /*  358721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  358724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  358732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  358735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  358738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358760 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  358760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358780 */     GIR_RootConstrainSelectedInstOperands,
     /*  358781 */     // GIR_Coverage, 21820,
     /*  358781 */     GIR_EraseRootFromParent_Done,
     /*  358782 */   // Label 6506: @358782
     /*  358782 */   GIM_Try, /*On fail goto*//*Label 6507*/ GIMT_Encode4(358848), // Rule ID 21821 //
     /*  358787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  358790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  358798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  358801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  358804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  358815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  358819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  358826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  358829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  358843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358846 */     GIR_RootConstrainSelectedInstOperands,
     /*  358847 */     // GIR_Coverage, 21821,
     /*  358847 */     GIR_EraseRootFromParent_Done,
     /*  358848 */   // Label 6507: @358848
     /*  358848 */   GIM_Try, /*On fail goto*//*Label 6508*/ GIMT_Encode4(358914), // Rule ID 21824 //
     /*  358853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  358864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  358867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  358870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  358873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  358892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  358895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358912 */     GIR_RootConstrainSelectedInstOperands,
     /*  358913 */     // GIR_Coverage, 21824,
     /*  358913 */     GIR_EraseRootFromParent_Done,
     /*  358914 */   // Label 6508: @358914
     /*  358914 */   GIM_Try, /*On fail goto*//*Label 6509*/ GIMT_Encode4(358980), // Rule ID 21825 //
     /*  358919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  358922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  358930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  358933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  358936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  358939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  358951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  358958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  358958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  358961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  358963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  358965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  358967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  358972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  358975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  358978 */     GIR_RootConstrainSelectedInstOperands,
     /*  358979 */     // GIR_Coverage, 21825,
     /*  358979 */     GIR_EraseRootFromParent_Done,
     /*  358980 */   // Label 6509: @358980
     /*  358980 */   GIM_Try, /*On fail goto*//*Label 6510*/ GIMT_Encode4(359046), // Rule ID 21828 //
     /*  358985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  358988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  358993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  358996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  358999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  359002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359024 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  359027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359044 */     GIR_RootConstrainSelectedInstOperands,
     /*  359045 */     // GIR_Coverage, 21828,
     /*  359045 */     GIR_EraseRootFromParent_Done,
     /*  359046 */   // Label 6510: @359046
     /*  359046 */   GIM_Try, /*On fail goto*//*Label 6511*/ GIMT_Encode4(359112), // Rule ID 21829 //
     /*  359051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  359054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  359059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  359062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  359065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  359068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359090 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11231:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  359093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359110 */     GIR_RootConstrainSelectedInstOperands,
     /*  359111 */     // GIR_Coverage, 21829,
     /*  359111 */     GIR_EraseRootFromParent_Done,
     /*  359112 */   // Label 6511: @359112
     /*  359112 */   GIM_Try, /*On fail goto*//*Label 6512*/ GIMT_Encode4(359178), // Rule ID 21832 //
     /*  359117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  359120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  359125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  359128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  359131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  359134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  359159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359176 */     GIR_RootConstrainSelectedInstOperands,
     /*  359177 */     // GIR_Coverage, 21832,
     /*  359177 */     GIR_EraseRootFromParent_Done,
     /*  359178 */   // Label 6512: @359178
     /*  359178 */   GIM_Try, /*On fail goto*//*Label 6513*/ GIMT_Encode4(359244), // Rule ID 21833 //
     /*  359183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  359186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  359191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  359194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  359197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  359200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11231:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  359225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359242 */     GIR_RootConstrainSelectedInstOperands,
     /*  359243 */     // GIR_Coverage, 21833,
     /*  359243 */     GIR_EraseRootFromParent_Done,
     /*  359244 */   // Label 6513: @359244
     /*  359244 */   GIM_Try, /*On fail goto*//*Label 6514*/ GIMT_Encode4(359310), // Rule ID 21836 //
     /*  359249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  359252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  359257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  359260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  359263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  359266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  359288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  359291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359308 */     GIR_RootConstrainSelectedInstOperands,
     /*  359309 */     // GIR_Coverage, 21836,
     /*  359309 */     GIR_EraseRootFromParent_Done,
     /*  359310 */   // Label 6514: @359310
     /*  359310 */   GIM_Try, /*On fail goto*//*Label 6515*/ GIMT_Encode4(359376), // Rule ID 21837 //
     /*  359315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  359318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w),
     /*  359323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  359326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  359329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  359332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11231:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  359354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  359357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  359371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359374 */     GIR_RootConstrainSelectedInstOperands,
     /*  359375 */     // GIR_Coverage, 21837,
     /*  359375 */     GIR_EraseRootFromParent_Done,
     /*  359376 */   // Label 6515: @359376
     /*  359376 */   GIM_Try, /*On fail goto*//*Label 6516*/ GIMT_Encode4(359442), // Rule ID 21948 //
     /*  359381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  359392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  359395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  359398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359420 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  359423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359440 */     GIR_RootConstrainSelectedInstOperands,
     /*  359441 */     // GIR_Coverage, 21948,
     /*  359441 */     GIR_EraseRootFromParent_Done,
     /*  359442 */   // Label 6516: @359442
     /*  359442 */   GIM_Try, /*On fail goto*//*Label 6517*/ GIMT_Encode4(359508), // Rule ID 21949 //
     /*  359447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  359458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  359461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  359464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359486 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16),
     /*  359489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359506 */     GIR_RootConstrainSelectedInstOperands,
     /*  359507 */     // GIR_Coverage, 21949,
     /*  359507 */     GIR_EraseRootFromParent_Done,
     /*  359508 */   // Label 6517: @359508
     /*  359508 */   GIM_Try, /*On fail goto*//*Label 6518*/ GIMT_Encode4(359574), // Rule ID 21952 //
     /*  359513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  359524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  359527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  359530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359552 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  359555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359572 */     GIR_RootConstrainSelectedInstOperands,
     /*  359573 */     // GIR_Coverage, 21952,
     /*  359573 */     GIR_EraseRootFromParent_Done,
     /*  359574 */   // Label 6518: @359574
     /*  359574 */   GIM_Try, /*On fail goto*//*Label 6519*/ GIMT_Encode4(359640), // Rule ID 21953 //
     /*  359579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  359590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  359593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  359596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359618 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16),
     /*  359621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359638 */     GIR_RootConstrainSelectedInstOperands,
     /*  359639 */     // GIR_Coverage, 21953,
     /*  359639 */     GIR_EraseRootFromParent_Done,
     /*  359640 */   // Label 6519: @359640
     /*  359640 */   GIM_Try, /*On fail goto*//*Label 6520*/ GIMT_Encode4(359706), // Rule ID 21956 //
     /*  359645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  359656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  359659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  359662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359684 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  359687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359704 */     GIR_RootConstrainSelectedInstOperands,
     /*  359705 */     // GIR_Coverage, 21956,
     /*  359705 */     GIR_EraseRootFromParent_Done,
     /*  359706 */   // Label 6520: @359706
     /*  359706 */   GIM_Try, /*On fail goto*//*Label 6521*/ GIMT_Encode4(359772), // Rule ID 21957 //
     /*  359711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  359722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  359725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  359728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  359739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359750 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11229:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16),
     /*  359753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359770 */     GIR_RootConstrainSelectedInstOperands,
     /*  359771 */     // GIR_Coverage, 21957,
     /*  359771 */     GIR_EraseRootFromParent_Done,
     /*  359772 */   // Label 6521: @359772
     /*  359772 */   GIM_Try, /*On fail goto*//*Label 6522*/ GIMT_Encode4(359838), // Rule ID 21960 //
     /*  359777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  359788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  359791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  359794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359816 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  359819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359836 */     GIR_RootConstrainSelectedInstOperands,
     /*  359837 */     // GIR_Coverage, 21960,
     /*  359837 */     GIR_EraseRootFromParent_Done,
     /*  359838 */   // Label 6522: @359838
     /*  359838 */   GIM_Try, /*On fail goto*//*Label 6523*/ GIMT_Encode4(359904), // Rule ID 21961 //
     /*  359843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  359854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  359857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  359860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  359871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359882 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  359882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16),
     /*  359885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359902 */     GIR_RootConstrainSelectedInstOperands,
     /*  359903 */     // GIR_Coverage, 21961,
     /*  359903 */     GIR_EraseRootFromParent_Done,
     /*  359904 */   // Label 6523: @359904
     /*  359904 */   GIM_Try, /*On fail goto*//*Label 6524*/ GIMT_Encode4(359970), // Rule ID 21964 //
     /*  359909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  359912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  359920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  359923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  359926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  359929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  359941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  359948 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  359948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  359951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  359953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  359955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  359957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  359962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  359965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  359968 */     GIR_RootConstrainSelectedInstOperands,
     /*  359969 */     // GIR_Coverage, 21964,
     /*  359969 */     GIR_EraseRootFromParent_Done,
     /*  359970 */   // Label 6524: @359970
     /*  359970 */   GIM_Try, /*On fail goto*//*Label 6525*/ GIMT_Encode4(360036), // Rule ID 21965 //
     /*  359975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  359978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  359983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  359986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  359989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  359992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  359995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  359999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360014 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  360014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16),
     /*  360017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  360031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360034 */     GIR_RootConstrainSelectedInstOperands,
     /*  360035 */     // GIR_Coverage, 21965,
     /*  360035 */     GIR_EraseRootFromParent_Done,
     /*  360036 */   // Label 6525: @360036
     /*  360036 */   GIM_Try, /*On fail goto*//*Label 6526*/ GIMT_Encode4(360102), // Rule ID 21968 //
     /*  360041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  360044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  360052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  360055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  360058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360080 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  360080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  360083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360100 */     GIR_RootConstrainSelectedInstOperands,
     /*  360101 */     // GIR_Coverage, 21968,
     /*  360101 */     GIR_EraseRootFromParent_Done,
     /*  360102 */   // Label 6526: @360102
     /*  360102 */   GIM_Try, /*On fail goto*//*Label 6527*/ GIMT_Encode4(360168), // Rule ID 21969 //
     /*  360107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  360110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  360118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  360121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  360124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360146 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32),
     /*  360149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360166 */     GIR_RootConstrainSelectedInstOperands,
     /*  360167 */     // GIR_Coverage, 21969,
     /*  360167 */     GIR_EraseRootFromParent_Done,
     /*  360168 */   // Label 6527: @360168
     /*  360168 */   GIM_Try, /*On fail goto*//*Label 6528*/ GIMT_Encode4(360234), // Rule ID 21972 //
     /*  360173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  360176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  360184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  360187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  360190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360212 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  360212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  360215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360232 */     GIR_RootConstrainSelectedInstOperands,
     /*  360233 */     // GIR_Coverage, 21972,
     /*  360233 */     GIR_EraseRootFromParent_Done,
     /*  360234 */   // Label 6528: @360234
     /*  360234 */   GIM_Try, /*On fail goto*//*Label 6529*/ GIMT_Encode4(360300), // Rule ID 21973 //
     /*  360239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  360242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  360250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  360253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  360256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360278 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11229:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32),
     /*  360281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360298 */     GIR_RootConstrainSelectedInstOperands,
     /*  360299 */     // GIR_Coverage, 21973,
     /*  360299 */     GIR_EraseRootFromParent_Done,
     /*  360300 */   // Label 6529: @360300
     /*  360300 */   GIM_Try, /*On fail goto*//*Label 6530*/ GIMT_Encode4(360366), // Rule ID 21976 //
     /*  360305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  360308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  360316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  360319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  360322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360344 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  360344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  360347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360364 */     GIR_RootConstrainSelectedInstOperands,
     /*  360365 */     // GIR_Coverage, 21976,
     /*  360365 */     GIR_EraseRootFromParent_Done,
     /*  360366 */   // Label 6530: @360366
     /*  360366 */   GIM_Try, /*On fail goto*//*Label 6531*/ GIMT_Encode4(360432), // Rule ID 21977 //
     /*  360371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  360374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  360382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  360385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  360388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  360399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360410 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11229:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32),
     /*  360413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360430 */     GIR_RootConstrainSelectedInstOperands,
     /*  360431 */     // GIR_Coverage, 21977,
     /*  360431 */     GIR_EraseRootFromParent_Done,
     /*  360432 */   // Label 6531: @360432
     /*  360432 */   GIM_Try, /*On fail goto*//*Label 6532*/ GIMT_Encode4(360498), // Rule ID 21980 //
     /*  360437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  360440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  360448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  360451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  360454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360476 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  360476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  360479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360496 */     GIR_RootConstrainSelectedInstOperands,
     /*  360497 */     // GIR_Coverage, 21980,
     /*  360497 */     GIR_EraseRootFromParent_Done,
     /*  360498 */   // Label 6532: @360498
     /*  360498 */   GIM_Try, /*On fail goto*//*Label 6533*/ GIMT_Encode4(360564), // Rule ID 21981 //
     /*  360503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  360506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w),
     /*  360511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  360514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  360517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  360520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  360531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  360535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11229:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  360542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32),
     /*  360545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  360549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  360559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360562 */     GIR_RootConstrainSelectedInstOperands,
     /*  360563 */     // GIR_Coverage, 21981,
     /*  360563 */     GIR_EraseRootFromParent_Done,
     /*  360564 */   // Label 6533: @360564
     /*  360564 */   GIM_Try, /*On fail goto*//*Label 6534*/ GIMT_Encode4(360627), // Rule ID 23152 //
     /*  360569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360608 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  360611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360625 */     GIR_RootConstrainSelectedInstOperands,
     /*  360626 */     // GIR_Coverage, 23152,
     /*  360626 */     GIR_EraseRootFromParent_Done,
     /*  360627 */   // Label 6534: @360627
     /*  360627 */   GIM_Try, /*On fail goto*//*Label 6535*/ GIMT_Encode4(360690), // Rule ID 23153 //
     /*  360632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  360643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  360646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  360649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360671 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B32),
     /*  360674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360688 */     GIR_RootConstrainSelectedInstOperands,
     /*  360689 */     // GIR_Coverage, 23153,
     /*  360689 */     GIR_EraseRootFromParent_Done,
     /*  360690 */   // Label 6535: @360690
     /*  360690 */   GIM_Try, /*On fail goto*//*Label 6536*/ GIMT_Encode4(360753), // Rule ID 23154 //
     /*  360695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  360737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360751 */     GIR_RootConstrainSelectedInstOperands,
     /*  360752 */     // GIR_Coverage, 23154,
     /*  360752 */     GIR_EraseRootFromParent_Done,
     /*  360753 */   // Label 6536: @360753
     /*  360753 */   GIM_Try, /*On fail goto*//*Label 6537*/ GIMT_Encode4(360816), // Rule ID 23155 //
     /*  360758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  360769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  360772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  360775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360797 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B16),
     /*  360800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360814 */     GIR_RootConstrainSelectedInstOperands,
     /*  360815 */     // GIR_Coverage, 23155,
     /*  360815 */     GIR_EraseRootFromParent_Done,
     /*  360816 */   // Label 6537: @360816
     /*  360816 */   GIM_Try, /*On fail goto*//*Label 6538*/ GIMT_Encode4(360879), // Rule ID 23156 //
     /*  360821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360860 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  360863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360877 */     GIR_RootConstrainSelectedInstOperands,
     /*  360878 */     // GIR_Coverage, 23156,
     /*  360878 */     GIR_EraseRootFromParent_Done,
     /*  360879 */   // Label 6538: @360879
     /*  360879 */   GIM_Try, /*On fail goto*//*Label 6539*/ GIMT_Encode4(360942), // Rule ID 23157 //
     /*  360884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  360887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  360895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  360898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  360901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  360904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360923 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  360923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B8),
     /*  360926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  360937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  360940 */     GIR_RootConstrainSelectedInstOperands,
     /*  360941 */     // GIR_Coverage, 23157,
     /*  360941 */     GIR_EraseRootFromParent_Done,
     /*  360942 */   // Label 6539: @360942
     /*  360942 */   GIM_Try, /*On fail goto*//*Label 6540*/ GIMT_Encode4(361005), // Rule ID 23158 //
     /*  360947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  360950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  360955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  360958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  360961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  360964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  360967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  360979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  360986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  360986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  360989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  360991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  360993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  360995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361003 */     GIR_RootConstrainSelectedInstOperands,
     /*  361004 */     // GIR_Coverage, 23158,
     /*  361004 */     GIR_EraseRootFromParent_Done,
     /*  361005 */   // Label 6540: @361005
     /*  361005 */   GIM_Try, /*On fail goto*//*Label 6541*/ GIMT_Encode4(361068), // Rule ID 23159 //
     /*  361010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  361018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361049 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B4),
     /*  361052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361066 */     GIR_RootConstrainSelectedInstOperands,
     /*  361067 */     // GIR_Coverage, 23159,
     /*  361067 */     GIR_EraseRootFromParent_Done,
     /*  361068 */   // Label 6541: @361068
     /*  361068 */   GIM_Try, /*On fail goto*//*Label 6542*/ GIMT_Encode4(361131), // Rule ID 23160 //
     /*  361073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  361081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361112 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  361115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361129 */     GIR_RootConstrainSelectedInstOperands,
     /*  361130 */     // GIR_Coverage, 23160,
     /*  361130 */     GIR_EraseRootFromParent_Done,
     /*  361131 */   // Label 6542: @361131
     /*  361131 */   GIM_Try, /*On fail goto*//*Label 6543*/ GIMT_Encode4(361194), // Rule ID 23161 //
     /*  361136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  361144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361175 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B2),
     /*  361178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361192 */     GIR_RootConstrainSelectedInstOperands,
     /*  361193 */     // GIR_Coverage, 23161,
     /*  361193 */     GIR_EraseRootFromParent_Done,
     /*  361194 */   // Label 6543: @361194
     /*  361194 */   GIM_Try, /*On fail goto*//*Label 6544*/ GIMT_Encode4(361257), // Rule ID 23162 //
     /*  361199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  361207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361238 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  361241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361255 */     GIR_RootConstrainSelectedInstOperands,
     /*  361256 */     // GIR_Coverage, 23162,
     /*  361256 */     GIR_EraseRootFromParent_Done,
     /*  361257 */   // Label 6544: @361257
     /*  361257 */   GIM_Try, /*On fail goto*//*Label 6545*/ GIMT_Encode4(361320), // Rule ID 23163 //
     /*  361262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmand),
     /*  361270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  361273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  361276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  361279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361301 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11412:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAND_MM_B1),
     /*  361304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361318 */     GIR_RootConstrainSelectedInstOperands,
     /*  361319 */     // GIR_Coverage, 23163,
     /*  361319 */     GIR_EraseRootFromParent_Done,
     /*  361320 */   // Label 6545: @361320
     /*  361320 */   GIM_Try, /*On fail goto*//*Label 6546*/ GIMT_Encode4(361383), // Rule ID 23164 //
     /*  361325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361364 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  361367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361381 */     GIR_RootConstrainSelectedInstOperands,
     /*  361382 */     // GIR_Coverage, 23164,
     /*  361382 */     GIR_EraseRootFromParent_Done,
     /*  361383 */   // Label 6546: @361383
     /*  361383 */   GIM_Try, /*On fail goto*//*Label 6547*/ GIMT_Encode4(361446), // Rule ID 23165 //
     /*  361388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  361399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  361402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  361405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361427 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B64),
     /*  361430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361444 */     GIR_RootConstrainSelectedInstOperands,
     /*  361445 */     // GIR_Coverage, 23165,
     /*  361445 */     GIR_EraseRootFromParent_Done,
     /*  361446 */   // Label 6547: @361446
     /*  361446 */   GIM_Try, /*On fail goto*//*Label 6548*/ GIMT_Encode4(361509), // Rule ID 23166 //
     /*  361451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361490 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  361493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361507 */     GIR_RootConstrainSelectedInstOperands,
     /*  361508 */     // GIR_Coverage, 23166,
     /*  361508 */     GIR_EraseRootFromParent_Done,
     /*  361509 */   // Label 6548: @361509
     /*  361509 */   GIM_Try, /*On fail goto*//*Label 6549*/ GIMT_Encode4(361572), // Rule ID 23167 //
     /*  361514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  361525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  361528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  361531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361553 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B32),
     /*  361556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361570 */     GIR_RootConstrainSelectedInstOperands,
     /*  361571 */     // GIR_Coverage, 23167,
     /*  361571 */     GIR_EraseRootFromParent_Done,
     /*  361572 */   // Label 6549: @361572
     /*  361572 */   GIM_Try, /*On fail goto*//*Label 6550*/ GIMT_Encode4(361635), // Rule ID 23168 //
     /*  361577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361616 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  361619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361633 */     GIR_RootConstrainSelectedInstOperands,
     /*  361634 */     // GIR_Coverage, 23168,
     /*  361634 */     GIR_EraseRootFromParent_Done,
     /*  361635 */   // Label 6550: @361635
     /*  361635 */   GIM_Try, /*On fail goto*//*Label 6551*/ GIMT_Encode4(361698), // Rule ID 23169 //
     /*  361640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  361651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  361654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  361657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361679 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B16),
     /*  361682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361696 */     GIR_RootConstrainSelectedInstOperands,
     /*  361697 */     // GIR_Coverage, 23169,
     /*  361697 */     GIR_EraseRootFromParent_Done,
     /*  361698 */   // Label 6551: @361698
     /*  361698 */   GIM_Try, /*On fail goto*//*Label 6552*/ GIMT_Encode4(361761), // Rule ID 23170 //
     /*  361703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361742 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  361745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361759 */     GIR_RootConstrainSelectedInstOperands,
     /*  361760 */     // GIR_Coverage, 23170,
     /*  361760 */     GIR_EraseRootFromParent_Done,
     /*  361761 */   // Label 6552: @361761
     /*  361761 */   GIM_Try, /*On fail goto*//*Label 6553*/ GIMT_Encode4(361824), // Rule ID 23171 //
     /*  361766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  361777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  361780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  361783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361805 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B8),
     /*  361808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361822 */     GIR_RootConstrainSelectedInstOperands,
     /*  361823 */     // GIR_Coverage, 23171,
     /*  361823 */     GIR_EraseRootFromParent_Done,
     /*  361824 */   // Label 6553: @361824
     /*  361824 */   GIM_Try, /*On fail goto*//*Label 6554*/ GIMT_Encode4(361887), // Rule ID 23172 //
     /*  361829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  361871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361885 */     GIR_RootConstrainSelectedInstOperands,
     /*  361886 */     // GIR_Coverage, 23172,
     /*  361886 */     GIR_EraseRootFromParent_Done,
     /*  361887 */   // Label 6554: @361887
     /*  361887 */   GIM_Try, /*On fail goto*//*Label 6555*/ GIMT_Encode4(361950), // Rule ID 23173 //
     /*  361892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  361895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  361903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  361906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  361909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  361912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361931 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  361931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B4),
     /*  361934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  361938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  361940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  361945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  361948 */     GIR_RootConstrainSelectedInstOperands,
     /*  361949 */     // GIR_Coverage, 23173,
     /*  361949 */     GIR_EraseRootFromParent_Done,
     /*  361950 */   // Label 6555: @361950
     /*  361950 */   GIM_Try, /*On fail goto*//*Label 6556*/ GIMT_Encode4(362013), // Rule ID 23174 //
     /*  361955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  361958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  361963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  361966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  361969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  361972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  361975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  361987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  361994 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  361994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  361997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  361999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362011 */     GIR_RootConstrainSelectedInstOperands,
     /*  362012 */     // GIR_Coverage, 23174,
     /*  362012 */     GIR_EraseRootFromParent_Done,
     /*  362013 */   // Label 6556: @362013
     /*  362013 */   GIM_Try, /*On fail goto*//*Label 6557*/ GIMT_Encode4(362076), // Rule ID 23175 //
     /*  362018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  362026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362057 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B2),
     /*  362060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362074 */     GIR_RootConstrainSelectedInstOperands,
     /*  362075 */     // GIR_Coverage, 23175,
     /*  362075 */     GIR_EraseRootFromParent_Done,
     /*  362076 */   // Label 6557: @362076
     /*  362076 */   GIM_Try, /*On fail goto*//*Label 6558*/ GIMT_Encode4(362139), // Rule ID 23176 //
     /*  362081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  362089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362120 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  362123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362137 */     GIR_RootConstrainSelectedInstOperands,
     /*  362138 */     // GIR_Coverage, 23176,
     /*  362138 */     GIR_EraseRootFromParent_Done,
     /*  362139 */   // Label 6558: @362139
     /*  362139 */   GIM_Try, /*On fail goto*//*Label 6559*/ GIMT_Encode4(362202), // Rule ID 23177 //
     /*  362144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnand),
     /*  362152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362183 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11436:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNAND_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNAND_MM_B1),
     /*  362186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362200 */     GIR_RootConstrainSelectedInstOperands,
     /*  362201 */     // GIR_Coverage, 23177,
     /*  362201 */     GIR_EraseRootFromParent_Done,
     /*  362202 */   // Label 6559: @362202
     /*  362202 */   GIM_Try, /*On fail goto*//*Label 6560*/ GIMT_Encode4(362265), // Rule ID 23178 //
     /*  362207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  362218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362246 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  362249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362263 */     GIR_RootConstrainSelectedInstOperands,
     /*  362264 */     // GIR_Coverage, 23178,
     /*  362264 */     GIR_EraseRootFromParent_Done,
     /*  362265 */   // Label 6560: @362265
     /*  362265 */   GIM_Try, /*On fail goto*//*Label 6561*/ GIMT_Encode4(362328), // Rule ID 23179 //
     /*  362270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  362281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  362284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  362287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362309 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B64),
     /*  362312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362326 */     GIR_RootConstrainSelectedInstOperands,
     /*  362327 */     // GIR_Coverage, 23179,
     /*  362327 */     GIR_EraseRootFromParent_Done,
     /*  362328 */   // Label 6561: @362328
     /*  362328 */   GIM_Try, /*On fail goto*//*Label 6562*/ GIMT_Encode4(362391), // Rule ID 23180 //
     /*  362333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  362344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362372 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  362375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362389 */     GIR_RootConstrainSelectedInstOperands,
     /*  362390 */     // GIR_Coverage, 23180,
     /*  362390 */     GIR_EraseRootFromParent_Done,
     /*  362391 */   // Label 6562: @362391
     /*  362391 */   GIM_Try, /*On fail goto*//*Label 6563*/ GIMT_Encode4(362454), // Rule ID 23181 //
     /*  362396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  362407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  362410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  362413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362435 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B32),
     /*  362438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362452 */     GIR_RootConstrainSelectedInstOperands,
     /*  362453 */     // GIR_Coverage, 23181,
     /*  362453 */     GIR_EraseRootFromParent_Done,
     /*  362454 */   // Label 6563: @362454
     /*  362454 */   GIM_Try, /*On fail goto*//*Label 6564*/ GIMT_Encode4(362517), // Rule ID 23182 //
     /*  362459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362498 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  362501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362515 */     GIR_RootConstrainSelectedInstOperands,
     /*  362516 */     // GIR_Coverage, 23182,
     /*  362516 */     GIR_EraseRootFromParent_Done,
     /*  362517 */   // Label 6564: @362517
     /*  362517 */   GIM_Try, /*On fail goto*//*Label 6565*/ GIMT_Encode4(362580), // Rule ID 23183 //
     /*  362522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  362533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  362536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  362539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362561 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B16),
     /*  362564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362578 */     GIR_RootConstrainSelectedInstOperands,
     /*  362579 */     // GIR_Coverage, 23183,
     /*  362579 */     GIR_EraseRootFromParent_Done,
     /*  362580 */   // Label 6565: @362580
     /*  362580 */   GIM_Try, /*On fail goto*//*Label 6566*/ GIMT_Encode4(362643), // Rule ID 23184 //
     /*  362585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362624 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  362627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362641 */     GIR_RootConstrainSelectedInstOperands,
     /*  362642 */     // GIR_Coverage, 23184,
     /*  362642 */     GIR_EraseRootFromParent_Done,
     /*  362643 */   // Label 6566: @362643
     /*  362643 */   GIM_Try, /*On fail goto*//*Label 6567*/ GIMT_Encode4(362706), // Rule ID 23185 //
     /*  362648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  362659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  362662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  362665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362687 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B8),
     /*  362690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362704 */     GIR_RootConstrainSelectedInstOperands,
     /*  362705 */     // GIR_Coverage, 23185,
     /*  362705 */     GIR_EraseRootFromParent_Done,
     /*  362706 */   // Label 6567: @362706
     /*  362706 */   GIM_Try, /*On fail goto*//*Label 6568*/ GIMT_Encode4(362769), // Rule ID 23186 //
     /*  362711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  362753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362767 */     GIR_RootConstrainSelectedInstOperands,
     /*  362768 */     // GIR_Coverage, 23186,
     /*  362768 */     GIR_EraseRootFromParent_Done,
     /*  362769 */   // Label 6568: @362769
     /*  362769 */   GIM_Try, /*On fail goto*//*Label 6569*/ GIMT_Encode4(362832), // Rule ID 23187 //
     /*  362774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  362785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  362788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  362791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362813 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B4),
     /*  362816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362830 */     GIR_RootConstrainSelectedInstOperands,
     /*  362831 */     // GIR_Coverage, 23187,
     /*  362831 */     GIR_EraseRootFromParent_Done,
     /*  362832 */   // Label 6569: @362832
     /*  362832 */   GIM_Try, /*On fail goto*//*Label 6570*/ GIMT_Encode4(362895), // Rule ID 23188 //
     /*  362837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362876 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  362876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  362879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362893 */     GIR_RootConstrainSelectedInstOperands,
     /*  362894 */     // GIR_Coverage, 23188,
     /*  362894 */     GIR_EraseRootFromParent_Done,
     /*  362895 */   // Label 6570: @362895
     /*  362895 */   GIM_Try, /*On fail goto*//*Label 6571*/ GIMT_Encode4(362958), // Rule ID 23189 //
     /*  362900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  362903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  362911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  362914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  362917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  362920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  362939 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  362939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B2),
     /*  362942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  362944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  362946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  362948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  362953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  362956 */     GIR_RootConstrainSelectedInstOperands,
     /*  362957 */     // GIR_Coverage, 23189,
     /*  362957 */     GIR_EraseRootFromParent_Done,
     /*  362958 */   // Label 6571: @362958
     /*  362958 */   GIM_Try, /*On fail goto*//*Label 6572*/ GIMT_Encode4(363021), // Rule ID 23190 //
     /*  362963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  362966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  362971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  362974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  362977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  362980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  362983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  362995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363002 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  363005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363019 */     GIR_RootConstrainSelectedInstOperands,
     /*  363020 */     // GIR_Coverage, 23190,
     /*  363020 */     GIR_EraseRootFromParent_Done,
     /*  363021 */   // Label 6572: @363021
     /*  363021 */   GIM_Try, /*On fail goto*//*Label 6573*/ GIMT_Encode4(363084), // Rule ID 23191 //
     /*  363026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmandn),
     /*  363034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363065 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11413:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMANDN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMANDN_MM_B1),
     /*  363068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363082 */     GIR_RootConstrainSelectedInstOperands,
     /*  363083 */     // GIR_Coverage, 23191,
     /*  363083 */     GIR_EraseRootFromParent_Done,
     /*  363084 */   // Label 6573: @363084
     /*  363084 */   GIM_Try, /*On fail goto*//*Label 6574*/ GIMT_Encode4(363147), // Rule ID 23192 //
     /*  363089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  363100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363128 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  363131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363145 */     GIR_RootConstrainSelectedInstOperands,
     /*  363146 */     // GIR_Coverage, 23192,
     /*  363146 */     GIR_EraseRootFromParent_Done,
     /*  363147 */   // Label 6574: @363147
     /*  363147 */   GIM_Try, /*On fail goto*//*Label 6575*/ GIMT_Encode4(363210), // Rule ID 23193 //
     /*  363152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  363163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363191 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B64),
     /*  363194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363208 */     GIR_RootConstrainSelectedInstOperands,
     /*  363209 */     // GIR_Coverage, 23193,
     /*  363209 */     GIR_EraseRootFromParent_Done,
     /*  363210 */   // Label 6575: @363210
     /*  363210 */   GIM_Try, /*On fail goto*//*Label 6576*/ GIMT_Encode4(363273), // Rule ID 23194 //
     /*  363215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  363226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363254 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  363257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363271 */     GIR_RootConstrainSelectedInstOperands,
     /*  363272 */     // GIR_Coverage, 23194,
     /*  363272 */     GIR_EraseRootFromParent_Done,
     /*  363273 */   // Label 6576: @363273
     /*  363273 */   GIM_Try, /*On fail goto*//*Label 6577*/ GIMT_Encode4(363336), // Rule ID 23195 //
     /*  363278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  363289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  363292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  363295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363317 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B32),
     /*  363320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363334 */     GIR_RootConstrainSelectedInstOperands,
     /*  363335 */     // GIR_Coverage, 23195,
     /*  363335 */     GIR_EraseRootFromParent_Done,
     /*  363336 */   // Label 6577: @363336
     /*  363336 */   GIM_Try, /*On fail goto*//*Label 6578*/ GIMT_Encode4(363399), // Rule ID 23196 //
     /*  363341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  363352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363380 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  363383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363397 */     GIR_RootConstrainSelectedInstOperands,
     /*  363398 */     // GIR_Coverage, 23196,
     /*  363398 */     GIR_EraseRootFromParent_Done,
     /*  363399 */   // Label 6578: @363399
     /*  363399 */   GIM_Try, /*On fail goto*//*Label 6579*/ GIMT_Encode4(363462), // Rule ID 23197 //
     /*  363404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  363415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  363418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  363421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363443 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B16),
     /*  363446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363460 */     GIR_RootConstrainSelectedInstOperands,
     /*  363461 */     // GIR_Coverage, 23197,
     /*  363461 */     GIR_EraseRootFromParent_Done,
     /*  363462 */   // Label 6579: @363462
     /*  363462 */   GIM_Try, /*On fail goto*//*Label 6580*/ GIMT_Encode4(363525), // Rule ID 23198 //
     /*  363467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  363478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363506 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  363509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363523 */     GIR_RootConstrainSelectedInstOperands,
     /*  363524 */     // GIR_Coverage, 23198,
     /*  363524 */     GIR_EraseRootFromParent_Done,
     /*  363525 */   // Label 6580: @363525
     /*  363525 */   GIM_Try, /*On fail goto*//*Label 6581*/ GIMT_Encode4(363588), // Rule ID 23199 //
     /*  363530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  363541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  363544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  363547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363569 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B8),
     /*  363572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363586 */     GIR_RootConstrainSelectedInstOperands,
     /*  363587 */     // GIR_Coverage, 23199,
     /*  363587 */     GIR_EraseRootFromParent_Done,
     /*  363588 */   // Label 6581: @363588
     /*  363588 */   GIM_Try, /*On fail goto*//*Label 6582*/ GIMT_Encode4(363651), // Rule ID 23200 //
     /*  363593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  363604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363632 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  363635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363649 */     GIR_RootConstrainSelectedInstOperands,
     /*  363650 */     // GIR_Coverage, 23200,
     /*  363650 */     GIR_EraseRootFromParent_Done,
     /*  363651 */   // Label 6582: @363651
     /*  363651 */   GIM_Try, /*On fail goto*//*Label 6583*/ GIMT_Encode4(363714), // Rule ID 23201 //
     /*  363656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  363667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  363670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  363673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363695 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B4),
     /*  363698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363712 */     GIR_RootConstrainSelectedInstOperands,
     /*  363713 */     // GIR_Coverage, 23201,
     /*  363713 */     GIR_EraseRootFromParent_Done,
     /*  363714 */   // Label 6583: @363714
     /*  363714 */   GIM_Try, /*On fail goto*//*Label 6584*/ GIMT_Encode4(363777), // Rule ID 23202 //
     /*  363719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363758 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  363761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363775 */     GIR_RootConstrainSelectedInstOperands,
     /*  363776 */     // GIR_Coverage, 23202,
     /*  363776 */     GIR_EraseRootFromParent_Done,
     /*  363777 */   // Label 6584: @363777
     /*  363777 */   GIM_Try, /*On fail goto*//*Label 6585*/ GIMT_Encode4(363840), // Rule ID 23203 //
     /*  363782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  363793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  363796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  363799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363821 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B2),
     /*  363824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363838 */     GIR_RootConstrainSelectedInstOperands,
     /*  363839 */     // GIR_Coverage, 23203,
     /*  363839 */     GIR_EraseRootFromParent_Done,
     /*  363840 */   // Label 6585: @363840
     /*  363840 */   GIM_Try, /*On fail goto*//*Label 6586*/ GIMT_Encode4(363903), // Rule ID 23204 //
     /*  363845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363884 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  363884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  363887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363901 */     GIR_RootConstrainSelectedInstOperands,
     /*  363902 */     // GIR_Coverage, 23204,
     /*  363902 */     GIR_EraseRootFromParent_Done,
     /*  363903 */   // Label 6586: @363903
     /*  363903 */   GIM_Try, /*On fail goto*//*Label 6587*/ GIMT_Encode4(363966), // Rule ID 23205 //
     /*  363908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  363911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxor),
     /*  363916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  363919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  363922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  363925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  363928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  363947 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11482:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  363947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXOR_MM_B1),
     /*  363950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  363952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  363954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  363956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  363961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  363964 */     GIR_RootConstrainSelectedInstOperands,
     /*  363965 */     // GIR_Coverage, 23205,
     /*  363965 */     GIR_EraseRootFromParent_Done,
     /*  363966 */   // Label 6587: @363966
     /*  363966 */   GIM_Try, /*On fail goto*//*Label 6588*/ GIMT_Encode4(364029), // Rule ID 23206 //
     /*  363971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  363974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  363979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  363982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  363985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  363988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  363991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  363999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364010 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  364013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364027 */     GIR_RootConstrainSelectedInstOperands,
     /*  364028 */     // GIR_Coverage, 23206,
     /*  364028 */     GIR_EraseRootFromParent_Done,
     /*  364029 */   // Label 6588: @364029
     /*  364029 */   GIM_Try, /*On fail goto*//*Label 6589*/ GIMT_Encode4(364092), // Rule ID 23207 //
     /*  364034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  364045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364073 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B64),
     /*  364076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364090 */     GIR_RootConstrainSelectedInstOperands,
     /*  364091 */     // GIR_Coverage, 23207,
     /*  364091 */     GIR_EraseRootFromParent_Done,
     /*  364092 */   // Label 6589: @364092
     /*  364092 */   GIM_Try, /*On fail goto*//*Label 6590*/ GIMT_Encode4(364155), // Rule ID 23208 //
     /*  364097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  364108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364136 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  364139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364153 */     GIR_RootConstrainSelectedInstOperands,
     /*  364154 */     // GIR_Coverage, 23208,
     /*  364154 */     GIR_EraseRootFromParent_Done,
     /*  364155 */   // Label 6590: @364155
     /*  364155 */   GIM_Try, /*On fail goto*//*Label 6591*/ GIMT_Encode4(364218), // Rule ID 23209 //
     /*  364160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  364171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364199 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B32),
     /*  364202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364216 */     GIR_RootConstrainSelectedInstOperands,
     /*  364217 */     // GIR_Coverage, 23209,
     /*  364217 */     GIR_EraseRootFromParent_Done,
     /*  364218 */   // Label 6591: @364218
     /*  364218 */   GIM_Try, /*On fail goto*//*Label 6592*/ GIMT_Encode4(364281), // Rule ID 23210 //
     /*  364223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  364234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  364237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364262 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  364265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364279 */     GIR_RootConstrainSelectedInstOperands,
     /*  364280 */     // GIR_Coverage, 23210,
     /*  364280 */     GIR_EraseRootFromParent_Done,
     /*  364281 */   // Label 6592: @364281
     /*  364281 */   GIM_Try, /*On fail goto*//*Label 6593*/ GIMT_Encode4(364344), // Rule ID 23211 //
     /*  364286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  364297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  364300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  364303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364325 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B16),
     /*  364328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364342 */     GIR_RootConstrainSelectedInstOperands,
     /*  364343 */     // GIR_Coverage, 23211,
     /*  364343 */     GIR_EraseRootFromParent_Done,
     /*  364344 */   // Label 6593: @364344
     /*  364344 */   GIM_Try, /*On fail goto*//*Label 6594*/ GIMT_Encode4(364407), // Rule ID 23212 //
     /*  364349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  364360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  364363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  364391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364405 */     GIR_RootConstrainSelectedInstOperands,
     /*  364406 */     // GIR_Coverage, 23212,
     /*  364406 */     GIR_EraseRootFromParent_Done,
     /*  364407 */   // Label 6594: @364407
     /*  364407 */   GIM_Try, /*On fail goto*//*Label 6595*/ GIMT_Encode4(364470), // Rule ID 23213 //
     /*  364412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  364423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  364426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  364429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364451 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B8),
     /*  364454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364468 */     GIR_RootConstrainSelectedInstOperands,
     /*  364469 */     // GIR_Coverage, 23213,
     /*  364469 */     GIR_EraseRootFromParent_Done,
     /*  364470 */   // Label 6595: @364470
     /*  364470 */   GIM_Try, /*On fail goto*//*Label 6596*/ GIMT_Encode4(364533), // Rule ID 23214 //
     /*  364475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  364486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364514 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  364517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364531 */     GIR_RootConstrainSelectedInstOperands,
     /*  364532 */     // GIR_Coverage, 23214,
     /*  364532 */     GIR_EraseRootFromParent_Done,
     /*  364533 */   // Label 6596: @364533
     /*  364533 */   GIM_Try, /*On fail goto*//*Label 6597*/ GIMT_Encode4(364596), // Rule ID 23215 //
     /*  364538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  364549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  364552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  364555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364577 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B4),
     /*  364580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364594 */     GIR_RootConstrainSelectedInstOperands,
     /*  364595 */     // GIR_Coverage, 23215,
     /*  364595 */     GIR_EraseRootFromParent_Done,
     /*  364596 */   // Label 6597: @364596
     /*  364596 */   GIM_Try, /*On fail goto*//*Label 6598*/ GIMT_Encode4(364659), // Rule ID 23216 //
     /*  364601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  364612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364640 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  364643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364657 */     GIR_RootConstrainSelectedInstOperands,
     /*  364658 */     // GIR_Coverage, 23216,
     /*  364658 */     GIR_EraseRootFromParent_Done,
     /*  364659 */   // Label 6598: @364659
     /*  364659 */   GIM_Try, /*On fail goto*//*Label 6599*/ GIMT_Encode4(364722), // Rule ID 23217 //
     /*  364664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  364675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  364678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  364681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364703 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B2),
     /*  364706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364720 */     GIR_RootConstrainSelectedInstOperands,
     /*  364721 */     // GIR_Coverage, 23217,
     /*  364721 */     GIR_EraseRootFromParent_Done,
     /*  364722 */   // Label 6599: @364722
     /*  364722 */   GIM_Try, /*On fail goto*//*Label 6600*/ GIMT_Encode4(364785), // Rule ID 23218 //
     /*  364727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  364738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364766 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  364769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364783 */     GIR_RootConstrainSelectedInstOperands,
     /*  364784 */     // GIR_Coverage, 23218,
     /*  364784 */     GIR_EraseRootFromParent_Done,
     /*  364785 */   // Label 6600: @364785
     /*  364785 */   GIM_Try, /*On fail goto*//*Label 6601*/ GIMT_Encode4(364848), // Rule ID 23219 //
     /*  364790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmor),
     /*  364798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  364801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  364804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  364807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364829 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11438:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMOR_MM_B1),
     /*  364832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364846 */     GIR_RootConstrainSelectedInstOperands,
     /*  364847 */     // GIR_Coverage, 23219,
     /*  364847 */     GIR_EraseRootFromParent_Done,
     /*  364848 */   // Label 6601: @364848
     /*  364848 */   GIM_Try, /*On fail goto*//*Label 6602*/ GIMT_Encode4(364911), // Rule ID 23220 //
     /*  364853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  364864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364892 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  364892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  364895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364909 */     GIR_RootConstrainSelectedInstOperands,
     /*  364910 */     // GIR_Coverage, 23220,
     /*  364910 */     GIR_EraseRootFromParent_Done,
     /*  364911 */   // Label 6602: @364911
     /*  364911 */   GIM_Try, /*On fail goto*//*Label 6603*/ GIMT_Encode4(364974), // Rule ID 23221 //
     /*  364916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  364919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  364927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  364930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  364933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  364936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  364948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  364955 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  364955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B64),
     /*  364958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  364960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  364962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  364964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  364969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  364972 */     GIR_RootConstrainSelectedInstOperands,
     /*  364973 */     // GIR_Coverage, 23221,
     /*  364973 */     GIR_EraseRootFromParent_Done,
     /*  364974 */   // Label 6603: @364974
     /*  364974 */   GIM_Try, /*On fail goto*//*Label 6604*/ GIMT_Encode4(365037), // Rule ID 23222 //
     /*  364979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  364982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  364987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  364990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  364993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  364996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  364999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365018 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  365021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365035 */     GIR_RootConstrainSelectedInstOperands,
     /*  365036 */     // GIR_Coverage, 23222,
     /*  365036 */     GIR_EraseRootFromParent_Done,
     /*  365037 */   // Label 6604: @365037
     /*  365037 */   GIM_Try, /*On fail goto*//*Label 6605*/ GIMT_Encode4(365100), // Rule ID 23223 //
     /*  365042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  365053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  365056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365081 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B32),
     /*  365084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365098 */     GIR_RootConstrainSelectedInstOperands,
     /*  365099 */     // GIR_Coverage, 23223,
     /*  365099 */     GIR_EraseRootFromParent_Done,
     /*  365100 */   // Label 6605: @365100
     /*  365100 */   GIM_Try, /*On fail goto*//*Label 6606*/ GIMT_Encode4(365163), // Rule ID 23224 //
     /*  365105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  365116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  365119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365144 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  365147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365161 */     GIR_RootConstrainSelectedInstOperands,
     /*  365162 */     // GIR_Coverage, 23224,
     /*  365162 */     GIR_EraseRootFromParent_Done,
     /*  365163 */   // Label 6606: @365163
     /*  365163 */   GIM_Try, /*On fail goto*//*Label 6607*/ GIMT_Encode4(365226), // Rule ID 23225 //
     /*  365168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  365179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  365182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  365185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365207 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B16),
     /*  365210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365224 */     GIR_RootConstrainSelectedInstOperands,
     /*  365225 */     // GIR_Coverage, 23225,
     /*  365225 */     GIR_EraseRootFromParent_Done,
     /*  365226 */   // Label 6607: @365226
     /*  365226 */   GIM_Try, /*On fail goto*//*Label 6608*/ GIMT_Encode4(365289), // Rule ID 23226 //
     /*  365231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  365242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  365245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365270 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  365273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365287 */     GIR_RootConstrainSelectedInstOperands,
     /*  365288 */     // GIR_Coverage, 23226,
     /*  365288 */     GIR_EraseRootFromParent_Done,
     /*  365289 */   // Label 6608: @365289
     /*  365289 */   GIM_Try, /*On fail goto*//*Label 6609*/ GIMT_Encode4(365352), // Rule ID 23227 //
     /*  365294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  365305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  365308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  365311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365333 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B8),
     /*  365336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365350 */     GIR_RootConstrainSelectedInstOperands,
     /*  365351 */     // GIR_Coverage, 23227,
     /*  365351 */     GIR_EraseRootFromParent_Done,
     /*  365352 */   // Label 6609: @365352
     /*  365352 */   GIM_Try, /*On fail goto*//*Label 6610*/ GIMT_Encode4(365415), // Rule ID 23228 //
     /*  365357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  365368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  365371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365396 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  365399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365413 */     GIR_RootConstrainSelectedInstOperands,
     /*  365414 */     // GIR_Coverage, 23228,
     /*  365414 */     GIR_EraseRootFromParent_Done,
     /*  365415 */   // Label 6610: @365415
     /*  365415 */   GIM_Try, /*On fail goto*//*Label 6611*/ GIMT_Encode4(365478), // Rule ID 23229 //
     /*  365420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  365431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  365434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  365437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365459 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B4),
     /*  365462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365476 */     GIR_RootConstrainSelectedInstOperands,
     /*  365477 */     // GIR_Coverage, 23229,
     /*  365477 */     GIR_EraseRootFromParent_Done,
     /*  365478 */   // Label 6611: @365478
     /*  365478 */   GIM_Try, /*On fail goto*//*Label 6612*/ GIMT_Encode4(365541), // Rule ID 23230 //
     /*  365483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  365494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  365497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365522 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  365525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365539 */     GIR_RootConstrainSelectedInstOperands,
     /*  365540 */     // GIR_Coverage, 23230,
     /*  365540 */     GIR_EraseRootFromParent_Done,
     /*  365541 */   // Label 6612: @365541
     /*  365541 */   GIM_Try, /*On fail goto*//*Label 6613*/ GIMT_Encode4(365604), // Rule ID 23231 //
     /*  365546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  365557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  365560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  365563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365585 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B2),
     /*  365588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365602 */     GIR_RootConstrainSelectedInstOperands,
     /*  365603 */     // GIR_Coverage, 23231,
     /*  365603 */     GIR_EraseRootFromParent_Done,
     /*  365604 */   // Label 6613: @365604
     /*  365604 */   GIM_Try, /*On fail goto*//*Label 6614*/ GIMT_Encode4(365667), // Rule ID 23232 //
     /*  365609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  365620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  365623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365648 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  365651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365665 */     GIR_RootConstrainSelectedInstOperands,
     /*  365666 */     // GIR_Coverage, 23232,
     /*  365666 */     GIR_EraseRootFromParent_Done,
     /*  365667 */   // Label 6614: @365667
     /*  365667 */   GIM_Try, /*On fail goto*//*Label 6615*/ GIMT_Encode4(365730), // Rule ID 23233 //
     /*  365672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmnor),
     /*  365680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  365683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  365686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  365689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365711 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11437:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMNOR_MM_B1),
     /*  365714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365728 */     GIR_RootConstrainSelectedInstOperands,
     /*  365729 */     // GIR_Coverage, 23233,
     /*  365729 */     GIR_EraseRootFromParent_Done,
     /*  365730 */   // Label 6615: @365730
     /*  365730 */   GIM_Try, /*On fail goto*//*Label 6616*/ GIMT_Encode4(365793), // Rule ID 23234 //
     /*  365735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  365746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  365749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365774 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  365777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365791 */     GIR_RootConstrainSelectedInstOperands,
     /*  365792 */     // GIR_Coverage, 23234,
     /*  365792 */     GIR_EraseRootFromParent_Done,
     /*  365793 */   // Label 6616: @365793
     /*  365793 */   GIM_Try, /*On fail goto*//*Label 6617*/ GIMT_Encode4(365856), // Rule ID 23235 //
     /*  365798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  365809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  365812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  365815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365837 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B64),
     /*  365840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365854 */     GIR_RootConstrainSelectedInstOperands,
     /*  365855 */     // GIR_Coverage, 23235,
     /*  365855 */     GIR_EraseRootFromParent_Done,
     /*  365856 */   // Label 6617: @365856
     /*  365856 */   GIM_Try, /*On fail goto*//*Label 6618*/ GIMT_Encode4(365919), // Rule ID 23236 //
     /*  365861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  365872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  365875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  365881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365900 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  365900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  365903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365917 */     GIR_RootConstrainSelectedInstOperands,
     /*  365918 */     // GIR_Coverage, 23236,
     /*  365918 */     GIR_EraseRootFromParent_Done,
     /*  365919 */   // Label 6618: @365919
     /*  365919 */   GIM_Try, /*On fail goto*//*Label 6619*/ GIMT_Encode4(365982), // Rule ID 23237 //
     /*  365924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  365927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  365935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  365938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  365941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  365944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  365956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  365963 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  365963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B32),
     /*  365966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  365968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  365970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  365972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  365977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  365980 */     GIR_RootConstrainSelectedInstOperands,
     /*  365981 */     // GIR_Coverage, 23237,
     /*  365981 */     GIR_EraseRootFromParent_Done,
     /*  365982 */   // Label 6619: @365982
     /*  365982 */   GIM_Try, /*On fail goto*//*Label 6620*/ GIMT_Encode4(366045), // Rule ID 23238 //
     /*  365987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  365990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  365995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  365998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  366029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366043 */     GIR_RootConstrainSelectedInstOperands,
     /*  366044 */     // GIR_Coverage, 23238,
     /*  366044 */     GIR_EraseRootFromParent_Done,
     /*  366045 */   // Label 6620: @366045
     /*  366045 */   GIM_Try, /*On fail goto*//*Label 6621*/ GIMT_Encode4(366108), // Rule ID 23239 //
     /*  366050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  366061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366089 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B16),
     /*  366092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366106 */     GIR_RootConstrainSelectedInstOperands,
     /*  366107 */     // GIR_Coverage, 23239,
     /*  366107 */     GIR_EraseRootFromParent_Done,
     /*  366108 */   // Label 6621: @366108
     /*  366108 */   GIM_Try, /*On fail goto*//*Label 6622*/ GIMT_Encode4(366171), // Rule ID 23240 //
     /*  366113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  366124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  366127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366152 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  366155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366169 */     GIR_RootConstrainSelectedInstOperands,
     /*  366170 */     // GIR_Coverage, 23240,
     /*  366170 */     GIR_EraseRootFromParent_Done,
     /*  366171 */   // Label 6622: @366171
     /*  366171 */   GIM_Try, /*On fail goto*//*Label 6623*/ GIMT_Encode4(366234), // Rule ID 23241 //
     /*  366176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  366187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  366190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  366193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366215 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B8),
     /*  366218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366232 */     GIR_RootConstrainSelectedInstOperands,
     /*  366233 */     // GIR_Coverage, 23241,
     /*  366233 */     GIR_EraseRootFromParent_Done,
     /*  366234 */   // Label 6623: @366234
     /*  366234 */   GIM_Try, /*On fail goto*//*Label 6624*/ GIMT_Encode4(366297), // Rule ID 23242 //
     /*  366239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  366250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  366253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366278 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  366281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366295 */     GIR_RootConstrainSelectedInstOperands,
     /*  366296 */     // GIR_Coverage, 23242,
     /*  366296 */     GIR_EraseRootFromParent_Done,
     /*  366297 */   // Label 6624: @366297
     /*  366297 */   GIM_Try, /*On fail goto*//*Label 6625*/ GIMT_Encode4(366360), // Rule ID 23243 //
     /*  366302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  366313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  366316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  366319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366341 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B4),
     /*  366344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366358 */     GIR_RootConstrainSelectedInstOperands,
     /*  366359 */     // GIR_Coverage, 23243,
     /*  366359 */     GIR_EraseRootFromParent_Done,
     /*  366360 */   // Label 6625: @366360
     /*  366360 */   GIM_Try, /*On fail goto*//*Label 6626*/ GIMT_Encode4(366423), // Rule ID 23244 //
     /*  366365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  366376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  366379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366404 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  366407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366421 */     GIR_RootConstrainSelectedInstOperands,
     /*  366422 */     // GIR_Coverage, 23244,
     /*  366422 */     GIR_EraseRootFromParent_Done,
     /*  366423 */   // Label 6626: @366423
     /*  366423 */   GIM_Try, /*On fail goto*//*Label 6627*/ GIMT_Encode4(366486), // Rule ID 23245 //
     /*  366428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  366439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  366442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  366445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366467 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B2),
     /*  366470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366484 */     GIR_RootConstrainSelectedInstOperands,
     /*  366485 */     // GIR_Coverage, 23245,
     /*  366485 */     GIR_EraseRootFromParent_Done,
     /*  366486 */   // Label 6627: @366486
     /*  366486 */   GIM_Try, /*On fail goto*//*Label 6628*/ GIMT_Encode4(366549), // Rule ID 23246 //
     /*  366491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  366502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  366505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366530 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  366533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366547 */     GIR_RootConstrainSelectedInstOperands,
     /*  366548 */     // GIR_Coverage, 23246,
     /*  366548 */     GIR_EraseRootFromParent_Done,
     /*  366549 */   // Label 6628: @366549
     /*  366549 */   GIM_Try, /*On fail goto*//*Label 6629*/ GIMT_Encode4(366612), // Rule ID 23247 //
     /*  366554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmorn),
     /*  366562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  366565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  366568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  366571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366593 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11439:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMORN_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMORN_MM_B1),
     /*  366596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366610 */     GIR_RootConstrainSelectedInstOperands,
     /*  366611 */     // GIR_Coverage, 23247,
     /*  366611 */     GIR_EraseRootFromParent_Done,
     /*  366612 */   // Label 6629: @366612
     /*  366612 */   GIM_Try, /*On fail goto*//*Label 6630*/ GIMT_Encode4(366675), // Rule ID 23248 //
     /*  366617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  366628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  366631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  366634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366656 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  366659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366673 */     GIR_RootConstrainSelectedInstOperands,
     /*  366674 */     // GIR_Coverage, 23248,
     /*  366674 */     GIR_EraseRootFromParent_Done,
     /*  366675 */   // Label 6630: @366675
     /*  366675 */   GIM_Try, /*On fail goto*//*Label 6631*/ GIMT_Encode4(366738), // Rule ID 23249 //
     /*  366680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  366691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  366694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  366697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366719 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B64:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B64),
     /*  366722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366736 */     GIR_RootConstrainSelectedInstOperands,
     /*  366737 */     // GIR_Coverage, 23249,
     /*  366737 */     GIR_EraseRootFromParent_Done,
     /*  366738 */   // Label 6631: @366738
     /*  366738 */   GIM_Try, /*On fail goto*//*Label 6632*/ GIMT_Encode4(366801), // Rule ID 23250 //
     /*  366743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  366754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  366757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  366785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366799 */     GIR_RootConstrainSelectedInstOperands,
     /*  366800 */     // GIR_Coverage, 23250,
     /*  366800 */     GIR_EraseRootFromParent_Done,
     /*  366801 */   // Label 6632: @366801
     /*  366801 */   GIM_Try, /*On fail goto*//*Label 6633*/ GIMT_Encode4(366864), // Rule ID 23251 //
     /*  366806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  366817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  366820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  366823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366845 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B32:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B32),
     /*  366848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366862 */     GIR_RootConstrainSelectedInstOperands,
     /*  366863 */     // GIR_Coverage, 23251,
     /*  366863 */     GIR_EraseRootFromParent_Done,
     /*  366864 */   // Label 6633: @366864
     /*  366864 */   GIM_Try, /*On fail goto*//*Label 6634*/ GIMT_Encode4(366927), // Rule ID 23252 //
     /*  366869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  366880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  366889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366908 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  366908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  366911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366925 */     GIR_RootConstrainSelectedInstOperands,
     /*  366926 */     // GIR_Coverage, 23252,
     /*  366926 */     GIR_EraseRootFromParent_Done,
     /*  366927 */   // Label 6634: @366927
     /*  366927 */   GIM_Try, /*On fail goto*//*Label 6635*/ GIMT_Encode4(366990), // Rule ID 23253 //
     /*  366932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  366935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  366940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  366943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  366946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  366949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  366952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  366964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  366971 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B16:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  366971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B16),
     /*  366974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  366976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  366978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  366980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  366985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  366988 */     GIR_RootConstrainSelectedInstOperands,
     /*  366989 */     // GIR_Coverage, 23253,
     /*  366989 */     GIR_EraseRootFromParent_Done,
     /*  366990 */   // Label 6635: @366990
     /*  366990 */   GIM_Try, /*On fail goto*//*Label 6636*/ GIMT_Encode4(367053), // Rule ID 23254 //
     /*  366995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  366998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  367003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  367006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  367037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367051 */     GIR_RootConstrainSelectedInstOperands,
     /*  367052 */     // GIR_Coverage, 23254,
     /*  367052 */     GIR_EraseRootFromParent_Done,
     /*  367053 */   // Label 6636: @367053
     /*  367053 */   GIM_Try, /*On fail goto*//*Label 6637*/ GIMT_Encode4(367116), // Rule ID 23255 //
     /*  367058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  367066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  367069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367097 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B8:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B8),
     /*  367100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367114 */     GIR_RootConstrainSelectedInstOperands,
     /*  367115 */     // GIR_Coverage, 23255,
     /*  367115 */     GIR_EraseRootFromParent_Done,
     /*  367116 */   // Label 6637: @367116
     /*  367116 */   GIM_Try, /*On fail goto*//*Label 6638*/ GIMT_Encode4(367179), // Rule ID 23256 //
     /*  367121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  367129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  367132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  367135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367160 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  367163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367177 */     GIR_RootConstrainSelectedInstOperands,
     /*  367178 */     // GIR_Coverage, 23256,
     /*  367178 */     GIR_EraseRootFromParent_Done,
     /*  367179 */   // Label 6638: @367179
     /*  367179 */   GIM_Try, /*On fail goto*//*Label 6639*/ GIMT_Encode4(367242), // Rule ID 23257 //
     /*  367184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  367192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  367195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  367198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367223 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B4:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B4),
     /*  367226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367240 */     GIR_RootConstrainSelectedInstOperands,
     /*  367241 */     // GIR_Coverage, 23257,
     /*  367241 */     GIR_EraseRootFromParent_Done,
     /*  367242 */   // Label 6639: @367242
     /*  367242 */   GIM_Try, /*On fail goto*//*Label 6640*/ GIMT_Encode4(367305), // Rule ID 23258 //
     /*  367247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  367255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  367258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  367261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  367264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367286 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  367289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367303 */     GIR_RootConstrainSelectedInstOperands,
     /*  367304 */     // GIR_Coverage, 23258,
     /*  367304 */     GIR_EraseRootFromParent_Done,
     /*  367305 */   // Label 6640: @367305
     /*  367305 */   GIM_Try, /*On fail goto*//*Label 6641*/ GIMT_Encode4(367368), // Rule ID 23259 //
     /*  367310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  367318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  367321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  367324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  367327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367349 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B2:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B2),
     /*  367352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367366 */     GIR_RootConstrainSelectedInstOperands,
     /*  367367 */     // GIR_Coverage, 23259,
     /*  367367 */     GIR_EraseRootFromParent_Done,
     /*  367368 */   // Label 6641: @367368
     /*  367368 */   GIM_Try, /*On fail goto*//*Label 6642*/ GIMT_Encode4(367431), // Rule ID 23260 //
     /*  367373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  367376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  367381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  367384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  367387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  367390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367412 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  367415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367429 */     GIR_RootConstrainSelectedInstOperands,
     /*  367430 */     // GIR_Coverage, 23260,
     /*  367430 */     GIR_EraseRootFromParent_Done,
     /*  367431 */   // Label 6642: @367431
     /*  367431 */   GIM_Try, /*On fail goto*//*Label 6643*/ GIMT_Encode4(367494), // Rule ID 23261 //
     /*  367436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  367439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmxnor),
     /*  367444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  367447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  367450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  367453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367475 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11481:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMXNOR_MM_B1:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMXNOR_MM_B1),
     /*  367478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  367484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367492 */     GIR_RootConstrainSelectedInstOperands,
     /*  367493 */     // GIR_Coverage, 23261,
     /*  367493 */     GIR_EraseRootFromParent_Done,
     /*  367494 */   // Label 6643: @367494
     /*  367494 */   GIM_Try, /*On fail goto*//*Label 6644*/ GIMT_Encode4(367557), // Rule ID 23290 //
     /*  367499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  367513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367538 */     // (intrinsic_wo_chain:{ *:[i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  367541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367545 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367555 */     GIR_RootConstrainSelectedInstOperands,
     /*  367556 */     // GIR_Coverage, 23290,
     /*  367556 */     GIR_EraseRootFromParent_Done,
     /*  367557 */   // Label 6644: @367557
     /*  367557 */   GIM_Try, /*On fail goto*//*Label 6645*/ GIMT_Encode4(367620), // Rule ID 23291 //
     /*  367562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  367576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  367579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367601 */     // (intrinsic_wo_chain:{ *:[i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B32_MASK),
     /*  367604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367608 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367618 */     GIR_RootConstrainSelectedInstOperands,
     /*  367619 */     // GIR_Coverage, 23291,
     /*  367619 */     GIR_EraseRootFromParent_Done,
     /*  367620 */   // Label 6645: @367620
     /*  367620 */   GIM_Try, /*On fail goto*//*Label 6646*/ GIMT_Encode4(367683), // Rule ID 23294 //
     /*  367625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  367639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367664 */     // (intrinsic_wo_chain:{ *:[i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  367667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367671 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367681 */     GIR_RootConstrainSelectedInstOperands,
     /*  367682 */     // GIR_Coverage, 23294,
     /*  367682 */     GIR_EraseRootFromParent_Done,
     /*  367683 */   // Label 6646: @367683
     /*  367683 */   GIM_Try, /*On fail goto*//*Label 6647*/ GIMT_Encode4(367746), // Rule ID 23295 //
     /*  367688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  367702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  367705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367727 */     // (intrinsic_wo_chain:{ *:[i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B16_MASK),
     /*  367730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367734 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367744 */     GIR_RootConstrainSelectedInstOperands,
     /*  367745 */     // GIR_Coverage, 23295,
     /*  367745 */     GIR_EraseRootFromParent_Done,
     /*  367746 */   // Label 6647: @367746
     /*  367746 */   GIM_Try, /*On fail goto*//*Label 6648*/ GIMT_Encode4(367809), // Rule ID 23298 //
     /*  367751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367790 */     // (intrinsic_wo_chain:{ *:[i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  367793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367797 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367807 */     GIR_RootConstrainSelectedInstOperands,
     /*  367808 */     // GIR_Coverage, 23298,
     /*  367808 */     GIR_EraseRootFromParent_Done,
     /*  367809 */   // Label 6648: @367809
     /*  367809 */   GIM_Try, /*On fail goto*//*Label 6649*/ GIMT_Encode4(367872), // Rule ID 23299 //
     /*  367814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  367828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  367831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367853 */     // (intrinsic_wo_chain:{ *:[i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B8_MASK),
     /*  367856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367860 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367870 */     GIR_RootConstrainSelectedInstOperands,
     /*  367871 */     // GIR_Coverage, 23299,
     /*  367871 */     GIR_EraseRootFromParent_Done,
     /*  367872 */   // Label 6649: @367872
     /*  367872 */   GIM_Try, /*On fail goto*//*Label 6650*/ GIMT_Encode4(367935), // Rule ID 23302 //
     /*  367877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  367880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  367888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  367891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  367897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367916 */     // (intrinsic_wo_chain:{ *:[i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  367916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  367919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367923 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367933 */     GIR_RootConstrainSelectedInstOperands,
     /*  367934 */     // GIR_Coverage, 23302,
     /*  367934 */     GIR_EraseRootFromParent_Done,
     /*  367935 */   // Label 6650: @367935
     /*  367935 */   GIM_Try, /*On fail goto*//*Label 6651*/ GIMT_Encode4(367998), // Rule ID 23303 //
     /*  367940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  367943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  367948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  367951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  367954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  367957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  367960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  367964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  367968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  367972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  367979 */     // (intrinsic_wo_chain:{ *:[i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  367979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B4_MASK),
     /*  367982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  367984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  367986 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  367988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  367993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  367996 */     GIR_RootConstrainSelectedInstOperands,
     /*  367997 */     // GIR_Coverage, 23303,
     /*  367997 */     GIR_EraseRootFromParent_Done,
     /*  367998 */   // Label 6651: @367998
     /*  367998 */   GIM_Try, /*On fail goto*//*Label 6652*/ GIMT_Encode4(368061), // Rule ID 23306 //
     /*  368003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  368011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  368017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  368020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368042 */     // (intrinsic_wo_chain:{ *:[i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  368045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368049 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368059 */     GIR_RootConstrainSelectedInstOperands,
     /*  368060 */     // GIR_Coverage, 23306,
     /*  368060 */     GIR_EraseRootFromParent_Done,
     /*  368061 */   // Label 6652: @368061
     /*  368061 */   GIM_Try, /*On fail goto*//*Label 6653*/ GIMT_Encode4(368124), // Rule ID 23307 //
     /*  368066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  368074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  368080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  368083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368105 */     // (intrinsic_wo_chain:{ *:[i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B2_MASK),
     /*  368108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368112 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368122 */     GIR_RootConstrainSelectedInstOperands,
     /*  368123 */     // GIR_Coverage, 23307,
     /*  368123 */     GIR_EraseRootFromParent_Done,
     /*  368124 */   // Label 6653: @368124
     /*  368124 */   GIM_Try, /*On fail goto*//*Label 6654*/ GIMT_Encode4(368187), // Rule ID 23310 //
     /*  368129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  368137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  368143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  368146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368168 */     // (intrinsic_wo_chain:{ *:[i64] } 11176:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  368171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368175 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368185 */     GIR_RootConstrainSelectedInstOperands,
     /*  368186 */     // GIR_Coverage, 23310,
     /*  368186 */     GIR_EraseRootFromParent_Done,
     /*  368187 */   // Label 6654: @368187
     /*  368187 */   GIM_Try, /*On fail goto*//*Label 6655*/ GIMT_Encode4(368250), // Rule ID 23311 //
     /*  368192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpop_mask),
     /*  368200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  368206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  368209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368231 */     // (intrinsic_wo_chain:{ *:[i32] } 11176:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_M_B1_MASK),
     /*  368234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368238 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368248 */     GIR_RootConstrainSelectedInstOperands,
     /*  368249 */     // GIR_Coverage, 23311,
     /*  368249 */     GIR_EraseRootFromParent_Done,
     /*  368250 */   // Label 6655: @368250
     /*  368250 */   GIM_Try, /*On fail goto*//*Label 6656*/ GIMT_Encode4(368313), // Rule ID 23314 //
     /*  368255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  368269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  368272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368294 */     // (intrinsic_wo_chain:{ *:[i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i64] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  368297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368301 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368311 */     GIR_RootConstrainSelectedInstOperands,
     /*  368312 */     // GIR_Coverage, 23314,
     /*  368312 */     GIR_EraseRootFromParent_Done,
     /*  368313 */   // Label 6656: @368313
     /*  368313 */   GIM_Try, /*On fail goto*//*Label 6657*/ GIMT_Encode4(368376), // Rule ID 23315 //
     /*  368318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  368332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  368335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368357 */     // (intrinsic_wo_chain:{ *:[i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B64_MASK:{ *:[i32] } ?:{ *:[nxv1i1] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B64_MASK),
     /*  368360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368364 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368374 */     GIR_RootConstrainSelectedInstOperands,
     /*  368375 */     // GIR_Coverage, 23315,
     /*  368375 */     GIR_EraseRootFromParent_Done,
     /*  368376 */   // Label 6657: @368376
     /*  368376 */   GIM_Try, /*On fail goto*//*Label 6658*/ GIMT_Encode4(368439), // Rule ID 23318 //
     /*  368381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  368395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  368398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368420 */     // (intrinsic_wo_chain:{ *:[i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i64] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  368423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368427 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368437 */     GIR_RootConstrainSelectedInstOperands,
     /*  368438 */     // GIR_Coverage, 23318,
     /*  368438 */     GIR_EraseRootFromParent_Done,
     /*  368439 */   // Label 6658: @368439
     /*  368439 */   GIM_Try, /*On fail goto*//*Label 6659*/ GIMT_Encode4(368502), // Rule ID 23319 //
     /*  368444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  368458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  368461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368483 */     // (intrinsic_wo_chain:{ *:[i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B32_MASK:{ *:[i32] } ?:{ *:[nxv2i1] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B32_MASK),
     /*  368486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368490 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368500 */     GIR_RootConstrainSelectedInstOperands,
     /*  368501 */     // GIR_Coverage, 23319,
     /*  368501 */     GIR_EraseRootFromParent_Done,
     /*  368502 */   // Label 6659: @368502
     /*  368502 */   GIM_Try, /*On fail goto*//*Label 6660*/ GIMT_Encode4(368565), // Rule ID 23322 //
     /*  368507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  368521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  368524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368546 */     // (intrinsic_wo_chain:{ *:[i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i64] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  368549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368553 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368563 */     GIR_RootConstrainSelectedInstOperands,
     /*  368564 */     // GIR_Coverage, 23322,
     /*  368564 */     GIR_EraseRootFromParent_Done,
     /*  368565 */   // Label 6660: @368565
     /*  368565 */   GIM_Try, /*On fail goto*//*Label 6661*/ GIMT_Encode4(368628), // Rule ID 23323 //
     /*  368570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  368584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  368587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368609 */     // (intrinsic_wo_chain:{ *:[i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B16_MASK:{ *:[i32] } ?:{ *:[nxv4i1] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B16_MASK),
     /*  368612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368616 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368626 */     GIR_RootConstrainSelectedInstOperands,
     /*  368627 */     // GIR_Coverage, 23323,
     /*  368627 */     GIR_EraseRootFromParent_Done,
     /*  368628 */   // Label 6661: @368628
     /*  368628 */   GIM_Try, /*On fail goto*//*Label 6662*/ GIMT_Encode4(368691), // Rule ID 23326 //
     /*  368633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  368647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  368650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368672 */     // (intrinsic_wo_chain:{ *:[i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i64] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  368675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368679 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368689 */     GIR_RootConstrainSelectedInstOperands,
     /*  368690 */     // GIR_Coverage, 23326,
     /*  368690 */     GIR_EraseRootFromParent_Done,
     /*  368691 */   // Label 6662: @368691
     /*  368691 */   GIM_Try, /*On fail goto*//*Label 6663*/ GIMT_Encode4(368754), // Rule ID 23327 //
     /*  368696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  368710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  368713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368735 */     // (intrinsic_wo_chain:{ *:[i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B8_MASK:{ *:[i32] } ?:{ *:[nxv8i1] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B8_MASK),
     /*  368738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368742 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368752 */     GIR_RootConstrainSelectedInstOperands,
     /*  368753 */     // GIR_Coverage, 23327,
     /*  368753 */     GIR_EraseRootFromParent_Done,
     /*  368754 */   // Label 6663: @368754
     /*  368754 */   GIM_Try, /*On fail goto*//*Label 6664*/ GIMT_Encode4(368817), // Rule ID 23330 //
     /*  368759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  368773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  368776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368798 */     // (intrinsic_wo_chain:{ *:[i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i64] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  368801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368805 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368815 */     GIR_RootConstrainSelectedInstOperands,
     /*  368816 */     // GIR_Coverage, 23330,
     /*  368816 */     GIR_EraseRootFromParent_Done,
     /*  368817 */   // Label 6664: @368817
     /*  368817 */   GIM_Try, /*On fail goto*//*Label 6665*/ GIMT_Encode4(368880), // Rule ID 23331 //
     /*  368822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  368836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  368839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368861 */     // (intrinsic_wo_chain:{ *:[i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B4_MASK:{ *:[i32] } ?:{ *:[nxv16i1] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B4_MASK),
     /*  368864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368868 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368878 */     GIR_RootConstrainSelectedInstOperands,
     /*  368879 */     // GIR_Coverage, 23331,
     /*  368879 */     GIR_EraseRootFromParent_Done,
     /*  368880 */   // Label 6665: @368880
     /*  368880 */   GIM_Try, /*On fail goto*//*Label 6666*/ GIMT_Encode4(368943), // Rule ID 23334 //
     /*  368885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  368888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  368896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  368899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  368902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  368905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368924 */     // (intrinsic_wo_chain:{ *:[i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i64] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  368924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  368927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368931 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  368938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  368941 */     GIR_RootConstrainSelectedInstOperands,
     /*  368942 */     // GIR_Coverage, 23334,
     /*  368942 */     GIR_EraseRootFromParent_Done,
     /*  368943 */   // Label 6666: @368943
     /*  368943 */   GIM_Try, /*On fail goto*//*Label 6667*/ GIMT_Encode4(369006), // Rule ID 23335 //
     /*  368948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  368951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  368956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  368959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  368962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  368965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  368968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  368972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  368976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  368980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  368987 */     // (intrinsic_wo_chain:{ *:[i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B2_MASK:{ *:[i32] } ?:{ *:[nxv32i1] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  368987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B2_MASK),
     /*  368990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  368992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  368994 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  368996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369004 */     GIR_RootConstrainSelectedInstOperands,
     /*  369005 */     // GIR_Coverage, 23335,
     /*  369005 */     GIR_EraseRootFromParent_Done,
     /*  369006 */   // Label 6667: @369006
     /*  369006 */   GIM_Try, /*On fail goto*//*Label 6668*/ GIMT_Encode4(369069), // Rule ID 23338 //
     /*  369011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  369014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  369019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /*  369022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  369025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  369028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  369035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  369043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369050 */     // (intrinsic_wo_chain:{ *:[i64] } 11204:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i64] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /*  369050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  369053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  369057 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  369059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369067 */     GIR_RootConstrainSelectedInstOperands,
     /*  369068 */     // GIR_Coverage, 23338,
     /*  369068 */     GIR_EraseRootFromParent_Done,
     /*  369069 */   // Label 6668: @369069
     /*  369069 */   GIM_Try, /*On fail goto*//*Label 6669*/ GIMT_Encode4(369132), // Rule ID 23339 //
     /*  369074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  369077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfirst_mask),
     /*  369082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  369085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  369088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  369091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  369098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  369106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369113 */     // (intrinsic_wo_chain:{ *:[i32] } 11204:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFIRST_M_B1_MASK:{ *:[i32] } ?:{ *:[nxv64i1] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /*  369113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFIRST_M_B1_MASK),
     /*  369116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  369120 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  369122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369130 */     GIR_RootConstrainSelectedInstOperands,
     /*  369131 */     // GIR_Coverage, 23339,
     /*  369131 */     GIR_EraseRootFromParent_Done,
     /*  369132 */   // Label 6669: @369132
     /*  369132 */   GIM_Try, /*On fail goto*//*Label 6670*/ GIMT_Encode4(369198), // Rule ID 23420 //
     /*  369137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  369148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  369151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369176 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  369179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369196 */     GIR_RootConstrainSelectedInstOperands,
     /*  369197 */     // GIR_Coverage, 23420,
     /*  369197 */     GIR_EraseRootFromParent_Done,
     /*  369198 */   // Label 6670: @369198
     /*  369198 */   GIM_Try, /*On fail goto*//*Label 6671*/ GIMT_Encode4(369264), // Rule ID 23421 //
     /*  369203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  369214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  369217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  369245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369262 */     GIR_RootConstrainSelectedInstOperands,
     /*  369263 */     // GIR_Coverage, 23421,
     /*  369263 */     GIR_EraseRootFromParent_Done,
     /*  369264 */   // Label 6671: @369264
     /*  369264 */   GIM_Try, /*On fail goto*//*Label 6672*/ GIMT_Encode4(369330), // Rule ID 23424 //
     /*  369269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  369286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369328 */     GIR_RootConstrainSelectedInstOperands,
     /*  369329 */     // GIR_Coverage, 23424,
     /*  369329 */     GIR_EraseRootFromParent_Done,
     /*  369330 */   // Label 6672: @369330
     /*  369330 */   GIM_Try, /*On fail goto*//*Label 6673*/ GIMT_Encode4(369396), // Rule ID 23425 //
     /*  369335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  369346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  369349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  369352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369374 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369394 */     GIR_RootConstrainSelectedInstOperands,
     /*  369395 */     // GIR_Coverage, 23425,
     /*  369395 */     GIR_EraseRootFromParent_Done,
     /*  369396 */   // Label 6673: @369396
     /*  369396 */   GIM_Try, /*On fail goto*//*Label 6674*/ GIMT_Encode4(369462), // Rule ID 23428 //
     /*  369401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  369415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369440 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  369443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369460 */     GIR_RootConstrainSelectedInstOperands,
     /*  369461 */     // GIR_Coverage, 23428,
     /*  369461 */     GIR_EraseRootFromParent_Done,
     /*  369462 */   // Label 6674: @369462
     /*  369462 */   GIM_Try, /*On fail goto*//*Label 6675*/ GIMT_Encode4(369528), // Rule ID 23429 //
     /*  369467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  369478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  369481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4),
     /*  369509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369526 */     GIR_RootConstrainSelectedInstOperands,
     /*  369527 */     // GIR_Coverage, 23429,
     /*  369527 */     GIR_EraseRootFromParent_Done,
     /*  369528 */   // Label 6675: @369528
     /*  369528 */   GIM_Try, /*On fail goto*//*Label 6676*/ GIMT_Encode4(369594), // Rule ID 23432 //
     /*  369533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  369544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  369547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369592 */     GIR_RootConstrainSelectedInstOperands,
     /*  369593 */     // GIR_Coverage, 23432,
     /*  369593 */     GIR_EraseRootFromParent_Done,
     /*  369594 */   // Label 6676: @369594
     /*  369594 */   GIM_Try, /*On fail goto*//*Label 6677*/ GIMT_Encode4(369660), // Rule ID 23433 //
     /*  369599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  369610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  369613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  369616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369638 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  369638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369658 */     GIR_RootConstrainSelectedInstOperands,
     /*  369659 */     // GIR_Coverage, 23433,
     /*  369659 */     GIR_EraseRootFromParent_Done,
     /*  369660 */   // Label 6677: @369660
     /*  369660 */   GIM_Try, /*On fail goto*//*Label 6678*/ GIMT_Encode4(369726), // Rule ID 23436 //
     /*  369665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  369704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369724 */     GIR_RootConstrainSelectedInstOperands,
     /*  369725 */     // GIR_Coverage, 23436,
     /*  369725 */     GIR_EraseRootFromParent_Done,
     /*  369726 */   // Label 6678: @369726
     /*  369726 */   GIM_Try, /*On fail goto*//*Label 6679*/ GIMT_Encode4(369792), // Rule ID 23437 //
     /*  369731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  369742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  369745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  369748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  369770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2),
     /*  369773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  369787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369790 */     GIR_RootConstrainSelectedInstOperands,
     /*  369791 */     // GIR_Coverage, 23437,
     /*  369791 */     GIR_EraseRootFromParent_Done,
     /*  369792 */   // Label 6679: @369792
     /*  369792 */   GIM_Try, /*On fail goto*//*Label 6680*/ GIMT_Encode4(369858), // Rule ID 23440 //
     /*  369797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  369814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  369836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369856 */     GIR_RootConstrainSelectedInstOperands,
     /*  369857 */     // GIR_Coverage, 23440,
     /*  369857 */     GIR_EraseRootFromParent_Done,
     /*  369858 */   // Label 6680: @369858
     /*  369858 */   GIM_Try, /*On fail goto*//*Label 6681*/ GIMT_Encode4(369924), // Rule ID 23441 //
     /*  369863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  369874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  369877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  369880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  369883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11323:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  369902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  369919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369922 */     GIR_RootConstrainSelectedInstOperands,
     /*  369923 */     // GIR_Coverage, 23441,
     /*  369923 */     GIR_EraseRootFromParent_Done,
     /*  369924 */   // Label 6681: @369924
     /*  369924 */   GIM_Try, /*On fail goto*//*Label 6682*/ GIMT_Encode4(369990), // Rule ID 23444 //
     /*  369929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  369932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  369937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  369940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  369943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  369946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  369949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  369961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  369968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  369968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  369971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  369973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  369975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  369977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  369982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  369985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  369988 */     GIR_RootConstrainSelectedInstOperands,
     /*  369989 */     // GIR_Coverage, 23444,
     /*  369989 */     GIR_EraseRootFromParent_Done,
     /*  369990 */   // Label 6682: @369990
     /*  369990 */   GIM_Try, /*On fail goto*//*Label 6683*/ GIMT_Encode4(370056), // Rule ID 23445 //
     /*  369995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  369998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  370006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  370009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  370012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11323:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  370037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370054 */     GIR_RootConstrainSelectedInstOperands,
     /*  370055 */     // GIR_Coverage, 23445,
     /*  370055 */     GIR_EraseRootFromParent_Done,
     /*  370056 */   // Label 6683: @370056
     /*  370056 */   GIM_Try, /*On fail goto*//*Label 6684*/ GIMT_Encode4(370122), // Rule ID 23448 //
     /*  370061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  370078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  370100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  370103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370120 */     GIR_RootConstrainSelectedInstOperands,
     /*  370121 */     // GIR_Coverage, 23448,
     /*  370121 */     GIR_EraseRootFromParent_Done,
     /*  370122 */   // Label 6684: @370122
     /*  370122 */   GIM_Try, /*On fail goto*//*Label 6685*/ GIMT_Encode4(370188), // Rule ID 23449 //
     /*  370127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  370138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  370141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  370144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11323:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  370166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  370169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  370183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370186 */     GIR_RootConstrainSelectedInstOperands,
     /*  370187 */     // GIR_Coverage, 23449,
     /*  370187 */     GIR_EraseRootFromParent_Done,
     /*  370188 */   // Label 6685: @370188
     /*  370188 */   GIM_Try, /*On fail goto*//*Label 6686*/ GIMT_Encode4(370254), // Rule ID 23452 //
     /*  370193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  370196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  370204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  370207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  370210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  370232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  370235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370252 */     GIR_RootConstrainSelectedInstOperands,
     /*  370253 */     // GIR_Coverage, 23452,
     /*  370253 */     GIR_EraseRootFromParent_Done,
     /*  370254 */   // Label 6686: @370254
     /*  370254 */   GIM_Try, /*On fail goto*//*Label 6687*/ GIMT_Encode4(370320), // Rule ID 23453 //
     /*  370259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  370262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  370270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  370273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  370276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370298 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11323:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  370298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1),
     /*  370301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  370315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370318 */     GIR_RootConstrainSelectedInstOperands,
     /*  370319 */     // GIR_Coverage, 23453,
     /*  370319 */     GIR_EraseRootFromParent_Done,
     /*  370320 */   // Label 6687: @370320
     /*  370320 */   GIM_Try, /*On fail goto*//*Label 6688*/ GIMT_Encode4(370386), // Rule ID 23456 //
     /*  370325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370364 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370384 */     GIR_RootConstrainSelectedInstOperands,
     /*  370385 */     // GIR_Coverage, 23456,
     /*  370385 */     GIR_EraseRootFromParent_Done,
     /*  370386 */   // Label 6688: @370386
     /*  370386 */   GIM_Try, /*On fail goto*//*Label 6689*/ GIMT_Encode4(370452), // Rule ID 23457 //
     /*  370391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  370402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  370405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370450 */     GIR_RootConstrainSelectedInstOperands,
     /*  370451 */     // GIR_Coverage, 23457,
     /*  370451 */     GIR_EraseRootFromParent_Done,
     /*  370452 */   // Label 6689: @370452
     /*  370452 */   GIM_Try, /*On fail goto*//*Label 6690*/ GIMT_Encode4(370518), // Rule ID 23460 //
     /*  370457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  370468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  370471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  370474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370496 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370516 */     GIR_RootConstrainSelectedInstOperands,
     /*  370517 */     // GIR_Coverage, 23460,
     /*  370517 */     GIR_EraseRootFromParent_Done,
     /*  370518 */   // Label 6690: @370518
     /*  370518 */   GIM_Try, /*On fail goto*//*Label 6691*/ GIMT_Encode4(370584), // Rule ID 23461 //
     /*  370523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  370534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  370537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  370540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370562 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370582 */     GIR_RootConstrainSelectedInstOperands,
     /*  370583 */     // GIR_Coverage, 23461,
     /*  370583 */     GIR_EraseRootFromParent_Done,
     /*  370584 */   // Label 6691: @370584
     /*  370584 */   GIM_Try, /*On fail goto*//*Label 6692*/ GIMT_Encode4(370650), // Rule ID 23464 //
     /*  370589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  370600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  370603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  370606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370628 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  370628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370648 */     GIR_RootConstrainSelectedInstOperands,
     /*  370649 */     // GIR_Coverage, 23464,
     /*  370649 */     GIR_EraseRootFromParent_Done,
     /*  370650 */   // Label 6692: @370650
     /*  370650 */   GIM_Try, /*On fail goto*//*Label 6693*/ GIMT_Encode4(370716), // Rule ID 23465 //
     /*  370655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  370666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  370669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  370672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  370683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370694 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  370694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  370697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  370711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370714 */     GIR_RootConstrainSelectedInstOperands,
     /*  370715 */     // GIR_Coverage, 23465,
     /*  370715 */     GIR_EraseRootFromParent_Done,
     /*  370716 */   // Label 6693: @370716
     /*  370716 */   GIM_Try, /*On fail goto*//*Label 6694*/ GIMT_Encode4(370782), // Rule ID 23468 //
     /*  370721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370760 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370780 */     GIR_RootConstrainSelectedInstOperands,
     /*  370781 */     // GIR_Coverage, 23468,
     /*  370781 */     GIR_EraseRootFromParent_Done,
     /*  370782 */   // Label 6694: @370782
     /*  370782 */   GIM_Try, /*On fail goto*//*Label 6695*/ GIMT_Encode4(370848), // Rule ID 23469 //
     /*  370787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  370798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  370801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  370804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  370815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370826 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  370829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370846 */     GIR_RootConstrainSelectedInstOperands,
     /*  370847 */     // GIR_Coverage, 23469,
     /*  370847 */     GIR_EraseRootFromParent_Done,
     /*  370848 */   // Label 6695: @370848
     /*  370848 */   GIM_Try, /*On fail goto*//*Label 6696*/ GIMT_Encode4(370914), // Rule ID 23472 //
     /*  370853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  370873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  370892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370912 */     GIR_RootConstrainSelectedInstOperands,
     /*  370913 */     // GIR_Coverage, 23472,
     /*  370913 */     GIR_EraseRootFromParent_Done,
     /*  370914 */   // Label 6696: @370914
     /*  370914 */   GIM_Try, /*On fail goto*//*Label 6697*/ GIMT_Encode4(370980), // Rule ID 23473 //
     /*  370919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  370922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  370930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  370933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  370936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  370939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  370947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  370951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  370958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  370958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  370961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  370963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  370965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  370967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  370972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  370975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  370978 */     GIR_RootConstrainSelectedInstOperands,
     /*  370979 */     // GIR_Coverage, 23473,
     /*  370979 */     GIR_EraseRootFromParent_Done,
     /*  370980 */   // Label 6697: @370980
     /*  370980 */   GIM_Try, /*On fail goto*//*Label 6698*/ GIMT_Encode4(371046), // Rule ID 23476 //
     /*  370985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  370988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  370993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  370996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  370999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  371002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  371024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371044 */     GIR_RootConstrainSelectedInstOperands,
     /*  371045 */     // GIR_Coverage, 23476,
     /*  371045 */     GIR_EraseRootFromParent_Done,
     /*  371046 */   // Label 6698: @371046
     /*  371046 */   GIM_Try, /*On fail goto*//*Label 6699*/ GIMT_Encode4(371112), // Rule ID 23477 //
     /*  371051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  371062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  371065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  371068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  371090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  371107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371110 */     GIR_RootConstrainSelectedInstOperands,
     /*  371111 */     // GIR_Coverage, 23477,
     /*  371111 */     GIR_EraseRootFromParent_Done,
     /*  371112 */   // Label 6699: @371112
     /*  371112 */   GIM_Try, /*On fail goto*//*Label 6700*/ GIMT_Encode4(371178), // Rule ID 23480 //
     /*  371117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  371128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  371131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  371134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371156 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  371159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371176 */     GIR_RootConstrainSelectedInstOperands,
     /*  371177 */     // GIR_Coverage, 23480,
     /*  371177 */     GIR_EraseRootFromParent_Done,
     /*  371178 */   // Label 6700: @371178
     /*  371178 */   GIM_Try, /*On fail goto*//*Label 6701*/ GIMT_Encode4(371244), // Rule ID 23481 //
     /*  371183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  371194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  371197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  371200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  371225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371242 */     GIR_RootConstrainSelectedInstOperands,
     /*  371243 */     // GIR_Coverage, 23481,
     /*  371243 */     GIR_EraseRootFromParent_Done,
     /*  371244 */   // Label 6701: @371244
     /*  371244 */   GIM_Try, /*On fail goto*//*Label 6702*/ GIMT_Encode4(371310), // Rule ID 23484 //
     /*  371249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  371266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  371291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371308 */     GIR_RootConstrainSelectedInstOperands,
     /*  371309 */     // GIR_Coverage, 23484,
     /*  371309 */     GIR_EraseRootFromParent_Done,
     /*  371310 */   // Label 6702: @371310
     /*  371310 */   GIM_Try, /*On fail goto*//*Label 6703*/ GIMT_Encode4(371376), // Rule ID 23485 //
     /*  371315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  371326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  371329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  371332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  371357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371374 */     GIR_RootConstrainSelectedInstOperands,
     /*  371375 */     // GIR_Coverage, 23485,
     /*  371375 */     GIR_EraseRootFromParent_Done,
     /*  371376 */   // Label 6703: @371376
     /*  371376 */   GIM_Try, /*On fail goto*//*Label 6704*/ GIMT_Encode4(371442), // Rule ID 23488 //
     /*  371381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  371384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  371392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  371395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  371398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  371420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371440 */     GIR_RootConstrainSelectedInstOperands,
     /*  371441 */     // GIR_Coverage, 23488,
     /*  371441 */     GIR_EraseRootFromParent_Done,
     /*  371442 */   // Label 6704: @371442
     /*  371442 */   GIM_Try, /*On fail goto*//*Label 6705*/ GIMT_Encode4(371508), // Rule ID 23489 //
     /*  371447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  371450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  371458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  371461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  371464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  371486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  371503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371506 */     GIR_RootConstrainSelectedInstOperands,
     /*  371507 */     // GIR_Coverage, 23489,
     /*  371507 */     GIR_EraseRootFromParent_Done,
     /*  371508 */   // Label 6705: @371508
     /*  371508 */   GIM_Try, /*On fail goto*//*Label 6706*/ GIMT_Encode4(371574), // Rule ID 23492 //
     /*  371513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  371516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  371524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  371527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  371530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  371555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371572 */     GIR_RootConstrainSelectedInstOperands,
     /*  371573 */     // GIR_Coverage, 23492,
     /*  371573 */     GIR_EraseRootFromParent_Done,
     /*  371574 */   // Label 6706: @371574
     /*  371574 */   GIM_Try, /*On fail goto*//*Label 6707*/ GIMT_Encode4(371640), // Rule ID 23493 //
     /*  371579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  371582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  371590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  371593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  371596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  371607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11323:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2),
     /*  371621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371638 */     GIR_RootConstrainSelectedInstOperands,
     /*  371639 */     // GIR_Coverage, 23493,
     /*  371639 */     GIR_EraseRootFromParent_Done,
     /*  371640 */   // Label 6707: @371640
     /*  371640 */   GIM_Try, /*On fail goto*//*Label 6708*/ GIMT_Encode4(371706), // Rule ID 23496 //
     /*  371645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  371648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  371656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  371659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  371662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371684 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  371687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371704 */     GIR_RootConstrainSelectedInstOperands,
     /*  371705 */     // GIR_Coverage, 23496,
     /*  371705 */     GIR_EraseRootFromParent_Done,
     /*  371706 */   // Label 6708: @371706
     /*  371706 */   GIM_Try, /*On fail goto*//*Label 6709*/ GIMT_Encode4(371772), // Rule ID 23497 //
     /*  371711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  371714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  371722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  371725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  371728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  371739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371750 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11323:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4),
     /*  371753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371770 */     GIR_RootConstrainSelectedInstOperands,
     /*  371771 */     // GIR_Coverage, 23497,
     /*  371771 */     GIR_EraseRootFromParent_Done,
     /*  371772 */   // Label 6709: @371772
     /*  371772 */   GIM_Try, /*On fail goto*//*Label 6710*/ GIMT_Encode4(371838), // Rule ID 23500 //
     /*  371777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  371780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  371788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  371791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  371794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  371816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371836 */     GIR_RootConstrainSelectedInstOperands,
     /*  371837 */     // GIR_Coverage, 23500,
     /*  371837 */     GIR_EraseRootFromParent_Done,
     /*  371838 */   // Label 6710: @371838
     /*  371838 */   GIM_Try, /*On fail goto*//*Label 6711*/ GIMT_Encode4(371904), // Rule ID 23501 //
     /*  371843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  371846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota),
     /*  371851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  371854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  371857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  371860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  371871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371882 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11323:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVIOTA_M_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  371882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8),
     /*  371885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  371899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371902 */     GIR_RootConstrainSelectedInstOperands,
     /*  371903 */     // GIR_Coverage, 23501,
     /*  371903 */     GIR_EraseRootFromParent_Done,
     /*  371904 */   // Label 6711: @371904
     /*  371904 */   GIM_Try, /*On fail goto*//*Label 6712*/ GIMT_Encode4(371970), // Rule ID 60616 //
     /*  371909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  371912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  371929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  371948 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  371948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  371951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  371953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  371955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  371957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  371962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  371965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  371968 */     GIR_RootConstrainSelectedInstOperands,
     /*  371969 */     // GIR_Coverage, 60616,
     /*  371969 */     GIR_EraseRootFromParent_Done,
     /*  371970 */   // Label 6712: @371970
     /*  371970 */   GIM_Try, /*On fail goto*//*Label 6713*/ GIMT_Encode4(372036), // Rule ID 60617 //
     /*  371975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  371978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  371983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  371986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  371989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  371992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  371995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  371999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372014 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /*  372017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372034 */     GIR_RootConstrainSelectedInstOperands,
     /*  372035 */     // GIR_Coverage, 60617,
     /*  372035 */     GIR_EraseRootFromParent_Done,
     /*  372036 */   // Label 6713: @372036
     /*  372036 */   GIM_Try, /*On fail goto*//*Label 6714*/ GIMT_Encode4(372102), // Rule ID 60620 //
     /*  372041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  372083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372100 */     GIR_RootConstrainSelectedInstOperands,
     /*  372101 */     // GIR_Coverage, 60620,
     /*  372101 */     GIR_EraseRootFromParent_Done,
     /*  372102 */   // Label 6714: @372102
     /*  372102 */   GIM_Try, /*On fail goto*//*Label 6715*/ GIMT_Encode4(372168), // Rule ID 60621 //
     /*  372107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  372118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  372121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  372124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  372149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372166 */     GIR_RootConstrainSelectedInstOperands,
     /*  372167 */     // GIR_Coverage, 60621,
     /*  372167 */     GIR_EraseRootFromParent_Done,
     /*  372168 */   // Label 6715: @372168
     /*  372168 */   GIM_Try, /*On fail goto*//*Label 6716*/ GIMT_Encode4(372234), // Rule ID 60624 //
     /*  372173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372232 */     GIR_RootConstrainSelectedInstOperands,
     /*  372233 */     // GIR_Coverage, 60624,
     /*  372233 */     GIR_EraseRootFromParent_Done,
     /*  372234 */   // Label 6716: @372234
     /*  372234 */   GIM_Try, /*On fail goto*//*Label 6717*/ GIMT_Encode4(372300), // Rule ID 60625 //
     /*  372239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  372250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  372253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  372256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372298 */     GIR_RootConstrainSelectedInstOperands,
     /*  372299 */     // GIR_Coverage, 60625,
     /*  372299 */     GIR_EraseRootFromParent_Done,
     /*  372300 */   // Label 6717: @372300
     /*  372300 */   GIM_Try, /*On fail goto*//*Label 6718*/ GIMT_Encode4(372366), // Rule ID 60628 //
     /*  372305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  372316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  372319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  372322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  372347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372364 */     GIR_RootConstrainSelectedInstOperands,
     /*  372365 */     // GIR_Coverage, 60628,
     /*  372365 */     GIR_EraseRootFromParent_Done,
     /*  372366 */   // Label 6718: @372366
     /*  372366 */   GIM_Try, /*On fail goto*//*Label 6719*/ GIMT_Encode4(372432), // Rule ID 60629 //
     /*  372371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  372382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  372385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  372388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372410 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /*  372413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372430 */     GIR_RootConstrainSelectedInstOperands,
     /*  372431 */     // GIR_Coverage, 60629,
     /*  372431 */     GIR_EraseRootFromParent_Done,
     /*  372432 */   // Label 6719: @372432
     /*  372432 */   GIM_Try, /*On fail goto*//*Label 6720*/ GIMT_Encode4(372498), // Rule ID 60632 //
     /*  372437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  372448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  372451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  372454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372476 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372496 */     GIR_RootConstrainSelectedInstOperands,
     /*  372497 */     // GIR_Coverage, 60632,
     /*  372497 */     GIR_EraseRootFromParent_Done,
     /*  372498 */   // Label 6720: @372498
     /*  372498 */   GIM_Try, /*On fail goto*//*Label 6721*/ GIMT_Encode4(372564), // Rule ID 60633 //
     /*  372503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  372514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  372517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  372520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372562 */     GIR_RootConstrainSelectedInstOperands,
     /*  372563 */     // GIR_Coverage, 60633,
     /*  372563 */     GIR_EraseRootFromParent_Done,
     /*  372564 */   // Label 6721: @372564
     /*  372564 */   GIM_Try, /*On fail goto*//*Label 6722*/ GIMT_Encode4(372630), // Rule ID 60636 //
     /*  372569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  372580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  372583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  372586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  372608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372628 */     GIR_RootConstrainSelectedInstOperands,
     /*  372629 */     // GIR_Coverage, 60636,
     /*  372629 */     GIR_EraseRootFromParent_Done,
     /*  372630 */   // Label 6722: @372630
     /*  372630 */   GIM_Try, /*On fail goto*//*Label 6723*/ GIMT_Encode4(372696), // Rule ID 60637 //
     /*  372635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  372646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  372649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  372652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372674 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  372674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /*  372677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  372691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372694 */     GIR_RootConstrainSelectedInstOperands,
     /*  372695 */     // GIR_Coverage, 60637,
     /*  372695 */     GIR_EraseRootFromParent_Done,
     /*  372696 */   // Label 6723: @372696
     /*  372696 */   GIM_Try, /*On fail goto*//*Label 6724*/ GIMT_Encode4(372762), // Rule ID 60640 //
     /*  372701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372740 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  372740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372760 */     GIR_RootConstrainSelectedInstOperands,
     /*  372761 */     // GIR_Coverage, 60640,
     /*  372761 */     GIR_EraseRootFromParent_Done,
     /*  372762 */   // Label 6724: @372762
     /*  372762 */   GIM_Try, /*On fail goto*//*Label 6725*/ GIMT_Encode4(372828), // Rule ID 60641 //
     /*  372767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  372778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  372781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  372784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11164:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  372806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  372823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372826 */     GIR_RootConstrainSelectedInstOperands,
     /*  372827 */     // GIR_Coverage, 60641,
     /*  372827 */     GIR_EraseRootFromParent_Done,
     /*  372828 */   // Label 6725: @372828
     /*  372828 */   GIM_Try, /*On fail goto*//*Label 6726*/ GIMT_Encode4(372894), // Rule ID 60644 //
     /*  372833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  372872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372892 */     GIR_RootConstrainSelectedInstOperands,
     /*  372893 */     // GIR_Coverage, 60644,
     /*  372893 */     GIR_EraseRootFromParent_Done,
     /*  372894 */   // Label 6726: @372894
     /*  372894 */   GIM_Try, /*On fail goto*//*Label 6727*/ GIMT_Encode4(372960), // Rule ID 60645 //
     /*  372899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  372902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  372910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  372913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  372916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  372919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  372938 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11164:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  372938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  372941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  372943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  372945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  372947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  372952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  372955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  372958 */     GIR_RootConstrainSelectedInstOperands,
     /*  372959 */     // GIR_Coverage, 60645,
     /*  372959 */     GIR_EraseRootFromParent_Done,
     /*  372960 */   // Label 6727: @372960
     /*  372960 */   GIM_Try, /*On fail goto*//*Label 6728*/ GIMT_Encode4(373026), // Rule ID 60648 //
     /*  372965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  372968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  372973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  372976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  372979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  372982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  372985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  372997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  373004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  373007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373024 */     GIR_RootConstrainSelectedInstOperands,
     /*  373025 */     // GIR_Coverage, 60648,
     /*  373025 */     GIR_EraseRootFromParent_Done,
     /*  373026 */   // Label 6728: @373026
     /*  373026 */   GIM_Try, /*On fail goto*//*Label 6729*/ GIMT_Encode4(373092), // Rule ID 60649 //
     /*  373031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  373042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  373045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  373048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373070 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11164:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  373070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  373073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  373087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373090 */     GIR_RootConstrainSelectedInstOperands,
     /*  373091 */     // GIR_Coverage, 60649,
     /*  373091 */     GIR_EraseRootFromParent_Done,
     /*  373092 */   // Label 6729: @373092
     /*  373092 */   GIM_Try, /*On fail goto*//*Label 6730*/ GIMT_Encode4(373158), // Rule ID 60652 //
     /*  373097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  373108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  373111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  373114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  373136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  373139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373156 */     GIR_RootConstrainSelectedInstOperands,
     /*  373157 */     // GIR_Coverage, 60652,
     /*  373157 */     GIR_EraseRootFromParent_Done,
     /*  373158 */   // Label 6730: @373158
     /*  373158 */   GIM_Try, /*On fail goto*//*Label 6731*/ GIMT_Encode4(373224), // Rule ID 60653 //
     /*  373163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  373174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  373177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  373180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  373195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373202 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11164:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  373202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /*  373205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  373219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373222 */     GIR_RootConstrainSelectedInstOperands,
     /*  373223 */     // GIR_Coverage, 60653,
     /*  373223 */     GIR_EraseRootFromParent_Done,
     /*  373224 */   // Label 6731: @373224
     /*  373224 */   GIM_Try, /*On fail goto*//*Label 6732*/ GIMT_Encode4(373290), // Rule ID 60656 //
     /*  373229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373268 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373288 */     GIR_RootConstrainSelectedInstOperands,
     /*  373289 */     // GIR_Coverage, 60656,
     /*  373289 */     GIR_EraseRootFromParent_Done,
     /*  373290 */   // Label 6732: @373290
     /*  373290 */   GIM_Try, /*On fail goto*//*Label 6733*/ GIMT_Encode4(373356), // Rule ID 60657 //
     /*  373295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  373306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  373309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  373312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373354 */     GIR_RootConstrainSelectedInstOperands,
     /*  373355 */     // GIR_Coverage, 60657,
     /*  373355 */     GIR_EraseRootFromParent_Done,
     /*  373356 */   // Label 6733: @373356
     /*  373356 */   GIM_Try, /*On fail goto*//*Label 6734*/ GIMT_Encode4(373422), // Rule ID 60660 //
     /*  373361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373420 */     GIR_RootConstrainSelectedInstOperands,
     /*  373421 */     // GIR_Coverage, 60660,
     /*  373421 */     GIR_EraseRootFromParent_Done,
     /*  373422 */   // Label 6734: @373422
     /*  373422 */   GIM_Try, /*On fail goto*//*Label 6735*/ GIMT_Encode4(373488), // Rule ID 60661 //
     /*  373427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  373438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  373441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  373444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373486 */     GIR_RootConstrainSelectedInstOperands,
     /*  373487 */     // GIR_Coverage, 60661,
     /*  373487 */     GIR_EraseRootFromParent_Done,
     /*  373488 */   // Label 6735: @373488
     /*  373488 */   GIM_Try, /*On fail goto*//*Label 6736*/ GIMT_Encode4(373554), // Rule ID 60664 //
     /*  373493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  373504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  373507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  373510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373532 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  373532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373552 */     GIR_RootConstrainSelectedInstOperands,
     /*  373553 */     // GIR_Coverage, 60664,
     /*  373553 */     GIR_EraseRootFromParent_Done,
     /*  373554 */   // Label 6736: @373554
     /*  373554 */   GIM_Try, /*On fail goto*//*Label 6737*/ GIMT_Encode4(373620), // Rule ID 60665 //
     /*  373559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  373570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  373573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  373576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373598 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  373598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  373615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373618 */     GIR_RootConstrainSelectedInstOperands,
     /*  373619 */     // GIR_Coverage, 60665,
     /*  373619 */     GIR_EraseRootFromParent_Done,
     /*  373620 */   // Label 6737: @373620
     /*  373620 */   GIM_Try, /*On fail goto*//*Label 6738*/ GIMT_Encode4(373686), // Rule ID 60668 //
     /*  373625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  373636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  373639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  373642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373664 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373684 */     GIR_RootConstrainSelectedInstOperands,
     /*  373685 */     // GIR_Coverage, 60668,
     /*  373685 */     GIR_EraseRootFromParent_Done,
     /*  373686 */   // Label 6738: @373686
     /*  373686 */   GIM_Try, /*On fail goto*//*Label 6739*/ GIMT_Encode4(373752), // Rule ID 60669 //
     /*  373691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  373702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  373705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  373708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  373723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373730 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  373733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373750 */     GIR_RootConstrainSelectedInstOperands,
     /*  373751 */     // GIR_Coverage, 60669,
     /*  373751 */     GIR_EraseRootFromParent_Done,
     /*  373752 */   // Label 6739: @373752
     /*  373752 */   GIM_Try, /*On fail goto*//*Label 6740*/ GIMT_Encode4(373818), // Rule ID 60672 //
     /*  373757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373816 */     GIR_RootConstrainSelectedInstOperands,
     /*  373817 */     // GIR_Coverage, 60672,
     /*  373817 */     GIR_EraseRootFromParent_Done,
     /*  373818 */   // Label 6740: @373818
     /*  373818 */   GIM_Try, /*On fail goto*//*Label 6741*/ GIMT_Encode4(373884), // Rule ID 60673 //
     /*  373823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  373834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  373837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  373840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  373855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373862 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  373865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373882 */     GIR_RootConstrainSelectedInstOperands,
     /*  373883 */     // GIR_Coverage, 60673,
     /*  373883 */     GIR_EraseRootFromParent_Done,
     /*  373884 */   // Label 6741: @373884
     /*  373884 */   GIM_Try, /*On fail goto*//*Label 6742*/ GIMT_Encode4(373950), // Rule ID 60676 //
     /*  373889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  373892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  373909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  373928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  373935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  373937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  373942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  373945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  373948 */     GIR_RootConstrainSelectedInstOperands,
     /*  373949 */     // GIR_Coverage, 60676,
     /*  373949 */     GIR_EraseRootFromParent_Done,
     /*  373950 */   // Label 6742: @373950
     /*  373950 */   GIM_Try, /*On fail goto*//*Label 6743*/ GIMT_Encode4(374016), // Rule ID 60677 //
     /*  373955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  373958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  373963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  373966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  373969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  373972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  373975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  373987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  373994 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  373994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  373997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  373999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  374011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374014 */     GIR_RootConstrainSelectedInstOperands,
     /*  374015 */     // GIR_Coverage, 60677,
     /*  374015 */     GIR_EraseRootFromParent_Done,
     /*  374016 */   // Label 6743: @374016
     /*  374016 */   GIM_Try, /*On fail goto*//*Label 6744*/ GIMT_Encode4(374082), // Rule ID 60680 //
     /*  374021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374060 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  374063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374080 */     GIR_RootConstrainSelectedInstOperands,
     /*  374081 */     // GIR_Coverage, 60680,
     /*  374081 */     GIR_EraseRootFromParent_Done,
     /*  374082 */   // Label 6744: @374082
     /*  374082 */   GIM_Try, /*On fail goto*//*Label 6745*/ GIMT_Encode4(374148), // Rule ID 60681 //
     /*  374087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  374098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  374101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  374104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374126 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  374129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374146 */     GIR_RootConstrainSelectedInstOperands,
     /*  374147 */     // GIR_Coverage, 60681,
     /*  374147 */     GIR_EraseRootFromParent_Done,
     /*  374148 */   // Label 6745: @374148
     /*  374148 */   GIM_Try, /*On fail goto*//*Label 6746*/ GIMT_Encode4(374214), // Rule ID 60684 //
     /*  374153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  374195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374212 */     GIR_RootConstrainSelectedInstOperands,
     /*  374213 */     // GIR_Coverage, 60684,
     /*  374213 */     GIR_EraseRootFromParent_Done,
     /*  374214 */   // Label 6746: @374214
     /*  374214 */   GIM_Try, /*On fail goto*//*Label 6747*/ GIMT_Encode4(374280), // Rule ID 60685 //
     /*  374219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  374230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  374233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  374236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374258 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  374261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374278 */     GIR_RootConstrainSelectedInstOperands,
     /*  374279 */     // GIR_Coverage, 60685,
     /*  374279 */     GIR_EraseRootFromParent_Done,
     /*  374280 */   // Label 6747: @374280
     /*  374280 */   GIM_Try, /*On fail goto*//*Label 6748*/ GIMT_Encode4(374346), // Rule ID 60688 //
     /*  374285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  374324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  374327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374344 */     GIR_RootConstrainSelectedInstOperands,
     /*  374345 */     // GIR_Coverage, 60688,
     /*  374345 */     GIR_EraseRootFromParent_Done,
     /*  374346 */   // Label 6748: @374346
     /*  374346 */   GIM_Try, /*On fail goto*//*Label 6749*/ GIMT_Encode4(374412), // Rule ID 60689 //
     /*  374351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  374362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  374365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  374368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  374390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  374393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  374407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374410 */     GIR_RootConstrainSelectedInstOperands,
     /*  374411 */     // GIR_Coverage, 60689,
     /*  374411 */     GIR_EraseRootFromParent_Done,
     /*  374412 */   // Label 6749: @374412
     /*  374412 */   GIM_Try, /*On fail goto*//*Label 6750*/ GIMT_Encode4(374478), // Rule ID 60692 //
     /*  374417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  374428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  374431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  374434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  374459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374476 */     GIR_RootConstrainSelectedInstOperands,
     /*  374477 */     // GIR_Coverage, 60692,
     /*  374477 */     GIR_EraseRootFromParent_Done,
     /*  374478 */   // Label 6750: @374478
     /*  374478 */   GIM_Try, /*On fail goto*//*Label 6751*/ GIMT_Encode4(374544), // Rule ID 60693 //
     /*  374483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  374494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  374497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  374500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  374515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11164:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /*  374525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374542 */     GIR_RootConstrainSelectedInstOperands,
     /*  374543 */     // GIR_Coverage, 60693,
     /*  374543 */     GIR_EraseRootFromParent_Done,
     /*  374544 */   // Label 6751: @374544
     /*  374544 */   GIM_Try, /*On fail goto*//*Label 6752*/ GIMT_Encode4(374610), // Rule ID 60696 //
     /*  374549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  374560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  374563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  374566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  374591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374608 */     GIR_RootConstrainSelectedInstOperands,
     /*  374609 */     // GIR_Coverage, 60696,
     /*  374609 */     GIR_EraseRootFromParent_Done,
     /*  374610 */   // Label 6752: @374610
     /*  374610 */   GIM_Try, /*On fail goto*//*Label 6753*/ GIMT_Encode4(374676), // Rule ID 60697 //
     /*  374615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  374626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  374629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  374632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  374647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11164:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /*  374657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374674 */     GIR_RootConstrainSelectedInstOperands,
     /*  374675 */     // GIR_Coverage, 60697,
     /*  374675 */     GIR_EraseRootFromParent_Done,
     /*  374676 */   // Label 6753: @374676
     /*  374676 */   GIM_Try, /*On fail goto*//*Label 6754*/ GIMT_Encode4(374742), // Rule ID 60700 //
     /*  374681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  374720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  374723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374740 */     GIR_RootConstrainSelectedInstOperands,
     /*  374741 */     // GIR_Coverage, 60700,
     /*  374741 */     GIR_EraseRootFromParent_Done,
     /*  374742 */   // Label 6754: @374742
     /*  374742 */   GIM_Try, /*On fail goto*//*Label 6755*/ GIMT_Encode4(374808), // Rule ID 60701 //
     /*  374747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev),
     /*  374755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  374758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  374761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  374764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  374779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11164:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  374786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /*  374789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  374803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374806 */     GIR_RootConstrainSelectedInstOperands,
     /*  374807 */     // GIR_Coverage, 60701,
     /*  374807 */     GIR_EraseRootFromParent_Done,
     /*  374808 */   // Label 6755: @374808
     /*  374808 */   GIM_Try, /*On fail goto*//*Label 6756*/ GIMT_Encode4(374874), // Rule ID 60704 //
     /*  374813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  374824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  374827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  374830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374852 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  374855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374872 */     GIR_RootConstrainSelectedInstOperands,
     /*  374873 */     // GIR_Coverage, 60704,
     /*  374873 */     GIR_EraseRootFromParent_Done,
     /*  374874 */   // Label 6756: @374874
     /*  374874 */   GIM_Try, /*On fail goto*//*Label 6757*/ GIMT_Encode4(374940), // Rule ID 60705 //
     /*  374879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  374882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  374890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  374893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  374896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  374899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374918 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  374918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /*  374921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  374935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  374938 */     GIR_RootConstrainSelectedInstOperands,
     /*  374939 */     // GIR_Coverage, 60705,
     /*  374939 */     GIR_EraseRootFromParent_Done,
     /*  374940 */   // Label 6757: @374940
     /*  374940 */   GIM_Try, /*On fail goto*//*Label 6758*/ GIMT_Encode4(375006), // Rule ID 60708 //
     /*  374945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  374948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  374953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  374956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  374959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  374962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  374965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  374977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  374984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  374984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  374987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  374989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  374991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  374993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  374998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375004 */     GIR_RootConstrainSelectedInstOperands,
     /*  375005 */     // GIR_Coverage, 60708,
     /*  375005 */     GIR_EraseRootFromParent_Done,
     /*  375006 */   // Label 6758: @375006
     /*  375006 */   GIM_Try, /*On fail goto*//*Label 6759*/ GIMT_Encode4(375072), // Rule ID 60709 //
     /*  375011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  375022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  375025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  375028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375050 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  375053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375070 */     GIR_RootConstrainSelectedInstOperands,
     /*  375071 */     // GIR_Coverage, 60709,
     /*  375071 */     GIR_EraseRootFromParent_Done,
     /*  375072 */   // Label 6759: @375072
     /*  375072 */   GIM_Try, /*On fail goto*//*Label 6760*/ GIMT_Encode4(375138), // Rule ID 60712 //
     /*  375077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375116 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  375119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375136 */     GIR_RootConstrainSelectedInstOperands,
     /*  375137 */     // GIR_Coverage, 60712,
     /*  375137 */     GIR_EraseRootFromParent_Done,
     /*  375138 */   // Label 6760: @375138
     /*  375138 */   GIM_Try, /*On fail goto*//*Label 6761*/ GIMT_Encode4(375204), // Rule ID 60713 //
     /*  375143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  375154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  375157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  375160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375182 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  375185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375202 */     GIR_RootConstrainSelectedInstOperands,
     /*  375203 */     // GIR_Coverage, 60713,
     /*  375203 */     GIR_EraseRootFromParent_Done,
     /*  375204 */   // Label 6761: @375204
     /*  375204 */   GIM_Try, /*On fail goto*//*Label 6762*/ GIMT_Encode4(375270), // Rule ID 60716 //
     /*  375209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375248 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  375251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375268 */     GIR_RootConstrainSelectedInstOperands,
     /*  375269 */     // GIR_Coverage, 60716,
     /*  375269 */     GIR_EraseRootFromParent_Done,
     /*  375270 */   // Label 6762: @375270
     /*  375270 */   GIM_Try, /*On fail goto*//*Label 6763*/ GIMT_Encode4(375336), // Rule ID 60717 //
     /*  375275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  375286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  375289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  375292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /*  375317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375334 */     GIR_RootConstrainSelectedInstOperands,
     /*  375335 */     // GIR_Coverage, 60717,
     /*  375335 */     GIR_EraseRootFromParent_Done,
     /*  375336 */   // Label 6763: @375336
     /*  375336 */   GIM_Try, /*On fail goto*//*Label 6764*/ GIMT_Encode4(375402), // Rule ID 60720 //
     /*  375341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  375383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375400 */     GIR_RootConstrainSelectedInstOperands,
     /*  375401 */     // GIR_Coverage, 60720,
     /*  375401 */     GIR_EraseRootFromParent_Done,
     /*  375402 */   // Label 6764: @375402
     /*  375402 */   GIM_Try, /*On fail goto*//*Label 6765*/ GIMT_Encode4(375468), // Rule ID 60721 //
     /*  375407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  375418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  375421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  375424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375446 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  375449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375466 */     GIR_RootConstrainSelectedInstOperands,
     /*  375467 */     // GIR_Coverage, 60721,
     /*  375467 */     GIR_EraseRootFromParent_Done,
     /*  375468 */   // Label 6765: @375468
     /*  375468 */   GIM_Try, /*On fail goto*//*Label 6766*/ GIMT_Encode4(375534), // Rule ID 60724 //
     /*  375473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  375484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  375487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  375490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375512 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  375515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375532 */     GIR_RootConstrainSelectedInstOperands,
     /*  375533 */     // GIR_Coverage, 60724,
     /*  375533 */     GIR_EraseRootFromParent_Done,
     /*  375534 */   // Label 6766: @375534
     /*  375534 */   GIM_Try, /*On fail goto*//*Label 6767*/ GIMT_Encode4(375600), // Rule ID 60725 //
     /*  375539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  375550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  375553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  375556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /*  375581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375598 */     GIR_RootConstrainSelectedInstOperands,
     /*  375599 */     // GIR_Coverage, 60725,
     /*  375599 */     GIR_EraseRootFromParent_Done,
     /*  375600 */   // Label 6767: @375600
     /*  375600 */   GIM_Try, /*On fail goto*//*Label 6768*/ GIMT_Encode4(375666), // Rule ID 60728 //
     /*  375605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  375616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  375619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  375622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  375644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375664 */     GIR_RootConstrainSelectedInstOperands,
     /*  375665 */     // GIR_Coverage, 60728,
     /*  375665 */     GIR_EraseRootFromParent_Done,
     /*  375666 */   // Label 6768: @375666
     /*  375666 */   GIM_Try, /*On fail goto*//*Label 6769*/ GIMT_Encode4(375732), // Rule ID 60729 //
     /*  375671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  375682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  375685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  375688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375710 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11172:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  375710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  375727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375730 */     GIR_RootConstrainSelectedInstOperands,
     /*  375731 */     // GIR_Coverage, 60729,
     /*  375731 */     GIR_EraseRootFromParent_Done,
     /*  375732 */   // Label 6769: @375732
     /*  375732 */   GIM_Try, /*On fail goto*//*Label 6770*/ GIMT_Encode4(375798), // Rule ID 60732 //
     /*  375737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  375748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  375751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  375754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  375776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375796 */     GIR_RootConstrainSelectedInstOperands,
     /*  375797 */     // GIR_Coverage, 60732,
     /*  375797 */     GIR_EraseRootFromParent_Done,
     /*  375798 */   // Label 6770: @375798
     /*  375798 */   GIM_Try, /*On fail goto*//*Label 6771*/ GIMT_Encode4(375864), // Rule ID 60733 //
     /*  375803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  375814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  375817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  375820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11172:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  375842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  375859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375862 */     GIR_RootConstrainSelectedInstOperands,
     /*  375863 */     // GIR_Coverage, 60733,
     /*  375863 */     GIR_EraseRootFromParent_Done,
     /*  375864 */   // Label 6771: @375864
     /*  375864 */   GIM_Try, /*On fail goto*//*Label 6772*/ GIMT_Encode4(375930), // Rule ID 60736 //
     /*  375869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  375872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  375880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  375883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  375886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  375889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  375908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375928 */     GIR_RootConstrainSelectedInstOperands,
     /*  375929 */     // GIR_Coverage, 60736,
     /*  375929 */     GIR_EraseRootFromParent_Done,
     /*  375930 */   // Label 6772: @375930
     /*  375930 */   GIM_Try, /*On fail goto*//*Label 6773*/ GIMT_Encode4(375996), // Rule ID 60737 //
     /*  375935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  375938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  375943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  375946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  375949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  375952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  375955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  375967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  375974 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11172:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  375974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  375977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  375979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  375981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  375983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  375988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  375991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  375994 */     GIR_RootConstrainSelectedInstOperands,
     /*  375995 */     // GIR_Coverage, 60737,
     /*  375995 */     GIR_EraseRootFromParent_Done,
     /*  375996 */   // Label 6773: @375996
     /*  375996 */   GIM_Try, /*On fail goto*//*Label 6774*/ GIMT_Encode4(376062), // Rule ID 60740 //
     /*  376001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376040 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  376040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  376043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376060 */     GIR_RootConstrainSelectedInstOperands,
     /*  376061 */     // GIR_Coverage, 60740,
     /*  376061 */     GIR_EraseRootFromParent_Done,
     /*  376062 */   // Label 6774: @376062
     /*  376062 */   GIM_Try, /*On fail goto*//*Label 6775*/ GIMT_Encode4(376128), // Rule ID 60741 //
     /*  376067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  376078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  376081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  376084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  376099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11172:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  376106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /*  376109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  376123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376126 */     GIR_RootConstrainSelectedInstOperands,
     /*  376127 */     // GIR_Coverage, 60741,
     /*  376127 */     GIR_EraseRootFromParent_Done,
     /*  376128 */   // Label 6775: @376128
     /*  376128 */   GIM_Try, /*On fail goto*//*Label 6776*/ GIMT_Encode4(376194), // Rule ID 60744 //
     /*  376133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376192 */     GIR_RootConstrainSelectedInstOperands,
     /*  376193 */     // GIR_Coverage, 60744,
     /*  376193 */     GIR_EraseRootFromParent_Done,
     /*  376194 */   // Label 6776: @376194
     /*  376194 */   GIM_Try, /*On fail goto*//*Label 6777*/ GIMT_Encode4(376260), // Rule ID 60745 //
     /*  376199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  376210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  376213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  376216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376238 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376258 */     GIR_RootConstrainSelectedInstOperands,
     /*  376259 */     // GIR_Coverage, 60745,
     /*  376259 */     GIR_EraseRootFromParent_Done,
     /*  376260 */   // Label 6777: @376260
     /*  376260 */   GIM_Try, /*On fail goto*//*Label 6778*/ GIMT_Encode4(376326), // Rule ID 60748 //
     /*  376265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  376276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  376279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  376282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376324 */     GIR_RootConstrainSelectedInstOperands,
     /*  376325 */     // GIR_Coverage, 60748,
     /*  376325 */     GIR_EraseRootFromParent_Done,
     /*  376326 */   // Label 6778: @376326
     /*  376326 */   GIM_Try, /*On fail goto*//*Label 6779*/ GIMT_Encode4(376392), // Rule ID 60749 //
     /*  376331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  376342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  376345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  376348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376370 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376390 */     GIR_RootConstrainSelectedInstOperands,
     /*  376391 */     // GIR_Coverage, 60749,
     /*  376391 */     GIR_EraseRootFromParent_Done,
     /*  376392 */   // Label 6779: @376392
     /*  376392 */   GIM_Try, /*On fail goto*//*Label 6780*/ GIMT_Encode4(376458), // Rule ID 60752 //
     /*  376397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  376408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  376411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  376414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  376436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376456 */     GIR_RootConstrainSelectedInstOperands,
     /*  376457 */     // GIR_Coverage, 60752,
     /*  376457 */     GIR_EraseRootFromParent_Done,
     /*  376458 */   // Label 6780: @376458
     /*  376458 */   GIM_Try, /*On fail goto*//*Label 6781*/ GIMT_Encode4(376524), // Rule ID 60753 //
     /*  376463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  376474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  376477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  376480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376502 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  376502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  376519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376522 */     GIR_RootConstrainSelectedInstOperands,
     /*  376523 */     // GIR_Coverage, 60753,
     /*  376523 */     GIR_EraseRootFromParent_Done,
     /*  376524 */   // Label 6781: @376524
     /*  376524 */   GIM_Try, /*On fail goto*//*Label 6782*/ GIMT_Encode4(376590), // Rule ID 60756 //
     /*  376529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  376540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  376543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  376546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376588 */     GIR_RootConstrainSelectedInstOperands,
     /*  376589 */     // GIR_Coverage, 60756,
     /*  376589 */     GIR_EraseRootFromParent_Done,
     /*  376590 */   // Label 6782: @376590
     /*  376590 */   GIM_Try, /*On fail goto*//*Label 6783*/ GIMT_Encode4(376656), // Rule ID 60757 //
     /*  376595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  376606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  376609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  376612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376654 */     GIR_RootConstrainSelectedInstOperands,
     /*  376655 */     // GIR_Coverage, 60757,
     /*  376655 */     GIR_EraseRootFromParent_Done,
     /*  376656 */   // Label 6783: @376656
     /*  376656 */   GIM_Try, /*On fail goto*//*Label 6784*/ GIMT_Encode4(376722), // Rule ID 60760 //
     /*  376661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  376672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  376675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  376678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376720 */     GIR_RootConstrainSelectedInstOperands,
     /*  376721 */     // GIR_Coverage, 60760,
     /*  376721 */     GIR_EraseRootFromParent_Done,
     /*  376722 */   // Label 6784: @376722
     /*  376722 */   GIM_Try, /*On fail goto*//*Label 6785*/ GIMT_Encode4(376788), // Rule ID 60761 //
     /*  376727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  376738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  376741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  376744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  376759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376766 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  376769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376786 */     GIR_RootConstrainSelectedInstOperands,
     /*  376787 */     // GIR_Coverage, 60761,
     /*  376787 */     GIR_EraseRootFromParent_Done,
     /*  376788 */   // Label 6785: @376788
     /*  376788 */   GIM_Try, /*On fail goto*//*Label 6786*/ GIMT_Encode4(376854), // Rule ID 60764 //
     /*  376793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  376804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  376807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  376810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  376832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376852 */     GIR_RootConstrainSelectedInstOperands,
     /*  376853 */     // GIR_Coverage, 60764,
     /*  376853 */     GIR_EraseRootFromParent_Done,
     /*  376854 */   // Label 6786: @376854
     /*  376854 */   GIM_Try, /*On fail goto*//*Label 6787*/ GIMT_Encode4(376920), // Rule ID 60765 //
     /*  376859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  376870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  376873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  376876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  376879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  376891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  376898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  376901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  376915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376918 */     GIR_RootConstrainSelectedInstOperands,
     /*  376919 */     // GIR_Coverage, 60765,
     /*  376919 */     GIR_EraseRootFromParent_Done,
     /*  376920 */   // Label 6787: @376920
     /*  376920 */   GIM_Try, /*On fail goto*//*Label 6788*/ GIMT_Encode4(376986), // Rule ID 60768 //
     /*  376925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  376928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  376936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  376939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  376942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  376945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  376957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  376964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  376964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  376967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  376969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  376971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  376973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  376978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  376981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  376984 */     GIR_RootConstrainSelectedInstOperands,
     /*  376985 */     // GIR_Coverage, 60768,
     /*  376985 */     GIR_EraseRootFromParent_Done,
     /*  376986 */   // Label 6788: @376986
     /*  376986 */   GIM_Try, /*On fail goto*//*Label 6789*/ GIMT_Encode4(377052), // Rule ID 60769 //
     /*  376991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  376994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  376999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  377002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  377005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  377008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  377033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377050 */     GIR_RootConstrainSelectedInstOperands,
     /*  377051 */     // GIR_Coverage, 60769,
     /*  377051 */     GIR_EraseRootFromParent_Done,
     /*  377052 */   // Label 6789: @377052
     /*  377052 */   GIM_Try, /*On fail goto*//*Label 6790*/ GIMT_Encode4(377118), // Rule ID 60772 //
     /*  377057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  377068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  377071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  377074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377096 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  377099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377116 */     GIR_RootConstrainSelectedInstOperands,
     /*  377117 */     // GIR_Coverage, 60772,
     /*  377117 */     GIR_EraseRootFromParent_Done,
     /*  377118 */   // Label 6790: @377118
     /*  377118 */   GIM_Try, /*On fail goto*//*Label 6791*/ GIMT_Encode4(377184), // Rule ID 60773 //
     /*  377123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  377134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  377137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  377140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  377165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377182 */     GIR_RootConstrainSelectedInstOperands,
     /*  377183 */     // GIR_Coverage, 60773,
     /*  377183 */     GIR_EraseRootFromParent_Done,
     /*  377184 */   // Label 6791: @377184
     /*  377184 */   GIM_Try, /*On fail goto*//*Label 6792*/ GIMT_Encode4(377250), // Rule ID 60776 //
     /*  377189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  377200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  377203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  377206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  377228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  377231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377248 */     GIR_RootConstrainSelectedInstOperands,
     /*  377249 */     // GIR_Coverage, 60776,
     /*  377249 */     GIR_EraseRootFromParent_Done,
     /*  377250 */   // Label 6792: @377250
     /*  377250 */   GIM_Try, /*On fail goto*//*Label 6793*/ GIMT_Encode4(377316), // Rule ID 60777 //
     /*  377255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  377266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  377269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  377272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  377294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  377297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  377311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377314 */     GIR_RootConstrainSelectedInstOperands,
     /*  377315 */     // GIR_Coverage, 60777,
     /*  377315 */     GIR_EraseRootFromParent_Done,
     /*  377316 */   // Label 6793: @377316
     /*  377316 */   GIM_Try, /*On fail goto*//*Label 6794*/ GIMT_Encode4(377382), // Rule ID 60780 //
     /*  377321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  377332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  377335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  377338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377360 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  377363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377380 */     GIR_RootConstrainSelectedInstOperands,
     /*  377381 */     // GIR_Coverage, 60780,
     /*  377381 */     GIR_EraseRootFromParent_Done,
     /*  377382 */   // Label 6794: @377382
     /*  377382 */   GIM_Try, /*On fail goto*//*Label 6795*/ GIMT_Encode4(377448), // Rule ID 60781 //
     /*  377387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  377398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  377401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  377404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  377419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377426 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11172:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /*  377429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377446 */     GIR_RootConstrainSelectedInstOperands,
     /*  377447 */     // GIR_Coverage, 60781,
     /*  377447 */     GIR_EraseRootFromParent_Done,
     /*  377448 */   // Label 6795: @377448
     /*  377448 */   GIM_Try, /*On fail goto*//*Label 6796*/ GIMT_Encode4(377514), // Rule ID 60784 //
     /*  377453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  377464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  377467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  377470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377492 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  377495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377512 */     GIR_RootConstrainSelectedInstOperands,
     /*  377513 */     // GIR_Coverage, 60784,
     /*  377513 */     GIR_EraseRootFromParent_Done,
     /*  377514 */   // Label 6796: @377514
     /*  377514 */   GIM_Try, /*On fail goto*//*Label 6797*/ GIMT_Encode4(377580), // Rule ID 60785 //
     /*  377519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  377530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  377533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  377536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  377551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377558 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11172:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /*  377561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377578 */     GIR_RootConstrainSelectedInstOperands,
     /*  377579 */     // GIR_Coverage, 60785,
     /*  377579 */     GIR_EraseRootFromParent_Done,
     /*  377580 */   // Label 6797: @377580
     /*  377580 */   GIM_Try, /*On fail goto*//*Label 6798*/ GIMT_Encode4(377646), // Rule ID 60788 //
     /*  377585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  377596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  377599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  377602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377624 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  377624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  377627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377644 */     GIR_RootConstrainSelectedInstOperands,
     /*  377645 */     // GIR_Coverage, 60788,
     /*  377645 */     GIR_EraseRootFromParent_Done,
     /*  377646 */   // Label 6798: @377646
     /*  377646 */   GIM_Try, /*On fail goto*//*Label 6799*/ GIMT_Encode4(377712), // Rule ID 60789 //
     /*  377651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz),
     /*  377659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  377662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  377665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  377668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  377683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11172:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  377690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /*  377693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  377707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377710 */     GIR_RootConstrainSelectedInstOperands,
     /*  377711 */     // GIR_Coverage, 60789,
     /*  377711 */     GIR_EraseRootFromParent_Done,
     /*  377712 */   // Label 6799: @377712
     /*  377712 */   GIM_Try, /*On fail goto*//*Label 6800*/ GIMT_Encode4(377778), // Rule ID 60792 //
     /*  377717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  377728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  377731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  377734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377756 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  377759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377776 */     GIR_RootConstrainSelectedInstOperands,
     /*  377777 */     // GIR_Coverage, 60792,
     /*  377777 */     GIR_EraseRootFromParent_Done,
     /*  377778 */   // Label 6800: @377778
     /*  377778 */   GIM_Try, /*On fail goto*//*Label 6801*/ GIMT_Encode4(377844), // Rule ID 60793 //
     /*  377783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  377794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  377797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  377800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377822 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /*  377825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377842 */     GIR_RootConstrainSelectedInstOperands,
     /*  377843 */     // GIR_Coverage, 60793,
     /*  377843 */     GIR_EraseRootFromParent_Done,
     /*  377844 */   // Label 6801: @377844
     /*  377844 */   GIM_Try, /*On fail goto*//*Label 6802*/ GIMT_Encode4(377910), // Rule ID 60796 //
     /*  377849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  377860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  377863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  377866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  377869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377888 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  377888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377908 */     GIR_RootConstrainSelectedInstOperands,
     /*  377909 */     // GIR_Coverage, 60796,
     /*  377909 */     GIR_EraseRootFromParent_Done,
     /*  377910 */   // Label 6802: @377910
     /*  377910 */   GIM_Try, /*On fail goto*//*Label 6803*/ GIMT_Encode4(377976), // Rule ID 60797 //
     /*  377915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  377918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  377926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  377929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  377932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  377935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  377947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  377954 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  377954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  377957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  377959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  377961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  377963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  377968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  377971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  377974 */     GIR_RootConstrainSelectedInstOperands,
     /*  377975 */     // GIR_Coverage, 60797,
     /*  377975 */     GIR_EraseRootFromParent_Done,
     /*  377976 */   // Label 6803: @377976
     /*  377976 */   GIM_Try, /*On fail goto*//*Label 6804*/ GIMT_Encode4(378042), // Rule ID 60800 //
     /*  377981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  377984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  377989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  377992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  377995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  377998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378020 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  378023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378040 */     GIR_RootConstrainSelectedInstOperands,
     /*  378041 */     // GIR_Coverage, 60800,
     /*  378041 */     GIR_EraseRootFromParent_Done,
     /*  378042 */   // Label 6804: @378042
     /*  378042 */   GIM_Try, /*On fail goto*//*Label 6805*/ GIMT_Encode4(378108), // Rule ID 60801 //
     /*  378047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  378058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  378061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  378064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378086 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  378089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378106 */     GIR_RootConstrainSelectedInstOperands,
     /*  378107 */     // GIR_Coverage, 60801,
     /*  378107 */     GIR_EraseRootFromParent_Done,
     /*  378108 */   // Label 6805: @378108
     /*  378108 */   GIM_Try, /*On fail goto*//*Label 6806*/ GIMT_Encode4(378174), // Rule ID 60804 //
     /*  378113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  378124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  378127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  378130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378152 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  378155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378172 */     GIR_RootConstrainSelectedInstOperands,
     /*  378173 */     // GIR_Coverage, 60804,
     /*  378173 */     GIR_EraseRootFromParent_Done,
     /*  378174 */   // Label 6806: @378174
     /*  378174 */   GIM_Try, /*On fail goto*//*Label 6807*/ GIMT_Encode4(378240), // Rule ID 60805 //
     /*  378179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  378190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  378193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  378196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378218 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /*  378221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378238 */     GIR_RootConstrainSelectedInstOperands,
     /*  378239 */     // GIR_Coverage, 60805,
     /*  378239 */     GIR_EraseRootFromParent_Done,
     /*  378240 */   // Label 6807: @378240
     /*  378240 */   GIM_Try, /*On fail goto*//*Label 6808*/ GIMT_Encode4(378306), // Rule ID 60808 //
     /*  378245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  378256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  378259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  378262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  378287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378304 */     GIR_RootConstrainSelectedInstOperands,
     /*  378305 */     // GIR_Coverage, 60808,
     /*  378305 */     GIR_EraseRootFromParent_Done,
     /*  378306 */   // Label 6808: @378306
     /*  378306 */   GIM_Try, /*On fail goto*//*Label 6809*/ GIMT_Encode4(378372), // Rule ID 60809 //
     /*  378311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  378322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  378325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  378328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378350 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  378353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378370 */     GIR_RootConstrainSelectedInstOperands,
     /*  378371 */     // GIR_Coverage, 60809,
     /*  378371 */     GIR_EraseRootFromParent_Done,
     /*  378372 */   // Label 6809: @378372
     /*  378372 */   GIM_Try, /*On fail goto*//*Label 6810*/ GIMT_Encode4(378438), // Rule ID 60812 //
     /*  378377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  378388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  378391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  378394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  378419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378436 */     GIR_RootConstrainSelectedInstOperands,
     /*  378437 */     // GIR_Coverage, 60812,
     /*  378437 */     GIR_EraseRootFromParent_Done,
     /*  378438 */   // Label 6810: @378438
     /*  378438 */   GIM_Try, /*On fail goto*//*Label 6811*/ GIMT_Encode4(378504), // Rule ID 60813 //
     /*  378443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  378454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  378457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  378460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378482 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /*  378485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378502 */     GIR_RootConstrainSelectedInstOperands,
     /*  378503 */     // GIR_Coverage, 60813,
     /*  378503 */     GIR_EraseRootFromParent_Done,
     /*  378504 */   // Label 6811: @378504
     /*  378504 */   GIM_Try, /*On fail goto*//*Label 6812*/ GIMT_Encode4(378570), // Rule ID 60816 //
     /*  378509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  378520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  378523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  378526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  378548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378568 */     GIR_RootConstrainSelectedInstOperands,
     /*  378569 */     // GIR_Coverage, 60816,
     /*  378569 */     GIR_EraseRootFromParent_Done,
     /*  378570 */   // Label 6812: @378570
     /*  378570 */   GIM_Try, /*On fail goto*//*Label 6813*/ GIMT_Encode4(378636), // Rule ID 60817 //
     /*  378575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  378586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  378589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  378592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11179:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  378614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  378631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378634 */     GIR_RootConstrainSelectedInstOperands,
     /*  378635 */     // GIR_Coverage, 60817,
     /*  378635 */     GIR_EraseRootFromParent_Done,
     /*  378636 */   // Label 6813: @378636
     /*  378636 */   GIM_Try, /*On fail goto*//*Label 6814*/ GIMT_Encode4(378702), // Rule ID 60820 //
     /*  378641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  378652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  378655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  378658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  378680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378700 */     GIR_RootConstrainSelectedInstOperands,
     /*  378701 */     // GIR_Coverage, 60820,
     /*  378701 */     GIR_EraseRootFromParent_Done,
     /*  378702 */   // Label 6814: @378702
     /*  378702 */   GIM_Try, /*On fail goto*//*Label 6815*/ GIMT_Encode4(378768), // Rule ID 60821 //
     /*  378707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  378718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  378721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  378724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11179:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  378746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  378763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378766 */     GIR_RootConstrainSelectedInstOperands,
     /*  378767 */     // GIR_Coverage, 60821,
     /*  378767 */     GIR_EraseRootFromParent_Done,
     /*  378768 */   // Label 6815: @378768
     /*  378768 */   GIM_Try, /*On fail goto*//*Label 6816*/ GIMT_Encode4(378834), // Rule ID 60824 //
     /*  378773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  378784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  378787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  378790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  378812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378832 */     GIR_RootConstrainSelectedInstOperands,
     /*  378833 */     // GIR_Coverage, 60824,
     /*  378833 */     GIR_EraseRootFromParent_Done,
     /*  378834 */   // Label 6816: @378834
     /*  378834 */   GIM_Try, /*On fail goto*//*Label 6817*/ GIMT_Encode4(378900), // Rule ID 60825 //
     /*  378839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  378850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  378853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  378856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11179:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  378878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  378895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378898 */     GIR_RootConstrainSelectedInstOperands,
     /*  378899 */     // GIR_Coverage, 60825,
     /*  378899 */     GIR_EraseRootFromParent_Done,
     /*  378900 */   // Label 6817: @378900
     /*  378900 */   GIM_Try, /*On fail goto*//*Label 6818*/ GIMT_Encode4(378966), // Rule ID 60828 //
     /*  378905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  378908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  378925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  378944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  378944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  378947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  378949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  378951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  378953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  378958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  378961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  378964 */     GIR_RootConstrainSelectedInstOperands,
     /*  378965 */     // GIR_Coverage, 60828,
     /*  378965 */     GIR_EraseRootFromParent_Done,
     /*  378966 */   // Label 6818: @378966
     /*  378966 */   GIM_Try, /*On fail goto*//*Label 6819*/ GIMT_Encode4(379032), // Rule ID 60829 //
     /*  378971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  378974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  378979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  378982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  378985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  378988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  378991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  378999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  379003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11179:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  379010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /*  379013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  379027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379030 */     GIR_RootConstrainSelectedInstOperands,
     /*  379031 */     // GIR_Coverage, 60829,
     /*  379031 */     GIR_EraseRootFromParent_Done,
     /*  379032 */   // Label 6819: @379032
     /*  379032 */   GIM_Try, /*On fail goto*//*Label 6820*/ GIMT_Encode4(379098), // Rule ID 60832 //
     /*  379037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  379048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  379051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  379054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379076 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379096 */     GIR_RootConstrainSelectedInstOperands,
     /*  379097 */     // GIR_Coverage, 60832,
     /*  379097 */     GIR_EraseRootFromParent_Done,
     /*  379098 */   // Label 6820: @379098
     /*  379098 */   GIM_Try, /*On fail goto*//*Label 6821*/ GIMT_Encode4(379164), // Rule ID 60833 //
     /*  379103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  379114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  379117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  379120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379162 */     GIR_RootConstrainSelectedInstOperands,
     /*  379163 */     // GIR_Coverage, 60833,
     /*  379163 */     GIR_EraseRootFromParent_Done,
     /*  379164 */   // Label 6821: @379164
     /*  379164 */   GIM_Try, /*On fail goto*//*Label 6822*/ GIMT_Encode4(379230), // Rule ID 60836 //
     /*  379169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  379180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  379183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  379186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379228 */     GIR_RootConstrainSelectedInstOperands,
     /*  379229 */     // GIR_Coverage, 60836,
     /*  379229 */     GIR_EraseRootFromParent_Done,
     /*  379230 */   // Label 6822: @379230
     /*  379230 */   GIM_Try, /*On fail goto*//*Label 6823*/ GIMT_Encode4(379296), // Rule ID 60837 //
     /*  379235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  379246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  379249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  379252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379294 */     GIR_RootConstrainSelectedInstOperands,
     /*  379295 */     // GIR_Coverage, 60837,
     /*  379295 */     GIR_EraseRootFromParent_Done,
     /*  379296 */   // Label 6823: @379296
     /*  379296 */   GIM_Try, /*On fail goto*//*Label 6824*/ GIMT_Encode4(379362), // Rule ID 60840 //
     /*  379301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  379312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  379315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  379318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379340 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  379340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379360 */     GIR_RootConstrainSelectedInstOperands,
     /*  379361 */     // GIR_Coverage, 60840,
     /*  379361 */     GIR_EraseRootFromParent_Done,
     /*  379362 */   // Label 6824: @379362
     /*  379362 */   GIM_Try, /*On fail goto*//*Label 6825*/ GIMT_Encode4(379428), // Rule ID 60841 //
     /*  379367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  379378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  379381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  379384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379406 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  379406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  379423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379426 */     GIR_RootConstrainSelectedInstOperands,
     /*  379427 */     // GIR_Coverage, 60841,
     /*  379427 */     GIR_EraseRootFromParent_Done,
     /*  379428 */   // Label 6825: @379428
     /*  379428 */   GIM_Try, /*On fail goto*//*Label 6826*/ GIMT_Encode4(379494), // Rule ID 60844 //
     /*  379433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  379444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  379447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  379450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379492 */     GIR_RootConstrainSelectedInstOperands,
     /*  379493 */     // GIR_Coverage, 60844,
     /*  379493 */     GIR_EraseRootFromParent_Done,
     /*  379494 */   // Label 6826: @379494
     /*  379494 */   GIM_Try, /*On fail goto*//*Label 6827*/ GIMT_Encode4(379560), // Rule ID 60845 //
     /*  379499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  379510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  379513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  379516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379558 */     GIR_RootConstrainSelectedInstOperands,
     /*  379559 */     // GIR_Coverage, 60845,
     /*  379559 */     GIR_EraseRootFromParent_Done,
     /*  379560 */   // Label 6827: @379560
     /*  379560 */   GIM_Try, /*On fail goto*//*Label 6828*/ GIMT_Encode4(379626), // Rule ID 60848 //
     /*  379565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  379576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  379579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  379582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379624 */     GIR_RootConstrainSelectedInstOperands,
     /*  379625 */     // GIR_Coverage, 60848,
     /*  379625 */     GIR_EraseRootFromParent_Done,
     /*  379626 */   // Label 6828: @379626
     /*  379626 */   GIM_Try, /*On fail goto*//*Label 6829*/ GIMT_Encode4(379692), // Rule ID 60849 //
     /*  379631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  379642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  379645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  379648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  379673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379690 */     GIR_RootConstrainSelectedInstOperands,
     /*  379691 */     // GIR_Coverage, 60849,
     /*  379691 */     GIR_EraseRootFromParent_Done,
     /*  379692 */   // Label 6829: @379692
     /*  379692 */   GIM_Try, /*On fail goto*//*Label 6830*/ GIMT_Encode4(379758), // Rule ID 60852 //
     /*  379697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  379736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379756 */     GIR_RootConstrainSelectedInstOperands,
     /*  379757 */     // GIR_Coverage, 60852,
     /*  379757 */     GIR_EraseRootFromParent_Done,
     /*  379758 */   // Label 6830: @379758
     /*  379758 */   GIM_Try, /*On fail goto*//*Label 6831*/ GIMT_Encode4(379824), // Rule ID 60853 //
     /*  379763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  379774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  379777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  379780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  379795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379802 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  379802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  379805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  379819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379822 */     GIR_RootConstrainSelectedInstOperands,
     /*  379823 */     // GIR_Coverage, 60853,
     /*  379823 */     GIR_EraseRootFromParent_Done,
     /*  379824 */   // Label 6831: @379824
     /*  379824 */   GIM_Try, /*On fail goto*//*Label 6832*/ GIMT_Encode4(379890), // Rule ID 60856 //
     /*  379829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  379868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379888 */     GIR_RootConstrainSelectedInstOperands,
     /*  379889 */     // GIR_Coverage, 60856,
     /*  379889 */     GIR_EraseRootFromParent_Done,
     /*  379890 */   // Label 6832: @379890
     /*  379890 */   GIM_Try, /*On fail goto*//*Label 6833*/ GIMT_Encode4(379956), // Rule ID 60857 //
     /*  379895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  379898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  379906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  379909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  379912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  379915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  379927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  379934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  379934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  379937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  379939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  379941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  379943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  379948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  379951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  379954 */     GIR_RootConstrainSelectedInstOperands,
     /*  379955 */     // GIR_Coverage, 60857,
     /*  379955 */     GIR_EraseRootFromParent_Done,
     /*  379956 */   // Label 6833: @379956
     /*  379956 */   GIM_Try, /*On fail goto*//*Label 6834*/ GIMT_Encode4(380022), // Rule ID 60860 //
     /*  379961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  379964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  379969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  379972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  379975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  379978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  379981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  379993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  380003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380020 */     GIR_RootConstrainSelectedInstOperands,
     /*  380021 */     // GIR_Coverage, 60860,
     /*  380021 */     GIR_EraseRootFromParent_Done,
     /*  380022 */   // Label 6834: @380022
     /*  380022 */   GIM_Try, /*On fail goto*//*Label 6835*/ GIMT_Encode4(380088), // Rule ID 60861 //
     /*  380027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  380038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  380041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  380044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380066 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  380069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380086 */     GIR_RootConstrainSelectedInstOperands,
     /*  380087 */     // GIR_Coverage, 60861,
     /*  380087 */     GIR_EraseRootFromParent_Done,
     /*  380088 */   // Label 6835: @380088
     /*  380088 */   GIM_Try, /*On fail goto*//*Label 6836*/ GIMT_Encode4(380154), // Rule ID 60864 //
     /*  380093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  380104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  380107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  380110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  380132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  380135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380152 */     GIR_RootConstrainSelectedInstOperands,
     /*  380153 */     // GIR_Coverage, 60864,
     /*  380153 */     GIR_EraseRootFromParent_Done,
     /*  380154 */   // Label 6836: @380154
     /*  380154 */   GIM_Try, /*On fail goto*//*Label 6837*/ GIMT_Encode4(380220), // Rule ID 60865 //
     /*  380159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  380170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  380173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  380176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  380198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  380201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  380215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380218 */     GIR_RootConstrainSelectedInstOperands,
     /*  380219 */     // GIR_Coverage, 60865,
     /*  380219 */     GIR_EraseRootFromParent_Done,
     /*  380220 */   // Label 6837: @380220
     /*  380220 */   GIM_Try, /*On fail goto*//*Label 6838*/ GIMT_Encode4(380286), // Rule ID 60868 //
     /*  380225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  380236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  380239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  380242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380264 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  380267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380284 */     GIR_RootConstrainSelectedInstOperands,
     /*  380285 */     // GIR_Coverage, 60868,
     /*  380285 */     GIR_EraseRootFromParent_Done,
     /*  380286 */   // Label 6838: @380286
     /*  380286 */   GIM_Try, /*On fail goto*//*Label 6839*/ GIMT_Encode4(380352), // Rule ID 60869 //
     /*  380291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  380302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  380305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  380308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  380323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11179:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /*  380333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380350 */     GIR_RootConstrainSelectedInstOperands,
     /*  380351 */     // GIR_Coverage, 60869,
     /*  380351 */     GIR_EraseRootFromParent_Done,
     /*  380352 */   // Label 6839: @380352
     /*  380352 */   GIM_Try, /*On fail goto*//*Label 6840*/ GIMT_Encode4(380418), // Rule ID 60872 //
     /*  380357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  380368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  380371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  380374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380396 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  380399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380416 */     GIR_RootConstrainSelectedInstOperands,
     /*  380417 */     // GIR_Coverage, 60872,
     /*  380417 */     GIR_EraseRootFromParent_Done,
     /*  380418 */   // Label 6840: @380418
     /*  380418 */   GIM_Try, /*On fail goto*//*Label 6841*/ GIMT_Encode4(380484), // Rule ID 60873 //
     /*  380423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  380434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  380437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  380440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  380455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380462 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11179:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /*  380465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380482 */     GIR_RootConstrainSelectedInstOperands,
     /*  380483 */     // GIR_Coverage, 60873,
     /*  380483 */     GIR_EraseRootFromParent_Done,
     /*  380484 */   // Label 6841: @380484
     /*  380484 */   GIM_Try, /*On fail goto*//*Label 6842*/ GIMT_Encode4(380550), // Rule ID 60876 //
     /*  380489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  380500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  380503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  380506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  380528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  380531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380548 */     GIR_RootConstrainSelectedInstOperands,
     /*  380549 */     // GIR_Coverage, 60876,
     /*  380549 */     GIR_EraseRootFromParent_Done,
     /*  380550 */   // Label 6842: @380550
     /*  380550 */   GIM_Try, /*On fail goto*//*Label 6843*/ GIMT_Encode4(380616), // Rule ID 60877 //
     /*  380555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz),
     /*  380563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  380566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  380569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  380572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  380587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11179:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  380594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /*  380597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  380611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380614 */     GIR_RootConstrainSelectedInstOperands,
     /*  380615 */     // GIR_Coverage, 60877,
     /*  380615 */     GIR_EraseRootFromParent_Done,
     /*  380616 */   // Label 6843: @380616
     /*  380616 */   GIM_Try, /*On fail goto*//*Label 6844*/ GIMT_Encode4(380682), // Rule ID 60880 //
     /*  380621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  380635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  380638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380660 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  380663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380680 */     GIR_RootConstrainSelectedInstOperands,
     /*  380681 */     // GIR_Coverage, 60880,
     /*  380681 */     GIR_EraseRootFromParent_Done,
     /*  380682 */   // Label 6844: @380682
     /*  380682 */   GIM_Try, /*On fail goto*//*Label 6845*/ GIMT_Encode4(380748), // Rule ID 60881 //
     /*  380687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  380698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  380701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  380704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380726 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /*  380729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380746 */     GIR_RootConstrainSelectedInstOperands,
     /*  380747 */     // GIR_Coverage, 60881,
     /*  380747 */     GIR_EraseRootFromParent_Done,
     /*  380748 */   // Label 6845: @380748
     /*  380748 */   GIM_Try, /*On fail goto*//*Label 6846*/ GIMT_Encode4(380814), // Rule ID 60884 //
     /*  380753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380792 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380812 */     GIR_RootConstrainSelectedInstOperands,
     /*  380813 */     // GIR_Coverage, 60884,
     /*  380813 */     GIR_EraseRootFromParent_Done,
     /*  380814 */   // Label 6846: @380814
     /*  380814 */   GIM_Try, /*On fail goto*//*Label 6847*/ GIMT_Encode4(380880), // Rule ID 60885 //
     /*  380819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  380830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  380833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  380836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380858 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  380861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380878 */     GIR_RootConstrainSelectedInstOperands,
     /*  380879 */     // GIR_Coverage, 60885,
     /*  380879 */     GIR_EraseRootFromParent_Done,
     /*  380880 */   // Label 6847: @380880
     /*  380880 */   GIM_Try, /*On fail goto*//*Label 6848*/ GIMT_Encode4(380946), // Rule ID 60888 //
     /*  380885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  380888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  380905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  380924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  380938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  380941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  380944 */     GIR_RootConstrainSelectedInstOperands,
     /*  380945 */     // GIR_Coverage, 60888,
     /*  380945 */     GIR_EraseRootFromParent_Done,
     /*  380946 */   // Label 6848: @380946
     /*  380946 */   GIM_Try, /*On fail goto*//*Label 6849*/ GIMT_Encode4(381012), // Rule ID 60889 //
     /*  380951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  380954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  380959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  380962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  380965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  380968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  380971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  380983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  380990 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  380990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  380993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  380995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  380997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  380999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381010 */     GIR_RootConstrainSelectedInstOperands,
     /*  381011 */     // GIR_Coverage, 60889,
     /*  381011 */     GIR_EraseRootFromParent_Done,
     /*  381012 */   // Label 6849: @381012
     /*  381012 */   GIM_Try, /*On fail goto*//*Label 6850*/ GIMT_Encode4(381078), // Rule ID 60892 //
     /*  381017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  381028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  381031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  381034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381056 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  381059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381076 */     GIR_RootConstrainSelectedInstOperands,
     /*  381077 */     // GIR_Coverage, 60892,
     /*  381077 */     GIR_EraseRootFromParent_Done,
     /*  381078 */   // Label 6850: @381078
     /*  381078 */   GIM_Try, /*On fail goto*//*Label 6851*/ GIMT_Encode4(381144), // Rule ID 60893 //
     /*  381083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  381094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  381097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  381100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /*  381125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381142 */     GIR_RootConstrainSelectedInstOperands,
     /*  381143 */     // GIR_Coverage, 60893,
     /*  381143 */     GIR_EraseRootFromParent_Done,
     /*  381144 */   // Label 6851: @381144
     /*  381144 */   GIM_Try, /*On fail goto*//*Label 6852*/ GIMT_Encode4(381210), // Rule ID 60896 //
     /*  381149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  381163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  381166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  381191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381208 */     GIR_RootConstrainSelectedInstOperands,
     /*  381209 */     // GIR_Coverage, 60896,
     /*  381209 */     GIR_EraseRootFromParent_Done,
     /*  381210 */   // Label 6852: @381210
     /*  381210 */   GIM_Try, /*On fail goto*//*Label 6853*/ GIMT_Encode4(381276), // Rule ID 60897 //
     /*  381215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  381226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  381229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  381232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381254 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  381257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381274 */     GIR_RootConstrainSelectedInstOperands,
     /*  381275 */     // GIR_Coverage, 60897,
     /*  381275 */     GIR_EraseRootFromParent_Done,
     /*  381276 */   // Label 6853: @381276
     /*  381276 */   GIM_Try, /*On fail goto*//*Label 6854*/ GIMT_Encode4(381342), // Rule ID 60900 //
     /*  381281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  381295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  381298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381320 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  381323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381340 */     GIR_RootConstrainSelectedInstOperands,
     /*  381341 */     // GIR_Coverage, 60900,
     /*  381341 */     GIR_EraseRootFromParent_Done,
     /*  381342 */   // Label 6854: @381342
     /*  381342 */   GIM_Try, /*On fail goto*//*Label 6855*/ GIMT_Encode4(381408), // Rule ID 60901 //
     /*  381347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  381358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  381361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  381364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /*  381389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381406 */     GIR_RootConstrainSelectedInstOperands,
     /*  381407 */     // GIR_Coverage, 60901,
     /*  381407 */     GIR_EraseRootFromParent_Done,
     /*  381408 */   // Label 6855: @381408
     /*  381408 */   GIM_Try, /*On fail goto*//*Label 6856*/ GIMT_Encode4(381474), // Rule ID 60904 //
     /*  381413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  381424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  381427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  381430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381452 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381472 */     GIR_RootConstrainSelectedInstOperands,
     /*  381473 */     // GIR_Coverage, 60904,
     /*  381473 */     GIR_EraseRootFromParent_Done,
     /*  381474 */   // Label 6856: @381474
     /*  381474 */   GIM_Try, /*On fail goto*//*Label 6857*/ GIMT_Encode4(381540), // Rule ID 60905 //
     /*  381479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  381490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  381493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  381496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381518 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11177:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  381518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381538 */     GIR_RootConstrainSelectedInstOperands,
     /*  381539 */     // GIR_Coverage, 60905,
     /*  381539 */     GIR_EraseRootFromParent_Done,
     /*  381540 */   // Label 6857: @381540
     /*  381540 */   GIM_Try, /*On fail goto*//*Label 6858*/ GIMT_Encode4(381606), // Rule ID 60908 //
     /*  381545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  381556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  381559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  381562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381584 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  381584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381604 */     GIR_RootConstrainSelectedInstOperands,
     /*  381605 */     // GIR_Coverage, 60908,
     /*  381605 */     GIR_EraseRootFromParent_Done,
     /*  381606 */   // Label 6858: @381606
     /*  381606 */   GIM_Try, /*On fail goto*//*Label 6859*/ GIMT_Encode4(381672), // Rule ID 60909 //
     /*  381611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  381622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  381625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  381628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11177:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  381650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  381667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381670 */     GIR_RootConstrainSelectedInstOperands,
     /*  381671 */     // GIR_Coverage, 60909,
     /*  381671 */     GIR_EraseRootFromParent_Done,
     /*  381672 */   // Label 6859: @381672
     /*  381672 */   GIM_Try, /*On fail goto*//*Label 6860*/ GIMT_Encode4(381738), // Rule ID 60912 //
     /*  381677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381716 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  381716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381736 */     GIR_RootConstrainSelectedInstOperands,
     /*  381737 */     // GIR_Coverage, 60912,
     /*  381737 */     GIR_EraseRootFromParent_Done,
     /*  381738 */   // Label 6860: @381738
     /*  381738 */   GIM_Try, /*On fail goto*//*Label 6861*/ GIMT_Encode4(381804), // Rule ID 60913 //
     /*  381743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  381754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  381757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  381760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381782 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11177:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  381782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  381799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381802 */     GIR_RootConstrainSelectedInstOperands,
     /*  381803 */     // GIR_Coverage, 60913,
     /*  381803 */     GIR_EraseRootFromParent_Done,
     /*  381804 */   // Label 6861: @381804
     /*  381804 */   GIM_Try, /*On fail goto*//*Label 6862*/ GIMT_Encode4(381870), // Rule ID 60916 //
     /*  381809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  381848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381868 */     GIR_RootConstrainSelectedInstOperands,
     /*  381869 */     // GIR_Coverage, 60916,
     /*  381869 */     GIR_EraseRootFromParent_Done,
     /*  381870 */   // Label 6862: @381870
     /*  381870 */   GIM_Try, /*On fail goto*//*Label 6863*/ GIMT_Encode4(381936), // Rule ID 60917 //
     /*  381875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  381878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  381886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  381889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  381892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  381895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  381907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11177:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  381914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /*  381917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  381931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  381934 */     GIR_RootConstrainSelectedInstOperands,
     /*  381935 */     // GIR_Coverage, 60917,
     /*  381935 */     GIR_EraseRootFromParent_Done,
     /*  381936 */   // Label 6863: @381936
     /*  381936 */   GIM_Try, /*On fail goto*//*Label 6864*/ GIMT_Encode4(382002), // Rule ID 60920 //
     /*  381941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  381944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  381949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  381952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  381955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  381958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  381961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  381973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  381980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  381980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  381983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  381985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  381987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  381989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  381994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  381997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382000 */     GIR_RootConstrainSelectedInstOperands,
     /*  382001 */     // GIR_Coverage, 60920,
     /*  382001 */     GIR_EraseRootFromParent_Done,
     /*  382002 */   // Label 6864: @382002
     /*  382002 */   GIM_Try, /*On fail goto*//*Label 6865*/ GIMT_Encode4(382068), // Rule ID 60921 //
     /*  382007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  382018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  382021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  382024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382046 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382066 */     GIR_RootConstrainSelectedInstOperands,
     /*  382067 */     // GIR_Coverage, 60921,
     /*  382067 */     GIR_EraseRootFromParent_Done,
     /*  382068 */   // Label 6865: @382068
     /*  382068 */   GIM_Try, /*On fail goto*//*Label 6866*/ GIMT_Encode4(382134), // Rule ID 60924 //
     /*  382073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  382087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  382090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382112 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382132 */     GIR_RootConstrainSelectedInstOperands,
     /*  382133 */     // GIR_Coverage, 60924,
     /*  382133 */     GIR_EraseRootFromParent_Done,
     /*  382134 */   // Label 6866: @382134
     /*  382134 */   GIM_Try, /*On fail goto*//*Label 6867*/ GIMT_Encode4(382200), // Rule ID 60925 //
     /*  382139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  382150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  382153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  382156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382198 */     GIR_RootConstrainSelectedInstOperands,
     /*  382199 */     // GIR_Coverage, 60925,
     /*  382199 */     GIR_EraseRootFromParent_Done,
     /*  382200 */   // Label 6867: @382200
     /*  382200 */   GIM_Try, /*On fail goto*//*Label 6868*/ GIMT_Encode4(382266), // Rule ID 60928 //
     /*  382205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  382219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  382222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382244 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  382244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382264 */     GIR_RootConstrainSelectedInstOperands,
     /*  382265 */     // GIR_Coverage, 60928,
     /*  382265 */     GIR_EraseRootFromParent_Done,
     /*  382266 */   // Label 6868: @382266
     /*  382266 */   GIM_Try, /*On fail goto*//*Label 6869*/ GIMT_Encode4(382332), // Rule ID 60929 //
     /*  382271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  382282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  382285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  382288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382310 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  382310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  382327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382330 */     GIR_RootConstrainSelectedInstOperands,
     /*  382331 */     // GIR_Coverage, 60929,
     /*  382331 */     GIR_EraseRootFromParent_Done,
     /*  382332 */   // Label 6869: @382332
     /*  382332 */   GIM_Try, /*On fail goto*//*Label 6870*/ GIMT_Encode4(382398), // Rule ID 60932 //
     /*  382337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  382351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  382354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382376 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382396 */     GIR_RootConstrainSelectedInstOperands,
     /*  382397 */     // GIR_Coverage, 60932,
     /*  382397 */     GIR_EraseRootFromParent_Done,
     /*  382398 */   // Label 6870: @382398
     /*  382398 */   GIM_Try, /*On fail goto*//*Label 6871*/ GIMT_Encode4(382464), // Rule ID 60933 //
     /*  382403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  382414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  382417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  382420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382442 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382462 */     GIR_RootConstrainSelectedInstOperands,
     /*  382463 */     // GIR_Coverage, 60933,
     /*  382463 */     GIR_EraseRootFromParent_Done,
     /*  382464 */   // Label 6871: @382464
     /*  382464 */   GIM_Try, /*On fail goto*//*Label 6872*/ GIMT_Encode4(382530), // Rule ID 60936 //
     /*  382469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  382480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  382483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  382486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382528 */     GIR_RootConstrainSelectedInstOperands,
     /*  382529 */     // GIR_Coverage, 60936,
     /*  382529 */     GIR_EraseRootFromParent_Done,
     /*  382530 */   // Label 6872: @382530
     /*  382530 */   GIM_Try, /*On fail goto*//*Label 6873*/ GIMT_Encode4(382596), // Rule ID 60937 //
     /*  382535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  382546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  382549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  382552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382574 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382594 */     GIR_RootConstrainSelectedInstOperands,
     /*  382595 */     // GIR_Coverage, 60937,
     /*  382595 */     GIR_EraseRootFromParent_Done,
     /*  382596 */   // Label 6873: @382596
     /*  382596 */   GIM_Try, /*On fail goto*//*Label 6874*/ GIMT_Encode4(382662), // Rule ID 60940 //
     /*  382601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  382612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  382615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  382618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  382640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382660 */     GIR_RootConstrainSelectedInstOperands,
     /*  382661 */     // GIR_Coverage, 60940,
     /*  382661 */     GIR_EraseRootFromParent_Done,
     /*  382662 */   // Label 6874: @382662
     /*  382662 */   GIM_Try, /*On fail goto*//*Label 6875*/ GIMT_Encode4(382728), // Rule ID 60941 //
     /*  382667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  382678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  382681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  382684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  382699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382706 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  382706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  382709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  382723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382726 */     GIR_RootConstrainSelectedInstOperands,
     /*  382727 */     // GIR_Coverage, 60941,
     /*  382727 */     GIR_EraseRootFromParent_Done,
     /*  382728 */   // Label 6875: @382728
     /*  382728 */   GIM_Try, /*On fail goto*//*Label 6876*/ GIMT_Encode4(382794), // Rule ID 60944 //
     /*  382733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  382747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  382750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382792 */     GIR_RootConstrainSelectedInstOperands,
     /*  382793 */     // GIR_Coverage, 60944,
     /*  382793 */     GIR_EraseRootFromParent_Done,
     /*  382794 */   // Label 6876: @382794
     /*  382794 */   GIM_Try, /*On fail goto*//*Label 6877*/ GIMT_Encode4(382860), // Rule ID 60945 //
     /*  382799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  382810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  382813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  382816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  382831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  382841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382858 */     GIR_RootConstrainSelectedInstOperands,
     /*  382859 */     // GIR_Coverage, 60945,
     /*  382859 */     GIR_EraseRootFromParent_Done,
     /*  382860 */   // Label 6877: @382860
     /*  382860 */   GIM_Try, /*On fail goto*//*Label 6878*/ GIMT_Encode4(382926), // Rule ID 60948 //
     /*  382865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  382868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  382885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  382904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382924 */     GIR_RootConstrainSelectedInstOperands,
     /*  382925 */     // GIR_Coverage, 60948,
     /*  382925 */     GIR_EraseRootFromParent_Done,
     /*  382926 */   // Label 6878: @382926
     /*  382926 */   GIM_Try, /*On fail goto*//*Label 6879*/ GIMT_Encode4(382992), // Rule ID 60949 //
     /*  382931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  382934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  382939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  382942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  382945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  382948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  382951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  382963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  382970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  382970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  382973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  382975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  382977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  382979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  382984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  382987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  382990 */     GIR_RootConstrainSelectedInstOperands,
     /*  382991 */     // GIR_Coverage, 60949,
     /*  382991 */     GIR_EraseRootFromParent_Done,
     /*  382992 */   // Label 6879: @382992
     /*  382992 */   GIM_Try, /*On fail goto*//*Label 6880*/ GIMT_Encode4(383058), // Rule ID 60952 //
     /*  382997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  383000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  383005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  383036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  383039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383056 */     GIR_RootConstrainSelectedInstOperands,
     /*  383057 */     // GIR_Coverage, 60952,
     /*  383057 */     GIR_EraseRootFromParent_Done,
     /*  383058 */   // Label 6880: @383058
     /*  383058 */   GIM_Try, /*On fail goto*//*Label 6881*/ GIMT_Encode4(383124), // Rule ID 60953 //
     /*  383063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  383066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  383071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  383074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  383077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  383080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  383102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  383105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  383119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383122 */     GIR_RootConstrainSelectedInstOperands,
     /*  383123 */     // GIR_Coverage, 60953,
     /*  383123 */     GIR_EraseRootFromParent_Done,
     /*  383124 */   // Label 6881: @383124
     /*  383124 */   GIM_Try, /*On fail goto*//*Label 6882*/ GIMT_Encode4(383190), // Rule ID 60956 //
     /*  383129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  383132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  383137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  383171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383188 */     GIR_RootConstrainSelectedInstOperands,
     /*  383189 */     // GIR_Coverage, 60956,
     /*  383189 */     GIR_EraseRootFromParent_Done,
     /*  383190 */   // Label 6882: @383190
     /*  383190 */   GIM_Try, /*On fail goto*//*Label 6883*/ GIMT_Encode4(383256), // Rule ID 60957 //
     /*  383195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  383198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  383203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  383206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  383209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  383212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  383227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383234 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11177:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /*  383237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383254 */     GIR_RootConstrainSelectedInstOperands,
     /*  383255 */     // GIR_Coverage, 60957,
     /*  383255 */     GIR_EraseRootFromParent_Done,
     /*  383256 */   // Label 6883: @383256
     /*  383256 */   GIM_Try, /*On fail goto*//*Label 6884*/ GIMT_Encode4(383322), // Rule ID 60960 //
     /*  383261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  383264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  383269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  383275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  383278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383300 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  383303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383320 */     GIR_RootConstrainSelectedInstOperands,
     /*  383321 */     // GIR_Coverage, 60960,
     /*  383321 */     GIR_EraseRootFromParent_Done,
     /*  383322 */   // Label 6884: @383322
     /*  383322 */   GIM_Try, /*On fail goto*//*Label 6885*/ GIMT_Encode4(383388), // Rule ID 60961 //
     /*  383327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  383330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  383335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  383338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  383341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  383344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  383359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383366 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11177:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /*  383369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383386 */     GIR_RootConstrainSelectedInstOperands,
     /*  383387 */     // GIR_Coverage, 60961,
     /*  383387 */     GIR_EraseRootFromParent_Done,
     /*  383388 */   // Label 6885: @383388
     /*  383388 */   GIM_Try, /*On fail goto*//*Label 6886*/ GIMT_Encode4(383454), // Rule ID 60964 //
     /*  383393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  383396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  383401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  383404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  383407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  383410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383432 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  383432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  383435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383452 */     GIR_RootConstrainSelectedInstOperands,
     /*  383453 */     // GIR_Coverage, 60964,
     /*  383453 */     GIR_EraseRootFromParent_Done,
     /*  383454 */   // Label 6886: @383454
     /*  383454 */   GIM_Try, /*On fail goto*//*Label 6887*/ GIMT_Encode4(383520), // Rule ID 60965 //
     /*  383459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  383462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv),
     /*  383467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  383470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  383473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  383476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  383491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383498 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11177:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  383498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /*  383501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  383515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383518 */     GIR_RootConstrainSelectedInstOperands,
     /*  383519 */     // GIR_Coverage, 60965,
     /*  383519 */     GIR_EraseRootFromParent_Done,
     /*  383520 */   // Label 6887: @383520
     /*  383520 */   GIM_Try, /*On fail goto*//*Label 6888*/ GIMT_Encode4(383586), // Rule ID 61388 //
     /*  383525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  383536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  383539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  383542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383564 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  383567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383584 */     GIR_RootConstrainSelectedInstOperands,
     /*  383585 */     // GIR_Coverage, 61388,
     /*  383585 */     GIR_EraseRootFromParent_Done,
     /*  383586 */   // Label 6888: @383586
     /*  383586 */   GIM_Try, /*On fail goto*//*Label 6889*/ GIMT_Encode4(383652), // Rule ID 61389 //
     /*  383591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  383602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  383605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  383608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383630 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8),
     /*  383633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383650 */     GIR_RootConstrainSelectedInstOperands,
     /*  383651 */     // GIR_Coverage, 61389,
     /*  383651 */     GIR_EraseRootFromParent_Done,
     /*  383652 */   // Label 6889: @383652
     /*  383652 */   GIM_Try, /*On fail goto*//*Label 6890*/ GIMT_Encode4(383718), // Rule ID 61392 //
     /*  383657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  383668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  383671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  383674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383716 */     GIR_RootConstrainSelectedInstOperands,
     /*  383717 */     // GIR_Coverage, 61392,
     /*  383717 */     GIR_EraseRootFromParent_Done,
     /*  383718 */   // Label 6890: @383718
     /*  383718 */   GIM_Try, /*On fail goto*//*Label 6891*/ GIMT_Encode4(383784), // Rule ID 61393 //
     /*  383723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  383734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  383737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  383740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383782 */     GIR_RootConstrainSelectedInstOperands,
     /*  383783 */     // GIR_Coverage, 61393,
     /*  383783 */     GIR_EraseRootFromParent_Done,
     /*  383784 */   // Label 6891: @383784
     /*  383784 */   GIM_Try, /*On fail goto*//*Label 6892*/ GIMT_Encode4(383850), // Rule ID 61396 //
     /*  383789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  383800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  383803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  383806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  383828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383848 */     GIR_RootConstrainSelectedInstOperands,
     /*  383849 */     // GIR_Coverage, 61396,
     /*  383849 */     GIR_EraseRootFromParent_Done,
     /*  383850 */   // Label 6892: @383850
     /*  383850 */   GIM_Try, /*On fail goto*//*Label 6893*/ GIMT_Encode4(383916), // Rule ID 61397 //
     /*  383855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  383866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  383869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  383872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  383875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383894 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  383894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  383897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  383911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383914 */     GIR_RootConstrainSelectedInstOperands,
     /*  383915 */     // GIR_Coverage, 61397,
     /*  383915 */     GIR_EraseRootFromParent_Done,
     /*  383916 */   // Label 6893: @383916
     /*  383916 */   GIM_Try, /*On fail goto*//*Label 6894*/ GIMT_Encode4(383982), // Rule ID 61400 //
     /*  383921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  383924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  383932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  383935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  383938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  383941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  383953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  383960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  383960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  383963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  383965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  383967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  383969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  383974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  383977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  383980 */     GIR_RootConstrainSelectedInstOperands,
     /*  383981 */     // GIR_Coverage, 61400,
     /*  383981 */     GIR_EraseRootFromParent_Done,
     /*  383982 */   // Label 6894: @383982
     /*  383982 */   GIM_Try, /*On fail goto*//*Label 6895*/ GIMT_Encode4(384048), // Rule ID 61401 //
     /*  383987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  383990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  383995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  383998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  384001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  384004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4),
     /*  384029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384046 */     GIR_RootConstrainSelectedInstOperands,
     /*  384047 */     // GIR_Coverage, 61401,
     /*  384047 */     GIR_EraseRootFromParent_Done,
     /*  384048 */   // Label 6895: @384048
     /*  384048 */   GIM_Try, /*On fail goto*//*Label 6896*/ GIMT_Encode4(384114), // Rule ID 61404 //
     /*  384053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  384064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  384067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  384070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384092 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  384095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384112 */     GIR_RootConstrainSelectedInstOperands,
     /*  384113 */     // GIR_Coverage, 61404,
     /*  384113 */     GIR_EraseRootFromParent_Done,
     /*  384114 */   // Label 6896: @384114
     /*  384114 */   GIM_Try, /*On fail goto*//*Label 6897*/ GIMT_Encode4(384180), // Rule ID 61405 //
     /*  384119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  384130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  384133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  384136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384158 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  384161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384178 */     GIR_RootConstrainSelectedInstOperands,
     /*  384179 */     // GIR_Coverage, 61405,
     /*  384179 */     GIR_EraseRootFromParent_Done,
     /*  384180 */   // Label 6897: @384180
     /*  384180 */   GIM_Try, /*On fail goto*//*Label 6898*/ GIMT_Encode4(384246), // Rule ID 61408 //
     /*  384185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  384196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  384199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  384202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  384227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384244 */     GIR_RootConstrainSelectedInstOperands,
     /*  384245 */     // GIR_Coverage, 61408,
     /*  384245 */     GIR_EraseRootFromParent_Done,
     /*  384246 */   // Label 6898: @384246
     /*  384246 */   GIM_Try, /*On fail goto*//*Label 6899*/ GIMT_Encode4(384312), // Rule ID 61409 //
     /*  384251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  384262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  384265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  384268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2),
     /*  384293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384310 */     GIR_RootConstrainSelectedInstOperands,
     /*  384311 */     // GIR_Coverage, 61409,
     /*  384311 */     GIR_EraseRootFromParent_Done,
     /*  384312 */   // Label 6899: @384312
     /*  384312 */   GIM_Try, /*On fail goto*//*Label 6900*/ GIMT_Encode4(384378), // Rule ID 61412 //
     /*  384317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  384328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  384331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  384334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384356 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  384356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384376 */     GIR_RootConstrainSelectedInstOperands,
     /*  384377 */     // GIR_Coverage, 61412,
     /*  384377 */     GIR_EraseRootFromParent_Done,
     /*  384378 */   // Label 6900: @384378
     /*  384378 */   GIM_Try, /*On fail goto*//*Label 6901*/ GIMT_Encode4(384444), // Rule ID 61413 //
     /*  384383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  384394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  384397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  384400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384422 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11166:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  384422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384442 */     GIR_RootConstrainSelectedInstOperands,
     /*  384443 */     // GIR_Coverage, 61413,
     /*  384443 */     GIR_EraseRootFromParent_Done,
     /*  384444 */   // Label 6901: @384444
     /*  384444 */   GIM_Try, /*On fail goto*//*Label 6902*/ GIMT_Encode4(384510), // Rule ID 61416 //
     /*  384449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  384460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  384463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  384466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384488 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  384488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384508 */     GIR_RootConstrainSelectedInstOperands,
     /*  384509 */     // GIR_Coverage, 61416,
     /*  384509 */     GIR_EraseRootFromParent_Done,
     /*  384510 */   // Label 6902: @384510
     /*  384510 */   GIM_Try, /*On fail goto*//*Label 6903*/ GIMT_Encode4(384576), // Rule ID 61417 //
     /*  384515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  384526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  384529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  384532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384554 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11166:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  384554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  384571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384574 */     GIR_RootConstrainSelectedInstOperands,
     /*  384575 */     // GIR_Coverage, 61417,
     /*  384575 */     GIR_EraseRootFromParent_Done,
     /*  384576 */   // Label 6903: @384576
     /*  384576 */   GIM_Try, /*On fail goto*//*Label 6904*/ GIMT_Encode4(384642), // Rule ID 61420 //
     /*  384581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  384592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  384595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  384598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  384620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384640 */     GIR_RootConstrainSelectedInstOperands,
     /*  384641 */     // GIR_Coverage, 61420,
     /*  384641 */     GIR_EraseRootFromParent_Done,
     /*  384642 */   // Label 6904: @384642
     /*  384642 */   GIM_Try, /*On fail goto*//*Label 6905*/ GIMT_Encode4(384708), // Rule ID 61421 //
     /*  384647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  384658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  384661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  384664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11166:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  384686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  384703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384706 */     GIR_RootConstrainSelectedInstOperands,
     /*  384707 */     // GIR_Coverage, 61421,
     /*  384707 */     GIR_EraseRootFromParent_Done,
     /*  384708 */   // Label 6905: @384708
     /*  384708 */   GIM_Try, /*On fail goto*//*Label 6906*/ GIMT_Encode4(384774), // Rule ID 61424 //
     /*  384713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  384724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  384727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  384730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384752 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  384752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384772 */     GIR_RootConstrainSelectedInstOperands,
     /*  384773 */     // GIR_Coverage, 61424,
     /*  384773 */     GIR_EraseRootFromParent_Done,
     /*  384774 */   // Label 6906: @384774
     /*  384774 */   GIM_Try, /*On fail goto*//*Label 6907*/ GIMT_Encode4(384840), // Rule ID 61425 //
     /*  384779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  384790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  384793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  384796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  384811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384818 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11166:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  384818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1),
     /*  384821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  384835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384838 */     GIR_RootConstrainSelectedInstOperands,
     /*  384839 */     // GIR_Coverage, 61425,
     /*  384839 */     GIR_EraseRootFromParent_Done,
     /*  384840 */   // Label 6907: @384840
     /*  384840 */   GIM_Try, /*On fail goto*//*Label 6908*/ GIMT_Encode4(384906), // Rule ID 61428 //
     /*  384845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  384856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  384859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  384862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384884 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  384884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384904 */     GIR_RootConstrainSelectedInstOperands,
     /*  384905 */     // GIR_Coverage, 61428,
     /*  384905 */     GIR_EraseRootFromParent_Done,
     /*  384906 */   // Label 6908: @384906
     /*  384906 */   GIM_Try, /*On fail goto*//*Label 6909*/ GIMT_Encode4(384972), // Rule ID 61429 //
     /*  384911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  384914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  384922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  384925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  384928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  384931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  384943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  384950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  384950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  384953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  384955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  384957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  384959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  384964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  384967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  384970 */     GIR_RootConstrainSelectedInstOperands,
     /*  384971 */     // GIR_Coverage, 61429,
     /*  384971 */     GIR_EraseRootFromParent_Done,
     /*  384972 */   // Label 6909: @384972
     /*  384972 */   GIM_Try, /*On fail goto*//*Label 6910*/ GIMT_Encode4(385038), // Rule ID 61432 //
     /*  384977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  384980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  384985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  384988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  384991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  384994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  384997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385036 */     GIR_RootConstrainSelectedInstOperands,
     /*  385037 */     // GIR_Coverage, 61432,
     /*  385037 */     GIR_EraseRootFromParent_Done,
     /*  385038 */   // Label 6910: @385038
     /*  385038 */   GIM_Try, /*On fail goto*//*Label 6911*/ GIMT_Encode4(385104), // Rule ID 61433 //
     /*  385043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  385054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  385057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  385060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385082 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  385082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385102 */     GIR_RootConstrainSelectedInstOperands,
     /*  385103 */     // GIR_Coverage, 61433,
     /*  385103 */     GIR_EraseRootFromParent_Done,
     /*  385104 */   // Label 6911: @385104
     /*  385104 */   GIM_Try, /*On fail goto*//*Label 6912*/ GIMT_Encode4(385170), // Rule ID 61436 //
     /*  385109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  385120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  385123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  385126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385148 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  385148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385168 */     GIR_RootConstrainSelectedInstOperands,
     /*  385169 */     // GIR_Coverage, 61436,
     /*  385169 */     GIR_EraseRootFromParent_Done,
     /*  385170 */   // Label 6912: @385170
     /*  385170 */   GIM_Try, /*On fail goto*//*Label 6913*/ GIMT_Encode4(385236), // Rule ID 61437 //
     /*  385175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  385186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  385189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  385192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385214 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  385214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  385231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385234 */     GIR_RootConstrainSelectedInstOperands,
     /*  385235 */     // GIR_Coverage, 61437,
     /*  385235 */     GIR_EraseRootFromParent_Done,
     /*  385236 */   // Label 6913: @385236
     /*  385236 */   GIM_Try, /*On fail goto*//*Label 6914*/ GIMT_Encode4(385302), // Rule ID 61440 //
     /*  385241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  385252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  385255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  385258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  385280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385300 */     GIR_RootConstrainSelectedInstOperands,
     /*  385301 */     // GIR_Coverage, 61440,
     /*  385301 */     GIR_EraseRootFromParent_Done,
     /*  385302 */   // Label 6914: @385302
     /*  385302 */   GIM_Try, /*On fail goto*//*Label 6915*/ GIMT_Encode4(385368), // Rule ID 61441 //
     /*  385307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  385318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  385321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  385324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385346 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385366 */     GIR_RootConstrainSelectedInstOperands,
     /*  385367 */     // GIR_Coverage, 61441,
     /*  385367 */     GIR_EraseRootFromParent_Done,
     /*  385368 */   // Label 6915: @385368
     /*  385368 */   GIM_Try, /*On fail goto*//*Label 6916*/ GIMT_Encode4(385434), // Rule ID 61444 //
     /*  385373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  385384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  385387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  385390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385412 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  385412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385432 */     GIR_RootConstrainSelectedInstOperands,
     /*  385433 */     // GIR_Coverage, 61444,
     /*  385433 */     GIR_EraseRootFromParent_Done,
     /*  385434 */   // Label 6916: @385434
     /*  385434 */   GIM_Try, /*On fail goto*//*Label 6917*/ GIMT_Encode4(385500), // Rule ID 61445 //
     /*  385439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  385450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  385453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  385456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385498 */     GIR_RootConstrainSelectedInstOperands,
     /*  385499 */     // GIR_Coverage, 61445,
     /*  385499 */     GIR_EraseRootFromParent_Done,
     /*  385500 */   // Label 6917: @385500
     /*  385500 */   GIM_Try, /*On fail goto*//*Label 6918*/ GIMT_Encode4(385566), // Rule ID 61448 //
     /*  385505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  385516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  385519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  385522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385544 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  385544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385564 */     GIR_RootConstrainSelectedInstOperands,
     /*  385565 */     // GIR_Coverage, 61448,
     /*  385565 */     GIR_EraseRootFromParent_Done,
     /*  385566 */   // Label 6918: @385566
     /*  385566 */   GIM_Try, /*On fail goto*//*Label 6919*/ GIMT_Encode4(385632), // Rule ID 61449 //
     /*  385571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  385582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  385585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  385588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385610 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  385610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  385627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385630 */     GIR_RootConstrainSelectedInstOperands,
     /*  385631 */     // GIR_Coverage, 61449,
     /*  385631 */     GIR_EraseRootFromParent_Done,
     /*  385632 */   // Label 6919: @385632
     /*  385632 */   GIM_Try, /*On fail goto*//*Label 6920*/ GIMT_Encode4(385698), // Rule ID 61452 //
     /*  385637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  385648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  385651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  385654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385676 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385696 */     GIR_RootConstrainSelectedInstOperands,
     /*  385697 */     // GIR_Coverage, 61452,
     /*  385697 */     GIR_EraseRootFromParent_Done,
     /*  385698 */   // Label 6920: @385698
     /*  385698 */   GIM_Try, /*On fail goto*//*Label 6921*/ GIMT_Encode4(385764), // Rule ID 61453 //
     /*  385703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  385714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  385717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  385720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  385735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  385745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385762 */     GIR_RootConstrainSelectedInstOperands,
     /*  385763 */     // GIR_Coverage, 61453,
     /*  385763 */     GIR_EraseRootFromParent_Done,
     /*  385764 */   // Label 6921: @385764
     /*  385764 */   GIM_Try, /*On fail goto*//*Label 6922*/ GIMT_Encode4(385830), // Rule ID 61456 //
     /*  385769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  385780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  385783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  385786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385828 */     GIR_RootConstrainSelectedInstOperands,
     /*  385829 */     // GIR_Coverage, 61456,
     /*  385829 */     GIR_EraseRootFromParent_Done,
     /*  385830 */   // Label 6922: @385830
     /*  385830 */   GIM_Try, /*On fail goto*//*Label 6923*/ GIMT_Encode4(385896), // Rule ID 61457 //
     /*  385835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  385846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  385849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  385852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  385867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385874 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  385874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  385877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385894 */     GIR_RootConstrainSelectedInstOperands,
     /*  385895 */     // GIR_Coverage, 61457,
     /*  385895 */     GIR_EraseRootFromParent_Done,
     /*  385896 */   // Label 6923: @385896
     /*  385896 */   GIM_Try, /*On fail goto*//*Label 6924*/ GIMT_Encode4(385962), // Rule ID 61460 //
     /*  385901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  385904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  385912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  385915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  385918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  385921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  385940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  385940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  385943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  385945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  385947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  385949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  385954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  385957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  385960 */     GIR_RootConstrainSelectedInstOperands,
     /*  385961 */     // GIR_Coverage, 61460,
     /*  385961 */     GIR_EraseRootFromParent_Done,
     /*  385962 */   // Label 6924: @385962
     /*  385962 */   GIM_Try, /*On fail goto*//*Label 6925*/ GIMT_Encode4(386028), // Rule ID 61461 //
     /*  385967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  385970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  385975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  385978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  385981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  385984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  385987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  385999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386006 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  386006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  386009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  386023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386026 */     GIR_RootConstrainSelectedInstOperands,
     /*  386027 */     // GIR_Coverage, 61461,
     /*  386027 */     GIR_EraseRootFromParent_Done,
     /*  386028 */   // Label 6925: @386028
     /*  386028 */   GIM_Try, /*On fail goto*//*Label 6926*/ GIMT_Encode4(386094), // Rule ID 61464 //
     /*  386033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  386041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  386044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  386047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  386050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  386072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  386075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386092 */     GIR_RootConstrainSelectedInstOperands,
     /*  386093 */     // GIR_Coverage, 61464,
     /*  386093 */     GIR_EraseRootFromParent_Done,
     /*  386094 */   // Label 6926: @386094
     /*  386094 */   GIM_Try, /*On fail goto*//*Label 6927*/ GIMT_Encode4(386160), // Rule ID 61465 //
     /*  386099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  386107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  386110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  386113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  386116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  386131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386138 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11166:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  386138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2),
     /*  386141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386158 */     GIR_RootConstrainSelectedInstOperands,
     /*  386159 */     // GIR_Coverage, 61465,
     /*  386159 */     GIR_EraseRootFromParent_Done,
     /*  386160 */   // Label 6927: @386160
     /*  386160 */   GIM_Try, /*On fail goto*//*Label 6928*/ GIMT_Encode4(386226), // Rule ID 61468 //
     /*  386165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  386173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  386176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  386179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  386182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386204 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  386204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  386207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386224 */     GIR_RootConstrainSelectedInstOperands,
     /*  386225 */     // GIR_Coverage, 61468,
     /*  386225 */     GIR_EraseRootFromParent_Done,
     /*  386226 */   // Label 6928: @386226
     /*  386226 */   GIM_Try, /*On fail goto*//*Label 6929*/ GIMT_Encode4(386292), // Rule ID 61469 //
     /*  386231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  386239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  386242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  386245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  386248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  386263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11166:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  386270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4),
     /*  386273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386290 */     GIR_RootConstrainSelectedInstOperands,
     /*  386291 */     // GIR_Coverage, 61469,
     /*  386291 */     GIR_EraseRootFromParent_Done,
     /*  386292 */   // Label 6929: @386292
     /*  386292 */   GIM_Try, /*On fail goto*//*Label 6930*/ GIMT_Encode4(386358), // Rule ID 61472 //
     /*  386297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  386305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  386308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  386311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  386314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  386336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  386339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386356 */     GIR_RootConstrainSelectedInstOperands,
     /*  386357 */     // GIR_Coverage, 61472,
     /*  386357 */     GIR_EraseRootFromParent_Done,
     /*  386358 */   // Label 6930: @386358
     /*  386358 */   GIM_Try, /*On fail goto*//*Label 6931*/ GIMT_Encode4(386424), // Rule ID 61473 //
     /*  386363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8),
     /*  386371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  386374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  386377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  386380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  386395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11166:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVBREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  386402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8),
     /*  386405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  386419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386422 */     GIR_RootConstrainSelectedInstOperands,
     /*  386423 */     // GIR_Coverage, 61473,
     /*  386423 */     GIR_EraseRootFromParent_Done,
     /*  386424 */   // Label 6931: @386424
     /*  386424 */   GIM_Try, /*On fail goto*//*Label 6932*/ GIMT_Encode4(386490), // Rule ID 61476 //
     /*  386429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  386443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  386446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386468 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  386471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386488 */     GIR_RootConstrainSelectedInstOperands,
     /*  386489 */     // GIR_Coverage, 61476,
     /*  386489 */     GIR_EraseRootFromParent_Done,
     /*  386490 */   // Label 6932: @386490
     /*  386490 */   GIM_Try, /*On fail goto*//*Label 6933*/ GIMT_Encode4(386556), // Rule ID 61477 //
     /*  386495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  386506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  386509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  386512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386534 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /*  386537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386554 */     GIR_RootConstrainSelectedInstOperands,
     /*  386555 */     // GIR_Coverage, 61477,
     /*  386555 */     GIR_EraseRootFromParent_Done,
     /*  386556 */   // Label 6933: @386556
     /*  386556 */   GIM_Try, /*On fail goto*//*Label 6934*/ GIMT_Encode4(386622), // Rule ID 61480 //
     /*  386561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  386572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  386575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  386578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386600 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386620 */     GIR_RootConstrainSelectedInstOperands,
     /*  386621 */     // GIR_Coverage, 61480,
     /*  386621 */     GIR_EraseRootFromParent_Done,
     /*  386622 */   // Label 6934: @386622
     /*  386622 */   GIM_Try, /*On fail goto*//*Label 6935*/ GIMT_Encode4(386688), // Rule ID 61481 //
     /*  386627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  386638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  386641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  386644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386686 */     GIR_RootConstrainSelectedInstOperands,
     /*  386687 */     // GIR_Coverage, 61481,
     /*  386687 */     GIR_EraseRootFromParent_Done,
     /*  386688 */   // Label 6935: @386688
     /*  386688 */   GIM_Try, /*On fail goto*//*Label 6936*/ GIMT_Encode4(386754), // Rule ID 61484 //
     /*  386693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  386707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  386710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386732 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  386732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386752 */     GIR_RootConstrainSelectedInstOperands,
     /*  386753 */     // GIR_Coverage, 61484,
     /*  386753 */     GIR_EraseRootFromParent_Done,
     /*  386754 */   // Label 6936: @386754
     /*  386754 */   GIM_Try, /*On fail goto*//*Label 6937*/ GIMT_Encode4(386820), // Rule ID 61485 //
     /*  386759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  386770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  386773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  386776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386798 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  386798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  386815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386818 */     GIR_RootConstrainSelectedInstOperands,
     /*  386819 */     // GIR_Coverage, 61485,
     /*  386819 */     GIR_EraseRootFromParent_Done,
     /*  386820 */   // Label 6937: @386820
     /*  386820 */   GIM_Try, /*On fail goto*//*Label 6938*/ GIMT_Encode4(386886), // Rule ID 61488 //
     /*  386825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  386839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  386842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386884 */     GIR_RootConstrainSelectedInstOperands,
     /*  386885 */     // GIR_Coverage, 61488,
     /*  386885 */     GIR_EraseRootFromParent_Done,
     /*  386886 */   // Label 6938: @386886
     /*  386886 */   GIM_Try, /*On fail goto*//*Label 6939*/ GIMT_Encode4(386952), // Rule ID 61489 //
     /*  386891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  386894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  386902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  386905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  386908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  386911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386930 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  386930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /*  386933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  386935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  386937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  386939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  386944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  386947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  386950 */     GIR_RootConstrainSelectedInstOperands,
     /*  386951 */     // GIR_Coverage, 61489,
     /*  386951 */     GIR_EraseRootFromParent_Done,
     /*  386952 */   // Label 6939: @386952
     /*  386952 */   GIM_Try, /*On fail goto*//*Label 6940*/ GIMT_Encode4(387018), // Rule ID 61492 //
     /*  386957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  386960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  386965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  386968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  386971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  386974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  386977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  386989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  386996 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  386996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  386999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387016 */     GIR_RootConstrainSelectedInstOperands,
     /*  387017 */     // GIR_Coverage, 61492,
     /*  387017 */     GIR_EraseRootFromParent_Done,
     /*  387018 */   // Label 6940: @387018
     /*  387018 */   GIM_Try, /*On fail goto*//*Label 6941*/ GIMT_Encode4(387084), // Rule ID 61493 //
     /*  387023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  387034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  387037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  387040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387062 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  387065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387082 */     GIR_RootConstrainSelectedInstOperands,
     /*  387083 */     // GIR_Coverage, 61493,
     /*  387083 */     GIR_EraseRootFromParent_Done,
     /*  387084 */   // Label 6941: @387084
     /*  387084 */   GIM_Try, /*On fail goto*//*Label 6942*/ GIMT_Encode4(387150), // Rule ID 61496 //
     /*  387089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  387103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  387106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  387128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  387131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387148 */     GIR_RootConstrainSelectedInstOperands,
     /*  387149 */     // GIR_Coverage, 61496,
     /*  387149 */     GIR_EraseRootFromParent_Done,
     /*  387150 */   // Label 6942: @387150
     /*  387150 */   GIM_Try, /*On fail goto*//*Label 6943*/ GIMT_Encode4(387216), // Rule ID 61497 //
     /*  387155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  387166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  387169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  387172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  387194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /*  387197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387214 */     GIR_RootConstrainSelectedInstOperands,
     /*  387215 */     // GIR_Coverage, 61497,
     /*  387215 */     GIR_EraseRootFromParent_Done,
     /*  387216 */   // Label 6943: @387216
     /*  387216 */   GIM_Try, /*On fail goto*//*Label 6944*/ GIMT_Encode4(387282), // Rule ID 61500 //
     /*  387221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  387235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  387238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387260 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387280 */     GIR_RootConstrainSelectedInstOperands,
     /*  387281 */     // GIR_Coverage, 61500,
     /*  387281 */     GIR_EraseRootFromParent_Done,
     /*  387282 */   // Label 6944: @387282
     /*  387282 */   GIM_Try, /*On fail goto*//*Label 6945*/ GIMT_Encode4(387348), // Rule ID 61501 //
     /*  387287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  387298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  387301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  387304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11517:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387346 */     GIR_RootConstrainSelectedInstOperands,
     /*  387347 */     // GIR_Coverage, 61501,
     /*  387347 */     GIR_EraseRootFromParent_Done,
     /*  387348 */   // Label 6945: @387348
     /*  387348 */   GIM_Try, /*On fail goto*//*Label 6946*/ GIMT_Encode4(387414), // Rule ID 61504 //
     /*  387353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  387367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  387370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387392 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  387392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387412 */     GIR_RootConstrainSelectedInstOperands,
     /*  387413 */     // GIR_Coverage, 61504,
     /*  387413 */     GIR_EraseRootFromParent_Done,
     /*  387414 */   // Label 6946: @387414
     /*  387414 */   GIM_Try, /*On fail goto*//*Label 6947*/ GIMT_Encode4(387480), // Rule ID 61505 //
     /*  387419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  387430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  387433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  387436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387458 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11517:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  387458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  387475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387478 */     GIR_RootConstrainSelectedInstOperands,
     /*  387479 */     // GIR_Coverage, 61505,
     /*  387479 */     GIR_EraseRootFromParent_Done,
     /*  387480 */   // Label 6947: @387480
     /*  387480 */   GIM_Try, /*On fail goto*//*Label 6948*/ GIMT_Encode4(387546), // Rule ID 61508 //
     /*  387485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  387499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  387502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  387524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387544 */     GIR_RootConstrainSelectedInstOperands,
     /*  387545 */     // GIR_Coverage, 61508,
     /*  387545 */     GIR_EraseRootFromParent_Done,
     /*  387546 */   // Label 6948: @387546
     /*  387546 */   GIM_Try, /*On fail goto*//*Label 6949*/ GIMT_Encode4(387612), // Rule ID 61509 //
     /*  387551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  387562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  387565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  387568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11517:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  387590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  387607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387610 */     GIR_RootConstrainSelectedInstOperands,
     /*  387611 */     // GIR_Coverage, 61509,
     /*  387611 */     GIR_EraseRootFromParent_Done,
     /*  387612 */   // Label 6949: @387612
     /*  387612 */   GIM_Try, /*On fail goto*//*Label 6950*/ GIMT_Encode4(387678), // Rule ID 61512 //
     /*  387617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  387631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  387634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  387656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387676 */     GIR_RootConstrainSelectedInstOperands,
     /*  387677 */     // GIR_Coverage, 61512,
     /*  387677 */     GIR_EraseRootFromParent_Done,
     /*  387678 */   // Label 6950: @387678
     /*  387678 */   GIM_Try, /*On fail goto*//*Label 6951*/ GIMT_Encode4(387744), // Rule ID 61513 //
     /*  387683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  387694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  387697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  387700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  387715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11517:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  387722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /*  387725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  387739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387742 */     GIR_RootConstrainSelectedInstOperands,
     /*  387743 */     // GIR_Coverage, 61513,
     /*  387743 */     GIR_EraseRootFromParent_Done,
     /*  387744 */   // Label 6951: @387744
     /*  387744 */   GIM_Try, /*On fail goto*//*Label 6952*/ GIMT_Encode4(387810), // Rule ID 61516 //
     /*  387749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  387760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  387763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  387766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387788 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387808 */     GIR_RootConstrainSelectedInstOperands,
     /*  387809 */     // GIR_Coverage, 61516,
     /*  387809 */     GIR_EraseRootFromParent_Done,
     /*  387810 */   // Label 6952: @387810
     /*  387810 */   GIM_Try, /*On fail goto*//*Label 6953*/ GIMT_Encode4(387876), // Rule ID 61517 //
     /*  387815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  387826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  387829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  387832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  387847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387854 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  387857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387874 */     GIR_RootConstrainSelectedInstOperands,
     /*  387875 */     // GIR_Coverage, 61517,
     /*  387875 */     GIR_EraseRootFromParent_Done,
     /*  387876 */   // Label 6953: @387876
     /*  387876 */   GIM_Try, /*On fail goto*//*Label 6954*/ GIMT_Encode4(387942), // Rule ID 61520 //
     /*  387881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  387884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  387892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  387895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  387898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  387901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387920 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  387920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  387934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  387937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  387940 */     GIR_RootConstrainSelectedInstOperands,
     /*  387941 */     // GIR_Coverage, 61520,
     /*  387941 */     GIR_EraseRootFromParent_Done,
     /*  387942 */   // Label 6954: @387942
     /*  387942 */   GIM_Try, /*On fail goto*//*Label 6955*/ GIMT_Encode4(388008), // Rule ID 61521 //
     /*  387947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  387950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  387955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  387958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  387961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  387964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  387967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  387979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  387986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  387986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  387989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  387991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  387993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  387995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388006 */     GIR_RootConstrainSelectedInstOperands,
     /*  388007 */     // GIR_Coverage, 61521,
     /*  388007 */     GIR_EraseRootFromParent_Done,
     /*  388008 */   // Label 6955: @388008
     /*  388008 */   GIM_Try, /*On fail goto*//*Label 6956*/ GIMT_Encode4(388074), // Rule ID 61524 //
     /*  388013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  388027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  388030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388052 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  388052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388072 */     GIR_RootConstrainSelectedInstOperands,
     /*  388073 */     // GIR_Coverage, 61524,
     /*  388073 */     GIR_EraseRootFromParent_Done,
     /*  388074 */   // Label 6956: @388074
     /*  388074 */   GIM_Try, /*On fail goto*//*Label 6957*/ GIMT_Encode4(388140), // Rule ID 61525 //
     /*  388079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  388090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  388093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  388096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388118 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  388118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  388135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388138 */     GIR_RootConstrainSelectedInstOperands,
     /*  388139 */     // GIR_Coverage, 61525,
     /*  388139 */     GIR_EraseRootFromParent_Done,
     /*  388140 */   // Label 6957: @388140
     /*  388140 */   GIM_Try, /*On fail goto*//*Label 6958*/ GIMT_Encode4(388206), // Rule ID 61528 //
     /*  388145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  388159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  388162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388184 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  388184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388204 */     GIR_RootConstrainSelectedInstOperands,
     /*  388205 */     // GIR_Coverage, 61528,
     /*  388205 */     GIR_EraseRootFromParent_Done,
     /*  388206 */   // Label 6958: @388206
     /*  388206 */   GIM_Try, /*On fail goto*//*Label 6959*/ GIMT_Encode4(388272), // Rule ID 61529 //
     /*  388211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  388222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  388225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  388228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388250 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388270 */     GIR_RootConstrainSelectedInstOperands,
     /*  388271 */     // GIR_Coverage, 61529,
     /*  388271 */     GIR_EraseRootFromParent_Done,
     /*  388272 */   // Label 6959: @388272
     /*  388272 */   GIM_Try, /*On fail goto*//*Label 6960*/ GIMT_Encode4(388338), // Rule ID 61532 //
     /*  388277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  388288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  388291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  388294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388316 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  388316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388336 */     GIR_RootConstrainSelectedInstOperands,
     /*  388337 */     // GIR_Coverage, 61532,
     /*  388337 */     GIR_EraseRootFromParent_Done,
     /*  388338 */   // Label 6960: @388338
     /*  388338 */   GIM_Try, /*On fail goto*//*Label 6961*/ GIMT_Encode4(388404), // Rule ID 61533 //
     /*  388343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  388354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  388357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  388360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388402 */     GIR_RootConstrainSelectedInstOperands,
     /*  388403 */     // GIR_Coverage, 61533,
     /*  388403 */     GIR_EraseRootFromParent_Done,
     /*  388404 */   // Label 6961: @388404
     /*  388404 */   GIM_Try, /*On fail goto*//*Label 6962*/ GIMT_Encode4(388470), // Rule ID 61536 //
     /*  388409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  388420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  388423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  388426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  388448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388468 */     GIR_RootConstrainSelectedInstOperands,
     /*  388469 */     // GIR_Coverage, 61536,
     /*  388469 */     GIR_EraseRootFromParent_Done,
     /*  388470 */   // Label 6962: @388470
     /*  388470 */   GIM_Try, /*On fail goto*//*Label 6963*/ GIMT_Encode4(388536), // Rule ID 61537 //
     /*  388475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  388486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  388489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  388492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  388514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  388531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388534 */     GIR_RootConstrainSelectedInstOperands,
     /*  388535 */     // GIR_Coverage, 61537,
     /*  388535 */     GIR_EraseRootFromParent_Done,
     /*  388536 */   // Label 6963: @388536
     /*  388536 */   GIM_Try, /*On fail goto*//*Label 6964*/ GIMT_Encode4(388602), // Rule ID 61540 //
     /*  388541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  388555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  388558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388600 */     GIR_RootConstrainSelectedInstOperands,
     /*  388601 */     // GIR_Coverage, 61540,
     /*  388601 */     GIR_EraseRootFromParent_Done,
     /*  388602 */   // Label 6964: @388602
     /*  388602 */   GIM_Try, /*On fail goto*//*Label 6965*/ GIMT_Encode4(388668), // Rule ID 61541 //
     /*  388607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  388618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  388621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  388624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388646 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388666 */     GIR_RootConstrainSelectedInstOperands,
     /*  388667 */     // GIR_Coverage, 61541,
     /*  388667 */     GIR_EraseRootFromParent_Done,
     /*  388668 */   // Label 6965: @388668
     /*  388668 */   GIM_Try, /*On fail goto*//*Label 6966*/ GIMT_Encode4(388734), // Rule ID 61544 //
     /*  388673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  388687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  388690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388732 */     GIR_RootConstrainSelectedInstOperands,
     /*  388733 */     // GIR_Coverage, 61544,
     /*  388733 */     GIR_EraseRootFromParent_Done,
     /*  388734 */   // Label 6966: @388734
     /*  388734 */   GIM_Try, /*On fail goto*//*Label 6967*/ GIMT_Encode4(388800), // Rule ID 61545 //
     /*  388739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  388750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  388753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  388756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  388771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  388781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388798 */     GIR_RootConstrainSelectedInstOperands,
     /*  388799 */     // GIR_Coverage, 61545,
     /*  388799 */     GIR_EraseRootFromParent_Done,
     /*  388800 */   // Label 6967: @388800
     /*  388800 */   GIM_Try, /*On fail goto*//*Label 6968*/ GIMT_Encode4(388866), // Rule ID 61548 //
     /*  388805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  388819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  388822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  388844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388864 */     GIR_RootConstrainSelectedInstOperands,
     /*  388865 */     // GIR_Coverage, 61548,
     /*  388865 */     GIR_EraseRootFromParent_Done,
     /*  388866 */   // Label 6968: @388866
     /*  388866 */   GIM_Try, /*On fail goto*//*Label 6969*/ GIMT_Encode4(388932), // Rule ID 61549 //
     /*  388871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  388874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  388882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  388885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  388888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  388891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  388903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388910 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  388910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  388913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  388927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388930 */     GIR_RootConstrainSelectedInstOperands,
     /*  388931 */     // GIR_Coverage, 61549,
     /*  388931 */     GIR_EraseRootFromParent_Done,
     /*  388932 */   // Label 6969: @388932
     /*  388932 */   GIM_Try, /*On fail goto*//*Label 6970*/ GIMT_Encode4(388998), // Rule ID 61552 //
     /*  388937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  388940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  388945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  388948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  388951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  388954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  388957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  388969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  388976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  388976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  388979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  388981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  388983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  388985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  388990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  388993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  388996 */     GIR_RootConstrainSelectedInstOperands,
     /*  388997 */     // GIR_Coverage, 61552,
     /*  388997 */     GIR_EraseRootFromParent_Done,
     /*  388998 */   // Label 6970: @388998
     /*  388998 */   GIM_Try, /*On fail goto*//*Label 6971*/ GIMT_Encode4(389064), // Rule ID 61553 //
     /*  389003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  389011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  389014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  389017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  389020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  389035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11517:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  389042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /*  389045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389062 */     GIR_RootConstrainSelectedInstOperands,
     /*  389063 */     // GIR_Coverage, 61553,
     /*  389063 */     GIR_EraseRootFromParent_Done,
     /*  389064 */   // Label 6971: @389064
     /*  389064 */   GIM_Try, /*On fail goto*//*Label 6972*/ GIMT_Encode4(389130), // Rule ID 61556 //
     /*  389069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  389077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  389083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  389086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  389108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  389111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389128 */     GIR_RootConstrainSelectedInstOperands,
     /*  389129 */     // GIR_Coverage, 61556,
     /*  389129 */     GIR_EraseRootFromParent_Done,
     /*  389130 */   // Label 6972: @389130
     /*  389130 */   GIM_Try, /*On fail goto*//*Label 6973*/ GIMT_Encode4(389196), // Rule ID 61557 //
     /*  389135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  389143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  389146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  389149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  389152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  389167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389174 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11517:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  389174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /*  389177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389194 */     GIR_RootConstrainSelectedInstOperands,
     /*  389195 */     // GIR_Coverage, 61557,
     /*  389195 */     GIR_EraseRootFromParent_Done,
     /*  389196 */   // Label 6973: @389196
     /*  389196 */   GIM_Try, /*On fail goto*//*Label 6974*/ GIMT_Encode4(389262), // Rule ID 61560 //
     /*  389201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  389204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  389209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  389212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  389215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  389218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  389221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  389240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  389243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389260 */     GIR_RootConstrainSelectedInstOperands,
     /*  389261 */     // GIR_Coverage, 61560,
     /*  389261 */     GIR_EraseRootFromParent_Done,
     /*  389262 */   // Label 6974: @389262
     /*  389262 */   GIM_Try, /*On fail goto*//*Label 6975*/ GIMT_Encode4(389328), // Rule ID 61561 //
     /*  389267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  389270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8),
     /*  389275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  389278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  389281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  389284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  389299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  389306 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11517:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  389306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /*  389309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  389313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  389320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  389323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  389326 */     GIR_RootConstrainSelectedInstOperands,
     /*  389327 */     // GIR_Coverage, 61561,
     /*  389327 */     GIR_EraseRootFromParent_Done,
     /*  389328 */   // Label 6975: @389328
     /*  389328 */   GIM_Try, /*On fail goto*//*Label 6976*/ GIMT_Encode4(389393), // Rule ID 64452 //
     /*  389333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  389341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389377 */     // MIs[1] Operand 1
     /*  389377 */     // No operand predicates
     /*  389377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389379 */     // (intrinsic_wo_chain:{ *:[i32] } 10971:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDN),
     /*  389382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389391 */     GIR_RootConstrainSelectedInstOperands,
     /*  389392 */     // GIR_Coverage, 64452,
     /*  389392 */     GIR_EraseRootFromParent_Done,
     /*  389393 */   // Label 6976: @389393
     /*  389393 */   GIM_Try, /*On fail goto*//*Label 6977*/ GIMT_Encode4(389458), // Rule ID 64479 //
     /*  389398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  389406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389442 */     // MIs[1] Operand 1
     /*  389442 */     // No operand predicates
     /*  389442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389444 */     // (intrinsic_wo_chain:{ *:[i32] } 10973:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUN),
     /*  389447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389456 */     GIR_RootConstrainSelectedInstOperands,
     /*  389457 */     // GIR_Coverage, 64479,
     /*  389457 */     GIR_EraseRootFromParent_Done,
     /*  389458 */   // Label 6977: @389458
     /*  389458 */   GIM_Try, /*On fail goto*//*Label 6978*/ GIMT_Encode4(389523), // Rule ID 64482 //
     /*  389463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  389471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389495 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389499 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389503 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389507 */     // MIs[1] Operand 1
     /*  389507 */     // No operand predicates
     /*  389507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389509 */     // (intrinsic_wo_chain:{ *:[i32] } 10972:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRN),
     /*  389512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389521 */     GIR_RootConstrainSelectedInstOperands,
     /*  389522 */     // GIR_Coverage, 64482,
     /*  389522 */     GIR_EraseRootFromParent_Done,
     /*  389523 */   // Label 6978: @389523
     /*  389523 */   GIM_Try, /*On fail goto*//*Label 6979*/ GIMT_Encode4(389588), // Rule ID 64485 //
     /*  389528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  389536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389572 */     // MIs[1] Operand 1
     /*  389572 */     // No operand predicates
     /*  389572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389574 */     // (intrinsic_wo_chain:{ *:[i32] } 10974:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_ADDURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURN),
     /*  389577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389586 */     GIR_RootConstrainSelectedInstOperands,
     /*  389587 */     // GIR_Coverage, 64485,
     /*  389587 */     GIR_EraseRootFromParent_Done,
     /*  389588 */   // Label 6979: @389588
     /*  389588 */   GIM_Try, /*On fail goto*//*Label 6980*/ GIMT_Encode4(389653), // Rule ID 64488 //
     /*  389593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  389601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389637 */     // MIs[1] Operand 1
     /*  389637 */     // No operand predicates
     /*  389637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389639 */     // (intrinsic_wo_chain:{ *:[i32] } 10977:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBN),
     /*  389642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389651 */     GIR_RootConstrainSelectedInstOperands,
     /*  389652 */     // GIR_Coverage, 64488,
     /*  389652 */     GIR_EraseRootFromParent_Done,
     /*  389653 */   // Label 6980: @389653
     /*  389653 */   GIM_Try, /*On fail goto*//*Label 6981*/ GIMT_Encode4(389718), // Rule ID 64491 //
     /*  389658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  389666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389702 */     // MIs[1] Operand 1
     /*  389702 */     // No operand predicates
     /*  389702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389704 */     // (intrinsic_wo_chain:{ *:[i32] } 10979:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUN),
     /*  389707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389716 */     GIR_RootConstrainSelectedInstOperands,
     /*  389717 */     // GIR_Coverage, 64491,
     /*  389717 */     GIR_EraseRootFromParent_Done,
     /*  389718 */   // Label 6981: @389718
     /*  389718 */   GIM_Try, /*On fail goto*//*Label 6982*/ GIMT_Encode4(389783), // Rule ID 64494 //
     /*  389723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  389731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389767 */     // MIs[1] Operand 1
     /*  389767 */     // No operand predicates
     /*  389767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389769 */     // (intrinsic_wo_chain:{ *:[i32] } 10978:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRN),
     /*  389772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389781 */     GIR_RootConstrainSelectedInstOperands,
     /*  389782 */     // GIR_Coverage, 64494,
     /*  389782 */     GIR_EraseRootFromParent_Done,
     /*  389783 */   // Label 6982: @389783
     /*  389783 */   GIM_Try, /*On fail goto*//*Label 6983*/ GIMT_Encode4(389848), // Rule ID 64497 //
     /*  389788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  389791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  389796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  389808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  389824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  389828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  389832 */     // MIs[1] Operand 1
     /*  389832 */     // No operand predicates
     /*  389832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  389834 */     // (intrinsic_wo_chain:{ *:[i32] } 10980:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)  =>  (CV_SUBURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$imm)
     /*  389834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURN),
     /*  389837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /*  389846 */     GIR_RootConstrainSelectedInstOperands,
     /*  389847 */     // GIR_Coverage, 64497,
     /*  389847 */     GIR_EraseRootFromParent_Done,
     /*  389848 */   // Label 6983: @389848
     /*  389848 */   GIM_Try, /*On fail goto*//*Label 6984*/ GIMT_Encode4(389903), // Rule ID 2645 //
     /*  389853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  389856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsi),
     /*  389861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389882 */     // MIs[0] imm
     /*  389882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389885 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389890 */     // (intrinsic_wo_chain:{ *:[i32] } 10956:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSI),
     /*  389893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389899 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389901 */     GIR_RootConstrainSelectedInstOperands,
     /*  389902 */     // GIR_Coverage, 2645,
     /*  389902 */     GIR_EraseRootFromParent_Done,
     /*  389903 */   // Label 6984: @389903
     /*  389903 */   GIM_Try, /*On fail goto*//*Label 6985*/ GIMT_Encode4(389958), // Rule ID 2646 //
     /*  389908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZknd_IsRV32_HwMode1),
     /*  389911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32dsmi),
     /*  389916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389937 */     // MIs[0] imm
     /*  389937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389940 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  389945 */     // (intrinsic_wo_chain:{ *:[i32] } 10957:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32DSMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  389945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32DSMI),
     /*  389948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  389950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  389952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  389954 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  389956 */     GIR_RootConstrainSelectedInstOperands,
     /*  389957 */     // GIR_Coverage, 2646,
     /*  389957 */     GIR_EraseRootFromParent_Done,
     /*  389958 */   // Label 6985: @389958
     /*  389958 */   GIM_Try, /*On fail goto*//*Label 6986*/ GIMT_Encode4(390013), // Rule ID 2652 //
     /*  389963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  389966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esi),
     /*  389971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  389974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  389977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  389980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  389992 */     // MIs[0] imm
     /*  389992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  389995 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  390000 */     // (intrinsic_wo_chain:{ *:[i32] } 10958:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  390000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESI),
     /*  390003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390009 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  390011 */     GIR_RootConstrainSelectedInstOperands,
     /*  390012 */     // GIR_Coverage, 2652,
     /*  390012 */     GIR_EraseRootFromParent_Done,
     /*  390013 */   // Label 6986: @390013
     /*  390013 */   GIM_Try, /*On fail goto*//*Label 6987*/ GIMT_Encode4(390068), // Rule ID 2653 //
     /*  390018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZkne_IsRV32_HwMode1),
     /*  390021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_aes32esmi),
     /*  390026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390047 */     // MIs[0] imm
     /*  390047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390050 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_byteselect),
     /*  390055 */     // (intrinsic_wo_chain:{ *:[i32] } 10959:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)  =>  (AES32ESMI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_byteselect>>:$imm)
     /*  390055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::AES32ESMI),
     /*  390058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390064 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm
     /*  390066 */     GIR_RootConstrainSelectedInstOperands,
     /*  390067 */     // GIR_Coverage, 2653,
     /*  390067 */     GIR_EraseRootFromParent_Done,
     /*  390068 */   // Label 6987: @390068
     /*  390068 */   GIM_Try, /*On fail goto*//*Label 6988*/ GIMT_Encode4(390123), // Rule ID 64508 //
     /*  390073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluN),
     /*  390081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390102 */     // MIs[0] imm5
     /*  390102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390105 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390110 */     // (intrinsic_wo_chain:{ *:[i32] } 11004:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULUN),
     /*  390113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390119 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390121 */     GIR_RootConstrainSelectedInstOperands,
     /*  390122 */     // GIR_Coverage, 64508,
     /*  390122 */     GIR_EraseRootFromParent_Done,
     /*  390123 */   // Label 6988: @390123
     /*  390123 */   GIM_Try, /*On fail goto*//*Label 6989*/ GIMT_Encode4(390178), // Rule ID 64509 //
     /*  390128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuN),
     /*  390136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390157 */     // MIs[0] imm5
     /*  390157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390160 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390165 */     // (intrinsic_wo_chain:{ *:[i32] } 11000:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHUN),
     /*  390168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390174 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390176 */     GIR_RootConstrainSelectedInstOperands,
     /*  390177 */     // GIR_Coverage, 64509,
     /*  390177 */     GIR_EraseRootFromParent_Done,
     /*  390178 */   // Label 6989: @390178
     /*  390178 */   GIM_Try, /*On fail goto*//*Label 6990*/ GIMT_Encode4(390233), // Rule ID 64510 //
     /*  390183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsN),
     /*  390191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390212 */     // MIs[0] imm5
     /*  390212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390220 */     // (intrinsic_wo_chain:{ *:[i32] } 11002:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSN),
     /*  390223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390229 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390231 */     GIR_RootConstrainSelectedInstOperands,
     /*  390232 */     // GIR_Coverage, 64510,
     /*  390232 */     GIR_EraseRootFromParent_Done,
     /*  390233 */   // Label 6990: @390233
     /*  390233 */   GIM_Try, /*On fail goto*//*Label 6991*/ GIMT_Encode4(390288), // Rule ID 64511 //
     /*  390238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsN),
     /*  390246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390267 */     // MIs[0] imm5
     /*  390267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390275 */     // (intrinsic_wo_chain:{ *:[i32] } 10998:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSN),
     /*  390278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390284 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390286 */     GIR_RootConstrainSelectedInstOperands,
     /*  390287 */     // GIR_Coverage, 64511,
     /*  390287 */     GIR_EraseRootFromParent_Done,
     /*  390288 */   // Label 6991: @390288
     /*  390288 */   GIM_Try, /*On fail goto*//*Label 6992*/ GIMT_Encode4(390343), // Rule ID 64512 //
     /*  390293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_muluRN),
     /*  390301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390322 */     // MIs[0] imm5
     /*  390322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390330 */     // (intrinsic_wo_chain:{ *:[i32] } 11005:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULURN),
     /*  390333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390339 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390341 */     GIR_RootConstrainSelectedInstOperands,
     /*  390342 */     // GIR_Coverage, 64512,
     /*  390342 */     GIR_EraseRootFromParent_Done,
     /*  390343 */   // Label 6992: @390343
     /*  390343 */   GIM_Try, /*On fail goto*//*Label 6993*/ GIMT_Encode4(390398), // Rule ID 64513 //
     /*  390348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhuRN),
     /*  390356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390377 */     // MIs[0] imm5
     /*  390377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390385 */     // (intrinsic_wo_chain:{ *:[i32] } 11001:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHURN),
     /*  390388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390394 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390396 */     GIR_RootConstrainSelectedInstOperands,
     /*  390397 */     // GIR_Coverage, 64513,
     /*  390397 */     GIR_EraseRootFromParent_Done,
     /*  390398 */   // Label 6993: @390398
     /*  390398 */   GIM_Try, /*On fail goto*//*Label 6994*/ GIMT_Encode4(390453), // Rule ID 64514 //
     /*  390403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulsRN),
     /*  390411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390432 */     // MIs[0] imm5
     /*  390432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390440 */     // (intrinsic_wo_chain:{ *:[i32] } 11003:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULSRN),
     /*  390443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390449 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390451 */     GIR_RootConstrainSelectedInstOperands,
     /*  390452 */     // GIR_Coverage, 64514,
     /*  390452 */     GIR_EraseRootFromParent_Done,
     /*  390453 */   // Label 6994: @390453
     /*  390453 */   GIM_Try, /*On fail goto*//*Label 6995*/ GIMT_Encode4(390508), // Rule ID 64515 //
     /*  390458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  390461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mulhhsRN),
     /*  390466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390487 */     // MIs[0] imm5
     /*  390487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  390490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  390495 */     // (intrinsic_wo_chain:{ *:[i32] } 10999:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MULHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  390495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MULHHSRN),
     /*  390498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  390500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390504 */     GIR_RootToRootCopy, /*OpIdx*/4, // imm5
     /*  390506 */     GIR_RootConstrainSelectedInstOperands,
     /*  390507 */     // GIR_Coverage, 64515,
     /*  390507 */     GIR_EraseRootFromParent_Done,
     /*  390508 */   // Label 6995: @390508
     /*  390508 */   GIM_Try, /*On fail goto*//*Label 6996*/ GIMT_Encode4(390562), // Rule ID 64450 //
     /*  390513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  390521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390549 */     // (intrinsic_wo_chain:{ *:[i32] } 10971:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  390552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390560 */     GIR_RootConstrainSelectedInstOperands,
     /*  390561 */     // GIR_Coverage, 64450,
     /*  390561 */     GIR_EraseRootFromParent_Done,
     /*  390562 */   // Label 6996: @390562
     /*  390562 */   GIM_Try, /*On fail goto*//*Label 6997*/ GIMT_Encode4(390616), // Rule ID 64451 //
     /*  390567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addN),
     /*  390575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390603 */     // (intrinsic_wo_chain:{ *:[i32] } 10971:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDNR),
     /*  390606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390614 */     GIR_RootConstrainSelectedInstOperands,
     /*  390615 */     // GIR_Coverage, 64451,
     /*  390615 */     GIR_EraseRootFromParent_Done,
     /*  390616 */   // Label 6997: @390616
     /*  390616 */   GIM_Try, /*On fail goto*//*Label 6998*/ GIMT_Encode4(390670), // Rule ID 64477 //
     /*  390621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  390629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390657 */     // (intrinsic_wo_chain:{ *:[i32] } 10973:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  390660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390668 */     GIR_RootConstrainSelectedInstOperands,
     /*  390669 */     // GIR_Coverage, 64477,
     /*  390669 */     GIR_EraseRootFromParent_Done,
     /*  390670 */   // Label 6998: @390670
     /*  390670 */   GIM_Try, /*On fail goto*//*Label 6999*/ GIMT_Encode4(390724), // Rule ID 64478 //
     /*  390675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduN),
     /*  390683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390711 */     // (intrinsic_wo_chain:{ *:[i32] } 10973:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDUNR),
     /*  390714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390722 */     GIR_RootConstrainSelectedInstOperands,
     /*  390723 */     // GIR_Coverage, 64478,
     /*  390723 */     GIR_EraseRootFromParent_Done,
     /*  390724 */   // Label 6999: @390724
     /*  390724 */   GIM_Try, /*On fail goto*//*Label 7000*/ GIMT_Encode4(390778), // Rule ID 64480 //
     /*  390729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  390737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390765 */     // (intrinsic_wo_chain:{ *:[i32] } 10972:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  390768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390776 */     GIR_RootConstrainSelectedInstOperands,
     /*  390777 */     // GIR_Coverage, 64480,
     /*  390777 */     GIR_EraseRootFromParent_Done,
     /*  390778 */   // Label 7000: @390778
     /*  390778 */   GIM_Try, /*On fail goto*//*Label 7001*/ GIMT_Encode4(390832), // Rule ID 64481 //
     /*  390783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_addRN),
     /*  390791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390819 */     // (intrinsic_wo_chain:{ *:[i32] } 10972:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDRNR),
     /*  390822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390830 */     GIR_RootConstrainSelectedInstOperands,
     /*  390831 */     // GIR_Coverage, 64481,
     /*  390831 */     GIR_EraseRootFromParent_Done,
     /*  390832 */   // Label 7001: @390832
     /*  390832 */   GIM_Try, /*On fail goto*//*Label 7002*/ GIMT_Encode4(390886), // Rule ID 64483 //
     /*  390837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  390845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390873 */     // (intrinsic_wo_chain:{ *:[i32] } 10974:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  390876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390884 */     GIR_RootConstrainSelectedInstOperands,
     /*  390885 */     // GIR_Coverage, 64483,
     /*  390885 */     GIR_EraseRootFromParent_Done,
     /*  390886 */   // Label 7002: @390886
     /*  390886 */   GIM_Try, /*On fail goto*//*Label 7003*/ GIMT_Encode4(390940), // Rule ID 64484 //
     /*  390891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  390894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_adduRN),
     /*  390899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390927 */     // (intrinsic_wo_chain:{ *:[i32] } 10974:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_ADDURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_ADDURNR),
     /*  390930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390938 */     GIR_RootConstrainSelectedInstOperands,
     /*  390939 */     // GIR_Coverage, 64484,
     /*  390939 */     GIR_EraseRootFromParent_Done,
     /*  390940 */   // Label 7003: @390940
     /*  390940 */   GIM_Try, /*On fail goto*//*Label 7004*/ GIMT_Encode4(390994), // Rule ID 64486 //
     /*  390945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  390948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  390953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  390956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  390959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  390962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  390965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  390981 */     // (intrinsic_wo_chain:{ *:[i32] } 10977:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  390981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  390984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  390986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  390988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  390990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  390992 */     GIR_RootConstrainSelectedInstOperands,
     /*  390993 */     // GIR_Coverage, 64486,
     /*  390993 */     GIR_EraseRootFromParent_Done,
     /*  390994 */   // Label 7004: @390994
     /*  390994 */   GIM_Try, /*On fail goto*//*Label 7005*/ GIMT_Encode4(391048), // Rule ID 64487 //
     /*  390999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  391002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subN),
     /*  391007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391035 */     // (intrinsic_wo_chain:{ *:[i32] } 10977:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  391035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBNR),
     /*  391038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  391046 */     GIR_RootConstrainSelectedInstOperands,
     /*  391047 */     // GIR_Coverage, 64487,
     /*  391047 */     GIR_EraseRootFromParent_Done,
     /*  391048 */   // Label 7005: @391048
     /*  391048 */   GIM_Try, /*On fail goto*//*Label 7006*/ GIMT_Encode4(391102), // Rule ID 64489 //
     /*  391053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  391056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  391061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391089 */     // (intrinsic_wo_chain:{ *:[i32] } 10979:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  391089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  391092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  391100 */     GIR_RootConstrainSelectedInstOperands,
     /*  391101 */     // GIR_Coverage, 64489,
     /*  391101 */     GIR_EraseRootFromParent_Done,
     /*  391102 */   // Label 7006: @391102
     /*  391102 */   GIM_Try, /*On fail goto*//*Label 7007*/ GIMT_Encode4(391156), // Rule ID 64490 //
     /*  391107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  391110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuN),
     /*  391115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391143 */     // (intrinsic_wo_chain:{ *:[i32] } 10979:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBUNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  391143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBUNR),
     /*  391146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  391154 */     GIR_RootConstrainSelectedInstOperands,
     /*  391155 */     // GIR_Coverage, 64490,
     /*  391155 */     GIR_EraseRootFromParent_Done,
     /*  391156 */   // Label 7007: @391156
     /*  391156 */   GIM_Try, /*On fail goto*//*Label 7008*/ GIMT_Encode4(391210), // Rule ID 64492 //
     /*  391161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  391164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  391169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391197 */     // (intrinsic_wo_chain:{ *:[i32] } 10978:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  391197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  391200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  391208 */     GIR_RootConstrainSelectedInstOperands,
     /*  391209 */     // GIR_Coverage, 64492,
     /*  391209 */     GIR_EraseRootFromParent_Done,
     /*  391210 */   // Label 7008: @391210
     /*  391210 */   GIM_Try, /*On fail goto*//*Label 7009*/ GIMT_Encode4(391264), // Rule ID 64493 //
     /*  391215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  391218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subRN),
     /*  391223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391251 */     // (intrinsic_wo_chain:{ *:[i32] } 10978:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBRNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  391251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBRNR),
     /*  391254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  391262 */     GIR_RootConstrainSelectedInstOperands,
     /*  391263 */     // GIR_Coverage, 64493,
     /*  391263 */     GIR_EraseRootFromParent_Done,
     /*  391264 */   // Label 7009: @391264
     /*  391264 */   GIM_Try, /*On fail goto*//*Label 7010*/ GIMT_Encode4(391318), // Rule ID 64495 //
     /*  391269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /*  391272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  391277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391305 */     // (intrinsic_wo_chain:{ *:[i32] } 10980:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  391305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  391308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  391316 */     GIR_RootConstrainSelectedInstOperands,
     /*  391317 */     // GIR_Coverage, 64495,
     /*  391317 */     GIR_EraseRootFromParent_Done,
     /*  391318 */   // Label 7010: @391318
     /*  391318 */   GIM_Try, /*On fail goto*//*Label 7011*/ GIMT_Encode4(391372), // Rule ID 64496 //
     /*  391323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /*  391326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_alu_subuRN),
     /*  391331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391359 */     // (intrinsic_wo_chain:{ *:[i32] } 10980:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)  =>  (CV_SUBURNR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /*  391359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SUBURNR),
     /*  391362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs3
     /*  391370 */     GIR_RootConstrainSelectedInstOperands,
     /*  391371 */     // GIR_Coverage, 64496,
     /*  391371 */     GIR_EraseRootFromParent_Done,
     /*  391372 */   // Label 7011: @391372
     /*  391372 */   GIM_Try, /*On fail goto*//*Label 7012*/ GIMT_Encode4(391426), // Rule ID 64433 //
     /*  391377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /*  391380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  391385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391413 */     // (intrinsic_wo_chain:{ *:[i32] } 10987:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  391416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391424 */     GIR_RootConstrainSelectedInstOperands,
     /*  391425 */     // GIR_Coverage, 64433,
     /*  391425 */     GIR_EraseRootFromParent_Done,
     /*  391426 */   // Label 7012: @391426
     /*  391426 */   GIM_Try, /*On fail goto*//*Label 7013*/ GIMT_Encode4(391480), // Rule ID 64434 //
     /*  391431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /*  391434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_bitmanip_insert),
     /*  391439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391467 */     // (intrinsic_wo_chain:{ *:[i32] } 10987:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_INSERTR:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_INSERTR),
     /*  391470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391478 */     GIR_RootConstrainSelectedInstOperands,
     /*  391479 */     // GIR_Coverage, 64434,
     /*  391479 */     GIR_EraseRootFromParent_Done,
     /*  391480 */   // Label 7013: @391480
     /*  391480 */   GIM_Try, /*On fail goto*//*Label 7014*/ GIMT_Encode4(391534), // Rule ID 64504 //
     /*  391485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  391488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  391493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391521 */     // (intrinsic_wo_chain:{ *:[i32] } 10988:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  391524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391532 */     GIR_RootConstrainSelectedInstOperands,
     /*  391533 */     // GIR_Coverage, 64504,
     /*  391533 */     GIR_EraseRootFromParent_Done,
     /*  391534 */   // Label 7014: @391534
     /*  391534 */   GIM_Try, /*On fail goto*//*Label 7015*/ GIMT_Encode4(391588), // Rule ID 64505 //
     /*  391539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  391542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_mac),
     /*  391547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391575 */     // (intrinsic_wo_chain:{ *:[i32] } 10988:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MAC:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MAC),
     /*  391578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391586 */     GIR_RootConstrainSelectedInstOperands,
     /*  391587 */     // GIR_Coverage, 64505,
     /*  391587 */     GIR_EraseRootFromParent_Done,
     /*  391588 */   // Label 7015: @391588
     /*  391588 */   GIM_Try, /*On fail goto*//*Label 7016*/ GIMT_Encode4(391642), // Rule ID 64506 //
     /*  391593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode0),
     /*  391596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  391601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391629 */     // (intrinsic_wo_chain:{ *:[i32] } 10997:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  391632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391640 */     GIR_RootConstrainSelectedInstOperands,
     /*  391641 */     // GIR_Coverage, 64506,
     /*  391641 */     GIR_EraseRootFromParent_Done,
     /*  391642 */   // Label 7016: @391642
     /*  391642 */   GIM_Try, /*On fail goto*//*Label 7017*/ GIMT_Encode4(391696), // Rule ID 64507 //
     /*  391647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  391650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_msu),
     /*  391655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  391658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  391661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  391664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  391667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  391683 */     // (intrinsic_wo_chain:{ *:[i32] } 10997:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd)  =>  (CV_MSU:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /*  391683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MSU),
     /*  391686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  391688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  391690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  391692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  391694 */     GIR_RootConstrainSelectedInstOperands,
     /*  391695 */     // GIR_Coverage, 64507,
     /*  391695 */     GIR_EraseRootFromParent_Done,
     /*  391696 */   // Label 7017: @391696
     /*  391696 */   GIM_Reject,
     /*  391697 */ // Label 4392: @391697
     /*  391697 */ GIM_Try, /*On fail goto*//*Label 7018*/ GIMT_Encode4(910474),
     /*  391702 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /*  391705 */   GIM_Try, /*On fail goto*//*Label 7019*/ GIMT_Encode4(391780), // Rule ID 62837 //
     /*  391710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  391721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391728 */     // MIs[0] op1
     /*  391728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391736 */     // MIs[0] op2
     /*  391736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391744 */     // MIs[0] op3
     /*  391744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391759 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  391762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391778 */     GIR_RootConstrainSelectedInstOperands,
     /*  391779 */     // GIR_Coverage, 62837,
     /*  391779 */     GIR_EraseRootFromParent_Done,
     /*  391780 */   // Label 7019: @391780
     /*  391780 */   GIM_Try, /*On fail goto*//*Label 7020*/ GIMT_Encode4(391855), // Rule ID 62838 //
     /*  391785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  391796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391803 */     // MIs[0] op1
     /*  391803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391811 */     // MIs[0] op2
     /*  391811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391819 */     // MIs[0] op3
     /*  391819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391834 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF8),
     /*  391837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391853 */     GIR_RootConstrainSelectedInstOperands,
     /*  391854 */     // GIR_Coverage, 62838,
     /*  391854 */     GIR_EraseRootFromParent_Done,
     /*  391855 */   // Label 7020: @391855
     /*  391855 */   GIM_Try, /*On fail goto*//*Label 7021*/ GIMT_Encode4(391930), // Rule ID 62869 //
     /*  391860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  391863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  391871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  391874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391878 */     // MIs[0] op1
     /*  391878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391881 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391886 */     // MIs[0] op2
     /*  391886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391889 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391894 */     // MIs[0] op3
     /*  391894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391909 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  391909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391914 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391916 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391918 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  391925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  391928 */     GIR_RootConstrainSelectedInstOperands,
     /*  391929 */     // GIR_Coverage, 62869,
     /*  391929 */     GIR_EraseRootFromParent_Done,
     /*  391930 */   // Label 7021: @391930
     /*  391930 */   GIM_Try, /*On fail goto*//*Label 7022*/ GIMT_Encode4(392005), // Rule ID 62870 //
     /*  391935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  391938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  391943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  391946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  391949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  391953 */     // MIs[0] op1
     /*  391953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  391956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  391961 */     // MIs[0] op2
     /*  391961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  391964 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  391969 */     // MIs[0] op3
     /*  391969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  391972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  391977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  391984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  391984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  391987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  391989 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  391991 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  391993 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  391995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392003 */     GIR_RootConstrainSelectedInstOperands,
     /*  392004 */     // GIR_Coverage, 62870,
     /*  392004 */     GIR_EraseRootFromParent_Done,
     /*  392005 */   // Label 7022: @392005
     /*  392005 */   GIM_Try, /*On fail goto*//*Label 7023*/ GIMT_Encode4(392080), // Rule ID 62913 //
     /*  392010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  392021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392028 */     // MIs[0] op1
     /*  392028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392036 */     // MIs[0] op2
     /*  392036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392039 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392044 */     // MIs[0] op3
     /*  392044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392059 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  392062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392078 */     GIR_RootConstrainSelectedInstOperands,
     /*  392079 */     // GIR_Coverage, 62913,
     /*  392079 */     GIR_EraseRootFromParent_Done,
     /*  392080 */   // Label 7023: @392080
     /*  392080 */   GIM_Try, /*On fail goto*//*Label 7024*/ GIMT_Encode4(392155), // Rule ID 62914 //
     /*  392085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  392096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392103 */     // MIs[0] op1
     /*  392103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392111 */     // MIs[0] op2
     /*  392111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392114 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392119 */     // MIs[0] op3
     /*  392119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392122 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392134 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  392137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392139 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392141 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392143 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392153 */     GIR_RootConstrainSelectedInstOperands,
     /*  392154 */     // GIR_Coverage, 62914,
     /*  392154 */     GIR_EraseRootFromParent_Done,
     /*  392155 */   // Label 7024: @392155
     /*  392155 */   GIM_Try, /*On fail goto*//*Label 7025*/ GIMT_Encode4(392230), // Rule ID 62957 //
     /*  392160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  392171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392178 */     // MIs[0] op1
     /*  392178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392186 */     // MIs[0] op2
     /*  392186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392189 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392194 */     // MIs[0] op3
     /*  392194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392209 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  392212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392214 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392216 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392218 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392228 */     GIR_RootConstrainSelectedInstOperands,
     /*  392229 */     // GIR_Coverage, 62957,
     /*  392229 */     GIR_EraseRootFromParent_Done,
     /*  392230 */   // Label 7025: @392230
     /*  392230 */   GIM_Try, /*On fail goto*//*Label 7026*/ GIMT_Encode4(392305), // Rule ID 62958 //
     /*  392235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  392246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392253 */     // MIs[0] op1
     /*  392253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392256 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392261 */     // MIs[0] op2
     /*  392261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392264 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392269 */     // MIs[0] op3
     /*  392269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392272 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392284 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF4),
     /*  392287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392289 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392291 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392293 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392303 */     GIR_RootConstrainSelectedInstOperands,
     /*  392304 */     // GIR_Coverage, 62958,
     /*  392304 */     GIR_EraseRootFromParent_Done,
     /*  392305 */   // Label 7026: @392305
     /*  392305 */   GIM_Try, /*On fail goto*//*Label 7027*/ GIMT_Encode4(392380), // Rule ID 63013 //
     /*  392310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  392321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392328 */     // MIs[0] op1
     /*  392328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392336 */     // MIs[0] op2
     /*  392336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392339 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392344 */     // MIs[0] op3
     /*  392344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392359 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  392362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392364 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392366 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392368 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392378 */     GIR_RootConstrainSelectedInstOperands,
     /*  392379 */     // GIR_Coverage, 63013,
     /*  392379 */     GIR_EraseRootFromParent_Done,
     /*  392380 */   // Label 7027: @392380
     /*  392380 */   GIM_Try, /*On fail goto*//*Label 7028*/ GIMT_Encode4(392455), // Rule ID 63014 //
     /*  392385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  392396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392403 */     // MIs[0] op1
     /*  392403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392406 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392411 */     // MIs[0] op2
     /*  392411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392414 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392419 */     // MIs[0] op3
     /*  392419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392422 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  392437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392439 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392441 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392443 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392453 */     GIR_RootConstrainSelectedInstOperands,
     /*  392454 */     // GIR_Coverage, 63014,
     /*  392454 */     GIR_EraseRootFromParent_Done,
     /*  392455 */   // Label 7028: @392455
     /*  392455 */   GIM_Try, /*On fail goto*//*Label 7029*/ GIMT_Encode4(392530), // Rule ID 63069 //
     /*  392460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  392471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392478 */     // MIs[0] op1
     /*  392478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392481 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392486 */     // MIs[0] op2
     /*  392486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392494 */     // MIs[0] op3
     /*  392494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392497 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392509 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  392512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392514 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392516 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392518 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392528 */     GIR_RootConstrainSelectedInstOperands,
     /*  392529 */     // GIR_Coverage, 63069,
     /*  392529 */     GIR_EraseRootFromParent_Done,
     /*  392530 */   // Label 7029: @392530
     /*  392530 */   GIM_Try, /*On fail goto*//*Label 7030*/ GIMT_Encode4(392605), // Rule ID 63070 //
     /*  392535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  392546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392553 */     // MIs[0] op1
     /*  392553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392556 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392561 */     // MIs[0] op2
     /*  392561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392564 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392569 */     // MIs[0] op3
     /*  392569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392572 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  392584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_MF2),
     /*  392587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392589 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392591 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392593 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392603 */     GIR_RootConstrainSelectedInstOperands,
     /*  392604 */     // GIR_Coverage, 63070,
     /*  392604 */     GIR_EraseRootFromParent_Done,
     /*  392605 */   // Label 7030: @392605
     /*  392605 */   GIM_Try, /*On fail goto*//*Label 7031*/ GIMT_Encode4(392680), // Rule ID 63125 //
     /*  392610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  392621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392628 */     // MIs[0] op1
     /*  392628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392631 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392636 */     // MIs[0] op2
     /*  392636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392644 */     // MIs[0] op3
     /*  392644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392647 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392659 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  392659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392664 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392666 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392668 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392678 */     GIR_RootConstrainSelectedInstOperands,
     /*  392679 */     // GIR_Coverage, 63125,
     /*  392679 */     GIR_EraseRootFromParent_Done,
     /*  392680 */   // Label 7031: @392680
     /*  392680 */   GIM_Try, /*On fail goto*//*Label 7032*/ GIMT_Encode4(392755), // Rule ID 63126 //
     /*  392685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  392696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392703 */     // MIs[0] op1
     /*  392703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392711 */     // MIs[0] op2
     /*  392711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392714 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392719 */     // MIs[0] op3
     /*  392719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392722 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392734 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  392734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392739 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392741 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392743 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  392753 */     GIR_RootConstrainSelectedInstOperands,
     /*  392754 */     // GIR_Coverage, 63126,
     /*  392754 */     GIR_EraseRootFromParent_Done,
     /*  392755 */   // Label 7032: @392755
     /*  392755 */   GIM_Try, /*On fail goto*//*Label 7033*/ GIMT_Encode4(392830), // Rule ID 63169 //
     /*  392760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392778 */     // MIs[0] op1
     /*  392778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392786 */     // MIs[0] op2
     /*  392786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392794 */     // MIs[0] op3
     /*  392794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392797 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  392809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392828 */     GIR_RootConstrainSelectedInstOperands,
     /*  392829 */     // GIR_Coverage, 63169,
     /*  392829 */     GIR_EraseRootFromParent_Done,
     /*  392830 */   // Label 7033: @392830
     /*  392830 */   GIM_Try, /*On fail goto*//*Label 7034*/ GIMT_Encode4(392905), // Rule ID 63170 //
     /*  392835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  392846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392853 */     // MIs[0] op1
     /*  392853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392861 */     // MIs[0] op2
     /*  392861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392864 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392869 */     // MIs[0] op3
     /*  392869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392872 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  392884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392889 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392891 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392893 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  392903 */     GIR_RootConstrainSelectedInstOperands,
     /*  392904 */     // GIR_Coverage, 63170,
     /*  392904 */     GIR_EraseRootFromParent_Done,
     /*  392905 */   // Label 7034: @392905
     /*  392905 */   GIM_Try, /*On fail goto*//*Label 7035*/ GIMT_Encode4(392980), // Rule ID 63225 //
     /*  392910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  392913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  392924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  392928 */     // MIs[0] op1
     /*  392928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  392931 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  392936 */     // MIs[0] op2
     /*  392936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  392939 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  392944 */     // MIs[0] op3
     /*  392944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  392947 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  392952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  392959 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  392959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  392962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  392964 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  392966 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  392968 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  392970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  392975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  392978 */     GIR_RootConstrainSelectedInstOperands,
     /*  392979 */     // GIR_Coverage, 63225,
     /*  392979 */     GIR_EraseRootFromParent_Done,
     /*  392980 */   // Label 7035: @392980
     /*  392980 */   GIM_Try, /*On fail goto*//*Label 7036*/ GIMT_Encode4(393055), // Rule ID 63226 //
     /*  392985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  392988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  392993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  392996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  392999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393003 */     // MIs[0] op1
     /*  393003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393006 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393011 */     // MIs[0] op2
     /*  393011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393014 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393019 */     // MIs[0] op3
     /*  393019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  393034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  393037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393039 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393041 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393043 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  393053 */     GIR_RootConstrainSelectedInstOperands,
     /*  393054 */     // GIR_Coverage, 63226,
     /*  393054 */     GIR_EraseRootFromParent_Done,
     /*  393055 */   // Label 7036: @393055
     /*  393055 */   GIM_Try, /*On fail goto*//*Label 7037*/ GIMT_Encode4(393130), // Rule ID 63281 //
     /*  393060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  393071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393078 */     // MIs[0] op1
     /*  393078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393086 */     // MIs[0] op2
     /*  393086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393089 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393094 */     // MIs[0] op3
     /*  393094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393109 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  393109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  393112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393114 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393116 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393118 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393128 */     GIR_RootConstrainSelectedInstOperands,
     /*  393129 */     // GIR_Coverage, 63281,
     /*  393129 */     GIR_EraseRootFromParent_Done,
     /*  393130 */   // Label 7037: @393130
     /*  393130 */   GIM_Try, /*On fail goto*//*Label 7038*/ GIMT_Encode4(393205), // Rule ID 63282 //
     /*  393135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  393146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  393153 */     // MIs[0] op1
     /*  393153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393156 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393161 */     // MIs[0] op2
     /*  393161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393164 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393169 */     // MIs[0] op3
     /*  393169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393172 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  393184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M1),
     /*  393187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393189 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393191 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393193 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  393203 */     GIR_RootConstrainSelectedInstOperands,
     /*  393204 */     // GIR_Coverage, 63282,
     /*  393204 */     GIR_EraseRootFromParent_Done,
     /*  393205 */   // Label 7038: @393205
     /*  393205 */   GIM_Try, /*On fail goto*//*Label 7039*/ GIMT_Encode4(393280), // Rule ID 63337 //
     /*  393210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  393221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393228 */     // MIs[0] op1
     /*  393228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393236 */     // MIs[0] op2
     /*  393236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393239 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393244 */     // MIs[0] op3
     /*  393244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393259 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393264 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393266 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393268 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393278 */     GIR_RootConstrainSelectedInstOperands,
     /*  393279 */     // GIR_Coverage, 63337,
     /*  393279 */     GIR_EraseRootFromParent_Done,
     /*  393280 */   // Label 7039: @393280
     /*  393280 */   GIM_Try, /*On fail goto*//*Label 7040*/ GIMT_Encode4(393355), // Rule ID 63338 //
     /*  393285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  393296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393303 */     // MIs[0] op1
     /*  393303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393306 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393311 */     // MIs[0] op2
     /*  393311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393319 */     // MIs[0] op3
     /*  393319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393322 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393339 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393341 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393343 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393353 */     GIR_RootConstrainSelectedInstOperands,
     /*  393354 */     // GIR_Coverage, 63338,
     /*  393354 */     GIR_EraseRootFromParent_Done,
     /*  393355 */   // Label 7040: @393355
     /*  393355 */   GIM_Try, /*On fail goto*//*Label 7041*/ GIMT_Encode4(393430), // Rule ID 63381 //
     /*  393360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  393371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393378 */     // MIs[0] op1
     /*  393378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393381 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393386 */     // MIs[0] op2
     /*  393386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393394 */     // MIs[0] op3
     /*  393394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393397 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393409 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393414 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393416 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393418 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393428 */     GIR_RootConstrainSelectedInstOperands,
     /*  393429 */     // GIR_Coverage, 63381,
     /*  393429 */     GIR_EraseRootFromParent_Done,
     /*  393430 */   // Label 7041: @393430
     /*  393430 */   GIM_Try, /*On fail goto*//*Label 7042*/ GIMT_Encode4(393505), // Rule ID 63382 //
     /*  393435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  393446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393453 */     // MIs[0] op1
     /*  393453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393456 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393461 */     // MIs[0] op2
     /*  393461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393464 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393469 */     // MIs[0] op3
     /*  393469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393484 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393489 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393491 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393493 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393503 */     GIR_RootConstrainSelectedInstOperands,
     /*  393504 */     // GIR_Coverage, 63382,
     /*  393504 */     GIR_EraseRootFromParent_Done,
     /*  393505 */   // Label 7042: @393505
     /*  393505 */   GIM_Try, /*On fail goto*//*Label 7043*/ GIMT_Encode4(393580), // Rule ID 63425 //
     /*  393510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  393521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393528 */     // MIs[0] op1
     /*  393528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393531 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393536 */     // MIs[0] op2
     /*  393536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393544 */     // MIs[0] op3
     /*  393544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393547 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393559 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  393559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393564 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393566 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393568 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393578 */     GIR_RootConstrainSelectedInstOperands,
     /*  393579 */     // GIR_Coverage, 63425,
     /*  393579 */     GIR_EraseRootFromParent_Done,
     /*  393580 */   // Label 7043: @393580
     /*  393580 */   GIM_Try, /*On fail goto*//*Label 7044*/ GIMT_Encode4(393655), // Rule ID 63426 //
     /*  393585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  393596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393603 */     // MIs[0] op1
     /*  393603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393611 */     // MIs[0] op2
     /*  393611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393614 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393619 */     // MIs[0] op3
     /*  393619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393634 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  393634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  393637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393639 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393641 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393643 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  393653 */     GIR_RootConstrainSelectedInstOperands,
     /*  393654 */     // GIR_Coverage, 63426,
     /*  393654 */     GIR_EraseRootFromParent_Done,
     /*  393655 */   // Label 7044: @393655
     /*  393655 */   GIM_Try, /*On fail goto*//*Label 7045*/ GIMT_Encode4(393730), // Rule ID 63469 //
     /*  393660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393678 */     // MIs[0] op1
     /*  393678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393681 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393686 */     // MIs[0] op2
     /*  393686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393694 */     // MIs[0] op3
     /*  393694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393697 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393709 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393714 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393716 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393718 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393728 */     GIR_RootConstrainSelectedInstOperands,
     /*  393729 */     // GIR_Coverage, 63469,
     /*  393729 */     GIR_EraseRootFromParent_Done,
     /*  393730 */   // Label 7045: @393730
     /*  393730 */   GIM_Try, /*On fail goto*//*Label 7046*/ GIMT_Encode4(393805), // Rule ID 63470 //
     /*  393735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  393746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  393753 */     // MIs[0] op1
     /*  393753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393761 */     // MIs[0] op2
     /*  393761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393764 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393769 */     // MIs[0] op3
     /*  393769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  393787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393789 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393791 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393793 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393803 */     GIR_RootConstrainSelectedInstOperands,
     /*  393804 */     // GIR_Coverage, 63470,
     /*  393804 */     GIR_EraseRootFromParent_Done,
     /*  393805 */   // Label 7046: @393805
     /*  393805 */   GIM_Try, /*On fail goto*//*Label 7047*/ GIMT_Encode4(393880), // Rule ID 63525 //
     /*  393810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393828 */     // MIs[0] op1
     /*  393828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393831 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393836 */     // MIs[0] op2
     /*  393836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393844 */     // MIs[0] op3
     /*  393844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393859 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  393859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393864 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393866 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393868 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393878 */     GIR_RootConstrainSelectedInstOperands,
     /*  393879 */     // GIR_Coverage, 63525,
     /*  393879 */     GIR_EraseRootFromParent_Done,
     /*  393880 */   // Label 7047: @393880
     /*  393880 */   GIM_Try, /*On fail goto*//*Label 7048*/ GIMT_Encode4(393955), // Rule ID 63526 //
     /*  393885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  393888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  393896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  393899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  393903 */     // MIs[0] op1
     /*  393903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393906 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393911 */     // MIs[0] op2
     /*  393911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393914 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393919 */     // MIs[0] op3
     /*  393919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  393927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  393934 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  393934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  393937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  393939 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  393941 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  393943 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  393945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  393950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  393953 */     GIR_RootConstrainSelectedInstOperands,
     /*  393954 */     // GIR_Coverage, 63526,
     /*  393954 */     GIR_EraseRootFromParent_Done,
     /*  393955 */   // Label 7048: @393955
     /*  393955 */   GIM_Try, /*On fail goto*//*Label 7049*/ GIMT_Encode4(394030), // Rule ID 63581 //
     /*  393960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  393963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  393968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  393971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  393974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  393978 */     // MIs[0] op1
     /*  393978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  393981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  393986 */     // MIs[0] op2
     /*  393986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  393989 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  393994 */     // MIs[0] op3
     /*  393994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  393997 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394009 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  394009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394028 */     GIR_RootConstrainSelectedInstOperands,
     /*  394029 */     // GIR_Coverage, 63581,
     /*  394029 */     GIR_EraseRootFromParent_Done,
     /*  394030 */   // Label 7049: @394030
     /*  394030 */   GIM_Try, /*On fail goto*//*Label 7050*/ GIMT_Encode4(394105), // Rule ID 63582 //
     /*  394035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  394046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394053 */     // MIs[0] op1
     /*  394053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394056 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394061 */     // MIs[0] op2
     /*  394061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394064 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394069 */     // MIs[0] op3
     /*  394069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394072 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  394084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394089 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394091 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394093 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  394103 */     GIR_RootConstrainSelectedInstOperands,
     /*  394104 */     // GIR_Coverage, 63582,
     /*  394104 */     GIR_EraseRootFromParent_Done,
     /*  394105 */   // Label 7050: @394105
     /*  394105 */   GIM_Try, /*On fail goto*//*Label 7051*/ GIMT_Encode4(394180), // Rule ID 63637 //
     /*  394110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  394121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394128 */     // MIs[0] op1
     /*  394128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394131 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394136 */     // MIs[0] op2
     /*  394136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394144 */     // MIs[0] op3
     /*  394144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394147 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  394162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394164 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394166 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394168 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394178 */     GIR_RootConstrainSelectedInstOperands,
     /*  394179 */     // GIR_Coverage, 63637,
     /*  394179 */     GIR_EraseRootFromParent_Done,
     /*  394180 */   // Label 7051: @394180
     /*  394180 */   GIM_Try, /*On fail goto*//*Label 7052*/ GIMT_Encode4(394255), // Rule ID 63638 //
     /*  394185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  394196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394203 */     // MIs[0] op1
     /*  394203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394206 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394211 */     // MIs[0] op2
     /*  394211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394219 */     // MIs[0] op3
     /*  394219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394222 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394234 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  394237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394239 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394241 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394243 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394253 */     GIR_RootConstrainSelectedInstOperands,
     /*  394254 */     // GIR_Coverage, 63638,
     /*  394254 */     GIR_EraseRootFromParent_Done,
     /*  394255 */   // Label 7052: @394255
     /*  394255 */   GIM_Try, /*On fail goto*//*Label 7053*/ GIMT_Encode4(394330), // Rule ID 63693 //
     /*  394260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  394271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394278 */     // MIs[0] op1
     /*  394278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394286 */     // MIs[0] op2
     /*  394286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394289 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394294 */     // MIs[0] op3
     /*  394294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  394312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394314 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394316 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394318 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394328 */     GIR_RootConstrainSelectedInstOperands,
     /*  394329 */     // GIR_Coverage, 63693,
     /*  394329 */     GIR_EraseRootFromParent_Done,
     /*  394330 */   // Label 7053: @394330
     /*  394330 */   GIM_Try, /*On fail goto*//*Label 7054*/ GIMT_Encode4(394405), // Rule ID 63694 //
     /*  394335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  394346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394353 */     // MIs[0] op1
     /*  394353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394361 */     // MIs[0] op2
     /*  394361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394364 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394369 */     // MIs[0] op3
     /*  394369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394384 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  394387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394389 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394391 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394393 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394403 */     GIR_RootConstrainSelectedInstOperands,
     /*  394404 */     // GIR_Coverage, 63694,
     /*  394404 */     GIR_EraseRootFromParent_Done,
     /*  394405 */   // Label 7054: @394405
     /*  394405 */   GIM_Try, /*On fail goto*//*Label 7055*/ GIMT_Encode4(394480), // Rule ID 63749 //
     /*  394410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  394421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394428 */     // MIs[0] op1
     /*  394428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394436 */     // MIs[0] op2
     /*  394436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394444 */     // MIs[0] op3
     /*  394444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394447 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394459 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  394459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394464 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394466 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394468 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394478 */     GIR_RootConstrainSelectedInstOperands,
     /*  394479 */     // GIR_Coverage, 63749,
     /*  394479 */     GIR_EraseRootFromParent_Done,
     /*  394480 */   // Label 7055: @394480
     /*  394480 */   GIM_Try, /*On fail goto*//*Label 7056*/ GIMT_Encode4(394555), // Rule ID 63750 //
     /*  394485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  394496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394503 */     // MIs[0] op1
     /*  394503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394511 */     // MIs[0] op2
     /*  394511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394519 */     // MIs[0] op3
     /*  394519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394534 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  394534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  394553 */     GIR_RootConstrainSelectedInstOperands,
     /*  394554 */     // GIR_Coverage, 63750,
     /*  394554 */     GIR_EraseRootFromParent_Done,
     /*  394555 */   // Label 7056: @394555
     /*  394555 */   GIM_Try, /*On fail goto*//*Label 7057*/ GIMT_Encode4(394630), // Rule ID 63805 //
     /*  394560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  394571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394578 */     // MIs[0] op1
     /*  394578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394586 */     // MIs[0] op2
     /*  394586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394594 */     // MIs[0] op3
     /*  394594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394609 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  394612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394628 */     GIR_RootConstrainSelectedInstOperands,
     /*  394629 */     // GIR_Coverage, 63805,
     /*  394629 */     GIR_EraseRootFromParent_Done,
     /*  394630 */   // Label 7057: @394630
     /*  394630 */   GIM_Try, /*On fail goto*//*Label 7058*/ GIMT_Encode4(394705), // Rule ID 63806 //
     /*  394635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  394646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  394653 */     // MIs[0] op1
     /*  394653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394656 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394661 */     // MIs[0] op2
     /*  394661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394669 */     // MIs[0] op3
     /*  394669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394684 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M2),
     /*  394687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394703 */     GIR_RootConstrainSelectedInstOperands,
     /*  394704 */     // GIR_Coverage, 63806,
     /*  394704 */     GIR_EraseRootFromParent_Done,
     /*  394705 */   // Label 7058: @394705
     /*  394705 */   GIM_Try, /*On fail goto*//*Label 7059*/ GIMT_Encode4(394780), // Rule ID 63861 //
     /*  394710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  394721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394728 */     // MIs[0] op1
     /*  394728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394731 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394736 */     // MIs[0] op2
     /*  394736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394744 */     // MIs[0] op3
     /*  394744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394759 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  394762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394778 */     GIR_RootConstrainSelectedInstOperands,
     /*  394779 */     // GIR_Coverage, 63861,
     /*  394779 */     GIR_EraseRootFromParent_Done,
     /*  394780 */   // Label 7059: @394780
     /*  394780 */   GIM_Try, /*On fail goto*//*Label 7060*/ GIMT_Encode4(394855), // Rule ID 63862 //
     /*  394785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  394796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  394803 */     // MIs[0] op1
     /*  394803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394811 */     // MIs[0] op2
     /*  394811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394814 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394819 */     // MIs[0] op3
     /*  394819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394822 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394834 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M4),
     /*  394837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394853 */     GIR_RootConstrainSelectedInstOperands,
     /*  394854 */     // GIR_Coverage, 63862,
     /*  394854 */     GIR_EraseRootFromParent_Done,
     /*  394855 */   // Label 7060: @394855
     /*  394855 */   GIM_Try, /*On fail goto*//*Label 7061*/ GIMT_Encode4(394930), // Rule ID 63917 //
     /*  394860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  394863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  394874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394878 */     // MIs[0] op1
     /*  394878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394881 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394886 */     // MIs[0] op2
     /*  394886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394889 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394894 */     // MIs[0] op3
     /*  394894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394897 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394909 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  394909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394914 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394916 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394918 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  394925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  394928 */     GIR_RootConstrainSelectedInstOperands,
     /*  394929 */     // GIR_Coverage, 63917,
     /*  394929 */     GIR_EraseRootFromParent_Done,
     /*  394930 */   // Label 7061: @394930
     /*  394930 */   GIM_Try, /*On fail goto*//*Label 7062*/ GIMT_Encode4(395005), // Rule ID 63918 //
     /*  394935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  394938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_i),
     /*  394943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  394946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  394949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  394953 */     // MIs[0] op1
     /*  394953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  394956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  394961 */     // MIs[0] op2
     /*  394961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  394964 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  394969 */     // MIs[0] op3
     /*  394969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  394972 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  394977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  394984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11067:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_I_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  394984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_I_M8),
     /*  394987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  394989 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  394991 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  394993 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  394995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  395003 */     GIR_RootConstrainSelectedInstOperands,
     /*  395004 */     // GIR_Coverage, 63918,
     /*  395004 */     GIR_EraseRootFromParent_Done,
     /*  395005 */   // Label 7062: @395005
     /*  395005 */   GIM_Try, /*On fail goto*//*Label 7063*/ GIMT_Encode4(395079), // Rule ID 62819 //
     /*  395010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  395021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395031 */     // MIs[0] op1
     /*  395031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395034 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395039 */     // MIs[0] op2
     /*  395039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395058 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  395061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395063 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395065 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395067 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395077 */     GIR_RootConstrainSelectedInstOperands,
     /*  395078 */     // GIR_Coverage, 62819,
     /*  395078 */     GIR_EraseRootFromParent_Done,
     /*  395079 */   // Label 7063: @395079
     /*  395079 */   GIM_Try, /*On fail goto*//*Label 7064*/ GIMT_Encode4(395153), // Rule ID 62820 //
     /*  395084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  395095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395105 */     // MIs[0] op1
     /*  395105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395108 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395113 */     // MIs[0] op2
     /*  395113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF8),
     /*  395135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395137 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395139 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395141 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395151 */     GIR_RootConstrainSelectedInstOperands,
     /*  395152 */     // GIR_Coverage, 62820,
     /*  395152 */     GIR_EraseRootFromParent_Done,
     /*  395153 */   // Label 7064: @395153
     /*  395153 */   GIM_Try, /*On fail goto*//*Label 7065*/ GIMT_Encode4(395227), // Rule ID 62865 //
     /*  395158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  395169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395179 */     // MIs[0] op1
     /*  395179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395187 */     // MIs[0] op2
     /*  395187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395206 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  395209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395211 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395213 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395215 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395225 */     GIR_RootConstrainSelectedInstOperands,
     /*  395226 */     // GIR_Coverage, 62865,
     /*  395226 */     GIR_EraseRootFromParent_Done,
     /*  395227 */   // Label 7065: @395227
     /*  395227 */   GIM_Try, /*On fail goto*//*Label 7066*/ GIMT_Encode4(395301), // Rule ID 62866 //
     /*  395232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  395243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395253 */     // MIs[0] op1
     /*  395253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395256 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395261 */     // MIs[0] op2
     /*  395261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395264 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  395283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395285 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395287 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395289 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395299 */     GIR_RootConstrainSelectedInstOperands,
     /*  395300 */     // GIR_Coverage, 62866,
     /*  395300 */     GIR_EraseRootFromParent_Done,
     /*  395301 */   // Label 7066: @395301
     /*  395301 */   GIM_Try, /*On fail goto*//*Label 7067*/ GIMT_Encode4(395375), // Rule ID 62909 //
     /*  395306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  395317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395327 */     // MIs[0] op1
     /*  395327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395330 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395335 */     // MIs[0] op2
     /*  395335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395354 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395359 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395361 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395363 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395373 */     GIR_RootConstrainSelectedInstOperands,
     /*  395374 */     // GIR_Coverage, 62909,
     /*  395374 */     GIR_EraseRootFromParent_Done,
     /*  395375 */   // Label 7067: @395375
     /*  395375 */   GIM_Try, /*On fail goto*//*Label 7068*/ GIMT_Encode4(395449), // Rule ID 62910 //
     /*  395380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  395391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395401 */     // MIs[0] op1
     /*  395401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395404 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395409 */     // MIs[0] op2
     /*  395409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  395428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395433 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395435 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395437 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395447 */     GIR_RootConstrainSelectedInstOperands,
     /*  395448 */     // GIR_Coverage, 62910,
     /*  395448 */     GIR_EraseRootFromParent_Done,
     /*  395449 */   // Label 7068: @395449
     /*  395449 */   GIM_Try, /*On fail goto*//*Label 7069*/ GIMT_Encode4(395523), // Rule ID 62953 //
     /*  395454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  395465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395475 */     // MIs[0] op1
     /*  395475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395478 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395483 */     // MIs[0] op2
     /*  395483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  395505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395507 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395509 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395511 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395521 */     GIR_RootConstrainSelectedInstOperands,
     /*  395522 */     // GIR_Coverage, 62953,
     /*  395522 */     GIR_EraseRootFromParent_Done,
     /*  395523 */   // Label 7069: @395523
     /*  395523 */   GIM_Try, /*On fail goto*//*Label 7070*/ GIMT_Encode4(395597), // Rule ID 62954 //
     /*  395528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  395539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395549 */     // MIs[0] op1
     /*  395549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395552 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395557 */     // MIs[0] op2
     /*  395557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF4),
     /*  395579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395581 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395583 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395585 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395595 */     GIR_RootConstrainSelectedInstOperands,
     /*  395596 */     // GIR_Coverage, 62954,
     /*  395596 */     GIR_EraseRootFromParent_Done,
     /*  395597 */   // Label 7070: @395597
     /*  395597 */   GIM_Try, /*On fail goto*//*Label 7071*/ GIMT_Encode4(395671), // Rule ID 63009 //
     /*  395602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395623 */     // MIs[0] op1
     /*  395623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395626 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395631 */     // MIs[0] op2
     /*  395631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  395650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395655 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395657 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395659 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395669 */     GIR_RootConstrainSelectedInstOperands,
     /*  395670 */     // GIR_Coverage, 63009,
     /*  395670 */     GIR_EraseRootFromParent_Done,
     /*  395671 */   // Label 7071: @395671
     /*  395671 */   GIM_Try, /*On fail goto*//*Label 7072*/ GIMT_Encode4(395745), // Rule ID 63010 //
     /*  395676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  395687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395697 */     // MIs[0] op1
     /*  395697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395700 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395705 */     // MIs[0] op2
     /*  395705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  395724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395729 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395731 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395733 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  395743 */     GIR_RootConstrainSelectedInstOperands,
     /*  395744 */     // GIR_Coverage, 63010,
     /*  395744 */     GIR_EraseRootFromParent_Done,
     /*  395745 */   // Label 7072: @395745
     /*  395745 */   GIM_Try, /*On fail goto*//*Label 7073*/ GIMT_Encode4(395819), // Rule ID 63065 //
     /*  395750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395771 */     // MIs[0] op1
     /*  395771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395774 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395779 */     // MIs[0] op2
     /*  395779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  395798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395803 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395805 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395807 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395817 */     GIR_RootConstrainSelectedInstOperands,
     /*  395818 */     // GIR_Coverage, 63065,
     /*  395818 */     GIR_EraseRootFromParent_Done,
     /*  395819 */   // Label 7073: @395819
     /*  395819 */   GIM_Try, /*On fail goto*//*Label 7074*/ GIMT_Encode4(395893), // Rule ID 63066 //
     /*  395824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  395835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395845 */     // MIs[0] op1
     /*  395845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395848 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395853 */     // MIs[0] op2
     /*  395853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  395872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_MF2),
     /*  395875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395877 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395879 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395881 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  395891 */     GIR_RootConstrainSelectedInstOperands,
     /*  395892 */     // GIR_Coverage, 63066,
     /*  395892 */     GIR_EraseRootFromParent_Done,
     /*  395893 */   // Label 7074: @395893
     /*  395893 */   GIM_Try, /*On fail goto*//*Label 7075*/ GIMT_Encode4(395967), // Rule ID 63121 //
     /*  395898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  395901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  395909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  395912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  395915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395919 */     // MIs[0] op1
     /*  395919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395922 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  395927 */     // MIs[0] op2
     /*  395927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  395930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  395935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  395939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  395946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  395946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  395949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  395951 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  395953 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  395955 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  395957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  395962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  395965 */     GIR_RootConstrainSelectedInstOperands,
     /*  395966 */     // GIR_Coverage, 63121,
     /*  395966 */     GIR_EraseRootFromParent_Done,
     /*  395967 */   // Label 7075: @395967
     /*  395967 */   GIM_Try, /*On fail goto*//*Label 7076*/ GIMT_Encode4(396041), // Rule ID 63122 //
     /*  395972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  395975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  395980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  395983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  395986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  395989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  395993 */     // MIs[0] op1
     /*  395993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  395996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396001 */     // MIs[0] op2
     /*  396001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396020 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  396023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396025 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396027 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396029 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396039 */     GIR_RootConstrainSelectedInstOperands,
     /*  396040 */     // GIR_Coverage, 63122,
     /*  396040 */     GIR_EraseRootFromParent_Done,
     /*  396041 */   // Label 7076: @396041
     /*  396041 */   GIM_Try, /*On fail goto*//*Label 7077*/ GIMT_Encode4(396115), // Rule ID 63165 //
     /*  396046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  396057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396067 */     // MIs[0] op1
     /*  396067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396070 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396075 */     // MIs[0] op2
     /*  396075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  396097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396099 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396101 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396103 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396113 */     GIR_RootConstrainSelectedInstOperands,
     /*  396114 */     // GIR_Coverage, 63165,
     /*  396114 */     GIR_EraseRootFromParent_Done,
     /*  396115 */   // Label 7077: @396115
     /*  396115 */   GIM_Try, /*On fail goto*//*Label 7078*/ GIMT_Encode4(396189), // Rule ID 63166 //
     /*  396120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  396131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396141 */     // MIs[0] op1
     /*  396141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396144 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396149 */     // MIs[0] op2
     /*  396149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  396168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  396171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396173 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396175 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396177 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  396187 */     GIR_RootConstrainSelectedInstOperands,
     /*  396188 */     // GIR_Coverage, 63166,
     /*  396188 */     GIR_EraseRootFromParent_Done,
     /*  396189 */   // Label 7078: @396189
     /*  396189 */   GIM_Try, /*On fail goto*//*Label 7079*/ GIMT_Encode4(396263), // Rule ID 63221 //
     /*  396194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  396205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396215 */     // MIs[0] op1
     /*  396215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396218 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396223 */     // MIs[0] op2
     /*  396223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  396242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  396245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396247 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396249 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396251 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396261 */     GIR_RootConstrainSelectedInstOperands,
     /*  396262 */     // GIR_Coverage, 63221,
     /*  396262 */     GIR_EraseRootFromParent_Done,
     /*  396263 */   // Label 7079: @396263
     /*  396263 */   GIM_Try, /*On fail goto*//*Label 7080*/ GIMT_Encode4(396337), // Rule ID 63222 //
     /*  396268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  396279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396289 */     // MIs[0] op1
     /*  396289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396297 */     // MIs[0] op2
     /*  396297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  396316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  396319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396321 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396323 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396325 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  396335 */     GIR_RootConstrainSelectedInstOperands,
     /*  396336 */     // GIR_Coverage, 63222,
     /*  396336 */     GIR_EraseRootFromParent_Done,
     /*  396337 */   // Label 7080: @396337
     /*  396337 */   GIM_Try, /*On fail goto*//*Label 7081*/ GIMT_Encode4(396411), // Rule ID 63277 //
     /*  396342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  396353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396363 */     // MIs[0] op1
     /*  396363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396371 */     // MIs[0] op2
     /*  396371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  396390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  396393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396395 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396397 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396399 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396409 */     GIR_RootConstrainSelectedInstOperands,
     /*  396410 */     // GIR_Coverage, 63277,
     /*  396410 */     GIR_EraseRootFromParent_Done,
     /*  396411 */   // Label 7081: @396411
     /*  396411 */   GIM_Try, /*On fail goto*//*Label 7082*/ GIMT_Encode4(396485), // Rule ID 63278 //
     /*  396416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  396427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  396437 */     // MIs[0] op1
     /*  396437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396440 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396445 */     // MIs[0] op2
     /*  396445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  396464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M1),
     /*  396467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396469 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396471 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396473 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  396483 */     GIR_RootConstrainSelectedInstOperands,
     /*  396484 */     // GIR_Coverage, 63278,
     /*  396484 */     GIR_EraseRootFromParent_Done,
     /*  396485 */   // Label 7082: @396485
     /*  396485 */   GIM_Try, /*On fail goto*//*Label 7083*/ GIMT_Encode4(396559), // Rule ID 63333 //
     /*  396490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  396501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396511 */     // MIs[0] op1
     /*  396511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396519 */     // MIs[0] op2
     /*  396519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396538 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  396538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396543 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396545 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396547 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396557 */     GIR_RootConstrainSelectedInstOperands,
     /*  396558 */     // GIR_Coverage, 63333,
     /*  396558 */     GIR_EraseRootFromParent_Done,
     /*  396559 */   // Label 7083: @396559
     /*  396559 */   GIM_Try, /*On fail goto*//*Label 7084*/ GIMT_Encode4(396633), // Rule ID 63334 //
     /*  396564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  396575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396585 */     // MIs[0] op1
     /*  396585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396588 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396593 */     // MIs[0] op2
     /*  396593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396617 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396619 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396621 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396631 */     GIR_RootConstrainSelectedInstOperands,
     /*  396632 */     // GIR_Coverage, 63334,
     /*  396632 */     GIR_EraseRootFromParent_Done,
     /*  396633 */   // Label 7084: @396633
     /*  396633 */   GIM_Try, /*On fail goto*//*Label 7085*/ GIMT_Encode4(396707), // Rule ID 63377 //
     /*  396638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  396649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396659 */     // MIs[0] op1
     /*  396659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396662 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396667 */     // MIs[0] op2
     /*  396667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396686 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  396686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396691 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396693 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396695 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396705 */     GIR_RootConstrainSelectedInstOperands,
     /*  396706 */     // GIR_Coverage, 63377,
     /*  396706 */     GIR_EraseRootFromParent_Done,
     /*  396707 */   // Label 7085: @396707
     /*  396707 */   GIM_Try, /*On fail goto*//*Label 7086*/ GIMT_Encode4(396781), // Rule ID 63378 //
     /*  396712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  396723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  396733 */     // MIs[0] op1
     /*  396733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396736 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396741 */     // MIs[0] op2
     /*  396741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396760 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  396763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396765 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396767 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396769 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396779 */     GIR_RootConstrainSelectedInstOperands,
     /*  396780 */     // GIR_Coverage, 63378,
     /*  396780 */     GIR_EraseRootFromParent_Done,
     /*  396781 */   // Label 7086: @396781
     /*  396781 */   GIM_Try, /*On fail goto*//*Label 7087*/ GIMT_Encode4(396855), // Rule ID 63421 //
     /*  396786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  396797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396807 */     // MIs[0] op1
     /*  396807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396815 */     // MIs[0] op2
     /*  396815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  396834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396839 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396841 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396843 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396853 */     GIR_RootConstrainSelectedInstOperands,
     /*  396854 */     // GIR_Coverage, 63421,
     /*  396854 */     GIR_EraseRootFromParent_Done,
     /*  396855 */   // Label 7087: @396855
     /*  396855 */   GIM_Try, /*On fail goto*//*Label 7088*/ GIMT_Encode4(396929), // Rule ID 63422 //
     /*  396860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  396863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  396871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  396874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  396877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  396881 */     // MIs[0] op1
     /*  396881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396884 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396889 */     // MIs[0] op2
     /*  396889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396908 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  396908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  396911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396913 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396915 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396917 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  396927 */     GIR_RootConstrainSelectedInstOperands,
     /*  396928 */     // GIR_Coverage, 63422,
     /*  396928 */     GIR_EraseRootFromParent_Done,
     /*  396929 */   // Label 7088: @396929
     /*  396929 */   GIM_Try, /*On fail goto*//*Label 7089*/ GIMT_Encode4(397003), // Rule ID 63465 //
     /*  396934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  396937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  396942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  396945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  396948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  396951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  396955 */     // MIs[0] op1
     /*  396955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  396958 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  396963 */     // MIs[0] op2
     /*  396963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  396966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  396971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  396975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  396982 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  396982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  396985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  396987 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  396989 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  396991 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  396993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  396998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397001 */     GIR_RootConstrainSelectedInstOperands,
     /*  397002 */     // GIR_Coverage, 63465,
     /*  397002 */     GIR_EraseRootFromParent_Done,
     /*  397003 */   // Label 7089: @397003
     /*  397003 */   GIM_Try, /*On fail goto*//*Label 7090*/ GIMT_Encode4(397077), // Rule ID 63466 //
     /*  397008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  397019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397029 */     // MIs[0] op1
     /*  397029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397032 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397037 */     // MIs[0] op2
     /*  397037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  397056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397061 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397063 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397065 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397075 */     GIR_RootConstrainSelectedInstOperands,
     /*  397076 */     // GIR_Coverage, 63466,
     /*  397076 */     GIR_EraseRootFromParent_Done,
     /*  397077 */   // Label 7090: @397077
     /*  397077 */   GIM_Try, /*On fail goto*//*Label 7091*/ GIMT_Encode4(397151), // Rule ID 63521 //
     /*  397082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  397093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397103 */     // MIs[0] op1
     /*  397103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397106 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397111 */     // MIs[0] op2
     /*  397111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397114 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  397130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397135 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397137 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397139 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397149 */     GIR_RootConstrainSelectedInstOperands,
     /*  397150 */     // GIR_Coverage, 63521,
     /*  397150 */     GIR_EraseRootFromParent_Done,
     /*  397151 */   // Label 7091: @397151
     /*  397151 */   GIM_Try, /*On fail goto*//*Label 7092*/ GIMT_Encode4(397225), // Rule ID 63522 //
     /*  397156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  397167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397177 */     // MIs[0] op1
     /*  397177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397180 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397185 */     // MIs[0] op2
     /*  397185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397204 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  397204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397209 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397211 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397213 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397223 */     GIR_RootConstrainSelectedInstOperands,
     /*  397224 */     // GIR_Coverage, 63522,
     /*  397224 */     GIR_EraseRootFromParent_Done,
     /*  397225 */   // Label 7092: @397225
     /*  397225 */   GIM_Try, /*On fail goto*//*Label 7093*/ GIMT_Encode4(397299), // Rule ID 63577 //
     /*  397230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  397241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397251 */     // MIs[0] op1
     /*  397251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397254 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397259 */     // MIs[0] op2
     /*  397259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397278 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  397278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397283 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397285 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397287 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397297 */     GIR_RootConstrainSelectedInstOperands,
     /*  397298 */     // GIR_Coverage, 63577,
     /*  397298 */     GIR_EraseRootFromParent_Done,
     /*  397299 */   // Label 7093: @397299
     /*  397299 */   GIM_Try, /*On fail goto*//*Label 7094*/ GIMT_Encode4(397373), // Rule ID 63578 //
     /*  397304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  397315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397325 */     // MIs[0] op1
     /*  397325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397333 */     // MIs[0] op2
     /*  397333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397352 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  397352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397357 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397359 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397361 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  397371 */     GIR_RootConstrainSelectedInstOperands,
     /*  397372 */     // GIR_Coverage, 63578,
     /*  397372 */     GIR_EraseRootFromParent_Done,
     /*  397373 */   // Label 7094: @397373
     /*  397373 */   GIM_Try, /*On fail goto*//*Label 7095*/ GIMT_Encode4(397447), // Rule ID 63633 //
     /*  397378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  397389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397399 */     // MIs[0] op1
     /*  397399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397407 */     // MIs[0] op2
     /*  397407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  397426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397431 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397433 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397435 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397445 */     GIR_RootConstrainSelectedInstOperands,
     /*  397446 */     // GIR_Coverage, 63633,
     /*  397446 */     GIR_EraseRootFromParent_Done,
     /*  397447 */   // Label 7095: @397447
     /*  397447 */   GIM_Try, /*On fail goto*//*Label 7096*/ GIMT_Encode4(397521), // Rule ID 63634 //
     /*  397452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  397463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397473 */     // MIs[0] op1
     /*  397473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397476 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397481 */     // MIs[0] op2
     /*  397481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  397500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397505 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397507 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397509 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397519 */     GIR_RootConstrainSelectedInstOperands,
     /*  397520 */     // GIR_Coverage, 63634,
     /*  397520 */     GIR_EraseRootFromParent_Done,
     /*  397521 */   // Label 7096: @397521
     /*  397521 */   GIM_Try, /*On fail goto*//*Label 7097*/ GIMT_Encode4(397595), // Rule ID 63689 //
     /*  397526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397547 */     // MIs[0] op1
     /*  397547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397550 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397555 */     // MIs[0] op2
     /*  397555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397558 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397574 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  397574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397579 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397581 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397583 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397593 */     GIR_RootConstrainSelectedInstOperands,
     /*  397594 */     // GIR_Coverage, 63689,
     /*  397594 */     GIR_EraseRootFromParent_Done,
     /*  397595 */   // Label 7097: @397595
     /*  397595 */   GIM_Try, /*On fail goto*//*Label 7098*/ GIMT_Encode4(397669), // Rule ID 63690 //
     /*  397600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  397611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397621 */     // MIs[0] op1
     /*  397621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397624 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397629 */     // MIs[0] op2
     /*  397629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397632 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  397648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  397651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397653 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397655 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397657 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397667 */     GIR_RootConstrainSelectedInstOperands,
     /*  397668 */     // GIR_Coverage, 63690,
     /*  397668 */     GIR_EraseRootFromParent_Done,
     /*  397669 */   // Label 7098: @397669
     /*  397669 */   GIM_Try, /*On fail goto*//*Label 7099*/ GIMT_Encode4(397743), // Rule ID 63745 //
     /*  397674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397695 */     // MIs[0] op1
     /*  397695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397698 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397703 */     // MIs[0] op2
     /*  397703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397706 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397722 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  397722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397727 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397729 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397731 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397741 */     GIR_RootConstrainSelectedInstOperands,
     /*  397742 */     // GIR_Coverage, 63745,
     /*  397742 */     GIR_EraseRootFromParent_Done,
     /*  397743 */   // Label 7099: @397743
     /*  397743 */   GIM_Try, /*On fail goto*//*Label 7100*/ GIMT_Encode4(397817), // Rule ID 63746 //
     /*  397748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  397759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  397769 */     // MIs[0] op1
     /*  397769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397772 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397777 */     // MIs[0] op2
     /*  397777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397780 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  397796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  397799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397801 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397803 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397805 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  397815 */     GIR_RootConstrainSelectedInstOperands,
     /*  397816 */     // GIR_Coverage, 63746,
     /*  397816 */     GIR_EraseRootFromParent_Done,
     /*  397817 */   // Label 7100: @397817
     /*  397817 */   GIM_Try, /*On fail goto*//*Label 7101*/ GIMT_Encode4(397891), // Rule ID 63801 //
     /*  397822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397843 */     // MIs[0] op1
     /*  397843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397851 */     // MIs[0] op2
     /*  397851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  397870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397875 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397877 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397879 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397889 */     GIR_RootConstrainSelectedInstOperands,
     /*  397890 */     // GIR_Coverage, 63801,
     /*  397890 */     GIR_EraseRootFromParent_Done,
     /*  397891 */   // Label 7101: @397891
     /*  397891 */   GIM_Try, /*On fail goto*//*Label 7102*/ GIMT_Encode4(397965), // Rule ID 63802 //
     /*  397896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  397899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  397907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  397910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  397913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  397917 */     // MIs[0] op1
     /*  397917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397925 */     // MIs[0] op2
     /*  397925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  397928 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  397933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  397937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  397944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  397944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M2),
     /*  397947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  397949 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  397951 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  397953 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  397955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  397960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  397963 */     GIR_RootConstrainSelectedInstOperands,
     /*  397964 */     // GIR_Coverage, 63802,
     /*  397964 */     GIR_EraseRootFromParent_Done,
     /*  397965 */   // Label 7102: @397965
     /*  397965 */   GIM_Try, /*On fail goto*//*Label 7103*/ GIMT_Encode4(398039), // Rule ID 63857 //
     /*  397970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  397973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  397978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  397981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  397984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  397987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  397991 */     // MIs[0] op1
     /*  397991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  397994 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  397999 */     // MIs[0] op2
     /*  397999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  398002 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  398007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  398011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398018 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  398018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  398021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398023 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398025 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398027 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398037 */     GIR_RootConstrainSelectedInstOperands,
     /*  398038 */     // GIR_Coverage, 63857,
     /*  398038 */     GIR_EraseRootFromParent_Done,
     /*  398039 */   // Label 7103: @398039
     /*  398039 */   GIM_Try, /*On fail goto*//*Label 7104*/ GIMT_Encode4(398113), // Rule ID 63858 //
     /*  398044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  398052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  398055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  398065 */     // MIs[0] op1
     /*  398065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398073 */     // MIs[0] op2
     /*  398073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  398076 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  398081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  398085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398092 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  398092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M4),
     /*  398095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398097 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398099 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398101 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398111 */     GIR_RootConstrainSelectedInstOperands,
     /*  398112 */     // GIR_Coverage, 63858,
     /*  398112 */     GIR_EraseRootFromParent_Done,
     /*  398113 */   // Label 7104: @398113
     /*  398113 */   GIM_Try, /*On fail goto*//*Label 7105*/ GIMT_Encode4(398187), // Rule ID 63913 //
     /*  398118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  398126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  398129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  398132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398139 */     // MIs[0] op1
     /*  398139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398142 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398147 */     // MIs[0] op2
     /*  398147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  398150 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  398155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  398159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i64] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  398166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  398169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398171 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398173 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398175 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398185 */     GIR_RootConstrainSelectedInstOperands,
     /*  398186 */     // GIR_Coverage, 63913,
     /*  398186 */     GIR_EraseRootFromParent_Done,
     /*  398187 */   // Label 7105: @398187
     /*  398187 */   GIM_Try, /*On fail goto*//*Label 7106*/ GIMT_Encode4(398261), // Rule ID 63914 //
     /*  398192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_x),
     /*  398200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  398203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  398206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  398213 */     // MIs[0] op1
     /*  398213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398216 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398221 */     // MIs[0] op2
     /*  398221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /*  398224 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/3, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload5),
     /*  398229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  398233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11081:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_X_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, (timm:{ *:[i32] })<<P:Predicate_payload5>>:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  398240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_X_M8),
     /*  398243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398245 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398247 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398249 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  398259 */     GIR_RootConstrainSelectedInstOperands,
     /*  398260 */     // GIR_Coverage, 63914,
     /*  398260 */     GIR_EraseRootFromParent_Done,
     /*  398261 */   // Label 7106: @398261
     /*  398261 */   GIM_Try, /*On fail goto*//*Label 7107*/ GIMT_Encode4(398335), // Rule ID 62843 //
     /*  398266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  398277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  398280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398287 */     // MIs[0] op1
     /*  398287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398290 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398299 */     // MIs[0] op3
     /*  398299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398302 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  398314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  398317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398319 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398321 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398323 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398333 */     GIR_RootConstrainSelectedInstOperands,
     /*  398334 */     // GIR_Coverage, 62843,
     /*  398334 */     GIR_EraseRootFromParent_Done,
     /*  398335 */   // Label 7107: @398335
     /*  398335 */   GIM_Try, /*On fail goto*//*Label 7108*/ GIMT_Encode4(398409), // Rule ID 62844 //
     /*  398340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  398351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  398354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398361 */     // MIs[0] op1
     /*  398361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398364 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398373 */     // MIs[0] op3
     /*  398373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398376 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398388 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  398388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF8),
     /*  398391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398393 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398395 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398397 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398407 */     GIR_RootConstrainSelectedInstOperands,
     /*  398408 */     // GIR_Coverage, 62844,
     /*  398408 */     GIR_EraseRootFromParent_Done,
     /*  398409 */   // Label 7108: @398409
     /*  398409 */   GIM_Try, /*On fail goto*//*Label 7109*/ GIMT_Encode4(398483), // Rule ID 62881 //
     /*  398414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  398425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  398428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398435 */     // MIs[0] op1
     /*  398435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398438 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398447 */     // MIs[0] op3
     /*  398447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398450 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  398462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398467 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398469 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398471 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398481 */     GIR_RootConstrainSelectedInstOperands,
     /*  398482 */     // GIR_Coverage, 62881,
     /*  398482 */     GIR_EraseRootFromParent_Done,
     /*  398483 */   // Label 7109: @398483
     /*  398483 */   GIM_Try, /*On fail goto*//*Label 7110*/ GIMT_Encode4(398557), // Rule ID 62882 //
     /*  398488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  398499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  398502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398509 */     // MIs[0] op1
     /*  398509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398512 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398521 */     // MIs[0] op3
     /*  398521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398524 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  398536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398541 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398543 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398545 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398555 */     GIR_RootConstrainSelectedInstOperands,
     /*  398556 */     // GIR_Coverage, 62882,
     /*  398556 */     GIR_EraseRootFromParent_Done,
     /*  398557 */   // Label 7110: @398557
     /*  398557 */   GIM_Try, /*On fail goto*//*Label 7111*/ GIMT_Encode4(398631), // Rule ID 62925 //
     /*  398562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  398573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  398576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398583 */     // MIs[0] op1
     /*  398583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398586 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398595 */     // MIs[0] op3
     /*  398595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398598 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398610 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  398610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398615 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398617 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398619 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398629 */     GIR_RootConstrainSelectedInstOperands,
     /*  398630 */     // GIR_Coverage, 62925,
     /*  398630 */     GIR_EraseRootFromParent_Done,
     /*  398631 */   // Label 7111: @398631
     /*  398631 */   GIM_Try, /*On fail goto*//*Label 7112*/ GIMT_Encode4(398705), // Rule ID 62926 //
     /*  398636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  398647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  398650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398657 */     // MIs[0] op1
     /*  398657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398669 */     // MIs[0] op3
     /*  398669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398684 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  398684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  398703 */     GIR_RootConstrainSelectedInstOperands,
     /*  398704 */     // GIR_Coverage, 62926,
     /*  398704 */     GIR_EraseRootFromParent_Done,
     /*  398705 */   // Label 7112: @398705
     /*  398705 */   GIM_Try, /*On fail goto*//*Label 7113*/ GIMT_Encode4(398779), // Rule ID 62969 //
     /*  398710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398731 */     // MIs[0] op1
     /*  398731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398734 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398743 */     // MIs[0] op3
     /*  398743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398746 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  398758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398763 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398765 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398767 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398777 */     GIR_RootConstrainSelectedInstOperands,
     /*  398778 */     // GIR_Coverage, 62969,
     /*  398778 */     GIR_EraseRootFromParent_Done,
     /*  398779 */   // Label 7113: @398779
     /*  398779 */   GIM_Try, /*On fail goto*//*Label 7114*/ GIMT_Encode4(398853), // Rule ID 62970 //
     /*  398784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  398795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  398798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398805 */     // MIs[0] op1
     /*  398805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398808 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398817 */     // MIs[0] op3
     /*  398817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  398832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF4),
     /*  398835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398837 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398839 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398841 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398851 */     GIR_RootConstrainSelectedInstOperands,
     /*  398852 */     // GIR_Coverage, 62970,
     /*  398852 */     GIR_EraseRootFromParent_Done,
     /*  398853 */   // Label 7114: @398853
     /*  398853 */   GIM_Try, /*On fail goto*//*Label 7115*/ GIMT_Encode4(398927), // Rule ID 63025 //
     /*  398858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  398861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  398875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398879 */     // MIs[0] op1
     /*  398879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398882 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398891 */     // MIs[0] op3
     /*  398891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398894 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398906 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  398906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398911 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398913 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398915 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398925 */     GIR_RootConstrainSelectedInstOperands,
     /*  398926 */     // GIR_Coverage, 63025,
     /*  398926 */     GIR_EraseRootFromParent_Done,
     /*  398927 */   // Label 7115: @398927
     /*  398927 */   GIM_Try, /*On fail goto*//*Label 7116*/ GIMT_Encode4(399001), // Rule ID 63026 //
     /*  398932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  398935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  398940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  398943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  398946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  398949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398953 */     // MIs[0] op1
     /*  398953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  398956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  398961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  398965 */     // MIs[0] op3
     /*  398965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  398968 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  398973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  398980 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  398980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  398983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  398985 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  398987 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  398989 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  398991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  398996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  398999 */     GIR_RootConstrainSelectedInstOperands,
     /*  399000 */     // GIR_Coverage, 63026,
     /*  399000 */     GIR_EraseRootFromParent_Done,
     /*  399001 */   // Label 7116: @399001
     /*  399001 */   GIM_Try, /*On fail goto*//*Label 7117*/ GIMT_Encode4(399075), // Rule ID 63081 //
     /*  399006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399027 */     // MIs[0] op1
     /*  399027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399030 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399039 */     // MIs[0] op3
     /*  399039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399042 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  399054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  399057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399059 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399061 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399063 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399073 */     GIR_RootConstrainSelectedInstOperands,
     /*  399074 */     // GIR_Coverage, 63081,
     /*  399074 */     GIR_EraseRootFromParent_Done,
     /*  399075 */   // Label 7117: @399075
     /*  399075 */   GIM_Try, /*On fail goto*//*Label 7118*/ GIMT_Encode4(399149), // Rule ID 63082 //
     /*  399080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  399091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  399094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399101 */     // MIs[0] op1
     /*  399101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399104 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399113 */     // MIs[0] op3
     /*  399113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399116 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  399128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_MF2),
     /*  399131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399133 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399135 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399137 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399147 */     GIR_RootConstrainSelectedInstOperands,
     /*  399148 */     // GIR_Coverage, 63082,
     /*  399148 */     GIR_EraseRootFromParent_Done,
     /*  399149 */   // Label 7118: @399149
     /*  399149 */   GIM_Try, /*On fail goto*//*Label 7119*/ GIMT_Encode4(399223), // Rule ID 63137 //
     /*  399154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  399165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  399168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399175 */     // MIs[0] op1
     /*  399175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399187 */     // MIs[0] op3
     /*  399187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399202 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399207 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399209 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399211 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399221 */     GIR_RootConstrainSelectedInstOperands,
     /*  399222 */     // GIR_Coverage, 63137,
     /*  399222 */     GIR_EraseRootFromParent_Done,
     /*  399223 */   // Label 7119: @399223
     /*  399223 */   GIM_Try, /*On fail goto*//*Label 7120*/ GIMT_Encode4(399297), // Rule ID 63138 //
     /*  399228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  399239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  399242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399249 */     // MIs[0] op1
     /*  399249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399252 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399261 */     // MIs[0] op3
     /*  399261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399264 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399276 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  399276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399281 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399283 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399285 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399295 */     GIR_RootConstrainSelectedInstOperands,
     /*  399296 */     // GIR_Coverage, 63138,
     /*  399296 */     GIR_EraseRootFromParent_Done,
     /*  399297 */   // Label 7120: @399297
     /*  399297 */   GIM_Try, /*On fail goto*//*Label 7121*/ GIMT_Encode4(399371), // Rule ID 63181 //
     /*  399302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  399313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  399316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399323 */     // MIs[0] op1
     /*  399323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399326 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399335 */     // MIs[0] op3
     /*  399335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399338 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399350 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  399350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399355 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399357 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399359 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399369 */     GIR_RootConstrainSelectedInstOperands,
     /*  399370 */     // GIR_Coverage, 63181,
     /*  399370 */     GIR_EraseRootFromParent_Done,
     /*  399371 */   // Label 7121: @399371
     /*  399371 */   GIM_Try, /*On fail goto*//*Label 7122*/ GIMT_Encode4(399445), // Rule ID 63182 //
     /*  399376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  399387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  399390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399397 */     // MIs[0] op1
     /*  399397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399400 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399409 */     // MIs[0] op3
     /*  399409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399412 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399424 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  399424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399429 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399431 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399433 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  399443 */     GIR_RootConstrainSelectedInstOperands,
     /*  399444 */     // GIR_Coverage, 63182,
     /*  399444 */     GIR_EraseRootFromParent_Done,
     /*  399445 */   // Label 7122: @399445
     /*  399445 */   GIM_Try, /*On fail goto*//*Label 7123*/ GIMT_Encode4(399519), // Rule ID 63237 //
     /*  399450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  399461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  399464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399471 */     // MIs[0] op1
     /*  399471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399474 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399483 */     // MIs[0] op3
     /*  399483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399486 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  399498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399503 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399505 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399507 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399517 */     GIR_RootConstrainSelectedInstOperands,
     /*  399518 */     // GIR_Coverage, 63237,
     /*  399518 */     GIR_EraseRootFromParent_Done,
     /*  399519 */   // Label 7123: @399519
     /*  399519 */   GIM_Try, /*On fail goto*//*Label 7124*/ GIMT_Encode4(399593), // Rule ID 63238 //
     /*  399524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  399535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  399538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399545 */     // MIs[0] op1
     /*  399545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399548 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399557 */     // MIs[0] op3
     /*  399557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399560 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  399572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399577 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399579 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399581 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  399591 */     GIR_RootConstrainSelectedInstOperands,
     /*  399592 */     // GIR_Coverage, 63238,
     /*  399592 */     GIR_EraseRootFromParent_Done,
     /*  399593 */   // Label 7124: @399593
     /*  399593 */   GIM_Try, /*On fail goto*//*Label 7125*/ GIMT_Encode4(399667), // Rule ID 63293 //
     /*  399598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399619 */     // MIs[0] op1
     /*  399619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399622 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399631 */     // MIs[0] op3
     /*  399631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399634 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399646 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  399646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399651 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399653 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399655 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399665 */     GIR_RootConstrainSelectedInstOperands,
     /*  399666 */     // GIR_Coverage, 63293,
     /*  399666 */     GIR_EraseRootFromParent_Done,
     /*  399667 */   // Label 7125: @399667
     /*  399667 */   GIM_Try, /*On fail goto*//*Label 7126*/ GIMT_Encode4(399741), // Rule ID 63294 //
     /*  399672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  399683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  399686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399693 */     // MIs[0] op1
     /*  399693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  399705 */     // MIs[0] op3
     /*  399705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399720 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  399720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M1),
     /*  399723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399725 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399727 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399729 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  399739 */     GIR_RootConstrainSelectedInstOperands,
     /*  399740 */     // GIR_Coverage, 63294,
     /*  399740 */     GIR_EraseRootFromParent_Done,
     /*  399741 */   // Label 7126: @399741
     /*  399741 */   GIM_Try, /*On fail goto*//*Label 7127*/ GIMT_Encode4(399815), // Rule ID 63349 //
     /*  399746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  399757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  399760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399767 */     // MIs[0] op1
     /*  399767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399770 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399779 */     // MIs[0] op3
     /*  399779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399782 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399794 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399799 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399801 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399803 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399813 */     GIR_RootConstrainSelectedInstOperands,
     /*  399814 */     // GIR_Coverage, 63349,
     /*  399814 */     GIR_EraseRootFromParent_Done,
     /*  399815 */   // Label 7127: @399815
     /*  399815 */   GIM_Try, /*On fail goto*//*Label 7128*/ GIMT_Encode4(399889), // Rule ID 63350 //
     /*  399820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  399831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  399834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399841 */     // MIs[0] op1
     /*  399841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399844 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  399853 */     // MIs[0] op3
     /*  399853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399856 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399868 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  399868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  399871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399873 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399875 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399877 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399887 */     GIR_RootConstrainSelectedInstOperands,
     /*  399888 */     // GIR_Coverage, 63350,
     /*  399888 */     GIR_EraseRootFromParent_Done,
     /*  399889 */   // Label 7128: @399889
     /*  399889 */   GIM_Try, /*On fail goto*//*Label 7129*/ GIMT_Encode4(399963), // Rule ID 63393 //
     /*  399894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  399897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  399905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  399908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  399911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399915 */     // MIs[0] op1
     /*  399915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399918 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399927 */     // MIs[0] op3
     /*  399927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  399930 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  399935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  399942 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  399942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  399945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  399947 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  399949 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  399951 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  399953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  399958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  399961 */     GIR_RootConstrainSelectedInstOperands,
     /*  399962 */     // GIR_Coverage, 63393,
     /*  399962 */     GIR_EraseRootFromParent_Done,
     /*  399963 */   // Label 7129: @399963
     /*  399963 */   GIM_Try, /*On fail goto*//*Label 7130*/ GIMT_Encode4(400037), // Rule ID 63394 //
     /*  399968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  399971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  399976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  399979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  399982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  399985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  399989 */     // MIs[0] op1
     /*  399989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  399992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  399997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400001 */     // MIs[0] op3
     /*  400001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  400016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400021 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400023 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400025 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400035 */     GIR_RootConstrainSelectedInstOperands,
     /*  400036 */     // GIR_Coverage, 63394,
     /*  400036 */     GIR_EraseRootFromParent_Done,
     /*  400037 */   // Label 7130: @400037
     /*  400037 */   GIM_Try, /*On fail goto*//*Label 7131*/ GIMT_Encode4(400111), // Rule ID 63437 //
     /*  400042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  400053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  400056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400063 */     // MIs[0] op1
     /*  400063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400075 */     // MIs[0] op3
     /*  400075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400078 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400090 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  400090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400095 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400097 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400099 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400109 */     GIR_RootConstrainSelectedInstOperands,
     /*  400110 */     // GIR_Coverage, 63437,
     /*  400110 */     GIR_EraseRootFromParent_Done,
     /*  400111 */   // Label 7131: @400111
     /*  400111 */   GIM_Try, /*On fail goto*//*Label 7132*/ GIMT_Encode4(400185), // Rule ID 63438 //
     /*  400116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  400127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  400130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400137 */     // MIs[0] op1
     /*  400137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400140 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400149 */     // MIs[0] op3
     /*  400149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400152 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  400164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400169 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400171 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400173 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  400183 */     GIR_RootConstrainSelectedInstOperands,
     /*  400184 */     // GIR_Coverage, 63438,
     /*  400184 */     GIR_EraseRootFromParent_Done,
     /*  400185 */   // Label 7132: @400185
     /*  400185 */   GIM_Try, /*On fail goto*//*Label 7133*/ GIMT_Encode4(400259), // Rule ID 63481 //
     /*  400190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400211 */     // MIs[0] op1
     /*  400211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400214 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400223 */     // MIs[0] op3
     /*  400223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  400238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400243 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400245 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400247 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400257 */     GIR_RootConstrainSelectedInstOperands,
     /*  400258 */     // GIR_Coverage, 63481,
     /*  400258 */     GIR_EraseRootFromParent_Done,
     /*  400259 */   // Label 7133: @400259
     /*  400259 */   GIM_Try, /*On fail goto*//*Label 7134*/ GIMT_Encode4(400333), // Rule ID 63482 //
     /*  400264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  400275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  400278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400285 */     // MIs[0] op1
     /*  400285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400297 */     // MIs[0] op3
     /*  400297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400300 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400312 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  400312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400317 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400319 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400321 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400331 */     GIR_RootConstrainSelectedInstOperands,
     /*  400332 */     // GIR_Coverage, 63482,
     /*  400332 */     GIR_EraseRootFromParent_Done,
     /*  400333 */   // Label 7134: @400333
     /*  400333 */   GIM_Try, /*On fail goto*//*Label 7135*/ GIMT_Encode4(400407), // Rule ID 63537 //
     /*  400338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  400349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400359 */     // MIs[0] op1
     /*  400359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400362 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400371 */     // MIs[0] op3
     /*  400371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400374 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  400386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400391 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400393 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400395 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400405 */     GIR_RootConstrainSelectedInstOperands,
     /*  400406 */     // GIR_Coverage, 63537,
     /*  400406 */     GIR_EraseRootFromParent_Done,
     /*  400407 */   // Label 7135: @400407
     /*  400407 */   GIM_Try, /*On fail goto*//*Label 7136*/ GIMT_Encode4(400481), // Rule ID 63538 //
     /*  400412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  400423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  400426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400433 */     // MIs[0] op1
     /*  400433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400436 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400445 */     // MIs[0] op3
     /*  400445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400448 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  400460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400465 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400467 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400469 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400479 */     GIR_RootConstrainSelectedInstOperands,
     /*  400480 */     // GIR_Coverage, 63538,
     /*  400480 */     GIR_EraseRootFromParent_Done,
     /*  400481 */   // Label 7136: @400481
     /*  400481 */   GIM_Try, /*On fail goto*//*Label 7137*/ GIMT_Encode4(400555), // Rule ID 63593 //
     /*  400486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400507 */     // MIs[0] op1
     /*  400507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400519 */     // MIs[0] op3
     /*  400519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400534 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  400534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400553 */     GIR_RootConstrainSelectedInstOperands,
     /*  400554 */     // GIR_Coverage, 63593,
     /*  400554 */     GIR_EraseRootFromParent_Done,
     /*  400555 */   // Label 7137: @400555
     /*  400555 */   GIM_Try, /*On fail goto*//*Label 7138*/ GIMT_Encode4(400629), // Rule ID 63594 //
     /*  400560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  400571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  400574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400581 */     // MIs[0] op1
     /*  400581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400584 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400593 */     // MIs[0] op3
     /*  400593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400596 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400608 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  400608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400613 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400615 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400617 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  400627 */     GIR_RootConstrainSelectedInstOperands,
     /*  400628 */     // GIR_Coverage, 63594,
     /*  400628 */     GIR_EraseRootFromParent_Done,
     /*  400629 */   // Label 7138: @400629
     /*  400629 */   GIM_Try, /*On fail goto*//*Label 7139*/ GIMT_Encode4(400703), // Rule ID 63649 //
     /*  400634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400655 */     // MIs[0] op1
     /*  400655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400658 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400667 */     // MIs[0] op3
     /*  400667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400670 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400682 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400687 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400689 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400691 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400701 */     GIR_RootConstrainSelectedInstOperands,
     /*  400702 */     // GIR_Coverage, 63649,
     /*  400702 */     GIR_EraseRootFromParent_Done,
     /*  400703 */   // Label 7139: @400703
     /*  400703 */   GIM_Try, /*On fail goto*//*Label 7140*/ GIMT_Encode4(400777), // Rule ID 63650 //
     /*  400708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  400719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  400722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400729 */     // MIs[0] op1
     /*  400729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400732 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  400741 */     // MIs[0] op3
     /*  400741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400744 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  400756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  400759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400761 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400763 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400765 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400775 */     GIR_RootConstrainSelectedInstOperands,
     /*  400776 */     // GIR_Coverage, 63650,
     /*  400776 */     GIR_EraseRootFromParent_Done,
     /*  400777 */   // Label 7140: @400777
     /*  400777 */   GIM_Try, /*On fail goto*//*Label 7141*/ GIMT_Encode4(400851), // Rule ID 63705 //
     /*  400782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400803 */     // MIs[0] op1
     /*  400803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400806 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400815 */     // MIs[0] op3
     /*  400815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400835 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400837 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400839 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400849 */     GIR_RootConstrainSelectedInstOperands,
     /*  400850 */     // GIR_Coverage, 63705,
     /*  400850 */     GIR_EraseRootFromParent_Done,
     /*  400851 */   // Label 7141: @400851
     /*  400851 */   GIM_Try, /*On fail goto*//*Label 7142*/ GIMT_Encode4(400925), // Rule ID 63706 //
     /*  400856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  400859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  400867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  400870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  400873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400877 */     // MIs[0] op1
     /*  400877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400880 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  400889 */     // MIs[0] op3
     /*  400889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400892 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400904 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  400904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  400907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400909 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400911 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400913 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400923 */     GIR_RootConstrainSelectedInstOperands,
     /*  400924 */     // GIR_Coverage, 63706,
     /*  400924 */     GIR_EraseRootFromParent_Done,
     /*  400925 */   // Label 7142: @400925
     /*  400925 */   GIM_Try, /*On fail goto*//*Label 7143*/ GIMT_Encode4(400999), // Rule ID 63761 //
     /*  400930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  400933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  400938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  400941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  400944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  400947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400951 */     // MIs[0] op1
     /*  400951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  400954 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  400959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  400963 */     // MIs[0] op3
     /*  400963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  400966 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  400971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  400978 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  400978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  400981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  400983 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  400985 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  400987 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  400989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  400994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  400997 */     GIR_RootConstrainSelectedInstOperands,
     /*  400998 */     // GIR_Coverage, 63761,
     /*  400998 */     GIR_EraseRootFromParent_Done,
     /*  400999 */   // Label 7143: @400999
     /*  400999 */   GIM_Try, /*On fail goto*//*Label 7144*/ GIMT_Encode4(401073), // Rule ID 63762 //
     /*  401004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  401007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  401012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  401015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  401018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401025 */     // MIs[0] op1
     /*  401025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  401028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  401033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401037 */     // MIs[0] op3
     /*  401037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  401040 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  401045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401052 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  401052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  401055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401057 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  401059 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  401061 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  401063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  401071 */     GIR_RootConstrainSelectedInstOperands,
     /*  401072 */     // GIR_Coverage, 63762,
     /*  401072 */     GIR_EraseRootFromParent_Done,
     /*  401073 */   // Label 7144: @401073
     /*  401073 */   GIM_Try, /*On fail goto*//*Label 7145*/ GIMT_Encode4(401147), // Rule ID 63817 //
     /*  401078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  401081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  401086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401099 */     // MIs[0] op1
     /*  401099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  401102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  401107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401111 */     // MIs[0] op3
     /*  401111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  401114 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  401119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401126 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  401126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  401129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401131 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  401133 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  401135 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  401137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401145 */     GIR_RootConstrainSelectedInstOperands,
     /*  401146 */     // GIR_Coverage, 63817,
     /*  401146 */     GIR_EraseRootFromParent_Done,
     /*  401147 */   // Label 7145: @401147
     /*  401147 */   GIM_Try, /*On fail goto*//*Label 7146*/ GIMT_Encode4(401221), // Rule ID 63818 //
     /*  401152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  401155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  401160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  401163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  401166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401173 */     // MIs[0] op1
     /*  401173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  401176 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  401181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  401185 */     // MIs[0] op3
     /*  401185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  401188 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  401193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401200 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  401200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M2),
     /*  401203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401205 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  401207 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  401209 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  401211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401219 */     GIR_RootConstrainSelectedInstOperands,
     /*  401220 */     // GIR_Coverage, 63818,
     /*  401220 */     GIR_EraseRootFromParent_Done,
     /*  401221 */   // Label 7146: @401221
     /*  401221 */   GIM_Try, /*On fail goto*//*Label 7147*/ GIMT_Encode4(401295), // Rule ID 63873 //
     /*  401226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  401229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  401234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  401240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401247 */     // MIs[0] op1
     /*  401247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  401250 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  401255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401259 */     // MIs[0] op3
     /*  401259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  401262 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  401267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401274 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  401274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  401277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401279 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  401281 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  401283 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  401285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401293 */     GIR_RootConstrainSelectedInstOperands,
     /*  401294 */     // GIR_Coverage, 63873,
     /*  401294 */     GIR_EraseRootFromParent_Done,
     /*  401295 */   // Label 7147: @401295
     /*  401295 */   GIM_Try, /*On fail goto*//*Label 7148*/ GIMT_Encode4(401369), // Rule ID 63874 //
     /*  401300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  401303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  401308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  401311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  401314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401321 */     // MIs[0] op1
     /*  401321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  401324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  401329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  401333 */     // MIs[0] op3
     /*  401333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  401336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  401341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401348 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  401348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M4),
     /*  401351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401353 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  401355 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  401357 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  401359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401367 */     GIR_RootConstrainSelectedInstOperands,
     /*  401368 */     // GIR_Coverage, 63874,
     /*  401368 */     GIR_EraseRootFromParent_Done,
     /*  401369 */   // Label 7148: @401369
     /*  401369 */   GIM_Try, /*On fail goto*//*Label 7149*/ GIMT_Encode4(401443), // Rule ID 63929 //
     /*  401374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  401377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  401382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  401385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  401388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401395 */     // MIs[0] op1
     /*  401395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  401398 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  401403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401407 */     // MIs[0] op3
     /*  401407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  401410 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  401415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  401422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  401425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401427 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  401429 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  401431 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  401433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401441 */     GIR_RootConstrainSelectedInstOperands,
     /*  401442 */     // GIR_Coverage, 63929,
     /*  401442 */     GIR_EraseRootFromParent_Done,
     /*  401443 */   // Label 7149: @401443
     /*  401443 */   GIM_Try, /*On fail goto*//*Label 7150*/ GIMT_Encode4(401517), // Rule ID 63930 //
     /*  401448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  401451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_iv),
     /*  401456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  401459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  401462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401469 */     // MIs[0] op1
     /*  401469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  401472 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  401477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  401481 */     // MIs[0] op3
     /*  401481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  401484 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  401489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11069:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  401496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IV_M8),
     /*  401499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401501 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  401503 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  401505 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  401507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  401515 */     GIR_RootConstrainSelectedInstOperands,
     /*  401516 */     // GIR_Coverage, 63930,
     /*  401516 */     GIR_EraseRootFromParent_Done,
     /*  401517 */   // Label 7150: @401517
     /*  401517 */   GIM_Try, /*On fail goto*//*Label 7151*/ GIMT_Encode4(401592), // Rule ID 7354 //
     /*  401522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  401533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  401536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  401539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401557 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401568 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  401571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401590 */     GIR_RootConstrainSelectedInstOperands,
     /*  401591 */     // GIR_Coverage, 7354,
     /*  401591 */     GIR_EraseRootFromParent_Done,
     /*  401592 */   // Label 7151: @401592
     /*  401592 */   GIM_Try, /*On fail goto*//*Label 7152*/ GIMT_Encode4(401667), // Rule ID 7355 //
     /*  401597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  401608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  401611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  401614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401643 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  401646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401665 */     GIR_RootConstrainSelectedInstOperands,
     /*  401666 */     // GIR_Coverage, 7355,
     /*  401666 */     GIR_EraseRootFromParent_Done,
     /*  401667 */   // Label 7152: @401667
     /*  401667 */   GIM_Try, /*On fail goto*//*Label 7153*/ GIMT_Encode4(401742), // Rule ID 7358 //
     /*  401672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  401689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401707 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401718 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401740 */     GIR_RootConstrainSelectedInstOperands,
     /*  401741 */     // GIR_Coverage, 7358,
     /*  401741 */     GIR_EraseRootFromParent_Done,
     /*  401742 */   // Label 7153: @401742
     /*  401742 */   GIM_Try, /*On fail goto*//*Label 7154*/ GIMT_Encode4(401817), // Rule ID 7359 //
     /*  401747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  401758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  401761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  401764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401782 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401793 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  401796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401815 */     GIR_RootConstrainSelectedInstOperands,
     /*  401816 */     // GIR_Coverage, 7359,
     /*  401816 */     GIR_EraseRootFromParent_Done,
     /*  401817 */   // Label 7154: @401817
     /*  401817 */   GIM_Try, /*On fail goto*//*Label 7155*/ GIMT_Encode4(401892), // Rule ID 7362 //
     /*  401822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  401839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401857 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401868 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  401868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401890 */     GIR_RootConstrainSelectedInstOperands,
     /*  401891 */     // GIR_Coverage, 7362,
     /*  401891 */     GIR_EraseRootFromParent_Done,
     /*  401892 */   // Label 7155: @401892
     /*  401892 */   GIM_Try, /*On fail goto*//*Label 7156*/ GIMT_Encode4(401967), // Rule ID 7363 //
     /*  401897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  401900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  401908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  401911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  401914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  401917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  401920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401932 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  401936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  401943 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  401943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  401946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  401948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  401950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  401954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  401959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  401962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  401965 */     GIR_RootConstrainSelectedInstOperands,
     /*  401966 */     // GIR_Coverage, 7363,
     /*  401966 */     GIR_EraseRootFromParent_Done,
     /*  401967 */   // Label 7156: @401967
     /*  401967 */   GIM_Try, /*On fail goto*//*Label 7157*/ GIMT_Encode4(402042), // Rule ID 7366 //
     /*  401972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  401975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  401980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  401983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  401986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  401989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  401992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  401995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  401999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402007 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  402021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402040 */     GIR_RootConstrainSelectedInstOperands,
     /*  402041 */     // GIR_Coverage, 7366,
     /*  402041 */     GIR_EraseRootFromParent_Done,
     /*  402042 */   // Label 7157: @402042
     /*  402042 */   GIM_Try, /*On fail goto*//*Label 7158*/ GIMT_Encode4(402117), // Rule ID 7367 //
     /*  402047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  402058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  402061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  402064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402082 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  402096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402115 */     GIR_RootConstrainSelectedInstOperands,
     /*  402116 */     // GIR_Coverage, 7367,
     /*  402116 */     GIR_EraseRootFromParent_Done,
     /*  402117 */   // Label 7158: @402117
     /*  402117 */   GIM_Try, /*On fail goto*//*Label 7159*/ GIMT_Encode4(402192), // Rule ID 7370 //
     /*  402122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402157 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402168 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  402171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402190 */     GIR_RootConstrainSelectedInstOperands,
     /*  402191 */     // GIR_Coverage, 7370,
     /*  402191 */     GIR_EraseRootFromParent_Done,
     /*  402192 */   // Label 7159: @402192
     /*  402192 */   GIM_Try, /*On fail goto*//*Label 7160*/ GIMT_Encode4(402267), // Rule ID 7371 //
     /*  402197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  402208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  402211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  402214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402232 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402243 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  402246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402265 */     GIR_RootConstrainSelectedInstOperands,
     /*  402266 */     // GIR_Coverage, 7371,
     /*  402266 */     GIR_EraseRootFromParent_Done,
     /*  402267 */   // Label 7160: @402267
     /*  402267 */   GIM_Try, /*On fail goto*//*Label 7161*/ GIMT_Encode4(402342), // Rule ID 7374 //
     /*  402272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402307 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402318 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  402321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402340 */     GIR_RootConstrainSelectedInstOperands,
     /*  402341 */     // GIR_Coverage, 7374,
     /*  402341 */     GIR_EraseRootFromParent_Done,
     /*  402342 */   // Label 7161: @402342
     /*  402342 */   GIM_Try, /*On fail goto*//*Label 7162*/ GIMT_Encode4(402417), // Rule ID 7375 //
     /*  402347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  402358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  402361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  402364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402382 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402393 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  402396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402415 */     GIR_RootConstrainSelectedInstOperands,
     /*  402416 */     // GIR_Coverage, 7375,
     /*  402416 */     GIR_EraseRootFromParent_Done,
     /*  402417 */   // Label 7162: @402417
     /*  402417 */   GIM_Try, /*On fail goto*//*Label 7163*/ GIMT_Encode4(402492), // Rule ID 7378 //
     /*  402422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  402433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  402436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  402439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402457 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  402468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402490 */     GIR_RootConstrainSelectedInstOperands,
     /*  402491 */     // GIR_Coverage, 7378,
     /*  402491 */     GIR_EraseRootFromParent_Done,
     /*  402492 */   // Label 7163: @402492
     /*  402492 */   GIM_Try, /*On fail goto*//*Label 7164*/ GIMT_Encode4(402567), // Rule ID 7379 //
     /*  402497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  402508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  402511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  402514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402532 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402543 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  402543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  402562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402565 */     GIR_RootConstrainSelectedInstOperands,
     /*  402566 */     // GIR_Coverage, 7379,
     /*  402566 */     GIR_EraseRootFromParent_Done,
     /*  402567 */   // Label 7164: @402567
     /*  402567 */   GIM_Try, /*On fail goto*//*Label 7165*/ GIMT_Encode4(402642), // Rule ID 7382 //
     /*  402572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402607 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402618 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  402618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402640 */     GIR_RootConstrainSelectedInstOperands,
     /*  402641 */     // GIR_Coverage, 7382,
     /*  402641 */     GIR_EraseRootFromParent_Done,
     /*  402642 */   // Label 7165: @402642
     /*  402642 */   GIM_Try, /*On fail goto*//*Label 7166*/ GIMT_Encode4(402717), // Rule ID 7383 //
     /*  402647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  402658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  402661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  402664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402682 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402693 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  402693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  402712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402715 */     GIR_RootConstrainSelectedInstOperands,
     /*  402716 */     // GIR_Coverage, 7383,
     /*  402716 */     GIR_EraseRootFromParent_Done,
     /*  402717 */   // Label 7166: @402717
     /*  402717 */   GIM_Try, /*On fail goto*//*Label 7167*/ GIMT_Encode4(402792), // Rule ID 7386 //
     /*  402722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  402725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402757 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402768 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  402768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402790 */     GIR_RootConstrainSelectedInstOperands,
     /*  402791 */     // GIR_Coverage, 7386,
     /*  402791 */     GIR_EraseRootFromParent_Done,
     /*  402792 */   // Label 7167: @402792
     /*  402792 */   GIM_Try, /*On fail goto*//*Label 7168*/ GIMT_Encode4(402867), // Rule ID 7387 //
     /*  402797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  402800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  402808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  402811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  402814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402832 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402843 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  402843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  402862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402865 */     GIR_RootConstrainSelectedInstOperands,
     /*  402866 */     // GIR_Coverage, 7387,
     /*  402866 */     GIR_EraseRootFromParent_Done,
     /*  402867 */   // Label 7168: @402867
     /*  402867 */   GIM_Try, /*On fail goto*//*Label 7169*/ GIMT_Encode4(402942), // Rule ID 7390 //
     /*  402872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  402875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  402892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  402895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402907 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402918 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  402918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  402925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  402929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  402934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  402937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  402940 */     GIR_RootConstrainSelectedInstOperands,
     /*  402941 */     // GIR_Coverage, 7390,
     /*  402941 */     GIR_EraseRootFromParent_Done,
     /*  402942 */   // Label 7169: @402942
     /*  402942 */   GIM_Try, /*On fail goto*//*Label 7170*/ GIMT_Encode4(403017), // Rule ID 7391 //
     /*  402947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  402950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  402955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  402958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  402961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  402964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  402967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  402970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  402982 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  402986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  402993 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  402993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  402996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  402998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  403012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403015 */     GIR_RootConstrainSelectedInstOperands,
     /*  403016 */     // GIR_Coverage, 7391,
     /*  403016 */     GIR_EraseRootFromParent_Done,
     /*  403017 */   // Label 7170: @403017
     /*  403017 */   GIM_Try, /*On fail goto*//*Label 7171*/ GIMT_Encode4(403092), // Rule ID 7394 //
     /*  403022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  403033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  403036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  403039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403057 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403068 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  403068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403090 */     GIR_RootConstrainSelectedInstOperands,
     /*  403091 */     // GIR_Coverage, 7394,
     /*  403091 */     GIR_EraseRootFromParent_Done,
     /*  403092 */   // Label 7171: @403092
     /*  403092 */   GIM_Try, /*On fail goto*//*Label 7172*/ GIMT_Encode4(403167), // Rule ID 7395 //
     /*  403097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  403108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  403111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  403114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403132 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403143 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  403143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403165 */     GIR_RootConstrainSelectedInstOperands,
     /*  403166 */     // GIR_Coverage, 7395,
     /*  403166 */     GIR_EraseRootFromParent_Done,
     /*  403167 */   // Label 7172: @403167
     /*  403167 */   GIM_Try, /*On fail goto*//*Label 7173*/ GIMT_Encode4(403242), // Rule ID 7398 //
     /*  403172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  403183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  403186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  403189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403207 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403218 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  403218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403240 */     GIR_RootConstrainSelectedInstOperands,
     /*  403241 */     // GIR_Coverage, 7398,
     /*  403241 */     GIR_EraseRootFromParent_Done,
     /*  403242 */   // Label 7173: @403242
     /*  403242 */   GIM_Try, /*On fail goto*//*Label 7174*/ GIMT_Encode4(403317), // Rule ID 7399 //
     /*  403247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  403258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  403261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  403264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403282 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403293 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  403293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403315 */     GIR_RootConstrainSelectedInstOperands,
     /*  403316 */     // GIR_Coverage, 7399,
     /*  403316 */     GIR_EraseRootFromParent_Done,
     /*  403317 */   // Label 7174: @403317
     /*  403317 */   GIM_Try, /*On fail goto*//*Label 7175*/ GIMT_Encode4(403392), // Rule ID 7402 //
     /*  403322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  403333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  403336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  403339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403357 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403368 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  403368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403390 */     GIR_RootConstrainSelectedInstOperands,
     /*  403391 */     // GIR_Coverage, 7402,
     /*  403391 */     GIR_EraseRootFromParent_Done,
     /*  403392 */   // Label 7175: @403392
     /*  403392 */   GIM_Try, /*On fail goto*//*Label 7176*/ GIMT_Encode4(403467), // Rule ID 7403 //
     /*  403397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  403408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  403411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  403414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403432 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403443 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  403443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  403462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403465 */     GIR_RootConstrainSelectedInstOperands,
     /*  403466 */     // GIR_Coverage, 7403,
     /*  403466 */     GIR_EraseRootFromParent_Done,
     /*  403467 */   // Label 7176: @403467
     /*  403467 */   GIM_Try, /*On fail goto*//*Label 7177*/ GIMT_Encode4(403542), // Rule ID 7406 //
     /*  403472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403507 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403518 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403540 */     GIR_RootConstrainSelectedInstOperands,
     /*  403541 */     // GIR_Coverage, 7406,
     /*  403541 */     GIR_EraseRootFromParent_Done,
     /*  403542 */   // Label 7177: @403542
     /*  403542 */   GIM_Try, /*On fail goto*//*Label 7178*/ GIMT_Encode4(403617), // Rule ID 7407 //
     /*  403547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  403558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  403561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  403564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403582 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403593 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403615 */     GIR_RootConstrainSelectedInstOperands,
     /*  403616 */     // GIR_Coverage, 7407,
     /*  403616 */     GIR_EraseRootFromParent_Done,
     /*  403617 */   // Label 7178: @403617
     /*  403617 */   GIM_Try, /*On fail goto*//*Label 7179*/ GIMT_Encode4(403692), // Rule ID 7410 //
     /*  403622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403657 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403690 */     GIR_RootConstrainSelectedInstOperands,
     /*  403691 */     // GIR_Coverage, 7410,
     /*  403691 */     GIR_EraseRootFromParent_Done,
     /*  403692 */   // Label 7179: @403692
     /*  403692 */   GIM_Try, /*On fail goto*//*Label 7180*/ GIMT_Encode4(403767), // Rule ID 7411 //
     /*  403697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  403708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  403711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  403714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  403732 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403743 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  403746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403765 */     GIR_RootConstrainSelectedInstOperands,
     /*  403766 */     // GIR_Coverage, 7411,
     /*  403766 */     GIR_EraseRootFromParent_Done,
     /*  403767 */   // Label 7180: @403767
     /*  403767 */   GIM_Try, /*On fail goto*//*Label 7181*/ GIMT_Encode4(403842), // Rule ID 7414 //
     /*  403772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403807 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  403818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403840 */     GIR_RootConstrainSelectedInstOperands,
     /*  403841 */     // GIR_Coverage, 7414,
     /*  403841 */     GIR_EraseRootFromParent_Done,
     /*  403842 */   // Label 7181: @403842
     /*  403842 */   GIM_Try, /*On fail goto*//*Label 7182*/ GIMT_Encode4(403917), // Rule ID 7415 //
     /*  403847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  403850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  403858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  403861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  403864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  403867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  403870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  403882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403893 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  403893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  403896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  403912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403915 */     GIR_RootConstrainSelectedInstOperands,
     /*  403916 */     // GIR_Coverage, 7415,
     /*  403916 */     GIR_EraseRootFromParent_Done,
     /*  403917 */   // Label 7182: @403917
     /*  403917 */   GIM_Try, /*On fail goto*//*Label 7183*/ GIMT_Encode4(403992), // Rule ID 7418 //
     /*  403922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  403925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  403930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  403933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  403936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  403939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  403942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  403945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  403957 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  403961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  403968 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  403968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  403971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  403973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  403975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  403979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  403984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  403987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  403990 */     GIR_RootConstrainSelectedInstOperands,
     /*  403991 */     // GIR_Coverage, 7418,
     /*  403991 */     GIR_EraseRootFromParent_Done,
     /*  403992 */   // Label 7183: @403992
     /*  403992 */   GIM_Try, /*On fail goto*//*Label 7184*/ GIMT_Encode4(404067), // Rule ID 7419 //
     /*  403997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  404000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  404008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  404011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  404014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404032 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  404046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404065 */     GIR_RootConstrainSelectedInstOperands,
     /*  404066 */     // GIR_Coverage, 7419,
     /*  404066 */     GIR_EraseRootFromParent_Done,
     /*  404067 */   // Label 7184: @404067
     /*  404067 */   GIM_Try, /*On fail goto*//*Label 7185*/ GIMT_Encode4(404142), // Rule ID 7422 //
     /*  404072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  404075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404107 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404118 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  404121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404140 */     GIR_RootConstrainSelectedInstOperands,
     /*  404141 */     // GIR_Coverage, 7422,
     /*  404141 */     GIR_EraseRootFromParent_Done,
     /*  404142 */   // Label 7185: @404142
     /*  404142 */   GIM_Try, /*On fail goto*//*Label 7186*/ GIMT_Encode4(404217), // Rule ID 7423 //
     /*  404147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  404150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  404158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  404161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  404164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404182 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404193 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  404196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404215 */     GIR_RootConstrainSelectedInstOperands,
     /*  404216 */     // GIR_Coverage, 7423,
     /*  404216 */     GIR_EraseRootFromParent_Done,
     /*  404217 */   // Label 7186: @404217
     /*  404217 */   GIM_Try, /*On fail goto*//*Label 7187*/ GIMT_Encode4(404292), // Rule ID 7426 //
     /*  404222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  404225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404257 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  404268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  404271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404290 */     GIR_RootConstrainSelectedInstOperands,
     /*  404291 */     // GIR_Coverage, 7426,
     /*  404291 */     GIR_EraseRootFromParent_Done,
     /*  404292 */   // Label 7187: @404292
     /*  404292 */   GIM_Try, /*On fail goto*//*Label 7188*/ GIMT_Encode4(404367), // Rule ID 7427 //
     /*  404297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  404300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  404308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  404311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  404314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404332 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404343 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  404343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  404346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  404362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404365 */     GIR_RootConstrainSelectedInstOperands,
     /*  404366 */     // GIR_Coverage, 7427,
     /*  404366 */     GIR_EraseRootFromParent_Done,
     /*  404367 */   // Label 7188: @404367
     /*  404367 */   GIM_Try, /*On fail goto*//*Label 7189*/ GIMT_Encode4(404442), // Rule ID 7430 //
     /*  404372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  404375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  404383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  404386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  404389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404407 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  404421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404440 */     GIR_RootConstrainSelectedInstOperands,
     /*  404441 */     // GIR_Coverage, 7430,
     /*  404441 */     GIR_EraseRootFromParent_Done,
     /*  404442 */   // Label 7189: @404442
     /*  404442 */   GIM_Try, /*On fail goto*//*Label 7190*/ GIMT_Encode4(404517), // Rule ID 7431 //
     /*  404447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  404458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  404461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  404464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  404482 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  404496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404515 */     GIR_RootConstrainSelectedInstOperands,
     /*  404516 */     // GIR_Coverage, 7431,
     /*  404516 */     GIR_EraseRootFromParent_Done,
     /*  404517 */   // Label 7190: @404517
     /*  404517 */   GIM_Try, /*On fail goto*//*Label 7191*/ GIMT_Encode4(404592), // Rule ID 7434 //
     /*  404522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  404525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404557 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404568 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  404571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404590 */     GIR_RootConstrainSelectedInstOperands,
     /*  404591 */     // GIR_Coverage, 7434,
     /*  404591 */     GIR_EraseRootFromParent_Done,
     /*  404592 */   // Label 7191: @404592
     /*  404592 */   GIM_Try, /*On fail goto*//*Label 7192*/ GIMT_Encode4(404667), // Rule ID 7435 //
     /*  404597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  404608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  404611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  404614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  404632 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404643 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  404646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404665 */     GIR_RootConstrainSelectedInstOperands,
     /*  404666 */     // GIR_Coverage, 7435,
     /*  404666 */     GIR_EraseRootFromParent_Done,
     /*  404667 */   // Label 7192: @404667
     /*  404667 */   GIM_Try, /*On fail goto*//*Label 7193*/ GIMT_Encode4(404742), // Rule ID 7438 //
     /*  404672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  404675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  404692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404707 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  404718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  404721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404740 */     GIR_RootConstrainSelectedInstOperands,
     /*  404741 */     // GIR_Coverage, 7438,
     /*  404741 */     GIR_EraseRootFromParent_Done,
     /*  404742 */   // Label 7193: @404742
     /*  404742 */   GIM_Try, /*On fail goto*//*Label 7194*/ GIMT_Encode4(404817), // Rule ID 7439 //
     /*  404747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  404750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  404755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  404758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  404761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  404764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  404767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  404782 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /*  404786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404793 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  404793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  404796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  404804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  404812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404815 */     GIR_RootConstrainSelectedInstOperands,
     /*  404816 */     // GIR_Coverage, 7439,
     /*  404816 */     GIR_EraseRootFromParent_Done,
     /*  404817 */   // Label 7194: @404817
     /*  404817 */   GIM_Try, /*On fail goto*//*Label 7195*/ GIMT_Encode4(404894), // Rule ID 2744 //
     /*  404822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  404833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  404836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404854 */     // MIs[0] Operand 4
     /*  404854 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  404872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  404875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404892 */     GIR_RootConstrainSelectedInstOperands,
     /*  404893 */     // GIR_Coverage, 2744,
     /*  404893 */     GIR_EraseRootFromParent_Done,
     /*  404894 */   // Label 7195: @404894
     /*  404894 */   GIM_Try, /*On fail goto*//*Label 7196*/ GIMT_Encode4(404971), // Rule ID 2745 //
     /*  404899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  404902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  404910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  404913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  404916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  404919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  404931 */     // MIs[0] Operand 4
     /*  404931 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  404942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  404949 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  404949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /*  404952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  404954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  404956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  404958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  404963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  404966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  404969 */     GIR_RootConstrainSelectedInstOperands,
     /*  404970 */     // GIR_Coverage, 2745,
     /*  404970 */     GIR_EraseRootFromParent_Done,
     /*  404971 */   // Label 7196: @404971
     /*  404971 */   GIM_Try, /*On fail goto*//*Label 7197*/ GIMT_Encode4(405048), // Rule ID 20636 //
     /*  404976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  404979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  404984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  404987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  404990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  404993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  404996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405008 */     // MIs[0] Operand 4
     /*  405008 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  405029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405046 */     GIR_RootConstrainSelectedInstOperands,
     /*  405047 */     // GIR_Coverage, 20636,
     /*  405047 */     GIR_EraseRootFromParent_Done,
     /*  405048 */   // Label 7197: @405048
     /*  405048 */   GIM_Try, /*On fail goto*//*Label 7198*/ GIMT_Encode4(405125), // Rule ID 20637 //
     /*  405053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  405064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  405067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  405070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405085 */     // MIs[0] Operand 4
     /*  405085 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405103 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  405106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405123 */     GIR_RootConstrainSelectedInstOperands,
     /*  405124 */     // GIR_Coverage, 20637,
     /*  405124 */     GIR_EraseRootFromParent_Done,
     /*  405125 */   // Label 7198: @405125
     /*  405125 */   GIM_Try, /*On fail goto*//*Label 7199*/ GIMT_Encode4(405202), // Rule ID 20640 //
     /*  405130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  405133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405162 */     // MIs[0] Operand 4
     /*  405162 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405180 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  405183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405200 */     GIR_RootConstrainSelectedInstOperands,
     /*  405201 */     // GIR_Coverage, 20640,
     /*  405201 */     GIR_EraseRootFromParent_Done,
     /*  405202 */   // Label 7199: @405202
     /*  405202 */   GIM_Try, /*On fail goto*//*Label 7200*/ GIMT_Encode4(405279), // Rule ID 20641 //
     /*  405207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  405210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  405218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  405221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  405224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405239 */     // MIs[0] Operand 4
     /*  405239 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405257 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /*  405260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405277 */     GIR_RootConstrainSelectedInstOperands,
     /*  405278 */     // GIR_Coverage, 20641,
     /*  405278 */     GIR_EraseRootFromParent_Done,
     /*  405279 */   // Label 7200: @405279
     /*  405279 */   GIM_Try, /*On fail goto*//*Label 7201*/ GIMT_Encode4(405356), // Rule ID 20644 //
     /*  405284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  405295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  405298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405316 */     // MIs[0] Operand 4
     /*  405316 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405334 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405354 */     GIR_RootConstrainSelectedInstOperands,
     /*  405355 */     // GIR_Coverage, 20644,
     /*  405355 */     GIR_EraseRootFromParent_Done,
     /*  405356 */   // Label 7201: @405356
     /*  405356 */   GIM_Try, /*On fail goto*//*Label 7202*/ GIMT_Encode4(405433), // Rule ID 20645 //
     /*  405361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  405372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  405375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  405378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405393 */     // MIs[0] Operand 4
     /*  405393 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405431 */     GIR_RootConstrainSelectedInstOperands,
     /*  405432 */     // GIR_Coverage, 20645,
     /*  405432 */     GIR_EraseRootFromParent_Done,
     /*  405433 */   // Label 7202: @405433
     /*  405433 */   GIM_Try, /*On fail goto*//*Label 7203*/ GIMT_Encode4(405510), // Rule ID 20648 //
     /*  405438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  405441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405470 */     // MIs[0] Operand 4
     /*  405470 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405488 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  405488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405508 */     GIR_RootConstrainSelectedInstOperands,
     /*  405509 */     // GIR_Coverage, 20648,
     /*  405509 */     GIR_EraseRootFromParent_Done,
     /*  405510 */   // Label 7203: @405510
     /*  405510 */   GIM_Try, /*On fail goto*//*Label 7204*/ GIMT_Encode4(405587), // Rule ID 20649 //
     /*  405515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  405518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  405526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  405529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  405532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405547 */     // MIs[0] Operand 4
     /*  405547 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405565 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  405565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  405582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405585 */     GIR_RootConstrainSelectedInstOperands,
     /*  405586 */     // GIR_Coverage, 20649,
     /*  405586 */     GIR_EraseRootFromParent_Done,
     /*  405587 */   // Label 7204: @405587
     /*  405587 */   GIM_Try, /*On fail goto*//*Label 7205*/ GIMT_Encode4(405664), // Rule ID 20652 //
     /*  405592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  405595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  405609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405624 */     // MIs[0] Operand 4
     /*  405624 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  405642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405662 */     GIR_RootConstrainSelectedInstOperands,
     /*  405663 */     // GIR_Coverage, 20652,
     /*  405663 */     GIR_EraseRootFromParent_Done,
     /*  405664 */   // Label 7205: @405664
     /*  405664 */   GIM_Try, /*On fail goto*//*Label 7206*/ GIMT_Encode4(405741), // Rule ID 20653 //
     /*  405669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  405672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  405680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  405683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  405686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  405701 */     // MIs[0] Operand 4
     /*  405701 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405719 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  405719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /*  405722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  405736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405739 */     GIR_RootConstrainSelectedInstOperands,
     /*  405740 */     // GIR_Coverage, 20653,
     /*  405740 */     GIR_EraseRootFromParent_Done,
     /*  405741 */   // Label 7206: @405741
     /*  405741 */   GIM_Try, /*On fail goto*//*Label 7207*/ GIMT_Encode4(405818), // Rule ID 20656 //
     /*  405746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  405757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  405760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405778 */     // MIs[0] Operand 4
     /*  405778 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405796 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405816 */     GIR_RootConstrainSelectedInstOperands,
     /*  405817 */     // GIR_Coverage, 20656,
     /*  405817 */     GIR_EraseRootFromParent_Done,
     /*  405818 */   // Label 7207: @405818
     /*  405818 */   GIM_Try, /*On fail goto*//*Label 7208*/ GIMT_Encode4(405895), // Rule ID 20657 //
     /*  405823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  405834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  405837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  405840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  405855 */     // MIs[0] Operand 4
     /*  405855 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405873 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  405873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  405876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405893 */     GIR_RootConstrainSelectedInstOperands,
     /*  405894 */     // GIR_Coverage, 20657,
     /*  405894 */     GIR_EraseRootFromParent_Done,
     /*  405895 */   // Label 7208: @405895
     /*  405895 */   GIM_Try, /*On fail goto*//*Label 7209*/ GIMT_Encode4(405972), // Rule ID 20660 //
     /*  405900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  405903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  405911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  405914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  405920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  405932 */     // MIs[0] Operand 4
     /*  405932 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  405943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  405950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  405950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  405953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  405955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  405957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  405959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  405964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  405967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  405970 */     GIR_RootConstrainSelectedInstOperands,
     /*  405971 */     // GIR_Coverage, 20660,
     /*  405971 */     GIR_EraseRootFromParent_Done,
     /*  405972 */   // Label 7209: @405972
     /*  405972 */   GIM_Try, /*On fail goto*//*Label 7210*/ GIMT_Encode4(406049), // Rule ID 20661 //
     /*  405977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  405980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  405985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  405988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  405991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  405994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  405997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406009 */     // MIs[0] Operand 4
     /*  406009 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406027 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406047 */     GIR_RootConstrainSelectedInstOperands,
     /*  406048 */     // GIR_Coverage, 20661,
     /*  406048 */     GIR_EraseRootFromParent_Done,
     /*  406049 */   // Label 7210: @406049
     /*  406049 */   GIM_Try, /*On fail goto*//*Label 7211*/ GIMT_Encode4(406126), // Rule ID 20664 //
     /*  406054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  406057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  406065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  406068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  406071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406086 */     // MIs[0] Operand 4
     /*  406086 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406104 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  406104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406124 */     GIR_RootConstrainSelectedInstOperands,
     /*  406125 */     // GIR_Coverage, 20664,
     /*  406125 */     GIR_EraseRootFromParent_Done,
     /*  406126 */   // Label 7211: @406126
     /*  406126 */   GIM_Try, /*On fail goto*//*Label 7212*/ GIMT_Encode4(406203), // Rule ID 20665 //
     /*  406131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  406134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  406142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  406145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  406148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406163 */     // MIs[0] Operand 4
     /*  406163 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406181 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  406181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  406198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406201 */     GIR_RootConstrainSelectedInstOperands,
     /*  406202 */     // GIR_Coverage, 20665,
     /*  406202 */     GIR_EraseRootFromParent_Done,
     /*  406203 */   // Label 7212: @406203
     /*  406203 */   GIM_Try, /*On fail goto*//*Label 7213*/ GIMT_Encode4(406280), // Rule ID 20668 //
     /*  406208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406240 */     // MIs[0] Operand 4
     /*  406240 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  406261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406278 */     GIR_RootConstrainSelectedInstOperands,
     /*  406279 */     // GIR_Coverage, 20668,
     /*  406279 */     GIR_EraseRootFromParent_Done,
     /*  406280 */   // Label 7213: @406280
     /*  406280 */   GIM_Try, /*On fail goto*//*Label 7214*/ GIMT_Encode4(406357), // Rule ID 20669 //
     /*  406285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  406288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  406296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  406299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  406302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406317 */     // MIs[0] Operand 4
     /*  406317 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406335 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  406338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406355 */     GIR_RootConstrainSelectedInstOperands,
     /*  406356 */     // GIR_Coverage, 20669,
     /*  406356 */     GIR_EraseRootFromParent_Done,
     /*  406357 */   // Label 7214: @406357
     /*  406357 */   GIM_Try, /*On fail goto*//*Label 7215*/ GIMT_Encode4(406434), // Rule ID 20672 //
     /*  406362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406394 */     // MIs[0] Operand 4
     /*  406394 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406432 */     GIR_RootConstrainSelectedInstOperands,
     /*  406433 */     // GIR_Coverage, 20672,
     /*  406433 */     GIR_EraseRootFromParent_Done,
     /*  406434 */   // Label 7215: @406434
     /*  406434 */   GIM_Try, /*On fail goto*//*Label 7216*/ GIMT_Encode4(406511), // Rule ID 20673 //
     /*  406439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  406442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  406450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  406453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  406456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406471 */     // MIs[0] Operand 4
     /*  406471 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406489 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406509 */     GIR_RootConstrainSelectedInstOperands,
     /*  406510 */     // GIR_Coverage, 20673,
     /*  406510 */     GIR_EraseRootFromParent_Done,
     /*  406511 */   // Label 7216: @406511
     /*  406511 */   GIM_Try, /*On fail goto*//*Label 7217*/ GIMT_Encode4(406588), // Rule ID 20676 //
     /*  406516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  406519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  406533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406548 */     // MIs[0] Operand 4
     /*  406548 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406566 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  406566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406586 */     GIR_RootConstrainSelectedInstOperands,
     /*  406587 */     // GIR_Coverage, 20676,
     /*  406587 */     GIR_EraseRootFromParent_Done,
     /*  406588 */   // Label 7217: @406588
     /*  406588 */   GIM_Try, /*On fail goto*//*Label 7218*/ GIMT_Encode4(406665), // Rule ID 20677 //
     /*  406593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  406596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  406604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  406607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  406610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  406625 */     // MIs[0] Operand 4
     /*  406625 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  406643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  406646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  406660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406663 */     GIR_RootConstrainSelectedInstOperands,
     /*  406664 */     // GIR_Coverage, 20677,
     /*  406664 */     GIR_EraseRootFromParent_Done,
     /*  406665 */   // Label 7218: @406665
     /*  406665 */   GIM_Try, /*On fail goto*//*Label 7219*/ GIMT_Encode4(406742), // Rule ID 20680 //
     /*  406670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  406673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  406687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406702 */     // MIs[0] Operand 4
     /*  406702 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  406720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  406723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406740 */     GIR_RootConstrainSelectedInstOperands,
     /*  406741 */     // GIR_Coverage, 20680,
     /*  406741 */     GIR_EraseRootFromParent_Done,
     /*  406742 */   // Label 7219: @406742
     /*  406742 */   GIM_Try, /*On fail goto*//*Label 7220*/ GIMT_Encode4(406819), // Rule ID 20681 //
     /*  406747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  406750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  406758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  406761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  406764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  406779 */     // MIs[0] Operand 4
     /*  406779 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  406797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /*  406800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406817 */     GIR_RootConstrainSelectedInstOperands,
     /*  406818 */     // GIR_Coverage, 20681,
     /*  406818 */     GIR_EraseRootFromParent_Done,
     /*  406819 */   // Label 7220: @406819
     /*  406819 */   GIM_Try, /*On fail goto*//*Label 7221*/ GIMT_Encode4(406896), // Rule ID 20684 //
     /*  406824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  406827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  406841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406856 */     // MIs[0] Operand 4
     /*  406856 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  406874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406894 */     GIR_RootConstrainSelectedInstOperands,
     /*  406895 */     // GIR_Coverage, 20684,
     /*  406895 */     GIR_EraseRootFromParent_Done,
     /*  406896 */   // Label 7221: @406896
     /*  406896 */   GIM_Try, /*On fail goto*//*Label 7222*/ GIMT_Encode4(406973), // Rule ID 20685 //
     /*  406901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  406904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  406912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  406915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  406918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  406921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  406933 */     // MIs[0] Operand 4
     /*  406933 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  406944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  406951 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  406951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /*  406954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  406956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  406958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  406960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  406965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  406968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  406971 */     GIR_RootConstrainSelectedInstOperands,
     /*  406972 */     // GIR_Coverage, 20685,
     /*  406972 */     GIR_EraseRootFromParent_Done,
     /*  406973 */   // Label 7222: @406973
     /*  406973 */   GIM_Try, /*On fail goto*//*Label 7223*/ GIMT_Encode4(407050), // Rule ID 20688 //
     /*  406978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  406981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  406986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  406989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  406992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  406995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  406998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407010 */     // MIs[0] Operand 4
     /*  407010 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  407028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  407031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  407045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407048 */     GIR_RootConstrainSelectedInstOperands,
     /*  407049 */     // GIR_Coverage, 20688,
     /*  407049 */     GIR_EraseRootFromParent_Done,
     /*  407050 */   // Label 7223: @407050
     /*  407050 */   GIM_Try, /*On fail goto*//*Label 7224*/ GIMT_Encode4(407127), // Rule ID 20689 //
     /*  407055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  407058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  407063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  407066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  407069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  407072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  407087 */     // MIs[0] Operand 4
     /*  407087 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407105 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  407105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /*  407108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  407122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407125 */     GIR_RootConstrainSelectedInstOperands,
     /*  407126 */     // GIR_Coverage, 20689,
     /*  407126 */     GIR_EraseRootFromParent_Done,
     /*  407127 */   // Label 7224: @407127
     /*  407127 */   GIM_Try, /*On fail goto*//*Label 7225*/ GIMT_Encode4(407204), // Rule ID 20692 //
     /*  407132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  407143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  407146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407164 */     // MIs[0] Operand 4
     /*  407164 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  407185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407202 */     GIR_RootConstrainSelectedInstOperands,
     /*  407203 */     // GIR_Coverage, 20692,
     /*  407203 */     GIR_EraseRootFromParent_Done,
     /*  407204 */   // Label 7225: @407204
     /*  407204 */   GIM_Try, /*On fail goto*//*Label 7226*/ GIMT_Encode4(407281), // Rule ID 20693 //
     /*  407209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  407220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  407223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  407226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407241 */     // MIs[0] Operand 4
     /*  407241 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /*  407262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407279 */     GIR_RootConstrainSelectedInstOperands,
     /*  407280 */     // GIR_Coverage, 20693,
     /*  407280 */     GIR_EraseRootFromParent_Done,
     /*  407281 */   // Label 7226: @407281
     /*  407281 */   GIM_Try, /*On fail goto*//*Label 7227*/ GIMT_Encode4(407358), // Rule ID 20696 //
     /*  407286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  407297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  407300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407318 */     // MIs[0] Operand 4
     /*  407318 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  407339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407356 */     GIR_RootConstrainSelectedInstOperands,
     /*  407357 */     // GIR_Coverage, 20696,
     /*  407357 */     GIR_EraseRootFromParent_Done,
     /*  407358 */   // Label 7227: @407358
     /*  407358 */   GIM_Try, /*On fail goto*//*Label 7228*/ GIMT_Encode4(407435), // Rule ID 20697 //
     /*  407363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  407374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  407377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  407380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407395 */     // MIs[0] Operand 4
     /*  407395 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407413 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  407416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407433 */     GIR_RootConstrainSelectedInstOperands,
     /*  407434 */     // GIR_Coverage, 20697,
     /*  407434 */     GIR_EraseRootFromParent_Done,
     /*  407435 */   // Label 7228: @407435
     /*  407435 */   GIM_Try, /*On fail goto*//*Label 7229*/ GIMT_Encode4(407512), // Rule ID 20700 //
     /*  407440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407472 */     // MIs[0] Operand 4
     /*  407472 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  407493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407510 */     GIR_RootConstrainSelectedInstOperands,
     /*  407511 */     // GIR_Coverage, 20700,
     /*  407511 */     GIR_EraseRootFromParent_Done,
     /*  407512 */   // Label 7229: @407512
     /*  407512 */   GIM_Try, /*On fail goto*//*Label 7230*/ GIMT_Encode4(407589), // Rule ID 20701 //
     /*  407517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  407528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  407531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  407534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407549 */     // MIs[0] Operand 4
     /*  407549 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /*  407570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407587 */     GIR_RootConstrainSelectedInstOperands,
     /*  407588 */     // GIR_Coverage, 20701,
     /*  407588 */     GIR_EraseRootFromParent_Done,
     /*  407589 */   // Label 7230: @407589
     /*  407589 */   GIM_Try, /*On fail goto*//*Label 7231*/ GIMT_Encode4(407666), // Rule ID 20704 //
     /*  407594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  407597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  407605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  407608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407626 */     // MIs[0] Operand 4
     /*  407626 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  407644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407664 */     GIR_RootConstrainSelectedInstOperands,
     /*  407665 */     // GIR_Coverage, 20704,
     /*  407665 */     GIR_EraseRootFromParent_Done,
     /*  407666 */   // Label 7231: @407666
     /*  407666 */   GIM_Try, /*On fail goto*//*Label 7232*/ GIMT_Encode4(407743), // Rule ID 20705 //
     /*  407671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  407674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  407682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  407685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  407688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407703 */     // MIs[0] Operand 4
     /*  407703 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407721 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  407721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  407738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407741 */     GIR_RootConstrainSelectedInstOperands,
     /*  407742 */     // GIR_Coverage, 20705,
     /*  407742 */     GIR_EraseRootFromParent_Done,
     /*  407743 */   // Label 7232: @407743
     /*  407743 */   GIM_Try, /*On fail goto*//*Label 7233*/ GIMT_Encode4(407820), // Rule ID 20708 //
     /*  407748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  407751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407780 */     // MIs[0] Operand 4
     /*  407780 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  407798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407818 */     GIR_RootConstrainSelectedInstOperands,
     /*  407819 */     // GIR_Coverage, 20708,
     /*  407819 */     GIR_EraseRootFromParent_Done,
     /*  407820 */   // Label 7233: @407820
     /*  407820 */   GIM_Try, /*On fail goto*//*Label 7234*/ GIMT_Encode4(407897), // Rule ID 20709 //
     /*  407825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  407828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  407836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  407839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  407842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407857 */     // MIs[0] Operand 4
     /*  407857 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407875 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  407875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  407892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407895 */     GIR_RootConstrainSelectedInstOperands,
     /*  407896 */     // GIR_Coverage, 20709,
     /*  407896 */     GIR_EraseRootFromParent_Done,
     /*  407897 */   // Label 7234: @407897
     /*  407897 */   GIM_Try, /*On fail goto*//*Label 7235*/ GIMT_Encode4(407974), // Rule ID 20712 //
     /*  407902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  407905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  407913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  407916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  407919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  407922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  407934 */     // MIs[0] Operand 4
     /*  407934 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  407945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  407952 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  407952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  407955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  407957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  407959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  407961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  407966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  407969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  407972 */     GIR_RootConstrainSelectedInstOperands,
     /*  407973 */     // GIR_Coverage, 20712,
     /*  407973 */     GIR_EraseRootFromParent_Done,
     /*  407974 */   // Label 7235: @407974
     /*  407974 */   GIM_Try, /*On fail goto*//*Label 7236*/ GIMT_Encode4(408051), // Rule ID 20713 //
     /*  407979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  407982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  407987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  407990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  407993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  407996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  407999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  408011 */     // MIs[0] Operand 4
     /*  408011 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408029 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  408029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /*  408032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  408046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408049 */     GIR_RootConstrainSelectedInstOperands,
     /*  408050 */     // GIR_Coverage, 20713,
     /*  408050 */     GIR_EraseRootFromParent_Done,
     /*  408051 */   // Label 7236: @408051
     /*  408051 */   GIM_Try, /*On fail goto*//*Label 7237*/ GIMT_Encode4(408128), // Rule ID 20716 //
     /*  408056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  408073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408088 */     // MIs[0] Operand 4
     /*  408088 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408126 */     GIR_RootConstrainSelectedInstOperands,
     /*  408127 */     // GIR_Coverage, 20716,
     /*  408127 */     GIR_EraseRootFromParent_Done,
     /*  408128 */   // Label 7237: @408128
     /*  408128 */   GIM_Try, /*On fail goto*//*Label 7238*/ GIMT_Encode4(408205), // Rule ID 20717 //
     /*  408133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  408144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  408147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  408150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408165 */     // MIs[0] Operand 4
     /*  408165 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408183 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408203 */     GIR_RootConstrainSelectedInstOperands,
     /*  408204 */     // GIR_Coverage, 20717,
     /*  408204 */     GIR_EraseRootFromParent_Done,
     /*  408205 */   // Label 7238: @408205
     /*  408205 */   GIM_Try, /*On fail goto*//*Label 7239*/ GIMT_Encode4(408282), // Rule ID 20720 //
     /*  408210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  408224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408242 */     // MIs[0] Operand 4
     /*  408242 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408260 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408280 */     GIR_RootConstrainSelectedInstOperands,
     /*  408281 */     // GIR_Coverage, 20720,
     /*  408281 */     GIR_EraseRootFromParent_Done,
     /*  408282 */   // Label 7239: @408282
     /*  408282 */   GIM_Try, /*On fail goto*//*Label 7240*/ GIMT_Encode4(408359), // Rule ID 20721 //
     /*  408287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  408298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  408301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  408304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408319 */     // MIs[0] Operand 4
     /*  408319 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408357 */     GIR_RootConstrainSelectedInstOperands,
     /*  408358 */     // GIR_Coverage, 20721,
     /*  408358 */     GIR_EraseRootFromParent_Done,
     /*  408359 */   // Label 7240: @408359
     /*  408359 */   GIM_Try, /*On fail goto*//*Label 7241*/ GIMT_Encode4(408436), // Rule ID 20724 //
     /*  408364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  408367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  408375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  408378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408396 */     // MIs[0] Operand 4
     /*  408396 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  408414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408434 */     GIR_RootConstrainSelectedInstOperands,
     /*  408435 */     // GIR_Coverage, 20724,
     /*  408435 */     GIR_EraseRootFromParent_Done,
     /*  408436 */   // Label 7241: @408436
     /*  408436 */   GIM_Try, /*On fail goto*//*Label 7242*/ GIMT_Encode4(408513), // Rule ID 20725 //
     /*  408441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  408444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  408452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  408455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  408458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408473 */     // MIs[0] Operand 4
     /*  408473 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408491 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  408491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  408508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408511 */     GIR_RootConstrainSelectedInstOperands,
     /*  408512 */     // GIR_Coverage, 20725,
     /*  408512 */     GIR_EraseRootFromParent_Done,
     /*  408513 */   // Label 7242: @408513
     /*  408513 */   GIM_Try, /*On fail goto*//*Label 7243*/ GIMT_Encode4(408590), // Rule ID 20728 //
     /*  408518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408550 */     // MIs[0] Operand 4
     /*  408550 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408588 */     GIR_RootConstrainSelectedInstOperands,
     /*  408589 */     // GIR_Coverage, 20728,
     /*  408589 */     GIR_EraseRootFromParent_Done,
     /*  408590 */   // Label 7243: @408590
     /*  408590 */   GIM_Try, /*On fail goto*//*Label 7244*/ GIMT_Encode4(408667), // Rule ID 20729 //
     /*  408595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  408606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  408609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  408612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  408627 */     // MIs[0] Operand 4
     /*  408627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  408648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408665 */     GIR_RootConstrainSelectedInstOperands,
     /*  408666 */     // GIR_Coverage, 20729,
     /*  408666 */     GIR_EraseRootFromParent_Done,
     /*  408667 */   // Label 7244: @408667
     /*  408667 */   GIM_Try, /*On fail goto*//*Label 7245*/ GIMT_Encode4(408744), // Rule ID 20732 //
     /*  408672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408704 */     // MIs[0] Operand 4
     /*  408704 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408742 */     GIR_RootConstrainSelectedInstOperands,
     /*  408743 */     // GIR_Coverage, 20732,
     /*  408743 */     GIR_EraseRootFromParent_Done,
     /*  408744 */   // Label 7245: @408744
     /*  408744 */   GIM_Try, /*On fail goto*//*Label 7246*/ GIMT_Encode4(408821), // Rule ID 20733 //
     /*  408749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  408760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  408763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  408766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  408781 */     // MIs[0] Operand 4
     /*  408781 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408799 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  408802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408819 */     GIR_RootConstrainSelectedInstOperands,
     /*  408820 */     // GIR_Coverage, 20733,
     /*  408820 */     GIR_EraseRootFromParent_Done,
     /*  408821 */   // Label 7246: @408821
     /*  408821 */   GIM_Try, /*On fail goto*//*Label 7247*/ GIMT_Encode4(408898), // Rule ID 20736 //
     /*  408826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  408829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  408837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  408840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  408846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408858 */     // MIs[0] Operand 4
     /*  408858 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408876 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  408876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408896 */     GIR_RootConstrainSelectedInstOperands,
     /*  408897 */     // GIR_Coverage, 20736,
     /*  408897 */     GIR_EraseRootFromParent_Done,
     /*  408898 */   // Label 7247: @408898
     /*  408898 */   GIM_Try, /*On fail goto*//*Label 7248*/ GIMT_Encode4(408975), // Rule ID 20737 //
     /*  408903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  408906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  408914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  408917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  408920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  408923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  408935 */     // MIs[0] Operand 4
     /*  408935 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  408946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  408953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  408953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  408956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  408958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  408960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  408962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  408967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  408970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  408973 */     GIR_RootConstrainSelectedInstOperands,
     /*  408974 */     // GIR_Coverage, 20737,
     /*  408974 */     GIR_EraseRootFromParent_Done,
     /*  408975 */   // Label 7248: @408975
     /*  408975 */   GIM_Try, /*On fail goto*//*Label 7249*/ GIMT_Encode4(409052), // Rule ID 20740 //
     /*  408980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  408983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  408988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  408991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  408994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  408997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409012 */     // MIs[0] Operand 4
     /*  409012 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409030 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  409030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  409033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409050 */     GIR_RootConstrainSelectedInstOperands,
     /*  409051 */     // GIR_Coverage, 20740,
     /*  409051 */     GIR_EraseRootFromParent_Done,
     /*  409052 */   // Label 7249: @409052
     /*  409052 */   GIM_Try, /*On fail goto*//*Label 7250*/ GIMT_Encode4(409129), // Rule ID 20741 //
     /*  409057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  409060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  409065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  409068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  409071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  409074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409089 */     // MIs[0] Operand 4
     /*  409089 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409107 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  409107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /*  409110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409127 */     GIR_RootConstrainSelectedInstOperands,
     /*  409128 */     // GIR_Coverage, 20741,
     /*  409128 */     GIR_EraseRootFromParent_Done,
     /*  409129 */   // Label 7250: @409129
     /*  409129 */   GIM_Try, /*On fail goto*//*Label 7251*/ GIMT_Encode4(409206), // Rule ID 20744 //
     /*  409134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  409137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  409142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  409145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  409148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409166 */     // MIs[0] Operand 4
     /*  409166 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409184 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  409184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  409187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409204 */     GIR_RootConstrainSelectedInstOperands,
     /*  409205 */     // GIR_Coverage, 20744,
     /*  409205 */     GIR_EraseRootFromParent_Done,
     /*  409206 */   // Label 7251: @409206
     /*  409206 */   GIM_Try, /*On fail goto*//*Label 7252*/ GIMT_Encode4(409283), // Rule ID 20745 //
     /*  409211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  409214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  409219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  409222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  409225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  409228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409243 */     // MIs[0] Operand 4
     /*  409243 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409261 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  409261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /*  409264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409281 */     GIR_RootConstrainSelectedInstOperands,
     /*  409282 */     // GIR_Coverage, 20745,
     /*  409282 */     GIR_EraseRootFromParent_Done,
     /*  409283 */   // Label 7252: @409283
     /*  409283 */   GIM_Try, /*On fail goto*//*Label 7253*/ GIMT_Encode4(409360), // Rule ID 20748 //
     /*  409288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  409291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  409296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  409299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  409302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409320 */     // MIs[0] Operand 4
     /*  409320 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  409338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  409341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409358 */     GIR_RootConstrainSelectedInstOperands,
     /*  409359 */     // GIR_Coverage, 20748,
     /*  409359 */     GIR_EraseRootFromParent_Done,
     /*  409360 */   // Label 7253: @409360
     /*  409360 */   GIM_Try, /*On fail goto*//*Label 7254*/ GIMT_Encode4(409437), // Rule ID 20749 //
     /*  409365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  409368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  409373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  409376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  409379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  409382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  409397 */     // MIs[0] Operand 4
     /*  409397 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409415 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  409415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /*  409418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  409432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409435 */     GIR_RootConstrainSelectedInstOperands,
     /*  409436 */     // GIR_Coverage, 20749,
     /*  409436 */     GIR_EraseRootFromParent_Done,
     /*  409437 */   // Label 7254: @409437
     /*  409437 */   GIM_Try, /*On fail goto*//*Label 7255*/ GIMT_Encode4(409514), // Rule ID 21108 //
     /*  409442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409474 */     // MIs[0] Operand 4
     /*  409474 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  409495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409512 */     GIR_RootConstrainSelectedInstOperands,
     /*  409513 */     // GIR_Coverage, 21108,
     /*  409513 */     GIR_EraseRootFromParent_Done,
     /*  409514 */   // Label 7255: @409514
     /*  409514 */   GIM_Try, /*On fail goto*//*Label 7256*/ GIMT_Encode4(409591), // Rule ID 21109 //
     /*  409519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  409530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  409533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  409536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409551 */     // MIs[0] Operand 4
     /*  409551 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /*  409572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409589 */     GIR_RootConstrainSelectedInstOperands,
     /*  409590 */     // GIR_Coverage, 21109,
     /*  409590 */     GIR_EraseRootFromParent_Done,
     /*  409591 */   // Label 7256: @409591
     /*  409591 */   GIM_Try, /*On fail goto*//*Label 7257*/ GIMT_Encode4(409668), // Rule ID 21112 //
     /*  409596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409628 */     // MIs[0] Operand 4
     /*  409628 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409646 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409666 */     GIR_RootConstrainSelectedInstOperands,
     /*  409667 */     // GIR_Coverage, 21112,
     /*  409667 */     GIR_EraseRootFromParent_Done,
     /*  409668 */   // Label 7257: @409668
     /*  409668 */   GIM_Try, /*On fail goto*//*Label 7258*/ GIMT_Encode4(409745), // Rule ID 21113 //
     /*  409673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  409684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  409687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  409690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409705 */     // MIs[0] Operand 4
     /*  409705 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  409726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409743 */     GIR_RootConstrainSelectedInstOperands,
     /*  409744 */     // GIR_Coverage, 21113,
     /*  409744 */     GIR_EraseRootFromParent_Done,
     /*  409745 */   // Label 7258: @409745
     /*  409745 */   GIM_Try, /*On fail goto*//*Label 7259*/ GIMT_Encode4(409822), // Rule ID 21116 //
     /*  409750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409782 */     // MIs[0] Operand 4
     /*  409782 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409820 */     GIR_RootConstrainSelectedInstOperands,
     /*  409821 */     // GIR_Coverage, 21116,
     /*  409821 */     GIR_EraseRootFromParent_Done,
     /*  409822 */   // Label 7259: @409822
     /*  409822 */   GIM_Try, /*On fail goto*//*Label 7260*/ GIMT_Encode4(409899), // Rule ID 21117 //
     /*  409827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  409838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  409841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  409844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  409847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  409859 */     // MIs[0] Operand 4
     /*  409859 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  409877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  409880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409897 */     GIR_RootConstrainSelectedInstOperands,
     /*  409898 */     // GIR_Coverage, 21117,
     /*  409898 */     GIR_EraseRootFromParent_Done,
     /*  409899 */   // Label 7260: @409899
     /*  409899 */   GIM_Try, /*On fail goto*//*Label 7261*/ GIMT_Encode4(409976), // Rule ID 21120 //
     /*  409904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  409907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  409924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  409932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  409936 */     // MIs[0] Operand 4
     /*  409936 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  409947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  409954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  409954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  409957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  409959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  409961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  409963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  409968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  409971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  409974 */     GIR_RootConstrainSelectedInstOperands,
     /*  409975 */     // GIR_Coverage, 21120,
     /*  409975 */     GIR_EraseRootFromParent_Done,
     /*  409976 */   // Label 7261: @409976
     /*  409976 */   GIM_Try, /*On fail goto*//*Label 7262*/ GIMT_Encode4(410053), // Rule ID 21121 //
     /*  409981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  409984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  409989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  409992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  409995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  409998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410013 */     // MIs[0] Operand 4
     /*  410013 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  410034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410051 */     GIR_RootConstrainSelectedInstOperands,
     /*  410052 */     // GIR_Coverage, 21121,
     /*  410052 */     GIR_EraseRootFromParent_Done,
     /*  410053 */   // Label 7262: @410053
     /*  410053 */   GIM_Try, /*On fail goto*//*Label 7263*/ GIMT_Encode4(410130), // Rule ID 21124 //
     /*  410058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410090 */     // MIs[0] Operand 4
     /*  410090 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  410111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410128 */     GIR_RootConstrainSelectedInstOperands,
     /*  410129 */     // GIR_Coverage, 21124,
     /*  410129 */     GIR_EraseRootFromParent_Done,
     /*  410130 */   // Label 7263: @410130
     /*  410130 */   GIM_Try, /*On fail goto*//*Label 7264*/ GIMT_Encode4(410207), // Rule ID 21125 //
     /*  410135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  410146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  410149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  410152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410167 */     // MIs[0] Operand 4
     /*  410167 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  410188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410205 */     GIR_RootConstrainSelectedInstOperands,
     /*  410206 */     // GIR_Coverage, 21125,
     /*  410206 */     GIR_EraseRootFromParent_Done,
     /*  410207 */   // Label 7264: @410207
     /*  410207 */   GIM_Try, /*On fail goto*//*Label 7265*/ GIMT_Encode4(410284), // Rule ID 21128 //
     /*  410212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  410215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  410223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  410226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410244 */     // MIs[0] Operand 4
     /*  410244 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  410265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410282 */     GIR_RootConstrainSelectedInstOperands,
     /*  410283 */     // GIR_Coverage, 21128,
     /*  410283 */     GIR_EraseRootFromParent_Done,
     /*  410284 */   // Label 7265: @410284
     /*  410284 */   GIM_Try, /*On fail goto*//*Label 7266*/ GIMT_Encode4(410361), // Rule ID 21129 //
     /*  410289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  410292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  410300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  410303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  410306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410321 */     // MIs[0] Operand 4
     /*  410321 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410339 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /*  410342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410359 */     GIR_RootConstrainSelectedInstOperands,
     /*  410360 */     // GIR_Coverage, 21129,
     /*  410360 */     GIR_EraseRootFromParent_Done,
     /*  410361 */   // Label 7266: @410361
     /*  410361 */   GIM_Try, /*On fail goto*//*Label 7267*/ GIMT_Encode4(410438), // Rule ID 21132 //
     /*  410366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  410369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  410377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  410380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410398 */     // MIs[0] Operand 4
     /*  410398 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  410419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410436 */     GIR_RootConstrainSelectedInstOperands,
     /*  410437 */     // GIR_Coverage, 21132,
     /*  410437 */     GIR_EraseRootFromParent_Done,
     /*  410438 */   // Label 7267: @410438
     /*  410438 */   GIM_Try, /*On fail goto*//*Label 7268*/ GIMT_Encode4(410515), // Rule ID 21133 //
     /*  410443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  410446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  410454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  410457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  410460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410475 */     // MIs[0] Operand 4
     /*  410475 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410493 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /*  410496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410513 */     GIR_RootConstrainSelectedInstOperands,
     /*  410514 */     // GIR_Coverage, 21133,
     /*  410514 */     GIR_EraseRootFromParent_Done,
     /*  410515 */   // Label 7268: @410515
     /*  410515 */   GIM_Try, /*On fail goto*//*Label 7269*/ GIMT_Encode4(410592), // Rule ID 21136 //
     /*  410520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  410523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  410531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  410534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410552 */     // MIs[0] Operand 4
     /*  410552 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410570 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  410573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410590 */     GIR_RootConstrainSelectedInstOperands,
     /*  410591 */     // GIR_Coverage, 21136,
     /*  410591 */     GIR_EraseRootFromParent_Done,
     /*  410592 */   // Label 7269: @410592
     /*  410592 */   GIM_Try, /*On fail goto*//*Label 7270*/ GIMT_Encode4(410669), // Rule ID 21137 //
     /*  410597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  410600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  410608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  410611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  410614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  410629 */     // MIs[0] Operand 4
     /*  410629 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /*  410650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410667 */     GIR_RootConstrainSelectedInstOperands,
     /*  410668 */     // GIR_Coverage, 21137,
     /*  410668 */     GIR_EraseRootFromParent_Done,
     /*  410669 */   // Label 7270: @410669
     /*  410669 */   GIM_Try, /*On fail goto*//*Label 7271*/ GIMT_Encode4(410746), // Rule ID 21140 //
     /*  410674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  410677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  410685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  410688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410706 */     // MIs[0] Operand 4
     /*  410706 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410724 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  410724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  410727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410744 */     GIR_RootConstrainSelectedInstOperands,
     /*  410745 */     // GIR_Coverage, 21140,
     /*  410745 */     GIR_EraseRootFromParent_Done,
     /*  410746 */   // Label 7271: @410746
     /*  410746 */   GIM_Try, /*On fail goto*//*Label 7272*/ GIMT_Encode4(410823), // Rule ID 21141 //
     /*  410751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  410754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  410759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  410762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  410765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  410768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  410779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  410783 */     // MIs[0] Operand 4
     /*  410783 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410801 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  410801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /*  410804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  410818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410821 */     GIR_RootConstrainSelectedInstOperands,
     /*  410822 */     // GIR_Coverage, 21141,
     /*  410822 */     GIR_EraseRootFromParent_Done,
     /*  410823 */   // Label 7272: @410823
     /*  410823 */   GIM_Try, /*On fail goto*//*Label 7273*/ GIMT_Encode4(410900), // Rule ID 21144 //
     /*  410828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  410845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  410848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410860 */     // MIs[0] Operand 4
     /*  410860 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  410878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  410881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410898 */     GIR_RootConstrainSelectedInstOperands,
     /*  410899 */     // GIR_Coverage, 21144,
     /*  410899 */     GIR_EraseRootFromParent_Done,
     /*  410900 */   // Label 7273: @410900
     /*  410900 */   GIM_Try, /*On fail goto*//*Label 7274*/ GIMT_Encode4(410977), // Rule ID 21145 //
     /*  410905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  410908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  410916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  410919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  410922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  410925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  410937 */     // MIs[0] Operand 4
     /*  410937 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  410948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  410955 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  410955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /*  410958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  410960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  410962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  410964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  410969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  410972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  410975 */     GIR_RootConstrainSelectedInstOperands,
     /*  410976 */     // GIR_Coverage, 21145,
     /*  410976 */     GIR_EraseRootFromParent_Done,
     /*  410977 */   // Label 7274: @410977
     /*  410977 */   GIM_Try, /*On fail goto*//*Label 7275*/ GIMT_Encode4(411054), // Rule ID 21148 //
     /*  410982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  410985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  410990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  410993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  410996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  410999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411014 */     // MIs[0] Operand 4
     /*  411014 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411032 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  411035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411052 */     GIR_RootConstrainSelectedInstOperands,
     /*  411053 */     // GIR_Coverage, 21148,
     /*  411053 */     GIR_EraseRootFromParent_Done,
     /*  411054 */   // Label 7275: @411054
     /*  411054 */   GIM_Try, /*On fail goto*//*Label 7276*/ GIMT_Encode4(411131), // Rule ID 21149 //
     /*  411059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  411070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  411073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  411076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411091 */     // MIs[0] Operand 4
     /*  411091 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411109 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  411112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411129 */     GIR_RootConstrainSelectedInstOperands,
     /*  411130 */     // GIR_Coverage, 21149,
     /*  411130 */     GIR_EraseRootFromParent_Done,
     /*  411131 */   // Label 7276: @411131
     /*  411131 */   GIM_Try, /*On fail goto*//*Label 7277*/ GIMT_Encode4(411208), // Rule ID 21152 //
     /*  411136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  411153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411168 */     // MIs[0] Operand 4
     /*  411168 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  411189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411206 */     GIR_RootConstrainSelectedInstOperands,
     /*  411207 */     // GIR_Coverage, 21152,
     /*  411207 */     GIR_EraseRootFromParent_Done,
     /*  411208 */   // Label 7277: @411208
     /*  411208 */   GIM_Try, /*On fail goto*//*Label 7278*/ GIMT_Encode4(411285), // Rule ID 21153 //
     /*  411213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  411224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  411227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  411230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411245 */     // MIs[0] Operand 4
     /*  411245 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411263 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  411266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411283 */     GIR_RootConstrainSelectedInstOperands,
     /*  411284 */     // GIR_Coverage, 21153,
     /*  411284 */     GIR_EraseRootFromParent_Done,
     /*  411285 */   // Label 7278: @411285
     /*  411285 */   GIM_Try, /*On fail goto*//*Label 7279*/ GIMT_Encode4(411362), // Rule ID 21156 //
     /*  411290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  411307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411322 */     // MIs[0] Operand 4
     /*  411322 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411340 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  411343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411360 */     GIR_RootConstrainSelectedInstOperands,
     /*  411361 */     // GIR_Coverage, 21156,
     /*  411361 */     GIR_EraseRootFromParent_Done,
     /*  411362 */   // Label 7279: @411362
     /*  411362 */   GIM_Try, /*On fail goto*//*Label 7280*/ GIMT_Encode4(411439), // Rule ID 21157 //
     /*  411367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  411378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  411381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  411384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411399 */     // MIs[0] Operand 4
     /*  411399 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411417 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  411420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411437 */     GIR_RootConstrainSelectedInstOperands,
     /*  411438 */     // GIR_Coverage, 21157,
     /*  411438 */     GIR_EraseRootFromParent_Done,
     /*  411439 */   // Label 7280: @411439
     /*  411439 */   GIM_Try, /*On fail goto*//*Label 7281*/ GIMT_Encode4(411516), // Rule ID 21160 //
     /*  411444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  411447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  411461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411476 */     // MIs[0] Operand 4
     /*  411476 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  411494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  411497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411514 */     GIR_RootConstrainSelectedInstOperands,
     /*  411515 */     // GIR_Coverage, 21160,
     /*  411515 */     GIR_EraseRootFromParent_Done,
     /*  411516 */   // Label 7281: @411516
     /*  411516 */   GIM_Try, /*On fail goto*//*Label 7282*/ GIMT_Encode4(411593), // Rule ID 21161 //
     /*  411521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  411524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  411532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  411535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  411538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  411549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411553 */     // MIs[0] Operand 4
     /*  411553 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411571 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  411571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  411574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  411588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411591 */     GIR_RootConstrainSelectedInstOperands,
     /*  411592 */     // GIR_Coverage, 21161,
     /*  411592 */     GIR_EraseRootFromParent_Done,
     /*  411593 */   // Label 7282: @411593
     /*  411593 */   GIM_Try, /*On fail goto*//*Label 7283*/ GIMT_Encode4(411670), // Rule ID 21164 //
     /*  411598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  411609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  411612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411630 */     // MIs[0] Operand 4
     /*  411630 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  411651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411668 */     GIR_RootConstrainSelectedInstOperands,
     /*  411669 */     // GIR_Coverage, 21164,
     /*  411669 */     GIR_EraseRootFromParent_Done,
     /*  411670 */   // Label 7283: @411670
     /*  411670 */   GIM_Try, /*On fail goto*//*Label 7284*/ GIMT_Encode4(411747), // Rule ID 21165 //
     /*  411675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  411686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  411689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  411692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411707 */     // MIs[0] Operand 4
     /*  411707 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411725 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /*  411728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411745 */     GIR_RootConstrainSelectedInstOperands,
     /*  411746 */     // GIR_Coverage, 21165,
     /*  411746 */     GIR_EraseRootFromParent_Done,
     /*  411747 */   // Label 7284: @411747
     /*  411747 */   GIM_Try, /*On fail goto*//*Label 7285*/ GIMT_Encode4(411824), // Rule ID 21168 //
     /*  411752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  411763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  411766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411784 */     // MIs[0] Operand 4
     /*  411784 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  411805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411822 */     GIR_RootConstrainSelectedInstOperands,
     /*  411823 */     // GIR_Coverage, 21168,
     /*  411823 */     GIR_EraseRootFromParent_Done,
     /*  411824 */   // Label 7285: @411824
     /*  411824 */   GIM_Try, /*On fail goto*//*Label 7286*/ GIMT_Encode4(411901), // Rule ID 21169 //
     /*  411829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  411840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  411843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  411846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  411849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  411861 */     // MIs[0] Operand 4
     /*  411861 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411879 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  411879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /*  411882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411899 */     GIR_RootConstrainSelectedInstOperands,
     /*  411900 */     // GIR_Coverage, 21169,
     /*  411900 */     GIR_EraseRootFromParent_Done,
     /*  411901 */   // Label 7286: @411901
     /*  411901 */   GIM_Try, /*On fail goto*//*Label 7287*/ GIMT_Encode4(411978), // Rule ID 21172 //
     /*  411906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  411909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  411917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  411920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  411923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  411926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  411934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  411938 */     // MIs[0] Operand 4
     /*  411938 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  411949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  411956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  411956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  411959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  411961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  411963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  411965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  411970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  411973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  411976 */     GIR_RootConstrainSelectedInstOperands,
     /*  411977 */     // GIR_Coverage, 21172,
     /*  411977 */     GIR_EraseRootFromParent_Done,
     /*  411978 */   // Label 7287: @411978
     /*  411978 */   GIM_Try, /*On fail goto*//*Label 7288*/ GIMT_Encode4(412055), // Rule ID 21173 //
     /*  411983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  411986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  411991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  411994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  411997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  412000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412015 */     // MIs[0] Operand 4
     /*  412015 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412033 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  412033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /*  412036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412053 */     GIR_RootConstrainSelectedInstOperands,
     /*  412054 */     // GIR_Coverage, 21173,
     /*  412054 */     GIR_EraseRootFromParent_Done,
     /*  412055 */   // Label 7288: @412055
     /*  412055 */   GIM_Try, /*On fail goto*//*Label 7289*/ GIMT_Encode4(412132), // Rule ID 21176 //
     /*  412060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  412063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  412068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  412071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  412074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412092 */     // MIs[0] Operand 4
     /*  412092 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412110 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  412110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  412113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412130 */     GIR_RootConstrainSelectedInstOperands,
     /*  412131 */     // GIR_Coverage, 21176,
     /*  412131 */     GIR_EraseRootFromParent_Done,
     /*  412132 */   // Label 7289: @412132
     /*  412132 */   GIM_Try, /*On fail goto*//*Label 7290*/ GIMT_Encode4(412209), // Rule ID 21177 //
     /*  412137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  412140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  412145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  412148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  412151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  412154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  412165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412169 */     // MIs[0] Operand 4
     /*  412169 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412187 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  412187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /*  412190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  412204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412207 */     GIR_RootConstrainSelectedInstOperands,
     /*  412208 */     // GIR_Coverage, 21177,
     /*  412208 */     GIR_EraseRootFromParent_Done,
     /*  412209 */   // Label 7290: @412209
     /*  412209 */   GIM_Try, /*On fail goto*//*Label 7291*/ GIMT_Encode4(412286), // Rule ID 21480 //
     /*  412214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  412228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412246 */     // MIs[0] Operand 4
     /*  412246 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  412267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412284 */     GIR_RootConstrainSelectedInstOperands,
     /*  412285 */     // GIR_Coverage, 21480,
     /*  412285 */     GIR_EraseRootFromParent_Done,
     /*  412286 */   // Label 7291: @412286
     /*  412286 */   GIM_Try, /*On fail goto*//*Label 7292*/ GIMT_Encode4(412363), // Rule ID 21481 //
     /*  412291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  412302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  412305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  412308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412323 */     // MIs[0] Operand 4
     /*  412323 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412341 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /*  412344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412361 */     GIR_RootConstrainSelectedInstOperands,
     /*  412362 */     // GIR_Coverage, 21481,
     /*  412362 */     GIR_EraseRootFromParent_Done,
     /*  412363 */   // Label 7292: @412363
     /*  412363 */   GIM_Try, /*On fail goto*//*Label 7293*/ GIMT_Encode4(412440), // Rule ID 21484 //
     /*  412368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  412382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  412385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412400 */     // MIs[0] Operand 4
     /*  412400 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412418 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  412421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412438 */     GIR_RootConstrainSelectedInstOperands,
     /*  412439 */     // GIR_Coverage, 21484,
     /*  412439 */     GIR_EraseRootFromParent_Done,
     /*  412440 */   // Label 7293: @412440
     /*  412440 */   GIM_Try, /*On fail goto*//*Label 7294*/ GIMT_Encode4(412517), // Rule ID 21485 //
     /*  412445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  412456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  412459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  412462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412477 */     // MIs[0] Operand 4
     /*  412477 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412495 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  412498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412515 */     GIR_RootConstrainSelectedInstOperands,
     /*  412516 */     // GIR_Coverage, 21485,
     /*  412516 */     GIR_EraseRootFromParent_Done,
     /*  412517 */   // Label 7294: @412517
     /*  412517 */   GIM_Try, /*On fail goto*//*Label 7295*/ GIMT_Encode4(412594), // Rule ID 21488 //
     /*  412522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  412536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  412539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412554 */     // MIs[0] Operand 4
     /*  412554 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  412575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412592 */     GIR_RootConstrainSelectedInstOperands,
     /*  412593 */     // GIR_Coverage, 21488,
     /*  412593 */     GIR_EraseRootFromParent_Done,
     /*  412594 */   // Label 7295: @412594
     /*  412594 */   GIM_Try, /*On fail goto*//*Label 7296*/ GIMT_Encode4(412671), // Rule ID 21489 //
     /*  412599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  412610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  412613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  412616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412631 */     // MIs[0] Operand 4
     /*  412631 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412649 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  412652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412669 */     GIR_RootConstrainSelectedInstOperands,
     /*  412670 */     // GIR_Coverage, 21489,
     /*  412670 */     GIR_EraseRootFromParent_Done,
     /*  412671 */   // Label 7296: @412671
     /*  412671 */   GIM_Try, /*On fail goto*//*Label 7297*/ GIMT_Encode4(412748), // Rule ID 21492 //
     /*  412676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  412690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  412693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412708 */     // MIs[0] Operand 4
     /*  412708 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412726 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  412729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412746 */     GIR_RootConstrainSelectedInstOperands,
     /*  412747 */     // GIR_Coverage, 21492,
     /*  412747 */     GIR_EraseRootFromParent_Done,
     /*  412748 */   // Label 7297: @412748
     /*  412748 */   GIM_Try, /*On fail goto*//*Label 7298*/ GIMT_Encode4(412825), // Rule ID 21493 //
     /*  412753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  412764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  412767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  412770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  412781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412785 */     // MIs[0] Operand 4
     /*  412785 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  412806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412823 */     GIR_RootConstrainSelectedInstOperands,
     /*  412824 */     // GIR_Coverage, 21493,
     /*  412824 */     GIR_EraseRootFromParent_Done,
     /*  412825 */   // Label 7298: @412825
     /*  412825 */   GIM_Try, /*On fail goto*//*Label 7299*/ GIMT_Encode4(412902), // Rule ID 21496 //
     /*  412830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  412841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  412844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  412847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  412850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412862 */     // MIs[0] Operand 4
     /*  412862 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412880 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  412880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  412883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412900 */     GIR_RootConstrainSelectedInstOperands,
     /*  412901 */     // GIR_Coverage, 21496,
     /*  412901 */     GIR_EraseRootFromParent_Done,
     /*  412902 */   // Label 7299: @412902
     /*  412902 */   GIM_Try, /*On fail goto*//*Label 7300*/ GIMT_Encode4(412979), // Rule ID 21497 //
     /*  412907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  412910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  412918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  412921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  412924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  412927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  412935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  412939 */     // MIs[0] Operand 4
     /*  412939 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  412950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  412957 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  412957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  412960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  412962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  412964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  412966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  412971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  412974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  412977 */     GIR_RootConstrainSelectedInstOperands,
     /*  412978 */     // GIR_Coverage, 21497,
     /*  412978 */     GIR_EraseRootFromParent_Done,
     /*  412979 */   // Label 7300: @412979
     /*  412979 */   GIM_Try, /*On fail goto*//*Label 7301*/ GIMT_Encode4(413056), // Rule ID 21500 //
     /*  412984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  412987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  412992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  412995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  412998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  413001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413016 */     // MIs[0] Operand 4
     /*  413016 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413034 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  413034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413054 */     GIR_RootConstrainSelectedInstOperands,
     /*  413055 */     // GIR_Coverage, 21500,
     /*  413055 */     GIR_EraseRootFromParent_Done,
     /*  413056 */   // Label 7301: @413056
     /*  413056 */   GIM_Try, /*On fail goto*//*Label 7302*/ GIMT_Encode4(413133), // Rule ID 21501 //
     /*  413061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  413064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  413072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  413075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  413078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413093 */     // MIs[0] Operand 4
     /*  413093 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413111 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  413111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  413128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413131 */     GIR_RootConstrainSelectedInstOperands,
     /*  413132 */     // GIR_Coverage, 21501,
     /*  413132 */     GIR_EraseRootFromParent_Done,
     /*  413133 */   // Label 7302: @413133
     /*  413133 */   GIM_Try, /*On fail goto*//*Label 7303*/ GIMT_Encode4(413210), // Rule ID 21504 //
     /*  413138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  413141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  413152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413170 */     // MIs[0] Operand 4
     /*  413170 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  413191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413208 */     GIR_RootConstrainSelectedInstOperands,
     /*  413209 */     // GIR_Coverage, 21504,
     /*  413209 */     GIR_EraseRootFromParent_Done,
     /*  413210 */   // Label 7303: @413210
     /*  413210 */   GIM_Try, /*On fail goto*//*Label 7304*/ GIMT_Encode4(413287), // Rule ID 21505 //
     /*  413215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  413226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  413229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  413232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413247 */     // MIs[0] Operand 4
     /*  413247 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413265 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /*  413268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413285 */     GIR_RootConstrainSelectedInstOperands,
     /*  413286 */     // GIR_Coverage, 21505,
     /*  413286 */     GIR_EraseRootFromParent_Done,
     /*  413287 */   // Label 7304: @413287
     /*  413287 */   GIM_Try, /*On fail goto*//*Label 7305*/ GIMT_Encode4(413364), // Rule ID 21508 //
     /*  413292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  413295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  413306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413324 */     // MIs[0] Operand 4
     /*  413324 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413342 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  413345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413362 */     GIR_RootConstrainSelectedInstOperands,
     /*  413363 */     // GIR_Coverage, 21508,
     /*  413363 */     GIR_EraseRootFromParent_Done,
     /*  413364 */   // Label 7305: @413364
     /*  413364 */   GIM_Try, /*On fail goto*//*Label 7306*/ GIMT_Encode4(413441), // Rule ID 21509 //
     /*  413369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  413380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  413383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  413386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413401 */     // MIs[0] Operand 4
     /*  413401 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413419 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  413422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413439 */     GIR_RootConstrainSelectedInstOperands,
     /*  413440 */     // GIR_Coverage, 21509,
     /*  413440 */     GIR_EraseRootFromParent_Done,
     /*  413441 */   // Label 7306: @413441
     /*  413441 */   GIM_Try, /*On fail goto*//*Label 7307*/ GIMT_Encode4(413518), // Rule ID 21512 //
     /*  413446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  413449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  413457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  413460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  413463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413478 */     // MIs[0] Operand 4
     /*  413478 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  413499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413516 */     GIR_RootConstrainSelectedInstOperands,
     /*  413517 */     // GIR_Coverage, 21512,
     /*  413517 */     GIR_EraseRootFromParent_Done,
     /*  413518 */   // Label 7307: @413518
     /*  413518 */   GIM_Try, /*On fail goto*//*Label 7308*/ GIMT_Encode4(413595), // Rule ID 21513 //
     /*  413523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  413534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  413537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  413540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413555 */     // MIs[0] Operand 4
     /*  413555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413573 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  413576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413593 */     GIR_RootConstrainSelectedInstOperands,
     /*  413594 */     // GIR_Coverage, 21513,
     /*  413594 */     GIR_EraseRootFromParent_Done,
     /*  413595 */   // Label 7308: @413595
     /*  413595 */   GIM_Try, /*On fail goto*//*Label 7309*/ GIMT_Encode4(413672), // Rule ID 21516 //
     /*  413600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  413603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  413611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  413614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  413617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413632 */     // MIs[0] Operand 4
     /*  413632 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413670 */     GIR_RootConstrainSelectedInstOperands,
     /*  413671 */     // GIR_Coverage, 21516,
     /*  413671 */     GIR_EraseRootFromParent_Done,
     /*  413672 */   // Label 7309: @413672
     /*  413672 */   GIM_Try, /*On fail goto*//*Label 7310*/ GIMT_Encode4(413749), // Rule ID 21517 //
     /*  413677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  413688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  413691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  413694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  413705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413709 */     // MIs[0] Operand 4
     /*  413709 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413727 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  413730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413747 */     GIR_RootConstrainSelectedInstOperands,
     /*  413748 */     // GIR_Coverage, 21517,
     /*  413748 */     GIR_EraseRootFromParent_Done,
     /*  413749 */   // Label 7310: @413749
     /*  413749 */   GIM_Try, /*On fail goto*//*Label 7311*/ GIMT_Encode4(413826), // Rule ID 21520 //
     /*  413754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  413757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  413765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  413768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  413771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413786 */     // MIs[0] Operand 4
     /*  413786 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  413804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413824 */     GIR_RootConstrainSelectedInstOperands,
     /*  413825 */     // GIR_Coverage, 21520,
     /*  413825 */     GIR_EraseRootFromParent_Done,
     /*  413826 */   // Label 7311: @413826
     /*  413826 */   GIM_Try, /*On fail goto*//*Label 7312*/ GIMT_Encode4(413903), // Rule ID 21521 //
     /*  413831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  413834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  413842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  413845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  413848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  413851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  413859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  413863 */     // MIs[0] Operand 4
     /*  413863 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413881 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  413881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  413884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  413898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413901 */     GIR_RootConstrainSelectedInstOperands,
     /*  413902 */     // GIR_Coverage, 21521,
     /*  413902 */     GIR_EraseRootFromParent_Done,
     /*  413903 */   // Label 7312: @413903
     /*  413903 */   GIM_Try, /*On fail goto*//*Label 7313*/ GIMT_Encode4(413980), // Rule ID 21524 //
     /*  413908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  413911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  413922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  413925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  413928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  413940 */     // MIs[0] Operand 4
     /*  413940 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  413951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  413958 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  413958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  413961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  413963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  413965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  413967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  413972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  413975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  413978 */     GIR_RootConstrainSelectedInstOperands,
     /*  413979 */     // GIR_Coverage, 21524,
     /*  413979 */     GIR_EraseRootFromParent_Done,
     /*  413980 */   // Label 7313: @413980
     /*  413980 */   GIM_Try, /*On fail goto*//*Label 7314*/ GIMT_Encode4(414057), // Rule ID 21525 //
     /*  413985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  413988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  413993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  413996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  413999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  414002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414017 */     // MIs[0] Operand 4
     /*  414017 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414035 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  414035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /*  414038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414055 */     GIR_RootConstrainSelectedInstOperands,
     /*  414056 */     // GIR_Coverage, 21525,
     /*  414056 */     GIR_EraseRootFromParent_Done,
     /*  414057 */   // Label 7314: @414057
     /*  414057 */   GIM_Try, /*On fail goto*//*Label 7315*/ GIMT_Encode4(414134), // Rule ID 21528 //
     /*  414062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  414065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  414070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  414076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  414079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414094 */     // MIs[0] Operand 4
     /*  414094 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  414112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  414115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414132 */     GIR_RootConstrainSelectedInstOperands,
     /*  414133 */     // GIR_Coverage, 21528,
     /*  414133 */     GIR_EraseRootFromParent_Done,
     /*  414134 */   // Label 7315: @414134
     /*  414134 */   GIM_Try, /*On fail goto*//*Label 7316*/ GIMT_Encode4(414211), // Rule ID 21529 //
     /*  414139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  414142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  414147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  414150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  414153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  414156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414171 */     // MIs[0] Operand 4
     /*  414171 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414189 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  414189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /*  414192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414209 */     GIR_RootConstrainSelectedInstOperands,
     /*  414210 */     // GIR_Coverage, 21529,
     /*  414210 */     GIR_EraseRootFromParent_Done,
     /*  414211 */   // Label 7316: @414211
     /*  414211 */   GIM_Try, /*On fail goto*//*Label 7317*/ GIMT_Encode4(414288), // Rule ID 21532 //
     /*  414216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  414219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  414224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  414227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  414230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  414233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414248 */     // MIs[0] Operand 4
     /*  414248 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  414266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  414269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414286 */     GIR_RootConstrainSelectedInstOperands,
     /*  414287 */     // GIR_Coverage, 21532,
     /*  414287 */     GIR_EraseRootFromParent_Done,
     /*  414288 */   // Label 7317: @414288
     /*  414288 */   GIM_Try, /*On fail goto*//*Label 7318*/ GIMT_Encode4(414365), // Rule ID 21533 //
     /*  414293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  414296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  414301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  414304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  414307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  414310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  414321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414325 */     // MIs[0] Operand 4
     /*  414325 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  414343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /*  414346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414363 */     GIR_RootConstrainSelectedInstOperands,
     /*  414364 */     // GIR_Coverage, 21533,
     /*  414364 */     GIR_EraseRootFromParent_Done,
     /*  414365 */   // Label 7318: @414365
     /*  414365 */   GIM_Try, /*On fail goto*//*Label 7319*/ GIMT_Encode4(414442), // Rule ID 21536 //
     /*  414370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  414373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  414378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  414387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414402 */     // MIs[0] Operand 4
     /*  414402 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  414420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  414423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414440 */     GIR_RootConstrainSelectedInstOperands,
     /*  414441 */     // GIR_Coverage, 21536,
     /*  414441 */     GIR_EraseRootFromParent_Done,
     /*  414442 */   // Label 7319: @414442
     /*  414442 */   GIM_Try, /*On fail goto*//*Label 7320*/ GIMT_Encode4(414519), // Rule ID 21537 //
     /*  414447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  414450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  414455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  414458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  414461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  414464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  414475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  414479 */     // MIs[0] Operand 4
     /*  414479 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  414497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /*  414500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  414514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414517 */     GIR_RootConstrainSelectedInstOperands,
     /*  414518 */     // GIR_Coverage, 21537,
     /*  414518 */     GIR_EraseRootFromParent_Done,
     /*  414519 */   // Label 7320: @414519
     /*  414519 */   GIM_Try, /*On fail goto*//*Label 7321*/ GIMT_Encode4(414596), // Rule ID 21540 //
     /*  414524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  414535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  414538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  414541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414556 */     // MIs[0] Operand 4
     /*  414556 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414574 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  414577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414594 */     GIR_RootConstrainSelectedInstOperands,
     /*  414595 */     // GIR_Coverage, 21540,
     /*  414595 */     GIR_EraseRootFromParent_Done,
     /*  414596 */   // Label 7321: @414596
     /*  414596 */   GIM_Try, /*On fail goto*//*Label 7322*/ GIMT_Encode4(414673), // Rule ID 21541 //
     /*  414601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  414612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  414615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  414618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414633 */     // MIs[0] Operand 4
     /*  414633 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414651 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /*  414654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414671 */     GIR_RootConstrainSelectedInstOperands,
     /*  414672 */     // GIR_Coverage, 21541,
     /*  414672 */     GIR_EraseRootFromParent_Done,
     /*  414673 */   // Label 7322: @414673
     /*  414673 */   GIM_Try, /*On fail goto*//*Label 7323*/ GIMT_Encode4(414750), // Rule ID 21544 //
     /*  414678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  414689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  414692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414710 */     // MIs[0] Operand 4
     /*  414710 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414728 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  414731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414748 */     GIR_RootConstrainSelectedInstOperands,
     /*  414749 */     // GIR_Coverage, 21544,
     /*  414749 */     GIR_EraseRootFromParent_Done,
     /*  414750 */   // Label 7323: @414750
     /*  414750 */   GIM_Try, /*On fail goto*//*Label 7324*/ GIMT_Encode4(414827), // Rule ID 21545 //
     /*  414755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  414766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  414769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  414772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414787 */     // MIs[0] Operand 4
     /*  414787 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414805 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  414808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414825 */     GIR_RootConstrainSelectedInstOperands,
     /*  414826 */     // GIR_Coverage, 21545,
     /*  414826 */     GIR_EraseRootFromParent_Done,
     /*  414827 */   // Label 7324: @414827
     /*  414827 */   GIM_Try, /*On fail goto*//*Label 7325*/ GIMT_Encode4(414904), // Rule ID 21548 //
     /*  414832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  414843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  414846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  414852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414864 */     // MIs[0] Operand 4
     /*  414864 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414882 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  414882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  414885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414902 */     GIR_RootConstrainSelectedInstOperands,
     /*  414903 */     // GIR_Coverage, 21548,
     /*  414903 */     GIR_EraseRootFromParent_Done,
     /*  414904 */   // Label 7325: @414904
     /*  414904 */   GIM_Try, /*On fail goto*//*Label 7326*/ GIMT_Encode4(414981), // Rule ID 21549 //
     /*  414909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  414912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  414920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  414923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  414926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  414929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  414941 */     // MIs[0] Operand 4
     /*  414941 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  414952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  414959 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  414959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  414962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  414964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  414966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  414968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  414973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  414976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  414979 */     GIR_RootConstrainSelectedInstOperands,
     /*  414980 */     // GIR_Coverage, 21549,
     /*  414980 */     GIR_EraseRootFromParent_Done,
     /*  414981 */   // Label 7326: @414981
     /*  414981 */   GIM_Try, /*On fail goto*//*Label 7327*/ GIMT_Encode4(415058), // Rule ID 21552 //
     /*  414986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  414989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  414994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  414997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  415000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  415003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415018 */     // MIs[0] Operand 4
     /*  415018 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415036 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  415036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415056 */     GIR_RootConstrainSelectedInstOperands,
     /*  415057 */     // GIR_Coverage, 21552,
     /*  415057 */     GIR_EraseRootFromParent_Done,
     /*  415058 */   // Label 7327: @415058
     /*  415058 */   GIM_Try, /*On fail goto*//*Label 7328*/ GIMT_Encode4(415135), // Rule ID 21553 //
     /*  415063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  415066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  415074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  415077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  415080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415095 */     // MIs[0] Operand 4
     /*  415095 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415113 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  415113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415133 */     GIR_RootConstrainSelectedInstOperands,
     /*  415134 */     // GIR_Coverage, 21553,
     /*  415134 */     GIR_EraseRootFromParent_Done,
     /*  415135 */   // Label 7328: @415135
     /*  415135 */   GIM_Try, /*On fail goto*//*Label 7329*/ GIMT_Encode4(415212), // Rule ID 21556 //
     /*  415140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  415143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  415154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  415157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415172 */     // MIs[0] Operand 4
     /*  415172 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415190 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  415190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415210 */     GIR_RootConstrainSelectedInstOperands,
     /*  415211 */     // GIR_Coverage, 21556,
     /*  415211 */     GIR_EraseRootFromParent_Done,
     /*  415212 */   // Label 7329: @415212
     /*  415212 */   GIM_Try, /*On fail goto*//*Label 7330*/ GIMT_Encode4(415289), // Rule ID 21557 //
     /*  415217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  415220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  415228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  415231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  415234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415249 */     // MIs[0] Operand 4
     /*  415249 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415267 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  415267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415287 */     GIR_RootConstrainSelectedInstOperands,
     /*  415288 */     // GIR_Coverage, 21557,
     /*  415288 */     GIR_EraseRootFromParent_Done,
     /*  415289 */   // Label 7330: @415289
     /*  415289 */   GIM_Try, /*On fail goto*//*Label 7331*/ GIMT_Encode4(415366), // Rule ID 21560 //
     /*  415294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  415297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  415308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  415311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415326 */     // MIs[0] Operand 4
     /*  415326 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  415344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  415347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415364 */     GIR_RootConstrainSelectedInstOperands,
     /*  415365 */     // GIR_Coverage, 21560,
     /*  415365 */     GIR_EraseRootFromParent_Done,
     /*  415366 */   // Label 7331: @415366
     /*  415366 */   GIM_Try, /*On fail goto*//*Label 7332*/ GIMT_Encode4(415443), // Rule ID 21561 //
     /*  415371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  415374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  415382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  415385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  415388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  415403 */     // MIs[0] Operand 4
     /*  415403 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415421 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  415421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  415424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  415438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415441 */     GIR_RootConstrainSelectedInstOperands,
     /*  415442 */     // GIR_Coverage, 21561,
     /*  415442 */     GIR_EraseRootFromParent_Done,
     /*  415443 */   // Label 7332: @415443
     /*  415443 */   GIM_Try, /*On fail goto*//*Label 7333*/ GIMT_Encode4(415520), // Rule ID 21564 //
     /*  415448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  415459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  415462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415480 */     // MIs[0] Operand 4
     /*  415480 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415498 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  415501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415518 */     GIR_RootConstrainSelectedInstOperands,
     /*  415519 */     // GIR_Coverage, 21564,
     /*  415519 */     GIR_EraseRootFromParent_Done,
     /*  415520 */   // Label 7333: @415520
     /*  415520 */   GIM_Try, /*On fail goto*//*Label 7334*/ GIMT_Encode4(415597), // Rule ID 21565 //
     /*  415525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  415536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  415539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  415542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415557 */     // MIs[0] Operand 4
     /*  415557 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415575 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /*  415578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415595 */     GIR_RootConstrainSelectedInstOperands,
     /*  415596 */     // GIR_Coverage, 21565,
     /*  415596 */     GIR_EraseRootFromParent_Done,
     /*  415597 */   // Label 7334: @415597
     /*  415597 */   GIM_Try, /*On fail goto*//*Label 7335*/ GIMT_Encode4(415674), // Rule ID 21568 //
     /*  415602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  415613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  415616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415634 */     // MIs[0] Operand 4
     /*  415634 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415672 */     GIR_RootConstrainSelectedInstOperands,
     /*  415673 */     // GIR_Coverage, 21568,
     /*  415673 */     GIR_EraseRootFromParent_Done,
     /*  415674 */   // Label 7335: @415674
     /*  415674 */   GIM_Try, /*On fail goto*//*Label 7336*/ GIMT_Encode4(415751), // Rule ID 21569 //
     /*  415679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  415690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  415693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  415696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415711 */     // MIs[0] Operand 4
     /*  415711 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415729 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  415732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415749 */     GIR_RootConstrainSelectedInstOperands,
     /*  415750 */     // GIR_Coverage, 21569,
     /*  415750 */     GIR_EraseRootFromParent_Done,
     /*  415751 */   // Label 7336: @415751
     /*  415751 */   GIM_Try, /*On fail goto*//*Label 7337*/ GIMT_Encode4(415828), // Rule ID 21572 //
     /*  415756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  415770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415788 */     // MIs[0] Operand 4
     /*  415788 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415806 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415826 */     GIR_RootConstrainSelectedInstOperands,
     /*  415827 */     // GIR_Coverage, 21572,
     /*  415827 */     GIR_EraseRootFromParent_Done,
     /*  415828 */   // Label 7337: @415828
     /*  415828 */   GIM_Try, /*On fail goto*//*Label 7338*/ GIMT_Encode4(415905), // Rule ID 21573 //
     /*  415833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  415844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  415847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  415850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  415853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  415861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415865 */     // MIs[0] Operand 4
     /*  415865 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415883 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  415883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  415886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415903 */     GIR_RootConstrainSelectedInstOperands,
     /*  415904 */     // GIR_Coverage, 21573,
     /*  415904 */     GIR_EraseRootFromParent_Done,
     /*  415905 */   // Label 7338: @415905
     /*  415905 */   GIM_Try, /*On fail goto*//*Label 7339*/ GIMT_Encode4(415982), // Rule ID 21576 //
     /*  415910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  415913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  415924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  415927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  415930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  415938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  415942 */     // MIs[0] Operand 4
     /*  415942 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  415953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  415960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  415960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  415963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  415965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  415967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  415969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  415974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  415977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  415980 */     GIR_RootConstrainSelectedInstOperands,
     /*  415981 */     // GIR_Coverage, 21576,
     /*  415981 */     GIR_EraseRootFromParent_Done,
     /*  415982 */   // Label 7339: @415982
     /*  415982 */   GIM_Try, /*On fail goto*//*Label 7340*/ GIMT_Encode4(416059), // Rule ID 21577 //
     /*  415987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  415990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  415995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  415998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  416001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  416004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416019 */     // MIs[0] Operand 4
     /*  416019 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416037 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  416037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  416040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416057 */     GIR_RootConstrainSelectedInstOperands,
     /*  416058 */     // GIR_Coverage, 21577,
     /*  416058 */     GIR_EraseRootFromParent_Done,
     /*  416059 */   // Label 7340: @416059
     /*  416059 */   GIM_Try, /*On fail goto*//*Label 7341*/ GIMT_Encode4(416136), // Rule ID 21580 //
     /*  416064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  416067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  416078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  416081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416096 */     // MIs[0] Operand 4
     /*  416096 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  416114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  416117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416134 */     GIR_RootConstrainSelectedInstOperands,
     /*  416135 */     // GIR_Coverage, 21580,
     /*  416135 */     GIR_EraseRootFromParent_Done,
     /*  416136 */   // Label 7341: @416136
     /*  416136 */   GIM_Try, /*On fail goto*//*Label 7342*/ GIMT_Encode4(416213), // Rule ID 21581 //
     /*  416141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  416144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  416152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  416155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  416158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416173 */     // MIs[0] Operand 4
     /*  416173 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416191 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  416191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  416194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  416208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416211 */     GIR_RootConstrainSelectedInstOperands,
     /*  416212 */     // GIR_Coverage, 21581,
     /*  416212 */     GIR_EraseRootFromParent_Done,
     /*  416213 */   // Label 7342: @416213
     /*  416213 */   GIM_Try, /*On fail goto*//*Label 7343*/ GIMT_Encode4(416290), // Rule ID 21584 //
     /*  416218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  416221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  416229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  416232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  416235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416250 */     // MIs[0] Operand 4
     /*  416250 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416268 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  416268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  416271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416288 */     GIR_RootConstrainSelectedInstOperands,
     /*  416289 */     // GIR_Coverage, 21584,
     /*  416289 */     GIR_EraseRootFromParent_Done,
     /*  416290 */   // Label 7343: @416290
     /*  416290 */   GIM_Try, /*On fail goto*//*Label 7344*/ GIMT_Encode4(416367), // Rule ID 21585 //
     /*  416295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  416298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  416306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  416309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  416312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416327 */     // MIs[0] Operand 4
     /*  416327 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416345 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  416345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /*  416348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416365 */     GIR_RootConstrainSelectedInstOperands,
     /*  416366 */     // GIR_Coverage, 21585,
     /*  416366 */     GIR_EraseRootFromParent_Done,
     /*  416367 */   // Label 7344: @416367
     /*  416367 */   GIM_Try, /*On fail goto*//*Label 7345*/ GIMT_Encode4(416444), // Rule ID 21588 //
     /*  416372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  416375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  416383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  416386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  416389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416404 */     // MIs[0] Operand 4
     /*  416404 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  416422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  416425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416442 */     GIR_RootConstrainSelectedInstOperands,
     /*  416443 */     // GIR_Coverage, 21588,
     /*  416443 */     GIR_EraseRootFromParent_Done,
     /*  416444 */   // Label 7345: @416444
     /*  416444 */   GIM_Try, /*On fail goto*//*Label 7346*/ GIMT_Encode4(416521), // Rule ID 21589 //
     /*  416449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  416452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  416460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  416463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  416466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416481 */     // MIs[0] Operand 4
     /*  416481 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416499 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  416499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /*  416502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416519 */     GIR_RootConstrainSelectedInstOperands,
     /*  416520 */     // GIR_Coverage, 21589,
     /*  416520 */     GIR_EraseRootFromParent_Done,
     /*  416521 */   // Label 7346: @416521
     /*  416521 */   GIM_Try, /*On fail goto*//*Label 7347*/ GIMT_Encode4(416598), // Rule ID 21592 //
     /*  416526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  416529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  416543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416558 */     // MIs[0] Operand 4
     /*  416558 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416576 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  416576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  416579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416596 */     GIR_RootConstrainSelectedInstOperands,
     /*  416597 */     // GIR_Coverage, 21592,
     /*  416597 */     GIR_EraseRootFromParent_Done,
     /*  416598 */   // Label 7347: @416598
     /*  416598 */   GIM_Try, /*On fail goto*//*Label 7348*/ GIMT_Encode4(416675), // Rule ID 21593 //
     /*  416603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  416606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  416614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  416617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  416620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  416631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416635 */     // MIs[0] Operand 4
     /*  416635 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  416653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /*  416656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416673 */     GIR_RootConstrainSelectedInstOperands,
     /*  416674 */     // GIR_Coverage, 21593,
     /*  416674 */     GIR_EraseRootFromParent_Done,
     /*  416675 */   // Label 7348: @416675
     /*  416675 */   GIM_Try, /*On fail goto*//*Label 7349*/ GIMT_Encode4(416752), // Rule ID 21596 //
     /*  416680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  416683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  416697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416712 */     // MIs[0] Operand 4
     /*  416712 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  416730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  416733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416750 */     GIR_RootConstrainSelectedInstOperands,
     /*  416751 */     // GIR_Coverage, 21596,
     /*  416751 */     GIR_EraseRootFromParent_Done,
     /*  416752 */   // Label 7349: @416752
     /*  416752 */   GIM_Try, /*On fail goto*//*Label 7350*/ GIMT_Encode4(416829), // Rule ID 21597 //
     /*  416757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  416760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  416765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  416768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  416771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  416774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  416785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  416789 */     // MIs[0] Operand 4
     /*  416789 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/4, GIMT_Encode8(1),
     /*  416800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416807 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  416807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /*  416810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  416814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  416816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  416824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  416827 */     GIR_RootConstrainSelectedInstOperands,
     /*  416828 */     // GIR_Coverage, 21597,
     /*  416828 */     GIR_EraseRootFromParent_Done,
     /*  416829 */   // Label 7350: @416829
     /*  416829 */   GIM_Try, /*On fail goto*//*Label 7351*/ GIMT_Encode4(416902), // Rule ID 62825 //
     /*  416834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  416851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  416854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416858 */     // MIs[0] op1
     /*  416858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416861 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416881 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  416881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  416884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416886 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416888 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416890 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416900 */     GIR_RootConstrainSelectedInstOperands,
     /*  416901 */     // GIR_Coverage, 62825,
     /*  416901 */     GIR_EraseRootFromParent_Done,
     /*  416902 */   // Label 7351: @416902
     /*  416902 */   GIM_Try, /*On fail goto*//*Label 7352*/ GIMT_Encode4(416975), // Rule ID 62826 //
     /*  416907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  416910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  416915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  416924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  416927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416931 */     // MIs[0] op1
     /*  416931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  416934 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  416939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  416943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  416947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  416954 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  416954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF8),
     /*  416957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  416959 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  416961 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  416963 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  416965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  416970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  416973 */     GIR_RootConstrainSelectedInstOperands,
     /*  416974 */     // GIR_Coverage, 62826,
     /*  416974 */     GIR_EraseRootFromParent_Done,
     /*  416975 */   // Label 7352: @416975
     /*  416975 */   GIM_Try, /*On fail goto*//*Label 7353*/ GIMT_Encode4(417048), // Rule ID 62849 //
     /*  416980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  416983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  416988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  416991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  416994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  416997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417004 */     // MIs[0] op1
     /*  417004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417007 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417027 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  417027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  417030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417032 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417034 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417036 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417046 */     GIR_RootConstrainSelectedInstOperands,
     /*  417047 */     // GIR_Coverage, 62849,
     /*  417047 */     GIR_EraseRootFromParent_Done,
     /*  417048 */   // Label 7353: @417048
     /*  417048 */   GIM_Try, /*On fail goto*//*Label 7354*/ GIMT_Encode4(417121), // Rule ID 62850 //
     /*  417053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  417064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  417067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  417070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417077 */     // MIs[0] op1
     /*  417077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417080 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF8),
     /*  417103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417105 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417107 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417109 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417119 */     GIR_RootConstrainSelectedInstOperands,
     /*  417120 */     // GIR_Coverage, 62850,
     /*  417120 */     GIR_EraseRootFromParent_Done,
     /*  417121 */   // Label 7354: @417121
     /*  417121 */   GIM_Try, /*On fail goto*//*Label 7355*/ GIMT_Encode4(417194), // Rule ID 62875 //
     /*  417126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  417137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  417140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417150 */     // MIs[0] op1
     /*  417150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417153 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417173 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  417173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  417176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417178 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417180 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417182 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417192 */     GIR_RootConstrainSelectedInstOperands,
     /*  417193 */     // GIR_Coverage, 62875,
     /*  417193 */     GIR_EraseRootFromParent_Done,
     /*  417194 */   // Label 7355: @417194
     /*  417194 */   GIM_Try, /*On fail goto*//*Label 7356*/ GIMT_Encode4(417267), // Rule ID 62876 //
     /*  417199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  417210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  417213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417223 */     // MIs[0] op1
     /*  417223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417226 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417246 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  417249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417251 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417253 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417255 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417265 */     GIR_RootConstrainSelectedInstOperands,
     /*  417266 */     // GIR_Coverage, 62876,
     /*  417266 */     GIR_EraseRootFromParent_Done,
     /*  417267 */   // Label 7356: @417267
     /*  417267 */   GIM_Try, /*On fail goto*//*Label 7357*/ GIMT_Encode4(417340), // Rule ID 62887 //
     /*  417272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  417283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  417286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  417289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417296 */     // MIs[0] op1
     /*  417296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417299 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417319 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  417319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  417322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417324 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417326 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417328 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417338 */     GIR_RootConstrainSelectedInstOperands,
     /*  417339 */     // GIR_Coverage, 62887,
     /*  417339 */     GIR_EraseRootFromParent_Done,
     /*  417340 */   // Label 7357: @417340
     /*  417340 */   GIM_Try, /*On fail goto*//*Label 7358*/ GIMT_Encode4(417413), // Rule ID 62888 //
     /*  417345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  417356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  417359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  417362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417369 */     // MIs[0] op1
     /*  417369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417372 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417392 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  417395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417397 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417399 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417401 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417411 */     GIR_RootConstrainSelectedInstOperands,
     /*  417412 */     // GIR_Coverage, 62888,
     /*  417412 */     GIR_EraseRootFromParent_Done,
     /*  417413 */   // Label 7358: @417413
     /*  417413 */   GIM_Try, /*On fail goto*//*Label 7359*/ GIMT_Encode4(417486), // Rule ID 62919 //
     /*  417418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  417429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  417432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417442 */     // MIs[0] op1
     /*  417442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417465 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  417465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  417468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417470 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417472 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417474 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417484 */     GIR_RootConstrainSelectedInstOperands,
     /*  417485 */     // GIR_Coverage, 62919,
     /*  417485 */     GIR_EraseRootFromParent_Done,
     /*  417486 */   // Label 7359: @417486
     /*  417486 */   GIM_Try, /*On fail goto*//*Label 7360*/ GIMT_Encode4(417559), // Rule ID 62920 //
     /*  417491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  417502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  417505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417515 */     // MIs[0] op1
     /*  417515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417538 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  417541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417543 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417545 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417547 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417557 */     GIR_RootConstrainSelectedInstOperands,
     /*  417558 */     // GIR_Coverage, 62920,
     /*  417558 */     GIR_EraseRootFromParent_Done,
     /*  417559 */   // Label 7360: @417559
     /*  417559 */   GIM_Try, /*On fail goto*//*Label 7361*/ GIMT_Encode4(417632), // Rule ID 62931 //
     /*  417564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  417575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  417578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  417581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417588 */     // MIs[0] op1
     /*  417588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417611 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  417611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417616 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417618 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417620 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417630 */     GIR_RootConstrainSelectedInstOperands,
     /*  417631 */     // GIR_Coverage, 62931,
     /*  417631 */     GIR_EraseRootFromParent_Done,
     /*  417632 */   // Label 7361: @417632
     /*  417632 */   GIM_Try, /*On fail goto*//*Label 7362*/ GIMT_Encode4(417705), // Rule ID 62932 //
     /*  417637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  417648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  417651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  417654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417661 */     // MIs[0] op1
     /*  417661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417684 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  417684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  417687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417689 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417691 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417693 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  417703 */     GIR_RootConstrainSelectedInstOperands,
     /*  417704 */     // GIR_Coverage, 62932,
     /*  417704 */     GIR_EraseRootFromParent_Done,
     /*  417705 */   // Label 7362: @417705
     /*  417705 */   GIM_Try, /*On fail goto*//*Label 7363*/ GIMT_Encode4(417778), // Rule ID 62963 //
     /*  417710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  417727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417734 */     // MIs[0] op1
     /*  417734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417757 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  417760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417762 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417764 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417766 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417776 */     GIR_RootConstrainSelectedInstOperands,
     /*  417777 */     // GIR_Coverage, 62963,
     /*  417777 */     GIR_EraseRootFromParent_Done,
     /*  417778 */   // Label 7363: @417778
     /*  417778 */   GIM_Try, /*On fail goto*//*Label 7364*/ GIMT_Encode4(417851), // Rule ID 62964 //
     /*  417783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  417791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  417800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417807 */     // MIs[0] op1
     /*  417807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417810 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  417823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417830 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF4),
     /*  417833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417835 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417837 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417839 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417849 */     GIR_RootConstrainSelectedInstOperands,
     /*  417850 */     // GIR_Coverage, 62964,
     /*  417850 */     GIR_EraseRootFromParent_Done,
     /*  417851 */   // Label 7364: @417851
     /*  417851 */   GIM_Try, /*On fail goto*//*Label 7365*/ GIMT_Encode4(417924), // Rule ID 62975 //
     /*  417856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  417859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  417873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  417876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417880 */     // MIs[0] op1
     /*  417880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417903 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  417903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  417906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417908 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417910 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417912 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417922 */     GIR_RootConstrainSelectedInstOperands,
     /*  417923 */     // GIR_Coverage, 62975,
     /*  417923 */     GIR_EraseRootFromParent_Done,
     /*  417924 */   // Label 7365: @417924
     /*  417924 */   GIM_Try, /*On fail goto*//*Label 7366*/ GIMT_Encode4(417997), // Rule ID 62976 //
     /*  417929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  417932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  417937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  417940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  417943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  417946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  417949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417953 */     // MIs[0] op1
     /*  417953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  417956 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  417961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  417969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  417976 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  417976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF4),
     /*  417979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  417981 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  417983 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  417985 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  417987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  417992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  417995 */     GIR_RootConstrainSelectedInstOperands,
     /*  417996 */     // GIR_Coverage, 62976,
     /*  417996 */     GIR_EraseRootFromParent_Done,
     /*  417997 */   // Label 7366: @417997
     /*  417997 */   GIM_Try, /*On fail goto*//*Label 7367*/ GIMT_Encode4(418070), // Rule ID 62999 //
     /*  418002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  418013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  418016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418026 */     // MIs[0] op1
     /*  418026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418029 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  418052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418054 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418056 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418058 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418068 */     GIR_RootConstrainSelectedInstOperands,
     /*  418069 */     // GIR_Coverage, 62999,
     /*  418069 */     GIR_EraseRootFromParent_Done,
     /*  418070 */   // Label 7367: @418070
     /*  418070 */   GIM_Try, /*On fail goto*//*Label 7368*/ GIMT_Encode4(418143), // Rule ID 63000 //
     /*  418075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  418086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  418089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418099 */     // MIs[0] op1
     /*  418099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418102 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF4),
     /*  418125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418127 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418129 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418131 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418141 */     GIR_RootConstrainSelectedInstOperands,
     /*  418142 */     // GIR_Coverage, 63000,
     /*  418142 */     GIR_EraseRootFromParent_Done,
     /*  418143 */   // Label 7368: @418143
     /*  418143 */   GIM_Try, /*On fail goto*//*Label 7369*/ GIMT_Encode4(418216), // Rule ID 63019 //
     /*  418148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  418159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  418162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418172 */     // MIs[0] op1
     /*  418172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418175 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418195 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  418198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418200 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418202 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418204 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418214 */     GIR_RootConstrainSelectedInstOperands,
     /*  418215 */     // GIR_Coverage, 63019,
     /*  418215 */     GIR_EraseRootFromParent_Done,
     /*  418216 */   // Label 7369: @418216
     /*  418216 */   GIM_Try, /*On fail goto*//*Label 7370*/ GIMT_Encode4(418289), // Rule ID 63020 //
     /*  418221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  418232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  418235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418245 */     // MIs[0] op1
     /*  418245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418248 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418268 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  418271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418273 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418275 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418277 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418287 */     GIR_RootConstrainSelectedInstOperands,
     /*  418288 */     // GIR_Coverage, 63020,
     /*  418288 */     GIR_EraseRootFromParent_Done,
     /*  418289 */   // Label 7370: @418289
     /*  418289 */   GIM_Try, /*On fail goto*//*Label 7371*/ GIMT_Encode4(418362), // Rule ID 63031 //
     /*  418294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  418305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  418308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  418311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418318 */     // MIs[0] op1
     /*  418318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418321 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418341 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  418344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418346 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418348 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418350 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418360 */     GIR_RootConstrainSelectedInstOperands,
     /*  418361 */     // GIR_Coverage, 63031,
     /*  418361 */     GIR_EraseRootFromParent_Done,
     /*  418362 */   // Label 7371: @418362
     /*  418362 */   GIM_Try, /*On fail goto*//*Label 7372*/ GIMT_Encode4(418435), // Rule ID 63032 //
     /*  418367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  418378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  418381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  418384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418391 */     // MIs[0] op1
     /*  418391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418394 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  418417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418419 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418421 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418423 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418433 */     GIR_RootConstrainSelectedInstOperands,
     /*  418434 */     // GIR_Coverage, 63032,
     /*  418434 */     GIR_EraseRootFromParent_Done,
     /*  418435 */   // Label 7372: @418435
     /*  418435 */   GIM_Try, /*On fail goto*//*Label 7373*/ GIMT_Encode4(418508), // Rule ID 63055 //
     /*  418440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  418451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  418454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418464 */     // MIs[0] op1
     /*  418464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418467 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418487 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  418487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  418490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418492 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418494 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418496 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418506 */     GIR_RootConstrainSelectedInstOperands,
     /*  418507 */     // GIR_Coverage, 63055,
     /*  418507 */     GIR_EraseRootFromParent_Done,
     /*  418508 */   // Label 7373: @418508
     /*  418508 */   GIM_Try, /*On fail goto*//*Label 7374*/ GIMT_Encode4(418581), // Rule ID 63056 //
     /*  418513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  418524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  418527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  418530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418537 */     // MIs[0] op1
     /*  418537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418540 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  418553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  418560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_MF2),
     /*  418563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418565 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418567 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418569 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  418579 */     GIR_RootConstrainSelectedInstOperands,
     /*  418580 */     // GIR_Coverage, 63056,
     /*  418580 */     GIR_EraseRootFromParent_Done,
     /*  418581 */   // Label 7374: @418581
     /*  418581 */   GIM_Try, /*On fail goto*//*Label 7375*/ GIMT_Encode4(418654), // Rule ID 63075 //
     /*  418586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  418603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418610 */     // MIs[0] op1
     /*  418610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418633 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  418636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418638 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418640 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418642 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418652 */     GIR_RootConstrainSelectedInstOperands,
     /*  418653 */     // GIR_Coverage, 63075,
     /*  418653 */     GIR_EraseRootFromParent_Done,
     /*  418654 */   // Label 7375: @418654
     /*  418654 */   GIM_Try, /*On fail goto*//*Label 7376*/ GIMT_Encode4(418727), // Rule ID 63076 //
     /*  418659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  418667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418683 */     // MIs[0] op1
     /*  418683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418686 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  418699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_MF2),
     /*  418709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418711 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418713 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418715 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418725 */     GIR_RootConstrainSelectedInstOperands,
     /*  418726 */     // GIR_Coverage, 63076,
     /*  418726 */     GIR_EraseRootFromParent_Done,
     /*  418727 */   // Label 7376: @418727
     /*  418727 */   GIM_Try, /*On fail goto*//*Label 7377*/ GIMT_Encode4(418800), // Rule ID 63087 //
     /*  418732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  418749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418756 */     // MIs[0] op1
     /*  418756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418779 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  418782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418784 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418786 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418788 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418798 */     GIR_RootConstrainSelectedInstOperands,
     /*  418799 */     // GIR_Coverage, 63087,
     /*  418799 */     GIR_EraseRootFromParent_Done,
     /*  418800 */   // Label 7377: @418800
     /*  418800 */   GIM_Try, /*On fail goto*//*Label 7378*/ GIMT_Encode4(418873), // Rule ID 63088 //
     /*  418805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  418813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  418822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418829 */     // MIs[0] op1
     /*  418829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418832 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  418837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418852 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_MF2),
     /*  418855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418857 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418859 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418861 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418871 */     GIR_RootConstrainSelectedInstOperands,
     /*  418872 */     // GIR_Coverage, 63088,
     /*  418872 */     GIR_EraseRootFromParent_Done,
     /*  418873 */   // Label 7378: @418873
     /*  418873 */   GIM_Try, /*On fail goto*//*Label 7379*/ GIMT_Encode4(418946), // Rule ID 63111 //
     /*  418878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  418881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  418898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418902 */     // MIs[0] op1
     /*  418902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418925 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  418925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  418928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  418930 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  418932 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  418934 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  418936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  418941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  418944 */     GIR_RootConstrainSelectedInstOperands,
     /*  418945 */     // GIR_Coverage, 63111,
     /*  418945 */     GIR_EraseRootFromParent_Done,
     /*  418946 */   // Label 7379: @418946
     /*  418946 */   GIM_Try, /*On fail goto*//*Label 7380*/ GIMT_Encode4(419019), // Rule ID 63112 //
     /*  418951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  418954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  418959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  418962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  418965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  418968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  418971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418975 */     // MIs[0] op1
     /*  418975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  418978 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  418983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  418987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  418991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  418998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  418998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_MF2),
     /*  419001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419003 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419005 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419007 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419017 */     GIR_RootConstrainSelectedInstOperands,
     /*  419018 */     // GIR_Coverage, 63112,
     /*  419018 */     GIR_EraseRootFromParent_Done,
     /*  419019 */   // Label 7380: @419019
     /*  419019 */   GIM_Try, /*On fail goto*//*Label 7381*/ GIMT_Encode4(419092), // Rule ID 63131 //
     /*  419024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  419035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  419038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419048 */     // MIs[0] op1
     /*  419048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419071 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  419071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419076 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419078 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419080 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419090 */     GIR_RootConstrainSelectedInstOperands,
     /*  419091 */     // GIR_Coverage, 63131,
     /*  419091 */     GIR_EraseRootFromParent_Done,
     /*  419092 */   // Label 7381: @419092
     /*  419092 */   GIM_Try, /*On fail goto*//*Label 7382*/ GIMT_Encode4(419165), // Rule ID 63132 //
     /*  419097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  419108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  419111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419121 */     // MIs[0] op1
     /*  419121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419124 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419144 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  419144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419149 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419151 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419153 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419163 */     GIR_RootConstrainSelectedInstOperands,
     /*  419164 */     // GIR_Coverage, 63132,
     /*  419164 */     GIR_EraseRootFromParent_Done,
     /*  419165 */   // Label 7382: @419165
     /*  419165 */   GIM_Try, /*On fail goto*//*Label 7383*/ GIMT_Encode4(419238), // Rule ID 63143 //
     /*  419170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  419181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  419184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  419187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419194 */     // MIs[0] op1
     /*  419194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419217 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  419217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419222 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419224 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419226 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419236 */     GIR_RootConstrainSelectedInstOperands,
     /*  419237 */     // GIR_Coverage, 63143,
     /*  419237 */     GIR_EraseRootFromParent_Done,
     /*  419238 */   // Label 7383: @419238
     /*  419238 */   GIM_Try, /*On fail goto*//*Label 7384*/ GIMT_Encode4(419311), // Rule ID 63144 //
     /*  419243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  419254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  419257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  419260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419267 */     // MIs[0] op1
     /*  419267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419270 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419290 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  419290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419295 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419297 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419299 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  419309 */     GIR_RootConstrainSelectedInstOperands,
     /*  419310 */     // GIR_Coverage, 63144,
     /*  419310 */     GIR_EraseRootFromParent_Done,
     /*  419311 */   // Label 7384: @419311
     /*  419311 */   GIM_Try, /*On fail goto*//*Label 7385*/ GIMT_Encode4(419384), // Rule ID 63175 //
     /*  419316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419340 */     // MIs[0] op1
     /*  419340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419363 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  419363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419368 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419370 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419372 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419382 */     GIR_RootConstrainSelectedInstOperands,
     /*  419383 */     // GIR_Coverage, 63175,
     /*  419383 */     GIR_EraseRootFromParent_Done,
     /*  419384 */   // Label 7385: @419384
     /*  419384 */   GIM_Try, /*On fail goto*//*Label 7386*/ GIMT_Encode4(419457), // Rule ID 63176 //
     /*  419389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419413 */     // MIs[0] op1
     /*  419413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419416 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  419436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419441 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419443 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419445 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419455 */     GIR_RootConstrainSelectedInstOperands,
     /*  419456 */     // GIR_Coverage, 63176,
     /*  419456 */     GIR_EraseRootFromParent_Done,
     /*  419457 */   // Label 7386: @419457
     /*  419457 */   GIM_Try, /*On fail goto*//*Label 7387*/ GIMT_Encode4(419530), // Rule ID 63187 //
     /*  419462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  419479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419486 */     // MIs[0] op1
     /*  419486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419509 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  419509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419514 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419516 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419518 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419528 */     GIR_RootConstrainSelectedInstOperands,
     /*  419529 */     // GIR_Coverage, 63187,
     /*  419529 */     GIR_EraseRootFromParent_Done,
     /*  419530 */   // Label 7387: @419530
     /*  419530 */   GIM_Try, /*On fail goto*//*Label 7388*/ GIMT_Encode4(419603), // Rule ID 63188 //
     /*  419535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  419552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419559 */     // MIs[0] op1
     /*  419559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419562 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419582 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  419582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419587 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419589 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419591 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419601 */     GIR_RootConstrainSelectedInstOperands,
     /*  419602 */     // GIR_Coverage, 63188,
     /*  419602 */     GIR_EraseRootFromParent_Done,
     /*  419603 */   // Label 7388: @419603
     /*  419603 */   GIM_Try, /*On fail goto*//*Label 7389*/ GIMT_Encode4(419676), // Rule ID 63211 //
     /*  419608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  419625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419632 */     // MIs[0] op1
     /*  419632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419635 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  419648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419655 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  419655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  419658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419660 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419662 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419664 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419674 */     GIR_RootConstrainSelectedInstOperands,
     /*  419675 */     // GIR_Coverage, 63211,
     /*  419675 */     GIR_EraseRootFromParent_Done,
     /*  419676 */   // Label 7389: @419676
     /*  419676 */   GIM_Try, /*On fail goto*//*Label 7390*/ GIMT_Encode4(419749), // Rule ID 63212 //
     /*  419681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  419689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  419692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  419695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  419698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419705 */     // MIs[0] op1
     /*  419705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419708 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  419713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  419721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  419728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M1),
     /*  419731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419733 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419735 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419737 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  419747 */     GIR_RootConstrainSelectedInstOperands,
     /*  419748 */     // GIR_Coverage, 63212,
     /*  419748 */     GIR_EraseRootFromParent_Done,
     /*  419749 */   // Label 7390: @419749
     /*  419749 */   GIM_Try, /*On fail goto*//*Label 7391*/ GIMT_Encode4(419822), // Rule ID 63231 //
     /*  419754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  419771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419778 */     // MIs[0] op1
     /*  419778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419781 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419801 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419806 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419808 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419810 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419820 */     GIR_RootConstrainSelectedInstOperands,
     /*  419821 */     // GIR_Coverage, 63231,
     /*  419821 */     GIR_EraseRootFromParent_Done,
     /*  419822 */   // Label 7391: @419822
     /*  419822 */   GIM_Try, /*On fail goto*//*Label 7392*/ GIMT_Encode4(419895), // Rule ID 63232 //
     /*  419827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  419835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  419844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419851 */     // MIs[0] op1
     /*  419851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  419867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  419874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  419877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419879 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419881 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419883 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419893 */     GIR_RootConstrainSelectedInstOperands,
     /*  419894 */     // GIR_Coverage, 63232,
     /*  419894 */     GIR_EraseRootFromParent_Done,
     /*  419895 */   // Label 7392: @419895
     /*  419895 */   GIM_Try, /*On fail goto*//*Label 7393*/ GIMT_Encode4(419968), // Rule ID 63243 //
     /*  419900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  419903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  419917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  419920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419924 */     // MIs[0] op1
     /*  419924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  419927 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  419932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  419947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  419947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  419950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  419952 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  419954 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  419956 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  419958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  419963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  419966 */     GIR_RootConstrainSelectedInstOperands,
     /*  419967 */     // GIR_Coverage, 63243,
     /*  419967 */     GIR_EraseRootFromParent_Done,
     /*  419968 */   // Label 7393: @419968
     /*  419968 */   GIM_Try, /*On fail goto*//*Label 7394*/ GIMT_Encode4(420041), // Rule ID 63244 //
     /*  419973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  419976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  419981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  419984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  419987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  419990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  419993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  419997 */     // MIs[0] op1
     /*  419997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420020 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  420020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  420023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420025 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420027 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420029 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420039 */     GIR_RootConstrainSelectedInstOperands,
     /*  420040 */     // GIR_Coverage, 63244,
     /*  420040 */     GIR_EraseRootFromParent_Done,
     /*  420041 */   // Label 7394: @420041
     /*  420041 */   GIM_Try, /*On fail goto*//*Label 7395*/ GIMT_Encode4(420114), // Rule ID 63267 //
     /*  420046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420070 */     // MIs[0] op1
     /*  420070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420073 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  420086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420093 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  420093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  420096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420098 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420100 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420102 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420112 */     GIR_RootConstrainSelectedInstOperands,
     /*  420113 */     // GIR_Coverage, 63267,
     /*  420113 */     GIR_EraseRootFromParent_Done,
     /*  420114 */   // Label 7395: @420114
     /*  420114 */   GIM_Try, /*On fail goto*//*Label 7396*/ GIMT_Encode4(420187), // Rule ID 63268 //
     /*  420119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  420130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  420133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420143 */     // MIs[0] op1
     /*  420143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  420159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420166 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  420166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M1),
     /*  420169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420171 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420173 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420175 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  420185 */     GIR_RootConstrainSelectedInstOperands,
     /*  420186 */     // GIR_Coverage, 63268,
     /*  420186 */     GIR_EraseRootFromParent_Done,
     /*  420187 */   // Label 7396: @420187
     /*  420187 */   GIM_Try, /*On fail goto*//*Label 7397*/ GIMT_Encode4(420260), // Rule ID 63287 //
     /*  420192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420216 */     // MIs[0] op1
     /*  420216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420219 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420239 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  420242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420244 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420246 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420248 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420258 */     GIR_RootConstrainSelectedInstOperands,
     /*  420259 */     // GIR_Coverage, 63287,
     /*  420259 */     GIR_EraseRootFromParent_Done,
     /*  420260 */   // Label 7397: @420260
     /*  420260 */   GIM_Try, /*On fail goto*//*Label 7398*/ GIMT_Encode4(420333), // Rule ID 63288 //
     /*  420265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420289 */     // MIs[0] op1
     /*  420289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420292 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M1),
     /*  420315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420317 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420319 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420321 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420331 */     GIR_RootConstrainSelectedInstOperands,
     /*  420332 */     // GIR_Coverage, 63288,
     /*  420332 */     GIR_EraseRootFromParent_Done,
     /*  420333 */   // Label 7398: @420333
     /*  420333 */   GIM_Try, /*On fail goto*//*Label 7399*/ GIMT_Encode4(420406), // Rule ID 63299 //
     /*  420338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  420355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420362 */     // MIs[0] op1
     /*  420362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420365 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420385 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  420388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420390 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420392 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420394 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420404 */     GIR_RootConstrainSelectedInstOperands,
     /*  420405 */     // GIR_Coverage, 63299,
     /*  420405 */     GIR_EraseRootFromParent_Done,
     /*  420406 */   // Label 7399: @420406
     /*  420406 */   GIM_Try, /*On fail goto*//*Label 7400*/ GIMT_Encode4(420479), // Rule ID 63300 //
     /*  420411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  420428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420435 */     // MIs[0] op1
     /*  420435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420438 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420458 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M1),
     /*  420461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420463 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420465 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420467 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420477 */     GIR_RootConstrainSelectedInstOperands,
     /*  420478 */     // GIR_Coverage, 63300,
     /*  420478 */     GIR_EraseRootFromParent_Done,
     /*  420479 */   // Label 7400: @420479
     /*  420479 */   GIM_Try, /*On fail goto*//*Label 7401*/ GIMT_Encode4(420552), // Rule ID 63323 //
     /*  420484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420508 */     // MIs[0] op1
     /*  420508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420511 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420531 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  420531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  420534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420536 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420538 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420540 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420550 */     GIR_RootConstrainSelectedInstOperands,
     /*  420551 */     // GIR_Coverage, 63323,
     /*  420551 */     GIR_EraseRootFromParent_Done,
     /*  420552 */   // Label 7401: @420552
     /*  420552 */   GIM_Try, /*On fail goto*//*Label 7402*/ GIMT_Encode4(420625), // Rule ID 63324 //
     /*  420557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  420565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  420568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  420571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420581 */     // MIs[0] op1
     /*  420581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420584 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  420589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  420593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  420597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420604 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  420604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M1),
     /*  420607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420609 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420611 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420613 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  420623 */     GIR_RootConstrainSelectedInstOperands,
     /*  420624 */     // GIR_Coverage, 63324,
     /*  420624 */     GIR_EraseRootFromParent_Done,
     /*  420625 */   // Label 7402: @420625
     /*  420625 */   GIM_Try, /*On fail goto*//*Label 7403*/ GIMT_Encode4(420698), // Rule ID 63343 //
     /*  420630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420654 */     // MIs[0] op1
     /*  420654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420657 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420677 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  420680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420682 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420684 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420686 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420696 */     GIR_RootConstrainSelectedInstOperands,
     /*  420697 */     // GIR_Coverage, 63343,
     /*  420697 */     GIR_EraseRootFromParent_Done,
     /*  420698 */   // Label 7403: @420698
     /*  420698 */   GIM_Try, /*On fail goto*//*Label 7404*/ GIMT_Encode4(420771), // Rule ID 63344 //
     /*  420703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  420720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420727 */     // MIs[0] op1
     /*  420727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420730 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420750 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  420753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420755 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420757 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420759 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420769 */     GIR_RootConstrainSelectedInstOperands,
     /*  420770 */     // GIR_Coverage, 63344,
     /*  420770 */     GIR_EraseRootFromParent_Done,
     /*  420771 */   // Label 7404: @420771
     /*  420771 */   GIM_Try, /*On fail goto*//*Label 7405*/ GIMT_Encode4(420844), // Rule ID 63355 //
     /*  420776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  420793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420800 */     // MIs[0] op1
     /*  420800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420823 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  420826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420828 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420830 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420832 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420842 */     GIR_RootConstrainSelectedInstOperands,
     /*  420843 */     // GIR_Coverage, 63355,
     /*  420843 */     GIR_EraseRootFromParent_Done,
     /*  420844 */   // Label 7405: @420844
     /*  420844 */   GIM_Try, /*On fail goto*//*Label 7406*/ GIMT_Encode4(420917), // Rule ID 63356 //
     /*  420849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  420857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  420860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  420863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  420866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  420869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420873 */     // MIs[0] op1
     /*  420873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420876 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  420889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420896 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  420896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  420899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420901 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420903 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420905 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420915 */     GIR_RootConstrainSelectedInstOperands,
     /*  420916 */     // GIR_Coverage, 63356,
     /*  420916 */     GIR_EraseRootFromParent_Done,
     /*  420917 */   // Label 7406: @420917
     /*  420917 */   GIM_Try, /*On fail goto*//*Label 7407*/ GIMT_Encode4(420990), // Rule ID 63387 //
     /*  420922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  420925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  420930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  420933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  420936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  420939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  420942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420946 */     // MIs[0] op1
     /*  420946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  420949 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  420954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  420958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  420962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  420969 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  420969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  420972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  420974 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  420976 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  420978 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  420980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  420985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  420988 */     GIR_RootConstrainSelectedInstOperands,
     /*  420989 */     // GIR_Coverage, 63387,
     /*  420989 */     GIR_EraseRootFromParent_Done,
     /*  420990 */   // Label 7407: @420990
     /*  420990 */   GIM_Try, /*On fail goto*//*Label 7408*/ GIMT_Encode4(421063), // Rule ID 63388 //
     /*  420995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  420998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  421006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  421009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421019 */     // MIs[0] op1
     /*  421019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421022 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  421045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421047 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421049 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421051 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421061 */     GIR_RootConstrainSelectedInstOperands,
     /*  421062 */     // GIR_Coverage, 63388,
     /*  421062 */     GIR_EraseRootFromParent_Done,
     /*  421063 */   // Label 7408: @421063
     /*  421063 */   GIM_Try, /*On fail goto*//*Label 7409*/ GIMT_Encode4(421136), // Rule ID 63399 //
     /*  421068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  421079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  421082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  421085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421092 */     // MIs[0] op1
     /*  421092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421115 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  421118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421134 */     GIR_RootConstrainSelectedInstOperands,
     /*  421135 */     // GIR_Coverage, 63399,
     /*  421135 */     GIR_EraseRootFromParent_Done,
     /*  421136 */   // Label 7409: @421136
     /*  421136 */   GIM_Try, /*On fail goto*//*Label 7410*/ GIMT_Encode4(421209), // Rule ID 63400 //
     /*  421141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  421152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  421155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  421158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421165 */     // MIs[0] op1
     /*  421165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421168 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421188 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  421191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421193 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421195 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421197 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421207 */     GIR_RootConstrainSelectedInstOperands,
     /*  421208 */     // GIR_Coverage, 63400,
     /*  421208 */     GIR_EraseRootFromParent_Done,
     /*  421209 */   // Label 7410: @421209
     /*  421209 */   GIM_Try, /*On fail goto*//*Label 7411*/ GIMT_Encode4(421282), // Rule ID 63431 //
     /*  421214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  421225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  421228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421238 */     // MIs[0] op1
     /*  421238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  421264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421266 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421268 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421270 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421280 */     GIR_RootConstrainSelectedInstOperands,
     /*  421281 */     // GIR_Coverage, 63431,
     /*  421281 */     GIR_EraseRootFromParent_Done,
     /*  421282 */   // Label 7411: @421282
     /*  421282 */   GIM_Try, /*On fail goto*//*Label 7412*/ GIMT_Encode4(421355), // Rule ID 63432 //
     /*  421287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  421298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  421301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421311 */     // MIs[0] op1
     /*  421311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421314 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421334 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  421337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421339 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421341 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421343 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421353 */     GIR_RootConstrainSelectedInstOperands,
     /*  421354 */     // GIR_Coverage, 63432,
     /*  421354 */     GIR_EraseRootFromParent_Done,
     /*  421355 */   // Label 7412: @421355
     /*  421355 */   GIM_Try, /*On fail goto*//*Label 7413*/ GIMT_Encode4(421428), // Rule ID 63443 //
     /*  421360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  421371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  421374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  421377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421384 */     // MIs[0] op1
     /*  421384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421387 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421407 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  421407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  421410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421412 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421414 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421416 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421426 */     GIR_RootConstrainSelectedInstOperands,
     /*  421427 */     // GIR_Coverage, 63443,
     /*  421427 */     GIR_EraseRootFromParent_Done,
     /*  421428 */   // Label 7413: @421428
     /*  421428 */   GIM_Try, /*On fail goto*//*Label 7414*/ GIMT_Encode4(421501), // Rule ID 63444 //
     /*  421433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  421444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  421447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  421450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421457 */     // MIs[0] op1
     /*  421457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421460 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  421473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421480 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  421480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  421483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421485 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421487 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421489 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  421499 */     GIR_RootConstrainSelectedInstOperands,
     /*  421500 */     // GIR_Coverage, 63444,
     /*  421500 */     GIR_EraseRootFromParent_Done,
     /*  421501 */   // Label 7414: @421501
     /*  421501 */   GIM_Try, /*On fail goto*//*Label 7415*/ GIMT_Encode4(421574), // Rule ID 63475 //
     /*  421506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421530 */     // MIs[0] op1
     /*  421530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421533 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  421556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421558 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421560 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421562 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421572 */     GIR_RootConstrainSelectedInstOperands,
     /*  421573 */     // GIR_Coverage, 63475,
     /*  421573 */     GIR_EraseRootFromParent_Done,
     /*  421574 */   // Label 7415: @421574
     /*  421574 */   GIM_Try, /*On fail goto*//*Label 7416*/ GIMT_Encode4(421647), // Rule ID 63476 //
     /*  421579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  421596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421603 */     // MIs[0] op1
     /*  421603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421606 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  421629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421631 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421633 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421635 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421645 */     GIR_RootConstrainSelectedInstOperands,
     /*  421646 */     // GIR_Coverage, 63476,
     /*  421646 */     GIR_EraseRootFromParent_Done,
     /*  421647 */   // Label 7416: @421647
     /*  421647 */   GIM_Try, /*On fail goto*//*Label 7417*/ GIMT_Encode4(421720), // Rule ID 63487 //
     /*  421652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  421669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421676 */     // MIs[0] op1
     /*  421676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421679 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421699 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  421702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421704 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421706 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421708 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421718 */     GIR_RootConstrainSelectedInstOperands,
     /*  421719 */     // GIR_Coverage, 63487,
     /*  421719 */     GIR_EraseRootFromParent_Done,
     /*  421720 */   // Label 7417: @421720
     /*  421720 */   GIM_Try, /*On fail goto*//*Label 7418*/ GIMT_Encode4(421793), // Rule ID 63488 //
     /*  421725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  421733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  421742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421749 */     // MIs[0] op1
     /*  421749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421752 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421772 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  421775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421777 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421779 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421781 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421791 */     GIR_RootConstrainSelectedInstOperands,
     /*  421792 */     // GIR_Coverage, 63488,
     /*  421792 */     GIR_EraseRootFromParent_Done,
     /*  421793 */   // Label 7418: @421793
     /*  421793 */   GIM_Try, /*On fail goto*//*Label 7419*/ GIMT_Encode4(421866), // Rule ID 63511 //
     /*  421798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421822 */     // MIs[0] op1
     /*  421822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421825 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  421848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421850 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421852 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421854 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421864 */     GIR_RootConstrainSelectedInstOperands,
     /*  421865 */     // GIR_Coverage, 63511,
     /*  421865 */     GIR_EraseRootFromParent_Done,
     /*  421866 */   // Label 7419: @421866
     /*  421866 */   GIM_Try, /*On fail goto*//*Label 7420*/ GIMT_Encode4(421939), // Rule ID 63512 //
     /*  421871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  421874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  421879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  421882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  421885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  421888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  421891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421895 */     // MIs[0] op1
     /*  421895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  421903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  421907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  421911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421918 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  421918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M2),
     /*  421921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421923 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421925 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  421927 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  421929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  421934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  421937 */     GIR_RootConstrainSelectedInstOperands,
     /*  421938 */     // GIR_Coverage, 63512,
     /*  421938 */     GIR_EraseRootFromParent_Done,
     /*  421939 */   // Label 7420: @421939
     /*  421939 */   GIM_Try, /*On fail goto*//*Label 7421*/ GIMT_Encode4(422012), // Rule ID 63531 //
     /*  421944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  421947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  421952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  421955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  421958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  421961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  421964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421968 */     // MIs[0] op1
     /*  421968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  421971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  421976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  421980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  421984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  421991 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  421991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  421994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  421996 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  421998 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422000 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422010 */     GIR_RootConstrainSelectedInstOperands,
     /*  422011 */     // GIR_Coverage, 63531,
     /*  422011 */     GIR_EraseRootFromParent_Done,
     /*  422012 */   // Label 7421: @422012
     /*  422012 */   GIM_Try, /*On fail goto*//*Label 7422*/ GIMT_Encode4(422085), // Rule ID 63532 //
     /*  422017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  422028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  422031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422041 */     // MIs[0] op1
     /*  422041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422044 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422064 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  422067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422069 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422071 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422073 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422083 */     GIR_RootConstrainSelectedInstOperands,
     /*  422084 */     // GIR_Coverage, 63532,
     /*  422084 */     GIR_EraseRootFromParent_Done,
     /*  422085 */   // Label 7422: @422085
     /*  422085 */   GIM_Try, /*On fail goto*//*Label 7423*/ GIMT_Encode4(422158), // Rule ID 63543 //
     /*  422090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  422101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  422104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  422107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422114 */     // MIs[0] op1
     /*  422114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422137 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  422140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422142 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422144 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422146 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422156 */     GIR_RootConstrainSelectedInstOperands,
     /*  422157 */     // GIR_Coverage, 63543,
     /*  422157 */     GIR_EraseRootFromParent_Done,
     /*  422158 */   // Label 7423: @422158
     /*  422158 */   GIM_Try, /*On fail goto*//*Label 7424*/ GIMT_Encode4(422231), // Rule ID 63544 //
     /*  422163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  422174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  422177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  422180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422187 */     // MIs[0] op1
     /*  422187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422210 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  422213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422215 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422217 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422219 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422229 */     GIR_RootConstrainSelectedInstOperands,
     /*  422230 */     // GIR_Coverage, 63544,
     /*  422230 */     GIR_EraseRootFromParent_Done,
     /*  422231 */   // Label 7424: @422231
     /*  422231 */   GIM_Try, /*On fail goto*//*Label 7425*/ GIMT_Encode4(422304), // Rule ID 63567 //
     /*  422236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  422247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  422250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  422253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422260 */     // MIs[0] op1
     /*  422260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  422276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422283 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  422286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422288 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422290 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422292 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422302 */     GIR_RootConstrainSelectedInstOperands,
     /*  422303 */     // GIR_Coverage, 63567,
     /*  422303 */     GIR_EraseRootFromParent_Done,
     /*  422304 */   // Label 7425: @422304
     /*  422304 */   GIM_Try, /*On fail goto*//*Label 7426*/ GIMT_Encode4(422377), // Rule ID 63568 //
     /*  422309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  422320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  422323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  422326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422333 */     // MIs[0] op1
     /*  422333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  422345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  422349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422356 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M4),
     /*  422359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422375 */     GIR_RootConstrainSelectedInstOperands,
     /*  422376 */     // GIR_Coverage, 63568,
     /*  422376 */     GIR_EraseRootFromParent_Done,
     /*  422377 */   // Label 7426: @422377
     /*  422377 */   GIM_Try, /*On fail goto*//*Label 7427*/ GIMT_Encode4(422450), // Rule ID 63587 //
     /*  422382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422406 */     // MIs[0] op1
     /*  422406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422429 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  422432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422434 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422436 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422438 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422448 */     GIR_RootConstrainSelectedInstOperands,
     /*  422449 */     // GIR_Coverage, 63587,
     /*  422449 */     GIR_EraseRootFromParent_Done,
     /*  422450 */   // Label 7427: @422450
     /*  422450 */   GIM_Try, /*On fail goto*//*Label 7428*/ GIMT_Encode4(422523), // Rule ID 63588 //
     /*  422455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422479 */     // MIs[0] op1
     /*  422479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422482 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422502 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  422505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422507 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422509 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422511 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422521 */     GIR_RootConstrainSelectedInstOperands,
     /*  422522 */     // GIR_Coverage, 63588,
     /*  422522 */     GIR_EraseRootFromParent_Done,
     /*  422523 */   // Label 7428: @422523
     /*  422523 */   GIM_Try, /*On fail goto*//*Label 7429*/ GIMT_Encode4(422596), // Rule ID 63599 //
     /*  422528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  422545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422552 */     // MIs[0] op1
     /*  422552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  422578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422580 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422582 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422584 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422594 */     GIR_RootConstrainSelectedInstOperands,
     /*  422595 */     // GIR_Coverage, 63599,
     /*  422595 */     GIR_EraseRootFromParent_Done,
     /*  422596 */   // Label 7429: @422596
     /*  422596 */   GIM_Try, /*On fail goto*//*Label 7430*/ GIMT_Encode4(422669), // Rule ID 63600 //
     /*  422601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  422618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422625 */     // MIs[0] op1
     /*  422625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422628 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422648 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  422651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422653 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422655 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422657 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422667 */     GIR_RootConstrainSelectedInstOperands,
     /*  422668 */     // GIR_Coverage, 63600,
     /*  422668 */     GIR_EraseRootFromParent_Done,
     /*  422669 */   // Label 7430: @422669
     /*  422669 */   GIM_Try, /*On fail goto*//*Label 7431*/ GIMT_Encode4(422742), // Rule ID 63623 //
     /*  422674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  422691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422698 */     // MIs[0] op1
     /*  422698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422701 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  422714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422721 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  422721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  422724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422726 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422728 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422730 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422740 */     GIR_RootConstrainSelectedInstOperands,
     /*  422741 */     // GIR_Coverage, 63623,
     /*  422741 */     GIR_EraseRootFromParent_Done,
     /*  422742 */   // Label 7431: @422742
     /*  422742 */   GIM_Try, /*On fail goto*//*Label 7432*/ GIMT_Encode4(422815), // Rule ID 63624 //
     /*  422747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  422755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  422758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  422761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  422764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422771 */     // MIs[0] op1
     /*  422771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422774 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  422779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  422783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  422787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422794 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16V_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, FPR16:{ *:[f16] }:$op3, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  422794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16V_M8),
     /*  422797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422799 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422801 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422803 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  422813 */     GIR_RootConstrainSelectedInstOperands,
     /*  422814 */     // GIR_Coverage, 63624,
     /*  422814 */     GIR_EraseRootFromParent_Done,
     /*  422815 */   // Label 7432: @422815
     /*  422815 */   GIM_Try, /*On fail goto*//*Label 7433*/ GIMT_Encode4(422888), // Rule ID 63643 //
     /*  422820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  422837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422844 */     // MIs[0] op1
     /*  422844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422847 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422867 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  422867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  422870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422872 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422874 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422876 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422886 */     GIR_RootConstrainSelectedInstOperands,
     /*  422887 */     // GIR_Coverage, 63643,
     /*  422887 */     GIR_EraseRootFromParent_Done,
     /*  422888 */   // Label 7433: @422888
     /*  422888 */   GIM_Try, /*On fail goto*//*Label 7434*/ GIMT_Encode4(422961), // Rule ID 63644 //
     /*  422893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  422896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  422901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  422910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  422913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422917 */     // MIs[0] op1
     /*  422917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422920 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  422933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  422940 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  422940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  422943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  422945 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  422947 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  422949 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  422951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  422956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  422959 */     GIR_RootConstrainSelectedInstOperands,
     /*  422960 */     // GIR_Coverage, 63644,
     /*  422960 */     GIR_EraseRootFromParent_Done,
     /*  422961 */   // Label 7434: @422961
     /*  422961 */   GIM_Try, /*On fail goto*//*Label 7435*/ GIMT_Encode4(423034), // Rule ID 63655 //
     /*  422966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  422969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  422974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  422977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  422980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  422983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  422986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  422990 */     // MIs[0] op1
     /*  422990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  422993 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  422998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423013 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  423016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423018 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423020 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423022 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423032 */     GIR_RootConstrainSelectedInstOperands,
     /*  423033 */     // GIR_Coverage, 63655,
     /*  423033 */     GIR_EraseRootFromParent_Done,
     /*  423034 */   // Label 7435: @423034
     /*  423034 */   GIM_Try, /*On fail goto*//*Label 7436*/ GIMT_Encode4(423107), // Rule ID 63656 //
     /*  423039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  423056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423063 */     // MIs[0] op1
     /*  423063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423066 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  423089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423091 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423093 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423095 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423105 */     GIR_RootConstrainSelectedInstOperands,
     /*  423106 */     // GIR_Coverage, 63656,
     /*  423106 */     GIR_EraseRootFromParent_Done,
     /*  423107 */   // Label 7436: @423107
     /*  423107 */   GIM_Try, /*On fail goto*//*Label 7437*/ GIMT_Encode4(423180), // Rule ID 63679 //
     /*  423112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423136 */     // MIs[0] op1
     /*  423136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423139 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423159 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  423162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423164 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423166 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423168 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423178 */     GIR_RootConstrainSelectedInstOperands,
     /*  423179 */     // GIR_Coverage, 63679,
     /*  423179 */     GIR_EraseRootFromParent_Done,
     /*  423180 */   // Label 7437: @423180
     /*  423180 */   GIM_Try, /*On fail goto*//*Label 7438*/ GIMT_Encode4(423253), // Rule ID 63680 //
     /*  423185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  423196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  423199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423209 */     // MIs[0] op1
     /*  423209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423212 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  423221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423232 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M2),
     /*  423235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423237 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423239 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423241 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423251 */     GIR_RootConstrainSelectedInstOperands,
     /*  423252 */     // GIR_Coverage, 63680,
     /*  423252 */     GIR_EraseRootFromParent_Done,
     /*  423253 */   // Label 7438: @423253
     /*  423253 */   GIM_Try, /*On fail goto*//*Label 7439*/ GIMT_Encode4(423326), // Rule ID 63699 //
     /*  423258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423282 */     // MIs[0] op1
     /*  423282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423285 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  423308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423310 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423312 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423314 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423324 */     GIR_RootConstrainSelectedInstOperands,
     /*  423325 */     // GIR_Coverage, 63699,
     /*  423325 */     GIR_EraseRootFromParent_Done,
     /*  423326 */   // Label 7439: @423326
     /*  423326 */   GIM_Try, /*On fail goto*//*Label 7440*/ GIMT_Encode4(423399), // Rule ID 63700 //
     /*  423331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423355 */     // MIs[0] op1
     /*  423355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423358 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  423381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423383 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423385 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423387 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423397 */     GIR_RootConstrainSelectedInstOperands,
     /*  423398 */     // GIR_Coverage, 63700,
     /*  423398 */     GIR_EraseRootFromParent_Done,
     /*  423399 */   // Label 7440: @423399
     /*  423399 */   GIM_Try, /*On fail goto*//*Label 7441*/ GIMT_Encode4(423472), // Rule ID 63711 //
     /*  423404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  423421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423428 */     // MIs[0] op1
     /*  423428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423451 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  423454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423456 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423458 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423460 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423470 */     GIR_RootConstrainSelectedInstOperands,
     /*  423471 */     // GIR_Coverage, 63711,
     /*  423471 */     GIR_EraseRootFromParent_Done,
     /*  423472 */   // Label 7441: @423472
     /*  423472 */   GIM_Try, /*On fail goto*//*Label 7442*/ GIMT_Encode4(423545), // Rule ID 63712 //
     /*  423477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  423494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423501 */     // MIs[0] op1
     /*  423501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423504 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  423527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423529 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423531 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423533 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423543 */     GIR_RootConstrainSelectedInstOperands,
     /*  423544 */     // GIR_Coverage, 63712,
     /*  423544 */     GIR_EraseRootFromParent_Done,
     /*  423545 */   // Label 7442: @423545
     /*  423545 */   GIM_Try, /*On fail goto*//*Label 7443*/ GIMT_Encode4(423618), // Rule ID 63735 //
     /*  423550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423574 */     // MIs[0] op1
     /*  423574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  423600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423602 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423604 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423606 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423616 */     GIR_RootConstrainSelectedInstOperands,
     /*  423617 */     // GIR_Coverage, 63735,
     /*  423617 */     GIR_EraseRootFromParent_Done,
     /*  423618 */   // Label 7443: @423618
     /*  423618 */   GIM_Try, /*On fail goto*//*Label 7444*/ GIMT_Encode4(423691), // Rule ID 63736 //
     /*  423623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  423634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  423637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423647 */     // MIs[0] op1
     /*  423647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423650 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  423655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  423659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  423663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M4),
     /*  423673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423675 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423677 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423679 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423689 */     GIR_RootConstrainSelectedInstOperands,
     /*  423690 */     // GIR_Coverage, 63736,
     /*  423690 */     GIR_EraseRootFromParent_Done,
     /*  423691 */   // Label 7444: @423691
     /*  423691 */   GIM_Try, /*On fail goto*//*Label 7445*/ GIMT_Encode4(423764), // Rule ID 63755 //
     /*  423696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  423713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423720 */     // MIs[0] op1
     /*  423720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423723 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423743 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  423746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423748 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423750 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423752 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423762 */     GIR_RootConstrainSelectedInstOperands,
     /*  423763 */     // GIR_Coverage, 63755,
     /*  423763 */     GIR_EraseRootFromParent_Done,
     /*  423764 */   // Label 7445: @423764
     /*  423764 */   GIM_Try, /*On fail goto*//*Label 7446*/ GIMT_Encode4(423837), // Rule ID 63756 //
     /*  423769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  423777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  423786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423793 */     // MIs[0] op1
     /*  423793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423796 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  423809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  423819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423821 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423823 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423825 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423835 */     GIR_RootConstrainSelectedInstOperands,
     /*  423836 */     // GIR_Coverage, 63756,
     /*  423836 */     GIR_EraseRootFromParent_Done,
     /*  423837 */   // Label 7446: @423837
     /*  423837 */   GIM_Try, /*On fail goto*//*Label 7447*/ GIMT_Encode4(423910), // Rule ID 63767 //
     /*  423842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  423859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  423862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423866 */     // MIs[0] op1
     /*  423866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423889 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  423889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  423892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423894 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423896 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423898 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423908 */     GIR_RootConstrainSelectedInstOperands,
     /*  423909 */     // GIR_Coverage, 63767,
     /*  423909 */     GIR_EraseRootFromParent_Done,
     /*  423910 */   // Label 7447: @423910
     /*  423910 */   GIM_Try, /*On fail goto*//*Label 7448*/ GIMT_Encode4(423983), // Rule ID 63768 //
     /*  423915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  423918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  423923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  423929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  423932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  423935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423939 */     // MIs[0] op1
     /*  423939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  423942 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  423947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  423955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  423962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  423962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  423965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  423967 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  423969 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  423971 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  423973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  423978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  423981 */     GIR_RootConstrainSelectedInstOperands,
     /*  423982 */     // GIR_Coverage, 63768,
     /*  423982 */     GIR_EraseRootFromParent_Done,
     /*  423983 */   // Label 7448: @423983
     /*  423983 */   GIM_Try, /*On fail goto*//*Label 7449*/ GIMT_Encode4(424056), // Rule ID 63791 //
     /*  423988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  423991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  423996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  423999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424012 */     // MIs[0] op1
     /*  424012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424015 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  424028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424035 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  424035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  424038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424040 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424042 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424044 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424054 */     GIR_RootConstrainSelectedInstOperands,
     /*  424055 */     // GIR_Coverage, 63791,
     /*  424055 */     GIR_EraseRootFromParent_Done,
     /*  424056 */   // Label 7449: @424056
     /*  424056 */   GIM_Try, /*On fail goto*//*Label 7450*/ GIMT_Encode4(424129), // Rule ID 63792 //
     /*  424061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  424072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  424075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424085 */     // MIs[0] op1
     /*  424085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424088 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  424097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  424101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32V_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, FPR32:{ *:[f32] }:$op3, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  424108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32V_M8),
     /*  424111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424113 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424115 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424117 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  424127 */     GIR_RootConstrainSelectedInstOperands,
     /*  424128 */     // GIR_Coverage, 63792,
     /*  424128 */     GIR_EraseRootFromParent_Done,
     /*  424129 */   // Label 7450: @424129
     /*  424129 */   GIM_Try, /*On fail goto*//*Label 7451*/ GIMT_Encode4(424202), // Rule ID 63811 //
     /*  424134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  424145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  424148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424158 */     // MIs[0] op1
     /*  424158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424181 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  424184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424186 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424188 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424190 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424200 */     GIR_RootConstrainSelectedInstOperands,
     /*  424201 */     // GIR_Coverage, 63811,
     /*  424201 */     GIR_EraseRootFromParent_Done,
     /*  424202 */   // Label 7451: @424202
     /*  424202 */   GIM_Try, /*On fail goto*//*Label 7452*/ GIMT_Encode4(424275), // Rule ID 63812 //
     /*  424207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  424218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  424221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424231 */     // MIs[0] op1
     /*  424231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424234 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M2),
     /*  424257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424259 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424261 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424263 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424273 */     GIR_RootConstrainSelectedInstOperands,
     /*  424274 */     // GIR_Coverage, 63812,
     /*  424274 */     GIR_EraseRootFromParent_Done,
     /*  424275 */   // Label 7452: @424275
     /*  424275 */   GIM_Try, /*On fail goto*//*Label 7453*/ GIMT_Encode4(424348), // Rule ID 63823 //
     /*  424280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  424291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  424294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  424297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424304 */     // MIs[0] op1
     /*  424304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424307 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424327 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  424330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424332 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424334 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424336 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424346 */     GIR_RootConstrainSelectedInstOperands,
     /*  424347 */     // GIR_Coverage, 63823,
     /*  424347 */     GIR_EraseRootFromParent_Done,
     /*  424348 */   // Label 7453: @424348
     /*  424348 */   GIM_Try, /*On fail goto*//*Label 7454*/ GIMT_Encode4(424421), // Rule ID 63824 //
     /*  424353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  424364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  424367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  424370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424377 */     // MIs[0] op1
     /*  424377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424380 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M2),
     /*  424403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424405 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424407 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424409 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424419 */     GIR_RootConstrainSelectedInstOperands,
     /*  424420 */     // GIR_Coverage, 63824,
     /*  424420 */     GIR_EraseRootFromParent_Done,
     /*  424421 */   // Label 7454: @424421
     /*  424421 */   GIM_Try, /*On fail goto*//*Label 7455*/ GIMT_Encode4(424494), // Rule ID 63847 //
     /*  424426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  424437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  424440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424450 */     // MIs[0] op1
     /*  424450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424473 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  424476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424478 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424480 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424482 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424492 */     GIR_RootConstrainSelectedInstOperands,
     /*  424493 */     // GIR_Coverage, 63847,
     /*  424493 */     GIR_EraseRootFromParent_Done,
     /*  424494 */   // Label 7455: @424494
     /*  424494 */   GIM_Try, /*On fail goto*//*Label 7456*/ GIMT_Encode4(424567), // Rule ID 63848 //
     /*  424499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  424510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  424513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424523 */     // MIs[0] op1
     /*  424523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  424535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M2),
     /*  424549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424551 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424553 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424555 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424565 */     GIR_RootConstrainSelectedInstOperands,
     /*  424566 */     // GIR_Coverage, 63848,
     /*  424566 */     GIR_EraseRootFromParent_Done,
     /*  424567 */   // Label 7456: @424567
     /*  424567 */   GIM_Try, /*On fail goto*//*Label 7457*/ GIMT_Encode4(424640), // Rule ID 63867 //
     /*  424572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424596 */     // MIs[0] op1
     /*  424596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424599 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  424622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424624 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424626 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424628 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424638 */     GIR_RootConstrainSelectedInstOperands,
     /*  424639 */     // GIR_Coverage, 63867,
     /*  424639 */     GIR_EraseRootFromParent_Done,
     /*  424640 */   // Label 7457: @424640
     /*  424640 */   GIM_Try, /*On fail goto*//*Label 7458*/ GIMT_Encode4(424713), // Rule ID 63868 //
     /*  424645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  424653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  424662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424669 */     // MIs[0] op1
     /*  424669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  424685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M4),
     /*  424695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424697 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424699 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424701 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424711 */     GIR_RootConstrainSelectedInstOperands,
     /*  424712 */     // GIR_Coverage, 63868,
     /*  424712 */     GIR_EraseRootFromParent_Done,
     /*  424713 */   // Label 7458: @424713
     /*  424713 */   GIM_Try, /*On fail goto*//*Label 7459*/ GIMT_Encode4(424786), // Rule ID 63879 //
     /*  424718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  424735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424742 */     // MIs[0] op1
     /*  424742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424745 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424765 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  424768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424784 */     GIR_RootConstrainSelectedInstOperands,
     /*  424785 */     // GIR_Coverage, 63879,
     /*  424785 */     GIR_EraseRootFromParent_Done,
     /*  424786 */   // Label 7459: @424786
     /*  424786 */   GIM_Try, /*On fail goto*//*Label 7460*/ GIMT_Encode4(424859), // Rule ID 63880 //
     /*  424791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  424799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  424808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424815 */     // MIs[0] op1
     /*  424815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424818 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  424823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M4),
     /*  424841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424843 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424845 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424847 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424857 */     GIR_RootConstrainSelectedInstOperands,
     /*  424858 */     // GIR_Coverage, 63880,
     /*  424858 */     GIR_EraseRootFromParent_Done,
     /*  424859 */   // Label 7460: @424859
     /*  424859 */   GIM_Try, /*On fail goto*//*Label 7461*/ GIMT_Encode4(424932), // Rule ID 63903 //
     /*  424864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  424867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  424884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424888 */     // MIs[0] op1
     /*  424888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424891 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424911 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  424911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  424914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424916 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424918 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424920 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  424927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  424930 */     GIR_RootConstrainSelectedInstOperands,
     /*  424931 */     // GIR_Coverage, 63903,
     /*  424931 */     GIR_EraseRootFromParent_Done,
     /*  424932 */   // Label 7461: @424932
     /*  424932 */   GIM_Try, /*On fail goto*//*Label 7462*/ GIMT_Encode4(425005), // Rule ID 63904 //
     /*  424937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  424940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  424945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  424948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  424951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  424954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  424957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424961 */     // MIs[0] op1
     /*  424961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  424964 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  424969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  424973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  424977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  424984 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  424984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M4),
     /*  424987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  424989 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  424991 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  424993 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  424995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425003 */     GIR_RootConstrainSelectedInstOperands,
     /*  425004 */     // GIR_Coverage, 63904,
     /*  425004 */     GIR_EraseRootFromParent_Done,
     /*  425005 */   // Label 7462: @425005
     /*  425005 */   GIM_Try, /*On fail goto*//*Label 7463*/ GIMT_Encode4(425078), // Rule ID 63923 //
     /*  425010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  425013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  425018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  425021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  425024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425034 */     // MIs[0] op1
     /*  425034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  425037 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  425042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  425050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425057 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  425057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  425060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425062 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  425064 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  425066 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  425068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425076 */     GIR_RootConstrainSelectedInstOperands,
     /*  425077 */     // GIR_Coverage, 63923,
     /*  425077 */     GIR_EraseRootFromParent_Done,
     /*  425078 */   // Label 7463: @425078
     /*  425078 */   GIM_Try, /*On fail goto*//*Label 7464*/ GIMT_Encode4(425151), // Rule ID 63924 //
     /*  425083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  425086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xv),
     /*  425091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  425094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  425097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  425100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425107 */     // MIs[0] op1
     /*  425107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  425110 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  425115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  425123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425130 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11083:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, GPR:{ *:[i32] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  425130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XV_M8),
     /*  425133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425135 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  425137 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  425139 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  425141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425149 */     GIR_RootConstrainSelectedInstOperands,
     /*  425150 */     // GIR_Coverage, 63924,
     /*  425150 */     GIR_EraseRootFromParent_Done,
     /*  425151 */   // Label 7464: @425151
     /*  425151 */   GIM_Try, /*On fail goto*//*Label 7465*/ GIMT_Encode4(425224), // Rule ID 63935 //
     /*  425156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  425159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  425164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  425167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  425170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  425173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425180 */     // MIs[0] op1
     /*  425180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  425183 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  425188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425203 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  425203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  425206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425208 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  425210 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  425212 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  425214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425222 */     GIR_RootConstrainSelectedInstOperands,
     /*  425223 */     // GIR_Coverage, 63935,
     /*  425223 */     GIR_EraseRootFromParent_Done,
     /*  425224 */   // Label 7465: @425224
     /*  425224 */   GIM_Try, /*On fail goto*//*Label 7466*/ GIMT_Encode4(425297), // Rule ID 63936 //
     /*  425229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  425232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vv),
     /*  425237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  425240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  425243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  425246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425253 */     // MIs[0] op1
     /*  425253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  425256 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  425261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425276 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11075:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  425276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VV_M8),
     /*  425279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425281 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  425283 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  425285 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  425287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425295 */     GIR_RootConstrainSelectedInstOperands,
     /*  425296 */     // GIR_Coverage, 63936,
     /*  425296 */     GIR_EraseRootFromParent_Done,
     /*  425297 */   // Label 7466: @425297
     /*  425297 */   GIM_Try, /*On fail goto*//*Label 7467*/ GIMT_Encode4(425370), // Rule ID 63959 //
     /*  425302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  425305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  425310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  425313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  425316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425326 */     // MIs[0] op1
     /*  425326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  425329 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  425334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  425342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425349 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  425349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  425352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425354 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  425356 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  425358 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  425360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425368 */     GIR_RootConstrainSelectedInstOperands,
     /*  425369 */     // GIR_Coverage, 63959,
     /*  425369 */     GIR_EraseRootFromParent_Done,
     /*  425370 */   // Label 7467: @425370
     /*  425370 */   GIM_Try, /*On fail goto*//*Label 7468*/ GIMT_Encode4(425443), // Rule ID 63960 //
     /*  425375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  425378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fv),
     /*  425383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  425386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  425389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  425392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425399 */     // MIs[0] op1
     /*  425399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  425402 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  425407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  425411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  425415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11061:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64V_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, FPR64:{ *:[f64] }:$op3, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  425422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64V_M8),
     /*  425425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425427 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  425429 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  425431 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  425433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  425441 */     GIR_RootConstrainSelectedInstOperands,
     /*  425442 */     // GIR_Coverage, 63960,
     /*  425442 */     GIR_EraseRootFromParent_Done,
     /*  425443 */   // Label 7468: @425443
     /*  425443 */   GIM_Try, /*On fail goto*//*Label 7469*/ GIMT_Encode4(425526), // Rule ID 5332 //
     /*  425448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425491 */     // MIs[1] Operand 1
     /*  425491 */     // No operand predicates
     /*  425491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425504 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  425504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  425507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425514 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425524 */     GIR_RootConstrainSelectedInstOperands,
     /*  425525 */     // GIR_Coverage, 5332,
     /*  425525 */     GIR_EraseRootFromParent_Done,
     /*  425526 */   // Label 7469: @425526
     /*  425526 */   GIM_Try, /*On fail goto*//*Label 7470*/ GIMT_Encode4(425609), // Rule ID 5333 //
     /*  425531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  425545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425570 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425574 */     // MIs[1] Operand 1
     /*  425574 */     // No operand predicates
     /*  425574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425587 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF8),
     /*  425590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425594 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425607 */     GIR_RootConstrainSelectedInstOperands,
     /*  425608 */     // GIR_Coverage, 5333,
     /*  425608 */     GIR_EraseRootFromParent_Done,
     /*  425609 */   // Label 7470: @425609
     /*  425609 */   GIM_Try, /*On fail goto*//*Label 7471*/ GIMT_Encode4(425692), // Rule ID 5334 //
     /*  425614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425657 */     // MIs[1] Operand 1
     /*  425657 */     // No operand predicates
     /*  425657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425670 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  425670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425690 */     GIR_RootConstrainSelectedInstOperands,
     /*  425691 */     // GIR_Coverage, 5334,
     /*  425691 */     GIR_EraseRootFromParent_Done,
     /*  425692 */   // Label 7471: @425692
     /*  425692 */   GIM_Try, /*On fail goto*//*Label 7472*/ GIMT_Encode4(425775), // Rule ID 5335 //
     /*  425697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  425708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  425711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  425717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425740 */     // MIs[1] Operand 1
     /*  425740 */     // No operand predicates
     /*  425740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425753 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  425756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425773 */     GIR_RootConstrainSelectedInstOperands,
     /*  425774 */     // GIR_Coverage, 5335,
     /*  425774 */     GIR_EraseRootFromParent_Done,
     /*  425775 */   // Label 7472: @425775
     /*  425775 */   GIM_Try, /*On fail goto*//*Label 7473*/ GIMT_Encode4(425858), // Rule ID 5336 //
     /*  425780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  425791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  425800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425823 */     // MIs[1] Operand 1
     /*  425823 */     // No operand predicates
     /*  425823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425836 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  425836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425856 */     GIR_RootConstrainSelectedInstOperands,
     /*  425857 */     // GIR_Coverage, 5336,
     /*  425857 */     GIR_EraseRootFromParent_Done,
     /*  425858 */   // Label 7473: @425858
     /*  425858 */   GIM_Try, /*On fail goto*//*Label 7474*/ GIMT_Encode4(425941), // Rule ID 5337 //
     /*  425863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  425866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  425874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  425877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  425880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  425883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  425886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425906 */     // MIs[1] Operand 1
     /*  425906 */     // No operand predicates
     /*  425906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  425919 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  425919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  425922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  425924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  425926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  425929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  425931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  425936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  425939 */     GIR_RootConstrainSelectedInstOperands,
     /*  425940 */     // GIR_Coverage, 5337,
     /*  425940 */     GIR_EraseRootFromParent_Done,
     /*  425941 */   // Label 7474: @425941
     /*  425941 */   GIM_Try, /*On fail goto*//*Label 7475*/ GIMT_Encode4(426024), // Rule ID 5338 //
     /*  425946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  425949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  425954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  425957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  425960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  425963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  425966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  425969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  425977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  425981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  425985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  425989 */     // MIs[1] Operand 1
     /*  425989 */     // No operand predicates
     /*  425989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  425993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  425995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426002 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  426002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  426005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426022 */     GIR_RootConstrainSelectedInstOperands,
     /*  426023 */     // GIR_Coverage, 5338,
     /*  426023 */     GIR_EraseRootFromParent_Done,
     /*  426024 */   // Label 7475: @426024
     /*  426024 */   GIM_Try, /*On fail goto*//*Label 7476*/ GIMT_Encode4(426107), // Rule ID 5339 //
     /*  426029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  426040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  426043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  426049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426072 */     // MIs[1] Operand 1
     /*  426072 */     // No operand predicates
     /*  426072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426085 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  426085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF4),
     /*  426088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426105 */     GIR_RootConstrainSelectedInstOperands,
     /*  426106 */     // GIR_Coverage, 5339,
     /*  426106 */     GIR_EraseRootFromParent_Done,
     /*  426107 */   // Label 7476: @426107
     /*  426107 */   GIM_Try, /*On fail goto*//*Label 7477*/ GIMT_Encode4(426190), // Rule ID 5340 //
     /*  426112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  426123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  426132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426155 */     // MIs[1] Operand 1
     /*  426155 */     // No operand predicates
     /*  426155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426168 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  426168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  426171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426188 */     GIR_RootConstrainSelectedInstOperands,
     /*  426189 */     // GIR_Coverage, 5340,
     /*  426189 */     GIR_EraseRootFromParent_Done,
     /*  426190 */   // Label 7477: @426190
     /*  426190 */   GIM_Try, /*On fail goto*//*Label 7478*/ GIMT_Encode4(426273), // Rule ID 5341 //
     /*  426195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  426206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  426209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  426215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426238 */     // MIs[1] Operand 1
     /*  426238 */     // No operand predicates
     /*  426238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426251 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  426251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  426254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426271 */     GIR_RootConstrainSelectedInstOperands,
     /*  426272 */     // GIR_Coverage, 5341,
     /*  426272 */     GIR_EraseRootFromParent_Done,
     /*  426273 */   // Label 7478: @426273
     /*  426273 */   GIM_Try, /*On fail goto*//*Label 7479*/ GIMT_Encode4(426356), // Rule ID 5342 //
     /*  426278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  426289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  426298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426321 */     // MIs[1] Operand 1
     /*  426321 */     // No operand predicates
     /*  426321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426334 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  426334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  426337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426354 */     GIR_RootConstrainSelectedInstOperands,
     /*  426355 */     // GIR_Coverage, 5342,
     /*  426355 */     GIR_EraseRootFromParent_Done,
     /*  426356 */   // Label 7479: @426356
     /*  426356 */   GIM_Try, /*On fail goto*//*Label 7480*/ GIMT_Encode4(426439), // Rule ID 5343 //
     /*  426361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  426372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  426375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  426381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426404 */     // MIs[1] Operand 1
     /*  426404 */     // No operand predicates
     /*  426404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426408 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426417 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  426417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_MF2),
     /*  426420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426437 */     GIR_RootConstrainSelectedInstOperands,
     /*  426438 */     // GIR_Coverage, 5343,
     /*  426438 */     GIR_EraseRootFromParent_Done,
     /*  426439 */   // Label 7480: @426439
     /*  426439 */   GIM_Try, /*On fail goto*//*Label 7481*/ GIMT_Encode4(426522), // Rule ID 5344 //
     /*  426444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  426455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  426464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426487 */     // MIs[1] Operand 1
     /*  426487 */     // No operand predicates
     /*  426487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426500 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  426500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426510 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426520 */     GIR_RootConstrainSelectedInstOperands,
     /*  426521 */     // GIR_Coverage, 5344,
     /*  426521 */     GIR_EraseRootFromParent_Done,
     /*  426522 */   // Label 7481: @426522
     /*  426522 */   GIM_Try, /*On fail goto*//*Label 7482*/ GIMT_Encode4(426605), // Rule ID 5345 //
     /*  426527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  426538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  426541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  426547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426570 */     // MIs[1] Operand 1
     /*  426570 */     // No operand predicates
     /*  426570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426583 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  426583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426590 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  426603 */     GIR_RootConstrainSelectedInstOperands,
     /*  426604 */     // GIR_Coverage, 5345,
     /*  426604 */     GIR_EraseRootFromParent_Done,
     /*  426605 */   // Label 7482: @426605
     /*  426605 */   GIM_Try, /*On fail goto*//*Label 7483*/ GIMT_Encode4(426688), // Rule ID 5346 //
     /*  426610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  426621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  426630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426653 */     // MIs[1] Operand 1
     /*  426653 */     // No operand predicates
     /*  426653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426666 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  426666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426686 */     GIR_RootConstrainSelectedInstOperands,
     /*  426687 */     // GIR_Coverage, 5346,
     /*  426687 */     GIR_EraseRootFromParent_Done,
     /*  426688 */   // Label 7483: @426688
     /*  426688 */   GIM_Try, /*On fail goto*//*Label 7484*/ GIMT_Encode4(426771), // Rule ID 5347 //
     /*  426693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  426704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  426707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  426713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426724 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426728 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426732 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426736 */     // MIs[1] Operand 1
     /*  426736 */     // No operand predicates
     /*  426736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426749 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  426749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426754 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426756 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  426769 */     GIR_RootConstrainSelectedInstOperands,
     /*  426770 */     // GIR_Coverage, 5347,
     /*  426770 */     GIR_EraseRootFromParent_Done,
     /*  426771 */   // Label 7484: @426771
     /*  426771 */   GIM_Try, /*On fail goto*//*Label 7485*/ GIMT_Encode4(426854), // Rule ID 5348 //
     /*  426776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  426779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  426787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  426796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426819 */     // MIs[1] Operand 1
     /*  426819 */     // No operand predicates
     /*  426819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426832 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  426832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426852 */     GIR_RootConstrainSelectedInstOperands,
     /*  426853 */     // GIR_Coverage, 5348,
     /*  426853 */     GIR_EraseRootFromParent_Done,
     /*  426854 */   // Label 7485: @426854
     /*  426854 */   GIM_Try, /*On fail goto*//*Label 7486*/ GIMT_Encode4(426937), // Rule ID 5349 //
     /*  426859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  426862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  426870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  426873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  426876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  426879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  426882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426902 */     // MIs[1] Operand 1
     /*  426902 */     // No operand predicates
     /*  426902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426915 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  426915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  426918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  426920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  426922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  426925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  426927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  426932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  426935 */     GIR_RootConstrainSelectedInstOperands,
     /*  426936 */     // GIR_Coverage, 5349,
     /*  426936 */     GIR_EraseRootFromParent_Done,
     /*  426937 */   // Label 7486: @426937
     /*  426937 */   GIM_Try, /*On fail goto*//*Label 7487*/ GIMT_Encode4(427020), // Rule ID 5350 //
     /*  426942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  426945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  426950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  426953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  426956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  426959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  426962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  426965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  426973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  426977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  426981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  426985 */     // MIs[1] Operand 1
     /*  426985 */     // No operand predicates
     /*  426985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  426989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  426991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  426998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  426998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  427001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427018 */     GIR_RootConstrainSelectedInstOperands,
     /*  427019 */     // GIR_Coverage, 5350,
     /*  427019 */     GIR_EraseRootFromParent_Done,
     /*  427020 */   // Label 7487: @427020
     /*  427020 */   GIM_Try, /*On fail goto*//*Label 7488*/ GIMT_Encode4(427103), // Rule ID 5351 //
     /*  427025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  427028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  427036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  427039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  427045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427068 */     // MIs[1] Operand 1
     /*  427068 */     // No operand predicates
     /*  427068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427081 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  427081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M1),
     /*  427084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  427101 */     GIR_RootConstrainSelectedInstOperands,
     /*  427102 */     // GIR_Coverage, 5351,
     /*  427102 */     GIR_EraseRootFromParent_Done,
     /*  427103 */   // Label 7488: @427103
     /*  427103 */   GIM_Try, /*On fail goto*//*Label 7489*/ GIMT_Encode4(427186), // Rule ID 5352 //
     /*  427108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427151 */     // MIs[1] Operand 1
     /*  427151 */     // No operand predicates
     /*  427151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427164 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  427164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427184 */     GIR_RootConstrainSelectedInstOperands,
     /*  427185 */     // GIR_Coverage, 5352,
     /*  427185 */     GIR_EraseRootFromParent_Done,
     /*  427186 */   // Label 7489: @427186
     /*  427186 */   GIM_Try, /*On fail goto*//*Label 7490*/ GIMT_Encode4(427269), // Rule ID 5353 //
     /*  427191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  427205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427234 */     // MIs[1] Operand 1
     /*  427234 */     // No operand predicates
     /*  427234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427247 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  427247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427267 */     GIR_RootConstrainSelectedInstOperands,
     /*  427268 */     // GIR_Coverage, 5353,
     /*  427268 */     GIR_EraseRootFromParent_Done,
     /*  427269 */   // Label 7490: @427269
     /*  427269 */   GIM_Try, /*On fail goto*//*Label 7491*/ GIMT_Encode4(427352), // Rule ID 5354 //
     /*  427274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  427285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  427294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427317 */     // MIs[1] Operand 1
     /*  427317 */     // No operand predicates
     /*  427317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427330 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  427330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427350 */     GIR_RootConstrainSelectedInstOperands,
     /*  427351 */     // GIR_Coverage, 5354,
     /*  427351 */     GIR_EraseRootFromParent_Done,
     /*  427352 */   // Label 7491: @427352
     /*  427352 */   GIM_Try, /*On fail goto*//*Label 7492*/ GIMT_Encode4(427435), // Rule ID 5355 //
     /*  427357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  427368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  427371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  427377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427400 */     // MIs[1] Operand 1
     /*  427400 */     // No operand predicates
     /*  427400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427413 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  427413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427433 */     GIR_RootConstrainSelectedInstOperands,
     /*  427434 */     // GIR_Coverage, 5355,
     /*  427434 */     GIR_EraseRootFromParent_Done,
     /*  427435 */   // Label 7492: @427435
     /*  427435 */   GIM_Try, /*On fail goto*//*Label 7493*/ GIMT_Encode4(427518), // Rule ID 5356 //
     /*  427440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  427451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  427460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427483 */     // MIs[1] Operand 1
     /*  427483 */     // No operand predicates
     /*  427483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427496 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  427496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427516 */     GIR_RootConstrainSelectedInstOperands,
     /*  427517 */     // GIR_Coverage, 5356,
     /*  427517 */     GIR_EraseRootFromParent_Done,
     /*  427518 */   // Label 7493: @427518
     /*  427518 */   GIM_Try, /*On fail goto*//*Label 7494*/ GIMT_Encode4(427601), // Rule ID 5357 //
     /*  427523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  427534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  427537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  427543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427566 */     // MIs[1] Operand 1
     /*  427566 */     // No operand predicates
     /*  427566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427579 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  427579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  427599 */     GIR_RootConstrainSelectedInstOperands,
     /*  427600 */     // GIR_Coverage, 5357,
     /*  427600 */     GIR_EraseRootFromParent_Done,
     /*  427601 */   // Label 7494: @427601
     /*  427601 */   GIM_Try, /*On fail goto*//*Label 7495*/ GIMT_Encode4(427684), // Rule ID 5358 //
     /*  427606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427649 */     // MIs[1] Operand 1
     /*  427649 */     // No operand predicates
     /*  427649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  427662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427682 */     GIR_RootConstrainSelectedInstOperands,
     /*  427683 */     // GIR_Coverage, 5358,
     /*  427683 */     GIR_EraseRootFromParent_Done,
     /*  427684 */   // Label 7495: @427684
     /*  427684 */   GIM_Try, /*On fail goto*//*Label 7496*/ GIMT_Encode4(427767), // Rule ID 5359 //
     /*  427689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  427700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  427703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  427709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  427720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427732 */     // MIs[1] Operand 1
     /*  427732 */     // No operand predicates
     /*  427732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427745 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  427745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  427748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427765 */     GIR_RootConstrainSelectedInstOperands,
     /*  427766 */     // GIR_Coverage, 5359,
     /*  427766 */     GIR_EraseRootFromParent_Done,
     /*  427767 */   // Label 7496: @427767
     /*  427767 */   GIM_Try, /*On fail goto*//*Label 7497*/ GIMT_Encode4(427850), // Rule ID 5360 //
     /*  427772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427815 */     // MIs[1] Operand 1
     /*  427815 */     // No operand predicates
     /*  427815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427828 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  427828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427848 */     GIR_RootConstrainSelectedInstOperands,
     /*  427849 */     // GIR_Coverage, 5360,
     /*  427849 */     GIR_EraseRootFromParent_Done,
     /*  427850 */   // Label 7497: @427850
     /*  427850 */   GIM_Try, /*On fail goto*//*Label 7498*/ GIMT_Encode4(427933), // Rule ID 5361 //
     /*  427855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  427858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  427866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  427869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  427872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  427875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  427878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  427886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427898 */     // MIs[1] Operand 1
     /*  427898 */     // No operand predicates
     /*  427898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427911 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  427911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  427914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  427918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  427921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  427923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  427928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  427931 */     GIR_RootConstrainSelectedInstOperands,
     /*  427932 */     // GIR_Coverage, 5361,
     /*  427932 */     GIR_EraseRootFromParent_Done,
     /*  427933 */   // Label 7498: @427933
     /*  427933 */   GIM_Try, /*On fail goto*//*Label 7499*/ GIMT_Encode4(428016), // Rule ID 5362 //
     /*  427938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  427941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  427946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  427949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  427952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  427955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  427958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  427961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  427965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  427969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  427973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  427977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  427981 */     // MIs[1] Operand 1
     /*  427981 */     // No operand predicates
     /*  427981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  427985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  427987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  427994 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  427994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  427997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  427999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428014 */     GIR_RootConstrainSelectedInstOperands,
     /*  428015 */     // GIR_Coverage, 5362,
     /*  428015 */     GIR_EraseRootFromParent_Done,
     /*  428016 */   // Label 7499: @428016
     /*  428016 */   GIM_Try, /*On fail goto*//*Label 7500*/ GIMT_Encode4(428099), // Rule ID 5363 //
     /*  428021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  428032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  428035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  428041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428060 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428064 */     // MIs[1] Operand 1
     /*  428064 */     // No operand predicates
     /*  428064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428068 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428077 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  428077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428084 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  428097 */     GIR_RootConstrainSelectedInstOperands,
     /*  428098 */     // GIR_Coverage, 5363,
     /*  428098 */     GIR_EraseRootFromParent_Done,
     /*  428099 */   // Label 7500: @428099
     /*  428099 */   GIM_Try, /*On fail goto*//*Label 7501*/ GIMT_Encode4(428182), // Rule ID 5364 //
     /*  428104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  428115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  428124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428147 */     // MIs[1] Operand 1
     /*  428147 */     // No operand predicates
     /*  428147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428160 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  428160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  428163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428170 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428180 */     GIR_RootConstrainSelectedInstOperands,
     /*  428181 */     // GIR_Coverage, 5364,
     /*  428181 */     GIR_EraseRootFromParent_Done,
     /*  428182 */   // Label 7501: @428182
     /*  428182 */   GIM_Try, /*On fail goto*//*Label 7502*/ GIMT_Encode4(428265), // Rule ID 5365 //
     /*  428187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  428198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  428201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  428207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428230 */     // MIs[1] Operand 1
     /*  428230 */     // No operand predicates
     /*  428230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428243 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  428243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  428246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428250 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428263 */     GIR_RootConstrainSelectedInstOperands,
     /*  428264 */     // GIR_Coverage, 5365,
     /*  428264 */     GIR_EraseRootFromParent_Done,
     /*  428265 */   // Label 7502: @428265
     /*  428265 */   GIM_Try, /*On fail goto*//*Label 7503*/ GIMT_Encode4(428348), // Rule ID 5366 //
     /*  428270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  428281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  428290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428313 */     // MIs[1] Operand 1
     /*  428313 */     // No operand predicates
     /*  428313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428326 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  428326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  428329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428333 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428346 */     GIR_RootConstrainSelectedInstOperands,
     /*  428347 */     // GIR_Coverage, 5366,
     /*  428347 */     GIR_EraseRootFromParent_Done,
     /*  428348 */   // Label 7503: @428348
     /*  428348 */   GIM_Try, /*On fail goto*//*Label 7504*/ GIMT_Encode4(428431), // Rule ID 5367 //
     /*  428353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  428364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  428367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  428373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428396 */     // MIs[1] Operand 1
     /*  428396 */     // No operand predicates
     /*  428396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428409 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  428409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  428412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428429 */     GIR_RootConstrainSelectedInstOperands,
     /*  428430 */     // GIR_Coverage, 5367,
     /*  428430 */     GIR_EraseRootFromParent_Done,
     /*  428431 */   // Label 7504: @428431
     /*  428431 */   GIM_Try, /*On fail goto*//*Label 7505*/ GIMT_Encode4(428514), // Rule ID 5368 //
     /*  428436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  428439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  428447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  428456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428479 */     // MIs[1] Operand 1
     /*  428479 */     // No operand predicates
     /*  428479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428492 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  428492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428502 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428512 */     GIR_RootConstrainSelectedInstOperands,
     /*  428513 */     // GIR_Coverage, 5368,
     /*  428513 */     GIR_EraseRootFromParent_Done,
     /*  428514 */   // Label 7505: @428514
     /*  428514 */   GIM_Try, /*On fail goto*//*Label 7506*/ GIMT_Encode4(428597), // Rule ID 5369 //
     /*  428519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  428522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  428530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  428533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  428539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428562 */     // MIs[1] Operand 1
     /*  428562 */     // No operand predicates
     /*  428562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428575 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  428575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  428595 */     GIR_RootConstrainSelectedInstOperands,
     /*  428596 */     // GIR_Coverage, 5369,
     /*  428596 */     GIR_EraseRootFromParent_Done,
     /*  428597 */   // Label 7506: @428597
     /*  428597 */   GIM_Try, /*On fail goto*//*Label 7507*/ GIMT_Encode4(428680), // Rule ID 5370 //
     /*  428602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  428613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  428622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428645 */     // MIs[1] Operand 1
     /*  428645 */     // No operand predicates
     /*  428645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428658 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  428658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  428661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428678 */     GIR_RootConstrainSelectedInstOperands,
     /*  428679 */     // GIR_Coverage, 5370,
     /*  428679 */     GIR_EraseRootFromParent_Done,
     /*  428680 */   // Label 7507: @428680
     /*  428680 */   GIM_Try, /*On fail goto*//*Label 7508*/ GIMT_Encode4(428763), // Rule ID 5371 //
     /*  428685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  428696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  428699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  428705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  428716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428728 */     // MIs[1] Operand 1
     /*  428728 */     // No operand predicates
     /*  428728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428741 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  428741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M2),
     /*  428744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428761 */     GIR_RootConstrainSelectedInstOperands,
     /*  428762 */     // GIR_Coverage, 5371,
     /*  428762 */     GIR_EraseRootFromParent_Done,
     /*  428763 */   // Label 7508: @428763
     /*  428763 */   GIM_Try, /*On fail goto*//*Label 7509*/ GIMT_Encode4(428846), // Rule ID 5372 //
     /*  428768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  428779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  428788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428811 */     // MIs[1] Operand 1
     /*  428811 */     // No operand predicates
     /*  428811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428824 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  428824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  428827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428844 */     GIR_RootConstrainSelectedInstOperands,
     /*  428845 */     // GIR_Coverage, 5372,
     /*  428845 */     GIR_EraseRootFromParent_Done,
     /*  428846 */   // Label 7509: @428846
     /*  428846 */   GIM_Try, /*On fail goto*//*Label 7510*/ GIMT_Encode4(428929), // Rule ID 5373 //
     /*  428851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  428854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  428862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  428865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  428868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  428871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  428874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  428882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428894 */     // MIs[1] Operand 1
     /*  428894 */     // No operand predicates
     /*  428894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428907 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  428907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M4),
     /*  428910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  428917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  428919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  428924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  428927 */     GIR_RootConstrainSelectedInstOperands,
     /*  428928 */     // GIR_Coverage, 5373,
     /*  428928 */     GIR_EraseRootFromParent_Done,
     /*  428929 */   // Label 7510: @428929
     /*  428929 */   GIM_Try, /*On fail goto*//*Label 7511*/ GIMT_Encode4(429012), // Rule ID 5374 //
     /*  428934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  428937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  428942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  428945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  428948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  428951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  428954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  428957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  428961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  428965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  428969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  428973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  428977 */     // MIs[1] Operand 1
     /*  428977 */     // No operand predicates
     /*  428977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  428981 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  428983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  428990 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  428990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  428993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  428995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  428997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  429002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429010 */     GIR_RootConstrainSelectedInstOperands,
     /*  429011 */     // GIR_Coverage, 5374,
     /*  429011 */     GIR_EraseRootFromParent_Done,
     /*  429012 */   // Label 7511: @429012
     /*  429012 */   GIM_Try, /*On fail goto*//*Label 7512*/ GIMT_Encode4(429095), // Rule ID 5375 //
     /*  429017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  429020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  429025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  429028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  429031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  429034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  429037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /*  429052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  429056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  429060 */     // MIs[1] Operand 1
     /*  429060 */     // No operand predicates
     /*  429060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  429064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  429066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429073 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VIM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  429073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VIM_M8),
     /*  429076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  429080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  429083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  429085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  429093 */     GIR_RootConstrainSelectedInstOperands,
     /*  429094 */     // GIR_Coverage, 5375,
     /*  429094 */     GIR_EraseRootFromParent_Done,
     /*  429095 */   // Label 7512: @429095
     /*  429095 */   GIM_Try, /*On fail goto*//*Label 7513*/ GIMT_Encode4(429171), // Rule ID 60608 //
     /*  429100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  429103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  429111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  429114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  429117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429132 */     // MIs[0] rs2
     /*  429132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429135 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  429150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429169 */     GIR_RootConstrainSelectedInstOperands,
     /*  429170 */     // GIR_Coverage, 60608,
     /*  429170 */     GIR_EraseRootFromParent_Done,
     /*  429171 */   // Label 7513: @429171
     /*  429171 */   GIM_Try, /*On fail goto*//*Label 7514*/ GIMT_Encode4(429247), // Rule ID 60609 //
     /*  429176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  429187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  429190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  429193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429208 */     // MIs[0] rs2
     /*  429208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429223 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_MF2),
     /*  429226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429245 */     GIR_RootConstrainSelectedInstOperands,
     /*  429246 */     // GIR_Coverage, 60609,
     /*  429246 */     GIR_EraseRootFromParent_Done,
     /*  429247 */   // Label 7514: @429247
     /*  429247 */   GIM_Try, /*On fail goto*//*Label 7515*/ GIMT_Encode4(429323), // Rule ID 62254 //
     /*  429252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  429255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  429263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  429266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  429269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429284 */     // MIs[0] rs2
     /*  429284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429287 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  429302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429321 */     GIR_RootConstrainSelectedInstOperands,
     /*  429322 */     // GIR_Coverage, 62254,
     /*  429322 */     GIR_EraseRootFromParent_Done,
     /*  429323 */   // Label 7515: @429323
     /*  429323 */   GIM_Try, /*On fail goto*//*Label 7516*/ GIMT_Encode4(429399), // Rule ID 62255 //
     /*  429328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  429339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  429342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  429345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429360 */     // MIs[0] rs2
     /*  429360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429375 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11153:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M1),
     /*  429378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429397 */     GIR_RootConstrainSelectedInstOperands,
     /*  429398 */     // GIR_Coverage, 62255,
     /*  429398 */     GIR_EraseRootFromParent_Done,
     /*  429399 */   // Label 7516: @429399
     /*  429399 */   GIM_Try, /*On fail goto*//*Label 7517*/ GIMT_Encode4(429475), // Rule ID 62256 //
     /*  429404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  429407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429436 */     // MIs[0] rs2
     /*  429436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429451 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  429454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429473 */     GIR_RootConstrainSelectedInstOperands,
     /*  429474 */     // GIR_Coverage, 62256,
     /*  429474 */     GIR_EraseRootFromParent_Done,
     /*  429475 */   // Label 7517: @429475
     /*  429475 */   GIM_Try, /*On fail goto*//*Label 7518*/ GIMT_Encode4(429551), // Rule ID 62257 //
     /*  429480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  429491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  429494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  429497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  429512 */     // MIs[0] rs2
     /*  429512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429515 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429527 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11153:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M2),
     /*  429530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429549 */     GIR_RootConstrainSelectedInstOperands,
     /*  429550 */     // GIR_Coverage, 62257,
     /*  429550 */     GIR_EraseRootFromParent_Done,
     /*  429551 */   // Label 7518: @429551
     /*  429551 */   GIM_Try, /*On fail goto*//*Label 7519*/ GIMT_Encode4(429627), // Rule ID 62258 //
     /*  429556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  429559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429588 */     // MIs[0] rs2
     /*  429588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429603 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  429606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429625 */     GIR_RootConstrainSelectedInstOperands,
     /*  429626 */     // GIR_Coverage, 62258,
     /*  429626 */     GIR_EraseRootFromParent_Done,
     /*  429627 */   // Label 7519: @429627
     /*  429627 */   GIM_Try, /*On fail goto*//*Label 7520*/ GIMT_Encode4(429703), // Rule ID 62259 //
     /*  429632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  429643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  429646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  429649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  429664 */     // MIs[0] rs2
     /*  429664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429667 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429679 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11153:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M4),
     /*  429682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429701 */     GIR_RootConstrainSelectedInstOperands,
     /*  429702 */     // GIR_Coverage, 62259,
     /*  429702 */     GIR_EraseRootFromParent_Done,
     /*  429703 */   // Label 7520: @429703
     /*  429703 */   GIM_Try, /*On fail goto*//*Label 7521*/ GIMT_Encode4(429779), // Rule ID 62260 //
     /*  429708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  429711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429740 */     // MIs[0] rs2
     /*  429740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429755 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  429758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429777 */     GIR_RootConstrainSelectedInstOperands,
     /*  429778 */     // GIR_Coverage, 62260,
     /*  429778 */     GIR_EraseRootFromParent_Done,
     /*  429779 */   // Label 7521: @429779
     /*  429779 */   GIM_Try, /*On fail goto*//*Label 7522*/ GIMT_Encode4(429855), // Rule ID 62261 //
     /*  429784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  429787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf1),
     /*  429792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  429795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  429798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  429801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  429816 */     // MIs[0] rs2
     /*  429816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429831 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11153:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAESKF1_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF1_VI_M8),
     /*  429834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429853 */     GIR_RootConstrainSelectedInstOperands,
     /*  429854 */     // GIR_Coverage, 62261,
     /*  429854 */     GIR_EraseRootFromParent_Done,
     /*  429855 */   // Label 7522: @429855
     /*  429855 */   GIM_Try, /*On fail goto*//*Label 7523*/ GIMT_Encode4(429931), // Rule ID 62382 //
     /*  429860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  429863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  429871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  429874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  429877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  429880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429892 */     // MIs[0] rs2
     /*  429892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429895 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  429907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  429910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  429926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  429929 */     GIR_RootConstrainSelectedInstOperands,
     /*  429930 */     // GIR_Coverage, 62382,
     /*  429930 */     GIR_EraseRootFromParent_Done,
     /*  429931 */   // Label 7523: @429931
     /*  429931 */   GIM_Try, /*On fail goto*//*Label 7524*/ GIMT_Encode4(430007), // Rule ID 62383 //
     /*  429936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  429939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  429944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  429947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  429950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  429953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  429956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  429968 */     // MIs[0] rs2
     /*  429968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  429971 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  429976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  429983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  429983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_MF2),
     /*  429986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  429988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  429990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  429992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  429994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  429999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430005 */     GIR_RootConstrainSelectedInstOperands,
     /*  430006 */     // GIR_Coverage, 62383,
     /*  430006 */     GIR_EraseRootFromParent_Done,
     /*  430007 */   // Label 7524: @430007
     /*  430007 */   GIM_Try, /*On fail goto*//*Label 7525*/ GIMT_Encode4(430083), // Rule ID 62384 //
     /*  430012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  430015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  430023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  430026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  430029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430044 */     // MIs[0] rs2
     /*  430044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430059 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  430062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430081 */     GIR_RootConstrainSelectedInstOperands,
     /*  430082 */     // GIR_Coverage, 62384,
     /*  430082 */     GIR_EraseRootFromParent_Done,
     /*  430083 */   // Label 7525: @430083
     /*  430083 */   GIM_Try, /*On fail goto*//*Label 7526*/ GIMT_Encode4(430159), // Rule ID 62385 //
     /*  430088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  430091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  430099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  430102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  430105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430120 */     // MIs[0] rs2
     /*  430120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430123 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430135 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11558:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M1),
     /*  430138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430157 */     GIR_RootConstrainSelectedInstOperands,
     /*  430158 */     // GIR_Coverage, 62385,
     /*  430158 */     GIR_EraseRootFromParent_Done,
     /*  430159 */   // Label 7526: @430159
     /*  430159 */   GIM_Try, /*On fail goto*//*Label 7527*/ GIMT_Encode4(430235), // Rule ID 62386 //
     /*  430164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  430167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  430175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  430178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  430181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430196 */     // MIs[0] rs2
     /*  430196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430199 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430211 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  430214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430233 */     GIR_RootConstrainSelectedInstOperands,
     /*  430234 */     // GIR_Coverage, 62386,
     /*  430234 */     GIR_EraseRootFromParent_Done,
     /*  430235 */   // Label 7527: @430235
     /*  430235 */   GIM_Try, /*On fail goto*//*Label 7528*/ GIMT_Encode4(430311), // Rule ID 62387 //
     /*  430240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  430243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  430251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  430254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  430257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  430272 */     // MIs[0] rs2
     /*  430272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430275 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11558:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M2),
     /*  430290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430309 */     GIR_RootConstrainSelectedInstOperands,
     /*  430310 */     // GIR_Coverage, 62387,
     /*  430310 */     GIR_EraseRootFromParent_Done,
     /*  430311 */   // Label 7528: @430311
     /*  430311 */   GIM_Try, /*On fail goto*//*Label 7529*/ GIMT_Encode4(430387), // Rule ID 62388 //
     /*  430316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  430319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  430327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  430330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  430333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430348 */     // MIs[0] rs2
     /*  430348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430351 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430363 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  430366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430385 */     GIR_RootConstrainSelectedInstOperands,
     /*  430386 */     // GIR_Coverage, 62388,
     /*  430386 */     GIR_EraseRootFromParent_Done,
     /*  430387 */   // Label 7529: @430387
     /*  430387 */   GIM_Try, /*On fail goto*//*Label 7530*/ GIMT_Encode4(430463), // Rule ID 62389 //
     /*  430392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  430395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  430403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  430406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  430409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  430424 */     // MIs[0] rs2
     /*  430424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11558:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M4),
     /*  430442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430461 */     GIR_RootConstrainSelectedInstOperands,
     /*  430462 */     // GIR_Coverage, 62389,
     /*  430462 */     GIR_EraseRootFromParent_Done,
     /*  430463 */   // Label 7530: @430463
     /*  430463 */   GIM_Try, /*On fail goto*//*Label 7531*/ GIMT_Encode4(430539), // Rule ID 62390 //
     /*  430468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  430471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  430479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  430482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  430485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430500 */     // MIs[0] rs2
     /*  430500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430503 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430515 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  430515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  430518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430537 */     GIR_RootConstrainSelectedInstOperands,
     /*  430538 */     // GIR_Coverage, 62390,
     /*  430538 */     GIR_EraseRootFromParent_Done,
     /*  430539 */   // Label 7531: @430539
     /*  430539 */   GIM_Try, /*On fail goto*//*Label 7532*/ GIMT_Encode4(430615), // Rule ID 62391 //
     /*  430544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  430547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4k),
     /*  430552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  430555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  430558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  430561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  430576 */     // MIs[0] rs2
     /*  430576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  430579 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  430584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430591 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11558:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM4K_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  430591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4K_VI_M8),
     /*  430594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  430602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  430610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430613 */     GIR_RootConstrainSelectedInstOperands,
     /*  430614 */     // GIR_Coverage, 62391,
     /*  430614 */     GIR_EraseRootFromParent_Done,
     /*  430615 */   // Label 7532: @430615
     /*  430615 */   GIM_Try, /*On fail goto*//*Label 7533*/ GIMT_Encode4(430703), // Rule ID 2794 //
     /*  430620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430667 */     // MIs[1] Operand 1
     /*  430667 */     // No operand predicates
     /*  430667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430676 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  430679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430685 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430701 */     GIR_RootConstrainSelectedInstOperands,
     /*  430702 */     // GIR_Coverage, 2794,
     /*  430702 */     GIR_EraseRootFromParent_Done,
     /*  430703 */   // Label 7533: @430703
     /*  430703 */   GIM_Try, /*On fail goto*//*Label 7534*/ GIMT_Encode4(430791), // Rule ID 2795 //
     /*  430708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  430719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  430722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  430725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430755 */     // MIs[1] Operand 1
     /*  430755 */     // No operand predicates
     /*  430755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430764 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  430767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430773 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430789 */     GIR_RootConstrainSelectedInstOperands,
     /*  430790 */     // GIR_Coverage, 2795,
     /*  430790 */     GIR_EraseRootFromParent_Done,
     /*  430791 */   // Label 7534: @430791
     /*  430791 */   GIM_Try, /*On fail goto*//*Label 7535*/ GIMT_Encode4(430879), // Rule ID 2802 //
     /*  430796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  430807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  430810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  430813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430843 */     // MIs[1] Operand 1
     /*  430843 */     // No operand predicates
     /*  430843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  430852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430861 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430877 */     GIR_RootConstrainSelectedInstOperands,
     /*  430878 */     // GIR_Coverage, 2802,
     /*  430878 */     GIR_EraseRootFromParent_Done,
     /*  430879 */   // Label 7535: @430879
     /*  430879 */   GIM_Try, /*On fail goto*//*Label 7536*/ GIMT_Encode4(430967), // Rule ID 2803 //
     /*  430884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  430887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  430895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  430898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  430901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  430904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  430907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  430923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  430927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  430931 */     // MIs[1] Operand 1
     /*  430931 */     // No operand predicates
     /*  430931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  430933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  430940 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  430940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  430943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  430945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  430947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  430949 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  430954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  430959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  430962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  430965 */     GIR_RootConstrainSelectedInstOperands,
     /*  430966 */     // GIR_Coverage, 2803,
     /*  430966 */     GIR_EraseRootFromParent_Done,
     /*  430967 */   // Label 7536: @430967
     /*  430967 */   GIM_Try, /*On fail goto*//*Label 7537*/ GIMT_Encode4(431055), // Rule ID 2810 //
     /*  430972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  430975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  430980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  430983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  430986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  430989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  430992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  430995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  430999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431019 */     // MIs[1] Operand 1
     /*  431019 */     // No operand predicates
     /*  431019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431037 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431053 */     GIR_RootConstrainSelectedInstOperands,
     /*  431054 */     // GIR_Coverage, 2810,
     /*  431054 */     GIR_EraseRootFromParent_Done,
     /*  431055 */   // Label 7537: @431055
     /*  431055 */   GIM_Try, /*On fail goto*//*Label 7538*/ GIMT_Encode4(431143), // Rule ID 2811 //
     /*  431060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  431071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  431074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  431077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431107 */     // MIs[1] Operand 1
     /*  431107 */     // No operand predicates
     /*  431107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431116 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431125 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431141 */     GIR_RootConstrainSelectedInstOperands,
     /*  431142 */     // GIR_Coverage, 2811,
     /*  431142 */     GIR_EraseRootFromParent_Done,
     /*  431143 */   // Label 7538: @431143
     /*  431143 */   GIM_Try, /*On fail goto*//*Label 7539*/ GIMT_Encode4(431231), // Rule ID 2818 //
     /*  431148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  431159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  431162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  431165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431195 */     // MIs[1] Operand 1
     /*  431195 */     // No operand predicates
     /*  431195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431204 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  431207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431213 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431229 */     GIR_RootConstrainSelectedInstOperands,
     /*  431230 */     // GIR_Coverage, 2818,
     /*  431230 */     GIR_EraseRootFromParent_Done,
     /*  431231 */   // Label 7539: @431231
     /*  431231 */   GIM_Try, /*On fail goto*//*Label 7540*/ GIMT_Encode4(431319), // Rule ID 2819 //
     /*  431236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  431247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  431250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  431253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431283 */     // MIs[1] Operand 1
     /*  431283 */     // No operand predicates
     /*  431283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431292 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  431295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431301 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431317 */     GIR_RootConstrainSelectedInstOperands,
     /*  431318 */     // GIR_Coverage, 2819,
     /*  431318 */     GIR_EraseRootFromParent_Done,
     /*  431319 */   // Label 7540: @431319
     /*  431319 */   GIM_Try, /*On fail goto*//*Label 7541*/ GIMT_Encode4(431407), // Rule ID 2826 //
     /*  431324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  431335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  431338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  431341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431371 */     // MIs[1] Operand 1
     /*  431371 */     // No operand predicates
     /*  431371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431380 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431389 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431405 */     GIR_RootConstrainSelectedInstOperands,
     /*  431406 */     // GIR_Coverage, 2826,
     /*  431406 */     GIR_EraseRootFromParent_Done,
     /*  431407 */   // Label 7541: @431407
     /*  431407 */   GIM_Try, /*On fail goto*//*Label 7542*/ GIMT_Encode4(431495), // Rule ID 2827 //
     /*  431412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  431423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  431426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  431429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431459 */     // MIs[1] Operand 1
     /*  431459 */     // No operand predicates
     /*  431459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431468 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431477 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431493 */     GIR_RootConstrainSelectedInstOperands,
     /*  431494 */     // GIR_Coverage, 2827,
     /*  431494 */     GIR_EraseRootFromParent_Done,
     /*  431495 */   // Label 7542: @431495
     /*  431495 */   GIM_Try, /*On fail goto*//*Label 7543*/ GIMT_Encode4(431583), // Rule ID 2834 //
     /*  431500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  431511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  431514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  431517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431547 */     // MIs[1] Operand 1
     /*  431547 */     // No operand predicates
     /*  431547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431556 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  431556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431565 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431581 */     GIR_RootConstrainSelectedInstOperands,
     /*  431582 */     // GIR_Coverage, 2834,
     /*  431582 */     GIR_EraseRootFromParent_Done,
     /*  431583 */   // Label 7543: @431583
     /*  431583 */   GIM_Try, /*On fail goto*//*Label 7544*/ GIMT_Encode4(431671), // Rule ID 2835 //
     /*  431588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  431599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  431602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  431605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431635 */     // MIs[1] Operand 1
     /*  431635 */     // No operand predicates
     /*  431635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  431644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  431647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431653 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  431666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431669 */     GIR_RootConstrainSelectedInstOperands,
     /*  431670 */     // GIR_Coverage, 2835,
     /*  431670 */     GIR_EraseRootFromParent_Done,
     /*  431671 */   // Label 7544: @431671
     /*  431671 */   GIM_Try, /*On fail goto*//*Label 7545*/ GIMT_Encode4(431759), // Rule ID 2842 //
     /*  431676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431723 */     // MIs[1] Operand 1
     /*  431723 */     // No operand predicates
     /*  431723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  431732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431741 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431757 */     GIR_RootConstrainSelectedInstOperands,
     /*  431758 */     // GIR_Coverage, 2842,
     /*  431758 */     GIR_EraseRootFromParent_Done,
     /*  431759 */   // Label 7545: @431759
     /*  431759 */   GIM_Try, /*On fail goto*//*Label 7546*/ GIMT_Encode4(431847), // Rule ID 2843 //
     /*  431764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  431775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  431778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  431781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431811 */     // MIs[1] Operand 1
     /*  431811 */     // No operand predicates
     /*  431811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431820 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  431820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431829 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  431842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431845 */     GIR_RootConstrainSelectedInstOperands,
     /*  431846 */     // GIR_Coverage, 2843,
     /*  431846 */     GIR_EraseRootFromParent_Done,
     /*  431847 */   // Label 7546: @431847
     /*  431847 */   GIM_Try, /*On fail goto*//*Label 7547*/ GIMT_Encode4(431935), // Rule ID 2850 //
     /*  431852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  431855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  431863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  431866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  431869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  431872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  431875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431899 */     // MIs[1] Operand 1
     /*  431899 */     // No operand predicates
     /*  431899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431908 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  431908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  431913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  431915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  431917 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  431922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  431927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  431930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  431933 */     GIR_RootConstrainSelectedInstOperands,
     /*  431934 */     // GIR_Coverage, 2850,
     /*  431934 */     GIR_EraseRootFromParent_Done,
     /*  431935 */   // Label 7547: @431935
     /*  431935 */   GIM_Try, /*On fail goto*//*Label 7548*/ GIMT_Encode4(432023), // Rule ID 2851 //
     /*  431940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  431943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  431948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  431951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  431954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  431957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  431960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  431963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  431975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  431979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  431983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  431987 */     // MIs[1] Operand 1
     /*  431987 */     // No operand predicates
     /*  431987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  431989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  431996 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  431996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  431999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432005 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432021 */     GIR_RootConstrainSelectedInstOperands,
     /*  432022 */     // GIR_Coverage, 2851,
     /*  432022 */     GIR_EraseRootFromParent_Done,
     /*  432023 */   // Label 7548: @432023
     /*  432023 */   GIM_Try, /*On fail goto*//*Label 7549*/ GIMT_Encode4(432111), // Rule ID 2858 //
     /*  432028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  432039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  432042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  432045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432075 */     // MIs[1] Operand 1
     /*  432075 */     // No operand predicates
     /*  432075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  432084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  432087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432093 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432109 */     GIR_RootConstrainSelectedInstOperands,
     /*  432110 */     // GIR_Coverage, 2858,
     /*  432110 */     GIR_EraseRootFromParent_Done,
     /*  432111 */   // Label 7549: @432111
     /*  432111 */   GIM_Try, /*On fail goto*//*Label 7550*/ GIMT_Encode4(432199), // Rule ID 2859 //
     /*  432116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  432127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  432130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  432133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432151 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432155 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432159 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432163 */     // MIs[1] Operand 1
     /*  432163 */     // No operand predicates
     /*  432163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  432172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  432175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432181 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  432194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432197 */     GIR_RootConstrainSelectedInstOperands,
     /*  432198 */     // GIR_Coverage, 2859,
     /*  432198 */     GIR_EraseRootFromParent_Done,
     /*  432199 */   // Label 7550: @432199
     /*  432199 */   GIM_Try, /*On fail goto*//*Label 7551*/ GIMT_Encode4(432287), // Rule ID 2866 //
     /*  432204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  432207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  432215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  432218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  432221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432251 */     // MIs[1] Operand 1
     /*  432251 */     // No operand predicates
     /*  432251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432260 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  432260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  432263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432269 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432285 */     GIR_RootConstrainSelectedInstOperands,
     /*  432286 */     // GIR_Coverage, 2866,
     /*  432286 */     GIR_EraseRootFromParent_Done,
     /*  432287 */   // Label 7551: @432287
     /*  432287 */   GIM_Try, /*On fail goto*//*Label 7552*/ GIMT_Encode4(432375), // Rule ID 2867 //
     /*  432292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  432295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  432303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  432306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  432309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  432327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432339 */     // MIs[1] Operand 1
     /*  432339 */     // No operand predicates
     /*  432339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432348 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  432348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  432351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432357 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  432370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432373 */     GIR_RootConstrainSelectedInstOperands,
     /*  432374 */     // GIR_Coverage, 2867,
     /*  432374 */     GIR_EraseRootFromParent_Done,
     /*  432375 */   // Label 7552: @432375
     /*  432375 */   GIM_Try, /*On fail goto*//*Label 7553*/ GIMT_Encode4(432463), // Rule ID 2874 //
     /*  432380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  432391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  432394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  432397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432427 */     // MIs[1] Operand 1
     /*  432427 */     // No operand predicates
     /*  432427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432445 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432461 */     GIR_RootConstrainSelectedInstOperands,
     /*  432462 */     // GIR_Coverage, 2874,
     /*  432462 */     GIR_EraseRootFromParent_Done,
     /*  432463 */   // Label 7553: @432463
     /*  432463 */   GIM_Try, /*On fail goto*//*Label 7554*/ GIMT_Encode4(432551), // Rule ID 2875 //
     /*  432468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  432479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  432482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  432485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432515 */     // MIs[1] Operand 1
     /*  432515 */     // No operand predicates
     /*  432515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432533 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432549 */     GIR_RootConstrainSelectedInstOperands,
     /*  432550 */     // GIR_Coverage, 2875,
     /*  432550 */     GIR_EraseRootFromParent_Done,
     /*  432551 */   // Label 7554: @432551
     /*  432551 */   GIM_Try, /*On fail goto*//*Label 7555*/ GIMT_Encode4(432639), // Rule ID 2882 //
     /*  432556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  432567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  432570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  432573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432603 */     // MIs[1] Operand 1
     /*  432603 */     // No operand predicates
     /*  432603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432612 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432621 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432637 */     GIR_RootConstrainSelectedInstOperands,
     /*  432638 */     // GIR_Coverage, 2882,
     /*  432638 */     GIR_EraseRootFromParent_Done,
     /*  432639 */   // Label 7555: @432639
     /*  432639 */   GIM_Try, /*On fail goto*//*Label 7556*/ GIMT_Encode4(432727), // Rule ID 2883 //
     /*  432644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  432655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  432658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  432661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  432679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432691 */     // MIs[1] Operand 1
     /*  432691 */     // No operand predicates
     /*  432691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432700 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  432703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432709 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432725 */     GIR_RootConstrainSelectedInstOperands,
     /*  432726 */     // GIR_Coverage, 2883,
     /*  432726 */     GIR_EraseRootFromParent_Done,
     /*  432727 */   // Label 7556: @432727
     /*  432727 */   GIM_Try, /*On fail goto*//*Label 7557*/ GIMT_Encode4(432815), // Rule ID 2890 //
     /*  432732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432779 */     // MIs[1] Operand 1
     /*  432779 */     // No operand predicates
     /*  432779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432788 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  432788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432797 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432813 */     GIR_RootConstrainSelectedInstOperands,
     /*  432814 */     // GIR_Coverage, 2890,
     /*  432814 */     GIR_EraseRootFromParent_Done,
     /*  432815 */   // Label 7557: @432815
     /*  432815 */   GIM_Try, /*On fail goto*//*Label 7558*/ GIMT_Encode4(432903), // Rule ID 2891 //
     /*  432820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  432831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  432834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  432837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  432840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  432843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  432855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432867 */     // MIs[1] Operand 1
     /*  432867 */     // No operand predicates
     /*  432867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432876 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  432876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  432879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432885 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  432898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432901 */     GIR_RootConstrainSelectedInstOperands,
     /*  432902 */     // GIR_Coverage, 2891,
     /*  432902 */     GIR_EraseRootFromParent_Done,
     /*  432903 */   // Label 7558: @432903
     /*  432903 */   GIM_Try, /*On fail goto*//*Label 7559*/ GIMT_Encode4(432991), // Rule ID 2898 //
     /*  432908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  432911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  432916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  432919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  432922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  432925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  432928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  432931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  432943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  432947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  432951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  432955 */     // MIs[1] Operand 1
     /*  432955 */     // No operand predicates
     /*  432955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  432957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  432964 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  432964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  432967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  432969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  432971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  432973 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  432978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  432983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  432986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  432989 */     GIR_RootConstrainSelectedInstOperands,
     /*  432990 */     // GIR_Coverage, 2898,
     /*  432990 */     GIR_EraseRootFromParent_Done,
     /*  432991 */   // Label 7559: @432991
     /*  432991 */   GIM_Try, /*On fail goto*//*Label 7560*/ GIMT_Encode4(433079), // Rule ID 2899 //
     /*  432996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  432999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  433007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  433010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  433013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433043 */     // MIs[1] Operand 1
     /*  433043 */     // No operand predicates
     /*  433043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433061 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433077 */     GIR_RootConstrainSelectedInstOperands,
     /*  433078 */     // GIR_Coverage, 2899,
     /*  433078 */     GIR_EraseRootFromParent_Done,
     /*  433079 */   // Label 7560: @433079
     /*  433079 */   GIM_Try, /*On fail goto*//*Label 7561*/ GIMT_Encode4(433167), // Rule ID 2906 //
     /*  433084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  433095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  433098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  433101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433131 */     // MIs[1] Operand 1
     /*  433131 */     // No operand predicates
     /*  433131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433149 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433165 */     GIR_RootConstrainSelectedInstOperands,
     /*  433166 */     // GIR_Coverage, 2906,
     /*  433166 */     GIR_EraseRootFromParent_Done,
     /*  433167 */   // Label 7561: @433167
     /*  433167 */   GIM_Try, /*On fail goto*//*Label 7562*/ GIMT_Encode4(433255), // Rule ID 2907 //
     /*  433172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  433183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  433186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  433189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433219 */     // MIs[1] Operand 1
     /*  433219 */     // No operand predicates
     /*  433219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433237 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433253 */     GIR_RootConstrainSelectedInstOperands,
     /*  433254 */     // GIR_Coverage, 2907,
     /*  433254 */     GIR_EraseRootFromParent_Done,
     /*  433255 */   // Label 7562: @433255
     /*  433255 */   GIM_Try, /*On fail goto*//*Label 7563*/ GIMT_Encode4(433343), // Rule ID 2914 //
     /*  433260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  433271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  433274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  433277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433307 */     // MIs[1] Operand 1
     /*  433307 */     // No operand predicates
     /*  433307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433316 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  433316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433325 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433341 */     GIR_RootConstrainSelectedInstOperands,
     /*  433342 */     // GIR_Coverage, 2914,
     /*  433342 */     GIR_EraseRootFromParent_Done,
     /*  433343 */   // Label 7563: @433343
     /*  433343 */   GIM_Try, /*On fail goto*//*Label 7564*/ GIMT_Encode4(433431), // Rule ID 2915 //
     /*  433348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  433359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  433362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  433365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433395 */     // MIs[1] Operand 1
     /*  433395 */     // No operand predicates
     /*  433395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  433404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433413 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  433426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433429 */     GIR_RootConstrainSelectedInstOperands,
     /*  433430 */     // GIR_Coverage, 2915,
     /*  433430 */     GIR_EraseRootFromParent_Done,
     /*  433431 */   // Label 7564: @433431
     /*  433431 */   GIM_Try, /*On fail goto*//*Label 7565*/ GIMT_Encode4(433519), // Rule ID 2922 //
     /*  433436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433483 */     // MIs[1] Operand 1
     /*  433483 */     // No operand predicates
     /*  433483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433492 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433501 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433517 */     GIR_RootConstrainSelectedInstOperands,
     /*  433518 */     // GIR_Coverage, 2922,
     /*  433518 */     GIR_EraseRootFromParent_Done,
     /*  433519 */   // Label 7565: @433519
     /*  433519 */   GIM_Try, /*On fail goto*//*Label 7566*/ GIMT_Encode4(433607), // Rule ID 2923 //
     /*  433524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  433535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  433538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  433541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433571 */     // MIs[1] Operand 1
     /*  433571 */     // No operand predicates
     /*  433571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  433583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433589 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433605 */     GIR_RootConstrainSelectedInstOperands,
     /*  433606 */     // GIR_Coverage, 2923,
     /*  433606 */     GIR_EraseRootFromParent_Done,
     /*  433607 */   // Label 7566: @433607
     /*  433607 */   GIM_Try, /*On fail goto*//*Label 7567*/ GIMT_Encode4(433695), // Rule ID 2930 //
     /*  433612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433659 */     // MIs[1] Operand 1
     /*  433659 */     // No operand predicates
     /*  433659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433677 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433693 */     GIR_RootConstrainSelectedInstOperands,
     /*  433694 */     // GIR_Coverage, 2930,
     /*  433694 */     GIR_EraseRootFromParent_Done,
     /*  433695 */   // Label 7567: @433695
     /*  433695 */   GIM_Try, /*On fail goto*//*Label 7568*/ GIMT_Encode4(433783), // Rule ID 2931 //
     /*  433700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  433711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  433714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  433717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  433735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433747 */     // MIs[1] Operand 1
     /*  433747 */     // No operand predicates
     /*  433747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  433759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433765 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433781 */     GIR_RootConstrainSelectedInstOperands,
     /*  433782 */     // GIR_Coverage, 2931,
     /*  433782 */     GIR_EraseRootFromParent_Done,
     /*  433783 */   // Label 7568: @433783
     /*  433783 */   GIM_Try, /*On fail goto*//*Label 7569*/ GIMT_Encode4(433871), // Rule ID 2938 //
     /*  433788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  433791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433835 */     // MIs[1] Operand 1
     /*  433835 */     // No operand predicates
     /*  433835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  433844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433853 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433869 */     GIR_RootConstrainSelectedInstOperands,
     /*  433870 */     // GIR_Coverage, 2938,
     /*  433870 */     GIR_EraseRootFromParent_Done,
     /*  433871 */   // Label 7569: @433871
     /*  433871 */   GIM_Try, /*On fail goto*//*Label 7570*/ GIMT_Encode4(433959), // Rule ID 2939 //
     /*  433876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  433879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  433887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  433890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  433893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  433896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  433899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  433911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  433915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  433919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  433923 */     // MIs[1] Operand 1
     /*  433923 */     // No operand predicates
     /*  433923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  433925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  433932 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  433932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  433935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  433937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  433939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  433941 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  433946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  433951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  433954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  433957 */     GIR_RootConstrainSelectedInstOperands,
     /*  433958 */     // GIR_Coverage, 2939,
     /*  433958 */     GIR_EraseRootFromParent_Done,
     /*  433959 */   // Label 7570: @433959
     /*  433959 */   GIM_Try, /*On fail goto*//*Label 7571*/ GIMT_Encode4(434047), // Rule ID 2946 //
     /*  433964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  433967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  433972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  433975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  433978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  433981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  433984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  433987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  433999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  434011 */     // MIs[1] Operand 1
     /*  434011 */     // No operand predicates
     /*  434011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434020 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  434023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434029 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  434034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434045 */     GIR_RootConstrainSelectedInstOperands,
     /*  434046 */     // GIR_Coverage, 2946,
     /*  434046 */     GIR_EraseRootFromParent_Done,
     /*  434047 */   // Label 7571: @434047
     /*  434047 */   GIM_Try, /*On fail goto*//*Label 7572*/ GIMT_Encode4(434135), // Rule ID 2947 //
     /*  434052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  434060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  434063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  434066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  434069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  434087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  434099 */     // MIs[1] Operand 1
     /*  434099 */     // No operand predicates
     /*  434099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434108 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  434111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434117 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  434122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434133 */     GIR_RootConstrainSelectedInstOperands,
     /*  434134 */     // GIR_Coverage, 2947,
     /*  434134 */     GIR_EraseRootFromParent_Done,
     /*  434135 */   // Label 7572: @434135
     /*  434135 */   GIM_Try, /*On fail goto*//*Label 7573*/ GIMT_Encode4(434223), // Rule ID 2954 //
     /*  434140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  434148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  434151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  434154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  434157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  434187 */     // MIs[1] Operand 1
     /*  434187 */     // No operand predicates
     /*  434187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  434199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434205 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  434210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434221 */     GIR_RootConstrainSelectedInstOperands,
     /*  434222 */     // GIR_Coverage, 2954,
     /*  434222 */     GIR_EraseRootFromParent_Done,
     /*  434223 */   // Label 7573: @434223
     /*  434223 */   GIM_Try, /*On fail goto*//*Label 7574*/ GIMT_Encode4(434311), // Rule ID 2955 //
     /*  434228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  434236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  434239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  434242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  434245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  434263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  434275 */     // MIs[1] Operand 1
     /*  434275 */     // No operand predicates
     /*  434275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434284 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  434287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434293 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  434298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434309 */     GIR_RootConstrainSelectedInstOperands,
     /*  434310 */     // GIR_Coverage, 2955,
     /*  434310 */     GIR_EraseRootFromParent_Done,
     /*  434311 */   // Label 7574: @434311
     /*  434311 */   GIM_Try, /*On fail goto*//*Label 7575*/ GIMT_Encode4(434399), // Rule ID 2962 //
     /*  434316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  434319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  434324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  434327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  434330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  434333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  434363 */     // MIs[1] Operand 1
     /*  434363 */     // No operand predicates
     /*  434363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434372 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  434372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  434375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434381 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  434386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434397 */     GIR_RootConstrainSelectedInstOperands,
     /*  434398 */     // GIR_Coverage, 2962,
     /*  434398 */     GIR_EraseRootFromParent_Done,
     /*  434399 */   // Label 7575: @434399
     /*  434399 */   GIM_Try, /*On fail goto*//*Label 7576*/ GIMT_Encode4(434487), // Rule ID 2963 //
     /*  434404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  434407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  434412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  434415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  434418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  434421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  434439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /*  434451 */     // MIs[1] Operand 1
     /*  434451 */     // No operand predicates
     /*  434451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434460 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  434460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  434463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434469 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /*  434474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  434482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434485 */     GIR_RootConstrainSelectedInstOperands,
     /*  434486 */     // GIR_Coverage, 2963,
     /*  434486 */     GIR_EraseRootFromParent_Done,
     /*  434487 */   // Label 7576: @434487
     /*  434487 */   GIM_Try, /*On fail goto*//*Label 7577*/ GIMT_Encode4(434573), // Rule ID 3146 //
     /*  434492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  434503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  434506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  434509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434539 */     // MIs[1] Operand 1
     /*  434539 */     // No operand predicates
     /*  434539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434548 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  434551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434571 */     GIR_RootConstrainSelectedInstOperands,
     /*  434572 */     // GIR_Coverage, 3146,
     /*  434572 */     GIR_EraseRootFromParent_Done,
     /*  434573 */   // Label 7577: @434573
     /*  434573 */   GIM_Try, /*On fail goto*//*Label 7578*/ GIMT_Encode4(434659), // Rule ID 3147 //
     /*  434578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  434589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  434592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  434595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434625 */     // MIs[1] Operand 1
     /*  434625 */     // No operand predicates
     /*  434625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434634 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8),
     /*  434637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434657 */     GIR_RootConstrainSelectedInstOperands,
     /*  434658 */     // GIR_Coverage, 3147,
     /*  434658 */     GIR_EraseRootFromParent_Done,
     /*  434659 */   // Label 7578: @434659
     /*  434659 */   GIM_Try, /*On fail goto*//*Label 7579*/ GIMT_Encode4(434745), // Rule ID 3150 //
     /*  434664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434711 */     // MIs[1] Operand 1
     /*  434711 */     // No operand predicates
     /*  434711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434720 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434743 */     GIR_RootConstrainSelectedInstOperands,
     /*  434744 */     // GIR_Coverage, 3150,
     /*  434744 */     GIR_EraseRootFromParent_Done,
     /*  434745 */   // Label 7579: @434745
     /*  434745 */   GIM_Try, /*On fail goto*//*Label 7580*/ GIMT_Encode4(434831), // Rule ID 3151 //
     /*  434750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  434761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  434764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  434767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434797 */     // MIs[1] Operand 1
     /*  434797 */     // No operand predicates
     /*  434797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434806 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  434809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434829 */     GIR_RootConstrainSelectedInstOperands,
     /*  434830 */     // GIR_Coverage, 3151,
     /*  434830 */     GIR_EraseRootFromParent_Done,
     /*  434831 */   // Label 7580: @434831
     /*  434831 */   GIM_Try, /*On fail goto*//*Label 7581*/ GIMT_Encode4(434917), // Rule ID 3154 //
     /*  434836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  434839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  434847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  434850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  434853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  434856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  434859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434883 */     // MIs[1] Operand 1
     /*  434883 */     // No operand predicates
     /*  434883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434892 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  434892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  434915 */     GIR_RootConstrainSelectedInstOperands,
     /*  434916 */     // GIR_Coverage, 3154,
     /*  434916 */     GIR_EraseRootFromParent_Done,
     /*  434917 */   // Label 7581: @434917
     /*  434917 */   GIM_Try, /*On fail goto*//*Label 7582*/ GIMT_Encode4(435003), // Rule ID 3155 //
     /*  434922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  434925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  434930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  434933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  434936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  434939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  434942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  434945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  434957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  434961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  434965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  434969 */     // MIs[1] Operand 1
     /*  434969 */     // No operand predicates
     /*  434969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  434971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  434978 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  434978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  434981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  434983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  434985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  434987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  434990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  434995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  434998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435001 */     GIR_RootConstrainSelectedInstOperands,
     /*  435002 */     // GIR_Coverage, 3155,
     /*  435002 */     GIR_EraseRootFromParent_Done,
     /*  435003 */   // Label 7582: @435003
     /*  435003 */   GIM_Try, /*On fail goto*//*Label 7583*/ GIMT_Encode4(435089), // Rule ID 3158 //
     /*  435008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  435019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  435022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  435025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435055 */     // MIs[1] Operand 1
     /*  435055 */     // No operand predicates
     /*  435055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  435067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435087 */     GIR_RootConstrainSelectedInstOperands,
     /*  435088 */     // GIR_Coverage, 3158,
     /*  435088 */     GIR_EraseRootFromParent_Done,
     /*  435089 */   // Label 7583: @435089
     /*  435089 */   GIM_Try, /*On fail goto*//*Label 7584*/ GIMT_Encode4(435175), // Rule ID 3159 //
     /*  435094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  435105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  435108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  435111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435141 */     // MIs[1] Operand 1
     /*  435141 */     // No operand predicates
     /*  435141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4),
     /*  435153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435173 */     GIR_RootConstrainSelectedInstOperands,
     /*  435174 */     // GIR_Coverage, 3159,
     /*  435174 */     GIR_EraseRootFromParent_Done,
     /*  435175 */   // Label 7584: @435175
     /*  435175 */   GIM_Try, /*On fail goto*//*Label 7585*/ GIMT_Encode4(435261), // Rule ID 3162 //
     /*  435180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  435191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  435194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  435197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435227 */     // MIs[1] Operand 1
     /*  435227 */     // No operand predicates
     /*  435227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  435239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435259 */     GIR_RootConstrainSelectedInstOperands,
     /*  435260 */     // GIR_Coverage, 3162,
     /*  435260 */     GIR_EraseRootFromParent_Done,
     /*  435261 */   // Label 7585: @435261
     /*  435261 */   GIM_Try, /*On fail goto*//*Label 7586*/ GIMT_Encode4(435347), // Rule ID 3163 //
     /*  435266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  435277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  435280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  435283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435309 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435313 */     // MIs[1] Operand 1
     /*  435313 */     // No operand predicates
     /*  435313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  435325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435345 */     GIR_RootConstrainSelectedInstOperands,
     /*  435346 */     // GIR_Coverage, 3163,
     /*  435346 */     GIR_EraseRootFromParent_Done,
     /*  435347 */   // Label 7586: @435347
     /*  435347 */   GIM_Try, /*On fail goto*//*Label 7587*/ GIMT_Encode4(435433), // Rule ID 3166 //
     /*  435352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  435363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  435366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  435369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435399 */     // MIs[1] Operand 1
     /*  435399 */     // No operand predicates
     /*  435399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435408 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  435411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435431 */     GIR_RootConstrainSelectedInstOperands,
     /*  435432 */     // GIR_Coverage, 3166,
     /*  435432 */     GIR_EraseRootFromParent_Done,
     /*  435433 */   // Label 7587: @435433
     /*  435433 */   GIM_Try, /*On fail goto*//*Label 7588*/ GIMT_Encode4(435519), // Rule ID 3167 //
     /*  435438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  435449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  435452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  435455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435485 */     // MIs[1] Operand 1
     /*  435485 */     // No operand predicates
     /*  435485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  435494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2),
     /*  435497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435517 */     GIR_RootConstrainSelectedInstOperands,
     /*  435518 */     // GIR_Coverage, 3167,
     /*  435518 */     GIR_EraseRootFromParent_Done,
     /*  435519 */   // Label 7588: @435519
     /*  435519 */   GIM_Try, /*On fail goto*//*Label 7589*/ GIMT_Encode4(435605), // Rule ID 3170 //
     /*  435524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  435541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435571 */     // MIs[1] Operand 1
     /*  435571 */     // No operand predicates
     /*  435571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435580 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  435580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435603 */     GIR_RootConstrainSelectedInstOperands,
     /*  435604 */     // GIR_Coverage, 3170,
     /*  435604 */     GIR_EraseRootFromParent_Done,
     /*  435605 */   // Label 7589: @435605
     /*  435605 */   GIM_Try, /*On fail goto*//*Label 7590*/ GIMT_Encode4(435691), // Rule ID 3171 //
     /*  435610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  435621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  435624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  435627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435653 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435657 */     // MIs[1] Operand 1
     /*  435657 */     // No operand predicates
     /*  435657 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  435666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435675 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  435686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435689 */     GIR_RootConstrainSelectedInstOperands,
     /*  435690 */     // GIR_Coverage, 3171,
     /*  435690 */     GIR_EraseRootFromParent_Done,
     /*  435691 */   // Label 7590: @435691
     /*  435691 */   GIM_Try, /*On fail goto*//*Label 7591*/ GIMT_Encode4(435777), // Rule ID 3174 //
     /*  435696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435743 */     // MIs[1] Operand 1
     /*  435743 */     // No operand predicates
     /*  435743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435752 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  435752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435775 */     GIR_RootConstrainSelectedInstOperands,
     /*  435776 */     // GIR_Coverage, 3174,
     /*  435776 */     GIR_EraseRootFromParent_Done,
     /*  435777 */   // Label 7591: @435777
     /*  435777 */   GIM_Try, /*On fail goto*//*Label 7592*/ GIMT_Encode4(435863), // Rule ID 3175 //
     /*  435782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  435793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  435796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  435799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435829 */     // MIs[1] Operand 1
     /*  435829 */     // No operand predicates
     /*  435829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  435838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  435858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435861 */     GIR_RootConstrainSelectedInstOperands,
     /*  435862 */     // GIR_Coverage, 3175,
     /*  435862 */     GIR_EraseRootFromParent_Done,
     /*  435863 */   // Label 7592: @435863
     /*  435863 */   GIM_Try, /*On fail goto*//*Label 7593*/ GIMT_Encode4(435949), // Rule ID 3178 //
     /*  435868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  435871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  435879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  435882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  435888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  435891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  435915 */     // MIs[1] Operand 1
     /*  435915 */     // No operand predicates
     /*  435915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  435917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  435924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  435924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  435927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  435929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  435931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  435933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  435936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  435941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  435944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  435947 */     GIR_RootConstrainSelectedInstOperands,
     /*  435948 */     // GIR_Coverage, 3178,
     /*  435948 */     GIR_EraseRootFromParent_Done,
     /*  435949 */   // Label 7593: @435949
     /*  435949 */   GIM_Try, /*On fail goto*//*Label 7594*/ GIMT_Encode4(436035), // Rule ID 3179 //
     /*  435954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  435957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  435962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  435965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  435968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  435971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  435974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  435977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  435989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  435993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  435997 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436001 */     // MIs[1] Operand 1
     /*  436001 */     // No operand predicates
     /*  436001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  436010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  436013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  436030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436033 */     GIR_RootConstrainSelectedInstOperands,
     /*  436034 */     // GIR_Coverage, 3179,
     /*  436034 */     GIR_EraseRootFromParent_Done,
     /*  436035 */   // Label 7594: @436035
     /*  436035 */   GIM_Try, /*On fail goto*//*Label 7595*/ GIMT_Encode4(436121), // Rule ID 3182 //
     /*  436040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  436043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  436051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  436054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  436057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436083 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436087 */     // MIs[1] Operand 1
     /*  436087 */     // No operand predicates
     /*  436087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436096 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  436096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  436099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436119 */     GIR_RootConstrainSelectedInstOperands,
     /*  436120 */     // GIR_Coverage, 3182,
     /*  436120 */     GIR_EraseRootFromParent_Done,
     /*  436121 */   // Label 7595: @436121
     /*  436121 */   GIM_Try, /*On fail goto*//*Label 7596*/ GIMT_Encode4(436207), // Rule ID 3183 //
     /*  436126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  436129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  436137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  436140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  436143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  436161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436173 */     // MIs[1] Operand 1
     /*  436173 */     // No operand predicates
     /*  436173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  436182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1),
     /*  436185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  436202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436205 */     GIR_RootConstrainSelectedInstOperands,
     /*  436206 */     // GIR_Coverage, 3183,
     /*  436206 */     GIR_EraseRootFromParent_Done,
     /*  436207 */   // Label 7596: @436207
     /*  436207 */   GIM_Try, /*On fail goto*//*Label 7597*/ GIMT_Encode4(436293), // Rule ID 3186 //
     /*  436212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  436223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  436226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  436229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436259 */     // MIs[1] Operand 1
     /*  436259 */     // No operand predicates
     /*  436259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436268 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436291 */     GIR_RootConstrainSelectedInstOperands,
     /*  436292 */     // GIR_Coverage, 3186,
     /*  436292 */     GIR_EraseRootFromParent_Done,
     /*  436293 */   // Label 7597: @436293
     /*  436293 */   GIM_Try, /*On fail goto*//*Label 7598*/ GIMT_Encode4(436379), // Rule ID 3187 //
     /*  436298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  436309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  436312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  436315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436345 */     // MIs[1] Operand 1
     /*  436345 */     // No operand predicates
     /*  436345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436377 */     GIR_RootConstrainSelectedInstOperands,
     /*  436378 */     // GIR_Coverage, 3187,
     /*  436378 */     GIR_EraseRootFromParent_Done,
     /*  436379 */   // Label 7598: @436379
     /*  436379 */   GIM_Try, /*On fail goto*//*Label 7599*/ GIMT_Encode4(436465), // Rule ID 3190 //
     /*  436384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  436395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  436398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  436401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436427 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436431 */     // MIs[1] Operand 1
     /*  436431 */     // No operand predicates
     /*  436431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436440 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436463 */     GIR_RootConstrainSelectedInstOperands,
     /*  436464 */     // GIR_Coverage, 3190,
     /*  436464 */     GIR_EraseRootFromParent_Done,
     /*  436465 */   // Label 7599: @436465
     /*  436465 */   GIM_Try, /*On fail goto*//*Label 7600*/ GIMT_Encode4(436551), // Rule ID 3191 //
     /*  436470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  436481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  436484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  436487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436517 */     // MIs[1] Operand 1
     /*  436517 */     // No operand predicates
     /*  436517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436549 */     GIR_RootConstrainSelectedInstOperands,
     /*  436550 */     // GIR_Coverage, 3191,
     /*  436550 */     GIR_EraseRootFromParent_Done,
     /*  436551 */   // Label 7600: @436551
     /*  436551 */   GIM_Try, /*On fail goto*//*Label 7601*/ GIMT_Encode4(436637), // Rule ID 3194 //
     /*  436556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  436567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  436570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  436573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436603 */     // MIs[1] Operand 1
     /*  436603 */     // No operand predicates
     /*  436603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  436612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436635 */     GIR_RootConstrainSelectedInstOperands,
     /*  436636 */     // GIR_Coverage, 3194,
     /*  436636 */     GIR_EraseRootFromParent_Done,
     /*  436637 */   // Label 7601: @436637
     /*  436637 */   GIM_Try, /*On fail goto*//*Label 7602*/ GIMT_Encode4(436723), // Rule ID 3195 //
     /*  436642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  436653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  436656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  436659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  436677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436689 */     // MIs[1] Operand 1
     /*  436689 */     // No operand predicates
     /*  436689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436698 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  436698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  436701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  436718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436721 */     GIR_RootConstrainSelectedInstOperands,
     /*  436722 */     // GIR_Coverage, 3195,
     /*  436722 */     GIR_EraseRootFromParent_Done,
     /*  436723 */   // Label 7602: @436723
     /*  436723 */   GIM_Try, /*On fail goto*//*Label 7603*/ GIMT_Encode4(436809), // Rule ID 3198 //
     /*  436728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436775 */     // MIs[1] Operand 1
     /*  436775 */     // No operand predicates
     /*  436775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436807 */     GIR_RootConstrainSelectedInstOperands,
     /*  436808 */     // GIR_Coverage, 3198,
     /*  436808 */     GIR_EraseRootFromParent_Done,
     /*  436809 */   // Label 7603: @436809
     /*  436809 */   GIM_Try, /*On fail goto*//*Label 7604*/ GIMT_Encode4(436895), // Rule ID 3199 //
     /*  436814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  436825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  436828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  436831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  436834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  436837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  436849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436861 */     // MIs[1] Operand 1
     /*  436861 */     // No operand predicates
     /*  436861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  436870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  436873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436893 */     GIR_RootConstrainSelectedInstOperands,
     /*  436894 */     // GIR_Coverage, 3199,
     /*  436894 */     GIR_EraseRootFromParent_Done,
     /*  436895 */   // Label 7604: @436895
     /*  436895 */   GIM_Try, /*On fail goto*//*Label 7605*/ GIMT_Encode4(436981), // Rule ID 3202 //
     /*  436900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  436903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  436914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  436917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  436920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  436923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  436935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  436939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  436943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  436947 */     // MIs[1] Operand 1
     /*  436947 */     // No operand predicates
     /*  436947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  436949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  436956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  436956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  436959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  436961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  436963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  436965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  436968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  436973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  436976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  436979 */     GIR_RootConstrainSelectedInstOperands,
     /*  436980 */     // GIR_Coverage, 3202,
     /*  436980 */     GIR_EraseRootFromParent_Done,
     /*  436981 */   // Label 7605: @436981
     /*  436981 */   GIM_Try, /*On fail goto*//*Label 7606*/ GIMT_Encode4(437067), // Rule ID 3203 //
     /*  436986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  436989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  436994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  436997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  437000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  437003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437033 */     // MIs[1] Operand 1
     /*  437033 */     // No operand predicates
     /*  437033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437065 */     GIR_RootConstrainSelectedInstOperands,
     /*  437066 */     // GIR_Coverage, 3203,
     /*  437066 */     GIR_EraseRootFromParent_Done,
     /*  437067 */   // Label 7606: @437067
     /*  437067 */   GIM_Try, /*On fail goto*//*Label 7607*/ GIMT_Encode4(437153), // Rule ID 3206 //
     /*  437072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  437083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  437086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  437089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437115 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437119 */     // MIs[1] Operand 1
     /*  437119 */     // No operand predicates
     /*  437119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  437128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437151 */     GIR_RootConstrainSelectedInstOperands,
     /*  437152 */     // GIR_Coverage, 3206,
     /*  437152 */     GIR_EraseRootFromParent_Done,
     /*  437153 */   // Label 7607: @437153
     /*  437153 */   GIM_Try, /*On fail goto*//*Label 7608*/ GIMT_Encode4(437239), // Rule ID 3207 //
     /*  437158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  437169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  437172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  437175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437205 */     // MIs[1] Operand 1
     /*  437205 */     // No operand predicates
     /*  437205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  437214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  437234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437237 */     GIR_RootConstrainSelectedInstOperands,
     /*  437238 */     // GIR_Coverage, 3207,
     /*  437238 */     GIR_EraseRootFromParent_Done,
     /*  437239 */   // Label 7608: @437239
     /*  437239 */   GIM_Try, /*On fail goto*//*Label 7609*/ GIMT_Encode4(437325), // Rule ID 3210 //
     /*  437244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  437255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  437258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  437261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437291 */     // MIs[1] Operand 1
     /*  437291 */     // No operand predicates
     /*  437291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  437303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437323 */     GIR_RootConstrainSelectedInstOperands,
     /*  437324 */     // GIR_Coverage, 3210,
     /*  437324 */     GIR_EraseRootFromParent_Done,
     /*  437325 */   // Label 7609: @437325
     /*  437325 */   GIM_Try, /*On fail goto*//*Label 7610*/ GIMT_Encode4(437411), // Rule ID 3211 //
     /*  437330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  437341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  437344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  437347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437377 */     // MIs[1] Operand 1
     /*  437377 */     // No operand predicates
     /*  437377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  437389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437409 */     GIR_RootConstrainSelectedInstOperands,
     /*  437410 */     // GIR_Coverage, 3211,
     /*  437410 */     GIR_EraseRootFromParent_Done,
     /*  437411 */   // Label 7610: @437411
     /*  437411 */   GIM_Try, /*On fail goto*//*Label 7611*/ GIMT_Encode4(437497), // Rule ID 3214 //
     /*  437416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437463 */     // MIs[1] Operand 1
     /*  437463 */     // No operand predicates
     /*  437463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437495 */     GIR_RootConstrainSelectedInstOperands,
     /*  437496 */     // GIR_Coverage, 3214,
     /*  437496 */     GIR_EraseRootFromParent_Done,
     /*  437497 */   // Label 7611: @437497
     /*  437497 */   GIM_Try, /*On fail goto*//*Label 7612*/ GIMT_Encode4(437583), // Rule ID 3215 //
     /*  437502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  437513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  437516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  437519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437537 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437541 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437545 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437549 */     // MIs[1] Operand 1
     /*  437549 */     // No operand predicates
     /*  437549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437581 */     GIR_RootConstrainSelectedInstOperands,
     /*  437582 */     // GIR_Coverage, 3215,
     /*  437582 */     GIR_EraseRootFromParent_Done,
     /*  437583 */   // Label 7612: @437583
     /*  437583 */   GIM_Try, /*On fail goto*//*Label 7613*/ GIMT_Encode4(437669), // Rule ID 3218 //
     /*  437588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  437591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437635 */     // MIs[1] Operand 1
     /*  437635 */     // No operand predicates
     /*  437635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437644 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  437644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437667 */     GIR_RootConstrainSelectedInstOperands,
     /*  437668 */     // GIR_Coverage, 3218,
     /*  437668 */     GIR_EraseRootFromParent_Done,
     /*  437669 */   // Label 7613: @437669
     /*  437669 */   GIM_Try, /*On fail goto*//*Label 7614*/ GIMT_Encode4(437755), // Rule ID 3219 //
     /*  437674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  437677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  437685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  437688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  437691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  437709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437721 */     // MIs[1] Operand 1
     /*  437721 */     // No operand predicates
     /*  437721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  437730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  437733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  437750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437753 */     GIR_RootConstrainSelectedInstOperands,
     /*  437754 */     // GIR_Coverage, 3219,
     /*  437754 */     GIR_EraseRootFromParent_Done,
     /*  437755 */   // Label 7614: @437755
     /*  437755 */   GIM_Try, /*On fail goto*//*Label 7615*/ GIMT_Encode4(437841), // Rule ID 3222 //
     /*  437760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437807 */     // MIs[1] Operand 1
     /*  437807 */     // No operand predicates
     /*  437807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  437819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437839 */     GIR_RootConstrainSelectedInstOperands,
     /*  437840 */     // GIR_Coverage, 3222,
     /*  437840 */     GIR_EraseRootFromParent_Done,
     /*  437841 */   // Label 7615: @437841
     /*  437841 */   GIM_Try, /*On fail goto*//*Label 7616*/ GIMT_Encode4(437927), // Rule ID 3223 //
     /*  437846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  437849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  437857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  437860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  437863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  437866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  437869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  437881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437889 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437893 */     // MIs[1] Operand 1
     /*  437893 */     // No operand predicates
     /*  437893 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  437902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2),
     /*  437905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437911 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  437914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  437919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  437922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  437925 */     GIR_RootConstrainSelectedInstOperands,
     /*  437926 */     // GIR_Coverage, 3223,
     /*  437926 */     GIR_EraseRootFromParent_Done,
     /*  437927 */   // Label 7616: @437927
     /*  437927 */   GIM_Try, /*On fail goto*//*Label 7617*/ GIMT_Encode4(438013), // Rule ID 3226 //
     /*  437932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  437935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  437940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  437943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  437946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  437949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  437952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  437955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  437967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  437971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  437975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  437979 */     // MIs[1] Operand 1
     /*  437979 */     // No operand predicates
     /*  437979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  437981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  437988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  437988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  437991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  437993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  437995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  437997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438011 */     GIR_RootConstrainSelectedInstOperands,
     /*  438012 */     // GIR_Coverage, 3226,
     /*  438012 */     GIR_EraseRootFromParent_Done,
     /*  438013 */   // Label 7617: @438013
     /*  438013 */   GIM_Try, /*On fail goto*//*Label 7618*/ GIMT_Encode4(438099), // Rule ID 3227 //
     /*  438018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  438026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  438029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  438032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  438035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  438053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438065 */     // MIs[1] Operand 1
     /*  438065 */     // No operand predicates
     /*  438065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4),
     /*  438077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438097 */     GIR_RootConstrainSelectedInstOperands,
     /*  438098 */     // GIR_Coverage, 3227,
     /*  438098 */     GIR_EraseRootFromParent_Done,
     /*  438099 */   // Label 7618: @438099
     /*  438099 */   GIM_Try, /*On fail goto*//*Label 7619*/ GIMT_Encode4(438185), // Rule ID 3230 //
     /*  438104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  438107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  438112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  438115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  438118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  438121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438151 */     // MIs[1] Operand 1
     /*  438151 */     // No operand predicates
     /*  438151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  438160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  438163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438183 */     GIR_RootConstrainSelectedInstOperands,
     /*  438184 */     // GIR_Coverage, 3230,
     /*  438184 */     GIR_EraseRootFromParent_Done,
     /*  438185 */   // Label 7619: @438185
     /*  438185 */   GIM_Try, /*On fail goto*//*Label 7620*/ GIMT_Encode4(438271), // Rule ID 3231 //
     /*  438190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  438193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  438198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  438201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  438204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  438207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  438225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438233 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438237 */     // MIs[1] Operand 1
     /*  438237 */     // No operand predicates
     /*  438237 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  438246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8),
     /*  438249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438255 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  438266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438269 */     GIR_RootConstrainSelectedInstOperands,
     /*  438270 */     // GIR_Coverage, 3231,
     /*  438270 */     GIR_EraseRootFromParent_Done,
     /*  438271 */   // Label 7620: @438271
     /*  438271 */   GIM_Try, /*On fail goto*//*Label 7621*/ GIMT_Encode4(438357), // Rule ID 3498 //
     /*  438276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  438287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  438290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  438293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438323 */     // MIs[1] Operand 1
     /*  438323 */     // No operand predicates
     /*  438323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438332 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  438335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438355 */     GIR_RootConstrainSelectedInstOperands,
     /*  438356 */     // GIR_Coverage, 3498,
     /*  438356 */     GIR_EraseRootFromParent_Done,
     /*  438357 */   // Label 7621: @438357
     /*  438357 */   GIM_Try, /*On fail goto*//*Label 7622*/ GIMT_Encode4(438443), // Rule ID 3499 //
     /*  438362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  438373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  438376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  438379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438409 */     // MIs[1] Operand 1
     /*  438409 */     // No operand predicates
     /*  438409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438418 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8),
     /*  438421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438441 */     GIR_RootConstrainSelectedInstOperands,
     /*  438442 */     // GIR_Coverage, 3499,
     /*  438442 */     GIR_EraseRootFromParent_Done,
     /*  438443 */   // Label 7622: @438443
     /*  438443 */   GIM_Try, /*On fail goto*//*Label 7623*/ GIMT_Encode4(438529), // Rule ID 3502 //
     /*  438448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  438459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  438462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  438465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438495 */     // MIs[1] Operand 1
     /*  438495 */     // No operand predicates
     /*  438495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438504 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438527 */     GIR_RootConstrainSelectedInstOperands,
     /*  438528 */     // GIR_Coverage, 3502,
     /*  438528 */     GIR_EraseRootFromParent_Done,
     /*  438529 */   // Label 7623: @438529
     /*  438529 */   GIM_Try, /*On fail goto*//*Label 7624*/ GIMT_Encode4(438615), // Rule ID 3503 //
     /*  438534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  438545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  438548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  438551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438581 */     // MIs[1] Operand 1
     /*  438581 */     // No operand predicates
     /*  438581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438599 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438613 */     GIR_RootConstrainSelectedInstOperands,
     /*  438614 */     // GIR_Coverage, 3503,
     /*  438614 */     GIR_EraseRootFromParent_Done,
     /*  438615 */   // Label 7624: @438615
     /*  438615 */   GIM_Try, /*On fail goto*//*Label 7625*/ GIMT_Encode4(438701), // Rule ID 3506 //
     /*  438620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438667 */     // MIs[1] Operand 1
     /*  438667 */     // No operand predicates
     /*  438667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438676 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  438676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438699 */     GIR_RootConstrainSelectedInstOperands,
     /*  438700 */     // GIR_Coverage, 3506,
     /*  438700 */     GIR_EraseRootFromParent_Done,
     /*  438701 */   // Label 7625: @438701
     /*  438701 */   GIM_Try, /*On fail goto*//*Label 7626*/ GIMT_Encode4(438787), // Rule ID 3507 //
     /*  438706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  438717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  438720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  438723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438753 */     // MIs[1] Operand 1
     /*  438753 */     // No operand predicates
     /*  438753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438762 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  438762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  438765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  438782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438785 */     GIR_RootConstrainSelectedInstOperands,
     /*  438786 */     // GIR_Coverage, 3507,
     /*  438786 */     GIR_EraseRootFromParent_Done,
     /*  438787 */   // Label 7626: @438787
     /*  438787 */   GIM_Try, /*On fail goto*//*Label 7627*/ GIMT_Encode4(438873), // Rule ID 3510 //
     /*  438792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438839 */     // MIs[1] Operand 1
     /*  438839 */     // No operand predicates
     /*  438839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  438848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438871 */     GIR_RootConstrainSelectedInstOperands,
     /*  438872 */     // GIR_Coverage, 3510,
     /*  438872 */     GIR_EraseRootFromParent_Done,
     /*  438873 */   // Label 7627: @438873
     /*  438873 */   GIM_Try, /*On fail goto*//*Label 7628*/ GIMT_Encode4(438959), // Rule ID 3511 //
     /*  438878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  438881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  438889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  438892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  438895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  438898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  438901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  438917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  438921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  438925 */     // MIs[1] Operand 1
     /*  438925 */     // No operand predicates
     /*  438925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  438927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  438934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  438934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4),
     /*  438937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  438939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  438941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  438943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  438946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  438951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  438954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  438957 */     GIR_RootConstrainSelectedInstOperands,
     /*  438958 */     // GIR_Coverage, 3511,
     /*  438958 */     GIR_EraseRootFromParent_Done,
     /*  438959 */   // Label 7628: @438959
     /*  438959 */   GIM_Try, /*On fail goto*//*Label 7629*/ GIMT_Encode4(439045), // Rule ID 3514 //
     /*  438964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  438967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  438972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  438975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  438978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  438981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  438984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  438987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  438999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439011 */     // MIs[1] Operand 1
     /*  439011 */     // No operand predicates
     /*  439011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  439023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439043 */     GIR_RootConstrainSelectedInstOperands,
     /*  439044 */     // GIR_Coverage, 3514,
     /*  439044 */     GIR_EraseRootFromParent_Done,
     /*  439045 */   // Label 7629: @439045
     /*  439045 */   GIM_Try, /*On fail goto*//*Label 7630*/ GIMT_Encode4(439131), // Rule ID 3515 //
     /*  439050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  439061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  439064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  439067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439097 */     // MIs[1] Operand 1
     /*  439097 */     // No operand predicates
     /*  439097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  439109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439129 */     GIR_RootConstrainSelectedInstOperands,
     /*  439130 */     // GIR_Coverage, 3515,
     /*  439130 */     GIR_EraseRootFromParent_Done,
     /*  439131 */   // Label 7630: @439131
     /*  439131 */   GIM_Try, /*On fail goto*//*Label 7631*/ GIMT_Encode4(439217), // Rule ID 3518 //
     /*  439136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  439147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  439150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  439153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439183 */     // MIs[1] Operand 1
     /*  439183 */     // No operand predicates
     /*  439183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439192 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  439195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439215 */     GIR_RootConstrainSelectedInstOperands,
     /*  439216 */     // GIR_Coverage, 3518,
     /*  439216 */     GIR_EraseRootFromParent_Done,
     /*  439217 */   // Label 7631: @439217
     /*  439217 */   GIM_Try, /*On fail goto*//*Label 7632*/ GIMT_Encode4(439303), // Rule ID 3519 //
     /*  439222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  439233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  439236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  439239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439269 */     // MIs[1] Operand 1
     /*  439269 */     // No operand predicates
     /*  439269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2),
     /*  439281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439301 */     GIR_RootConstrainSelectedInstOperands,
     /*  439302 */     // GIR_Coverage, 3519,
     /*  439302 */     GIR_EraseRootFromParent_Done,
     /*  439303 */   // Label 7632: @439303
     /*  439303 */   GIM_Try, /*On fail goto*//*Label 7633*/ GIMT_Encode4(439389), // Rule ID 3522 //
     /*  439308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  439319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  439322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  439325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439355 */     // MIs[1] Operand 1
     /*  439355 */     // No operand predicates
     /*  439355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  439364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439387 */     GIR_RootConstrainSelectedInstOperands,
     /*  439388 */     // GIR_Coverage, 3522,
     /*  439388 */     GIR_EraseRootFromParent_Done,
     /*  439389 */   // Label 7633: @439389
     /*  439389 */   GIM_Try, /*On fail goto*//*Label 7634*/ GIMT_Encode4(439475), // Rule ID 3523 //
     /*  439394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  439405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  439408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  439411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439441 */     // MIs[1] Operand 1
     /*  439441 */     // No operand predicates
     /*  439441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  439450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  439470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439473 */     GIR_RootConstrainSelectedInstOperands,
     /*  439474 */     // GIR_Coverage, 3523,
     /*  439474 */     GIR_EraseRootFromParent_Done,
     /*  439475 */   // Label 7634: @439475
     /*  439475 */   GIM_Try, /*On fail goto*//*Label 7635*/ GIMT_Encode4(439561), // Rule ID 3526 //
     /*  439480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439527 */     // MIs[1] Operand 1
     /*  439527 */     // No operand predicates
     /*  439527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  439536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439559 */     GIR_RootConstrainSelectedInstOperands,
     /*  439560 */     // GIR_Coverage, 3526,
     /*  439560 */     GIR_EraseRootFromParent_Done,
     /*  439561 */   // Label 7635: @439561
     /*  439561 */   GIM_Try, /*On fail goto*//*Label 7636*/ GIMT_Encode4(439647), // Rule ID 3527 //
     /*  439566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  439577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  439580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  439583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439609 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439613 */     // MIs[1] Operand 1
     /*  439613 */     // No operand predicates
     /*  439613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  439622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  439642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439645 */     GIR_RootConstrainSelectedInstOperands,
     /*  439646 */     // GIR_Coverage, 3527,
     /*  439646 */     GIR_EraseRootFromParent_Done,
     /*  439647 */   // Label 7636: @439647
     /*  439647 */   GIM_Try, /*On fail goto*//*Label 7637*/ GIMT_Encode4(439733), // Rule ID 3530 //
     /*  439652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439699 */     // MIs[1] Operand 1
     /*  439699 */     // No operand predicates
     /*  439699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439708 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  439708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439731 */     GIR_RootConstrainSelectedInstOperands,
     /*  439732 */     // GIR_Coverage, 3530,
     /*  439732 */     GIR_EraseRootFromParent_Done,
     /*  439733 */   // Label 7637: @439733
     /*  439733 */   GIM_Try, /*On fail goto*//*Label 7638*/ GIMT_Encode4(439819), // Rule ID 3531 //
     /*  439738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  439741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  439749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  439752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  439755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439785 */     // MIs[1] Operand 1
     /*  439785 */     // No operand predicates
     /*  439785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  439794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  439814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439817 */     GIR_RootConstrainSelectedInstOperands,
     /*  439818 */     // GIR_Coverage, 3531,
     /*  439818 */     GIR_EraseRootFromParent_Done,
     /*  439819 */   // Label 7638: @439819
     /*  439819 */   GIM_Try, /*On fail goto*//*Label 7639*/ GIMT_Encode4(439905), // Rule ID 3534 //
     /*  439824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  439827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  439835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  439838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  439841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  439844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  439847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439871 */     // MIs[1] Operand 1
     /*  439871 */     // No operand predicates
     /*  439871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439880 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  439880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439903 */     GIR_RootConstrainSelectedInstOperands,
     /*  439904 */     // GIR_Coverage, 3534,
     /*  439904 */     GIR_EraseRootFromParent_Done,
     /*  439905 */   // Label 7639: @439905
     /*  439905 */   GIM_Try, /*On fail goto*//*Label 7640*/ GIMT_Encode4(439991), // Rule ID 3535 //
     /*  439910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  439913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  439918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  439921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  439924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  439927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  439930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  439933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  439945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  439949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  439953 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  439957 */     // MIs[1] Operand 1
     /*  439957 */     // No operand predicates
     /*  439957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  439959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  439966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  439966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1),
     /*  439969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  439971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  439973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  439975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  439978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  439983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  439986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  439989 */     GIR_RootConstrainSelectedInstOperands,
     /*  439990 */     // GIR_Coverage, 3535,
     /*  439990 */     GIR_EraseRootFromParent_Done,
     /*  439991 */   // Label 7640: @439991
     /*  439991 */   GIM_Try, /*On fail goto*//*Label 7641*/ GIMT_Encode4(440077), // Rule ID 3538 //
     /*  439996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  439999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  440007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  440010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  440013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440043 */     // MIs[1] Operand 1
     /*  440043 */     // No operand predicates
     /*  440043 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440052 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440061 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440075 */     GIR_RootConstrainSelectedInstOperands,
     /*  440076 */     // GIR_Coverage, 3538,
     /*  440076 */     GIR_EraseRootFromParent_Done,
     /*  440077 */   // Label 7641: @440077
     /*  440077 */   GIM_Try, /*On fail goto*//*Label 7642*/ GIMT_Encode4(440163), // Rule ID 3539 //
     /*  440082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  440093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  440096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  440099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440129 */     // MIs[1] Operand 1
     /*  440129 */     // No operand predicates
     /*  440129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440138 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440161 */     GIR_RootConstrainSelectedInstOperands,
     /*  440162 */     // GIR_Coverage, 3539,
     /*  440162 */     GIR_EraseRootFromParent_Done,
     /*  440163 */   // Label 7642: @440163
     /*  440163 */   GIM_Try, /*On fail goto*//*Label 7643*/ GIMT_Encode4(440249), // Rule ID 3542 //
     /*  440168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  440179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  440182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  440185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440215 */     // MIs[1] Operand 1
     /*  440215 */     // No operand predicates
     /*  440215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440224 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440247 */     GIR_RootConstrainSelectedInstOperands,
     /*  440248 */     // GIR_Coverage, 3542,
     /*  440248 */     GIR_EraseRootFromParent_Done,
     /*  440249 */   // Label 7643: @440249
     /*  440249 */   GIM_Try, /*On fail goto*//*Label 7644*/ GIMT_Encode4(440335), // Rule ID 3543 //
     /*  440254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  440265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  440268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  440271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440301 */     // MIs[1] Operand 1
     /*  440301 */     // No operand predicates
     /*  440301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440310 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440333 */     GIR_RootConstrainSelectedInstOperands,
     /*  440334 */     // GIR_Coverage, 3543,
     /*  440334 */     GIR_EraseRootFromParent_Done,
     /*  440335 */   // Label 7644: @440335
     /*  440335 */   GIM_Try, /*On fail goto*//*Label 7645*/ GIMT_Encode4(440421), // Rule ID 3546 //
     /*  440340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  440351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  440354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  440357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440387 */     // MIs[1] Operand 1
     /*  440387 */     // No operand predicates
     /*  440387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440396 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  440396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440419 */     GIR_RootConstrainSelectedInstOperands,
     /*  440420 */     // GIR_Coverage, 3546,
     /*  440420 */     GIR_EraseRootFromParent_Done,
     /*  440421 */   // Label 7645: @440421
     /*  440421 */   GIM_Try, /*On fail goto*//*Label 7646*/ GIMT_Encode4(440507), // Rule ID 3547 //
     /*  440426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  440437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  440440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  440443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440473 */     // MIs[1] Operand 1
     /*  440473 */     // No operand predicates
     /*  440473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440482 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  440482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  440502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440505 */     GIR_RootConstrainSelectedInstOperands,
     /*  440506 */     // GIR_Coverage, 3547,
     /*  440506 */     GIR_EraseRootFromParent_Done,
     /*  440507 */   // Label 7646: @440507
     /*  440507 */   GIM_Try, /*On fail goto*//*Label 7647*/ GIMT_Encode4(440593), // Rule ID 3550 //
     /*  440512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  440529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440559 */     // MIs[1] Operand 1
     /*  440559 */     // No operand predicates
     /*  440559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440568 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440591 */     GIR_RootConstrainSelectedInstOperands,
     /*  440592 */     // GIR_Coverage, 3550,
     /*  440592 */     GIR_EraseRootFromParent_Done,
     /*  440593 */   // Label 7647: @440593
     /*  440593 */   GIM_Try, /*On fail goto*//*Label 7648*/ GIMT_Encode4(440679), // Rule ID 3551 //
     /*  440598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  440609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  440612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  440615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  440633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440645 */     // MIs[1] Operand 1
     /*  440645 */     // No operand predicates
     /*  440645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  440657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440677 */     GIR_RootConstrainSelectedInstOperands,
     /*  440678 */     // GIR_Coverage, 3551,
     /*  440678 */     GIR_EraseRootFromParent_Done,
     /*  440679 */   // Label 7648: @440679
     /*  440679 */   GIM_Try, /*On fail goto*//*Label 7649*/ GIMT_Encode4(440765), // Rule ID 3554 //
     /*  440684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440727 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440731 */     // MIs[1] Operand 1
     /*  440731 */     // No operand predicates
     /*  440731 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440740 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440749 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440763 */     GIR_RootConstrainSelectedInstOperands,
     /*  440764 */     // GIR_Coverage, 3554,
     /*  440764 */     GIR_EraseRootFromParent_Done,
     /*  440765 */   // Label 7649: @440765
     /*  440765 */   GIM_Try, /*On fail goto*//*Label 7650*/ GIMT_Encode4(440851), // Rule ID 3555 //
     /*  440770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  440781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  440784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  440787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  440805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440817 */     // MIs[1] Operand 1
     /*  440817 */     // No operand predicates
     /*  440817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  440829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440849 */     GIR_RootConstrainSelectedInstOperands,
     /*  440850 */     // GIR_Coverage, 3555,
     /*  440850 */     GIR_EraseRootFromParent_Done,
     /*  440851 */   // Label 7650: @440851
     /*  440851 */   GIM_Try, /*On fail goto*//*Label 7651*/ GIMT_Encode4(440937), // Rule ID 3558 //
     /*  440856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  440859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  440867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  440870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  440876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  440879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440903 */     // MIs[1] Operand 1
     /*  440903 */     // No operand predicates
     /*  440903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  440912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  440915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  440917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  440919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  440921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  440924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  440929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  440932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  440935 */     GIR_RootConstrainSelectedInstOperands,
     /*  440936 */     // GIR_Coverage, 3558,
     /*  440936 */     GIR_EraseRootFromParent_Done,
     /*  440937 */   // Label 7651: @440937
     /*  440937 */   GIM_Try, /*On fail goto*//*Label 7652*/ GIMT_Encode4(441023), // Rule ID 3559 //
     /*  440942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  440945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  440950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  440953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  440956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  440959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  440962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  440965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  440977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  440981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  440985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  440989 */     // MIs[1] Operand 1
     /*  440989 */     // No operand predicates
     /*  440989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  440991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  440998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  440998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  441018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441021 */     GIR_RootConstrainSelectedInstOperands,
     /*  441022 */     // GIR_Coverage, 3559,
     /*  441022 */     GIR_EraseRootFromParent_Done,
     /*  441023 */   // Label 7652: @441023
     /*  441023 */   GIM_Try, /*On fail goto*//*Label 7653*/ GIMT_Encode4(441109), // Rule ID 3562 //
     /*  441028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  441039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  441042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  441045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441075 */     // MIs[1] Operand 1
     /*  441075 */     // No operand predicates
     /*  441075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441084 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  441087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441107 */     GIR_RootConstrainSelectedInstOperands,
     /*  441108 */     // GIR_Coverage, 3562,
     /*  441108 */     GIR_EraseRootFromParent_Done,
     /*  441109 */   // Label 7653: @441109
     /*  441109 */   GIM_Try, /*On fail goto*//*Label 7654*/ GIMT_Encode4(441195), // Rule ID 3563 //
     /*  441114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  441125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  441128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  441131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441161 */     // MIs[1] Operand 1
     /*  441161 */     // No operand predicates
     /*  441161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  441173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441193 */     GIR_RootConstrainSelectedInstOperands,
     /*  441194 */     // GIR_Coverage, 3563,
     /*  441194 */     GIR_EraseRootFromParent_Done,
     /*  441195 */   // Label 7654: @441195
     /*  441195 */   GIM_Try, /*On fail goto*//*Label 7655*/ GIMT_Encode4(441281), // Rule ID 3566 //
     /*  441200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  441211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  441214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  441217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441247 */     // MIs[1] Operand 1
     /*  441247 */     // No operand predicates
     /*  441247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441256 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  441259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441279 */     GIR_RootConstrainSelectedInstOperands,
     /*  441280 */     // GIR_Coverage, 3566,
     /*  441280 */     GIR_EraseRootFromParent_Done,
     /*  441281 */   // Label 7655: @441281
     /*  441281 */   GIM_Try, /*On fail goto*//*Label 7656*/ GIMT_Encode4(441367), // Rule ID 3567 //
     /*  441286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  441297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  441300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  441303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441333 */     // MIs[1] Operand 1
     /*  441333 */     // No operand predicates
     /*  441333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  441345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441365 */     GIR_RootConstrainSelectedInstOperands,
     /*  441366 */     // GIR_Coverage, 3567,
     /*  441366 */     GIR_EraseRootFromParent_Done,
     /*  441367 */   // Label 7656: @441367
     /*  441367 */   GIM_Try, /*On fail goto*//*Label 7657*/ GIMT_Encode4(441453), // Rule ID 3570 //
     /*  441372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  441375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  441383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  441386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  441389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441419 */     // MIs[1] Operand 1
     /*  441419 */     // No operand predicates
     /*  441419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441428 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  441428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441451 */     GIR_RootConstrainSelectedInstOperands,
     /*  441452 */     // GIR_Coverage, 3570,
     /*  441452 */     GIR_EraseRootFromParent_Done,
     /*  441453 */   // Label 7657: @441453
     /*  441453 */   GIM_Try, /*On fail goto*//*Label 7658*/ GIMT_Encode4(441539), // Rule ID 3571 //
     /*  441458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  441461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  441469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  441472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  441475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441505 */     // MIs[1] Operand 1
     /*  441505 */     // No operand predicates
     /*  441505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  441514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  441534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441537 */     GIR_RootConstrainSelectedInstOperands,
     /*  441538 */     // GIR_Coverage, 3571,
     /*  441538 */     GIR_EraseRootFromParent_Done,
     /*  441539 */   // Label 7658: @441539
     /*  441539 */   GIM_Try, /*On fail goto*//*Label 7659*/ GIMT_Encode4(441625), // Rule ID 3574 //
     /*  441544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  441555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  441558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441591 */     // MIs[1] Operand 1
     /*  441591 */     // No operand predicates
     /*  441591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441600 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  441603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441623 */     GIR_RootConstrainSelectedInstOperands,
     /*  441624 */     // GIR_Coverage, 3574,
     /*  441624 */     GIR_EraseRootFromParent_Done,
     /*  441625 */   // Label 7659: @441625
     /*  441625 */   GIM_Try, /*On fail goto*//*Label 7660*/ GIMT_Encode4(441711), // Rule ID 3575 //
     /*  441630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  441641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  441644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  441647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  441665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441677 */     // MIs[1] Operand 1
     /*  441677 */     // No operand predicates
     /*  441677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2),
     /*  441689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441709 */     GIR_RootConstrainSelectedInstOperands,
     /*  441710 */     // GIR_Coverage, 3575,
     /*  441710 */     GIR_EraseRootFromParent_Done,
     /*  441711 */   // Label 7660: @441711
     /*  441711 */   GIM_Try, /*On fail goto*//*Label 7661*/ GIMT_Encode4(441797), // Rule ID 3578 //
     /*  441716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441763 */     // MIs[1] Operand 1
     /*  441763 */     // No operand predicates
     /*  441763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  441775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441795 */     GIR_RootConstrainSelectedInstOperands,
     /*  441796 */     // GIR_Coverage, 3578,
     /*  441796 */     GIR_EraseRootFromParent_Done,
     /*  441797 */   // Label 7661: @441797
     /*  441797 */   GIM_Try, /*On fail goto*//*Label 7662*/ GIMT_Encode4(441883), // Rule ID 3579 //
     /*  441802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  441813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  441816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  441819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  441837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441845 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441849 */     // MIs[1] Operand 1
     /*  441849 */     // No operand predicates
     /*  441849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  441858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4),
     /*  441861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441881 */     GIR_RootConstrainSelectedInstOperands,
     /*  441882 */     // GIR_Coverage, 3579,
     /*  441882 */     GIR_EraseRootFromParent_Done,
     /*  441883 */   // Label 7662: @441883
     /*  441883 */   GIM_Try, /*On fail goto*//*Label 7663*/ GIMT_Encode4(441969), // Rule ID 3582 //
     /*  441888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  441891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  441899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  441902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  441908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  441911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  441923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  441927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  441931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  441935 */     // MIs[1] Operand 1
     /*  441935 */     // No operand predicates
     /*  441935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  441937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  441944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  441944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  441947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  441949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  441951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  441953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  441956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  441961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  441964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  441967 */     GIR_RootConstrainSelectedInstOperands,
     /*  441968 */     // GIR_Coverage, 3582,
     /*  441968 */     GIR_EraseRootFromParent_Done,
     /*  441969 */   // Label 7663: @441969
     /*  441969 */   GIM_Try, /*On fail goto*//*Label 7664*/ GIMT_Encode4(442055), // Rule ID 3583 //
     /*  441974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  441977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  441982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  441985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  441988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  441991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  441994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  441997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  442009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442021 */     // MIs[1] Operand 1
     /*  442021 */     // No operand predicates
     /*  442021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  442030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8),
     /*  442033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  442050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442053 */     GIR_RootConstrainSelectedInstOperands,
     /*  442054 */     // GIR_Coverage, 3583,
     /*  442054 */     GIR_EraseRootFromParent_Done,
     /*  442055 */   // Label 7664: @442055
     /*  442055 */   GIM_Try, /*On fail goto*//*Label 7665*/ GIMT_Encode4(442141), // Rule ID 5946 //
     /*  442060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  442071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  442074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  442077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442107 */     // MIs[1] Operand 1
     /*  442107 */     // No operand predicates
     /*  442107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442116 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  442119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442139 */     GIR_RootConstrainSelectedInstOperands,
     /*  442140 */     // GIR_Coverage, 5946,
     /*  442140 */     GIR_EraseRootFromParent_Done,
     /*  442141 */   // Label 7665: @442141
     /*  442141 */   GIM_Try, /*On fail goto*//*Label 7666*/ GIMT_Encode4(442227), // Rule ID 5947 //
     /*  442146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  442157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  442160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  442163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442193 */     // MIs[1] Operand 1
     /*  442193 */     // No operand predicates
     /*  442193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8),
     /*  442205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442211 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442225 */     GIR_RootConstrainSelectedInstOperands,
     /*  442226 */     // GIR_Coverage, 5947,
     /*  442226 */     GIR_EraseRootFromParent_Done,
     /*  442227 */   // Label 7666: @442227
     /*  442227 */   GIM_Try, /*On fail goto*//*Label 7667*/ GIMT_Encode4(442313), // Rule ID 5950 //
     /*  442232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  442243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  442246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  442249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442279 */     // MIs[1] Operand 1
     /*  442279 */     // No operand predicates
     /*  442279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442288 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  442291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442311 */     GIR_RootConstrainSelectedInstOperands,
     /*  442312 */     // GIR_Coverage, 5950,
     /*  442312 */     GIR_EraseRootFromParent_Done,
     /*  442313 */   // Label 7667: @442313
     /*  442313 */   GIM_Try, /*On fail goto*//*Label 7668*/ GIMT_Encode4(442399), // Rule ID 5951 //
     /*  442318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  442329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  442332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  442335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442365 */     // MIs[1] Operand 1
     /*  442365 */     // No operand predicates
     /*  442365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  442377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442397 */     GIR_RootConstrainSelectedInstOperands,
     /*  442398 */     // GIR_Coverage, 5951,
     /*  442398 */     GIR_EraseRootFromParent_Done,
     /*  442399 */   // Label 7668: @442399
     /*  442399 */   GIM_Try, /*On fail goto*//*Label 7669*/ GIMT_Encode4(442485), // Rule ID 5954 //
     /*  442404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  442415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  442418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  442421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442451 */     // MIs[1] Operand 1
     /*  442451 */     // No operand predicates
     /*  442451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  442460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442483 */     GIR_RootConstrainSelectedInstOperands,
     /*  442484 */     // GIR_Coverage, 5954,
     /*  442484 */     GIR_EraseRootFromParent_Done,
     /*  442485 */   // Label 7669: @442485
     /*  442485 */   GIM_Try, /*On fail goto*//*Label 7670*/ GIMT_Encode4(442571), // Rule ID 5955 //
     /*  442490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  442501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  442504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  442507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442537 */     // MIs[1] Operand 1
     /*  442537 */     // No operand predicates
     /*  442537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442546 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  442546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  442566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442569 */     GIR_RootConstrainSelectedInstOperands,
     /*  442570 */     // GIR_Coverage, 5955,
     /*  442570 */     GIR_EraseRootFromParent_Done,
     /*  442571 */   // Label 7670: @442571
     /*  442571 */   GIM_Try, /*On fail goto*//*Label 7671*/ GIMT_Encode4(442657), // Rule ID 5958 //
     /*  442576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  442593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442623 */     // MIs[1] Operand 1
     /*  442623 */     // No operand predicates
     /*  442623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  442635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442655 */     GIR_RootConstrainSelectedInstOperands,
     /*  442656 */     // GIR_Coverage, 5958,
     /*  442656 */     GIR_EraseRootFromParent_Done,
     /*  442657 */   // Label 7671: @442657
     /*  442657 */   GIM_Try, /*On fail goto*//*Label 7672*/ GIMT_Encode4(442743), // Rule ID 5959 //
     /*  442662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  442673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  442676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  442679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442709 */     // MIs[1] Operand 1
     /*  442709 */     // No operand predicates
     /*  442709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4),
     /*  442721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442741 */     GIR_RootConstrainSelectedInstOperands,
     /*  442742 */     // GIR_Coverage, 5959,
     /*  442742 */     GIR_EraseRootFromParent_Done,
     /*  442743 */   // Label 7672: @442743
     /*  442743 */   GIM_Try, /*On fail goto*//*Label 7673*/ GIMT_Encode4(442829), // Rule ID 5962 //
     /*  442748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442795 */     // MIs[1] Operand 1
     /*  442795 */     // No operand predicates
     /*  442795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  442804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442827 */     GIR_RootConstrainSelectedInstOperands,
     /*  442828 */     // GIR_Coverage, 5962,
     /*  442828 */     GIR_EraseRootFromParent_Done,
     /*  442829 */   // Label 7673: @442829
     /*  442829 */   GIM_Try, /*On fail goto*//*Label 7674*/ GIMT_Encode4(442915), // Rule ID 5963 //
     /*  442834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  442837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  442845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  442848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  442851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  442854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  442857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442869 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442873 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442877 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442881 */     // MIs[1] Operand 1
     /*  442881 */     // No operand predicates
     /*  442881 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442890 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  442890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442899 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  442910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442913 */     GIR_RootConstrainSelectedInstOperands,
     /*  442914 */     // GIR_Coverage, 5963,
     /*  442914 */     GIR_EraseRootFromParent_Done,
     /*  442915 */   // Label 7674: @442915
     /*  442915 */   GIM_Try, /*On fail goto*//*Label 7675*/ GIMT_Encode4(443001), // Rule ID 5966 //
     /*  442920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  442923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  442928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  442931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  442934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  442937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  442940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  442943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  442955 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  442959 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  442963 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  442967 */     // MIs[1] Operand 1
     /*  442967 */     // No operand predicates
     /*  442967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  442969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  442976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  442976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  442979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  442981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  442983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  442985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  442988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  442993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  442996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  442999 */     GIR_RootConstrainSelectedInstOperands,
     /*  443000 */     // GIR_Coverage, 5966,
     /*  443000 */     GIR_EraseRootFromParent_Done,
     /*  443001 */   // Label 7675: @443001
     /*  443001 */   GIM_Try, /*On fail goto*//*Label 7676*/ GIMT_Encode4(443087), // Rule ID 5967 //
     /*  443006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  443017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  443020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  443023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443053 */     // MIs[1] Operand 1
     /*  443053 */     // No operand predicates
     /*  443053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2),
     /*  443065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443085 */     GIR_RootConstrainSelectedInstOperands,
     /*  443086 */     // GIR_Coverage, 5967,
     /*  443086 */     GIR_EraseRootFromParent_Done,
     /*  443087 */   // Label 7676: @443087
     /*  443087 */   GIM_Try, /*On fail goto*//*Label 7677*/ GIMT_Encode4(443173), // Rule ID 5970 //
     /*  443092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  443103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  443106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  443109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443139 */     // MIs[1] Operand 1
     /*  443139 */     // No operand predicates
     /*  443139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443148 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443171 */     GIR_RootConstrainSelectedInstOperands,
     /*  443172 */     // GIR_Coverage, 5970,
     /*  443172 */     GIR_EraseRootFromParent_Done,
     /*  443173 */   // Label 7677: @443173
     /*  443173 */   GIM_Try, /*On fail goto*//*Label 7678*/ GIMT_Encode4(443259), // Rule ID 5971 //
     /*  443178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  443189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  443192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  443195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443225 */     // MIs[1] Operand 1
     /*  443225 */     // No operand predicates
     /*  443225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443257 */     GIR_RootConstrainSelectedInstOperands,
     /*  443258 */     // GIR_Coverage, 5971,
     /*  443258 */     GIR_EraseRootFromParent_Done,
     /*  443259 */   // Label 7678: @443259
     /*  443259 */   GIM_Try, /*On fail goto*//*Label 7679*/ GIMT_Encode4(443345), // Rule ID 5974 //
     /*  443264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  443275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  443278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  443281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443311 */     // MIs[1] Operand 1
     /*  443311 */     // No operand predicates
     /*  443311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443320 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  443320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443343 */     GIR_RootConstrainSelectedInstOperands,
     /*  443344 */     // GIR_Coverage, 5974,
     /*  443344 */     GIR_EraseRootFromParent_Done,
     /*  443345 */   // Label 7679: @443345
     /*  443345 */   GIM_Try, /*On fail goto*//*Label 7680*/ GIMT_Encode4(443431), // Rule ID 5975 //
     /*  443350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  443361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  443364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  443367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443397 */     // MIs[1] Operand 1
     /*  443397 */     // No operand predicates
     /*  443397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  443406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  443426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443429 */     GIR_RootConstrainSelectedInstOperands,
     /*  443430 */     // GIR_Coverage, 5975,
     /*  443430 */     GIR_EraseRootFromParent_Done,
     /*  443431 */   // Label 7680: @443431
     /*  443431 */   GIM_Try, /*On fail goto*//*Label 7681*/ GIMT_Encode4(443517), // Rule ID 5978 //
     /*  443436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  443453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443483 */     // MIs[1] Operand 1
     /*  443483 */     // No operand predicates
     /*  443483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  443492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443515 */     GIR_RootConstrainSelectedInstOperands,
     /*  443516 */     // GIR_Coverage, 5978,
     /*  443516 */     GIR_EraseRootFromParent_Done,
     /*  443517 */   // Label 7681: @443517
     /*  443517 */   GIM_Try, /*On fail goto*//*Label 7682*/ GIMT_Encode4(443603), // Rule ID 5979 //
     /*  443522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  443533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  443536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  443539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443565 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443569 */     // MIs[1] Operand 1
     /*  443569 */     // No operand predicates
     /*  443569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  443578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  443598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443601 */     GIR_RootConstrainSelectedInstOperands,
     /*  443602 */     // GIR_Coverage, 5979,
     /*  443602 */     GIR_EraseRootFromParent_Done,
     /*  443603 */   // Label 7682: @443603
     /*  443603 */   GIM_Try, /*On fail goto*//*Label 7683*/ GIMT_Encode4(443689), // Rule ID 5982 //
     /*  443608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  443611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443655 */     // MIs[1] Operand 1
     /*  443655 */     // No operand predicates
     /*  443655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  443664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443687 */     GIR_RootConstrainSelectedInstOperands,
     /*  443688 */     // GIR_Coverage, 5982,
     /*  443688 */     GIR_EraseRootFromParent_Done,
     /*  443689 */   // Label 7683: @443689
     /*  443689 */   GIM_Try, /*On fail goto*//*Label 7684*/ GIMT_Encode4(443775), // Rule ID 5983 //
     /*  443694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  443697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  443705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  443708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  443711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  443729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443741 */     // MIs[1] Operand 1
     /*  443741 */     // No operand predicates
     /*  443741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  443750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1),
     /*  443753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  443770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443773 */     GIR_RootConstrainSelectedInstOperands,
     /*  443774 */     // GIR_Coverage, 5983,
     /*  443774 */     GIR_EraseRootFromParent_Done,
     /*  443775 */   // Label 7684: @443775
     /*  443775 */   GIM_Try, /*On fail goto*//*Label 7685*/ GIMT_Encode4(443861), // Rule ID 5986 //
     /*  443780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443827 */     // MIs[1] Operand 1
     /*  443827 */     // No operand predicates
     /*  443827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  443836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443859 */     GIR_RootConstrainSelectedInstOperands,
     /*  443860 */     // GIR_Coverage, 5986,
     /*  443860 */     GIR_EraseRootFromParent_Done,
     /*  443861 */   // Label 7685: @443861
     /*  443861 */   GIM_Try, /*On fail goto*//*Label 7686*/ GIMT_Encode4(443947), // Rule ID 5987 //
     /*  443866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  443869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  443877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  443880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  443883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  443886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  443889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  443901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443913 */     // MIs[1] Operand 1
     /*  443913 */     // No operand predicates
     /*  443913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  443915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  443922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  443922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  443925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  443927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  443929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  443931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  443934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  443939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  443942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  443945 */     GIR_RootConstrainSelectedInstOperands,
     /*  443946 */     // GIR_Coverage, 5987,
     /*  443946 */     GIR_EraseRootFromParent_Done,
     /*  443947 */   // Label 7686: @443947
     /*  443947 */   GIM_Try, /*On fail goto*//*Label 7687*/ GIMT_Encode4(444033), // Rule ID 5990 //
     /*  443952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  443955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  443960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  443963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  443966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  443969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  443972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  443975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  443987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  443991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  443995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  443999 */     // MIs[1] Operand 1
     /*  443999 */     // No operand predicates
     /*  443999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444008 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444031 */     GIR_RootConstrainSelectedInstOperands,
     /*  444032 */     // GIR_Coverage, 5990,
     /*  444032 */     GIR_EraseRootFromParent_Done,
     /*  444033 */   // Label 7687: @444033
     /*  444033 */   GIM_Try, /*On fail goto*//*Label 7688*/ GIMT_Encode4(444119), // Rule ID 5991 //
     /*  444038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  444049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  444052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  444055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444085 */     // MIs[1] Operand 1
     /*  444085 */     // No operand predicates
     /*  444085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444117 */     GIR_RootConstrainSelectedInstOperands,
     /*  444118 */     // GIR_Coverage, 5991,
     /*  444118 */     GIR_EraseRootFromParent_Done,
     /*  444119 */   // Label 7688: @444119
     /*  444119 */   GIM_Try, /*On fail goto*//*Label 7689*/ GIMT_Encode4(444205), // Rule ID 5994 //
     /*  444124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  444135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  444138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  444141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444171 */     // MIs[1] Operand 1
     /*  444171 */     // No operand predicates
     /*  444171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  444180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444203 */     GIR_RootConstrainSelectedInstOperands,
     /*  444204 */     // GIR_Coverage, 5994,
     /*  444204 */     GIR_EraseRootFromParent_Done,
     /*  444205 */   // Label 7689: @444205
     /*  444205 */   GIM_Try, /*On fail goto*//*Label 7690*/ GIMT_Encode4(444291), // Rule ID 5995 //
     /*  444210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  444221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  444224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  444227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444257 */     // MIs[1] Operand 1
     /*  444257 */     // No operand predicates
     /*  444257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  444266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  444286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444289 */     GIR_RootConstrainSelectedInstOperands,
     /*  444290 */     // GIR_Coverage, 5995,
     /*  444290 */     GIR_EraseRootFromParent_Done,
     /*  444291 */   // Label 7690: @444291
     /*  444291 */   GIM_Try, /*On fail goto*//*Label 7691*/ GIMT_Encode4(444377), // Rule ID 5998 //
     /*  444296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  444307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  444310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  444313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444343 */     // MIs[1] Operand 1
     /*  444343 */     // No operand predicates
     /*  444343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444375 */     GIR_RootConstrainSelectedInstOperands,
     /*  444376 */     // GIR_Coverage, 5998,
     /*  444376 */     GIR_EraseRootFromParent_Done,
     /*  444377 */   // Label 7691: @444377
     /*  444377 */   GIM_Try, /*On fail goto*//*Label 7692*/ GIMT_Encode4(444463), // Rule ID 5999 //
     /*  444382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  444393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  444396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  444399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444425 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444429 */     // MIs[1] Operand 1
     /*  444429 */     // No operand predicates
     /*  444429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444461 */     GIR_RootConstrainSelectedInstOperands,
     /*  444462 */     // GIR_Coverage, 5999,
     /*  444462 */     GIR_EraseRootFromParent_Done,
     /*  444463 */   // Label 7692: @444463
     /*  444463 */   GIM_Try, /*On fail goto*//*Label 7693*/ GIMT_Encode4(444549), // Rule ID 6002 //
     /*  444468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  444479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  444482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  444485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444515 */     // MIs[1] Operand 1
     /*  444515 */     // No operand predicates
     /*  444515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444524 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444547 */     GIR_RootConstrainSelectedInstOperands,
     /*  444548 */     // GIR_Coverage, 6002,
     /*  444548 */     GIR_EraseRootFromParent_Done,
     /*  444549 */   // Label 7693: @444549
     /*  444549 */   GIM_Try, /*On fail goto*//*Label 7694*/ GIMT_Encode4(444635), // Rule ID 6003 //
     /*  444554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  444565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  444568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  444571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  444589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444601 */     // MIs[1] Operand 1
     /*  444601 */     // No operand predicates
     /*  444601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  444613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444633 */     GIR_RootConstrainSelectedInstOperands,
     /*  444634 */     // GIR_Coverage, 6003,
     /*  444634 */     GIR_EraseRootFromParent_Done,
     /*  444635 */   // Label 7694: @444635
     /*  444635 */   GIM_Try, /*On fail goto*//*Label 7695*/ GIMT_Encode4(444721), // Rule ID 6006 //
     /*  444640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444687 */     // MIs[1] Operand 1
     /*  444687 */     // No operand predicates
     /*  444687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  444696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444719 */     GIR_RootConstrainSelectedInstOperands,
     /*  444720 */     // GIR_Coverage, 6006,
     /*  444720 */     GIR_EraseRootFromParent_Done,
     /*  444721 */   // Label 7695: @444721
     /*  444721 */   GIM_Try, /*On fail goto*//*Label 7696*/ GIMT_Encode4(444807), // Rule ID 6007 //
     /*  444726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  444737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  444740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  444743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  444761 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444765 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444769 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444773 */     // MIs[1] Operand 1
     /*  444773 */     // No operand predicates
     /*  444773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  444782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  444785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  444802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444805 */     GIR_RootConstrainSelectedInstOperands,
     /*  444806 */     // GIR_Coverage, 6007,
     /*  444806 */     GIR_EraseRootFromParent_Done,
     /*  444807 */   // Label 7696: @444807
     /*  444807 */   GIM_Try, /*On fail goto*//*Label 7697*/ GIMT_Encode4(444893), // Rule ID 6010 //
     /*  444812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  444832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  444835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444859 */     // MIs[1] Operand 1
     /*  444859 */     // No operand predicates
     /*  444859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444868 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  444868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444891 */     GIR_RootConstrainSelectedInstOperands,
     /*  444892 */     // GIR_Coverage, 6010,
     /*  444892 */     GIR_EraseRootFromParent_Done,
     /*  444893 */   // Label 7697: @444893
     /*  444893 */   GIM_Try, /*On fail goto*//*Label 7698*/ GIMT_Encode4(444979), // Rule ID 6011 //
     /*  444898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  444901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  444909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  444912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  444915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  444918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  444921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  444933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  444937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  444941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  444945 */     // MIs[1] Operand 1
     /*  444945 */     // No operand predicates
     /*  444945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  444947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  444954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  444954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  444957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  444959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  444961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  444963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  444966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  444971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  444974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  444977 */     GIR_RootConstrainSelectedInstOperands,
     /*  444978 */     // GIR_Coverage, 6011,
     /*  444978 */     GIR_EraseRootFromParent_Done,
     /*  444979 */   // Label 7698: @444979
     /*  444979 */   GIM_Try, /*On fail goto*//*Label 7699*/ GIMT_Encode4(445065), // Rule ID 6014 //
     /*  444984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  444987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  444992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  444995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  444998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  445001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445031 */     // MIs[1] Operand 1
     /*  445031 */     // No operand predicates
     /*  445031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445040 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  445043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445063 */     GIR_RootConstrainSelectedInstOperands,
     /*  445064 */     // GIR_Coverage, 6014,
     /*  445064 */     GIR_EraseRootFromParent_Done,
     /*  445065 */   // Label 7699: @445065
     /*  445065 */   GIM_Try, /*On fail goto*//*Label 7700*/ GIMT_Encode4(445151), // Rule ID 6015 //
     /*  445070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  445081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  445084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  445087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445117 */     // MIs[1] Operand 1
     /*  445117 */     // No operand predicates
     /*  445117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  445129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445149 */     GIR_RootConstrainSelectedInstOperands,
     /*  445150 */     // GIR_Coverage, 6015,
     /*  445150 */     GIR_EraseRootFromParent_Done,
     /*  445151 */   // Label 7700: @445151
     /*  445151 */   GIM_Try, /*On fail goto*//*Label 7701*/ GIMT_Encode4(445237), // Rule ID 6018 //
     /*  445156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  445167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  445170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  445173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445203 */     // MIs[1] Operand 1
     /*  445203 */     // No operand predicates
     /*  445203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  445212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  445215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445235 */     GIR_RootConstrainSelectedInstOperands,
     /*  445236 */     // GIR_Coverage, 6018,
     /*  445236 */     GIR_EraseRootFromParent_Done,
     /*  445237 */   // Label 7701: @445237
     /*  445237 */   GIM_Try, /*On fail goto*//*Label 7702*/ GIMT_Encode4(445323), // Rule ID 6019 //
     /*  445242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  445253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  445256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  445259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445289 */     // MIs[1] Operand 1
     /*  445289 */     // No operand predicates
     /*  445289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445298 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  445298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  445301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  445318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445321 */     GIR_RootConstrainSelectedInstOperands,
     /*  445322 */     // GIR_Coverage, 6019,
     /*  445322 */     GIR_EraseRootFromParent_Done,
     /*  445323 */   // Label 7702: @445323
     /*  445323 */   GIM_Try, /*On fail goto*//*Label 7703*/ GIMT_Encode4(445409), // Rule ID 6022 //
     /*  445328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  445339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  445342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  445345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445375 */     // MIs[1] Operand 1
     /*  445375 */     // No operand predicates
     /*  445375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  445387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445407 */     GIR_RootConstrainSelectedInstOperands,
     /*  445408 */     // GIR_Coverage, 6022,
     /*  445408 */     GIR_EraseRootFromParent_Done,
     /*  445409 */   // Label 7703: @445409
     /*  445409 */   GIM_Try, /*On fail goto*//*Label 7704*/ GIMT_Encode4(445495), // Rule ID 6023 //
     /*  445414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  445425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  445428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  445431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  445449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445461 */     // MIs[1] Operand 1
     /*  445461 */     // No operand predicates
     /*  445461 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2),
     /*  445473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445479 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445493 */     GIR_RootConstrainSelectedInstOperands,
     /*  445494 */     // GIR_Coverage, 6023,
     /*  445494 */     GIR_EraseRootFromParent_Done,
     /*  445495 */   // Label 7704: @445495
     /*  445495 */   GIM_Try, /*On fail goto*//*Label 7705*/ GIMT_Encode4(445581), // Rule ID 6026 //
     /*  445500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  445517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445547 */     // MIs[1] Operand 1
     /*  445547 */     // No operand predicates
     /*  445547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445556 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  445559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445579 */     GIR_RootConstrainSelectedInstOperands,
     /*  445580 */     // GIR_Coverage, 6026,
     /*  445580 */     GIR_EraseRootFromParent_Done,
     /*  445581 */   // Label 7705: @445581
     /*  445581 */   GIM_Try, /*On fail goto*//*Label 7706*/ GIMT_Encode4(445667), // Rule ID 6027 //
     /*  445586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  445597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  445600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  445603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  445621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445633 */     // MIs[1] Operand 1
     /*  445633 */     // No operand predicates
     /*  445633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445642 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4),
     /*  445645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445665 */     GIR_RootConstrainSelectedInstOperands,
     /*  445666 */     // GIR_Coverage, 6027,
     /*  445666 */     GIR_EraseRootFromParent_Done,
     /*  445667 */   // Label 7706: @445667
     /*  445667 */   GIM_Try, /*On fail goto*//*Label 7707*/ GIMT_Encode4(445753), // Rule ID 6030 //
     /*  445672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  445675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445719 */     // MIs[1] Operand 1
     /*  445719 */     // No operand predicates
     /*  445719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445728 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  445728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  445731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445751 */     GIR_RootConstrainSelectedInstOperands,
     /*  445752 */     // GIR_Coverage, 6030,
     /*  445752 */     GIR_EraseRootFromParent_Done,
     /*  445753 */   // Label 7707: @445753
     /*  445753 */   GIM_Try, /*On fail goto*//*Label 7708*/ GIMT_Encode4(445839), // Rule ID 6031 //
     /*  445758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  445761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  445766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  445769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  445772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  445775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  445793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445805 */     // MIs[1] Operand 1
     /*  445805 */     // No operand predicates
     /*  445805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  445814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8),
     /*  445817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445823 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  445834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445837 */     GIR_RootConstrainSelectedInstOperands,
     /*  445838 */     // GIR_Coverage, 6031,
     /*  445838 */     GIR_EraseRootFromParent_Done,
     /*  445839 */   // Label 7708: @445839
     /*  445839 */   GIM_Try, /*On fail goto*//*Label 7709*/ GIMT_Encode4(445925), // Rule ID 6210 //
     /*  445844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  445847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  445855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  445858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  445861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  445864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  445867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445891 */     // MIs[1] Operand 1
     /*  445891 */     // No operand predicates
     /*  445891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445900 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  445900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  445903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  445917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  445920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  445923 */     GIR_RootConstrainSelectedInstOperands,
     /*  445924 */     // GIR_Coverage, 6210,
     /*  445924 */     GIR_EraseRootFromParent_Done,
     /*  445925 */   // Label 7709: @445925
     /*  445925 */   GIM_Try, /*On fail goto*//*Label 7710*/ GIMT_Encode4(446011), // Rule ID 6211 //
     /*  445930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  445933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  445938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  445941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  445944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  445947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  445950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  445953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  445965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  445969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  445973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  445977 */     // MIs[1] Operand 1
     /*  445977 */     // No operand predicates
     /*  445977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  445979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  445986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  445986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8),
     /*  445989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  445991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  445993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  445995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  445998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446009 */     GIR_RootConstrainSelectedInstOperands,
     /*  446010 */     // GIR_Coverage, 6211,
     /*  446010 */     GIR_EraseRootFromParent_Done,
     /*  446011 */   // Label 7710: @446011
     /*  446011 */   GIM_Try, /*On fail goto*//*Label 7711*/ GIMT_Encode4(446097), // Rule ID 6214 //
     /*  446016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  446027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  446030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  446033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446063 */     // MIs[1] Operand 1
     /*  446063 */     // No operand predicates
     /*  446063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446072 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  446075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446095 */     GIR_RootConstrainSelectedInstOperands,
     /*  446096 */     // GIR_Coverage, 6214,
     /*  446096 */     GIR_EraseRootFromParent_Done,
     /*  446097 */   // Label 7711: @446097
     /*  446097 */   GIM_Try, /*On fail goto*//*Label 7712*/ GIMT_Encode4(446183), // Rule ID 6215 //
     /*  446102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  446113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  446116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  446119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446149 */     // MIs[1] Operand 1
     /*  446149 */     // No operand predicates
     /*  446149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  446161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446181 */     GIR_RootConstrainSelectedInstOperands,
     /*  446182 */     // GIR_Coverage, 6215,
     /*  446182 */     GIR_EraseRootFromParent_Done,
     /*  446183 */   // Label 7712: @446183
     /*  446183 */   GIM_Try, /*On fail goto*//*Label 7713*/ GIMT_Encode4(446269), // Rule ID 6218 //
     /*  446188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  446199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  446202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  446205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446235 */     // MIs[1] Operand 1
     /*  446235 */     // No operand predicates
     /*  446235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446244 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446267 */     GIR_RootConstrainSelectedInstOperands,
     /*  446268 */     // GIR_Coverage, 6218,
     /*  446268 */     GIR_EraseRootFromParent_Done,
     /*  446269 */   // Label 7713: @446269
     /*  446269 */   GIM_Try, /*On fail goto*//*Label 7714*/ GIMT_Encode4(446355), // Rule ID 6219 //
     /*  446274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  446285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  446288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  446291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446321 */     // MIs[1] Operand 1
     /*  446321 */     // No operand predicates
     /*  446321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  446330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446353 */     GIR_RootConstrainSelectedInstOperands,
     /*  446354 */     // GIR_Coverage, 6219,
     /*  446354 */     GIR_EraseRootFromParent_Done,
     /*  446355 */   // Label 7714: @446355
     /*  446355 */   GIM_Try, /*On fail goto*//*Label 7715*/ GIMT_Encode4(446441), // Rule ID 6222 //
     /*  446360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  446371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  446374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  446377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446407 */     // MIs[1] Operand 1
     /*  446407 */     // No operand predicates
     /*  446407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  446419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446439 */     GIR_RootConstrainSelectedInstOperands,
     /*  446440 */     // GIR_Coverage, 6222,
     /*  446440 */     GIR_EraseRootFromParent_Done,
     /*  446441 */   // Label 7715: @446441
     /*  446441 */   GIM_Try, /*On fail goto*//*Label 7716*/ GIMT_Encode4(446527), // Rule ID 6223 //
     /*  446446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  446457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  446460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  446463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446481 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446485 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446489 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446493 */     // MIs[1] Operand 1
     /*  446493 */     // No operand predicates
     /*  446493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4),
     /*  446505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446525 */     GIR_RootConstrainSelectedInstOperands,
     /*  446526 */     // GIR_Coverage, 6223,
     /*  446526 */     GIR_EraseRootFromParent_Done,
     /*  446527 */   // Label 7716: @446527
     /*  446527 */   GIM_Try, /*On fail goto*//*Label 7717*/ GIMT_Encode4(446613), // Rule ID 6226 //
     /*  446532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  446543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  446546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  446549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446575 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446579 */     // MIs[1] Operand 1
     /*  446579 */     // No operand predicates
     /*  446579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446588 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  446588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446611 */     GIR_RootConstrainSelectedInstOperands,
     /*  446612 */     // GIR_Coverage, 6226,
     /*  446612 */     GIR_EraseRootFromParent_Done,
     /*  446613 */   // Label 7717: @446613
     /*  446613 */   GIM_Try, /*On fail goto*//*Label 7718*/ GIMT_Encode4(446699), // Rule ID 6227 //
     /*  446618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  446629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  446632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  446635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446665 */     // MIs[1] Operand 1
     /*  446665 */     // No operand predicates
     /*  446665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  446674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  446694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446697 */     GIR_RootConstrainSelectedInstOperands,
     /*  446698 */     // GIR_Coverage, 6227,
     /*  446698 */     GIR_EraseRootFromParent_Done,
     /*  446699 */   // Label 7718: @446699
     /*  446699 */   GIM_Try, /*On fail goto*//*Label 7719*/ GIMT_Encode4(446785), // Rule ID 6230 //
     /*  446704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446751 */     // MIs[1] Operand 1
     /*  446751 */     // No operand predicates
     /*  446751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446760 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  446760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446783 */     GIR_RootConstrainSelectedInstOperands,
     /*  446784 */     // GIR_Coverage, 6230,
     /*  446784 */     GIR_EraseRootFromParent_Done,
     /*  446785 */   // Label 7719: @446785
     /*  446785 */   GIM_Try, /*On fail goto*//*Label 7720*/ GIMT_Encode4(446871), // Rule ID 6231 //
     /*  446790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  446801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  446804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  446807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446825 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446829 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446833 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446837 */     // MIs[1] Operand 1
     /*  446837 */     // No operand predicates
     /*  446837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  446846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2),
     /*  446849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  446866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446869 */     GIR_RootConstrainSelectedInstOperands,
     /*  446870 */     // GIR_Coverage, 6231,
     /*  446870 */     GIR_EraseRootFromParent_Done,
     /*  446871 */   // Label 7720: @446871
     /*  446871 */   GIM_Try, /*On fail goto*//*Label 7721*/ GIMT_Encode4(446957), // Rule ID 6234 //
     /*  446876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  446879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  446887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  446890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  446893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  446896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  446899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446911 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  446915 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  446919 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  446923 */     // MIs[1] Operand 1
     /*  446923 */     // No operand predicates
     /*  446923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  446925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  446932 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  446932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  446935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  446937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  446939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  446941 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  446944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  446949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  446952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  446955 */     GIR_RootConstrainSelectedInstOperands,
     /*  446956 */     // GIR_Coverage, 6234,
     /*  446956 */     GIR_EraseRootFromParent_Done,
     /*  446957 */   // Label 7721: @446957
     /*  446957 */   GIM_Try, /*On fail goto*//*Label 7722*/ GIMT_Encode4(447043), // Rule ID 6235 //
     /*  446962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  446965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  446970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  446973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  446976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  446979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  446982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  446985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  446997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447009 */     // MIs[1] Operand 1
     /*  447009 */     // No operand predicates
     /*  447009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447018 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  447021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447041 */     GIR_RootConstrainSelectedInstOperands,
     /*  447042 */     // GIR_Coverage, 6235,
     /*  447042 */     GIR_EraseRootFromParent_Done,
     /*  447043 */   // Label 7722: @447043
     /*  447043 */   GIM_Try, /*On fail goto*//*Label 7723*/ GIMT_Encode4(447129), // Rule ID 6238 //
     /*  447048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  447059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  447062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  447065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447095 */     // MIs[1] Operand 1
     /*  447095 */     // No operand predicates
     /*  447095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  447104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  447107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447127 */     GIR_RootConstrainSelectedInstOperands,
     /*  447128 */     // GIR_Coverage, 6238,
     /*  447128 */     GIR_EraseRootFromParent_Done,
     /*  447129 */   // Label 7723: @447129
     /*  447129 */   GIM_Try, /*On fail goto*//*Label 7724*/ GIMT_Encode4(447215), // Rule ID 6239 //
     /*  447134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  447145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  447148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  447151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447169 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447173 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447177 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447181 */     // MIs[1] Operand 1
     /*  447181 */     // No operand predicates
     /*  447181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  447190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  447193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  447210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447213 */     GIR_RootConstrainSelectedInstOperands,
     /*  447214 */     // GIR_Coverage, 6239,
     /*  447214 */     GIR_EraseRootFromParent_Done,
     /*  447215 */   // Label 7724: @447215
     /*  447215 */   GIM_Try, /*On fail goto*//*Label 7725*/ GIMT_Encode4(447301), // Rule ID 6242 //
     /*  447220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  447231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  447234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  447237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447267 */     // MIs[1] Operand 1
     /*  447267 */     // No operand predicates
     /*  447267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  447276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  447279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447299 */     GIR_RootConstrainSelectedInstOperands,
     /*  447300 */     // GIR_Coverage, 6242,
     /*  447300 */     GIR_EraseRootFromParent_Done,
     /*  447301 */   // Label 7725: @447301
     /*  447301 */   GIM_Try, /*On fail goto*//*Label 7726*/ GIMT_Encode4(447387), // Rule ID 6243 //
     /*  447306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  447317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  447320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  447323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447353 */     // MIs[1] Operand 1
     /*  447353 */     // No operand predicates
     /*  447353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447362 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  447362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  447365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  447382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447385 */     GIR_RootConstrainSelectedInstOperands,
     /*  447386 */     // GIR_Coverage, 6243,
     /*  447386 */     GIR_EraseRootFromParent_Done,
     /*  447387 */   // Label 7726: @447387
     /*  447387 */   GIM_Try, /*On fail goto*//*Label 7727*/ GIMT_Encode4(447473), // Rule ID 6246 //
     /*  447392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  447395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  447403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  447406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  447409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447439 */     // MIs[1] Operand 1
     /*  447439 */     // No operand predicates
     /*  447439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  447448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  447451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447471 */     GIR_RootConstrainSelectedInstOperands,
     /*  447472 */     // GIR_Coverage, 6246,
     /*  447472 */     GIR_EraseRootFromParent_Done,
     /*  447473 */   // Label 7727: @447473
     /*  447473 */   GIM_Try, /*On fail goto*//*Label 7728*/ GIMT_Encode4(447559), // Rule ID 6247 //
     /*  447478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  447481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  447489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  447492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  447495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  447513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447525 */     // MIs[1] Operand 1
     /*  447525 */     // No operand predicates
     /*  447525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  447534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1),
     /*  447537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  447554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447557 */     GIR_RootConstrainSelectedInstOperands,
     /*  447558 */     // GIR_Coverage, 6247,
     /*  447558 */     GIR_EraseRootFromParent_Done,
     /*  447559 */   // Label 7728: @447559
     /*  447559 */   GIM_Try, /*On fail goto*//*Label 7729*/ GIMT_Encode4(447645), // Rule ID 6250 //
     /*  447564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  447575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  447578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  447581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447611 */     // MIs[1] Operand 1
     /*  447611 */     // No operand predicates
     /*  447611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447620 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447643 */     GIR_RootConstrainSelectedInstOperands,
     /*  447644 */     // GIR_Coverage, 6250,
     /*  447644 */     GIR_EraseRootFromParent_Done,
     /*  447645 */   // Label 7729: @447645
     /*  447645 */   GIM_Try, /*On fail goto*//*Label 7730*/ GIMT_Encode4(447731), // Rule ID 6251 //
     /*  447650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  447661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  447664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  447667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  447685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447697 */     // MIs[1] Operand 1
     /*  447697 */     // No operand predicates
     /*  447697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447706 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  447709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447729 */     GIR_RootConstrainSelectedInstOperands,
     /*  447730 */     // GIR_Coverage, 6251,
     /*  447730 */     GIR_EraseRootFromParent_Done,
     /*  447731 */   // Label 7730: @447731
     /*  447731 */   GIM_Try, /*On fail goto*//*Label 7731*/ GIMT_Encode4(447817), // Rule ID 6254 //
     /*  447736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447783 */     // MIs[1] Operand 1
     /*  447783 */     // No operand predicates
     /*  447783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447792 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447815 */     GIR_RootConstrainSelectedInstOperands,
     /*  447816 */     // GIR_Coverage, 6254,
     /*  447816 */     GIR_EraseRootFromParent_Done,
     /*  447817 */   // Label 7731: @447817
     /*  447817 */   GIM_Try, /*On fail goto*//*Label 7732*/ GIMT_Encode4(447903), // Rule ID 6255 //
     /*  447822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  447833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  447836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  447839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  447842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  447845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  447857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447869 */     // MIs[1] Operand 1
     /*  447869 */     // No operand predicates
     /*  447869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  447878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  447881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447901 */     GIR_RootConstrainSelectedInstOperands,
     /*  447902 */     // GIR_Coverage, 6255,
     /*  447902 */     GIR_EraseRootFromParent_Done,
     /*  447903 */   // Label 7732: @447903
     /*  447903 */   GIM_Try, /*On fail goto*//*Label 7733*/ GIMT_Encode4(447989), // Rule ID 6258 //
     /*  447908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  447911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  447916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  447919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  447922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  447925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  447928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  447931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  447943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  447947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  447951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  447955 */     // MIs[1] Operand 1
     /*  447955 */     // No operand predicates
     /*  447955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  447957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  447964 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  447964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  447967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  447969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  447971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  447973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  447976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  447981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  447984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  447987 */     GIR_RootConstrainSelectedInstOperands,
     /*  447988 */     // GIR_Coverage, 6258,
     /*  447988 */     GIR_EraseRootFromParent_Done,
     /*  447989 */   // Label 7733: @447989
     /*  447989 */   GIM_Try, /*On fail goto*//*Label 7734*/ GIMT_Encode4(448075), // Rule ID 6259 //
     /*  447994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  447997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  448005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  448008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  448011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448041 */     // MIs[1] Operand 1
     /*  448041 */     // No operand predicates
     /*  448041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448050 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  448050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  448070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448073 */     GIR_RootConstrainSelectedInstOperands,
     /*  448074 */     // GIR_Coverage, 6259,
     /*  448074 */     GIR_EraseRootFromParent_Done,
     /*  448075 */   // Label 7734: @448075
     /*  448075 */   GIM_Try, /*On fail goto*//*Label 7735*/ GIMT_Encode4(448161), // Rule ID 6262 //
     /*  448080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  448091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  448094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  448097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448127 */     // MIs[1] Operand 1
     /*  448127 */     // No operand predicates
     /*  448127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448136 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448159 */     GIR_RootConstrainSelectedInstOperands,
     /*  448160 */     // GIR_Coverage, 6262,
     /*  448160 */     GIR_EraseRootFromParent_Done,
     /*  448161 */   // Label 7735: @448161
     /*  448161 */   GIM_Try, /*On fail goto*//*Label 7736*/ GIMT_Encode4(448247), // Rule ID 6263 //
     /*  448166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  448177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  448180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  448183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448213 */     // MIs[1] Operand 1
     /*  448213 */     // No operand predicates
     /*  448213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448245 */     GIR_RootConstrainSelectedInstOperands,
     /*  448246 */     // GIR_Coverage, 6263,
     /*  448246 */     GIR_EraseRootFromParent_Done,
     /*  448247 */   // Label 7736: @448247
     /*  448247 */   GIM_Try, /*On fail goto*//*Label 7737*/ GIMT_Encode4(448333), // Rule ID 6266 //
     /*  448252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  448263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  448266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  448269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448295 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448299 */     // MIs[1] Operand 1
     /*  448299 */     // No operand predicates
     /*  448299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448308 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448331 */     GIR_RootConstrainSelectedInstOperands,
     /*  448332 */     // GIR_Coverage, 6266,
     /*  448332 */     GIR_EraseRootFromParent_Done,
     /*  448333 */   // Label 7737: @448333
     /*  448333 */   GIM_Try, /*On fail goto*//*Label 7738*/ GIMT_Encode4(448419), // Rule ID 6267 //
     /*  448338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  448349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  448352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  448355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448385 */     // MIs[1] Operand 1
     /*  448385 */     // No operand predicates
     /*  448385 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448403 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448417 */     GIR_RootConstrainSelectedInstOperands,
     /*  448418 */     // GIR_Coverage, 6267,
     /*  448418 */     GIR_EraseRootFromParent_Done,
     /*  448419 */   // Label 7738: @448419
     /*  448419 */   GIM_Try, /*On fail goto*//*Label 7739*/ GIMT_Encode4(448505), // Rule ID 6270 //
     /*  448424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  448441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448471 */     // MIs[1] Operand 1
     /*  448471 */     // No operand predicates
     /*  448471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448480 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  448480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448503 */     GIR_RootConstrainSelectedInstOperands,
     /*  448504 */     // GIR_Coverage, 6270,
     /*  448504 */     GIR_EraseRootFromParent_Done,
     /*  448505 */   // Label 7739: @448505
     /*  448505 */   GIM_Try, /*On fail goto*//*Label 7740*/ GIMT_Encode4(448591), // Rule ID 6271 //
     /*  448510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  448521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  448524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  448527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448557 */     // MIs[1] Operand 1
     /*  448557 */     // No operand predicates
     /*  448557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  448566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  448586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448589 */     GIR_RootConstrainSelectedInstOperands,
     /*  448590 */     // GIR_Coverage, 6271,
     /*  448590 */     GIR_EraseRootFromParent_Done,
     /*  448591 */   // Label 7740: @448591
     /*  448591 */   GIM_Try, /*On fail goto*//*Label 7741*/ GIMT_Encode4(448677), // Rule ID 6274 //
     /*  448596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448643 */     // MIs[1] Operand 1
     /*  448643 */     // No operand predicates
     /*  448643 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448652 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448661 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448675 */     GIR_RootConstrainSelectedInstOperands,
     /*  448676 */     // GIR_Coverage, 6274,
     /*  448676 */     GIR_EraseRootFromParent_Done,
     /*  448677 */   // Label 7741: @448677
     /*  448677 */   GIM_Try, /*On fail goto*//*Label 7742*/ GIMT_Encode4(448763), // Rule ID 6275 //
     /*  448682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  448693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  448696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  448699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  448717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448729 */     // MIs[1] Operand 1
     /*  448729 */     // No operand predicates
     /*  448729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  448741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448761 */     GIR_RootConstrainSelectedInstOperands,
     /*  448762 */     // GIR_Coverage, 6275,
     /*  448762 */     GIR_EraseRootFromParent_Done,
     /*  448763 */   // Label 7742: @448763
     /*  448763 */   GIM_Try, /*On fail goto*//*Label 7743*/ GIMT_Encode4(448849), // Rule ID 6278 //
     /*  448768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448815 */     // MIs[1] Operand 1
     /*  448815 */     // No operand predicates
     /*  448815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448847 */     GIR_RootConstrainSelectedInstOperands,
     /*  448848 */     // GIR_Coverage, 6278,
     /*  448848 */     GIR_EraseRootFromParent_Done,
     /*  448849 */   // Label 7743: @448849
     /*  448849 */   GIM_Try, /*On fail goto*//*Label 7744*/ GIMT_Encode4(448935), // Rule ID 6279 //
     /*  448854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  448857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  448865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  448868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  448871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  448874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  448877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  448889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448901 */     // MIs[1] Operand 1
     /*  448901 */     // No operand predicates
     /*  448901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  448910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  448913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  448915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  448917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  448919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  448922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  448927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  448930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  448933 */     GIR_RootConstrainSelectedInstOperands,
     /*  448934 */     // GIR_Coverage, 6279,
     /*  448934 */     GIR_EraseRootFromParent_Done,
     /*  448935 */   // Label 7744: @448935
     /*  448935 */   GIM_Try, /*On fail goto*//*Label 7745*/ GIMT_Encode4(449021), // Rule ID 6282 //
     /*  448940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  448943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  448948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  448951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  448954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  448957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  448960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  448963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  448975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  448979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  448983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  448987 */     // MIs[1] Operand 1
     /*  448987 */     // No operand predicates
     /*  448987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  448989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  448996 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  448996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  448999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449019 */     GIR_RootConstrainSelectedInstOperands,
     /*  449020 */     // GIR_Coverage, 6282,
     /*  449020 */     GIR_EraseRootFromParent_Done,
     /*  449021 */   // Label 7745: @449021
     /*  449021 */   GIM_Try, /*On fail goto*//*Label 7746*/ GIMT_Encode4(449107), // Rule ID 6283 //
     /*  449026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  449034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  449037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  449040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  449043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449061 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449065 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449069 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449073 */     // MIs[1] Operand 1
     /*  449073 */     // No operand predicates
     /*  449073 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449082 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  449082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  449085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449091 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  449102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449105 */     GIR_RootConstrainSelectedInstOperands,
     /*  449106 */     // GIR_Coverage, 6283,
     /*  449106 */     GIR_EraseRootFromParent_Done,
     /*  449107 */   // Label 7746: @449107
     /*  449107 */   GIM_Try, /*On fail goto*//*Label 7747*/ GIMT_Encode4(449193), // Rule ID 6286 //
     /*  449112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  449120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  449123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  449126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  449129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449159 */     // MIs[1] Operand 1
     /*  449159 */     // No operand predicates
     /*  449159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449168 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  449171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449191 */     GIR_RootConstrainSelectedInstOperands,
     /*  449192 */     // GIR_Coverage, 6286,
     /*  449192 */     GIR_EraseRootFromParent_Done,
     /*  449193 */   // Label 7747: @449193
     /*  449193 */   GIM_Try, /*On fail goto*//*Label 7748*/ GIMT_Encode4(449279), // Rule ID 6287 //
     /*  449198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  449206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  449209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  449212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  449215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  449233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449245 */     // MIs[1] Operand 1
     /*  449245 */     // No operand predicates
     /*  449245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2),
     /*  449257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449277 */     GIR_RootConstrainSelectedInstOperands,
     /*  449278 */     // GIR_Coverage, 6287,
     /*  449278 */     GIR_EraseRootFromParent_Done,
     /*  449279 */   // Label 7748: @449279
     /*  449279 */   GIM_Try, /*On fail goto*//*Label 7749*/ GIMT_Encode4(449365), // Rule ID 6290 //
     /*  449284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  449292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  449295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  449298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  449301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449331 */     // MIs[1] Operand 1
     /*  449331 */     // No operand predicates
     /*  449331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449340 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  449343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449363 */     GIR_RootConstrainSelectedInstOperands,
     /*  449364 */     // GIR_Coverage, 6290,
     /*  449364 */     GIR_EraseRootFromParent_Done,
     /*  449365 */   // Label 7749: @449365
     /*  449365 */   GIM_Try, /*On fail goto*//*Label 7750*/ GIMT_Encode4(449451), // Rule ID 6291 //
     /*  449370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  449378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  449381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  449384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  449387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  449405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449417 */     // MIs[1] Operand 1
     /*  449417 */     // No operand predicates
     /*  449417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4),
     /*  449429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449435 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449449 */     GIR_RootConstrainSelectedInstOperands,
     /*  449450 */     // GIR_Coverage, 6291,
     /*  449450 */     GIR_EraseRootFromParent_Done,
     /*  449451 */   // Label 7750: @449451
     /*  449451 */   GIM_Try, /*On fail goto*//*Label 7751*/ GIMT_Encode4(449537), // Rule ID 6294 //
     /*  449456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  449459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  449464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  449473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449503 */     // MIs[1] Operand 1
     /*  449503 */     // No operand predicates
     /*  449503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449512 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  449512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  449515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449535 */     GIR_RootConstrainSelectedInstOperands,
     /*  449536 */     // GIR_Coverage, 6294,
     /*  449536 */     GIR_EraseRootFromParent_Done,
     /*  449537 */   // Label 7751: @449537
     /*  449537 */   GIM_Try, /*On fail goto*//*Label 7752*/ GIMT_Encode4(449623), // Rule ID 6295 //
     /*  449542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  449545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  449550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  449553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  449556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  449559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  449577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449589 */     // MIs[1] Operand 1
     /*  449589 */     // No operand predicates
     /*  449589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  449598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8),
     /*  449601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  449618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449621 */     GIR_RootConstrainSelectedInstOperands,
     /*  449622 */     // GIR_Coverage, 6295,
     /*  449622 */     GIR_EraseRootFromParent_Done,
     /*  449623 */   // Label 7752: @449623
     /*  449623 */   GIM_Try, /*On fail goto*//*Label 7753*/ GIMT_Encode4(449709), // Rule ID 6474 //
     /*  449628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449675 */     // MIs[1] Operand 1
     /*  449675 */     // No operand predicates
     /*  449675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449684 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  449687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449707 */     GIR_RootConstrainSelectedInstOperands,
     /*  449708 */     // GIR_Coverage, 6474,
     /*  449708 */     GIR_EraseRootFromParent_Done,
     /*  449709 */   // Label 7753: @449709
     /*  449709 */   GIM_Try, /*On fail goto*//*Label 7754*/ GIMT_Encode4(449795), // Rule ID 6475 //
     /*  449714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  449725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  449728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  449731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449749 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449753 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449757 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449761 */     // MIs[1] Operand 1
     /*  449761 */     // No operand predicates
     /*  449761 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449770 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8),
     /*  449773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449779 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449793 */     GIR_RootConstrainSelectedInstOperands,
     /*  449794 */     // GIR_Coverage, 6475,
     /*  449794 */     GIR_EraseRootFromParent_Done,
     /*  449795 */   // Label 7754: @449795
     /*  449795 */   GIM_Try, /*On fail goto*//*Label 7755*/ GIMT_Encode4(449881), // Rule ID 6478 //
     /*  449800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449847 */     // MIs[1] Operand 1
     /*  449847 */     // No operand predicates
     /*  449847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  449856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449879 */     GIR_RootConstrainSelectedInstOperands,
     /*  449880 */     // GIR_Coverage, 6478,
     /*  449880 */     GIR_EraseRootFromParent_Done,
     /*  449881 */   // Label 7755: @449881
     /*  449881 */   GIM_Try, /*On fail goto*//*Label 7756*/ GIMT_Encode4(449967), // Rule ID 6479 //
     /*  449886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  449889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  449897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  449900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  449903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  449906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  449909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  449925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  449929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  449933 */     // MIs[1] Operand 1
     /*  449933 */     // No operand predicates
     /*  449933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  449935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  449942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  449942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  449945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  449947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  449949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  449951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  449954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  449959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  449962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  449965 */     GIR_RootConstrainSelectedInstOperands,
     /*  449966 */     // GIR_Coverage, 6479,
     /*  449966 */     GIR_EraseRootFromParent_Done,
     /*  449967 */   // Label 7756: @449967
     /*  449967 */   GIM_Try, /*On fail goto*//*Label 7757*/ GIMT_Encode4(450053), // Rule ID 6482 //
     /*  449972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  449975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  449980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  449983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  449986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  449989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  449992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  449995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  449999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450019 */     // MIs[1] Operand 1
     /*  450019 */     // No operand predicates
     /*  450019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  450031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450051 */     GIR_RootConstrainSelectedInstOperands,
     /*  450052 */     // GIR_Coverage, 6482,
     /*  450052 */     GIR_EraseRootFromParent_Done,
     /*  450053 */   // Label 7757: @450053
     /*  450053 */   GIM_Try, /*On fail goto*//*Label 7758*/ GIMT_Encode4(450139), // Rule ID 6483 //
     /*  450058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  450069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  450072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  450075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450105 */     // MIs[1] Operand 1
     /*  450105 */     // No operand predicates
     /*  450105 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450114 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  450117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450123 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450137 */     GIR_RootConstrainSelectedInstOperands,
     /*  450138 */     // GIR_Coverage, 6483,
     /*  450138 */     GIR_EraseRootFromParent_Done,
     /*  450139 */   // Label 7758: @450139
     /*  450139 */   GIM_Try, /*On fail goto*//*Label 7759*/ GIMT_Encode4(450225), // Rule ID 6486 //
     /*  450144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  450155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  450158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  450161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450191 */     // MIs[1] Operand 1
     /*  450191 */     // No operand predicates
     /*  450191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450200 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  450203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450223 */     GIR_RootConstrainSelectedInstOperands,
     /*  450224 */     // GIR_Coverage, 6486,
     /*  450224 */     GIR_EraseRootFromParent_Done,
     /*  450225 */   // Label 7759: @450225
     /*  450225 */   GIM_Try, /*On fail goto*//*Label 7760*/ GIMT_Encode4(450311), // Rule ID 6487 //
     /*  450230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  450241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  450244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  450247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450277 */     // MIs[1] Operand 1
     /*  450277 */     // No operand predicates
     /*  450277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4),
     /*  450289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450309 */     GIR_RootConstrainSelectedInstOperands,
     /*  450310 */     // GIR_Coverage, 6487,
     /*  450310 */     GIR_EraseRootFromParent_Done,
     /*  450311 */   // Label 7760: @450311
     /*  450311 */   GIM_Try, /*On fail goto*//*Label 7761*/ GIMT_Encode4(450397), // Rule ID 6490 //
     /*  450316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  450327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  450330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  450333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450363 */     // MIs[1] Operand 1
     /*  450363 */     // No operand predicates
     /*  450363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  450375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450395 */     GIR_RootConstrainSelectedInstOperands,
     /*  450396 */     // GIR_Coverage, 6490,
     /*  450396 */     GIR_EraseRootFromParent_Done,
     /*  450397 */   // Label 7761: @450397
     /*  450397 */   GIM_Try, /*On fail goto*//*Label 7762*/ GIMT_Encode4(450483), // Rule ID 6491 //
     /*  450402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  450413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  450416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  450419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450449 */     // MIs[1] Operand 1
     /*  450449 */     // No operand predicates
     /*  450449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450458 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  450461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450481 */     GIR_RootConstrainSelectedInstOperands,
     /*  450482 */     // GIR_Coverage, 6491,
     /*  450482 */     GIR_EraseRootFromParent_Done,
     /*  450483 */   // Label 7762: @450483
     /*  450483 */   GIM_Try, /*On fail goto*//*Label 7763*/ GIMT_Encode4(450569), // Rule ID 6494 //
     /*  450488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  450505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450535 */     // MIs[1] Operand 1
     /*  450535 */     // No operand predicates
     /*  450535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  450544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  450547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450567 */     GIR_RootConstrainSelectedInstOperands,
     /*  450568 */     // GIR_Coverage, 6494,
     /*  450568 */     GIR_EraseRootFromParent_Done,
     /*  450569 */   // Label 7763: @450569
     /*  450569 */   GIM_Try, /*On fail goto*//*Label 7764*/ GIMT_Encode4(450655), // Rule ID 6495 //
     /*  450574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  450585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  450588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  450591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450621 */     // MIs[1] Operand 1
     /*  450621 */     // No operand predicates
     /*  450621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450630 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  450630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2),
     /*  450633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  450650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450653 */     GIR_RootConstrainSelectedInstOperands,
     /*  450654 */     // GIR_Coverage, 6495,
     /*  450654 */     GIR_EraseRootFromParent_Done,
     /*  450655 */   // Label 7764: @450655
     /*  450655 */   GIM_Try, /*On fail goto*//*Label 7765*/ GIMT_Encode4(450741), // Rule ID 6498 //
     /*  450660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450707 */     // MIs[1] Operand 1
     /*  450707 */     // No operand predicates
     /*  450707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450716 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  450716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450739 */     GIR_RootConstrainSelectedInstOperands,
     /*  450740 */     // GIR_Coverage, 6498,
     /*  450740 */     GIR_EraseRootFromParent_Done,
     /*  450741 */   // Label 7765: @450741
     /*  450741 */   GIM_Try, /*On fail goto*//*Label 7766*/ GIMT_Encode4(450827), // Rule ID 6499 //
     /*  450746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  450757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  450760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  450763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450781 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450785 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450789 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450793 */     // MIs[1] Operand 1
     /*  450793 */     // No operand predicates
     /*  450793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  450802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  450822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450825 */     GIR_RootConstrainSelectedInstOperands,
     /*  450826 */     // GIR_Coverage, 6499,
     /*  450826 */     GIR_EraseRootFromParent_Done,
     /*  450827 */   // Label 7766: @450827
     /*  450827 */   GIM_Try, /*On fail goto*//*Label 7767*/ GIMT_Encode4(450913), // Rule ID 6502 //
     /*  450832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  450835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  450843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  450846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  450849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  450852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  450855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450875 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450879 */     // MIs[1] Operand 1
     /*  450879 */     // No operand predicates
     /*  450879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450888 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  450888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450911 */     GIR_RootConstrainSelectedInstOperands,
     /*  450912 */     // GIR_Coverage, 6502,
     /*  450912 */     GIR_EraseRootFromParent_Done,
     /*  450913 */   // Label 7767: @450913
     /*  450913 */   GIM_Try, /*On fail goto*//*Label 7768*/ GIMT_Encode4(450999), // Rule ID 6503 //
     /*  450918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  450921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  450926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  450929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  450932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  450935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  450938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  450941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  450953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  450957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  450961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  450965 */     // MIs[1] Operand 1
     /*  450965 */     // No operand predicates
     /*  450965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  450967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  450974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  450974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  450977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  450979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  450981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  450983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  450986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  450991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  450994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  450997 */     GIR_RootConstrainSelectedInstOperands,
     /*  450998 */     // GIR_Coverage, 6503,
     /*  450998 */     GIR_EraseRootFromParent_Done,
     /*  450999 */   // Label 7768: @450999
     /*  450999 */   GIM_Try, /*On fail goto*//*Label 7769*/ GIMT_Encode4(451085), // Rule ID 6506 //
     /*  451004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  451015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  451018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  451021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451051 */     // MIs[1] Operand 1
     /*  451051 */     // No operand predicates
     /*  451051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  451060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  451063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451083 */     GIR_RootConstrainSelectedInstOperands,
     /*  451084 */     // GIR_Coverage, 6506,
     /*  451084 */     GIR_EraseRootFromParent_Done,
     /*  451085 */   // Label 7769: @451085
     /*  451085 */   GIM_Try, /*On fail goto*//*Label 7770*/ GIMT_Encode4(451171), // Rule ID 6507 //
     /*  451090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  451101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  451104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  451107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451137 */     // MIs[1] Operand 1
     /*  451137 */     // No operand predicates
     /*  451137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  451146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  451149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  451166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451169 */     GIR_RootConstrainSelectedInstOperands,
     /*  451170 */     // GIR_Coverage, 6507,
     /*  451170 */     GIR_EraseRootFromParent_Done,
     /*  451171 */   // Label 7770: @451171
     /*  451171 */   GIM_Try, /*On fail goto*//*Label 7771*/ GIMT_Encode4(451257), // Rule ID 6510 //
     /*  451176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  451179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  451187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  451190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  451193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451211 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451215 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451219 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451223 */     // MIs[1] Operand 1
     /*  451223 */     // No operand predicates
     /*  451223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  451232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  451235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451255 */     GIR_RootConstrainSelectedInstOperands,
     /*  451256 */     // GIR_Coverage, 6510,
     /*  451256 */     GIR_EraseRootFromParent_Done,
     /*  451257 */   // Label 7771: @451257
     /*  451257 */   GIM_Try, /*On fail goto*//*Label 7772*/ GIMT_Encode4(451343), // Rule ID 6511 //
     /*  451262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  451265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  451273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  451276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  451279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  451297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451309 */     // MIs[1] Operand 1
     /*  451309 */     // No operand predicates
     /*  451309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  451318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1),
     /*  451321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  451338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451341 */     GIR_RootConstrainSelectedInstOperands,
     /*  451342 */     // GIR_Coverage, 6511,
     /*  451342 */     GIR_EraseRootFromParent_Done,
     /*  451343 */   // Label 7772: @451343
     /*  451343 */   GIM_Try, /*On fail goto*//*Label 7773*/ GIMT_Encode4(451429), // Rule ID 6514 //
     /*  451348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  451359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  451362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  451365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451395 */     // MIs[1] Operand 1
     /*  451395 */     // No operand predicates
     /*  451395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451404 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451427 */     GIR_RootConstrainSelectedInstOperands,
     /*  451428 */     // GIR_Coverage, 6514,
     /*  451428 */     GIR_EraseRootFromParent_Done,
     /*  451429 */   // Label 7773: @451429
     /*  451429 */   GIM_Try, /*On fail goto*//*Label 7774*/ GIMT_Encode4(451515), // Rule ID 6515 //
     /*  451434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  451445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  451448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  451451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451481 */     // MIs[1] Operand 1
     /*  451481 */     // No operand predicates
     /*  451481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451513 */     GIR_RootConstrainSelectedInstOperands,
     /*  451514 */     // GIR_Coverage, 6515,
     /*  451514 */     GIR_EraseRootFromParent_Done,
     /*  451515 */   // Label 7774: @451515
     /*  451515 */   GIM_Try, /*On fail goto*//*Label 7775*/ GIMT_Encode4(451601), // Rule ID 6518 //
     /*  451520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  451531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  451534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  451537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451563 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451567 */     // MIs[1] Operand 1
     /*  451567 */     // No operand predicates
     /*  451567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451576 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451599 */     GIR_RootConstrainSelectedInstOperands,
     /*  451600 */     // GIR_Coverage, 6518,
     /*  451600 */     GIR_EraseRootFromParent_Done,
     /*  451601 */   // Label 7775: @451601
     /*  451601 */   GIM_Try, /*On fail goto*//*Label 7776*/ GIMT_Encode4(451687), // Rule ID 6519 //
     /*  451606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  451617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  451620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  451623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  451641 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451645 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451649 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451653 */     // MIs[1] Operand 1
     /*  451653 */     // No operand predicates
     /*  451653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451662 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  451665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451685 */     GIR_RootConstrainSelectedInstOperands,
     /*  451686 */     // GIR_Coverage, 6519,
     /*  451686 */     GIR_EraseRootFromParent_Done,
     /*  451687 */   // Label 7776: @451687
     /*  451687 */   GIM_Try, /*On fail goto*//*Label 7777*/ GIMT_Encode4(451773), // Rule ID 6522 //
     /*  451692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451739 */     // MIs[1] Operand 1
     /*  451739 */     // No operand predicates
     /*  451739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451748 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  451748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451771 */     GIR_RootConstrainSelectedInstOperands,
     /*  451772 */     // GIR_Coverage, 6522,
     /*  451772 */     GIR_EraseRootFromParent_Done,
     /*  451773 */   // Label 7777: @451773
     /*  451773 */   GIM_Try, /*On fail goto*//*Label 7778*/ GIMT_Encode4(451859), // Rule ID 6523 //
     /*  451778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  451789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  451792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  451795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  451813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451825 */     // MIs[1] Operand 1
     /*  451825 */     // No operand predicates
     /*  451825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  451834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  451837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  451854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451857 */     GIR_RootConstrainSelectedInstOperands,
     /*  451858 */     // GIR_Coverage, 6523,
     /*  451858 */     GIR_EraseRootFromParent_Done,
     /*  451859 */   // Label 7778: @451859
     /*  451859 */   GIM_Try, /*On fail goto*//*Label 7779*/ GIMT_Encode4(451945), // Rule ID 6526 //
     /*  451864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  451867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  451875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  451878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  451881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  451884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  451887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451907 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451911 */     // MIs[1] Operand 1
     /*  451911 */     // No operand predicates
     /*  451911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  451920 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  451920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  451923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  451925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  451927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  451929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  451932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  451937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  451940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  451943 */     GIR_RootConstrainSelectedInstOperands,
     /*  451944 */     // GIR_Coverage, 6526,
     /*  451944 */     GIR_EraseRootFromParent_Done,
     /*  451945 */   // Label 7779: @451945
     /*  451945 */   GIM_Try, /*On fail goto*//*Label 7780*/ GIMT_Encode4(452031), // Rule ID 6527 //
     /*  451950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  451953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  451958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  451961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  451964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  451967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  451970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  451973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  451985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  451989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  451993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  451997 */     // MIs[1] Operand 1
     /*  451997 */     // No operand predicates
     /*  451997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  451999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452029 */     GIR_RootConstrainSelectedInstOperands,
     /*  452030 */     // GIR_Coverage, 6527,
     /*  452030 */     GIR_EraseRootFromParent_Done,
     /*  452031 */   // Label 7780: @452031
     /*  452031 */   GIM_Try, /*On fail goto*//*Label 7781*/ GIMT_Encode4(452117), // Rule ID 6530 //
     /*  452036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  452047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  452050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  452053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452083 */     // MIs[1] Operand 1
     /*  452083 */     // No operand predicates
     /*  452083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452092 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452115 */     GIR_RootConstrainSelectedInstOperands,
     /*  452116 */     // GIR_Coverage, 6530,
     /*  452116 */     GIR_EraseRootFromParent_Done,
     /*  452117 */   // Label 7781: @452117
     /*  452117 */   GIM_Try, /*On fail goto*//*Label 7782*/ GIMT_Encode4(452203), // Rule ID 6531 //
     /*  452122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  452133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  452136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  452139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452169 */     // MIs[1] Operand 1
     /*  452169 */     // No operand predicates
     /*  452169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452201 */     GIR_RootConstrainSelectedInstOperands,
     /*  452202 */     // GIR_Coverage, 6531,
     /*  452202 */     GIR_EraseRootFromParent_Done,
     /*  452203 */   // Label 7782: @452203
     /*  452203 */   GIM_Try, /*On fail goto*//*Label 7783*/ GIMT_Encode4(452289), // Rule ID 6534 //
     /*  452208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  452219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  452222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  452225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452255 */     // MIs[1] Operand 1
     /*  452255 */     // No operand predicates
     /*  452255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452264 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  452264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452287 */     GIR_RootConstrainSelectedInstOperands,
     /*  452288 */     // GIR_Coverage, 6534,
     /*  452288 */     GIR_EraseRootFromParent_Done,
     /*  452289 */   // Label 7783: @452289
     /*  452289 */   GIM_Try, /*On fail goto*//*Label 7784*/ GIMT_Encode4(452375), // Rule ID 6535 //
     /*  452294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  452305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  452308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  452311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452329 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452333 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452337 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452341 */     // MIs[1] Operand 1
     /*  452341 */     // No operand predicates
     /*  452341 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  452350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452359 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  452370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452373 */     GIR_RootConstrainSelectedInstOperands,
     /*  452374 */     // GIR_Coverage, 6535,
     /*  452374 */     GIR_EraseRootFromParent_Done,
     /*  452375 */   // Label 7784: @452375
     /*  452375 */   GIM_Try, /*On fail goto*//*Label 7785*/ GIMT_Encode4(452461), // Rule ID 6538 //
     /*  452380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  452397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452427 */     // MIs[1] Operand 1
     /*  452427 */     // No operand predicates
     /*  452427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452459 */     GIR_RootConstrainSelectedInstOperands,
     /*  452460 */     // GIR_Coverage, 6538,
     /*  452460 */     GIR_EraseRootFromParent_Done,
     /*  452461 */   // Label 7785: @452461
     /*  452461 */   GIM_Try, /*On fail goto*//*Label 7786*/ GIMT_Encode4(452547), // Rule ID 6539 //
     /*  452466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  452477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  452480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  452483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452513 */     // MIs[1] Operand 1
     /*  452513 */     // No operand predicates
     /*  452513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452545 */     GIR_RootConstrainSelectedInstOperands,
     /*  452546 */     // GIR_Coverage, 6539,
     /*  452546 */     GIR_EraseRootFromParent_Done,
     /*  452547 */   // Label 7786: @452547
     /*  452547 */   GIM_Try, /*On fail goto*//*Label 7787*/ GIMT_Encode4(452633), // Rule ID 6542 //
     /*  452552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  452569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452599 */     // MIs[1] Operand 1
     /*  452599 */     // No operand predicates
     /*  452599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452608 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452631 */     GIR_RootConstrainSelectedInstOperands,
     /*  452632 */     // GIR_Coverage, 6542,
     /*  452632 */     GIR_EraseRootFromParent_Done,
     /*  452633 */   // Label 7787: @452633
     /*  452633 */   GIM_Try, /*On fail goto*//*Label 7788*/ GIMT_Encode4(452719), // Rule ID 6543 //
     /*  452638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  452649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  452652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  452655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  452673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452685 */     // MIs[1] Operand 1
     /*  452685 */     // No operand predicates
     /*  452685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  452697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452703 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452717 */     GIR_RootConstrainSelectedInstOperands,
     /*  452718 */     // GIR_Coverage, 6543,
     /*  452718 */     GIR_EraseRootFromParent_Done,
     /*  452719 */   // Label 7788: @452719
     /*  452719 */   GIM_Try, /*On fail goto*//*Label 7789*/ GIMT_Encode4(452805), // Rule ID 6546 //
     /*  452724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  452727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452771 */     // MIs[1] Operand 1
     /*  452771 */     // No operand predicates
     /*  452771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452780 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  452780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452803 */     GIR_RootConstrainSelectedInstOperands,
     /*  452804 */     // GIR_Coverage, 6546,
     /*  452804 */     GIR_EraseRootFromParent_Done,
     /*  452805 */   // Label 7789: @452805
     /*  452805 */   GIM_Try, /*On fail goto*//*Label 7790*/ GIMT_Encode4(452891), // Rule ID 6547 //
     /*  452810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  452813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  452821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  452824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  452827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  452830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  452833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  452845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452857 */     // MIs[1] Operand 1
     /*  452857 */     // No operand predicates
     /*  452857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  452866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  452869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  452886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452889 */     GIR_RootConstrainSelectedInstOperands,
     /*  452890 */     // GIR_Coverage, 6547,
     /*  452890 */     GIR_EraseRootFromParent_Done,
     /*  452891 */   // Label 7790: @452891
     /*  452891 */   GIM_Try, /*On fail goto*//*Label 7791*/ GIMT_Encode4(452977), // Rule ID 6550 //
     /*  452896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  452899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  452907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  452910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  452913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  452916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  452919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  452931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  452935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  452939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  452943 */     // MIs[1] Operand 1
     /*  452943 */     // No operand predicates
     /*  452943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  452945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  452952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  452952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  452955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  452957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  452959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  452961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  452964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  452969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  452972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  452975 */     GIR_RootConstrainSelectedInstOperands,
     /*  452976 */     // GIR_Coverage, 6550,
     /*  452976 */     GIR_EraseRootFromParent_Done,
     /*  452977 */   // Label 7791: @452977
     /*  452977 */   GIM_Try, /*On fail goto*//*Label 7792*/ GIMT_Encode4(453063), // Rule ID 6551 //
     /*  452982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  452985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  452990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  452993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  452996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  452999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  453017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  453029 */     // MIs[1] Operand 1
     /*  453029 */     // No operand predicates
     /*  453029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453038 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  453038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2),
     /*  453041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453061 */     GIR_RootConstrainSelectedInstOperands,
     /*  453062 */     // GIR_Coverage, 6551,
     /*  453062 */     GIR_EraseRootFromParent_Done,
     /*  453063 */   // Label 7792: @453063
     /*  453063 */   GIM_Try, /*On fail goto*//*Label 7793*/ GIMT_Encode4(453149), // Rule ID 6554 //
     /*  453068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  453076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  453079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  453082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  453085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  453115 */     // MIs[1] Operand 1
     /*  453115 */     // No operand predicates
     /*  453115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453124 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  453127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453147 */     GIR_RootConstrainSelectedInstOperands,
     /*  453148 */     // GIR_Coverage, 6554,
     /*  453148 */     GIR_EraseRootFromParent_Done,
     /*  453149 */   // Label 7793: @453149
     /*  453149 */   GIM_Try, /*On fail goto*//*Label 7794*/ GIMT_Encode4(453235), // Rule ID 6555 //
     /*  453154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  453162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  453165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  453168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  453171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  453189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  453201 */     // MIs[1] Operand 1
     /*  453201 */     // No operand predicates
     /*  453201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453210 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  453210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4),
     /*  453213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453233 */     GIR_RootConstrainSelectedInstOperands,
     /*  453234 */     // GIR_Coverage, 6555,
     /*  453234 */     GIR_EraseRootFromParent_Done,
     /*  453235 */   // Label 7794: @453235
     /*  453235 */   GIM_Try, /*On fail goto*//*Label 7795*/ GIMT_Encode4(453321), // Rule ID 6558 //
     /*  453240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  453243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  453248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  453251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  453254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  453257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  453287 */     // MIs[1] Operand 1
     /*  453287 */     // No operand predicates
     /*  453287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453296 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  453296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  453299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453319 */     GIR_RootConstrainSelectedInstOperands,
     /*  453320 */     // GIR_Coverage, 6558,
     /*  453320 */     GIR_EraseRootFromParent_Done,
     /*  453321 */   // Label 7795: @453321
     /*  453321 */   GIM_Try, /*On fail goto*//*Label 7796*/ GIMT_Encode4(453407), // Rule ID 6559 //
     /*  453326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  453329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  453334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  453337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  453340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  453343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  453361 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453365 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453369 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  453373 */     // MIs[1] Operand 1
     /*  453373 */     // No operand predicates
     /*  453373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453382 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  453382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8),
     /*  453385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  453402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453405 */     GIR_RootConstrainSelectedInstOperands,
     /*  453406 */     // GIR_Coverage, 6559,
     /*  453406 */     GIR_EraseRootFromParent_Done,
     /*  453407 */   // Label 7796: @453407
     /*  453407 */   GIM_Try, /*On fail goto*//*Label 7797*/ GIMT_Encode4(453493), // Rule ID 6738 //
     /*  453412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  453429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453459 */     // MIs[1] Operand 1
     /*  453459 */     // No operand predicates
     /*  453459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453468 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  453471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453491 */     GIR_RootConstrainSelectedInstOperands,
     /*  453492 */     // GIR_Coverage, 6738,
     /*  453492 */     GIR_EraseRootFromParent_Done,
     /*  453493 */   // Label 7797: @453493
     /*  453493 */   GIM_Try, /*On fail goto*//*Label 7798*/ GIMT_Encode4(453579), // Rule ID 6739 //
     /*  453498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  453509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  453512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  453515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453545 */     // MIs[1] Operand 1
     /*  453545 */     // No operand predicates
     /*  453545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453554 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8),
     /*  453557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453577 */     GIR_RootConstrainSelectedInstOperands,
     /*  453578 */     // GIR_Coverage, 6739,
     /*  453578 */     GIR_EraseRootFromParent_Done,
     /*  453579 */   // Label 7798: @453579
     /*  453579 */   GIM_Try, /*On fail goto*//*Label 7799*/ GIMT_Encode4(453665), // Rule ID 6742 //
     /*  453584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  453601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453631 */     // MIs[1] Operand 1
     /*  453631 */     // No operand predicates
     /*  453631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453640 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453663 */     GIR_RootConstrainSelectedInstOperands,
     /*  453664 */     // GIR_Coverage, 6742,
     /*  453664 */     GIR_EraseRootFromParent_Done,
     /*  453665 */   // Label 7799: @453665
     /*  453665 */   GIM_Try, /*On fail goto*//*Label 7800*/ GIMT_Encode4(453751), // Rule ID 6743 //
     /*  453670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  453681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  453684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  453687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453717 */     // MIs[1] Operand 1
     /*  453717 */     // No operand predicates
     /*  453717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453726 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453735 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453749 */     GIR_RootConstrainSelectedInstOperands,
     /*  453750 */     // GIR_Coverage, 6743,
     /*  453750 */     GIR_EraseRootFromParent_Done,
     /*  453751 */   // Label 7800: @453751
     /*  453751 */   GIM_Try, /*On fail goto*//*Label 7801*/ GIMT_Encode4(453837), // Rule ID 6746 //
     /*  453756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  453773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453803 */     // MIs[1] Operand 1
     /*  453803 */     // No operand predicates
     /*  453803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453812 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  453812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453835 */     GIR_RootConstrainSelectedInstOperands,
     /*  453836 */     // GIR_Coverage, 6746,
     /*  453836 */     GIR_EraseRootFromParent_Done,
     /*  453837 */   // Label 7801: @453837
     /*  453837 */   GIM_Try, /*On fail goto*//*Label 7802*/ GIMT_Encode4(453923), // Rule ID 6747 //
     /*  453842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  453845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  453853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  453856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  453859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  453862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  453865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453889 */     // MIs[1] Operand 1
     /*  453889 */     // No operand predicates
     /*  453889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453898 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  453898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  453901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  453915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  453918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  453921 */     GIR_RootConstrainSelectedInstOperands,
     /*  453922 */     // GIR_Coverage, 6747,
     /*  453922 */     GIR_EraseRootFromParent_Done,
     /*  453923 */   // Label 7802: @453923
     /*  453923 */   GIM_Try, /*On fail goto*//*Label 7803*/ GIMT_Encode4(454009), // Rule ID 6750 //
     /*  453928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  453931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  453936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  453939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  453942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  453945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  453948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  453951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  453963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  453967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  453971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  453975 */     // MIs[1] Operand 1
     /*  453975 */     // No operand predicates
     /*  453975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  453977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  453984 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  453984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  453987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  453989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  453991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  453993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  453996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454007 */     GIR_RootConstrainSelectedInstOperands,
     /*  454008 */     // GIR_Coverage, 6750,
     /*  454008 */     GIR_EraseRootFromParent_Done,
     /*  454009 */   // Label 7803: @454009
     /*  454009 */   GIM_Try, /*On fail goto*//*Label 7804*/ GIMT_Encode4(454095), // Rule ID 6751 //
     /*  454014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  454025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  454028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  454031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454061 */     // MIs[1] Operand 1
     /*  454061 */     // No operand predicates
     /*  454061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454070 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4),
     /*  454073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454093 */     GIR_RootConstrainSelectedInstOperands,
     /*  454094 */     // GIR_Coverage, 6751,
     /*  454094 */     GIR_EraseRootFromParent_Done,
     /*  454095 */   // Label 7804: @454095
     /*  454095 */   GIM_Try, /*On fail goto*//*Label 7805*/ GIMT_Encode4(454181), // Rule ID 6754 //
     /*  454100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  454111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  454114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  454117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454147 */     // MIs[1] Operand 1
     /*  454147 */     // No operand predicates
     /*  454147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454156 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  454159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454179 */     GIR_RootConstrainSelectedInstOperands,
     /*  454180 */     // GIR_Coverage, 6754,
     /*  454180 */     GIR_EraseRootFromParent_Done,
     /*  454181 */   // Label 7805: @454181
     /*  454181 */   GIM_Try, /*On fail goto*//*Label 7806*/ GIMT_Encode4(454267), // Rule ID 6755 //
     /*  454186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  454197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  454200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  454203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454233 */     // MIs[1] Operand 1
     /*  454233 */     // No operand predicates
     /*  454233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454242 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  454245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454265 */     GIR_RootConstrainSelectedInstOperands,
     /*  454266 */     // GIR_Coverage, 6755,
     /*  454266 */     GIR_EraseRootFromParent_Done,
     /*  454267 */   // Label 7806: @454267
     /*  454267 */   GIM_Try, /*On fail goto*//*Label 7807*/ GIMT_Encode4(454353), // Rule ID 6758 //
     /*  454272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  454283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  454286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  454289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454319 */     // MIs[1] Operand 1
     /*  454319 */     // No operand predicates
     /*  454319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454328 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  454331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454351 */     GIR_RootConstrainSelectedInstOperands,
     /*  454352 */     // GIR_Coverage, 6758,
     /*  454352 */     GIR_EraseRootFromParent_Done,
     /*  454353 */   // Label 7807: @454353
     /*  454353 */   GIM_Try, /*On fail goto*//*Label 7808*/ GIMT_Encode4(454439), // Rule ID 6759 //
     /*  454358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  454369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  454372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  454375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454405 */     // MIs[1] Operand 1
     /*  454405 */     // No operand predicates
     /*  454405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454414 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2),
     /*  454417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454437 */     GIR_RootConstrainSelectedInstOperands,
     /*  454438 */     // GIR_Coverage, 6759,
     /*  454438 */     GIR_EraseRootFromParent_Done,
     /*  454439 */   // Label 7808: @454439
     /*  454439 */   GIM_Try, /*On fail goto*//*Label 7809*/ GIMT_Encode4(454525), // Rule ID 6762 //
     /*  454444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  454461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454491 */     // MIs[1] Operand 1
     /*  454491 */     // No operand predicates
     /*  454491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454500 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  454500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454523 */     GIR_RootConstrainSelectedInstOperands,
     /*  454524 */     // GIR_Coverage, 6762,
     /*  454524 */     GIR_EraseRootFromParent_Done,
     /*  454525 */   // Label 7809: @454525
     /*  454525 */   GIM_Try, /*On fail goto*//*Label 7810*/ GIMT_Encode4(454611), // Rule ID 6763 //
     /*  454530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  454541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  454544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  454547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454577 */     // MIs[1] Operand 1
     /*  454577 */     // No operand predicates
     /*  454577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  454586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  454606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454609 */     GIR_RootConstrainSelectedInstOperands,
     /*  454610 */     // GIR_Coverage, 6763,
     /*  454610 */     GIR_EraseRootFromParent_Done,
     /*  454611 */   // Label 7810: @454611
     /*  454611 */   GIM_Try, /*On fail goto*//*Label 7811*/ GIMT_Encode4(454697), // Rule ID 6766 //
     /*  454616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  454627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  454630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  454633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454663 */     // MIs[1] Operand 1
     /*  454663 */     // No operand predicates
     /*  454663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  454672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454695 */     GIR_RootConstrainSelectedInstOperands,
     /*  454696 */     // GIR_Coverage, 6766,
     /*  454696 */     GIR_EraseRootFromParent_Done,
     /*  454697 */   // Label 7811: @454697
     /*  454697 */   GIM_Try, /*On fail goto*//*Label 7812*/ GIMT_Encode4(454783), // Rule ID 6767 //
     /*  454702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  454713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  454716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  454719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454749 */     // MIs[1] Operand 1
     /*  454749 */     // No operand predicates
     /*  454749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  454758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  454778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454781 */     GIR_RootConstrainSelectedInstOperands,
     /*  454782 */     // GIR_Coverage, 6767,
     /*  454782 */     GIR_EraseRootFromParent_Done,
     /*  454783 */   // Label 7812: @454783
     /*  454783 */   GIM_Try, /*On fail goto*//*Label 7813*/ GIMT_Encode4(454869), // Rule ID 6770 //
     /*  454788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  454791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  454799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  454802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454835 */     // MIs[1] Operand 1
     /*  454835 */     // No operand predicates
     /*  454835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  454844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454867 */     GIR_RootConstrainSelectedInstOperands,
     /*  454868 */     // GIR_Coverage, 6770,
     /*  454868 */     GIR_EraseRootFromParent_Done,
     /*  454869 */   // Label 7813: @454869
     /*  454869 */   GIM_Try, /*On fail goto*//*Label 7814*/ GIMT_Encode4(454955), // Rule ID 6771 //
     /*  454874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  454877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  454885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  454888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  454891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  454894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  454897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  454917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  454921 */     // MIs[1] Operand 1
     /*  454921 */     // No operand predicates
     /*  454921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  454923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  454930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  454930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  454933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  454935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  454937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  454939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  454942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  454947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  454950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  454953 */     GIR_RootConstrainSelectedInstOperands,
     /*  454954 */     // GIR_Coverage, 6771,
     /*  454954 */     GIR_EraseRootFromParent_Done,
     /*  454955 */   // Label 7814: @454955
     /*  454955 */   GIM_Try, /*On fail goto*//*Label 7815*/ GIMT_Encode4(455041), // Rule ID 6774 //
     /*  454960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  454963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  454968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  454971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  454974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  454977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  454980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  454983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  454995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  454999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455007 */     // MIs[1] Operand 1
     /*  455007 */     // No operand predicates
     /*  455007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455016 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  455016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  455019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455039 */     GIR_RootConstrainSelectedInstOperands,
     /*  455040 */     // GIR_Coverage, 6774,
     /*  455040 */     GIR_EraseRootFromParent_Done,
     /*  455041 */   // Label 7815: @455041
     /*  455041 */   GIM_Try, /*On fail goto*//*Label 7816*/ GIMT_Encode4(455127), // Rule ID 6775 //
     /*  455046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  455049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  455057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  455060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  455063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  455081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455093 */     // MIs[1] Operand 1
     /*  455093 */     // No operand predicates
     /*  455093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455102 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  455102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1),
     /*  455105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  455122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455125 */     GIR_RootConstrainSelectedInstOperands,
     /*  455126 */     // GIR_Coverage, 6775,
     /*  455126 */     GIR_EraseRootFromParent_Done,
     /*  455127 */   // Label 7816: @455127
     /*  455127 */   GIM_Try, /*On fail goto*//*Label 7817*/ GIMT_Encode4(455213), // Rule ID 6778 //
     /*  455132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  455143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  455146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  455149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455179 */     // MIs[1] Operand 1
     /*  455179 */     // No operand predicates
     /*  455179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455188 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455211 */     GIR_RootConstrainSelectedInstOperands,
     /*  455212 */     // GIR_Coverage, 6778,
     /*  455212 */     GIR_EraseRootFromParent_Done,
     /*  455213 */   // Label 7817: @455213
     /*  455213 */   GIM_Try, /*On fail goto*//*Label 7818*/ GIMT_Encode4(455299), // Rule ID 6779 //
     /*  455218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  455229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  455232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  455235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455265 */     // MIs[1] Operand 1
     /*  455265 */     // No operand predicates
     /*  455265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455274 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455297 */     GIR_RootConstrainSelectedInstOperands,
     /*  455298 */     // GIR_Coverage, 6779,
     /*  455298 */     GIR_EraseRootFromParent_Done,
     /*  455299 */   // Label 7818: @455299
     /*  455299 */   GIM_Try, /*On fail goto*//*Label 7819*/ GIMT_Encode4(455385), // Rule ID 6782 //
     /*  455304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  455315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  455318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  455321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455351 */     // MIs[1] Operand 1
     /*  455351 */     // No operand predicates
     /*  455351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455360 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455383 */     GIR_RootConstrainSelectedInstOperands,
     /*  455384 */     // GIR_Coverage, 6782,
     /*  455384 */     GIR_EraseRootFromParent_Done,
     /*  455385 */   // Label 7819: @455385
     /*  455385 */   GIM_Try, /*On fail goto*//*Label 7820*/ GIMT_Encode4(455471), // Rule ID 6783 //
     /*  455390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  455401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  455404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  455407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455437 */     // MIs[1] Operand 1
     /*  455437 */     // No operand predicates
     /*  455437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455469 */     GIR_RootConstrainSelectedInstOperands,
     /*  455470 */     // GIR_Coverage, 6783,
     /*  455470 */     GIR_EraseRootFromParent_Done,
     /*  455471 */   // Label 7820: @455471
     /*  455471 */   GIM_Try, /*On fail goto*//*Label 7821*/ GIMT_Encode4(455557), // Rule ID 6786 //
     /*  455476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  455487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  455490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  455493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455523 */     // MIs[1] Operand 1
     /*  455523 */     // No operand predicates
     /*  455523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455532 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  455532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455555 */     GIR_RootConstrainSelectedInstOperands,
     /*  455556 */     // GIR_Coverage, 6786,
     /*  455556 */     GIR_EraseRootFromParent_Done,
     /*  455557 */   // Label 7821: @455557
     /*  455557 */   GIM_Try, /*On fail goto*//*Label 7822*/ GIMT_Encode4(455643), // Rule ID 6787 //
     /*  455562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  455573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  455576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  455579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  455597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455609 */     // MIs[1] Operand 1
     /*  455609 */     // No operand predicates
     /*  455609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455618 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  455618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  455621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  455638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455641 */     GIR_RootConstrainSelectedInstOperands,
     /*  455642 */     // GIR_Coverage, 6787,
     /*  455642 */     GIR_EraseRootFromParent_Done,
     /*  455643 */   // Label 7822: @455643
     /*  455643 */   GIM_Try, /*On fail goto*//*Label 7823*/ GIMT_Encode4(455729), // Rule ID 6790 //
     /*  455648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  455665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455695 */     // MIs[1] Operand 1
     /*  455695 */     // No operand predicates
     /*  455695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455727 */     GIR_RootConstrainSelectedInstOperands,
     /*  455728 */     // GIR_Coverage, 6790,
     /*  455728 */     GIR_EraseRootFromParent_Done,
     /*  455729 */   // Label 7823: @455729
     /*  455729 */   GIM_Try, /*On fail goto*//*Label 7824*/ GIMT_Encode4(455815), // Rule ID 6791 //
     /*  455734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  455745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  455748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  455751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  455769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455781 */     // MIs[1] Operand 1
     /*  455781 */     // No operand predicates
     /*  455781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  455793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455813 */     GIR_RootConstrainSelectedInstOperands,
     /*  455814 */     // GIR_Coverage, 6791,
     /*  455814 */     GIR_EraseRootFromParent_Done,
     /*  455815 */   // Label 7824: @455815
     /*  455815 */   GIM_Try, /*On fail goto*//*Label 7825*/ GIMT_Encode4(455901), // Rule ID 6794 //
     /*  455820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  455837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  455840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  455843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455867 */     // MIs[1] Operand 1
     /*  455867 */     // No operand predicates
     /*  455867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  455876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455899 */     GIR_RootConstrainSelectedInstOperands,
     /*  455900 */     // GIR_Coverage, 6794,
     /*  455900 */     GIR_EraseRootFromParent_Done,
     /*  455901 */   // Label 7825: @455901
     /*  455901 */   GIM_Try, /*On fail goto*//*Label 7826*/ GIMT_Encode4(455987), // Rule ID 6795 //
     /*  455906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  455909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  455914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  455917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  455920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  455923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  455926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  455929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  455941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  455945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  455949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  455953 */     // MIs[1] Operand 1
     /*  455953 */     // No operand predicates
     /*  455953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  455955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  455962 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  455962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  455965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  455967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  455969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  455971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  455974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  455979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  455982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  455985 */     GIR_RootConstrainSelectedInstOperands,
     /*  455986 */     // GIR_Coverage, 6795,
     /*  455986 */     GIR_EraseRootFromParent_Done,
     /*  455987 */   // Label 7826: @455987
     /*  455987 */   GIM_Try, /*On fail goto*//*Label 7827*/ GIMT_Encode4(456073), // Rule ID 6798 //
     /*  455992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  455995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  456003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  456006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  456009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456039 */     // MIs[1] Operand 1
     /*  456039 */     // No operand predicates
     /*  456039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456048 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  456048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456071 */     GIR_RootConstrainSelectedInstOperands,
     /*  456072 */     // GIR_Coverage, 6798,
     /*  456072 */     GIR_EraseRootFromParent_Done,
     /*  456073 */   // Label 7827: @456073
     /*  456073 */   GIM_Try, /*On fail goto*//*Label 7828*/ GIMT_Encode4(456159), // Rule ID 6799 //
     /*  456078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  456089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  456092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  456095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456125 */     // MIs[1] Operand 1
     /*  456125 */     // No operand predicates
     /*  456125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456134 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  456134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  456154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456157 */     GIR_RootConstrainSelectedInstOperands,
     /*  456158 */     // GIR_Coverage, 6799,
     /*  456158 */     GIR_EraseRootFromParent_Done,
     /*  456159 */   // Label 7828: @456159
     /*  456159 */   GIM_Try, /*On fail goto*//*Label 7829*/ GIMT_Encode4(456245), // Rule ID 6802 //
     /*  456164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  456175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  456178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  456181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456211 */     // MIs[1] Operand 1
     /*  456211 */     // No operand predicates
     /*  456211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456220 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  456223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456243 */     GIR_RootConstrainSelectedInstOperands,
     /*  456244 */     // GIR_Coverage, 6802,
     /*  456244 */     GIR_EraseRootFromParent_Done,
     /*  456245 */   // Label 7829: @456245
     /*  456245 */   GIM_Try, /*On fail goto*//*Label 7830*/ GIMT_Encode4(456331), // Rule ID 6803 //
     /*  456250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  456261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  456264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  456267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456297 */     // MIs[1] Operand 1
     /*  456297 */     // No operand predicates
     /*  456297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  456309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456329 */     GIR_RootConstrainSelectedInstOperands,
     /*  456330 */     // GIR_Coverage, 6803,
     /*  456330 */     GIR_EraseRootFromParent_Done,
     /*  456331 */   // Label 7830: @456331
     /*  456331 */   GIM_Try, /*On fail goto*//*Label 7831*/ GIMT_Encode4(456417), // Rule ID 6806 //
     /*  456336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  456347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  456350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  456353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456383 */     // MIs[1] Operand 1
     /*  456383 */     // No operand predicates
     /*  456383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456392 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456415 */     GIR_RootConstrainSelectedInstOperands,
     /*  456416 */     // GIR_Coverage, 6806,
     /*  456416 */     GIR_EraseRootFromParent_Done,
     /*  456417 */   // Label 7831: @456417
     /*  456417 */   GIM_Try, /*On fail goto*//*Label 7832*/ GIMT_Encode4(456503), // Rule ID 6807 //
     /*  456422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  456433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  456436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  456439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456469 */     // MIs[1] Operand 1
     /*  456469 */     // No operand predicates
     /*  456469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456501 */     GIR_RootConstrainSelectedInstOperands,
     /*  456502 */     // GIR_Coverage, 6807,
     /*  456502 */     GIR_EraseRootFromParent_Done,
     /*  456503 */   // Label 7832: @456503
     /*  456503 */   GIM_Try, /*On fail goto*//*Label 7833*/ GIMT_Encode4(456589), // Rule ID 6810 //
     /*  456508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  456511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  456519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  456522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  456525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456555 */     // MIs[1] Operand 1
     /*  456555 */     // No operand predicates
     /*  456555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456564 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  456564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456587 */     GIR_RootConstrainSelectedInstOperands,
     /*  456588 */     // GIR_Coverage, 6810,
     /*  456588 */     GIR_EraseRootFromParent_Done,
     /*  456589 */   // Label 7833: @456589
     /*  456589 */   GIM_Try, /*On fail goto*//*Label 7834*/ GIMT_Encode4(456675), // Rule ID 6811 //
     /*  456594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  456597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  456605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  456608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  456611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  456629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456641 */     // MIs[1] Operand 1
     /*  456641 */     // No operand predicates
     /*  456641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  456650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  456653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  456670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456673 */     GIR_RootConstrainSelectedInstOperands,
     /*  456674 */     // GIR_Coverage, 6811,
     /*  456674 */     GIR_EraseRootFromParent_Done,
     /*  456675 */   // Label 7834: @456675
     /*  456675 */   GIM_Try, /*On fail goto*//*Label 7835*/ GIMT_Encode4(456761), // Rule ID 6814 //
     /*  456680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  456691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  456694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  456697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456727 */     // MIs[1] Operand 1
     /*  456727 */     // No operand predicates
     /*  456727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  456739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456759 */     GIR_RootConstrainSelectedInstOperands,
     /*  456760 */     // GIR_Coverage, 6814,
     /*  456760 */     GIR_EraseRootFromParent_Done,
     /*  456761 */   // Label 7835: @456761
     /*  456761 */   GIM_Try, /*On fail goto*//*Label 7836*/ GIMT_Encode4(456847), // Rule ID 6815 //
     /*  456766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  456777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  456780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  456783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  456801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456813 */     // MIs[1] Operand 1
     /*  456813 */     // No operand predicates
     /*  456813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2),
     /*  456825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456845 */     GIR_RootConstrainSelectedInstOperands,
     /*  456846 */     // GIR_Coverage, 6815,
     /*  456846 */     GIR_EraseRootFromParent_Done,
     /*  456847 */   // Label 7836: @456847
     /*  456847 */   GIM_Try, /*On fail goto*//*Label 7837*/ GIMT_Encode4(456933), // Rule ID 6818 //
     /*  456852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  456855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  456863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  456866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  456869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  456872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  456875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456899 */     // MIs[1] Operand 1
     /*  456899 */     // No operand predicates
     /*  456899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456908 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  456908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  456915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  456917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  456920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  456925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  456928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  456931 */     GIR_RootConstrainSelectedInstOperands,
     /*  456932 */     // GIR_Coverage, 6818,
     /*  456932 */     GIR_EraseRootFromParent_Done,
     /*  456933 */   // Label 7837: @456933
     /*  456933 */   GIM_Try, /*On fail goto*//*Label 7838*/ GIMT_Encode4(457019), // Rule ID 6819 //
     /*  456938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  456941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  456946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  456949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  456952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  456955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  456958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  456961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  456973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  456977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  456981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  456985 */     // MIs[1] Operand 1
     /*  456985 */     // No operand predicates
     /*  456985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  456987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  456994 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  456994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4),
     /*  456997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  456999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457017 */     GIR_RootConstrainSelectedInstOperands,
     /*  457018 */     // GIR_Coverage, 6819,
     /*  457018 */     GIR_EraseRootFromParent_Done,
     /*  457019 */   // Label 7838: @457019
     /*  457019 */   GIM_Try, /*On fail goto*//*Label 7839*/ GIMT_Encode4(457105), // Rule ID 6822 //
     /*  457024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  457027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  457032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  457035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  457038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  457041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457071 */     // MIs[1] Operand 1
     /*  457071 */     // No operand predicates
     /*  457071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457080 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  457080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  457083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457103 */     GIR_RootConstrainSelectedInstOperands,
     /*  457104 */     // GIR_Coverage, 6822,
     /*  457104 */     GIR_EraseRootFromParent_Done,
     /*  457105 */   // Label 7839: @457105
     /*  457105 */   GIM_Try, /*On fail goto*//*Label 7840*/ GIMT_Encode4(457191), // Rule ID 6823 //
     /*  457110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  457113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  457118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  457121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  457124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  457127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  457145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457157 */     // MIs[1] Operand 1
     /*  457157 */     // No operand predicates
     /*  457157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  457166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8),
     /*  457169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  457186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457189 */     GIR_RootConstrainSelectedInstOperands,
     /*  457190 */     // GIR_Coverage, 6823,
     /*  457190 */     GIR_EraseRootFromParent_Done,
     /*  457191 */   // Label 7840: @457191
     /*  457191 */   GIM_Try, /*On fail goto*//*Label 7841*/ GIMT_Encode4(457277), // Rule ID 7002 //
     /*  457196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  457207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  457210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  457213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457243 */     // MIs[1] Operand 1
     /*  457243 */     // No operand predicates
     /*  457243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457252 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  457255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457275 */     GIR_RootConstrainSelectedInstOperands,
     /*  457276 */     // GIR_Coverage, 7002,
     /*  457276 */     GIR_EraseRootFromParent_Done,
     /*  457277 */   // Label 7841: @457277
     /*  457277 */   GIM_Try, /*On fail goto*//*Label 7842*/ GIMT_Encode4(457363), // Rule ID 7003 //
     /*  457282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  457293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  457296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  457299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457329 */     // MIs[1] Operand 1
     /*  457329 */     // No operand predicates
     /*  457329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457338 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8),
     /*  457341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457361 */     GIR_RootConstrainSelectedInstOperands,
     /*  457362 */     // GIR_Coverage, 7003,
     /*  457362 */     GIR_EraseRootFromParent_Done,
     /*  457363 */   // Label 7842: @457363
     /*  457363 */   GIM_Try, /*On fail goto*//*Label 7843*/ GIMT_Encode4(457449), // Rule ID 7006 //
     /*  457368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  457379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  457382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  457385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457415 */     // MIs[1] Operand 1
     /*  457415 */     // No operand predicates
     /*  457415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457447 */     GIR_RootConstrainSelectedInstOperands,
     /*  457448 */     // GIR_Coverage, 7006,
     /*  457448 */     GIR_EraseRootFromParent_Done,
     /*  457449 */   // Label 7843: @457449
     /*  457449 */   GIM_Try, /*On fail goto*//*Label 7844*/ GIMT_Encode4(457535), // Rule ID 7007 //
     /*  457454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  457465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  457468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  457471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457501 */     // MIs[1] Operand 1
     /*  457501 */     // No operand predicates
     /*  457501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457510 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457533 */     GIR_RootConstrainSelectedInstOperands,
     /*  457534 */     // GIR_Coverage, 7007,
     /*  457534 */     GIR_EraseRootFromParent_Done,
     /*  457535 */   // Label 7844: @457535
     /*  457535 */   GIM_Try, /*On fail goto*//*Label 7845*/ GIMT_Encode4(457621), // Rule ID 7010 //
     /*  457540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  457551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  457554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  457557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457587 */     // MIs[1] Operand 1
     /*  457587 */     // No operand predicates
     /*  457587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457596 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  457596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457619 */     GIR_RootConstrainSelectedInstOperands,
     /*  457620 */     // GIR_Coverage, 7010,
     /*  457620 */     GIR_EraseRootFromParent_Done,
     /*  457621 */   // Label 7845: @457621
     /*  457621 */   GIM_Try, /*On fail goto*//*Label 7846*/ GIMT_Encode4(457707), // Rule ID 7011 //
     /*  457626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  457637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  457640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  457643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457673 */     // MIs[1] Operand 1
     /*  457673 */     // No operand predicates
     /*  457673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457682 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  457682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  457702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457705 */     GIR_RootConstrainSelectedInstOperands,
     /*  457706 */     // GIR_Coverage, 7011,
     /*  457706 */     GIR_EraseRootFromParent_Done,
     /*  457707 */   // Label 7846: @457707
     /*  457707 */   GIM_Try, /*On fail goto*//*Label 7847*/ GIMT_Encode4(457793), // Rule ID 7014 //
     /*  457712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  457729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457759 */     // MIs[1] Operand 1
     /*  457759 */     // No operand predicates
     /*  457759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457791 */     GIR_RootConstrainSelectedInstOperands,
     /*  457792 */     // GIR_Coverage, 7014,
     /*  457792 */     GIR_EraseRootFromParent_Done,
     /*  457793 */   // Label 7847: @457793
     /*  457793 */   GIM_Try, /*On fail goto*//*Label 7848*/ GIMT_Encode4(457879), // Rule ID 7015 //
     /*  457798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  457809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  457812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  457815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457845 */     // MIs[1] Operand 1
     /*  457845 */     // No operand predicates
     /*  457845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  457854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4),
     /*  457857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457877 */     GIR_RootConstrainSelectedInstOperands,
     /*  457878 */     // GIR_Coverage, 7015,
     /*  457878 */     GIR_EraseRootFromParent_Done,
     /*  457879 */   // Label 7848: @457879
     /*  457879 */   GIM_Try, /*On fail goto*//*Label 7849*/ GIMT_Encode4(457965), // Rule ID 7018 //
     /*  457884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  457887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  457901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  457904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  457907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  457923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  457927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  457931 */     // MIs[1] Operand 1
     /*  457931 */     // No operand predicates
     /*  457931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  457933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  457940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  457940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  457943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  457945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  457947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  457949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  457952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  457957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  457960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  457963 */     GIR_RootConstrainSelectedInstOperands,
     /*  457964 */     // GIR_Coverage, 7018,
     /*  457964 */     GIR_EraseRootFromParent_Done,
     /*  457965 */   // Label 7849: @457965
     /*  457965 */   GIM_Try, /*On fail goto*//*Label 7850*/ GIMT_Encode4(458051), // Rule ID 7019 //
     /*  457970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  457973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  457978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  457981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  457984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  457987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  457990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  457993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  457997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458017 */     // MIs[1] Operand 1
     /*  458017 */     // No operand predicates
     /*  458017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458026 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  458029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458049 */     GIR_RootConstrainSelectedInstOperands,
     /*  458050 */     // GIR_Coverage, 7019,
     /*  458050 */     GIR_EraseRootFromParent_Done,
     /*  458051 */   // Label 7850: @458051
     /*  458051 */   GIM_Try, /*On fail goto*//*Label 7851*/ GIMT_Encode4(458137), // Rule ID 7022 //
     /*  458056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  458067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  458070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  458073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458103 */     // MIs[1] Operand 1
     /*  458103 */     // No operand predicates
     /*  458103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458112 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  458115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458135 */     GIR_RootConstrainSelectedInstOperands,
     /*  458136 */     // GIR_Coverage, 7022,
     /*  458136 */     GIR_EraseRootFromParent_Done,
     /*  458137 */   // Label 7851: @458137
     /*  458137 */   GIM_Try, /*On fail goto*//*Label 7852*/ GIMT_Encode4(458223), // Rule ID 7023 //
     /*  458142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  458153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  458156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  458159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458189 */     // MIs[1] Operand 1
     /*  458189 */     // No operand predicates
     /*  458189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458198 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2),
     /*  458201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458221 */     GIR_RootConstrainSelectedInstOperands,
     /*  458222 */     // GIR_Coverage, 7023,
     /*  458222 */     GIR_EraseRootFromParent_Done,
     /*  458223 */   // Label 7852: @458223
     /*  458223 */   GIM_Try, /*On fail goto*//*Label 7853*/ GIMT_Encode4(458309), // Rule ID 7026 //
     /*  458228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  458239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  458242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  458245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458275 */     // MIs[1] Operand 1
     /*  458275 */     // No operand predicates
     /*  458275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458284 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458307 */     GIR_RootConstrainSelectedInstOperands,
     /*  458308 */     // GIR_Coverage, 7026,
     /*  458308 */     GIR_EraseRootFromParent_Done,
     /*  458309 */   // Label 7853: @458309
     /*  458309 */   GIM_Try, /*On fail goto*//*Label 7854*/ GIMT_Encode4(458395), // Rule ID 7027 //
     /*  458314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  458325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  458328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  458331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458361 */     // MIs[1] Operand 1
     /*  458361 */     // No operand predicates
     /*  458361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  458370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458393 */     GIR_RootConstrainSelectedInstOperands,
     /*  458394 */     // GIR_Coverage, 7027,
     /*  458394 */     GIR_EraseRootFromParent_Done,
     /*  458395 */   // Label 7854: @458395
     /*  458395 */   GIM_Try, /*On fail goto*//*Label 7855*/ GIMT_Encode4(458481), // Rule ID 7030 //
     /*  458400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  458411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  458414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  458417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458447 */     // MIs[1] Operand 1
     /*  458447 */     // No operand predicates
     /*  458447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458456 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  458456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458479 */     GIR_RootConstrainSelectedInstOperands,
     /*  458480 */     // GIR_Coverage, 7030,
     /*  458480 */     GIR_EraseRootFromParent_Done,
     /*  458481 */   // Label 7855: @458481
     /*  458481 */   GIM_Try, /*On fail goto*//*Label 7856*/ GIMT_Encode4(458567), // Rule ID 7031 //
     /*  458486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  458497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  458500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  458503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458533 */     // MIs[1] Operand 1
     /*  458533 */     // No operand predicates
     /*  458533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458542 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  458542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  458562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458565 */     GIR_RootConstrainSelectedInstOperands,
     /*  458566 */     // GIR_Coverage, 7031,
     /*  458566 */     GIR_EraseRootFromParent_Done,
     /*  458567 */   // Label 7856: @458567
     /*  458567 */   GIM_Try, /*On fail goto*//*Label 7857*/ GIMT_Encode4(458653), // Rule ID 7034 //
     /*  458572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  458583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  458586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  458589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458619 */     // MIs[1] Operand 1
     /*  458619 */     // No operand predicates
     /*  458619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  458628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458651 */     GIR_RootConstrainSelectedInstOperands,
     /*  458652 */     // GIR_Coverage, 7034,
     /*  458652 */     GIR_EraseRootFromParent_Done,
     /*  458653 */   // Label 7857: @458653
     /*  458653 */   GIM_Try, /*On fail goto*//*Label 7858*/ GIMT_Encode4(458739), // Rule ID 7035 //
     /*  458658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  458661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  458669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  458672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  458675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458705 */     // MIs[1] Operand 1
     /*  458705 */     // No operand predicates
     /*  458705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  458714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  458734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458737 */     GIR_RootConstrainSelectedInstOperands,
     /*  458738 */     // GIR_Coverage, 7035,
     /*  458738 */     GIR_EraseRootFromParent_Done,
     /*  458739 */   // Label 7858: @458739
     /*  458739 */   GIM_Try, /*On fail goto*//*Label 7859*/ GIMT_Encode4(458825), // Rule ID 7038 //
     /*  458744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  458747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  458755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  458758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458791 */     // MIs[1] Operand 1
     /*  458791 */     // No operand predicates
     /*  458791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458800 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  458800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458823 */     GIR_RootConstrainSelectedInstOperands,
     /*  458824 */     // GIR_Coverage, 7038,
     /*  458824 */     GIR_EraseRootFromParent_Done,
     /*  458825 */   // Label 7859: @458825
     /*  458825 */   GIM_Try, /*On fail goto*//*Label 7860*/ GIMT_Encode4(458911), // Rule ID 7039 //
     /*  458830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  458833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  458841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  458844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  458847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  458850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  458853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  458865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458877 */     // MIs[1] Operand 1
     /*  458877 */     // No operand predicates
     /*  458877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  458886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1),
     /*  458889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  458906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458909 */     GIR_RootConstrainSelectedInstOperands,
     /*  458910 */     // GIR_Coverage, 7039,
     /*  458910 */     GIR_EraseRootFromParent_Done,
     /*  458911 */   // Label 7860: @458911
     /*  458911 */   GIM_Try, /*On fail goto*//*Label 7861*/ GIMT_Encode4(458997), // Rule ID 7042 //
     /*  458916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  458919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  458924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  458927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  458930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  458933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  458936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  458939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  458951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  458955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  458959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  458963 */     // MIs[1] Operand 1
     /*  458963 */     // No operand predicates
     /*  458963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  458965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  458972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  458972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  458975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  458977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  458979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  458981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  458984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  458989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  458992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  458995 */     GIR_RootConstrainSelectedInstOperands,
     /*  458996 */     // GIR_Coverage, 7042,
     /*  458996 */     GIR_EraseRootFromParent_Done,
     /*  458997 */   // Label 7861: @458997
     /*  458997 */   GIM_Try, /*On fail goto*//*Label 7862*/ GIMT_Encode4(459083), // Rule ID 7043 //
     /*  459002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  459013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  459016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  459019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459049 */     // MIs[1] Operand 1
     /*  459049 */     // No operand predicates
     /*  459049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459058 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459081 */     GIR_RootConstrainSelectedInstOperands,
     /*  459082 */     // GIR_Coverage, 7043,
     /*  459082 */     GIR_EraseRootFromParent_Done,
     /*  459083 */   // Label 7862: @459083
     /*  459083 */   GIM_Try, /*On fail goto*//*Label 7863*/ GIMT_Encode4(459169), // Rule ID 7046 //
     /*  459088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  459099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  459102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  459105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459135 */     // MIs[1] Operand 1
     /*  459135 */     // No operand predicates
     /*  459135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459167 */     GIR_RootConstrainSelectedInstOperands,
     /*  459168 */     // GIR_Coverage, 7046,
     /*  459168 */     GIR_EraseRootFromParent_Done,
     /*  459169 */   // Label 7863: @459169
     /*  459169 */   GIM_Try, /*On fail goto*//*Label 7864*/ GIMT_Encode4(459255), // Rule ID 7047 //
     /*  459174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  459185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  459188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  459191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459221 */     // MIs[1] Operand 1
     /*  459221 */     // No operand predicates
     /*  459221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459230 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459253 */     GIR_RootConstrainSelectedInstOperands,
     /*  459254 */     // GIR_Coverage, 7047,
     /*  459254 */     GIR_EraseRootFromParent_Done,
     /*  459255 */   // Label 7864: @459255
     /*  459255 */   GIM_Try, /*On fail goto*//*Label 7865*/ GIMT_Encode4(459341), // Rule ID 7050 //
     /*  459260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  459271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  459274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  459277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459307 */     // MIs[1] Operand 1
     /*  459307 */     // No operand predicates
     /*  459307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459316 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  459316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459339 */     GIR_RootConstrainSelectedInstOperands,
     /*  459340 */     // GIR_Coverage, 7050,
     /*  459340 */     GIR_EraseRootFromParent_Done,
     /*  459341 */   // Label 7865: @459341
     /*  459341 */   GIM_Try, /*On fail goto*//*Label 7866*/ GIMT_Encode4(459427), // Rule ID 7051 //
     /*  459346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  459357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  459360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  459363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459393 */     // MIs[1] Operand 1
     /*  459393 */     // No operand predicates
     /*  459393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  459402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  459422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459425 */     GIR_RootConstrainSelectedInstOperands,
     /*  459426 */     // GIR_Coverage, 7051,
     /*  459426 */     GIR_EraseRootFromParent_Done,
     /*  459427 */   // Label 7866: @459427
     /*  459427 */   GIM_Try, /*On fail goto*//*Label 7867*/ GIMT_Encode4(459513), // Rule ID 7054 //
     /*  459432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  459449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459479 */     // MIs[1] Operand 1
     /*  459479 */     // No operand predicates
     /*  459479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459488 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459511 */     GIR_RootConstrainSelectedInstOperands,
     /*  459512 */     // GIR_Coverage, 7054,
     /*  459512 */     GIR_EraseRootFromParent_Done,
     /*  459513 */   // Label 7867: @459513
     /*  459513 */   GIM_Try, /*On fail goto*//*Label 7868*/ GIMT_Encode4(459599), // Rule ID 7055 //
     /*  459518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  459529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  459532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  459535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459565 */     // MIs[1] Operand 1
     /*  459565 */     // No operand predicates
     /*  459565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459574 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  459577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459597 */     GIR_RootConstrainSelectedInstOperands,
     /*  459598 */     // GIR_Coverage, 7055,
     /*  459598 */     GIR_EraseRootFromParent_Done,
     /*  459599 */   // Label 7868: @459599
     /*  459599 */   GIM_Try, /*On fail goto*//*Label 7869*/ GIMT_Encode4(459685), // Rule ID 7058 //
     /*  459604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  459615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  459618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459651 */     // MIs[1] Operand 1
     /*  459651 */     // No operand predicates
     /*  459651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459660 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459683 */     GIR_RootConstrainSelectedInstOperands,
     /*  459684 */     // GIR_Coverage, 7058,
     /*  459684 */     GIR_EraseRootFromParent_Done,
     /*  459685 */   // Label 7869: @459685
     /*  459685 */   GIM_Try, /*On fail goto*//*Label 7870*/ GIMT_Encode4(459771), // Rule ID 7059 //
     /*  459690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  459701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  459704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  459707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  459725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459737 */     // MIs[1] Operand 1
     /*  459737 */     // No operand predicates
     /*  459737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  459749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459769 */     GIR_RootConstrainSelectedInstOperands,
     /*  459770 */     // GIR_Coverage, 7059,
     /*  459770 */     GIR_EraseRootFromParent_Done,
     /*  459771 */   // Label 7870: @459771
     /*  459771 */   GIM_Try, /*On fail goto*//*Label 7871*/ GIMT_Encode4(459857), // Rule ID 7062 //
     /*  459776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  459787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  459790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459823 */     // MIs[1] Operand 1
     /*  459823 */     // No operand predicates
     /*  459823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459832 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  459832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459855 */     GIR_RootConstrainSelectedInstOperands,
     /*  459856 */     // GIR_Coverage, 7062,
     /*  459856 */     GIR_EraseRootFromParent_Done,
     /*  459857 */   // Label 7871: @459857
     /*  459857 */   GIM_Try, /*On fail goto*//*Label 7872*/ GIMT_Encode4(459943), // Rule ID 7063 //
     /*  459862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  459865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  459873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  459876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  459879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  459882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  459885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  459897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459909 */     // MIs[1] Operand 1
     /*  459909 */     // No operand predicates
     /*  459909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  459918 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  459918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  459921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  459923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  459925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  459927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  459930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  459935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  459938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  459941 */     GIR_RootConstrainSelectedInstOperands,
     /*  459942 */     // GIR_Coverage, 7063,
     /*  459942 */     GIR_EraseRootFromParent_Done,
     /*  459943 */   // Label 7872: @459943
     /*  459943 */   GIM_Try, /*On fail goto*//*Label 7873*/ GIMT_Encode4(460029), // Rule ID 7066 //
     /*  459948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  459951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  459956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  459959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  459962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  459965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  459968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  459971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  459983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  459987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  459991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  459995 */     // MIs[1] Operand 1
     /*  459995 */     // No operand predicates
     /*  459995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  459997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460004 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  460007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460027 */     GIR_RootConstrainSelectedInstOperands,
     /*  460028 */     // GIR_Coverage, 7066,
     /*  460028 */     GIR_EraseRootFromParent_Done,
     /*  460029 */   // Label 7873: @460029
     /*  460029 */   GIM_Try, /*On fail goto*//*Label 7874*/ GIMT_Encode4(460115), // Rule ID 7067 //
     /*  460034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  460045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  460048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  460051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460081 */     // MIs[1] Operand 1
     /*  460081 */     // No operand predicates
     /*  460081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  460093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460113 */     GIR_RootConstrainSelectedInstOperands,
     /*  460114 */     // GIR_Coverage, 7067,
     /*  460114 */     GIR_EraseRootFromParent_Done,
     /*  460115 */   // Label 7874: @460115
     /*  460115 */   GIM_Try, /*On fail goto*//*Label 7875*/ GIMT_Encode4(460201), // Rule ID 7070 //
     /*  460120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  460131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  460134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  460137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460167 */     // MIs[1] Operand 1
     /*  460167 */     // No operand predicates
     /*  460167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  460179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460199 */     GIR_RootConstrainSelectedInstOperands,
     /*  460200 */     // GIR_Coverage, 7070,
     /*  460200 */     GIR_EraseRootFromParent_Done,
     /*  460201 */   // Label 7875: @460201
     /*  460201 */   GIM_Try, /*On fail goto*//*Label 7876*/ GIMT_Encode4(460287), // Rule ID 7071 //
     /*  460206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  460217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  460220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  460223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460253 */     // MIs[1] Operand 1
     /*  460253 */     // No operand predicates
     /*  460253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  460265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460285 */     GIR_RootConstrainSelectedInstOperands,
     /*  460286 */     // GIR_Coverage, 7071,
     /*  460286 */     GIR_EraseRootFromParent_Done,
     /*  460287 */   // Label 7876: @460287
     /*  460287 */   GIM_Try, /*On fail goto*//*Label 7877*/ GIMT_Encode4(460373), // Rule ID 7074 //
     /*  460292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  460303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  460306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  460309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460339 */     // MIs[1] Operand 1
     /*  460339 */     // No operand predicates
     /*  460339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460348 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  460348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  460351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460371 */     GIR_RootConstrainSelectedInstOperands,
     /*  460372 */     // GIR_Coverage, 7074,
     /*  460372 */     GIR_EraseRootFromParent_Done,
     /*  460373 */   // Label 7877: @460373
     /*  460373 */   GIM_Try, /*On fail goto*//*Label 7878*/ GIMT_Encode4(460459), // Rule ID 7075 //
     /*  460378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  460381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  460389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  460392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  460395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460425 */     // MIs[1] Operand 1
     /*  460425 */     // No operand predicates
     /*  460425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  460434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  460437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  460454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460457 */     GIR_RootConstrainSelectedInstOperands,
     /*  460458 */     // GIR_Coverage, 7075,
     /*  460458 */     GIR_EraseRootFromParent_Done,
     /*  460459 */   // Label 7878: @460459
     /*  460459 */   GIM_Try, /*On fail goto*//*Label 7879*/ GIMT_Encode4(460545), // Rule ID 7078 //
     /*  460464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  460475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  460478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460511 */     // MIs[1] Operand 1
     /*  460511 */     // No operand predicates
     /*  460511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  460523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460543 */     GIR_RootConstrainSelectedInstOperands,
     /*  460544 */     // GIR_Coverage, 7078,
     /*  460544 */     GIR_EraseRootFromParent_Done,
     /*  460545 */   // Label 7879: @460545
     /*  460545 */   GIM_Try, /*On fail goto*//*Label 7880*/ GIMT_Encode4(460631), // Rule ID 7079 //
     /*  460550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  460561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  460564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  460567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  460585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460597 */     // MIs[1] Operand 1
     /*  460597 */     // No operand predicates
     /*  460597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460606 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2),
     /*  460609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460629 */     GIR_RootConstrainSelectedInstOperands,
     /*  460630 */     // GIR_Coverage, 7079,
     /*  460630 */     GIR_EraseRootFromParent_Done,
     /*  460631 */   // Label 7880: @460631
     /*  460631 */   GIM_Try, /*On fail goto*//*Label 7881*/ GIMT_Encode4(460717), // Rule ID 7082 //
     /*  460636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460683 */     // MIs[1] Operand 1
     /*  460683 */     // No operand predicates
     /*  460683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  460695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460715 */     GIR_RootConstrainSelectedInstOperands,
     /*  460716 */     // GIR_Coverage, 7082,
     /*  460716 */     GIR_EraseRootFromParent_Done,
     /*  460717 */   // Label 7881: @460717
     /*  460717 */   GIM_Try, /*On fail goto*//*Label 7882*/ GIMT_Encode4(460803), // Rule ID 7083 //
     /*  460722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  460733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  460736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  460739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  460757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460769 */     // MIs[1] Operand 1
     /*  460769 */     // No operand predicates
     /*  460769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4),
     /*  460781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460801 */     GIR_RootConstrainSelectedInstOperands,
     /*  460802 */     // GIR_Coverage, 7083,
     /*  460802 */     GIR_EraseRootFromParent_Done,
     /*  460803 */   // Label 7882: @460803
     /*  460803 */   GIM_Try, /*On fail goto*//*Label 7883*/ GIMT_Encode4(460889), // Rule ID 7086 //
     /*  460808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  460811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  460819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  460822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  460828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  460831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460855 */     // MIs[1] Operand 1
     /*  460855 */     // No operand predicates
     /*  460855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460864 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  460864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  460867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460887 */     GIR_RootConstrainSelectedInstOperands,
     /*  460888 */     // GIR_Coverage, 7086,
     /*  460888 */     GIR_EraseRootFromParent_Done,
     /*  460889 */   // Label 7883: @460889
     /*  460889 */   GIM_Try, /*On fail goto*//*Label 7884*/ GIMT_Encode4(460975), // Rule ID 7087 //
     /*  460894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  460897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  460902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  460905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  460908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  460911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  460914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  460917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  460929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  460933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  460937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  460941 */     // MIs[1] Operand 1
     /*  460941 */     // No operand predicates
     /*  460941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  460943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  460950 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  460950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8),
     /*  460953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  460955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  460957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  460959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  460962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  460967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  460970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  460973 */     GIR_RootConstrainSelectedInstOperands,
     /*  460974 */     // GIR_Coverage, 7087,
     /*  460974 */     GIR_EraseRootFromParent_Done,
     /*  460975 */   // Label 7884: @460975
     /*  460975 */   GIM_Try, /*On fail goto*//*Label 7885*/ GIMT_Encode4(461061), // Rule ID 7266 //
     /*  460980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  460983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  460988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  460991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  460994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  460997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461027 */     // MIs[1] Operand 1
     /*  461027 */     // No operand predicates
     /*  461027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  461039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461059 */     GIR_RootConstrainSelectedInstOperands,
     /*  461060 */     // GIR_Coverage, 7266,
     /*  461060 */     GIR_EraseRootFromParent_Done,
     /*  461061 */   // Label 7885: @461061
     /*  461061 */   GIM_Try, /*On fail goto*//*Label 7886*/ GIMT_Encode4(461147), // Rule ID 7267 //
     /*  461066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  461077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  461080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  461083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461113 */     // MIs[1] Operand 1
     /*  461113 */     // No operand predicates
     /*  461113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461122 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8),
     /*  461125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461145 */     GIR_RootConstrainSelectedInstOperands,
     /*  461146 */     // GIR_Coverage, 7267,
     /*  461146 */     GIR_EraseRootFromParent_Done,
     /*  461147 */   // Label 7886: @461147
     /*  461147 */   GIM_Try, /*On fail goto*//*Label 7887*/ GIMT_Encode4(461233), // Rule ID 7270 //
     /*  461152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  461163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  461166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  461169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461199 */     // MIs[1] Operand 1
     /*  461199 */     // No operand predicates
     /*  461199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461208 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  461211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461231 */     GIR_RootConstrainSelectedInstOperands,
     /*  461232 */     // GIR_Coverage, 7270,
     /*  461232 */     GIR_EraseRootFromParent_Done,
     /*  461233 */   // Label 7887: @461233
     /*  461233 */   GIM_Try, /*On fail goto*//*Label 7888*/ GIMT_Encode4(461319), // Rule ID 7271 //
     /*  461238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  461249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  461252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  461255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461285 */     // MIs[1] Operand 1
     /*  461285 */     // No operand predicates
     /*  461285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461294 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  461297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461317 */     GIR_RootConstrainSelectedInstOperands,
     /*  461318 */     // GIR_Coverage, 7271,
     /*  461318 */     GIR_EraseRootFromParent_Done,
     /*  461319 */   // Label 7888: @461319
     /*  461319 */   GIM_Try, /*On fail goto*//*Label 7889*/ GIMT_Encode4(461405), // Rule ID 7274 //
     /*  461324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  461335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  461338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  461341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461371 */     // MIs[1] Operand 1
     /*  461371 */     // No operand predicates
     /*  461371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461380 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  461380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461403 */     GIR_RootConstrainSelectedInstOperands,
     /*  461404 */     // GIR_Coverage, 7274,
     /*  461404 */     GIR_EraseRootFromParent_Done,
     /*  461405 */   // Label 7889: @461405
     /*  461405 */   GIM_Try, /*On fail goto*//*Label 7890*/ GIMT_Encode4(461491), // Rule ID 7275 //
     /*  461410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  461421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  461424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  461427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461457 */     // MIs[1] Operand 1
     /*  461457 */     // No operand predicates
     /*  461457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461466 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  461466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  461486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461489 */     GIR_RootConstrainSelectedInstOperands,
     /*  461490 */     // GIR_Coverage, 7275,
     /*  461490 */     GIR_EraseRootFromParent_Done,
     /*  461491 */   // Label 7890: @461491
     /*  461491 */   GIM_Try, /*On fail goto*//*Label 7891*/ GIMT_Encode4(461577), // Rule ID 7278 //
     /*  461496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  461513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461543 */     // MIs[1] Operand 1
     /*  461543 */     // No operand predicates
     /*  461543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461552 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  461555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461575 */     GIR_RootConstrainSelectedInstOperands,
     /*  461576 */     // GIR_Coverage, 7278,
     /*  461576 */     GIR_EraseRootFromParent_Done,
     /*  461577 */   // Label 7891: @461577
     /*  461577 */   GIM_Try, /*On fail goto*//*Label 7892*/ GIMT_Encode4(461663), // Rule ID 7279 //
     /*  461582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  461593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  461596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  461599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461629 */     // MIs[1] Operand 1
     /*  461629 */     // No operand predicates
     /*  461629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461638 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4),
     /*  461641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461661 */     GIR_RootConstrainSelectedInstOperands,
     /*  461662 */     // GIR_Coverage, 7279,
     /*  461662 */     GIR_EraseRootFromParent_Done,
     /*  461663 */   // Label 7892: @461663
     /*  461663 */   GIM_Try, /*On fail goto*//*Label 7893*/ GIMT_Encode4(461749), // Rule ID 7282 //
     /*  461668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461715 */     // MIs[1] Operand 1
     /*  461715 */     // No operand predicates
     /*  461715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  461724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461747 */     GIR_RootConstrainSelectedInstOperands,
     /*  461748 */     // GIR_Coverage, 7282,
     /*  461748 */     GIR_EraseRootFromParent_Done,
     /*  461749 */   // Label 7893: @461749
     /*  461749 */   GIM_Try, /*On fail goto*//*Label 7894*/ GIMT_Encode4(461835), // Rule ID 7283 //
     /*  461754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  461765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  461768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  461771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461801 */     // MIs[1] Operand 1
     /*  461801 */     // No operand predicates
     /*  461801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  461810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  461830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461833 */     GIR_RootConstrainSelectedInstOperands,
     /*  461834 */     // GIR_Coverage, 7283,
     /*  461834 */     GIR_EraseRootFromParent_Done,
     /*  461835 */   // Label 7894: @461835
     /*  461835 */   GIM_Try, /*On fail goto*//*Label 7895*/ GIMT_Encode4(461921), // Rule ID 7286 //
     /*  461840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  461843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  461860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  461863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461887 */     // MIs[1] Operand 1
     /*  461887 */     // No operand predicates
     /*  461887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  461896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  461916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  461919 */     GIR_RootConstrainSelectedInstOperands,
     /*  461920 */     // GIR_Coverage, 7286,
     /*  461920 */     GIR_EraseRootFromParent_Done,
     /*  461921 */   // Label 7895: @461921
     /*  461921 */   GIM_Try, /*On fail goto*//*Label 7896*/ GIMT_Encode4(462007), // Rule ID 7287 //
     /*  461926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  461929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  461934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  461937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  461940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  461943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  461946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  461949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  461961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  461965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  461969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  461973 */     // MIs[1] Operand 1
     /*  461973 */     // No operand predicates
     /*  461973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  461975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  461982 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  461982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2),
     /*  461985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  461987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  461989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  461991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  461994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  461999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462005 */     GIR_RootConstrainSelectedInstOperands,
     /*  462006 */     // GIR_Coverage, 7287,
     /*  462006 */     GIR_EraseRootFromParent_Done,
     /*  462007 */   // Label 7896: @462007
     /*  462007 */   GIM_Try, /*On fail goto*//*Label 7897*/ GIMT_Encode4(462093), // Rule ID 7290 //
     /*  462012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  462023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  462026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  462029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462059 */     // MIs[1] Operand 1
     /*  462059 */     // No operand predicates
     /*  462059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462068 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462091 */     GIR_RootConstrainSelectedInstOperands,
     /*  462092 */     // GIR_Coverage, 7290,
     /*  462092 */     GIR_EraseRootFromParent_Done,
     /*  462093 */   // Label 7897: @462093
     /*  462093 */   GIM_Try, /*On fail goto*//*Label 7898*/ GIMT_Encode4(462179), // Rule ID 7291 //
     /*  462098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  462109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  462112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  462115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462145 */     // MIs[1] Operand 1
     /*  462145 */     // No operand predicates
     /*  462145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462154 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462177 */     GIR_RootConstrainSelectedInstOperands,
     /*  462178 */     // GIR_Coverage, 7291,
     /*  462178 */     GIR_EraseRootFromParent_Done,
     /*  462179 */   // Label 7898: @462179
     /*  462179 */   GIM_Try, /*On fail goto*//*Label 7899*/ GIMT_Encode4(462265), // Rule ID 7294 //
     /*  462184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  462195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  462198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462231 */     // MIs[1] Operand 1
     /*  462231 */     // No operand predicates
     /*  462231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462240 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  462240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462263 */     GIR_RootConstrainSelectedInstOperands,
     /*  462264 */     // GIR_Coverage, 7294,
     /*  462264 */     GIR_EraseRootFromParent_Done,
     /*  462265 */   // Label 7899: @462265
     /*  462265 */   GIM_Try, /*On fail goto*//*Label 7900*/ GIMT_Encode4(462351), // Rule ID 7295 //
     /*  462270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  462281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  462284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  462287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462317 */     // MIs[1] Operand 1
     /*  462317 */     // No operand predicates
     /*  462317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462326 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  462326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  462346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462349 */     GIR_RootConstrainSelectedInstOperands,
     /*  462350 */     // GIR_Coverage, 7295,
     /*  462350 */     GIR_EraseRootFromParent_Done,
     /*  462351 */   // Label 7900: @462351
     /*  462351 */   GIM_Try, /*On fail goto*//*Label 7901*/ GIMT_Encode4(462437), // Rule ID 7298 //
     /*  462356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  462373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462403 */     // MIs[1] Operand 1
     /*  462403 */     // No operand predicates
     /*  462403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  462412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462435 */     GIR_RootConstrainSelectedInstOperands,
     /*  462436 */     // GIR_Coverage, 7298,
     /*  462436 */     GIR_EraseRootFromParent_Done,
     /*  462437 */   // Label 7901: @462437
     /*  462437 */   GIM_Try, /*On fail goto*//*Label 7902*/ GIMT_Encode4(462523), // Rule ID 7299 //
     /*  462442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  462453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  462456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  462459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462489 */     // MIs[1] Operand 1
     /*  462489 */     // No operand predicates
     /*  462489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  462498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  462518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462521 */     GIR_RootConstrainSelectedInstOperands,
     /*  462522 */     // GIR_Coverage, 7299,
     /*  462522 */     GIR_EraseRootFromParent_Done,
     /*  462523 */   // Label 7902: @462523
     /*  462523 */   GIM_Try, /*On fail goto*//*Label 7903*/ GIMT_Encode4(462609), // Rule ID 7302 //
     /*  462528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  462531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  462539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  462542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462575 */     // MIs[1] Operand 1
     /*  462575 */     // No operand predicates
     /*  462575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462584 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  462584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462607 */     GIR_RootConstrainSelectedInstOperands,
     /*  462608 */     // GIR_Coverage, 7302,
     /*  462608 */     GIR_EraseRootFromParent_Done,
     /*  462609 */   // Label 7903: @462609
     /*  462609 */   GIM_Try, /*On fail goto*//*Label 7904*/ GIMT_Encode4(462695), // Rule ID 7303 //
     /*  462614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  462617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  462625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  462628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  462631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  462649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462661 */     // MIs[1] Operand 1
     /*  462661 */     // No operand predicates
     /*  462661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  462670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1),
     /*  462673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  462690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462693 */     GIR_RootConstrainSelectedInstOperands,
     /*  462694 */     // GIR_Coverage, 7303,
     /*  462694 */     GIR_EraseRootFromParent_Done,
     /*  462695 */   // Label 7904: @462695
     /*  462695 */   GIM_Try, /*On fail goto*//*Label 7905*/ GIMT_Encode4(462781), // Rule ID 7306 //
     /*  462700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  462717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462747 */     // MIs[1] Operand 1
     /*  462747 */     // No operand predicates
     /*  462747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462756 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462779 */     GIR_RootConstrainSelectedInstOperands,
     /*  462780 */     // GIR_Coverage, 7306,
     /*  462780 */     GIR_EraseRootFromParent_Done,
     /*  462781 */   // Label 7905: @462781
     /*  462781 */   GIM_Try, /*On fail goto*//*Label 7906*/ GIMT_Encode4(462867), // Rule ID 7307 //
     /*  462786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  462797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  462800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  462803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  462821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462833 */     // MIs[1] Operand 1
     /*  462833 */     // No operand predicates
     /*  462833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462842 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  462842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  462845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462865 */     GIR_RootConstrainSelectedInstOperands,
     /*  462866 */     // GIR_Coverage, 7307,
     /*  462866 */     GIR_EraseRootFromParent_Done,
     /*  462867 */   // Label 7906: @462867
     /*  462867 */   GIM_Try, /*On fail goto*//*Label 7907*/ GIMT_Encode4(462953), // Rule ID 7310 //
     /*  462872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  462875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  462889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  462892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  462895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  462915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  462919 */     // MIs[1] Operand 1
     /*  462919 */     // No operand predicates
     /*  462919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  462921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  462928 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  462928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  462931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  462933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  462935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  462937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  462940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  462945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  462948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  462951 */     GIR_RootConstrainSelectedInstOperands,
     /*  462952 */     // GIR_Coverage, 7310,
     /*  462952 */     GIR_EraseRootFromParent_Done,
     /*  462953 */   // Label 7907: @462953
     /*  462953 */   GIM_Try, /*On fail goto*//*Label 7908*/ GIMT_Encode4(463039), // Rule ID 7311 //
     /*  462958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  462961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  462966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  462969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  462972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  462975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  462978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  462981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  462993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  462997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463005 */     // MIs[1] Operand 1
     /*  463005 */     // No operand predicates
     /*  463005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463014 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463037 */     GIR_RootConstrainSelectedInstOperands,
     /*  463038 */     // GIR_Coverage, 7311,
     /*  463038 */     GIR_EraseRootFromParent_Done,
     /*  463039 */   // Label 7908: @463039
     /*  463039 */   GIM_Try, /*On fail goto*//*Label 7909*/ GIMT_Encode4(463125), // Rule ID 7314 //
     /*  463044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  463055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  463058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  463061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463091 */     // MIs[1] Operand 1
     /*  463091 */     // No operand predicates
     /*  463091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463100 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  463100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463123 */     GIR_RootConstrainSelectedInstOperands,
     /*  463124 */     // GIR_Coverage, 7314,
     /*  463124 */     GIR_EraseRootFromParent_Done,
     /*  463125 */   // Label 7909: @463125
     /*  463125 */   GIM_Try, /*On fail goto*//*Label 7910*/ GIMT_Encode4(463211), // Rule ID 7315 //
     /*  463130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  463141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  463144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  463147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463177 */     // MIs[1] Operand 1
     /*  463177 */     // No operand predicates
     /*  463177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463186 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  463186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  463206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463209 */     GIR_RootConstrainSelectedInstOperands,
     /*  463210 */     // GIR_Coverage, 7315,
     /*  463210 */     GIR_EraseRootFromParent_Done,
     /*  463211 */   // Label 7910: @463211
     /*  463211 */   GIM_Try, /*On fail goto*//*Label 7911*/ GIMT_Encode4(463297), // Rule ID 7318 //
     /*  463216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  463227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  463230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463263 */     // MIs[1] Operand 1
     /*  463263 */     // No operand predicates
     /*  463263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463295 */     GIR_RootConstrainSelectedInstOperands,
     /*  463296 */     // GIR_Coverage, 7318,
     /*  463296 */     GIR_EraseRootFromParent_Done,
     /*  463297 */   // Label 7911: @463297
     /*  463297 */   GIM_Try, /*On fail goto*//*Label 7912*/ GIMT_Encode4(463383), // Rule ID 7319 //
     /*  463302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  463313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  463316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  463319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463349 */     // MIs[1] Operand 1
     /*  463349 */     // No operand predicates
     /*  463349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463381 */     GIR_RootConstrainSelectedInstOperands,
     /*  463382 */     // GIR_Coverage, 7319,
     /*  463382 */     GIR_EraseRootFromParent_Done,
     /*  463383 */   // Label 7912: @463383
     /*  463383 */   GIM_Try, /*On fail goto*//*Label 7913*/ GIMT_Encode4(463469), // Rule ID 7322 //
     /*  463388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463435 */     // MIs[1] Operand 1
     /*  463435 */     // No operand predicates
     /*  463435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463467 */     GIR_RootConstrainSelectedInstOperands,
     /*  463468 */     // GIR_Coverage, 7322,
     /*  463468 */     GIR_EraseRootFromParent_Done,
     /*  463469 */   // Label 7913: @463469
     /*  463469 */   GIM_Try, /*On fail goto*//*Label 7914*/ GIMT_Encode4(463555), // Rule ID 7323 //
     /*  463474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  463485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  463488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  463491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463521 */     // MIs[1] Operand 1
     /*  463521 */     // No operand predicates
     /*  463521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463553 */     GIR_RootConstrainSelectedInstOperands,
     /*  463554 */     // GIR_Coverage, 7323,
     /*  463554 */     GIR_EraseRootFromParent_Done,
     /*  463555 */   // Label 7914: @463555
     /*  463555 */   GIM_Try, /*On fail goto*//*Label 7915*/ GIMT_Encode4(463641), // Rule ID 7326 //
     /*  463560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  463571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  463574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463607 */     // MIs[1] Operand 1
     /*  463607 */     // No operand predicates
     /*  463607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463616 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  463616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463639 */     GIR_RootConstrainSelectedInstOperands,
     /*  463640 */     // GIR_Coverage, 7326,
     /*  463640 */     GIR_EraseRootFromParent_Done,
     /*  463641 */   // Label 7915: @463641
     /*  463641 */   GIM_Try, /*On fail goto*//*Label 7916*/ GIMT_Encode4(463727), // Rule ID 7327 //
     /*  463646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  463657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  463660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  463663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  463681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463693 */     // MIs[1] Operand 1
     /*  463693 */     // No operand predicates
     /*  463693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  463702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  463705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  463722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463725 */     GIR_RootConstrainSelectedInstOperands,
     /*  463726 */     // GIR_Coverage, 7327,
     /*  463726 */     GIR_EraseRootFromParent_Done,
     /*  463727 */   // Label 7916: @463727
     /*  463727 */   GIM_Try, /*On fail goto*//*Label 7917*/ GIMT_Encode4(463813), // Rule ID 7330 //
     /*  463732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463779 */     // MIs[1] Operand 1
     /*  463779 */     // No operand predicates
     /*  463779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463788 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463811 */     GIR_RootConstrainSelectedInstOperands,
     /*  463812 */     // GIR_Coverage, 7330,
     /*  463812 */     GIR_EraseRootFromParent_Done,
     /*  463813 */   // Label 7917: @463813
     /*  463813 */   GIM_Try, /*On fail goto*//*Label 7918*/ GIMT_Encode4(463899), // Rule ID 7331 //
     /*  463818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  463829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  463832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  463835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  463838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  463841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  463853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463865 */     // MIs[1] Operand 1
     /*  463865 */     // No operand predicates
     /*  463865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463874 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  463874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  463877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463897 */     GIR_RootConstrainSelectedInstOperands,
     /*  463898 */     // GIR_Coverage, 7331,
     /*  463898 */     GIR_EraseRootFromParent_Done,
     /*  463899 */   // Label 7918: @463899
     /*  463899 */   GIM_Try, /*On fail goto*//*Label 7919*/ GIMT_Encode4(463985), // Rule ID 7334 //
     /*  463904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  463907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  463915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  463918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  463921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  463924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  463927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  463939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  463943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  463947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  463951 */     // MIs[1] Operand 1
     /*  463951 */     // No operand predicates
     /*  463951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  463953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  463960 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  463960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  463963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  463965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  463967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  463969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  463972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  463977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  463980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  463983 */     GIR_RootConstrainSelectedInstOperands,
     /*  463984 */     // GIR_Coverage, 7334,
     /*  463984 */     GIR_EraseRootFromParent_Done,
     /*  463985 */   // Label 7919: @463985
     /*  463985 */   GIM_Try, /*On fail goto*//*Label 7920*/ GIMT_Encode4(464071), // Rule ID 7335 //
     /*  463990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  463993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  463998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  464001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  464004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  464007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464037 */     // MIs[1] Operand 1
     /*  464037 */     // No operand predicates
     /*  464037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464046 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  464049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464069 */     GIR_RootConstrainSelectedInstOperands,
     /*  464070 */     // GIR_Coverage, 7335,
     /*  464070 */     GIR_EraseRootFromParent_Done,
     /*  464071 */   // Label 7920: @464071
     /*  464071 */   GIM_Try, /*On fail goto*//*Label 7921*/ GIMT_Encode4(464157), // Rule ID 7338 //
     /*  464076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  464087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  464090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  464093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464123 */     // MIs[1] Operand 1
     /*  464123 */     // No operand predicates
     /*  464123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464132 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  464132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  464135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464155 */     GIR_RootConstrainSelectedInstOperands,
     /*  464156 */     // GIR_Coverage, 7338,
     /*  464156 */     GIR_EraseRootFromParent_Done,
     /*  464157 */   // Label 7921: @464157
     /*  464157 */   GIM_Try, /*On fail goto*//*Label 7922*/ GIMT_Encode4(464243), // Rule ID 7339 //
     /*  464162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  464173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  464176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  464179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464209 */     // MIs[1] Operand 1
     /*  464209 */     // No operand predicates
     /*  464209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464218 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  464218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  464221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  464238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464241 */     GIR_RootConstrainSelectedInstOperands,
     /*  464242 */     // GIR_Coverage, 7339,
     /*  464242 */     GIR_EraseRootFromParent_Done,
     /*  464243 */   // Label 7922: @464243
     /*  464243 */   GIM_Try, /*On fail goto*//*Label 7923*/ GIMT_Encode4(464329), // Rule ID 7342 //
     /*  464248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  464251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  464259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  464262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464295 */     // MIs[1] Operand 1
     /*  464295 */     // No operand predicates
     /*  464295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464304 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  464307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464327 */     GIR_RootConstrainSelectedInstOperands,
     /*  464328 */     // GIR_Coverage, 7342,
     /*  464328 */     GIR_EraseRootFromParent_Done,
     /*  464329 */   // Label 7923: @464329
     /*  464329 */   GIM_Try, /*On fail goto*//*Label 7924*/ GIMT_Encode4(464415), // Rule ID 7343 //
     /*  464334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  464345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  464348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  464351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  464369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464381 */     // MIs[1] Operand 1
     /*  464381 */     // No operand predicates
     /*  464381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464390 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2),
     /*  464393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464413 */     GIR_RootConstrainSelectedInstOperands,
     /*  464414 */     // GIR_Coverage, 7343,
     /*  464414 */     GIR_EraseRootFromParent_Done,
     /*  464415 */   // Label 7924: @464415
     /*  464415 */   GIM_Try, /*On fail goto*//*Label 7925*/ GIMT_Encode4(464501), // Rule ID 7346 //
     /*  464420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  464423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  464431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  464434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464467 */     // MIs[1] Operand 1
     /*  464467 */     // No operand predicates
     /*  464467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464476 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  464479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464499 */     GIR_RootConstrainSelectedInstOperands,
     /*  464500 */     // GIR_Coverage, 7346,
     /*  464500 */     GIR_EraseRootFromParent_Done,
     /*  464501 */   // Label 7925: @464501
     /*  464501 */   GIM_Try, /*On fail goto*//*Label 7926*/ GIMT_Encode4(464587), // Rule ID 7347 //
     /*  464506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  464517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  464520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  464523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  464541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464553 */     // MIs[1] Operand 1
     /*  464553 */     // No operand predicates
     /*  464553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464562 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4),
     /*  464565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464585 */     GIR_RootConstrainSelectedInstOperands,
     /*  464586 */     // GIR_Coverage, 7347,
     /*  464586 */     GIR_EraseRootFromParent_Done,
     /*  464587 */   // Label 7926: @464587
     /*  464587 */   GIM_Try, /*On fail goto*//*Label 7927*/ GIMT_Encode4(464673), // Rule ID 7350 //
     /*  464592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  464595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  464603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  464606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464639 */     // MIs[1] Operand 1
     /*  464639 */     // No operand predicates
     /*  464639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464648 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  464648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  464651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464671 */     GIR_RootConstrainSelectedInstOperands,
     /*  464672 */     // GIR_Coverage, 7350,
     /*  464672 */     GIR_EraseRootFromParent_Done,
     /*  464673 */   // Label 7927: @464673
     /*  464673 */   GIM_Try, /*On fail goto*//*Label 7928*/ GIMT_Encode4(464759), // Rule ID 7351 //
     /*  464678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  464681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  464686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  464689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  464692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  464695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  464713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464725 */     // MIs[1] Operand 1
     /*  464725 */     // No operand predicates
     /*  464725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464734 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  464734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8),
     /*  464737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  464754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464757 */     GIR_RootConstrainSelectedInstOperands,
     /*  464758 */     // GIR_Coverage, 7351,
     /*  464758 */     GIR_EraseRootFromParent_Done,
     /*  464759 */   // Label 7928: @464759
     /*  464759 */   GIM_Try, /*On fail goto*//*Label 7929*/ GIMT_Encode4(464845), // Rule ID 7562 //
     /*  464764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464811 */     // MIs[1] Operand 1
     /*  464811 */     // No operand predicates
     /*  464811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464820 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  464823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464843 */     GIR_RootConstrainSelectedInstOperands,
     /*  464844 */     // GIR_Coverage, 7562,
     /*  464844 */     GIR_EraseRootFromParent_Done,
     /*  464845 */   // Label 7929: @464845
     /*  464845 */   GIM_Try, /*On fail goto*//*Label 7930*/ GIMT_Encode4(464931), // Rule ID 7563 //
     /*  464850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  464853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  464861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  464864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  464867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  464870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  464873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464897 */     // MIs[1] Operand 1
     /*  464897 */     // No operand predicates
     /*  464897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464906 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  464906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8),
     /*  464909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  464915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  464918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  464923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  464926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  464929 */     GIR_RootConstrainSelectedInstOperands,
     /*  464930 */     // GIR_Coverage, 7563,
     /*  464930 */     GIR_EraseRootFromParent_Done,
     /*  464931 */   // Label 7930: @464931
     /*  464931 */   GIM_Try, /*On fail goto*//*Label 7931*/ GIMT_Encode4(465017), // Rule ID 7566 //
     /*  464936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  464939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  464944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  464947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  464950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  464953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  464956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  464959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  464971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  464975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  464979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  464983 */     // MIs[1] Operand 1
     /*  464983 */     // No operand predicates
     /*  464983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  464985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  464992 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  464992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  464995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  464997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  464999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465015 */     GIR_RootConstrainSelectedInstOperands,
     /*  465016 */     // GIR_Coverage, 7566,
     /*  465016 */     GIR_EraseRootFromParent_Done,
     /*  465017 */   // Label 7931: @465017
     /*  465017 */   GIM_Try, /*On fail goto*//*Label 7932*/ GIMT_Encode4(465103), // Rule ID 7567 //
     /*  465022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  465033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  465036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  465039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465069 */     // MIs[1] Operand 1
     /*  465069 */     // No operand predicates
     /*  465069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465078 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  465081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465101 */     GIR_RootConstrainSelectedInstOperands,
     /*  465102 */     // GIR_Coverage, 7567,
     /*  465102 */     GIR_EraseRootFromParent_Done,
     /*  465103 */   // Label 7932: @465103
     /*  465103 */   GIM_Try, /*On fail goto*//*Label 7933*/ GIMT_Encode4(465189), // Rule ID 7570 //
     /*  465108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  465125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465155 */     // MIs[1] Operand 1
     /*  465155 */     // No operand predicates
     /*  465155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465164 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  465167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465187 */     GIR_RootConstrainSelectedInstOperands,
     /*  465188 */     // GIR_Coverage, 7570,
     /*  465188 */     GIR_EraseRootFromParent_Done,
     /*  465189 */   // Label 7933: @465189
     /*  465189 */   GIM_Try, /*On fail goto*//*Label 7934*/ GIMT_Encode4(465275), // Rule ID 7571 //
     /*  465194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  465205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  465208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  465211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465241 */     // MIs[1] Operand 1
     /*  465241 */     // No operand predicates
     /*  465241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  465253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465273 */     GIR_RootConstrainSelectedInstOperands,
     /*  465274 */     // GIR_Coverage, 7571,
     /*  465274 */     GIR_EraseRootFromParent_Done,
     /*  465275 */   // Label 7934: @465275
     /*  465275 */   GIM_Try, /*On fail goto*//*Label 7935*/ GIMT_Encode4(465361), // Rule ID 7574 //
     /*  465280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  465291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  465294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  465297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465327 */     // MIs[1] Operand 1
     /*  465327 */     // No operand predicates
     /*  465327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  465339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465359 */     GIR_RootConstrainSelectedInstOperands,
     /*  465360 */     // GIR_Coverage, 7574,
     /*  465360 */     GIR_EraseRootFromParent_Done,
     /*  465361 */   // Label 7935: @465361
     /*  465361 */   GIM_Try, /*On fail goto*//*Label 7936*/ GIMT_Encode4(465447), // Rule ID 7575 //
     /*  465366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  465377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  465380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  465383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465413 */     // MIs[1] Operand 1
     /*  465413 */     // No operand predicates
     /*  465413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465422 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  465425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465445 */     GIR_RootConstrainSelectedInstOperands,
     /*  465446 */     // GIR_Coverage, 7575,
     /*  465446 */     GIR_EraseRootFromParent_Done,
     /*  465447 */   // Label 7936: @465447
     /*  465447 */   GIM_Try, /*On fail goto*//*Label 7937*/ GIMT_Encode4(465533), // Rule ID 7578 //
     /*  465452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  465463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  465466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  465469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465499 */     // MIs[1] Operand 1
     /*  465499 */     // No operand predicates
     /*  465499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465508 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  465511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465531 */     GIR_RootConstrainSelectedInstOperands,
     /*  465532 */     // GIR_Coverage, 7578,
     /*  465532 */     GIR_EraseRootFromParent_Done,
     /*  465533 */   // Label 7937: @465533
     /*  465533 */   GIM_Try, /*On fail goto*//*Label 7938*/ GIMT_Encode4(465619), // Rule ID 7579 //
     /*  465538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  465549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  465552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  465555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  465569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465585 */     // MIs[1] Operand 1
     /*  465585 */     // No operand predicates
     /*  465585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  465597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465617 */     GIR_RootConstrainSelectedInstOperands,
     /*  465618 */     // GIR_Coverage, 7579,
     /*  465618 */     GIR_EraseRootFromParent_Done,
     /*  465619 */   // Label 7938: @465619
     /*  465619 */   GIM_Try, /*On fail goto*//*Label 7939*/ GIMT_Encode4(465705), // Rule ID 7582 //
     /*  465624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  465635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  465638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  465641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465671 */     // MIs[1] Operand 1
     /*  465671 */     // No operand predicates
     /*  465671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  465680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  465683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465703 */     GIR_RootConstrainSelectedInstOperands,
     /*  465704 */     // GIR_Coverage, 7582,
     /*  465704 */     GIR_EraseRootFromParent_Done,
     /*  465705 */   // Label 7939: @465705
     /*  465705 */   GIM_Try, /*On fail goto*//*Label 7940*/ GIMT_Encode4(465791), // Rule ID 7583 //
     /*  465710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  465721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  465724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  465727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  465741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  465745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465757 */     // MIs[1] Operand 1
     /*  465757 */     // No operand predicates
     /*  465757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465766 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  465766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  465769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  465786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465789 */     GIR_RootConstrainSelectedInstOperands,
     /*  465790 */     // GIR_Coverage, 7583,
     /*  465790 */     GIR_EraseRootFromParent_Done,
     /*  465791 */   // Label 7940: @465791
     /*  465791 */   GIM_Try, /*On fail goto*//*Label 7941*/ GIMT_Encode4(465877), // Rule ID 7586 //
     /*  465796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465843 */     // MIs[1] Operand 1
     /*  465843 */     // No operand predicates
     /*  465843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  465852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  465855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465875 */     GIR_RootConstrainSelectedInstOperands,
     /*  465876 */     // GIR_Coverage, 7586,
     /*  465876 */     GIR_EraseRootFromParent_Done,
     /*  465877 */   // Label 7941: @465877
     /*  465877 */   GIM_Try, /*On fail goto*//*Label 7942*/ GIMT_Encode4(465963), // Rule ID 7587 //
     /*  465882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  465885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  465893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  465896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  465899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  465902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  465905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  465921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  465925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  465929 */     // MIs[1] Operand 1
     /*  465929 */     // No operand predicates
     /*  465929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  465931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  465938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  465938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4),
     /*  465941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  465943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  465945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  465947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  465950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  465955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  465958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  465961 */     GIR_RootConstrainSelectedInstOperands,
     /*  465962 */     // GIR_Coverage, 7587,
     /*  465962 */     GIR_EraseRootFromParent_Done,
     /*  465963 */   // Label 7942: @465963
     /*  465963 */   GIM_Try, /*On fail goto*//*Label 7943*/ GIMT_Encode4(466049), // Rule ID 7590 //
     /*  465968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  465971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  465976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  465979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  465982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  465985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  465988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  465991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  465999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466015 */     // MIs[1] Operand 1
     /*  466015 */     // No operand predicates
     /*  466015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  466027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466047 */     GIR_RootConstrainSelectedInstOperands,
     /*  466048 */     // GIR_Coverage, 7590,
     /*  466048 */     GIR_EraseRootFromParent_Done,
     /*  466049 */   // Label 7943: @466049
     /*  466049 */   GIM_Try, /*On fail goto*//*Label 7944*/ GIMT_Encode4(466135), // Rule ID 7591 //
     /*  466054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  466065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  466068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  466071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466101 */     // MIs[1] Operand 1
     /*  466101 */     // No operand predicates
     /*  466101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  466113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466133 */     GIR_RootConstrainSelectedInstOperands,
     /*  466134 */     // GIR_Coverage, 7591,
     /*  466134 */     GIR_EraseRootFromParent_Done,
     /*  466135 */   // Label 7944: @466135
     /*  466135 */   GIM_Try, /*On fail goto*//*Label 7945*/ GIMT_Encode4(466221), // Rule ID 7594 //
     /*  466140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  466157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466187 */     // MIs[1] Operand 1
     /*  466187 */     // No operand predicates
     /*  466187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  466199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466219 */     GIR_RootConstrainSelectedInstOperands,
     /*  466220 */     // GIR_Coverage, 7594,
     /*  466220 */     GIR_EraseRootFromParent_Done,
     /*  466221 */   // Label 7945: @466221
     /*  466221 */   GIM_Try, /*On fail goto*//*Label 7946*/ GIMT_Encode4(466307), // Rule ID 7595 //
     /*  466226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  466237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  466240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  466243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466273 */     // MIs[1] Operand 1
     /*  466273 */     // No operand predicates
     /*  466273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466282 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  466285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466305 */     GIR_RootConstrainSelectedInstOperands,
     /*  466306 */     // GIR_Coverage, 7595,
     /*  466306 */     GIR_EraseRootFromParent_Done,
     /*  466307 */   // Label 7946: @466307
     /*  466307 */   GIM_Try, /*On fail goto*//*Label 7947*/ GIMT_Encode4(466393), // Rule ID 7598 //
     /*  466312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  466323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  466326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  466329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466359 */     // MIs[1] Operand 1
     /*  466359 */     // No operand predicates
     /*  466359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  466371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466391 */     GIR_RootConstrainSelectedInstOperands,
     /*  466392 */     // GIR_Coverage, 7598,
     /*  466392 */     GIR_EraseRootFromParent_Done,
     /*  466393 */   // Label 7947: @466393
     /*  466393 */   GIM_Try, /*On fail goto*//*Label 7948*/ GIMT_Encode4(466479), // Rule ID 7599 //
     /*  466398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  466409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  466412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  466415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466445 */     // MIs[1] Operand 1
     /*  466445 */     // No operand predicates
     /*  466445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  466457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466477 */     GIR_RootConstrainSelectedInstOperands,
     /*  466478 */     // GIR_Coverage, 7599,
     /*  466478 */     GIR_EraseRootFromParent_Done,
     /*  466479 */   // Label 7948: @466479
     /*  466479 */   GIM_Try, /*On fail goto*//*Label 7949*/ GIMT_Encode4(466565), // Rule ID 7602 //
     /*  466484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  466487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  466495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  466498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  466501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466531 */     // MIs[1] Operand 1
     /*  466531 */     // No operand predicates
     /*  466531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  466540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  466543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466563 */     GIR_RootConstrainSelectedInstOperands,
     /*  466564 */     // GIR_Coverage, 7602,
     /*  466564 */     GIR_EraseRootFromParent_Done,
     /*  466565 */   // Label 7949: @466565
     /*  466565 */   GIM_Try, /*On fail goto*//*Label 7950*/ GIMT_Encode4(466651), // Rule ID 7603 //
     /*  466570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  466573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  466581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  466584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  466587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  466601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  466605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466617 */     // MIs[1] Operand 1
     /*  466617 */     // No operand predicates
     /*  466617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  466626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  466629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  466646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466649 */     GIR_RootConstrainSelectedInstOperands,
     /*  466650 */     // GIR_Coverage, 7603,
     /*  466650 */     GIR_EraseRootFromParent_Done,
     /*  466651 */   // Label 7950: @466651
     /*  466651 */   GIM_Try, /*On fail goto*//*Label 7951*/ GIMT_Encode4(466737), // Rule ID 7606 //
     /*  466656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466703 */     // MIs[1] Operand 1
     /*  466703 */     // No operand predicates
     /*  466703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  466715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466735 */     GIR_RootConstrainSelectedInstOperands,
     /*  466736 */     // GIR_Coverage, 7606,
     /*  466736 */     GIR_EraseRootFromParent_Done,
     /*  466737 */   // Label 7951: @466737
     /*  466737 */   GIM_Try, /*On fail goto*//*Label 7952*/ GIMT_Encode4(466823), // Rule ID 7607 //
     /*  466742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  466753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  466756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  466759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466785 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466789 */     // MIs[1] Operand 1
     /*  466789 */     // No operand predicates
     /*  466789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466798 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2),
     /*  466801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466821 */     GIR_RootConstrainSelectedInstOperands,
     /*  466822 */     // GIR_Coverage, 7607,
     /*  466822 */     GIR_EraseRootFromParent_Done,
     /*  466823 */   // Label 7952: @466823
     /*  466823 */   GIM_Try, /*On fail goto*//*Label 7953*/ GIMT_Encode4(466909), // Rule ID 7610 //
     /*  466828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  466831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  466848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  466851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466875 */     // MIs[1] Operand 1
     /*  466875 */     // No operand predicates
     /*  466875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  466884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  466887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466907 */     GIR_RootConstrainSelectedInstOperands,
     /*  466908 */     // GIR_Coverage, 7610,
     /*  466908 */     GIR_EraseRootFromParent_Done,
     /*  466909 */   // Label 7953: @466909
     /*  466909 */   GIM_Try, /*On fail goto*//*Label 7954*/ GIMT_Encode4(466995), // Rule ID 7611 //
     /*  466914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  466917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  466922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  466925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  466928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  466931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  466934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  466937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  466945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  466949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  466953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  466957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  466961 */     // MIs[1] Operand 1
     /*  466961 */     // No operand predicates
     /*  466961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  466963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  466970 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  466970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1),
     /*  466973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  466975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  466977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  466979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  466982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  466987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  466990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  466993 */     GIR_RootConstrainSelectedInstOperands,
     /*  466994 */     // GIR_Coverage, 7611,
     /*  466994 */     GIR_EraseRootFromParent_Done,
     /*  466995 */   // Label 7954: @466995
     /*  466995 */   GIM_Try, /*On fail goto*//*Label 7955*/ GIMT_Encode4(467081), // Rule ID 7614 //
     /*  467000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  467003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  467008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  467011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  467014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  467017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467047 */     // MIs[1] Operand 1
     /*  467047 */     // No operand predicates
     /*  467047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  467059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467079 */     GIR_RootConstrainSelectedInstOperands,
     /*  467080 */     // GIR_Coverage, 7614,
     /*  467080 */     GIR_EraseRootFromParent_Done,
     /*  467081 */   // Label 7955: @467081
     /*  467081 */   GIM_Try, /*On fail goto*//*Label 7956*/ GIMT_Encode4(467167), // Rule ID 7615 //
     /*  467086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  467089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  467094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  467097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  467100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  467103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467133 */     // MIs[1] Operand 1
     /*  467133 */     // No operand predicates
     /*  467133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2),
     /*  467145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467165 */     GIR_RootConstrainSelectedInstOperands,
     /*  467166 */     // GIR_Coverage, 7615,
     /*  467166 */     GIR_EraseRootFromParent_Done,
     /*  467167 */   // Label 7956: @467167
     /*  467167 */   GIM_Try, /*On fail goto*//*Label 7957*/ GIMT_Encode4(467253), // Rule ID 7618 //
     /*  467172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  467175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  467180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  467183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  467186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  467189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467219 */     // MIs[1] Operand 1
     /*  467219 */     // No operand predicates
     /*  467219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  467228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  467231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467251 */     GIR_RootConstrainSelectedInstOperands,
     /*  467252 */     // GIR_Coverage, 7618,
     /*  467252 */     GIR_EraseRootFromParent_Done,
     /*  467253 */   // Label 7957: @467253
     /*  467253 */   GIM_Try, /*On fail goto*//*Label 7958*/ GIMT_Encode4(467339), // Rule ID 7619 //
     /*  467258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  467261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  467266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  467269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  467272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  467275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  467289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  467293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467305 */     // MIs[1] Operand 1
     /*  467305 */     // No operand predicates
     /*  467305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  467314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4),
     /*  467317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  467334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467337 */     GIR_RootConstrainSelectedInstOperands,
     /*  467338 */     // GIR_Coverage, 7619,
     /*  467338 */     GIR_EraseRootFromParent_Done,
     /*  467339 */   // Label 7958: @467339
     /*  467339 */   GIM_Try, /*On fail goto*//*Label 7959*/ GIMT_Encode4(467425), // Rule ID 7742 //
     /*  467344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  467355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  467358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  467361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467391 */     // MIs[1] Operand 1
     /*  467391 */     // No operand predicates
     /*  467391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467400 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  467403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467423 */     GIR_RootConstrainSelectedInstOperands,
     /*  467424 */     // GIR_Coverage, 7742,
     /*  467424 */     GIR_EraseRootFromParent_Done,
     /*  467425 */   // Label 7959: @467425
     /*  467425 */   GIM_Try, /*On fail goto*//*Label 7960*/ GIMT_Encode4(467511), // Rule ID 7743 //
     /*  467430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  467441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  467444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  467447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467473 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467477 */     // MIs[1] Operand 1
     /*  467477 */     // No operand predicates
     /*  467477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467486 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8),
     /*  467489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467495 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467509 */     GIR_RootConstrainSelectedInstOperands,
     /*  467510 */     // GIR_Coverage, 7743,
     /*  467510 */     GIR_EraseRootFromParent_Done,
     /*  467511 */   // Label 7960: @467511
     /*  467511 */   GIM_Try, /*On fail goto*//*Label 7961*/ GIMT_Encode4(467597), // Rule ID 7746 //
     /*  467516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  467527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  467530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  467533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467563 */     // MIs[1] Operand 1
     /*  467563 */     // No operand predicates
     /*  467563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467572 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  467575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467595 */     GIR_RootConstrainSelectedInstOperands,
     /*  467596 */     // GIR_Coverage, 7746,
     /*  467596 */     GIR_EraseRootFromParent_Done,
     /*  467597 */   // Label 7961: @467597
     /*  467597 */   GIM_Try, /*On fail goto*//*Label 7962*/ GIMT_Encode4(467683), // Rule ID 7747 //
     /*  467602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  467613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  467616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  467619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467649 */     // MIs[1] Operand 1
     /*  467649 */     // No operand predicates
     /*  467649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467658 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  467661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467681 */     GIR_RootConstrainSelectedInstOperands,
     /*  467682 */     // GIR_Coverage, 7747,
     /*  467682 */     GIR_EraseRootFromParent_Done,
     /*  467683 */   // Label 7962: @467683
     /*  467683 */   GIM_Try, /*On fail goto*//*Label 7963*/ GIMT_Encode4(467769), // Rule ID 7750 //
     /*  467688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467735 */     // MIs[1] Operand 1
     /*  467735 */     // No operand predicates
     /*  467735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467744 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  467747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467767 */     GIR_RootConstrainSelectedInstOperands,
     /*  467768 */     // GIR_Coverage, 7750,
     /*  467768 */     GIR_EraseRootFromParent_Done,
     /*  467769 */   // Label 7963: @467769
     /*  467769 */   GIM_Try, /*On fail goto*//*Label 7964*/ GIMT_Encode4(467855), // Rule ID 7751 //
     /*  467774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  467785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  467788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  467791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467809 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467813 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467817 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467821 */     // MIs[1] Operand 1
     /*  467821 */     // No operand predicates
     /*  467821 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467830 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  467830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  467833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467839 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467853 */     GIR_RootConstrainSelectedInstOperands,
     /*  467854 */     // GIR_Coverage, 7751,
     /*  467854 */     GIR_EraseRootFromParent_Done,
     /*  467855 */   // Label 7964: @467855
     /*  467855 */   GIM_Try, /*On fail goto*//*Label 7965*/ GIMT_Encode4(467941), // Rule ID 7754 //
     /*  467860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  467863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  467871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  467874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  467880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  467883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467907 */     // MIs[1] Operand 1
     /*  467907 */     // No operand predicates
     /*  467907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  467916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  467916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  467919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  467921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  467923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  467925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  467928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  467933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  467936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  467939 */     GIR_RootConstrainSelectedInstOperands,
     /*  467940 */     // GIR_Coverage, 7754,
     /*  467940 */     GIR_EraseRootFromParent_Done,
     /*  467941 */   // Label 7965: @467941
     /*  467941 */   GIM_Try, /*On fail goto*//*Label 7966*/ GIMT_Encode4(468027), // Rule ID 7755 //
     /*  467946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  467949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  467954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  467957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  467960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  467963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  467966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  467969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  467977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  467981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  467985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  467989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  467993 */     // MIs[1] Operand 1
     /*  467993 */     // No operand predicates
     /*  467993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  467995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468002 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468025 */     GIR_RootConstrainSelectedInstOperands,
     /*  468026 */     // GIR_Coverage, 7755,
     /*  468026 */     GIR_EraseRootFromParent_Done,
     /*  468027 */   // Label 7966: @468027
     /*  468027 */   GIM_Try, /*On fail goto*//*Label 7967*/ GIMT_Encode4(468113), // Rule ID 7758 //
     /*  468032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  468043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  468046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  468049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468079 */     // MIs[1] Operand 1
     /*  468079 */     // No operand predicates
     /*  468079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468088 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  468091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468111 */     GIR_RootConstrainSelectedInstOperands,
     /*  468112 */     // GIR_Coverage, 7758,
     /*  468112 */     GIR_EraseRootFromParent_Done,
     /*  468113 */   // Label 7967: @468113
     /*  468113 */   GIM_Try, /*On fail goto*//*Label 7968*/ GIMT_Encode4(468199), // Rule ID 7759 //
     /*  468118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  468129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  468132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  468135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468165 */     // MIs[1] Operand 1
     /*  468165 */     // No operand predicates
     /*  468165 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  468177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468183 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468197 */     GIR_RootConstrainSelectedInstOperands,
     /*  468198 */     // GIR_Coverage, 7759,
     /*  468198 */     GIR_EraseRootFromParent_Done,
     /*  468199 */   // Label 7968: @468199
     /*  468199 */   GIM_Try, /*On fail goto*//*Label 7969*/ GIMT_Encode4(468285), // Rule ID 7762 //
     /*  468204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  468215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  468218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  468221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468251 */     // MIs[1] Operand 1
     /*  468251 */     // No operand predicates
     /*  468251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468260 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  468260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  468263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468283 */     GIR_RootConstrainSelectedInstOperands,
     /*  468284 */     // GIR_Coverage, 7762,
     /*  468284 */     GIR_EraseRootFromParent_Done,
     /*  468285 */   // Label 7969: @468285
     /*  468285 */   GIM_Try, /*On fail goto*//*Label 7970*/ GIMT_Encode4(468371), // Rule ID 7763 //
     /*  468290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  468301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  468304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  468307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  468325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468337 */     // MIs[1] Operand 1
     /*  468337 */     // No operand predicates
     /*  468337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  468346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  468349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  468366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468369 */     GIR_RootConstrainSelectedInstOperands,
     /*  468370 */     // GIR_Coverage, 7763,
     /*  468370 */     GIR_EraseRootFromParent_Done,
     /*  468371 */   // Label 7970: @468371
     /*  468371 */   GIM_Try, /*On fail goto*//*Label 7971*/ GIMT_Encode4(468457), // Rule ID 7766 //
     /*  468376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  468387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  468390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  468393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468423 */     // MIs[1] Operand 1
     /*  468423 */     // No operand predicates
     /*  468423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  468435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468455 */     GIR_RootConstrainSelectedInstOperands,
     /*  468456 */     // GIR_Coverage, 7766,
     /*  468456 */     GIR_EraseRootFromParent_Done,
     /*  468457 */   // Label 7971: @468457
     /*  468457 */   GIM_Try, /*On fail goto*//*Label 7972*/ GIMT_Encode4(468543), // Rule ID 7767 //
     /*  468462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  468473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  468476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  468479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468505 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468509 */     // MIs[1] Operand 1
     /*  468509 */     // No operand predicates
     /*  468509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4),
     /*  468521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468541 */     GIR_RootConstrainSelectedInstOperands,
     /*  468542 */     // GIR_Coverage, 7767,
     /*  468542 */     GIR_EraseRootFromParent_Done,
     /*  468543 */   // Label 7972: @468543
     /*  468543 */   GIM_Try, /*On fail goto*//*Label 7973*/ GIMT_Encode4(468629), // Rule ID 7770 //
     /*  468548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  468559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  468562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  468565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468595 */     // MIs[1] Operand 1
     /*  468595 */     // No operand predicates
     /*  468595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468627 */     GIR_RootConstrainSelectedInstOperands,
     /*  468628 */     // GIR_Coverage, 7770,
     /*  468628 */     GIR_EraseRootFromParent_Done,
     /*  468629 */   // Label 7973: @468629
     /*  468629 */   GIM_Try, /*On fail goto*//*Label 7974*/ GIMT_Encode4(468715), // Rule ID 7771 //
     /*  468634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  468645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  468648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  468651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468681 */     // MIs[1] Operand 1
     /*  468681 */     // No operand predicates
     /*  468681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  468693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468713 */     GIR_RootConstrainSelectedInstOperands,
     /*  468714 */     // GIR_Coverage, 7771,
     /*  468714 */     GIR_EraseRootFromParent_Done,
     /*  468715 */   // Label 7974: @468715
     /*  468715 */   GIM_Try, /*On fail goto*//*Label 7975*/ GIMT_Encode4(468801), // Rule ID 7774 //
     /*  468720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468767 */     // MIs[1] Operand 1
     /*  468767 */     // No operand predicates
     /*  468767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468776 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468799 */     GIR_RootConstrainSelectedInstOperands,
     /*  468800 */     // GIR_Coverage, 7774,
     /*  468800 */     GIR_EraseRootFromParent_Done,
     /*  468801 */   // Label 7975: @468801
     /*  468801 */   GIM_Try, /*On fail goto*//*Label 7976*/ GIMT_Encode4(468887), // Rule ID 7775 //
     /*  468806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  468817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  468820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  468823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  468829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  468837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468853 */     // MIs[1] Operand 1
     /*  468853 */     // No operand predicates
     /*  468853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  468862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  468865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468885 */     GIR_RootConstrainSelectedInstOperands,
     /*  468886 */     // GIR_Coverage, 7775,
     /*  468886 */     GIR_EraseRootFromParent_Done,
     /*  468887 */   // Label 7976: @468887
     /*  468887 */   GIM_Try, /*On fail goto*//*Label 7977*/ GIMT_Encode4(468973), // Rule ID 7778 //
     /*  468892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  468895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  468912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  468915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  468923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  468927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  468931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  468935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  468939 */     // MIs[1] Operand 1
     /*  468939 */     // No operand predicates
     /*  468939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  468941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  468948 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  468948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  468951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  468953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  468955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  468957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  468960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  468965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  468968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  468971 */     GIR_RootConstrainSelectedInstOperands,
     /*  468972 */     // GIR_Coverage, 7778,
     /*  468972 */     GIR_EraseRootFromParent_Done,
     /*  468973 */   // Label 7977: @468973
     /*  468973 */   GIM_Try, /*On fail goto*//*Label 7978*/ GIMT_Encode4(469059), // Rule ID 7779 //
     /*  468978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  468981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  468986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  468989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  468992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  468995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  468998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469025 */     // MIs[1] Operand 1
     /*  469025 */     // No operand predicates
     /*  469025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  469037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469057 */     GIR_RootConstrainSelectedInstOperands,
     /*  469058 */     // GIR_Coverage, 7779,
     /*  469058 */     GIR_EraseRootFromParent_Done,
     /*  469059 */   // Label 7978: @469059
     /*  469059 */   GIM_Try, /*On fail goto*//*Label 7979*/ GIMT_Encode4(469145), // Rule ID 7782 //
     /*  469064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  469075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  469078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  469081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469111 */     // MIs[1] Operand 1
     /*  469111 */     // No operand predicates
     /*  469111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469120 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  469120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  469123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469143 */     GIR_RootConstrainSelectedInstOperands,
     /*  469144 */     // GIR_Coverage, 7782,
     /*  469144 */     GIR_EraseRootFromParent_Done,
     /*  469145 */   // Label 7979: @469145
     /*  469145 */   GIM_Try, /*On fail goto*//*Label 7980*/ GIMT_Encode4(469231), // Rule ID 7783 //
     /*  469150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  469153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  469161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  469164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  469167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469197 */     // MIs[1] Operand 1
     /*  469197 */     // No operand predicates
     /*  469197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  469206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  469209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  469226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469229 */     GIR_RootConstrainSelectedInstOperands,
     /*  469230 */     // GIR_Coverage, 7783,
     /*  469230 */     GIR_EraseRootFromParent_Done,
     /*  469231 */   // Label 7980: @469231
     /*  469231 */   GIM_Try, /*On fail goto*//*Label 7981*/ GIMT_Encode4(469317), // Rule ID 7786 //
     /*  469236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  469239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  469253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469283 */     // MIs[1] Operand 1
     /*  469283 */     // No operand predicates
     /*  469283 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  469295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469301 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469315 */     GIR_RootConstrainSelectedInstOperands,
     /*  469316 */     // GIR_Coverage, 7786,
     /*  469316 */     GIR_EraseRootFromParent_Done,
     /*  469317 */   // Label 7981: @469317
     /*  469317 */   GIM_Try, /*On fail goto*//*Label 7982*/ GIMT_Encode4(469403), // Rule ID 7787 //
     /*  469322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  469325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  469333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  469336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  469339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469369 */     // MIs[1] Operand 1
     /*  469369 */     // No operand predicates
     /*  469369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2),
     /*  469381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469401 */     GIR_RootConstrainSelectedInstOperands,
     /*  469402 */     // GIR_Coverage, 7787,
     /*  469402 */     GIR_EraseRootFromParent_Done,
     /*  469403 */   // Label 7982: @469403
     /*  469403 */   GIM_Try, /*On fail goto*//*Label 7983*/ GIMT_Encode4(469489), // Rule ID 7790 //
     /*  469408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  469411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  469419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  469422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  469425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469455 */     // MIs[1] Operand 1
     /*  469455 */     // No operand predicates
     /*  469455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  469467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469487 */     GIR_RootConstrainSelectedInstOperands,
     /*  469488 */     // GIR_Coverage, 7790,
     /*  469488 */     GIR_EraseRootFromParent_Done,
     /*  469489 */   // Label 7983: @469489
     /*  469489 */   GIM_Try, /*On fail goto*//*Label 7984*/ GIMT_Encode4(469575), // Rule ID 7791 //
     /*  469494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  469497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  469505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  469508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  469511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469541 */     // MIs[1] Operand 1
     /*  469541 */     // No operand predicates
     /*  469541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1),
     /*  469553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469573 */     GIR_RootConstrainSelectedInstOperands,
     /*  469574 */     // GIR_Coverage, 7791,
     /*  469574 */     GIR_EraseRootFromParent_Done,
     /*  469575 */   // Label 7984: @469575
     /*  469575 */   GIM_Try, /*On fail goto*//*Label 7985*/ GIMT_Encode4(469661), // Rule ID 7794 //
     /*  469580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  469583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  469591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  469594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  469597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469627 */     // MIs[1] Operand 1
     /*  469627 */     // No operand predicates
     /*  469627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  469639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469659 */     GIR_RootConstrainSelectedInstOperands,
     /*  469660 */     // GIR_Coverage, 7794,
     /*  469660 */     GIR_EraseRootFromParent_Done,
     /*  469661 */   // Label 7985: @469661
     /*  469661 */   GIM_Try, /*On fail goto*//*Label 7986*/ GIMT_Encode4(469747), // Rule ID 7795 //
     /*  469666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  469669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  469677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  469680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  469683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  469697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469713 */     // MIs[1] Operand 1
     /*  469713 */     // No operand predicates
     /*  469713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2),
     /*  469725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469745 */     GIR_RootConstrainSelectedInstOperands,
     /*  469746 */     // GIR_Coverage, 7795,
     /*  469746 */     GIR_EraseRootFromParent_Done,
     /*  469747 */   // Label 7986: @469747
     /*  469747 */   GIM_Try, /*On fail goto*//*Label 7987*/ GIMT_Encode4(469833), // Rule ID 7798 //
     /*  469752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  469755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  469763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  469766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  469769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469799 */     // MIs[1] Operand 1
     /*  469799 */     // No operand predicates
     /*  469799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  469808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  469811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469831 */     GIR_RootConstrainSelectedInstOperands,
     /*  469832 */     // GIR_Coverage, 7798,
     /*  469832 */     GIR_EraseRootFromParent_Done,
     /*  469833 */   // Label 7987: @469833
     /*  469833 */   GIM_Try, /*On fail goto*//*Label 7988*/ GIMT_Encode4(469919), // Rule ID 7799 //
     /*  469838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  469841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  469846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  469849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  469852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  469855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  469858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  469861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  469869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  469873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  469885 */     // MIs[1] Operand 1
     /*  469885 */     // No operand predicates
     /*  469885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  469894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4),
     /*  469897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  469914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  469917 */     GIR_RootConstrainSelectedInstOperands,
     /*  469918 */     // GIR_Coverage, 7799,
     /*  469918 */     GIR_EraseRootFromParent_Done,
     /*  469919 */   // Label 7988: @469919
     /*  469919 */   GIM_Try, /*On fail goto*//*Label 7989*/ GIMT_Encode4(470008), // Rule ID 14228 //
     /*  469924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  469927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  469932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  469935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  469938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  469941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  469944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  469947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  469959 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  469963 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  469967 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  469971 */     // MIs[1] Operand 1
     /*  469971 */     // No operand predicates
     /*  469971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  469973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  469980 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  469980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  469983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  469985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  469987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  469989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  469992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  469997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470003 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470006 */     GIR_RootConstrainSelectedInstOperands,
     /*  470007 */     // GIR_Coverage, 14228,
     /*  470007 */     GIR_EraseRootFromParent_Done,
     /*  470008 */   // Label 7989: @470008
     /*  470008 */   GIM_Try, /*On fail goto*//*Label 7990*/ GIMT_Encode4(470097), // Rule ID 14229 //
     /*  470013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  470024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  470027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  470030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470060 */     // MIs[1] Operand 1
     /*  470060 */     // No operand predicates
     /*  470060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8),
     /*  470072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470092 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470095 */     GIR_RootConstrainSelectedInstOperands,
     /*  470096 */     // GIR_Coverage, 14229,
     /*  470096 */     GIR_EraseRootFromParent_Done,
     /*  470097 */   // Label 7990: @470097
     /*  470097 */   GIM_Try, /*On fail goto*//*Label 7991*/ GIMT_Encode4(470186), // Rule ID 14232 //
     /*  470102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  470113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  470116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  470119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470145 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470149 */     // MIs[1] Operand 1
     /*  470149 */     // No operand predicates
     /*  470149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  470161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470181 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470184 */     GIR_RootConstrainSelectedInstOperands,
     /*  470185 */     // GIR_Coverage, 14232,
     /*  470185 */     GIR_EraseRootFromParent_Done,
     /*  470186 */   // Label 7991: @470186
     /*  470186 */   GIM_Try, /*On fail goto*//*Label 7992*/ GIMT_Encode4(470275), // Rule ID 14233 //
     /*  470191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  470202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  470205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  470208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470238 */     // MIs[1] Operand 1
     /*  470238 */     // No operand predicates
     /*  470238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  470250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470273 */     GIR_RootConstrainSelectedInstOperands,
     /*  470274 */     // GIR_Coverage, 14233,
     /*  470274 */     GIR_EraseRootFromParent_Done,
     /*  470275 */   // Label 7992: @470275
     /*  470275 */   GIM_Try, /*On fail goto*//*Label 7993*/ GIMT_Encode4(470364), // Rule ID 14236 //
     /*  470280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  470291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  470294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  470297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470327 */     // MIs[1] Operand 1
     /*  470327 */     // No operand predicates
     /*  470327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  470336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470362 */     GIR_RootConstrainSelectedInstOperands,
     /*  470363 */     // GIR_Coverage, 14236,
     /*  470363 */     GIR_EraseRootFromParent_Done,
     /*  470364 */   // Label 7993: @470364
     /*  470364 */   GIM_Try, /*On fail goto*//*Label 7994*/ GIMT_Encode4(470453), // Rule ID 14237 //
     /*  470369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  470380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  470383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  470386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470416 */     // MIs[1] Operand 1
     /*  470416 */     // No operand predicates
     /*  470416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470425 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  470425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  470445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470451 */     GIR_RootConstrainSelectedInstOperands,
     /*  470452 */     // GIR_Coverage, 14237,
     /*  470452 */     GIR_EraseRootFromParent_Done,
     /*  470453 */   // Label 7994: @470453
     /*  470453 */   GIM_Try, /*On fail goto*//*Label 7995*/ GIMT_Encode4(470542), // Rule ID 14240 //
     /*  470458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  470469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  470472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  470475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470505 */     // MIs[1] Operand 1
     /*  470505 */     // No operand predicates
     /*  470505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  470517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470540 */     GIR_RootConstrainSelectedInstOperands,
     /*  470541 */     // GIR_Coverage, 14240,
     /*  470541 */     GIR_EraseRootFromParent_Done,
     /*  470542 */   // Label 7995: @470542
     /*  470542 */   GIM_Try, /*On fail goto*//*Label 7996*/ GIMT_Encode4(470631), // Rule ID 14241 //
     /*  470547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  470558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  470561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  470564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470594 */     // MIs[1] Operand 1
     /*  470594 */     // No operand predicates
     /*  470594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4),
     /*  470606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470629 */     GIR_RootConstrainSelectedInstOperands,
     /*  470630 */     // GIR_Coverage, 14241,
     /*  470630 */     GIR_EraseRootFromParent_Done,
     /*  470631 */   // Label 7996: @470631
     /*  470631 */   GIM_Try, /*On fail goto*//*Label 7997*/ GIMT_Encode4(470720), // Rule ID 14244 //
     /*  470636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  470647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  470650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  470653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470683 */     // MIs[1] Operand 1
     /*  470683 */     // No operand predicates
     /*  470683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  470692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470718 */     GIR_RootConstrainSelectedInstOperands,
     /*  470719 */     // GIR_Coverage, 14244,
     /*  470719 */     GIR_EraseRootFromParent_Done,
     /*  470720 */   // Label 7997: @470720
     /*  470720 */   GIM_Try, /*On fail goto*//*Label 7998*/ GIMT_Encode4(470809), // Rule ID 14245 //
     /*  470725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  470736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  470739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  470742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470772 */     // MIs[1] Operand 1
     /*  470772 */     // No operand predicates
     /*  470772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470781 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  470781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  470801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470807 */     GIR_RootConstrainSelectedInstOperands,
     /*  470808 */     // GIR_Coverage, 14245,
     /*  470808 */     GIR_EraseRootFromParent_Done,
     /*  470809 */   // Label 7998: @470809
     /*  470809 */   GIM_Try, /*On fail goto*//*Label 7999*/ GIMT_Encode4(470898), // Rule ID 14248 //
     /*  470814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  470834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  470837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470861 */     // MIs[1] Operand 1
     /*  470861 */     // No operand predicates
     /*  470861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470870 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  470870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470896 */     GIR_RootConstrainSelectedInstOperands,
     /*  470897 */     // GIR_Coverage, 14248,
     /*  470897 */     GIR_EraseRootFromParent_Done,
     /*  470898 */   // Label 7999: @470898
     /*  470898 */   GIM_Try, /*On fail goto*//*Label 8000*/ GIMT_Encode4(470987), // Rule ID 14249 //
     /*  470903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  470906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  470911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  470914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  470917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  470920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  470923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  470926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  470938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  470942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  470946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  470950 */     // MIs[1] Operand 1
     /*  470950 */     // No operand predicates
     /*  470950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  470952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  470959 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  470959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2),
     /*  470962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  470964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  470966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  470968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  470971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  470976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  470979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  470982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  470985 */     GIR_RootConstrainSelectedInstOperands,
     /*  470986 */     // GIR_Coverage, 14249,
     /*  470986 */     GIR_EraseRootFromParent_Done,
     /*  470987 */   // Label 8000: @470987
     /*  470987 */   GIM_Try, /*On fail goto*//*Label 8001*/ GIMT_Encode4(471076), // Rule ID 14252 //
     /*  470992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  470995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  471003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  471006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  471009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471039 */     // MIs[1] Operand 1
     /*  471039 */     // No operand predicates
     /*  471039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471048 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471074 */     GIR_RootConstrainSelectedInstOperands,
     /*  471075 */     // GIR_Coverage, 14252,
     /*  471075 */     GIR_EraseRootFromParent_Done,
     /*  471076 */   // Label 8001: @471076
     /*  471076 */   GIM_Try, /*On fail goto*//*Label 8002*/ GIMT_Encode4(471165), // Rule ID 14253 //
     /*  471081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  471092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  471095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  471098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471124 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471128 */     // MIs[1] Operand 1
     /*  471128 */     // No operand predicates
     /*  471128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471137 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471146 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471163 */     GIR_RootConstrainSelectedInstOperands,
     /*  471164 */     // GIR_Coverage, 14253,
     /*  471164 */     GIR_EraseRootFromParent_Done,
     /*  471165 */   // Label 8002: @471165
     /*  471165 */   GIM_Try, /*On fail goto*//*Label 8003*/ GIMT_Encode4(471254), // Rule ID 14256 //
     /*  471170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  471181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  471184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  471187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471217 */     // MIs[1] Operand 1
     /*  471217 */     // No operand predicates
     /*  471217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471226 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  471226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471252 */     GIR_RootConstrainSelectedInstOperands,
     /*  471253 */     // GIR_Coverage, 14256,
     /*  471253 */     GIR_EraseRootFromParent_Done,
     /*  471254 */   // Label 8003: @471254
     /*  471254 */   GIM_Try, /*On fail goto*//*Label 8004*/ GIMT_Encode4(471343), // Rule ID 14257 //
     /*  471259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  471270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  471273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  471276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471294 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471298 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471302 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471306 */     // MIs[1] Operand 1
     /*  471306 */     // No operand predicates
     /*  471306 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471315 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  471315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471324 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  471335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471341 */     GIR_RootConstrainSelectedInstOperands,
     /*  471342 */     // GIR_Coverage, 14257,
     /*  471342 */     GIR_EraseRootFromParent_Done,
     /*  471343 */   // Label 8004: @471343
     /*  471343 */   GIM_Try, /*On fail goto*//*Label 8005*/ GIMT_Encode4(471432), // Rule ID 14260 //
     /*  471348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  471359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  471362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  471365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471395 */     // MIs[1] Operand 1
     /*  471395 */     // No operand predicates
     /*  471395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  471404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471430 */     GIR_RootConstrainSelectedInstOperands,
     /*  471431 */     // GIR_Coverage, 14260,
     /*  471431 */     GIR_EraseRootFromParent_Done,
     /*  471432 */   // Label 8005: @471432
     /*  471432 */   GIM_Try, /*On fail goto*//*Label 8006*/ GIMT_Encode4(471521), // Rule ID 14261 //
     /*  471437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  471448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  471451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  471454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471484 */     // MIs[1] Operand 1
     /*  471484 */     // No operand predicates
     /*  471484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  471493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  471513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471519 */     GIR_RootConstrainSelectedInstOperands,
     /*  471520 */     // GIR_Coverage, 14261,
     /*  471520 */     GIR_EraseRootFromParent_Done,
     /*  471521 */   // Label 8006: @471521
     /*  471521 */   GIM_Try, /*On fail goto*//*Label 8007*/ GIMT_Encode4(471610), // Rule ID 14264 //
     /*  471526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  471529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  471537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  471540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  471543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471573 */     // MIs[1] Operand 1
     /*  471573 */     // No operand predicates
     /*  471573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471582 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  471582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471608 */     GIR_RootConstrainSelectedInstOperands,
     /*  471609 */     // GIR_Coverage, 14264,
     /*  471609 */     GIR_EraseRootFromParent_Done,
     /*  471610 */   // Label 8007: @471610
     /*  471610 */   GIM_Try, /*On fail goto*//*Label 8008*/ GIMT_Encode4(471699), // Rule ID 14265 //
     /*  471615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  471618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  471626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  471629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  471632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  471650 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471654 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471658 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471662 */     // MIs[1] Operand 1
     /*  471662 */     // No operand predicates
     /*  471662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471671 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  471671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1),
     /*  471674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471680 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  471691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471697 */     GIR_RootConstrainSelectedInstOperands,
     /*  471698 */     // GIR_Coverage, 14265,
     /*  471698 */     GIR_EraseRootFromParent_Done,
     /*  471699 */   // Label 8008: @471699
     /*  471699 */   GIM_Try, /*On fail goto*//*Label 8009*/ GIMT_Encode4(471788), // Rule ID 14268 //
     /*  471704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  471715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  471718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  471721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471751 */     // MIs[1] Operand 1
     /*  471751 */     // No operand predicates
     /*  471751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471760 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471786 */     GIR_RootConstrainSelectedInstOperands,
     /*  471787 */     // GIR_Coverage, 14268,
     /*  471787 */     GIR_EraseRootFromParent_Done,
     /*  471788 */   // Label 8009: @471788
     /*  471788 */   GIM_Try, /*On fail goto*//*Label 8010*/ GIMT_Encode4(471877), // Rule ID 14269 //
     /*  471793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  471804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  471807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  471810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  471828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471840 */     // MIs[1] Operand 1
     /*  471840 */     // No operand predicates
     /*  471840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471849 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  471849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  471852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471872 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471875 */     GIR_RootConstrainSelectedInstOperands,
     /*  471876 */     // GIR_Coverage, 14269,
     /*  471876 */     GIR_EraseRootFromParent_Done,
     /*  471877 */   // Label 8010: @471877
     /*  471877 */   GIM_Try, /*On fail goto*//*Label 8011*/ GIMT_Encode4(471966), // Rule ID 14272 //
     /*  471882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  471885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  471902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  471905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  471921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  471925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  471929 */     // MIs[1] Operand 1
     /*  471929 */     // No operand predicates
     /*  471929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  471931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  471938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  471938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  471941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  471943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  471945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  471947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  471950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  471955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  471958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  471961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  471964 */     GIR_RootConstrainSelectedInstOperands,
     /*  471965 */     // GIR_Coverage, 14272,
     /*  471965 */     GIR_EraseRootFromParent_Done,
     /*  471966 */   // Label 8011: @471966
     /*  471966 */   GIM_Try, /*On fail goto*//*Label 8012*/ GIMT_Encode4(472055), // Rule ID 14273 //
     /*  471971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  471974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  471979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  471982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  471985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  471988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  471991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  471994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  471998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472018 */     // MIs[1] Operand 1
     /*  472018 */     // No operand predicates
     /*  472018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472027 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472050 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472053 */     GIR_RootConstrainSelectedInstOperands,
     /*  472054 */     // GIR_Coverage, 14273,
     /*  472054 */     GIR_EraseRootFromParent_Done,
     /*  472055 */   // Label 8012: @472055
     /*  472055 */   GIM_Try, /*On fail goto*//*Label 8013*/ GIMT_Encode4(472144), // Rule ID 14276 //
     /*  472060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  472071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  472074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  472077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472107 */     // MIs[1] Operand 1
     /*  472107 */     // No operand predicates
     /*  472107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472116 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  472116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472139 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472142 */     GIR_RootConstrainSelectedInstOperands,
     /*  472143 */     // GIR_Coverage, 14276,
     /*  472143 */     GIR_EraseRootFromParent_Done,
     /*  472144 */   // Label 8013: @472144
     /*  472144 */   GIM_Try, /*On fail goto*//*Label 8014*/ GIMT_Encode4(472233), // Rule ID 14277 //
     /*  472149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  472160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  472163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  472166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472196 */     // MIs[1] Operand 1
     /*  472196 */     // No operand predicates
     /*  472196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472205 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  472205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  472225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472228 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472231 */     GIR_RootConstrainSelectedInstOperands,
     /*  472232 */     // GIR_Coverage, 14277,
     /*  472232 */     GIR_EraseRootFromParent_Done,
     /*  472233 */   // Label 8014: @472233
     /*  472233 */   GIM_Try, /*On fail goto*//*Label 8015*/ GIMT_Encode4(472322), // Rule ID 14280 //
     /*  472238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  472249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  472252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  472255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472285 */     // MIs[1] Operand 1
     /*  472285 */     // No operand predicates
     /*  472285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472320 */     GIR_RootConstrainSelectedInstOperands,
     /*  472321 */     // GIR_Coverage, 14280,
     /*  472321 */     GIR_EraseRootFromParent_Done,
     /*  472322 */   // Label 8015: @472322
     /*  472322 */   GIM_Try, /*On fail goto*//*Label 8016*/ GIMT_Encode4(472411), // Rule ID 14281 //
     /*  472327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  472338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  472341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  472344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472374 */     // MIs[1] Operand 1
     /*  472374 */     // No operand predicates
     /*  472374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472383 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472409 */     GIR_RootConstrainSelectedInstOperands,
     /*  472410 */     // GIR_Coverage, 14281,
     /*  472410 */     GIR_EraseRootFromParent_Done,
     /*  472411 */   // Label 8016: @472411
     /*  472411 */   GIM_Try, /*On fail goto*//*Label 8017*/ GIMT_Encode4(472500), // Rule ID 14284 //
     /*  472416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  472433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472451 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472455 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472459 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472463 */     // MIs[1] Operand 1
     /*  472463 */     // No operand predicates
     /*  472463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472498 */     GIR_RootConstrainSelectedInstOperands,
     /*  472499 */     // GIR_Coverage, 14284,
     /*  472499 */     GIR_EraseRootFromParent_Done,
     /*  472500 */   // Label 8017: @472500
     /*  472500 */   GIM_Try, /*On fail goto*//*Label 8018*/ GIMT_Encode4(472589), // Rule ID 14285 //
     /*  472505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  472516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  472519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  472522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472552 */     // MIs[1] Operand 1
     /*  472552 */     // No operand predicates
     /*  472552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472561 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  472564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472587 */     GIR_RootConstrainSelectedInstOperands,
     /*  472588 */     // GIR_Coverage, 14285,
     /*  472588 */     GIR_EraseRootFromParent_Done,
     /*  472589 */   // Label 8018: @472589
     /*  472589 */   GIM_Try, /*On fail goto*//*Label 8019*/ GIMT_Encode4(472678), // Rule ID 14288 //
     /*  472594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472641 */     // MIs[1] Operand 1
     /*  472641 */     // No operand predicates
     /*  472641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  472650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472676 */     GIR_RootConstrainSelectedInstOperands,
     /*  472677 */     // GIR_Coverage, 14288,
     /*  472677 */     GIR_EraseRootFromParent_Done,
     /*  472678 */   // Label 8019: @472678
     /*  472678 */   GIM_Try, /*On fail goto*//*Label 8020*/ GIMT_Encode4(472767), // Rule ID 14289 //
     /*  472683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  472694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  472697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  472700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  472718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472730 */     // MIs[1] Operand 1
     /*  472730 */     // No operand predicates
     /*  472730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472739 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  472739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  472742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  472759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472765 */     GIR_RootConstrainSelectedInstOperands,
     /*  472766 */     // GIR_Coverage, 14289,
     /*  472766 */     GIR_EraseRootFromParent_Done,
     /*  472767 */   // Label 8020: @472767
     /*  472767 */   GIM_Try, /*On fail goto*//*Label 8021*/ GIMT_Encode4(472856), // Rule ID 14292 //
     /*  472772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  472783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  472786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  472789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472807 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472811 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472815 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472819 */     // MIs[1] Operand 1
     /*  472819 */     // No operand predicates
     /*  472819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  472828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472854 */     GIR_RootConstrainSelectedInstOperands,
     /*  472855 */     // GIR_Coverage, 14292,
     /*  472855 */     GIR_EraseRootFromParent_Done,
     /*  472856 */   // Label 8021: @472856
     /*  472856 */   GIM_Try, /*On fail goto*//*Label 8022*/ GIMT_Encode4(472945), // Rule ID 14293 //
     /*  472861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  472864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  472872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  472875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  472878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  472881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  472884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  472896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472908 */     // MIs[1] Operand 1
     /*  472908 */     // No operand predicates
     /*  472908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  472917 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  472917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  472920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  472922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  472924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  472926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  472929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  472934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  472937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  472940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  472943 */     GIR_RootConstrainSelectedInstOperands,
     /*  472944 */     // GIR_Coverage, 14293,
     /*  472944 */     GIR_EraseRootFromParent_Done,
     /*  472945 */   // Label 8022: @472945
     /*  472945 */   GIM_Try, /*On fail goto*//*Label 8023*/ GIMT_Encode4(473034), // Rule ID 14296 //
     /*  472950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  472953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  472958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  472961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  472964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  472967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  472970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  472973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  472985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  472989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  472993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  472997 */     // MIs[1] Operand 1
     /*  472997 */     // No operand predicates
     /*  472997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  472999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  473009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473029 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473032 */     GIR_RootConstrainSelectedInstOperands,
     /*  473033 */     // GIR_Coverage, 14296,
     /*  473033 */     GIR_EraseRootFromParent_Done,
     /*  473034 */   // Label 8023: @473034
     /*  473034 */   GIM_Try, /*On fail goto*//*Label 8024*/ GIMT_Encode4(473123), // Rule ID 14297 //
     /*  473039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  473050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  473053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  473056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473086 */     // MIs[1] Operand 1
     /*  473086 */     // No operand predicates
     /*  473086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473095 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  473098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473121 */     GIR_RootConstrainSelectedInstOperands,
     /*  473122 */     // GIR_Coverage, 14297,
     /*  473122 */     GIR_EraseRootFromParent_Done,
     /*  473123 */   // Label 8024: @473123
     /*  473123 */   GIM_Try, /*On fail goto*//*Label 8025*/ GIMT_Encode4(473212), // Rule ID 14300 //
     /*  473128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  473139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  473142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  473145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473175 */     // MIs[1] Operand 1
     /*  473175 */     // No operand predicates
     /*  473175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  473184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  473187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473207 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473210 */     GIR_RootConstrainSelectedInstOperands,
     /*  473211 */     // GIR_Coverage, 14300,
     /*  473211 */     GIR_EraseRootFromParent_Done,
     /*  473212 */   // Label 8025: @473212
     /*  473212 */   GIM_Try, /*On fail goto*//*Label 8026*/ GIMT_Encode4(473301), // Rule ID 14301 //
     /*  473217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  473228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  473231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  473234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473264 */     // MIs[1] Operand 1
     /*  473264 */     // No operand predicates
     /*  473264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473273 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  473273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  473276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  473293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473299 */     GIR_RootConstrainSelectedInstOperands,
     /*  473300 */     // GIR_Coverage, 14301,
     /*  473300 */     GIR_EraseRootFromParent_Done,
     /*  473301 */   // Label 8026: @473301
     /*  473301 */   GIM_Try, /*On fail goto*//*Label 8027*/ GIMT_Encode4(473390), // Rule ID 14304 //
     /*  473306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  473317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  473320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  473323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473353 */     // MIs[1] Operand 1
     /*  473353 */     // No operand predicates
     /*  473353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  473365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473388 */     GIR_RootConstrainSelectedInstOperands,
     /*  473389 */     // GIR_Coverage, 14304,
     /*  473389 */     GIR_EraseRootFromParent_Done,
     /*  473390 */   // Label 8027: @473390
     /*  473390 */   GIM_Try, /*On fail goto*//*Label 8028*/ GIMT_Encode4(473479), // Rule ID 14305 //
     /*  473395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  473406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  473409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  473412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  473430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473442 */     // MIs[1] Operand 1
     /*  473442 */     // No operand predicates
     /*  473442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473451 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2),
     /*  473454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473477 */     GIR_RootConstrainSelectedInstOperands,
     /*  473478 */     // GIR_Coverage, 14305,
     /*  473478 */     GIR_EraseRootFromParent_Done,
     /*  473479 */   // Label 8028: @473479
     /*  473479 */   GIM_Try, /*On fail goto*//*Label 8029*/ GIMT_Encode4(473568), // Rule ID 14308 //
     /*  473484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  473495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  473498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  473501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473531 */     // MIs[1] Operand 1
     /*  473531 */     // No operand predicates
     /*  473531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473540 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  473543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473566 */     GIR_RootConstrainSelectedInstOperands,
     /*  473567 */     // GIR_Coverage, 14308,
     /*  473567 */     GIR_EraseRootFromParent_Done,
     /*  473568 */   // Label 8029: @473568
     /*  473568 */   GIM_Try, /*On fail goto*//*Label 8030*/ GIMT_Encode4(473657), // Rule ID 14309 //
     /*  473573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  473584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  473587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  473590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  473608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473620 */     // MIs[1] Operand 1
     /*  473620 */     // No operand predicates
     /*  473620 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473629 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4),
     /*  473632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473655 */     GIR_RootConstrainSelectedInstOperands,
     /*  473656 */     // GIR_Coverage, 14309,
     /*  473656 */     GIR_EraseRootFromParent_Done,
     /*  473657 */   // Label 8030: @473657
     /*  473657 */   GIM_Try, /*On fail goto*//*Label 8031*/ GIMT_Encode4(473746), // Rule ID 14312 //
     /*  473662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  473665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  473673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  473676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  473679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473709 */     // MIs[1] Operand 1
     /*  473709 */     // No operand predicates
     /*  473709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473718 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  473718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  473721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473744 */     GIR_RootConstrainSelectedInstOperands,
     /*  473745 */     // GIR_Coverage, 14312,
     /*  473745 */     GIR_EraseRootFromParent_Done,
     /*  473746 */   // Label 8031: @473746
     /*  473746 */   GIM_Try, /*On fail goto*//*Label 8032*/ GIMT_Encode4(473835), // Rule ID 14313 //
     /*  473751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  473754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  473759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  473762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  473765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  473768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  473786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473798 */     // MIs[1] Operand 1
     /*  473798 */     // No operand predicates
     /*  473798 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473807 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  473807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8),
     /*  473810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473816 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  473827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473833 */     GIR_RootConstrainSelectedInstOperands,
     /*  473834 */     // GIR_Coverage, 14313,
     /*  473834 */     GIR_EraseRootFromParent_Done,
     /*  473835 */   // Label 8032: @473835
     /*  473835 */   GIM_Try, /*On fail goto*//*Label 8033*/ GIMT_Encode4(473924), // Rule ID 14492 //
     /*  473840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  473843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  473860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  473863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473887 */     // MIs[1] Operand 1
     /*  473887 */     // No operand predicates
     /*  473887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  473896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  473899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  473913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  473916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  473919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  473922 */     GIR_RootConstrainSelectedInstOperands,
     /*  473923 */     // GIR_Coverage, 14492,
     /*  473923 */     GIR_EraseRootFromParent_Done,
     /*  473924 */   // Label 8033: @473924
     /*  473924 */   GIM_Try, /*On fail goto*//*Label 8034*/ GIMT_Encode4(474013), // Rule ID 14493 //
     /*  473929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  473932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  473937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  473940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  473943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  473946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  473949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  473952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  473964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  473968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  473972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  473976 */     // MIs[1] Operand 1
     /*  473976 */     // No operand predicates
     /*  473976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  473978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  473985 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  473985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8),
     /*  473988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  473990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  473992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  473994 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  473997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474008 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474011 */     GIR_RootConstrainSelectedInstOperands,
     /*  474012 */     // GIR_Coverage, 14493,
     /*  474012 */     GIR_EraseRootFromParent_Done,
     /*  474013 */   // Label 8034: @474013
     /*  474013 */   GIM_Try, /*On fail goto*//*Label 8035*/ GIMT_Encode4(474102), // Rule ID 14496 //
     /*  474018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  474029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  474032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  474035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474065 */     // MIs[1] Operand 1
     /*  474065 */     // No operand predicates
     /*  474065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474074 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  474077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474097 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474100 */     GIR_RootConstrainSelectedInstOperands,
     /*  474101 */     // GIR_Coverage, 14496,
     /*  474101 */     GIR_EraseRootFromParent_Done,
     /*  474102 */   // Label 8035: @474102
     /*  474102 */   GIM_Try, /*On fail goto*//*Label 8036*/ GIMT_Encode4(474191), // Rule ID 14497 //
     /*  474107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  474118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  474121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  474124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474150 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474154 */     // MIs[1] Operand 1
     /*  474154 */     // No operand predicates
     /*  474154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474163 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  474166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474189 */     GIR_RootConstrainSelectedInstOperands,
     /*  474190 */     // GIR_Coverage, 14497,
     /*  474190 */     GIR_EraseRootFromParent_Done,
     /*  474191 */   // Label 8036: @474191
     /*  474191 */   GIM_Try, /*On fail goto*//*Label 8037*/ GIMT_Encode4(474280), // Rule ID 14500 //
     /*  474196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  474207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  474210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  474213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474243 */     // MIs[1] Operand 1
     /*  474243 */     // No operand predicates
     /*  474243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474278 */     GIR_RootConstrainSelectedInstOperands,
     /*  474279 */     // GIR_Coverage, 14500,
     /*  474279 */     GIR_EraseRootFromParent_Done,
     /*  474280 */   // Label 8037: @474280
     /*  474280 */   GIM_Try, /*On fail goto*//*Label 8038*/ GIMT_Encode4(474369), // Rule ID 14501 //
     /*  474285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  474296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  474299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  474302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474332 */     // MIs[1] Operand 1
     /*  474332 */     // No operand predicates
     /*  474332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474341 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  474341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474367 */     GIR_RootConstrainSelectedInstOperands,
     /*  474368 */     // GIR_Coverage, 14501,
     /*  474368 */     GIR_EraseRootFromParent_Done,
     /*  474369 */   // Label 8038: @474369
     /*  474369 */   GIM_Try, /*On fail goto*//*Label 8039*/ GIMT_Encode4(474458), // Rule ID 14504 //
     /*  474374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  474385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  474391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474421 */     // MIs[1] Operand 1
     /*  474421 */     // No operand predicates
     /*  474421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  474433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474456 */     GIR_RootConstrainSelectedInstOperands,
     /*  474457 */     // GIR_Coverage, 14504,
     /*  474457 */     GIR_EraseRootFromParent_Done,
     /*  474458 */   // Label 8039: @474458
     /*  474458 */   GIM_Try, /*On fail goto*//*Label 8040*/ GIMT_Encode4(474547), // Rule ID 14505 //
     /*  474463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  474474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  474477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  474480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474510 */     // MIs[1] Operand 1
     /*  474510 */     // No operand predicates
     /*  474510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474519 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4),
     /*  474522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474545 */     GIR_RootConstrainSelectedInstOperands,
     /*  474546 */     // GIR_Coverage, 14505,
     /*  474546 */     GIR_EraseRootFromParent_Done,
     /*  474547 */   // Label 8040: @474547
     /*  474547 */   GIM_Try, /*On fail goto*//*Label 8041*/ GIMT_Encode4(474636), // Rule ID 14508 //
     /*  474552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  474569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474587 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474591 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474595 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474599 */     // MIs[1] Operand 1
     /*  474599 */     // No operand predicates
     /*  474599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  474608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474631 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474634 */     GIR_RootConstrainSelectedInstOperands,
     /*  474635 */     // GIR_Coverage, 14508,
     /*  474635 */     GIR_EraseRootFromParent_Done,
     /*  474636 */   // Label 8041: @474636
     /*  474636 */   GIM_Try, /*On fail goto*//*Label 8042*/ GIMT_Encode4(474725), // Rule ID 14509 //
     /*  474641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  474652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  474655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  474658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474688 */     // MIs[1] Operand 1
     /*  474688 */     // No operand predicates
     /*  474688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  474697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  474717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474723 */     GIR_RootConstrainSelectedInstOperands,
     /*  474724 */     // GIR_Coverage, 14509,
     /*  474724 */     GIR_EraseRootFromParent_Done,
     /*  474725 */   // Label 8042: @474725
     /*  474725 */   GIM_Try, /*On fail goto*//*Label 8043*/ GIMT_Encode4(474814), // Rule ID 14512 //
     /*  474730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474773 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474777 */     // MIs[1] Operand 1
     /*  474777 */     // No operand predicates
     /*  474777 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  474786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474795 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474812 */     GIR_RootConstrainSelectedInstOperands,
     /*  474813 */     // GIR_Coverage, 14512,
     /*  474813 */     GIR_EraseRootFromParent_Done,
     /*  474814 */   // Label 8043: @474814
     /*  474814 */   GIM_Try, /*On fail goto*//*Label 8044*/ GIMT_Encode4(474903), // Rule ID 14513 //
     /*  474819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  474822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  474830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  474833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  474836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  474839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  474842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474866 */     // MIs[1] Operand 1
     /*  474866 */     // No operand predicates
     /*  474866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474875 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  474875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2),
     /*  474878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  474895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474901 */     GIR_RootConstrainSelectedInstOperands,
     /*  474902 */     // GIR_Coverage, 14513,
     /*  474902 */     GIR_EraseRootFromParent_Done,
     /*  474903 */   // Label 8044: @474903
     /*  474903 */   GIM_Try, /*On fail goto*//*Label 8045*/ GIMT_Encode4(474992), // Rule ID 14516 //
     /*  474908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  474911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  474916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  474919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  474922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  474925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  474928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  474931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  474943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  474947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  474951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  474955 */     // MIs[1] Operand 1
     /*  474955 */     // No operand predicates
     /*  474955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  474957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  474964 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  474964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  474967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  474969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  474971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  474973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  474976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  474981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  474984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  474987 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  474990 */     GIR_RootConstrainSelectedInstOperands,
     /*  474991 */     // GIR_Coverage, 14516,
     /*  474991 */     GIR_EraseRootFromParent_Done,
     /*  474992 */   // Label 8045: @474992
     /*  474992 */   GIM_Try, /*On fail goto*//*Label 8046*/ GIMT_Encode4(475081), // Rule ID 14517 //
     /*  474997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  475008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  475011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  475014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475044 */     // MIs[1] Operand 1
     /*  475044 */     // No operand predicates
     /*  475044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475079 */     GIR_RootConstrainSelectedInstOperands,
     /*  475080 */     // GIR_Coverage, 14517,
     /*  475080 */     GIR_EraseRootFromParent_Done,
     /*  475081 */   // Label 8046: @475081
     /*  475081 */   GIM_Try, /*On fail goto*//*Label 8047*/ GIMT_Encode4(475170), // Rule ID 14520 //
     /*  475086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  475097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  475100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  475103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475133 */     // MIs[1] Operand 1
     /*  475133 */     // No operand predicates
     /*  475133 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475142 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  475142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475151 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475168 */     GIR_RootConstrainSelectedInstOperands,
     /*  475169 */     // GIR_Coverage, 14520,
     /*  475169 */     GIR_EraseRootFromParent_Done,
     /*  475170 */   // Label 8047: @475170
     /*  475170 */   GIM_Try, /*On fail goto*//*Label 8048*/ GIMT_Encode4(475259), // Rule ID 14521 //
     /*  475175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  475186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  475189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  475192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475222 */     // MIs[1] Operand 1
     /*  475222 */     // No operand predicates
     /*  475222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475231 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  475231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  475251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475257 */     GIR_RootConstrainSelectedInstOperands,
     /*  475258 */     // GIR_Coverage, 14521,
     /*  475258 */     GIR_EraseRootFromParent_Done,
     /*  475259 */   // Label 8048: @475259
     /*  475259 */   GIM_Try, /*On fail goto*//*Label 8049*/ GIMT_Encode4(475348), // Rule ID 14524 //
     /*  475264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  475281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475307 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475311 */     // MIs[1] Operand 1
     /*  475311 */     // No operand predicates
     /*  475311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475320 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  475320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475346 */     GIR_RootConstrainSelectedInstOperands,
     /*  475347 */     // GIR_Coverage, 14524,
     /*  475347 */     GIR_EraseRootFromParent_Done,
     /*  475348 */   // Label 8049: @475348
     /*  475348 */   GIM_Try, /*On fail goto*//*Label 8050*/ GIMT_Encode4(475437), // Rule ID 14525 //
     /*  475353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  475364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  475367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  475370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475400 */     // MIs[1] Operand 1
     /*  475400 */     // No operand predicates
     /*  475400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475409 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  475409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  475429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475435 */     GIR_RootConstrainSelectedInstOperands,
     /*  475436 */     // GIR_Coverage, 14525,
     /*  475436 */     GIR_EraseRootFromParent_Done,
     /*  475437 */   // Label 8050: @475437
     /*  475437 */   GIM_Try, /*On fail goto*//*Label 8051*/ GIMT_Encode4(475526), // Rule ID 14528 //
     /*  475442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  475445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  475453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  475456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  475459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475489 */     // MIs[1] Operand 1
     /*  475489 */     // No operand predicates
     /*  475489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475498 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  475498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475524 */     GIR_RootConstrainSelectedInstOperands,
     /*  475525 */     // GIR_Coverage, 14528,
     /*  475525 */     GIR_EraseRootFromParent_Done,
     /*  475526 */   // Label 8051: @475526
     /*  475526 */   GIM_Try, /*On fail goto*//*Label 8052*/ GIMT_Encode4(475615), // Rule ID 14529 //
     /*  475531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  475534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  475542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  475545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  475548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  475566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475578 */     // MIs[1] Operand 1
     /*  475578 */     // No operand predicates
     /*  475578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475587 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  475587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1),
     /*  475590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  475607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475610 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475613 */     GIR_RootConstrainSelectedInstOperands,
     /*  475614 */     // GIR_Coverage, 14529,
     /*  475614 */     GIR_EraseRootFromParent_Done,
     /*  475615 */   // Label 8052: @475615
     /*  475615 */   GIM_Try, /*On fail goto*//*Label 8053*/ GIMT_Encode4(475704), // Rule ID 14532 //
     /*  475620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  475631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  475634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475667 */     // MIs[1] Operand 1
     /*  475667 */     // No operand predicates
     /*  475667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475676 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475699 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475702 */     GIR_RootConstrainSelectedInstOperands,
     /*  475703 */     // GIR_Coverage, 14532,
     /*  475703 */     GIR_EraseRootFromParent_Done,
     /*  475704 */   // Label 8053: @475704
     /*  475704 */   GIM_Try, /*On fail goto*//*Label 8054*/ GIMT_Encode4(475793), // Rule ID 14533 //
     /*  475709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  475720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  475723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  475726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  475744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475756 */     // MIs[1] Operand 1
     /*  475756 */     // No operand predicates
     /*  475756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475765 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  475768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475788 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475791 */     GIR_RootConstrainSelectedInstOperands,
     /*  475792 */     // GIR_Coverage, 14533,
     /*  475792 */     GIR_EraseRootFromParent_Done,
     /*  475793 */   // Label 8054: @475793
     /*  475793 */   GIM_Try, /*On fail goto*//*Label 8055*/ GIMT_Encode4(475882), // Rule ID 14536 //
     /*  475798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  475809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  475812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475845 */     // MIs[1] Operand 1
     /*  475845 */     // No operand predicates
     /*  475845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475854 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  475854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475880 */     GIR_RootConstrainSelectedInstOperands,
     /*  475881 */     // GIR_Coverage, 14536,
     /*  475881 */     GIR_EraseRootFromParent_Done,
     /*  475882 */   // Label 8055: @475882
     /*  475882 */   GIM_Try, /*On fail goto*//*Label 8056*/ GIMT_Encode4(475971), // Rule ID 14537 //
     /*  475887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  475890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  475898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  475901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  475904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  475907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  475910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  475922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  475926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  475930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  475934 */     // MIs[1] Operand 1
     /*  475934 */     // No operand predicates
     /*  475934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  475936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  475943 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  475943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  475946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  475948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  475950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  475952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  475955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  475960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  475963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  475966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  475969 */     GIR_RootConstrainSelectedInstOperands,
     /*  475970 */     // GIR_Coverage, 14537,
     /*  475970 */     GIR_EraseRootFromParent_Done,
     /*  475971 */   // Label 8056: @475971
     /*  475971 */   GIM_Try, /*On fail goto*//*Label 8057*/ GIMT_Encode4(476060), // Rule ID 14540 //
     /*  475976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  475979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  475984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  475987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  475990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  475993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  475996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  475999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476023 */     // MIs[1] Operand 1
     /*  476023 */     // No operand predicates
     /*  476023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476032 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  476032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476058 */     GIR_RootConstrainSelectedInstOperands,
     /*  476059 */     // GIR_Coverage, 14540,
     /*  476059 */     GIR_EraseRootFromParent_Done,
     /*  476060 */   // Label 8057: @476060
     /*  476060 */   GIM_Try, /*On fail goto*//*Label 8058*/ GIMT_Encode4(476149), // Rule ID 14541 //
     /*  476065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  476076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  476079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  476082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476108 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476112 */     // MIs[1] Operand 1
     /*  476112 */     // No operand predicates
     /*  476112 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476121 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  476121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476130 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  476141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476147 */     GIR_RootConstrainSelectedInstOperands,
     /*  476148 */     // GIR_Coverage, 14541,
     /*  476148 */     GIR_EraseRootFromParent_Done,
     /*  476149 */   // Label 8058: @476149
     /*  476149 */   GIM_Try, /*On fail goto*//*Label 8059*/ GIMT_Encode4(476238), // Rule ID 14544 //
     /*  476154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  476165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  476168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  476171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476201 */     // MIs[1] Operand 1
     /*  476201 */     // No operand predicates
     /*  476201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476236 */     GIR_RootConstrainSelectedInstOperands,
     /*  476237 */     // GIR_Coverage, 14544,
     /*  476237 */     GIR_EraseRootFromParent_Done,
     /*  476238 */   // Label 8059: @476238
     /*  476238 */   GIM_Try, /*On fail goto*//*Label 8060*/ GIMT_Encode4(476327), // Rule ID 14545 //
     /*  476243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  476254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  476257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  476260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476290 */     // MIs[1] Operand 1
     /*  476290 */     // No operand predicates
     /*  476290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476299 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476325 */     GIR_RootConstrainSelectedInstOperands,
     /*  476326 */     // GIR_Coverage, 14545,
     /*  476326 */     GIR_EraseRootFromParent_Done,
     /*  476327 */   // Label 8060: @476327
     /*  476327 */   GIM_Try, /*On fail goto*//*Label 8061*/ GIMT_Encode4(476416), // Rule ID 14548 //
     /*  476332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  476343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  476346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  476349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476379 */     // MIs[1] Operand 1
     /*  476379 */     // No operand predicates
     /*  476379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476414 */     GIR_RootConstrainSelectedInstOperands,
     /*  476415 */     // GIR_Coverage, 14548,
     /*  476415 */     GIR_EraseRootFromParent_Done,
     /*  476416 */   // Label 8061: @476416
     /*  476416 */   GIM_Try, /*On fail goto*//*Label 8062*/ GIMT_Encode4(476505), // Rule ID 14549 //
     /*  476421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  476432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  476435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  476438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476468 */     // MIs[1] Operand 1
     /*  476468 */     // No operand predicates
     /*  476468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476477 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476486 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476503 */     GIR_RootConstrainSelectedInstOperands,
     /*  476504 */     // GIR_Coverage, 14549,
     /*  476504 */     GIR_EraseRootFromParent_Done,
     /*  476505 */   // Label 8062: @476505
     /*  476505 */   GIM_Try, /*On fail goto*//*Label 8063*/ GIMT_Encode4(476594), // Rule ID 14552 //
     /*  476510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  476521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  476524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  476527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476557 */     // MIs[1] Operand 1
     /*  476557 */     // No operand predicates
     /*  476557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  476566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476592 */     GIR_RootConstrainSelectedInstOperands,
     /*  476593 */     // GIR_Coverage, 14552,
     /*  476593 */     GIR_EraseRootFromParent_Done,
     /*  476594 */   // Label 8063: @476594
     /*  476594 */   GIM_Try, /*On fail goto*//*Label 8064*/ GIMT_Encode4(476683), // Rule ID 14553 //
     /*  476599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  476610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  476613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  476616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  476634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476642 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476646 */     // MIs[1] Operand 1
     /*  476646 */     // No operand predicates
     /*  476646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476655 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  476655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  476658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476664 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  476675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476681 */     GIR_RootConstrainSelectedInstOperands,
     /*  476682 */     // GIR_Coverage, 14553,
     /*  476682 */     GIR_EraseRootFromParent_Done,
     /*  476683 */   // Label 8064: @476683
     /*  476683 */   GIM_Try, /*On fail goto*//*Label 8065*/ GIMT_Encode4(476772), // Rule ID 14556 //
     /*  476688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476735 */     // MIs[1] Operand 1
     /*  476735 */     // No operand predicates
     /*  476735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476770 */     GIR_RootConstrainSelectedInstOperands,
     /*  476771 */     // GIR_Coverage, 14556,
     /*  476771 */     GIR_EraseRootFromParent_Done,
     /*  476772 */   // Label 8065: @476772
     /*  476772 */   GIM_Try, /*On fail goto*//*Label 8066*/ GIMT_Encode4(476861), // Rule ID 14557 //
     /*  476777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  476788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  476791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  476794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  476812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476824 */     // MIs[1] Operand 1
     /*  476824 */     // No operand predicates
     /*  476824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476833 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  476833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  476836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476859 */     GIR_RootConstrainSelectedInstOperands,
     /*  476860 */     // GIR_Coverage, 14557,
     /*  476860 */     GIR_EraseRootFromParent_Done,
     /*  476861 */   // Label 8066: @476861
     /*  476861 */   GIM_Try, /*On fail goto*//*Label 8067*/ GIMT_Encode4(476950), // Rule ID 14560 //
     /*  476866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  476869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  476886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  476889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  476913 */     // MIs[1] Operand 1
     /*  476913 */     // No operand predicates
     /*  476913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  476915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  476922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  476922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  476925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  476927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  476929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  476931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  476934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  476939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  476942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  476945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  476948 */     GIR_RootConstrainSelectedInstOperands,
     /*  476949 */     // GIR_Coverage, 14560,
     /*  476949 */     GIR_EraseRootFromParent_Done,
     /*  476950 */   // Label 8067: @476950
     /*  476950 */   GIM_Try, /*On fail goto*//*Label 8068*/ GIMT_Encode4(477039), // Rule ID 14561 //
     /*  476955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  476958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  476963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  476966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  476969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  476972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  476975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  476978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  476990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  476994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  476998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477002 */     // MIs[1] Operand 1
     /*  477002 */     // No operand predicates
     /*  477002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477011 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  477014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477037 */     GIR_RootConstrainSelectedInstOperands,
     /*  477038 */     // GIR_Coverage, 14561,
     /*  477038 */     GIR_EraseRootFromParent_Done,
     /*  477039 */   // Label 8068: @477039
     /*  477039 */   GIM_Try, /*On fail goto*//*Label 8069*/ GIMT_Encode4(477128), // Rule ID 14564 //
     /*  477044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477091 */     // MIs[1] Operand 1
     /*  477091 */     // No operand predicates
     /*  477091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  477100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  477103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477126 */     GIR_RootConstrainSelectedInstOperands,
     /*  477127 */     // GIR_Coverage, 14564,
     /*  477127 */     GIR_EraseRootFromParent_Done,
     /*  477128 */   // Label 8069: @477128
     /*  477128 */   GIM_Try, /*On fail goto*//*Label 8070*/ GIMT_Encode4(477217), // Rule ID 14565 //
     /*  477133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  477144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  477147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  477150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477180 */     // MIs[1] Operand 1
     /*  477180 */     // No operand predicates
     /*  477180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477189 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  477189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  477192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  477209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477212 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477215 */     GIR_RootConstrainSelectedInstOperands,
     /*  477216 */     // GIR_Coverage, 14565,
     /*  477216 */     GIR_EraseRootFromParent_Done,
     /*  477217 */   // Label 8070: @477217
     /*  477217 */   GIM_Try, /*On fail goto*//*Label 8071*/ GIMT_Encode4(477306), // Rule ID 14568 //
     /*  477222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  477225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477265 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477269 */     // MIs[1] Operand 1
     /*  477269 */     // No operand predicates
     /*  477269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477278 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  477281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477304 */     GIR_RootConstrainSelectedInstOperands,
     /*  477305 */     // GIR_Coverage, 14568,
     /*  477305 */     GIR_EraseRootFromParent_Done,
     /*  477306 */   // Label 8071: @477306
     /*  477306 */   GIM_Try, /*On fail goto*//*Label 8072*/ GIMT_Encode4(477395), // Rule ID 14569 //
     /*  477311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  477314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  477322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  477325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  477328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  477346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477358 */     // MIs[1] Operand 1
     /*  477358 */     // No operand predicates
     /*  477358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477367 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2),
     /*  477370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477393 */     GIR_RootConstrainSelectedInstOperands,
     /*  477394 */     // GIR_Coverage, 14569,
     /*  477394 */     GIR_EraseRootFromParent_Done,
     /*  477395 */   // Label 8072: @477395
     /*  477395 */   GIM_Try, /*On fail goto*//*Label 8073*/ GIMT_Encode4(477484), // Rule ID 14572 //
     /*  477400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  477403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477447 */     // MIs[1] Operand 1
     /*  477447 */     // No operand predicates
     /*  477447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  477459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477482 */     GIR_RootConstrainSelectedInstOperands,
     /*  477483 */     // GIR_Coverage, 14572,
     /*  477483 */     GIR_EraseRootFromParent_Done,
     /*  477484 */   // Label 8073: @477484
     /*  477484 */   GIM_Try, /*On fail goto*//*Label 8074*/ GIMT_Encode4(477573), // Rule ID 14573 //
     /*  477489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  477492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  477500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  477503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  477506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  477524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477536 */     // MIs[1] Operand 1
     /*  477536 */     // No operand predicates
     /*  477536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477545 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4),
     /*  477548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477568 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477571 */     GIR_RootConstrainSelectedInstOperands,
     /*  477572 */     // GIR_Coverage, 14573,
     /*  477572 */     GIR_EraseRootFromParent_Done,
     /*  477573 */   // Label 8074: @477573
     /*  477573 */   GIM_Try, /*On fail goto*//*Label 8075*/ GIMT_Encode4(477662), // Rule ID 14576 //
     /*  477578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  477581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477625 */     // MIs[1] Operand 1
     /*  477625 */     // No operand predicates
     /*  477625 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  477634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  477637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477643 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477657 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477660 */     GIR_RootConstrainSelectedInstOperands,
     /*  477661 */     // GIR_Coverage, 14576,
     /*  477661 */     GIR_EraseRootFromParent_Done,
     /*  477662 */   // Label 8075: @477662
     /*  477662 */   GIM_Try, /*On fail goto*//*Label 8076*/ GIMT_Encode4(477751), // Rule ID 14577 //
     /*  477667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  477670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  477675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  477678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  477681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  477684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  477702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  477714 */     // MIs[1] Operand 1
     /*  477714 */     // No operand predicates
     /*  477714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477723 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  477723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8),
     /*  477726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  477743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  477749 */     GIR_RootConstrainSelectedInstOperands,
     /*  477750 */     // GIR_Coverage, 14577,
     /*  477750 */     GIR_EraseRootFromParent_Done,
     /*  477751 */   // Label 8076: @477751
     /*  477751 */   GIM_Try, /*On fail goto*//*Label 8077*/ GIMT_Encode4(477837), // Rule ID 24672 //
     /*  477756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  477767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  477770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  477773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477803 */     // MIs[1] Operand 1
     /*  477803 */     // No operand predicates
     /*  477803 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  477815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477821 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477835 */     GIR_RootConstrainSelectedInstOperands,
     /*  477836 */     // GIR_Coverage, 24672,
     /*  477836 */     GIR_EraseRootFromParent_Done,
     /*  477837 */   // Label 8077: @477837
     /*  477837 */   GIM_Try, /*On fail goto*//*Label 8078*/ GIMT_Encode4(477923), // Rule ID 24673 //
     /*  477842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  477845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  477853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  477856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  477859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  477862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  477865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477889 */     // MIs[1] Operand 1
     /*  477889 */     // No operand predicates
     /*  477889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477898 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  477898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8),
     /*  477901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  477915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  477918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  477921 */     GIR_RootConstrainSelectedInstOperands,
     /*  477922 */     // GIR_Coverage, 24673,
     /*  477922 */     GIR_EraseRootFromParent_Done,
     /*  477923 */   // Label 8078: @477923
     /*  477923 */   GIM_Try, /*On fail goto*//*Label 8079*/ GIMT_Encode4(478009), // Rule ID 24676 //
     /*  477928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  477931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  477936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  477939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  477942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  477945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  477948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  477951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  477963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  477967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  477971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  477975 */     // MIs[1] Operand 1
     /*  477975 */     // No operand predicates
     /*  477975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  477977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  477984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  477984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  477987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  477989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  477991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  477993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  477996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478007 */     GIR_RootConstrainSelectedInstOperands,
     /*  478008 */     // GIR_Coverage, 24676,
     /*  478008 */     GIR_EraseRootFromParent_Done,
     /*  478009 */   // Label 8079: @478009
     /*  478009 */   GIM_Try, /*On fail goto*//*Label 8080*/ GIMT_Encode4(478095), // Rule ID 24677 //
     /*  478014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  478025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  478028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  478031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478049 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478053 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478057 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478061 */     // MIs[1] Operand 1
     /*  478061 */     // No operand predicates
     /*  478061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478070 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  478073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478093 */     GIR_RootConstrainSelectedInstOperands,
     /*  478094 */     // GIR_Coverage, 24677,
     /*  478094 */     GIR_EraseRootFromParent_Done,
     /*  478095 */   // Label 8080: @478095
     /*  478095 */   GIM_Try, /*On fail goto*//*Label 8081*/ GIMT_Encode4(478181), // Rule ID 24680 //
     /*  478100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  478111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  478114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  478117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478147 */     // MIs[1] Operand 1
     /*  478147 */     // No operand predicates
     /*  478147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478156 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478165 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478179 */     GIR_RootConstrainSelectedInstOperands,
     /*  478180 */     // GIR_Coverage, 24680,
     /*  478180 */     GIR_EraseRootFromParent_Done,
     /*  478181 */   // Label 8081: @478181
     /*  478181 */   GIM_Try, /*On fail goto*//*Label 8082*/ GIMT_Encode4(478267), // Rule ID 24681 //
     /*  478186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  478197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  478200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  478203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478233 */     // MIs[1] Operand 1
     /*  478233 */     // No operand predicates
     /*  478233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478265 */     GIR_RootConstrainSelectedInstOperands,
     /*  478266 */     // GIR_Coverage, 24681,
     /*  478266 */     GIR_EraseRootFromParent_Done,
     /*  478267 */   // Label 8082: @478267
     /*  478267 */   GIM_Try, /*On fail goto*//*Label 8083*/ GIMT_Encode4(478353), // Rule ID 24684 //
     /*  478272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  478289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478319 */     // MIs[1] Operand 1
     /*  478319 */     // No operand predicates
     /*  478319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  478331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478351 */     GIR_RootConstrainSelectedInstOperands,
     /*  478352 */     // GIR_Coverage, 24684,
     /*  478352 */     GIR_EraseRootFromParent_Done,
     /*  478353 */   // Label 8083: @478353
     /*  478353 */   GIM_Try, /*On fail goto*//*Label 8084*/ GIMT_Encode4(478439), // Rule ID 24685 //
     /*  478358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  478369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  478372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  478375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478405 */     // MIs[1] Operand 1
     /*  478405 */     // No operand predicates
     /*  478405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  478417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478437 */     GIR_RootConstrainSelectedInstOperands,
     /*  478438 */     // GIR_Coverage, 24685,
     /*  478438 */     GIR_EraseRootFromParent_Done,
     /*  478439 */   // Label 8084: @478439
     /*  478439 */   GIM_Try, /*On fail goto*//*Label 8085*/ GIMT_Encode4(478525), // Rule ID 24688 //
     /*  478444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478491 */     // MIs[1] Operand 1
     /*  478491 */     // No operand predicates
     /*  478491 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478500 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  478500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478509 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478523 */     GIR_RootConstrainSelectedInstOperands,
     /*  478524 */     // GIR_Coverage, 24688,
     /*  478524 */     GIR_EraseRootFromParent_Done,
     /*  478525 */   // Label 8085: @478525
     /*  478525 */   GIM_Try, /*On fail goto*//*Label 8086*/ GIMT_Encode4(478611), // Rule ID 24689 //
     /*  478530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  478541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  478544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  478547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478577 */     // MIs[1] Operand 1
     /*  478577 */     // No operand predicates
     /*  478577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478586 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  478586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  478606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478609 */     GIR_RootConstrainSelectedInstOperands,
     /*  478610 */     // GIR_Coverage, 24689,
     /*  478610 */     GIR_EraseRootFromParent_Done,
     /*  478611 */   // Label 8086: @478611
     /*  478611 */   GIM_Try, /*On fail goto*//*Label 8087*/ GIMT_Encode4(478697), // Rule ID 24692 //
     /*  478616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  478627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  478630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478663 */     // MIs[1] Operand 1
     /*  478663 */     // No operand predicates
     /*  478663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  478672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478695 */     GIR_RootConstrainSelectedInstOperands,
     /*  478696 */     // GIR_Coverage, 24692,
     /*  478696 */     GIR_EraseRootFromParent_Done,
     /*  478697 */   // Label 8087: @478697
     /*  478697 */   GIM_Try, /*On fail goto*//*Label 8088*/ GIMT_Encode4(478783), // Rule ID 24693 //
     /*  478702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  478713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  478716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  478719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478749 */     // MIs[1] Operand 1
     /*  478749 */     // No operand predicates
     /*  478749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478758 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  478758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  478761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  478778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478781 */     GIR_RootConstrainSelectedInstOperands,
     /*  478782 */     // GIR_Coverage, 24693,
     /*  478782 */     GIR_EraseRootFromParent_Done,
     /*  478783 */   // Label 8088: @478783
     /*  478783 */   GIM_Try, /*On fail goto*//*Label 8089*/ GIMT_Encode4(478869), // Rule ID 24696 //
     /*  478788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  478799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  478802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  478805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478835 */     // MIs[1] Operand 1
     /*  478835 */     // No operand predicates
     /*  478835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  478844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478867 */     GIR_RootConstrainSelectedInstOperands,
     /*  478868 */     // GIR_Coverage, 24696,
     /*  478868 */     GIR_EraseRootFromParent_Done,
     /*  478869 */   // Label 8089: @478869
     /*  478869 */   GIM_Try, /*On fail goto*//*Label 8090*/ GIMT_Encode4(478955), // Rule ID 24697 //
     /*  478874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  478877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  478885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  478888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  478891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  478894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  478897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  478917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  478921 */     // MIs[1] Operand 1
     /*  478921 */     // No operand predicates
     /*  478921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  478923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  478930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  478930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  478933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  478935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  478937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  478939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  478942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  478947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  478950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  478953 */     GIR_RootConstrainSelectedInstOperands,
     /*  478954 */     // GIR_Coverage, 24697,
     /*  478954 */     GIR_EraseRootFromParent_Done,
     /*  478955 */   // Label 8090: @478955
     /*  478955 */   GIM_Try, /*On fail goto*//*Label 8091*/ GIMT_Encode4(479041), // Rule ID 24700 //
     /*  478960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  478963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  478968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  478971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  478974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  478977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  478980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  478983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  478995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  478999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479007 */     // MIs[1] Operand 1
     /*  479007 */     // No operand predicates
     /*  479007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479016 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  479016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  479019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479039 */     GIR_RootConstrainSelectedInstOperands,
     /*  479040 */     // GIR_Coverage, 24700,
     /*  479040 */     GIR_EraseRootFromParent_Done,
     /*  479041 */   // Label 8091: @479041
     /*  479041 */   GIM_Try, /*On fail goto*//*Label 8092*/ GIMT_Encode4(479127), // Rule ID 24701 //
     /*  479046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  479057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  479060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  479063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479093 */     // MIs[1] Operand 1
     /*  479093 */     // No operand predicates
     /*  479093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  479102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  479105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  479122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479125 */     GIR_RootConstrainSelectedInstOperands,
     /*  479126 */     // GIR_Coverage, 24701,
     /*  479126 */     GIR_EraseRootFromParent_Done,
     /*  479127 */   // Label 8092: @479127
     /*  479127 */   GIM_Try, /*On fail goto*//*Label 8093*/ GIMT_Encode4(479213), // Rule ID 24704 //
     /*  479132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  479143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  479146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  479149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479167 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479171 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479175 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479179 */     // MIs[1] Operand 1
     /*  479179 */     // No operand predicates
     /*  479179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  479188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  479191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479211 */     GIR_RootConstrainSelectedInstOperands,
     /*  479212 */     // GIR_Coverage, 24704,
     /*  479212 */     GIR_EraseRootFromParent_Done,
     /*  479213 */   // Label 8093: @479213
     /*  479213 */   GIM_Try, /*On fail goto*//*Label 8094*/ GIMT_Encode4(479299), // Rule ID 24705 //
     /*  479218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  479229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  479232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  479235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479265 */     // MIs[1] Operand 1
     /*  479265 */     // No operand predicates
     /*  479265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  479274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  479277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  479294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479297 */     GIR_RootConstrainSelectedInstOperands,
     /*  479298 */     // GIR_Coverage, 24705,
     /*  479298 */     GIR_EraseRootFromParent_Done,
     /*  479299 */   // Label 8094: @479299
     /*  479299 */   GIM_Try, /*On fail goto*//*Label 8095*/ GIMT_Encode4(479385), // Rule ID 24708 //
     /*  479304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  479307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  479315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  479318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  479321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479351 */     // MIs[1] Operand 1
     /*  479351 */     // No operand predicates
     /*  479351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479360 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  479360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  479363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479383 */     GIR_RootConstrainSelectedInstOperands,
     /*  479384 */     // GIR_Coverage, 24708,
     /*  479384 */     GIR_EraseRootFromParent_Done,
     /*  479385 */   // Label 8095: @479385
     /*  479385 */   GIM_Try, /*On fail goto*//*Label 8096*/ GIMT_Encode4(479471), // Rule ID 24709 //
     /*  479390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  479393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  479401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  479404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  479407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  479425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479437 */     // MIs[1] Operand 1
     /*  479437 */     // No operand predicates
     /*  479437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  479446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  479449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  479466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479469 */     GIR_RootConstrainSelectedInstOperands,
     /*  479470 */     // GIR_Coverage, 24709,
     /*  479470 */     GIR_EraseRootFromParent_Done,
     /*  479471 */   // Label 8096: @479471
     /*  479471 */   GIM_Try, /*On fail goto*//*Label 8097*/ GIMT_Encode4(479557), // Rule ID 24712 //
     /*  479476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  479487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  479490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479519 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479523 */     // MIs[1] Operand 1
     /*  479523 */     // No operand predicates
     /*  479523 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479532 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479541 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479555 */     GIR_RootConstrainSelectedInstOperands,
     /*  479556 */     // GIR_Coverage, 24712,
     /*  479556 */     GIR_EraseRootFromParent_Done,
     /*  479557 */   // Label 8097: @479557
     /*  479557 */   GIM_Try, /*On fail goto*//*Label 8098*/ GIMT_Encode4(479643), // Rule ID 24713 //
     /*  479562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  479573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  479576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  479579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  479597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479609 */     // MIs[1] Operand 1
     /*  479609 */     // No operand predicates
     /*  479609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479618 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  479621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479641 */     GIR_RootConstrainSelectedInstOperands,
     /*  479642 */     // GIR_Coverage, 24713,
     /*  479642 */     GIR_EraseRootFromParent_Done,
     /*  479643 */   // Label 8098: @479643
     /*  479643 */   GIM_Try, /*On fail goto*//*Label 8099*/ GIMT_Encode4(479729), // Rule ID 24716 //
     /*  479648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  479659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  479662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479695 */     // MIs[1] Operand 1
     /*  479695 */     // No operand predicates
     /*  479695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479704 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479727 */     GIR_RootConstrainSelectedInstOperands,
     /*  479728 */     // GIR_Coverage, 24716,
     /*  479728 */     GIR_EraseRootFromParent_Done,
     /*  479729 */   // Label 8099: @479729
     /*  479729 */   GIM_Try, /*On fail goto*//*Label 8100*/ GIMT_Encode4(479815), // Rule ID 24717 //
     /*  479734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  479745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  479748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  479751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  479769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479781 */     // MIs[1] Operand 1
     /*  479781 */     // No operand predicates
     /*  479781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479790 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  479793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479813 */     GIR_RootConstrainSelectedInstOperands,
     /*  479814 */     // GIR_Coverage, 24717,
     /*  479814 */     GIR_EraseRootFromParent_Done,
     /*  479815 */   // Label 8100: @479815
     /*  479815 */   GIM_Try, /*On fail goto*//*Label 8101*/ GIMT_Encode4(479901), // Rule ID 24720 //
     /*  479820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  479831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  479834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  479837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  479840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  479843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479867 */     // MIs[1] Operand 1
     /*  479867 */     // No operand predicates
     /*  479867 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479876 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  479876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479885 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479899 */     GIR_RootConstrainSelectedInstOperands,
     /*  479900 */     // GIR_Coverage, 24720,
     /*  479900 */     GIR_EraseRootFromParent_Done,
     /*  479901 */   // Label 8101: @479901
     /*  479901 */   GIM_Try, /*On fail goto*//*Label 8102*/ GIMT_Encode4(479987), // Rule ID 24721 //
     /*  479906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  479909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  479914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  479917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  479920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  479923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  479926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  479929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  479941 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  479945 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  479949 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  479953 */     // MIs[1] Operand 1
     /*  479953 */     // No operand predicates
     /*  479953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  479955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  479962 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  479962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  479965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  479967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  479969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  479971 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  479974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  479979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  479982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  479985 */     GIR_RootConstrainSelectedInstOperands,
     /*  479986 */     // GIR_Coverage, 24721,
     /*  479986 */     GIR_EraseRootFromParent_Done,
     /*  479987 */   // Label 8102: @479987
     /*  479987 */   GIM_Try, /*On fail goto*//*Label 8103*/ GIMT_Encode4(480073), // Rule ID 24724 //
     /*  479992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  479995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  480003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  480006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480039 */     // MIs[1] Operand 1
     /*  480039 */     // No operand predicates
     /*  480039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480071 */     GIR_RootConstrainSelectedInstOperands,
     /*  480072 */     // GIR_Coverage, 24724,
     /*  480072 */     GIR_EraseRootFromParent_Done,
     /*  480073 */   // Label 8103: @480073
     /*  480073 */   GIM_Try, /*On fail goto*//*Label 8104*/ GIMT_Encode4(480159), // Rule ID 24725 //
     /*  480078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  480089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  480092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  480095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480125 */     // MIs[1] Operand 1
     /*  480125 */     // No operand predicates
     /*  480125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480134 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480157 */     GIR_RootConstrainSelectedInstOperands,
     /*  480158 */     // GIR_Coverage, 24725,
     /*  480158 */     GIR_EraseRootFromParent_Done,
     /*  480159 */   // Label 8104: @480159
     /*  480159 */   GIM_Try, /*On fail goto*//*Label 8105*/ GIMT_Encode4(480245), // Rule ID 24728 //
     /*  480164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  480175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  480178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480207 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480211 */     // MIs[1] Operand 1
     /*  480211 */     // No operand predicates
     /*  480211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480220 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480243 */     GIR_RootConstrainSelectedInstOperands,
     /*  480244 */     // GIR_Coverage, 24728,
     /*  480244 */     GIR_EraseRootFromParent_Done,
     /*  480245 */   // Label 8105: @480245
     /*  480245 */   GIM_Try, /*On fail goto*//*Label 8106*/ GIMT_Encode4(480331), // Rule ID 24729 //
     /*  480250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  480261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  480264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  480267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480297 */     // MIs[1] Operand 1
     /*  480297 */     // No operand predicates
     /*  480297 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480315 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480329 */     GIR_RootConstrainSelectedInstOperands,
     /*  480330 */     // GIR_Coverage, 24729,
     /*  480330 */     GIR_EraseRootFromParent_Done,
     /*  480331 */   // Label 8106: @480331
     /*  480331 */   GIM_Try, /*On fail goto*//*Label 8107*/ GIMT_Encode4(480417), // Rule ID 24732 //
     /*  480336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  480353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480383 */     // MIs[1] Operand 1
     /*  480383 */     // No operand predicates
     /*  480383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480392 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  480392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480415 */     GIR_RootConstrainSelectedInstOperands,
     /*  480416 */     // GIR_Coverage, 24732,
     /*  480416 */     GIR_EraseRootFromParent_Done,
     /*  480417 */   // Label 8107: @480417
     /*  480417 */   GIM_Try, /*On fail goto*//*Label 8108*/ GIMT_Encode4(480503), // Rule ID 24733 //
     /*  480422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  480433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  480436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  480439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480469 */     // MIs[1] Operand 1
     /*  480469 */     // No operand predicates
     /*  480469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  480478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  480498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480501 */     GIR_RootConstrainSelectedInstOperands,
     /*  480502 */     // GIR_Coverage, 24733,
     /*  480502 */     GIR_EraseRootFromParent_Done,
     /*  480503 */   // Label 8108: @480503
     /*  480503 */   GIM_Try, /*On fail goto*//*Label 8109*/ GIMT_Encode4(480589), // Rule ID 24736 //
     /*  480508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480555 */     // MIs[1] Operand 1
     /*  480555 */     // No operand predicates
     /*  480555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480564 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480587 */     GIR_RootConstrainSelectedInstOperands,
     /*  480588 */     // GIR_Coverage, 24736,
     /*  480588 */     GIR_EraseRootFromParent_Done,
     /*  480589 */   // Label 8109: @480589
     /*  480589 */   GIM_Try, /*On fail goto*//*Label 8110*/ GIMT_Encode4(480675), // Rule ID 24737 //
     /*  480594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  480605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  480608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  480611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  480629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480641 */     // MIs[1] Operand 1
     /*  480641 */     // No operand predicates
     /*  480641 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  480653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480659 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480673 */     GIR_RootConstrainSelectedInstOperands,
     /*  480674 */     // GIR_Coverage, 24737,
     /*  480674 */     GIR_EraseRootFromParent_Done,
     /*  480675 */   // Label 8110: @480675
     /*  480675 */   GIM_Try, /*On fail goto*//*Label 8111*/ GIMT_Encode4(480761), // Rule ID 24740 //
     /*  480680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480727 */     // MIs[1] Operand 1
     /*  480727 */     // No operand predicates
     /*  480727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480759 */     GIR_RootConstrainSelectedInstOperands,
     /*  480760 */     // GIR_Coverage, 24740,
     /*  480760 */     GIR_EraseRootFromParent_Done,
     /*  480761 */   // Label 8111: @480761
     /*  480761 */   GIM_Try, /*On fail goto*//*Label 8112*/ GIMT_Encode4(480847), // Rule ID 24741 //
     /*  480766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  480777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  480780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  480783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  480801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480813 */     // MIs[1] Operand 1
     /*  480813 */     // No operand predicates
     /*  480813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  480825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480845 */     GIR_RootConstrainSelectedInstOperands,
     /*  480846 */     // GIR_Coverage, 24741,
     /*  480846 */     GIR_EraseRootFromParent_Done,
     /*  480847 */   // Label 8112: @480847
     /*  480847 */   GIM_Try, /*On fail goto*//*Label 8113*/ GIMT_Encode4(480933), // Rule ID 24744 //
     /*  480852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  480855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  480869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  480872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  480875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480899 */     // MIs[1] Operand 1
     /*  480899 */     // No operand predicates
     /*  480899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480908 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  480908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  480915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  480917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  480920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  480925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  480928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  480931 */     GIR_RootConstrainSelectedInstOperands,
     /*  480932 */     // GIR_Coverage, 24744,
     /*  480932 */     GIR_EraseRootFromParent_Done,
     /*  480933 */   // Label 8113: @480933
     /*  480933 */   GIM_Try, /*On fail goto*//*Label 8114*/ GIMT_Encode4(481019), // Rule ID 24745 //
     /*  480938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  480941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  480946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  480949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  480952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  480955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  480958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  480961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  480973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  480977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  480981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  480985 */     // MIs[1] Operand 1
     /*  480985 */     // No operand predicates
     /*  480985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  480987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  480994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  480994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  480997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  480999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481017 */     GIR_RootConstrainSelectedInstOperands,
     /*  481018 */     // GIR_Coverage, 24745,
     /*  481018 */     GIR_EraseRootFromParent_Done,
     /*  481019 */   // Label 8114: @481019
     /*  481019 */   GIM_Try, /*On fail goto*//*Label 8115*/ GIMT_Encode4(481105), // Rule ID 24748 //
     /*  481024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  481027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  481041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481071 */     // MIs[1] Operand 1
     /*  481071 */     // No operand predicates
     /*  481071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  481080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  481083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481103 */     GIR_RootConstrainSelectedInstOperands,
     /*  481104 */     // GIR_Coverage, 24748,
     /*  481104 */     GIR_EraseRootFromParent_Done,
     /*  481105 */   // Label 8115: @481105
     /*  481105 */   GIM_Try, /*On fail goto*//*Label 8116*/ GIMT_Encode4(481191), // Rule ID 24749 //
     /*  481110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  481113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  481121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  481124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  481127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  481145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481157 */     // MIs[1] Operand 1
     /*  481157 */     // No operand predicates
     /*  481157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481166 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  481166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  481169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481189 */     GIR_RootConstrainSelectedInstOperands,
     /*  481190 */     // GIR_Coverage, 24749,
     /*  481190 */     GIR_EraseRootFromParent_Done,
     /*  481191 */   // Label 8116: @481191
     /*  481191 */   GIM_Try, /*On fail goto*//*Label 8117*/ GIMT_Encode4(481277), // Rule ID 24752 //
     /*  481196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  481199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  481213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481243 */     // MIs[1] Operand 1
     /*  481243 */     // No operand predicates
     /*  481243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  481252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  481255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481275 */     GIR_RootConstrainSelectedInstOperands,
     /*  481276 */     // GIR_Coverage, 24752,
     /*  481276 */     GIR_EraseRootFromParent_Done,
     /*  481277 */   // Label 8117: @481277
     /*  481277 */   GIM_Try, /*On fail goto*//*Label 8118*/ GIMT_Encode4(481363), // Rule ID 24753 //
     /*  481282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  481285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  481293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  481296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  481299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  481317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481325 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481329 */     // MIs[1] Operand 1
     /*  481329 */     // No operand predicates
     /*  481329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  481338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  481341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481361 */     GIR_RootConstrainSelectedInstOperands,
     /*  481362 */     // GIR_Coverage, 24753,
     /*  481362 */     GIR_EraseRootFromParent_Done,
     /*  481363 */   // Label 8118: @481363
     /*  481363 */   GIM_Try, /*On fail goto*//*Label 8119*/ GIMT_Encode4(481449), // Rule ID 24756 //
     /*  481368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  481371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  481385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481415 */     // MIs[1] Operand 1
     /*  481415 */     // No operand predicates
     /*  481415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  481424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  481427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481447 */     GIR_RootConstrainSelectedInstOperands,
     /*  481448 */     // GIR_Coverage, 24756,
     /*  481448 */     GIR_EraseRootFromParent_Done,
     /*  481449 */   // Label 8119: @481449
     /*  481449 */   GIM_Try, /*On fail goto*//*Label 8120*/ GIMT_Encode4(481535), // Rule ID 24757 //
     /*  481454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  481457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  481465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  481468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  481471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  481489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481501 */     // MIs[1] Operand 1
     /*  481501 */     // No operand predicates
     /*  481501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481510 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  481510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  481513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  481530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481533 */     GIR_RootConstrainSelectedInstOperands,
     /*  481534 */     // GIR_Coverage, 24757,
     /*  481534 */     GIR_EraseRootFromParent_Done,
     /*  481535 */   // Label 8120: @481535
     /*  481535 */   GIM_Try, /*On fail goto*//*Label 8121*/ GIMT_Encode4(481621), // Rule ID 24964 //
     /*  481540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  481543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  481557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481587 */     // MIs[1] Operand 1
     /*  481587 */     // No operand predicates
     /*  481587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481596 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  481599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481619 */     GIR_RootConstrainSelectedInstOperands,
     /*  481620 */     // GIR_Coverage, 24964,
     /*  481620 */     GIR_EraseRootFromParent_Done,
     /*  481621 */   // Label 8121: @481621
     /*  481621 */   GIM_Try, /*On fail goto*//*Label 8122*/ GIMT_Encode4(481707), // Rule ID 24965 //
     /*  481626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  481629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  481637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  481640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  481643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481661 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481665 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481669 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481673 */     // MIs[1] Operand 1
     /*  481673 */     // No operand predicates
     /*  481673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481682 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4),
     /*  481685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481705 */     GIR_RootConstrainSelectedInstOperands,
     /*  481706 */     // GIR_Coverage, 24965,
     /*  481706 */     GIR_EraseRootFromParent_Done,
     /*  481707 */   // Label 8122: @481707
     /*  481707 */   GIM_Try, /*On fail goto*//*Label 8123*/ GIMT_Encode4(481793), // Rule ID 24968 //
     /*  481712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  481715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  481729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481747 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481751 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481755 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481759 */     // MIs[1] Operand 1
     /*  481759 */     // No operand predicates
     /*  481759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481768 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  481768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  481771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481791 */     GIR_RootConstrainSelectedInstOperands,
     /*  481792 */     // GIR_Coverage, 24968,
     /*  481792 */     GIR_EraseRootFromParent_Done,
     /*  481793 */   // Label 8123: @481793
     /*  481793 */   GIM_Try, /*On fail goto*//*Label 8124*/ GIMT_Encode4(481879), // Rule ID 24969 //
     /*  481798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  481801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  481809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  481812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  481815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481845 */     // MIs[1] Operand 1
     /*  481845 */     // No operand predicates
     /*  481845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481854 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  481854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  481857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  481874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481877 */     GIR_RootConstrainSelectedInstOperands,
     /*  481878 */     // GIR_Coverage, 24969,
     /*  481878 */     GIR_EraseRootFromParent_Done,
     /*  481879 */   // Label 8124: @481879
     /*  481879 */   GIM_Try, /*On fail goto*//*Label 8125*/ GIMT_Encode4(481965), // Rule ID 24972 //
     /*  481884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  481887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  481895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  481898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  481904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  481907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  481923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  481927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  481931 */     // MIs[1] Operand 1
     /*  481931 */     // No operand predicates
     /*  481931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  481933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  481940 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  481940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  481943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  481945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  481947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  481949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  481952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  481957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  481960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  481963 */     GIR_RootConstrainSelectedInstOperands,
     /*  481964 */     // GIR_Coverage, 24972,
     /*  481964 */     GIR_EraseRootFromParent_Done,
     /*  481965 */   // Label 8125: @481965
     /*  481965 */   GIM_Try, /*On fail goto*//*Label 8126*/ GIMT_Encode4(482051), // Rule ID 24973 //
     /*  481970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  481973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  481978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  481981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  481984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  481987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  481990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  481993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  481997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482005 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482009 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482013 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482017 */     // MIs[1] Operand 1
     /*  482017 */     // No operand predicates
     /*  482017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482026 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2),
     /*  482029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482049 */     GIR_RootConstrainSelectedInstOperands,
     /*  482050 */     // GIR_Coverage, 24973,
     /*  482050 */     GIR_EraseRootFromParent_Done,
     /*  482051 */   // Label 8126: @482051
     /*  482051 */   GIM_Try, /*On fail goto*//*Label 8127*/ GIMT_Encode4(482137), // Rule ID 24976 //
     /*  482056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482099 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482103 */     // MIs[1] Operand 1
     /*  482103 */     // No operand predicates
     /*  482103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482112 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  482115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482135 */     GIR_RootConstrainSelectedInstOperands,
     /*  482136 */     // GIR_Coverage, 24976,
     /*  482136 */     GIR_EraseRootFromParent_Done,
     /*  482137 */   // Label 8127: @482137
     /*  482137 */   GIM_Try, /*On fail goto*//*Label 8128*/ GIMT_Encode4(482223), // Rule ID 24977 //
     /*  482142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  482145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  482153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  482156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  482159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482189 */     // MIs[1] Operand 1
     /*  482189 */     // No operand predicates
     /*  482189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482198 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  482201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482221 */     GIR_RootConstrainSelectedInstOperands,
     /*  482222 */     // GIR_Coverage, 24977,
     /*  482222 */     GIR_EraseRootFromParent_Done,
     /*  482223 */   // Label 8128: @482223
     /*  482223 */   GIM_Try, /*On fail goto*//*Label 8129*/ GIMT_Encode4(482309), // Rule ID 24980 //
     /*  482228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  482231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482275 */     // MIs[1] Operand 1
     /*  482275 */     // No operand predicates
     /*  482275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482284 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  482284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  482287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482307 */     GIR_RootConstrainSelectedInstOperands,
     /*  482308 */     // GIR_Coverage, 24980,
     /*  482308 */     GIR_EraseRootFromParent_Done,
     /*  482309 */   // Label 8129: @482309
     /*  482309 */   GIM_Try, /*On fail goto*//*Label 8130*/ GIMT_Encode4(482395), // Rule ID 24981 //
     /*  482314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  482317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  482325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  482328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  482331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482361 */     // MIs[1] Operand 1
     /*  482361 */     // No operand predicates
     /*  482361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  482370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  482373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  482390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482393 */     GIR_RootConstrainSelectedInstOperands,
     /*  482394 */     // GIR_Coverage, 24981,
     /*  482394 */     GIR_EraseRootFromParent_Done,
     /*  482395 */   // Label 8130: @482395
     /*  482395 */   GIM_Try, /*On fail goto*//*Label 8131*/ GIMT_Encode4(482481), // Rule ID 24984 //
     /*  482400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  482403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  482411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  482414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  482417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482447 */     // MIs[1] Operand 1
     /*  482447 */     // No operand predicates
     /*  482447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482456 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  482456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  482459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482479 */     GIR_RootConstrainSelectedInstOperands,
     /*  482480 */     // GIR_Coverage, 24984,
     /*  482480 */     GIR_EraseRootFromParent_Done,
     /*  482481 */   // Label 8131: @482481
     /*  482481 */   GIM_Try, /*On fail goto*//*Label 8132*/ GIMT_Encode4(482567), // Rule ID 24985 //
     /*  482486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  482489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  482497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  482500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  482503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  482521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482533 */     // MIs[1] Operand 1
     /*  482533 */     // No operand predicates
     /*  482533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482542 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  482542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1),
     /*  482545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482551 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  482562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482565 */     GIR_RootConstrainSelectedInstOperands,
     /*  482566 */     // GIR_Coverage, 24985,
     /*  482566 */     GIR_EraseRootFromParent_Done,
     /*  482567 */   // Label 8132: @482567
     /*  482567 */   GIM_Try, /*On fail goto*//*Label 8133*/ GIMT_Encode4(482653), // Rule ID 24988 //
     /*  482572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  482583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  482586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482619 */     // MIs[1] Operand 1
     /*  482619 */     // No operand predicates
     /*  482619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482628 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  482631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482651 */     GIR_RootConstrainSelectedInstOperands,
     /*  482652 */     // GIR_Coverage, 24988,
     /*  482652 */     GIR_EraseRootFromParent_Done,
     /*  482653 */   // Label 8133: @482653
     /*  482653 */   GIM_Try, /*On fail goto*//*Label 8134*/ GIMT_Encode4(482739), // Rule ID 24989 //
     /*  482658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  482661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  482669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  482672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  482675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  482693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482705 */     // MIs[1] Operand 1
     /*  482705 */     // No operand predicates
     /*  482705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482714 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  482717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482737 */     GIR_RootConstrainSelectedInstOperands,
     /*  482738 */     // GIR_Coverage, 24989,
     /*  482738 */     GIR_EraseRootFromParent_Done,
     /*  482739 */   // Label 8134: @482739
     /*  482739 */   GIM_Try, /*On fail goto*//*Label 8135*/ GIMT_Encode4(482825), // Rule ID 24992 //
     /*  482744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  482755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  482758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482791 */     // MIs[1] Operand 1
     /*  482791 */     // No operand predicates
     /*  482791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482800 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  482803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482823 */     GIR_RootConstrainSelectedInstOperands,
     /*  482824 */     // GIR_Coverage, 24992,
     /*  482824 */     GIR_EraseRootFromParent_Done,
     /*  482825 */   // Label 8135: @482825
     /*  482825 */   GIM_Try, /*On fail goto*//*Label 8136*/ GIMT_Encode4(482911), // Rule ID 24993 //
     /*  482830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  482833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  482841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  482844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  482847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  482850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  482853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  482865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482877 */     // MIs[1] Operand 1
     /*  482877 */     // No operand predicates
     /*  482877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482886 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  482886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  482889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482909 */     GIR_RootConstrainSelectedInstOperands,
     /*  482910 */     // GIR_Coverage, 24993,
     /*  482910 */     GIR_EraseRootFromParent_Done,
     /*  482911 */   // Label 8136: @482911
     /*  482911 */   GIM_Try, /*On fail goto*//*Label 8137*/ GIMT_Encode4(482997), // Rule ID 24996 //
     /*  482916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  482919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  482924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  482927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  482930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  482933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  482936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  482939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  482951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  482955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  482959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  482963 */     // MIs[1] Operand 1
     /*  482963 */     // No operand predicates
     /*  482963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  482965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  482972 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  482972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  482975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  482977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  482979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  482981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  482984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  482989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  482992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  482995 */     GIR_RootConstrainSelectedInstOperands,
     /*  482996 */     // GIR_Coverage, 24996,
     /*  482996 */     GIR_EraseRootFromParent_Done,
     /*  482997 */   // Label 8137: @482997
     /*  482997 */   GIM_Try, /*On fail goto*//*Label 8138*/ GIMT_Encode4(483083), // Rule ID 24997 //
     /*  483002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  483005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  483013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  483016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  483019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483049 */     // MIs[1] Operand 1
     /*  483049 */     // No operand predicates
     /*  483049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483058 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  483058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  483061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  483078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483081 */     GIR_RootConstrainSelectedInstOperands,
     /*  483082 */     // GIR_Coverage, 24997,
     /*  483082 */     GIR_EraseRootFromParent_Done,
     /*  483083 */   // Label 8138: @483083
     /*  483083 */   GIM_Try, /*On fail goto*//*Label 8139*/ GIMT_Encode4(483169), // Rule ID 25000 //
     /*  483088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  483091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  483099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  483102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483135 */     // MIs[1] Operand 1
     /*  483135 */     // No operand predicates
     /*  483135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483144 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  483147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483167 */     GIR_RootConstrainSelectedInstOperands,
     /*  483168 */     // GIR_Coverage, 25000,
     /*  483168 */     GIR_EraseRootFromParent_Done,
     /*  483169 */   // Label 8139: @483169
     /*  483169 */   GIM_Try, /*On fail goto*//*Label 8140*/ GIMT_Encode4(483255), // Rule ID 25001 //
     /*  483174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  483177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  483185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  483188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  483191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483217 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483221 */     // MIs[1] Operand 1
     /*  483221 */     // No operand predicates
     /*  483221 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483230 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  483233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483239 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483253 */     GIR_RootConstrainSelectedInstOperands,
     /*  483254 */     // GIR_Coverage, 25001,
     /*  483254 */     GIR_EraseRootFromParent_Done,
     /*  483255 */   // Label 8140: @483255
     /*  483255 */   GIM_Try, /*On fail goto*//*Label 8141*/ GIMT_Encode4(483341), // Rule ID 25004 //
     /*  483260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  483263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  483271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  483274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483307 */     // MIs[1] Operand 1
     /*  483307 */     // No operand predicates
     /*  483307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483316 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  483319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483339 */     GIR_RootConstrainSelectedInstOperands,
     /*  483340 */     // GIR_Coverage, 25004,
     /*  483340 */     GIR_EraseRootFromParent_Done,
     /*  483341 */   // Label 8141: @483341
     /*  483341 */   GIM_Try, /*On fail goto*//*Label 8142*/ GIMT_Encode4(483427), // Rule ID 25005 //
     /*  483346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  483349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  483357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  483360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  483363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483393 */     // MIs[1] Operand 1
     /*  483393 */     // No operand predicates
     /*  483393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  483405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483425 */     GIR_RootConstrainSelectedInstOperands,
     /*  483426 */     // GIR_Coverage, 25005,
     /*  483426 */     GIR_EraseRootFromParent_Done,
     /*  483427 */   // Label 8142: @483427
     /*  483427 */   GIM_Try, /*On fail goto*//*Label 8143*/ GIMT_Encode4(483513), // Rule ID 25008 //
     /*  483432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  483435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  483443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  483446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  483449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483479 */     // MIs[1] Operand 1
     /*  483479 */     // No operand predicates
     /*  483479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  483488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  483491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483511 */     GIR_RootConstrainSelectedInstOperands,
     /*  483512 */     // GIR_Coverage, 25008,
     /*  483512 */     GIR_EraseRootFromParent_Done,
     /*  483513 */   // Label 8143: @483513
     /*  483513 */   GIM_Try, /*On fail goto*//*Label 8144*/ GIMT_Encode4(483599), // Rule ID 25009 //
     /*  483518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  483521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  483529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  483532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  483535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483565 */     // MIs[1] Operand 1
     /*  483565 */     // No operand predicates
     /*  483565 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483574 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  483574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  483577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483583 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  483594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483597 */     GIR_RootConstrainSelectedInstOperands,
     /*  483598 */     // GIR_Coverage, 25009,
     /*  483598 */     GIR_EraseRootFromParent_Done,
     /*  483599 */   // Label 8144: @483599
     /*  483599 */   GIM_Try, /*On fail goto*//*Label 8145*/ GIMT_Encode4(483685), // Rule ID 25012 //
     /*  483604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  483607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  483621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483651 */     // MIs[1] Operand 1
     /*  483651 */     // No operand predicates
     /*  483651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483660 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  483663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483683 */     GIR_RootConstrainSelectedInstOperands,
     /*  483684 */     // GIR_Coverage, 25012,
     /*  483684 */     GIR_EraseRootFromParent_Done,
     /*  483685 */   // Label 8145: @483685
     /*  483685 */   GIM_Try, /*On fail goto*//*Label 8146*/ GIMT_Encode4(483771), // Rule ID 25013 //
     /*  483690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  483693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  483701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  483704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  483707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  483725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483737 */     // MIs[1] Operand 1
     /*  483737 */     // No operand predicates
     /*  483737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483746 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2),
     /*  483749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483769 */     GIR_RootConstrainSelectedInstOperands,
     /*  483770 */     // GIR_Coverage, 25013,
     /*  483770 */     GIR_EraseRootFromParent_Done,
     /*  483771 */   // Label 8146: @483771
     /*  483771 */   GIM_Try, /*On fail goto*//*Label 8147*/ GIMT_Encode4(483857), // Rule ID 25016 //
     /*  483776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  483779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  483793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483823 */     // MIs[1] Operand 1
     /*  483823 */     // No operand predicates
     /*  483823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  483832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  483835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483855 */     GIR_RootConstrainSelectedInstOperands,
     /*  483856 */     // GIR_Coverage, 25016,
     /*  483856 */     GIR_EraseRootFromParent_Done,
     /*  483857 */   // Label 8147: @483857
     /*  483857 */   GIM_Try, /*On fail goto*//*Label 8148*/ GIMT_Encode4(483943), // Rule ID 25017 //
     /*  483862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  483865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  483873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  483876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  483879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  483882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  483885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  483897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483909 */     // MIs[1] Operand 1
     /*  483909 */     // No operand predicates
     /*  483909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  483918 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  483918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4),
     /*  483921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  483923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  483925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  483927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  483930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  483935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  483938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  483941 */     GIR_RootConstrainSelectedInstOperands,
     /*  483942 */     // GIR_Coverage, 25017,
     /*  483942 */     GIR_EraseRootFromParent_Done,
     /*  483943 */   // Label 8148: @483943
     /*  483943 */   GIM_Try, /*On fail goto*//*Label 8149*/ GIMT_Encode4(484029), // Rule ID 25020 //
     /*  483948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  483951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  483956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  483959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  483962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  483965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  483968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  483971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  483983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  483987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  483991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  483995 */     // MIs[1] Operand 1
     /*  483995 */     // No operand predicates
     /*  483995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  483997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484004 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  484004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  484007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484027 */     GIR_RootConstrainSelectedInstOperands,
     /*  484028 */     // GIR_Coverage, 25020,
     /*  484028 */     GIR_EraseRootFromParent_Done,
     /*  484029 */   // Label 8149: @484029
     /*  484029 */   GIM_Try, /*On fail goto*//*Label 8150*/ GIMT_Encode4(484115), // Rule ID 25021 //
     /*  484034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  484037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  484042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  484045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  484048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  484051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  484069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484081 */     // MIs[1] Operand 1
     /*  484081 */     // No operand predicates
     /*  484081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  484090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8),
     /*  484093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  484110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484113 */     GIR_RootConstrainSelectedInstOperands,
     /*  484114 */     // GIR_Coverage, 25021,
     /*  484114 */     GIR_EraseRootFromParent_Done,
     /*  484115 */   // Label 8150: @484115
     /*  484115 */   GIM_Try, /*On fail goto*//*Label 8151*/ GIMT_Encode4(484201), // Rule ID 61032 //
     /*  484120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  484131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  484134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  484137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484167 */     // MIs[1] Operand 1
     /*  484167 */     // No operand predicates
     /*  484167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484176 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  484179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484199 */     GIR_RootConstrainSelectedInstOperands,
     /*  484200 */     // GIR_Coverage, 61032,
     /*  484200 */     GIR_EraseRootFromParent_Done,
     /*  484201 */   // Label 8151: @484201
     /*  484201 */   GIM_Try, /*On fail goto*//*Label 8152*/ GIMT_Encode4(484287), // Rule ID 61033 //
     /*  484206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  484217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  484220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  484223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484253 */     // MIs[1] Operand 1
     /*  484253 */     // No operand predicates
     /*  484253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8),
     /*  484265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484285 */     GIR_RootConstrainSelectedInstOperands,
     /*  484286 */     // GIR_Coverage, 61033,
     /*  484286 */     GIR_EraseRootFromParent_Done,
     /*  484287 */   // Label 8152: @484287
     /*  484287 */   GIM_Try, /*On fail goto*//*Label 8153*/ GIMT_Encode4(484373), // Rule ID 61040 //
     /*  484292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  484303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  484306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  484309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484339 */     // MIs[1] Operand 1
     /*  484339 */     // No operand predicates
     /*  484339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484348 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  484351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484371 */     GIR_RootConstrainSelectedInstOperands,
     /*  484372 */     // GIR_Coverage, 61040,
     /*  484372 */     GIR_EraseRootFromParent_Done,
     /*  484373 */   // Label 8153: @484373
     /*  484373 */   GIM_Try, /*On fail goto*//*Label 8154*/ GIMT_Encode4(484459), // Rule ID 61041 //
     /*  484378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  484389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  484392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  484395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484425 */     // MIs[1] Operand 1
     /*  484425 */     // No operand predicates
     /*  484425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  484437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484457 */     GIR_RootConstrainSelectedInstOperands,
     /*  484458 */     // GIR_Coverage, 61041,
     /*  484458 */     GIR_EraseRootFromParent_Done,
     /*  484459 */   // Label 8154: @484459
     /*  484459 */   GIM_Try, /*On fail goto*//*Label 8155*/ GIMT_Encode4(484545), // Rule ID 61048 //
     /*  484464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  484475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  484478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  484481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484511 */     // MIs[1] Operand 1
     /*  484511 */     // No operand predicates
     /*  484511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  484523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484543 */     GIR_RootConstrainSelectedInstOperands,
     /*  484544 */     // GIR_Coverage, 61048,
     /*  484544 */     GIR_EraseRootFromParent_Done,
     /*  484545 */   // Label 8155: @484545
     /*  484545 */   GIM_Try, /*On fail goto*//*Label 8156*/ GIMT_Encode4(484631), // Rule ID 61049 //
     /*  484550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  484561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  484564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  484567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484585 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484589 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484593 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484597 */     // MIs[1] Operand 1
     /*  484597 */     // No operand predicates
     /*  484597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484606 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  484609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484615 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484629 */     GIR_RootConstrainSelectedInstOperands,
     /*  484630 */     // GIR_Coverage, 61049,
     /*  484630 */     GIR_EraseRootFromParent_Done,
     /*  484631 */   // Label 8156: @484631
     /*  484631 */   GIM_Try, /*On fail goto*//*Label 8157*/ GIMT_Encode4(484717), // Rule ID 61056 //
     /*  484636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  484653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484683 */     // MIs[1] Operand 1
     /*  484683 */     // No operand predicates
     /*  484683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  484695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484701 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484715 */     GIR_RootConstrainSelectedInstOperands,
     /*  484716 */     // GIR_Coverage, 61056,
     /*  484716 */     GIR_EraseRootFromParent_Done,
     /*  484717 */   // Label 8157: @484717
     /*  484717 */   GIM_Try, /*On fail goto*//*Label 8158*/ GIMT_Encode4(484803), // Rule ID 61057 //
     /*  484722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  484733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  484736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  484739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  484757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484769 */     // MIs[1] Operand 1
     /*  484769 */     // No operand predicates
     /*  484769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  484781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484801 */     GIR_RootConstrainSelectedInstOperands,
     /*  484802 */     // GIR_Coverage, 61057,
     /*  484802 */     GIR_EraseRootFromParent_Done,
     /*  484803 */   // Label 8158: @484803
     /*  484803 */   GIM_Try, /*On fail goto*//*Label 8159*/ GIMT_Encode4(484889), // Rule ID 61064 //
     /*  484808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  484828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  484831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484855 */     // MIs[1] Operand 1
     /*  484855 */     // No operand predicates
     /*  484855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484864 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  484864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  484867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484887 */     GIR_RootConstrainSelectedInstOperands,
     /*  484888 */     // GIR_Coverage, 61064,
     /*  484888 */     GIR_EraseRootFromParent_Done,
     /*  484889 */   // Label 8159: @484889
     /*  484889 */   GIM_Try, /*On fail goto*//*Label 8160*/ GIMT_Encode4(484975), // Rule ID 61065 //
     /*  484894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  484897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  484905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  484908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  484911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  484914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  484917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  484925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  484929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  484933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  484937 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  484941 */     // MIs[1] Operand 1
     /*  484941 */     // No operand predicates
     /*  484941 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  484943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  484950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  484950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  484953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  484955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  484957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  484959 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  484962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  484967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  484970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  484973 */     GIR_RootConstrainSelectedInstOperands,
     /*  484974 */     // GIR_Coverage, 61065,
     /*  484974 */     GIR_EraseRootFromParent_Done,
     /*  484975 */   // Label 8160: @484975
     /*  484975 */   GIM_Try, /*On fail goto*//*Label 8161*/ GIMT_Encode4(485061), // Rule ID 61072 //
     /*  484980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  484983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  484988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  484991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  484994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  484997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485023 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485027 */     // MIs[1] Operand 1
     /*  485027 */     // No operand predicates
     /*  485027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  485036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485059 */     GIR_RootConstrainSelectedInstOperands,
     /*  485060 */     // GIR_Coverage, 61072,
     /*  485060 */     GIR_EraseRootFromParent_Done,
     /*  485061 */   // Label 8161: @485061
     /*  485061 */   GIM_Try, /*On fail goto*//*Label 8162*/ GIMT_Encode4(485147), // Rule ID 61073 //
     /*  485066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  485077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  485080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  485083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485113 */     // MIs[1] Operand 1
     /*  485113 */     // No operand predicates
     /*  485113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  485122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  485142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485145 */     GIR_RootConstrainSelectedInstOperands,
     /*  485146 */     // GIR_Coverage, 61073,
     /*  485146 */     GIR_EraseRootFromParent_Done,
     /*  485147 */   // Label 8162: @485147
     /*  485147 */   GIM_Try, /*On fail goto*//*Label 8163*/ GIMT_Encode4(485233), // Rule ID 61080 //
     /*  485152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  485163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  485166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485199 */     // MIs[1] Operand 1
     /*  485199 */     // No operand predicates
     /*  485199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  485211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485231 */     GIR_RootConstrainSelectedInstOperands,
     /*  485232 */     // GIR_Coverage, 61080,
     /*  485232 */     GIR_EraseRootFromParent_Done,
     /*  485233 */   // Label 8163: @485233
     /*  485233 */   GIM_Try, /*On fail goto*//*Label 8164*/ GIMT_Encode4(485319), // Rule ID 61081 //
     /*  485238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  485249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  485252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  485255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485285 */     // MIs[1] Operand 1
     /*  485285 */     // No operand predicates
     /*  485285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4),
     /*  485297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485317 */     GIR_RootConstrainSelectedInstOperands,
     /*  485318 */     // GIR_Coverage, 61081,
     /*  485318 */     GIR_EraseRootFromParent_Done,
     /*  485319 */   // Label 8164: @485319
     /*  485319 */   GIM_Try, /*On fail goto*//*Label 8165*/ GIMT_Encode4(485405), // Rule ID 61088 //
     /*  485324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  485335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  485338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485367 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485371 */     // MIs[1] Operand 1
     /*  485371 */     // No operand predicates
     /*  485371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  485383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485389 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485403 */     GIR_RootConstrainSelectedInstOperands,
     /*  485404 */     // GIR_Coverage, 61088,
     /*  485404 */     GIR_EraseRootFromParent_Done,
     /*  485405 */   // Label 8165: @485405
     /*  485405 */   GIM_Try, /*On fail goto*//*Label 8166*/ GIMT_Encode4(485491), // Rule ID 61089 //
     /*  485410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  485421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  485424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  485427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485457 */     // MIs[1] Operand 1
     /*  485457 */     // No operand predicates
     /*  485457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  485469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485489 */     GIR_RootConstrainSelectedInstOperands,
     /*  485490 */     // GIR_Coverage, 61089,
     /*  485490 */     GIR_EraseRootFromParent_Done,
     /*  485491 */   // Label 8166: @485491
     /*  485491 */   GIM_Try, /*On fail goto*//*Label 8167*/ GIMT_Encode4(485577), // Rule ID 61096 //
     /*  485496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485543 */     // MIs[1] Operand 1
     /*  485543 */     // No operand predicates
     /*  485543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  485555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485575 */     GIR_RootConstrainSelectedInstOperands,
     /*  485576 */     // GIR_Coverage, 61096,
     /*  485576 */     GIR_EraseRootFromParent_Done,
     /*  485577 */   // Label 8167: @485577
     /*  485577 */   GIM_Try, /*On fail goto*//*Label 8168*/ GIMT_Encode4(485663), // Rule ID 61097 //
     /*  485582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  485593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  485596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  485599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  485617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485629 */     // MIs[1] Operand 1
     /*  485629 */     // No operand predicates
     /*  485629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  485641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485661 */     GIR_RootConstrainSelectedInstOperands,
     /*  485662 */     // GIR_Coverage, 61097,
     /*  485662 */     GIR_EraseRootFromParent_Done,
     /*  485663 */   // Label 8168: @485663
     /*  485663 */   GIM_Try, /*On fail goto*//*Label 8169*/ GIMT_Encode4(485749), // Rule ID 61104 //
     /*  485668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485715 */     // MIs[1] Operand 1
     /*  485715 */     // No operand predicates
     /*  485715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485747 */     GIR_RootConstrainSelectedInstOperands,
     /*  485748 */     // GIR_Coverage, 61104,
     /*  485748 */     GIR_EraseRootFromParent_Done,
     /*  485749 */   // Label 8169: @485749
     /*  485749 */   GIM_Try, /*On fail goto*//*Label 8170*/ GIMT_Encode4(485835), // Rule ID 61105 //
     /*  485754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  485765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  485768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  485771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  485789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485801 */     // MIs[1] Operand 1
     /*  485801 */     // No operand predicates
     /*  485801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485810 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  485813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485833 */     GIR_RootConstrainSelectedInstOperands,
     /*  485834 */     // GIR_Coverage, 61105,
     /*  485834 */     GIR_EraseRootFromParent_Done,
     /*  485835 */   // Label 8170: @485835
     /*  485835 */   GIM_Try, /*On fail goto*//*Label 8171*/ GIMT_Encode4(485921), // Rule ID 61112 //
     /*  485840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  485843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  485860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  485863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485887 */     // MIs[1] Operand 1
     /*  485887 */     // No operand predicates
     /*  485887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  485896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  485916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  485919 */     GIR_RootConstrainSelectedInstOperands,
     /*  485920 */     // GIR_Coverage, 61112,
     /*  485920 */     GIR_EraseRootFromParent_Done,
     /*  485921 */   // Label 8171: @485921
     /*  485921 */   GIM_Try, /*On fail goto*//*Label 8172*/ GIMT_Encode4(486007), // Rule ID 61113 //
     /*  485926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  485929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  485934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  485937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  485940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  485943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  485946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  485949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  485957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  485961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  485965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  485969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  485973 */     // MIs[1] Operand 1
     /*  485973 */     // No operand predicates
     /*  485973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  485975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  485982 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  485982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  485985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  485987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  485989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  485991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  485994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  485999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  486002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486005 */     GIR_RootConstrainSelectedInstOperands,
     /*  486006 */     // GIR_Coverage, 61113,
     /*  486006 */     GIR_EraseRootFromParent_Done,
     /*  486007 */   // Label 8172: @486007
     /*  486007 */   GIM_Try, /*On fail goto*//*Label 8173*/ GIMT_Encode4(486093), // Rule ID 61120 //
     /*  486012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  486015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  486023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  486026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486055 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486059 */     // MIs[1] Operand 1
     /*  486059 */     // No operand predicates
     /*  486059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  486068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  486071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486091 */     GIR_RootConstrainSelectedInstOperands,
     /*  486092 */     // GIR_Coverage, 61120,
     /*  486092 */     GIR_EraseRootFromParent_Done,
     /*  486093 */   // Label 8173: @486093
     /*  486093 */   GIM_Try, /*On fail goto*//*Label 8174*/ GIMT_Encode4(486179), // Rule ID 61121 //
     /*  486098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  486101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  486109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  486112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  486115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486145 */     // MIs[1] Operand 1
     /*  486145 */     // No operand predicates
     /*  486145 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486154 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  486154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2),
     /*  486157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486177 */     GIR_RootConstrainSelectedInstOperands,
     /*  486178 */     // GIR_Coverage, 61121,
     /*  486178 */     GIR_EraseRootFromParent_Done,
     /*  486179 */   // Label 8174: @486179
     /*  486179 */   GIM_Try, /*On fail goto*//*Label 8175*/ GIMT_Encode4(486265), // Rule ID 61128 //
     /*  486184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  486187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  486195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  486198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486231 */     // MIs[1] Operand 1
     /*  486231 */     // No operand predicates
     /*  486231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486240 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  486240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  486243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486263 */     GIR_RootConstrainSelectedInstOperands,
     /*  486264 */     // GIR_Coverage, 61128,
     /*  486264 */     GIR_EraseRootFromParent_Done,
     /*  486265 */   // Label 8175: @486265
     /*  486265 */   GIM_Try, /*On fail goto*//*Label 8176*/ GIMT_Encode4(486351), // Rule ID 61129 //
     /*  486270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  486273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  486281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  486284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  486287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486317 */     // MIs[1] Operand 1
     /*  486317 */     // No operand predicates
     /*  486317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486326 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  486326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1),
     /*  486329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486349 */     GIR_RootConstrainSelectedInstOperands,
     /*  486350 */     // GIR_Coverage, 61129,
     /*  486350 */     GIR_EraseRootFromParent_Done,
     /*  486351 */   // Label 8176: @486351
     /*  486351 */   GIM_Try, /*On fail goto*//*Label 8177*/ GIMT_Encode4(486437), // Rule ID 61136 //
     /*  486356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  486359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  486367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  486370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  486373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486391 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486395 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486399 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486403 */     // MIs[1] Operand 1
     /*  486403 */     // No operand predicates
     /*  486403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  486412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  486415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486435 */     GIR_RootConstrainSelectedInstOperands,
     /*  486436 */     // GIR_Coverage, 61136,
     /*  486436 */     GIR_EraseRootFromParent_Done,
     /*  486437 */   // Label 8177: @486437
     /*  486437 */   GIM_Try, /*On fail goto*//*Label 8178*/ GIMT_Encode4(486523), // Rule ID 61137 //
     /*  486442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  486445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  486453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  486456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  486459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  486477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486489 */     // MIs[1] Operand 1
     /*  486489 */     // No operand predicates
     /*  486489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486498 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  486498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2),
     /*  486501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486521 */     GIR_RootConstrainSelectedInstOperands,
     /*  486522 */     // GIR_Coverage, 61137,
     /*  486522 */     GIR_EraseRootFromParent_Done,
     /*  486523 */   // Label 8178: @486523
     /*  486523 */   GIM_Try, /*On fail goto*//*Label 8179*/ GIMT_Encode4(486609), // Rule ID 61144 //
     /*  486528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  486531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  486545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486575 */     // MIs[1] Operand 1
     /*  486575 */     // No operand predicates
     /*  486575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  486584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  486587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486607 */     GIR_RootConstrainSelectedInstOperands,
     /*  486608 */     // GIR_Coverage, 61144,
     /*  486608 */     GIR_EraseRootFromParent_Done,
     /*  486609 */   // Label 8179: @486609
     /*  486609 */   GIM_Try, /*On fail goto*//*Label 8180*/ GIMT_Encode4(486695), // Rule ID 61145 //
     /*  486614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  486617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  486622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  486625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  486628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  486631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  486645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  486649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  486661 */     // MIs[1] Operand 1
     /*  486661 */     // No operand predicates
     /*  486661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486670 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VI_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  486670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4),
     /*  486673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  486690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486693 */     GIR_RootConstrainSelectedInstOperands,
     /*  486694 */     // GIR_Coverage, 61145,
     /*  486694 */     GIR_EraseRootFromParent_Done,
     /*  486695 */   // Label 8180: @486695
     /*  486695 */   GIM_Try, /*On fail goto*//*Label 8181*/ GIMT_Encode4(486781), // Rule ID 62000 //
     /*  486700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  486711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  486714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  486717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486743 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486747 */     // MIs[1] Operand 1
     /*  486747 */     // No operand predicates
     /*  486747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486756 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  486759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486779 */     GIR_RootConstrainSelectedInstOperands,
     /*  486780 */     // GIR_Coverage, 62000,
     /*  486780 */     GIR_EraseRootFromParent_Done,
     /*  486781 */   // Label 8181: @486781
     /*  486781 */   GIM_Try, /*On fail goto*//*Label 8182*/ GIMT_Encode4(486867), // Rule ID 62001 //
     /*  486786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  486797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  486800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  486803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486833 */     // MIs[1] Operand 1
     /*  486833 */     // No operand predicates
     /*  486833 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486842 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  486842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8),
     /*  486845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486851 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486865 */     GIR_RootConstrainSelectedInstOperands,
     /*  486866 */     // GIR_Coverage, 62001,
     /*  486866 */     GIR_EraseRootFromParent_Done,
     /*  486867 */   // Label 8182: @486867
     /*  486867 */   GIM_Try, /*On fail goto*//*Label 8183*/ GIMT_Encode4(486953), // Rule ID 62004 //
     /*  486872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  486875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  486883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  486886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  486889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  486892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  486895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  486915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  486919 */     // MIs[1] Operand 1
     /*  486919 */     // No operand predicates
     /*  486919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  486921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  486928 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  486928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  486931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  486933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  486935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  486937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  486940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  486945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  486948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  486951 */     GIR_RootConstrainSelectedInstOperands,
     /*  486952 */     // GIR_Coverage, 62004,
     /*  486952 */     GIR_EraseRootFromParent_Done,
     /*  486953 */   // Label 8183: @486953
     /*  486953 */   GIM_Try, /*On fail goto*//*Label 8184*/ GIMT_Encode4(487039), // Rule ID 62005 //
     /*  486958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  486961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  486966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  486969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  486972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  486975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  486978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  486981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  486993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  486997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487005 */     // MIs[1] Operand 1
     /*  487005 */     // No operand predicates
     /*  487005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487014 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  487014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  487017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487037 */     GIR_RootConstrainSelectedInstOperands,
     /*  487038 */     // GIR_Coverage, 62005,
     /*  487038 */     GIR_EraseRootFromParent_Done,
     /*  487039 */   // Label 8184: @487039
     /*  487039 */   GIM_Try, /*On fail goto*//*Label 8185*/ GIMT_Encode4(487125), // Rule ID 62008 //
     /*  487044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  487055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  487058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  487061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487091 */     // MIs[1] Operand 1
     /*  487091 */     // No operand predicates
     /*  487091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487100 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  487100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487123 */     GIR_RootConstrainSelectedInstOperands,
     /*  487124 */     // GIR_Coverage, 62008,
     /*  487124 */     GIR_EraseRootFromParent_Done,
     /*  487125 */   // Label 8185: @487125
     /*  487125 */   GIM_Try, /*On fail goto*//*Label 8186*/ GIMT_Encode4(487211), // Rule ID 62009 //
     /*  487130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  487141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  487144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  487147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487177 */     // MIs[1] Operand 1
     /*  487177 */     // No operand predicates
     /*  487177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487186 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  487186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487209 */     GIR_RootConstrainSelectedInstOperands,
     /*  487210 */     // GIR_Coverage, 62009,
     /*  487210 */     GIR_EraseRootFromParent_Done,
     /*  487211 */   // Label 8186: @487211
     /*  487211 */   GIM_Try, /*On fail goto*//*Label 8187*/ GIMT_Encode4(487297), // Rule ID 62012 //
     /*  487216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  487233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487263 */     // MIs[1] Operand 1
     /*  487263 */     // No operand predicates
     /*  487263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487272 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  487275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487295 */     GIR_RootConstrainSelectedInstOperands,
     /*  487296 */     // GIR_Coverage, 62012,
     /*  487296 */     GIR_EraseRootFromParent_Done,
     /*  487297 */   // Label 8187: @487297
     /*  487297 */   GIM_Try, /*On fail goto*//*Label 8188*/ GIMT_Encode4(487383), // Rule ID 62013 //
     /*  487302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  487313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  487316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  487319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487349 */     // MIs[1] Operand 1
     /*  487349 */     // No operand predicates
     /*  487349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4),
     /*  487361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487381 */     GIR_RootConstrainSelectedInstOperands,
     /*  487382 */     // GIR_Coverage, 62013,
     /*  487382 */     GIR_EraseRootFromParent_Done,
     /*  487383 */   // Label 8188: @487383
     /*  487383 */   GIM_Try, /*On fail goto*//*Label 8189*/ GIMT_Encode4(487469), // Rule ID 62016 //
     /*  487388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  487399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  487402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  487405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487435 */     // MIs[1] Operand 1
     /*  487435 */     // No operand predicates
     /*  487435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487444 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487467 */     GIR_RootConstrainSelectedInstOperands,
     /*  487468 */     // GIR_Coverage, 62016,
     /*  487468 */     GIR_EraseRootFromParent_Done,
     /*  487469 */   // Label 8189: @487469
     /*  487469 */   GIM_Try, /*On fail goto*//*Label 8190*/ GIMT_Encode4(487555), // Rule ID 62017 //
     /*  487474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  487485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  487488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  487491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487521 */     // MIs[1] Operand 1
     /*  487521 */     // No operand predicates
     /*  487521 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487530 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  487530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487539 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487553 */     GIR_RootConstrainSelectedInstOperands,
     /*  487554 */     // GIR_Coverage, 62017,
     /*  487554 */     GIR_EraseRootFromParent_Done,
     /*  487555 */   // Label 8190: @487555
     /*  487555 */   GIM_Try, /*On fail goto*//*Label 8191*/ GIMT_Encode4(487641), // Rule ID 62020 //
     /*  487560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487607 */     // MIs[1] Operand 1
     /*  487607 */     // No operand predicates
     /*  487607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487616 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  487616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487639 */     GIR_RootConstrainSelectedInstOperands,
     /*  487640 */     // GIR_Coverage, 62020,
     /*  487640 */     GIR_EraseRootFromParent_Done,
     /*  487641 */   // Label 8191: @487641
     /*  487641 */   GIM_Try, /*On fail goto*//*Label 8192*/ GIMT_Encode4(487727), // Rule ID 62021 //
     /*  487646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  487657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  487660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  487663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487693 */     // MIs[1] Operand 1
     /*  487693 */     // No operand predicates
     /*  487693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  487702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2),
     /*  487705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  487722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487725 */     GIR_RootConstrainSelectedInstOperands,
     /*  487726 */     // GIR_Coverage, 62021,
     /*  487726 */     GIR_EraseRootFromParent_Done,
     /*  487727 */   // Label 8192: @487727
     /*  487727 */   GIM_Try, /*On fail goto*//*Label 8193*/ GIMT_Encode4(487813), // Rule ID 62024 //
     /*  487732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  487743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  487746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  487749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487779 */     // MIs[1] Operand 1
     /*  487779 */     // No operand predicates
     /*  487779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487788 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  487788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487811 */     GIR_RootConstrainSelectedInstOperands,
     /*  487812 */     // GIR_Coverage, 62024,
     /*  487812 */     GIR_EraseRootFromParent_Done,
     /*  487813 */   // Label 8193: @487813
     /*  487813 */   GIM_Try, /*On fail goto*//*Label 8194*/ GIMT_Encode4(487899), // Rule ID 62025 //
     /*  487818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  487829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  487832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  487835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  487838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  487841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487865 */     // MIs[1] Operand 1
     /*  487865 */     // No operand predicates
     /*  487865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487874 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  487874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  487894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487897 */     GIR_RootConstrainSelectedInstOperands,
     /*  487898 */     // GIR_Coverage, 62025,
     /*  487898 */     GIR_EraseRootFromParent_Done,
     /*  487899 */   // Label 8194: @487899
     /*  487899 */   GIM_Try, /*On fail goto*//*Label 8195*/ GIMT_Encode4(487985), // Rule ID 62028 //
     /*  487904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  487907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  487915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  487918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  487921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  487924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  487927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  487939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  487943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  487947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  487951 */     // MIs[1] Operand 1
     /*  487951 */     // No operand predicates
     /*  487951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  487953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  487960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  487960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  487963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  487965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  487967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  487969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  487972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  487977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  487980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  487983 */     GIR_RootConstrainSelectedInstOperands,
     /*  487984 */     // GIR_Coverage, 62028,
     /*  487984 */     GIR_EraseRootFromParent_Done,
     /*  487985 */   // Label 8195: @487985
     /*  487985 */   GIM_Try, /*On fail goto*//*Label 8196*/ GIMT_Encode4(488071), // Rule ID 62029 //
     /*  487990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  487993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  487998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  488001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  488004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  488007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488037 */     // MIs[1] Operand 1
     /*  488037 */     // No operand predicates
     /*  488037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488046 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  488046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  488049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  488066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488069 */     GIR_RootConstrainSelectedInstOperands,
     /*  488070 */     // GIR_Coverage, 62029,
     /*  488070 */     GIR_EraseRootFromParent_Done,
     /*  488071 */   // Label 8196: @488071
     /*  488071 */   GIM_Try, /*On fail goto*//*Label 8197*/ GIMT_Encode4(488157), // Rule ID 62032 //
     /*  488076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  488087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  488090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  488093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488123 */     // MIs[1] Operand 1
     /*  488123 */     // No operand predicates
     /*  488123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  488132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  488135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488155 */     GIR_RootConstrainSelectedInstOperands,
     /*  488156 */     // GIR_Coverage, 62032,
     /*  488156 */     GIR_EraseRootFromParent_Done,
     /*  488157 */   // Label 8197: @488157
     /*  488157 */   GIM_Try, /*On fail goto*//*Label 8198*/ GIMT_Encode4(488243), // Rule ID 62033 //
     /*  488162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  488173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  488176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  488179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488205 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488209 */     // MIs[1] Operand 1
     /*  488209 */     // No operand predicates
     /*  488209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  488218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  488221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  488238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488241 */     GIR_RootConstrainSelectedInstOperands,
     /*  488242 */     // GIR_Coverage, 62033,
     /*  488242 */     GIR_EraseRootFromParent_Done,
     /*  488243 */   // Label 8198: @488243
     /*  488243 */   GIM_Try, /*On fail goto*//*Label 8199*/ GIMT_Encode4(488329), // Rule ID 62036 //
     /*  488248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  488259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  488262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  488265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488295 */     // MIs[1] Operand 1
     /*  488295 */     // No operand predicates
     /*  488295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488304 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  488304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  488307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  488324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488327 */     GIR_RootConstrainSelectedInstOperands,
     /*  488328 */     // GIR_Coverage, 62036,
     /*  488328 */     GIR_EraseRootFromParent_Done,
     /*  488329 */   // Label 8199: @488329
     /*  488329 */   GIM_Try, /*On fail goto*//*Label 8200*/ GIMT_Encode4(488415), // Rule ID 62037 //
     /*  488334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  488345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  488348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  488351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  488369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488381 */     // MIs[1] Operand 1
     /*  488381 */     // No operand predicates
     /*  488381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  488390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1),
     /*  488393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  488410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488413 */     GIR_RootConstrainSelectedInstOperands,
     /*  488414 */     // GIR_Coverage, 62037,
     /*  488414 */     GIR_EraseRootFromParent_Done,
     /*  488415 */   // Label 8200: @488415
     /*  488415 */   GIM_Try, /*On fail goto*//*Label 8201*/ GIMT_Encode4(488501), // Rule ID 62040 //
     /*  488420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  488431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  488434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  488437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488467 */     // MIs[1] Operand 1
     /*  488467 */     // No operand predicates
     /*  488467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488499 */     GIR_RootConstrainSelectedInstOperands,
     /*  488500 */     // GIR_Coverage, 62040,
     /*  488500 */     GIR_EraseRootFromParent_Done,
     /*  488501 */   // Label 8201: @488501
     /*  488501 */   GIM_Try, /*On fail goto*//*Label 8202*/ GIMT_Encode4(488587), // Rule ID 62041 //
     /*  488506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  488517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  488520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  488523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488549 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488553 */     // MIs[1] Operand 1
     /*  488553 */     // No operand predicates
     /*  488553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488585 */     GIR_RootConstrainSelectedInstOperands,
     /*  488586 */     // GIR_Coverage, 62041,
     /*  488586 */     GIR_EraseRootFromParent_Done,
     /*  488587 */   // Label 8202: @488587
     /*  488587 */   GIM_Try, /*On fail goto*//*Label 8203*/ GIMT_Encode4(488673), // Rule ID 62044 //
     /*  488592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  488603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  488606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488635 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488639 */     // MIs[1] Operand 1
     /*  488639 */     // No operand predicates
     /*  488639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488648 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488671 */     GIR_RootConstrainSelectedInstOperands,
     /*  488672 */     // GIR_Coverage, 62044,
     /*  488672 */     GIR_EraseRootFromParent_Done,
     /*  488673 */   // Label 8203: @488673
     /*  488673 */   GIM_Try, /*On fail goto*//*Label 8204*/ GIMT_Encode4(488759), // Rule ID 62045 //
     /*  488678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  488689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  488692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  488695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  488713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488725 */     // MIs[1] Operand 1
     /*  488725 */     // No operand predicates
     /*  488725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488734 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  488737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488757 */     GIR_RootConstrainSelectedInstOperands,
     /*  488758 */     // GIR_Coverage, 62045,
     /*  488758 */     GIR_EraseRootFromParent_Done,
     /*  488759 */   // Label 8204: @488759
     /*  488759 */   GIM_Try, /*On fail goto*//*Label 8205*/ GIMT_Encode4(488845), // Rule ID 62048 //
     /*  488764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  488775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  488778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  488781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488811 */     // MIs[1] Operand 1
     /*  488811 */     // No operand predicates
     /*  488811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488820 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  488820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488843 */     GIR_RootConstrainSelectedInstOperands,
     /*  488844 */     // GIR_Coverage, 62048,
     /*  488844 */     GIR_EraseRootFromParent_Done,
     /*  488845 */   // Label 8205: @488845
     /*  488845 */   GIM_Try, /*On fail goto*//*Label 8206*/ GIMT_Encode4(488931), // Rule ID 62049 //
     /*  488850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  488853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  488861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  488864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  488867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  488870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  488873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  488885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488897 */     // MIs[1] Operand 1
     /*  488897 */     // No operand predicates
     /*  488897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488906 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  488906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  488909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  488915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  488918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  488923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  488926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  488929 */     GIR_RootConstrainSelectedInstOperands,
     /*  488930 */     // GIR_Coverage, 62049,
     /*  488930 */     GIR_EraseRootFromParent_Done,
     /*  488931 */   // Label 8206: @488931
     /*  488931 */   GIM_Try, /*On fail goto*//*Label 8207*/ GIMT_Encode4(489017), // Rule ID 62052 //
     /*  488936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  488939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  488944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  488947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  488950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  488953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  488956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  488959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  488971 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  488975 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  488979 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  488983 */     // MIs[1] Operand 1
     /*  488983 */     // No operand predicates
     /*  488983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  488985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  488992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  488992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  488995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  488997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  488999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489015 */     GIR_RootConstrainSelectedInstOperands,
     /*  489016 */     // GIR_Coverage, 62052,
     /*  489016 */     GIR_EraseRootFromParent_Done,
     /*  489017 */   // Label 8207: @489017
     /*  489017 */   GIM_Try, /*On fail goto*//*Label 8208*/ GIMT_Encode4(489103), // Rule ID 62053 //
     /*  489022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  489033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  489036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  489039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489069 */     // MIs[1] Operand 1
     /*  489069 */     // No operand predicates
     /*  489069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489078 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489101 */     GIR_RootConstrainSelectedInstOperands,
     /*  489102 */     // GIR_Coverage, 62053,
     /*  489102 */     GIR_EraseRootFromParent_Done,
     /*  489103 */   // Label 8208: @489103
     /*  489103 */   GIM_Try, /*On fail goto*//*Label 8209*/ GIMT_Encode4(489189), // Rule ID 62056 //
     /*  489108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  489119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  489122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489155 */     // MIs[1] Operand 1
     /*  489155 */     // No operand predicates
     /*  489155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489164 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489187 */     GIR_RootConstrainSelectedInstOperands,
     /*  489188 */     // GIR_Coverage, 62056,
     /*  489188 */     GIR_EraseRootFromParent_Done,
     /*  489189 */   // Label 8209: @489189
     /*  489189 */   GIM_Try, /*On fail goto*//*Label 8210*/ GIMT_Encode4(489275), // Rule ID 62057 //
     /*  489194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  489205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  489208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  489211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489241 */     // MIs[1] Operand 1
     /*  489241 */     // No operand predicates
     /*  489241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489273 */     GIR_RootConstrainSelectedInstOperands,
     /*  489274 */     // GIR_Coverage, 62057,
     /*  489274 */     GIR_EraseRootFromParent_Done,
     /*  489275 */   // Label 8210: @489275
     /*  489275 */   GIM_Try, /*On fail goto*//*Label 8211*/ GIMT_Encode4(489361), // Rule ID 62060 //
     /*  489280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  489291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  489294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  489297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489323 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489327 */     // MIs[1] Operand 1
     /*  489327 */     // No operand predicates
     /*  489327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  489336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489359 */     GIR_RootConstrainSelectedInstOperands,
     /*  489360 */     // GIR_Coverage, 62060,
     /*  489360 */     GIR_EraseRootFromParent_Done,
     /*  489361 */   // Label 8211: @489361
     /*  489361 */   GIM_Try, /*On fail goto*//*Label 8212*/ GIMT_Encode4(489447), // Rule ID 62061 //
     /*  489366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  489377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  489380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  489383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489413 */     // MIs[1] Operand 1
     /*  489413 */     // No operand predicates
     /*  489413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  489422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  489442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489445 */     GIR_RootConstrainSelectedInstOperands,
     /*  489446 */     // GIR_Coverage, 62061,
     /*  489446 */     GIR_EraseRootFromParent_Done,
     /*  489447 */   // Label 8212: @489447
     /*  489447 */   GIM_Try, /*On fail goto*//*Label 8213*/ GIMT_Encode4(489533), // Rule ID 62064 //
     /*  489452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489499 */     // MIs[1] Operand 1
     /*  489499 */     // No operand predicates
     /*  489499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489508 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489531 */     GIR_RootConstrainSelectedInstOperands,
     /*  489532 */     // GIR_Coverage, 62064,
     /*  489532 */     GIR_EraseRootFromParent_Done,
     /*  489533 */   // Label 8213: @489533
     /*  489533 */   GIM_Try, /*On fail goto*//*Label 8214*/ GIMT_Encode4(489619), // Rule ID 62065 //
     /*  489538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  489549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  489552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  489555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489585 */     // MIs[1] Operand 1
     /*  489585 */     // No operand predicates
     /*  489585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  489597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489617 */     GIR_RootConstrainSelectedInstOperands,
     /*  489618 */     // GIR_Coverage, 62065,
     /*  489618 */     GIR_EraseRootFromParent_Done,
     /*  489619 */   // Label 8214: @489619
     /*  489619 */   GIM_Try, /*On fail goto*//*Label 8215*/ GIMT_Encode4(489705), // Rule ID 62068 //
     /*  489624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489659 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489663 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489667 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489671 */     // MIs[1] Operand 1
     /*  489671 */     // No operand predicates
     /*  489671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489680 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489703 */     GIR_RootConstrainSelectedInstOperands,
     /*  489704 */     // GIR_Coverage, 62068,
     /*  489704 */     GIR_EraseRootFromParent_Done,
     /*  489705 */   // Label 8215: @489705
     /*  489705 */   GIM_Try, /*On fail goto*//*Label 8216*/ GIMT_Encode4(489791), // Rule ID 62069 //
     /*  489710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  489721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  489724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  489727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  489745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489757 */     // MIs[1] Operand 1
     /*  489757 */     // No operand predicates
     /*  489757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489766 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  489769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489789 */     GIR_RootConstrainSelectedInstOperands,
     /*  489790 */     // GIR_Coverage, 62069,
     /*  489790 */     GIR_EraseRootFromParent_Done,
     /*  489791 */   // Label 8216: @489791
     /*  489791 */   GIM_Try, /*On fail goto*//*Label 8217*/ GIMT_Encode4(489877), // Rule ID 62072 //
     /*  489796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489843 */     // MIs[1] Operand 1
     /*  489843 */     // No operand predicates
     /*  489843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489852 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  489852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489875 */     GIR_RootConstrainSelectedInstOperands,
     /*  489876 */     // GIR_Coverage, 62072,
     /*  489876 */     GIR_EraseRootFromParent_Done,
     /*  489877 */   // Label 8217: @489877
     /*  489877 */   GIM_Try, /*On fail goto*//*Label 8218*/ GIMT_Encode4(489963), // Rule ID 62073 //
     /*  489882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  489885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  489893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  489896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  489899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  489902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  489905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  489917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  489921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  489925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  489929 */     // MIs[1] Operand 1
     /*  489929 */     // No operand predicates
     /*  489929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  489931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  489938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  489938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  489941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  489943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  489945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  489947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  489950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  489955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  489958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  489961 */     GIR_RootConstrainSelectedInstOperands,
     /*  489962 */     // GIR_Coverage, 62073,
     /*  489962 */     GIR_EraseRootFromParent_Done,
     /*  489963 */   // Label 8218: @489963
     /*  489963 */   GIM_Try, /*On fail goto*//*Label 8219*/ GIMT_Encode4(490049), // Rule ID 62076 //
     /*  489968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  489971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  489976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  489979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  489982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  489985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  489988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  489991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  489999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  490007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  490011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  490015 */     // MIs[1] Operand 1
     /*  490015 */     // No operand predicates
     /*  490015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  490024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  490027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  490036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  490044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490047 */     GIR_RootConstrainSelectedInstOperands,
     /*  490048 */     // GIR_Coverage, 62076,
     /*  490048 */     GIR_EraseRootFromParent_Done,
     /*  490049 */   // Label 8219: @490049
     /*  490049 */   GIM_Try, /*On fail goto*//*Label 8220*/ GIMT_Encode4(490135), // Rule ID 62077 //
     /*  490054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  490057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  490062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  490065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  490068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  490071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  490093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  490097 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  490101 */     // MIs[1] Operand 1
     /*  490101 */     // No operand predicates
     /*  490101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490110 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  490110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2),
     /*  490113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  490122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  490130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490133 */     GIR_RootConstrainSelectedInstOperands,
     /*  490134 */     // GIR_Coverage, 62077,
     /*  490134 */     GIR_EraseRootFromParent_Done,
     /*  490135 */   // Label 8220: @490135
     /*  490135 */   GIM_Try, /*On fail goto*//*Label 8221*/ GIMT_Encode4(490221), // Rule ID 62080 //
     /*  490140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  490143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  490148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  490179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  490183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  490187 */     // MIs[1] Operand 1
     /*  490187 */     // No operand predicates
     /*  490187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  490196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  490199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  490208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  490216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490219 */     GIR_RootConstrainSelectedInstOperands,
     /*  490220 */     // GIR_Coverage, 62080,
     /*  490220 */     GIR_EraseRootFromParent_Done,
     /*  490221 */   // Label 8221: @490221
     /*  490221 */   GIM_Try, /*On fail goto*//*Label 8222*/ GIMT_Encode4(490307), // Rule ID 62081 //
     /*  490226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  490229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  490234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  490237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  490240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  490243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  490261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  490265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  490269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  490273 */     // MIs[1] Operand 1
     /*  490273 */     // No operand predicates
     /*  490273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  490282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4),
     /*  490285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  490294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  490302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490305 */     GIR_RootConstrainSelectedInstOperands,
     /*  490306 */     // GIR_Coverage, 62081,
     /*  490306 */     GIR_EraseRootFromParent_Done,
     /*  490307 */   // Label 8222: @490307
     /*  490307 */   GIM_Try, /*On fail goto*//*Label 8223*/ GIMT_Encode4(490393), // Rule ID 62084 //
     /*  490312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  490315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  490320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  490332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  490351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  490355 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  490359 */     // MIs[1] Operand 1
     /*  490359 */     // No operand predicates
     /*  490359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  490368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  490371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  490380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  490388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490391 */     GIR_RootConstrainSelectedInstOperands,
     /*  490392 */     // GIR_Coverage, 62084,
     /*  490392 */     GIR_EraseRootFromParent_Done,
     /*  490393 */   // Label 8223: @490393
     /*  490393 */   GIM_Try, /*On fail goto*//*Label 8224*/ GIMT_Encode4(490479), // Rule ID 62085 //
     /*  490398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  490401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  490406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  490409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  490412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  490415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  490418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  490433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  490437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  490441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /*  490445 */     // MIs[1] Operand 1
     /*  490445 */     // No operand predicates
     /*  490445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490454 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  490454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8),
     /*  490457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  490461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  490466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  490474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  490477 */     GIR_RootConstrainSelectedInstOperands,
     /*  490478 */     // GIR_Coverage, 62085,
     /*  490478 */     GIR_EraseRootFromParent_Done,
     /*  490479 */   // Label 8224: @490479
     /*  490479 */   GIM_Try, /*On fail goto*//*Label 8225*/ GIMT_Encode4(490558), // Rule ID 2750 //
     /*  490484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490511 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490515 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  490539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490556 */     GIR_RootConstrainSelectedInstOperands,
     /*  490557 */     // GIR_Coverage, 2750,
     /*  490557 */     GIR_EraseRootFromParent_Done,
     /*  490558 */   // Label 8225: @490558
     /*  490558 */   GIM_Try, /*On fail goto*//*Label 8226*/ GIMT_Encode4(490637), // Rule ID 2751 //
     /*  490563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  490574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  490577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  490580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  490583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490606 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  490618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490635 */     GIR_RootConstrainSelectedInstOperands,
     /*  490636 */     // GIR_Coverage, 2751,
     /*  490636 */     GIR_EraseRootFromParent_Done,
     /*  490637 */   // Label 8226: @490637
     /*  490637 */   GIM_Try, /*On fail goto*//*Label 8227*/ GIMT_Encode4(490716), // Rule ID 4066 //
     /*  490642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490685 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  490697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490714 */     GIR_RootConstrainSelectedInstOperands,
     /*  490715 */     // GIR_Coverage, 4066,
     /*  490715 */     GIR_EraseRootFromParent_Done,
     /*  490716 */   // Label 8227: @490716
     /*  490716 */   GIM_Try, /*On fail goto*//*Label 8228*/ GIMT_Encode4(490795), // Rule ID 4067 //
     /*  490721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  490732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  490735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  490738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  490741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490773 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  490776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490793 */     GIR_RootConstrainSelectedInstOperands,
     /*  490794 */     // GIR_Coverage, 4067,
     /*  490794 */     GIR_EraseRootFromParent_Done,
     /*  490795 */   // Label 8228: @490795
     /*  490795 */   GIM_Try, /*On fail goto*//*Label 8229*/ GIMT_Encode4(490874), // Rule ID 4076 //
     /*  490800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490852 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  490852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  490855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490872 */     GIR_RootConstrainSelectedInstOperands,
     /*  490873 */     // GIR_Coverage, 4076,
     /*  490873 */     GIR_EraseRootFromParent_Done,
     /*  490874 */   // Label 8229: @490874
     /*  490874 */   GIM_Try, /*On fail goto*//*Label 8230*/ GIMT_Encode4(490953), // Rule ID 4077 //
     /*  490879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  490882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  490890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  490893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  490896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  490899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  490902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490906 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490910 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  490922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  490924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  490931 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  490931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  490934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  490936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  490938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  490940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  490945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  490948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  490951 */     GIR_RootConstrainSelectedInstOperands,
     /*  490952 */     // GIR_Coverage, 4077,
     /*  490952 */     GIR_EraseRootFromParent_Done,
     /*  490953 */   // Label 8230: @490953
     /*  490953 */   GIM_Try, /*On fail goto*//*Label 8231*/ GIMT_Encode4(491032), // Rule ID 4086 //
     /*  490958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  490961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  490966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  490969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  490972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  490975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  490978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  490981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  490989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  490993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  490997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491010 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491030 */     GIR_RootConstrainSelectedInstOperands,
     /*  491031 */     // GIR_Coverage, 4086,
     /*  491031 */     GIR_EraseRootFromParent_Done,
     /*  491032 */   // Label 8231: @491032
     /*  491032 */   GIM_Try, /*On fail goto*//*Label 8232*/ GIMT_Encode4(491111), // Rule ID 4087 //
     /*  491037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  491048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  491051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  491054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  491057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491089 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491109 */     GIR_RootConstrainSelectedInstOperands,
     /*  491110 */     // GIR_Coverage, 4087,
     /*  491110 */     GIR_EraseRootFromParent_Done,
     /*  491111 */   // Label 8232: @491111
     /*  491111 */   GIM_Try, /*On fail goto*//*Label 8233*/ GIMT_Encode4(491190), // Rule ID 4096 //
     /*  491116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491168 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491188 */     GIR_RootConstrainSelectedInstOperands,
     /*  491189 */     // GIR_Coverage, 4096,
     /*  491189 */     GIR_EraseRootFromParent_Done,
     /*  491190 */   // Label 8233: @491190
     /*  491190 */   GIM_Try, /*On fail goto*//*Label 8234*/ GIMT_Encode4(491269), // Rule ID 4097 //
     /*  491195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  491206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  491209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  491212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  491215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491267 */     GIR_RootConstrainSelectedInstOperands,
     /*  491268 */     // GIR_Coverage, 4097,
     /*  491268 */     GIR_EraseRootFromParent_Done,
     /*  491269 */   // Label 8234: @491269
     /*  491269 */   GIM_Try, /*On fail goto*//*Label 8235*/ GIMT_Encode4(491348), // Rule ID 4106 //
     /*  491274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491301 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491305 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491326 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  491326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  491329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491346 */     GIR_RootConstrainSelectedInstOperands,
     /*  491347 */     // GIR_Coverage, 4106,
     /*  491347 */     GIR_EraseRootFromParent_Done,
     /*  491348 */   // Label 8235: @491348
     /*  491348 */   GIM_Try, /*On fail goto*//*Label 8236*/ GIMT_Encode4(491427), // Rule ID 4107 //
     /*  491353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  491364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  491367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  491370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  491373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  491392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491405 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  491405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  491408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  491422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491425 */     GIR_RootConstrainSelectedInstOperands,
     /*  491426 */     // GIR_Coverage, 4107,
     /*  491426 */     GIR_EraseRootFromParent_Done,
     /*  491427 */   // Label 8236: @491427
     /*  491427 */   GIM_Try, /*On fail goto*//*Label 8237*/ GIMT_Encode4(491506), // Rule ID 4116 //
     /*  491432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491475 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  491487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491504 */     GIR_RootConstrainSelectedInstOperands,
     /*  491505 */     // GIR_Coverage, 4116,
     /*  491505 */     GIR_EraseRootFromParent_Done,
     /*  491506 */   // Label 8237: @491506
     /*  491506 */   GIM_Try, /*On fail goto*//*Label 8238*/ GIMT_Encode4(491585), // Rule ID 4117 //
     /*  491511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  491522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  491525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  491528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  491531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491563 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  491566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491583 */     GIR_RootConstrainSelectedInstOperands,
     /*  491584 */     // GIR_Coverage, 4117,
     /*  491584 */     GIR_EraseRootFromParent_Done,
     /*  491585 */   // Label 8238: @491585
     /*  491585 */   GIM_Try, /*On fail goto*//*Label 8239*/ GIMT_Encode4(491664), // Rule ID 4126 //
     /*  491590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491662 */     GIR_RootConstrainSelectedInstOperands,
     /*  491663 */     // GIR_Coverage, 4126,
     /*  491663 */     GIR_EraseRootFromParent_Done,
     /*  491664 */   // Label 8239: @491664
     /*  491664 */   GIM_Try, /*On fail goto*//*Label 8240*/ GIMT_Encode4(491743), // Rule ID 4127 //
     /*  491669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  491680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  491683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  491686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  491689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491721 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  491724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491741 */     GIR_RootConstrainSelectedInstOperands,
     /*  491742 */     // GIR_Coverage, 4127,
     /*  491742 */     GIR_EraseRootFromParent_Done,
     /*  491743 */   // Label 8240: @491743
     /*  491743 */   GIM_Try, /*On fail goto*//*Label 8241*/ GIMT_Encode4(491822), // Rule ID 4136 //
     /*  491748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491820 */     GIR_RootConstrainSelectedInstOperands,
     /*  491821 */     // GIR_Coverage, 4136,
     /*  491821 */     GIR_EraseRootFromParent_Done,
     /*  491822 */   // Label 8241: @491822
     /*  491822 */   GIM_Try, /*On fail goto*//*Label 8242*/ GIMT_Encode4(491901), // Rule ID 4137 //
     /*  491827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  491838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  491841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  491844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  491847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  491850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  491870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491879 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  491879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  491882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491899 */     GIR_RootConstrainSelectedInstOperands,
     /*  491900 */     // GIR_Coverage, 4137,
     /*  491900 */     GIR_EraseRootFromParent_Done,
     /*  491901 */   // Label 8242: @491901
     /*  491901 */   GIM_Try, /*On fail goto*//*Label 8243*/ GIMT_Encode4(491980), // Rule ID 4146 //
     /*  491906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  491909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  491923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  491926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  491929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  491937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  491941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  491945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  491949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  491951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  491958 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  491958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  491961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  491963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  491965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  491967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  491972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  491975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  491978 */     GIR_RootConstrainSelectedInstOperands,
     /*  491979 */     // GIR_Coverage, 4146,
     /*  491979 */     GIR_EraseRootFromParent_Done,
     /*  491980 */   // Label 8243: @491980
     /*  491980 */   GIM_Try, /*On fail goto*//*Label 8244*/ GIMT_Encode4(492059), // Rule ID 4147 //
     /*  491985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  491988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  491993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  491996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  491999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  492002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  492005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492037 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  492040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492057 */     GIR_RootConstrainSelectedInstOperands,
     /*  492058 */     // GIR_Coverage, 4147,
     /*  492058 */     GIR_EraseRootFromParent_Done,
     /*  492059 */   // Label 8244: @492059
     /*  492059 */   GIM_Try, /*On fail goto*//*Label 8245*/ GIMT_Encode4(492138), // Rule ID 4156 //
     /*  492064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  492084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492091 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492095 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  492116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  492119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492136 */     GIR_RootConstrainSelectedInstOperands,
     /*  492137 */     // GIR_Coverage, 4156,
     /*  492137 */     GIR_EraseRootFromParent_Done,
     /*  492138 */   // Label 8245: @492138
     /*  492138 */   GIM_Try, /*On fail goto*//*Label 8246*/ GIMT_Encode4(492217), // Rule ID 4157 //
     /*  492143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  492154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  492157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  492160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  492163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492186 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492195 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  492195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  492198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  492212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492215 */     GIR_RootConstrainSelectedInstOperands,
     /*  492216 */     // GIR_Coverage, 4157,
     /*  492216 */     GIR_EraseRootFromParent_Done,
     /*  492217 */   // Label 8246: @492217
     /*  492217 */   GIM_Try, /*On fail goto*//*Label 8247*/ GIMT_Encode4(492296), // Rule ID 4166 //
     /*  492222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492274 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  492277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492294 */     GIR_RootConstrainSelectedInstOperands,
     /*  492295 */     // GIR_Coverage, 4166,
     /*  492295 */     GIR_EraseRootFromParent_Done,
     /*  492296 */   // Label 8247: @492296
     /*  492296 */   GIM_Try, /*On fail goto*//*Label 8248*/ GIMT_Encode4(492375), // Rule ID 4167 //
     /*  492301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  492312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  492315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  492318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  492321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  492356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492373 */     GIR_RootConstrainSelectedInstOperands,
     /*  492374 */     // GIR_Coverage, 4167,
     /*  492374 */     GIR_EraseRootFromParent_Done,
     /*  492375 */   // Label 8248: @492375
     /*  492375 */   GIM_Try, /*On fail goto*//*Label 8249*/ GIMT_Encode4(492454), // Rule ID 4176 //
     /*  492380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  492391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  492394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  492397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  492400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  492435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492452 */     GIR_RootConstrainSelectedInstOperands,
     /*  492453 */     // GIR_Coverage, 4176,
     /*  492453 */     GIR_EraseRootFromParent_Done,
     /*  492454 */   // Label 8249: @492454
     /*  492454 */   GIM_Try, /*On fail goto*//*Label 8250*/ GIMT_Encode4(492533), // Rule ID 4177 //
     /*  492459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  492470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  492473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  492476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  492479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492511 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  492514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492531 */     GIR_RootConstrainSelectedInstOperands,
     /*  492532 */     // GIR_Coverage, 4177,
     /*  492532 */     GIR_EraseRootFromParent_Done,
     /*  492533 */   // Label 8250: @492533
     /*  492533 */   GIM_Try, /*On fail goto*//*Label 8251*/ GIMT_Encode4(492612), // Rule ID 4186 //
     /*  492538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492581 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492590 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  492593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492610 */     GIR_RootConstrainSelectedInstOperands,
     /*  492611 */     // GIR_Coverage, 4186,
     /*  492611 */     GIR_EraseRootFromParent_Done,
     /*  492612 */   // Label 8251: @492612
     /*  492612 */   GIM_Try, /*On fail goto*//*Label 8252*/ GIMT_Encode4(492691), // Rule ID 4187 //
     /*  492617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  492628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  492631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  492634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  492637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  492660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  492672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492689 */     GIR_RootConstrainSelectedInstOperands,
     /*  492690 */     // GIR_Coverage, 4187,
     /*  492690 */     GIR_EraseRootFromParent_Done,
     /*  492691 */   // Label 8252: @492691
     /*  492691 */   GIM_Try, /*On fail goto*//*Label 8253*/ GIMT_Encode4(492770), // Rule ID 4196 //
     /*  492696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  492699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492748 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  492748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  492751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492768 */     GIR_RootConstrainSelectedInstOperands,
     /*  492769 */     // GIR_Coverage, 4196,
     /*  492769 */     GIR_EraseRootFromParent_Done,
     /*  492770 */   // Label 8253: @492770
     /*  492770 */   GIM_Try, /*On fail goto*//*Label 8254*/ GIMT_Encode4(492849), // Rule ID 4197 //
     /*  492775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  492778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  492783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  492786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  492789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  492792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  492795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  492814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  492818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492827 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11645:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  492827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  492830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  492844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492847 */     GIR_RootConstrainSelectedInstOperands,
     /*  492848 */     // GIR_Coverage, 4197,
     /*  492848 */     GIR_EraseRootFromParent_Done,
     /*  492849 */   // Label 8254: @492849
     /*  492849 */   GIM_Try, /*On fail goto*//*Label 8255*/ GIMT_Encode4(492928), // Rule ID 4266 //
     /*  492854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  492857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  492877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492881 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492885 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492906 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  492906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  492909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  492923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  492926 */     GIR_RootConstrainSelectedInstOperands,
     /*  492927 */     // GIR_Coverage, 4266,
     /*  492927 */     GIR_EraseRootFromParent_Done,
     /*  492928 */   // Label 8255: @492928
     /*  492928 */   GIM_Try, /*On fail goto*//*Label 8256*/ GIMT_Encode4(493007), // Rule ID 4267 //
     /*  492933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  492936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  492941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  492944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  492947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  492950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  492953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  492956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  492964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  492968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  492976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  492978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  492985 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  492985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  492988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  492990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  492992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  492994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  492999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493005 */     GIR_RootConstrainSelectedInstOperands,
     /*  493006 */     // GIR_Coverage, 4267,
     /*  493006 */     GIR_EraseRootFromParent_Done,
     /*  493007 */   // Label 8256: @493007
     /*  493007 */   GIM_Try, /*On fail goto*//*Label 8257*/ GIMT_Encode4(493086), // Rule ID 4276 //
     /*  493012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  493023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  493026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  493029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  493032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493064 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  493067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493084 */     GIR_RootConstrainSelectedInstOperands,
     /*  493085 */     // GIR_Coverage, 4276,
     /*  493085 */     GIR_EraseRootFromParent_Done,
     /*  493086 */   // Label 8257: @493086
     /*  493086 */   GIM_Try, /*On fail goto*//*Label 8258*/ GIMT_Encode4(493165), // Rule ID 4277 //
     /*  493091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  493102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  493105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  493108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  493111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493143 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  493146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493163 */     GIR_RootConstrainSelectedInstOperands,
     /*  493164 */     // GIR_Coverage, 4277,
     /*  493164 */     GIR_EraseRootFromParent_Done,
     /*  493165 */   // Label 8258: @493165
     /*  493165 */   GIM_Try, /*On fail goto*//*Label 8259*/ GIMT_Encode4(493244), // Rule ID 4286 //
     /*  493170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  493181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  493184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  493187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  493190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493197 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493201 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  493225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493242 */     GIR_RootConstrainSelectedInstOperands,
     /*  493243 */     // GIR_Coverage, 4286,
     /*  493243 */     GIR_EraseRootFromParent_Done,
     /*  493244 */   // Label 8259: @493244
     /*  493244 */   GIM_Try, /*On fail goto*//*Label 8260*/ GIMT_Encode4(493323), // Rule ID 4287 //
     /*  493249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  493260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  493263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  493266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  493269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493276 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493280 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493292 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493301 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  493304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493321 */     GIR_RootConstrainSelectedInstOperands,
     /*  493322 */     // GIR_Coverage, 4287,
     /*  493322 */     GIR_EraseRootFromParent_Done,
     /*  493323 */   // Label 8260: @493323
     /*  493323 */   GIM_Try, /*On fail goto*//*Label 8261*/ GIMT_Encode4(493402), // Rule ID 4296 //
     /*  493328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  493339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  493342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  493345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  493348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493371 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493380 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  493383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493400 */     GIR_RootConstrainSelectedInstOperands,
     /*  493401 */     // GIR_Coverage, 4296,
     /*  493401 */     GIR_EraseRootFromParent_Done,
     /*  493402 */   // Label 8261: @493402
     /*  493402 */   GIM_Try, /*On fail goto*//*Label 8262*/ GIMT_Encode4(493481), // Rule ID 4297 //
     /*  493407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  493418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  493421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  493424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  493427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493459 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  493462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493479 */     GIR_RootConstrainSelectedInstOperands,
     /*  493480 */     // GIR_Coverage, 4297,
     /*  493480 */     GIR_EraseRootFromParent_Done,
     /*  493481 */   // Label 8262: @493481
     /*  493481 */   GIM_Try, /*On fail goto*//*Label 8263*/ GIMT_Encode4(493560), // Rule ID 4306 //
     /*  493486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493538 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  493541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493558 */     GIR_RootConstrainSelectedInstOperands,
     /*  493559 */     // GIR_Coverage, 4306,
     /*  493559 */     GIR_EraseRootFromParent_Done,
     /*  493560 */   // Label 8263: @493560
     /*  493560 */   GIM_Try, /*On fail goto*//*Label 8264*/ GIMT_Encode4(493639), // Rule ID 4307 //
     /*  493565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  493576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  493579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  493582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  493585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  493608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  493620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493637 */     GIR_RootConstrainSelectedInstOperands,
     /*  493638 */     // GIR_Coverage, 4307,
     /*  493638 */     GIR_EraseRootFromParent_Done,
     /*  493639 */   // Label 8264: @493639
     /*  493639 */   GIM_Try, /*On fail goto*//*Label 8265*/ GIMT_Encode4(493718), // Rule ID 4316 //
     /*  493644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493696 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  493696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  493699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493716 */     GIR_RootConstrainSelectedInstOperands,
     /*  493717 */     // GIR_Coverage, 4316,
     /*  493717 */     GIR_EraseRootFromParent_Done,
     /*  493718 */   // Label 8265: @493718
     /*  493718 */   GIM_Try, /*On fail goto*//*Label 8266*/ GIMT_Encode4(493797), // Rule ID 4317 //
     /*  493723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  493734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  493737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  493740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  493743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  493762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  493766 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493775 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  493775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  493778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  493792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493795 */     GIR_RootConstrainSelectedInstOperands,
     /*  493796 */     // GIR_Coverage, 4317,
     /*  493796 */     GIR_EraseRootFromParent_Done,
     /*  493797 */   // Label 8266: @493797
     /*  493797 */   GIM_Try, /*On fail goto*//*Label 8267*/ GIMT_Encode4(493876), // Rule ID 4326 //
     /*  493802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493854 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  493854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  493857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493874 */     GIR_RootConstrainSelectedInstOperands,
     /*  493875 */     // GIR_Coverage, 4326,
     /*  493875 */     GIR_EraseRootFromParent_Done,
     /*  493876 */   // Label 8267: @493876
     /*  493876 */   GIM_Try, /*On fail goto*//*Label 8268*/ GIMT_Encode4(493955), // Rule ID 4327 //
     /*  493881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  493884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  493892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  493895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  493898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  493901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  493904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  493926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  493933 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  493933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  493936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  493938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  493940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  493942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  493947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  493950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  493953 */     GIR_RootConstrainSelectedInstOperands,
     /*  493954 */     // GIR_Coverage, 4327,
     /*  493954 */     GIR_EraseRootFromParent_Done,
     /*  493955 */   // Label 8268: @493955
     /*  493955 */   GIM_Try, /*On fail goto*//*Label 8269*/ GIMT_Encode4(494034), // Rule ID 4336 //
     /*  493960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  493963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  493968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  493971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  493974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  493977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  493980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  493983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  493991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  493995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  493999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  494015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494032 */     GIR_RootConstrainSelectedInstOperands,
     /*  494033 */     // GIR_Coverage, 4336,
     /*  494033 */     GIR_EraseRootFromParent_Done,
     /*  494034 */   // Label 8269: @494034
     /*  494034 */   GIM_Try, /*On fail goto*//*Label 8270*/ GIMT_Encode4(494113), // Rule ID 4337 //
     /*  494039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  494050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  494053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  494056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  494059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494091 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  494094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494111 */     GIR_RootConstrainSelectedInstOperands,
     /*  494112 */     // GIR_Coverage, 4337,
     /*  494112 */     GIR_EraseRootFromParent_Done,
     /*  494113 */   // Label 8270: @494113
     /*  494113 */   GIM_Try, /*On fail goto*//*Label 8271*/ GIMT_Encode4(494192), // Rule ID 4346 //
     /*  494118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  494129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  494132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  494138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  494173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494190 */     GIR_RootConstrainSelectedInstOperands,
     /*  494191 */     // GIR_Coverage, 4346,
     /*  494191 */     GIR_EraseRootFromParent_Done,
     /*  494192 */   // Label 8271: @494192
     /*  494192 */   GIM_Try, /*On fail goto*//*Label 8272*/ GIMT_Encode4(494271), // Rule ID 4347 //
     /*  494197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  494208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  494211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  494214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  494217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494249 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  494252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494269 */     GIR_RootConstrainSelectedInstOperands,
     /*  494270 */     // GIR_Coverage, 4347,
     /*  494270 */     GIR_EraseRootFromParent_Done,
     /*  494271 */   // Label 8272: @494271
     /*  494271 */   GIM_Try, /*On fail goto*//*Label 8273*/ GIMT_Encode4(494350), // Rule ID 4356 //
     /*  494276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  494296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  494331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494348 */     GIR_RootConstrainSelectedInstOperands,
     /*  494349 */     // GIR_Coverage, 4356,
     /*  494349 */     GIR_EraseRootFromParent_Done,
     /*  494350 */   // Label 8273: @494350
     /*  494350 */   GIM_Try, /*On fail goto*//*Label 8274*/ GIMT_Encode4(494429), // Rule ID 4357 //
     /*  494355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  494366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  494369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  494372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  494375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494382 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494386 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494407 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  494410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494427 */     GIR_RootConstrainSelectedInstOperands,
     /*  494428 */     // GIR_Coverage, 4357,
     /*  494428 */     GIR_EraseRootFromParent_Done,
     /*  494429 */   // Label 8274: @494429
     /*  494429 */   GIM_Try, /*On fail goto*//*Label 8275*/ GIMT_Encode4(494508), // Rule ID 4366 //
     /*  494434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  494437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  494451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  494454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494477 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  494486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  494489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494506 */     GIR_RootConstrainSelectedInstOperands,
     /*  494507 */     // GIR_Coverage, 4366,
     /*  494507 */     GIR_EraseRootFromParent_Done,
     /*  494508 */   // Label 8275: @494508
     /*  494508 */   GIM_Try, /*On fail goto*//*Label 8276*/ GIMT_Encode4(494587), // Rule ID 4367 //
     /*  494513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  494516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  494524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  494527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  494530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  494533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  494552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494556 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494565 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  494565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  494568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  494582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494585 */     GIR_RootConstrainSelectedInstOperands,
     /*  494586 */     // GIR_Coverage, 4367,
     /*  494586 */     GIR_EraseRootFromParent_Done,
     /*  494587 */   // Label 8276: @494587
     /*  494587 */   GIM_Try, /*On fail goto*//*Label 8277*/ GIMT_Encode4(494666), // Rule ID 4376 //
     /*  494592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  494647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494664 */     GIR_RootConstrainSelectedInstOperands,
     /*  494665 */     // GIR_Coverage, 4376,
     /*  494665 */     GIR_EraseRootFromParent_Done,
     /*  494666 */   // Label 8277: @494666
     /*  494666 */   GIM_Try, /*On fail goto*//*Label 8278*/ GIMT_Encode4(494745), // Rule ID 4377 //
     /*  494671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  494682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  494685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  494688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  494691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494723 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  494726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494743 */     GIR_RootConstrainSelectedInstOperands,
     /*  494744 */     // GIR_Coverage, 4377,
     /*  494744 */     GIR_EraseRootFromParent_Done,
     /*  494745 */   // Label 8278: @494745
     /*  494745 */   GIM_Try, /*On fail goto*//*Label 8279*/ GIMT_Encode4(494824), // Rule ID 4386 //
     /*  494750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494777 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494781 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  494805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494822 */     GIR_RootConstrainSelectedInstOperands,
     /*  494823 */     // GIR_Coverage, 4386,
     /*  494823 */     GIR_EraseRootFromParent_Done,
     /*  494824 */   // Label 8279: @494824
     /*  494824 */   GIM_Try, /*On fail goto*//*Label 8280*/ GIMT_Encode4(494903), // Rule ID 4387 //
     /*  494829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  494840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  494843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  494846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  494849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  494852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  494872 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494881 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  494881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  494884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494901 */     GIR_RootConstrainSelectedInstOperands,
     /*  494902 */     // GIR_Coverage, 4387,
     /*  494902 */     GIR_EraseRootFromParent_Done,
     /*  494903 */   // Label 8280: @494903
     /*  494903 */   GIM_Try, /*On fail goto*//*Label 8281*/ GIMT_Encode4(494982), // Rule ID 4396 //
     /*  494908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  494911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  494922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  494925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  494928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  494931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  494939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  494943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  494947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  494951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  494953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  494960 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  494960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  494963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  494965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  494967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  494969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  494974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  494977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  494980 */     GIR_RootConstrainSelectedInstOperands,
     /*  494981 */     // GIR_Coverage, 4396,
     /*  494981 */     GIR_EraseRootFromParent_Done,
     /*  494982 */   // Label 8281: @494982
     /*  494982 */   GIM_Try, /*On fail goto*//*Label 8282*/ GIMT_Encode4(495061), // Rule ID 4397 //
     /*  494987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  494990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  494995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  494998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  495001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  495004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  495007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495039 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  495039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  495042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495059 */     GIR_RootConstrainSelectedInstOperands,
     /*  495060 */     // GIR_Coverage, 4397,
     /*  495060 */     GIR_EraseRootFromParent_Done,
     /*  495061 */   // Label 8282: @495061
     /*  495061 */   GIM_Try, /*On fail goto*//*Label 8283*/ GIMT_Encode4(495140), // Rule ID 4406 //
     /*  495066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  495069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  495077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  495080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  495083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  495086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  495118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  495121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495138 */     GIR_RootConstrainSelectedInstOperands,
     /*  495139 */     // GIR_Coverage, 4406,
     /*  495139 */     GIR_EraseRootFromParent_Done,
     /*  495140 */   // Label 8283: @495140
     /*  495140 */   GIM_Try, /*On fail goto*//*Label 8284*/ GIMT_Encode4(495219), // Rule ID 4407 //
     /*  495145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  495148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  495153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  495156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  495159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  495162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  495165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  495184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495188 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  495197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  495200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  495214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495217 */     GIR_RootConstrainSelectedInstOperands,
     /*  495218 */     // GIR_Coverage, 4407,
     /*  495218 */     GIR_EraseRootFromParent_Done,
     /*  495219 */   // Label 8284: @495219
     /*  495219 */   GIM_Try, /*On fail goto*//*Label 8285*/ GIMT_Encode4(495298), // Rule ID 4476 //
     /*  495224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  495241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  495244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495276 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  495279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495296 */     GIR_RootConstrainSelectedInstOperands,
     /*  495297 */     // GIR_Coverage, 4476,
     /*  495297 */     GIR_EraseRootFromParent_Done,
     /*  495298 */   // Label 8285: @495298
     /*  495298 */   GIM_Try, /*On fail goto*//*Label 8286*/ GIMT_Encode4(495377), // Rule ID 4477 //
     /*  495303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  495314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  495317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  495320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  495323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495355 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  495358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495375 */     GIR_RootConstrainSelectedInstOperands,
     /*  495376 */     // GIR_Coverage, 4477,
     /*  495376 */     GIR_EraseRootFromParent_Done,
     /*  495377 */   // Label 8286: @495377
     /*  495377 */   GIM_Try, /*On fail goto*//*Label 8287*/ GIMT_Encode4(495456), // Rule ID 4486 //
     /*  495382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  495399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  495402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  495437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495454 */     GIR_RootConstrainSelectedInstOperands,
     /*  495455 */     // GIR_Coverage, 4486,
     /*  495455 */     GIR_EraseRootFromParent_Done,
     /*  495456 */   // Label 8287: @495456
     /*  495456 */   GIM_Try, /*On fail goto*//*Label 8288*/ GIMT_Encode4(495535), // Rule ID 4487 //
     /*  495461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  495472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  495475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  495478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  495481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495513 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  495516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495533 */     GIR_RootConstrainSelectedInstOperands,
     /*  495534 */     // GIR_Coverage, 4487,
     /*  495534 */     GIR_EraseRootFromParent_Done,
     /*  495535 */   // Label 8288: @495535
     /*  495535 */   GIM_Try, /*On fail goto*//*Label 8289*/ GIMT_Encode4(495614), // Rule ID 4496 //
     /*  495540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  495551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  495554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  495557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  495560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495567 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495571 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495592 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  495595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495612 */     GIR_RootConstrainSelectedInstOperands,
     /*  495613 */     // GIR_Coverage, 4496,
     /*  495613 */     GIR_EraseRootFromParent_Done,
     /*  495614 */   // Label 8289: @495614
     /*  495614 */   GIM_Try, /*On fail goto*//*Label 8290*/ GIMT_Encode4(495693), // Rule ID 4497 //
     /*  495619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  495630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  495633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  495636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  495639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495662 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495671 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  495674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495691 */     GIR_RootConstrainSelectedInstOperands,
     /*  495692 */     // GIR_Coverage, 4497,
     /*  495692 */     GIR_EraseRootFromParent_Done,
     /*  495693 */   // Label 8290: @495693
     /*  495693 */   GIM_Try, /*On fail goto*//*Label 8291*/ GIMT_Encode4(495772), // Rule ID 4506 //
     /*  495698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  495718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495750 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  495753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495770 */     GIR_RootConstrainSelectedInstOperands,
     /*  495771 */     // GIR_Coverage, 4506,
     /*  495771 */     GIR_EraseRootFromParent_Done,
     /*  495772 */   // Label 8291: @495772
     /*  495772 */   GIM_Try, /*On fail goto*//*Label 8292*/ GIMT_Encode4(495851), // Rule ID 4507 //
     /*  495777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  495788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  495791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  495794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  495797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  495820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  495832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495849 */     GIR_RootConstrainSelectedInstOperands,
     /*  495850 */     // GIR_Coverage, 4507,
     /*  495850 */     GIR_EraseRootFromParent_Done,
     /*  495851 */   // Label 8292: @495851
     /*  495851 */   GIM_Try, /*On fail goto*//*Label 8293*/ GIMT_Encode4(495930), // Rule ID 4516 //
     /*  495856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  495859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  495876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  495879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  495908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  495911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  495922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  495925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  495928 */     GIR_RootConstrainSelectedInstOperands,
     /*  495929 */     // GIR_Coverage, 4516,
     /*  495929 */     GIR_EraseRootFromParent_Done,
     /*  495930 */   // Label 8293: @495930
     /*  495930 */   GIM_Try, /*On fail goto*//*Label 8294*/ GIMT_Encode4(496009), // Rule ID 4517 //
     /*  495935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  495938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  495943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  495946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  495949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  495952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  495955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  495958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495962 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  495966 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  495970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  495974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  495978 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  495980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  495987 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  495987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  495990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  495992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  495994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  495996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496007 */     GIR_RootConstrainSelectedInstOperands,
     /*  496008 */     // GIR_Coverage, 4517,
     /*  496008 */     GIR_EraseRootFromParent_Done,
     /*  496009 */   // Label 8294: @496009
     /*  496009 */   GIM_Try, /*On fail goto*//*Label 8295*/ GIMT_Encode4(496088), // Rule ID 4526 //
     /*  496014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  496025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  496028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  496031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  496034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496066 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  496066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496086 */     GIR_RootConstrainSelectedInstOperands,
     /*  496087 */     // GIR_Coverage, 4526,
     /*  496087 */     GIR_EraseRootFromParent_Done,
     /*  496088 */   // Label 8295: @496088
     /*  496088 */   GIM_Try, /*On fail goto*//*Label 8296*/ GIMT_Encode4(496167), // Rule ID 4527 //
     /*  496093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  496104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  496107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  496110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  496113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496145 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  496145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  496162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496165 */     GIR_RootConstrainSelectedInstOperands,
     /*  496166 */     // GIR_Coverage, 4527,
     /*  496166 */     GIR_EraseRootFromParent_Done,
     /*  496167 */   // Label 8296: @496167
     /*  496167 */   GIM_Try, /*On fail goto*//*Label 8297*/ GIMT_Encode4(496246), // Rule ID 4536 //
     /*  496172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  496183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  496186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  496192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496199 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496203 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  496227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496244 */     GIR_RootConstrainSelectedInstOperands,
     /*  496245 */     // GIR_Coverage, 4536,
     /*  496245 */     GIR_EraseRootFromParent_Done,
     /*  496246 */   // Label 8297: @496246
     /*  496246 */   GIM_Try, /*On fail goto*//*Label 8298*/ GIMT_Encode4(496325), // Rule ID 4537 //
     /*  496251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  496262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  496265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  496268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  496271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  496306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496323 */     GIR_RootConstrainSelectedInstOperands,
     /*  496324 */     // GIR_Coverage, 4537,
     /*  496324 */     GIR_EraseRootFromParent_Done,
     /*  496325 */   // Label 8298: @496325
     /*  496325 */   GIM_Try, /*On fail goto*//*Label 8299*/ GIMT_Encode4(496404), // Rule ID 4546 //
     /*  496330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  496350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496382 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  496385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496402 */     GIR_RootConstrainSelectedInstOperands,
     /*  496403 */     // GIR_Coverage, 4546,
     /*  496403 */     GIR_EraseRootFromParent_Done,
     /*  496404 */   // Label 8299: @496404
     /*  496404 */   GIM_Try, /*On fail goto*//*Label 8300*/ GIMT_Encode4(496483), // Rule ID 4547 //
     /*  496409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  496420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  496423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  496426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  496429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496461 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  496464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496481 */     GIR_RootConstrainSelectedInstOperands,
     /*  496482 */     // GIR_Coverage, 4547,
     /*  496482 */     GIR_EraseRootFromParent_Done,
     /*  496483 */   // Label 8300: @496483
     /*  496483 */   GIM_Try, /*On fail goto*//*Label 8301*/ GIMT_Encode4(496562), // Rule ID 4556 //
     /*  496488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  496508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  496543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496560 */     GIR_RootConstrainSelectedInstOperands,
     /*  496561 */     // GIR_Coverage, 4556,
     /*  496561 */     GIR_EraseRootFromParent_Done,
     /*  496562 */   // Label 8301: @496562
     /*  496562 */   GIM_Try, /*On fail goto*//*Label 8302*/ GIMT_Encode4(496641), // Rule ID 4557 //
     /*  496567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  496578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  496581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  496584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  496587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496594 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496598 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  496622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496639 */     GIR_RootConstrainSelectedInstOperands,
     /*  496640 */     // GIR_Coverage, 4557,
     /*  496640 */     GIR_EraseRootFromParent_Done,
     /*  496641 */   // Label 8302: @496641
     /*  496641 */   GIM_Try, /*On fail goto*//*Label 8303*/ GIMT_Encode4(496720), // Rule ID 4566 //
     /*  496646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  496663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  496666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496718 */     GIR_RootConstrainSelectedInstOperands,
     /*  496719 */     // GIR_Coverage, 4566,
     /*  496719 */     GIR_EraseRootFromParent_Done,
     /*  496720 */   // Label 8303: @496720
     /*  496720 */   GIM_Try, /*On fail goto*//*Label 8304*/ GIMT_Encode4(496799), // Rule ID 4567 //
     /*  496725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  496736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  496739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  496742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  496745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  496768 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496777 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  496780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496797 */     GIR_RootConstrainSelectedInstOperands,
     /*  496798 */     // GIR_Coverage, 4567,
     /*  496798 */     GIR_EraseRootFromParent_Done,
     /*  496799 */   // Label 8304: @496799
     /*  496799 */   GIM_Try, /*On fail goto*//*Label 8305*/ GIMT_Encode4(496878), // Rule ID 4576 //
     /*  496804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  496807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  496824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  496856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496876 */     GIR_RootConstrainSelectedInstOperands,
     /*  496877 */     // GIR_Coverage, 4576,
     /*  496877 */     GIR_EraseRootFromParent_Done,
     /*  496878 */   // Label 8305: @496878
     /*  496878 */   GIM_Try, /*On fail goto*//*Label 8306*/ GIMT_Encode4(496957), // Rule ID 4577 //
     /*  496883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  496886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  496894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  496897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  496900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  496903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  496906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  496922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  496926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  496928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  496935 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  496935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  496938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  496940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  496942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  496944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  496949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  496952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  496955 */     GIR_RootConstrainSelectedInstOperands,
     /*  496956 */     // GIR_Coverage, 4577,
     /*  496956 */     GIR_EraseRootFromParent_Done,
     /*  496957 */   // Label 8306: @496957
     /*  496957 */   GIM_Try, /*On fail goto*//*Label 8307*/ GIMT_Encode4(497036), // Rule ID 4586 //
     /*  496962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  496965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  496970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  496973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  496976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  496979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  496982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  496985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  496989 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  496993 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  496997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497014 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  497014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  497017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497034 */     GIR_RootConstrainSelectedInstOperands,
     /*  497035 */     // GIR_Coverage, 4586,
     /*  497035 */     GIR_EraseRootFromParent_Done,
     /*  497036 */   // Label 8307: @497036
     /*  497036 */   GIM_Try, /*On fail goto*//*Label 8308*/ GIMT_Encode4(497115), // Rule ID 4587 //
     /*  497041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  497044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  497049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  497052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  497055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  497058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  497061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497093 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  497093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  497096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497113 */     GIR_RootConstrainSelectedInstOperands,
     /*  497114 */     // GIR_Coverage, 4587,
     /*  497114 */     GIR_EraseRootFromParent_Done,
     /*  497115 */   // Label 8308: @497115
     /*  497115 */   GIM_Try, /*On fail goto*//*Label 8309*/ GIMT_Encode4(497194), // Rule ID 4596 //
     /*  497120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  497123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  497128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  497137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  497140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  497172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  497175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497192 */     GIR_RootConstrainSelectedInstOperands,
     /*  497193 */     // GIR_Coverage, 4596,
     /*  497193 */     GIR_EraseRootFromParent_Done,
     /*  497194 */   // Label 8309: @497194
     /*  497194 */   GIM_Try, /*On fail goto*//*Label 8310*/ GIMT_Encode4(497273), // Rule ID 4597 //
     /*  497199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  497202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  497207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  497210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  497213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  497216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  497219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497242 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497251 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  497251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  497254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497271 */     GIR_RootConstrainSelectedInstOperands,
     /*  497272 */     // GIR_Coverage, 4597,
     /*  497272 */     GIR_EraseRootFromParent_Done,
     /*  497273 */   // Label 8310: @497273
     /*  497273 */   GIM_Try, /*On fail goto*//*Label 8311*/ GIMT_Encode4(497352), // Rule ID 4606 //
     /*  497278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  497281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  497286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  497295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  497298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  497330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  497333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497350 */     GIR_RootConstrainSelectedInstOperands,
     /*  497351 */     // GIR_Coverage, 4606,
     /*  497351 */     GIR_EraseRootFromParent_Done,
     /*  497352 */   // Label 8311: @497352
     /*  497352 */   GIM_Try, /*On fail goto*//*Label 8312*/ GIMT_Encode4(497431), // Rule ID 4607 //
     /*  497357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  497360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  497365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  497368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  497371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  497374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  497377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  497400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497409 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  497409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  497412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497429 */     GIR_RootConstrainSelectedInstOperands,
     /*  497430 */     // GIR_Coverage, 4607,
     /*  497430 */     GIR_EraseRootFromParent_Done,
     /*  497431 */   // Label 8312: @497431
     /*  497431 */   GIM_Try, /*On fail goto*//*Label 8313*/ GIMT_Encode4(497510), // Rule ID 4616 //
     /*  497436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  497439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  497444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  497453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  497456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  497488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  497491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497508 */     GIR_RootConstrainSelectedInstOperands,
     /*  497509 */     // GIR_Coverage, 4616,
     /*  497509 */     GIR_EraseRootFromParent_Done,
     /*  497510 */   // Label 8313: @497510
     /*  497510 */   GIM_Try, /*On fail goto*//*Label 8314*/ GIMT_Encode4(497589), // Rule ID 4617 //
     /*  497515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  497518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  497523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  497526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  497529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  497532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  497535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  497554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  497558 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497567 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11641:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  497567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  497570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  497584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497587 */     GIR_RootConstrainSelectedInstOperands,
     /*  497588 */     // GIR_Coverage, 4617,
     /*  497588 */     GIR_EraseRootFromParent_Done,
     /*  497589 */   // Label 8314: @497589
     /*  497589 */   GIM_Try, /*On fail goto*//*Label 8315*/ GIMT_Encode4(497668), // Rule ID 4686 //
     /*  497594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  497605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  497608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  497611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  497614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497646 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  497649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497666 */     GIR_RootConstrainSelectedInstOperands,
     /*  497667 */     // GIR_Coverage, 4686,
     /*  497667 */     GIR_EraseRootFromParent_Done,
     /*  497668 */   // Label 8315: @497668
     /*  497668 */   GIM_Try, /*On fail goto*//*Label 8316*/ GIMT_Encode4(497747), // Rule ID 4687 //
     /*  497673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  497684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  497687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  497690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  497693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497725 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  497728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497745 */     GIR_RootConstrainSelectedInstOperands,
     /*  497746 */     // GIR_Coverage, 4687,
     /*  497746 */     GIR_EraseRootFromParent_Done,
     /*  497747 */   // Label 8316: @497747
     /*  497747 */   GIM_Try, /*On fail goto*//*Label 8317*/ GIMT_Encode4(497826), // Rule ID 4696 //
     /*  497752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  497763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  497766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  497769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  497772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497804 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  497807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497824 */     GIR_RootConstrainSelectedInstOperands,
     /*  497825 */     // GIR_Coverage, 4696,
     /*  497825 */     GIR_EraseRootFromParent_Done,
     /*  497826 */   // Label 8317: @497826
     /*  497826 */   GIM_Try, /*On fail goto*//*Label 8318*/ GIMT_Encode4(497905), // Rule ID 4697 //
     /*  497831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  497842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  497845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  497848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  497851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  497854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497883 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  497883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  497886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497903 */     GIR_RootConstrainSelectedInstOperands,
     /*  497904 */     // GIR_Coverage, 4697,
     /*  497904 */     GIR_EraseRootFromParent_Done,
     /*  497905 */   // Label 8318: @497905
     /*  497905 */   GIM_Try, /*On fail goto*//*Label 8319*/ GIMT_Encode4(497984), // Rule ID 4706 //
     /*  497910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  497913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  497921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  497924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  497927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  497930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  497933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  497941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  497945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  497953 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  497955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  497962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  497962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  497965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  497967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  497969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  497971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  497976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  497979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  497982 */     GIR_RootConstrainSelectedInstOperands,
     /*  497983 */     // GIR_Coverage, 4706,
     /*  497983 */     GIR_EraseRootFromParent_Done,
     /*  497984 */   // Label 8319: @497984
     /*  497984 */   GIM_Try, /*On fail goto*//*Label 8320*/ GIMT_Encode4(498063), // Rule ID 4707 //
     /*  497989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  497992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  497997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  498000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  498003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  498006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  498009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498041 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  498041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  498058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498061 */     GIR_RootConstrainSelectedInstOperands,
     /*  498062 */     // GIR_Coverage, 4707,
     /*  498062 */     GIR_EraseRootFromParent_Done,
     /*  498063 */   // Label 8320: @498063
     /*  498063 */   GIM_Try, /*On fail goto*//*Label 8321*/ GIMT_Encode4(498142), // Rule ID 4716 //
     /*  498068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  498079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  498082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  498085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  498088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498120 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  498120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  498137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498140 */     GIR_RootConstrainSelectedInstOperands,
     /*  498141 */     // GIR_Coverage, 4716,
     /*  498141 */     GIR_EraseRootFromParent_Done,
     /*  498142 */   // Label 8321: @498142
     /*  498142 */   GIM_Try, /*On fail goto*//*Label 8322*/ GIMT_Encode4(498221), // Rule ID 4717 //
     /*  498147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  498158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  498161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  498164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  498167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  498199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  498216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498219 */     GIR_RootConstrainSelectedInstOperands,
     /*  498220 */     // GIR_Coverage, 4717,
     /*  498220 */     GIR_EraseRootFromParent_Done,
     /*  498221 */   // Label 8322: @498221
     /*  498221 */   GIM_Try, /*On fail goto*//*Label 8323*/ GIMT_Encode4(498300), // Rule ID 4726 //
     /*  498226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  498237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  498240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  498243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  498246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  498278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  498281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  498295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498298 */     GIR_RootConstrainSelectedInstOperands,
     /*  498299 */     // GIR_Coverage, 4726,
     /*  498299 */     GIR_EraseRootFromParent_Done,
     /*  498300 */   // Label 8323: @498300
     /*  498300 */   GIM_Try, /*On fail goto*//*Label 8324*/ GIMT_Encode4(498379), // Rule ID 4727 //
     /*  498305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  498316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  498319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  498322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  498325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498357 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  498357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  498360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  498374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498377 */     GIR_RootConstrainSelectedInstOperands,
     /*  498378 */     // GIR_Coverage, 4727,
     /*  498378 */     GIR_EraseRootFromParent_Done,
     /*  498379 */   // Label 8324: @498379
     /*  498379 */   GIM_Try, /*On fail goto*//*Label 8325*/ GIMT_Encode4(498458), // Rule ID 4736 //
     /*  498384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  498395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  498398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  498401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  498404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  498436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  498439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  498453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498456 */     GIR_RootConstrainSelectedInstOperands,
     /*  498457 */     // GIR_Coverage, 4736,
     /*  498457 */     GIR_EraseRootFromParent_Done,
     /*  498458 */   // Label 8325: @498458
     /*  498458 */   GIM_Try, /*On fail goto*//*Label 8326*/ GIMT_Encode4(498537), // Rule ID 4737 //
     /*  498463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  498474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  498477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  498480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  498483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  498502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  498506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  498515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  498518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  498532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498535 */     GIR_RootConstrainSelectedInstOperands,
     /*  498536 */     // GIR_Coverage, 4737,
     /*  498536 */     GIR_EraseRootFromParent_Done,
     /*  498537 */   // Label 8326: @498537
     /*  498537 */   GIM_Try, /*On fail goto*//*Label 8327*/ GIMT_Encode4(498616), // Rule ID 4746 //
     /*  498542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  498562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  498597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498614 */     GIR_RootConstrainSelectedInstOperands,
     /*  498615 */     // GIR_Coverage, 4746,
     /*  498615 */     GIR_EraseRootFromParent_Done,
     /*  498616 */   // Label 8327: @498616
     /*  498616 */   GIM_Try, /*On fail goto*//*Label 8328*/ GIMT_Encode4(498695), // Rule ID 4747 //
     /*  498621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  498632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  498635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  498638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  498641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  498676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498693 */     GIR_RootConstrainSelectedInstOperands,
     /*  498694 */     // GIR_Coverage, 4747,
     /*  498694 */     GIR_EraseRootFromParent_Done,
     /*  498695 */   // Label 8328: @498695
     /*  498695 */   GIM_Try, /*On fail goto*//*Label 8329*/ GIMT_Encode4(498774), // Rule ID 4756 //
     /*  498700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  498720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498752 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498772 */     GIR_RootConstrainSelectedInstOperands,
     /*  498773 */     // GIR_Coverage, 4756,
     /*  498773 */     GIR_EraseRootFromParent_Done,
     /*  498774 */   // Label 8329: @498774
     /*  498774 */   GIM_Try, /*On fail goto*//*Label 8330*/ GIMT_Encode4(498853), // Rule ID 4757 //
     /*  498779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  498790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  498793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  498796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  498799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498831 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  498834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498851 */     GIR_RootConstrainSelectedInstOperands,
     /*  498852 */     // GIR_Coverage, 4757,
     /*  498852 */     GIR_EraseRootFromParent_Done,
     /*  498853 */   // Label 8330: @498853
     /*  498853 */   GIM_Try, /*On fail goto*//*Label 8331*/ GIMT_Encode4(498932), // Rule ID 4766 //
     /*  498858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  498861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  498878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  498881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498910 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  498910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  498924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  498927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  498930 */     GIR_RootConstrainSelectedInstOperands,
     /*  498931 */     // GIR_Coverage, 4766,
     /*  498931 */     GIR_EraseRootFromParent_Done,
     /*  498932 */   // Label 8331: @498932
     /*  498932 */   GIM_Try, /*On fail goto*//*Label 8332*/ GIMT_Encode4(499011), // Rule ID 4767 //
     /*  498937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  498940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  498945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  498948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  498951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  498954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  498957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  498960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  498968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  498972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  498976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  498980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  498982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  498989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  498989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  498992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  498994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  498996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  498998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499009 */     GIR_RootConstrainSelectedInstOperands,
     /*  499010 */     // GIR_Coverage, 4767,
     /*  499010 */     GIR_EraseRootFromParent_Done,
     /*  499011 */   // Label 8332: @499011
     /*  499011 */   GIM_Try, /*On fail goto*//*Label 8333*/ GIMT_Encode4(499090), // Rule ID 4776 //
     /*  499016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  499036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  499068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  499071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499088 */     GIR_RootConstrainSelectedInstOperands,
     /*  499089 */     // GIR_Coverage, 4776,
     /*  499089 */     GIR_EraseRootFromParent_Done,
     /*  499090 */   // Label 8333: @499090
     /*  499090 */   GIM_Try, /*On fail goto*//*Label 8334*/ GIMT_Encode4(499169), // Rule ID 4777 //
     /*  499095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  499106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  499109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  499112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  499115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499138 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  499147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  499150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499167 */     GIR_RootConstrainSelectedInstOperands,
     /*  499168 */     // GIR_Coverage, 4777,
     /*  499168 */     GIR_EraseRootFromParent_Done,
     /*  499169 */   // Label 8334: @499169
     /*  499169 */   GIM_Try, /*On fail goto*//*Label 8335*/ GIMT_Encode4(499248), // Rule ID 4786 //
     /*  499174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  499194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  499226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  499229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499246 */     GIR_RootConstrainSelectedInstOperands,
     /*  499247 */     // GIR_Coverage, 4786,
     /*  499247 */     GIR_EraseRootFromParent_Done,
     /*  499248 */   // Label 8335: @499248
     /*  499248 */   GIM_Try, /*On fail goto*//*Label 8336*/ GIMT_Encode4(499327), // Rule ID 4787 //
     /*  499253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  499256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  499264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  499267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  499270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  499273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499305 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  499305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  499308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  499322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499325 */     GIR_RootConstrainSelectedInstOperands,
     /*  499326 */     // GIR_Coverage, 4787,
     /*  499326 */     GIR_EraseRootFromParent_Done,
     /*  499327 */   // Label 8336: @499327
     /*  499327 */   GIM_Try, /*On fail goto*//*Label 8337*/ GIMT_Encode4(499406), // Rule ID 4796 //
     /*  499332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  499335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  499343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  499346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  499349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  499352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499359 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499363 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499384 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  499387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499404 */     GIR_RootConstrainSelectedInstOperands,
     /*  499405 */     // GIR_Coverage, 4796,
     /*  499405 */     GIR_EraseRootFromParent_Done,
     /*  499406 */   // Label 8337: @499406
     /*  499406 */   GIM_Try, /*On fail goto*//*Label 8338*/ GIMT_Encode4(499485), // Rule ID 4797 //
     /*  499411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  499422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  499425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  499428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  499431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499463 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  499466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499483 */     GIR_RootConstrainSelectedInstOperands,
     /*  499484 */     // GIR_Coverage, 4797,
     /*  499484 */     GIR_EraseRootFromParent_Done,
     /*  499485 */   // Label 8338: @499485
     /*  499485 */   GIM_Try, /*On fail goto*//*Label 8339*/ GIMT_Encode4(499564), // Rule ID 4806 //
     /*  499490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  499493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  499501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  499504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  499507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  499510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499533 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  499545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499562 */     GIR_RootConstrainSelectedInstOperands,
     /*  499563 */     // GIR_Coverage, 4806,
     /*  499563 */     GIR_EraseRootFromParent_Done,
     /*  499564 */   // Label 8339: @499564
     /*  499564 */   GIM_Try, /*On fail goto*//*Label 8340*/ GIMT_Encode4(499643), // Rule ID 4807 //
     /*  499569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  499580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  499583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  499586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  499589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499621 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  499624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499641 */     GIR_RootConstrainSelectedInstOperands,
     /*  499642 */     // GIR_Coverage, 4807,
     /*  499642 */     GIR_EraseRootFromParent_Done,
     /*  499643 */   // Label 8340: @499643
     /*  499643 */   GIM_Try, /*On fail goto*//*Label 8341*/ GIMT_Encode4(499722), // Rule ID 4816 //
     /*  499648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  499651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  499659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  499662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  499665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  499668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  499703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499720 */     GIR_RootConstrainSelectedInstOperands,
     /*  499721 */     // GIR_Coverage, 4816,
     /*  499721 */     GIR_EraseRootFromParent_Done,
     /*  499722 */   // Label 8341: @499722
     /*  499722 */   GIM_Try, /*On fail goto*//*Label 8342*/ GIMT_Encode4(499801), // Rule ID 4817 //
     /*  499727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  499738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  499741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  499744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  499747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499754 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499758 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  499770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499779 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  499782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499799 */     GIR_RootConstrainSelectedInstOperands,
     /*  499800 */     // GIR_Coverage, 4817,
     /*  499800 */     GIR_EraseRootFromParent_Done,
     /*  499801 */   // Label 8342: @499801
     /*  499801 */   GIM_Try, /*On fail goto*//*Label 8343*/ GIMT_Encode4(499880), // Rule ID 4826 //
     /*  499806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  499809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  499817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  499820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  499823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  499826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  499829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499858 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  499858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  499861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499878 */     GIR_RootConstrainSelectedInstOperands,
     /*  499879 */     // GIR_Coverage, 4826,
     /*  499879 */     GIR_EraseRootFromParent_Done,
     /*  499880 */   // Label 8343: @499880
     /*  499880 */   GIM_Try, /*On fail goto*//*Label 8344*/ GIMT_Encode4(499959), // Rule ID 4827 //
     /*  499885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  499888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  499893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  499896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  499899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  499902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  499905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  499908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  499916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  499920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  499924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  499928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  499930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  499937 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, (undef:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  499937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  499940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  499942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  499944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  499946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  499951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  499954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  499957 */     GIR_RootConstrainSelectedInstOperands,
     /*  499958 */     // GIR_Coverage, 4827,
     /*  499958 */     GIR_EraseRootFromParent_Done,
     /*  499959 */   // Label 8344: @499959
     /*  499959 */   GIM_Try, /*On fail goto*//*Label 8345*/ GIMT_Encode4(500027), // Rule ID 2710 //
     /*  499964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  499967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  499972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  499975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  499978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  499981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  499984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  499988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  499992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  499996 */     // MIs[0] policy
     /*  499996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  499999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500006 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  500009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500013 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500025 */     GIR_RootConstrainSelectedInstOperands,
     /*  500026 */     // GIR_Coverage, 2710,
     /*  500026 */     GIR_EraseRootFromParent_Done,
     /*  500027 */   // Label 8345: @500027
     /*  500027 */   GIM_Try, /*On fail goto*//*Label 8346*/ GIMT_Encode4(500095), // Rule ID 2711 //
     /*  500032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  500043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  500046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500064 */     // MIs[0] policy
     /*  500064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500074 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF8_MASK),
     /*  500077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500081 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500093 */     GIR_RootConstrainSelectedInstOperands,
     /*  500094 */     // GIR_Coverage, 2711,
     /*  500094 */     GIR_EraseRootFromParent_Done,
     /*  500095 */   // Label 8346: @500095
     /*  500095 */   GIM_Try, /*On fail goto*//*Label 8347*/ GIMT_Encode4(500163), // Rule ID 23506 //
     /*  500100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  500111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  500114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500132 */     // MIs[0] policy
     /*  500132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  500145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500149 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500161 */     GIR_RootConstrainSelectedInstOperands,
     /*  500162 */     // GIR_Coverage, 23506,
     /*  500162 */     GIR_EraseRootFromParent_Done,
     /*  500163 */   // Label 8347: @500163
     /*  500163 */   GIM_Try, /*On fail goto*//*Label 8348*/ GIMT_Encode4(500231), // Rule ID 23507 //
     /*  500168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  500179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  500182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500200 */     // MIs[0] policy
     /*  500200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500210 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  500213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500217 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500229 */     GIR_RootConstrainSelectedInstOperands,
     /*  500230 */     // GIR_Coverage, 23507,
     /*  500230 */     GIR_EraseRootFromParent_Done,
     /*  500231 */   // Label 8348: @500231
     /*  500231 */   GIM_Try, /*On fail goto*//*Label 8349*/ GIMT_Encode4(500299), // Rule ID 23510 //
     /*  500236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  500247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  500250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  500253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500268 */     // MIs[0] policy
     /*  500268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500285 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500297 */     GIR_RootConstrainSelectedInstOperands,
     /*  500298 */     // GIR_Coverage, 23510,
     /*  500298 */     GIR_EraseRootFromParent_Done,
     /*  500299 */   // Label 8349: @500299
     /*  500299 */   GIM_Try, /*On fail goto*//*Label 8350*/ GIMT_Encode4(500367), // Rule ID 23511 //
     /*  500304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  500315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  500318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  500321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500336 */     // MIs[0] policy
     /*  500336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500353 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500365 */     GIR_RootConstrainSelectedInstOperands,
     /*  500366 */     // GIR_Coverage, 23511,
     /*  500366 */     GIR_EraseRootFromParent_Done,
     /*  500367 */   // Label 8350: @500367
     /*  500367 */   GIM_Try, /*On fail goto*//*Label 8351*/ GIMT_Encode4(500435), // Rule ID 23514 //
     /*  500372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  500383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  500386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500404 */     // MIs[0] policy
     /*  500404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500414 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  500417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500421 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500433 */     GIR_RootConstrainSelectedInstOperands,
     /*  500434 */     // GIR_Coverage, 23514,
     /*  500434 */     GIR_EraseRootFromParent_Done,
     /*  500435 */   // Label 8351: @500435
     /*  500435 */   GIM_Try, /*On fail goto*//*Label 8352*/ GIMT_Encode4(500503), // Rule ID 23515 //
     /*  500440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  500451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  500454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500472 */     // MIs[0] policy
     /*  500472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500482 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF4_MASK),
     /*  500485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500489 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500501 */     GIR_RootConstrainSelectedInstOperands,
     /*  500502 */     // GIR_Coverage, 23515,
     /*  500502 */     GIR_EraseRootFromParent_Done,
     /*  500503 */   // Label 8352: @500503
     /*  500503 */   GIM_Try, /*On fail goto*//*Label 8353*/ GIMT_Encode4(500571), // Rule ID 23518 //
     /*  500508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  500519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  500522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500540 */     // MIs[0] policy
     /*  500540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500550 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500557 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500569 */     GIR_RootConstrainSelectedInstOperands,
     /*  500570 */     // GIR_Coverage, 23518,
     /*  500570 */     GIR_EraseRootFromParent_Done,
     /*  500571 */   // Label 8353: @500571
     /*  500571 */   GIM_Try, /*On fail goto*//*Label 8354*/ GIMT_Encode4(500639), // Rule ID 23519 //
     /*  500576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  500587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  500590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  500593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500608 */     // MIs[0] policy
     /*  500608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500618 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500625 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500637 */     GIR_RootConstrainSelectedInstOperands,
     /*  500638 */     // GIR_Coverage, 23519,
     /*  500638 */     GIR_EraseRootFromParent_Done,
     /*  500639 */   // Label 8354: @500639
     /*  500639 */   GIM_Try, /*On fail goto*//*Label 8355*/ GIMT_Encode4(500707), // Rule ID 23522 //
     /*  500644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500676 */     // MIs[0] policy
     /*  500676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500693 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500705 */     GIR_RootConstrainSelectedInstOperands,
     /*  500706 */     // GIR_Coverage, 23522,
     /*  500706 */     GIR_EraseRootFromParent_Done,
     /*  500707 */   // Label 8355: @500707
     /*  500707 */   GIM_Try, /*On fail goto*//*Label 8356*/ GIMT_Encode4(500775), // Rule ID 23523 //
     /*  500712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  500723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  500726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  500729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500744 */     // MIs[0] policy
     /*  500744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500754 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_MF2_MASK),
     /*  500757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500761 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  500771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500773 */     GIR_RootConstrainSelectedInstOperands,
     /*  500774 */     // GIR_Coverage, 23523,
     /*  500774 */     GIR_EraseRootFromParent_Done,
     /*  500775 */   // Label 8356: @500775
     /*  500775 */   GIM_Try, /*On fail goto*//*Label 8357*/ GIMT_Encode4(500843), // Rule ID 23526 //
     /*  500780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  500791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  500794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  500797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500812 */     // MIs[0] policy
     /*  500812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500822 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500829 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500841 */     GIR_RootConstrainSelectedInstOperands,
     /*  500842 */     // GIR_Coverage, 23526,
     /*  500842 */     GIR_EraseRootFromParent_Done,
     /*  500843 */   // Label 8357: @500843
     /*  500843 */   GIM_Try, /*On fail goto*//*Label 8358*/ GIMT_Encode4(500911), // Rule ID 23527 //
     /*  500848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  500859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  500862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  500865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  500868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500880 */     // MIs[0] policy
     /*  500880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500890 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11322:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  500890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500897 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  500907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500909 */     GIR_RootConstrainSelectedInstOperands,
     /*  500910 */     // GIR_Coverage, 23527,
     /*  500910 */     GIR_EraseRootFromParent_Done,
     /*  500911 */   // Label 8358: @500911
     /*  500911 */   GIM_Try, /*On fail goto*//*Label 8359*/ GIMT_Encode4(500979), // Rule ID 23530 //
     /*  500916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  500919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  500927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  500930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  500933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  500936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  500940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  500944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  500948 */     // MIs[0] policy
     /*  500948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  500951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  500958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  500958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  500961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  500963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  500965 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  500967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  500972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  500975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  500977 */     GIR_RootConstrainSelectedInstOperands,
     /*  500978 */     // GIR_Coverage, 23530,
     /*  500978 */     GIR_EraseRootFromParent_Done,
     /*  500979 */   // Label 8359: @500979
     /*  500979 */   GIM_Try, /*On fail goto*//*Label 8360*/ GIMT_Encode4(501047), // Rule ID 23531 //
     /*  500984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  500987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  500992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  500995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  500998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  501001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  501008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501016 */     // MIs[0] policy
     /*  501016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11322:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  501029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501033 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501043 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501045 */     GIR_RootConstrainSelectedInstOperands,
     /*  501046 */     // GIR_Coverage, 23531,
     /*  501046 */     GIR_EraseRootFromParent_Done,
     /*  501047 */   // Label 8360: @501047
     /*  501047 */   GIM_Try, /*On fail goto*//*Label 8361*/ GIMT_Encode4(501115), // Rule ID 23534 //
     /*  501052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  501069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  501076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501084 */     // MIs[0] policy
     /*  501084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  501097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501101 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501111 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501113 */     GIR_RootConstrainSelectedInstOperands,
     /*  501114 */     // GIR_Coverage, 23534,
     /*  501114 */     GIR_EraseRootFromParent_Done,
     /*  501115 */   // Label 8361: @501115
     /*  501115 */   GIM_Try, /*On fail goto*//*Label 8362*/ GIMT_Encode4(501183), // Rule ID 23535 //
     /*  501120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  501131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  501134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  501137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  501144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501152 */     // MIs[0] policy
     /*  501152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11322:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  501165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501169 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  501179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501181 */     GIR_RootConstrainSelectedInstOperands,
     /*  501182 */     // GIR_Coverage, 23535,
     /*  501182 */     GIR_EraseRootFromParent_Done,
     /*  501183 */   // Label 8362: @501183
     /*  501183 */   GIM_Try, /*On fail goto*//*Label 8363*/ GIMT_Encode4(501251), // Rule ID 23538 //
     /*  501188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  501191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  501199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  501202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  501205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  501212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501220 */     // MIs[0] policy
     /*  501220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501230 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  501233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501237 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  501247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501249 */     GIR_RootConstrainSelectedInstOperands,
     /*  501250 */     // GIR_Coverage, 23538,
     /*  501250 */     GIR_EraseRootFromParent_Done,
     /*  501251 */   // Label 8363: @501251
     /*  501251 */   GIM_Try, /*On fail goto*//*Label 8364*/ GIMT_Encode4(501319), // Rule ID 23539 //
     /*  501256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  501259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  501267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  501270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  501273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  501280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  501284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501288 */     // MIs[0] policy
     /*  501288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501298 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11322:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M1_MASK),
     /*  501301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501305 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  501315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501317 */     GIR_RootConstrainSelectedInstOperands,
     /*  501318 */     // GIR_Coverage, 23539,
     /*  501318 */     GIR_EraseRootFromParent_Done,
     /*  501319 */   // Label 8364: @501319
     /*  501319 */   GIM_Try, /*On fail goto*//*Label 8365*/ GIMT_Encode4(501387), // Rule ID 23542 //
     /*  501324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  501335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  501338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501356 */     // MIs[0] policy
     /*  501356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501366 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501373 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501385 */     GIR_RootConstrainSelectedInstOperands,
     /*  501386 */     // GIR_Coverage, 23542,
     /*  501386 */     GIR_EraseRootFromParent_Done,
     /*  501387 */   // Label 8365: @501387
     /*  501387 */   GIM_Try, /*On fail goto*//*Label 8366*/ GIMT_Encode4(501455), // Rule ID 23543 //
     /*  501392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  501403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  501406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501424 */     // MIs[0] policy
     /*  501424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501434 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501441 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501453 */     GIR_RootConstrainSelectedInstOperands,
     /*  501454 */     // GIR_Coverage, 23543,
     /*  501454 */     GIR_EraseRootFromParent_Done,
     /*  501455 */   // Label 8366: @501455
     /*  501455 */   GIM_Try, /*On fail goto*//*Label 8367*/ GIMT_Encode4(501523), // Rule ID 23546 //
     /*  501460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  501471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  501474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  501477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501492 */     // MIs[0] policy
     /*  501492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501502 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501509 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501519 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501521 */     GIR_RootConstrainSelectedInstOperands,
     /*  501522 */     // GIR_Coverage, 23546,
     /*  501522 */     GIR_EraseRootFromParent_Done,
     /*  501523 */   // Label 8367: @501523
     /*  501523 */   GIM_Try, /*On fail goto*//*Label 8368*/ GIMT_Encode4(501591), // Rule ID 23547 //
     /*  501528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  501539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  501542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  501545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501560 */     // MIs[0] policy
     /*  501560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501570 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501577 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501587 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501589 */     GIR_RootConstrainSelectedInstOperands,
     /*  501590 */     // GIR_Coverage, 23547,
     /*  501590 */     GIR_EraseRootFromParent_Done,
     /*  501591 */   // Label 8368: @501591
     /*  501591 */   GIM_Try, /*On fail goto*//*Label 8369*/ GIMT_Encode4(501659), // Rule ID 23550 //
     /*  501596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  501607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  501610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  501613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501628 */     // MIs[0] policy
     /*  501628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501638 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501645 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501655 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501657 */     GIR_RootConstrainSelectedInstOperands,
     /*  501658 */     // GIR_Coverage, 23550,
     /*  501658 */     GIR_EraseRootFromParent_Done,
     /*  501659 */   // Label 8369: @501659
     /*  501659 */   GIM_Try, /*On fail goto*//*Label 8370*/ GIMT_Encode4(501727), // Rule ID 23551 //
     /*  501664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  501675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  501678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  501681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  501688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  501692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501696 */     // MIs[0] policy
     /*  501696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501706 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  501709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501713 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  501723 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501725 */     GIR_RootConstrainSelectedInstOperands,
     /*  501726 */     // GIR_Coverage, 23551,
     /*  501726 */     GIR_EraseRootFromParent_Done,
     /*  501727 */   // Label 8370: @501727
     /*  501727 */   GIM_Try, /*On fail goto*//*Label 8371*/ GIMT_Encode4(501795), // Rule ID 23554 //
     /*  501732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501764 */     // MIs[0] policy
     /*  501764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501781 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501791 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501793 */     GIR_RootConstrainSelectedInstOperands,
     /*  501794 */     // GIR_Coverage, 23554,
     /*  501794 */     GIR_EraseRootFromParent_Done,
     /*  501795 */   // Label 8371: @501795
     /*  501795 */   GIM_Try, /*On fail goto*//*Label 8372*/ GIMT_Encode4(501863), // Rule ID 23555 //
     /*  501800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  501811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  501814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  501817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  501824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  501828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501832 */     // MIs[0] policy
     /*  501832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  501845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501849 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501859 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501861 */     GIR_RootConstrainSelectedInstOperands,
     /*  501862 */     // GIR_Coverage, 23555,
     /*  501862 */     GIR_EraseRootFromParent_Done,
     /*  501863 */   // Label 8372: @501863
     /*  501863 */   GIM_Try, /*On fail goto*//*Label 8373*/ GIMT_Encode4(501931), // Rule ID 23558 //
     /*  501868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  501871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  501888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501900 */     // MIs[0] policy
     /*  501900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  501910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501917 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501927 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501929 */     GIR_RootConstrainSelectedInstOperands,
     /*  501930 */     // GIR_Coverage, 23558,
     /*  501930 */     GIR_EraseRootFromParent_Done,
     /*  501931 */   // Label 8373: @501931
     /*  501931 */   GIM_Try, /*On fail goto*//*Label 8374*/ GIMT_Encode4(501999), // Rule ID 23559 //
     /*  501936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  501939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  501944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  501947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  501950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  501953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  501956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  501960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  501964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  501968 */     // MIs[0] policy
     /*  501968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  501971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  501978 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  501978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  501981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  501983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  501985 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  501987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  501992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  501995 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  501997 */     GIR_RootConstrainSelectedInstOperands,
     /*  501998 */     // GIR_Coverage, 23559,
     /*  501998 */     GIR_EraseRootFromParent_Done,
     /*  501999 */   // Label 8374: @501999
     /*  501999 */   GIM_Try, /*On fail goto*//*Label 8375*/ GIMT_Encode4(502067), // Rule ID 23562 //
     /*  502004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  502015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  502018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  502021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502036 */     // MIs[0] policy
     /*  502036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502046 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502053 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502063 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502065 */     GIR_RootConstrainSelectedInstOperands,
     /*  502066 */     // GIR_Coverage, 23562,
     /*  502066 */     GIR_EraseRootFromParent_Done,
     /*  502067 */   // Label 8375: @502067
     /*  502067 */   GIM_Try, /*On fail goto*//*Label 8376*/ GIMT_Encode4(502135), // Rule ID 23563 //
     /*  502072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  502083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  502086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  502089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502104 */     // MIs[0] policy
     /*  502104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502121 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  502131 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502133 */     GIR_RootConstrainSelectedInstOperands,
     /*  502134 */     // GIR_Coverage, 23563,
     /*  502134 */     GIR_EraseRootFromParent_Done,
     /*  502135 */   // Label 8376: @502135
     /*  502135 */   GIM_Try, /*On fail goto*//*Label 8377*/ GIMT_Encode4(502203), // Rule ID 23566 //
     /*  502140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  502157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  502164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502172 */     // MIs[0] policy
     /*  502172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  502185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502189 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502199 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502201 */     GIR_RootConstrainSelectedInstOperands,
     /*  502202 */     // GIR_Coverage, 23566,
     /*  502202 */     GIR_EraseRootFromParent_Done,
     /*  502203 */   // Label 8377: @502203
     /*  502203 */   GIM_Try, /*On fail goto*//*Label 8378*/ GIMT_Encode4(502271), // Rule ID 23567 //
     /*  502208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  502219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  502222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  502225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  502232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502240 */     // MIs[0] policy
     /*  502240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  502253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502257 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502267 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502269 */     GIR_RootConstrainSelectedInstOperands,
     /*  502270 */     // GIR_Coverage, 23567,
     /*  502270 */     GIR_EraseRootFromParent_Done,
     /*  502271 */   // Label 8378: @502271
     /*  502271 */   GIM_Try, /*On fail goto*//*Label 8379*/ GIMT_Encode4(502339), // Rule ID 23570 //
     /*  502276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  502293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  502300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502308 */     // MIs[0] policy
     /*  502308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502318 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  502321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502325 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502335 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502337 */     GIR_RootConstrainSelectedInstOperands,
     /*  502338 */     // GIR_Coverage, 23570,
     /*  502338 */     GIR_EraseRootFromParent_Done,
     /*  502339 */   // Label 8379: @502339
     /*  502339 */   GIM_Try, /*On fail goto*//*Label 8380*/ GIMT_Encode4(502407), // Rule ID 23571 //
     /*  502344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  502355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  502358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  502361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  502368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502376 */     // MIs[0] policy
     /*  502376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  502389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502393 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502403 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502405 */     GIR_RootConstrainSelectedInstOperands,
     /*  502406 */     // GIR_Coverage, 23571,
     /*  502406 */     GIR_EraseRootFromParent_Done,
     /*  502407 */   // Label 8380: @502407
     /*  502407 */   GIM_Try, /*On fail goto*//*Label 8381*/ GIMT_Encode4(502475), // Rule ID 23574 //
     /*  502412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  502415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  502429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502444 */     // MIs[0] policy
     /*  502444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502454 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502461 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502471 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502473 */     GIR_RootConstrainSelectedInstOperands,
     /*  502474 */     // GIR_Coverage, 23574,
     /*  502474 */     GIR_EraseRootFromParent_Done,
     /*  502475 */   // Label 8381: @502475
     /*  502475 */   GIM_Try, /*On fail goto*//*Label 8382*/ GIMT_Encode4(502543), // Rule ID 23575 //
     /*  502480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  502483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  502491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  502494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  502497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502512 */     // MIs[0] policy
     /*  502512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502529 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  502539 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502541 */     GIR_RootConstrainSelectedInstOperands,
     /*  502542 */     // GIR_Coverage, 23575,
     /*  502542 */     GIR_EraseRootFromParent_Done,
     /*  502543 */   // Label 8382: @502543
     /*  502543 */   GIM_Try, /*On fail goto*//*Label 8383*/ GIMT_Encode4(502611), // Rule ID 23578 //
     /*  502548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  502551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  502559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  502562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  502565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  502572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502580 */     // MIs[0] policy
     /*  502580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  502593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502597 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502607 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502609 */     GIR_RootConstrainSelectedInstOperands,
     /*  502610 */     // GIR_Coverage, 23578,
     /*  502610 */     GIR_EraseRootFromParent_Done,
     /*  502611 */   // Label 8383: @502611
     /*  502611 */   GIM_Try, /*On fail goto*//*Label 8384*/ GIMT_Encode4(502679), // Rule ID 23579 //
     /*  502616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  502619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  502627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  502630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  502633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  502640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  502644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502648 */     // MIs[0] policy
     /*  502648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11322:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M2_MASK),
     /*  502661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502665 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502675 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502677 */     GIR_RootConstrainSelectedInstOperands,
     /*  502678 */     // GIR_Coverage, 23579,
     /*  502678 */     GIR_EraseRootFromParent_Done,
     /*  502679 */   // Label 8384: @502679
     /*  502679 */   GIM_Try, /*On fail goto*//*Label 8385*/ GIMT_Encode4(502747), // Rule ID 23582 //
     /*  502684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  502687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  502695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  502698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  502701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  502708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502716 */     // MIs[0] policy
     /*  502716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  502729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502733 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502743 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502745 */     GIR_RootConstrainSelectedInstOperands,
     /*  502746 */     // GIR_Coverage, 23582,
     /*  502746 */     GIR_EraseRootFromParent_Done,
     /*  502747 */   // Label 8385: @502747
     /*  502747 */   GIM_Try, /*On fail goto*//*Label 8386*/ GIMT_Encode4(502815), // Rule ID 23583 //
     /*  502752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  502755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  502763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  502766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  502769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  502776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  502780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502784 */     // MIs[0] policy
     /*  502784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11322:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M4_MASK),
     /*  502797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502801 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502811 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502813 */     GIR_RootConstrainSelectedInstOperands,
     /*  502814 */     // GIR_Coverage, 23583,
     /*  502814 */     GIR_EraseRootFromParent_Done,
     /*  502815 */   // Label 8386: @502815
     /*  502815 */   GIM_Try, /*On fail goto*//*Label 8387*/ GIMT_Encode4(502883), // Rule ID 23586 //
     /*  502820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  502823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  502831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  502834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  502837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502852 */     // MIs[0] policy
     /*  502852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502869 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502879 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502881 */     GIR_RootConstrainSelectedInstOperands,
     /*  502882 */     // GIR_Coverage, 23586,
     /*  502882 */     GIR_EraseRootFromParent_Done,
     /*  502883 */   // Label 8387: @502883
     /*  502883 */   GIM_Try, /*On fail goto*//*Label 8388*/ GIMT_Encode4(502951), // Rule ID 23587 //
     /*  502888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  502891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vid_mask),
     /*  502896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  502899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  502902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  502905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  502908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  502912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  502916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  502920 */     // MIs[0] policy
     /*  502920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502930 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11322:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVID_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  502930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVID_V_M8_MASK),
     /*  502933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  502935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  502937 */     GIR_RootToRootCopy, /*OpIdx*/3, // vm
     /*  502939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  502944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  502947 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  502949 */     GIR_RootConstrainSelectedInstOperands,
     /*  502950 */     // GIR_Coverage, 23587,
     /*  502950 */     GIR_EraseRootFromParent_Done,
     /*  502951 */   // Label 8388: @502951
     /*  502951 */   GIM_Try, /*On fail goto*//*Label 8389*/ GIMT_Encode4(503019), // Rule ID 60600 //
     /*  502956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  502959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  502964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  502967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  502970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  502973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  502976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  502988 */     // MIs[0] policy
     /*  502988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  502991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  502998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  502998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  503001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503015 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503017 */     GIR_RootConstrainSelectedInstOperands,
     /*  503018 */     // GIR_Coverage, 60600,
     /*  503018 */     GIR_EraseRootFromParent_Done,
     /*  503019 */   // Label 8389: @503019
     /*  503019 */   GIM_Try, /*On fail goto*//*Label 8390*/ GIMT_Encode4(503087), // Rule ID 60601 //
     /*  503024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  503027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503056 */     // MIs[0] policy
     /*  503056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_MF2),
     /*  503069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503083 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503085 */     GIR_RootConstrainSelectedInstOperands,
     /*  503086 */     // GIR_Coverage, 60601,
     /*  503086 */     GIR_EraseRootFromParent_Done,
     /*  503087 */   // Label 8390: @503087
     /*  503087 */   GIM_Try, /*On fail goto*//*Label 8391*/ GIMT_Encode4(503155), // Rule ID 60602 //
     /*  503092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  503100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503124 */     // MIs[0] policy
     /*  503124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503134 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  503137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503151 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503153 */     GIR_RootConstrainSelectedInstOperands,
     /*  503154 */     // GIR_Coverage, 60602,
     /*  503154 */     GIR_EraseRootFromParent_Done,
     /*  503155 */   // Label 8391: @503155
     /*  503155 */   GIM_Try, /*On fail goto*//*Label 8392*/ GIMT_Encode4(503223), // Rule ID 60603 //
     /*  503160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  503168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503192 */     // MIs[0] policy
     /*  503192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503202 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_MF2_MF2),
     /*  503205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503219 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503221 */     GIR_RootConstrainSelectedInstOperands,
     /*  503222 */     // GIR_Coverage, 60603,
     /*  503222 */     GIR_EraseRootFromParent_Done,
     /*  503223 */   // Label 8392: @503223
     /*  503223 */   GIM_Try, /*On fail goto*//*Label 8393*/ GIMT_Encode4(503291), // Rule ID 62096 //
     /*  503228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  503231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503260 */     // MIs[0] policy
     /*  503260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  503273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503287 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503289 */     GIR_RootConstrainSelectedInstOperands,
     /*  503290 */     // GIR_Coverage, 62096,
     /*  503290 */     GIR_EraseRootFromParent_Done,
     /*  503291 */   // Label 8393: @503291
     /*  503291 */   GIM_Try, /*On fail goto*//*Label 8394*/ GIMT_Encode4(503359), // Rule ID 62097 //
     /*  503296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  503299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503328 */     // MIs[0] policy
     /*  503328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11320:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M1),
     /*  503341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503355 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503357 */     GIR_RootConstrainSelectedInstOperands,
     /*  503358 */     // GIR_Coverage, 62097,
     /*  503358 */     GIR_EraseRootFromParent_Done,
     /*  503359 */   // Label 8394: @503359
     /*  503359 */   GIM_Try, /*On fail goto*//*Label 8395*/ GIMT_Encode4(503427), // Rule ID 62098 //
     /*  503364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  503367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503396 */     // MIs[0] policy
     /*  503396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  503409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503423 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503425 */     GIR_RootConstrainSelectedInstOperands,
     /*  503426 */     // GIR_Coverage, 62098,
     /*  503426 */     GIR_EraseRootFromParent_Done,
     /*  503427 */   // Label 8395: @503427
     /*  503427 */   GIM_Try, /*On fail goto*//*Label 8396*/ GIMT_Encode4(503495), // Rule ID 62099 //
     /*  503432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  503435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  503443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  503446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  503449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  503464 */     // MIs[0] policy
     /*  503464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503474 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11320:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M2),
     /*  503477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503491 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503493 */     GIR_RootConstrainSelectedInstOperands,
     /*  503494 */     // GIR_Coverage, 62099,
     /*  503494 */     GIR_EraseRootFromParent_Done,
     /*  503495 */   // Label 8396: @503495
     /*  503495 */   GIM_Try, /*On fail goto*//*Label 8397*/ GIMT_Encode4(503563), // Rule ID 62100 //
     /*  503500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  503503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503532 */     // MIs[0] policy
     /*  503532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503542 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  503545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503559 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503561 */     GIR_RootConstrainSelectedInstOperands,
     /*  503562 */     // GIR_Coverage, 62100,
     /*  503562 */     GIR_EraseRootFromParent_Done,
     /*  503563 */   // Label 8397: @503563
     /*  503563 */   GIM_Try, /*On fail goto*//*Label 8398*/ GIMT_Encode4(503631), // Rule ID 62101 //
     /*  503568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  503571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  503579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  503582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  503585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  503600 */     // MIs[0] policy
     /*  503600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11320:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M4),
     /*  503613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503627 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503629 */     GIR_RootConstrainSelectedInstOperands,
     /*  503630 */     // GIR_Coverage, 62101,
     /*  503630 */     GIR_EraseRootFromParent_Done,
     /*  503631 */   // Label 8398: @503631
     /*  503631 */   GIM_Try, /*On fail goto*//*Label 8399*/ GIMT_Encode4(503699), // Rule ID 62102 //
     /*  503636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /*  503639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503668 */     // MIs[0] policy
     /*  503668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  503681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503695 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503697 */     GIR_RootConstrainSelectedInstOperands,
     /*  503698 */     // GIR_Coverage, 62102,
     /*  503698 */     GIR_EraseRootFromParent_Done,
     /*  503699 */   // Label 8399: @503699
     /*  503699 */   GIM_Try, /*On fail goto*//*Label 8400*/ GIMT_Encode4(503767), // Rule ID 62103 //
     /*  503704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /*  503707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vgmul_vv),
     /*  503712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  503715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  503718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  503721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  503736 */     // MIs[0] policy
     /*  503736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11320:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGMUL_VV_M8),
     /*  503749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503763 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503765 */     GIR_RootConstrainSelectedInstOperands,
     /*  503766 */     // GIR_Coverage, 62103,
     /*  503766 */     GIR_EraseRootFromParent_Done,
     /*  503767 */   // Label 8400: @503767
     /*  503767 */   GIM_Try, /*On fail goto*//*Label 8401*/ GIMT_Encode4(503835), // Rule ID 62104 //
     /*  503772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503804 */     // MIs[0] policy
     /*  503804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503814 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  503817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503831 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503833 */     GIR_RootConstrainSelectedInstOperands,
     /*  503834 */     // GIR_Coverage, 62104,
     /*  503834 */     GIR_EraseRootFromParent_Done,
     /*  503835 */   // Label 8401: @503835
     /*  503835 */   GIM_Try, /*On fail goto*//*Label 8402*/ GIMT_Encode4(503903), // Rule ID 62105 //
     /*  503840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  503851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  503854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  503857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503872 */     // MIs[0] policy
     /*  503872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503882 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  503882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_MF2),
     /*  503885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503899 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503901 */     GIR_RootConstrainSelectedInstOperands,
     /*  503902 */     // GIR_Coverage, 62105,
     /*  503902 */     GIR_EraseRootFromParent_Done,
     /*  503903 */   // Label 8402: @503903
     /*  503903 */   GIM_Try, /*On fail goto*//*Label 8403*/ GIMT_Encode4(503971), // Rule ID 62106 //
     /*  503908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  503911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  503928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  503940 */     // MIs[0] policy
     /*  503940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  503943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  503950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  503950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  503953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  503955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  503957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  503959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  503964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  503967 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  503969 */     GIR_RootConstrainSelectedInstOperands,
     /*  503970 */     // GIR_Coverage, 62106,
     /*  503970 */     GIR_EraseRootFromParent_Done,
     /*  503971 */   // Label 8403: @503971
     /*  503971 */   GIM_Try, /*On fail goto*//*Label 8404*/ GIMT_Encode4(504039), // Rule ID 62107 //
     /*  503976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  503979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  503984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  503987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  503990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  503993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  503996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504008 */     // MIs[0] policy
     /*  504008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11146:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M1),
     /*  504021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504035 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504037 */     GIR_RootConstrainSelectedInstOperands,
     /*  504038 */     // GIR_Coverage, 62107,
     /*  504038 */     GIR_EraseRootFromParent_Done,
     /*  504039 */   // Label 8404: @504039
     /*  504039 */   GIM_Try, /*On fail goto*//*Label 8405*/ GIMT_Encode4(504107), // Rule ID 62108 //
     /*  504044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  504052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504076 */     // MIs[0] policy
     /*  504076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504086 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  504089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504103 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504105 */     GIR_RootConstrainSelectedInstOperands,
     /*  504106 */     // GIR_Coverage, 62108,
     /*  504106 */     GIR_EraseRootFromParent_Done,
     /*  504107 */   // Label 8405: @504107
     /*  504107 */   GIM_Try, /*On fail goto*//*Label 8406*/ GIMT_Encode4(504175), // Rule ID 62109 //
     /*  504112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  504120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  504129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504144 */     // MIs[0] policy
     /*  504144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504154 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11146:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M2),
     /*  504157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504171 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504173 */     GIR_RootConstrainSelectedInstOperands,
     /*  504174 */     // GIR_Coverage, 62109,
     /*  504174 */     GIR_EraseRootFromParent_Done,
     /*  504175 */   // Label 8406: @504175
     /*  504175 */   GIM_Try, /*On fail goto*//*Label 8407*/ GIMT_Encode4(504243), // Rule ID 62110 //
     /*  504180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  504188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504212 */     // MIs[0] policy
     /*  504212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  504225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504239 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504241 */     GIR_RootConstrainSelectedInstOperands,
     /*  504242 */     // GIR_Coverage, 62110,
     /*  504242 */     GIR_EraseRootFromParent_Done,
     /*  504243 */   // Label 8407: @504243
     /*  504243 */   GIM_Try, /*On fail goto*//*Label 8408*/ GIMT_Encode4(504311), // Rule ID 62111 //
     /*  504248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  504256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  504259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  504262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  504265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  504280 */     // MIs[0] policy
     /*  504280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11146:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M4),
     /*  504293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504307 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504309 */     GIR_RootConstrainSelectedInstOperands,
     /*  504310 */     // GIR_Coverage, 62111,
     /*  504310 */     GIR_EraseRootFromParent_Done,
     /*  504311 */   // Label 8408: @504311
     /*  504311 */   GIM_Try, /*On fail goto*//*Label 8409*/ GIMT_Encode4(504379), // Rule ID 62112 //
     /*  504316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  504324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504348 */     // MIs[0] policy
     /*  504348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  504361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504375 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504377 */     GIR_RootConstrainSelectedInstOperands,
     /*  504378 */     // GIR_Coverage, 62112,
     /*  504378 */     GIR_EraseRootFromParent_Done,
     /*  504379 */   // Label 8409: @504379
     /*  504379 */   GIM_Try, /*On fail goto*//*Label 8410*/ GIMT_Encode4(504447), // Rule ID 62113 //
     /*  504384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vv),
     /*  504392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  504395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  504398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  504401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  504416 */     // MIs[0] policy
     /*  504416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11146:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VV_M8),
     /*  504429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504443 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504445 */     GIR_RootConstrainSelectedInstOperands,
     /*  504446 */     // GIR_Coverage, 62113,
     /*  504446 */     GIR_EraseRootFromParent_Done,
     /*  504447 */   // Label 8410: @504447
     /*  504447 */   GIM_Try, /*On fail goto*//*Label 8411*/ GIMT_Encode4(504515), // Rule ID 62114 //
     /*  504452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504484 */     // MIs[0] policy
     /*  504484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504494 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  504497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504511 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504513 */     GIR_RootConstrainSelectedInstOperands,
     /*  504514 */     // GIR_Coverage, 62114,
     /*  504514 */     GIR_EraseRootFromParent_Done,
     /*  504515 */   // Label 8411: @504515
     /*  504515 */   GIM_Try, /*On fail goto*//*Label 8412*/ GIMT_Encode4(504583), // Rule ID 62115 //
     /*  504520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504552 */     // MIs[0] policy
     /*  504552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_MF2),
     /*  504565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504579 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504581 */     GIR_RootConstrainSelectedInstOperands,
     /*  504582 */     // GIR_Coverage, 62115,
     /*  504582 */     GIR_EraseRootFromParent_Done,
     /*  504583 */   // Label 8412: @504583
     /*  504583 */   GIM_Try, /*On fail goto*//*Label 8413*/ GIMT_Encode4(504651), // Rule ID 62116 //
     /*  504588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504620 */     // MIs[0] policy
     /*  504620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  504633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504647 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504649 */     GIR_RootConstrainSelectedInstOperands,
     /*  504650 */     // GIR_Coverage, 62116,
     /*  504650 */     GIR_EraseRootFromParent_Done,
     /*  504651 */   // Label 8413: @504651
     /*  504651 */   GIM_Try, /*On fail goto*//*Label 8414*/ GIMT_Encode4(504719), // Rule ID 62117 //
     /*  504656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  504667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  504670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504688 */     // MIs[0] policy
     /*  504688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504698 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11145:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M1_M1),
     /*  504701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504715 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504717 */     GIR_RootConstrainSelectedInstOperands,
     /*  504718 */     // GIR_Coverage, 62117,
     /*  504718 */     GIR_EraseRootFromParent_Done,
     /*  504719 */   // Label 8414: @504719
     /*  504719 */   GIM_Try, /*On fail goto*//*Label 8415*/ GIMT_Encode4(504787), // Rule ID 62118 //
     /*  504724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504756 */     // MIs[0] policy
     /*  504756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  504769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504783 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504785 */     GIR_RootConstrainSelectedInstOperands,
     /*  504786 */     // GIR_Coverage, 62118,
     /*  504786 */     GIR_EraseRootFromParent_Done,
     /*  504787 */   // Label 8415: @504787
     /*  504787 */   GIM_Try, /*On fail goto*//*Label 8416*/ GIMT_Encode4(504855), // Rule ID 62119 //
     /*  504792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  504809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504824 */     // MIs[0] policy
     /*  504824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_MF2),
     /*  504837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504851 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504853 */     GIR_RootConstrainSelectedInstOperands,
     /*  504854 */     // GIR_Coverage, 62119,
     /*  504854 */     GIR_EraseRootFromParent_Done,
     /*  504855 */   // Label 8416: @504855
     /*  504855 */   GIM_Try, /*On fail goto*//*Label 8417*/ GIMT_Encode4(504923), // Rule ID 62120 //
     /*  504860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  504880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504892 */     // MIs[0] policy
     /*  504892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  504902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  504905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504919 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504921 */     GIR_RootConstrainSelectedInstOperands,
     /*  504922 */     // GIR_Coverage, 62120,
     /*  504922 */     GIR_EraseRootFromParent_Done,
     /*  504923 */   // Label 8417: @504923
     /*  504923 */   GIM_Try, /*On fail goto*//*Label 8418*/ GIMT_Encode4(504991), // Rule ID 62121 //
     /*  504928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  504931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  504936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  504939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  504942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  504945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  504948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  504956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  504960 */     // MIs[0] policy
     /*  504960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  504963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  504970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  504970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M1),
     /*  504973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  504975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  504977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  504979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  504984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  504987 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  504989 */     GIR_RootConstrainSelectedInstOperands,
     /*  504990 */     // GIR_Coverage, 62121,
     /*  504990 */     GIR_EraseRootFromParent_Done,
     /*  504991 */   // Label 8418: @504991
     /*  504991 */   GIM_Try, /*On fail goto*//*Label 8419*/ GIMT_Encode4(505059), // Rule ID 62122 //
     /*  504996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  504999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505028 */     // MIs[0] policy
     /*  505028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  505041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505055 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505057 */     GIR_RootConstrainSelectedInstOperands,
     /*  505058 */     // GIR_Coverage, 62122,
     /*  505058 */     GIR_EraseRootFromParent_Done,
     /*  505059 */   // Label 8419: @505059
     /*  505059 */   GIM_Try, /*On fail goto*//*Label 8420*/ GIMT_Encode4(505127), // Rule ID 62123 //
     /*  505064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  505075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  505078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505096 */     // MIs[0] policy
     /*  505096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11145:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M2_M2),
     /*  505109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505123 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505125 */     GIR_RootConstrainSelectedInstOperands,
     /*  505126 */     // GIR_Coverage, 62123,
     /*  505126 */     GIR_EraseRootFromParent_Done,
     /*  505127 */   // Label 8420: @505127
     /*  505127 */   GIM_Try, /*On fail goto*//*Label 8421*/ GIMT_Encode4(505195), // Rule ID 62124 //
     /*  505132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505164 */     // MIs[0] policy
     /*  505164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  505177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505191 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505193 */     GIR_RootConstrainSelectedInstOperands,
     /*  505194 */     // GIR_Coverage, 62124,
     /*  505194 */     GIR_EraseRootFromParent_Done,
     /*  505195 */   // Label 8421: @505195
     /*  505195 */   GIM_Try, /*On fail goto*//*Label 8422*/ GIMT_Encode4(505263), // Rule ID 62125 //
     /*  505200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505232 */     // MIs[0] policy
     /*  505232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505242 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_MF2),
     /*  505245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505259 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505261 */     GIR_RootConstrainSelectedInstOperands,
     /*  505262 */     // GIR_Coverage, 62125,
     /*  505262 */     GIR_EraseRootFromParent_Done,
     /*  505263 */   // Label 8422: @505263
     /*  505263 */   GIM_Try, /*On fail goto*//*Label 8423*/ GIMT_Encode4(505331), // Rule ID 62126 //
     /*  505268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505300 */     // MIs[0] policy
     /*  505300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  505313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505327 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505329 */     GIR_RootConstrainSelectedInstOperands,
     /*  505330 */     // GIR_Coverage, 62126,
     /*  505330 */     GIR_EraseRootFromParent_Done,
     /*  505331 */   // Label 8423: @505331
     /*  505331 */   GIM_Try, /*On fail goto*//*Label 8424*/ GIMT_Encode4(505399), // Rule ID 62127 //
     /*  505336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505368 */     // MIs[0] policy
     /*  505368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505378 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M1),
     /*  505381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505395 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505397 */     GIR_RootConstrainSelectedInstOperands,
     /*  505398 */     // GIR_Coverage, 62127,
     /*  505398 */     GIR_EraseRootFromParent_Done,
     /*  505399 */   // Label 8424: @505399
     /*  505399 */   GIM_Try, /*On fail goto*//*Label 8425*/ GIMT_Encode4(505467), // Rule ID 62128 //
     /*  505404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505436 */     // MIs[0] policy
     /*  505436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505446 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  505449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505463 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505465 */     GIR_RootConstrainSelectedInstOperands,
     /*  505466 */     // GIR_Coverage, 62128,
     /*  505466 */     GIR_EraseRootFromParent_Done,
     /*  505467 */   // Label 8425: @505467
     /*  505467 */   GIM_Try, /*On fail goto*//*Label 8426*/ GIMT_Encode4(505535), // Rule ID 62129 //
     /*  505472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505504 */     // MIs[0] policy
     /*  505504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505514 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M2),
     /*  505517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505531 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505533 */     GIR_RootConstrainSelectedInstOperands,
     /*  505534 */     // GIR_Coverage, 62129,
     /*  505534 */     GIR_EraseRootFromParent_Done,
     /*  505535 */   // Label 8426: @505535
     /*  505535 */   GIM_Try, /*On fail goto*//*Label 8427*/ GIMT_Encode4(505603), // Rule ID 62130 //
     /*  505540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505572 */     // MIs[0] policy
     /*  505572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  505585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505599 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505601 */     GIR_RootConstrainSelectedInstOperands,
     /*  505602 */     // GIR_Coverage, 62130,
     /*  505602 */     GIR_EraseRootFromParent_Done,
     /*  505603 */   // Label 8427: @505603
     /*  505603 */   GIM_Try, /*On fail goto*//*Label 8428*/ GIMT_Encode4(505671), // Rule ID 62131 //
     /*  505608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  505619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  505622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  505625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  505640 */     // MIs[0] policy
     /*  505640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505650 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11145:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M4_M4),
     /*  505653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505667 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505669 */     GIR_RootConstrainSelectedInstOperands,
     /*  505670 */     // GIR_Coverage, 62131,
     /*  505670 */     GIR_EraseRootFromParent_Done,
     /*  505671 */   // Label 8428: @505671
     /*  505671 */   GIM_Try, /*On fail goto*//*Label 8429*/ GIMT_Encode4(505739), // Rule ID 62132 //
     /*  505676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505708 */     // MIs[0] policy
     /*  505708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505718 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  505721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505735 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505737 */     GIR_RootConstrainSelectedInstOperands,
     /*  505738 */     // GIR_Coverage, 62132,
     /*  505738 */     GIR_EraseRootFromParent_Done,
     /*  505739 */   // Label 8429: @505739
     /*  505739 */   GIM_Try, /*On fail goto*//*Label 8430*/ GIMT_Encode4(505807), // Rule ID 62133 //
     /*  505744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  505761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505776 */     // MIs[0] policy
     /*  505776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_MF2),
     /*  505789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505803 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505805 */     GIR_RootConstrainSelectedInstOperands,
     /*  505806 */     // GIR_Coverage, 62133,
     /*  505806 */     GIR_EraseRootFromParent_Done,
     /*  505807 */   // Label 8430: @505807
     /*  505807 */   GIM_Try, /*On fail goto*//*Label 8431*/ GIMT_Encode4(505875), // Rule ID 62134 //
     /*  505812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505844 */     // MIs[0] policy
     /*  505844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  505857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505871 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505873 */     GIR_RootConstrainSelectedInstOperands,
     /*  505874 */     // GIR_Coverage, 62134,
     /*  505874 */     GIR_EraseRootFromParent_Done,
     /*  505875 */   // Label 8431: @505875
     /*  505875 */   GIM_Try, /*On fail goto*//*Label 8432*/ GIMT_Encode4(505943), // Rule ID 62135 //
     /*  505880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  505883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  505897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  505900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  505912 */     // MIs[0] policy
     /*  505912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  505922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M1),
     /*  505925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  505936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  505939 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  505941 */     GIR_RootConstrainSelectedInstOperands,
     /*  505942 */     // GIR_Coverage, 62135,
     /*  505942 */     GIR_EraseRootFromParent_Done,
     /*  505943 */   // Label 8432: @505943
     /*  505943 */   GIM_Try, /*On fail goto*//*Label 8433*/ GIMT_Encode4(506011), // Rule ID 62136 //
     /*  505948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  505951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  505956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  505959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  505962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  505965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  505968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  505976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  505980 */     // MIs[0] policy
     /*  505980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  505983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  505990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  505990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  505993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  505995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  505997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  505999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506007 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506009 */     GIR_RootConstrainSelectedInstOperands,
     /*  506010 */     // GIR_Coverage, 62136,
     /*  506010 */     GIR_EraseRootFromParent_Done,
     /*  506011 */   // Label 8433: @506011
     /*  506011 */   GIM_Try, /*On fail goto*//*Label 8434*/ GIMT_Encode4(506079), // Rule ID 62137 //
     /*  506016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  506024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506048 */     // MIs[0] policy
     /*  506048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506058 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M2),
     /*  506061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506075 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506077 */     GIR_RootConstrainSelectedInstOperands,
     /*  506078 */     // GIR_Coverage, 62137,
     /*  506078 */     GIR_EraseRootFromParent_Done,
     /*  506079 */   // Label 8434: @506079
     /*  506079 */   GIM_Try, /*On fail goto*//*Label 8435*/ GIMT_Encode4(506147), // Rule ID 62138 //
     /*  506084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  506092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506116 */     // MIs[0] policy
     /*  506116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506126 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  506129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506143 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506145 */     GIR_RootConstrainSelectedInstOperands,
     /*  506146 */     // GIR_Coverage, 62138,
     /*  506146 */     GIR_EraseRootFromParent_Done,
     /*  506147 */   // Label 8435: @506147
     /*  506147 */   GIM_Try, /*On fail goto*//*Label 8436*/ GIMT_Encode4(506215), // Rule ID 62139 //
     /*  506152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdf_vs),
     /*  506160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506184 */     // MIs[0] policy
     /*  506184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11145:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDF_VS_M8_M4),
     /*  506197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506211 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506213 */     GIR_RootConstrainSelectedInstOperands,
     /*  506214 */     // GIR_Coverage, 62139,
     /*  506214 */     GIR_EraseRootFromParent_Done,
     /*  506215 */   // Label 8436: @506215
     /*  506215 */   GIM_Try, /*On fail goto*//*Label 8437*/ GIMT_Encode4(506283), // Rule ID 62140 //
     /*  506220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506252 */     // MIs[0] policy
     /*  506252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  506265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506279 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506281 */     GIR_RootConstrainSelectedInstOperands,
     /*  506282 */     // GIR_Coverage, 62140,
     /*  506282 */     GIR_EraseRootFromParent_Done,
     /*  506283 */   // Label 8437: @506283
     /*  506283 */   GIM_Try, /*On fail goto*//*Label 8438*/ GIMT_Encode4(506351), // Rule ID 62141 //
     /*  506288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506320 */     // MIs[0] policy
     /*  506320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_MF2),
     /*  506333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506347 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506349 */     GIR_RootConstrainSelectedInstOperands,
     /*  506350 */     // GIR_Coverage, 62141,
     /*  506350 */     GIR_EraseRootFromParent_Done,
     /*  506351 */   // Label 8438: @506351
     /*  506351 */   GIM_Try, /*On fail goto*//*Label 8439*/ GIMT_Encode4(506419), // Rule ID 62142 //
     /*  506356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506388 */     // MIs[0] policy
     /*  506388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  506401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506415 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506417 */     GIR_RootConstrainSelectedInstOperands,
     /*  506418 */     // GIR_Coverage, 62142,
     /*  506418 */     GIR_EraseRootFromParent_Done,
     /*  506419 */   // Label 8439: @506419
     /*  506419 */   GIM_Try, /*On fail goto*//*Label 8440*/ GIMT_Encode4(506487), // Rule ID 62143 //
     /*  506424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  506435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  506438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  506441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506456 */     // MIs[0] policy
     /*  506456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11148:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M1),
     /*  506469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506483 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506485 */     GIR_RootConstrainSelectedInstOperands,
     /*  506486 */     // GIR_Coverage, 62143,
     /*  506486 */     GIR_EraseRootFromParent_Done,
     /*  506487 */   // Label 8440: @506487
     /*  506487 */   GIM_Try, /*On fail goto*//*Label 8441*/ GIMT_Encode4(506555), // Rule ID 62144 //
     /*  506492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506524 */     // MIs[0] policy
     /*  506524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506534 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  506537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506551 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506553 */     GIR_RootConstrainSelectedInstOperands,
     /*  506554 */     // GIR_Coverage, 62144,
     /*  506554 */     GIR_EraseRootFromParent_Done,
     /*  506555 */   // Label 8441: @506555
     /*  506555 */   GIM_Try, /*On fail goto*//*Label 8442*/ GIMT_Encode4(506623), // Rule ID 62145 //
     /*  506560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  506571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  506574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  506577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  506592 */     // MIs[0] policy
     /*  506592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11148:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M2),
     /*  506605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506619 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506621 */     GIR_RootConstrainSelectedInstOperands,
     /*  506622 */     // GIR_Coverage, 62145,
     /*  506622 */     GIR_EraseRootFromParent_Done,
     /*  506623 */   // Label 8442: @506623
     /*  506623 */   GIM_Try, /*On fail goto*//*Label 8443*/ GIMT_Encode4(506691), // Rule ID 62146 //
     /*  506628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506660 */     // MIs[0] policy
     /*  506660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506670 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  506673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506687 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506689 */     GIR_RootConstrainSelectedInstOperands,
     /*  506690 */     // GIR_Coverage, 62146,
     /*  506690 */     GIR_EraseRootFromParent_Done,
     /*  506691 */   // Label 8443: @506691
     /*  506691 */   GIM_Try, /*On fail goto*//*Label 8444*/ GIMT_Encode4(506759), // Rule ID 62147 //
     /*  506696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  506707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  506710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  506713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  506728 */     // MIs[0] policy
     /*  506728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506738 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11148:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M4),
     /*  506741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506755 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506757 */     GIR_RootConstrainSelectedInstOperands,
     /*  506758 */     // GIR_Coverage, 62147,
     /*  506758 */     GIR_EraseRootFromParent_Done,
     /*  506759 */   // Label 8444: @506759
     /*  506759 */   GIM_Try, /*On fail goto*//*Label 8445*/ GIMT_Encode4(506827), // Rule ID 62148 //
     /*  506764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506796 */     // MIs[0] policy
     /*  506796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  506809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506823 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506825 */     GIR_RootConstrainSelectedInstOperands,
     /*  506826 */     // GIR_Coverage, 62148,
     /*  506826 */     GIR_EraseRootFromParent_Done,
     /*  506827 */   // Label 8445: @506827
     /*  506827 */   GIM_Try, /*On fail goto*//*Label 8446*/ GIMT_Encode4(506895), // Rule ID 62149 //
     /*  506832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vv),
     /*  506840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  506843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  506846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  506849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  506864 */     // MIs[0] policy
     /*  506864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506874 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11148:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  506874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VV_M8),
     /*  506877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506891 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506893 */     GIR_RootConstrainSelectedInstOperands,
     /*  506894 */     // GIR_Coverage, 62149,
     /*  506894 */     GIR_EraseRootFromParent_Done,
     /*  506895 */   // Label 8446: @506895
     /*  506895 */   GIM_Try, /*On fail goto*//*Label 8447*/ GIMT_Encode4(506963), // Rule ID 62150 //
     /*  506900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  506903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  506920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506932 */     // MIs[0] policy
     /*  506932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  506935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  506942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  506942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  506945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  506947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  506949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  506951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  506956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  506959 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  506961 */     GIR_RootConstrainSelectedInstOperands,
     /*  506962 */     // GIR_Coverage, 62150,
     /*  506962 */     GIR_EraseRootFromParent_Done,
     /*  506963 */   // Label 8447: @506963
     /*  506963 */   GIM_Try, /*On fail goto*//*Label 8448*/ GIMT_Encode4(507031), // Rule ID 62151 //
     /*  506968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  506971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  506976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  506979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  506982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  506985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  506988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  506996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507000 */     // MIs[0] policy
     /*  507000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_MF2_MF2),
     /*  507013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507027 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507029 */     GIR_RootConstrainSelectedInstOperands,
     /*  507030 */     // GIR_Coverage, 62151,
     /*  507030 */     GIR_EraseRootFromParent_Done,
     /*  507031 */   // Label 8448: @507031
     /*  507031 */   GIM_Try, /*On fail goto*//*Label 8449*/ GIMT_Encode4(507099), // Rule ID 62152 //
     /*  507036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507068 */     // MIs[0] policy
     /*  507068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  507081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507095 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507097 */     GIR_RootConstrainSelectedInstOperands,
     /*  507098 */     // GIR_Coverage, 62152,
     /*  507098 */     GIR_EraseRootFromParent_Done,
     /*  507099 */   // Label 8449: @507099
     /*  507099 */   GIM_Try, /*On fail goto*//*Label 8450*/ GIMT_Encode4(507167), // Rule ID 62153 //
     /*  507104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507136 */     // MIs[0] policy
     /*  507136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_MF2),
     /*  507149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507163 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507165 */     GIR_RootConstrainSelectedInstOperands,
     /*  507166 */     // GIR_Coverage, 62153,
     /*  507166 */     GIR_EraseRootFromParent_Done,
     /*  507167 */   // Label 8450: @507167
     /*  507167 */   GIM_Try, /*On fail goto*//*Label 8451*/ GIMT_Encode4(507235), // Rule ID 62154 //
     /*  507172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507204 */     // MIs[0] policy
     /*  507204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  507217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507231 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507233 */     GIR_RootConstrainSelectedInstOperands,
     /*  507234 */     // GIR_Coverage, 62154,
     /*  507234 */     GIR_EraseRootFromParent_Done,
     /*  507235 */   // Label 8451: @507235
     /*  507235 */   GIM_Try, /*On fail goto*//*Label 8452*/ GIMT_Encode4(507303), // Rule ID 62155 //
     /*  507240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  507251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  507254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507272 */     // MIs[0] policy
     /*  507272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11147:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M1_M1),
     /*  507285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507299 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507301 */     GIR_RootConstrainSelectedInstOperands,
     /*  507302 */     // GIR_Coverage, 62155,
     /*  507302 */     GIR_EraseRootFromParent_Done,
     /*  507303 */   // Label 8452: @507303
     /*  507303 */   GIM_Try, /*On fail goto*//*Label 8453*/ GIMT_Encode4(507371), // Rule ID 62156 //
     /*  507308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507340 */     // MIs[0] policy
     /*  507340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  507353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507367 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507369 */     GIR_RootConstrainSelectedInstOperands,
     /*  507370 */     // GIR_Coverage, 62156,
     /*  507370 */     GIR_EraseRootFromParent_Done,
     /*  507371 */   // Label 8453: @507371
     /*  507371 */   GIM_Try, /*On fail goto*//*Label 8454*/ GIMT_Encode4(507439), // Rule ID 62157 //
     /*  507376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507408 */     // MIs[0] policy
     /*  507408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507418 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_MF2),
     /*  507421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507435 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507437 */     GIR_RootConstrainSelectedInstOperands,
     /*  507438 */     // GIR_Coverage, 62157,
     /*  507438 */     GIR_EraseRootFromParent_Done,
     /*  507439 */   // Label 8454: @507439
     /*  507439 */   GIM_Try, /*On fail goto*//*Label 8455*/ GIMT_Encode4(507507), // Rule ID 62158 //
     /*  507444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507476 */     // MIs[0] policy
     /*  507476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507486 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  507489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507503 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507505 */     GIR_RootConstrainSelectedInstOperands,
     /*  507506 */     // GIR_Coverage, 62158,
     /*  507506 */     GIR_EraseRootFromParent_Done,
     /*  507507 */   // Label 8455: @507507
     /*  507507 */   GIM_Try, /*On fail goto*//*Label 8456*/ GIMT_Encode4(507575), // Rule ID 62159 //
     /*  507512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507544 */     // MIs[0] policy
     /*  507544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M1),
     /*  507557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507571 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507573 */     GIR_RootConstrainSelectedInstOperands,
     /*  507574 */     // GIR_Coverage, 62159,
     /*  507574 */     GIR_EraseRootFromParent_Done,
     /*  507575 */   // Label 8456: @507575
     /*  507575 */   GIM_Try, /*On fail goto*//*Label 8457*/ GIMT_Encode4(507643), // Rule ID 62160 //
     /*  507580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507612 */     // MIs[0] policy
     /*  507612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  507625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507639 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507641 */     GIR_RootConstrainSelectedInstOperands,
     /*  507642 */     // GIR_Coverage, 62160,
     /*  507642 */     GIR_EraseRootFromParent_Done,
     /*  507643 */   // Label 8457: @507643
     /*  507643 */   GIM_Try, /*On fail goto*//*Label 8458*/ GIMT_Encode4(507711), // Rule ID 62161 //
     /*  507648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  507659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  507662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  507665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  507680 */     // MIs[0] policy
     /*  507680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507690 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11147:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M2_M2),
     /*  507693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507707 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507709 */     GIR_RootConstrainSelectedInstOperands,
     /*  507710 */     // GIR_Coverage, 62161,
     /*  507710 */     GIR_EraseRootFromParent_Done,
     /*  507711 */   // Label 8458: @507711
     /*  507711 */   GIM_Try, /*On fail goto*//*Label 8459*/ GIMT_Encode4(507779), // Rule ID 62162 //
     /*  507716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507748 */     // MIs[0] policy
     /*  507748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507758 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  507761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507775 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507777 */     GIR_RootConstrainSelectedInstOperands,
     /*  507778 */     // GIR_Coverage, 62162,
     /*  507778 */     GIR_EraseRootFromParent_Done,
     /*  507779 */   // Label 8459: @507779
     /*  507779 */   GIM_Try, /*On fail goto*//*Label 8460*/ GIMT_Encode4(507847), // Rule ID 62163 //
     /*  507784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  507801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507816 */     // MIs[0] policy
     /*  507816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_MF2),
     /*  507829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507843 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507845 */     GIR_RootConstrainSelectedInstOperands,
     /*  507846 */     // GIR_Coverage, 62163,
     /*  507846 */     GIR_EraseRootFromParent_Done,
     /*  507847 */   // Label 8460: @507847
     /*  507847 */   GIM_Try, /*On fail goto*//*Label 8461*/ GIMT_Encode4(507915), // Rule ID 62164 //
     /*  507852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  507872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507884 */     // MIs[0] policy
     /*  507884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  507894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  507897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507911 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507913 */     GIR_RootConstrainSelectedInstOperands,
     /*  507914 */     // GIR_Coverage, 62164,
     /*  507914 */     GIR_EraseRootFromParent_Done,
     /*  507915 */   // Label 8461: @507915
     /*  507915 */   GIM_Try, /*On fail goto*//*Label 8462*/ GIMT_Encode4(507983), // Rule ID 62165 //
     /*  507920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  507923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  507934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  507937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  507940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  507948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  507952 */     // MIs[0] policy
     /*  507952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  507955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  507962 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  507962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M1),
     /*  507965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  507967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  507969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  507971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  507976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  507979 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  507981 */     GIR_RootConstrainSelectedInstOperands,
     /*  507982 */     // GIR_Coverage, 62165,
     /*  507982 */     GIR_EraseRootFromParent_Done,
     /*  507983 */   // Label 8462: @507983
     /*  507983 */   GIM_Try, /*On fail goto*//*Label 8463*/ GIMT_Encode4(508051), // Rule ID 62166 //
     /*  507988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  507991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  507996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  507999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508020 */     // MIs[0] policy
     /*  508020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508030 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  508033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508047 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508049 */     GIR_RootConstrainSelectedInstOperands,
     /*  508050 */     // GIR_Coverage, 62166,
     /*  508050 */     GIR_EraseRootFromParent_Done,
     /*  508051 */   // Label 8463: @508051
     /*  508051 */   GIM_Try, /*On fail goto*//*Label 8464*/ GIMT_Encode4(508119), // Rule ID 62167 //
     /*  508056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508088 */     // MIs[0] policy
     /*  508088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M2),
     /*  508101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508115 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508117 */     GIR_RootConstrainSelectedInstOperands,
     /*  508118 */     // GIR_Coverage, 62167,
     /*  508118 */     GIR_EraseRootFromParent_Done,
     /*  508119 */   // Label 8464: @508119
     /*  508119 */   GIM_Try, /*On fail goto*//*Label 8465*/ GIMT_Encode4(508187), // Rule ID 62168 //
     /*  508124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508156 */     // MIs[0] policy
     /*  508156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508166 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  508169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508183 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508185 */     GIR_RootConstrainSelectedInstOperands,
     /*  508186 */     // GIR_Coverage, 62168,
     /*  508186 */     GIR_EraseRootFromParent_Done,
     /*  508187 */   // Label 8465: @508187
     /*  508187 */   GIM_Try, /*On fail goto*//*Label 8466*/ GIMT_Encode4(508255), // Rule ID 62169 //
     /*  508192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  508203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  508206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508224 */     // MIs[0] policy
     /*  508224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11147:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M4_M4),
     /*  508237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508251 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508253 */     GIR_RootConstrainSelectedInstOperands,
     /*  508254 */     // GIR_Coverage, 62169,
     /*  508254 */     GIR_EraseRootFromParent_Done,
     /*  508255 */   // Label 8466: @508255
     /*  508255 */   GIM_Try, /*On fail goto*//*Label 8467*/ GIMT_Encode4(508323), // Rule ID 62170 //
     /*  508260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508292 */     // MIs[0] policy
     /*  508292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508302 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  508305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508319 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508321 */     GIR_RootConstrainSelectedInstOperands,
     /*  508322 */     // GIR_Coverage, 62170,
     /*  508322 */     GIR_EraseRootFromParent_Done,
     /*  508323 */   // Label 8467: @508323
     /*  508323 */   GIM_Try, /*On fail goto*//*Label 8468*/ GIMT_Encode4(508391), // Rule ID 62171 //
     /*  508328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508360 */     // MIs[0] policy
     /*  508360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_MF2),
     /*  508373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508387 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508389 */     GIR_RootConstrainSelectedInstOperands,
     /*  508390 */     // GIR_Coverage, 62171,
     /*  508390 */     GIR_EraseRootFromParent_Done,
     /*  508391 */   // Label 8468: @508391
     /*  508391 */   GIM_Try, /*On fail goto*//*Label 8469*/ GIMT_Encode4(508459), // Rule ID 62172 //
     /*  508396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508428 */     // MIs[0] policy
     /*  508428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508438 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  508441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508455 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508457 */     GIR_RootConstrainSelectedInstOperands,
     /*  508458 */     // GIR_Coverage, 62172,
     /*  508458 */     GIR_EraseRootFromParent_Done,
     /*  508459 */   // Label 8469: @508459
     /*  508459 */   GIM_Try, /*On fail goto*//*Label 8470*/ GIMT_Encode4(508527), // Rule ID 62173 //
     /*  508464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508496 */     // MIs[0] policy
     /*  508496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M1),
     /*  508509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508523 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508525 */     GIR_RootConstrainSelectedInstOperands,
     /*  508526 */     // GIR_Coverage, 62173,
     /*  508526 */     GIR_EraseRootFromParent_Done,
     /*  508527 */   // Label 8470: @508527
     /*  508527 */   GIM_Try, /*On fail goto*//*Label 8471*/ GIMT_Encode4(508595), // Rule ID 62174 //
     /*  508532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508564 */     // MIs[0] policy
     /*  508564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  508577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508591 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508593 */     GIR_RootConstrainSelectedInstOperands,
     /*  508594 */     // GIR_Coverage, 62174,
     /*  508594 */     GIR_EraseRootFromParent_Done,
     /*  508595 */   // Label 8471: @508595
     /*  508595 */   GIM_Try, /*On fail goto*//*Label 8472*/ GIMT_Encode4(508663), // Rule ID 62175 //
     /*  508600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  508617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  508632 */     // MIs[0] policy
     /*  508632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M2),
     /*  508645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508659 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508661 */     GIR_RootConstrainSelectedInstOperands,
     /*  508662 */     // GIR_Coverage, 62175,
     /*  508662 */     GIR_EraseRootFromParent_Done,
     /*  508663 */   // Label 8472: @508663
     /*  508663 */   GIM_Try, /*On fail goto*//*Label 8473*/ GIMT_Encode4(508731), // Rule ID 62176 //
     /*  508668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508700 */     // MIs[0] policy
     /*  508700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  508713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508727 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508729 */     GIR_RootConstrainSelectedInstOperands,
     /*  508730 */     // GIR_Coverage, 62176,
     /*  508730 */     GIR_EraseRootFromParent_Done,
     /*  508731 */   // Label 8473: @508731
     /*  508731 */   GIM_Try, /*On fail goto*//*Label 8474*/ GIMT_Encode4(508799), // Rule ID 62177 //
     /*  508736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesdm_vs),
     /*  508744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  508747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  508750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  508753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  508764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  508768 */     // MIs[0] policy
     /*  508768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11147:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESDM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESDM_VS_M8_M4),
     /*  508781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508795 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508797 */     GIR_RootConstrainSelectedInstOperands,
     /*  508798 */     // GIR_Coverage, 62177,
     /*  508798 */     GIR_EraseRootFromParent_Done,
     /*  508799 */   // Label 8474: @508799
     /*  508799 */   GIM_Try, /*On fail goto*//*Label 8475*/ GIMT_Encode4(508867), // Rule ID 62178 //
     /*  508804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508836 */     // MIs[0] policy
     /*  508836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  508849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508863 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508865 */     GIR_RootConstrainSelectedInstOperands,
     /*  508866 */     // GIR_Coverage, 62178,
     /*  508866 */     GIR_EraseRootFromParent_Done,
     /*  508867 */   // Label 8475: @508867
     /*  508867 */   GIM_Try, /*On fail goto*//*Label 8476*/ GIMT_Encode4(508935), // Rule ID 62179 //
     /*  508872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  508875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  508883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  508886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  508889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  508892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508904 */     // MIs[0] policy
     /*  508904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508914 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  508914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_MF2),
     /*  508917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508931 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  508933 */     GIR_RootConstrainSelectedInstOperands,
     /*  508934 */     // GIR_Coverage, 62179,
     /*  508934 */     GIR_EraseRootFromParent_Done,
     /*  508935 */   // Label 8476: @508935
     /*  508935 */   GIM_Try, /*On fail goto*//*Label 8477*/ GIMT_Encode4(509003), // Rule ID 62180 //
     /*  508940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  508943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  508948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  508951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  508954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  508957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  508960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  508972 */     // MIs[0] policy
     /*  508972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  508975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  508982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  508982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  508985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  508987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  508989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  508991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  508996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  508999 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509001 */     GIR_RootConstrainSelectedInstOperands,
     /*  509002 */     // GIR_Coverage, 62180,
     /*  509002 */     GIR_EraseRootFromParent_Done,
     /*  509003 */   // Label 8477: @509003
     /*  509003 */   GIM_Try, /*On fail goto*//*Label 8478*/ GIMT_Encode4(509071), // Rule ID 62181 //
     /*  509008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  509016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509040 */     // MIs[0] policy
     /*  509040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11150:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M1),
     /*  509053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509067 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509069 */     GIR_RootConstrainSelectedInstOperands,
     /*  509070 */     // GIR_Coverage, 62181,
     /*  509070 */     GIR_EraseRootFromParent_Done,
     /*  509071 */   // Label 8478: @509071
     /*  509071 */   GIM_Try, /*On fail goto*//*Label 8479*/ GIMT_Encode4(509139), // Rule ID 62182 //
     /*  509076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  509084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509108 */     // MIs[0] policy
     /*  509108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  509121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509135 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509137 */     GIR_RootConstrainSelectedInstOperands,
     /*  509138 */     // GIR_Coverage, 62182,
     /*  509138 */     GIR_EraseRootFromParent_Done,
     /*  509139 */   // Label 8479: @509139
     /*  509139 */   GIM_Try, /*On fail goto*//*Label 8480*/ GIMT_Encode4(509207), // Rule ID 62183 //
     /*  509144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  509152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  509161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509176 */     // MIs[0] policy
     /*  509176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11150:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M2),
     /*  509189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509203 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509205 */     GIR_RootConstrainSelectedInstOperands,
     /*  509206 */     // GIR_Coverage, 62183,
     /*  509206 */     GIR_EraseRootFromParent_Done,
     /*  509207 */   // Label 8480: @509207
     /*  509207 */   GIM_Try, /*On fail goto*//*Label 8481*/ GIMT_Encode4(509275), // Rule ID 62184 //
     /*  509212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  509220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509244 */     // MIs[0] policy
     /*  509244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509254 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  509257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509271 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509273 */     GIR_RootConstrainSelectedInstOperands,
     /*  509274 */     // GIR_Coverage, 62184,
     /*  509274 */     GIR_EraseRootFromParent_Done,
     /*  509275 */   // Label 8481: @509275
     /*  509275 */   GIM_Try, /*On fail goto*//*Label 8482*/ GIMT_Encode4(509343), // Rule ID 62185 //
     /*  509280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  509288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  509291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  509294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  509297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  509312 */     // MIs[0] policy
     /*  509312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11150:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M4),
     /*  509325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509339 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509341 */     GIR_RootConstrainSelectedInstOperands,
     /*  509342 */     // GIR_Coverage, 62185,
     /*  509342 */     GIR_EraseRootFromParent_Done,
     /*  509343 */   // Label 8482: @509343
     /*  509343 */   GIM_Try, /*On fail goto*//*Label 8483*/ GIMT_Encode4(509411), // Rule ID 62186 //
     /*  509348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  509356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  509365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509380 */     // MIs[0] policy
     /*  509380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509390 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  509393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509407 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509409 */     GIR_RootConstrainSelectedInstOperands,
     /*  509410 */     // GIR_Coverage, 62186,
     /*  509410 */     GIR_EraseRootFromParent_Done,
     /*  509411 */   // Label 8483: @509411
     /*  509411 */   GIM_Try, /*On fail goto*//*Label 8484*/ GIMT_Encode4(509479), // Rule ID 62187 //
     /*  509416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vv),
     /*  509424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  509427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  509430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  509433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  509448 */     // MIs[0] policy
     /*  509448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11150:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VV_M8),
     /*  509461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509475 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509477 */     GIR_RootConstrainSelectedInstOperands,
     /*  509478 */     // GIR_Coverage, 62187,
     /*  509478 */     GIR_EraseRootFromParent_Done,
     /*  509479 */   // Label 8484: @509479
     /*  509479 */   GIM_Try, /*On fail goto*//*Label 8485*/ GIMT_Encode4(509547), // Rule ID 62188 //
     /*  509484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509516 */     // MIs[0] policy
     /*  509516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509526 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  509529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509543 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509545 */     GIR_RootConstrainSelectedInstOperands,
     /*  509546 */     // GIR_Coverage, 62188,
     /*  509546 */     GIR_EraseRootFromParent_Done,
     /*  509547 */   // Label 8485: @509547
     /*  509547 */   GIM_Try, /*On fail goto*//*Label 8486*/ GIMT_Encode4(509615), // Rule ID 62189 //
     /*  509552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  509563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  509566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509584 */     // MIs[0] policy
     /*  509584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509594 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_MF2_MF2),
     /*  509597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509611 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509613 */     GIR_RootConstrainSelectedInstOperands,
     /*  509614 */     // GIR_Coverage, 62189,
     /*  509614 */     GIR_EraseRootFromParent_Done,
     /*  509615 */   // Label 8486: @509615
     /*  509615 */   GIM_Try, /*On fail goto*//*Label 8487*/ GIMT_Encode4(509683), // Rule ID 62190 //
     /*  509620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509652 */     // MIs[0] policy
     /*  509652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  509665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509679 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509681 */     GIR_RootConstrainSelectedInstOperands,
     /*  509682 */     // GIR_Coverage, 62190,
     /*  509682 */     GIR_EraseRootFromParent_Done,
     /*  509683 */   // Label 8487: @509683
     /*  509683 */   GIM_Try, /*On fail goto*//*Label 8488*/ GIMT_Encode4(509751), // Rule ID 62191 //
     /*  509688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509720 */     // MIs[0] policy
     /*  509720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_MF2),
     /*  509733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509747 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509749 */     GIR_RootConstrainSelectedInstOperands,
     /*  509750 */     // GIR_Coverage, 62191,
     /*  509750 */     GIR_EraseRootFromParent_Done,
     /*  509751 */   // Label 8488: @509751
     /*  509751 */   GIM_Try, /*On fail goto*//*Label 8489*/ GIMT_Encode4(509819), // Rule ID 62192 //
     /*  509756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509788 */     // MIs[0] policy
     /*  509788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  509801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509815 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509817 */     GIR_RootConstrainSelectedInstOperands,
     /*  509818 */     // GIR_Coverage, 62192,
     /*  509818 */     GIR_EraseRootFromParent_Done,
     /*  509819 */   // Label 8489: @509819
     /*  509819 */   GIM_Try, /*On fail goto*//*Label 8490*/ GIMT_Encode4(509887), // Rule ID 62193 //
     /*  509824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  509835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  509838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  509841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509856 */     // MIs[0] policy
     /*  509856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11149:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  509866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M1_M1),
     /*  509869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509883 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509885 */     GIR_RootConstrainSelectedInstOperands,
     /*  509886 */     // GIR_Coverage, 62193,
     /*  509886 */     GIR_EraseRootFromParent_Done,
     /*  509887 */   // Label 8490: @509887
     /*  509887 */   GIM_Try, /*On fail goto*//*Label 8491*/ GIMT_Encode4(509955), // Rule ID 62194 //
     /*  509892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  509895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  509912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509924 */     // MIs[0] policy
     /*  509924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  509934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  509934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  509937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  509939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  509941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  509943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  509948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  509951 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  509953 */     GIR_RootConstrainSelectedInstOperands,
     /*  509954 */     // GIR_Coverage, 62194,
     /*  509954 */     GIR_EraseRootFromParent_Done,
     /*  509955 */   // Label 8491: @509955
     /*  509955 */   GIM_Try, /*On fail goto*//*Label 8492*/ GIMT_Encode4(510023), // Rule ID 62195 //
     /*  509960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  509963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  509968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  509971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  509974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  509977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  509980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  509988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  509992 */     // MIs[0] policy
     /*  509992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  509995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_MF2),
     /*  510005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510019 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510021 */     GIR_RootConstrainSelectedInstOperands,
     /*  510022 */     // GIR_Coverage, 62195,
     /*  510022 */     GIR_EraseRootFromParent_Done,
     /*  510023 */   // Label 8492: @510023
     /*  510023 */   GIM_Try, /*On fail goto*//*Label 8493*/ GIMT_Encode4(510091), // Rule ID 62196 //
     /*  510028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510060 */     // MIs[0] policy
     /*  510060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  510073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510087 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510089 */     GIR_RootConstrainSelectedInstOperands,
     /*  510090 */     // GIR_Coverage, 62196,
     /*  510090 */     GIR_EraseRootFromParent_Done,
     /*  510091 */   // Label 8493: @510091
     /*  510091 */   GIM_Try, /*On fail goto*//*Label 8494*/ GIMT_Encode4(510159), // Rule ID 62197 //
     /*  510096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510128 */     // MIs[0] policy
     /*  510128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M1),
     /*  510141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510155 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510157 */     GIR_RootConstrainSelectedInstOperands,
     /*  510158 */     // GIR_Coverage, 62197,
     /*  510158 */     GIR_EraseRootFromParent_Done,
     /*  510159 */   // Label 8494: @510159
     /*  510159 */   GIM_Try, /*On fail goto*//*Label 8495*/ GIMT_Encode4(510227), // Rule ID 62198 //
     /*  510164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510196 */     // MIs[0] policy
     /*  510196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510206 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  510209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510223 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510225 */     GIR_RootConstrainSelectedInstOperands,
     /*  510226 */     // GIR_Coverage, 62198,
     /*  510226 */     GIR_EraseRootFromParent_Done,
     /*  510227 */   // Label 8495: @510227
     /*  510227 */   GIM_Try, /*On fail goto*//*Label 8496*/ GIMT_Encode4(510295), // Rule ID 62199 //
     /*  510232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  510243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  510246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510264 */     // MIs[0] policy
     /*  510264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11149:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M2_M2),
     /*  510277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510291 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510293 */     GIR_RootConstrainSelectedInstOperands,
     /*  510294 */     // GIR_Coverage, 62199,
     /*  510294 */     GIR_EraseRootFromParent_Done,
     /*  510295 */   // Label 8496: @510295
     /*  510295 */   GIM_Try, /*On fail goto*//*Label 8497*/ GIMT_Encode4(510363), // Rule ID 62200 //
     /*  510300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510332 */     // MIs[0] policy
     /*  510332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  510345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510359 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510361 */     GIR_RootConstrainSelectedInstOperands,
     /*  510362 */     // GIR_Coverage, 62200,
     /*  510362 */     GIR_EraseRootFromParent_Done,
     /*  510363 */   // Label 8497: @510363
     /*  510363 */   GIM_Try, /*On fail goto*//*Label 8498*/ GIMT_Encode4(510431), // Rule ID 62201 //
     /*  510368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510400 */     // MIs[0] policy
     /*  510400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510410 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_MF2),
     /*  510413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510427 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510429 */     GIR_RootConstrainSelectedInstOperands,
     /*  510430 */     // GIR_Coverage, 62201,
     /*  510430 */     GIR_EraseRootFromParent_Done,
     /*  510431 */   // Label 8498: @510431
     /*  510431 */   GIM_Try, /*On fail goto*//*Label 8499*/ GIMT_Encode4(510499), // Rule ID 62202 //
     /*  510436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510468 */     // MIs[0] policy
     /*  510468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  510481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510495 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510497 */     GIR_RootConstrainSelectedInstOperands,
     /*  510498 */     // GIR_Coverage, 62202,
     /*  510498 */     GIR_EraseRootFromParent_Done,
     /*  510499 */   // Label 8499: @510499
     /*  510499 */   GIM_Try, /*On fail goto*//*Label 8500*/ GIMT_Encode4(510567), // Rule ID 62203 //
     /*  510504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510536 */     // MIs[0] policy
     /*  510536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510546 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M1),
     /*  510549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510563 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510565 */     GIR_RootConstrainSelectedInstOperands,
     /*  510566 */     // GIR_Coverage, 62203,
     /*  510566 */     GIR_EraseRootFromParent_Done,
     /*  510567 */   // Label 8500: @510567
     /*  510567 */   GIM_Try, /*On fail goto*//*Label 8501*/ GIMT_Encode4(510635), // Rule ID 62204 //
     /*  510572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510604 */     // MIs[0] policy
     /*  510604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510614 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  510617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510631 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510633 */     GIR_RootConstrainSelectedInstOperands,
     /*  510634 */     // GIR_Coverage, 62204,
     /*  510634 */     GIR_EraseRootFromParent_Done,
     /*  510635 */   // Label 8501: @510635
     /*  510635 */   GIM_Try, /*On fail goto*//*Label 8502*/ GIMT_Encode4(510703), // Rule ID 62205 //
     /*  510640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  510657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  510672 */     // MIs[0] policy
     /*  510672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M2),
     /*  510685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510699 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510701 */     GIR_RootConstrainSelectedInstOperands,
     /*  510702 */     // GIR_Coverage, 62205,
     /*  510702 */     GIR_EraseRootFromParent_Done,
     /*  510703 */   // Label 8502: @510703
     /*  510703 */   GIM_Try, /*On fail goto*//*Label 8503*/ GIMT_Encode4(510771), // Rule ID 62206 //
     /*  510708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510740 */     // MIs[0] policy
     /*  510740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  510753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510767 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510769 */     GIR_RootConstrainSelectedInstOperands,
     /*  510770 */     // GIR_Coverage, 62206,
     /*  510770 */     GIR_EraseRootFromParent_Done,
     /*  510771 */   // Label 8503: @510771
     /*  510771 */   GIM_Try, /*On fail goto*//*Label 8504*/ GIMT_Encode4(510839), // Rule ID 62207 //
     /*  510776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  510787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  510790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  510793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  510808 */     // MIs[0] policy
     /*  510808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510818 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11149:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M4_M4),
     /*  510821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510835 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510837 */     GIR_RootConstrainSelectedInstOperands,
     /*  510838 */     // GIR_Coverage, 62207,
     /*  510838 */     GIR_EraseRootFromParent_Done,
     /*  510839 */   // Label 8504: @510839
     /*  510839 */   GIM_Try, /*On fail goto*//*Label 8505*/ GIMT_Encode4(510907), // Rule ID 62208 //
     /*  510844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  510864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510876 */     // MIs[0] policy
     /*  510876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  510886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  510889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510903 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510905 */     GIR_RootConstrainSelectedInstOperands,
     /*  510906 */     // GIR_Coverage, 62208,
     /*  510906 */     GIR_EraseRootFromParent_Done,
     /*  510907 */   // Label 8505: @510907
     /*  510907 */   GIM_Try, /*On fail goto*//*Label 8506*/ GIMT_Encode4(510975), // Rule ID 62209 //
     /*  510912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  510915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  510929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  510932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  510940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  510944 */     // MIs[0] policy
     /*  510944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  510947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  510954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  510954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_MF2),
     /*  510957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  510959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  510961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  510963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  510968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  510971 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  510973 */     GIR_RootConstrainSelectedInstOperands,
     /*  510974 */     // GIR_Coverage, 62209,
     /*  510974 */     GIR_EraseRootFromParent_Done,
     /*  510975 */   // Label 8506: @510975
     /*  510975 */   GIM_Try, /*On fail goto*//*Label 8507*/ GIMT_Encode4(511043), // Rule ID 62210 //
     /*  510980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  510983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  510988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  510991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  510994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  510997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511012 */     // MIs[0] policy
     /*  511012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  511025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511039 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511041 */     GIR_RootConstrainSelectedInstOperands,
     /*  511042 */     // GIR_Coverage, 62210,
     /*  511042 */     GIR_EraseRootFromParent_Done,
     /*  511043 */   // Label 8507: @511043
     /*  511043 */   GIM_Try, /*On fail goto*//*Label 8508*/ GIMT_Encode4(511111), // Rule ID 62211 //
     /*  511048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  511056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511080 */     // MIs[0] policy
     /*  511080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511090 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M1),
     /*  511093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511107 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511109 */     GIR_RootConstrainSelectedInstOperands,
     /*  511110 */     // GIR_Coverage, 62211,
     /*  511110 */     GIR_EraseRootFromParent_Done,
     /*  511111 */   // Label 8508: @511111
     /*  511111 */   GIM_Try, /*On fail goto*//*Label 8509*/ GIMT_Encode4(511179), // Rule ID 62212 //
     /*  511116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  511124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511148 */     // MIs[0] policy
     /*  511148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511158 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  511161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511175 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511177 */     GIR_RootConstrainSelectedInstOperands,
     /*  511178 */     // GIR_Coverage, 62212,
     /*  511178 */     GIR_EraseRootFromParent_Done,
     /*  511179 */   // Label 8509: @511179
     /*  511179 */   GIM_Try, /*On fail goto*//*Label 8510*/ GIMT_Encode4(511247), // Rule ID 62213 //
     /*  511184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  511192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511216 */     // MIs[0] policy
     /*  511216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511226 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M2),
     /*  511229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511243 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511245 */     GIR_RootConstrainSelectedInstOperands,
     /*  511246 */     // GIR_Coverage, 62213,
     /*  511246 */     GIR_EraseRootFromParent_Done,
     /*  511247 */   // Label 8510: @511247
     /*  511247 */   GIM_Try, /*On fail goto*//*Label 8511*/ GIMT_Encode4(511315), // Rule ID 62214 //
     /*  511252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  511260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511284 */     // MIs[0] policy
     /*  511284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511294 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  511297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511311 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511313 */     GIR_RootConstrainSelectedInstOperands,
     /*  511314 */     // GIR_Coverage, 62214,
     /*  511314 */     GIR_EraseRootFromParent_Done,
     /*  511315 */   // Label 8511: @511315
     /*  511315 */   GIM_Try, /*On fail goto*//*Label 8512*/ GIMT_Encode4(511383), // Rule ID 62215 //
     /*  511320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesef_vs),
     /*  511328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511352 */     // MIs[0] policy
     /*  511352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511362 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11149:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEF_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEF_VS_M8_M4),
     /*  511365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511379 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511381 */     GIR_RootConstrainSelectedInstOperands,
     /*  511382 */     // GIR_Coverage, 62215,
     /*  511382 */     GIR_EraseRootFromParent_Done,
     /*  511383 */   // Label 8512: @511383
     /*  511383 */   GIM_Try, /*On fail goto*//*Label 8513*/ GIMT_Encode4(511451), // Rule ID 62216 //
     /*  511388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511420 */     // MIs[0] policy
     /*  511420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511430 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  511433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511447 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511449 */     GIR_RootConstrainSelectedInstOperands,
     /*  511450 */     // GIR_Coverage, 62216,
     /*  511450 */     GIR_EraseRootFromParent_Done,
     /*  511451 */   // Label 8513: @511451
     /*  511451 */   GIM_Try, /*On fail goto*//*Label 8514*/ GIMT_Encode4(511519), // Rule ID 62217 //
     /*  511456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  511467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  511470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  511473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511488 */     // MIs[0] policy
     /*  511488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_MF2),
     /*  511501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511515 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511517 */     GIR_RootConstrainSelectedInstOperands,
     /*  511518 */     // GIR_Coverage, 62217,
     /*  511518 */     GIR_EraseRootFromParent_Done,
     /*  511519 */   // Label 8514: @511519
     /*  511519 */   GIM_Try, /*On fail goto*//*Label 8515*/ GIMT_Encode4(511587), // Rule ID 62218 //
     /*  511524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511556 */     // MIs[0] policy
     /*  511556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511566 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  511569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511583 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511585 */     GIR_RootConstrainSelectedInstOperands,
     /*  511586 */     // GIR_Coverage, 62218,
     /*  511586 */     GIR_EraseRootFromParent_Done,
     /*  511587 */   // Label 8515: @511587
     /*  511587 */   GIM_Try, /*On fail goto*//*Label 8516*/ GIMT_Encode4(511655), // Rule ID 62219 //
     /*  511592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  511603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  511606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  511609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  511624 */     // MIs[0] policy
     /*  511624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511634 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11152:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M1),
     /*  511637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511651 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511653 */     GIR_RootConstrainSelectedInstOperands,
     /*  511654 */     // GIR_Coverage, 62219,
     /*  511654 */     GIR_EraseRootFromParent_Done,
     /*  511655 */   // Label 8516: @511655
     /*  511655 */   GIM_Try, /*On fail goto*//*Label 8517*/ GIMT_Encode4(511723), // Rule ID 62220 //
     /*  511660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511692 */     // MIs[0] policy
     /*  511692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511702 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  511705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511719 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511721 */     GIR_RootConstrainSelectedInstOperands,
     /*  511722 */     // GIR_Coverage, 62220,
     /*  511722 */     GIR_EraseRootFromParent_Done,
     /*  511723 */   // Label 8517: @511723
     /*  511723 */   GIM_Try, /*On fail goto*//*Label 8518*/ GIMT_Encode4(511791), // Rule ID 62221 //
     /*  511728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  511739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  511742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  511745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  511760 */     // MIs[0] policy
     /*  511760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511770 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11152:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M2),
     /*  511773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511787 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511789 */     GIR_RootConstrainSelectedInstOperands,
     /*  511790 */     // GIR_Coverage, 62221,
     /*  511790 */     GIR_EraseRootFromParent_Done,
     /*  511791 */   // Label 8518: @511791
     /*  511791 */   GIM_Try, /*On fail goto*//*Label 8519*/ GIMT_Encode4(511859), // Rule ID 62222 //
     /*  511796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511828 */     // MIs[0] policy
     /*  511828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511838 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  511841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511855 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511857 */     GIR_RootConstrainSelectedInstOperands,
     /*  511858 */     // GIR_Coverage, 62222,
     /*  511858 */     GIR_EraseRootFromParent_Done,
     /*  511859 */   // Label 8519: @511859
     /*  511859 */   GIM_Try, /*On fail goto*//*Label 8520*/ GIMT_Encode4(511927), // Rule ID 62223 //
     /*  511864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  511867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  511875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  511878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  511881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  511884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  511896 */     // MIs[0] policy
     /*  511896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11152:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  511906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M4),
     /*  511909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511923 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511925 */     GIR_RootConstrainSelectedInstOperands,
     /*  511926 */     // GIR_Coverage, 62223,
     /*  511926 */     GIR_EraseRootFromParent_Done,
     /*  511927 */   // Label 8520: @511927
     /*  511927 */   GIM_Try, /*On fail goto*//*Label 8521*/ GIMT_Encode4(511995), // Rule ID 62224 //
     /*  511932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  511935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  511940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  511943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  511946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  511949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  511952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  511964 */     // MIs[0] policy
     /*  511964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  511967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  511974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  511974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  511977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  511979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  511981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  511983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  511988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  511991 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  511993 */     GIR_RootConstrainSelectedInstOperands,
     /*  511994 */     // GIR_Coverage, 62224,
     /*  511994 */     GIR_EraseRootFromParent_Done,
     /*  511995 */   // Label 8521: @511995
     /*  511995 */   GIM_Try, /*On fail goto*//*Label 8522*/ GIMT_Encode4(512063), // Rule ID 62225 //
     /*  512000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vv),
     /*  512008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  512011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  512014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  512017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  512032 */     // MIs[0] policy
     /*  512032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11152:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VV_M8),
     /*  512045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512059 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512061 */     GIR_RootConstrainSelectedInstOperands,
     /*  512062 */     // GIR_Coverage, 62225,
     /*  512062 */     GIR_EraseRootFromParent_Done,
     /*  512063 */   // Label 8522: @512063
     /*  512063 */   GIM_Try, /*On fail goto*//*Label 8523*/ GIMT_Encode4(512131), // Rule ID 62226 //
     /*  512068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  512079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  512082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512100 */     // MIs[0] policy
     /*  512100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512110 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  512113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512127 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512129 */     GIR_RootConstrainSelectedInstOperands,
     /*  512130 */     // GIR_Coverage, 62226,
     /*  512130 */     GIR_EraseRootFromParent_Done,
     /*  512131 */   // Label 8523: @512131
     /*  512131 */   GIM_Try, /*On fail goto*//*Label 8524*/ GIMT_Encode4(512199), // Rule ID 62227 //
     /*  512136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  512147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  512150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512168 */     // MIs[0] policy
     /*  512168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512178 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_MF2_MF2),
     /*  512181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512195 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512197 */     GIR_RootConstrainSelectedInstOperands,
     /*  512198 */     // GIR_Coverage, 62227,
     /*  512198 */     GIR_EraseRootFromParent_Done,
     /*  512199 */   // Label 8524: @512199
     /*  512199 */   GIM_Try, /*On fail goto*//*Label 8525*/ GIMT_Encode4(512267), // Rule ID 62228 //
     /*  512204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512236 */     // MIs[0] policy
     /*  512236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  512249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512263 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512265 */     GIR_RootConstrainSelectedInstOperands,
     /*  512266 */     // GIR_Coverage, 62228,
     /*  512266 */     GIR_EraseRootFromParent_Done,
     /*  512267 */   // Label 8525: @512267
     /*  512267 */   GIM_Try, /*On fail goto*//*Label 8526*/ GIMT_Encode4(512335), // Rule ID 62229 //
     /*  512272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512304 */     // MIs[0] policy
     /*  512304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_MF2),
     /*  512317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512331 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512333 */     GIR_RootConstrainSelectedInstOperands,
     /*  512334 */     // GIR_Coverage, 62229,
     /*  512334 */     GIR_EraseRootFromParent_Done,
     /*  512335 */   // Label 8526: @512335
     /*  512335 */   GIM_Try, /*On fail goto*//*Label 8527*/ GIMT_Encode4(512403), // Rule ID 62230 //
     /*  512340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512372 */     // MIs[0] policy
     /*  512372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512382 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  512385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512399 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512401 */     GIR_RootConstrainSelectedInstOperands,
     /*  512402 */     // GIR_Coverage, 62230,
     /*  512402 */     GIR_EraseRootFromParent_Done,
     /*  512403 */   // Label 8527: @512403
     /*  512403 */   GIM_Try, /*On fail goto*//*Label 8528*/ GIMT_Encode4(512471), // Rule ID 62231 //
     /*  512408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  512419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  512422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512440 */     // MIs[0] policy
     /*  512440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11151:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M1_M1),
     /*  512453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512467 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512469 */     GIR_RootConstrainSelectedInstOperands,
     /*  512470 */     // GIR_Coverage, 62231,
     /*  512470 */     GIR_EraseRootFromParent_Done,
     /*  512471 */   // Label 8528: @512471
     /*  512471 */   GIM_Try, /*On fail goto*//*Label 8529*/ GIMT_Encode4(512539), // Rule ID 62232 //
     /*  512476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512508 */     // MIs[0] policy
     /*  512508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  512521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512535 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512537 */     GIR_RootConstrainSelectedInstOperands,
     /*  512538 */     // GIR_Coverage, 62232,
     /*  512538 */     GIR_EraseRootFromParent_Done,
     /*  512539 */   // Label 8529: @512539
     /*  512539 */   GIM_Try, /*On fail goto*//*Label 8530*/ GIMT_Encode4(512607), // Rule ID 62233 //
     /*  512544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512576 */     // MIs[0] policy
     /*  512576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_MF2),
     /*  512589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512603 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512605 */     GIR_RootConstrainSelectedInstOperands,
     /*  512606 */     // GIR_Coverage, 62233,
     /*  512606 */     GIR_EraseRootFromParent_Done,
     /*  512607 */   // Label 8530: @512607
     /*  512607 */   GIM_Try, /*On fail goto*//*Label 8531*/ GIMT_Encode4(512675), // Rule ID 62234 //
     /*  512612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512644 */     // MIs[0] policy
     /*  512644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512654 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  512657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512671 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512673 */     GIR_RootConstrainSelectedInstOperands,
     /*  512674 */     // GIR_Coverage, 62234,
     /*  512674 */     GIR_EraseRootFromParent_Done,
     /*  512675 */   // Label 8531: @512675
     /*  512675 */   GIM_Try, /*On fail goto*//*Label 8532*/ GIMT_Encode4(512743), // Rule ID 62235 //
     /*  512680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  512697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512712 */     // MIs[0] policy
     /*  512712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M1),
     /*  512725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512739 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512741 */     GIR_RootConstrainSelectedInstOperands,
     /*  512742 */     // GIR_Coverage, 62235,
     /*  512742 */     GIR_EraseRootFromParent_Done,
     /*  512743 */   // Label 8532: @512743
     /*  512743 */   GIM_Try, /*On fail goto*//*Label 8533*/ GIMT_Encode4(512811), // Rule ID 62236 //
     /*  512748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512780 */     // MIs[0] policy
     /*  512780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512790 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  512793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512807 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512809 */     GIR_RootConstrainSelectedInstOperands,
     /*  512810 */     // GIR_Coverage, 62236,
     /*  512810 */     GIR_EraseRootFromParent_Done,
     /*  512811 */   // Label 8533: @512811
     /*  512811 */   GIM_Try, /*On fail goto*//*Label 8534*/ GIMT_Encode4(512879), // Rule ID 62237 //
     /*  512816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  512827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  512830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  512833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  512848 */     // MIs[0] policy
     /*  512848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512858 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11151:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M2_M2),
     /*  512861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512875 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512877 */     GIR_RootConstrainSelectedInstOperands,
     /*  512878 */     // GIR_Coverage, 62237,
     /*  512878 */     GIR_EraseRootFromParent_Done,
     /*  512879 */   // Label 8534: @512879
     /*  512879 */   GIM_Try, /*On fail goto*//*Label 8535*/ GIMT_Encode4(512947), // Rule ID 62238 //
     /*  512884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  512887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  512904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512916 */     // MIs[0] policy
     /*  512916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  512926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  512929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  512933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  512935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  512940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  512943 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  512945 */     GIR_RootConstrainSelectedInstOperands,
     /*  512946 */     // GIR_Coverage, 62238,
     /*  512946 */     GIR_EraseRootFromParent_Done,
     /*  512947 */   // Label 8535: @512947
     /*  512947 */   GIM_Try, /*On fail goto*//*Label 8536*/ GIMT_Encode4(513015), // Rule ID 62239 //
     /*  512952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  512955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  512960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  512963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  512966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  512969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  512972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  512980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  512984 */     // MIs[0] policy
     /*  512984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  512987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  512994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  512994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_MF2),
     /*  512997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  512999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513011 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513013 */     GIR_RootConstrainSelectedInstOperands,
     /*  513014 */     // GIR_Coverage, 62239,
     /*  513014 */     GIR_EraseRootFromParent_Done,
     /*  513015 */   // Label 8536: @513015
     /*  513015 */   GIM_Try, /*On fail goto*//*Label 8537*/ GIMT_Encode4(513083), // Rule ID 62240 //
     /*  513020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513052 */     // MIs[0] policy
     /*  513052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  513065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513079 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513081 */     GIR_RootConstrainSelectedInstOperands,
     /*  513082 */     // GIR_Coverage, 62240,
     /*  513082 */     GIR_EraseRootFromParent_Done,
     /*  513083 */   // Label 8537: @513083
     /*  513083 */   GIM_Try, /*On fail goto*//*Label 8538*/ GIMT_Encode4(513151), // Rule ID 62241 //
     /*  513088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513120 */     // MIs[0] policy
     /*  513120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M1),
     /*  513133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513147 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513149 */     GIR_RootConstrainSelectedInstOperands,
     /*  513150 */     // GIR_Coverage, 62241,
     /*  513150 */     GIR_EraseRootFromParent_Done,
     /*  513151 */   // Label 8538: @513151
     /*  513151 */   GIM_Try, /*On fail goto*//*Label 8539*/ GIMT_Encode4(513219), // Rule ID 62242 //
     /*  513156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513188 */     // MIs[0] policy
     /*  513188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513198 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  513201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513215 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513217 */     GIR_RootConstrainSelectedInstOperands,
     /*  513218 */     // GIR_Coverage, 62242,
     /*  513218 */     GIR_EraseRootFromParent_Done,
     /*  513219 */   // Label 8539: @513219
     /*  513219 */   GIM_Try, /*On fail goto*//*Label 8540*/ GIMT_Encode4(513287), // Rule ID 62243 //
     /*  513224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513256 */     // MIs[0] policy
     /*  513256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M2),
     /*  513269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513283 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513285 */     GIR_RootConstrainSelectedInstOperands,
     /*  513286 */     // GIR_Coverage, 62243,
     /*  513286 */     GIR_EraseRootFromParent_Done,
     /*  513287 */   // Label 8540: @513287
     /*  513287 */   GIM_Try, /*On fail goto*//*Label 8541*/ GIMT_Encode4(513355), // Rule ID 62244 //
     /*  513292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513324 */     // MIs[0] policy
     /*  513324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  513337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513351 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513353 */     GIR_RootConstrainSelectedInstOperands,
     /*  513354 */     // GIR_Coverage, 62244,
     /*  513354 */     GIR_EraseRootFromParent_Done,
     /*  513355 */   // Label 8541: @513355
     /*  513355 */   GIM_Try, /*On fail goto*//*Label 8542*/ GIMT_Encode4(513423), // Rule ID 62245 //
     /*  513360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  513371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  513374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513392 */     // MIs[0] policy
     /*  513392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11151:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M4_M4),
     /*  513405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513419 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513421 */     GIR_RootConstrainSelectedInstOperands,
     /*  513422 */     // GIR_Coverage, 62245,
     /*  513422 */     GIR_EraseRootFromParent_Done,
     /*  513423 */   // Label 8542: @513423
     /*  513423 */   GIM_Try, /*On fail goto*//*Label 8543*/ GIMT_Encode4(513491), // Rule ID 62246 //
     /*  513428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513460 */     // MIs[0] policy
     /*  513460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513470 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  513473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513487 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513489 */     GIR_RootConstrainSelectedInstOperands,
     /*  513490 */     // GIR_Coverage, 62246,
     /*  513490 */     GIR_EraseRootFromParent_Done,
     /*  513491 */   // Label 8543: @513491
     /*  513491 */   GIM_Try, /*On fail goto*//*Label 8544*/ GIMT_Encode4(513559), // Rule ID 62247 //
     /*  513496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513528 */     // MIs[0] policy
     /*  513528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_MF2),
     /*  513541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513555 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513557 */     GIR_RootConstrainSelectedInstOperands,
     /*  513558 */     // GIR_Coverage, 62247,
     /*  513558 */     GIR_EraseRootFromParent_Done,
     /*  513559 */   // Label 8544: @513559
     /*  513559 */   GIM_Try, /*On fail goto*//*Label 8545*/ GIMT_Encode4(513627), // Rule ID 62248 //
     /*  513564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513596 */     // MIs[0] policy
     /*  513596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513606 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  513609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513623 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513625 */     GIR_RootConstrainSelectedInstOperands,
     /*  513626 */     // GIR_Coverage, 62248,
     /*  513626 */     GIR_EraseRootFromParent_Done,
     /*  513627 */   // Label 8545: @513627
     /*  513627 */   GIM_Try, /*On fail goto*//*Label 8546*/ GIMT_Encode4(513695), // Rule ID 62249 //
     /*  513632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  513649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513664 */     // MIs[0] policy
     /*  513664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M1),
     /*  513677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513691 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513693 */     GIR_RootConstrainSelectedInstOperands,
     /*  513694 */     // GIR_Coverage, 62249,
     /*  513694 */     GIR_EraseRootFromParent_Done,
     /*  513695 */   // Label 8546: @513695
     /*  513695 */   GIM_Try, /*On fail goto*//*Label 8547*/ GIMT_Encode4(513763), // Rule ID 62250 //
     /*  513700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513732 */     // MIs[0] policy
     /*  513732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  513745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513759 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513761 */     GIR_RootConstrainSelectedInstOperands,
     /*  513762 */     // GIR_Coverage, 62250,
     /*  513762 */     GIR_EraseRootFromParent_Done,
     /*  513763 */   // Label 8547: @513763
     /*  513763 */   GIM_Try, /*On fail goto*//*Label 8548*/ GIMT_Encode4(513831), // Rule ID 62251 //
     /*  513768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  513785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  513800 */     // MIs[0] policy
     /*  513800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513810 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M2),
     /*  513813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513827 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513829 */     GIR_RootConstrainSelectedInstOperands,
     /*  513830 */     // GIR_Coverage, 62251,
     /*  513830 */     GIR_EraseRootFromParent_Done,
     /*  513831 */   // Label 8548: @513831
     /*  513831 */   GIM_Try, /*On fail goto*//*Label 8549*/ GIMT_Encode4(513899), // Rule ID 62252 //
     /*  513836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513868 */     // MIs[0] policy
     /*  513868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  513878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  513881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513895 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513897 */     GIR_RootConstrainSelectedInstOperands,
     /*  513898 */     // GIR_Coverage, 62252,
     /*  513898 */     GIR_EraseRootFromParent_Done,
     /*  513899 */   // Label 8549: @513899
     /*  513899 */   GIM_Try, /*On fail goto*//*Label 8550*/ GIMT_Encode4(513967), // Rule ID 62253 //
     /*  513904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  513907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesem_vs),
     /*  513912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  513915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  513918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  513921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  513924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  513932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  513936 */     // MIs[0] policy
     /*  513936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  513939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  513946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11151:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESEM_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  513946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESEM_VS_M8_M4),
     /*  513949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  513951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  513953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  513955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  513960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  513963 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  513965 */     GIR_RootConstrainSelectedInstOperands,
     /*  513966 */     // GIR_Coverage, 62253,
     /*  513966 */     GIR_EraseRootFromParent_Done,
     /*  513967 */   // Label 8550: @513967
     /*  513967 */   GIM_Try, /*On fail goto*//*Label 8551*/ GIMT_Encode4(514035), // Rule ID 62270 //
     /*  513972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  513975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  513980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  513983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  513986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  513989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  513992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  513996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514004 */     // MIs[0] policy
     /*  514004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  514017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514031 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514033 */     GIR_RootConstrainSelectedInstOperands,
     /*  514034 */     // GIR_Coverage, 62270,
     /*  514034 */     GIR_EraseRootFromParent_Done,
     /*  514035 */   // Label 8551: @514035
     /*  514035 */   GIM_Try, /*On fail goto*//*Label 8552*/ GIMT_Encode4(514103), // Rule ID 62271 //
     /*  514040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  514051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  514054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514072 */     // MIs[0] policy
     /*  514072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514082 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_MF2_MF2),
     /*  514085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514099 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514101 */     GIR_RootConstrainSelectedInstOperands,
     /*  514102 */     // GIR_Coverage, 62271,
     /*  514102 */     GIR_EraseRootFromParent_Done,
     /*  514103 */   // Label 8552: @514103
     /*  514103 */   GIM_Try, /*On fail goto*//*Label 8553*/ GIMT_Encode4(514171), // Rule ID 62272 //
     /*  514108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514140 */     // MIs[0] policy
     /*  514140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  514153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514167 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514169 */     GIR_RootConstrainSelectedInstOperands,
     /*  514170 */     // GIR_Coverage, 62272,
     /*  514170 */     GIR_EraseRootFromParent_Done,
     /*  514171 */   // Label 8553: @514171
     /*  514171 */   GIM_Try, /*On fail goto*//*Label 8554*/ GIMT_Encode4(514239), // Rule ID 62273 //
     /*  514176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514208 */     // MIs[0] policy
     /*  514208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514218 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_MF2),
     /*  514221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514235 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514237 */     GIR_RootConstrainSelectedInstOperands,
     /*  514238 */     // GIR_Coverage, 62273,
     /*  514238 */     GIR_EraseRootFromParent_Done,
     /*  514239 */   // Label 8554: @514239
     /*  514239 */   GIM_Try, /*On fail goto*//*Label 8555*/ GIMT_Encode4(514307), // Rule ID 62274 //
     /*  514244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514276 */     // MIs[0] policy
     /*  514276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  514289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514303 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514305 */     GIR_RootConstrainSelectedInstOperands,
     /*  514306 */     // GIR_Coverage, 62274,
     /*  514306 */     GIR_EraseRootFromParent_Done,
     /*  514307 */   // Label 8555: @514307
     /*  514307 */   GIM_Try, /*On fail goto*//*Label 8556*/ GIMT_Encode4(514375), // Rule ID 62275 //
     /*  514312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  514323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  514326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514344 */     // MIs[0] policy
     /*  514344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11155:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M1_M1),
     /*  514357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514371 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514373 */     GIR_RootConstrainSelectedInstOperands,
     /*  514374 */     // GIR_Coverage, 62275,
     /*  514374 */     GIR_EraseRootFromParent_Done,
     /*  514375 */   // Label 8556: @514375
     /*  514375 */   GIM_Try, /*On fail goto*//*Label 8557*/ GIMT_Encode4(514443), // Rule ID 62276 //
     /*  514380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514412 */     // MIs[0] policy
     /*  514412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  514425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514439 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514441 */     GIR_RootConstrainSelectedInstOperands,
     /*  514442 */     // GIR_Coverage, 62276,
     /*  514442 */     GIR_EraseRootFromParent_Done,
     /*  514443 */   // Label 8557: @514443
     /*  514443 */   GIM_Try, /*On fail goto*//*Label 8558*/ GIMT_Encode4(514511), // Rule ID 62277 //
     /*  514448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514480 */     // MIs[0] policy
     /*  514480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514490 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_MF2),
     /*  514493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514507 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514509 */     GIR_RootConstrainSelectedInstOperands,
     /*  514510 */     // GIR_Coverage, 62277,
     /*  514510 */     GIR_EraseRootFromParent_Done,
     /*  514511 */   // Label 8558: @514511
     /*  514511 */   GIM_Try, /*On fail goto*//*Label 8559*/ GIMT_Encode4(514579), // Rule ID 62278 //
     /*  514516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514548 */     // MIs[0] policy
     /*  514548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  514561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514575 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514577 */     GIR_RootConstrainSelectedInstOperands,
     /*  514578 */     // GIR_Coverage, 62278,
     /*  514578 */     GIR_EraseRootFromParent_Done,
     /*  514579 */   // Label 8559: @514579
     /*  514579 */   GIM_Try, /*On fail goto*//*Label 8560*/ GIMT_Encode4(514647), // Rule ID 62279 //
     /*  514584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514616 */     // MIs[0] policy
     /*  514616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M1),
     /*  514629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514643 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514645 */     GIR_RootConstrainSelectedInstOperands,
     /*  514646 */     // GIR_Coverage, 62279,
     /*  514646 */     GIR_EraseRootFromParent_Done,
     /*  514647 */   // Label 8560: @514647
     /*  514647 */   GIM_Try, /*On fail goto*//*Label 8561*/ GIMT_Encode4(514715), // Rule ID 62280 //
     /*  514652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514684 */     // MIs[0] policy
     /*  514684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  514697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514711 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514713 */     GIR_RootConstrainSelectedInstOperands,
     /*  514714 */     // GIR_Coverage, 62280,
     /*  514714 */     GIR_EraseRootFromParent_Done,
     /*  514715 */   // Label 8561: @514715
     /*  514715 */   GIM_Try, /*On fail goto*//*Label 8562*/ GIMT_Encode4(514783), // Rule ID 62281 //
     /*  514720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  514731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  514734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  514737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  514752 */     // MIs[0] policy
     /*  514752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11155:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M2_M2),
     /*  514765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514779 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514781 */     GIR_RootConstrainSelectedInstOperands,
     /*  514782 */     // GIR_Coverage, 62281,
     /*  514782 */     GIR_EraseRootFromParent_Done,
     /*  514783 */   // Label 8562: @514783
     /*  514783 */   GIM_Try, /*On fail goto*//*Label 8563*/ GIMT_Encode4(514851), // Rule ID 62282 //
     /*  514788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514820 */     // MIs[0] policy
     /*  514820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514830 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  514833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514847 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514849 */     GIR_RootConstrainSelectedInstOperands,
     /*  514850 */     // GIR_Coverage, 62282,
     /*  514850 */     GIR_EraseRootFromParent_Done,
     /*  514851 */   // Label 8563: @514851
     /*  514851 */   GIM_Try, /*On fail goto*//*Label 8564*/ GIMT_Encode4(514919), // Rule ID 62283 //
     /*  514856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  514873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  514876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514888 */     // MIs[0] policy
     /*  514888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  514898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_MF2),
     /*  514901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514915 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514917 */     GIR_RootConstrainSelectedInstOperands,
     /*  514918 */     // GIR_Coverage, 62283,
     /*  514918 */     GIR_EraseRootFromParent_Done,
     /*  514919 */   // Label 8564: @514919
     /*  514919 */   GIM_Try, /*On fail goto*//*Label 8565*/ GIMT_Encode4(514987), // Rule ID 62284 //
     /*  514924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  514927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  514932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  514935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  514938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  514941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  514944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  514952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  514956 */     // MIs[0] policy
     /*  514956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  514959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  514966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  514966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  514969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  514971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  514973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  514975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  514980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  514983 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  514985 */     GIR_RootConstrainSelectedInstOperands,
     /*  514986 */     // GIR_Coverage, 62284,
     /*  514986 */     GIR_EraseRootFromParent_Done,
     /*  514987 */   // Label 8565: @514987
     /*  514987 */   GIM_Try, /*On fail goto*//*Label 8566*/ GIMT_Encode4(515055), // Rule ID 62285 //
     /*  514992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  514995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515024 */     // MIs[0] policy
     /*  515024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515034 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M1),
     /*  515037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515051 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515053 */     GIR_RootConstrainSelectedInstOperands,
     /*  515054 */     // GIR_Coverage, 62285,
     /*  515054 */     GIR_EraseRootFromParent_Done,
     /*  515055 */   // Label 8566: @515055
     /*  515055 */   GIM_Try, /*On fail goto*//*Label 8567*/ GIMT_Encode4(515123), // Rule ID 62286 //
     /*  515060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515092 */     // MIs[0] policy
     /*  515092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  515105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515119 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515121 */     GIR_RootConstrainSelectedInstOperands,
     /*  515122 */     // GIR_Coverage, 62286,
     /*  515122 */     GIR_EraseRootFromParent_Done,
     /*  515123 */   // Label 8567: @515123
     /*  515123 */   GIM_Try, /*On fail goto*//*Label 8568*/ GIMT_Encode4(515191), // Rule ID 62287 //
     /*  515128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515160 */     // MIs[0] policy
     /*  515160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M2),
     /*  515173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515187 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515189 */     GIR_RootConstrainSelectedInstOperands,
     /*  515190 */     // GIR_Coverage, 62287,
     /*  515190 */     GIR_EraseRootFromParent_Done,
     /*  515191 */   // Label 8568: @515191
     /*  515191 */   GIM_Try, /*On fail goto*//*Label 8569*/ GIMT_Encode4(515259), // Rule ID 62288 //
     /*  515196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515228 */     // MIs[0] policy
     /*  515228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515238 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  515241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515255 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515257 */     GIR_RootConstrainSelectedInstOperands,
     /*  515258 */     // GIR_Coverage, 62288,
     /*  515258 */     GIR_EraseRootFromParent_Done,
     /*  515259 */   // Label 8569: @515259
     /*  515259 */   GIM_Try, /*On fail goto*//*Label 8570*/ GIMT_Encode4(515327), // Rule ID 62289 //
     /*  515264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  515275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  515278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515296 */     // MIs[0] policy
     /*  515296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11155:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M4_M4),
     /*  515309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515323 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515325 */     GIR_RootConstrainSelectedInstOperands,
     /*  515326 */     // GIR_Coverage, 62289,
     /*  515326 */     GIR_EraseRootFromParent_Done,
     /*  515327 */   // Label 8570: @515327
     /*  515327 */   GIM_Try, /*On fail goto*//*Label 8571*/ GIMT_Encode4(515395), // Rule ID 62290 //
     /*  515332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515364 */     // MIs[0] policy
     /*  515364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  515377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515391 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515393 */     GIR_RootConstrainSelectedInstOperands,
     /*  515394 */     // GIR_Coverage, 62290,
     /*  515394 */     GIR_EraseRootFromParent_Done,
     /*  515395 */   // Label 8571: @515395
     /*  515395 */   GIM_Try, /*On fail goto*//*Label 8572*/ GIMT_Encode4(515463), // Rule ID 62291 //
     /*  515400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515432 */     // MIs[0] policy
     /*  515432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_MF2),
     /*  515445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515459 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515461 */     GIR_RootConstrainSelectedInstOperands,
     /*  515462 */     // GIR_Coverage, 62291,
     /*  515462 */     GIR_EraseRootFromParent_Done,
     /*  515463 */   // Label 8572: @515463
     /*  515463 */   GIM_Try, /*On fail goto*//*Label 8573*/ GIMT_Encode4(515531), // Rule ID 62292 //
     /*  515468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515500 */     // MIs[0] policy
     /*  515500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  515513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515527 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515529 */     GIR_RootConstrainSelectedInstOperands,
     /*  515530 */     // GIR_Coverage, 62292,
     /*  515530 */     GIR_EraseRootFromParent_Done,
     /*  515531 */   // Label 8573: @515531
     /*  515531 */   GIM_Try, /*On fail goto*//*Label 8574*/ GIMT_Encode4(515599), // Rule ID 62293 //
     /*  515536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  515553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515568 */     // MIs[0] policy
     /*  515568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M1),
     /*  515581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515595 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515597 */     GIR_RootConstrainSelectedInstOperands,
     /*  515598 */     // GIR_Coverage, 62293,
     /*  515598 */     GIR_EraseRootFromParent_Done,
     /*  515599 */   // Label 8574: @515599
     /*  515599 */   GIM_Try, /*On fail goto*//*Label 8575*/ GIMT_Encode4(515667), // Rule ID 62294 //
     /*  515604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515636 */     // MIs[0] policy
     /*  515636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515646 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  515649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515663 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515665 */     GIR_RootConstrainSelectedInstOperands,
     /*  515666 */     // GIR_Coverage, 62294,
     /*  515666 */     GIR_EraseRootFromParent_Done,
     /*  515667 */   // Label 8575: @515667
     /*  515667 */   GIM_Try, /*On fail goto*//*Label 8576*/ GIMT_Encode4(515735), // Rule ID 62295 //
     /*  515672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  515689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  515704 */     // MIs[0] policy
     /*  515704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M2),
     /*  515717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515731 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515733 */     GIR_RootConstrainSelectedInstOperands,
     /*  515734 */     // GIR_Coverage, 62295,
     /*  515734 */     GIR_EraseRootFromParent_Done,
     /*  515735 */   // Label 8576: @515735
     /*  515735 */   GIM_Try, /*On fail goto*//*Label 8577*/ GIMT_Encode4(515803), // Rule ID 62296 //
     /*  515740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  515743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515772 */     // MIs[0] policy
     /*  515772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515782 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  515785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515799 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515801 */     GIR_RootConstrainSelectedInstOperands,
     /*  515802 */     // GIR_Coverage, 62296,
     /*  515802 */     GIR_EraseRootFromParent_Done,
     /*  515803 */   // Label 8577: @515803
     /*  515803 */   GIM_Try, /*On fail goto*//*Label 8578*/ GIMT_Encode4(515871), // Rule ID 62297 //
     /*  515808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  515811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaesz_vs),
     /*  515816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  515819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  515822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  515825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  515836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  515840 */     // MIs[0] policy
     /*  515840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11155:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESZ_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESZ_VS_M8_M4),
     /*  515853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515867 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515869 */     GIR_RootConstrainSelectedInstOperands,
     /*  515870 */     // GIR_Coverage, 62297,
     /*  515870 */     GIR_EraseRootFromParent_Done,
     /*  515871 */   // Label 8578: @515871
     /*  515871 */   GIM_Try, /*On fail goto*//*Label 8579*/ GIMT_Encode4(515939), // Rule ID 62392 //
     /*  515876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  515879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  515896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515908 */     // MIs[0] policy
     /*  515908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515918 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  515918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  515921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  515932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  515935 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  515937 */     GIR_RootConstrainSelectedInstOperands,
     /*  515938 */     // GIR_Coverage, 62392,
     /*  515938 */     GIR_EraseRootFromParent_Done,
     /*  515939 */   // Label 8579: @515939
     /*  515939 */   GIM_Try, /*On fail goto*//*Label 8580*/ GIMT_Encode4(516007), // Rule ID 62393 //
     /*  515944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  515947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  515952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  515955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  515958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  515961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  515964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  515976 */     // MIs[0] policy
     /*  515976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  515979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  515986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  515986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_MF2),
     /*  515989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  515991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  515993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  515995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516003 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516005 */     GIR_RootConstrainSelectedInstOperands,
     /*  516006 */     // GIR_Coverage, 62393,
     /*  516006 */     GIR_EraseRootFromParent_Done,
     /*  516007 */   // Label 8580: @516007
     /*  516007 */   GIM_Try, /*On fail goto*//*Label 8581*/ GIMT_Encode4(516075), // Rule ID 62394 //
     /*  516012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516044 */     // MIs[0] policy
     /*  516044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516054 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  516057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516071 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516073 */     GIR_RootConstrainSelectedInstOperands,
     /*  516074 */     // GIR_Coverage, 62394,
     /*  516074 */     GIR_EraseRootFromParent_Done,
     /*  516075 */   // Label 8581: @516075
     /*  516075 */   GIM_Try, /*On fail goto*//*Label 8582*/ GIMT_Encode4(516143), // Rule ID 62395 //
     /*  516080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516112 */     // MIs[0] policy
     /*  516112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516122 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11560:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M1),
     /*  516125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516139 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516141 */     GIR_RootConstrainSelectedInstOperands,
     /*  516142 */     // GIR_Coverage, 62395,
     /*  516142 */     GIR_EraseRootFromParent_Done,
     /*  516143 */   // Label 8582: @516143
     /*  516143 */   GIM_Try, /*On fail goto*//*Label 8583*/ GIMT_Encode4(516211), // Rule ID 62396 //
     /*  516148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516180 */     // MIs[0] policy
     /*  516180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516190 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  516193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516207 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516209 */     GIR_RootConstrainSelectedInstOperands,
     /*  516210 */     // GIR_Coverage, 62396,
     /*  516210 */     GIR_EraseRootFromParent_Done,
     /*  516211 */   // Label 8583: @516211
     /*  516211 */   GIM_Try, /*On fail goto*//*Label 8584*/ GIMT_Encode4(516279), // Rule ID 62397 //
     /*  516216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  516233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516248 */     // MIs[0] policy
     /*  516248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11560:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M2),
     /*  516261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516275 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516277 */     GIR_RootConstrainSelectedInstOperands,
     /*  516278 */     // GIR_Coverage, 62397,
     /*  516278 */     GIR_EraseRootFromParent_Done,
     /*  516279 */   // Label 8584: @516279
     /*  516279 */   GIM_Try, /*On fail goto*//*Label 8585*/ GIMT_Encode4(516347), // Rule ID 62398 //
     /*  516284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  516301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516316 */     // MIs[0] policy
     /*  516316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516326 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  516329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516343 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516345 */     GIR_RootConstrainSelectedInstOperands,
     /*  516346 */     // GIR_Coverage, 62398,
     /*  516346 */     GIR_EraseRootFromParent_Done,
     /*  516347 */   // Label 8585: @516347
     /*  516347 */   GIM_Try, /*On fail goto*//*Label 8586*/ GIMT_Encode4(516415), // Rule ID 62399 //
     /*  516352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  516363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  516366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  516369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  516384 */     // MIs[0] policy
     /*  516384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516394 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11560:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M4),
     /*  516397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516411 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516413 */     GIR_RootConstrainSelectedInstOperands,
     /*  516414 */     // GIR_Coverage, 62399,
     /*  516414 */     GIR_EraseRootFromParent_Done,
     /*  516415 */   // Label 8586: @516415
     /*  516415 */   GIM_Try, /*On fail goto*//*Label 8587*/ GIMT_Encode4(516483), // Rule ID 62400 //
     /*  516420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  516431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  516434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  516437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516452 */     // MIs[0] policy
     /*  516452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  516465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516479 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516481 */     GIR_RootConstrainSelectedInstOperands,
     /*  516482 */     // GIR_Coverage, 62400,
     /*  516482 */     GIR_EraseRootFromParent_Done,
     /*  516483 */   // Label 8587: @516483
     /*  516483 */   GIM_Try, /*On fail goto*//*Label 8588*/ GIMT_Encode4(516551), // Rule ID 62401 //
     /*  516488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vv),
     /*  516496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  516499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  516502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  516505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  516520 */     // MIs[0] policy
     /*  516520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11560:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VV_M8),
     /*  516533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516547 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516549 */     GIR_RootConstrainSelectedInstOperands,
     /*  516550 */     // GIR_Coverage, 62401,
     /*  516550 */     GIR_EraseRootFromParent_Done,
     /*  516551 */   // Label 8588: @516551
     /*  516551 */   GIM_Try, /*On fail goto*//*Label 8589*/ GIMT_Encode4(516619), // Rule ID 62402 //
     /*  516556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516588 */     // MIs[0] policy
     /*  516588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516598 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  516601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516615 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516617 */     GIR_RootConstrainSelectedInstOperands,
     /*  516618 */     // GIR_Coverage, 62402,
     /*  516618 */     GIR_EraseRootFromParent_Done,
     /*  516619 */   // Label 8589: @516619
     /*  516619 */   GIM_Try, /*On fail goto*//*Label 8590*/ GIMT_Encode4(516687), // Rule ID 62403 //
     /*  516624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  516635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  516638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516656 */     // MIs[0] policy
     /*  516656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516666 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_MF2_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_MF2_MF2),
     /*  516669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516683 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516685 */     GIR_RootConstrainSelectedInstOperands,
     /*  516686 */     // GIR_Coverage, 62403,
     /*  516686 */     GIR_EraseRootFromParent_Done,
     /*  516687 */   // Label 8590: @516687
     /*  516687 */   GIM_Try, /*On fail goto*//*Label 8591*/ GIMT_Encode4(516755), // Rule ID 62404 //
     /*  516692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516724 */     // MIs[0] policy
     /*  516724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516734 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  516737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516751 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516753 */     GIR_RootConstrainSelectedInstOperands,
     /*  516754 */     // GIR_Coverage, 62404,
     /*  516754 */     GIR_EraseRootFromParent_Done,
     /*  516755 */   // Label 8591: @516755
     /*  516755 */   GIM_Try, /*On fail goto*//*Label 8592*/ GIMT_Encode4(516823), // Rule ID 62405 //
     /*  516760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516792 */     // MIs[0] policy
     /*  516792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516802 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_MF2),
     /*  516805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516819 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516821 */     GIR_RootConstrainSelectedInstOperands,
     /*  516822 */     // GIR_Coverage, 62405,
     /*  516822 */     GIR_EraseRootFromParent_Done,
     /*  516823 */   // Label 8592: @516823
     /*  516823 */   GIM_Try, /*On fail goto*//*Label 8593*/ GIMT_Encode4(516891), // Rule ID 62406 //
     /*  516828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516860 */     // MIs[0] policy
     /*  516860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  516870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  516873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516887 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516889 */     GIR_RootConstrainSelectedInstOperands,
     /*  516890 */     // GIR_Coverage, 62406,
     /*  516890 */     GIR_EraseRootFromParent_Done,
     /*  516891 */   // Label 8593: @516891
     /*  516891 */   GIM_Try, /*On fail goto*//*Label 8594*/ GIMT_Encode4(516959), // Rule ID 62407 //
     /*  516896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  516899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  516907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  516910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  516913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  516916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516928 */     // MIs[0] policy
     /*  516928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  516938 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11559:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M1_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  516938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M1_M1),
     /*  516941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  516943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  516945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  516947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  516952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  516955 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  516957 */     GIR_RootConstrainSelectedInstOperands,
     /*  516958 */     // GIR_Coverage, 62407,
     /*  516958 */     GIR_EraseRootFromParent_Done,
     /*  516959 */   // Label 8594: @516959
     /*  516959 */   GIM_Try, /*On fail goto*//*Label 8595*/ GIMT_Encode4(517027), // Rule ID 62408 //
     /*  516964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  516967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  516972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  516975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  516978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  516981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  516984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  516992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  516996 */     // MIs[0] policy
     /*  516996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  516999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517006 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  517009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517023 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517025 */     GIR_RootConstrainSelectedInstOperands,
     /*  517026 */     // GIR_Coverage, 62408,
     /*  517026 */     GIR_EraseRootFromParent_Done,
     /*  517027 */   // Label 8595: @517027
     /*  517027 */   GIM_Try, /*On fail goto*//*Label 8596*/ GIMT_Encode4(517095), // Rule ID 62409 //
     /*  517032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517064 */     // MIs[0] policy
     /*  517064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_MF2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_MF2),
     /*  517077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517091 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517093 */     GIR_RootConstrainSelectedInstOperands,
     /*  517094 */     // GIR_Coverage, 62409,
     /*  517094 */     GIR_EraseRootFromParent_Done,
     /*  517095 */   // Label 8596: @517095
     /*  517095 */   GIM_Try, /*On fail goto*//*Label 8597*/ GIMT_Encode4(517163), // Rule ID 62410 //
     /*  517100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517132 */     // MIs[0] policy
     /*  517132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  517145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517159 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517161 */     GIR_RootConstrainSelectedInstOperands,
     /*  517162 */     // GIR_Coverage, 62410,
     /*  517162 */     GIR_EraseRootFromParent_Done,
     /*  517163 */   // Label 8597: @517163
     /*  517163 */   GIM_Try, /*On fail goto*//*Label 8598*/ GIMT_Encode4(517231), // Rule ID 62411 //
     /*  517168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517200 */     // MIs[0] policy
     /*  517200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517210 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M1),
     /*  517213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517227 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517229 */     GIR_RootConstrainSelectedInstOperands,
     /*  517230 */     // GIR_Coverage, 62411,
     /*  517230 */     GIR_EraseRootFromParent_Done,
     /*  517231 */   // Label 8598: @517231
     /*  517231 */   GIM_Try, /*On fail goto*//*Label 8599*/ GIMT_Encode4(517299), // Rule ID 62412 //
     /*  517236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517268 */     // MIs[0] policy
     /*  517268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  517281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517295 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517297 */     GIR_RootConstrainSelectedInstOperands,
     /*  517298 */     // GIR_Coverage, 62412,
     /*  517298 */     GIR_EraseRootFromParent_Done,
     /*  517299 */   // Label 8599: @517299
     /*  517299 */   GIM_Try, /*On fail goto*//*Label 8600*/ GIMT_Encode4(517367), // Rule ID 62413 //
     /*  517304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  517315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  517318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517336 */     // MIs[0] policy
     /*  517336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11559:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M2_M2),
     /*  517349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517363 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517365 */     GIR_RootConstrainSelectedInstOperands,
     /*  517366 */     // GIR_Coverage, 62413,
     /*  517366 */     GIR_EraseRootFromParent_Done,
     /*  517367 */   // Label 8600: @517367
     /*  517367 */   GIM_Try, /*On fail goto*//*Label 8601*/ GIMT_Encode4(517435), // Rule ID 62414 //
     /*  517372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517404 */     // MIs[0] policy
     /*  517404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  517417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517431 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517433 */     GIR_RootConstrainSelectedInstOperands,
     /*  517434 */     // GIR_Coverage, 62414,
     /*  517434 */     GIR_EraseRootFromParent_Done,
     /*  517435 */   // Label 8601: @517435
     /*  517435 */   GIM_Try, /*On fail goto*//*Label 8602*/ GIMT_Encode4(517503), // Rule ID 62415 //
     /*  517440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517472 */     // MIs[0] policy
     /*  517472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_MF2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_MF2),
     /*  517485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517499 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517501 */     GIR_RootConstrainSelectedInstOperands,
     /*  517502 */     // GIR_Coverage, 62415,
     /*  517502 */     GIR_EraseRootFromParent_Done,
     /*  517503 */   // Label 8602: @517503
     /*  517503 */   GIM_Try, /*On fail goto*//*Label 8603*/ GIMT_Encode4(517571), // Rule ID 62416 //
     /*  517508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517540 */     // MIs[0] policy
     /*  517540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517550 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  517553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517567 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517569 */     GIR_RootConstrainSelectedInstOperands,
     /*  517570 */     // GIR_Coverage, 62416,
     /*  517570 */     GIR_EraseRootFromParent_Done,
     /*  517571 */   // Label 8603: @517571
     /*  517571 */   GIM_Try, /*On fail goto*//*Label 8604*/ GIMT_Encode4(517639), // Rule ID 62417 //
     /*  517576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  517593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517608 */     // MIs[0] policy
     /*  517608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M1:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M1),
     /*  517621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517635 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517637 */     GIR_RootConstrainSelectedInstOperands,
     /*  517638 */     // GIR_Coverage, 62417,
     /*  517638 */     GIR_EraseRootFromParent_Done,
     /*  517639 */   // Label 8604: @517639
     /*  517639 */   GIM_Try, /*On fail goto*//*Label 8605*/ GIMT_Encode4(517707), // Rule ID 62418 //
     /*  517644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517676 */     // MIs[0] policy
     /*  517676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517686 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  517689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517703 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517705 */     GIR_RootConstrainSelectedInstOperands,
     /*  517706 */     // GIR_Coverage, 62418,
     /*  517706 */     GIR_EraseRootFromParent_Done,
     /*  517707 */   // Label 8605: @517707
     /*  517707 */   GIM_Try, /*On fail goto*//*Label 8606*/ GIMT_Encode4(517775), // Rule ID 62419 //
     /*  517712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  517729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  517744 */     // MIs[0] policy
     /*  517744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M2),
     /*  517757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517771 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517773 */     GIR_RootConstrainSelectedInstOperands,
     /*  517774 */     // GIR_Coverage, 62419,
     /*  517774 */     GIR_EraseRootFromParent_Done,
     /*  517775 */   // Label 8606: @517775
     /*  517775 */   GIM_Try, /*On fail goto*//*Label 8607*/ GIMT_Encode4(517843), // Rule ID 62420 //
     /*  517780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517812 */     // MIs[0] policy
     /*  517812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  517825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517839 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517841 */     GIR_RootConstrainSelectedInstOperands,
     /*  517842 */     // GIR_Coverage, 62420,
     /*  517842 */     GIR_EraseRootFromParent_Done,
     /*  517843 */   // Label 8607: @517843
     /*  517843 */   GIM_Try, /*On fail goto*//*Label 8608*/ GIMT_Encode4(517911), // Rule ID 62421 //
     /*  517848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  517859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  517862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  517865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  517868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  517880 */     // MIs[0] policy
     /*  517880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11559:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M4_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  517890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M4_M4),
     /*  517893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517907 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517909 */     GIR_RootConstrainSelectedInstOperands,
     /*  517910 */     // GIR_Coverage, 62421,
     /*  517910 */     GIR_EraseRootFromParent_Done,
     /*  517911 */   // Label 8608: @517911
     /*  517911 */   GIM_Try, /*On fail goto*//*Label 8609*/ GIMT_Encode4(517979), // Rule ID 62422 //
     /*  517916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  517919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  517933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  517936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  517944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  517948 */     // MIs[0] policy
     /*  517948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  517951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  517958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  517958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  517961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  517963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  517965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  517967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  517972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  517975 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  517977 */     GIR_RootConstrainSelectedInstOperands,
     /*  517978 */     // GIR_Coverage, 62422,
     /*  517978 */     GIR_EraseRootFromParent_Done,
     /*  517979 */   // Label 8609: @517979
     /*  517979 */   GIM_Try, /*On fail goto*//*Label 8610*/ GIMT_Encode4(518047), // Rule ID 62423 //
     /*  517984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  517987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  517992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  517995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  517998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  518004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518016 */     // MIs[0] policy
     /*  518016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  518019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_MF2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  518026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_MF2),
     /*  518029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  518031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  518033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518043 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  518045 */     GIR_RootConstrainSelectedInstOperands,
     /*  518046 */     // GIR_Coverage, 62423,
     /*  518046 */     GIR_EraseRootFromParent_Done,
     /*  518047 */   // Label 8610: @518047
     /*  518047 */   GIM_Try, /*On fail goto*//*Label 8611*/ GIMT_Encode4(518115), // Rule ID 62424 //
     /*  518052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  518055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  518060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  518063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  518066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  518072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518084 */     // MIs[0] policy
     /*  518084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  518087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  518094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  518097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  518099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  518101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518111 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  518113 */     GIR_RootConstrainSelectedInstOperands,
     /*  518114 */     // GIR_Coverage, 62424,
     /*  518114 */     GIR_EraseRootFromParent_Done,
     /*  518115 */   // Label 8611: @518115
     /*  518115 */   GIM_Try, /*On fail goto*//*Label 8612*/ GIMT_Encode4(518183), // Rule ID 62425 //
     /*  518120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  518123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  518128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  518131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  518134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  518137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  518140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518152 */     // MIs[0] policy
     /*  518152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  518155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518162 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M1:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  518162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M1),
     /*  518165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  518167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  518169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518179 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  518181 */     GIR_RootConstrainSelectedInstOperands,
     /*  518182 */     // GIR_Coverage, 62425,
     /*  518182 */     GIR_EraseRootFromParent_Done,
     /*  518183 */   // Label 8612: @518183
     /*  518183 */   GIM_Try, /*On fail goto*//*Label 8613*/ GIMT_Encode4(518251), // Rule ID 62426 //
     /*  518188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  518191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  518196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  518199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  518202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  518205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  518208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518220 */     // MIs[0] policy
     /*  518220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  518223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518230 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  518230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  518233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  518235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  518237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518247 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  518249 */     GIR_RootConstrainSelectedInstOperands,
     /*  518250 */     // GIR_Coverage, 62426,
     /*  518250 */     GIR_EraseRootFromParent_Done,
     /*  518251 */   // Label 8613: @518251
     /*  518251 */   GIM_Try, /*On fail goto*//*Label 8614*/ GIMT_Encode4(518319), // Rule ID 62427 //
     /*  518256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  518259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  518264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  518267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  518270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  518273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  518276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  518288 */     // MIs[0] policy
     /*  518288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  518291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518298 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M2:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  518298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M2),
     /*  518301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  518303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  518305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518315 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  518317 */     GIR_RootConstrainSelectedInstOperands,
     /*  518318 */     // GIR_Coverage, 62427,
     /*  518318 */     GIR_EraseRootFromParent_Done,
     /*  518319 */   // Label 8614: @518319
     /*  518319 */   GIM_Try, /*On fail goto*//*Label 8615*/ GIMT_Encode4(518387), // Rule ID 62428 //
     /*  518324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode0),
     /*  518327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  518332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  518335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  518338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  518341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  518344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518356 */     // MIs[0] policy
     /*  518356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  518359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518366 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  518366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  518369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  518371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  518373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518383 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  518385 */     GIR_RootConstrainSelectedInstOperands,
     /*  518386 */     // GIR_Coverage, 62428,
     /*  518386 */     GIR_EraseRootFromParent_Done,
     /*  518387 */   // Label 8615: @518387
     /*  518387 */   GIM_Try, /*On fail goto*//*Label 8616*/ GIMT_Encode4(518455), // Rule ID 62429 //
     /*  518392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksed_HwMode1),
     /*  518395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm4r_vs),
     /*  518400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  518403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  518406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  518409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  518412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  518420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  518424 */     // MIs[0] policy
     /*  518424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  518427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/4, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11559:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM4R_VS_M8_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  518434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM4R_VS_M8_M4),
     /*  518437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  518439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /*  518441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518451 */     GIR_RootToRootCopy, /*OpIdx*/5, // policy
     /*  518453 */     GIR_RootConstrainSelectedInstOperands,
     /*  518454 */     // GIR_Coverage, 62429,
     /*  518454 */     GIR_EraseRootFromParent_Done,
     /*  518455 */   // Label 8616: @518455
     /*  518455 */   GIM_Try, /*On fail goto*//*Label 8617*/ GIMT_Encode4(518526), // Rule ID 2704 //
     /*  518460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518492 */     // MIs[0] round
     /*  518492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518502 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  518505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518511 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518524 */     GIR_RootConstrainSelectedInstOperands,
     /*  518525 */     // GIR_Coverage, 2704,
     /*  518525 */     GIR_EraseRootFromParent_Done,
     /*  518526 */   // Label 8617: @518526
     /*  518526 */   GIM_Try, /*On fail goto*//*Label 8618*/ GIMT_Encode4(518597), // Rule ID 2705 //
     /*  518531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518563 */     // MIs[0] round
     /*  518563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518573 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /*  518576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518582 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518595 */     GIR_RootConstrainSelectedInstOperands,
     /*  518596 */     // GIR_Coverage, 2705,
     /*  518596 */     GIR_EraseRootFromParent_Done,
     /*  518597 */   // Label 8618: @518597
     /*  518597 */   GIM_Try, /*On fail goto*//*Label 8619*/ GIMT_Encode4(518668), // Rule ID 2740 //
     /*  518602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  518605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518634 */     // MIs[0] round
     /*  518634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  518647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518653 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518666 */     GIR_RootConstrainSelectedInstOperands,
     /*  518667 */     // GIR_Coverage, 2740,
     /*  518667 */     GIR_EraseRootFromParent_Done,
     /*  518668 */   // Label 8619: @518668
     /*  518668 */   GIM_Try, /*On fail goto*//*Label 8620*/ GIMT_Encode4(518739), // Rule ID 2741 //
     /*  518673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  518676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  518681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  518684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  518687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  518690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518705 */     // MIs[0] round
     /*  518705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518715 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4),
     /*  518718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518724 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518737 */     GIR_RootConstrainSelectedInstOperands,
     /*  518738 */     // GIR_Coverage, 2741,
     /*  518738 */     GIR_EraseRootFromParent_Done,
     /*  518739 */   // Label 8620: @518739
     /*  518739 */   GIM_Try, /*On fail goto*//*Label 8621*/ GIMT_Encode4(518810), // Rule ID 18998 //
     /*  518744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  518747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518776 */     // MIs[0] round
     /*  518776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518786 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  518786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  518789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518795 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518808 */     GIR_RootConstrainSelectedInstOperands,
     /*  518809 */     // GIR_Coverage, 18998,
     /*  518809 */     GIR_EraseRootFromParent_Done,
     /*  518810 */   // Label 8621: @518810
     /*  518810 */   GIM_Try, /*On fail goto*//*Label 8622*/ GIMT_Encode4(518881), // Rule ID 18999 //
     /*  518815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  518818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  518826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  518829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  518832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518847 */     // MIs[0] round
     /*  518847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518857 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  518857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /*  518860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518866 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  518876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518879 */     GIR_RootConstrainSelectedInstOperands,
     /*  518880 */     // GIR_Coverage, 18999,
     /*  518880 */     GIR_EraseRootFromParent_Done,
     /*  518881 */   // Label 8622: @518881
     /*  518881 */   GIM_Try, /*On fail goto*//*Label 8623*/ GIMT_Encode4(518952), // Rule ID 19002 //
     /*  518886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  518889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  518906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518918 */     // MIs[0] round
     /*  518918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  518928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  518931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  518933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  518935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  518937 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  518939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  518944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  518947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  518950 */     GIR_RootConstrainSelectedInstOperands,
     /*  518951 */     // GIR_Coverage, 19002,
     /*  518951 */     GIR_EraseRootFromParent_Done,
     /*  518952 */   // Label 8623: @518952
     /*  518952 */   GIM_Try, /*On fail goto*//*Label 8624*/ GIMT_Encode4(519023), // Rule ID 19003 //
     /*  518957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  518960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  518965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  518968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  518971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  518974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  518977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  518989 */     // MIs[0] round
     /*  518989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  518992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  518999 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  518999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /*  519002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519008 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519021 */     GIR_RootConstrainSelectedInstOperands,
     /*  519022 */     // GIR_Coverage, 19003,
     /*  519022 */     GIR_EraseRootFromParent_Done,
     /*  519023 */   // Label 8624: @519023
     /*  519023 */   GIM_Try, /*On fail goto*//*Label 8625*/ GIMT_Encode4(519094), // Rule ID 19006 //
     /*  519028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  519031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  519039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  519042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  519045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519060 */     // MIs[0] round
     /*  519060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519070 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  519073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519079 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519092 */     GIR_RootConstrainSelectedInstOperands,
     /*  519093 */     // GIR_Coverage, 19006,
     /*  519093 */     GIR_EraseRootFromParent_Done,
     /*  519094 */   // Label 8625: @519094
     /*  519094 */   GIM_Try, /*On fail goto*//*Label 8626*/ GIMT_Encode4(519165), // Rule ID 19007 //
     /*  519099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  519102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  519110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  519113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  519116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519131 */     // MIs[0] round
     /*  519131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519141 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11275:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /*  519144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519150 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519163 */     GIR_RootConstrainSelectedInstOperands,
     /*  519164 */     // GIR_Coverage, 19007,
     /*  519164 */     GIR_EraseRootFromParent_Done,
     /*  519165 */   // Label 8626: @519165
     /*  519165 */   GIM_Try, /*On fail goto*//*Label 8627*/ GIMT_Encode4(519236), // Rule ID 19010 //
     /*  519170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  519173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  519181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  519184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  519187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519202 */     // MIs[0] round
     /*  519202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519212 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  519215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519221 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519234 */     GIR_RootConstrainSelectedInstOperands,
     /*  519235 */     // GIR_Coverage, 19010,
     /*  519235 */     GIR_EraseRootFromParent_Done,
     /*  519236 */   // Label 8627: @519236
     /*  519236 */   GIM_Try, /*On fail goto*//*Label 8628*/ GIMT_Encode4(519307), // Rule ID 19011 //
     /*  519241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  519244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  519252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  519255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  519258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519273 */     // MIs[0] round
     /*  519273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519283 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11275:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /*  519286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519292 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519305 */     GIR_RootConstrainSelectedInstOperands,
     /*  519306 */     // GIR_Coverage, 19011,
     /*  519306 */     GIR_EraseRootFromParent_Done,
     /*  519307 */   // Label 8628: @519307
     /*  519307 */   GIM_Try, /*On fail goto*//*Label 8629*/ GIMT_Encode4(519378), // Rule ID 19014 //
     /*  519312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  519315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  519323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  519326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  519329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519344 */     // MIs[0] round
     /*  519344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519354 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  519354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  519357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519363 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519376 */     GIR_RootConstrainSelectedInstOperands,
     /*  519377 */     // GIR_Coverage, 19014,
     /*  519377 */     GIR_EraseRootFromParent_Done,
     /*  519378 */   // Label 8629: @519378
     /*  519378 */   GIM_Try, /*On fail goto*//*Label 8630*/ GIMT_Encode4(519449), // Rule ID 19015 //
     /*  519383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  519386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  519394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  519397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  519400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  519415 */     // MIs[0] round
     /*  519415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519425 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11275:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  519425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /*  519428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519434 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  519444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519447 */     GIR_RootConstrainSelectedInstOperands,
     /*  519448 */     // GIR_Coverage, 19015,
     /*  519448 */     GIR_EraseRootFromParent_Done,
     /*  519449 */   // Label 8630: @519449
     /*  519449 */   GIM_Try, /*On fail goto*//*Label 8631*/ GIMT_Encode4(519520), // Rule ID 19018 //
     /*  519454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  519457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  519465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  519471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519486 */     // MIs[0] round
     /*  519486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519496 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  519499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519505 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519518 */     GIR_RootConstrainSelectedInstOperands,
     /*  519519 */     // GIR_Coverage, 19018,
     /*  519519 */     GIR_EraseRootFromParent_Done,
     /*  519520 */   // Label 8631: @519520
     /*  519520 */   GIM_Try, /*On fail goto*//*Label 8632*/ GIMT_Encode4(519591), // Rule ID 19019 //
     /*  519525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  519528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  519536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  519539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  519542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519557 */     // MIs[0] round
     /*  519557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519567 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /*  519570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519576 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519589 */     GIR_RootConstrainSelectedInstOperands,
     /*  519590 */     // GIR_Coverage, 19019,
     /*  519590 */     GIR_EraseRootFromParent_Done,
     /*  519591 */   // Label 8632: @519591
     /*  519591 */   GIM_Try, /*On fail goto*//*Label 8633*/ GIMT_Encode4(519662), // Rule ID 19022 //
     /*  519596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  519599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519628 */     // MIs[0] round
     /*  519628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519638 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  519641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519647 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519660 */     GIR_RootConstrainSelectedInstOperands,
     /*  519661 */     // GIR_Coverage, 19022,
     /*  519661 */     GIR_EraseRootFromParent_Done,
     /*  519662 */   // Label 8633: @519662
     /*  519662 */   GIM_Try, /*On fail goto*//*Label 8634*/ GIMT_Encode4(519733), // Rule ID 19023 //
     /*  519667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  519670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  519678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  519681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  519684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  519699 */     // MIs[0] round
     /*  519699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519709 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /*  519712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519718 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519731 */     GIR_RootConstrainSelectedInstOperands,
     /*  519732 */     // GIR_Coverage, 19023,
     /*  519732 */     GIR_EraseRootFromParent_Done,
     /*  519733 */   // Label 8634: @519733
     /*  519733 */   GIM_Try, /*On fail goto*//*Label 8635*/ GIMT_Encode4(519804), // Rule ID 19026 //
     /*  519738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  519741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519770 */     // MIs[0] round
     /*  519770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519780 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  519780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  519783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519789 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519802 */     GIR_RootConstrainSelectedInstOperands,
     /*  519803 */     // GIR_Coverage, 19026,
     /*  519803 */     GIR_EraseRootFromParent_Done,
     /*  519804 */   // Label 8635: @519804
     /*  519804 */   GIM_Try, /*On fail goto*//*Label 8636*/ GIMT_Encode4(519875), // Rule ID 19027 //
     /*  519809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  519812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  519820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  519823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  519826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  519841 */     // MIs[0] round
     /*  519841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519851 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  519851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /*  519854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519860 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  519870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519873 */     GIR_RootConstrainSelectedInstOperands,
     /*  519874 */     // GIR_Coverage, 19027,
     /*  519874 */     GIR_EraseRootFromParent_Done,
     /*  519875 */   // Label 8636: @519875
     /*  519875 */   GIM_Try, /*On fail goto*//*Label 8637*/ GIMT_Encode4(519946), // Rule ID 19030 //
     /*  519880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  519883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  519900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519912 */     // MIs[0] round
     /*  519912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  519922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  519925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  519929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  519931 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  519933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  519938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  519941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  519944 */     GIR_RootConstrainSelectedInstOperands,
     /*  519945 */     // GIR_Coverage, 19030,
     /*  519945 */     GIR_EraseRootFromParent_Done,
     /*  519946 */   // Label 8637: @519946
     /*  519946 */   GIM_Try, /*On fail goto*//*Label 8638*/ GIMT_Encode4(520017), // Rule ID 19031 //
     /*  519951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  519954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  519959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  519962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  519965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  519968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  519971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  519983 */     // MIs[0] round
     /*  519983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  519986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  519993 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  519993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /*  519996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  519998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520002 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520015 */     GIR_RootConstrainSelectedInstOperands,
     /*  520016 */     // GIR_Coverage, 19031,
     /*  520016 */     GIR_EraseRootFromParent_Done,
     /*  520017 */   // Label 8638: @520017
     /*  520017 */   GIM_Try, /*On fail goto*//*Label 8639*/ GIMT_Encode4(520088), // Rule ID 19034 //
     /*  520022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  520025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  520033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  520036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  520039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520054 */     // MIs[0] round
     /*  520054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520064 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  520067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520073 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520086 */     GIR_RootConstrainSelectedInstOperands,
     /*  520087 */     // GIR_Coverage, 19034,
     /*  520087 */     GIR_EraseRootFromParent_Done,
     /*  520088 */   // Label 8639: @520088
     /*  520088 */   GIM_Try, /*On fail goto*//*Label 8640*/ GIMT_Encode4(520159), // Rule ID 19035 //
     /*  520093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  520096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  520104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  520107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  520110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520125 */     // MIs[0] round
     /*  520125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520135 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /*  520138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520144 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520157 */     GIR_RootConstrainSelectedInstOperands,
     /*  520158 */     // GIR_Coverage, 19035,
     /*  520158 */     GIR_EraseRootFromParent_Done,
     /*  520159 */   // Label 8640: @520159
     /*  520159 */   GIM_Try, /*On fail goto*//*Label 8641*/ GIMT_Encode4(520230), // Rule ID 19038 //
     /*  520164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  520167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  520175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  520181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520196 */     // MIs[0] round
     /*  520196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520206 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  520206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  520209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520215 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520228 */     GIR_RootConstrainSelectedInstOperands,
     /*  520229 */     // GIR_Coverage, 19038,
     /*  520229 */     GIR_EraseRootFromParent_Done,
     /*  520230 */   // Label 8641: @520230
     /*  520230 */   GIM_Try, /*On fail goto*//*Label 8642*/ GIMT_Encode4(520301), // Rule ID 19039 //
     /*  520235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  520238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  520246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  520249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  520252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520267 */     // MIs[0] round
     /*  520267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520277 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  520277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /*  520280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520286 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  520296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520299 */     GIR_RootConstrainSelectedInstOperands,
     /*  520300 */     // GIR_Coverage, 19039,
     /*  520300 */     GIR_EraseRootFromParent_Done,
     /*  520301 */   // Label 8642: @520301
     /*  520301 */   GIM_Try, /*On fail goto*//*Label 8643*/ GIMT_Encode4(520372), // Rule ID 19042 //
     /*  520306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  520309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  520317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  520323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520338 */     // MIs[0] round
     /*  520338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520348 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  520351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520357 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520370 */     GIR_RootConstrainSelectedInstOperands,
     /*  520371 */     // GIR_Coverage, 19042,
     /*  520371 */     GIR_EraseRootFromParent_Done,
     /*  520372 */   // Label 8643: @520372
     /*  520372 */   GIM_Try, /*On fail goto*//*Label 8644*/ GIMT_Encode4(520443), // Rule ID 19043 //
     /*  520377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  520380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  520388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  520391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  520394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  520409 */     // MIs[0] round
     /*  520409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520419 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11275:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /*  520422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520428 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520441 */     GIR_RootConstrainSelectedInstOperands,
     /*  520442 */     // GIR_Coverage, 19043,
     /*  520442 */     GIR_EraseRootFromParent_Done,
     /*  520443 */   // Label 8644: @520443
     /*  520443 */   GIM_Try, /*On fail goto*//*Label 8645*/ GIMT_Encode4(520514), // Rule ID 19046 //
     /*  520448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  520451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  520459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  520465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520480 */     // MIs[0] round
     /*  520480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520490 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  520493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520499 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520512 */     GIR_RootConstrainSelectedInstOperands,
     /*  520513 */     // GIR_Coverage, 19046,
     /*  520513 */     GIR_EraseRootFromParent_Done,
     /*  520514 */   // Label 8645: @520514
     /*  520514 */   GIM_Try, /*On fail goto*//*Label 8646*/ GIMT_Encode4(520585), // Rule ID 19047 //
     /*  520519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  520522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  520530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  520533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  520536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  520551 */     // MIs[0] round
     /*  520551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520561 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11275:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /*  520564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520570 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520583 */     GIR_RootConstrainSelectedInstOperands,
     /*  520584 */     // GIR_Coverage, 19047,
     /*  520584 */     GIR_EraseRootFromParent_Done,
     /*  520585 */   // Label 8646: @520585
     /*  520585 */   GIM_Try, /*On fail goto*//*Label 8647*/ GIMT_Encode4(520656), // Rule ID 19050 //
     /*  520590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  520593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520622 */     // MIs[0] round
     /*  520622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520632 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  520632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  520635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520641 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520654 */     GIR_RootConstrainSelectedInstOperands,
     /*  520655 */     // GIR_Coverage, 19050,
     /*  520655 */     GIR_EraseRootFromParent_Done,
     /*  520656 */   // Label 8647: @520656
     /*  520656 */   GIM_Try, /*On fail goto*//*Label 8648*/ GIMT_Encode4(520727), // Rule ID 19051 //
     /*  520661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  520664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt),
     /*  520669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  520672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  520675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  520678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  520693 */     // MIs[0] round
     /*  520693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520703 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11275:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  520703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /*  520706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520712 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  520722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520725 */     GIR_RootConstrainSelectedInstOperands,
     /*  520726 */     // GIR_Coverage, 19051,
     /*  520726 */     GIR_EraseRootFromParent_Done,
     /*  520727 */   // Label 8648: @520727
     /*  520727 */   GIM_Try, /*On fail goto*//*Label 8649*/ GIMT_Encode4(520798), // Rule ID 19110 //
     /*  520732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520764 */     // MIs[0] round
     /*  520764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520774 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  520777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520783 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520796 */     GIR_RootConstrainSelectedInstOperands,
     /*  520797 */     // GIR_Coverage, 19110,
     /*  520797 */     GIR_EraseRootFromParent_Done,
     /*  520798 */   // Label 8649: @520798
     /*  520798 */   GIM_Try, /*On fail goto*//*Label 8650*/ GIMT_Encode4(520869), // Rule ID 19111 //
     /*  520803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  520814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  520817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  520820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520835 */     // MIs[0] round
     /*  520835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520845 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16),
     /*  520848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520854 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520867 */     GIR_RootConstrainSelectedInstOperands,
     /*  520868 */     // GIR_Coverage, 19111,
     /*  520868 */     GIR_EraseRootFromParent_Done,
     /*  520869 */   // Label 8650: @520869
     /*  520869 */   GIM_Try, /*On fail goto*//*Label 8651*/ GIMT_Encode4(520940), // Rule ID 19114 //
     /*  520874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  520877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  520894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520906 */     // MIs[0] round
     /*  520906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520916 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  520916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  520919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520925 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  520932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  520935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  520938 */     GIR_RootConstrainSelectedInstOperands,
     /*  520939 */     // GIR_Coverage, 19114,
     /*  520939 */     GIR_EraseRootFromParent_Done,
     /*  520940 */   // Label 8651: @520940
     /*  520940 */   GIM_Try, /*On fail goto*//*Label 8652*/ GIMT_Encode4(521011), // Rule ID 19115 //
     /*  520945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  520948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  520953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  520956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  520959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  520962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  520965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  520977 */     // MIs[0] round
     /*  520977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  520980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  520987 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  520987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16),
     /*  520990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  520992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  520994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  520996 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  520998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521009 */     GIR_RootConstrainSelectedInstOperands,
     /*  521010 */     // GIR_Coverage, 19115,
     /*  521010 */     GIR_EraseRootFromParent_Done,
     /*  521011 */   // Label 8652: @521011
     /*  521011 */   GIM_Try, /*On fail goto*//*Label 8653*/ GIMT_Encode4(521082), // Rule ID 19118 //
     /*  521016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  521019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  521027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  521030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  521033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521048 */     // MIs[0] round
     /*  521048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521058 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  521061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521067 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521080 */     GIR_RootConstrainSelectedInstOperands,
     /*  521081 */     // GIR_Coverage, 19118,
     /*  521081 */     GIR_EraseRootFromParent_Done,
     /*  521082 */   // Label 8653: @521082
     /*  521082 */   GIM_Try, /*On fail goto*//*Label 8654*/ GIMT_Encode4(521153), // Rule ID 19119 //
     /*  521087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  521090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  521098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  521101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  521104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521119 */     // MIs[0] round
     /*  521119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521129 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32),
     /*  521132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521138 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521151 */     GIR_RootConstrainSelectedInstOperands,
     /*  521152 */     // GIR_Coverage, 19119,
     /*  521152 */     GIR_EraseRootFromParent_Done,
     /*  521153 */   // Label 8654: @521153
     /*  521153 */   GIM_Try, /*On fail goto*//*Label 8655*/ GIMT_Encode4(521224), // Rule ID 19122 //
     /*  521158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  521169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  521172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521190 */     // MIs[0] round
     /*  521190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521200 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  521203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521209 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521222 */     GIR_RootConstrainSelectedInstOperands,
     /*  521223 */     // GIR_Coverage, 19122,
     /*  521223 */     GIR_EraseRootFromParent_Done,
     /*  521224 */   // Label 8655: @521224
     /*  521224 */   GIM_Try, /*On fail goto*//*Label 8656*/ GIMT_Encode4(521295), // Rule ID 19123 //
     /*  521229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  521240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  521243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  521246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521261 */     // MIs[0] round
     /*  521261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521271 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11251:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16),
     /*  521274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521280 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521293 */     GIR_RootConstrainSelectedInstOperands,
     /*  521294 */     // GIR_Coverage, 19123,
     /*  521294 */     GIR_EraseRootFromParent_Done,
     /*  521295 */   // Label 8656: @521295
     /*  521295 */   GIM_Try, /*On fail goto*//*Label 8657*/ GIMT_Encode4(521366), // Rule ID 19126 //
     /*  521300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  521303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521332 */     // MIs[0] round
     /*  521332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521342 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  521342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  521345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521351 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521364 */     GIR_RootConstrainSelectedInstOperands,
     /*  521365 */     // GIR_Coverage, 19126,
     /*  521365 */     GIR_EraseRootFromParent_Done,
     /*  521366 */   // Label 8657: @521366
     /*  521366 */   GIM_Try, /*On fail goto*//*Label 8658*/ GIMT_Encode4(521437), // Rule ID 19127 //
     /*  521371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  521374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  521382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  521385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  521388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521403 */     // MIs[0] round
     /*  521403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521413 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11251:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  521413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32),
     /*  521416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521422 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  521432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521435 */     GIR_RootConstrainSelectedInstOperands,
     /*  521436 */     // GIR_Coverage, 19127,
     /*  521436 */     GIR_EraseRootFromParent_Done,
     /*  521437 */   // Label 8658: @521437
     /*  521437 */   GIM_Try, /*On fail goto*//*Label 8659*/ GIMT_Encode4(521508), // Rule ID 19130 //
     /*  521442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  521445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  521453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  521456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  521459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521474 */     // MIs[0] round
     /*  521474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521484 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  521484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  521487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521493 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521506 */     GIR_RootConstrainSelectedInstOperands,
     /*  521507 */     // GIR_Coverage, 19130,
     /*  521507 */     GIR_EraseRootFromParent_Done,
     /*  521508 */   // Label 8659: @521508
     /*  521508 */   GIM_Try, /*On fail goto*//*Label 8660*/ GIMT_Encode4(521579), // Rule ID 19131 //
     /*  521513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  521516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  521524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  521527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  521530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  521545 */     // MIs[0] round
     /*  521545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521555 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11251:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  521555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64),
     /*  521558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521564 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  521574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521577 */     GIR_RootConstrainSelectedInstOperands,
     /*  521578 */     // GIR_Coverage, 19131,
     /*  521578 */     GIR_EraseRootFromParent_Done,
     /*  521579 */   // Label 8660: @521579
     /*  521579 */   GIM_Try, /*On fail goto*//*Label 8661*/ GIMT_Encode4(521650), // Rule ID 19134 //
     /*  521584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  521595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  521598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521616 */     // MIs[0] round
     /*  521616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521626 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  521629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521635 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521648 */     GIR_RootConstrainSelectedInstOperands,
     /*  521649 */     // GIR_Coverage, 19134,
     /*  521649 */     GIR_EraseRootFromParent_Done,
     /*  521650 */   // Label 8661: @521650
     /*  521650 */   GIM_Try, /*On fail goto*//*Label 8662*/ GIMT_Encode4(521721), // Rule ID 19135 //
     /*  521655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  521666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  521669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  521672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  521687 */     // MIs[0] round
     /*  521687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521697 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16),
     /*  521700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521706 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521719 */     GIR_RootConstrainSelectedInstOperands,
     /*  521720 */     // GIR_Coverage, 19135,
     /*  521720 */     GIR_EraseRootFromParent_Done,
     /*  521721 */   // Label 8662: @521721
     /*  521721 */   GIM_Try, /*On fail goto*//*Label 8663*/ GIMT_Encode4(521792), // Rule ID 19138 //
     /*  521726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521758 */     // MIs[0] round
     /*  521758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521768 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  521771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521777 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521790 */     GIR_RootConstrainSelectedInstOperands,
     /*  521791 */     // GIR_Coverage, 19138,
     /*  521791 */     GIR_EraseRootFromParent_Done,
     /*  521792 */   // Label 8663: @521792
     /*  521792 */   GIM_Try, /*On fail goto*//*Label 8664*/ GIMT_Encode4(521863), // Rule ID 19139 //
     /*  521797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  521808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  521811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  521814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  521829 */     // MIs[0] round
     /*  521829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521839 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16),
     /*  521842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521848 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521861 */     GIR_RootConstrainSelectedInstOperands,
     /*  521862 */     // GIR_Coverage, 19139,
     /*  521862 */     GIR_EraseRootFromParent_Done,
     /*  521863 */   // Label 8664: @521863
     /*  521863 */   GIM_Try, /*On fail goto*//*Label 8665*/ GIMT_Encode4(521934), // Rule ID 19142 //
     /*  521868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  521871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  521888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521900 */     // MIs[0] round
     /*  521900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521910 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  521910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  521913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521919 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  521929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  521932 */     GIR_RootConstrainSelectedInstOperands,
     /*  521933 */     // GIR_Coverage, 19142,
     /*  521933 */     GIR_EraseRootFromParent_Done,
     /*  521934 */   // Label 8665: @521934
     /*  521934 */   GIM_Try, /*On fail goto*//*Label 8666*/ GIMT_Encode4(522005), // Rule ID 19143 //
     /*  521939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  521942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  521947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  521950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  521953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  521956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  521959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  521971 */     // MIs[0] round
     /*  521971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  521974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  521981 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  521981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16),
     /*  521984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  521986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  521988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  521990 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  521992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  521997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522003 */     GIR_RootConstrainSelectedInstOperands,
     /*  522004 */     // GIR_Coverage, 19143,
     /*  522004 */     GIR_EraseRootFromParent_Done,
     /*  522005 */   // Label 8666: @522005
     /*  522005 */   GIM_Try, /*On fail goto*//*Label 8667*/ GIMT_Encode4(522076), // Rule ID 19146 //
     /*  522010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  522013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  522021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  522024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  522027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522042 */     // MIs[0] round
     /*  522042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522052 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  522055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522061 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522074 */     GIR_RootConstrainSelectedInstOperands,
     /*  522075 */     // GIR_Coverage, 19146,
     /*  522075 */     GIR_EraseRootFromParent_Done,
     /*  522076 */   // Label 8667: @522076
     /*  522076 */   GIM_Try, /*On fail goto*//*Label 8668*/ GIMT_Encode4(522147), // Rule ID 19147 //
     /*  522081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  522084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  522092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  522095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  522098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522113 */     // MIs[0] round
     /*  522113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522123 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32),
     /*  522126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522132 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522145 */     GIR_RootConstrainSelectedInstOperands,
     /*  522146 */     // GIR_Coverage, 19147,
     /*  522146 */     GIR_EraseRootFromParent_Done,
     /*  522147 */   // Label 8668: @522147
     /*  522147 */   GIM_Try, /*On fail goto*//*Label 8669*/ GIMT_Encode4(522218), // Rule ID 19150 //
     /*  522152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  522155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  522163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  522166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  522169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522184 */     // MIs[0] round
     /*  522184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522194 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  522197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522203 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522216 */     GIR_RootConstrainSelectedInstOperands,
     /*  522217 */     // GIR_Coverage, 19150,
     /*  522217 */     GIR_EraseRootFromParent_Done,
     /*  522218 */   // Label 8669: @522218
     /*  522218 */   GIM_Try, /*On fail goto*//*Label 8670*/ GIMT_Encode4(522289), // Rule ID 19151 //
     /*  522223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  522226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  522234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  522237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  522240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522255 */     // MIs[0] round
     /*  522255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522265 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32),
     /*  522268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522274 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522287 */     GIR_RootConstrainSelectedInstOperands,
     /*  522288 */     // GIR_Coverage, 19151,
     /*  522288 */     GIR_EraseRootFromParent_Done,
     /*  522289 */   // Label 8670: @522289
     /*  522289 */   GIM_Try, /*On fail goto*//*Label 8671*/ GIMT_Encode4(522360), // Rule ID 19154 //
     /*  522294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  522297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  522305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  522308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  522311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522326 */     // MIs[0] round
     /*  522326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522336 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  522336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  522339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522345 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522358 */     GIR_RootConstrainSelectedInstOperands,
     /*  522359 */     // GIR_Coverage, 19154,
     /*  522359 */     GIR_EraseRootFromParent_Done,
     /*  522360 */   // Label 8671: @522360
     /*  522360 */   GIM_Try, /*On fail goto*//*Label 8672*/ GIMT_Encode4(522431), // Rule ID 19155 //
     /*  522365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  522368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  522376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  522379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  522382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522397 */     // MIs[0] round
     /*  522397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522407 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  522407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32),
     /*  522410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522416 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  522426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522429 */     GIR_RootConstrainSelectedInstOperands,
     /*  522430 */     // GIR_Coverage, 19155,
     /*  522430 */     GIR_EraseRootFromParent_Done,
     /*  522431 */   // Label 8672: @522431
     /*  522431 */   GIM_Try, /*On fail goto*//*Label 8673*/ GIMT_Encode4(522502), // Rule ID 19158 //
     /*  522436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  522439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  522453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522468 */     // MIs[0] round
     /*  522468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522478 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  522481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522487 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522500 */     GIR_RootConstrainSelectedInstOperands,
     /*  522501 */     // GIR_Coverage, 19158,
     /*  522501 */     GIR_EraseRootFromParent_Done,
     /*  522502 */   // Label 8673: @522502
     /*  522502 */   GIM_Try, /*On fail goto*//*Label 8674*/ GIMT_Encode4(522573), // Rule ID 19159 //
     /*  522507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  522510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  522518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  522521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  522524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  522539 */     // MIs[0] round
     /*  522539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522549 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11251:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64),
     /*  522552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522558 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522571 */     GIR_RootConstrainSelectedInstOperands,
     /*  522572 */     // GIR_Coverage, 19159,
     /*  522572 */     GIR_EraseRootFromParent_Done,
     /*  522573 */   // Label 8674: @522573
     /*  522573 */   GIM_Try, /*On fail goto*//*Label 8675*/ GIMT_Encode4(522644), // Rule ID 19162 //
     /*  522578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  522581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  522595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522610 */     // MIs[0] round
     /*  522610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522620 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  522623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522629 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522642 */     GIR_RootConstrainSelectedInstOperands,
     /*  522643 */     // GIR_Coverage, 19162,
     /*  522643 */     GIR_EraseRootFromParent_Done,
     /*  522644 */   // Label 8675: @522644
     /*  522644 */   GIM_Try, /*On fail goto*//*Label 8676*/ GIMT_Encode4(522715), // Rule ID 19163 //
     /*  522649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  522652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  522660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  522663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  522666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  522681 */     // MIs[0] round
     /*  522681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522691 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11251:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64),
     /*  522694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522700 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522713 */     GIR_RootConstrainSelectedInstOperands,
     /*  522714 */     // GIR_Coverage, 19163,
     /*  522714 */     GIR_EraseRootFromParent_Done,
     /*  522715 */   // Label 8676: @522715
     /*  522715 */   GIM_Try, /*On fail goto*//*Label 8677*/ GIMT_Encode4(522786), // Rule ID 19166 //
     /*  522720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  522723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522752 */     // MIs[0] round
     /*  522752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522762 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  522762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  522765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522771 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522784 */     GIR_RootConstrainSelectedInstOperands,
     /*  522785 */     // GIR_Coverage, 19166,
     /*  522785 */     GIR_EraseRootFromParent_Done,
     /*  522786 */   // Label 8677: @522786
     /*  522786 */   GIM_Try, /*On fail goto*//*Label 8678*/ GIMT_Encode4(522857), // Rule ID 19167 //
     /*  522791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  522794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7),
     /*  522799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  522802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  522805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  522808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  522823 */     // MIs[0] round
     /*  522823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522833 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11251:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREC7_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  522833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64),
     /*  522836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522842 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  522852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522855 */     GIR_RootConstrainSelectedInstOperands,
     /*  522856 */     // GIR_Coverage, 19167,
     /*  522856 */     GIR_EraseRootFromParent_Done,
     /*  522857 */   // Label 8678: @522857
     /*  522857 */   GIM_Try, /*On fail goto*//*Label 8679*/ GIMT_Encode4(522928), // Rule ID 20752 //
     /*  522862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  522865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  522882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522894 */     // MIs[0] round
     /*  522894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522904 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  522904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522913 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522926 */     GIR_RootConstrainSelectedInstOperands,
     /*  522927 */     // GIR_Coverage, 20752,
     /*  522927 */     GIR_EraseRootFromParent_Done,
     /*  522928 */   // Label 8679: @522928
     /*  522928 */   GIM_Try, /*On fail goto*//*Label 8680*/ GIMT_Encode4(522999), // Rule ID 20753 //
     /*  522933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  522936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  522941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  522944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  522947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  522950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  522953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  522965 */     // MIs[0] round
     /*  522965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  522968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  522975 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  522975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  522978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  522980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  522982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  522984 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  522986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  522991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  522994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  522997 */     GIR_RootConstrainSelectedInstOperands,
     /*  522998 */     // GIR_Coverage, 20753,
     /*  522998 */     GIR_EraseRootFromParent_Done,
     /*  522999 */   // Label 8680: @522999
     /*  522999 */   GIM_Try, /*On fail goto*//*Label 8681*/ GIMT_Encode4(523070), // Rule ID 20756 //
     /*  523004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  523015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  523018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  523021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523036 */     // MIs[0] round
     /*  523036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  523049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523055 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523068 */     GIR_RootConstrainSelectedInstOperands,
     /*  523069 */     // GIR_Coverage, 20756,
     /*  523069 */     GIR_EraseRootFromParent_Done,
     /*  523070 */   // Label 8681: @523070
     /*  523070 */   GIM_Try, /*On fail goto*//*Label 8682*/ GIMT_Encode4(523141), // Rule ID 20757 //
     /*  523075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  523086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  523089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  523092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523107 */     // MIs[0] round
     /*  523107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2),
     /*  523120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523126 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523139 */     GIR_RootConstrainSelectedInstOperands,
     /*  523140 */     // GIR_Coverage, 20757,
     /*  523140 */     GIR_EraseRootFromParent_Done,
     /*  523141 */   // Label 8682: @523141
     /*  523141 */   GIM_Try, /*On fail goto*//*Label 8683*/ GIMT_Encode4(523212), // Rule ID 20760 //
     /*  523146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  523157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  523163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523178 */     // MIs[0] round
     /*  523178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523188 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  523191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523197 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523210 */     GIR_RootConstrainSelectedInstOperands,
     /*  523211 */     // GIR_Coverage, 20760,
     /*  523211 */     GIR_EraseRootFromParent_Done,
     /*  523212 */   // Label 8683: @523212
     /*  523212 */   GIM_Try, /*On fail goto*//*Label 8684*/ GIMT_Encode4(523283), // Rule ID 20761 //
     /*  523217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  523228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  523231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  523234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523249 */     // MIs[0] round
     /*  523249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523259 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11197:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  523262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523268 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523281 */     GIR_RootConstrainSelectedInstOperands,
     /*  523282 */     // GIR_Coverage, 20761,
     /*  523282 */     GIR_EraseRootFromParent_Done,
     /*  523283 */   // Label 8684: @523283
     /*  523283 */   GIM_Try, /*On fail goto*//*Label 8685*/ GIMT_Encode4(523354), // Rule ID 20764 //
     /*  523288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  523291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  523299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  523302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  523305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523320 */     // MIs[0] round
     /*  523320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  523330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  523333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523339 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523352 */     GIR_RootConstrainSelectedInstOperands,
     /*  523353 */     // GIR_Coverage, 20764,
     /*  523353 */     GIR_EraseRootFromParent_Done,
     /*  523354 */   // Label 8685: @523354
     /*  523354 */   GIM_Try, /*On fail goto*//*Label 8686*/ GIMT_Encode4(523425), // Rule ID 20765 //
     /*  523359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  523362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  523370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  523373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  523376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523391 */     // MIs[0] round
     /*  523391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523401 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11197:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  523401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  523404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523410 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  523420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523423 */     GIR_RootConstrainSelectedInstOperands,
     /*  523424 */     // GIR_Coverage, 20765,
     /*  523424 */     GIR_EraseRootFromParent_Done,
     /*  523425 */   // Label 8686: @523425
     /*  523425 */   GIM_Try, /*On fail goto*//*Label 8687*/ GIMT_Encode4(523496), // Rule ID 20768 //
     /*  523430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  523433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  523441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  523447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523462 */     // MIs[0] round
     /*  523462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523472 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  523472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  523475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523481 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523494 */     GIR_RootConstrainSelectedInstOperands,
     /*  523495 */     // GIR_Coverage, 20768,
     /*  523495 */     GIR_EraseRootFromParent_Done,
     /*  523496 */   // Label 8687: @523496
     /*  523496 */   GIM_Try, /*On fail goto*//*Label 8688*/ GIMT_Encode4(523567), // Rule ID 20769 //
     /*  523501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  523504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  523512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  523515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  523518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  523533 */     // MIs[0] round
     /*  523533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523543 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11197:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  523543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1),
     /*  523546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523552 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  523562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523565 */     GIR_RootConstrainSelectedInstOperands,
     /*  523566 */     // GIR_Coverage, 20769,
     /*  523566 */     GIR_EraseRootFromParent_Done,
     /*  523567 */   // Label 8688: @523567
     /*  523567 */   GIM_Try, /*On fail goto*//*Label 8689*/ GIMT_Encode4(523638), // Rule ID 20772 //
     /*  523572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523604 */     // MIs[0] round
     /*  523604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523623 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523636 */     GIR_RootConstrainSelectedInstOperands,
     /*  523637 */     // GIR_Coverage, 20772,
     /*  523637 */     GIR_EraseRootFromParent_Done,
     /*  523638 */   // Label 8689: @523638
     /*  523638 */   GIM_Try, /*On fail goto*//*Label 8690*/ GIMT_Encode4(523709), // Rule ID 20773 //
     /*  523643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  523654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  523657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  523660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  523675 */     // MIs[0] round
     /*  523675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523685 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  523688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523694 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523707 */     GIR_RootConstrainSelectedInstOperands,
     /*  523708 */     // GIR_Coverage, 20773,
     /*  523708 */     GIR_EraseRootFromParent_Done,
     /*  523709 */   // Label 8690: @523709
     /*  523709 */   GIM_Try, /*On fail goto*//*Label 8691*/ GIMT_Encode4(523780), // Rule ID 20776 //
     /*  523714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523746 */     // MIs[0] round
     /*  523746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523756 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523765 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523778 */     GIR_RootConstrainSelectedInstOperands,
     /*  523779 */     // GIR_Coverage, 20776,
     /*  523779 */     GIR_EraseRootFromParent_Done,
     /*  523780 */   // Label 8691: @523780
     /*  523780 */   GIM_Try, /*On fail goto*//*Label 8692*/ GIMT_Encode4(523851), // Rule ID 20777 //
     /*  523785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  523796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  523799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  523802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  523817 */     // MIs[0] round
     /*  523817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523827 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  523830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523836 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523849 */     GIR_RootConstrainSelectedInstOperands,
     /*  523850 */     // GIR_Coverage, 20777,
     /*  523850 */     GIR_EraseRootFromParent_Done,
     /*  523851 */   // Label 8692: @523851
     /*  523851 */   GIM_Try, /*On fail goto*//*Label 8693*/ GIMT_Encode4(523922), // Rule ID 20780 //
     /*  523856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  523859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  523876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523888 */     // MIs[0] round
     /*  523888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523898 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  523898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523907 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523920 */     GIR_RootConstrainSelectedInstOperands,
     /*  523921 */     // GIR_Coverage, 20780,
     /*  523921 */     GIR_EraseRootFromParent_Done,
     /*  523922 */   // Label 8693: @523922
     /*  523922 */   GIM_Try, /*On fail goto*//*Label 8694*/ GIMT_Encode4(523993), // Rule ID 20781 //
     /*  523927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  523930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  523935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  523938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  523941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  523944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  523947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  523959 */     // MIs[0] round
     /*  523959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  523962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  523969 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  523969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  523972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  523974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  523976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  523978 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  523980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  523985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  523988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  523991 */     GIR_RootConstrainSelectedInstOperands,
     /*  523992 */     // GIR_Coverage, 20781,
     /*  523992 */     GIR_EraseRootFromParent_Done,
     /*  523993 */   // Label 8694: @523993
     /*  523993 */   GIM_Try, /*On fail goto*//*Label 8695*/ GIMT_Encode4(524064), // Rule ID 20784 //
     /*  523998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  524009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  524015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524030 */     // MIs[0] round
     /*  524030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  524043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524049 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524062 */     GIR_RootConstrainSelectedInstOperands,
     /*  524063 */     // GIR_Coverage, 20784,
     /*  524063 */     GIR_EraseRootFromParent_Done,
     /*  524064 */   // Label 8695: @524064
     /*  524064 */   GIM_Try, /*On fail goto*//*Label 8696*/ GIMT_Encode4(524135), // Rule ID 20785 //
     /*  524069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  524080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  524083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  524086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524101 */     // MIs[0] round
     /*  524101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524111 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  524114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524120 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524133 */     GIR_RootConstrainSelectedInstOperands,
     /*  524134 */     // GIR_Coverage, 20785,
     /*  524134 */     GIR_EraseRootFromParent_Done,
     /*  524135 */   // Label 8696: @524135
     /*  524135 */   GIM_Try, /*On fail goto*//*Label 8697*/ GIMT_Encode4(524206), // Rule ID 20788 //
     /*  524140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  524151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  524154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  524157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524172 */     // MIs[0] round
     /*  524172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524182 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  524185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524191 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524204 */     GIR_RootConstrainSelectedInstOperands,
     /*  524205 */     // GIR_Coverage, 20788,
     /*  524205 */     GIR_EraseRootFromParent_Done,
     /*  524206 */   // Label 8697: @524206
     /*  524206 */   GIM_Try, /*On fail goto*//*Label 8698*/ GIMT_Encode4(524277), // Rule ID 20789 //
     /*  524211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  524222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  524225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  524228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524243 */     // MIs[0] round
     /*  524243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524253 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  524256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524262 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524275 */     GIR_RootConstrainSelectedInstOperands,
     /*  524276 */     // GIR_Coverage, 20789,
     /*  524276 */     GIR_EraseRootFromParent_Done,
     /*  524277 */   // Label 8698: @524277
     /*  524277 */   GIM_Try, /*On fail goto*//*Label 8699*/ GIMT_Encode4(524348), // Rule ID 20792 //
     /*  524282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  524285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  524293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  524296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  524299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524314 */     // MIs[0] round
     /*  524314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524324 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  524324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  524327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524333 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524346 */     GIR_RootConstrainSelectedInstOperands,
     /*  524347 */     // GIR_Coverage, 20792,
     /*  524347 */     GIR_EraseRootFromParent_Done,
     /*  524348 */   // Label 8699: @524348
     /*  524348 */   GIM_Try, /*On fail goto*//*Label 8700*/ GIMT_Encode4(524419), // Rule ID 20793 //
     /*  524353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  524356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  524364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  524367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  524370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524385 */     // MIs[0] round
     /*  524385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524395 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  524395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  524398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524404 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  524414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524417 */     GIR_RootConstrainSelectedInstOperands,
     /*  524418 */     // GIR_Coverage, 20793,
     /*  524418 */     GIR_EraseRootFromParent_Done,
     /*  524419 */   // Label 8700: @524419
     /*  524419 */   GIM_Try, /*On fail goto*//*Label 8701*/ GIMT_Encode4(524490), // Rule ID 20796 //
     /*  524424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  524435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  524438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524456 */     // MIs[0] round
     /*  524456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524466 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  524469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524475 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524488 */     GIR_RootConstrainSelectedInstOperands,
     /*  524489 */     // GIR_Coverage, 20796,
     /*  524489 */     GIR_EraseRootFromParent_Done,
     /*  524490 */   // Label 8701: @524490
     /*  524490 */   GIM_Try, /*On fail goto*//*Label 8702*/ GIMT_Encode4(524561), // Rule ID 20797 //
     /*  524495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  524506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  524509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  524512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  524527 */     // MIs[0] round
     /*  524527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524537 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11197:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2),
     /*  524540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524546 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524559 */     GIR_RootConstrainSelectedInstOperands,
     /*  524560 */     // GIR_Coverage, 20797,
     /*  524560 */     GIR_EraseRootFromParent_Done,
     /*  524561 */   // Label 8702: @524561
     /*  524561 */   GIM_Try, /*On fail goto*//*Label 8703*/ GIMT_Encode4(524632), // Rule ID 20800 //
     /*  524566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524598 */     // MIs[0] round
     /*  524598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  524611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524617 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524630 */     GIR_RootConstrainSelectedInstOperands,
     /*  524631 */     // GIR_Coverage, 20800,
     /*  524631 */     GIR_EraseRootFromParent_Done,
     /*  524632 */   // Label 8703: @524632
     /*  524632 */   GIM_Try, /*On fail goto*//*Label 8704*/ GIMT_Encode4(524703), // Rule ID 20801 //
     /*  524637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  524648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  524651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  524654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  524669 */     // MIs[0] round
     /*  524669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524679 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11197:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4),
     /*  524682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524688 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524701 */     GIR_RootConstrainSelectedInstOperands,
     /*  524702 */     // GIR_Coverage, 20801,
     /*  524702 */     GIR_EraseRootFromParent_Done,
     /*  524703 */   // Label 8704: @524703
     /*  524703 */   GIM_Try, /*On fail goto*//*Label 8705*/ GIMT_Encode4(524774), // Rule ID 20804 //
     /*  524708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  524711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524740 */     // MIs[0] round
     /*  524740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524750 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  524750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  524753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524759 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524772 */     GIR_RootConstrainSelectedInstOperands,
     /*  524773 */     // GIR_Coverage, 20804,
     /*  524773 */     GIR_EraseRootFromParent_Done,
     /*  524774 */   // Label 8705: @524774
     /*  524774 */   GIM_Try, /*On fail goto*//*Label 8706*/ GIMT_Encode4(524845), // Rule ID 20805 //
     /*  524779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  524782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v),
     /*  524787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  524790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  524793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  524796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  524811 */     // MIs[0] round
     /*  524811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524821 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11197:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_X_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  524821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8),
     /*  524824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524830 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  524840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524843 */     GIR_RootConstrainSelectedInstOperands,
     /*  524844 */     // GIR_Coverage, 20805,
     /*  524844 */     GIR_EraseRootFromParent_Done,
     /*  524845 */   // Label 8706: @524845
     /*  524845 */   GIM_Try, /*On fail goto*//*Label 8707*/ GIMT_Encode4(524916), // Rule ID 20808 //
     /*  524850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  524870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524882 */     // MIs[0] round
     /*  524882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524892 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  524892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  524895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524901 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524914 */     GIR_RootConstrainSelectedInstOperands,
     /*  524915 */     // GIR_Coverage, 20808,
     /*  524915 */     GIR_EraseRootFromParent_Done,
     /*  524916 */   // Label 8707: @524916
     /*  524916 */   GIM_Try, /*On fail goto*//*Label 8708*/ GIMT_Encode4(524987), // Rule ID 20809 //
     /*  524921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  524924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  524929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  524932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  524935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  524938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  524941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  524953 */     // MIs[0] round
     /*  524953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  524956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  524963 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  524963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4),
     /*  524966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  524968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  524970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  524972 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  524974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  524979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  524982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  524985 */     GIR_RootConstrainSelectedInstOperands,
     /*  524986 */     // GIR_Coverage, 20809,
     /*  524986 */     GIR_EraseRootFromParent_Done,
     /*  524987 */   // Label 8708: @524987
     /*  524987 */   GIM_Try, /*On fail goto*//*Label 8709*/ GIMT_Encode4(525058), // Rule ID 20812 //
     /*  524992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  524995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  525003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  525006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  525009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525024 */     // MIs[0] round
     /*  525024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525034 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  525037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525043 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525056 */     GIR_RootConstrainSelectedInstOperands,
     /*  525057 */     // GIR_Coverage, 20812,
     /*  525057 */     GIR_EraseRootFromParent_Done,
     /*  525058 */   // Label 8709: @525058
     /*  525058 */   GIM_Try, /*On fail goto*//*Label 8710*/ GIMT_Encode4(525129), // Rule ID 20813 //
     /*  525063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  525074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  525077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  525080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525095 */     // MIs[0] round
     /*  525095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525105 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  525108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525114 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525127 */     GIR_RootConstrainSelectedInstOperands,
     /*  525128 */     // GIR_Coverage, 20813,
     /*  525128 */     GIR_EraseRootFromParent_Done,
     /*  525129 */   // Label 8710: @525129
     /*  525129 */   GIM_Try, /*On fail goto*//*Label 8711*/ GIMT_Encode4(525200), // Rule ID 20816 //
     /*  525134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  525145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  525148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  525151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525166 */     // MIs[0] round
     /*  525166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  525179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525185 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525198 */     GIR_RootConstrainSelectedInstOperands,
     /*  525199 */     // GIR_Coverage, 20816,
     /*  525199 */     GIR_EraseRootFromParent_Done,
     /*  525200 */   // Label 8711: @525200
     /*  525200 */   GIM_Try, /*On fail goto*//*Label 8712*/ GIMT_Encode4(525271), // Rule ID 20817 //
     /*  525205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  525216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  525219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  525222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525237 */     // MIs[0] round
     /*  525237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2),
     /*  525250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525256 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525269 */     GIR_RootConstrainSelectedInstOperands,
     /*  525270 */     // GIR_Coverage, 20817,
     /*  525270 */     GIR_EraseRootFromParent_Done,
     /*  525271 */   // Label 8712: @525271
     /*  525271 */   GIM_Try, /*On fail goto*//*Label 8713*/ GIMT_Encode4(525342), // Rule ID 20820 //
     /*  525276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  525287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  525290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525308 */     // MIs[0] round
     /*  525308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525318 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525327 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525340 */     GIR_RootConstrainSelectedInstOperands,
     /*  525341 */     // GIR_Coverage, 20820,
     /*  525341 */     GIR_EraseRootFromParent_Done,
     /*  525342 */   // Label 8713: @525342
     /*  525342 */   GIM_Try, /*On fail goto*//*Label 8714*/ GIMT_Encode4(525413), // Rule ID 20821 //
     /*  525347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  525358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  525361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  525364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525379 */     // MIs[0] round
     /*  525379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525389 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11199:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525398 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525411 */     GIR_RootConstrainSelectedInstOperands,
     /*  525412 */     // GIR_Coverage, 20821,
     /*  525412 */     GIR_EraseRootFromParent_Done,
     /*  525413 */   // Label 8714: @525413
     /*  525413 */   GIM_Try, /*On fail goto*//*Label 8715*/ GIMT_Encode4(525484), // Rule ID 20824 //
     /*  525418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  525421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  525429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  525432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525450 */     // MIs[0] round
     /*  525450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  525460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525469 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525482 */     GIR_RootConstrainSelectedInstOperands,
     /*  525483 */     // GIR_Coverage, 20824,
     /*  525483 */     GIR_EraseRootFromParent_Done,
     /*  525484 */   // Label 8715: @525484
     /*  525484 */   GIM_Try, /*On fail goto*//*Label 8716*/ GIMT_Encode4(525555), // Rule ID 20825 //
     /*  525489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  525492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  525500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  525503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  525506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525521 */     // MIs[0] round
     /*  525521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525531 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11199:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  525531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525540 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  525550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525553 */     GIR_RootConstrainSelectedInstOperands,
     /*  525554 */     // GIR_Coverage, 20825,
     /*  525554 */     GIR_EraseRootFromParent_Done,
     /*  525555 */   // Label 8716: @525555
     /*  525555 */   GIM_Try, /*On fail goto*//*Label 8717*/ GIMT_Encode4(525626), // Rule ID 20828 //
     /*  525560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  525563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525592 */     // MIs[0] round
     /*  525592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  525602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525611 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525624 */     GIR_RootConstrainSelectedInstOperands,
     /*  525625 */     // GIR_Coverage, 20828,
     /*  525625 */     GIR_EraseRootFromParent_Done,
     /*  525626 */   // Label 8717: @525626
     /*  525626 */   GIM_Try, /*On fail goto*//*Label 8718*/ GIMT_Encode4(525697), // Rule ID 20829 //
     /*  525631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  525634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  525642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  525645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  525648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  525663 */     // MIs[0] round
     /*  525663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525673 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11199:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  525673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1),
     /*  525676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525682 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  525692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525695 */     GIR_RootConstrainSelectedInstOperands,
     /*  525696 */     // GIR_Coverage, 20829,
     /*  525696 */     GIR_EraseRootFromParent_Done,
     /*  525697 */   // Label 8718: @525697
     /*  525697 */   GIM_Try, /*On fail goto*//*Label 8719*/ GIMT_Encode4(525768), // Rule ID 20832 //
     /*  525702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525734 */     // MIs[0] round
     /*  525734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525753 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525766 */     GIR_RootConstrainSelectedInstOperands,
     /*  525767 */     // GIR_Coverage, 20832,
     /*  525767 */     GIR_EraseRootFromParent_Done,
     /*  525768 */   // Label 8719: @525768
     /*  525768 */   GIM_Try, /*On fail goto*//*Label 8720*/ GIMT_Encode4(525839), // Rule ID 20833 //
     /*  525773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  525784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  525787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  525790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  525805 */     // MIs[0] round
     /*  525805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525815 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  525818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525824 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525837 */     GIR_RootConstrainSelectedInstOperands,
     /*  525838 */     // GIR_Coverage, 20833,
     /*  525838 */     GIR_EraseRootFromParent_Done,
     /*  525839 */   // Label 8720: @525839
     /*  525839 */   GIM_Try, /*On fail goto*//*Label 8721*/ GIMT_Encode4(525910), // Rule ID 20836 //
     /*  525844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  525864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525876 */     // MIs[0] round
     /*  525876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525886 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  525886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525895 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525908 */     GIR_RootConstrainSelectedInstOperands,
     /*  525909 */     // GIR_Coverage, 20836,
     /*  525909 */     GIR_EraseRootFromParent_Done,
     /*  525910 */   // Label 8721: @525910
     /*  525910 */   GIM_Try, /*On fail goto*//*Label 8722*/ GIMT_Encode4(525981), // Rule ID 20837 //
     /*  525915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  525918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  525926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  525929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  525932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  525935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  525947 */     // MIs[0] round
     /*  525947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  525950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  525957 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  525957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  525960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  525962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  525964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  525966 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  525968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  525973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  525976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  525979 */     GIR_RootConstrainSelectedInstOperands,
     /*  525980 */     // GIR_Coverage, 20837,
     /*  525980 */     GIR_EraseRootFromParent_Done,
     /*  525981 */   // Label 8722: @525981
     /*  525981 */   GIM_Try, /*On fail goto*//*Label 8723*/ GIMT_Encode4(526052), // Rule ID 20840 //
     /*  525986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  525989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  525994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  525997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  526000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  526003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526018 */     // MIs[0] round
     /*  526018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  526028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526037 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526050 */     GIR_RootConstrainSelectedInstOperands,
     /*  526051 */     // GIR_Coverage, 20840,
     /*  526051 */     GIR_EraseRootFromParent_Done,
     /*  526052 */   // Label 8723: @526052
     /*  526052 */   GIM_Try, /*On fail goto*//*Label 8724*/ GIMT_Encode4(526123), // Rule ID 20841 //
     /*  526057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  526060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  526068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  526071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  526074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526089 */     // MIs[0] round
     /*  526089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  526099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526108 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  526118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526121 */     GIR_RootConstrainSelectedInstOperands,
     /*  526122 */     // GIR_Coverage, 20841,
     /*  526122 */     GIR_EraseRootFromParent_Done,
     /*  526123 */   // Label 8724: @526123
     /*  526123 */   GIM_Try, /*On fail goto*//*Label 8725*/ GIMT_Encode4(526194), // Rule ID 20844 //
     /*  526128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  526145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526160 */     // MIs[0] round
     /*  526160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  526173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526179 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526192 */     GIR_RootConstrainSelectedInstOperands,
     /*  526193 */     // GIR_Coverage, 20844,
     /*  526193 */     GIR_EraseRootFromParent_Done,
     /*  526194 */   // Label 8725: @526194
     /*  526194 */   GIM_Try, /*On fail goto*//*Label 8726*/ GIMT_Encode4(526265), // Rule ID 20845 //
     /*  526199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  526210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  526213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  526216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526231 */     // MIs[0] round
     /*  526231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  526244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526250 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526263 */     GIR_RootConstrainSelectedInstOperands,
     /*  526264 */     // GIR_Coverage, 20845,
     /*  526264 */     GIR_EraseRootFromParent_Done,
     /*  526265 */   // Label 8726: @526265
     /*  526265 */   GIM_Try, /*On fail goto*//*Label 8727*/ GIMT_Encode4(526336), // Rule ID 20848 //
     /*  526270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526302 */     // MIs[0] round
     /*  526302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  526315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526321 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526334 */     GIR_RootConstrainSelectedInstOperands,
     /*  526335 */     // GIR_Coverage, 20848,
     /*  526335 */     GIR_EraseRootFromParent_Done,
     /*  526336 */   // Label 8727: @526336
     /*  526336 */   GIM_Try, /*On fail goto*//*Label 8728*/ GIMT_Encode4(526407), // Rule ID 20849 //
     /*  526341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  526352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  526355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  526358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526373 */     // MIs[0] round
     /*  526373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  526386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526392 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526405 */     GIR_RootConstrainSelectedInstOperands,
     /*  526406 */     // GIR_Coverage, 20849,
     /*  526406 */     GIR_EraseRootFromParent_Done,
     /*  526407 */   // Label 8728: @526407
     /*  526407 */   GIM_Try, /*On fail goto*//*Label 8729*/ GIMT_Encode4(526478), // Rule ID 20852 //
     /*  526412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  526415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526444 */     // MIs[0] round
     /*  526444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526454 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  526454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526463 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526476 */     GIR_RootConstrainSelectedInstOperands,
     /*  526477 */     // GIR_Coverage, 20852,
     /*  526477 */     GIR_EraseRootFromParent_Done,
     /*  526478 */   // Label 8729: @526478
     /*  526478 */   GIM_Try, /*On fail goto*//*Label 8730*/ GIMT_Encode4(526549), // Rule ID 20853 //
     /*  526483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  526486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  526494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  526497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  526500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526515 */     // MIs[0] round
     /*  526515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526525 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  526525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526534 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  526544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526547 */     GIR_RootConstrainSelectedInstOperands,
     /*  526548 */     // GIR_Coverage, 20853,
     /*  526548 */     GIR_EraseRootFromParent_Done,
     /*  526549 */   // Label 8730: @526549
     /*  526549 */   GIM_Try, /*On fail goto*//*Label 8731*/ GIMT_Encode4(526620), // Rule ID 20856 //
     /*  526554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526586 */     // MIs[0] round
     /*  526586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526596 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  526599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526605 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526618 */     GIR_RootConstrainSelectedInstOperands,
     /*  526619 */     // GIR_Coverage, 20856,
     /*  526619 */     GIR_EraseRootFromParent_Done,
     /*  526620 */   // Label 8731: @526620
     /*  526620 */   GIM_Try, /*On fail goto*//*Label 8732*/ GIMT_Encode4(526691), // Rule ID 20857 //
     /*  526625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  526636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  526639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  526642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  526657 */     // MIs[0] round
     /*  526657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526667 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11199:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2),
     /*  526670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526676 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526689 */     GIR_RootConstrainSelectedInstOperands,
     /*  526690 */     // GIR_Coverage, 20857,
     /*  526690 */     GIR_EraseRootFromParent_Done,
     /*  526691 */   // Label 8732: @526691
     /*  526691 */   GIM_Try, /*On fail goto*//*Label 8733*/ GIMT_Encode4(526762), // Rule ID 20860 //
     /*  526696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526728 */     // MIs[0] round
     /*  526728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526738 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  526741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526747 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526760 */     GIR_RootConstrainSelectedInstOperands,
     /*  526761 */     // GIR_Coverage, 20860,
     /*  526761 */     GIR_EraseRootFromParent_Done,
     /*  526762 */   // Label 8733: @526762
     /*  526762 */   GIM_Try, /*On fail goto*//*Label 8734*/ GIMT_Encode4(526833), // Rule ID 20861 //
     /*  526767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  526778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  526781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  526784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  526799 */     // MIs[0] round
     /*  526799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526809 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11199:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4),
     /*  526812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526818 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526831 */     GIR_RootConstrainSelectedInstOperands,
     /*  526832 */     // GIR_Coverage, 20861,
     /*  526832 */     GIR_EraseRootFromParent_Done,
     /*  526833 */   // Label 8734: @526833
     /*  526833 */   GIM_Try, /*On fail goto*//*Label 8735*/ GIMT_Encode4(526904), // Rule ID 20864 //
     /*  526838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  526841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  526858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526870 */     // MIs[0] round
     /*  526870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  526880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526889 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526902 */     GIR_RootConstrainSelectedInstOperands,
     /*  526903 */     // GIR_Coverage, 20864,
     /*  526903 */     GIR_EraseRootFromParent_Done,
     /*  526904 */   // Label 8735: @526904
     /*  526904 */   GIM_Try, /*On fail goto*//*Label 8736*/ GIMT_Encode4(526975), // Rule ID 20865 //
     /*  526909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  526912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v),
     /*  526917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  526920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  526923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  526926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  526929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  526941 */     // MIs[0] round
     /*  526941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  526944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  526951 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11199:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_XU_F_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  526951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8),
     /*  526954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  526956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  526958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  526960 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  526962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  526967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  526970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  526973 */     GIR_RootConstrainSelectedInstOperands,
     /*  526974 */     // GIR_Coverage, 20865,
     /*  526974 */     GIR_EraseRootFromParent_Done,
     /*  526975 */   // Label 8736: @526975
     /*  526975 */   GIM_Try, /*On fail goto*//*Label 8737*/ GIMT_Encode4(527046), // Rule ID 20988 //
     /*  526980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  526983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  526988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  526991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  526994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  526997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527012 */     // MIs[0] round
     /*  527012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527022 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  527025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527031 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527044 */     GIR_RootConstrainSelectedInstOperands,
     /*  527045 */     // GIR_Coverage, 20988,
     /*  527045 */     GIR_EraseRootFromParent_Done,
     /*  527046 */   // Label 8737: @527046
     /*  527046 */   GIM_Try, /*On fail goto*//*Label 8738*/ GIMT_Encode4(527117), // Rule ID 20989 //
     /*  527051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  527062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  527065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  527068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527083 */     // MIs[0] round
     /*  527083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527093 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /*  527096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527102 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527115 */     GIR_RootConstrainSelectedInstOperands,
     /*  527116 */     // GIR_Coverage, 20989,
     /*  527116 */     GIR_EraseRootFromParent_Done,
     /*  527117 */   // Label 8738: @527117
     /*  527117 */   GIM_Try, /*On fail goto*//*Label 8739*/ GIMT_Encode4(527188), // Rule ID 20992 //
     /*  527122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  527133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  527136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527154 */     // MIs[0] round
     /*  527154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527164 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  527167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527173 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527186 */     GIR_RootConstrainSelectedInstOperands,
     /*  527187 */     // GIR_Coverage, 20992,
     /*  527187 */     GIR_EraseRootFromParent_Done,
     /*  527188 */   // Label 8739: @527188
     /*  527188 */   GIM_Try, /*On fail goto*//*Label 8740*/ GIMT_Encode4(527259), // Rule ID 20993 //
     /*  527193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  527204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  527207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  527210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527225 */     // MIs[0] round
     /*  527225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527235 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /*  527238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527244 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527257 */     GIR_RootConstrainSelectedInstOperands,
     /*  527258 */     // GIR_Coverage, 20993,
     /*  527258 */     GIR_EraseRootFromParent_Done,
     /*  527259 */   // Label 8740: @527259
     /*  527259 */   GIM_Try, /*On fail goto*//*Label 8741*/ GIMT_Encode4(527330), // Rule ID 20996 //
     /*  527264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  527267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527296 */     // MIs[0] round
     /*  527296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527306 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  527309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527315 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527328 */     GIR_RootConstrainSelectedInstOperands,
     /*  527329 */     // GIR_Coverage, 20996,
     /*  527329 */     GIR_EraseRootFromParent_Done,
     /*  527330 */   // Label 8741: @527330
     /*  527330 */   GIM_Try, /*On fail goto*//*Label 8742*/ GIMT_Encode4(527401), // Rule ID 20997 //
     /*  527335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  527338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  527346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  527349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  527352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527367 */     // MIs[0] round
     /*  527367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527377 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /*  527380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527386 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527399 */     GIR_RootConstrainSelectedInstOperands,
     /*  527400 */     // GIR_Coverage, 20997,
     /*  527400 */     GIR_EraseRootFromParent_Done,
     /*  527401 */   // Label 8742: @527401
     /*  527401 */   GIM_Try, /*On fail goto*//*Label 8743*/ GIMT_Encode4(527472), // Rule ID 21000 //
     /*  527406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  527417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  527420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527438 */     // MIs[0] round
     /*  527438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527448 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  527451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527457 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527470 */     GIR_RootConstrainSelectedInstOperands,
     /*  527471 */     // GIR_Coverage, 21000,
     /*  527471 */     GIR_EraseRootFromParent_Done,
     /*  527472 */   // Label 8743: @527472
     /*  527472 */   GIM_Try, /*On fail goto*//*Label 8744*/ GIMT_Encode4(527543), // Rule ID 21001 //
     /*  527477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  527488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  527491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  527494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527509 */     // MIs[0] round
     /*  527509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527519 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11189:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /*  527522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527528 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527541 */     GIR_RootConstrainSelectedInstOperands,
     /*  527542 */     // GIR_Coverage, 21001,
     /*  527542 */     GIR_EraseRootFromParent_Done,
     /*  527543 */   // Label 8744: @527543
     /*  527543 */   GIM_Try, /*On fail goto*//*Label 8745*/ GIMT_Encode4(527614), // Rule ID 21004 //
     /*  527548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  527551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527580 */     // MIs[0] round
     /*  527580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527590 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  527590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  527593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527599 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527612 */     GIR_RootConstrainSelectedInstOperands,
     /*  527613 */     // GIR_Coverage, 21004,
     /*  527613 */     GIR_EraseRootFromParent_Done,
     /*  527614 */   // Label 8745: @527614
     /*  527614 */   GIM_Try, /*On fail goto*//*Label 8746*/ GIMT_Encode4(527685), // Rule ID 21005 //
     /*  527619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  527622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  527630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  527633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  527636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527651 */     // MIs[0] round
     /*  527651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527661 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11189:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  527661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /*  527664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527670 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  527680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527683 */     GIR_RootConstrainSelectedInstOperands,
     /*  527684 */     // GIR_Coverage, 21005,
     /*  527684 */     GIR_EraseRootFromParent_Done,
     /*  527685 */   // Label 8746: @527685
     /*  527685 */   GIM_Try, /*On fail goto*//*Label 8747*/ GIMT_Encode4(527756), // Rule ID 21008 //
     /*  527690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  527693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527722 */     // MIs[0] round
     /*  527722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527732 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  527732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  527735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527741 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527754 */     GIR_RootConstrainSelectedInstOperands,
     /*  527755 */     // GIR_Coverage, 21008,
     /*  527755 */     GIR_EraseRootFromParent_Done,
     /*  527756 */   // Label 8747: @527756
     /*  527756 */   GIM_Try, /*On fail goto*//*Label 8748*/ GIMT_Encode4(527827), // Rule ID 21009 //
     /*  527761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  527764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  527772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  527775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  527778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  527793 */     // MIs[0] round
     /*  527793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527803 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11189:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  527803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /*  527806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527812 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  527822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527825 */     GIR_RootConstrainSelectedInstOperands,
     /*  527826 */     // GIR_Coverage, 21009,
     /*  527826 */     GIR_EraseRootFromParent_Done,
     /*  527827 */   // Label 8748: @527827
     /*  527827 */   GIM_Try, /*On fail goto*//*Label 8749*/ GIMT_Encode4(527898), // Rule ID 21012 //
     /*  527832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527864 */     // MIs[0] round
     /*  527864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527874 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  527874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  527877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527883 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527896 */     GIR_RootConstrainSelectedInstOperands,
     /*  527897 */     // GIR_Coverage, 21012,
     /*  527897 */     GIR_EraseRootFromParent_Done,
     /*  527898 */   // Label 8749: @527898
     /*  527898 */   GIM_Try, /*On fail goto*//*Label 8750*/ GIMT_Encode4(527969), // Rule ID 21013 //
     /*  527903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  527906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  527914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  527917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  527920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  527923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  527935 */     // MIs[0] round
     /*  527935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  527938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  527945 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  527945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /*  527948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  527950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  527952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  527954 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  527956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  527961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  527964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  527967 */     GIR_RootConstrainSelectedInstOperands,
     /*  527968 */     // GIR_Coverage, 21013,
     /*  527968 */     GIR_EraseRootFromParent_Done,
     /*  527969 */   // Label 8750: @527969
     /*  527969 */   GIM_Try, /*On fail goto*//*Label 8751*/ GIMT_Encode4(528040), // Rule ID 21016 //
     /*  527974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  527977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  527982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  527985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  527988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  527991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  527994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  527998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528006 */     // MIs[0] round
     /*  528006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528016 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  528019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528025 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528038 */     GIR_RootConstrainSelectedInstOperands,
     /*  528039 */     // GIR_Coverage, 21016,
     /*  528039 */     GIR_EraseRootFromParent_Done,
     /*  528040 */   // Label 8751: @528040
     /*  528040 */   GIM_Try, /*On fail goto*//*Label 8752*/ GIMT_Encode4(528111), // Rule ID 21017 //
     /*  528045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  528056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  528059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  528062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528077 */     // MIs[0] round
     /*  528077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528087 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /*  528090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528096 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528109 */     GIR_RootConstrainSelectedInstOperands,
     /*  528110 */     // GIR_Coverage, 21017,
     /*  528110 */     GIR_EraseRootFromParent_Done,
     /*  528111 */   // Label 8752: @528111
     /*  528111 */   GIM_Try, /*On fail goto*//*Label 8753*/ GIMT_Encode4(528182), // Rule ID 21020 //
     /*  528116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  528119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  528127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  528130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  528133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528148 */     // MIs[0] round
     /*  528148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528158 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  528158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  528161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528167 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528180 */     GIR_RootConstrainSelectedInstOperands,
     /*  528181 */     // GIR_Coverage, 21020,
     /*  528181 */     GIR_EraseRootFromParent_Done,
     /*  528182 */   // Label 8753: @528182
     /*  528182 */   GIM_Try, /*On fail goto*//*Label 8754*/ GIMT_Encode4(528253), // Rule ID 21021 //
     /*  528187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  528190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  528198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  528201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  528204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528219 */     // MIs[0] round
     /*  528219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528229 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  528229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /*  528232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528238 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  528248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528251 */     GIR_RootConstrainSelectedInstOperands,
     /*  528252 */     // GIR_Coverage, 21021,
     /*  528252 */     GIR_EraseRootFromParent_Done,
     /*  528253 */   // Label 8754: @528253
     /*  528253 */   GIM_Try, /*On fail goto*//*Label 8755*/ GIMT_Encode4(528324), // Rule ID 21024 //
     /*  528258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  528269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  528272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528290 */     // MIs[0] round
     /*  528290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528300 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  528303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528309 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528322 */     GIR_RootConstrainSelectedInstOperands,
     /*  528323 */     // GIR_Coverage, 21024,
     /*  528323 */     GIR_EraseRootFromParent_Done,
     /*  528324 */   // Label 8755: @528324
     /*  528324 */   GIM_Try, /*On fail goto*//*Label 8756*/ GIMT_Encode4(528395), // Rule ID 21025 //
     /*  528329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  528340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  528343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  528346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528361 */     // MIs[0] round
     /*  528361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528371 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /*  528374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528380 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528393 */     GIR_RootConstrainSelectedInstOperands,
     /*  528394 */     // GIR_Coverage, 21025,
     /*  528394 */     GIR_EraseRootFromParent_Done,
     /*  528395 */   // Label 8756: @528395
     /*  528395 */   GIM_Try, /*On fail goto*//*Label 8757*/ GIMT_Encode4(528466), // Rule ID 21028 //
     /*  528400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528432 */     // MIs[0] round
     /*  528432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528442 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  528445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528451 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528464 */     GIR_RootConstrainSelectedInstOperands,
     /*  528465 */     // GIR_Coverage, 21028,
     /*  528465 */     GIR_EraseRootFromParent_Done,
     /*  528466 */   // Label 8757: @528466
     /*  528466 */   GIM_Try, /*On fail goto*//*Label 8758*/ GIMT_Encode4(528537), // Rule ID 21029 //
     /*  528471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  528482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  528485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  528488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528503 */     // MIs[0] round
     /*  528503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528513 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /*  528516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528522 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528535 */     GIR_RootConstrainSelectedInstOperands,
     /*  528536 */     // GIR_Coverage, 21029,
     /*  528536 */     GIR_EraseRootFromParent_Done,
     /*  528537 */   // Label 8758: @528537
     /*  528537 */   GIM_Try, /*On fail goto*//*Label 8759*/ GIMT_Encode4(528608), // Rule ID 21032 //
     /*  528542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  528545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528574 */     // MIs[0] round
     /*  528574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528584 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  528584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  528587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528593 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528606 */     GIR_RootConstrainSelectedInstOperands,
     /*  528607 */     // GIR_Coverage, 21032,
     /*  528607 */     GIR_EraseRootFromParent_Done,
     /*  528608 */   // Label 8759: @528608
     /*  528608 */   GIM_Try, /*On fail goto*//*Label 8760*/ GIMT_Encode4(528679), // Rule ID 21033 //
     /*  528613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  528616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  528624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  528627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  528630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528645 */     // MIs[0] round
     /*  528645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528655 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  528655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /*  528658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528664 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  528674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528677 */     GIR_RootConstrainSelectedInstOperands,
     /*  528678 */     // GIR_Coverage, 21033,
     /*  528678 */     GIR_EraseRootFromParent_Done,
     /*  528679 */   // Label 8760: @528679
     /*  528679 */   GIM_Try, /*On fail goto*//*Label 8761*/ GIMT_Encode4(528750), // Rule ID 21036 //
     /*  528684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  528701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528716 */     // MIs[0] round
     /*  528716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528726 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  528729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528735 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528748 */     GIR_RootConstrainSelectedInstOperands,
     /*  528749 */     // GIR_Coverage, 21036,
     /*  528749 */     GIR_EraseRootFromParent_Done,
     /*  528750 */   // Label 8761: @528750
     /*  528750 */   GIM_Try, /*On fail goto*//*Label 8762*/ GIMT_Encode4(528821), // Rule ID 21037 //
     /*  528755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  528758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  528766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  528769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  528772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  528787 */     // MIs[0] round
     /*  528787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528797 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11189:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /*  528800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528806 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528819 */     GIR_RootConstrainSelectedInstOperands,
     /*  528820 */     // GIR_Coverage, 21037,
     /*  528820 */     GIR_EraseRootFromParent_Done,
     /*  528821 */   // Label 8762: @528821
     /*  528821 */   GIM_Try, /*On fail goto*//*Label 8763*/ GIMT_Encode4(528892), // Rule ID 21040 //
     /*  528826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  528843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528858 */     // MIs[0] round
     /*  528858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528868 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  528868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  528871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528877 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528890 */     GIR_RootConstrainSelectedInstOperands,
     /*  528891 */     // GIR_Coverage, 21040,
     /*  528891 */     GIR_EraseRootFromParent_Done,
     /*  528892 */   // Label 8763: @528892
     /*  528892 */   GIM_Try, /*On fail goto*//*Label 8764*/ GIMT_Encode4(528963), // Rule ID 21041 //
     /*  528897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  528900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  528908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  528911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  528914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  528917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  528929 */     // MIs[0] round
     /*  528929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  528932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  528939 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11189:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  528939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /*  528942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  528944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  528946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  528948 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  528950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  528955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  528958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  528961 */     GIR_RootConstrainSelectedInstOperands,
     /*  528962 */     // GIR_Coverage, 21041,
     /*  528962 */     GIR_EraseRootFromParent_Done,
     /*  528963 */   // Label 8764: @528963
     /*  528963 */   GIM_Try, /*On fail goto*//*Label 8765*/ GIMT_Encode4(529034), // Rule ID 21044 //
     /*  528968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  528971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  528976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  528979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  528982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  528985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  528988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  528996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529000 */     // MIs[0] round
     /*  529000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529010 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  529010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  529013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529019 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529032 */     GIR_RootConstrainSelectedInstOperands,
     /*  529033 */     // GIR_Coverage, 21044,
     /*  529033 */     GIR_EraseRootFromParent_Done,
     /*  529034 */   // Label 8765: @529034
     /*  529034 */   GIM_Try, /*On fail goto*//*Label 8766*/ GIMT_Encode4(529105), // Rule ID 21045 //
     /*  529039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  529042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v),
     /*  529047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  529050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  529053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  529056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  529071 */     // MIs[0] round
     /*  529071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529081 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11189:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  529081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /*  529084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529090 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529103 */     GIR_RootConstrainSelectedInstOperands,
     /*  529104 */     // GIR_Coverage, 21045,
     /*  529104 */     GIR_EraseRootFromParent_Done,
     /*  529105 */   // Label 8766: @529105
     /*  529105 */   GIM_Try, /*On fail goto*//*Label 8767*/ GIMT_Encode4(529176), // Rule ID 21048 //
     /*  529110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529142 */     // MIs[0] round
     /*  529142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529152 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  529155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529161 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529174 */     GIR_RootConstrainSelectedInstOperands,
     /*  529175 */     // GIR_Coverage, 21048,
     /*  529175 */     GIR_EraseRootFromParent_Done,
     /*  529176 */   // Label 8767: @529176
     /*  529176 */   GIM_Try, /*On fail goto*//*Label 8768*/ GIMT_Encode4(529247), // Rule ID 21049 //
     /*  529181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  529192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  529195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  529198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529213 */     // MIs[0] round
     /*  529213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529223 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /*  529226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529232 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529245 */     GIR_RootConstrainSelectedInstOperands,
     /*  529246 */     // GIR_Coverage, 21049,
     /*  529246 */     GIR_EraseRootFromParent_Done,
     /*  529247 */   // Label 8768: @529247
     /*  529247 */   GIM_Try, /*On fail goto*//*Label 8769*/ GIMT_Encode4(529318), // Rule ID 21052 //
     /*  529252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529284 */     // MIs[0] round
     /*  529284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529294 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  529297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529303 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529316 */     GIR_RootConstrainSelectedInstOperands,
     /*  529317 */     // GIR_Coverage, 21052,
     /*  529317 */     GIR_EraseRootFromParent_Done,
     /*  529318 */   // Label 8769: @529318
     /*  529318 */   GIM_Try, /*On fail goto*//*Label 8770*/ GIMT_Encode4(529389), // Rule ID 21053 //
     /*  529323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  529334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  529337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  529340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529355 */     // MIs[0] round
     /*  529355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529365 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /*  529368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529374 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529387 */     GIR_RootConstrainSelectedInstOperands,
     /*  529388 */     // GIR_Coverage, 21053,
     /*  529388 */     GIR_EraseRootFromParent_Done,
     /*  529389 */   // Label 8770: @529389
     /*  529389 */   GIM_Try, /*On fail goto*//*Label 8771*/ GIMT_Encode4(529460), // Rule ID 21056 //
     /*  529394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  529405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  529408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529426 */     // MIs[0] round
     /*  529426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529436 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  529439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529445 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529458 */     GIR_RootConstrainSelectedInstOperands,
     /*  529459 */     // GIR_Coverage, 21056,
     /*  529459 */     GIR_EraseRootFromParent_Done,
     /*  529460 */   // Label 8771: @529460
     /*  529460 */   GIM_Try, /*On fail goto*//*Label 8772*/ GIMT_Encode4(529531), // Rule ID 21057 //
     /*  529465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  529476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  529479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  529482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529497 */     // MIs[0] round
     /*  529497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529507 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /*  529510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529516 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529529 */     GIR_RootConstrainSelectedInstOperands,
     /*  529530 */     // GIR_Coverage, 21057,
     /*  529530 */     GIR_EraseRootFromParent_Done,
     /*  529531 */   // Label 8772: @529531
     /*  529531 */   GIM_Try, /*On fail goto*//*Label 8773*/ GIMT_Encode4(529602), // Rule ID 21060 //
     /*  529536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  529547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  529550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529568 */     // MIs[0] round
     /*  529568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  529578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  529581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529587 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529600 */     GIR_RootConstrainSelectedInstOperands,
     /*  529601 */     // GIR_Coverage, 21060,
     /*  529601 */     GIR_EraseRootFromParent_Done,
     /*  529602 */   // Label 8773: @529602
     /*  529602 */   GIM_Try, /*On fail goto*//*Label 8774*/ GIMT_Encode4(529673), // Rule ID 21061 //
     /*  529607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  529610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  529618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  529621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  529624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529639 */     // MIs[0] round
     /*  529639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529649 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11191:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  529649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /*  529652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529658 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  529668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529671 */     GIR_RootConstrainSelectedInstOperands,
     /*  529672 */     // GIR_Coverage, 21061,
     /*  529672 */     GIR_EraseRootFromParent_Done,
     /*  529673 */   // Label 8774: @529673
     /*  529673 */   GIM_Try, /*On fail goto*//*Label 8775*/ GIMT_Encode4(529744), // Rule ID 21064 //
     /*  529678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  529681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529710 */     // MIs[0] round
     /*  529710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  529720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  529723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529729 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529742 */     GIR_RootConstrainSelectedInstOperands,
     /*  529743 */     // GIR_Coverage, 21064,
     /*  529743 */     GIR_EraseRootFromParent_Done,
     /*  529744 */   // Label 8775: @529744
     /*  529744 */   GIM_Try, /*On fail goto*//*Label 8776*/ GIMT_Encode4(529815), // Rule ID 21065 //
     /*  529749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  529752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  529760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  529763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  529766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529781 */     // MIs[0] round
     /*  529781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529791 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11191:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  529791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /*  529794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529800 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  529810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529813 */     GIR_RootConstrainSelectedInstOperands,
     /*  529814 */     // GIR_Coverage, 21065,
     /*  529814 */     GIR_EraseRootFromParent_Done,
     /*  529815 */   // Label 8776: @529815
     /*  529815 */   GIM_Try, /*On fail goto*//*Label 8777*/ GIMT_Encode4(529886), // Rule ID 21068 //
     /*  529820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  529823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  529831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  529834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  529837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529852 */     // MIs[0] round
     /*  529852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529862 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  529862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  529865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529871 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529884 */     GIR_RootConstrainSelectedInstOperands,
     /*  529885 */     // GIR_Coverage, 21068,
     /*  529885 */     GIR_EraseRootFromParent_Done,
     /*  529886 */   // Label 8777: @529886
     /*  529886 */   GIM_Try, /*On fail goto*//*Label 8778*/ GIMT_Encode4(529957), // Rule ID 21069 //
     /*  529891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  529894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  529902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  529905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  529908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  529911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  529923 */     // MIs[0] round
     /*  529923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  529933 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11191:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  529933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /*  529936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  529938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  529940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  529942 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  529944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  529949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  529952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  529955 */     GIR_RootConstrainSelectedInstOperands,
     /*  529956 */     // GIR_Coverage, 21069,
     /*  529956 */     GIR_EraseRootFromParent_Done,
     /*  529957 */   // Label 8778: @529957
     /*  529957 */   GIM_Try, /*On fail goto*//*Label 8779*/ GIMT_Encode4(530028), // Rule ID 21072 //
     /*  529962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  529965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  529970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  529973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  529976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  529979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  529982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  529994 */     // MIs[0] round
     /*  529994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  529997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530004 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  530007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530013 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530026 */     GIR_RootConstrainSelectedInstOperands,
     /*  530027 */     // GIR_Coverage, 21072,
     /*  530027 */     GIR_EraseRootFromParent_Done,
     /*  530028 */   // Label 8779: @530028
     /*  530028 */   GIM_Try, /*On fail goto*//*Label 8780*/ GIMT_Encode4(530099), // Rule ID 21073 //
     /*  530033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  530044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  530047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  530050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530065 */     // MIs[0] round
     /*  530065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530075 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /*  530078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530084 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530097 */     GIR_RootConstrainSelectedInstOperands,
     /*  530098 */     // GIR_Coverage, 21073,
     /*  530098 */     GIR_EraseRootFromParent_Done,
     /*  530099 */   // Label 8780: @530099
     /*  530099 */   GIM_Try, /*On fail goto*//*Label 8781*/ GIMT_Encode4(530170), // Rule ID 21076 //
     /*  530104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  530121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530136 */     // MIs[0] round
     /*  530136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530146 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  530149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530155 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530168 */     GIR_RootConstrainSelectedInstOperands,
     /*  530169 */     // GIR_Coverage, 21076,
     /*  530169 */     GIR_EraseRootFromParent_Done,
     /*  530170 */   // Label 8781: @530170
     /*  530170 */   GIM_Try, /*On fail goto*//*Label 8782*/ GIMT_Encode4(530241), // Rule ID 21077 //
     /*  530175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  530186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  530189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  530192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530207 */     // MIs[0] round
     /*  530207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530217 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /*  530220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530226 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530239 */     GIR_RootConstrainSelectedInstOperands,
     /*  530240 */     // GIR_Coverage, 21077,
     /*  530240 */     GIR_EraseRootFromParent_Done,
     /*  530241 */   // Label 8782: @530241
     /*  530241 */   GIM_Try, /*On fail goto*//*Label 8783*/ GIMT_Encode4(530312), // Rule ID 21080 //
     /*  530246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  530249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  530257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  530260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  530263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530278 */     // MIs[0] round
     /*  530278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530288 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  530288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  530291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530297 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530310 */     GIR_RootConstrainSelectedInstOperands,
     /*  530311 */     // GIR_Coverage, 21080,
     /*  530311 */     GIR_EraseRootFromParent_Done,
     /*  530312 */   // Label 8783: @530312
     /*  530312 */   GIM_Try, /*On fail goto*//*Label 8784*/ GIMT_Encode4(530383), // Rule ID 21081 //
     /*  530317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  530320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  530328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  530331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  530334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530349 */     // MIs[0] round
     /*  530349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530359 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  530359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /*  530362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530368 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  530378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530381 */     GIR_RootConstrainSelectedInstOperands,
     /*  530382 */     // GIR_Coverage, 21081,
     /*  530382 */     GIR_EraseRootFromParent_Done,
     /*  530383 */   // Label 8784: @530383
     /*  530383 */   GIM_Try, /*On fail goto*//*Label 8785*/ GIMT_Encode4(530454), // Rule ID 21084 //
     /*  530388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530420 */     // MIs[0] round
     /*  530420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530430 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  530433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530439 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530452 */     GIR_RootConstrainSelectedInstOperands,
     /*  530453 */     // GIR_Coverage, 21084,
     /*  530453 */     GIR_EraseRootFromParent_Done,
     /*  530454 */   // Label 8785: @530454
     /*  530454 */   GIM_Try, /*On fail goto*//*Label 8786*/ GIMT_Encode4(530525), // Rule ID 21085 //
     /*  530459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  530470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  530473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  530476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530491 */     // MIs[0] round
     /*  530491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530501 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /*  530504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530510 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530523 */     GIR_RootConstrainSelectedInstOperands,
     /*  530524 */     // GIR_Coverage, 21085,
     /*  530524 */     GIR_EraseRootFromParent_Done,
     /*  530525 */   // Label 8786: @530525
     /*  530525 */   GIM_Try, /*On fail goto*//*Label 8787*/ GIMT_Encode4(530596), // Rule ID 21088 //
     /*  530530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530562 */     // MIs[0] round
     /*  530562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530572 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  530575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530581 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530594 */     GIR_RootConstrainSelectedInstOperands,
     /*  530595 */     // GIR_Coverage, 21088,
     /*  530595 */     GIR_EraseRootFromParent_Done,
     /*  530596 */   // Label 8787: @530596
     /*  530596 */   GIM_Try, /*On fail goto*//*Label 8788*/ GIMT_Encode4(530667), // Rule ID 21089 //
     /*  530601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  530612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  530615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  530618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530633 */     // MIs[0] round
     /*  530633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530643 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /*  530646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530652 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530665 */     GIR_RootConstrainSelectedInstOperands,
     /*  530666 */     // GIR_Coverage, 21089,
     /*  530666 */     GIR_EraseRootFromParent_Done,
     /*  530667 */   // Label 8788: @530667
     /*  530667 */   GIM_Try, /*On fail goto*//*Label 8789*/ GIMT_Encode4(530738), // Rule ID 21092 //
     /*  530672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  530675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  530683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  530686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530704 */     // MIs[0] round
     /*  530704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530714 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  530714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  530717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530723 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530736 */     GIR_RootConstrainSelectedInstOperands,
     /*  530737 */     // GIR_Coverage, 21092,
     /*  530737 */     GIR_EraseRootFromParent_Done,
     /*  530738 */   // Label 8789: @530738
     /*  530738 */   GIM_Try, /*On fail goto*//*Label 8790*/ GIMT_Encode4(530809), // Rule ID 21093 //
     /*  530743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  530746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  530754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  530757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  530760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  530775 */     // MIs[0] round
     /*  530775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530785 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  530785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /*  530788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530794 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  530804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530807 */     GIR_RootConstrainSelectedInstOperands,
     /*  530808 */     // GIR_Coverage, 21093,
     /*  530808 */     GIR_EraseRootFromParent_Done,
     /*  530809 */   // Label 8790: @530809
     /*  530809 */   GIM_Try, /*On fail goto*//*Label 8791*/ GIMT_Encode4(530880), // Rule ID 21096 //
     /*  530814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  530817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  530825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  530828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530846 */     // MIs[0] round
     /*  530846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530856 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  530859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530865 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530878 */     GIR_RootConstrainSelectedInstOperands,
     /*  530879 */     // GIR_Coverage, 21096,
     /*  530879 */     GIR_EraseRootFromParent_Done,
     /*  530880 */   // Label 8791: @530880
     /*  530880 */   GIM_Try, /*On fail goto*//*Label 8792*/ GIMT_Encode4(530951), // Rule ID 21097 //
     /*  530885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  530888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  530896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  530899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  530902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  530905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  530917 */     // MIs[0] round
     /*  530917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530927 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11191:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  530927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /*  530930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  530932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  530934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  530936 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  530938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  530943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  530946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  530949 */     GIR_RootConstrainSelectedInstOperands,
     /*  530950 */     // GIR_Coverage, 21097,
     /*  530950 */     GIR_EraseRootFromParent_Done,
     /*  530951 */   // Label 8792: @530951
     /*  530951 */   GIM_Try, /*On fail goto*//*Label 8793*/ GIMT_Encode4(531022), // Rule ID 21100 //
     /*  530956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  530959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  530964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  530967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  530970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  530973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  530976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  530988 */     // MIs[0] round
     /*  530988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  530991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  530998 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  530998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  531001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531007 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  531017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531020 */     GIR_RootConstrainSelectedInstOperands,
     /*  531021 */     // GIR_Coverage, 21100,
     /*  531021 */     GIR_EraseRootFromParent_Done,
     /*  531022 */   // Label 8793: @531022
     /*  531022 */   GIM_Try, /*On fail goto*//*Label 8794*/ GIMT_Encode4(531093), // Rule ID 21101 //
     /*  531027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  531030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  531035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  531038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  531041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  531044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531059 */     // MIs[0] round
     /*  531059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531069 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11191:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  531069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /*  531072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531078 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  531088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531091 */     GIR_RootConstrainSelectedInstOperands,
     /*  531092 */     // GIR_Coverage, 21101,
     /*  531092 */     GIR_EraseRootFromParent_Done,
     /*  531093 */   // Label 8794: @531093
     /*  531093 */   GIM_Try, /*On fail goto*//*Label 8795*/ GIMT_Encode4(531164), // Rule ID 21104 //
     /*  531098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /*  531101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  531106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  531109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  531112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  531115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531130 */     // MIs[0] round
     /*  531130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  531140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  531143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531149 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  531159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531162 */     GIR_RootConstrainSelectedInstOperands,
     /*  531163 */     // GIR_Coverage, 21104,
     /*  531163 */     GIR_EraseRootFromParent_Done,
     /*  531164 */   // Label 8795: @531164
     /*  531164 */   GIM_Try, /*On fail goto*//*Label 8796*/ GIMT_Encode4(531235), // Rule ID 21105 //
     /*  531169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /*  531172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v),
     /*  531177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  531180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  531183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  531186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531201 */     // MIs[0] round
     /*  531201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531211 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11191:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  531211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /*  531214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531220 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  531230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531233 */     GIR_RootConstrainSelectedInstOperands,
     /*  531234 */     // GIR_Coverage, 21105,
     /*  531234 */     GIR_EraseRootFromParent_Done,
     /*  531235 */   // Label 8796: @531235
     /*  531235 */   GIM_Try, /*On fail goto*//*Label 8797*/ GIMT_Encode4(531306), // Rule ID 21180 //
     /*  531240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531272 */     // MIs[0] round
     /*  531272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  531285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531291 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531304 */     GIR_RootConstrainSelectedInstOperands,
     /*  531305 */     // GIR_Coverage, 21180,
     /*  531305 */     GIR_EraseRootFromParent_Done,
     /*  531306 */   // Label 8797: @531306
     /*  531306 */   GIM_Try, /*On fail goto*//*Label 8798*/ GIMT_Encode4(531377), // Rule ID 21181 //
     /*  531311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  531322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  531325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  531328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531343 */     // MIs[0] round
     /*  531343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531353 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4),
     /*  531356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531362 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531375 */     GIR_RootConstrainSelectedInstOperands,
     /*  531376 */     // GIR_Coverage, 21181,
     /*  531376 */     GIR_EraseRootFromParent_Done,
     /*  531377 */   // Label 8798: @531377
     /*  531377 */   GIM_Try, /*On fail goto*//*Label 8799*/ GIMT_Encode4(531448), // Rule ID 21184 //
     /*  531382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531414 */     // MIs[0] round
     /*  531414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  531427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531433 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531446 */     GIR_RootConstrainSelectedInstOperands,
     /*  531447 */     // GIR_Coverage, 21184,
     /*  531447 */     GIR_EraseRootFromParent_Done,
     /*  531448 */   // Label 8799: @531448
     /*  531448 */   GIM_Try, /*On fail goto*//*Label 8800*/ GIMT_Encode4(531519), // Rule ID 21185 //
     /*  531453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  531464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  531467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  531470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531485 */     // MIs[0] round
     /*  531485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531495 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11295:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  531498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531504 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531517 */     GIR_RootConstrainSelectedInstOperands,
     /*  531518 */     // GIR_Coverage, 21185,
     /*  531518 */     GIR_EraseRootFromParent_Done,
     /*  531519 */   // Label 8800: @531519
     /*  531519 */   GIM_Try, /*On fail goto*//*Label 8801*/ GIMT_Encode4(531590), // Rule ID 21188 //
     /*  531524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531556 */     // MIs[0] round
     /*  531556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531566 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  531569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531575 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531588 */     GIR_RootConstrainSelectedInstOperands,
     /*  531589 */     // GIR_Coverage, 21188,
     /*  531589 */     GIR_EraseRootFromParent_Done,
     /*  531590 */   // Label 8801: @531590
     /*  531590 */   GIM_Try, /*On fail goto*//*Label 8802*/ GIMT_Encode4(531661), // Rule ID 21189 //
     /*  531595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  531606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  531609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  531612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531627 */     // MIs[0] round
     /*  531627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  531640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531646 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531659 */     GIR_RootConstrainSelectedInstOperands,
     /*  531660 */     // GIR_Coverage, 21189,
     /*  531660 */     GIR_EraseRootFromParent_Done,
     /*  531661 */   // Label 8802: @531661
     /*  531661 */   GIM_Try, /*On fail goto*//*Label 8803*/ GIMT_Encode4(531732), // Rule ID 21192 //
     /*  531666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531698 */     // MIs[0] round
     /*  531698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531708 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531717 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531730 */     GIR_RootConstrainSelectedInstOperands,
     /*  531731 */     // GIR_Coverage, 21192,
     /*  531731 */     GIR_EraseRootFromParent_Done,
     /*  531732 */   // Label 8803: @531732
     /*  531732 */   GIM_Try, /*On fail goto*//*Label 8804*/ GIMT_Encode4(531803), // Rule ID 21193 //
     /*  531737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  531748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  531751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  531754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  531769 */     // MIs[0] round
     /*  531769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531779 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  531782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531788 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531801 */     GIR_RootConstrainSelectedInstOperands,
     /*  531802 */     // GIR_Coverage, 21193,
     /*  531802 */     GIR_EraseRootFromParent_Done,
     /*  531803 */   // Label 8804: @531803
     /*  531803 */   GIM_Try, /*On fail goto*//*Label 8805*/ GIMT_Encode4(531874), // Rule ID 21196 //
     /*  531808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  531811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  531819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  531822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531840 */     // MIs[0] round
     /*  531840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  531850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531859 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531872 */     GIR_RootConstrainSelectedInstOperands,
     /*  531873 */     // GIR_Coverage, 21196,
     /*  531873 */     GIR_EraseRootFromParent_Done,
     /*  531874 */   // Label 8805: @531874
     /*  531874 */   GIM_Try, /*On fail goto*//*Label 8806*/ GIMT_Encode4(531945), // Rule ID 21197 //
     /*  531879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  531882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  531890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  531893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  531896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  531899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  531907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  531911 */     // MIs[0] round
     /*  531911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531921 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  531921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  531924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  531930 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  531932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  531937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  531940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  531943 */     GIR_RootConstrainSelectedInstOperands,
     /*  531944 */     // GIR_Coverage, 21197,
     /*  531944 */     GIR_EraseRootFromParent_Done,
     /*  531945 */   // Label 8806: @531945
     /*  531945 */   GIM_Try, /*On fail goto*//*Label 8807*/ GIMT_Encode4(532016), // Rule ID 21200 //
     /*  531950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  531953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  531958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  531961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  531964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  531967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  531970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  531982 */     // MIs[0] round
     /*  531982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  531985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  531992 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  531992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  531995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  531997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  531999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532001 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532014 */     GIR_RootConstrainSelectedInstOperands,
     /*  532015 */     // GIR_Coverage, 21200,
     /*  532015 */     GIR_EraseRootFromParent_Done,
     /*  532016 */   // Label 8807: @532016
     /*  532016 */   GIM_Try, /*On fail goto*//*Label 8808*/ GIMT_Encode4(532087), // Rule ID 21201 //
     /*  532021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  532029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  532032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  532035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  532038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532053 */     // MIs[0] round
     /*  532053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532063 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11295:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2),
     /*  532066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532072 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532085 */     GIR_RootConstrainSelectedInstOperands,
     /*  532086 */     // GIR_Coverage, 21201,
     /*  532086 */     GIR_EraseRootFromParent_Done,
     /*  532087 */   // Label 8808: @532087
     /*  532087 */   GIM_Try, /*On fail goto*//*Label 8809*/ GIMT_Encode4(532158), // Rule ID 21204 //
     /*  532092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  532100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532124 */     // MIs[0] round
     /*  532124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  532137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532143 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532156 */     GIR_RootConstrainSelectedInstOperands,
     /*  532157 */     // GIR_Coverage, 21204,
     /*  532157 */     GIR_EraseRootFromParent_Done,
     /*  532158 */   // Label 8809: @532158
     /*  532158 */   GIM_Try, /*On fail goto*//*Label 8810*/ GIMT_Encode4(532229), // Rule ID 21205 //
     /*  532163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  532171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  532174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  532177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  532180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532195 */     // MIs[0] round
     /*  532195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532205 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11295:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1),
     /*  532208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532214 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532227 */     GIR_RootConstrainSelectedInstOperands,
     /*  532228 */     // GIR_Coverage, 21205,
     /*  532228 */     GIR_EraseRootFromParent_Done,
     /*  532229 */   // Label 8810: @532229
     /*  532229 */   GIM_Try, /*On fail goto*//*Label 8811*/ GIMT_Encode4(532300), // Rule ID 21208 //
     /*  532234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  532242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  532245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  532248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532266 */     // MIs[0] round
     /*  532266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  532279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532285 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532298 */     GIR_RootConstrainSelectedInstOperands,
     /*  532299 */     // GIR_Coverage, 21208,
     /*  532299 */     GIR_EraseRootFromParent_Done,
     /*  532300 */   // Label 8811: @532300
     /*  532300 */   GIM_Try, /*On fail goto*//*Label 8812*/ GIMT_Encode4(532371), // Rule ID 21209 //
     /*  532305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  532313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  532316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  532319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  532322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532337 */     // MIs[0] round
     /*  532337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11295:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2),
     /*  532350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532356 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532369 */     GIR_RootConstrainSelectedInstOperands,
     /*  532370 */     // GIR_Coverage, 21209,
     /*  532370 */     GIR_EraseRootFromParent_Done,
     /*  532371 */   // Label 8812: @532371
     /*  532371 */   GIM_Try, /*On fail goto*//*Label 8813*/ GIMT_Encode4(532442), // Rule ID 21212 //
     /*  532376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  532379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  532384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  532387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  532390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532408 */     // MIs[0] round
     /*  532408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532418 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  532418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  532421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532427 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532440 */     GIR_RootConstrainSelectedInstOperands,
     /*  532441 */     // GIR_Coverage, 21212,
     /*  532441 */     GIR_EraseRootFromParent_Done,
     /*  532442 */   // Label 8813: @532442
     /*  532442 */   GIM_Try, /*On fail goto*//*Label 8814*/ GIMT_Encode4(532513), // Rule ID 21213 //
     /*  532447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  532450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v),
     /*  532455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  532458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  532461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  532464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  532475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532479 */     // MIs[0] round
     /*  532479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532489 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11295:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_XU_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  532489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4),
     /*  532492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532498 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  532508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532511 */     GIR_RootConstrainSelectedInstOperands,
     /*  532512 */     // GIR_Coverage, 21213,
     /*  532512 */     GIR_EraseRootFromParent_Done,
     /*  532513 */   // Label 8814: @532513
     /*  532513 */   GIM_Try, /*On fail goto*//*Label 8815*/ GIMT_Encode4(532584), // Rule ID 21216 //
     /*  532518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  532535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532550 */     // MIs[0] round
     /*  532550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  532563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532569 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532582 */     GIR_RootConstrainSelectedInstOperands,
     /*  532583 */     // GIR_Coverage, 21216,
     /*  532583 */     GIR_EraseRootFromParent_Done,
     /*  532584 */   // Label 8815: @532584
     /*  532584 */   GIM_Try, /*On fail goto*//*Label 8816*/ GIMT_Encode4(532655), // Rule ID 21217 //
     /*  532589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  532600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  532603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  532606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532621 */     // MIs[0] round
     /*  532621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532631 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4),
     /*  532634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532640 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532653 */     GIR_RootConstrainSelectedInstOperands,
     /*  532654 */     // GIR_Coverage, 21217,
     /*  532654 */     GIR_EraseRootFromParent_Done,
     /*  532655 */   // Label 8816: @532655
     /*  532655 */   GIM_Try, /*On fail goto*//*Label 8817*/ GIMT_Encode4(532726), // Rule ID 21220 //
     /*  532660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  532677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532692 */     // MIs[0] round
     /*  532692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532711 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532724 */     GIR_RootConstrainSelectedInstOperands,
     /*  532725 */     // GIR_Coverage, 21220,
     /*  532725 */     GIR_EraseRootFromParent_Done,
     /*  532726 */   // Label 8817: @532726
     /*  532726 */   GIM_Try, /*On fail goto*//*Label 8818*/ GIMT_Encode4(532797), // Rule ID 21221 //
     /*  532731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  532742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  532745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  532748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532763 */     // MIs[0] round
     /*  532763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532773 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11293:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  532776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532782 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532795 */     GIR_RootConstrainSelectedInstOperands,
     /*  532796 */     // GIR_Coverage, 21221,
     /*  532796 */     GIR_EraseRootFromParent_Done,
     /*  532797 */   // Label 8818: @532797
     /*  532797 */   GIM_Try, /*On fail goto*//*Label 8819*/ GIMT_Encode4(532868), // Rule ID 21224 //
     /*  532802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  532819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532834 */     // MIs[0] round
     /*  532834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532844 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532853 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532866 */     GIR_RootConstrainSelectedInstOperands,
     /*  532867 */     // GIR_Coverage, 21224,
     /*  532867 */     GIR_EraseRootFromParent_Done,
     /*  532868 */   // Label 8819: @532868
     /*  532868 */   GIM_Try, /*On fail goto*//*Label 8820*/ GIMT_Encode4(532939), // Rule ID 21225 //
     /*  532873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  532876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  532884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  532887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  532890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  532893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  532905 */     // MIs[0] round
     /*  532905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532915 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  532915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  532918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532924 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  532931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  532934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  532937 */     GIR_RootConstrainSelectedInstOperands,
     /*  532938 */     // GIR_Coverage, 21225,
     /*  532938 */     GIR_EraseRootFromParent_Done,
     /*  532939 */   // Label 8820: @532939
     /*  532939 */   GIM_Try, /*On fail goto*//*Label 8821*/ GIMT_Encode4(533010), // Rule ID 21228 //
     /*  532944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  532947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  532952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  532955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  532958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  532961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  532964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  532972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  532976 */     // MIs[0] round
     /*  532976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  532979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  532986 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  532986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  532989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  532991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  532993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  532995 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  532997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533008 */     GIR_RootConstrainSelectedInstOperands,
     /*  533009 */     // GIR_Coverage, 21228,
     /*  533009 */     GIR_EraseRootFromParent_Done,
     /*  533010 */   // Label 8821: @533010
     /*  533010 */   GIM_Try, /*On fail goto*//*Label 8822*/ GIMT_Encode4(533081), // Rule ID 21229 //
     /*  533015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  533026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  533029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  533032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533047 */     // MIs[0] round
     /*  533047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533057 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  533060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533066 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533079 */     GIR_RootConstrainSelectedInstOperands,
     /*  533080 */     // GIR_Coverage, 21229,
     /*  533080 */     GIR_EraseRootFromParent_Done,
     /*  533081 */   // Label 8822: @533081
     /*  533081 */   GIM_Try, /*On fail goto*//*Label 8823*/ GIMT_Encode4(533152), // Rule ID 21232 //
     /*  533086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  533097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  533100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  533103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533118 */     // MIs[0] round
     /*  533118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533128 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  533128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  533131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533137 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533150 */     GIR_RootConstrainSelectedInstOperands,
     /*  533151 */     // GIR_Coverage, 21232,
     /*  533151 */     GIR_EraseRootFromParent_Done,
     /*  533152 */   // Label 8823: @533152
     /*  533152 */   GIM_Try, /*On fail goto*//*Label 8824*/ GIMT_Encode4(533223), // Rule ID 21233 //
     /*  533157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  533168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  533171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  533174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533189 */     // MIs[0] round
     /*  533189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  533199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  533202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533208 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  533218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533221 */     GIR_RootConstrainSelectedInstOperands,
     /*  533222 */     // GIR_Coverage, 21233,
     /*  533222 */     GIR_EraseRootFromParent_Done,
     /*  533223 */   // Label 8824: @533223
     /*  533223 */   GIM_Try, /*On fail goto*//*Label 8825*/ GIMT_Encode4(533294), // Rule ID 21236 //
     /*  533228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  533239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  533242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533260 */     // MIs[0] round
     /*  533260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533270 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  533273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533279 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533292 */     GIR_RootConstrainSelectedInstOperands,
     /*  533293 */     // GIR_Coverage, 21236,
     /*  533293 */     GIR_EraseRootFromParent_Done,
     /*  533294 */   // Label 8825: @533294
     /*  533294 */   GIM_Try, /*On fail goto*//*Label 8826*/ GIMT_Encode4(533365), // Rule ID 21237 //
     /*  533299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  533310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  533313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  533316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533331 */     // MIs[0] round
     /*  533331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533341 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11293:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2),
     /*  533344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533350 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533363 */     GIR_RootConstrainSelectedInstOperands,
     /*  533364 */     // GIR_Coverage, 21237,
     /*  533364 */     GIR_EraseRootFromParent_Done,
     /*  533365 */   // Label 8826: @533365
     /*  533365 */   GIM_Try, /*On fail goto*//*Label 8827*/ GIMT_Encode4(533436), // Rule ID 21240 //
     /*  533370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  533381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  533384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533402 */     // MIs[0] round
     /*  533402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533412 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  533415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533421 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533434 */     GIR_RootConstrainSelectedInstOperands,
     /*  533435 */     // GIR_Coverage, 21240,
     /*  533435 */     GIR_EraseRootFromParent_Done,
     /*  533436 */   // Label 8827: @533436
     /*  533436 */   GIM_Try, /*On fail goto*//*Label 8828*/ GIMT_Encode4(533507), // Rule ID 21241 //
     /*  533441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  533452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  533455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  533458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533473 */     // MIs[0] round
     /*  533473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533483 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11293:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1),
     /*  533486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533492 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533505 */     GIR_RootConstrainSelectedInstOperands,
     /*  533506 */     // GIR_Coverage, 21241,
     /*  533506 */     GIR_EraseRootFromParent_Done,
     /*  533507 */   // Label 8828: @533507
     /*  533507 */   GIM_Try, /*On fail goto*//*Label 8829*/ GIMT_Encode4(533578), // Rule ID 21244 //
     /*  533512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  533523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  533526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533544 */     // MIs[0] round
     /*  533544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533554 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  533557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533563 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533576 */     GIR_RootConstrainSelectedInstOperands,
     /*  533577 */     // GIR_Coverage, 21244,
     /*  533577 */     GIR_EraseRootFromParent_Done,
     /*  533578 */   // Label 8829: @533578
     /*  533578 */   GIM_Try, /*On fail goto*//*Label 8830*/ GIMT_Encode4(533649), // Rule ID 21245 //
     /*  533583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  533594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  533597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  533600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  533615 */     // MIs[0] round
     /*  533615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533625 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11293:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2),
     /*  533628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533634 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533647 */     GIR_RootConstrainSelectedInstOperands,
     /*  533648 */     // GIR_Coverage, 21245,
     /*  533648 */     GIR_EraseRootFromParent_Done,
     /*  533649 */   // Label 8830: @533649
     /*  533649 */   GIM_Try, /*On fail goto*//*Label 8831*/ GIMT_Encode4(533720), // Rule ID 21248 //
     /*  533654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  533657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  533665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  533668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533686 */     // MIs[0] round
     /*  533686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533696 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  533696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  533699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533705 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533718 */     GIR_RootConstrainSelectedInstOperands,
     /*  533719 */     // GIR_Coverage, 21248,
     /*  533719 */     GIR_EraseRootFromParent_Done,
     /*  533720 */   // Label 8831: @533720
     /*  533720 */   GIM_Try, /*On fail goto*//*Label 8832*/ GIMT_Encode4(533791), // Rule ID 21249 //
     /*  533725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  533728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v),
     /*  533733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  533736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  533739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  533742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  533753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  533757 */     // MIs[0] round
     /*  533757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533767 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11293:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWCVT_X_F_V_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  533767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4),
     /*  533770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533776 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  533786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533789 */     GIR_RootConstrainSelectedInstOperands,
     /*  533790 */     // GIR_Coverage, 21249,
     /*  533790 */     GIR_EraseRootFromParent_Done,
     /*  533791 */   // Label 8832: @533791
     /*  533791 */   GIM_Try, /*On fail goto*//*Label 8833*/ GIMT_Encode4(533862), // Rule ID 21600 //
     /*  533796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  533807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  533810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  533813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533828 */     // MIs[0] round
     /*  533828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533838 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  533841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533847 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533860 */     GIR_RootConstrainSelectedInstOperands,
     /*  533861 */     // GIR_Coverage, 21600,
     /*  533861 */     GIR_EraseRootFromParent_Done,
     /*  533862 */   // Label 8833: @533862
     /*  533862 */   GIM_Try, /*On fail goto*//*Label 8834*/ GIMT_Encode4(533933), // Rule ID 21601 //
     /*  533867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  533870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  533878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  533881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  533884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  533887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533899 */     // MIs[0] round
     /*  533899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533909 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  533909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8),
     /*  533912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533918 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  533931 */     GIR_RootConstrainSelectedInstOperands,
     /*  533932 */     // GIR_Coverage, 21601,
     /*  533932 */     GIR_EraseRootFromParent_Done,
     /*  533933 */   // Label 8834: @533933
     /*  533933 */   GIM_Try, /*On fail goto*//*Label 8835*/ GIMT_Encode4(534004), // Rule ID 21604 //
     /*  533938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  533941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  533946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  533949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  533952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  533955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  533958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  533970 */     // MIs[0] round
     /*  533970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  533973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  533980 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  533980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  533983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  533985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  533987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  533989 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  533991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  533996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  533999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534002 */     GIR_RootConstrainSelectedInstOperands,
     /*  534003 */     // GIR_Coverage, 21604,
     /*  534003 */     GIR_EraseRootFromParent_Done,
     /*  534004 */   // Label 8835: @534004
     /*  534004 */   GIM_Try, /*On fail goto*//*Label 8836*/ GIMT_Encode4(534075), // Rule ID 21605 //
     /*  534009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  534020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  534023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  534026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534041 */     // MIs[0] round
     /*  534041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534051 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  534054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534060 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534073 */     GIR_RootConstrainSelectedInstOperands,
     /*  534074 */     // GIR_Coverage, 21605,
     /*  534074 */     GIR_EraseRootFromParent_Done,
     /*  534075 */   // Label 8836: @534075
     /*  534075 */   GIM_Try, /*On fail goto*//*Label 8837*/ GIMT_Encode4(534146), // Rule ID 21608 //
     /*  534080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  534091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  534094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  534097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534112 */     // MIs[0] round
     /*  534112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534122 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534131 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534144 */     GIR_RootConstrainSelectedInstOperands,
     /*  534145 */     // GIR_Coverage, 21608,
     /*  534145 */     GIR_EraseRootFromParent_Done,
     /*  534146 */   // Label 8837: @534146
     /*  534146 */   GIM_Try, /*On fail goto*//*Label 8838*/ GIMT_Encode4(534217), // Rule ID 21609 //
     /*  534151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  534162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  534165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  534168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534183 */     // MIs[0] round
     /*  534183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534193 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534202 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534215 */     GIR_RootConstrainSelectedInstOperands,
     /*  534216 */     // GIR_Coverage, 21609,
     /*  534216 */     GIR_EraseRootFromParent_Done,
     /*  534217 */   // Label 8838: @534217
     /*  534217 */   GIM_Try, /*On fail goto*//*Label 8839*/ GIMT_Encode4(534288), // Rule ID 21612 //
     /*  534222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  534233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  534236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  534239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534254 */     // MIs[0] round
     /*  534254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534273 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534286 */     GIR_RootConstrainSelectedInstOperands,
     /*  534287 */     // GIR_Coverage, 21612,
     /*  534287 */     GIR_EraseRootFromParent_Done,
     /*  534288 */   // Label 8839: @534288
     /*  534288 */   GIM_Try, /*On fail goto*//*Label 8840*/ GIMT_Encode4(534359), // Rule ID 21613 //
     /*  534293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  534304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  534307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  534310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534325 */     // MIs[0] round
     /*  534325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534335 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11237:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534344 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534357 */     GIR_RootConstrainSelectedInstOperands,
     /*  534358 */     // GIR_Coverage, 21613,
     /*  534358 */     GIR_EraseRootFromParent_Done,
     /*  534359 */   // Label 8840: @534359
     /*  534359 */   GIM_Try, /*On fail goto*//*Label 8841*/ GIMT_Encode4(534430), // Rule ID 21616 //
     /*  534364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  534375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  534378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  534381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534396 */     // MIs[0] round
     /*  534396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534406 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  534409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534415 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534428 */     GIR_RootConstrainSelectedInstOperands,
     /*  534429 */     // GIR_Coverage, 21616,
     /*  534429 */     GIR_EraseRootFromParent_Done,
     /*  534430 */   // Label 8841: @534430
     /*  534430 */   GIM_Try, /*On fail goto*//*Label 8842*/ GIMT_Encode4(534501), // Rule ID 21617 //
     /*  534435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  534446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  534449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  534452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534467 */     // MIs[0] round
     /*  534467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534477 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  534480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534486 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534499 */     GIR_RootConstrainSelectedInstOperands,
     /*  534500 */     // GIR_Coverage, 21617,
     /*  534500 */     GIR_EraseRootFromParent_Done,
     /*  534501 */   // Label 8842: @534501
     /*  534501 */   GIM_Try, /*On fail goto*//*Label 8843*/ GIMT_Encode4(534572), // Rule ID 21620 //
     /*  534506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  534509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  534517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  534520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  534523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534538 */     // MIs[0] round
     /*  534538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534548 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  534548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  534551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534557 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534570 */     GIR_RootConstrainSelectedInstOperands,
     /*  534571 */     // GIR_Coverage, 21620,
     /*  534571 */     GIR_EraseRootFromParent_Done,
     /*  534572 */   // Label 8843: @534572
     /*  534572 */   GIM_Try, /*On fail goto*//*Label 8844*/ GIMT_Encode4(534643), // Rule ID 21621 //
     /*  534577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  534580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  534588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  534591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  534594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  534605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  534609 */     // MIs[0] round
     /*  534609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534619 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  534619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  534622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534628 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  534638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534641 */     GIR_RootConstrainSelectedInstOperands,
     /*  534642 */     // GIR_Coverage, 21621,
     /*  534642 */     GIR_EraseRootFromParent_Done,
     /*  534643 */   // Label 8844: @534643
     /*  534643 */   GIM_Try, /*On fail goto*//*Label 8845*/ GIMT_Encode4(534714), // Rule ID 21624 //
     /*  534648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534680 */     // MIs[0] round
     /*  534680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  534693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534699 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534712 */     GIR_RootConstrainSelectedInstOperands,
     /*  534713 */     // GIR_Coverage, 21624,
     /*  534713 */     GIR_EraseRootFromParent_Done,
     /*  534714 */   // Label 8845: @534714
     /*  534714 */   GIM_Try, /*On fail goto*//*Label 8846*/ GIMT_Encode4(534785), // Rule ID 21625 //
     /*  534719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  534730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  534733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  534736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534751 */     // MIs[0] round
     /*  534751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534761 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4),
     /*  534764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534770 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534783 */     GIR_RootConstrainSelectedInstOperands,
     /*  534784 */     // GIR_Coverage, 21625,
     /*  534784 */     GIR_EraseRootFromParent_Done,
     /*  534785 */   // Label 8846: @534785
     /*  534785 */   GIM_Try, /*On fail goto*//*Label 8847*/ GIMT_Encode4(534856), // Rule ID 21628 //
     /*  534790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534822 */     // MIs[0] round
     /*  534822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534832 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534841 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534854 */     GIR_RootConstrainSelectedInstOperands,
     /*  534855 */     // GIR_Coverage, 21628,
     /*  534855 */     GIR_EraseRootFromParent_Done,
     /*  534856 */   // Label 8847: @534856
     /*  534856 */   GIM_Try, /*On fail goto*//*Label 8848*/ GIMT_Encode4(534927), // Rule ID 21629 //
     /*  534861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  534864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  534872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  534875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  534878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  534881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534893 */     // MIs[0] round
     /*  534893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534903 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  534903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  534906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534912 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534925 */     GIR_RootConstrainSelectedInstOperands,
     /*  534926 */     // GIR_Coverage, 21629,
     /*  534926 */     GIR_EraseRootFromParent_Done,
     /*  534927 */   // Label 8848: @534927
     /*  534927 */   GIM_Try, /*On fail goto*//*Label 8849*/ GIMT_Encode4(534998), // Rule ID 21632 //
     /*  534932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  534935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  534940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  534943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  534946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  534949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  534952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  534960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  534964 */     // MIs[0] round
     /*  534964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  534967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  534974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  534974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  534977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  534979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  534981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  534983 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  534985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  534990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  534993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  534996 */     GIR_RootConstrainSelectedInstOperands,
     /*  534997 */     // GIR_Coverage, 21632,
     /*  534997 */     GIR_EraseRootFromParent_Done,
     /*  534998 */   // Label 8849: @534998
     /*  534998 */   GIM_Try, /*On fail goto*//*Label 8850*/ GIMT_Encode4(535069), // Rule ID 21633 //
     /*  535003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  535006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  535014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  535017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  535020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535035 */     // MIs[0] round
     /*  535035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535045 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11237:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  535048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535054 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535067 */     GIR_RootConstrainSelectedInstOperands,
     /*  535068 */     // GIR_Coverage, 21633,
     /*  535068 */     GIR_EraseRootFromParent_Done,
     /*  535069 */   // Label 8850: @535069
     /*  535069 */   GIM_Try, /*On fail goto*//*Label 8851*/ GIMT_Encode4(535140), // Rule ID 21636 //
     /*  535074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  535077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535106 */     // MIs[0] round
     /*  535106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535116 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  535119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535125 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535138 */     GIR_RootConstrainSelectedInstOperands,
     /*  535139 */     // GIR_Coverage, 21636,
     /*  535139 */     GIR_EraseRootFromParent_Done,
     /*  535140 */   // Label 8851: @535140
     /*  535140 */   GIM_Try, /*On fail goto*//*Label 8852*/ GIMT_Encode4(535211), // Rule ID 21637 //
     /*  535145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  535148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  535156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  535159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  535162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535177 */     // MIs[0] round
     /*  535177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535187 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  535190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535196 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535209 */     GIR_RootConstrainSelectedInstOperands,
     /*  535210 */     // GIR_Coverage, 21637,
     /*  535210 */     GIR_EraseRootFromParent_Done,
     /*  535211 */   // Label 8852: @535211
     /*  535211 */   GIM_Try, /*On fail goto*//*Label 8853*/ GIMT_Encode4(535282), // Rule ID 21640 //
     /*  535216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  535219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535248 */     // MIs[0] round
     /*  535248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535258 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  535258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  535261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535267 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535280 */     GIR_RootConstrainSelectedInstOperands,
     /*  535281 */     // GIR_Coverage, 21640,
     /*  535281 */     GIR_EraseRootFromParent_Done,
     /*  535282 */   // Label 8853: @535282
     /*  535282 */   GIM_Try, /*On fail goto*//*Label 8854*/ GIMT_Encode4(535353), // Rule ID 21641 //
     /*  535287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  535290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  535298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  535301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  535304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535319 */     // MIs[0] round
     /*  535319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535329 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  535329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  535332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535338 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  535348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535351 */     GIR_RootConstrainSelectedInstOperands,
     /*  535352 */     // GIR_Coverage, 21641,
     /*  535352 */     GIR_EraseRootFromParent_Done,
     /*  535353 */   // Label 8854: @535353
     /*  535353 */   GIM_Try, /*On fail goto*//*Label 8855*/ GIMT_Encode4(535424), // Rule ID 21644 //
     /*  535358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  535361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535390 */     // MIs[0] round
     /*  535390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  535403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535409 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535422 */     GIR_RootConstrainSelectedInstOperands,
     /*  535423 */     // GIR_Coverage, 21644,
     /*  535423 */     GIR_EraseRootFromParent_Done,
     /*  535424 */   // Label 8855: @535424
     /*  535424 */   GIM_Try, /*On fail goto*//*Label 8856*/ GIMT_Encode4(535495), // Rule ID 21645 //
     /*  535429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  535440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  535443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  535446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535461 */     // MIs[0] round
     /*  535461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535471 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2),
     /*  535474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535480 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535493 */     GIR_RootConstrainSelectedInstOperands,
     /*  535494 */     // GIR_Coverage, 21645,
     /*  535494 */     GIR_EraseRootFromParent_Done,
     /*  535495 */   // Label 8856: @535495
     /*  535495 */   GIM_Try, /*On fail goto*//*Label 8857*/ GIMT_Encode4(535566), // Rule ID 21648 //
     /*  535500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  535503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535532 */     // MIs[0] round
     /*  535532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  535545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535551 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535564 */     GIR_RootConstrainSelectedInstOperands,
     /*  535565 */     // GIR_Coverage, 21648,
     /*  535565 */     GIR_EraseRootFromParent_Done,
     /*  535566 */   // Label 8857: @535566
     /*  535566 */   GIM_Try, /*On fail goto*//*Label 8858*/ GIMT_Encode4(535637), // Rule ID 21649 //
     /*  535571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  535582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  535585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  535588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535603 */     // MIs[0] round
     /*  535603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535613 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11237:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1),
     /*  535616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535622 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535635 */     GIR_RootConstrainSelectedInstOperands,
     /*  535636 */     // GIR_Coverage, 21649,
     /*  535636 */     GIR_EraseRootFromParent_Done,
     /*  535637 */   // Label 8858: @535637
     /*  535637 */   GIM_Try, /*On fail goto*//*Label 8859*/ GIMT_Encode4(535708), // Rule ID 21652 //
     /*  535642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  535645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535674 */     // MIs[0] round
     /*  535674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535684 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  535687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535693 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535706 */     GIR_RootConstrainSelectedInstOperands,
     /*  535707 */     // GIR_Coverage, 21652,
     /*  535707 */     GIR_EraseRootFromParent_Done,
     /*  535708 */   // Label 8859: @535708
     /*  535708 */   GIM_Try, /*On fail goto*//*Label 8860*/ GIMT_Encode4(535779), // Rule ID 21653 //
     /*  535713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  535724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  535727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  535730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  535741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535745 */     // MIs[0] round
     /*  535745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535755 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11237:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2),
     /*  535758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535764 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535777 */     GIR_RootConstrainSelectedInstOperands,
     /*  535778 */     // GIR_Coverage, 21653,
     /*  535778 */     GIR_EraseRootFromParent_Done,
     /*  535779 */   // Label 8860: @535779
     /*  535779 */   GIM_Try, /*On fail goto*//*Label 8861*/ GIMT_Encode4(535850), // Rule ID 21656 //
     /*  535784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  535787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535816 */     // MIs[0] round
     /*  535816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  535826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  535829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535835 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535848 */     GIR_RootConstrainSelectedInstOperands,
     /*  535849 */     // GIR_Coverage, 21656,
     /*  535849 */     GIR_EraseRootFromParent_Done,
     /*  535850 */   // Label 8861: @535850
     /*  535850 */   GIM_Try, /*On fail goto*//*Label 8862*/ GIMT_Encode4(535921), // Rule ID 21657 //
     /*  535855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  535858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w),
     /*  535863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  535866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  535869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  535872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  535875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  535883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  535887 */     // MIs[0] round
     /*  535887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11237:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_XU_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  535897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4),
     /*  535900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535906 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  535916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535919 */     GIR_RootConstrainSelectedInstOperands,
     /*  535920 */     // GIR_Coverage, 21657,
     /*  535920 */     GIR_EraseRootFromParent_Done,
     /*  535921 */   // Label 8862: @535921
     /*  535921 */   GIM_Try, /*On fail goto*//*Label 8863*/ GIMT_Encode4(535992), // Rule ID 21660 //
     /*  535926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  535929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  535934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  535937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  535940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  535943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  535946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  535958 */     // MIs[0] round
     /*  535958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  535961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  535968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  535968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  535971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  535973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  535975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  535977 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  535979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  535984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  535987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  535990 */     GIR_RootConstrainSelectedInstOperands,
     /*  535991 */     // GIR_Coverage, 21660,
     /*  535991 */     GIR_EraseRootFromParent_Done,
     /*  535992 */   // Label 8863: @535992
     /*  535992 */   GIM_Try, /*On fail goto*//*Label 8864*/ GIMT_Encode4(536063), // Rule ID 21661 //
     /*  535997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  536008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  536011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  536014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536029 */     // MIs[0] round
     /*  536029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536039 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8),
     /*  536042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536048 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536061 */     GIR_RootConstrainSelectedInstOperands,
     /*  536062 */     // GIR_Coverage, 21661,
     /*  536062 */     GIR_EraseRootFromParent_Done,
     /*  536063 */   // Label 8864: @536063
     /*  536063 */   GIM_Try, /*On fail goto*//*Label 8865*/ GIMT_Encode4(536134), // Rule ID 21664 //
     /*  536068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  536071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  536079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  536082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  536085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536100 */     // MIs[0] round
     /*  536100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536110 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  536113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536119 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536132 */     GIR_RootConstrainSelectedInstOperands,
     /*  536133 */     // GIR_Coverage, 21664,
     /*  536133 */     GIR_EraseRootFromParent_Done,
     /*  536134 */   // Label 8865: @536134
     /*  536134 */   GIM_Try, /*On fail goto*//*Label 8866*/ GIMT_Encode4(536205), // Rule ID 21665 //
     /*  536139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  536150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  536153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  536156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536171 */     // MIs[0] round
     /*  536171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536181 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  536184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536190 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536203 */     GIR_RootConstrainSelectedInstOperands,
     /*  536204 */     // GIR_Coverage, 21665,
     /*  536204 */     GIR_EraseRootFromParent_Done,
     /*  536205 */   // Label 8866: @536205
     /*  536205 */   GIM_Try, /*On fail goto*//*Label 8867*/ GIMT_Encode4(536276), // Rule ID 21668 //
     /*  536210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  536213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  536221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  536224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  536227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536242 */     // MIs[0] round
     /*  536242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536261 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536274 */     GIR_RootConstrainSelectedInstOperands,
     /*  536275 */     // GIR_Coverage, 21668,
     /*  536275 */     GIR_EraseRootFromParent_Done,
     /*  536276 */   // Label 8867: @536276
     /*  536276 */   GIM_Try, /*On fail goto*//*Label 8868*/ GIMT_Encode4(536347), // Rule ID 21669 //
     /*  536281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  536292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  536295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  536298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536313 */     // MIs[0] round
     /*  536313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536323 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536332 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536345 */     GIR_RootConstrainSelectedInstOperands,
     /*  536346 */     // GIR_Coverage, 21669,
     /*  536346 */     GIR_EraseRootFromParent_Done,
     /*  536347 */   // Label 8868: @536347
     /*  536347 */   GIM_Try, /*On fail goto*//*Label 8869*/ GIMT_Encode4(536418), // Rule ID 21672 //
     /*  536352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  536355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  536363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  536366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  536369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536384 */     // MIs[0] round
     /*  536384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536394 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  536397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536403 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536416 */     GIR_RootConstrainSelectedInstOperands,
     /*  536417 */     // GIR_Coverage, 21672,
     /*  536417 */     GIR_EraseRootFromParent_Done,
     /*  536418 */   // Label 8869: @536418
     /*  536418 */   GIM_Try, /*On fail goto*//*Label 8870*/ GIMT_Encode4(536489), // Rule ID 21673 //
     /*  536423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  536434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  536437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  536440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536455 */     // MIs[0] round
     /*  536455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536465 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11235:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  536468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536474 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536487 */     GIR_RootConstrainSelectedInstOperands,
     /*  536488 */     // GIR_Coverage, 21673,
     /*  536488 */     GIR_EraseRootFromParent_Done,
     /*  536489 */   // Label 8870: @536489
     /*  536489 */   GIM_Try, /*On fail goto*//*Label 8871*/ GIMT_Encode4(536560), // Rule ID 21676 //
     /*  536494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  536497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  536505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  536508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  536511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536526 */     // MIs[0] round
     /*  536526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536536 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  536539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536545 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536558 */     GIR_RootConstrainSelectedInstOperands,
     /*  536559 */     // GIR_Coverage, 21676,
     /*  536559 */     GIR_EraseRootFromParent_Done,
     /*  536560 */   // Label 8871: @536560
     /*  536560 */   GIM_Try, /*On fail goto*//*Label 8872*/ GIMT_Encode4(536631), // Rule ID 21677 //
     /*  536565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  536576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  536579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  536582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  536593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536597 */     // MIs[0] round
     /*  536597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536607 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  536610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536616 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536629 */     GIR_RootConstrainSelectedInstOperands,
     /*  536630 */     // GIR_Coverage, 21677,
     /*  536630 */     GIR_EraseRootFromParent_Done,
     /*  536631 */   // Label 8872: @536631
     /*  536631 */   GIM_Try, /*On fail goto*//*Label 8873*/ GIMT_Encode4(536702), // Rule ID 21680 //
     /*  536636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  536639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  536647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  536650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  536653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536668 */     // MIs[0] round
     /*  536668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536678 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  536678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536687 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536700 */     GIR_RootConstrainSelectedInstOperands,
     /*  536701 */     // GIR_Coverage, 21680,
     /*  536701 */     GIR_EraseRootFromParent_Done,
     /*  536702 */   // Label 8873: @536702
     /*  536702 */   GIM_Try, /*On fail goto*//*Label 8874*/ GIMT_Encode4(536773), // Rule ID 21681 //
     /*  536707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  536710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  536718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  536721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  536724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  536735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  536739 */     // MIs[0] round
     /*  536739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536749 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  536749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  536752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536758 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  536768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536771 */     GIR_RootConstrainSelectedInstOperands,
     /*  536772 */     // GIR_Coverage, 21681,
     /*  536772 */     GIR_EraseRootFromParent_Done,
     /*  536773 */   // Label 8874: @536773
     /*  536773 */   GIM_Try, /*On fail goto*//*Label 8875*/ GIMT_Encode4(536844), // Rule ID 21684 //
     /*  536778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536810 */     // MIs[0] round
     /*  536810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536820 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  536823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536829 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536842 */     GIR_RootConstrainSelectedInstOperands,
     /*  536843 */     // GIR_Coverage, 21684,
     /*  536843 */     GIR_EraseRootFromParent_Done,
     /*  536844 */   // Label 8875: @536844
     /*  536844 */   GIM_Try, /*On fail goto*//*Label 8876*/ GIMT_Encode4(536915), // Rule ID 21685 //
     /*  536849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  536860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  536863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  536866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  536869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536881 */     // MIs[0] round
     /*  536881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536891 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  536891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4),
     /*  536894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536900 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536913 */     GIR_RootConstrainSelectedInstOperands,
     /*  536914 */     // GIR_Coverage, 21685,
     /*  536914 */     GIR_EraseRootFromParent_Done,
     /*  536915 */   // Label 8876: @536915
     /*  536915 */   GIM_Try, /*On fail goto*//*Label 8877*/ GIMT_Encode4(536986), // Rule ID 21688 //
     /*  536920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  536923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  536931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  536934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  536937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  536940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  536952 */     // MIs[0] round
     /*  536952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  536955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  536962 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  536962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  536965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  536967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  536969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  536971 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  536973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  536978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  536981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  536984 */     GIR_RootConstrainSelectedInstOperands,
     /*  536985 */     // GIR_Coverage, 21688,
     /*  536985 */     GIR_EraseRootFromParent_Done,
     /*  536986 */   // Label 8877: @536986
     /*  536986 */   GIM_Try, /*On fail goto*//*Label 8878*/ GIMT_Encode4(537057), // Rule ID 21689 //
     /*  536991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  536994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  536999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  537002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  537005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  537008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537023 */     // MIs[0] round
     /*  537023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537033 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  537036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537042 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537055 */     GIR_RootConstrainSelectedInstOperands,
     /*  537056 */     // GIR_Coverage, 21689,
     /*  537056 */     GIR_EraseRootFromParent_Done,
     /*  537057 */   // Label 8878: @537057
     /*  537057 */   GIM_Try, /*On fail goto*//*Label 8879*/ GIMT_Encode4(537128), // Rule ID 21692 //
     /*  537062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  537065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  537079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537094 */     // MIs[0] round
     /*  537094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537104 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  537107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537113 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537126 */     GIR_RootConstrainSelectedInstOperands,
     /*  537127 */     // GIR_Coverage, 21692,
     /*  537127 */     GIR_EraseRootFromParent_Done,
     /*  537128 */   // Label 8879: @537128
     /*  537128 */   GIM_Try, /*On fail goto*//*Label 8880*/ GIMT_Encode4(537199), // Rule ID 21693 //
     /*  537133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  537136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  537144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  537147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  537150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537165 */     // MIs[0] round
     /*  537165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537175 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11235:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  537178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537184 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537197 */     GIR_RootConstrainSelectedInstOperands,
     /*  537198 */     // GIR_Coverage, 21693,
     /*  537198 */     GIR_EraseRootFromParent_Done,
     /*  537199 */   // Label 8880: @537199
     /*  537199 */   GIM_Try, /*On fail goto*//*Label 8881*/ GIMT_Encode4(537270), // Rule ID 21696 //
     /*  537204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  537207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  537221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537236 */     // MIs[0] round
     /*  537236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537246 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  537249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537255 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537268 */     GIR_RootConstrainSelectedInstOperands,
     /*  537269 */     // GIR_Coverage, 21696,
     /*  537269 */     GIR_EraseRootFromParent_Done,
     /*  537270 */   // Label 8881: @537270
     /*  537270 */   GIM_Try, /*On fail goto*//*Label 8882*/ GIMT_Encode4(537341), // Rule ID 21697 //
     /*  537275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  537278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  537286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  537289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  537292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537307 */     // MIs[0] round
     /*  537307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537317 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  537320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537326 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537339 */     GIR_RootConstrainSelectedInstOperands,
     /*  537340 */     // GIR_Coverage, 21697,
     /*  537340 */     GIR_EraseRootFromParent_Done,
     /*  537341 */   // Label 8882: @537341
     /*  537341 */   GIM_Try, /*On fail goto*//*Label 8883*/ GIMT_Encode4(537412), // Rule ID 21700 //
     /*  537346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  537349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  537363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537378 */     // MIs[0] round
     /*  537378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  537388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  537391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537397 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537410 */     GIR_RootConstrainSelectedInstOperands,
     /*  537411 */     // GIR_Coverage, 21700,
     /*  537411 */     GIR_EraseRootFromParent_Done,
     /*  537412 */   // Label 8883: @537412
     /*  537412 */   GIM_Try, /*On fail goto*//*Label 8884*/ GIMT_Encode4(537483), // Rule ID 21701 //
     /*  537417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  537420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  537428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  537431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  537434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537449 */     // MIs[0] round
     /*  537449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537459 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  537459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  537462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537468 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  537478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537481 */     GIR_RootConstrainSelectedInstOperands,
     /*  537482 */     // GIR_Coverage, 21701,
     /*  537482 */     GIR_EraseRootFromParent_Done,
     /*  537483 */   // Label 8884: @537483
     /*  537483 */   GIM_Try, /*On fail goto*//*Label 8885*/ GIMT_Encode4(537554), // Rule ID 21704 //
     /*  537488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  537505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537520 */     // MIs[0] round
     /*  537520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537530 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  537533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537539 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537552 */     GIR_RootConstrainSelectedInstOperands,
     /*  537553 */     // GIR_Coverage, 21704,
     /*  537553 */     GIR_EraseRootFromParent_Done,
     /*  537554 */   // Label 8885: @537554
     /*  537554 */   GIM_Try, /*On fail goto*//*Label 8886*/ GIMT_Encode4(537625), // Rule ID 21705 //
     /*  537559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  537570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  537573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  537576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537591 */     // MIs[0] round
     /*  537591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537601 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2),
     /*  537604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537610 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537623 */     GIR_RootConstrainSelectedInstOperands,
     /*  537624 */     // GIR_Coverage, 21705,
     /*  537624 */     GIR_EraseRootFromParent_Done,
     /*  537625 */   // Label 8886: @537625
     /*  537625 */   GIM_Try, /*On fail goto*//*Label 8887*/ GIMT_Encode4(537696), // Rule ID 21708 //
     /*  537630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  537647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537662 */     // MIs[0] round
     /*  537662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  537675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537681 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537694 */     GIR_RootConstrainSelectedInstOperands,
     /*  537695 */     // GIR_Coverage, 21708,
     /*  537695 */     GIR_EraseRootFromParent_Done,
     /*  537696 */   // Label 8887: @537696
     /*  537696 */   GIM_Try, /*On fail goto*//*Label 8888*/ GIMT_Encode4(537767), // Rule ID 21709 //
     /*  537701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  537712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  537715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  537718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  537729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537733 */     // MIs[0] round
     /*  537733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11235:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1),
     /*  537746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537752 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537765 */     GIR_RootConstrainSelectedInstOperands,
     /*  537766 */     // GIR_Coverage, 21709,
     /*  537766 */     GIR_EraseRootFromParent_Done,
     /*  537767 */   // Label 8888: @537767
     /*  537767 */   GIM_Try, /*On fail goto*//*Label 8889*/ GIMT_Encode4(537838), // Rule ID 21712 //
     /*  537772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  537789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537804 */     // MIs[0] round
     /*  537804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  537817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537823 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537836 */     GIR_RootConstrainSelectedInstOperands,
     /*  537837 */     // GIR_Coverage, 21712,
     /*  537837 */     GIR_EraseRootFromParent_Done,
     /*  537838 */   // Label 8889: @537838
     /*  537838 */   GIM_Try, /*On fail goto*//*Label 8890*/ GIMT_Encode4(537909), // Rule ID 21713 //
     /*  537843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  537854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  537857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  537860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  537863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  537871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537875 */     // MIs[0] round
     /*  537875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537885 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11235:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  537885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2),
     /*  537888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537894 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537907 */     GIR_RootConstrainSelectedInstOperands,
     /*  537908 */     // GIR_Coverage, 21713,
     /*  537908 */     GIR_EraseRootFromParent_Done,
     /*  537909 */   // Label 8890: @537909
     /*  537909 */   GIM_Try, /*On fail goto*//*Label 8891*/ GIMT_Encode4(537980), // Rule ID 21716 //
     /*  537914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  537917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  537931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  537934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  537942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  537946 */     // MIs[0] round
     /*  537946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  537949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  537956 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  537956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  537959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  537961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  537963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  537965 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  537967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  537972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  537975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  537978 */     GIR_RootConstrainSelectedInstOperands,
     /*  537979 */     // GIR_Coverage, 21716,
     /*  537979 */     GIR_EraseRootFromParent_Done,
     /*  537980 */   // Label 8891: @537980
     /*  537980 */   GIM_Try, /*On fail goto*//*Label 8892*/ GIMT_Encode4(538051), // Rule ID 21717 //
     /*  537985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  537988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w),
     /*  537993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  537996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  537999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  538002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538017 */     // MIs[0] round
     /*  538017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11235:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_X_F_W_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4),
     /*  538030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538036 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538049 */     GIR_RootConstrainSelectedInstOperands,
     /*  538050 */     // GIR_Coverage, 21717,
     /*  538050 */     GIR_EraseRootFromParent_Done,
     /*  538051 */   // Label 8892: @538051
     /*  538051 */   GIM_Try, /*On fail goto*//*Label 8893*/ GIMT_Encode4(538122), // Rule ID 21840 //
     /*  538056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  538073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538088 */     // MIs[0] round
     /*  538088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538098 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  538101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538107 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538120 */     GIR_RootConstrainSelectedInstOperands,
     /*  538121 */     // GIR_Coverage, 21840,
     /*  538121 */     GIR_EraseRootFromParent_Done,
     /*  538122 */   // Label 8893: @538122
     /*  538122 */   GIM_Try, /*On fail goto*//*Label 8894*/ GIMT_Encode4(538193), // Rule ID 21841 //
     /*  538127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  538138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  538141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  538144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538159 */     // MIs[0] round
     /*  538159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538169 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /*  538172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538178 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538191 */     GIR_RootConstrainSelectedInstOperands,
     /*  538192 */     // GIR_Coverage, 21841,
     /*  538192 */     GIR_EraseRootFromParent_Done,
     /*  538193 */   // Label 8894: @538193
     /*  538193 */   GIM_Try, /*On fail goto*//*Label 8895*/ GIMT_Encode4(538264), // Rule ID 21844 //
     /*  538198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  538209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  538212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  538215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538230 */     // MIs[0] round
     /*  538230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538240 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  538243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538249 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538262 */     GIR_RootConstrainSelectedInstOperands,
     /*  538263 */     // GIR_Coverage, 21844,
     /*  538263 */     GIR_EraseRootFromParent_Done,
     /*  538264 */   // Label 8895: @538264
     /*  538264 */   GIM_Try, /*On fail goto*//*Label 8896*/ GIMT_Encode4(538335), // Rule ID 21845 //
     /*  538269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  538280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  538283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  538286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538301 */     // MIs[0] round
     /*  538301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538311 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /*  538314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538320 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538333 */     GIR_RootConstrainSelectedInstOperands,
     /*  538334 */     // GIR_Coverage, 21845,
     /*  538334 */     GIR_EraseRootFromParent_Done,
     /*  538335 */   // Label 8896: @538335
     /*  538335 */   GIM_Try, /*On fail goto*//*Label 8897*/ GIMT_Encode4(538406), // Rule ID 21848 //
     /*  538340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  538351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  538354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  538357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538372 */     // MIs[0] round
     /*  538372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538382 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  538385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538391 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538404 */     GIR_RootConstrainSelectedInstOperands,
     /*  538405 */     // GIR_Coverage, 21848,
     /*  538405 */     GIR_EraseRootFromParent_Done,
     /*  538406 */   // Label 8897: @538406
     /*  538406 */   GIM_Try, /*On fail goto*//*Label 8898*/ GIMT_Encode4(538477), // Rule ID 21849 //
     /*  538411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  538422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  538425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  538428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538443 */     // MIs[0] round
     /*  538443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538453 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11227:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /*  538456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538462 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538475 */     GIR_RootConstrainSelectedInstOperands,
     /*  538476 */     // GIR_Coverage, 21849,
     /*  538476 */     GIR_EraseRootFromParent_Done,
     /*  538477 */   // Label 8898: @538477
     /*  538477 */   GIM_Try, /*On fail goto*//*Label 8899*/ GIMT_Encode4(538548), // Rule ID 21852 //
     /*  538482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  538493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  538496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  538499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538514 */     // MIs[0] round
     /*  538514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538524 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  538527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538533 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538546 */     GIR_RootConstrainSelectedInstOperands,
     /*  538547 */     // GIR_Coverage, 21852,
     /*  538547 */     GIR_EraseRootFromParent_Done,
     /*  538548 */   // Label 8899: @538548
     /*  538548 */   GIM_Try, /*On fail goto*//*Label 8900*/ GIMT_Encode4(538619), // Rule ID 21853 //
     /*  538553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  538564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  538567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  538570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538585 */     // MIs[0] round
     /*  538585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538595 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /*  538598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538604 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538617 */     GIR_RootConstrainSelectedInstOperands,
     /*  538618 */     // GIR_Coverage, 21853,
     /*  538618 */     GIR_EraseRootFromParent_Done,
     /*  538619 */   // Label 8900: @538619
     /*  538619 */   GIM_Try, /*On fail goto*//*Label 8901*/ GIMT_Encode4(538690), // Rule ID 21856 //
     /*  538624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  538627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  538641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538656 */     // MIs[0] round
     /*  538656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538666 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  538666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  538669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538675 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538688 */     GIR_RootConstrainSelectedInstOperands,
     /*  538689 */     // GIR_Coverage, 21856,
     /*  538689 */     GIR_EraseRootFromParent_Done,
     /*  538690 */   // Label 8901: @538690
     /*  538690 */   GIM_Try, /*On fail goto*//*Label 8902*/ GIMT_Encode4(538761), // Rule ID 21857 //
     /*  538695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  538698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  538706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  538709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  538712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  538723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  538727 */     // MIs[0] round
     /*  538727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538737 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  538737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /*  538740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538746 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  538756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538759 */     GIR_RootConstrainSelectedInstOperands,
     /*  538760 */     // GIR_Coverage, 21857,
     /*  538760 */     GIR_EraseRootFromParent_Done,
     /*  538761 */   // Label 8902: @538761
     /*  538761 */   GIM_Try, /*On fail goto*//*Label 8903*/ GIMT_Encode4(538832), // Rule ID 21860 //
     /*  538766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  538783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538798 */     // MIs[0] round
     /*  538798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538808 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  538811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538817 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538830 */     GIR_RootConstrainSelectedInstOperands,
     /*  538831 */     // GIR_Coverage, 21860,
     /*  538831 */     GIR_EraseRootFromParent_Done,
     /*  538832 */   // Label 8903: @538832
     /*  538832 */   GIM_Try, /*On fail goto*//*Label 8904*/ GIMT_Encode4(538903), // Rule ID 21861 //
     /*  538837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  538848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  538851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  538854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538869 */     // MIs[0] round
     /*  538869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538879 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  538879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /*  538882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538888 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538901 */     GIR_RootConstrainSelectedInstOperands,
     /*  538902 */     // GIR_Coverage, 21861,
     /*  538902 */     GIR_EraseRootFromParent_Done,
     /*  538903 */   // Label 8904: @538903
     /*  538903 */   GIM_Try, /*On fail goto*//*Label 8905*/ GIMT_Encode4(538974), // Rule ID 21864 //
     /*  538908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  538911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  538925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  538928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  538936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  538940 */     // MIs[0] round
     /*  538940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  538943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  538950 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  538950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  538953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  538955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  538957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  538959 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  538961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  538966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  538969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  538972 */     GIR_RootConstrainSelectedInstOperands,
     /*  538973 */     // GIR_Coverage, 21864,
     /*  538973 */     GIR_EraseRootFromParent_Done,
     /*  538974 */   // Label 8905: @538974
     /*  538974 */   GIM_Try, /*On fail goto*//*Label 8906*/ GIMT_Encode4(539045), // Rule ID 21865 //
     /*  538979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  538982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  538987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  538990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  538993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  538996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  538999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539011 */     // MIs[0] round
     /*  539011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539021 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11227:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /*  539024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539030 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539043 */     GIR_RootConstrainSelectedInstOperands,
     /*  539044 */     // GIR_Coverage, 21865,
     /*  539044 */     GIR_EraseRootFromParent_Done,
     /*  539045 */   // Label 8906: @539045
     /*  539045 */   GIM_Try, /*On fail goto*//*Label 8907*/ GIMT_Encode4(539116), // Rule ID 21868 //
     /*  539050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  539058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  539067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539082 */     // MIs[0] round
     /*  539082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539092 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  539095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539101 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539114 */     GIR_RootConstrainSelectedInstOperands,
     /*  539115 */     // GIR_Coverage, 21868,
     /*  539115 */     GIR_EraseRootFromParent_Done,
     /*  539116 */   // Label 8907: @539116
     /*  539116 */   GIM_Try, /*On fail goto*//*Label 8908*/ GIMT_Encode4(539187), // Rule ID 21869 //
     /*  539121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  539129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  539132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  539135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  539138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539153 */     // MIs[0] round
     /*  539153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539163 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11227:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /*  539166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539172 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539185 */     GIR_RootConstrainSelectedInstOperands,
     /*  539186 */     // GIR_Coverage, 21869,
     /*  539186 */     GIR_EraseRootFromParent_Done,
     /*  539187 */   // Label 8908: @539187
     /*  539187 */   GIM_Try, /*On fail goto*//*Label 8909*/ GIMT_Encode4(539258), // Rule ID 21872 //
     /*  539192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  539195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  539200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  539203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  539206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  539209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539224 */     // MIs[0] round
     /*  539224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539234 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  539234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  539237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539243 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539256 */     GIR_RootConstrainSelectedInstOperands,
     /*  539257 */     // GIR_Coverage, 21872,
     /*  539257 */     GIR_EraseRootFromParent_Done,
     /*  539258 */   // Label 8909: @539258
     /*  539258 */   GIM_Try, /*On fail goto*//*Label 8910*/ GIMT_Encode4(539329), // Rule ID 21873 //
     /*  539263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  539266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w),
     /*  539271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  539274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  539277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  539280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539295 */     // MIs[0] round
     /*  539295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539305 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11227:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  539305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /*  539308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539314 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  539324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539327 */     GIR_RootConstrainSelectedInstOperands,
     /*  539328 */     // GIR_Coverage, 21873,
     /*  539328 */     GIR_EraseRootFromParent_Done,
     /*  539329 */   // Label 8910: @539329
     /*  539329 */   GIM_Try, /*On fail goto*//*Label 8911*/ GIMT_Encode4(539400), // Rule ID 21876 //
     /*  539334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  539351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539366 */     // MIs[0] round
     /*  539366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539376 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  539379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539385 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539398 */     GIR_RootConstrainSelectedInstOperands,
     /*  539399 */     // GIR_Coverage, 21876,
     /*  539399 */     GIR_EraseRootFromParent_Done,
     /*  539400 */   // Label 8911: @539400
     /*  539400 */   GIM_Try, /*On fail goto*//*Label 8912*/ GIMT_Encode4(539471), // Rule ID 21877 //
     /*  539405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  539416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  539419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  539422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539437 */     // MIs[0] round
     /*  539437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539447 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /*  539450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539456 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539469 */     GIR_RootConstrainSelectedInstOperands,
     /*  539470 */     // GIR_Coverage, 21877,
     /*  539470 */     GIR_EraseRootFromParent_Done,
     /*  539471 */   // Label 8912: @539471
     /*  539471 */   GIM_Try, /*On fail goto*//*Label 8913*/ GIMT_Encode4(539542), // Rule ID 21880 //
     /*  539476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  539493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539508 */     // MIs[0] round
     /*  539508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539518 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  539521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539527 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539540 */     GIR_RootConstrainSelectedInstOperands,
     /*  539541 */     // GIR_Coverage, 21880,
     /*  539541 */     GIR_EraseRootFromParent_Done,
     /*  539542 */   // Label 8913: @539542
     /*  539542 */   GIM_Try, /*On fail goto*//*Label 8914*/ GIMT_Encode4(539613), // Rule ID 21881 //
     /*  539547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  539558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  539561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  539564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539579 */     // MIs[0] round
     /*  539579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539589 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /*  539592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539598 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539611 */     GIR_RootConstrainSelectedInstOperands,
     /*  539612 */     // GIR_Coverage, 21881,
     /*  539612 */     GIR_EraseRootFromParent_Done,
     /*  539613 */   // Label 8914: @539613
     /*  539613 */   GIM_Try, /*On fail goto*//*Label 8915*/ GIMT_Encode4(539684), // Rule ID 21884 //
     /*  539618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  539635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539650 */     // MIs[0] round
     /*  539650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539660 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  539663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539669 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539682 */     GIR_RootConstrainSelectedInstOperands,
     /*  539683 */     // GIR_Coverage, 21884,
     /*  539683 */     GIR_EraseRootFromParent_Done,
     /*  539684 */   // Label 8915: @539684
     /*  539684 */   GIM_Try, /*On fail goto*//*Label 8916*/ GIMT_Encode4(539755), // Rule ID 21885 //
     /*  539689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  539700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  539703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  539706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  539717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539721 */     // MIs[0] round
     /*  539721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539731 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11225:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /*  539734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539740 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539753 */     GIR_RootConstrainSelectedInstOperands,
     /*  539754 */     // GIR_Coverage, 21885,
     /*  539754 */     GIR_EraseRootFromParent_Done,
     /*  539755 */   // Label 8916: @539755
     /*  539755 */   GIM_Try, /*On fail goto*//*Label 8917*/ GIMT_Encode4(539826), // Rule ID 21888 //
     /*  539760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  539777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539792 */     // MIs[0] round
     /*  539792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  539805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539811 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539824 */     GIR_RootConstrainSelectedInstOperands,
     /*  539825 */     // GIR_Coverage, 21888,
     /*  539825 */     GIR_EraseRootFromParent_Done,
     /*  539826 */   // Label 8917: @539826
     /*  539826 */   GIM_Try, /*On fail goto*//*Label 8918*/ GIMT_Encode4(539897), // Rule ID 21889 //
     /*  539831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  539842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  539845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  539848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  539859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539863 */     // MIs[0] round
     /*  539863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539873 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  539873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /*  539876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539882 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539895 */     GIR_RootConstrainSelectedInstOperands,
     /*  539896 */     // GIR_Coverage, 21889,
     /*  539896 */     GIR_EraseRootFromParent_Done,
     /*  539897 */   // Label 8918: @539897
     /*  539897 */   GIM_Try, /*On fail goto*//*Label 8919*/ GIMT_Encode4(539968), // Rule ID 21892 //
     /*  539902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /*  539905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  539919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  539922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  539934 */     // MIs[0] round
     /*  539934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  539937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  539944 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  539944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  539947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  539949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  539951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  539953 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  539955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  539960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  539963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  539966 */     GIR_RootConstrainSelectedInstOperands,
     /*  539967 */     // GIR_Coverage, 21892,
     /*  539967 */     GIR_EraseRootFromParent_Done,
     /*  539968 */   // Label 8919: @539968
     /*  539968 */   GIM_Try, /*On fail goto*//*Label 8920*/ GIMT_Encode4(540039), // Rule ID 21893 //
     /*  539973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /*  539976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  539981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  539984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  539987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  539990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  539993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  539997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540005 */     // MIs[0] round
     /*  540005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540015 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /*  540018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540024 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540037 */     GIR_RootConstrainSelectedInstOperands,
     /*  540038 */     // GIR_Coverage, 21893,
     /*  540038 */     GIR_EraseRootFromParent_Done,
     /*  540039 */   // Label 8920: @540039
     /*  540039 */   GIM_Try, /*On fail goto*//*Label 8921*/ GIMT_Encode4(540110), // Rule ID 21896 //
     /*  540044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  540047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  540061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540076 */     // MIs[0] round
     /*  540076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540086 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  540089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540095 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540108 */     GIR_RootConstrainSelectedInstOperands,
     /*  540109 */     // GIR_Coverage, 21896,
     /*  540109 */     GIR_EraseRootFromParent_Done,
     /*  540110 */   // Label 8921: @540110
     /*  540110 */   GIM_Try, /*On fail goto*//*Label 8922*/ GIMT_Encode4(540181), // Rule ID 21897 //
     /*  540115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  540118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  540126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  540129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  540132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540147 */     // MIs[0] round
     /*  540147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540157 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /*  540160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540166 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540179 */     GIR_RootConstrainSelectedInstOperands,
     /*  540180 */     // GIR_Coverage, 21897,
     /*  540180 */     GIR_EraseRootFromParent_Done,
     /*  540181 */   // Label 8922: @540181
     /*  540181 */   GIM_Try, /*On fail goto*//*Label 8923*/ GIMT_Encode4(540252), // Rule ID 21900 //
     /*  540186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  540189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  540203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540218 */     // MIs[0] round
     /*  540218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  540231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540237 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540250 */     GIR_RootConstrainSelectedInstOperands,
     /*  540251 */     // GIR_Coverage, 21900,
     /*  540251 */     GIR_EraseRootFromParent_Done,
     /*  540252 */   // Label 8923: @540252
     /*  540252 */   GIM_Try, /*On fail goto*//*Label 8924*/ GIMT_Encode4(540323), // Rule ID 21901 //
     /*  540257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  540260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  540268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  540271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  540274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540289 */     // MIs[0] round
     /*  540289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540299 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11225:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /*  540302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540308 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540321 */     GIR_RootConstrainSelectedInstOperands,
     /*  540322 */     // GIR_Coverage, 21901,
     /*  540322 */     GIR_EraseRootFromParent_Done,
     /*  540323 */   // Label 8924: @540323
     /*  540323 */   GIM_Try, /*On fail goto*//*Label 8925*/ GIMT_Encode4(540394), // Rule ID 21904 //
     /*  540328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  540331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  540345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540360 */     // MIs[0] round
     /*  540360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  540373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540379 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540392 */     GIR_RootConstrainSelectedInstOperands,
     /*  540393 */     // GIR_Coverage, 21904,
     /*  540393 */     GIR_EraseRootFromParent_Done,
     /*  540394 */   // Label 8925: @540394
     /*  540394 */   GIM_Try, /*On fail goto*//*Label 8926*/ GIMT_Encode4(540465), // Rule ID 21905 //
     /*  540399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  540402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  540410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  540413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  540416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540431 */     // MIs[0] round
     /*  540431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540441 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11225:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /*  540444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540450 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540463 */     GIR_RootConstrainSelectedInstOperands,
     /*  540464 */     // GIR_Coverage, 21905,
     /*  540464 */     GIR_EraseRootFromParent_Done,
     /*  540465 */   // Label 8926: @540465
     /*  540465 */   GIM_Try, /*On fail goto*//*Label 8927*/ GIMT_Encode4(540536), // Rule ID 21908 //
     /*  540470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /*  540473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540502 */     // MIs[0] round
     /*  540502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540512 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  540512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  540515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540521 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540534 */     GIR_RootConstrainSelectedInstOperands,
     /*  540535 */     // GIR_Coverage, 21908,
     /*  540535 */     GIR_EraseRootFromParent_Done,
     /*  540536 */   // Label 8927: @540536
     /*  540536 */   GIM_Try, /*On fail goto*//*Label 8928*/ GIMT_Encode4(540607), // Rule ID 21909 //
     /*  540541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /*  540544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w),
     /*  540549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  540552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  540555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  540558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  540569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  540573 */     // MIs[0] round
     /*  540573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540583 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11225:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  540583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /*  540586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540592 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  540602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540605 */     GIR_RootConstrainSelectedInstOperands,
     /*  540606 */     // GIR_Coverage, 21909,
     /*  540606 */     GIR_EraseRootFromParent_Done,
     /*  540607 */   // Label 8928: @540607
     /*  540607 */   GIM_Try, /*On fail goto*//*Label 8929*/ GIMT_Encode4(540678), // Rule ID 21912 //
     /*  540612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  540615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  540629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540644 */     // MIs[0] round
     /*  540644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540654 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  540657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540663 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540676 */     GIR_RootConstrainSelectedInstOperands,
     /*  540677 */     // GIR_Coverage, 21912,
     /*  540677 */     GIR_EraseRootFromParent_Done,
     /*  540678 */   // Label 8929: @540678
     /*  540678 */   GIM_Try, /*On fail goto*//*Label 8930*/ GIMT_Encode4(540749), // Rule ID 21913 //
     /*  540683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  540686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  540694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  540697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  540700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540715 */     // MIs[0] round
     /*  540715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540725 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /*  540728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540734 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540747 */     GIR_RootConstrainSelectedInstOperands,
     /*  540748 */     // GIR_Coverage, 21913,
     /*  540748 */     GIR_EraseRootFromParent_Done,
     /*  540749 */   // Label 8930: @540749
     /*  540749 */   GIM_Try, /*On fail goto*//*Label 8931*/ GIMT_Encode4(540820), // Rule ID 21916 //
     /*  540754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  540757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  540771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540786 */     // MIs[0] round
     /*  540786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540796 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  540799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540805 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540818 */     GIR_RootConstrainSelectedInstOperands,
     /*  540819 */     // GIR_Coverage, 21916,
     /*  540819 */     GIR_EraseRootFromParent_Done,
     /*  540820 */   // Label 8931: @540820
     /*  540820 */   GIM_Try, /*On fail goto*//*Label 8932*/ GIMT_Encode4(540891), // Rule ID 21917 //
     /*  540825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  540828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  540836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  540839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  540842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540857 */     // MIs[0] round
     /*  540857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540867 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  540867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /*  540870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540876 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540889 */     GIR_RootConstrainSelectedInstOperands,
     /*  540890 */     // GIR_Coverage, 21917,
     /*  540890 */     GIR_EraseRootFromParent_Done,
     /*  540891 */   // Label 8932: @540891
     /*  540891 */   GIM_Try, /*On fail goto*//*Label 8933*/ GIMT_Encode4(540962), // Rule ID 21920 //
     /*  540896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  540899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  540913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  540916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540928 */     // MIs[0] round
     /*  540928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  540931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  540938 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  540938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  540941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  540943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  540945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  540947 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  540949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  540954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  540957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  540960 */     GIR_RootConstrainSelectedInstOperands,
     /*  540961 */     // GIR_Coverage, 21920,
     /*  540961 */     GIR_EraseRootFromParent_Done,
     /*  540962 */   // Label 8933: @540962
     /*  540962 */   GIM_Try, /*On fail goto*//*Label 8934*/ GIMT_Encode4(541033), // Rule ID 21921 //
     /*  540967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  540970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  540975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  540978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  540981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  540984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  540987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  540995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  540999 */     // MIs[0] round
     /*  540999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541009 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11223:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /*  541012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541018 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541031 */     GIR_RootConstrainSelectedInstOperands,
     /*  541032 */     // GIR_Coverage, 21921,
     /*  541032 */     GIR_EraseRootFromParent_Done,
     /*  541033 */   // Label 8934: @541033
     /*  541033 */   GIM_Try, /*On fail goto*//*Label 8935*/ GIMT_Encode4(541104), // Rule ID 21924 //
     /*  541038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  541041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  541055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541070 */     // MIs[0] round
     /*  541070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541080 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  541083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541089 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541102 */     GIR_RootConstrainSelectedInstOperands,
     /*  541103 */     // GIR_Coverage, 21924,
     /*  541103 */     GIR_EraseRootFromParent_Done,
     /*  541104 */   // Label 8935: @541104
     /*  541104 */   GIM_Try, /*On fail goto*//*Label 8936*/ GIMT_Encode4(541175), // Rule ID 21925 //
     /*  541109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  541112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  541120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  541123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  541126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541141 */     // MIs[0] round
     /*  541141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541151 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /*  541154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541160 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541173 */     GIR_RootConstrainSelectedInstOperands,
     /*  541174 */     // GIR_Coverage, 21925,
     /*  541174 */     GIR_EraseRootFromParent_Done,
     /*  541175 */   // Label 8936: @541175
     /*  541175 */   GIM_Try, /*On fail goto*//*Label 8937*/ GIMT_Encode4(541246), // Rule ID 21928 //
     /*  541180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /*  541183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  541197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541212 */     // MIs[0] round
     /*  541212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541222 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  541222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  541225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541231 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541244 */     GIR_RootConstrainSelectedInstOperands,
     /*  541245 */     // GIR_Coverage, 21928,
     /*  541245 */     GIR_EraseRootFromParent_Done,
     /*  541246 */   // Label 8937: @541246
     /*  541246 */   GIM_Try, /*On fail goto*//*Label 8938*/ GIMT_Encode4(541317), // Rule ID 21929 //
     /*  541251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /*  541254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  541262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  541265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  541268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541283 */     // MIs[0] round
     /*  541283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541293 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  541293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /*  541296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541302 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  541312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541315 */     GIR_RootConstrainSelectedInstOperands,
     /*  541316 */     // GIR_Coverage, 21929,
     /*  541316 */     GIR_EraseRootFromParent_Done,
     /*  541317 */   // Label 8938: @541317
     /*  541317 */   GIM_Try, /*On fail goto*//*Label 8939*/ GIMT_Encode4(541388), // Rule ID 21932 //
     /*  541322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  541325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  541333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  541336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  541339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541354 */     // MIs[0] round
     /*  541354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541364 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  541367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541373 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541386 */     GIR_RootConstrainSelectedInstOperands,
     /*  541387 */     // GIR_Coverage, 21932,
     /*  541387 */     GIR_EraseRootFromParent_Done,
     /*  541388 */   // Label 8939: @541388
     /*  541388 */   GIM_Try, /*On fail goto*//*Label 8940*/ GIMT_Encode4(541459), // Rule ID 21933 //
     /*  541393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  541396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  541404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  541407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  541410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541425 */     // MIs[0] round
     /*  541425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541435 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /*  541438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541444 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541457 */     GIR_RootConstrainSelectedInstOperands,
     /*  541458 */     // GIR_Coverage, 21933,
     /*  541458 */     GIR_EraseRootFromParent_Done,
     /*  541459 */   // Label 8940: @541459
     /*  541459 */   GIM_Try, /*On fail goto*//*Label 8941*/ GIMT_Encode4(541530), // Rule ID 21936 //
     /*  541464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  541467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  541481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541496 */     // MIs[0] round
     /*  541496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541506 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  541509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541515 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541528 */     GIR_RootConstrainSelectedInstOperands,
     /*  541529 */     // GIR_Coverage, 21936,
     /*  541529 */     GIR_EraseRootFromParent_Done,
     /*  541530 */   // Label 8941: @541530
     /*  541530 */   GIM_Try, /*On fail goto*//*Label 8942*/ GIMT_Encode4(541601), // Rule ID 21937 //
     /*  541535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  541538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  541546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  541549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  541552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541567 */     // MIs[0] round
     /*  541567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541577 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11223:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /*  541580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541586 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541599 */     GIR_RootConstrainSelectedInstOperands,
     /*  541600 */     // GIR_Coverage, 21937,
     /*  541600 */     GIR_EraseRootFromParent_Done,
     /*  541601 */   // Label 8942: @541601
     /*  541601 */   GIM_Try, /*On fail goto*//*Label 8943*/ GIMT_Encode4(541672), // Rule ID 21940 //
     /*  541606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  541609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  541617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  541620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  541623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541638 */     // MIs[0] round
     /*  541638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541648 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  541651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541657 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541670 */     GIR_RootConstrainSelectedInstOperands,
     /*  541671 */     // GIR_Coverage, 21940,
     /*  541671 */     GIR_EraseRootFromParent_Done,
     /*  541672 */   // Label 8943: @541672
     /*  541672 */   GIM_Try, /*On fail goto*//*Label 8944*/ GIMT_Encode4(541743), // Rule ID 21941 //
     /*  541677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  541680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  541688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  541691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  541694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  541705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541709 */     // MIs[0] round
     /*  541709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541719 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11223:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /*  541722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541728 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541741 */     GIR_RootConstrainSelectedInstOperands,
     /*  541742 */     // GIR_Coverage, 21941,
     /*  541742 */     GIR_EraseRootFromParent_Done,
     /*  541743 */   // Label 8944: @541743
     /*  541743 */   GIM_Try, /*On fail goto*//*Label 8945*/ GIMT_Encode4(541814), // Rule ID 21944 //
     /*  541748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  541751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  541759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  541762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  541765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541780 */     // MIs[0] round
     /*  541780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541790 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  541790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  541793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541799 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541812 */     GIR_RootConstrainSelectedInstOperands,
     /*  541813 */     // GIR_Coverage, 21944,
     /*  541813 */     GIR_EraseRootFromParent_Done,
     /*  541814 */   // Label 8945: @541814
     /*  541814 */   GIM_Try, /*On fail goto*//*Label 8946*/ GIMT_Encode4(541885), // Rule ID 21945 //
     /*  541819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  541822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w),
     /*  541827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  541830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  541833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  541836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  541847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  541851 */     // MIs[0] round
     /*  541851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  541854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541861 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11223:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  541861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /*  541864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  541870 */     GIR_RootToRootCopy, /*OpIdx*/4, // round
     /*  541872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  541880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541883 */     GIR_RootConstrainSelectedInstOperands,
     /*  541884 */     // GIR_Coverage, 21945,
     /*  541884 */     GIR_EraseRootFromParent_Done,
     /*  541885 */   // Label 8946: @541885
     /*  541885 */   GIM_Try, /*On fail goto*//*Label 8947*/ GIMT_Encode4(541956), // Rule ID 2754 //
     /*  541890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  541893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  541910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541918 */     // MIs[0] passthru
     /*  541918 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  541934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  541934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  541937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  541939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  541941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  541943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  541948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  541951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  541954 */     GIR_RootConstrainSelectedInstOperands,
     /*  541955 */     // GIR_Coverage, 2754,
     /*  541955 */     GIR_EraseRootFromParent_Done,
     /*  541956 */   // Label 8947: @541956
     /*  541956 */   GIM_Try, /*On fail goto*//*Label 8948*/ GIMT_Encode4(542027), // Rule ID 2755 //
     /*  541961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  541964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  541969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  541972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  541975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  541978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  541981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541989 */     // MIs[0] passthru
     /*  541989 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  541994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  541998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_TIED),
     /*  542008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542025 */     GIR_RootConstrainSelectedInstOperands,
     /*  542026 */     // GIR_Coverage, 2755,
     /*  542026 */     GIR_EraseRootFromParent_Done,
     /*  542027 */   // Label 8948: @542027
     /*  542027 */   GIM_Try, /*On fail goto*//*Label 8949*/ GIMT_Encode4(542098), // Rule ID 4070 //
     /*  542032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  542043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  542046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  542049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542060 */     // MIs[0] passthru
     /*  542060 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542076 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  542079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542096 */     GIR_RootConstrainSelectedInstOperands,
     /*  542097 */     // GIR_Coverage, 4070,
     /*  542097 */     GIR_EraseRootFromParent_Done,
     /*  542098 */   // Label 8949: @542098
     /*  542098 */   GIM_Try, /*On fail goto*//*Label 8950*/ GIMT_Encode4(542169), // Rule ID 4071 //
     /*  542103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  542114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  542117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  542120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542131 */     // MIs[0] passthru
     /*  542131 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  542150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542167 */     GIR_RootConstrainSelectedInstOperands,
     /*  542168 */     // GIR_Coverage, 4071,
     /*  542168 */     GIR_EraseRootFromParent_Done,
     /*  542169 */   // Label 8950: @542169
     /*  542169 */   GIM_Try, /*On fail goto*//*Label 8951*/ GIMT_Encode4(542240), // Rule ID 4080 //
     /*  542174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  542185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  542188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  542191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542202 */     // MIs[0] passthru
     /*  542202 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542238 */     GIR_RootConstrainSelectedInstOperands,
     /*  542239 */     // GIR_Coverage, 4080,
     /*  542239 */     GIR_EraseRootFromParent_Done,
     /*  542240 */   // Label 8951: @542240
     /*  542240 */   GIM_Try, /*On fail goto*//*Label 8952*/ GIMT_Encode4(542311), // Rule ID 4081 //
     /*  542245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  542256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  542259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  542262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542273 */     // MIs[0] passthru
     /*  542273 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542289 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542309 */     GIR_RootConstrainSelectedInstOperands,
     /*  542310 */     // GIR_Coverage, 4081,
     /*  542310 */     GIR_EraseRootFromParent_Done,
     /*  542311 */   // Label 8952: @542311
     /*  542311 */   GIM_Try, /*On fail goto*//*Label 8953*/ GIMT_Encode4(542382), // Rule ID 4090 //
     /*  542316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  542333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542344 */     // MIs[0] passthru
     /*  542344 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542360 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  542363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542380 */     GIR_RootConstrainSelectedInstOperands,
     /*  542381 */     // GIR_Coverage, 4090,
     /*  542381 */     GIR_EraseRootFromParent_Done,
     /*  542382 */   // Label 8953: @542382
     /*  542382 */   GIM_Try, /*On fail goto*//*Label 8954*/ GIMT_Encode4(542453), // Rule ID 4091 //
     /*  542387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  542398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  542401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  542404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542415 */     // MIs[0] passthru
     /*  542415 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542431 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  542434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542451 */     GIR_RootConstrainSelectedInstOperands,
     /*  542452 */     // GIR_Coverage, 4091,
     /*  542452 */     GIR_EraseRootFromParent_Done,
     /*  542453 */   // Label 8954: @542453
     /*  542453 */   GIM_Try, /*On fail goto*//*Label 8955*/ GIMT_Encode4(542524), // Rule ID 4100 //
     /*  542458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  542475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542486 */     // MIs[0] passthru
     /*  542486 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  542505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542522 */     GIR_RootConstrainSelectedInstOperands,
     /*  542523 */     // GIR_Coverage, 4100,
     /*  542523 */     GIR_EraseRootFromParent_Done,
     /*  542524 */   // Label 8955: @542524
     /*  542524 */   GIM_Try, /*On fail goto*//*Label 8956*/ GIMT_Encode4(542595), // Rule ID 4101 //
     /*  542529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  542540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  542543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  542546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542557 */     // MIs[0] passthru
     /*  542557 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  542566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542573 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  542576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542593 */     GIR_RootConstrainSelectedInstOperands,
     /*  542594 */     // GIR_Coverage, 4101,
     /*  542594 */     GIR_EraseRootFromParent_Done,
     /*  542595 */   // Label 8956: @542595
     /*  542595 */   GIM_Try, /*On fail goto*//*Label 8957*/ GIMT_Encode4(542666), // Rule ID 4110 //
     /*  542600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542628 */     // MIs[0] passthru
     /*  542628 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542644 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  542644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542664 */     GIR_RootConstrainSelectedInstOperands,
     /*  542665 */     // GIR_Coverage, 4110,
     /*  542665 */     GIR_EraseRootFromParent_Done,
     /*  542666 */   // Label 8957: @542666
     /*  542666 */   GIM_Try, /*On fail goto*//*Label 8958*/ GIMT_Encode4(542737), // Rule ID 4111 //
     /*  542671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  542682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  542685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  542688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  542699 */     // MIs[0] passthru
     /*  542699 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  542708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542715 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  542715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  542718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  542732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542735 */     GIR_RootConstrainSelectedInstOperands,
     /*  542736 */     // GIR_Coverage, 4111,
     /*  542736 */     GIR_EraseRootFromParent_Done,
     /*  542737 */   // Label 8958: @542737
     /*  542737 */   GIM_Try, /*On fail goto*//*Label 8959*/ GIMT_Encode4(542808), // Rule ID 4120 //
     /*  542742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542770 */     // MIs[0] passthru
     /*  542770 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  542789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542806 */     GIR_RootConstrainSelectedInstOperands,
     /*  542807 */     // GIR_Coverage, 4120,
     /*  542807 */     GIR_EraseRootFromParent_Done,
     /*  542808 */   // Label 8959: @542808
     /*  542808 */   GIM_Try, /*On fail goto*//*Label 8960*/ GIMT_Encode4(542879), // Rule ID 4121 //
     /*  542813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  542824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  542827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  542830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542841 */     // MIs[0] passthru
     /*  542841 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542857 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_TIED),
     /*  542860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542877 */     GIR_RootConstrainSelectedInstOperands,
     /*  542878 */     // GIR_Coverage, 4121,
     /*  542878 */     GIR_EraseRootFromParent_Done,
     /*  542879 */   // Label 8960: @542879
     /*  542879 */   GIM_Try, /*On fail goto*//*Label 8961*/ GIMT_Encode4(542950), // Rule ID 4130 //
     /*  542884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  542887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  542904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542912 */     // MIs[0] passthru
     /*  542912 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  542928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  542931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  542933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  542935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  542937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  542942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  542945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  542948 */     GIR_RootConstrainSelectedInstOperands,
     /*  542949 */     // GIR_Coverage, 4130,
     /*  542949 */     GIR_EraseRootFromParent_Done,
     /*  542950 */   // Label 8961: @542950
     /*  542950 */   GIM_Try, /*On fail goto*//*Label 8962*/ GIMT_Encode4(543021), // Rule ID 4131 //
     /*  542955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  542958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  542963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  542966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  542969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  542972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  542975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542983 */     // MIs[0] passthru
     /*  542983 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  542988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  542992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  542999 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  542999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  543002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543019 */     GIR_RootConstrainSelectedInstOperands,
     /*  543020 */     // GIR_Coverage, 4131,
     /*  543020 */     GIR_EraseRootFromParent_Done,
     /*  543021 */   // Label 8962: @543021
     /*  543021 */   GIM_Try, /*On fail goto*//*Label 8963*/ GIMT_Encode4(543092), // Rule ID 4140 //
     /*  543026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  543037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  543040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  543043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543054 */     // MIs[0] passthru
     /*  543054 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543070 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  543073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543090 */     GIR_RootConstrainSelectedInstOperands,
     /*  543091 */     // GIR_Coverage, 4140,
     /*  543091 */     GIR_EraseRootFromParent_Done,
     /*  543092 */   // Label 8963: @543092
     /*  543092 */   GIM_Try, /*On fail goto*//*Label 8964*/ GIMT_Encode4(543163), // Rule ID 4141 //
     /*  543097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  543108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  543111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  543114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543125 */     // MIs[0] passthru
     /*  543125 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543141 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  543144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543161 */     GIR_RootConstrainSelectedInstOperands,
     /*  543162 */     // GIR_Coverage, 4141,
     /*  543162 */     GIR_EraseRootFromParent_Done,
     /*  543163 */   // Label 8964: @543163
     /*  543163 */   GIM_Try, /*On fail goto*//*Label 8965*/ GIMT_Encode4(543234), // Rule ID 4150 //
     /*  543168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  543179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  543182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  543185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543196 */     // MIs[0] passthru
     /*  543196 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  543215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543232 */     GIR_RootConstrainSelectedInstOperands,
     /*  543233 */     // GIR_Coverage, 4150,
     /*  543233 */     GIR_EraseRootFromParent_Done,
     /*  543234 */   // Label 8965: @543234
     /*  543234 */   GIM_Try, /*On fail goto*//*Label 8966*/ GIMT_Encode4(543305), // Rule ID 4151 //
     /*  543239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  543250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  543253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  543256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543267 */     // MIs[0] passthru
     /*  543267 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543283 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  543286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543303 */     GIR_RootConstrainSelectedInstOperands,
     /*  543304 */     // GIR_Coverage, 4151,
     /*  543304 */     GIR_EraseRootFromParent_Done,
     /*  543305 */   // Label 8966: @543305
     /*  543305 */   GIM_Try, /*On fail goto*//*Label 8967*/ GIMT_Encode4(543376), // Rule ID 4160 //
     /*  543310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  543313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  543321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  543324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  543327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543338 */     // MIs[0] passthru
     /*  543338 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  543354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  543357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543374 */     GIR_RootConstrainSelectedInstOperands,
     /*  543375 */     // GIR_Coverage, 4160,
     /*  543375 */     GIR_EraseRootFromParent_Done,
     /*  543376 */   // Label 8967: @543376
     /*  543376 */   GIM_Try, /*On fail goto*//*Label 8968*/ GIMT_Encode4(543447), // Rule ID 4161 //
     /*  543381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  543384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  543392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  543395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  543398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543409 */     // MIs[0] passthru
     /*  543409 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543425 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  543425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  543428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  543442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543445 */     GIR_RootConstrainSelectedInstOperands,
     /*  543446 */     // GIR_Coverage, 4161,
     /*  543446 */     GIR_EraseRootFromParent_Done,
     /*  543447 */   // Label 8968: @543447
     /*  543447 */   GIM_Try, /*On fail goto*//*Label 8969*/ GIMT_Encode4(543518), // Rule ID 4170 //
     /*  543452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  543469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543480 */     // MIs[0] passthru
     /*  543480 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543496 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  543499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543516 */     GIR_RootConstrainSelectedInstOperands,
     /*  543517 */     // GIR_Coverage, 4170,
     /*  543517 */     GIR_EraseRootFromParent_Done,
     /*  543518 */   // Label 8969: @543518
     /*  543518 */   GIM_Try, /*On fail goto*//*Label 8970*/ GIMT_Encode4(543589), // Rule ID 4171 //
     /*  543523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  543534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  543537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  543540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543551 */     // MIs[0] passthru
     /*  543551 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543567 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_TIED),
     /*  543570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543587 */     GIR_RootConstrainSelectedInstOperands,
     /*  543588 */     // GIR_Coverage, 4171,
     /*  543588 */     GIR_EraseRootFromParent_Done,
     /*  543589 */   // Label 8970: @543589
     /*  543589 */   GIM_Try, /*On fail goto*//*Label 8971*/ GIMT_Encode4(543660), // Rule ID 4180 //
     /*  543594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543622 */     // MIs[0] passthru
     /*  543622 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543638 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  543641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543658 */     GIR_RootConstrainSelectedInstOperands,
     /*  543659 */     // GIR_Coverage, 4180,
     /*  543659 */     GIR_EraseRootFromParent_Done,
     /*  543660 */   // Label 8971: @543660
     /*  543660 */   GIM_Try, /*On fail goto*//*Label 8972*/ GIMT_Encode4(543731), // Rule ID 4181 //
     /*  543665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  543676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  543679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  543682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543693 */     // MIs[0] passthru
     /*  543693 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  543702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543709 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_TIED),
     /*  543712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543729 */     GIR_RootConstrainSelectedInstOperands,
     /*  543730 */     // GIR_Coverage, 4181,
     /*  543730 */     GIR_EraseRootFromParent_Done,
     /*  543731 */   // Label 8972: @543731
     /*  543731 */   GIM_Try, /*On fail goto*//*Label 8973*/ GIMT_Encode4(543802), // Rule ID 4190 //
     /*  543736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543764 */     // MIs[0] passthru
     /*  543764 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543780 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  543783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543800 */     GIR_RootConstrainSelectedInstOperands,
     /*  543801 */     // GIR_Coverage, 4190,
     /*  543801 */     GIR_EraseRootFromParent_Done,
     /*  543802 */   // Label 8973: @543802
     /*  543802 */   GIM_Try, /*On fail goto*//*Label 8974*/ GIMT_Encode4(543873), // Rule ID 4191 //
     /*  543807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  543818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  543821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  543824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543835 */     // MIs[0] passthru
     /*  543835 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  543844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543851 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_TIED),
     /*  543854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543871 */     GIR_RootConstrainSelectedInstOperands,
     /*  543872 */     // GIR_Coverage, 4191,
     /*  543872 */     GIR_EraseRootFromParent_Done,
     /*  543873 */   // Label 8974: @543873
     /*  543873 */   GIM_Try, /*On fail goto*//*Label 8975*/ GIMT_Encode4(543944), // Rule ID 4200 //
     /*  543878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  543881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  543898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543906 */     // MIs[0] passthru
     /*  543906 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  543922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  543925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  543929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  543931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  543936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  543939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  543942 */     GIR_RootConstrainSelectedInstOperands,
     /*  543943 */     // GIR_Coverage, 4200,
     /*  543943 */     GIR_EraseRootFromParent_Done,
     /*  543944 */   // Label 8975: @543944
     /*  543944 */   GIM_Try, /*On fail goto*//*Label 8976*/ GIMT_Encode4(544015), // Rule ID 4201 //
     /*  543949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  543952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  543957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  543960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  543963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  543966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  543969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  543977 */     // MIs[0] passthru
     /*  543977 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  543982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  543986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  543993 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  543993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_TIED),
     /*  543996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  543998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  544010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544013 */     GIR_RootConstrainSelectedInstOperands,
     /*  544014 */     // GIR_Coverage, 4201,
     /*  544014 */     GIR_EraseRootFromParent_Done,
     /*  544015 */   // Label 8976: @544015
     /*  544015 */   GIM_Try, /*On fail goto*//*Label 8977*/ GIMT_Encode4(544086), // Rule ID 4270 //
     /*  544020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  544031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  544034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544048 */     // MIs[0] passthru
     /*  544048 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  544067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544084 */     GIR_RootConstrainSelectedInstOperands,
     /*  544085 */     // GIR_Coverage, 4270,
     /*  544085 */     GIR_EraseRootFromParent_Done,
     /*  544086 */   // Label 8977: @544086
     /*  544086 */   GIM_Try, /*On fail goto*//*Label 8978*/ GIMT_Encode4(544157), // Rule ID 4271 //
     /*  544091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  544102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  544105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  544108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544119 */     // MIs[0] passthru
     /*  544119 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544135 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_TIED),
     /*  544138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544155 */     GIR_RootConstrainSelectedInstOperands,
     /*  544156 */     // GIR_Coverage, 4271,
     /*  544156 */     GIR_EraseRootFromParent_Done,
     /*  544157 */   // Label 8978: @544157
     /*  544157 */   GIM_Try, /*On fail goto*//*Label 8979*/ GIMT_Encode4(544228), // Rule ID 4280 //
     /*  544162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  544173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  544176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  544179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544190 */     // MIs[0] passthru
     /*  544190 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  544209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544226 */     GIR_RootConstrainSelectedInstOperands,
     /*  544227 */     // GIR_Coverage, 4280,
     /*  544227 */     GIR_EraseRootFromParent_Done,
     /*  544228 */   // Label 8979: @544228
     /*  544228 */   GIM_Try, /*On fail goto*//*Label 8980*/ GIMT_Encode4(544299), // Rule ID 4281 //
     /*  544233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  544244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  544247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  544250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544261 */     // MIs[0] passthru
     /*  544261 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544277 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  544280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544297 */     GIR_RootConstrainSelectedInstOperands,
     /*  544298 */     // GIR_Coverage, 4281,
     /*  544298 */     GIR_EraseRootFromParent_Done,
     /*  544299 */   // Label 8980: @544299
     /*  544299 */   GIM_Try, /*On fail goto*//*Label 8981*/ GIMT_Encode4(544370), // Rule ID 4290 //
     /*  544304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  544315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  544318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  544321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544332 */     // MIs[0] passthru
     /*  544332 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  544351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544368 */     GIR_RootConstrainSelectedInstOperands,
     /*  544369 */     // GIR_Coverage, 4290,
     /*  544369 */     GIR_EraseRootFromParent_Done,
     /*  544370 */   // Label 8981: @544370
     /*  544370 */   GIM_Try, /*On fail goto*//*Label 8982*/ GIMT_Encode4(544441), // Rule ID 4291 //
     /*  544375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  544386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  544389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  544392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544403 */     // MIs[0] passthru
     /*  544403 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544419 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  544422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544439 */     GIR_RootConstrainSelectedInstOperands,
     /*  544440 */     // GIR_Coverage, 4291,
     /*  544440 */     GIR_EraseRootFromParent_Done,
     /*  544441 */   // Label 8982: @544441
     /*  544441 */   GIM_Try, /*On fail goto*//*Label 8983*/ GIMT_Encode4(544512), // Rule ID 4300 //
     /*  544446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  544457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  544460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544474 */     // MIs[0] passthru
     /*  544474 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544490 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  544493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544510 */     GIR_RootConstrainSelectedInstOperands,
     /*  544511 */     // GIR_Coverage, 4300,
     /*  544511 */     GIR_EraseRootFromParent_Done,
     /*  544512 */   // Label 8983: @544512
     /*  544512 */   GIM_Try, /*On fail goto*//*Label 8984*/ GIMT_Encode4(544583), // Rule ID 4301 //
     /*  544517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  544528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  544531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  544534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544545 */     // MIs[0] passthru
     /*  544545 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544561 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  544564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544581 */     GIR_RootConstrainSelectedInstOperands,
     /*  544582 */     // GIR_Coverage, 4301,
     /*  544582 */     GIR_EraseRootFromParent_Done,
     /*  544583 */   // Label 8984: @544583
     /*  544583 */   GIM_Try, /*On fail goto*//*Label 8985*/ GIMT_Encode4(544654), // Rule ID 4310 //
     /*  544588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544616 */     // MIs[0] passthru
     /*  544616 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544632 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544652 */     GIR_RootConstrainSelectedInstOperands,
     /*  544653 */     // GIR_Coverage, 4310,
     /*  544653 */     GIR_EraseRootFromParent_Done,
     /*  544654 */   // Label 8985: @544654
     /*  544654 */   GIM_Try, /*On fail goto*//*Label 8986*/ GIMT_Encode4(544725), // Rule ID 4311 //
     /*  544659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  544670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  544673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  544676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544687 */     // MIs[0] passthru
     /*  544687 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  544696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544703 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  544706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544723 */     GIR_RootConstrainSelectedInstOperands,
     /*  544724 */     // GIR_Coverage, 4311,
     /*  544724 */     GIR_EraseRootFromParent_Done,
     /*  544725 */   // Label 8986: @544725
     /*  544725 */   GIM_Try, /*On fail goto*//*Label 8987*/ GIMT_Encode4(544796), // Rule ID 4320 //
     /*  544730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544758 */     // MIs[0] passthru
     /*  544758 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544774 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  544774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  544777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544794 */     GIR_RootConstrainSelectedInstOperands,
     /*  544795 */     // GIR_Coverage, 4320,
     /*  544795 */     GIR_EraseRootFromParent_Done,
     /*  544796 */   // Label 8987: @544796
     /*  544796 */   GIM_Try, /*On fail goto*//*Label 8988*/ GIMT_Encode4(544867), // Rule ID 4321 //
     /*  544801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  544812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  544815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  544818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  544829 */     // MIs[0] passthru
     /*  544829 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  544838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544845 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  544845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  544848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  544862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544865 */     GIR_RootConstrainSelectedInstOperands,
     /*  544866 */     // GIR_Coverage, 4321,
     /*  544866 */     GIR_EraseRootFromParent_Done,
     /*  544867 */   // Label 8988: @544867
     /*  544867 */   GIM_Try, /*On fail goto*//*Label 8989*/ GIMT_Encode4(544938), // Rule ID 4330 //
     /*  544872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  544875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  544892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544900 */     // MIs[0] passthru
     /*  544900 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544916 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  544916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  544919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  544930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  544933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  544936 */     GIR_RootConstrainSelectedInstOperands,
     /*  544937 */     // GIR_Coverage, 4330,
     /*  544937 */     GIR_EraseRootFromParent_Done,
     /*  544938 */   // Label 8989: @544938
     /*  544938 */   GIM_Try, /*On fail goto*//*Label 8990*/ GIMT_Encode4(545009), // Rule ID 4331 //
     /*  544943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  544946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  544951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  544954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  544957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  544960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  544963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544971 */     // MIs[0] passthru
     /*  544971 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  544976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  544980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  544987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  544987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_TIED),
     /*  544990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  544992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  544994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  544996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545007 */     GIR_RootConstrainSelectedInstOperands,
     /*  545008 */     // GIR_Coverage, 4331,
     /*  545008 */     GIR_EraseRootFromParent_Done,
     /*  545009 */   // Label 8990: @545009
     /*  545009 */   GIM_Try, /*On fail goto*//*Label 8991*/ GIMT_Encode4(545080), // Rule ID 4340 //
     /*  545014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  545025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  545028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  545031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545042 */     // MIs[0] passthru
     /*  545042 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545058 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  545061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545078 */     GIR_RootConstrainSelectedInstOperands,
     /*  545079 */     // GIR_Coverage, 4340,
     /*  545079 */     GIR_EraseRootFromParent_Done,
     /*  545080 */   // Label 8991: @545080
     /*  545080 */   GIM_Try, /*On fail goto*//*Label 8992*/ GIMT_Encode4(545151), // Rule ID 4341 //
     /*  545085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  545096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  545099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  545102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545113 */     // MIs[0] passthru
     /*  545113 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545129 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  545132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545149 */     GIR_RootConstrainSelectedInstOperands,
     /*  545150 */     // GIR_Coverage, 4341,
     /*  545150 */     GIR_EraseRootFromParent_Done,
     /*  545151 */   // Label 8992: @545151
     /*  545151 */   GIM_Try, /*On fail goto*//*Label 8993*/ GIMT_Encode4(545222), // Rule ID 4350 //
     /*  545156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  545167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  545170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  545173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545184 */     // MIs[0] passthru
     /*  545184 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  545203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545220 */     GIR_RootConstrainSelectedInstOperands,
     /*  545221 */     // GIR_Coverage, 4350,
     /*  545221 */     GIR_EraseRootFromParent_Done,
     /*  545222 */   // Label 8993: @545222
     /*  545222 */   GIM_Try, /*On fail goto*//*Label 8994*/ GIMT_Encode4(545293), // Rule ID 4351 //
     /*  545227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  545238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  545241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  545244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545255 */     // MIs[0] passthru
     /*  545255 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545271 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  545274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545291 */     GIR_RootConstrainSelectedInstOperands,
     /*  545292 */     // GIR_Coverage, 4351,
     /*  545292 */     GIR_EraseRootFromParent_Done,
     /*  545293 */   // Label 8994: @545293
     /*  545293 */   GIM_Try, /*On fail goto*//*Label 8995*/ GIMT_Encode4(545364), // Rule ID 4360 //
     /*  545298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  545309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  545312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  545315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545326 */     // MIs[0] passthru
     /*  545326 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  545345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545362 */     GIR_RootConstrainSelectedInstOperands,
     /*  545363 */     // GIR_Coverage, 4360,
     /*  545363 */     GIR_EraseRootFromParent_Done,
     /*  545364 */   // Label 8995: @545364
     /*  545364 */   GIM_Try, /*On fail goto*//*Label 8996*/ GIMT_Encode4(545435), // Rule ID 4361 //
     /*  545369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  545380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  545383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  545386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545397 */     // MIs[0] passthru
     /*  545397 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  545416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545433 */     GIR_RootConstrainSelectedInstOperands,
     /*  545434 */     // GIR_Coverage, 4361,
     /*  545434 */     GIR_EraseRootFromParent_Done,
     /*  545435 */   // Label 8996: @545435
     /*  545435 */   GIM_Try, /*On fail goto*//*Label 8997*/ GIMT_Encode4(545506), // Rule ID 4370 //
     /*  545440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  545443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  545451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  545454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  545457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545468 */     // MIs[0] passthru
     /*  545468 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545484 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  545484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  545487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545504 */     GIR_RootConstrainSelectedInstOperands,
     /*  545505 */     // GIR_Coverage, 4370,
     /*  545505 */     GIR_EraseRootFromParent_Done,
     /*  545506 */   // Label 8997: @545506
     /*  545506 */   GIM_Try, /*On fail goto*//*Label 8998*/ GIMT_Encode4(545577), // Rule ID 4371 //
     /*  545511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  545514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  545522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  545525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  545528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  545539 */     // MIs[0] passthru
     /*  545539 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545555 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  545555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  545558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  545572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545575 */     GIR_RootConstrainSelectedInstOperands,
     /*  545576 */     // GIR_Coverage, 4371,
     /*  545576 */     GIR_EraseRootFromParent_Done,
     /*  545577 */   // Label 8998: @545577
     /*  545577 */   GIM_Try, /*On fail goto*//*Label 8999*/ GIMT_Encode4(545648), // Rule ID 4380 //
     /*  545582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545610 */     // MIs[0] passthru
     /*  545610 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545626 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  545629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545646 */     GIR_RootConstrainSelectedInstOperands,
     /*  545647 */     // GIR_Coverage, 4380,
     /*  545647 */     GIR_EraseRootFromParent_Done,
     /*  545648 */   // Label 8999: @545648
     /*  545648 */   GIM_Try, /*On fail goto*//*Label 9000*/ GIMT_Encode4(545719), // Rule ID 4381 //
     /*  545653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  545664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  545667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  545670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545681 */     // MIs[0] passthru
     /*  545681 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_TIED),
     /*  545700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545717 */     GIR_RootConstrainSelectedInstOperands,
     /*  545718 */     // GIR_Coverage, 4381,
     /*  545718 */     GIR_EraseRootFromParent_Done,
     /*  545719 */   // Label 9000: @545719
     /*  545719 */   GIM_Try, /*On fail goto*//*Label 9001*/ GIMT_Encode4(545790), // Rule ID 4390 //
     /*  545724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545752 */     // MIs[0] passthru
     /*  545752 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  545771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545788 */     GIR_RootConstrainSelectedInstOperands,
     /*  545789 */     // GIR_Coverage, 4390,
     /*  545789 */     GIR_EraseRootFromParent_Done,
     /*  545790 */   // Label 9001: @545790
     /*  545790 */   GIM_Try, /*On fail goto*//*Label 9002*/ GIMT_Encode4(545861), // Rule ID 4391 //
     /*  545795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  545806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  545809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  545812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545823 */     // MIs[0] passthru
     /*  545823 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  545832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545839 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_TIED),
     /*  545842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545859 */     GIR_RootConstrainSelectedInstOperands,
     /*  545860 */     // GIR_Coverage, 4391,
     /*  545860 */     GIR_EraseRootFromParent_Done,
     /*  545861 */   // Label 9002: @545861
     /*  545861 */   GIM_Try, /*On fail goto*//*Label 9003*/ GIMT_Encode4(545932), // Rule ID 4400 //
     /*  545866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  545869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  545886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545894 */     // MIs[0] passthru
     /*  545894 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545910 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  545910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  545913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  545930 */     GIR_RootConstrainSelectedInstOperands,
     /*  545931 */     // GIR_Coverage, 4400,
     /*  545931 */     GIR_EraseRootFromParent_Done,
     /*  545932 */   // Label 9003: @545932
     /*  545932 */   GIM_Try, /*On fail goto*//*Label 9004*/ GIMT_Encode4(546003), // Rule ID 4401 //
     /*  545937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  545940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  545945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  545948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  545951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  545954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  545957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  545965 */     // MIs[0] passthru
     /*  545965 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  545970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  545974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  545981 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  545981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_TIED),
     /*  545984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  545986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  545988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  545990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  545995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  545998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546001 */     GIR_RootConstrainSelectedInstOperands,
     /*  546002 */     // GIR_Coverage, 4401,
     /*  546002 */     GIR_EraseRootFromParent_Done,
     /*  546003 */   // Label 9004: @546003
     /*  546003 */   GIM_Try, /*On fail goto*//*Label 9005*/ GIMT_Encode4(546074), // Rule ID 4410 //
     /*  546008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  546011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  546016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  546019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  546022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  546025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546036 */     // MIs[0] passthru
     /*  546036 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546052 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  546052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  546055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546072 */     GIR_RootConstrainSelectedInstOperands,
     /*  546073 */     // GIR_Coverage, 4410,
     /*  546073 */     GIR_EraseRootFromParent_Done,
     /*  546074 */   // Label 9005: @546074
     /*  546074 */   GIM_Try, /*On fail goto*//*Label 9006*/ GIMT_Encode4(546145), // Rule ID 4411 //
     /*  546079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  546082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  546087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  546090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  546093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  546096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546107 */     // MIs[0] passthru
     /*  546107 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546123 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  546123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_TIED),
     /*  546126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  546140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546143 */     GIR_RootConstrainSelectedInstOperands,
     /*  546144 */     // GIR_Coverage, 4411,
     /*  546144 */     GIR_EraseRootFromParent_Done,
     /*  546145 */   // Label 9006: @546145
     /*  546145 */   GIM_Try, /*On fail goto*//*Label 9007*/ GIMT_Encode4(546216), // Rule ID 4480 //
     /*  546150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546178 */     // MIs[0] passthru
     /*  546178 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546194 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  546197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546214 */     GIR_RootConstrainSelectedInstOperands,
     /*  546215 */     // GIR_Coverage, 4480,
     /*  546215 */     GIR_EraseRootFromParent_Done,
     /*  546216 */   // Label 9007: @546216
     /*  546216 */   GIM_Try, /*On fail goto*//*Label 9008*/ GIMT_Encode4(546287), // Rule ID 4481 //
     /*  546221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  546232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  546235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  546238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546249 */     // MIs[0] passthru
     /*  546249 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546265 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_TIED),
     /*  546268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546285 */     GIR_RootConstrainSelectedInstOperands,
     /*  546286 */     // GIR_Coverage, 4481,
     /*  546286 */     GIR_EraseRootFromParent_Done,
     /*  546287 */   // Label 9008: @546287
     /*  546287 */   GIM_Try, /*On fail goto*//*Label 9009*/ GIMT_Encode4(546358), // Rule ID 4490 //
     /*  546292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  546303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  546306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546320 */     // MIs[0] passthru
     /*  546320 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  546339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546356 */     GIR_RootConstrainSelectedInstOperands,
     /*  546357 */     // GIR_Coverage, 4490,
     /*  546357 */     GIR_EraseRootFromParent_Done,
     /*  546358 */   // Label 9009: @546358
     /*  546358 */   GIM_Try, /*On fail goto*//*Label 9010*/ GIMT_Encode4(546429), // Rule ID 4491 //
     /*  546363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  546374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  546377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  546380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546391 */     // MIs[0] passthru
     /*  546391 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546407 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  546410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546427 */     GIR_RootConstrainSelectedInstOperands,
     /*  546428 */     // GIR_Coverage, 4491,
     /*  546428 */     GIR_EraseRootFromParent_Done,
     /*  546429 */   // Label 9010: @546429
     /*  546429 */   GIM_Try, /*On fail goto*//*Label 9011*/ GIMT_Encode4(546500), // Rule ID 4500 //
     /*  546434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  546445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  546448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546462 */     // MIs[0] passthru
     /*  546462 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  546481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546498 */     GIR_RootConstrainSelectedInstOperands,
     /*  546499 */     // GIR_Coverage, 4500,
     /*  546499 */     GIR_EraseRootFromParent_Done,
     /*  546500 */   // Label 9011: @546500
     /*  546500 */   GIM_Try, /*On fail goto*//*Label 9012*/ GIMT_Encode4(546571), // Rule ID 4501 //
     /*  546505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  546516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  546519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  546522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546533 */     // MIs[0] passthru
     /*  546533 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546549 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  546552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546569 */     GIR_RootConstrainSelectedInstOperands,
     /*  546570 */     // GIR_Coverage, 4501,
     /*  546570 */     GIR_EraseRootFromParent_Done,
     /*  546571 */   // Label 9012: @546571
     /*  546571 */   GIM_Try, /*On fail goto*//*Label 9013*/ GIMT_Encode4(546642), // Rule ID 4510 //
     /*  546576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  546587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  546590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546604 */     // MIs[0] passthru
     /*  546604 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546620 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546640 */     GIR_RootConstrainSelectedInstOperands,
     /*  546641 */     // GIR_Coverage, 4510,
     /*  546641 */     GIR_EraseRootFromParent_Done,
     /*  546642 */   // Label 9013: @546642
     /*  546642 */   GIM_Try, /*On fail goto*//*Label 9014*/ GIMT_Encode4(546713), // Rule ID 4511 //
     /*  546647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  546658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  546661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  546664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546675 */     // MIs[0] passthru
     /*  546675 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  546684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546691 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  546694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546711 */     GIR_RootConstrainSelectedInstOperands,
     /*  546712 */     // GIR_Coverage, 4511,
     /*  546712 */     GIR_EraseRootFromParent_Done,
     /*  546713 */   // Label 9014: @546713
     /*  546713 */   GIM_Try, /*On fail goto*//*Label 9015*/ GIMT_Encode4(546784), // Rule ID 4520 //
     /*  546718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  546729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  546732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  546735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546746 */     // MIs[0] passthru
     /*  546746 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546762 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546782 */     GIR_RootConstrainSelectedInstOperands,
     /*  546783 */     // GIR_Coverage, 4520,
     /*  546783 */     GIR_EraseRootFromParent_Done,
     /*  546784 */   // Label 9015: @546784
     /*  546784 */   GIM_Try, /*On fail goto*//*Label 9016*/ GIMT_Encode4(546855), // Rule ID 4521 //
     /*  546789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  546800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  546803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  546806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546817 */     // MIs[0] passthru
     /*  546817 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  546826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546833 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  546836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546853 */     GIR_RootConstrainSelectedInstOperands,
     /*  546854 */     // GIR_Coverage, 4521,
     /*  546854 */     GIR_EraseRootFromParent_Done,
     /*  546855 */   // Label 9016: @546855
     /*  546855 */   GIM_Try, /*On fail goto*//*Label 9017*/ GIMT_Encode4(546926), // Rule ID 4530 //
     /*  546860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  546863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  546871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  546874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  546877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  546880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546888 */     // MIs[0] passthru
     /*  546888 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546904 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  546904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  546907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546924 */     GIR_RootConstrainSelectedInstOperands,
     /*  546925 */     // GIR_Coverage, 4530,
     /*  546925 */     GIR_EraseRootFromParent_Done,
     /*  546926 */   // Label 9017: @546926
     /*  546926 */   GIM_Try, /*On fail goto*//*Label 9018*/ GIMT_Encode4(546997), // Rule ID 4531 //
     /*  546931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  546934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  546939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  546942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  546945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  546948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  546951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  546959 */     // MIs[0] passthru
     /*  546959 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  546964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  546968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  546975 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  546975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  546978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  546980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  546982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  546984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  546989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  546992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  546995 */     GIR_RootConstrainSelectedInstOperands,
     /*  546996 */     // GIR_Coverage, 4531,
     /*  546996 */     GIR_EraseRootFromParent_Done,
     /*  546997 */   // Label 9018: @546997
     /*  546997 */   GIM_Try, /*On fail goto*//*Label 9019*/ GIMT_Encode4(547068), // Rule ID 4540 //
     /*  547002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  547019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547030 */     // MIs[0] passthru
     /*  547030 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547046 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  547049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547066 */     GIR_RootConstrainSelectedInstOperands,
     /*  547067 */     // GIR_Coverage, 4540,
     /*  547067 */     GIR_EraseRootFromParent_Done,
     /*  547068 */   // Label 9019: @547068
     /*  547068 */   GIM_Try, /*On fail goto*//*Label 9020*/ GIMT_Encode4(547139), // Rule ID 4541 //
     /*  547073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  547084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  547087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  547090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547101 */     // MIs[0] passthru
     /*  547101 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_TIED),
     /*  547120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547137 */     GIR_RootConstrainSelectedInstOperands,
     /*  547138 */     // GIR_Coverage, 4541,
     /*  547138 */     GIR_EraseRootFromParent_Done,
     /*  547139 */   // Label 9020: @547139
     /*  547139 */   GIM_Try, /*On fail goto*//*Label 9021*/ GIMT_Encode4(547210), // Rule ID 4550 //
     /*  547144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547172 */     // MIs[0] passthru
     /*  547172 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547188 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  547191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547208 */     GIR_RootConstrainSelectedInstOperands,
     /*  547209 */     // GIR_Coverage, 4550,
     /*  547209 */     GIR_EraseRootFromParent_Done,
     /*  547210 */   // Label 9021: @547210
     /*  547210 */   GIM_Try, /*On fail goto*//*Label 9022*/ GIMT_Encode4(547281), // Rule ID 4551 //
     /*  547215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  547226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  547229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  547232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547243 */     // MIs[0] passthru
     /*  547243 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547259 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  547262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547279 */     GIR_RootConstrainSelectedInstOperands,
     /*  547280 */     // GIR_Coverage, 4551,
     /*  547280 */     GIR_EraseRootFromParent_Done,
     /*  547281 */   // Label 9022: @547281
     /*  547281 */   GIM_Try, /*On fail goto*//*Label 9023*/ GIMT_Encode4(547352), // Rule ID 4560 //
     /*  547286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  547297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  547300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547314 */     // MIs[0] passthru
     /*  547314 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  547333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547350 */     GIR_RootConstrainSelectedInstOperands,
     /*  547351 */     // GIR_Coverage, 4560,
     /*  547351 */     GIR_EraseRootFromParent_Done,
     /*  547352 */   // Label 9023: @547352
     /*  547352 */   GIM_Try, /*On fail goto*//*Label 9024*/ GIMT_Encode4(547423), // Rule ID 4561 //
     /*  547357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  547368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  547371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  547374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547385 */     // MIs[0] passthru
     /*  547385 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547401 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  547404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547421 */     GIR_RootConstrainSelectedInstOperands,
     /*  547422 */     // GIR_Coverage, 4561,
     /*  547422 */     GIR_EraseRootFromParent_Done,
     /*  547423 */   // Label 9024: @547423
     /*  547423 */   GIM_Try, /*On fail goto*//*Label 9025*/ GIMT_Encode4(547494), // Rule ID 4570 //
     /*  547428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  547439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  547442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  547445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547456 */     // MIs[0] passthru
     /*  547456 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  547475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547492 */     GIR_RootConstrainSelectedInstOperands,
     /*  547493 */     // GIR_Coverage, 4570,
     /*  547493 */     GIR_EraseRootFromParent_Done,
     /*  547494 */   // Label 9025: @547494
     /*  547494 */   GIM_Try, /*On fail goto*//*Label 9026*/ GIMT_Encode4(547565), // Rule ID 4571 //
     /*  547499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  547510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  547513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  547516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547527 */     // MIs[0] passthru
     /*  547527 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547543 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  547546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547563 */     GIR_RootConstrainSelectedInstOperands,
     /*  547564 */     // GIR_Coverage, 4571,
     /*  547564 */     GIR_EraseRootFromParent_Done,
     /*  547565 */   // Label 9026: @547565
     /*  547565 */   GIM_Try, /*On fail goto*//*Label 9027*/ GIMT_Encode4(547636), // Rule ID 4580 //
     /*  547570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  547573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  547581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  547584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  547587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547598 */     // MIs[0] passthru
     /*  547598 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547614 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  547614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547634 */     GIR_RootConstrainSelectedInstOperands,
     /*  547635 */     // GIR_Coverage, 4580,
     /*  547635 */     GIR_EraseRootFromParent_Done,
     /*  547636 */   // Label 9027: @547636
     /*  547636 */   GIM_Try, /*On fail goto*//*Label 9028*/ GIMT_Encode4(547707), // Rule ID 4581 //
     /*  547641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  547644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  547652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  547655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  547658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  547669 */     // MIs[0] passthru
     /*  547669 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  547678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547685 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  547685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  547688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  547702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547705 */     GIR_RootConstrainSelectedInstOperands,
     /*  547706 */     // GIR_Coverage, 4581,
     /*  547706 */     GIR_EraseRootFromParent_Done,
     /*  547707 */   // Label 9028: @547707
     /*  547707 */   GIM_Try, /*On fail goto*//*Label 9029*/ GIMT_Encode4(547778), // Rule ID 4590 //
     /*  547712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547740 */     // MIs[0] passthru
     /*  547740 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547756 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  547759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547776 */     GIR_RootConstrainSelectedInstOperands,
     /*  547777 */     // GIR_Coverage, 4590,
     /*  547777 */     GIR_EraseRootFromParent_Done,
     /*  547778 */   // Label 9029: @547778
     /*  547778 */   GIM_Try, /*On fail goto*//*Label 9030*/ GIMT_Encode4(547849), // Rule ID 4591 //
     /*  547783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  547794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  547797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  547800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547811 */     // MIs[0] passthru
     /*  547811 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547827 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_TIED),
     /*  547830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547847 */     GIR_RootConstrainSelectedInstOperands,
     /*  547848 */     // GIR_Coverage, 4591,
     /*  547848 */     GIR_EraseRootFromParent_Done,
     /*  547849 */   // Label 9030: @547849
     /*  547849 */   GIM_Try, /*On fail goto*//*Label 9031*/ GIMT_Encode4(547920), // Rule ID 4600 //
     /*  547854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  547865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  547868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  547874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547882 */     // MIs[0] passthru
     /*  547882 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547898 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  547898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  547901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547918 */     GIR_RootConstrainSelectedInstOperands,
     /*  547919 */     // GIR_Coverage, 4600,
     /*  547919 */     GIR_EraseRootFromParent_Done,
     /*  547920 */   // Label 9031: @547920
     /*  547920 */   GIM_Try, /*On fail goto*//*Label 9032*/ GIMT_Encode4(547991), // Rule ID 4601 //
     /*  547925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  547928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  547933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  547936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  547939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  547942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  547945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  547953 */     // MIs[0] passthru
     /*  547953 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  547958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  547962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  547969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  547969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_TIED),
     /*  547972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  547974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  547976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  547978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  547983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  547986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  547989 */     GIR_RootConstrainSelectedInstOperands,
     /*  547990 */     // GIR_Coverage, 4601,
     /*  547990 */     GIR_EraseRootFromParent_Done,
     /*  547991 */   // Label 9032: @547991
     /*  547991 */   GIM_Try, /*On fail goto*//*Label 9033*/ GIMT_Encode4(548062), // Rule ID 4610 //
     /*  547996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  547999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  548004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  548007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  548010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548024 */     // MIs[0] passthru
     /*  548024 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  548043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548060 */     GIR_RootConstrainSelectedInstOperands,
     /*  548061 */     // GIR_Coverage, 4610,
     /*  548061 */     GIR_EraseRootFromParent_Done,
     /*  548062 */   // Label 9033: @548062
     /*  548062 */   GIM_Try, /*On fail goto*//*Label 9034*/ GIMT_Encode4(548133), // Rule ID 4611 //
     /*  548067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  548070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  548075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  548078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  548081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  548084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548095 */     // MIs[0] passthru
     /*  548095 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548111 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_TIED),
     /*  548114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548131 */     GIR_RootConstrainSelectedInstOperands,
     /*  548132 */     // GIR_Coverage, 4611,
     /*  548132 */     GIR_EraseRootFromParent_Done,
     /*  548133 */   // Label 9034: @548133
     /*  548133 */   GIM_Try, /*On fail goto*//*Label 9035*/ GIMT_Encode4(548204), // Rule ID 4620 //
     /*  548138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  548141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  548146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  548149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  548152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  548155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548166 */     // MIs[0] passthru
     /*  548166 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548182 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  548182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  548185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548202 */     GIR_RootConstrainSelectedInstOperands,
     /*  548203 */     // GIR_Coverage, 4620,
     /*  548203 */     GIR_EraseRootFromParent_Done,
     /*  548204 */   // Label 9035: @548204
     /*  548204 */   GIM_Try, /*On fail goto*//*Label 9036*/ GIMT_Encode4(548275), // Rule ID 4621 //
     /*  548209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  548212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  548217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  548220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  548223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  548226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  548237 */     // MIs[0] passthru
     /*  548237 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  548253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_TIED),
     /*  548256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  548270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548273 */     GIR_RootConstrainSelectedInstOperands,
     /*  548274 */     // GIR_Coverage, 4621,
     /*  548274 */     GIR_EraseRootFromParent_Done,
     /*  548275 */   // Label 9036: @548275
     /*  548275 */   GIM_Try, /*On fail goto*//*Label 9037*/ GIMT_Encode4(548346), // Rule ID 4690 //
     /*  548280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  548291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  548294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  548297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548308 */     // MIs[0] passthru
     /*  548308 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548324 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  548327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548344 */     GIR_RootConstrainSelectedInstOperands,
     /*  548345 */     // GIR_Coverage, 4690,
     /*  548345 */     GIR_EraseRootFromParent_Done,
     /*  548346 */   // Label 9037: @548346
     /*  548346 */   GIM_Try, /*On fail goto*//*Label 9038*/ GIMT_Encode4(548417), // Rule ID 4691 //
     /*  548351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  548362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  548365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  548368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548379 */     // MIs[0] passthru
     /*  548379 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548395 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_TIED),
     /*  548398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548415 */     GIR_RootConstrainSelectedInstOperands,
     /*  548416 */     // GIR_Coverage, 4691,
     /*  548416 */     GIR_EraseRootFromParent_Done,
     /*  548417 */   // Label 9038: @548417
     /*  548417 */   GIM_Try, /*On fail goto*//*Label 9039*/ GIMT_Encode4(548488), // Rule ID 4700 //
     /*  548422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  548433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  548436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  548439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548450 */     // MIs[0] passthru
     /*  548450 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  548469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548486 */     GIR_RootConstrainSelectedInstOperands,
     /*  548487 */     // GIR_Coverage, 4700,
     /*  548487 */     GIR_EraseRootFromParent_Done,
     /*  548488 */   // Label 9039: @548488
     /*  548488 */   GIM_Try, /*On fail goto*//*Label 9040*/ GIMT_Encode4(548559), // Rule ID 4701 //
     /*  548493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  548504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  548507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  548510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548521 */     // MIs[0] passthru
     /*  548521 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548537 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  548540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548557 */     GIR_RootConstrainSelectedInstOperands,
     /*  548558 */     // GIR_Coverage, 4701,
     /*  548558 */     GIR_EraseRootFromParent_Done,
     /*  548559 */   // Label 9040: @548559
     /*  548559 */   GIM_Try, /*On fail goto*//*Label 9041*/ GIMT_Encode4(548630), // Rule ID 4710 //
     /*  548564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  548575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  548578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  548581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548592 */     // MIs[0] passthru
     /*  548592 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548608 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548628 */     GIR_RootConstrainSelectedInstOperands,
     /*  548629 */     // GIR_Coverage, 4710,
     /*  548629 */     GIR_EraseRootFromParent_Done,
     /*  548630 */   // Label 9041: @548630
     /*  548630 */   GIM_Try, /*On fail goto*//*Label 9042*/ GIMT_Encode4(548701), // Rule ID 4711 //
     /*  548635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  548646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  548649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  548652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548663 */     // MIs[0] passthru
     /*  548663 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548679 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  548682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548699 */     GIR_RootConstrainSelectedInstOperands,
     /*  548700 */     // GIR_Coverage, 4711,
     /*  548700 */     GIR_EraseRootFromParent_Done,
     /*  548701 */   // Label 9042: @548701
     /*  548701 */   GIM_Try, /*On fail goto*//*Label 9043*/ GIMT_Encode4(548772), // Rule ID 4720 //
     /*  548706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548734 */     // MIs[0] passthru
     /*  548734 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548750 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548770 */     GIR_RootConstrainSelectedInstOperands,
     /*  548771 */     // GIR_Coverage, 4720,
     /*  548771 */     GIR_EraseRootFromParent_Done,
     /*  548772 */   // Label 9043: @548772
     /*  548772 */   GIM_Try, /*On fail goto*//*Label 9044*/ GIMT_Encode4(548843), // Rule ID 4721 //
     /*  548777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  548788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  548791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  548794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548805 */     // MIs[0] passthru
     /*  548805 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  548814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548821 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  548824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548841 */     GIR_RootConstrainSelectedInstOperands,
     /*  548842 */     // GIR_Coverage, 4721,
     /*  548842 */     GIR_EraseRootFromParent_Done,
     /*  548843 */   // Label 9044: @548843
     /*  548843 */   GIM_Try, /*On fail goto*//*Label 9045*/ GIMT_Encode4(548914), // Rule ID 4730 //
     /*  548848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  548868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548876 */     // MIs[0] passthru
     /*  548876 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  548892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  548895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548912 */     GIR_RootConstrainSelectedInstOperands,
     /*  548913 */     // GIR_Coverage, 4730,
     /*  548913 */     GIR_EraseRootFromParent_Done,
     /*  548914 */   // Label 9045: @548914
     /*  548914 */   GIM_Try, /*On fail goto*//*Label 9046*/ GIMT_Encode4(548985), // Rule ID 4731 //
     /*  548919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  548922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  548930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  548933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  548936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  548939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  548947 */     // MIs[0] passthru
     /*  548947 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  548952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  548956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  548963 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  548963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  548966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  548968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  548970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  548972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  548977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  548980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  548983 */     GIR_RootConstrainSelectedInstOperands,
     /*  548984 */     // GIR_Coverage, 4731,
     /*  548984 */     GIR_EraseRootFromParent_Done,
     /*  548985 */   // Label 9046: @548985
     /*  548985 */   GIM_Try, /*On fail goto*//*Label 9047*/ GIMT_Encode4(549056), // Rule ID 4740 //
     /*  548990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  548993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  548998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  549001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  549004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  549007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549018 */     // MIs[0] passthru
     /*  549018 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549034 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  549034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549054 */     GIR_RootConstrainSelectedInstOperands,
     /*  549055 */     // GIR_Coverage, 4740,
     /*  549055 */     GIR_EraseRootFromParent_Done,
     /*  549056 */   // Label 9047: @549056
     /*  549056 */   GIM_Try, /*On fail goto*//*Label 9048*/ GIMT_Encode4(549127), // Rule ID 4741 //
     /*  549061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  549072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  549075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  549078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549089 */     // MIs[0] passthru
     /*  549089 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  549105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  549122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549125 */     GIR_RootConstrainSelectedInstOperands,
     /*  549126 */     // GIR_Coverage, 4741,
     /*  549126 */     GIR_EraseRootFromParent_Done,
     /*  549127 */   // Label 9048: @549127
     /*  549127 */   GIM_Try, /*On fail goto*//*Label 9049*/ GIMT_Encode4(549198), // Rule ID 4750 //
     /*  549132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  549143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  549146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  549149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549160 */     // MIs[0] passthru
     /*  549160 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  549179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549196 */     GIR_RootConstrainSelectedInstOperands,
     /*  549197 */     // GIR_Coverage, 4750,
     /*  549197 */     GIR_EraseRootFromParent_Done,
     /*  549198 */   // Label 9049: @549198
     /*  549198 */   GIM_Try, /*On fail goto*//*Label 9050*/ GIMT_Encode4(549269), // Rule ID 4751 //
     /*  549203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  549214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  549217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  549220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549231 */     // MIs[0] passthru
     /*  549231 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_TIED),
     /*  549250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549267 */     GIR_RootConstrainSelectedInstOperands,
     /*  549268 */     // GIR_Coverage, 4751,
     /*  549268 */     GIR_EraseRootFromParent_Done,
     /*  549269 */   // Label 9050: @549269
     /*  549269 */   GIM_Try, /*On fail goto*//*Label 9051*/ GIMT_Encode4(549340), // Rule ID 4760 //
     /*  549274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  549285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  549288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  549291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549302 */     // MIs[0] passthru
     /*  549302 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  549321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549338 */     GIR_RootConstrainSelectedInstOperands,
     /*  549339 */     // GIR_Coverage, 4760,
     /*  549339 */     GIR_EraseRootFromParent_Done,
     /*  549340 */   // Label 9051: @549340
     /*  549340 */   GIM_Try, /*On fail goto*//*Label 9052*/ GIMT_Encode4(549411), // Rule ID 4761 //
     /*  549345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  549356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  549359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  549362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549373 */     // MIs[0] passthru
     /*  549373 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549389 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  549392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549409 */     GIR_RootConstrainSelectedInstOperands,
     /*  549410 */     // GIR_Coverage, 4761,
     /*  549410 */     GIR_EraseRootFromParent_Done,
     /*  549411 */   // Label 9052: @549411
     /*  549411 */   GIM_Try, /*On fail goto*//*Label 9053*/ GIMT_Encode4(549482), // Rule ID 4770 //
     /*  549416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  549427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  549430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  549433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549444 */     // MIs[0] passthru
     /*  549444 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549460 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  549463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549480 */     GIR_RootConstrainSelectedInstOperands,
     /*  549481 */     // GIR_Coverage, 4770,
     /*  549481 */     GIR_EraseRootFromParent_Done,
     /*  549482 */   // Label 9053: @549482
     /*  549482 */   GIM_Try, /*On fail goto*//*Label 9054*/ GIMT_Encode4(549553), // Rule ID 4771 //
     /*  549487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  549498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  549501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  549504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549515 */     // MIs[0] passthru
     /*  549515 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  549534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549551 */     GIR_RootConstrainSelectedInstOperands,
     /*  549552 */     // GIR_Coverage, 4771,
     /*  549552 */     GIR_EraseRootFromParent_Done,
     /*  549553 */   // Label 9054: @549553
     /*  549553 */   GIM_Try, /*On fail goto*//*Label 9055*/ GIMT_Encode4(549624), // Rule ID 4780 //
     /*  549558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  549575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549586 */     // MIs[0] passthru
     /*  549586 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  549605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549622 */     GIR_RootConstrainSelectedInstOperands,
     /*  549623 */     // GIR_Coverage, 4780,
     /*  549623 */     GIR_EraseRootFromParent_Done,
     /*  549624 */   // Label 9055: @549624
     /*  549624 */   GIM_Try, /*On fail goto*//*Label 9056*/ GIMT_Encode4(549695), // Rule ID 4781 //
     /*  549629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  549640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  549643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  549646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549657 */     // MIs[0] passthru
     /*  549657 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  549666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549673 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  549676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549693 */     GIR_RootConstrainSelectedInstOperands,
     /*  549694 */     // GIR_Coverage, 4781,
     /*  549694 */     GIR_EraseRootFromParent_Done,
     /*  549695 */   // Label 9056: @549695
     /*  549695 */   GIM_Try, /*On fail goto*//*Label 9057*/ GIMT_Encode4(549766), // Rule ID 4790 //
     /*  549700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  549703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549728 */     // MIs[0] passthru
     /*  549728 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  549744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549764 */     GIR_RootConstrainSelectedInstOperands,
     /*  549765 */     // GIR_Coverage, 4790,
     /*  549765 */     GIR_EraseRootFromParent_Done,
     /*  549766 */   // Label 9057: @549766
     /*  549766 */   GIM_Try, /*On fail goto*//*Label 9058*/ GIMT_Encode4(549837), // Rule ID 4791 //
     /*  549771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  549774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  549782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  549785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  549788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  549799 */     // MIs[0] passthru
     /*  549799 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  549808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  549815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  549818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  549832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549835 */     GIR_RootConstrainSelectedInstOperands,
     /*  549836 */     // GIR_Coverage, 4791,
     /*  549836 */     GIR_EraseRootFromParent_Done,
     /*  549837 */   // Label 9058: @549837
     /*  549837 */   GIM_Try, /*On fail goto*//*Label 9059*/ GIMT_Encode4(549908), // Rule ID 4800 //
     /*  549842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  549853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  549856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  549859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  549862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549870 */     // MIs[0] passthru
     /*  549870 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  549886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  549889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549906 */     GIR_RootConstrainSelectedInstOperands,
     /*  549907 */     // GIR_Coverage, 4800,
     /*  549907 */     GIR_EraseRootFromParent_Done,
     /*  549908 */   // Label 9059: @549908
     /*  549908 */   GIM_Try, /*On fail goto*//*Label 9060*/ GIMT_Encode4(549979), // Rule ID 4801 //
     /*  549913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  549916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  549924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  549927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  549930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  549933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549941 */     // MIs[0] passthru
     /*  549941 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  549946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  549950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  549957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  549957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_TIED),
     /*  549960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  549962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  549964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  549966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  549971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  549974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  549977 */     GIR_RootConstrainSelectedInstOperands,
     /*  549978 */     // GIR_Coverage, 4801,
     /*  549978 */     GIR_EraseRootFromParent_Done,
     /*  549979 */   // Label 9060: @549979
     /*  549979 */   GIM_Try, /*On fail goto*//*Label 9061*/ GIMT_Encode4(550050), // Rule ID 4810 //
     /*  549984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  549987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  549992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  549995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  549998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550012 */     // MIs[0] passthru
     /*  550012 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  550017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  550031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550048 */     GIR_RootConstrainSelectedInstOperands,
     /*  550049 */     // GIR_Coverage, 4810,
     /*  550049 */     GIR_EraseRootFromParent_Done,
     /*  550050 */   // Label 9061: @550050
     /*  550050 */   GIM_Try, /*On fail goto*//*Label 9062*/ GIMT_Encode4(550121), // Rule ID 4811 //
     /*  550055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  550058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  550063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  550066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  550069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  550072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550083 */     // MIs[0] passthru
     /*  550083 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  550088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550099 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_TIED),
     /*  550102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550119 */     GIR_RootConstrainSelectedInstOperands,
     /*  550120 */     // GIR_Coverage, 4811,
     /*  550120 */     GIR_EraseRootFromParent_Done,
     /*  550121 */   // Label 9062: @550121
     /*  550121 */   GIM_Try, /*On fail goto*//*Label 9063*/ GIMT_Encode4(550192), // Rule ID 4820 //
     /*  550126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  550129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  550134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  550137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  550140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  550143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550154 */     // MIs[0] passthru
     /*  550154 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  550159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550170 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  550173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550190 */     GIR_RootConstrainSelectedInstOperands,
     /*  550191 */     // GIR_Coverage, 4820,
     /*  550191 */     GIR_EraseRootFromParent_Done,
     /*  550192 */   // Label 9063: @550192
     /*  550192 */   GIM_Try, /*On fail goto*//*Label 9064*/ GIMT_Encode4(550263), // Rule ID 4821 //
     /*  550197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  550200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  550205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  550208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  550211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  550214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550225 */     // MIs[0] passthru
     /*  550225 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  550230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  550234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550241 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_TIED),
     /*  550244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550261 */     GIR_RootConstrainSelectedInstOperands,
     /*  550262 */     // GIR_Coverage, 4821,
     /*  550262 */     GIR_EraseRootFromParent_Done,
     /*  550263 */   // Label 9064: @550263
     /*  550263 */   GIM_Try, /*On fail goto*//*Label 9065*/ GIMT_Encode4(550334), // Rule ID 4830 //
     /*  550268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  550271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  550276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  550279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  550282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  550285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550296 */     // MIs[0] passthru
     /*  550296 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  550301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  550312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  550315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550332 */     GIR_RootConstrainSelectedInstOperands,
     /*  550333 */     // GIR_Coverage, 4830,
     /*  550333 */     GIR_EraseRootFromParent_Done,
     /*  550334 */   // Label 9065: @550334
     /*  550334 */   GIM_Try, /*On fail goto*//*Label 9066*/ GIMT_Encode4(550405), // Rule ID 4831 //
     /*  550339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  550342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  550347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  550350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  550353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  550356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  550367 */     // MIs[0] passthru
     /*  550367 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  550372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  550376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550383 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  550383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_TIED),
     /*  550386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  550400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550403 */     GIR_RootConstrainSelectedInstOperands,
     /*  550404 */     // GIR_Coverage, 4831,
     /*  550404 */     GIR_EraseRootFromParent_Done,
     /*  550405 */   // Label 9066: @550405
     /*  550405 */   GIM_Try, /*On fail goto*//*Label 9067*/ GIMT_Encode4(550477), // Rule ID 2686 //
     /*  550410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  550418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550456 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  550456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  550459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550475 */     GIR_RootConstrainSelectedInstOperands,
     /*  550476 */     // GIR_Coverage, 2686,
     /*  550476 */     GIR_EraseRootFromParent_Done,
     /*  550477 */   // Label 9067: @550477
     /*  550477 */   GIM_Try, /*On fail goto*//*Label 9068*/ GIMT_Encode4(550549), // Rule ID 2687 //
     /*  550482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  550490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550528 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  550528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF8_E8),
     /*  550531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550547 */     GIR_RootConstrainSelectedInstOperands,
     /*  550548 */     // GIR_Coverage, 2687,
     /*  550548 */     GIR_EraseRootFromParent_Done,
     /*  550549 */   // Label 9068: @550549
     /*  550549 */   GIM_Try, /*On fail goto*//*Label 9069*/ GIMT_Encode4(550624), // Rule ID 2690 //
     /*  550554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  550557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  550562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  550568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  550571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  550581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550600 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  550600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  550603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  550622 */     GIR_RootConstrainSelectedInstOperands,
     /*  550623 */     // GIR_Coverage, 2690,
     /*  550623 */     GIR_EraseRootFromParent_Done,
     /*  550624 */   // Label 9069: @550624
     /*  550624 */   GIM_Try, /*On fail goto*//*Label 9070*/ GIMT_Encode4(550699), // Rule ID 2691 //
     /*  550629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  550632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  550637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  550643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  550646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  550656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550675 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  550675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B64_MASK),
     /*  550678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  550697 */     GIR_RootConstrainSelectedInstOperands,
     /*  550698 */     // GIR_Coverage, 2691,
     /*  550698 */     GIR_EraseRootFromParent_Done,
     /*  550699 */   // Label 9070: @550699
     /*  550699 */   GIM_Try, /*On fail goto*//*Label 9071*/ GIMT_Encode4(550774), // Rule ID 2718 //
     /*  550704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550750 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  550750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  550753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550772 */     GIR_RootConstrainSelectedInstOperands,
     /*  550773 */     // GIR_Coverage, 2718,
     /*  550773 */     GIR_EraseRootFromParent_Done,
     /*  550774 */   // Label 9071: @550774
     /*  550774 */   GIM_Try, /*On fail goto*//*Label 9072*/ GIMT_Encode4(550849), // Rule ID 2719 //
     /*  550779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  550787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  550790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  550799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550825 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  550825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8),
     /*  550828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  550832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  550834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  550836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  550847 */     GIR_RootConstrainSelectedInstOperands,
     /*  550848 */     // GIR_Coverage, 2719,
     /*  550848 */     GIR_EraseRootFromParent_Done,
     /*  550849 */   // Label 9072: @550849
     /*  550849 */   GIM_Try, /*On fail goto*//*Label 9073*/ GIMT_Encode4(550921), // Rule ID 2732 //
     /*  550854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  550857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  550862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  550877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550900 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  550900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  550903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  550907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550919 */     GIR_RootConstrainSelectedInstOperands,
     /*  550920 */     // GIR_Coverage, 2732,
     /*  550920 */     GIR_EraseRootFromParent_Done,
     /*  550921 */   // Label 9073: @550921
     /*  550921 */   GIM_Try, /*On fail goto*//*Label 9074*/ GIMT_Encode4(550993), // Rule ID 2733 //
     /*  550926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  550929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  550934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  550937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  550940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  550943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  550946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  550949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  550961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  550965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  550972 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  550972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF8),
     /*  550975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  550977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  550979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  550981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  550983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  550988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  550991 */     GIR_RootConstrainSelectedInstOperands,
     /*  550992 */     // GIR_Coverage, 2733,
     /*  550992 */     GIR_EraseRootFromParent_Done,
     /*  550993 */   // Label 9074: @550993
     /*  550993 */   GIM_Try, /*On fail goto*//*Label 9075*/ GIMT_Encode4(551068), // Rule ID 2752 //
     /*  550998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  551006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  551018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  551047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551066 */     GIR_RootConstrainSelectedInstOperands,
     /*  551067 */     // GIR_Coverage, 2752,
     /*  551067 */     GIR_EraseRootFromParent_Done,
     /*  551068 */   // Label 9075: @551068
     /*  551068 */   GIM_Try, /*On fail goto*//*Label 9076*/ GIMT_Encode4(551143), // Rule ID 2753 //
     /*  551073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  551081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  551093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551119 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8),
     /*  551122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551141 */     GIR_RootConstrainSelectedInstOperands,
     /*  551142 */     // GIR_Coverage, 2753,
     /*  551142 */     GIR_EraseRootFromParent_Done,
     /*  551143 */   // Label 9076: @551143
     /*  551143 */   GIM_Try, /*On fail goto*//*Label 9077*/ GIMT_Encode4(551218), // Rule ID 2778 //
     /*  551148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  551156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  551165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  551168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  551197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  551201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551216 */     GIR_RootConstrainSelectedInstOperands,
     /*  551217 */     // GIR_Coverage, 2778,
     /*  551217 */     GIR_EraseRootFromParent_Done,
     /*  551218 */   // Label 9077: @551218
     /*  551218 */   GIM_Try, /*On fail goto*//*Label 9078*/ GIMT_Encode4(551293), // Rule ID 2779 //
     /*  551223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  551231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  551234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  551237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  551240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  551243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551269 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8),
     /*  551272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  551276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  551278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  551280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551291 */     GIR_RootConstrainSelectedInstOperands,
     /*  551292 */     // GIR_Coverage, 2779,
     /*  551292 */     GIR_EraseRootFromParent_Done,
     /*  551293 */   // Label 9078: @551293
     /*  551293 */   GIM_Try, /*On fail goto*//*Label 9079*/ GIMT_Encode4(551368), // Rule ID 2790 //
     /*  551298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  551309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  551312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  551315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  551318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551344 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  551347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551366 */     GIR_RootConstrainSelectedInstOperands,
     /*  551367 */     // GIR_Coverage, 2790,
     /*  551367 */     GIR_EraseRootFromParent_Done,
     /*  551368 */   // Label 9079: @551368
     /*  551368 */   GIM_Try, /*On fail goto*//*Label 9080*/ GIMT_Encode4(551443), // Rule ID 2791 //
     /*  551373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  551384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  551387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  551390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  551393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551419 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  551422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551441 */     GIR_RootConstrainSelectedInstOperands,
     /*  551442 */     // GIR_Coverage, 2791,
     /*  551442 */     GIR_EraseRootFromParent_Done,
     /*  551443 */   // Label 9080: @551443
     /*  551443 */   GIM_Try, /*On fail goto*//*Label 9081*/ GIMT_Encode4(551518), // Rule ID 2798 //
     /*  551448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  551459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  551462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  551465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  551468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551494 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551516 */     GIR_RootConstrainSelectedInstOperands,
     /*  551517 */     // GIR_Coverage, 2798,
     /*  551517 */     GIR_EraseRootFromParent_Done,
     /*  551518 */   // Label 9081: @551518
     /*  551518 */   GIM_Try, /*On fail goto*//*Label 9082*/ GIMT_Encode4(551593), // Rule ID 2799 //
     /*  551523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  551534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  551537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  551540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  551543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551569 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551591 */     GIR_RootConstrainSelectedInstOperands,
     /*  551592 */     // GIR_Coverage, 2799,
     /*  551592 */     GIR_EraseRootFromParent_Done,
     /*  551593 */   // Label 9082: @551593
     /*  551593 */   GIM_Try, /*On fail goto*//*Label 9083*/ GIMT_Encode4(551668), // Rule ID 2806 //
     /*  551598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  551609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  551612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  551615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  551618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551644 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  551644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551666 */     GIR_RootConstrainSelectedInstOperands,
     /*  551667 */     // GIR_Coverage, 2806,
     /*  551667 */     GIR_EraseRootFromParent_Done,
     /*  551668 */   // Label 9083: @551668
     /*  551668 */   GIM_Try, /*On fail goto*//*Label 9084*/ GIMT_Encode4(551743), // Rule ID 2807 //
     /*  551673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  551684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  551687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  551690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  551693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551719 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  551719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  551738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551741 */     GIR_RootConstrainSelectedInstOperands,
     /*  551742 */     // GIR_Coverage, 2807,
     /*  551742 */     GIR_EraseRootFromParent_Done,
     /*  551743 */   // Label 9084: @551743
     /*  551743 */   GIM_Try, /*On fail goto*//*Label 9085*/ GIMT_Encode4(551818), // Rule ID 2814 //
     /*  551748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  551768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551816 */     GIR_RootConstrainSelectedInstOperands,
     /*  551817 */     // GIR_Coverage, 2814,
     /*  551817 */     GIR_EraseRootFromParent_Done,
     /*  551818 */   // Label 9085: @551818
     /*  551818 */   GIM_Try, /*On fail goto*//*Label 9086*/ GIMT_Encode4(551893), // Rule ID 2815 //
     /*  551823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  551834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  551837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  551840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  551843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551869 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  551869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  551872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551891 */     GIR_RootConstrainSelectedInstOperands,
     /*  551892 */     // GIR_Coverage, 2815,
     /*  551892 */     GIR_EraseRootFromParent_Done,
     /*  551893 */   // Label 9086: @551893
     /*  551893 */   GIM_Try, /*On fail goto*//*Label 9087*/ GIMT_Encode4(551968), // Rule ID 2822 //
     /*  551898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  551901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  551909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  551918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  551921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  551937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  551944 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  551944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  551947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  551949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  551951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  551953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  551955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  551960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  551963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  551966 */     GIR_RootConstrainSelectedInstOperands,
     /*  551967 */     // GIR_Coverage, 2822,
     /*  551967 */     GIR_EraseRootFromParent_Done,
     /*  551968 */   // Label 9087: @551968
     /*  551968 */   GIM_Try, /*On fail goto*//*Label 9088*/ GIMT_Encode4(552043), // Rule ID 2823 //
     /*  551973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  551976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  551981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  551984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  551987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  551990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  551993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  551996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552019 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  552022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552041 */     GIR_RootConstrainSelectedInstOperands,
     /*  552042 */     // GIR_Coverage, 2823,
     /*  552042 */     GIR_EraseRootFromParent_Done,
     /*  552043 */   // Label 9088: @552043
     /*  552043 */   GIM_Try, /*On fail goto*//*Label 9089*/ GIMT_Encode4(552118), // Rule ID 2830 //
     /*  552048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  552059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  552062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  552065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  552068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552094 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  552097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552116 */     GIR_RootConstrainSelectedInstOperands,
     /*  552117 */     // GIR_Coverage, 2830,
     /*  552117 */     GIR_EraseRootFromParent_Done,
     /*  552118 */   // Label 9089: @552118
     /*  552118 */   GIM_Try, /*On fail goto*//*Label 9090*/ GIMT_Encode4(552193), // Rule ID 2831 //
     /*  552123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  552134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  552137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  552140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  552143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552169 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  552172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552191 */     GIR_RootConstrainSelectedInstOperands,
     /*  552192 */     // GIR_Coverage, 2831,
     /*  552192 */     GIR_EraseRootFromParent_Done,
     /*  552193 */   // Label 9090: @552193
     /*  552193 */   GIM_Try, /*On fail goto*//*Label 9091*/ GIMT_Encode4(552268), // Rule ID 2838 //
     /*  552198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  552209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  552212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  552215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  552218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552244 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552266 */     GIR_RootConstrainSelectedInstOperands,
     /*  552267 */     // GIR_Coverage, 2838,
     /*  552267 */     GIR_EraseRootFromParent_Done,
     /*  552268 */   // Label 9091: @552268
     /*  552268 */   GIM_Try, /*On fail goto*//*Label 9092*/ GIMT_Encode4(552343), // Rule ID 2839 //
     /*  552273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  552284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  552287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  552290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  552293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552319 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552341 */     GIR_RootConstrainSelectedInstOperands,
     /*  552342 */     // GIR_Coverage, 2839,
     /*  552342 */     GIR_EraseRootFromParent_Done,
     /*  552343 */   // Label 9092: @552343
     /*  552343 */   GIM_Try, /*On fail goto*//*Label 9093*/ GIMT_Encode4(552418), // Rule ID 2846 //
     /*  552348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  552359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  552362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  552365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  552368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  552394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552416 */     GIR_RootConstrainSelectedInstOperands,
     /*  552417 */     // GIR_Coverage, 2846,
     /*  552417 */     GIR_EraseRootFromParent_Done,
     /*  552418 */   // Label 9093: @552418
     /*  552418 */   GIM_Try, /*On fail goto*//*Label 9094*/ GIMT_Encode4(552493), // Rule ID 2847 //
     /*  552423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  552434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  552437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  552440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  552443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552469 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  552469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  552488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552491 */     GIR_RootConstrainSelectedInstOperands,
     /*  552492 */     // GIR_Coverage, 2847,
     /*  552492 */     GIR_EraseRootFromParent_Done,
     /*  552493 */   // Label 9094: @552493
     /*  552493 */   GIM_Try, /*On fail goto*//*Label 9095*/ GIMT_Encode4(552568), // Rule ID 2854 //
     /*  552498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  552509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  552512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  552515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  552518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  552544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552566 */     GIR_RootConstrainSelectedInstOperands,
     /*  552567 */     // GIR_Coverage, 2854,
     /*  552567 */     GIR_EraseRootFromParent_Done,
     /*  552568 */   // Label 9095: @552568
     /*  552568 */   GIM_Try, /*On fail goto*//*Label 9096*/ GIMT_Encode4(552643), // Rule ID 2855 //
     /*  552573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  552584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  552587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  552590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  552593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  552619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  552638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552641 */     GIR_RootConstrainSelectedInstOperands,
     /*  552642 */     // GIR_Coverage, 2855,
     /*  552642 */     GIR_EraseRootFromParent_Done,
     /*  552643 */   // Label 9096: @552643
     /*  552643 */   GIM_Try, /*On fail goto*//*Label 9097*/ GIMT_Encode4(552718), // Rule ID 2862 //
     /*  552648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  552651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  552659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  552662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  552665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  552668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552694 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  552694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552716 */     GIR_RootConstrainSelectedInstOperands,
     /*  552717 */     // GIR_Coverage, 2862,
     /*  552717 */     GIR_EraseRootFromParent_Done,
     /*  552718 */   // Label 9097: @552718
     /*  552718 */   GIM_Try, /*On fail goto*//*Label 9098*/ GIMT_Encode4(552793), // Rule ID 2863 //
     /*  552723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  552726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  552734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  552737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  552740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  552743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  552762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552769 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  552769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  552772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  552788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552791 */     GIR_RootConstrainSelectedInstOperands,
     /*  552792 */     // GIR_Coverage, 2863,
     /*  552792 */     GIR_EraseRootFromParent_Done,
     /*  552793 */   // Label 9098: @552793
     /*  552793 */   GIM_Try, /*On fail goto*//*Label 9099*/ GIMT_Encode4(552868), // Rule ID 2870 //
     /*  552798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  552809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  552812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  552815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  552818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552866 */     GIR_RootConstrainSelectedInstOperands,
     /*  552867 */     // GIR_Coverage, 2870,
     /*  552867 */     GIR_EraseRootFromParent_Done,
     /*  552868 */   // Label 9099: @552868
     /*  552868 */   GIM_Try, /*On fail goto*//*Label 9100*/ GIMT_Encode4(552943), // Rule ID 2871 //
     /*  552873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  552876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  552884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  552887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  552890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  552893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  552896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  552912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552919 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  552919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  552922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  552926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  552928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  552930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  552935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  552938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  552941 */     GIR_RootConstrainSelectedInstOperands,
     /*  552942 */     // GIR_Coverage, 2871,
     /*  552942 */     GIR_EraseRootFromParent_Done,
     /*  552943 */   // Label 9100: @552943
     /*  552943 */   GIM_Try, /*On fail goto*//*Label 9101*/ GIMT_Encode4(553018), // Rule ID 2878 //
     /*  552948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  552951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  552956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  552959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  552962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  552965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  552968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  552971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  552987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  552994 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  552994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  552997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  552999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553016 */     GIR_RootConstrainSelectedInstOperands,
     /*  553017 */     // GIR_Coverage, 2878,
     /*  553017 */     GIR_EraseRootFromParent_Done,
     /*  553018 */   // Label 9101: @553018
     /*  553018 */   GIM_Try, /*On fail goto*//*Label 9102*/ GIMT_Encode4(553093), // Rule ID 2879 //
     /*  553023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  553034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  553037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  553040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  553043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553069 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553091 */     GIR_RootConstrainSelectedInstOperands,
     /*  553092 */     // GIR_Coverage, 2879,
     /*  553092 */     GIR_EraseRootFromParent_Done,
     /*  553093 */   // Label 9102: @553093
     /*  553093 */   GIM_Try, /*On fail goto*//*Label 9103*/ GIMT_Encode4(553168), // Rule ID 2886 //
     /*  553098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  553109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  553112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  553115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  553118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553144 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  553144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553166 */     GIR_RootConstrainSelectedInstOperands,
     /*  553167 */     // GIR_Coverage, 2886,
     /*  553167 */     GIR_EraseRootFromParent_Done,
     /*  553168 */   // Label 9103: @553168
     /*  553168 */   GIM_Try, /*On fail goto*//*Label 9104*/ GIMT_Encode4(553243), // Rule ID 2887 //
     /*  553173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  553184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  553187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  553190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  553193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553219 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  553219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  553238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553241 */     GIR_RootConstrainSelectedInstOperands,
     /*  553242 */     // GIR_Coverage, 2887,
     /*  553242 */     GIR_EraseRootFromParent_Done,
     /*  553243 */   // Label 9104: @553243
     /*  553243 */   GIM_Try, /*On fail goto*//*Label 9105*/ GIMT_Encode4(553318), // Rule ID 2894 //
     /*  553248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  553259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  553262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  553265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  553268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553316 */     GIR_RootConstrainSelectedInstOperands,
     /*  553317 */     // GIR_Coverage, 2894,
     /*  553317 */     GIR_EraseRootFromParent_Done,
     /*  553318 */   // Label 9105: @553318
     /*  553318 */   GIM_Try, /*On fail goto*//*Label 9106*/ GIMT_Encode4(553393), // Rule ID 2895 //
     /*  553323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  553334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  553337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  553340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  553343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553391 */     GIR_RootConstrainSelectedInstOperands,
     /*  553392 */     // GIR_Coverage, 2895,
     /*  553392 */     GIR_EraseRootFromParent_Done,
     /*  553393 */   // Label 9106: @553393
     /*  553393 */   GIM_Try, /*On fail goto*//*Label 9107*/ GIMT_Encode4(553468), // Rule ID 2902 //
     /*  553398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  553409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  553412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  553415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  553418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553466 */     GIR_RootConstrainSelectedInstOperands,
     /*  553467 */     // GIR_Coverage, 2902,
     /*  553467 */     GIR_EraseRootFromParent_Done,
     /*  553468 */   // Label 9107: @553468
     /*  553468 */   GIM_Try, /*On fail goto*//*Label 9108*/ GIMT_Encode4(553543), // Rule ID 2903 //
     /*  553473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  553484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  553487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  553490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  553493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553519 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553541 */     GIR_RootConstrainSelectedInstOperands,
     /*  553542 */     // GIR_Coverage, 2903,
     /*  553542 */     GIR_EraseRootFromParent_Done,
     /*  553543 */   // Label 9108: @553543
     /*  553543 */   GIM_Try, /*On fail goto*//*Label 9109*/ GIMT_Encode4(553618), // Rule ID 2910 //
     /*  553548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  553559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  553562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  553565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  553568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553594 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  553594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553616 */     GIR_RootConstrainSelectedInstOperands,
     /*  553617 */     // GIR_Coverage, 2910,
     /*  553617 */     GIR_EraseRootFromParent_Done,
     /*  553618 */   // Label 9109: @553618
     /*  553618 */   GIM_Try, /*On fail goto*//*Label 9110*/ GIMT_Encode4(553693), // Rule ID 2911 //
     /*  553623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  553634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  553637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  553640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  553643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  553662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  553669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  553672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  553688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553691 */     GIR_RootConstrainSelectedInstOperands,
     /*  553692 */     // GIR_Coverage, 2911,
     /*  553692 */     GIR_EraseRootFromParent_Done,
     /*  553693 */   // Label 9110: @553693
     /*  553693 */   GIM_Try, /*On fail goto*//*Label 9111*/ GIMT_Encode4(553768), // Rule ID 2918 //
     /*  553698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  553709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  553712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  553715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  553718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553744 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553766 */     GIR_RootConstrainSelectedInstOperands,
     /*  553767 */     // GIR_Coverage, 2918,
     /*  553767 */     GIR_EraseRootFromParent_Done,
     /*  553768 */   // Label 9111: @553768
     /*  553768 */   GIM_Try, /*On fail goto*//*Label 9112*/ GIMT_Encode4(553843), // Rule ID 2919 //
     /*  553773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  553784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  553787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  553790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  553793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  553812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553819 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  553822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553841 */     GIR_RootConstrainSelectedInstOperands,
     /*  553842 */     // GIR_Coverage, 2919,
     /*  553842 */     GIR_EraseRootFromParent_Done,
     /*  553843 */   // Label 9112: @553843
     /*  553843 */   GIM_Try, /*On fail goto*//*Label 9113*/ GIMT_Encode4(553918), // Rule ID 2926 //
     /*  553848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  553851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  553859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  553862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  553865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  553868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  553871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553894 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  553894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553916 */     GIR_RootConstrainSelectedInstOperands,
     /*  553917 */     // GIR_Coverage, 2926,
     /*  553917 */     GIR_EraseRootFromParent_Done,
     /*  553918 */   // Label 9113: @553918
     /*  553918 */   GIM_Try, /*On fail goto*//*Label 9114*/ GIMT_Encode4(553993), // Rule ID 2927 //
     /*  553923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  553926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  553931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  553934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  553937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  553940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  553943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  553946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  553962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  553969 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  553969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  553972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  553974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  553976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  553978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  553980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  553985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  553988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  553991 */     GIR_RootConstrainSelectedInstOperands,
     /*  553992 */     // GIR_Coverage, 2927,
     /*  553992 */     GIR_EraseRootFromParent_Done,
     /*  553993 */   // Label 9114: @553993
     /*  553993 */   GIM_Try, /*On fail goto*//*Label 9115*/ GIMT_Encode4(554068), // Rule ID 2934 //
     /*  553998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  554009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  554012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  554015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  554018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554044 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  554044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  554047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554066 */     GIR_RootConstrainSelectedInstOperands,
     /*  554067 */     // GIR_Coverage, 2934,
     /*  554067 */     GIR_EraseRootFromParent_Done,
     /*  554068 */   // Label 9115: @554068
     /*  554068 */   GIM_Try, /*On fail goto*//*Label 9116*/ GIMT_Encode4(554143), // Rule ID 2935 //
     /*  554073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  554084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  554087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  554090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  554093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  554119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  554122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  554138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554141 */     GIR_RootConstrainSelectedInstOperands,
     /*  554142 */     // GIR_Coverage, 2935,
     /*  554142 */     GIR_EraseRootFromParent_Done,
     /*  554143 */   // Label 9116: @554143
     /*  554143 */   GIM_Try, /*On fail goto*//*Label 9117*/ GIMT_Encode4(554218), // Rule ID 2942 //
     /*  554148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  554159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  554162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  554165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  554168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  554197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554216 */     GIR_RootConstrainSelectedInstOperands,
     /*  554217 */     // GIR_Coverage, 2942,
     /*  554217 */     GIR_EraseRootFromParent_Done,
     /*  554218 */   // Label 9117: @554218
     /*  554218 */   GIM_Try, /*On fail goto*//*Label 9118*/ GIMT_Encode4(554293), // Rule ID 2943 //
     /*  554223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  554234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  554237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  554240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  554243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  554262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  554272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554291 */     GIR_RootConstrainSelectedInstOperands,
     /*  554292 */     // GIR_Coverage, 2943,
     /*  554292 */     GIR_EraseRootFromParent_Done,
     /*  554293 */   // Label 9118: @554293
     /*  554293 */   GIM_Try, /*On fail goto*//*Label 9119*/ GIMT_Encode4(554368), // Rule ID 2950 //
     /*  554298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  554309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  554312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  554315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  554318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  554347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554366 */     GIR_RootConstrainSelectedInstOperands,
     /*  554367 */     // GIR_Coverage, 2950,
     /*  554367 */     GIR_EraseRootFromParent_Done,
     /*  554368 */   // Label 9119: @554368
     /*  554368 */   GIM_Try, /*On fail goto*//*Label 9120*/ GIMT_Encode4(554443), // Rule ID 2951 //
     /*  554373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  554384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  554387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  554390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  554393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  554412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554419 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  554422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554441 */     GIR_RootConstrainSelectedInstOperands,
     /*  554442 */     // GIR_Coverage, 2951,
     /*  554442 */     GIR_EraseRootFromParent_Done,
     /*  554443 */   // Label 9120: @554443
     /*  554443 */   GIM_Try, /*On fail goto*//*Label 9121*/ GIMT_Encode4(554518), // Rule ID 2958 //
     /*  554448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  554451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  554459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  554462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  554465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  554468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554494 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  554494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  554497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554516 */     GIR_RootConstrainSelectedInstOperands,
     /*  554517 */     // GIR_Coverage, 2958,
     /*  554517 */     GIR_EraseRootFromParent_Done,
     /*  554518 */   // Label 9121: @554518
     /*  554518 */   GIM_Try, /*On fail goto*//*Label 9122*/ GIMT_Encode4(554593), // Rule ID 2959 //
     /*  554523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  554526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  554531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  554534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  554537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  554540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  554543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  554562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554569 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  554569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  554572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /*  554578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  554580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  554588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554591 */     GIR_RootConstrainSelectedInstOperands,
     /*  554592 */     // GIR_Coverage, 2959,
     /*  554592 */     GIR_EraseRootFromParent_Done,
     /*  554593 */   // Label 9122: @554593
     /*  554593 */   GIM_Try, /*On fail goto*//*Label 9123*/ GIMT_Encode4(554668), // Rule ID 2974 //
     /*  554598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  554609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  554612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  554615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  554618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554666 */     GIR_RootConstrainSelectedInstOperands,
     /*  554667 */     // GIR_Coverage, 2974,
     /*  554667 */     GIR_EraseRootFromParent_Done,
     /*  554668 */   // Label 9123: @554668
     /*  554668 */   GIM_Try, /*On fail goto*//*Label 9124*/ GIMT_Encode4(554743), // Rule ID 2975 //
     /*  554673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  554684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  554687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  554690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  554693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554719 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554741 */     GIR_RootConstrainSelectedInstOperands,
     /*  554742 */     // GIR_Coverage, 2975,
     /*  554742 */     GIR_EraseRootFromParent_Done,
     /*  554743 */   // Label 9124: @554743
     /*  554743 */   GIM_Try, /*On fail goto*//*Label 9125*/ GIMT_Encode4(554818), // Rule ID 2978 //
     /*  554748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  554759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554794 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  554794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554816 */     GIR_RootConstrainSelectedInstOperands,
     /*  554817 */     // GIR_Coverage, 2978,
     /*  554817 */     GIR_EraseRootFromParent_Done,
     /*  554818 */   // Label 9125: @554818
     /*  554818 */   GIM_Try, /*On fail goto*//*Label 9126*/ GIMT_Encode4(554893), // Rule ID 2979 //
     /*  554823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  554834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  554837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  554840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  554843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554869 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  554869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  554872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  554888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554891 */     GIR_RootConstrainSelectedInstOperands,
     /*  554892 */     // GIR_Coverage, 2979,
     /*  554892 */     GIR_EraseRootFromParent_Done,
     /*  554893 */   // Label 9126: @554893
     /*  554893 */   GIM_Try, /*On fail goto*//*Label 9127*/ GIMT_Encode4(554968), // Rule ID 2982 //
     /*  554898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  554901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  554918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  554921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  554937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  554944 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  554944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  554947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  554949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  554951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  554953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  554955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  554960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  554963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  554966 */     GIR_RootConstrainSelectedInstOperands,
     /*  554967 */     // GIR_Coverage, 2982,
     /*  554967 */     GIR_EraseRootFromParent_Done,
     /*  554968 */   // Label 9127: @554968
     /*  554968 */   GIM_Try, /*On fail goto*//*Label 9128*/ GIMT_Encode4(555043), // Rule ID 2983 //
     /*  554973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  554976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  554981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  554984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  554987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  554990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  554993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  554996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555019 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4),
     /*  555022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555041 */     GIR_RootConstrainSelectedInstOperands,
     /*  555042 */     // GIR_Coverage, 2983,
     /*  555042 */     GIR_EraseRootFromParent_Done,
     /*  555043 */   // Label 9128: @555043
     /*  555043 */   GIM_Try, /*On fail goto*//*Label 9129*/ GIMT_Encode4(555118), // Rule ID 2986 //
     /*  555048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  555059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  555062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  555065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  555068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555094 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  555097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555116 */     GIR_RootConstrainSelectedInstOperands,
     /*  555117 */     // GIR_Coverage, 2986,
     /*  555117 */     GIR_EraseRootFromParent_Done,
     /*  555118 */   // Label 9129: @555118
     /*  555118 */   GIM_Try, /*On fail goto*//*Label 9130*/ GIMT_Encode4(555193), // Rule ID 2987 //
     /*  555123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  555134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  555137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  555140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  555143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555169 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  555172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555191 */     GIR_RootConstrainSelectedInstOperands,
     /*  555192 */     // GIR_Coverage, 2987,
     /*  555192 */     GIR_EraseRootFromParent_Done,
     /*  555193 */   // Label 9130: @555193
     /*  555193 */   GIM_Try, /*On fail goto*//*Label 9131*/ GIMT_Encode4(555268), // Rule ID 2990 //
     /*  555198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  555209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  555212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  555215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  555218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  555247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555266 */     GIR_RootConstrainSelectedInstOperands,
     /*  555267 */     // GIR_Coverage, 2990,
     /*  555267 */     GIR_EraseRootFromParent_Done,
     /*  555268 */   // Label 9131: @555268
     /*  555268 */   GIM_Try, /*On fail goto*//*Label 9132*/ GIMT_Encode4(555343), // Rule ID 2991 //
     /*  555273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  555284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  555287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  555290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  555293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2),
     /*  555322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555341 */     GIR_RootConstrainSelectedInstOperands,
     /*  555342 */     // GIR_Coverage, 2991,
     /*  555342 */     GIR_EraseRootFromParent_Done,
     /*  555343 */   // Label 9132: @555343
     /*  555343 */   GIM_Try, /*On fail goto*//*Label 9133*/ GIMT_Encode4(555418), // Rule ID 2994 //
     /*  555348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  555359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  555362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  555365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  555368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555394 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555416 */     GIR_RootConstrainSelectedInstOperands,
     /*  555417 */     // GIR_Coverage, 2994,
     /*  555417 */     GIR_EraseRootFromParent_Done,
     /*  555418 */   // Label 9133: @555418
     /*  555418 */   GIM_Try, /*On fail goto*//*Label 9134*/ GIMT_Encode4(555493), // Rule ID 2995 //
     /*  555423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  555434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  555437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  555440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  555443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555469 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  555469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  555488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555491 */     GIR_RootConstrainSelectedInstOperands,
     /*  555492 */     // GIR_Coverage, 2995,
     /*  555492 */     GIR_EraseRootFromParent_Done,
     /*  555493 */   // Label 9134: @555493
     /*  555493 */   GIM_Try, /*On fail goto*//*Label 9135*/ GIMT_Encode4(555568), // Rule ID 2998 //
     /*  555498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  555509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  555512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  555515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  555518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  555544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555566 */     GIR_RootConstrainSelectedInstOperands,
     /*  555567 */     // GIR_Coverage, 2998,
     /*  555567 */     GIR_EraseRootFromParent_Done,
     /*  555568 */   // Label 9135: @555568
     /*  555568 */   GIM_Try, /*On fail goto*//*Label 9136*/ GIMT_Encode4(555643), // Rule ID 2999 //
     /*  555573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  555584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  555587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  555590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  555593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  555619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  555638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555641 */     GIR_RootConstrainSelectedInstOperands,
     /*  555642 */     // GIR_Coverage, 2999,
     /*  555642 */     GIR_EraseRootFromParent_Done,
     /*  555643 */   // Label 9136: @555643
     /*  555643 */   GIM_Try, /*On fail goto*//*Label 9137*/ GIMT_Encode4(555718), // Rule ID 3002 //
     /*  555648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  555659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  555662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  555665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  555668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555694 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  555694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555716 */     GIR_RootConstrainSelectedInstOperands,
     /*  555717 */     // GIR_Coverage, 3002,
     /*  555717 */     GIR_EraseRootFromParent_Done,
     /*  555718 */   // Label 9137: @555718
     /*  555718 */   GIM_Try, /*On fail goto*//*Label 9138*/ GIMT_Encode4(555793), // Rule ID 3003 //
     /*  555723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  555726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  555734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  555737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  555740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  555743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555769 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  555769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  555788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555791 */     GIR_RootConstrainSelectedInstOperands,
     /*  555792 */     // GIR_Coverage, 3003,
     /*  555792 */     GIR_EraseRootFromParent_Done,
     /*  555793 */   // Label 9138: @555793
     /*  555793 */   GIM_Try, /*On fail goto*//*Label 9139*/ GIMT_Encode4(555868), // Rule ID 3006 //
     /*  555798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  555801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  555818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555844 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  555844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555866 */     GIR_RootConstrainSelectedInstOperands,
     /*  555867 */     // GIR_Coverage, 3006,
     /*  555867 */     GIR_EraseRootFromParent_Done,
     /*  555868 */   // Label 9139: @555868
     /*  555868 */   GIM_Try, /*On fail goto*//*Label 9140*/ GIMT_Encode4(555943), // Rule ID 3007 //
     /*  555873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  555876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  555884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  555887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  555890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  555893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  555896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  555912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555919 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  555919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1),
     /*  555922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  555926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  555928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  555930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  555935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  555938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  555941 */     GIR_RootConstrainSelectedInstOperands,
     /*  555942 */     // GIR_Coverage, 3007,
     /*  555942 */     GIR_EraseRootFromParent_Done,
     /*  555943 */   // Label 9140: @555943
     /*  555943 */   GIM_Try, /*On fail goto*//*Label 9141*/ GIMT_Encode4(556018), // Rule ID 3010 //
     /*  555948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  555951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  555956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  555959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  555962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  555965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  555968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  555971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  555987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  555994 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  555994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  555997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  555999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556016 */     GIR_RootConstrainSelectedInstOperands,
     /*  556017 */     // GIR_Coverage, 3010,
     /*  556017 */     GIR_EraseRootFromParent_Done,
     /*  556018 */   // Label 9141: @556018
     /*  556018 */   GIM_Try, /*On fail goto*//*Label 9142*/ GIMT_Encode4(556093), // Rule ID 3011 //
     /*  556023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  556034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  556037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  556040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  556043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556069 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556091 */     GIR_RootConstrainSelectedInstOperands,
     /*  556092 */     // GIR_Coverage, 3011,
     /*  556092 */     GIR_EraseRootFromParent_Done,
     /*  556093 */   // Label 9142: @556093
     /*  556093 */   GIM_Try, /*On fail goto*//*Label 9143*/ GIMT_Encode4(556168), // Rule ID 3014 //
     /*  556098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  556109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  556112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  556115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  556118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556166 */     GIR_RootConstrainSelectedInstOperands,
     /*  556167 */     // GIR_Coverage, 3014,
     /*  556167 */     GIR_EraseRootFromParent_Done,
     /*  556168 */   // Label 9143: @556168
     /*  556168 */   GIM_Try, /*On fail goto*//*Label 9144*/ GIMT_Encode4(556243), // Rule ID 3015 //
     /*  556173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  556184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  556187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  556190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  556193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556219 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556241 */     GIR_RootConstrainSelectedInstOperands,
     /*  556242 */     // GIR_Coverage, 3015,
     /*  556242 */     GIR_EraseRootFromParent_Done,
     /*  556243 */   // Label 9144: @556243
     /*  556243 */   GIM_Try, /*On fail goto*//*Label 9145*/ GIMT_Encode4(556318), // Rule ID 3018 //
     /*  556248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  556259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  556262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  556265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  556268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556294 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  556294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556316 */     GIR_RootConstrainSelectedInstOperands,
     /*  556317 */     // GIR_Coverage, 3018,
     /*  556317 */     GIR_EraseRootFromParent_Done,
     /*  556318 */   // Label 9145: @556318
     /*  556318 */   GIM_Try, /*On fail goto*//*Label 9146*/ GIMT_Encode4(556393), // Rule ID 3019 //
     /*  556323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  556334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  556337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  556340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  556343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556369 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  556369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  556388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556391 */     GIR_RootConstrainSelectedInstOperands,
     /*  556392 */     // GIR_Coverage, 3019,
     /*  556392 */     GIR_EraseRootFromParent_Done,
     /*  556393 */   // Label 9146: @556393
     /*  556393 */   GIM_Try, /*On fail goto*//*Label 9147*/ GIMT_Encode4(556468), // Rule ID 3022 //
     /*  556398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  556409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  556412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  556415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  556418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556466 */     GIR_RootConstrainSelectedInstOperands,
     /*  556467 */     // GIR_Coverage, 3022,
     /*  556467 */     GIR_EraseRootFromParent_Done,
     /*  556468 */   // Label 9147: @556468
     /*  556468 */   GIM_Try, /*On fail goto*//*Label 9148*/ GIMT_Encode4(556543), // Rule ID 3023 //
     /*  556473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  556484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  556487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  556490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  556493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556541 */     GIR_RootConstrainSelectedInstOperands,
     /*  556542 */     // GIR_Coverage, 3023,
     /*  556542 */     GIR_EraseRootFromParent_Done,
     /*  556543 */   // Label 9148: @556543
     /*  556543 */   GIM_Try, /*On fail goto*//*Label 9149*/ GIMT_Encode4(556618), // Rule ID 3026 //
     /*  556548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  556559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  556562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  556565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  556568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556616 */     GIR_RootConstrainSelectedInstOperands,
     /*  556617 */     // GIR_Coverage, 3026,
     /*  556617 */     GIR_EraseRootFromParent_Done,
     /*  556618 */   // Label 9149: @556618
     /*  556618 */   GIM_Try, /*On fail goto*//*Label 9150*/ GIMT_Encode4(556693), // Rule ID 3027 //
     /*  556623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  556634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  556637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  556640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  556643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  556662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  556672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556691 */     GIR_RootConstrainSelectedInstOperands,
     /*  556692 */     // GIR_Coverage, 3027,
     /*  556692 */     GIR_EraseRootFromParent_Done,
     /*  556693 */   // Label 9150: @556693
     /*  556693 */   GIM_Try, /*On fail goto*//*Label 9151*/ GIMT_Encode4(556768), // Rule ID 3030 //
     /*  556698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  556709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  556712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  556715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  556718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  556744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556766 */     GIR_RootConstrainSelectedInstOperands,
     /*  556767 */     // GIR_Coverage, 3030,
     /*  556767 */     GIR_EraseRootFromParent_Done,
     /*  556768 */   // Label 9151: @556768
     /*  556768 */   GIM_Try, /*On fail goto*//*Label 9152*/ GIMT_Encode4(556843), // Rule ID 3031 //
     /*  556773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  556784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  556787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  556790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  556793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  556812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  556819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  556822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  556838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556841 */     GIR_RootConstrainSelectedInstOperands,
     /*  556842 */     // GIR_Coverage, 3031,
     /*  556842 */     GIR_EraseRootFromParent_Done,
     /*  556843 */   // Label 9152: @556843
     /*  556843 */   GIM_Try, /*On fail goto*//*Label 9153*/ GIMT_Encode4(556918), // Rule ID 3034 //
     /*  556848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  556851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  556868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  556871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  556894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556916 */     GIR_RootConstrainSelectedInstOperands,
     /*  556917 */     // GIR_Coverage, 3034,
     /*  556917 */     GIR_EraseRootFromParent_Done,
     /*  556918 */   // Label 9153: @556918
     /*  556918 */   GIM_Try, /*On fail goto*//*Label 9154*/ GIMT_Encode4(556993), // Rule ID 3035 //
     /*  556923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  556926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  556931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  556934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  556937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  556940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  556943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  556946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  556962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  556969 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  556969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  556972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  556974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  556976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  556978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  556980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  556985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  556988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  556991 */     GIR_RootConstrainSelectedInstOperands,
     /*  556992 */     // GIR_Coverage, 3035,
     /*  556992 */     GIR_EraseRootFromParent_Done,
     /*  556993 */   // Label 9154: @556993
     /*  556993 */   GIM_Try, /*On fail goto*//*Label 9155*/ GIMT_Encode4(557068), // Rule ID 3038 //
     /*  556998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  557009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  557012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  557015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  557018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  557047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557066 */     GIR_RootConstrainSelectedInstOperands,
     /*  557067 */     // GIR_Coverage, 3038,
     /*  557067 */     GIR_EraseRootFromParent_Done,
     /*  557068 */   // Label 9155: @557068
     /*  557068 */   GIM_Try, /*On fail goto*//*Label 9156*/ GIMT_Encode4(557143), // Rule ID 3039 //
     /*  557073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  557084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  557087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  557090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  557093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557119 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  557122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557141 */     GIR_RootConstrainSelectedInstOperands,
     /*  557142 */     // GIR_Coverage, 3039,
     /*  557142 */     GIR_EraseRootFromParent_Done,
     /*  557143 */   // Label 9156: @557143
     /*  557143 */   GIM_Try, /*On fail goto*//*Label 9157*/ GIMT_Encode4(557218), // Rule ID 3042 //
     /*  557148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  557159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  557162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  557165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  557168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557194 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  557194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  557197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557216 */     GIR_RootConstrainSelectedInstOperands,
     /*  557217 */     // GIR_Coverage, 3042,
     /*  557217 */     GIR_EraseRootFromParent_Done,
     /*  557218 */   // Label 9157: @557218
     /*  557218 */   GIM_Try, /*On fail goto*//*Label 9158*/ GIMT_Encode4(557293), // Rule ID 3043 //
     /*  557223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  557234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  557237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  557240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  557243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557269 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  557269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  557272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  557288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557291 */     GIR_RootConstrainSelectedInstOperands,
     /*  557292 */     // GIR_Coverage, 3043,
     /*  557292 */     GIR_EraseRootFromParent_Done,
     /*  557293 */   // Label 9158: @557293
     /*  557293 */   GIM_Try, /*On fail goto*//*Label 9159*/ GIMT_Encode4(557368), // Rule ID 3046 //
     /*  557298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  557309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  557312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  557315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  557318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557344 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  557347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557366 */     GIR_RootConstrainSelectedInstOperands,
     /*  557367 */     // GIR_Coverage, 3046,
     /*  557367 */     GIR_EraseRootFromParent_Done,
     /*  557368 */   // Label 9159: @557368
     /*  557368 */   GIM_Try, /*On fail goto*//*Label 9160*/ GIMT_Encode4(557443), // Rule ID 3047 //
     /*  557373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  557384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  557387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  557390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  557393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  557412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557419 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2),
     /*  557422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557441 */     GIR_RootConstrainSelectedInstOperands,
     /*  557442 */     // GIR_Coverage, 3047,
     /*  557442 */     GIR_EraseRootFromParent_Done,
     /*  557443 */   // Label 9160: @557443
     /*  557443 */   GIM_Try, /*On fail goto*//*Label 9161*/ GIMT_Encode4(557518), // Rule ID 3050 //
     /*  557448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  557459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  557462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  557465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  557468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557494 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  557497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557516 */     GIR_RootConstrainSelectedInstOperands,
     /*  557517 */     // GIR_Coverage, 3050,
     /*  557517 */     GIR_EraseRootFromParent_Done,
     /*  557518 */   // Label 9161: @557518
     /*  557518 */   GIM_Try, /*On fail goto*//*Label 9162*/ GIMT_Encode4(557593), // Rule ID 3051 //
     /*  557523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  557534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  557537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  557540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  557543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  557562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557569 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4),
     /*  557572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557591 */     GIR_RootConstrainSelectedInstOperands,
     /*  557592 */     // GIR_Coverage, 3051,
     /*  557592 */     GIR_EraseRootFromParent_Done,
     /*  557593 */   // Label 9162: @557593
     /*  557593 */   GIM_Try, /*On fail goto*//*Label 9163*/ GIMT_Encode4(557668), // Rule ID 3054 //
     /*  557598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  557601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  557609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  557612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  557615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  557618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557644 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  557644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  557647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557666 */     GIR_RootConstrainSelectedInstOperands,
     /*  557667 */     // GIR_Coverage, 3054,
     /*  557667 */     GIR_EraseRootFromParent_Done,
     /*  557668 */   // Label 9163: @557668
     /*  557668 */   GIM_Try, /*On fail goto*//*Label 9164*/ GIMT_Encode4(557743), // Rule ID 3055 //
     /*  557673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  557676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  557684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  557687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  557690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  557693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  557712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557719 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  557719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8),
     /*  557722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  557738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557741 */     GIR_RootConstrainSelectedInstOperands,
     /*  557742 */     // GIR_Coverage, 3055,
     /*  557742 */     GIR_EraseRootFromParent_Done,
     /*  557743 */   // Label 9164: @557743
     /*  557743 */   GIM_Try, /*On fail goto*//*Label 9165*/ GIMT_Encode4(557818), // Rule ID 3058 //
     /*  557748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  557759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557794 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  557797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557816 */     GIR_RootConstrainSelectedInstOperands,
     /*  557817 */     // GIR_Coverage, 3058,
     /*  557817 */     GIR_EraseRootFromParent_Done,
     /*  557818 */   // Label 9165: @557818
     /*  557818 */   GIM_Try, /*On fail goto*//*Label 9166*/ GIMT_Encode4(557893), // Rule ID 3059 //
     /*  557823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  557834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  557837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  557840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557869 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  557869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8),
     /*  557872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557891 */     GIR_RootConstrainSelectedInstOperands,
     /*  557892 */     // GIR_Coverage, 3059,
     /*  557892 */     GIR_EraseRootFromParent_Done,
     /*  557893 */   // Label 9166: @557893
     /*  557893 */   GIM_Try, /*On fail goto*//*Label 9167*/ GIMT_Encode4(557968), // Rule ID 3062 //
     /*  557898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  557901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  557918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  557921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  557933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  557937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  557944 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  557944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  557947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  557949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  557951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  557953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  557955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  557960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  557963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  557966 */     GIR_RootConstrainSelectedInstOperands,
     /*  557967 */     // GIR_Coverage, 3062,
     /*  557967 */     GIR_EraseRootFromParent_Done,
     /*  557968 */   // Label 9167: @557968
     /*  557968 */   GIM_Try, /*On fail goto*//*Label 9168*/ GIMT_Encode4(558043), // Rule ID 3063 //
     /*  557973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  557976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  557981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  557984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  557987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  557990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  557993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  557996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558019 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  558022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558041 */     GIR_RootConstrainSelectedInstOperands,
     /*  558042 */     // GIR_Coverage, 3063,
     /*  558042 */     GIR_EraseRootFromParent_Done,
     /*  558043 */   // Label 9168: @558043
     /*  558043 */   GIM_Try, /*On fail goto*//*Label 9169*/ GIMT_Encode4(558118), // Rule ID 3066 //
     /*  558048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  558059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  558062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  558065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558094 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  558097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558116 */     GIR_RootConstrainSelectedInstOperands,
     /*  558117 */     // GIR_Coverage, 3066,
     /*  558117 */     GIR_EraseRootFromParent_Done,
     /*  558118 */   // Label 9169: @558118
     /*  558118 */   GIM_Try, /*On fail goto*//*Label 9170*/ GIMT_Encode4(558193), // Rule ID 3067 //
     /*  558123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  558134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  558137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  558140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558169 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  558172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558191 */     GIR_RootConstrainSelectedInstOperands,
     /*  558192 */     // GIR_Coverage, 3067,
     /*  558192 */     GIR_EraseRootFromParent_Done,
     /*  558193 */   // Label 9170: @558193
     /*  558193 */   GIM_Try, /*On fail goto*//*Label 9171*/ GIMT_Encode4(558268), // Rule ID 3070 //
     /*  558198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  558209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  558212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  558215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  558247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558266 */     GIR_RootConstrainSelectedInstOperands,
     /*  558267 */     // GIR_Coverage, 3070,
     /*  558267 */     GIR_EraseRootFromParent_Done,
     /*  558268 */   // Label 9171: @558268
     /*  558268 */   GIM_Try, /*On fail goto*//*Label 9172*/ GIMT_Encode4(558343), // Rule ID 3071 //
     /*  558273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  558284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  558287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  558290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4),
     /*  558322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558341 */     GIR_RootConstrainSelectedInstOperands,
     /*  558342 */     // GIR_Coverage, 3071,
     /*  558342 */     GIR_EraseRootFromParent_Done,
     /*  558343 */   // Label 9172: @558343
     /*  558343 */   GIM_Try, /*On fail goto*//*Label 9173*/ GIMT_Encode4(558418), // Rule ID 3074 //
     /*  558348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  558359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  558362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  558365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  558397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558416 */     GIR_RootConstrainSelectedInstOperands,
     /*  558417 */     // GIR_Coverage, 3074,
     /*  558417 */     GIR_EraseRootFromParent_Done,
     /*  558418 */   // Label 9173: @558418
     /*  558418 */   GIM_Try, /*On fail goto*//*Label 9174*/ GIMT_Encode4(558493), // Rule ID 3075 //
     /*  558423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  558434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  558437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  558440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  558472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558491 */     GIR_RootConstrainSelectedInstOperands,
     /*  558492 */     // GIR_Coverage, 3075,
     /*  558492 */     GIR_EraseRootFromParent_Done,
     /*  558493 */   // Label 9174: @558493
     /*  558493 */   GIM_Try, /*On fail goto*//*Label 9175*/ GIMT_Encode4(558568), // Rule ID 3078 //
     /*  558498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  558509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  558512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  558515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558544 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  558547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558566 */     GIR_RootConstrainSelectedInstOperands,
     /*  558567 */     // GIR_Coverage, 3078,
     /*  558567 */     GIR_EraseRootFromParent_Done,
     /*  558568 */   // Label 9175: @558568
     /*  558568 */   GIM_Try, /*On fail goto*//*Label 9176*/ GIMT_Encode4(558643), // Rule ID 3079 //
     /*  558573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  558584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  558587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  558590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558619 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  558619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2),
     /*  558622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  558638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558641 */     GIR_RootConstrainSelectedInstOperands,
     /*  558642 */     // GIR_Coverage, 3079,
     /*  558642 */     GIR_EraseRootFromParent_Done,
     /*  558643 */   // Label 9176: @558643
     /*  558643 */   GIM_Try, /*On fail goto*//*Label 9177*/ GIMT_Encode4(558718), // Rule ID 3082 //
     /*  558648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  558659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  558662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  558665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  558694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558716 */     GIR_RootConstrainSelectedInstOperands,
     /*  558717 */     // GIR_Coverage, 3082,
     /*  558717 */     GIR_EraseRootFromParent_Done,
     /*  558718 */   // Label 9177: @558718
     /*  558718 */   GIM_Try, /*On fail goto*//*Label 9178*/ GIMT_Encode4(558793), // Rule ID 3083 //
     /*  558723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  558734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  558737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  558740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558769 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11143:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  558769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  558788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558791 */     GIR_RootConstrainSelectedInstOperands,
     /*  558792 */     // GIR_Coverage, 3083,
     /*  558792 */     GIR_EraseRootFromParent_Done,
     /*  558793 */   // Label 9178: @558793
     /*  558793 */   GIM_Try, /*On fail goto*//*Label 9179*/ GIMT_Encode4(558868), // Rule ID 3086 //
     /*  558798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558844 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  558844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558866 */     GIR_RootConstrainSelectedInstOperands,
     /*  558867 */     // GIR_Coverage, 3086,
     /*  558867 */     GIR_EraseRootFromParent_Done,
     /*  558868 */   // Label 9179: @558868
     /*  558868 */   GIM_Try, /*On fail goto*//*Label 9180*/ GIMT_Encode4(558943), // Rule ID 3087 //
     /*  558873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  558876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  558884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  558887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  558890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  558893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  558896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11143:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  558919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  558926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  558928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  558930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  558935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  558938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  558941 */     GIR_RootConstrainSelectedInstOperands,
     /*  558942 */     // GIR_Coverage, 3087,
     /*  558942 */     GIR_EraseRootFromParent_Done,
     /*  558943 */   // Label 9180: @558943
     /*  558943 */   GIM_Try, /*On fail goto*//*Label 9181*/ GIMT_Encode4(559018), // Rule ID 3090 //
     /*  558948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  558951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  558956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  558959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  558962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  558965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  558968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  558971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  558983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  558987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  558994 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  558994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  558997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  558999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559016 */     GIR_RootConstrainSelectedInstOperands,
     /*  559017 */     // GIR_Coverage, 3090,
     /*  559017 */     GIR_EraseRootFromParent_Done,
     /*  559018 */   // Label 9181: @559018
     /*  559018 */   GIM_Try, /*On fail goto*//*Label 9182*/ GIMT_Encode4(559093), // Rule ID 3091 //
     /*  559023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  559034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  559037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  559040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559069 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11143:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  559069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  559072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  559088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559091 */     GIR_RootConstrainSelectedInstOperands,
     /*  559092 */     // GIR_Coverage, 3091,
     /*  559092 */     GIR_EraseRootFromParent_Done,
     /*  559093 */   // Label 9182: @559093
     /*  559093 */   GIM_Try, /*On fail goto*//*Label 9183*/ GIMT_Encode4(559168), // Rule ID 3094 //
     /*  559098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  559101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  559109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  559112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  559115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  559144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  559147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559166 */     GIR_RootConstrainSelectedInstOperands,
     /*  559167 */     // GIR_Coverage, 3094,
     /*  559167 */     GIR_EraseRootFromParent_Done,
     /*  559168 */   // Label 9183: @559168
     /*  559168 */   GIM_Try, /*On fail goto*//*Label 9184*/ GIMT_Encode4(559243), // Rule ID 3095 //
     /*  559173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  559176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  559184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  559187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  559190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  559208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11143:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  559219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1),
     /*  559222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  559238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559241 */     GIR_RootConstrainSelectedInstOperands,
     /*  559242 */     // GIR_Coverage, 3095,
     /*  559242 */     GIR_EraseRootFromParent_Done,
     /*  559243 */   // Label 9184: @559243
     /*  559243 */   GIM_Try, /*On fail goto*//*Label 9185*/ GIMT_Encode4(559318), // Rule ID 3098 //
     /*  559248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  559259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  559262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  559265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559294 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559316 */     GIR_RootConstrainSelectedInstOperands,
     /*  559317 */     // GIR_Coverage, 3098,
     /*  559317 */     GIR_EraseRootFromParent_Done,
     /*  559318 */   // Label 9185: @559318
     /*  559318 */   GIM_Try, /*On fail goto*//*Label 9186*/ GIMT_Encode4(559393), // Rule ID 3099 //
     /*  559323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  559334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  559337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  559340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559369 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559391 */     GIR_RootConstrainSelectedInstOperands,
     /*  559392 */     // GIR_Coverage, 3099,
     /*  559392 */     GIR_EraseRootFromParent_Done,
     /*  559393 */   // Label 9186: @559393
     /*  559393 */   GIM_Try, /*On fail goto*//*Label 9187*/ GIMT_Encode4(559468), // Rule ID 3102 //
     /*  559398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  559409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  559412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  559415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559444 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559466 */     GIR_RootConstrainSelectedInstOperands,
     /*  559467 */     // GIR_Coverage, 3102,
     /*  559467 */     GIR_EraseRootFromParent_Done,
     /*  559468 */   // Label 9187: @559468
     /*  559468 */   GIM_Try, /*On fail goto*//*Label 9188*/ GIMT_Encode4(559543), // Rule ID 3103 //
     /*  559473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  559484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  559487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  559490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559519 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559541 */     GIR_RootConstrainSelectedInstOperands,
     /*  559542 */     // GIR_Coverage, 3103,
     /*  559542 */     GIR_EraseRootFromParent_Done,
     /*  559543 */   // Label 9188: @559543
     /*  559543 */   GIM_Try, /*On fail goto*//*Label 9189*/ GIMT_Encode4(559618), // Rule ID 3106 //
     /*  559548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  559559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  559562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  559565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559594 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  559594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559616 */     GIR_RootConstrainSelectedInstOperands,
     /*  559617 */     // GIR_Coverage, 3106,
     /*  559617 */     GIR_EraseRootFromParent_Done,
     /*  559618 */   // Label 9189: @559618
     /*  559618 */   GIM_Try, /*On fail goto*//*Label 9190*/ GIMT_Encode4(559693), // Rule ID 3107 //
     /*  559623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  559634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  559637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  559640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  559658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559669 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  559669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  559672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  559688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559691 */     GIR_RootConstrainSelectedInstOperands,
     /*  559692 */     // GIR_Coverage, 3107,
     /*  559692 */     GIR_EraseRootFromParent_Done,
     /*  559693 */   // Label 9190: @559693
     /*  559693 */   GIM_Try, /*On fail goto*//*Label 9191*/ GIMT_Encode4(559768), // Rule ID 3110 //
     /*  559698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  559709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  559712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  559715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559766 */     GIR_RootConstrainSelectedInstOperands,
     /*  559767 */     // GIR_Coverage, 3110,
     /*  559767 */     GIR_EraseRootFromParent_Done,
     /*  559768 */   // Label 9191: @559768
     /*  559768 */   GIM_Try, /*On fail goto*//*Label 9192*/ GIMT_Encode4(559843), // Rule ID 3111 //
     /*  559773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  559784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  559787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  559790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  559808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559819 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  559822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559841 */     GIR_RootConstrainSelectedInstOperands,
     /*  559842 */     // GIR_Coverage, 3111,
     /*  559842 */     GIR_EraseRootFromParent_Done,
     /*  559843 */   // Label 9192: @559843
     /*  559843 */   GIM_Try, /*On fail goto*//*Label 9193*/ GIMT_Encode4(559918), // Rule ID 3114 //
     /*  559848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  559851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  559868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  559871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  559894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559916 */     GIR_RootConstrainSelectedInstOperands,
     /*  559917 */     // GIR_Coverage, 3114,
     /*  559917 */     GIR_EraseRootFromParent_Done,
     /*  559918 */   // Label 9193: @559918
     /*  559918 */   GIM_Try, /*On fail goto*//*Label 9194*/ GIMT_Encode4(559993), // Rule ID 3115 //
     /*  559923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  559926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  559931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  559934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  559937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  559940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  559943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  559946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  559958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  559962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  559969 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  559969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  559972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  559974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  559976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  559978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  559980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  559985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  559988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  559991 */     GIR_RootConstrainSelectedInstOperands,
     /*  559992 */     // GIR_Coverage, 3115,
     /*  559992 */     GIR_EraseRootFromParent_Done,
     /*  559993 */   // Label 9194: @559993
     /*  559993 */   GIM_Try, /*On fail goto*//*Label 9195*/ GIMT_Encode4(560068), // Rule ID 3118 //
     /*  559998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  560009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  560012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  560015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560044 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  560044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560066 */     GIR_RootConstrainSelectedInstOperands,
     /*  560067 */     // GIR_Coverage, 3118,
     /*  560067 */     GIR_EraseRootFromParent_Done,
     /*  560068 */   // Label 9195: @560068
     /*  560068 */   GIM_Try, /*On fail goto*//*Label 9196*/ GIMT_Encode4(560143), // Rule ID 3119 //
     /*  560073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  560084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  560087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  560090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560119 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  560119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  560138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560141 */     GIR_RootConstrainSelectedInstOperands,
     /*  560142 */     // GIR_Coverage, 3119,
     /*  560142 */     GIR_EraseRootFromParent_Done,
     /*  560143 */   // Label 9196: @560143
     /*  560143 */   GIM_Try, /*On fail goto*//*Label 9197*/ GIMT_Encode4(560218), // Rule ID 3122 //
     /*  560148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  560159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  560162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  560165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  560197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560216 */     GIR_RootConstrainSelectedInstOperands,
     /*  560217 */     // GIR_Coverage, 3122,
     /*  560217 */     GIR_EraseRootFromParent_Done,
     /*  560218 */   // Label 9197: @560218
     /*  560218 */   GIM_Try, /*On fail goto*//*Label 9198*/ GIMT_Encode4(560293), // Rule ID 3123 //
     /*  560223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  560234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  560237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  560240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  560272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560291 */     GIR_RootConstrainSelectedInstOperands,
     /*  560292 */     // GIR_Coverage, 3123,
     /*  560292 */     GIR_EraseRootFromParent_Done,
     /*  560293 */   // Label 9198: @560293
     /*  560293 */   GIM_Try, /*On fail goto*//*Label 9199*/ GIMT_Encode4(560368), // Rule ID 3126 //
     /*  560298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  560309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  560312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  560315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  560347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560366 */     GIR_RootConstrainSelectedInstOperands,
     /*  560367 */     // GIR_Coverage, 3126,
     /*  560367 */     GIR_EraseRootFromParent_Done,
     /*  560368 */   // Label 9199: @560368
     /*  560368 */   GIM_Try, /*On fail goto*//*Label 9200*/ GIMT_Encode4(560443), // Rule ID 3127 //
     /*  560373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  560384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  560387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  560390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560419 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  560422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560441 */     GIR_RootConstrainSelectedInstOperands,
     /*  560442 */     // GIR_Coverage, 3127,
     /*  560442 */     GIR_EraseRootFromParent_Done,
     /*  560443 */   // Label 9200: @560443
     /*  560443 */   GIM_Try, /*On fail goto*//*Label 9201*/ GIMT_Encode4(560518), // Rule ID 3130 //
     /*  560448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  560451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  560459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  560462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  560465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  560494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560516 */     GIR_RootConstrainSelectedInstOperands,
     /*  560517 */     // GIR_Coverage, 3130,
     /*  560517 */     GIR_EraseRootFromParent_Done,
     /*  560518 */   // Label 9201: @560518
     /*  560518 */   GIM_Try, /*On fail goto*//*Label 9202*/ GIMT_Encode4(560593), // Rule ID 3131 //
     /*  560523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  560526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  560534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  560537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  560540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  560569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  560588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560591 */     GIR_RootConstrainSelectedInstOperands,
     /*  560592 */     // GIR_Coverage, 3131,
     /*  560592 */     GIR_EraseRootFromParent_Done,
     /*  560593 */   // Label 9202: @560593
     /*  560593 */   GIM_Try, /*On fail goto*//*Label 9203*/ GIMT_Encode4(560668), // Rule ID 3134 //
     /*  560598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  560609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  560612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  560615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  560647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560666 */     GIR_RootConstrainSelectedInstOperands,
     /*  560667 */     // GIR_Coverage, 3134,
     /*  560667 */     GIR_EraseRootFromParent_Done,
     /*  560668 */   // Label 9203: @560668
     /*  560668 */   GIM_Try, /*On fail goto*//*Label 9204*/ GIMT_Encode4(560743), // Rule ID 3135 //
     /*  560673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  560684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  560687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  560690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  560708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11143:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2),
     /*  560722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560741 */     GIR_RootConstrainSelectedInstOperands,
     /*  560742 */     // GIR_Coverage, 3135,
     /*  560742 */     GIR_EraseRootFromParent_Done,
     /*  560743 */   // Label 9204: @560743
     /*  560743 */   GIM_Try, /*On fail goto*//*Label 9205*/ GIMT_Encode4(560818), // Rule ID 3138 //
     /*  560748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  560759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  560797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560816 */     GIR_RootConstrainSelectedInstOperands,
     /*  560817 */     // GIR_Coverage, 3138,
     /*  560817 */     GIR_EraseRootFromParent_Done,
     /*  560818 */   // Label 9205: @560818
     /*  560818 */   GIM_Try, /*On fail goto*//*Label 9206*/ GIMT_Encode4(560893), // Rule ID 3139 //
     /*  560823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  560834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  560837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  560840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  560858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11143:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  560869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4),
     /*  560872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560891 */     GIR_RootConstrainSelectedInstOperands,
     /*  560892 */     // GIR_Coverage, 3139,
     /*  560892 */     GIR_EraseRootFromParent_Done,
     /*  560893 */   // Label 9206: @560893
     /*  560893 */   GIM_Try, /*On fail goto*//*Label 9207*/ GIMT_Encode4(560968), // Rule ID 3142 //
     /*  560898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  560901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  560918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  560921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  560933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  560937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  560944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  560944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  560947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  560949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  560951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  560953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  560955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  560960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  560963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  560966 */     GIR_RootConstrainSelectedInstOperands,
     /*  560967 */     // GIR_Coverage, 3142,
     /*  560967 */     GIR_EraseRootFromParent_Done,
     /*  560968 */   // Label 9207: @560968
     /*  560968 */   GIM_Try, /*On fail goto*//*Label 9208*/ GIMT_Encode4(561043), // Rule ID 3143 //
     /*  560973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  560976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd),
     /*  560981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  560984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  560987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  560990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  560993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  560996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  561008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  561012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11143:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  561019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8),
     /*  561022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  561038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561041 */     GIR_RootConstrainSelectedInstOperands,
     /*  561042 */     // GIR_Coverage, 3143,
     /*  561042 */     GIR_EraseRootFromParent_Done,
     /*  561043 */   // Label 9208: @561043
     /*  561043 */   GIM_Try, /*On fail goto*//*Label 9209*/ GIMT_Encode4(561118), // Rule ID 3234 //
     /*  561048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  561059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  561062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  561065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  561068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  561097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561116 */     GIR_RootConstrainSelectedInstOperands,
     /*  561117 */     // GIR_Coverage, 3234,
     /*  561117 */     GIR_EraseRootFromParent_Done,
     /*  561118 */   // Label 9209: @561118
     /*  561118 */   GIM_Try, /*On fail goto*//*Label 9210*/ GIMT_Encode4(561193), // Rule ID 3235 //
     /*  561123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  561134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  561137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  561140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  561143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561169 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8),
     /*  561172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561191 */     GIR_RootConstrainSelectedInstOperands,
     /*  561192 */     // GIR_Coverage, 3235,
     /*  561192 */     GIR_EraseRootFromParent_Done,
     /*  561193 */   // Label 9210: @561193
     /*  561193 */   GIM_Try, /*On fail goto*//*Label 9211*/ GIMT_Encode4(561268), // Rule ID 3238 //
     /*  561198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  561209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  561212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  561215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  561218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  561247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561266 */     GIR_RootConstrainSelectedInstOperands,
     /*  561267 */     // GIR_Coverage, 3238,
     /*  561267 */     GIR_EraseRootFromParent_Done,
     /*  561268 */   // Label 9211: @561268
     /*  561268 */   GIM_Try, /*On fail goto*//*Label 9212*/ GIMT_Encode4(561343), // Rule ID 3239 //
     /*  561273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  561284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  561287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  561290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  561293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561319 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  561322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561341 */     GIR_RootConstrainSelectedInstOperands,
     /*  561342 */     // GIR_Coverage, 3239,
     /*  561342 */     GIR_EraseRootFromParent_Done,
     /*  561343 */   // Label 9212: @561343
     /*  561343 */   GIM_Try, /*On fail goto*//*Label 9213*/ GIMT_Encode4(561418), // Rule ID 3242 //
     /*  561348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  561359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  561362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  561365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  561368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561394 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561416 */     GIR_RootConstrainSelectedInstOperands,
     /*  561417 */     // GIR_Coverage, 3242,
     /*  561417 */     GIR_EraseRootFromParent_Done,
     /*  561418 */   // Label 9213: @561418
     /*  561418 */   GIM_Try, /*On fail goto*//*Label 9214*/ GIMT_Encode4(561493), // Rule ID 3243 //
     /*  561423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  561434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  561437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  561440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  561443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561469 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  561469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  561488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561491 */     GIR_RootConstrainSelectedInstOperands,
     /*  561492 */     // GIR_Coverage, 3243,
     /*  561492 */     GIR_EraseRootFromParent_Done,
     /*  561493 */   // Label 9214: @561493
     /*  561493 */   GIM_Try, /*On fail goto*//*Label 9215*/ GIMT_Encode4(561568), // Rule ID 3246 //
     /*  561498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  561509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  561512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  561515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  561518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561544 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  561547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561566 */     GIR_RootConstrainSelectedInstOperands,
     /*  561567 */     // GIR_Coverage, 3246,
     /*  561567 */     GIR_EraseRootFromParent_Done,
     /*  561568 */   // Label 9215: @561568
     /*  561568 */   GIM_Try, /*On fail goto*//*Label 9216*/ GIMT_Encode4(561643), // Rule ID 3247 //
     /*  561573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  561584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  561587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  561590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  561593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561619 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4),
     /*  561622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561641 */     GIR_RootConstrainSelectedInstOperands,
     /*  561642 */     // GIR_Coverage, 3247,
     /*  561642 */     GIR_EraseRootFromParent_Done,
     /*  561643 */   // Label 9216: @561643
     /*  561643 */   GIM_Try, /*On fail goto*//*Label 9217*/ GIMT_Encode4(561718), // Rule ID 3250 //
     /*  561648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  561665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  561668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  561694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561716 */     GIR_RootConstrainSelectedInstOperands,
     /*  561717 */     // GIR_Coverage, 3250,
     /*  561717 */     GIR_EraseRootFromParent_Done,
     /*  561718 */   // Label 9217: @561718
     /*  561718 */   GIM_Try, /*On fail goto*//*Label 9218*/ GIMT_Encode4(561793), // Rule ID 3251 //
     /*  561723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  561734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  561737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  561740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  561743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561769 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  561769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  561788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561791 */     GIR_RootConstrainSelectedInstOperands,
     /*  561792 */     // GIR_Coverage, 3251,
     /*  561792 */     GIR_EraseRootFromParent_Done,
     /*  561793 */   // Label 9218: @561793
     /*  561793 */   GIM_Try, /*On fail goto*//*Label 9219*/ GIMT_Encode4(561868), // Rule ID 3254 //
     /*  561798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  561844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561866 */     GIR_RootConstrainSelectedInstOperands,
     /*  561867 */     // GIR_Coverage, 3254,
     /*  561867 */     GIR_EraseRootFromParent_Done,
     /*  561868 */   // Label 9219: @561868
     /*  561868 */   GIM_Try, /*On fail goto*//*Label 9220*/ GIMT_Encode4(561943), // Rule ID 3255 //
     /*  561873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  561876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  561884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  561887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  561890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  561893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  561896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561919 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  561919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2),
     /*  561922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  561926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  561928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  561930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  561935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  561938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  561941 */     GIR_RootConstrainSelectedInstOperands,
     /*  561942 */     // GIR_Coverage, 3255,
     /*  561942 */     GIR_EraseRootFromParent_Done,
     /*  561943 */   // Label 9220: @561943
     /*  561943 */   GIM_Try, /*On fail goto*//*Label 9221*/ GIMT_Encode4(562018), // Rule ID 3258 //
     /*  561948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  561951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  561956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  561959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  561962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  561965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  561968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  561971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  561987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  561994 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  561994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  561997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  561999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562016 */     GIR_RootConstrainSelectedInstOperands,
     /*  562017 */     // GIR_Coverage, 3258,
     /*  562017 */     GIR_EraseRootFromParent_Done,
     /*  562018 */   // Label 9221: @562018
     /*  562018 */   GIM_Try, /*On fail goto*//*Label 9222*/ GIMT_Encode4(562093), // Rule ID 3259 //
     /*  562023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  562034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  562037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  562040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  562043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562069 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  562072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562091 */     GIR_RootConstrainSelectedInstOperands,
     /*  562092 */     // GIR_Coverage, 3259,
     /*  562092 */     GIR_EraseRootFromParent_Done,
     /*  562093 */   // Label 9222: @562093
     /*  562093 */   GIM_Try, /*On fail goto*//*Label 9223*/ GIMT_Encode4(562168), // Rule ID 3262 //
     /*  562098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  562109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  562112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  562115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  562118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  562144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  562147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562166 */     GIR_RootConstrainSelectedInstOperands,
     /*  562167 */     // GIR_Coverage, 3262,
     /*  562167 */     GIR_EraseRootFromParent_Done,
     /*  562168 */   // Label 9223: @562168
     /*  562168 */   GIM_Try, /*On fail goto*//*Label 9224*/ GIMT_Encode4(562243), // Rule ID 3263 //
     /*  562173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  562184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  562187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  562190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  562193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  562219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  562222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  562238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562241 */     GIR_RootConstrainSelectedInstOperands,
     /*  562242 */     // GIR_Coverage, 3263,
     /*  562242 */     GIR_EraseRootFromParent_Done,
     /*  562243 */   // Label 9224: @562243
     /*  562243 */   GIM_Try, /*On fail goto*//*Label 9225*/ GIMT_Encode4(562318), // Rule ID 3266 //
     /*  562248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  562259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  562262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  562265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  562268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  562294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  562297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562316 */     GIR_RootConstrainSelectedInstOperands,
     /*  562317 */     // GIR_Coverage, 3266,
     /*  562317 */     GIR_EraseRootFromParent_Done,
     /*  562318 */   // Label 9225: @562318
     /*  562318 */   GIM_Try, /*On fail goto*//*Label 9226*/ GIMT_Encode4(562393), // Rule ID 3267 //
     /*  562323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  562334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  562337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  562340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  562343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562369 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  562369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  562372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  562388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562391 */     GIR_RootConstrainSelectedInstOperands,
     /*  562392 */     // GIR_Coverage, 3267,
     /*  562392 */     GIR_EraseRootFromParent_Done,
     /*  562393 */   // Label 9226: @562393
     /*  562393 */   GIM_Try, /*On fail goto*//*Label 9227*/ GIMT_Encode4(562468), // Rule ID 3270 //
     /*  562398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  562401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  562409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  562412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  562415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  562418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562444 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  562444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  562447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562466 */     GIR_RootConstrainSelectedInstOperands,
     /*  562467 */     // GIR_Coverage, 3270,
     /*  562467 */     GIR_EraseRootFromParent_Done,
     /*  562468 */   // Label 9227: @562468
     /*  562468 */   GIM_Try, /*On fail goto*//*Label 9228*/ GIMT_Encode4(562543), // Rule ID 3271 //
     /*  562473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  562476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  562484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  562487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  562490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  562493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  562512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562519 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  562519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1),
     /*  562522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  562538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562541 */     GIR_RootConstrainSelectedInstOperands,
     /*  562542 */     // GIR_Coverage, 3271,
     /*  562542 */     GIR_EraseRootFromParent_Done,
     /*  562543 */   // Label 9228: @562543
     /*  562543 */   GIM_Try, /*On fail goto*//*Label 9229*/ GIMT_Encode4(562618), // Rule ID 3274 //
     /*  562548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  562559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  562562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  562565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  562568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562594 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562616 */     GIR_RootConstrainSelectedInstOperands,
     /*  562617 */     // GIR_Coverage, 3274,
     /*  562617 */     GIR_EraseRootFromParent_Done,
     /*  562618 */   // Label 9229: @562618
     /*  562618 */   GIM_Try, /*On fail goto*//*Label 9230*/ GIMT_Encode4(562693), // Rule ID 3275 //
     /*  562623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  562634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  562637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  562640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  562643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  562662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562669 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  562672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562691 */     GIR_RootConstrainSelectedInstOperands,
     /*  562692 */     // GIR_Coverage, 3275,
     /*  562692 */     GIR_EraseRootFromParent_Done,
     /*  562693 */   // Label 9230: @562693
     /*  562693 */   GIM_Try, /*On fail goto*//*Label 9231*/ GIMT_Encode4(562768), // Rule ID 3278 //
     /*  562698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  562709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  562712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  562718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562744 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562766 */     GIR_RootConstrainSelectedInstOperands,
     /*  562767 */     // GIR_Coverage, 3278,
     /*  562767 */     GIR_EraseRootFromParent_Done,
     /*  562768 */   // Label 9231: @562768
     /*  562768 */   GIM_Try, /*On fail goto*//*Label 9232*/ GIMT_Encode4(562843), // Rule ID 3279 //
     /*  562773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  562784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  562787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  562790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  562793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  562812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562819 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  562822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562841 */     GIR_RootConstrainSelectedInstOperands,
     /*  562842 */     // GIR_Coverage, 3279,
     /*  562842 */     GIR_EraseRootFromParent_Done,
     /*  562843 */   // Label 9232: @562843
     /*  562843 */   GIM_Try, /*On fail goto*//*Label 9233*/ GIMT_Encode4(562918), // Rule ID 3282 //
     /*  562848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  562851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  562859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  562862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  562865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  562868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  562871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  562894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562916 */     GIR_RootConstrainSelectedInstOperands,
     /*  562917 */     // GIR_Coverage, 3282,
     /*  562917 */     GIR_EraseRootFromParent_Done,
     /*  562918 */   // Label 9233: @562918
     /*  562918 */   GIM_Try, /*On fail goto*//*Label 9234*/ GIMT_Encode4(562993), // Rule ID 3283 //
     /*  562923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  562926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  562931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  562934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  562937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  562940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  562943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  562946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  562962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  562969 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  562969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  562972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  562974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  562976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  562978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  562980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  562985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  562988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  562991 */     GIR_RootConstrainSelectedInstOperands,
     /*  562992 */     // GIR_Coverage, 3283,
     /*  562992 */     GIR_EraseRootFromParent_Done,
     /*  562993 */   // Label 9234: @562993
     /*  562993 */   GIM_Try, /*On fail goto*//*Label 9235*/ GIMT_Encode4(563068), // Rule ID 3286 //
     /*  562998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  563009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  563012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  563015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  563018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563066 */     GIR_RootConstrainSelectedInstOperands,
     /*  563067 */     // GIR_Coverage, 3286,
     /*  563067 */     GIR_EraseRootFromParent_Done,
     /*  563068 */   // Label 9235: @563068
     /*  563068 */   GIM_Try, /*On fail goto*//*Label 9236*/ GIMT_Encode4(563143), // Rule ID 3287 //
     /*  563073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  563084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  563087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  563090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  563093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563141 */     GIR_RootConstrainSelectedInstOperands,
     /*  563142 */     // GIR_Coverage, 3287,
     /*  563142 */     GIR_EraseRootFromParent_Done,
     /*  563143 */   // Label 9236: @563143
     /*  563143 */   GIM_Try, /*On fail goto*//*Label 9237*/ GIMT_Encode4(563218), // Rule ID 3290 //
     /*  563148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  563159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  563162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  563165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  563168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563194 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563216 */     GIR_RootConstrainSelectedInstOperands,
     /*  563217 */     // GIR_Coverage, 3290,
     /*  563217 */     GIR_EraseRootFromParent_Done,
     /*  563218 */   // Label 9237: @563218
     /*  563218 */   GIM_Try, /*On fail goto*//*Label 9238*/ GIMT_Encode4(563293), // Rule ID 3291 //
     /*  563223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  563234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  563237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  563240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  563243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563291 */     GIR_RootConstrainSelectedInstOperands,
     /*  563292 */     // GIR_Coverage, 3291,
     /*  563292 */     GIR_EraseRootFromParent_Done,
     /*  563293 */   // Label 9238: @563293
     /*  563293 */   GIM_Try, /*On fail goto*//*Label 9239*/ GIMT_Encode4(563368), // Rule ID 3294 //
     /*  563298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  563309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  563312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  563315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  563318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  563344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563366 */     GIR_RootConstrainSelectedInstOperands,
     /*  563367 */     // GIR_Coverage, 3294,
     /*  563367 */     GIR_EraseRootFromParent_Done,
     /*  563368 */   // Label 9239: @563368
     /*  563368 */   GIM_Try, /*On fail goto*//*Label 9240*/ GIMT_Encode4(563443), // Rule ID 3295 //
     /*  563373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  563384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  563387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  563390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  563393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  563419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  563438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563441 */     GIR_RootConstrainSelectedInstOperands,
     /*  563442 */     // GIR_Coverage, 3295,
     /*  563442 */     GIR_EraseRootFromParent_Done,
     /*  563443 */   // Label 9240: @563443
     /*  563443 */   GIM_Try, /*On fail goto*//*Label 9241*/ GIMT_Encode4(563518), // Rule ID 3298 //
     /*  563448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  563459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  563462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  563465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  563468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563516 */     GIR_RootConstrainSelectedInstOperands,
     /*  563517 */     // GIR_Coverage, 3298,
     /*  563517 */     GIR_EraseRootFromParent_Done,
     /*  563518 */   // Label 9241: @563518
     /*  563518 */   GIM_Try, /*On fail goto*//*Label 9242*/ GIMT_Encode4(563593), // Rule ID 3299 //
     /*  563523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  563534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  563537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  563540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  563543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563569 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563591 */     GIR_RootConstrainSelectedInstOperands,
     /*  563592 */     // GIR_Coverage, 3299,
     /*  563592 */     GIR_EraseRootFromParent_Done,
     /*  563593 */   // Label 9242: @563593
     /*  563593 */   GIM_Try, /*On fail goto*//*Label 9243*/ GIMT_Encode4(563668), // Rule ID 3302 //
     /*  563598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  563618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563666 */     GIR_RootConstrainSelectedInstOperands,
     /*  563667 */     // GIR_Coverage, 3302,
     /*  563667 */     GIR_EraseRootFromParent_Done,
     /*  563668 */   // Label 9243: @563668
     /*  563668 */   GIM_Try, /*On fail goto*//*Label 9244*/ GIMT_Encode4(563743), // Rule ID 3303 //
     /*  563673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  563684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  563687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  563690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  563693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  563712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563719 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  563722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563741 */     GIR_RootConstrainSelectedInstOperands,
     /*  563742 */     // GIR_Coverage, 3303,
     /*  563742 */     GIR_EraseRootFromParent_Done,
     /*  563743 */   // Label 9244: @563743
     /*  563743 */   GIM_Try, /*On fail goto*//*Label 9245*/ GIMT_Encode4(563818), // Rule ID 3306 //
     /*  563748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  563751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  563768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563794 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  563794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563816 */     GIR_RootConstrainSelectedInstOperands,
     /*  563817 */     // GIR_Coverage, 3306,
     /*  563817 */     GIR_EraseRootFromParent_Done,
     /*  563818 */   // Label 9245: @563818
     /*  563818 */   GIM_Try, /*On fail goto*//*Label 9246*/ GIMT_Encode4(563893), // Rule ID 3307 //
     /*  563823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  563826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  563834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  563837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  563840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  563843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  563862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563869 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  563869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  563872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  563888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563891 */     GIR_RootConstrainSelectedInstOperands,
     /*  563892 */     // GIR_Coverage, 3307,
     /*  563892 */     GIR_EraseRootFromParent_Done,
     /*  563893 */   // Label 9246: @563893
     /*  563893 */   GIM_Try, /*On fail goto*//*Label 9247*/ GIMT_Encode4(563968), // Rule ID 3310 //
     /*  563898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  563901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  563915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  563918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  563921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  563937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  563944 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  563944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  563947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  563949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  563951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  563953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  563955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  563960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  563963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  563966 */     GIR_RootConstrainSelectedInstOperands,
     /*  563967 */     // GIR_Coverage, 3310,
     /*  563967 */     GIR_EraseRootFromParent_Done,
     /*  563968 */   // Label 9247: @563968
     /*  563968 */   GIM_Try, /*On fail goto*//*Label 9248*/ GIMT_Encode4(564043), // Rule ID 3311 //
     /*  563973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  563976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  563981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  563984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  563987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  563990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  563993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  563996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  564012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564019 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2),
     /*  564022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564041 */     GIR_RootConstrainSelectedInstOperands,
     /*  564042 */     // GIR_Coverage, 3311,
     /*  564042 */     GIR_EraseRootFromParent_Done,
     /*  564043 */   // Label 9248: @564043
     /*  564043 */   GIM_Try, /*On fail goto*//*Label 9249*/ GIMT_Encode4(564118), // Rule ID 3314 //
     /*  564048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  564051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  564059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  564062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  564065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  564068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564094 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  564094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  564097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564116 */     GIR_RootConstrainSelectedInstOperands,
     /*  564117 */     // GIR_Coverage, 3314,
     /*  564117 */     GIR_EraseRootFromParent_Done,
     /*  564118 */   // Label 9249: @564118
     /*  564118 */   GIM_Try, /*On fail goto*//*Label 9250*/ GIMT_Encode4(564193), // Rule ID 3315 //
     /*  564123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  564126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  564134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  564137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  564140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  564143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  564162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564169 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4),
     /*  564172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564191 */     GIR_RootConstrainSelectedInstOperands,
     /*  564192 */     // GIR_Coverage, 3315,
     /*  564192 */     GIR_EraseRootFromParent_Done,
     /*  564193 */   // Label 9250: @564193
     /*  564193 */   GIM_Try, /*On fail goto*//*Label 9251*/ GIMT_Encode4(564268), // Rule ID 3318 //
     /*  564198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  564201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  564209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  564212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  564215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  564218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  564244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  564247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564266 */     GIR_RootConstrainSelectedInstOperands,
     /*  564267 */     // GIR_Coverage, 3318,
     /*  564267 */     GIR_EraseRootFromParent_Done,
     /*  564268 */   // Label 9251: @564268
     /*  564268 */   GIM_Try, /*On fail goto*//*Label 9252*/ GIMT_Encode4(564343), // Rule ID 3319 //
     /*  564273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  564276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  564284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  564287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  564290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  564293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  564312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564319 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  564319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8),
     /*  564322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  564338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564341 */     GIR_RootConstrainSelectedInstOperands,
     /*  564342 */     // GIR_Coverage, 3319,
     /*  564342 */     GIR_EraseRootFromParent_Done,
     /*  564343 */   // Label 9252: @564343
     /*  564343 */   GIM_Try, /*On fail goto*//*Label 9253*/ GIMT_Encode4(564418), // Rule ID 3322 //
     /*  564348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  564359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  564362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  564365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564394 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  564397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564416 */     GIR_RootConstrainSelectedInstOperands,
     /*  564417 */     // GIR_Coverage, 3322,
     /*  564417 */     GIR_EraseRootFromParent_Done,
     /*  564418 */   // Label 9253: @564418
     /*  564418 */   GIM_Try, /*On fail goto*//*Label 9254*/ GIMT_Encode4(564493), // Rule ID 3323 //
     /*  564423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  564434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  564437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  564440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8),
     /*  564472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564491 */     GIR_RootConstrainSelectedInstOperands,
     /*  564492 */     // GIR_Coverage, 3323,
     /*  564492 */     GIR_EraseRootFromParent_Done,
     /*  564493 */   // Label 9254: @564493
     /*  564493 */   GIM_Try, /*On fail goto*//*Label 9255*/ GIMT_Encode4(564568), // Rule ID 3326 //
     /*  564498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  564509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  564512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  564515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564544 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564566 */     GIR_RootConstrainSelectedInstOperands,
     /*  564567 */     // GIR_Coverage, 3326,
     /*  564567 */     GIR_EraseRootFromParent_Done,
     /*  564568 */   // Label 9255: @564568
     /*  564568 */   GIM_Try, /*On fail goto*//*Label 9256*/ GIMT_Encode4(564643), // Rule ID 3327 //
     /*  564573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  564584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  564587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  564590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564619 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564641 */     GIR_RootConstrainSelectedInstOperands,
     /*  564642 */     // GIR_Coverage, 3327,
     /*  564642 */     GIR_EraseRootFromParent_Done,
     /*  564643 */   // Label 9256: @564643
     /*  564643 */   GIM_Try, /*On fail goto*//*Label 9257*/ GIMT_Encode4(564718), // Rule ID 3330 //
     /*  564648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  564659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  564662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564694 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  564694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564716 */     GIR_RootConstrainSelectedInstOperands,
     /*  564717 */     // GIR_Coverage, 3330,
     /*  564717 */     GIR_EraseRootFromParent_Done,
     /*  564718 */   // Label 9257: @564718
     /*  564718 */   GIM_Try, /*On fail goto*//*Label 9258*/ GIMT_Encode4(564793), // Rule ID 3331 //
     /*  564723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  564734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  564737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  564740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564769 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  564769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  564788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564791 */     GIR_RootConstrainSelectedInstOperands,
     /*  564792 */     // GIR_Coverage, 3331,
     /*  564792 */     GIR_EraseRootFromParent_Done,
     /*  564793 */   // Label 9258: @564793
     /*  564793 */   GIM_Try, /*On fail goto*//*Label 9259*/ GIMT_Encode4(564868), // Rule ID 3334 //
     /*  564798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564844 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564866 */     GIR_RootConstrainSelectedInstOperands,
     /*  564867 */     // GIR_Coverage, 3334,
     /*  564867 */     GIR_EraseRootFromParent_Done,
     /*  564868 */   // Label 9259: @564868
     /*  564868 */   GIM_Try, /*On fail goto*//*Label 9260*/ GIMT_Encode4(564943), // Rule ID 3335 //
     /*  564873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  564876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  564884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  564887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  564890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  564893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  564896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  564919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4),
     /*  564922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  564926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  564928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  564930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  564935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  564938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  564941 */     GIR_RootConstrainSelectedInstOperands,
     /*  564942 */     // GIR_Coverage, 3335,
     /*  564942 */     GIR_EraseRootFromParent_Done,
     /*  564943 */   // Label 9260: @564943
     /*  564943 */   GIM_Try, /*On fail goto*//*Label 9261*/ GIMT_Encode4(565018), // Rule ID 3338 //
     /*  564948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  564951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  564956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  564959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  564962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  564965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  564968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  564971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  564983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  564987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  564994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  564994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  564997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  564999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565016 */     GIR_RootConstrainSelectedInstOperands,
     /*  565017 */     // GIR_Coverage, 3338,
     /*  565017 */     GIR_EraseRootFromParent_Done,
     /*  565018 */   // Label 9261: @565018
     /*  565018 */   GIM_Try, /*On fail goto*//*Label 9262*/ GIMT_Encode4(565093), // Rule ID 3339 //
     /*  565023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  565034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  565037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  565040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565069 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  565072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565091 */     GIR_RootConstrainSelectedInstOperands,
     /*  565092 */     // GIR_Coverage, 3339,
     /*  565092 */     GIR_EraseRootFromParent_Done,
     /*  565093 */   // Label 9262: @565093
     /*  565093 */   GIM_Try, /*On fail goto*//*Label 9263*/ GIMT_Encode4(565168), // Rule ID 3342 //
     /*  565098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  565109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  565112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  565115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  565147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565166 */     GIR_RootConstrainSelectedInstOperands,
     /*  565167 */     // GIR_Coverage, 3342,
     /*  565167 */     GIR_EraseRootFromParent_Done,
     /*  565168 */   // Label 9263: @565168
     /*  565168 */   GIM_Try, /*On fail goto*//*Label 9264*/ GIMT_Encode4(565243), // Rule ID 3343 //
     /*  565173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  565184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  565187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  565190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2),
     /*  565222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565241 */     GIR_RootConstrainSelectedInstOperands,
     /*  565242 */     // GIR_Coverage, 3343,
     /*  565242 */     GIR_EraseRootFromParent_Done,
     /*  565243 */   // Label 9264: @565243
     /*  565243 */   GIM_Try, /*On fail goto*//*Label 9265*/ GIMT_Encode4(565318), // Rule ID 3346 //
     /*  565248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  565259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  565262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  565265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565316 */     GIR_RootConstrainSelectedInstOperands,
     /*  565317 */     // GIR_Coverage, 3346,
     /*  565317 */     GIR_EraseRootFromParent_Done,
     /*  565318 */   // Label 9265: @565318
     /*  565318 */   GIM_Try, /*On fail goto*//*Label 9266*/ GIMT_Encode4(565393), // Rule ID 3347 //
     /*  565323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  565334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  565337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  565340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565369 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11621:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565391 */     GIR_RootConstrainSelectedInstOperands,
     /*  565392 */     // GIR_Coverage, 3347,
     /*  565392 */     GIR_EraseRootFromParent_Done,
     /*  565393 */   // Label 9266: @565393
     /*  565393 */   GIM_Try, /*On fail goto*//*Label 9267*/ GIMT_Encode4(565468), // Rule ID 3350 //
     /*  565398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  565409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  565412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565444 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  565444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565466 */     GIR_RootConstrainSelectedInstOperands,
     /*  565467 */     // GIR_Coverage, 3350,
     /*  565467 */     GIR_EraseRootFromParent_Done,
     /*  565468 */   // Label 9267: @565468
     /*  565468 */   GIM_Try, /*On fail goto*//*Label 9268*/ GIMT_Encode4(565543), // Rule ID 3351 //
     /*  565473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  565484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  565487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  565490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565519 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11621:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  565519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  565538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565541 */     GIR_RootConstrainSelectedInstOperands,
     /*  565542 */     // GIR_Coverage, 3351,
     /*  565542 */     GIR_EraseRootFromParent_Done,
     /*  565543 */   // Label 9268: @565543
     /*  565543 */   GIM_Try, /*On fail goto*//*Label 9269*/ GIMT_Encode4(565618), // Rule ID 3354 //
     /*  565548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  565559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  565562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  565565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  565594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565616 */     GIR_RootConstrainSelectedInstOperands,
     /*  565617 */     // GIR_Coverage, 3354,
     /*  565617 */     GIR_EraseRootFromParent_Done,
     /*  565618 */   // Label 9269: @565618
     /*  565618 */   GIM_Try, /*On fail goto*//*Label 9270*/ GIMT_Encode4(565693), // Rule ID 3355 //
     /*  565623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  565634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  565637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  565640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565669 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11621:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  565669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  565688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565691 */     GIR_RootConstrainSelectedInstOperands,
     /*  565692 */     // GIR_Coverage, 3355,
     /*  565692 */     GIR_EraseRootFromParent_Done,
     /*  565693 */   // Label 9270: @565693
     /*  565693 */   GIM_Try, /*On fail goto*//*Label 9271*/ GIMT_Encode4(565768), // Rule ID 3358 //
     /*  565698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  565701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  565709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  565712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  565715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  565744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565766 */     GIR_RootConstrainSelectedInstOperands,
     /*  565767 */     // GIR_Coverage, 3358,
     /*  565767 */     GIR_EraseRootFromParent_Done,
     /*  565768 */   // Label 9271: @565768
     /*  565768 */   GIM_Try, /*On fail goto*//*Label 9272*/ GIMT_Encode4(565843), // Rule ID 3359 //
     /*  565773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  565776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  565784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  565787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  565790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  565808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11621:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  565819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1),
     /*  565822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  565838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565841 */     GIR_RootConstrainSelectedInstOperands,
     /*  565842 */     // GIR_Coverage, 3359,
     /*  565842 */     GIR_EraseRootFromParent_Done,
     /*  565843 */   // Label 9272: @565843
     /*  565843 */   GIM_Try, /*On fail goto*//*Label 9273*/ GIMT_Encode4(565918), // Rule ID 3362 //
     /*  565848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  565851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  565868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  565871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565894 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  565894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565916 */     GIR_RootConstrainSelectedInstOperands,
     /*  565917 */     // GIR_Coverage, 3362,
     /*  565917 */     GIR_EraseRootFromParent_Done,
     /*  565918 */   // Label 9273: @565918
     /*  565918 */   GIM_Try, /*On fail goto*//*Label 9274*/ GIMT_Encode4(565993), // Rule ID 3363 //
     /*  565923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  565926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  565931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  565934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  565937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  565940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  565943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  565946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  565958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  565962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  565969 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  565969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  565972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  565974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  565976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  565978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  565980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  565985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  565988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  565991 */     GIR_RootConstrainSelectedInstOperands,
     /*  565992 */     // GIR_Coverage, 3363,
     /*  565992 */     GIR_EraseRootFromParent_Done,
     /*  565993 */   // Label 9274: @565993
     /*  565993 */   GIM_Try, /*On fail goto*//*Label 9275*/ GIMT_Encode4(566068), // Rule ID 3366 //
     /*  565998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  566009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  566012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566044 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566066 */     GIR_RootConstrainSelectedInstOperands,
     /*  566067 */     // GIR_Coverage, 3366,
     /*  566067 */     GIR_EraseRootFromParent_Done,
     /*  566068 */   // Label 9275: @566068
     /*  566068 */   GIM_Try, /*On fail goto*//*Label 9276*/ GIMT_Encode4(566143), // Rule ID 3367 //
     /*  566073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  566084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  566087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  566090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566119 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566141 */     GIR_RootConstrainSelectedInstOperands,
     /*  566142 */     // GIR_Coverage, 3367,
     /*  566142 */     GIR_EraseRootFromParent_Done,
     /*  566143 */   // Label 9276: @566143
     /*  566143 */   GIM_Try, /*On fail goto*//*Label 9277*/ GIMT_Encode4(566218), // Rule ID 3370 //
     /*  566148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  566159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  566162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  566165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566194 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  566194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566216 */     GIR_RootConstrainSelectedInstOperands,
     /*  566217 */     // GIR_Coverage, 3370,
     /*  566217 */     GIR_EraseRootFromParent_Done,
     /*  566218 */   // Label 9277: @566218
     /*  566218 */   GIM_Try, /*On fail goto*//*Label 9278*/ GIMT_Encode4(566293), // Rule ID 3371 //
     /*  566223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  566234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  566237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  566240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566269 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  566269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  566288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566291 */     GIR_RootConstrainSelectedInstOperands,
     /*  566292 */     // GIR_Coverage, 3371,
     /*  566292 */     GIR_EraseRootFromParent_Done,
     /*  566293 */   // Label 9278: @566293
     /*  566293 */   GIM_Try, /*On fail goto*//*Label 9279*/ GIMT_Encode4(566368), // Rule ID 3374 //
     /*  566298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  566315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566366 */     GIR_RootConstrainSelectedInstOperands,
     /*  566367 */     // GIR_Coverage, 3374,
     /*  566367 */     GIR_EraseRootFromParent_Done,
     /*  566368 */   // Label 9279: @566368
     /*  566368 */   GIM_Try, /*On fail goto*//*Label 9280*/ GIMT_Encode4(566443), // Rule ID 3375 //
     /*  566373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  566384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  566387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  566390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566419 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566441 */     GIR_RootConstrainSelectedInstOperands,
     /*  566442 */     // GIR_Coverage, 3375,
     /*  566442 */     GIR_EraseRootFromParent_Done,
     /*  566443 */   // Label 9280: @566443
     /*  566443 */   GIM_Try, /*On fail goto*//*Label 9281*/ GIMT_Encode4(566518), // Rule ID 3378 //
     /*  566448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  566465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566494 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566516 */     GIR_RootConstrainSelectedInstOperands,
     /*  566517 */     // GIR_Coverage, 3378,
     /*  566517 */     GIR_EraseRootFromParent_Done,
     /*  566518 */   // Label 9281: @566518
     /*  566518 */   GIM_Try, /*On fail goto*//*Label 9282*/ GIMT_Encode4(566593), // Rule ID 3379 //
     /*  566523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  566534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  566537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  566540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566569 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566591 */     GIR_RootConstrainSelectedInstOperands,
     /*  566592 */     // GIR_Coverage, 3379,
     /*  566592 */     GIR_EraseRootFromParent_Done,
     /*  566593 */   // Label 9282: @566593
     /*  566593 */   GIM_Try, /*On fail goto*//*Label 9283*/ GIMT_Encode4(566668), // Rule ID 3382 //
     /*  566598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  566615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566644 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  566644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566666 */     GIR_RootConstrainSelectedInstOperands,
     /*  566667 */     // GIR_Coverage, 3382,
     /*  566667 */     GIR_EraseRootFromParent_Done,
     /*  566668 */   // Label 9283: @566668
     /*  566668 */   GIM_Try, /*On fail goto*//*Label 9284*/ GIMT_Encode4(566743), // Rule ID 3383 //
     /*  566673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  566684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  566687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  566690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  566708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  566719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  566722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  566738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566741 */     GIR_RootConstrainSelectedInstOperands,
     /*  566742 */     // GIR_Coverage, 3383,
     /*  566742 */     GIR_EraseRootFromParent_Done,
     /*  566743 */   // Label 9284: @566743
     /*  566743 */   GIM_Try, /*On fail goto*//*Label 9285*/ GIMT_Encode4(566818), // Rule ID 3386 //
     /*  566748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566816 */     GIR_RootConstrainSelectedInstOperands,
     /*  566817 */     // GIR_Coverage, 3386,
     /*  566817 */     GIR_EraseRootFromParent_Done,
     /*  566818 */   // Label 9285: @566818
     /*  566818 */   GIM_Try, /*On fail goto*//*Label 9286*/ GIMT_Encode4(566893), // Rule ID 3387 //
     /*  566823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  566834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  566837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  566840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  566858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  566869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  566872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566891 */     GIR_RootConstrainSelectedInstOperands,
     /*  566892 */     // GIR_Coverage, 3387,
     /*  566892 */     GIR_EraseRootFromParent_Done,
     /*  566893 */   // Label 9286: @566893
     /*  566893 */   GIM_Try, /*On fail goto*//*Label 9287*/ GIMT_Encode4(566968), // Rule ID 3390 //
     /*  566898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  566901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  566918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  566921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  566933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  566937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  566944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  566944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  566947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  566949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  566951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  566953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  566955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  566960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  566963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  566966 */     GIR_RootConstrainSelectedInstOperands,
     /*  566967 */     // GIR_Coverage, 3390,
     /*  566967 */     GIR_EraseRootFromParent_Done,
     /*  566968 */   // Label 9287: @566968
     /*  566968 */   GIM_Try, /*On fail goto*//*Label 9288*/ GIMT_Encode4(567043), // Rule ID 3391 //
     /*  566973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  566976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  566981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  566984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  566987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  566990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  566993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  566996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  567022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567041 */     GIR_RootConstrainSelectedInstOperands,
     /*  567042 */     // GIR_Coverage, 3391,
     /*  567042 */     GIR_EraseRootFromParent_Done,
     /*  567043 */   // Label 9288: @567043
     /*  567043 */   GIM_Try, /*On fail goto*//*Label 9289*/ GIMT_Encode4(567118), // Rule ID 3394 //
     /*  567048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  567065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  567094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  567097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567116 */     GIR_RootConstrainSelectedInstOperands,
     /*  567117 */     // GIR_Coverage, 3394,
     /*  567117 */     GIR_EraseRootFromParent_Done,
     /*  567118 */   // Label 9289: @567118
     /*  567118 */   GIM_Try, /*On fail goto*//*Label 9290*/ GIMT_Encode4(567193), // Rule ID 3395 //
     /*  567123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  567134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  567137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  567140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  567169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  567172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  567188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567191 */     GIR_RootConstrainSelectedInstOperands,
     /*  567192 */     // GIR_Coverage, 3395,
     /*  567192 */     GIR_EraseRootFromParent_Done,
     /*  567193 */   // Label 9290: @567193
     /*  567193 */   GIM_Try, /*On fail goto*//*Label 9291*/ GIMT_Encode4(567268), // Rule ID 3398 //
     /*  567198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  567201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  567215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567244 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  567244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  567247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567266 */     GIR_RootConstrainSelectedInstOperands,
     /*  567267 */     // GIR_Coverage, 3398,
     /*  567267 */     GIR_EraseRootFromParent_Done,
     /*  567268 */   // Label 9291: @567268
     /*  567268 */   GIM_Try, /*On fail goto*//*Label 9292*/ GIMT_Encode4(567343), // Rule ID 3399 //
     /*  567273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  567276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  567284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  567287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  567290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  567308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567319 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11621:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  567319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2),
     /*  567322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567341 */     GIR_RootConstrainSelectedInstOperands,
     /*  567342 */     // GIR_Coverage, 3399,
     /*  567342 */     GIR_EraseRootFromParent_Done,
     /*  567343 */   // Label 9292: @567343
     /*  567343 */   GIM_Try, /*On fail goto*//*Label 9293*/ GIMT_Encode4(567418), // Rule ID 3402 //
     /*  567348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  567351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  567359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  567362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  567365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  567394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  567397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567416 */     GIR_RootConstrainSelectedInstOperands,
     /*  567417 */     // GIR_Coverage, 3402,
     /*  567417 */     GIR_EraseRootFromParent_Done,
     /*  567418 */   // Label 9293: @567418
     /*  567418 */   GIM_Try, /*On fail goto*//*Label 9294*/ GIMT_Encode4(567493), // Rule ID 3403 //
     /*  567423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  567426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  567434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  567437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  567440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  567458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567469 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11621:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  567469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4),
     /*  567472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567491 */     GIR_RootConstrainSelectedInstOperands,
     /*  567492 */     // GIR_Coverage, 3403,
     /*  567492 */     GIR_EraseRootFromParent_Done,
     /*  567493 */   // Label 9294: @567493
     /*  567493 */   GIM_Try, /*On fail goto*//*Label 9295*/ GIMT_Encode4(567568), // Rule ID 3406 //
     /*  567498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  567501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  567509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  567512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  567515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  567544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  567547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567566 */     GIR_RootConstrainSelectedInstOperands,
     /*  567567 */     // GIR_Coverage, 3406,
     /*  567567 */     GIR_EraseRootFromParent_Done,
     /*  567568 */   // Label 9295: @567568
     /*  567568 */   GIM_Try, /*On fail goto*//*Label 9296*/ GIMT_Encode4(567643), // Rule ID 3407 //
     /*  567573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  567576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub),
     /*  567581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  567584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  567587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  567590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  567608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567619 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11621:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  567619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8),
     /*  567622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  567638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567641 */     GIR_RootConstrainSelectedInstOperands,
     /*  567642 */     // GIR_Coverage, 3407,
     /*  567642 */     GIR_EraseRootFromParent_Done,
     /*  567643 */   // Label 9296: @567643
     /*  567643 */   GIM_Try, /*On fail goto*//*Label 9297*/ GIMT_Encode4(567718), // Rule ID 3410 //
     /*  567648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  567659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  567662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  567665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567694 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  567697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567716 */     GIR_RootConstrainSelectedInstOperands,
     /*  567717 */     // GIR_Coverage, 3410,
     /*  567717 */     GIR_EraseRootFromParent_Done,
     /*  567718 */   // Label 9297: @567718
     /*  567718 */   GIM_Try, /*On fail goto*//*Label 9298*/ GIMT_Encode4(567793), // Rule ID 3411 //
     /*  567723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  567734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  567737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  567740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8),
     /*  567772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567791 */     GIR_RootConstrainSelectedInstOperands,
     /*  567792 */     // GIR_Coverage, 3411,
     /*  567792 */     GIR_EraseRootFromParent_Done,
     /*  567793 */   // Label 9298: @567793
     /*  567793 */   GIM_Try, /*On fail goto*//*Label 9299*/ GIMT_Encode4(567868), // Rule ID 3414 //
     /*  567798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  567815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567844 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567866 */     GIR_RootConstrainSelectedInstOperands,
     /*  567867 */     // GIR_Coverage, 3414,
     /*  567867 */     GIR_EraseRootFromParent_Done,
     /*  567868 */   // Label 9299: @567868
     /*  567868 */   GIM_Try, /*On fail goto*//*Label 9300*/ GIMT_Encode4(567943), // Rule ID 3415 //
     /*  567873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  567876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  567884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  567887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  567890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  567893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  567896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567919 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  567919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  567922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  567926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  567928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  567930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  567935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  567938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  567941 */     GIR_RootConstrainSelectedInstOperands,
     /*  567942 */     // GIR_Coverage, 3415,
     /*  567942 */     GIR_EraseRootFromParent_Done,
     /*  567943 */   // Label 9300: @567943
     /*  567943 */   GIM_Try, /*On fail goto*//*Label 9301*/ GIMT_Encode4(568018), // Rule ID 3418 //
     /*  567948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  567951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  567956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  567959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  567962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  567965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  567968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  567971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  567983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  567987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  567994 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  567994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  567997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  567999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568016 */     GIR_RootConstrainSelectedInstOperands,
     /*  568017 */     // GIR_Coverage, 3418,
     /*  568017 */     GIR_EraseRootFromParent_Done,
     /*  568018 */   // Label 9301: @568018
     /*  568018 */   GIM_Try, /*On fail goto*//*Label 9302*/ GIMT_Encode4(568093), // Rule ID 3419 //
     /*  568023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  568034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  568037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  568040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568069 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  568072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568091 */     GIR_RootConstrainSelectedInstOperands,
     /*  568092 */     // GIR_Coverage, 3419,
     /*  568092 */     GIR_EraseRootFromParent_Done,
     /*  568093 */   // Label 9302: @568093
     /*  568093 */   GIM_Try, /*On fail goto*//*Label 9303*/ GIMT_Encode4(568168), // Rule ID 3422 //
     /*  568098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  568115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  568147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568166 */     GIR_RootConstrainSelectedInstOperands,
     /*  568167 */     // GIR_Coverage, 3422,
     /*  568167 */     GIR_EraseRootFromParent_Done,
     /*  568168 */   // Label 9303: @568168
     /*  568168 */   GIM_Try, /*On fail goto*//*Label 9304*/ GIMT_Encode4(568243), // Rule ID 3423 //
     /*  568173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  568184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  568187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  568190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568219 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4),
     /*  568222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568241 */     GIR_RootConstrainSelectedInstOperands,
     /*  568242 */     // GIR_Coverage, 3423,
     /*  568242 */     GIR_EraseRootFromParent_Done,
     /*  568243 */   // Label 9304: @568243
     /*  568243 */   GIM_Try, /*On fail goto*//*Label 9305*/ GIMT_Encode4(568318), // Rule ID 3426 //
     /*  568248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  568265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568294 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  568297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568316 */     GIR_RootConstrainSelectedInstOperands,
     /*  568317 */     // GIR_Coverage, 3426,
     /*  568317 */     GIR_EraseRootFromParent_Done,
     /*  568318 */   // Label 9305: @568318
     /*  568318 */   GIM_Try, /*On fail goto*//*Label 9306*/ GIMT_Encode4(568393), // Rule ID 3427 //
     /*  568323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  568334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  568337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  568340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568369 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  568372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568391 */     GIR_RootConstrainSelectedInstOperands,
     /*  568392 */     // GIR_Coverage, 3427,
     /*  568392 */     GIR_EraseRootFromParent_Done,
     /*  568393 */   // Label 9306: @568393
     /*  568393 */   GIM_Try, /*On fail goto*//*Label 9307*/ GIMT_Encode4(568468), // Rule ID 3430 //
     /*  568398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568444 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  568447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568466 */     GIR_RootConstrainSelectedInstOperands,
     /*  568467 */     // GIR_Coverage, 3430,
     /*  568467 */     GIR_EraseRootFromParent_Done,
     /*  568468 */   // Label 9307: @568468
     /*  568468 */   GIM_Try, /*On fail goto*//*Label 9308*/ GIMT_Encode4(568543), // Rule ID 3431 //
     /*  568473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  568484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  568487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  568490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568519 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2),
     /*  568522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568541 */     GIR_RootConstrainSelectedInstOperands,
     /*  568542 */     // GIR_Coverage, 3431,
     /*  568542 */     GIR_EraseRootFromParent_Done,
     /*  568543 */   // Label 9308: @568543
     /*  568543 */   GIM_Try, /*On fail goto*//*Label 9309*/ GIMT_Encode4(568618), // Rule ID 3434 //
     /*  568548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  568559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  568562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  568594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568616 */     GIR_RootConstrainSelectedInstOperands,
     /*  568617 */     // GIR_Coverage, 3434,
     /*  568617 */     GIR_EraseRootFromParent_Done,
     /*  568618 */   // Label 9309: @568618
     /*  568618 */   GIM_Try, /*On fail goto*//*Label 9310*/ GIMT_Encode4(568693), // Rule ID 3435 //
     /*  568623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  568634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  568637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  568640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568669 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11529:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  568669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  568688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568691 */     GIR_RootConstrainSelectedInstOperands,
     /*  568692 */     // GIR_Coverage, 3435,
     /*  568692 */     GIR_EraseRootFromParent_Done,
     /*  568693 */   // Label 9310: @568693
     /*  568693 */   GIM_Try, /*On fail goto*//*Label 9311*/ GIMT_Encode4(568768), // Rule ID 3438 //
     /*  568698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  568744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568766 */     GIR_RootConstrainSelectedInstOperands,
     /*  568767 */     // GIR_Coverage, 3438,
     /*  568767 */     GIR_EraseRootFromParent_Done,
     /*  568768 */   // Label 9311: @568768
     /*  568768 */   GIM_Try, /*On fail goto*//*Label 9312*/ GIMT_Encode4(568843), // Rule ID 3439 //
     /*  568773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  568784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  568787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  568790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568819 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11529:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  568819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  568838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568841 */     GIR_RootConstrainSelectedInstOperands,
     /*  568842 */     // GIR_Coverage, 3439,
     /*  568842 */     GIR_EraseRootFromParent_Done,
     /*  568843 */   // Label 9312: @568843
     /*  568843 */   GIM_Try, /*On fail goto*//*Label 9313*/ GIMT_Encode4(568918), // Rule ID 3442 //
     /*  568848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  568851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  568868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  568871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  568894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568916 */     GIR_RootConstrainSelectedInstOperands,
     /*  568917 */     // GIR_Coverage, 3442,
     /*  568917 */     GIR_EraseRootFromParent_Done,
     /*  568918 */   // Label 9313: @568918
     /*  568918 */   GIM_Try, /*On fail goto*//*Label 9314*/ GIMT_Encode4(568993), // Rule ID 3443 //
     /*  568923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  568926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  568931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  568934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  568937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  568940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  568943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  568946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  568958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  568962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  568969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11529:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  568969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  568972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  568974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  568976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  568978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  568980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  568985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  568988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  568991 */     GIR_RootConstrainSelectedInstOperands,
     /*  568992 */     // GIR_Coverage, 3443,
     /*  568992 */     GIR_EraseRootFromParent_Done,
     /*  568993 */   // Label 9314: @568993
     /*  568993 */   GIM_Try, /*On fail goto*//*Label 9315*/ GIMT_Encode4(569068), // Rule ID 3446 //
     /*  568998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  569001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  569009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  569012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  569015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569044 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  569044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  569047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  569063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569066 */     GIR_RootConstrainSelectedInstOperands,
     /*  569067 */     // GIR_Coverage, 3446,
     /*  569067 */     GIR_EraseRootFromParent_Done,
     /*  569068 */   // Label 9315: @569068
     /*  569068 */   GIM_Try, /*On fail goto*//*Label 9316*/ GIMT_Encode4(569143), // Rule ID 3447 //
     /*  569073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  569076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  569084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  569087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  569090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  569108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11529:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  569119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1),
     /*  569122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  569138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569141 */     GIR_RootConstrainSelectedInstOperands,
     /*  569142 */     // GIR_Coverage, 3447,
     /*  569142 */     GIR_EraseRootFromParent_Done,
     /*  569143 */   // Label 9316: @569143
     /*  569143 */   GIM_Try, /*On fail goto*//*Label 9317*/ GIMT_Encode4(569218), // Rule ID 3450 //
     /*  569148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  569159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  569162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569216 */     GIR_RootConstrainSelectedInstOperands,
     /*  569217 */     // GIR_Coverage, 3450,
     /*  569217 */     GIR_EraseRootFromParent_Done,
     /*  569218 */   // Label 9317: @569218
     /*  569218 */   GIM_Try, /*On fail goto*//*Label 9318*/ GIMT_Encode4(569293), // Rule ID 3451 //
     /*  569223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  569234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  569237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  569240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569269 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569291 */     GIR_RootConstrainSelectedInstOperands,
     /*  569292 */     // GIR_Coverage, 3451,
     /*  569292 */     GIR_EraseRootFromParent_Done,
     /*  569293 */   // Label 9318: @569293
     /*  569293 */   GIM_Try, /*On fail goto*//*Label 9319*/ GIMT_Encode4(569368), // Rule ID 3454 //
     /*  569298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  569309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  569312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569366 */     GIR_RootConstrainSelectedInstOperands,
     /*  569367 */     // GIR_Coverage, 3454,
     /*  569367 */     GIR_EraseRootFromParent_Done,
     /*  569368 */   // Label 9319: @569368
     /*  569368 */   GIM_Try, /*On fail goto*//*Label 9320*/ GIMT_Encode4(569443), // Rule ID 3455 //
     /*  569373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  569384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  569387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  569390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569419 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569441 */     GIR_RootConstrainSelectedInstOperands,
     /*  569442 */     // GIR_Coverage, 3455,
     /*  569442 */     GIR_EraseRootFromParent_Done,
     /*  569443 */   // Label 9320: @569443
     /*  569443 */   GIM_Try, /*On fail goto*//*Label 9321*/ GIMT_Encode4(569518), // Rule ID 3458 //
     /*  569448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  569459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  569462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  569465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569494 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  569494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569516 */     GIR_RootConstrainSelectedInstOperands,
     /*  569517 */     // GIR_Coverage, 3458,
     /*  569517 */     GIR_EraseRootFromParent_Done,
     /*  569518 */   // Label 9321: @569518
     /*  569518 */   GIM_Try, /*On fail goto*//*Label 9322*/ GIMT_Encode4(569593), // Rule ID 3459 //
     /*  569523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  569534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  569537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  569540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569569 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  569569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  569588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569591 */     GIR_RootConstrainSelectedInstOperands,
     /*  569592 */     // GIR_Coverage, 3459,
     /*  569592 */     GIR_EraseRootFromParent_Done,
     /*  569593 */   // Label 9322: @569593
     /*  569593 */   GIM_Try, /*On fail goto*//*Label 9323*/ GIMT_Encode4(569668), // Rule ID 3462 //
     /*  569598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569644 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569666 */     GIR_RootConstrainSelectedInstOperands,
     /*  569667 */     // GIR_Coverage, 3462,
     /*  569667 */     GIR_EraseRootFromParent_Done,
     /*  569668 */   // Label 9323: @569668
     /*  569668 */   GIM_Try, /*On fail goto*//*Label 9324*/ GIMT_Encode4(569743), // Rule ID 3463 //
     /*  569673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  569684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  569687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  569690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  569708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569719 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  569722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569741 */     GIR_RootConstrainSelectedInstOperands,
     /*  569742 */     // GIR_Coverage, 3463,
     /*  569742 */     GIR_EraseRootFromParent_Done,
     /*  569743 */   // Label 9324: @569743
     /*  569743 */   GIM_Try, /*On fail goto*//*Label 9325*/ GIMT_Encode4(569818), // Rule ID 3466 //
     /*  569748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569816 */     GIR_RootConstrainSelectedInstOperands,
     /*  569817 */     // GIR_Coverage, 3466,
     /*  569817 */     GIR_EraseRootFromParent_Done,
     /*  569818 */   // Label 9325: @569818
     /*  569818 */   GIM_Try, /*On fail goto*//*Label 9326*/ GIMT_Encode4(569893), // Rule ID 3467 //
     /*  569823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  569834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  569837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  569840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  569858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569869 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  569869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  569872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569891 */     GIR_RootConstrainSelectedInstOperands,
     /*  569892 */     // GIR_Coverage, 3467,
     /*  569892 */     GIR_EraseRootFromParent_Done,
     /*  569893 */   // Label 9326: @569893
     /*  569893 */   GIM_Try, /*On fail goto*//*Label 9327*/ GIMT_Encode4(569968), // Rule ID 3470 //
     /*  569898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  569901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  569915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  569918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  569921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  569933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  569937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  569944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  569944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  569947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  569949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  569951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  569953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  569955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  569960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  569963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  569966 */     GIR_RootConstrainSelectedInstOperands,
     /*  569967 */     // GIR_Coverage, 3470,
     /*  569967 */     GIR_EraseRootFromParent_Done,
     /*  569968 */   // Label 9327: @569968
     /*  569968 */   GIM_Try, /*On fail goto*//*Label 9328*/ GIMT_Encode4(570043), // Rule ID 3471 //
     /*  569973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  569976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  569981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  569984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  569987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  569990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  569993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  569996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570019 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  570019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  570038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570041 */     GIR_RootConstrainSelectedInstOperands,
     /*  570042 */     // GIR_Coverage, 3471,
     /*  570042 */     GIR_EraseRootFromParent_Done,
     /*  570043 */   // Label 9328: @570043
     /*  570043 */   GIM_Try, /*On fail goto*//*Label 9329*/ GIMT_Encode4(570118), // Rule ID 3474 //
     /*  570048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  570059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  570062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570094 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  570097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570116 */     GIR_RootConstrainSelectedInstOperands,
     /*  570117 */     // GIR_Coverage, 3474,
     /*  570117 */     GIR_EraseRootFromParent_Done,
     /*  570118 */   // Label 9329: @570118
     /*  570118 */   GIM_Try, /*On fail goto*//*Label 9330*/ GIMT_Encode4(570193), // Rule ID 3475 //
     /*  570123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  570134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  570137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  570140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570169 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  570172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570191 */     GIR_RootConstrainSelectedInstOperands,
     /*  570192 */     // GIR_Coverage, 3475,
     /*  570192 */     GIR_EraseRootFromParent_Done,
     /*  570193 */   // Label 9330: @570193
     /*  570193 */   GIM_Try, /*On fail goto*//*Label 9331*/ GIMT_Encode4(570268), // Rule ID 3478 //
     /*  570198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  570209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  570212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  570247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570266 */     GIR_RootConstrainSelectedInstOperands,
     /*  570267 */     // GIR_Coverage, 3478,
     /*  570267 */     GIR_EraseRootFromParent_Done,
     /*  570268 */   // Label 9331: @570268
     /*  570268 */   GIM_Try, /*On fail goto*//*Label 9332*/ GIMT_Encode4(570343), // Rule ID 3479 //
     /*  570273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  570284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  570287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  570290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  570322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570341 */     GIR_RootConstrainSelectedInstOperands,
     /*  570342 */     // GIR_Coverage, 3479,
     /*  570342 */     GIR_EraseRootFromParent_Done,
     /*  570343 */   // Label 9332: @570343
     /*  570343 */   GIM_Try, /*On fail goto*//*Label 9333*/ GIMT_Encode4(570418), // Rule ID 3482 //
     /*  570348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  570359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  570362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  570365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  570394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570416 */     GIR_RootConstrainSelectedInstOperands,
     /*  570417 */     // GIR_Coverage, 3482,
     /*  570417 */     GIR_EraseRootFromParent_Done,
     /*  570418 */   // Label 9333: @570418
     /*  570418 */   GIM_Try, /*On fail goto*//*Label 9334*/ GIMT_Encode4(570493), // Rule ID 3483 //
     /*  570423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  570426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  570434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  570437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  570440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570469 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  570469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  570488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570491 */     GIR_RootConstrainSelectedInstOperands,
     /*  570492 */     // GIR_Coverage, 3483,
     /*  570492 */     GIR_EraseRootFromParent_Done,
     /*  570493 */   // Label 9334: @570493
     /*  570493 */   GIM_Try, /*On fail goto*//*Label 9335*/ GIMT_Encode4(570568), // Rule ID 3486 //
     /*  570498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  570501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  570515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  570547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570566 */     GIR_RootConstrainSelectedInstOperands,
     /*  570567 */     // GIR_Coverage, 3486,
     /*  570567 */     GIR_EraseRootFromParent_Done,
     /*  570568 */   // Label 9335: @570568
     /*  570568 */   GIM_Try, /*On fail goto*//*Label 9336*/ GIMT_Encode4(570643), // Rule ID 3487 //
     /*  570573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  570584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  570587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  570590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  570608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11529:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2),
     /*  570622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570641 */     GIR_RootConstrainSelectedInstOperands,
     /*  570642 */     // GIR_Coverage, 3487,
     /*  570642 */     GIR_EraseRootFromParent_Done,
     /*  570643 */   // Label 9336: @570643
     /*  570643 */   GIM_Try, /*On fail goto*//*Label 9337*/ GIMT_Encode4(570718), // Rule ID 3490 //
     /*  570648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  570651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  570665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  570697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570716 */     GIR_RootConstrainSelectedInstOperands,
     /*  570717 */     // GIR_Coverage, 3490,
     /*  570717 */     GIR_EraseRootFromParent_Done,
     /*  570718 */   // Label 9337: @570718
     /*  570718 */   GIM_Try, /*On fail goto*//*Label 9338*/ GIMT_Encode4(570793), // Rule ID 3491 //
     /*  570723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  570734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  570737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  570740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  570758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570769 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11529:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4),
     /*  570772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570791 */     GIR_RootConstrainSelectedInstOperands,
     /*  570792 */     // GIR_Coverage, 3491,
     /*  570792 */     GIR_EraseRootFromParent_Done,
     /*  570793 */   // Label 9338: @570793
     /*  570793 */   GIM_Try, /*On fail goto*//*Label 9339*/ GIMT_Encode4(570868), // Rule ID 3494 //
     /*  570798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  570801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  570815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  570818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  570844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570866 */     GIR_RootConstrainSelectedInstOperands,
     /*  570867 */     // GIR_Coverage, 3494,
     /*  570867 */     GIR_EraseRootFromParent_Done,
     /*  570868 */   // Label 9339: @570868
     /*  570868 */   GIM_Try, /*On fail goto*//*Label 9340*/ GIMT_Encode4(570943), // Rule ID 3495 //
     /*  570873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  570876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub),
     /*  570881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  570884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  570887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  570890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  570893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  570896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  570908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  570912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11529:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  570919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8),
     /*  570922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  570926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  570928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  570930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  570935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  570938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  570941 */     GIR_RootConstrainSelectedInstOperands,
     /*  570942 */     // GIR_Coverage, 3495,
     /*  570942 */     GIR_EraseRootFromParent_Done,
     /*  570943 */   // Label 9340: @570943
     /*  570943 */   GIM_Try, /*On fail goto*//*Label 9341*/ GIMT_Encode4(571018), // Rule ID 3586 //
     /*  570948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  570951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  570956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  570959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  570962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  570965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  570968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  570971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  570987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  570994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  570994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  570997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  570999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571016 */     GIR_RootConstrainSelectedInstOperands,
     /*  571017 */     // GIR_Coverage, 3586,
     /*  571017 */     GIR_EraseRootFromParent_Done,
     /*  571018 */   // Label 9341: @571018
     /*  571018 */   GIM_Try, /*On fail goto*//*Label 9342*/ GIMT_Encode4(571093), // Rule ID 3587 //
     /*  571023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  571034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  571037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  571040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  571043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8),
     /*  571072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571091 */     GIR_RootConstrainSelectedInstOperands,
     /*  571092 */     // GIR_Coverage, 3587,
     /*  571092 */     GIR_EraseRootFromParent_Done,
     /*  571093 */   // Label 9342: @571093
     /*  571093 */   GIM_Try, /*On fail goto*//*Label 9343*/ GIMT_Encode4(571168), // Rule ID 3590 //
     /*  571098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  571115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  571118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  571147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571166 */     GIR_RootConstrainSelectedInstOperands,
     /*  571167 */     // GIR_Coverage, 3590,
     /*  571167 */     GIR_EraseRootFromParent_Done,
     /*  571168 */   // Label 9343: @571168
     /*  571168 */   GIM_Try, /*On fail goto*//*Label 9344*/ GIMT_Encode4(571243), // Rule ID 3591 //
     /*  571173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  571184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  571187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  571190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  571193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  571222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571241 */     GIR_RootConstrainSelectedInstOperands,
     /*  571242 */     // GIR_Coverage, 3591,
     /*  571242 */     GIR_EraseRootFromParent_Done,
     /*  571243 */   // Label 9344: @571243
     /*  571243 */   GIM_Try, /*On fail goto*//*Label 9345*/ GIMT_Encode4(571318), // Rule ID 3594 //
     /*  571248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  571268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  571297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571316 */     GIR_RootConstrainSelectedInstOperands,
     /*  571317 */     // GIR_Coverage, 3594,
     /*  571317 */     GIR_EraseRootFromParent_Done,
     /*  571318 */   // Label 9345: @571318
     /*  571318 */   GIM_Try, /*On fail goto*//*Label 9346*/ GIMT_Encode4(571393), // Rule ID 3595 //
     /*  571323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  571334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  571337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  571340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  571343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  571372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571391 */     GIR_RootConstrainSelectedInstOperands,
     /*  571392 */     // GIR_Coverage, 3595,
     /*  571392 */     GIR_EraseRootFromParent_Done,
     /*  571393 */   // Label 9346: @571393
     /*  571393 */   GIM_Try, /*On fail goto*//*Label 9347*/ GIMT_Encode4(571468), // Rule ID 3598 //
     /*  571398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  571447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571466 */     GIR_RootConstrainSelectedInstOperands,
     /*  571467 */     // GIR_Coverage, 3598,
     /*  571467 */     GIR_EraseRootFromParent_Done,
     /*  571468 */   // Label 9347: @571468
     /*  571468 */   GIM_Try, /*On fail goto*//*Label 9348*/ GIMT_Encode4(571543), // Rule ID 3599 //
     /*  571473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  571484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  571487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  571490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  571493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  571522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571541 */     GIR_RootConstrainSelectedInstOperands,
     /*  571542 */     // GIR_Coverage, 3599,
     /*  571542 */     GIR_EraseRootFromParent_Done,
     /*  571543 */   // Label 9348: @571543
     /*  571543 */   GIM_Try, /*On fail goto*//*Label 9349*/ GIMT_Encode4(571618), // Rule ID 3602 //
     /*  571548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  571597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571616 */     GIR_RootConstrainSelectedInstOperands,
     /*  571617 */     // GIR_Coverage, 3602,
     /*  571617 */     GIR_EraseRootFromParent_Done,
     /*  571618 */   // Label 9349: @571618
     /*  571618 */   GIM_Try, /*On fail goto*//*Label 9350*/ GIMT_Encode4(571693), // Rule ID 3603 //
     /*  571623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  571634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  571637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  571640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  571643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  571662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  571672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571691 */     GIR_RootConstrainSelectedInstOperands,
     /*  571692 */     // GIR_Coverage, 3603,
     /*  571692 */     GIR_EraseRootFromParent_Done,
     /*  571693 */   // Label 9350: @571693
     /*  571693 */   GIM_Try, /*On fail goto*//*Label 9351*/ GIMT_Encode4(571768), // Rule ID 3606 //
     /*  571698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  571744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  571747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571766 */     GIR_RootConstrainSelectedInstOperands,
     /*  571767 */     // GIR_Coverage, 3606,
     /*  571767 */     GIR_EraseRootFromParent_Done,
     /*  571768 */   // Label 9351: @571768
     /*  571768 */   GIM_Try, /*On fail goto*//*Label 9352*/ GIMT_Encode4(571843), // Rule ID 3607 //
     /*  571773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  571784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  571787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  571790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  571793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  571804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  571812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  571819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  571822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  571838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571841 */     GIR_RootConstrainSelectedInstOperands,
     /*  571842 */     // GIR_Coverage, 3607,
     /*  571842 */     GIR_EraseRootFromParent_Done,
     /*  571843 */   // Label 9352: @571843
     /*  571843 */   GIM_Try, /*On fail goto*//*Label 9353*/ GIMT_Encode4(571918), // Rule ID 3610 //
     /*  571848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  571851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  571871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  571894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  571897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571916 */     GIR_RootConstrainSelectedInstOperands,
     /*  571917 */     // GIR_Coverage, 3610,
     /*  571917 */     GIR_EraseRootFromParent_Done,
     /*  571918 */   // Label 9353: @571918
     /*  571918 */   GIM_Try, /*On fail goto*//*Label 9354*/ GIMT_Encode4(571993), // Rule ID 3611 //
     /*  571923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  571926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  571931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  571934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  571937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  571940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  571943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  571946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  571962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  571969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  571969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4),
     /*  571972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  571974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  571976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  571978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  571980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  571985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  571988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  571991 */     GIR_RootConstrainSelectedInstOperands,
     /*  571992 */     // GIR_Coverage, 3611,
     /*  571992 */     GIR_EraseRootFromParent_Done,
     /*  571993 */   // Label 9354: @571993
     /*  571993 */   GIM_Try, /*On fail goto*//*Label 9355*/ GIMT_Encode4(572068), // Rule ID 3614 //
     /*  571998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  572009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  572012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  572018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11643:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  572047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572066 */     GIR_RootConstrainSelectedInstOperands,
     /*  572067 */     // GIR_Coverage, 3614,
     /*  572067 */     GIR_EraseRootFromParent_Done,
     /*  572068 */   // Label 9355: @572068
     /*  572068 */   GIM_Try, /*On fail goto*//*Label 9356*/ GIMT_Encode4(572143), // Rule ID 3615 //
     /*  572073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  572084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  572087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  572090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  572093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572119 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11643:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  572122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572141 */     GIR_RootConstrainSelectedInstOperands,
     /*  572142 */     // GIR_Coverage, 3615,
     /*  572142 */     GIR_EraseRootFromParent_Done,
     /*  572143 */   // Label 9356: @572143
     /*  572143 */   GIM_Try, /*On fail goto*//*Label 9357*/ GIMT_Encode4(572218), // Rule ID 3618 //
     /*  572148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  572168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  572197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572216 */     GIR_RootConstrainSelectedInstOperands,
     /*  572217 */     // GIR_Coverage, 3618,
     /*  572217 */     GIR_EraseRootFromParent_Done,
     /*  572218 */   // Label 9357: @572218
     /*  572218 */   GIM_Try, /*On fail goto*//*Label 9358*/ GIMT_Encode4(572293), // Rule ID 3619 //
     /*  572223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  572234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  572237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  572240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  572243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  572272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572291 */     GIR_RootConstrainSelectedInstOperands,
     /*  572292 */     // GIR_Coverage, 3619,
     /*  572292 */     GIR_EraseRootFromParent_Done,
     /*  572293 */   // Label 9358: @572293
     /*  572293 */   GIM_Try, /*On fail goto*//*Label 9359*/ GIMT_Encode4(572368), // Rule ID 3622 //
     /*  572298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  572318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  572347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572366 */     GIR_RootConstrainSelectedInstOperands,
     /*  572367 */     // GIR_Coverage, 3622,
     /*  572367 */     GIR_EraseRootFromParent_Done,
     /*  572368 */   // Label 9359: @572368
     /*  572368 */   GIM_Try, /*On fail goto*//*Label 9360*/ GIMT_Encode4(572443), // Rule ID 3623 //
     /*  572373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  572384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  572387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  572390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  572393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572419 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  572422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572441 */     GIR_RootConstrainSelectedInstOperands,
     /*  572442 */     // GIR_Coverage, 3623,
     /*  572442 */     GIR_EraseRootFromParent_Done,
     /*  572443 */   // Label 9360: @572443
     /*  572443 */   GIM_Try, /*On fail goto*//*Label 9361*/ GIMT_Encode4(572518), // Rule ID 3626 //
     /*  572448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  572451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  572494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  572497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572516 */     GIR_RootConstrainSelectedInstOperands,
     /*  572517 */     // GIR_Coverage, 3626,
     /*  572517 */     GIR_EraseRootFromParent_Done,
     /*  572518 */   // Label 9361: @572518
     /*  572518 */   GIM_Try, /*On fail goto*//*Label 9362*/ GIMT_Encode4(572593), // Rule ID 3627 //
     /*  572523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  572526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  572534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  572537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  572540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  572543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  572554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  572569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  572572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  572588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572591 */     GIR_RootConstrainSelectedInstOperands,
     /*  572592 */     // GIR_Coverage, 3627,
     /*  572592 */     GIR_EraseRootFromParent_Done,
     /*  572593 */   // Label 9362: @572593
     /*  572593 */   GIM_Try, /*On fail goto*//*Label 9363*/ GIMT_Encode4(572668), // Rule ID 3630 //
     /*  572598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  572647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572666 */     GIR_RootConstrainSelectedInstOperands,
     /*  572667 */     // GIR_Coverage, 3630,
     /*  572667 */     GIR_EraseRootFromParent_Done,
     /*  572668 */   // Label 9363: @572668
     /*  572668 */   GIM_Try, /*On fail goto*//*Label 9364*/ GIMT_Encode4(572743), // Rule ID 3631 //
     /*  572673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  572684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  572687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  572690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  572693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572719 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2),
     /*  572722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572741 */     GIR_RootConstrainSelectedInstOperands,
     /*  572742 */     // GIR_Coverage, 3631,
     /*  572742 */     GIR_EraseRootFromParent_Done,
     /*  572743 */   // Label 9364: @572743
     /*  572743 */   GIM_Try, /*On fail goto*//*Label 9365*/ GIMT_Encode4(572818), // Rule ID 3634 //
     /*  572748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  572797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572816 */     GIR_RootConstrainSelectedInstOperands,
     /*  572817 */     // GIR_Coverage, 3634,
     /*  572817 */     GIR_EraseRootFromParent_Done,
     /*  572818 */   // Label 9365: @572818
     /*  572818 */   GIM_Try, /*On fail goto*//*Label 9366*/ GIMT_Encode4(572893), // Rule ID 3635 //
     /*  572823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  572834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  572837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  572840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  572843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  572862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  572869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1),
     /*  572872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572891 */     GIR_RootConstrainSelectedInstOperands,
     /*  572892 */     // GIR_Coverage, 3635,
     /*  572892 */     GIR_EraseRootFromParent_Done,
     /*  572893 */   // Label 9366: @572893
     /*  572893 */   GIM_Try, /*On fail goto*//*Label 9367*/ GIMT_Encode4(572968), // Rule ID 3638 //
     /*  572898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  572901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  572921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  572929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  572937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  572944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  572944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  572947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  572949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  572951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  572953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  572955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  572960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  572963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  572966 */     GIR_RootConstrainSelectedInstOperands,
     /*  572967 */     // GIR_Coverage, 3638,
     /*  572967 */     GIR_EraseRootFromParent_Done,
     /*  572968 */   // Label 9367: @572968
     /*  572968 */   GIM_Try, /*On fail goto*//*Label 9368*/ GIMT_Encode4(573043), // Rule ID 3639 //
     /*  572973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  572976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  572981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  572984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  572987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  572990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  572993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  572996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2),
     /*  573022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573041 */     GIR_RootConstrainSelectedInstOperands,
     /*  573042 */     // GIR_Coverage, 3639,
     /*  573042 */     GIR_EraseRootFromParent_Done,
     /*  573043 */   // Label 9368: @573043
     /*  573043 */   GIM_Try, /*On fail goto*//*Label 9369*/ GIMT_Encode4(573118), // Rule ID 3642 //
     /*  573048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  573051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  573059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  573062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  573068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  573094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  573097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573116 */     GIR_RootConstrainSelectedInstOperands,
     /*  573117 */     // GIR_Coverage, 3642,
     /*  573117 */     GIR_EraseRootFromParent_Done,
     /*  573118 */   // Label 9369: @573118
     /*  573118 */   GIM_Try, /*On fail goto*//*Label 9370*/ GIMT_Encode4(573193), // Rule ID 3643 //
     /*  573123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  573126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  573134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  573137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  573140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  573143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  573169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4),
     /*  573172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  573188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573191 */     GIR_RootConstrainSelectedInstOperands,
     /*  573192 */     // GIR_Coverage, 3643,
     /*  573192 */     GIR_EraseRootFromParent_Done,
     /*  573193 */   // Label 9370: @573193
     /*  573193 */   GIM_Try, /*On fail goto*//*Label 9371*/ GIMT_Encode4(573268), // Rule ID 3646 //
     /*  573198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  573215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  573247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573266 */     GIR_RootConstrainSelectedInstOperands,
     /*  573267 */     // GIR_Coverage, 3646,
     /*  573267 */     GIR_EraseRootFromParent_Done,
     /*  573268 */   // Label 9371: @573268
     /*  573268 */   GIM_Try, /*On fail goto*//*Label 9372*/ GIMT_Encode4(573343), // Rule ID 3647 //
     /*  573273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  573284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  573287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  573290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8),
     /*  573322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573341 */     GIR_RootConstrainSelectedInstOperands,
     /*  573342 */     // GIR_Coverage, 3647,
     /*  573342 */     GIR_EraseRootFromParent_Done,
     /*  573343 */   // Label 9372: @573343
     /*  573343 */   GIM_Try, /*On fail goto*//*Label 9373*/ GIMT_Encode4(573418), // Rule ID 3650 //
     /*  573348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  573397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573416 */     GIR_RootConstrainSelectedInstOperands,
     /*  573417 */     // GIR_Coverage, 3650,
     /*  573417 */     GIR_EraseRootFromParent_Done,
     /*  573418 */   // Label 9373: @573418
     /*  573418 */   GIM_Try, /*On fail goto*//*Label 9374*/ GIMT_Encode4(573493), // Rule ID 3651 //
     /*  573423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  573434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  573437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  573440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  573472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573491 */     GIR_RootConstrainSelectedInstOperands,
     /*  573492 */     // GIR_Coverage, 3651,
     /*  573492 */     GIR_EraseRootFromParent_Done,
     /*  573493 */   // Label 9374: @573493
     /*  573493 */   GIM_Try, /*On fail goto*//*Label 9375*/ GIMT_Encode4(573568), // Rule ID 3654 //
     /*  573498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  573547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573566 */     GIR_RootConstrainSelectedInstOperands,
     /*  573567 */     // GIR_Coverage, 3654,
     /*  573567 */     GIR_EraseRootFromParent_Done,
     /*  573568 */   // Label 9375: @573568
     /*  573568 */   GIM_Try, /*On fail goto*//*Label 9376*/ GIMT_Encode4(573643), // Rule ID 3655 //
     /*  573573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  573584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  573587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  573590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11643:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  573622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573641 */     GIR_RootConstrainSelectedInstOperands,
     /*  573642 */     // GIR_Coverage, 3655,
     /*  573642 */     GIR_EraseRootFromParent_Done,
     /*  573643 */   // Label 9376: @573643
     /*  573643 */   GIM_Try, /*On fail goto*//*Label 9377*/ GIMT_Encode4(573718), // Rule ID 3658 //
     /*  573648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573716 */     GIR_RootConstrainSelectedInstOperands,
     /*  573717 */     // GIR_Coverage, 3658,
     /*  573717 */     GIR_EraseRootFromParent_Done,
     /*  573718 */   // Label 9377: @573718
     /*  573718 */   GIM_Try, /*On fail goto*//*Label 9378*/ GIMT_Encode4(573793), // Rule ID 3659 //
     /*  573723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  573734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  573737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  573740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  573758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  573772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573791 */     GIR_RootConstrainSelectedInstOperands,
     /*  573792 */     // GIR_Coverage, 3659,
     /*  573792 */     GIR_EraseRootFromParent_Done,
     /*  573793 */   // Label 9378: @573793
     /*  573793 */   GIM_Try, /*On fail goto*//*Label 9379*/ GIMT_Encode4(573868), // Rule ID 3662 //
     /*  573798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573844 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  573847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573866 */     GIR_RootConstrainSelectedInstOperands,
     /*  573867 */     // GIR_Coverage, 3662,
     /*  573867 */     GIR_EraseRootFromParent_Done,
     /*  573868 */   // Label 9379: @573868
     /*  573868 */   GIM_Try, /*On fail goto*//*Label 9380*/ GIMT_Encode4(573943), // Rule ID 3663 //
     /*  573873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  573876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  573884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  573887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  573890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  573893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  573896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  573908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  573919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  573922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  573926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  573928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  573930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  573935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  573938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  573941 */     GIR_RootConstrainSelectedInstOperands,
     /*  573942 */     // GIR_Coverage, 3663,
     /*  573942 */     GIR_EraseRootFromParent_Done,
     /*  573943 */   // Label 9380: @573943
     /*  573943 */   GIM_Try, /*On fail goto*//*Label 9381*/ GIMT_Encode4(574018), // Rule ID 3666 //
     /*  573948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  573951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  573956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  573959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  573962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  573965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  573968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  573971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  573979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  573983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  573987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  573994 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  573994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  573997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  573999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574016 */     GIR_RootConstrainSelectedInstOperands,
     /*  574017 */     // GIR_Coverage, 3666,
     /*  574017 */     GIR_EraseRootFromParent_Done,
     /*  574018 */   // Label 9381: @574018
     /*  574018 */   GIM_Try, /*On fail goto*//*Label 9382*/ GIMT_Encode4(574093), // Rule ID 3667 //
     /*  574023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  574034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  574037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  574040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  574069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  574088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574091 */     GIR_RootConstrainSelectedInstOperands,
     /*  574092 */     // GIR_Coverage, 3667,
     /*  574092 */     GIR_EraseRootFromParent_Done,
     /*  574093 */   // Label 9382: @574093
     /*  574093 */   GIM_Try, /*On fail goto*//*Label 9383*/ GIMT_Encode4(574168), // Rule ID 3670 //
     /*  574098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  574109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  574112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  574147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574166 */     GIR_RootConstrainSelectedInstOperands,
     /*  574167 */     // GIR_Coverage, 3670,
     /*  574167 */     GIR_EraseRootFromParent_Done,
     /*  574168 */   // Label 9383: @574168
     /*  574168 */   GIM_Try, /*On fail goto*//*Label 9384*/ GIMT_Encode4(574243), // Rule ID 3671 //
     /*  574173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  574184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  574187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  574190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4),
     /*  574222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574241 */     GIR_RootConstrainSelectedInstOperands,
     /*  574242 */     // GIR_Coverage, 3671,
     /*  574242 */     GIR_EraseRootFromParent_Done,
     /*  574243 */   // Label 9384: @574243
     /*  574243 */   GIM_Try, /*On fail goto*//*Label 9385*/ GIMT_Encode4(574318), // Rule ID 3674 //
     /*  574248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11643:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  574297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574316 */     GIR_RootConstrainSelectedInstOperands,
     /*  574317 */     // GIR_Coverage, 3674,
     /*  574317 */     GIR_EraseRootFromParent_Done,
     /*  574318 */   // Label 9385: @574318
     /*  574318 */   GIM_Try, /*On fail goto*//*Label 9386*/ GIMT_Encode4(574393), // Rule ID 3675 //
     /*  574323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  574334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  574337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  574340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574369 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11643:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  574372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574391 */     GIR_RootConstrainSelectedInstOperands,
     /*  574392 */     // GIR_Coverage, 3675,
     /*  574392 */     GIR_EraseRootFromParent_Done,
     /*  574393 */   // Label 9386: @574393
     /*  574393 */   GIM_Try, /*On fail goto*//*Label 9387*/ GIMT_Encode4(574468), // Rule ID 3678 //
     /*  574398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  574447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574466 */     GIR_RootConstrainSelectedInstOperands,
     /*  574467 */     // GIR_Coverage, 3678,
     /*  574467 */     GIR_EraseRootFromParent_Done,
     /*  574468 */   // Label 9387: @574468
     /*  574468 */   GIM_Try, /*On fail goto*//*Label 9388*/ GIMT_Encode4(574543), // Rule ID 3679 //
     /*  574473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  574484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  574487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  574490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  574522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574541 */     GIR_RootConstrainSelectedInstOperands,
     /*  574542 */     // GIR_Coverage, 3679,
     /*  574542 */     GIR_EraseRootFromParent_Done,
     /*  574543 */   // Label 9388: @574543
     /*  574543 */   GIM_Try, /*On fail goto*//*Label 9389*/ GIMT_Encode4(574618), // Rule ID 3682 //
     /*  574548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  574597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574616 */     GIR_RootConstrainSelectedInstOperands,
     /*  574617 */     // GIR_Coverage, 3682,
     /*  574617 */     GIR_EraseRootFromParent_Done,
     /*  574618 */   // Label 9389: @574618
     /*  574618 */   GIM_Try, /*On fail goto*//*Label 9390*/ GIMT_Encode4(574693), // Rule ID 3683 //
     /*  574623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  574634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  574637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  574640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  574658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  574672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574691 */     GIR_RootConstrainSelectedInstOperands,
     /*  574692 */     // GIR_Coverage, 3683,
     /*  574692 */     GIR_EraseRootFromParent_Done,
     /*  574693 */   // Label 9390: @574693
     /*  574693 */   GIM_Try, /*On fail goto*//*Label 9391*/ GIMT_Encode4(574768), // Rule ID 3686 //
     /*  574698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  574701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  574744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574766 */     GIR_RootConstrainSelectedInstOperands,
     /*  574767 */     // GIR_Coverage, 3686,
     /*  574767 */     GIR_EraseRootFromParent_Done,
     /*  574768 */   // Label 9391: @574768
     /*  574768 */   GIM_Try, /*On fail goto*//*Label 9392*/ GIMT_Encode4(574843), // Rule ID 3687 //
     /*  574773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  574776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  574784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  574787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  574790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  574804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  574808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  574819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  574822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  574838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574841 */     GIR_RootConstrainSelectedInstOperands,
     /*  574842 */     // GIR_Coverage, 3687,
     /*  574842 */     GIR_EraseRootFromParent_Done,
     /*  574843 */   // Label 9392: @574843
     /*  574843 */   GIM_Try, /*On fail goto*//*Label 9393*/ GIMT_Encode4(574918), // Rule ID 3690 //
     /*  574848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  574851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  574868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  574871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574894 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  574894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  574897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574916 */     GIR_RootConstrainSelectedInstOperands,
     /*  574917 */     // GIR_Coverage, 3690,
     /*  574917 */     GIR_EraseRootFromParent_Done,
     /*  574918 */   // Label 9393: @574918
     /*  574918 */   GIM_Try, /*On fail goto*//*Label 9394*/ GIMT_Encode4(574993), // Rule ID 3691 //
     /*  574923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  574926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  574931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  574934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  574937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  574940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  574943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  574946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  574958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  574962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  574969 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11643:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  574969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2),
     /*  574972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  574974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  574976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  574978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  574980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  574985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  574988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  574991 */     GIR_RootConstrainSelectedInstOperands,
     /*  574992 */     // GIR_Coverage, 3691,
     /*  574992 */     GIR_EraseRootFromParent_Done,
     /*  574993 */   // Label 9394: @574993
     /*  574993 */   GIM_Try, /*On fail goto*//*Label 9395*/ GIMT_Encode4(575068), // Rule ID 3694 //
     /*  574998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  575006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  575047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575066 */     GIR_RootConstrainSelectedInstOperands,
     /*  575067 */     // GIR_Coverage, 3694,
     /*  575067 */     GIR_EraseRootFromParent_Done,
     /*  575068 */   // Label 9395: @575068
     /*  575068 */   GIM_Try, /*On fail goto*//*Label 9396*/ GIMT_Encode4(575143), // Rule ID 3695 //
     /*  575073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  575081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  575084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  575087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  575090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575119 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11643:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1),
     /*  575122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575141 */     GIR_RootConstrainSelectedInstOperands,
     /*  575142 */     // GIR_Coverage, 3695,
     /*  575142 */     GIR_EraseRootFromParent_Done,
     /*  575143 */   // Label 9396: @575143
     /*  575143 */   GIM_Try, /*On fail goto*//*Label 9397*/ GIMT_Encode4(575218), // Rule ID 3698 //
     /*  575148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  575156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  575197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575216 */     GIR_RootConstrainSelectedInstOperands,
     /*  575217 */     // GIR_Coverage, 3698,
     /*  575217 */     GIR_EraseRootFromParent_Done,
     /*  575218 */   // Label 9397: @575218
     /*  575218 */   GIM_Try, /*On fail goto*//*Label 9398*/ GIMT_Encode4(575293), // Rule ID 3699 //
     /*  575223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  575231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  575234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  575237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  575240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575269 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11643:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2),
     /*  575272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575291 */     GIR_RootConstrainSelectedInstOperands,
     /*  575292 */     // GIR_Coverage, 3699,
     /*  575292 */     GIR_EraseRootFromParent_Done,
     /*  575293 */   // Label 9398: @575293
     /*  575293 */   GIM_Try, /*On fail goto*//*Label 9399*/ GIMT_Encode4(575368), // Rule ID 3702 //
     /*  575298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  575301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  575306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  575318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  575344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  575347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575366 */     GIR_RootConstrainSelectedInstOperands,
     /*  575367 */     // GIR_Coverage, 3702,
     /*  575367 */     GIR_EraseRootFromParent_Done,
     /*  575368 */   // Label 9399: @575368
     /*  575368 */   GIM_Try, /*On fail goto*//*Label 9400*/ GIMT_Encode4(575443), // Rule ID 3703 //
     /*  575373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  575376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu),
     /*  575381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  575384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  575387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  575390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  575393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  575404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  575408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  575412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11643:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  575419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4),
     /*  575422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  575438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575441 */     GIR_RootConstrainSelectedInstOperands,
     /*  575442 */     // GIR_Coverage, 3703,
     /*  575442 */     GIR_EraseRootFromParent_Done,
     /*  575443 */   // Label 9400: @575443
     /*  575443 */   GIM_Try, /*On fail goto*//*Label 9401*/ GIMT_Encode4(575518), // Rule ID 3706 //
     /*  575448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  575497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575516 */     GIR_RootConstrainSelectedInstOperands,
     /*  575517 */     // GIR_Coverage, 3706,
     /*  575517 */     GIR_EraseRootFromParent_Done,
     /*  575518 */   // Label 9401: @575518
     /*  575518 */   GIM_Try, /*On fail goto*//*Label 9402*/ GIMT_Encode4(575593), // Rule ID 3707 //
     /*  575523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  575534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  575537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  575540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  575543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8),
     /*  575572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575591 */     GIR_RootConstrainSelectedInstOperands,
     /*  575592 */     // GIR_Coverage, 3707,
     /*  575592 */     GIR_EraseRootFromParent_Done,
     /*  575593 */   // Label 9402: @575593
     /*  575593 */   GIM_Try, /*On fail goto*//*Label 9403*/ GIMT_Encode4(575668), // Rule ID 3710 //
     /*  575598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575666 */     GIR_RootConstrainSelectedInstOperands,
     /*  575667 */     // GIR_Coverage, 3710,
     /*  575667 */     GIR_EraseRootFromParent_Done,
     /*  575668 */   // Label 9403: @575668
     /*  575668 */   GIM_Try, /*On fail goto*//*Label 9404*/ GIMT_Encode4(575743), // Rule ID 3711 //
     /*  575673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  575684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  575687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  575690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  575693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  575722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575741 */     GIR_RootConstrainSelectedInstOperands,
     /*  575742 */     // GIR_Coverage, 3711,
     /*  575742 */     GIR_EraseRootFromParent_Done,
     /*  575743 */   // Label 9404: @575743
     /*  575743 */   GIM_Try, /*On fail goto*//*Label 9405*/ GIMT_Encode4(575818), // Rule ID 3714 //
     /*  575748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  575797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575816 */     GIR_RootConstrainSelectedInstOperands,
     /*  575817 */     // GIR_Coverage, 3714,
     /*  575817 */     GIR_EraseRootFromParent_Done,
     /*  575818 */   // Label 9405: @575818
     /*  575818 */   GIM_Try, /*On fail goto*//*Label 9406*/ GIMT_Encode4(575893), // Rule ID 3715 //
     /*  575823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  575834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  575837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  575840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  575843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  575869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  575872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575891 */     GIR_RootConstrainSelectedInstOperands,
     /*  575892 */     // GIR_Coverage, 3715,
     /*  575892 */     GIR_EraseRootFromParent_Done,
     /*  575893 */   // Label 9406: @575893
     /*  575893 */   GIM_Try, /*On fail goto*//*Label 9407*/ GIMT_Encode4(575968), // Rule ID 3718 //
     /*  575898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  575901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  575921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  575929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  575937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  575944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  575944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  575947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  575949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  575951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  575953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  575955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  575960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  575963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  575966 */     GIR_RootConstrainSelectedInstOperands,
     /*  575967 */     // GIR_Coverage, 3718,
     /*  575967 */     GIR_EraseRootFromParent_Done,
     /*  575968 */   // Label 9407: @575968
     /*  575968 */   GIM_Try, /*On fail goto*//*Label 9408*/ GIMT_Encode4(576043), // Rule ID 3719 //
     /*  575973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  575976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  575981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  575984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  575987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  575990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  575993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  575996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576019 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576041 */     GIR_RootConstrainSelectedInstOperands,
     /*  576042 */     // GIR_Coverage, 3719,
     /*  576042 */     GIR_EraseRootFromParent_Done,
     /*  576043 */   // Label 9408: @576043
     /*  576043 */   GIM_Try, /*On fail goto*//*Label 9409*/ GIMT_Encode4(576118), // Rule ID 3722 //
     /*  576048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  576068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576094 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576116 */     GIR_RootConstrainSelectedInstOperands,
     /*  576117 */     // GIR_Coverage, 3722,
     /*  576117 */     GIR_EraseRootFromParent_Done,
     /*  576118 */   // Label 9409: @576118
     /*  576118 */   GIM_Try, /*On fail goto*//*Label 9410*/ GIMT_Encode4(576193), // Rule ID 3723 //
     /*  576123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  576134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  576137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  576140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  576143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576191 */     GIR_RootConstrainSelectedInstOperands,
     /*  576192 */     // GIR_Coverage, 3723,
     /*  576192 */     GIR_EraseRootFromParent_Done,
     /*  576193 */   // Label 9410: @576193
     /*  576193 */   GIM_Try, /*On fail goto*//*Label 9411*/ GIMT_Encode4(576268), // Rule ID 3726 //
     /*  576198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  576218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576244 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  576244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576266 */     GIR_RootConstrainSelectedInstOperands,
     /*  576267 */     // GIR_Coverage, 3726,
     /*  576267 */     GIR_EraseRootFromParent_Done,
     /*  576268 */   // Label 9411: @576268
     /*  576268 */   GIM_Try, /*On fail goto*//*Label 9412*/ GIMT_Encode4(576343), // Rule ID 3727 //
     /*  576273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  576284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  576287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  576290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  576293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  576319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  576338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576341 */     GIR_RootConstrainSelectedInstOperands,
     /*  576342 */     // GIR_Coverage, 3727,
     /*  576342 */     GIR_EraseRootFromParent_Done,
     /*  576343 */   // Label 9412: @576343
     /*  576343 */   GIM_Try, /*On fail goto*//*Label 9413*/ GIMT_Encode4(576418), // Rule ID 3730 //
     /*  576348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  576397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576416 */     GIR_RootConstrainSelectedInstOperands,
     /*  576417 */     // GIR_Coverage, 3730,
     /*  576417 */     GIR_EraseRootFromParent_Done,
     /*  576418 */   // Label 9413: @576418
     /*  576418 */   GIM_Try, /*On fail goto*//*Label 9414*/ GIMT_Encode4(576493), // Rule ID 3731 //
     /*  576423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  576434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  576437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  576440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  576443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576469 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4),
     /*  576472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576491 */     GIR_RootConstrainSelectedInstOperands,
     /*  576492 */     // GIR_Coverage, 3731,
     /*  576492 */     GIR_EraseRootFromParent_Done,
     /*  576493 */   // Label 9414: @576493
     /*  576493 */   GIM_Try, /*On fail goto*//*Label 9415*/ GIMT_Encode4(576568), // Rule ID 3734 //
     /*  576498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  576547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576566 */     GIR_RootConstrainSelectedInstOperands,
     /*  576567 */     // GIR_Coverage, 3734,
     /*  576567 */     GIR_EraseRootFromParent_Done,
     /*  576568 */   // Label 9415: @576568
     /*  576568 */   GIM_Try, /*On fail goto*//*Label 9416*/ GIMT_Encode4(576643), // Rule ID 3735 //
     /*  576573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  576584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  576587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  576590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  576593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  576622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576641 */     GIR_RootConstrainSelectedInstOperands,
     /*  576642 */     // GIR_Coverage, 3735,
     /*  576642 */     GIR_EraseRootFromParent_Done,
     /*  576643 */   // Label 9416: @576643
     /*  576643 */   GIM_Try, /*On fail goto*//*Label 9417*/ GIMT_Encode4(576718), // Rule ID 3738 //
     /*  576648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576716 */     GIR_RootConstrainSelectedInstOperands,
     /*  576717 */     // GIR_Coverage, 3738,
     /*  576717 */     GIR_EraseRootFromParent_Done,
     /*  576718 */   // Label 9417: @576718
     /*  576718 */   GIM_Try, /*On fail goto*//*Label 9418*/ GIMT_Encode4(576793), // Rule ID 3739 //
     /*  576723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  576734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  576737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  576740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  576743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  576762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576769 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  576772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576791 */     GIR_RootConstrainSelectedInstOperands,
     /*  576792 */     // GIR_Coverage, 3739,
     /*  576792 */     GIR_EraseRootFromParent_Done,
     /*  576793 */   // Label 9418: @576793
     /*  576793 */   GIM_Try, /*On fail goto*//*Label 9419*/ GIMT_Encode4(576868), // Rule ID 3742 //
     /*  576798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576866 */     GIR_RootConstrainSelectedInstOperands,
     /*  576867 */     // GIR_Coverage, 3742,
     /*  576867 */     GIR_EraseRootFromParent_Done,
     /*  576868 */   // Label 9419: @576868
     /*  576868 */   GIM_Try, /*On fail goto*//*Label 9420*/ GIMT_Encode4(576943), // Rule ID 3743 //
     /*  576873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  576876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  576884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  576887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  576890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  576893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  576896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  576912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  576919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  576922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  576926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  576928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  576930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  576935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  576938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  576941 */     GIR_RootConstrainSelectedInstOperands,
     /*  576942 */     // GIR_Coverage, 3743,
     /*  576942 */     GIR_EraseRootFromParent_Done,
     /*  576943 */   // Label 9420: @576943
     /*  576943 */   GIM_Try, /*On fail goto*//*Label 9421*/ GIMT_Encode4(577018), // Rule ID 3746 //
     /*  576948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  576951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  576956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  576959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  576962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  576965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  576968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  576971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  576979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  576987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  576994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  576994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  576997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  576999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577016 */     GIR_RootConstrainSelectedInstOperands,
     /*  577017 */     // GIR_Coverage, 3746,
     /*  577017 */     GIR_EraseRootFromParent_Done,
     /*  577018 */   // Label 9421: @577018
     /*  577018 */   GIM_Try, /*On fail goto*//*Label 9422*/ GIMT_Encode4(577093), // Rule ID 3747 //
     /*  577023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  577034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  577037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  577040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  577043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  577069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  577072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  577088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577091 */     GIR_RootConstrainSelectedInstOperands,
     /*  577092 */     // GIR_Coverage, 3747,
     /*  577092 */     GIR_EraseRootFromParent_Done,
     /*  577093 */   // Label 9422: @577093
     /*  577093 */   GIM_Try, /*On fail goto*//*Label 9423*/ GIMT_Encode4(577168), // Rule ID 3750 //
     /*  577098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  577115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  577118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  577147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577166 */     GIR_RootConstrainSelectedInstOperands,
     /*  577167 */     // GIR_Coverage, 3750,
     /*  577167 */     GIR_EraseRootFromParent_Done,
     /*  577168 */   // Label 9423: @577168
     /*  577168 */   GIM_Try, /*On fail goto*//*Label 9424*/ GIMT_Encode4(577243), // Rule ID 3751 //
     /*  577173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  577184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  577187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  577190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  577193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2),
     /*  577222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577241 */     GIR_RootConstrainSelectedInstOperands,
     /*  577242 */     // GIR_Coverage, 3751,
     /*  577242 */     GIR_EraseRootFromParent_Done,
     /*  577243 */   // Label 9424: @577243
     /*  577243 */   GIM_Try, /*On fail goto*//*Label 9425*/ GIMT_Encode4(577318), // Rule ID 3754 //
     /*  577248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  577268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  577297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577316 */     GIR_RootConstrainSelectedInstOperands,
     /*  577317 */     // GIR_Coverage, 3754,
     /*  577317 */     GIR_EraseRootFromParent_Done,
     /*  577318 */   // Label 9425: @577318
     /*  577318 */   GIM_Try, /*On fail goto*//*Label 9426*/ GIMT_Encode4(577393), // Rule ID 3755 //
     /*  577323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  577334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  577337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  577340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  577343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1),
     /*  577372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577391 */     GIR_RootConstrainSelectedInstOperands,
     /*  577392 */     // GIR_Coverage, 3755,
     /*  577392 */     GIR_EraseRootFromParent_Done,
     /*  577393 */   // Label 9426: @577393
     /*  577393 */   GIM_Try, /*On fail goto*//*Label 9427*/ GIMT_Encode4(577468), // Rule ID 3758 //
     /*  577398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  577447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577466 */     GIR_RootConstrainSelectedInstOperands,
     /*  577467 */     // GIR_Coverage, 3758,
     /*  577467 */     GIR_EraseRootFromParent_Done,
     /*  577468 */   // Label 9427: @577468
     /*  577468 */   GIM_Try, /*On fail goto*//*Label 9428*/ GIMT_Encode4(577543), // Rule ID 3759 //
     /*  577473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  577484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  577487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  577490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  577493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  577512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2),
     /*  577522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577541 */     GIR_RootConstrainSelectedInstOperands,
     /*  577542 */     // GIR_Coverage, 3759,
     /*  577542 */     GIR_EraseRootFromParent_Done,
     /*  577543 */   // Label 9428: @577543
     /*  577543 */   GIM_Try, /*On fail goto*//*Label 9429*/ GIMT_Encode4(577618), // Rule ID 3762 //
     /*  577548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  577551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  577594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  577597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577616 */     GIR_RootConstrainSelectedInstOperands,
     /*  577617 */     // GIR_Coverage, 3762,
     /*  577617 */     GIR_EraseRootFromParent_Done,
     /*  577618 */   // Label 9429: @577618
     /*  577618 */   GIM_Try, /*On fail goto*//*Label 9430*/ GIMT_Encode4(577693), // Rule ID 3763 //
     /*  577623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  577626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  577634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  577637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  577640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  577643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  577654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  577662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  577669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4),
     /*  577672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  577688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577691 */     GIR_RootConstrainSelectedInstOperands,
     /*  577692 */     // GIR_Coverage, 3763,
     /*  577692 */     GIR_EraseRootFromParent_Done,
     /*  577693 */   // Label 9430: @577693
     /*  577693 */   GIM_Try, /*On fail goto*//*Label 9431*/ GIMT_Encode4(577768), // Rule ID 3766 //
     /*  577698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  577747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577766 */     GIR_RootConstrainSelectedInstOperands,
     /*  577767 */     // GIR_Coverage, 3766,
     /*  577767 */     GIR_EraseRootFromParent_Done,
     /*  577768 */   // Label 9431: @577768
     /*  577768 */   GIM_Try, /*On fail goto*//*Label 9432*/ GIMT_Encode4(577843), // Rule ID 3767 //
     /*  577773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  577784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  577787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  577790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8),
     /*  577822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577841 */     GIR_RootConstrainSelectedInstOperands,
     /*  577842 */     // GIR_Coverage, 3767,
     /*  577842 */     GIR_EraseRootFromParent_Done,
     /*  577843 */   // Label 9432: @577843
     /*  577843 */   GIM_Try, /*On fail goto*//*Label 9433*/ GIMT_Encode4(577918), // Rule ID 3770 //
     /*  577848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  577851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  577868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  577871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577894 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  577894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  577897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577916 */     GIR_RootConstrainSelectedInstOperands,
     /*  577917 */     // GIR_Coverage, 3770,
     /*  577917 */     GIR_EraseRootFromParent_Done,
     /*  577918 */   // Label 9433: @577918
     /*  577918 */   GIM_Try, /*On fail goto*//*Label 9434*/ GIMT_Encode4(577993), // Rule ID 3771 //
     /*  577923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  577926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  577931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  577934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  577937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  577940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  577943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  577946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  577958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  577962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  577969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  577969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  577972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  577974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  577976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  577978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  577980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  577985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  577988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  577991 */     GIR_RootConstrainSelectedInstOperands,
     /*  577992 */     // GIR_Coverage, 3771,
     /*  577992 */     GIR_EraseRootFromParent_Done,
     /*  577993 */   // Label 9434: @577993
     /*  577993 */   GIM_Try, /*On fail goto*//*Label 9435*/ GIMT_Encode4(578068), // Rule ID 3774 //
     /*  577998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  578015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578066 */     GIR_RootConstrainSelectedInstOperands,
     /*  578067 */     // GIR_Coverage, 3774,
     /*  578067 */     GIR_EraseRootFromParent_Done,
     /*  578068 */   // Label 9435: @578068
     /*  578068 */   GIM_Try, /*On fail goto*//*Label 9436*/ GIMT_Encode4(578143), // Rule ID 3775 //
     /*  578073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  578084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  578087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  578090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578119 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11671:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578141 */     GIR_RootConstrainSelectedInstOperands,
     /*  578142 */     // GIR_Coverage, 3775,
     /*  578142 */     GIR_EraseRootFromParent_Done,
     /*  578143 */   // Label 9436: @578143
     /*  578143 */   GIM_Try, /*On fail goto*//*Label 9437*/ GIMT_Encode4(578218), // Rule ID 3778 //
     /*  578148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  578159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  578162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  578165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578216 */     GIR_RootConstrainSelectedInstOperands,
     /*  578217 */     // GIR_Coverage, 3778,
     /*  578217 */     GIR_EraseRootFromParent_Done,
     /*  578218 */   // Label 9437: @578218
     /*  578218 */   GIM_Try, /*On fail goto*//*Label 9438*/ GIMT_Encode4(578293), // Rule ID 3779 //
     /*  578223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  578234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  578237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  578240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578291 */     GIR_RootConstrainSelectedInstOperands,
     /*  578292 */     // GIR_Coverage, 3779,
     /*  578292 */     GIR_EraseRootFromParent_Done,
     /*  578293 */   // Label 9438: @578293
     /*  578293 */   GIM_Try, /*On fail goto*//*Label 9439*/ GIMT_Encode4(578368), // Rule ID 3782 //
     /*  578298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  578315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  578347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578366 */     GIR_RootConstrainSelectedInstOperands,
     /*  578367 */     // GIR_Coverage, 3782,
     /*  578367 */     GIR_EraseRootFromParent_Done,
     /*  578368 */   // Label 9439: @578368
     /*  578368 */   GIM_Try, /*On fail goto*//*Label 9440*/ GIMT_Encode4(578443), // Rule ID 3783 //
     /*  578373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  578384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  578387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  578390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  578422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578441 */     GIR_RootConstrainSelectedInstOperands,
     /*  578442 */     // GIR_Coverage, 3783,
     /*  578442 */     GIR_EraseRootFromParent_Done,
     /*  578443 */   // Label 9440: @578443
     /*  578443 */   GIM_Try, /*On fail goto*//*Label 9441*/ GIMT_Encode4(578518), // Rule ID 3786 //
     /*  578448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578494 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  578494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  578497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578516 */     GIR_RootConstrainSelectedInstOperands,
     /*  578517 */     // GIR_Coverage, 3786,
     /*  578517 */     GIR_EraseRootFromParent_Done,
     /*  578518 */   // Label 9441: @578518
     /*  578518 */   GIM_Try, /*On fail goto*//*Label 9442*/ GIMT_Encode4(578593), // Rule ID 3787 //
     /*  578523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  578534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  578537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  578540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  578554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  578558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578569 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  578569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  578572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  578588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578591 */     GIR_RootConstrainSelectedInstOperands,
     /*  578592 */     // GIR_Coverage, 3787,
     /*  578592 */     GIR_EraseRootFromParent_Done,
     /*  578593 */   // Label 9442: @578593
     /*  578593 */   GIM_Try, /*On fail goto*//*Label 9443*/ GIMT_Encode4(578668), // Rule ID 3790 //
     /*  578598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  578647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578666 */     GIR_RootConstrainSelectedInstOperands,
     /*  578667 */     // GIR_Coverage, 3790,
     /*  578667 */     GIR_EraseRootFromParent_Done,
     /*  578668 */   // Label 9443: @578668
     /*  578668 */   GIM_Try, /*On fail goto*//*Label 9444*/ GIMT_Encode4(578743), // Rule ID 3791 //
     /*  578673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  578684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  578687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  578690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578719 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4),
     /*  578722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578741 */     GIR_RootConstrainSelectedInstOperands,
     /*  578742 */     // GIR_Coverage, 3791,
     /*  578742 */     GIR_EraseRootFromParent_Done,
     /*  578743 */   // Label 9444: @578743
     /*  578743 */   GIM_Try, /*On fail goto*//*Label 9445*/ GIMT_Encode4(578818), // Rule ID 3794 //
     /*  578748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578816 */     GIR_RootConstrainSelectedInstOperands,
     /*  578817 */     // GIR_Coverage, 3794,
     /*  578817 */     GIR_EraseRootFromParent_Done,
     /*  578818 */   // Label 9445: @578818
     /*  578818 */   GIM_Try, /*On fail goto*//*Label 9446*/ GIMT_Encode4(578893), // Rule ID 3795 //
     /*  578823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  578834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  578837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  578840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11671:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  578869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  578872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578891 */     GIR_RootConstrainSelectedInstOperands,
     /*  578892 */     // GIR_Coverage, 3795,
     /*  578892 */     GIR_EraseRootFromParent_Done,
     /*  578893 */   // Label 9446: @578893
     /*  578893 */   GIM_Try, /*On fail goto*//*Label 9447*/ GIMT_Encode4(578968), // Rule ID 3798 //
     /*  578898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  578901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  578918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  578921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  578929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  578933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  578937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  578944 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  578944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  578947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  578949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  578951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  578953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  578955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  578960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  578963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  578966 */     GIR_RootConstrainSelectedInstOperands,
     /*  578967 */     // GIR_Coverage, 3798,
     /*  578967 */     GIR_EraseRootFromParent_Done,
     /*  578968 */   // Label 9447: @578968
     /*  578968 */   GIM_Try, /*On fail goto*//*Label 9448*/ GIMT_Encode4(579043), // Rule ID 3799 //
     /*  578973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  578976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  578981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  578984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  578987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  578990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  578993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  578996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  579022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579041 */     GIR_RootConstrainSelectedInstOperands,
     /*  579042 */     // GIR_Coverage, 3799,
     /*  579042 */     GIR_EraseRootFromParent_Done,
     /*  579043 */   // Label 9448: @579043
     /*  579043 */   GIM_Try, /*On fail goto*//*Label 9449*/ GIMT_Encode4(579118), // Rule ID 3802 //
     /*  579048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  579059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  579062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  579065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  579097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579116 */     GIR_RootConstrainSelectedInstOperands,
     /*  579117 */     // GIR_Coverage, 3802,
     /*  579117 */     GIR_EraseRootFromParent_Done,
     /*  579118 */   // Label 9449: @579118
     /*  579118 */   GIM_Try, /*On fail goto*//*Label 9450*/ GIMT_Encode4(579193), // Rule ID 3803 //
     /*  579123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  579134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  579137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  579140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  579172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579191 */     GIR_RootConstrainSelectedInstOperands,
     /*  579192 */     // GIR_Coverage, 3803,
     /*  579192 */     GIR_EraseRootFromParent_Done,
     /*  579193 */   // Label 9450: @579193
     /*  579193 */   GIM_Try, /*On fail goto*//*Label 9451*/ GIMT_Encode4(579268), // Rule ID 3806 //
     /*  579198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  579209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  579212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  579215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579244 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  579244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  579247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579266 */     GIR_RootConstrainSelectedInstOperands,
     /*  579267 */     // GIR_Coverage, 3806,
     /*  579267 */     GIR_EraseRootFromParent_Done,
     /*  579268 */   // Label 9451: @579268
     /*  579268 */   GIM_Try, /*On fail goto*//*Label 9452*/ GIMT_Encode4(579343), // Rule ID 3807 //
     /*  579273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  579276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  579284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  579287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  579290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579319 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  579319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  579322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  579338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579341 */     GIR_RootConstrainSelectedInstOperands,
     /*  579342 */     // GIR_Coverage, 3807,
     /*  579342 */     GIR_EraseRootFromParent_Done,
     /*  579343 */   // Label 9452: @579343
     /*  579343 */   GIM_Try, /*On fail goto*//*Label 9453*/ GIMT_Encode4(579418), // Rule ID 3810 //
     /*  579348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  579397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579416 */     GIR_RootConstrainSelectedInstOperands,
     /*  579417 */     // GIR_Coverage, 3810,
     /*  579417 */     GIR_EraseRootFromParent_Done,
     /*  579418 */   // Label 9453: @579418
     /*  579418 */   GIM_Try, /*On fail goto*//*Label 9454*/ GIMT_Encode4(579493), // Rule ID 3811 //
     /*  579423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  579434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  579437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  579440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11671:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2),
     /*  579472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579491 */     GIR_RootConstrainSelectedInstOperands,
     /*  579492 */     // GIR_Coverage, 3811,
     /*  579492 */     GIR_EraseRootFromParent_Done,
     /*  579493 */   // Label 9454: @579493
     /*  579493 */   GIM_Try, /*On fail goto*//*Label 9455*/ GIMT_Encode4(579568), // Rule ID 3814 //
     /*  579498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  579547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579566 */     GIR_RootConstrainSelectedInstOperands,
     /*  579567 */     // GIR_Coverage, 3814,
     /*  579567 */     GIR_EraseRootFromParent_Done,
     /*  579568 */   // Label 9455: @579568
     /*  579568 */   GIM_Try, /*On fail goto*//*Label 9456*/ GIMT_Encode4(579643), // Rule ID 3815 //
     /*  579573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  579584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  579587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  579590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11671:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1),
     /*  579622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579641 */     GIR_RootConstrainSelectedInstOperands,
     /*  579642 */     // GIR_Coverage, 3815,
     /*  579642 */     GIR_EraseRootFromParent_Done,
     /*  579643 */   // Label 9456: @579643
     /*  579643 */   GIM_Try, /*On fail goto*//*Label 9457*/ GIMT_Encode4(579718), // Rule ID 3818 //
     /*  579648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  579697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579716 */     GIR_RootConstrainSelectedInstOperands,
     /*  579717 */     // GIR_Coverage, 3818,
     /*  579717 */     GIR_EraseRootFromParent_Done,
     /*  579718 */   // Label 9457: @579718
     /*  579718 */   GIM_Try, /*On fail goto*//*Label 9458*/ GIMT_Encode4(579793), // Rule ID 3819 //
     /*  579723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  579734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  579737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  579740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  579758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579769 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11671:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2),
     /*  579772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579791 */     GIR_RootConstrainSelectedInstOperands,
     /*  579792 */     // GIR_Coverage, 3819,
     /*  579792 */     GIR_EraseRootFromParent_Done,
     /*  579793 */   // Label 9458: @579793
     /*  579793 */   GIM_Try, /*On fail goto*//*Label 9459*/ GIMT_Encode4(579868), // Rule ID 3822 //
     /*  579798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  579801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  579818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  579844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  579847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579866 */     GIR_RootConstrainSelectedInstOperands,
     /*  579867 */     // GIR_Coverage, 3822,
     /*  579867 */     GIR_EraseRootFromParent_Done,
     /*  579868 */   // Label 9459: @579868
     /*  579868 */   GIM_Try, /*On fail goto*//*Label 9460*/ GIMT_Encode4(579943), // Rule ID 3823 //
     /*  579873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  579876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu),
     /*  579881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  579884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  579887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  579890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  579893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  579896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  579904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  579908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  579912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11671:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  579919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4),
     /*  579922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  579926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  579928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  579930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  579935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  579938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  579941 */     GIR_RootConstrainSelectedInstOperands,
     /*  579942 */     // GIR_Coverage, 3823,
     /*  579942 */     GIR_EraseRootFromParent_Done,
     /*  579943 */   // Label 9460: @579943
     /*  579943 */   GIM_Try, /*On fail goto*//*Label 9461*/ GIMT_Encode4(580018), // Rule ID 3826 //
     /*  579948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  579951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  579956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  579959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  579962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  579965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  579968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  579971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  579987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  579994 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  579994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  579997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  579999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580016 */     GIR_RootConstrainSelectedInstOperands,
     /*  580017 */     // GIR_Coverage, 3826,
     /*  580017 */     GIR_EraseRootFromParent_Done,
     /*  580018 */   // Label 9461: @580018
     /*  580018 */   GIM_Try, /*On fail goto*//*Label 9462*/ GIMT_Encode4(580093), // Rule ID 3827 //
     /*  580023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  580034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  580037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  580040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  580043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580069 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8),
     /*  580072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580091 */     GIR_RootConstrainSelectedInstOperands,
     /*  580092 */     // GIR_Coverage, 3827,
     /*  580092 */     GIR_EraseRootFromParent_Done,
     /*  580093 */   // Label 9462: @580093
     /*  580093 */   GIM_Try, /*On fail goto*//*Label 9463*/ GIMT_Encode4(580168), // Rule ID 3830 //
     /*  580098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  580109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  580112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  580115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  580118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580144 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  580147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580166 */     GIR_RootConstrainSelectedInstOperands,
     /*  580167 */     // GIR_Coverage, 3830,
     /*  580167 */     GIR_EraseRootFromParent_Done,
     /*  580168 */   // Label 9463: @580168
     /*  580168 */   GIM_Try, /*On fail goto*//*Label 9464*/ GIMT_Encode4(580243), // Rule ID 3831 //
     /*  580173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  580184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  580187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  580190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  580193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580219 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  580222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580241 */     GIR_RootConstrainSelectedInstOperands,
     /*  580242 */     // GIR_Coverage, 3831,
     /*  580242 */     GIR_EraseRootFromParent_Done,
     /*  580243 */   // Label 9464: @580243
     /*  580243 */   GIM_Try, /*On fail goto*//*Label 9465*/ GIMT_Encode4(580318), // Rule ID 3834 //
     /*  580248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  580265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  580268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580294 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  580297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580316 */     GIR_RootConstrainSelectedInstOperands,
     /*  580317 */     // GIR_Coverage, 3834,
     /*  580317 */     GIR_EraseRootFromParent_Done,
     /*  580318 */   // Label 9465: @580318
     /*  580318 */   GIM_Try, /*On fail goto*//*Label 9466*/ GIMT_Encode4(580393), // Rule ID 3835 //
     /*  580323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  580334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  580337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  580340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  580343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580369 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  580372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580391 */     GIR_RootConstrainSelectedInstOperands,
     /*  580392 */     // GIR_Coverage, 3835,
     /*  580392 */     GIR_EraseRootFromParent_Done,
     /*  580393 */   // Label 9466: @580393
     /*  580393 */   GIM_Try, /*On fail goto*//*Label 9467*/ GIMT_Encode4(580468), // Rule ID 3838 //
     /*  580398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  580447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580466 */     GIR_RootConstrainSelectedInstOperands,
     /*  580467 */     // GIR_Coverage, 3838,
     /*  580467 */     GIR_EraseRootFromParent_Done,
     /*  580468 */   // Label 9467: @580468
     /*  580468 */   GIM_Try, /*On fail goto*//*Label 9468*/ GIMT_Encode4(580543), // Rule ID 3839 //
     /*  580473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  580484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  580487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  580490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  580493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580519 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  580522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580541 */     GIR_RootConstrainSelectedInstOperands,
     /*  580542 */     // GIR_Coverage, 3839,
     /*  580542 */     GIR_EraseRootFromParent_Done,
     /*  580543 */   // Label 9468: @580543
     /*  580543 */   GIM_Try, /*On fail goto*//*Label 9469*/ GIMT_Encode4(580618), // Rule ID 3842 //
     /*  580548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580594 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  580597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580616 */     GIR_RootConstrainSelectedInstOperands,
     /*  580617 */     // GIR_Coverage, 3842,
     /*  580617 */     GIR_EraseRootFromParent_Done,
     /*  580618 */   // Label 9469: @580618
     /*  580618 */   GIM_Try, /*On fail goto*//*Label 9470*/ GIMT_Encode4(580693), // Rule ID 3843 //
     /*  580623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  580634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  580637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  580640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  580643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  580662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580669 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  580672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580691 */     GIR_RootConstrainSelectedInstOperands,
     /*  580692 */     // GIR_Coverage, 3843,
     /*  580692 */     GIR_EraseRootFromParent_Done,
     /*  580693 */   // Label 9470: @580693
     /*  580693 */   GIM_Try, /*On fail goto*//*Label 9471*/ GIMT_Encode4(580768), // Rule ID 3846 //
     /*  580698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580744 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  580744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  580747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580766 */     GIR_RootConstrainSelectedInstOperands,
     /*  580767 */     // GIR_Coverage, 3846,
     /*  580767 */     GIR_EraseRootFromParent_Done,
     /*  580768 */   // Label 9471: @580768
     /*  580768 */   GIM_Try, /*On fail goto*//*Label 9472*/ GIMT_Encode4(580843), // Rule ID 3847 //
     /*  580773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  580784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  580787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  580790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  580793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  580804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  580812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580819 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  580819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  580822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  580838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580841 */     GIR_RootConstrainSelectedInstOperands,
     /*  580842 */     // GIR_Coverage, 3847,
     /*  580842 */     GIR_EraseRootFromParent_Done,
     /*  580843 */   // Label 9472: @580843
     /*  580843 */   GIM_Try, /*On fail goto*//*Label 9473*/ GIMT_Encode4(580918), // Rule ID 3850 //
     /*  580848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  580851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  580871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  580894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  580897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580916 */     GIR_RootConstrainSelectedInstOperands,
     /*  580917 */     // GIR_Coverage, 3850,
     /*  580917 */     GIR_EraseRootFromParent_Done,
     /*  580918 */   // Label 9473: @580918
     /*  580918 */   GIM_Try, /*On fail goto*//*Label 9474*/ GIMT_Encode4(580993), // Rule ID 3851 //
     /*  580923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  580926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  580931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  580934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  580937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  580940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  580943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  580946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  580962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  580969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  580969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4),
     /*  580972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  580974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  580976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  580978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  580980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  580985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  580988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  580991 */     GIR_RootConstrainSelectedInstOperands,
     /*  580992 */     // GIR_Coverage, 3851,
     /*  580992 */     GIR_EraseRootFromParent_Done,
     /*  580993 */   // Label 9474: @580993
     /*  580993 */   GIM_Try, /*On fail goto*//*Label 9475*/ GIMT_Encode4(581068), // Rule ID 3854 //
     /*  580998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  581009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  581012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  581015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  581018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11639:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  581047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581066 */     GIR_RootConstrainSelectedInstOperands,
     /*  581067 */     // GIR_Coverage, 3854,
     /*  581067 */     GIR_EraseRootFromParent_Done,
     /*  581068 */   // Label 9475: @581068
     /*  581068 */   GIM_Try, /*On fail goto*//*Label 9476*/ GIMT_Encode4(581143), // Rule ID 3855 //
     /*  581073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  581084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  581087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  581090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  581093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581119 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11639:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  581122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581141 */     GIR_RootConstrainSelectedInstOperands,
     /*  581142 */     // GIR_Coverage, 3855,
     /*  581142 */     GIR_EraseRootFromParent_Done,
     /*  581143 */   // Label 9476: @581143
     /*  581143 */   GIM_Try, /*On fail goto*//*Label 9477*/ GIMT_Encode4(581218), // Rule ID 3858 //
     /*  581148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  581165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  581168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  581197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581216 */     GIR_RootConstrainSelectedInstOperands,
     /*  581217 */     // GIR_Coverage, 3858,
     /*  581217 */     GIR_EraseRootFromParent_Done,
     /*  581218 */   // Label 9477: @581218
     /*  581218 */   GIM_Try, /*On fail goto*//*Label 9478*/ GIMT_Encode4(581293), // Rule ID 3859 //
     /*  581223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  581234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  581237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  581240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  581243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581269 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  581272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581291 */     GIR_RootConstrainSelectedInstOperands,
     /*  581292 */     // GIR_Coverage, 3859,
     /*  581292 */     GIR_EraseRootFromParent_Done,
     /*  581293 */   // Label 9478: @581293
     /*  581293 */   GIM_Try, /*On fail goto*//*Label 9479*/ GIMT_Encode4(581368), // Rule ID 3862 //
     /*  581298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  581318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  581347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581366 */     GIR_RootConstrainSelectedInstOperands,
     /*  581367 */     // GIR_Coverage, 3862,
     /*  581367 */     GIR_EraseRootFromParent_Done,
     /*  581368 */   // Label 9479: @581368
     /*  581368 */   GIM_Try, /*On fail goto*//*Label 9480*/ GIMT_Encode4(581443), // Rule ID 3863 //
     /*  581373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  581384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  581387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  581390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  581393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581419 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  581422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581441 */     GIR_RootConstrainSelectedInstOperands,
     /*  581442 */     // GIR_Coverage, 3863,
     /*  581442 */     GIR_EraseRootFromParent_Done,
     /*  581443 */   // Label 9480: @581443
     /*  581443 */   GIM_Try, /*On fail goto*//*Label 9481*/ GIMT_Encode4(581518), // Rule ID 3866 //
     /*  581448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  581451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  581494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  581497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581516 */     GIR_RootConstrainSelectedInstOperands,
     /*  581517 */     // GIR_Coverage, 3866,
     /*  581517 */     GIR_EraseRootFromParent_Done,
     /*  581518 */   // Label 9481: @581518
     /*  581518 */   GIM_Try, /*On fail goto*//*Label 9482*/ GIMT_Encode4(581593), // Rule ID 3867 //
     /*  581523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  581526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  581534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  581537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  581540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  581543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  581554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  581569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  581572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  581588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581591 */     GIR_RootConstrainSelectedInstOperands,
     /*  581592 */     // GIR_Coverage, 3867,
     /*  581592 */     GIR_EraseRootFromParent_Done,
     /*  581593 */   // Label 9482: @581593
     /*  581593 */   GIM_Try, /*On fail goto*//*Label 9483*/ GIMT_Encode4(581668), // Rule ID 3870 //
     /*  581598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  581647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581666 */     GIR_RootConstrainSelectedInstOperands,
     /*  581667 */     // GIR_Coverage, 3870,
     /*  581667 */     GIR_EraseRootFromParent_Done,
     /*  581668 */   // Label 9483: @581668
     /*  581668 */   GIM_Try, /*On fail goto*//*Label 9484*/ GIMT_Encode4(581743), // Rule ID 3871 //
     /*  581673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  581684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  581687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  581690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  581693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581719 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2),
     /*  581722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581741 */     GIR_RootConstrainSelectedInstOperands,
     /*  581742 */     // GIR_Coverage, 3871,
     /*  581742 */     GIR_EraseRootFromParent_Done,
     /*  581743 */   // Label 9484: @581743
     /*  581743 */   GIM_Try, /*On fail goto*//*Label 9485*/ GIMT_Encode4(581818), // Rule ID 3874 //
     /*  581748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  581797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581816 */     GIR_RootConstrainSelectedInstOperands,
     /*  581817 */     // GIR_Coverage, 3874,
     /*  581817 */     GIR_EraseRootFromParent_Done,
     /*  581818 */   // Label 9485: @581818
     /*  581818 */   GIM_Try, /*On fail goto*//*Label 9486*/ GIMT_Encode4(581893), // Rule ID 3875 //
     /*  581823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  581834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  581837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  581840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  581843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  581862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581869 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  581869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1),
     /*  581872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581891 */     GIR_RootConstrainSelectedInstOperands,
     /*  581892 */     // GIR_Coverage, 3875,
     /*  581892 */     GIR_EraseRootFromParent_Done,
     /*  581893 */   // Label 9486: @581893
     /*  581893 */   GIM_Try, /*On fail goto*//*Label 9487*/ GIMT_Encode4(581968), // Rule ID 3878 //
     /*  581898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  581901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  581921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  581929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  581937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  581944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  581944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  581947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  581949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  581951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  581953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  581955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  581960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  581963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  581966 */     GIR_RootConstrainSelectedInstOperands,
     /*  581967 */     // GIR_Coverage, 3878,
     /*  581967 */     GIR_EraseRootFromParent_Done,
     /*  581968 */   // Label 9487: @581968
     /*  581968 */   GIM_Try, /*On fail goto*//*Label 9488*/ GIMT_Encode4(582043), // Rule ID 3879 //
     /*  581973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  581976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  581981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  581984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  581987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  581990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  581993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  581996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582019 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2),
     /*  582022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582041 */     GIR_RootConstrainSelectedInstOperands,
     /*  582042 */     // GIR_Coverage, 3879,
     /*  582042 */     GIR_EraseRootFromParent_Done,
     /*  582043 */   // Label 9488: @582043
     /*  582043 */   GIM_Try, /*On fail goto*//*Label 9489*/ GIMT_Encode4(582118), // Rule ID 3882 //
     /*  582048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  582051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  582065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  582068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  582094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  582097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582116 */     GIR_RootConstrainSelectedInstOperands,
     /*  582117 */     // GIR_Coverage, 3882,
     /*  582117 */     GIR_EraseRootFromParent_Done,
     /*  582118 */   // Label 9489: @582118
     /*  582118 */   GIM_Try, /*On fail goto*//*Label 9490*/ GIMT_Encode4(582193), // Rule ID 3883 //
     /*  582123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  582126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  582134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  582137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  582140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  582143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  582169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4),
     /*  582172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  582188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582191 */     GIR_RootConstrainSelectedInstOperands,
     /*  582192 */     // GIR_Coverage, 3883,
     /*  582192 */     GIR_EraseRootFromParent_Done,
     /*  582193 */   // Label 9490: @582193
     /*  582193 */   GIM_Try, /*On fail goto*//*Label 9491*/ GIMT_Encode4(582268), // Rule ID 3886 //
     /*  582198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  582209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  582212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  582215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  582247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582266 */     GIR_RootConstrainSelectedInstOperands,
     /*  582267 */     // GIR_Coverage, 3886,
     /*  582267 */     GIR_EraseRootFromParent_Done,
     /*  582268 */   // Label 9491: @582268
     /*  582268 */   GIM_Try, /*On fail goto*//*Label 9492*/ GIMT_Encode4(582343), // Rule ID 3887 //
     /*  582273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  582284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  582287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  582290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8),
     /*  582322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582341 */     GIR_RootConstrainSelectedInstOperands,
     /*  582342 */     // GIR_Coverage, 3887,
     /*  582342 */     GIR_EraseRootFromParent_Done,
     /*  582343 */   // Label 9492: @582343
     /*  582343 */   GIM_Try, /*On fail goto*//*Label 9493*/ GIMT_Encode4(582418), // Rule ID 3890 //
     /*  582348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  582397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582416 */     GIR_RootConstrainSelectedInstOperands,
     /*  582417 */     // GIR_Coverage, 3890,
     /*  582417 */     GIR_EraseRootFromParent_Done,
     /*  582418 */   // Label 9493: @582418
     /*  582418 */   GIM_Try, /*On fail goto*//*Label 9494*/ GIMT_Encode4(582493), // Rule ID 3891 //
     /*  582423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  582434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  582437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  582440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582469 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  582472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582491 */     GIR_RootConstrainSelectedInstOperands,
     /*  582492 */     // GIR_Coverage, 3891,
     /*  582492 */     GIR_EraseRootFromParent_Done,
     /*  582493 */   // Label 9494: @582493
     /*  582493 */   GIM_Try, /*On fail goto*//*Label 9495*/ GIMT_Encode4(582568), // Rule ID 3894 //
     /*  582498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582544 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  582547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582566 */     GIR_RootConstrainSelectedInstOperands,
     /*  582567 */     // GIR_Coverage, 3894,
     /*  582567 */     GIR_EraseRootFromParent_Done,
     /*  582568 */   // Label 9495: @582568
     /*  582568 */   GIM_Try, /*On fail goto*//*Label 9496*/ GIMT_Encode4(582643), // Rule ID 3895 //
     /*  582573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  582584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  582587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  582590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582619 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11639:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  582622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582641 */     GIR_RootConstrainSelectedInstOperands,
     /*  582642 */     // GIR_Coverage, 3895,
     /*  582642 */     GIR_EraseRootFromParent_Done,
     /*  582643 */   // Label 9496: @582643
     /*  582643 */   GIM_Try, /*On fail goto*//*Label 9497*/ GIMT_Encode4(582718), // Rule ID 3898 //
     /*  582648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582694 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582716 */     GIR_RootConstrainSelectedInstOperands,
     /*  582717 */     // GIR_Coverage, 3898,
     /*  582717 */     GIR_EraseRootFromParent_Done,
     /*  582718 */   // Label 9497: @582718
     /*  582718 */   GIM_Try, /*On fail goto*//*Label 9498*/ GIMT_Encode4(582793), // Rule ID 3899 //
     /*  582723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  582734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  582737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  582740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  582758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582769 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  582772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582791 */     GIR_RootConstrainSelectedInstOperands,
     /*  582792 */     // GIR_Coverage, 3899,
     /*  582792 */     GIR_EraseRootFromParent_Done,
     /*  582793 */   // Label 9498: @582793
     /*  582793 */   GIM_Try, /*On fail goto*//*Label 9499*/ GIMT_Encode4(582868), // Rule ID 3902 //
     /*  582798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582844 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  582847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582866 */     GIR_RootConstrainSelectedInstOperands,
     /*  582867 */     // GIR_Coverage, 3902,
     /*  582867 */     GIR_EraseRootFromParent_Done,
     /*  582868 */   // Label 9499: @582868
     /*  582868 */   GIM_Try, /*On fail goto*//*Label 9500*/ GIMT_Encode4(582943), // Rule ID 3903 //
     /*  582873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  582876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  582884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  582887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  582890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  582893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  582896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  582908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582919 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  582919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  582922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  582926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  582928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  582930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  582935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  582938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  582941 */     GIR_RootConstrainSelectedInstOperands,
     /*  582942 */     // GIR_Coverage, 3903,
     /*  582942 */     GIR_EraseRootFromParent_Done,
     /*  582943 */   // Label 9500: @582943
     /*  582943 */   GIM_Try, /*On fail goto*//*Label 9501*/ GIMT_Encode4(583018), // Rule ID 3906 //
     /*  582948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  582951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  582956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  582959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  582962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  582965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  582968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  582971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  582979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  582983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  582987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  582994 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  582994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  582997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  582999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583016 */     GIR_RootConstrainSelectedInstOperands,
     /*  583017 */     // GIR_Coverage, 3906,
     /*  583017 */     GIR_EraseRootFromParent_Done,
     /*  583018 */   // Label 9501: @583018
     /*  583018 */   GIM_Try, /*On fail goto*//*Label 9502*/ GIMT_Encode4(583093), // Rule ID 3907 //
     /*  583023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  583034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  583037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  583040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583069 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  583069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  583088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583091 */     GIR_RootConstrainSelectedInstOperands,
     /*  583092 */     // GIR_Coverage, 3907,
     /*  583092 */     GIR_EraseRootFromParent_Done,
     /*  583093 */   // Label 9502: @583093
     /*  583093 */   GIM_Try, /*On fail goto*//*Label 9503*/ GIMT_Encode4(583168), // Rule ID 3910 //
     /*  583098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  583115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583144 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  583147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583166 */     GIR_RootConstrainSelectedInstOperands,
     /*  583167 */     // GIR_Coverage, 3910,
     /*  583167 */     GIR_EraseRootFromParent_Done,
     /*  583168 */   // Label 9503: @583168
     /*  583168 */   GIM_Try, /*On fail goto*//*Label 9504*/ GIMT_Encode4(583243), // Rule ID 3911 //
     /*  583173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  583184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  583187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  583190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583219 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4),
     /*  583222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583241 */     GIR_RootConstrainSelectedInstOperands,
     /*  583242 */     // GIR_Coverage, 3911,
     /*  583242 */     GIR_EraseRootFromParent_Done,
     /*  583243 */   // Label 9504: @583243
     /*  583243 */   GIM_Try, /*On fail goto*//*Label 9505*/ GIMT_Encode4(583318), // Rule ID 3914 //
     /*  583248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11639:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  583297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583316 */     GIR_RootConstrainSelectedInstOperands,
     /*  583317 */     // GIR_Coverage, 3914,
     /*  583317 */     GIR_EraseRootFromParent_Done,
     /*  583318 */   // Label 9505: @583318
     /*  583318 */   GIM_Try, /*On fail goto*//*Label 9506*/ GIMT_Encode4(583393), // Rule ID 3915 //
     /*  583323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  583334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  583337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  583340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583369 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11639:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  583372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583391 */     GIR_RootConstrainSelectedInstOperands,
     /*  583392 */     // GIR_Coverage, 3915,
     /*  583392 */     GIR_EraseRootFromParent_Done,
     /*  583393 */   // Label 9506: @583393
     /*  583393 */   GIM_Try, /*On fail goto*//*Label 9507*/ GIMT_Encode4(583468), // Rule ID 3918 //
     /*  583398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583444 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  583447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583466 */     GIR_RootConstrainSelectedInstOperands,
     /*  583467 */     // GIR_Coverage, 3918,
     /*  583467 */     GIR_EraseRootFromParent_Done,
     /*  583468 */   // Label 9507: @583468
     /*  583468 */   GIM_Try, /*On fail goto*//*Label 9508*/ GIMT_Encode4(583543), // Rule ID 3919 //
     /*  583473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  583484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  583487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  583490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583519 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  583522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583541 */     GIR_RootConstrainSelectedInstOperands,
     /*  583542 */     // GIR_Coverage, 3919,
     /*  583542 */     GIR_EraseRootFromParent_Done,
     /*  583543 */   // Label 9508: @583543
     /*  583543 */   GIM_Try, /*On fail goto*//*Label 9509*/ GIMT_Encode4(583618), // Rule ID 3922 //
     /*  583548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583594 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  583597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583616 */     GIR_RootConstrainSelectedInstOperands,
     /*  583617 */     // GIR_Coverage, 3922,
     /*  583617 */     GIR_EraseRootFromParent_Done,
     /*  583618 */   // Label 9509: @583618
     /*  583618 */   GIM_Try, /*On fail goto*//*Label 9510*/ GIMT_Encode4(583693), // Rule ID 3923 //
     /*  583623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  583634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  583637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  583640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  583658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583669 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  583672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583691 */     GIR_RootConstrainSelectedInstOperands,
     /*  583692 */     // GIR_Coverage, 3923,
     /*  583692 */     GIR_EraseRootFromParent_Done,
     /*  583693 */   // Label 9510: @583693
     /*  583693 */   GIM_Try, /*On fail goto*//*Label 9511*/ GIMT_Encode4(583768), // Rule ID 3926 //
     /*  583698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  583701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583744 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  583744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583766 */     GIR_RootConstrainSelectedInstOperands,
     /*  583767 */     // GIR_Coverage, 3926,
     /*  583767 */     GIR_EraseRootFromParent_Done,
     /*  583768 */   // Label 9511: @583768
     /*  583768 */   GIM_Try, /*On fail goto*//*Label 9512*/ GIMT_Encode4(583843), // Rule ID 3927 //
     /*  583773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  583776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  583784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  583787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  583790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  583804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  583808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583819 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  583819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  583822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  583838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583841 */     GIR_RootConstrainSelectedInstOperands,
     /*  583842 */     // GIR_Coverage, 3927,
     /*  583842 */     GIR_EraseRootFromParent_Done,
     /*  583843 */   // Label 9512: @583843
     /*  583843 */   GIM_Try, /*On fail goto*//*Label 9513*/ GIMT_Encode4(583918), // Rule ID 3930 //
     /*  583848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  583851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  583868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  583871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583894 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  583894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  583897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583916 */     GIR_RootConstrainSelectedInstOperands,
     /*  583917 */     // GIR_Coverage, 3930,
     /*  583917 */     GIR_EraseRootFromParent_Done,
     /*  583918 */   // Label 9513: @583918
     /*  583918 */   GIM_Try, /*On fail goto*//*Label 9514*/ GIMT_Encode4(583993), // Rule ID 3931 //
     /*  583923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  583926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  583931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  583934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  583937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  583940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  583943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  583946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  583958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  583962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  583969 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11639:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  583969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2),
     /*  583972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  583974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  583976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  583978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  583980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  583985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  583988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  583991 */     GIR_RootConstrainSelectedInstOperands,
     /*  583992 */     // GIR_Coverage, 3931,
     /*  583992 */     GIR_EraseRootFromParent_Done,
     /*  583993 */   // Label 9514: @583993
     /*  583993 */   GIM_Try, /*On fail goto*//*Label 9515*/ GIMT_Encode4(584068), // Rule ID 3934 //
     /*  583998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  584006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  584009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  584012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  584015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584044 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  584047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584066 */     GIR_RootConstrainSelectedInstOperands,
     /*  584067 */     // GIR_Coverage, 3934,
     /*  584067 */     GIR_EraseRootFromParent_Done,
     /*  584068 */   // Label 9515: @584068
     /*  584068 */   GIM_Try, /*On fail goto*//*Label 9516*/ GIMT_Encode4(584143), // Rule ID 3935 //
     /*  584073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  584081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  584084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  584087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  584090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584119 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11639:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1),
     /*  584122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584141 */     GIR_RootConstrainSelectedInstOperands,
     /*  584142 */     // GIR_Coverage, 3935,
     /*  584142 */     GIR_EraseRootFromParent_Done,
     /*  584143 */   // Label 9516: @584143
     /*  584143 */   GIM_Try, /*On fail goto*//*Label 9517*/ GIMT_Encode4(584218), // Rule ID 3938 //
     /*  584148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  584156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584194 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  584197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584216 */     GIR_RootConstrainSelectedInstOperands,
     /*  584217 */     // GIR_Coverage, 3938,
     /*  584217 */     GIR_EraseRootFromParent_Done,
     /*  584218 */   // Label 9517: @584218
     /*  584218 */   GIM_Try, /*On fail goto*//*Label 9518*/ GIMT_Encode4(584293), // Rule ID 3939 //
     /*  584223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  584231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  584234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  584237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  584240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584269 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11639:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2),
     /*  584272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584291 */     GIR_RootConstrainSelectedInstOperands,
     /*  584292 */     // GIR_Coverage, 3939,
     /*  584292 */     GIR_EraseRootFromParent_Done,
     /*  584293 */   // Label 9518: @584293
     /*  584293 */   GIM_Try, /*On fail goto*//*Label 9519*/ GIMT_Encode4(584368), // Rule ID 3942 //
     /*  584298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  584301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  584306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  584318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584344 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  584344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  584347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584366 */     GIR_RootConstrainSelectedInstOperands,
     /*  584367 */     // GIR_Coverage, 3942,
     /*  584367 */     GIR_EraseRootFromParent_Done,
     /*  584368 */   // Label 9519: @584368
     /*  584368 */   GIM_Try, /*On fail goto*//*Label 9520*/ GIMT_Encode4(584443), // Rule ID 3943 //
     /*  584373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  584376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd),
     /*  584381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  584384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  584387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  584390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  584393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  584404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  584408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  584412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584419 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11639:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  584419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4),
     /*  584422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  584438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584441 */     GIR_RootConstrainSelectedInstOperands,
     /*  584442 */     // GIR_Coverage, 3943,
     /*  584442 */     GIR_EraseRootFromParent_Done,
     /*  584443 */   // Label 9520: @584443
     /*  584443 */   GIM_Try, /*On fail goto*//*Label 9521*/ GIMT_Encode4(584518), // Rule ID 3946 //
     /*  584448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  584465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  584468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584494 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  584497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584516 */     GIR_RootConstrainSelectedInstOperands,
     /*  584517 */     // GIR_Coverage, 3946,
     /*  584517 */     GIR_EraseRootFromParent_Done,
     /*  584518 */   // Label 9521: @584518
     /*  584518 */   GIM_Try, /*On fail goto*//*Label 9522*/ GIMT_Encode4(584593), // Rule ID 3947 //
     /*  584523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  584534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  584537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  584540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  584543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584569 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8),
     /*  584572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584591 */     GIR_RootConstrainSelectedInstOperands,
     /*  584592 */     // GIR_Coverage, 3947,
     /*  584592 */     GIR_EraseRootFromParent_Done,
     /*  584593 */   // Label 9522: @584593
     /*  584593 */   GIM_Try, /*On fail goto*//*Label 9523*/ GIMT_Encode4(584668), // Rule ID 3950 //
     /*  584598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  584615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584644 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584666 */     GIR_RootConstrainSelectedInstOperands,
     /*  584667 */     // GIR_Coverage, 3950,
     /*  584667 */     GIR_EraseRootFromParent_Done,
     /*  584668 */   // Label 9523: @584668
     /*  584668 */   GIM_Try, /*On fail goto*//*Label 9524*/ GIMT_Encode4(584743), // Rule ID 3951 //
     /*  584673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  584684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  584687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  584690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  584693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584719 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  584722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584741 */     GIR_RootConstrainSelectedInstOperands,
     /*  584742 */     // GIR_Coverage, 3951,
     /*  584742 */     GIR_EraseRootFromParent_Done,
     /*  584743 */   // Label 9524: @584743
     /*  584743 */   GIM_Try, /*On fail goto*//*Label 9525*/ GIMT_Encode4(584818), // Rule ID 3954 //
     /*  584748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  584765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  584797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584816 */     GIR_RootConstrainSelectedInstOperands,
     /*  584817 */     // GIR_Coverage, 3954,
     /*  584817 */     GIR_EraseRootFromParent_Done,
     /*  584818 */   // Label 9525: @584818
     /*  584818 */   GIM_Try, /*On fail goto*//*Label 9526*/ GIMT_Encode4(584893), // Rule ID 3955 //
     /*  584823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  584834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  584837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  584840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  584843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584869 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  584869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  584872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584891 */     GIR_RootConstrainSelectedInstOperands,
     /*  584892 */     // GIR_Coverage, 3955,
     /*  584892 */     GIR_EraseRootFromParent_Done,
     /*  584893 */   // Label 9526: @584893
     /*  584893 */   GIM_Try, /*On fail goto*//*Label 9527*/ GIMT_Encode4(584968), // Rule ID 3958 //
     /*  584898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  584901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  584915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  584921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  584929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  584937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  584944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  584944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  584947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  584949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  584951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  584953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  584955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  584960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  584963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  584966 */     GIR_RootConstrainSelectedInstOperands,
     /*  584967 */     // GIR_Coverage, 3958,
     /*  584967 */     GIR_EraseRootFromParent_Done,
     /*  584968 */   // Label 9527: @584968
     /*  584968 */   GIM_Try, /*On fail goto*//*Label 9528*/ GIMT_Encode4(585043), // Rule ID 3959 //
     /*  584973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  584976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  584981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  584984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  584987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  584990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  584993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  584996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585019 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585041 */     GIR_RootConstrainSelectedInstOperands,
     /*  585042 */     // GIR_Coverage, 3959,
     /*  585042 */     GIR_EraseRootFromParent_Done,
     /*  585043 */   // Label 9528: @585043
     /*  585043 */   GIM_Try, /*On fail goto*//*Label 9529*/ GIMT_Encode4(585118), // Rule ID 3962 //
     /*  585048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  585059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  585062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  585065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  585068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585094 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585116 */     GIR_RootConstrainSelectedInstOperands,
     /*  585117 */     // GIR_Coverage, 3962,
     /*  585117 */     GIR_EraseRootFromParent_Done,
     /*  585118 */   // Label 9529: @585118
     /*  585118 */   GIM_Try, /*On fail goto*//*Label 9530*/ GIMT_Encode4(585193), // Rule ID 3963 //
     /*  585123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  585134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  585137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  585140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  585143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585169 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585191 */     GIR_RootConstrainSelectedInstOperands,
     /*  585192 */     // GIR_Coverage, 3963,
     /*  585192 */     GIR_EraseRootFromParent_Done,
     /*  585193 */   // Label 9530: @585193
     /*  585193 */   GIM_Try, /*On fail goto*//*Label 9531*/ GIMT_Encode4(585268), // Rule ID 3966 //
     /*  585198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  585209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  585212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  585215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  585218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585244 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  585244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585266 */     GIR_RootConstrainSelectedInstOperands,
     /*  585267 */     // GIR_Coverage, 3966,
     /*  585267 */     GIR_EraseRootFromParent_Done,
     /*  585268 */   // Label 9531: @585268
     /*  585268 */   GIM_Try, /*On fail goto*//*Label 9532*/ GIMT_Encode4(585343), // Rule ID 3967 //
     /*  585273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  585284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  585287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  585290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  585293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  585319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  585338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585341 */     GIR_RootConstrainSelectedInstOperands,
     /*  585342 */     // GIR_Coverage, 3967,
     /*  585342 */     GIR_EraseRootFromParent_Done,
     /*  585343 */   // Label 9532: @585343
     /*  585343 */   GIM_Try, /*On fail goto*//*Label 9533*/ GIMT_Encode4(585418), // Rule ID 3970 //
     /*  585348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  585365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  585368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  585397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585416 */     GIR_RootConstrainSelectedInstOperands,
     /*  585417 */     // GIR_Coverage, 3970,
     /*  585417 */     GIR_EraseRootFromParent_Done,
     /*  585418 */   // Label 9533: @585418
     /*  585418 */   GIM_Try, /*On fail goto*//*Label 9534*/ GIMT_Encode4(585493), // Rule ID 3971 //
     /*  585423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  585434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  585437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  585440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  585443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585469 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4),
     /*  585472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585491 */     GIR_RootConstrainSelectedInstOperands,
     /*  585492 */     // GIR_Coverage, 3971,
     /*  585492 */     GIR_EraseRootFromParent_Done,
     /*  585493 */   // Label 9534: @585493
     /*  585493 */   GIM_Try, /*On fail goto*//*Label 9535*/ GIMT_Encode4(585568), // Rule ID 3974 //
     /*  585498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  585515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  585547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585566 */     GIR_RootConstrainSelectedInstOperands,
     /*  585567 */     // GIR_Coverage, 3974,
     /*  585567 */     GIR_EraseRootFromParent_Done,
     /*  585568 */   // Label 9535: @585568
     /*  585568 */   GIM_Try, /*On fail goto*//*Label 9536*/ GIMT_Encode4(585643), // Rule ID 3975 //
     /*  585573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  585584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  585587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  585590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  585593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585619 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  585622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585641 */     GIR_RootConstrainSelectedInstOperands,
     /*  585642 */     // GIR_Coverage, 3975,
     /*  585642 */     GIR_EraseRootFromParent_Done,
     /*  585643 */   // Label 9536: @585643
     /*  585643 */   GIM_Try, /*On fail goto*//*Label 9537*/ GIMT_Encode4(585718), // Rule ID 3978 //
     /*  585648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  585665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585716 */     GIR_RootConstrainSelectedInstOperands,
     /*  585717 */     // GIR_Coverage, 3978,
     /*  585717 */     GIR_EraseRootFromParent_Done,
     /*  585718 */   // Label 9537: @585718
     /*  585718 */   GIM_Try, /*On fail goto*//*Label 9538*/ GIMT_Encode4(585793), // Rule ID 3979 //
     /*  585723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  585734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  585737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  585740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  585743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  585762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585769 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  585772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585791 */     GIR_RootConstrainSelectedInstOperands,
     /*  585792 */     // GIR_Coverage, 3979,
     /*  585792 */     GIR_EraseRootFromParent_Done,
     /*  585793 */   // Label 9538: @585793
     /*  585793 */   GIM_Try, /*On fail goto*//*Label 9539*/ GIMT_Encode4(585868), // Rule ID 3982 //
     /*  585798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585844 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585866 */     GIR_RootConstrainSelectedInstOperands,
     /*  585867 */     // GIR_Coverage, 3982,
     /*  585867 */     GIR_EraseRootFromParent_Done,
     /*  585868 */   // Label 9539: @585868
     /*  585868 */   GIM_Try, /*On fail goto*//*Label 9540*/ GIMT_Encode4(585943), // Rule ID 3983 //
     /*  585873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  585876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  585884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  585887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  585890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  585893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  585896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  585912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585919 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  585919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  585922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  585926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  585928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  585930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  585935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  585938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  585941 */     GIR_RootConstrainSelectedInstOperands,
     /*  585942 */     // GIR_Coverage, 3983,
     /*  585942 */     GIR_EraseRootFromParent_Done,
     /*  585943 */   // Label 9540: @585943
     /*  585943 */   GIM_Try, /*On fail goto*//*Label 9541*/ GIMT_Encode4(586018), // Rule ID 3986 //
     /*  585948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  585951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  585956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  585959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  585962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  585965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  585968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  585971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  585979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  585987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  585994 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  585994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  585997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  585999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586016 */     GIR_RootConstrainSelectedInstOperands,
     /*  586017 */     // GIR_Coverage, 3986,
     /*  586017 */     GIR_EraseRootFromParent_Done,
     /*  586018 */   // Label 9541: @586018
     /*  586018 */   GIM_Try, /*On fail goto*//*Label 9542*/ GIMT_Encode4(586093), // Rule ID 3987 //
     /*  586023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  586034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  586037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  586040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  586043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586069 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  586069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  586072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  586088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586091 */     GIR_RootConstrainSelectedInstOperands,
     /*  586092 */     // GIR_Coverage, 3987,
     /*  586092 */     GIR_EraseRootFromParent_Done,
     /*  586093 */   // Label 9542: @586093
     /*  586093 */   GIM_Try, /*On fail goto*//*Label 9543*/ GIMT_Encode4(586168), // Rule ID 3990 //
     /*  586098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  586109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  586112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  586115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  586118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586144 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  586147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586166 */     GIR_RootConstrainSelectedInstOperands,
     /*  586167 */     // GIR_Coverage, 3990,
     /*  586167 */     GIR_EraseRootFromParent_Done,
     /*  586168 */   // Label 9543: @586168
     /*  586168 */   GIM_Try, /*On fail goto*//*Label 9544*/ GIMT_Encode4(586243), // Rule ID 3991 //
     /*  586173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  586184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  586187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  586190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  586193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586219 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2),
     /*  586222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586241 */     GIR_RootConstrainSelectedInstOperands,
     /*  586242 */     // GIR_Coverage, 3991,
     /*  586242 */     GIR_EraseRootFromParent_Done,
     /*  586243 */   // Label 9544: @586243
     /*  586243 */   GIM_Try, /*On fail goto*//*Label 9545*/ GIMT_Encode4(586318), // Rule ID 3994 //
     /*  586248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  586259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  586262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  586265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  586268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586294 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  586297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586316 */     GIR_RootConstrainSelectedInstOperands,
     /*  586317 */     // GIR_Coverage, 3994,
     /*  586317 */     GIR_EraseRootFromParent_Done,
     /*  586318 */   // Label 9545: @586318
     /*  586318 */   GIM_Try, /*On fail goto*//*Label 9546*/ GIMT_Encode4(586393), // Rule ID 3995 //
     /*  586323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  586334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  586337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  586340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  586343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586369 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1),
     /*  586372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586391 */     GIR_RootConstrainSelectedInstOperands,
     /*  586392 */     // GIR_Coverage, 3995,
     /*  586392 */     GIR_EraseRootFromParent_Done,
     /*  586393 */   // Label 9546: @586393
     /*  586393 */   GIM_Try, /*On fail goto*//*Label 9547*/ GIMT_Encode4(586468), // Rule ID 3998 //
     /*  586398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  586415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  586418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586444 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  586447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586466 */     GIR_RootConstrainSelectedInstOperands,
     /*  586467 */     // GIR_Coverage, 3998,
     /*  586467 */     GIR_EraseRootFromParent_Done,
     /*  586468 */   // Label 9547: @586468
     /*  586468 */   GIM_Try, /*On fail goto*//*Label 9548*/ GIMT_Encode4(586543), // Rule ID 3999 //
     /*  586473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  586484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  586487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  586490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  586493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  586512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586519 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2),
     /*  586522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586541 */     GIR_RootConstrainSelectedInstOperands,
     /*  586542 */     // GIR_Coverage, 3999,
     /*  586542 */     GIR_EraseRootFromParent_Done,
     /*  586543 */   // Label 9548: @586543
     /*  586543 */   GIM_Try, /*On fail goto*//*Label 9549*/ GIMT_Encode4(586618), // Rule ID 4002 //
     /*  586548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  586551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  586565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586594 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  586594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  586597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586616 */     GIR_RootConstrainSelectedInstOperands,
     /*  586617 */     // GIR_Coverage, 4002,
     /*  586617 */     GIR_EraseRootFromParent_Done,
     /*  586618 */   // Label 9549: @586618
     /*  586618 */   GIM_Try, /*On fail goto*//*Label 9550*/ GIMT_Encode4(586693), // Rule ID 4003 //
     /*  586623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  586626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  586634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  586637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  586640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  586643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  586654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  586662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586669 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  586669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4),
     /*  586672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  586688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586691 */     GIR_RootConstrainSelectedInstOperands,
     /*  586692 */     // GIR_Coverage, 4003,
     /*  586692 */     GIR_EraseRootFromParent_Done,
     /*  586693 */   // Label 9550: @586693
     /*  586693 */   GIM_Try, /*On fail goto*//*Label 9551*/ GIMT_Encode4(586768), // Rule ID 4006 //
     /*  586698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  586715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  586747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586766 */     GIR_RootConstrainSelectedInstOperands,
     /*  586767 */     // GIR_Coverage, 4006,
     /*  586767 */     GIR_EraseRootFromParent_Done,
     /*  586768 */   // Label 9551: @586768
     /*  586768 */   GIM_Try, /*On fail goto*//*Label 9552*/ GIMT_Encode4(586843), // Rule ID 4007 //
     /*  586773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  586784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  586787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  586790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586819 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8),
     /*  586822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586841 */     GIR_RootConstrainSelectedInstOperands,
     /*  586842 */     // GIR_Coverage, 4007,
     /*  586842 */     GIR_EraseRootFromParent_Done,
     /*  586843 */   // Label 9552: @586843
     /*  586843 */   GIM_Try, /*On fail goto*//*Label 9553*/ GIMT_Encode4(586918), // Rule ID 4010 //
     /*  586848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  586851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  586865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  586868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  586871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586894 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  586894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  586897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586916 */     GIR_RootConstrainSelectedInstOperands,
     /*  586917 */     // GIR_Coverage, 4010,
     /*  586917 */     GIR_EraseRootFromParent_Done,
     /*  586918 */   // Label 9553: @586918
     /*  586918 */   GIM_Try, /*On fail goto*//*Label 9554*/ GIMT_Encode4(586993), // Rule ID 4011 //
     /*  586923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  586926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  586931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  586934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  586937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  586940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  586943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  586946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  586958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  586962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  586969 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  586969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  586972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  586974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  586976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  586978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  586980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  586985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  586988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  586991 */     GIR_RootConstrainSelectedInstOperands,
     /*  586992 */     // GIR_Coverage, 4011,
     /*  586992 */     GIR_EraseRootFromParent_Done,
     /*  586993 */   // Label 9554: @586993
     /*  586993 */   GIM_Try, /*On fail goto*//*Label 9555*/ GIMT_Encode4(587068), // Rule ID 4014 //
     /*  586998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  587009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  587012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  587015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587066 */     GIR_RootConstrainSelectedInstOperands,
     /*  587067 */     // GIR_Coverage, 4014,
     /*  587067 */     GIR_EraseRootFromParent_Done,
     /*  587068 */   // Label 9555: @587068
     /*  587068 */   GIM_Try, /*On fail goto*//*Label 9556*/ GIMT_Encode4(587143), // Rule ID 4015 //
     /*  587073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  587084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  587087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  587090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587119 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11667:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587141 */     GIR_RootConstrainSelectedInstOperands,
     /*  587142 */     // GIR_Coverage, 4015,
     /*  587142 */     GIR_EraseRootFromParent_Done,
     /*  587143 */   // Label 9556: @587143
     /*  587143 */   GIM_Try, /*On fail goto*//*Label 9557*/ GIMT_Encode4(587218), // Rule ID 4018 //
     /*  587148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  587165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587216 */     GIR_RootConstrainSelectedInstOperands,
     /*  587217 */     // GIR_Coverage, 4018,
     /*  587217 */     GIR_EraseRootFromParent_Done,
     /*  587218 */   // Label 9557: @587218
     /*  587218 */   GIM_Try, /*On fail goto*//*Label 9558*/ GIMT_Encode4(587293), // Rule ID 4019 //
     /*  587223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  587234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  587237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  587240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587291 */     GIR_RootConstrainSelectedInstOperands,
     /*  587292 */     // GIR_Coverage, 4019,
     /*  587292 */     GIR_EraseRootFromParent_Done,
     /*  587293 */   // Label 9558: @587293
     /*  587293 */   GIM_Try, /*On fail goto*//*Label 9559*/ GIMT_Encode4(587368), // Rule ID 4022 //
     /*  587298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  587315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  587347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587366 */     GIR_RootConstrainSelectedInstOperands,
     /*  587367 */     // GIR_Coverage, 4022,
     /*  587367 */     GIR_EraseRootFromParent_Done,
     /*  587368 */   // Label 9559: @587368
     /*  587368 */   GIM_Try, /*On fail goto*//*Label 9560*/ GIMT_Encode4(587443), // Rule ID 4023 //
     /*  587373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  587384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  587387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  587390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587419 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  587422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587441 */     GIR_RootConstrainSelectedInstOperands,
     /*  587442 */     // GIR_Coverage, 4023,
     /*  587442 */     GIR_EraseRootFromParent_Done,
     /*  587443 */   // Label 9560: @587443
     /*  587443 */   GIM_Try, /*On fail goto*//*Label 9561*/ GIMT_Encode4(587518), // Rule ID 4026 //
     /*  587448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  587465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587494 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  587494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  587497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587516 */     GIR_RootConstrainSelectedInstOperands,
     /*  587517 */     // GIR_Coverage, 4026,
     /*  587517 */     GIR_EraseRootFromParent_Done,
     /*  587518 */   // Label 9561: @587518
     /*  587518 */   GIM_Try, /*On fail goto*//*Label 9562*/ GIMT_Encode4(587593), // Rule ID 4027 //
     /*  587523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  587534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  587537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  587540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  587554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  587558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587569 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  587569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  587572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  587588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587591 */     GIR_RootConstrainSelectedInstOperands,
     /*  587592 */     // GIR_Coverage, 4027,
     /*  587592 */     GIR_EraseRootFromParent_Done,
     /*  587593 */   // Label 9562: @587593
     /*  587593 */   GIM_Try, /*On fail goto*//*Label 9563*/ GIMT_Encode4(587668), // Rule ID 4030 //
     /*  587598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  587615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  587647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587666 */     GIR_RootConstrainSelectedInstOperands,
     /*  587667 */     // GIR_Coverage, 4030,
     /*  587667 */     GIR_EraseRootFromParent_Done,
     /*  587668 */   // Label 9563: @587668
     /*  587668 */   GIM_Try, /*On fail goto*//*Label 9564*/ GIMT_Encode4(587743), // Rule ID 4031 //
     /*  587673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  587684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  587687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  587690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587719 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4),
     /*  587722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587741 */     GIR_RootConstrainSelectedInstOperands,
     /*  587742 */     // GIR_Coverage, 4031,
     /*  587742 */     GIR_EraseRootFromParent_Done,
     /*  587743 */   // Label 9564: @587743
     /*  587743 */   GIM_Try, /*On fail goto*//*Label 9565*/ GIMT_Encode4(587818), // Rule ID 4034 //
     /*  587748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587816 */     GIR_RootConstrainSelectedInstOperands,
     /*  587817 */     // GIR_Coverage, 4034,
     /*  587817 */     GIR_EraseRootFromParent_Done,
     /*  587818 */   // Label 9565: @587818
     /*  587818 */   GIM_Try, /*On fail goto*//*Label 9566*/ GIMT_Encode4(587893), // Rule ID 4035 //
     /*  587823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  587834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  587837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  587840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587869 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11667:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  587869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  587872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587891 */     GIR_RootConstrainSelectedInstOperands,
     /*  587892 */     // GIR_Coverage, 4035,
     /*  587892 */     GIR_EraseRootFromParent_Done,
     /*  587893 */   // Label 9566: @587893
     /*  587893 */   GIM_Try, /*On fail goto*//*Label 9567*/ GIMT_Encode4(587968), // Rule ID 4038 //
     /*  587898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  587901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  587918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  587921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  587929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  587933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  587937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  587944 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  587944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  587947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  587949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  587951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  587953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  587955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  587960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  587963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  587966 */     GIR_RootConstrainSelectedInstOperands,
     /*  587967 */     // GIR_Coverage, 4038,
     /*  587967 */     GIR_EraseRootFromParent_Done,
     /*  587968 */   // Label 9567: @587968
     /*  587968 */   GIM_Try, /*On fail goto*//*Label 9568*/ GIMT_Encode4(588043), // Rule ID 4039 //
     /*  587973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  587976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  587981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  587984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  587987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  587990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  587993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  587996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588019 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  588022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588041 */     GIR_RootConstrainSelectedInstOperands,
     /*  588042 */     // GIR_Coverage, 4039,
     /*  588042 */     GIR_EraseRootFromParent_Done,
     /*  588043 */   // Label 9568: @588043
     /*  588043 */   GIM_Try, /*On fail goto*//*Label 9569*/ GIMT_Encode4(588118), // Rule ID 4042 //
     /*  588048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  588097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588116 */     GIR_RootConstrainSelectedInstOperands,
     /*  588117 */     // GIR_Coverage, 4042,
     /*  588117 */     GIR_EraseRootFromParent_Done,
     /*  588118 */   // Label 9569: @588118
     /*  588118 */   GIM_Try, /*On fail goto*//*Label 9570*/ GIMT_Encode4(588193), // Rule ID 4043 //
     /*  588123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  588134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  588137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  588140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588169 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  588172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588191 */     GIR_RootConstrainSelectedInstOperands,
     /*  588192 */     // GIR_Coverage, 4043,
     /*  588192 */     GIR_EraseRootFromParent_Done,
     /*  588193 */   // Label 9570: @588193
     /*  588193 */   GIM_Try, /*On fail goto*//*Label 9571*/ GIMT_Encode4(588268), // Rule ID 4046 //
     /*  588198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588244 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  588244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  588247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588266 */     GIR_RootConstrainSelectedInstOperands,
     /*  588267 */     // GIR_Coverage, 4046,
     /*  588267 */     GIR_EraseRootFromParent_Done,
     /*  588268 */   // Label 9571: @588268
     /*  588268 */   GIM_Try, /*On fail goto*//*Label 9572*/ GIMT_Encode4(588343), // Rule ID 4047 //
     /*  588273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  588276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  588284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  588287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  588290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588319 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  588319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  588322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  588338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588341 */     GIR_RootConstrainSelectedInstOperands,
     /*  588342 */     // GIR_Coverage, 4047,
     /*  588342 */     GIR_EraseRootFromParent_Done,
     /*  588343 */   // Label 9572: @588343
     /*  588343 */   GIM_Try, /*On fail goto*//*Label 9573*/ GIMT_Encode4(588418), // Rule ID 4050 //
     /*  588348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  588359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  588362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  588365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  588397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588416 */     GIR_RootConstrainSelectedInstOperands,
     /*  588417 */     // GIR_Coverage, 4050,
     /*  588417 */     GIR_EraseRootFromParent_Done,
     /*  588418 */   // Label 9573: @588418
     /*  588418 */   GIM_Try, /*On fail goto*//*Label 9574*/ GIMT_Encode4(588493), // Rule ID 4051 //
     /*  588423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  588434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  588437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  588440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11667:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2),
     /*  588472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588491 */     GIR_RootConstrainSelectedInstOperands,
     /*  588492 */     // GIR_Coverage, 4051,
     /*  588492 */     GIR_EraseRootFromParent_Done,
     /*  588493 */   // Label 9574: @588493
     /*  588493 */   GIM_Try, /*On fail goto*//*Label 9575*/ GIMT_Encode4(588568), // Rule ID 4054 //
     /*  588498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  588515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588544 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  588547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588566 */     GIR_RootConstrainSelectedInstOperands,
     /*  588567 */     // GIR_Coverage, 4054,
     /*  588567 */     GIR_EraseRootFromParent_Done,
     /*  588568 */   // Label 9575: @588568
     /*  588568 */   GIM_Try, /*On fail goto*//*Label 9576*/ GIMT_Encode4(588643), // Rule ID 4055 //
     /*  588573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  588584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  588587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  588590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11667:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1),
     /*  588622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588641 */     GIR_RootConstrainSelectedInstOperands,
     /*  588642 */     // GIR_Coverage, 4055,
     /*  588642 */     GIR_EraseRootFromParent_Done,
     /*  588643 */   // Label 9576: @588643
     /*  588643 */   GIM_Try, /*On fail goto*//*Label 9577*/ GIMT_Encode4(588718), // Rule ID 4058 //
     /*  588648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588694 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  588697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588716 */     GIR_RootConstrainSelectedInstOperands,
     /*  588717 */     // GIR_Coverage, 4058,
     /*  588717 */     GIR_EraseRootFromParent_Done,
     /*  588718 */   // Label 9577: @588718
     /*  588718 */   GIM_Try, /*On fail goto*//*Label 9578*/ GIMT_Encode4(588793), // Rule ID 4059 //
     /*  588723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  588734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  588737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  588740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  588758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588769 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11667:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2),
     /*  588772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588791 */     GIR_RootConstrainSelectedInstOperands,
     /*  588792 */     // GIR_Coverage, 4059,
     /*  588792 */     GIR_EraseRootFromParent_Done,
     /*  588793 */   // Label 9578: @588793
     /*  588793 */   GIM_Try, /*On fail goto*//*Label 9579*/ GIMT_Encode4(588868), // Rule ID 4062 //
     /*  588798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  588801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  588818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  588844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  588847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588866 */     GIR_RootConstrainSelectedInstOperands,
     /*  588867 */     // GIR_Coverage, 4062,
     /*  588867 */     GIR_EraseRootFromParent_Done,
     /*  588868 */   // Label 9579: @588868
     /*  588868 */   GIM_Try, /*On fail goto*//*Label 9580*/ GIMT_Encode4(588943), // Rule ID 4063 //
     /*  588873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  588876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub),
     /*  588881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  588884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  588887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  588890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  588893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  588896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  588904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  588908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  588912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588919 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11667:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  588919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4),
     /*  588922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  588926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  588928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  588930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  588935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  588938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  588941 */     GIR_RootConstrainSelectedInstOperands,
     /*  588942 */     // GIR_Coverage, 4063,
     /*  588942 */     GIR_EraseRootFromParent_Done,
     /*  588943 */   // Label 9580: @588943
     /*  588943 */   GIM_Try, /*On fail goto*//*Label 9581*/ GIMT_Encode4(589018), // Rule ID 4068 //
     /*  588948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  588951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  588956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  588959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  588962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  588965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  588968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  588971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  588987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  588994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  588994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  588997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  588999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589016 */     GIR_RootConstrainSelectedInstOperands,
     /*  589017 */     // GIR_Coverage, 4068,
     /*  589017 */     GIR_EraseRootFromParent_Done,
     /*  589018 */   // Label 9581: @589018
     /*  589018 */   GIM_Try, /*On fail goto*//*Label 9582*/ GIMT_Encode4(589093), // Rule ID 4069 //
     /*  589023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  589034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  589037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  589040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  589043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589069 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  589072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589091 */     GIR_RootConstrainSelectedInstOperands,
     /*  589092 */     // GIR_Coverage, 4069,
     /*  589092 */     GIR_EraseRootFromParent_Done,
     /*  589093 */   // Label 9582: @589093
     /*  589093 */   GIM_Try, /*On fail goto*//*Label 9583*/ GIMT_Encode4(589168), // Rule ID 4078 //
     /*  589098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  589109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  589112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  589115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  589118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589166 */     GIR_RootConstrainSelectedInstOperands,
     /*  589167 */     // GIR_Coverage, 4078,
     /*  589167 */     GIR_EraseRootFromParent_Done,
     /*  589168 */   // Label 9583: @589168
     /*  589168 */   GIM_Try, /*On fail goto*//*Label 9584*/ GIMT_Encode4(589243), // Rule ID 4079 //
     /*  589173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  589184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  589187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  589190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  589193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589241 */     GIR_RootConstrainSelectedInstOperands,
     /*  589242 */     // GIR_Coverage, 4079,
     /*  589242 */     GIR_EraseRootFromParent_Done,
     /*  589243 */   // Label 9584: @589243
     /*  589243 */   GIM_Try, /*On fail goto*//*Label 9585*/ GIMT_Encode4(589318), // Rule ID 4088 //
     /*  589248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  589268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  589297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589316 */     GIR_RootConstrainSelectedInstOperands,
     /*  589317 */     // GIR_Coverage, 4088,
     /*  589317 */     GIR_EraseRootFromParent_Done,
     /*  589318 */   // Label 9585: @589318
     /*  589318 */   GIM_Try, /*On fail goto*//*Label 9586*/ GIMT_Encode4(589393), // Rule ID 4089 //
     /*  589323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  589334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  589337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  589340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  589343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  589372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589391 */     GIR_RootConstrainSelectedInstOperands,
     /*  589392 */     // GIR_Coverage, 4089,
     /*  589392 */     GIR_EraseRootFromParent_Done,
     /*  589393 */   // Label 9586: @589393
     /*  589393 */   GIM_Try, /*On fail goto*//*Label 9587*/ GIMT_Encode4(589468), // Rule ID 4098 //
     /*  589398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  589447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589466 */     GIR_RootConstrainSelectedInstOperands,
     /*  589467 */     // GIR_Coverage, 4098,
     /*  589467 */     GIR_EraseRootFromParent_Done,
     /*  589468 */   // Label 9587: @589468
     /*  589468 */   GIM_Try, /*On fail goto*//*Label 9588*/ GIMT_Encode4(589543), // Rule ID 4099 //
     /*  589473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  589484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  589487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  589490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  589493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  589512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589519 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  589522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589541 */     GIR_RootConstrainSelectedInstOperands,
     /*  589542 */     // GIR_Coverage, 4099,
     /*  589542 */     GIR_EraseRootFromParent_Done,
     /*  589543 */   // Label 9588: @589543
     /*  589543 */   GIM_Try, /*On fail goto*//*Label 9589*/ GIMT_Encode4(589618), // Rule ID 4108 //
     /*  589548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589594 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  589594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  589597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589616 */     GIR_RootConstrainSelectedInstOperands,
     /*  589617 */     // GIR_Coverage, 4108,
     /*  589617 */     GIR_EraseRootFromParent_Done,
     /*  589618 */   // Label 9589: @589618
     /*  589618 */   GIM_Try, /*On fail goto*//*Label 9590*/ GIMT_Encode4(589693), // Rule ID 4109 //
     /*  589623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  589634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  589637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  589640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  589643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  589658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  589662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  589669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  589672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  589688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589691 */     GIR_RootConstrainSelectedInstOperands,
     /*  589692 */     // GIR_Coverage, 4109,
     /*  589692 */     GIR_EraseRootFromParent_Done,
     /*  589693 */   // Label 9590: @589693
     /*  589693 */   GIM_Try, /*On fail goto*//*Label 9591*/ GIMT_Encode4(589768), // Rule ID 4118 //
     /*  589698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  589747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589766 */     GIR_RootConstrainSelectedInstOperands,
     /*  589767 */     // GIR_Coverage, 4118,
     /*  589767 */     GIR_EraseRootFromParent_Done,
     /*  589768 */   // Label 9591: @589768
     /*  589768 */   GIM_Try, /*On fail goto*//*Label 9592*/ GIMT_Encode4(589843), // Rule ID 4119 //
     /*  589773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  589784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  589787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  589790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  589793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4),
     /*  589822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589841 */     GIR_RootConstrainSelectedInstOperands,
     /*  589842 */     // GIR_Coverage, 4119,
     /*  589842 */     GIR_EraseRootFromParent_Done,
     /*  589843 */   // Label 9592: @589843
     /*  589843 */   GIM_Try, /*On fail goto*//*Label 9593*/ GIMT_Encode4(589918), // Rule ID 4128 //
     /*  589848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  589851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  589871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  589894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589916 */     GIR_RootConstrainSelectedInstOperands,
     /*  589917 */     // GIR_Coverage, 4128,
     /*  589917 */     GIR_EraseRootFromParent_Done,
     /*  589918 */   // Label 9593: @589918
     /*  589918 */   GIM_Try, /*On fail goto*//*Label 9594*/ GIMT_Encode4(589993), // Rule ID 4129 //
     /*  589923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  589926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  589931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  589934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  589937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  589940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  589943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  589946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  589962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  589969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  589969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  589972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  589974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  589976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  589978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  589980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  589985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  589988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  589991 */     GIR_RootConstrainSelectedInstOperands,
     /*  589992 */     // GIR_Coverage, 4129,
     /*  589992 */     GIR_EraseRootFromParent_Done,
     /*  589993 */   // Label 9594: @589993
     /*  589993 */   GIM_Try, /*On fail goto*//*Label 9595*/ GIMT_Encode4(590068), // Rule ID 4138 //
     /*  589998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  590018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  590047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590066 */     GIR_RootConstrainSelectedInstOperands,
     /*  590067 */     // GIR_Coverage, 4138,
     /*  590067 */     GIR_EraseRootFromParent_Done,
     /*  590068 */   // Label 9595: @590068
     /*  590068 */   GIM_Try, /*On fail goto*//*Label 9596*/ GIMT_Encode4(590143), // Rule ID 4139 //
     /*  590073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  590084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  590087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  590090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  590093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590119 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  590122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590141 */     GIR_RootConstrainSelectedInstOperands,
     /*  590142 */     // GIR_Coverage, 4139,
     /*  590142 */     GIR_EraseRootFromParent_Done,
     /*  590143 */   // Label 9596: @590143
     /*  590143 */   GIM_Try, /*On fail goto*//*Label 9597*/ GIMT_Encode4(590218), // Rule ID 4148 //
     /*  590148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  590168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  590197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590216 */     GIR_RootConstrainSelectedInstOperands,
     /*  590217 */     // GIR_Coverage, 4148,
     /*  590217 */     GIR_EraseRootFromParent_Done,
     /*  590218 */   // Label 9597: @590218
     /*  590218 */   GIM_Try, /*On fail goto*//*Label 9598*/ GIMT_Encode4(590293), // Rule ID 4149 //
     /*  590223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  590234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  590237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  590240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  590243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  590272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590291 */     GIR_RootConstrainSelectedInstOperands,
     /*  590292 */     // GIR_Coverage, 4149,
     /*  590292 */     GIR_EraseRootFromParent_Done,
     /*  590293 */   // Label 9598: @590293
     /*  590293 */   GIM_Try, /*On fail goto*//*Label 9599*/ GIMT_Encode4(590368), // Rule ID 4158 //
     /*  590298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  590301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  590318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  590344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  590347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590366 */     GIR_RootConstrainSelectedInstOperands,
     /*  590367 */     // GIR_Coverage, 4158,
     /*  590367 */     GIR_EraseRootFromParent_Done,
     /*  590368 */   // Label 9599: @590368
     /*  590368 */   GIM_Try, /*On fail goto*//*Label 9600*/ GIMT_Encode4(590443), // Rule ID 4159 //
     /*  590373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  590376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  590384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  590387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  590390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  590393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  590419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  590422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  590438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590441 */     GIR_RootConstrainSelectedInstOperands,
     /*  590442 */     // GIR_Coverage, 4159,
     /*  590442 */     GIR_EraseRootFromParent_Done,
     /*  590443 */   // Label 9600: @590443
     /*  590443 */   GIM_Try, /*On fail goto*//*Label 9601*/ GIMT_Encode4(590518), // Rule ID 4168 //
     /*  590448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  590497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590516 */     GIR_RootConstrainSelectedInstOperands,
     /*  590517 */     // GIR_Coverage, 4168,
     /*  590517 */     GIR_EraseRootFromParent_Done,
     /*  590518 */   // Label 9601: @590518
     /*  590518 */   GIM_Try, /*On fail goto*//*Label 9602*/ GIMT_Encode4(590593), // Rule ID 4169 //
     /*  590523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  590534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  590537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  590540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  590543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2),
     /*  590572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590591 */     GIR_RootConstrainSelectedInstOperands,
     /*  590592 */     // GIR_Coverage, 4169,
     /*  590592 */     GIR_EraseRootFromParent_Done,
     /*  590593 */   // Label 9602: @590593
     /*  590593 */   GIM_Try, /*On fail goto*//*Label 9603*/ GIMT_Encode4(590668), // Rule ID 4178 //
     /*  590598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  590647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590666 */     GIR_RootConstrainSelectedInstOperands,
     /*  590667 */     // GIR_Coverage, 4178,
     /*  590667 */     GIR_EraseRootFromParent_Done,
     /*  590668 */   // Label 9603: @590668
     /*  590668 */   GIM_Try, /*On fail goto*//*Label 9604*/ GIMT_Encode4(590743), // Rule ID 4179 //
     /*  590673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  590684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  590687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  590690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  590693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  590712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1),
     /*  590722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590741 */     GIR_RootConstrainSelectedInstOperands,
     /*  590742 */     // GIR_Coverage, 4179,
     /*  590742 */     GIR_EraseRootFromParent_Done,
     /*  590743 */   // Label 9604: @590743
     /*  590743 */   GIM_Try, /*On fail goto*//*Label 9605*/ GIMT_Encode4(590818), // Rule ID 4188 //
     /*  590748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  590797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590816 */     GIR_RootConstrainSelectedInstOperands,
     /*  590817 */     // GIR_Coverage, 4188,
     /*  590817 */     GIR_EraseRootFromParent_Done,
     /*  590818 */   // Label 9605: @590818
     /*  590818 */   GIM_Try, /*On fail goto*//*Label 9606*/ GIMT_Encode4(590893), // Rule ID 4189 //
     /*  590823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  590834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  590837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  590840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  590843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  590862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  590869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2),
     /*  590872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590891 */     GIR_RootConstrainSelectedInstOperands,
     /*  590892 */     // GIR_Coverage, 4189,
     /*  590892 */     GIR_EraseRootFromParent_Done,
     /*  590893 */   // Label 9606: @590893
     /*  590893 */   GIM_Try, /*On fail goto*//*Label 9607*/ GIMT_Encode4(590968), // Rule ID 4198 //
     /*  590898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  590901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  590921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  590933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  590937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  590944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  590944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  590947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  590949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  590951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  590953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  590955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  590960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  590963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  590966 */     GIR_RootConstrainSelectedInstOperands,
     /*  590967 */     // GIR_Coverage, 4198,
     /*  590967 */     GIR_EraseRootFromParent_Done,
     /*  590968 */   // Label 9607: @590968
     /*  590968 */   GIM_Try, /*On fail goto*//*Label 9608*/ GIMT_Encode4(591043), // Rule ID 4199 //
     /*  590973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  590976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  590981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  590984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  590987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  590990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  590993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  590996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  591019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4),
     /*  591022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  591038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591041 */     GIR_RootConstrainSelectedInstOperands,
     /*  591042 */     // GIR_Coverage, 4199,
     /*  591042 */     GIR_EraseRootFromParent_Done,
     /*  591043 */   // Label 9608: @591043
     /*  591043 */   GIM_Try, /*On fail goto*//*Label 9609*/ GIMT_Encode4(591118), // Rule ID 4206 //
     /*  591048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  591097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591116 */     GIR_RootConstrainSelectedInstOperands,
     /*  591117 */     // GIR_Coverage, 4206,
     /*  591117 */     GIR_EraseRootFromParent_Done,
     /*  591118 */   // Label 9609: @591118
     /*  591118 */   GIM_Try, /*On fail goto*//*Label 9610*/ GIMT_Encode4(591193), // Rule ID 4207 //
     /*  591123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  591134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  591137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  591140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591169 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8),
     /*  591172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591191 */     GIR_RootConstrainSelectedInstOperands,
     /*  591192 */     // GIR_Coverage, 4207,
     /*  591192 */     GIR_EraseRootFromParent_Done,
     /*  591193 */   // Label 9610: @591193
     /*  591193 */   GIM_Try, /*On fail goto*//*Label 9611*/ GIMT_Encode4(591268), // Rule ID 4210 //
     /*  591198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591244 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  591247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591266 */     GIR_RootConstrainSelectedInstOperands,
     /*  591267 */     // GIR_Coverage, 4210,
     /*  591267 */     GIR_EraseRootFromParent_Done,
     /*  591268 */   // Label 9611: @591268
     /*  591268 */   GIM_Try, /*On fail goto*//*Label 9612*/ GIMT_Encode4(591343), // Rule ID 4211 //
     /*  591273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  591284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  591287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  591290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591319 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  591322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591341 */     GIR_RootConstrainSelectedInstOperands,
     /*  591342 */     // GIR_Coverage, 4211,
     /*  591342 */     GIR_EraseRootFromParent_Done,
     /*  591343 */   // Label 9612: @591343
     /*  591343 */   GIM_Try, /*On fail goto*//*Label 9613*/ GIMT_Encode4(591418), // Rule ID 4214 //
     /*  591348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  591397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591416 */     GIR_RootConstrainSelectedInstOperands,
     /*  591417 */     // GIR_Coverage, 4214,
     /*  591417 */     GIR_EraseRootFromParent_Done,
     /*  591418 */   // Label 9613: @591418
     /*  591418 */   GIM_Try, /*On fail goto*//*Label 9614*/ GIMT_Encode4(591493), // Rule ID 4215 //
     /*  591423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  591434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  591437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  591440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591469 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11645:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  591472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591491 */     GIR_RootConstrainSelectedInstOperands,
     /*  591492 */     // GIR_Coverage, 4215,
     /*  591492 */     GIR_EraseRootFromParent_Done,
     /*  591493 */   // Label 9614: @591493
     /*  591493 */   GIM_Try, /*On fail goto*//*Label 9615*/ GIMT_Encode4(591568), // Rule ID 4218 //
     /*  591498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  591547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591566 */     GIR_RootConstrainSelectedInstOperands,
     /*  591567 */     // GIR_Coverage, 4218,
     /*  591567 */     GIR_EraseRootFromParent_Done,
     /*  591568 */   // Label 9615: @591568
     /*  591568 */   GIM_Try, /*On fail goto*//*Label 9616*/ GIMT_Encode4(591643), // Rule ID 4219 //
     /*  591573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  591584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  591587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  591590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  591608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  591622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591641 */     GIR_RootConstrainSelectedInstOperands,
     /*  591642 */     // GIR_Coverage, 4219,
     /*  591642 */     GIR_EraseRootFromParent_Done,
     /*  591643 */   // Label 9616: @591643
     /*  591643 */   GIM_Try, /*On fail goto*//*Label 9617*/ GIMT_Encode4(591718), // Rule ID 4222 //
     /*  591648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591716 */     GIR_RootConstrainSelectedInstOperands,
     /*  591717 */     // GIR_Coverage, 4222,
     /*  591717 */     GIR_EraseRootFromParent_Done,
     /*  591718 */   // Label 9617: @591718
     /*  591718 */   GIM_Try, /*On fail goto*//*Label 9618*/ GIMT_Encode4(591793), // Rule ID 4223 //
     /*  591723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  591734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  591737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  591740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  591758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  591772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591791 */     GIR_RootConstrainSelectedInstOperands,
     /*  591792 */     // GIR_Coverage, 4223,
     /*  591792 */     GIR_EraseRootFromParent_Done,
     /*  591793 */   // Label 9618: @591793
     /*  591793 */   GIM_Try, /*On fail goto*//*Label 9619*/ GIMT_Encode4(591868), // Rule ID 4226 //
     /*  591798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  591844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  591847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591866 */     GIR_RootConstrainSelectedInstOperands,
     /*  591867 */     // GIR_Coverage, 4226,
     /*  591867 */     GIR_EraseRootFromParent_Done,
     /*  591868 */   // Label 9619: @591868
     /*  591868 */   GIM_Try, /*On fail goto*//*Label 9620*/ GIMT_Encode4(591943), // Rule ID 4227 //
     /*  591873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  591876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  591884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  591887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  591890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  591893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  591896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  591908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591919 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  591919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  591922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  591926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  591928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  591930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  591935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  591938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  591941 */     GIR_RootConstrainSelectedInstOperands,
     /*  591942 */     // GIR_Coverage, 4227,
     /*  591942 */     GIR_EraseRootFromParent_Done,
     /*  591943 */   // Label 9620: @591943
     /*  591943 */   GIM_Try, /*On fail goto*//*Label 9621*/ GIMT_Encode4(592018), // Rule ID 4230 //
     /*  591948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  591951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  591956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  591959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  591962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  591965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  591968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  591971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  591983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  591987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  591994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  591994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  591997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  591999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592016 */     GIR_RootConstrainSelectedInstOperands,
     /*  592017 */     // GIR_Coverage, 4230,
     /*  592017 */     GIR_EraseRootFromParent_Done,
     /*  592018 */   // Label 9621: @592018
     /*  592018 */   GIM_Try, /*On fail goto*//*Label 9622*/ GIMT_Encode4(592093), // Rule ID 4231 //
     /*  592023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  592034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  592037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  592040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592069 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4),
     /*  592072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592091 */     GIR_RootConstrainSelectedInstOperands,
     /*  592092 */     // GIR_Coverage, 4231,
     /*  592092 */     GIR_EraseRootFromParent_Done,
     /*  592093 */   // Label 9622: @592093
     /*  592093 */   GIM_Try, /*On fail goto*//*Label 9623*/ GIMT_Encode4(592168), // Rule ID 4234 //
     /*  592098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  592147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592166 */     GIR_RootConstrainSelectedInstOperands,
     /*  592167 */     // GIR_Coverage, 4234,
     /*  592167 */     GIR_EraseRootFromParent_Done,
     /*  592168 */   // Label 9623: @592168
     /*  592168 */   GIM_Try, /*On fail goto*//*Label 9624*/ GIMT_Encode4(592243), // Rule ID 4235 //
     /*  592173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  592184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  592187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  592190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592219 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11645:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  592222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592241 */     GIR_RootConstrainSelectedInstOperands,
     /*  592242 */     // GIR_Coverage, 4235,
     /*  592242 */     GIR_EraseRootFromParent_Done,
     /*  592243 */   // Label 9624: @592243
     /*  592243 */   GIM_Try, /*On fail goto*//*Label 9625*/ GIMT_Encode4(592318), // Rule ID 4238 //
     /*  592248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  592259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  592297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592316 */     GIR_RootConstrainSelectedInstOperands,
     /*  592317 */     // GIR_Coverage, 4238,
     /*  592317 */     GIR_EraseRootFromParent_Done,
     /*  592318 */   // Label 9625: @592318
     /*  592318 */   GIM_Try, /*On fail goto*//*Label 9626*/ GIMT_Encode4(592393), // Rule ID 4239 //
     /*  592323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  592334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  592337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  592340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  592372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592391 */     GIR_RootConstrainSelectedInstOperands,
     /*  592392 */     // GIR_Coverage, 4239,
     /*  592392 */     GIR_EraseRootFromParent_Done,
     /*  592393 */   // Label 9626: @592393
     /*  592393 */   GIM_Try, /*On fail goto*//*Label 9627*/ GIMT_Encode4(592468), // Rule ID 4242 //
     /*  592398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  592447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592466 */     GIR_RootConstrainSelectedInstOperands,
     /*  592467 */     // GIR_Coverage, 4242,
     /*  592467 */     GIR_EraseRootFromParent_Done,
     /*  592468 */   // Label 9627: @592468
     /*  592468 */   GIM_Try, /*On fail goto*//*Label 9628*/ GIMT_Encode4(592543), // Rule ID 4243 //
     /*  592473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  592484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  592487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  592490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  592508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592519 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  592522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592541 */     GIR_RootConstrainSelectedInstOperands,
     /*  592542 */     // GIR_Coverage, 4243,
     /*  592542 */     GIR_EraseRootFromParent_Done,
     /*  592543 */   // Label 9628: @592543
     /*  592543 */   GIM_Try, /*On fail goto*//*Label 9629*/ GIMT_Encode4(592618), // Rule ID 4246 //
     /*  592548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  592551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  592594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  592597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592616 */     GIR_RootConstrainSelectedInstOperands,
     /*  592617 */     // GIR_Coverage, 4246,
     /*  592617 */     GIR_EraseRootFromParent_Done,
     /*  592618 */   // Label 9629: @592618
     /*  592618 */   GIM_Try, /*On fail goto*//*Label 9630*/ GIMT_Encode4(592693), // Rule ID 4247 //
     /*  592623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  592626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  592634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  592637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  592640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  592658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592669 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  592669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  592672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  592688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592691 */     GIR_RootConstrainSelectedInstOperands,
     /*  592692 */     // GIR_Coverage, 4247,
     /*  592692 */     GIR_EraseRootFromParent_Done,
     /*  592693 */   // Label 9630: @592693
     /*  592693 */   GIM_Try, /*On fail goto*//*Label 9631*/ GIMT_Encode4(592768), // Rule ID 4250 //
     /*  592698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  592747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592766 */     GIR_RootConstrainSelectedInstOperands,
     /*  592767 */     // GIR_Coverage, 4250,
     /*  592767 */     GIR_EraseRootFromParent_Done,
     /*  592768 */   // Label 9631: @592768
     /*  592768 */   GIM_Try, /*On fail goto*//*Label 9632*/ GIMT_Encode4(592843), // Rule ID 4251 //
     /*  592773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  592784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  592787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  592790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  592808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11645:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2),
     /*  592822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592841 */     GIR_RootConstrainSelectedInstOperands,
     /*  592842 */     // GIR_Coverage, 4251,
     /*  592842 */     GIR_EraseRootFromParent_Done,
     /*  592843 */   // Label 9632: @592843
     /*  592843 */   GIM_Try, /*On fail goto*//*Label 9633*/ GIMT_Encode4(592918), // Rule ID 4254 //
     /*  592848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  592851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  592868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  592871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  592894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  592897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592916 */     GIR_RootConstrainSelectedInstOperands,
     /*  592917 */     // GIR_Coverage, 4254,
     /*  592917 */     GIR_EraseRootFromParent_Done,
     /*  592918 */   // Label 9633: @592918
     /*  592918 */   GIM_Try, /*On fail goto*//*Label 9634*/ GIMT_Encode4(592993), // Rule ID 4255 //
     /*  592923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  592926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  592931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  592934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  592937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  592940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  592943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  592946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  592958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  592962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  592969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11645:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  592969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1),
     /*  592972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  592974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  592976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  592978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  592980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  592985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  592988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  592991 */     GIR_RootConstrainSelectedInstOperands,
     /*  592992 */     // GIR_Coverage, 4255,
     /*  592992 */     GIR_EraseRootFromParent_Done,
     /*  592993 */   // Label 9634: @592993
     /*  592993 */   GIM_Try, /*On fail goto*//*Label 9635*/ GIMT_Encode4(593068), // Rule ID 4258 //
     /*  592998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  593006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  593009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  593012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  593015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593044 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  593047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593066 */     GIR_RootConstrainSelectedInstOperands,
     /*  593067 */     // GIR_Coverage, 4258,
     /*  593067 */     GIR_EraseRootFromParent_Done,
     /*  593068 */   // Label 9635: @593068
     /*  593068 */   GIM_Try, /*On fail goto*//*Label 9636*/ GIMT_Encode4(593143), // Rule ID 4259 //
     /*  593073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  593081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  593084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  593087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  593090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593119 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11645:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2),
     /*  593122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593141 */     GIR_RootConstrainSelectedInstOperands,
     /*  593142 */     // GIR_Coverage, 4259,
     /*  593142 */     GIR_EraseRootFromParent_Done,
     /*  593143 */   // Label 9636: @593143
     /*  593143 */   GIM_Try, /*On fail goto*//*Label 9637*/ GIMT_Encode4(593218), // Rule ID 4262 //
     /*  593148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  593151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  593156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  593159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  593162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  593165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  593168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  593194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  593197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593216 */     GIR_RootConstrainSelectedInstOperands,
     /*  593217 */     // GIR_Coverage, 4262,
     /*  593217 */     GIR_EraseRootFromParent_Done,
     /*  593218 */   // Label 9637: @593218
     /*  593218 */   GIM_Try, /*On fail goto*//*Label 9638*/ GIMT_Encode4(593293), // Rule ID 4263 //
     /*  593223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  593226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w),
     /*  593231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  593234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  593237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  593240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  593243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  593258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  593262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593269 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11645:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADDU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  593269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4),
     /*  593272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  593288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593291 */     GIR_RootConstrainSelectedInstOperands,
     /*  593292 */     // GIR_Coverage, 4263,
     /*  593292 */     GIR_EraseRootFromParent_Done,
     /*  593293 */   // Label 9638: @593293
     /*  593293 */   GIM_Try, /*On fail goto*//*Label 9639*/ GIMT_Encode4(593368), // Rule ID 4268 //
     /*  593298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  593318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  593347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593366 */     GIR_RootConstrainSelectedInstOperands,
     /*  593367 */     // GIR_Coverage, 4268,
     /*  593367 */     GIR_EraseRootFromParent_Done,
     /*  593368 */   // Label 9639: @593368
     /*  593368 */   GIM_Try, /*On fail goto*//*Label 9640*/ GIMT_Encode4(593443), // Rule ID 4269 //
     /*  593373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  593384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  593387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  593390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  593393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593419 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8),
     /*  593422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593441 */     GIR_RootConstrainSelectedInstOperands,
     /*  593442 */     // GIR_Coverage, 4269,
     /*  593442 */     GIR_EraseRootFromParent_Done,
     /*  593443 */   // Label 9640: @593443
     /*  593443 */   GIM_Try, /*On fail goto*//*Label 9641*/ GIMT_Encode4(593518), // Rule ID 4278 //
     /*  593448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  593497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593516 */     GIR_RootConstrainSelectedInstOperands,
     /*  593517 */     // GIR_Coverage, 4278,
     /*  593517 */     GIR_EraseRootFromParent_Done,
     /*  593518 */   // Label 9641: @593518
     /*  593518 */   GIM_Try, /*On fail goto*//*Label 9642*/ GIMT_Encode4(593593), // Rule ID 4279 //
     /*  593523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  593534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  593537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  593540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  593543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  593572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593591 */     GIR_RootConstrainSelectedInstOperands,
     /*  593592 */     // GIR_Coverage, 4279,
     /*  593592 */     GIR_EraseRootFromParent_Done,
     /*  593593 */   // Label 9642: @593593
     /*  593593 */   GIM_Try, /*On fail goto*//*Label 9643*/ GIMT_Encode4(593668), // Rule ID 4288 //
     /*  593598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593666 */     GIR_RootConstrainSelectedInstOperands,
     /*  593667 */     // GIR_Coverage, 4288,
     /*  593667 */     GIR_EraseRootFromParent_Done,
     /*  593668 */   // Label 9643: @593668
     /*  593668 */   GIM_Try, /*On fail goto*//*Label 9644*/ GIMT_Encode4(593743), // Rule ID 4289 //
     /*  593673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  593684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  593687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  593690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  593693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593719 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  593722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593741 */     GIR_RootConstrainSelectedInstOperands,
     /*  593742 */     // GIR_Coverage, 4289,
     /*  593742 */     GIR_EraseRootFromParent_Done,
     /*  593743 */   // Label 9644: @593743
     /*  593743 */   GIM_Try, /*On fail goto*//*Label 9645*/ GIMT_Encode4(593818), // Rule ID 4298 //
     /*  593748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  593797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593816 */     GIR_RootConstrainSelectedInstOperands,
     /*  593817 */     // GIR_Coverage, 4298,
     /*  593817 */     GIR_EraseRootFromParent_Done,
     /*  593818 */   // Label 9645: @593818
     /*  593818 */   GIM_Try, /*On fail goto*//*Label 9646*/ GIMT_Encode4(593893), // Rule ID 4299 //
     /*  593823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  593834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  593837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  593840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  593843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  593862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  593869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  593872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593891 */     GIR_RootConstrainSelectedInstOperands,
     /*  593892 */     // GIR_Coverage, 4299,
     /*  593892 */     GIR_EraseRootFromParent_Done,
     /*  593893 */   // Label 9646: @593893
     /*  593893 */   GIM_Try, /*On fail goto*//*Label 9647*/ GIMT_Encode4(593968), // Rule ID 4308 //
     /*  593898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  593901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  593921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  593933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  593937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  593944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  593944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  593947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  593949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  593951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  593953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  593955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  593960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  593963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  593966 */     GIR_RootConstrainSelectedInstOperands,
     /*  593967 */     // GIR_Coverage, 4308,
     /*  593967 */     GIR_EraseRootFromParent_Done,
     /*  593968 */   // Label 9647: @593968
     /*  593968 */   GIM_Try, /*On fail goto*//*Label 9648*/ GIMT_Encode4(594043), // Rule ID 4309 //
     /*  593973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  593976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  593981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  593984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  593987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  593990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  593993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  593996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594041 */     GIR_RootConstrainSelectedInstOperands,
     /*  594042 */     // GIR_Coverage, 4309,
     /*  594042 */     GIR_EraseRootFromParent_Done,
     /*  594043 */   // Label 9648: @594043
     /*  594043 */   GIM_Try, /*On fail goto*//*Label 9649*/ GIMT_Encode4(594118), // Rule ID 4318 //
     /*  594048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  594068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594094 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  594094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594116 */     GIR_RootConstrainSelectedInstOperands,
     /*  594117 */     // GIR_Coverage, 4318,
     /*  594117 */     GIR_EraseRootFromParent_Done,
     /*  594118 */   // Label 9649: @594118
     /*  594118 */   GIM_Try, /*On fail goto*//*Label 9650*/ GIMT_Encode4(594193), // Rule ID 4319 //
     /*  594123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  594134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  594137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  594140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  594143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594169 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  594169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  594188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594191 */     GIR_RootConstrainSelectedInstOperands,
     /*  594192 */     // GIR_Coverage, 4319,
     /*  594192 */     GIR_EraseRootFromParent_Done,
     /*  594193 */   // Label 9650: @594193
     /*  594193 */   GIM_Try, /*On fail goto*//*Label 9651*/ GIMT_Encode4(594268), // Rule ID 4328 //
     /*  594198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  594209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  594212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  594215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  594218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  594247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594266 */     GIR_RootConstrainSelectedInstOperands,
     /*  594267 */     // GIR_Coverage, 4328,
     /*  594267 */     GIR_EraseRootFromParent_Done,
     /*  594268 */   // Label 9651: @594268
     /*  594268 */   GIM_Try, /*On fail goto*//*Label 9652*/ GIMT_Encode4(594343), // Rule ID 4329 //
     /*  594273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  594284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  594287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  594290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  594293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4),
     /*  594322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594341 */     GIR_RootConstrainSelectedInstOperands,
     /*  594342 */     // GIR_Coverage, 4329,
     /*  594342 */     GIR_EraseRootFromParent_Done,
     /*  594343 */   // Label 9652: @594343
     /*  594343 */   GIM_Try, /*On fail goto*//*Label 9653*/ GIMT_Encode4(594418), // Rule ID 4338 //
     /*  594348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  594397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594416 */     GIR_RootConstrainSelectedInstOperands,
     /*  594417 */     // GIR_Coverage, 4338,
     /*  594417 */     GIR_EraseRootFromParent_Done,
     /*  594418 */   // Label 9653: @594418
     /*  594418 */   GIM_Try, /*On fail goto*//*Label 9654*/ GIMT_Encode4(594493), // Rule ID 4339 //
     /*  594423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  594434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  594437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  594440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  594443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  594472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594491 */     GIR_RootConstrainSelectedInstOperands,
     /*  594492 */     // GIR_Coverage, 4339,
     /*  594492 */     GIR_EraseRootFromParent_Done,
     /*  594493 */   // Label 9654: @594493
     /*  594493 */   GIM_Try, /*On fail goto*//*Label 9655*/ GIMT_Encode4(594568), // Rule ID 4348 //
     /*  594498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  594547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594566 */     GIR_RootConstrainSelectedInstOperands,
     /*  594567 */     // GIR_Coverage, 4348,
     /*  594567 */     GIR_EraseRootFromParent_Done,
     /*  594568 */   // Label 9655: @594568
     /*  594568 */   GIM_Try, /*On fail goto*//*Label 9656*/ GIMT_Encode4(594643), // Rule ID 4349 //
     /*  594573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  594584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  594587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  594590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  594593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  594622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594641 */     GIR_RootConstrainSelectedInstOperands,
     /*  594642 */     // GIR_Coverage, 4349,
     /*  594642 */     GIR_EraseRootFromParent_Done,
     /*  594643 */   // Label 9656: @594643
     /*  594643 */   GIM_Try, /*On fail goto*//*Label 9657*/ GIMT_Encode4(594718), // Rule ID 4358 //
     /*  594648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594716 */     GIR_RootConstrainSelectedInstOperands,
     /*  594717 */     // GIR_Coverage, 4358,
     /*  594717 */     GIR_EraseRootFromParent_Done,
     /*  594718 */   // Label 9657: @594718
     /*  594718 */   GIM_Try, /*On fail goto*//*Label 9658*/ GIMT_Encode4(594793), // Rule ID 4359 //
     /*  594723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  594734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  594737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  594740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  594743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  594762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  594772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594791 */     GIR_RootConstrainSelectedInstOperands,
     /*  594792 */     // GIR_Coverage, 4359,
     /*  594792 */     GIR_EraseRootFromParent_Done,
     /*  594793 */   // Label 9658: @594793
     /*  594793 */   GIM_Try, /*On fail goto*//*Label 9659*/ GIMT_Encode4(594868), // Rule ID 4368 //
     /*  594798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  594801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  594844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594866 */     GIR_RootConstrainSelectedInstOperands,
     /*  594867 */     // GIR_Coverage, 4368,
     /*  594867 */     GIR_EraseRootFromParent_Done,
     /*  594868 */   // Label 9659: @594868
     /*  594868 */   GIM_Try, /*On fail goto*//*Label 9660*/ GIMT_Encode4(594943), // Rule ID 4369 //
     /*  594873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  594876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  594884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  594887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  594890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  594893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  594896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  594908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  594912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594919 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  594919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  594922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  594926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  594928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  594930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  594935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  594938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  594941 */     GIR_RootConstrainSelectedInstOperands,
     /*  594942 */     // GIR_Coverage, 4369,
     /*  594942 */     GIR_EraseRootFromParent_Done,
     /*  594943 */   // Label 9660: @594943
     /*  594943 */   GIM_Try, /*On fail goto*//*Label 9661*/ GIMT_Encode4(595018), // Rule ID 4378 //
     /*  594948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  594951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  594956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  594959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  594962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  594965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  594968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  594971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  594987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  594994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  594994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  594997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  594999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595016 */     GIR_RootConstrainSelectedInstOperands,
     /*  595017 */     // GIR_Coverage, 4378,
     /*  595017 */     GIR_EraseRootFromParent_Done,
     /*  595018 */   // Label 9661: @595018
     /*  595018 */   GIM_Try, /*On fail goto*//*Label 9662*/ GIMT_Encode4(595093), // Rule ID 4379 //
     /*  595023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  595034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  595037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  595040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  595043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595069 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2),
     /*  595072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595091 */     GIR_RootConstrainSelectedInstOperands,
     /*  595092 */     // GIR_Coverage, 4379,
     /*  595092 */     GIR_EraseRootFromParent_Done,
     /*  595093 */   // Label 9662: @595093
     /*  595093 */   GIM_Try, /*On fail goto*//*Label 9663*/ GIMT_Encode4(595168), // Rule ID 4388 //
     /*  595098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  595118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  595147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595166 */     GIR_RootConstrainSelectedInstOperands,
     /*  595167 */     // GIR_Coverage, 4388,
     /*  595167 */     GIR_EraseRootFromParent_Done,
     /*  595168 */   // Label 9663: @595168
     /*  595168 */   GIM_Try, /*On fail goto*//*Label 9664*/ GIMT_Encode4(595243), // Rule ID 4389 //
     /*  595173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  595184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  595187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  595190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  595193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1),
     /*  595222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595241 */     GIR_RootConstrainSelectedInstOperands,
     /*  595242 */     // GIR_Coverage, 4389,
     /*  595242 */     GIR_EraseRootFromParent_Done,
     /*  595243 */   // Label 9664: @595243
     /*  595243 */   GIM_Try, /*On fail goto*//*Label 9665*/ GIMT_Encode4(595318), // Rule ID 4398 //
     /*  595248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  595268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  595297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595316 */     GIR_RootConstrainSelectedInstOperands,
     /*  595317 */     // GIR_Coverage, 4398,
     /*  595317 */     GIR_EraseRootFromParent_Done,
     /*  595318 */   // Label 9665: @595318
     /*  595318 */   GIM_Try, /*On fail goto*//*Label 9666*/ GIMT_Encode4(595393), // Rule ID 4399 //
     /*  595323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  595334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  595337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  595340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  595343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  595362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595369 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2),
     /*  595372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595391 */     GIR_RootConstrainSelectedInstOperands,
     /*  595392 */     // GIR_Coverage, 4399,
     /*  595392 */     GIR_EraseRootFromParent_Done,
     /*  595393 */   // Label 9666: @595393
     /*  595393 */   GIM_Try, /*On fail goto*//*Label 9667*/ GIMT_Encode4(595468), // Rule ID 4408 //
     /*  595398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  595401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  595444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  595447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595466 */     GIR_RootConstrainSelectedInstOperands,
     /*  595467 */     // GIR_Coverage, 4408,
     /*  595467 */     GIR_EraseRootFromParent_Done,
     /*  595468 */   // Label 9667: @595468
     /*  595468 */   GIM_Try, /*On fail goto*//*Label 9668*/ GIMT_Encode4(595543), // Rule ID 4409 //
     /*  595473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  595476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  595484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  595487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  595490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  595493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  595508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  595512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595519 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  595519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4),
     /*  595522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  595538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595541 */     GIR_RootConstrainSelectedInstOperands,
     /*  595542 */     // GIR_Coverage, 4409,
     /*  595542 */     GIR_EraseRootFromParent_Done,
     /*  595543 */   // Label 9668: @595543
     /*  595543 */   GIM_Try, /*On fail goto*//*Label 9669*/ GIMT_Encode4(595618), // Rule ID 4416 //
     /*  595548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  595597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595616 */     GIR_RootConstrainSelectedInstOperands,
     /*  595617 */     // GIR_Coverage, 4416,
     /*  595617 */     GIR_EraseRootFromParent_Done,
     /*  595618 */   // Label 9669: @595618
     /*  595618 */   GIM_Try, /*On fail goto*//*Label 9670*/ GIMT_Encode4(595693), // Rule ID 4417 //
     /*  595623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  595634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  595637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  595640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595669 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8),
     /*  595672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595691 */     GIR_RootConstrainSelectedInstOperands,
     /*  595692 */     // GIR_Coverage, 4417,
     /*  595692 */     GIR_EraseRootFromParent_Done,
     /*  595693 */   // Label 9670: @595693
     /*  595693 */   GIM_Try, /*On fail goto*//*Label 9671*/ GIMT_Encode4(595768), // Rule ID 4420 //
     /*  595698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  595747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595766 */     GIR_RootConstrainSelectedInstOperands,
     /*  595767 */     // GIR_Coverage, 4420,
     /*  595767 */     GIR_EraseRootFromParent_Done,
     /*  595768 */   // Label 9671: @595768
     /*  595768 */   GIM_Try, /*On fail goto*//*Label 9672*/ GIMT_Encode4(595843), // Rule ID 4421 //
     /*  595773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  595784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  595787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  595790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595819 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  595822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595841 */     GIR_RootConstrainSelectedInstOperands,
     /*  595842 */     // GIR_Coverage, 4421,
     /*  595842 */     GIR_EraseRootFromParent_Done,
     /*  595843 */   // Label 9672: @595843
     /*  595843 */   GIM_Try, /*On fail goto*//*Label 9673*/ GIMT_Encode4(595918), // Rule ID 4424 //
     /*  595848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  595851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  595868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  595871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595894 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  595894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  595897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595916 */     GIR_RootConstrainSelectedInstOperands,
     /*  595917 */     // GIR_Coverage, 4424,
     /*  595917 */     GIR_EraseRootFromParent_Done,
     /*  595918 */   // Label 9673: @595918
     /*  595918 */   GIM_Try, /*On fail goto*//*Label 9674*/ GIMT_Encode4(595993), // Rule ID 4425 //
     /*  595923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  595926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  595931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  595934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  595937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  595940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  595943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  595946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  595958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  595962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  595969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11673:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  595969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  595972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  595974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  595976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  595978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  595980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  595985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  595988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  595991 */     GIR_RootConstrainSelectedInstOperands,
     /*  595992 */     // GIR_Coverage, 4425,
     /*  595992 */     GIR_EraseRootFromParent_Done,
     /*  595993 */   // Label 9674: @595993
     /*  595993 */   GIM_Try, /*On fail goto*//*Label 9675*/ GIMT_Encode4(596068), // Rule ID 4428 //
     /*  595998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  596009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  596012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  596015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596066 */     GIR_RootConstrainSelectedInstOperands,
     /*  596067 */     // GIR_Coverage, 4428,
     /*  596067 */     GIR_EraseRootFromParent_Done,
     /*  596068 */   // Label 9675: @596068
     /*  596068 */   GIM_Try, /*On fail goto*//*Label 9676*/ GIMT_Encode4(596143), // Rule ID 4429 //
     /*  596073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  596084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  596087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  596090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596141 */     GIR_RootConstrainSelectedInstOperands,
     /*  596142 */     // GIR_Coverage, 4429,
     /*  596142 */     GIR_EraseRootFromParent_Done,
     /*  596143 */   // Label 9676: @596143
     /*  596143 */   GIM_Try, /*On fail goto*//*Label 9677*/ GIMT_Encode4(596218), // Rule ID 4432 //
     /*  596148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  596159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  596162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  596165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596194 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596216 */     GIR_RootConstrainSelectedInstOperands,
     /*  596217 */     // GIR_Coverage, 4432,
     /*  596217 */     GIR_EraseRootFromParent_Done,
     /*  596218 */   // Label 9677: @596218
     /*  596218 */   GIM_Try, /*On fail goto*//*Label 9678*/ GIMT_Encode4(596293), // Rule ID 4433 //
     /*  596223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  596234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  596237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  596240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596291 */     GIR_RootConstrainSelectedInstOperands,
     /*  596292 */     // GIR_Coverage, 4433,
     /*  596292 */     GIR_EraseRootFromParent_Done,
     /*  596293 */   // Label 9678: @596293
     /*  596293 */   GIM_Try, /*On fail goto*//*Label 9679*/ GIMT_Encode4(596368), // Rule ID 4436 //
     /*  596298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  596344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  596347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596366 */     GIR_RootConstrainSelectedInstOperands,
     /*  596367 */     // GIR_Coverage, 4436,
     /*  596367 */     GIR_EraseRootFromParent_Done,
     /*  596368 */   // Label 9679: @596368
     /*  596368 */   GIM_Try, /*On fail goto*//*Label 9680*/ GIMT_Encode4(596443), // Rule ID 4437 //
     /*  596373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  596384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  596387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  596390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  596408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  596419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  596422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  596438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596441 */     GIR_RootConstrainSelectedInstOperands,
     /*  596442 */     // GIR_Coverage, 4437,
     /*  596442 */     GIR_EraseRootFromParent_Done,
     /*  596443 */   // Label 9680: @596443
     /*  596443 */   GIM_Try, /*On fail goto*//*Label 9681*/ GIMT_Encode4(596518), // Rule ID 4440 //
     /*  596448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  596497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596516 */     GIR_RootConstrainSelectedInstOperands,
     /*  596517 */     // GIR_Coverage, 4440,
     /*  596517 */     GIR_EraseRootFromParent_Done,
     /*  596518 */   // Label 9681: @596518
     /*  596518 */   GIM_Try, /*On fail goto*//*Label 9682*/ GIMT_Encode4(596593), // Rule ID 4441 //
     /*  596523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  596534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  596537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  596540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4),
     /*  596572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596591 */     GIR_RootConstrainSelectedInstOperands,
     /*  596592 */     // GIR_Coverage, 4441,
     /*  596592 */     GIR_EraseRootFromParent_Done,
     /*  596593 */   // Label 9682: @596593
     /*  596593 */   GIM_Try, /*On fail goto*//*Label 9683*/ GIMT_Encode4(596668), // Rule ID 4444 //
     /*  596598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596666 */     GIR_RootConstrainSelectedInstOperands,
     /*  596667 */     // GIR_Coverage, 4444,
     /*  596667 */     GIR_EraseRootFromParent_Done,
     /*  596668 */   // Label 9683: @596668
     /*  596668 */   GIM_Try, /*On fail goto*//*Label 9684*/ GIMT_Encode4(596743), // Rule ID 4445 //
     /*  596673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  596684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  596687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  596690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  596708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11673:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  596722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596741 */     GIR_RootConstrainSelectedInstOperands,
     /*  596742 */     // GIR_Coverage, 4445,
     /*  596742 */     GIR_EraseRootFromParent_Done,
     /*  596743 */   // Label 9684: @596743
     /*  596743 */   GIM_Try, /*On fail goto*//*Label 9685*/ GIMT_Encode4(596818), // Rule ID 4448 //
     /*  596748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596816 */     GIR_RootConstrainSelectedInstOperands,
     /*  596817 */     // GIR_Coverage, 4448,
     /*  596817 */     GIR_EraseRootFromParent_Done,
     /*  596818 */   // Label 9685: @596818
     /*  596818 */   GIM_Try, /*On fail goto*//*Label 9686*/ GIMT_Encode4(596893), // Rule ID 4449 //
     /*  596823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  596834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  596837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  596840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  596858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  596869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  596872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596891 */     GIR_RootConstrainSelectedInstOperands,
     /*  596892 */     // GIR_Coverage, 4449,
     /*  596892 */     GIR_EraseRootFromParent_Done,
     /*  596893 */   // Label 9686: @596893
     /*  596893 */   GIM_Try, /*On fail goto*//*Label 9687*/ GIMT_Encode4(596968), // Rule ID 4452 //
     /*  596898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  596901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  596918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  596921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  596933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  596937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  596944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  596944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  596947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  596949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  596951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  596953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  596955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  596960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  596963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  596966 */     GIR_RootConstrainSelectedInstOperands,
     /*  596967 */     // GIR_Coverage, 4452,
     /*  596967 */     GIR_EraseRootFromParent_Done,
     /*  596968 */   // Label 9687: @596968
     /*  596968 */   GIM_Try, /*On fail goto*//*Label 9688*/ GIMT_Encode4(597043), // Rule ID 4453 //
     /*  596973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  596976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  596981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  596984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  596987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  596990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  596993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  596996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  597022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597041 */     GIR_RootConstrainSelectedInstOperands,
     /*  597042 */     // GIR_Coverage, 4453,
     /*  597042 */     GIR_EraseRootFromParent_Done,
     /*  597043 */   // Label 9688: @597043
     /*  597043 */   GIM_Try, /*On fail goto*//*Label 9689*/ GIMT_Encode4(597118), // Rule ID 4456 //
     /*  597048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  597059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  597062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  597065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  597094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  597097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597116 */     GIR_RootConstrainSelectedInstOperands,
     /*  597117 */     // GIR_Coverage, 4456,
     /*  597117 */     GIR_EraseRootFromParent_Done,
     /*  597118 */   // Label 9689: @597118
     /*  597118 */   GIM_Try, /*On fail goto*//*Label 9690*/ GIMT_Encode4(597193), // Rule ID 4457 //
     /*  597123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  597134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  597137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  597140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  597169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  597172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  597188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597191 */     GIR_RootConstrainSelectedInstOperands,
     /*  597192 */     // GIR_Coverage, 4457,
     /*  597192 */     GIR_EraseRootFromParent_Done,
     /*  597193 */   // Label 9690: @597193
     /*  597193 */   GIM_Try, /*On fail goto*//*Label 9691*/ GIMT_Encode4(597268), // Rule ID 4460 //
     /*  597198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  597209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  597212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  597215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  597247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597266 */     GIR_RootConstrainSelectedInstOperands,
     /*  597267 */     // GIR_Coverage, 4460,
     /*  597267 */     GIR_EraseRootFromParent_Done,
     /*  597268 */   // Label 9691: @597268
     /*  597268 */   GIM_Try, /*On fail goto*//*Label 9692*/ GIMT_Encode4(597343), // Rule ID 4461 //
     /*  597273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  597284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  597287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  597290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11673:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2),
     /*  597322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597341 */     GIR_RootConstrainSelectedInstOperands,
     /*  597342 */     // GIR_Coverage, 4461,
     /*  597342 */     GIR_EraseRootFromParent_Done,
     /*  597343 */   // Label 9692: @597343
     /*  597343 */   GIM_Try, /*On fail goto*//*Label 9693*/ GIMT_Encode4(597418), // Rule ID 4464 //
     /*  597348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  597397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597416 */     GIR_RootConstrainSelectedInstOperands,
     /*  597417 */     // GIR_Coverage, 4464,
     /*  597417 */     GIR_EraseRootFromParent_Done,
     /*  597418 */   // Label 9693: @597418
     /*  597418 */   GIM_Try, /*On fail goto*//*Label 9694*/ GIMT_Encode4(597493), // Rule ID 4465 //
     /*  597423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  597434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  597437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  597440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  597458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11673:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1),
     /*  597472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597491 */     GIR_RootConstrainSelectedInstOperands,
     /*  597492 */     // GIR_Coverage, 4465,
     /*  597492 */     GIR_EraseRootFromParent_Done,
     /*  597493 */   // Label 9694: @597493
     /*  597493 */   GIM_Try, /*On fail goto*//*Label 9695*/ GIMT_Encode4(597568), // Rule ID 4468 //
     /*  597498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597544 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  597547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597566 */     GIR_RootConstrainSelectedInstOperands,
     /*  597567 */     // GIR_Coverage, 4468,
     /*  597567 */     GIR_EraseRootFromParent_Done,
     /*  597568 */   // Label 9695: @597568
     /*  597568 */   GIM_Try, /*On fail goto*//*Label 9696*/ GIMT_Encode4(597643), // Rule ID 4469 //
     /*  597573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  597584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  597587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  597590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  597608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11673:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2),
     /*  597622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597641 */     GIR_RootConstrainSelectedInstOperands,
     /*  597642 */     // GIR_Coverage, 4469,
     /*  597642 */     GIR_EraseRootFromParent_Done,
     /*  597643 */   // Label 9696: @597643
     /*  597643 */   GIM_Try, /*On fail goto*//*Label 9697*/ GIMT_Encode4(597718), // Rule ID 4472 //
     /*  597648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  597651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  597668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597694 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  597694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  597697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597716 */     GIR_RootConstrainSelectedInstOperands,
     /*  597717 */     // GIR_Coverage, 4472,
     /*  597717 */     GIR_EraseRootFromParent_Done,
     /*  597718 */   // Label 9697: @597718
     /*  597718 */   GIM_Try, /*On fail goto*//*Label 9698*/ GIMT_Encode4(597793), // Rule ID 4473 //
     /*  597723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  597726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w),
     /*  597731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  597734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  597737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  597740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  597743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  597758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  597762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597769 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11673:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUBU_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  597769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4),
     /*  597772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  597788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597791 */     GIR_RootConstrainSelectedInstOperands,
     /*  597792 */     // GIR_Coverage, 4473,
     /*  597792 */     GIR_EraseRootFromParent_Done,
     /*  597793 */   // Label 9698: @597793
     /*  597793 */   GIM_Try, /*On fail goto*//*Label 9699*/ GIMT_Encode4(597868), // Rule ID 4478 //
     /*  597798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597844 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  597847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597866 */     GIR_RootConstrainSelectedInstOperands,
     /*  597867 */     // GIR_Coverage, 4478,
     /*  597867 */     GIR_EraseRootFromParent_Done,
     /*  597868 */   // Label 9699: @597868
     /*  597868 */   GIM_Try, /*On fail goto*//*Label 9700*/ GIMT_Encode4(597943), // Rule ID 4479 //
     /*  597873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  597876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  597884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  597887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  597890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  597893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  597896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  597919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8),
     /*  597922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  597926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  597928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  597930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  597935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  597938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  597941 */     GIR_RootConstrainSelectedInstOperands,
     /*  597942 */     // GIR_Coverage, 4479,
     /*  597942 */     GIR_EraseRootFromParent_Done,
     /*  597943 */   // Label 9700: @597943
     /*  597943 */   GIM_Try, /*On fail goto*//*Label 9701*/ GIMT_Encode4(598018), // Rule ID 4488 //
     /*  597948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  597951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  597956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  597959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  597962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  597965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  597968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  597971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  597987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  597994 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  597994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  597997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  597999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598016 */     GIR_RootConstrainSelectedInstOperands,
     /*  598017 */     // GIR_Coverage, 4488,
     /*  598017 */     GIR_EraseRootFromParent_Done,
     /*  598018 */   // Label 9701: @598018
     /*  598018 */   GIM_Try, /*On fail goto*//*Label 9702*/ GIMT_Encode4(598093), // Rule ID 4489 //
     /*  598023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  598034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  598037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  598040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  598043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598069 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  598072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598091 */     GIR_RootConstrainSelectedInstOperands,
     /*  598092 */     // GIR_Coverage, 4489,
     /*  598092 */     GIR_EraseRootFromParent_Done,
     /*  598093 */   // Label 9702: @598093
     /*  598093 */   GIM_Try, /*On fail goto*//*Label 9703*/ GIMT_Encode4(598168), // Rule ID 4498 //
     /*  598098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  598109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  598112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  598115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  598118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598166 */     GIR_RootConstrainSelectedInstOperands,
     /*  598167 */     // GIR_Coverage, 4498,
     /*  598167 */     GIR_EraseRootFromParent_Done,
     /*  598168 */   // Label 9703: @598168
     /*  598168 */   GIM_Try, /*On fail goto*//*Label 9704*/ GIMT_Encode4(598243), // Rule ID 4499 //
     /*  598173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  598184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  598187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  598190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  598193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598219 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598241 */     GIR_RootConstrainSelectedInstOperands,
     /*  598242 */     // GIR_Coverage, 4499,
     /*  598242 */     GIR_EraseRootFromParent_Done,
     /*  598243 */   // Label 9704: @598243
     /*  598243 */   GIM_Try, /*On fail goto*//*Label 9705*/ GIMT_Encode4(598318), // Rule ID 4508 //
     /*  598248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  598259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  598262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  598265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  598268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  598297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598316 */     GIR_RootConstrainSelectedInstOperands,
     /*  598317 */     // GIR_Coverage, 4508,
     /*  598317 */     GIR_EraseRootFromParent_Done,
     /*  598318 */   // Label 9705: @598318
     /*  598318 */   GIM_Try, /*On fail goto*//*Label 9706*/ GIMT_Encode4(598393), // Rule ID 4509 //
     /*  598323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  598334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  598337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  598340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  598343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598369 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  598372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598391 */     GIR_RootConstrainSelectedInstOperands,
     /*  598392 */     // GIR_Coverage, 4509,
     /*  598392 */     GIR_EraseRootFromParent_Done,
     /*  598393 */   // Label 9706: @598393
     /*  598393 */   GIM_Try, /*On fail goto*//*Label 9707*/ GIMT_Encode4(598468), // Rule ID 4518 //
     /*  598398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598444 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  598447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598466 */     GIR_RootConstrainSelectedInstOperands,
     /*  598467 */     // GIR_Coverage, 4518,
     /*  598467 */     GIR_EraseRootFromParent_Done,
     /*  598468 */   // Label 9707: @598468
     /*  598468 */   GIM_Try, /*On fail goto*//*Label 9708*/ GIMT_Encode4(598543), // Rule ID 4519 //
     /*  598473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  598484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  598487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  598490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  598493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  598512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598519 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  598522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598541 */     GIR_RootConstrainSelectedInstOperands,
     /*  598542 */     // GIR_Coverage, 4519,
     /*  598542 */     GIR_EraseRootFromParent_Done,
     /*  598543 */   // Label 9708: @598543
     /*  598543 */   GIM_Try, /*On fail goto*//*Label 9709*/ GIMT_Encode4(598618), // Rule ID 4528 //
     /*  598548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598594 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  598594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  598597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598616 */     GIR_RootConstrainSelectedInstOperands,
     /*  598617 */     // GIR_Coverage, 4528,
     /*  598617 */     GIR_EraseRootFromParent_Done,
     /*  598618 */   // Label 9709: @598618
     /*  598618 */   GIM_Try, /*On fail goto*//*Label 9710*/ GIMT_Encode4(598693), // Rule ID 4529 //
     /*  598623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  598634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  598637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  598640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  598643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  598658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  598662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598669 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  598669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  598672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  598688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598691 */     GIR_RootConstrainSelectedInstOperands,
     /*  598692 */     // GIR_Coverage, 4529,
     /*  598692 */     GIR_EraseRootFromParent_Done,
     /*  598693 */   // Label 9710: @598693
     /*  598693 */   GIM_Try, /*On fail goto*//*Label 9711*/ GIMT_Encode4(598768), // Rule ID 4538 //
     /*  598698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  598747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598766 */     GIR_RootConstrainSelectedInstOperands,
     /*  598767 */     // GIR_Coverage, 4538,
     /*  598767 */     GIR_EraseRootFromParent_Done,
     /*  598768 */   // Label 9711: @598768
     /*  598768 */   GIM_Try, /*On fail goto*//*Label 9712*/ GIMT_Encode4(598843), // Rule ID 4539 //
     /*  598773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  598784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  598787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  598790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  598793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598819 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4),
     /*  598822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598841 */     GIR_RootConstrainSelectedInstOperands,
     /*  598842 */     // GIR_Coverage, 4539,
     /*  598842 */     GIR_EraseRootFromParent_Done,
     /*  598843 */   // Label 9712: @598843
     /*  598843 */   GIM_Try, /*On fail goto*//*Label 9713*/ GIMT_Encode4(598918), // Rule ID 4548 //
     /*  598848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  598851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  598871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  598894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598916 */     GIR_RootConstrainSelectedInstOperands,
     /*  598917 */     // GIR_Coverage, 4548,
     /*  598917 */     GIR_EraseRootFromParent_Done,
     /*  598918 */   // Label 9713: @598918
     /*  598918 */   GIM_Try, /*On fail goto*//*Label 9714*/ GIMT_Encode4(598993), // Rule ID 4549 //
     /*  598923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  598926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  598931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  598934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  598937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  598940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  598943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  598946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  598962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  598969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  598969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  598972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  598974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  598976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  598978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  598980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  598985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  598988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  598991 */     GIR_RootConstrainSelectedInstOperands,
     /*  598992 */     // GIR_Coverage, 4549,
     /*  598992 */     GIR_EraseRootFromParent_Done,
     /*  598993 */   // Label 9714: @598993
     /*  598993 */   GIM_Try, /*On fail goto*//*Label 9715*/ GIMT_Encode4(599068), // Rule ID 4558 //
     /*  598998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  599009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  599012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  599015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  599018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599044 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  599047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599066 */     GIR_RootConstrainSelectedInstOperands,
     /*  599067 */     // GIR_Coverage, 4558,
     /*  599067 */     GIR_EraseRootFromParent_Done,
     /*  599068 */   // Label 9715: @599068
     /*  599068 */   GIM_Try, /*On fail goto*//*Label 9716*/ GIMT_Encode4(599143), // Rule ID 4559 //
     /*  599073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  599084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  599087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  599090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  599093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599119 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  599122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599141 */     GIR_RootConstrainSelectedInstOperands,
     /*  599142 */     // GIR_Coverage, 4559,
     /*  599142 */     GIR_EraseRootFromParent_Done,
     /*  599143 */   // Label 9716: @599143
     /*  599143 */   GIM_Try, /*On fail goto*//*Label 9717*/ GIMT_Encode4(599218), // Rule ID 4568 //
     /*  599148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  599159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  599162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  599165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  599168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599194 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  599197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599216 */     GIR_RootConstrainSelectedInstOperands,
     /*  599217 */     // GIR_Coverage, 4568,
     /*  599217 */     GIR_EraseRootFromParent_Done,
     /*  599218 */   // Label 9717: @599218
     /*  599218 */   GIM_Try, /*On fail goto*//*Label 9718*/ GIMT_Encode4(599293), // Rule ID 4569 //
     /*  599223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  599234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  599237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  599240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  599243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  599272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599291 */     GIR_RootConstrainSelectedInstOperands,
     /*  599292 */     // GIR_Coverage, 4569,
     /*  599292 */     GIR_EraseRootFromParent_Done,
     /*  599293 */   // Label 9718: @599293
     /*  599293 */   GIM_Try, /*On fail goto*//*Label 9719*/ GIMT_Encode4(599368), // Rule ID 4578 //
     /*  599298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  599301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  599309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  599312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  599315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  599318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  599344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  599347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599366 */     GIR_RootConstrainSelectedInstOperands,
     /*  599367 */     // GIR_Coverage, 4578,
     /*  599367 */     GIR_EraseRootFromParent_Done,
     /*  599368 */   // Label 9719: @599368
     /*  599368 */   GIM_Try, /*On fail goto*//*Label 9720*/ GIMT_Encode4(599443), // Rule ID 4579 //
     /*  599373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  599376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  599384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  599387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  599390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  599393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599419 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  599419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  599422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  599438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599441 */     GIR_RootConstrainSelectedInstOperands,
     /*  599442 */     // GIR_Coverage, 4579,
     /*  599442 */     GIR_EraseRootFromParent_Done,
     /*  599443 */   // Label 9720: @599443
     /*  599443 */   GIM_Try, /*On fail goto*//*Label 9721*/ GIMT_Encode4(599518), // Rule ID 4588 //
     /*  599448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  599497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599516 */     GIR_RootConstrainSelectedInstOperands,
     /*  599517 */     // GIR_Coverage, 4588,
     /*  599517 */     GIR_EraseRootFromParent_Done,
     /*  599518 */   // Label 9721: @599518
     /*  599518 */   GIM_Try, /*On fail goto*//*Label 9722*/ GIMT_Encode4(599593), // Rule ID 4589 //
     /*  599523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  599534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  599537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  599540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  599543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599569 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2),
     /*  599572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599591 */     GIR_RootConstrainSelectedInstOperands,
     /*  599592 */     // GIR_Coverage, 4589,
     /*  599592 */     GIR_EraseRootFromParent_Done,
     /*  599593 */   // Label 9722: @599593
     /*  599593 */   GIM_Try, /*On fail goto*//*Label 9723*/ GIMT_Encode4(599668), // Rule ID 4598 //
     /*  599598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  599647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599666 */     GIR_RootConstrainSelectedInstOperands,
     /*  599667 */     // GIR_Coverage, 4598,
     /*  599667 */     GIR_EraseRootFromParent_Done,
     /*  599668 */   // Label 9723: @599668
     /*  599668 */   GIM_Try, /*On fail goto*//*Label 9724*/ GIMT_Encode4(599743), // Rule ID 4599 //
     /*  599673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  599684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  599687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  599690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  599693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  599712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599719 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1),
     /*  599722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599741 */     GIR_RootConstrainSelectedInstOperands,
     /*  599742 */     // GIR_Coverage, 4599,
     /*  599742 */     GIR_EraseRootFromParent_Done,
     /*  599743 */   // Label 9724: @599743
     /*  599743 */   GIM_Try, /*On fail goto*//*Label 9725*/ GIMT_Encode4(599818), // Rule ID 4608 //
     /*  599748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599794 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  599797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599816 */     GIR_RootConstrainSelectedInstOperands,
     /*  599817 */     // GIR_Coverage, 4608,
     /*  599817 */     GIR_EraseRootFromParent_Done,
     /*  599818 */   // Label 9725: @599818
     /*  599818 */   GIM_Try, /*On fail goto*//*Label 9726*/ GIMT_Encode4(599893), // Rule ID 4609 //
     /*  599823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  599834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  599837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  599840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  599843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  599862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599869 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  599869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2),
     /*  599872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599891 */     GIR_RootConstrainSelectedInstOperands,
     /*  599892 */     // GIR_Coverage, 4609,
     /*  599892 */     GIR_EraseRootFromParent_Done,
     /*  599893 */   // Label 9726: @599893
     /*  599893 */   GIM_Try, /*On fail goto*//*Label 9727*/ GIMT_Encode4(599968), // Rule ID 4618 //
     /*  599898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  599901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  599921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  599933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  599937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  599944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  599944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  599947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  599949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  599951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  599953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  599955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  599960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  599963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  599966 */     GIR_RootConstrainSelectedInstOperands,
     /*  599967 */     // GIR_Coverage, 4618,
     /*  599967 */     GIR_EraseRootFromParent_Done,
     /*  599968 */   // Label 9727: @599968
     /*  599968 */   GIM_Try, /*On fail goto*//*Label 9728*/ GIMT_Encode4(600043), // Rule ID 4619 //
     /*  599973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  599976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  599981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  599984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  599987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  599990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  599993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  599996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  600019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4),
     /*  600022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  600038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600041 */     GIR_RootConstrainSelectedInstOperands,
     /*  600042 */     // GIR_Coverage, 4619,
     /*  600042 */     GIR_EraseRootFromParent_Done,
     /*  600043 */   // Label 9728: @600043
     /*  600043 */   GIM_Try, /*On fail goto*//*Label 9729*/ GIMT_Encode4(600118), // Rule ID 4626 //
     /*  600048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  600059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  600062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  600065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600094 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  600097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600116 */     GIR_RootConstrainSelectedInstOperands,
     /*  600117 */     // GIR_Coverage, 4626,
     /*  600117 */     GIR_EraseRootFromParent_Done,
     /*  600118 */   // Label 9729: @600118
     /*  600118 */   GIM_Try, /*On fail goto*//*Label 9730*/ GIMT_Encode4(600193), // Rule ID 4627 //
     /*  600123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  600134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  600137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  600140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600169 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8),
     /*  600172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600191 */     GIR_RootConstrainSelectedInstOperands,
     /*  600192 */     // GIR_Coverage, 4627,
     /*  600192 */     GIR_EraseRootFromParent_Done,
     /*  600193 */   // Label 9730: @600193
     /*  600193 */   GIM_Try, /*On fail goto*//*Label 9731*/ GIMT_Encode4(600268), // Rule ID 4630 //
     /*  600198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  600209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  600212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  600215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600244 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  600247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600266 */     GIR_RootConstrainSelectedInstOperands,
     /*  600267 */     // GIR_Coverage, 4630,
     /*  600267 */     GIR_EraseRootFromParent_Done,
     /*  600268 */   // Label 9731: @600268
     /*  600268 */   GIM_Try, /*On fail goto*//*Label 9732*/ GIMT_Encode4(600343), // Rule ID 4631 //
     /*  600273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  600284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  600287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  600290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600319 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  600322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600341 */     GIR_RootConstrainSelectedInstOperands,
     /*  600342 */     // GIR_Coverage, 4631,
     /*  600342 */     GIR_EraseRootFromParent_Done,
     /*  600343 */   // Label 9732: @600343
     /*  600343 */   GIM_Try, /*On fail goto*//*Label 9733*/ GIMT_Encode4(600418), // Rule ID 4634 //
     /*  600348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  600397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600416 */     GIR_RootConstrainSelectedInstOperands,
     /*  600417 */     // GIR_Coverage, 4634,
     /*  600417 */     GIR_EraseRootFromParent_Done,
     /*  600418 */   // Label 9733: @600418
     /*  600418 */   GIM_Try, /*On fail goto*//*Label 9734*/ GIMT_Encode4(600493), // Rule ID 4635 //
     /*  600423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  600434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  600437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  600440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600469 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11641:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  600472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600491 */     GIR_RootConstrainSelectedInstOperands,
     /*  600492 */     // GIR_Coverage, 4635,
     /*  600492 */     GIR_EraseRootFromParent_Done,
     /*  600493 */   // Label 9734: @600493
     /*  600493 */   GIM_Try, /*On fail goto*//*Label 9735*/ GIMT_Encode4(600568), // Rule ID 4638 //
     /*  600498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600544 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  600547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600566 */     GIR_RootConstrainSelectedInstOperands,
     /*  600567 */     // GIR_Coverage, 4638,
     /*  600567 */     GIR_EraseRootFromParent_Done,
     /*  600568 */   // Label 9735: @600568
     /*  600568 */   GIM_Try, /*On fail goto*//*Label 9736*/ GIMT_Encode4(600643), // Rule ID 4639 //
     /*  600573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  600584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  600587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  600590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  600608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600619 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  600622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600641 */     GIR_RootConstrainSelectedInstOperands,
     /*  600642 */     // GIR_Coverage, 4639,
     /*  600642 */     GIR_EraseRootFromParent_Done,
     /*  600643 */   // Label 9736: @600643
     /*  600643 */   GIM_Try, /*On fail goto*//*Label 9737*/ GIMT_Encode4(600718), // Rule ID 4642 //
     /*  600648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600716 */     GIR_RootConstrainSelectedInstOperands,
     /*  600717 */     // GIR_Coverage, 4642,
     /*  600717 */     GIR_EraseRootFromParent_Done,
     /*  600718 */   // Label 9737: @600718
     /*  600718 */   GIM_Try, /*On fail goto*//*Label 9738*/ GIMT_Encode4(600793), // Rule ID 4643 //
     /*  600723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  600734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  600737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  600740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  600758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600769 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  600772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600791 */     GIR_RootConstrainSelectedInstOperands,
     /*  600792 */     // GIR_Coverage, 4643,
     /*  600792 */     GIR_EraseRootFromParent_Done,
     /*  600793 */   // Label 9738: @600793
     /*  600793 */   GIM_Try, /*On fail goto*//*Label 9739*/ GIMT_Encode4(600868), // Rule ID 4646 //
     /*  600798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600844 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  600844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  600847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600866 */     GIR_RootConstrainSelectedInstOperands,
     /*  600867 */     // GIR_Coverage, 4646,
     /*  600867 */     GIR_EraseRootFromParent_Done,
     /*  600868 */   // Label 9739: @600868
     /*  600868 */   GIM_Try, /*On fail goto*//*Label 9740*/ GIMT_Encode4(600943), // Rule ID 4647 //
     /*  600873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  600876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  600884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  600887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  600890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  600893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  600896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  600908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600919 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  600919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  600922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  600926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  600928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  600930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  600935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  600938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  600941 */     GIR_RootConstrainSelectedInstOperands,
     /*  600942 */     // GIR_Coverage, 4647,
     /*  600942 */     GIR_EraseRootFromParent_Done,
     /*  600943 */   // Label 9740: @600943
     /*  600943 */   GIM_Try, /*On fail goto*//*Label 9741*/ GIMT_Encode4(601018), // Rule ID 4650 //
     /*  600948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  600951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  600956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  600959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  600962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  600965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  600968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  600971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  600983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  600987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  600994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  600994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  600997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  600999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601016 */     GIR_RootConstrainSelectedInstOperands,
     /*  601017 */     // GIR_Coverage, 4650,
     /*  601017 */     GIR_EraseRootFromParent_Done,
     /*  601018 */   // Label 9741: @601018
     /*  601018 */   GIM_Try, /*On fail goto*//*Label 9742*/ GIMT_Encode4(601093), // Rule ID 4651 //
     /*  601023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  601034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  601037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  601040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601069 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4),
     /*  601072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601091 */     GIR_RootConstrainSelectedInstOperands,
     /*  601092 */     // GIR_Coverage, 4651,
     /*  601092 */     GIR_EraseRootFromParent_Done,
     /*  601093 */   // Label 9742: @601093
     /*  601093 */   GIM_Try, /*On fail goto*//*Label 9743*/ GIMT_Encode4(601168), // Rule ID 4654 //
     /*  601098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  601109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  601112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  601115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601144 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  601147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601166 */     GIR_RootConstrainSelectedInstOperands,
     /*  601167 */     // GIR_Coverage, 4654,
     /*  601167 */     GIR_EraseRootFromParent_Done,
     /*  601168 */   // Label 9743: @601168
     /*  601168 */   GIM_Try, /*On fail goto*//*Label 9744*/ GIMT_Encode4(601243), // Rule ID 4655 //
     /*  601173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  601184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  601187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  601190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601219 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11641:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  601222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601241 */     GIR_RootConstrainSelectedInstOperands,
     /*  601242 */     // GIR_Coverage, 4655,
     /*  601242 */     GIR_EraseRootFromParent_Done,
     /*  601243 */   // Label 9744: @601243
     /*  601243 */   GIM_Try, /*On fail goto*//*Label 9745*/ GIMT_Encode4(601318), // Rule ID 4658 //
     /*  601248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  601259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  601262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  601265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  601297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601316 */     GIR_RootConstrainSelectedInstOperands,
     /*  601317 */     // GIR_Coverage, 4658,
     /*  601317 */     GIR_EraseRootFromParent_Done,
     /*  601318 */   // Label 9745: @601318
     /*  601318 */   GIM_Try, /*On fail goto*//*Label 9746*/ GIMT_Encode4(601393), // Rule ID 4659 //
     /*  601323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  601334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  601337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  601340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601369 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  601372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601391 */     GIR_RootConstrainSelectedInstOperands,
     /*  601392 */     // GIR_Coverage, 4659,
     /*  601392 */     GIR_EraseRootFromParent_Done,
     /*  601393 */   // Label 9746: @601393
     /*  601393 */   GIM_Try, /*On fail goto*//*Label 9747*/ GIMT_Encode4(601468), // Rule ID 4662 //
     /*  601398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  601447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601466 */     GIR_RootConstrainSelectedInstOperands,
     /*  601467 */     // GIR_Coverage, 4662,
     /*  601467 */     GIR_EraseRootFromParent_Done,
     /*  601468 */   // Label 9747: @601468
     /*  601468 */   GIM_Try, /*On fail goto*//*Label 9748*/ GIMT_Encode4(601543), // Rule ID 4663 //
     /*  601473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  601484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  601487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  601490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  601508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601519 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  601522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601541 */     GIR_RootConstrainSelectedInstOperands,
     /*  601542 */     // GIR_Coverage, 4663,
     /*  601542 */     GIR_EraseRootFromParent_Done,
     /*  601543 */   // Label 9748: @601543
     /*  601543 */   GIM_Try, /*On fail goto*//*Label 9749*/ GIMT_Encode4(601618), // Rule ID 4666 //
     /*  601548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  601551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  601594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  601597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601616 */     GIR_RootConstrainSelectedInstOperands,
     /*  601617 */     // GIR_Coverage, 4666,
     /*  601617 */     GIR_EraseRootFromParent_Done,
     /*  601618 */   // Label 9749: @601618
     /*  601618 */   GIM_Try, /*On fail goto*//*Label 9750*/ GIMT_Encode4(601693), // Rule ID 4667 //
     /*  601623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  601626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  601634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  601637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  601640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  601658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601669 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  601669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  601672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  601688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601691 */     GIR_RootConstrainSelectedInstOperands,
     /*  601692 */     // GIR_Coverage, 4667,
     /*  601692 */     GIR_EraseRootFromParent_Done,
     /*  601693 */   // Label 9750: @601693
     /*  601693 */   GIM_Try, /*On fail goto*//*Label 9751*/ GIMT_Encode4(601768), // Rule ID 4670 //
     /*  601698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  601747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601766 */     GIR_RootConstrainSelectedInstOperands,
     /*  601767 */     // GIR_Coverage, 4670,
     /*  601767 */     GIR_EraseRootFromParent_Done,
     /*  601768 */   // Label 9751: @601768
     /*  601768 */   GIM_Try, /*On fail goto*//*Label 9752*/ GIMT_Encode4(601843), // Rule ID 4671 //
     /*  601773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  601784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  601787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  601790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  601808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601819 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11641:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2),
     /*  601822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601841 */     GIR_RootConstrainSelectedInstOperands,
     /*  601842 */     // GIR_Coverage, 4671,
     /*  601842 */     GIR_EraseRootFromParent_Done,
     /*  601843 */   // Label 9752: @601843
     /*  601843 */   GIM_Try, /*On fail goto*//*Label 9753*/ GIMT_Encode4(601918), // Rule ID 4674 //
     /*  601848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  601851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  601868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  601871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601894 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  601894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  601897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601916 */     GIR_RootConstrainSelectedInstOperands,
     /*  601917 */     // GIR_Coverage, 4674,
     /*  601917 */     GIR_EraseRootFromParent_Done,
     /*  601918 */   // Label 9753: @601918
     /*  601918 */   GIM_Try, /*On fail goto*//*Label 9754*/ GIMT_Encode4(601993), // Rule ID 4675 //
     /*  601923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  601926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  601931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  601934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  601937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  601940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  601943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  601946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  601958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  601962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  601969 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11641:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  601969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1),
     /*  601972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  601974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  601976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  601978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  601980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  601985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  601988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  601991 */     GIR_RootConstrainSelectedInstOperands,
     /*  601992 */     // GIR_Coverage, 4675,
     /*  601992 */     GIR_EraseRootFromParent_Done,
     /*  601993 */   // Label 9754: @601993
     /*  601993 */   GIM_Try, /*On fail goto*//*Label 9755*/ GIMT_Encode4(602068), // Rule ID 4678 //
     /*  601998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  602001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  602006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  602009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  602012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  602015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  602018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602044 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  602044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  602047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602066 */     GIR_RootConstrainSelectedInstOperands,
     /*  602067 */     // GIR_Coverage, 4678,
     /*  602067 */     GIR_EraseRootFromParent_Done,
     /*  602068 */   // Label 9755: @602068
     /*  602068 */   GIM_Try, /*On fail goto*//*Label 9756*/ GIMT_Encode4(602143), // Rule ID 4679 //
     /*  602073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  602076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  602081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  602084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  602087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  602090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  602093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602119 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11641:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  602119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2),
     /*  602122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602141 */     GIR_RootConstrainSelectedInstOperands,
     /*  602142 */     // GIR_Coverage, 4679,
     /*  602142 */     GIR_EraseRootFromParent_Done,
     /*  602143 */   // Label 9756: @602143
     /*  602143 */   GIM_Try, /*On fail goto*//*Label 9757*/ GIMT_Encode4(602218), // Rule ID 4682 //
     /*  602148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  602151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  602156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  602159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  602162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  602165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  602168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  602194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  602197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602216 */     GIR_RootConstrainSelectedInstOperands,
     /*  602217 */     // GIR_Coverage, 4682,
     /*  602217 */     GIR_EraseRootFromParent_Done,
     /*  602218 */   // Label 9757: @602218
     /*  602218 */   GIM_Try, /*On fail goto*//*Label 9758*/ GIMT_Encode4(602293), // Rule ID 4683 //
     /*  602223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  602226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w),
     /*  602231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  602234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  602237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  602240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  602243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  602258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  602262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602269 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11641:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWADD_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  602269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4),
     /*  602272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  602288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602291 */     GIR_RootConstrainSelectedInstOperands,
     /*  602292 */     // GIR_Coverage, 4683,
     /*  602292 */     GIR_EraseRootFromParent_Done,
     /*  602293 */   // Label 9758: @602293
     /*  602293 */   GIM_Try, /*On fail goto*//*Label 9759*/ GIMT_Encode4(602368), // Rule ID 4688 //
     /*  602298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  602309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  602318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  602347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602366 */     GIR_RootConstrainSelectedInstOperands,
     /*  602367 */     // GIR_Coverage, 4688,
     /*  602367 */     GIR_EraseRootFromParent_Done,
     /*  602368 */   // Label 9759: @602368
     /*  602368 */   GIM_Try, /*On fail goto*//*Label 9760*/ GIMT_Encode4(602443), // Rule ID 4689 //
     /*  602373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  602384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  602387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  602390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  602393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602419 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8),
     /*  602422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602441 */     GIR_RootConstrainSelectedInstOperands,
     /*  602442 */     // GIR_Coverage, 4689,
     /*  602442 */     GIR_EraseRootFromParent_Done,
     /*  602443 */   // Label 9760: @602443
     /*  602443 */   GIM_Try, /*On fail goto*//*Label 9761*/ GIMT_Encode4(602518), // Rule ID 4698 //
     /*  602448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  602459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  602468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602494 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  602497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602516 */     GIR_RootConstrainSelectedInstOperands,
     /*  602517 */     // GIR_Coverage, 4698,
     /*  602517 */     GIR_EraseRootFromParent_Done,
     /*  602518 */   // Label 9761: @602518
     /*  602518 */   GIM_Try, /*On fail goto*//*Label 9762*/ GIMT_Encode4(602593), // Rule ID 4699 //
     /*  602523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  602534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  602537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  602540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  602543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602569 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  602572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602591 */     GIR_RootConstrainSelectedInstOperands,
     /*  602592 */     // GIR_Coverage, 4699,
     /*  602592 */     GIR_EraseRootFromParent_Done,
     /*  602593 */   // Label 9762: @602593
     /*  602593 */   GIM_Try, /*On fail goto*//*Label 9763*/ GIMT_Encode4(602668), // Rule ID 4708 //
     /*  602598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  602609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  602618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602644 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602666 */     GIR_RootConstrainSelectedInstOperands,
     /*  602667 */     // GIR_Coverage, 4708,
     /*  602667 */     GIR_EraseRootFromParent_Done,
     /*  602668 */   // Label 9763: @602668
     /*  602668 */   GIM_Try, /*On fail goto*//*Label 9764*/ GIMT_Encode4(602743), // Rule ID 4709 //
     /*  602673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  602684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  602687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  602690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  602693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602719 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  602722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602741 */     GIR_RootConstrainSelectedInstOperands,
     /*  602742 */     // GIR_Coverage, 4709,
     /*  602742 */     GIR_EraseRootFromParent_Done,
     /*  602743 */   // Label 9764: @602743
     /*  602743 */   GIM_Try, /*On fail goto*//*Label 9765*/ GIMT_Encode4(602818), // Rule ID 4718 //
     /*  602748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  602759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  602768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602794 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  602797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602816 */     GIR_RootConstrainSelectedInstOperands,
     /*  602817 */     // GIR_Coverage, 4718,
     /*  602817 */     GIR_EraseRootFromParent_Done,
     /*  602818 */   // Label 9765: @602818
     /*  602818 */   GIM_Try, /*On fail goto*//*Label 9766*/ GIMT_Encode4(602893), // Rule ID 4719 //
     /*  602823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  602834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  602837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  602840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  602843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  602862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  602869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  602872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602891 */     GIR_RootConstrainSelectedInstOperands,
     /*  602892 */     // GIR_Coverage, 4719,
     /*  602892 */     GIR_EraseRootFromParent_Done,
     /*  602893 */   // Label 9766: @602893
     /*  602893 */   GIM_Try, /*On fail goto*//*Label 9767*/ GIMT_Encode4(602968), // Rule ID 4728 //
     /*  602898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  602901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  602909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  602912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  602915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  602918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  602921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  602933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  602937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  602944 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  602944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  602947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  602949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  602951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  602953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  602955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  602960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  602963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  602966 */     GIR_RootConstrainSelectedInstOperands,
     /*  602967 */     // GIR_Coverage, 4728,
     /*  602967 */     GIR_EraseRootFromParent_Done,
     /*  602968 */   // Label 9767: @602968
     /*  602968 */   GIM_Try, /*On fail goto*//*Label 9768*/ GIMT_Encode4(603043), // Rule ID 4729 //
     /*  602973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  602976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  602981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  602984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  602987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  602990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  602993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  602996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603019 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  603019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603041 */     GIR_RootConstrainSelectedInstOperands,
     /*  603042 */     // GIR_Coverage, 4729,
     /*  603042 */     GIR_EraseRootFromParent_Done,
     /*  603043 */   // Label 9768: @603043
     /*  603043 */   GIM_Try, /*On fail goto*//*Label 9769*/ GIMT_Encode4(603118), // Rule ID 4738 //
     /*  603048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  603059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  603068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603094 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  603094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603116 */     GIR_RootConstrainSelectedInstOperands,
     /*  603117 */     // GIR_Coverage, 4738,
     /*  603117 */     GIR_EraseRootFromParent_Done,
     /*  603118 */   // Label 9769: @603118
     /*  603118 */   GIM_Try, /*On fail goto*//*Label 9770*/ GIMT_Encode4(603193), // Rule ID 4739 //
     /*  603123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  603134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  603137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  603140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  603143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603169 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  603169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  603188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603191 */     GIR_RootConstrainSelectedInstOperands,
     /*  603192 */     // GIR_Coverage, 4739,
     /*  603192 */     GIR_EraseRootFromParent_Done,
     /*  603193 */   // Label 9770: @603193
     /*  603193 */   GIM_Try, /*On fail goto*//*Label 9771*/ GIMT_Encode4(603268), // Rule ID 4748 //
     /*  603198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  603209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  603212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  603215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  603218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  603247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603266 */     GIR_RootConstrainSelectedInstOperands,
     /*  603267 */     // GIR_Coverage, 4748,
     /*  603267 */     GIR_EraseRootFromParent_Done,
     /*  603268 */   // Label 9771: @603268
     /*  603268 */   GIM_Try, /*On fail goto*//*Label 9772*/ GIMT_Encode4(603343), // Rule ID 4749 //
     /*  603273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  603284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  603287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  603290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  603293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603319 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4),
     /*  603322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603341 */     GIR_RootConstrainSelectedInstOperands,
     /*  603342 */     // GIR_Coverage, 4749,
     /*  603342 */     GIR_EraseRootFromParent_Done,
     /*  603343 */   // Label 9772: @603343
     /*  603343 */   GIM_Try, /*On fail goto*//*Label 9773*/ GIMT_Encode4(603418), // Rule ID 4758 //
     /*  603348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  603359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  603368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603394 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  603397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603416 */     GIR_RootConstrainSelectedInstOperands,
     /*  603417 */     // GIR_Coverage, 4758,
     /*  603417 */     GIR_EraseRootFromParent_Done,
     /*  603418 */   // Label 9773: @603418
     /*  603418 */   GIM_Try, /*On fail goto*//*Label 9774*/ GIMT_Encode4(603493), // Rule ID 4759 //
     /*  603423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  603434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  603437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  603440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  603443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603469 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  603472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603491 */     GIR_RootConstrainSelectedInstOperands,
     /*  603492 */     // GIR_Coverage, 4759,
     /*  603492 */     GIR_EraseRootFromParent_Done,
     /*  603493 */   // Label 9774: @603493
     /*  603493 */   GIM_Try, /*On fail goto*//*Label 9775*/ GIMT_Encode4(603568), // Rule ID 4768 //
     /*  603498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  603509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  603518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  603547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603566 */     GIR_RootConstrainSelectedInstOperands,
     /*  603567 */     // GIR_Coverage, 4768,
     /*  603567 */     GIR_EraseRootFromParent_Done,
     /*  603568 */   // Label 9775: @603568
     /*  603568 */   GIM_Try, /*On fail goto*//*Label 9776*/ GIMT_Encode4(603643), // Rule ID 4769 //
     /*  603573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  603584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  603587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  603590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  603593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603619 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  603622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603641 */     GIR_RootConstrainSelectedInstOperands,
     /*  603642 */     // GIR_Coverage, 4769,
     /*  603642 */     GIR_EraseRootFromParent_Done,
     /*  603643 */   // Label 9776: @603643
     /*  603643 */   GIM_Try, /*On fail goto*//*Label 9777*/ GIMT_Encode4(603718), // Rule ID 4778 //
     /*  603648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  603659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  603668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603716 */     GIR_RootConstrainSelectedInstOperands,
     /*  603717 */     // GIR_Coverage, 4778,
     /*  603717 */     GIR_EraseRootFromParent_Done,
     /*  603718 */   // Label 9777: @603718
     /*  603718 */   GIM_Try, /*On fail goto*//*Label 9778*/ GIMT_Encode4(603793), // Rule ID 4779 //
     /*  603723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  603734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  603737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  603740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  603743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  603762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603769 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  603772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603791 */     GIR_RootConstrainSelectedInstOperands,
     /*  603792 */     // GIR_Coverage, 4779,
     /*  603792 */     GIR_EraseRootFromParent_Done,
     /*  603793 */   // Label 9778: @603793
     /*  603793 */   GIM_Try, /*On fail goto*//*Label 9779*/ GIMT_Encode4(603868), // Rule ID 4788 //
     /*  603798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  603801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  603809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  603818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  603844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603866 */     GIR_RootConstrainSelectedInstOperands,
     /*  603867 */     // GIR_Coverage, 4788,
     /*  603867 */     GIR_EraseRootFromParent_Done,
     /*  603868 */   // Label 9779: @603868
     /*  603868 */   GIM_Try, /*On fail goto*//*Label 9780*/ GIMT_Encode4(603943), // Rule ID 4789 //
     /*  603873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  603876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  603884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  603887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  603890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  603893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  603896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  603908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  603912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603919 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  603919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  603922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  603926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  603928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  603930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  603935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  603938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  603941 */     GIR_RootConstrainSelectedInstOperands,
     /*  603942 */     // GIR_Coverage, 4789,
     /*  603942 */     GIR_EraseRootFromParent_Done,
     /*  603943 */   // Label 9780: @603943
     /*  603943 */   GIM_Try, /*On fail goto*//*Label 9781*/ GIMT_Encode4(604018), // Rule ID 4798 //
     /*  603948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  603951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  603956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  603959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  603962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  603965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  603968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  603971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  603987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  603994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  603994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  603997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  603999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604016 */     GIR_RootConstrainSelectedInstOperands,
     /*  604017 */     // GIR_Coverage, 4798,
     /*  604017 */     GIR_EraseRootFromParent_Done,
     /*  604018 */   // Label 9781: @604018
     /*  604018 */   GIM_Try, /*On fail goto*//*Label 9782*/ GIMT_Encode4(604093), // Rule ID 4799 //
     /*  604023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  604026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  604034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  604037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  604040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  604043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604069 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  604069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2),
     /*  604072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604091 */     GIR_RootConstrainSelectedInstOperands,
     /*  604092 */     // GIR_Coverage, 4799,
     /*  604092 */     GIR_EraseRootFromParent_Done,
     /*  604093 */   // Label 9782: @604093
     /*  604093 */   GIM_Try, /*On fail goto*//*Label 9783*/ GIMT_Encode4(604168), // Rule ID 4808 //
     /*  604098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  604101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  604109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  604118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  604144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  604147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604166 */     GIR_RootConstrainSelectedInstOperands,
     /*  604167 */     // GIR_Coverage, 4808,
     /*  604167 */     GIR_EraseRootFromParent_Done,
     /*  604168 */   // Label 9783: @604168
     /*  604168 */   GIM_Try, /*On fail goto*//*Label 9784*/ GIMT_Encode4(604243), // Rule ID 4809 //
     /*  604173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  604176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  604184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  604187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  604190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  604193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  604219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1),
     /*  604222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604241 */     GIR_RootConstrainSelectedInstOperands,
     /*  604242 */     // GIR_Coverage, 4809,
     /*  604242 */     GIR_EraseRootFromParent_Done,
     /*  604243 */   // Label 9784: @604243
     /*  604243 */   GIM_Try, /*On fail goto*//*Label 9785*/ GIMT_Encode4(604318), // Rule ID 4818 //
     /*  604248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  604251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  604259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  604268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  604294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  604297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604316 */     GIR_RootConstrainSelectedInstOperands,
     /*  604317 */     // GIR_Coverage, 4818,
     /*  604317 */     GIR_EraseRootFromParent_Done,
     /*  604318 */   // Label 9785: @604318
     /*  604318 */   GIM_Try, /*On fail goto*//*Label 9786*/ GIMT_Encode4(604393), // Rule ID 4819 //
     /*  604323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  604326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  604334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  604337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  604340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  604343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  604362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604369 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  604369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2),
     /*  604372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604391 */     GIR_RootConstrainSelectedInstOperands,
     /*  604392 */     // GIR_Coverage, 4819,
     /*  604392 */     GIR_EraseRootFromParent_Done,
     /*  604393 */   // Label 9786: @604393
     /*  604393 */   GIM_Try, /*On fail goto*//*Label 9787*/ GIMT_Encode4(604468), // Rule ID 4828 //
     /*  604398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  604401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  604409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  604418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604444 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  604444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  604447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604466 */     GIR_RootConstrainSelectedInstOperands,
     /*  604467 */     // GIR_Coverage, 4828,
     /*  604467 */     GIR_EraseRootFromParent_Done,
     /*  604468 */   // Label 9787: @604468
     /*  604468 */   GIM_Try, /*On fail goto*//*Label 9788*/ GIMT_Encode4(604543), // Rule ID 4829 //
     /*  604473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  604476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  604484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  604487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  604490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  604493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  604508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  604512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604519 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  604519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4),
     /*  604522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  604538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604541 */     GIR_RootConstrainSelectedInstOperands,
     /*  604542 */     // GIR_Coverage, 4829,
     /*  604542 */     GIR_EraseRootFromParent_Done,
     /*  604543 */   // Label 9788: @604543
     /*  604543 */   GIM_Try, /*On fail goto*//*Label 9789*/ GIMT_Encode4(604618), // Rule ID 4836 //
     /*  604548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  604559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  604562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  604565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604594 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  604597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604616 */     GIR_RootConstrainSelectedInstOperands,
     /*  604617 */     // GIR_Coverage, 4836,
     /*  604617 */     GIR_EraseRootFromParent_Done,
     /*  604618 */   // Label 9789: @604618
     /*  604618 */   GIM_Try, /*On fail goto*//*Label 9790*/ GIMT_Encode4(604693), // Rule ID 4837 //
     /*  604623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  604634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  604637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  604640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604669 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8),
     /*  604672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604691 */     GIR_RootConstrainSelectedInstOperands,
     /*  604692 */     // GIR_Coverage, 4837,
     /*  604692 */     GIR_EraseRootFromParent_Done,
     /*  604693 */   // Label 9790: @604693
     /*  604693 */   GIM_Try, /*On fail goto*//*Label 9791*/ GIMT_Encode4(604768), // Rule ID 4840 //
     /*  604698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  604709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  604715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  604747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604766 */     GIR_RootConstrainSelectedInstOperands,
     /*  604767 */     // GIR_Coverage, 4840,
     /*  604767 */     GIR_EraseRootFromParent_Done,
     /*  604768 */   // Label 9791: @604768
     /*  604768 */   GIM_Try, /*On fail goto*//*Label 9792*/ GIMT_Encode4(604843), // Rule ID 4841 //
     /*  604773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  604784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  604787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  604790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604819 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  604822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604841 */     GIR_RootConstrainSelectedInstOperands,
     /*  604842 */     // GIR_Coverage, 4841,
     /*  604842 */     GIR_EraseRootFromParent_Done,
     /*  604843 */   // Label 9792: @604843
     /*  604843 */   GIM_Try, /*On fail goto*//*Label 9793*/ GIMT_Encode4(604918), // Rule ID 4844 //
     /*  604848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  604851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  604859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  604862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  604865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  604868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  604871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604894 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  604894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  604897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604916 */     GIR_RootConstrainSelectedInstOperands,
     /*  604917 */     // GIR_Coverage, 4844,
     /*  604917 */     GIR_EraseRootFromParent_Done,
     /*  604918 */   // Label 9793: @604918
     /*  604918 */   GIM_Try, /*On fail goto*//*Label 9794*/ GIMT_Encode4(604993), // Rule ID 4845 //
     /*  604923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  604926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  604931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  604934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  604937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  604940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  604943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  604946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  604958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  604962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  604969 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11669:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  604969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  604972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  604974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  604976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  604978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  604980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  604985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  604988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  604991 */     GIR_RootConstrainSelectedInstOperands,
     /*  604992 */     // GIR_Coverage, 4845,
     /*  604992 */     GIR_EraseRootFromParent_Done,
     /*  604993 */   // Label 9794: @604993
     /*  604993 */   GIM_Try, /*On fail goto*//*Label 9795*/ GIMT_Encode4(605068), // Rule ID 4848 //
     /*  604998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  605009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  605012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  605015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605066 */     GIR_RootConstrainSelectedInstOperands,
     /*  605067 */     // GIR_Coverage, 4848,
     /*  605067 */     GIR_EraseRootFromParent_Done,
     /*  605068 */   // Label 9795: @605068
     /*  605068 */   GIM_Try, /*On fail goto*//*Label 9796*/ GIMT_Encode4(605143), // Rule ID 4849 //
     /*  605073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  605084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  605087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  605090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605119 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605141 */     GIR_RootConstrainSelectedInstOperands,
     /*  605142 */     // GIR_Coverage, 4849,
     /*  605142 */     GIR_EraseRootFromParent_Done,
     /*  605143 */   // Label 9796: @605143
     /*  605143 */   GIM_Try, /*On fail goto*//*Label 9797*/ GIMT_Encode4(605218), // Rule ID 4852 //
     /*  605148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  605159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  605162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  605165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605194 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605216 */     GIR_RootConstrainSelectedInstOperands,
     /*  605217 */     // GIR_Coverage, 4852,
     /*  605217 */     GIR_EraseRootFromParent_Done,
     /*  605218 */   // Label 9797: @605218
     /*  605218 */   GIM_Try, /*On fail goto*//*Label 9798*/ GIMT_Encode4(605293), // Rule ID 4853 //
     /*  605223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  605234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  605237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  605240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605269 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605291 */     GIR_RootConstrainSelectedInstOperands,
     /*  605292 */     // GIR_Coverage, 4853,
     /*  605292 */     GIR_EraseRootFromParent_Done,
     /*  605293 */   // Label 9798: @605293
     /*  605293 */   GIM_Try, /*On fail goto*//*Label 9799*/ GIMT_Encode4(605368), // Rule ID 4856 //
     /*  605298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  605309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  605312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  605315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605344 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  605344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  605347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605366 */     GIR_RootConstrainSelectedInstOperands,
     /*  605367 */     // GIR_Coverage, 4856,
     /*  605367 */     GIR_EraseRootFromParent_Done,
     /*  605368 */   // Label 9799: @605368
     /*  605368 */   GIM_Try, /*On fail goto*//*Label 9800*/ GIMT_Encode4(605443), // Rule ID 4857 //
     /*  605373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  605384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  605387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  605390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  605408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  605419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  605422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  605438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605441 */     GIR_RootConstrainSelectedInstOperands,
     /*  605442 */     // GIR_Coverage, 4857,
     /*  605442 */     GIR_EraseRootFromParent_Done,
     /*  605443 */   // Label 9800: @605443
     /*  605443 */   GIM_Try, /*On fail goto*//*Label 9801*/ GIMT_Encode4(605518), // Rule ID 4860 //
     /*  605448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  605459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  605465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  605497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605516 */     GIR_RootConstrainSelectedInstOperands,
     /*  605517 */     // GIR_Coverage, 4860,
     /*  605517 */     GIR_EraseRootFromParent_Done,
     /*  605518 */   // Label 9801: @605518
     /*  605518 */   GIM_Try, /*On fail goto*//*Label 9802*/ GIMT_Encode4(605593), // Rule ID 4861 //
     /*  605523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  605534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  605537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  605540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4),
     /*  605572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605591 */     GIR_RootConstrainSelectedInstOperands,
     /*  605592 */     // GIR_Coverage, 4861,
     /*  605592 */     GIR_EraseRootFromParent_Done,
     /*  605593 */   // Label 9802: @605593
     /*  605593 */   GIM_Try, /*On fail goto*//*Label 9803*/ GIMT_Encode4(605668), // Rule ID 4864 //
     /*  605598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  605609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  605615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605666 */     GIR_RootConstrainSelectedInstOperands,
     /*  605667 */     // GIR_Coverage, 4864,
     /*  605667 */     GIR_EraseRootFromParent_Done,
     /*  605668 */   // Label 9803: @605668
     /*  605668 */   GIM_Try, /*On fail goto*//*Label 9804*/ GIMT_Encode4(605743), // Rule ID 4865 //
     /*  605673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  605684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  605687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  605690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  605708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605719 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11669:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  605722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605741 */     GIR_RootConstrainSelectedInstOperands,
     /*  605742 */     // GIR_Coverage, 4865,
     /*  605742 */     GIR_EraseRootFromParent_Done,
     /*  605743 */   // Label 9804: @605743
     /*  605743 */   GIM_Try, /*On fail goto*//*Label 9805*/ GIMT_Encode4(605818), // Rule ID 4868 //
     /*  605748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  605759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  605762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  605765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605816 */     GIR_RootConstrainSelectedInstOperands,
     /*  605817 */     // GIR_Coverage, 4868,
     /*  605817 */     GIR_EraseRootFromParent_Done,
     /*  605818 */   // Label 9805: @605818
     /*  605818 */   GIM_Try, /*On fail goto*//*Label 9806*/ GIMT_Encode4(605893), // Rule ID 4869 //
     /*  605823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  605834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  605837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  605840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  605858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  605869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  605872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605891 */     GIR_RootConstrainSelectedInstOperands,
     /*  605892 */     // GIR_Coverage, 4869,
     /*  605892 */     GIR_EraseRootFromParent_Done,
     /*  605893 */   // Label 9806: @605893
     /*  605893 */   GIM_Try, /*On fail goto*//*Label 9807*/ GIMT_Encode4(605968), // Rule ID 4872 //
     /*  605898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  605901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  605909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  605915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  605918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  605921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  605933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  605937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  605944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  605944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  605947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  605949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  605951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  605953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  605955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  605960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  605963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  605966 */     GIR_RootConstrainSelectedInstOperands,
     /*  605967 */     // GIR_Coverage, 4872,
     /*  605967 */     GIR_EraseRootFromParent_Done,
     /*  605968 */   // Label 9807: @605968
     /*  605968 */   GIM_Try, /*On fail goto*//*Label 9808*/ GIMT_Encode4(606043), // Rule ID 4873 //
     /*  605973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  605976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  605981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  605984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  605987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  605990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  605993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  605996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606019 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  606019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  606022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606041 */     GIR_RootConstrainSelectedInstOperands,
     /*  606042 */     // GIR_Coverage, 4873,
     /*  606042 */     GIR_EraseRootFromParent_Done,
     /*  606043 */   // Label 9808: @606043
     /*  606043 */   GIM_Try, /*On fail goto*//*Label 9809*/ GIMT_Encode4(606118), // Rule ID 4876 //
     /*  606048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  606059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  606062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  606065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  606094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  606097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606116 */     GIR_RootConstrainSelectedInstOperands,
     /*  606117 */     // GIR_Coverage, 4876,
     /*  606117 */     GIR_EraseRootFromParent_Done,
     /*  606118 */   // Label 9809: @606118
     /*  606118 */   GIM_Try, /*On fail goto*//*Label 9810*/ GIMT_Encode4(606193), // Rule ID 4877 //
     /*  606123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  606134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  606137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  606140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  606169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  606172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  606188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606191 */     GIR_RootConstrainSelectedInstOperands,
     /*  606192 */     // GIR_Coverage, 4877,
     /*  606192 */     GIR_EraseRootFromParent_Done,
     /*  606193 */   // Label 9810: @606193
     /*  606193 */   GIM_Try, /*On fail goto*//*Label 9811*/ GIMT_Encode4(606268), // Rule ID 4880 //
     /*  606198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  606201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  606209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  606215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  606247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606266 */     GIR_RootConstrainSelectedInstOperands,
     /*  606267 */     // GIR_Coverage, 4880,
     /*  606267 */     GIR_EraseRootFromParent_Done,
     /*  606268 */   // Label 9811: @606268
     /*  606268 */   GIM_Try, /*On fail goto*//*Label 9812*/ GIMT_Encode4(606343), // Rule ID 4881 //
     /*  606273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  606276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  606284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  606287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  606290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606319 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11669:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2),
     /*  606322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606341 */     GIR_RootConstrainSelectedInstOperands,
     /*  606342 */     // GIR_Coverage, 4881,
     /*  606342 */     GIR_EraseRootFromParent_Done,
     /*  606343 */   // Label 9812: @606343
     /*  606343 */   GIM_Try, /*On fail goto*//*Label 9813*/ GIMT_Encode4(606418), // Rule ID 4884 //
     /*  606348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  606351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  606359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  606362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  606365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606394 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  606397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606416 */     GIR_RootConstrainSelectedInstOperands,
     /*  606417 */     // GIR_Coverage, 4884,
     /*  606417 */     GIR_EraseRootFromParent_Done,
     /*  606418 */   // Label 9813: @606418
     /*  606418 */   GIM_Try, /*On fail goto*//*Label 9814*/ GIMT_Encode4(606493), // Rule ID 4885 //
     /*  606423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  606426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  606434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  606437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  606440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  606458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606469 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11669:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1),
     /*  606472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606491 */     GIR_RootConstrainSelectedInstOperands,
     /*  606492 */     // GIR_Coverage, 4885,
     /*  606492 */     GIR_EraseRootFromParent_Done,
     /*  606493 */   // Label 9814: @606493
     /*  606493 */   GIM_Try, /*On fail goto*//*Label 9815*/ GIMT_Encode4(606568), // Rule ID 4888 //
     /*  606498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  606501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  606509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  606512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  606515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606544 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  606547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606566 */     GIR_RootConstrainSelectedInstOperands,
     /*  606567 */     // GIR_Coverage, 4888,
     /*  606567 */     GIR_EraseRootFromParent_Done,
     /*  606568 */   // Label 9815: @606568
     /*  606568 */   GIM_Try, /*On fail goto*//*Label 9816*/ GIMT_Encode4(606643), // Rule ID 4889 //
     /*  606573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  606576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  606584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  606587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  606590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  606608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606619 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11669:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2),
     /*  606622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606641 */     GIR_RootConstrainSelectedInstOperands,
     /*  606642 */     // GIR_Coverage, 4889,
     /*  606642 */     GIR_EraseRootFromParent_Done,
     /*  606643 */   // Label 9816: @606643
     /*  606643 */   GIM_Try, /*On fail goto*//*Label 9817*/ GIMT_Encode4(606718), // Rule ID 4892 //
     /*  606648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  606651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  606659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  606662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  606665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  606668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606694 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  606694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  606697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606716 */     GIR_RootConstrainSelectedInstOperands,
     /*  606717 */     // GIR_Coverage, 4892,
     /*  606717 */     GIR_EraseRootFromParent_Done,
     /*  606718 */   // Label 9817: @606718
     /*  606718 */   GIM_Try, /*On fail goto*//*Label 9818*/ GIMT_Encode4(606793), // Rule ID 4893 //
     /*  606723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  606726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w),
     /*  606731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  606734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  606737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  606740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  606743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  606758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  606762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606769 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11669:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSUB_WX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  606769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4),
     /*  606772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  606776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  606778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  606780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  606788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  606791 */     GIR_RootConstrainSelectedInstOperands,
     /*  606792 */     // GIR_Coverage, 4893,
     /*  606792 */     GIR_EraseRootFromParent_Done,
     /*  606793 */   // Label 9818: @606793
     /*  606793 */   GIM_Try, /*On fail goto*//*Label 9819*/ GIMT_Encode4(606865), // Rule ID 5246 //
     /*  606798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  606812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  606815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606863 */     GIR_RootConstrainSelectedInstOperands,
     /*  606864 */     // GIR_Coverage, 5246,
     /*  606864 */     GIR_EraseRootFromParent_Done,
     /*  606865 */   // Label 9819: @606865
     /*  606865 */   GIM_Try, /*On fail goto*//*Label 9820*/ GIMT_Encode4(606937), // Rule ID 5247 //
     /*  606870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  606873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  606881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  606884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  606887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  606890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  606893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606916 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  606916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  606919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  606932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  606935 */     GIR_RootConstrainSelectedInstOperands,
     /*  606936 */     // GIR_Coverage, 5247,
     /*  606936 */     GIR_EraseRootFromParent_Done,
     /*  606937 */   // Label 9820: @606937
     /*  606937 */   GIM_Try, /*On fail goto*//*Label 9821*/ GIMT_Encode4(607009), // Rule ID 5248 //
     /*  606942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  606945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  606950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  606953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  606956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  606959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  606962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  606965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  606977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  606981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  606988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  606988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  606991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  606993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  606995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  606997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  606999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607007 */     GIR_RootConstrainSelectedInstOperands,
     /*  607008 */     // GIR_Coverage, 5248,
     /*  607008 */     GIR_EraseRootFromParent_Done,
     /*  607009 */   // Label 9821: @607009
     /*  607009 */   GIM_Try, /*On fail goto*//*Label 9822*/ GIMT_Encode4(607081), // Rule ID 5249 //
     /*  607014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  607028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  607031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607060 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  607063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607079 */     GIR_RootConstrainSelectedInstOperands,
     /*  607080 */     // GIR_Coverage, 5249,
     /*  607080 */     GIR_EraseRootFromParent_Done,
     /*  607081 */   // Label 9822: @607081
     /*  607081 */   GIM_Try, /*On fail goto*//*Label 9823*/ GIMT_Encode4(607153), // Rule ID 5250 //
     /*  607086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  607100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  607103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607132 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  607135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607151 */     GIR_RootConstrainSelectedInstOperands,
     /*  607152 */     // GIR_Coverage, 5250,
     /*  607152 */     GIR_EraseRootFromParent_Done,
     /*  607153 */   // Label 9823: @607153
     /*  607153 */   GIM_Try, /*On fail goto*//*Label 9824*/ GIMT_Encode4(607225), // Rule ID 5251 //
     /*  607158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  607172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  607175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF4),
     /*  607207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607223 */     GIR_RootConstrainSelectedInstOperands,
     /*  607224 */     // GIR_Coverage, 5251,
     /*  607224 */     GIR_EraseRootFromParent_Done,
     /*  607225 */   // Label 9824: @607225
     /*  607225 */   GIM_Try, /*On fail goto*//*Label 9825*/ GIMT_Encode4(607297), // Rule ID 5252 //
     /*  607230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  607244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  607247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607276 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  607279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607295 */     GIR_RootConstrainSelectedInstOperands,
     /*  607296 */     // GIR_Coverage, 5252,
     /*  607296 */     GIR_EraseRootFromParent_Done,
     /*  607297 */   // Label 9825: @607297
     /*  607297 */   GIM_Try, /*On fail goto*//*Label 9826*/ GIMT_Encode4(607369), // Rule ID 5253 //
     /*  607302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  607316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  607319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607348 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  607351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607367 */     GIR_RootConstrainSelectedInstOperands,
     /*  607368 */     // GIR_Coverage, 5253,
     /*  607368 */     GIR_EraseRootFromParent_Done,
     /*  607369 */   // Label 9826: @607369
     /*  607369 */   GIM_Try, /*On fail goto*//*Label 9827*/ GIMT_Encode4(607441), // Rule ID 5254 //
     /*  607374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  607388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  607391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607420 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  607423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607439 */     GIR_RootConstrainSelectedInstOperands,
     /*  607440 */     // GIR_Coverage, 5254,
     /*  607440 */     GIR_EraseRootFromParent_Done,
     /*  607441 */   // Label 9827: @607441
     /*  607441 */   GIM_Try, /*On fail goto*//*Label 9828*/ GIMT_Encode4(607513), // Rule ID 5255 //
     /*  607446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  607460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  607463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607492 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_MF2),
     /*  607495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607511 */     GIR_RootConstrainSelectedInstOperands,
     /*  607512 */     // GIR_Coverage, 5255,
     /*  607512 */     GIR_EraseRootFromParent_Done,
     /*  607513 */   // Label 9828: @607513
     /*  607513 */   GIM_Try, /*On fail goto*//*Label 9829*/ GIMT_Encode4(607585), // Rule ID 5256 //
     /*  607518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  607532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  607535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607564 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  607564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607583 */     GIR_RootConstrainSelectedInstOperands,
     /*  607584 */     // GIR_Coverage, 5256,
     /*  607584 */     GIR_EraseRootFromParent_Done,
     /*  607585 */   // Label 9829: @607585
     /*  607585 */   GIM_Try, /*On fail goto*//*Label 9830*/ GIMT_Encode4(607657), // Rule ID 5257 //
     /*  607590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  607601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  607604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  607607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  607610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607636 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  607636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  607655 */     GIR_RootConstrainSelectedInstOperands,
     /*  607656 */     // GIR_Coverage, 5257,
     /*  607656 */     GIR_EraseRootFromParent_Done,
     /*  607657 */   // Label 9830: @607657
     /*  607657 */   GIM_Try, /*On fail goto*//*Label 9831*/ GIMT_Encode4(607729), // Rule ID 5258 //
     /*  607662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  607676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  607679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607708 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  607708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607727 */     GIR_RootConstrainSelectedInstOperands,
     /*  607728 */     // GIR_Coverage, 5258,
     /*  607728 */     GIR_EraseRootFromParent_Done,
     /*  607729 */   // Label 9831: @607729
     /*  607729 */   GIM_Try, /*On fail goto*//*Label 9832*/ GIMT_Encode4(607801), // Rule ID 5259 //
     /*  607734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  607745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  607748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  607751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  607754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607780 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  607780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  607799 */     GIR_RootConstrainSelectedInstOperands,
     /*  607800 */     // GIR_Coverage, 5259,
     /*  607800 */     GIR_EraseRootFromParent_Done,
     /*  607801 */   // Label 9832: @607801
     /*  607801 */   GIM_Try, /*On fail goto*//*Label 9833*/ GIMT_Encode4(607873), // Rule ID 5260 //
     /*  607806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  607809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  607820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  607823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  607852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607871 */     GIR_RootConstrainSelectedInstOperands,
     /*  607872 */     // GIR_Coverage, 5260,
     /*  607872 */     GIR_EraseRootFromParent_Done,
     /*  607873 */   // Label 9833: @607873
     /*  607873 */   GIM_Try, /*On fail goto*//*Label 9834*/ GIMT_Encode4(607945), // Rule ID 5261 //
     /*  607878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  607881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  607889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  607892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  607895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  607898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  607901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607924 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  607924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  607929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  607931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  607933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  607935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  607940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  607943 */     GIR_RootConstrainSelectedInstOperands,
     /*  607944 */     // GIR_Coverage, 5261,
     /*  607944 */     GIR_EraseRootFromParent_Done,
     /*  607945 */   // Label 9834: @607945
     /*  607945 */   GIM_Try, /*On fail goto*//*Label 9835*/ GIMT_Encode4(608017), // Rule ID 5262 //
     /*  607950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  607953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  607958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  607961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  607964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  607967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  607970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  607973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  607985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  607989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  607996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  607996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  607999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608015 */     GIR_RootConstrainSelectedInstOperands,
     /*  608016 */     // GIR_Coverage, 5262,
     /*  608016 */     GIR_EraseRootFromParent_Done,
     /*  608017 */   // Label 9835: @608017
     /*  608017 */   GIM_Try, /*On fail goto*//*Label 9836*/ GIMT_Encode4(608089), // Rule ID 5263 //
     /*  608022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  608025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  608033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  608036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  608039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  608042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  608068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M1),
     /*  608071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  608087 */     GIR_RootConstrainSelectedInstOperands,
     /*  608088 */     // GIR_Coverage, 5263,
     /*  608088 */     GIR_EraseRootFromParent_Done,
     /*  608089 */   // Label 9836: @608089
     /*  608089 */   GIM_Try, /*On fail goto*//*Label 9837*/ GIMT_Encode4(608161), // Rule ID 5264 //
     /*  608094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  608108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  608111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608140 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608159 */     GIR_RootConstrainSelectedInstOperands,
     /*  608160 */     // GIR_Coverage, 5264,
     /*  608160 */     GIR_EraseRootFromParent_Done,
     /*  608161 */   // Label 9837: @608161
     /*  608161 */   GIM_Try, /*On fail goto*//*Label 9838*/ GIMT_Encode4(608233), // Rule ID 5265 //
     /*  608166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  608180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  608183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608212 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608231 */     GIR_RootConstrainSelectedInstOperands,
     /*  608232 */     // GIR_Coverage, 5265,
     /*  608232 */     GIR_EraseRootFromParent_Done,
     /*  608233 */   // Label 9838: @608233
     /*  608233 */   GIM_Try, /*On fail goto*//*Label 9839*/ GIMT_Encode4(608305), // Rule ID 5266 //
     /*  608238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  608252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  608255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608284 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608303 */     GIR_RootConstrainSelectedInstOperands,
     /*  608304 */     // GIR_Coverage, 5266,
     /*  608304 */     GIR_EraseRootFromParent_Done,
     /*  608305 */   // Label 9839: @608305
     /*  608305 */   GIM_Try, /*On fail goto*//*Label 9840*/ GIMT_Encode4(608377), // Rule ID 5267 //
     /*  608310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  608324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  608327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608356 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608375 */     GIR_RootConstrainSelectedInstOperands,
     /*  608376 */     // GIR_Coverage, 5267,
     /*  608376 */     GIR_EraseRootFromParent_Done,
     /*  608377 */   // Label 9840: @608377
     /*  608377 */   GIM_Try, /*On fail goto*//*Label 9841*/ GIMT_Encode4(608449), // Rule ID 5268 //
     /*  608382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  608393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  608396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  608399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  608402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608428 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  608428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608447 */     GIR_RootConstrainSelectedInstOperands,
     /*  608448 */     // GIR_Coverage, 5268,
     /*  608448 */     GIR_EraseRootFromParent_Done,
     /*  608449 */   // Label 9841: @608449
     /*  608449 */   GIM_Try, /*On fail goto*//*Label 9842*/ GIMT_Encode4(608521), // Rule ID 5269 //
     /*  608454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  608465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  608468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  608471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  608474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608500 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  608500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  608519 */     GIR_RootConstrainSelectedInstOperands,
     /*  608520 */     // GIR_Coverage, 5269,
     /*  608520 */     GIR_EraseRootFromParent_Done,
     /*  608521 */   // Label 9842: @608521
     /*  608521 */   GIM_Try, /*On fail goto*//*Label 9843*/ GIMT_Encode4(608593), // Rule ID 5270 //
     /*  608526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  608540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  608543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608572 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608591 */     GIR_RootConstrainSelectedInstOperands,
     /*  608592 */     // GIR_Coverage, 5270,
     /*  608592 */     GIR_EraseRootFromParent_Done,
     /*  608593 */   // Label 9843: @608593
     /*  608593 */   GIM_Try, /*On fail goto*//*Label 9844*/ GIMT_Encode4(608665), // Rule ID 5271 //
     /*  608598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  608609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  608612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  608615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  608618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608644 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  608647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608663 */     GIR_RootConstrainSelectedInstOperands,
     /*  608664 */     // GIR_Coverage, 5271,
     /*  608664 */     GIR_EraseRootFromParent_Done,
     /*  608665 */   // Label 9844: @608665
     /*  608665 */   GIM_Try, /*On fail goto*//*Label 9845*/ GIMT_Encode4(608737), // Rule ID 5272 //
     /*  608670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  608684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  608687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608735 */     GIR_RootConstrainSelectedInstOperands,
     /*  608736 */     // GIR_Coverage, 5272,
     /*  608736 */     GIR_EraseRootFromParent_Done,
     /*  608737 */   // Label 9845: @608737
     /*  608737 */   GIM_Try, /*On fail goto*//*Label 9846*/ GIMT_Encode4(608809), // Rule ID 5273 //
     /*  608742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  608753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  608756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  608759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  608762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  608777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608788 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  608791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608807 */     GIR_RootConstrainSelectedInstOperands,
     /*  608808 */     // GIR_Coverage, 5273,
     /*  608808 */     GIR_EraseRootFromParent_Done,
     /*  608809 */   // Label 9846: @608809
     /*  608809 */   GIM_Try, /*On fail goto*//*Label 9847*/ GIMT_Encode4(608881), // Rule ID 5274 //
     /*  608814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  608828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  608831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608860 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  608860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608879 */     GIR_RootConstrainSelectedInstOperands,
     /*  608880 */     // GIR_Coverage, 5274,
     /*  608880 */     GIR_EraseRootFromParent_Done,
     /*  608881 */   // Label 9847: @608881
     /*  608881 */   GIM_Try, /*On fail goto*//*Label 9848*/ GIMT_Encode4(608953), // Rule ID 5275 //
     /*  608886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  608889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  608897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  608900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  608903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  608906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  608909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  608921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  608932 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  608932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  608935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  608937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  608939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  608941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  608943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  608948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  608951 */     GIR_RootConstrainSelectedInstOperands,
     /*  608952 */     // GIR_Coverage, 5275,
     /*  608952 */     GIR_EraseRootFromParent_Done,
     /*  608953 */   // Label 9848: @608953
     /*  608953 */   GIM_Try, /*On fail goto*//*Label 9849*/ GIMT_Encode4(609025), // Rule ID 5276 //
     /*  608958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  608961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  608966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  608969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  608972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  608975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  608978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  608981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  608985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  608993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  608997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609004 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  609007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609023 */     GIR_RootConstrainSelectedInstOperands,
     /*  609024 */     // GIR_Coverage, 5276,
     /*  609024 */     GIR_EraseRootFromParent_Done,
     /*  609025 */   // Label 9849: @609025
     /*  609025 */   GIM_Try, /*On fail goto*//*Label 9850*/ GIMT_Encode4(609097), // Rule ID 5277 //
     /*  609030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  609044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  609047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609076 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  609079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609095 */     GIR_RootConstrainSelectedInstOperands,
     /*  609096 */     // GIR_Coverage, 5277,
     /*  609096 */     GIR_EraseRootFromParent_Done,
     /*  609097 */   // Label 9850: @609097
     /*  609097 */   GIM_Try, /*On fail goto*//*Label 9851*/ GIMT_Encode4(609169), // Rule ID 5278 //
     /*  609102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  609116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  609119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  609151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609167 */     GIR_RootConstrainSelectedInstOperands,
     /*  609168 */     // GIR_Coverage, 5278,
     /*  609168 */     GIR_EraseRootFromParent_Done,
     /*  609169 */   // Label 9851: @609169
     /*  609169 */   GIM_Try, /*On fail goto*//*Label 9852*/ GIMT_Encode4(609241), // Rule ID 5279 //
     /*  609174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  609188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  609191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609220 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  609223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609239 */     GIR_RootConstrainSelectedInstOperands,
     /*  609240 */     // GIR_Coverage, 5279,
     /*  609240 */     GIR_EraseRootFromParent_Done,
     /*  609241 */   // Label 9852: @609241
     /*  609241 */   GIM_Try, /*On fail goto*//*Label 9853*/ GIMT_Encode4(609313), // Rule ID 5280 //
     /*  609246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  609260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  609263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  609292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  609295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609311 */     GIR_RootConstrainSelectedInstOperands,
     /*  609312 */     // GIR_Coverage, 5280,
     /*  609312 */     GIR_EraseRootFromParent_Done,
     /*  609313 */   // Label 9853: @609313
     /*  609313 */   GIM_Try, /*On fail goto*//*Label 9854*/ GIMT_Encode4(609385), // Rule ID 5281 //
     /*  609318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  609329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  609332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  609335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  609338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609364 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  609364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  609367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  609383 */     GIR_RootConstrainSelectedInstOperands,
     /*  609384 */     // GIR_Coverage, 5281,
     /*  609384 */     GIR_EraseRootFromParent_Done,
     /*  609385 */   // Label 9854: @609385
     /*  609385 */   GIM_Try, /*On fail goto*//*Label 9855*/ GIMT_Encode4(609457), // Rule ID 5282 //
     /*  609390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  609404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  609407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609436 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  609439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609455 */     GIR_RootConstrainSelectedInstOperands,
     /*  609456 */     // GIR_Coverage, 5282,
     /*  609456 */     GIR_EraseRootFromParent_Done,
     /*  609457 */   // Label 9855: @609457
     /*  609457 */   GIM_Try, /*On fail goto*//*Label 9856*/ GIMT_Encode4(609529), // Rule ID 5283 //
     /*  609462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  609476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  609479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  609497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609508 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M2),
     /*  609511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609527 */     GIR_RootConstrainSelectedInstOperands,
     /*  609528 */     // GIR_Coverage, 5283,
     /*  609528 */     GIR_EraseRootFromParent_Done,
     /*  609529 */   // Label 9856: @609529
     /*  609529 */   GIM_Try, /*On fail goto*//*Label 9857*/ GIMT_Encode4(609601), // Rule ID 5284 //
     /*  609534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  609548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  609551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  609583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609599 */     GIR_RootConstrainSelectedInstOperands,
     /*  609600 */     // GIR_Coverage, 5284,
     /*  609600 */     GIR_EraseRootFromParent_Done,
     /*  609601 */   // Label 9857: @609601
     /*  609601 */   GIM_Try, /*On fail goto*//*Label 9858*/ GIMT_Encode4(609673), // Rule ID 5285 //
     /*  609606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  609617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  609620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  609623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  609626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  609641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609652 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M4),
     /*  609655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609671 */     GIR_RootConstrainSelectedInstOperands,
     /*  609672 */     // GIR_Coverage, 5285,
     /*  609672 */     GIR_EraseRootFromParent_Done,
     /*  609673 */   // Label 9858: @609673
     /*  609673 */   GIM_Try, /*On fail goto*//*Label 9859*/ GIMT_Encode4(609745), // Rule ID 5286 //
     /*  609678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  609681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  609692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  609695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  609724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  609727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609743 */     GIR_RootConstrainSelectedInstOperands,
     /*  609744 */     // GIR_Coverage, 5286,
     /*  609744 */     GIR_EraseRootFromParent_Done,
     /*  609745 */   // Label 9859: @609745
     /*  609745 */   GIM_Try, /*On fail goto*//*Label 9860*/ GIMT_Encode4(609817), // Rule ID 5287 //
     /*  609750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  609753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  609761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  609764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  609767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  609770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  609785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609796 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  609796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VVM_M8),
     /*  609799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  609815 */     GIR_RootConstrainSelectedInstOperands,
     /*  609816 */     // GIR_Coverage, 5287,
     /*  609816 */     GIR_EraseRootFromParent_Done,
     /*  609817 */   // Label 9860: @609817
     /*  609817 */   GIM_Try, /*On fail goto*//*Label 9861*/ GIMT_Encode4(609889), // Rule ID 5288 //
     /*  609822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  609836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609868 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  609868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  609871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609887 */     GIR_RootConstrainSelectedInstOperands,
     /*  609888 */     // GIR_Coverage, 5288,
     /*  609888 */     GIR_EraseRootFromParent_Done,
     /*  609889 */   // Label 9861: @609889
     /*  609889 */   GIM_Try, /*On fail goto*//*Label 9862*/ GIMT_Encode4(609961), // Rule ID 5289 //
     /*  609894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  609897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  609905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  609908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  609911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  609914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  609917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  609929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  609933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  609940 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  609940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF8),
     /*  609943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  609945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  609947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  609949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  609951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  609956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  609959 */     GIR_RootConstrainSelectedInstOperands,
     /*  609960 */     // GIR_Coverage, 5289,
     /*  609960 */     GIR_EraseRootFromParent_Done,
     /*  609961 */   // Label 9862: @609961
     /*  609961 */   GIM_Try, /*On fail goto*//*Label 9863*/ GIMT_Encode4(610033), // Rule ID 5290 //
     /*  609966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  609969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  609974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  609977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  609980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  609983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  609986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  609989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  609997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  610015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610031 */     GIR_RootConstrainSelectedInstOperands,
     /*  610032 */     // GIR_Coverage, 5290,
     /*  610032 */     GIR_EraseRootFromParent_Done,
     /*  610033 */   // Label 9863: @610033
     /*  610033 */   GIM_Try, /*On fail goto*//*Label 9864*/ GIMT_Encode4(610105), // Rule ID 5291 //
     /*  610038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  610052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610084 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  610087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610103 */     GIR_RootConstrainSelectedInstOperands,
     /*  610104 */     // GIR_Coverage, 5291,
     /*  610104 */     GIR_EraseRootFromParent_Done,
     /*  610105 */   // Label 9864: @610105
     /*  610105 */   GIM_Try, /*On fail goto*//*Label 9865*/ GIMT_Encode4(610177), // Rule ID 5292 //
     /*  610110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  610124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610175 */     GIR_RootConstrainSelectedInstOperands,
     /*  610176 */     // GIR_Coverage, 5292,
     /*  610176 */     GIR_EraseRootFromParent_Done,
     /*  610177 */   // Label 9865: @610177
     /*  610177 */   GIM_Try, /*On fail goto*//*Label 9866*/ GIMT_Encode4(610249), // Rule ID 5293 //
     /*  610182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  610196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610247 */     GIR_RootConstrainSelectedInstOperands,
     /*  610248 */     // GIR_Coverage, 5293,
     /*  610248 */     GIR_EraseRootFromParent_Done,
     /*  610249 */   // Label 9866: @610249
     /*  610249 */   GIM_Try, /*On fail goto*//*Label 9867*/ GIMT_Encode4(610321), // Rule ID 5294 //
     /*  610254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  610268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610300 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  610303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610319 */     GIR_RootConstrainSelectedInstOperands,
     /*  610320 */     // GIR_Coverage, 5294,
     /*  610320 */     GIR_EraseRootFromParent_Done,
     /*  610321 */   // Label 9867: @610321
     /*  610321 */   GIM_Try, /*On fail goto*//*Label 9868*/ GIMT_Encode4(610393), // Rule ID 5295 //
     /*  610326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  610340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610372 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF4),
     /*  610375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610391 */     GIR_RootConstrainSelectedInstOperands,
     /*  610392 */     // GIR_Coverage, 5295,
     /*  610392 */     GIR_EraseRootFromParent_Done,
     /*  610393 */   // Label 9868: @610393
     /*  610393 */   GIM_Try, /*On fail goto*//*Label 9869*/ GIMT_Encode4(610465), // Rule ID 5296 //
     /*  610398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  610412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610444 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610463 */     GIR_RootConstrainSelectedInstOperands,
     /*  610464 */     // GIR_Coverage, 5296,
     /*  610464 */     GIR_EraseRootFromParent_Done,
     /*  610465 */   // Label 9869: @610465
     /*  610465 */   GIM_Try, /*On fail goto*//*Label 9870*/ GIMT_Encode4(610537), // Rule ID 5297 //
     /*  610470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  610484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610516 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610535 */     GIR_RootConstrainSelectedInstOperands,
     /*  610536 */     // GIR_Coverage, 5297,
     /*  610536 */     GIR_EraseRootFromParent_Done,
     /*  610537 */   // Label 9870: @610537
     /*  610537 */   GIM_Try, /*On fail goto*//*Label 9871*/ GIMT_Encode4(610609), // Rule ID 5298 //
     /*  610542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  610556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610588 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  610588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610607 */     GIR_RootConstrainSelectedInstOperands,
     /*  610608 */     // GIR_Coverage, 5298,
     /*  610608 */     GIR_EraseRootFromParent_Done,
     /*  610609 */   // Label 9871: @610609
     /*  610609 */   GIM_Try, /*On fail goto*//*Label 9872*/ GIMT_Encode4(610681), // Rule ID 5299 //
     /*  610614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  610625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  610628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  610634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610660 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  610660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_MF2),
     /*  610663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  610679 */     GIR_RootConstrainSelectedInstOperands,
     /*  610680 */     // GIR_Coverage, 5299,
     /*  610680 */     GIR_EraseRootFromParent_Done,
     /*  610681 */   // Label 9872: @610681
     /*  610681 */   GIM_Try, /*On fail goto*//*Label 9873*/ GIMT_Encode4(610753), // Rule ID 5300 //
     /*  610686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  610700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610732 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  610732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610751 */     GIR_RootConstrainSelectedInstOperands,
     /*  610752 */     // GIR_Coverage, 5300,
     /*  610752 */     GIR_EraseRootFromParent_Done,
     /*  610753 */   // Label 9873: @610753
     /*  610753 */   GIM_Try, /*On fail goto*//*Label 9874*/ GIMT_Encode4(610825), // Rule ID 5301 //
     /*  610758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  610769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  610772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  610778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610804 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  610804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  610823 */     GIR_RootConstrainSelectedInstOperands,
     /*  610824 */     // GIR_Coverage, 5301,
     /*  610824 */     GIR_EraseRootFromParent_Done,
     /*  610825 */   // Label 9874: @610825
     /*  610825 */   GIM_Try, /*On fail goto*//*Label 9875*/ GIMT_Encode4(610897), // Rule ID 5302 //
     /*  610830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  610844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610876 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  610876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610895 */     GIR_RootConstrainSelectedInstOperands,
     /*  610896 */     // GIR_Coverage, 5302,
     /*  610896 */     GIR_EraseRootFromParent_Done,
     /*  610897 */   // Label 9875: @610897
     /*  610897 */   GIM_Try, /*On fail goto*//*Label 9876*/ GIMT_Encode4(610969), // Rule ID 5303 //
     /*  610902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  610905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  610913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  610916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  610919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  610922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  610925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  610933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  610937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  610941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  610948 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  610948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  610951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  610953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  610955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  610957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  610959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  610964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  610967 */     GIR_RootConstrainSelectedInstOperands,
     /*  610968 */     // GIR_Coverage, 5303,
     /*  610968 */     GIR_EraseRootFromParent_Done,
     /*  610969 */   // Label 9876: @610969
     /*  610969 */   GIM_Try, /*On fail goto*//*Label 9877*/ GIMT_Encode4(611041), // Rule ID 5304 //
     /*  610974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  610977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  610982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  610985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  610988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  610991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  610994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  610997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611020 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  611020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  611023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611039 */     GIR_RootConstrainSelectedInstOperands,
     /*  611040 */     // GIR_Coverage, 5304,
     /*  611040 */     GIR_EraseRootFromParent_Done,
     /*  611041 */   // Label 9877: @611041
     /*  611041 */   GIM_Try, /*On fail goto*//*Label 9878*/ GIMT_Encode4(611113), // Rule ID 5305 //
     /*  611046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  611057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  611060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  611066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611092 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  611092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  611095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  611111 */     GIR_RootConstrainSelectedInstOperands,
     /*  611112 */     // GIR_Coverage, 5305,
     /*  611112 */     GIR_EraseRootFromParent_Done,
     /*  611113 */   // Label 9878: @611113
     /*  611113 */   GIM_Try, /*On fail goto*//*Label 9879*/ GIMT_Encode4(611185), // Rule ID 5306 //
     /*  611118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  611121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  611132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611164 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  611164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  611167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611183 */     GIR_RootConstrainSelectedInstOperands,
     /*  611184 */     // GIR_Coverage, 5306,
     /*  611184 */     GIR_EraseRootFromParent_Done,
     /*  611185 */   // Label 9879: @611185
     /*  611185 */   GIM_Try, /*On fail goto*//*Label 9880*/ GIMT_Encode4(611257), // Rule ID 5307 //
     /*  611190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  611193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  611201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  611204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  611210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611236 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11409:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  611236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M1),
     /*  611239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  611255 */     GIR_RootConstrainSelectedInstOperands,
     /*  611256 */     // GIR_Coverage, 5307,
     /*  611256 */     GIR_EraseRootFromParent_Done,
     /*  611257 */   // Label 9880: @611257
     /*  611257 */   GIM_Try, /*On fail goto*//*Label 9881*/ GIMT_Encode4(611329), // Rule ID 5308 //
     /*  611262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  611276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611308 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611327 */     GIR_RootConstrainSelectedInstOperands,
     /*  611328 */     // GIR_Coverage, 5308,
     /*  611328 */     GIR_EraseRootFromParent_Done,
     /*  611329 */   // Label 9881: @611329
     /*  611329 */   GIM_Try, /*On fail goto*//*Label 9882*/ GIMT_Encode4(611401), // Rule ID 5309 //
     /*  611334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  611348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611380 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611399 */     GIR_RootConstrainSelectedInstOperands,
     /*  611400 */     // GIR_Coverage, 5309,
     /*  611400 */     GIR_EraseRootFromParent_Done,
     /*  611401 */   // Label 9882: @611401
     /*  611401 */   GIM_Try, /*On fail goto*//*Label 9883*/ GIMT_Encode4(611473), // Rule ID 5310 //
     /*  611406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611452 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611471 */     GIR_RootConstrainSelectedInstOperands,
     /*  611472 */     // GIR_Coverage, 5310,
     /*  611472 */     GIR_EraseRootFromParent_Done,
     /*  611473 */   // Label 9883: @611473
     /*  611473 */   GIM_Try, /*On fail goto*//*Label 9884*/ GIMT_Encode4(611545), // Rule ID 5311 //
     /*  611478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  611492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  611498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611524 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611543 */     GIR_RootConstrainSelectedInstOperands,
     /*  611544 */     // GIR_Coverage, 5311,
     /*  611544 */     GIR_EraseRootFromParent_Done,
     /*  611545 */   // Label 9884: @611545
     /*  611545 */   GIM_Try, /*On fail goto*//*Label 9885*/ GIMT_Encode4(611617), // Rule ID 5312 //
     /*  611550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  611561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  611570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611596 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  611596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611615 */     GIR_RootConstrainSelectedInstOperands,
     /*  611616 */     // GIR_Coverage, 5312,
     /*  611616 */     GIR_EraseRootFromParent_Done,
     /*  611617 */   // Label 9885: @611617
     /*  611617 */   GIM_Try, /*On fail goto*//*Label 9886*/ GIMT_Encode4(611689), // Rule ID 5313 //
     /*  611622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  611633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  611636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  611642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  611653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611668 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  611668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  611671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  611687 */     GIR_RootConstrainSelectedInstOperands,
     /*  611688 */     // GIR_Coverage, 5313,
     /*  611688 */     GIR_EraseRootFromParent_Done,
     /*  611689 */   // Label 9886: @611689
     /*  611689 */   GIM_Try, /*On fail goto*//*Label 9887*/ GIMT_Encode4(611761), // Rule ID 5314 //
     /*  611694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  611708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611740 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611759 */     GIR_RootConstrainSelectedInstOperands,
     /*  611760 */     // GIR_Coverage, 5314,
     /*  611760 */     GIR_EraseRootFromParent_Done,
     /*  611761 */   // Label 9887: @611761
     /*  611761 */   GIM_Try, /*On fail goto*//*Label 9888*/ GIMT_Encode4(611833), // Rule ID 5315 //
     /*  611766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  611777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  611780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  611786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  611797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611812 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  611815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611821 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611831 */     GIR_RootConstrainSelectedInstOperands,
     /*  611832 */     // GIR_Coverage, 5315,
     /*  611832 */     GIR_EraseRootFromParent_Done,
     /*  611833 */   // Label 9888: @611833
     /*  611833 */   GIM_Try, /*On fail goto*//*Label 9889*/ GIMT_Encode4(611905), // Rule ID 5316 //
     /*  611838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  611852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  611861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611884 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  611884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611903 */     GIR_RootConstrainSelectedInstOperands,
     /*  611904 */     // GIR_Coverage, 5316,
     /*  611904 */     GIR_EraseRootFromParent_Done,
     /*  611905 */   // Label 9889: @611905
     /*  611905 */   GIM_Try, /*On fail goto*//*Label 9890*/ GIMT_Encode4(611977), // Rule ID 5317 //
     /*  611910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  611913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  611921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  611924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  611927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  611930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  611933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  611937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  611941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  611945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  611949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  611956 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  611956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  611959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  611961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  611963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  611965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  611967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  611972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  611975 */     GIR_RootConstrainSelectedInstOperands,
     /*  611976 */     // GIR_Coverage, 5317,
     /*  611976 */     GIR_EraseRootFromParent_Done,
     /*  611977 */   // Label 9890: @611977
     /*  611977 */   GIM_Try, /*On fail goto*//*Label 9891*/ GIMT_Encode4(612049), // Rule ID 5318 //
     /*  611982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  611985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  611990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  611993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  611996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  611999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612028 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  612028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612047 */     GIR_RootConstrainSelectedInstOperands,
     /*  612048 */     // GIR_Coverage, 5318,
     /*  612048 */     GIR_EraseRootFromParent_Done,
     /*  612049 */   // Label 9891: @612049
     /*  612049 */   GIM_Try, /*On fail goto*//*Label 9892*/ GIMT_Encode4(612121), // Rule ID 5319 //
     /*  612054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  612065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  612068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  612074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612100 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  612100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  612119 */     GIR_RootConstrainSelectedInstOperands,
     /*  612120 */     // GIR_Coverage, 5319,
     /*  612120 */     GIR_EraseRootFromParent_Done,
     /*  612121 */   // Label 9892: @612121
     /*  612121 */   GIM_Try, /*On fail goto*//*Label 9893*/ GIMT_Encode4(612193), // Rule ID 5320 //
     /*  612126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  612140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612172 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  612175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612191 */     GIR_RootConstrainSelectedInstOperands,
     /*  612192 */     // GIR_Coverage, 5320,
     /*  612192 */     GIR_EraseRootFromParent_Done,
     /*  612193 */   // Label 9893: @612193
     /*  612193 */   GIM_Try, /*On fail goto*//*Label 9894*/ GIMT_Encode4(612265), // Rule ID 5321 //
     /*  612198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  612212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612244 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  612247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612263 */     GIR_RootConstrainSelectedInstOperands,
     /*  612264 */     // GIR_Coverage, 5321,
     /*  612264 */     GIR_EraseRootFromParent_Done,
     /*  612265 */   // Label 9894: @612265
     /*  612265 */   GIM_Try, /*On fail goto*//*Label 9895*/ GIMT_Encode4(612337), // Rule ID 5322 //
     /*  612270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  612284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612316 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  612319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612335 */     GIR_RootConstrainSelectedInstOperands,
     /*  612336 */     // GIR_Coverage, 5322,
     /*  612336 */     GIR_EraseRootFromParent_Done,
     /*  612337 */   // Label 9895: @612337
     /*  612337 */   GIM_Try, /*On fail goto*//*Label 9896*/ GIMT_Encode4(612409), // Rule ID 5323 //
     /*  612342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  612356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  612391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612407 */     GIR_RootConstrainSelectedInstOperands,
     /*  612408 */     // GIR_Coverage, 5323,
     /*  612408 */     GIR_EraseRootFromParent_Done,
     /*  612409 */   // Label 9896: @612409
     /*  612409 */   GIM_Try, /*On fail goto*//*Label 9897*/ GIMT_Encode4(612481), // Rule ID 5324 //
     /*  612414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612460 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  612460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612479 */     GIR_RootConstrainSelectedInstOperands,
     /*  612480 */     // GIR_Coverage, 5324,
     /*  612480 */     GIR_EraseRootFromParent_Done,
     /*  612481 */   // Label 9897: @612481
     /*  612481 */   GIM_Try, /*On fail goto*//*Label 9898*/ GIMT_Encode4(612553), // Rule ID 5325 //
     /*  612486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  612489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  612497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  612500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  612506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612532 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  612532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  612551 */     GIR_RootConstrainSelectedInstOperands,
     /*  612552 */     // GIR_Coverage, 5325,
     /*  612552 */     GIR_EraseRootFromParent_Done,
     /*  612553 */   // Label 9898: @612553
     /*  612553 */   GIM_Try, /*On fail goto*//*Label 9899*/ GIMT_Encode4(612625), // Rule ID 5326 //
     /*  612558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  612572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612604 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  612607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612623 */     GIR_RootConstrainSelectedInstOperands,
     /*  612624 */     // GIR_Coverage, 5326,
     /*  612624 */     GIR_EraseRootFromParent_Done,
     /*  612625 */   // Label 9899: @612625
     /*  612625 */   GIM_Try, /*On fail goto*//*Label 9900*/ GIMT_Encode4(612697), // Rule ID 5327 //
     /*  612630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  612641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  612644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  612650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  612661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612676 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11409:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M2),
     /*  612679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612695 */     GIR_RootConstrainSelectedInstOperands,
     /*  612696 */     // GIR_Coverage, 5327,
     /*  612696 */     GIR_EraseRootFromParent_Done,
     /*  612697 */   // Label 9900: @612697
     /*  612697 */   GIM_Try, /*On fail goto*//*Label 9901*/ GIMT_Encode4(612769), // Rule ID 5328 //
     /*  612702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  612716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612748 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  612751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612767 */     GIR_RootConstrainSelectedInstOperands,
     /*  612768 */     // GIR_Coverage, 5328,
     /*  612768 */     GIR_EraseRootFromParent_Done,
     /*  612769 */   // Label 9901: @612769
     /*  612769 */   GIM_Try, /*On fail goto*//*Label 9902*/ GIMT_Encode4(612841), // Rule ID 5329 //
     /*  612774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  612785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  612788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  612794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  612805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612820 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11409:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M4),
     /*  612823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612839 */     GIR_RootConstrainSelectedInstOperands,
     /*  612840 */     // GIR_Coverage, 5329,
     /*  612840 */     GIR_EraseRootFromParent_Done,
     /*  612841 */   // Label 9902: @612841
     /*  612841 */   GIM_Try, /*On fail goto*//*Label 9903*/ GIMT_Encode4(612913), // Rule ID 5330 //
     /*  612846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  612849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  612860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  612863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  612869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612892 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  612892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612901 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612911 */     GIR_RootConstrainSelectedInstOperands,
     /*  612912 */     // GIR_Coverage, 5330,
     /*  612912 */     GIR_EraseRootFromParent_Done,
     /*  612913 */   // Label 9903: @612913
     /*  612913 */   GIM_Try, /*On fail goto*//*Label 9904*/ GIMT_Encode4(612985), // Rule ID 5331 //
     /*  612918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  612921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadc_carry_in),
     /*  612926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  612929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  612932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  612935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  612938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  612941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  612945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  612949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  612953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  612957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  612964 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11409:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMADC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  612964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADC_VXM_M8),
     /*  612967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  612969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  612971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  612973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  612975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  612980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  612983 */     GIR_RootConstrainSelectedInstOperands,
     /*  612984 */     // GIR_Coverage, 5331,
     /*  612984 */     GIR_EraseRootFromParent_Done,
     /*  612985 */   // Label 9904: @612985
     /*  612985 */   GIM_Try, /*On fail goto*//*Label 9905*/ GIMT_Encode4(613057), // Rule ID 5594 //
     /*  612990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  612993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  612998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  613004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  613007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613036 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  613039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613055 */     GIR_RootConstrainSelectedInstOperands,
     /*  613056 */     // GIR_Coverage, 5594,
     /*  613056 */     GIR_EraseRootFromParent_Done,
     /*  613057 */   // Label 9905: @613057
     /*  613057 */   GIM_Try, /*On fail goto*//*Label 9906*/ GIMT_Encode4(613129), // Rule ID 5595 //
     /*  613062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  613076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  613079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613108 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF8),
     /*  613111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613117 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613127 */     GIR_RootConstrainSelectedInstOperands,
     /*  613128 */     // GIR_Coverage, 5595,
     /*  613128 */     GIR_EraseRootFromParent_Done,
     /*  613129 */   // Label 9906: @613129
     /*  613129 */   GIM_Try, /*On fail goto*//*Label 9907*/ GIMT_Encode4(613201), // Rule ID 5596 //
     /*  613134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  613148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  613151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613180 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  613183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613199 */     GIR_RootConstrainSelectedInstOperands,
     /*  613200 */     // GIR_Coverage, 5596,
     /*  613200 */     GIR_EraseRootFromParent_Done,
     /*  613201 */   // Label 9907: @613201
     /*  613201 */   GIM_Try, /*On fail goto*//*Label 9908*/ GIMT_Encode4(613273), // Rule ID 5597 //
     /*  613206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  613220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  613223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613252 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  613255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613271 */     GIR_RootConstrainSelectedInstOperands,
     /*  613272 */     // GIR_Coverage, 5597,
     /*  613272 */     GIR_EraseRootFromParent_Done,
     /*  613273 */   // Label 9908: @613273
     /*  613273 */   GIM_Try, /*On fail goto*//*Label 9909*/ GIMT_Encode4(613345), // Rule ID 5598 //
     /*  613278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  613292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  613295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613324 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613343 */     GIR_RootConstrainSelectedInstOperands,
     /*  613344 */     // GIR_Coverage, 5598,
     /*  613344 */     GIR_EraseRootFromParent_Done,
     /*  613345 */   // Label 9909: @613345
     /*  613345 */   GIM_Try, /*On fail goto*//*Label 9910*/ GIMT_Encode4(613417), // Rule ID 5599 //
     /*  613350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  613361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  613364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  613367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  613370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613396 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613415 */     GIR_RootConstrainSelectedInstOperands,
     /*  613416 */     // GIR_Coverage, 5599,
     /*  613416 */     GIR_EraseRootFromParent_Done,
     /*  613417 */   // Label 9910: @613417
     /*  613417 */   GIM_Try, /*On fail goto*//*Label 9911*/ GIMT_Encode4(613489), // Rule ID 5600 //
     /*  613422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613468 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  613471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613487 */     GIR_RootConstrainSelectedInstOperands,
     /*  613488 */     // GIR_Coverage, 5600,
     /*  613488 */     GIR_EraseRootFromParent_Done,
     /*  613489 */   // Label 9911: @613489
     /*  613489 */   GIM_Try, /*On fail goto*//*Label 9912*/ GIMT_Encode4(613561), // Rule ID 5601 //
     /*  613494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  613508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  613511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613540 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF4),
     /*  613543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613559 */     GIR_RootConstrainSelectedInstOperands,
     /*  613560 */     // GIR_Coverage, 5601,
     /*  613560 */     GIR_EraseRootFromParent_Done,
     /*  613561 */   // Label 9912: @613561
     /*  613561 */   GIM_Try, /*On fail goto*//*Label 9913*/ GIMT_Encode4(613633), // Rule ID 5602 //
     /*  613566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613612 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  613612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613631 */     GIR_RootConstrainSelectedInstOperands,
     /*  613632 */     // GIR_Coverage, 5602,
     /*  613632 */     GIR_EraseRootFromParent_Done,
     /*  613633 */   // Label 9913: @613633
     /*  613633 */   GIM_Try, /*On fail goto*//*Label 9914*/ GIMT_Encode4(613705), // Rule ID 5603 //
     /*  613638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  613649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  613652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  613655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  613658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613684 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  613684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  613703 */     GIR_RootConstrainSelectedInstOperands,
     /*  613704 */     // GIR_Coverage, 5603,
     /*  613704 */     GIR_EraseRootFromParent_Done,
     /*  613705 */   // Label 9914: @613705
     /*  613705 */   GIM_Try, /*On fail goto*//*Label 9915*/ GIMT_Encode4(613777), // Rule ID 5604 //
     /*  613710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613756 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  613756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613775 */     GIR_RootConstrainSelectedInstOperands,
     /*  613776 */     // GIR_Coverage, 5604,
     /*  613776 */     GIR_EraseRootFromParent_Done,
     /*  613777 */   // Label 9915: @613777
     /*  613777 */   GIM_Try, /*On fail goto*//*Label 9916*/ GIMT_Encode4(613849), // Rule ID 5605 //
     /*  613782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  613793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  613796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  613799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  613802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613828 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  613828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_MF2),
     /*  613831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  613847 */     GIR_RootConstrainSelectedInstOperands,
     /*  613848 */     // GIR_Coverage, 5605,
     /*  613848 */     GIR_EraseRootFromParent_Done,
     /*  613849 */   // Label 9916: @613849
     /*  613849 */   GIM_Try, /*On fail goto*//*Label 9917*/ GIMT_Encode4(613921), // Rule ID 5606 //
     /*  613854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  613857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  613877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613900 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  613900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613919 */     GIR_RootConstrainSelectedInstOperands,
     /*  613920 */     // GIR_Coverage, 5606,
     /*  613920 */     GIR_EraseRootFromParent_Done,
     /*  613921 */   // Label 9917: @613921
     /*  613921 */   GIM_Try, /*On fail goto*//*Label 9918*/ GIMT_Encode4(613993), // Rule ID 5607 //
     /*  613926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  613929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  613934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  613937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  613940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  613943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  613946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  613949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  613961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  613965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  613972 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  613972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  613975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  613977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  613979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  613981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  613983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  613988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  613991 */     GIR_RootConstrainSelectedInstOperands,
     /*  613992 */     // GIR_Coverage, 5607,
     /*  613992 */     GIR_EraseRootFromParent_Done,
     /*  613993 */   // Label 9918: @613993
     /*  613993 */   GIM_Try, /*On fail goto*//*Label 9919*/ GIMT_Encode4(614065), // Rule ID 5608 //
     /*  613998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  614012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  614015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614044 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  614047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614053 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614063 */     GIR_RootConstrainSelectedInstOperands,
     /*  614064 */     // GIR_Coverage, 5608,
     /*  614064 */     GIR_EraseRootFromParent_Done,
     /*  614065 */   // Label 9919: @614065
     /*  614065 */   GIM_Try, /*On fail goto*//*Label 9920*/ GIMT_Encode4(614137), // Rule ID 5609 //
     /*  614070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  614081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  614084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  614087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  614090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614116 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  614119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614135 */     GIR_RootConstrainSelectedInstOperands,
     /*  614136 */     // GIR_Coverage, 5609,
     /*  614136 */     GIR_EraseRootFromParent_Done,
     /*  614137 */   // Label 9920: @614137
     /*  614137 */   GIM_Try, /*On fail goto*//*Label 9921*/ GIMT_Encode4(614209), // Rule ID 5610 //
     /*  614142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  614153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  614156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  614159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  614162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  614188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  614191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614207 */     GIR_RootConstrainSelectedInstOperands,
     /*  614208 */     // GIR_Coverage, 5610,
     /*  614208 */     GIR_EraseRootFromParent_Done,
     /*  614209 */   // Label 9921: @614209
     /*  614209 */   GIM_Try, /*On fail goto*//*Label 9922*/ GIMT_Encode4(614281), // Rule ID 5611 //
     /*  614214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  614225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  614228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  614231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  614234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614260 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  614260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  614263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  614279 */     GIR_RootConstrainSelectedInstOperands,
     /*  614280 */     // GIR_Coverage, 5611,
     /*  614280 */     GIR_EraseRootFromParent_Done,
     /*  614281 */   // Label 9922: @614281
     /*  614281 */   GIM_Try, /*On fail goto*//*Label 9923*/ GIMT_Encode4(614353), // Rule ID 5612 //
     /*  614286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  614289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  614297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  614300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  614303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  614306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614332 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  614332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  614335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614351 */     GIR_RootConstrainSelectedInstOperands,
     /*  614352 */     // GIR_Coverage, 5612,
     /*  614352 */     GIR_EraseRootFromParent_Done,
     /*  614353 */   // Label 9923: @614353
     /*  614353 */   GIM_Try, /*On fail goto*//*Label 9924*/ GIMT_Encode4(614425), // Rule ID 5613 //
     /*  614358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  614361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  614369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  614372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  614375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  614378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614404 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  614404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M1),
     /*  614407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  614423 */     GIR_RootConstrainSelectedInstOperands,
     /*  614424 */     // GIR_Coverage, 5613,
     /*  614424 */     GIR_EraseRootFromParent_Done,
     /*  614425 */   // Label 9924: @614425
     /*  614425 */   GIM_Try, /*On fail goto*//*Label 9925*/ GIMT_Encode4(614497), // Rule ID 5614 //
     /*  614430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614476 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  614476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614495 */     GIR_RootConstrainSelectedInstOperands,
     /*  614496 */     // GIR_Coverage, 5614,
     /*  614496 */     GIR_EraseRootFromParent_Done,
     /*  614497 */   // Label 9925: @614497
     /*  614497 */   GIM_Try, /*On fail goto*//*Label 9926*/ GIMT_Encode4(614569), // Rule ID 5615 //
     /*  614502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  614513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  614516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  614519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  614522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614548 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  614548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614567 */     GIR_RootConstrainSelectedInstOperands,
     /*  614568 */     // GIR_Coverage, 5615,
     /*  614568 */     GIR_EraseRootFromParent_Done,
     /*  614569 */   // Label 9926: @614569
     /*  614569 */   GIM_Try, /*On fail goto*//*Label 9927*/ GIMT_Encode4(614641), // Rule ID 5616 //
     /*  614574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614620 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  614620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614639 */     GIR_RootConstrainSelectedInstOperands,
     /*  614640 */     // GIR_Coverage, 5616,
     /*  614640 */     GIR_EraseRootFromParent_Done,
     /*  614641 */   // Label 9927: @614641
     /*  614641 */   GIM_Try, /*On fail goto*//*Label 9928*/ GIMT_Encode4(614713), // Rule ID 5617 //
     /*  614646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  614657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  614660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  614663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  614666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  614681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614692 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  614692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  614695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614711 */     GIR_RootConstrainSelectedInstOperands,
     /*  614712 */     // GIR_Coverage, 5617,
     /*  614712 */     GIR_EraseRootFromParent_Done,
     /*  614713 */   // Label 9928: @614713
     /*  614713 */   GIM_Try, /*On fail goto*//*Label 9929*/ GIMT_Encode4(614785), // Rule ID 5618 //
     /*  614718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  614729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  614738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614764 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  614764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614783 */     GIR_RootConstrainSelectedInstOperands,
     /*  614784 */     // GIR_Coverage, 5618,
     /*  614784 */     GIR_EraseRootFromParent_Done,
     /*  614785 */   // Label 9929: @614785
     /*  614785 */   GIM_Try, /*On fail goto*//*Label 9930*/ GIMT_Encode4(614857), // Rule ID 5619 //
     /*  614790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  614801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  614804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  614807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  614810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  614825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614836 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  614836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  614839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  614855 */     GIR_RootConstrainSelectedInstOperands,
     /*  614856 */     // GIR_Coverage, 5619,
     /*  614856 */     GIR_EraseRootFromParent_Done,
     /*  614857 */   // Label 9930: @614857
     /*  614857 */   GIM_Try, /*On fail goto*//*Label 9931*/ GIMT_Encode4(614929), // Rule ID 5620 //
     /*  614862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  614865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  614885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614908 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  614908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614927 */     GIR_RootConstrainSelectedInstOperands,
     /*  614928 */     // GIR_Coverage, 5620,
     /*  614928 */     GIR_EraseRootFromParent_Done,
     /*  614929 */   // Label 9931: @614929
     /*  614929 */   GIM_Try, /*On fail goto*//*Label 9932*/ GIMT_Encode4(615001), // Rule ID 5621 //
     /*  614934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  614937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  614942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  614945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  614948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  614951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  614954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  614957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  614961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  614969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  614973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  614980 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  614980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  614983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  614985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  614987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  614989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  614991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  614996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  614999 */     GIR_RootConstrainSelectedInstOperands,
     /*  615000 */     // GIR_Coverage, 5621,
     /*  615000 */     GIR_EraseRootFromParent_Done,
     /*  615001 */   // Label 9932: @615001
     /*  615001 */   GIM_Try, /*On fail goto*//*Label 9933*/ GIMT_Encode4(615073), // Rule ID 5622 //
     /*  615006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  615017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  615020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  615023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  615026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615052 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  615052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615071 */     GIR_RootConstrainSelectedInstOperands,
     /*  615072 */     // GIR_Coverage, 5622,
     /*  615072 */     GIR_EraseRootFromParent_Done,
     /*  615073 */   // Label 9933: @615073
     /*  615073 */   GIM_Try, /*On fail goto*//*Label 9934*/ GIMT_Encode4(615145), // Rule ID 5623 //
     /*  615078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  615089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  615092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  615095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  615098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615124 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  615124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615133 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615143 */     GIR_RootConstrainSelectedInstOperands,
     /*  615144 */     // GIR_Coverage, 5623,
     /*  615144 */     GIR_EraseRootFromParent_Done,
     /*  615145 */   // Label 9934: @615145
     /*  615145 */   GIM_Try, /*On fail goto*//*Label 9935*/ GIMT_Encode4(615217), // Rule ID 5624 //
     /*  615150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  615161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  615164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  615167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  615170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615196 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  615196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615215 */     GIR_RootConstrainSelectedInstOperands,
     /*  615216 */     // GIR_Coverage, 5624,
     /*  615216 */     GIR_EraseRootFromParent_Done,
     /*  615217 */   // Label 9935: @615217
     /*  615217 */   GIM_Try, /*On fail goto*//*Label 9936*/ GIMT_Encode4(615289), // Rule ID 5625 //
     /*  615222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  615233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  615236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  615239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  615242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615268 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  615268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  615287 */     GIR_RootConstrainSelectedInstOperands,
     /*  615288 */     // GIR_Coverage, 5625,
     /*  615288 */     GIR_EraseRootFromParent_Done,
     /*  615289 */   // Label 9936: @615289
     /*  615289 */   GIM_Try, /*On fail goto*//*Label 9937*/ GIMT_Encode4(615361), // Rule ID 5626 //
     /*  615294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  615308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  615311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615340 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  615340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  615343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615359 */     GIR_RootConstrainSelectedInstOperands,
     /*  615360 */     // GIR_Coverage, 5626,
     /*  615360 */     GIR_EraseRootFromParent_Done,
     /*  615361 */   // Label 9937: @615361
     /*  615361 */   GIM_Try, /*On fail goto*//*Label 9938*/ GIMT_Encode4(615433), // Rule ID 5627 //
     /*  615366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  615380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  615383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615412 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  615412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  615415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615431 */     GIR_RootConstrainSelectedInstOperands,
     /*  615432 */     // GIR_Coverage, 5627,
     /*  615432 */     GIR_EraseRootFromParent_Done,
     /*  615433 */   // Label 9938: @615433
     /*  615433 */   GIM_Try, /*On fail goto*//*Label 9939*/ GIMT_Encode4(615505), // Rule ID 5628 //
     /*  615438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615484 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  615484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615503 */     GIR_RootConstrainSelectedInstOperands,
     /*  615504 */     // GIR_Coverage, 5628,
     /*  615504 */     GIR_EraseRootFromParent_Done,
     /*  615505 */   // Label 9939: @615505
     /*  615505 */   GIM_Try, /*On fail goto*//*Label 9940*/ GIMT_Encode4(615577), // Rule ID 5629 //
     /*  615510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  615521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  615524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  615527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  615530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615556 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  615556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615575 */     GIR_RootConstrainSelectedInstOperands,
     /*  615576 */     // GIR_Coverage, 5629,
     /*  615576 */     GIR_EraseRootFromParent_Done,
     /*  615577 */   // Label 9940: @615577
     /*  615577 */   GIM_Try, /*On fail goto*//*Label 9941*/ GIMT_Encode4(615649), // Rule ID 5630 //
     /*  615582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  615585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  615593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  615602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  615628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615647 */     GIR_RootConstrainSelectedInstOperands,
     /*  615648 */     // GIR_Coverage, 5630,
     /*  615648 */     GIR_EraseRootFromParent_Done,
     /*  615649 */   // Label 9941: @615649
     /*  615649 */   GIM_Try, /*On fail goto*//*Label 9942*/ GIMT_Encode4(615721), // Rule ID 5631 //
     /*  615654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  615657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  615665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  615668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  615671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  615674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  615689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615700 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  615700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  615703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615709 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  615719 */     GIR_RootConstrainSelectedInstOperands,
     /*  615720 */     // GIR_Coverage, 5631,
     /*  615720 */     GIR_EraseRootFromParent_Done,
     /*  615721 */   // Label 9942: @615721
     /*  615721 */   GIM_Try, /*On fail goto*//*Label 9943*/ GIMT_Encode4(615793), // Rule ID 5632 //
     /*  615726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  615740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  615743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615772 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  615775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615791 */     GIR_RootConstrainSelectedInstOperands,
     /*  615792 */     // GIR_Coverage, 5632,
     /*  615792 */     GIR_EraseRootFromParent_Done,
     /*  615793 */   // Label 9943: @615793
     /*  615793 */   GIM_Try, /*On fail goto*//*Label 9944*/ GIMT_Encode4(615865), // Rule ID 5633 //
     /*  615798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  615809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  615812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  615815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  615818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  615833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615844 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M2),
     /*  615847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615863 */     GIR_RootConstrainSelectedInstOperands,
     /*  615864 */     // GIR_Coverage, 5633,
     /*  615864 */     GIR_EraseRootFromParent_Done,
     /*  615865 */   // Label 9944: @615865
     /*  615865 */   GIM_Try, /*On fail goto*//*Label 9945*/ GIMT_Encode4(615937), // Rule ID 5634 //
     /*  615870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  615873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  615884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  615887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  615893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615916 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  615916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  615932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  615935 */     GIR_RootConstrainSelectedInstOperands,
     /*  615936 */     // GIR_Coverage, 5634,
     /*  615936 */     GIR_EraseRootFromParent_Done,
     /*  615937 */   // Label 9945: @615937
     /*  615937 */   GIM_Try, /*On fail goto*//*Label 9946*/ GIMT_Encode4(616009), // Rule ID 5635 //
     /*  615942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  615945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  615950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  615953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  615956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  615959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  615962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  615965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  615969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  615977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  615981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  615988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  615988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M4),
     /*  615991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  615993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  615995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  615997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  615999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616007 */     GIR_RootConstrainSelectedInstOperands,
     /*  616008 */     // GIR_Coverage, 5635,
     /*  616008 */     GIR_EraseRootFromParent_Done,
     /*  616009 */   // Label 9946: @616009
     /*  616009 */   GIM_Try, /*On fail goto*//*Label 9947*/ GIMT_Encode4(616081), // Rule ID 5636 //
     /*  616014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  616017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  616025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  616028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  616031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  616034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616060 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  616060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  616063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616079 */     GIR_RootConstrainSelectedInstOperands,
     /*  616080 */     // GIR_Coverage, 5636,
     /*  616080 */     GIR_EraseRootFromParent_Done,
     /*  616081 */   // Label 9947: @616081
     /*  616081 */   GIM_Try, /*On fail goto*//*Label 9948*/ GIMT_Encode4(616153), // Rule ID 5637 //
     /*  616086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  616089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  616097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  616100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  616103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  616106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  616121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616132 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VVM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  616132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VVM_M8),
     /*  616135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  616151 */     GIR_RootConstrainSelectedInstOperands,
     /*  616152 */     // GIR_Coverage, 5637,
     /*  616152 */     GIR_EraseRootFromParent_Done,
     /*  616153 */   // Label 9948: @616153
     /*  616153 */   GIM_Try, /*On fail goto*//*Label 9949*/ GIMT_Encode4(616225), // Rule ID 5638 //
     /*  616158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  616172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616204 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  616204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  616207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616223 */     GIR_RootConstrainSelectedInstOperands,
     /*  616224 */     // GIR_Coverage, 5638,
     /*  616224 */     GIR_EraseRootFromParent_Done,
     /*  616225 */   // Label 9949: @616225
     /*  616225 */   GIM_Try, /*On fail goto*//*Label 9950*/ GIMT_Encode4(616297), // Rule ID 5639 //
     /*  616230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  616244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616276 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  616276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF8),
     /*  616279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616295 */     GIR_RootConstrainSelectedInstOperands,
     /*  616296 */     // GIR_Coverage, 5639,
     /*  616296 */     GIR_EraseRootFromParent_Done,
     /*  616297 */   // Label 9950: @616297
     /*  616297 */   GIM_Try, /*On fail goto*//*Label 9951*/ GIMT_Encode4(616369), // Rule ID 5640 //
     /*  616302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  616316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616348 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  616348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  616351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616367 */     GIR_RootConstrainSelectedInstOperands,
     /*  616368 */     // GIR_Coverage, 5640,
     /*  616368 */     GIR_EraseRootFromParent_Done,
     /*  616369 */   // Label 9951: @616369
     /*  616369 */   GIM_Try, /*On fail goto*//*Label 9952*/ GIMT_Encode4(616441), // Rule ID 5641 //
     /*  616374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  616388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616420 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  616420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  616423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616439 */     GIR_RootConstrainSelectedInstOperands,
     /*  616440 */     // GIR_Coverage, 5641,
     /*  616440 */     GIR_EraseRootFromParent_Done,
     /*  616441 */   // Label 9952: @616441
     /*  616441 */   GIM_Try, /*On fail goto*//*Label 9953*/ GIMT_Encode4(616513), // Rule ID 5642 //
     /*  616446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  616457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  616460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  616466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616492 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  616492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616511 */     GIR_RootConstrainSelectedInstOperands,
     /*  616512 */     // GIR_Coverage, 5642,
     /*  616512 */     GIR_EraseRootFromParent_Done,
     /*  616513 */   // Label 9953: @616513
     /*  616513 */   GIM_Try, /*On fail goto*//*Label 9954*/ GIMT_Encode4(616585), // Rule ID 5643 //
     /*  616518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  616529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  616532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  616538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616564 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  616564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  616583 */     GIR_RootConstrainSelectedInstOperands,
     /*  616584 */     // GIR_Coverage, 5643,
     /*  616584 */     GIR_EraseRootFromParent_Done,
     /*  616585 */   // Label 9954: @616585
     /*  616585 */   GIM_Try, /*On fail goto*//*Label 9955*/ GIMT_Encode4(616657), // Rule ID 5644 //
     /*  616590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616636 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  616636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  616639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616655 */     GIR_RootConstrainSelectedInstOperands,
     /*  616656 */     // GIR_Coverage, 5644,
     /*  616656 */     GIR_EraseRootFromParent_Done,
     /*  616657 */   // Label 9955: @616657
     /*  616657 */   GIM_Try, /*On fail goto*//*Label 9956*/ GIMT_Encode4(616729), // Rule ID 5645 //
     /*  616662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  616676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616708 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  616708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF4),
     /*  616711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616727 */     GIR_RootConstrainSelectedInstOperands,
     /*  616728 */     // GIR_Coverage, 5645,
     /*  616728 */     GIR_EraseRootFromParent_Done,
     /*  616729 */   // Label 9956: @616729
     /*  616729 */   GIM_Try, /*On fail goto*//*Label 9957*/ GIMT_Encode4(616801), // Rule ID 5646 //
     /*  616734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616780 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  616780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616799 */     GIR_RootConstrainSelectedInstOperands,
     /*  616800 */     // GIR_Coverage, 5646,
     /*  616800 */     GIR_EraseRootFromParent_Done,
     /*  616801 */   // Label 9957: @616801
     /*  616801 */   GIM_Try, /*On fail goto*//*Label 9958*/ GIMT_Encode4(616873), // Rule ID 5647 //
     /*  616806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  616817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  616820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  616826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616852 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  616852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  616871 */     GIR_RootConstrainSelectedInstOperands,
     /*  616872 */     // GIR_Coverage, 5647,
     /*  616872 */     GIR_EraseRootFromParent_Done,
     /*  616873 */   // Label 9958: @616873
     /*  616873 */   GIM_Try, /*On fail goto*//*Label 9959*/ GIMT_Encode4(616945), // Rule ID 5648 //
     /*  616878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  616881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  616895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  616901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616924 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  616924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  616929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  616931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  616933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  616935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  616940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  616943 */     GIR_RootConstrainSelectedInstOperands,
     /*  616944 */     // GIR_Coverage, 5648,
     /*  616944 */     GIR_EraseRootFromParent_Done,
     /*  616945 */   // Label 9959: @616945
     /*  616945 */   GIM_Try, /*On fail goto*//*Label 9960*/ GIMT_Encode4(617017), // Rule ID 5649 //
     /*  616950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  616953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  616958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  616961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  616964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  616967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  616970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  616973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  616981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  616985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  616989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  616996 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  616996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_MF2),
     /*  616999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617015 */     GIR_RootConstrainSelectedInstOperands,
     /*  617016 */     // GIR_Coverage, 5649,
     /*  617016 */     GIR_EraseRootFromParent_Done,
     /*  617017 */   // Label 9960: @617017
     /*  617017 */   GIM_Try, /*On fail goto*//*Label 9961*/ GIMT_Encode4(617089), // Rule ID 5650 //
     /*  617022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  617033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  617036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  617042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617068 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617087 */     GIR_RootConstrainSelectedInstOperands,
     /*  617088 */     // GIR_Coverage, 5650,
     /*  617088 */     GIR_EraseRootFromParent_Done,
     /*  617089 */   // Label 9961: @617089
     /*  617089 */   GIM_Try, /*On fail goto*//*Label 9962*/ GIMT_Encode4(617161), // Rule ID 5651 //
     /*  617094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  617105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  617108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  617114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617140 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617159 */     GIR_RootConstrainSelectedInstOperands,
     /*  617160 */     // GIR_Coverage, 5651,
     /*  617160 */     GIR_EraseRootFromParent_Done,
     /*  617161 */   // Label 9962: @617161
     /*  617161 */   GIM_Try, /*On fail goto*//*Label 9963*/ GIMT_Encode4(617233), // Rule ID 5652 //
     /*  617166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  617177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  617180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  617186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617212 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  617212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617231 */     GIR_RootConstrainSelectedInstOperands,
     /*  617232 */     // GIR_Coverage, 5652,
     /*  617232 */     GIR_EraseRootFromParent_Done,
     /*  617233 */   // Label 9963: @617233
     /*  617233 */   GIM_Try, /*On fail goto*//*Label 9964*/ GIMT_Encode4(617305), // Rule ID 5653 //
     /*  617238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  617249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  617252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  617258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617284 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  617284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  617303 */     GIR_RootConstrainSelectedInstOperands,
     /*  617304 */     // GIR_Coverage, 5653,
     /*  617304 */     GIR_EraseRootFromParent_Done,
     /*  617305 */   // Label 9964: @617305
     /*  617305 */   GIM_Try, /*On fail goto*//*Label 9965*/ GIMT_Encode4(617377), // Rule ID 5654 //
     /*  617310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  617321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  617324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  617330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617356 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  617356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617375 */     GIR_RootConstrainSelectedInstOperands,
     /*  617376 */     // GIR_Coverage, 5654,
     /*  617376 */     GIR_EraseRootFromParent_Done,
     /*  617377 */   // Label 9965: @617377
     /*  617377 */   GIM_Try, /*On fail goto*//*Label 9966*/ GIMT_Encode4(617449), // Rule ID 5655 //
     /*  617382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  617393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  617396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  617402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617428 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  617428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  617447 */     GIR_RootConstrainSelectedInstOperands,
     /*  617448 */     // GIR_Coverage, 5655,
     /*  617448 */     GIR_EraseRootFromParent_Done,
     /*  617449 */   // Label 9966: @617449
     /*  617449 */   GIM_Try, /*On fail goto*//*Label 9967*/ GIMT_Encode4(617521), // Rule ID 5656 //
     /*  617454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  617457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  617465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  617468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  617474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617500 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  617500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617509 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617519 */     GIR_RootConstrainSelectedInstOperands,
     /*  617520 */     // GIR_Coverage, 5656,
     /*  617520 */     GIR_EraseRootFromParent_Done,
     /*  617521 */   // Label 9967: @617521
     /*  617521 */   GIM_Try, /*On fail goto*//*Label 9968*/ GIMT_Encode4(617593), // Rule ID 5657 //
     /*  617526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  617529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  617537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  617540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  617546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617572 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11441:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  617572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M1),
     /*  617575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  617591 */     GIR_RootConstrainSelectedInstOperands,
     /*  617592 */     // GIR_Coverage, 5657,
     /*  617592 */     GIR_EraseRootFromParent_Done,
     /*  617593 */   // Label 9968: @617593
     /*  617593 */   GIM_Try, /*On fail goto*//*Label 9969*/ GIMT_Encode4(617665), // Rule ID 5658 //
     /*  617598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617644 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617663 */     GIR_RootConstrainSelectedInstOperands,
     /*  617664 */     // GIR_Coverage, 5658,
     /*  617664 */     GIR_EraseRootFromParent_Done,
     /*  617665 */   // Label 9969: @617665
     /*  617665 */   GIM_Try, /*On fail goto*//*Label 9970*/ GIMT_Encode4(617737), // Rule ID 5659 //
     /*  617670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  617681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  617684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  617690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  617701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617716 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  617719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617735 */     GIR_RootConstrainSelectedInstOperands,
     /*  617736 */     // GIR_Coverage, 5659,
     /*  617736 */     GIR_EraseRootFromParent_Done,
     /*  617737 */   // Label 9970: @617737
     /*  617737 */   GIM_Try, /*On fail goto*//*Label 9971*/ GIMT_Encode4(617809), // Rule ID 5660 //
     /*  617742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617788 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617807 */     GIR_RootConstrainSelectedInstOperands,
     /*  617808 */     // GIR_Coverage, 5660,
     /*  617808 */     GIR_EraseRootFromParent_Done,
     /*  617809 */   // Label 9971: @617809
     /*  617809 */   GIM_Try, /*On fail goto*//*Label 9972*/ GIMT_Encode4(617881), // Rule ID 5661 //
     /*  617814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  617825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  617828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  617834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  617845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617860 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  617860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  617863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617879 */     GIR_RootConstrainSelectedInstOperands,
     /*  617880 */     // GIR_Coverage, 5661,
     /*  617880 */     GIR_EraseRootFromParent_Done,
     /*  617881 */   // Label 9972: @617881
     /*  617881 */   GIM_Try, /*On fail goto*//*Label 9973*/ GIMT_Encode4(617953), // Rule ID 5662 //
     /*  617886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  617889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  617897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  617903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  617906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  617909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  617932 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  617932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  617935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  617937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  617939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  617941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  617943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  617948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  617951 */     GIR_RootConstrainSelectedInstOperands,
     /*  617952 */     // GIR_Coverage, 5662,
     /*  617952 */     GIR_EraseRootFromParent_Done,
     /*  617953 */   // Label 9973: @617953
     /*  617953 */   GIM_Try, /*On fail goto*//*Label 9974*/ GIMT_Encode4(618025), // Rule ID 5663 //
     /*  617958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  617961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  617966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  617969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  617972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  617975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  617978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  617981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  617985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  617989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  617993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  617997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618004 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  618004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  618023 */     GIR_RootConstrainSelectedInstOperands,
     /*  618024 */     // GIR_Coverage, 5663,
     /*  618024 */     GIR_EraseRootFromParent_Done,
     /*  618025 */   // Label 9974: @618025
     /*  618025 */   GIM_Try, /*On fail goto*//*Label 9975*/ GIMT_Encode4(618097), // Rule ID 5664 //
     /*  618030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  618044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618076 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  618076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618095 */     GIR_RootConstrainSelectedInstOperands,
     /*  618096 */     // GIR_Coverage, 5664,
     /*  618096 */     GIR_EraseRootFromParent_Done,
     /*  618097 */   // Label 9975: @618097
     /*  618097 */   GIM_Try, /*On fail goto*//*Label 9976*/ GIMT_Encode4(618169), // Rule ID 5665 //
     /*  618102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  618116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618148 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  618148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618167 */     GIR_RootConstrainSelectedInstOperands,
     /*  618168 */     // GIR_Coverage, 5665,
     /*  618168 */     GIR_EraseRootFromParent_Done,
     /*  618169 */   // Label 9976: @618169
     /*  618169 */   GIM_Try, /*On fail goto*//*Label 9977*/ GIMT_Encode4(618241), // Rule ID 5666 //
     /*  618174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  618185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  618188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  618194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618220 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  618220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618239 */     GIR_RootConstrainSelectedInstOperands,
     /*  618240 */     // GIR_Coverage, 5666,
     /*  618240 */     GIR_EraseRootFromParent_Done,
     /*  618241 */   // Label 9977: @618241
     /*  618241 */   GIM_Try, /*On fail goto*//*Label 9978*/ GIMT_Encode4(618313), // Rule ID 5667 //
     /*  618246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  618257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  618260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  618266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618292 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  618292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618311 */     GIR_RootConstrainSelectedInstOperands,
     /*  618312 */     // GIR_Coverage, 5667,
     /*  618312 */     GIR_EraseRootFromParent_Done,
     /*  618313 */   // Label 9978: @618313
     /*  618313 */   GIM_Try, /*On fail goto*//*Label 9979*/ GIMT_Encode4(618385), // Rule ID 5668 //
     /*  618318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  618329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  618332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  618338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618364 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  618364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618383 */     GIR_RootConstrainSelectedInstOperands,
     /*  618384 */     // GIR_Coverage, 5668,
     /*  618384 */     GIR_EraseRootFromParent_Done,
     /*  618385 */   // Label 9979: @618385
     /*  618385 */   GIM_Try, /*On fail goto*//*Label 9980*/ GIMT_Encode4(618457), // Rule ID 5669 //
     /*  618390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  618401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  618404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  618410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618436 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  618436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  618455 */     GIR_RootConstrainSelectedInstOperands,
     /*  618456 */     // GIR_Coverage, 5669,
     /*  618456 */     GIR_EraseRootFromParent_Done,
     /*  618457 */   // Label 9980: @618457
     /*  618457 */   GIM_Try, /*On fail goto*//*Label 9981*/ GIMT_Encode4(618529), // Rule ID 5670 //
     /*  618462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  618473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  618476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  618482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618508 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  618508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618527 */     GIR_RootConstrainSelectedInstOperands,
     /*  618528 */     // GIR_Coverage, 5670,
     /*  618528 */     GIR_EraseRootFromParent_Done,
     /*  618529 */   // Label 9981: @618529
     /*  618529 */   GIM_Try, /*On fail goto*//*Label 9982*/ GIMT_Encode4(618601), // Rule ID 5671 //
     /*  618534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  618545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  618548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  618554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618580 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  618580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618599 */     GIR_RootConstrainSelectedInstOperands,
     /*  618600 */     // GIR_Coverage, 5671,
     /*  618600 */     GIR_EraseRootFromParent_Done,
     /*  618601 */   // Label 9982: @618601
     /*  618601 */   GIM_Try, /*On fail goto*//*Label 9983*/ GIMT_Encode4(618673), // Rule ID 5672 //
     /*  618606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618652 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  618652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618671 */     GIR_RootConstrainSelectedInstOperands,
     /*  618672 */     // GIR_Coverage, 5672,
     /*  618672 */     GIR_EraseRootFromParent_Done,
     /*  618673 */   // Label 9983: @618673
     /*  618673 */   GIM_Try, /*On fail goto*//*Label 9984*/ GIMT_Encode4(618745), // Rule ID 5673 //
     /*  618678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  618689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  618692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  618698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  618709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618724 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  618724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  618727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618743 */     GIR_RootConstrainSelectedInstOperands,
     /*  618744 */     // GIR_Coverage, 5673,
     /*  618744 */     GIR_EraseRootFromParent_Done,
     /*  618745 */   // Label 9984: @618745
     /*  618745 */   GIM_Try, /*On fail goto*//*Label 9985*/ GIMT_Encode4(618817), // Rule ID 5674 //
     /*  618750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  618753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  618761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  618770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618796 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  618796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618815 */     GIR_RootConstrainSelectedInstOperands,
     /*  618816 */     // GIR_Coverage, 5674,
     /*  618816 */     GIR_EraseRootFromParent_Done,
     /*  618817 */   // Label 9985: @618817
     /*  618817 */   GIM_Try, /*On fail goto*//*Label 9986*/ GIMT_Encode4(618889), // Rule ID 5675 //
     /*  618822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  618825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  618833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  618836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  618842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  618853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  618868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  618871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  618887 */     GIR_RootConstrainSelectedInstOperands,
     /*  618888 */     // GIR_Coverage, 5675,
     /*  618888 */     GIR_EraseRootFromParent_Done,
     /*  618889 */   // Label 9986: @618889
     /*  618889 */   GIM_Try, /*On fail goto*//*Label 9987*/ GIMT_Encode4(618961), // Rule ID 5676 //
     /*  618894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  618897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  618905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  618911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  618914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  618917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  618929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  618933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  618940 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  618940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  618943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  618945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  618947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  618949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  618951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  618956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  618959 */     GIR_RootConstrainSelectedInstOperands,
     /*  618960 */     // GIR_Coverage, 5676,
     /*  618960 */     GIR_EraseRootFromParent_Done,
     /*  618961 */   // Label 9987: @618961
     /*  618961 */   GIM_Try, /*On fail goto*//*Label 9988*/ GIMT_Encode4(619033), // Rule ID 5677 //
     /*  618966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  618969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  618974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  618977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  618980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  618983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  618986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  618989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  618993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  618997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  619005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619012 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11441:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  619012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M2),
     /*  619015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  619019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  619021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  619023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619031 */     GIR_RootConstrainSelectedInstOperands,
     /*  619032 */     // GIR_Coverage, 5677,
     /*  619032 */     GIR_EraseRootFromParent_Done,
     /*  619033 */   // Label 9988: @619033
     /*  619033 */   GIM_Try, /*On fail goto*//*Label 9989*/ GIMT_Encode4(619105), // Rule ID 5678 //
     /*  619038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  619046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  619049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  619052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  619055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  619058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  619077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619084 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  619084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  619087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  619091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  619093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  619095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619103 */     GIR_RootConstrainSelectedInstOperands,
     /*  619104 */     // GIR_Coverage, 5678,
     /*  619104 */     GIR_EraseRootFromParent_Done,
     /*  619105 */   // Label 9989: @619105
     /*  619105 */   GIM_Try, /*On fail goto*//*Label 9990*/ GIMT_Encode4(619177), // Rule ID 5679 //
     /*  619110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  619118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  619121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  619124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  619127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  619130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  619141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  619149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619156 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11441:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  619156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M4),
     /*  619159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  619163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  619165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  619167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619175 */     GIR_RootConstrainSelectedInstOperands,
     /*  619176 */     // GIR_Coverage, 5679,
     /*  619176 */     GIR_EraseRootFromParent_Done,
     /*  619177 */   // Label 9990: @619177
     /*  619177 */   GIM_Try, /*On fail goto*//*Label 9991*/ GIMT_Encode4(619249), // Rule ID 5680 //
     /*  619182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  619185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  619190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  619193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  619196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /*  619199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  619202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  619221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619228 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  619228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  619231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  619235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  619237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  619239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619247 */     GIR_RootConstrainSelectedInstOperands,
     /*  619248 */     // GIR_Coverage, 5680,
     /*  619248 */     GIR_EraseRootFromParent_Done,
     /*  619249 */   // Label 9991: @619249
     /*  619249 */   GIM_Try, /*On fail goto*//*Label 9992*/ GIMT_Encode4(619321), // Rule ID 5681 //
     /*  619254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  619257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbc_borrow_in),
     /*  619262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  619265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  619268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  619271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  619274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  619285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  619289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  619293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619300 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11441:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBC_VXM_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  619300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBC_VXM_M8),
     /*  619303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  619307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  619309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  619311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  619319 */     GIR_RootConstrainSelectedInstOperands,
     /*  619320 */     // GIR_Coverage, 5681,
     /*  619320 */     GIR_EraseRootFromParent_Done,
     /*  619321 */   // Label 9992: @619321
     /*  619321 */   GIM_Try, /*On fail goto*//*Label 9993*/ GIMT_Encode4(619396), // Rule ID 5770 //
     /*  619326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  619337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  619340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  619343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  619346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  619375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619394 */     GIR_RootConstrainSelectedInstOperands,
     /*  619395 */     // GIR_Coverage, 5770,
     /*  619395 */     GIR_EraseRootFromParent_Done,
     /*  619396 */   // Label 9993: @619396
     /*  619396 */   GIM_Try, /*On fail goto*//*Label 9994*/ GIMT_Encode4(619471), // Rule ID 5771 //
     /*  619401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  619412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  619415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  619418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  619421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8),
     /*  619450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619469 */     GIR_RootConstrainSelectedInstOperands,
     /*  619470 */     // GIR_Coverage, 5771,
     /*  619470 */     GIR_EraseRootFromParent_Done,
     /*  619471 */   // Label 9994: @619471
     /*  619471 */   GIM_Try, /*On fail goto*//*Label 9995*/ GIMT_Encode4(619546), // Rule ID 5774 //
     /*  619476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  619487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  619490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  619493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  619496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619544 */     GIR_RootConstrainSelectedInstOperands,
     /*  619545 */     // GIR_Coverage, 5774,
     /*  619545 */     GIR_EraseRootFromParent_Done,
     /*  619546 */   // Label 9995: @619546
     /*  619546 */   GIM_Try, /*On fail goto*//*Label 9996*/ GIMT_Encode4(619621), // Rule ID 5775 //
     /*  619551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  619562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  619565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  619568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  619571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619619 */     GIR_RootConstrainSelectedInstOperands,
     /*  619620 */     // GIR_Coverage, 5775,
     /*  619620 */     GIR_EraseRootFromParent_Done,
     /*  619621 */   // Label 9996: @619621
     /*  619621 */   GIM_Try, /*On fail goto*//*Label 9997*/ GIMT_Encode4(619696), // Rule ID 5778 //
     /*  619626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  619637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  619640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  619643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  619646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  619672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619694 */     GIR_RootConstrainSelectedInstOperands,
     /*  619695 */     // GIR_Coverage, 5778,
     /*  619695 */     GIR_EraseRootFromParent_Done,
     /*  619696 */   // Label 9997: @619696
     /*  619696 */   GIM_Try, /*On fail goto*//*Label 9998*/ GIMT_Encode4(619771), // Rule ID 5779 //
     /*  619701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  619712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  619715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  619718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  619721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  619747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  619766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619769 */     GIR_RootConstrainSelectedInstOperands,
     /*  619770 */     // GIR_Coverage, 5779,
     /*  619770 */     GIR_EraseRootFromParent_Done,
     /*  619771 */   // Label 9998: @619771
     /*  619771 */   GIM_Try, /*On fail goto*//*Label 9999*/ GIMT_Encode4(619846), // Rule ID 5782 //
     /*  619776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  619787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  619790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  619793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  619796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619844 */     GIR_RootConstrainSelectedInstOperands,
     /*  619845 */     // GIR_Coverage, 5782,
     /*  619845 */     GIR_EraseRootFromParent_Done,
     /*  619846 */   // Label 9999: @619846
     /*  619846 */   GIM_Try, /*On fail goto*//*Label 10000*/ GIMT_Encode4(619921), // Rule ID 5783 //
     /*  619851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  619854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  619862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  619865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  619868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  619871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  619874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619897 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  619897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4),
     /*  619900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619919 */     GIR_RootConstrainSelectedInstOperands,
     /*  619920 */     // GIR_Coverage, 5783,
     /*  619920 */     GIR_EraseRootFromParent_Done,
     /*  619921 */   // Label 10000: @619921
     /*  619921 */   GIM_Try, /*On fail goto*//*Label 10001*/ GIMT_Encode4(619996), // Rule ID 5786 //
     /*  619926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  619929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  619934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  619937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  619940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  619943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  619946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  619949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  619965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  619972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  619972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  619975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  619977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  619979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  619981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  619983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  619988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  619991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  619994 */     GIR_RootConstrainSelectedInstOperands,
     /*  619995 */     // GIR_Coverage, 5786,
     /*  619995 */     GIR_EraseRootFromParent_Done,
     /*  619996 */   // Label 10001: @619996
     /*  619996 */   GIM_Try, /*On fail goto*//*Label 10002*/ GIMT_Encode4(620071), // Rule ID 5787 //
     /*  620001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  620012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  620015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  620018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  620021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  620050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620069 */     GIR_RootConstrainSelectedInstOperands,
     /*  620070 */     // GIR_Coverage, 5787,
     /*  620070 */     GIR_EraseRootFromParent_Done,
     /*  620071 */   // Label 10002: @620071
     /*  620071 */   GIM_Try, /*On fail goto*//*Label 10003*/ GIMT_Encode4(620146), // Rule ID 5790 //
     /*  620076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  620087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  620090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  620093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  620096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  620125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620144 */     GIR_RootConstrainSelectedInstOperands,
     /*  620145 */     // GIR_Coverage, 5790,
     /*  620145 */     GIR_EraseRootFromParent_Done,
     /*  620146 */   // Label 10003: @620146
     /*  620146 */   GIM_Try, /*On fail goto*//*Label 10004*/ GIMT_Encode4(620221), // Rule ID 5791 //
     /*  620151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  620162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  620165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  620168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  620171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2),
     /*  620200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620219 */     GIR_RootConstrainSelectedInstOperands,
     /*  620220 */     // GIR_Coverage, 5791,
     /*  620220 */     GIR_EraseRootFromParent_Done,
     /*  620221 */   // Label 10004: @620221
     /*  620221 */   GIM_Try, /*On fail goto*//*Label 10005*/ GIMT_Encode4(620296), // Rule ID 5794 //
     /*  620226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  620237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  620240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  620243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  620246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620294 */     GIR_RootConstrainSelectedInstOperands,
     /*  620295 */     // GIR_Coverage, 5794,
     /*  620295 */     GIR_EraseRootFromParent_Done,
     /*  620296 */   // Label 10005: @620296
     /*  620296 */   GIM_Try, /*On fail goto*//*Label 10006*/ GIMT_Encode4(620371), // Rule ID 5795 //
     /*  620301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  620312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  620315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  620318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  620321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620369 */     GIR_RootConstrainSelectedInstOperands,
     /*  620370 */     // GIR_Coverage, 5795,
     /*  620370 */     GIR_EraseRootFromParent_Done,
     /*  620371 */   // Label 10006: @620371
     /*  620371 */   GIM_Try, /*On fail goto*//*Label 10007*/ GIMT_Encode4(620446), // Rule ID 5798 //
     /*  620376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  620387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  620390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  620393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  620396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  620422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620444 */     GIR_RootConstrainSelectedInstOperands,
     /*  620445 */     // GIR_Coverage, 5798,
     /*  620445 */     GIR_EraseRootFromParent_Done,
     /*  620446 */   // Label 10007: @620446
     /*  620446 */   GIM_Try, /*On fail goto*//*Label 10008*/ GIMT_Encode4(620521), // Rule ID 5799 //
     /*  620451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  620462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  620465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  620468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  620471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  620497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  620516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620519 */     GIR_RootConstrainSelectedInstOperands,
     /*  620520 */     // GIR_Coverage, 5799,
     /*  620520 */     GIR_EraseRootFromParent_Done,
     /*  620521 */   // Label 10008: @620521
     /*  620521 */   GIM_Try, /*On fail goto*//*Label 10009*/ GIMT_Encode4(620596), // Rule ID 5802 //
     /*  620526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  620537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  620540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  620543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  620546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  620572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620594 */     GIR_RootConstrainSelectedInstOperands,
     /*  620595 */     // GIR_Coverage, 5802,
     /*  620595 */     GIR_EraseRootFromParent_Done,
     /*  620596 */   // Label 10009: @620596
     /*  620596 */   GIM_Try, /*On fail goto*//*Label 10010*/ GIMT_Encode4(620671), // Rule ID 5803 //
     /*  620601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  620612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  620615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  620618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  620621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  620647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  620666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620669 */     GIR_RootConstrainSelectedInstOperands,
     /*  620670 */     // GIR_Coverage, 5803,
     /*  620670 */     GIR_EraseRootFromParent_Done,
     /*  620671 */   // Label 10010: @620671
     /*  620671 */   GIM_Try, /*On fail goto*//*Label 10011*/ GIMT_Encode4(620746), // Rule ID 5806 //
     /*  620676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  620679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  620722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620744 */     GIR_RootConstrainSelectedInstOperands,
     /*  620745 */     // GIR_Coverage, 5806,
     /*  620745 */     GIR_EraseRootFromParent_Done,
     /*  620746 */   // Label 10011: @620746
     /*  620746 */   GIM_Try, /*On fail goto*//*Label 10012*/ GIMT_Encode4(620821), // Rule ID 5807 //
     /*  620751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  620754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  620762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  620765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  620768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  620771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  620790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  620797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1),
     /*  620800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  620816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620819 */     GIR_RootConstrainSelectedInstOperands,
     /*  620820 */     // GIR_Coverage, 5807,
     /*  620820 */     GIR_EraseRootFromParent_Done,
     /*  620821 */   // Label 10012: @620821
     /*  620821 */   GIM_Try, /*On fail goto*//*Label 10013*/ GIMT_Encode4(620896), // Rule ID 5810 //
     /*  620826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  620837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  620840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  620843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  620846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  620872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620894 */     GIR_RootConstrainSelectedInstOperands,
     /*  620895 */     // GIR_Coverage, 5810,
     /*  620895 */     GIR_EraseRootFromParent_Done,
     /*  620896 */   // Label 10013: @620896
     /*  620896 */   GIM_Try, /*On fail goto*//*Label 10014*/ GIMT_Encode4(620971), // Rule ID 5811 //
     /*  620901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  620904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  620912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  620915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  620918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  620921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  620924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  620940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  620947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  620947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  620950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  620952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  620954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  620956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  620958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  620963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  620966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  620969 */     GIR_RootConstrainSelectedInstOperands,
     /*  620970 */     // GIR_Coverage, 5811,
     /*  620970 */     GIR_EraseRootFromParent_Done,
     /*  620971 */   // Label 10014: @620971
     /*  620971 */   GIM_Try, /*On fail goto*//*Label 10015*/ GIMT_Encode4(621046), // Rule ID 5814 //
     /*  620976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  620979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  620984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  620987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  620990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  620993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  620996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  620999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621044 */     GIR_RootConstrainSelectedInstOperands,
     /*  621045 */     // GIR_Coverage, 5814,
     /*  621045 */     GIR_EraseRootFromParent_Done,
     /*  621046 */   // Label 10015: @621046
     /*  621046 */   GIM_Try, /*On fail goto*//*Label 10016*/ GIMT_Encode4(621121), // Rule ID 5815 //
     /*  621051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  621062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  621065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  621068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  621071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621097 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621119 */     GIR_RootConstrainSelectedInstOperands,
     /*  621120 */     // GIR_Coverage, 5815,
     /*  621120 */     GIR_EraseRootFromParent_Done,
     /*  621121 */   // Label 10016: @621121
     /*  621121 */   GIM_Try, /*On fail goto*//*Label 10017*/ GIMT_Encode4(621196), // Rule ID 5818 //
     /*  621126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  621137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  621140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  621143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  621146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  621172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621194 */     GIR_RootConstrainSelectedInstOperands,
     /*  621195 */     // GIR_Coverage, 5818,
     /*  621195 */     GIR_EraseRootFromParent_Done,
     /*  621196 */   // Label 10017: @621196
     /*  621196 */   GIM_Try, /*On fail goto*//*Label 10018*/ GIMT_Encode4(621271), // Rule ID 5819 //
     /*  621201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  621212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  621215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  621218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  621221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621247 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  621247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  621266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621269 */     GIR_RootConstrainSelectedInstOperands,
     /*  621270 */     // GIR_Coverage, 5819,
     /*  621270 */     GIR_EraseRootFromParent_Done,
     /*  621271 */   // Label 10018: @621271
     /*  621271 */   GIM_Try, /*On fail goto*//*Label 10019*/ GIMT_Encode4(621346), // Rule ID 5822 //
     /*  621276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  621287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  621290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  621293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  621296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621344 */     GIR_RootConstrainSelectedInstOperands,
     /*  621345 */     // GIR_Coverage, 5822,
     /*  621345 */     GIR_EraseRootFromParent_Done,
     /*  621346 */   // Label 10019: @621346
     /*  621346 */   GIM_Try, /*On fail goto*//*Label 10020*/ GIMT_Encode4(621421), // Rule ID 5823 //
     /*  621351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  621362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  621365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  621368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  621371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621419 */     GIR_RootConstrainSelectedInstOperands,
     /*  621420 */     // GIR_Coverage, 5823,
     /*  621420 */     GIR_EraseRootFromParent_Done,
     /*  621421 */   // Label 10020: @621421
     /*  621421 */   GIM_Try, /*On fail goto*//*Label 10021*/ GIMT_Encode4(621496), // Rule ID 5826 //
     /*  621426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  621437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  621440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  621443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  621446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621494 */     GIR_RootConstrainSelectedInstOperands,
     /*  621495 */     // GIR_Coverage, 5826,
     /*  621495 */     GIR_EraseRootFromParent_Done,
     /*  621496 */   // Label 10021: @621496
     /*  621496 */   GIM_Try, /*On fail goto*//*Label 10022*/ GIMT_Encode4(621571), // Rule ID 5827 //
     /*  621501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  621512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  621515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  621518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  621521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621569 */     GIR_RootConstrainSelectedInstOperands,
     /*  621570 */     // GIR_Coverage, 5827,
     /*  621570 */     GIR_EraseRootFromParent_Done,
     /*  621571 */   // Label 10022: @621571
     /*  621571 */   GIM_Try, /*On fail goto*//*Label 10023*/ GIMT_Encode4(621646), // Rule ID 5830 //
     /*  621576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  621587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  621590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  621593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  621596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  621622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621644 */     GIR_RootConstrainSelectedInstOperands,
     /*  621645 */     // GIR_Coverage, 5830,
     /*  621645 */     GIR_EraseRootFromParent_Done,
     /*  621646 */   // Label 10023: @621646
     /*  621646 */   GIM_Try, /*On fail goto*//*Label 10024*/ GIMT_Encode4(621721), // Rule ID 5831 //
     /*  621651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  621662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  621665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  621668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  621671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  621690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621697 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  621697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  621700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  621716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621719 */     GIR_RootConstrainSelectedInstOperands,
     /*  621720 */     // GIR_Coverage, 5831,
     /*  621720 */     GIR_EraseRootFromParent_Done,
     /*  621721 */   // Label 10024: @621721
     /*  621721 */   GIM_Try, /*On fail goto*//*Label 10025*/ GIMT_Encode4(621796), // Rule ID 5834 //
     /*  621726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  621737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  621740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  621743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  621746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621794 */     GIR_RootConstrainSelectedInstOperands,
     /*  621795 */     // GIR_Coverage, 5834,
     /*  621795 */     GIR_EraseRootFromParent_Done,
     /*  621796 */   // Label 10025: @621796
     /*  621796 */   GIM_Try, /*On fail goto*//*Label 10026*/ GIMT_Encode4(621871), // Rule ID 5835 //
     /*  621801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  621812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  621815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  621818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  621821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  621840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  621850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621869 */     GIR_RootConstrainSelectedInstOperands,
     /*  621870 */     // GIR_Coverage, 5835,
     /*  621870 */     GIR_EraseRootFromParent_Done,
     /*  621871 */   // Label 10026: @621871
     /*  621871 */   GIM_Try, /*On fail goto*//*Label 10027*/ GIMT_Encode4(621946), // Rule ID 5838 //
     /*  621876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  621879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  621887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  621890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  621893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  621896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  621899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  621922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  621925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  621927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  621929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  621931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  621933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  621938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  621941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  621944 */     GIR_RootConstrainSelectedInstOperands,
     /*  621945 */     // GIR_Coverage, 5838,
     /*  621945 */     GIR_EraseRootFromParent_Done,
     /*  621946 */   // Label 10027: @621946
     /*  621946 */   GIM_Try, /*On fail goto*//*Label 10028*/ GIMT_Encode4(622021), // Rule ID 5839 //
     /*  621951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  621954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  621959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  621962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  621965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  621968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  621971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  621974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  621990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  621997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  621997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  622000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622019 */     GIR_RootConstrainSelectedInstOperands,
     /*  622020 */     // GIR_Coverage, 5839,
     /*  622020 */     GIR_EraseRootFromParent_Done,
     /*  622021 */   // Label 10028: @622021
     /*  622021 */   GIM_Try, /*On fail goto*//*Label 10029*/ GIMT_Encode4(622096), // Rule ID 5842 //
     /*  622026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  622037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  622040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  622043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  622046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  622072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  622075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622094 */     GIR_RootConstrainSelectedInstOperands,
     /*  622095 */     // GIR_Coverage, 5842,
     /*  622095 */     GIR_EraseRootFromParent_Done,
     /*  622096 */   // Label 10029: @622096
     /*  622096 */   GIM_Try, /*On fail goto*//*Label 10030*/ GIMT_Encode4(622171), // Rule ID 5843 //
     /*  622101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  622112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  622115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  622118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  622121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  622147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  622150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  622166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622169 */     GIR_RootConstrainSelectedInstOperands,
     /*  622170 */     // GIR_Coverage, 5843,
     /*  622170 */     GIR_EraseRootFromParent_Done,
     /*  622171 */   // Label 10030: @622171
     /*  622171 */   GIM_Try, /*On fail goto*//*Label 10031*/ GIMT_Encode4(622246), // Rule ID 5846 //
     /*  622176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  622187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  622190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  622193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  622196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  622225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622244 */     GIR_RootConstrainSelectedInstOperands,
     /*  622245 */     // GIR_Coverage, 5846,
     /*  622245 */     GIR_EraseRootFromParent_Done,
     /*  622246 */   // Label 10031: @622246
     /*  622246 */   GIM_Try, /*On fail goto*//*Label 10032*/ GIMT_Encode4(622321), // Rule ID 5847 //
     /*  622251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  622262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  622265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  622268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  622271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  622290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2),
     /*  622300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622319 */     GIR_RootConstrainSelectedInstOperands,
     /*  622320 */     // GIR_Coverage, 5847,
     /*  622320 */     GIR_EraseRootFromParent_Done,
     /*  622321 */   // Label 10032: @622321
     /*  622321 */   GIM_Try, /*On fail goto*//*Label 10033*/ GIMT_Encode4(622396), // Rule ID 5850 //
     /*  622326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  622337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  622340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  622343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  622346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  622375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622394 */     GIR_RootConstrainSelectedInstOperands,
     /*  622395 */     // GIR_Coverage, 5850,
     /*  622395 */     GIR_EraseRootFromParent_Done,
     /*  622396 */   // Label 10033: @622396
     /*  622396 */   GIM_Try, /*On fail goto*//*Label 10034*/ GIMT_Encode4(622471), // Rule ID 5851 //
     /*  622401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  622412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  622415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  622418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  622421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  622440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622447 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4),
     /*  622450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622469 */     GIR_RootConstrainSelectedInstOperands,
     /*  622470 */     // GIR_Coverage, 5851,
     /*  622470 */     GIR_EraseRootFromParent_Done,
     /*  622471 */   // Label 10034: @622471
     /*  622471 */   GIM_Try, /*On fail goto*//*Label 10035*/ GIMT_Encode4(622546), // Rule ID 5854 //
     /*  622476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  622479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  622487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  622490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  622493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  622496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  622522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  622525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622544 */     GIR_RootConstrainSelectedInstOperands,
     /*  622545 */     // GIR_Coverage, 5854,
     /*  622545 */     GIR_EraseRootFromParent_Done,
     /*  622546 */   // Label 10035: @622546
     /*  622546 */   GIM_Try, /*On fail goto*//*Label 10036*/ GIMT_Encode4(622621), // Rule ID 5855 //
     /*  622551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  622554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  622562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  622565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  622568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  622571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  622590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  622597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8),
     /*  622600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  622616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622619 */     GIR_RootConstrainSelectedInstOperands,
     /*  622620 */     // GIR_Coverage, 5855,
     /*  622620 */     GIR_EraseRootFromParent_Done,
     /*  622621 */   // Label 10036: @622621
     /*  622621 */   GIM_Try, /*On fail goto*//*Label 10037*/ GIMT_Encode4(622696), // Rule ID 5858 //
     /*  622626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  622675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622694 */     GIR_RootConstrainSelectedInstOperands,
     /*  622695 */     // GIR_Coverage, 5858,
     /*  622695 */     GIR_EraseRootFromParent_Done,
     /*  622696 */   // Label 10037: @622696
     /*  622696 */   GIM_Try, /*On fail goto*//*Label 10038*/ GIMT_Encode4(622771), // Rule ID 5859 //
     /*  622701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  622712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  622715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  622718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8),
     /*  622750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622769 */     GIR_RootConstrainSelectedInstOperands,
     /*  622770 */     // GIR_Coverage, 5859,
     /*  622770 */     GIR_EraseRootFromParent_Done,
     /*  622771 */   // Label 10038: @622771
     /*  622771 */   GIM_Try, /*On fail goto*//*Label 10039*/ GIMT_Encode4(622846), // Rule ID 5862 //
     /*  622776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622844 */     GIR_RootConstrainSelectedInstOperands,
     /*  622845 */     // GIR_Coverage, 5862,
     /*  622845 */     GIR_EraseRootFromParent_Done,
     /*  622846 */   // Label 10039: @622846
     /*  622846 */   GIM_Try, /*On fail goto*//*Label 10040*/ GIMT_Encode4(622921), // Rule ID 5863 //
     /*  622851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  622854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  622862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  622865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  622868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  622871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  622874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  622897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  622900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622919 */     GIR_RootConstrainSelectedInstOperands,
     /*  622920 */     // GIR_Coverage, 5863,
     /*  622920 */     GIR_EraseRootFromParent_Done,
     /*  622921 */   // Label 10040: @622921
     /*  622921 */   GIM_Try, /*On fail goto*//*Label 10041*/ GIMT_Encode4(622996), // Rule ID 5866 //
     /*  622926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  622929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  622934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  622937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  622940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  622943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  622946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  622949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  622961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  622965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  622972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  622972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  622975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  622977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  622979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  622981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  622983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  622988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  622991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  622994 */     GIR_RootConstrainSelectedInstOperands,
     /*  622995 */     // GIR_Coverage, 5866,
     /*  622995 */     GIR_EraseRootFromParent_Done,
     /*  622996 */   // Label 10041: @622996
     /*  622996 */   GIM_Try, /*On fail goto*//*Label 10042*/ GIMT_Encode4(623071), // Rule ID 5867 //
     /*  623001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  623012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  623015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  623018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623047 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  623050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623069 */     GIR_RootConstrainSelectedInstOperands,
     /*  623070 */     // GIR_Coverage, 5867,
     /*  623070 */     GIR_EraseRootFromParent_Done,
     /*  623071 */   // Label 10042: @623071
     /*  623071 */   GIM_Try, /*On fail goto*//*Label 10043*/ GIMT_Encode4(623146), // Rule ID 5870 //
     /*  623076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  623087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  623090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  623093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  623125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623144 */     GIR_RootConstrainSelectedInstOperands,
     /*  623145 */     // GIR_Coverage, 5870,
     /*  623145 */     GIR_EraseRootFromParent_Done,
     /*  623146 */   // Label 10043: @623146
     /*  623146 */   GIM_Try, /*On fail goto*//*Label 10044*/ GIMT_Encode4(623221), // Rule ID 5871 //
     /*  623151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  623162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  623165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  623168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623197 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4),
     /*  623200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623219 */     GIR_RootConstrainSelectedInstOperands,
     /*  623220 */     // GIR_Coverage, 5871,
     /*  623220 */     GIR_EraseRootFromParent_Done,
     /*  623221 */   // Label 10044: @623221
     /*  623221 */   GIM_Try, /*On fail goto*//*Label 10045*/ GIMT_Encode4(623296), // Rule ID 5874 //
     /*  623226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  623237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  623240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  623243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  623275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623294 */     GIR_RootConstrainSelectedInstOperands,
     /*  623295 */     // GIR_Coverage, 5874,
     /*  623295 */     GIR_EraseRootFromParent_Done,
     /*  623296 */   // Label 10045: @623296
     /*  623296 */   GIM_Try, /*On fail goto*//*Label 10046*/ GIMT_Encode4(623371), // Rule ID 5875 //
     /*  623301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  623312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  623315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  623318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623347 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  623350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623369 */     GIR_RootConstrainSelectedInstOperands,
     /*  623370 */     // GIR_Coverage, 5875,
     /*  623370 */     GIR_EraseRootFromParent_Done,
     /*  623371 */   // Label 10046: @623371
     /*  623371 */   GIM_Try, /*On fail goto*//*Label 10047*/ GIMT_Encode4(623446), // Rule ID 5878 //
     /*  623376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  623387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  623390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  623393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  623425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623444 */     GIR_RootConstrainSelectedInstOperands,
     /*  623445 */     // GIR_Coverage, 5878,
     /*  623445 */     GIR_EraseRootFromParent_Done,
     /*  623446 */   // Label 10047: @623446
     /*  623446 */   GIM_Try, /*On fail goto*//*Label 10048*/ GIMT_Encode4(623521), // Rule ID 5879 //
     /*  623451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  623462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  623465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  623468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2),
     /*  623500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623519 */     GIR_RootConstrainSelectedInstOperands,
     /*  623520 */     // GIR_Coverage, 5879,
     /*  623520 */     GIR_EraseRootFromParent_Done,
     /*  623521 */   // Label 10048: @623521
     /*  623521 */   GIM_Try, /*On fail goto*//*Label 10049*/ GIMT_Encode4(623596), // Rule ID 5882 //
     /*  623526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  623537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  623540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  623543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  623572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623594 */     GIR_RootConstrainSelectedInstOperands,
     /*  623595 */     // GIR_Coverage, 5882,
     /*  623595 */     GIR_EraseRootFromParent_Done,
     /*  623596 */   // Label 10049: @623596
     /*  623596 */   GIM_Try, /*On fail goto*//*Label 10050*/ GIMT_Encode4(623671), // Rule ID 5883 //
     /*  623601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  623612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  623615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  623618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11156:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  623647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  623666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623669 */     GIR_RootConstrainSelectedInstOperands,
     /*  623670 */     // GIR_Coverage, 5883,
     /*  623670 */     GIR_EraseRootFromParent_Done,
     /*  623671 */   // Label 10050: @623671
     /*  623671 */   GIM_Try, /*On fail goto*//*Label 10051*/ GIMT_Encode4(623746), // Rule ID 5886 //
     /*  623676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  623722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623744 */     GIR_RootConstrainSelectedInstOperands,
     /*  623745 */     // GIR_Coverage, 5886,
     /*  623745 */     GIR_EraseRootFromParent_Done,
     /*  623746 */   // Label 10051: @623746
     /*  623746 */   GIM_Try, /*On fail goto*//*Label 10052*/ GIMT_Encode4(623821), // Rule ID 5887 //
     /*  623751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  623762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  623765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  623768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11156:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  623797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  623816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623819 */     GIR_RootConstrainSelectedInstOperands,
     /*  623820 */     // GIR_Coverage, 5887,
     /*  623820 */     GIR_EraseRootFromParent_Done,
     /*  623821 */   // Label 10052: @623821
     /*  623821 */   GIM_Try, /*On fail goto*//*Label 10053*/ GIMT_Encode4(623896), // Rule ID 5890 //
     /*  623826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  623829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  623872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623894 */     GIR_RootConstrainSelectedInstOperands,
     /*  623895 */     // GIR_Coverage, 5890,
     /*  623895 */     GIR_EraseRootFromParent_Done,
     /*  623896 */   // Label 10053: @623896
     /*  623896 */   GIM_Try, /*On fail goto*//*Label 10054*/ GIMT_Encode4(623971), // Rule ID 5891 //
     /*  623901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  623904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  623912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  623915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  623918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  623921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  623924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  623936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  623940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  623947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11156:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  623947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  623950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  623952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  623954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  623956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  623958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  623963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  623966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  623969 */     GIR_RootConstrainSelectedInstOperands,
     /*  623970 */     // GIR_Coverage, 5891,
     /*  623970 */     GIR_EraseRootFromParent_Done,
     /*  623971 */   // Label 10054: @623971
     /*  623971 */   GIM_Try, /*On fail goto*//*Label 10055*/ GIMT_Encode4(624046), // Rule ID 5894 //
     /*  623976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  623979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  623984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  623987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  623990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  623993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  623996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  623999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  624022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  624025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624044 */     GIR_RootConstrainSelectedInstOperands,
     /*  624045 */     // GIR_Coverage, 5894,
     /*  624045 */     GIR_EraseRootFromParent_Done,
     /*  624046 */   // Label 10055: @624046
     /*  624046 */   GIM_Try, /*On fail goto*//*Label 10056*/ GIMT_Encode4(624121), // Rule ID 5895 //
     /*  624051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  624054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  624062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  624065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  624068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  624086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11156:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  624097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1),
     /*  624100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  624116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624119 */     GIR_RootConstrainSelectedInstOperands,
     /*  624120 */     // GIR_Coverage, 5895,
     /*  624120 */     GIR_EraseRootFromParent_Done,
     /*  624121 */   // Label 10056: @624121
     /*  624121 */   GIM_Try, /*On fail goto*//*Label 10057*/ GIMT_Encode4(624196), // Rule ID 5898 //
     /*  624126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  624137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  624140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  624143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624194 */     GIR_RootConstrainSelectedInstOperands,
     /*  624195 */     // GIR_Coverage, 5898,
     /*  624195 */     GIR_EraseRootFromParent_Done,
     /*  624196 */   // Label 10057: @624196
     /*  624196 */   GIM_Try, /*On fail goto*//*Label 10058*/ GIMT_Encode4(624271), // Rule ID 5899 //
     /*  624201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  624212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  624215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  624218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624269 */     GIR_RootConstrainSelectedInstOperands,
     /*  624270 */     // GIR_Coverage, 5899,
     /*  624270 */     GIR_EraseRootFromParent_Done,
     /*  624271 */   // Label 10058: @624271
     /*  624271 */   GIM_Try, /*On fail goto*//*Label 10059*/ GIMT_Encode4(624346), // Rule ID 5902 //
     /*  624276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  624287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  624290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  624293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624344 */     GIR_RootConstrainSelectedInstOperands,
     /*  624345 */     // GIR_Coverage, 5902,
     /*  624345 */     GIR_EraseRootFromParent_Done,
     /*  624346 */   // Label 10059: @624346
     /*  624346 */   GIM_Try, /*On fail goto*//*Label 10060*/ GIMT_Encode4(624421), // Rule ID 5903 //
     /*  624351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  624362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  624365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  624368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624397 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624419 */     GIR_RootConstrainSelectedInstOperands,
     /*  624420 */     // GIR_Coverage, 5903,
     /*  624420 */     GIR_EraseRootFromParent_Done,
     /*  624421 */   // Label 10060: @624421
     /*  624421 */   GIM_Try, /*On fail goto*//*Label 10061*/ GIMT_Encode4(624496), // Rule ID 5906 //
     /*  624426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  624437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  624440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  624443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  624472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624494 */     GIR_RootConstrainSelectedInstOperands,
     /*  624495 */     // GIR_Coverage, 5906,
     /*  624495 */     GIR_EraseRootFromParent_Done,
     /*  624496 */   // Label 10061: @624496
     /*  624496 */   GIM_Try, /*On fail goto*//*Label 10062*/ GIMT_Encode4(624571), // Rule ID 5907 //
     /*  624501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  624512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  624515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  624518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  624547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  624566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624569 */     GIR_RootConstrainSelectedInstOperands,
     /*  624570 */     // GIR_Coverage, 5907,
     /*  624570 */     GIR_EraseRootFromParent_Done,
     /*  624571 */   // Label 10062: @624571
     /*  624571 */   GIM_Try, /*On fail goto*//*Label 10063*/ GIMT_Encode4(624646), // Rule ID 5910 //
     /*  624576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  624587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  624590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  624593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624644 */     GIR_RootConstrainSelectedInstOperands,
     /*  624645 */     // GIR_Coverage, 5910,
     /*  624645 */     GIR_EraseRootFromParent_Done,
     /*  624646 */   // Label 10063: @624646
     /*  624646 */   GIM_Try, /*On fail goto*//*Label 10064*/ GIMT_Encode4(624721), // Rule ID 5911 //
     /*  624651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  624662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  624665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  624668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  624686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  624700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624719 */     GIR_RootConstrainSelectedInstOperands,
     /*  624720 */     // GIR_Coverage, 5911,
     /*  624720 */     GIR_EraseRootFromParent_Done,
     /*  624721 */   // Label 10064: @624721
     /*  624721 */   GIM_Try, /*On fail goto*//*Label 10065*/ GIMT_Encode4(624796), // Rule ID 5914 //
     /*  624726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624794 */     GIR_RootConstrainSelectedInstOperands,
     /*  624795 */     // GIR_Coverage, 5914,
     /*  624795 */     GIR_EraseRootFromParent_Done,
     /*  624796 */   // Label 10065: @624796
     /*  624796 */   GIM_Try, /*On fail goto*//*Label 10066*/ GIMT_Encode4(624871), // Rule ID 5915 //
     /*  624801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  624812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  624815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  624818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  624836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  624850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624869 */     GIR_RootConstrainSelectedInstOperands,
     /*  624870 */     // GIR_Coverage, 5915,
     /*  624870 */     GIR_EraseRootFromParent_Done,
     /*  624871 */   // Label 10066: @624871
     /*  624871 */   GIM_Try, /*On fail goto*//*Label 10067*/ GIMT_Encode4(624946), // Rule ID 5918 //
     /*  624876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  624879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  624896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  624899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  624922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  624925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  624927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  624929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  624931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  624933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  624938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  624941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  624944 */     GIR_RootConstrainSelectedInstOperands,
     /*  624945 */     // GIR_Coverage, 5918,
     /*  624945 */     GIR_EraseRootFromParent_Done,
     /*  624946 */   // Label 10067: @624946
     /*  624946 */   GIM_Try, /*On fail goto*//*Label 10068*/ GIMT_Encode4(625021), // Rule ID 5919 //
     /*  624951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  624954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  624959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  624962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  624965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  624968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  624971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  624974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  624986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  624990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  624997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  624997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  625016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625019 */     GIR_RootConstrainSelectedInstOperands,
     /*  625020 */     // GIR_Coverage, 5919,
     /*  625020 */     GIR_EraseRootFromParent_Done,
     /*  625021 */   // Label 10068: @625021
     /*  625021 */   GIM_Try, /*On fail goto*//*Label 10069*/ GIMT_Encode4(625096), // Rule ID 5922 //
     /*  625026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  625037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  625040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  625043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  625075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625094 */     GIR_RootConstrainSelectedInstOperands,
     /*  625095 */     // GIR_Coverage, 5922,
     /*  625095 */     GIR_EraseRootFromParent_Done,
     /*  625096 */   // Label 10069: @625096
     /*  625096 */   GIM_Try, /*On fail goto*//*Label 10070*/ GIMT_Encode4(625171), // Rule ID 5923 //
     /*  625101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  625112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  625115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  625118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  625150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625169 */     GIR_RootConstrainSelectedInstOperands,
     /*  625170 */     // GIR_Coverage, 5923,
     /*  625170 */     GIR_EraseRootFromParent_Done,
     /*  625171 */   // Label 10070: @625171
     /*  625171 */   GIM_Try, /*On fail goto*//*Label 10071*/ GIMT_Encode4(625246), // Rule ID 5926 //
     /*  625176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  625187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  625190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  625193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  625225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625244 */     GIR_RootConstrainSelectedInstOperands,
     /*  625245 */     // GIR_Coverage, 5926,
     /*  625245 */     GIR_EraseRootFromParent_Done,
     /*  625246 */   // Label 10071: @625246
     /*  625246 */   GIM_Try, /*On fail goto*//*Label 10072*/ GIMT_Encode4(625321), // Rule ID 5927 //
     /*  625251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  625262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  625265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  625268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  625300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625319 */     GIR_RootConstrainSelectedInstOperands,
     /*  625320 */     // GIR_Coverage, 5927,
     /*  625320 */     GIR_EraseRootFromParent_Done,
     /*  625321 */   // Label 10072: @625321
     /*  625321 */   GIM_Try, /*On fail goto*//*Label 10073*/ GIMT_Encode4(625396), // Rule ID 5930 //
     /*  625326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  625337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  625340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  625343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  625372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625394 */     GIR_RootConstrainSelectedInstOperands,
     /*  625395 */     // GIR_Coverage, 5930,
     /*  625395 */     GIR_EraseRootFromParent_Done,
     /*  625396 */   // Label 10073: @625396
     /*  625396 */   GIM_Try, /*On fail goto*//*Label 10074*/ GIMT_Encode4(625471), // Rule ID 5931 //
     /*  625401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  625404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  625412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  625415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  625418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625447 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  625447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  625466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625469 */     GIR_RootConstrainSelectedInstOperands,
     /*  625470 */     // GIR_Coverage, 5931,
     /*  625470 */     GIR_EraseRootFromParent_Done,
     /*  625471 */   // Label 10074: @625471
     /*  625471 */   GIM_Try, /*On fail goto*//*Label 10075*/ GIMT_Encode4(625546), // Rule ID 5934 //
     /*  625476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  625525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625544 */     GIR_RootConstrainSelectedInstOperands,
     /*  625545 */     // GIR_Coverage, 5934,
     /*  625545 */     GIR_EraseRootFromParent_Done,
     /*  625546 */   // Label 10075: @625546
     /*  625546 */   GIM_Try, /*On fail goto*//*Label 10076*/ GIMT_Encode4(625621), // Rule ID 5935 //
     /*  625551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  625562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  625565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  625568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  625586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11156:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2),
     /*  625600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625619 */     GIR_RootConstrainSelectedInstOperands,
     /*  625620 */     // GIR_Coverage, 5935,
     /*  625620 */     GIR_EraseRootFromParent_Done,
     /*  625621 */   // Label 10076: @625621
     /*  625621 */   GIM_Try, /*On fail goto*//*Label 10077*/ GIMT_Encode4(625696), // Rule ID 5938 //
     /*  625626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  625675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625694 */     GIR_RootConstrainSelectedInstOperands,
     /*  625695 */     // GIR_Coverage, 5938,
     /*  625695 */     GIR_EraseRootFromParent_Done,
     /*  625696 */   // Label 10077: @625696
     /*  625696 */   GIM_Try, /*On fail goto*//*Label 10078*/ GIMT_Encode4(625771), // Rule ID 5939 //
     /*  625701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  625712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  625715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  625718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  625736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11156:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4),
     /*  625750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625769 */     GIR_RootConstrainSelectedInstOperands,
     /*  625770 */     // GIR_Coverage, 5939,
     /*  625770 */     GIR_EraseRootFromParent_Done,
     /*  625771 */   // Label 10078: @625771
     /*  625771 */   GIM_Try, /*On fail goto*//*Label 10079*/ GIMT_Encode4(625846), // Rule ID 5942 //
     /*  625776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  625779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  625796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  625822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625844 */     GIR_RootConstrainSelectedInstOperands,
     /*  625845 */     // GIR_Coverage, 5942,
     /*  625845 */     GIR_EraseRootFromParent_Done,
     /*  625846 */   // Label 10079: @625846
     /*  625846 */   GIM_Try, /*On fail goto*//*Label 10080*/ GIMT_Encode4(625921), // Rule ID 5943 //
     /*  625851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  625854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand),
     /*  625859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  625862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  625865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  625868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  625871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  625874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  625886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  625890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625897 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11156:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAND_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  625897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8),
     /*  625900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  625916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625919 */     GIR_RootConstrainSelectedInstOperands,
     /*  625920 */     // GIR_Coverage, 5943,
     /*  625920 */     GIR_EraseRootFromParent_Done,
     /*  625921 */   // Label 10080: @625921
     /*  625921 */   GIM_Try, /*On fail goto*//*Label 10081*/ GIMT_Encode4(625996), // Rule ID 6034 //
     /*  625926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  625929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  625934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  625937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  625940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  625943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  625946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  625949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  625965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  625972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  625972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  625975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  625977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  625979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  625981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  625983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  625988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  625991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  625994 */     GIR_RootConstrainSelectedInstOperands,
     /*  625995 */     // GIR_Coverage, 6034,
     /*  625995 */     GIR_EraseRootFromParent_Done,
     /*  625996 */   // Label 10081: @625996
     /*  625996 */   GIM_Try, /*On fail goto*//*Label 10082*/ GIMT_Encode4(626071), // Rule ID 6035 //
     /*  626001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  626012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  626015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  626018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  626021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626047 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8),
     /*  626050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626069 */     GIR_RootConstrainSelectedInstOperands,
     /*  626070 */     // GIR_Coverage, 6035,
     /*  626070 */     GIR_EraseRootFromParent_Done,
     /*  626071 */   // Label 10082: @626071
     /*  626071 */   GIM_Try, /*On fail goto*//*Label 10083*/ GIMT_Encode4(626146), // Rule ID 6038 //
     /*  626076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  626087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  626090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  626093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  626096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  626125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626144 */     GIR_RootConstrainSelectedInstOperands,
     /*  626145 */     // GIR_Coverage, 6038,
     /*  626145 */     GIR_EraseRootFromParent_Done,
     /*  626146 */   // Label 10083: @626146
     /*  626146 */   GIM_Try, /*On fail goto*//*Label 10084*/ GIMT_Encode4(626221), // Rule ID 6039 //
     /*  626151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  626162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  626165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  626168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  626171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  626200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626219 */     GIR_RootConstrainSelectedInstOperands,
     /*  626220 */     // GIR_Coverage, 6039,
     /*  626220 */     GIR_EraseRootFromParent_Done,
     /*  626221 */   // Label 10084: @626221
     /*  626221 */   GIM_Try, /*On fail goto*//*Label 10085*/ GIMT_Encode4(626296), // Rule ID 6042 //
     /*  626226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  626237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  626240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  626243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  626246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626294 */     GIR_RootConstrainSelectedInstOperands,
     /*  626295 */     // GIR_Coverage, 6042,
     /*  626295 */     GIR_EraseRootFromParent_Done,
     /*  626296 */   // Label 10085: @626296
     /*  626296 */   GIM_Try, /*On fail goto*//*Label 10086*/ GIMT_Encode4(626371), // Rule ID 6043 //
     /*  626301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  626312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  626315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  626318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  626321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626369 */     GIR_RootConstrainSelectedInstOperands,
     /*  626370 */     // GIR_Coverage, 6043,
     /*  626370 */     GIR_EraseRootFromParent_Done,
     /*  626371 */   // Label 10086: @626371
     /*  626371 */   GIM_Try, /*On fail goto*//*Label 10087*/ GIMT_Encode4(626446), // Rule ID 6046 //
     /*  626376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  626387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  626390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  626393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  626396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  626425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626444 */     GIR_RootConstrainSelectedInstOperands,
     /*  626445 */     // GIR_Coverage, 6046,
     /*  626445 */     GIR_EraseRootFromParent_Done,
     /*  626446 */   // Label 10087: @626446
     /*  626446 */   GIM_Try, /*On fail goto*//*Label 10088*/ GIMT_Encode4(626521), // Rule ID 6047 //
     /*  626451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  626462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  626465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  626468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  626471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4),
     /*  626500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626519 */     GIR_RootConstrainSelectedInstOperands,
     /*  626520 */     // GIR_Coverage, 6047,
     /*  626520 */     GIR_EraseRootFromParent_Done,
     /*  626521 */   // Label 10088: @626521
     /*  626521 */   GIM_Try, /*On fail goto*//*Label 10089*/ GIMT_Encode4(626596), // Rule ID 6050 //
     /*  626526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  626537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  626540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  626543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  626546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  626572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626594 */     GIR_RootConstrainSelectedInstOperands,
     /*  626595 */     // GIR_Coverage, 6050,
     /*  626595 */     GIR_EraseRootFromParent_Done,
     /*  626596 */   // Label 10089: @626596
     /*  626596 */   GIM_Try, /*On fail goto*//*Label 10090*/ GIMT_Encode4(626671), // Rule ID 6051 //
     /*  626601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  626612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  626615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  626618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  626621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  626647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  626666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626669 */     GIR_RootConstrainSelectedInstOperands,
     /*  626670 */     // GIR_Coverage, 6051,
     /*  626670 */     GIR_EraseRootFromParent_Done,
     /*  626671 */   // Label 10090: @626671
     /*  626671 */   GIM_Try, /*On fail goto*//*Label 10091*/ GIMT_Encode4(626746), // Rule ID 6054 //
     /*  626676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  626696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  626722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626744 */     GIR_RootConstrainSelectedInstOperands,
     /*  626745 */     // GIR_Coverage, 6054,
     /*  626745 */     GIR_EraseRootFromParent_Done,
     /*  626746 */   // Label 10091: @626746
     /*  626746 */   GIM_Try, /*On fail goto*//*Label 10092*/ GIMT_Encode4(626821), // Rule ID 6055 //
     /*  626751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  626762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  626765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  626768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  626771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  626797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2),
     /*  626800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  626816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626819 */     GIR_RootConstrainSelectedInstOperands,
     /*  626820 */     // GIR_Coverage, 6055,
     /*  626820 */     GIR_EraseRootFromParent_Done,
     /*  626821 */   // Label 10092: @626821
     /*  626821 */   GIM_Try, /*On fail goto*//*Label 10093*/ GIMT_Encode4(626896), // Rule ID 6058 //
     /*  626826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  626846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  626872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626894 */     GIR_RootConstrainSelectedInstOperands,
     /*  626895 */     // GIR_Coverage, 6058,
     /*  626895 */     GIR_EraseRootFromParent_Done,
     /*  626896 */   // Label 10093: @626896
     /*  626896 */   GIM_Try, /*On fail goto*//*Label 10094*/ GIMT_Encode4(626971), // Rule ID 6059 //
     /*  626901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  626904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  626912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  626915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  626918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  626921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  626924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  626940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  626947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  626947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  626950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  626952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  626954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  626956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  626958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  626963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  626966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  626969 */     GIR_RootConstrainSelectedInstOperands,
     /*  626970 */     // GIR_Coverage, 6059,
     /*  626970 */     GIR_EraseRootFromParent_Done,
     /*  626971 */   // Label 10094: @626971
     /*  626971 */   GIM_Try, /*On fail goto*//*Label 10095*/ GIMT_Encode4(627046), // Rule ID 6062 //
     /*  626976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  626979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  626984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  626987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  626990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  626993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  626996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  626999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  627025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627044 */     GIR_RootConstrainSelectedInstOperands,
     /*  627045 */     // GIR_Coverage, 6062,
     /*  627045 */     GIR_EraseRootFromParent_Done,
     /*  627046 */   // Label 10095: @627046
     /*  627046 */   GIM_Try, /*On fail goto*//*Label 10096*/ GIMT_Encode4(627121), // Rule ID 6063 //
     /*  627051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  627062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  627065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  627068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  627071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  627100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627119 */     GIR_RootConstrainSelectedInstOperands,
     /*  627120 */     // GIR_Coverage, 6063,
     /*  627120 */     GIR_EraseRootFromParent_Done,
     /*  627121 */   // Label 10096: @627121
     /*  627121 */   GIM_Try, /*On fail goto*//*Label 10097*/ GIMT_Encode4(627196), // Rule ID 6066 //
     /*  627126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  627137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  627140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  627143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  627146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  627172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  627175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627194 */     GIR_RootConstrainSelectedInstOperands,
     /*  627195 */     // GIR_Coverage, 6066,
     /*  627195 */     GIR_EraseRootFromParent_Done,
     /*  627196 */   // Label 10097: @627196
     /*  627196 */   GIM_Try, /*On fail goto*//*Label 10098*/ GIMT_Encode4(627271), // Rule ID 6067 //
     /*  627201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  627212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  627215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  627218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  627221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  627247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  627250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  627266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627269 */     GIR_RootConstrainSelectedInstOperands,
     /*  627270 */     // GIR_Coverage, 6067,
     /*  627270 */     GIR_EraseRootFromParent_Done,
     /*  627271 */   // Label 10098: @627271
     /*  627271 */   GIM_Try, /*On fail goto*//*Label 10099*/ GIMT_Encode4(627346), // Rule ID 6070 //
     /*  627276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  627279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  627287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  627290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  627293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  627296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  627322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  627325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627344 */     GIR_RootConstrainSelectedInstOperands,
     /*  627345 */     // GIR_Coverage, 6070,
     /*  627345 */     GIR_EraseRootFromParent_Done,
     /*  627346 */   // Label 10099: @627346
     /*  627346 */   GIM_Try, /*On fail goto*//*Label 10100*/ GIMT_Encode4(627421), // Rule ID 6071 //
     /*  627351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  627354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  627362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  627365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  627368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  627371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  627390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  627397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1),
     /*  627400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  627416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627419 */     GIR_RootConstrainSelectedInstOperands,
     /*  627420 */     // GIR_Coverage, 6071,
     /*  627420 */     GIR_EraseRootFromParent_Done,
     /*  627421 */   // Label 10100: @627421
     /*  627421 */   GIM_Try, /*On fail goto*//*Label 10101*/ GIMT_Encode4(627496), // Rule ID 6074 //
     /*  627426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  627437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  627440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  627443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  627446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627494 */     GIR_RootConstrainSelectedInstOperands,
     /*  627495 */     // GIR_Coverage, 6074,
     /*  627495 */     GIR_EraseRootFromParent_Done,
     /*  627496 */   // Label 10101: @627496
     /*  627496 */   GIM_Try, /*On fail goto*//*Label 10102*/ GIMT_Encode4(627571), // Rule ID 6075 //
     /*  627501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  627512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  627515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  627518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  627521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627569 */     GIR_RootConstrainSelectedInstOperands,
     /*  627570 */     // GIR_Coverage, 6075,
     /*  627570 */     GIR_EraseRootFromParent_Done,
     /*  627571 */   // Label 10102: @627571
     /*  627571 */   GIM_Try, /*On fail goto*//*Label 10103*/ GIMT_Encode4(627646), // Rule ID 6078 //
     /*  627576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  627587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  627590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  627593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  627596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627644 */     GIR_RootConstrainSelectedInstOperands,
     /*  627645 */     // GIR_Coverage, 6078,
     /*  627645 */     GIR_EraseRootFromParent_Done,
     /*  627646 */   // Label 10103: @627646
     /*  627646 */   GIM_Try, /*On fail goto*//*Label 10104*/ GIMT_Encode4(627721), // Rule ID 6079 //
     /*  627651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  627662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  627665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  627668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  627671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  627690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627697 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  627700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627719 */     GIR_RootConstrainSelectedInstOperands,
     /*  627720 */     // GIR_Coverage, 6079,
     /*  627720 */     GIR_EraseRootFromParent_Done,
     /*  627721 */   // Label 10104: @627721
     /*  627721 */   GIM_Try, /*On fail goto*//*Label 10105*/ GIMT_Encode4(627796), // Rule ID 6082 //
     /*  627726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  627746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627772 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  627772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627794 */     GIR_RootConstrainSelectedInstOperands,
     /*  627795 */     // GIR_Coverage, 6082,
     /*  627795 */     GIR_EraseRootFromParent_Done,
     /*  627796 */   // Label 10105: @627796
     /*  627796 */   GIM_Try, /*On fail goto*//*Label 10106*/ GIMT_Encode4(627871), // Rule ID 6083 //
     /*  627801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  627812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  627815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  627818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  627821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  627840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  627847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  627850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  627866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627869 */     GIR_RootConstrainSelectedInstOperands,
     /*  627870 */     // GIR_Coverage, 6083,
     /*  627870 */     GIR_EraseRootFromParent_Done,
     /*  627871 */   // Label 10106: @627871
     /*  627871 */   GIM_Try, /*On fail goto*//*Label 10107*/ GIMT_Encode4(627946), // Rule ID 6086 //
     /*  627876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  627879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  627896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  627899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  627922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  627925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  627927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  627929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  627931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  627933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  627938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  627941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  627944 */     GIR_RootConstrainSelectedInstOperands,
     /*  627945 */     // GIR_Coverage, 6086,
     /*  627945 */     GIR_EraseRootFromParent_Done,
     /*  627946 */   // Label 10107: @627946
     /*  627946 */   GIM_Try, /*On fail goto*//*Label 10108*/ GIMT_Encode4(628021), // Rule ID 6087 //
     /*  627951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  627954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  627959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  627962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  627965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  627968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  627971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  627974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  627990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  627997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  627997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628019 */     GIR_RootConstrainSelectedInstOperands,
     /*  628020 */     // GIR_Coverage, 6087,
     /*  628020 */     GIR_EraseRootFromParent_Done,
     /*  628021 */   // Label 10108: @628021
     /*  628021 */   GIM_Try, /*On fail goto*//*Label 10109*/ GIMT_Encode4(628096), // Rule ID 6090 //
     /*  628026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  628037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  628040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  628043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  628046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628094 */     GIR_RootConstrainSelectedInstOperands,
     /*  628095 */     // GIR_Coverage, 6090,
     /*  628095 */     GIR_EraseRootFromParent_Done,
     /*  628096 */   // Label 10109: @628096
     /*  628096 */   GIM_Try, /*On fail goto*//*Label 10110*/ GIMT_Encode4(628171), // Rule ID 6091 //
     /*  628101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  628112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  628115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  628118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  628121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628169 */     GIR_RootConstrainSelectedInstOperands,
     /*  628170 */     // GIR_Coverage, 6091,
     /*  628170 */     GIR_EraseRootFromParent_Done,
     /*  628171 */   // Label 10110: @628171
     /*  628171 */   GIM_Try, /*On fail goto*//*Label 10111*/ GIMT_Encode4(628246), // Rule ID 6094 //
     /*  628176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  628187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  628190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  628193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  628196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  628222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628244 */     GIR_RootConstrainSelectedInstOperands,
     /*  628245 */     // GIR_Coverage, 6094,
     /*  628245 */     GIR_EraseRootFromParent_Done,
     /*  628246 */   // Label 10111: @628246
     /*  628246 */   GIM_Try, /*On fail goto*//*Label 10112*/ GIMT_Encode4(628321), // Rule ID 6095 //
     /*  628251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  628262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  628265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  628268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  628271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628297 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  628297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  628316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628319 */     GIR_RootConstrainSelectedInstOperands,
     /*  628320 */     // GIR_Coverage, 6095,
     /*  628320 */     GIR_EraseRootFromParent_Done,
     /*  628321 */   // Label 10112: @628321
     /*  628321 */   GIM_Try, /*On fail goto*//*Label 10113*/ GIMT_Encode4(628396), // Rule ID 6098 //
     /*  628326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  628337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  628340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  628343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  628346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628394 */     GIR_RootConstrainSelectedInstOperands,
     /*  628395 */     // GIR_Coverage, 6098,
     /*  628395 */     GIR_EraseRootFromParent_Done,
     /*  628396 */   // Label 10113: @628396
     /*  628396 */   GIM_Try, /*On fail goto*//*Label 10114*/ GIMT_Encode4(628471), // Rule ID 6099 //
     /*  628401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  628412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  628415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  628418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  628421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628469 */     GIR_RootConstrainSelectedInstOperands,
     /*  628470 */     // GIR_Coverage, 6099,
     /*  628470 */     GIR_EraseRootFromParent_Done,
     /*  628471 */   // Label 10114: @628471
     /*  628471 */   GIM_Try, /*On fail goto*//*Label 10115*/ GIMT_Encode4(628546), // Rule ID 6102 //
     /*  628476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  628487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  628490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  628493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  628496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628544 */     GIR_RootConstrainSelectedInstOperands,
     /*  628545 */     // GIR_Coverage, 6102,
     /*  628545 */     GIR_EraseRootFromParent_Done,
     /*  628546 */   // Label 10115: @628546
     /*  628546 */   GIM_Try, /*On fail goto*//*Label 10116*/ GIMT_Encode4(628621), // Rule ID 6103 //
     /*  628551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  628562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  628565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  628568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  628571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628619 */     GIR_RootConstrainSelectedInstOperands,
     /*  628620 */     // GIR_Coverage, 6103,
     /*  628620 */     GIR_EraseRootFromParent_Done,
     /*  628621 */   // Label 10116: @628621
     /*  628621 */   GIM_Try, /*On fail goto*//*Label 10117*/ GIMT_Encode4(628696), // Rule ID 6106 //
     /*  628626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  628629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  628646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  628672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628694 */     GIR_RootConstrainSelectedInstOperands,
     /*  628695 */     // GIR_Coverage, 6106,
     /*  628695 */     GIR_EraseRootFromParent_Done,
     /*  628696 */   // Label 10117: @628696
     /*  628696 */   GIM_Try, /*On fail goto*//*Label 10118*/ GIMT_Encode4(628771), // Rule ID 6107 //
     /*  628701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  628704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  628712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  628715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  628718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  628721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  628740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  628747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  628750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  628766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628769 */     GIR_RootConstrainSelectedInstOperands,
     /*  628770 */     // GIR_Coverage, 6107,
     /*  628770 */     GIR_EraseRootFromParent_Done,
     /*  628771 */   // Label 10118: @628771
     /*  628771 */   GIM_Try, /*On fail goto*//*Label 10119*/ GIMT_Encode4(628846), // Rule ID 6110 //
     /*  628776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  628796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628844 */     GIR_RootConstrainSelectedInstOperands,
     /*  628845 */     // GIR_Coverage, 6110,
     /*  628845 */     GIR_EraseRootFromParent_Done,
     /*  628846 */   // Label 10119: @628846
     /*  628846 */   GIM_Try, /*On fail goto*//*Label 10120*/ GIMT_Encode4(628921), // Rule ID 6111 //
     /*  628851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  628854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  628862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  628865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  628868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  628871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  628874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  628890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  628897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2),
     /*  628900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628919 */     GIR_RootConstrainSelectedInstOperands,
     /*  628920 */     // GIR_Coverage, 6111,
     /*  628920 */     GIR_EraseRootFromParent_Done,
     /*  628921 */   // Label 10120: @628921
     /*  628921 */   GIM_Try, /*On fail goto*//*Label 10121*/ GIMT_Encode4(628996), // Rule ID 6114 //
     /*  628926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  628929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  628934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  628937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  628940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  628943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  628946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  628949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  628965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  628972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  628972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  628975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  628977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  628979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  628981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  628983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  628988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  628991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  628994 */     GIR_RootConstrainSelectedInstOperands,
     /*  628995 */     // GIR_Coverage, 6114,
     /*  628995 */     GIR_EraseRootFromParent_Done,
     /*  628996 */   // Label 10121: @628996
     /*  628996 */   GIM_Try, /*On fail goto*//*Label 10122*/ GIMT_Encode4(629071), // Rule ID 6115 //
     /*  629001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  629012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  629015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  629018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  629021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  629040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629047 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4),
     /*  629050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629069 */     GIR_RootConstrainSelectedInstOperands,
     /*  629070 */     // GIR_Coverage, 6115,
     /*  629070 */     GIR_EraseRootFromParent_Done,
     /*  629071 */   // Label 10122: @629071
     /*  629071 */   GIM_Try, /*On fail goto*//*Label 10123*/ GIMT_Encode4(629146), // Rule ID 6118 //
     /*  629076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  629079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  629087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  629090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  629093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  629096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  629122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  629125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629144 */     GIR_RootConstrainSelectedInstOperands,
     /*  629145 */     // GIR_Coverage, 6118,
     /*  629145 */     GIR_EraseRootFromParent_Done,
     /*  629146 */   // Label 10123: @629146
     /*  629146 */   GIM_Try, /*On fail goto*//*Label 10124*/ GIMT_Encode4(629221), // Rule ID 6119 //
     /*  629151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  629154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  629162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  629165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  629168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  629171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  629190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  629197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8),
     /*  629200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  629216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629219 */     GIR_RootConstrainSelectedInstOperands,
     /*  629220 */     // GIR_Coverage, 6119,
     /*  629220 */     GIR_EraseRootFromParent_Done,
     /*  629221 */   // Label 10124: @629221
     /*  629221 */   GIM_Try, /*On fail goto*//*Label 10125*/ GIMT_Encode4(629296), // Rule ID 6122 //
     /*  629226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  629237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  629240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  629243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  629275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629294 */     GIR_RootConstrainSelectedInstOperands,
     /*  629295 */     // GIR_Coverage, 6122,
     /*  629295 */     GIR_EraseRootFromParent_Done,
     /*  629296 */   // Label 10125: @629296
     /*  629296 */   GIM_Try, /*On fail goto*//*Label 10126*/ GIMT_Encode4(629371), // Rule ID 6123 //
     /*  629301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  629312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  629315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  629318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8),
     /*  629350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629369 */     GIR_RootConstrainSelectedInstOperands,
     /*  629370 */     // GIR_Coverage, 6123,
     /*  629370 */     GIR_EraseRootFromParent_Done,
     /*  629371 */   // Label 10126: @629371
     /*  629371 */   GIM_Try, /*On fail goto*//*Label 10127*/ GIMT_Encode4(629446), // Rule ID 6126 //
     /*  629376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  629387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  629390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  629393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629444 */     GIR_RootConstrainSelectedInstOperands,
     /*  629445 */     // GIR_Coverage, 6126,
     /*  629445 */     GIR_EraseRootFromParent_Done,
     /*  629446 */   // Label 10127: @629446
     /*  629446 */   GIM_Try, /*On fail goto*//*Label 10128*/ GIMT_Encode4(629521), // Rule ID 6127 //
     /*  629451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  629462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  629465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  629468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629497 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629519 */     GIR_RootConstrainSelectedInstOperands,
     /*  629520 */     // GIR_Coverage, 6127,
     /*  629520 */     GIR_EraseRootFromParent_Done,
     /*  629521 */   // Label 10128: @629521
     /*  629521 */   GIM_Try, /*On fail goto*//*Label 10129*/ GIMT_Encode4(629596), // Rule ID 6130 //
     /*  629526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  629537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  629540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  629543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  629572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629594 */     GIR_RootConstrainSelectedInstOperands,
     /*  629595 */     // GIR_Coverage, 6130,
     /*  629595 */     GIR_EraseRootFromParent_Done,
     /*  629596 */   // Label 10129: @629596
     /*  629596 */   GIM_Try, /*On fail goto*//*Label 10130*/ GIMT_Encode4(629671), // Rule ID 6131 //
     /*  629601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  629612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  629615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  629618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629647 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  629647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  629666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629669 */     GIR_RootConstrainSelectedInstOperands,
     /*  629670 */     // GIR_Coverage, 6131,
     /*  629670 */     GIR_EraseRootFromParent_Done,
     /*  629671 */   // Label 10130: @629671
     /*  629671 */   GIM_Try, /*On fail goto*//*Label 10131*/ GIMT_Encode4(629746), // Rule ID 6134 //
     /*  629676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629744 */     GIR_RootConstrainSelectedInstOperands,
     /*  629745 */     // GIR_Coverage, 6134,
     /*  629745 */     GIR_EraseRootFromParent_Done,
     /*  629746 */   // Label 10131: @629746
     /*  629746 */   GIM_Try, /*On fail goto*//*Label 10132*/ GIMT_Encode4(629821), // Rule ID 6135 //
     /*  629751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  629762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  629765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  629768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629797 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4),
     /*  629800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629819 */     GIR_RootConstrainSelectedInstOperands,
     /*  629820 */     // GIR_Coverage, 6135,
     /*  629820 */     GIR_EraseRootFromParent_Done,
     /*  629821 */   // Label 10132: @629821
     /*  629821 */   GIM_Try, /*On fail goto*//*Label 10133*/ GIMT_Encode4(629896), // Rule ID 6138 //
     /*  629826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  629872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629894 */     GIR_RootConstrainSelectedInstOperands,
     /*  629895 */     // GIR_Coverage, 6138,
     /*  629895 */     GIR_EraseRootFromParent_Done,
     /*  629896 */   // Label 10133: @629896
     /*  629896 */   GIM_Try, /*On fail goto*//*Label 10134*/ GIMT_Encode4(629971), // Rule ID 6139 //
     /*  629901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  629904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  629912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  629915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  629918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  629921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  629924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  629936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  629940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  629947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  629947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  629950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  629952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  629954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  629956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  629958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  629963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  629966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  629969 */     GIR_RootConstrainSelectedInstOperands,
     /*  629970 */     // GIR_Coverage, 6139,
     /*  629970 */     GIR_EraseRootFromParent_Done,
     /*  629971 */   // Label 10134: @629971
     /*  629971 */   GIM_Try, /*On fail goto*//*Label 10135*/ GIMT_Encode4(630046), // Rule ID 6142 //
     /*  629976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  629979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  629984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  629987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  629990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  629993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  629996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  629999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  630025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630044 */     GIR_RootConstrainSelectedInstOperands,
     /*  630045 */     // GIR_Coverage, 6142,
     /*  630045 */     GIR_EraseRootFromParent_Done,
     /*  630046 */   // Label 10135: @630046
     /*  630046 */   GIM_Try, /*On fail goto*//*Label 10136*/ GIMT_Encode4(630121), // Rule ID 6143 //
     /*  630051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  630062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  630065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  630068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2),
     /*  630100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630119 */     GIR_RootConstrainSelectedInstOperands,
     /*  630120 */     // GIR_Coverage, 6143,
     /*  630120 */     GIR_EraseRootFromParent_Done,
     /*  630121 */   // Label 10136: @630121
     /*  630121 */   GIM_Try, /*On fail goto*//*Label 10137*/ GIMT_Encode4(630196), // Rule ID 6146 //
     /*  630126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  630137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  630140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  630143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630194 */     GIR_RootConstrainSelectedInstOperands,
     /*  630195 */     // GIR_Coverage, 6146,
     /*  630195 */     GIR_EraseRootFromParent_Done,
     /*  630196 */   // Label 10137: @630196
     /*  630196 */   GIM_Try, /*On fail goto*//*Label 10138*/ GIMT_Encode4(630271), // Rule ID 6147 //
     /*  630201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  630212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  630215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  630218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630247 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11495:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630269 */     GIR_RootConstrainSelectedInstOperands,
     /*  630270 */     // GIR_Coverage, 6147,
     /*  630270 */     GIR_EraseRootFromParent_Done,
     /*  630271 */   // Label 10138: @630271
     /*  630271 */   GIM_Try, /*On fail goto*//*Label 10139*/ GIMT_Encode4(630346), // Rule ID 6150 //
     /*  630276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  630287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  630290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  630293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  630322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630344 */     GIR_RootConstrainSelectedInstOperands,
     /*  630345 */     // GIR_Coverage, 6150,
     /*  630345 */     GIR_EraseRootFromParent_Done,
     /*  630346 */   // Label 10139: @630346
     /*  630346 */   GIM_Try, /*On fail goto*//*Label 10140*/ GIMT_Encode4(630421), // Rule ID 6151 //
     /*  630351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  630362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  630365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  630368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11495:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  630397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  630416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630419 */     GIR_RootConstrainSelectedInstOperands,
     /*  630420 */     // GIR_Coverage, 6151,
     /*  630420 */     GIR_EraseRootFromParent_Done,
     /*  630421 */   // Label 10140: @630421
     /*  630421 */   GIM_Try, /*On fail goto*//*Label 10141*/ GIMT_Encode4(630496), // Rule ID 6154 //
     /*  630426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  630437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  630440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  630443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  630472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630494 */     GIR_RootConstrainSelectedInstOperands,
     /*  630495 */     // GIR_Coverage, 6154,
     /*  630495 */     GIR_EraseRootFromParent_Done,
     /*  630496 */   // Label 10141: @630496
     /*  630496 */   GIM_Try, /*On fail goto*//*Label 10142*/ GIMT_Encode4(630571), // Rule ID 6155 //
     /*  630501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  630512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  630515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  630518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11495:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  630547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  630566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630569 */     GIR_RootConstrainSelectedInstOperands,
     /*  630570 */     // GIR_Coverage, 6155,
     /*  630570 */     GIR_EraseRootFromParent_Done,
     /*  630571 */   // Label 10142: @630571
     /*  630571 */   GIM_Try, /*On fail goto*//*Label 10143*/ GIMT_Encode4(630646), // Rule ID 6158 //
     /*  630576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  630579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  630587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  630590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  630593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  630622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630644 */     GIR_RootConstrainSelectedInstOperands,
     /*  630645 */     // GIR_Coverage, 6158,
     /*  630645 */     GIR_EraseRootFromParent_Done,
     /*  630646 */   // Label 10143: @630646
     /*  630646 */   GIM_Try, /*On fail goto*//*Label 10144*/ GIMT_Encode4(630721), // Rule ID 6159 //
     /*  630651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  630654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  630662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  630665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  630668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  630686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11495:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  630697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1),
     /*  630700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  630716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630719 */     GIR_RootConstrainSelectedInstOperands,
     /*  630720 */     // GIR_Coverage, 6159,
     /*  630720 */     GIR_EraseRootFromParent_Done,
     /*  630721 */   // Label 10144: @630721
     /*  630721 */   GIM_Try, /*On fail goto*//*Label 10145*/ GIMT_Encode4(630796), // Rule ID 6162 //
     /*  630726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630794 */     GIR_RootConstrainSelectedInstOperands,
     /*  630795 */     // GIR_Coverage, 6162,
     /*  630795 */     GIR_EraseRootFromParent_Done,
     /*  630796 */   // Label 10145: @630796
     /*  630796 */   GIM_Try, /*On fail goto*//*Label 10146*/ GIMT_Encode4(630871), // Rule ID 6163 //
     /*  630801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  630812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  630815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  630818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  630836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630847 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  630850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630869 */     GIR_RootConstrainSelectedInstOperands,
     /*  630870 */     // GIR_Coverage, 6163,
     /*  630870 */     GIR_EraseRootFromParent_Done,
     /*  630871 */   // Label 10146: @630871
     /*  630871 */   GIM_Try, /*On fail goto*//*Label 10147*/ GIMT_Encode4(630946), // Rule ID 6166 //
     /*  630876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  630879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  630896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  630899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  630922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  630925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  630927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  630929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  630931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  630933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  630938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  630941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  630944 */     GIR_RootConstrainSelectedInstOperands,
     /*  630945 */     // GIR_Coverage, 6166,
     /*  630945 */     GIR_EraseRootFromParent_Done,
     /*  630946 */   // Label 10147: @630946
     /*  630946 */   GIM_Try, /*On fail goto*//*Label 10148*/ GIMT_Encode4(631021), // Rule ID 6167 //
     /*  630951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  630954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  630959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  630962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  630965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  630968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  630971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  630974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  630986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  630990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  630997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  630997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631019 */     GIR_RootConstrainSelectedInstOperands,
     /*  631020 */     // GIR_Coverage, 6167,
     /*  631020 */     GIR_EraseRootFromParent_Done,
     /*  631021 */   // Label 10148: @631021
     /*  631021 */   GIM_Try, /*On fail goto*//*Label 10149*/ GIMT_Encode4(631096), // Rule ID 6170 //
     /*  631026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  631037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  631040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  631043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631072 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  631072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631094 */     GIR_RootConstrainSelectedInstOperands,
     /*  631095 */     // GIR_Coverage, 6170,
     /*  631095 */     GIR_EraseRootFromParent_Done,
     /*  631096 */   // Label 10149: @631096
     /*  631096 */   GIM_Try, /*On fail goto*//*Label 10150*/ GIMT_Encode4(631171), // Rule ID 6171 //
     /*  631101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  631112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  631115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  631118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631147 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  631147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  631166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631169 */     GIR_RootConstrainSelectedInstOperands,
     /*  631170 */     // GIR_Coverage, 6171,
     /*  631170 */     GIR_EraseRootFromParent_Done,
     /*  631171 */   // Label 10150: @631171
     /*  631171 */   GIM_Try, /*On fail goto*//*Label 10151*/ GIMT_Encode4(631246), // Rule ID 6174 //
     /*  631176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  631187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  631190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  631193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631244 */     GIR_RootConstrainSelectedInstOperands,
     /*  631245 */     // GIR_Coverage, 6174,
     /*  631245 */     GIR_EraseRootFromParent_Done,
     /*  631246 */   // Label 10151: @631246
     /*  631246 */   GIM_Try, /*On fail goto*//*Label 10152*/ GIMT_Encode4(631321), // Rule ID 6175 //
     /*  631251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  631262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  631265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  631268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631319 */     GIR_RootConstrainSelectedInstOperands,
     /*  631320 */     // GIR_Coverage, 6175,
     /*  631320 */     GIR_EraseRootFromParent_Done,
     /*  631321 */   // Label 10152: @631321
     /*  631321 */   GIM_Try, /*On fail goto*//*Label 10153*/ GIMT_Encode4(631396), // Rule ID 6178 //
     /*  631326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  631337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  631340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  631343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631394 */     GIR_RootConstrainSelectedInstOperands,
     /*  631395 */     // GIR_Coverage, 6178,
     /*  631395 */     GIR_EraseRootFromParent_Done,
     /*  631396 */   // Label 10153: @631396
     /*  631396 */   GIM_Try, /*On fail goto*//*Label 10154*/ GIMT_Encode4(631471), // Rule ID 6179 //
     /*  631401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  631412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  631415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  631418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631469 */     GIR_RootConstrainSelectedInstOperands,
     /*  631470 */     // GIR_Coverage, 6179,
     /*  631470 */     GIR_EraseRootFromParent_Done,
     /*  631471 */   // Label 10154: @631471
     /*  631471 */   GIM_Try, /*On fail goto*//*Label 10155*/ GIMT_Encode4(631546), // Rule ID 6182 //
     /*  631476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  631487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  631490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  631493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  631522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631544 */     GIR_RootConstrainSelectedInstOperands,
     /*  631545 */     // GIR_Coverage, 6182,
     /*  631545 */     GIR_EraseRootFromParent_Done,
     /*  631546 */   // Label 10155: @631546
     /*  631546 */   GIM_Try, /*On fail goto*//*Label 10156*/ GIMT_Encode4(631621), // Rule ID 6183 //
     /*  631551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  631562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  631565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  631568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631597 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  631597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  631616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631619 */     GIR_RootConstrainSelectedInstOperands,
     /*  631620 */     // GIR_Coverage, 6183,
     /*  631620 */     GIR_EraseRootFromParent_Done,
     /*  631621 */   // Label 10156: @631621
     /*  631621 */   GIM_Try, /*On fail goto*//*Label 10157*/ GIMT_Encode4(631696), // Rule ID 6186 //
     /*  631626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631694 */     GIR_RootConstrainSelectedInstOperands,
     /*  631695 */     // GIR_Coverage, 6186,
     /*  631695 */     GIR_EraseRootFromParent_Done,
     /*  631696 */   // Label 10157: @631696
     /*  631696 */   GIM_Try, /*On fail goto*//*Label 10158*/ GIMT_Encode4(631771), // Rule ID 6187 //
     /*  631701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  631712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  631715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  631718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  631736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  631750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631769 */     GIR_RootConstrainSelectedInstOperands,
     /*  631770 */     // GIR_Coverage, 6187,
     /*  631770 */     GIR_EraseRootFromParent_Done,
     /*  631771 */   // Label 10158: @631771
     /*  631771 */   GIM_Try, /*On fail goto*//*Label 10159*/ GIMT_Encode4(631846), // Rule ID 6190 //
     /*  631776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631844 */     GIR_RootConstrainSelectedInstOperands,
     /*  631845 */     // GIR_Coverage, 6190,
     /*  631845 */     GIR_EraseRootFromParent_Done,
     /*  631846 */   // Label 10159: @631846
     /*  631846 */   GIM_Try, /*On fail goto*//*Label 10160*/ GIMT_Encode4(631921), // Rule ID 6191 //
     /*  631851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  631854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  631862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  631865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  631868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  631871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  631874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  631886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  631897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  631900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631919 */     GIR_RootConstrainSelectedInstOperands,
     /*  631920 */     // GIR_Coverage, 6191,
     /*  631920 */     GIR_EraseRootFromParent_Done,
     /*  631921 */   // Label 10160: @631921
     /*  631921 */   GIM_Try, /*On fail goto*//*Label 10161*/ GIMT_Encode4(631996), // Rule ID 6194 //
     /*  631926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  631929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  631934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  631937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  631940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  631943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  631946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  631949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  631961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  631965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  631972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  631972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  631975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  631977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  631979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  631981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  631983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  631988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  631991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  631994 */     GIR_RootConstrainSelectedInstOperands,
     /*  631995 */     // GIR_Coverage, 6194,
     /*  631995 */     GIR_EraseRootFromParent_Done,
     /*  631996 */   // Label 10161: @631996
     /*  631996 */   GIM_Try, /*On fail goto*//*Label 10162*/ GIMT_Encode4(632071), // Rule ID 6195 //
     /*  632001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  632009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  632012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  632015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  632018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  632047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  632050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  632066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632069 */     GIR_RootConstrainSelectedInstOperands,
     /*  632070 */     // GIR_Coverage, 6195,
     /*  632070 */     GIR_EraseRootFromParent_Done,
     /*  632071 */   // Label 10162: @632071
     /*  632071 */   GIM_Try, /*On fail goto*//*Label 10163*/ GIMT_Encode4(632146), // Rule ID 6198 //
     /*  632076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  632084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  632087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  632090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  632093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  632125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632144 */     GIR_RootConstrainSelectedInstOperands,
     /*  632145 */     // GIR_Coverage, 6198,
     /*  632145 */     GIR_EraseRootFromParent_Done,
     /*  632146 */   // Label 10163: @632146
     /*  632146 */   GIM_Try, /*On fail goto*//*Label 10164*/ GIMT_Encode4(632221), // Rule ID 6199 //
     /*  632151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  632159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  632162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  632165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  632168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  632186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11495:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2),
     /*  632200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632219 */     GIR_RootConstrainSelectedInstOperands,
     /*  632220 */     // GIR_Coverage, 6199,
     /*  632220 */     GIR_EraseRootFromParent_Done,
     /*  632221 */   // Label 10164: @632221
     /*  632221 */   GIM_Try, /*On fail goto*//*Label 10165*/ GIMT_Encode4(632296), // Rule ID 6202 //
     /*  632226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  632234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  632237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  632240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  632243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  632275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632294 */     GIR_RootConstrainSelectedInstOperands,
     /*  632295 */     // GIR_Coverage, 6202,
     /*  632295 */     GIR_EraseRootFromParent_Done,
     /*  632296 */   // Label 10165: @632296
     /*  632296 */   GIM_Try, /*On fail goto*//*Label 10166*/ GIMT_Encode4(632371), // Rule ID 6203 //
     /*  632301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  632309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  632312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  632315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  632318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  632336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11495:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4),
     /*  632350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632369 */     GIR_RootConstrainSelectedInstOperands,
     /*  632370 */     // GIR_Coverage, 6203,
     /*  632370 */     GIR_EraseRootFromParent_Done,
     /*  632371 */   // Label 10166: @632371
     /*  632371 */   GIM_Try, /*On fail goto*//*Label 10167*/ GIMT_Encode4(632446), // Rule ID 6206 //
     /*  632376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  632379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  632384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  632387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  632390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  632393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  632396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  632422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  632425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632444 */     GIR_RootConstrainSelectedInstOperands,
     /*  632445 */     // GIR_Coverage, 6206,
     /*  632445 */     GIR_EraseRootFromParent_Done,
     /*  632446 */   // Label 10167: @632446
     /*  632446 */   GIM_Try, /*On fail goto*//*Label 10168*/ GIMT_Encode4(632521), // Rule ID 6207 //
     /*  632451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  632454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor),
     /*  632459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  632462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  632465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  632468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  632471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  632486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  632490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11495:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  632497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8),
     /*  632500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  632516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632519 */     GIR_RootConstrainSelectedInstOperands,
     /*  632520 */     // GIR_Coverage, 6207,
     /*  632520 */     GIR_EraseRootFromParent_Done,
     /*  632521 */   // Label 10168: @632521
     /*  632521 */   GIM_Try, /*On fail goto*//*Label 10169*/ GIMT_Encode4(632596), // Rule ID 6298 //
     /*  632526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  632537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  632540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  632543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  632546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  632575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632594 */     GIR_RootConstrainSelectedInstOperands,
     /*  632595 */     // GIR_Coverage, 6298,
     /*  632595 */     GIR_EraseRootFromParent_Done,
     /*  632596 */   // Label 10169: @632596
     /*  632596 */   GIM_Try, /*On fail goto*//*Label 10170*/ GIMT_Encode4(632671), // Rule ID 6299 //
     /*  632601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  632612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  632615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  632618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  632621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632647 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8),
     /*  632650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632669 */     GIR_RootConstrainSelectedInstOperands,
     /*  632670 */     // GIR_Coverage, 6299,
     /*  632670 */     GIR_EraseRootFromParent_Done,
     /*  632671 */   // Label 10170: @632671
     /*  632671 */   GIM_Try, /*On fail goto*//*Label 10171*/ GIMT_Encode4(632746), // Rule ID 6302 //
     /*  632676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  632696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632744 */     GIR_RootConstrainSelectedInstOperands,
     /*  632745 */     // GIR_Coverage, 6302,
     /*  632745 */     GIR_EraseRootFromParent_Done,
     /*  632746 */   // Label 10171: @632746
     /*  632746 */   GIM_Try, /*On fail goto*//*Label 10172*/ GIMT_Encode4(632821), // Rule ID 6303 //
     /*  632751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  632762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  632765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  632768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  632771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632797 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  632800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632819 */     GIR_RootConstrainSelectedInstOperands,
     /*  632820 */     // GIR_Coverage, 6303,
     /*  632820 */     GIR_EraseRootFromParent_Done,
     /*  632821 */   // Label 10172: @632821
     /*  632821 */   GIM_Try, /*On fail goto*//*Label 10173*/ GIMT_Encode4(632896), // Rule ID 6306 //
     /*  632826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  632846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  632872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632894 */     GIR_RootConstrainSelectedInstOperands,
     /*  632895 */     // GIR_Coverage, 6306,
     /*  632895 */     GIR_EraseRootFromParent_Done,
     /*  632896 */   // Label 10173: @632896
     /*  632896 */   GIM_Try, /*On fail goto*//*Label 10174*/ GIMT_Encode4(632971), // Rule ID 6307 //
     /*  632901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  632904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  632912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  632915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  632918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  632921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  632924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  632940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  632947 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  632947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  632950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  632952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  632954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  632956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  632958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  632963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  632966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  632969 */     GIR_RootConstrainSelectedInstOperands,
     /*  632970 */     // GIR_Coverage, 6307,
     /*  632970 */     GIR_EraseRootFromParent_Done,
     /*  632971 */   // Label 10174: @632971
     /*  632971 */   GIM_Try, /*On fail goto*//*Label 10175*/ GIMT_Encode4(633046), // Rule ID 6310 //
     /*  632976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  632979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  632984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  632987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  632990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  632993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  632996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  632999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  633025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633044 */     GIR_RootConstrainSelectedInstOperands,
     /*  633045 */     // GIR_Coverage, 6310,
     /*  633045 */     GIR_EraseRootFromParent_Done,
     /*  633046 */   // Label 10175: @633046
     /*  633046 */   GIM_Try, /*On fail goto*//*Label 10176*/ GIMT_Encode4(633121), // Rule ID 6311 //
     /*  633051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  633062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  633065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  633068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  633071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4),
     /*  633100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633119 */     GIR_RootConstrainSelectedInstOperands,
     /*  633120 */     // GIR_Coverage, 6311,
     /*  633120 */     GIR_EraseRootFromParent_Done,
     /*  633121 */   // Label 10176: @633121
     /*  633121 */   GIM_Try, /*On fail goto*//*Label 10177*/ GIMT_Encode4(633196), // Rule ID 6314 //
     /*  633126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  633137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  633140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  633143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  633146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  633175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633194 */     GIR_RootConstrainSelectedInstOperands,
     /*  633195 */     // GIR_Coverage, 6314,
     /*  633195 */     GIR_EraseRootFromParent_Done,
     /*  633196 */   // Label 10177: @633196
     /*  633196 */   GIM_Try, /*On fail goto*//*Label 10178*/ GIMT_Encode4(633271), // Rule ID 6315 //
     /*  633201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  633212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  633215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  633218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  633221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  633250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633269 */     GIR_RootConstrainSelectedInstOperands,
     /*  633270 */     // GIR_Coverage, 6315,
     /*  633270 */     GIR_EraseRootFromParent_Done,
     /*  633271 */   // Label 10178: @633271
     /*  633271 */   GIM_Try, /*On fail goto*//*Label 10179*/ GIMT_Encode4(633346), // Rule ID 6318 //
     /*  633276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  633287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  633290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  633293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  633296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  633325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633344 */     GIR_RootConstrainSelectedInstOperands,
     /*  633345 */     // GIR_Coverage, 6318,
     /*  633345 */     GIR_EraseRootFromParent_Done,
     /*  633346 */   // Label 10179: @633346
     /*  633346 */   GIM_Try, /*On fail goto*//*Label 10180*/ GIMT_Encode4(633421), // Rule ID 6319 //
     /*  633351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  633362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  633365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  633368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  633371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2),
     /*  633400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633419 */     GIR_RootConstrainSelectedInstOperands,
     /*  633420 */     // GIR_Coverage, 6319,
     /*  633420 */     GIR_EraseRootFromParent_Done,
     /*  633421 */   // Label 10180: @633421
     /*  633421 */   GIM_Try, /*On fail goto*//*Label 10181*/ GIMT_Encode4(633496), // Rule ID 6322 //
     /*  633426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  633437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  633440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  633443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  633446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  633472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633494 */     GIR_RootConstrainSelectedInstOperands,
     /*  633495 */     // GIR_Coverage, 6322,
     /*  633495 */     GIR_EraseRootFromParent_Done,
     /*  633496 */   // Label 10181: @633496
     /*  633496 */   GIM_Try, /*On fail goto*//*Label 10182*/ GIMT_Encode4(633571), // Rule ID 6323 //
     /*  633501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  633512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  633515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  633518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  633521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  633547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  633566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633569 */     GIR_RootConstrainSelectedInstOperands,
     /*  633570 */     // GIR_Coverage, 6323,
     /*  633570 */     GIR_EraseRootFromParent_Done,
     /*  633571 */   // Label 10182: @633571
     /*  633571 */   GIM_Try, /*On fail goto*//*Label 10183*/ GIMT_Encode4(633646), // Rule ID 6326 //
     /*  633576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  633587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  633590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  633593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  633596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  633622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633644 */     GIR_RootConstrainSelectedInstOperands,
     /*  633645 */     // GIR_Coverage, 6326,
     /*  633645 */     GIR_EraseRootFromParent_Done,
     /*  633646 */   // Label 10183: @633646
     /*  633646 */   GIM_Try, /*On fail goto*//*Label 10184*/ GIMT_Encode4(633721), // Rule ID 6327 //
     /*  633651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  633662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  633665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  633668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  633671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  633697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  633716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633719 */     GIR_RootConstrainSelectedInstOperands,
     /*  633720 */     // GIR_Coverage, 6327,
     /*  633720 */     GIR_EraseRootFromParent_Done,
     /*  633721 */   // Label 10184: @633721
     /*  633721 */   GIM_Try, /*On fail goto*//*Label 10185*/ GIMT_Encode4(633796), // Rule ID 6330 //
     /*  633726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  633729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  633746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  633772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633794 */     GIR_RootConstrainSelectedInstOperands,
     /*  633795 */     // GIR_Coverage, 6330,
     /*  633795 */     GIR_EraseRootFromParent_Done,
     /*  633796 */   // Label 10185: @633796
     /*  633796 */   GIM_Try, /*On fail goto*//*Label 10186*/ GIMT_Encode4(633871), // Rule ID 6331 //
     /*  633801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  633804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  633812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  633815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  633818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  633821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  633847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  633866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633869 */     GIR_RootConstrainSelectedInstOperands,
     /*  633870 */     // GIR_Coverage, 6331,
     /*  633870 */     GIR_EraseRootFromParent_Done,
     /*  633871 */   // Label 10186: @633871
     /*  633871 */   GIM_Try, /*On fail goto*//*Label 10187*/ GIMT_Encode4(633946), // Rule ID 6334 //
     /*  633876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  633879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  633896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  633899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  633922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  633925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  633927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  633929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  633931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  633933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  633938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  633941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  633944 */     GIR_RootConstrainSelectedInstOperands,
     /*  633945 */     // GIR_Coverage, 6334,
     /*  633945 */     GIR_EraseRootFromParent_Done,
     /*  633946 */   // Label 10187: @633946
     /*  633946 */   GIM_Try, /*On fail goto*//*Label 10188*/ GIMT_Encode4(634021), // Rule ID 6335 //
     /*  633951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  633954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  633959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  633962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  633965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  633968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  633971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  633974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  633990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  633997 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  633997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1),
     /*  634000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  634016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634019 */     GIR_RootConstrainSelectedInstOperands,
     /*  634020 */     // GIR_Coverage, 6335,
     /*  634020 */     GIR_EraseRootFromParent_Done,
     /*  634021 */   // Label 10188: @634021
     /*  634021 */   GIM_Try, /*On fail goto*//*Label 10189*/ GIMT_Encode4(634096), // Rule ID 6338 //
     /*  634026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  634037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  634040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  634043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  634046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634094 */     GIR_RootConstrainSelectedInstOperands,
     /*  634095 */     // GIR_Coverage, 6338,
     /*  634095 */     GIR_EraseRootFromParent_Done,
     /*  634096 */   // Label 10189: @634096
     /*  634096 */   GIM_Try, /*On fail goto*//*Label 10190*/ GIMT_Encode4(634171), // Rule ID 6339 //
     /*  634101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  634112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  634115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  634118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  634121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634169 */     GIR_RootConstrainSelectedInstOperands,
     /*  634170 */     // GIR_Coverage, 6339,
     /*  634170 */     GIR_EraseRootFromParent_Done,
     /*  634171 */   // Label 10190: @634171
     /*  634171 */   GIM_Try, /*On fail goto*//*Label 10191*/ GIMT_Encode4(634246), // Rule ID 6342 //
     /*  634176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  634187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  634190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  634193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  634196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634244 */     GIR_RootConstrainSelectedInstOperands,
     /*  634245 */     // GIR_Coverage, 6342,
     /*  634245 */     GIR_EraseRootFromParent_Done,
     /*  634246 */   // Label 10191: @634246
     /*  634246 */   GIM_Try, /*On fail goto*//*Label 10192*/ GIMT_Encode4(634321), // Rule ID 6343 //
     /*  634251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  634262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  634265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  634268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  634271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634319 */     GIR_RootConstrainSelectedInstOperands,
     /*  634320 */     // GIR_Coverage, 6343,
     /*  634320 */     GIR_EraseRootFromParent_Done,
     /*  634321 */   // Label 10192: @634321
     /*  634321 */   GIM_Try, /*On fail goto*//*Label 10193*/ GIMT_Encode4(634396), // Rule ID 6346 //
     /*  634326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  634337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  634340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  634343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  634346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  634372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634394 */     GIR_RootConstrainSelectedInstOperands,
     /*  634395 */     // GIR_Coverage, 6346,
     /*  634395 */     GIR_EraseRootFromParent_Done,
     /*  634396 */   // Label 10193: @634396
     /*  634396 */   GIM_Try, /*On fail goto*//*Label 10194*/ GIMT_Encode4(634471), // Rule ID 6347 //
     /*  634401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  634412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  634415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  634418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  634421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634447 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  634447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  634466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634469 */     GIR_RootConstrainSelectedInstOperands,
     /*  634470 */     // GIR_Coverage, 6347,
     /*  634470 */     GIR_EraseRootFromParent_Done,
     /*  634471 */   // Label 10194: @634471
     /*  634471 */   GIM_Try, /*On fail goto*//*Label 10195*/ GIMT_Encode4(634546), // Rule ID 6350 //
     /*  634476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  634487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  634490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  634493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  634496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634544 */     GIR_RootConstrainSelectedInstOperands,
     /*  634545 */     // GIR_Coverage, 6350,
     /*  634545 */     GIR_EraseRootFromParent_Done,
     /*  634546 */   // Label 10195: @634546
     /*  634546 */   GIM_Try, /*On fail goto*//*Label 10196*/ GIMT_Encode4(634621), // Rule ID 6351 //
     /*  634551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  634562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  634565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  634568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  634571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634619 */     GIR_RootConstrainSelectedInstOperands,
     /*  634620 */     // GIR_Coverage, 6351,
     /*  634620 */     GIR_EraseRootFromParent_Done,
     /*  634621 */   // Label 10196: @634621
     /*  634621 */   GIM_Try, /*On fail goto*//*Label 10197*/ GIMT_Encode4(634696), // Rule ID 6354 //
     /*  634626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  634646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634694 */     GIR_RootConstrainSelectedInstOperands,
     /*  634695 */     // GIR_Coverage, 6354,
     /*  634695 */     GIR_EraseRootFromParent_Done,
     /*  634696 */   // Label 10197: @634696
     /*  634696 */   GIM_Try, /*On fail goto*//*Label 10198*/ GIMT_Encode4(634771), // Rule ID 6355 //
     /*  634701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  634712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  634715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  634718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  634721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  634740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  634750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634769 */     GIR_RootConstrainSelectedInstOperands,
     /*  634770 */     // GIR_Coverage, 6355,
     /*  634770 */     GIR_EraseRootFromParent_Done,
     /*  634771 */   // Label 10198: @634771
     /*  634771 */   GIM_Try, /*On fail goto*//*Label 10199*/ GIMT_Encode4(634846), // Rule ID 6358 //
     /*  634776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  634796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  634822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634844 */     GIR_RootConstrainSelectedInstOperands,
     /*  634845 */     // GIR_Coverage, 6358,
     /*  634845 */     GIR_EraseRootFromParent_Done,
     /*  634846 */   // Label 10199: @634846
     /*  634846 */   GIM_Try, /*On fail goto*//*Label 10200*/ GIMT_Encode4(634921), // Rule ID 6359 //
     /*  634851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  634854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  634862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  634865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  634868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  634871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  634874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  634890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  634897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  634900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  634916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634919 */     GIR_RootConstrainSelectedInstOperands,
     /*  634920 */     // GIR_Coverage, 6359,
     /*  634920 */     GIR_EraseRootFromParent_Done,
     /*  634921 */   // Label 10200: @634921
     /*  634921 */   GIM_Try, /*On fail goto*//*Label 10201*/ GIMT_Encode4(634996), // Rule ID 6362 //
     /*  634926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  634929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  634934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  634937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  634940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  634943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  634946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  634949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  634965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  634972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  634972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  634975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  634977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  634979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  634981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  634983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  634988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  634991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  634994 */     GIR_RootConstrainSelectedInstOperands,
     /*  634995 */     // GIR_Coverage, 6362,
     /*  634995 */     GIR_EraseRootFromParent_Done,
     /*  634996 */   // Label 10201: @634996
     /*  634996 */   GIM_Try, /*On fail goto*//*Label 10202*/ GIMT_Encode4(635071), // Rule ID 6363 //
     /*  635001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  635012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  635015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  635018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  635021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  635050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635069 */     GIR_RootConstrainSelectedInstOperands,
     /*  635070 */     // GIR_Coverage, 6363,
     /*  635070 */     GIR_EraseRootFromParent_Done,
     /*  635071 */   // Label 10202: @635071
     /*  635071 */   GIM_Try, /*On fail goto*//*Label 10203*/ GIMT_Encode4(635146), // Rule ID 6366 //
     /*  635076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  635087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  635090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  635093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  635096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  635125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635144 */     GIR_RootConstrainSelectedInstOperands,
     /*  635145 */     // GIR_Coverage, 6366,
     /*  635145 */     GIR_EraseRootFromParent_Done,
     /*  635146 */   // Label 10203: @635146
     /*  635146 */   GIM_Try, /*On fail goto*//*Label 10204*/ GIMT_Encode4(635221), // Rule ID 6367 //
     /*  635151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  635162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  635165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  635168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  635171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  635200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635219 */     GIR_RootConstrainSelectedInstOperands,
     /*  635220 */     // GIR_Coverage, 6367,
     /*  635220 */     GIR_EraseRootFromParent_Done,
     /*  635221 */   // Label 10204: @635221
     /*  635221 */   GIM_Try, /*On fail goto*//*Label 10205*/ GIMT_Encode4(635296), // Rule ID 6370 //
     /*  635226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  635237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  635240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  635243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  635246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  635272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  635275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635294 */     GIR_RootConstrainSelectedInstOperands,
     /*  635295 */     // GIR_Coverage, 6370,
     /*  635295 */     GIR_EraseRootFromParent_Done,
     /*  635296 */   // Label 10205: @635296
     /*  635296 */   GIM_Try, /*On fail goto*//*Label 10206*/ GIMT_Encode4(635371), // Rule ID 6371 //
     /*  635301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  635312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  635315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  635318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  635321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635347 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  635347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  635350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  635366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635369 */     GIR_RootConstrainSelectedInstOperands,
     /*  635370 */     // GIR_Coverage, 6371,
     /*  635370 */     GIR_EraseRootFromParent_Done,
     /*  635371 */   // Label 10206: @635371
     /*  635371 */   GIM_Try, /*On fail goto*//*Label 10207*/ GIMT_Encode4(635446), // Rule ID 6374 //
     /*  635376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  635387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  635390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  635393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  635396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  635425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635444 */     GIR_RootConstrainSelectedInstOperands,
     /*  635445 */     // GIR_Coverage, 6374,
     /*  635445 */     GIR_EraseRootFromParent_Done,
     /*  635446 */   // Label 10207: @635446
     /*  635446 */   GIM_Try, /*On fail goto*//*Label 10208*/ GIMT_Encode4(635521), // Rule ID 6375 //
     /*  635451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  635462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  635465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  635468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  635471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  635490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2),
     /*  635500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635519 */     GIR_RootConstrainSelectedInstOperands,
     /*  635520 */     // GIR_Coverage, 6375,
     /*  635520 */     GIR_EraseRootFromParent_Done,
     /*  635521 */   // Label 10208: @635521
     /*  635521 */   GIM_Try, /*On fail goto*//*Label 10209*/ GIMT_Encode4(635596), // Rule ID 6378 //
     /*  635526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  635537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  635540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  635543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  635546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  635575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635594 */     GIR_RootConstrainSelectedInstOperands,
     /*  635595 */     // GIR_Coverage, 6378,
     /*  635595 */     GIR_EraseRootFromParent_Done,
     /*  635596 */   // Label 10209: @635596
     /*  635596 */   GIM_Try, /*On fail goto*//*Label 10210*/ GIMT_Encode4(635671), // Rule ID 6379 //
     /*  635601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  635612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  635615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  635618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  635621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  635640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4),
     /*  635650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635669 */     GIR_RootConstrainSelectedInstOperands,
     /*  635670 */     // GIR_Coverage, 6379,
     /*  635670 */     GIR_EraseRootFromParent_Done,
     /*  635671 */   // Label 10210: @635671
     /*  635671 */   GIM_Try, /*On fail goto*//*Label 10211*/ GIMT_Encode4(635746), // Rule ID 6382 //
     /*  635676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  635679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  635696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  635722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  635725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635744 */     GIR_RootConstrainSelectedInstOperands,
     /*  635745 */     // GIR_Coverage, 6382,
     /*  635745 */     GIR_EraseRootFromParent_Done,
     /*  635746 */   // Label 10211: @635746
     /*  635746 */   GIM_Try, /*On fail goto*//*Label 10212*/ GIMT_Encode4(635821), // Rule ID 6383 //
     /*  635751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  635754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  635762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  635765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  635768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  635771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  635790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635797 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  635797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8),
     /*  635800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  635816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635819 */     GIR_RootConstrainSelectedInstOperands,
     /*  635820 */     // GIR_Coverage, 6383,
     /*  635820 */     GIR_EraseRootFromParent_Done,
     /*  635821 */   // Label 10212: @635821
     /*  635821 */   GIM_Try, /*On fail goto*//*Label 10213*/ GIMT_Encode4(635896), // Rule ID 6386 //
     /*  635826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  635872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  635875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635894 */     GIR_RootConstrainSelectedInstOperands,
     /*  635895 */     // GIR_Coverage, 6386,
     /*  635895 */     GIR_EraseRootFromParent_Done,
     /*  635896 */   // Label 10213: @635896
     /*  635896 */   GIM_Try, /*On fail goto*//*Label 10214*/ GIMT_Encode4(635971), // Rule ID 6387 //
     /*  635901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  635904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  635912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  635915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  635918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  635921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  635924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  635936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  635940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  635947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  635947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8),
     /*  635950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  635952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  635954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  635956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  635958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  635963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  635966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  635969 */     GIR_RootConstrainSelectedInstOperands,
     /*  635970 */     // GIR_Coverage, 6387,
     /*  635970 */     GIR_EraseRootFromParent_Done,
     /*  635971 */   // Label 10214: @635971
     /*  635971 */   GIM_Try, /*On fail goto*//*Label 10215*/ GIMT_Encode4(636046), // Rule ID 6390 //
     /*  635976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  635979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  635984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  635987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  635990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  635993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  635996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  635999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  636025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636044 */     GIR_RootConstrainSelectedInstOperands,
     /*  636045 */     // GIR_Coverage, 6390,
     /*  636045 */     GIR_EraseRootFromParent_Done,
     /*  636046 */   // Label 10215: @636046
     /*  636046 */   GIM_Try, /*On fail goto*//*Label 10216*/ GIMT_Encode4(636121), // Rule ID 6391 //
     /*  636051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  636062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  636065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  636068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  636100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636119 */     GIR_RootConstrainSelectedInstOperands,
     /*  636120 */     // GIR_Coverage, 6391,
     /*  636120 */     GIR_EraseRootFromParent_Done,
     /*  636121 */   // Label 10216: @636121
     /*  636121 */   GIM_Try, /*On fail goto*//*Label 10217*/ GIMT_Encode4(636196), // Rule ID 6394 //
     /*  636126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  636137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  636140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  636143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636194 */     GIR_RootConstrainSelectedInstOperands,
     /*  636195 */     // GIR_Coverage, 6394,
     /*  636195 */     GIR_EraseRootFromParent_Done,
     /*  636196 */   // Label 10217: @636196
     /*  636196 */   GIM_Try, /*On fail goto*//*Label 10218*/ GIMT_Encode4(636271), // Rule ID 6395 //
     /*  636201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  636212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  636215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  636218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636269 */     GIR_RootConstrainSelectedInstOperands,
     /*  636270 */     // GIR_Coverage, 6395,
     /*  636270 */     GIR_EraseRootFromParent_Done,
     /*  636271 */   // Label 10218: @636271
     /*  636271 */   GIM_Try, /*On fail goto*//*Label 10219*/ GIMT_Encode4(636346), // Rule ID 6398 //
     /*  636276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  636287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  636290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  636293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  636325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636344 */     GIR_RootConstrainSelectedInstOperands,
     /*  636345 */     // GIR_Coverage, 6398,
     /*  636345 */     GIR_EraseRootFromParent_Done,
     /*  636346 */   // Label 10219: @636346
     /*  636346 */   GIM_Try, /*On fail goto*//*Label 10220*/ GIMT_Encode4(636421), // Rule ID 6399 //
     /*  636351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  636362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  636365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  636368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636397 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4),
     /*  636400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636419 */     GIR_RootConstrainSelectedInstOperands,
     /*  636420 */     // GIR_Coverage, 6399,
     /*  636420 */     GIR_EraseRootFromParent_Done,
     /*  636421 */   // Label 10220: @636421
     /*  636421 */   GIM_Try, /*On fail goto*//*Label 10221*/ GIMT_Encode4(636496), // Rule ID 6402 //
     /*  636426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  636437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  636440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  636443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636494 */     GIR_RootConstrainSelectedInstOperands,
     /*  636495 */     // GIR_Coverage, 6402,
     /*  636495 */     GIR_EraseRootFromParent_Done,
     /*  636496 */   // Label 10221: @636496
     /*  636496 */   GIM_Try, /*On fail goto*//*Label 10222*/ GIMT_Encode4(636571), // Rule ID 6403 //
     /*  636501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  636512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  636515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  636518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636569 */     GIR_RootConstrainSelectedInstOperands,
     /*  636570 */     // GIR_Coverage, 6403,
     /*  636570 */     GIR_EraseRootFromParent_Done,
     /*  636571 */   // Label 10222: @636571
     /*  636571 */   GIM_Try, /*On fail goto*//*Label 10223*/ GIMT_Encode4(636646), // Rule ID 6406 //
     /*  636576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  636587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  636590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  636593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  636622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636644 */     GIR_RootConstrainSelectedInstOperands,
     /*  636645 */     // GIR_Coverage, 6406,
     /*  636645 */     GIR_EraseRootFromParent_Done,
     /*  636646 */   // Label 10223: @636646
     /*  636646 */   GIM_Try, /*On fail goto*//*Label 10224*/ GIMT_Encode4(636721), // Rule ID 6407 //
     /*  636651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  636662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  636665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  636668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636697 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  636697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2),
     /*  636700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  636716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636719 */     GIR_RootConstrainSelectedInstOperands,
     /*  636720 */     // GIR_Coverage, 6407,
     /*  636720 */     GIR_EraseRootFromParent_Done,
     /*  636721 */   // Label 10224: @636721
     /*  636721 */   GIM_Try, /*On fail goto*//*Label 10225*/ GIMT_Encode4(636796), // Rule ID 6410 //
     /*  636726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  636772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636794 */     GIR_RootConstrainSelectedInstOperands,
     /*  636795 */     // GIR_Coverage, 6410,
     /*  636795 */     GIR_EraseRootFromParent_Done,
     /*  636796 */   // Label 10225: @636796
     /*  636796 */   GIM_Try, /*On fail goto*//*Label 10226*/ GIMT_Encode4(636871), // Rule ID 6411 //
     /*  636801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  636812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  636815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  636818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11675:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  636847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  636866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636869 */     GIR_RootConstrainSelectedInstOperands,
     /*  636870 */     // GIR_Coverage, 6411,
     /*  636870 */     GIR_EraseRootFromParent_Done,
     /*  636871 */   // Label 10226: @636871
     /*  636871 */   GIM_Try, /*On fail goto*//*Label 10227*/ GIMT_Encode4(636946), // Rule ID 6414 //
     /*  636876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  636879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  636896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  636899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  636922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  636925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  636927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  636929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  636931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  636933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  636938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  636941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  636944 */     GIR_RootConstrainSelectedInstOperands,
     /*  636945 */     // GIR_Coverage, 6414,
     /*  636945 */     GIR_EraseRootFromParent_Done,
     /*  636946 */   // Label 10227: @636946
     /*  636946 */   GIM_Try, /*On fail goto*//*Label 10228*/ GIMT_Encode4(637021), // Rule ID 6415 //
     /*  636951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  636954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  636959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  636962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  636965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  636968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  636971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  636974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  636986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  636990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  636997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11675:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  636997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  637000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637019 */     GIR_RootConstrainSelectedInstOperands,
     /*  637020 */     // GIR_Coverage, 6415,
     /*  637020 */     GIR_EraseRootFromParent_Done,
     /*  637021 */   // Label 10228: @637021
     /*  637021 */   GIM_Try, /*On fail goto*//*Label 10229*/ GIMT_Encode4(637096), // Rule ID 6418 //
     /*  637026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  637037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  637040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  637043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  637072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  637075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637094 */     GIR_RootConstrainSelectedInstOperands,
     /*  637095 */     // GIR_Coverage, 6418,
     /*  637095 */     GIR_EraseRootFromParent_Done,
     /*  637096 */   // Label 10229: @637096
     /*  637096 */   GIM_Try, /*On fail goto*//*Label 10230*/ GIMT_Encode4(637171), // Rule ID 6419 //
     /*  637101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  637112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  637115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  637118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637147 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11675:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  637147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  637150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  637166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637169 */     GIR_RootConstrainSelectedInstOperands,
     /*  637170 */     // GIR_Coverage, 6419,
     /*  637170 */     GIR_EraseRootFromParent_Done,
     /*  637171 */   // Label 10230: @637171
     /*  637171 */   GIM_Try, /*On fail goto*//*Label 10231*/ GIMT_Encode4(637246), // Rule ID 6422 //
     /*  637176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  637179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  637187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  637190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  637193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  637222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  637225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637244 */     GIR_RootConstrainSelectedInstOperands,
     /*  637245 */     // GIR_Coverage, 6422,
     /*  637245 */     GIR_EraseRootFromParent_Done,
     /*  637246 */   // Label 10231: @637246
     /*  637246 */   GIM_Try, /*On fail goto*//*Label 10232*/ GIMT_Encode4(637321), // Rule ID 6423 //
     /*  637251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  637254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  637262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  637265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  637268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  637286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11675:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  637297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1),
     /*  637300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  637316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637319 */     GIR_RootConstrainSelectedInstOperands,
     /*  637320 */     // GIR_Coverage, 6423,
     /*  637320 */     GIR_EraseRootFromParent_Done,
     /*  637321 */   // Label 10232: @637321
     /*  637321 */   GIM_Try, /*On fail goto*//*Label 10233*/ GIMT_Encode4(637396), // Rule ID 6426 //
     /*  637326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  637337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  637340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  637343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637394 */     GIR_RootConstrainSelectedInstOperands,
     /*  637395 */     // GIR_Coverage, 6426,
     /*  637395 */     GIR_EraseRootFromParent_Done,
     /*  637396 */   // Label 10233: @637396
     /*  637396 */   GIM_Try, /*On fail goto*//*Label 10234*/ GIMT_Encode4(637471), // Rule ID 6427 //
     /*  637401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  637412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  637415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  637418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637447 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637469 */     GIR_RootConstrainSelectedInstOperands,
     /*  637470 */     // GIR_Coverage, 6427,
     /*  637470 */     GIR_EraseRootFromParent_Done,
     /*  637471 */   // Label 10234: @637471
     /*  637471 */   GIM_Try, /*On fail goto*//*Label 10235*/ GIMT_Encode4(637546), // Rule ID 6430 //
     /*  637476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  637487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  637490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  637493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637544 */     GIR_RootConstrainSelectedInstOperands,
     /*  637545 */     // GIR_Coverage, 6430,
     /*  637545 */     GIR_EraseRootFromParent_Done,
     /*  637546 */   // Label 10235: @637546
     /*  637546 */   GIM_Try, /*On fail goto*//*Label 10236*/ GIMT_Encode4(637621), // Rule ID 6431 //
     /*  637551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  637562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  637565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  637568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637619 */     GIR_RootConstrainSelectedInstOperands,
     /*  637620 */     // GIR_Coverage, 6431,
     /*  637620 */     GIR_EraseRootFromParent_Done,
     /*  637621 */   // Label 10236: @637621
     /*  637621 */   GIM_Try, /*On fail goto*//*Label 10237*/ GIMT_Encode4(637696), // Rule ID 6434 //
     /*  637626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  637672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637694 */     GIR_RootConstrainSelectedInstOperands,
     /*  637695 */     // GIR_Coverage, 6434,
     /*  637695 */     GIR_EraseRootFromParent_Done,
     /*  637696 */   // Label 10237: @637696
     /*  637696 */   GIM_Try, /*On fail goto*//*Label 10238*/ GIMT_Encode4(637771), // Rule ID 6435 //
     /*  637701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  637712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  637715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  637718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  637736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  637747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  637750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  637766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637769 */     GIR_RootConstrainSelectedInstOperands,
     /*  637770 */     // GIR_Coverage, 6435,
     /*  637770 */     GIR_EraseRootFromParent_Done,
     /*  637771 */   // Label 10238: @637771
     /*  637771 */   GIM_Try, /*On fail goto*//*Label 10239*/ GIMT_Encode4(637846), // Rule ID 6438 //
     /*  637776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637844 */     GIR_RootConstrainSelectedInstOperands,
     /*  637845 */     // GIR_Coverage, 6438,
     /*  637845 */     GIR_EraseRootFromParent_Done,
     /*  637846 */   // Label 10239: @637846
     /*  637846 */   GIM_Try, /*On fail goto*//*Label 10240*/ GIMT_Encode4(637921), // Rule ID 6439 //
     /*  637851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  637854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  637862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  637865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  637868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  637871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  637874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  637886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  637897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  637900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637919 */     GIR_RootConstrainSelectedInstOperands,
     /*  637920 */     // GIR_Coverage, 6439,
     /*  637920 */     GIR_EraseRootFromParent_Done,
     /*  637921 */   // Label 10240: @637921
     /*  637921 */   GIM_Try, /*On fail goto*//*Label 10241*/ GIMT_Encode4(637996), // Rule ID 6442 //
     /*  637926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  637929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  637934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  637937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  637940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  637943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  637946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  637949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  637961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  637965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  637972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  637972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  637975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  637977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  637979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  637981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  637983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  637988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  637991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  637994 */     GIR_RootConstrainSelectedInstOperands,
     /*  637995 */     // GIR_Coverage, 6442,
     /*  637995 */     GIR_EraseRootFromParent_Done,
     /*  637996 */   // Label 10241: @637996
     /*  637996 */   GIM_Try, /*On fail goto*//*Label 10242*/ GIMT_Encode4(638071), // Rule ID 6443 //
     /*  638001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  638012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  638015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  638018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638069 */     GIR_RootConstrainSelectedInstOperands,
     /*  638070 */     // GIR_Coverage, 6443,
     /*  638070 */     GIR_EraseRootFromParent_Done,
     /*  638071 */   // Label 10242: @638071
     /*  638071 */   GIM_Try, /*On fail goto*//*Label 10243*/ GIMT_Encode4(638146), // Rule ID 6446 //
     /*  638076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  638087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  638090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  638093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  638122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638144 */     GIR_RootConstrainSelectedInstOperands,
     /*  638145 */     // GIR_Coverage, 6446,
     /*  638145 */     GIR_EraseRootFromParent_Done,
     /*  638146 */   // Label 10243: @638146
     /*  638146 */   GIM_Try, /*On fail goto*//*Label 10244*/ GIMT_Encode4(638221), // Rule ID 6447 //
     /*  638151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  638162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  638165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  638168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638197 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  638197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  638216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638219 */     GIR_RootConstrainSelectedInstOperands,
     /*  638220 */     // GIR_Coverage, 6447,
     /*  638220 */     GIR_EraseRootFromParent_Done,
     /*  638221 */   // Label 10244: @638221
     /*  638221 */   GIM_Try, /*On fail goto*//*Label 10245*/ GIMT_Encode4(638296), // Rule ID 6450 //
     /*  638226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  638237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  638240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  638243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  638275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638294 */     GIR_RootConstrainSelectedInstOperands,
     /*  638295 */     // GIR_Coverage, 6450,
     /*  638295 */     GIR_EraseRootFromParent_Done,
     /*  638296 */   // Label 10245: @638296
     /*  638296 */   GIM_Try, /*On fail goto*//*Label 10246*/ GIMT_Encode4(638371), // Rule ID 6451 //
     /*  638301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  638312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  638315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  638318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  638350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638369 */     GIR_RootConstrainSelectedInstOperands,
     /*  638370 */     // GIR_Coverage, 6451,
     /*  638370 */     GIR_EraseRootFromParent_Done,
     /*  638371 */   // Label 10246: @638371
     /*  638371 */   GIM_Try, /*On fail goto*//*Label 10247*/ GIMT_Encode4(638446), // Rule ID 6454 //
     /*  638376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  638387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  638390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  638393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638444 */     GIR_RootConstrainSelectedInstOperands,
     /*  638445 */     // GIR_Coverage, 6454,
     /*  638445 */     GIR_EraseRootFromParent_Done,
     /*  638446 */   // Label 10247: @638446
     /*  638446 */   GIM_Try, /*On fail goto*//*Label 10248*/ GIMT_Encode4(638521), // Rule ID 6455 //
     /*  638451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  638462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  638465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  638468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638519 */     GIR_RootConstrainSelectedInstOperands,
     /*  638520 */     // GIR_Coverage, 6455,
     /*  638520 */     GIR_EraseRootFromParent_Done,
     /*  638521 */   // Label 10248: @638521
     /*  638521 */   GIM_Try, /*On fail goto*//*Label 10249*/ GIMT_Encode4(638596), // Rule ID 6458 //
     /*  638526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  638529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  638537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  638540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  638543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  638572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638594 */     GIR_RootConstrainSelectedInstOperands,
     /*  638595 */     // GIR_Coverage, 6458,
     /*  638595 */     GIR_EraseRootFromParent_Done,
     /*  638596 */   // Label 10249: @638596
     /*  638596 */   GIM_Try, /*On fail goto*//*Label 10250*/ GIMT_Encode4(638671), // Rule ID 6459 //
     /*  638601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  638604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  638612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  638615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  638618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  638636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  638647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  638650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  638666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638669 */     GIR_RootConstrainSelectedInstOperands,
     /*  638670 */     // GIR_Coverage, 6459,
     /*  638670 */     GIR_EraseRootFromParent_Done,
     /*  638671 */   // Label 10250: @638671
     /*  638671 */   GIM_Try, /*On fail goto*//*Label 10251*/ GIMT_Encode4(638746), // Rule ID 6462 //
     /*  638676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  638725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638744 */     GIR_RootConstrainSelectedInstOperands,
     /*  638745 */     // GIR_Coverage, 6462,
     /*  638745 */     GIR_EraseRootFromParent_Done,
     /*  638746 */   // Label 10251: @638746
     /*  638746 */   GIM_Try, /*On fail goto*//*Label 10252*/ GIMT_Encode4(638821), // Rule ID 6463 //
     /*  638751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  638762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  638765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  638768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  638786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11675:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2),
     /*  638800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638819 */     GIR_RootConstrainSelectedInstOperands,
     /*  638820 */     // GIR_Coverage, 6463,
     /*  638820 */     GIR_EraseRootFromParent_Done,
     /*  638821 */   // Label 10252: @638821
     /*  638821 */   GIM_Try, /*On fail goto*//*Label 10253*/ GIMT_Encode4(638896), // Rule ID 6466 //
     /*  638826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  638872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638894 */     GIR_RootConstrainSelectedInstOperands,
     /*  638895 */     // GIR_Coverage, 6466,
     /*  638895 */     GIR_EraseRootFromParent_Done,
     /*  638896 */   // Label 10253: @638896
     /*  638896 */   GIM_Try, /*On fail goto*//*Label 10254*/ GIMT_Encode4(638971), // Rule ID 6467 //
     /*  638901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  638904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  638912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  638915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  638918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  638921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  638924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  638936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  638940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  638947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11675:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  638947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4),
     /*  638950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  638952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  638954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  638956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  638958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  638963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  638966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  638969 */     GIR_RootConstrainSelectedInstOperands,
     /*  638970 */     // GIR_Coverage, 6467,
     /*  638970 */     GIR_EraseRootFromParent_Done,
     /*  638971 */   // Label 10254: @638971
     /*  638971 */   GIM_Try, /*On fail goto*//*Label 10255*/ GIMT_Encode4(639046), // Rule ID 6470 //
     /*  638976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  638979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  638984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  638987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  638990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  638993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  638996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  638999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  639022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  639025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639044 */     GIR_RootConstrainSelectedInstOperands,
     /*  639045 */     // GIR_Coverage, 6470,
     /*  639045 */     GIR_EraseRootFromParent_Done,
     /*  639046 */   // Label 10255: @639046
     /*  639046 */   GIM_Try, /*On fail goto*//*Label 10256*/ GIMT_Encode4(639121), // Rule ID 6471 //
     /*  639051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  639054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor),
     /*  639059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  639062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  639065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  639068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  639071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  639086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  639090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11675:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVXOR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  639097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8),
     /*  639100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  639116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639119 */     GIR_RootConstrainSelectedInstOperands,
     /*  639120 */     // GIR_Coverage, 6471,
     /*  639120 */     GIR_EraseRootFromParent_Done,
     /*  639121 */   // Label 10256: @639121
     /*  639121 */   GIM_Try, /*On fail goto*//*Label 10257*/ GIMT_Encode4(639196), // Rule ID 6562 //
     /*  639126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  639137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  639140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  639143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  639146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  639175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639194 */     GIR_RootConstrainSelectedInstOperands,
     /*  639195 */     // GIR_Coverage, 6562,
     /*  639195 */     GIR_EraseRootFromParent_Done,
     /*  639196 */   // Label 10257: @639196
     /*  639196 */   GIM_Try, /*On fail goto*//*Label 10258*/ GIMT_Encode4(639271), // Rule ID 6563 //
     /*  639201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  639212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  639215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  639218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  639221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639247 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /*  639250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639269 */     GIR_RootConstrainSelectedInstOperands,
     /*  639270 */     // GIR_Coverage, 6563,
     /*  639270 */     GIR_EraseRootFromParent_Done,
     /*  639271 */   // Label 10258: @639271
     /*  639271 */   GIM_Try, /*On fail goto*//*Label 10259*/ GIMT_Encode4(639346), // Rule ID 6566 //
     /*  639276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  639287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  639290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  639293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  639296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  639325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639344 */     GIR_RootConstrainSelectedInstOperands,
     /*  639345 */     // GIR_Coverage, 6566,
     /*  639345 */     GIR_EraseRootFromParent_Done,
     /*  639346 */   // Label 10259: @639346
     /*  639346 */   GIM_Try, /*On fail goto*//*Label 10260*/ GIMT_Encode4(639421), // Rule ID 6567 //
     /*  639351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  639362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  639365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  639368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  639371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639397 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  639400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639419 */     GIR_RootConstrainSelectedInstOperands,
     /*  639420 */     // GIR_Coverage, 6567,
     /*  639420 */     GIR_EraseRootFromParent_Done,
     /*  639421 */   // Label 10260: @639421
     /*  639421 */   GIM_Try, /*On fail goto*//*Label 10261*/ GIMT_Encode4(639496), // Rule ID 6570 //
     /*  639426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  639437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  639440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  639443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  639446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  639472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639494 */     GIR_RootConstrainSelectedInstOperands,
     /*  639495 */     // GIR_Coverage, 6570,
     /*  639495 */     GIR_EraseRootFromParent_Done,
     /*  639496 */   // Label 10261: @639496
     /*  639496 */   GIM_Try, /*On fail goto*//*Label 10262*/ GIMT_Encode4(639571), // Rule ID 6571 //
     /*  639501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  639512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  639515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  639518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  639521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  639547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  639566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639569 */     GIR_RootConstrainSelectedInstOperands,
     /*  639570 */     // GIR_Coverage, 6571,
     /*  639570 */     GIR_EraseRootFromParent_Done,
     /*  639571 */   // Label 10262: @639571
     /*  639571 */   GIM_Try, /*On fail goto*//*Label 10263*/ GIMT_Encode4(639646), // Rule ID 6574 //
     /*  639576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  639587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  639590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  639593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  639596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  639625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639644 */     GIR_RootConstrainSelectedInstOperands,
     /*  639645 */     // GIR_Coverage, 6574,
     /*  639645 */     GIR_EraseRootFromParent_Done,
     /*  639646 */   // Label 10263: @639646
     /*  639646 */   GIM_Try, /*On fail goto*//*Label 10264*/ GIMT_Encode4(639721), // Rule ID 6575 //
     /*  639651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  639662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  639665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  639668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  639671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639697 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /*  639700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639719 */     GIR_RootConstrainSelectedInstOperands,
     /*  639720 */     // GIR_Coverage, 6575,
     /*  639720 */     GIR_EraseRootFromParent_Done,
     /*  639721 */   // Label 10264: @639721
     /*  639721 */   GIM_Try, /*On fail goto*//*Label 10265*/ GIMT_Encode4(639796), // Rule ID 6578 //
     /*  639726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  639746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  639772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639794 */     GIR_RootConstrainSelectedInstOperands,
     /*  639795 */     // GIR_Coverage, 6578,
     /*  639795 */     GIR_EraseRootFromParent_Done,
     /*  639796 */   // Label 10265: @639796
     /*  639796 */   GIM_Try, /*On fail goto*//*Label 10266*/ GIMT_Encode4(639871), // Rule ID 6579 //
     /*  639801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  639812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  639815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  639818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  639821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639847 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  639847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  639866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639869 */     GIR_RootConstrainSelectedInstOperands,
     /*  639870 */     // GIR_Coverage, 6579,
     /*  639870 */     GIR_EraseRootFromParent_Done,
     /*  639871 */   // Label 10266: @639871
     /*  639871 */   GIM_Try, /*On fail goto*//*Label 10267*/ GIMT_Encode4(639946), // Rule ID 6582 //
     /*  639876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  639879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  639896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  639899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  639922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  639925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  639927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  639929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  639931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  639933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  639938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  639941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  639944 */     GIR_RootConstrainSelectedInstOperands,
     /*  639945 */     // GIR_Coverage, 6582,
     /*  639945 */     GIR_EraseRootFromParent_Done,
     /*  639946 */   // Label 10267: @639946
     /*  639946 */   GIM_Try, /*On fail goto*//*Label 10268*/ GIMT_Encode4(640021), // Rule ID 6583 //
     /*  639951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  639954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  639959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  639962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  639965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  639968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  639971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  639974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  639990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  639997 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  639997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /*  640000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640019 */     GIR_RootConstrainSelectedInstOperands,
     /*  640020 */     // GIR_Coverage, 6583,
     /*  640020 */     GIR_EraseRootFromParent_Done,
     /*  640021 */   // Label 10268: @640021
     /*  640021 */   GIM_Try, /*On fail goto*//*Label 10269*/ GIMT_Encode4(640096), // Rule ID 6586 //
     /*  640026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  640037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  640040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  640043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  640046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640094 */     GIR_RootConstrainSelectedInstOperands,
     /*  640095 */     // GIR_Coverage, 6586,
     /*  640095 */     GIR_EraseRootFromParent_Done,
     /*  640096 */   // Label 10269: @640096
     /*  640096 */   GIM_Try, /*On fail goto*//*Label 10270*/ GIMT_Encode4(640171), // Rule ID 6587 //
     /*  640101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  640112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  640115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  640118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  640121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640169 */     GIR_RootConstrainSelectedInstOperands,
     /*  640170 */     // GIR_Coverage, 6587,
     /*  640170 */     GIR_EraseRootFromParent_Done,
     /*  640171 */   // Label 10270: @640171
     /*  640171 */   GIM_Try, /*On fail goto*//*Label 10271*/ GIMT_Encode4(640246), // Rule ID 6590 //
     /*  640176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  640187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  640190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  640193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  640196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  640222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640244 */     GIR_RootConstrainSelectedInstOperands,
     /*  640245 */     // GIR_Coverage, 6590,
     /*  640245 */     GIR_EraseRootFromParent_Done,
     /*  640246 */   // Label 10271: @640246
     /*  640246 */   GIM_Try, /*On fail goto*//*Label 10272*/ GIMT_Encode4(640321), // Rule ID 6591 //
     /*  640251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  640262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  640265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  640268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  640271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  640297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  640316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640319 */     GIR_RootConstrainSelectedInstOperands,
     /*  640320 */     // GIR_Coverage, 6591,
     /*  640320 */     GIR_EraseRootFromParent_Done,
     /*  640321 */   // Label 10272: @640321
     /*  640321 */   GIM_Try, /*On fail goto*//*Label 10273*/ GIMT_Encode4(640396), // Rule ID 6594 //
     /*  640326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  640337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  640340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  640343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  640346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  640372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640394 */     GIR_RootConstrainSelectedInstOperands,
     /*  640395 */     // GIR_Coverage, 6594,
     /*  640395 */     GIR_EraseRootFromParent_Done,
     /*  640396 */   // Label 10273: @640396
     /*  640396 */   GIM_Try, /*On fail goto*//*Label 10274*/ GIMT_Encode4(640471), // Rule ID 6595 //
     /*  640401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  640412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  640415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  640418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  640421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  640447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  640466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640469 */     GIR_RootConstrainSelectedInstOperands,
     /*  640470 */     // GIR_Coverage, 6595,
     /*  640470 */     GIR_EraseRootFromParent_Done,
     /*  640471 */   // Label 10274: @640471
     /*  640471 */   GIM_Try, /*On fail goto*//*Label 10275*/ GIMT_Encode4(640546), // Rule ID 6598 //
     /*  640476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  640479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  640487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  640490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  640493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  640496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  640522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640544 */     GIR_RootConstrainSelectedInstOperands,
     /*  640545 */     // GIR_Coverage, 6598,
     /*  640545 */     GIR_EraseRootFromParent_Done,
     /*  640546 */   // Label 10275: @640546
     /*  640546 */   GIM_Try, /*On fail goto*//*Label 10276*/ GIMT_Encode4(640621), // Rule ID 6599 //
     /*  640551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  640554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  640562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  640565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  640568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  640571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  640590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640597 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  640597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /*  640600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  640616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640619 */     GIR_RootConstrainSelectedInstOperands,
     /*  640620 */     // GIR_Coverage, 6599,
     /*  640620 */     GIR_EraseRootFromParent_Done,
     /*  640621 */   // Label 10276: @640621
     /*  640621 */   GIM_Try, /*On fail goto*//*Label 10277*/ GIMT_Encode4(640696), // Rule ID 6602 //
     /*  640626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  640646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640694 */     GIR_RootConstrainSelectedInstOperands,
     /*  640695 */     // GIR_Coverage, 6602,
     /*  640695 */     GIR_EraseRootFromParent_Done,
     /*  640696 */   // Label 10277: @640696
     /*  640696 */   GIM_Try, /*On fail goto*//*Label 10278*/ GIMT_Encode4(640771), // Rule ID 6603 //
     /*  640701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  640712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  640715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  640718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  640721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  640740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640747 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  640750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640769 */     GIR_RootConstrainSelectedInstOperands,
     /*  640770 */     // GIR_Coverage, 6603,
     /*  640770 */     GIR_EraseRootFromParent_Done,
     /*  640771 */   // Label 10278: @640771
     /*  640771 */   GIM_Try, /*On fail goto*//*Label 10279*/ GIMT_Encode4(640846), // Rule ID 6606 //
     /*  640776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  640796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640844 */     GIR_RootConstrainSelectedInstOperands,
     /*  640845 */     // GIR_Coverage, 6606,
     /*  640845 */     GIR_EraseRootFromParent_Done,
     /*  640846 */   // Label 10279: @640846
     /*  640846 */   GIM_Try, /*On fail goto*//*Label 10280*/ GIMT_Encode4(640921), // Rule ID 6607 //
     /*  640851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  640854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  640862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  640865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  640868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  640871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  640874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  640890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  640897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  640900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640919 */     GIR_RootConstrainSelectedInstOperands,
     /*  640920 */     // GIR_Coverage, 6607,
     /*  640920 */     GIR_EraseRootFromParent_Done,
     /*  640921 */   // Label 10280: @640921
     /*  640921 */   GIM_Try, /*On fail goto*//*Label 10281*/ GIMT_Encode4(640996), // Rule ID 6610 //
     /*  640926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  640929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  640934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  640937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  640940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  640943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  640946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  640949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  640965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  640972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  640972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  640975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  640977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  640979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  640981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  640983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  640988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  640991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  640994 */     GIR_RootConstrainSelectedInstOperands,
     /*  640995 */     // GIR_Coverage, 6610,
     /*  640995 */     GIR_EraseRootFromParent_Done,
     /*  640996 */   // Label 10281: @640996
     /*  640996 */   GIM_Try, /*On fail goto*//*Label 10282*/ GIMT_Encode4(641071), // Rule ID 6611 //
     /*  641001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  641012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  641015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  641018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  641021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641047 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  641047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  641066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641069 */     GIR_RootConstrainSelectedInstOperands,
     /*  641070 */     // GIR_Coverage, 6611,
     /*  641070 */     GIR_EraseRootFromParent_Done,
     /*  641071 */   // Label 10282: @641071
     /*  641071 */   GIM_Try, /*On fail goto*//*Label 10283*/ GIMT_Encode4(641146), // Rule ID 6614 //
     /*  641076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  641087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  641090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  641093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  641096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641144 */     GIR_RootConstrainSelectedInstOperands,
     /*  641145 */     // GIR_Coverage, 6614,
     /*  641145 */     GIR_EraseRootFromParent_Done,
     /*  641146 */   // Label 10283: @641146
     /*  641146 */   GIM_Try, /*On fail goto*//*Label 10284*/ GIMT_Encode4(641221), // Rule ID 6615 //
     /*  641151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  641162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  641165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  641168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  641171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641219 */     GIR_RootConstrainSelectedInstOperands,
     /*  641220 */     // GIR_Coverage, 6615,
     /*  641220 */     GIR_EraseRootFromParent_Done,
     /*  641221 */   // Label 10284: @641221
     /*  641221 */   GIM_Try, /*On fail goto*//*Label 10285*/ GIMT_Encode4(641296), // Rule ID 6618 //
     /*  641226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  641237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  641240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  641243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  641246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641294 */     GIR_RootConstrainSelectedInstOperands,
     /*  641295 */     // GIR_Coverage, 6618,
     /*  641295 */     GIR_EraseRootFromParent_Done,
     /*  641296 */   // Label 10285: @641296
     /*  641296 */   GIM_Try, /*On fail goto*//*Label 10286*/ GIMT_Encode4(641371), // Rule ID 6619 //
     /*  641301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  641312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  641315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  641318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  641321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641369 */     GIR_RootConstrainSelectedInstOperands,
     /*  641370 */     // GIR_Coverage, 6619,
     /*  641370 */     GIR_EraseRootFromParent_Done,
     /*  641371 */   // Label 10286: @641371
     /*  641371 */   GIM_Try, /*On fail goto*//*Label 10287*/ GIMT_Encode4(641446), // Rule ID 6622 //
     /*  641376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  641387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  641390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  641393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  641396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  641422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641444 */     GIR_RootConstrainSelectedInstOperands,
     /*  641445 */     // GIR_Coverage, 6622,
     /*  641445 */     GIR_EraseRootFromParent_Done,
     /*  641446 */   // Label 10287: @641446
     /*  641446 */   GIM_Try, /*On fail goto*//*Label 10288*/ GIMT_Encode4(641521), // Rule ID 6623 //
     /*  641451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  641462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  641465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  641468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  641471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641497 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  641497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  641516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641519 */     GIR_RootConstrainSelectedInstOperands,
     /*  641520 */     // GIR_Coverage, 6623,
     /*  641520 */     GIR_EraseRootFromParent_Done,
     /*  641521 */   // Label 10288: @641521
     /*  641521 */   GIM_Try, /*On fail goto*//*Label 10289*/ GIMT_Encode4(641596), // Rule ID 6626 //
     /*  641526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  641537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  641540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  641543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  641546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641594 */     GIR_RootConstrainSelectedInstOperands,
     /*  641595 */     // GIR_Coverage, 6626,
     /*  641595 */     GIR_EraseRootFromParent_Done,
     /*  641596 */   // Label 10289: @641596
     /*  641596 */   GIM_Try, /*On fail goto*//*Label 10290*/ GIMT_Encode4(641671), // Rule ID 6627 //
     /*  641601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  641612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  641615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  641618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  641621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  641640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  641650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641669 */     GIR_RootConstrainSelectedInstOperands,
     /*  641670 */     // GIR_Coverage, 6627,
     /*  641670 */     GIR_EraseRootFromParent_Done,
     /*  641671 */   // Label 10290: @641671
     /*  641671 */   GIM_Try, /*On fail goto*//*Label 10291*/ GIMT_Encode4(641746), // Rule ID 6630 //
     /*  641676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  641696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641744 */     GIR_RootConstrainSelectedInstOperands,
     /*  641745 */     // GIR_Coverage, 6630,
     /*  641745 */     GIR_EraseRootFromParent_Done,
     /*  641746 */   // Label 10291: @641746
     /*  641746 */   GIM_Try, /*On fail goto*//*Label 10292*/ GIMT_Encode4(641821), // Rule ID 6631 //
     /*  641751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  641762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  641765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  641768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  641771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  641790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  641800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641819 */     GIR_RootConstrainSelectedInstOperands,
     /*  641820 */     // GIR_Coverage, 6631,
     /*  641820 */     GIR_EraseRootFromParent_Done,
     /*  641821 */   // Label 10292: @641821
     /*  641821 */   GIM_Try, /*On fail goto*//*Label 10293*/ GIMT_Encode4(641896), // Rule ID 6634 //
     /*  641826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  641829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  641846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  641872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641894 */     GIR_RootConstrainSelectedInstOperands,
     /*  641895 */     // GIR_Coverage, 6634,
     /*  641895 */     GIR_EraseRootFromParent_Done,
     /*  641896 */   // Label 10293: @641896
     /*  641896 */   GIM_Try, /*On fail goto*//*Label 10294*/ GIMT_Encode4(641971), // Rule ID 6635 //
     /*  641901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  641904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  641912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  641915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  641918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  641921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  641924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  641940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  641947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  641947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  641950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  641952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  641954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  641956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  641958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  641963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  641966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  641969 */     GIR_RootConstrainSelectedInstOperands,
     /*  641970 */     // GIR_Coverage, 6635,
     /*  641970 */     GIR_EraseRootFromParent_Done,
     /*  641971 */   // Label 10294: @641971
     /*  641971 */   GIM_Try, /*On fail goto*//*Label 10295*/ GIMT_Encode4(642046), // Rule ID 6638 //
     /*  641976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  641979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  641984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  641987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  641990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  641993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  641996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  641999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  642025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642044 */     GIR_RootConstrainSelectedInstOperands,
     /*  642045 */     // GIR_Coverage, 6638,
     /*  642045 */     GIR_EraseRootFromParent_Done,
     /*  642046 */   // Label 10295: @642046
     /*  642046 */   GIM_Try, /*On fail goto*//*Label 10296*/ GIMT_Encode4(642121), // Rule ID 6639 //
     /*  642051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  642062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  642065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  642068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  642071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  642090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642097 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /*  642100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642119 */     GIR_RootConstrainSelectedInstOperands,
     /*  642120 */     // GIR_Coverage, 6639,
     /*  642120 */     GIR_EraseRootFromParent_Done,
     /*  642121 */   // Label 10296: @642121
     /*  642121 */   GIM_Try, /*On fail goto*//*Label 10297*/ GIMT_Encode4(642196), // Rule ID 6642 //
     /*  642126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  642137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  642140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  642143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  642146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  642175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642194 */     GIR_RootConstrainSelectedInstOperands,
     /*  642195 */     // GIR_Coverage, 6642,
     /*  642195 */     GIR_EraseRootFromParent_Done,
     /*  642196 */   // Label 10297: @642196
     /*  642196 */   GIM_Try, /*On fail goto*//*Label 10298*/ GIMT_Encode4(642271), // Rule ID 6643 //
     /*  642201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  642212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  642215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  642218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  642221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  642240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642247 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /*  642250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642269 */     GIR_RootConstrainSelectedInstOperands,
     /*  642270 */     // GIR_Coverage, 6643,
     /*  642270 */     GIR_EraseRootFromParent_Done,
     /*  642271 */   // Label 10298: @642271
     /*  642271 */   GIM_Try, /*On fail goto*//*Label 10299*/ GIMT_Encode4(642346), // Rule ID 6646 //
     /*  642276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  642279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  642287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  642290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  642293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  642296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  642322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  642325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642344 */     GIR_RootConstrainSelectedInstOperands,
     /*  642345 */     // GIR_Coverage, 6646,
     /*  642345 */     GIR_EraseRootFromParent_Done,
     /*  642346 */   // Label 10299: @642346
     /*  642346 */   GIM_Try, /*On fail goto*//*Label 10300*/ GIMT_Encode4(642421), // Rule ID 6647 //
     /*  642351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  642354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  642362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  642365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  642368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  642371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  642390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  642397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /*  642400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  642416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642419 */     GIR_RootConstrainSelectedInstOperands,
     /*  642420 */     // GIR_Coverage, 6647,
     /*  642420 */     GIR_EraseRootFromParent_Done,
     /*  642421 */   // Label 10300: @642421
     /*  642421 */   GIM_Try, /*On fail goto*//*Label 10301*/ GIMT_Encode4(642496), // Rule ID 6650 //
     /*  642426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  642437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  642440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  642443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  642475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642494 */     GIR_RootConstrainSelectedInstOperands,
     /*  642495 */     // GIR_Coverage, 6650,
     /*  642495 */     GIR_EraseRootFromParent_Done,
     /*  642496 */   // Label 10301: @642496
     /*  642496 */   GIM_Try, /*On fail goto*//*Label 10302*/ GIMT_Encode4(642571), // Rule ID 6651 //
     /*  642501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  642512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  642515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  642518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8),
     /*  642550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642569 */     GIR_RootConstrainSelectedInstOperands,
     /*  642570 */     // GIR_Coverage, 6651,
     /*  642570 */     GIR_EraseRootFromParent_Done,
     /*  642571 */   // Label 10302: @642571
     /*  642571 */   GIM_Try, /*On fail goto*//*Label 10303*/ GIMT_Encode4(642646), // Rule ID 6654 //
     /*  642576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  642587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  642590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  642593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642644 */     GIR_RootConstrainSelectedInstOperands,
     /*  642645 */     // GIR_Coverage, 6654,
     /*  642645 */     GIR_EraseRootFromParent_Done,
     /*  642646 */   // Label 10303: @642646
     /*  642646 */   GIM_Try, /*On fail goto*//*Label 10304*/ GIMT_Encode4(642721), // Rule ID 6655 //
     /*  642651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  642662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  642665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  642668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642719 */     GIR_RootConstrainSelectedInstOperands,
     /*  642720 */     // GIR_Coverage, 6655,
     /*  642720 */     GIR_EraseRootFromParent_Done,
     /*  642721 */   // Label 10304: @642721
     /*  642721 */   GIM_Try, /*On fail goto*//*Label 10305*/ GIMT_Encode4(642796), // Rule ID 6658 //
     /*  642726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  642772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642794 */     GIR_RootConstrainSelectedInstOperands,
     /*  642795 */     // GIR_Coverage, 6658,
     /*  642795 */     GIR_EraseRootFromParent_Done,
     /*  642796 */   // Label 10305: @642796
     /*  642796 */   GIM_Try, /*On fail goto*//*Label 10306*/ GIMT_Encode4(642871), // Rule ID 6659 //
     /*  642801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  642812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  642815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  642818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  642847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  642850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  642866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642869 */     GIR_RootConstrainSelectedInstOperands,
     /*  642870 */     // GIR_Coverage, 6659,
     /*  642870 */     GIR_EraseRootFromParent_Done,
     /*  642871 */   // Label 10306: @642871
     /*  642871 */   GIM_Try, /*On fail goto*//*Label 10307*/ GIMT_Encode4(642946), // Rule ID 6662 //
     /*  642876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  642879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  642896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  642899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  642922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  642925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  642927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  642929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  642931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  642933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  642938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  642941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  642944 */     GIR_RootConstrainSelectedInstOperands,
     /*  642945 */     // GIR_Coverage, 6662,
     /*  642945 */     GIR_EraseRootFromParent_Done,
     /*  642946 */   // Label 10307: @642946
     /*  642946 */   GIM_Try, /*On fail goto*//*Label 10308*/ GIMT_Encode4(643021), // Rule ID 6663 //
     /*  642951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  642954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  642959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  642962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  642965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  642968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  642971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  642974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  642986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  642990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  642997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  642997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4),
     /*  643000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643019 */     GIR_RootConstrainSelectedInstOperands,
     /*  643020 */     // GIR_Coverage, 6663,
     /*  643020 */     GIR_EraseRootFromParent_Done,
     /*  643021 */   // Label 10308: @643021
     /*  643021 */   GIM_Try, /*On fail goto*//*Label 10309*/ GIMT_Encode4(643096), // Rule ID 6666 //
     /*  643026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  643037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  643040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  643043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  643075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643094 */     GIR_RootConstrainSelectedInstOperands,
     /*  643095 */     // GIR_Coverage, 6666,
     /*  643095 */     GIR_EraseRootFromParent_Done,
     /*  643096 */   // Label 10309: @643096
     /*  643096 */   GIM_Try, /*On fail goto*//*Label 10310*/ GIMT_Encode4(643171), // Rule ID 6667 //
     /*  643101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  643112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  643115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  643118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  643150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643169 */     GIR_RootConstrainSelectedInstOperands,
     /*  643170 */     // GIR_Coverage, 6667,
     /*  643170 */     GIR_EraseRootFromParent_Done,
     /*  643171 */   // Label 10310: @643171
     /*  643171 */   GIM_Try, /*On fail goto*//*Label 10311*/ GIMT_Encode4(643246), // Rule ID 6670 //
     /*  643176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  643187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  643190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  643193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  643225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643244 */     GIR_RootConstrainSelectedInstOperands,
     /*  643245 */     // GIR_Coverage, 6670,
     /*  643245 */     GIR_EraseRootFromParent_Done,
     /*  643246 */   // Label 10311: @643246
     /*  643246 */   GIM_Try, /*On fail goto*//*Label 10312*/ GIMT_Encode4(643321), // Rule ID 6671 //
     /*  643251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  643262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  643265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  643268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2),
     /*  643300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643319 */     GIR_RootConstrainSelectedInstOperands,
     /*  643320 */     // GIR_Coverage, 6671,
     /*  643320 */     GIR_EraseRootFromParent_Done,
     /*  643321 */   // Label 10312: @643321
     /*  643321 */   GIM_Try, /*On fail goto*//*Label 10313*/ GIMT_Encode4(643396), // Rule ID 6674 //
     /*  643326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  643337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  643340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  643343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643394 */     GIR_RootConstrainSelectedInstOperands,
     /*  643395 */     // GIR_Coverage, 6674,
     /*  643395 */     GIR_EraseRootFromParent_Done,
     /*  643396 */   // Label 10313: @643396
     /*  643396 */   GIM_Try, /*On fail goto*//*Label 10314*/ GIMT_Encode4(643471), // Rule ID 6675 //
     /*  643401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  643412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  643415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  643418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643447 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11553:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  643447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643469 */     GIR_RootConstrainSelectedInstOperands,
     /*  643470 */     // GIR_Coverage, 6675,
     /*  643470 */     GIR_EraseRootFromParent_Done,
     /*  643471 */   // Label 10314: @643471
     /*  643471 */   GIM_Try, /*On fail goto*//*Label 10315*/ GIMT_Encode4(643546), // Rule ID 6678 //
     /*  643476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  643487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  643490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  643493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  643522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643544 */     GIR_RootConstrainSelectedInstOperands,
     /*  643545 */     // GIR_Coverage, 6678,
     /*  643545 */     GIR_EraseRootFromParent_Done,
     /*  643546 */   // Label 10315: @643546
     /*  643546 */   GIM_Try, /*On fail goto*//*Label 10316*/ GIMT_Encode4(643621), // Rule ID 6679 //
     /*  643551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  643562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  643565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  643568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11553:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  643597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  643616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643619 */     GIR_RootConstrainSelectedInstOperands,
     /*  643620 */     // GIR_Coverage, 6679,
     /*  643620 */     GIR_EraseRootFromParent_Done,
     /*  643621 */   // Label 10316: @643621
     /*  643621 */   GIM_Try, /*On fail goto*//*Label 10317*/ GIMT_Encode4(643696), // Rule ID 6682 //
     /*  643626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  643672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643694 */     GIR_RootConstrainSelectedInstOperands,
     /*  643695 */     // GIR_Coverage, 6682,
     /*  643695 */     GIR_EraseRootFromParent_Done,
     /*  643696 */   // Label 10317: @643696
     /*  643696 */   GIM_Try, /*On fail goto*//*Label 10318*/ GIMT_Encode4(643771), // Rule ID 6683 //
     /*  643701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  643704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  643712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  643715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  643718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11553:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  643747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  643766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643769 */     GIR_RootConstrainSelectedInstOperands,
     /*  643770 */     // GIR_Coverage, 6683,
     /*  643770 */     GIR_EraseRootFromParent_Done,
     /*  643771 */   // Label 10318: @643771
     /*  643771 */   GIM_Try, /*On fail goto*//*Label 10319*/ GIMT_Encode4(643846), // Rule ID 6686 //
     /*  643776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  643779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  643822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643844 */     GIR_RootConstrainSelectedInstOperands,
     /*  643845 */     // GIR_Coverage, 6686,
     /*  643845 */     GIR_EraseRootFromParent_Done,
     /*  643846 */   // Label 10319: @643846
     /*  643846 */   GIM_Try, /*On fail goto*//*Label 10320*/ GIMT_Encode4(643921), // Rule ID 6687 //
     /*  643851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  643854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  643862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  643865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  643868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  643871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  643874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  643886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11553:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  643897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1),
     /*  643900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  643916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643919 */     GIR_RootConstrainSelectedInstOperands,
     /*  643920 */     // GIR_Coverage, 6687,
     /*  643920 */     GIR_EraseRootFromParent_Done,
     /*  643921 */   // Label 10320: @643921
     /*  643921 */   GIM_Try, /*On fail goto*//*Label 10321*/ GIMT_Encode4(643996), // Rule ID 6690 //
     /*  643926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  643929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  643934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  643937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  643940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  643943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  643946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  643949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  643961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  643965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  643972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  643972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  643975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  643977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  643979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  643981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  643983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  643988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  643991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  643994 */     GIR_RootConstrainSelectedInstOperands,
     /*  643995 */     // GIR_Coverage, 6690,
     /*  643995 */     GIR_EraseRootFromParent_Done,
     /*  643996 */   // Label 10321: @643996
     /*  643996 */   GIM_Try, /*On fail goto*//*Label 10322*/ GIMT_Encode4(644071), // Rule ID 6691 //
     /*  644001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  644012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  644015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  644018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644069 */     GIR_RootConstrainSelectedInstOperands,
     /*  644070 */     // GIR_Coverage, 6691,
     /*  644070 */     GIR_EraseRootFromParent_Done,
     /*  644071 */   // Label 10322: @644071
     /*  644071 */   GIM_Try, /*On fail goto*//*Label 10323*/ GIMT_Encode4(644146), // Rule ID 6694 //
     /*  644076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  644087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  644090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  644093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644144 */     GIR_RootConstrainSelectedInstOperands,
     /*  644145 */     // GIR_Coverage, 6694,
     /*  644145 */     GIR_EraseRootFromParent_Done,
     /*  644146 */   // Label 10323: @644146
     /*  644146 */   GIM_Try, /*On fail goto*//*Label 10324*/ GIMT_Encode4(644221), // Rule ID 6695 //
     /*  644151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  644162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  644165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  644168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644197 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644219 */     GIR_RootConstrainSelectedInstOperands,
     /*  644220 */     // GIR_Coverage, 6695,
     /*  644220 */     GIR_EraseRootFromParent_Done,
     /*  644221 */   // Label 10324: @644221
     /*  644221 */   GIM_Try, /*On fail goto*//*Label 10325*/ GIMT_Encode4(644296), // Rule ID 6698 //
     /*  644226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  644237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  644240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  644243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  644272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644294 */     GIR_RootConstrainSelectedInstOperands,
     /*  644295 */     // GIR_Coverage, 6698,
     /*  644295 */     GIR_EraseRootFromParent_Done,
     /*  644296 */   // Label 10325: @644296
     /*  644296 */   GIM_Try, /*On fail goto*//*Label 10326*/ GIMT_Encode4(644371), // Rule ID 6699 //
     /*  644301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  644312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  644315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  644318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644347 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  644347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  644366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644369 */     GIR_RootConstrainSelectedInstOperands,
     /*  644370 */     // GIR_Coverage, 6699,
     /*  644370 */     GIR_EraseRootFromParent_Done,
     /*  644371 */   // Label 10326: @644371
     /*  644371 */   GIM_Try, /*On fail goto*//*Label 10327*/ GIMT_Encode4(644446), // Rule ID 6702 //
     /*  644376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  644387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  644390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  644393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644444 */     GIR_RootConstrainSelectedInstOperands,
     /*  644445 */     // GIR_Coverage, 6702,
     /*  644445 */     GIR_EraseRootFromParent_Done,
     /*  644446 */   // Label 10327: @644446
     /*  644446 */   GIM_Try, /*On fail goto*//*Label 10328*/ GIMT_Encode4(644521), // Rule ID 6703 //
     /*  644451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  644462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  644465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  644468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644519 */     GIR_RootConstrainSelectedInstOperands,
     /*  644520 */     // GIR_Coverage, 6703,
     /*  644520 */     GIR_EraseRootFromParent_Done,
     /*  644521 */   // Label 10328: @644521
     /*  644521 */   GIM_Try, /*On fail goto*//*Label 10329*/ GIMT_Encode4(644596), // Rule ID 6706 //
     /*  644526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  644537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  644540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  644543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644594 */     GIR_RootConstrainSelectedInstOperands,
     /*  644595 */     // GIR_Coverage, 6706,
     /*  644595 */     GIR_EraseRootFromParent_Done,
     /*  644596 */   // Label 10329: @644596
     /*  644596 */   GIM_Try, /*On fail goto*//*Label 10330*/ GIMT_Encode4(644671), // Rule ID 6707 //
     /*  644601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  644612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  644615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  644618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  644636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644647 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  644650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644669 */     GIR_RootConstrainSelectedInstOperands,
     /*  644670 */     // GIR_Coverage, 6707,
     /*  644670 */     GIR_EraseRootFromParent_Done,
     /*  644671 */   // Label 10330: @644671
     /*  644671 */   GIM_Try, /*On fail goto*//*Label 10331*/ GIMT_Encode4(644746), // Rule ID 6710 //
     /*  644676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  644722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644744 */     GIR_RootConstrainSelectedInstOperands,
     /*  644745 */     // GIR_Coverage, 6710,
     /*  644745 */     GIR_EraseRootFromParent_Done,
     /*  644746 */   // Label 10331: @644746
     /*  644746 */   GIM_Try, /*On fail goto*//*Label 10332*/ GIMT_Encode4(644821), // Rule ID 6711 //
     /*  644751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  644762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  644765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  644768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  644786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644797 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  644797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  644800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  644816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644819 */     GIR_RootConstrainSelectedInstOperands,
     /*  644820 */     // GIR_Coverage, 6711,
     /*  644820 */     GIR_EraseRootFromParent_Done,
     /*  644821 */   // Label 10332: @644821
     /*  644821 */   GIM_Try, /*On fail goto*//*Label 10333*/ GIMT_Encode4(644896), // Rule ID 6714 //
     /*  644826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  644872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644894 */     GIR_RootConstrainSelectedInstOperands,
     /*  644895 */     // GIR_Coverage, 6714,
     /*  644895 */     GIR_EraseRootFromParent_Done,
     /*  644896 */   // Label 10333: @644896
     /*  644896 */   GIM_Try, /*On fail goto*//*Label 10334*/ GIMT_Encode4(644971), // Rule ID 6715 //
     /*  644901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  644904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  644912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  644915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  644918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  644921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  644924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  644936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  644940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  644947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  644947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  644950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  644952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  644954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  644956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  644958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  644963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  644966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  644969 */     GIR_RootConstrainSelectedInstOperands,
     /*  644970 */     // GIR_Coverage, 6715,
     /*  644970 */     GIR_EraseRootFromParent_Done,
     /*  644971 */   // Label 10334: @644971
     /*  644971 */   GIM_Try, /*On fail goto*//*Label 10335*/ GIMT_Encode4(645046), // Rule ID 6718 //
     /*  644976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  644979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  644984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  644987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  644990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  644993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  644996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  644999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  645025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645044 */     GIR_RootConstrainSelectedInstOperands,
     /*  645045 */     // GIR_Coverage, 6718,
     /*  645045 */     GIR_EraseRootFromParent_Done,
     /*  645046 */   // Label 10335: @645046
     /*  645046 */   GIM_Try, /*On fail goto*//*Label 10336*/ GIMT_Encode4(645121), // Rule ID 6719 //
     /*  645051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  645062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  645065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  645068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  645100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645119 */     GIR_RootConstrainSelectedInstOperands,
     /*  645120 */     // GIR_Coverage, 6719,
     /*  645120 */     GIR_EraseRootFromParent_Done,
     /*  645121 */   // Label 10336: @645121
     /*  645121 */   GIM_Try, /*On fail goto*//*Label 10337*/ GIMT_Encode4(645196), // Rule ID 6722 //
     /*  645126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  645137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  645140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  645143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  645172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  645175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645194 */     GIR_RootConstrainSelectedInstOperands,
     /*  645195 */     // GIR_Coverage, 6722,
     /*  645195 */     GIR_EraseRootFromParent_Done,
     /*  645196 */   // Label 10337: @645196
     /*  645196 */   GIM_Try, /*On fail goto*//*Label 10338*/ GIMT_Encode4(645271), // Rule ID 6723 //
     /*  645201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  645212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  645215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  645218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  645247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  645250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  645266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645269 */     GIR_RootConstrainSelectedInstOperands,
     /*  645270 */     // GIR_Coverage, 6723,
     /*  645270 */     GIR_EraseRootFromParent_Done,
     /*  645271 */   // Label 10338: @645271
     /*  645271 */   GIM_Try, /*On fail goto*//*Label 10339*/ GIMT_Encode4(645346), // Rule ID 6726 //
     /*  645276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  645287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  645290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  645293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  645325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645344 */     GIR_RootConstrainSelectedInstOperands,
     /*  645345 */     // GIR_Coverage, 6726,
     /*  645345 */     GIR_EraseRootFromParent_Done,
     /*  645346 */   // Label 10339: @645346
     /*  645346 */   GIM_Try, /*On fail goto*//*Label 10340*/ GIMT_Encode4(645421), // Rule ID 6727 //
     /*  645351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  645362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  645365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  645368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  645386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645397 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11553:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2),
     /*  645400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645419 */     GIR_RootConstrainSelectedInstOperands,
     /*  645420 */     // GIR_Coverage, 6727,
     /*  645420 */     GIR_EraseRootFromParent_Done,
     /*  645421 */   // Label 10340: @645421
     /*  645421 */   GIM_Try, /*On fail goto*//*Label 10341*/ GIMT_Encode4(645496), // Rule ID 6730 //
     /*  645426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  645437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  645440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  645443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  645475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645494 */     GIR_RootConstrainSelectedInstOperands,
     /*  645495 */     // GIR_Coverage, 6730,
     /*  645495 */     GIR_EraseRootFromParent_Done,
     /*  645496 */   // Label 10341: @645496
     /*  645496 */   GIM_Try, /*On fail goto*//*Label 10342*/ GIMT_Encode4(645571), // Rule ID 6731 //
     /*  645501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  645512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  645515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  645518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  645536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11553:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4),
     /*  645550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645569 */     GIR_RootConstrainSelectedInstOperands,
     /*  645570 */     // GIR_Coverage, 6731,
     /*  645570 */     GIR_EraseRootFromParent_Done,
     /*  645571 */   // Label 10342: @645571
     /*  645571 */   GIM_Try, /*On fail goto*//*Label 10343*/ GIMT_Encode4(645646), // Rule ID 6734 //
     /*  645576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  645579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  645587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  645590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  645593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  645596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  645622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  645625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645644 */     GIR_RootConstrainSelectedInstOperands,
     /*  645645 */     // GIR_Coverage, 6734,
     /*  645645 */     GIR_EraseRootFromParent_Done,
     /*  645646 */   // Label 10343: @645646
     /*  645646 */   GIM_Try, /*On fail goto*//*Label 10344*/ GIMT_Encode4(645721), // Rule ID 6735 //
     /*  645651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  645654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll),
     /*  645659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  645662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  645665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  645668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  645671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  645686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  645690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645697 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11553:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  645697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8),
     /*  645700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  645716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645719 */     GIR_RootConstrainSelectedInstOperands,
     /*  645720 */     // GIR_Coverage, 6735,
     /*  645720 */     GIR_EraseRootFromParent_Done,
     /*  645721 */   // Label 10344: @645721
     /*  645721 */   GIM_Try, /*On fail goto*//*Label 10345*/ GIMT_Encode4(645796), // Rule ID 6826 //
     /*  645726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  645746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  645775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645794 */     GIR_RootConstrainSelectedInstOperands,
     /*  645795 */     // GIR_Coverage, 6826,
     /*  645795 */     GIR_EraseRootFromParent_Done,
     /*  645796 */   // Label 10345: @645796
     /*  645796 */   GIM_Try, /*On fail goto*//*Label 10346*/ GIMT_Encode4(645871), // Rule ID 6827 //
     /*  645801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  645812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  645815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  645818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  645821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645847 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /*  645850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645869 */     GIR_RootConstrainSelectedInstOperands,
     /*  645870 */     // GIR_Coverage, 6827,
     /*  645870 */     GIR_EraseRootFromParent_Done,
     /*  645871 */   // Label 10346: @645871
     /*  645871 */   GIM_Try, /*On fail goto*//*Label 10347*/ GIMT_Encode4(645946), // Rule ID 6830 //
     /*  645876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  645879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  645896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  645899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  645922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  645925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  645927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  645929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  645931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  645933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  645938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  645941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  645944 */     GIR_RootConstrainSelectedInstOperands,
     /*  645945 */     // GIR_Coverage, 6830,
     /*  645945 */     GIR_EraseRootFromParent_Done,
     /*  645946 */   // Label 10347: @645946
     /*  645946 */   GIM_Try, /*On fail goto*//*Label 10348*/ GIMT_Encode4(646021), // Rule ID 6831 //
     /*  645951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  645954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  645959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  645962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  645965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  645968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  645971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  645974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  645990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  645997 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  645997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  646000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646019 */     GIR_RootConstrainSelectedInstOperands,
     /*  646020 */     // GIR_Coverage, 6831,
     /*  646020 */     GIR_EraseRootFromParent_Done,
     /*  646021 */   // Label 10348: @646021
     /*  646021 */   GIM_Try, /*On fail goto*//*Label 10349*/ GIMT_Encode4(646096), // Rule ID 6834 //
     /*  646026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  646037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  646040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  646043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  646046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  646075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646094 */     GIR_RootConstrainSelectedInstOperands,
     /*  646095 */     // GIR_Coverage, 6834,
     /*  646095 */     GIR_EraseRootFromParent_Done,
     /*  646096 */   // Label 10349: @646096
     /*  646096 */   GIM_Try, /*On fail goto*//*Label 10350*/ GIMT_Encode4(646171), // Rule ID 6835 //
     /*  646101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  646112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  646115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  646118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  646121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  646150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646169 */     GIR_RootConstrainSelectedInstOperands,
     /*  646170 */     // GIR_Coverage, 6835,
     /*  646170 */     GIR_EraseRootFromParent_Done,
     /*  646171 */   // Label 10350: @646171
     /*  646171 */   GIM_Try, /*On fail goto*//*Label 10351*/ GIMT_Encode4(646246), // Rule ID 6838 //
     /*  646176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  646187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  646190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  646193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  646196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  646225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646244 */     GIR_RootConstrainSelectedInstOperands,
     /*  646245 */     // GIR_Coverage, 6838,
     /*  646245 */     GIR_EraseRootFromParent_Done,
     /*  646246 */   // Label 10351: @646246
     /*  646246 */   GIM_Try, /*On fail goto*//*Label 10352*/ GIMT_Encode4(646321), // Rule ID 6839 //
     /*  646251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  646262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  646265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  646268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  646271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /*  646300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646319 */     GIR_RootConstrainSelectedInstOperands,
     /*  646320 */     // GIR_Coverage, 6839,
     /*  646320 */     GIR_EraseRootFromParent_Done,
     /*  646321 */   // Label 10352: @646321
     /*  646321 */   GIM_Try, /*On fail goto*//*Label 10353*/ GIMT_Encode4(646396), // Rule ID 6842 //
     /*  646326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  646337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  646340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  646343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  646346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  646375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646394 */     GIR_RootConstrainSelectedInstOperands,
     /*  646395 */     // GIR_Coverage, 6842,
     /*  646395 */     GIR_EraseRootFromParent_Done,
     /*  646396 */   // Label 10353: @646396
     /*  646396 */   GIM_Try, /*On fail goto*//*Label 10354*/ GIMT_Encode4(646471), // Rule ID 6843 //
     /*  646401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  646412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  646415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  646418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  646421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  646450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646469 */     GIR_RootConstrainSelectedInstOperands,
     /*  646470 */     // GIR_Coverage, 6843,
     /*  646470 */     GIR_EraseRootFromParent_Done,
     /*  646471 */   // Label 10354: @646471
     /*  646471 */   GIM_Try, /*On fail goto*//*Label 10355*/ GIMT_Encode4(646546), // Rule ID 6846 //
     /*  646476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  646487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  646490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  646493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  646496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  646525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646544 */     GIR_RootConstrainSelectedInstOperands,
     /*  646545 */     // GIR_Coverage, 6846,
     /*  646545 */     GIR_EraseRootFromParent_Done,
     /*  646546 */   // Label 10355: @646546
     /*  646546 */   GIM_Try, /*On fail goto*//*Label 10356*/ GIMT_Encode4(646621), // Rule ID 6847 //
     /*  646551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  646562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  646565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  646568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  646571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646597 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  646597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /*  646600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646619 */     GIR_RootConstrainSelectedInstOperands,
     /*  646620 */     // GIR_Coverage, 6847,
     /*  646620 */     GIR_EraseRootFromParent_Done,
     /*  646621 */   // Label 10356: @646621
     /*  646621 */   GIM_Try, /*On fail goto*//*Label 10357*/ GIMT_Encode4(646696), // Rule ID 6850 //
     /*  646626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  646646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  646672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646694 */     GIR_RootConstrainSelectedInstOperands,
     /*  646695 */     // GIR_Coverage, 6850,
     /*  646695 */     GIR_EraseRootFromParent_Done,
     /*  646696 */   // Label 10357: @646696
     /*  646696 */   GIM_Try, /*On fail goto*//*Label 10358*/ GIMT_Encode4(646771), // Rule ID 6851 //
     /*  646701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  646712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  646715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  646718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  646721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  646747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  646766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646769 */     GIR_RootConstrainSelectedInstOperands,
     /*  646770 */     // GIR_Coverage, 6851,
     /*  646770 */     GIR_EraseRootFromParent_Done,
     /*  646771 */   // Label 10358: @646771
     /*  646771 */   GIM_Try, /*On fail goto*//*Label 10359*/ GIMT_Encode4(646846), // Rule ID 6854 //
     /*  646776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  646796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  646822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646844 */     GIR_RootConstrainSelectedInstOperands,
     /*  646845 */     // GIR_Coverage, 6854,
     /*  646845 */     GIR_EraseRootFromParent_Done,
     /*  646846 */   // Label 10359: @646846
     /*  646846 */   GIM_Try, /*On fail goto*//*Label 10360*/ GIMT_Encode4(646921), // Rule ID 6855 //
     /*  646851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  646854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  646862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  646865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  646868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  646871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  646874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646897 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  646897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  646916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646919 */     GIR_RootConstrainSelectedInstOperands,
     /*  646920 */     // GIR_Coverage, 6855,
     /*  646920 */     GIR_EraseRootFromParent_Done,
     /*  646921 */   // Label 10360: @646921
     /*  646921 */   GIM_Try, /*On fail goto*//*Label 10361*/ GIMT_Encode4(646996), // Rule ID 6858 //
     /*  646926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  646929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  646934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  646937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  646940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  646943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  646946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  646949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  646965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  646972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  646972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  646975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  646977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  646979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  646981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  646983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  646988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  646991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  646994 */     GIR_RootConstrainSelectedInstOperands,
     /*  646995 */     // GIR_Coverage, 6858,
     /*  646995 */     GIR_EraseRootFromParent_Done,
     /*  646996 */   // Label 10361: @646996
     /*  646996 */   GIM_Try, /*On fail goto*//*Label 10362*/ GIMT_Encode4(647071), // Rule ID 6859 //
     /*  647001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  647012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  647015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  647018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  647021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  647047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  647050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  647066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647069 */     GIR_RootConstrainSelectedInstOperands,
     /*  647070 */     // GIR_Coverage, 6859,
     /*  647070 */     GIR_EraseRootFromParent_Done,
     /*  647071 */   // Label 10362: @647071
     /*  647071 */   GIM_Try, /*On fail goto*//*Label 10363*/ GIMT_Encode4(647146), // Rule ID 6862 //
     /*  647076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  647079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  647087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  647090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  647093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  647096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  647122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  647125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647144 */     GIR_RootConstrainSelectedInstOperands,
     /*  647145 */     // GIR_Coverage, 6862,
     /*  647145 */     GIR_EraseRootFromParent_Done,
     /*  647146 */   // Label 10363: @647146
     /*  647146 */   GIM_Try, /*On fail goto*//*Label 10364*/ GIMT_Encode4(647221), // Rule ID 6863 //
     /*  647151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  647154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  647162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  647165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  647168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  647171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  647190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  647197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /*  647200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  647216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647219 */     GIR_RootConstrainSelectedInstOperands,
     /*  647220 */     // GIR_Coverage, 6863,
     /*  647220 */     GIR_EraseRootFromParent_Done,
     /*  647221 */   // Label 10364: @647221
     /*  647221 */   GIM_Try, /*On fail goto*//*Label 10365*/ GIMT_Encode4(647296), // Rule ID 6866 //
     /*  647226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  647237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  647240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  647243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  647246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647294 */     GIR_RootConstrainSelectedInstOperands,
     /*  647295 */     // GIR_Coverage, 6866,
     /*  647295 */     GIR_EraseRootFromParent_Done,
     /*  647296 */   // Label 10365: @647296
     /*  647296 */   GIM_Try, /*On fail goto*//*Label 10366*/ GIMT_Encode4(647371), // Rule ID 6867 //
     /*  647301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  647312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  647315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  647318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  647321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647347 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647369 */     GIR_RootConstrainSelectedInstOperands,
     /*  647370 */     // GIR_Coverage, 6867,
     /*  647370 */     GIR_EraseRootFromParent_Done,
     /*  647371 */   // Label 10366: @647371
     /*  647371 */   GIM_Try, /*On fail goto*//*Label 10367*/ GIMT_Encode4(647446), // Rule ID 6870 //
     /*  647376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  647387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  647390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  647393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  647396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647444 */     GIR_RootConstrainSelectedInstOperands,
     /*  647445 */     // GIR_Coverage, 6870,
     /*  647445 */     GIR_EraseRootFromParent_Done,
     /*  647446 */   // Label 10367: @647446
     /*  647446 */   GIM_Try, /*On fail goto*//*Label 10368*/ GIMT_Encode4(647521), // Rule ID 6871 //
     /*  647451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  647462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  647465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  647468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  647471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647497 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647519 */     GIR_RootConstrainSelectedInstOperands,
     /*  647520 */     // GIR_Coverage, 6871,
     /*  647520 */     GIR_EraseRootFromParent_Done,
     /*  647521 */   // Label 10368: @647521
     /*  647521 */   GIM_Try, /*On fail goto*//*Label 10369*/ GIMT_Encode4(647596), // Rule ID 6874 //
     /*  647526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  647537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  647540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  647543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  647546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  647572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647594 */     GIR_RootConstrainSelectedInstOperands,
     /*  647595 */     // GIR_Coverage, 6874,
     /*  647595 */     GIR_EraseRootFromParent_Done,
     /*  647596 */   // Label 10369: @647596
     /*  647596 */   GIM_Try, /*On fail goto*//*Label 10370*/ GIMT_Encode4(647671), // Rule ID 6875 //
     /*  647601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  647612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  647615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  647618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  647621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  647640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647647 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  647647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  647650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  647666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647669 */     GIR_RootConstrainSelectedInstOperands,
     /*  647670 */     // GIR_Coverage, 6875,
     /*  647670 */     GIR_EraseRootFromParent_Done,
     /*  647671 */   // Label 10370: @647671
     /*  647671 */   GIM_Try, /*On fail goto*//*Label 10371*/ GIMT_Encode4(647746), // Rule ID 6878 //
     /*  647676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  647696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647744 */     GIR_RootConstrainSelectedInstOperands,
     /*  647745 */     // GIR_Coverage, 6878,
     /*  647745 */     GIR_EraseRootFromParent_Done,
     /*  647746 */   // Label 10371: @647746
     /*  647746 */   GIM_Try, /*On fail goto*//*Label 10372*/ GIMT_Encode4(647821), // Rule ID 6879 //
     /*  647751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  647762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  647765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  647768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  647771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  647790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  647800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647819 */     GIR_RootConstrainSelectedInstOperands,
     /*  647820 */     // GIR_Coverage, 6879,
     /*  647820 */     GIR_EraseRootFromParent_Done,
     /*  647821 */   // Label 10372: @647821
     /*  647821 */   GIM_Try, /*On fail goto*//*Label 10373*/ GIMT_Encode4(647896), // Rule ID 6882 //
     /*  647826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  647846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  647872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647894 */     GIR_RootConstrainSelectedInstOperands,
     /*  647895 */     // GIR_Coverage, 6882,
     /*  647895 */     GIR_EraseRootFromParent_Done,
     /*  647896 */   // Label 10373: @647896
     /*  647896 */   GIM_Try, /*On fail goto*//*Label 10374*/ GIMT_Encode4(647971), // Rule ID 6883 //
     /*  647901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  647904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  647912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  647915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  647918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  647921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  647924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  647940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  647947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  647947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  647950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  647952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  647954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  647956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  647958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  647963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  647966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  647969 */     GIR_RootConstrainSelectedInstOperands,
     /*  647970 */     // GIR_Coverage, 6883,
     /*  647970 */     GIR_EraseRootFromParent_Done,
     /*  647971 */   // Label 10374: @647971
     /*  647971 */   GIM_Try, /*On fail goto*//*Label 10375*/ GIMT_Encode4(648046), // Rule ID 6886 //
     /*  647976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  647979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  647984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  647987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  647990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  647993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  647996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  647999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  648022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648044 */     GIR_RootConstrainSelectedInstOperands,
     /*  648045 */     // GIR_Coverage, 6886,
     /*  648045 */     GIR_EraseRootFromParent_Done,
     /*  648046 */   // Label 10375: @648046
     /*  648046 */   GIM_Try, /*On fail goto*//*Label 10376*/ GIMT_Encode4(648121), // Rule ID 6887 //
     /*  648051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  648062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  648065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  648068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  648071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648097 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  648097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  648116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648119 */     GIR_RootConstrainSelectedInstOperands,
     /*  648120 */     // GIR_Coverage, 6887,
     /*  648120 */     GIR_EraseRootFromParent_Done,
     /*  648121 */   // Label 10376: @648121
     /*  648121 */   GIM_Try, /*On fail goto*//*Label 10377*/ GIMT_Encode4(648196), // Rule ID 6890 //
     /*  648126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  648137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  648140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  648143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  648146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  648175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648194 */     GIR_RootConstrainSelectedInstOperands,
     /*  648195 */     // GIR_Coverage, 6890,
     /*  648195 */     GIR_EraseRootFromParent_Done,
     /*  648196 */   // Label 10377: @648196
     /*  648196 */   GIM_Try, /*On fail goto*//*Label 10378*/ GIMT_Encode4(648271), // Rule ID 6891 //
     /*  648201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  648212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  648215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  648218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  648221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  648250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648269 */     GIR_RootConstrainSelectedInstOperands,
     /*  648270 */     // GIR_Coverage, 6891,
     /*  648270 */     GIR_EraseRootFromParent_Done,
     /*  648271 */   // Label 10378: @648271
     /*  648271 */   GIM_Try, /*On fail goto*//*Label 10379*/ GIMT_Encode4(648346), // Rule ID 6894 //
     /*  648276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  648287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  648290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  648293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  648296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  648325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648344 */     GIR_RootConstrainSelectedInstOperands,
     /*  648345 */     // GIR_Coverage, 6894,
     /*  648345 */     GIR_EraseRootFromParent_Done,
     /*  648346 */   // Label 10379: @648346
     /*  648346 */   GIM_Try, /*On fail goto*//*Label 10380*/ GIMT_Encode4(648421), // Rule ID 6895 //
     /*  648351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  648362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  648365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  648368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  648371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  648400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648419 */     GIR_RootConstrainSelectedInstOperands,
     /*  648420 */     // GIR_Coverage, 6895,
     /*  648420 */     GIR_EraseRootFromParent_Done,
     /*  648421 */   // Label 10380: @648421
     /*  648421 */   GIM_Try, /*On fail goto*//*Label 10381*/ GIMT_Encode4(648496), // Rule ID 6898 //
     /*  648426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  648429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  648437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  648440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  648443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  648446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  648472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648494 */     GIR_RootConstrainSelectedInstOperands,
     /*  648495 */     // GIR_Coverage, 6898,
     /*  648495 */     GIR_EraseRootFromParent_Done,
     /*  648496 */   // Label 10381: @648496
     /*  648496 */   GIM_Try, /*On fail goto*//*Label 10382*/ GIMT_Encode4(648571), // Rule ID 6899 //
     /*  648501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  648504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  648512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  648515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  648518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  648521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648547 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  648547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  648566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648569 */     GIR_RootConstrainSelectedInstOperands,
     /*  648570 */     // GIR_Coverage, 6899,
     /*  648570 */     GIR_EraseRootFromParent_Done,
     /*  648571 */   // Label 10382: @648571
     /*  648571 */   GIM_Try, /*On fail goto*//*Label 10383*/ GIMT_Encode4(648646), // Rule ID 6902 //
     /*  648576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  648587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  648590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  648593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  648596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  648625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648644 */     GIR_RootConstrainSelectedInstOperands,
     /*  648645 */     // GIR_Coverage, 6902,
     /*  648645 */     GIR_EraseRootFromParent_Done,
     /*  648646 */   // Label 10383: @648646
     /*  648646 */   GIM_Try, /*On fail goto*//*Label 10384*/ GIMT_Encode4(648721), // Rule ID 6903 //
     /*  648651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  648662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  648665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  648668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  648671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  648690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /*  648700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648719 */     GIR_RootConstrainSelectedInstOperands,
     /*  648720 */     // GIR_Coverage, 6903,
     /*  648720 */     GIR_EraseRootFromParent_Done,
     /*  648721 */   // Label 10384: @648721
     /*  648721 */   GIM_Try, /*On fail goto*//*Label 10385*/ GIMT_Encode4(648796), // Rule ID 6906 //
     /*  648726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  648746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  648775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648794 */     GIR_RootConstrainSelectedInstOperands,
     /*  648795 */     // GIR_Coverage, 6906,
     /*  648795 */     GIR_EraseRootFromParent_Done,
     /*  648796 */   // Label 10385: @648796
     /*  648796 */   GIM_Try, /*On fail goto*//*Label 10386*/ GIMT_Encode4(648871), // Rule ID 6907 //
     /*  648801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  648812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  648815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  648818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  648821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  648840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /*  648850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648869 */     GIR_RootConstrainSelectedInstOperands,
     /*  648870 */     // GIR_Coverage, 6907,
     /*  648870 */     GIR_EraseRootFromParent_Done,
     /*  648871 */   // Label 10386: @648871
     /*  648871 */   GIM_Try, /*On fail goto*//*Label 10387*/ GIMT_Encode4(648946), // Rule ID 6910 //
     /*  648876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  648879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  648896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  648899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  648922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  648925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  648927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  648929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  648931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  648933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  648938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  648941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  648944 */     GIR_RootConstrainSelectedInstOperands,
     /*  648945 */     // GIR_Coverage, 6910,
     /*  648945 */     GIR_EraseRootFromParent_Done,
     /*  648946 */   // Label 10387: @648946
     /*  648946 */   GIM_Try, /*On fail goto*//*Label 10388*/ GIMT_Encode4(649021), // Rule ID 6911 //
     /*  648951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  648954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  648959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  648962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  648965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  648968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  648971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  648974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  648990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  648997 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  648997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /*  649000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  649016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649019 */     GIR_RootConstrainSelectedInstOperands,
     /*  649020 */     // GIR_Coverage, 6911,
     /*  649020 */     GIR_EraseRootFromParent_Done,
     /*  649021 */   // Label 10388: @649021
     /*  649021 */   GIM_Try, /*On fail goto*//*Label 10389*/ GIMT_Encode4(649096), // Rule ID 6914 //
     /*  649026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  649037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  649040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  649043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  649075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649094 */     GIR_RootConstrainSelectedInstOperands,
     /*  649095 */     // GIR_Coverage, 6914,
     /*  649095 */     GIR_EraseRootFromParent_Done,
     /*  649096 */   // Label 10389: @649096
     /*  649096 */   GIM_Try, /*On fail goto*//*Label 10390*/ GIMT_Encode4(649171), // Rule ID 6915 //
     /*  649101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  649112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  649115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  649118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649147 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8),
     /*  649150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649169 */     GIR_RootConstrainSelectedInstOperands,
     /*  649170 */     // GIR_Coverage, 6915,
     /*  649170 */     GIR_EraseRootFromParent_Done,
     /*  649171 */   // Label 10390: @649171
     /*  649171 */   GIM_Try, /*On fail goto*//*Label 10391*/ GIMT_Encode4(649246), // Rule ID 6918 //
     /*  649176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  649187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  649190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  649193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  649225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649244 */     GIR_RootConstrainSelectedInstOperands,
     /*  649245 */     // GIR_Coverage, 6918,
     /*  649245 */     GIR_EraseRootFromParent_Done,
     /*  649246 */   // Label 10391: @649246
     /*  649246 */   GIM_Try, /*On fail goto*//*Label 10392*/ GIMT_Encode4(649321), // Rule ID 6919 //
     /*  649251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  649262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  649265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  649268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649297 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  649300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649319 */     GIR_RootConstrainSelectedInstOperands,
     /*  649320 */     // GIR_Coverage, 6919,
     /*  649320 */     GIR_EraseRootFromParent_Done,
     /*  649321 */   // Label 10392: @649321
     /*  649321 */   GIM_Try, /*On fail goto*//*Label 10393*/ GIMT_Encode4(649396), // Rule ID 6922 //
     /*  649326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  649337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  649340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  649343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649394 */     GIR_RootConstrainSelectedInstOperands,
     /*  649395 */     // GIR_Coverage, 6922,
     /*  649395 */     GIR_EraseRootFromParent_Done,
     /*  649396 */   // Label 10393: @649396
     /*  649396 */   GIM_Try, /*On fail goto*//*Label 10394*/ GIMT_Encode4(649471), // Rule ID 6923 //
     /*  649401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  649412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  649415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  649418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649447 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  649447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649469 */     GIR_RootConstrainSelectedInstOperands,
     /*  649470 */     // GIR_Coverage, 6923,
     /*  649470 */     GIR_EraseRootFromParent_Done,
     /*  649471 */   // Label 10394: @649471
     /*  649471 */   GIM_Try, /*On fail goto*//*Label 10395*/ GIMT_Encode4(649546), // Rule ID 6926 //
     /*  649476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  649487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  649490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  649493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  649525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649544 */     GIR_RootConstrainSelectedInstOperands,
     /*  649545 */     // GIR_Coverage, 6926,
     /*  649545 */     GIR_EraseRootFromParent_Done,
     /*  649546 */   // Label 10395: @649546
     /*  649546 */   GIM_Try, /*On fail goto*//*Label 10396*/ GIMT_Encode4(649621), // Rule ID 6927 //
     /*  649551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  649562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  649565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  649568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4),
     /*  649600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649619 */     GIR_RootConstrainSelectedInstOperands,
     /*  649620 */     // GIR_Coverage, 6927,
     /*  649620 */     GIR_EraseRootFromParent_Done,
     /*  649621 */   // Label 10396: @649621
     /*  649621 */   GIM_Try, /*On fail goto*//*Label 10397*/ GIMT_Encode4(649696), // Rule ID 6930 //
     /*  649626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  649637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  649640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  649672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649694 */     GIR_RootConstrainSelectedInstOperands,
     /*  649695 */     // GIR_Coverage, 6930,
     /*  649695 */     GIR_EraseRootFromParent_Done,
     /*  649696 */   // Label 10397: @649696
     /*  649696 */   GIM_Try, /*On fail goto*//*Label 10398*/ GIMT_Encode4(649771), // Rule ID 6931 //
     /*  649701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  649712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  649715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  649718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  649747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  649766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649769 */     GIR_RootConstrainSelectedInstOperands,
     /*  649770 */     // GIR_Coverage, 6931,
     /*  649770 */     GIR_EraseRootFromParent_Done,
     /*  649771 */   // Label 10398: @649771
     /*  649771 */   GIM_Try, /*On fail goto*//*Label 10399*/ GIMT_Encode4(649846), // Rule ID 6934 //
     /*  649776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  649793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  649822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649844 */     GIR_RootConstrainSelectedInstOperands,
     /*  649845 */     // GIR_Coverage, 6934,
     /*  649845 */     GIR_EraseRootFromParent_Done,
     /*  649846 */   // Label 10399: @649846
     /*  649846 */   GIM_Try, /*On fail goto*//*Label 10400*/ GIMT_Encode4(649921), // Rule ID 6935 //
     /*  649851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  649854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  649862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  649865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  649868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  649871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  649874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  649897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2),
     /*  649900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  649916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649919 */     GIR_RootConstrainSelectedInstOperands,
     /*  649920 */     // GIR_Coverage, 6935,
     /*  649920 */     GIR_EraseRootFromParent_Done,
     /*  649921 */   // Label 10400: @649921
     /*  649921 */   GIM_Try, /*On fail goto*//*Label 10401*/ GIMT_Encode4(649996), // Rule ID 6938 //
     /*  649926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  649929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  649934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  649937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  649940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  649943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  649946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  649949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  649961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  649965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  649972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  649972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  649975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  649977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  649979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  649981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  649983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  649988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  649991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  649994 */     GIR_RootConstrainSelectedInstOperands,
     /*  649995 */     // GIR_Coverage, 6938,
     /*  649995 */     GIR_EraseRootFromParent_Done,
     /*  649996 */   // Label 10401: @649996
     /*  649996 */   GIM_Try, /*On fail goto*//*Label 10402*/ GIMT_Encode4(650071), // Rule ID 6939 //
     /*  650001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  650012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  650015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  650018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650047 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11581:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  650050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650069 */     GIR_RootConstrainSelectedInstOperands,
     /*  650070 */     // GIR_Coverage, 6939,
     /*  650070 */     GIR_EraseRootFromParent_Done,
     /*  650071 */   // Label 10402: @650071
     /*  650071 */   GIM_Try, /*On fail goto*//*Label 10403*/ GIMT_Encode4(650146), // Rule ID 6942 //
     /*  650076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  650087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  650090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  650093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  650122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  650125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650144 */     GIR_RootConstrainSelectedInstOperands,
     /*  650145 */     // GIR_Coverage, 6942,
     /*  650145 */     GIR_EraseRootFromParent_Done,
     /*  650146 */   // Label 10403: @650146
     /*  650146 */   GIM_Try, /*On fail goto*//*Label 10404*/ GIMT_Encode4(650221), // Rule ID 6943 //
     /*  650151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  650162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  650165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  650168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11581:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  650197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  650200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  650216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650219 */     GIR_RootConstrainSelectedInstOperands,
     /*  650220 */     // GIR_Coverage, 6943,
     /*  650220 */     GIR_EraseRootFromParent_Done,
     /*  650221 */   // Label 10404: @650221
     /*  650221 */   GIM_Try, /*On fail goto*//*Label 10405*/ GIMT_Encode4(650296), // Rule ID 6946 //
     /*  650226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  650237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  650240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  650243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  650272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  650275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650294 */     GIR_RootConstrainSelectedInstOperands,
     /*  650295 */     // GIR_Coverage, 6946,
     /*  650295 */     GIR_EraseRootFromParent_Done,
     /*  650296 */   // Label 10405: @650296
     /*  650296 */   GIM_Try, /*On fail goto*//*Label 10406*/ GIMT_Encode4(650371), // Rule ID 6947 //
     /*  650301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  650312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  650315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  650318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11581:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  650347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  650350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  650366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650369 */     GIR_RootConstrainSelectedInstOperands,
     /*  650370 */     // GIR_Coverage, 6947,
     /*  650370 */     GIR_EraseRootFromParent_Done,
     /*  650371 */   // Label 10406: @650371
     /*  650371 */   GIM_Try, /*On fail goto*//*Label 10407*/ GIMT_Encode4(650446), // Rule ID 6950 //
     /*  650376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  650379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  650387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  650390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  650393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  650422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  650425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650444 */     GIR_RootConstrainSelectedInstOperands,
     /*  650445 */     // GIR_Coverage, 6950,
     /*  650445 */     GIR_EraseRootFromParent_Done,
     /*  650446 */   // Label 10407: @650446
     /*  650446 */   GIM_Try, /*On fail goto*//*Label 10408*/ GIMT_Encode4(650521), // Rule ID 6951 //
     /*  650451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  650454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  650462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  650465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  650468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  650486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11581:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  650497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1),
     /*  650500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  650516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650519 */     GIR_RootConstrainSelectedInstOperands,
     /*  650520 */     // GIR_Coverage, 6951,
     /*  650520 */     GIR_EraseRootFromParent_Done,
     /*  650521 */   // Label 10408: @650521
     /*  650521 */   GIM_Try, /*On fail goto*//*Label 10409*/ GIMT_Encode4(650596), // Rule ID 6954 //
     /*  650526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  650537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  650540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  650543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650594 */     GIR_RootConstrainSelectedInstOperands,
     /*  650595 */     // GIR_Coverage, 6954,
     /*  650595 */     GIR_EraseRootFromParent_Done,
     /*  650596 */   // Label 10409: @650596
     /*  650596 */   GIM_Try, /*On fail goto*//*Label 10410*/ GIMT_Encode4(650671), // Rule ID 6955 //
     /*  650601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  650612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  650615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  650618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  650636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  650650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650669 */     GIR_RootConstrainSelectedInstOperands,
     /*  650670 */     // GIR_Coverage, 6955,
     /*  650670 */     GIR_EraseRootFromParent_Done,
     /*  650671 */   // Label 10410: @650671
     /*  650671 */   GIM_Try, /*On fail goto*//*Label 10411*/ GIMT_Encode4(650746), // Rule ID 6958 //
     /*  650676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  650693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650744 */     GIR_RootConstrainSelectedInstOperands,
     /*  650745 */     // GIR_Coverage, 6958,
     /*  650745 */     GIR_EraseRootFromParent_Done,
     /*  650746 */   // Label 10411: @650746
     /*  650746 */   GIM_Try, /*On fail goto*//*Label 10412*/ GIMT_Encode4(650821), // Rule ID 6959 //
     /*  650751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  650762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  650765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  650768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  650786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650797 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  650800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650819 */     GIR_RootConstrainSelectedInstOperands,
     /*  650820 */     // GIR_Coverage, 6959,
     /*  650820 */     GIR_EraseRootFromParent_Done,
     /*  650821 */   // Label 10412: @650821
     /*  650821 */   GIM_Try, /*On fail goto*//*Label 10413*/ GIMT_Encode4(650896), // Rule ID 6962 //
     /*  650826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  650837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  650840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  650843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  650872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650894 */     GIR_RootConstrainSelectedInstOperands,
     /*  650895 */     // GIR_Coverage, 6962,
     /*  650895 */     GIR_EraseRootFromParent_Done,
     /*  650896 */   // Label 10413: @650896
     /*  650896 */   GIM_Try, /*On fail goto*//*Label 10414*/ GIMT_Encode4(650971), // Rule ID 6963 //
     /*  650901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  650904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  650912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  650915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  650918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  650921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  650924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  650936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  650940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  650947 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  650947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  650950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  650952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  650954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  650956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  650958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  650963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  650966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  650969 */     GIR_RootConstrainSelectedInstOperands,
     /*  650970 */     // GIR_Coverage, 6963,
     /*  650970 */     GIR_EraseRootFromParent_Done,
     /*  650971 */   // Label 10414: @650971
     /*  650971 */   GIM_Try, /*On fail goto*//*Label 10415*/ GIMT_Encode4(651046), // Rule ID 6966 //
     /*  650976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  650979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  650984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  650987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  650990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  650993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  650996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  650999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651044 */     GIR_RootConstrainSelectedInstOperands,
     /*  651045 */     // GIR_Coverage, 6966,
     /*  651045 */     GIR_EraseRootFromParent_Done,
     /*  651046 */   // Label 10415: @651046
     /*  651046 */   GIM_Try, /*On fail goto*//*Label 10416*/ GIMT_Encode4(651121), // Rule ID 6967 //
     /*  651051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  651062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  651065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  651068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651119 */     GIR_RootConstrainSelectedInstOperands,
     /*  651120 */     // GIR_Coverage, 6967,
     /*  651120 */     GIR_EraseRootFromParent_Done,
     /*  651121 */   // Label 10416: @651121
     /*  651121 */   GIM_Try, /*On fail goto*//*Label 10417*/ GIMT_Encode4(651196), // Rule ID 6970 //
     /*  651126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  651137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  651140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  651143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651194 */     GIR_RootConstrainSelectedInstOperands,
     /*  651195 */     // GIR_Coverage, 6970,
     /*  651195 */     GIR_EraseRootFromParent_Done,
     /*  651196 */   // Label 10417: @651196
     /*  651196 */   GIM_Try, /*On fail goto*//*Label 10418*/ GIMT_Encode4(651271), // Rule ID 6971 //
     /*  651201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  651212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  651215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  651218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651269 */     GIR_RootConstrainSelectedInstOperands,
     /*  651270 */     // GIR_Coverage, 6971,
     /*  651270 */     GIR_EraseRootFromParent_Done,
     /*  651271 */   // Label 10418: @651271
     /*  651271 */   GIM_Try, /*On fail goto*//*Label 10419*/ GIMT_Encode4(651346), // Rule ID 6974 //
     /*  651276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  651287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  651290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  651293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  651322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651344 */     GIR_RootConstrainSelectedInstOperands,
     /*  651345 */     // GIR_Coverage, 6974,
     /*  651345 */     GIR_EraseRootFromParent_Done,
     /*  651346 */   // Label 10419: @651346
     /*  651346 */   GIM_Try, /*On fail goto*//*Label 10420*/ GIMT_Encode4(651421), // Rule ID 6975 //
     /*  651351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  651362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  651365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  651368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  651397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  651416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651419 */     GIR_RootConstrainSelectedInstOperands,
     /*  651420 */     // GIR_Coverage, 6975,
     /*  651420 */     GIR_EraseRootFromParent_Done,
     /*  651421 */   // Label 10420: @651421
     /*  651421 */   GIM_Try, /*On fail goto*//*Label 10421*/ GIMT_Encode4(651496), // Rule ID 6978 //
     /*  651426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  651437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  651440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  651443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651494 */     GIR_RootConstrainSelectedInstOperands,
     /*  651495 */     // GIR_Coverage, 6978,
     /*  651495 */     GIR_EraseRootFromParent_Done,
     /*  651496 */   // Label 10421: @651496
     /*  651496 */   GIM_Try, /*On fail goto*//*Label 10422*/ GIMT_Encode4(651571), // Rule ID 6979 //
     /*  651501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  651512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  651515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  651518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651547 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651569 */     GIR_RootConstrainSelectedInstOperands,
     /*  651570 */     // GIR_Coverage, 6979,
     /*  651570 */     GIR_EraseRootFromParent_Done,
     /*  651571 */   // Label 10422: @651571
     /*  651571 */   GIM_Try, /*On fail goto*//*Label 10423*/ GIMT_Encode4(651646), // Rule ID 6982 //
     /*  651576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  651587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  651590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  651593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651644 */     GIR_RootConstrainSelectedInstOperands,
     /*  651645 */     // GIR_Coverage, 6982,
     /*  651645 */     GIR_EraseRootFromParent_Done,
     /*  651646 */   // Label 10423: @651646
     /*  651646 */   GIM_Try, /*On fail goto*//*Label 10424*/ GIMT_Encode4(651721), // Rule ID 6983 //
     /*  651651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  651662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  651665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  651668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  651686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  651700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651719 */     GIR_RootConstrainSelectedInstOperands,
     /*  651720 */     // GIR_Coverage, 6983,
     /*  651720 */     GIR_EraseRootFromParent_Done,
     /*  651721 */   // Label 10424: @651721
     /*  651721 */   GIM_Try, /*On fail goto*//*Label 10425*/ GIMT_Encode4(651796), // Rule ID 6986 //
     /*  651726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  651729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  651737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  651740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  651772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651794 */     GIR_RootConstrainSelectedInstOperands,
     /*  651795 */     // GIR_Coverage, 6986,
     /*  651795 */     GIR_EraseRootFromParent_Done,
     /*  651796 */   // Label 10425: @651796
     /*  651796 */   GIM_Try, /*On fail goto*//*Label 10426*/ GIMT_Encode4(651871), // Rule ID 6987 //
     /*  651801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  651804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  651812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  651815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  651818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  651836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  651847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  651850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  651866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651869 */     GIR_RootConstrainSelectedInstOperands,
     /*  651870 */     // GIR_Coverage, 6987,
     /*  651870 */     GIR_EraseRootFromParent_Done,
     /*  651871 */   // Label 10426: @651871
     /*  651871 */   GIM_Try, /*On fail goto*//*Label 10427*/ GIMT_Encode4(651946), // Rule ID 6990 //
     /*  651876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  651879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  651887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  651890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  651896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  651899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  651922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  651925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  651927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  651929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  651931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  651933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  651938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  651941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  651944 */     GIR_RootConstrainSelectedInstOperands,
     /*  651945 */     // GIR_Coverage, 6990,
     /*  651945 */     GIR_EraseRootFromParent_Done,
     /*  651946 */   // Label 10427: @651946
     /*  651946 */   GIM_Try, /*On fail goto*//*Label 10428*/ GIMT_Encode4(652021), // Rule ID 6991 //
     /*  651951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  651954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  651959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  651962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  651965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  651968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  651971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  651974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  651986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  651990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  651997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11581:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  651997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2),
     /*  652000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652019 */     GIR_RootConstrainSelectedInstOperands,
     /*  652020 */     // GIR_Coverage, 6991,
     /*  652020 */     GIR_EraseRootFromParent_Done,
     /*  652021 */   // Label 10428: @652021
     /*  652021 */   GIM_Try, /*On fail goto*//*Label 10429*/ GIMT_Encode4(652096), // Rule ID 6994 //
     /*  652026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  652034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  652037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  652040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  652043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  652072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  652075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652094 */     GIR_RootConstrainSelectedInstOperands,
     /*  652095 */     // GIR_Coverage, 6994,
     /*  652095 */     GIR_EraseRootFromParent_Done,
     /*  652096 */   // Label 10429: @652096
     /*  652096 */   GIM_Try, /*On fail goto*//*Label 10430*/ GIMT_Encode4(652171), // Rule ID 6995 //
     /*  652101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  652104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  652109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  652112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  652115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  652118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  652136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11581:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  652147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4),
     /*  652150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652169 */     GIR_RootConstrainSelectedInstOperands,
     /*  652170 */     // GIR_Coverage, 6995,
     /*  652170 */     GIR_EraseRootFromParent_Done,
     /*  652171 */   // Label 10430: @652171
     /*  652171 */   GIM_Try, /*On fail goto*//*Label 10431*/ GIMT_Encode4(652246), // Rule ID 6998 //
     /*  652176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  652179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  652184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  652187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  652190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  652193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  652196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  652222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  652225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652244 */     GIR_RootConstrainSelectedInstOperands,
     /*  652245 */     // GIR_Coverage, 6998,
     /*  652245 */     GIR_EraseRootFromParent_Done,
     /*  652246 */   // Label 10431: @652246
     /*  652246 */   GIM_Try, /*On fail goto*//*Label 10432*/ GIMT_Encode4(652321), // Rule ID 6999 //
     /*  652251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  652254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl),
     /*  652259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  652262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  652265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  652268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  652271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  652286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  652290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11581:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  652297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8),
     /*  652300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  652316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652319 */     GIR_RootConstrainSelectedInstOperands,
     /*  652320 */     // GIR_Coverage, 6999,
     /*  652320 */     GIR_EraseRootFromParent_Done,
     /*  652321 */   // Label 10432: @652321
     /*  652321 */   GIM_Try, /*On fail goto*//*Label 10433*/ GIMT_Encode4(652396), // Rule ID 7090 //
     /*  652326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  652337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  652340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  652343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  652346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  652375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652394 */     GIR_RootConstrainSelectedInstOperands,
     /*  652395 */     // GIR_Coverage, 7090,
     /*  652395 */     GIR_EraseRootFromParent_Done,
     /*  652396 */   // Label 10433: @652396
     /*  652396 */   GIM_Try, /*On fail goto*//*Label 10434*/ GIMT_Encode4(652471), // Rule ID 7091 //
     /*  652401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  652412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  652415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  652418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  652421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /*  652450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652469 */     GIR_RootConstrainSelectedInstOperands,
     /*  652470 */     // GIR_Coverage, 7091,
     /*  652470 */     GIR_EraseRootFromParent_Done,
     /*  652471 */   // Label 10434: @652471
     /*  652471 */   GIM_Try, /*On fail goto*//*Label 10435*/ GIMT_Encode4(652546), // Rule ID 7094 //
     /*  652476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  652487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  652490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  652493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  652496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652544 */     GIR_RootConstrainSelectedInstOperands,
     /*  652545 */     // GIR_Coverage, 7094,
     /*  652545 */     GIR_EraseRootFromParent_Done,
     /*  652546 */   // Label 10435: @652546
     /*  652546 */   GIM_Try, /*On fail goto*//*Label 10436*/ GIMT_Encode4(652621), // Rule ID 7095 //
     /*  652551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  652562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  652565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  652568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  652571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652619 */     GIR_RootConstrainSelectedInstOperands,
     /*  652620 */     // GIR_Coverage, 7095,
     /*  652620 */     GIR_EraseRootFromParent_Done,
     /*  652621 */   // Label 10436: @652621
     /*  652621 */   GIM_Try, /*On fail goto*//*Label 10437*/ GIMT_Encode4(652696), // Rule ID 7098 //
     /*  652626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  652643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  652672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652694 */     GIR_RootConstrainSelectedInstOperands,
     /*  652695 */     // GIR_Coverage, 7098,
     /*  652695 */     GIR_EraseRootFromParent_Done,
     /*  652696 */   // Label 10437: @652696
     /*  652696 */   GIM_Try, /*On fail goto*//*Label 10438*/ GIMT_Encode4(652771), // Rule ID 7099 //
     /*  652701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  652712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  652715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  652718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  652721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  652747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  652766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652769 */     GIR_RootConstrainSelectedInstOperands,
     /*  652770 */     // GIR_Coverage, 7099,
     /*  652770 */     GIR_EraseRootFromParent_Done,
     /*  652771 */   // Label 10438: @652771
     /*  652771 */   GIM_Try, /*On fail goto*//*Label 10439*/ GIMT_Encode4(652846), // Rule ID 7102 //
     /*  652776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  652787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  652790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  652796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652844 */     GIR_RootConstrainSelectedInstOperands,
     /*  652845 */     // GIR_Coverage, 7102,
     /*  652845 */     GIR_EraseRootFromParent_Done,
     /*  652846 */   // Label 10439: @652846
     /*  652846 */   GIM_Try, /*On fail goto*//*Label 10440*/ GIMT_Encode4(652921), // Rule ID 7103 //
     /*  652851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  652854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  652862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  652865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  652868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  652871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  652874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652897 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  652897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /*  652900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652919 */     GIR_RootConstrainSelectedInstOperands,
     /*  652920 */     // GIR_Coverage, 7103,
     /*  652920 */     GIR_EraseRootFromParent_Done,
     /*  652921 */   // Label 10440: @652921
     /*  652921 */   GIM_Try, /*On fail goto*//*Label 10441*/ GIMT_Encode4(652996), // Rule ID 7106 //
     /*  652926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  652929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  652934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  652937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  652940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  652943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  652946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  652949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  652965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  652972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  652972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  652975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  652977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  652979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  652981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  652983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  652988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  652991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  652994 */     GIR_RootConstrainSelectedInstOperands,
     /*  652995 */     // GIR_Coverage, 7106,
     /*  652995 */     GIR_EraseRootFromParent_Done,
     /*  652996 */   // Label 10441: @652996
     /*  652996 */   GIM_Try, /*On fail goto*//*Label 10442*/ GIMT_Encode4(653071), // Rule ID 7107 //
     /*  653001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  653012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  653015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  653018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  653021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  653050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653069 */     GIR_RootConstrainSelectedInstOperands,
     /*  653070 */     // GIR_Coverage, 7107,
     /*  653070 */     GIR_EraseRootFromParent_Done,
     /*  653071 */   // Label 10442: @653071
     /*  653071 */   GIM_Try, /*On fail goto*//*Label 10443*/ GIMT_Encode4(653146), // Rule ID 7110 //
     /*  653076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  653087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  653090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  653093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  653096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  653125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653144 */     GIR_RootConstrainSelectedInstOperands,
     /*  653145 */     // GIR_Coverage, 7110,
     /*  653145 */     GIR_EraseRootFromParent_Done,
     /*  653146 */   // Label 10443: @653146
     /*  653146 */   GIM_Try, /*On fail goto*//*Label 10444*/ GIMT_Encode4(653221), // Rule ID 7111 //
     /*  653151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  653162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  653165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  653168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  653171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /*  653200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653219 */     GIR_RootConstrainSelectedInstOperands,
     /*  653220 */     // GIR_Coverage, 7111,
     /*  653220 */     GIR_EraseRootFromParent_Done,
     /*  653221 */   // Label 10444: @653221
     /*  653221 */   GIM_Try, /*On fail goto*//*Label 10445*/ GIMT_Encode4(653296), // Rule ID 7114 //
     /*  653226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  653237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  653240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  653243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  653246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653294 */     GIR_RootConstrainSelectedInstOperands,
     /*  653295 */     // GIR_Coverage, 7114,
     /*  653295 */     GIR_EraseRootFromParent_Done,
     /*  653296 */   // Label 10445: @653296
     /*  653296 */   GIM_Try, /*On fail goto*//*Label 10446*/ GIMT_Encode4(653371), // Rule ID 7115 //
     /*  653301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  653312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  653315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  653318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  653321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653369 */     GIR_RootConstrainSelectedInstOperands,
     /*  653370 */     // GIR_Coverage, 7115,
     /*  653370 */     GIR_EraseRootFromParent_Done,
     /*  653371 */   // Label 10446: @653371
     /*  653371 */   GIM_Try, /*On fail goto*//*Label 10447*/ GIMT_Encode4(653446), // Rule ID 7118 //
     /*  653376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  653387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  653390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  653393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  653396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  653422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653444 */     GIR_RootConstrainSelectedInstOperands,
     /*  653445 */     // GIR_Coverage, 7118,
     /*  653445 */     GIR_EraseRootFromParent_Done,
     /*  653446 */   // Label 10447: @653446
     /*  653446 */   GIM_Try, /*On fail goto*//*Label 10448*/ GIMT_Encode4(653521), // Rule ID 7119 //
     /*  653451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  653462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  653465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  653468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  653471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  653497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  653516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653519 */     GIR_RootConstrainSelectedInstOperands,
     /*  653520 */     // GIR_Coverage, 7119,
     /*  653520 */     GIR_EraseRootFromParent_Done,
     /*  653521 */   // Label 10448: @653521
     /*  653521 */   GIM_Try, /*On fail goto*//*Label 10449*/ GIMT_Encode4(653596), // Rule ID 7122 //
     /*  653526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  653537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  653540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  653543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  653546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  653572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653594 */     GIR_RootConstrainSelectedInstOperands,
     /*  653595 */     // GIR_Coverage, 7122,
     /*  653595 */     GIR_EraseRootFromParent_Done,
     /*  653596 */   // Label 10449: @653596
     /*  653596 */   GIM_Try, /*On fail goto*//*Label 10450*/ GIMT_Encode4(653671), // Rule ID 7123 //
     /*  653601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  653612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  653615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  653618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  653621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  653647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  653666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653669 */     GIR_RootConstrainSelectedInstOperands,
     /*  653670 */     // GIR_Coverage, 7123,
     /*  653670 */     GIR_EraseRootFromParent_Done,
     /*  653671 */   // Label 10450: @653671
     /*  653671 */   GIM_Try, /*On fail goto*//*Label 10451*/ GIMT_Encode4(653746), // Rule ID 7126 //
     /*  653676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  653679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  653687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  653690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  653693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  653696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  653722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653744 */     GIR_RootConstrainSelectedInstOperands,
     /*  653745 */     // GIR_Coverage, 7126,
     /*  653745 */     GIR_EraseRootFromParent_Done,
     /*  653746 */   // Label 10451: @653746
     /*  653746 */   GIM_Try, /*On fail goto*//*Label 10452*/ GIMT_Encode4(653821), // Rule ID 7127 //
     /*  653751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  653754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  653762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  653765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  653768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  653771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  653790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  653797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /*  653800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  653816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653819 */     GIR_RootConstrainSelectedInstOperands,
     /*  653820 */     // GIR_Coverage, 7127,
     /*  653820 */     GIR_EraseRootFromParent_Done,
     /*  653821 */   // Label 10452: @653821
     /*  653821 */   GIM_Try, /*On fail goto*//*Label 10453*/ GIMT_Encode4(653896), // Rule ID 7130 //
     /*  653826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  653872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653894 */     GIR_RootConstrainSelectedInstOperands,
     /*  653895 */     // GIR_Coverage, 7130,
     /*  653895 */     GIR_EraseRootFromParent_Done,
     /*  653896 */   // Label 10453: @653896
     /*  653896 */   GIM_Try, /*On fail goto*//*Label 10454*/ GIMT_Encode4(653971), // Rule ID 7131 //
     /*  653901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  653904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  653912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  653915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  653918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  653921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  653924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  653940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  653947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  653947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  653950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  653952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  653954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  653956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  653958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  653963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  653966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  653969 */     GIR_RootConstrainSelectedInstOperands,
     /*  653970 */     // GIR_Coverage, 7131,
     /*  653970 */     GIR_EraseRootFromParent_Done,
     /*  653971 */   // Label 10454: @653971
     /*  653971 */   GIM_Try, /*On fail goto*//*Label 10455*/ GIMT_Encode4(654046), // Rule ID 7134 //
     /*  653976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  653979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  653984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  653987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  653990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  653993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  653996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  653999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654044 */     GIR_RootConstrainSelectedInstOperands,
     /*  654045 */     // GIR_Coverage, 7134,
     /*  654045 */     GIR_EraseRootFromParent_Done,
     /*  654046 */   // Label 10455: @654046
     /*  654046 */   GIM_Try, /*On fail goto*//*Label 10456*/ GIMT_Encode4(654121), // Rule ID 7135 //
     /*  654051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  654062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  654065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  654068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  654071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654097 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654119 */     GIR_RootConstrainSelectedInstOperands,
     /*  654120 */     // GIR_Coverage, 7135,
     /*  654120 */     GIR_EraseRootFromParent_Done,
     /*  654121 */   // Label 10456: @654121
     /*  654121 */   GIM_Try, /*On fail goto*//*Label 10457*/ GIMT_Encode4(654196), // Rule ID 7138 //
     /*  654126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  654137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  654140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  654143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  654146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  654172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654194 */     GIR_RootConstrainSelectedInstOperands,
     /*  654195 */     // GIR_Coverage, 7138,
     /*  654195 */     GIR_EraseRootFromParent_Done,
     /*  654196 */   // Label 10457: @654196
     /*  654196 */   GIM_Try, /*On fail goto*//*Label 10458*/ GIMT_Encode4(654271), // Rule ID 7139 //
     /*  654201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  654212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  654215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  654218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  654221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654247 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  654247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  654266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654269 */     GIR_RootConstrainSelectedInstOperands,
     /*  654270 */     // GIR_Coverage, 7139,
     /*  654270 */     GIR_EraseRootFromParent_Done,
     /*  654271 */   // Label 10458: @654271
     /*  654271 */   GIM_Try, /*On fail goto*//*Label 10459*/ GIMT_Encode4(654346), // Rule ID 7142 //
     /*  654276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  654287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  654290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  654296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654344 */     GIR_RootConstrainSelectedInstOperands,
     /*  654345 */     // GIR_Coverage, 7142,
     /*  654345 */     GIR_EraseRootFromParent_Done,
     /*  654346 */   // Label 10459: @654346
     /*  654346 */   GIM_Try, /*On fail goto*//*Label 10460*/ GIMT_Encode4(654421), // Rule ID 7143 //
     /*  654351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  654362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  654365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  654368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  654371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654419 */     GIR_RootConstrainSelectedInstOperands,
     /*  654420 */     // GIR_Coverage, 7143,
     /*  654420 */     GIR_EraseRootFromParent_Done,
     /*  654421 */   // Label 10460: @654421
     /*  654421 */   GIM_Try, /*On fail goto*//*Label 10461*/ GIMT_Encode4(654496), // Rule ID 7146 //
     /*  654426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  654437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  654440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  654446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654494 */     GIR_RootConstrainSelectedInstOperands,
     /*  654495 */     // GIR_Coverage, 7146,
     /*  654495 */     GIR_EraseRootFromParent_Done,
     /*  654496 */   // Label 10461: @654496
     /*  654496 */   GIM_Try, /*On fail goto*//*Label 10462*/ GIMT_Encode4(654571), // Rule ID 7147 //
     /*  654501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  654512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  654515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  654518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  654521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654569 */     GIR_RootConstrainSelectedInstOperands,
     /*  654570 */     // GIR_Coverage, 7147,
     /*  654570 */     GIR_EraseRootFromParent_Done,
     /*  654571 */   // Label 10462: @654571
     /*  654571 */   GIM_Try, /*On fail goto*//*Label 10463*/ GIMT_Encode4(654646), // Rule ID 7150 //
     /*  654576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  654587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  654590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  654596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  654622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654644 */     GIR_RootConstrainSelectedInstOperands,
     /*  654645 */     // GIR_Coverage, 7150,
     /*  654645 */     GIR_EraseRootFromParent_Done,
     /*  654646 */   // Label 10463: @654646
     /*  654646 */   GIM_Try, /*On fail goto*//*Label 10464*/ GIMT_Encode4(654721), // Rule ID 7151 //
     /*  654651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  654662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  654665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  654668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  654671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  654690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654697 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  654697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  654700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  654716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654719 */     GIR_RootConstrainSelectedInstOperands,
     /*  654720 */     // GIR_Coverage, 7151,
     /*  654720 */     GIR_EraseRootFromParent_Done,
     /*  654721 */   // Label 10464: @654721
     /*  654721 */   GIM_Try, /*On fail goto*//*Label 10465*/ GIMT_Encode4(654796), // Rule ID 7154 //
     /*  654726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654794 */     GIR_RootConstrainSelectedInstOperands,
     /*  654795 */     // GIR_Coverage, 7154,
     /*  654795 */     GIR_EraseRootFromParent_Done,
     /*  654796 */   // Label 10465: @654796
     /*  654796 */   GIM_Try, /*On fail goto*//*Label 10466*/ GIMT_Encode4(654871), // Rule ID 7155 //
     /*  654801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  654812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  654815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  654818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  654821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  654840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  654850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654869 */     GIR_RootConstrainSelectedInstOperands,
     /*  654870 */     // GIR_Coverage, 7155,
     /*  654870 */     GIR_EraseRootFromParent_Done,
     /*  654871 */   // Label 10466: @654871
     /*  654871 */   GIM_Try, /*On fail goto*//*Label 10467*/ GIMT_Encode4(654946), // Rule ID 7158 //
     /*  654876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  654879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  654893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  654899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  654922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  654925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  654927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  654929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  654931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  654933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  654938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  654941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  654944 */     GIR_RootConstrainSelectedInstOperands,
     /*  654945 */     // GIR_Coverage, 7158,
     /*  654945 */     GIR_EraseRootFromParent_Done,
     /*  654946 */   // Label 10467: @654946
     /*  654946 */   GIM_Try, /*On fail goto*//*Label 10468*/ GIMT_Encode4(655021), // Rule ID 7159 //
     /*  654951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  654954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  654959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  654962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  654965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  654968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  654971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  654974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  654990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  654997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  654997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  655000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655019 */     GIR_RootConstrainSelectedInstOperands,
     /*  655020 */     // GIR_Coverage, 7159,
     /*  655020 */     GIR_EraseRootFromParent_Done,
     /*  655021 */   // Label 10468: @655021
     /*  655021 */   GIM_Try, /*On fail goto*//*Label 10469*/ GIMT_Encode4(655096), // Rule ID 7162 //
     /*  655026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  655037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  655040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  655046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  655072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  655075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655094 */     GIR_RootConstrainSelectedInstOperands,
     /*  655095 */     // GIR_Coverage, 7162,
     /*  655095 */     GIR_EraseRootFromParent_Done,
     /*  655096 */   // Label 10469: @655096
     /*  655096 */   GIM_Try, /*On fail goto*//*Label 10470*/ GIMT_Encode4(655171), // Rule ID 7163 //
     /*  655101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  655112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  655115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  655118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  655121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  655147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  655150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  655166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655169 */     GIR_RootConstrainSelectedInstOperands,
     /*  655170 */     // GIR_Coverage, 7163,
     /*  655170 */     GIR_EraseRootFromParent_Done,
     /*  655171 */   // Label 10470: @655171
     /*  655171 */   GIM_Try, /*On fail goto*//*Label 10471*/ GIMT_Encode4(655246), // Rule ID 7166 //
     /*  655176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  655179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  655187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  655190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  655196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  655222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  655225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  655241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655244 */     GIR_RootConstrainSelectedInstOperands,
     /*  655245 */     // GIR_Coverage, 7166,
     /*  655245 */     GIR_EraseRootFromParent_Done,
     /*  655246 */   // Label 10471: @655246
     /*  655246 */   GIM_Try, /*On fail goto*//*Label 10472*/ GIMT_Encode4(655321), // Rule ID 7167 //
     /*  655251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  655254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  655262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  655265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  655268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  655271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  655290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  655297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /*  655300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  655316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655319 */     GIR_RootConstrainSelectedInstOperands,
     /*  655320 */     // GIR_Coverage, 7167,
     /*  655320 */     GIR_EraseRootFromParent_Done,
     /*  655321 */   // Label 10472: @655321
     /*  655321 */   GIM_Try, /*On fail goto*//*Label 10473*/ GIMT_Encode4(655396), // Rule ID 7170 //
     /*  655326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  655329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  655337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  655340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  655343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  655346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  655372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  655375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  655391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655394 */     GIR_RootConstrainSelectedInstOperands,
     /*  655395 */     // GIR_Coverage, 7170,
     /*  655395 */     GIR_EraseRootFromParent_Done,
     /*  655396 */   // Label 10473: @655396
     /*  655396 */   GIM_Try, /*On fail goto*//*Label 10474*/ GIMT_Encode4(655471), // Rule ID 7171 //
     /*  655401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  655404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  655412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  655415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  655418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  655421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  655440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655447 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  655447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /*  655450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  655466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655469 */     GIR_RootConstrainSelectedInstOperands,
     /*  655470 */     // GIR_Coverage, 7171,
     /*  655470 */     GIR_EraseRootFromParent_Done,
     /*  655471 */   // Label 10474: @655471
     /*  655471 */   GIM_Try, /*On fail goto*//*Label 10475*/ GIMT_Encode4(655546), // Rule ID 7174 //
     /*  655476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  655479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  655487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  655490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  655493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  655496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  655522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  655525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  655541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655544 */     GIR_RootConstrainSelectedInstOperands,
     /*  655545 */     // GIR_Coverage, 7174,
     /*  655545 */     GIR_EraseRootFromParent_Done,
     /*  655546 */   // Label 10475: @655546
     /*  655546 */   GIM_Try, /*On fail goto*//*Label 10476*/ GIMT_Encode4(655621), // Rule ID 7175 //
     /*  655551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  655554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  655562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  655565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  655568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  655571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  655590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  655597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /*  655600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  655616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655619 */     GIR_RootConstrainSelectedInstOperands,
     /*  655620 */     // GIR_Coverage, 7175,
     /*  655620 */     GIR_EraseRootFromParent_Done,
     /*  655621 */   // Label 10476: @655621
     /*  655621 */   GIM_Try, /*On fail goto*//*Label 10477*/ GIMT_Encode4(655696), // Rule ID 7178 //
     /*  655626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  655637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  655640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  655643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  655675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655694 */     GIR_RootConstrainSelectedInstOperands,
     /*  655695 */     // GIR_Coverage, 7178,
     /*  655695 */     GIR_EraseRootFromParent_Done,
     /*  655696 */   // Label 10477: @655696
     /*  655696 */   GIM_Try, /*On fail goto*//*Label 10478*/ GIMT_Encode4(655771), // Rule ID 7179 //
     /*  655701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  655712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  655715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  655718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8),
     /*  655750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655769 */     GIR_RootConstrainSelectedInstOperands,
     /*  655770 */     // GIR_Coverage, 7179,
     /*  655770 */     GIR_EraseRootFromParent_Done,
     /*  655771 */   // Label 10478: @655771
     /*  655771 */   GIM_Try, /*On fail goto*//*Label 10479*/ GIMT_Encode4(655846), // Rule ID 7182 //
     /*  655776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  655787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  655790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  655793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655844 */     GIR_RootConstrainSelectedInstOperands,
     /*  655845 */     // GIR_Coverage, 7182,
     /*  655845 */     GIR_EraseRootFromParent_Done,
     /*  655846 */   // Label 10479: @655846
     /*  655846 */   GIM_Try, /*On fail goto*//*Label 10480*/ GIMT_Encode4(655921), // Rule ID 7183 //
     /*  655851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  655854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  655862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  655865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  655868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  655871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  655874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  655897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  655900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655919 */     GIR_RootConstrainSelectedInstOperands,
     /*  655920 */     // GIR_Coverage, 7183,
     /*  655920 */     GIR_EraseRootFromParent_Done,
     /*  655921 */   // Label 10480: @655921
     /*  655921 */   GIM_Try, /*On fail goto*//*Label 10481*/ GIMT_Encode4(655996), // Rule ID 7186 //
     /*  655926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  655929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  655934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  655937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  655940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  655943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  655946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  655949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  655961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  655965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  655972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  655972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  655975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  655977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  655979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  655981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  655983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  655988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  655991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  655994 */     GIR_RootConstrainSelectedInstOperands,
     /*  655995 */     // GIR_Coverage, 7186,
     /*  655995 */     GIR_EraseRootFromParent_Done,
     /*  655996 */   // Label 10481: @655996
     /*  655996 */   GIM_Try, /*On fail goto*//*Label 10482*/ GIMT_Encode4(656071), // Rule ID 7187 //
     /*  656001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  656012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  656015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  656018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656047 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  656050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656069 */     GIR_RootConstrainSelectedInstOperands,
     /*  656070 */     // GIR_Coverage, 7187,
     /*  656070 */     GIR_EraseRootFromParent_Done,
     /*  656071 */   // Label 10482: @656071
     /*  656071 */   GIM_Try, /*On fail goto*//*Label 10483*/ GIMT_Encode4(656146), // Rule ID 7190 //
     /*  656076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  656087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  656090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  656125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656144 */     GIR_RootConstrainSelectedInstOperands,
     /*  656145 */     // GIR_Coverage, 7190,
     /*  656145 */     GIR_EraseRootFromParent_Done,
     /*  656146 */   // Label 10483: @656146
     /*  656146 */   GIM_Try, /*On fail goto*//*Label 10484*/ GIMT_Encode4(656221), // Rule ID 7191 //
     /*  656151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  656162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  656165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  656168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656197 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4),
     /*  656200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656219 */     GIR_RootConstrainSelectedInstOperands,
     /*  656220 */     // GIR_Coverage, 7191,
     /*  656220 */     GIR_EraseRootFromParent_Done,
     /*  656221 */   // Label 10484: @656221
     /*  656221 */   GIM_Try, /*On fail goto*//*Label 10485*/ GIMT_Encode4(656296), // Rule ID 7194 //
     /*  656226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  656237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  656240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  656275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656294 */     GIR_RootConstrainSelectedInstOperands,
     /*  656295 */     // GIR_Coverage, 7194,
     /*  656295 */     GIR_EraseRootFromParent_Done,
     /*  656296 */   // Label 10485: @656296
     /*  656296 */   GIM_Try, /*On fail goto*//*Label 10486*/ GIMT_Encode4(656371), // Rule ID 7195 //
     /*  656301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  656312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  656315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  656318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656347 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  656350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656369 */     GIR_RootConstrainSelectedInstOperands,
     /*  656370 */     // GIR_Coverage, 7195,
     /*  656370 */     GIR_EraseRootFromParent_Done,
     /*  656371 */   // Label 10486: @656371
     /*  656371 */   GIM_Try, /*On fail goto*//*Label 10487*/ GIMT_Encode4(656446), // Rule ID 7198 //
     /*  656376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  656393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  656425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656444 */     GIR_RootConstrainSelectedInstOperands,
     /*  656445 */     // GIR_Coverage, 7198,
     /*  656445 */     GIR_EraseRootFromParent_Done,
     /*  656446 */   // Label 10487: @656446
     /*  656446 */   GIM_Try, /*On fail goto*//*Label 10488*/ GIMT_Encode4(656521), // Rule ID 7199 //
     /*  656451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  656462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  656465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  656468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2),
     /*  656500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656519 */     GIR_RootConstrainSelectedInstOperands,
     /*  656520 */     // GIR_Coverage, 7199,
     /*  656520 */     GIR_EraseRootFromParent_Done,
     /*  656521 */   // Label 10488: @656521
     /*  656521 */   GIM_Try, /*On fail goto*//*Label 10489*/ GIMT_Encode4(656596), // Rule ID 7202 //
     /*  656526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  656543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  656572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656594 */     GIR_RootConstrainSelectedInstOperands,
     /*  656595 */     // GIR_Coverage, 7202,
     /*  656595 */     GIR_EraseRootFromParent_Done,
     /*  656596 */   // Label 10489: @656596
     /*  656596 */   GIM_Try, /*On fail goto*//*Label 10490*/ GIMT_Encode4(656671), // Rule ID 7203 //
     /*  656601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  656612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  656615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  656618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11579:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  656647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  656666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656669 */     GIR_RootConstrainSelectedInstOperands,
     /*  656670 */     // GIR_Coverage, 7203,
     /*  656670 */     GIR_EraseRootFromParent_Done,
     /*  656671 */   // Label 10490: @656671
     /*  656671 */   GIM_Try, /*On fail goto*//*Label 10491*/ GIMT_Encode4(656746), // Rule ID 7206 //
     /*  656676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  656722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656744 */     GIR_RootConstrainSelectedInstOperands,
     /*  656745 */     // GIR_Coverage, 7206,
     /*  656745 */     GIR_EraseRootFromParent_Done,
     /*  656746 */   // Label 10491: @656746
     /*  656746 */   GIM_Try, /*On fail goto*//*Label 10492*/ GIMT_Encode4(656821), // Rule ID 7207 //
     /*  656751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  656762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  656765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  656768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11579:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  656797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  656816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656819 */     GIR_RootConstrainSelectedInstOperands,
     /*  656820 */     // GIR_Coverage, 7207,
     /*  656820 */     GIR_EraseRootFromParent_Done,
     /*  656821 */   // Label 10492: @656821
     /*  656821 */   GIM_Try, /*On fail goto*//*Label 10493*/ GIMT_Encode4(656896), // Rule ID 7210 //
     /*  656826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  656829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  656843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  656872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656894 */     GIR_RootConstrainSelectedInstOperands,
     /*  656895 */     // GIR_Coverage, 7210,
     /*  656895 */     GIR_EraseRootFromParent_Done,
     /*  656896 */   // Label 10493: @656896
     /*  656896 */   GIM_Try, /*On fail goto*//*Label 10494*/ GIMT_Encode4(656971), // Rule ID 7211 //
     /*  656901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  656904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  656912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  656915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  656918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  656921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  656924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  656936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  656940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  656947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11579:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  656947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  656950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  656952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  656954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  656956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  656958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  656963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  656966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  656969 */     GIR_RootConstrainSelectedInstOperands,
     /*  656970 */     // GIR_Coverage, 7211,
     /*  656970 */     GIR_EraseRootFromParent_Done,
     /*  656971 */   // Label 10494: @656971
     /*  656971 */   GIM_Try, /*On fail goto*//*Label 10495*/ GIMT_Encode4(657046), // Rule ID 7214 //
     /*  656976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  656979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  656984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  656987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  656990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  656993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  656996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  656999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  657022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  657025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  657041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657044 */     GIR_RootConstrainSelectedInstOperands,
     /*  657045 */     // GIR_Coverage, 7214,
     /*  657045 */     GIR_EraseRootFromParent_Done,
     /*  657046 */   // Label 10495: @657046
     /*  657046 */   GIM_Try, /*On fail goto*//*Label 10496*/ GIMT_Encode4(657121), // Rule ID 7215 //
     /*  657051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  657054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  657062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  657065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  657068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  657086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11579:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  657097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1),
     /*  657100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  657116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657119 */     GIR_RootConstrainSelectedInstOperands,
     /*  657120 */     // GIR_Coverage, 7215,
     /*  657120 */     GIR_EraseRootFromParent_Done,
     /*  657121 */   // Label 10496: @657121
     /*  657121 */   GIM_Try, /*On fail goto*//*Label 10497*/ GIMT_Encode4(657196), // Rule ID 7218 //
     /*  657126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  657137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  657140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  657143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657194 */     GIR_RootConstrainSelectedInstOperands,
     /*  657195 */     // GIR_Coverage, 7218,
     /*  657195 */     GIR_EraseRootFromParent_Done,
     /*  657196 */   // Label 10497: @657196
     /*  657196 */   GIM_Try, /*On fail goto*//*Label 10498*/ GIMT_Encode4(657271), // Rule ID 7219 //
     /*  657201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  657212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  657215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  657218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657269 */     GIR_RootConstrainSelectedInstOperands,
     /*  657270 */     // GIR_Coverage, 7219,
     /*  657270 */     GIR_EraseRootFromParent_Done,
     /*  657271 */   // Label 10498: @657271
     /*  657271 */   GIM_Try, /*On fail goto*//*Label 10499*/ GIMT_Encode4(657346), // Rule ID 7222 //
     /*  657276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  657293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657344 */     GIR_RootConstrainSelectedInstOperands,
     /*  657345 */     // GIR_Coverage, 7222,
     /*  657345 */     GIR_EraseRootFromParent_Done,
     /*  657346 */   // Label 10499: @657346
     /*  657346 */   GIM_Try, /*On fail goto*//*Label 10500*/ GIMT_Encode4(657421), // Rule ID 7223 //
     /*  657351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  657362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  657365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  657368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657397 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657419 */     GIR_RootConstrainSelectedInstOperands,
     /*  657420 */     // GIR_Coverage, 7223,
     /*  657420 */     GIR_EraseRootFromParent_Done,
     /*  657421 */   // Label 10500: @657421
     /*  657421 */   GIM_Try, /*On fail goto*//*Label 10501*/ GIMT_Encode4(657496), // Rule ID 7226 //
     /*  657426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  657437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  657440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  657443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  657472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657494 */     GIR_RootConstrainSelectedInstOperands,
     /*  657495 */     // GIR_Coverage, 7226,
     /*  657495 */     GIR_EraseRootFromParent_Done,
     /*  657496 */   // Label 10501: @657496
     /*  657496 */   GIM_Try, /*On fail goto*//*Label 10502*/ GIMT_Encode4(657571), // Rule ID 7227 //
     /*  657501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  657512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  657515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  657518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  657547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  657566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657569 */     GIR_RootConstrainSelectedInstOperands,
     /*  657570 */     // GIR_Coverage, 7227,
     /*  657570 */     GIR_EraseRootFromParent_Done,
     /*  657571 */   // Label 10502: @657571
     /*  657571 */   GIM_Try, /*On fail goto*//*Label 10503*/ GIMT_Encode4(657646), // Rule ID 7230 //
     /*  657576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657644 */     GIR_RootConstrainSelectedInstOperands,
     /*  657645 */     // GIR_Coverage, 7230,
     /*  657645 */     GIR_EraseRootFromParent_Done,
     /*  657646 */   // Label 10503: @657646
     /*  657646 */   GIM_Try, /*On fail goto*//*Label 10504*/ GIMT_Encode4(657721), // Rule ID 7231 //
     /*  657651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  657662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  657665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  657668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  657686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  657700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657719 */     GIR_RootConstrainSelectedInstOperands,
     /*  657720 */     // GIR_Coverage, 7231,
     /*  657720 */     GIR_EraseRootFromParent_Done,
     /*  657721 */   // Label 10504: @657721
     /*  657721 */   GIM_Try, /*On fail goto*//*Label 10505*/ GIMT_Encode4(657796), // Rule ID 7234 //
     /*  657726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657794 */     GIR_RootConstrainSelectedInstOperands,
     /*  657795 */     // GIR_Coverage, 7234,
     /*  657795 */     GIR_EraseRootFromParent_Done,
     /*  657796 */   // Label 10505: @657796
     /*  657796 */   GIM_Try, /*On fail goto*//*Label 10506*/ GIMT_Encode4(657871), // Rule ID 7235 //
     /*  657801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  657812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  657815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  657818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  657836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  657850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657869 */     GIR_RootConstrainSelectedInstOperands,
     /*  657870 */     // GIR_Coverage, 7235,
     /*  657870 */     GIR_EraseRootFromParent_Done,
     /*  657871 */   // Label 10506: @657871
     /*  657871 */   GIM_Try, /*On fail goto*//*Label 10507*/ GIMT_Encode4(657946), // Rule ID 7238 //
     /*  657876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  657879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  657887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  657890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  657896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  657899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  657922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  657925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  657927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  657929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  657931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  657933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  657938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  657941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  657944 */     GIR_RootConstrainSelectedInstOperands,
     /*  657945 */     // GIR_Coverage, 7238,
     /*  657945 */     GIR_EraseRootFromParent_Done,
     /*  657946 */   // Label 10507: @657946
     /*  657946 */   GIM_Try, /*On fail goto*//*Label 10508*/ GIMT_Encode4(658021), // Rule ID 7239 //
     /*  657951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  657954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  657959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  657962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  657965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  657968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  657971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  657974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  657986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  657990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  657997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  657997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  658016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658019 */     GIR_RootConstrainSelectedInstOperands,
     /*  658020 */     // GIR_Coverage, 7239,
     /*  658020 */     GIR_EraseRootFromParent_Done,
     /*  658021 */   // Label 10508: @658021
     /*  658021 */   GIM_Try, /*On fail goto*//*Label 10509*/ GIMT_Encode4(658096), // Rule ID 7242 //
     /*  658026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  658043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  658075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658094 */     GIR_RootConstrainSelectedInstOperands,
     /*  658095 */     // GIR_Coverage, 7242,
     /*  658095 */     GIR_EraseRootFromParent_Done,
     /*  658096 */   // Label 10509: @658096
     /*  658096 */   GIM_Try, /*On fail goto*//*Label 10510*/ GIMT_Encode4(658171), // Rule ID 7243 //
     /*  658101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  658112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  658115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  658118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  658150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658169 */     GIR_RootConstrainSelectedInstOperands,
     /*  658170 */     // GIR_Coverage, 7243,
     /*  658170 */     GIR_EraseRootFromParent_Done,
     /*  658171 */   // Label 10510: @658171
     /*  658171 */   GIM_Try, /*On fail goto*//*Label 10511*/ GIMT_Encode4(658246), // Rule ID 7246 //
     /*  658176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  658193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  658225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658244 */     GIR_RootConstrainSelectedInstOperands,
     /*  658245 */     // GIR_Coverage, 7246,
     /*  658245 */     GIR_EraseRootFromParent_Done,
     /*  658246 */   // Label 10511: @658246
     /*  658246 */   GIM_Try, /*On fail goto*//*Label 10512*/ GIMT_Encode4(658321), // Rule ID 7247 //
     /*  658251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  658262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  658265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  658268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  658300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658319 */     GIR_RootConstrainSelectedInstOperands,
     /*  658320 */     // GIR_Coverage, 7247,
     /*  658320 */     GIR_EraseRootFromParent_Done,
     /*  658321 */   // Label 10512: @658321
     /*  658321 */   GIM_Try, /*On fail goto*//*Label 10513*/ GIMT_Encode4(658396), // Rule ID 7250 //
     /*  658326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  658337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  658340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  658343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  658372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658394 */     GIR_RootConstrainSelectedInstOperands,
     /*  658395 */     // GIR_Coverage, 7250,
     /*  658395 */     GIR_EraseRootFromParent_Done,
     /*  658396 */   // Label 10513: @658396
     /*  658396 */   GIM_Try, /*On fail goto*//*Label 10514*/ GIMT_Encode4(658471), // Rule ID 7251 //
     /*  658401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  658404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  658412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  658415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  658418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658447 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  658447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  658466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658469 */     GIR_RootConstrainSelectedInstOperands,
     /*  658470 */     // GIR_Coverage, 7251,
     /*  658470 */     GIR_EraseRootFromParent_Done,
     /*  658471 */   // Label 10514: @658471
     /*  658471 */   GIM_Try, /*On fail goto*//*Label 10515*/ GIMT_Encode4(658546), // Rule ID 7254 //
     /*  658476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  658479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  658487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  658490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  658522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  658525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658544 */     GIR_RootConstrainSelectedInstOperands,
     /*  658545 */     // GIR_Coverage, 7254,
     /*  658545 */     GIR_EraseRootFromParent_Done,
     /*  658546 */   // Label 10515: @658546
     /*  658546 */   GIM_Try, /*On fail goto*//*Label 10516*/ GIMT_Encode4(658621), // Rule ID 7255 //
     /*  658551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  658562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  658565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  658568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  658586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11579:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2),
     /*  658600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658619 */     GIR_RootConstrainSelectedInstOperands,
     /*  658620 */     // GIR_Coverage, 7255,
     /*  658620 */     GIR_EraseRootFromParent_Done,
     /*  658621 */   // Label 10516: @658621
     /*  658621 */   GIM_Try, /*On fail goto*//*Label 10517*/ GIMT_Encode4(658696), // Rule ID 7258 //
     /*  658626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  658629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  658637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  658640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  658672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  658675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658694 */     GIR_RootConstrainSelectedInstOperands,
     /*  658695 */     // GIR_Coverage, 7258,
     /*  658695 */     GIR_EraseRootFromParent_Done,
     /*  658696 */   // Label 10517: @658696
     /*  658696 */   GIM_Try, /*On fail goto*//*Label 10518*/ GIMT_Encode4(658771), // Rule ID 7259 //
     /*  658701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  658712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  658715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  658718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  658736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11579:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4),
     /*  658750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658769 */     GIR_RootConstrainSelectedInstOperands,
     /*  658770 */     // GIR_Coverage, 7259,
     /*  658770 */     GIR_EraseRootFromParent_Done,
     /*  658771 */   // Label 10518: @658771
     /*  658771 */   GIM_Try, /*On fail goto*//*Label 10519*/ GIMT_Encode4(658846), // Rule ID 7262 //
     /*  658776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  658779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  658787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  658790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  658796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  658822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658844 */     GIR_RootConstrainSelectedInstOperands,
     /*  658845 */     // GIR_Coverage, 7262,
     /*  658845 */     GIR_EraseRootFromParent_Done,
     /*  658846 */   // Label 10519: @658846
     /*  658846 */   GIM_Try, /*On fail goto*//*Label 10520*/ GIMT_Encode4(658921), // Rule ID 7263 //
     /*  658851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  658854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra),
     /*  658859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  658862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  658865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  658868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  658871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  658874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  658886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  658890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658897 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11579:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  658897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8),
     /*  658900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  658916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658919 */     GIR_RootConstrainSelectedInstOperands,
     /*  658920 */     // GIR_Coverage, 7263,
     /*  658920 */     GIR_EraseRootFromParent_Done,
     /*  658921 */   // Label 10520: @658921
     /*  658921 */   GIM_Try, /*On fail goto*//*Label 10521*/ GIMT_Encode4(658996), // Rule ID 7442 //
     /*  658926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  658929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  658934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  658937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  658940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  658943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  658946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  658949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  658965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  658972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  658972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  658975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  658977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  658979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  658981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  658983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  658988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  658991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  658994 */     GIR_RootConstrainSelectedInstOperands,
     /*  658995 */     // GIR_Coverage, 7442,
     /*  658995 */     GIR_EraseRootFromParent_Done,
     /*  658996 */   // Label 10521: @658996
     /*  658996 */   GIM_Try, /*On fail goto*//*Label 10522*/ GIMT_Encode4(659071), // Rule ID 7443 //
     /*  659001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  659012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  659015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  659018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  659021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659047 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8),
     /*  659050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659069 */     GIR_RootConstrainSelectedInstOperands,
     /*  659070 */     // GIR_Coverage, 7443,
     /*  659070 */     GIR_EraseRootFromParent_Done,
     /*  659071 */   // Label 10522: @659071
     /*  659071 */   GIM_Try, /*On fail goto*//*Label 10523*/ GIMT_Encode4(659146), // Rule ID 7446 //
     /*  659076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  659087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  659090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  659093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  659096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  659125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659144 */     GIR_RootConstrainSelectedInstOperands,
     /*  659145 */     // GIR_Coverage, 7446,
     /*  659145 */     GIR_EraseRootFromParent_Done,
     /*  659146 */   // Label 10523: @659146
     /*  659146 */   GIM_Try, /*On fail goto*//*Label 10524*/ GIMT_Encode4(659221), // Rule ID 7447 //
     /*  659151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  659162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  659165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  659168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  659171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  659200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659219 */     GIR_RootConstrainSelectedInstOperands,
     /*  659220 */     // GIR_Coverage, 7447,
     /*  659220 */     GIR_EraseRootFromParent_Done,
     /*  659221 */   // Label 10524: @659221
     /*  659221 */   GIM_Try, /*On fail goto*//*Label 10525*/ GIMT_Encode4(659296), // Rule ID 7450 //
     /*  659226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  659237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  659240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  659243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  659246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  659275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659294 */     GIR_RootConstrainSelectedInstOperands,
     /*  659295 */     // GIR_Coverage, 7450,
     /*  659295 */     GIR_EraseRootFromParent_Done,
     /*  659296 */   // Label 10525: @659296
     /*  659296 */   GIM_Try, /*On fail goto*//*Label 10526*/ GIMT_Encode4(659371), // Rule ID 7451 //
     /*  659301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  659312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  659315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  659318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  659321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  659350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659369 */     GIR_RootConstrainSelectedInstOperands,
     /*  659370 */     // GIR_Coverage, 7451,
     /*  659370 */     GIR_EraseRootFromParent_Done,
     /*  659371 */   // Label 10526: @659371
     /*  659371 */   GIM_Try, /*On fail goto*//*Label 10527*/ GIMT_Encode4(659446), // Rule ID 7454 //
     /*  659376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  659396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659422 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  659425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659444 */     GIR_RootConstrainSelectedInstOperands,
     /*  659445 */     // GIR_Coverage, 7454,
     /*  659445 */     GIR_EraseRootFromParent_Done,
     /*  659446 */   // Label 10527: @659446
     /*  659446 */   GIM_Try, /*On fail goto*//*Label 10528*/ GIMT_Encode4(659521), // Rule ID 7455 //
     /*  659451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  659462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  659465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  659468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  659471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659497 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  659500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659519 */     GIR_RootConstrainSelectedInstOperands,
     /*  659520 */     // GIR_Coverage, 7455,
     /*  659520 */     GIR_EraseRootFromParent_Done,
     /*  659521 */   // Label 10528: @659521
     /*  659521 */   GIM_Try, /*On fail goto*//*Label 10529*/ GIMT_Encode4(659596), // Rule ID 7458 //
     /*  659526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  659575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659594 */     GIR_RootConstrainSelectedInstOperands,
     /*  659595 */     // GIR_Coverage, 7458,
     /*  659595 */     GIR_EraseRootFromParent_Done,
     /*  659596 */   // Label 10529: @659596
     /*  659596 */   GIM_Try, /*On fail goto*//*Label 10530*/ GIMT_Encode4(659671), // Rule ID 7459 //
     /*  659601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  659612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  659615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  659618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  659621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  659640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  659650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659669 */     GIR_RootConstrainSelectedInstOperands,
     /*  659670 */     // GIR_Coverage, 7459,
     /*  659670 */     GIR_EraseRootFromParent_Done,
     /*  659671 */   // Label 10530: @659671
     /*  659671 */   GIM_Try, /*On fail goto*//*Label 10531*/ GIMT_Encode4(659746), // Rule ID 7462 //
     /*  659676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  659722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659744 */     GIR_RootConstrainSelectedInstOperands,
     /*  659745 */     // GIR_Coverage, 7462,
     /*  659745 */     GIR_EraseRootFromParent_Done,
     /*  659746 */   // Label 10531: @659746
     /*  659746 */   GIM_Try, /*On fail goto*//*Label 10532*/ GIMT_Encode4(659821), // Rule ID 7463 //
     /*  659751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  659762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  659765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  659768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  659771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  659786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  659790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659797 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  659797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  659800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  659816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659819 */     GIR_RootConstrainSelectedInstOperands,
     /*  659820 */     // GIR_Coverage, 7463,
     /*  659820 */     GIR_EraseRootFromParent_Done,
     /*  659821 */   // Label 10532: @659821
     /*  659821 */   GIM_Try, /*On fail goto*//*Label 10533*/ GIMT_Encode4(659896), // Rule ID 7466 //
     /*  659826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  659872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  659875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659894 */     GIR_RootConstrainSelectedInstOperands,
     /*  659895 */     // GIR_Coverage, 7466,
     /*  659895 */     GIR_EraseRootFromParent_Done,
     /*  659896 */   // Label 10533: @659896
     /*  659896 */   GIM_Try, /*On fail goto*//*Label 10534*/ GIMT_Encode4(659971), // Rule ID 7467 //
     /*  659901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  659904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  659912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  659915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  659918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  659921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  659924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  659940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  659947 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  659947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4),
     /*  659950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  659952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  659954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  659956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  659958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  659963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  659966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  659969 */     GIR_RootConstrainSelectedInstOperands,
     /*  659970 */     // GIR_Coverage, 7467,
     /*  659970 */     GIR_EraseRootFromParent_Done,
     /*  659971 */   // Label 10534: @659971
     /*  659971 */   GIM_Try, /*On fail goto*//*Label 10535*/ GIMT_Encode4(660046), // Rule ID 7470 //
     /*  659976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  659979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  659984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  659987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  659990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  659993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  659996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  659999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660022 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  660025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660044 */     GIR_RootConstrainSelectedInstOperands,
     /*  660045 */     // GIR_Coverage, 7470,
     /*  660045 */     GIR_EraseRootFromParent_Done,
     /*  660046 */   // Label 10535: @660046
     /*  660046 */   GIM_Try, /*On fail goto*//*Label 10536*/ GIMT_Encode4(660121), // Rule ID 7471 //
     /*  660051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  660062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  660065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  660068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  660071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660097 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  660100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660119 */     GIR_RootConstrainSelectedInstOperands,
     /*  660120 */     // GIR_Coverage, 7471,
     /*  660120 */     GIR_EraseRootFromParent_Done,
     /*  660121 */   // Label 10536: @660121
     /*  660121 */   GIM_Try, /*On fail goto*//*Label 10537*/ GIMT_Encode4(660196), // Rule ID 7474 //
     /*  660126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  660143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  660146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660172 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  660175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660194 */     GIR_RootConstrainSelectedInstOperands,
     /*  660195 */     // GIR_Coverage, 7474,
     /*  660195 */     GIR_EraseRootFromParent_Done,
     /*  660196 */   // Label 10537: @660196
     /*  660196 */   GIM_Try, /*On fail goto*//*Label 10538*/ GIMT_Encode4(660271), // Rule ID 7475 //
     /*  660201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  660212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  660215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  660218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  660221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660247 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  660250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660269 */     GIR_RootConstrainSelectedInstOperands,
     /*  660270 */     // GIR_Coverage, 7475,
     /*  660270 */     GIR_EraseRootFromParent_Done,
     /*  660271 */   // Label 10538: @660271
     /*  660271 */   GIM_Try, /*On fail goto*//*Label 10539*/ GIMT_Encode4(660346), // Rule ID 7478 //
     /*  660276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  660296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  660325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660344 */     GIR_RootConstrainSelectedInstOperands,
     /*  660345 */     // GIR_Coverage, 7478,
     /*  660345 */     GIR_EraseRootFromParent_Done,
     /*  660346 */   // Label 10539: @660346
     /*  660346 */   GIM_Try, /*On fail goto*//*Label 10540*/ GIMT_Encode4(660421), // Rule ID 7479 //
     /*  660351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  660362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  660365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  660368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  660371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  660400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660419 */     GIR_RootConstrainSelectedInstOperands,
     /*  660420 */     // GIR_Coverage, 7479,
     /*  660420 */     GIR_EraseRootFromParent_Done,
     /*  660421 */   // Label 10540: @660421
     /*  660421 */   GIM_Try, /*On fail goto*//*Label 10541*/ GIMT_Encode4(660496), // Rule ID 7482 //
     /*  660426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  660429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  660472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  660475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660494 */     GIR_RootConstrainSelectedInstOperands,
     /*  660495 */     // GIR_Coverage, 7482,
     /*  660495 */     GIR_EraseRootFromParent_Done,
     /*  660496 */   // Label 10541: @660496
     /*  660496 */   GIM_Try, /*On fail goto*//*Label 10542*/ GIMT_Encode4(660571), // Rule ID 7483 //
     /*  660501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  660504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  660512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  660515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  660518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  660521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  660536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  660547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  660550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  660566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660569 */     GIR_RootConstrainSelectedInstOperands,
     /*  660570 */     // GIR_Coverage, 7483,
     /*  660570 */     GIR_EraseRootFromParent_Done,
     /*  660571 */   // Label 10542: @660571
     /*  660571 */   GIM_Try, /*On fail goto*//*Label 10543*/ GIMT_Encode4(660646), // Rule ID 7486 //
     /*  660576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  660625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660644 */     GIR_RootConstrainSelectedInstOperands,
     /*  660645 */     // GIR_Coverage, 7486,
     /*  660645 */     GIR_EraseRootFromParent_Done,
     /*  660646 */   // Label 10543: @660646
     /*  660646 */   GIM_Try, /*On fail goto*//*Label 10544*/ GIMT_Encode4(660721), // Rule ID 7487 //
     /*  660651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  660662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  660665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  660668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  660671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660697 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2),
     /*  660700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660719 */     GIR_RootConstrainSelectedInstOperands,
     /*  660720 */     // GIR_Coverage, 7487,
     /*  660720 */     GIR_EraseRootFromParent_Done,
     /*  660721 */   // Label 10544: @660721
     /*  660721 */   GIM_Try, /*On fail goto*//*Label 10545*/ GIMT_Encode4(660796), // Rule ID 7490 //
     /*  660726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  660775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660794 */     GIR_RootConstrainSelectedInstOperands,
     /*  660795 */     // GIR_Coverage, 7490,
     /*  660795 */     GIR_EraseRootFromParent_Done,
     /*  660796 */   // Label 10545: @660796
     /*  660796 */   GIM_Try, /*On fail goto*//*Label 10546*/ GIMT_Encode4(660871), // Rule ID 7491 //
     /*  660801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  660812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  660815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  660818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  660821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  660840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1),
     /*  660850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660869 */     GIR_RootConstrainSelectedInstOperands,
     /*  660870 */     // GIR_Coverage, 7491,
     /*  660870 */     GIR_EraseRootFromParent_Done,
     /*  660871 */   // Label 10546: @660871
     /*  660871 */   GIM_Try, /*On fail goto*//*Label 10547*/ GIMT_Encode4(660946), // Rule ID 7494 //
     /*  660876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  660879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  660899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  660922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  660925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  660927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  660929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  660931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  660933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  660938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  660941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  660944 */     GIR_RootConstrainSelectedInstOperands,
     /*  660945 */     // GIR_Coverage, 7494,
     /*  660945 */     GIR_EraseRootFromParent_Done,
     /*  660946 */   // Label 10547: @660946
     /*  660946 */   GIM_Try, /*On fail goto*//*Label 10548*/ GIMT_Encode4(661021), // Rule ID 7495 //
     /*  660951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  660954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  660959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  660962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  660965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  660968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  660971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  660974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  660986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  660990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  660997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  660997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2),
     /*  661000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661019 */     GIR_RootConstrainSelectedInstOperands,
     /*  661020 */     // GIR_Coverage, 7495,
     /*  661020 */     GIR_EraseRootFromParent_Done,
     /*  661021 */   // Label 10548: @661021
     /*  661021 */   GIM_Try, /*On fail goto*//*Label 10549*/ GIMT_Encode4(661096), // Rule ID 7498 //
     /*  661026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  661029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  661043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  661046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  661072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  661075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661094 */     GIR_RootConstrainSelectedInstOperands,
     /*  661095 */     // GIR_Coverage, 7498,
     /*  661095 */     GIR_EraseRootFromParent_Done,
     /*  661096 */   // Label 10549: @661096
     /*  661096 */   GIM_Try, /*On fail goto*//*Label 10550*/ GIMT_Encode4(661171), // Rule ID 7499 //
     /*  661101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  661104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  661112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  661115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  661118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  661121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  661147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4),
     /*  661150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  661166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661169 */     GIR_RootConstrainSelectedInstOperands,
     /*  661170 */     // GIR_Coverage, 7499,
     /*  661170 */     GIR_EraseRootFromParent_Done,
     /*  661171 */   // Label 10550: @661171
     /*  661171 */   GIM_Try, /*On fail goto*//*Label 10551*/ GIMT_Encode4(661246), // Rule ID 7502 //
     /*  661176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  661187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  661190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  661193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661222 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  661225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661244 */     GIR_RootConstrainSelectedInstOperands,
     /*  661245 */     // GIR_Coverage, 7502,
     /*  661245 */     GIR_EraseRootFromParent_Done,
     /*  661246 */   // Label 10551: @661246
     /*  661246 */   GIM_Try, /*On fail goto*//*Label 10552*/ GIMT_Encode4(661321), // Rule ID 7503 //
     /*  661251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  661262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  661265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  661268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661297 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8),
     /*  661300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661319 */     GIR_RootConstrainSelectedInstOperands,
     /*  661320 */     // GIR_Coverage, 7503,
     /*  661320 */     GIR_EraseRootFromParent_Done,
     /*  661321 */   // Label 10552: @661321
     /*  661321 */   GIM_Try, /*On fail goto*//*Label 10553*/ GIMT_Encode4(661396), // Rule ID 7506 //
     /*  661326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661372 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  661375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661394 */     GIR_RootConstrainSelectedInstOperands,
     /*  661395 */     // GIR_Coverage, 7506,
     /*  661395 */     GIR_EraseRootFromParent_Done,
     /*  661396 */   // Label 10553: @661396
     /*  661396 */   GIM_Try, /*On fail goto*//*Label 10554*/ GIMT_Encode4(661471), // Rule ID 7507 //
     /*  661401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  661412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  661415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  661418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661447 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  661450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661469 */     GIR_RootConstrainSelectedInstOperands,
     /*  661470 */     // GIR_Coverage, 7507,
     /*  661470 */     GIR_EraseRootFromParent_Done,
     /*  661471 */   // Label 10554: @661471
     /*  661471 */   GIM_Try, /*On fail goto*//*Label 10555*/ GIMT_Encode4(661546), // Rule ID 7510 //
     /*  661476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661522 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  661525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661544 */     GIR_RootConstrainSelectedInstOperands,
     /*  661545 */     // GIR_Coverage, 7510,
     /*  661545 */     GIR_EraseRootFromParent_Done,
     /*  661546 */   // Label 10555: @661546
     /*  661546 */   GIM_Try, /*On fail goto*//*Label 10556*/ GIMT_Encode4(661621), // Rule ID 7511 //
     /*  661551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  661562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  661565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  661568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661597 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  661600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661619 */     GIR_RootConstrainSelectedInstOperands,
     /*  661620 */     // GIR_Coverage, 7511,
     /*  661620 */     GIR_EraseRootFromParent_Done,
     /*  661621 */   // Label 10556: @661621
     /*  661621 */   GIM_Try, /*On fail goto*//*Label 10557*/ GIMT_Encode4(661696), // Rule ID 7514 //
     /*  661626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  661675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661694 */     GIR_RootConstrainSelectedInstOperands,
     /*  661695 */     // GIR_Coverage, 7514,
     /*  661695 */     GIR_EraseRootFromParent_Done,
     /*  661696 */   // Label 10557: @661696
     /*  661696 */   GIM_Try, /*On fail goto*//*Label 10558*/ GIMT_Encode4(661771), // Rule ID 7515 //
     /*  661701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  661712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  661715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  661718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  661732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11493:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  661750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661769 */     GIR_RootConstrainSelectedInstOperands,
     /*  661770 */     // GIR_Coverage, 7515,
     /*  661770 */     GIR_EraseRootFromParent_Done,
     /*  661771 */   // Label 10558: @661771
     /*  661771 */   GIM_Try, /*On fail goto*//*Label 10559*/ GIMT_Encode4(661846), // Rule ID 7518 //
     /*  661776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661822 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  661825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661844 */     GIR_RootConstrainSelectedInstOperands,
     /*  661845 */     // GIR_Coverage, 7518,
     /*  661845 */     GIR_EraseRootFromParent_Done,
     /*  661846 */   // Label 10559: @661846
     /*  661846 */   GIM_Try, /*On fail goto*//*Label 10560*/ GIMT_Encode4(661921), // Rule ID 7519 //
     /*  661851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  661854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  661862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  661865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  661868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  661871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  661874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  661882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  661897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  661900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661919 */     GIR_RootConstrainSelectedInstOperands,
     /*  661920 */     // GIR_Coverage, 7519,
     /*  661920 */     GIR_EraseRootFromParent_Done,
     /*  661921 */   // Label 10560: @661921
     /*  661921 */   GIM_Try, /*On fail goto*//*Label 10561*/ GIMT_Encode4(661996), // Rule ID 7522 //
     /*  661926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  661929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  661934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  661937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  661940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  661943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  661946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  661949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  661957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  661961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  661965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  661972 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  661972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  661975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  661977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  661979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  661981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  661983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  661988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  661991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  661994 */     GIR_RootConstrainSelectedInstOperands,
     /*  661995 */     // GIR_Coverage, 7522,
     /*  661995 */     GIR_EraseRootFromParent_Done,
     /*  661996 */   // Label 10561: @661996
     /*  661996 */   GIM_Try, /*On fail goto*//*Label 10562*/ GIMT_Encode4(662071), // Rule ID 7523 //
     /*  662001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  662012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  662015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  662018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  662047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  662066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662069 */     GIR_RootConstrainSelectedInstOperands,
     /*  662070 */     // GIR_Coverage, 7523,
     /*  662070 */     GIR_EraseRootFromParent_Done,
     /*  662071 */   // Label 10562: @662071
     /*  662071 */   GIM_Try, /*On fail goto*//*Label 10563*/ GIMT_Encode4(662146), // Rule ID 7526 //
     /*  662076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  662087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  662125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662144 */     GIR_RootConstrainSelectedInstOperands,
     /*  662145 */     // GIR_Coverage, 7526,
     /*  662145 */     GIR_EraseRootFromParent_Done,
     /*  662146 */   // Label 10563: @662146
     /*  662146 */   GIM_Try, /*On fail goto*//*Label 10564*/ GIMT_Encode4(662221), // Rule ID 7527 //
     /*  662151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  662162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  662165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  662168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662197 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4),
     /*  662200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662219 */     GIR_RootConstrainSelectedInstOperands,
     /*  662220 */     // GIR_Coverage, 7527,
     /*  662220 */     GIR_EraseRootFromParent_Done,
     /*  662221 */   // Label 10564: @662221
     /*  662221 */   GIM_Try, /*On fail goto*//*Label 10565*/ GIMT_Encode4(662296), // Rule ID 7530 //
     /*  662226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  662243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  662275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662294 */     GIR_RootConstrainSelectedInstOperands,
     /*  662295 */     // GIR_Coverage, 7530,
     /*  662295 */     GIR_EraseRootFromParent_Done,
     /*  662296 */   // Label 10565: @662296
     /*  662296 */   GIM_Try, /*On fail goto*//*Label 10566*/ GIMT_Encode4(662371), // Rule ID 7531 //
     /*  662301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  662312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  662315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  662318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662347 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  662350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662369 */     GIR_RootConstrainSelectedInstOperands,
     /*  662370 */     // GIR_Coverage, 7531,
     /*  662370 */     GIR_EraseRootFromParent_Done,
     /*  662371 */   // Label 10566: @662371
     /*  662371 */   GIM_Try, /*On fail goto*//*Label 10567*/ GIMT_Encode4(662446), // Rule ID 7534 //
     /*  662376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  662425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662444 */     GIR_RootConstrainSelectedInstOperands,
     /*  662445 */     // GIR_Coverage, 7534,
     /*  662445 */     GIR_EraseRootFromParent_Done,
     /*  662446 */   // Label 10567: @662446
     /*  662446 */   GIM_Try, /*On fail goto*//*Label 10568*/ GIMT_Encode4(662521), // Rule ID 7535 //
     /*  662451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  662462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  662465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  662468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11493:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  662500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662519 */     GIR_RootConstrainSelectedInstOperands,
     /*  662520 */     // GIR_Coverage, 7535,
     /*  662520 */     GIR_EraseRootFromParent_Done,
     /*  662521 */   // Label 10568: @662521
     /*  662521 */   GIM_Try, /*On fail goto*//*Label 10569*/ GIMT_Encode4(662596), // Rule ID 7538 //
     /*  662526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  662575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662594 */     GIR_RootConstrainSelectedInstOperands,
     /*  662595 */     // GIR_Coverage, 7538,
     /*  662595 */     GIR_EraseRootFromParent_Done,
     /*  662596 */   // Label 10569: @662596
     /*  662596 */   GIM_Try, /*On fail goto*//*Label 10570*/ GIMT_Encode4(662671), // Rule ID 7539 //
     /*  662601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  662612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  662615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  662618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  662632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  662650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662669 */     GIR_RootConstrainSelectedInstOperands,
     /*  662670 */     // GIR_Coverage, 7539,
     /*  662670 */     GIR_EraseRootFromParent_Done,
     /*  662671 */   // Label 10570: @662671
     /*  662671 */   GIM_Try, /*On fail goto*//*Label 10571*/ GIMT_Encode4(662746), // Rule ID 7542 //
     /*  662676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  662679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  662722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662744 */     GIR_RootConstrainSelectedInstOperands,
     /*  662745 */     // GIR_Coverage, 7542,
     /*  662745 */     GIR_EraseRootFromParent_Done,
     /*  662746 */   // Label 10571: @662746
     /*  662746 */   GIM_Try, /*On fail goto*//*Label 10572*/ GIMT_Encode4(662821), // Rule ID 7543 //
     /*  662751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  662754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  662762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  662765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  662768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  662782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  662786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662797 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  662797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  662800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  662816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662819 */     GIR_RootConstrainSelectedInstOperands,
     /*  662820 */     // GIR_Coverage, 7543,
     /*  662820 */     GIR_EraseRootFromParent_Done,
     /*  662821 */   // Label 10572: @662821
     /*  662821 */   GIM_Try, /*On fail goto*//*Label 10573*/ GIMT_Encode4(662896), // Rule ID 7546 //
     /*  662826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662872 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  662872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  662875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662894 */     GIR_RootConstrainSelectedInstOperands,
     /*  662895 */     // GIR_Coverage, 7546,
     /*  662895 */     GIR_EraseRootFromParent_Done,
     /*  662896 */   // Label 10573: @662896
     /*  662896 */   GIM_Try, /*On fail goto*//*Label 10574*/ GIMT_Encode4(662971), // Rule ID 7547 //
     /*  662901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  662904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  662912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  662915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  662918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  662921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  662924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  662936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  662940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  662947 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  662947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2),
     /*  662950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  662952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  662954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  662956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  662958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  662963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  662966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  662969 */     GIR_RootConstrainSelectedInstOperands,
     /*  662970 */     // GIR_Coverage, 7547,
     /*  662970 */     GIR_EraseRootFromParent_Done,
     /*  662971 */   // Label 10574: @662971
     /*  662971 */   GIM_Try, /*On fail goto*//*Label 10575*/ GIMT_Encode4(663046), // Rule ID 7550 //
     /*  662976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  662979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  662984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  662987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  662990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  662993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  662996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  662999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  663025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663044 */     GIR_RootConstrainSelectedInstOperands,
     /*  663045 */     // GIR_Coverage, 7550,
     /*  663045 */     GIR_EraseRootFromParent_Done,
     /*  663046 */   // Label 10575: @663046
     /*  663046 */   GIM_Try, /*On fail goto*//*Label 10576*/ GIMT_Encode4(663121), // Rule ID 7551 //
     /*  663051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  663059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  663062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  663065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  663068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663097 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11493:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1),
     /*  663100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663119 */     GIR_RootConstrainSelectedInstOperands,
     /*  663120 */     // GIR_Coverage, 7551,
     /*  663120 */     GIR_EraseRootFromParent_Done,
     /*  663121 */   // Label 10576: @663121
     /*  663121 */   GIM_Try, /*On fail goto*//*Label 10577*/ GIMT_Encode4(663196), // Rule ID 7554 //
     /*  663126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  663129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  663134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  663137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  663140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  663143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  663175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663194 */     GIR_RootConstrainSelectedInstOperands,
     /*  663195 */     // GIR_Coverage, 7554,
     /*  663195 */     GIR_EraseRootFromParent_Done,
     /*  663196 */   // Label 10577: @663196
     /*  663196 */   GIM_Try, /*On fail goto*//*Label 10578*/ GIMT_Encode4(663271), // Rule ID 7555 //
     /*  663201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  663209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  663212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  663215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  663218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11493:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2),
     /*  663250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663269 */     GIR_RootConstrainSelectedInstOperands,
     /*  663270 */     // GIR_Coverage, 7555,
     /*  663270 */     GIR_EraseRootFromParent_Done,
     /*  663271 */   // Label 10578: @663271
     /*  663271 */   GIM_Try, /*On fail goto*//*Label 10579*/ GIMT_Encode4(663346), // Rule ID 7558 //
     /*  663276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  663279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  663284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  663287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  663290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  663293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  663296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  663322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  663325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663344 */     GIR_RootConstrainSelectedInstOperands,
     /*  663345 */     // GIR_Coverage, 7558,
     /*  663345 */     GIR_EraseRootFromParent_Done,
     /*  663346 */   // Label 10579: @663346
     /*  663346 */   GIM_Try, /*On fail goto*//*Label 10580*/ GIMT_Encode4(663421), // Rule ID 7559 //
     /*  663351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  663354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl),
     /*  663359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  663362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  663365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  663368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  663371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  663382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  663386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  663390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11493:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRL_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  663397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4),
     /*  663400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  663416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663419 */     GIR_RootConstrainSelectedInstOperands,
     /*  663420 */     // GIR_Coverage, 7559,
     /*  663420 */     GIR_EraseRootFromParent_Done,
     /*  663421 */   // Label 10580: @663421
     /*  663421 */   GIM_Try, /*On fail goto*//*Label 10581*/ GIMT_Encode4(663496), // Rule ID 7622 //
     /*  663426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  663475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663494 */     GIR_RootConstrainSelectedInstOperands,
     /*  663495 */     // GIR_Coverage, 7622,
     /*  663495 */     GIR_EraseRootFromParent_Done,
     /*  663496 */   // Label 10581: @663496
     /*  663496 */   GIM_Try, /*On fail goto*//*Label 10582*/ GIMT_Encode4(663571), // Rule ID 7623 //
     /*  663501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  663512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  663515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  663518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  663521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8),
     /*  663550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663569 */     GIR_RootConstrainSelectedInstOperands,
     /*  663570 */     // GIR_Coverage, 7623,
     /*  663570 */     GIR_EraseRootFromParent_Done,
     /*  663571 */   // Label 10582: @663571
     /*  663571 */   GIM_Try, /*On fail goto*//*Label 10583*/ GIMT_Encode4(663646), // Rule ID 7626 //
     /*  663576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663644 */     GIR_RootConstrainSelectedInstOperands,
     /*  663645 */     // GIR_Coverage, 7626,
     /*  663645 */     GIR_EraseRootFromParent_Done,
     /*  663646 */   // Label 10583: @663646
     /*  663646 */   GIM_Try, /*On fail goto*//*Label 10584*/ GIMT_Encode4(663721), // Rule ID 7627 //
     /*  663651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  663662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  663665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  663668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  663671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  663700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663719 */     GIR_RootConstrainSelectedInstOperands,
     /*  663720 */     // GIR_Coverage, 7627,
     /*  663720 */     GIR_EraseRootFromParent_Done,
     /*  663721 */   // Label 10584: @663721
     /*  663721 */   GIM_Try, /*On fail goto*//*Label 10585*/ GIMT_Encode4(663796), // Rule ID 7630 //
     /*  663726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  663775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663794 */     GIR_RootConstrainSelectedInstOperands,
     /*  663795 */     // GIR_Coverage, 7630,
     /*  663795 */     GIR_EraseRootFromParent_Done,
     /*  663796 */   // Label 10585: @663796
     /*  663796 */   GIM_Try, /*On fail goto*//*Label 10586*/ GIMT_Encode4(663871), // Rule ID 7631 //
     /*  663801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  663812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  663815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  663818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  663821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  663850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663869 */     GIR_RootConstrainSelectedInstOperands,
     /*  663870 */     // GIR_Coverage, 7631,
     /*  663870 */     GIR_EraseRootFromParent_Done,
     /*  663871 */   // Label 10586: @663871
     /*  663871 */   GIM_Try, /*On fail goto*//*Label 10587*/ GIMT_Encode4(663946), // Rule ID 7634 //
     /*  663876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  663879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  663899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  663922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  663925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  663927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  663929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  663931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  663933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  663938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  663941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  663944 */     GIR_RootConstrainSelectedInstOperands,
     /*  663945 */     // GIR_Coverage, 7634,
     /*  663945 */     GIR_EraseRootFromParent_Done,
     /*  663946 */   // Label 10587: @663946
     /*  663946 */   GIM_Try, /*On fail goto*//*Label 10588*/ GIMT_Encode4(664021), // Rule ID 7635 //
     /*  663951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  663954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  663959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  663962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  663965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  663968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  663971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  663974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  663986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  663990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  663997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  663997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664019 */     GIR_RootConstrainSelectedInstOperands,
     /*  664020 */     // GIR_Coverage, 7635,
     /*  664020 */     GIR_EraseRootFromParent_Done,
     /*  664021 */   // Label 10588: @664021
     /*  664021 */   GIM_Try, /*On fail goto*//*Label 10589*/ GIMT_Encode4(664096), // Rule ID 7638 //
     /*  664026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664094 */     GIR_RootConstrainSelectedInstOperands,
     /*  664095 */     // GIR_Coverage, 7638,
     /*  664095 */     GIR_EraseRootFromParent_Done,
     /*  664096 */   // Label 10589: @664096
     /*  664096 */   GIM_Try, /*On fail goto*//*Label 10590*/ GIMT_Encode4(664171), // Rule ID 7639 //
     /*  664101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  664112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  664115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  664118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  664121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664169 */     GIR_RootConstrainSelectedInstOperands,
     /*  664170 */     // GIR_Coverage, 7639,
     /*  664170 */     GIR_EraseRootFromParent_Done,
     /*  664171 */   // Label 10590: @664171
     /*  664171 */   GIM_Try, /*On fail goto*//*Label 10591*/ GIMT_Encode4(664246), // Rule ID 7642 //
     /*  664176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  664193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  664222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664244 */     GIR_RootConstrainSelectedInstOperands,
     /*  664245 */     // GIR_Coverage, 7642,
     /*  664245 */     GIR_EraseRootFromParent_Done,
     /*  664246 */   // Label 10591: @664246
     /*  664246 */   GIM_Try, /*On fail goto*//*Label 10592*/ GIMT_Encode4(664321), // Rule ID 7643 //
     /*  664251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  664262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  664265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  664268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  664271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  664297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  664316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664319 */     GIR_RootConstrainSelectedInstOperands,
     /*  664320 */     // GIR_Coverage, 7643,
     /*  664320 */     GIR_EraseRootFromParent_Done,
     /*  664321 */   // Label 10592: @664321
     /*  664321 */   GIM_Try, /*On fail goto*//*Label 10593*/ GIMT_Encode4(664396), // Rule ID 7646 //
     /*  664326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  664337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  664340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  664343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  664346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  664375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664394 */     GIR_RootConstrainSelectedInstOperands,
     /*  664395 */     // GIR_Coverage, 7646,
     /*  664395 */     GIR_EraseRootFromParent_Done,
     /*  664396 */   // Label 10593: @664396
     /*  664396 */   GIM_Try, /*On fail goto*//*Label 10594*/ GIMT_Encode4(664471), // Rule ID 7647 //
     /*  664401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  664412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  664415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  664418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  664421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664447 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4),
     /*  664450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664469 */     GIR_RootConstrainSelectedInstOperands,
     /*  664470 */     // GIR_Coverage, 7647,
     /*  664470 */     GIR_EraseRootFromParent_Done,
     /*  664471 */   // Label 10594: @664471
     /*  664471 */   GIM_Try, /*On fail goto*//*Label 10595*/ GIMT_Encode4(664546), // Rule ID 7650 //
     /*  664476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  664487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  664490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  664496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  664525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664544 */     GIR_RootConstrainSelectedInstOperands,
     /*  664545 */     // GIR_Coverage, 7650,
     /*  664545 */     GIR_EraseRootFromParent_Done,
     /*  664546 */   // Label 10595: @664546
     /*  664546 */   GIM_Try, /*On fail goto*//*Label 10596*/ GIMT_Encode4(664621), // Rule ID 7651 //
     /*  664551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  664562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  664565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  664568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  664571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664597 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  664600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664619 */     GIR_RootConstrainSelectedInstOperands,
     /*  664620 */     // GIR_Coverage, 7651,
     /*  664620 */     GIR_EraseRootFromParent_Done,
     /*  664621 */   // Label 10596: @664621
     /*  664621 */   GIM_Try, /*On fail goto*//*Label 10597*/ GIMT_Encode4(664696), // Rule ID 7654 //
     /*  664626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664694 */     GIR_RootConstrainSelectedInstOperands,
     /*  664695 */     // GIR_Coverage, 7654,
     /*  664695 */     GIR_EraseRootFromParent_Done,
     /*  664696 */   // Label 10597: @664696
     /*  664696 */   GIM_Try, /*On fail goto*//*Label 10598*/ GIMT_Encode4(664771), // Rule ID 7655 //
     /*  664701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  664712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  664715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  664718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  664721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  664740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664747 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  664750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664769 */     GIR_RootConstrainSelectedInstOperands,
     /*  664770 */     // GIR_Coverage, 7655,
     /*  664770 */     GIR_EraseRootFromParent_Done,
     /*  664771 */   // Label 10598: @664771
     /*  664771 */   GIM_Try, /*On fail goto*//*Label 10599*/ GIMT_Encode4(664846), // Rule ID 7658 //
     /*  664776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664844 */     GIR_RootConstrainSelectedInstOperands,
     /*  664845 */     // GIR_Coverage, 7658,
     /*  664845 */     GIR_EraseRootFromParent_Done,
     /*  664846 */   // Label 10599: @664846
     /*  664846 */   GIM_Try, /*On fail goto*//*Label 10600*/ GIMT_Encode4(664921), // Rule ID 7659 //
     /*  664851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  664854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  664862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  664865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  664868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  664871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  664874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  664890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  664897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  664900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664919 */     GIR_RootConstrainSelectedInstOperands,
     /*  664920 */     // GIR_Coverage, 7659,
     /*  664920 */     GIR_EraseRootFromParent_Done,
     /*  664921 */   // Label 10600: @664921
     /*  664921 */   GIM_Try, /*On fail goto*//*Label 10601*/ GIMT_Encode4(664996), // Rule ID 7662 //
     /*  664926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  664929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  664934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  664937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  664940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  664943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  664946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  664949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  664961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  664965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  664972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  664972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  664975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  664977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  664979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  664981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  664983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  664988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  664991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  664994 */     GIR_RootConstrainSelectedInstOperands,
     /*  664995 */     // GIR_Coverage, 7662,
     /*  664995 */     GIR_EraseRootFromParent_Done,
     /*  664996 */   // Label 10601: @664996
     /*  664996 */   GIM_Try, /*On fail goto*//*Label 10602*/ GIMT_Encode4(665071), // Rule ID 7663 //
     /*  665001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  665012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  665015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  665018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  665021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  665047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  665050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  665066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665069 */     GIR_RootConstrainSelectedInstOperands,
     /*  665070 */     // GIR_Coverage, 7663,
     /*  665070 */     GIR_EraseRootFromParent_Done,
     /*  665071 */   // Label 10602: @665071
     /*  665071 */   GIM_Try, /*On fail goto*//*Label 10603*/ GIMT_Encode4(665146), // Rule ID 7666 //
     /*  665076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  665079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  665087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  665090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  665093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  665096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  665125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665144 */     GIR_RootConstrainSelectedInstOperands,
     /*  665145 */     // GIR_Coverage, 7666,
     /*  665145 */     GIR_EraseRootFromParent_Done,
     /*  665146 */   // Label 10603: @665146
     /*  665146 */   GIM_Try, /*On fail goto*//*Label 10604*/ GIMT_Encode4(665221), // Rule ID 7667 //
     /*  665151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  665154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  665162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  665165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  665168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  665171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2),
     /*  665200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665219 */     GIR_RootConstrainSelectedInstOperands,
     /*  665220 */     // GIR_Coverage, 7667,
     /*  665220 */     GIR_EraseRootFromParent_Done,
     /*  665221 */   // Label 10604: @665221
     /*  665221 */   GIM_Try, /*On fail goto*//*Label 10605*/ GIMT_Encode4(665296), // Rule ID 7670 //
     /*  665226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  665229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  665237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  665240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  665243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  665246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  665275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665294 */     GIR_RootConstrainSelectedInstOperands,
     /*  665295 */     // GIR_Coverage, 7670,
     /*  665295 */     GIR_EraseRootFromParent_Done,
     /*  665296 */   // Label 10605: @665296
     /*  665296 */   GIM_Try, /*On fail goto*//*Label 10606*/ GIMT_Encode4(665371), // Rule ID 7671 //
     /*  665301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  665304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  665312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  665315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  665318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  665321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1),
     /*  665350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665369 */     GIR_RootConstrainSelectedInstOperands,
     /*  665370 */     // GIR_Coverage, 7671,
     /*  665370 */     GIR_EraseRootFromParent_Done,
     /*  665371 */   // Label 10606: @665371
     /*  665371 */   GIM_Try, /*On fail goto*//*Label 10607*/ GIMT_Encode4(665446), // Rule ID 7674 //
     /*  665376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  665379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  665393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665422 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  665425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665444 */     GIR_RootConstrainSelectedInstOperands,
     /*  665445 */     // GIR_Coverage, 7674,
     /*  665445 */     GIR_EraseRootFromParent_Done,
     /*  665446 */   // Label 10607: @665446
     /*  665446 */   GIM_Try, /*On fail goto*//*Label 10608*/ GIMT_Encode4(665521), // Rule ID 7675 //
     /*  665451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  665454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  665462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  665465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  665468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  665471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  665490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665497 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2),
     /*  665500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665519 */     GIR_RootConstrainSelectedInstOperands,
     /*  665520 */     // GIR_Coverage, 7675,
     /*  665520 */     GIR_EraseRootFromParent_Done,
     /*  665521 */   // Label 10608: @665521
     /*  665521 */   GIM_Try, /*On fail goto*//*Label 10609*/ GIMT_Encode4(665596), // Rule ID 7678 //
     /*  665526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  665529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665572 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  665572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  665575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665594 */     GIR_RootConstrainSelectedInstOperands,
     /*  665595 */     // GIR_Coverage, 7678,
     /*  665595 */     GIR_EraseRootFromParent_Done,
     /*  665596 */   // Label 10609: @665596
     /*  665596 */   GIM_Try, /*On fail goto*//*Label 10610*/ GIMT_Encode4(665671), // Rule ID 7679 //
     /*  665601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  665604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  665612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  665615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  665618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  665621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  665636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  665640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665647 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  665647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4),
     /*  665650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  665666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665669 */     GIR_RootConstrainSelectedInstOperands,
     /*  665670 */     // GIR_Coverage, 7679,
     /*  665670 */     GIR_EraseRootFromParent_Done,
     /*  665671 */   // Label 10610: @665671
     /*  665671 */   GIM_Try, /*On fail goto*//*Label 10611*/ GIMT_Encode4(665746), // Rule ID 7682 //
     /*  665676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665722 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  665725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665744 */     GIR_RootConstrainSelectedInstOperands,
     /*  665745 */     // GIR_Coverage, 7682,
     /*  665745 */     GIR_EraseRootFromParent_Done,
     /*  665746 */   // Label 10611: @665746
     /*  665746 */   GIM_Try, /*On fail goto*//*Label 10612*/ GIMT_Encode4(665821), // Rule ID 7683 //
     /*  665751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  665762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  665765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  665768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8),
     /*  665800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665819 */     GIR_RootConstrainSelectedInstOperands,
     /*  665820 */     // GIR_Coverage, 7683,
     /*  665820 */     GIR_EraseRootFromParent_Done,
     /*  665821 */   // Label 10612: @665821
     /*  665821 */   GIM_Try, /*On fail goto*//*Label 10613*/ GIMT_Encode4(665896), // Rule ID 7686 //
     /*  665826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  665837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  665872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  665875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665894 */     GIR_RootConstrainSelectedInstOperands,
     /*  665895 */     // GIR_Coverage, 7686,
     /*  665895 */     GIR_EraseRootFromParent_Done,
     /*  665896 */   // Label 10613: @665896
     /*  665896 */   GIM_Try, /*On fail goto*//*Label 10614*/ GIMT_Encode4(665971), // Rule ID 7687 //
     /*  665901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  665904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  665912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  665915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  665918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  665921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  665924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  665936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  665940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  665947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  665947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  665950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  665952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  665954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  665956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  665958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  665963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  665966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  665969 */     GIR_RootConstrainSelectedInstOperands,
     /*  665970 */     // GIR_Coverage, 7687,
     /*  665970 */     GIR_EraseRootFromParent_Done,
     /*  665971 */   // Label 10614: @665971
     /*  665971 */   GIM_Try, /*On fail goto*//*Label 10615*/ GIMT_Encode4(666046), // Rule ID 7690 //
     /*  665976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  665979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  665984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  665987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  665990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  665993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  665996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  665999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666022 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666044 */     GIR_RootConstrainSelectedInstOperands,
     /*  666045 */     // GIR_Coverage, 7690,
     /*  666045 */     GIR_EraseRootFromParent_Done,
     /*  666046 */   // Label 10615: @666046
     /*  666046 */   GIM_Try, /*On fail goto*//*Label 10616*/ GIMT_Encode4(666121), // Rule ID 7691 //
     /*  666051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  666062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  666065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  666068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666097 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666119 */     GIR_RootConstrainSelectedInstOperands,
     /*  666120 */     // GIR_Coverage, 7691,
     /*  666120 */     GIR_EraseRootFromParent_Done,
     /*  666121 */   // Label 10616: @666121
     /*  666121 */   GIM_Try, /*On fail goto*//*Label 10617*/ GIMT_Encode4(666196), // Rule ID 7694 //
     /*  666126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  666137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  666140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  666143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666194 */     GIR_RootConstrainSelectedInstOperands,
     /*  666195 */     // GIR_Coverage, 7694,
     /*  666195 */     GIR_EraseRootFromParent_Done,
     /*  666196 */   // Label 10617: @666196
     /*  666196 */   GIM_Try, /*On fail goto*//*Label 10618*/ GIMT_Encode4(666271), // Rule ID 7695 //
     /*  666201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  666212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  666215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  666218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666247 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11491:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666269 */     GIR_RootConstrainSelectedInstOperands,
     /*  666270 */     // GIR_Coverage, 7695,
     /*  666270 */     GIR_EraseRootFromParent_Done,
     /*  666271 */   // Label 10618: @666271
     /*  666271 */   GIM_Try, /*On fail goto*//*Label 10619*/ GIMT_Encode4(666346), // Rule ID 7698 //
     /*  666276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  666287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  666290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  666293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666322 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  666325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666344 */     GIR_RootConstrainSelectedInstOperands,
     /*  666345 */     // GIR_Coverage, 7698,
     /*  666345 */     GIR_EraseRootFromParent_Done,
     /*  666346 */   // Label 10619: @666346
     /*  666346 */   GIM_Try, /*On fail goto*//*Label 10620*/ GIMT_Encode4(666421), // Rule ID 7699 //
     /*  666351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  666362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  666365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  666368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  666400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666419 */     GIR_RootConstrainSelectedInstOperands,
     /*  666420 */     // GIR_Coverage, 7699,
     /*  666420 */     GIR_EraseRootFromParent_Done,
     /*  666421 */   // Label 10620: @666421
     /*  666421 */   GIM_Try, /*On fail goto*//*Label 10621*/ GIMT_Encode4(666496), // Rule ID 7702 //
     /*  666426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  666437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  666440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  666443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  666472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  666475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666494 */     GIR_RootConstrainSelectedInstOperands,
     /*  666495 */     // GIR_Coverage, 7702,
     /*  666495 */     GIR_EraseRootFromParent_Done,
     /*  666496 */   // Label 10621: @666496
     /*  666496 */   GIM_Try, /*On fail goto*//*Label 10622*/ GIMT_Encode4(666571), // Rule ID 7703 //
     /*  666501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  666512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  666515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  666518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  666532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  666536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666547 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  666547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  666550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  666566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666569 */     GIR_RootConstrainSelectedInstOperands,
     /*  666570 */     // GIR_Coverage, 7703,
     /*  666570 */     GIR_EraseRootFromParent_Done,
     /*  666571 */   // Label 10622: @666571
     /*  666571 */   GIM_Try, /*On fail goto*//*Label 10623*/ GIMT_Encode4(666646), // Rule ID 7706 //
     /*  666576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  666625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666644 */     GIR_RootConstrainSelectedInstOperands,
     /*  666645 */     // GIR_Coverage, 7706,
     /*  666645 */     GIR_EraseRootFromParent_Done,
     /*  666646 */   // Label 10623: @666646
     /*  666646 */   GIM_Try, /*On fail goto*//*Label 10624*/ GIMT_Encode4(666721), // Rule ID 7707 //
     /*  666651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  666662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  666665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  666668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666697 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4),
     /*  666700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666719 */     GIR_RootConstrainSelectedInstOperands,
     /*  666720 */     // GIR_Coverage, 7707,
     /*  666720 */     GIR_EraseRootFromParent_Done,
     /*  666721 */   // Label 10624: @666721
     /*  666721 */   GIM_Try, /*On fail goto*//*Label 10625*/ GIMT_Encode4(666796), // Rule ID 7710 //
     /*  666726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666794 */     GIR_RootConstrainSelectedInstOperands,
     /*  666795 */     // GIR_Coverage, 7710,
     /*  666795 */     GIR_EraseRootFromParent_Done,
     /*  666796 */   // Label 10625: @666796
     /*  666796 */   GIM_Try, /*On fail goto*//*Label 10626*/ GIMT_Encode4(666871), // Rule ID 7711 //
     /*  666801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  666812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  666815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  666818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666847 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  666850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666869 */     GIR_RootConstrainSelectedInstOperands,
     /*  666870 */     // GIR_Coverage, 7711,
     /*  666870 */     GIR_EraseRootFromParent_Done,
     /*  666871 */   // Label 10626: @666871
     /*  666871 */   GIM_Try, /*On fail goto*//*Label 10627*/ GIMT_Encode4(666946), // Rule ID 7714 //
     /*  666876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  666879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  666887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  666890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  666896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  666899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  666922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  666925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  666927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  666929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  666931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  666933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  666938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  666941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  666944 */     GIR_RootConstrainSelectedInstOperands,
     /*  666945 */     // GIR_Coverage, 7714,
     /*  666945 */     GIR_EraseRootFromParent_Done,
     /*  666946 */   // Label 10627: @666946
     /*  666946 */   GIM_Try, /*On fail goto*//*Label 10628*/ GIMT_Encode4(667021), // Rule ID 7715 //
     /*  666951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  666954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  666959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  666962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  666965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  666968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  666971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  666974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  666982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  666986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  666990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  666997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11491:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  666997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  667000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667019 */     GIR_RootConstrainSelectedInstOperands,
     /*  667020 */     // GIR_Coverage, 7715,
     /*  667020 */     GIR_EraseRootFromParent_Done,
     /*  667021 */   // Label 10628: @667021
     /*  667021 */   GIM_Try, /*On fail goto*//*Label 10629*/ GIMT_Encode4(667096), // Rule ID 7718 //
     /*  667026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  667037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  667040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  667043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667072 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  667075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667094 */     GIR_RootConstrainSelectedInstOperands,
     /*  667095 */     // GIR_Coverage, 7718,
     /*  667095 */     GIR_EraseRootFromParent_Done,
     /*  667096 */   // Label 10629: @667096
     /*  667096 */   GIM_Try, /*On fail goto*//*Label 10630*/ GIMT_Encode4(667171), // Rule ID 7719 //
     /*  667101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  667112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  667115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  667118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  667150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667169 */     GIR_RootConstrainSelectedInstOperands,
     /*  667170 */     // GIR_Coverage, 7719,
     /*  667170 */     GIR_EraseRootFromParent_Done,
     /*  667171 */   // Label 10630: @667171
     /*  667171 */   GIM_Try, /*On fail goto*//*Label 10631*/ GIMT_Encode4(667246), // Rule ID 7722 //
     /*  667176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  667187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  667190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  667193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667222 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  667222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  667225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667244 */     GIR_RootConstrainSelectedInstOperands,
     /*  667245 */     // GIR_Coverage, 7722,
     /*  667245 */     GIR_EraseRootFromParent_Done,
     /*  667246 */   // Label 10631: @667246
     /*  667246 */   GIM_Try, /*On fail goto*//*Label 10632*/ GIMT_Encode4(667321), // Rule ID 7723 //
     /*  667251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  667254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  667262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  667265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  667268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667297 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  667297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  667300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  667316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667319 */     GIR_RootConstrainSelectedInstOperands,
     /*  667320 */     // GIR_Coverage, 7723,
     /*  667320 */     GIR_EraseRootFromParent_Done,
     /*  667321 */   // Label 10632: @667321
     /*  667321 */   GIM_Try, /*On fail goto*//*Label 10633*/ GIMT_Encode4(667396), // Rule ID 7726 //
     /*  667326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  667375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667394 */     GIR_RootConstrainSelectedInstOperands,
     /*  667395 */     // GIR_Coverage, 7726,
     /*  667395 */     GIR_EraseRootFromParent_Done,
     /*  667396 */   // Label 10633: @667396
     /*  667396 */   GIM_Try, /*On fail goto*//*Label 10634*/ GIMT_Encode4(667471), // Rule ID 7727 //
     /*  667401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  667412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  667415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  667418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667447 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2),
     /*  667450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667469 */     GIR_RootConstrainSelectedInstOperands,
     /*  667470 */     // GIR_Coverage, 7727,
     /*  667470 */     GIR_EraseRootFromParent_Done,
     /*  667471 */   // Label 10634: @667471
     /*  667471 */   GIM_Try, /*On fail goto*//*Label 10635*/ GIMT_Encode4(667546), // Rule ID 7730 //
     /*  667476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  667493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  667525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667544 */     GIR_RootConstrainSelectedInstOperands,
     /*  667545 */     // GIR_Coverage, 7730,
     /*  667545 */     GIR_EraseRootFromParent_Done,
     /*  667546 */   // Label 10635: @667546
     /*  667546 */   GIM_Try, /*On fail goto*//*Label 10636*/ GIMT_Encode4(667621), // Rule ID 7731 //
     /*  667551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  667562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  667565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  667568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667597 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11491:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1),
     /*  667600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667619 */     GIR_RootConstrainSelectedInstOperands,
     /*  667620 */     // GIR_Coverage, 7731,
     /*  667620 */     GIR_EraseRootFromParent_Done,
     /*  667621 */   // Label 10636: @667621
     /*  667621 */   GIM_Try, /*On fail goto*//*Label 10637*/ GIMT_Encode4(667696), // Rule ID 7734 //
     /*  667626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  667643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  667675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667694 */     GIR_RootConstrainSelectedInstOperands,
     /*  667695 */     // GIR_Coverage, 7734,
     /*  667695 */     GIR_EraseRootFromParent_Done,
     /*  667696 */   // Label 10637: @667696
     /*  667696 */   GIM_Try, /*On fail goto*//*Label 10638*/ GIMT_Encode4(667771), // Rule ID 7735 //
     /*  667701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  667712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  667715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  667718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  667732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11491:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2),
     /*  667750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667769 */     GIR_RootConstrainSelectedInstOperands,
     /*  667770 */     // GIR_Coverage, 7735,
     /*  667770 */     GIR_EraseRootFromParent_Done,
     /*  667771 */   // Label 10638: @667771
     /*  667771 */   GIM_Try, /*On fail goto*//*Label 10639*/ GIMT_Encode4(667846), // Rule ID 7738 //
     /*  667776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  667779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  667787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  667790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  667793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  667796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  667822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  667825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667844 */     GIR_RootConstrainSelectedInstOperands,
     /*  667845 */     // GIR_Coverage, 7738,
     /*  667845 */     GIR_EraseRootFromParent_Done,
     /*  667846 */   // Label 10639: @667846
     /*  667846 */   GIM_Try, /*On fail goto*//*Label 10640*/ GIMT_Encode4(667921), // Rule ID 7739 //
     /*  667851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  667854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra),
     /*  667859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  667862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  667865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  667868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  667871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  667874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  667882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  667886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  667890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11491:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNSRA_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  667897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4),
     /*  667900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  667916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667919 */     GIR_RootConstrainSelectedInstOperands,
     /*  667920 */     // GIR_Coverage, 7739,
     /*  667920 */     GIR_EraseRootFromParent_Done,
     /*  667921 */   // Label 10640: @667921
     /*  667921 */   GIM_Try, /*On fail goto*//*Label 10641*/ GIMT_Encode4(667996), // Rule ID 10254 //
     /*  667926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  667929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  667934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  667937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  667940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  667943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  667946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  667949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  667965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  667972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  667972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  667975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  667977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  667979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  667981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  667983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  667988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  667991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  667994 */     GIR_RootConstrainSelectedInstOperands,
     /*  667995 */     // GIR_Coverage, 10254,
     /*  667995 */     GIR_EraseRootFromParent_Done,
     /*  667996 */   // Label 10641: @667996
     /*  667996 */   GIM_Try, /*On fail goto*//*Label 10642*/ GIMT_Encode4(668071), // Rule ID 10255 //
     /*  668001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  668012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  668015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  668018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  668021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668047 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /*  668050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668069 */     GIR_RootConstrainSelectedInstOperands,
     /*  668070 */     // GIR_Coverage, 10255,
     /*  668070 */     GIR_EraseRootFromParent_Done,
     /*  668071 */   // Label 10642: @668071
     /*  668071 */   GIM_Try, /*On fail goto*//*Label 10643*/ GIMT_Encode4(668146), // Rule ID 10258 //
     /*  668076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  668087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  668090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  668093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  668096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  668125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668144 */     GIR_RootConstrainSelectedInstOperands,
     /*  668145 */     // GIR_Coverage, 10258,
     /*  668145 */     GIR_EraseRootFromParent_Done,
     /*  668146 */   // Label 10643: @668146
     /*  668146 */   GIM_Try, /*On fail goto*//*Label 10644*/ GIMT_Encode4(668221), // Rule ID 10259 //
     /*  668151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  668162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  668165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  668168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  668171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  668200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668219 */     GIR_RootConstrainSelectedInstOperands,
     /*  668220 */     // GIR_Coverage, 10259,
     /*  668220 */     GIR_EraseRootFromParent_Done,
     /*  668221 */   // Label 10644: @668221
     /*  668221 */   GIM_Try, /*On fail goto*//*Label 10645*/ GIMT_Encode4(668296), // Rule ID 10262 //
     /*  668226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  668237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  668240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  668243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  668246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668294 */     GIR_RootConstrainSelectedInstOperands,
     /*  668295 */     // GIR_Coverage, 10262,
     /*  668295 */     GIR_EraseRootFromParent_Done,
     /*  668296 */   // Label 10645: @668296
     /*  668296 */   GIM_Try, /*On fail goto*//*Label 10646*/ GIMT_Encode4(668371), // Rule ID 10263 //
     /*  668301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  668312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  668315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  668318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  668321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668369 */     GIR_RootConstrainSelectedInstOperands,
     /*  668370 */     // GIR_Coverage, 10263,
     /*  668370 */     GIR_EraseRootFromParent_Done,
     /*  668371 */   // Label 10646: @668371
     /*  668371 */   GIM_Try, /*On fail goto*//*Label 10647*/ GIMT_Encode4(668446), // Rule ID 10266 //
     /*  668376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  668387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  668390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  668393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  668396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  668425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668444 */     GIR_RootConstrainSelectedInstOperands,
     /*  668445 */     // GIR_Coverage, 10266,
     /*  668445 */     GIR_EraseRootFromParent_Done,
     /*  668446 */   // Label 10647: @668446
     /*  668446 */   GIM_Try, /*On fail goto*//*Label 10648*/ GIMT_Encode4(668521), // Rule ID 10267 //
     /*  668451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  668462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  668465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  668468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  668471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /*  668500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668519 */     GIR_RootConstrainSelectedInstOperands,
     /*  668520 */     // GIR_Coverage, 10267,
     /*  668520 */     GIR_EraseRootFromParent_Done,
     /*  668521 */   // Label 10648: @668521
     /*  668521 */   GIM_Try, /*On fail goto*//*Label 10649*/ GIMT_Encode4(668596), // Rule ID 10270 //
     /*  668526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  668537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  668540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  668543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  668546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  668572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668594 */     GIR_RootConstrainSelectedInstOperands,
     /*  668595 */     // GIR_Coverage, 10270,
     /*  668595 */     GIR_EraseRootFromParent_Done,
     /*  668596 */   // Label 10649: @668596
     /*  668596 */   GIM_Try, /*On fail goto*//*Label 10650*/ GIMT_Encode4(668671), // Rule ID 10271 //
     /*  668601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  668612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  668615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  668618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  668621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  668647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  668666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668669 */     GIR_RootConstrainSelectedInstOperands,
     /*  668670 */     // GIR_Coverage, 10271,
     /*  668670 */     GIR_EraseRootFromParent_Done,
     /*  668671 */   // Label 10650: @668671
     /*  668671 */   GIM_Try, /*On fail goto*//*Label 10651*/ GIMT_Encode4(668746), // Rule ID 10274 //
     /*  668676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  668722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668744 */     GIR_RootConstrainSelectedInstOperands,
     /*  668745 */     // GIR_Coverage, 10274,
     /*  668745 */     GIR_EraseRootFromParent_Done,
     /*  668746 */   // Label 10651: @668746
     /*  668746 */   GIM_Try, /*On fail goto*//*Label 10652*/ GIMT_Encode4(668821), // Rule ID 10275 //
     /*  668751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  668762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  668765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  668768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  668771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  668797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /*  668800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  668816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668819 */     GIR_RootConstrainSelectedInstOperands,
     /*  668820 */     // GIR_Coverage, 10275,
     /*  668820 */     GIR_EraseRootFromParent_Done,
     /*  668821 */   // Label 10652: @668821
     /*  668821 */   GIM_Try, /*On fail goto*//*Label 10653*/ GIMT_Encode4(668896), // Rule ID 10278 //
     /*  668826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  668872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668894 */     GIR_RootConstrainSelectedInstOperands,
     /*  668895 */     // GIR_Coverage, 10278,
     /*  668895 */     GIR_EraseRootFromParent_Done,
     /*  668896 */   // Label 10653: @668896
     /*  668896 */   GIM_Try, /*On fail goto*//*Label 10654*/ GIMT_Encode4(668971), // Rule ID 10279 //
     /*  668901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  668904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  668912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  668915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  668918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  668921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  668924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  668940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  668947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  668947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  668950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  668952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  668954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  668956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  668958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  668963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  668966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  668969 */     GIR_RootConstrainSelectedInstOperands,
     /*  668970 */     // GIR_Coverage, 10279,
     /*  668970 */     GIR_EraseRootFromParent_Done,
     /*  668971 */   // Label 10654: @668971
     /*  668971 */   GIM_Try, /*On fail goto*//*Label 10655*/ GIMT_Encode4(669046), // Rule ID 10282 //
     /*  668976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  668979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  668984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  668987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  668990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  668993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  668996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  668999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  669025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669044 */     GIR_RootConstrainSelectedInstOperands,
     /*  669045 */     // GIR_Coverage, 10282,
     /*  669045 */     GIR_EraseRootFromParent_Done,
     /*  669046 */   // Label 10655: @669046
     /*  669046 */   GIM_Try, /*On fail goto*//*Label 10656*/ GIMT_Encode4(669121), // Rule ID 10283 //
     /*  669051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  669062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  669065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  669068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  669071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  669100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669119 */     GIR_RootConstrainSelectedInstOperands,
     /*  669120 */     // GIR_Coverage, 10283,
     /*  669120 */     GIR_EraseRootFromParent_Done,
     /*  669121 */   // Label 10656: @669121
     /*  669121 */   GIM_Try, /*On fail goto*//*Label 10657*/ GIMT_Encode4(669196), // Rule ID 10286 //
     /*  669126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  669137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  669140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  669143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  669146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  669172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  669175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669194 */     GIR_RootConstrainSelectedInstOperands,
     /*  669195 */     // GIR_Coverage, 10286,
     /*  669195 */     GIR_EraseRootFromParent_Done,
     /*  669196 */   // Label 10657: @669196
     /*  669196 */   GIM_Try, /*On fail goto*//*Label 10658*/ GIMT_Encode4(669271), // Rule ID 10287 //
     /*  669201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  669212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  669215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  669218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  669221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  669247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  669250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  669266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669269 */     GIR_RootConstrainSelectedInstOperands,
     /*  669270 */     // GIR_Coverage, 10287,
     /*  669270 */     GIR_EraseRootFromParent_Done,
     /*  669271 */   // Label 10658: @669271
     /*  669271 */   GIM_Try, /*On fail goto*//*Label 10659*/ GIMT_Encode4(669346), // Rule ID 10290 //
     /*  669276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  669279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  669287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  669290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  669293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  669296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  669322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  669325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669344 */     GIR_RootConstrainSelectedInstOperands,
     /*  669345 */     // GIR_Coverage, 10290,
     /*  669345 */     GIR_EraseRootFromParent_Done,
     /*  669346 */   // Label 10659: @669346
     /*  669346 */   GIM_Try, /*On fail goto*//*Label 10660*/ GIMT_Encode4(669421), // Rule ID 10291 //
     /*  669351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  669354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  669362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  669365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  669368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  669371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  669390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  669397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /*  669400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  669416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669419 */     GIR_RootConstrainSelectedInstOperands,
     /*  669420 */     // GIR_Coverage, 10291,
     /*  669420 */     GIR_EraseRootFromParent_Done,
     /*  669421 */   // Label 10660: @669421
     /*  669421 */   GIM_Try, /*On fail goto*//*Label 10661*/ GIMT_Encode4(669496), // Rule ID 10294 //
     /*  669426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  669437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  669440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  669443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  669446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669494 */     GIR_RootConstrainSelectedInstOperands,
     /*  669495 */     // GIR_Coverage, 10294,
     /*  669495 */     GIR_EraseRootFromParent_Done,
     /*  669496 */   // Label 10661: @669496
     /*  669496 */   GIM_Try, /*On fail goto*//*Label 10662*/ GIMT_Encode4(669571), // Rule ID 10295 //
     /*  669501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  669512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  669515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  669518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  669521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669569 */     GIR_RootConstrainSelectedInstOperands,
     /*  669570 */     // GIR_Coverage, 10295,
     /*  669570 */     GIR_EraseRootFromParent_Done,
     /*  669571 */   // Label 10662: @669571
     /*  669571 */   GIM_Try, /*On fail goto*//*Label 10663*/ GIMT_Encode4(669646), // Rule ID 10298 //
     /*  669576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  669587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  669590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  669593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  669596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669644 */     GIR_RootConstrainSelectedInstOperands,
     /*  669645 */     // GIR_Coverage, 10298,
     /*  669645 */     GIR_EraseRootFromParent_Done,
     /*  669646 */   // Label 10663: @669646
     /*  669646 */   GIM_Try, /*On fail goto*//*Label 10664*/ GIMT_Encode4(669721), // Rule ID 10299 //
     /*  669651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  669662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  669665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  669668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  669671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  669690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669697 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  669700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669719 */     GIR_RootConstrainSelectedInstOperands,
     /*  669720 */     // GIR_Coverage, 10299,
     /*  669720 */     GIR_EraseRootFromParent_Done,
     /*  669721 */   // Label 10664: @669721
     /*  669721 */   GIM_Try, /*On fail goto*//*Label 10665*/ GIMT_Encode4(669796), // Rule ID 10302 //
     /*  669726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669772 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  669772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669794 */     GIR_RootConstrainSelectedInstOperands,
     /*  669795 */     // GIR_Coverage, 10302,
     /*  669795 */     GIR_EraseRootFromParent_Done,
     /*  669796 */   // Label 10665: @669796
     /*  669796 */   GIM_Try, /*On fail goto*//*Label 10666*/ GIMT_Encode4(669871), // Rule ID 10303 //
     /*  669801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  669812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  669815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  669818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  669821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  669840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  669847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  669850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  669866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669869 */     GIR_RootConstrainSelectedInstOperands,
     /*  669870 */     // GIR_Coverage, 10303,
     /*  669870 */     GIR_EraseRootFromParent_Done,
     /*  669871 */   // Label 10666: @669871
     /*  669871 */   GIM_Try, /*On fail goto*//*Label 10667*/ GIMT_Encode4(669946), // Rule ID 10306 //
     /*  669876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  669879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  669896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  669899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  669922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  669925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  669927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  669929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  669931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  669933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  669938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  669941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  669944 */     GIR_RootConstrainSelectedInstOperands,
     /*  669945 */     // GIR_Coverage, 10306,
     /*  669945 */     GIR_EraseRootFromParent_Done,
     /*  669946 */   // Label 10667: @669946
     /*  669946 */   GIM_Try, /*On fail goto*//*Label 10668*/ GIMT_Encode4(670021), // Rule ID 10307 //
     /*  669951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  669954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  669959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  669962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  669965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  669968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  669971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  669974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  669990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  669997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  669997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670019 */     GIR_RootConstrainSelectedInstOperands,
     /*  670020 */     // GIR_Coverage, 10307,
     /*  670020 */     GIR_EraseRootFromParent_Done,
     /*  670021 */   // Label 10668: @670021
     /*  670021 */   GIM_Try, /*On fail goto*//*Label 10669*/ GIMT_Encode4(670096), // Rule ID 10310 //
     /*  670026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  670037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  670040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  670043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  670046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670094 */     GIR_RootConstrainSelectedInstOperands,
     /*  670095 */     // GIR_Coverage, 10310,
     /*  670095 */     GIR_EraseRootFromParent_Done,
     /*  670096 */   // Label 10669: @670096
     /*  670096 */   GIM_Try, /*On fail goto*//*Label 10670*/ GIMT_Encode4(670171), // Rule ID 10311 //
     /*  670101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  670112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  670115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  670118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  670121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670169 */     GIR_RootConstrainSelectedInstOperands,
     /*  670170 */     // GIR_Coverage, 10311,
     /*  670170 */     GIR_EraseRootFromParent_Done,
     /*  670171 */   // Label 10670: @670171
     /*  670171 */   GIM_Try, /*On fail goto*//*Label 10671*/ GIMT_Encode4(670246), // Rule ID 10314 //
     /*  670176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  670187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  670190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  670193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  670196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  670222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670244 */     GIR_RootConstrainSelectedInstOperands,
     /*  670245 */     // GIR_Coverage, 10314,
     /*  670245 */     GIR_EraseRootFromParent_Done,
     /*  670246 */   // Label 10671: @670246
     /*  670246 */   GIM_Try, /*On fail goto*//*Label 10672*/ GIMT_Encode4(670321), // Rule ID 10315 //
     /*  670251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  670262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  670265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  670268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  670271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670297 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  670297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  670316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670319 */     GIR_RootConstrainSelectedInstOperands,
     /*  670320 */     // GIR_Coverage, 10315,
     /*  670320 */     GIR_EraseRootFromParent_Done,
     /*  670321 */   // Label 10672: @670321
     /*  670321 */   GIM_Try, /*On fail goto*//*Label 10673*/ GIMT_Encode4(670396), // Rule ID 10318 //
     /*  670326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  670337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  670340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  670343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  670346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670394 */     GIR_RootConstrainSelectedInstOperands,
     /*  670395 */     // GIR_Coverage, 10318,
     /*  670395 */     GIR_EraseRootFromParent_Done,
     /*  670396 */   // Label 10673: @670396
     /*  670396 */   GIM_Try, /*On fail goto*//*Label 10674*/ GIMT_Encode4(670471), // Rule ID 10319 //
     /*  670401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  670412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  670415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  670418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  670421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670469 */     GIR_RootConstrainSelectedInstOperands,
     /*  670470 */     // GIR_Coverage, 10319,
     /*  670470 */     GIR_EraseRootFromParent_Done,
     /*  670471 */   // Label 10674: @670471
     /*  670471 */   GIM_Try, /*On fail goto*//*Label 10675*/ GIMT_Encode4(670546), // Rule ID 10322 //
     /*  670476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  670487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  670490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  670493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  670496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670544 */     GIR_RootConstrainSelectedInstOperands,
     /*  670545 */     // GIR_Coverage, 10322,
     /*  670545 */     GIR_EraseRootFromParent_Done,
     /*  670546 */   // Label 10675: @670546
     /*  670546 */   GIM_Try, /*On fail goto*//*Label 10676*/ GIMT_Encode4(670621), // Rule ID 10323 //
     /*  670551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  670562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  670565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  670568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  670571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670619 */     GIR_RootConstrainSelectedInstOperands,
     /*  670620 */     // GIR_Coverage, 10323,
     /*  670620 */     GIR_EraseRootFromParent_Done,
     /*  670621 */   // Label 10676: @670621
     /*  670621 */   GIM_Try, /*On fail goto*//*Label 10677*/ GIMT_Encode4(670696), // Rule ID 10326 //
     /*  670626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  670629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  670672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670694 */     GIR_RootConstrainSelectedInstOperands,
     /*  670695 */     // GIR_Coverage, 10326,
     /*  670695 */     GIR_EraseRootFromParent_Done,
     /*  670696 */   // Label 10677: @670696
     /*  670696 */   GIM_Try, /*On fail goto*//*Label 10678*/ GIMT_Encode4(670771), // Rule ID 10327 //
     /*  670701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  670704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  670712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  670715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  670718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  670721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  670740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  670747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  670750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  670766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670769 */     GIR_RootConstrainSelectedInstOperands,
     /*  670770 */     // GIR_Coverage, 10327,
     /*  670770 */     GIR_EraseRootFromParent_Done,
     /*  670771 */   // Label 10678: @670771
     /*  670771 */   GIM_Try, /*On fail goto*//*Label 10679*/ GIMT_Encode4(670846), // Rule ID 10330 //
     /*  670776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670844 */     GIR_RootConstrainSelectedInstOperands,
     /*  670845 */     // GIR_Coverage, 10330,
     /*  670845 */     GIR_EraseRootFromParent_Done,
     /*  670846 */   // Label 10679: @670846
     /*  670846 */   GIM_Try, /*On fail goto*//*Label 10680*/ GIMT_Encode4(670921), // Rule ID 10331 //
     /*  670851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  670854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  670862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  670865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  670868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  670871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  670874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  670890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  670897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /*  670900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670919 */     GIR_RootConstrainSelectedInstOperands,
     /*  670920 */     // GIR_Coverage, 10331,
     /*  670920 */     GIR_EraseRootFromParent_Done,
     /*  670921 */   // Label 10680: @670921
     /*  670921 */   GIM_Try, /*On fail goto*//*Label 10681*/ GIMT_Encode4(670996), // Rule ID 10334 //
     /*  670926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  670929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  670934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  670937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  670940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  670943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  670946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  670949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  670965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  670972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  670972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  670975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  670977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  670979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  670981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  670983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  670988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  670991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  670994 */     GIR_RootConstrainSelectedInstOperands,
     /*  670995 */     // GIR_Coverage, 10334,
     /*  670995 */     GIR_EraseRootFromParent_Done,
     /*  670996 */   // Label 10681: @670996
     /*  670996 */   GIM_Try, /*On fail goto*//*Label 10682*/ GIMT_Encode4(671071), // Rule ID 10335 //
     /*  671001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  671012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  671015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  671018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  671021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  671040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671047 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /*  671050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671069 */     GIR_RootConstrainSelectedInstOperands,
     /*  671070 */     // GIR_Coverage, 10335,
     /*  671070 */     GIR_EraseRootFromParent_Done,
     /*  671071 */   // Label 10682: @671071
     /*  671071 */   GIM_Try, /*On fail goto*//*Label 10683*/ GIMT_Encode4(671146), // Rule ID 10338 //
     /*  671076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  671079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  671087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  671090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  671093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  671096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  671122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  671125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671144 */     GIR_RootConstrainSelectedInstOperands,
     /*  671145 */     // GIR_Coverage, 10338,
     /*  671145 */     GIR_EraseRootFromParent_Done,
     /*  671146 */   // Label 10683: @671146
     /*  671146 */   GIM_Try, /*On fail goto*//*Label 10684*/ GIMT_Encode4(671221), // Rule ID 10339 //
     /*  671151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  671154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  671162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  671165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  671168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  671171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  671190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  671197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /*  671200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  671216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671219 */     GIR_RootConstrainSelectedInstOperands,
     /*  671220 */     // GIR_Coverage, 10339,
     /*  671220 */     GIR_EraseRootFromParent_Done,
     /*  671221 */   // Label 10684: @671221
     /*  671221 */   GIM_Try, /*On fail goto*//*Label 10685*/ GIMT_Encode4(671296), // Rule ID 10342 //
     /*  671226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  671237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  671240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  671243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  671275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671294 */     GIR_RootConstrainSelectedInstOperands,
     /*  671295 */     // GIR_Coverage, 10342,
     /*  671295 */     GIR_EraseRootFromParent_Done,
     /*  671296 */   // Label 10685: @671296
     /*  671296 */   GIM_Try, /*On fail goto*//*Label 10686*/ GIMT_Encode4(671371), // Rule ID 10343 //
     /*  671301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  671312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  671315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  671318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8),
     /*  671350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671369 */     GIR_RootConstrainSelectedInstOperands,
     /*  671370 */     // GIR_Coverage, 10343,
     /*  671370 */     GIR_EraseRootFromParent_Done,
     /*  671371 */   // Label 10686: @671371
     /*  671371 */   GIM_Try, /*On fail goto*//*Label 10687*/ GIMT_Encode4(671446), // Rule ID 10346 //
     /*  671376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  671387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  671390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  671393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671444 */     GIR_RootConstrainSelectedInstOperands,
     /*  671445 */     // GIR_Coverage, 10346,
     /*  671445 */     GIR_EraseRootFromParent_Done,
     /*  671446 */   // Label 10687: @671446
     /*  671446 */   GIM_Try, /*On fail goto*//*Label 10688*/ GIMT_Encode4(671521), // Rule ID 10347 //
     /*  671451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  671462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  671465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  671468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671497 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671519 */     GIR_RootConstrainSelectedInstOperands,
     /*  671520 */     // GIR_Coverage, 10347,
     /*  671520 */     GIR_EraseRootFromParent_Done,
     /*  671521 */   // Label 10688: @671521
     /*  671521 */   GIM_Try, /*On fail goto*//*Label 10689*/ GIMT_Encode4(671596), // Rule ID 10350 //
     /*  671526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  671537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  671540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  671543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  671572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671594 */     GIR_RootConstrainSelectedInstOperands,
     /*  671595 */     // GIR_Coverage, 10350,
     /*  671595 */     GIR_EraseRootFromParent_Done,
     /*  671596 */   // Label 10689: @671596
     /*  671596 */   GIM_Try, /*On fail goto*//*Label 10690*/ GIMT_Encode4(671671), // Rule ID 10351 //
     /*  671601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  671612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  671615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  671618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671647 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  671647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  671666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671669 */     GIR_RootConstrainSelectedInstOperands,
     /*  671670 */     // GIR_Coverage, 10351,
     /*  671670 */     GIR_EraseRootFromParent_Done,
     /*  671671 */   // Label 10690: @671671
     /*  671671 */   GIM_Try, /*On fail goto*//*Label 10691*/ GIMT_Encode4(671746), // Rule ID 10354 //
     /*  671676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671744 */     GIR_RootConstrainSelectedInstOperands,
     /*  671745 */     // GIR_Coverage, 10354,
     /*  671745 */     GIR_EraseRootFromParent_Done,
     /*  671746 */   // Label 10691: @671746
     /*  671746 */   GIM_Try, /*On fail goto*//*Label 10692*/ GIMT_Encode4(671821), // Rule ID 10355 //
     /*  671751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  671762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  671765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  671768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671797 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4),
     /*  671800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671819 */     GIR_RootConstrainSelectedInstOperands,
     /*  671820 */     // GIR_Coverage, 10355,
     /*  671820 */     GIR_EraseRootFromParent_Done,
     /*  671821 */   // Label 10692: @671821
     /*  671821 */   GIM_Try, /*On fail goto*//*Label 10693*/ GIMT_Encode4(671896), // Rule ID 10358 //
     /*  671826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  671872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671894 */     GIR_RootConstrainSelectedInstOperands,
     /*  671895 */     // GIR_Coverage, 10358,
     /*  671895 */     GIR_EraseRootFromParent_Done,
     /*  671896 */   // Label 10693: @671896
     /*  671896 */   GIM_Try, /*On fail goto*//*Label 10694*/ GIMT_Encode4(671971), // Rule ID 10359 //
     /*  671901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  671904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  671912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  671915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  671918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  671921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  671924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  671936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  671940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  671947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  671947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  671950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  671952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  671954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  671956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  671958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  671963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  671966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  671969 */     GIR_RootConstrainSelectedInstOperands,
     /*  671970 */     // GIR_Coverage, 10359,
     /*  671970 */     GIR_EraseRootFromParent_Done,
     /*  671971 */   // Label 10694: @671971
     /*  671971 */   GIM_Try, /*On fail goto*//*Label 10695*/ GIMT_Encode4(672046), // Rule ID 10362 //
     /*  671976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  671979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  671984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  671987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  671990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  671993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  671996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  671999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  672025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672044 */     GIR_RootConstrainSelectedInstOperands,
     /*  672045 */     // GIR_Coverage, 10362,
     /*  672045 */     GIR_EraseRootFromParent_Done,
     /*  672046 */   // Label 10695: @672046
     /*  672046 */   GIM_Try, /*On fail goto*//*Label 10696*/ GIMT_Encode4(672121), // Rule ID 10363 //
     /*  672051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  672062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  672065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  672068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2),
     /*  672100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672119 */     GIR_RootConstrainSelectedInstOperands,
     /*  672120 */     // GIR_Coverage, 10363,
     /*  672120 */     GIR_EraseRootFromParent_Done,
     /*  672121 */   // Label 10696: @672121
     /*  672121 */   GIM_Try, /*On fail goto*//*Label 10697*/ GIMT_Encode4(672196), // Rule ID 10366 //
     /*  672126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  672137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  672140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  672143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672194 */     GIR_RootConstrainSelectedInstOperands,
     /*  672195 */     // GIR_Coverage, 10366,
     /*  672195 */     GIR_EraseRootFromParent_Done,
     /*  672196 */   // Label 10697: @672196
     /*  672196 */   GIM_Try, /*On fail goto*//*Label 10698*/ GIMT_Encode4(672271), // Rule ID 10367 //
     /*  672201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  672212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  672215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  672218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672247 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11434:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672269 */     GIR_RootConstrainSelectedInstOperands,
     /*  672270 */     // GIR_Coverage, 10367,
     /*  672270 */     GIR_EraseRootFromParent_Done,
     /*  672271 */   // Label 10698: @672271
     /*  672271 */   GIM_Try, /*On fail goto*//*Label 10699*/ GIMT_Encode4(672346), // Rule ID 10370 //
     /*  672276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  672287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  672290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  672293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  672322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672344 */     GIR_RootConstrainSelectedInstOperands,
     /*  672345 */     // GIR_Coverage, 10370,
     /*  672345 */     GIR_EraseRootFromParent_Done,
     /*  672346 */   // Label 10699: @672346
     /*  672346 */   GIM_Try, /*On fail goto*//*Label 10700*/ GIMT_Encode4(672421), // Rule ID 10371 //
     /*  672351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  672362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  672365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  672368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11434:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  672397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  672416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672419 */     GIR_RootConstrainSelectedInstOperands,
     /*  672420 */     // GIR_Coverage, 10371,
     /*  672420 */     GIR_EraseRootFromParent_Done,
     /*  672421 */   // Label 10700: @672421
     /*  672421 */   GIM_Try, /*On fail goto*//*Label 10701*/ GIMT_Encode4(672496), // Rule ID 10374 //
     /*  672426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  672437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  672440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  672443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  672472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672494 */     GIR_RootConstrainSelectedInstOperands,
     /*  672495 */     // GIR_Coverage, 10374,
     /*  672495 */     GIR_EraseRootFromParent_Done,
     /*  672496 */   // Label 10701: @672496
     /*  672496 */   GIM_Try, /*On fail goto*//*Label 10702*/ GIMT_Encode4(672571), // Rule ID 10375 //
     /*  672501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  672512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  672515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  672518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11434:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  672547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  672566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672569 */     GIR_RootConstrainSelectedInstOperands,
     /*  672570 */     // GIR_Coverage, 10375,
     /*  672570 */     GIR_EraseRootFromParent_Done,
     /*  672571 */   // Label 10702: @672571
     /*  672571 */   GIM_Try, /*On fail goto*//*Label 10703*/ GIMT_Encode4(672646), // Rule ID 10378 //
     /*  672576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  672579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  672587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  672590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  672593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  672622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672644 */     GIR_RootConstrainSelectedInstOperands,
     /*  672645 */     // GIR_Coverage, 10378,
     /*  672645 */     GIR_EraseRootFromParent_Done,
     /*  672646 */   // Label 10703: @672646
     /*  672646 */   GIM_Try, /*On fail goto*//*Label 10704*/ GIMT_Encode4(672721), // Rule ID 10379 //
     /*  672651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  672654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  672662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  672665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  672668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  672686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11434:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  672697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1),
     /*  672700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  672716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672719 */     GIR_RootConstrainSelectedInstOperands,
     /*  672720 */     // GIR_Coverage, 10379,
     /*  672720 */     GIR_EraseRootFromParent_Done,
     /*  672721 */   // Label 10704: @672721
     /*  672721 */   GIM_Try, /*On fail goto*//*Label 10705*/ GIMT_Encode4(672796), // Rule ID 10382 //
     /*  672726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672794 */     GIR_RootConstrainSelectedInstOperands,
     /*  672795 */     // GIR_Coverage, 10382,
     /*  672795 */     GIR_EraseRootFromParent_Done,
     /*  672796 */   // Label 10705: @672796
     /*  672796 */   GIM_Try, /*On fail goto*//*Label 10706*/ GIMT_Encode4(672871), // Rule ID 10383 //
     /*  672801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  672812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  672815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  672818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  672836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672847 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  672850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672869 */     GIR_RootConstrainSelectedInstOperands,
     /*  672870 */     // GIR_Coverage, 10383,
     /*  672870 */     GIR_EraseRootFromParent_Done,
     /*  672871 */   // Label 10706: @672871
     /*  672871 */   GIM_Try, /*On fail goto*//*Label 10707*/ GIMT_Encode4(672946), // Rule ID 10386 //
     /*  672876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  672879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  672896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  672899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  672922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  672925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  672927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  672929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  672931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  672933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  672938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  672941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  672944 */     GIR_RootConstrainSelectedInstOperands,
     /*  672945 */     // GIR_Coverage, 10386,
     /*  672945 */     GIR_EraseRootFromParent_Done,
     /*  672946 */   // Label 10707: @672946
     /*  672946 */   GIM_Try, /*On fail goto*//*Label 10708*/ GIMT_Encode4(673021), // Rule ID 10387 //
     /*  672951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  672954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  672959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  672962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  672965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  672968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  672971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  672974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  672986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  672990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  672997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  672997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673019 */     GIR_RootConstrainSelectedInstOperands,
     /*  673020 */     // GIR_Coverage, 10387,
     /*  673020 */     GIR_EraseRootFromParent_Done,
     /*  673021 */   // Label 10708: @673021
     /*  673021 */   GIM_Try, /*On fail goto*//*Label 10709*/ GIMT_Encode4(673096), // Rule ID 10390 //
     /*  673026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  673037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  673040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  673043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673072 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  673072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673094 */     GIR_RootConstrainSelectedInstOperands,
     /*  673095 */     // GIR_Coverage, 10390,
     /*  673095 */     GIR_EraseRootFromParent_Done,
     /*  673096 */   // Label 10709: @673096
     /*  673096 */   GIM_Try, /*On fail goto*//*Label 10710*/ GIMT_Encode4(673171), // Rule ID 10391 //
     /*  673101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  673112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  673115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  673118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673147 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  673147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  673166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673169 */     GIR_RootConstrainSelectedInstOperands,
     /*  673170 */     // GIR_Coverage, 10391,
     /*  673170 */     GIR_EraseRootFromParent_Done,
     /*  673171 */   // Label 10710: @673171
     /*  673171 */   GIM_Try, /*On fail goto*//*Label 10711*/ GIMT_Encode4(673246), // Rule ID 10394 //
     /*  673176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  673187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  673190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  673193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673244 */     GIR_RootConstrainSelectedInstOperands,
     /*  673245 */     // GIR_Coverage, 10394,
     /*  673245 */     GIR_EraseRootFromParent_Done,
     /*  673246 */   // Label 10711: @673246
     /*  673246 */   GIM_Try, /*On fail goto*//*Label 10712*/ GIMT_Encode4(673321), // Rule ID 10395 //
     /*  673251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  673262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  673265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  673268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673319 */     GIR_RootConstrainSelectedInstOperands,
     /*  673320 */     // GIR_Coverage, 10395,
     /*  673320 */     GIR_EraseRootFromParent_Done,
     /*  673321 */   // Label 10712: @673321
     /*  673321 */   GIM_Try, /*On fail goto*//*Label 10713*/ GIMT_Encode4(673396), // Rule ID 10398 //
     /*  673326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  673337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  673340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  673343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673394 */     GIR_RootConstrainSelectedInstOperands,
     /*  673395 */     // GIR_Coverage, 10398,
     /*  673395 */     GIR_EraseRootFromParent_Done,
     /*  673396 */   // Label 10713: @673396
     /*  673396 */   GIM_Try, /*On fail goto*//*Label 10714*/ GIMT_Encode4(673471), // Rule ID 10399 //
     /*  673401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  673412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  673415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  673418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673469 */     GIR_RootConstrainSelectedInstOperands,
     /*  673470 */     // GIR_Coverage, 10399,
     /*  673470 */     GIR_EraseRootFromParent_Done,
     /*  673471 */   // Label 10714: @673471
     /*  673471 */   GIM_Try, /*On fail goto*//*Label 10715*/ GIMT_Encode4(673546), // Rule ID 10402 //
     /*  673476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  673487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  673490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  673493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  673522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673544 */     GIR_RootConstrainSelectedInstOperands,
     /*  673545 */     // GIR_Coverage, 10402,
     /*  673545 */     GIR_EraseRootFromParent_Done,
     /*  673546 */   // Label 10715: @673546
     /*  673546 */   GIM_Try, /*On fail goto*//*Label 10716*/ GIMT_Encode4(673621), // Rule ID 10403 //
     /*  673551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  673562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  673565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  673568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673597 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  673597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  673616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673619 */     GIR_RootConstrainSelectedInstOperands,
     /*  673620 */     // GIR_Coverage, 10403,
     /*  673620 */     GIR_EraseRootFromParent_Done,
     /*  673621 */   // Label 10716: @673621
     /*  673621 */   GIM_Try, /*On fail goto*//*Label 10717*/ GIMT_Encode4(673696), // Rule ID 10406 //
     /*  673626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673694 */     GIR_RootConstrainSelectedInstOperands,
     /*  673695 */     // GIR_Coverage, 10406,
     /*  673695 */     GIR_EraseRootFromParent_Done,
     /*  673696 */   // Label 10717: @673696
     /*  673696 */   GIM_Try, /*On fail goto*//*Label 10718*/ GIMT_Encode4(673771), // Rule ID 10407 //
     /*  673701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  673712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  673715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  673718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  673736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  673750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673769 */     GIR_RootConstrainSelectedInstOperands,
     /*  673770 */     // GIR_Coverage, 10407,
     /*  673770 */     GIR_EraseRootFromParent_Done,
     /*  673771 */   // Label 10718: @673771
     /*  673771 */   GIM_Try, /*On fail goto*//*Label 10719*/ GIMT_Encode4(673846), // Rule ID 10410 //
     /*  673776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673844 */     GIR_RootConstrainSelectedInstOperands,
     /*  673845 */     // GIR_Coverage, 10410,
     /*  673845 */     GIR_EraseRootFromParent_Done,
     /*  673846 */   // Label 10719: @673846
     /*  673846 */   GIM_Try, /*On fail goto*//*Label 10720*/ GIMT_Encode4(673921), // Rule ID 10411 //
     /*  673851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  673854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  673862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  673865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  673868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  673871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  673874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  673886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  673897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  673900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673919 */     GIR_RootConstrainSelectedInstOperands,
     /*  673920 */     // GIR_Coverage, 10411,
     /*  673920 */     GIR_EraseRootFromParent_Done,
     /*  673921 */   // Label 10720: @673921
     /*  673921 */   GIM_Try, /*On fail goto*//*Label 10721*/ GIMT_Encode4(673996), // Rule ID 10414 //
     /*  673926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  673929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  673934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  673937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  673940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  673943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  673946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  673949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  673961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  673965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  673972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  673972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  673975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  673977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  673979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  673981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  673983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  673988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  673991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  673994 */     GIR_RootConstrainSelectedInstOperands,
     /*  673995 */     // GIR_Coverage, 10414,
     /*  673995 */     GIR_EraseRootFromParent_Done,
     /*  673996 */   // Label 10721: @673996
     /*  673996 */   GIM_Try, /*On fail goto*//*Label 10722*/ GIMT_Encode4(674071), // Rule ID 10415 //
     /*  674001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  674009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  674012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  674015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  674018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  674047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  674050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  674066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674069 */     GIR_RootConstrainSelectedInstOperands,
     /*  674070 */     // GIR_Coverage, 10415,
     /*  674070 */     GIR_EraseRootFromParent_Done,
     /*  674071 */   // Label 10722: @674071
     /*  674071 */   GIM_Try, /*On fail goto*//*Label 10723*/ GIMT_Encode4(674146), // Rule ID 10418 //
     /*  674076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  674084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  674087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  674090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  674093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  674125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674144 */     GIR_RootConstrainSelectedInstOperands,
     /*  674145 */     // GIR_Coverage, 10418,
     /*  674145 */     GIR_EraseRootFromParent_Done,
     /*  674146 */   // Label 10723: @674146
     /*  674146 */   GIM_Try, /*On fail goto*//*Label 10724*/ GIMT_Encode4(674221), // Rule ID 10419 //
     /*  674151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  674159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  674162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  674165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  674168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  674186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11434:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2),
     /*  674200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674219 */     GIR_RootConstrainSelectedInstOperands,
     /*  674220 */     // GIR_Coverage, 10419,
     /*  674220 */     GIR_EraseRootFromParent_Done,
     /*  674221 */   // Label 10724: @674221
     /*  674221 */   GIM_Try, /*On fail goto*//*Label 10725*/ GIMT_Encode4(674296), // Rule ID 10422 //
     /*  674226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  674234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  674237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  674240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  674243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  674275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674294 */     GIR_RootConstrainSelectedInstOperands,
     /*  674295 */     // GIR_Coverage, 10422,
     /*  674295 */     GIR_EraseRootFromParent_Done,
     /*  674296 */   // Label 10725: @674296
     /*  674296 */   GIM_Try, /*On fail goto*//*Label 10726*/ GIMT_Encode4(674371), // Rule ID 10423 //
     /*  674301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  674309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  674312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  674315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  674318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  674336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11434:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4),
     /*  674350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674369 */     GIR_RootConstrainSelectedInstOperands,
     /*  674370 */     // GIR_Coverage, 10423,
     /*  674370 */     GIR_EraseRootFromParent_Done,
     /*  674371 */   // Label 10726: @674371
     /*  674371 */   GIM_Try, /*On fail goto*//*Label 10727*/ GIMT_Encode4(674446), // Rule ID 10426 //
     /*  674376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  674379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  674384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  674387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  674390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  674393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  674396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  674422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  674425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674444 */     GIR_RootConstrainSelectedInstOperands,
     /*  674445 */     // GIR_Coverage, 10426,
     /*  674445 */     GIR_EraseRootFromParent_Done,
     /*  674446 */   // Label 10727: @674446
     /*  674446 */   GIM_Try, /*On fail goto*//*Label 10728*/ GIMT_Encode4(674521), // Rule ID 10427 //
     /*  674451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  674454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu),
     /*  674459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  674462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  674465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  674468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  674471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  674486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  674490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11434:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMINU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  674497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8),
     /*  674500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  674516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674519 */     GIR_RootConstrainSelectedInstOperands,
     /*  674520 */     // GIR_Coverage, 10427,
     /*  674520 */     GIR_EraseRootFromParent_Done,
     /*  674521 */   // Label 10728: @674521
     /*  674521 */   GIM_Try, /*On fail goto*//*Label 10729*/ GIMT_Encode4(674596), // Rule ID 10430 //
     /*  674526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  674537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  674540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  674543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  674546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  674575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674594 */     GIR_RootConstrainSelectedInstOperands,
     /*  674595 */     // GIR_Coverage, 10430,
     /*  674595 */     GIR_EraseRootFromParent_Done,
     /*  674596 */   // Label 10729: @674596
     /*  674596 */   GIM_Try, /*On fail goto*//*Label 10730*/ GIMT_Encode4(674671), // Rule ID 10431 //
     /*  674601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  674612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  674615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  674618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  674621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674647 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /*  674650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674669 */     GIR_RootConstrainSelectedInstOperands,
     /*  674670 */     // GIR_Coverage, 10431,
     /*  674670 */     GIR_EraseRootFromParent_Done,
     /*  674671 */   // Label 10730: @674671
     /*  674671 */   GIM_Try, /*On fail goto*//*Label 10731*/ GIMT_Encode4(674746), // Rule ID 10434 //
     /*  674676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674744 */     GIR_RootConstrainSelectedInstOperands,
     /*  674745 */     // GIR_Coverage, 10434,
     /*  674745 */     GIR_EraseRootFromParent_Done,
     /*  674746 */   // Label 10731: @674746
     /*  674746 */   GIM_Try, /*On fail goto*//*Label 10732*/ GIMT_Encode4(674821), // Rule ID 10435 //
     /*  674751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  674762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  674765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  674768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  674771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674797 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  674800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674819 */     GIR_RootConstrainSelectedInstOperands,
     /*  674820 */     // GIR_Coverage, 10435,
     /*  674820 */     GIR_EraseRootFromParent_Done,
     /*  674821 */   // Label 10732: @674821
     /*  674821 */   GIM_Try, /*On fail goto*//*Label 10733*/ GIMT_Encode4(674896), // Rule ID 10438 //
     /*  674826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  674872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674894 */     GIR_RootConstrainSelectedInstOperands,
     /*  674895 */     // GIR_Coverage, 10438,
     /*  674895 */     GIR_EraseRootFromParent_Done,
     /*  674896 */   // Label 10733: @674896
     /*  674896 */   GIM_Try, /*On fail goto*//*Label 10734*/ GIMT_Encode4(674971), // Rule ID 10439 //
     /*  674901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  674904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  674912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  674915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  674918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  674921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  674924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  674940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  674947 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  674947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  674950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  674952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  674954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  674956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  674958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  674963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  674966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  674969 */     GIR_RootConstrainSelectedInstOperands,
     /*  674970 */     // GIR_Coverage, 10439,
     /*  674970 */     GIR_EraseRootFromParent_Done,
     /*  674971 */   // Label 10734: @674971
     /*  674971 */   GIM_Try, /*On fail goto*//*Label 10735*/ GIMT_Encode4(675046), // Rule ID 10442 //
     /*  674976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  674979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  674984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  674987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  674990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  674993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  674996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  674999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  675025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675044 */     GIR_RootConstrainSelectedInstOperands,
     /*  675045 */     // GIR_Coverage, 10442,
     /*  675045 */     GIR_EraseRootFromParent_Done,
     /*  675046 */   // Label 10735: @675046
     /*  675046 */   GIM_Try, /*On fail goto*//*Label 10736*/ GIMT_Encode4(675121), // Rule ID 10443 //
     /*  675051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  675062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  675065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  675068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  675071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /*  675100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675119 */     GIR_RootConstrainSelectedInstOperands,
     /*  675120 */     // GIR_Coverage, 10443,
     /*  675120 */     GIR_EraseRootFromParent_Done,
     /*  675121 */   // Label 10736: @675121
     /*  675121 */   GIM_Try, /*On fail goto*//*Label 10737*/ GIMT_Encode4(675196), // Rule ID 10446 //
     /*  675126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  675137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  675140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  675143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  675146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  675175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675194 */     GIR_RootConstrainSelectedInstOperands,
     /*  675195 */     // GIR_Coverage, 10446,
     /*  675195 */     GIR_EraseRootFromParent_Done,
     /*  675196 */   // Label 10737: @675196
     /*  675196 */   GIM_Try, /*On fail goto*//*Label 10738*/ GIMT_Encode4(675271), // Rule ID 10447 //
     /*  675201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  675212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  675215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  675218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  675221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  675250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675269 */     GIR_RootConstrainSelectedInstOperands,
     /*  675270 */     // GIR_Coverage, 10447,
     /*  675270 */     GIR_EraseRootFromParent_Done,
     /*  675271 */   // Label 10738: @675271
     /*  675271 */   GIM_Try, /*On fail goto*//*Label 10739*/ GIMT_Encode4(675346), // Rule ID 10450 //
     /*  675276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  675287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  675290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  675293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  675296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  675325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675344 */     GIR_RootConstrainSelectedInstOperands,
     /*  675345 */     // GIR_Coverage, 10450,
     /*  675345 */     GIR_EraseRootFromParent_Done,
     /*  675346 */   // Label 10739: @675346
     /*  675346 */   GIM_Try, /*On fail goto*//*Label 10740*/ GIMT_Encode4(675421), // Rule ID 10451 //
     /*  675351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  675362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  675365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  675368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  675371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /*  675400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675419 */     GIR_RootConstrainSelectedInstOperands,
     /*  675420 */     // GIR_Coverage, 10451,
     /*  675420 */     GIR_EraseRootFromParent_Done,
     /*  675421 */   // Label 10740: @675421
     /*  675421 */   GIM_Try, /*On fail goto*//*Label 10741*/ GIMT_Encode4(675496), // Rule ID 10454 //
     /*  675426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  675437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  675440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  675443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  675446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  675472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675494 */     GIR_RootConstrainSelectedInstOperands,
     /*  675495 */     // GIR_Coverage, 10454,
     /*  675495 */     GIR_EraseRootFromParent_Done,
     /*  675496 */   // Label 10741: @675496
     /*  675496 */   GIM_Try, /*On fail goto*//*Label 10742*/ GIMT_Encode4(675571), // Rule ID 10455 //
     /*  675501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  675512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  675515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  675518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  675521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  675547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  675566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675569 */     GIR_RootConstrainSelectedInstOperands,
     /*  675570 */     // GIR_Coverage, 10455,
     /*  675570 */     GIR_EraseRootFromParent_Done,
     /*  675571 */   // Label 10742: @675571
     /*  675571 */   GIM_Try, /*On fail goto*//*Label 10743*/ GIMT_Encode4(675646), // Rule ID 10458 //
     /*  675576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  675587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  675590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  675593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  675596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  675622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675644 */     GIR_RootConstrainSelectedInstOperands,
     /*  675645 */     // GIR_Coverage, 10458,
     /*  675645 */     GIR_EraseRootFromParent_Done,
     /*  675646 */   // Label 10743: @675646
     /*  675646 */   GIM_Try, /*On fail goto*//*Label 10744*/ GIMT_Encode4(675721), // Rule ID 10459 //
     /*  675651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  675662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  675665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  675668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  675671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  675697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  675716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675719 */     GIR_RootConstrainSelectedInstOperands,
     /*  675720 */     // GIR_Coverage, 10459,
     /*  675720 */     GIR_EraseRootFromParent_Done,
     /*  675721 */   // Label 10744: @675721
     /*  675721 */   GIM_Try, /*On fail goto*//*Label 10745*/ GIMT_Encode4(675796), // Rule ID 10462 //
     /*  675726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  675729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  675772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675794 */     GIR_RootConstrainSelectedInstOperands,
     /*  675795 */     // GIR_Coverage, 10462,
     /*  675795 */     GIR_EraseRootFromParent_Done,
     /*  675796 */   // Label 10745: @675796
     /*  675796 */   GIM_Try, /*On fail goto*//*Label 10746*/ GIMT_Encode4(675871), // Rule ID 10463 //
     /*  675801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  675804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  675812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  675815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  675818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  675821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  675847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  675866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675869 */     GIR_RootConstrainSelectedInstOperands,
     /*  675870 */     // GIR_Coverage, 10463,
     /*  675870 */     GIR_EraseRootFromParent_Done,
     /*  675871 */   // Label 10746: @675871
     /*  675871 */   GIM_Try, /*On fail goto*//*Label 10747*/ GIMT_Encode4(675946), // Rule ID 10466 //
     /*  675876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  675879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  675896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  675899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  675922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  675925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  675927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  675929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  675931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  675933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  675938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  675941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  675944 */     GIR_RootConstrainSelectedInstOperands,
     /*  675945 */     // GIR_Coverage, 10466,
     /*  675945 */     GIR_EraseRootFromParent_Done,
     /*  675946 */   // Label 10747: @675946
     /*  675946 */   GIM_Try, /*On fail goto*//*Label 10748*/ GIMT_Encode4(676021), // Rule ID 10467 //
     /*  675951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  675954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  675959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  675962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  675965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  675968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  675971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  675974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  675990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  675997 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  675997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /*  676000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  676016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676019 */     GIR_RootConstrainSelectedInstOperands,
     /*  676020 */     // GIR_Coverage, 10467,
     /*  676020 */     GIR_EraseRootFromParent_Done,
     /*  676021 */   // Label 10748: @676021
     /*  676021 */   GIM_Try, /*On fail goto*//*Label 10749*/ GIMT_Encode4(676096), // Rule ID 10470 //
     /*  676026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  676037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  676040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  676043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  676046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676094 */     GIR_RootConstrainSelectedInstOperands,
     /*  676095 */     // GIR_Coverage, 10470,
     /*  676095 */     GIR_EraseRootFromParent_Done,
     /*  676096 */   // Label 10749: @676096
     /*  676096 */   GIM_Try, /*On fail goto*//*Label 10750*/ GIMT_Encode4(676171), // Rule ID 10471 //
     /*  676101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  676112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  676115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  676118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  676121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676169 */     GIR_RootConstrainSelectedInstOperands,
     /*  676170 */     // GIR_Coverage, 10471,
     /*  676170 */     GIR_EraseRootFromParent_Done,
     /*  676171 */   // Label 10750: @676171
     /*  676171 */   GIM_Try, /*On fail goto*//*Label 10751*/ GIMT_Encode4(676246), // Rule ID 10474 //
     /*  676176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  676187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  676190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  676193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  676196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676244 */     GIR_RootConstrainSelectedInstOperands,
     /*  676245 */     // GIR_Coverage, 10474,
     /*  676245 */     GIR_EraseRootFromParent_Done,
     /*  676246 */   // Label 10751: @676246
     /*  676246 */   GIM_Try, /*On fail goto*//*Label 10752*/ GIMT_Encode4(676321), // Rule ID 10475 //
     /*  676251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  676262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  676265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  676268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  676271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676319 */     GIR_RootConstrainSelectedInstOperands,
     /*  676320 */     // GIR_Coverage, 10475,
     /*  676320 */     GIR_EraseRootFromParent_Done,
     /*  676321 */   // Label 10752: @676321
     /*  676321 */   GIM_Try, /*On fail goto*//*Label 10753*/ GIMT_Encode4(676396), // Rule ID 10478 //
     /*  676326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  676337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  676340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  676343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  676346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  676372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676394 */     GIR_RootConstrainSelectedInstOperands,
     /*  676395 */     // GIR_Coverage, 10478,
     /*  676395 */     GIR_EraseRootFromParent_Done,
     /*  676396 */   // Label 10753: @676396
     /*  676396 */   GIM_Try, /*On fail goto*//*Label 10754*/ GIMT_Encode4(676471), // Rule ID 10479 //
     /*  676401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  676412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  676415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  676418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  676421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676447 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  676447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  676466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676469 */     GIR_RootConstrainSelectedInstOperands,
     /*  676470 */     // GIR_Coverage, 10479,
     /*  676470 */     GIR_EraseRootFromParent_Done,
     /*  676471 */   // Label 10754: @676471
     /*  676471 */   GIM_Try, /*On fail goto*//*Label 10755*/ GIMT_Encode4(676546), // Rule ID 10482 //
     /*  676476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  676487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  676490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  676493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  676496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676544 */     GIR_RootConstrainSelectedInstOperands,
     /*  676545 */     // GIR_Coverage, 10482,
     /*  676545 */     GIR_EraseRootFromParent_Done,
     /*  676546 */   // Label 10755: @676546
     /*  676546 */   GIM_Try, /*On fail goto*//*Label 10756*/ GIMT_Encode4(676621), // Rule ID 10483 //
     /*  676551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  676562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  676565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  676568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  676571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676619 */     GIR_RootConstrainSelectedInstOperands,
     /*  676620 */     // GIR_Coverage, 10483,
     /*  676620 */     GIR_EraseRootFromParent_Done,
     /*  676621 */   // Label 10756: @676621
     /*  676621 */   GIM_Try, /*On fail goto*//*Label 10757*/ GIMT_Encode4(676696), // Rule ID 10486 //
     /*  676626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676694 */     GIR_RootConstrainSelectedInstOperands,
     /*  676695 */     // GIR_Coverage, 10486,
     /*  676695 */     GIR_EraseRootFromParent_Done,
     /*  676696 */   // Label 10757: @676696
     /*  676696 */   GIM_Try, /*On fail goto*//*Label 10758*/ GIMT_Encode4(676771), // Rule ID 10487 //
     /*  676701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  676712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  676715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  676718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  676721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  676740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  676750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676769 */     GIR_RootConstrainSelectedInstOperands,
     /*  676770 */     // GIR_Coverage, 10487,
     /*  676770 */     GIR_EraseRootFromParent_Done,
     /*  676771 */   // Label 10758: @676771
     /*  676771 */   GIM_Try, /*On fail goto*//*Label 10759*/ GIMT_Encode4(676846), // Rule ID 10490 //
     /*  676776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  676822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676844 */     GIR_RootConstrainSelectedInstOperands,
     /*  676845 */     // GIR_Coverage, 10490,
     /*  676845 */     GIR_EraseRootFromParent_Done,
     /*  676846 */   // Label 10759: @676846
     /*  676846 */   GIM_Try, /*On fail goto*//*Label 10760*/ GIMT_Encode4(676921), // Rule ID 10491 //
     /*  676851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  676854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  676862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  676865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  676868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  676871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  676874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  676890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  676897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  676900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  676916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676919 */     GIR_RootConstrainSelectedInstOperands,
     /*  676920 */     // GIR_Coverage, 10491,
     /*  676920 */     GIR_EraseRootFromParent_Done,
     /*  676921 */   // Label 10760: @676921
     /*  676921 */   GIM_Try, /*On fail goto*//*Label 10761*/ GIMT_Encode4(676996), // Rule ID 10494 //
     /*  676926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  676929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  676934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  676937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  676940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  676943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  676946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  676949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  676965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  676972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  676972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  676975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  676977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  676979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  676981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  676983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  676988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  676991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  676994 */     GIR_RootConstrainSelectedInstOperands,
     /*  676995 */     // GIR_Coverage, 10494,
     /*  676995 */     GIR_EraseRootFromParent_Done,
     /*  676996 */   // Label 10761: @676996
     /*  676996 */   GIM_Try, /*On fail goto*//*Label 10762*/ GIMT_Encode4(677071), // Rule ID 10495 //
     /*  677001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  677012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  677015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  677018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  677021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  677050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677069 */     GIR_RootConstrainSelectedInstOperands,
     /*  677070 */     // GIR_Coverage, 10495,
     /*  677070 */     GIR_EraseRootFromParent_Done,
     /*  677071 */   // Label 10762: @677071
     /*  677071 */   GIM_Try, /*On fail goto*//*Label 10763*/ GIMT_Encode4(677146), // Rule ID 10498 //
     /*  677076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  677087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  677090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  677093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  677096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  677125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677144 */     GIR_RootConstrainSelectedInstOperands,
     /*  677145 */     // GIR_Coverage, 10498,
     /*  677145 */     GIR_EraseRootFromParent_Done,
     /*  677146 */   // Label 10763: @677146
     /*  677146 */   GIM_Try, /*On fail goto*//*Label 10764*/ GIMT_Encode4(677221), // Rule ID 10499 //
     /*  677151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  677162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  677165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  677168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  677171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  677200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677219 */     GIR_RootConstrainSelectedInstOperands,
     /*  677220 */     // GIR_Coverage, 10499,
     /*  677220 */     GIR_EraseRootFromParent_Done,
     /*  677221 */   // Label 10764: @677221
     /*  677221 */   GIM_Try, /*On fail goto*//*Label 10765*/ GIMT_Encode4(677296), // Rule ID 10502 //
     /*  677226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  677237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  677240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  677243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  677246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  677272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  677275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677294 */     GIR_RootConstrainSelectedInstOperands,
     /*  677295 */     // GIR_Coverage, 10502,
     /*  677295 */     GIR_EraseRootFromParent_Done,
     /*  677296 */   // Label 10765: @677296
     /*  677296 */   GIM_Try, /*On fail goto*//*Label 10766*/ GIMT_Encode4(677371), // Rule ID 10503 //
     /*  677301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  677312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  677315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  677318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  677321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677347 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  677347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  677350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  677366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677369 */     GIR_RootConstrainSelectedInstOperands,
     /*  677370 */     // GIR_Coverage, 10503,
     /*  677370 */     GIR_EraseRootFromParent_Done,
     /*  677371 */   // Label 10766: @677371
     /*  677371 */   GIM_Try, /*On fail goto*//*Label 10767*/ GIMT_Encode4(677446), // Rule ID 10506 //
     /*  677376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  677387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  677390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  677393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  677396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  677425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677444 */     GIR_RootConstrainSelectedInstOperands,
     /*  677445 */     // GIR_Coverage, 10506,
     /*  677445 */     GIR_EraseRootFromParent_Done,
     /*  677446 */   // Label 10767: @677446
     /*  677446 */   GIM_Try, /*On fail goto*//*Label 10768*/ GIMT_Encode4(677521), // Rule ID 10507 //
     /*  677451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  677462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  677465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  677468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  677471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  677490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /*  677500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677519 */     GIR_RootConstrainSelectedInstOperands,
     /*  677520 */     // GIR_Coverage, 10507,
     /*  677520 */     GIR_EraseRootFromParent_Done,
     /*  677521 */   // Label 10768: @677521
     /*  677521 */   GIM_Try, /*On fail goto*//*Label 10769*/ GIMT_Encode4(677596), // Rule ID 10510 //
     /*  677526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  677537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  677540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  677543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  677546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  677575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677594 */     GIR_RootConstrainSelectedInstOperands,
     /*  677595 */     // GIR_Coverage, 10510,
     /*  677595 */     GIR_EraseRootFromParent_Done,
     /*  677596 */   // Label 10769: @677596
     /*  677596 */   GIM_Try, /*On fail goto*//*Label 10770*/ GIMT_Encode4(677671), // Rule ID 10511 //
     /*  677601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  677612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  677615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  677618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  677621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  677640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /*  677650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677669 */     GIR_RootConstrainSelectedInstOperands,
     /*  677670 */     // GIR_Coverage, 10511,
     /*  677670 */     GIR_EraseRootFromParent_Done,
     /*  677671 */   // Label 10770: @677671
     /*  677671 */   GIM_Try, /*On fail goto*//*Label 10771*/ GIMT_Encode4(677746), // Rule ID 10514 //
     /*  677676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  677679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  677722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  677725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677744 */     GIR_RootConstrainSelectedInstOperands,
     /*  677745 */     // GIR_Coverage, 10514,
     /*  677745 */     GIR_EraseRootFromParent_Done,
     /*  677746 */   // Label 10771: @677746
     /*  677746 */   GIM_Try, /*On fail goto*//*Label 10772*/ GIMT_Encode4(677821), // Rule ID 10515 //
     /*  677751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  677754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  677762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  677765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  677768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  677771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  677790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677797 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  677797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /*  677800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  677816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677819 */     GIR_RootConstrainSelectedInstOperands,
     /*  677820 */     // GIR_Coverage, 10515,
     /*  677820 */     GIR_EraseRootFromParent_Done,
     /*  677821 */   // Label 10772: @677821
     /*  677821 */   GIM_Try, /*On fail goto*//*Label 10773*/ GIMT_Encode4(677896), // Rule ID 10518 //
     /*  677826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  677872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  677875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677894 */     GIR_RootConstrainSelectedInstOperands,
     /*  677895 */     // GIR_Coverage, 10518,
     /*  677895 */     GIR_EraseRootFromParent_Done,
     /*  677896 */   // Label 10773: @677896
     /*  677896 */   GIM_Try, /*On fail goto*//*Label 10774*/ GIMT_Encode4(677971), // Rule ID 10519 //
     /*  677901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  677904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  677912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  677915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  677918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  677921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  677924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  677936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  677940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  677947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  677947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8),
     /*  677950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  677952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  677954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  677956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  677958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  677963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  677966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  677969 */     GIR_RootConstrainSelectedInstOperands,
     /*  677970 */     // GIR_Coverage, 10519,
     /*  677970 */     GIR_EraseRootFromParent_Done,
     /*  677971 */   // Label 10774: @677971
     /*  677971 */   GIM_Try, /*On fail goto*//*Label 10775*/ GIMT_Encode4(678046), // Rule ID 10522 //
     /*  677976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  677979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  677984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  677987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  677990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  677993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  677996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  677999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  678025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678044 */     GIR_RootConstrainSelectedInstOperands,
     /*  678045 */     // GIR_Coverage, 10522,
     /*  678045 */     GIR_EraseRootFromParent_Done,
     /*  678046 */   // Label 10775: @678046
     /*  678046 */   GIM_Try, /*On fail goto*//*Label 10776*/ GIMT_Encode4(678121), // Rule ID 10523 //
     /*  678051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  678062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  678065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  678068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  678100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678119 */     GIR_RootConstrainSelectedInstOperands,
     /*  678120 */     // GIR_Coverage, 10523,
     /*  678120 */     GIR_EraseRootFromParent_Done,
     /*  678121 */   // Label 10776: @678121
     /*  678121 */   GIM_Try, /*On fail goto*//*Label 10777*/ GIMT_Encode4(678196), // Rule ID 10526 //
     /*  678126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  678137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  678140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  678143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678194 */     GIR_RootConstrainSelectedInstOperands,
     /*  678195 */     // GIR_Coverage, 10526,
     /*  678195 */     GIR_EraseRootFromParent_Done,
     /*  678196 */   // Label 10777: @678196
     /*  678196 */   GIM_Try, /*On fail goto*//*Label 10778*/ GIMT_Encode4(678271), // Rule ID 10527 //
     /*  678201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  678212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  678215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  678218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678269 */     GIR_RootConstrainSelectedInstOperands,
     /*  678270 */     // GIR_Coverage, 10527,
     /*  678270 */     GIR_EraseRootFromParent_Done,
     /*  678271 */   // Label 10778: @678271
     /*  678271 */   GIM_Try, /*On fail goto*//*Label 10779*/ GIMT_Encode4(678346), // Rule ID 10530 //
     /*  678276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  678287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  678290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  678293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  678325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678344 */     GIR_RootConstrainSelectedInstOperands,
     /*  678345 */     // GIR_Coverage, 10530,
     /*  678345 */     GIR_EraseRootFromParent_Done,
     /*  678346 */   // Label 10779: @678346
     /*  678346 */   GIM_Try, /*On fail goto*//*Label 10780*/ GIMT_Encode4(678421), // Rule ID 10531 //
     /*  678351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  678362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  678365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  678368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678397 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4),
     /*  678400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678419 */     GIR_RootConstrainSelectedInstOperands,
     /*  678420 */     // GIR_Coverage, 10531,
     /*  678420 */     GIR_EraseRootFromParent_Done,
     /*  678421 */   // Label 10780: @678421
     /*  678421 */   GIM_Try, /*On fail goto*//*Label 10781*/ GIMT_Encode4(678496), // Rule ID 10534 //
     /*  678426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  678437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  678440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  678443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678494 */     GIR_RootConstrainSelectedInstOperands,
     /*  678495 */     // GIR_Coverage, 10534,
     /*  678495 */     GIR_EraseRootFromParent_Done,
     /*  678496 */   // Label 10781: @678496
     /*  678496 */   GIM_Try, /*On fail goto*//*Label 10782*/ GIMT_Encode4(678571), // Rule ID 10535 //
     /*  678501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  678512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  678515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  678518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678569 */     GIR_RootConstrainSelectedInstOperands,
     /*  678570 */     // GIR_Coverage, 10535,
     /*  678570 */     GIR_EraseRootFromParent_Done,
     /*  678571 */   // Label 10782: @678571
     /*  678571 */   GIM_Try, /*On fail goto*//*Label 10783*/ GIMT_Encode4(678646), // Rule ID 10538 //
     /*  678576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  678587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  678590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  678593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  678622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678644 */     GIR_RootConstrainSelectedInstOperands,
     /*  678645 */     // GIR_Coverage, 10538,
     /*  678645 */     GIR_EraseRootFromParent_Done,
     /*  678646 */   // Label 10783: @678646
     /*  678646 */   GIM_Try, /*On fail goto*//*Label 10784*/ GIMT_Encode4(678721), // Rule ID 10539 //
     /*  678651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  678662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  678665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  678668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678697 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  678697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2),
     /*  678700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  678716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678719 */     GIR_RootConstrainSelectedInstOperands,
     /*  678720 */     // GIR_Coverage, 10539,
     /*  678720 */     GIR_EraseRootFromParent_Done,
     /*  678721 */   // Label 10784: @678721
     /*  678721 */   GIM_Try, /*On fail goto*//*Label 10785*/ GIMT_Encode4(678796), // Rule ID 10542 //
     /*  678726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  678772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678794 */     GIR_RootConstrainSelectedInstOperands,
     /*  678795 */     // GIR_Coverage, 10542,
     /*  678795 */     GIR_EraseRootFromParent_Done,
     /*  678796 */   // Label 10785: @678796
     /*  678796 */   GIM_Try, /*On fail goto*//*Label 10786*/ GIMT_Encode4(678871), // Rule ID 10543 //
     /*  678801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  678812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  678815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  678818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11432:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  678847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  678866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678869 */     GIR_RootConstrainSelectedInstOperands,
     /*  678870 */     // GIR_Coverage, 10543,
     /*  678870 */     GIR_EraseRootFromParent_Done,
     /*  678871 */   // Label 10786: @678871
     /*  678871 */   GIM_Try, /*On fail goto*//*Label 10787*/ GIMT_Encode4(678946), // Rule ID 10546 //
     /*  678876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  678879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  678896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  678899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  678922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  678925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  678927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  678929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  678931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  678933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  678938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  678941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  678944 */     GIR_RootConstrainSelectedInstOperands,
     /*  678945 */     // GIR_Coverage, 10546,
     /*  678945 */     GIR_EraseRootFromParent_Done,
     /*  678946 */   // Label 10787: @678946
     /*  678946 */   GIM_Try, /*On fail goto*//*Label 10788*/ GIMT_Encode4(679021), // Rule ID 10547 //
     /*  678951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  678954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  678959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  678962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  678965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  678968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  678971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  678974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  678986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  678990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  678997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11432:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  678997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  679000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679019 */     GIR_RootConstrainSelectedInstOperands,
     /*  679020 */     // GIR_Coverage, 10547,
     /*  679020 */     GIR_EraseRootFromParent_Done,
     /*  679021 */   // Label 10788: @679021
     /*  679021 */   GIM_Try, /*On fail goto*//*Label 10789*/ GIMT_Encode4(679096), // Rule ID 10550 //
     /*  679026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  679037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  679040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  679043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  679072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  679075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679094 */     GIR_RootConstrainSelectedInstOperands,
     /*  679095 */     // GIR_Coverage, 10550,
     /*  679095 */     GIR_EraseRootFromParent_Done,
     /*  679096 */   // Label 10789: @679096
     /*  679096 */   GIM_Try, /*On fail goto*//*Label 10790*/ GIMT_Encode4(679171), // Rule ID 10551 //
     /*  679101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  679112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  679115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  679118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679147 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11432:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  679147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  679150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  679166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679169 */     GIR_RootConstrainSelectedInstOperands,
     /*  679170 */     // GIR_Coverage, 10551,
     /*  679170 */     GIR_EraseRootFromParent_Done,
     /*  679171 */   // Label 10790: @679171
     /*  679171 */   GIM_Try, /*On fail goto*//*Label 10791*/ GIMT_Encode4(679246), // Rule ID 10554 //
     /*  679176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  679179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  679187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  679190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  679193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  679222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  679225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679244 */     GIR_RootConstrainSelectedInstOperands,
     /*  679245 */     // GIR_Coverage, 10554,
     /*  679245 */     GIR_EraseRootFromParent_Done,
     /*  679246 */   // Label 10791: @679246
     /*  679246 */   GIM_Try, /*On fail goto*//*Label 10792*/ GIMT_Encode4(679321), // Rule ID 10555 //
     /*  679251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  679254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  679262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  679265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  679268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  679286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11432:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  679297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1),
     /*  679300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  679316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679319 */     GIR_RootConstrainSelectedInstOperands,
     /*  679320 */     // GIR_Coverage, 10555,
     /*  679320 */     GIR_EraseRootFromParent_Done,
     /*  679321 */   // Label 10792: @679321
     /*  679321 */   GIM_Try, /*On fail goto*//*Label 10793*/ GIMT_Encode4(679396), // Rule ID 10558 //
     /*  679326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  679337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  679340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  679343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679394 */     GIR_RootConstrainSelectedInstOperands,
     /*  679395 */     // GIR_Coverage, 10558,
     /*  679395 */     GIR_EraseRootFromParent_Done,
     /*  679396 */   // Label 10793: @679396
     /*  679396 */   GIM_Try, /*On fail goto*//*Label 10794*/ GIMT_Encode4(679471), // Rule ID 10559 //
     /*  679401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  679412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  679415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  679418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679447 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679469 */     GIR_RootConstrainSelectedInstOperands,
     /*  679470 */     // GIR_Coverage, 10559,
     /*  679470 */     GIR_EraseRootFromParent_Done,
     /*  679471 */   // Label 10794: @679471
     /*  679471 */   GIM_Try, /*On fail goto*//*Label 10795*/ GIMT_Encode4(679546), // Rule ID 10562 //
     /*  679476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  679487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  679490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  679493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679544 */     GIR_RootConstrainSelectedInstOperands,
     /*  679545 */     // GIR_Coverage, 10562,
     /*  679545 */     GIR_EraseRootFromParent_Done,
     /*  679546 */   // Label 10795: @679546
     /*  679546 */   GIM_Try, /*On fail goto*//*Label 10796*/ GIMT_Encode4(679621), // Rule ID 10563 //
     /*  679551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  679562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  679565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  679568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679619 */     GIR_RootConstrainSelectedInstOperands,
     /*  679620 */     // GIR_Coverage, 10563,
     /*  679620 */     GIR_EraseRootFromParent_Done,
     /*  679621 */   // Label 10796: @679621
     /*  679621 */   GIM_Try, /*On fail goto*//*Label 10797*/ GIMT_Encode4(679696), // Rule ID 10566 //
     /*  679626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  679672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679694 */     GIR_RootConstrainSelectedInstOperands,
     /*  679695 */     // GIR_Coverage, 10566,
     /*  679695 */     GIR_EraseRootFromParent_Done,
     /*  679696 */   // Label 10797: @679696
     /*  679696 */   GIM_Try, /*On fail goto*//*Label 10798*/ GIMT_Encode4(679771), // Rule ID 10567 //
     /*  679701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  679712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  679715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  679718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  679736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  679747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  679750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  679766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679769 */     GIR_RootConstrainSelectedInstOperands,
     /*  679770 */     // GIR_Coverage, 10567,
     /*  679770 */     GIR_EraseRootFromParent_Done,
     /*  679771 */   // Label 10798: @679771
     /*  679771 */   GIM_Try, /*On fail goto*//*Label 10799*/ GIMT_Encode4(679846), // Rule ID 10570 //
     /*  679776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679844 */     GIR_RootConstrainSelectedInstOperands,
     /*  679845 */     // GIR_Coverage, 10570,
     /*  679845 */     GIR_EraseRootFromParent_Done,
     /*  679846 */   // Label 10799: @679846
     /*  679846 */   GIM_Try, /*On fail goto*//*Label 10800*/ GIMT_Encode4(679921), // Rule ID 10571 //
     /*  679851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  679854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  679862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  679865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  679868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  679871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  679874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  679886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  679897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  679900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679919 */     GIR_RootConstrainSelectedInstOperands,
     /*  679920 */     // GIR_Coverage, 10571,
     /*  679920 */     GIR_EraseRootFromParent_Done,
     /*  679921 */   // Label 10800: @679921
     /*  679921 */   GIM_Try, /*On fail goto*//*Label 10801*/ GIMT_Encode4(679996), // Rule ID 10574 //
     /*  679926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  679929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  679934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  679937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  679940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  679943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  679946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  679949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  679961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  679965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  679972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  679972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  679975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  679977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  679979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  679981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  679983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  679988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  679991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  679994 */     GIR_RootConstrainSelectedInstOperands,
     /*  679995 */     // GIR_Coverage, 10574,
     /*  679995 */     GIR_EraseRootFromParent_Done,
     /*  679996 */   // Label 10801: @679996
     /*  679996 */   GIM_Try, /*On fail goto*//*Label 10802*/ GIMT_Encode4(680071), // Rule ID 10575 //
     /*  680001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  680012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  680015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  680018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680069 */     GIR_RootConstrainSelectedInstOperands,
     /*  680070 */     // GIR_Coverage, 10575,
     /*  680070 */     GIR_EraseRootFromParent_Done,
     /*  680071 */   // Label 10802: @680071
     /*  680071 */   GIM_Try, /*On fail goto*//*Label 10803*/ GIMT_Encode4(680146), // Rule ID 10578 //
     /*  680076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  680087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  680090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  680093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  680122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680144 */     GIR_RootConstrainSelectedInstOperands,
     /*  680145 */     // GIR_Coverage, 10578,
     /*  680145 */     GIR_EraseRootFromParent_Done,
     /*  680146 */   // Label 10803: @680146
     /*  680146 */   GIM_Try, /*On fail goto*//*Label 10804*/ GIMT_Encode4(680221), // Rule ID 10579 //
     /*  680151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  680162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  680165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  680168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680197 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  680197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  680216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680219 */     GIR_RootConstrainSelectedInstOperands,
     /*  680220 */     // GIR_Coverage, 10579,
     /*  680220 */     GIR_EraseRootFromParent_Done,
     /*  680221 */   // Label 10804: @680221
     /*  680221 */   GIM_Try, /*On fail goto*//*Label 10805*/ GIMT_Encode4(680296), // Rule ID 10582 //
     /*  680226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  680237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  680240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  680243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  680275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680294 */     GIR_RootConstrainSelectedInstOperands,
     /*  680295 */     // GIR_Coverage, 10582,
     /*  680295 */     GIR_EraseRootFromParent_Done,
     /*  680296 */   // Label 10805: @680296
     /*  680296 */   GIM_Try, /*On fail goto*//*Label 10806*/ GIMT_Encode4(680371), // Rule ID 10583 //
     /*  680301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  680312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  680315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  680318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  680350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680369 */     GIR_RootConstrainSelectedInstOperands,
     /*  680370 */     // GIR_Coverage, 10583,
     /*  680370 */     GIR_EraseRootFromParent_Done,
     /*  680371 */   // Label 10806: @680371
     /*  680371 */   GIM_Try, /*On fail goto*//*Label 10807*/ GIMT_Encode4(680446), // Rule ID 10586 //
     /*  680376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  680387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  680390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  680393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680444 */     GIR_RootConstrainSelectedInstOperands,
     /*  680445 */     // GIR_Coverage, 10586,
     /*  680445 */     GIR_EraseRootFromParent_Done,
     /*  680446 */   // Label 10807: @680446
     /*  680446 */   GIM_Try, /*On fail goto*//*Label 10808*/ GIMT_Encode4(680521), // Rule ID 10587 //
     /*  680451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  680462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  680465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  680468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680519 */     GIR_RootConstrainSelectedInstOperands,
     /*  680520 */     // GIR_Coverage, 10587,
     /*  680520 */     GIR_EraseRootFromParent_Done,
     /*  680521 */   // Label 10808: @680521
     /*  680521 */   GIM_Try, /*On fail goto*//*Label 10809*/ GIMT_Encode4(680596), // Rule ID 10590 //
     /*  680526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  680529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  680537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  680540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  680543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  680572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680594 */     GIR_RootConstrainSelectedInstOperands,
     /*  680595 */     // GIR_Coverage, 10590,
     /*  680595 */     GIR_EraseRootFromParent_Done,
     /*  680596 */   // Label 10809: @680596
     /*  680596 */   GIM_Try, /*On fail goto*//*Label 10810*/ GIMT_Encode4(680671), // Rule ID 10591 //
     /*  680601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  680604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  680612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  680615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  680618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  680636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  680647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  680650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  680666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680669 */     GIR_RootConstrainSelectedInstOperands,
     /*  680670 */     // GIR_Coverage, 10591,
     /*  680670 */     GIR_EraseRootFromParent_Done,
     /*  680671 */   // Label 10810: @680671
     /*  680671 */   GIM_Try, /*On fail goto*//*Label 10811*/ GIMT_Encode4(680746), // Rule ID 10594 //
     /*  680676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  680725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680744 */     GIR_RootConstrainSelectedInstOperands,
     /*  680745 */     // GIR_Coverage, 10594,
     /*  680745 */     GIR_EraseRootFromParent_Done,
     /*  680746 */   // Label 10811: @680746
     /*  680746 */   GIM_Try, /*On fail goto*//*Label 10812*/ GIMT_Encode4(680821), // Rule ID 10595 //
     /*  680751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  680762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  680765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  680768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  680786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11432:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2),
     /*  680800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680819 */     GIR_RootConstrainSelectedInstOperands,
     /*  680820 */     // GIR_Coverage, 10595,
     /*  680820 */     GIR_EraseRootFromParent_Done,
     /*  680821 */   // Label 10812: @680821
     /*  680821 */   GIM_Try, /*On fail goto*//*Label 10813*/ GIMT_Encode4(680896), // Rule ID 10598 //
     /*  680826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  680872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680894 */     GIR_RootConstrainSelectedInstOperands,
     /*  680895 */     // GIR_Coverage, 10598,
     /*  680895 */     GIR_EraseRootFromParent_Done,
     /*  680896 */   // Label 10813: @680896
     /*  680896 */   GIM_Try, /*On fail goto*//*Label 10814*/ GIMT_Encode4(680971), // Rule ID 10599 //
     /*  680901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  680904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  680912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  680915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  680918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  680921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  680924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  680936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  680940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  680947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11432:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  680947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4),
     /*  680950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  680952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  680954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  680956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  680958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  680963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  680966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  680969 */     GIR_RootConstrainSelectedInstOperands,
     /*  680970 */     // GIR_Coverage, 10599,
     /*  680970 */     GIR_EraseRootFromParent_Done,
     /*  680971 */   // Label 10814: @680971
     /*  680971 */   GIM_Try, /*On fail goto*//*Label 10815*/ GIMT_Encode4(681046), // Rule ID 10602 //
     /*  680976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  680979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  680984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  680987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  680990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  680993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  680996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  680999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  681022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  681025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681044 */     GIR_RootConstrainSelectedInstOperands,
     /*  681045 */     // GIR_Coverage, 10602,
     /*  681045 */     GIR_EraseRootFromParent_Done,
     /*  681046 */   // Label 10815: @681046
     /*  681046 */   GIM_Try, /*On fail goto*//*Label 10816*/ GIMT_Encode4(681121), // Rule ID 10603 //
     /*  681051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  681054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin),
     /*  681059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  681062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  681065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  681068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  681071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  681086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  681090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11432:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMIN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  681097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8),
     /*  681100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  681116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681119 */     GIR_RootConstrainSelectedInstOperands,
     /*  681120 */     // GIR_Coverage, 10603,
     /*  681120 */     GIR_EraseRootFromParent_Done,
     /*  681121 */   // Label 10816: @681121
     /*  681121 */   GIM_Try, /*On fail goto*//*Label 10817*/ GIMT_Encode4(681196), // Rule ID 10606 //
     /*  681126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  681137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  681140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  681143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  681146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681172 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  681175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681194 */     GIR_RootConstrainSelectedInstOperands,
     /*  681195 */     // GIR_Coverage, 10606,
     /*  681195 */     GIR_EraseRootFromParent_Done,
     /*  681196 */   // Label 10817: @681196
     /*  681196 */   GIM_Try, /*On fail goto*//*Label 10818*/ GIMT_Encode4(681271), // Rule ID 10607 //
     /*  681201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  681212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  681215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  681218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  681221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681247 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /*  681250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681269 */     GIR_RootConstrainSelectedInstOperands,
     /*  681270 */     // GIR_Coverage, 10607,
     /*  681270 */     GIR_EraseRootFromParent_Done,
     /*  681271 */   // Label 10818: @681271
     /*  681271 */   GIM_Try, /*On fail goto*//*Label 10819*/ GIMT_Encode4(681346), // Rule ID 10610 //
     /*  681276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  681287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  681290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  681293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  681296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  681325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681344 */     GIR_RootConstrainSelectedInstOperands,
     /*  681345 */     // GIR_Coverage, 10610,
     /*  681345 */     GIR_EraseRootFromParent_Done,
     /*  681346 */   // Label 10819: @681346
     /*  681346 */   GIM_Try, /*On fail goto*//*Label 10820*/ GIMT_Encode4(681421), // Rule ID 10611 //
     /*  681351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  681362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  681365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  681368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  681371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681397 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  681400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681419 */     GIR_RootConstrainSelectedInstOperands,
     /*  681420 */     // GIR_Coverage, 10611,
     /*  681420 */     GIR_EraseRootFromParent_Done,
     /*  681421 */   // Label 10820: @681421
     /*  681421 */   GIM_Try, /*On fail goto*//*Label 10821*/ GIMT_Encode4(681496), // Rule ID 10614 //
     /*  681426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  681437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  681440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  681443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  681446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  681472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681494 */     GIR_RootConstrainSelectedInstOperands,
     /*  681495 */     // GIR_Coverage, 10614,
     /*  681495 */     GIR_EraseRootFromParent_Done,
     /*  681496 */   // Label 10821: @681496
     /*  681496 */   GIM_Try, /*On fail goto*//*Label 10822*/ GIMT_Encode4(681571), // Rule ID 10615 //
     /*  681501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  681512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  681515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  681518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  681521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681547 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  681547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  681566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681569 */     GIR_RootConstrainSelectedInstOperands,
     /*  681570 */     // GIR_Coverage, 10615,
     /*  681570 */     GIR_EraseRootFromParent_Done,
     /*  681571 */   // Label 10822: @681571
     /*  681571 */   GIM_Try, /*On fail goto*//*Label 10823*/ GIMT_Encode4(681646), // Rule ID 10618 //
     /*  681576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  681587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  681590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  681593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  681596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  681625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681644 */     GIR_RootConstrainSelectedInstOperands,
     /*  681645 */     // GIR_Coverage, 10618,
     /*  681645 */     GIR_EraseRootFromParent_Done,
     /*  681646 */   // Label 10823: @681646
     /*  681646 */   GIM_Try, /*On fail goto*//*Label 10824*/ GIMT_Encode4(681721), // Rule ID 10619 //
     /*  681651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  681662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  681665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  681668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  681671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681697 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /*  681700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681719 */     GIR_RootConstrainSelectedInstOperands,
     /*  681720 */     // GIR_Coverage, 10619,
     /*  681720 */     GIR_EraseRootFromParent_Done,
     /*  681721 */   // Label 10824: @681721
     /*  681721 */   GIM_Try, /*On fail goto*//*Label 10825*/ GIMT_Encode4(681796), // Rule ID 10622 //
     /*  681726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  681772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681794 */     GIR_RootConstrainSelectedInstOperands,
     /*  681795 */     // GIR_Coverage, 10622,
     /*  681795 */     GIR_EraseRootFromParent_Done,
     /*  681796 */   // Label 10825: @681796
     /*  681796 */   GIM_Try, /*On fail goto*//*Label 10826*/ GIMT_Encode4(681871), // Rule ID 10623 //
     /*  681801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  681812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  681815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  681818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  681821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681847 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  681847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  681866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681869 */     GIR_RootConstrainSelectedInstOperands,
     /*  681870 */     // GIR_Coverage, 10623,
     /*  681870 */     GIR_EraseRootFromParent_Done,
     /*  681871 */   // Label 10826: @681871
     /*  681871 */   GIM_Try, /*On fail goto*//*Label 10827*/ GIMT_Encode4(681946), // Rule ID 10626 //
     /*  681876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  681879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  681896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  681899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681922 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  681922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  681925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  681927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  681929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  681931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  681933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  681938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  681941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  681944 */     GIR_RootConstrainSelectedInstOperands,
     /*  681945 */     // GIR_Coverage, 10626,
     /*  681945 */     GIR_EraseRootFromParent_Done,
     /*  681946 */   // Label 10827: @681946
     /*  681946 */   GIM_Try, /*On fail goto*//*Label 10828*/ GIMT_Encode4(682021), // Rule ID 10627 //
     /*  681951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  681954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  681959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  681962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  681965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  681968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  681971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  681974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  681990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  681997 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  681997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /*  682000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682019 */     GIR_RootConstrainSelectedInstOperands,
     /*  682020 */     // GIR_Coverage, 10627,
     /*  682020 */     GIR_EraseRootFromParent_Done,
     /*  682021 */   // Label 10828: @682021
     /*  682021 */   GIM_Try, /*On fail goto*//*Label 10829*/ GIMT_Encode4(682096), // Rule ID 10630 //
     /*  682026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  682037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  682040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  682043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  682046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682072 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682094 */     GIR_RootConstrainSelectedInstOperands,
     /*  682095 */     // GIR_Coverage, 10630,
     /*  682095 */     GIR_EraseRootFromParent_Done,
     /*  682096 */   // Label 10829: @682096
     /*  682096 */   GIM_Try, /*On fail goto*//*Label 10830*/ GIMT_Encode4(682171), // Rule ID 10631 //
     /*  682101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  682112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  682115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  682118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  682121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682147 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682169 */     GIR_RootConstrainSelectedInstOperands,
     /*  682170 */     // GIR_Coverage, 10631,
     /*  682170 */     GIR_EraseRootFromParent_Done,
     /*  682171 */   // Label 10830: @682171
     /*  682171 */   GIM_Try, /*On fail goto*//*Label 10831*/ GIMT_Encode4(682246), // Rule ID 10634 //
     /*  682176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  682187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  682190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  682193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  682196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  682222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682244 */     GIR_RootConstrainSelectedInstOperands,
     /*  682245 */     // GIR_Coverage, 10634,
     /*  682245 */     GIR_EraseRootFromParent_Done,
     /*  682246 */   // Label 10831: @682246
     /*  682246 */   GIM_Try, /*On fail goto*//*Label 10832*/ GIMT_Encode4(682321), // Rule ID 10635 //
     /*  682251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  682262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  682265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  682268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  682271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  682297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  682316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682319 */     GIR_RootConstrainSelectedInstOperands,
     /*  682320 */     // GIR_Coverage, 10635,
     /*  682320 */     GIR_EraseRootFromParent_Done,
     /*  682321 */   // Label 10832: @682321
     /*  682321 */   GIM_Try, /*On fail goto*//*Label 10833*/ GIMT_Encode4(682396), // Rule ID 10638 //
     /*  682326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  682337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  682340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  682343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  682346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  682372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682394 */     GIR_RootConstrainSelectedInstOperands,
     /*  682395 */     // GIR_Coverage, 10638,
     /*  682395 */     GIR_EraseRootFromParent_Done,
     /*  682396 */   // Label 10833: @682396
     /*  682396 */   GIM_Try, /*On fail goto*//*Label 10834*/ GIMT_Encode4(682471), // Rule ID 10639 //
     /*  682401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  682412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  682415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  682418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  682421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682447 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  682447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  682466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682469 */     GIR_RootConstrainSelectedInstOperands,
     /*  682470 */     // GIR_Coverage, 10639,
     /*  682470 */     GIR_EraseRootFromParent_Done,
     /*  682471 */   // Label 10834: @682471
     /*  682471 */   GIM_Try, /*On fail goto*//*Label 10835*/ GIMT_Encode4(682546), // Rule ID 10642 //
     /*  682476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  682479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  682487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  682490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  682493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  682496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  682522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682544 */     GIR_RootConstrainSelectedInstOperands,
     /*  682545 */     // GIR_Coverage, 10642,
     /*  682545 */     GIR_EraseRootFromParent_Done,
     /*  682546 */   // Label 10835: @682546
     /*  682546 */   GIM_Try, /*On fail goto*//*Label 10836*/ GIMT_Encode4(682621), // Rule ID 10643 //
     /*  682551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  682554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  682562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  682565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  682568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  682571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  682590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682597 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  682597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /*  682600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  682616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682619 */     GIR_RootConstrainSelectedInstOperands,
     /*  682620 */     // GIR_Coverage, 10643,
     /*  682620 */     GIR_EraseRootFromParent_Done,
     /*  682621 */   // Label 10836: @682621
     /*  682621 */   GIM_Try, /*On fail goto*//*Label 10837*/ GIMT_Encode4(682696), // Rule ID 10646 //
     /*  682626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682694 */     GIR_RootConstrainSelectedInstOperands,
     /*  682695 */     // GIR_Coverage, 10646,
     /*  682695 */     GIR_EraseRootFromParent_Done,
     /*  682696 */   // Label 10837: @682696
     /*  682696 */   GIM_Try, /*On fail goto*//*Label 10838*/ GIMT_Encode4(682771), // Rule ID 10647 //
     /*  682701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  682712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  682715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  682718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  682721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  682740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682747 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  682750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682769 */     GIR_RootConstrainSelectedInstOperands,
     /*  682770 */     // GIR_Coverage, 10647,
     /*  682770 */     GIR_EraseRootFromParent_Done,
     /*  682771 */   // Label 10838: @682771
     /*  682771 */   GIM_Try, /*On fail goto*//*Label 10839*/ GIMT_Encode4(682846), // Rule ID 10650 //
     /*  682776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682822 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682844 */     GIR_RootConstrainSelectedInstOperands,
     /*  682845 */     // GIR_Coverage, 10650,
     /*  682845 */     GIR_EraseRootFromParent_Done,
     /*  682846 */   // Label 10839: @682846
     /*  682846 */   GIM_Try, /*On fail goto*//*Label 10840*/ GIMT_Encode4(682921), // Rule ID 10651 //
     /*  682851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  682854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  682862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  682865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  682868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  682871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  682874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  682890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682897 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  682897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  682900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682919 */     GIR_RootConstrainSelectedInstOperands,
     /*  682920 */     // GIR_Coverage, 10651,
     /*  682920 */     GIR_EraseRootFromParent_Done,
     /*  682921 */   // Label 10840: @682921
     /*  682921 */   GIM_Try, /*On fail goto*//*Label 10841*/ GIMT_Encode4(682996), // Rule ID 10654 //
     /*  682926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  682929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  682934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  682937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  682940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  682943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  682946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  682949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  682965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  682972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  682972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  682975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  682977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  682979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  682981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  682983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  682988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  682991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  682994 */     GIR_RootConstrainSelectedInstOperands,
     /*  682995 */     // GIR_Coverage, 10654,
     /*  682995 */     GIR_EraseRootFromParent_Done,
     /*  682996 */   // Label 10841: @682996
     /*  682996 */   GIM_Try, /*On fail goto*//*Label 10842*/ GIMT_Encode4(683071), // Rule ID 10655 //
     /*  683001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  683012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  683015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  683018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  683021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683047 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  683047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  683066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683069 */     GIR_RootConstrainSelectedInstOperands,
     /*  683070 */     // GIR_Coverage, 10655,
     /*  683070 */     GIR_EraseRootFromParent_Done,
     /*  683071 */   // Label 10842: @683071
     /*  683071 */   GIM_Try, /*On fail goto*//*Label 10843*/ GIMT_Encode4(683146), // Rule ID 10658 //
     /*  683076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  683087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  683090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  683093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  683096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683144 */     GIR_RootConstrainSelectedInstOperands,
     /*  683145 */     // GIR_Coverage, 10658,
     /*  683145 */     GIR_EraseRootFromParent_Done,
     /*  683146 */   // Label 10843: @683146
     /*  683146 */   GIM_Try, /*On fail goto*//*Label 10844*/ GIMT_Encode4(683221), // Rule ID 10659 //
     /*  683151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  683162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  683165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  683168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  683171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683219 */     GIR_RootConstrainSelectedInstOperands,
     /*  683220 */     // GIR_Coverage, 10659,
     /*  683220 */     GIR_EraseRootFromParent_Done,
     /*  683221 */   // Label 10844: @683221
     /*  683221 */   GIM_Try, /*On fail goto*//*Label 10845*/ GIMT_Encode4(683296), // Rule ID 10662 //
     /*  683226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  683237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  683240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  683243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  683246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683294 */     GIR_RootConstrainSelectedInstOperands,
     /*  683295 */     // GIR_Coverage, 10662,
     /*  683295 */     GIR_EraseRootFromParent_Done,
     /*  683296 */   // Label 10845: @683296
     /*  683296 */   GIM_Try, /*On fail goto*//*Label 10846*/ GIMT_Encode4(683371), // Rule ID 10663 //
     /*  683301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  683312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  683315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  683318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  683321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683369 */     GIR_RootConstrainSelectedInstOperands,
     /*  683370 */     // GIR_Coverage, 10663,
     /*  683370 */     GIR_EraseRootFromParent_Done,
     /*  683371 */   // Label 10846: @683371
     /*  683371 */   GIM_Try, /*On fail goto*//*Label 10847*/ GIMT_Encode4(683446), // Rule ID 10666 //
     /*  683376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  683387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  683390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  683393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  683396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  683422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683444 */     GIR_RootConstrainSelectedInstOperands,
     /*  683445 */     // GIR_Coverage, 10666,
     /*  683445 */     GIR_EraseRootFromParent_Done,
     /*  683446 */   // Label 10847: @683446
     /*  683446 */   GIM_Try, /*On fail goto*//*Label 10848*/ GIMT_Encode4(683521), // Rule ID 10667 //
     /*  683451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  683462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  683465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  683468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  683471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683497 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  683497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  683516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683519 */     GIR_RootConstrainSelectedInstOperands,
     /*  683520 */     // GIR_Coverage, 10667,
     /*  683520 */     GIR_EraseRootFromParent_Done,
     /*  683521 */   // Label 10848: @683521
     /*  683521 */   GIM_Try, /*On fail goto*//*Label 10849*/ GIMT_Encode4(683596), // Rule ID 10670 //
     /*  683526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  683537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  683540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  683543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  683546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683572 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683594 */     GIR_RootConstrainSelectedInstOperands,
     /*  683595 */     // GIR_Coverage, 10670,
     /*  683595 */     GIR_EraseRootFromParent_Done,
     /*  683596 */   // Label 10849: @683596
     /*  683596 */   GIM_Try, /*On fail goto*//*Label 10850*/ GIMT_Encode4(683671), // Rule ID 10671 //
     /*  683601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  683612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  683615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  683618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  683621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  683640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  683650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683669 */     GIR_RootConstrainSelectedInstOperands,
     /*  683670 */     // GIR_Coverage, 10671,
     /*  683670 */     GIR_EraseRootFromParent_Done,
     /*  683671 */   // Label 10850: @683671
     /*  683671 */   GIM_Try, /*On fail goto*//*Label 10851*/ GIMT_Encode4(683746), // Rule ID 10674 //
     /*  683676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683744 */     GIR_RootConstrainSelectedInstOperands,
     /*  683745 */     // GIR_Coverage, 10674,
     /*  683745 */     GIR_EraseRootFromParent_Done,
     /*  683746 */   // Label 10851: @683746
     /*  683746 */   GIM_Try, /*On fail goto*//*Label 10852*/ GIMT_Encode4(683821), // Rule ID 10675 //
     /*  683751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  683762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  683765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  683768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  683771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  683790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683797 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  683800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683819 */     GIR_RootConstrainSelectedInstOperands,
     /*  683820 */     // GIR_Coverage, 10675,
     /*  683820 */     GIR_EraseRootFromParent_Done,
     /*  683821 */   // Label 10852: @683821
     /*  683821 */   GIM_Try, /*On fail goto*//*Label 10853*/ GIMT_Encode4(683896), // Rule ID 10678 //
     /*  683826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  683829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683872 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  683872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683894 */     GIR_RootConstrainSelectedInstOperands,
     /*  683895 */     // GIR_Coverage, 10678,
     /*  683895 */     GIR_EraseRootFromParent_Done,
     /*  683896 */   // Label 10853: @683896
     /*  683896 */   GIM_Try, /*On fail goto*//*Label 10854*/ GIMT_Encode4(683971), // Rule ID 10679 //
     /*  683901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  683904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  683912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  683915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  683918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  683921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  683924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  683940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  683947 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  683947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  683950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  683952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  683954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  683956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  683958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  683963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  683966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  683969 */     GIR_RootConstrainSelectedInstOperands,
     /*  683970 */     // GIR_Coverage, 10679,
     /*  683970 */     GIR_EraseRootFromParent_Done,
     /*  683971 */   // Label 10854: @683971
     /*  683971 */   GIM_Try, /*On fail goto*//*Label 10855*/ GIMT_Encode4(684046), // Rule ID 10682 //
     /*  683976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  683979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  683984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  683987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  683990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  683993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  683996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  683999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684022 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  684025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684044 */     GIR_RootConstrainSelectedInstOperands,
     /*  684045 */     // GIR_Coverage, 10682,
     /*  684045 */     GIR_EraseRootFromParent_Done,
     /*  684046 */   // Label 10855: @684046
     /*  684046 */   GIM_Try, /*On fail goto*//*Label 10856*/ GIMT_Encode4(684121), // Rule ID 10683 //
     /*  684051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  684062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  684065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  684068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  684071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  684090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684097 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /*  684100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684119 */     GIR_RootConstrainSelectedInstOperands,
     /*  684120 */     // GIR_Coverage, 10683,
     /*  684120 */     GIR_EraseRootFromParent_Done,
     /*  684121 */   // Label 10856: @684121
     /*  684121 */   GIM_Try, /*On fail goto*//*Label 10857*/ GIMT_Encode4(684196), // Rule ID 10686 //
     /*  684126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  684137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  684140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  684143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  684146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684172 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  684175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684194 */     GIR_RootConstrainSelectedInstOperands,
     /*  684195 */     // GIR_Coverage, 10686,
     /*  684195 */     GIR_EraseRootFromParent_Done,
     /*  684196 */   // Label 10857: @684196
     /*  684196 */   GIM_Try, /*On fail goto*//*Label 10858*/ GIMT_Encode4(684271), // Rule ID 10687 //
     /*  684201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  684212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  684215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  684218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  684221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  684240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684247 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /*  684250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684269 */     GIR_RootConstrainSelectedInstOperands,
     /*  684270 */     // GIR_Coverage, 10687,
     /*  684270 */     GIR_EraseRootFromParent_Done,
     /*  684271 */   // Label 10858: @684271
     /*  684271 */   GIM_Try, /*On fail goto*//*Label 10859*/ GIMT_Encode4(684346), // Rule ID 10690 //
     /*  684276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  684279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  684287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  684290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  684293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  684296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  684322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  684325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684344 */     GIR_RootConstrainSelectedInstOperands,
     /*  684345 */     // GIR_Coverage, 10690,
     /*  684345 */     GIR_EraseRootFromParent_Done,
     /*  684346 */   // Label 10859: @684346
     /*  684346 */   GIM_Try, /*On fail goto*//*Label 10860*/ GIMT_Encode4(684421), // Rule ID 10691 //
     /*  684351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  684354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  684362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  684365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  684368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  684371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  684390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684397 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  684397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /*  684400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  684416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684419 */     GIR_RootConstrainSelectedInstOperands,
     /*  684420 */     // GIR_Coverage, 10691,
     /*  684420 */     GIR_EraseRootFromParent_Done,
     /*  684421 */   // Label 10860: @684421
     /*  684421 */   GIM_Try, /*On fail goto*//*Label 10861*/ GIMT_Encode4(684496), // Rule ID 10694 //
     /*  684426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  684437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  684440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  684443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  684475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684494 */     GIR_RootConstrainSelectedInstOperands,
     /*  684495 */     // GIR_Coverage, 10694,
     /*  684495 */     GIR_EraseRootFromParent_Done,
     /*  684496 */   // Label 10861: @684496
     /*  684496 */   GIM_Try, /*On fail goto*//*Label 10862*/ GIMT_Encode4(684571), // Rule ID 10695 //
     /*  684501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  684512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  684515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  684518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8),
     /*  684550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684569 */     GIR_RootConstrainSelectedInstOperands,
     /*  684570 */     // GIR_Coverage, 10695,
     /*  684570 */     GIR_EraseRootFromParent_Done,
     /*  684571 */   // Label 10862: @684571
     /*  684571 */   GIM_Try, /*On fail goto*//*Label 10863*/ GIMT_Encode4(684646), // Rule ID 10698 //
     /*  684576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  684587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  684590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  684593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684644 */     GIR_RootConstrainSelectedInstOperands,
     /*  684645 */     // GIR_Coverage, 10698,
     /*  684645 */     GIR_EraseRootFromParent_Done,
     /*  684646 */   // Label 10863: @684646
     /*  684646 */   GIM_Try, /*On fail goto*//*Label 10864*/ GIMT_Encode4(684721), // Rule ID 10699 //
     /*  684651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  684662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  684665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  684668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684719 */     GIR_RootConstrainSelectedInstOperands,
     /*  684720 */     // GIR_Coverage, 10699,
     /*  684720 */     GIR_EraseRootFromParent_Done,
     /*  684721 */   // Label 10864: @684721
     /*  684721 */   GIM_Try, /*On fail goto*//*Label 10865*/ GIMT_Encode4(684796), // Rule ID 10702 //
     /*  684726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  684772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684794 */     GIR_RootConstrainSelectedInstOperands,
     /*  684795 */     // GIR_Coverage, 10702,
     /*  684795 */     GIR_EraseRootFromParent_Done,
     /*  684796 */   // Label 10865: @684796
     /*  684796 */   GIM_Try, /*On fail goto*//*Label 10866*/ GIMT_Encode4(684871), // Rule ID 10703 //
     /*  684801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  684812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  684815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  684818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  684847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  684850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  684866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684869 */     GIR_RootConstrainSelectedInstOperands,
     /*  684870 */     // GIR_Coverage, 10703,
     /*  684870 */     GIR_EraseRootFromParent_Done,
     /*  684871 */   // Label 10866: @684871
     /*  684871 */   GIM_Try, /*On fail goto*//*Label 10867*/ GIMT_Encode4(684946), // Rule ID 10706 //
     /*  684876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  684879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  684896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  684899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  684922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  684925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  684927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  684929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  684931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  684933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  684938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  684941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  684944 */     GIR_RootConstrainSelectedInstOperands,
     /*  684945 */     // GIR_Coverage, 10706,
     /*  684945 */     GIR_EraseRootFromParent_Done,
     /*  684946 */   // Label 10867: @684946
     /*  684946 */   GIM_Try, /*On fail goto*//*Label 10868*/ GIMT_Encode4(685021), // Rule ID 10707 //
     /*  684951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  684954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  684959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  684962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  684965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  684968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  684971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  684974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  684986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  684990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  684997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  684997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4),
     /*  685000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685019 */     GIR_RootConstrainSelectedInstOperands,
     /*  685020 */     // GIR_Coverage, 10707,
     /*  685020 */     GIR_EraseRootFromParent_Done,
     /*  685021 */   // Label 10868: @685021
     /*  685021 */   GIM_Try, /*On fail goto*//*Label 10869*/ GIMT_Encode4(685096), // Rule ID 10710 //
     /*  685026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  685037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  685040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  685043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  685075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685094 */     GIR_RootConstrainSelectedInstOperands,
     /*  685095 */     // GIR_Coverage, 10710,
     /*  685095 */     GIR_EraseRootFromParent_Done,
     /*  685096 */   // Label 10869: @685096
     /*  685096 */   GIM_Try, /*On fail goto*//*Label 10870*/ GIMT_Encode4(685171), // Rule ID 10711 //
     /*  685101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  685112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  685115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  685118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  685150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685169 */     GIR_RootConstrainSelectedInstOperands,
     /*  685170 */     // GIR_Coverage, 10711,
     /*  685170 */     GIR_EraseRootFromParent_Done,
     /*  685171 */   // Label 10870: @685171
     /*  685171 */   GIM_Try, /*On fail goto*//*Label 10871*/ GIMT_Encode4(685246), // Rule ID 10714 //
     /*  685176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  685187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  685190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  685193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  685225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685244 */     GIR_RootConstrainSelectedInstOperands,
     /*  685245 */     // GIR_Coverage, 10714,
     /*  685245 */     GIR_EraseRootFromParent_Done,
     /*  685246 */   // Label 10871: @685246
     /*  685246 */   GIM_Try, /*On fail goto*//*Label 10872*/ GIMT_Encode4(685321), // Rule ID 10715 //
     /*  685251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  685262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  685265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  685268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2),
     /*  685300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685319 */     GIR_RootConstrainSelectedInstOperands,
     /*  685320 */     // GIR_Coverage, 10715,
     /*  685320 */     GIR_EraseRootFromParent_Done,
     /*  685321 */   // Label 10872: @685321
     /*  685321 */   GIM_Try, /*On fail goto*//*Label 10873*/ GIMT_Encode4(685396), // Rule ID 10718 //
     /*  685326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  685337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  685340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  685343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685394 */     GIR_RootConstrainSelectedInstOperands,
     /*  685395 */     // GIR_Coverage, 10718,
     /*  685395 */     GIR_EraseRootFromParent_Done,
     /*  685396 */   // Label 10873: @685396
     /*  685396 */   GIM_Try, /*On fail goto*//*Label 10874*/ GIMT_Encode4(685471), // Rule ID 10719 //
     /*  685401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  685412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  685415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  685418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685447 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11416:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  685447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685469 */     GIR_RootConstrainSelectedInstOperands,
     /*  685470 */     // GIR_Coverage, 10719,
     /*  685470 */     GIR_EraseRootFromParent_Done,
     /*  685471 */   // Label 10874: @685471
     /*  685471 */   GIM_Try, /*On fail goto*//*Label 10875*/ GIMT_Encode4(685546), // Rule ID 10722 //
     /*  685476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  685487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  685490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  685493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  685522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685544 */     GIR_RootConstrainSelectedInstOperands,
     /*  685545 */     // GIR_Coverage, 10722,
     /*  685545 */     GIR_EraseRootFromParent_Done,
     /*  685546 */   // Label 10875: @685546
     /*  685546 */   GIM_Try, /*On fail goto*//*Label 10876*/ GIMT_Encode4(685621), // Rule ID 10723 //
     /*  685551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  685562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  685565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  685568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11416:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  685597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  685616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685619 */     GIR_RootConstrainSelectedInstOperands,
     /*  685620 */     // GIR_Coverage, 10723,
     /*  685620 */     GIR_EraseRootFromParent_Done,
     /*  685621 */   // Label 10876: @685621
     /*  685621 */   GIM_Try, /*On fail goto*//*Label 10877*/ GIMT_Encode4(685696), // Rule ID 10726 //
     /*  685626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  685672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685694 */     GIR_RootConstrainSelectedInstOperands,
     /*  685695 */     // GIR_Coverage, 10726,
     /*  685695 */     GIR_EraseRootFromParent_Done,
     /*  685696 */   // Label 10877: @685696
     /*  685696 */   GIM_Try, /*On fail goto*//*Label 10878*/ GIMT_Encode4(685771), // Rule ID 10727 //
     /*  685701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  685704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  685712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  685715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  685718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11416:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  685747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  685766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685769 */     GIR_RootConstrainSelectedInstOperands,
     /*  685770 */     // GIR_Coverage, 10727,
     /*  685770 */     GIR_EraseRootFromParent_Done,
     /*  685771 */   // Label 10878: @685771
     /*  685771 */   GIM_Try, /*On fail goto*//*Label 10879*/ GIMT_Encode4(685846), // Rule ID 10730 //
     /*  685776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  685779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  685822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685844 */     GIR_RootConstrainSelectedInstOperands,
     /*  685845 */     // GIR_Coverage, 10730,
     /*  685845 */     GIR_EraseRootFromParent_Done,
     /*  685846 */   // Label 10879: @685846
     /*  685846 */   GIM_Try, /*On fail goto*//*Label 10880*/ GIMT_Encode4(685921), // Rule ID 10731 //
     /*  685851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  685854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  685862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  685865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  685868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  685871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  685874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  685886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11416:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  685897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1),
     /*  685900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  685916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685919 */     GIR_RootConstrainSelectedInstOperands,
     /*  685920 */     // GIR_Coverage, 10731,
     /*  685920 */     GIR_EraseRootFromParent_Done,
     /*  685921 */   // Label 10880: @685921
     /*  685921 */   GIM_Try, /*On fail goto*//*Label 10881*/ GIMT_Encode4(685996), // Rule ID 10734 //
     /*  685926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  685929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  685934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  685937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  685940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  685943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  685946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  685949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  685961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  685965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  685972 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  685972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  685975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  685977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  685979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  685981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  685983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  685988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  685991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  685994 */     GIR_RootConstrainSelectedInstOperands,
     /*  685995 */     // GIR_Coverage, 10734,
     /*  685995 */     GIR_EraseRootFromParent_Done,
     /*  685996 */   // Label 10881: @685996
     /*  685996 */   GIM_Try, /*On fail goto*//*Label 10882*/ GIMT_Encode4(686071), // Rule ID 10735 //
     /*  686001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  686012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  686015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  686018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686047 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686069 */     GIR_RootConstrainSelectedInstOperands,
     /*  686070 */     // GIR_Coverage, 10735,
     /*  686070 */     GIR_EraseRootFromParent_Done,
     /*  686071 */   // Label 10882: @686071
     /*  686071 */   GIM_Try, /*On fail goto*//*Label 10883*/ GIMT_Encode4(686146), // Rule ID 10738 //
     /*  686076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  686087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  686090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  686093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686144 */     GIR_RootConstrainSelectedInstOperands,
     /*  686145 */     // GIR_Coverage, 10738,
     /*  686145 */     GIR_EraseRootFromParent_Done,
     /*  686146 */   // Label 10883: @686146
     /*  686146 */   GIM_Try, /*On fail goto*//*Label 10884*/ GIMT_Encode4(686221), // Rule ID 10739 //
     /*  686151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  686162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  686165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  686168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686197 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686219 */     GIR_RootConstrainSelectedInstOperands,
     /*  686220 */     // GIR_Coverage, 10739,
     /*  686220 */     GIR_EraseRootFromParent_Done,
     /*  686221 */   // Label 10884: @686221
     /*  686221 */   GIM_Try, /*On fail goto*//*Label 10885*/ GIMT_Encode4(686296), // Rule ID 10742 //
     /*  686226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  686237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  686240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  686243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  686272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686294 */     GIR_RootConstrainSelectedInstOperands,
     /*  686295 */     // GIR_Coverage, 10742,
     /*  686295 */     GIR_EraseRootFromParent_Done,
     /*  686296 */   // Label 10885: @686296
     /*  686296 */   GIM_Try, /*On fail goto*//*Label 10886*/ GIMT_Encode4(686371), // Rule ID 10743 //
     /*  686301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  686312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  686315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  686318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686347 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  686347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  686366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686369 */     GIR_RootConstrainSelectedInstOperands,
     /*  686370 */     // GIR_Coverage, 10743,
     /*  686370 */     GIR_EraseRootFromParent_Done,
     /*  686371 */   // Label 10886: @686371
     /*  686371 */   GIM_Try, /*On fail goto*//*Label 10887*/ GIMT_Encode4(686446), // Rule ID 10746 //
     /*  686376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  686387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  686390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  686393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686422 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686444 */     GIR_RootConstrainSelectedInstOperands,
     /*  686445 */     // GIR_Coverage, 10746,
     /*  686445 */     GIR_EraseRootFromParent_Done,
     /*  686446 */   // Label 10887: @686446
     /*  686446 */   GIM_Try, /*On fail goto*//*Label 10888*/ GIMT_Encode4(686521), // Rule ID 10747 //
     /*  686451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  686462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  686465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  686468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686497 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686519 */     GIR_RootConstrainSelectedInstOperands,
     /*  686520 */     // GIR_Coverage, 10747,
     /*  686520 */     GIR_EraseRootFromParent_Done,
     /*  686521 */   // Label 10888: @686521
     /*  686521 */   GIM_Try, /*On fail goto*//*Label 10889*/ GIMT_Encode4(686596), // Rule ID 10750 //
     /*  686526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  686537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  686540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  686543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686572 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686594 */     GIR_RootConstrainSelectedInstOperands,
     /*  686595 */     // GIR_Coverage, 10750,
     /*  686595 */     GIR_EraseRootFromParent_Done,
     /*  686596 */   // Label 10889: @686596
     /*  686596 */   GIM_Try, /*On fail goto*//*Label 10890*/ GIMT_Encode4(686671), // Rule ID 10751 //
     /*  686601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  686612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  686615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  686618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  686636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686647 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  686650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686669 */     GIR_RootConstrainSelectedInstOperands,
     /*  686670 */     // GIR_Coverage, 10751,
     /*  686670 */     GIR_EraseRootFromParent_Done,
     /*  686671 */   // Label 10890: @686671
     /*  686671 */   GIM_Try, /*On fail goto*//*Label 10891*/ GIMT_Encode4(686746), // Rule ID 10754 //
     /*  686676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686722 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  686722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686744 */     GIR_RootConstrainSelectedInstOperands,
     /*  686745 */     // GIR_Coverage, 10754,
     /*  686745 */     GIR_EraseRootFromParent_Done,
     /*  686746 */   // Label 10891: @686746
     /*  686746 */   GIM_Try, /*On fail goto*//*Label 10892*/ GIMT_Encode4(686821), // Rule ID 10755 //
     /*  686751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  686762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  686765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  686768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  686786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686797 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  686797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  686800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  686816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686819 */     GIR_RootConstrainSelectedInstOperands,
     /*  686820 */     // GIR_Coverage, 10755,
     /*  686820 */     GIR_EraseRootFromParent_Done,
     /*  686821 */   // Label 10892: @686821
     /*  686821 */   GIM_Try, /*On fail goto*//*Label 10893*/ GIMT_Encode4(686896), // Rule ID 10758 //
     /*  686826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  686872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686894 */     GIR_RootConstrainSelectedInstOperands,
     /*  686895 */     // GIR_Coverage, 10758,
     /*  686895 */     GIR_EraseRootFromParent_Done,
     /*  686896 */   // Label 10893: @686896
     /*  686896 */   GIM_Try, /*On fail goto*//*Label 10894*/ GIMT_Encode4(686971), // Rule ID 10759 //
     /*  686901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  686904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  686912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  686915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  686918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  686921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  686924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  686936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  686940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  686947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  686947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  686950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  686952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  686954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  686956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  686958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  686963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  686966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  686969 */     GIR_RootConstrainSelectedInstOperands,
     /*  686970 */     // GIR_Coverage, 10759,
     /*  686970 */     GIR_EraseRootFromParent_Done,
     /*  686971 */   // Label 10894: @686971
     /*  686971 */   GIM_Try, /*On fail goto*//*Label 10895*/ GIMT_Encode4(687046), // Rule ID 10762 //
     /*  686976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  686979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  686984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  686987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  686990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  686993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  686996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  686999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  687025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687044 */     GIR_RootConstrainSelectedInstOperands,
     /*  687045 */     // GIR_Coverage, 10762,
     /*  687045 */     GIR_EraseRootFromParent_Done,
     /*  687046 */   // Label 10895: @687046
     /*  687046 */   GIM_Try, /*On fail goto*//*Label 10896*/ GIMT_Encode4(687121), // Rule ID 10763 //
     /*  687051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  687062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  687065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  687068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  687100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687119 */     GIR_RootConstrainSelectedInstOperands,
     /*  687120 */     // GIR_Coverage, 10763,
     /*  687120 */     GIR_EraseRootFromParent_Done,
     /*  687121 */   // Label 10896: @687121
     /*  687121 */   GIM_Try, /*On fail goto*//*Label 10897*/ GIMT_Encode4(687196), // Rule ID 10766 //
     /*  687126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  687137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  687140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  687143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  687172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  687175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687194 */     GIR_RootConstrainSelectedInstOperands,
     /*  687195 */     // GIR_Coverage, 10766,
     /*  687195 */     GIR_EraseRootFromParent_Done,
     /*  687196 */   // Label 10897: @687196
     /*  687196 */   GIM_Try, /*On fail goto*//*Label 10898*/ GIMT_Encode4(687271), // Rule ID 10767 //
     /*  687201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  687212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  687215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  687218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  687247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  687250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  687266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687269 */     GIR_RootConstrainSelectedInstOperands,
     /*  687270 */     // GIR_Coverage, 10767,
     /*  687270 */     GIR_EraseRootFromParent_Done,
     /*  687271 */   // Label 10898: @687271
     /*  687271 */   GIM_Try, /*On fail goto*//*Label 10899*/ GIMT_Encode4(687346), // Rule ID 10770 //
     /*  687276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  687287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  687290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  687293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  687325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687344 */     GIR_RootConstrainSelectedInstOperands,
     /*  687345 */     // GIR_Coverage, 10770,
     /*  687345 */     GIR_EraseRootFromParent_Done,
     /*  687346 */   // Label 10899: @687346
     /*  687346 */   GIM_Try, /*On fail goto*//*Label 10900*/ GIMT_Encode4(687421), // Rule ID 10771 //
     /*  687351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  687362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  687365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  687368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  687386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687397 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11416:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2),
     /*  687400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687419 */     GIR_RootConstrainSelectedInstOperands,
     /*  687420 */     // GIR_Coverage, 10771,
     /*  687420 */     GIR_EraseRootFromParent_Done,
     /*  687421 */   // Label 10900: @687421
     /*  687421 */   GIM_Try, /*On fail goto*//*Label 10901*/ GIMT_Encode4(687496), // Rule ID 10774 //
     /*  687426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  687437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  687440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  687443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  687475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687494 */     GIR_RootConstrainSelectedInstOperands,
     /*  687495 */     // GIR_Coverage, 10774,
     /*  687495 */     GIR_EraseRootFromParent_Done,
     /*  687496 */   // Label 10901: @687496
     /*  687496 */   GIM_Try, /*On fail goto*//*Label 10902*/ GIMT_Encode4(687571), // Rule ID 10775 //
     /*  687501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  687512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  687515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  687518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  687536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11416:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4),
     /*  687550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687569 */     GIR_RootConstrainSelectedInstOperands,
     /*  687570 */     // GIR_Coverage, 10775,
     /*  687570 */     GIR_EraseRootFromParent_Done,
     /*  687571 */   // Label 10902: @687571
     /*  687571 */   GIM_Try, /*On fail goto*//*Label 10903*/ GIMT_Encode4(687646), // Rule ID 10778 //
     /*  687576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  687579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  687587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  687590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  687593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  687596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  687622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  687625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687644 */     GIR_RootConstrainSelectedInstOperands,
     /*  687645 */     // GIR_Coverage, 10778,
     /*  687645 */     GIR_EraseRootFromParent_Done,
     /*  687646 */   // Label 10903: @687646
     /*  687646 */   GIM_Try, /*On fail goto*//*Label 10904*/ GIMT_Encode4(687721), // Rule ID 10779 //
     /*  687651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  687654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu),
     /*  687659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  687662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  687665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  687668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  687671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  687686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  687690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687697 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11416:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAXU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  687697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8),
     /*  687700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  687716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687719 */     GIR_RootConstrainSelectedInstOperands,
     /*  687720 */     // GIR_Coverage, 10779,
     /*  687720 */     GIR_EraseRootFromParent_Done,
     /*  687721 */   // Label 10904: @687721
     /*  687721 */   GIM_Try, /*On fail goto*//*Label 10905*/ GIMT_Encode4(687796), // Rule ID 10782 //
     /*  687726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  687775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687794 */     GIR_RootConstrainSelectedInstOperands,
     /*  687795 */     // GIR_Coverage, 10782,
     /*  687795 */     GIR_EraseRootFromParent_Done,
     /*  687796 */   // Label 10905: @687796
     /*  687796 */   GIM_Try, /*On fail goto*//*Label 10906*/ GIMT_Encode4(687871), // Rule ID 10783 //
     /*  687801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  687812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  687815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  687818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  687821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687847 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /*  687850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687869 */     GIR_RootConstrainSelectedInstOperands,
     /*  687870 */     // GIR_Coverage, 10783,
     /*  687870 */     GIR_EraseRootFromParent_Done,
     /*  687871 */   // Label 10906: @687871
     /*  687871 */   GIM_Try, /*On fail goto*//*Label 10907*/ GIMT_Encode4(687946), // Rule ID 10786 //
     /*  687876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  687879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  687896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  687899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  687922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  687925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  687927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  687929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  687931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  687933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  687938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  687941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  687944 */     GIR_RootConstrainSelectedInstOperands,
     /*  687945 */     // GIR_Coverage, 10786,
     /*  687945 */     GIR_EraseRootFromParent_Done,
     /*  687946 */   // Label 10907: @687946
     /*  687946 */   GIM_Try, /*On fail goto*//*Label 10908*/ GIMT_Encode4(688021), // Rule ID 10787 //
     /*  687951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  687954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  687959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  687962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  687965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  687968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  687971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  687974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  687990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  687997 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  687997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  688000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688019 */     GIR_RootConstrainSelectedInstOperands,
     /*  688020 */     // GIR_Coverage, 10787,
     /*  688020 */     GIR_EraseRootFromParent_Done,
     /*  688021 */   // Label 10908: @688021
     /*  688021 */   GIM_Try, /*On fail goto*//*Label 10909*/ GIMT_Encode4(688096), // Rule ID 10790 //
     /*  688026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  688037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  688040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  688043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  688046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  688075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688094 */     GIR_RootConstrainSelectedInstOperands,
     /*  688095 */     // GIR_Coverage, 10790,
     /*  688095 */     GIR_EraseRootFromParent_Done,
     /*  688096 */   // Label 10909: @688096
     /*  688096 */   GIM_Try, /*On fail goto*//*Label 10910*/ GIMT_Encode4(688171), // Rule ID 10791 //
     /*  688101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  688112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  688115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  688118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  688121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  688150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688169 */     GIR_RootConstrainSelectedInstOperands,
     /*  688170 */     // GIR_Coverage, 10791,
     /*  688170 */     GIR_EraseRootFromParent_Done,
     /*  688171 */   // Label 10910: @688171
     /*  688171 */   GIM_Try, /*On fail goto*//*Label 10911*/ GIMT_Encode4(688246), // Rule ID 10794 //
     /*  688176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  688187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  688190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  688193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  688196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  688225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688244 */     GIR_RootConstrainSelectedInstOperands,
     /*  688245 */     // GIR_Coverage, 10794,
     /*  688245 */     GIR_EraseRootFromParent_Done,
     /*  688246 */   // Label 10911: @688246
     /*  688246 */   GIM_Try, /*On fail goto*//*Label 10912*/ GIMT_Encode4(688321), // Rule ID 10795 //
     /*  688251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  688262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  688265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  688268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  688271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /*  688300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688319 */     GIR_RootConstrainSelectedInstOperands,
     /*  688320 */     // GIR_Coverage, 10795,
     /*  688320 */     GIR_EraseRootFromParent_Done,
     /*  688321 */   // Label 10912: @688321
     /*  688321 */   GIM_Try, /*On fail goto*//*Label 10913*/ GIMT_Encode4(688396), // Rule ID 10798 //
     /*  688326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  688337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  688340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  688343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  688346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  688375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688394 */     GIR_RootConstrainSelectedInstOperands,
     /*  688395 */     // GIR_Coverage, 10798,
     /*  688395 */     GIR_EraseRootFromParent_Done,
     /*  688396 */   // Label 10913: @688396
     /*  688396 */   GIM_Try, /*On fail goto*//*Label 10914*/ GIMT_Encode4(688471), // Rule ID 10799 //
     /*  688401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  688412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  688415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  688418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  688421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  688450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688469 */     GIR_RootConstrainSelectedInstOperands,
     /*  688470 */     // GIR_Coverage, 10799,
     /*  688470 */     GIR_EraseRootFromParent_Done,
     /*  688471 */   // Label 10914: @688471
     /*  688471 */   GIM_Try, /*On fail goto*//*Label 10915*/ GIMT_Encode4(688546), // Rule ID 10802 //
     /*  688476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  688487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  688490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  688493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  688496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  688525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688544 */     GIR_RootConstrainSelectedInstOperands,
     /*  688545 */     // GIR_Coverage, 10802,
     /*  688545 */     GIR_EraseRootFromParent_Done,
     /*  688546 */   // Label 10915: @688546
     /*  688546 */   GIM_Try, /*On fail goto*//*Label 10916*/ GIMT_Encode4(688621), // Rule ID 10803 //
     /*  688551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  688562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  688565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  688568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  688571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688597 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  688597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /*  688600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688619 */     GIR_RootConstrainSelectedInstOperands,
     /*  688620 */     // GIR_Coverage, 10803,
     /*  688620 */     GIR_EraseRootFromParent_Done,
     /*  688621 */   // Label 10916: @688621
     /*  688621 */   GIM_Try, /*On fail goto*//*Label 10917*/ GIMT_Encode4(688696), // Rule ID 10806 //
     /*  688626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  688672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688694 */     GIR_RootConstrainSelectedInstOperands,
     /*  688695 */     // GIR_Coverage, 10806,
     /*  688695 */     GIR_EraseRootFromParent_Done,
     /*  688696 */   // Label 10917: @688696
     /*  688696 */   GIM_Try, /*On fail goto*//*Label 10918*/ GIMT_Encode4(688771), // Rule ID 10807 //
     /*  688701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  688712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  688715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  688718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  688721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  688747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  688766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688769 */     GIR_RootConstrainSelectedInstOperands,
     /*  688770 */     // GIR_Coverage, 10807,
     /*  688770 */     GIR_EraseRootFromParent_Done,
     /*  688771 */   // Label 10918: @688771
     /*  688771 */   GIM_Try, /*On fail goto*//*Label 10919*/ GIMT_Encode4(688846), // Rule ID 10810 //
     /*  688776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  688822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688844 */     GIR_RootConstrainSelectedInstOperands,
     /*  688845 */     // GIR_Coverage, 10810,
     /*  688845 */     GIR_EraseRootFromParent_Done,
     /*  688846 */   // Label 10919: @688846
     /*  688846 */   GIM_Try, /*On fail goto*//*Label 10920*/ GIMT_Encode4(688921), // Rule ID 10811 //
     /*  688851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  688854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  688862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  688865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  688868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  688871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  688874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688897 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  688897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  688916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688919 */     GIR_RootConstrainSelectedInstOperands,
     /*  688920 */     // GIR_Coverage, 10811,
     /*  688920 */     GIR_EraseRootFromParent_Done,
     /*  688921 */   // Label 10920: @688921
     /*  688921 */   GIM_Try, /*On fail goto*//*Label 10921*/ GIMT_Encode4(688996), // Rule ID 10814 //
     /*  688926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  688929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  688934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  688937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  688940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  688943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  688946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  688949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  688965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  688972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  688972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  688975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  688977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  688979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  688981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  688983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  688988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  688991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  688994 */     GIR_RootConstrainSelectedInstOperands,
     /*  688995 */     // GIR_Coverage, 10814,
     /*  688995 */     GIR_EraseRootFromParent_Done,
     /*  688996 */   // Label 10921: @688996
     /*  688996 */   GIM_Try, /*On fail goto*//*Label 10922*/ GIMT_Encode4(689071), // Rule ID 10815 //
     /*  689001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  689012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  689015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  689018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  689021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  689047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  689050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  689066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689069 */     GIR_RootConstrainSelectedInstOperands,
     /*  689070 */     // GIR_Coverage, 10815,
     /*  689070 */     GIR_EraseRootFromParent_Done,
     /*  689071 */   // Label 10922: @689071
     /*  689071 */   GIM_Try, /*On fail goto*//*Label 10923*/ GIMT_Encode4(689146), // Rule ID 10818 //
     /*  689076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  689079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  689087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  689090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  689093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  689096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  689122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  689125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689144 */     GIR_RootConstrainSelectedInstOperands,
     /*  689145 */     // GIR_Coverage, 10818,
     /*  689145 */     GIR_EraseRootFromParent_Done,
     /*  689146 */   // Label 10923: @689146
     /*  689146 */   GIM_Try, /*On fail goto*//*Label 10924*/ GIMT_Encode4(689221), // Rule ID 10819 //
     /*  689151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  689154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  689162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  689165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  689168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  689171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  689190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  689197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /*  689200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  689216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689219 */     GIR_RootConstrainSelectedInstOperands,
     /*  689220 */     // GIR_Coverage, 10819,
     /*  689220 */     GIR_EraseRootFromParent_Done,
     /*  689221 */   // Label 10924: @689221
     /*  689221 */   GIM_Try, /*On fail goto*//*Label 10925*/ GIMT_Encode4(689296), // Rule ID 10822 //
     /*  689226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  689237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  689240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  689243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  689246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689294 */     GIR_RootConstrainSelectedInstOperands,
     /*  689295 */     // GIR_Coverage, 10822,
     /*  689295 */     GIR_EraseRootFromParent_Done,
     /*  689296 */   // Label 10925: @689296
     /*  689296 */   GIM_Try, /*On fail goto*//*Label 10926*/ GIMT_Encode4(689371), // Rule ID 10823 //
     /*  689301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  689312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  689315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  689318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  689321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689347 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689369 */     GIR_RootConstrainSelectedInstOperands,
     /*  689370 */     // GIR_Coverage, 10823,
     /*  689370 */     GIR_EraseRootFromParent_Done,
     /*  689371 */   // Label 10926: @689371
     /*  689371 */   GIM_Try, /*On fail goto*//*Label 10927*/ GIMT_Encode4(689446), // Rule ID 10826 //
     /*  689376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  689387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  689390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  689393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  689396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689444 */     GIR_RootConstrainSelectedInstOperands,
     /*  689445 */     // GIR_Coverage, 10826,
     /*  689445 */     GIR_EraseRootFromParent_Done,
     /*  689446 */   // Label 10927: @689446
     /*  689446 */   GIM_Try, /*On fail goto*//*Label 10928*/ GIMT_Encode4(689521), // Rule ID 10827 //
     /*  689451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  689462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  689465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  689468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  689471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689497 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689519 */     GIR_RootConstrainSelectedInstOperands,
     /*  689520 */     // GIR_Coverage, 10827,
     /*  689520 */     GIR_EraseRootFromParent_Done,
     /*  689521 */   // Label 10928: @689521
     /*  689521 */   GIM_Try, /*On fail goto*//*Label 10929*/ GIMT_Encode4(689596), // Rule ID 10830 //
     /*  689526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  689537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  689540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  689543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  689546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  689572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689594 */     GIR_RootConstrainSelectedInstOperands,
     /*  689595 */     // GIR_Coverage, 10830,
     /*  689595 */     GIR_EraseRootFromParent_Done,
     /*  689596 */   // Label 10929: @689596
     /*  689596 */   GIM_Try, /*On fail goto*//*Label 10930*/ GIMT_Encode4(689671), // Rule ID 10831 //
     /*  689601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  689612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  689615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  689618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  689621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  689640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689647 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  689647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  689650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  689666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689669 */     GIR_RootConstrainSelectedInstOperands,
     /*  689670 */     // GIR_Coverage, 10831,
     /*  689670 */     GIR_EraseRootFromParent_Done,
     /*  689671 */   // Label 10930: @689671
     /*  689671 */   GIM_Try, /*On fail goto*//*Label 10931*/ GIMT_Encode4(689746), // Rule ID 10834 //
     /*  689676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689744 */     GIR_RootConstrainSelectedInstOperands,
     /*  689745 */     // GIR_Coverage, 10834,
     /*  689745 */     GIR_EraseRootFromParent_Done,
     /*  689746 */   // Label 10931: @689746
     /*  689746 */   GIM_Try, /*On fail goto*//*Label 10932*/ GIMT_Encode4(689821), // Rule ID 10835 //
     /*  689751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  689762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  689765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  689768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  689771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  689790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  689800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689819 */     GIR_RootConstrainSelectedInstOperands,
     /*  689820 */     // GIR_Coverage, 10835,
     /*  689820 */     GIR_EraseRootFromParent_Done,
     /*  689821 */   // Label 10932: @689821
     /*  689821 */   GIM_Try, /*On fail goto*//*Label 10933*/ GIMT_Encode4(689896), // Rule ID 10838 //
     /*  689826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  689846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  689872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689894 */     GIR_RootConstrainSelectedInstOperands,
     /*  689895 */     // GIR_Coverage, 10838,
     /*  689895 */     GIR_EraseRootFromParent_Done,
     /*  689896 */   // Label 10933: @689896
     /*  689896 */   GIM_Try, /*On fail goto*//*Label 10934*/ GIMT_Encode4(689971), // Rule ID 10839 //
     /*  689901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  689904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  689912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  689915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  689918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  689921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  689924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  689940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  689947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  689947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  689950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  689952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  689954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  689956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  689958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  689963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  689966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  689969 */     GIR_RootConstrainSelectedInstOperands,
     /*  689970 */     // GIR_Coverage, 10839,
     /*  689970 */     GIR_EraseRootFromParent_Done,
     /*  689971 */   // Label 10934: @689971
     /*  689971 */   GIM_Try, /*On fail goto*//*Label 10935*/ GIMT_Encode4(690046), // Rule ID 10842 //
     /*  689976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  689979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  689984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  689987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  689990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  689993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  689996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  689999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  690022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690044 */     GIR_RootConstrainSelectedInstOperands,
     /*  690045 */     // GIR_Coverage, 10842,
     /*  690045 */     GIR_EraseRootFromParent_Done,
     /*  690046 */   // Label 10935: @690046
     /*  690046 */   GIM_Try, /*On fail goto*//*Label 10936*/ GIMT_Encode4(690121), // Rule ID 10843 //
     /*  690051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  690062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  690065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  690068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  690071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690097 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  690097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  690116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690119 */     GIR_RootConstrainSelectedInstOperands,
     /*  690120 */     // GIR_Coverage, 10843,
     /*  690120 */     GIR_EraseRootFromParent_Done,
     /*  690121 */   // Label 10936: @690121
     /*  690121 */   GIM_Try, /*On fail goto*//*Label 10937*/ GIMT_Encode4(690196), // Rule ID 10846 //
     /*  690126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  690137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  690140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  690143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  690146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  690175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690194 */     GIR_RootConstrainSelectedInstOperands,
     /*  690195 */     // GIR_Coverage, 10846,
     /*  690195 */     GIR_EraseRootFromParent_Done,
     /*  690196 */   // Label 10937: @690196
     /*  690196 */   GIM_Try, /*On fail goto*//*Label 10938*/ GIMT_Encode4(690271), // Rule ID 10847 //
     /*  690201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  690212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  690215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  690218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  690221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  690250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690269 */     GIR_RootConstrainSelectedInstOperands,
     /*  690270 */     // GIR_Coverage, 10847,
     /*  690270 */     GIR_EraseRootFromParent_Done,
     /*  690271 */   // Label 10938: @690271
     /*  690271 */   GIM_Try, /*On fail goto*//*Label 10939*/ GIMT_Encode4(690346), // Rule ID 10850 //
     /*  690276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  690287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  690290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  690293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  690296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  690325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690344 */     GIR_RootConstrainSelectedInstOperands,
     /*  690345 */     // GIR_Coverage, 10850,
     /*  690345 */     GIR_EraseRootFromParent_Done,
     /*  690346 */   // Label 10939: @690346
     /*  690346 */   GIM_Try, /*On fail goto*//*Label 10940*/ GIMT_Encode4(690421), // Rule ID 10851 //
     /*  690351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  690362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  690365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  690368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  690371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  690400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690419 */     GIR_RootConstrainSelectedInstOperands,
     /*  690420 */     // GIR_Coverage, 10851,
     /*  690420 */     GIR_EraseRootFromParent_Done,
     /*  690421 */   // Label 10940: @690421
     /*  690421 */   GIM_Try, /*On fail goto*//*Label 10941*/ GIMT_Encode4(690496), // Rule ID 10854 //
     /*  690426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  690429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  690437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  690440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  690443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  690446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  690472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690494 */     GIR_RootConstrainSelectedInstOperands,
     /*  690495 */     // GIR_Coverage, 10854,
     /*  690495 */     GIR_EraseRootFromParent_Done,
     /*  690496 */   // Label 10941: @690496
     /*  690496 */   GIM_Try, /*On fail goto*//*Label 10942*/ GIMT_Encode4(690571), // Rule ID 10855 //
     /*  690501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  690504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  690512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  690515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  690518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  690521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690547 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  690547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  690566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690569 */     GIR_RootConstrainSelectedInstOperands,
     /*  690570 */     // GIR_Coverage, 10855,
     /*  690570 */     GIR_EraseRootFromParent_Done,
     /*  690571 */   // Label 10942: @690571
     /*  690571 */   GIM_Try, /*On fail goto*//*Label 10943*/ GIMT_Encode4(690646), // Rule ID 10858 //
     /*  690576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  690587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  690590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  690593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  690596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  690625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690644 */     GIR_RootConstrainSelectedInstOperands,
     /*  690645 */     // GIR_Coverage, 10858,
     /*  690645 */     GIR_EraseRootFromParent_Done,
     /*  690646 */   // Label 10943: @690646
     /*  690646 */   GIM_Try, /*On fail goto*//*Label 10944*/ GIMT_Encode4(690721), // Rule ID 10859 //
     /*  690651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  690662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  690665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  690668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  690671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  690690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /*  690700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690719 */     GIR_RootConstrainSelectedInstOperands,
     /*  690720 */     // GIR_Coverage, 10859,
     /*  690720 */     GIR_EraseRootFromParent_Done,
     /*  690721 */   // Label 10944: @690721
     /*  690721 */   GIM_Try, /*On fail goto*//*Label 10945*/ GIMT_Encode4(690796), // Rule ID 10862 //
     /*  690726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  690775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690794 */     GIR_RootConstrainSelectedInstOperands,
     /*  690795 */     // GIR_Coverage, 10862,
     /*  690795 */     GIR_EraseRootFromParent_Done,
     /*  690796 */   // Label 10945: @690796
     /*  690796 */   GIM_Try, /*On fail goto*//*Label 10946*/ GIMT_Encode4(690871), // Rule ID 10863 //
     /*  690801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  690812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  690815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  690818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  690821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  690840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /*  690850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690869 */     GIR_RootConstrainSelectedInstOperands,
     /*  690870 */     // GIR_Coverage, 10863,
     /*  690870 */     GIR_EraseRootFromParent_Done,
     /*  690871 */   // Label 10946: @690871
     /*  690871 */   GIM_Try, /*On fail goto*//*Label 10947*/ GIMT_Encode4(690946), // Rule ID 10866 //
     /*  690876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  690879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  690887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  690890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  690893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  690896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  690899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  690922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  690925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  690927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  690929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  690931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  690933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  690938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  690941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  690944 */     GIR_RootConstrainSelectedInstOperands,
     /*  690945 */     // GIR_Coverage, 10866,
     /*  690945 */     GIR_EraseRootFromParent_Done,
     /*  690946 */   // Label 10947: @690946
     /*  690946 */   GIM_Try, /*On fail goto*//*Label 10948*/ GIMT_Encode4(691021), // Rule ID 10867 //
     /*  690951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  690954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  690959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  690962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  690965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  690968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  690971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  690974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  690990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  690997 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  690997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /*  691000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  691016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691019 */     GIR_RootConstrainSelectedInstOperands,
     /*  691020 */     // GIR_Coverage, 10867,
     /*  691020 */     GIR_EraseRootFromParent_Done,
     /*  691021 */   // Label 10948: @691021
     /*  691021 */   GIM_Try, /*On fail goto*//*Label 10949*/ GIMT_Encode4(691096), // Rule ID 10870 //
     /*  691026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  691037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  691040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  691043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  691075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691094 */     GIR_RootConstrainSelectedInstOperands,
     /*  691095 */     // GIR_Coverage, 10870,
     /*  691095 */     GIR_EraseRootFromParent_Done,
     /*  691096 */   // Label 10949: @691096
     /*  691096 */   GIM_Try, /*On fail goto*//*Label 10950*/ GIMT_Encode4(691171), // Rule ID 10871 //
     /*  691101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  691112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  691115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  691118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691147 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8),
     /*  691150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691169 */     GIR_RootConstrainSelectedInstOperands,
     /*  691170 */     // GIR_Coverage, 10871,
     /*  691170 */     GIR_EraseRootFromParent_Done,
     /*  691171 */   // Label 10950: @691171
     /*  691171 */   GIM_Try, /*On fail goto*//*Label 10951*/ GIMT_Encode4(691246), // Rule ID 10874 //
     /*  691176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  691187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  691190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  691193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  691225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691244 */     GIR_RootConstrainSelectedInstOperands,
     /*  691245 */     // GIR_Coverage, 10874,
     /*  691245 */     GIR_EraseRootFromParent_Done,
     /*  691246 */   // Label 10951: @691246
     /*  691246 */   GIM_Try, /*On fail goto*//*Label 10952*/ GIMT_Encode4(691321), // Rule ID 10875 //
     /*  691251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  691262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  691265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  691268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691297 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  691300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691319 */     GIR_RootConstrainSelectedInstOperands,
     /*  691320 */     // GIR_Coverage, 10875,
     /*  691320 */     GIR_EraseRootFromParent_Done,
     /*  691321 */   // Label 10952: @691321
     /*  691321 */   GIM_Try, /*On fail goto*//*Label 10953*/ GIMT_Encode4(691396), // Rule ID 10878 //
     /*  691326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  691337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  691340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  691343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691394 */     GIR_RootConstrainSelectedInstOperands,
     /*  691395 */     // GIR_Coverage, 10878,
     /*  691395 */     GIR_EraseRootFromParent_Done,
     /*  691396 */   // Label 10953: @691396
     /*  691396 */   GIM_Try, /*On fail goto*//*Label 10954*/ GIMT_Encode4(691471), // Rule ID 10879 //
     /*  691401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  691412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  691415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  691418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691447 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  691447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691469 */     GIR_RootConstrainSelectedInstOperands,
     /*  691470 */     // GIR_Coverage, 10879,
     /*  691470 */     GIR_EraseRootFromParent_Done,
     /*  691471 */   // Label 10954: @691471
     /*  691471 */   GIM_Try, /*On fail goto*//*Label 10955*/ GIMT_Encode4(691546), // Rule ID 10882 //
     /*  691476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  691525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691544 */     GIR_RootConstrainSelectedInstOperands,
     /*  691545 */     // GIR_Coverage, 10882,
     /*  691545 */     GIR_EraseRootFromParent_Done,
     /*  691546 */   // Label 10955: @691546
     /*  691546 */   GIM_Try, /*On fail goto*//*Label 10956*/ GIMT_Encode4(691621), // Rule ID 10883 //
     /*  691551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  691562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  691565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  691568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4),
     /*  691600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691619 */     GIR_RootConstrainSelectedInstOperands,
     /*  691620 */     // GIR_Coverage, 10883,
     /*  691620 */     GIR_EraseRootFromParent_Done,
     /*  691621 */   // Label 10956: @691621
     /*  691621 */   GIM_Try, /*On fail goto*//*Label 10957*/ GIMT_Encode4(691696), // Rule ID 10886 //
     /*  691626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  691672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691694 */     GIR_RootConstrainSelectedInstOperands,
     /*  691695 */     // GIR_Coverage, 10886,
     /*  691695 */     GIR_EraseRootFromParent_Done,
     /*  691696 */   // Label 10957: @691696
     /*  691696 */   GIM_Try, /*On fail goto*//*Label 10958*/ GIMT_Encode4(691771), // Rule ID 10887 //
     /*  691701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  691712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  691715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  691718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  691747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  691766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691769 */     GIR_RootConstrainSelectedInstOperands,
     /*  691770 */     // GIR_Coverage, 10887,
     /*  691770 */     GIR_EraseRootFromParent_Done,
     /*  691771 */   // Label 10958: @691771
     /*  691771 */   GIM_Try, /*On fail goto*//*Label 10959*/ GIMT_Encode4(691846), // Rule ID 10890 //
     /*  691776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  691790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  691793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  691822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691844 */     GIR_RootConstrainSelectedInstOperands,
     /*  691845 */     // GIR_Coverage, 10890,
     /*  691845 */     GIR_EraseRootFromParent_Done,
     /*  691846 */   // Label 10959: @691846
     /*  691846 */   GIM_Try, /*On fail goto*//*Label 10960*/ GIMT_Encode4(691921), // Rule ID 10891 //
     /*  691851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  691854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  691862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  691865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  691868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  691871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  691874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  691897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2),
     /*  691900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  691916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691919 */     GIR_RootConstrainSelectedInstOperands,
     /*  691920 */     // GIR_Coverage, 10891,
     /*  691920 */     GIR_EraseRootFromParent_Done,
     /*  691921 */   // Label 10960: @691921
     /*  691921 */   GIM_Try, /*On fail goto*//*Label 10961*/ GIMT_Encode4(691996), // Rule ID 10894 //
     /*  691926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  691929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  691934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  691937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  691940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  691943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  691946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  691949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  691961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  691965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  691972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  691972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  691975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  691977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  691979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  691981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  691983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  691988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  691991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  691994 */     GIR_RootConstrainSelectedInstOperands,
     /*  691995 */     // GIR_Coverage, 10894,
     /*  691995 */     GIR_EraseRootFromParent_Done,
     /*  691996 */   // Label 10961: @691996
     /*  691996 */   GIM_Try, /*On fail goto*//*Label 10962*/ GIMT_Encode4(692071), // Rule ID 10895 //
     /*  692001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  692012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  692015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  692018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692047 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11414:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  692050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692069 */     GIR_RootConstrainSelectedInstOperands,
     /*  692070 */     // GIR_Coverage, 10895,
     /*  692070 */     GIR_EraseRootFromParent_Done,
     /*  692071 */   // Label 10962: @692071
     /*  692071 */   GIM_Try, /*On fail goto*//*Label 10963*/ GIMT_Encode4(692146), // Rule ID 10898 //
     /*  692076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  692087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  692090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  692093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  692122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  692125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692144 */     GIR_RootConstrainSelectedInstOperands,
     /*  692145 */     // GIR_Coverage, 10898,
     /*  692145 */     GIR_EraseRootFromParent_Done,
     /*  692146 */   // Label 10963: @692146
     /*  692146 */   GIM_Try, /*On fail goto*//*Label 10964*/ GIMT_Encode4(692221), // Rule ID 10899 //
     /*  692151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  692162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  692165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  692168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11414:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  692197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  692200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  692216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692219 */     GIR_RootConstrainSelectedInstOperands,
     /*  692220 */     // GIR_Coverage, 10899,
     /*  692220 */     GIR_EraseRootFromParent_Done,
     /*  692221 */   // Label 10964: @692221
     /*  692221 */   GIM_Try, /*On fail goto*//*Label 10965*/ GIMT_Encode4(692296), // Rule ID 10902 //
     /*  692226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  692237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  692240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  692243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  692272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  692275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692294 */     GIR_RootConstrainSelectedInstOperands,
     /*  692295 */     // GIR_Coverage, 10902,
     /*  692295 */     GIR_EraseRootFromParent_Done,
     /*  692296 */   // Label 10965: @692296
     /*  692296 */   GIM_Try, /*On fail goto*//*Label 10966*/ GIMT_Encode4(692371), // Rule ID 10903 //
     /*  692301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  692312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  692315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  692318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11414:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  692347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  692350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  692366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692369 */     GIR_RootConstrainSelectedInstOperands,
     /*  692370 */     // GIR_Coverage, 10903,
     /*  692370 */     GIR_EraseRootFromParent_Done,
     /*  692371 */   // Label 10966: @692371
     /*  692371 */   GIM_Try, /*On fail goto*//*Label 10967*/ GIMT_Encode4(692446), // Rule ID 10906 //
     /*  692376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  692379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  692387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  692390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  692393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  692422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  692425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692444 */     GIR_RootConstrainSelectedInstOperands,
     /*  692445 */     // GIR_Coverage, 10906,
     /*  692445 */     GIR_EraseRootFromParent_Done,
     /*  692446 */   // Label 10967: @692446
     /*  692446 */   GIM_Try, /*On fail goto*//*Label 10968*/ GIMT_Encode4(692521), // Rule ID 10907 //
     /*  692451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  692454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  692462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  692465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  692468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  692486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11414:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  692497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1),
     /*  692500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  692516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692519 */     GIR_RootConstrainSelectedInstOperands,
     /*  692520 */     // GIR_Coverage, 10907,
     /*  692520 */     GIR_EraseRootFromParent_Done,
     /*  692521 */   // Label 10968: @692521
     /*  692521 */   GIM_Try, /*On fail goto*//*Label 10969*/ GIMT_Encode4(692596), // Rule ID 10910 //
     /*  692526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  692537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  692540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  692543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692594 */     GIR_RootConstrainSelectedInstOperands,
     /*  692595 */     // GIR_Coverage, 10910,
     /*  692595 */     GIR_EraseRootFromParent_Done,
     /*  692596 */   // Label 10969: @692596
     /*  692596 */   GIM_Try, /*On fail goto*//*Label 10970*/ GIMT_Encode4(692671), // Rule ID 10911 //
     /*  692601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  692612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  692615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  692618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  692636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  692650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692669 */     GIR_RootConstrainSelectedInstOperands,
     /*  692670 */     // GIR_Coverage, 10911,
     /*  692670 */     GIR_EraseRootFromParent_Done,
     /*  692671 */   // Label 10970: @692671
     /*  692671 */   GIM_Try, /*On fail goto*//*Label 10971*/ GIMT_Encode4(692746), // Rule ID 10914 //
     /*  692676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692744 */     GIR_RootConstrainSelectedInstOperands,
     /*  692745 */     // GIR_Coverage, 10914,
     /*  692745 */     GIR_EraseRootFromParent_Done,
     /*  692746 */   // Label 10971: @692746
     /*  692746 */   GIM_Try, /*On fail goto*//*Label 10972*/ GIMT_Encode4(692821), // Rule ID 10915 //
     /*  692751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  692762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  692765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  692768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  692786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692797 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  692800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692819 */     GIR_RootConstrainSelectedInstOperands,
     /*  692820 */     // GIR_Coverage, 10915,
     /*  692820 */     GIR_EraseRootFromParent_Done,
     /*  692821 */   // Label 10972: @692821
     /*  692821 */   GIM_Try, /*On fail goto*//*Label 10973*/ GIMT_Encode4(692896), // Rule ID 10918 //
     /*  692826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  692837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  692840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  692843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  692872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692894 */     GIR_RootConstrainSelectedInstOperands,
     /*  692895 */     // GIR_Coverage, 10918,
     /*  692895 */     GIR_EraseRootFromParent_Done,
     /*  692896 */   // Label 10973: @692896
     /*  692896 */   GIM_Try, /*On fail goto*//*Label 10974*/ GIMT_Encode4(692971), // Rule ID 10919 //
     /*  692901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  692904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  692912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  692915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  692918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  692921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  692924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  692936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  692940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  692947 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  692947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  692950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  692952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  692954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  692956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  692958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  692963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  692966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  692969 */     GIR_RootConstrainSelectedInstOperands,
     /*  692970 */     // GIR_Coverage, 10919,
     /*  692970 */     GIR_EraseRootFromParent_Done,
     /*  692971 */   // Label 10974: @692971
     /*  692971 */   GIM_Try, /*On fail goto*//*Label 10975*/ GIMT_Encode4(693046), // Rule ID 10922 //
     /*  692976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  692979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  692984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  692987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  692990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  692993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  692996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  692999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693044 */     GIR_RootConstrainSelectedInstOperands,
     /*  693045 */     // GIR_Coverage, 10922,
     /*  693045 */     GIR_EraseRootFromParent_Done,
     /*  693046 */   // Label 10975: @693046
     /*  693046 */   GIM_Try, /*On fail goto*//*Label 10976*/ GIMT_Encode4(693121), // Rule ID 10923 //
     /*  693051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  693062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  693065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  693068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693119 */     GIR_RootConstrainSelectedInstOperands,
     /*  693120 */     // GIR_Coverage, 10923,
     /*  693120 */     GIR_EraseRootFromParent_Done,
     /*  693121 */   // Label 10976: @693121
     /*  693121 */   GIM_Try, /*On fail goto*//*Label 10977*/ GIMT_Encode4(693196), // Rule ID 10926 //
     /*  693126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  693137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  693140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  693143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693194 */     GIR_RootConstrainSelectedInstOperands,
     /*  693195 */     // GIR_Coverage, 10926,
     /*  693195 */     GIR_EraseRootFromParent_Done,
     /*  693196 */   // Label 10977: @693196
     /*  693196 */   GIM_Try, /*On fail goto*//*Label 10978*/ GIMT_Encode4(693271), // Rule ID 10927 //
     /*  693201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  693212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  693215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  693218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693269 */     GIR_RootConstrainSelectedInstOperands,
     /*  693270 */     // GIR_Coverage, 10927,
     /*  693270 */     GIR_EraseRootFromParent_Done,
     /*  693271 */   // Label 10978: @693271
     /*  693271 */   GIM_Try, /*On fail goto*//*Label 10979*/ GIMT_Encode4(693346), // Rule ID 10930 //
     /*  693276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  693287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  693290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  693293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  693322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693344 */     GIR_RootConstrainSelectedInstOperands,
     /*  693345 */     // GIR_Coverage, 10930,
     /*  693345 */     GIR_EraseRootFromParent_Done,
     /*  693346 */   // Label 10979: @693346
     /*  693346 */   GIM_Try, /*On fail goto*//*Label 10980*/ GIMT_Encode4(693421), // Rule ID 10931 //
     /*  693351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  693362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  693365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  693368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  693397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  693416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693419 */     GIR_RootConstrainSelectedInstOperands,
     /*  693420 */     // GIR_Coverage, 10931,
     /*  693420 */     GIR_EraseRootFromParent_Done,
     /*  693421 */   // Label 10980: @693421
     /*  693421 */   GIM_Try, /*On fail goto*//*Label 10981*/ GIMT_Encode4(693496), // Rule ID 10934 //
     /*  693426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  693437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  693440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  693443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693494 */     GIR_RootConstrainSelectedInstOperands,
     /*  693495 */     // GIR_Coverage, 10934,
     /*  693495 */     GIR_EraseRootFromParent_Done,
     /*  693496 */   // Label 10981: @693496
     /*  693496 */   GIM_Try, /*On fail goto*//*Label 10982*/ GIMT_Encode4(693571), // Rule ID 10935 //
     /*  693501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  693512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  693515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  693518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693547 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693569 */     GIR_RootConstrainSelectedInstOperands,
     /*  693570 */     // GIR_Coverage, 10935,
     /*  693570 */     GIR_EraseRootFromParent_Done,
     /*  693571 */   // Label 10982: @693571
     /*  693571 */   GIM_Try, /*On fail goto*//*Label 10983*/ GIMT_Encode4(693646), // Rule ID 10938 //
     /*  693576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693644 */     GIR_RootConstrainSelectedInstOperands,
     /*  693645 */     // GIR_Coverage, 10938,
     /*  693645 */     GIR_EraseRootFromParent_Done,
     /*  693646 */   // Label 10983: @693646
     /*  693646 */   GIM_Try, /*On fail goto*//*Label 10984*/ GIMT_Encode4(693721), // Rule ID 10939 //
     /*  693651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  693662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  693665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  693668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  693686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  693700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693719 */     GIR_RootConstrainSelectedInstOperands,
     /*  693720 */     // GIR_Coverage, 10939,
     /*  693720 */     GIR_EraseRootFromParent_Done,
     /*  693721 */   // Label 10984: @693721
     /*  693721 */   GIM_Try, /*On fail goto*//*Label 10985*/ GIMT_Encode4(693796), // Rule ID 10942 //
     /*  693726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  693729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  693772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693794 */     GIR_RootConstrainSelectedInstOperands,
     /*  693795 */     // GIR_Coverage, 10942,
     /*  693795 */     GIR_EraseRootFromParent_Done,
     /*  693796 */   // Label 10985: @693796
     /*  693796 */   GIM_Try, /*On fail goto*//*Label 10986*/ GIMT_Encode4(693871), // Rule ID 10943 //
     /*  693801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  693804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  693812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  693815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  693818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  693836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  693847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  693850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  693866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693869 */     GIR_RootConstrainSelectedInstOperands,
     /*  693870 */     // GIR_Coverage, 10943,
     /*  693870 */     GIR_EraseRootFromParent_Done,
     /*  693871 */   // Label 10986: @693871
     /*  693871 */   GIM_Try, /*On fail goto*//*Label 10987*/ GIMT_Encode4(693946), // Rule ID 10946 //
     /*  693876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  693879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  693896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  693899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  693922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  693925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  693927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  693929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  693931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  693933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  693938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  693941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  693944 */     GIR_RootConstrainSelectedInstOperands,
     /*  693945 */     // GIR_Coverage, 10946,
     /*  693945 */     GIR_EraseRootFromParent_Done,
     /*  693946 */   // Label 10987: @693946
     /*  693946 */   GIM_Try, /*On fail goto*//*Label 10988*/ GIMT_Encode4(694021), // Rule ID 10947 //
     /*  693951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  693954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  693959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  693962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  693965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  693968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  693971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  693974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  693986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  693990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  693997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11414:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  693997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2),
     /*  694000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694019 */     GIR_RootConstrainSelectedInstOperands,
     /*  694020 */     // GIR_Coverage, 10947,
     /*  694020 */     GIR_EraseRootFromParent_Done,
     /*  694021 */   // Label 10988: @694021
     /*  694021 */   GIM_Try, /*On fail goto*//*Label 10989*/ GIMT_Encode4(694096), // Rule ID 10950 //
     /*  694026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  694034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  694037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  694040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  694043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  694075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694094 */     GIR_RootConstrainSelectedInstOperands,
     /*  694095 */     // GIR_Coverage, 10950,
     /*  694095 */     GIR_EraseRootFromParent_Done,
     /*  694096 */   // Label 10989: @694096
     /*  694096 */   GIM_Try, /*On fail goto*//*Label 10990*/ GIMT_Encode4(694171), // Rule ID 10951 //
     /*  694101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  694109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  694112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  694115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  694118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  694136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11414:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4),
     /*  694150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694169 */     GIR_RootConstrainSelectedInstOperands,
     /*  694170 */     // GIR_Coverage, 10951,
     /*  694170 */     GIR_EraseRootFromParent_Done,
     /*  694171 */   // Label 10990: @694171
     /*  694171 */   GIM_Try, /*On fail goto*//*Label 10991*/ GIMT_Encode4(694246), // Rule ID 10954 //
     /*  694176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  694179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  694184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  694187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  694190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  694193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  694196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  694222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  694225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694244 */     GIR_RootConstrainSelectedInstOperands,
     /*  694245 */     // GIR_Coverage, 10954,
     /*  694245 */     GIR_EraseRootFromParent_Done,
     /*  694246 */   // Label 10991: @694246
     /*  694246 */   GIM_Try, /*On fail goto*//*Label 10992*/ GIMT_Encode4(694321), // Rule ID 10955 //
     /*  694251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  694254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax),
     /*  694259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  694262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  694265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  694268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  694271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  694286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  694290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11414:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMAX_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  694297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8),
     /*  694300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  694316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694319 */     GIR_RootConstrainSelectedInstOperands,
     /*  694320 */     // GIR_Coverage, 10955,
     /*  694320 */     GIR_EraseRootFromParent_Done,
     /*  694321 */   // Label 10992: @694321
     /*  694321 */   GIM_Try, /*On fail goto*//*Label 10993*/ GIMT_Encode4(694396), // Rule ID 10958 //
     /*  694326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  694337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  694340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  694343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  694346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  694375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694394 */     GIR_RootConstrainSelectedInstOperands,
     /*  694395 */     // GIR_Coverage, 10958,
     /*  694395 */     GIR_EraseRootFromParent_Done,
     /*  694396 */   // Label 10993: @694396
     /*  694396 */   GIM_Try, /*On fail goto*//*Label 10994*/ GIMT_Encode4(694471), // Rule ID 10959 //
     /*  694401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  694412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  694415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  694418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  694421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8),
     /*  694450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694469 */     GIR_RootConstrainSelectedInstOperands,
     /*  694470 */     // GIR_Coverage, 10959,
     /*  694470 */     GIR_EraseRootFromParent_Done,
     /*  694471 */   // Label 10994: @694471
     /*  694471 */   GIM_Try, /*On fail goto*//*Label 10995*/ GIMT_Encode4(694546), // Rule ID 10962 //
     /*  694476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  694487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  694490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  694493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  694496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694544 */     GIR_RootConstrainSelectedInstOperands,
     /*  694545 */     // GIR_Coverage, 10962,
     /*  694545 */     GIR_EraseRootFromParent_Done,
     /*  694546 */   // Label 10995: @694546
     /*  694546 */   GIM_Try, /*On fail goto*//*Label 10996*/ GIMT_Encode4(694621), // Rule ID 10963 //
     /*  694551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  694562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  694565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  694568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  694571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694619 */     GIR_RootConstrainSelectedInstOperands,
     /*  694620 */     // GIR_Coverage, 10963,
     /*  694620 */     GIR_EraseRootFromParent_Done,
     /*  694621 */   // Label 10996: @694621
     /*  694621 */   GIM_Try, /*On fail goto*//*Label 10997*/ GIMT_Encode4(694696), // Rule ID 10966 //
     /*  694626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  694637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  694640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  694643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  694646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  694672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694694 */     GIR_RootConstrainSelectedInstOperands,
     /*  694695 */     // GIR_Coverage, 10966,
     /*  694695 */     GIR_EraseRootFromParent_Done,
     /*  694696 */   // Label 10997: @694696
     /*  694696 */   GIM_Try, /*On fail goto*//*Label 10998*/ GIMT_Encode4(694771), // Rule ID 10967 //
     /*  694701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  694712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  694715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  694718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  694721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  694747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  694766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694769 */     GIR_RootConstrainSelectedInstOperands,
     /*  694770 */     // GIR_Coverage, 10967,
     /*  694770 */     GIR_EraseRootFromParent_Done,
     /*  694771 */   // Label 10998: @694771
     /*  694771 */   GIM_Try, /*On fail goto*//*Label 10999*/ GIMT_Encode4(694846), // Rule ID 10970 //
     /*  694776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694844 */     GIR_RootConstrainSelectedInstOperands,
     /*  694845 */     // GIR_Coverage, 10970,
     /*  694845 */     GIR_EraseRootFromParent_Done,
     /*  694846 */   // Label 10999: @694846
     /*  694846 */   GIM_Try, /*On fail goto*//*Label 11000*/ GIMT_Encode4(694921), // Rule ID 10971 //
     /*  694851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  694854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  694862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  694865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  694868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  694871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  694874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694897 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  694897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4),
     /*  694900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694919 */     GIR_RootConstrainSelectedInstOperands,
     /*  694920 */     // GIR_Coverage, 10971,
     /*  694920 */     GIR_EraseRootFromParent_Done,
     /*  694921 */   // Label 11000: @694921
     /*  694921 */   GIM_Try, /*On fail goto*//*Label 11001*/ GIMT_Encode4(694996), // Rule ID 10974 //
     /*  694926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  694929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  694934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  694937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  694940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  694943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  694946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  694949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  694965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  694972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  694972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  694975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  694977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  694979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  694981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  694983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  694988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  694991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  694994 */     GIR_RootConstrainSelectedInstOperands,
     /*  694995 */     // GIR_Coverage, 10974,
     /*  694995 */     GIR_EraseRootFromParent_Done,
     /*  694996 */   // Label 11001: @694996
     /*  694996 */   GIM_Try, /*On fail goto*//*Label 11002*/ GIMT_Encode4(695071), // Rule ID 10975 //
     /*  695001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  695012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  695015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  695018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  695021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  695050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695069 */     GIR_RootConstrainSelectedInstOperands,
     /*  695070 */     // GIR_Coverage, 10975,
     /*  695070 */     GIR_EraseRootFromParent_Done,
     /*  695071 */   // Label 11002: @695071
     /*  695071 */   GIM_Try, /*On fail goto*//*Label 11003*/ GIMT_Encode4(695146), // Rule ID 10978 //
     /*  695076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  695087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  695090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  695093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  695096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  695125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695144 */     GIR_RootConstrainSelectedInstOperands,
     /*  695145 */     // GIR_Coverage, 10978,
     /*  695145 */     GIR_EraseRootFromParent_Done,
     /*  695146 */   // Label 11003: @695146
     /*  695146 */   GIM_Try, /*On fail goto*//*Label 11004*/ GIMT_Encode4(695221), // Rule ID 10979 //
     /*  695151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  695162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  695165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  695168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  695171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2),
     /*  695200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695219 */     GIR_RootConstrainSelectedInstOperands,
     /*  695220 */     // GIR_Coverage, 10979,
     /*  695220 */     GIR_EraseRootFromParent_Done,
     /*  695221 */   // Label 11004: @695221
     /*  695221 */   GIM_Try, /*On fail goto*//*Label 11005*/ GIMT_Encode4(695296), // Rule ID 10982 //
     /*  695226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  695237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  695240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  695243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  695246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695294 */     GIR_RootConstrainSelectedInstOperands,
     /*  695295 */     // GIR_Coverage, 10982,
     /*  695295 */     GIR_EraseRootFromParent_Done,
     /*  695296 */   // Label 11005: @695296
     /*  695296 */   GIM_Try, /*On fail goto*//*Label 11006*/ GIMT_Encode4(695371), // Rule ID 10983 //
     /*  695301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  695312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  695315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  695318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  695321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695369 */     GIR_RootConstrainSelectedInstOperands,
     /*  695370 */     // GIR_Coverage, 10983,
     /*  695370 */     GIR_EraseRootFromParent_Done,
     /*  695371 */   // Label 11006: @695371
     /*  695371 */   GIM_Try, /*On fail goto*//*Label 11007*/ GIMT_Encode4(695446), // Rule ID 10986 //
     /*  695376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  695387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  695390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  695393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  695396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  695422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695444 */     GIR_RootConstrainSelectedInstOperands,
     /*  695445 */     // GIR_Coverage, 10986,
     /*  695445 */     GIR_EraseRootFromParent_Done,
     /*  695446 */   // Label 11007: @695446
     /*  695446 */   GIM_Try, /*On fail goto*//*Label 11008*/ GIMT_Encode4(695521), // Rule ID 10987 //
     /*  695451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  695462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  695465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  695468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  695471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  695497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  695516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695519 */     GIR_RootConstrainSelectedInstOperands,
     /*  695520 */     // GIR_Coverage, 10987,
     /*  695520 */     GIR_EraseRootFromParent_Done,
     /*  695521 */   // Label 11008: @695521
     /*  695521 */   GIM_Try, /*On fail goto*//*Label 11009*/ GIMT_Encode4(695596), // Rule ID 10990 //
     /*  695526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  695537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  695540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  695543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  695546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  695572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695594 */     GIR_RootConstrainSelectedInstOperands,
     /*  695595 */     // GIR_Coverage, 10990,
     /*  695595 */     GIR_EraseRootFromParent_Done,
     /*  695596 */   // Label 11009: @695596
     /*  695596 */   GIM_Try, /*On fail goto*//*Label 11010*/ GIMT_Encode4(695671), // Rule ID 10991 //
     /*  695601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  695612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  695615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  695618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  695621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  695647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  695666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695669 */     GIR_RootConstrainSelectedInstOperands,
     /*  695670 */     // GIR_Coverage, 10991,
     /*  695670 */     GIR_EraseRootFromParent_Done,
     /*  695671 */   // Label 11010: @695671
     /*  695671 */   GIM_Try, /*On fail goto*//*Label 11011*/ GIMT_Encode4(695746), // Rule ID 10994 //
     /*  695676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  695679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  695687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  695690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  695693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  695696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  695722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695744 */     GIR_RootConstrainSelectedInstOperands,
     /*  695745 */     // GIR_Coverage, 10994,
     /*  695745 */     GIR_EraseRootFromParent_Done,
     /*  695746 */   // Label 11011: @695746
     /*  695746 */   GIM_Try, /*On fail goto*//*Label 11012*/ GIMT_Encode4(695821), // Rule ID 10995 //
     /*  695751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  695754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  695762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  695765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  695768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  695771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  695790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  695797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1),
     /*  695800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  695816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695819 */     GIR_RootConstrainSelectedInstOperands,
     /*  695820 */     // GIR_Coverage, 10995,
     /*  695820 */     GIR_EraseRootFromParent_Done,
     /*  695821 */   // Label 11012: @695821
     /*  695821 */   GIM_Try, /*On fail goto*//*Label 11013*/ GIMT_Encode4(695896), // Rule ID 10998 //
     /*  695826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  695846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  695872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695894 */     GIR_RootConstrainSelectedInstOperands,
     /*  695895 */     // GIR_Coverage, 10998,
     /*  695895 */     GIR_EraseRootFromParent_Done,
     /*  695896 */   // Label 11013: @695896
     /*  695896 */   GIM_Try, /*On fail goto*//*Label 11014*/ GIMT_Encode4(695971), // Rule ID 10999 //
     /*  695901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  695904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  695912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  695915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  695918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  695921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  695924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  695940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  695947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  695947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  695950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  695952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  695954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  695956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  695958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  695963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  695966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  695969 */     GIR_RootConstrainSelectedInstOperands,
     /*  695970 */     // GIR_Coverage, 10999,
     /*  695970 */     GIR_EraseRootFromParent_Done,
     /*  695971 */   // Label 11014: @695971
     /*  695971 */   GIM_Try, /*On fail goto*//*Label 11015*/ GIMT_Encode4(696046), // Rule ID 11002 //
     /*  695976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  695979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  695984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  695987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  695990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  695993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  695996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  695999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696044 */     GIR_RootConstrainSelectedInstOperands,
     /*  696045 */     // GIR_Coverage, 11002,
     /*  696045 */     GIR_EraseRootFromParent_Done,
     /*  696046 */   // Label 11015: @696046
     /*  696046 */   GIM_Try, /*On fail goto*//*Label 11016*/ GIMT_Encode4(696121), // Rule ID 11003 //
     /*  696051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  696062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  696065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  696068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  696071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696097 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696119 */     GIR_RootConstrainSelectedInstOperands,
     /*  696120 */     // GIR_Coverage, 11003,
     /*  696120 */     GIR_EraseRootFromParent_Done,
     /*  696121 */   // Label 11016: @696121
     /*  696121 */   GIM_Try, /*On fail goto*//*Label 11017*/ GIMT_Encode4(696196), // Rule ID 11006 //
     /*  696126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  696137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  696140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  696143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  696146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  696172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696194 */     GIR_RootConstrainSelectedInstOperands,
     /*  696195 */     // GIR_Coverage, 11006,
     /*  696195 */     GIR_EraseRootFromParent_Done,
     /*  696196 */   // Label 11017: @696196
     /*  696196 */   GIM_Try, /*On fail goto*//*Label 11018*/ GIMT_Encode4(696271), // Rule ID 11007 //
     /*  696201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  696212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  696215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  696218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  696221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696247 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  696247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  696266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696269 */     GIR_RootConstrainSelectedInstOperands,
     /*  696270 */     // GIR_Coverage, 11007,
     /*  696270 */     GIR_EraseRootFromParent_Done,
     /*  696271 */   // Label 11018: @696271
     /*  696271 */   GIM_Try, /*On fail goto*//*Label 11019*/ GIMT_Encode4(696346), // Rule ID 11010 //
     /*  696276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  696287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  696290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  696293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  696296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696344 */     GIR_RootConstrainSelectedInstOperands,
     /*  696345 */     // GIR_Coverage, 11010,
     /*  696345 */     GIR_EraseRootFromParent_Done,
     /*  696346 */   // Label 11019: @696346
     /*  696346 */   GIM_Try, /*On fail goto*//*Label 11020*/ GIMT_Encode4(696421), // Rule ID 11011 //
     /*  696351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  696362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  696365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  696368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  696371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696419 */     GIR_RootConstrainSelectedInstOperands,
     /*  696420 */     // GIR_Coverage, 11011,
     /*  696420 */     GIR_EraseRootFromParent_Done,
     /*  696421 */   // Label 11020: @696421
     /*  696421 */   GIM_Try, /*On fail goto*//*Label 11021*/ GIMT_Encode4(696496), // Rule ID 11014 //
     /*  696426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  696437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  696440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  696443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  696446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696494 */     GIR_RootConstrainSelectedInstOperands,
     /*  696495 */     // GIR_Coverage, 11014,
     /*  696495 */     GIR_EraseRootFromParent_Done,
     /*  696496 */   // Label 11021: @696496
     /*  696496 */   GIM_Try, /*On fail goto*//*Label 11022*/ GIMT_Encode4(696571), // Rule ID 11015 //
     /*  696501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  696512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  696515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  696518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  696521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696569 */     GIR_RootConstrainSelectedInstOperands,
     /*  696570 */     // GIR_Coverage, 11015,
     /*  696570 */     GIR_EraseRootFromParent_Done,
     /*  696571 */   // Label 11022: @696571
     /*  696571 */   GIM_Try, /*On fail goto*//*Label 11023*/ GIMT_Encode4(696646), // Rule ID 11018 //
     /*  696576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  696587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  696590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  696593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  696596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  696622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696644 */     GIR_RootConstrainSelectedInstOperands,
     /*  696645 */     // GIR_Coverage, 11018,
     /*  696645 */     GIR_EraseRootFromParent_Done,
     /*  696646 */   // Label 11023: @696646
     /*  696646 */   GIM_Try, /*On fail goto*//*Label 11024*/ GIMT_Encode4(696721), // Rule ID 11019 //
     /*  696651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  696662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  696665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  696668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  696671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  696690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696697 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  696697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  696700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  696716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696719 */     GIR_RootConstrainSelectedInstOperands,
     /*  696720 */     // GIR_Coverage, 11019,
     /*  696720 */     GIR_EraseRootFromParent_Done,
     /*  696721 */   // Label 11024: @696721
     /*  696721 */   GIM_Try, /*On fail goto*//*Label 11025*/ GIMT_Encode4(696796), // Rule ID 11022 //
     /*  696726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696794 */     GIR_RootConstrainSelectedInstOperands,
     /*  696795 */     // GIR_Coverage, 11022,
     /*  696795 */     GIR_EraseRootFromParent_Done,
     /*  696796 */   // Label 11025: @696796
     /*  696796 */   GIM_Try, /*On fail goto*//*Label 11026*/ GIMT_Encode4(696871), // Rule ID 11023 //
     /*  696801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  696812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  696815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  696818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  696821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  696840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  696850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696869 */     GIR_RootConstrainSelectedInstOperands,
     /*  696870 */     // GIR_Coverage, 11023,
     /*  696870 */     GIR_EraseRootFromParent_Done,
     /*  696871 */   // Label 11026: @696871
     /*  696871 */   GIM_Try, /*On fail goto*//*Label 11027*/ GIMT_Encode4(696946), // Rule ID 11026 //
     /*  696876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  696879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  696899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  696922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  696925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  696927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  696929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  696931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  696933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  696938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  696941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  696944 */     GIR_RootConstrainSelectedInstOperands,
     /*  696945 */     // GIR_Coverage, 11026,
     /*  696945 */     GIR_EraseRootFromParent_Done,
     /*  696946 */   // Label 11027: @696946
     /*  696946 */   GIM_Try, /*On fail goto*//*Label 11028*/ GIMT_Encode4(697021), // Rule ID 11027 //
     /*  696951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  696954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  696959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  696962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  696965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  696968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  696971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  696974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  696990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  696997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  696997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  697000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697019 */     GIR_RootConstrainSelectedInstOperands,
     /*  697020 */     // GIR_Coverage, 11027,
     /*  697020 */     GIR_EraseRootFromParent_Done,
     /*  697021 */   // Label 11028: @697021
     /*  697021 */   GIM_Try, /*On fail goto*//*Label 11029*/ GIMT_Encode4(697096), // Rule ID 11030 //
     /*  697026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  697037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  697040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  697043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  697046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  697072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  697075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697094 */     GIR_RootConstrainSelectedInstOperands,
     /*  697095 */     // GIR_Coverage, 11030,
     /*  697095 */     GIR_EraseRootFromParent_Done,
     /*  697096 */   // Label 11029: @697096
     /*  697096 */   GIM_Try, /*On fail goto*//*Label 11030*/ GIMT_Encode4(697171), // Rule ID 11031 //
     /*  697101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  697112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  697115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  697118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  697121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  697147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  697150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  697166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697169 */     GIR_RootConstrainSelectedInstOperands,
     /*  697170 */     // GIR_Coverage, 11031,
     /*  697170 */     GIR_EraseRootFromParent_Done,
     /*  697171 */   // Label 11030: @697171
     /*  697171 */   GIM_Try, /*On fail goto*//*Label 11031*/ GIMT_Encode4(697246), // Rule ID 11034 //
     /*  697176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  697179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  697187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  697190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  697193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  697196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  697222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  697225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697244 */     GIR_RootConstrainSelectedInstOperands,
     /*  697245 */     // GIR_Coverage, 11034,
     /*  697245 */     GIR_EraseRootFromParent_Done,
     /*  697246 */   // Label 11031: @697246
     /*  697246 */   GIM_Try, /*On fail goto*//*Label 11032*/ GIMT_Encode4(697321), // Rule ID 11035 //
     /*  697251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  697254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  697262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  697265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  697268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  697271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  697290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  697297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2),
     /*  697300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697319 */     GIR_RootConstrainSelectedInstOperands,
     /*  697320 */     // GIR_Coverage, 11035,
     /*  697320 */     GIR_EraseRootFromParent_Done,
     /*  697321 */   // Label 11032: @697321
     /*  697321 */   GIM_Try, /*On fail goto*//*Label 11033*/ GIMT_Encode4(697396), // Rule ID 11038 //
     /*  697326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  697329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  697337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  697340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  697343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  697346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  697372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  697375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697394 */     GIR_RootConstrainSelectedInstOperands,
     /*  697395 */     // GIR_Coverage, 11038,
     /*  697395 */     GIR_EraseRootFromParent_Done,
     /*  697396 */   // Label 11033: @697396
     /*  697396 */   GIM_Try, /*On fail goto*//*Label 11034*/ GIMT_Encode4(697471), // Rule ID 11039 //
     /*  697401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  697404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  697412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  697415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  697418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  697421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  697440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697447 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  697447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4),
     /*  697450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697469 */     GIR_RootConstrainSelectedInstOperands,
     /*  697470 */     // GIR_Coverage, 11039,
     /*  697470 */     GIR_EraseRootFromParent_Done,
     /*  697471 */   // Label 11034: @697471
     /*  697471 */   GIM_Try, /*On fail goto*//*Label 11035*/ GIMT_Encode4(697546), // Rule ID 11042 //
     /*  697476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  697479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  697487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  697490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  697493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  697496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  697522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  697525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697544 */     GIR_RootConstrainSelectedInstOperands,
     /*  697545 */     // GIR_Coverage, 11042,
     /*  697545 */     GIR_EraseRootFromParent_Done,
     /*  697546 */   // Label 11035: @697546
     /*  697546 */   GIM_Try, /*On fail goto*//*Label 11036*/ GIMT_Encode4(697621), // Rule ID 11043 //
     /*  697551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  697554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  697562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  697565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  697568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  697571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  697590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  697597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8),
     /*  697600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  697616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697619 */     GIR_RootConstrainSelectedInstOperands,
     /*  697620 */     // GIR_Coverage, 11043,
     /*  697620 */     GIR_EraseRootFromParent_Done,
     /*  697621 */   // Label 11036: @697621
     /*  697621 */   GIM_Try, /*On fail goto*//*Label 11037*/ GIMT_Encode4(697696), // Rule ID 11046 //
     /*  697626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  697675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697694 */     GIR_RootConstrainSelectedInstOperands,
     /*  697695 */     // GIR_Coverage, 11046,
     /*  697695 */     GIR_EraseRootFromParent_Done,
     /*  697696 */   // Label 11037: @697696
     /*  697696 */   GIM_Try, /*On fail goto*//*Label 11038*/ GIMT_Encode4(697771), // Rule ID 11047 //
     /*  697701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  697712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  697715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  697718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8),
     /*  697750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697769 */     GIR_RootConstrainSelectedInstOperands,
     /*  697770 */     // GIR_Coverage, 11047,
     /*  697770 */     GIR_EraseRootFromParent_Done,
     /*  697771 */   // Label 11038: @697771
     /*  697771 */   GIM_Try, /*On fail goto*//*Label 11039*/ GIMT_Encode4(697846), // Rule ID 11050 //
     /*  697776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  697787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  697790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  697793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697844 */     GIR_RootConstrainSelectedInstOperands,
     /*  697845 */     // GIR_Coverage, 11050,
     /*  697845 */     GIR_EraseRootFromParent_Done,
     /*  697846 */   // Label 11039: @697846
     /*  697846 */   GIM_Try, /*On fail goto*//*Label 11040*/ GIMT_Encode4(697921), // Rule ID 11051 //
     /*  697851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  697854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  697862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  697865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  697868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  697871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  697874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  697897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  697900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697919 */     GIR_RootConstrainSelectedInstOperands,
     /*  697920 */     // GIR_Coverage, 11051,
     /*  697920 */     GIR_EraseRootFromParent_Done,
     /*  697921 */   // Label 11040: @697921
     /*  697921 */   GIM_Try, /*On fail goto*//*Label 11041*/ GIMT_Encode4(697996), // Rule ID 11054 //
     /*  697926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  697929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  697934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  697937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  697940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  697943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  697946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  697949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  697961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  697965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  697972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  697972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  697975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  697977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  697979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  697981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  697983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  697988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  697991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  697994 */     GIR_RootConstrainSelectedInstOperands,
     /*  697995 */     // GIR_Coverage, 11054,
     /*  697995 */     GIR_EraseRootFromParent_Done,
     /*  697996 */   // Label 11041: @697996
     /*  697996 */   GIM_Try, /*On fail goto*//*Label 11042*/ GIMT_Encode4(698071), // Rule ID 11055 //
     /*  698001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  698012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  698015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  698018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698047 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  698050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698069 */     GIR_RootConstrainSelectedInstOperands,
     /*  698070 */     // GIR_Coverage, 11055,
     /*  698070 */     GIR_EraseRootFromParent_Done,
     /*  698071 */   // Label 11042: @698071
     /*  698071 */   GIM_Try, /*On fail goto*//*Label 11043*/ GIMT_Encode4(698146), // Rule ID 11058 //
     /*  698076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  698125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698144 */     GIR_RootConstrainSelectedInstOperands,
     /*  698145 */     // GIR_Coverage, 11058,
     /*  698145 */     GIR_EraseRootFromParent_Done,
     /*  698146 */   // Label 11043: @698146
     /*  698146 */   GIM_Try, /*On fail goto*//*Label 11044*/ GIMT_Encode4(698221), // Rule ID 11059 //
     /*  698151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  698162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  698165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  698168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698197 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4),
     /*  698200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698219 */     GIR_RootConstrainSelectedInstOperands,
     /*  698220 */     // GIR_Coverage, 11059,
     /*  698220 */     GIR_EraseRootFromParent_Done,
     /*  698221 */   // Label 11044: @698221
     /*  698221 */   GIM_Try, /*On fail goto*//*Label 11045*/ GIMT_Encode4(698296), // Rule ID 11062 //
     /*  698226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  698237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  698240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  698243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  698275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698294 */     GIR_RootConstrainSelectedInstOperands,
     /*  698295 */     // GIR_Coverage, 11062,
     /*  698295 */     GIR_EraseRootFromParent_Done,
     /*  698296 */   // Label 11045: @698296
     /*  698296 */   GIM_Try, /*On fail goto*//*Label 11046*/ GIMT_Encode4(698371), // Rule ID 11063 //
     /*  698301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  698312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  698315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  698318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698347 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  698350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698369 */     GIR_RootConstrainSelectedInstOperands,
     /*  698370 */     // GIR_Coverage, 11063,
     /*  698370 */     GIR_EraseRootFromParent_Done,
     /*  698371 */   // Label 11046: @698371
     /*  698371 */   GIM_Try, /*On fail goto*//*Label 11047*/ GIMT_Encode4(698446), // Rule ID 11066 //
     /*  698376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  698387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  698390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  698393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  698425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698444 */     GIR_RootConstrainSelectedInstOperands,
     /*  698445 */     // GIR_Coverage, 11066,
     /*  698445 */     GIR_EraseRootFromParent_Done,
     /*  698446 */   // Label 11047: @698446
     /*  698446 */   GIM_Try, /*On fail goto*//*Label 11048*/ GIMT_Encode4(698521), // Rule ID 11067 //
     /*  698451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  698462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  698465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  698468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2),
     /*  698500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698519 */     GIR_RootConstrainSelectedInstOperands,
     /*  698520 */     // GIR_Coverage, 11067,
     /*  698520 */     GIR_EraseRootFromParent_Done,
     /*  698521 */   // Label 11048: @698521
     /*  698521 */   GIM_Try, /*On fail goto*//*Label 11049*/ GIMT_Encode4(698596), // Rule ID 11070 //
     /*  698526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  698537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  698540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  698543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  698572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698594 */     GIR_RootConstrainSelectedInstOperands,
     /*  698595 */     // GIR_Coverage, 11070,
     /*  698595 */     GIR_EraseRootFromParent_Done,
     /*  698596 */   // Label 11049: @698596
     /*  698596 */   GIM_Try, /*On fail goto*//*Label 11050*/ GIMT_Encode4(698671), // Rule ID 11071 //
     /*  698601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  698612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  698615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  698618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11469:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  698647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  698666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698669 */     GIR_RootConstrainSelectedInstOperands,
     /*  698670 */     // GIR_Coverage, 11071,
     /*  698670 */     GIR_EraseRootFromParent_Done,
     /*  698671 */   // Label 11050: @698671
     /*  698671 */   GIM_Try, /*On fail goto*//*Label 11051*/ GIMT_Encode4(698746), // Rule ID 11074 //
     /*  698676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  698722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698744 */     GIR_RootConstrainSelectedInstOperands,
     /*  698745 */     // GIR_Coverage, 11074,
     /*  698745 */     GIR_EraseRootFromParent_Done,
     /*  698746 */   // Label 11051: @698746
     /*  698746 */   GIM_Try, /*On fail goto*//*Label 11052*/ GIMT_Encode4(698821), // Rule ID 11075 //
     /*  698751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  698762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  698765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  698768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11469:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  698797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  698816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698819 */     GIR_RootConstrainSelectedInstOperands,
     /*  698820 */     // GIR_Coverage, 11075,
     /*  698820 */     GIR_EraseRootFromParent_Done,
     /*  698821 */   // Label 11052: @698821
     /*  698821 */   GIM_Try, /*On fail goto*//*Label 11053*/ GIMT_Encode4(698896), // Rule ID 11078 //
     /*  698826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  698829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  698872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698894 */     GIR_RootConstrainSelectedInstOperands,
     /*  698895 */     // GIR_Coverage, 11078,
     /*  698895 */     GIR_EraseRootFromParent_Done,
     /*  698896 */   // Label 11053: @698896
     /*  698896 */   GIM_Try, /*On fail goto*//*Label 11054*/ GIMT_Encode4(698971), // Rule ID 11079 //
     /*  698901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  698904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  698912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  698915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  698918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  698921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  698924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  698936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  698940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  698947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11469:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  698947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  698950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  698952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  698954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  698956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  698958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  698963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  698966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  698969 */     GIR_RootConstrainSelectedInstOperands,
     /*  698970 */     // GIR_Coverage, 11079,
     /*  698970 */     GIR_EraseRootFromParent_Done,
     /*  698971 */   // Label 11054: @698971
     /*  698971 */   GIM_Try, /*On fail goto*//*Label 11055*/ GIMT_Encode4(699046), // Rule ID 11082 //
     /*  698976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  698979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  698984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  698987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  698990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  698993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  698996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  698999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  699022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  699025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699044 */     GIR_RootConstrainSelectedInstOperands,
     /*  699045 */     // GIR_Coverage, 11082,
     /*  699045 */     GIR_EraseRootFromParent_Done,
     /*  699046 */   // Label 11055: @699046
     /*  699046 */   GIM_Try, /*On fail goto*//*Label 11056*/ GIMT_Encode4(699121), // Rule ID 11083 //
     /*  699051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  699054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  699062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  699065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  699068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  699086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11469:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  699097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1),
     /*  699100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  699116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699119 */     GIR_RootConstrainSelectedInstOperands,
     /*  699120 */     // GIR_Coverage, 11083,
     /*  699120 */     GIR_EraseRootFromParent_Done,
     /*  699121 */   // Label 11056: @699121
     /*  699121 */   GIM_Try, /*On fail goto*//*Label 11057*/ GIMT_Encode4(699196), // Rule ID 11086 //
     /*  699126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  699137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  699140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  699143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699194 */     GIR_RootConstrainSelectedInstOperands,
     /*  699195 */     // GIR_Coverage, 11086,
     /*  699195 */     GIR_EraseRootFromParent_Done,
     /*  699196 */   // Label 11057: @699196
     /*  699196 */   GIM_Try, /*On fail goto*//*Label 11058*/ GIMT_Encode4(699271), // Rule ID 11087 //
     /*  699201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  699212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  699215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  699218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699269 */     GIR_RootConstrainSelectedInstOperands,
     /*  699270 */     // GIR_Coverage, 11087,
     /*  699270 */     GIR_EraseRootFromParent_Done,
     /*  699271 */   // Label 11058: @699271
     /*  699271 */   GIM_Try, /*On fail goto*//*Label 11059*/ GIMT_Encode4(699346), // Rule ID 11090 //
     /*  699276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  699287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  699290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  699293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699344 */     GIR_RootConstrainSelectedInstOperands,
     /*  699345 */     // GIR_Coverage, 11090,
     /*  699345 */     GIR_EraseRootFromParent_Done,
     /*  699346 */   // Label 11059: @699346
     /*  699346 */   GIM_Try, /*On fail goto*//*Label 11060*/ GIMT_Encode4(699421), // Rule ID 11091 //
     /*  699351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  699362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  699365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  699368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699397 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699419 */     GIR_RootConstrainSelectedInstOperands,
     /*  699420 */     // GIR_Coverage, 11091,
     /*  699420 */     GIR_EraseRootFromParent_Done,
     /*  699421 */   // Label 11060: @699421
     /*  699421 */   GIM_Try, /*On fail goto*//*Label 11061*/ GIMT_Encode4(699496), // Rule ID 11094 //
     /*  699426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  699437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  699440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  699443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  699472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699494 */     GIR_RootConstrainSelectedInstOperands,
     /*  699495 */     // GIR_Coverage, 11094,
     /*  699495 */     GIR_EraseRootFromParent_Done,
     /*  699496 */   // Label 11061: @699496
     /*  699496 */   GIM_Try, /*On fail goto*//*Label 11062*/ GIMT_Encode4(699571), // Rule ID 11095 //
     /*  699501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  699512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  699515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  699518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  699547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  699566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699569 */     GIR_RootConstrainSelectedInstOperands,
     /*  699570 */     // GIR_Coverage, 11095,
     /*  699570 */     GIR_EraseRootFromParent_Done,
     /*  699571 */   // Label 11062: @699571
     /*  699571 */   GIM_Try, /*On fail goto*//*Label 11063*/ GIMT_Encode4(699646), // Rule ID 11098 //
     /*  699576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699644 */     GIR_RootConstrainSelectedInstOperands,
     /*  699645 */     // GIR_Coverage, 11098,
     /*  699645 */     GIR_EraseRootFromParent_Done,
     /*  699646 */   // Label 11063: @699646
     /*  699646 */   GIM_Try, /*On fail goto*//*Label 11064*/ GIMT_Encode4(699721), // Rule ID 11099 //
     /*  699651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  699662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  699665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  699668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  699686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  699700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699719 */     GIR_RootConstrainSelectedInstOperands,
     /*  699720 */     // GIR_Coverage, 11099,
     /*  699720 */     GIR_EraseRootFromParent_Done,
     /*  699721 */   // Label 11064: @699721
     /*  699721 */   GIM_Try, /*On fail goto*//*Label 11065*/ GIMT_Encode4(699796), // Rule ID 11102 //
     /*  699726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699794 */     GIR_RootConstrainSelectedInstOperands,
     /*  699795 */     // GIR_Coverage, 11102,
     /*  699795 */     GIR_EraseRootFromParent_Done,
     /*  699796 */   // Label 11065: @699796
     /*  699796 */   GIM_Try, /*On fail goto*//*Label 11066*/ GIMT_Encode4(699871), // Rule ID 11103 //
     /*  699801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  699812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  699815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  699818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  699836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  699850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699869 */     GIR_RootConstrainSelectedInstOperands,
     /*  699870 */     // GIR_Coverage, 11103,
     /*  699870 */     GIR_EraseRootFromParent_Done,
     /*  699871 */   // Label 11066: @699871
     /*  699871 */   GIM_Try, /*On fail goto*//*Label 11067*/ GIMT_Encode4(699946), // Rule ID 11106 //
     /*  699876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  699879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  699896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  699899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  699922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  699925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  699927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  699929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  699931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  699933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  699938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  699941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  699944 */     GIR_RootConstrainSelectedInstOperands,
     /*  699945 */     // GIR_Coverage, 11106,
     /*  699945 */     GIR_EraseRootFromParent_Done,
     /*  699946 */   // Label 11067: @699946
     /*  699946 */   GIM_Try, /*On fail goto*//*Label 11068*/ GIMT_Encode4(700021), // Rule ID 11107 //
     /*  699951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  699954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  699959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  699962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  699965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  699968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  699971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  699974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  699986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  699990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  699997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  699997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  700016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700019 */     GIR_RootConstrainSelectedInstOperands,
     /*  700020 */     // GIR_Coverage, 11107,
     /*  700020 */     GIR_EraseRootFromParent_Done,
     /*  700021 */   // Label 11068: @700021
     /*  700021 */   GIM_Try, /*On fail goto*//*Label 11069*/ GIMT_Encode4(700096), // Rule ID 11110 //
     /*  700026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  700075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700094 */     GIR_RootConstrainSelectedInstOperands,
     /*  700095 */     // GIR_Coverage, 11110,
     /*  700095 */     GIR_EraseRootFromParent_Done,
     /*  700096 */   // Label 11069: @700096
     /*  700096 */   GIM_Try, /*On fail goto*//*Label 11070*/ GIMT_Encode4(700171), // Rule ID 11111 //
     /*  700101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  700112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  700115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  700118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  700150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700169 */     GIR_RootConstrainSelectedInstOperands,
     /*  700170 */     // GIR_Coverage, 11111,
     /*  700170 */     GIR_EraseRootFromParent_Done,
     /*  700171 */   // Label 11070: @700171
     /*  700171 */   GIM_Try, /*On fail goto*//*Label 11071*/ GIMT_Encode4(700246), // Rule ID 11114 //
     /*  700176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  700225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700244 */     GIR_RootConstrainSelectedInstOperands,
     /*  700245 */     // GIR_Coverage, 11114,
     /*  700245 */     GIR_EraseRootFromParent_Done,
     /*  700246 */   // Label 11071: @700246
     /*  700246 */   GIM_Try, /*On fail goto*//*Label 11072*/ GIMT_Encode4(700321), // Rule ID 11115 //
     /*  700251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  700262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  700265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  700268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  700300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700319 */     GIR_RootConstrainSelectedInstOperands,
     /*  700320 */     // GIR_Coverage, 11115,
     /*  700320 */     GIR_EraseRootFromParent_Done,
     /*  700321 */   // Label 11072: @700321
     /*  700321 */   GIM_Try, /*On fail goto*//*Label 11073*/ GIMT_Encode4(700396), // Rule ID 11118 //
     /*  700326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  700372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700394 */     GIR_RootConstrainSelectedInstOperands,
     /*  700395 */     // GIR_Coverage, 11118,
     /*  700395 */     GIR_EraseRootFromParent_Done,
     /*  700396 */   // Label 11073: @700396
     /*  700396 */   GIM_Try, /*On fail goto*//*Label 11074*/ GIMT_Encode4(700471), // Rule ID 11119 //
     /*  700401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  700404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  700412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  700415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  700418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700447 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  700447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  700466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700469 */     GIR_RootConstrainSelectedInstOperands,
     /*  700470 */     // GIR_Coverage, 11119,
     /*  700470 */     GIR_EraseRootFromParent_Done,
     /*  700471 */   // Label 11074: @700471
     /*  700471 */   GIM_Try, /*On fail goto*//*Label 11075*/ GIMT_Encode4(700546), // Rule ID 11122 //
     /*  700476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  700479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  700487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  700490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  700493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  700525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700544 */     GIR_RootConstrainSelectedInstOperands,
     /*  700545 */     // GIR_Coverage, 11122,
     /*  700545 */     GIR_EraseRootFromParent_Done,
     /*  700546 */   // Label 11075: @700546
     /*  700546 */   GIM_Try, /*On fail goto*//*Label 11076*/ GIMT_Encode4(700621), // Rule ID 11123 //
     /*  700551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  700554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  700562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  700565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  700568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  700586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11469:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2),
     /*  700600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700619 */     GIR_RootConstrainSelectedInstOperands,
     /*  700620 */     // GIR_Coverage, 11123,
     /*  700620 */     GIR_EraseRootFromParent_Done,
     /*  700621 */   // Label 11076: @700621
     /*  700621 */   GIM_Try, /*On fail goto*//*Label 11077*/ GIMT_Encode4(700696), // Rule ID 11126 //
     /*  700626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  700629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  700637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  700640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  700643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  700675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700694 */     GIR_RootConstrainSelectedInstOperands,
     /*  700695 */     // GIR_Coverage, 11126,
     /*  700695 */     GIR_EraseRootFromParent_Done,
     /*  700696 */   // Label 11077: @700696
     /*  700696 */   GIM_Try, /*On fail goto*//*Label 11078*/ GIMT_Encode4(700771), // Rule ID 11127 //
     /*  700701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  700704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  700712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  700715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  700718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  700736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11469:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4),
     /*  700750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700769 */     GIR_RootConstrainSelectedInstOperands,
     /*  700770 */     // GIR_Coverage, 11127,
     /*  700770 */     GIR_EraseRootFromParent_Done,
     /*  700771 */   // Label 11078: @700771
     /*  700771 */   GIM_Try, /*On fail goto*//*Label 11079*/ GIMT_Encode4(700846), // Rule ID 11130 //
     /*  700776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  700779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  700787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  700790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  700793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  700796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  700822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700844 */     GIR_RootConstrainSelectedInstOperands,
     /*  700845 */     // GIR_Coverage, 11130,
     /*  700845 */     GIR_EraseRootFromParent_Done,
     /*  700846 */   // Label 11079: @700846
     /*  700846 */   GIM_Try, /*On fail goto*//*Label 11080*/ GIMT_Encode4(700921), // Rule ID 11131 //
     /*  700851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  700854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul),
     /*  700859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  700862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  700865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  700868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  700871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  700874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  700886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  700890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700897 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11469:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  700897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8),
     /*  700900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  700916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700919 */     GIR_RootConstrainSelectedInstOperands,
     /*  700920 */     // GIR_Coverage, 11131,
     /*  700920 */     GIR_EraseRootFromParent_Done,
     /*  700921 */   // Label 11080: @700921
     /*  700921 */   GIM_Try, /*On fail goto*//*Label 11081*/ GIMT_Encode4(700996), // Rule ID 11134 //
     /*  700926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  700929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  700934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  700937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  700940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  700943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  700946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  700949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  700965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  700972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  700972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  700975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  700977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  700979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  700981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  700983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  700988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  700991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  700994 */     GIR_RootConstrainSelectedInstOperands,
     /*  700995 */     // GIR_Coverage, 11134,
     /*  700995 */     GIR_EraseRootFromParent_Done,
     /*  700996 */   // Label 11081: @700996
     /*  700996 */   GIM_Try, /*On fail goto*//*Label 11082*/ GIMT_Encode4(701071), // Rule ID 11135 //
     /*  701001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  701012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  701015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  701018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  701021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701047 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /*  701050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701069 */     GIR_RootConstrainSelectedInstOperands,
     /*  701070 */     // GIR_Coverage, 11135,
     /*  701070 */     GIR_EraseRootFromParent_Done,
     /*  701071 */   // Label 11082: @701071
     /*  701071 */   GIM_Try, /*On fail goto*//*Label 11083*/ GIMT_Encode4(701146), // Rule ID 11138 //
     /*  701076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  701125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701144 */     GIR_RootConstrainSelectedInstOperands,
     /*  701145 */     // GIR_Coverage, 11138,
     /*  701145 */     GIR_EraseRootFromParent_Done,
     /*  701146 */   // Label 11083: @701146
     /*  701146 */   GIM_Try, /*On fail goto*//*Label 11084*/ GIMT_Encode4(701221), // Rule ID 11139 //
     /*  701151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  701162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  701165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  701168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  701171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  701200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701219 */     GIR_RootConstrainSelectedInstOperands,
     /*  701220 */     // GIR_Coverage, 11139,
     /*  701220 */     GIR_EraseRootFromParent_Done,
     /*  701221 */   // Label 11084: @701221
     /*  701221 */   GIM_Try, /*On fail goto*//*Label 11085*/ GIMT_Encode4(701296), // Rule ID 11142 //
     /*  701226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701294 */     GIR_RootConstrainSelectedInstOperands,
     /*  701295 */     // GIR_Coverage, 11142,
     /*  701295 */     GIR_EraseRootFromParent_Done,
     /*  701296 */   // Label 11085: @701296
     /*  701296 */   GIM_Try, /*On fail goto*//*Label 11086*/ GIMT_Encode4(701371), // Rule ID 11143 //
     /*  701301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  701312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  701315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  701318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  701321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701369 */     GIR_RootConstrainSelectedInstOperands,
     /*  701370 */     // GIR_Coverage, 11143,
     /*  701370 */     GIR_EraseRootFromParent_Done,
     /*  701371 */   // Label 11086: @701371
     /*  701371 */   GIM_Try, /*On fail goto*//*Label 11087*/ GIMT_Encode4(701446), // Rule ID 11146 //
     /*  701376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  701425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701444 */     GIR_RootConstrainSelectedInstOperands,
     /*  701445 */     // GIR_Coverage, 11146,
     /*  701445 */     GIR_EraseRootFromParent_Done,
     /*  701446 */   // Label 11087: @701446
     /*  701446 */   GIM_Try, /*On fail goto*//*Label 11088*/ GIMT_Encode4(701521), // Rule ID 11147 //
     /*  701451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  701462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  701465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  701468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  701471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /*  701500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701519 */     GIR_RootConstrainSelectedInstOperands,
     /*  701520 */     // GIR_Coverage, 11147,
     /*  701520 */     GIR_EraseRootFromParent_Done,
     /*  701521 */   // Label 11088: @701521
     /*  701521 */   GIM_Try, /*On fail goto*//*Label 11089*/ GIMT_Encode4(701596), // Rule ID 11150 //
     /*  701526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  701572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701594 */     GIR_RootConstrainSelectedInstOperands,
     /*  701595 */     // GIR_Coverage, 11150,
     /*  701595 */     GIR_EraseRootFromParent_Done,
     /*  701596 */   // Label 11089: @701596
     /*  701596 */   GIM_Try, /*On fail goto*//*Label 11090*/ GIMT_Encode4(701671), // Rule ID 11151 //
     /*  701601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  701612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  701615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  701618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  701621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  701647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  701666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701669 */     GIR_RootConstrainSelectedInstOperands,
     /*  701670 */     // GIR_Coverage, 11151,
     /*  701670 */     GIR_EraseRootFromParent_Done,
     /*  701671 */   // Label 11090: @701671
     /*  701671 */   GIM_Try, /*On fail goto*//*Label 11091*/ GIMT_Encode4(701746), // Rule ID 11154 //
     /*  701676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  701722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701744 */     GIR_RootConstrainSelectedInstOperands,
     /*  701745 */     // GIR_Coverage, 11154,
     /*  701745 */     GIR_EraseRootFromParent_Done,
     /*  701746 */   // Label 11091: @701746
     /*  701746 */   GIM_Try, /*On fail goto*//*Label 11092*/ GIMT_Encode4(701821), // Rule ID 11155 //
     /*  701751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  701762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  701765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  701768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  701771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  701797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /*  701800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  701816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701819 */     GIR_RootConstrainSelectedInstOperands,
     /*  701820 */     // GIR_Coverage, 11155,
     /*  701820 */     GIR_EraseRootFromParent_Done,
     /*  701821 */   // Label 11092: @701821
     /*  701821 */   GIM_Try, /*On fail goto*//*Label 11093*/ GIMT_Encode4(701896), // Rule ID 11158 //
     /*  701826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  701872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701894 */     GIR_RootConstrainSelectedInstOperands,
     /*  701895 */     // GIR_Coverage, 11158,
     /*  701895 */     GIR_EraseRootFromParent_Done,
     /*  701896 */   // Label 11093: @701896
     /*  701896 */   GIM_Try, /*On fail goto*//*Label 11094*/ GIMT_Encode4(701971), // Rule ID 11159 //
     /*  701901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  701904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  701912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  701915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  701918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  701921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  701924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  701940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  701947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  701947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  701950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  701952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  701954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  701956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  701958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  701963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  701966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  701969 */     GIR_RootConstrainSelectedInstOperands,
     /*  701970 */     // GIR_Coverage, 11159,
     /*  701970 */     GIR_EraseRootFromParent_Done,
     /*  701971 */   // Label 11094: @701971
     /*  701971 */   GIM_Try, /*On fail goto*//*Label 11095*/ GIMT_Encode4(702046), // Rule ID 11162 //
     /*  701976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  701979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  701984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  701987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  701990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  701993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  701996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  701999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  702025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702044 */     GIR_RootConstrainSelectedInstOperands,
     /*  702045 */     // GIR_Coverage, 11162,
     /*  702045 */     GIR_EraseRootFromParent_Done,
     /*  702046 */   // Label 11095: @702046
     /*  702046 */   GIM_Try, /*On fail goto*//*Label 11096*/ GIMT_Encode4(702121), // Rule ID 11163 //
     /*  702051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  702062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  702065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  702068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  702071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  702100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702119 */     GIR_RootConstrainSelectedInstOperands,
     /*  702120 */     // GIR_Coverage, 11163,
     /*  702120 */     GIR_EraseRootFromParent_Done,
     /*  702121 */   // Label 11096: @702121
     /*  702121 */   GIM_Try, /*On fail goto*//*Label 11097*/ GIMT_Encode4(702196), // Rule ID 11166 //
     /*  702126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  702172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  702175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702194 */     GIR_RootConstrainSelectedInstOperands,
     /*  702195 */     // GIR_Coverage, 11166,
     /*  702195 */     GIR_EraseRootFromParent_Done,
     /*  702196 */   // Label 11097: @702196
     /*  702196 */   GIM_Try, /*On fail goto*//*Label 11098*/ GIMT_Encode4(702271), // Rule ID 11167 //
     /*  702201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  702212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  702215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  702218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  702221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  702240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  702247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  702250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  702266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702269 */     GIR_RootConstrainSelectedInstOperands,
     /*  702270 */     // GIR_Coverage, 11167,
     /*  702270 */     GIR_EraseRootFromParent_Done,
     /*  702271 */   // Label 11098: @702271
     /*  702271 */   GIM_Try, /*On fail goto*//*Label 11099*/ GIMT_Encode4(702346), // Rule ID 11170 //
     /*  702276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702322 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702344 */     GIR_RootConstrainSelectedInstOperands,
     /*  702345 */     // GIR_Coverage, 11170,
     /*  702345 */     GIR_EraseRootFromParent_Done,
     /*  702346 */   // Label 11099: @702346
     /*  702346 */   GIM_Try, /*On fail goto*//*Label 11100*/ GIMT_Encode4(702421), // Rule ID 11171 //
     /*  702351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  702362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  702365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  702368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  702371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702419 */     GIR_RootConstrainSelectedInstOperands,
     /*  702420 */     // GIR_Coverage, 11171,
     /*  702420 */     GIR_EraseRootFromParent_Done,
     /*  702421 */   // Label 11100: @702421
     /*  702421 */   GIM_Try, /*On fail goto*//*Label 11101*/ GIMT_Encode4(702496), // Rule ID 11174 //
     /*  702426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702494 */     GIR_RootConstrainSelectedInstOperands,
     /*  702495 */     // GIR_Coverage, 11174,
     /*  702495 */     GIR_EraseRootFromParent_Done,
     /*  702496 */   // Label 11101: @702496
     /*  702496 */   GIM_Try, /*On fail goto*//*Label 11102*/ GIMT_Encode4(702571), // Rule ID 11175 //
     /*  702501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  702512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  702515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  702518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  702521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702547 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702569 */     GIR_RootConstrainSelectedInstOperands,
     /*  702570 */     // GIR_Coverage, 11175,
     /*  702570 */     GIR_EraseRootFromParent_Done,
     /*  702571 */   // Label 11102: @702571
     /*  702571 */   GIM_Try, /*On fail goto*//*Label 11103*/ GIMT_Encode4(702646), // Rule ID 11178 //
     /*  702576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702622 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  702622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702644 */     GIR_RootConstrainSelectedInstOperands,
     /*  702645 */     // GIR_Coverage, 11178,
     /*  702645 */     GIR_EraseRootFromParent_Done,
     /*  702646 */   // Label 11103: @702646
     /*  702646 */   GIM_Try, /*On fail goto*//*Label 11104*/ GIMT_Encode4(702721), // Rule ID 11179 //
     /*  702651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  702662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  702665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  702668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  702671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  702690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702697 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  702697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  702700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  702716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702719 */     GIR_RootConstrainSelectedInstOperands,
     /*  702720 */     // GIR_Coverage, 11179,
     /*  702720 */     GIR_EraseRootFromParent_Done,
     /*  702721 */   // Label 11104: @702721
     /*  702721 */   GIM_Try, /*On fail goto*//*Label 11105*/ GIMT_Encode4(702796), // Rule ID 11182 //
     /*  702726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702772 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702794 */     GIR_RootConstrainSelectedInstOperands,
     /*  702795 */     // GIR_Coverage, 11182,
     /*  702795 */     GIR_EraseRootFromParent_Done,
     /*  702796 */   // Label 11105: @702796
     /*  702796 */   GIM_Try, /*On fail goto*//*Label 11106*/ GIMT_Encode4(702871), // Rule ID 11183 //
     /*  702801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  702812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  702815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  702818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  702821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  702840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702847 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  702850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702869 */     GIR_RootConstrainSelectedInstOperands,
     /*  702870 */     // GIR_Coverage, 11183,
     /*  702870 */     GIR_EraseRootFromParent_Done,
     /*  702871 */   // Label 11106: @702871
     /*  702871 */   GIM_Try, /*On fail goto*//*Label 11107*/ GIMT_Encode4(702946), // Rule ID 11186 //
     /*  702876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  702879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  702896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  702899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702922 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  702922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  702925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  702927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  702929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  702931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  702933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  702938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  702941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  702944 */     GIR_RootConstrainSelectedInstOperands,
     /*  702945 */     // GIR_Coverage, 11186,
     /*  702945 */     GIR_EraseRootFromParent_Done,
     /*  702946 */   // Label 11107: @702946
     /*  702946 */   GIM_Try, /*On fail goto*//*Label 11108*/ GIMT_Encode4(703021), // Rule ID 11187 //
     /*  702951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  702954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  702959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  702962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  702965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  702968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  702971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  702974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  702990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  702997 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  702997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  703000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703019 */     GIR_RootConstrainSelectedInstOperands,
     /*  703020 */     // GIR_Coverage, 11187,
     /*  703020 */     GIR_EraseRootFromParent_Done,
     /*  703021 */   // Label 11108: @703021
     /*  703021 */   GIM_Try, /*On fail goto*//*Label 11109*/ GIMT_Encode4(703096), // Rule ID 11190 //
     /*  703026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703072 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  703072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  703075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703094 */     GIR_RootConstrainSelectedInstOperands,
     /*  703095 */     // GIR_Coverage, 11190,
     /*  703095 */     GIR_EraseRootFromParent_Done,
     /*  703096 */   // Label 11109: @703096
     /*  703096 */   GIM_Try, /*On fail goto*//*Label 11110*/ GIMT_Encode4(703171), // Rule ID 11191 //
     /*  703101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  703112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  703115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  703118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  703121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703147 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  703147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  703150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  703166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703169 */     GIR_RootConstrainSelectedInstOperands,
     /*  703170 */     // GIR_Coverage, 11191,
     /*  703170 */     GIR_EraseRootFromParent_Done,
     /*  703171 */   // Label 11110: @703171
     /*  703171 */   GIM_Try, /*On fail goto*//*Label 11111*/ GIMT_Encode4(703246), // Rule ID 11194 //
     /*  703176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703222 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  703225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703244 */     GIR_RootConstrainSelectedInstOperands,
     /*  703245 */     // GIR_Coverage, 11194,
     /*  703245 */     GIR_EraseRootFromParent_Done,
     /*  703246 */   // Label 11111: @703246
     /*  703246 */   GIM_Try, /*On fail goto*//*Label 11112*/ GIMT_Encode4(703321), // Rule ID 11195 //
     /*  703251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  703262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  703265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  703268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  703271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  703290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703297 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  703300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703319 */     GIR_RootConstrainSelectedInstOperands,
     /*  703320 */     // GIR_Coverage, 11195,
     /*  703320 */     GIR_EraseRootFromParent_Done,
     /*  703321 */   // Label 11112: @703321
     /*  703321 */   GIM_Try, /*On fail goto*//*Label 11113*/ GIMT_Encode4(703396), // Rule ID 11198 //
     /*  703326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703372 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  703375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703394 */     GIR_RootConstrainSelectedInstOperands,
     /*  703395 */     // GIR_Coverage, 11198,
     /*  703395 */     GIR_EraseRootFromParent_Done,
     /*  703396 */   // Label 11113: @703396
     /*  703396 */   GIM_Try, /*On fail goto*//*Label 11114*/ GIMT_Encode4(703471), // Rule ID 11199 //
     /*  703401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  703412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  703415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  703418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  703421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  703440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  703450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703469 */     GIR_RootConstrainSelectedInstOperands,
     /*  703470 */     // GIR_Coverage, 11199,
     /*  703470 */     GIR_EraseRootFromParent_Done,
     /*  703471 */   // Label 11114: @703471
     /*  703471 */   GIM_Try, /*On fail goto*//*Label 11115*/ GIMT_Encode4(703546), // Rule ID 11202 //
     /*  703476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703522 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  703522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  703525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703544 */     GIR_RootConstrainSelectedInstOperands,
     /*  703545 */     // GIR_Coverage, 11202,
     /*  703545 */     GIR_EraseRootFromParent_Done,
     /*  703546 */   // Label 11115: @703546
     /*  703546 */   GIM_Try, /*On fail goto*//*Label 11116*/ GIMT_Encode4(703621), // Rule ID 11203 //
     /*  703551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  703562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  703565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  703568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  703571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  703590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703597 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  703597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  703600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  703616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703619 */     GIR_RootConstrainSelectedInstOperands,
     /*  703620 */     // GIR_Coverage, 11203,
     /*  703620 */     GIR_EraseRootFromParent_Done,
     /*  703621 */   // Label 11116: @703621
     /*  703621 */   GIM_Try, /*On fail goto*//*Label 11117*/ GIMT_Encode4(703696), // Rule ID 11206 //
     /*  703626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  703675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703694 */     GIR_RootConstrainSelectedInstOperands,
     /*  703695 */     // GIR_Coverage, 11206,
     /*  703695 */     GIR_EraseRootFromParent_Done,
     /*  703696 */   // Label 11117: @703696
     /*  703696 */   GIM_Try, /*On fail goto*//*Label 11118*/ GIMT_Encode4(703771), // Rule ID 11207 //
     /*  703701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  703712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  703715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  703718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8),
     /*  703750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703769 */     GIR_RootConstrainSelectedInstOperands,
     /*  703770 */     // GIR_Coverage, 11207,
     /*  703770 */     GIR_EraseRootFromParent_Done,
     /*  703771 */   // Label 11118: @703771
     /*  703771 */   GIM_Try, /*On fail goto*//*Label 11119*/ GIMT_Encode4(703846), // Rule ID 11210 //
     /*  703776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703844 */     GIR_RootConstrainSelectedInstOperands,
     /*  703845 */     // GIR_Coverage, 11210,
     /*  703845 */     GIR_EraseRootFromParent_Done,
     /*  703846 */   // Label 11119: @703846
     /*  703846 */   GIM_Try, /*On fail goto*//*Label 11120*/ GIMT_Encode4(703921), // Rule ID 11211 //
     /*  703851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  703854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  703862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  703865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  703868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  703871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  703874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  703897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  703900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703919 */     GIR_RootConstrainSelectedInstOperands,
     /*  703920 */     // GIR_Coverage, 11211,
     /*  703920 */     GIR_EraseRootFromParent_Done,
     /*  703921 */   // Label 11120: @703921
     /*  703921 */   GIM_Try, /*On fail goto*//*Label 11121*/ GIMT_Encode4(703996), // Rule ID 11214 //
     /*  703926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  703929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  703934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  703937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  703940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  703943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  703946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  703949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  703961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  703965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  703972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  703972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  703975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  703977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  703979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  703981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  703983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  703988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  703991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  703994 */     GIR_RootConstrainSelectedInstOperands,
     /*  703995 */     // GIR_Coverage, 11214,
     /*  703995 */     GIR_EraseRootFromParent_Done,
     /*  703996 */   // Label 11121: @703996
     /*  703996 */   GIM_Try, /*On fail goto*//*Label 11122*/ GIMT_Encode4(704071), // Rule ID 11215 //
     /*  704001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  704012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  704015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  704018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704047 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  704050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704069 */     GIR_RootConstrainSelectedInstOperands,
     /*  704070 */     // GIR_Coverage, 11215,
     /*  704070 */     GIR_EraseRootFromParent_Done,
     /*  704071 */   // Label 11122: @704071
     /*  704071 */   GIM_Try, /*On fail goto*//*Label 11123*/ GIMT_Encode4(704146), // Rule ID 11218 //
     /*  704076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  704125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704144 */     GIR_RootConstrainSelectedInstOperands,
     /*  704145 */     // GIR_Coverage, 11218,
     /*  704145 */     GIR_EraseRootFromParent_Done,
     /*  704146 */   // Label 11123: @704146
     /*  704146 */   GIM_Try, /*On fail goto*//*Label 11124*/ GIMT_Encode4(704221), // Rule ID 11219 //
     /*  704151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  704162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  704165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  704168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704197 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4),
     /*  704200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704219 */     GIR_RootConstrainSelectedInstOperands,
     /*  704220 */     // GIR_Coverage, 11219,
     /*  704220 */     GIR_EraseRootFromParent_Done,
     /*  704221 */   // Label 11124: @704221
     /*  704221 */   GIM_Try, /*On fail goto*//*Label 11125*/ GIMT_Encode4(704296), // Rule ID 11222 //
     /*  704226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  704275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704294 */     GIR_RootConstrainSelectedInstOperands,
     /*  704295 */     // GIR_Coverage, 11222,
     /*  704295 */     GIR_EraseRootFromParent_Done,
     /*  704296 */   // Label 11125: @704296
     /*  704296 */   GIM_Try, /*On fail goto*//*Label 11126*/ GIMT_Encode4(704371), // Rule ID 11223 //
     /*  704301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  704312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  704315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  704318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704347 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  704350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704369 */     GIR_RootConstrainSelectedInstOperands,
     /*  704370 */     // GIR_Coverage, 11223,
     /*  704370 */     GIR_EraseRootFromParent_Done,
     /*  704371 */   // Label 11126: @704371
     /*  704371 */   GIM_Try, /*On fail goto*//*Label 11127*/ GIMT_Encode4(704446), // Rule ID 11226 //
     /*  704376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  704425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704444 */     GIR_RootConstrainSelectedInstOperands,
     /*  704445 */     // GIR_Coverage, 11226,
     /*  704445 */     GIR_EraseRootFromParent_Done,
     /*  704446 */   // Label 11127: @704446
     /*  704446 */   GIM_Try, /*On fail goto*//*Label 11128*/ GIMT_Encode4(704521), // Rule ID 11227 //
     /*  704451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  704462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  704465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  704468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2),
     /*  704500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704519 */     GIR_RootConstrainSelectedInstOperands,
     /*  704520 */     // GIR_Coverage, 11227,
     /*  704520 */     GIR_EraseRootFromParent_Done,
     /*  704521 */   // Label 11128: @704521
     /*  704521 */   GIM_Try, /*On fail goto*//*Label 11129*/ GIMT_Encode4(704596), // Rule ID 11230 //
     /*  704526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  704572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704594 */     GIR_RootConstrainSelectedInstOperands,
     /*  704595 */     // GIR_Coverage, 11230,
     /*  704595 */     GIR_EraseRootFromParent_Done,
     /*  704596 */   // Label 11129: @704596
     /*  704596 */   GIM_Try, /*On fail goto*//*Label 11130*/ GIMT_Encode4(704671), // Rule ID 11231 //
     /*  704601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  704612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  704615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  704618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11471:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  704647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  704666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704669 */     GIR_RootConstrainSelectedInstOperands,
     /*  704670 */     // GIR_Coverage, 11231,
     /*  704670 */     GIR_EraseRootFromParent_Done,
     /*  704671 */   // Label 11130: @704671
     /*  704671 */   GIM_Try, /*On fail goto*//*Label 11131*/ GIMT_Encode4(704746), // Rule ID 11234 //
     /*  704676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  704722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704744 */     GIR_RootConstrainSelectedInstOperands,
     /*  704745 */     // GIR_Coverage, 11234,
     /*  704745 */     GIR_EraseRootFromParent_Done,
     /*  704746 */   // Label 11131: @704746
     /*  704746 */   GIM_Try, /*On fail goto*//*Label 11132*/ GIMT_Encode4(704821), // Rule ID 11235 //
     /*  704751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  704762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  704765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  704768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11471:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  704797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  704816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704819 */     GIR_RootConstrainSelectedInstOperands,
     /*  704820 */     // GIR_Coverage, 11235,
     /*  704820 */     GIR_EraseRootFromParent_Done,
     /*  704821 */   // Label 11132: @704821
     /*  704821 */   GIM_Try, /*On fail goto*//*Label 11133*/ GIMT_Encode4(704896), // Rule ID 11238 //
     /*  704826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  704872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704894 */     GIR_RootConstrainSelectedInstOperands,
     /*  704895 */     // GIR_Coverage, 11238,
     /*  704895 */     GIR_EraseRootFromParent_Done,
     /*  704896 */   // Label 11133: @704896
     /*  704896 */   GIM_Try, /*On fail goto*//*Label 11134*/ GIMT_Encode4(704971), // Rule ID 11239 //
     /*  704901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  704904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  704912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  704915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  704918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  704921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  704924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  704936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  704940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  704947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11471:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  704947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  704950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  704952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  704954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  704956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  704958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  704963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  704966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  704969 */     GIR_RootConstrainSelectedInstOperands,
     /*  704970 */     // GIR_Coverage, 11239,
     /*  704970 */     GIR_EraseRootFromParent_Done,
     /*  704971 */   // Label 11134: @704971
     /*  704971 */   GIM_Try, /*On fail goto*//*Label 11135*/ GIMT_Encode4(705046), // Rule ID 11242 //
     /*  704976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  704979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  704984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  704987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  704990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  704993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  704996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  704999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705022 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705044 */     GIR_RootConstrainSelectedInstOperands,
     /*  705045 */     // GIR_Coverage, 11242,
     /*  705045 */     GIR_EraseRootFromParent_Done,
     /*  705046 */   // Label 11135: @705046
     /*  705046 */   GIM_Try, /*On fail goto*//*Label 11136*/ GIMT_Encode4(705121), // Rule ID 11243 //
     /*  705051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  705062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  705065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  705068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705097 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705119 */     GIR_RootConstrainSelectedInstOperands,
     /*  705120 */     // GIR_Coverage, 11243,
     /*  705120 */     GIR_EraseRootFromParent_Done,
     /*  705121 */   // Label 11136: @705121
     /*  705121 */   GIM_Try, /*On fail goto*//*Label 11137*/ GIMT_Encode4(705196), // Rule ID 11246 //
     /*  705126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705194 */     GIR_RootConstrainSelectedInstOperands,
     /*  705195 */     // GIR_Coverage, 11246,
     /*  705195 */     GIR_EraseRootFromParent_Done,
     /*  705196 */   // Label 11137: @705196
     /*  705196 */   GIM_Try, /*On fail goto*//*Label 11138*/ GIMT_Encode4(705271), // Rule ID 11247 //
     /*  705201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  705212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  705215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  705218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705247 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705269 */     GIR_RootConstrainSelectedInstOperands,
     /*  705270 */     // GIR_Coverage, 11247,
     /*  705270 */     GIR_EraseRootFromParent_Done,
     /*  705271 */   // Label 11138: @705271
     /*  705271 */   GIM_Try, /*On fail goto*//*Label 11139*/ GIMT_Encode4(705346), // Rule ID 11250 //
     /*  705276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705322 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  705322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705344 */     GIR_RootConstrainSelectedInstOperands,
     /*  705345 */     // GIR_Coverage, 11250,
     /*  705345 */     GIR_EraseRootFromParent_Done,
     /*  705346 */   // Label 11139: @705346
     /*  705346 */   GIM_Try, /*On fail goto*//*Label 11140*/ GIMT_Encode4(705421), // Rule ID 11251 //
     /*  705351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  705362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  705365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  705368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  705397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  705416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705419 */     GIR_RootConstrainSelectedInstOperands,
     /*  705420 */     // GIR_Coverage, 11251,
     /*  705420 */     GIR_EraseRootFromParent_Done,
     /*  705421 */   // Label 11140: @705421
     /*  705421 */   GIM_Try, /*On fail goto*//*Label 11141*/ GIMT_Encode4(705496), // Rule ID 11254 //
     /*  705426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705494 */     GIR_RootConstrainSelectedInstOperands,
     /*  705495 */     // GIR_Coverage, 11254,
     /*  705495 */     GIR_EraseRootFromParent_Done,
     /*  705496 */   // Label 11141: @705496
     /*  705496 */   GIM_Try, /*On fail goto*//*Label 11142*/ GIMT_Encode4(705571), // Rule ID 11255 //
     /*  705501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  705512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  705515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  705518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705547 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705569 */     GIR_RootConstrainSelectedInstOperands,
     /*  705570 */     // GIR_Coverage, 11255,
     /*  705570 */     GIR_EraseRootFromParent_Done,
     /*  705571 */   // Label 11142: @705571
     /*  705571 */   GIM_Try, /*On fail goto*//*Label 11143*/ GIMT_Encode4(705646), // Rule ID 11258 //
     /*  705576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705644 */     GIR_RootConstrainSelectedInstOperands,
     /*  705645 */     // GIR_Coverage, 11258,
     /*  705645 */     GIR_EraseRootFromParent_Done,
     /*  705646 */   // Label 11143: @705646
     /*  705646 */   GIM_Try, /*On fail goto*//*Label 11144*/ GIMT_Encode4(705721), // Rule ID 11259 //
     /*  705651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  705662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  705665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  705668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  705686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705697 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  705700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705719 */     GIR_RootConstrainSelectedInstOperands,
     /*  705720 */     // GIR_Coverage, 11259,
     /*  705720 */     GIR_EraseRootFromParent_Done,
     /*  705721 */   // Label 11144: @705721
     /*  705721 */   GIM_Try, /*On fail goto*//*Label 11145*/ GIMT_Encode4(705796), // Rule ID 11262 //
     /*  705726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705772 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  705772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705794 */     GIR_RootConstrainSelectedInstOperands,
     /*  705795 */     // GIR_Coverage, 11262,
     /*  705795 */     GIR_EraseRootFromParent_Done,
     /*  705796 */   // Label 11145: @705796
     /*  705796 */   GIM_Try, /*On fail goto*//*Label 11146*/ GIMT_Encode4(705871), // Rule ID 11263 //
     /*  705801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  705812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  705815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  705818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  705836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705847 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  705847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  705850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  705866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705869 */     GIR_RootConstrainSelectedInstOperands,
     /*  705870 */     // GIR_Coverage, 11263,
     /*  705870 */     GIR_EraseRootFromParent_Done,
     /*  705871 */   // Label 11146: @705871
     /*  705871 */   GIM_Try, /*On fail goto*//*Label 11147*/ GIMT_Encode4(705946), // Rule ID 11266 //
     /*  705876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  705879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  705896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  705899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705922 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  705922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  705925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  705927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  705929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  705931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  705933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  705938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  705941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  705944 */     GIR_RootConstrainSelectedInstOperands,
     /*  705945 */     // GIR_Coverage, 11266,
     /*  705945 */     GIR_EraseRootFromParent_Done,
     /*  705946 */   // Label 11147: @705946
     /*  705946 */   GIM_Try, /*On fail goto*//*Label 11148*/ GIMT_Encode4(706021), // Rule ID 11267 //
     /*  705951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  705954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  705959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  705962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  705965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  705968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  705971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  705974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  705986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  705990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  705997 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  705997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  706000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706019 */     GIR_RootConstrainSelectedInstOperands,
     /*  706020 */     // GIR_Coverage, 11267,
     /*  706020 */     GIR_EraseRootFromParent_Done,
     /*  706021 */   // Label 11148: @706021
     /*  706021 */   GIM_Try, /*On fail goto*//*Label 11149*/ GIMT_Encode4(706096), // Rule ID 11270 //
     /*  706026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  706075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706094 */     GIR_RootConstrainSelectedInstOperands,
     /*  706095 */     // GIR_Coverage, 11270,
     /*  706095 */     GIR_EraseRootFromParent_Done,
     /*  706096 */   // Label 11149: @706096
     /*  706096 */   GIM_Try, /*On fail goto*//*Label 11150*/ GIMT_Encode4(706171), // Rule ID 11271 //
     /*  706101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  706112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  706115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  706118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  706136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  706150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706169 */     GIR_RootConstrainSelectedInstOperands,
     /*  706170 */     // GIR_Coverage, 11271,
     /*  706170 */     GIR_EraseRootFromParent_Done,
     /*  706171 */   // Label 11150: @706171
     /*  706171 */   GIM_Try, /*On fail goto*//*Label 11151*/ GIMT_Encode4(706246), // Rule ID 11274 //
     /*  706176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  706196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  706222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  706225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706244 */     GIR_RootConstrainSelectedInstOperands,
     /*  706245 */     // GIR_Coverage, 11274,
     /*  706245 */     GIR_EraseRootFromParent_Done,
     /*  706246 */   // Label 11151: @706246
     /*  706246 */   GIM_Try, /*On fail goto*//*Label 11152*/ GIMT_Encode4(706321), // Rule ID 11275 //
     /*  706251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  706259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  706262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  706265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  706268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  706271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  706286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  706290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706297 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  706297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  706300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  706316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706319 */     GIR_RootConstrainSelectedInstOperands,
     /*  706320 */     // GIR_Coverage, 11275,
     /*  706320 */     GIR_EraseRootFromParent_Done,
     /*  706321 */   // Label 11152: @706321
     /*  706321 */   GIM_Try, /*On fail goto*//*Label 11153*/ GIMT_Encode4(706396), // Rule ID 11278 //
     /*  706326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  706375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706394 */     GIR_RootConstrainSelectedInstOperands,
     /*  706395 */     // GIR_Coverage, 11278,
     /*  706395 */     GIR_EraseRootFromParent_Done,
     /*  706396 */   // Label 11153: @706396
     /*  706396 */   GIM_Try, /*On fail goto*//*Label 11154*/ GIMT_Encode4(706471), // Rule ID 11279 //
     /*  706401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  706412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  706415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  706418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  706421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /*  706450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706469 */     GIR_RootConstrainSelectedInstOperands,
     /*  706470 */     // GIR_Coverage, 11279,
     /*  706470 */     GIR_EraseRootFromParent_Done,
     /*  706471 */   // Label 11154: @706471
     /*  706471 */   GIM_Try, /*On fail goto*//*Label 11155*/ GIMT_Encode4(706546), // Rule ID 11282 //
     /*  706476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  706487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  706490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  706493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  706496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706544 */     GIR_RootConstrainSelectedInstOperands,
     /*  706545 */     // GIR_Coverage, 11282,
     /*  706545 */     GIR_EraseRootFromParent_Done,
     /*  706546 */   // Label 11155: @706546
     /*  706546 */   GIM_Try, /*On fail goto*//*Label 11156*/ GIMT_Encode4(706621), // Rule ID 11283 //
     /*  706551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  706562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  706565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  706568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  706571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706619 */     GIR_RootConstrainSelectedInstOperands,
     /*  706620 */     // GIR_Coverage, 11283,
     /*  706620 */     GIR_EraseRootFromParent_Done,
     /*  706621 */   // Label 11156: @706621
     /*  706621 */   GIM_Try, /*On fail goto*//*Label 11157*/ GIMT_Encode4(706696), // Rule ID 11286 //
     /*  706626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  706672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706694 */     GIR_RootConstrainSelectedInstOperands,
     /*  706695 */     // GIR_Coverage, 11286,
     /*  706695 */     GIR_EraseRootFromParent_Done,
     /*  706696 */   // Label 11157: @706696
     /*  706696 */   GIM_Try, /*On fail goto*//*Label 11158*/ GIMT_Encode4(706771), // Rule ID 11287 //
     /*  706701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  706712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  706715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  706718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  706721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  706747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  706766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706769 */     GIR_RootConstrainSelectedInstOperands,
     /*  706770 */     // GIR_Coverage, 11287,
     /*  706770 */     GIR_EraseRootFromParent_Done,
     /*  706771 */   // Label 11158: @706771
     /*  706771 */   GIM_Try, /*On fail goto*//*Label 11159*/ GIMT_Encode4(706846), // Rule ID 11290 //
     /*  706776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706844 */     GIR_RootConstrainSelectedInstOperands,
     /*  706845 */     // GIR_Coverage, 11290,
     /*  706845 */     GIR_EraseRootFromParent_Done,
     /*  706846 */   // Label 11159: @706846
     /*  706846 */   GIM_Try, /*On fail goto*//*Label 11160*/ GIMT_Encode4(706921), // Rule ID 11291 //
     /*  706851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  706854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  706862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  706865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  706868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  706871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  706874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706897 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  706897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /*  706900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706919 */     GIR_RootConstrainSelectedInstOperands,
     /*  706920 */     // GIR_Coverage, 11291,
     /*  706920 */     GIR_EraseRootFromParent_Done,
     /*  706921 */   // Label 11160: @706921
     /*  706921 */   GIM_Try, /*On fail goto*//*Label 11161*/ GIMT_Encode4(706996), // Rule ID 11294 //
     /*  706926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  706929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  706934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  706937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  706940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  706943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  706946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  706949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  706965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  706972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  706972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  706975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  706977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  706979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  706981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  706983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  706988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  706991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  706994 */     GIR_RootConstrainSelectedInstOperands,
     /*  706995 */     // GIR_Coverage, 11294,
     /*  706995 */     GIR_EraseRootFromParent_Done,
     /*  706996 */   // Label 11161: @706996
     /*  706996 */   GIM_Try, /*On fail goto*//*Label 11162*/ GIMT_Encode4(707071), // Rule ID 11295 //
     /*  707001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  707012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  707015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  707018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  707021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  707050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707069 */     GIR_RootConstrainSelectedInstOperands,
     /*  707070 */     // GIR_Coverage, 11295,
     /*  707070 */     GIR_EraseRootFromParent_Done,
     /*  707071 */   // Label 11162: @707071
     /*  707071 */   GIM_Try, /*On fail goto*//*Label 11163*/ GIMT_Encode4(707146), // Rule ID 11298 //
     /*  707076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  707125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707144 */     GIR_RootConstrainSelectedInstOperands,
     /*  707145 */     // GIR_Coverage, 11298,
     /*  707145 */     GIR_EraseRootFromParent_Done,
     /*  707146 */   // Label 11163: @707146
     /*  707146 */   GIM_Try, /*On fail goto*//*Label 11164*/ GIMT_Encode4(707221), // Rule ID 11299 //
     /*  707151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  707162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  707165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  707168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  707171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /*  707200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707219 */     GIR_RootConstrainSelectedInstOperands,
     /*  707220 */     // GIR_Coverage, 11299,
     /*  707220 */     GIR_EraseRootFromParent_Done,
     /*  707221 */   // Label 11164: @707221
     /*  707221 */   GIM_Try, /*On fail goto*//*Label 11165*/ GIMT_Encode4(707296), // Rule ID 11302 //
     /*  707226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707294 */     GIR_RootConstrainSelectedInstOperands,
     /*  707295 */     // GIR_Coverage, 11302,
     /*  707295 */     GIR_EraseRootFromParent_Done,
     /*  707296 */   // Label 11165: @707296
     /*  707296 */   GIM_Try, /*On fail goto*//*Label 11166*/ GIMT_Encode4(707371), // Rule ID 11303 //
     /*  707301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  707312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  707315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  707318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  707321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707369 */     GIR_RootConstrainSelectedInstOperands,
     /*  707370 */     // GIR_Coverage, 11303,
     /*  707370 */     GIR_EraseRootFromParent_Done,
     /*  707371 */   // Label 11166: @707371
     /*  707371 */   GIM_Try, /*On fail goto*//*Label 11167*/ GIMT_Encode4(707446), // Rule ID 11306 //
     /*  707376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  707422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707444 */     GIR_RootConstrainSelectedInstOperands,
     /*  707445 */     // GIR_Coverage, 11306,
     /*  707445 */     GIR_EraseRootFromParent_Done,
     /*  707446 */   // Label 11167: @707446
     /*  707446 */   GIM_Try, /*On fail goto*//*Label 11168*/ GIMT_Encode4(707521), // Rule ID 11307 //
     /*  707451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  707462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  707465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  707468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  707471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  707497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  707516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707519 */     GIR_RootConstrainSelectedInstOperands,
     /*  707520 */     // GIR_Coverage, 11307,
     /*  707520 */     GIR_EraseRootFromParent_Done,
     /*  707521 */   // Label 11168: @707521
     /*  707521 */   GIM_Try, /*On fail goto*//*Label 11169*/ GIMT_Encode4(707596), // Rule ID 11310 //
     /*  707526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  707572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707594 */     GIR_RootConstrainSelectedInstOperands,
     /*  707595 */     // GIR_Coverage, 11310,
     /*  707595 */     GIR_EraseRootFromParent_Done,
     /*  707596 */   // Label 11169: @707596
     /*  707596 */   GIM_Try, /*On fail goto*//*Label 11170*/ GIMT_Encode4(707671), // Rule ID 11311 //
     /*  707601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  707612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  707615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  707618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  707621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  707640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  707647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  707650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  707666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707669 */     GIR_RootConstrainSelectedInstOperands,
     /*  707670 */     // GIR_Coverage, 11311,
     /*  707670 */     GIR_EraseRootFromParent_Done,
     /*  707671 */   // Label 11170: @707671
     /*  707671 */   GIM_Try, /*On fail goto*//*Label 11171*/ GIMT_Encode4(707746), // Rule ID 11314 //
     /*  707676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707722 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707744 */     GIR_RootConstrainSelectedInstOperands,
     /*  707745 */     // GIR_Coverage, 11314,
     /*  707745 */     GIR_EraseRootFromParent_Done,
     /*  707746 */   // Label 11171: @707746
     /*  707746 */   GIM_Try, /*On fail goto*//*Label 11172*/ GIMT_Encode4(707821), // Rule ID 11315 //
     /*  707751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  707762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  707765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  707768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  707771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  707790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707797 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  707800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707819 */     GIR_RootConstrainSelectedInstOperands,
     /*  707820 */     // GIR_Coverage, 11315,
     /*  707820 */     GIR_EraseRootFromParent_Done,
     /*  707821 */   // Label 11172: @707821
     /*  707821 */   GIM_Try, /*On fail goto*//*Label 11173*/ GIMT_Encode4(707896), // Rule ID 11318 //
     /*  707826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  707837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  707840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  707843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  707846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707872 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  707872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707894 */     GIR_RootConstrainSelectedInstOperands,
     /*  707895 */     // GIR_Coverage, 11318,
     /*  707895 */     GIR_EraseRootFromParent_Done,
     /*  707896 */   // Label 11173: @707896
     /*  707896 */   GIM_Try, /*On fail goto*//*Label 11174*/ GIMT_Encode4(707971), // Rule ID 11319 //
     /*  707901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  707904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  707912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  707915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  707918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  707921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  707924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  707940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  707947 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  707947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  707950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  707952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  707954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  707956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  707958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  707963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  707966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  707969 */     GIR_RootConstrainSelectedInstOperands,
     /*  707970 */     // GIR_Coverage, 11319,
     /*  707970 */     GIR_EraseRootFromParent_Done,
     /*  707971 */   // Label 11174: @707971
     /*  707971 */   GIM_Try, /*On fail goto*//*Label 11175*/ GIMT_Encode4(708046), // Rule ID 11322 //
     /*  707976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  707979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  707984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  707987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  707990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  707993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  707996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  707999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708022 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  708022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708044 */     GIR_RootConstrainSelectedInstOperands,
     /*  708045 */     // GIR_Coverage, 11322,
     /*  708045 */     GIR_EraseRootFromParent_Done,
     /*  708046 */   // Label 11175: @708046
     /*  708046 */   GIM_Try, /*On fail goto*//*Label 11176*/ GIMT_Encode4(708121), // Rule ID 11323 //
     /*  708051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  708062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  708065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  708068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  708071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708097 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  708097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  708116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708119 */     GIR_RootConstrainSelectedInstOperands,
     /*  708120 */     // GIR_Coverage, 11323,
     /*  708120 */     GIR_EraseRootFromParent_Done,
     /*  708121 */   // Label 11176: @708121
     /*  708121 */   GIM_Try, /*On fail goto*//*Label 11177*/ GIMT_Encode4(708196), // Rule ID 11326 //
     /*  708126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708172 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  708175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708194 */     GIR_RootConstrainSelectedInstOperands,
     /*  708195 */     // GIR_Coverage, 11326,
     /*  708195 */     GIR_EraseRootFromParent_Done,
     /*  708196 */   // Label 11177: @708196
     /*  708196 */   GIM_Try, /*On fail goto*//*Label 11178*/ GIMT_Encode4(708271), // Rule ID 11327 //
     /*  708201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  708212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  708215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  708218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  708221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  708250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708269 */     GIR_RootConstrainSelectedInstOperands,
     /*  708270 */     // GIR_Coverage, 11327,
     /*  708270 */     GIR_EraseRootFromParent_Done,
     /*  708271 */   // Label 11178: @708271
     /*  708271 */   GIM_Try, /*On fail goto*//*Label 11179*/ GIMT_Encode4(708346), // Rule ID 11330 //
     /*  708276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  708325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708344 */     GIR_RootConstrainSelectedInstOperands,
     /*  708345 */     // GIR_Coverage, 11330,
     /*  708345 */     GIR_EraseRootFromParent_Done,
     /*  708346 */   // Label 11179: @708346
     /*  708346 */   GIM_Try, /*On fail goto*//*Label 11180*/ GIMT_Encode4(708421), // Rule ID 11331 //
     /*  708351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  708362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  708365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  708368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  708371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708397 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  708400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708419 */     GIR_RootConstrainSelectedInstOperands,
     /*  708420 */     // GIR_Coverage, 11331,
     /*  708420 */     GIR_EraseRootFromParent_Done,
     /*  708421 */   // Label 11180: @708421
     /*  708421 */   GIM_Try, /*On fail goto*//*Label 11181*/ GIMT_Encode4(708496), // Rule ID 11334 //
     /*  708426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  708472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708494 */     GIR_RootConstrainSelectedInstOperands,
     /*  708495 */     // GIR_Coverage, 11334,
     /*  708495 */     GIR_EraseRootFromParent_Done,
     /*  708496 */   // Label 11181: @708496
     /*  708496 */   GIM_Try, /*On fail goto*//*Label 11182*/ GIMT_Encode4(708571), // Rule ID 11335 //
     /*  708501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  708512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  708515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  708518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  708521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708547 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  708547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  708566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708569 */     GIR_RootConstrainSelectedInstOperands,
     /*  708570 */     // GIR_Coverage, 11335,
     /*  708570 */     GIR_EraseRootFromParent_Done,
     /*  708571 */   // Label 11182: @708571
     /*  708571 */   GIM_Try, /*On fail goto*//*Label 11183*/ GIMT_Encode4(708646), // Rule ID 11338 //
     /*  708576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  708625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708644 */     GIR_RootConstrainSelectedInstOperands,
     /*  708645 */     // GIR_Coverage, 11338,
     /*  708645 */     GIR_EraseRootFromParent_Done,
     /*  708646 */   // Label 11183: @708646
     /*  708646 */   GIM_Try, /*On fail goto*//*Label 11184*/ GIMT_Encode4(708721), // Rule ID 11339 //
     /*  708651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  708662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  708665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  708668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  708671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  708690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  708700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708719 */     GIR_RootConstrainSelectedInstOperands,
     /*  708720 */     // GIR_Coverage, 11339,
     /*  708720 */     GIR_EraseRootFromParent_Done,
     /*  708721 */   // Label 11184: @708721
     /*  708721 */   GIM_Try, /*On fail goto*//*Label 11185*/ GIMT_Encode4(708796), // Rule ID 11342 //
     /*  708726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  708775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708794 */     GIR_RootConstrainSelectedInstOperands,
     /*  708795 */     // GIR_Coverage, 11342,
     /*  708795 */     GIR_EraseRootFromParent_Done,
     /*  708796 */   // Label 11185: @708796
     /*  708796 */   GIM_Try, /*On fail goto*//*Label 11186*/ GIMT_Encode4(708871), // Rule ID 11343 //
     /*  708801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  708812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  708815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  708818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  708821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  708840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  708850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708869 */     GIR_RootConstrainSelectedInstOperands,
     /*  708870 */     // GIR_Coverage, 11343,
     /*  708870 */     GIR_EraseRootFromParent_Done,
     /*  708871 */   // Label 11186: @708871
     /*  708871 */   GIM_Try, /*On fail goto*//*Label 11187*/ GIMT_Encode4(708946), // Rule ID 11346 //
     /*  708876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  708879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  708887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  708890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  708893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  708896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  708899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  708922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  708925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  708927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  708929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  708931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  708933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  708938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  708941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  708944 */     GIR_RootConstrainSelectedInstOperands,
     /*  708945 */     // GIR_Coverage, 11346,
     /*  708945 */     GIR_EraseRootFromParent_Done,
     /*  708946 */   // Label 11187: @708946
     /*  708946 */   GIM_Try, /*On fail goto*//*Label 11188*/ GIMT_Encode4(709021), // Rule ID 11347 //
     /*  708951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  708954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  708959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  708962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  708965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  708968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  708971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  708974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  708990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  708997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  708997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  709000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709019 */     GIR_RootConstrainSelectedInstOperands,
     /*  709020 */     // GIR_Coverage, 11347,
     /*  709020 */     GIR_EraseRootFromParent_Done,
     /*  709021 */   // Label 11188: @709021
     /*  709021 */   GIM_Try, /*On fail goto*//*Label 11189*/ GIMT_Encode4(709096), // Rule ID 11350 //
     /*  709026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  709075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709094 */     GIR_RootConstrainSelectedInstOperands,
     /*  709095 */     // GIR_Coverage, 11350,
     /*  709095 */     GIR_EraseRootFromParent_Done,
     /*  709096 */   // Label 11189: @709096
     /*  709096 */   GIM_Try, /*On fail goto*//*Label 11190*/ GIMT_Encode4(709171), // Rule ID 11351 //
     /*  709101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  709112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  709115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  709118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709147 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8),
     /*  709150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709169 */     GIR_RootConstrainSelectedInstOperands,
     /*  709170 */     // GIR_Coverage, 11351,
     /*  709170 */     GIR_EraseRootFromParent_Done,
     /*  709171 */   // Label 11190: @709171
     /*  709171 */   GIM_Try, /*On fail goto*//*Label 11191*/ GIMT_Encode4(709246), // Rule ID 11354 //
     /*  709176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  709225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709244 */     GIR_RootConstrainSelectedInstOperands,
     /*  709245 */     // GIR_Coverage, 11354,
     /*  709245 */     GIR_EraseRootFromParent_Done,
     /*  709246 */   // Label 11191: @709246
     /*  709246 */   GIM_Try, /*On fail goto*//*Label 11192*/ GIMT_Encode4(709321), // Rule ID 11355 //
     /*  709251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  709262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  709265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  709268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709297 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  709300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709319 */     GIR_RootConstrainSelectedInstOperands,
     /*  709320 */     // GIR_Coverage, 11355,
     /*  709320 */     GIR_EraseRootFromParent_Done,
     /*  709321 */   // Label 11192: @709321
     /*  709321 */   GIM_Try, /*On fail goto*//*Label 11193*/ GIMT_Encode4(709396), // Rule ID 11358 //
     /*  709326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709394 */     GIR_RootConstrainSelectedInstOperands,
     /*  709395 */     // GIR_Coverage, 11358,
     /*  709395 */     GIR_EraseRootFromParent_Done,
     /*  709396 */   // Label 11193: @709396
     /*  709396 */   GIM_Try, /*On fail goto*//*Label 11194*/ GIMT_Encode4(709471), // Rule ID 11359 //
     /*  709401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  709412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  709415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  709418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709447 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  709447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709469 */     GIR_RootConstrainSelectedInstOperands,
     /*  709470 */     // GIR_Coverage, 11359,
     /*  709470 */     GIR_EraseRootFromParent_Done,
     /*  709471 */   // Label 11194: @709471
     /*  709471 */   GIM_Try, /*On fail goto*//*Label 11195*/ GIMT_Encode4(709546), // Rule ID 11362 //
     /*  709476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  709525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709544 */     GIR_RootConstrainSelectedInstOperands,
     /*  709545 */     // GIR_Coverage, 11362,
     /*  709545 */     GIR_EraseRootFromParent_Done,
     /*  709546 */   // Label 11195: @709546
     /*  709546 */   GIM_Try, /*On fail goto*//*Label 11196*/ GIMT_Encode4(709621), // Rule ID 11363 //
     /*  709551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  709562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  709565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  709568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4),
     /*  709600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709619 */     GIR_RootConstrainSelectedInstOperands,
     /*  709620 */     // GIR_Coverage, 11363,
     /*  709620 */     GIR_EraseRootFromParent_Done,
     /*  709621 */   // Label 11196: @709621
     /*  709621 */   GIM_Try, /*On fail goto*//*Label 11197*/ GIMT_Encode4(709696), // Rule ID 11366 //
     /*  709626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  709672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709694 */     GIR_RootConstrainSelectedInstOperands,
     /*  709695 */     // GIR_Coverage, 11366,
     /*  709695 */     GIR_EraseRootFromParent_Done,
     /*  709696 */   // Label 11197: @709696
     /*  709696 */   GIM_Try, /*On fail goto*//*Label 11198*/ GIMT_Encode4(709771), // Rule ID 11367 //
     /*  709701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  709712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  709715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  709718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  709747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  709766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709769 */     GIR_RootConstrainSelectedInstOperands,
     /*  709770 */     // GIR_Coverage, 11367,
     /*  709770 */     GIR_EraseRootFromParent_Done,
     /*  709771 */   // Label 11198: @709771
     /*  709771 */   GIM_Try, /*On fail goto*//*Label 11199*/ GIMT_Encode4(709846), // Rule ID 11370 //
     /*  709776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  709822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709844 */     GIR_RootConstrainSelectedInstOperands,
     /*  709845 */     // GIR_Coverage, 11370,
     /*  709845 */     GIR_EraseRootFromParent_Done,
     /*  709846 */   // Label 11199: @709846
     /*  709846 */   GIM_Try, /*On fail goto*//*Label 11200*/ GIMT_Encode4(709921), // Rule ID 11371 //
     /*  709851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  709854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  709862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  709865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  709868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  709871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  709874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  709897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2),
     /*  709900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  709916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709919 */     GIR_RootConstrainSelectedInstOperands,
     /*  709920 */     // GIR_Coverage, 11371,
     /*  709920 */     GIR_EraseRootFromParent_Done,
     /*  709921 */   // Label 11200: @709921
     /*  709921 */   GIM_Try, /*On fail goto*//*Label 11201*/ GIMT_Encode4(709996), // Rule ID 11374 //
     /*  709926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  709929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  709934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  709937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  709940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  709943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  709946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  709949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  709961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  709965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  709972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  709972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  709975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  709977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  709979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  709981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  709983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  709988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  709991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  709994 */     GIR_RootConstrainSelectedInstOperands,
     /*  709995 */     // GIR_Coverage, 11374,
     /*  709995 */     GIR_EraseRootFromParent_Done,
     /*  709996 */   // Label 11201: @709996
     /*  709996 */   GIM_Try, /*On fail goto*//*Label 11202*/ GIMT_Encode4(710071), // Rule ID 11375 //
     /*  710001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  710012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  710015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  710018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710047 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11475:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  710050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710069 */     GIR_RootConstrainSelectedInstOperands,
     /*  710070 */     // GIR_Coverage, 11375,
     /*  710070 */     GIR_EraseRootFromParent_Done,
     /*  710071 */   // Label 11202: @710071
     /*  710071 */   GIM_Try, /*On fail goto*//*Label 11203*/ GIMT_Encode4(710146), // Rule ID 11378 //
     /*  710076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  710125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710144 */     GIR_RootConstrainSelectedInstOperands,
     /*  710145 */     // GIR_Coverage, 11378,
     /*  710145 */     GIR_EraseRootFromParent_Done,
     /*  710146 */   // Label 11203: @710146
     /*  710146 */   GIM_Try, /*On fail goto*//*Label 11204*/ GIMT_Encode4(710221), // Rule ID 11379 //
     /*  710151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  710162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  710165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  710168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11475:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  710200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710219 */     GIR_RootConstrainSelectedInstOperands,
     /*  710220 */     // GIR_Coverage, 11379,
     /*  710220 */     GIR_EraseRootFromParent_Done,
     /*  710221 */   // Label 11204: @710221
     /*  710221 */   GIM_Try, /*On fail goto*//*Label 11205*/ GIMT_Encode4(710296), // Rule ID 11382 //
     /*  710226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  710272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  710275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710294 */     GIR_RootConstrainSelectedInstOperands,
     /*  710295 */     // GIR_Coverage, 11382,
     /*  710295 */     GIR_EraseRootFromParent_Done,
     /*  710296 */   // Label 11205: @710296
     /*  710296 */   GIM_Try, /*On fail goto*//*Label 11206*/ GIMT_Encode4(710371), // Rule ID 11383 //
     /*  710301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  710312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  710315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  710318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  710336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11475:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  710347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  710350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  710366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710369 */     GIR_RootConstrainSelectedInstOperands,
     /*  710370 */     // GIR_Coverage, 11383,
     /*  710370 */     GIR_EraseRootFromParent_Done,
     /*  710371 */   // Label 11206: @710371
     /*  710371 */   GIM_Try, /*On fail goto*//*Label 11207*/ GIMT_Encode4(710446), // Rule ID 11386 //
     /*  710376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  710387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  710390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  710393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710422 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710444 */     GIR_RootConstrainSelectedInstOperands,
     /*  710445 */     // GIR_Coverage, 11386,
     /*  710445 */     GIR_EraseRootFromParent_Done,
     /*  710446 */   // Label 11207: @710446
     /*  710446 */   GIM_Try, /*On fail goto*//*Label 11208*/ GIMT_Encode4(710521), // Rule ID 11387 //
     /*  710451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  710462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  710465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  710468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710497 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710519 */     GIR_RootConstrainSelectedInstOperands,
     /*  710520 */     // GIR_Coverage, 11387,
     /*  710520 */     GIR_EraseRootFromParent_Done,
     /*  710521 */   // Label 11208: @710521
     /*  710521 */   GIM_Try, /*On fail goto*//*Label 11209*/ GIMT_Encode4(710596), // Rule ID 11390 //
     /*  710526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  710537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  710540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  710543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710572 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710594 */     GIR_RootConstrainSelectedInstOperands,
     /*  710595 */     // GIR_Coverage, 11390,
     /*  710595 */     GIR_EraseRootFromParent_Done,
     /*  710596 */   // Label 11209: @710596
     /*  710596 */   GIM_Try, /*On fail goto*//*Label 11210*/ GIMT_Encode4(710671), // Rule ID 11391 //
     /*  710601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  710612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  710615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  710618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  710636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710647 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  710650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710669 */     GIR_RootConstrainSelectedInstOperands,
     /*  710670 */     // GIR_Coverage, 11391,
     /*  710670 */     GIR_EraseRootFromParent_Done,
     /*  710671 */   // Label 11210: @710671
     /*  710671 */   GIM_Try, /*On fail goto*//*Label 11211*/ GIMT_Encode4(710746), // Rule ID 11394 //
     /*  710676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710722 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  710722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710744 */     GIR_RootConstrainSelectedInstOperands,
     /*  710745 */     // GIR_Coverage, 11394,
     /*  710745 */     GIR_EraseRootFromParent_Done,
     /*  710746 */   // Label 11211: @710746
     /*  710746 */   GIM_Try, /*On fail goto*//*Label 11212*/ GIMT_Encode4(710821), // Rule ID 11395 //
     /*  710751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  710762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  710765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  710768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  710786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710797 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  710797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  710800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  710816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710819 */     GIR_RootConstrainSelectedInstOperands,
     /*  710820 */     // GIR_Coverage, 11395,
     /*  710820 */     GIR_EraseRootFromParent_Done,
     /*  710821 */   // Label 11212: @710821
     /*  710821 */   GIM_Try, /*On fail goto*//*Label 11213*/ GIMT_Encode4(710896), // Rule ID 11398 //
     /*  710826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  710872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710894 */     GIR_RootConstrainSelectedInstOperands,
     /*  710895 */     // GIR_Coverage, 11398,
     /*  710895 */     GIR_EraseRootFromParent_Done,
     /*  710896 */   // Label 11213: @710896
     /*  710896 */   GIM_Try, /*On fail goto*//*Label 11214*/ GIMT_Encode4(710971), // Rule ID 11399 //
     /*  710901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  710904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  710912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  710915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  710918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  710921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  710924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  710936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  710940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  710947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  710947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  710950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  710952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  710954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  710956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  710958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  710963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  710966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  710969 */     GIR_RootConstrainSelectedInstOperands,
     /*  710970 */     // GIR_Coverage, 11399,
     /*  710970 */     GIR_EraseRootFromParent_Done,
     /*  710971 */   // Label 11214: @710971
     /*  710971 */   GIM_Try, /*On fail goto*//*Label 11215*/ GIMT_Encode4(711046), // Rule ID 11402 //
     /*  710976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  710979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  710984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  710987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  710990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  710993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  710996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  710999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  711025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711044 */     GIR_RootConstrainSelectedInstOperands,
     /*  711045 */     // GIR_Coverage, 11402,
     /*  711045 */     GIR_EraseRootFromParent_Done,
     /*  711046 */   // Label 11215: @711046
     /*  711046 */   GIM_Try, /*On fail goto*//*Label 11216*/ GIMT_Encode4(711121), // Rule ID 11403 //
     /*  711051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  711062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  711065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  711068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  711100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711119 */     GIR_RootConstrainSelectedInstOperands,
     /*  711120 */     // GIR_Coverage, 11403,
     /*  711120 */     GIR_EraseRootFromParent_Done,
     /*  711121 */   // Label 11216: @711121
     /*  711121 */   GIM_Try, /*On fail goto*//*Label 11217*/ GIMT_Encode4(711196), // Rule ID 11406 //
     /*  711126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  711172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  711175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711194 */     GIR_RootConstrainSelectedInstOperands,
     /*  711195 */     // GIR_Coverage, 11406,
     /*  711195 */     GIR_EraseRootFromParent_Done,
     /*  711196 */   // Label 11217: @711196
     /*  711196 */   GIM_Try, /*On fail goto*//*Label 11218*/ GIMT_Encode4(711271), // Rule ID 11407 //
     /*  711201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  711212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  711215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  711218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  711247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  711250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  711266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711269 */     GIR_RootConstrainSelectedInstOperands,
     /*  711270 */     // GIR_Coverage, 11407,
     /*  711270 */     GIR_EraseRootFromParent_Done,
     /*  711271 */   // Label 11218: @711271
     /*  711271 */   GIM_Try, /*On fail goto*//*Label 11219*/ GIMT_Encode4(711346), // Rule ID 11410 //
     /*  711276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  711325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711344 */     GIR_RootConstrainSelectedInstOperands,
     /*  711345 */     // GIR_Coverage, 11410,
     /*  711345 */     GIR_EraseRootFromParent_Done,
     /*  711346 */   // Label 11219: @711346
     /*  711346 */   GIM_Try, /*On fail goto*//*Label 11220*/ GIMT_Encode4(711421), // Rule ID 11411 //
     /*  711351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  711362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  711365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  711368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  711386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711397 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  711400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711419 */     GIR_RootConstrainSelectedInstOperands,
     /*  711420 */     // GIR_Coverage, 11411,
     /*  711420 */     GIR_EraseRootFromParent_Done,
     /*  711421 */   // Label 11220: @711421
     /*  711421 */   GIM_Try, /*On fail goto*//*Label 11221*/ GIMT_Encode4(711496), // Rule ID 11414 //
     /*  711426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711472 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  711475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711494 */     GIR_RootConstrainSelectedInstOperands,
     /*  711495 */     // GIR_Coverage, 11414,
     /*  711495 */     GIR_EraseRootFromParent_Done,
     /*  711496 */   // Label 11221: @711496
     /*  711496 */   GIM_Try, /*On fail goto*//*Label 11222*/ GIMT_Encode4(711571), // Rule ID 11415 //
     /*  711501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  711512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  711515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  711518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  711536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711547 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  711550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711569 */     GIR_RootConstrainSelectedInstOperands,
     /*  711570 */     // GIR_Coverage, 11415,
     /*  711570 */     GIR_EraseRootFromParent_Done,
     /*  711571 */   // Label 11222: @711571
     /*  711571 */   GIM_Try, /*On fail goto*//*Label 11223*/ GIMT_Encode4(711646), // Rule ID 11418 //
     /*  711576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  711596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711622 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  711622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  711625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711644 */     GIR_RootConstrainSelectedInstOperands,
     /*  711645 */     // GIR_Coverage, 11418,
     /*  711645 */     GIR_EraseRootFromParent_Done,
     /*  711646 */   // Label 11223: @711646
     /*  711646 */   GIM_Try, /*On fail goto*//*Label 11224*/ GIMT_Encode4(711721), // Rule ID 11419 //
     /*  711651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  711659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  711662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  711665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  711668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  711671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  711686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  711690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711697 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  711697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  711700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  711716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711719 */     GIR_RootConstrainSelectedInstOperands,
     /*  711720 */     // GIR_Coverage, 11419,
     /*  711720 */     GIR_EraseRootFromParent_Done,
     /*  711721 */   // Label 11224: @711721
     /*  711721 */   GIM_Try, /*On fail goto*//*Label 11225*/ GIMT_Encode4(711796), // Rule ID 11422 //
     /*  711726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  711737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  711740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  711743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  711746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  711775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711794 */     GIR_RootConstrainSelectedInstOperands,
     /*  711795 */     // GIR_Coverage, 11422,
     /*  711795 */     GIR_EraseRootFromParent_Done,
     /*  711796 */   // Label 11225: @711796
     /*  711796 */   GIM_Try, /*On fail goto*//*Label 11226*/ GIMT_Encode4(711871), // Rule ID 11423 //
     /*  711801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  711812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  711815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  711818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  711821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711847 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8),
     /*  711850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711869 */     GIR_RootConstrainSelectedInstOperands,
     /*  711870 */     // GIR_Coverage, 11423,
     /*  711870 */     GIR_EraseRootFromParent_Done,
     /*  711871 */   // Label 11226: @711871
     /*  711871 */   GIM_Try, /*On fail goto*//*Label 11227*/ GIMT_Encode4(711946), // Rule ID 11426 //
     /*  711876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  711879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  711887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  711890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  711893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  711896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  711899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  711922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  711925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  711927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  711929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  711931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  711933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  711938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  711941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  711944 */     GIR_RootConstrainSelectedInstOperands,
     /*  711945 */     // GIR_Coverage, 11426,
     /*  711945 */     GIR_EraseRootFromParent_Done,
     /*  711946 */   // Label 11227: @711946
     /*  711946 */   GIM_Try, /*On fail goto*//*Label 11228*/ GIMT_Encode4(712021), // Rule ID 11427 //
     /*  711951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  711954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  711959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  711962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  711965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  711968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  711971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  711974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  711990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  711997 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  711997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  712000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712019 */     GIR_RootConstrainSelectedInstOperands,
     /*  712020 */     // GIR_Coverage, 11427,
     /*  712020 */     GIR_EraseRootFromParent_Done,
     /*  712021 */   // Label 11228: @712021
     /*  712021 */   GIM_Try, /*On fail goto*//*Label 11229*/ GIMT_Encode4(712096), // Rule ID 11430 //
     /*  712026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  712037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  712040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  712043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  712046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  712075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712094 */     GIR_RootConstrainSelectedInstOperands,
     /*  712095 */     // GIR_Coverage, 11430,
     /*  712095 */     GIR_EraseRootFromParent_Done,
     /*  712096 */   // Label 11229: @712096
     /*  712096 */   GIM_Try, /*On fail goto*//*Label 11230*/ GIMT_Encode4(712171), // Rule ID 11431 //
     /*  712101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  712112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  712115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  712118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  712121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  712150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712169 */     GIR_RootConstrainSelectedInstOperands,
     /*  712170 */     // GIR_Coverage, 11431,
     /*  712170 */     GIR_EraseRootFromParent_Done,
     /*  712171 */   // Label 11230: @712171
     /*  712171 */   GIM_Try, /*On fail goto*//*Label 11231*/ GIMT_Encode4(712246), // Rule ID 11434 //
     /*  712176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  712187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  712190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  712193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  712196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  712225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712244 */     GIR_RootConstrainSelectedInstOperands,
     /*  712245 */     // GIR_Coverage, 11434,
     /*  712245 */     GIR_EraseRootFromParent_Done,
     /*  712246 */   // Label 11231: @712246
     /*  712246 */   GIM_Try, /*On fail goto*//*Label 11232*/ GIMT_Encode4(712321), // Rule ID 11435 //
     /*  712251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  712262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  712265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  712268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  712271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4),
     /*  712300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712319 */     GIR_RootConstrainSelectedInstOperands,
     /*  712320 */     // GIR_Coverage, 11435,
     /*  712320 */     GIR_EraseRootFromParent_Done,
     /*  712321 */   // Label 11232: @712321
     /*  712321 */   GIM_Try, /*On fail goto*//*Label 11233*/ GIMT_Encode4(712396), // Rule ID 11438 //
     /*  712326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  712337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  712340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  712343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  712346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  712375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712394 */     GIR_RootConstrainSelectedInstOperands,
     /*  712395 */     // GIR_Coverage, 11438,
     /*  712395 */     GIR_EraseRootFromParent_Done,
     /*  712396 */   // Label 11233: @712396
     /*  712396 */   GIM_Try, /*On fail goto*//*Label 11234*/ GIMT_Encode4(712471), // Rule ID 11439 //
     /*  712401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  712412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  712415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  712418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  712421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  712450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712469 */     GIR_RootConstrainSelectedInstOperands,
     /*  712470 */     // GIR_Coverage, 11439,
     /*  712470 */     GIR_EraseRootFromParent_Done,
     /*  712471 */   // Label 11234: @712471
     /*  712471 */   GIM_Try, /*On fail goto*//*Label 11235*/ GIMT_Encode4(712546), // Rule ID 11442 //
     /*  712476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  712487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  712490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  712493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  712496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  712525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712544 */     GIR_RootConstrainSelectedInstOperands,
     /*  712545 */     // GIR_Coverage, 11442,
     /*  712545 */     GIR_EraseRootFromParent_Done,
     /*  712546 */   // Label 11235: @712546
     /*  712546 */   GIM_Try, /*On fail goto*//*Label 11236*/ GIMT_Encode4(712621), // Rule ID 11443 //
     /*  712551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  712562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  712565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  712568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  712571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712597 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  712597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2),
     /*  712600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712619 */     GIR_RootConstrainSelectedInstOperands,
     /*  712620 */     // GIR_Coverage, 11443,
     /*  712620 */     GIR_EraseRootFromParent_Done,
     /*  712621 */   // Label 11236: @712621
     /*  712621 */   GIM_Try, /*On fail goto*//*Label 11237*/ GIMT_Encode4(712696), // Rule ID 11446 //
     /*  712626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  712643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  712672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712694 */     GIR_RootConstrainSelectedInstOperands,
     /*  712695 */     // GIR_Coverage, 11446,
     /*  712695 */     GIR_EraseRootFromParent_Done,
     /*  712696 */   // Label 11237: @712696
     /*  712696 */   GIM_Try, /*On fail goto*//*Label 11238*/ GIMT_Encode4(712771), // Rule ID 11447 //
     /*  712701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  712712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  712715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  712718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  712721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  712747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  712766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712769 */     GIR_RootConstrainSelectedInstOperands,
     /*  712770 */     // GIR_Coverage, 11447,
     /*  712770 */     GIR_EraseRootFromParent_Done,
     /*  712771 */   // Label 11238: @712771
     /*  712771 */   GIM_Try, /*On fail goto*//*Label 11239*/ GIMT_Encode4(712846), // Rule ID 11450 //
     /*  712776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  712793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  712822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712844 */     GIR_RootConstrainSelectedInstOperands,
     /*  712845 */     // GIR_Coverage, 11450,
     /*  712845 */     GIR_EraseRootFromParent_Done,
     /*  712846 */   // Label 11239: @712846
     /*  712846 */   GIM_Try, /*On fail goto*//*Label 11240*/ GIMT_Encode4(712921), // Rule ID 11451 //
     /*  712851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  712854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  712862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  712865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  712868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  712871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  712874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712897 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  712897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  712916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712919 */     GIR_RootConstrainSelectedInstOperands,
     /*  712920 */     // GIR_Coverage, 11451,
     /*  712920 */     GIR_EraseRootFromParent_Done,
     /*  712921 */   // Label 11240: @712921
     /*  712921 */   GIM_Try, /*On fail goto*//*Label 11241*/ GIMT_Encode4(712996), // Rule ID 11454 //
     /*  712926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  712929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  712934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  712937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  712940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  712943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  712946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  712949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  712965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  712972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  712972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  712975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  712977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  712979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  712981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  712983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  712988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  712991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  712994 */     GIR_RootConstrainSelectedInstOperands,
     /*  712995 */     // GIR_Coverage, 11454,
     /*  712995 */     GIR_EraseRootFromParent_Done,
     /*  712996 */   // Label 11241: @712996
     /*  712996 */   GIM_Try, /*On fail goto*//*Label 11242*/ GIMT_Encode4(713071), // Rule ID 11455 //
     /*  713001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  713012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  713015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  713018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  713021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  713040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  713047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  713050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  713066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713069 */     GIR_RootConstrainSelectedInstOperands,
     /*  713070 */     // GIR_Coverage, 11455,
     /*  713070 */     GIR_EraseRootFromParent_Done,
     /*  713071 */   // Label 11242: @713071
     /*  713071 */   GIM_Try, /*On fail goto*//*Label 11243*/ GIMT_Encode4(713146), // Rule ID 11458 //
     /*  713076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  713087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  713090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  713093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  713096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713122 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713144 */     GIR_RootConstrainSelectedInstOperands,
     /*  713145 */     // GIR_Coverage, 11458,
     /*  713145 */     GIR_EraseRootFromParent_Done,
     /*  713146 */   // Label 11243: @713146
     /*  713146 */   GIM_Try, /*On fail goto*//*Label 11244*/ GIMT_Encode4(713221), // Rule ID 11459 //
     /*  713151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  713162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  713165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  713168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  713171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713197 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713219 */     GIR_RootConstrainSelectedInstOperands,
     /*  713220 */     // GIR_Coverage, 11459,
     /*  713220 */     GIR_EraseRootFromParent_Done,
     /*  713221 */   // Label 11244: @713221
     /*  713221 */   GIM_Try, /*On fail goto*//*Label 11245*/ GIMT_Encode4(713296), // Rule ID 11462 //
     /*  713226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  713237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  713240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  713243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  713246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713294 */     GIR_RootConstrainSelectedInstOperands,
     /*  713295 */     // GIR_Coverage, 11462,
     /*  713295 */     GIR_EraseRootFromParent_Done,
     /*  713296 */   // Label 11245: @713296
     /*  713296 */   GIM_Try, /*On fail goto*//*Label 11246*/ GIMT_Encode4(713371), // Rule ID 11463 //
     /*  713301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  713312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  713315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  713318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  713321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713347 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713369 */     GIR_RootConstrainSelectedInstOperands,
     /*  713370 */     // GIR_Coverage, 11463,
     /*  713370 */     GIR_EraseRootFromParent_Done,
     /*  713371 */   // Label 11246: @713371
     /*  713371 */   GIM_Try, /*On fail goto*//*Label 11247*/ GIMT_Encode4(713446), // Rule ID 11466 //
     /*  713376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  713387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  713390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  713393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  713396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713422 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  713422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713444 */     GIR_RootConstrainSelectedInstOperands,
     /*  713445 */     // GIR_Coverage, 11466,
     /*  713445 */     GIR_EraseRootFromParent_Done,
     /*  713446 */   // Label 11247: @713446
     /*  713446 */   GIM_Try, /*On fail goto*//*Label 11248*/ GIMT_Encode4(713521), // Rule ID 11467 //
     /*  713451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  713462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  713465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  713468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  713471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713497 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  713497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  713516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713519 */     GIR_RootConstrainSelectedInstOperands,
     /*  713520 */     // GIR_Coverage, 11467,
     /*  713520 */     GIR_EraseRootFromParent_Done,
     /*  713521 */   // Label 11248: @713521
     /*  713521 */   GIM_Try, /*On fail goto*//*Label 11249*/ GIMT_Encode4(713596), // Rule ID 11470 //
     /*  713526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  713537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  713540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  713543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  713546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713594 */     GIR_RootConstrainSelectedInstOperands,
     /*  713595 */     // GIR_Coverage, 11470,
     /*  713595 */     GIR_EraseRootFromParent_Done,
     /*  713596 */   // Label 11249: @713596
     /*  713596 */   GIM_Try, /*On fail goto*//*Label 11250*/ GIMT_Encode4(713671), // Rule ID 11471 //
     /*  713601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  713612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  713615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  713618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  713621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  713640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  713650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713669 */     GIR_RootConstrainSelectedInstOperands,
     /*  713670 */     // GIR_Coverage, 11471,
     /*  713670 */     GIR_EraseRootFromParent_Done,
     /*  713671 */   // Label 11250: @713671
     /*  713671 */   GIM_Try, /*On fail goto*//*Label 11251*/ GIMT_Encode4(713746), // Rule ID 11474 //
     /*  713676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  713687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  713690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  713696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713744 */     GIR_RootConstrainSelectedInstOperands,
     /*  713745 */     // GIR_Coverage, 11474,
     /*  713745 */     GIR_EraseRootFromParent_Done,
     /*  713746 */   // Label 11251: @713746
     /*  713746 */   GIM_Try, /*On fail goto*//*Label 11252*/ GIMT_Encode4(713821), // Rule ID 11475 //
     /*  713751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  713762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  713765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  713768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  713771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  713790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713797 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  713800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713819 */     GIR_RootConstrainSelectedInstOperands,
     /*  713820 */     // GIR_Coverage, 11475,
     /*  713820 */     GIR_EraseRootFromParent_Done,
     /*  713821 */   // Label 11252: @713821
     /*  713821 */   GIM_Try, /*On fail goto*//*Label 11253*/ GIMT_Encode4(713896), // Rule ID 11478 //
     /*  713826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  713837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  713840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  713846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  713872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713894 */     GIR_RootConstrainSelectedInstOperands,
     /*  713895 */     // GIR_Coverage, 11478,
     /*  713895 */     GIR_EraseRootFromParent_Done,
     /*  713896 */   // Label 11253: @713896
     /*  713896 */   GIM_Try, /*On fail goto*//*Label 11254*/ GIMT_Encode4(713971), // Rule ID 11479 //
     /*  713901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  713904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  713912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  713915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  713918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  713921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  713924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  713940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  713947 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  713947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  713950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  713952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  713954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  713956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  713958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  713963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  713966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  713969 */     GIR_RootConstrainSelectedInstOperands,
     /*  713970 */     // GIR_Coverage, 11479,
     /*  713970 */     GIR_EraseRootFromParent_Done,
     /*  713971 */   // Label 11254: @713971
     /*  713971 */   GIM_Try, /*On fail goto*//*Label 11255*/ GIMT_Encode4(714046), // Rule ID 11482 //
     /*  713976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  713979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  713984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  713987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  713990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  713993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  713996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  713999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714022 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714044 */     GIR_RootConstrainSelectedInstOperands,
     /*  714045 */     // GIR_Coverage, 11482,
     /*  714045 */     GIR_EraseRootFromParent_Done,
     /*  714046 */   // Label 11255: @714046
     /*  714046 */   GIM_Try, /*On fail goto*//*Label 11256*/ GIMT_Encode4(714121), // Rule ID 11483 //
     /*  714051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  714062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  714065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  714068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  714071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  714090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  714100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714119 */     GIR_RootConstrainSelectedInstOperands,
     /*  714120 */     // GIR_Coverage, 11483,
     /*  714120 */     GIR_EraseRootFromParent_Done,
     /*  714121 */   // Label 11256: @714121
     /*  714121 */   GIM_Try, /*On fail goto*//*Label 11257*/ GIMT_Encode4(714196), // Rule ID 11486 //
     /*  714126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  714137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  714140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  714143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  714146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  714175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714194 */     GIR_RootConstrainSelectedInstOperands,
     /*  714195 */     // GIR_Coverage, 11486,
     /*  714195 */     GIR_EraseRootFromParent_Done,
     /*  714196 */   // Label 11257: @714196
     /*  714196 */   GIM_Try, /*On fail goto*//*Label 11258*/ GIMT_Encode4(714271), // Rule ID 11487 //
     /*  714201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  714212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  714215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  714218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  714221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  714240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714247 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  714250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714269 */     GIR_RootConstrainSelectedInstOperands,
     /*  714270 */     // GIR_Coverage, 11487,
     /*  714270 */     GIR_EraseRootFromParent_Done,
     /*  714271 */   // Label 11258: @714271
     /*  714271 */   GIM_Try, /*On fail goto*//*Label 11259*/ GIMT_Encode4(714346), // Rule ID 11490 //
     /*  714276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  714287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  714290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  714293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  714296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  714322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  714325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714344 */     GIR_RootConstrainSelectedInstOperands,
     /*  714345 */     // GIR_Coverage, 11490,
     /*  714345 */     GIR_EraseRootFromParent_Done,
     /*  714346 */   // Label 11259: @714346
     /*  714346 */   GIM_Try, /*On fail goto*//*Label 11260*/ GIMT_Encode4(714421), // Rule ID 11491 //
     /*  714351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  714362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  714365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  714368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  714371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  714390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714397 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  714397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  714400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  714416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714419 */     GIR_RootConstrainSelectedInstOperands,
     /*  714420 */     // GIR_Coverage, 11491,
     /*  714420 */     GIR_EraseRootFromParent_Done,
     /*  714421 */   // Label 11260: @714421
     /*  714421 */   GIM_Try, /*On fail goto*//*Label 11261*/ GIMT_Encode4(714496), // Rule ID 11494 //
     /*  714426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  714437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  714440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  714443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714472 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  714475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714494 */     GIR_RootConstrainSelectedInstOperands,
     /*  714495 */     // GIR_Coverage, 11494,
     /*  714495 */     GIR_EraseRootFromParent_Done,
     /*  714496 */   // Label 11261: @714496
     /*  714496 */   GIM_Try, /*On fail goto*//*Label 11262*/ GIMT_Encode4(714571), // Rule ID 11495 //
     /*  714501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  714512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  714515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  714518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714547 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8),
     /*  714550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714569 */     GIR_RootConstrainSelectedInstOperands,
     /*  714570 */     // GIR_Coverage, 11495,
     /*  714570 */     GIR_EraseRootFromParent_Done,
     /*  714571 */   // Label 11262: @714571
     /*  714571 */   GIM_Try, /*On fail goto*//*Label 11263*/ GIMT_Encode4(714646), // Rule ID 11498 //
     /*  714576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  714587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  714590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  714593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714622 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714644 */     GIR_RootConstrainSelectedInstOperands,
     /*  714645 */     // GIR_Coverage, 11498,
     /*  714645 */     GIR_EraseRootFromParent_Done,
     /*  714646 */   // Label 11263: @714646
     /*  714646 */   GIM_Try, /*On fail goto*//*Label 11264*/ GIMT_Encode4(714721), // Rule ID 11499 //
     /*  714651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  714662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  714665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  714668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714697 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714719 */     GIR_RootConstrainSelectedInstOperands,
     /*  714720 */     // GIR_Coverage, 11499,
     /*  714720 */     GIR_EraseRootFromParent_Done,
     /*  714721 */   // Label 11264: @714721
     /*  714721 */   GIM_Try, /*On fail goto*//*Label 11265*/ GIMT_Encode4(714796), // Rule ID 11502 //
     /*  714726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  714737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  714740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  714743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714772 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  714772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714794 */     GIR_RootConstrainSelectedInstOperands,
     /*  714795 */     // GIR_Coverage, 11502,
     /*  714795 */     GIR_EraseRootFromParent_Done,
     /*  714796 */   // Label 11265: @714796
     /*  714796 */   GIM_Try, /*On fail goto*//*Label 11266*/ GIMT_Encode4(714871), // Rule ID 11503 //
     /*  714801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  714812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  714815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  714818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714847 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  714847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  714850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  714866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714869 */     GIR_RootConstrainSelectedInstOperands,
     /*  714870 */     // GIR_Coverage, 11503,
     /*  714870 */     GIR_EraseRootFromParent_Done,
     /*  714871 */   // Label 11266: @714871
     /*  714871 */   GIM_Try, /*On fail goto*//*Label 11267*/ GIMT_Encode4(714946), // Rule ID 11506 //
     /*  714876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  714879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  714896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  714899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  714922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  714925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  714927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  714929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  714931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  714933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  714938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  714941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  714944 */     GIR_RootConstrainSelectedInstOperands,
     /*  714945 */     // GIR_Coverage, 11506,
     /*  714945 */     GIR_EraseRootFromParent_Done,
     /*  714946 */   // Label 11267: @714946
     /*  714946 */   GIM_Try, /*On fail goto*//*Label 11268*/ GIMT_Encode4(715021), // Rule ID 11507 //
     /*  714951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  714954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  714959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  714962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  714965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  714968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  714971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  714974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  714986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  714990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  714997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  714997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4),
     /*  715000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715019 */     GIR_RootConstrainSelectedInstOperands,
     /*  715020 */     // GIR_Coverage, 11507,
     /*  715020 */     GIR_EraseRootFromParent_Done,
     /*  715021 */   // Label 11268: @715021
     /*  715021 */   GIM_Try, /*On fail goto*//*Label 11269*/ GIMT_Encode4(715096), // Rule ID 11510 //
     /*  715026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  715037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  715040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  715043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  715075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715094 */     GIR_RootConstrainSelectedInstOperands,
     /*  715095 */     // GIR_Coverage, 11510,
     /*  715095 */     GIR_EraseRootFromParent_Done,
     /*  715096 */   // Label 11269: @715096
     /*  715096 */   GIM_Try, /*On fail goto*//*Label 11270*/ GIMT_Encode4(715171), // Rule ID 11511 //
     /*  715101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  715112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  715115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  715118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  715150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715169 */     GIR_RootConstrainSelectedInstOperands,
     /*  715170 */     // GIR_Coverage, 11511,
     /*  715170 */     GIR_EraseRootFromParent_Done,
     /*  715171 */   // Label 11270: @715171
     /*  715171 */   GIM_Try, /*On fail goto*//*Label 11271*/ GIMT_Encode4(715246), // Rule ID 11514 //
     /*  715176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  715187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  715190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  715193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715222 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  715225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715244 */     GIR_RootConstrainSelectedInstOperands,
     /*  715245 */     // GIR_Coverage, 11514,
     /*  715245 */     GIR_EraseRootFromParent_Done,
     /*  715246 */   // Label 11271: @715246
     /*  715246 */   GIM_Try, /*On fail goto*//*Label 11272*/ GIMT_Encode4(715321), // Rule ID 11515 //
     /*  715251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  715262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  715265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  715268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715297 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2),
     /*  715300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715319 */     GIR_RootConstrainSelectedInstOperands,
     /*  715320 */     // GIR_Coverage, 11515,
     /*  715320 */     GIR_EraseRootFromParent_Done,
     /*  715321 */   // Label 11272: @715321
     /*  715321 */   GIM_Try, /*On fail goto*//*Label 11273*/ GIMT_Encode4(715396), // Rule ID 11518 //
     /*  715326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  715343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715372 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715394 */     GIR_RootConstrainSelectedInstOperands,
     /*  715395 */     // GIR_Coverage, 11518,
     /*  715395 */     GIR_EraseRootFromParent_Done,
     /*  715396 */   // Label 11273: @715396
     /*  715396 */   GIM_Try, /*On fail goto*//*Label 11274*/ GIMT_Encode4(715471), // Rule ID 11519 //
     /*  715401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  715412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  715415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  715418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715447 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11473:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715469 */     GIR_RootConstrainSelectedInstOperands,
     /*  715470 */     // GIR_Coverage, 11519,
     /*  715470 */     GIR_EraseRootFromParent_Done,
     /*  715471 */   // Label 11274: @715471
     /*  715471 */   GIM_Try, /*On fail goto*//*Label 11275*/ GIMT_Encode4(715546), // Rule ID 11522 //
     /*  715476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  715493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715522 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  715522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715544 */     GIR_RootConstrainSelectedInstOperands,
     /*  715545 */     // GIR_Coverage, 11522,
     /*  715545 */     GIR_EraseRootFromParent_Done,
     /*  715546 */   // Label 11275: @715546
     /*  715546 */   GIM_Try, /*On fail goto*//*Label 11276*/ GIMT_Encode4(715621), // Rule ID 11523 //
     /*  715551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  715562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  715565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  715568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715597 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11473:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  715597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  715616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715619 */     GIR_RootConstrainSelectedInstOperands,
     /*  715620 */     // GIR_Coverage, 11523,
     /*  715620 */     GIR_EraseRootFromParent_Done,
     /*  715621 */   // Label 11276: @715621
     /*  715621 */   GIM_Try, /*On fail goto*//*Label 11277*/ GIMT_Encode4(715696), // Rule ID 11526 //
     /*  715626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715672 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  715672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715694 */     GIR_RootConstrainSelectedInstOperands,
     /*  715695 */     // GIR_Coverage, 11526,
     /*  715695 */     GIR_EraseRootFromParent_Done,
     /*  715696 */   // Label 11277: @715696
     /*  715696 */   GIM_Try, /*On fail goto*//*Label 11278*/ GIMT_Encode4(715771), // Rule ID 11527 //
     /*  715701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  715712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  715715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  715718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  715736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715747 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11473:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  715747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  715750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  715766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715769 */     GIR_RootConstrainSelectedInstOperands,
     /*  715770 */     // GIR_Coverage, 11527,
     /*  715770 */     GIR_EraseRootFromParent_Done,
     /*  715771 */   // Label 11278: @715771
     /*  715771 */   GIM_Try, /*On fail goto*//*Label 11279*/ GIMT_Encode4(715846), // Rule ID 11530 //
     /*  715776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  715787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  715790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  715793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715822 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715844 */     GIR_RootConstrainSelectedInstOperands,
     /*  715845 */     // GIR_Coverage, 11530,
     /*  715845 */     GIR_EraseRootFromParent_Done,
     /*  715846 */   // Label 11279: @715846
     /*  715846 */   GIM_Try, /*On fail goto*//*Label 11280*/ GIMT_Encode4(715921), // Rule ID 11531 //
     /*  715851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  715854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  715862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  715865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  715868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  715871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  715874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  715886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  715897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  715900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715919 */     GIR_RootConstrainSelectedInstOperands,
     /*  715920 */     // GIR_Coverage, 11531,
     /*  715920 */     GIR_EraseRootFromParent_Done,
     /*  715921 */   // Label 11280: @715921
     /*  715921 */   GIM_Try, /*On fail goto*//*Label 11281*/ GIMT_Encode4(715996), // Rule ID 11534 //
     /*  715926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  715929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  715934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  715937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  715940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  715943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  715946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  715949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  715961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  715965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  715972 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  715972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  715975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  715977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  715979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  715981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  715983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  715988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  715991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  715994 */     GIR_RootConstrainSelectedInstOperands,
     /*  715995 */     // GIR_Coverage, 11534,
     /*  715995 */     GIR_EraseRootFromParent_Done,
     /*  715996 */   // Label 11281: @715996
     /*  715996 */   GIM_Try, /*On fail goto*//*Label 11282*/ GIMT_Encode4(716071), // Rule ID 11535 //
     /*  716001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  716012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  716015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  716018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716047 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716069 */     GIR_RootConstrainSelectedInstOperands,
     /*  716070 */     // GIR_Coverage, 11535,
     /*  716070 */     GIR_EraseRootFromParent_Done,
     /*  716071 */   // Label 11282: @716071
     /*  716071 */   GIM_Try, /*On fail goto*//*Label 11283*/ GIMT_Encode4(716146), // Rule ID 11538 //
     /*  716076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  716087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  716090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  716093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716122 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  716122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716144 */     GIR_RootConstrainSelectedInstOperands,
     /*  716145 */     // GIR_Coverage, 11538,
     /*  716145 */     GIR_EraseRootFromParent_Done,
     /*  716146 */   // Label 11283: @716146
     /*  716146 */   GIM_Try, /*On fail goto*//*Label 11284*/ GIMT_Encode4(716221), // Rule ID 11539 //
     /*  716151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  716162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  716165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  716168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716197 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  716197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  716216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716219 */     GIR_RootConstrainSelectedInstOperands,
     /*  716220 */     // GIR_Coverage, 11539,
     /*  716220 */     GIR_EraseRootFromParent_Done,
     /*  716221 */   // Label 11284: @716221
     /*  716221 */   GIM_Try, /*On fail goto*//*Label 11285*/ GIMT_Encode4(716296), // Rule ID 11542 //
     /*  716226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  716237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  716240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  716243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716272 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716294 */     GIR_RootConstrainSelectedInstOperands,
     /*  716295 */     // GIR_Coverage, 11542,
     /*  716295 */     GIR_EraseRootFromParent_Done,
     /*  716296 */   // Label 11285: @716296
     /*  716296 */   GIM_Try, /*On fail goto*//*Label 11286*/ GIMT_Encode4(716371), // Rule ID 11543 //
     /*  716301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  716312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  716315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  716318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716347 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716369 */     GIR_RootConstrainSelectedInstOperands,
     /*  716370 */     // GIR_Coverage, 11543,
     /*  716370 */     GIR_EraseRootFromParent_Done,
     /*  716371 */   // Label 11286: @716371
     /*  716371 */   GIM_Try, /*On fail goto*//*Label 11287*/ GIMT_Encode4(716446), // Rule ID 11546 //
     /*  716376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  716387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  716390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  716393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716422 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716444 */     GIR_RootConstrainSelectedInstOperands,
     /*  716445 */     // GIR_Coverage, 11546,
     /*  716445 */     GIR_EraseRootFromParent_Done,
     /*  716446 */   // Label 11287: @716446
     /*  716446 */   GIM_Try, /*On fail goto*//*Label 11288*/ GIMT_Encode4(716521), // Rule ID 11547 //
     /*  716451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  716462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  716465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  716468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716497 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716519 */     GIR_RootConstrainSelectedInstOperands,
     /*  716520 */     // GIR_Coverage, 11547,
     /*  716520 */     GIR_EraseRootFromParent_Done,
     /*  716521 */   // Label 11288: @716521
     /*  716521 */   GIM_Try, /*On fail goto*//*Label 11289*/ GIMT_Encode4(716596), // Rule ID 11550 //
     /*  716526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  716537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  716540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  716543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716572 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  716572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716594 */     GIR_RootConstrainSelectedInstOperands,
     /*  716595 */     // GIR_Coverage, 11550,
     /*  716595 */     GIR_EraseRootFromParent_Done,
     /*  716596 */   // Label 11289: @716596
     /*  716596 */   GIM_Try, /*On fail goto*//*Label 11290*/ GIMT_Encode4(716671), // Rule ID 11551 //
     /*  716601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  716612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  716615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  716618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  716636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716647 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  716647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  716650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  716666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716669 */     GIR_RootConstrainSelectedInstOperands,
     /*  716670 */     // GIR_Coverage, 11551,
     /*  716670 */     GIR_EraseRootFromParent_Done,
     /*  716671 */   // Label 11290: @716671
     /*  716671 */   GIM_Try, /*On fail goto*//*Label 11291*/ GIMT_Encode4(716746), // Rule ID 11554 //
     /*  716676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716722 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716744 */     GIR_RootConstrainSelectedInstOperands,
     /*  716745 */     // GIR_Coverage, 11554,
     /*  716745 */     GIR_EraseRootFromParent_Done,
     /*  716746 */   // Label 11291: @716746
     /*  716746 */   GIM_Try, /*On fail goto*//*Label 11292*/ GIMT_Encode4(716821), // Rule ID 11555 //
     /*  716751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  716762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  716765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  716768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  716786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716797 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  716800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716819 */     GIR_RootConstrainSelectedInstOperands,
     /*  716820 */     // GIR_Coverage, 11555,
     /*  716820 */     GIR_EraseRootFromParent_Done,
     /*  716821 */   // Label 11292: @716821
     /*  716821 */   GIM_Try, /*On fail goto*//*Label 11293*/ GIMT_Encode4(716896), // Rule ID 11558 //
     /*  716826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  716872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716894 */     GIR_RootConstrainSelectedInstOperands,
     /*  716895 */     // GIR_Coverage, 11558,
     /*  716895 */     GIR_EraseRootFromParent_Done,
     /*  716896 */   // Label 11293: @716896
     /*  716896 */   GIM_Try, /*On fail goto*//*Label 11294*/ GIMT_Encode4(716971), // Rule ID 11559 //
     /*  716901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  716904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  716912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  716915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  716918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  716921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  716924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  716936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  716940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  716947 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  716947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  716950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  716952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  716954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  716956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  716958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  716963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  716966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  716969 */     GIR_RootConstrainSelectedInstOperands,
     /*  716970 */     // GIR_Coverage, 11559,
     /*  716970 */     GIR_EraseRootFromParent_Done,
     /*  716971 */   // Label 11294: @716971
     /*  716971 */   GIM_Try, /*On fail goto*//*Label 11295*/ GIMT_Encode4(717046), // Rule ID 11562 //
     /*  716976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  716979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  716984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  716987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  716990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  716993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  716996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  716999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717022 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  717022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  717025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717044 */     GIR_RootConstrainSelectedInstOperands,
     /*  717045 */     // GIR_Coverage, 11562,
     /*  717045 */     GIR_EraseRootFromParent_Done,
     /*  717046 */   // Label 11295: @717046
     /*  717046 */   GIM_Try, /*On fail goto*//*Label 11296*/ GIMT_Encode4(717121), // Rule ID 11563 //
     /*  717051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  717054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  717059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  717062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  717065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  717068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  717097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  717100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  717116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717119 */     GIR_RootConstrainSelectedInstOperands,
     /*  717120 */     // GIR_Coverage, 11563,
     /*  717120 */     GIR_EraseRootFromParent_Done,
     /*  717121 */   // Label 11296: @717121
     /*  717121 */   GIM_Try, /*On fail goto*//*Label 11297*/ GIMT_Encode4(717196), // Rule ID 11566 //
     /*  717126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  717175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717194 */     GIR_RootConstrainSelectedInstOperands,
     /*  717195 */     // GIR_Coverage, 11566,
     /*  717195 */     GIR_EraseRootFromParent_Done,
     /*  717196 */   // Label 11297: @717196
     /*  717196 */   GIM_Try, /*On fail goto*//*Label 11298*/ GIMT_Encode4(717271), // Rule ID 11567 //
     /*  717201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  717221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /*  717250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717269 */     GIR_RootConstrainSelectedInstOperands,
     /*  717270 */     // GIR_Coverage, 11567,
     /*  717270 */     GIR_EraseRootFromParent_Done,
     /*  717271 */   // Label 11298: @717271
     /*  717271 */   GIM_Try, /*On fail goto*//*Label 11299*/ GIMT_Encode4(717346), // Rule ID 11570 //
     /*  717276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  717296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  717325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717344 */     GIR_RootConstrainSelectedInstOperands,
     /*  717345 */     // GIR_Coverage, 11570,
     /*  717345 */     GIR_EraseRootFromParent_Done,
     /*  717346 */   // Label 11299: @717346
     /*  717346 */   GIM_Try, /*On fail goto*//*Label 11300*/ GIMT_Encode4(717421), // Rule ID 11571 //
     /*  717351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  717371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717397 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /*  717400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717419 */     GIR_RootConstrainSelectedInstOperands,
     /*  717420 */     // GIR_Coverage, 11571,
     /*  717420 */     GIR_EraseRootFromParent_Done,
     /*  717421 */   // Label 11300: @717421
     /*  717421 */   GIM_Try, /*On fail goto*//*Label 11301*/ GIMT_Encode4(717496), // Rule ID 11574 //
     /*  717426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  717446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  717475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717494 */     GIR_RootConstrainSelectedInstOperands,
     /*  717495 */     // GIR_Coverage, 11574,
     /*  717495 */     GIR_EraseRootFromParent_Done,
     /*  717496 */   // Label 11301: @717496
     /*  717496 */   GIM_Try, /*On fail goto*//*Label 11302*/ GIMT_Encode4(717571), // Rule ID 11575 //
     /*  717501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  717512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  717515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  717518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  717521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  717540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /*  717550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717569 */     GIR_RootConstrainSelectedInstOperands,
     /*  717570 */     // GIR_Coverage, 11575,
     /*  717570 */     GIR_EraseRootFromParent_Done,
     /*  717571 */   // Label 11302: @717571
     /*  717571 */   GIM_Try, /*On fail goto*//*Label 11303*/ GIMT_Encode4(717646), // Rule ID 11578 //
     /*  717576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  717596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  717625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717644 */     GIR_RootConstrainSelectedInstOperands,
     /*  717645 */     // GIR_Coverage, 11578,
     /*  717645 */     GIR_EraseRootFromParent_Done,
     /*  717646 */   // Label 11303: @717646
     /*  717646 */   GIM_Try, /*On fail goto*//*Label 11304*/ GIMT_Encode4(717721), // Rule ID 11579 //
     /*  717651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  717662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  717665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  717668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  717671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  717690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717697 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /*  717700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717719 */     GIR_RootConstrainSelectedInstOperands,
     /*  717720 */     // GIR_Coverage, 11579,
     /*  717720 */     GIR_EraseRootFromParent_Done,
     /*  717721 */   // Label 11304: @717721
     /*  717721 */   GIM_Try, /*On fail goto*//*Label 11305*/ GIMT_Encode4(717796), // Rule ID 11582 //
     /*  717726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717772 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  717775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717794 */     GIR_RootConstrainSelectedInstOperands,
     /*  717795 */     // GIR_Coverage, 11582,
     /*  717795 */     GIR_EraseRootFromParent_Done,
     /*  717796 */   // Label 11305: @717796
     /*  717796 */   GIM_Try, /*On fail goto*//*Label 11306*/ GIMT_Encode4(717871), // Rule ID 11583 //
     /*  717801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  717812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  717815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  717818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  717836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11471:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1),
     /*  717850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717869 */     GIR_RootConstrainSelectedInstOperands,
     /*  717870 */     // GIR_Coverage, 11583,
     /*  717870 */     GIR_EraseRootFromParent_Done,
     /*  717871 */   // Label 11306: @717871
     /*  717871 */   GIM_Try, /*On fail goto*//*Label 11307*/ GIMT_Encode4(717946), // Rule ID 11586 //
     /*  717876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  717879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  717896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  717899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  717922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  717925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  717927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  717929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  717931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  717933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  717938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  717941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  717944 */     GIR_RootConstrainSelectedInstOperands,
     /*  717945 */     // GIR_Coverage, 11586,
     /*  717945 */     GIR_EraseRootFromParent_Done,
     /*  717946 */   // Label 11307: @717946
     /*  717946 */   GIM_Try, /*On fail goto*//*Label 11308*/ GIMT_Encode4(718021), // Rule ID 11587 //
     /*  717951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  717954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  717959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  717962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  717965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  717968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  717971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  717974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  717986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  717990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  717997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11471:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  717997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2),
     /*  718000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718019 */     GIR_RootConstrainSelectedInstOperands,
     /*  718020 */     // GIR_Coverage, 11587,
     /*  718020 */     GIR_EraseRootFromParent_Done,
     /*  718021 */   // Label 11308: @718021
     /*  718021 */   GIM_Try, /*On fail goto*//*Label 11309*/ GIMT_Encode4(718096), // Rule ID 11590 //
     /*  718026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  718034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  718075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718094 */     GIR_RootConstrainSelectedInstOperands,
     /*  718095 */     // GIR_Coverage, 11590,
     /*  718095 */     GIR_EraseRootFromParent_Done,
     /*  718096 */   // Label 11309: @718096
     /*  718096 */   GIM_Try, /*On fail goto*//*Label 11310*/ GIMT_Encode4(718171), // Rule ID 11591 //
     /*  718101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  718109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11471:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4),
     /*  718150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718169 */     GIR_RootConstrainSelectedInstOperands,
     /*  718170 */     // GIR_Coverage, 11591,
     /*  718170 */     GIR_EraseRootFromParent_Done,
     /*  718171 */   // Label 11310: @718171
     /*  718171 */   GIM_Try, /*On fail goto*//*Label 11311*/ GIMT_Encode4(718246), // Rule ID 11594 //
     /*  718176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  718184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  718225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718244 */     GIR_RootConstrainSelectedInstOperands,
     /*  718245 */     // GIR_Coverage, 11594,
     /*  718245 */     GIR_EraseRootFromParent_Done,
     /*  718246 */   // Label 11311: @718246
     /*  718246 */   GIM_Try, /*On fail goto*//*Label 11312*/ GIMT_Encode4(718321), // Rule ID 11595 //
     /*  718251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh),
     /*  718259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  718271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11471:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8),
     /*  718300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718319 */     GIR_RootConstrainSelectedInstOperands,
     /*  718320 */     // GIR_Coverage, 11595,
     /*  718320 */     GIR_EraseRootFromParent_Done,
     /*  718321 */   // Label 11312: @718321
     /*  718321 */   GIM_Try, /*On fail goto*//*Label 11313*/ GIMT_Encode4(718396), // Rule ID 11598 //
     /*  718326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  718375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718394 */     GIR_RootConstrainSelectedInstOperands,
     /*  718395 */     // GIR_Coverage, 11598,
     /*  718395 */     GIR_EraseRootFromParent_Done,
     /*  718396 */   // Label 11313: @718396
     /*  718396 */   GIM_Try, /*On fail goto*//*Label 11314*/ GIMT_Encode4(718471), // Rule ID 11599 //
     /*  718401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  718421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718447 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /*  718450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718469 */     GIR_RootConstrainSelectedInstOperands,
     /*  718470 */     // GIR_Coverage, 11599,
     /*  718470 */     GIR_EraseRootFromParent_Done,
     /*  718471 */   // Label 11314: @718471
     /*  718471 */   GIM_Try, /*On fail goto*//*Label 11315*/ GIMT_Encode4(718546), // Rule ID 11602 //
     /*  718476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  718525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718544 */     GIR_RootConstrainSelectedInstOperands,
     /*  718545 */     // GIR_Coverage, 11602,
     /*  718545 */     GIR_EraseRootFromParent_Done,
     /*  718546 */   // Label 11315: @718546
     /*  718546 */   GIM_Try, /*On fail goto*//*Label 11316*/ GIMT_Encode4(718621), // Rule ID 11603 //
     /*  718551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  718562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  718565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  718568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  718571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  718590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /*  718600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718619 */     GIR_RootConstrainSelectedInstOperands,
     /*  718620 */     // GIR_Coverage, 11603,
     /*  718620 */     GIR_EraseRootFromParent_Done,
     /*  718621 */   // Label 11316: @718621
     /*  718621 */   GIM_Try, /*On fail goto*//*Label 11317*/ GIMT_Encode4(718696), // Rule ID 11606 //
     /*  718626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  718675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718694 */     GIR_RootConstrainSelectedInstOperands,
     /*  718695 */     // GIR_Coverage, 11606,
     /*  718695 */     GIR_EraseRootFromParent_Done,
     /*  718696 */   // Label 11317: @718696
     /*  718696 */   GIM_Try, /*On fail goto*//*Label 11318*/ GIMT_Encode4(718771), // Rule ID 11607 //
     /*  718701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  718712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  718715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  718718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  718721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  718740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /*  718750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718769 */     GIR_RootConstrainSelectedInstOperands,
     /*  718770 */     // GIR_Coverage, 11607,
     /*  718770 */     GIR_EraseRootFromParent_Done,
     /*  718771 */   // Label 11318: @718771
     /*  718771 */   GIM_Try, /*On fail goto*//*Label 11319*/ GIMT_Encode4(718846), // Rule ID 11610 //
     /*  718776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  718825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718844 */     GIR_RootConstrainSelectedInstOperands,
     /*  718845 */     // GIR_Coverage, 11610,
     /*  718845 */     GIR_EraseRootFromParent_Done,
     /*  718846 */   // Label 11319: @718846
     /*  718846 */   GIM_Try, /*On fail goto*//*Label 11320*/ GIMT_Encode4(718921), // Rule ID 11611 //
     /*  718851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  718854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  718862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  718865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  718868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  718871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  718874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  718890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718897 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  718897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /*  718900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718919 */     GIR_RootConstrainSelectedInstOperands,
     /*  718920 */     // GIR_Coverage, 11611,
     /*  718920 */     GIR_EraseRootFromParent_Done,
     /*  718921 */   // Label 11320: @718921
     /*  718921 */   GIM_Try, /*On fail goto*//*Label 11321*/ GIMT_Encode4(718996), // Rule ID 11614 //
     /*  718926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  718929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  718934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  718937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  718940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  718943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  718946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  718949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  718961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  718965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  718972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  718972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  718975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  718977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  718979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  718981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  718983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  718988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  718991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  718994 */     GIR_RootConstrainSelectedInstOperands,
     /*  718995 */     // GIR_Coverage, 11614,
     /*  718995 */     GIR_EraseRootFromParent_Done,
     /*  718996 */   // Label 11321: @718996
     /*  718996 */   GIM_Try, /*On fail goto*//*Label 11322*/ GIMT_Encode4(719071), // Rule ID 11615 //
     /*  719001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  719009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719047 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11475:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1),
     /*  719050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719069 */     GIR_RootConstrainSelectedInstOperands,
     /*  719070 */     // GIR_Coverage, 11615,
     /*  719070 */     GIR_EraseRootFromParent_Done,
     /*  719071 */   // Label 11322: @719071
     /*  719071 */   GIM_Try, /*On fail goto*//*Label 11323*/ GIMT_Encode4(719146), // Rule ID 11618 //
     /*  719076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  719084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  719125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719144 */     GIR_RootConstrainSelectedInstOperands,
     /*  719145 */     // GIR_Coverage, 11618,
     /*  719145 */     GIR_EraseRootFromParent_Done,
     /*  719146 */   // Label 11323: @719146
     /*  719146 */   GIM_Try, /*On fail goto*//*Label 11324*/ GIMT_Encode4(719221), // Rule ID 11619 //
     /*  719151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  719159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11475:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2),
     /*  719200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719219 */     GIR_RootConstrainSelectedInstOperands,
     /*  719220 */     // GIR_Coverage, 11619,
     /*  719220 */     GIR_EraseRootFromParent_Done,
     /*  719221 */   // Label 11324: @719221
     /*  719221 */   GIM_Try, /*On fail goto*//*Label 11325*/ GIMT_Encode4(719296), // Rule ID 11622 //
     /*  719226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  719234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  719275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719294 */     GIR_RootConstrainSelectedInstOperands,
     /*  719295 */     // GIR_Coverage, 11622,
     /*  719295 */     GIR_EraseRootFromParent_Done,
     /*  719296 */   // Label 11325: @719296
     /*  719296 */   GIM_Try, /*On fail goto*//*Label 11326*/ GIMT_Encode4(719371), // Rule ID 11623 //
     /*  719301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  719309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11475:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4),
     /*  719350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719369 */     GIR_RootConstrainSelectedInstOperands,
     /*  719370 */     // GIR_Coverage, 11623,
     /*  719370 */     GIR_EraseRootFromParent_Done,
     /*  719371 */   // Label 11326: @719371
     /*  719371 */   GIM_Try, /*On fail goto*//*Label 11327*/ GIMT_Encode4(719446), // Rule ID 11626 //
     /*  719376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  719384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  719396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  719425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719444 */     GIR_RootConstrainSelectedInstOperands,
     /*  719445 */     // GIR_Coverage, 11626,
     /*  719445 */     GIR_EraseRootFromParent_Done,
     /*  719446 */   // Label 11327: @719446
     /*  719446 */   GIM_Try, /*On fail goto*//*Label 11328*/ GIMT_Encode4(719521), // Rule ID 11627 //
     /*  719451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu),
     /*  719459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  719471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  719486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  719490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11475:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8),
     /*  719500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719519 */     GIR_RootConstrainSelectedInstOperands,
     /*  719520 */     // GIR_Coverage, 11627,
     /*  719520 */     GIR_EraseRootFromParent_Done,
     /*  719521 */   // Label 11328: @719521
     /*  719521 */   GIM_Try, /*On fail goto*//*Label 11329*/ GIMT_Encode4(719596), // Rule ID 11630 //
     /*  719526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  719546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  719575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719594 */     GIR_RootConstrainSelectedInstOperands,
     /*  719595 */     // GIR_Coverage, 11630,
     /*  719595 */     GIR_EraseRootFromParent_Done,
     /*  719596 */   // Label 11329: @719596
     /*  719596 */   GIM_Try, /*On fail goto*//*Label 11330*/ GIMT_Encode4(719671), // Rule ID 11631 //
     /*  719601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  719612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  719615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  719618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  719621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  719640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1),
     /*  719650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719669 */     GIR_RootConstrainSelectedInstOperands,
     /*  719670 */     // GIR_Coverage, 11631,
     /*  719670 */     GIR_EraseRootFromParent_Done,
     /*  719671 */   // Label 11330: @719671
     /*  719671 */   GIM_Try, /*On fail goto*//*Label 11331*/ GIMT_Encode4(719746), // Rule ID 11634 //
     /*  719676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  719725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719744 */     GIR_RootConstrainSelectedInstOperands,
     /*  719745 */     // GIR_Coverage, 11634,
     /*  719745 */     GIR_EraseRootFromParent_Done,
     /*  719746 */   // Label 11331: @719746
     /*  719746 */   GIM_Try, /*On fail goto*//*Label 11332*/ GIMT_Encode4(719821), // Rule ID 11635 //
     /*  719751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  719762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  719765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  719768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  719771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  719790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2),
     /*  719800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719819 */     GIR_RootConstrainSelectedInstOperands,
     /*  719820 */     // GIR_Coverage, 11635,
     /*  719820 */     GIR_EraseRootFromParent_Done,
     /*  719821 */   // Label 11332: @719821
     /*  719821 */   GIM_Try, /*On fail goto*//*Label 11333*/ GIMT_Encode4(719896), // Rule ID 11638 //
     /*  719826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  719872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  719875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719894 */     GIR_RootConstrainSelectedInstOperands,
     /*  719895 */     // GIR_Coverage, 11638,
     /*  719895 */     GIR_EraseRootFromParent_Done,
     /*  719896 */   // Label 11333: @719896
     /*  719896 */   GIM_Try, /*On fail goto*//*Label 11334*/ GIMT_Encode4(719971), // Rule ID 11639 //
     /*  719901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  719904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  719912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  719915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  719918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  719921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  719924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  719940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  719947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  719947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4),
     /*  719950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  719952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  719954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  719956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  719958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  719963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  719966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  719969 */     GIR_RootConstrainSelectedInstOperands,
     /*  719970 */     // GIR_Coverage, 11639,
     /*  719970 */     GIR_EraseRootFromParent_Done,
     /*  719971 */   // Label 11334: @719971
     /*  719971 */   GIM_Try, /*On fail goto*//*Label 11335*/ GIMT_Encode4(720046), // Rule ID 11642 //
     /*  719976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  719979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  719984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  719987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  719990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  719993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  719996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  719999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  720025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720044 */     GIR_RootConstrainSelectedInstOperands,
     /*  720045 */     // GIR_Coverage, 11642,
     /*  720045 */     GIR_EraseRootFromParent_Done,
     /*  720046 */   // Label 11335: @720046
     /*  720046 */   GIM_Try, /*On fail goto*//*Label 11336*/ GIMT_Encode4(720121), // Rule ID 11643 //
     /*  720051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  720054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  720062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  720065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  720071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8),
     /*  720100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720119 */     GIR_RootConstrainSelectedInstOperands,
     /*  720120 */     // GIR_Coverage, 11643,
     /*  720120 */     GIR_EraseRootFromParent_Done,
     /*  720121 */   // Label 11336: @720121
     /*  720121 */   GIM_Try, /*On fail goto*//*Label 11337*/ GIMT_Encode4(720196), // Rule ID 11646 //
     /*  720126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  720129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720172 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  720175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720194 */     GIR_RootConstrainSelectedInstOperands,
     /*  720195 */     // GIR_Coverage, 11646,
     /*  720195 */     GIR_EraseRootFromParent_Done,
     /*  720196 */   // Label 11337: @720196
     /*  720196 */   GIM_Try, /*On fail goto*//*Label 11338*/ GIMT_Encode4(720271), // Rule ID 11647 //
     /*  720201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  720204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  720212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  720215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  720218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720247 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11473:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1),
     /*  720250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720269 */     GIR_RootConstrainSelectedInstOperands,
     /*  720270 */     // GIR_Coverage, 11647,
     /*  720270 */     GIR_EraseRootFromParent_Done,
     /*  720271 */   // Label 11338: @720271
     /*  720271 */   GIM_Try, /*On fail goto*//*Label 11339*/ GIMT_Encode4(720346), // Rule ID 11650 //
     /*  720276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  720279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  720287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  720290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  720293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720322 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  720325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720344 */     GIR_RootConstrainSelectedInstOperands,
     /*  720345 */     // GIR_Coverage, 11650,
     /*  720345 */     GIR_EraseRootFromParent_Done,
     /*  720346 */   // Label 11339: @720346
     /*  720346 */   GIM_Try, /*On fail goto*//*Label 11340*/ GIMT_Encode4(720421), // Rule ID 11651 //
     /*  720351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  720354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  720362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  720365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  720368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  720386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720397 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11473:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2),
     /*  720400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720419 */     GIR_RootConstrainSelectedInstOperands,
     /*  720420 */     // GIR_Coverage, 11651,
     /*  720420 */     GIR_EraseRootFromParent_Done,
     /*  720421 */   // Label 11340: @720421
     /*  720421 */   GIM_Try, /*On fail goto*//*Label 11341*/ GIMT_Encode4(720496), // Rule ID 11654 //
     /*  720426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  720429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  720437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  720440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  720443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  720475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720494 */     GIR_RootConstrainSelectedInstOperands,
     /*  720495 */     // GIR_Coverage, 11654,
     /*  720495 */     GIR_EraseRootFromParent_Done,
     /*  720496 */   // Label 11341: @720496
     /*  720496 */   GIM_Try, /*On fail goto*//*Label 11342*/ GIMT_Encode4(720571), // Rule ID 11655 //
     /*  720501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  720504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  720512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  720515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  720518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  720536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720547 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11473:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4),
     /*  720550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720569 */     GIR_RootConstrainSelectedInstOperands,
     /*  720570 */     // GIR_Coverage, 11655,
     /*  720570 */     GIR_EraseRootFromParent_Done,
     /*  720571 */   // Label 11342: @720571
     /*  720571 */   GIM_Try, /*On fail goto*//*Label 11343*/ GIMT_Encode4(720646), // Rule ID 11658 //
     /*  720576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /*  720579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  720587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  720590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  720596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720622 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  720622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  720625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720644 */     GIR_RootConstrainSelectedInstOperands,
     /*  720645 */     // GIR_Coverage, 11658,
     /*  720645 */     GIR_EraseRootFromParent_Done,
     /*  720646 */   // Label 11343: @720646
     /*  720646 */   GIM_Try, /*On fail goto*//*Label 11344*/ GIMT_Encode4(720721), // Rule ID 11659 //
     /*  720651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /*  720654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu),
     /*  720659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  720662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  720665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  720668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  720671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  720686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  720690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720697 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11473:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMULHSU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  720697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8),
     /*  720700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  720716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720719 */     GIR_RootConstrainSelectedInstOperands,
     /*  720720 */     // GIR_Coverage, 11659,
     /*  720720 */     GIR_EraseRootFromParent_Done,
     /*  720721 */   // Label 11344: @720721
     /*  720721 */   GIM_Try, /*On fail goto*//*Label 11345*/ GIMT_Encode4(720796), // Rule ID 11662 //
     /*  720726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  720737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  720740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  720746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720772 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  720775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720794 */     GIR_RootConstrainSelectedInstOperands,
     /*  720795 */     // GIR_Coverage, 11662,
     /*  720795 */     GIR_EraseRootFromParent_Done,
     /*  720796 */   // Label 11345: @720796
     /*  720796 */   GIM_Try, /*On fail goto*//*Label 11346*/ GIMT_Encode4(720871), // Rule ID 11663 //
     /*  720801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  720812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  720815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  720818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  720821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720847 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8),
     /*  720850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720869 */     GIR_RootConstrainSelectedInstOperands,
     /*  720870 */     // GIR_Coverage, 11663,
     /*  720870 */     GIR_EraseRootFromParent_Done,
     /*  720871 */   // Label 11346: @720871
     /*  720871 */   GIM_Try, /*On fail goto*//*Label 11347*/ GIMT_Encode4(720946), // Rule ID 11666 //
     /*  720876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  720879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  720887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  720890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  720896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  720899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720922 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  720922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  720925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  720927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  720929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  720931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  720933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  720938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  720941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  720944 */     GIR_RootConstrainSelectedInstOperands,
     /*  720945 */     // GIR_Coverage, 11666,
     /*  720945 */     GIR_EraseRootFromParent_Done,
     /*  720946 */   // Label 11347: @720946
     /*  720946 */   GIM_Try, /*On fail goto*//*Label 11348*/ GIMT_Encode4(721021), // Rule ID 11667 //
     /*  720951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  720954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  720959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  720962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  720965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  720968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  720971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  720974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  720990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  720997 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  720997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8),
     /*  721000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721019 */     GIR_RootConstrainSelectedInstOperands,
     /*  721020 */     // GIR_Coverage, 11667,
     /*  721020 */     GIR_EraseRootFromParent_Done,
     /*  721021 */   // Label 11348: @721021
     /*  721021 */   GIM_Try, /*On fail goto*//*Label 11349*/ GIMT_Encode4(721096), // Rule ID 11670 //
     /*  721026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  721037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  721040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  721043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  721046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721072 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  721075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721094 */     GIR_RootConstrainSelectedInstOperands,
     /*  721095 */     // GIR_Coverage, 11670,
     /*  721095 */     GIR_EraseRootFromParent_Done,
     /*  721096 */   // Label 11349: @721096
     /*  721096 */   GIM_Try, /*On fail goto*//*Label 11350*/ GIMT_Encode4(721171), // Rule ID 11671 //
     /*  721101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  721112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  721115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  721118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  721121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721147 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8),
     /*  721150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721169 */     GIR_RootConstrainSelectedInstOperands,
     /*  721170 */     // GIR_Coverage, 11671,
     /*  721170 */     GIR_EraseRootFromParent_Done,
     /*  721171 */   // Label 11350: @721171
     /*  721171 */   GIM_Try, /*On fail goto*//*Label 11351*/ GIMT_Encode4(721246), // Rule ID 11674 //
     /*  721176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  721187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  721190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  721193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  721196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  721225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721244 */     GIR_RootConstrainSelectedInstOperands,
     /*  721245 */     // GIR_Coverage, 11674,
     /*  721245 */     GIR_EraseRootFromParent_Done,
     /*  721246 */   // Label 11351: @721246
     /*  721246 */   GIM_Try, /*On fail goto*//*Label 11352*/ GIMT_Encode4(721321), // Rule ID 11675 //
     /*  721251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  721262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  721265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  721268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  721271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721297 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16),
     /*  721300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721319 */     GIR_RootConstrainSelectedInstOperands,
     /*  721320 */     // GIR_Coverage, 11675,
     /*  721320 */     GIR_EraseRootFromParent_Done,
     /*  721321 */   // Label 11352: @721321
     /*  721321 */   GIM_Try, /*On fail goto*//*Label 11353*/ GIMT_Encode4(721396), // Rule ID 11678 //
     /*  721326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  721337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  721340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  721343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  721346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721372 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  721375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721394 */     GIR_RootConstrainSelectedInstOperands,
     /*  721395 */     // GIR_Coverage, 11678,
     /*  721395 */     GIR_EraseRootFromParent_Done,
     /*  721396 */   // Label 11353: @721396
     /*  721396 */   GIM_Try, /*On fail goto*//*Label 11354*/ GIMT_Encode4(721471), // Rule ID 11679 //
     /*  721401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  721412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  721415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  721418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  721421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721447 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16),
     /*  721450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721469 */     GIR_RootConstrainSelectedInstOperands,
     /*  721470 */     // GIR_Coverage, 11679,
     /*  721470 */     GIR_EraseRootFromParent_Done,
     /*  721471 */   // Label 11354: @721471
     /*  721471 */   GIM_Try, /*On fail goto*//*Label 11355*/ GIMT_Encode4(721546), // Rule ID 11682 //
     /*  721476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  721487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  721490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  721493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  721496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  721525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721544 */     GIR_RootConstrainSelectedInstOperands,
     /*  721545 */     // GIR_Coverage, 11682,
     /*  721545 */     GIR_EraseRootFromParent_Done,
     /*  721546 */   // Label 11355: @721546
     /*  721546 */   GIM_Try, /*On fail goto*//*Label 11356*/ GIMT_Encode4(721621), // Rule ID 11683 //
     /*  721551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  721562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  721565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  721568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  721571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721597 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  721597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32),
     /*  721600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721619 */     GIR_RootConstrainSelectedInstOperands,
     /*  721620 */     // GIR_Coverage, 11683,
     /*  721620 */     GIR_EraseRootFromParent_Done,
     /*  721621 */   // Label 11356: @721621
     /*  721621 */   GIM_Try, /*On fail goto*//*Label 11357*/ GIMT_Encode4(721696), // Rule ID 11686 //
     /*  721626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  721672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  721675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721694 */     GIR_RootConstrainSelectedInstOperands,
     /*  721695 */     // GIR_Coverage, 11686,
     /*  721695 */     GIR_EraseRootFromParent_Done,
     /*  721696 */   // Label 11357: @721696
     /*  721696 */   GIM_Try, /*On fail goto*//*Label 11358*/ GIMT_Encode4(721771), // Rule ID 11687 //
     /*  721701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  721712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  721715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  721718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  721721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721747 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  721747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8),
     /*  721750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  721766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721769 */     GIR_RootConstrainSelectedInstOperands,
     /*  721770 */     // GIR_Coverage, 11687,
     /*  721770 */     GIR_EraseRootFromParent_Done,
     /*  721771 */   // Label 11358: @721771
     /*  721771 */   GIM_Try, /*On fail goto*//*Label 11359*/ GIMT_Encode4(721846), // Rule ID 11690 //
     /*  721776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721822 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  721822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  721825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721844 */     GIR_RootConstrainSelectedInstOperands,
     /*  721845 */     // GIR_Coverage, 11690,
     /*  721845 */     GIR_EraseRootFromParent_Done,
     /*  721846 */   // Label 11359: @721846
     /*  721846 */   GIM_Try, /*On fail goto*//*Label 11360*/ GIMT_Encode4(721921), // Rule ID 11691 //
     /*  721851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  721854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  721862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  721865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  721868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  721871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  721874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721897 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  721897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16),
     /*  721900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  721916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721919 */     GIR_RootConstrainSelectedInstOperands,
     /*  721920 */     // GIR_Coverage, 11691,
     /*  721920 */     GIR_EraseRootFromParent_Done,
     /*  721921 */   // Label 11360: @721921
     /*  721921 */   GIM_Try, /*On fail goto*//*Label 11361*/ GIMT_Encode4(721996), // Rule ID 11694 //
     /*  721926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  721929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  721934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  721937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  721940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  721943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  721946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  721949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  721965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  721972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  721972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  721975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  721977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  721979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  721981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  721983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  721988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  721991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  721994 */     GIR_RootConstrainSelectedInstOperands,
     /*  721995 */     // GIR_Coverage, 11694,
     /*  721995 */     GIR_EraseRootFromParent_Done,
     /*  721996 */   // Label 11361: @721996
     /*  721996 */   GIM_Try, /*On fail goto*//*Label 11362*/ GIMT_Encode4(722071), // Rule ID 11695 //
     /*  722001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  722012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  722015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  722018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  722021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  722047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32),
     /*  722050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  722066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722069 */     GIR_RootConstrainSelectedInstOperands,
     /*  722070 */     // GIR_Coverage, 11695,
     /*  722070 */     GIR_EraseRootFromParent_Done,
     /*  722071 */   // Label 11362: @722071
     /*  722071 */   GIM_Try, /*On fail goto*//*Label 11363*/ GIMT_Encode4(722146), // Rule ID 11698 //
     /*  722076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  722079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  722087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  722090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  722093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  722096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  722122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  722125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722144 */     GIR_RootConstrainSelectedInstOperands,
     /*  722145 */     // GIR_Coverage, 11698,
     /*  722145 */     GIR_EraseRootFromParent_Done,
     /*  722146 */   // Label 11363: @722146
     /*  722146 */   GIM_Try, /*On fail goto*//*Label 11364*/ GIMT_Encode4(722221), // Rule ID 11699 //
     /*  722151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  722154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  722162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  722165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  722168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  722171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  722190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722197 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  722197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64),
     /*  722200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  722216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722219 */     GIR_RootConstrainSelectedInstOperands,
     /*  722220 */     // GIR_Coverage, 11699,
     /*  722220 */     GIR_EraseRootFromParent_Done,
     /*  722221 */   // Label 11364: @722221
     /*  722221 */   GIM_Try, /*On fail goto*//*Label 11365*/ GIMT_Encode4(722296), // Rule ID 11702 //
     /*  722226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  722237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  722240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  722243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  722246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722272 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  722275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722294 */     GIR_RootConstrainSelectedInstOperands,
     /*  722295 */     // GIR_Coverage, 11702,
     /*  722295 */     GIR_EraseRootFromParent_Done,
     /*  722296 */   // Label 11365: @722296
     /*  722296 */   GIM_Try, /*On fail goto*//*Label 11366*/ GIMT_Encode4(722371), // Rule ID 11703 //
     /*  722301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  722312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  722315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  722318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  722321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722347 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8),
     /*  722350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722369 */     GIR_RootConstrainSelectedInstOperands,
     /*  722370 */     // GIR_Coverage, 11703,
     /*  722370 */     GIR_EraseRootFromParent_Done,
     /*  722371 */   // Label 11366: @722371
     /*  722371 */   GIM_Try, /*On fail goto*//*Label 11367*/ GIMT_Encode4(722446), // Rule ID 11706 //
     /*  722376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  722387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  722390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  722393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  722396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722422 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  722425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722444 */     GIR_RootConstrainSelectedInstOperands,
     /*  722445 */     // GIR_Coverage, 11706,
     /*  722445 */     GIR_EraseRootFromParent_Done,
     /*  722446 */   // Label 11367: @722446
     /*  722446 */   GIM_Try, /*On fail goto*//*Label 11368*/ GIMT_Encode4(722521), // Rule ID 11707 //
     /*  722451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  722462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  722465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  722468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  722471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722497 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8),
     /*  722500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722519 */     GIR_RootConstrainSelectedInstOperands,
     /*  722520 */     // GIR_Coverage, 11707,
     /*  722520 */     GIR_EraseRootFromParent_Done,
     /*  722521 */   // Label 11368: @722521
     /*  722521 */   GIM_Try, /*On fail goto*//*Label 11369*/ GIMT_Encode4(722596), // Rule ID 11710 //
     /*  722526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  722537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  722540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  722543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  722546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  722572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  722575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722594 */     GIR_RootConstrainSelectedInstOperands,
     /*  722595 */     // GIR_Coverage, 11710,
     /*  722595 */     GIR_EraseRootFromParent_Done,
     /*  722596 */   // Label 11369: @722596
     /*  722596 */   GIM_Try, /*On fail goto*//*Label 11370*/ GIMT_Encode4(722671), // Rule ID 11711 //
     /*  722601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  722612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  722615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  722618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  722621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  722640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722647 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  722647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8),
     /*  722650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  722666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722669 */     GIR_RootConstrainSelectedInstOperands,
     /*  722670 */     // GIR_Coverage, 11711,
     /*  722670 */     GIR_EraseRootFromParent_Done,
     /*  722671 */   // Label 11370: @722671
     /*  722671 */   GIM_Try, /*On fail goto*//*Label 11371*/ GIMT_Encode4(722746), // Rule ID 11714 //
     /*  722676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  722687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  722690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  722696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  722725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722744 */     GIR_RootConstrainSelectedInstOperands,
     /*  722745 */     // GIR_Coverage, 11714,
     /*  722745 */     GIR_EraseRootFromParent_Done,
     /*  722746 */   // Label 11371: @722746
     /*  722746 */   GIM_Try, /*On fail goto*//*Label 11372*/ GIMT_Encode4(722821), // Rule ID 11715 //
     /*  722751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  722762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  722765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  722768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  722771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  722790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16),
     /*  722800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722819 */     GIR_RootConstrainSelectedInstOperands,
     /*  722820 */     // GIR_Coverage, 11715,
     /*  722820 */     GIR_EraseRootFromParent_Done,
     /*  722821 */   // Label 11372: @722821
     /*  722821 */   GIM_Try, /*On fail goto*//*Label 11373*/ GIMT_Encode4(722896), // Rule ID 11718 //
     /*  722826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  722837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  722840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  722846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722872 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  722872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  722875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722894 */     GIR_RootConstrainSelectedInstOperands,
     /*  722895 */     // GIR_Coverage, 11718,
     /*  722895 */     GIR_EraseRootFromParent_Done,
     /*  722896 */   // Label 11373: @722896
     /*  722896 */   GIM_Try, /*On fail goto*//*Label 11374*/ GIMT_Encode4(722971), // Rule ID 11719 //
     /*  722901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  722904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  722912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  722915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  722918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  722921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  722924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  722940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  722947 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  722947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16),
     /*  722950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  722952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  722954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  722956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  722958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  722963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  722966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  722969 */     GIR_RootConstrainSelectedInstOperands,
     /*  722970 */     // GIR_Coverage, 11719,
     /*  722970 */     GIR_EraseRootFromParent_Done,
     /*  722971 */   // Label 11374: @722971
     /*  722971 */   GIM_Try, /*On fail goto*//*Label 11375*/ GIMT_Encode4(723046), // Rule ID 11722 //
     /*  722976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  722979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  722984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  722987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  722990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  722993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  722996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  722999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  723022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  723025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723044 */     GIR_RootConstrainSelectedInstOperands,
     /*  723045 */     // GIR_Coverage, 11722,
     /*  723045 */     GIR_EraseRootFromParent_Done,
     /*  723046 */   // Label 11375: @723046
     /*  723046 */   GIM_Try, /*On fail goto*//*Label 11376*/ GIMT_Encode4(723121), // Rule ID 11723 //
     /*  723051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  723062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  723065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  723068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  723071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723097 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  723097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16),
     /*  723100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  723116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723119 */     GIR_RootConstrainSelectedInstOperands,
     /*  723120 */     // GIR_Coverage, 11723,
     /*  723120 */     GIR_EraseRootFromParent_Done,
     /*  723121 */   // Label 11376: @723121
     /*  723121 */   GIM_Try, /*On fail goto*//*Label 11377*/ GIMT_Encode4(723196), // Rule ID 11726 //
     /*  723126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  723137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  723140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  723143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  723146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  723175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723194 */     GIR_RootConstrainSelectedInstOperands,
     /*  723195 */     // GIR_Coverage, 11726,
     /*  723195 */     GIR_EraseRootFromParent_Done,
     /*  723196 */   // Label 11377: @723196
     /*  723196 */   GIM_Try, /*On fail goto*//*Label 11378*/ GIMT_Encode4(723271), // Rule ID 11727 //
     /*  723201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  723212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  723215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  723218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  723221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723247 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32),
     /*  723250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723269 */     GIR_RootConstrainSelectedInstOperands,
     /*  723270 */     // GIR_Coverage, 11727,
     /*  723270 */     GIR_EraseRootFromParent_Done,
     /*  723271 */   // Label 11378: @723271
     /*  723271 */   GIM_Try, /*On fail goto*//*Label 11379*/ GIMT_Encode4(723346), // Rule ID 11730 //
     /*  723276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  723287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  723290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  723293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  723296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  723325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723344 */     GIR_RootConstrainSelectedInstOperands,
     /*  723345 */     // GIR_Coverage, 11730,
     /*  723345 */     GIR_EraseRootFromParent_Done,
     /*  723346 */   // Label 11379: @723346
     /*  723346 */   GIM_Try, /*On fail goto*//*Label 11380*/ GIMT_Encode4(723421), // Rule ID 11731 //
     /*  723351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  723362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  723365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  723368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  723371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723397 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32),
     /*  723400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723419 */     GIR_RootConstrainSelectedInstOperands,
     /*  723420 */     // GIR_Coverage, 11731,
     /*  723420 */     GIR_EraseRootFromParent_Done,
     /*  723421 */   // Label 11380: @723421
     /*  723421 */   GIM_Try, /*On fail goto*//*Label 11381*/ GIMT_Encode4(723496), // Rule ID 11734 //
     /*  723426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  723429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  723437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  723440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  723443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  723446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723472 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  723472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  723475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723494 */     GIR_RootConstrainSelectedInstOperands,
     /*  723495 */     // GIR_Coverage, 11734,
     /*  723495 */     GIR_EraseRootFromParent_Done,
     /*  723496 */   // Label 11381: @723496
     /*  723496 */   GIM_Try, /*On fail goto*//*Label 11382*/ GIMT_Encode4(723571), // Rule ID 11735 //
     /*  723501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  723504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  723512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  723515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  723518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  723521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723547 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  723547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32),
     /*  723550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  723566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723569 */     GIR_RootConstrainSelectedInstOperands,
     /*  723570 */     // GIR_Coverage, 11735,
     /*  723570 */     GIR_EraseRootFromParent_Done,
     /*  723571 */   // Label 11382: @723571
     /*  723571 */   GIM_Try, /*On fail goto*//*Label 11383*/ GIMT_Encode4(723646), // Rule ID 11738 //
     /*  723576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  723587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  723590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  723593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  723596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723622 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  723625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723644 */     GIR_RootConstrainSelectedInstOperands,
     /*  723645 */     // GIR_Coverage, 11738,
     /*  723645 */     GIR_EraseRootFromParent_Done,
     /*  723646 */   // Label 11383: @723646
     /*  723646 */   GIM_Try, /*On fail goto*//*Label 11384*/ GIMT_Encode4(723721), // Rule ID 11739 //
     /*  723651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  723662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  723665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  723668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  723671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  723690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723697 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64),
     /*  723700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723719 */     GIR_RootConstrainSelectedInstOperands,
     /*  723720 */     // GIR_Coverage, 11739,
     /*  723720 */     GIR_EraseRootFromParent_Done,
     /*  723721 */   // Label 11384: @723721
     /*  723721 */   GIM_Try, /*On fail goto*//*Label 11385*/ GIMT_Encode4(723796), // Rule ID 11742 //
     /*  723726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  723737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  723740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  723746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723772 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  723775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723794 */     GIR_RootConstrainSelectedInstOperands,
     /*  723795 */     // GIR_Coverage, 11742,
     /*  723795 */     GIR_EraseRootFromParent_Done,
     /*  723796 */   // Label 11385: @723796
     /*  723796 */   GIM_Try, /*On fail goto*//*Label 11386*/ GIMT_Encode4(723871), // Rule ID 11743 //
     /*  723801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  723812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  723815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  723818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  723821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  723840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723847 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64),
     /*  723850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723869 */     GIR_RootConstrainSelectedInstOperands,
     /*  723870 */     // GIR_Coverage, 11743,
     /*  723870 */     GIR_EraseRootFromParent_Done,
     /*  723871 */   // Label 11386: @723871
     /*  723871 */   GIM_Try, /*On fail goto*//*Label 11387*/ GIMT_Encode4(723946), // Rule ID 11746 //
     /*  723876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  723879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  723887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  723890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  723896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  723899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  723922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  723925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  723927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  723929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  723931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  723933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  723938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  723941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  723944 */     GIR_RootConstrainSelectedInstOperands,
     /*  723945 */     // GIR_Coverage, 11746,
     /*  723945 */     GIR_EraseRootFromParent_Done,
     /*  723946 */   // Label 11387: @723946
     /*  723946 */   GIM_Try, /*On fail goto*//*Label 11388*/ GIMT_Encode4(724021), // Rule ID 11747 //
     /*  723951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  723954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  723959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  723962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  723965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  723968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  723971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  723974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  723990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  723997 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  723997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64),
     /*  724000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  724016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724019 */     GIR_RootConstrainSelectedInstOperands,
     /*  724020 */     // GIR_Coverage, 11747,
     /*  724020 */     GIR_EraseRootFromParent_Done,
     /*  724021 */   // Label 11388: @724021
     /*  724021 */   GIM_Try, /*On fail goto*//*Label 11389*/ GIMT_Encode4(724096), // Rule ID 11750 //
     /*  724026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  724037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  724040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  724043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  724075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724094 */     GIR_RootConstrainSelectedInstOperands,
     /*  724095 */     // GIR_Coverage, 11750,
     /*  724095 */     GIR_EraseRootFromParent_Done,
     /*  724096 */   // Label 11389: @724096
     /*  724096 */   GIM_Try, /*On fail goto*//*Label 11390*/ GIMT_Encode4(724171), // Rule ID 11751 //
     /*  724101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  724112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  724115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  724118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724147 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8),
     /*  724150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724169 */     GIR_RootConstrainSelectedInstOperands,
     /*  724170 */     // GIR_Coverage, 11751,
     /*  724170 */     GIR_EraseRootFromParent_Done,
     /*  724171 */   // Label 11390: @724171
     /*  724171 */   GIM_Try, /*On fail goto*//*Label 11391*/ GIMT_Encode4(724246), // Rule ID 11754 //
     /*  724176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  724187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  724190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  724193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724222 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  724225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724244 */     GIR_RootConstrainSelectedInstOperands,
     /*  724245 */     // GIR_Coverage, 11754,
     /*  724245 */     GIR_EraseRootFromParent_Done,
     /*  724246 */   // Label 11391: @724246
     /*  724246 */   GIM_Try, /*On fail goto*//*Label 11392*/ GIMT_Encode4(724321), // Rule ID 11755 //
     /*  724251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  724262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  724265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  724268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724297 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8),
     /*  724300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724319 */     GIR_RootConstrainSelectedInstOperands,
     /*  724320 */     // GIR_Coverage, 11755,
     /*  724320 */     GIR_EraseRootFromParent_Done,
     /*  724321 */   // Label 11392: @724321
     /*  724321 */   GIM_Try, /*On fail goto*//*Label 11393*/ GIMT_Encode4(724396), // Rule ID 11758 //
     /*  724326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  724337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  724340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  724343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724372 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  724375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724394 */     GIR_RootConstrainSelectedInstOperands,
     /*  724395 */     // GIR_Coverage, 11758,
     /*  724395 */     GIR_EraseRootFromParent_Done,
     /*  724396 */   // Label 11393: @724396
     /*  724396 */   GIM_Try, /*On fail goto*//*Label 11394*/ GIMT_Encode4(724471), // Rule ID 11759 //
     /*  724401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  724412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  724415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  724418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724447 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  724447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8),
     /*  724450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724469 */     GIR_RootConstrainSelectedInstOperands,
     /*  724470 */     // GIR_Coverage, 11759,
     /*  724470 */     GIR_EraseRootFromParent_Done,
     /*  724471 */   // Label 11394: @724471
     /*  724471 */   GIM_Try, /*On fail goto*//*Label 11395*/ GIMT_Encode4(724546), // Rule ID 11762 //
     /*  724476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  724487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  724490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  724493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  724525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724544 */     GIR_RootConstrainSelectedInstOperands,
     /*  724545 */     // GIR_Coverage, 11762,
     /*  724545 */     GIR_EraseRootFromParent_Done,
     /*  724546 */   // Label 11395: @724546
     /*  724546 */   GIM_Try, /*On fail goto*//*Label 11396*/ GIMT_Encode4(724621), // Rule ID 11763 //
     /*  724551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  724562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  724565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  724568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724597 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16),
     /*  724600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724619 */     GIR_RootConstrainSelectedInstOperands,
     /*  724620 */     // GIR_Coverage, 11763,
     /*  724620 */     GIR_EraseRootFromParent_Done,
     /*  724621 */   // Label 11396: @724621
     /*  724621 */   GIM_Try, /*On fail goto*//*Label 11397*/ GIMT_Encode4(724696), // Rule ID 11766 //
     /*  724626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  724637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  724640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  724672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  724675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724694 */     GIR_RootConstrainSelectedInstOperands,
     /*  724695 */     // GIR_Coverage, 11766,
     /*  724695 */     GIR_EraseRootFromParent_Done,
     /*  724696 */   // Label 11397: @724696
     /*  724696 */   GIM_Try, /*On fail goto*//*Label 11398*/ GIMT_Encode4(724771), // Rule ID 11767 //
     /*  724701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  724712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  724715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  724718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724747 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  724747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16),
     /*  724750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  724766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724769 */     GIR_RootConstrainSelectedInstOperands,
     /*  724770 */     // GIR_Coverage, 11767,
     /*  724770 */     GIR_EraseRootFromParent_Done,
     /*  724771 */   // Label 11398: @724771
     /*  724771 */   GIM_Try, /*On fail goto*//*Label 11399*/ GIMT_Encode4(724846), // Rule ID 11770 //
     /*  724776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  724787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  724790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  724822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  724825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724844 */     GIR_RootConstrainSelectedInstOperands,
     /*  724845 */     // GIR_Coverage, 11770,
     /*  724845 */     GIR_EraseRootFromParent_Done,
     /*  724846 */   // Label 11399: @724846
     /*  724846 */   GIM_Try, /*On fail goto*//*Label 11400*/ GIMT_Encode4(724921), // Rule ID 11771 //
     /*  724851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  724854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  724862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  724865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  724868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  724871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  724874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  724897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32),
     /*  724900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  724916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724919 */     GIR_RootConstrainSelectedInstOperands,
     /*  724920 */     // GIR_Coverage, 11771,
     /*  724920 */     GIR_EraseRootFromParent_Done,
     /*  724921 */   // Label 11400: @724921
     /*  724921 */   GIM_Try, /*On fail goto*//*Label 11401*/ GIMT_Encode4(724996), // Rule ID 11774 //
     /*  724926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  724929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  724934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  724937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  724940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  724943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  724946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  724949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  724961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  724965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  724972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  724972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  724975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  724977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  724979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  724981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  724983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  724988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  724991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  724994 */     GIR_RootConstrainSelectedInstOperands,
     /*  724995 */     // GIR_Coverage, 11774,
     /*  724995 */     GIR_EraseRootFromParent_Done,
     /*  724996 */   // Label 11401: @724996
     /*  724996 */   GIM_Try, /*On fail goto*//*Label 11402*/ GIMT_Encode4(725071), // Rule ID 11775 //
     /*  725001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  725012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  725015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  725018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725047 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11183:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8),
     /*  725050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725069 */     GIR_RootConstrainSelectedInstOperands,
     /*  725070 */     // GIR_Coverage, 11775,
     /*  725070 */     GIR_EraseRootFromParent_Done,
     /*  725071 */   // Label 11402: @725071
     /*  725071 */   GIM_Try, /*On fail goto*//*Label 11403*/ GIMT_Encode4(725146), // Rule ID 11778 //
     /*  725076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  725093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  725122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  725125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725144 */     GIR_RootConstrainSelectedInstOperands,
     /*  725145 */     // GIR_Coverage, 11778,
     /*  725145 */     GIR_EraseRootFromParent_Done,
     /*  725146 */   // Label 11403: @725146
     /*  725146 */   GIM_Try, /*On fail goto*//*Label 11404*/ GIMT_Encode4(725221), // Rule ID 11779 //
     /*  725151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  725162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  725165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  725168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725197 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11183:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  725197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16),
     /*  725200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  725216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725219 */     GIR_RootConstrainSelectedInstOperands,
     /*  725220 */     // GIR_Coverage, 11779,
     /*  725220 */     GIR_EraseRootFromParent_Done,
     /*  725221 */   // Label 11404: @725221
     /*  725221 */   GIM_Try, /*On fail goto*//*Label 11405*/ GIMT_Encode4(725296), // Rule ID 11782 //
     /*  725226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  725237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  725240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  725243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  725272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  725275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725294 */     GIR_RootConstrainSelectedInstOperands,
     /*  725295 */     // GIR_Coverage, 11782,
     /*  725295 */     GIR_EraseRootFromParent_Done,
     /*  725296 */   // Label 11405: @725296
     /*  725296 */   GIM_Try, /*On fail goto*//*Label 11406*/ GIMT_Encode4(725371), // Rule ID 11783 //
     /*  725301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  725312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  725315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  725318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725347 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11183:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  725347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32),
     /*  725350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  725366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725369 */     GIR_RootConstrainSelectedInstOperands,
     /*  725370 */     // GIR_Coverage, 11783,
     /*  725370 */     GIR_EraseRootFromParent_Done,
     /*  725371 */   // Label 11406: @725371
     /*  725371 */   GIM_Try, /*On fail goto*//*Label 11407*/ GIMT_Encode4(725446), // Rule ID 11786 //
     /*  725376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  725379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  725387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  725390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  725393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  725422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  725425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725444 */     GIR_RootConstrainSelectedInstOperands,
     /*  725445 */     // GIR_Coverage, 11786,
     /*  725445 */     GIR_EraseRootFromParent_Done,
     /*  725446 */   // Label 11407: @725446
     /*  725446 */   GIM_Try, /*On fail goto*//*Label 11408*/ GIMT_Encode4(725521), // Rule ID 11787 //
     /*  725451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  725454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  725462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  725465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  725468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  725486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11183:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  725497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64),
     /*  725500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  725516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725519 */     GIR_RootConstrainSelectedInstOperands,
     /*  725520 */     // GIR_Coverage, 11787,
     /*  725520 */     GIR_EraseRootFromParent_Done,
     /*  725521 */   // Label 11408: @725521
     /*  725521 */   GIM_Try, /*On fail goto*//*Label 11409*/ GIMT_Encode4(725596), // Rule ID 11790 //
     /*  725526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  725537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  725540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  725543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725572 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  725575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725594 */     GIR_RootConstrainSelectedInstOperands,
     /*  725595 */     // GIR_Coverage, 11790,
     /*  725595 */     GIR_EraseRootFromParent_Done,
     /*  725596 */   // Label 11409: @725596
     /*  725596 */   GIM_Try, /*On fail goto*//*Label 11410*/ GIMT_Encode4(725671), // Rule ID 11791 //
     /*  725601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  725612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  725615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  725618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  725636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725647 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8),
     /*  725650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725669 */     GIR_RootConstrainSelectedInstOperands,
     /*  725670 */     // GIR_Coverage, 11791,
     /*  725670 */     GIR_EraseRootFromParent_Done,
     /*  725671 */   // Label 11410: @725671
     /*  725671 */   GIM_Try, /*On fail goto*//*Label 11411*/ GIMT_Encode4(725746), // Rule ID 11794 //
     /*  725676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  725687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  725690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  725725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725744 */     GIR_RootConstrainSelectedInstOperands,
     /*  725745 */     // GIR_Coverage, 11794,
     /*  725745 */     GIR_EraseRootFromParent_Done,
     /*  725746 */   // Label 11411: @725746
     /*  725746 */   GIM_Try, /*On fail goto*//*Label 11412*/ GIMT_Encode4(725821), // Rule ID 11795 //
     /*  725751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  725762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  725765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  725768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  725786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725797 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8),
     /*  725800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725819 */     GIR_RootConstrainSelectedInstOperands,
     /*  725820 */     // GIR_Coverage, 11795,
     /*  725820 */     GIR_EraseRootFromParent_Done,
     /*  725821 */   // Label 11412: @725821
     /*  725821 */   GIM_Try, /*On fail goto*//*Label 11413*/ GIMT_Encode4(725896), // Rule ID 11798 //
     /*  725826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  725837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  725840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725872 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  725872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  725875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725894 */     GIR_RootConstrainSelectedInstOperands,
     /*  725895 */     // GIR_Coverage, 11798,
     /*  725895 */     GIR_EraseRootFromParent_Done,
     /*  725896 */   // Label 11413: @725896
     /*  725896 */   GIM_Try, /*On fail goto*//*Label 11414*/ GIMT_Encode4(725971), // Rule ID 11799 //
     /*  725901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  725904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  725912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  725915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  725918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  725921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  725924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  725936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  725940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  725947 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  725947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8),
     /*  725950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  725952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  725954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  725956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  725958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  725963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  725966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  725969 */     GIR_RootConstrainSelectedInstOperands,
     /*  725970 */     // GIR_Coverage, 11799,
     /*  725970 */     GIR_EraseRootFromParent_Done,
     /*  725971 */   // Label 11414: @725971
     /*  725971 */   GIM_Try, /*On fail goto*//*Label 11415*/ GIMT_Encode4(726046), // Rule ID 11802 //
     /*  725976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  725979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  725984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  725987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  725990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  725993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  725996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  725999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726022 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  726025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726044 */     GIR_RootConstrainSelectedInstOperands,
     /*  726045 */     // GIR_Coverage, 11802,
     /*  726045 */     GIR_EraseRootFromParent_Done,
     /*  726046 */   // Label 11415: @726046
     /*  726046 */   GIM_Try, /*On fail goto*//*Label 11416*/ GIMT_Encode4(726121), // Rule ID 11803 //
     /*  726051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  726062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  726065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  726068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726097 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16),
     /*  726100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726119 */     GIR_RootConstrainSelectedInstOperands,
     /*  726120 */     // GIR_Coverage, 11803,
     /*  726120 */     GIR_EraseRootFromParent_Done,
     /*  726121 */   // Label 11416: @726121
     /*  726121 */   GIM_Try, /*On fail goto*//*Label 11417*/ GIMT_Encode4(726196), // Rule ID 11806 //
     /*  726126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  726137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  726140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  726143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726172 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  726175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726194 */     GIR_RootConstrainSelectedInstOperands,
     /*  726195 */     // GIR_Coverage, 11806,
     /*  726195 */     GIR_EraseRootFromParent_Done,
     /*  726196 */   // Label 11417: @726196
     /*  726196 */   GIM_Try, /*On fail goto*//*Label 11418*/ GIMT_Encode4(726271), // Rule ID 11807 //
     /*  726201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  726212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  726215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  726218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726247 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16),
     /*  726250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726269 */     GIR_RootConstrainSelectedInstOperands,
     /*  726270 */     // GIR_Coverage, 11807,
     /*  726270 */     GIR_EraseRootFromParent_Done,
     /*  726271 */   // Label 11418: @726271
     /*  726271 */   GIM_Try, /*On fail goto*//*Label 11419*/ GIMT_Encode4(726346), // Rule ID 11810 //
     /*  726276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  726287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  726290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  726293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  726322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  726325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726344 */     GIR_RootConstrainSelectedInstOperands,
     /*  726345 */     // GIR_Coverage, 11810,
     /*  726345 */     GIR_EraseRootFromParent_Done,
     /*  726346 */   // Label 11419: @726346
     /*  726346 */   GIM_Try, /*On fail goto*//*Label 11420*/ GIMT_Encode4(726421), // Rule ID 11811 //
     /*  726351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  726362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  726365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  726368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726397 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  726397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16),
     /*  726400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  726416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726419 */     GIR_RootConstrainSelectedInstOperands,
     /*  726420 */     // GIR_Coverage, 11811,
     /*  726420 */     GIR_EraseRootFromParent_Done,
     /*  726421 */   // Label 11420: @726421
     /*  726421 */   GIM_Try, /*On fail goto*//*Label 11421*/ GIMT_Encode4(726496), // Rule ID 11814 //
     /*  726426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  726437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  726440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  726443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  726475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726494 */     GIR_RootConstrainSelectedInstOperands,
     /*  726495 */     // GIR_Coverage, 11814,
     /*  726495 */     GIR_EraseRootFromParent_Done,
     /*  726496 */   // Label 11421: @726496
     /*  726496 */   GIM_Try, /*On fail goto*//*Label 11422*/ GIMT_Encode4(726571), // Rule ID 11815 //
     /*  726501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  726512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  726515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  726518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726547 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32),
     /*  726550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726569 */     GIR_RootConstrainSelectedInstOperands,
     /*  726570 */     // GIR_Coverage, 11815,
     /*  726570 */     GIR_EraseRootFromParent_Done,
     /*  726571 */   // Label 11422: @726571
     /*  726571 */   GIM_Try, /*On fail goto*//*Label 11423*/ GIMT_Encode4(726646), // Rule ID 11818 //
     /*  726576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  726587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  726590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  726593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  726625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726644 */     GIR_RootConstrainSelectedInstOperands,
     /*  726645 */     // GIR_Coverage, 11818,
     /*  726645 */     GIR_EraseRootFromParent_Done,
     /*  726646 */   // Label 11423: @726646
     /*  726646 */   GIM_Try, /*On fail goto*//*Label 11424*/ GIMT_Encode4(726721), // Rule ID 11819 //
     /*  726651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  726662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  726665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  726668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  726686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726697 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32),
     /*  726700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726719 */     GIR_RootConstrainSelectedInstOperands,
     /*  726720 */     // GIR_Coverage, 11819,
     /*  726720 */     GIR_EraseRootFromParent_Done,
     /*  726721 */   // Label 11424: @726721
     /*  726721 */   GIM_Try, /*On fail goto*//*Label 11425*/ GIMT_Encode4(726796), // Rule ID 11822 //
     /*  726726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  726729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  726737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  726740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  726772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  726775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726794 */     GIR_RootConstrainSelectedInstOperands,
     /*  726795 */     // GIR_Coverage, 11822,
     /*  726795 */     GIR_EraseRootFromParent_Done,
     /*  726796 */   // Label 11425: @726796
     /*  726796 */   GIM_Try, /*On fail goto*//*Label 11426*/ GIMT_Encode4(726871), // Rule ID 11823 //
     /*  726801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  726804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  726812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  726815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  726818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  726836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726847 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  726847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32),
     /*  726850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  726866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726869 */     GIR_RootConstrainSelectedInstOperands,
     /*  726870 */     // GIR_Coverage, 11823,
     /*  726870 */     GIR_EraseRootFromParent_Done,
     /*  726871 */   // Label 11426: @726871
     /*  726871 */   GIM_Try, /*On fail goto*//*Label 11427*/ GIMT_Encode4(726946), // Rule ID 11826 //
     /*  726876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  726879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  726887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  726890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  726896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  726899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726922 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  726922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  726925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  726927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  726929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  726931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  726933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  726938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  726941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  726944 */     GIR_RootConstrainSelectedInstOperands,
     /*  726945 */     // GIR_Coverage, 11826,
     /*  726945 */     GIR_EraseRootFromParent_Done,
     /*  726946 */   // Label 11427: @726946
     /*  726946 */   GIM_Try, /*On fail goto*//*Label 11428*/ GIMT_Encode4(727021), // Rule ID 11827 //
     /*  726951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  726954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  726959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  726962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  726965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  726968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  726971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  726974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  726986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  726990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  726997 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11183:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  726997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64),
     /*  727000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727019 */     GIR_RootConstrainSelectedInstOperands,
     /*  727020 */     // GIR_Coverage, 11827,
     /*  727020 */     GIR_EraseRootFromParent_Done,
     /*  727021 */   // Label 11428: @727021
     /*  727021 */   GIM_Try, /*On fail goto*//*Label 11429*/ GIMT_Encode4(727096), // Rule ID 11830 //
     /*  727026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  727034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  727037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  727040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  727043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727072 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  727075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727094 */     GIR_RootConstrainSelectedInstOperands,
     /*  727095 */     // GIR_Coverage, 11830,
     /*  727095 */     GIR_EraseRootFromParent_Done,
     /*  727096 */   // Label 11429: @727096
     /*  727096 */   GIM_Try, /*On fail goto*//*Label 11430*/ GIMT_Encode4(727171), // Rule ID 11831 //
     /*  727101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  727109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  727112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  727115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  727118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  727136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727147 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11183:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64),
     /*  727150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727169 */     GIR_RootConstrainSelectedInstOperands,
     /*  727170 */     // GIR_Coverage, 11831,
     /*  727170 */     GIR_EraseRootFromParent_Done,
     /*  727171 */   // Label 11430: @727171
     /*  727171 */   GIM_Try, /*On fail goto*//*Label 11431*/ GIMT_Encode4(727246), // Rule ID 11834 //
     /*  727176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  727179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  727184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  727187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  727190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  727193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  727196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727222 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  727222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  727225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727244 */     GIR_RootConstrainSelectedInstOperands,
     /*  727245 */     // GIR_Coverage, 11834,
     /*  727245 */     GIR_EraseRootFromParent_Done,
     /*  727246 */   // Label 11431: @727246
     /*  727246 */   GIM_Try, /*On fail goto*//*Label 11432*/ GIMT_Encode4(727321), // Rule ID 11835 //
     /*  727251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  727254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu),
     /*  727259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  727262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  727265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  727268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  727271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  727286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  727290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727297 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11183:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIVU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  727297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64),
     /*  727300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  727316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727319 */     GIR_RootConstrainSelectedInstOperands,
     /*  727320 */     // GIR_Coverage, 11835,
     /*  727320 */     GIR_EraseRootFromParent_Done,
     /*  727321 */   // Label 11432: @727321
     /*  727321 */   GIM_Try, /*On fail goto*//*Label 11433*/ GIMT_Encode4(727396), // Rule ID 11838 //
     /*  727326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  727337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  727340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  727343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  727346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  727375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727394 */     GIR_RootConstrainSelectedInstOperands,
     /*  727395 */     // GIR_Coverage, 11838,
     /*  727395 */     GIR_EraseRootFromParent_Done,
     /*  727396 */   // Label 11433: @727396
     /*  727396 */   GIM_Try, /*On fail goto*//*Label 11434*/ GIMT_Encode4(727471), // Rule ID 11839 //
     /*  727401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  727412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  727415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  727418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  727421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8),
     /*  727450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727469 */     GIR_RootConstrainSelectedInstOperands,
     /*  727470 */     // GIR_Coverage, 11839,
     /*  727470 */     GIR_EraseRootFromParent_Done,
     /*  727471 */   // Label 11434: @727471
     /*  727471 */   GIM_Try, /*On fail goto*//*Label 11435*/ GIMT_Encode4(727546), // Rule ID 11842 //
     /*  727476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  727487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  727490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  727493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  727496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727522 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  727525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727544 */     GIR_RootConstrainSelectedInstOperands,
     /*  727545 */     // GIR_Coverage, 11842,
     /*  727545 */     GIR_EraseRootFromParent_Done,
     /*  727546 */   // Label 11435: @727546
     /*  727546 */   GIM_Try, /*On fail goto*//*Label 11436*/ GIMT_Encode4(727621), // Rule ID 11843 //
     /*  727551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  727562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  727565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  727568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  727571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727597 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8),
     /*  727600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727619 */     GIR_RootConstrainSelectedInstOperands,
     /*  727620 */     // GIR_Coverage, 11843,
     /*  727620 */     GIR_EraseRootFromParent_Done,
     /*  727621 */   // Label 11436: @727621
     /*  727621 */   GIM_Try, /*On fail goto*//*Label 11437*/ GIMT_Encode4(727696), // Rule ID 11846 //
     /*  727626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  727637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  727640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  727646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727672 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  727672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  727675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727694 */     GIR_RootConstrainSelectedInstOperands,
     /*  727695 */     // GIR_Coverage, 11846,
     /*  727695 */     GIR_EraseRootFromParent_Done,
     /*  727696 */   // Label 11437: @727696
     /*  727696 */   GIM_Try, /*On fail goto*//*Label 11438*/ GIMT_Encode4(727771), // Rule ID 11847 //
     /*  727701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  727712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  727715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  727718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  727721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727747 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  727747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8),
     /*  727750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  727766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727769 */     GIR_RootConstrainSelectedInstOperands,
     /*  727770 */     // GIR_Coverage, 11847,
     /*  727770 */     GIR_EraseRootFromParent_Done,
     /*  727771 */   // Label 11438: @727771
     /*  727771 */   GIM_Try, /*On fail goto*//*Label 11439*/ GIMT_Encode4(727846), // Rule ID 11850 //
     /*  727776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  727787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  727790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  727796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  727825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727844 */     GIR_RootConstrainSelectedInstOperands,
     /*  727845 */     // GIR_Coverage, 11850,
     /*  727845 */     GIR_EraseRootFromParent_Done,
     /*  727846 */   // Label 11439: @727846
     /*  727846 */   GIM_Try, /*On fail goto*//*Label 11440*/ GIMT_Encode4(727921), // Rule ID 11851 //
     /*  727851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  727854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  727862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  727865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  727868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  727871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  727874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727897 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  727897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16),
     /*  727900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727919 */     GIR_RootConstrainSelectedInstOperands,
     /*  727920 */     // GIR_Coverage, 11851,
     /*  727920 */     GIR_EraseRootFromParent_Done,
     /*  727921 */   // Label 11440: @727921
     /*  727921 */   GIM_Try, /*On fail goto*//*Label 11441*/ GIMT_Encode4(727996), // Rule ID 11854 //
     /*  727926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  727929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  727934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  727937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  727940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  727943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  727946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  727949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  727965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  727972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  727972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  727975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  727977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  727979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  727981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  727983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  727988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  727991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  727994 */     GIR_RootConstrainSelectedInstOperands,
     /*  727995 */     // GIR_Coverage, 11854,
     /*  727995 */     GIR_EraseRootFromParent_Done,
     /*  727996 */   // Label 11441: @727996
     /*  727996 */   GIM_Try, /*On fail goto*//*Label 11442*/ GIMT_Encode4(728071), // Rule ID 11855 //
     /*  728001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  728012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  728015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  728018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  728021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728047 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16),
     /*  728050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728069 */     GIR_RootConstrainSelectedInstOperands,
     /*  728070 */     // GIR_Coverage, 11855,
     /*  728070 */     GIR_EraseRootFromParent_Done,
     /*  728071 */   // Label 11442: @728071
     /*  728071 */   GIM_Try, /*On fail goto*//*Label 11443*/ GIMT_Encode4(728146), // Rule ID 11858 //
     /*  728076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  728087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  728090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  728093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  728096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  728125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728144 */     GIR_RootConstrainSelectedInstOperands,
     /*  728145 */     // GIR_Coverage, 11858,
     /*  728145 */     GIR_EraseRootFromParent_Done,
     /*  728146 */   // Label 11443: @728146
     /*  728146 */   GIM_Try, /*On fail goto*//*Label 11444*/ GIMT_Encode4(728221), // Rule ID 11859 //
     /*  728151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  728162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  728165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  728168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  728171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728197 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32),
     /*  728200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728219 */     GIR_RootConstrainSelectedInstOperands,
     /*  728220 */     // GIR_Coverage, 11859,
     /*  728220 */     GIR_EraseRootFromParent_Done,
     /*  728221 */   // Label 11444: @728221
     /*  728221 */   GIM_Try, /*On fail goto*//*Label 11445*/ GIMT_Encode4(728296), // Rule ID 11862 //
     /*  728226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  728243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728272 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  728275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728294 */     GIR_RootConstrainSelectedInstOperands,
     /*  728295 */     // GIR_Coverage, 11862,
     /*  728295 */     GIR_EraseRootFromParent_Done,
     /*  728296 */   // Label 11445: @728296
     /*  728296 */   GIM_Try, /*On fail goto*//*Label 11446*/ GIMT_Encode4(728371), // Rule ID 11863 //
     /*  728301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  728312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  728315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  728318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  728321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728347 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8),
     /*  728350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728369 */     GIR_RootConstrainSelectedInstOperands,
     /*  728370 */     // GIR_Coverage, 11863,
     /*  728370 */     GIR_EraseRootFromParent_Done,
     /*  728371 */   // Label 11446: @728371
     /*  728371 */   GIM_Try, /*On fail goto*//*Label 11447*/ GIMT_Encode4(728446), // Rule ID 11866 //
     /*  728376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  728393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  728422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  728425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728444 */     GIR_RootConstrainSelectedInstOperands,
     /*  728445 */     // GIR_Coverage, 11866,
     /*  728445 */     GIR_EraseRootFromParent_Done,
     /*  728446 */   // Label 11447: @728446
     /*  728446 */   GIM_Try, /*On fail goto*//*Label 11448*/ GIMT_Encode4(728521), // Rule ID 11867 //
     /*  728451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  728462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  728465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  728468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  728471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728497 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  728497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16),
     /*  728500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  728516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728519 */     GIR_RootConstrainSelectedInstOperands,
     /*  728520 */     // GIR_Coverage, 11867,
     /*  728520 */     GIR_EraseRootFromParent_Done,
     /*  728521 */   // Label 11448: @728521
     /*  728521 */   GIM_Try, /*On fail goto*//*Label 11449*/ GIMT_Encode4(728596), // Rule ID 11870 //
     /*  728526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  728543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  728572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  728575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728594 */     GIR_RootConstrainSelectedInstOperands,
     /*  728595 */     // GIR_Coverage, 11870,
     /*  728595 */     GIR_EraseRootFromParent_Done,
     /*  728596 */   // Label 11449: @728596
     /*  728596 */   GIM_Try, /*On fail goto*//*Label 11450*/ GIMT_Encode4(728671), // Rule ID 11871 //
     /*  728601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  728612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  728615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  728618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  728621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728647 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  728647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32),
     /*  728650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  728666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728669 */     GIR_RootConstrainSelectedInstOperands,
     /*  728670 */     // GIR_Coverage, 11871,
     /*  728670 */     GIR_EraseRootFromParent_Done,
     /*  728671 */   // Label 11450: @728671
     /*  728671 */   GIM_Try, /*On fail goto*//*Label 11451*/ GIMT_Encode4(728746), // Rule ID 11874 //
     /*  728676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  728679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  728722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  728725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728744 */     GIR_RootConstrainSelectedInstOperands,
     /*  728745 */     // GIR_Coverage, 11874,
     /*  728745 */     GIR_EraseRootFromParent_Done,
     /*  728746 */   // Label 11451: @728746
     /*  728746 */   GIM_Try, /*On fail goto*//*Label 11452*/ GIMT_Encode4(728821), // Rule ID 11875 //
     /*  728751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  728754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  728762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  728765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  728768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  728771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  728790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728797 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  728797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64),
     /*  728800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  728816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728819 */     GIR_RootConstrainSelectedInstOperands,
     /*  728820 */     // GIR_Coverage, 11875,
     /*  728820 */     GIR_EraseRootFromParent_Done,
     /*  728821 */   // Label 11452: @728821
     /*  728821 */   GIM_Try, /*On fail goto*//*Label 11453*/ GIMT_Encode4(728896), // Rule ID 11878 //
     /*  728826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  728837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  728840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  728846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  728872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  728875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728894 */     GIR_RootConstrainSelectedInstOperands,
     /*  728895 */     // GIR_Coverage, 11878,
     /*  728895 */     GIR_EraseRootFromParent_Done,
     /*  728896 */   // Label 11453: @728896
     /*  728896 */   GIM_Try, /*On fail goto*//*Label 11454*/ GIMT_Encode4(728971), // Rule ID 11879 //
     /*  728901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  728904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  728912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  728915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  728918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  728921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  728924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  728940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  728947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  728947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8),
     /*  728950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  728952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  728954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  728956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  728958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  728963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  728966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  728969 */     GIR_RootConstrainSelectedInstOperands,
     /*  728970 */     // GIR_Coverage, 11879,
     /*  728970 */     GIR_EraseRootFromParent_Done,
     /*  728971 */   // Label 11454: @728971
     /*  728971 */   GIM_Try, /*On fail goto*//*Label 11455*/ GIMT_Encode4(729046), // Rule ID 11882 //
     /*  728976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  728979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  728984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  728987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  728990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  728993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  728996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  728999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729022 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  729025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729044 */     GIR_RootConstrainSelectedInstOperands,
     /*  729045 */     // GIR_Coverage, 11882,
     /*  729045 */     GIR_EraseRootFromParent_Done,
     /*  729046 */   // Label 11455: @729046
     /*  729046 */   GIM_Try, /*On fail goto*//*Label 11456*/ GIMT_Encode4(729121), // Rule ID 11883 //
     /*  729051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  729062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  729065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  729068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  729071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729097 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8),
     /*  729100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729119 */     GIR_RootConstrainSelectedInstOperands,
     /*  729120 */     // GIR_Coverage, 11883,
     /*  729120 */     GIR_EraseRootFromParent_Done,
     /*  729121 */   // Label 11456: @729121
     /*  729121 */   GIM_Try, /*On fail goto*//*Label 11457*/ GIMT_Encode4(729196), // Rule ID 11886 //
     /*  729126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  729137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  729140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  729143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  729146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  729172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  729175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729194 */     GIR_RootConstrainSelectedInstOperands,
     /*  729195 */     // GIR_Coverage, 11886,
     /*  729195 */     GIR_EraseRootFromParent_Done,
     /*  729196 */   // Label 11457: @729196
     /*  729196 */   GIM_Try, /*On fail goto*//*Label 11458*/ GIMT_Encode4(729271), // Rule ID 11887 //
     /*  729201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  729212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  729215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  729218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  729221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729247 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  729247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8),
     /*  729250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  729266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729269 */     GIR_RootConstrainSelectedInstOperands,
     /*  729270 */     // GIR_Coverage, 11887,
     /*  729270 */     GIR_EraseRootFromParent_Done,
     /*  729271 */   // Label 11458: @729271
     /*  729271 */   GIM_Try, /*On fail goto*//*Label 11459*/ GIMT_Encode4(729346), // Rule ID 11890 //
     /*  729276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  729287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  729290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  729293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  729296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  729325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729344 */     GIR_RootConstrainSelectedInstOperands,
     /*  729345 */     // GIR_Coverage, 11890,
     /*  729345 */     GIR_EraseRootFromParent_Done,
     /*  729346 */   // Label 11459: @729346
     /*  729346 */   GIM_Try, /*On fail goto*//*Label 11460*/ GIMT_Encode4(729421), // Rule ID 11891 //
     /*  729351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  729362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  729365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  729368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  729371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729397 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16),
     /*  729400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729419 */     GIR_RootConstrainSelectedInstOperands,
     /*  729420 */     // GIR_Coverage, 11891,
     /*  729420 */     GIR_EraseRootFromParent_Done,
     /*  729421 */   // Label 11460: @729421
     /*  729421 */   GIM_Try, /*On fail goto*//*Label 11461*/ GIMT_Encode4(729496), // Rule ID 11894 //
     /*  729426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  729437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  729440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  729443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  729446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729472 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  729475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729494 */     GIR_RootConstrainSelectedInstOperands,
     /*  729495 */     // GIR_Coverage, 11894,
     /*  729495 */     GIR_EraseRootFromParent_Done,
     /*  729496 */   // Label 11461: @729496
     /*  729496 */   GIM_Try, /*On fail goto*//*Label 11462*/ GIMT_Encode4(729571), // Rule ID 11895 //
     /*  729501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  729512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  729515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  729518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  729521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729547 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16),
     /*  729550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729569 */     GIR_RootConstrainSelectedInstOperands,
     /*  729570 */     // GIR_Coverage, 11895,
     /*  729570 */     GIR_EraseRootFromParent_Done,
     /*  729571 */   // Label 11462: @729571
     /*  729571 */   GIM_Try, /*On fail goto*//*Label 11463*/ GIMT_Encode4(729646), // Rule ID 11898 //
     /*  729576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  729587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  729590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  729593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  729596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  729622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  729625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729644 */     GIR_RootConstrainSelectedInstOperands,
     /*  729645 */     // GIR_Coverage, 11898,
     /*  729645 */     GIR_EraseRootFromParent_Done,
     /*  729646 */   // Label 11463: @729646
     /*  729646 */   GIM_Try, /*On fail goto*//*Label 11464*/ GIMT_Encode4(729721), // Rule ID 11899 //
     /*  729651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  729662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  729665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  729668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  729671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  729690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729697 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  729697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16),
     /*  729700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  729716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729719 */     GIR_RootConstrainSelectedInstOperands,
     /*  729720 */     // GIR_Coverage, 11899,
     /*  729720 */     GIR_EraseRootFromParent_Done,
     /*  729721 */   // Label 11464: @729721
     /*  729721 */   GIM_Try, /*On fail goto*//*Label 11465*/ GIMT_Encode4(729796), // Rule ID 11902 //
     /*  729726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  729737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  729740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  729746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  729775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729794 */     GIR_RootConstrainSelectedInstOperands,
     /*  729795 */     // GIR_Coverage, 11902,
     /*  729795 */     GIR_EraseRootFromParent_Done,
     /*  729796 */   // Label 11465: @729796
     /*  729796 */   GIM_Try, /*On fail goto*//*Label 11466*/ GIMT_Encode4(729871), // Rule ID 11903 //
     /*  729801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  729812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  729815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  729818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  729821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  729840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729847 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32),
     /*  729850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729869 */     GIR_RootConstrainSelectedInstOperands,
     /*  729870 */     // GIR_Coverage, 11903,
     /*  729870 */     GIR_EraseRootFromParent_Done,
     /*  729871 */   // Label 11466: @729871
     /*  729871 */   GIM_Try, /*On fail goto*//*Label 11467*/ GIMT_Encode4(729946), // Rule ID 11906 //
     /*  729876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  729879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  729887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  729890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  729896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  729899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  729922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  729925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  729927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  729929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  729931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  729933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  729938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  729941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  729944 */     GIR_RootConstrainSelectedInstOperands,
     /*  729945 */     // GIR_Coverage, 11906,
     /*  729945 */     GIR_EraseRootFromParent_Done,
     /*  729946 */   // Label 11467: @729946
     /*  729946 */   GIM_Try, /*On fail goto*//*Label 11468*/ GIMT_Encode4(730021), // Rule ID 11907 //
     /*  729951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  729954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  729959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  729962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  729965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  729968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  729971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  729974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  729990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  729997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  729997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32),
     /*  730000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730019 */     GIR_RootConstrainSelectedInstOperands,
     /*  730020 */     // GIR_Coverage, 11907,
     /*  730020 */     GIR_EraseRootFromParent_Done,
     /*  730021 */   // Label 11468: @730021
     /*  730021 */   GIM_Try, /*On fail goto*//*Label 11469*/ GIMT_Encode4(730096), // Rule ID 11910 //
     /*  730026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  730037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  730040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  730043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  730046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  730072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  730075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730094 */     GIR_RootConstrainSelectedInstOperands,
     /*  730095 */     // GIR_Coverage, 11910,
     /*  730095 */     GIR_EraseRootFromParent_Done,
     /*  730096 */   // Label 11469: @730096
     /*  730096 */   GIM_Try, /*On fail goto*//*Label 11470*/ GIMT_Encode4(730171), // Rule ID 11911 //
     /*  730101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  730112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  730115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  730118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  730121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730147 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  730147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32),
     /*  730150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  730166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730169 */     GIR_RootConstrainSelectedInstOperands,
     /*  730170 */     // GIR_Coverage, 11911,
     /*  730170 */     GIR_EraseRootFromParent_Done,
     /*  730171 */   // Label 11470: @730171
     /*  730171 */   GIM_Try, /*On fail goto*//*Label 11471*/ GIMT_Encode4(730246), // Rule ID 11914 //
     /*  730176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  730187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  730190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  730193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  730196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  730225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730244 */     GIR_RootConstrainSelectedInstOperands,
     /*  730245 */     // GIR_Coverage, 11914,
     /*  730245 */     GIR_EraseRootFromParent_Done,
     /*  730246 */   // Label 11471: @730246
     /*  730246 */   GIM_Try, /*On fail goto*//*Label 11472*/ GIMT_Encode4(730321), // Rule ID 11915 //
     /*  730251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  730262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  730265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  730268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  730271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  730290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64),
     /*  730300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730319 */     GIR_RootConstrainSelectedInstOperands,
     /*  730320 */     // GIR_Coverage, 11915,
     /*  730320 */     GIR_EraseRootFromParent_Done,
     /*  730321 */   // Label 11472: @730321
     /*  730321 */   GIM_Try, /*On fail goto*//*Label 11473*/ GIMT_Encode4(730396), // Rule ID 11918 //
     /*  730326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  730337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  730340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  730343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  730346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  730375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730394 */     GIR_RootConstrainSelectedInstOperands,
     /*  730395 */     // GIR_Coverage, 11918,
     /*  730395 */     GIR_EraseRootFromParent_Done,
     /*  730396 */   // Label 11473: @730396
     /*  730396 */   GIM_Try, /*On fail goto*//*Label 11474*/ GIMT_Encode4(730471), // Rule ID 11919 //
     /*  730401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  730412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  730415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  730418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  730421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  730440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730447 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64),
     /*  730450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730469 */     GIR_RootConstrainSelectedInstOperands,
     /*  730470 */     // GIR_Coverage, 11919,
     /*  730470 */     GIR_EraseRootFromParent_Done,
     /*  730471 */   // Label 11474: @730471
     /*  730471 */   GIM_Try, /*On fail goto*//*Label 11475*/ GIMT_Encode4(730546), // Rule ID 11922 //
     /*  730476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  730479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  730487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  730490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  730493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  730496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  730522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  730525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730544 */     GIR_RootConstrainSelectedInstOperands,
     /*  730545 */     // GIR_Coverage, 11922,
     /*  730545 */     GIR_EraseRootFromParent_Done,
     /*  730546 */   // Label 11475: @730546
     /*  730546 */   GIM_Try, /*On fail goto*//*Label 11476*/ GIMT_Encode4(730621), // Rule ID 11923 //
     /*  730551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  730554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  730562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  730565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  730568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  730571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  730590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  730597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64),
     /*  730600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  730616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730619 */     GIR_RootConstrainSelectedInstOperands,
     /*  730620 */     // GIR_Coverage, 11923,
     /*  730620 */     GIR_EraseRootFromParent_Done,
     /*  730621 */   // Label 11476: @730621
     /*  730621 */   GIM_Try, /*On fail goto*//*Label 11477*/ GIMT_Encode4(730696), // Rule ID 11926 //
     /*  730626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  730637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  730640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  730675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730694 */     GIR_RootConstrainSelectedInstOperands,
     /*  730695 */     // GIR_Coverage, 11926,
     /*  730695 */     GIR_EraseRootFromParent_Done,
     /*  730696 */   // Label 11477: @730696
     /*  730696 */   GIM_Try, /*On fail goto*//*Label 11478*/ GIMT_Encode4(730771), // Rule ID 11927 //
     /*  730701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  730712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  730715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  730718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730747 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8),
     /*  730750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730769 */     GIR_RootConstrainSelectedInstOperands,
     /*  730770 */     // GIR_Coverage, 11927,
     /*  730770 */     GIR_EraseRootFromParent_Done,
     /*  730771 */   // Label 11478: @730771
     /*  730771 */   GIM_Try, /*On fail goto*//*Label 11479*/ GIMT_Encode4(730846), // Rule ID 11930 //
     /*  730776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  730787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  730790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  730825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730844 */     GIR_RootConstrainSelectedInstOperands,
     /*  730845 */     // GIR_Coverage, 11930,
     /*  730845 */     GIR_EraseRootFromParent_Done,
     /*  730846 */   // Label 11479: @730846
     /*  730846 */   GIM_Try, /*On fail goto*//*Label 11480*/ GIMT_Encode4(730921), // Rule ID 11931 //
     /*  730851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  730854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  730862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  730865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  730868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  730871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  730874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730897 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  730897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8),
     /*  730900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730919 */     GIR_RootConstrainSelectedInstOperands,
     /*  730920 */     // GIR_Coverage, 11931,
     /*  730920 */     GIR_EraseRootFromParent_Done,
     /*  730921 */   // Label 11480: @730921
     /*  730921 */   GIM_Try, /*On fail goto*//*Label 11481*/ GIMT_Encode4(730996), // Rule ID 11934 //
     /*  730926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  730929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  730934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  730937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  730940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  730943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  730946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  730949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  730961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  730965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  730972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  730972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  730975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  730977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  730979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  730981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  730983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  730988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  730991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  730994 */     GIR_RootConstrainSelectedInstOperands,
     /*  730995 */     // GIR_Coverage, 11934,
     /*  730995 */     GIR_EraseRootFromParent_Done,
     /*  730996 */   // Label 11481: @730996
     /*  730996 */   GIM_Try, /*On fail goto*//*Label 11482*/ GIMT_Encode4(731071), // Rule ID 11935 //
     /*  731001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  731012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  731015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  731018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731047 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8),
     /*  731050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731069 */     GIR_RootConstrainSelectedInstOperands,
     /*  731070 */     // GIR_Coverage, 11935,
     /*  731070 */     GIR_EraseRootFromParent_Done,
     /*  731071 */   // Label 11482: @731071
     /*  731071 */   GIM_Try, /*On fail goto*//*Label 11483*/ GIMT_Encode4(731146), // Rule ID 11938 //
     /*  731076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  731087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  731090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  731093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731122 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  731125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731144 */     GIR_RootConstrainSelectedInstOperands,
     /*  731145 */     // GIR_Coverage, 11938,
     /*  731145 */     GIR_EraseRootFromParent_Done,
     /*  731146 */   // Label 11483: @731146
     /*  731146 */   GIM_Try, /*On fail goto*//*Label 11484*/ GIMT_Encode4(731221), // Rule ID 11939 //
     /*  731151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  731162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  731165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  731168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731197 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16),
     /*  731200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731219 */     GIR_RootConstrainSelectedInstOperands,
     /*  731220 */     // GIR_Coverage, 11939,
     /*  731220 */     GIR_EraseRootFromParent_Done,
     /*  731221 */   // Label 11484: @731221
     /*  731221 */   GIM_Try, /*On fail goto*//*Label 11485*/ GIMT_Encode4(731296), // Rule ID 11942 //
     /*  731226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  731237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  731240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  731243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731272 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  731275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731294 */     GIR_RootConstrainSelectedInstOperands,
     /*  731295 */     // GIR_Coverage, 11942,
     /*  731295 */     GIR_EraseRootFromParent_Done,
     /*  731296 */   // Label 11485: @731296
     /*  731296 */   GIM_Try, /*On fail goto*//*Label 11486*/ GIMT_Encode4(731371), // Rule ID 11943 //
     /*  731301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  731312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  731315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  731318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731347 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16),
     /*  731350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731369 */     GIR_RootConstrainSelectedInstOperands,
     /*  731370 */     // GIR_Coverage, 11943,
     /*  731370 */     GIR_EraseRootFromParent_Done,
     /*  731371 */   // Label 11486: @731371
     /*  731371 */   GIM_Try, /*On fail goto*//*Label 11487*/ GIMT_Encode4(731446), // Rule ID 11946 //
     /*  731376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  731387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  731390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  731393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731422 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  731425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731444 */     GIR_RootConstrainSelectedInstOperands,
     /*  731445 */     // GIR_Coverage, 11946,
     /*  731445 */     GIR_EraseRootFromParent_Done,
     /*  731446 */   // Label 11487: @731446
     /*  731446 */   GIM_Try, /*On fail goto*//*Label 11488*/ GIMT_Encode4(731521), // Rule ID 11947 //
     /*  731451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  731462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  731465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  731468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731497 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32),
     /*  731500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731519 */     GIR_RootConstrainSelectedInstOperands,
     /*  731520 */     // GIR_Coverage, 11947,
     /*  731520 */     GIR_EraseRootFromParent_Done,
     /*  731521 */   // Label 11488: @731521
     /*  731521 */   GIM_Try, /*On fail goto*//*Label 11489*/ GIMT_Encode4(731596), // Rule ID 11950 //
     /*  731526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  731543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731572 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  731572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  731575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731594 */     GIR_RootConstrainSelectedInstOperands,
     /*  731595 */     // GIR_Coverage, 11950,
     /*  731595 */     GIR_EraseRootFromParent_Done,
     /*  731596 */   // Label 11489: @731596
     /*  731596 */   GIM_Try, /*On fail goto*//*Label 11490*/ GIMT_Encode4(731671), // Rule ID 11951 //
     /*  731601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  731612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  731615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  731618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731647 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11181:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  731647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8),
     /*  731650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  731666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731669 */     GIR_RootConstrainSelectedInstOperands,
     /*  731670 */     // GIR_Coverage, 11951,
     /*  731670 */     GIR_EraseRootFromParent_Done,
     /*  731671 */   // Label 11490: @731671
     /*  731671 */   GIM_Try, /*On fail goto*//*Label 11491*/ GIMT_Encode4(731746), // Rule ID 11954 //
     /*  731676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  731722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  731725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731744 */     GIR_RootConstrainSelectedInstOperands,
     /*  731745 */     // GIR_Coverage, 11954,
     /*  731745 */     GIR_EraseRootFromParent_Done,
     /*  731746 */   // Label 11491: @731746
     /*  731746 */   GIM_Try, /*On fail goto*//*Label 11492*/ GIMT_Encode4(731821), // Rule ID 11955 //
     /*  731751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  731762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  731765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  731768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11181:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  731797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16),
     /*  731800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  731816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731819 */     GIR_RootConstrainSelectedInstOperands,
     /*  731820 */     // GIR_Coverage, 11955,
     /*  731820 */     GIR_EraseRootFromParent_Done,
     /*  731821 */   // Label 11492: @731821
     /*  731821 */   GIM_Try, /*On fail goto*//*Label 11493*/ GIMT_Encode4(731896), // Rule ID 11958 //
     /*  731826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  731829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731872 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  731872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  731875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731894 */     GIR_RootConstrainSelectedInstOperands,
     /*  731895 */     // GIR_Coverage, 11958,
     /*  731895 */     GIR_EraseRootFromParent_Done,
     /*  731896 */   // Label 11493: @731896
     /*  731896 */   GIM_Try, /*On fail goto*//*Label 11494*/ GIMT_Encode4(731971), // Rule ID 11959 //
     /*  731901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  731904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  731912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  731915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  731918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  731921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  731924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  731936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  731940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  731947 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11181:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  731947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32),
     /*  731950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  731952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  731954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  731956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  731958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  731963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  731966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  731969 */     GIR_RootConstrainSelectedInstOperands,
     /*  731970 */     // GIR_Coverage, 11959,
     /*  731970 */     GIR_EraseRootFromParent_Done,
     /*  731971 */   // Label 11494: @731971
     /*  731971 */   GIM_Try, /*On fail goto*//*Label 11495*/ GIMT_Encode4(732046), // Rule ID 11962 //
     /*  731976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  731979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  731984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  731987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  731990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  731993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  731996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  731999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  732022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  732025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732044 */     GIR_RootConstrainSelectedInstOperands,
     /*  732045 */     // GIR_Coverage, 11962,
     /*  732045 */     GIR_EraseRootFromParent_Done,
     /*  732046 */   // Label 11495: @732046
     /*  732046 */   GIM_Try, /*On fail goto*//*Label 11496*/ GIMT_Encode4(732121), // Rule ID 11963 //
     /*  732051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  732054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  732062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  732065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  732068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  732086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732097 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11181:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  732097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64),
     /*  732100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  732116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732119 */     GIR_RootConstrainSelectedInstOperands,
     /*  732120 */     // GIR_Coverage, 11963,
     /*  732120 */     GIR_EraseRootFromParent_Done,
     /*  732121 */   // Label 11496: @732121
     /*  732121 */   GIM_Try, /*On fail goto*//*Label 11497*/ GIMT_Encode4(732196), // Rule ID 11966 //
     /*  732126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  732137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  732140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  732143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  732175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732194 */     GIR_RootConstrainSelectedInstOperands,
     /*  732195 */     // GIR_Coverage, 11966,
     /*  732195 */     GIR_EraseRootFromParent_Done,
     /*  732196 */   // Label 11497: @732196
     /*  732196 */   GIM_Try, /*On fail goto*//*Label 11498*/ GIMT_Encode4(732271), // Rule ID 11967 //
     /*  732201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  732212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  732215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  732218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732247 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8),
     /*  732250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732269 */     GIR_RootConstrainSelectedInstOperands,
     /*  732270 */     // GIR_Coverage, 11967,
     /*  732270 */     GIR_EraseRootFromParent_Done,
     /*  732271 */   // Label 11498: @732271
     /*  732271 */   GIM_Try, /*On fail goto*//*Label 11499*/ GIMT_Encode4(732346), // Rule ID 11970 //
     /*  732276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  732287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  732290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  732293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  732325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732344 */     GIR_RootConstrainSelectedInstOperands,
     /*  732345 */     // GIR_Coverage, 11970,
     /*  732345 */     GIR_EraseRootFromParent_Done,
     /*  732346 */   // Label 11499: @732346
     /*  732346 */   GIM_Try, /*On fail goto*//*Label 11500*/ GIMT_Encode4(732421), // Rule ID 11971 //
     /*  732351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  732362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  732365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  732368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732397 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8),
     /*  732400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732419 */     GIR_RootConstrainSelectedInstOperands,
     /*  732420 */     // GIR_Coverage, 11971,
     /*  732420 */     GIR_EraseRootFromParent_Done,
     /*  732421 */   // Label 11500: @732421
     /*  732421 */   GIM_Try, /*On fail goto*//*Label 11501*/ GIMT_Encode4(732496), // Rule ID 11974 //
     /*  732426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  732437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  732440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  732443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732472 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  732472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  732475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732494 */     GIR_RootConstrainSelectedInstOperands,
     /*  732495 */     // GIR_Coverage, 11974,
     /*  732495 */     GIR_EraseRootFromParent_Done,
     /*  732496 */   // Label 11501: @732496
     /*  732496 */   GIM_Try, /*On fail goto*//*Label 11502*/ GIMT_Encode4(732571), // Rule ID 11975 //
     /*  732501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  732512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  732515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  732518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  732547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8),
     /*  732550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  732566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732569 */     GIR_RootConstrainSelectedInstOperands,
     /*  732570 */     // GIR_Coverage, 11975,
     /*  732570 */     GIR_EraseRootFromParent_Done,
     /*  732571 */   // Label 11502: @732571
     /*  732571 */   GIM_Try, /*On fail goto*//*Label 11503*/ GIMT_Encode4(732646), // Rule ID 11978 //
     /*  732576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  732587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  732590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  732593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  732625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732644 */     GIR_RootConstrainSelectedInstOperands,
     /*  732645 */     // GIR_Coverage, 11978,
     /*  732645 */     GIR_EraseRootFromParent_Done,
     /*  732646 */   // Label 11503: @732646
     /*  732646 */   GIM_Try, /*On fail goto*//*Label 11504*/ GIMT_Encode4(732721), // Rule ID 11979 //
     /*  732651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  732662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  732665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  732668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  732686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16),
     /*  732700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732719 */     GIR_RootConstrainSelectedInstOperands,
     /*  732720 */     // GIR_Coverage, 11979,
     /*  732720 */     GIR_EraseRootFromParent_Done,
     /*  732721 */   // Label 11504: @732721
     /*  732721 */   GIM_Try, /*On fail goto*//*Label 11505*/ GIMT_Encode4(732796), // Rule ID 11982 //
     /*  732726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  732737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  732740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  732775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732794 */     GIR_RootConstrainSelectedInstOperands,
     /*  732795 */     // GIR_Coverage, 11982,
     /*  732795 */     GIR_EraseRootFromParent_Done,
     /*  732796 */   // Label 11505: @732796
     /*  732796 */   GIM_Try, /*On fail goto*//*Label 11506*/ GIMT_Encode4(732871), // Rule ID 11983 //
     /*  732801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  732812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  732815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  732818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  732836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16),
     /*  732850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732869 */     GIR_RootConstrainSelectedInstOperands,
     /*  732870 */     // GIR_Coverage, 11983,
     /*  732870 */     GIR_EraseRootFromParent_Done,
     /*  732871 */   // Label 11506: @732871
     /*  732871 */   GIM_Try, /*On fail goto*//*Label 11507*/ GIMT_Encode4(732946), // Rule ID 11986 //
     /*  732876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  732879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  732887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  732890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  732896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  732899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  732922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  732925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  732927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  732929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  732931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  732933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  732938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  732941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  732944 */     GIR_RootConstrainSelectedInstOperands,
     /*  732945 */     // GIR_Coverage, 11986,
     /*  732945 */     GIR_EraseRootFromParent_Done,
     /*  732946 */   // Label 11507: @732946
     /*  732946 */   GIM_Try, /*On fail goto*//*Label 11508*/ GIMT_Encode4(733021), // Rule ID 11987 //
     /*  732951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  732954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  732959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  732962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  732965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  732968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  732971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  732974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  732986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  732990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  732997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  732997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16),
     /*  733000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  733016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733019 */     GIR_RootConstrainSelectedInstOperands,
     /*  733020 */     // GIR_Coverage, 11987,
     /*  733020 */     GIR_EraseRootFromParent_Done,
     /*  733021 */   // Label 11508: @733021
     /*  733021 */   GIM_Try, /*On fail goto*//*Label 11509*/ GIMT_Encode4(733096), // Rule ID 11990 //
     /*  733026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  733037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  733040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  733043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733072 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  733075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733094 */     GIR_RootConstrainSelectedInstOperands,
     /*  733095 */     // GIR_Coverage, 11990,
     /*  733095 */     GIR_EraseRootFromParent_Done,
     /*  733096 */   // Label 11509: @733096
     /*  733096 */   GIM_Try, /*On fail goto*//*Label 11510*/ GIMT_Encode4(733171), // Rule ID 11991 //
     /*  733101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  733112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  733115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  733118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733147 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32),
     /*  733150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733169 */     GIR_RootConstrainSelectedInstOperands,
     /*  733170 */     // GIR_Coverage, 11991,
     /*  733170 */     GIR_EraseRootFromParent_Done,
     /*  733171 */   // Label 11510: @733171
     /*  733171 */   GIM_Try, /*On fail goto*//*Label 11511*/ GIMT_Encode4(733246), // Rule ID 11994 //
     /*  733176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  733187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  733190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  733193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  733225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733244 */     GIR_RootConstrainSelectedInstOperands,
     /*  733245 */     // GIR_Coverage, 11994,
     /*  733245 */     GIR_EraseRootFromParent_Done,
     /*  733246 */   // Label 11511: @733246
     /*  733246 */   GIM_Try, /*On fail goto*//*Label 11512*/ GIMT_Encode4(733321), // Rule ID 11995 //
     /*  733251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  733262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  733265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  733268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733297 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32),
     /*  733300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733319 */     GIR_RootConstrainSelectedInstOperands,
     /*  733320 */     // GIR_Coverage, 11995,
     /*  733320 */     GIR_EraseRootFromParent_Done,
     /*  733321 */   // Label 11512: @733321
     /*  733321 */   GIM_Try, /*On fail goto*//*Label 11513*/ GIMT_Encode4(733396), // Rule ID 11998 //
     /*  733326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  733337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  733340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  733343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733372 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  733372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  733375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733394 */     GIR_RootConstrainSelectedInstOperands,
     /*  733395 */     // GIR_Coverage, 11998,
     /*  733395 */     GIR_EraseRootFromParent_Done,
     /*  733396 */   // Label 11513: @733396
     /*  733396 */   GIM_Try, /*On fail goto*//*Label 11514*/ GIMT_Encode4(733471), // Rule ID 11999 //
     /*  733401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  733404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  733412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  733415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  733418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733447 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  733447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32),
     /*  733450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  733466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733469 */     GIR_RootConstrainSelectedInstOperands,
     /*  733470 */     // GIR_Coverage, 11999,
     /*  733470 */     GIR_EraseRootFromParent_Done,
     /*  733471 */   // Label 11514: @733471
     /*  733471 */   GIM_Try, /*On fail goto*//*Label 11515*/ GIMT_Encode4(733546), // Rule ID 12002 //
     /*  733476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  733487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  733490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  733493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733522 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  733525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733544 */     GIR_RootConstrainSelectedInstOperands,
     /*  733545 */     // GIR_Coverage, 12002,
     /*  733545 */     GIR_EraseRootFromParent_Done,
     /*  733546 */   // Label 11515: @733546
     /*  733546 */   GIM_Try, /*On fail goto*//*Label 11516*/ GIMT_Encode4(733621), // Rule ID 12003 //
     /*  733551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  733562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  733565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  733568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  733586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11181:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64),
     /*  733600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733619 */     GIR_RootConstrainSelectedInstOperands,
     /*  733620 */     // GIR_Coverage, 12003,
     /*  733620 */     GIR_EraseRootFromParent_Done,
     /*  733621 */   // Label 11516: @733621
     /*  733621 */   GIM_Try, /*On fail goto*//*Label 11517*/ GIMT_Encode4(733696), // Rule ID 12006 //
     /*  733626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  733637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  733640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  733675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733694 */     GIR_RootConstrainSelectedInstOperands,
     /*  733695 */     // GIR_Coverage, 12006,
     /*  733695 */     GIR_EraseRootFromParent_Done,
     /*  733696 */   // Label 11517: @733696
     /*  733696 */   GIM_Try, /*On fail goto*//*Label 11518*/ GIMT_Encode4(733771), // Rule ID 12007 //
     /*  733701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  733712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  733715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  733718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  733736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733747 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11181:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64),
     /*  733750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733769 */     GIR_RootConstrainSelectedInstOperands,
     /*  733770 */     // GIR_Coverage, 12007,
     /*  733770 */     GIR_EraseRootFromParent_Done,
     /*  733771 */   // Label 11518: @733771
     /*  733771 */   GIM_Try, /*On fail goto*//*Label 11519*/ GIMT_Encode4(733846), // Rule ID 12010 //
     /*  733776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  733779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  733787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  733790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  733796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733822 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  733822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  733825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733844 */     GIR_RootConstrainSelectedInstOperands,
     /*  733845 */     // GIR_Coverage, 12010,
     /*  733845 */     GIR_EraseRootFromParent_Done,
     /*  733846 */   // Label 11519: @733846
     /*  733846 */   GIM_Try, /*On fail goto*//*Label 11520*/ GIMT_Encode4(733921), // Rule ID 12011 //
     /*  733851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  733854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv),
     /*  733859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  733862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  733865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  733868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  733871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  733874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  733886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  733890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733897 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11181:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVDIV_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  733897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64),
     /*  733900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  733916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733919 */     GIR_RootConstrainSelectedInstOperands,
     /*  733920 */     // GIR_Coverage, 12011,
     /*  733920 */     GIR_EraseRootFromParent_Done,
     /*  733921 */   // Label 11520: @733921
     /*  733921 */   GIM_Try, /*On fail goto*//*Label 11521*/ GIMT_Encode4(733996), // Rule ID 12014 //
     /*  733926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  733929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  733934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  733937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  733940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  733943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  733946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  733949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  733965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  733972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  733972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  733975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  733977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  733979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  733981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  733983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  733988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  733991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  733994 */     GIR_RootConstrainSelectedInstOperands,
     /*  733995 */     // GIR_Coverage, 12014,
     /*  733995 */     GIR_EraseRootFromParent_Done,
     /*  733996 */   // Label 11521: @733996
     /*  733996 */   GIM_Try, /*On fail goto*//*Label 11522*/ GIMT_Encode4(734071), // Rule ID 12015 //
     /*  734001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  734012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  734015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  734018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  734021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734047 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8),
     /*  734050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734069 */     GIR_RootConstrainSelectedInstOperands,
     /*  734070 */     // GIR_Coverage, 12015,
     /*  734070 */     GIR_EraseRootFromParent_Done,
     /*  734071 */   // Label 11522: @734071
     /*  734071 */   GIM_Try, /*On fail goto*//*Label 11523*/ GIMT_Encode4(734146), // Rule ID 12018 //
     /*  734076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  734087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  734090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  734093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  734096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734122 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  734125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734144 */     GIR_RootConstrainSelectedInstOperands,
     /*  734145 */     // GIR_Coverage, 12018,
     /*  734145 */     GIR_EraseRootFromParent_Done,
     /*  734146 */   // Label 11523: @734146
     /*  734146 */   GIM_Try, /*On fail goto*//*Label 11524*/ GIMT_Encode4(734221), // Rule ID 12019 //
     /*  734151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  734162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  734165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  734168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  734171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734197 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8),
     /*  734200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734219 */     GIR_RootConstrainSelectedInstOperands,
     /*  734220 */     // GIR_Coverage, 12019,
     /*  734220 */     GIR_EraseRootFromParent_Done,
     /*  734221 */   // Label 11524: @734221
     /*  734221 */   GIM_Try, /*On fail goto*//*Label 11525*/ GIMT_Encode4(734296), // Rule ID 12022 //
     /*  734226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  734237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  734240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  734243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  734246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734272 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  734275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734294 */     GIR_RootConstrainSelectedInstOperands,
     /*  734295 */     // GIR_Coverage, 12022,
     /*  734295 */     GIR_EraseRootFromParent_Done,
     /*  734296 */   // Label 11525: @734296
     /*  734296 */   GIM_Try, /*On fail goto*//*Label 11526*/ GIMT_Encode4(734371), // Rule ID 12023 //
     /*  734301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  734312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  734315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  734318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  734321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734347 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8),
     /*  734350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734369 */     GIR_RootConstrainSelectedInstOperands,
     /*  734370 */     // GIR_Coverage, 12023,
     /*  734370 */     GIR_EraseRootFromParent_Done,
     /*  734371 */   // Label 11526: @734371
     /*  734371 */   GIM_Try, /*On fail goto*//*Label 11527*/ GIMT_Encode4(734446), // Rule ID 12026 //
     /*  734376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  734387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  734390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  734393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  734396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  734425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734444 */     GIR_RootConstrainSelectedInstOperands,
     /*  734445 */     // GIR_Coverage, 12026,
     /*  734445 */     GIR_EraseRootFromParent_Done,
     /*  734446 */   // Label 11527: @734446
     /*  734446 */   GIM_Try, /*On fail goto*//*Label 11528*/ GIMT_Encode4(734521), // Rule ID 12027 //
     /*  734451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  734462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  734465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  734468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  734471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16),
     /*  734500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734519 */     GIR_RootConstrainSelectedInstOperands,
     /*  734520 */     // GIR_Coverage, 12027,
     /*  734520 */     GIR_EraseRootFromParent_Done,
     /*  734521 */   // Label 11528: @734521
     /*  734521 */   GIM_Try, /*On fail goto*//*Label 11529*/ GIMT_Encode4(734596), // Rule ID 12030 //
     /*  734526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  734537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  734540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  734543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  734546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  734572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  734575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734594 */     GIR_RootConstrainSelectedInstOperands,
     /*  734595 */     // GIR_Coverage, 12030,
     /*  734595 */     GIR_EraseRootFromParent_Done,
     /*  734596 */   // Label 11529: @734596
     /*  734596 */   GIM_Try, /*On fail goto*//*Label 11530*/ GIMT_Encode4(734671), // Rule ID 12031 //
     /*  734601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  734612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  734615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  734618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  734621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  734647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16),
     /*  734650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  734666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734669 */     GIR_RootConstrainSelectedInstOperands,
     /*  734670 */     // GIR_Coverage, 12031,
     /*  734670 */     GIR_EraseRootFromParent_Done,
     /*  734671 */   // Label 11530: @734671
     /*  734671 */   GIM_Try, /*On fail goto*//*Label 11531*/ GIMT_Encode4(734746), // Rule ID 12034 //
     /*  734676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  734687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  734690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  734696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  734722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  734725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734744 */     GIR_RootConstrainSelectedInstOperands,
     /*  734745 */     // GIR_Coverage, 12034,
     /*  734745 */     GIR_EraseRootFromParent_Done,
     /*  734746 */   // Label 11531: @734746
     /*  734746 */   GIM_Try, /*On fail goto*//*Label 11532*/ GIMT_Encode4(734821), // Rule ID 12035 //
     /*  734751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  734762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  734765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  734768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  734771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734797 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  734797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32),
     /*  734800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  734816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734819 */     GIR_RootConstrainSelectedInstOperands,
     /*  734820 */     // GIR_Coverage, 12035,
     /*  734820 */     GIR_EraseRootFromParent_Done,
     /*  734821 */   // Label 11532: @734821
     /*  734821 */   GIM_Try, /*On fail goto*//*Label 11533*/ GIMT_Encode4(734896), // Rule ID 12038 //
     /*  734826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734872 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  734872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  734875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734894 */     GIR_RootConstrainSelectedInstOperands,
     /*  734895 */     // GIR_Coverage, 12038,
     /*  734895 */     GIR_EraseRootFromParent_Done,
     /*  734896 */   // Label 11533: @734896
     /*  734896 */   GIM_Try, /*On fail goto*//*Label 11534*/ GIMT_Encode4(734971), // Rule ID 12039 //
     /*  734901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  734904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  734912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  734915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  734918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  734921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  734924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  734940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  734947 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  734947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8),
     /*  734950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  734952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  734954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  734956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  734958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  734963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  734966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  734969 */     GIR_RootConstrainSelectedInstOperands,
     /*  734970 */     // GIR_Coverage, 12039,
     /*  734970 */     GIR_EraseRootFromParent_Done,
     /*  734971 */   // Label 11534: @734971
     /*  734971 */   GIM_Try, /*On fail goto*//*Label 11535*/ GIMT_Encode4(735046), // Rule ID 12042 //
     /*  734976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  734979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  734984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  734987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  734990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  734993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  734996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  734999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  735025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735044 */     GIR_RootConstrainSelectedInstOperands,
     /*  735045 */     // GIR_Coverage, 12042,
     /*  735045 */     GIR_EraseRootFromParent_Done,
     /*  735046 */   // Label 11535: @735046
     /*  735046 */   GIM_Try, /*On fail goto*//*Label 11536*/ GIMT_Encode4(735121), // Rule ID 12043 //
     /*  735051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  735062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  735065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  735068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  735071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16),
     /*  735100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735119 */     GIR_RootConstrainSelectedInstOperands,
     /*  735120 */     // GIR_Coverage, 12043,
     /*  735120 */     GIR_EraseRootFromParent_Done,
     /*  735121 */   // Label 11536: @735121
     /*  735121 */   GIM_Try, /*On fail goto*//*Label 11537*/ GIMT_Encode4(735196), // Rule ID 12046 //
     /*  735126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  735137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  735140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  735143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  735146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  735172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  735175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735194 */     GIR_RootConstrainSelectedInstOperands,
     /*  735195 */     // GIR_Coverage, 12046,
     /*  735195 */     GIR_EraseRootFromParent_Done,
     /*  735196 */   // Label 11537: @735196
     /*  735196 */   GIM_Try, /*On fail goto*//*Label 11538*/ GIMT_Encode4(735271), // Rule ID 12047 //
     /*  735201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  735212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  735215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  735218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  735221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735247 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  735247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32),
     /*  735250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  735266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735269 */     GIR_RootConstrainSelectedInstOperands,
     /*  735270 */     // GIR_Coverage, 12047,
     /*  735270 */     GIR_EraseRootFromParent_Done,
     /*  735271 */   // Label 11538: @735271
     /*  735271 */   GIM_Try, /*On fail goto*//*Label 11539*/ GIMT_Encode4(735346), // Rule ID 12050 //
     /*  735276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  735279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  735287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  735290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  735293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  735296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  735322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  735325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735344 */     GIR_RootConstrainSelectedInstOperands,
     /*  735345 */     // GIR_Coverage, 12050,
     /*  735345 */     GIR_EraseRootFromParent_Done,
     /*  735346 */   // Label 11539: @735346
     /*  735346 */   GIM_Try, /*On fail goto*//*Label 11540*/ GIMT_Encode4(735421), // Rule ID 12051 //
     /*  735351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  735354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  735362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  735365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  735368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  735371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  735390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  735397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64),
     /*  735400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  735416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735419 */     GIR_RootConstrainSelectedInstOperands,
     /*  735420 */     // GIR_Coverage, 12051,
     /*  735420 */     GIR_EraseRootFromParent_Done,
     /*  735421 */   // Label 11540: @735421
     /*  735421 */   GIM_Try, /*On fail goto*//*Label 11541*/ GIMT_Encode4(735496), // Rule ID 12054 //
     /*  735426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  735437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  735440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  735443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  735446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735472 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  735475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735494 */     GIR_RootConstrainSelectedInstOperands,
     /*  735495 */     // GIR_Coverage, 12054,
     /*  735495 */     GIR_EraseRootFromParent_Done,
     /*  735496 */   // Label 11541: @735496
     /*  735496 */   GIM_Try, /*On fail goto*//*Label 11542*/ GIMT_Encode4(735571), // Rule ID 12055 //
     /*  735501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  735512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  735515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  735518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  735521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8),
     /*  735550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735569 */     GIR_RootConstrainSelectedInstOperands,
     /*  735570 */     // GIR_Coverage, 12055,
     /*  735570 */     GIR_EraseRootFromParent_Done,
     /*  735571 */   // Label 11542: @735571
     /*  735571 */   GIM_Try, /*On fail goto*//*Label 11543*/ GIMT_Encode4(735646), // Rule ID 12058 //
     /*  735576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  735587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  735590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  735593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  735596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735622 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  735625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735644 */     GIR_RootConstrainSelectedInstOperands,
     /*  735645 */     // GIR_Coverage, 12058,
     /*  735645 */     GIR_EraseRootFromParent_Done,
     /*  735646 */   // Label 11543: @735646
     /*  735646 */   GIM_Try, /*On fail goto*//*Label 11544*/ GIMT_Encode4(735721), // Rule ID 12059 //
     /*  735651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  735662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  735665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  735668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  735671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  735690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735697 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8),
     /*  735700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735719 */     GIR_RootConstrainSelectedInstOperands,
     /*  735720 */     // GIR_Coverage, 12059,
     /*  735720 */     GIR_EraseRootFromParent_Done,
     /*  735721 */   // Label 11544: @735721
     /*  735721 */   GIM_Try, /*On fail goto*//*Label 11545*/ GIMT_Encode4(735796), // Rule ID 12062 //
     /*  735726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  735737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  735740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  735746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735772 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  735772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  735775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735794 */     GIR_RootConstrainSelectedInstOperands,
     /*  735795 */     // GIR_Coverage, 12062,
     /*  735795 */     GIR_EraseRootFromParent_Done,
     /*  735796 */   // Label 11545: @735796
     /*  735796 */   GIM_Try, /*On fail goto*//*Label 11546*/ GIMT_Encode4(735871), // Rule ID 12063 //
     /*  735801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  735812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  735815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  735818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  735821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  735840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735847 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  735847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8),
     /*  735850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  735866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735869 */     GIR_RootConstrainSelectedInstOperands,
     /*  735870 */     // GIR_Coverage, 12063,
     /*  735870 */     GIR_EraseRootFromParent_Done,
     /*  735871 */   // Label 11546: @735871
     /*  735871 */   GIM_Try, /*On fail goto*//*Label 11547*/ GIMT_Encode4(735946), // Rule ID 12066 //
     /*  735876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  735879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  735887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  735890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  735896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  735899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735922 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  735922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  735925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  735927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  735929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  735931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  735933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  735938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  735941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  735944 */     GIR_RootConstrainSelectedInstOperands,
     /*  735945 */     // GIR_Coverage, 12066,
     /*  735945 */     GIR_EraseRootFromParent_Done,
     /*  735946 */   // Label 11547: @735946
     /*  735946 */   GIM_Try, /*On fail goto*//*Label 11548*/ GIMT_Encode4(736021), // Rule ID 12067 //
     /*  735951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  735954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  735959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  735962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  735965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  735968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  735971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  735974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  735990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  735997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  735997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16),
     /*  736000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736019 */     GIR_RootConstrainSelectedInstOperands,
     /*  736020 */     // GIR_Coverage, 12067,
     /*  736020 */     GIR_EraseRootFromParent_Done,
     /*  736021 */   // Label 11548: @736021
     /*  736021 */   GIM_Try, /*On fail goto*//*Label 11549*/ GIMT_Encode4(736096), // Rule ID 12070 //
     /*  736026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  736037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  736040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  736043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  736046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736072 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  736075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736094 */     GIR_RootConstrainSelectedInstOperands,
     /*  736095 */     // GIR_Coverage, 12070,
     /*  736095 */     GIR_EraseRootFromParent_Done,
     /*  736096 */   // Label 11549: @736096
     /*  736096 */   GIM_Try, /*On fail goto*//*Label 11550*/ GIMT_Encode4(736171), // Rule ID 12071 //
     /*  736101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  736112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  736115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  736118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  736121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736147 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16),
     /*  736150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736169 */     GIR_RootConstrainSelectedInstOperands,
     /*  736170 */     // GIR_Coverage, 12071,
     /*  736170 */     GIR_EraseRootFromParent_Done,
     /*  736171 */   // Label 11550: @736171
     /*  736171 */   GIM_Try, /*On fail goto*//*Label 11551*/ GIMT_Encode4(736246), // Rule ID 12074 //
     /*  736176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  736187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  736190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  736193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  736196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  736222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  736225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736244 */     GIR_RootConstrainSelectedInstOperands,
     /*  736245 */     // GIR_Coverage, 12074,
     /*  736245 */     GIR_EraseRootFromParent_Done,
     /*  736246 */   // Label 11551: @736246
     /*  736246 */   GIM_Try, /*On fail goto*//*Label 11552*/ GIMT_Encode4(736321), // Rule ID 12075 //
     /*  736251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  736262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  736265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  736268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  736271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736297 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  736297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16),
     /*  736300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  736316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736319 */     GIR_RootConstrainSelectedInstOperands,
     /*  736320 */     // GIR_Coverage, 12075,
     /*  736320 */     GIR_EraseRootFromParent_Done,
     /*  736321 */   // Label 11552: @736321
     /*  736321 */   GIM_Try, /*On fail goto*//*Label 11553*/ GIMT_Encode4(736396), // Rule ID 12078 //
     /*  736326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  736337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  736340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  736343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  736346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  736375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736394 */     GIR_RootConstrainSelectedInstOperands,
     /*  736395 */     // GIR_Coverage, 12078,
     /*  736395 */     GIR_EraseRootFromParent_Done,
     /*  736396 */   // Label 11553: @736396
     /*  736396 */   GIM_Try, /*On fail goto*//*Label 11554*/ GIMT_Encode4(736471), // Rule ID 12079 //
     /*  736401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  736412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  736415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  736418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  736421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32),
     /*  736450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736469 */     GIR_RootConstrainSelectedInstOperands,
     /*  736470 */     // GIR_Coverage, 12079,
     /*  736470 */     GIR_EraseRootFromParent_Done,
     /*  736471 */   // Label 11554: @736471
     /*  736471 */   GIM_Try, /*On fail goto*//*Label 11555*/ GIMT_Encode4(736546), // Rule ID 12082 //
     /*  736476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  736487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  736490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  736493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  736496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  736525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736544 */     GIR_RootConstrainSelectedInstOperands,
     /*  736545 */     // GIR_Coverage, 12082,
     /*  736545 */     GIR_EraseRootFromParent_Done,
     /*  736546 */   // Label 11555: @736546
     /*  736546 */   GIM_Try, /*On fail goto*//*Label 11556*/ GIMT_Encode4(736621), // Rule ID 12083 //
     /*  736551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  736562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  736565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  736568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  736571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32),
     /*  736600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736619 */     GIR_RootConstrainSelectedInstOperands,
     /*  736620 */     // GIR_Coverage, 12083,
     /*  736620 */     GIR_EraseRootFromParent_Done,
     /*  736621 */   // Label 11556: @736621
     /*  736621 */   GIM_Try, /*On fail goto*//*Label 11557*/ GIMT_Encode4(736696), // Rule ID 12086 //
     /*  736626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  736629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  736637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  736640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  736646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  736672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  736675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736694 */     GIR_RootConstrainSelectedInstOperands,
     /*  736695 */     // GIR_Coverage, 12086,
     /*  736695 */     GIR_EraseRootFromParent_Done,
     /*  736696 */   // Label 11557: @736696
     /*  736696 */   GIM_Try, /*On fail goto*//*Label 11558*/ GIMT_Encode4(736771), // Rule ID 12087 //
     /*  736701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  736704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  736712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  736715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  736718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  736721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  736740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  736747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32),
     /*  736750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  736766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736769 */     GIR_RootConstrainSelectedInstOperands,
     /*  736770 */     // GIR_Coverage, 12087,
     /*  736770 */     GIR_EraseRootFromParent_Done,
     /*  736771 */   // Label 11558: @736771
     /*  736771 */   GIM_Try, /*On fail goto*//*Label 11559*/ GIMT_Encode4(736846), // Rule ID 12090 //
     /*  736776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  736787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  736790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  736796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  736825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736844 */     GIR_RootConstrainSelectedInstOperands,
     /*  736845 */     // GIR_Coverage, 12090,
     /*  736845 */     GIR_EraseRootFromParent_Done,
     /*  736846 */   // Label 11559: @736846
     /*  736846 */   GIM_Try, /*On fail goto*//*Label 11560*/ GIMT_Encode4(736921), // Rule ID 12091 //
     /*  736851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  736854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  736862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  736865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  736868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  736871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  736874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  736890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  736897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64),
     /*  736900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736919 */     GIR_RootConstrainSelectedInstOperands,
     /*  736920 */     // GIR_Coverage, 12091,
     /*  736920 */     GIR_EraseRootFromParent_Done,
     /*  736921 */   // Label 11560: @736921
     /*  736921 */   GIM_Try, /*On fail goto*//*Label 11561*/ GIMT_Encode4(736996), // Rule ID 12094 //
     /*  736926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  736929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  736934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  736937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  736940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  736943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  736946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  736949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  736965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  736972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  736972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  736975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  736977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  736979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  736981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  736983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  736988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  736991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  736994 */     GIR_RootConstrainSelectedInstOperands,
     /*  736995 */     // GIR_Coverage, 12094,
     /*  736995 */     GIR_EraseRootFromParent_Done,
     /*  736996 */   // Label 11561: @736996
     /*  736996 */   GIM_Try, /*On fail goto*//*Label 11562*/ GIMT_Encode4(737071), // Rule ID 12095 //
     /*  737001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  737012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  737015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  737018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  737021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  737040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737047 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64),
     /*  737050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737069 */     GIR_RootConstrainSelectedInstOperands,
     /*  737070 */     // GIR_Coverage, 12095,
     /*  737070 */     GIR_EraseRootFromParent_Done,
     /*  737071 */   // Label 11562: @737071
     /*  737071 */   GIM_Try, /*On fail goto*//*Label 11563*/ GIMT_Encode4(737146), // Rule ID 12098 //
     /*  737076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  737079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  737087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  737090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  737093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  737096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  737122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  737125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737144 */     GIR_RootConstrainSelectedInstOperands,
     /*  737145 */     // GIR_Coverage, 12098,
     /*  737145 */     GIR_EraseRootFromParent_Done,
     /*  737146 */   // Label 11563: @737146
     /*  737146 */   GIM_Try, /*On fail goto*//*Label 11564*/ GIMT_Encode4(737221), // Rule ID 12099 //
     /*  737151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  737154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  737162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  737165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  737168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  737171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  737190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737197 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  737197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64),
     /*  737200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  737216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737219 */     GIR_RootConstrainSelectedInstOperands,
     /*  737220 */     // GIR_Coverage, 12099,
     /*  737220 */     GIR_EraseRootFromParent_Done,
     /*  737221 */   // Label 11564: @737221
     /*  737221 */   GIM_Try, /*On fail goto*//*Label 11565*/ GIMT_Encode4(737296), // Rule ID 12102 //
     /*  737226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  737237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  737240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  737243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  737275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737294 */     GIR_RootConstrainSelectedInstOperands,
     /*  737295 */     // GIR_Coverage, 12102,
     /*  737295 */     GIR_EraseRootFromParent_Done,
     /*  737296 */   // Label 11565: @737296
     /*  737296 */   GIM_Try, /*On fail goto*//*Label 11566*/ GIMT_Encode4(737371), // Rule ID 12103 //
     /*  737301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  737312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  737315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  737318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8),
     /*  737350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737369 */     GIR_RootConstrainSelectedInstOperands,
     /*  737370 */     // GIR_Coverage, 12103,
     /*  737370 */     GIR_EraseRootFromParent_Done,
     /*  737371 */   // Label 11566: @737371
     /*  737371 */   GIM_Try, /*On fail goto*//*Label 11567*/ GIMT_Encode4(737446), // Rule ID 12106 //
     /*  737376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  737387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  737390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  737393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737422 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  737425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737444 */     GIR_RootConstrainSelectedInstOperands,
     /*  737445 */     // GIR_Coverage, 12106,
     /*  737445 */     GIR_EraseRootFromParent_Done,
     /*  737446 */   // Label 11567: @737446
     /*  737446 */   GIM_Try, /*On fail goto*//*Label 11568*/ GIMT_Encode4(737521), // Rule ID 12107 //
     /*  737451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  737462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  737465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  737468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737497 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8),
     /*  737500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737519 */     GIR_RootConstrainSelectedInstOperands,
     /*  737520 */     // GIR_Coverage, 12107,
     /*  737520 */     GIR_EraseRootFromParent_Done,
     /*  737521 */   // Label 11568: @737521
     /*  737521 */   GIM_Try, /*On fail goto*//*Label 11569*/ GIMT_Encode4(737596), // Rule ID 12110 //
     /*  737526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  737537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  737540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  737543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737572 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  737572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  737575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737594 */     GIR_RootConstrainSelectedInstOperands,
     /*  737595 */     // GIR_Coverage, 12110,
     /*  737595 */     GIR_EraseRootFromParent_Done,
     /*  737596 */   // Label 11569: @737596
     /*  737596 */   GIM_Try, /*On fail goto*//*Label 11570*/ GIMT_Encode4(737671), // Rule ID 12111 //
     /*  737601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  737612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  737615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  737618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737647 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  737647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8),
     /*  737650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  737666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737669 */     GIR_RootConstrainSelectedInstOperands,
     /*  737670 */     // GIR_Coverage, 12111,
     /*  737670 */     GIR_EraseRootFromParent_Done,
     /*  737671 */   // Label 11570: @737671
     /*  737671 */   GIM_Try, /*On fail goto*//*Label 11571*/ GIMT_Encode4(737746), // Rule ID 12114 //
     /*  737676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  737687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  737690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737722 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  737725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737744 */     GIR_RootConstrainSelectedInstOperands,
     /*  737745 */     // GIR_Coverage, 12114,
     /*  737745 */     GIR_EraseRootFromParent_Done,
     /*  737746 */   // Label 11571: @737746
     /*  737746 */   GIM_Try, /*On fail goto*//*Label 11572*/ GIMT_Encode4(737821), // Rule ID 12115 //
     /*  737751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  737762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  737765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  737768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737797 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16),
     /*  737800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737819 */     GIR_RootConstrainSelectedInstOperands,
     /*  737820 */     // GIR_Coverage, 12115,
     /*  737820 */     GIR_EraseRootFromParent_Done,
     /*  737821 */   // Label 11572: @737821
     /*  737821 */   GIM_Try, /*On fail goto*//*Label 11573*/ GIMT_Encode4(737896), // Rule ID 12118 //
     /*  737826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  737837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  737840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  737872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  737875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737894 */     GIR_RootConstrainSelectedInstOperands,
     /*  737895 */     // GIR_Coverage, 12118,
     /*  737895 */     GIR_EraseRootFromParent_Done,
     /*  737896 */   // Label 11573: @737896
     /*  737896 */   GIM_Try, /*On fail goto*//*Label 11574*/ GIMT_Encode4(737971), // Rule ID 12119 //
     /*  737901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  737904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  737912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  737915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  737918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  737921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  737924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  737936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  737940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  737947 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  737947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16),
     /*  737950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  737952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  737954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  737956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  737958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  737963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  737966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  737969 */     GIR_RootConstrainSelectedInstOperands,
     /*  737970 */     // GIR_Coverage, 12119,
     /*  737970 */     GIR_EraseRootFromParent_Done,
     /*  737971 */   // Label 11574: @737971
     /*  737971 */   GIM_Try, /*On fail goto*//*Label 11575*/ GIMT_Encode4(738046), // Rule ID 12122 //
     /*  737976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  737979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  737984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  737987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  737990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  737993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  737996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  737999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738022 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  738025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738044 */     GIR_RootConstrainSelectedInstOperands,
     /*  738045 */     // GIR_Coverage, 12122,
     /*  738045 */     GIR_EraseRootFromParent_Done,
     /*  738046 */   // Label 11575: @738046
     /*  738046 */   GIM_Try, /*On fail goto*//*Label 11576*/ GIMT_Encode4(738121), // Rule ID 12123 //
     /*  738051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  738062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  738065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  738068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738097 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32),
     /*  738100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738119 */     GIR_RootConstrainSelectedInstOperands,
     /*  738120 */     // GIR_Coverage, 12123,
     /*  738120 */     GIR_EraseRootFromParent_Done,
     /*  738121 */   // Label 11576: @738121
     /*  738121 */   GIM_Try, /*On fail goto*//*Label 11577*/ GIMT_Encode4(738196), // Rule ID 12126 //
     /*  738126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  738143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738172 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  738175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738194 */     GIR_RootConstrainSelectedInstOperands,
     /*  738195 */     // GIR_Coverage, 12126,
     /*  738195 */     GIR_EraseRootFromParent_Done,
     /*  738196 */   // Label 11577: @738196
     /*  738196 */   GIM_Try, /*On fail goto*//*Label 11578*/ GIMT_Encode4(738271), // Rule ID 12127 //
     /*  738201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  738212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  738215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  738218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738247 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11515:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8),
     /*  738250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738269 */     GIR_RootConstrainSelectedInstOperands,
     /*  738270 */     // GIR_Coverage, 12127,
     /*  738270 */     GIR_EraseRootFromParent_Done,
     /*  738271 */   // Label 11578: @738271
     /*  738271 */   GIM_Try, /*On fail goto*//*Label 11579*/ GIMT_Encode4(738346), // Rule ID 12130 //
     /*  738276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  738293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  738322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  738325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738344 */     GIR_RootConstrainSelectedInstOperands,
     /*  738345 */     // GIR_Coverage, 12130,
     /*  738345 */     GIR_EraseRootFromParent_Done,
     /*  738346 */   // Label 11579: @738346
     /*  738346 */   GIM_Try, /*On fail goto*//*Label 11580*/ GIMT_Encode4(738421), // Rule ID 12131 //
     /*  738351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  738362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  738365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  738368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738397 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11515:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  738397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16),
     /*  738400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  738416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738419 */     GIR_RootConstrainSelectedInstOperands,
     /*  738420 */     // GIR_Coverage, 12131,
     /*  738420 */     GIR_EraseRootFromParent_Done,
     /*  738421 */   // Label 11580: @738421
     /*  738421 */   GIM_Try, /*On fail goto*//*Label 11581*/ GIMT_Encode4(738496), // Rule ID 12134 //
     /*  738426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  738443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  738472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  738475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738494 */     GIR_RootConstrainSelectedInstOperands,
     /*  738495 */     // GIR_Coverage, 12134,
     /*  738495 */     GIR_EraseRootFromParent_Done,
     /*  738496 */   // Label 11581: @738496
     /*  738496 */   GIM_Try, /*On fail goto*//*Label 11582*/ GIMT_Encode4(738571), // Rule ID 12135 //
     /*  738501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  738512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  738515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  738518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11515:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  738547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32),
     /*  738550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  738566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738569 */     GIR_RootConstrainSelectedInstOperands,
     /*  738570 */     // GIR_Coverage, 12135,
     /*  738570 */     GIR_EraseRootFromParent_Done,
     /*  738571 */   // Label 11582: @738571
     /*  738571 */   GIM_Try, /*On fail goto*//*Label 11583*/ GIMT_Encode4(738646), // Rule ID 12138 //
     /*  738576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  738579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  738593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  738622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  738625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738644 */     GIR_RootConstrainSelectedInstOperands,
     /*  738645 */     // GIR_Coverage, 12138,
     /*  738645 */     GIR_EraseRootFromParent_Done,
     /*  738646 */   // Label 11583: @738646
     /*  738646 */   GIM_Try, /*On fail goto*//*Label 11584*/ GIMT_Encode4(738721), // Rule ID 12139 //
     /*  738651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  738654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  738662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  738665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  738668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  738686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738697 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11515:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  738697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64),
     /*  738700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  738716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738719 */     GIR_RootConstrainSelectedInstOperands,
     /*  738720 */     // GIR_Coverage, 12139,
     /*  738720 */     GIR_EraseRootFromParent_Done,
     /*  738721 */   // Label 11584: @738721
     /*  738721 */   GIM_Try, /*On fail goto*//*Label 11585*/ GIMT_Encode4(738796), // Rule ID 12142 //
     /*  738726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  738737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  738740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738772 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  738775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738794 */     GIR_RootConstrainSelectedInstOperands,
     /*  738795 */     // GIR_Coverage, 12142,
     /*  738795 */     GIR_EraseRootFromParent_Done,
     /*  738796 */   // Label 11585: @738796
     /*  738796 */   GIM_Try, /*On fail goto*//*Label 11586*/ GIMT_Encode4(738871), // Rule ID 12143 //
     /*  738801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  738812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  738815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  738818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  738836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738847 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8),
     /*  738850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738869 */     GIR_RootConstrainSelectedInstOperands,
     /*  738870 */     // GIR_Coverage, 12143,
     /*  738870 */     GIR_EraseRootFromParent_Done,
     /*  738871 */   // Label 11586: @738871
     /*  738871 */   GIM_Try, /*On fail goto*//*Label 11587*/ GIMT_Encode4(738946), // Rule ID 12146 //
     /*  738876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  738879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  738887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  738890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  738896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  738899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  738922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  738925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  738927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  738929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  738931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  738933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  738938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  738941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  738944 */     GIR_RootConstrainSelectedInstOperands,
     /*  738945 */     // GIR_Coverage, 12146,
     /*  738945 */     GIR_EraseRootFromParent_Done,
     /*  738946 */   // Label 11587: @738946
     /*  738946 */   GIM_Try, /*On fail goto*//*Label 11588*/ GIMT_Encode4(739021), // Rule ID 12147 //
     /*  738951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  738954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  738959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  738962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  738965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  738968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  738971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  738974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  738986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  738990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  738997 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  738997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8),
     /*  739000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739019 */     GIR_RootConstrainSelectedInstOperands,
     /*  739020 */     // GIR_Coverage, 12147,
     /*  739020 */     GIR_EraseRootFromParent_Done,
     /*  739021 */   // Label 11588: @739021
     /*  739021 */   GIM_Try, /*On fail goto*//*Label 11589*/ GIMT_Encode4(739096), // Rule ID 12150 //
     /*  739026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  739037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  739040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  739043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739072 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  739072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  739075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739094 */     GIR_RootConstrainSelectedInstOperands,
     /*  739095 */     // GIR_Coverage, 12150,
     /*  739095 */     GIR_EraseRootFromParent_Done,
     /*  739096 */   // Label 11589: @739096
     /*  739096 */   GIM_Try, /*On fail goto*//*Label 11590*/ GIMT_Encode4(739171), // Rule ID 12151 //
     /*  739101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  739112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  739115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  739118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739147 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  739147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8),
     /*  739150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  739166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739169 */     GIR_RootConstrainSelectedInstOperands,
     /*  739170 */     // GIR_Coverage, 12151,
     /*  739170 */     GIR_EraseRootFromParent_Done,
     /*  739171 */   // Label 11590: @739171
     /*  739171 */   GIM_Try, /*On fail goto*//*Label 11591*/ GIMT_Encode4(739246), // Rule ID 12154 //
     /*  739176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  739187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  739190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  739193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  739225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739244 */     GIR_RootConstrainSelectedInstOperands,
     /*  739245 */     // GIR_Coverage, 12154,
     /*  739245 */     GIR_EraseRootFromParent_Done,
     /*  739246 */   // Label 11591: @739246
     /*  739246 */   GIM_Try, /*On fail goto*//*Label 11592*/ GIMT_Encode4(739321), // Rule ID 12155 //
     /*  739251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  739262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  739265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  739268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739297 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16),
     /*  739300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739319 */     GIR_RootConstrainSelectedInstOperands,
     /*  739320 */     // GIR_Coverage, 12155,
     /*  739320 */     GIR_EraseRootFromParent_Done,
     /*  739321 */   // Label 11592: @739321
     /*  739321 */   GIM_Try, /*On fail goto*//*Label 11593*/ GIMT_Encode4(739396), // Rule ID 12158 //
     /*  739326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  739337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  739340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  739343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  739375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739394 */     GIR_RootConstrainSelectedInstOperands,
     /*  739395 */     // GIR_Coverage, 12158,
     /*  739395 */     GIR_EraseRootFromParent_Done,
     /*  739396 */   // Label 11593: @739396
     /*  739396 */   GIM_Try, /*On fail goto*//*Label 11594*/ GIMT_Encode4(739471), // Rule ID 12159 //
     /*  739401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  739412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  739415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  739418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739447 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16),
     /*  739450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739469 */     GIR_RootConstrainSelectedInstOperands,
     /*  739470 */     // GIR_Coverage, 12159,
     /*  739470 */     GIR_EraseRootFromParent_Done,
     /*  739471 */   // Label 11594: @739471
     /*  739471 */   GIM_Try, /*On fail goto*//*Label 11595*/ GIMT_Encode4(739546), // Rule ID 12162 //
     /*  739476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  739487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  739490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  739493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  739522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  739525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739544 */     GIR_RootConstrainSelectedInstOperands,
     /*  739545 */     // GIR_Coverage, 12162,
     /*  739545 */     GIR_EraseRootFromParent_Done,
     /*  739546 */   // Label 11595: @739546
     /*  739546 */   GIM_Try, /*On fail goto*//*Label 11596*/ GIMT_Encode4(739621), // Rule ID 12163 //
     /*  739551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  739562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  739565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  739568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739597 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  739597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16),
     /*  739600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  739616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739619 */     GIR_RootConstrainSelectedInstOperands,
     /*  739620 */     // GIR_Coverage, 12163,
     /*  739620 */     GIR_EraseRootFromParent_Done,
     /*  739621 */   // Label 11596: @739621
     /*  739621 */   GIM_Try, /*On fail goto*//*Label 11597*/ GIMT_Encode4(739696), // Rule ID 12166 //
     /*  739626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739672 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  739675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739694 */     GIR_RootConstrainSelectedInstOperands,
     /*  739695 */     // GIR_Coverage, 12166,
     /*  739695 */     GIR_EraseRootFromParent_Done,
     /*  739696 */   // Label 11597: @739696
     /*  739696 */   GIM_Try, /*On fail goto*//*Label 11598*/ GIMT_Encode4(739771), // Rule ID 12167 //
     /*  739701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  739712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  739715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  739718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  739736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739747 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32),
     /*  739750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739769 */     GIR_RootConstrainSelectedInstOperands,
     /*  739770 */     // GIR_Coverage, 12167,
     /*  739770 */     GIR_EraseRootFromParent_Done,
     /*  739771 */   // Label 11598: @739771
     /*  739771 */   GIM_Try, /*On fail goto*//*Label 11599*/ GIMT_Encode4(739846), // Rule ID 12170 //
     /*  739776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739822 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  739825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739844 */     GIR_RootConstrainSelectedInstOperands,
     /*  739845 */     // GIR_Coverage, 12170,
     /*  739845 */     GIR_EraseRootFromParent_Done,
     /*  739846 */   // Label 11599: @739846
     /*  739846 */   GIM_Try, /*On fail goto*//*Label 11600*/ GIMT_Encode4(739921), // Rule ID 12171 //
     /*  739851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  739854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  739862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  739865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  739868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  739871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  739874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  739886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  739897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32),
     /*  739900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739919 */     GIR_RootConstrainSelectedInstOperands,
     /*  739920 */     // GIR_Coverage, 12171,
     /*  739920 */     GIR_EraseRootFromParent_Done,
     /*  739921 */   // Label 11600: @739921
     /*  739921 */   GIM_Try, /*On fail goto*//*Label 11601*/ GIMT_Encode4(739996), // Rule ID 12174 //
     /*  739926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  739929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  739934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  739937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  739940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  739943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  739946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  739949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  739961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  739965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  739972 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  739972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  739975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  739977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  739979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  739981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  739983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  739988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  739991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  739994 */     GIR_RootConstrainSelectedInstOperands,
     /*  739995 */     // GIR_Coverage, 12174,
     /*  739995 */     GIR_EraseRootFromParent_Done,
     /*  739996 */   // Label 11601: @739996
     /*  739996 */   GIM_Try, /*On fail goto*//*Label 11602*/ GIMT_Encode4(740071), // Rule ID 12175 //
     /*  740001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  740009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  740012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  740015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  740018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740047 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  740047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32),
     /*  740050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  740066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740069 */     GIR_RootConstrainSelectedInstOperands,
     /*  740070 */     // GIR_Coverage, 12175,
     /*  740070 */     GIR_EraseRootFromParent_Done,
     /*  740071 */   // Label 11602: @740071
     /*  740071 */   GIM_Try, /*On fail goto*//*Label 11603*/ GIMT_Encode4(740146), // Rule ID 12178 //
     /*  740076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  740079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  740084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  740087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  740090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  740093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  740125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740144 */     GIR_RootConstrainSelectedInstOperands,
     /*  740145 */     // GIR_Coverage, 12178,
     /*  740145 */     GIR_EraseRootFromParent_Done,
     /*  740146 */   // Label 11603: @740146
     /*  740146 */   GIM_Try, /*On fail goto*//*Label 11604*/ GIMT_Encode4(740221), // Rule ID 12179 //
     /*  740151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  740159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  740162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  740165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  740168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  740186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740197 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11515:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64),
     /*  740200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740219 */     GIR_RootConstrainSelectedInstOperands,
     /*  740220 */     // GIR_Coverage, 12179,
     /*  740220 */     GIR_EraseRootFromParent_Done,
     /*  740221 */   // Label 11604: @740221
     /*  740221 */   GIM_Try, /*On fail goto*//*Label 11605*/ GIMT_Encode4(740296), // Rule ID 12182 //
     /*  740226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  740229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  740234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  740237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  740240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  740243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740272 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  740275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740294 */     GIR_RootConstrainSelectedInstOperands,
     /*  740295 */     // GIR_Coverage, 12182,
     /*  740295 */     GIR_EraseRootFromParent_Done,
     /*  740296 */   // Label 11605: @740296
     /*  740296 */   GIM_Try, /*On fail goto*//*Label 11606*/ GIMT_Encode4(740371), // Rule ID 12183 //
     /*  740301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  740309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  740312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  740315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  740318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  740336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740347 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11515:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64),
     /*  740350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740369 */     GIR_RootConstrainSelectedInstOperands,
     /*  740370 */     // GIR_Coverage, 12183,
     /*  740370 */     GIR_EraseRootFromParent_Done,
     /*  740371 */   // Label 11606: @740371
     /*  740371 */   GIM_Try, /*On fail goto*//*Label 11607*/ GIMT_Encode4(740446), // Rule ID 12186 //
     /*  740376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  740379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  740384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  740387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  740390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  740393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  740396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  740422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  740425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740444 */     GIR_RootConstrainSelectedInstOperands,
     /*  740445 */     // GIR_Coverage, 12186,
     /*  740445 */     GIR_EraseRootFromParent_Done,
     /*  740446 */   // Label 11607: @740446
     /*  740446 */   GIM_Try, /*On fail goto*//*Label 11608*/ GIMT_Encode4(740521), // Rule ID 12187 //
     /*  740451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  740454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu),
     /*  740459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  740462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  740465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  740468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  740471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  740486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  740490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740497 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11515:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREMU_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  740497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64),
     /*  740500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  740516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740519 */     GIR_RootConstrainSelectedInstOperands,
     /*  740520 */     // GIR_Coverage, 12187,
     /*  740520 */     GIR_EraseRootFromParent_Done,
     /*  740521 */   // Label 11608: @740521
     /*  740521 */   GIM_Try, /*On fail goto*//*Label 11609*/ GIMT_Encode4(740596), // Rule ID 12190 //
     /*  740526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  740537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  740540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  740546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740572 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  740575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740594 */     GIR_RootConstrainSelectedInstOperands,
     /*  740595 */     // GIR_Coverage, 12190,
     /*  740595 */     GIR_EraseRootFromParent_Done,
     /*  740596 */   // Label 11609: @740596
     /*  740596 */   GIM_Try, /*On fail goto*//*Label 11610*/ GIMT_Encode4(740671), // Rule ID 12191 //
     /*  740601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  740612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  740615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  740618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  740621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740647 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8),
     /*  740650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740669 */     GIR_RootConstrainSelectedInstOperands,
     /*  740670 */     // GIR_Coverage, 12191,
     /*  740670 */     GIR_EraseRootFromParent_Done,
     /*  740671 */   // Label 11610: @740671
     /*  740671 */   GIM_Try, /*On fail goto*//*Label 11611*/ GIMT_Encode4(740746), // Rule ID 12194 //
     /*  740676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  740687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  740690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740722 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  740725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740744 */     GIR_RootConstrainSelectedInstOperands,
     /*  740745 */     // GIR_Coverage, 12194,
     /*  740745 */     GIR_EraseRootFromParent_Done,
     /*  740746 */   // Label 11611: @740746
     /*  740746 */   GIM_Try, /*On fail goto*//*Label 11612*/ GIMT_Encode4(740821), // Rule ID 12195 //
     /*  740751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  740762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  740765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  740768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  740771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740797 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8),
     /*  740800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740819 */     GIR_RootConstrainSelectedInstOperands,
     /*  740820 */     // GIR_Coverage, 12195,
     /*  740820 */     GIR_EraseRootFromParent_Done,
     /*  740821 */   // Label 11612: @740821
     /*  740821 */   GIM_Try, /*On fail goto*//*Label 11613*/ GIMT_Encode4(740896), // Rule ID 12198 //
     /*  740826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  740837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  740840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740872 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  740872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  740875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740894 */     GIR_RootConstrainSelectedInstOperands,
     /*  740895 */     // GIR_Coverage, 12198,
     /*  740895 */     GIR_EraseRootFromParent_Done,
     /*  740896 */   // Label 11613: @740896
     /*  740896 */   GIM_Try, /*On fail goto*//*Label 11614*/ GIMT_Encode4(740971), // Rule ID 12199 //
     /*  740901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  740904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  740912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  740915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  740918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  740921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  740924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  740940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  740947 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  740947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8),
     /*  740950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  740952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  740954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  740956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  740958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  740963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  740966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  740969 */     GIR_RootConstrainSelectedInstOperands,
     /*  740970 */     // GIR_Coverage, 12199,
     /*  740970 */     GIR_EraseRootFromParent_Done,
     /*  740971 */   // Label 11614: @740971
     /*  740971 */   GIM_Try, /*On fail goto*//*Label 11615*/ GIMT_Encode4(741046), // Rule ID 12202 //
     /*  740976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  740979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  740984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  740987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  740990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  740993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  740996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  740999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741022 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  741025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741044 */     GIR_RootConstrainSelectedInstOperands,
     /*  741045 */     // GIR_Coverage, 12202,
     /*  741045 */     GIR_EraseRootFromParent_Done,
     /*  741046 */   // Label 11615: @741046
     /*  741046 */   GIM_Try, /*On fail goto*//*Label 11616*/ GIMT_Encode4(741121), // Rule ID 12203 //
     /*  741051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  741062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  741065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  741068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  741071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741097 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16),
     /*  741100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741119 */     GIR_RootConstrainSelectedInstOperands,
     /*  741120 */     // GIR_Coverage, 12203,
     /*  741120 */     GIR_EraseRootFromParent_Done,
     /*  741121 */   // Label 11616: @741121
     /*  741121 */   GIM_Try, /*On fail goto*//*Label 11617*/ GIMT_Encode4(741196), // Rule ID 12206 //
     /*  741126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  741137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  741140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  741143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  741146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  741175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741194 */     GIR_RootConstrainSelectedInstOperands,
     /*  741195 */     // GIR_Coverage, 12206,
     /*  741195 */     GIR_EraseRootFromParent_Done,
     /*  741196 */   // Label 11617: @741196
     /*  741196 */   GIM_Try, /*On fail goto*//*Label 11618*/ GIMT_Encode4(741271), // Rule ID 12207 //
     /*  741201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  741212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  741215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  741218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  741221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16),
     /*  741250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741269 */     GIR_RootConstrainSelectedInstOperands,
     /*  741270 */     // GIR_Coverage, 12207,
     /*  741270 */     GIR_EraseRootFromParent_Done,
     /*  741271 */   // Label 11618: @741271
     /*  741271 */   GIM_Try, /*On fail goto*//*Label 11619*/ GIMT_Encode4(741346), // Rule ID 12210 //
     /*  741276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  741287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  741290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  741293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  741296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  741325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741344 */     GIR_RootConstrainSelectedInstOperands,
     /*  741345 */     // GIR_Coverage, 12210,
     /*  741345 */     GIR_EraseRootFromParent_Done,
     /*  741346 */   // Label 11619: @741346
     /*  741346 */   GIM_Try, /*On fail goto*//*Label 11620*/ GIMT_Encode4(741421), // Rule ID 12211 //
     /*  741351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  741362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  741365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  741368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  741371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32),
     /*  741400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741419 */     GIR_RootConstrainSelectedInstOperands,
     /*  741420 */     // GIR_Coverage, 12211,
     /*  741420 */     GIR_EraseRootFromParent_Done,
     /*  741421 */   // Label 11620: @741421
     /*  741421 */   GIM_Try, /*On fail goto*//*Label 11621*/ GIMT_Encode4(741496), // Rule ID 12214 //
     /*  741426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  741472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  741475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741494 */     GIR_RootConstrainSelectedInstOperands,
     /*  741495 */     // GIR_Coverage, 12214,
     /*  741495 */     GIR_EraseRootFromParent_Done,
     /*  741496 */   // Label 11621: @741496
     /*  741496 */   GIM_Try, /*On fail goto*//*Label 11622*/ GIMT_Encode4(741571), // Rule ID 12215 //
     /*  741501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  741512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  741515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  741518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  741521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741547 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  741547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8),
     /*  741550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  741566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741569 */     GIR_RootConstrainSelectedInstOperands,
     /*  741570 */     // GIR_Coverage, 12215,
     /*  741570 */     GIR_EraseRootFromParent_Done,
     /*  741571 */   // Label 11622: @741571
     /*  741571 */   GIM_Try, /*On fail goto*//*Label 11623*/ GIMT_Encode4(741646), // Rule ID 12218 //
     /*  741576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  741622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  741625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741644 */     GIR_RootConstrainSelectedInstOperands,
     /*  741645 */     // GIR_Coverage, 12218,
     /*  741645 */     GIR_EraseRootFromParent_Done,
     /*  741646 */   // Label 11623: @741646
     /*  741646 */   GIM_Try, /*On fail goto*//*Label 11624*/ GIMT_Encode4(741721), // Rule ID 12219 //
     /*  741651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  741662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  741665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  741668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  741671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  741697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16),
     /*  741700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  741716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741719 */     GIR_RootConstrainSelectedInstOperands,
     /*  741720 */     // GIR_Coverage, 12219,
     /*  741720 */     GIR_EraseRootFromParent_Done,
     /*  741721 */   // Label 11624: @741721
     /*  741721 */   GIM_Try, /*On fail goto*//*Label 11625*/ GIMT_Encode4(741796), // Rule ID 12222 //
     /*  741726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  741729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  741743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  741772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  741775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741794 */     GIR_RootConstrainSelectedInstOperands,
     /*  741795 */     // GIR_Coverage, 12222,
     /*  741795 */     GIR_EraseRootFromParent_Done,
     /*  741796 */   // Label 11625: @741796
     /*  741796 */   GIM_Try, /*On fail goto*//*Label 11626*/ GIMT_Encode4(741871), // Rule ID 12223 //
     /*  741801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  741804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  741812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  741815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  741818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  741821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741847 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  741847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32),
     /*  741850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  741866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741869 */     GIR_RootConstrainSelectedInstOperands,
     /*  741870 */     // GIR_Coverage, 12223,
     /*  741870 */     GIR_EraseRootFromParent_Done,
     /*  741871 */   // Label 11626: @741871
     /*  741871 */   GIM_Try, /*On fail goto*//*Label 11627*/ GIMT_Encode4(741946), // Rule ID 12226 //
     /*  741876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  741879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  741899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741922 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  741922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  741925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  741927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  741929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  741931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  741933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  741938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  741941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  741944 */     GIR_RootConstrainSelectedInstOperands,
     /*  741945 */     // GIR_Coverage, 12226,
     /*  741945 */     GIR_EraseRootFromParent_Done,
     /*  741946 */   // Label 11627: @741946
     /*  741946 */   GIM_Try, /*On fail goto*//*Label 11628*/ GIMT_Encode4(742021), // Rule ID 12227 //
     /*  741951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  741954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  741959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  741962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  741965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  741968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  741971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  741974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  741990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  741997 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  741997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64),
     /*  742000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  742016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742019 */     GIR_RootConstrainSelectedInstOperands,
     /*  742020 */     // GIR_Coverage, 12227,
     /*  742020 */     GIR_EraseRootFromParent_Done,
     /*  742021 */   // Label 11628: @742021
     /*  742021 */   GIM_Try, /*On fail goto*//*Label 11629*/ GIMT_Encode4(742096), // Rule ID 12230 //
     /*  742026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  742037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  742040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742072 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  742075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742094 */     GIR_RootConstrainSelectedInstOperands,
     /*  742095 */     // GIR_Coverage, 12230,
     /*  742095 */     GIR_EraseRootFromParent_Done,
     /*  742096 */   // Label 11629: @742096
     /*  742096 */   GIM_Try, /*On fail goto*//*Label 11630*/ GIMT_Encode4(742171), // Rule ID 12231 //
     /*  742101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  742112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  742115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  742118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  742121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742147 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8),
     /*  742150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742169 */     GIR_RootConstrainSelectedInstOperands,
     /*  742170 */     // GIR_Coverage, 12231,
     /*  742170 */     GIR_EraseRootFromParent_Done,
     /*  742171 */   // Label 11630: @742171
     /*  742171 */   GIM_Try, /*On fail goto*//*Label 11631*/ GIMT_Encode4(742246), // Rule ID 12234 //
     /*  742176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  742187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  742190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  742193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  742196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742222 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  742225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742244 */     GIR_RootConstrainSelectedInstOperands,
     /*  742245 */     // GIR_Coverage, 12234,
     /*  742245 */     GIR_EraseRootFromParent_Done,
     /*  742246 */   // Label 11631: @742246
     /*  742246 */   GIM_Try, /*On fail goto*//*Label 11632*/ GIMT_Encode4(742321), // Rule ID 12235 //
     /*  742251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  742262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  742265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  742268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  742271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742297 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8),
     /*  742300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742319 */     GIR_RootConstrainSelectedInstOperands,
     /*  742320 */     // GIR_Coverage, 12235,
     /*  742320 */     GIR_EraseRootFromParent_Done,
     /*  742321 */   // Label 11632: @742321
     /*  742321 */   GIM_Try, /*On fail goto*//*Label 11633*/ GIMT_Encode4(742396), // Rule ID 12238 //
     /*  742326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  742337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  742340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  742343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  742346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  742372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  742375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742394 */     GIR_RootConstrainSelectedInstOperands,
     /*  742395 */     // GIR_Coverage, 12238,
     /*  742395 */     GIR_EraseRootFromParent_Done,
     /*  742396 */   // Label 11633: @742396
     /*  742396 */   GIM_Try, /*On fail goto*//*Label 11634*/ GIMT_Encode4(742471), // Rule ID 12239 //
     /*  742401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  742412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  742415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  742418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  742421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742447 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  742447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8),
     /*  742450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  742466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742469 */     GIR_RootConstrainSelectedInstOperands,
     /*  742470 */     // GIR_Coverage, 12239,
     /*  742470 */     GIR_EraseRootFromParent_Done,
     /*  742471 */   // Label 11634: @742471
     /*  742471 */   GIM_Try, /*On fail goto*//*Label 11635*/ GIMT_Encode4(742546), // Rule ID 12242 //
     /*  742476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  742496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  742525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742544 */     GIR_RootConstrainSelectedInstOperands,
     /*  742545 */     // GIR_Coverage, 12242,
     /*  742545 */     GIR_EraseRootFromParent_Done,
     /*  742546 */   // Label 11635: @742546
     /*  742546 */   GIM_Try, /*On fail goto*//*Label 11636*/ GIMT_Encode4(742621), // Rule ID 12243 //
     /*  742551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  742562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  742565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  742568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  742571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16),
     /*  742600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742619 */     GIR_RootConstrainSelectedInstOperands,
     /*  742620 */     // GIR_Coverage, 12243,
     /*  742620 */     GIR_EraseRootFromParent_Done,
     /*  742621 */   // Label 11636: @742621
     /*  742621 */   GIM_Try, /*On fail goto*//*Label 11637*/ GIMT_Encode4(742696), // Rule ID 12246 //
     /*  742626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  742646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  742675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742694 */     GIR_RootConstrainSelectedInstOperands,
     /*  742695 */     // GIR_Coverage, 12246,
     /*  742695 */     GIR_EraseRootFromParent_Done,
     /*  742696 */   // Label 11637: @742696
     /*  742696 */   GIM_Try, /*On fail goto*//*Label 11638*/ GIMT_Encode4(742771), // Rule ID 12247 //
     /*  742701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  742712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  742715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  742718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  742721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  742740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742747 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16),
     /*  742750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742769 */     GIR_RootConstrainSelectedInstOperands,
     /*  742770 */     // GIR_Coverage, 12247,
     /*  742770 */     GIR_EraseRootFromParent_Done,
     /*  742771 */   // Label 11638: @742771
     /*  742771 */   GIM_Try, /*On fail goto*//*Label 11639*/ GIMT_Encode4(742846), // Rule ID 12250 //
     /*  742776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  742796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  742822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  742825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742844 */     GIR_RootConstrainSelectedInstOperands,
     /*  742845 */     // GIR_Coverage, 12250,
     /*  742845 */     GIR_EraseRootFromParent_Done,
     /*  742846 */   // Label 11639: @742846
     /*  742846 */   GIM_Try, /*On fail goto*//*Label 11640*/ GIMT_Encode4(742921), // Rule ID 12251 //
     /*  742851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  742854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  742862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  742865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  742868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  742871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  742874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  742890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742897 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  742897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16),
     /*  742900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  742916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742919 */     GIR_RootConstrainSelectedInstOperands,
     /*  742920 */     // GIR_Coverage, 12251,
     /*  742920 */     GIR_EraseRootFromParent_Done,
     /*  742921 */   // Label 11640: @742921
     /*  742921 */   GIM_Try, /*On fail goto*//*Label 11641*/ GIMT_Encode4(742996), // Rule ID 12254 //
     /*  742926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  742929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  742934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  742937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  742940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  742943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  742946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  742949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  742965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  742972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  742972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  742975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  742977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  742979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  742981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  742983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  742988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  742991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  742994 */     GIR_RootConstrainSelectedInstOperands,
     /*  742995 */     // GIR_Coverage, 12254,
     /*  742995 */     GIR_EraseRootFromParent_Done,
     /*  742996 */   // Label 11641: @742996
     /*  742996 */   GIM_Try, /*On fail goto*//*Label 11642*/ GIMT_Encode4(743071), // Rule ID 12255 //
     /*  743001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  743012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  743015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  743018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  743021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743047 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32),
     /*  743050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743069 */     GIR_RootConstrainSelectedInstOperands,
     /*  743070 */     // GIR_Coverage, 12255,
     /*  743070 */     GIR_EraseRootFromParent_Done,
     /*  743071 */   // Label 11642: @743071
     /*  743071 */   GIM_Try, /*On fail goto*//*Label 11643*/ GIMT_Encode4(743146), // Rule ID 12258 //
     /*  743076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  743093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  743096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743122 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  743125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743144 */     GIR_RootConstrainSelectedInstOperands,
     /*  743145 */     // GIR_Coverage, 12258,
     /*  743145 */     GIR_EraseRootFromParent_Done,
     /*  743146 */   // Label 11643: @743146
     /*  743146 */   GIM_Try, /*On fail goto*//*Label 11644*/ GIMT_Encode4(743221), // Rule ID 12259 //
     /*  743151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  743162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  743165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  743168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  743171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32),
     /*  743200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743219 */     GIR_RootConstrainSelectedInstOperands,
     /*  743220 */     // GIR_Coverage, 12259,
     /*  743220 */     GIR_EraseRootFromParent_Done,
     /*  743221 */   // Label 11644: @743221
     /*  743221 */   GIM_Try, /*On fail goto*//*Label 11645*/ GIMT_Encode4(743296), // Rule ID 12262 //
     /*  743226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  743243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  743246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743272 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  743272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  743275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743294 */     GIR_RootConstrainSelectedInstOperands,
     /*  743295 */     // GIR_Coverage, 12262,
     /*  743295 */     GIR_EraseRootFromParent_Done,
     /*  743296 */   // Label 11645: @743296
     /*  743296 */   GIM_Try, /*On fail goto*//*Label 11646*/ GIMT_Encode4(743371), // Rule ID 12263 //
     /*  743301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  743312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  743315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  743318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  743321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743347 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  743347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32),
     /*  743350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  743366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743369 */     GIR_RootConstrainSelectedInstOperands,
     /*  743370 */     // GIR_Coverage, 12263,
     /*  743370 */     GIR_EraseRootFromParent_Done,
     /*  743371 */   // Label 11646: @743371
     /*  743371 */   GIM_Try, /*On fail goto*//*Label 11647*/ GIMT_Encode4(743446), // Rule ID 12266 //
     /*  743376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  743379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  743387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  743390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  743393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  743396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  743425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743444 */     GIR_RootConstrainSelectedInstOperands,
     /*  743445 */     // GIR_Coverage, 12266,
     /*  743445 */     GIR_EraseRootFromParent_Done,
     /*  743446 */   // Label 11647: @743446
     /*  743446 */   GIM_Try, /*On fail goto*//*Label 11648*/ GIMT_Encode4(743521), // Rule ID 12267 //
     /*  743451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  743462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  743465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  743468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  743471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  743490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743497 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64),
     /*  743500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743519 */     GIR_RootConstrainSelectedInstOperands,
     /*  743520 */     // GIR_Coverage, 12267,
     /*  743520 */     GIR_EraseRootFromParent_Done,
     /*  743521 */   // Label 11648: @743521
     /*  743521 */   GIM_Try, /*On fail goto*//*Label 11649*/ GIMT_Encode4(743596), // Rule ID 12270 //
     /*  743526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  743529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  743537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  743540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  743543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  743546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  743575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743594 */     GIR_RootConstrainSelectedInstOperands,
     /*  743595 */     // GIR_Coverage, 12270,
     /*  743595 */     GIR_EraseRootFromParent_Done,
     /*  743596 */   // Label 11649: @743596
     /*  743596 */   GIM_Try, /*On fail goto*//*Label 11650*/ GIMT_Encode4(743671), // Rule ID 12271 //
     /*  743601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  743612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  743615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  743618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  743621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  743640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743647 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64),
     /*  743650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743669 */     GIR_RootConstrainSelectedInstOperands,
     /*  743670 */     // GIR_Coverage, 12271,
     /*  743670 */     GIR_EraseRootFromParent_Done,
     /*  743671 */   // Label 11650: @743671
     /*  743671 */   GIM_Try, /*On fail goto*//*Label 11651*/ GIMT_Encode4(743746), // Rule ID 12274 //
     /*  743676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  743679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  743687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  743690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  743693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  743696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743722 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  743722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  743725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743744 */     GIR_RootConstrainSelectedInstOperands,
     /*  743745 */     // GIR_Coverage, 12274,
     /*  743745 */     GIR_EraseRootFromParent_Done,
     /*  743746 */   // Label 11651: @743746
     /*  743746 */   GIM_Try, /*On fail goto*//*Label 11652*/ GIMT_Encode4(743821), // Rule ID 12275 //
     /*  743751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  743754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  743762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  743765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  743768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  743771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  743790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743797 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  743797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64),
     /*  743800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  743816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743819 */     GIR_RootConstrainSelectedInstOperands,
     /*  743820 */     // GIR_Coverage, 12275,
     /*  743820 */     GIR_EraseRootFromParent_Done,
     /*  743821 */   // Label 11652: @743821
     /*  743821 */   GIM_Try, /*On fail goto*//*Label 11653*/ GIMT_Encode4(743896), // Rule ID 12278 //
     /*  743826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  743837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  743840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743872 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  743872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  743875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743894 */     GIR_RootConstrainSelectedInstOperands,
     /*  743895 */     // GIR_Coverage, 12278,
     /*  743895 */     GIR_EraseRootFromParent_Done,
     /*  743896 */   // Label 11653: @743896
     /*  743896 */   GIM_Try, /*On fail goto*//*Label 11654*/ GIMT_Encode4(743971), // Rule ID 12279 //
     /*  743901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  743904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  743912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  743915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  743918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  743921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  743924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  743936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  743940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  743947 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  743947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8),
     /*  743950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  743952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  743954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  743956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  743958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  743963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  743966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  743969 */     GIR_RootConstrainSelectedInstOperands,
     /*  743970 */     // GIR_Coverage, 12279,
     /*  743970 */     GIR_EraseRootFromParent_Done,
     /*  743971 */   // Label 11654: @743971
     /*  743971 */   GIM_Try, /*On fail goto*//*Label 11655*/ GIMT_Encode4(744046), // Rule ID 12282 //
     /*  743976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  743979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  743984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  743987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  743990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  743993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  743996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  743999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744022 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  744025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744044 */     GIR_RootConstrainSelectedInstOperands,
     /*  744045 */     // GIR_Coverage, 12282,
     /*  744045 */     GIR_EraseRootFromParent_Done,
     /*  744046 */   // Label 11655: @744046
     /*  744046 */   GIM_Try, /*On fail goto*//*Label 11656*/ GIMT_Encode4(744121), // Rule ID 12283 //
     /*  744051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  744062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  744065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  744068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744097 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8),
     /*  744100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744119 */     GIR_RootConstrainSelectedInstOperands,
     /*  744120 */     // GIR_Coverage, 12283,
     /*  744120 */     GIR_EraseRootFromParent_Done,
     /*  744121 */   // Label 11656: @744121
     /*  744121 */   GIM_Try, /*On fail goto*//*Label 11657*/ GIMT_Encode4(744196), // Rule ID 12286 //
     /*  744126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  744137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  744140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  744175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744194 */     GIR_RootConstrainSelectedInstOperands,
     /*  744195 */     // GIR_Coverage, 12286,
     /*  744195 */     GIR_EraseRootFromParent_Done,
     /*  744196 */   // Label 11657: @744196
     /*  744196 */   GIM_Try, /*On fail goto*//*Label 11658*/ GIMT_Encode4(744271), // Rule ID 12287 //
     /*  744201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  744212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  744215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  744218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744247 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8),
     /*  744250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744269 */     GIR_RootConstrainSelectedInstOperands,
     /*  744270 */     // GIR_Coverage, 12287,
     /*  744270 */     GIR_EraseRootFromParent_Done,
     /*  744271 */   // Label 11658: @744271
     /*  744271 */   GIM_Try, /*On fail goto*//*Label 11659*/ GIMT_Encode4(744346), // Rule ID 12290 //
     /*  744276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  744293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  744325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744344 */     GIR_RootConstrainSelectedInstOperands,
     /*  744345 */     // GIR_Coverage, 12290,
     /*  744345 */     GIR_EraseRootFromParent_Done,
     /*  744346 */   // Label 11659: @744346
     /*  744346 */   GIM_Try, /*On fail goto*//*Label 11660*/ GIMT_Encode4(744421), // Rule ID 12291 //
     /*  744351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  744362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  744365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  744368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744397 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16),
     /*  744400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744419 */     GIR_RootConstrainSelectedInstOperands,
     /*  744420 */     // GIR_Coverage, 12291,
     /*  744420 */     GIR_EraseRootFromParent_Done,
     /*  744421 */   // Label 11660: @744421
     /*  744421 */   GIM_Try, /*On fail goto*//*Label 11661*/ GIMT_Encode4(744496), // Rule ID 12294 //
     /*  744426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  744443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744472 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  744475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744494 */     GIR_RootConstrainSelectedInstOperands,
     /*  744495 */     // GIR_Coverage, 12294,
     /*  744495 */     GIR_EraseRootFromParent_Done,
     /*  744496 */   // Label 11661: @744496
     /*  744496 */   GIM_Try, /*On fail goto*//*Label 11662*/ GIMT_Encode4(744571), // Rule ID 12295 //
     /*  744501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  744512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  744515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  744518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744547 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16),
     /*  744550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744569 */     GIR_RootConstrainSelectedInstOperands,
     /*  744570 */     // GIR_Coverage, 12295,
     /*  744570 */     GIR_EraseRootFromParent_Done,
     /*  744571 */   // Label 11662: @744571
     /*  744571 */   GIM_Try, /*On fail goto*//*Label 11663*/ GIMT_Encode4(744646), // Rule ID 12298 //
     /*  744576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  744587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  744590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744622 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  744622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  744625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744644 */     GIR_RootConstrainSelectedInstOperands,
     /*  744645 */     // GIR_Coverage, 12298,
     /*  744645 */     GIR_EraseRootFromParent_Done,
     /*  744646 */   // Label 11663: @744646
     /*  744646 */   GIM_Try, /*On fail goto*//*Label 11664*/ GIMT_Encode4(744721), // Rule ID 12299 //
     /*  744651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  744662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  744665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  744668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744697 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  744697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32),
     /*  744700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  744716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744719 */     GIR_RootConstrainSelectedInstOperands,
     /*  744720 */     // GIR_Coverage, 12299,
     /*  744720 */     GIR_EraseRootFromParent_Done,
     /*  744721 */   // Label 11664: @744721
     /*  744721 */   GIM_Try, /*On fail goto*//*Label 11665*/ GIMT_Encode4(744796), // Rule ID 12302 //
     /*  744726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  744737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  744740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744772 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  744772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  744775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744794 */     GIR_RootConstrainSelectedInstOperands,
     /*  744795 */     // GIR_Coverage, 12302,
     /*  744795 */     GIR_EraseRootFromParent_Done,
     /*  744796 */   // Label 11665: @744796
     /*  744796 */   GIM_Try, /*On fail goto*//*Label 11666*/ GIMT_Encode4(744871), // Rule ID 12303 //
     /*  744801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  744812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  744815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  744818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744847 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11513:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  744847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8),
     /*  744850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  744866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744869 */     GIR_RootConstrainSelectedInstOperands,
     /*  744870 */     // GIR_Coverage, 12303,
     /*  744870 */     GIR_EraseRootFromParent_Done,
     /*  744871 */   // Label 11666: @744871
     /*  744871 */   GIM_Try, /*On fail goto*//*Label 11667*/ GIMT_Encode4(744946), // Rule ID 12306 //
     /*  744876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  744879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  744896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  744899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  744922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  744925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  744927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  744929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  744931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  744933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  744938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  744941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  744944 */     GIR_RootConstrainSelectedInstOperands,
     /*  744945 */     // GIR_Coverage, 12306,
     /*  744945 */     GIR_EraseRootFromParent_Done,
     /*  744946 */   // Label 11667: @744946
     /*  744946 */   GIM_Try, /*On fail goto*//*Label 11668*/ GIMT_Encode4(745021), // Rule ID 12307 //
     /*  744951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  744954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  744959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  744962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  744965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  744968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  744971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  744974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  744986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  744990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  744997 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11513:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  744997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16),
     /*  745000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745019 */     GIR_RootConstrainSelectedInstOperands,
     /*  745020 */     // GIR_Coverage, 12307,
     /*  745020 */     GIR_EraseRootFromParent_Done,
     /*  745021 */   // Label 11668: @745021
     /*  745021 */   GIM_Try, /*On fail goto*//*Label 11669*/ GIMT_Encode4(745096), // Rule ID 12310 //
     /*  745026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  745043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  745072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  745075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745094 */     GIR_RootConstrainSelectedInstOperands,
     /*  745095 */     // GIR_Coverage, 12310,
     /*  745095 */     GIR_EraseRootFromParent_Done,
     /*  745096 */   // Label 11669: @745096
     /*  745096 */   GIM_Try, /*On fail goto*//*Label 11670*/ GIMT_Encode4(745171), // Rule ID 12311 //
     /*  745101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  745112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  745115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  745118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745147 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11513:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  745147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32),
     /*  745150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  745166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745169 */     GIR_RootConstrainSelectedInstOperands,
     /*  745170 */     // GIR_Coverage, 12311,
     /*  745170 */     GIR_EraseRootFromParent_Done,
     /*  745171 */   // Label 11670: @745171
     /*  745171 */   GIM_Try, /*On fail goto*//*Label 11671*/ GIMT_Encode4(745246), // Rule ID 12314 //
     /*  745176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  745179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  745193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  745222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  745225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  745241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745244 */     GIR_RootConstrainSelectedInstOperands,
     /*  745245 */     // GIR_Coverage, 12314,
     /*  745245 */     GIR_EraseRootFromParent_Done,
     /*  745246 */   // Label 11671: @745246
     /*  745246 */   GIM_Try, /*On fail goto*//*Label 11672*/ GIMT_Encode4(745321), // Rule ID 12315 //
     /*  745251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  745254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  745262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  745265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  745268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  745286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745297 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11513:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  745297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64),
     /*  745300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  745316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745319 */     GIR_RootConstrainSelectedInstOperands,
     /*  745320 */     // GIR_Coverage, 12315,
     /*  745320 */     GIR_EraseRootFromParent_Done,
     /*  745321 */   // Label 11672: @745321
     /*  745321 */   GIM_Try, /*On fail goto*//*Label 11673*/ GIMT_Encode4(745396), // Rule ID 12318 //
     /*  745326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  745337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  745340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745372 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  745375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745394 */     GIR_RootConstrainSelectedInstOperands,
     /*  745395 */     // GIR_Coverage, 12318,
     /*  745395 */     GIR_EraseRootFromParent_Done,
     /*  745396 */   // Label 11673: @745396
     /*  745396 */   GIM_Try, /*On fail goto*//*Label 11674*/ GIMT_Encode4(745471), // Rule ID 12319 //
     /*  745401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  745412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  745415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  745418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745447 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8),
     /*  745450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745469 */     GIR_RootConstrainSelectedInstOperands,
     /*  745470 */     // GIR_Coverage, 12319,
     /*  745470 */     GIR_EraseRootFromParent_Done,
     /*  745471 */   // Label 11674: @745471
     /*  745471 */   GIM_Try, /*On fail goto*//*Label 11675*/ GIMT_Encode4(745546), // Rule ID 12322 //
     /*  745476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  745487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  745490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745522 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  745525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745544 */     GIR_RootConstrainSelectedInstOperands,
     /*  745545 */     // GIR_Coverage, 12322,
     /*  745545 */     GIR_EraseRootFromParent_Done,
     /*  745546 */   // Label 11675: @745546
     /*  745546 */   GIM_Try, /*On fail goto*//*Label 11676*/ GIMT_Encode4(745621), // Rule ID 12323 //
     /*  745551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  745562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  745565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  745568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745597 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8),
     /*  745600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745619 */     GIR_RootConstrainSelectedInstOperands,
     /*  745620 */     // GIR_Coverage, 12323,
     /*  745620 */     GIR_EraseRootFromParent_Done,
     /*  745621 */   // Label 11676: @745621
     /*  745621 */   GIM_Try, /*On fail goto*//*Label 11677*/ GIMT_Encode4(745696), // Rule ID 12326 //
     /*  745626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  745637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  745640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  745643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745672 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  745672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  745675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745694 */     GIR_RootConstrainSelectedInstOperands,
     /*  745695 */     // GIR_Coverage, 12326,
     /*  745695 */     GIR_EraseRootFromParent_Done,
     /*  745696 */   // Label 11677: @745696
     /*  745696 */   GIM_Try, /*On fail goto*//*Label 11678*/ GIMT_Encode4(745771), // Rule ID 12327 //
     /*  745701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  745712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  745715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  745718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  745736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745747 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  745747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8),
     /*  745750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  745766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745769 */     GIR_RootConstrainSelectedInstOperands,
     /*  745770 */     // GIR_Coverage, 12327,
     /*  745770 */     GIR_EraseRootFromParent_Done,
     /*  745771 */   // Label 11678: @745771
     /*  745771 */   GIM_Try, /*On fail goto*//*Label 11679*/ GIMT_Encode4(745846), // Rule ID 12330 //
     /*  745776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745822 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  745825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745844 */     GIR_RootConstrainSelectedInstOperands,
     /*  745845 */     // GIR_Coverage, 12330,
     /*  745845 */     GIR_EraseRootFromParent_Done,
     /*  745846 */   // Label 11679: @745846
     /*  745846 */   GIM_Try, /*On fail goto*//*Label 11680*/ GIMT_Encode4(745921), // Rule ID 12331 //
     /*  745851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  745854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  745862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  745865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  745868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  745871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  745874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  745886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745897 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  745897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16),
     /*  745900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745919 */     GIR_RootConstrainSelectedInstOperands,
     /*  745920 */     // GIR_Coverage, 12331,
     /*  745920 */     GIR_EraseRootFromParent_Done,
     /*  745921 */   // Label 11680: @745921
     /*  745921 */   GIM_Try, /*On fail goto*//*Label 11681*/ GIMT_Encode4(745996), // Rule ID 12334 //
     /*  745926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  745929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  745934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  745937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  745940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  745943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  745946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  745949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  745961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  745965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  745972 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  745972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  745975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  745977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  745979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  745981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  745983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  745988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  745991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  745994 */     GIR_RootConstrainSelectedInstOperands,
     /*  745995 */     // GIR_Coverage, 12334,
     /*  745995 */     GIR_EraseRootFromParent_Done,
     /*  745996 */   // Label 11681: @745996
     /*  745996 */   GIM_Try, /*On fail goto*//*Label 11682*/ GIMT_Encode4(746071), // Rule ID 12335 //
     /*  746001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  746012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  746015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  746018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746047 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16),
     /*  746050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746069 */     GIR_RootConstrainSelectedInstOperands,
     /*  746070 */     // GIR_Coverage, 12335,
     /*  746070 */     GIR_EraseRootFromParent_Done,
     /*  746071 */   // Label 11682: @746071
     /*  746071 */   GIM_Try, /*On fail goto*//*Label 11683*/ GIMT_Encode4(746146), // Rule ID 12338 //
     /*  746076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  746087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  746090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  746093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  746122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  746125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746144 */     GIR_RootConstrainSelectedInstOperands,
     /*  746145 */     // GIR_Coverage, 12338,
     /*  746145 */     GIR_EraseRootFromParent_Done,
     /*  746146 */   // Label 11683: @746146
     /*  746146 */   GIM_Try, /*On fail goto*//*Label 11684*/ GIMT_Encode4(746221), // Rule ID 12339 //
     /*  746151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  746162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  746165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  746168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746197 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  746197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16),
     /*  746200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  746216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746219 */     GIR_RootConstrainSelectedInstOperands,
     /*  746220 */     // GIR_Coverage, 12339,
     /*  746220 */     GIR_EraseRootFromParent_Done,
     /*  746221 */   // Label 11684: @746221
     /*  746221 */   GIM_Try, /*On fail goto*//*Label 11685*/ GIMT_Encode4(746296), // Rule ID 12342 //
     /*  746226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  746237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  746240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  746275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746294 */     GIR_RootConstrainSelectedInstOperands,
     /*  746295 */     // GIR_Coverage, 12342,
     /*  746295 */     GIR_EraseRootFromParent_Done,
     /*  746296 */   // Label 11685: @746296
     /*  746296 */   GIM_Try, /*On fail goto*//*Label 11686*/ GIMT_Encode4(746371), // Rule ID 12343 //
     /*  746301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  746312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  746315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  746318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32),
     /*  746350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746369 */     GIR_RootConstrainSelectedInstOperands,
     /*  746370 */     // GIR_Coverage, 12343,
     /*  746370 */     GIR_EraseRootFromParent_Done,
     /*  746371 */   // Label 11686: @746371
     /*  746371 */   GIM_Try, /*On fail goto*//*Label 11687*/ GIMT_Encode4(746446), // Rule ID 12346 //
     /*  746376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  746387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  746390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  746425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746444 */     GIR_RootConstrainSelectedInstOperands,
     /*  746445 */     // GIR_Coverage, 12346,
     /*  746445 */     GIR_EraseRootFromParent_Done,
     /*  746446 */   // Label 11687: @746446
     /*  746446 */   GIM_Try, /*On fail goto*//*Label 11688*/ GIMT_Encode4(746521), // Rule ID 12347 //
     /*  746451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  746462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  746465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  746468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32),
     /*  746500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746519 */     GIR_RootConstrainSelectedInstOperands,
     /*  746520 */     // GIR_Coverage, 12347,
     /*  746520 */     GIR_EraseRootFromParent_Done,
     /*  746521 */   // Label 11688: @746521
     /*  746521 */   GIM_Try, /*On fail goto*//*Label 11689*/ GIMT_Encode4(746596), // Rule ID 12350 //
     /*  746526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  746529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  746543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  746572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  746575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746594 */     GIR_RootConstrainSelectedInstOperands,
     /*  746595 */     // GIR_Coverage, 12350,
     /*  746595 */     GIR_EraseRootFromParent_Done,
     /*  746596 */   // Label 11689: @746596
     /*  746596 */   GIM_Try, /*On fail goto*//*Label 11690*/ GIMT_Encode4(746671), // Rule ID 12351 //
     /*  746601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  746604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  746612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  746615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  746618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  746636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  746647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32),
     /*  746650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  746666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746669 */     GIR_RootConstrainSelectedInstOperands,
     /*  746670 */     // GIR_Coverage, 12351,
     /*  746670 */     GIR_EraseRootFromParent_Done,
     /*  746671 */   // Label 11690: @746671
     /*  746671 */   GIM_Try, /*On fail goto*//*Label 11691*/ GIMT_Encode4(746746), // Rule ID 12354 //
     /*  746676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  746679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  746693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  746725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746744 */     GIR_RootConstrainSelectedInstOperands,
     /*  746745 */     // GIR_Coverage, 12354,
     /*  746745 */     GIR_EraseRootFromParent_Done,
     /*  746746 */   // Label 11691: @746746
     /*  746746 */   GIM_Try, /*On fail goto*//*Label 11692*/ GIMT_Encode4(746821), // Rule ID 12355 //
     /*  746751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  746754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  746762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  746765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  746768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  746786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11513:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64),
     /*  746800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746819 */     GIR_RootConstrainSelectedInstOperands,
     /*  746820 */     // GIR_Coverage, 12355,
     /*  746820 */     GIR_EraseRootFromParent_Done,
     /*  746821 */   // Label 11692: @746821
     /*  746821 */   GIM_Try, /*On fail goto*//*Label 11693*/ GIMT_Encode4(746896), // Rule ID 12358 //
     /*  746826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  746829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  746843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  746872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  746875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746894 */     GIR_RootConstrainSelectedInstOperands,
     /*  746895 */     // GIR_Coverage, 12358,
     /*  746895 */     GIR_EraseRootFromParent_Done,
     /*  746896 */   // Label 11693: @746896
     /*  746896 */   GIM_Try, /*On fail goto*//*Label 11694*/ GIMT_Encode4(746971), // Rule ID 12359 //
     /*  746901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  746904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  746912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  746915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  746918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  746921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  746924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  746936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  746940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  746947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11513:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  746947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64),
     /*  746950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  746952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  746954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  746956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  746958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  746963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  746966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  746969 */     GIR_RootConstrainSelectedInstOperands,
     /*  746970 */     // GIR_Coverage, 12359,
     /*  746970 */     GIR_EraseRootFromParent_Done,
     /*  746971 */   // Label 11694: @746971
     /*  746971 */   GIM_Try, /*On fail goto*//*Label 11695*/ GIMT_Encode4(747046), // Rule ID 12362 //
     /*  746976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  746979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  746984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  746987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  746990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  746993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  746996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  746999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  747022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  747025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  747041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747044 */     GIR_RootConstrainSelectedInstOperands,
     /*  747045 */     // GIR_Coverage, 12362,
     /*  747045 */     GIR_EraseRootFromParent_Done,
     /*  747046 */   // Label 11695: @747046
     /*  747046 */   GIM_Try, /*On fail goto*//*Label 11696*/ GIMT_Encode4(747121), // Rule ID 12363 //
     /*  747051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  747054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem),
     /*  747059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  747062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  747065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  747068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  747071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  747090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11513:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREM_VX_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  747097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64),
     /*  747100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  747116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747119 */     GIR_RootConstrainSelectedInstOperands,
     /*  747120 */     // GIR_Coverage, 12363,
     /*  747120 */     GIR_EraseRootFromParent_Done,
     /*  747121 */   // Label 11696: @747121
     /*  747121 */   GIM_Try, /*On fail goto*//*Label 11697*/ GIMT_Encode4(747196), // Rule ID 12366 //
     /*  747126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  747137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  747140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  747143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  747146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  747175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747194 */     GIR_RootConstrainSelectedInstOperands,
     /*  747195 */     // GIR_Coverage, 12366,
     /*  747195 */     GIR_EraseRootFromParent_Done,
     /*  747196 */   // Label 11697: @747196
     /*  747196 */   GIM_Try, /*On fail goto*//*Label 11698*/ GIMT_Encode4(747271), // Rule ID 12367 //
     /*  747201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  747212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  747215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  747218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  747221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8),
     /*  747250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747269 */     GIR_RootConstrainSelectedInstOperands,
     /*  747270 */     // GIR_Coverage, 12367,
     /*  747270 */     GIR_EraseRootFromParent_Done,
     /*  747271 */   // Label 11698: @747271
     /*  747271 */   GIM_Try, /*On fail goto*//*Label 11699*/ GIMT_Encode4(747346), // Rule ID 12370 //
     /*  747276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  747296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  747325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747344 */     GIR_RootConstrainSelectedInstOperands,
     /*  747345 */     // GIR_Coverage, 12370,
     /*  747345 */     GIR_EraseRootFromParent_Done,
     /*  747346 */   // Label 11699: @747346
     /*  747346 */   GIM_Try, /*On fail goto*//*Label 11700*/ GIMT_Encode4(747421), // Rule ID 12371 //
     /*  747351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  747362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  747365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  747368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  747371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  747400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747419 */     GIR_RootConstrainSelectedInstOperands,
     /*  747420 */     // GIR_Coverage, 12371,
     /*  747420 */     GIR_EraseRootFromParent_Done,
     /*  747421 */   // Label 11700: @747421
     /*  747421 */   GIM_Try, /*On fail goto*//*Label 11701*/ GIMT_Encode4(747496), // Rule ID 12374 //
     /*  747426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  747475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747494 */     GIR_RootConstrainSelectedInstOperands,
     /*  747495 */     // GIR_Coverage, 12374,
     /*  747495 */     GIR_EraseRootFromParent_Done,
     /*  747496 */   // Label 11701: @747496
     /*  747496 */   GIM_Try, /*On fail goto*//*Label 11702*/ GIMT_Encode4(747571), // Rule ID 12375 //
     /*  747501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  747512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  747515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  747518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  747521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  747550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747569 */     GIR_RootConstrainSelectedInstOperands,
     /*  747570 */     // GIR_Coverage, 12375,
     /*  747570 */     GIR_EraseRootFromParent_Done,
     /*  747571 */   // Label 11702: @747571
     /*  747571 */   GIM_Try, /*On fail goto*//*Label 11703*/ GIMT_Encode4(747646), // Rule ID 12378 //
     /*  747576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747644 */     GIR_RootConstrainSelectedInstOperands,
     /*  747645 */     // GIR_Coverage, 12378,
     /*  747645 */     GIR_EraseRootFromParent_Done,
     /*  747646 */   // Label 11703: @747646
     /*  747646 */   GIM_Try, /*On fail goto*//*Label 11704*/ GIMT_Encode4(747721), // Rule ID 12379 //
     /*  747651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  747662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  747665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  747668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  747671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  747690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  747700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747719 */     GIR_RootConstrainSelectedInstOperands,
     /*  747720 */     // GIR_Coverage, 12379,
     /*  747720 */     GIR_EraseRootFromParent_Done,
     /*  747721 */   // Label 11704: @747721
     /*  747721 */   GIM_Try, /*On fail goto*//*Label 11705*/ GIMT_Encode4(747796), // Rule ID 12382 //
     /*  747726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  747775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747794 */     GIR_RootConstrainSelectedInstOperands,
     /*  747795 */     // GIR_Coverage, 12382,
     /*  747795 */     GIR_EraseRootFromParent_Done,
     /*  747796 */   // Label 11705: @747796
     /*  747796 */   GIM_Try, /*On fail goto*//*Label 11706*/ GIMT_Encode4(747871), // Rule ID 12383 //
     /*  747801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  747812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  747815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  747818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  747821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  747840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  747850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747869 */     GIR_RootConstrainSelectedInstOperands,
     /*  747870 */     // GIR_Coverage, 12383,
     /*  747870 */     GIR_EraseRootFromParent_Done,
     /*  747871 */   // Label 11706: @747871
     /*  747871 */   GIM_Try, /*On fail goto*//*Label 11707*/ GIMT_Encode4(747946), // Rule ID 12386 //
     /*  747876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  747879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  747899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  747922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  747925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  747927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  747929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  747931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  747933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  747938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  747941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  747944 */     GIR_RootConstrainSelectedInstOperands,
     /*  747945 */     // GIR_Coverage, 12386,
     /*  747945 */     GIR_EraseRootFromParent_Done,
     /*  747946 */   // Label 11707: @747946
     /*  747946 */   GIM_Try, /*On fail goto*//*Label 11708*/ GIMT_Encode4(748021), // Rule ID 12387 //
     /*  747951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  747954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  747959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  747962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  747965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  747968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  747971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  747974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  747982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  747990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  747997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  747997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  748016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748019 */     GIR_RootConstrainSelectedInstOperands,
     /*  748020 */     // GIR_Coverage, 12387,
     /*  748020 */     GIR_EraseRootFromParent_Done,
     /*  748021 */   // Label 11708: @748021
     /*  748021 */   GIM_Try, /*On fail goto*//*Label 11709*/ GIMT_Encode4(748096), // Rule ID 12390 //
     /*  748026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  748037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  748040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  748046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  748075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748094 */     GIR_RootConstrainSelectedInstOperands,
     /*  748095 */     // GIR_Coverage, 12390,
     /*  748095 */     GIR_EraseRootFromParent_Done,
     /*  748096 */   // Label 11709: @748096
     /*  748096 */   GIM_Try, /*On fail goto*//*Label 11710*/ GIMT_Encode4(748171), // Rule ID 12391 //
     /*  748101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  748112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  748115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  748118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  748121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4),
     /*  748150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748169 */     GIR_RootConstrainSelectedInstOperands,
     /*  748170 */     // GIR_Coverage, 12391,
     /*  748170 */     GIR_EraseRootFromParent_Done,
     /*  748171 */   // Label 11710: @748171
     /*  748171 */   GIM_Try, /*On fail goto*//*Label 11711*/ GIMT_Encode4(748246), // Rule ID 12394 //
     /*  748176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  748196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  748225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748244 */     GIR_RootConstrainSelectedInstOperands,
     /*  748245 */     // GIR_Coverage, 12394,
     /*  748245 */     GIR_EraseRootFromParent_Done,
     /*  748246 */   // Label 11711: @748246
     /*  748246 */   GIM_Try, /*On fail goto*//*Label 11712*/ GIMT_Encode4(748321), // Rule ID 12395 //
     /*  748251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  748262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  748265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  748268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  748271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  748300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748319 */     GIR_RootConstrainSelectedInstOperands,
     /*  748320 */     // GIR_Coverage, 12395,
     /*  748320 */     GIR_EraseRootFromParent_Done,
     /*  748321 */   // Label 11712: @748321
     /*  748321 */   GIM_Try, /*On fail goto*//*Label 11713*/ GIMT_Encode4(748396), // Rule ID 12398 //
     /*  748326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  748375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748394 */     GIR_RootConstrainSelectedInstOperands,
     /*  748395 */     // GIR_Coverage, 12398,
     /*  748395 */     GIR_EraseRootFromParent_Done,
     /*  748396 */   // Label 11713: @748396
     /*  748396 */   GIM_Try, /*On fail goto*//*Label 11714*/ GIMT_Encode4(748471), // Rule ID 12399 //
     /*  748401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  748412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  748415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  748418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  748421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  748450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748469 */     GIR_RootConstrainSelectedInstOperands,
     /*  748470 */     // GIR_Coverage, 12399,
     /*  748470 */     GIR_EraseRootFromParent_Done,
     /*  748471 */   // Label 11714: @748471
     /*  748471 */   GIM_Try, /*On fail goto*//*Label 11715*/ GIMT_Encode4(748546), // Rule ID 12402 //
     /*  748476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  748525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748544 */     GIR_RootConstrainSelectedInstOperands,
     /*  748545 */     // GIR_Coverage, 12402,
     /*  748545 */     GIR_EraseRootFromParent_Done,
     /*  748546 */   // Label 11715: @748546
     /*  748546 */   GIM_Try, /*On fail goto*//*Label 11716*/ GIMT_Encode4(748621), // Rule ID 12403 //
     /*  748551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  748562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  748565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  748568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  748571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  748600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748619 */     GIR_RootConstrainSelectedInstOperands,
     /*  748620 */     // GIR_Coverage, 12403,
     /*  748620 */     GIR_EraseRootFromParent_Done,
     /*  748621 */   // Label 11716: @748621
     /*  748621 */   GIM_Try, /*On fail goto*//*Label 11717*/ GIMT_Encode4(748696), // Rule ID 12406 //
     /*  748626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  748629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  748672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748694 */     GIR_RootConstrainSelectedInstOperands,
     /*  748695 */     // GIR_Coverage, 12406,
     /*  748695 */     GIR_EraseRootFromParent_Done,
     /*  748696 */   // Label 11717: @748696
     /*  748696 */   GIM_Try, /*On fail goto*//*Label 11718*/ GIMT_Encode4(748771), // Rule ID 12407 //
     /*  748701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  748704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  748712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  748715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  748718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  748721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  748732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  748740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  748747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  748750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  748766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748769 */     GIR_RootConstrainSelectedInstOperands,
     /*  748770 */     // GIR_Coverage, 12407,
     /*  748770 */     GIR_EraseRootFromParent_Done,
     /*  748771 */   // Label 11718: @748771
     /*  748771 */   GIM_Try, /*On fail goto*//*Label 11719*/ GIMT_Encode4(748846), // Rule ID 12410 //
     /*  748776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  748825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748844 */     GIR_RootConstrainSelectedInstOperands,
     /*  748845 */     // GIR_Coverage, 12410,
     /*  748845 */     GIR_EraseRootFromParent_Done,
     /*  748846 */   // Label 11719: @748846
     /*  748846 */   GIM_Try, /*On fail goto*//*Label 11720*/ GIMT_Encode4(748921), // Rule ID 12411 //
     /*  748851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  748854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  748862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  748865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  748868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  748871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  748874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  748897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2),
     /*  748900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748919 */     GIR_RootConstrainSelectedInstOperands,
     /*  748920 */     // GIR_Coverage, 12411,
     /*  748920 */     GIR_EraseRootFromParent_Done,
     /*  748921 */   // Label 11720: @748921
     /*  748921 */   GIM_Try, /*On fail goto*//*Label 11721*/ GIMT_Encode4(748996), // Rule ID 12414 //
     /*  748926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  748929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  748934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  748937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  748940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  748943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  748946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  748949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  748957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  748965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  748972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  748972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  748975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  748977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  748979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  748981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  748983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  748988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  748991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  748994 */     GIR_RootConstrainSelectedInstOperands,
     /*  748995 */     // GIR_Coverage, 12414,
     /*  748995 */     GIR_EraseRootFromParent_Done,
     /*  748996 */   // Label 11721: @748996
     /*  748996 */   GIM_Try, /*On fail goto*//*Label 11722*/ GIMT_Encode4(749071), // Rule ID 12415 //
     /*  749001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  749012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  749015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  749018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  749021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1),
     /*  749050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749069 */     GIR_RootConstrainSelectedInstOperands,
     /*  749070 */     // GIR_Coverage, 12415,
     /*  749070 */     GIR_EraseRootFromParent_Done,
     /*  749071 */   // Label 11722: @749071
     /*  749071 */   GIM_Try, /*On fail goto*//*Label 11723*/ GIMT_Encode4(749146), // Rule ID 12418 //
     /*  749076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  749087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  749090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  749093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  749096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749122 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  749125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749144 */     GIR_RootConstrainSelectedInstOperands,
     /*  749145 */     // GIR_Coverage, 12418,
     /*  749145 */     GIR_EraseRootFromParent_Done,
     /*  749146 */   // Label 11723: @749146
     /*  749146 */   GIM_Try, /*On fail goto*//*Label 11724*/ GIMT_Encode4(749221), // Rule ID 12419 //
     /*  749151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  749162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  749165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  749168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  749171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2),
     /*  749200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749219 */     GIR_RootConstrainSelectedInstOperands,
     /*  749220 */     // GIR_Coverage, 12419,
     /*  749220 */     GIR_EraseRootFromParent_Done,
     /*  749221 */   // Label 11724: @749221
     /*  749221 */   GIM_Try, /*On fail goto*//*Label 11725*/ GIMT_Encode4(749296), // Rule ID 12422 //
     /*  749226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  749229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  749237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  749240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  749243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  749246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  749272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  749275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749294 */     GIR_RootConstrainSelectedInstOperands,
     /*  749295 */     // GIR_Coverage, 12422,
     /*  749295 */     GIR_EraseRootFromParent_Done,
     /*  749296 */   // Label 11725: @749296
     /*  749296 */   GIM_Try, /*On fail goto*//*Label 11726*/ GIMT_Encode4(749371), // Rule ID 12423 //
     /*  749301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  749304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  749312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  749315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  749318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  749321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  749332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  749340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  749347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4),
     /*  749350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  749366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749369 */     GIR_RootConstrainSelectedInstOperands,
     /*  749370 */     // GIR_Coverage, 12423,
     /*  749370 */     GIR_EraseRootFromParent_Done,
     /*  749371 */   // Label 11726: @749371
     /*  749371 */   GIM_Try, /*On fail goto*//*Label 11727*/ GIMT_Encode4(749446), // Rule ID 12426 //
     /*  749376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  749425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749444 */     GIR_RootConstrainSelectedInstOperands,
     /*  749445 */     // GIR_Coverage, 12426,
     /*  749445 */     GIR_EraseRootFromParent_Done,
     /*  749446 */   // Label 11727: @749446
     /*  749446 */   GIM_Try, /*On fail goto*//*Label 11728*/ GIMT_Encode4(749521), // Rule ID 12427 //
     /*  749451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  749462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  749465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  749468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8),
     /*  749500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749519 */     GIR_RootConstrainSelectedInstOperands,
     /*  749520 */     // GIR_Coverage, 12427,
     /*  749520 */     GIR_EraseRootFromParent_Done,
     /*  749521 */   // Label 11728: @749521
     /*  749521 */   GIM_Try, /*On fail goto*//*Label 11729*/ GIMT_Encode4(749596), // Rule ID 12430 //
     /*  749526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  749575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749594 */     GIR_RootConstrainSelectedInstOperands,
     /*  749595 */     // GIR_Coverage, 12430,
     /*  749595 */     GIR_EraseRootFromParent_Done,
     /*  749596 */   // Label 11729: @749596
     /*  749596 */   GIM_Try, /*On fail goto*//*Label 11730*/ GIMT_Encode4(749671), // Rule ID 12431 //
     /*  749601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  749612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  749615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  749618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  749650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749669 */     GIR_RootConstrainSelectedInstOperands,
     /*  749670 */     // GIR_Coverage, 12431,
     /*  749670 */     GIR_EraseRootFromParent_Done,
     /*  749671 */   // Label 11730: @749671
     /*  749671 */   GIM_Try, /*On fail goto*//*Label 11731*/ GIMT_Encode4(749746), // Rule ID 12434 //
     /*  749676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749744 */     GIR_RootConstrainSelectedInstOperands,
     /*  749745 */     // GIR_Coverage, 12434,
     /*  749745 */     GIR_EraseRootFromParent_Done,
     /*  749746 */   // Label 11731: @749746
     /*  749746 */   GIM_Try, /*On fail goto*//*Label 11732*/ GIMT_Encode4(749821), // Rule ID 12435 //
     /*  749751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  749762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  749765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  749768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11655:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  749800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749819 */     GIR_RootConstrainSelectedInstOperands,
     /*  749820 */     // GIR_Coverage, 12435,
     /*  749820 */     GIR_EraseRootFromParent_Done,
     /*  749821 */   // Label 11732: @749821
     /*  749821 */   GIM_Try, /*On fail goto*//*Label 11733*/ GIMT_Encode4(749896), // Rule ID 12438 //
     /*  749826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  749872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  749875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749894 */     GIR_RootConstrainSelectedInstOperands,
     /*  749895 */     // GIR_Coverage, 12438,
     /*  749895 */     GIR_EraseRootFromParent_Done,
     /*  749896 */   // Label 11733: @749896
     /*  749896 */   GIM_Try, /*On fail goto*//*Label 11734*/ GIMT_Encode4(749971), // Rule ID 12439 //
     /*  749901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  749904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  749912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  749915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  749918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  749921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  749924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  749932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  749936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  749940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  749947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  749947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  749950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  749952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  749954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  749956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  749958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  749963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  749966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  749969 */     GIR_RootConstrainSelectedInstOperands,
     /*  749970 */     // GIR_Coverage, 12439,
     /*  749970 */     GIR_EraseRootFromParent_Done,
     /*  749971 */   // Label 11734: @749971
     /*  749971 */   GIM_Try, /*On fail goto*//*Label 11735*/ GIMT_Encode4(750046), // Rule ID 12442 //
     /*  749976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  749979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  749984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  749987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  749990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  749993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  749996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  749999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750044 */     GIR_RootConstrainSelectedInstOperands,
     /*  750045 */     // GIR_Coverage, 12442,
     /*  750045 */     GIR_EraseRootFromParent_Done,
     /*  750046 */   // Label 11735: @750046
     /*  750046 */   GIM_Try, /*On fail goto*//*Label 11736*/ GIMT_Encode4(750121), // Rule ID 12443 //
     /*  750051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  750062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  750065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  750068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750119 */     GIR_RootConstrainSelectedInstOperands,
     /*  750120 */     // GIR_Coverage, 12443,
     /*  750120 */     GIR_EraseRootFromParent_Done,
     /*  750121 */   // Label 11736: @750121
     /*  750121 */   GIM_Try, /*On fail goto*//*Label 11737*/ GIMT_Encode4(750196), // Rule ID 12446 //
     /*  750126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  750137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  750140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  750143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  750172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750194 */     GIR_RootConstrainSelectedInstOperands,
     /*  750195 */     // GIR_Coverage, 12446,
     /*  750195 */     GIR_EraseRootFromParent_Done,
     /*  750196 */   // Label 11737: @750196
     /*  750196 */   GIM_Try, /*On fail goto*//*Label 11738*/ GIMT_Encode4(750271), // Rule ID 12447 //
     /*  750201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  750212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  750215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  750218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  750247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  750266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750269 */     GIR_RootConstrainSelectedInstOperands,
     /*  750270 */     // GIR_Coverage, 12447,
     /*  750270 */     GIR_EraseRootFromParent_Done,
     /*  750271 */   // Label 11738: @750271
     /*  750271 */   GIM_Try, /*On fail goto*//*Label 11739*/ GIMT_Encode4(750346), // Rule ID 12450 //
     /*  750276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  750325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750344 */     GIR_RootConstrainSelectedInstOperands,
     /*  750345 */     // GIR_Coverage, 12450,
     /*  750345 */     GIR_EraseRootFromParent_Done,
     /*  750346 */   // Label 11739: @750346
     /*  750346 */   GIM_Try, /*On fail goto*//*Label 11740*/ GIMT_Encode4(750421), // Rule ID 12451 //
     /*  750351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  750362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  750365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  750368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4),
     /*  750400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750419 */     GIR_RootConstrainSelectedInstOperands,
     /*  750420 */     // GIR_Coverage, 12451,
     /*  750420 */     GIR_EraseRootFromParent_Done,
     /*  750421 */   // Label 11740: @750421
     /*  750421 */   GIM_Try, /*On fail goto*//*Label 11741*/ GIMT_Encode4(750496), // Rule ID 12454 //
     /*  750426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  750475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750494 */     GIR_RootConstrainSelectedInstOperands,
     /*  750495 */     // GIR_Coverage, 12454,
     /*  750495 */     GIR_EraseRootFromParent_Done,
     /*  750496 */   // Label 11741: @750496
     /*  750496 */   GIM_Try, /*On fail goto*//*Label 11742*/ GIMT_Encode4(750571), // Rule ID 12455 //
     /*  750501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  750512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  750515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  750518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11655:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  750550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750569 */     GIR_RootConstrainSelectedInstOperands,
     /*  750570 */     // GIR_Coverage, 12455,
     /*  750570 */     GIR_EraseRootFromParent_Done,
     /*  750571 */   // Label 11742: @750571
     /*  750571 */   GIM_Try, /*On fail goto*//*Label 11743*/ GIMT_Encode4(750646), // Rule ID 12458 //
     /*  750576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750644 */     GIR_RootConstrainSelectedInstOperands,
     /*  750645 */     // GIR_Coverage, 12458,
     /*  750645 */     GIR_EraseRootFromParent_Done,
     /*  750646 */   // Label 11743: @750646
     /*  750646 */   GIM_Try, /*On fail goto*//*Label 11744*/ GIMT_Encode4(750721), // Rule ID 12459 //
     /*  750651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  750662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  750665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  750668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  750686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  750700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750719 */     GIR_RootConstrainSelectedInstOperands,
     /*  750720 */     // GIR_Coverage, 12459,
     /*  750720 */     GIR_EraseRootFromParent_Done,
     /*  750721 */   // Label 11744: @750721
     /*  750721 */   GIM_Try, /*On fail goto*//*Label 11745*/ GIMT_Encode4(750796), // Rule ID 12462 //
     /*  750726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750794 */     GIR_RootConstrainSelectedInstOperands,
     /*  750795 */     // GIR_Coverage, 12462,
     /*  750795 */     GIR_EraseRootFromParent_Done,
     /*  750796 */   // Label 11745: @750796
     /*  750796 */   GIM_Try, /*On fail goto*//*Label 11746*/ GIMT_Encode4(750871), // Rule ID 12463 //
     /*  750801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  750812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  750815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  750818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  750836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  750850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750869 */     GIR_RootConstrainSelectedInstOperands,
     /*  750870 */     // GIR_Coverage, 12463,
     /*  750870 */     GIR_EraseRootFromParent_Done,
     /*  750871 */   // Label 11746: @750871
     /*  750871 */   GIM_Try, /*On fail goto*//*Label 11747*/ GIMT_Encode4(750946), // Rule ID 12466 //
     /*  750876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  750879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  750896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  750899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  750922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  750925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  750927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  750929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  750931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  750933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  750938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  750941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  750944 */     GIR_RootConstrainSelectedInstOperands,
     /*  750945 */     // GIR_Coverage, 12466,
     /*  750945 */     GIR_EraseRootFromParent_Done,
     /*  750946 */   // Label 11747: @750946
     /*  750946 */   GIM_Try, /*On fail goto*//*Label 11748*/ GIMT_Encode4(751021), // Rule ID 12467 //
     /*  750951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  750954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  750959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  750962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  750965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  750968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  750971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  750974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  750982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  750986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  750990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  750997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  750997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  751000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  751016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751019 */     GIR_RootConstrainSelectedInstOperands,
     /*  751020 */     // GIR_Coverage, 12467,
     /*  751020 */     GIR_EraseRootFromParent_Done,
     /*  751021 */   // Label 11748: @751021
     /*  751021 */   GIM_Try, /*On fail goto*//*Label 11749*/ GIMT_Encode4(751096), // Rule ID 12470 //
     /*  751026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  751037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  751075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751094 */     GIR_RootConstrainSelectedInstOperands,
     /*  751095 */     // GIR_Coverage, 12470,
     /*  751095 */     GIR_EraseRootFromParent_Done,
     /*  751096 */   // Label 11749: @751096
     /*  751096 */   GIM_Try, /*On fail goto*//*Label 11750*/ GIMT_Encode4(751171), // Rule ID 12471 //
     /*  751101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  751112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  751115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  751118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11655:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2),
     /*  751150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751169 */     GIR_RootConstrainSelectedInstOperands,
     /*  751170 */     // GIR_Coverage, 12471,
     /*  751170 */     GIR_EraseRootFromParent_Done,
     /*  751171 */   // Label 11750: @751171
     /*  751171 */   GIM_Try, /*On fail goto*//*Label 11751*/ GIMT_Encode4(751246), // Rule ID 12474 //
     /*  751176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  751187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  751190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  751193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  751225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751244 */     GIR_RootConstrainSelectedInstOperands,
     /*  751245 */     // GIR_Coverage, 12474,
     /*  751245 */     GIR_EraseRootFromParent_Done,
     /*  751246 */   // Label 11751: @751246
     /*  751246 */   GIM_Try, /*On fail goto*//*Label 11752*/ GIMT_Encode4(751321), // Rule ID 12475 //
     /*  751251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  751262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  751265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  751268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11655:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1),
     /*  751300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751319 */     GIR_RootConstrainSelectedInstOperands,
     /*  751320 */     // GIR_Coverage, 12475,
     /*  751320 */     GIR_EraseRootFromParent_Done,
     /*  751321 */   // Label 11752: @751321
     /*  751321 */   GIM_Try, /*On fail goto*//*Label 11753*/ GIMT_Encode4(751396), // Rule ID 12478 //
     /*  751326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  751375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751394 */     GIR_RootConstrainSelectedInstOperands,
     /*  751395 */     // GIR_Coverage, 12478,
     /*  751395 */     GIR_EraseRootFromParent_Done,
     /*  751396 */   // Label 11753: @751396
     /*  751396 */   GIM_Try, /*On fail goto*//*Label 11754*/ GIMT_Encode4(751471), // Rule ID 12479 //
     /*  751401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  751412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  751415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  751418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  751436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751447 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11655:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2),
     /*  751450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751469 */     GIR_RootConstrainSelectedInstOperands,
     /*  751470 */     // GIR_Coverage, 12479,
     /*  751470 */     GIR_EraseRootFromParent_Done,
     /*  751471 */   // Label 11754: @751471
     /*  751471 */   GIM_Try, /*On fail goto*//*Label 11755*/ GIMT_Encode4(751546), // Rule ID 12482 //
     /*  751476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  751479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  751496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  751522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  751525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751544 */     GIR_RootConstrainSelectedInstOperands,
     /*  751545 */     // GIR_Coverage, 12482,
     /*  751545 */     GIR_EraseRootFromParent_Done,
     /*  751546 */   // Label 11755: @751546
     /*  751546 */   GIM_Try, /*On fail goto*//*Label 11756*/ GIMT_Encode4(751621), // Rule ID 12483 //
     /*  751551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  751554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul),
     /*  751559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  751562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  751565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  751568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  751571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  751582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  751586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  751590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11655:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMUL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  751597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4),
     /*  751600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  751616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751619 */     GIR_RootConstrainSelectedInstOperands,
     /*  751620 */     // GIR_Coverage, 12483,
     /*  751620 */     GIR_EraseRootFromParent_Done,
     /*  751621 */   // Label 11756: @751621
     /*  751621 */   GIM_Try, /*On fail goto*//*Label 11757*/ GIMT_Encode4(751696), // Rule ID 12486 //
     /*  751626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  751675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751694 */     GIR_RootConstrainSelectedInstOperands,
     /*  751695 */     // GIR_Coverage, 12486,
     /*  751695 */     GIR_EraseRootFromParent_Done,
     /*  751696 */   // Label 11757: @751696
     /*  751696 */   GIM_Try, /*On fail goto*//*Label 11758*/ GIMT_Encode4(751771), // Rule ID 12487 //
     /*  751701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  751712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  751715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  751718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  751721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751747 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8),
     /*  751750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751769 */     GIR_RootConstrainSelectedInstOperands,
     /*  751770 */     // GIR_Coverage, 12487,
     /*  751770 */     GIR_EraseRootFromParent_Done,
     /*  751771 */   // Label 11758: @751771
     /*  751771 */   GIM_Try, /*On fail goto*//*Label 11759*/ GIMT_Encode4(751846), // Rule ID 12490 //
     /*  751776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751822 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  751825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751844 */     GIR_RootConstrainSelectedInstOperands,
     /*  751845 */     // GIR_Coverage, 12490,
     /*  751845 */     GIR_EraseRootFromParent_Done,
     /*  751846 */   // Label 11759: @751846
     /*  751846 */   GIM_Try, /*On fail goto*//*Label 11760*/ GIMT_Encode4(751921), // Rule ID 12491 //
     /*  751851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  751854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  751862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  751865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  751868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  751871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  751874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751897 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  751897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  751900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751919 */     GIR_RootConstrainSelectedInstOperands,
     /*  751920 */     // GIR_Coverage, 12491,
     /*  751920 */     GIR_EraseRootFromParent_Done,
     /*  751921 */   // Label 11760: @751921
     /*  751921 */   GIM_Try, /*On fail goto*//*Label 11761*/ GIMT_Encode4(751996), // Rule ID 12494 //
     /*  751926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  751929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  751934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  751937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  751940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  751943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  751946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  751949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  751965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  751972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  751972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  751975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  751977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  751979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  751981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  751983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  751988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  751991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  751994 */     GIR_RootConstrainSelectedInstOperands,
     /*  751995 */     // GIR_Coverage, 12494,
     /*  751995 */     GIR_EraseRootFromParent_Done,
     /*  751996 */   // Label 11761: @751996
     /*  751996 */   GIM_Try, /*On fail goto*//*Label 11762*/ GIMT_Encode4(752071), // Rule ID 12495 //
     /*  752001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  752012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  752015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  752018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  752021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752069 */     GIR_RootConstrainSelectedInstOperands,
     /*  752070 */     // GIR_Coverage, 12495,
     /*  752070 */     GIR_EraseRootFromParent_Done,
     /*  752071 */   // Label 11762: @752071
     /*  752071 */   GIM_Try, /*On fail goto*//*Label 11763*/ GIMT_Encode4(752146), // Rule ID 12498 //
     /*  752076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  752087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  752090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  752093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  752096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752122 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752144 */     GIR_RootConstrainSelectedInstOperands,
     /*  752145 */     // GIR_Coverage, 12498,
     /*  752145 */     GIR_EraseRootFromParent_Done,
     /*  752146 */   // Label 11763: @752146
     /*  752146 */   GIM_Try, /*On fail goto*//*Label 11764*/ GIMT_Encode4(752221), // Rule ID 12499 //
     /*  752151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  752162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  752165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  752168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  752171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752219 */     GIR_RootConstrainSelectedInstOperands,
     /*  752220 */     // GIR_Coverage, 12499,
     /*  752220 */     GIR_EraseRootFromParent_Done,
     /*  752221 */   // Label 11764: @752221
     /*  752221 */   GIM_Try, /*On fail goto*//*Label 11765*/ GIMT_Encode4(752296), // Rule ID 12502 //
     /*  752226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  752237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  752240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  752243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  752246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752272 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  752275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752294 */     GIR_RootConstrainSelectedInstOperands,
     /*  752295 */     // GIR_Coverage, 12502,
     /*  752295 */     GIR_EraseRootFromParent_Done,
     /*  752296 */   // Label 11765: @752296
     /*  752296 */   GIM_Try, /*On fail goto*//*Label 11766*/ GIMT_Encode4(752371), // Rule ID 12503 //
     /*  752301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  752312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  752315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  752318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  752321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752347 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  752350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752369 */     GIR_RootConstrainSelectedInstOperands,
     /*  752370 */     // GIR_Coverage, 12503,
     /*  752370 */     GIR_EraseRootFromParent_Done,
     /*  752371 */   // Label 11766: @752371
     /*  752371 */   GIM_Try, /*On fail goto*//*Label 11767*/ GIMT_Encode4(752446), // Rule ID 12506 //
     /*  752376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  752396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752422 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  752422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  752425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752444 */     GIR_RootConstrainSelectedInstOperands,
     /*  752445 */     // GIR_Coverage, 12506,
     /*  752445 */     GIR_EraseRootFromParent_Done,
     /*  752446 */   // Label 11767: @752446
     /*  752446 */   GIM_Try, /*On fail goto*//*Label 11768*/ GIMT_Encode4(752521), // Rule ID 12507 //
     /*  752451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  752462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  752465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  752468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  752471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  752482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  752490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752497 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  752497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  752500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  752516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752519 */     GIR_RootConstrainSelectedInstOperands,
     /*  752520 */     // GIR_Coverage, 12507,
     /*  752520 */     GIR_EraseRootFromParent_Done,
     /*  752521 */   // Label 11768: @752521
     /*  752521 */   GIM_Try, /*On fail goto*//*Label 11769*/ GIMT_Encode4(752596), // Rule ID 12510 //
     /*  752526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  752575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752594 */     GIR_RootConstrainSelectedInstOperands,
     /*  752595 */     // GIR_Coverage, 12510,
     /*  752595 */     GIR_EraseRootFromParent_Done,
     /*  752596 */   // Label 11769: @752596
     /*  752596 */   GIM_Try, /*On fail goto*//*Label 11770*/ GIMT_Encode4(752671), // Rule ID 12511 //
     /*  752601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  752612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  752615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  752618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  752621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4),
     /*  752650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752669 */     GIR_RootConstrainSelectedInstOperands,
     /*  752670 */     // GIR_Coverage, 12511,
     /*  752670 */     GIR_EraseRootFromParent_Done,
     /*  752671 */   // Label 11770: @752671
     /*  752671 */   GIM_Try, /*On fail goto*//*Label 11771*/ GIMT_Encode4(752746), // Rule ID 12514 //
     /*  752676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752722 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752744 */     GIR_RootConstrainSelectedInstOperands,
     /*  752745 */     // GIR_Coverage, 12514,
     /*  752745 */     GIR_EraseRootFromParent_Done,
     /*  752746 */   // Label 11771: @752746
     /*  752746 */   GIM_Try, /*On fail goto*//*Label 11772*/ GIMT_Encode4(752821), // Rule ID 12515 //
     /*  752751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  752762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  752765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  752768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  752771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752797 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  752800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752819 */     GIR_RootConstrainSelectedInstOperands,
     /*  752820 */     // GIR_Coverage, 12515,
     /*  752820 */     GIR_EraseRootFromParent_Done,
     /*  752821 */   // Label 11772: @752821
     /*  752821 */   GIM_Try, /*On fail goto*//*Label 11773*/ GIMT_Encode4(752896), // Rule ID 12518 //
     /*  752826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752872 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  752872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752894 */     GIR_RootConstrainSelectedInstOperands,
     /*  752895 */     // GIR_Coverage, 12518,
     /*  752895 */     GIR_EraseRootFromParent_Done,
     /*  752896 */   // Label 11773: @752896
     /*  752896 */   GIM_Try, /*On fail goto*//*Label 11774*/ GIMT_Encode4(752971), // Rule ID 12519 //
     /*  752901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  752904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  752912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  752915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  752918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  752921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  752924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  752932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  752940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  752947 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  752947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  752950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  752952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  752954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  752956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  752958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  752963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  752966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  752969 */     GIR_RootConstrainSelectedInstOperands,
     /*  752970 */     // GIR_Coverage, 12519,
     /*  752970 */     GIR_EraseRootFromParent_Done,
     /*  752971 */   // Label 11774: @752971
     /*  752971 */   GIM_Try, /*On fail goto*//*Label 11775*/ GIMT_Encode4(753046), // Rule ID 12522 //
     /*  752976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  752979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  752984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  752987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  752990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  752993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  752996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  752999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753022 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  753025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753044 */     GIR_RootConstrainSelectedInstOperands,
     /*  753045 */     // GIR_Coverage, 12522,
     /*  753045 */     GIR_EraseRootFromParent_Done,
     /*  753046 */   // Label 11775: @753046
     /*  753046 */   GIM_Try, /*On fail goto*//*Label 11776*/ GIMT_Encode4(753121), // Rule ID 12523 //
     /*  753051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  753062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  753065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  753068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  753071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753097 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  753100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753119 */     GIR_RootConstrainSelectedInstOperands,
     /*  753120 */     // GIR_Coverage, 12523,
     /*  753120 */     GIR_EraseRootFromParent_Done,
     /*  753121 */   // Label 11776: @753121
     /*  753121 */   GIM_Try, /*On fail goto*//*Label 11777*/ GIMT_Encode4(753196), // Rule ID 12526 //
     /*  753126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  753137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  753140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  753143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  753146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  753172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  753175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753194 */     GIR_RootConstrainSelectedInstOperands,
     /*  753195 */     // GIR_Coverage, 12526,
     /*  753195 */     GIR_EraseRootFromParent_Done,
     /*  753196 */   // Label 11777: @753196
     /*  753196 */   GIM_Try, /*On fail goto*//*Label 11778*/ GIMT_Encode4(753271), // Rule ID 12527 //
     /*  753201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  753212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  753215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  753218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  753221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753247 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  753247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  753250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  753266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753269 */     GIR_RootConstrainSelectedInstOperands,
     /*  753270 */     // GIR_Coverage, 12527,
     /*  753270 */     GIR_EraseRootFromParent_Done,
     /*  753271 */   // Label 11778: @753271
     /*  753271 */   GIM_Try, /*On fail goto*//*Label 11779*/ GIMT_Encode4(753346), // Rule ID 12530 //
     /*  753276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  753296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753322 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  753325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753344 */     GIR_RootConstrainSelectedInstOperands,
     /*  753345 */     // GIR_Coverage, 12530,
     /*  753345 */     GIR_EraseRootFromParent_Done,
     /*  753346 */   // Label 11779: @753346
     /*  753346 */   GIM_Try, /*On fail goto*//*Label 11780*/ GIMT_Encode4(753421), // Rule ID 12531 //
     /*  753351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  753362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  753365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  753368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  753371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753397 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2),
     /*  753400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753419 */     GIR_RootConstrainSelectedInstOperands,
     /*  753420 */     // GIR_Coverage, 12531,
     /*  753420 */     GIR_EraseRootFromParent_Done,
     /*  753421 */   // Label 11780: @753421
     /*  753421 */   GIM_Try, /*On fail goto*//*Label 11781*/ GIMT_Encode4(753496), // Rule ID 12534 //
     /*  753426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753472 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  753475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753494 */     GIR_RootConstrainSelectedInstOperands,
     /*  753495 */     // GIR_Coverage, 12534,
     /*  753495 */     GIR_EraseRootFromParent_Done,
     /*  753496 */   // Label 11781: @753496
     /*  753496 */   GIM_Try, /*On fail goto*//*Label 11782*/ GIMT_Encode4(753571), // Rule ID 12535 //
     /*  753501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  753512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  753515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  753518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  753521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753547 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1),
     /*  753550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753569 */     GIR_RootConstrainSelectedInstOperands,
     /*  753570 */     // GIR_Coverage, 12535,
     /*  753570 */     GIR_EraseRootFromParent_Done,
     /*  753571 */   // Label 11782: @753571
     /*  753571 */   GIM_Try, /*On fail goto*//*Label 11783*/ GIMT_Encode4(753646), // Rule ID 12538 //
     /*  753576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  753625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753644 */     GIR_RootConstrainSelectedInstOperands,
     /*  753645 */     // GIR_Coverage, 12538,
     /*  753645 */     GIR_EraseRootFromParent_Done,
     /*  753646 */   // Label 11783: @753646
     /*  753646 */   GIM_Try, /*On fail goto*//*Label 11784*/ GIMT_Encode4(753721), // Rule ID 12539 //
     /*  753651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  753662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  753665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  753668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  753671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  753690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753697 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2),
     /*  753700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753719 */     GIR_RootConstrainSelectedInstOperands,
     /*  753720 */     // GIR_Coverage, 12539,
     /*  753720 */     GIR_EraseRootFromParent_Done,
     /*  753721 */   // Label 11784: @753721
     /*  753721 */   GIM_Try, /*On fail goto*//*Label 11785*/ GIMT_Encode4(753796), // Rule ID 12542 //
     /*  753726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  753729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753772 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  753772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  753775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753794 */     GIR_RootConstrainSelectedInstOperands,
     /*  753795 */     // GIR_Coverage, 12542,
     /*  753795 */     GIR_EraseRootFromParent_Done,
     /*  753796 */   // Label 11785: @753796
     /*  753796 */   GIM_Try, /*On fail goto*//*Label 11786*/ GIMT_Encode4(753871), // Rule ID 12543 //
     /*  753801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  753804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  753812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  753815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  753818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  753821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  753832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  753840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  753847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4),
     /*  753850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  753866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753869 */     GIR_RootConstrainSelectedInstOperands,
     /*  753870 */     // GIR_Coverage, 12543,
     /*  753870 */     GIR_EraseRootFromParent_Done,
     /*  753871 */   // Label 11786: @753871
     /*  753871 */   GIM_Try, /*On fail goto*//*Label 11787*/ GIMT_Encode4(753946), // Rule ID 12546 //
     /*  753876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  753879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  753896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  753899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  753922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  753925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  753927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  753929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  753931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  753933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  753938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  753941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  753944 */     GIR_RootConstrainSelectedInstOperands,
     /*  753945 */     // GIR_Coverage, 12546,
     /*  753945 */     GIR_EraseRootFromParent_Done,
     /*  753946 */   // Label 11787: @753946
     /*  753946 */   GIM_Try, /*On fail goto*//*Label 11788*/ GIMT_Encode4(754021), // Rule ID 12547 //
     /*  753951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  753954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  753959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  753962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  753965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  753968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  753971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  753974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  753986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  753990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  753997 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  753997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8),
     /*  754000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754019 */     GIR_RootConstrainSelectedInstOperands,
     /*  754020 */     // GIR_Coverage, 12547,
     /*  754020 */     GIR_EraseRootFromParent_Done,
     /*  754021 */   // Label 11788: @754021
     /*  754021 */   GIM_Try, /*On fail goto*//*Label 11789*/ GIMT_Encode4(754096), // Rule ID 12550 //
     /*  754026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  754037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  754040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  754043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  754075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754094 */     GIR_RootConstrainSelectedInstOperands,
     /*  754095 */     // GIR_Coverage, 12550,
     /*  754095 */     GIR_EraseRootFromParent_Done,
     /*  754096 */   // Label 11789: @754096
     /*  754096 */   GIM_Try, /*On fail goto*//*Label 11790*/ GIMT_Encode4(754171), // Rule ID 12551 //
     /*  754101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  754112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  754115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  754118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754147 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  754150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754169 */     GIR_RootConstrainSelectedInstOperands,
     /*  754170 */     // GIR_Coverage, 12551,
     /*  754170 */     GIR_EraseRootFromParent_Done,
     /*  754171 */   // Label 11790: @754171
     /*  754171 */   GIM_Try, /*On fail goto*//*Label 11791*/ GIMT_Encode4(754246), // Rule ID 12554 //
     /*  754176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  754187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  754190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  754193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754222 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754244 */     GIR_RootConstrainSelectedInstOperands,
     /*  754245 */     // GIR_Coverage, 12554,
     /*  754245 */     GIR_EraseRootFromParent_Done,
     /*  754246 */   // Label 11791: @754246
     /*  754246 */   GIM_Try, /*On fail goto*//*Label 11792*/ GIMT_Encode4(754321), // Rule ID 12555 //
     /*  754251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  754262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  754265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  754268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11659:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754319 */     GIR_RootConstrainSelectedInstOperands,
     /*  754320 */     // GIR_Coverage, 12555,
     /*  754320 */     GIR_EraseRootFromParent_Done,
     /*  754321 */   // Label 11792: @754321
     /*  754321 */   GIM_Try, /*On fail goto*//*Label 11793*/ GIMT_Encode4(754396), // Rule ID 12558 //
     /*  754326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  754340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  754343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754372 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  754375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754394 */     GIR_RootConstrainSelectedInstOperands,
     /*  754395 */     // GIR_Coverage, 12558,
     /*  754395 */     GIR_EraseRootFromParent_Done,
     /*  754396 */   // Label 11793: @754396
     /*  754396 */   GIM_Try, /*On fail goto*//*Label 11794*/ GIMT_Encode4(754471), // Rule ID 12559 //
     /*  754401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  754412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  754415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  754418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754447 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  754450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754469 */     GIR_RootConstrainSelectedInstOperands,
     /*  754470 */     // GIR_Coverage, 12559,
     /*  754470 */     GIR_EraseRootFromParent_Done,
     /*  754471 */   // Label 11794: @754471
     /*  754471 */   GIM_Try, /*On fail goto*//*Label 11795*/ GIMT_Encode4(754546), // Rule ID 12562 //
     /*  754476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  754525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754544 */     GIR_RootConstrainSelectedInstOperands,
     /*  754545 */     // GIR_Coverage, 12562,
     /*  754545 */     GIR_EraseRootFromParent_Done,
     /*  754546 */   // Label 11795: @754546
     /*  754546 */   GIM_Try, /*On fail goto*//*Label 11796*/ GIMT_Encode4(754621), // Rule ID 12563 //
     /*  754551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  754562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  754565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  754568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  754586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754597 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  754600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754619 */     GIR_RootConstrainSelectedInstOperands,
     /*  754620 */     // GIR_Coverage, 12563,
     /*  754620 */     GIR_EraseRootFromParent_Done,
     /*  754621 */   // Label 11796: @754621
     /*  754621 */   GIM_Try, /*On fail goto*//*Label 11797*/ GIMT_Encode4(754696), // Rule ID 12566 //
     /*  754626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754672 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  754672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  754675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754694 */     GIR_RootConstrainSelectedInstOperands,
     /*  754695 */     // GIR_Coverage, 12566,
     /*  754695 */     GIR_EraseRootFromParent_Done,
     /*  754696 */   // Label 11797: @754696
     /*  754696 */   GIM_Try, /*On fail goto*//*Label 11798*/ GIMT_Encode4(754771), // Rule ID 12567 //
     /*  754701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  754712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  754715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  754718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  754732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  754736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754747 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  754747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  754750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  754766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754769 */     GIR_RootConstrainSelectedInstOperands,
     /*  754770 */     // GIR_Coverage, 12567,
     /*  754770 */     GIR_EraseRootFromParent_Done,
     /*  754771 */   // Label 11798: @754771
     /*  754771 */   GIM_Try, /*On fail goto*//*Label 11799*/ GIMT_Encode4(754846), // Rule ID 12570 //
     /*  754776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754822 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  754825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754844 */     GIR_RootConstrainSelectedInstOperands,
     /*  754845 */     // GIR_Coverage, 12570,
     /*  754845 */     GIR_EraseRootFromParent_Done,
     /*  754846 */   // Label 11799: @754846
     /*  754846 */   GIM_Try, /*On fail goto*//*Label 11800*/ GIMT_Encode4(754921), // Rule ID 12571 //
     /*  754851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  754854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  754862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  754865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  754868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  754871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  754874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754897 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  754897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4),
     /*  754900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754919 */     GIR_RootConstrainSelectedInstOperands,
     /*  754920 */     // GIR_Coverage, 12571,
     /*  754920 */     GIR_EraseRootFromParent_Done,
     /*  754921 */   // Label 11800: @754921
     /*  754921 */   GIM_Try, /*On fail goto*//*Label 11801*/ GIMT_Encode4(754996), // Rule ID 12574 //
     /*  754926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  754929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  754934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  754937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  754940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  754943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  754946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  754949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  754961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  754965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  754972 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  754972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  754975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  754977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  754979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  754981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  754983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  754988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  754991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  754994 */     GIR_RootConstrainSelectedInstOperands,
     /*  754995 */     // GIR_Coverage, 12574,
     /*  754995 */     GIR_EraseRootFromParent_Done,
     /*  754996 */   // Label 11801: @754996
     /*  754996 */   GIM_Try, /*On fail goto*//*Label 11802*/ GIMT_Encode4(755071), // Rule ID 12575 //
     /*  755001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  755012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  755015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  755018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755047 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11659:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  755050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755069 */     GIR_RootConstrainSelectedInstOperands,
     /*  755070 */     // GIR_Coverage, 12575,
     /*  755070 */     GIR_EraseRootFromParent_Done,
     /*  755071 */   // Label 11802: @755071
     /*  755071 */   GIM_Try, /*On fail goto*//*Label 11803*/ GIMT_Encode4(755146), // Rule ID 12578 //
     /*  755076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  755087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  755090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  755093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755122 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  755125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755144 */     GIR_RootConstrainSelectedInstOperands,
     /*  755145 */     // GIR_Coverage, 12578,
     /*  755145 */     GIR_EraseRootFromParent_Done,
     /*  755146 */   // Label 11803: @755146
     /*  755146 */   GIM_Try, /*On fail goto*//*Label 11804*/ GIMT_Encode4(755221), // Rule ID 12579 //
     /*  755151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  755162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  755165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  755168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755197 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  755200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755219 */     GIR_RootConstrainSelectedInstOperands,
     /*  755220 */     // GIR_Coverage, 12579,
     /*  755220 */     GIR_EraseRootFromParent_Done,
     /*  755221 */   // Label 11804: @755221
     /*  755221 */   GIM_Try, /*On fail goto*//*Label 11805*/ GIMT_Encode4(755296), // Rule ID 12582 //
     /*  755226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  755237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  755240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  755243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  755275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755294 */     GIR_RootConstrainSelectedInstOperands,
     /*  755295 */     // GIR_Coverage, 12582,
     /*  755295 */     GIR_EraseRootFromParent_Done,
     /*  755296 */   // Label 11805: @755296
     /*  755296 */   GIM_Try, /*On fail goto*//*Label 11806*/ GIMT_Encode4(755371), // Rule ID 12583 //
     /*  755301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  755312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  755315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  755318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755347 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  755350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755369 */     GIR_RootConstrainSelectedInstOperands,
     /*  755370 */     // GIR_Coverage, 12583,
     /*  755370 */     GIR_EraseRootFromParent_Done,
     /*  755371 */   // Label 11806: @755371
     /*  755371 */   GIM_Try, /*On fail goto*//*Label 11807*/ GIMT_Encode4(755446), // Rule ID 12586 //
     /*  755376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  755379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  755422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  755425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755444 */     GIR_RootConstrainSelectedInstOperands,
     /*  755445 */     // GIR_Coverage, 12586,
     /*  755445 */     GIR_EraseRootFromParent_Done,
     /*  755446 */   // Label 11807: @755446
     /*  755446 */   GIM_Try, /*On fail goto*//*Label 11808*/ GIMT_Encode4(755521), // Rule ID 12587 //
     /*  755451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  755454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  755462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  755465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  755468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  755482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755497 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  755497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  755500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  755516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755519 */     GIR_RootConstrainSelectedInstOperands,
     /*  755520 */     // GIR_Coverage, 12587,
     /*  755520 */     GIR_EraseRootFromParent_Done,
     /*  755521 */   // Label 11808: @755521
     /*  755521 */   GIM_Try, /*On fail goto*//*Label 11809*/ GIMT_Encode4(755596), // Rule ID 12590 //
     /*  755526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755572 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  755575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755594 */     GIR_RootConstrainSelectedInstOperands,
     /*  755595 */     // GIR_Coverage, 12590,
     /*  755595 */     GIR_EraseRootFromParent_Done,
     /*  755596 */   // Label 11809: @755596
     /*  755596 */   GIM_Try, /*On fail goto*//*Label 11810*/ GIMT_Encode4(755671), // Rule ID 12591 //
     /*  755601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  755612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  755615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  755618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755647 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11659:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2),
     /*  755650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755669 */     GIR_RootConstrainSelectedInstOperands,
     /*  755670 */     // GIR_Coverage, 12591,
     /*  755670 */     GIR_EraseRootFromParent_Done,
     /*  755671 */   // Label 11810: @755671
     /*  755671 */   GIM_Try, /*On fail goto*//*Label 11811*/ GIMT_Encode4(755746), // Rule ID 12594 //
     /*  755676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  755725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755744 */     GIR_RootConstrainSelectedInstOperands,
     /*  755745 */     // GIR_Coverage, 12594,
     /*  755745 */     GIR_EraseRootFromParent_Done,
     /*  755746 */   // Label 11811: @755746
     /*  755746 */   GIM_Try, /*On fail goto*//*Label 11812*/ GIMT_Encode4(755821), // Rule ID 12595 //
     /*  755751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  755762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  755765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  755768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  755786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755797 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11659:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1),
     /*  755800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755819 */     GIR_RootConstrainSelectedInstOperands,
     /*  755820 */     // GIR_Coverage, 12595,
     /*  755820 */     GIR_EraseRootFromParent_Done,
     /*  755821 */   // Label 11812: @755821
     /*  755821 */   GIM_Try, /*On fail goto*//*Label 11813*/ GIMT_Encode4(755896), // Rule ID 12598 //
     /*  755826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755872 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  755872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  755875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755894 */     GIR_RootConstrainSelectedInstOperands,
     /*  755895 */     // GIR_Coverage, 12598,
     /*  755895 */     GIR_EraseRootFromParent_Done,
     /*  755896 */   // Label 11813: @755896
     /*  755896 */   GIM_Try, /*On fail goto*//*Label 11814*/ GIMT_Encode4(755971), // Rule ID 12599 //
     /*  755901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  755904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  755912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  755915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  755918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  755921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  755924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  755932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  755936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  755940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  755947 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11659:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  755947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2),
     /*  755950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  755952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  755954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  755956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  755958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  755963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  755966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  755969 */     GIR_RootConstrainSelectedInstOperands,
     /*  755970 */     // GIR_Coverage, 12599,
     /*  755970 */     GIR_EraseRootFromParent_Done,
     /*  755971 */   // Label 11814: @755971
     /*  755971 */   GIM_Try, /*On fail goto*//*Label 11815*/ GIMT_Encode4(756046), // Rule ID 12602 //
     /*  755976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  755979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  755984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  755987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  755990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  755993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  755996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  755999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  756022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  756025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756044 */     GIR_RootConstrainSelectedInstOperands,
     /*  756045 */     // GIR_Coverage, 12602,
     /*  756045 */     GIR_EraseRootFromParent_Done,
     /*  756046 */   // Label 11815: @756046
     /*  756046 */   GIM_Try, /*On fail goto*//*Label 11816*/ GIMT_Encode4(756121), // Rule ID 12603 //
     /*  756051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  756054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu),
     /*  756059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  756062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  756065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  756068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  756071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  756090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756097 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11659:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  756097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4),
     /*  756100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  756116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756119 */     GIR_RootConstrainSelectedInstOperands,
     /*  756120 */     // GIR_Coverage, 12603,
     /*  756120 */     GIR_EraseRootFromParent_Done,
     /*  756121 */   // Label 11816: @756121
     /*  756121 */   GIM_Try, /*On fail goto*//*Label 11817*/ GIMT_Encode4(756196), // Rule ID 12606 //
     /*  756126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  756143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  756146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756172 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  756175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756194 */     GIR_RootConstrainSelectedInstOperands,
     /*  756195 */     // GIR_Coverage, 12606,
     /*  756195 */     GIR_EraseRootFromParent_Done,
     /*  756196 */   // Label 11817: @756196
     /*  756196 */   GIM_Try, /*On fail goto*//*Label 11818*/ GIMT_Encode4(756271), // Rule ID 12607 //
     /*  756201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  756212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  756215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  756218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  756221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756247 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8),
     /*  756250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756269 */     GIR_RootConstrainSelectedInstOperands,
     /*  756270 */     // GIR_Coverage, 12607,
     /*  756270 */     GIR_EraseRootFromParent_Done,
     /*  756271 */   // Label 11818: @756271
     /*  756271 */   GIM_Try, /*On fail goto*//*Label 11819*/ GIMT_Encode4(756346), // Rule ID 12610 //
     /*  756276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  756293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  756296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  756325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756344 */     GIR_RootConstrainSelectedInstOperands,
     /*  756345 */     // GIR_Coverage, 12610,
     /*  756345 */     GIR_EraseRootFromParent_Done,
     /*  756346 */   // Label 11819: @756346
     /*  756346 */   GIM_Try, /*On fail goto*//*Label 11820*/ GIMT_Encode4(756421), // Rule ID 12611 //
     /*  756351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  756362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  756365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  756368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  756371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756397 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  756400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756419 */     GIR_RootConstrainSelectedInstOperands,
     /*  756420 */     // GIR_Coverage, 12611,
     /*  756420 */     GIR_EraseRootFromParent_Done,
     /*  756421 */   // Label 11820: @756421
     /*  756421 */   GIM_Try, /*On fail goto*//*Label 11821*/ GIMT_Encode4(756496), // Rule ID 12614 //
     /*  756426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  756475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756494 */     GIR_RootConstrainSelectedInstOperands,
     /*  756495 */     // GIR_Coverage, 12614,
     /*  756495 */     GIR_EraseRootFromParent_Done,
     /*  756496 */   // Label 11821: @756496
     /*  756496 */   GIM_Try, /*On fail goto*//*Label 11822*/ GIMT_Encode4(756571), // Rule ID 12615 //
     /*  756501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  756512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  756515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  756518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  756521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  756550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756569 */     GIR_RootConstrainSelectedInstOperands,
     /*  756570 */     // GIR_Coverage, 12615,
     /*  756570 */     GIR_EraseRootFromParent_Done,
     /*  756571 */   // Label 11822: @756571
     /*  756571 */   GIM_Try, /*On fail goto*//*Label 11823*/ GIMT_Encode4(756646), // Rule ID 12618 //
     /*  756576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  756587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  756590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756644 */     GIR_RootConstrainSelectedInstOperands,
     /*  756645 */     // GIR_Coverage, 12618,
     /*  756645 */     GIR_EraseRootFromParent_Done,
     /*  756646 */   // Label 11823: @756646
     /*  756646 */   GIM_Try, /*On fail goto*//*Label 11824*/ GIMT_Encode4(756721), // Rule ID 12619 //
     /*  756651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  756662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  756665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  756668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  756671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  756690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756697 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  756700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756719 */     GIR_RootConstrainSelectedInstOperands,
     /*  756720 */     // GIR_Coverage, 12619,
     /*  756720 */     GIR_EraseRootFromParent_Done,
     /*  756721 */   // Label 11824: @756721
     /*  756721 */   GIM_Try, /*On fail goto*//*Label 11825*/ GIMT_Encode4(756796), // Rule ID 12622 //
     /*  756726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  756743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  756746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  756775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756794 */     GIR_RootConstrainSelectedInstOperands,
     /*  756795 */     // GIR_Coverage, 12622,
     /*  756795 */     GIR_EraseRootFromParent_Done,
     /*  756796 */   // Label 11825: @756796
     /*  756796 */   GIM_Try, /*On fail goto*//*Label 11826*/ GIMT_Encode4(756871), // Rule ID 12623 //
     /*  756801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  756812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  756815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  756818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  756821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  756840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756847 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  756850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756869 */     GIR_RootConstrainSelectedInstOperands,
     /*  756870 */     // GIR_Coverage, 12623,
     /*  756870 */     GIR_EraseRootFromParent_Done,
     /*  756871 */   // Label 11826: @756871
     /*  756871 */   GIM_Try, /*On fail goto*//*Label 11827*/ GIMT_Encode4(756946), // Rule ID 12626 //
     /*  756876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  756879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  756893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  756896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  756899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756922 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  756922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  756925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  756927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  756929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  756931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  756933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  756938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  756941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  756944 */     GIR_RootConstrainSelectedInstOperands,
     /*  756945 */     // GIR_Coverage, 12626,
     /*  756945 */     GIR_EraseRootFromParent_Done,
     /*  756946 */   // Label 11827: @756946
     /*  756946 */   GIM_Try, /*On fail goto*//*Label 11828*/ GIMT_Encode4(757021), // Rule ID 12627 //
     /*  756951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  756954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  756959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  756962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  756965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  756968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  756971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  756974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  756982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  756990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  756997 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  756997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  757016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757019 */     GIR_RootConstrainSelectedInstOperands,
     /*  757020 */     // GIR_Coverage, 12627,
     /*  757020 */     GIR_EraseRootFromParent_Done,
     /*  757021 */   // Label 11828: @757021
     /*  757021 */   GIM_Try, /*On fail goto*//*Label 11829*/ GIMT_Encode4(757096), // Rule ID 12630 //
     /*  757026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  757043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  757046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  757075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757094 */     GIR_RootConstrainSelectedInstOperands,
     /*  757095 */     // GIR_Coverage, 12630,
     /*  757095 */     GIR_EraseRootFromParent_Done,
     /*  757096 */   // Label 11829: @757096
     /*  757096 */   GIM_Try, /*On fail goto*//*Label 11830*/ GIMT_Encode4(757171), // Rule ID 12631 //
     /*  757101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  757112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  757115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  757118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  757121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757147 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4),
     /*  757150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757169 */     GIR_RootConstrainSelectedInstOperands,
     /*  757170 */     // GIR_Coverage, 12631,
     /*  757170 */     GIR_EraseRootFromParent_Done,
     /*  757171 */   // Label 11830: @757171
     /*  757171 */   GIM_Try, /*On fail goto*//*Label 11831*/ GIMT_Encode4(757246), // Rule ID 12634 //
     /*  757176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  757196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  757225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757244 */     GIR_RootConstrainSelectedInstOperands,
     /*  757245 */     // GIR_Coverage, 12634,
     /*  757245 */     GIR_EraseRootFromParent_Done,
     /*  757246 */   // Label 11831: @757246
     /*  757246 */   GIM_Try, /*On fail goto*//*Label 11832*/ GIMT_Encode4(757321), // Rule ID 12635 //
     /*  757251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  757262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  757265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  757268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  757271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757297 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  757300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757319 */     GIR_RootConstrainSelectedInstOperands,
     /*  757320 */     // GIR_Coverage, 12635,
     /*  757320 */     GIR_EraseRootFromParent_Done,
     /*  757321 */   // Label 11832: @757321
     /*  757321 */   GIM_Try, /*On fail goto*//*Label 11833*/ GIMT_Encode4(757396), // Rule ID 12638 //
     /*  757326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  757337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  757340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  757343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  757346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757372 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  757375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757394 */     GIR_RootConstrainSelectedInstOperands,
     /*  757395 */     // GIR_Coverage, 12638,
     /*  757395 */     GIR_EraseRootFromParent_Done,
     /*  757396 */   // Label 11833: @757396
     /*  757396 */   GIM_Try, /*On fail goto*//*Label 11834*/ GIMT_Encode4(757471), // Rule ID 12639 //
     /*  757401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  757412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  757415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  757418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  757421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  757450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757469 */     GIR_RootConstrainSelectedInstOperands,
     /*  757470 */     // GIR_Coverage, 12639,
     /*  757470 */     GIR_EraseRootFromParent_Done,
     /*  757471 */   // Label 11834: @757471
     /*  757471 */   GIM_Try, /*On fail goto*//*Label 11835*/ GIMT_Encode4(757546), // Rule ID 12642 //
     /*  757476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  757487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  757490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  757525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757544 */     GIR_RootConstrainSelectedInstOperands,
     /*  757545 */     // GIR_Coverage, 12642,
     /*  757545 */     GIR_EraseRootFromParent_Done,
     /*  757546 */   // Label 11835: @757546
     /*  757546 */   GIM_Try, /*On fail goto*//*Label 11836*/ GIMT_Encode4(757621), // Rule ID 12643 //
     /*  757551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  757562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  757565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  757568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  757571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757597 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  757600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757619 */     GIR_RootConstrainSelectedInstOperands,
     /*  757620 */     // GIR_Coverage, 12643,
     /*  757620 */     GIR_EraseRootFromParent_Done,
     /*  757621 */   // Label 11836: @757621
     /*  757621 */   GIM_Try, /*On fail goto*//*Label 11837*/ GIMT_Encode4(757696), // Rule ID 12646 //
     /*  757626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  757629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  757637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  757640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  757672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757694 */     GIR_RootConstrainSelectedInstOperands,
     /*  757695 */     // GIR_Coverage, 12646,
     /*  757695 */     GIR_EraseRootFromParent_Done,
     /*  757696 */   // Label 11837: @757696
     /*  757696 */   GIM_Try, /*On fail goto*//*Label 11838*/ GIMT_Encode4(757771), // Rule ID 12647 //
     /*  757701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  757704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  757712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  757715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  757718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  757721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  757732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  757740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757747 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  757747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  757750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  757766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757769 */     GIR_RootConstrainSelectedInstOperands,
     /*  757770 */     // GIR_Coverage, 12647,
     /*  757770 */     GIR_EraseRootFromParent_Done,
     /*  757771 */   // Label 11838: @757771
     /*  757771 */   GIM_Try, /*On fail goto*//*Label 11839*/ GIMT_Encode4(757846), // Rule ID 12650 //
     /*  757776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  757825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757844 */     GIR_RootConstrainSelectedInstOperands,
     /*  757845 */     // GIR_Coverage, 12650,
     /*  757845 */     GIR_EraseRootFromParent_Done,
     /*  757846 */   // Label 11839: @757846
     /*  757846 */   GIM_Try, /*On fail goto*//*Label 11840*/ GIMT_Encode4(757921), // Rule ID 12651 //
     /*  757851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  757854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  757862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  757865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  757868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  757871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  757874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757897 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  757897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2),
     /*  757900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757919 */     GIR_RootConstrainSelectedInstOperands,
     /*  757920 */     // GIR_Coverage, 12651,
     /*  757920 */     GIR_EraseRootFromParent_Done,
     /*  757921 */   // Label 11840: @757921
     /*  757921 */   GIM_Try, /*On fail goto*//*Label 11841*/ GIMT_Encode4(757996), // Rule ID 12654 //
     /*  757926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  757929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  757934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  757937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  757940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  757943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  757946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  757949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  757957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  757965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  757972 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  757972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  757975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  757977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  757979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  757981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  757983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  757988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  757991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  757994 */     GIR_RootConstrainSelectedInstOperands,
     /*  757995 */     // GIR_Coverage, 12654,
     /*  757995 */     GIR_EraseRootFromParent_Done,
     /*  757996 */   // Label 11841: @757996
     /*  757996 */   GIM_Try, /*On fail goto*//*Label 11842*/ GIMT_Encode4(758071), // Rule ID 12655 //
     /*  758001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  758004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  758012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  758015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  758018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  758021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758047 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1),
     /*  758050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758069 */     GIR_RootConstrainSelectedInstOperands,
     /*  758070 */     // GIR_Coverage, 12655,
     /*  758070 */     GIR_EraseRootFromParent_Done,
     /*  758071 */   // Label 11842: @758071
     /*  758071 */   GIM_Try, /*On fail goto*//*Label 11843*/ GIMT_Encode4(758146), // Rule ID 12658 //
     /*  758076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  758079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758122 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  758125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758144 */     GIR_RootConstrainSelectedInstOperands,
     /*  758145 */     // GIR_Coverage, 12658,
     /*  758145 */     GIR_EraseRootFromParent_Done,
     /*  758146 */   // Label 11843: @758146
     /*  758146 */   GIM_Try, /*On fail goto*//*Label 11844*/ GIMT_Encode4(758221), // Rule ID 12659 //
     /*  758151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  758154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  758162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  758165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  758168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  758171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758197 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2),
     /*  758200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758219 */     GIR_RootConstrainSelectedInstOperands,
     /*  758220 */     // GIR_Coverage, 12659,
     /*  758220 */     GIR_EraseRootFromParent_Done,
     /*  758221 */   // Label 11844: @758221
     /*  758221 */   GIM_Try, /*On fail goto*//*Label 11845*/ GIMT_Encode4(758296), // Rule ID 12662 //
     /*  758226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  758229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  758237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  758240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758272 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  758272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  758275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758294 */     GIR_RootConstrainSelectedInstOperands,
     /*  758295 */     // GIR_Coverage, 12662,
     /*  758295 */     GIR_EraseRootFromParent_Done,
     /*  758296 */   // Label 11845: @758296
     /*  758296 */   GIM_Try, /*On fail goto*//*Label 11846*/ GIMT_Encode4(758371), // Rule ID 12663 //
     /*  758301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  758304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  758312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  758315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  758318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  758321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  758332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  758340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758347 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  758347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4),
     /*  758350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  758366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758369 */     GIR_RootConstrainSelectedInstOperands,
     /*  758370 */     // GIR_Coverage, 12663,
     /*  758370 */     GIR_EraseRootFromParent_Done,
     /*  758371 */   // Label 11846: @758371
     /*  758371 */   GIM_Try, /*On fail goto*//*Label 11847*/ GIMT_Encode4(758446), // Rule ID 12666 //
     /*  758376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  758387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  758390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  758393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758422 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  758425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758444 */     GIR_RootConstrainSelectedInstOperands,
     /*  758445 */     // GIR_Coverage, 12666,
     /*  758445 */     GIR_EraseRootFromParent_Done,
     /*  758446 */   // Label 11847: @758446
     /*  758446 */   GIM_Try, /*On fail goto*//*Label 11848*/ GIMT_Encode4(758521), // Rule ID 12667 //
     /*  758451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  758462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  758465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  758468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8),
     /*  758500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758519 */     GIR_RootConstrainSelectedInstOperands,
     /*  758520 */     // GIR_Coverage, 12667,
     /*  758520 */     GIR_EraseRootFromParent_Done,
     /*  758521 */   // Label 11848: @758521
     /*  758521 */   GIM_Try, /*On fail goto*//*Label 11849*/ GIMT_Encode4(758596), // Rule ID 12670 //
     /*  758526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  758537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  758540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  758543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  758575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758594 */     GIR_RootConstrainSelectedInstOperands,
     /*  758595 */     // GIR_Coverage, 12670,
     /*  758595 */     GIR_EraseRootFromParent_Done,
     /*  758596 */   // Label 11849: @758596
     /*  758596 */   GIM_Try, /*On fail goto*//*Label 11850*/ GIMT_Encode4(758671), // Rule ID 12671 //
     /*  758601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  758612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  758615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  758618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  758650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758669 */     GIR_RootConstrainSelectedInstOperands,
     /*  758670 */     // GIR_Coverage, 12671,
     /*  758670 */     GIR_EraseRootFromParent_Done,
     /*  758671 */   // Label 11850: @758671
     /*  758671 */   GIM_Try, /*On fail goto*//*Label 11851*/ GIMT_Encode4(758746), // Rule ID 12674 //
     /*  758676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  758693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758744 */     GIR_RootConstrainSelectedInstOperands,
     /*  758745 */     // GIR_Coverage, 12674,
     /*  758745 */     GIR_EraseRootFromParent_Done,
     /*  758746 */   // Label 11851: @758746
     /*  758746 */   GIM_Try, /*On fail goto*//*Label 11852*/ GIMT_Encode4(758821), // Rule ID 12675 //
     /*  758751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  758762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  758765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  758768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758797 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11657:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  758800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758819 */     GIR_RootConstrainSelectedInstOperands,
     /*  758820 */     // GIR_Coverage, 12675,
     /*  758820 */     GIR_EraseRootFromParent_Done,
     /*  758821 */   // Label 11852: @758821
     /*  758821 */   GIM_Try, /*On fail goto*//*Label 11853*/ GIMT_Encode4(758896), // Rule ID 12678 //
     /*  758826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  758872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  758875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758894 */     GIR_RootConstrainSelectedInstOperands,
     /*  758895 */     // GIR_Coverage, 12678,
     /*  758895 */     GIR_EraseRootFromParent_Done,
     /*  758896 */   // Label 11853: @758896
     /*  758896 */   GIM_Try, /*On fail goto*//*Label 11854*/ GIMT_Encode4(758971), // Rule ID 12679 //
     /*  758901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  758904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  758912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  758915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  758918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  758921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  758924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  758932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  758936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  758940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  758947 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  758947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  758950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  758952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  758954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  758956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  758958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  758963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  758966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  758969 */     GIR_RootConstrainSelectedInstOperands,
     /*  758970 */     // GIR_Coverage, 12679,
     /*  758970 */     GIR_EraseRootFromParent_Done,
     /*  758971 */   // Label 11854: @758971
     /*  758971 */   GIM_Try, /*On fail goto*//*Label 11855*/ GIMT_Encode4(759046), // Rule ID 12682 //
     /*  758976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  758979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  758984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  758987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  758990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  758993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  758996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  758999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759044 */     GIR_RootConstrainSelectedInstOperands,
     /*  759045 */     // GIR_Coverage, 12682,
     /*  759045 */     GIR_EraseRootFromParent_Done,
     /*  759046 */   // Label 11855: @759046
     /*  759046 */   GIM_Try, /*On fail goto*//*Label 11856*/ GIMT_Encode4(759121), // Rule ID 12683 //
     /*  759051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  759062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  759065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  759068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759097 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759119 */     GIR_RootConstrainSelectedInstOperands,
     /*  759120 */     // GIR_Coverage, 12683,
     /*  759120 */     GIR_EraseRootFromParent_Done,
     /*  759121 */   // Label 11856: @759121
     /*  759121 */   GIM_Try, /*On fail goto*//*Label 11857*/ GIMT_Encode4(759196), // Rule ID 12686 //
     /*  759126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  759137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  759140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  759143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  759172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759194 */     GIR_RootConstrainSelectedInstOperands,
     /*  759195 */     // GIR_Coverage, 12686,
     /*  759195 */     GIR_EraseRootFromParent_Done,
     /*  759196 */   // Label 11857: @759196
     /*  759196 */   GIM_Try, /*On fail goto*//*Label 11858*/ GIMT_Encode4(759271), // Rule ID 12687 //
     /*  759201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  759212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  759215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  759218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  759247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  759266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759269 */     GIR_RootConstrainSelectedInstOperands,
     /*  759270 */     // GIR_Coverage, 12687,
     /*  759270 */     GIR_EraseRootFromParent_Done,
     /*  759271 */   // Label 11858: @759271
     /*  759271 */   GIM_Try, /*On fail goto*//*Label 11859*/ GIMT_Encode4(759346), // Rule ID 12690 //
     /*  759276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  759287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  759290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  759325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759344 */     GIR_RootConstrainSelectedInstOperands,
     /*  759345 */     // GIR_Coverage, 12690,
     /*  759345 */     GIR_EraseRootFromParent_Done,
     /*  759346 */   // Label 11859: @759346
     /*  759346 */   GIM_Try, /*On fail goto*//*Label 11860*/ GIMT_Encode4(759421), // Rule ID 12691 //
     /*  759351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  759362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  759365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  759368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759397 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4),
     /*  759400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759419 */     GIR_RootConstrainSelectedInstOperands,
     /*  759420 */     // GIR_Coverage, 12691,
     /*  759420 */     GIR_EraseRootFromParent_Done,
     /*  759421 */   // Label 11860: @759421
     /*  759421 */   GIM_Try, /*On fail goto*//*Label 11861*/ GIMT_Encode4(759496), // Rule ID 12694 //
     /*  759426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  759437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  759440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  759475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759494 */     GIR_RootConstrainSelectedInstOperands,
     /*  759495 */     // GIR_Coverage, 12694,
     /*  759495 */     GIR_EraseRootFromParent_Done,
     /*  759496 */   // Label 11861: @759496
     /*  759496 */   GIM_Try, /*On fail goto*//*Label 11862*/ GIMT_Encode4(759571), // Rule ID 12695 //
     /*  759501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  759512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  759515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  759518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11657:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  759550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759569 */     GIR_RootConstrainSelectedInstOperands,
     /*  759570 */     // GIR_Coverage, 12695,
     /*  759570 */     GIR_EraseRootFromParent_Done,
     /*  759571 */   // Label 11862: @759571
     /*  759571 */   GIM_Try, /*On fail goto*//*Label 11863*/ GIMT_Encode4(759646), // Rule ID 12698 //
     /*  759576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  759587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  759590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  759593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759622 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759644 */     GIR_RootConstrainSelectedInstOperands,
     /*  759645 */     // GIR_Coverage, 12698,
     /*  759645 */     GIR_EraseRootFromParent_Done,
     /*  759646 */   // Label 11863: @759646
     /*  759646 */   GIM_Try, /*On fail goto*//*Label 11864*/ GIMT_Encode4(759721), // Rule ID 12699 //
     /*  759651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  759662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  759665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  759668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  759686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  759700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759719 */     GIR_RootConstrainSelectedInstOperands,
     /*  759720 */     // GIR_Coverage, 12699,
     /*  759720 */     GIR_EraseRootFromParent_Done,
     /*  759721 */   // Label 11864: @759721
     /*  759721 */   GIM_Try, /*On fail goto*//*Label 11865*/ GIMT_Encode4(759796), // Rule ID 12702 //
     /*  759726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759794 */     GIR_RootConstrainSelectedInstOperands,
     /*  759795 */     // GIR_Coverage, 12702,
     /*  759795 */     GIR_EraseRootFromParent_Done,
     /*  759796 */   // Label 11865: @759796
     /*  759796 */   GIM_Try, /*On fail goto*//*Label 11866*/ GIMT_Encode4(759871), // Rule ID 12703 //
     /*  759801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  759812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  759815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  759818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  759836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759847 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  759850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759869 */     GIR_RootConstrainSelectedInstOperands,
     /*  759870 */     // GIR_Coverage, 12703,
     /*  759870 */     GIR_EraseRootFromParent_Done,
     /*  759871 */   // Label 11866: @759871
     /*  759871 */   GIM_Try, /*On fail goto*//*Label 11867*/ GIMT_Encode4(759946), // Rule ID 12706 //
     /*  759876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  759879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  759896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  759899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  759922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  759925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  759927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  759929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  759931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  759933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  759938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  759941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  759944 */     GIR_RootConstrainSelectedInstOperands,
     /*  759945 */     // GIR_Coverage, 12706,
     /*  759945 */     GIR_EraseRootFromParent_Done,
     /*  759946 */   // Label 11867: @759946
     /*  759946 */   GIM_Try, /*On fail goto*//*Label 11868*/ GIMT_Encode4(760021), // Rule ID 12707 //
     /*  759951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  759954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  759959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  759962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  759965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  759968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  759971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  759974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  759982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  759986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  759990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  759997 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  759997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  760000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  760016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760019 */     GIR_RootConstrainSelectedInstOperands,
     /*  760020 */     // GIR_Coverage, 12707,
     /*  760020 */     GIR_EraseRootFromParent_Done,
     /*  760021 */   // Label 11868: @760021
     /*  760021 */   GIM_Try, /*On fail goto*//*Label 11869*/ GIMT_Encode4(760096), // Rule ID 12710 //
     /*  760026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  760029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760072 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  760075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760094 */     GIR_RootConstrainSelectedInstOperands,
     /*  760095 */     // GIR_Coverage, 12710,
     /*  760095 */     GIR_EraseRootFromParent_Done,
     /*  760096 */   // Label 11869: @760096
     /*  760096 */   GIM_Try, /*On fail goto*//*Label 11870*/ GIMT_Encode4(760171), // Rule ID 12711 //
     /*  760101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  760104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  760112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  760115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  760118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760147 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11657:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2),
     /*  760150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760169 */     GIR_RootConstrainSelectedInstOperands,
     /*  760170 */     // GIR_Coverage, 12711,
     /*  760170 */     GIR_EraseRootFromParent_Done,
     /*  760171 */   // Label 11870: @760171
     /*  760171 */   GIM_Try, /*On fail goto*//*Label 11871*/ GIMT_Encode4(760246), // Rule ID 12714 //
     /*  760176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  760179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  760187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  760190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760222 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  760225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760244 */     GIR_RootConstrainSelectedInstOperands,
     /*  760245 */     // GIR_Coverage, 12714,
     /*  760245 */     GIR_EraseRootFromParent_Done,
     /*  760246 */   // Label 11871: @760246
     /*  760246 */   GIM_Try, /*On fail goto*//*Label 11872*/ GIMT_Encode4(760321), // Rule ID 12715 //
     /*  760251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  760254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  760262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  760265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  760268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760297 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11657:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1),
     /*  760300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760319 */     GIR_RootConstrainSelectedInstOperands,
     /*  760320 */     // GIR_Coverage, 12715,
     /*  760320 */     GIR_EraseRootFromParent_Done,
     /*  760321 */   // Label 11872: @760321
     /*  760321 */   GIM_Try, /*On fail goto*//*Label 11873*/ GIMT_Encode4(760396), // Rule ID 12718 //
     /*  760326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  760329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  760337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  760340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  760343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  760375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760394 */     GIR_RootConstrainSelectedInstOperands,
     /*  760395 */     // GIR_Coverage, 12718,
     /*  760395 */     GIR_EraseRootFromParent_Done,
     /*  760396 */   // Label 11873: @760396
     /*  760396 */   GIM_Try, /*On fail goto*//*Label 11874*/ GIMT_Encode4(760471), // Rule ID 12719 //
     /*  760401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  760404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  760412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  760415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  760418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  760436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760447 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11657:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2),
     /*  760450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760469 */     GIR_RootConstrainSelectedInstOperands,
     /*  760470 */     // GIR_Coverage, 12719,
     /*  760470 */     GIR_EraseRootFromParent_Done,
     /*  760471 */   // Label 11874: @760471
     /*  760471 */   GIM_Try, /*On fail goto*//*Label 11875*/ GIMT_Encode4(760546), // Rule ID 12722 //
     /*  760476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  760479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  760487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  760490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  760493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  760496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760522 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  760522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  760525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760544 */     GIR_RootConstrainSelectedInstOperands,
     /*  760545 */     // GIR_Coverage, 12722,
     /*  760545 */     GIR_EraseRootFromParent_Done,
     /*  760546 */   // Label 11875: @760546
     /*  760546 */   GIM_Try, /*On fail goto*//*Label 11876*/ GIMT_Encode4(760621), // Rule ID 12723 //
     /*  760551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  760554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu),
     /*  760559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  760562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  760565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  760568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  760571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  760582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  760586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  760590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760597 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11657:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWMULSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  760597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4),
     /*  760600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  760616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760619 */     GIR_RootConstrainSelectedInstOperands,
     /*  760620 */     // GIR_Coverage, 12723,
     /*  760620 */     GIR_EraseRootFromParent_Done,
     /*  760621 */   // Label 11876: @760621
     /*  760621 */   GIM_Try, /*On fail goto*//*Label 11877*/ GIMT_Encode4(760699), // Rule ID 14052 //
     /*  760626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  760637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  760640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  760643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  760646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760672 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  760675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760694 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760697 */     GIR_RootConstrainSelectedInstOperands,
     /*  760698 */     // GIR_Coverage, 14052,
     /*  760698 */     GIR_EraseRootFromParent_Done,
     /*  760699 */   // Label 11877: @760699
     /*  760699 */   GIM_Try, /*On fail goto*//*Label 11878*/ GIMT_Encode4(760777), // Rule ID 14053 //
     /*  760704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  760715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  760718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  760721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  760724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760750 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /*  760753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760772 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760775 */     GIR_RootConstrainSelectedInstOperands,
     /*  760776 */     // GIR_Coverage, 14053,
     /*  760776 */     GIR_EraseRootFromParent_Done,
     /*  760777 */   // Label 11878: @760777
     /*  760777 */   GIM_Try, /*On fail goto*//*Label 11879*/ GIMT_Encode4(760855), // Rule ID 14056 //
     /*  760782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  760802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760828 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760853 */     GIR_RootConstrainSelectedInstOperands,
     /*  760854 */     // GIR_Coverage, 14056,
     /*  760854 */     GIR_EraseRootFromParent_Done,
     /*  760855 */   // Label 11879: @760855
     /*  760855 */   GIM_Try, /*On fail goto*//*Label 11880*/ GIMT_Encode4(760933), // Rule ID 14057 //
     /*  760860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  760863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  760871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  760874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  760877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  760880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  760883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760906 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  760906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  760909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  760922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  760925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  760928 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  760931 */     GIR_RootConstrainSelectedInstOperands,
     /*  760932 */     // GIR_Coverage, 14057,
     /*  760932 */     GIR_EraseRootFromParent_Done,
     /*  760933 */   // Label 11880: @760933
     /*  760933 */   GIM_Try, /*On fail goto*//*Label 11881*/ GIMT_Encode4(761011), // Rule ID 14060 //
     /*  760938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  760941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  760946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  760949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  760952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  760955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  760958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  760961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  760977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  760984 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  760984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  760987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  760989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  760991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  760993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  760995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761009 */     GIR_RootConstrainSelectedInstOperands,
     /*  761010 */     // GIR_Coverage, 14060,
     /*  761010 */     GIR_EraseRootFromParent_Done,
     /*  761011 */   // Label 11881: @761011
     /*  761011 */   GIM_Try, /*On fail goto*//*Label 11882*/ GIMT_Encode4(761089), // Rule ID 14061 //
     /*  761016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  761027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  761030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  761033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  761036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761062 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  761065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761084 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761087 */     GIR_RootConstrainSelectedInstOperands,
     /*  761088 */     // GIR_Coverage, 14061,
     /*  761088 */     GIR_EraseRootFromParent_Done,
     /*  761089 */   // Label 11882: @761089
     /*  761089 */   GIM_Try, /*On fail goto*//*Label 11883*/ GIMT_Encode4(761167), // Rule ID 14064 //
     /*  761094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  761105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  761108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  761111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  761114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761140 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  761143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761165 */     GIR_RootConstrainSelectedInstOperands,
     /*  761166 */     // GIR_Coverage, 14064,
     /*  761166 */     GIR_EraseRootFromParent_Done,
     /*  761167 */   // Label 11883: @761167
     /*  761167 */   GIM_Try, /*On fail goto*//*Label 11884*/ GIMT_Encode4(761245), // Rule ID 14065 //
     /*  761172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  761183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  761186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  761189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  761192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761218 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /*  761221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761243 */     GIR_RootConstrainSelectedInstOperands,
     /*  761244 */     // GIR_Coverage, 14065,
     /*  761244 */     GIR_EraseRootFromParent_Done,
     /*  761245 */   // Label 11884: @761245
     /*  761245 */   GIM_Try, /*On fail goto*//*Label 11885*/ GIMT_Encode4(761323), // Rule ID 14068 //
     /*  761250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  761261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  761264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  761267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  761270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761296 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  761299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761321 */     GIR_RootConstrainSelectedInstOperands,
     /*  761322 */     // GIR_Coverage, 14068,
     /*  761322 */     GIR_EraseRootFromParent_Done,
     /*  761323 */   // Label 11885: @761323
     /*  761323 */   GIM_Try, /*On fail goto*//*Label 11886*/ GIMT_Encode4(761401), // Rule ID 14069 //
     /*  761328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  761339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  761342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  761345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  761348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761374 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  761377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761399 */     GIR_RootConstrainSelectedInstOperands,
     /*  761400 */     // GIR_Coverage, 14069,
     /*  761400 */     GIR_EraseRootFromParent_Done,
     /*  761401 */   // Label 11886: @761401
     /*  761401 */   GIM_Try, /*On fail goto*//*Label 11887*/ GIMT_Encode4(761479), // Rule ID 14072 //
     /*  761406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  761417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  761420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  761423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  761426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761452 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  761455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761474 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761477 */     GIR_RootConstrainSelectedInstOperands,
     /*  761478 */     // GIR_Coverage, 14072,
     /*  761478 */     GIR_EraseRootFromParent_Done,
     /*  761479 */   // Label 11887: @761479
     /*  761479 */   GIM_Try, /*On fail goto*//*Label 11888*/ GIMT_Encode4(761557), // Rule ID 14073 //
     /*  761484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  761495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  761498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  761501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  761504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761530 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /*  761533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761552 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761555 */     GIR_RootConstrainSelectedInstOperands,
     /*  761556 */     // GIR_Coverage, 14073,
     /*  761556 */     GIR_EraseRootFromParent_Done,
     /*  761557 */   // Label 11888: @761557
     /*  761557 */   GIM_Try, /*On fail goto*//*Label 11889*/ GIMT_Encode4(761635), // Rule ID 14076 //
     /*  761562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  761573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  761576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  761579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  761582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  761608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761630 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761633 */     GIR_RootConstrainSelectedInstOperands,
     /*  761634 */     // GIR_Coverage, 14076,
     /*  761634 */     GIR_EraseRootFromParent_Done,
     /*  761635 */   // Label 11889: @761635
     /*  761635 */   GIM_Try, /*On fail goto*//*Label 11890*/ GIMT_Encode4(761713), // Rule ID 14077 //
     /*  761640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  761651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  761654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  761657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  761660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  761686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  761705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761711 */     GIR_RootConstrainSelectedInstOperands,
     /*  761712 */     // GIR_Coverage, 14077,
     /*  761712 */     GIR_EraseRootFromParent_Done,
     /*  761713 */   // Label 11890: @761713
     /*  761713 */   GIM_Try, /*On fail goto*//*Label 11891*/ GIMT_Encode4(761791), // Rule ID 14080 //
     /*  761718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  761738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761764 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  761764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761786 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761789 */     GIR_RootConstrainSelectedInstOperands,
     /*  761790 */     // GIR_Coverage, 14080,
     /*  761790 */     GIR_EraseRootFromParent_Done,
     /*  761791 */   // Label 11891: @761791
     /*  761791 */   GIM_Try, /*On fail goto*//*Label 11892*/ GIMT_Encode4(761869), // Rule ID 14081 //
     /*  761796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  761807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  761810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  761813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  761816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  761842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  761861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761864 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761867 */     GIR_RootConstrainSelectedInstOperands,
     /*  761868 */     // GIR_Coverage, 14081,
     /*  761868 */     GIR_EraseRootFromParent_Done,
     /*  761869 */   // Label 11892: @761869
     /*  761869 */   GIM_Try, /*On fail goto*//*Label 11893*/ GIMT_Encode4(761947), // Rule ID 14084 //
     /*  761874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  761877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  761894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  761897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761920 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  761920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  761923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  761925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  761927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  761929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  761931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  761936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  761939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  761942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  761945 */     GIR_RootConstrainSelectedInstOperands,
     /*  761946 */     // GIR_Coverage, 14084,
     /*  761946 */     GIR_EraseRootFromParent_Done,
     /*  761947 */   // Label 11893: @761947
     /*  761947 */   GIM_Try, /*On fail goto*//*Label 11894*/ GIMT_Encode4(762025), // Rule ID 14085 //
     /*  761952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  761955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  761960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  761963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  761966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  761969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  761972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  761975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  761991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  761998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  761998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  762001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  762017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762023 */     GIR_RootConstrainSelectedInstOperands,
     /*  762024 */     // GIR_Coverage, 14085,
     /*  762024 */     GIR_EraseRootFromParent_Done,
     /*  762025 */   // Label 11894: @762025
     /*  762025 */   GIM_Try, /*On fail goto*//*Label 11895*/ GIMT_Encode4(762103), // Rule ID 14088 //
     /*  762030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  762033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  762041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  762044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  762047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  762050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762076 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  762076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  762079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762101 */     GIR_RootConstrainSelectedInstOperands,
     /*  762102 */     // GIR_Coverage, 14088,
     /*  762102 */     GIR_EraseRootFromParent_Done,
     /*  762103 */   // Label 11895: @762103
     /*  762103 */   GIM_Try, /*On fail goto*//*Label 11896*/ GIMT_Encode4(762181), // Rule ID 14089 //
     /*  762108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  762111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  762119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  762122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  762125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  762128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  762147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762154 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  762154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /*  762157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  762173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762176 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762179 */     GIR_RootConstrainSelectedInstOperands,
     /*  762180 */     // GIR_Coverage, 14089,
     /*  762180 */     GIR_EraseRootFromParent_Done,
     /*  762181 */   // Label 11896: @762181
     /*  762181 */   GIM_Try, /*On fail goto*//*Label 11897*/ GIMT_Encode4(762259), // Rule ID 14092 //
     /*  762186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  762197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  762200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  762203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  762206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762232 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762254 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762257 */     GIR_RootConstrainSelectedInstOperands,
     /*  762258 */     // GIR_Coverage, 14092,
     /*  762258 */     GIR_EraseRootFromParent_Done,
     /*  762259 */   // Label 11897: @762259
     /*  762259 */   GIM_Try, /*On fail goto*//*Label 11898*/ GIMT_Encode4(762337), // Rule ID 14093 //
     /*  762264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  762275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  762278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  762281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  762284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762310 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762335 */     GIR_RootConstrainSelectedInstOperands,
     /*  762336 */     // GIR_Coverage, 14093,
     /*  762336 */     GIR_EraseRootFromParent_Done,
     /*  762337 */   // Label 11898: @762337
     /*  762337 */   GIM_Try, /*On fail goto*//*Label 11899*/ GIMT_Encode4(762415), // Rule ID 14096 //
     /*  762342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  762353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  762356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  762359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  762362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762388 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762413 */     GIR_RootConstrainSelectedInstOperands,
     /*  762414 */     // GIR_Coverage, 14096,
     /*  762414 */     GIR_EraseRootFromParent_Done,
     /*  762415 */   // Label 11899: @762415
     /*  762415 */   GIM_Try, /*On fail goto*//*Label 11900*/ GIMT_Encode4(762493), // Rule ID 14097 //
     /*  762420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  762431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  762434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  762437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  762440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762488 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762491 */     GIR_RootConstrainSelectedInstOperands,
     /*  762492 */     // GIR_Coverage, 14097,
     /*  762492 */     GIR_EraseRootFromParent_Done,
     /*  762493 */   // Label 11900: @762493
     /*  762493 */   GIM_Try, /*On fail goto*//*Label 11901*/ GIMT_Encode4(762571), // Rule ID 14100 //
     /*  762498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  762509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  762512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  762515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  762518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762544 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  762544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762566 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762569 */     GIR_RootConstrainSelectedInstOperands,
     /*  762570 */     // GIR_Coverage, 14100,
     /*  762570 */     GIR_EraseRootFromParent_Done,
     /*  762571 */   // Label 11901: @762571
     /*  762571 */   GIM_Try, /*On fail goto*//*Label 11902*/ GIMT_Encode4(762649), // Rule ID 14101 //
     /*  762576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  762587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  762590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  762593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  762596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762622 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  762622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  762625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  762641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762647 */     GIR_RootConstrainSelectedInstOperands,
     /*  762648 */     // GIR_Coverage, 14101,
     /*  762648 */     GIR_EraseRootFromParent_Done,
     /*  762649 */   // Label 11902: @762649
     /*  762649 */   GIM_Try, /*On fail goto*//*Label 11903*/ GIMT_Encode4(762727), // Rule ID 14104 //
     /*  762654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  762665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  762668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  762671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  762674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762725 */     GIR_RootConstrainSelectedInstOperands,
     /*  762726 */     // GIR_Coverage, 14104,
     /*  762726 */     GIR_EraseRootFromParent_Done,
     /*  762727 */   // Label 11903: @762727
     /*  762727 */   GIM_Try, /*On fail goto*//*Label 11904*/ GIMT_Encode4(762805), // Rule ID 14105 //
     /*  762732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  762743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  762746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  762749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  762752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  762771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  762781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762803 */     GIR_RootConstrainSelectedInstOperands,
     /*  762804 */     // GIR_Coverage, 14105,
     /*  762804 */     GIR_EraseRootFromParent_Done,
     /*  762805 */   // Label 11904: @762805
     /*  762805 */   GIM_Try, /*On fail goto*//*Label 11905*/ GIMT_Encode4(762883), // Rule ID 14108 //
     /*  762810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  762830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762856 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  762856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762881 */     GIR_RootConstrainSelectedInstOperands,
     /*  762882 */     // GIR_Coverage, 14108,
     /*  762882 */     GIR_EraseRootFromParent_Done,
     /*  762883 */   // Label 11905: @762883
     /*  762883 */   GIM_Try, /*On fail goto*//*Label 11906*/ GIMT_Encode4(762961), // Rule ID 14109 //
     /*  762888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  762891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  762899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  762902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  762905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  762908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  762911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  762927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  762934 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  762934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  762937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  762939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  762941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  762943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  762945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  762950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  762953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  762956 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  762959 */     GIR_RootConstrainSelectedInstOperands,
     /*  762960 */     // GIR_Coverage, 14109,
     /*  762960 */     GIR_EraseRootFromParent_Done,
     /*  762961 */   // Label 11906: @762961
     /*  762961 */   GIM_Try, /*On fail goto*//*Label 11907*/ GIMT_Encode4(763039), // Rule ID 14112 //
     /*  762966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  762969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  762974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  762977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  762980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  762983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  762986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  762989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  762997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  763012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763034 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763037 */     GIR_RootConstrainSelectedInstOperands,
     /*  763038 */     // GIR_Coverage, 14112,
     /*  763038 */     GIR_EraseRootFromParent_Done,
     /*  763039 */   // Label 11907: @763039
     /*  763039 */   GIM_Try, /*On fail goto*//*Label 11908*/ GIMT_Encode4(763117), // Rule ID 14113 //
     /*  763044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  763055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  763058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  763061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  763064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  763090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  763109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763112 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763115 */     GIR_RootConstrainSelectedInstOperands,
     /*  763116 */     // GIR_Coverage, 14113,
     /*  763116 */     GIR_EraseRootFromParent_Done,
     /*  763117 */   // Label 11908: @763117
     /*  763117 */   GIM_Try, /*On fail goto*//*Label 11909*/ GIMT_Encode4(763195), // Rule ID 14116 //
     /*  763122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  763133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  763136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  763139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  763142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  763171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763193 */     GIR_RootConstrainSelectedInstOperands,
     /*  763194 */     // GIR_Coverage, 14116,
     /*  763194 */     GIR_EraseRootFromParent_Done,
     /*  763195 */   // Label 11909: @763195
     /*  763195 */   GIM_Try, /*On fail goto*//*Label 11910*/ GIMT_Encode4(763273), // Rule ID 14117 //
     /*  763200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  763211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  763214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  763217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  763220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763246 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  763249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763268 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763271 */     GIR_RootConstrainSelectedInstOperands,
     /*  763272 */     // GIR_Coverage, 14117,
     /*  763272 */     GIR_EraseRootFromParent_Done,
     /*  763273 */   // Label 11910: @763273
     /*  763273 */   GIM_Try, /*On fail goto*//*Label 11911*/ GIMT_Encode4(763351), // Rule ID 14120 //
     /*  763278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  763289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  763292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  763295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  763298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  763327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763346 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763349 */     GIR_RootConstrainSelectedInstOperands,
     /*  763350 */     // GIR_Coverage, 14120,
     /*  763350 */     GIR_EraseRootFromParent_Done,
     /*  763351 */   // Label 11911: @763351
     /*  763351 */   GIM_Try, /*On fail goto*//*Label 11912*/ GIMT_Encode4(763429), // Rule ID 14121 //
     /*  763356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  763367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  763370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  763373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  763376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763402 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  763405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763424 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763427 */     GIR_RootConstrainSelectedInstOperands,
     /*  763428 */     // GIR_Coverage, 14121,
     /*  763428 */     GIR_EraseRootFromParent_Done,
     /*  763429 */   // Label 11912: @763429
     /*  763429 */   GIM_Try, /*On fail goto*//*Label 11913*/ GIMT_Encode4(763507), // Rule ID 14124 //
     /*  763434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  763437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  763445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  763448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  763451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  763454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  763480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763505 */     GIR_RootConstrainSelectedInstOperands,
     /*  763506 */     // GIR_Coverage, 14124,
     /*  763506 */     GIR_EraseRootFromParent_Done,
     /*  763507 */   // Label 11913: @763507
     /*  763507 */   GIM_Try, /*On fail goto*//*Label 11914*/ GIMT_Encode4(763585), // Rule ID 14125 //
     /*  763512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  763515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  763523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  763526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  763529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  763532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763558 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  763558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  763577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763583 */     GIR_RootConstrainSelectedInstOperands,
     /*  763584 */     // GIR_Coverage, 14125,
     /*  763584 */     GIR_EraseRootFromParent_Done,
     /*  763585 */   // Label 11914: @763585
     /*  763585 */   GIM_Try, /*On fail goto*//*Label 11915*/ GIMT_Encode4(763663), // Rule ID 14128 //
     /*  763590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  763601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  763604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  763607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  763610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763636 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  763639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763661 */     GIR_RootConstrainSelectedInstOperands,
     /*  763662 */     // GIR_Coverage, 14128,
     /*  763662 */     GIR_EraseRootFromParent_Done,
     /*  763663 */   // Label 11915: @763663
     /*  763663 */   GIM_Try, /*On fail goto*//*Label 11916*/ GIMT_Encode4(763741), // Rule ID 14129 //
     /*  763668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  763679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  763682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  763685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  763688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  763707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /*  763717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763736 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763739 */     GIR_RootConstrainSelectedInstOperands,
     /*  763740 */     // GIR_Coverage, 14129,
     /*  763740 */     GIR_EraseRootFromParent_Done,
     /*  763741 */   // Label 11916: @763741
     /*  763741 */   GIM_Try, /*On fail goto*//*Label 11917*/ GIMT_Encode4(763819), // Rule ID 14132 //
     /*  763746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  763766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  763795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763817 */     GIR_RootConstrainSelectedInstOperands,
     /*  763818 */     // GIR_Coverage, 14132,
     /*  763818 */     GIR_EraseRootFromParent_Done,
     /*  763819 */   // Label 11917: @763819
     /*  763819 */   GIM_Try, /*On fail goto*//*Label 11918*/ GIMT_Encode4(763897), // Rule ID 14133 //
     /*  763824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  763835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  763838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  763841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  763844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  763847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  763863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763870 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  763870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /*  763873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763892 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763895 */     GIR_RootConstrainSelectedInstOperands,
     /*  763896 */     // GIR_Coverage, 14133,
     /*  763896 */     GIR_EraseRootFromParent_Done,
     /*  763897 */   // Label 11918: @763897
     /*  763897 */   GIM_Try, /*On fail goto*//*Label 11919*/ GIMT_Encode4(763975), // Rule ID 14136 //
     /*  763902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  763905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  763922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  763925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  763941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  763948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  763948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  763951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  763953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  763955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  763957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  763959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  763964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  763967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  763970 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  763973 */     GIR_RootConstrainSelectedInstOperands,
     /*  763974 */     // GIR_Coverage, 14136,
     /*  763974 */     GIR_EraseRootFromParent_Done,
     /*  763975 */   // Label 11919: @763975
     /*  763975 */   GIM_Try, /*On fail goto*//*Label 11920*/ GIMT_Encode4(764053), // Rule ID 14137 //
     /*  763980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  763983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  763988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  763991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  763994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  763997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  764000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  764019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  764026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /*  764029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  764045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764051 */     GIR_RootConstrainSelectedInstOperands,
     /*  764052 */     // GIR_Coverage, 14137,
     /*  764052 */     GIR_EraseRootFromParent_Done,
     /*  764053 */   // Label 11920: @764053
     /*  764053 */   GIM_Try, /*On fail goto*//*Label 11921*/ GIMT_Encode4(764131), // Rule ID 14140 //
     /*  764058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  764069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  764072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  764075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764104 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  764107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764126 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764129 */     GIR_RootConstrainSelectedInstOperands,
     /*  764130 */     // GIR_Coverage, 14140,
     /*  764130 */     GIR_EraseRootFromParent_Done,
     /*  764131 */   // Label 11921: @764131
     /*  764131 */   GIM_Try, /*On fail goto*//*Label 11922*/ GIMT_Encode4(764209), // Rule ID 14141 //
     /*  764136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  764147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  764150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  764153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764182 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8),
     /*  764185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764207 */     GIR_RootConstrainSelectedInstOperands,
     /*  764208 */     // GIR_Coverage, 14141,
     /*  764208 */     GIR_EraseRootFromParent_Done,
     /*  764209 */   // Label 11922: @764209
     /*  764209 */   GIM_Try, /*On fail goto*//*Label 11923*/ GIMT_Encode4(764287), // Rule ID 14144 //
     /*  764214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  764225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  764228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  764231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764260 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  764263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764285 */     GIR_RootConstrainSelectedInstOperands,
     /*  764286 */     // GIR_Coverage, 14144,
     /*  764286 */     GIR_EraseRootFromParent_Done,
     /*  764287 */   // Label 11923: @764287
     /*  764287 */   GIM_Try, /*On fail goto*//*Label 11924*/ GIMT_Encode4(764365), // Rule ID 14145 //
     /*  764292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  764303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  764306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  764309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764338 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  764341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764363 */     GIR_RootConstrainSelectedInstOperands,
     /*  764364 */     // GIR_Coverage, 14145,
     /*  764364 */     GIR_EraseRootFromParent_Done,
     /*  764365 */   // Label 11924: @764365
     /*  764365 */   GIM_Try, /*On fail goto*//*Label 11925*/ GIMT_Encode4(764443), // Rule ID 14148 //
     /*  764370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  764381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  764384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  764387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  764416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764441 */     GIR_RootConstrainSelectedInstOperands,
     /*  764442 */     // GIR_Coverage, 14148,
     /*  764442 */     GIR_EraseRootFromParent_Done,
     /*  764443 */   // Label 11925: @764443
     /*  764443 */   GIM_Try, /*On fail goto*//*Label 11926*/ GIMT_Encode4(764521), // Rule ID 14149 //
     /*  764448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  764459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  764462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  764465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764494 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  764494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  764513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764519 */     GIR_RootConstrainSelectedInstOperands,
     /*  764520 */     // GIR_Coverage, 14149,
     /*  764520 */     GIR_EraseRootFromParent_Done,
     /*  764521 */   // Label 11926: @764521
     /*  764521 */   GIM_Try, /*On fail goto*//*Label 11927*/ GIMT_Encode4(764599), // Rule ID 14152 //
     /*  764526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  764537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  764540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  764543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  764575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764594 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764597 */     GIR_RootConstrainSelectedInstOperands,
     /*  764598 */     // GIR_Coverage, 14152,
     /*  764598 */     GIR_EraseRootFromParent_Done,
     /*  764599 */   // Label 11927: @764599
     /*  764599 */   GIM_Try, /*On fail goto*//*Label 11928*/ GIMT_Encode4(764677), // Rule ID 14153 //
     /*  764604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  764615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  764618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  764621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4),
     /*  764653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764672 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764675 */     GIR_RootConstrainSelectedInstOperands,
     /*  764676 */     // GIR_Coverage, 14153,
     /*  764676 */     GIR_EraseRootFromParent_Done,
     /*  764677 */   // Label 11928: @764677
     /*  764677 */   GIM_Try, /*On fail goto*//*Label 11929*/ GIMT_Encode4(764755), // Rule ID 14156 //
     /*  764682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  764693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  764696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  764699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764728 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  764728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764753 */     GIR_RootConstrainSelectedInstOperands,
     /*  764754 */     // GIR_Coverage, 14156,
     /*  764754 */     GIR_EraseRootFromParent_Done,
     /*  764755 */   // Label 11929: @764755
     /*  764755 */   GIM_Try, /*On fail goto*//*Label 11930*/ GIMT_Encode4(764833), // Rule ID 14157 //
     /*  764760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  764771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  764774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  764777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764806 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  764806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  764825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764828 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764831 */     GIR_RootConstrainSelectedInstOperands,
     /*  764832 */     // GIR_Coverage, 14157,
     /*  764832 */     GIR_EraseRootFromParent_Done,
     /*  764833 */   // Label 11930: @764833
     /*  764833 */   GIM_Try, /*On fail goto*//*Label 11931*/ GIMT_Encode4(764911), // Rule ID 14160 //
     /*  764838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  764858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  764861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  764884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764909 */     GIR_RootConstrainSelectedInstOperands,
     /*  764910 */     // GIR_Coverage, 14160,
     /*  764910 */     GIR_EraseRootFromParent_Done,
     /*  764911 */   // Label 11931: @764911
     /*  764911 */   GIM_Try, /*On fail goto*//*Label 11932*/ GIMT_Encode4(764989), // Rule ID 14161 //
     /*  764916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  764919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  764924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  764927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  764930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  764933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  764936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  764939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  764951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  764955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  764962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  764962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2),
     /*  764965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  764967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  764969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  764971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  764973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  764978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  764981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  764984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  764987 */     GIR_RootConstrainSelectedInstOperands,
     /*  764988 */     // GIR_Coverage, 14161,
     /*  764988 */     GIR_EraseRootFromParent_Done,
     /*  764989 */   // Label 11932: @764989
     /*  764989 */   GIM_Try, /*On fail goto*//*Label 11933*/ GIMT_Encode4(765067), // Rule ID 14164 //
     /*  764994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  764997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  765005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  765008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  765011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765040 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765065 */     GIR_RootConstrainSelectedInstOperands,
     /*  765066 */     // GIR_Coverage, 14164,
     /*  765066 */     GIR_EraseRootFromParent_Done,
     /*  765067 */   // Label 11933: @765067
     /*  765067 */   GIM_Try, /*On fail goto*//*Label 11934*/ GIMT_Encode4(765145), // Rule ID 14165 //
     /*  765072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  765083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  765086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  765089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765118 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11533:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765143 */     GIR_RootConstrainSelectedInstOperands,
     /*  765144 */     // GIR_Coverage, 14165,
     /*  765144 */     GIR_EraseRootFromParent_Done,
     /*  765145 */   // Label 11934: @765145
     /*  765145 */   GIM_Try, /*On fail goto*//*Label 11935*/ GIMT_Encode4(765223), // Rule ID 14168 //
     /*  765150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  765161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  765164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  765167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765196 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  765196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765221 */     GIR_RootConstrainSelectedInstOperands,
     /*  765222 */     // GIR_Coverage, 14168,
     /*  765222 */     GIR_EraseRootFromParent_Done,
     /*  765223 */   // Label 11935: @765223
     /*  765223 */   GIM_Try, /*On fail goto*//*Label 11936*/ GIMT_Encode4(765301), // Rule ID 14169 //
     /*  765228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  765239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  765242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  765245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11533:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  765274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  765293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765296 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765299 */     GIR_RootConstrainSelectedInstOperands,
     /*  765300 */     // GIR_Coverage, 14169,
     /*  765300 */     GIR_EraseRootFromParent_Done,
     /*  765301 */   // Label 11936: @765301
     /*  765301 */   GIM_Try, /*On fail goto*//*Label 11937*/ GIMT_Encode4(765379), // Rule ID 14172 //
     /*  765306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  765317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  765320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  765323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765352 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  765352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765374 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765377 */     GIR_RootConstrainSelectedInstOperands,
     /*  765378 */     // GIR_Coverage, 14172,
     /*  765378 */     GIR_EraseRootFromParent_Done,
     /*  765379 */   // Label 11937: @765379
     /*  765379 */   GIM_Try, /*On fail goto*//*Label 11938*/ GIMT_Encode4(765457), // Rule ID 14173 //
     /*  765384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  765395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  765398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  765401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11533:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  765430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  765449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765455 */     GIR_RootConstrainSelectedInstOperands,
     /*  765456 */     // GIR_Coverage, 14173,
     /*  765456 */     GIR_EraseRootFromParent_Done,
     /*  765457 */   // Label 11938: @765457
     /*  765457 */   GIM_Try, /*On fail goto*//*Label 11939*/ GIMT_Encode4(765535), // Rule ID 14176 //
     /*  765462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  765465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  765473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  765476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  765479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765508 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  765508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765533 */     GIR_RootConstrainSelectedInstOperands,
     /*  765534 */     // GIR_Coverage, 14176,
     /*  765534 */     GIR_EraseRootFromParent_Done,
     /*  765535 */   // Label 11939: @765535
     /*  765535 */   GIM_Try, /*On fail goto*//*Label 11940*/ GIMT_Encode4(765613), // Rule ID 14177 //
     /*  765540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  765543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  765551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  765554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  765557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  765575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11533:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  765586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1),
     /*  765589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  765605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765608 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765611 */     GIR_RootConstrainSelectedInstOperands,
     /*  765612 */     // GIR_Coverage, 14177,
     /*  765612 */     GIR_EraseRootFromParent_Done,
     /*  765613 */   // Label 11940: @765613
     /*  765613 */   GIM_Try, /*On fail goto*//*Label 11941*/ GIMT_Encode4(765691), // Rule ID 14180 //
     /*  765618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  765629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  765632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  765635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765686 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765689 */     GIR_RootConstrainSelectedInstOperands,
     /*  765690 */     // GIR_Coverage, 14180,
     /*  765690 */     GIR_EraseRootFromParent_Done,
     /*  765691 */   // Label 11941: @765691
     /*  765691 */   GIM_Try, /*On fail goto*//*Label 11942*/ GIMT_Encode4(765769), // Rule ID 14181 //
     /*  765696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  765707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  765710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  765713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  765731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765742 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  765745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765767 */     GIR_RootConstrainSelectedInstOperands,
     /*  765768 */     // GIR_Coverage, 14181,
     /*  765768 */     GIR_EraseRootFromParent_Done,
     /*  765769 */   // Label 11942: @765769
     /*  765769 */   GIM_Try, /*On fail goto*//*Label 11943*/ GIMT_Encode4(765847), // Rule ID 14184 //
     /*  765774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  765785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  765788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  765791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765820 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765845 */     GIR_RootConstrainSelectedInstOperands,
     /*  765846 */     // GIR_Coverage, 14184,
     /*  765846 */     GIR_EraseRootFromParent_Done,
     /*  765847 */   // Label 11943: @765847
     /*  765847 */   GIM_Try, /*On fail goto*//*Label 11944*/ GIMT_Encode4(765925), // Rule ID 14185 //
     /*  765852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  765855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  765863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  765866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  765869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  765872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  765875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  765887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765898 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  765898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  765901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  765923 */     GIR_RootConstrainSelectedInstOperands,
     /*  765924 */     // GIR_Coverage, 14185,
     /*  765924 */     GIR_EraseRootFromParent_Done,
     /*  765925 */   // Label 11944: @765925
     /*  765925 */   GIM_Try, /*On fail goto*//*Label 11945*/ GIMT_Encode4(766003), // Rule ID 14188 //
     /*  765930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  765933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  765938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  765941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  765944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  765947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  765950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  765953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  765965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  765969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  765976 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  765976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  765979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  765981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  765983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  765985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  765987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  765992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  765995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  765998 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766001 */     GIR_RootConstrainSelectedInstOperands,
     /*  766002 */     // GIR_Coverage, 14188,
     /*  766002 */     GIR_EraseRootFromParent_Done,
     /*  766003 */   // Label 11945: @766003
     /*  766003 */   GIM_Try, /*On fail goto*//*Label 11946*/ GIMT_Encode4(766081), // Rule ID 14189 //
     /*  766008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  766019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  766022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  766025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766054 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  766054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  766073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766076 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766079 */     GIR_RootConstrainSelectedInstOperands,
     /*  766080 */     // GIR_Coverage, 14189,
     /*  766080 */     GIR_EraseRootFromParent_Done,
     /*  766081 */   // Label 11946: @766081
     /*  766081 */   GIM_Try, /*On fail goto*//*Label 11947*/ GIMT_Encode4(766159), // Rule ID 14192 //
     /*  766086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  766097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  766100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  766103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766132 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766157 */     GIR_RootConstrainSelectedInstOperands,
     /*  766158 */     // GIR_Coverage, 14192,
     /*  766158 */     GIR_EraseRootFromParent_Done,
     /*  766159 */   // Label 11947: @766159
     /*  766159 */   GIM_Try, /*On fail goto*//*Label 11948*/ GIMT_Encode4(766237), // Rule ID 14193 //
     /*  766164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  766175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  766178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  766181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766232 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766235 */     GIR_RootConstrainSelectedInstOperands,
     /*  766236 */     // GIR_Coverage, 14193,
     /*  766236 */     GIR_EraseRootFromParent_Done,
     /*  766237 */   // Label 11948: @766237
     /*  766237 */   GIM_Try, /*On fail goto*//*Label 11949*/ GIMT_Encode4(766315), // Rule ID 14196 //
     /*  766242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  766253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  766256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  766259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766288 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766310 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766313 */     GIR_RootConstrainSelectedInstOperands,
     /*  766314 */     // GIR_Coverage, 14196,
     /*  766314 */     GIR_EraseRootFromParent_Done,
     /*  766315 */   // Label 11949: @766315
     /*  766315 */   GIM_Try, /*On fail goto*//*Label 11950*/ GIMT_Encode4(766393), // Rule ID 14197 //
     /*  766320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  766331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  766334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  766337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766366 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766388 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766391 */     GIR_RootConstrainSelectedInstOperands,
     /*  766392 */     // GIR_Coverage, 14197,
     /*  766392 */     GIR_EraseRootFromParent_Done,
     /*  766393 */   // Label 11950: @766393
     /*  766393 */   GIM_Try, /*On fail goto*//*Label 11951*/ GIMT_Encode4(766471), // Rule ID 14200 //
     /*  766398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  766409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  766412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  766415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766444 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  766444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766466 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766469 */     GIR_RootConstrainSelectedInstOperands,
     /*  766470 */     // GIR_Coverage, 14200,
     /*  766470 */     GIR_EraseRootFromParent_Done,
     /*  766471 */   // Label 11951: @766471
     /*  766471 */   GIM_Try, /*On fail goto*//*Label 11952*/ GIMT_Encode4(766549), // Rule ID 14201 //
     /*  766476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  766487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  766490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  766493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766522 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  766522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  766541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766547 */     GIR_RootConstrainSelectedInstOperands,
     /*  766548 */     // GIR_Coverage, 14201,
     /*  766548 */     GIR_EraseRootFromParent_Done,
     /*  766549 */   // Label 11952: @766549
     /*  766549 */   GIM_Try, /*On fail goto*//*Label 11953*/ GIMT_Encode4(766627), // Rule ID 14204 //
     /*  766554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  766565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  766568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  766571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766600 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766625 */     GIR_RootConstrainSelectedInstOperands,
     /*  766626 */     // GIR_Coverage, 14204,
     /*  766626 */     GIR_EraseRootFromParent_Done,
     /*  766627 */   // Label 11953: @766627
     /*  766627 */   GIM_Try, /*On fail goto*//*Label 11954*/ GIMT_Encode4(766705), // Rule ID 14205 //
     /*  766632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  766643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  766646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  766649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  766667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766678 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  766681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766703 */     GIR_RootConstrainSelectedInstOperands,
     /*  766704 */     // GIR_Coverage, 14205,
     /*  766704 */     GIR_EraseRootFromParent_Done,
     /*  766705 */   // Label 11954: @766705
     /*  766705 */   GIM_Try, /*On fail goto*//*Label 11955*/ GIMT_Encode4(766783), // Rule ID 14208 //
     /*  766710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  766721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  766724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  766727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766756 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766778 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766781 */     GIR_RootConstrainSelectedInstOperands,
     /*  766782 */     // GIR_Coverage, 14208,
     /*  766782 */     GIR_EraseRootFromParent_Done,
     /*  766783 */   // Label 11955: @766783
     /*  766783 */   GIM_Try, /*On fail goto*//*Label 11956*/ GIMT_Encode4(766861), // Rule ID 14209 //
     /*  766788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  766799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  766802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  766805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  766823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  766837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766856 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766859 */     GIR_RootConstrainSelectedInstOperands,
     /*  766860 */     // GIR_Coverage, 14209,
     /*  766860 */     GIR_EraseRootFromParent_Done,
     /*  766861 */   // Label 11956: @766861
     /*  766861 */   GIM_Try, /*On fail goto*//*Label 11957*/ GIMT_Encode4(766939), // Rule ID 14212 //
     /*  766866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  766869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  766886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  766889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  766912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  766923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  766928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  766931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  766934 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  766937 */     GIR_RootConstrainSelectedInstOperands,
     /*  766938 */     // GIR_Coverage, 14212,
     /*  766938 */     GIR_EraseRootFromParent_Done,
     /*  766939 */   // Label 11957: @766939
     /*  766939 */   GIM_Try, /*On fail goto*//*Label 11958*/ GIMT_Encode4(767017), // Rule ID 14213 //
     /*  766944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  766947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  766952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  766955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  766958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  766961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  766964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  766967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  766979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  766983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  766990 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  766990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  766993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  766995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  766997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  766999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  767009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767012 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767015 */     GIR_RootConstrainSelectedInstOperands,
     /*  767016 */     // GIR_Coverage, 14213,
     /*  767016 */     GIR_EraseRootFromParent_Done,
     /*  767017 */   // Label 11958: @767017
     /*  767017 */   GIM_Try, /*On fail goto*//*Label 11959*/ GIMT_Encode4(767095), // Rule ID 14216 //
     /*  767022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  767030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  767033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  767036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  767039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767068 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  767071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767090 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767093 */     GIR_RootConstrainSelectedInstOperands,
     /*  767094 */     // GIR_Coverage, 14216,
     /*  767094 */     GIR_EraseRootFromParent_Done,
     /*  767095 */   // Label 11959: @767095
     /*  767095 */   GIM_Try, /*On fail goto*//*Label 11960*/ GIMT_Encode4(767173), // Rule ID 14217 //
     /*  767100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  767108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  767111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  767114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  767117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  767135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11533:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2),
     /*  767149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767171 */     GIR_RootConstrainSelectedInstOperands,
     /*  767172 */     // GIR_Coverage, 14217,
     /*  767172 */     GIR_EraseRootFromParent_Done,
     /*  767173 */   // Label 11960: @767173
     /*  767173 */   GIM_Try, /*On fail goto*//*Label 11961*/ GIMT_Encode4(767251), // Rule ID 14220 //
     /*  767178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  767186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  767189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  767192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  767195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767224 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  767227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767246 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767249 */     GIR_RootConstrainSelectedInstOperands,
     /*  767250 */     // GIR_Coverage, 14220,
     /*  767250 */     GIR_EraseRootFromParent_Done,
     /*  767251 */   // Label 11961: @767251
     /*  767251 */   GIM_Try, /*On fail goto*//*Label 11962*/ GIMT_Encode4(767329), // Rule ID 14221 //
     /*  767256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  767264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  767267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  767270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  767273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  767291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767302 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11533:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4),
     /*  767305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767327 */     GIR_RootConstrainSelectedInstOperands,
     /*  767328 */     // GIR_Coverage, 14221,
     /*  767328 */     GIR_EraseRootFromParent_Done,
     /*  767329 */   // Label 11962: @767329
     /*  767329 */   GIM_Try, /*On fail goto*//*Label 11963*/ GIMT_Encode4(767407), // Rule ID 14224 //
     /*  767334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  767337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  767342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  767345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  767348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  767351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  767354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767380 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  767380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  767383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767405 */     GIR_RootConstrainSelectedInstOperands,
     /*  767406 */     // GIR_Coverage, 14224,
     /*  767406 */     GIR_EraseRootFromParent_Done,
     /*  767407 */   // Label 11963: @767407
     /*  767407 */   GIM_Try, /*On fail goto*//*Label 11964*/ GIMT_Encode4(767485), // Rule ID 14225 //
     /*  767412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  767415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu),
     /*  767420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  767423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  767426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  767429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  767432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  767447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  767451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11533:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  767458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8),
     /*  767461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  767477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767483 */     GIR_RootConstrainSelectedInstOperands,
     /*  767484 */     // GIR_Coverage, 14225,
     /*  767484 */     GIR_EraseRootFromParent_Done,
     /*  767485 */   // Label 11964: @767485
     /*  767485 */   GIM_Try, /*On fail goto*//*Label 11965*/ GIMT_Encode4(767563), // Rule ID 14316 //
     /*  767490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  767501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  767504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  767507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  767510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767536 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  767539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767558 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767561 */     GIR_RootConstrainSelectedInstOperands,
     /*  767562 */     // GIR_Coverage, 14316,
     /*  767562 */     GIR_EraseRootFromParent_Done,
     /*  767563 */   // Label 11965: @767563
     /*  767563 */   GIM_Try, /*On fail goto*//*Label 11966*/ GIMT_Encode4(767641), // Rule ID 14317 //
     /*  767568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  767579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  767582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  767585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  767588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /*  767617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767636 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767639 */     GIR_RootConstrainSelectedInstOperands,
     /*  767640 */     // GIR_Coverage, 14317,
     /*  767640 */     GIR_EraseRootFromParent_Done,
     /*  767641 */   // Label 11966: @767641
     /*  767641 */   GIM_Try, /*On fail goto*//*Label 11967*/ GIMT_Encode4(767719), // Rule ID 14320 //
     /*  767646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  767657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  767660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  767663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  767666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767692 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767714 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767717 */     GIR_RootConstrainSelectedInstOperands,
     /*  767718 */     // GIR_Coverage, 14320,
     /*  767718 */     GIR_EraseRootFromParent_Done,
     /*  767719 */   // Label 11967: @767719
     /*  767719 */   GIM_Try, /*On fail goto*//*Label 11968*/ GIMT_Encode4(767797), // Rule ID 14321 //
     /*  767724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  767735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  767738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  767741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  767744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  767773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767792 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767795 */     GIR_RootConstrainSelectedInstOperands,
     /*  767796 */     // GIR_Coverage, 14321,
     /*  767796 */     GIR_EraseRootFromParent_Done,
     /*  767797 */   // Label 11968: @767797
     /*  767797 */   GIM_Try, /*On fail goto*//*Label 11969*/ GIMT_Encode4(767875), // Rule ID 14324 //
     /*  767802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  767822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  767848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767873 */     GIR_RootConstrainSelectedInstOperands,
     /*  767874 */     // GIR_Coverage, 14324,
     /*  767874 */     GIR_EraseRootFromParent_Done,
     /*  767875 */   // Label 11969: @767875
     /*  767875 */   GIM_Try, /*On fail goto*//*Label 11970*/ GIMT_Encode4(767953), // Rule ID 14325 //
     /*  767880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  767883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  767891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  767894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  767897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  767900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  767903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  767926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  767926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  767929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  767931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  767933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  767935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  767937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  767942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  767945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  767948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  767951 */     GIR_RootConstrainSelectedInstOperands,
     /*  767952 */     // GIR_Coverage, 14325,
     /*  767952 */     GIR_EraseRootFromParent_Done,
     /*  767953 */   // Label 11970: @767953
     /*  767953 */   GIM_Try, /*On fail goto*//*Label 11971*/ GIMT_Encode4(768031), // Rule ID 14328 //
     /*  767958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  767961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  767966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  767969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  767972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  767975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  767978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  767981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  767997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768004 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  768007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768029 */     GIR_RootConstrainSelectedInstOperands,
     /*  768030 */     // GIR_Coverage, 14328,
     /*  768030 */     GIR_EraseRootFromParent_Done,
     /*  768031 */   // Label 11971: @768031
     /*  768031 */   GIM_Try, /*On fail goto*//*Label 11972*/ GIMT_Encode4(768109), // Rule ID 14329 //
     /*  768036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  768047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  768050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  768053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  768056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768082 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /*  768085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768107 */     GIR_RootConstrainSelectedInstOperands,
     /*  768108 */     // GIR_Coverage, 14329,
     /*  768108 */     GIR_EraseRootFromParent_Done,
     /*  768109 */   // Label 11972: @768109
     /*  768109 */   GIM_Try, /*On fail goto*//*Label 11973*/ GIMT_Encode4(768187), // Rule ID 14332 //
     /*  768114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  768125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  768128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  768131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  768134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768160 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  768163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768185 */     GIR_RootConstrainSelectedInstOperands,
     /*  768186 */     // GIR_Coverage, 14332,
     /*  768186 */     GIR_EraseRootFromParent_Done,
     /*  768187 */   // Label 11973: @768187
     /*  768187 */   GIM_Try, /*On fail goto*//*Label 11974*/ GIMT_Encode4(768265), // Rule ID 14333 //
     /*  768192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  768203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  768206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  768209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  768212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768238 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  768241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768263 */     GIR_RootConstrainSelectedInstOperands,
     /*  768264 */     // GIR_Coverage, 14333,
     /*  768264 */     GIR_EraseRootFromParent_Done,
     /*  768265 */   // Label 11974: @768265
     /*  768265 */   GIM_Try, /*On fail goto*//*Label 11975*/ GIMT_Encode4(768343), // Rule ID 14336 //
     /*  768270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  768281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  768284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  768287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  768290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  768319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768338 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768341 */     GIR_RootConstrainSelectedInstOperands,
     /*  768342 */     // GIR_Coverage, 14336,
     /*  768342 */     GIR_EraseRootFromParent_Done,
     /*  768343 */   // Label 11975: @768343
     /*  768343 */   GIM_Try, /*On fail goto*//*Label 11976*/ GIMT_Encode4(768421), // Rule ID 14337 //
     /*  768348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  768359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  768362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  768365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  768368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768394 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /*  768397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768419 */     GIR_RootConstrainSelectedInstOperands,
     /*  768420 */     // GIR_Coverage, 14337,
     /*  768420 */     GIR_EraseRootFromParent_Done,
     /*  768421 */   // Label 11976: @768421
     /*  768421 */   GIM_Try, /*On fail goto*//*Label 11977*/ GIMT_Encode4(768499), // Rule ID 14340 //
     /*  768426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  768437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  768440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  768443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  768446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768472 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  768472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768497 */     GIR_RootConstrainSelectedInstOperands,
     /*  768498 */     // GIR_Coverage, 14340,
     /*  768498 */     GIR_EraseRootFromParent_Done,
     /*  768499 */   // Label 11977: @768499
     /*  768499 */   GIM_Try, /*On fail goto*//*Label 11978*/ GIMT_Encode4(768577), // Rule ID 14341 //
     /*  768504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  768515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  768518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  768521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  768524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  768550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  768569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768572 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768575 */     GIR_RootConstrainSelectedInstOperands,
     /*  768576 */     // GIR_Coverage, 14341,
     /*  768576 */     GIR_EraseRootFromParent_Done,
     /*  768577 */   // Label 11978: @768577
     /*  768577 */   GIM_Try, /*On fail goto*//*Label 11979*/ GIMT_Encode4(768655), // Rule ID 14344 //
     /*  768582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  768593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  768596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  768599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  768602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  768628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768650 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768653 */     GIR_RootConstrainSelectedInstOperands,
     /*  768654 */     // GIR_Coverage, 14344,
     /*  768654 */     GIR_EraseRootFromParent_Done,
     /*  768655 */   // Label 11979: @768655
     /*  768655 */   GIM_Try, /*On fail goto*//*Label 11980*/ GIMT_Encode4(768733), // Rule ID 14345 //
     /*  768660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  768671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  768674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  768677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  768680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  768706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  768725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768728 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768731 */     GIR_RootConstrainSelectedInstOperands,
     /*  768732 */     // GIR_Coverage, 14345,
     /*  768732 */     GIR_EraseRootFromParent_Done,
     /*  768733 */   // Label 11980: @768733
     /*  768733 */   GIM_Try, /*On fail goto*//*Label 11981*/ GIMT_Encode4(768811), // Rule ID 14348 //
     /*  768738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  768741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  768749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  768752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  768755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  768758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768784 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  768784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768809 */     GIR_RootConstrainSelectedInstOperands,
     /*  768810 */     // GIR_Coverage, 14348,
     /*  768810 */     GIR_EraseRootFromParent_Done,
     /*  768811 */   // Label 11981: @768811
     /*  768811 */   GIM_Try, /*On fail goto*//*Label 11982*/ GIMT_Encode4(768889), // Rule ID 14349 //
     /*  768816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  768819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  768827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  768830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  768833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  768836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768862 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  768862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  768881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768887 */     GIR_RootConstrainSelectedInstOperands,
     /*  768888 */     // GIR_Coverage, 14349,
     /*  768888 */     GIR_EraseRootFromParent_Done,
     /*  768889 */   // Label 11982: @768889
     /*  768889 */   GIM_Try, /*On fail goto*//*Label 11983*/ GIMT_Encode4(768967), // Rule ID 14352 //
     /*  768894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  768897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  768914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  768917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  768940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  768940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  768943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  768945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  768947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  768949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  768951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  768956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  768959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  768962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  768965 */     GIR_RootConstrainSelectedInstOperands,
     /*  768966 */     // GIR_Coverage, 14352,
     /*  768966 */     GIR_EraseRootFromParent_Done,
     /*  768967 */   // Label 11983: @768967
     /*  768967 */   GIM_Try, /*On fail goto*//*Label 11984*/ GIMT_Encode4(769045), // Rule ID 14353 //
     /*  768972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  768975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  768980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  768983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  768986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  768989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  768992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  768995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  768999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  769011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769018 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  769018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /*  769021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  769037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769043 */     GIR_RootConstrainSelectedInstOperands,
     /*  769044 */     // GIR_Coverage, 14353,
     /*  769044 */     GIR_EraseRootFromParent_Done,
     /*  769045 */   // Label 11984: @769045
     /*  769045 */   GIM_Try, /*On fail goto*//*Label 11985*/ GIMT_Encode4(769123), // Rule ID 14356 //
     /*  769050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  769061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  769064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  769067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  769070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769118 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769121 */     GIR_RootConstrainSelectedInstOperands,
     /*  769122 */     // GIR_Coverage, 14356,
     /*  769122 */     GIR_EraseRootFromParent_Done,
     /*  769123 */   // Label 11985: @769123
     /*  769123 */   GIM_Try, /*On fail goto*//*Label 11986*/ GIMT_Encode4(769201), // Rule ID 14357 //
     /*  769128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  769139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  769142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  769145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  769148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769199 */     GIR_RootConstrainSelectedInstOperands,
     /*  769200 */     // GIR_Coverage, 14357,
     /*  769200 */     GIR_EraseRootFromParent_Done,
     /*  769201 */   // Label 11986: @769201
     /*  769201 */   GIM_Try, /*On fail goto*//*Label 11987*/ GIMT_Encode4(769279), // Rule ID 14360 //
     /*  769206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  769217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  769220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  769223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  769226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769252 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769277 */     GIR_RootConstrainSelectedInstOperands,
     /*  769278 */     // GIR_Coverage, 14360,
     /*  769278 */     GIR_EraseRootFromParent_Done,
     /*  769279 */   // Label 11987: @769279
     /*  769279 */   GIM_Try, /*On fail goto*//*Label 11988*/ GIMT_Encode4(769357), // Rule ID 14361 //
     /*  769284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  769295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  769298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  769301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  769304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769330 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769355 */     GIR_RootConstrainSelectedInstOperands,
     /*  769356 */     // GIR_Coverage, 14361,
     /*  769356 */     GIR_EraseRootFromParent_Done,
     /*  769357 */   // Label 11988: @769357
     /*  769357 */   GIM_Try, /*On fail goto*//*Label 11989*/ GIMT_Encode4(769435), // Rule ID 14364 //
     /*  769362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  769373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  769376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  769379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  769382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769408 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  769408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769433 */     GIR_RootConstrainSelectedInstOperands,
     /*  769434 */     // GIR_Coverage, 14364,
     /*  769434 */     GIR_EraseRootFromParent_Done,
     /*  769435 */   // Label 11989: @769435
     /*  769435 */   GIM_Try, /*On fail goto*//*Label 11990*/ GIMT_Encode4(769513), // Rule ID 14365 //
     /*  769440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  769451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  769454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  769457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  769460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  769486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  769505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769508 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769511 */     GIR_RootConstrainSelectedInstOperands,
     /*  769512 */     // GIR_Coverage, 14365,
     /*  769512 */     GIR_EraseRootFromParent_Done,
     /*  769513 */   // Label 11990: @769513
     /*  769513 */   GIM_Try, /*On fail goto*//*Label 11991*/ GIMT_Encode4(769591), // Rule ID 14368 //
     /*  769518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  769529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  769532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  769535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  769538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769564 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769589 */     GIR_RootConstrainSelectedInstOperands,
     /*  769590 */     // GIR_Coverage, 14368,
     /*  769590 */     GIR_EraseRootFromParent_Done,
     /*  769591 */   // Label 11991: @769591
     /*  769591 */   GIM_Try, /*On fail goto*//*Label 11992*/ GIMT_Encode4(769669), // Rule ID 14369 //
     /*  769596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  769607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  769610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  769613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  769616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  769635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  769645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769667 */     GIR_RootConstrainSelectedInstOperands,
     /*  769668 */     // GIR_Coverage, 14369,
     /*  769668 */     GIR_EraseRootFromParent_Done,
     /*  769669 */   // Label 11992: @769669
     /*  769669 */   GIM_Try, /*On fail goto*//*Label 11993*/ GIMT_Encode4(769747), // Rule ID 14372 //
     /*  769674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  769685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  769688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  769691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  769694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769745 */     GIR_RootConstrainSelectedInstOperands,
     /*  769746 */     // GIR_Coverage, 14372,
     /*  769746 */     GIR_EraseRootFromParent_Done,
     /*  769747 */   // Label 11993: @769747
     /*  769747 */   GIM_Try, /*On fail goto*//*Label 11994*/ GIMT_Encode4(769825), // Rule ID 14373 //
     /*  769752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  769763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  769766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  769769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  769772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  769791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  769801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769820 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769823 */     GIR_RootConstrainSelectedInstOperands,
     /*  769824 */     // GIR_Coverage, 14373,
     /*  769824 */     GIR_EraseRootFromParent_Done,
     /*  769825 */   // Label 11994: @769825
     /*  769825 */   GIM_Try, /*On fail goto*//*Label 11995*/ GIMT_Encode4(769903), // Rule ID 14376 //
     /*  769830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  769850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  769853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  769876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769898 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769901 */     GIR_RootConstrainSelectedInstOperands,
     /*  769902 */     // GIR_Coverage, 14376,
     /*  769902 */     GIR_EraseRootFromParent_Done,
     /*  769903 */   // Label 11995: @769903
     /*  769903 */   GIM_Try, /*On fail goto*//*Label 11996*/ GIMT_Encode4(769981), // Rule ID 14377 //
     /*  769908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  769911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  769919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  769922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  769925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  769928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  769931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  769947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  769954 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  769954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  769957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  769959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  769961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  769963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  769965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  769970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  769973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  769976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  769979 */     GIR_RootConstrainSelectedInstOperands,
     /*  769980 */     // GIR_Coverage, 14377,
     /*  769980 */     GIR_EraseRootFromParent_Done,
     /*  769981 */   // Label 11996: @769981
     /*  769981 */   GIM_Try, /*On fail goto*//*Label 11997*/ GIMT_Encode4(770059), // Rule ID 14380 //
     /*  769986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  769989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  769994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  769997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  770000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  770003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  770006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770032 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  770035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770054 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770057 */     GIR_RootConstrainSelectedInstOperands,
     /*  770058 */     // GIR_Coverage, 14380,
     /*  770058 */     GIR_EraseRootFromParent_Done,
     /*  770059 */   // Label 11997: @770059
     /*  770059 */   GIM_Try, /*On fail goto*//*Label 11998*/ GIMT_Encode4(770137), // Rule ID 14381 //
     /*  770064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  770075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  770078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  770081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  770084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770110 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  770113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770132 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770135 */     GIR_RootConstrainSelectedInstOperands,
     /*  770136 */     // GIR_Coverage, 14381,
     /*  770136 */     GIR_EraseRootFromParent_Done,
     /*  770137 */   // Label 11998: @770137
     /*  770137 */   GIM_Try, /*On fail goto*//*Label 11999*/ GIMT_Encode4(770215), // Rule ID 14384 //
     /*  770142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  770153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  770156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  770159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  770162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  770191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770213 */     GIR_RootConstrainSelectedInstOperands,
     /*  770214 */     // GIR_Coverage, 14384,
     /*  770214 */     GIR_EraseRootFromParent_Done,
     /*  770215 */   // Label 11999: @770215
     /*  770215 */   GIM_Try, /*On fail goto*//*Label 12000*/ GIMT_Encode4(770293), // Rule ID 14385 //
     /*  770220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  770231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  770234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  770237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  770240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  770269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770288 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770291 */     GIR_RootConstrainSelectedInstOperands,
     /*  770292 */     // GIR_Coverage, 14385,
     /*  770292 */     GIR_EraseRootFromParent_Done,
     /*  770293 */   // Label 12000: @770293
     /*  770293 */   GIM_Try, /*On fail goto*//*Label 12001*/ GIMT_Encode4(770371), // Rule ID 14388 //
     /*  770298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  770309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  770312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  770315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  770318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770344 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  770344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  770347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770369 */     GIR_RootConstrainSelectedInstOperands,
     /*  770370 */     // GIR_Coverage, 14388,
     /*  770370 */     GIR_EraseRootFromParent_Done,
     /*  770371 */   // Label 12001: @770371
     /*  770371 */   GIM_Try, /*On fail goto*//*Label 12002*/ GIMT_Encode4(770449), // Rule ID 14389 //
     /*  770376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  770379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  770387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  770390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  770393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  770396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  770422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  770425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  770441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770447 */     GIR_RootConstrainSelectedInstOperands,
     /*  770448 */     // GIR_Coverage, 14389,
     /*  770448 */     GIR_EraseRootFromParent_Done,
     /*  770449 */   // Label 12002: @770449
     /*  770449 */   GIM_Try, /*On fail goto*//*Label 12003*/ GIMT_Encode4(770527), // Rule ID 14392 //
     /*  770454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  770465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  770468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  770471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  770474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  770503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770525 */     GIR_RootConstrainSelectedInstOperands,
     /*  770526 */     // GIR_Coverage, 14392,
     /*  770526 */     GIR_EraseRootFromParent_Done,
     /*  770527 */   // Label 12003: @770527
     /*  770527 */   GIM_Try, /*On fail goto*//*Label 12004*/ GIMT_Encode4(770605), // Rule ID 14393 //
     /*  770532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  770543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  770546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  770549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  770552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  770571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /*  770581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770603 */     GIR_RootConstrainSelectedInstOperands,
     /*  770604 */     // GIR_Coverage, 14393,
     /*  770604 */     GIR_EraseRootFromParent_Done,
     /*  770605 */   // Label 12004: @770605
     /*  770605 */   GIM_Try, /*On fail goto*//*Label 12005*/ GIMT_Encode4(770683), // Rule ID 14396 //
     /*  770610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  770621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  770624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  770627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  770630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  770659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770681 */     GIR_RootConstrainSelectedInstOperands,
     /*  770682 */     // GIR_Coverage, 14396,
     /*  770682 */     GIR_EraseRootFromParent_Done,
     /*  770683 */   // Label 12005: @770683
     /*  770683 */   GIM_Try, /*On fail goto*//*Label 12006*/ GIMT_Encode4(770761), // Rule ID 14397 //
     /*  770688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  770699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  770702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  770705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  770708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  770727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770734 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /*  770737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770756 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770759 */     GIR_RootConstrainSelectedInstOperands,
     /*  770760 */     // GIR_Coverage, 14397,
     /*  770760 */     GIR_EraseRootFromParent_Done,
     /*  770761 */   // Label 12006: @770761
     /*  770761 */   GIM_Try, /*On fail goto*//*Label 12007*/ GIMT_Encode4(770839), // Rule ID 14400 //
     /*  770766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  770769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  770777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  770780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  770783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  770786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  770812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  770815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770837 */     GIR_RootConstrainSelectedInstOperands,
     /*  770838 */     // GIR_Coverage, 14400,
     /*  770838 */     GIR_EraseRootFromParent_Done,
     /*  770839 */   // Label 12007: @770839
     /*  770839 */   GIM_Try, /*On fail goto*//*Label 12008*/ GIMT_Encode4(770917), // Rule ID 14401 //
     /*  770844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  770847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  770855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  770858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  770861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  770864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  770867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  770883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  770890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /*  770893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  770909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770912 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770915 */     GIR_RootConstrainSelectedInstOperands,
     /*  770916 */     // GIR_Coverage, 14401,
     /*  770916 */     GIR_EraseRootFromParent_Done,
     /*  770917 */   // Label 12008: @770917
     /*  770917 */   GIM_Try, /*On fail goto*//*Label 12009*/ GIMT_Encode4(770995), // Rule ID 14404 //
     /*  770922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  770925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  770930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  770933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  770936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  770939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  770942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  770945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  770957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  770961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  770968 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  770968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  770971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  770973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  770975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  770977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  770979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  770984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  770987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  770990 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  770993 */     GIR_RootConstrainSelectedInstOperands,
     /*  770994 */     // GIR_Coverage, 14404,
     /*  770994 */     GIR_EraseRootFromParent_Done,
     /*  770995 */   // Label 12009: @770995
     /*  770995 */   GIM_Try, /*On fail goto*//*Label 12010*/ GIMT_Encode4(771073), // Rule ID 14405 //
     /*  771000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  771011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  771014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  771017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8),
     /*  771049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771068 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771071 */     GIR_RootConstrainSelectedInstOperands,
     /*  771072 */     // GIR_Coverage, 14405,
     /*  771072 */     GIR_EraseRootFromParent_Done,
     /*  771073 */   // Label 12010: @771073
     /*  771073 */   GIM_Try, /*On fail goto*//*Label 12011*/ GIMT_Encode4(771151), // Rule ID 14408 //
     /*  771078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  771089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  771092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  771095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  771127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771149 */     GIR_RootConstrainSelectedInstOperands,
     /*  771150 */     // GIR_Coverage, 14408,
     /*  771150 */     GIR_EraseRootFromParent_Done,
     /*  771151 */   // Label 12011: @771151
     /*  771151 */   GIM_Try, /*On fail goto*//*Label 12012*/ GIMT_Encode4(771229), // Rule ID 14409 //
     /*  771156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  771167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  771170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  771173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771202 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  771205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771227 */     GIR_RootConstrainSelectedInstOperands,
     /*  771228 */     // GIR_Coverage, 14409,
     /*  771228 */     GIR_EraseRootFromParent_Done,
     /*  771229 */   // Label 12012: @771229
     /*  771229 */   GIM_Try, /*On fail goto*//*Label 12013*/ GIMT_Encode4(771307), // Rule ID 14412 //
     /*  771234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  771245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  771248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  771251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771280 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771305 */     GIR_RootConstrainSelectedInstOperands,
     /*  771306 */     // GIR_Coverage, 14412,
     /*  771306 */     GIR_EraseRootFromParent_Done,
     /*  771307 */   // Label 12013: @771307
     /*  771307 */   GIM_Try, /*On fail goto*//*Label 12014*/ GIMT_Encode4(771385), // Rule ID 14413 //
     /*  771312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  771323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  771326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  771329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771358 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771383 */     GIR_RootConstrainSelectedInstOperands,
     /*  771384 */     // GIR_Coverage, 14413,
     /*  771384 */     GIR_EraseRootFromParent_Done,
     /*  771385 */   // Label 12014: @771385
     /*  771385 */   GIM_Try, /*On fail goto*//*Label 12015*/ GIMT_Encode4(771463), // Rule ID 14416 //
     /*  771390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  771401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  771404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  771407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  771439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771461 */     GIR_RootConstrainSelectedInstOperands,
     /*  771462 */     // GIR_Coverage, 14416,
     /*  771462 */     GIR_EraseRootFromParent_Done,
     /*  771463 */   // Label 12015: @771463
     /*  771463 */   GIM_Try, /*On fail goto*//*Label 12016*/ GIMT_Encode4(771541), // Rule ID 14417 //
     /*  771468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  771479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  771482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  771485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4),
     /*  771517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771536 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771539 */     GIR_RootConstrainSelectedInstOperands,
     /*  771540 */     // GIR_Coverage, 14417,
     /*  771540 */     GIR_EraseRootFromParent_Done,
     /*  771541 */   // Label 12016: @771541
     /*  771541 */   GIM_Try, /*On fail goto*//*Label 12017*/ GIMT_Encode4(771619), // Rule ID 14420 //
     /*  771546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  771557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  771560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  771563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771592 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  771592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771614 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771617 */     GIR_RootConstrainSelectedInstOperands,
     /*  771618 */     // GIR_Coverage, 14420,
     /*  771618 */     GIR_EraseRootFromParent_Done,
     /*  771619 */   // Label 12017: @771619
     /*  771619 */   GIM_Try, /*On fail goto*//*Label 12018*/ GIMT_Encode4(771697), // Rule ID 14421 //
     /*  771624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  771635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  771638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  771641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771670 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  771670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  771689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771695 */     GIR_RootConstrainSelectedInstOperands,
     /*  771696 */     // GIR_Coverage, 14421,
     /*  771696 */     GIR_EraseRootFromParent_Done,
     /*  771697 */   // Label 12018: @771697
     /*  771697 */   GIM_Try, /*On fail goto*//*Label 12019*/ GIMT_Encode4(771775), // Rule ID 14424 //
     /*  771702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771748 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  771748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771770 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771773 */     GIR_RootConstrainSelectedInstOperands,
     /*  771774 */     // GIR_Coverage, 14424,
     /*  771774 */     GIR_EraseRootFromParent_Done,
     /*  771775 */   // Label 12019: @771775
     /*  771775 */   GIM_Try, /*On fail goto*//*Label 12020*/ GIMT_Encode4(771853), // Rule ID 14425 //
     /*  771780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  771791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  771794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  771797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  771826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2),
     /*  771829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  771845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771851 */     GIR_RootConstrainSelectedInstOperands,
     /*  771852 */     // GIR_Coverage, 14425,
     /*  771852 */     GIR_EraseRootFromParent_Done,
     /*  771853 */   // Label 12020: @771853
     /*  771853 */   GIM_Try, /*On fail goto*//*Label 12021*/ GIMT_Encode4(771931), // Rule ID 14428 //
     /*  771858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  771861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  771878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  771881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771904 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  771904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  771923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  771926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  771929 */     GIR_RootConstrainSelectedInstOperands,
     /*  771930 */     // GIR_Coverage, 14428,
     /*  771930 */     GIR_EraseRootFromParent_Done,
     /*  771931 */   // Label 12021: @771931
     /*  771931 */   GIM_Try, /*On fail goto*//*Label 12022*/ GIMT_Encode4(772009), // Rule ID 14429 //
     /*  771936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  771939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  771944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  771947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  771950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  771953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  771956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  771959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  771971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  771975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  771982 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11531:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  771982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  771985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  771987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  771989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  771991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  771993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  771998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772007 */     GIR_RootConstrainSelectedInstOperands,
     /*  772008 */     // GIR_Coverage, 14429,
     /*  772008 */     GIR_EraseRootFromParent_Done,
     /*  772009 */   // Label 12022: @772009
     /*  772009 */   GIM_Try, /*On fail goto*//*Label 12023*/ GIMT_Encode4(772087), // Rule ID 14432 //
     /*  772014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  772025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  772028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  772031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  772063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772085 */     GIR_RootConstrainSelectedInstOperands,
     /*  772086 */     // GIR_Coverage, 14432,
     /*  772086 */     GIR_EraseRootFromParent_Done,
     /*  772087 */   // Label 12023: @772087
     /*  772087 */   GIM_Try, /*On fail goto*//*Label 12024*/ GIMT_Encode4(772165), // Rule ID 14433 //
     /*  772092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  772103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  772106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  772109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11531:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  772138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  772141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  772157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772163 */     GIR_RootConstrainSelectedInstOperands,
     /*  772164 */     // GIR_Coverage, 14433,
     /*  772164 */     GIR_EraseRootFromParent_Done,
     /*  772165 */   // Label 12024: @772165
     /*  772165 */   GIM_Try, /*On fail goto*//*Label 12025*/ GIMT_Encode4(772243), // Rule ID 14436 //
     /*  772170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  772181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  772184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  772187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772216 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  772216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  772219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772238 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772241 */     GIR_RootConstrainSelectedInstOperands,
     /*  772242 */     // GIR_Coverage, 14436,
     /*  772242 */     GIR_EraseRootFromParent_Done,
     /*  772243 */   // Label 12025: @772243
     /*  772243 */   GIM_Try, /*On fail goto*//*Label 12026*/ GIMT_Encode4(772321), // Rule ID 14437 //
     /*  772248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  772259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  772262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  772265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11531:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  772294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  772297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  772313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772319 */     GIR_RootConstrainSelectedInstOperands,
     /*  772320 */     // GIR_Coverage, 14437,
     /*  772320 */     GIR_EraseRootFromParent_Done,
     /*  772321 */   // Label 12026: @772321
     /*  772321 */   GIM_Try, /*On fail goto*//*Label 12027*/ GIMT_Encode4(772399), // Rule ID 14440 //
     /*  772326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  772329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  772337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  772340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  772343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772372 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  772372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  772375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772394 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772397 */     GIR_RootConstrainSelectedInstOperands,
     /*  772398 */     // GIR_Coverage, 14440,
     /*  772398 */     GIR_EraseRootFromParent_Done,
     /*  772399 */   // Label 12027: @772399
     /*  772399 */   GIM_Try, /*On fail goto*//*Label 12028*/ GIMT_Encode4(772477), // Rule ID 14441 //
     /*  772404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  772407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  772415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  772418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  772421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  772439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11531:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  772450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1),
     /*  772453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  772469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772472 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772475 */     GIR_RootConstrainSelectedInstOperands,
     /*  772476 */     // GIR_Coverage, 14441,
     /*  772476 */     GIR_EraseRootFromParent_Done,
     /*  772477 */   // Label 12028: @772477
     /*  772477 */   GIM_Try, /*On fail goto*//*Label 12029*/ GIMT_Encode4(772555), // Rule ID 14444 //
     /*  772482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  772493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  772496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  772499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772528 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772553 */     GIR_RootConstrainSelectedInstOperands,
     /*  772554 */     // GIR_Coverage, 14444,
     /*  772554 */     GIR_EraseRootFromParent_Done,
     /*  772555 */   // Label 12029: @772555
     /*  772555 */   GIM_Try, /*On fail goto*//*Label 12030*/ GIMT_Encode4(772633), // Rule ID 14445 //
     /*  772560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  772571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  772574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  772577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772606 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772631 */     GIR_RootConstrainSelectedInstOperands,
     /*  772632 */     // GIR_Coverage, 14445,
     /*  772632 */     GIR_EraseRootFromParent_Done,
     /*  772633 */   // Label 12030: @772633
     /*  772633 */   GIM_Try, /*On fail goto*//*Label 12031*/ GIMT_Encode4(772711), // Rule ID 14448 //
     /*  772638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  772649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  772652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  772655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772709 */     GIR_RootConstrainSelectedInstOperands,
     /*  772710 */     // GIR_Coverage, 14448,
     /*  772710 */     GIR_EraseRootFromParent_Done,
     /*  772711 */   // Label 12031: @772711
     /*  772711 */   GIM_Try, /*On fail goto*//*Label 12032*/ GIMT_Encode4(772789), // Rule ID 14449 //
     /*  772716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  772727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  772730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  772733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  772751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772762 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  772765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772787 */     GIR_RootConstrainSelectedInstOperands,
     /*  772788 */     // GIR_Coverage, 14449,
     /*  772788 */     GIR_EraseRootFromParent_Done,
     /*  772789 */   // Label 12032: @772789
     /*  772789 */   GIM_Try, /*On fail goto*//*Label 12033*/ GIMT_Encode4(772867), // Rule ID 14452 //
     /*  772794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772840 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  772840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772865 */     GIR_RootConstrainSelectedInstOperands,
     /*  772866 */     // GIR_Coverage, 14452,
     /*  772866 */     GIR_EraseRootFromParent_Done,
     /*  772867 */   // Label 12033: @772867
     /*  772867 */   GIM_Try, /*On fail goto*//*Label 12034*/ GIMT_Encode4(772945), // Rule ID 14453 //
     /*  772872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  772875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  772883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  772886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  772889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  772892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  772895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  772907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772918 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  772918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  772921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  772923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  772925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  772927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  772929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  772934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  772937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  772940 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  772943 */     GIR_RootConstrainSelectedInstOperands,
     /*  772944 */     // GIR_Coverage, 14453,
     /*  772944 */     GIR_EraseRootFromParent_Done,
     /*  772945 */   // Label 12034: @772945
     /*  772945 */   GIM_Try, /*On fail goto*//*Label 12035*/ GIMT_Encode4(773023), // Rule ID 14456 //
     /*  772950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  772953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  772958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  772961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  772964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  772967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  772970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  772973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  772985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  772989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  772996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  772996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  772999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773018 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773021 */     GIR_RootConstrainSelectedInstOperands,
     /*  773022 */     // GIR_Coverage, 14456,
     /*  773022 */     GIR_EraseRootFromParent_Done,
     /*  773023 */   // Label 12035: @773023
     /*  773023 */   GIM_Try, /*On fail goto*//*Label 12036*/ GIMT_Encode4(773101), // Rule ID 14457 //
     /*  773028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  773039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  773042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  773045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773074 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773096 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773099 */     GIR_RootConstrainSelectedInstOperands,
     /*  773100 */     // GIR_Coverage, 14457,
     /*  773100 */     GIR_EraseRootFromParent_Done,
     /*  773101 */   // Label 12036: @773101
     /*  773101 */   GIM_Try, /*On fail goto*//*Label 12037*/ GIMT_Encode4(773179), // Rule ID 14460 //
     /*  773106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  773117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  773120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  773123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773152 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773177 */     GIR_RootConstrainSelectedInstOperands,
     /*  773178 */     // GIR_Coverage, 14460,
     /*  773178 */     GIR_EraseRootFromParent_Done,
     /*  773179 */   // Label 12037: @773179
     /*  773179 */   GIM_Try, /*On fail goto*//*Label 12038*/ GIMT_Encode4(773257), // Rule ID 14461 //
     /*  773184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  773195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  773198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  773201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773230 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773252 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773255 */     GIR_RootConstrainSelectedInstOperands,
     /*  773256 */     // GIR_Coverage, 14461,
     /*  773256 */     GIR_EraseRootFromParent_Done,
     /*  773257 */   // Label 12038: @773257
     /*  773257 */   GIM_Try, /*On fail goto*//*Label 12039*/ GIMT_Encode4(773335), // Rule ID 14464 //
     /*  773262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  773273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  773276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  773279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773308 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  773308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773333 */     GIR_RootConstrainSelectedInstOperands,
     /*  773334 */     // GIR_Coverage, 14464,
     /*  773334 */     GIR_EraseRootFromParent_Done,
     /*  773335 */   // Label 12039: @773335
     /*  773335 */   GIM_Try, /*On fail goto*//*Label 12040*/ GIMT_Encode4(773413), // Rule ID 14465 //
     /*  773340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  773351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  773354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  773357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  773386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  773405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773411 */     GIR_RootConstrainSelectedInstOperands,
     /*  773412 */     // GIR_Coverage, 14465,
     /*  773412 */     GIR_EraseRootFromParent_Done,
     /*  773413 */   // Label 12040: @773413
     /*  773413 */   GIM_Try, /*On fail goto*//*Label 12041*/ GIMT_Encode4(773491), // Rule ID 14468 //
     /*  773418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773489 */     GIR_RootConstrainSelectedInstOperands,
     /*  773490 */     // GIR_Coverage, 14468,
     /*  773490 */     GIR_EraseRootFromParent_Done,
     /*  773491 */   // Label 12041: @773491
     /*  773491 */   GIM_Try, /*On fail goto*//*Label 12042*/ GIMT_Encode4(773569), // Rule ID 14469 //
     /*  773496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  773507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  773510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  773513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773542 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773567 */     GIR_RootConstrainSelectedInstOperands,
     /*  773568 */     // GIR_Coverage, 14469,
     /*  773568 */     GIR_EraseRootFromParent_Done,
     /*  773569 */   // Label 12042: @773569
     /*  773569 */   GIM_Try, /*On fail goto*//*Label 12043*/ GIMT_Encode4(773647), // Rule ID 14472 //
     /*  773574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  773585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  773588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  773591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773642 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773645 */     GIR_RootConstrainSelectedInstOperands,
     /*  773646 */     // GIR_Coverage, 14472,
     /*  773646 */     GIR_EraseRootFromParent_Done,
     /*  773647 */   // Label 12043: @773647
     /*  773647 */   GIM_Try, /*On fail goto*//*Label 12044*/ GIMT_Encode4(773725), // Rule ID 14473 //
     /*  773652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  773663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  773666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  773669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  773687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773698 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  773701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773723 */     GIR_RootConstrainSelectedInstOperands,
     /*  773724 */     // GIR_Coverage, 14473,
     /*  773724 */     GIR_EraseRootFromParent_Done,
     /*  773725 */   // Label 12044: @773725
     /*  773725 */   GIM_Try, /*On fail goto*//*Label 12045*/ GIMT_Encode4(773803), // Rule ID 14476 //
     /*  773730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  773733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  773776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773798 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773801 */     GIR_RootConstrainSelectedInstOperands,
     /*  773802 */     // GIR_Coverage, 14476,
     /*  773802 */     GIR_EraseRootFromParent_Done,
     /*  773803 */   // Label 12045: @773803
     /*  773803 */   GIM_Try, /*On fail goto*//*Label 12046*/ GIMT_Encode4(773881), // Rule ID 14477 //
     /*  773808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  773811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  773819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  773822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  773825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  773843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  773854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  773857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  773873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773876 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773879 */     GIR_RootConstrainSelectedInstOperands,
     /*  773880 */     // GIR_Coverage, 14477,
     /*  773880 */     GIR_EraseRootFromParent_Done,
     /*  773881 */   // Label 12046: @773881
     /*  773881 */   GIM_Try, /*On fail goto*//*Label 12047*/ GIMT_Encode4(773959), // Rule ID 14480 //
     /*  773886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  773889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  773906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  773909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  773925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  773932 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  773932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  773935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  773937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  773939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  773941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  773943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  773948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  773951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  773954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  773957 */     GIR_RootConstrainSelectedInstOperands,
     /*  773958 */     // GIR_Coverage, 14480,
     /*  773958 */     GIR_EraseRootFromParent_Done,
     /*  773959 */   // Label 12047: @773959
     /*  773959 */   GIM_Try, /*On fail goto*//*Label 12048*/ GIMT_Encode4(774037), // Rule ID 14481 //
     /*  773964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  773967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  773972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  773975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  773978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  773981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  773984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  773987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  773999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11531:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2),
     /*  774013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774035 */     GIR_RootConstrainSelectedInstOperands,
     /*  774036 */     // GIR_Coverage, 14481,
     /*  774036 */     GIR_EraseRootFromParent_Done,
     /*  774037 */   // Label 12048: @774037
     /*  774037 */   GIM_Try, /*On fail goto*//*Label 12049*/ GIMT_Encode4(774115), // Rule ID 14484 //
     /*  774042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  774050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  774053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  774056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  774059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774088 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  774091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774113 */     GIR_RootConstrainSelectedInstOperands,
     /*  774114 */     // GIR_Coverage, 14484,
     /*  774114 */     GIR_EraseRootFromParent_Done,
     /*  774115 */   // Label 12049: @774115
     /*  774115 */   GIM_Try, /*On fail goto*//*Label 12050*/ GIMT_Encode4(774193), // Rule ID 14485 //
     /*  774120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  774128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  774131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  774134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  774137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  774155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11531:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4),
     /*  774169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774191 */     GIR_RootConstrainSelectedInstOperands,
     /*  774192 */     // GIR_Coverage, 14485,
     /*  774192 */     GIR_EraseRootFromParent_Done,
     /*  774193 */   // Label 12050: @774193
     /*  774193 */   GIM_Try, /*On fail goto*//*Label 12051*/ GIMT_Encode4(774271), // Rule ID 14488 //
     /*  774198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  774201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  774206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  774209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  774212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  774215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  774218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774244 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  774244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  774247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774269 */     GIR_RootConstrainSelectedInstOperands,
     /*  774270 */     // GIR_Coverage, 14488,
     /*  774270 */     GIR_EraseRootFromParent_Done,
     /*  774271 */   // Label 12051: @774271
     /*  774271 */   GIM_Try, /*On fail goto*//*Label 12052*/ GIMT_Encode4(774349), // Rule ID 14489 //
     /*  774276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  774279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd),
     /*  774284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  774287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  774290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  774293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  774296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  774311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  774315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11531:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  774322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8),
     /*  774325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  774341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774347 */     GIR_RootConstrainSelectedInstOperands,
     /*  774348 */     // GIR_Coverage, 14489,
     /*  774348 */     GIR_EraseRootFromParent_Done,
     /*  774349 */   // Label 12052: @774349
     /*  774349 */   GIM_Try, /*On fail goto*//*Label 12053*/ GIMT_Encode4(774427), // Rule ID 14580 //
     /*  774354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  774365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  774368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  774371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  774374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774400 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  774403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774425 */     GIR_RootConstrainSelectedInstOperands,
     /*  774426 */     // GIR_Coverage, 14580,
     /*  774426 */     GIR_EraseRootFromParent_Done,
     /*  774427 */   // Label 12053: @774427
     /*  774427 */   GIM_Try, /*On fail goto*//*Label 12054*/ GIMT_Encode4(774505), // Rule ID 14581 //
     /*  774432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  774443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  774446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  774449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  774452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /*  774481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774500 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774503 */     GIR_RootConstrainSelectedInstOperands,
     /*  774504 */     // GIR_Coverage, 14581,
     /*  774504 */     GIR_EraseRootFromParent_Done,
     /*  774505 */   // Label 12054: @774505
     /*  774505 */   GIM_Try, /*On fail goto*//*Label 12055*/ GIMT_Encode4(774583), // Rule ID 14584 //
     /*  774510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  774521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  774524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  774527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  774530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774578 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774581 */     GIR_RootConstrainSelectedInstOperands,
     /*  774582 */     // GIR_Coverage, 14584,
     /*  774582 */     GIR_EraseRootFromParent_Done,
     /*  774583 */   // Label 12055: @774583
     /*  774583 */   GIM_Try, /*On fail goto*//*Label 12056*/ GIMT_Encode4(774661), // Rule ID 14585 //
     /*  774588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  774599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  774602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  774605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  774608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774634 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774659 */     GIR_RootConstrainSelectedInstOperands,
     /*  774660 */     // GIR_Coverage, 14585,
     /*  774660 */     GIR_EraseRootFromParent_Done,
     /*  774661 */   // Label 12056: @774661
     /*  774661 */   GIM_Try, /*On fail goto*//*Label 12057*/ GIMT_Encode4(774739), // Rule ID 14588 //
     /*  774666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  774677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  774680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  774683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  774686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774712 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  774712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774734 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774737 */     GIR_RootConstrainSelectedInstOperands,
     /*  774738 */     // GIR_Coverage, 14588,
     /*  774738 */     GIR_EraseRootFromParent_Done,
     /*  774739 */   // Label 12057: @774739
     /*  774739 */   GIM_Try, /*On fail goto*//*Label 12058*/ GIMT_Encode4(774817), // Rule ID 14589 //
     /*  774744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  774755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  774758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  774761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  774764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774790 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  774790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  774793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  774809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774812 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774815 */     GIR_RootConstrainSelectedInstOperands,
     /*  774816 */     // GIR_Coverage, 14589,
     /*  774816 */     GIR_EraseRootFromParent_Done,
     /*  774817 */   // Label 12058: @774817
     /*  774817 */   GIM_Try, /*On fail goto*//*Label 12059*/ GIMT_Encode4(774895), // Rule ID 14592 //
     /*  774822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  774845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774868 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  774868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774893 */     GIR_RootConstrainSelectedInstOperands,
     /*  774894 */     // GIR_Coverage, 14592,
     /*  774894 */     GIR_EraseRootFromParent_Done,
     /*  774895 */   // Label 12059: @774895
     /*  774895 */   GIM_Try, /*On fail goto*//*Label 12060*/ GIMT_Encode4(774973), // Rule ID 14593 //
     /*  774900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  774903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  774911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  774914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  774917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  774920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  774923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  774939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  774946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  774946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /*  774949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  774951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  774953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  774955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  774957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  774962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  774965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  774968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  774971 */     GIR_RootConstrainSelectedInstOperands,
     /*  774972 */     // GIR_Coverage, 14593,
     /*  774972 */     GIR_EraseRootFromParent_Done,
     /*  774973 */   // Label 12060: @774973
     /*  774973 */   GIM_Try, /*On fail goto*//*Label 12061*/ GIMT_Encode4(775051), // Rule ID 14596 //
     /*  774978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  774981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  774986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  774989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  774992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  774995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  774998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775024 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  775027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775049 */     GIR_RootConstrainSelectedInstOperands,
     /*  775050 */     // GIR_Coverage, 14596,
     /*  775050 */     GIR_EraseRootFromParent_Done,
     /*  775051 */   // Label 12061: @775051
     /*  775051 */   GIM_Try, /*On fail goto*//*Label 12062*/ GIMT_Encode4(775129), // Rule ID 14597 //
     /*  775056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  775067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  775070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  775073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  775076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  775105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775127 */     GIR_RootConstrainSelectedInstOperands,
     /*  775128 */     // GIR_Coverage, 14597,
     /*  775128 */     GIR_EraseRootFromParent_Done,
     /*  775129 */   // Label 12062: @775129
     /*  775129 */   GIM_Try, /*On fail goto*//*Label 12063*/ GIMT_Encode4(775207), // Rule ID 14600 //
     /*  775134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  775145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  775148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  775151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  775154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775180 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  775183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775205 */     GIR_RootConstrainSelectedInstOperands,
     /*  775206 */     // GIR_Coverage, 14600,
     /*  775206 */     GIR_EraseRootFromParent_Done,
     /*  775207 */   // Label 12063: @775207
     /*  775207 */   GIM_Try, /*On fail goto*//*Label 12064*/ GIMT_Encode4(775285), // Rule ID 14601 //
     /*  775212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  775223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  775226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  775229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  775232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /*  775261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775280 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775283 */     GIR_RootConstrainSelectedInstOperands,
     /*  775284 */     // GIR_Coverage, 14601,
     /*  775284 */     GIR_EraseRootFromParent_Done,
     /*  775285 */   // Label 12064: @775285
     /*  775285 */   GIM_Try, /*On fail goto*//*Label 12065*/ GIMT_Encode4(775363), // Rule ID 14604 //
     /*  775290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  775301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  775304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  775307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  775310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775361 */     GIR_RootConstrainSelectedInstOperands,
     /*  775362 */     // GIR_Coverage, 14604,
     /*  775362 */     GIR_EraseRootFromParent_Done,
     /*  775363 */   // Label 12065: @775363
     /*  775363 */   GIM_Try, /*On fail goto*//*Label 12066*/ GIMT_Encode4(775441), // Rule ID 14605 //
     /*  775368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  775379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  775382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  775385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  775388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775414 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  775414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775439 */     GIR_RootConstrainSelectedInstOperands,
     /*  775440 */     // GIR_Coverage, 14605,
     /*  775440 */     GIR_EraseRootFromParent_Done,
     /*  775441 */   // Label 12066: @775441
     /*  775441 */   GIM_Try, /*On fail goto*//*Label 12067*/ GIMT_Encode4(775519), // Rule ID 14608 //
     /*  775446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  775492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775514 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775517 */     GIR_RootConstrainSelectedInstOperands,
     /*  775518 */     // GIR_Coverage, 14608,
     /*  775518 */     GIR_EraseRootFromParent_Done,
     /*  775519 */   // Label 12067: @775519
     /*  775519 */   GIM_Try, /*On fail goto*//*Label 12068*/ GIMT_Encode4(775597), // Rule ID 14609 //
     /*  775524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  775535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  775538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  775541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  775544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  775570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  775589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775592 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775595 */     GIR_RootConstrainSelectedInstOperands,
     /*  775596 */     // GIR_Coverage, 14609,
     /*  775596 */     GIR_EraseRootFromParent_Done,
     /*  775597 */   // Label 12068: @775597
     /*  775597 */   GIM_Try, /*On fail goto*//*Label 12069*/ GIMT_Encode4(775675), // Rule ID 14612 //
     /*  775602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  775613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  775616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  775619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  775622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775648 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  775648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775673 */     GIR_RootConstrainSelectedInstOperands,
     /*  775674 */     // GIR_Coverage, 14612,
     /*  775674 */     GIR_EraseRootFromParent_Done,
     /*  775675 */   // Label 12069: @775675
     /*  775675 */   GIM_Try, /*On fail goto*//*Label 12070*/ GIMT_Encode4(775753), // Rule ID 14613 //
     /*  775680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  775691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  775694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  775697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  775700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  775726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  775745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775751 */     GIR_RootConstrainSelectedInstOperands,
     /*  775752 */     // GIR_Coverage, 14613,
     /*  775752 */     GIR_EraseRootFromParent_Done,
     /*  775753 */   // Label 12070: @775753
     /*  775753 */   GIM_Try, /*On fail goto*//*Label 12071*/ GIMT_Encode4(775831), // Rule ID 14616 //
     /*  775758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  775761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  775769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  775772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  775775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  775778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  775804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775829 */     GIR_RootConstrainSelectedInstOperands,
     /*  775830 */     // GIR_Coverage, 14616,
     /*  775830 */     GIR_EraseRootFromParent_Done,
     /*  775831 */   // Label 12071: @775831
     /*  775831 */   GIM_Try, /*On fail goto*//*Label 12072*/ GIMT_Encode4(775909), // Rule ID 14617 //
     /*  775836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  775839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  775847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  775850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  775853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  775856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  775859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  775875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775882 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  775882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /*  775885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  775901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775907 */     GIR_RootConstrainSelectedInstOperands,
     /*  775908 */     // GIR_Coverage, 14617,
     /*  775908 */     GIR_EraseRootFromParent_Done,
     /*  775909 */   // Label 12072: @775909
     /*  775909 */   GIM_Try, /*On fail goto*//*Label 12073*/ GIMT_Encode4(775987), // Rule ID 14620 //
     /*  775914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  775917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  775922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  775925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  775928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  775931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  775934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  775937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  775953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  775960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  775960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  775963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  775965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  775967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  775969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  775971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  775976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  775979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  775982 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  775985 */     GIR_RootConstrainSelectedInstOperands,
     /*  775986 */     // GIR_Coverage, 14620,
     /*  775986 */     GIR_EraseRootFromParent_Done,
     /*  775987 */   // Label 12073: @775987
     /*  775987 */   GIM_Try, /*On fail goto*//*Label 12074*/ GIMT_Encode4(776065), // Rule ID 14621 //
     /*  775992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  775995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  776003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  776006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  776009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  776012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776038 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776063 */     GIR_RootConstrainSelectedInstOperands,
     /*  776064 */     // GIR_Coverage, 14621,
     /*  776064 */     GIR_EraseRootFromParent_Done,
     /*  776065 */   // Label 12074: @776065
     /*  776065 */   GIM_Try, /*On fail goto*//*Label 12075*/ GIMT_Encode4(776143), // Rule ID 14624 //
     /*  776070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  776081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  776084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  776087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  776090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776116 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776138 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776141 */     GIR_RootConstrainSelectedInstOperands,
     /*  776142 */     // GIR_Coverage, 14624,
     /*  776142 */     GIR_EraseRootFromParent_Done,
     /*  776143 */   // Label 12075: @776143
     /*  776143 */   GIM_Try, /*On fail goto*//*Label 12076*/ GIMT_Encode4(776221), // Rule ID 14625 //
     /*  776148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  776159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  776162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  776165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  776168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776194 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776219 */     GIR_RootConstrainSelectedInstOperands,
     /*  776220 */     // GIR_Coverage, 14625,
     /*  776220 */     GIR_EraseRootFromParent_Done,
     /*  776221 */   // Label 12076: @776221
     /*  776221 */   GIM_Try, /*On fail goto*//*Label 12077*/ GIMT_Encode4(776299), // Rule ID 14628 //
     /*  776226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  776237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  776240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  776243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  776246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776272 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  776272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776294 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776297 */     GIR_RootConstrainSelectedInstOperands,
     /*  776298 */     // GIR_Coverage, 14628,
     /*  776298 */     GIR_EraseRootFromParent_Done,
     /*  776299 */   // Label 12077: @776299
     /*  776299 */   GIM_Try, /*On fail goto*//*Label 12078*/ GIMT_Encode4(776377), // Rule ID 14629 //
     /*  776304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  776315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  776318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  776321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  776324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  776350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  776369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776375 */     GIR_RootConstrainSelectedInstOperands,
     /*  776376 */     // GIR_Coverage, 14629,
     /*  776376 */     GIR_EraseRootFromParent_Done,
     /*  776377 */   // Label 12078: @776377
     /*  776377 */   GIM_Try, /*On fail goto*//*Label 12079*/ GIMT_Encode4(776455), // Rule ID 14632 //
     /*  776382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  776393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  776396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  776399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  776402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776428 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776453 */     GIR_RootConstrainSelectedInstOperands,
     /*  776454 */     // GIR_Coverage, 14632,
     /*  776454 */     GIR_EraseRootFromParent_Done,
     /*  776455 */   // Label 12079: @776455
     /*  776455 */   GIM_Try, /*On fail goto*//*Label 12080*/ GIMT_Encode4(776533), // Rule ID 14633 //
     /*  776460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  776471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  776474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  776477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  776480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776506 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776531 */     GIR_RootConstrainSelectedInstOperands,
     /*  776532 */     // GIR_Coverage, 14633,
     /*  776532 */     GIR_EraseRootFromParent_Done,
     /*  776533 */   // Label 12080: @776533
     /*  776533 */   GIM_Try, /*On fail goto*//*Label 12081*/ GIMT_Encode4(776611), // Rule ID 14636 //
     /*  776538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776609 */     GIR_RootConstrainSelectedInstOperands,
     /*  776610 */     // GIR_Coverage, 14636,
     /*  776610 */     GIR_EraseRootFromParent_Done,
     /*  776611 */   // Label 12081: @776611
     /*  776611 */   GIM_Try, /*On fail goto*//*Label 12082*/ GIMT_Encode4(776689), // Rule ID 14637 //
     /*  776616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  776627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  776630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  776633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  776636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  776655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776662 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  776665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776687 */     GIR_RootConstrainSelectedInstOperands,
     /*  776688 */     // GIR_Coverage, 14637,
     /*  776688 */     GIR_EraseRootFromParent_Done,
     /*  776689 */   // Label 12082: @776689
     /*  776689 */   GIM_Try, /*On fail goto*//*Label 12083*/ GIMT_Encode4(776767), // Rule ID 14640 //
     /*  776694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776740 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  776740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776762 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776765 */     GIR_RootConstrainSelectedInstOperands,
     /*  776766 */     // GIR_Coverage, 14640,
     /*  776766 */     GIR_EraseRootFromParent_Done,
     /*  776767 */   // Label 12083: @776767
     /*  776767 */   GIM_Try, /*On fail goto*//*Label 12084*/ GIMT_Encode4(776845), // Rule ID 14641 //
     /*  776772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  776783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  776786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  776789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  776792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  776811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776818 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  776818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  776821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  776837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776840 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776843 */     GIR_RootConstrainSelectedInstOperands,
     /*  776844 */     // GIR_Coverage, 14641,
     /*  776844 */     GIR_EraseRootFromParent_Done,
     /*  776845 */   // Label 12084: @776845
     /*  776845 */   GIM_Try, /*On fail goto*//*Label 12085*/ GIMT_Encode4(776923), // Rule ID 14644 //
     /*  776850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  776853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  776870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  776873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  776896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776918 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776921 */     GIR_RootConstrainSelectedInstOperands,
     /*  776922 */     // GIR_Coverage, 14644,
     /*  776922 */     GIR_EraseRootFromParent_Done,
     /*  776923 */   // Label 12085: @776923
     /*  776923 */   GIM_Try, /*On fail goto*//*Label 12086*/ GIMT_Encode4(777001), // Rule ID 14645 //
     /*  776928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  776931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  776936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  776939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  776942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  776945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  776948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  776951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  776967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  776974 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  776974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  776977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  776979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  776981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  776983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  776985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  776990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  776993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  776996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  776999 */     GIR_RootConstrainSelectedInstOperands,
     /*  777000 */     // GIR_Coverage, 14645,
     /*  777000 */     GIR_EraseRootFromParent_Done,
     /*  777001 */   // Label 12086: @777001
     /*  777001 */   GIM_Try, /*On fail goto*//*Label 12087*/ GIMT_Encode4(777079), // Rule ID 14648 //
     /*  777006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  777017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  777020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  777023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  777026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777052 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  777055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777074 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777077 */     GIR_RootConstrainSelectedInstOperands,
     /*  777078 */     // GIR_Coverage, 14648,
     /*  777078 */     GIR_EraseRootFromParent_Done,
     /*  777079 */   // Label 12087: @777079
     /*  777079 */   GIM_Try, /*On fail goto*//*Label 12088*/ GIMT_Encode4(777157), // Rule ID 14649 //
     /*  777084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  777095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  777098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  777101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  777104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  777133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777152 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777155 */     GIR_RootConstrainSelectedInstOperands,
     /*  777156 */     // GIR_Coverage, 14649,
     /*  777156 */     GIR_EraseRootFromParent_Done,
     /*  777157 */   // Label 12088: @777157
     /*  777157 */   GIM_Try, /*On fail goto*//*Label 12089*/ GIMT_Encode4(777235), // Rule ID 14652 //
     /*  777162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  777173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  777176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  777179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  777182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777208 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  777208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  777211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777233 */     GIR_RootConstrainSelectedInstOperands,
     /*  777234 */     // GIR_Coverage, 14652,
     /*  777234 */     GIR_EraseRootFromParent_Done,
     /*  777235 */   // Label 12089: @777235
     /*  777235 */   GIM_Try, /*On fail goto*//*Label 12090*/ GIMT_Encode4(777313), // Rule ID 14653 //
     /*  777240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  777251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  777254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  777257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  777260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777286 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  777286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  777289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  777305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777311 */     GIR_RootConstrainSelectedInstOperands,
     /*  777312 */     // GIR_Coverage, 14653,
     /*  777312 */     GIR_EraseRootFromParent_Done,
     /*  777313 */   // Label 12090: @777313
     /*  777313 */   GIM_Try, /*On fail goto*//*Label 12091*/ GIMT_Encode4(777391), // Rule ID 14656 //
     /*  777318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  777329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  777332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  777335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  777338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777364 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  777367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777389 */     GIR_RootConstrainSelectedInstOperands,
     /*  777390 */     // GIR_Coverage, 14656,
     /*  777390 */     GIR_EraseRootFromParent_Done,
     /*  777391 */   // Label 12091: @777391
     /*  777391 */   GIM_Try, /*On fail goto*//*Label 12092*/ GIMT_Encode4(777469), // Rule ID 14657 //
     /*  777396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  777407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  777410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  777413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  777416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  777435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /*  777445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777467 */     GIR_RootConstrainSelectedInstOperands,
     /*  777468 */     // GIR_Coverage, 14657,
     /*  777468 */     GIR_EraseRootFromParent_Done,
     /*  777469 */   // Label 12092: @777469
     /*  777469 */   GIM_Try, /*On fail goto*//*Label 12093*/ GIMT_Encode4(777547), // Rule ID 14660 //
     /*  777474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  777485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  777488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  777491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  777494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777520 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  777523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777545 */     GIR_RootConstrainSelectedInstOperands,
     /*  777546 */     // GIR_Coverage, 14660,
     /*  777546 */     GIR_EraseRootFromParent_Done,
     /*  777547 */   // Label 12093: @777547
     /*  777547 */   GIM_Try, /*On fail goto*//*Label 12094*/ GIMT_Encode4(777625), // Rule ID 14661 //
     /*  777552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  777563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  777566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  777569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  777572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  777591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /*  777601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777620 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777623 */     GIR_RootConstrainSelectedInstOperands,
     /*  777624 */     // GIR_Coverage, 14661,
     /*  777624 */     GIR_EraseRootFromParent_Done,
     /*  777625 */   // Label 12094: @777625
     /*  777625 */   GIM_Try, /*On fail goto*//*Label 12095*/ GIMT_Encode4(777703), // Rule ID 14664 //
     /*  777630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  777633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  777641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  777644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  777647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  777650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  777676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  777679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777698 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777701 */     GIR_RootConstrainSelectedInstOperands,
     /*  777702 */     // GIR_Coverage, 14664,
     /*  777702 */     GIR_EraseRootFromParent_Done,
     /*  777703 */   // Label 12095: @777703
     /*  777703 */   GIM_Try, /*On fail goto*//*Label 12096*/ GIMT_Encode4(777781), // Rule ID 14665 //
     /*  777708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  777711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  777719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  777722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  777725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  777728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  777747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777754 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  777754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /*  777757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  777773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777776 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777779 */     GIR_RootConstrainSelectedInstOperands,
     /*  777780 */     // GIR_Coverage, 14665,
     /*  777780 */     GIR_EraseRootFromParent_Done,
     /*  777781 */   // Label 12096: @777781
     /*  777781 */   GIM_Try, /*On fail goto*//*Label 12097*/ GIMT_Encode4(777859), // Rule ID 14668 //
     /*  777786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  777797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  777800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  777803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777832 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  777835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777857 */     GIR_RootConstrainSelectedInstOperands,
     /*  777858 */     // GIR_Coverage, 14668,
     /*  777858 */     GIR_EraseRootFromParent_Done,
     /*  777859 */   // Label 12097: @777859
     /*  777859 */   GIM_Try, /*On fail goto*//*Label 12098*/ GIMT_Encode4(777937), // Rule ID 14669 //
     /*  777864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  777867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  777875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  777878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  777881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  777884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  777887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777910 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  777910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8),
     /*  777913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  777926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  777929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  777932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  777935 */     GIR_RootConstrainSelectedInstOperands,
     /*  777936 */     // GIR_Coverage, 14669,
     /*  777936 */     GIR_EraseRootFromParent_Done,
     /*  777937 */   // Label 12098: @777937
     /*  777937 */   GIM_Try, /*On fail goto*//*Label 12099*/ GIMT_Encode4(778015), // Rule ID 14672 //
     /*  777942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  777945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  777950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  777953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  777956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  777959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  777962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  777965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  777977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  777981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  777988 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  777988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  777991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  777993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  777995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  777997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  777999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778013 */     GIR_RootConstrainSelectedInstOperands,
     /*  778014 */     // GIR_Coverage, 14672,
     /*  778014 */     GIR_EraseRootFromParent_Done,
     /*  778015 */   // Label 12099: @778015
     /*  778015 */   GIM_Try, /*On fail goto*//*Label 12100*/ GIMT_Encode4(778093), // Rule ID 14673 //
     /*  778020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  778031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  778034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  778037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778066 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  778069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778091 */     GIR_RootConstrainSelectedInstOperands,
     /*  778092 */     // GIR_Coverage, 14673,
     /*  778092 */     GIR_EraseRootFromParent_Done,
     /*  778093 */   // Label 12100: @778093
     /*  778093 */   GIM_Try, /*On fail goto*//*Label 12101*/ GIMT_Encode4(778171), // Rule ID 14676 //
     /*  778098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  778109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  778112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  778115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778144 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778169 */     GIR_RootConstrainSelectedInstOperands,
     /*  778170 */     // GIR_Coverage, 14676,
     /*  778170 */     GIR_EraseRootFromParent_Done,
     /*  778171 */   // Label 12101: @778171
     /*  778171 */   GIM_Try, /*On fail goto*//*Label 12102*/ GIMT_Encode4(778249), // Rule ID 14677 //
     /*  778176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  778187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  778190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  778193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778222 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778244 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778247 */     GIR_RootConstrainSelectedInstOperands,
     /*  778248 */     // GIR_Coverage, 14677,
     /*  778248 */     GIR_EraseRootFromParent_Done,
     /*  778249 */   // Label 12102: @778249
     /*  778249 */   GIM_Try, /*On fail goto*//*Label 12103*/ GIMT_Encode4(778327), // Rule ID 14680 //
     /*  778254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  778265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  778268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  778271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778300 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  778303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778322 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778325 */     GIR_RootConstrainSelectedInstOperands,
     /*  778326 */     // GIR_Coverage, 14680,
     /*  778326 */     GIR_EraseRootFromParent_Done,
     /*  778327 */   // Label 12103: @778327
     /*  778327 */   GIM_Try, /*On fail goto*//*Label 12104*/ GIMT_Encode4(778405), // Rule ID 14681 //
     /*  778332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  778343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  778346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  778349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778378 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4),
     /*  778381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778400 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778403 */     GIR_RootConstrainSelectedInstOperands,
     /*  778404 */     // GIR_Coverage, 14681,
     /*  778404 */     GIR_EraseRootFromParent_Done,
     /*  778405 */   // Label 12104: @778405
     /*  778405 */   GIM_Try, /*On fail goto*//*Label 12105*/ GIMT_Encode4(778483), // Rule ID 14684 //
     /*  778410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  778421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  778424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  778427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778481 */     GIR_RootConstrainSelectedInstOperands,
     /*  778482 */     // GIR_Coverage, 14684,
     /*  778482 */     GIR_EraseRootFromParent_Done,
     /*  778483 */   // Label 12105: @778483
     /*  778483 */   GIM_Try, /*On fail goto*//*Label 12106*/ GIMT_Encode4(778561), // Rule ID 14685 //
     /*  778488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  778499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  778502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  778505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778534 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  778534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778556 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778559 */     GIR_RootConstrainSelectedInstOperands,
     /*  778560 */     // GIR_Coverage, 14685,
     /*  778560 */     GIR_EraseRootFromParent_Done,
     /*  778561 */   // Label 12106: @778561
     /*  778561 */   GIM_Try, /*On fail goto*//*Label 12107*/ GIMT_Encode4(778639), // Rule ID 14688 //
     /*  778566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  778577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  778580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  778583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  778612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778634 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778637 */     GIR_RootConstrainSelectedInstOperands,
     /*  778638 */     // GIR_Coverage, 14688,
     /*  778638 */     GIR_EraseRootFromParent_Done,
     /*  778639 */   // Label 12107: @778639
     /*  778639 */   GIM_Try, /*On fail goto*//*Label 12108*/ GIMT_Encode4(778717), // Rule ID 14689 //
     /*  778644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  778655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  778658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  778661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  778690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2),
     /*  778693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  778709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778715 */     GIR_RootConstrainSelectedInstOperands,
     /*  778716 */     // GIR_Coverage, 14689,
     /*  778716 */     GIR_EraseRootFromParent_Done,
     /*  778717 */   // Label 12108: @778717
     /*  778717 */   GIM_Try, /*On fail goto*//*Label 12109*/ GIMT_Encode4(778795), // Rule ID 14692 //
     /*  778722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  778733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  778736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  778739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  778768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778793 */     GIR_RootConstrainSelectedInstOperands,
     /*  778794 */     // GIR_Coverage, 14692,
     /*  778794 */     GIR_EraseRootFromParent_Done,
     /*  778795 */   // Label 12109: @778795
     /*  778795 */   GIM_Try, /*On fail goto*//*Label 12110*/ GIMT_Encode4(778873), // Rule ID 14693 //
     /*  778800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  778811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  778814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  778817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778846 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11619:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  778846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  778865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778871 */     GIR_RootConstrainSelectedInstOperands,
     /*  778872 */     // GIR_Coverage, 14693,
     /*  778872 */     GIR_EraseRootFromParent_Done,
     /*  778873 */   // Label 12110: @778873
     /*  778873 */   GIM_Try, /*On fail goto*//*Label 12111*/ GIMT_Encode4(778951), // Rule ID 14696 //
     /*  778878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  778881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  778889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  778892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  778895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  778898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  778901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  778924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  778924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  778927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  778929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  778931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  778933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  778935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  778940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  778943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  778946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  778949 */     GIR_RootConstrainSelectedInstOperands,
     /*  778950 */     // GIR_Coverage, 14696,
     /*  778950 */     GIR_EraseRootFromParent_Done,
     /*  778951 */   // Label 12111: @778951
     /*  778951 */   GIM_Try, /*On fail goto*//*Label 12112*/ GIMT_Encode4(779029), // Rule ID 14697 //
     /*  778956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  778959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  778964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  778967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  778970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  778973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  778976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  778979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  778991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  778995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11619:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  779005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779027 */     GIR_RootConstrainSelectedInstOperands,
     /*  779028 */     // GIR_Coverage, 14697,
     /*  779028 */     GIR_EraseRootFromParent_Done,
     /*  779029 */   // Label 12112: @779029
     /*  779029 */   GIM_Try, /*On fail goto*//*Label 12113*/ GIMT_Encode4(779107), // Rule ID 14700 //
     /*  779034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779080 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  779080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  779083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779102 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779105 */     GIR_RootConstrainSelectedInstOperands,
     /*  779106 */     // GIR_Coverage, 14700,
     /*  779106 */     GIR_EraseRootFromParent_Done,
     /*  779107 */   // Label 12113: @779107
     /*  779107 */   GIM_Try, /*On fail goto*//*Label 12114*/ GIMT_Encode4(779185), // Rule ID 14701 //
     /*  779112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  779123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  779126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  779129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11619:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  779158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  779161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  779177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779180 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779183 */     GIR_RootConstrainSelectedInstOperands,
     /*  779184 */     // GIR_Coverage, 14701,
     /*  779184 */     GIR_EraseRootFromParent_Done,
     /*  779185 */   // Label 12114: @779185
     /*  779185 */   GIM_Try, /*On fail goto*//*Label 12115*/ GIMT_Encode4(779263), // Rule ID 14704 //
     /*  779190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  779193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  779236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  779239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779258 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779261 */     GIR_RootConstrainSelectedInstOperands,
     /*  779262 */     // GIR_Coverage, 14704,
     /*  779262 */     GIR_EraseRootFromParent_Done,
     /*  779263 */   // Label 12115: @779263
     /*  779263 */   GIM_Try, /*On fail goto*//*Label 12116*/ GIMT_Encode4(779341), // Rule ID 14705 //
     /*  779268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  779271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  779279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  779282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  779285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  779303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11619:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  779314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1),
     /*  779317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  779333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779339 */     GIR_RootConstrainSelectedInstOperands,
     /*  779340 */     // GIR_Coverage, 14705,
     /*  779340 */     GIR_EraseRootFromParent_Done,
     /*  779341 */   // Label 12116: @779341
     /*  779341 */   GIM_Try, /*On fail goto*//*Label 12117*/ GIMT_Encode4(779419), // Rule ID 14708 //
     /*  779346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  779357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  779360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  779363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779392 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779414 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779417 */     GIR_RootConstrainSelectedInstOperands,
     /*  779418 */     // GIR_Coverage, 14708,
     /*  779418 */     GIR_EraseRootFromParent_Done,
     /*  779419 */   // Label 12117: @779419
     /*  779419 */   GIM_Try, /*On fail goto*//*Label 12118*/ GIMT_Encode4(779497), // Rule ID 14709 //
     /*  779424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  779435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  779438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  779441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779470 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779495 */     GIR_RootConstrainSelectedInstOperands,
     /*  779496 */     // GIR_Coverage, 14709,
     /*  779496 */     GIR_EraseRootFromParent_Done,
     /*  779497 */   // Label 12118: @779497
     /*  779497 */   GIM_Try, /*On fail goto*//*Label 12119*/ GIMT_Encode4(779575), // Rule ID 14712 //
     /*  779502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  779513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  779516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  779519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779548 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779573 */     GIR_RootConstrainSelectedInstOperands,
     /*  779574 */     // GIR_Coverage, 14712,
     /*  779574 */     GIR_EraseRootFromParent_Done,
     /*  779575 */   // Label 12119: @779575
     /*  779575 */   GIM_Try, /*On fail goto*//*Label 12120*/ GIMT_Encode4(779653), // Rule ID 14713 //
     /*  779580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  779591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  779594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  779597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779626 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  779629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779651 */     GIR_RootConstrainSelectedInstOperands,
     /*  779652 */     // GIR_Coverage, 14713,
     /*  779652 */     GIR_EraseRootFromParent_Done,
     /*  779653 */   // Label 12120: @779653
     /*  779653 */   GIM_Try, /*On fail goto*//*Label 12121*/ GIMT_Encode4(779731), // Rule ID 14716 //
     /*  779658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  779669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  779672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  779675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779704 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  779704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779729 */     GIR_RootConstrainSelectedInstOperands,
     /*  779730 */     // GIR_Coverage, 14716,
     /*  779730 */     GIR_EraseRootFromParent_Done,
     /*  779731 */   // Label 12121: @779731
     /*  779731 */   GIM_Try, /*On fail goto*//*Label 12122*/ GIMT_Encode4(779809), // Rule ID 14717 //
     /*  779736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  779747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  779750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  779753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  779771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779782 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  779782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  779785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  779801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779804 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779807 */     GIR_RootConstrainSelectedInstOperands,
     /*  779808 */     // GIR_Coverage, 14717,
     /*  779808 */     GIR_EraseRootFromParent_Done,
     /*  779809 */   // Label 12122: @779809
     /*  779809 */   GIM_Try, /*On fail goto*//*Label 12123*/ GIMT_Encode4(779887), // Rule ID 14720 //
     /*  779814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  779825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  779828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  779831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  779860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779885 */     GIR_RootConstrainSelectedInstOperands,
     /*  779886 */     // GIR_Coverage, 14720,
     /*  779886 */     GIR_EraseRootFromParent_Done,
     /*  779887 */   // Label 12123: @779887
     /*  779887 */   GIM_Try, /*On fail goto*//*Label 12124*/ GIMT_Encode4(779965), // Rule ID 14721 //
     /*  779892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  779895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  779903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  779906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  779909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  779912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  779915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  779927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  779931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  779938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  779938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  779941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  779943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  779945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  779947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  779949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  779954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  779957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  779960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  779963 */     GIR_RootConstrainSelectedInstOperands,
     /*  779964 */     // GIR_Coverage, 14721,
     /*  779964 */     GIR_EraseRootFromParent_Done,
     /*  779965 */   // Label 12124: @779965
     /*  779965 */   GIM_Try, /*On fail goto*//*Label 12125*/ GIMT_Encode4(780043), // Rule ID 14724 //
     /*  779970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  779973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  779978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  779981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  779984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  779987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  779990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  779993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  779997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780016 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780038 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780041 */     GIR_RootConstrainSelectedInstOperands,
     /*  780042 */     // GIR_Coverage, 14724,
     /*  780042 */     GIR_EraseRootFromParent_Done,
     /*  780043 */   // Label 12125: @780043
     /*  780043 */   GIM_Try, /*On fail goto*//*Label 12126*/ GIMT_Encode4(780121), // Rule ID 14725 //
     /*  780048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  780059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  780062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  780065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780094 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780119 */     GIR_RootConstrainSelectedInstOperands,
     /*  780120 */     // GIR_Coverage, 14725,
     /*  780120 */     GIR_EraseRootFromParent_Done,
     /*  780121 */   // Label 12126: @780121
     /*  780121 */   GIM_Try, /*On fail goto*//*Label 12127*/ GIMT_Encode4(780199), // Rule ID 14728 //
     /*  780126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  780137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  780140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  780143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780172 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  780172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780197 */     GIR_RootConstrainSelectedInstOperands,
     /*  780198 */     // GIR_Coverage, 14728,
     /*  780198 */     GIR_EraseRootFromParent_Done,
     /*  780199 */   // Label 12127: @780199
     /*  780199 */   GIM_Try, /*On fail goto*//*Label 12128*/ GIMT_Encode4(780277), // Rule ID 14729 //
     /*  780204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  780215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  780218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  780221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780250 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  780250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  780269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780275 */     GIR_RootConstrainSelectedInstOperands,
     /*  780276 */     // GIR_Coverage, 14729,
     /*  780276 */     GIR_EraseRootFromParent_Done,
     /*  780277 */   // Label 12128: @780277
     /*  780277 */   GIM_Try, /*On fail goto*//*Label 12129*/ GIMT_Encode4(780355), // Rule ID 14732 //
     /*  780282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  780293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  780296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  780299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780328 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  780331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780353 */     GIR_RootConstrainSelectedInstOperands,
     /*  780354 */     // GIR_Coverage, 14732,
     /*  780354 */     GIR_EraseRootFromParent_Done,
     /*  780355 */   // Label 12129: @780355
     /*  780355 */   GIM_Try, /*On fail goto*//*Label 12130*/ GIMT_Encode4(780433), // Rule ID 14733 //
     /*  780360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  780371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  780374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  780377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  780409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780431 */     GIR_RootConstrainSelectedInstOperands,
     /*  780432 */     // GIR_Coverage, 14733,
     /*  780432 */     GIR_EraseRootFromParent_Done,
     /*  780433 */   // Label 12130: @780433
     /*  780433 */   GIM_Try, /*On fail goto*//*Label 12131*/ GIMT_Encode4(780511), // Rule ID 14736 //
     /*  780438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  780449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  780452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  780455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780484 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780509 */     GIR_RootConstrainSelectedInstOperands,
     /*  780510 */     // GIR_Coverage, 14736,
     /*  780510 */     GIR_EraseRootFromParent_Done,
     /*  780511 */   // Label 12131: @780511
     /*  780511 */   GIM_Try, /*On fail goto*//*Label 12132*/ GIMT_Encode4(780589), // Rule ID 14737 //
     /*  780516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  780527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  780530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  780533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780584 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780587 */     GIR_RootConstrainSelectedInstOperands,
     /*  780588 */     // GIR_Coverage, 14737,
     /*  780588 */     GIR_EraseRootFromParent_Done,
     /*  780589 */   // Label 12132: @780589
     /*  780589 */   GIM_Try, /*On fail goto*//*Label 12133*/ GIMT_Encode4(780667), // Rule ID 14740 //
     /*  780594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  780597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  780605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  780608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  780611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780640 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  780640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780662 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780665 */     GIR_RootConstrainSelectedInstOperands,
     /*  780666 */     // GIR_Coverage, 14740,
     /*  780666 */     GIR_EraseRootFromParent_Done,
     /*  780667 */   // Label 12133: @780667
     /*  780667 */   GIM_Try, /*On fail goto*//*Label 12134*/ GIMT_Encode4(780745), // Rule ID 14741 //
     /*  780672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  780675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  780683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  780686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  780689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  780707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780718 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  780718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  780721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  780737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780743 */     GIR_RootConstrainSelectedInstOperands,
     /*  780744 */     // GIR_Coverage, 14741,
     /*  780744 */     GIR_EraseRootFromParent_Done,
     /*  780745 */   // Label 12134: @780745
     /*  780745 */   GIM_Try, /*On fail goto*//*Label 12135*/ GIMT_Encode4(780823), // Rule ID 14744 //
     /*  780750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780796 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  780799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780821 */     GIR_RootConstrainSelectedInstOperands,
     /*  780822 */     // GIR_Coverage, 14744,
     /*  780822 */     GIR_EraseRootFromParent_Done,
     /*  780823 */   // Label 12135: @780823
     /*  780823 */   GIM_Try, /*On fail goto*//*Label 12136*/ GIMT_Encode4(780901), // Rule ID 14745 //
     /*  780828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  780839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  780842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  780845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  780848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  780851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  780863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780874 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11619:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  780874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2),
     /*  780877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780896 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780899 */     GIR_RootConstrainSelectedInstOperands,
     /*  780900 */     // GIR_Coverage, 14745,
     /*  780900 */     GIR_EraseRootFromParent_Done,
     /*  780901 */   // Label 12136: @780901
     /*  780901 */   GIM_Try, /*On fail goto*//*Label 12137*/ GIMT_Encode4(780979), // Rule ID 14748 //
     /*  780906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  780909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  780923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  780926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  780929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  780941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  780945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  780952 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  780952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  780955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  780957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  780959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  780961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  780963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  780968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  780971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  780974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  780977 */     GIR_RootConstrainSelectedInstOperands,
     /*  780978 */     // GIR_Coverage, 14748,
     /*  780978 */     GIR_EraseRootFromParent_Done,
     /*  780979 */   // Label 12137: @780979
     /*  780979 */   GIM_Try, /*On fail goto*//*Label 12138*/ GIMT_Encode4(781057), // Rule ID 14749 //
     /*  780984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  780987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  780992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  780995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  780998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  781001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  781019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781030 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11619:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4),
     /*  781033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781055 */     GIR_RootConstrainSelectedInstOperands,
     /*  781056 */     // GIR_Coverage, 14749,
     /*  781056 */     GIR_EraseRootFromParent_Done,
     /*  781057 */   // Label 12138: @781057
     /*  781057 */   GIM_Try, /*On fail goto*//*Label 12139*/ GIMT_Encode4(781135), // Rule ID 14752 //
     /*  781062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  781065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  781070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  781073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  781076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  781079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  781082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  781108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  781111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781133 */     GIR_RootConstrainSelectedInstOperands,
     /*  781134 */     // GIR_Coverage, 14752,
     /*  781134 */     GIR_EraseRootFromParent_Done,
     /*  781135 */   // Label 12139: @781135
     /*  781135 */   GIM_Try, /*On fail goto*//*Label 12140*/ GIMT_Encode4(781213), // Rule ID 14753 //
     /*  781140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  781143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu),
     /*  781148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  781151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  781154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  781157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  781160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  781175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  781179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781186 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11619:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  781186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8),
     /*  781189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  781205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781211 */     GIR_RootConstrainSelectedInstOperands,
     /*  781212 */     // GIR_Coverage, 14753,
     /*  781212 */     GIR_EraseRootFromParent_Done,
     /*  781213 */   // Label 12140: @781213
     /*  781213 */   GIM_Try, /*On fail goto*//*Label 12141*/ GIMT_Encode4(781291), // Rule ID 14756 //
     /*  781218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  781229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  781232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  781235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  781238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781264 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  781267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781286 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781289 */     GIR_RootConstrainSelectedInstOperands,
     /*  781290 */     // GIR_Coverage, 14756,
     /*  781290 */     GIR_EraseRootFromParent_Done,
     /*  781291 */   // Label 12141: @781291
     /*  781291 */   GIM_Try, /*On fail goto*//*Label 12142*/ GIMT_Encode4(781369), // Rule ID 14757 //
     /*  781296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  781307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  781310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  781313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  781316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781342 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /*  781345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781367 */     GIR_RootConstrainSelectedInstOperands,
     /*  781368 */     // GIR_Coverage, 14757,
     /*  781368 */     GIR_EraseRootFromParent_Done,
     /*  781369 */   // Label 12142: @781369
     /*  781369 */   GIM_Try, /*On fail goto*//*Label 12143*/ GIMT_Encode4(781447), // Rule ID 14760 //
     /*  781374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  781385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  781388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  781391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  781394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781420 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781445 */     GIR_RootConstrainSelectedInstOperands,
     /*  781446 */     // GIR_Coverage, 14760,
     /*  781446 */     GIR_EraseRootFromParent_Done,
     /*  781447 */   // Label 12143: @781447
     /*  781447 */   GIM_Try, /*On fail goto*//*Label 12144*/ GIMT_Encode4(781525), // Rule ID 14761 //
     /*  781452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  781463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  781466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  781469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  781472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781498 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781520 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781523 */     GIR_RootConstrainSelectedInstOperands,
     /*  781524 */     // GIR_Coverage, 14761,
     /*  781524 */     GIR_EraseRootFromParent_Done,
     /*  781525 */   // Label 12144: @781525
     /*  781525 */   GIM_Try, /*On fail goto*//*Label 12145*/ GIMT_Encode4(781603), // Rule ID 14764 //
     /*  781530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  781541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  781544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  781547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  781550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781576 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  781576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781598 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781601 */     GIR_RootConstrainSelectedInstOperands,
     /*  781602 */     // GIR_Coverage, 14764,
     /*  781602 */     GIR_EraseRootFromParent_Done,
     /*  781603 */   // Label 12145: @781603
     /*  781603 */   GIM_Try, /*On fail goto*//*Label 12146*/ GIMT_Encode4(781681), // Rule ID 14765 //
     /*  781608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  781619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  781622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  781625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  781628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781654 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  781654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  781673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781676 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781679 */     GIR_RootConstrainSelectedInstOperands,
     /*  781680 */     // GIR_Coverage, 14765,
     /*  781680 */     GIR_EraseRootFromParent_Done,
     /*  781681 */   // Label 12146: @781681
     /*  781681 */   GIM_Try, /*On fail goto*//*Label 12147*/ GIMT_Encode4(781759), // Rule ID 14768 //
     /*  781686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781732 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781754 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781757 */     GIR_RootConstrainSelectedInstOperands,
     /*  781758 */     // GIR_Coverage, 14768,
     /*  781758 */     GIR_EraseRootFromParent_Done,
     /*  781759 */   // Label 12147: @781759
     /*  781759 */   GIM_Try, /*On fail goto*//*Label 12148*/ GIMT_Encode4(781837), // Rule ID 14769 //
     /*  781764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  781775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  781778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  781781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  781784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781810 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /*  781813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781835 */     GIR_RootConstrainSelectedInstOperands,
     /*  781836 */     // GIR_Coverage, 14769,
     /*  781836 */     GIR_EraseRootFromParent_Done,
     /*  781837 */   // Label 12148: @781837
     /*  781837 */   GIM_Try, /*On fail goto*//*Label 12149*/ GIMT_Encode4(781915), // Rule ID 14772 //
     /*  781842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  781845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  781865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781888 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  781888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781913 */     GIR_RootConstrainSelectedInstOperands,
     /*  781914 */     // GIR_Coverage, 14772,
     /*  781914 */     GIR_EraseRootFromParent_Done,
     /*  781915 */   // Label 12149: @781915
     /*  781915 */   GIM_Try, /*On fail goto*//*Label 12150*/ GIMT_Encode4(781993), // Rule ID 14773 //
     /*  781920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  781923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  781928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  781931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  781934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  781937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  781940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  781943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  781959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  781966 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  781966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  781969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  781971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  781973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  781975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  781977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  781982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  781985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  781988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  781991 */     GIR_RootConstrainSelectedInstOperands,
     /*  781992 */     // GIR_Coverage, 14773,
     /*  781992 */     GIR_EraseRootFromParent_Done,
     /*  781993 */   // Label 12150: @781993
     /*  781993 */   GIM_Try, /*On fail goto*//*Label 12151*/ GIMT_Encode4(782071), // Rule ID 14776 //
     /*  781998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  782009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  782012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  782015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  782018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782044 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  782047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782066 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782069 */     GIR_RootConstrainSelectedInstOperands,
     /*  782070 */     // GIR_Coverage, 14776,
     /*  782070 */     GIR_EraseRootFromParent_Done,
     /*  782071 */   // Label 12151: @782071
     /*  782071 */   GIM_Try, /*On fail goto*//*Label 12152*/ GIMT_Encode4(782149), // Rule ID 14777 //
     /*  782076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  782087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  782090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  782093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  782096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /*  782125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782144 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782147 */     GIR_RootConstrainSelectedInstOperands,
     /*  782148 */     // GIR_Coverage, 14777,
     /*  782148 */     GIR_EraseRootFromParent_Done,
     /*  782149 */   // Label 12152: @782149
     /*  782149 */   GIM_Try, /*On fail goto*//*Label 12153*/ GIMT_Encode4(782227), // Rule ID 14780 //
     /*  782154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  782165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  782168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  782171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  782174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782225 */     GIR_RootConstrainSelectedInstOperands,
     /*  782226 */     // GIR_Coverage, 14780,
     /*  782226 */     GIR_EraseRootFromParent_Done,
     /*  782227 */   // Label 12153: @782227
     /*  782227 */   GIM_Try, /*On fail goto*//*Label 12154*/ GIMT_Encode4(782305), // Rule ID 14781 //
     /*  782232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  782243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  782246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  782249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  782252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782300 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782303 */     GIR_RootConstrainSelectedInstOperands,
     /*  782304 */     // GIR_Coverage, 14781,
     /*  782304 */     GIR_EraseRootFromParent_Done,
     /*  782305 */   // Label 12154: @782305
     /*  782305 */   GIM_Try, /*On fail goto*//*Label 12155*/ GIMT_Encode4(782383), // Rule ID 14784 //
     /*  782310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  782321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  782324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  782327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  782330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782356 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  782356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782378 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782381 */     GIR_RootConstrainSelectedInstOperands,
     /*  782382 */     // GIR_Coverage, 14784,
     /*  782382 */     GIR_EraseRootFromParent_Done,
     /*  782383 */   // Label 12155: @782383
     /*  782383 */   GIM_Try, /*On fail goto*//*Label 12156*/ GIMT_Encode4(782461), // Rule ID 14785 //
     /*  782388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  782399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  782402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  782405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  782408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782434 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  782434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  782453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782456 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782459 */     GIR_RootConstrainSelectedInstOperands,
     /*  782460 */     // GIR_Coverage, 14785,
     /*  782460 */     GIR_EraseRootFromParent_Done,
     /*  782461 */   // Label 12156: @782461
     /*  782461 */   GIM_Try, /*On fail goto*//*Label 12157*/ GIMT_Encode4(782539), // Rule ID 14788 //
     /*  782466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  782486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782512 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  782512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782537 */     GIR_RootConstrainSelectedInstOperands,
     /*  782538 */     // GIR_Coverage, 14788,
     /*  782538 */     GIR_EraseRootFromParent_Done,
     /*  782539 */   // Label 12157: @782539
     /*  782539 */   GIM_Try, /*On fail goto*//*Label 12158*/ GIMT_Encode4(782617), // Rule ID 14789 //
     /*  782544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  782555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  782558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  782561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  782564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  782590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  782609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782615 */     GIR_RootConstrainSelectedInstOperands,
     /*  782616 */     // GIR_Coverage, 14789,
     /*  782616 */     GIR_EraseRootFromParent_Done,
     /*  782617 */   // Label 12158: @782617
     /*  782617 */   GIM_Try, /*On fail goto*//*Label 12159*/ GIMT_Encode4(782695), // Rule ID 14792 //
     /*  782622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  782625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782668 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  782668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782693 */     GIR_RootConstrainSelectedInstOperands,
     /*  782694 */     // GIR_Coverage, 14792,
     /*  782694 */     GIR_EraseRootFromParent_Done,
     /*  782695 */   // Label 12159: @782695
     /*  782695 */   GIM_Try, /*On fail goto*//*Label 12160*/ GIMT_Encode4(782773), // Rule ID 14793 //
     /*  782700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  782703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  782711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  782714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  782717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  782720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  782739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782746 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  782746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /*  782749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  782765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782771 */     GIR_RootConstrainSelectedInstOperands,
     /*  782772 */     // GIR_Coverage, 14793,
     /*  782772 */     GIR_EraseRootFromParent_Done,
     /*  782773 */   // Label 12160: @782773
     /*  782773 */   GIM_Try, /*On fail goto*//*Label 12161*/ GIMT_Encode4(782851), // Rule ID 14796 //
     /*  782778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  782789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  782792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  782795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  782798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782824 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782846 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782849 */     GIR_RootConstrainSelectedInstOperands,
     /*  782850 */     // GIR_Coverage, 14796,
     /*  782850 */     GIR_EraseRootFromParent_Done,
     /*  782851 */   // Label 12161: @782851
     /*  782851 */   GIM_Try, /*On fail goto*//*Label 12162*/ GIMT_Encode4(782929), // Rule ID 14797 //
     /*  782856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  782859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  782867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  782870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  782873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  782876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  782879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  782895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  782902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  782905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  782924 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  782927 */     GIR_RootConstrainSelectedInstOperands,
     /*  782928 */     // GIR_Coverage, 14797,
     /*  782928 */     GIR_EraseRootFromParent_Done,
     /*  782929 */   // Label 12162: @782929
     /*  782929 */   GIM_Try, /*On fail goto*//*Label 12163*/ GIMT_Encode4(783007), // Rule ID 14800 //
     /*  782934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  782937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  782942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  782945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  782948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  782951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  782954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  782957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  782973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  782980 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  782980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  782983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  782985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  782987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  782989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  782991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  782996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  782999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783002 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783005 */     GIR_RootConstrainSelectedInstOperands,
     /*  783006 */     // GIR_Coverage, 14800,
     /*  783006 */     GIR_EraseRootFromParent_Done,
     /*  783007 */   // Label 12163: @783007
     /*  783007 */   GIM_Try, /*On fail goto*//*Label 12164*/ GIMT_Encode4(783085), // Rule ID 14801 //
     /*  783012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  783023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  783026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  783029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  783032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783058 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  783058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  783077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783080 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783083 */     GIR_RootConstrainSelectedInstOperands,
     /*  783084 */     // GIR_Coverage, 14801,
     /*  783084 */     GIR_EraseRootFromParent_Done,
     /*  783085 */   // Label 12164: @783085
     /*  783085 */   GIM_Try, /*On fail goto*//*Label 12165*/ GIMT_Encode4(783163), // Rule ID 14804 //
     /*  783090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  783101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  783104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  783107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  783110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  783136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  783155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783161 */     GIR_RootConstrainSelectedInstOperands,
     /*  783162 */     // GIR_Coverage, 14804,
     /*  783162 */     GIR_EraseRootFromParent_Done,
     /*  783163 */   // Label 12165: @783163
     /*  783163 */   GIM_Try, /*On fail goto*//*Label 12166*/ GIMT_Encode4(783241), // Rule ID 14805 //
     /*  783168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  783179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  783182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  783185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  783188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783214 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  783214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  783233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783236 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783239 */     GIR_RootConstrainSelectedInstOperands,
     /*  783240 */     // GIR_Coverage, 14805,
     /*  783240 */     GIR_EraseRootFromParent_Done,
     /*  783241 */   // Label 12166: @783241
     /*  783241 */   GIM_Try, /*On fail goto*//*Label 12167*/ GIMT_Encode4(783319), // Rule ID 14808 //
     /*  783246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783292 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783317 */     GIR_RootConstrainSelectedInstOperands,
     /*  783318 */     // GIR_Coverage, 14808,
     /*  783318 */     GIR_EraseRootFromParent_Done,
     /*  783319 */   // Label 12167: @783319
     /*  783319 */   GIM_Try, /*On fail goto*//*Label 12168*/ GIMT_Encode4(783397), // Rule ID 14809 //
     /*  783324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  783335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  783338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  783341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  783344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783395 */     GIR_RootConstrainSelectedInstOperands,
     /*  783396 */     // GIR_Coverage, 14809,
     /*  783396 */     GIR_EraseRootFromParent_Done,
     /*  783397 */   // Label 12168: @783397
     /*  783397 */   GIM_Try, /*On fail goto*//*Label 12169*/ GIMT_Encode4(783475), // Rule ID 14812 //
     /*  783402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  783422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783448 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783473 */     GIR_RootConstrainSelectedInstOperands,
     /*  783474 */     // GIR_Coverage, 14812,
     /*  783474 */     GIR_EraseRootFromParent_Done,
     /*  783475 */   // Label 12169: @783475
     /*  783475 */   GIM_Try, /*On fail goto*//*Label 12170*/ GIMT_Encode4(783553), // Rule ID 14813 //
     /*  783480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  783491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  783494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  783497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  783500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783551 */     GIR_RootConstrainSelectedInstOperands,
     /*  783552 */     // GIR_Coverage, 14813,
     /*  783552 */     GIR_EraseRootFromParent_Done,
     /*  783553 */   // Label 12170: @783553
     /*  783553 */   GIM_Try, /*On fail goto*//*Label 12171*/ GIMT_Encode4(783631), // Rule ID 14816 //
     /*  783558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  783569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  783572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  783575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  783578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783604 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  783604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783629 */     GIR_RootConstrainSelectedInstOperands,
     /*  783630 */     // GIR_Coverage, 14816,
     /*  783630 */     GIR_EraseRootFromParent_Done,
     /*  783631 */   // Label 12171: @783631
     /*  783631 */   GIM_Try, /*On fail goto*//*Label 12172*/ GIMT_Encode4(783709), // Rule ID 14817 //
     /*  783636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  783647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  783650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  783653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  783656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  783675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783682 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  783682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  783685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  783701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783707 */     GIR_RootConstrainSelectedInstOperands,
     /*  783708 */     // GIR_Coverage, 14817,
     /*  783708 */     GIR_EraseRootFromParent_Done,
     /*  783709 */   // Label 12172: @783709
     /*  783709 */   GIM_Try, /*On fail goto*//*Label 12173*/ GIMT_Encode4(783787), // Rule ID 14820 //
     /*  783714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  783734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783760 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783782 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783785 */     GIR_RootConstrainSelectedInstOperands,
     /*  783786 */     // GIR_Coverage, 14820,
     /*  783786 */     GIR_EraseRootFromParent_Done,
     /*  783787 */   // Label 12173: @783787
     /*  783787 */   GIM_Try, /*On fail goto*//*Label 12174*/ GIMT_Encode4(783865), // Rule ID 14821 //
     /*  783792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  783803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  783806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  783809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  783812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  783831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783838 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  783841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783863 */     GIR_RootConstrainSelectedInstOperands,
     /*  783864 */     // GIR_Coverage, 14821,
     /*  783864 */     GIR_EraseRootFromParent_Done,
     /*  783865 */   // Label 12174: @783865
     /*  783865 */   GIM_Try, /*On fail goto*//*Label 12175*/ GIMT_Encode4(783943), // Rule ID 14824 //
     /*  783870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  783873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  783893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783916 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  783916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  783923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  783925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  783927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  783932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  783935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  783938 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  783941 */     GIR_RootConstrainSelectedInstOperands,
     /*  783942 */     // GIR_Coverage, 14824,
     /*  783942 */     GIR_EraseRootFromParent_Done,
     /*  783943 */   // Label 12175: @783943
     /*  783943 */   GIM_Try, /*On fail goto*//*Label 12176*/ GIMT_Encode4(784021), // Rule ID 14825 //
     /*  783948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  783951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  783956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  783959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  783962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  783965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  783968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  783971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  783987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  783994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  783994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  783997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  783999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784019 */     GIR_RootConstrainSelectedInstOperands,
     /*  784020 */     // GIR_Coverage, 14825,
     /*  784020 */     GIR_EraseRootFromParent_Done,
     /*  784021 */   // Label 12176: @784021
     /*  784021 */   GIM_Try, /*On fail goto*//*Label 12177*/ GIMT_Encode4(784099), // Rule ID 14828 //
     /*  784026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  784072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  784075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784097 */     GIR_RootConstrainSelectedInstOperands,
     /*  784098 */     // GIR_Coverage, 14828,
     /*  784098 */     GIR_EraseRootFromParent_Done,
     /*  784099 */   // Label 12177: @784099
     /*  784099 */   GIM_Try, /*On fail goto*//*Label 12178*/ GIMT_Encode4(784177), // Rule ID 14829 //
     /*  784104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  784115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  784118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  784121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  784124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784150 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  784150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  784153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  784169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784175 */     GIR_RootConstrainSelectedInstOperands,
     /*  784176 */     // GIR_Coverage, 14829,
     /*  784176 */     GIR_EraseRootFromParent_Done,
     /*  784177 */   // Label 12178: @784177
     /*  784177 */   GIM_Try, /*On fail goto*//*Label 12179*/ GIMT_Encode4(784255), // Rule ID 14832 //
     /*  784182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  784185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  784193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  784196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  784199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  784202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  784231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784253 */     GIR_RootConstrainSelectedInstOperands,
     /*  784254 */     // GIR_Coverage, 14832,
     /*  784254 */     GIR_EraseRootFromParent_Done,
     /*  784255 */   // Label 12179: @784255
     /*  784255 */   GIM_Try, /*On fail goto*//*Label 12180*/ GIMT_Encode4(784333), // Rule ID 14833 //
     /*  784260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  784263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  784271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  784274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  784277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  784280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  784299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784306 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /*  784309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784331 */     GIR_RootConstrainSelectedInstOperands,
     /*  784332 */     // GIR_Coverage, 14833,
     /*  784332 */     GIR_EraseRootFromParent_Done,
     /*  784333 */   // Label 12180: @784333
     /*  784333 */   GIM_Try, /*On fail goto*//*Label 12181*/ GIMT_Encode4(784411), // Rule ID 14836 //
     /*  784338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  784341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  784349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  784352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  784355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  784358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784384 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  784387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784409 */     GIR_RootConstrainSelectedInstOperands,
     /*  784410 */     // GIR_Coverage, 14836,
     /*  784410 */     GIR_EraseRootFromParent_Done,
     /*  784411 */   // Label 12181: @784411
     /*  784411 */   GIM_Try, /*On fail goto*//*Label 12182*/ GIMT_Encode4(784489), // Rule ID 14837 //
     /*  784416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  784419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  784427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  784430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  784433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  784436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  784455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784462 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /*  784465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784487 */     GIR_RootConstrainSelectedInstOperands,
     /*  784488 */     // GIR_Coverage, 14837,
     /*  784488 */     GIR_EraseRootFromParent_Done,
     /*  784489 */   // Label 12182: @784489
     /*  784489 */   GIM_Try, /*On fail goto*//*Label 12183*/ GIMT_Encode4(784567), // Rule ID 14840 //
     /*  784494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  784497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  784514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784540 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  784540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  784543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784562 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784565 */     GIR_RootConstrainSelectedInstOperands,
     /*  784566 */     // GIR_Coverage, 14840,
     /*  784566 */     GIR_EraseRootFromParent_Done,
     /*  784567 */   // Label 12183: @784567
     /*  784567 */   GIM_Try, /*On fail goto*//*Label 12184*/ GIMT_Encode4(784645), // Rule ID 14841 //
     /*  784572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  784575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  784583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  784586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  784589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  784592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  784611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784618 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  784618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /*  784621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  784637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784643 */     GIR_RootConstrainSelectedInstOperands,
     /*  784644 */     // GIR_Coverage, 14841,
     /*  784644 */     GIR_EraseRootFromParent_Done,
     /*  784645 */   // Label 12184: @784645
     /*  784645 */   GIM_Try, /*On fail goto*//*Label 12185*/ GIMT_Encode4(784723), // Rule ID 14844 //
     /*  784650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  784661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  784664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  784667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784696 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  784699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784718 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784721 */     GIR_RootConstrainSelectedInstOperands,
     /*  784722 */     // GIR_Coverage, 14844,
     /*  784722 */     GIR_EraseRootFromParent_Done,
     /*  784723 */   // Label 12185: @784723
     /*  784723 */   GIM_Try, /*On fail goto*//*Label 12186*/ GIMT_Encode4(784801), // Rule ID 14845 //
     /*  784728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  784739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  784742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  784745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8),
     /*  784777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784796 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784799 */     GIR_RootConstrainSelectedInstOperands,
     /*  784800 */     // GIR_Coverage, 14845,
     /*  784800 */     GIR_EraseRootFromParent_Done,
     /*  784801 */   // Label 12186: @784801
     /*  784801 */   GIM_Try, /*On fail goto*//*Label 12187*/ GIMT_Encode4(784879), // Rule ID 14848 //
     /*  784806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  784817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  784820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  784852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784877 */     GIR_RootConstrainSelectedInstOperands,
     /*  784878 */     // GIR_Coverage, 14848,
     /*  784878 */     GIR_EraseRootFromParent_Done,
     /*  784879 */   // Label 12187: @784879
     /*  784879 */   GIM_Try, /*On fail goto*//*Label 12188*/ GIMT_Encode4(784957), // Rule ID 14849 //
     /*  784884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  784887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  784895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  784898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  784901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  784904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  784907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  784923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  784930 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  784930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  784933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  784935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  784937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  784939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  784941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  784946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  784949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  784952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  784955 */     GIR_RootConstrainSelectedInstOperands,
     /*  784956 */     // GIR_Coverage, 14849,
     /*  784956 */     GIR_EraseRootFromParent_Done,
     /*  784957 */   // Label 12188: @784957
     /*  784957 */   GIM_Try, /*On fail goto*//*Label 12189*/ GIMT_Encode4(785035), // Rule ID 14852 //
     /*  784962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  784965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  784970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  784973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  784976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  784979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  784982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  784985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  784997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785008 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  785008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  785011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785033 */     GIR_RootConstrainSelectedInstOperands,
     /*  785034 */     // GIR_Coverage, 14852,
     /*  785034 */     GIR_EraseRootFromParent_Done,
     /*  785035 */   // Label 12189: @785035
     /*  785035 */   GIM_Try, /*On fail goto*//*Label 12190*/ GIMT_Encode4(785113), // Rule ID 14853 //
     /*  785040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  785051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  785054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  785057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785086 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  785086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  785089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785111 */     GIR_RootConstrainSelectedInstOperands,
     /*  785112 */     // GIR_Coverage, 14853,
     /*  785112 */     GIR_EraseRootFromParent_Done,
     /*  785113 */   // Label 12190: @785113
     /*  785113 */   GIM_Try, /*On fail goto*//*Label 12191*/ GIMT_Encode4(785191), // Rule ID 14856 //
     /*  785118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785164 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  785167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785189 */     GIR_RootConstrainSelectedInstOperands,
     /*  785190 */     // GIR_Coverage, 14856,
     /*  785190 */     GIR_EraseRootFromParent_Done,
     /*  785191 */   // Label 12191: @785191
     /*  785191 */   GIM_Try, /*On fail goto*//*Label 12192*/ GIMT_Encode4(785269), // Rule ID 14857 //
     /*  785196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  785207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  785210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  785213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4),
     /*  785245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785264 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785267 */     GIR_RootConstrainSelectedInstOperands,
     /*  785268 */     // GIR_Coverage, 14857,
     /*  785268 */     GIR_EraseRootFromParent_Done,
     /*  785269 */   // Label 12192: @785269
     /*  785269 */   GIM_Try, /*On fail goto*//*Label 12193*/ GIMT_Encode4(785347), // Rule ID 14860 //
     /*  785274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785320 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  785323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785342 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785345 */     GIR_RootConstrainSelectedInstOperands,
     /*  785346 */     // GIR_Coverage, 14860,
     /*  785346 */     GIR_EraseRootFromParent_Done,
     /*  785347 */   // Label 12193: @785347
     /*  785347 */   GIM_Try, /*On fail goto*//*Label 12194*/ GIMT_Encode4(785425), // Rule ID 14861 //
     /*  785352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  785363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  785366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  785369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785398 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  785401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785420 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785423 */     GIR_RootConstrainSelectedInstOperands,
     /*  785424 */     // GIR_Coverage, 14861,
     /*  785424 */     GIR_EraseRootFromParent_Done,
     /*  785425 */   // Label 12194: @785425
     /*  785425 */   GIM_Try, /*On fail goto*//*Label 12195*/ GIMT_Encode4(785503), // Rule ID 14864 //
     /*  785430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785476 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  785479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785501 */     GIR_RootConstrainSelectedInstOperands,
     /*  785502 */     // GIR_Coverage, 14864,
     /*  785502 */     GIR_EraseRootFromParent_Done,
     /*  785503 */   // Label 12195: @785503
     /*  785503 */   GIM_Try, /*On fail goto*//*Label 12196*/ GIMT_Encode4(785581), // Rule ID 14865 //
     /*  785508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  785519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  785522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  785525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785554 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  785554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2),
     /*  785557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785576 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785579 */     GIR_RootConstrainSelectedInstOperands,
     /*  785580 */     // GIR_Coverage, 14865,
     /*  785580 */     GIR_EraseRootFromParent_Done,
     /*  785581 */   // Label 12196: @785581
     /*  785581 */   GIM_Try, /*On fail goto*//*Label 12197*/ GIMT_Encode4(785659), // Rule ID 14868 //
     /*  785586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  785597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  785600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  785603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  785632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785657 */     GIR_RootConstrainSelectedInstOperands,
     /*  785658 */     // GIR_Coverage, 14868,
     /*  785658 */     GIR_EraseRootFromParent_Done,
     /*  785659 */   // Label 12197: @785659
     /*  785659 */   GIM_Try, /*On fail goto*//*Label 12198*/ GIMT_Encode4(785737), // Rule ID 14869 //
     /*  785664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  785675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  785678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  785681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785710 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11617:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  785710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  785729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785735 */     GIR_RootConstrainSelectedInstOperands,
     /*  785736 */     // GIR_Coverage, 14869,
     /*  785736 */     GIR_EraseRootFromParent_Done,
     /*  785737 */   // Label 12198: @785737
     /*  785737 */   GIM_Try, /*On fail goto*//*Label 12199*/ GIMT_Encode4(785815), // Rule ID 14872 //
     /*  785742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785788 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  785788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785813 */     GIR_RootConstrainSelectedInstOperands,
     /*  785814 */     // GIR_Coverage, 14872,
     /*  785814 */     GIR_EraseRootFromParent_Done,
     /*  785815 */   // Label 12199: @785815
     /*  785815 */   GIM_Try, /*On fail goto*//*Label 12200*/ GIMT_Encode4(785893), // Rule ID 14873 //
     /*  785820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  785831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  785834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  785837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11617:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  785866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  785885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785888 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785891 */     GIR_RootConstrainSelectedInstOperands,
     /*  785892 */     // GIR_Coverage, 14873,
     /*  785892 */     GIR_EraseRootFromParent_Done,
     /*  785893 */   // Label 12200: @785893
     /*  785893 */   GIM_Try, /*On fail goto*//*Label 12201*/ GIMT_Encode4(785971), // Rule ID 14876 //
     /*  785898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  785901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  785918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  785921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  785933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  785937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  785944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  785944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  785947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  785949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  785951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  785953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  785955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  785960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  785963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  785966 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  785969 */     GIR_RootConstrainSelectedInstOperands,
     /*  785970 */     // GIR_Coverage, 14876,
     /*  785970 */     GIR_EraseRootFromParent_Done,
     /*  785971 */   // Label 12201: @785971
     /*  785971 */   GIM_Try, /*On fail goto*//*Label 12202*/ GIMT_Encode4(786049), // Rule ID 14877 //
     /*  785976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  785979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  785984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  785987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  785990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  785993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  785996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  785999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786022 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11617:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  786022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  786025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  786041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786047 */     GIR_RootConstrainSelectedInstOperands,
     /*  786048 */     // GIR_Coverage, 14877,
     /*  786048 */     GIR_EraseRootFromParent_Done,
     /*  786049 */   // Label 12202: @786049
     /*  786049 */   GIM_Try, /*On fail goto*//*Label 12203*/ GIMT_Encode4(786127), // Rule ID 14880 //
     /*  786054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  786057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786100 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  786100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  786103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786122 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786125 */     GIR_RootConstrainSelectedInstOperands,
     /*  786126 */     // GIR_Coverage, 14880,
     /*  786126 */     GIR_EraseRootFromParent_Done,
     /*  786127 */   // Label 12203: @786127
     /*  786127 */   GIM_Try, /*On fail goto*//*Label 12204*/ GIMT_Encode4(786205), // Rule ID 14881 //
     /*  786132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  786135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  786143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  786146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  786149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  786167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11617:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  786178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1),
     /*  786181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  786197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786203 */     GIR_RootConstrainSelectedInstOperands,
     /*  786204 */     // GIR_Coverage, 14881,
     /*  786204 */     GIR_EraseRootFromParent_Done,
     /*  786205 */   // Label 12204: @786205
     /*  786205 */   GIM_Try, /*On fail goto*//*Label 12205*/ GIMT_Encode4(786283), // Rule ID 14884 //
     /*  786210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  786221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  786224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  786227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786256 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786278 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786281 */     GIR_RootConstrainSelectedInstOperands,
     /*  786282 */     // GIR_Coverage, 14884,
     /*  786282 */     GIR_EraseRootFromParent_Done,
     /*  786283 */   // Label 12205: @786283
     /*  786283 */   GIM_Try, /*On fail goto*//*Label 12206*/ GIMT_Encode4(786361), // Rule ID 14885 //
     /*  786288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  786299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  786302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  786305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786359 */     GIR_RootConstrainSelectedInstOperands,
     /*  786360 */     // GIR_Coverage, 14885,
     /*  786360 */     GIR_EraseRootFromParent_Done,
     /*  786361 */   // Label 12206: @786361
     /*  786361 */   GIM_Try, /*On fail goto*//*Label 12207*/ GIMT_Encode4(786439), // Rule ID 14888 //
     /*  786366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  786377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  786380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  786383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786437 */     GIR_RootConstrainSelectedInstOperands,
     /*  786438 */     // GIR_Coverage, 14888,
     /*  786438 */     GIR_EraseRootFromParent_Done,
     /*  786439 */   // Label 12207: @786439
     /*  786439 */   GIM_Try, /*On fail goto*//*Label 12208*/ GIMT_Encode4(786517), // Rule ID 14889 //
     /*  786444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  786455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  786458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  786461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786490 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786515 */     GIR_RootConstrainSelectedInstOperands,
     /*  786516 */     // GIR_Coverage, 14889,
     /*  786516 */     GIR_EraseRootFromParent_Done,
     /*  786517 */   // Label 12208: @786517
     /*  786517 */   GIM_Try, /*On fail goto*//*Label 12209*/ GIMT_Encode4(786595), // Rule ID 14892 //
     /*  786522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  786533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  786536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  786539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  786568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786593 */     GIR_RootConstrainSelectedInstOperands,
     /*  786594 */     // GIR_Coverage, 14892,
     /*  786594 */     GIR_EraseRootFromParent_Done,
     /*  786595 */   // Label 12209: @786595
     /*  786595 */   GIM_Try, /*On fail goto*//*Label 12210*/ GIMT_Encode4(786673), // Rule ID 14893 //
     /*  786600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  786611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  786614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  786617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  786635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786646 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  786646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  786649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  786665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786671 */     GIR_RootConstrainSelectedInstOperands,
     /*  786672 */     // GIR_Coverage, 14893,
     /*  786672 */     GIR_EraseRootFromParent_Done,
     /*  786673 */   // Label 12210: @786673
     /*  786673 */   GIM_Try, /*On fail goto*//*Label 12211*/ GIMT_Encode4(786751), // Rule ID 14896 //
     /*  786678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786724 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786746 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786749 */     GIR_RootConstrainSelectedInstOperands,
     /*  786750 */     // GIR_Coverage, 14896,
     /*  786750 */     GIR_EraseRootFromParent_Done,
     /*  786751 */   // Label 12211: @786751
     /*  786751 */   GIM_Try, /*On fail goto*//*Label 12212*/ GIMT_Encode4(786829), // Rule ID 14897 //
     /*  786756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  786767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  786770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  786773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  786791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786802 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  786805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786824 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786827 */     GIR_RootConstrainSelectedInstOperands,
     /*  786828 */     // GIR_Coverage, 14897,
     /*  786828 */     GIR_EraseRootFromParent_Done,
     /*  786829 */   // Label 12212: @786829
     /*  786829 */   GIM_Try, /*On fail goto*//*Label 12213*/ GIMT_Encode4(786907), // Rule ID 14900 //
     /*  786834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  786854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  786857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  786880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786902 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786905 */     GIR_RootConstrainSelectedInstOperands,
     /*  786906 */     // GIR_Coverage, 14900,
     /*  786906 */     GIR_EraseRootFromParent_Done,
     /*  786907 */   // Label 12213: @786907
     /*  786907 */   GIM_Try, /*On fail goto*//*Label 12214*/ GIMT_Encode4(786985), // Rule ID 14901 //
     /*  786912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  786915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  786923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  786926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  786929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  786932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  786935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  786947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  786951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  786958 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  786958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  786961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  786963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  786965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  786967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  786969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  786974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  786977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  786980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  786983 */     GIR_RootConstrainSelectedInstOperands,
     /*  786984 */     // GIR_Coverage, 14901,
     /*  786984 */     GIR_EraseRootFromParent_Done,
     /*  786985 */   // Label 12214: @786985
     /*  786985 */   GIM_Try, /*On fail goto*//*Label 12215*/ GIMT_Encode4(787063), // Rule ID 14904 //
     /*  786990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  786993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  786998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  787007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  787036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787058 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787061 */     GIR_RootConstrainSelectedInstOperands,
     /*  787062 */     // GIR_Coverage, 14904,
     /*  787062 */     GIR_EraseRootFromParent_Done,
     /*  787063 */   // Label 12215: @787063
     /*  787063 */   GIM_Try, /*On fail goto*//*Label 12216*/ GIMT_Encode4(787141), // Rule ID 14905 //
     /*  787068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  787071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  787079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  787082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  787085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787114 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  787114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  787133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787139 */     GIR_RootConstrainSelectedInstOperands,
     /*  787140 */     // GIR_Coverage, 14905,
     /*  787140 */     GIR_EraseRootFromParent_Done,
     /*  787141 */   // Label 12216: @787141
     /*  787141 */   GIM_Try, /*On fail goto*//*Label 12217*/ GIMT_Encode4(787219), // Rule ID 14908 //
     /*  787146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  787149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  787163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787192 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  787195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787217 */     GIR_RootConstrainSelectedInstOperands,
     /*  787218 */     // GIR_Coverage, 14908,
     /*  787218 */     GIR_EraseRootFromParent_Done,
     /*  787219 */   // Label 12217: @787219
     /*  787219 */   GIM_Try, /*On fail goto*//*Label 12218*/ GIMT_Encode4(787297), // Rule ID 14909 //
     /*  787224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  787227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  787235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  787238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  787241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  787273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787295 */     GIR_RootConstrainSelectedInstOperands,
     /*  787296 */     // GIR_Coverage, 14909,
     /*  787296 */     GIR_EraseRootFromParent_Done,
     /*  787297 */   // Label 12218: @787297
     /*  787297 */   GIM_Try, /*On fail goto*//*Label 12219*/ GIMT_Encode4(787375), // Rule ID 14912 //
     /*  787302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  787305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  787351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787373 */     GIR_RootConstrainSelectedInstOperands,
     /*  787374 */     // GIR_Coverage, 14912,
     /*  787374 */     GIR_EraseRootFromParent_Done,
     /*  787375 */   // Label 12219: @787375
     /*  787375 */   GIM_Try, /*On fail goto*//*Label 12220*/ GIMT_Encode4(787453), // Rule ID 14913 //
     /*  787380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  787383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  787391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  787394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  787397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  787429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787448 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787451 */     GIR_RootConstrainSelectedInstOperands,
     /*  787452 */     // GIR_Coverage, 14913,
     /*  787452 */     GIR_EraseRootFromParent_Done,
     /*  787453 */   // Label 12220: @787453
     /*  787453 */   GIM_Try, /*On fail goto*//*Label 12221*/ GIMT_Encode4(787531), // Rule ID 14916 //
     /*  787458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  787461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  787504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787529 */     GIR_RootConstrainSelectedInstOperands,
     /*  787530 */     // GIR_Coverage, 14916,
     /*  787530 */     GIR_EraseRootFromParent_Done,
     /*  787531 */   // Label 12221: @787531
     /*  787531 */   GIM_Try, /*On fail goto*//*Label 12222*/ GIMT_Encode4(787609), // Rule ID 14917 //
     /*  787536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  787539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  787547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  787550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  787553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787582 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  787582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  787601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787604 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787607 */     GIR_RootConstrainSelectedInstOperands,
     /*  787608 */     // GIR_Coverage, 14917,
     /*  787608 */     GIR_EraseRootFromParent_Done,
     /*  787609 */   // Label 12222: @787609
     /*  787609 */   GIM_Try, /*On fail goto*//*Label 12223*/ GIMT_Encode4(787687), // Rule ID 14920 //
     /*  787614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787660 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  787663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787682 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787685 */     GIR_RootConstrainSelectedInstOperands,
     /*  787686 */     // GIR_Coverage, 14920,
     /*  787686 */     GIR_EraseRootFromParent_Done,
     /*  787687 */   // Label 12223: @787687
     /*  787687 */   GIM_Try, /*On fail goto*//*Label 12224*/ GIMT_Encode4(787765), // Rule ID 14921 //
     /*  787692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  787703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  787706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  787709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  787727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787738 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11617:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2),
     /*  787741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787763 */     GIR_RootConstrainSelectedInstOperands,
     /*  787764 */     // GIR_Coverage, 14921,
     /*  787764 */     GIR_EraseRootFromParent_Done,
     /*  787765 */   // Label 12224: @787765
     /*  787765 */   GIM_Try, /*On fail goto*//*Label 12225*/ GIMT_Encode4(787843), // Rule ID 14924 //
     /*  787770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787816 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  787819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787838 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787841 */     GIR_RootConstrainSelectedInstOperands,
     /*  787842 */     // GIR_Coverage, 14924,
     /*  787842 */     GIR_EraseRootFromParent_Done,
     /*  787843 */   // Label 12225: @787843
     /*  787843 */   GIM_Try, /*On fail goto*//*Label 12226*/ GIMT_Encode4(787921), // Rule ID 14925 //
     /*  787848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  787851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  787859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  787862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  787865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  787868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  787871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  787883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787894 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11617:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  787894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4),
     /*  787897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787919 */     GIR_RootConstrainSelectedInstOperands,
     /*  787920 */     // GIR_Coverage, 14925,
     /*  787920 */     GIR_EraseRootFromParent_Done,
     /*  787921 */   // Label 12226: @787921
     /*  787921 */   GIM_Try, /*On fail goto*//*Label 12227*/ GIMT_Encode4(787999), // Rule ID 14928 //
     /*  787926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  787929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  787934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  787937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  787940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  787943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  787946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  787949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  787961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  787965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  787972 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  787972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  787975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  787977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  787979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  787981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  787983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  787988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  787991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  787994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  787997 */     GIR_RootConstrainSelectedInstOperands,
     /*  787998 */     // GIR_Coverage, 14928,
     /*  787998 */     GIR_EraseRootFromParent_Done,
     /*  787999 */   // Label 12227: @787999
     /*  787999 */   GIM_Try, /*On fail goto*//*Label 12228*/ GIMT_Encode4(788077), // Rule ID 14929 //
     /*  788004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  788007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub),
     /*  788012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  788015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  788018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  788021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  788024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  788039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  788043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788050 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11617:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8),
     /*  788053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  788075 */     GIR_RootConstrainSelectedInstOperands,
     /*  788076 */     // GIR_Coverage, 14929,
     /*  788076 */     GIR_EraseRootFromParent_Done,
     /*  788077 */   // Label 12228: @788077
     /*  788077 */   GIM_Try, /*On fail goto*//*Label 12229*/ GIMT_Encode4(788152), // Rule ID 19170 //
     /*  788082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  788102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788128 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  788131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788150 */     GIR_RootConstrainSelectedInstOperands,
     /*  788151 */     // GIR_Coverage, 19170,
     /*  788151 */     GIR_EraseRootFromParent_Done,
     /*  788152 */   // Label 12229: @788152
     /*  788152 */   GIM_Try, /*On fail goto*//*Label 12230*/ GIMT_Encode4(788227), // Rule ID 19171 //
     /*  788157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  788168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  788171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  788174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  788177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788203 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /*  788206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788225 */     GIR_RootConstrainSelectedInstOperands,
     /*  788226 */     // GIR_Coverage, 19171,
     /*  788226 */     GIR_EraseRootFromParent_Done,
     /*  788227 */   // Label 12230: @788227
     /*  788227 */   GIM_Try, /*On fail goto*//*Label 12231*/ GIMT_Encode4(788302), // Rule ID 19174 //
     /*  788232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  788243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  788246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  788249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  788252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  788281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788300 */     GIR_RootConstrainSelectedInstOperands,
     /*  788301 */     // GIR_Coverage, 19174,
     /*  788301 */     GIR_EraseRootFromParent_Done,
     /*  788302 */   // Label 12231: @788302
     /*  788302 */   GIM_Try, /*On fail goto*//*Label 12232*/ GIMT_Encode4(788377), // Rule ID 19175 //
     /*  788307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  788318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  788321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  788324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  788327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788353 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /*  788356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788375 */     GIR_RootConstrainSelectedInstOperands,
     /*  788376 */     // GIR_Coverage, 19175,
     /*  788376 */     GIR_EraseRootFromParent_Done,
     /*  788377 */   // Label 12232: @788377
     /*  788377 */   GIM_Try, /*On fail goto*//*Label 12233*/ GIMT_Encode4(788452), // Rule ID 19178 //
     /*  788382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  788431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788450 */     GIR_RootConstrainSelectedInstOperands,
     /*  788451 */     // GIR_Coverage, 19178,
     /*  788451 */     GIR_EraseRootFromParent_Done,
     /*  788452 */   // Label 12233: @788452
     /*  788452 */   GIM_Try, /*On fail goto*//*Label 12234*/ GIMT_Encode4(788527), // Rule ID 19179 //
     /*  788457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  788468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  788471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  788474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  788477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788503 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /*  788506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788525 */     GIR_RootConstrainSelectedInstOperands,
     /*  788526 */     // GIR_Coverage, 19179,
     /*  788526 */     GIR_EraseRootFromParent_Done,
     /*  788527 */   // Label 12234: @788527
     /*  788527 */   GIM_Try, /*On fail goto*//*Label 12235*/ GIMT_Encode4(788602), // Rule ID 19182 //
     /*  788532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  788578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  788581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788600 */     GIR_RootConstrainSelectedInstOperands,
     /*  788601 */     // GIR_Coverage, 19182,
     /*  788601 */     GIR_EraseRootFromParent_Done,
     /*  788602 */   // Label 12235: @788602
     /*  788602 */   GIM_Try, /*On fail goto*//*Label 12236*/ GIMT_Encode4(788677), // Rule ID 19183 //
     /*  788607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  788610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  788618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  788621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  788624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  788627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788653 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  788653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /*  788656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  788672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788675 */     GIR_RootConstrainSelectedInstOperands,
     /*  788676 */     // GIR_Coverage, 19183,
     /*  788676 */     GIR_EraseRootFromParent_Done,
     /*  788677 */   // Label 12236: @788677
     /*  788677 */   GIM_Try, /*On fail goto*//*Label 12237*/ GIMT_Encode4(788752), // Rule ID 19186 //
     /*  788682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  788685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  788728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  788731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788750 */     GIR_RootConstrainSelectedInstOperands,
     /*  788751 */     // GIR_Coverage, 19186,
     /*  788751 */     GIR_EraseRootFromParent_Done,
     /*  788752 */   // Label 12237: @788752
     /*  788752 */   GIM_Try, /*On fail goto*//*Label 12238*/ GIMT_Encode4(788827), // Rule ID 19187 //
     /*  788757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  788760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  788768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  788771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  788774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  788777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788803 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  788803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /*  788806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  788822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788825 */     GIR_RootConstrainSelectedInstOperands,
     /*  788826 */     // GIR_Coverage, 19187,
     /*  788826 */     GIR_EraseRootFromParent_Done,
     /*  788827 */   // Label 12238: @788827
     /*  788827 */   GIM_Try, /*On fail goto*//*Label 12239*/ GIMT_Encode4(788902), // Rule ID 19190 //
     /*  788832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  788835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  788855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788878 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  788878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  788881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788900 */     GIR_RootConstrainSelectedInstOperands,
     /*  788901 */     // GIR_Coverage, 19190,
     /*  788901 */     GIR_EraseRootFromParent_Done,
     /*  788902 */   // Label 12239: @788902
     /*  788902 */   GIM_Try, /*On fail goto*//*Label 12240*/ GIMT_Encode4(788977), // Rule ID 19191 //
     /*  788907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  788910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  788918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  788921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  788924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  788927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  788930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  788946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  788953 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  788953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /*  788956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  788958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  788960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  788962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  788964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  788969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  788972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  788975 */     GIR_RootConstrainSelectedInstOperands,
     /*  788976 */     // GIR_Coverage, 19191,
     /*  788976 */     GIR_EraseRootFromParent_Done,
     /*  788977 */   // Label 12240: @788977
     /*  788977 */   GIM_Try, /*On fail goto*//*Label 12241*/ GIMT_Encode4(789052), // Rule ID 19194 //
     /*  788982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  788985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  788990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  788993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  788996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  788999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  789002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789028 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  789031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789050 */     GIR_RootConstrainSelectedInstOperands,
     /*  789051 */     // GIR_Coverage, 19194,
     /*  789051 */     GIR_EraseRootFromParent_Done,
     /*  789052 */   // Label 12241: @789052
     /*  789052 */   GIM_Try, /*On fail goto*//*Label 12242*/ GIMT_Encode4(789127), // Rule ID 19195 //
     /*  789057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  789068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  789071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  789074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  789077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789103 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /*  789106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789125 */     GIR_RootConstrainSelectedInstOperands,
     /*  789126 */     // GIR_Coverage, 19195,
     /*  789126 */     GIR_EraseRootFromParent_Done,
     /*  789127 */   // Label 12242: @789127
     /*  789127 */   GIM_Try, /*On fail goto*//*Label 12243*/ GIMT_Encode4(789202), // Rule ID 19198 //
     /*  789132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  789152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789178 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  789181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789200 */     GIR_RootConstrainSelectedInstOperands,
     /*  789201 */     // GIR_Coverage, 19198,
     /*  789201 */     GIR_EraseRootFromParent_Done,
     /*  789202 */   // Label 12243: @789202
     /*  789202 */   GIM_Try, /*On fail goto*//*Label 12244*/ GIMT_Encode4(789277), // Rule ID 19199 //
     /*  789207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  789218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  789221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  789224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  789227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789253 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /*  789256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789275 */     GIR_RootConstrainSelectedInstOperands,
     /*  789276 */     // GIR_Coverage, 19199,
     /*  789276 */     GIR_EraseRootFromParent_Done,
     /*  789277 */   // Label 12244: @789277
     /*  789277 */   GIM_Try, /*On fail goto*//*Label 12245*/ GIMT_Encode4(789352), // Rule ID 19202 //
     /*  789282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  789285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  789302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789328 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  789328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  789331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789350 */     GIR_RootConstrainSelectedInstOperands,
     /*  789351 */     // GIR_Coverage, 19202,
     /*  789351 */     GIR_EraseRootFromParent_Done,
     /*  789352 */   // Label 12245: @789352
     /*  789352 */   GIM_Try, /*On fail goto*//*Label 12246*/ GIMT_Encode4(789427), // Rule ID 19203 //
     /*  789357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  789360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  789368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  789371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  789374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  789377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789403 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  789403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /*  789406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  789422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789425 */     GIR_RootConstrainSelectedInstOperands,
     /*  789426 */     // GIR_Coverage, 19203,
     /*  789426 */     GIR_EraseRootFromParent_Done,
     /*  789427 */   // Label 12246: @789427
     /*  789427 */   GIM_Try, /*On fail goto*//*Label 12247*/ GIMT_Encode4(789502), // Rule ID 19206 //
     /*  789432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789478 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  789481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789500 */     GIR_RootConstrainSelectedInstOperands,
     /*  789501 */     // GIR_Coverage, 19206,
     /*  789501 */     GIR_EraseRootFromParent_Done,
     /*  789502 */   // Label 12247: @789502
     /*  789502 */   GIM_Try, /*On fail goto*//*Label 12248*/ GIMT_Encode4(789577), // Rule ID 19207 //
     /*  789507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  789518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  789521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  789524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  789527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789553 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /*  789556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789575 */     GIR_RootConstrainSelectedInstOperands,
     /*  789576 */     // GIR_Coverage, 19207,
     /*  789576 */     GIR_EraseRootFromParent_Done,
     /*  789577 */   // Label 12248: @789577
     /*  789577 */   GIM_Try, /*On fail goto*//*Label 12249*/ GIMT_Encode4(789652), // Rule ID 19210 //
     /*  789582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789628 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  789631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789650 */     GIR_RootConstrainSelectedInstOperands,
     /*  789651 */     // GIR_Coverage, 19210,
     /*  789651 */     GIR_EraseRootFromParent_Done,
     /*  789652 */   // Label 12249: @789652
     /*  789652 */   GIM_Try, /*On fail goto*//*Label 12250*/ GIMT_Encode4(789727), // Rule ID 19211 //
     /*  789657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  789668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  789671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  789674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  789677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  789696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789703 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /*  789706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789725 */     GIR_RootConstrainSelectedInstOperands,
     /*  789726 */     // GIR_Coverage, 19211,
     /*  789726 */     GIR_EraseRootFromParent_Done,
     /*  789727 */   // Label 12250: @789727
     /*  789727 */   GIM_Try, /*On fail goto*//*Label 12251*/ GIMT_Encode4(789802), // Rule ID 19214 //
     /*  789732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  789735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789778 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  789778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  789781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789800 */     GIR_RootConstrainSelectedInstOperands,
     /*  789801 */     // GIR_Coverage, 19214,
     /*  789801 */     GIR_EraseRootFromParent_Done,
     /*  789802 */   // Label 12251: @789802
     /*  789802 */   GIM_Try, /*On fail goto*//*Label 12252*/ GIMT_Encode4(789877), // Rule ID 19215 //
     /*  789807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  789810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  789818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  789821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  789824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  789827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  789846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789853 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  789853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /*  789856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  789872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789875 */     GIR_RootConstrainSelectedInstOperands,
     /*  789876 */     // GIR_Coverage, 19215,
     /*  789876 */     GIR_EraseRootFromParent_Done,
     /*  789877 */   // Label 12252: @789877
     /*  789877 */   GIM_Try, /*On fail goto*//*Label 12253*/ GIMT_Encode4(789952), // Rule ID 19218 //
     /*  789882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  789885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  789905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  789928 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  789928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  789931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  789933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  789935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  789937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  789939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  789944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  789947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  789950 */     GIR_RootConstrainSelectedInstOperands,
     /*  789951 */     // GIR_Coverage, 19218,
     /*  789951 */     GIR_EraseRootFromParent_Done,
     /*  789952 */   // Label 12253: @789952
     /*  789952 */   GIM_Try, /*On fail goto*//*Label 12254*/ GIMT_Encode4(790027), // Rule ID 19219 //
     /*  789957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  789960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  789965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  789968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  789971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  789974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  789977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  789980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  789996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790003 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /*  790006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790025 */     GIR_RootConstrainSelectedInstOperands,
     /*  790026 */     // GIR_Coverage, 19219,
     /*  790026 */     GIR_EraseRootFromParent_Done,
     /*  790027 */   // Label 12254: @790027
     /*  790027 */   GIM_Try, /*On fail goto*//*Label 12255*/ GIMT_Encode4(790102), // Rule ID 19222 //
     /*  790032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  790052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790078 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  790081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790100 */     GIR_RootConstrainSelectedInstOperands,
     /*  790101 */     // GIR_Coverage, 19222,
     /*  790101 */     GIR_EraseRootFromParent_Done,
     /*  790102 */   // Label 12255: @790102
     /*  790102 */   GIM_Try, /*On fail goto*//*Label 12256*/ GIMT_Encode4(790177), // Rule ID 19223 //
     /*  790107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  790118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  790121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  790124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  790127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  790146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790153 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /*  790156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790175 */     GIR_RootConstrainSelectedInstOperands,
     /*  790176 */     // GIR_Coverage, 19223,
     /*  790176 */     GIR_EraseRootFromParent_Done,
     /*  790177 */   // Label 12256: @790177
     /*  790177 */   GIM_Try, /*On fail goto*//*Label 12257*/ GIMT_Encode4(790252), // Rule ID 19226 //
     /*  790182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  790185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  790202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  790228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  790231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790250 */     GIR_RootConstrainSelectedInstOperands,
     /*  790251 */     // GIR_Coverage, 19226,
     /*  790251 */     GIR_EraseRootFromParent_Done,
     /*  790252 */   // Label 12257: @790252
     /*  790252 */   GIM_Try, /*On fail goto*//*Label 12258*/ GIMT_Encode4(790327), // Rule ID 19227 //
     /*  790257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  790260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  790268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  790271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  790274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  790277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  790296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790303 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  790303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /*  790306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  790322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790325 */     GIR_RootConstrainSelectedInstOperands,
     /*  790326 */     // GIR_Coverage, 19227,
     /*  790326 */     GIR_EraseRootFromParent_Done,
     /*  790327 */   // Label 12258: @790327
     /*  790327 */   GIM_Try, /*On fail goto*//*Label 12259*/ GIMT_Encode4(790402), // Rule ID 19230 //
     /*  790332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790378 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  790381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790400 */     GIR_RootConstrainSelectedInstOperands,
     /*  790401 */     // GIR_Coverage, 19230,
     /*  790401 */     GIR_EraseRootFromParent_Done,
     /*  790402 */   // Label 12259: @790402
     /*  790402 */   GIM_Try, /*On fail goto*//*Label 12260*/ GIMT_Encode4(790477), // Rule ID 19231 //
     /*  790407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  790418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  790421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  790424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790453 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16),
     /*  790456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790475 */     GIR_RootConstrainSelectedInstOperands,
     /*  790476 */     // GIR_Coverage, 19231,
     /*  790476 */     GIR_EraseRootFromParent_Done,
     /*  790477 */   // Label 12260: @790477
     /*  790477 */   GIM_Try, /*On fail goto*//*Label 12261*/ GIMT_Encode4(790552), // Rule ID 19234 //
     /*  790482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  790531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790550 */     GIR_RootConstrainSelectedInstOperands,
     /*  790551 */     // GIR_Coverage, 19234,
     /*  790551 */     GIR_EraseRootFromParent_Done,
     /*  790552 */   // Label 12261: @790552
     /*  790552 */   GIM_Try, /*On fail goto*//*Label 12262*/ GIMT_Encode4(790627), // Rule ID 19235 //
     /*  790557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  790568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  790571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  790574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790603 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16),
     /*  790606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790625 */     GIR_RootConstrainSelectedInstOperands,
     /*  790626 */     // GIR_Coverage, 19235,
     /*  790626 */     GIR_EraseRootFromParent_Done,
     /*  790627 */   // Label 12262: @790627
     /*  790627 */   GIM_Try, /*On fail goto*//*Label 12263*/ GIMT_Encode4(790702), // Rule ID 19238 //
     /*  790632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790678 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  790681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790700 */     GIR_RootConstrainSelectedInstOperands,
     /*  790701 */     // GIR_Coverage, 19238,
     /*  790701 */     GIR_EraseRootFromParent_Done,
     /*  790702 */   // Label 12263: @790702
     /*  790702 */   GIM_Try, /*On fail goto*//*Label 12264*/ GIMT_Encode4(790777), // Rule ID 19239 //
     /*  790707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  790710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  790718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  790721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  790724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790753 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  790753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32),
     /*  790756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790775 */     GIR_RootConstrainSelectedInstOperands,
     /*  790776 */     // GIR_Coverage, 19239,
     /*  790776 */     GIR_EraseRootFromParent_Done,
     /*  790777 */   // Label 12264: @790777
     /*  790777 */   GIM_Try, /*On fail goto*//*Label 12265*/ GIMT_Encode4(790852), // Rule ID 19242 //
     /*  790782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  790785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  790828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  790831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790850 */     GIR_RootConstrainSelectedInstOperands,
     /*  790851 */     // GIR_Coverage, 19242,
     /*  790851 */     GIR_EraseRootFromParent_Done,
     /*  790852 */   // Label 12265: @790852
     /*  790852 */   GIM_Try, /*On fail goto*//*Label 12266*/ GIMT_Encode4(790927), // Rule ID 19243 //
     /*  790857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  790860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  790868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  790871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  790874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  790877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  790880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  790896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11212:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  790903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16),
     /*  790906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  790922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  790925 */     GIR_RootConstrainSelectedInstOperands,
     /*  790926 */     // GIR_Coverage, 19243,
     /*  790926 */     GIR_EraseRootFromParent_Done,
     /*  790927 */   // Label 12266: @790927
     /*  790927 */   GIM_Try, /*On fail goto*//*Label 12267*/ GIMT_Encode4(791002), // Rule ID 19246 //
     /*  790932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  790935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  790940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  790943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  790946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  790949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  790952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  790955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  790967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  790971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  790978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  790978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  790981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  790983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  790985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  790987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  790989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  790994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  790997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791000 */     GIR_RootConstrainSelectedInstOperands,
     /*  791001 */     // GIR_Coverage, 19246,
     /*  791001 */     GIR_EraseRootFromParent_Done,
     /*  791002 */   // Label 12267: @791002
     /*  791002 */   GIM_Try, /*On fail goto*//*Label 12268*/ GIMT_Encode4(791077), // Rule ID 19247 //
     /*  791007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  791018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  791021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  791024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791053 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11212:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32),
     /*  791056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791075 */     GIR_RootConstrainSelectedInstOperands,
     /*  791076 */     // GIR_Coverage, 19247,
     /*  791076 */     GIR_EraseRootFromParent_Done,
     /*  791077 */   // Label 12268: @791077
     /*  791077 */   GIM_Try, /*On fail goto*//*Label 12269*/ GIMT_Encode4(791152), // Rule ID 19250 //
     /*  791082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  791085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  791099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  791128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  791131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791150 */     GIR_RootConstrainSelectedInstOperands,
     /*  791151 */     // GIR_Coverage, 19250,
     /*  791151 */     GIR_EraseRootFromParent_Done,
     /*  791152 */   // Label 12269: @791152
     /*  791152 */   GIM_Try, /*On fail goto*//*Label 12270*/ GIMT_Encode4(791227), // Rule ID 19251 //
     /*  791157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  791160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  791168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  791171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  791174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  791177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  791192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  791196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11212:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  791203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64),
     /*  791206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  791222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791225 */     GIR_RootConstrainSelectedInstOperands,
     /*  791226 */     // GIR_Coverage, 19251,
     /*  791226 */     GIR_EraseRootFromParent_Done,
     /*  791227 */   // Label 12270: @791227
     /*  791227 */   GIM_Try, /*On fail goto*//*Label 12271*/ GIMT_Encode4(791302), // Rule ID 19254 //
     /*  791232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  791243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  791246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791278 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  791281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791300 */     GIR_RootConstrainSelectedInstOperands,
     /*  791301 */     // GIR_Coverage, 19254,
     /*  791301 */     GIR_EraseRootFromParent_Done,
     /*  791302 */   // Label 12271: @791302
     /*  791302 */   GIM_Try, /*On fail goto*//*Label 12272*/ GIMT_Encode4(791377), // Rule ID 19255 //
     /*  791307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  791318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  791321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  791324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791353 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16),
     /*  791356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791375 */     GIR_RootConstrainSelectedInstOperands,
     /*  791376 */     // GIR_Coverage, 19255,
     /*  791376 */     GIR_EraseRootFromParent_Done,
     /*  791377 */   // Label 12272: @791377
     /*  791377 */   GIM_Try, /*On fail goto*//*Label 12273*/ GIMT_Encode4(791452), // Rule ID 19258 //
     /*  791382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  791431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791450 */     GIR_RootConstrainSelectedInstOperands,
     /*  791451 */     // GIR_Coverage, 19258,
     /*  791451 */     GIR_EraseRootFromParent_Done,
     /*  791452 */   // Label 12273: @791452
     /*  791452 */   GIM_Try, /*On fail goto*//*Label 12274*/ GIMT_Encode4(791527), // Rule ID 19259 //
     /*  791457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  791468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  791471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  791474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791503 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16),
     /*  791506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791525 */     GIR_RootConstrainSelectedInstOperands,
     /*  791526 */     // GIR_Coverage, 19259,
     /*  791526 */     GIR_EraseRootFromParent_Done,
     /*  791527 */   // Label 12274: @791527
     /*  791527 */   GIM_Try, /*On fail goto*//*Label 12275*/ GIMT_Encode4(791602), // Rule ID 19262 //
     /*  791532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  791535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791578 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  791578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  791581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791600 */     GIR_RootConstrainSelectedInstOperands,
     /*  791601 */     // GIR_Coverage, 19262,
     /*  791601 */     GIR_EraseRootFromParent_Done,
     /*  791602 */   // Label 12275: @791602
     /*  791602 */   GIM_Try, /*On fail goto*//*Label 12276*/ GIMT_Encode4(791677), // Rule ID 19263 //
     /*  791607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  791610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  791618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  791621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  791624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  791627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  791642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  791646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791653 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  791653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16),
     /*  791656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  791672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791675 */     GIR_RootConstrainSelectedInstOperands,
     /*  791676 */     // GIR_Coverage, 19263,
     /*  791676 */     GIR_EraseRootFromParent_Done,
     /*  791677 */   // Label 12276: @791677
     /*  791677 */   GIM_Try, /*On fail goto*//*Label 12277*/ GIMT_Encode4(791752), // Rule ID 19266 //
     /*  791682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  791731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791750 */     GIR_RootConstrainSelectedInstOperands,
     /*  791751 */     // GIR_Coverage, 19266,
     /*  791751 */     GIR_EraseRootFromParent_Done,
     /*  791752 */   // Label 12277: @791752
     /*  791752 */   GIM_Try, /*On fail goto*//*Label 12278*/ GIMT_Encode4(791827), // Rule ID 19267 //
     /*  791757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  791768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  791771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  791774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  791792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791803 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32),
     /*  791806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791825 */     GIR_RootConstrainSelectedInstOperands,
     /*  791826 */     // GIR_Coverage, 19267,
     /*  791826 */     GIR_EraseRootFromParent_Done,
     /*  791827 */   // Label 12278: @791827
     /*  791827 */   GIM_Try, /*On fail goto*//*Label 12279*/ GIMT_Encode4(791902), // Rule ID 19270 //
     /*  791832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  791855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791878 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  791878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  791881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791900 */     GIR_RootConstrainSelectedInstOperands,
     /*  791901 */     // GIR_Coverage, 19270,
     /*  791901 */     GIR_EraseRootFromParent_Done,
     /*  791902 */   // Label 12279: @791902
     /*  791902 */   GIM_Try, /*On fail goto*//*Label 12280*/ GIMT_Encode4(791977), // Rule ID 19271 //
     /*  791907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  791910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  791918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  791921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  791924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  791927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  791930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  791942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  791946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  791953 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  791953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32),
     /*  791956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  791958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  791960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  791962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  791964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  791969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  791972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  791975 */     GIR_RootConstrainSelectedInstOperands,
     /*  791976 */     // GIR_Coverage, 19271,
     /*  791976 */     GIR_EraseRootFromParent_Done,
     /*  791977 */   // Label 12280: @791977
     /*  791977 */   GIM_Try, /*On fail goto*//*Label 12281*/ GIMT_Encode4(792052), // Rule ID 19274 //
     /*  791982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  791985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  791990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  791993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  791996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  791999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  792031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792050 */     GIR_RootConstrainSelectedInstOperands,
     /*  792051 */     // GIR_Coverage, 19274,
     /*  792051 */     GIR_EraseRootFromParent_Done,
     /*  792052 */   // Label 12281: @792052
     /*  792052 */   GIM_Try, /*On fail goto*//*Label 12282*/ GIMT_Encode4(792127), // Rule ID 19275 //
     /*  792057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  792065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  792068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  792071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  792074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  792077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  792096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792103 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  792103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32),
     /*  792106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792125 */     GIR_RootConstrainSelectedInstOperands,
     /*  792126 */     // GIR_Coverage, 19275,
     /*  792126 */     GIR_EraseRootFromParent_Done,
     /*  792127 */   // Label 12282: @792127
     /*  792127 */   GIM_Try, /*On fail goto*//*Label 12283*/ GIMT_Encode4(792202), // Rule ID 19278 //
     /*  792132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  792140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  792143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  792146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  792149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792178 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  792181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792200 */     GIR_RootConstrainSelectedInstOperands,
     /*  792201 */     // GIR_Coverage, 19278,
     /*  792201 */     GIR_EraseRootFromParent_Done,
     /*  792202 */   // Label 12283: @792202
     /*  792202 */   GIM_Try, /*On fail goto*//*Label 12284*/ GIMT_Encode4(792277), // Rule ID 19279 //
     /*  792207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  792215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  792218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  792221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  792224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  792242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792253 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11212:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64),
     /*  792256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792275 */     GIR_RootConstrainSelectedInstOperands,
     /*  792276 */     // GIR_Coverage, 19279,
     /*  792276 */     GIR_EraseRootFromParent_Done,
     /*  792277 */   // Label 12284: @792277
     /*  792277 */   GIM_Try, /*On fail goto*//*Label 12285*/ GIMT_Encode4(792352), // Rule ID 19282 //
     /*  792282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  792290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  792331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792350 */     GIR_RootConstrainSelectedInstOperands,
     /*  792351 */     // GIR_Coverage, 19282,
     /*  792351 */     GIR_EraseRootFromParent_Done,
     /*  792352 */   // Label 12285: @792352
     /*  792352 */   GIM_Try, /*On fail goto*//*Label 12286*/ GIMT_Encode4(792427), // Rule ID 19283 //
     /*  792357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  792365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  792368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  792371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  792374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  792392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792403 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11212:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64),
     /*  792406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792425 */     GIR_RootConstrainSelectedInstOperands,
     /*  792426 */     // GIR_Coverage, 19283,
     /*  792426 */     GIR_EraseRootFromParent_Done,
     /*  792427 */   // Label 12286: @792427
     /*  792427 */   GIM_Try, /*On fail goto*//*Label 12287*/ GIMT_Encode4(792502), // Rule ID 19286 //
     /*  792432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  792435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  792440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792478 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  792478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  792481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792500 */     GIR_RootConstrainSelectedInstOperands,
     /*  792501 */     // GIR_Coverage, 19286,
     /*  792501 */     GIR_EraseRootFromParent_Done,
     /*  792502 */   // Label 12287: @792502
     /*  792502 */   GIM_Try, /*On fail goto*//*Label 12288*/ GIMT_Encode4(792577), // Rule ID 19287 //
     /*  792507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  792510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin),
     /*  792515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  792518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  792521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  792524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  792527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  792542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  792546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792553 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11212:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMIN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  792553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64),
     /*  792556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  792572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792575 */     GIR_RootConstrainSelectedInstOperands,
     /*  792576 */     // GIR_Coverage, 19287,
     /*  792576 */     GIR_EraseRootFromParent_Done,
     /*  792577 */   // Label 12288: @792577
     /*  792577 */   GIM_Try, /*On fail goto*//*Label 12289*/ GIMT_Encode4(792652), // Rule ID 19290 //
     /*  792582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792628 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  792631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792650 */     GIR_RootConstrainSelectedInstOperands,
     /*  792651 */     // GIR_Coverage, 19290,
     /*  792651 */     GIR_EraseRootFromParent_Done,
     /*  792652 */   // Label 12289: @792652
     /*  792652 */   GIM_Try, /*On fail goto*//*Label 12290*/ GIMT_Encode4(792727), // Rule ID 19291 //
     /*  792657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  792668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  792671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  792674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  792677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792703 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /*  792706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792725 */     GIR_RootConstrainSelectedInstOperands,
     /*  792726 */     // GIR_Coverage, 19291,
     /*  792726 */     GIR_EraseRootFromParent_Done,
     /*  792727 */   // Label 12290: @792727
     /*  792727 */   GIM_Try, /*On fail goto*//*Label 12291*/ GIMT_Encode4(792802), // Rule ID 19294 //
     /*  792732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  792735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792778 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  792778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  792781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792800 */     GIR_RootConstrainSelectedInstOperands,
     /*  792801 */     // GIR_Coverage, 19294,
     /*  792801 */     GIR_EraseRootFromParent_Done,
     /*  792802 */   // Label 12291: @792802
     /*  792802 */   GIM_Try, /*On fail goto*//*Label 12292*/ GIMT_Encode4(792877), // Rule ID 19295 //
     /*  792807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  792810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  792818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  792821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  792824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  792827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792853 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  792853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /*  792856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  792872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792875 */     GIR_RootConstrainSelectedInstOperands,
     /*  792876 */     // GIR_Coverage, 19295,
     /*  792876 */     GIR_EraseRootFromParent_Done,
     /*  792877 */   // Label 12292: @792877
     /*  792877 */   GIM_Try, /*On fail goto*//*Label 12293*/ GIMT_Encode4(792952), // Rule ID 19298 //
     /*  792882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  792885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  792905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  792928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  792928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  792931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  792933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  792935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  792937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  792939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  792944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  792947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  792950 */     GIR_RootConstrainSelectedInstOperands,
     /*  792951 */     // GIR_Coverage, 19298,
     /*  792951 */     GIR_EraseRootFromParent_Done,
     /*  792952 */   // Label 12293: @792952
     /*  792952 */   GIM_Try, /*On fail goto*//*Label 12294*/ GIMT_Encode4(793027), // Rule ID 19299 //
     /*  792957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  792960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  792965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  792968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  792971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  792974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  792977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  792980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  792996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793003 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /*  793006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793025 */     GIR_RootConstrainSelectedInstOperands,
     /*  793026 */     // GIR_Coverage, 19299,
     /*  793026 */     GIR_EraseRootFromParent_Done,
     /*  793027 */   // Label 12294: @793027
     /*  793027 */   GIM_Try, /*On fail goto*//*Label 12295*/ GIMT_Encode4(793102), // Rule ID 19302 //
     /*  793032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  793043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  793046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  793052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793078 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  793081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793100 */     GIR_RootConstrainSelectedInstOperands,
     /*  793101 */     // GIR_Coverage, 19302,
     /*  793101 */     GIR_EraseRootFromParent_Done,
     /*  793102 */   // Label 12295: @793102
     /*  793102 */   GIM_Try, /*On fail goto*//*Label 12296*/ GIMT_Encode4(793177), // Rule ID 19303 //
     /*  793107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  793118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  793121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  793124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  793127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /*  793156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793175 */     GIR_RootConstrainSelectedInstOperands,
     /*  793176 */     // GIR_Coverage, 19303,
     /*  793176 */     GIR_EraseRootFromParent_Done,
     /*  793177 */   // Label 12296: @793177
     /*  793177 */   GIM_Try, /*On fail goto*//*Label 12297*/ GIMT_Encode4(793252), // Rule ID 19306 //
     /*  793182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  793199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  793202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  793231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793250 */     GIR_RootConstrainSelectedInstOperands,
     /*  793251 */     // GIR_Coverage, 19306,
     /*  793251 */     GIR_EraseRootFromParent_Done,
     /*  793252 */   // Label 12297: @793252
     /*  793252 */   GIM_Try, /*On fail goto*//*Label 12298*/ GIMT_Encode4(793327), // Rule ID 19307 //
     /*  793257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  793260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  793268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  793271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  793274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  793277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  793303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /*  793306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793325 */     GIR_RootConstrainSelectedInstOperands,
     /*  793326 */     // GIR_Coverage, 19307,
     /*  793326 */     GIR_EraseRootFromParent_Done,
     /*  793327 */   // Label 12298: @793327
     /*  793327 */   GIM_Try, /*On fail goto*//*Label 12299*/ GIMT_Encode4(793402), // Rule ID 19310 //
     /*  793332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  793335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  793352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793378 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  793378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  793381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793400 */     GIR_RootConstrainSelectedInstOperands,
     /*  793401 */     // GIR_Coverage, 19310,
     /*  793401 */     GIR_EraseRootFromParent_Done,
     /*  793402 */   // Label 12299: @793402
     /*  793402 */   GIM_Try, /*On fail goto*//*Label 12300*/ GIMT_Encode4(793477), // Rule ID 19311 //
     /*  793407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  793410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  793418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  793421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  793424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  793427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  793446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793453 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  793453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /*  793456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  793472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793475 */     GIR_RootConstrainSelectedInstOperands,
     /*  793476 */     // GIR_Coverage, 19311,
     /*  793476 */     GIR_EraseRootFromParent_Done,
     /*  793477 */   // Label 12300: @793477
     /*  793477 */   GIM_Try, /*On fail goto*//*Label 12301*/ GIMT_Encode4(793552), // Rule ID 19314 //
     /*  793482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793528 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  793531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793550 */     GIR_RootConstrainSelectedInstOperands,
     /*  793551 */     // GIR_Coverage, 19314,
     /*  793551 */     GIR_EraseRootFromParent_Done,
     /*  793552 */   // Label 12301: @793552
     /*  793552 */   GIM_Try, /*On fail goto*//*Label 12302*/ GIMT_Encode4(793627), // Rule ID 19315 //
     /*  793557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  793568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  793571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  793574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  793577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793603 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /*  793606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793625 */     GIR_RootConstrainSelectedInstOperands,
     /*  793626 */     // GIR_Coverage, 19315,
     /*  793626 */     GIR_EraseRootFromParent_Done,
     /*  793627 */   // Label 12302: @793627
     /*  793627 */   GIM_Try, /*On fail goto*//*Label 12303*/ GIMT_Encode4(793702), // Rule ID 19318 //
     /*  793632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793678 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  793681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793700 */     GIR_RootConstrainSelectedInstOperands,
     /*  793701 */     // GIR_Coverage, 19318,
     /*  793701 */     GIR_EraseRootFromParent_Done,
     /*  793702 */   // Label 12303: @793702
     /*  793702 */   GIM_Try, /*On fail goto*//*Label 12304*/ GIMT_Encode4(793777), // Rule ID 19319 //
     /*  793707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  793718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  793721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  793724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  793727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  793746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793753 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /*  793756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793775 */     GIR_RootConstrainSelectedInstOperands,
     /*  793776 */     // GIR_Coverage, 19319,
     /*  793776 */     GIR_EraseRootFromParent_Done,
     /*  793777 */   // Label 12304: @793777
     /*  793777 */   GIM_Try, /*On fail goto*//*Label 12305*/ GIMT_Encode4(793852), // Rule ID 19322 //
     /*  793782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  793785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793828 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  793828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  793831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793850 */     GIR_RootConstrainSelectedInstOperands,
     /*  793851 */     // GIR_Coverage, 19322,
     /*  793851 */     GIR_EraseRootFromParent_Done,
     /*  793852 */   // Label 12305: @793852
     /*  793852 */   GIM_Try, /*On fail goto*//*Label 12306*/ GIMT_Encode4(793927), // Rule ID 19323 //
     /*  793857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  793860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  793868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  793871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  793874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  793877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  793880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  793896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793903 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  793903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /*  793906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  793922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  793925 */     GIR_RootConstrainSelectedInstOperands,
     /*  793926 */     // GIR_Coverage, 19323,
     /*  793926 */     GIR_EraseRootFromParent_Done,
     /*  793927 */   // Label 12306: @793927
     /*  793927 */   GIM_Try, /*On fail goto*//*Label 12307*/ GIMT_Encode4(794002), // Rule ID 19326 //
     /*  793932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  793935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  793940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  793943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  793946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  793949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  793952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  793955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  793971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  793978 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  793978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  793981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  793983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  793985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  793987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  793989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  793994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  793997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794000 */     GIR_RootConstrainSelectedInstOperands,
     /*  794001 */     // GIR_Coverage, 19326,
     /*  794001 */     GIR_EraseRootFromParent_Done,
     /*  794002 */   // Label 12307: @794002
     /*  794002 */   GIM_Try, /*On fail goto*//*Label 12308*/ GIMT_Encode4(794077), // Rule ID 19327 //
     /*  794007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  794018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  794021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  794024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  794027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794053 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /*  794056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794075 */     GIR_RootConstrainSelectedInstOperands,
     /*  794076 */     // GIR_Coverage, 19327,
     /*  794076 */     GIR_EraseRootFromParent_Done,
     /*  794077 */   // Label 12308: @794077
     /*  794077 */   GIM_Try, /*On fail goto*//*Label 12309*/ GIMT_Encode4(794152), // Rule ID 19330 //
     /*  794082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  794093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  794096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  794102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  794131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794150 */     GIR_RootConstrainSelectedInstOperands,
     /*  794151 */     // GIR_Coverage, 19330,
     /*  794151 */     GIR_EraseRootFromParent_Done,
     /*  794152 */   // Label 12309: @794152
     /*  794152 */   GIM_Try, /*On fail goto*//*Label 12310*/ GIMT_Encode4(794227), // Rule ID 19331 //
     /*  794157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  794168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  794171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  794174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  794177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794203 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /*  794206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794225 */     GIR_RootConstrainSelectedInstOperands,
     /*  794226 */     // GIR_Coverage, 19331,
     /*  794226 */     GIR_EraseRootFromParent_Done,
     /*  794227 */   // Label 12310: @794227
     /*  794227 */   GIM_Try, /*On fail goto*//*Label 12311*/ GIMT_Encode4(794302), // Rule ID 19334 //
     /*  794232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  794235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  794243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  794246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  794249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  794252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794278 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  794278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  794281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794300 */     GIR_RootConstrainSelectedInstOperands,
     /*  794301 */     // GIR_Coverage, 19334,
     /*  794301 */     GIR_EraseRootFromParent_Done,
     /*  794302 */   // Label 12311: @794302
     /*  794302 */   GIM_Try, /*On fail goto*//*Label 12312*/ GIMT_Encode4(794377), // Rule ID 19335 //
     /*  794307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  794310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  794318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  794321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  794324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  794327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794353 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  794353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /*  794356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  794372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794375 */     GIR_RootConstrainSelectedInstOperands,
     /*  794376 */     // GIR_Coverage, 19335,
     /*  794376 */     GIR_EraseRootFromParent_Done,
     /*  794377 */   // Label 12312: @794377
     /*  794377 */   GIM_Try, /*On fail goto*//*Label 12313*/ GIMT_Encode4(794452), // Rule ID 19338 //
     /*  794382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794428 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  794431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794450 */     GIR_RootConstrainSelectedInstOperands,
     /*  794451 */     // GIR_Coverage, 19338,
     /*  794451 */     GIR_EraseRootFromParent_Done,
     /*  794452 */   // Label 12313: @794452
     /*  794452 */   GIM_Try, /*On fail goto*//*Label 12314*/ GIMT_Encode4(794527), // Rule ID 19339 //
     /*  794457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  794468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  794471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  794474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  794477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  794496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /*  794506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794525 */     GIR_RootConstrainSelectedInstOperands,
     /*  794526 */     // GIR_Coverage, 19339,
     /*  794526 */     GIR_EraseRootFromParent_Done,
     /*  794527 */   // Label 12314: @794527
     /*  794527 */   GIM_Try, /*On fail goto*//*Label 12315*/ GIMT_Encode4(794602), // Rule ID 19342 //
     /*  794532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794578 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  794581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794600 */     GIR_RootConstrainSelectedInstOperands,
     /*  794601 */     // GIR_Coverage, 19342,
     /*  794601 */     GIR_EraseRootFromParent_Done,
     /*  794602 */   // Label 12315: @794602
     /*  794602 */   GIM_Try, /*On fail goto*//*Label 12316*/ GIMT_Encode4(794677), // Rule ID 19343 //
     /*  794607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  794618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  794621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  794624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  794627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  794646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794653 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /*  794656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794675 */     GIR_RootConstrainSelectedInstOperands,
     /*  794676 */     // GIR_Coverage, 19343,
     /*  794676 */     GIR_EraseRootFromParent_Done,
     /*  794677 */   // Label 12316: @794677
     /*  794677 */   GIM_Try, /*On fail goto*//*Label 12317*/ GIMT_Encode4(794752), // Rule ID 19346 //
     /*  794682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  794685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  794728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  794731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794750 */     GIR_RootConstrainSelectedInstOperands,
     /*  794751 */     // GIR_Coverage, 19346,
     /*  794751 */     GIR_EraseRootFromParent_Done,
     /*  794752 */   // Label 12317: @794752
     /*  794752 */   GIM_Try, /*On fail goto*//*Label 12318*/ GIMT_Encode4(794827), // Rule ID 19347 //
     /*  794757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  794760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  794768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  794771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  794774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  794777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  794796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794803 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  794803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /*  794806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  794822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794825 */     GIR_RootConstrainSelectedInstOperands,
     /*  794826 */     // GIR_Coverage, 19347,
     /*  794826 */     GIR_EraseRootFromParent_Done,
     /*  794827 */   // Label 12318: @794827
     /*  794827 */   GIM_Try, /*On fail goto*//*Label 12319*/ GIMT_Encode4(794902), // Rule ID 19350 //
     /*  794832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  794855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794878 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  794878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  794881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794900 */     GIR_RootConstrainSelectedInstOperands,
     /*  794901 */     // GIR_Coverage, 19350,
     /*  794901 */     GIR_EraseRootFromParent_Done,
     /*  794902 */   // Label 12319: @794902
     /*  794902 */   GIM_Try, /*On fail goto*//*Label 12320*/ GIMT_Encode4(794977), // Rule ID 19351 //
     /*  794907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  794910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  794918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  794921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  794924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  794927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  794930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  794942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  794946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  794953 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  794953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16),
     /*  794956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  794958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  794960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  794962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  794964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  794969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  794972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  794975 */     GIR_RootConstrainSelectedInstOperands,
     /*  794976 */     // GIR_Coverage, 19351,
     /*  794976 */     GIR_EraseRootFromParent_Done,
     /*  794977 */   // Label 12320: @794977
     /*  794977 */   GIM_Try, /*On fail goto*//*Label 12321*/ GIMT_Encode4(795052), // Rule ID 19354 //
     /*  794982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  794985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  794990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  794993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  794996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  794999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795028 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  795031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795050 */     GIR_RootConstrainSelectedInstOperands,
     /*  795051 */     // GIR_Coverage, 19354,
     /*  795051 */     GIR_EraseRootFromParent_Done,
     /*  795052 */   // Label 12321: @795052
     /*  795052 */   GIM_Try, /*On fail goto*//*Label 12322*/ GIMT_Encode4(795127), // Rule ID 19355 //
     /*  795057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  795068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  795071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  795074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795103 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16),
     /*  795106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795125 */     GIR_RootConstrainSelectedInstOperands,
     /*  795126 */     // GIR_Coverage, 19355,
     /*  795126 */     GIR_EraseRootFromParent_Done,
     /*  795127 */   // Label 12322: @795127
     /*  795127 */   GIM_Try, /*On fail goto*//*Label 12323*/ GIMT_Encode4(795202), // Rule ID 19358 //
     /*  795132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  795143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  795146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  795149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795178 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  795181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795200 */     GIR_RootConstrainSelectedInstOperands,
     /*  795201 */     // GIR_Coverage, 19358,
     /*  795201 */     GIR_EraseRootFromParent_Done,
     /*  795202 */   // Label 12323: @795202
     /*  795202 */   GIM_Try, /*On fail goto*//*Label 12324*/ GIMT_Encode4(795277), // Rule ID 19359 //
     /*  795207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  795218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  795221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  795224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795253 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32),
     /*  795256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795275 */     GIR_RootConstrainSelectedInstOperands,
     /*  795276 */     // GIR_Coverage, 19359,
     /*  795276 */     GIR_EraseRootFromParent_Done,
     /*  795277 */   // Label 12324: @795277
     /*  795277 */   GIM_Try, /*On fail goto*//*Label 12325*/ GIMT_Encode4(795352), // Rule ID 19362 //
     /*  795282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795328 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  795331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795350 */     GIR_RootConstrainSelectedInstOperands,
     /*  795351 */     // GIR_Coverage, 19362,
     /*  795351 */     GIR_EraseRootFromParent_Done,
     /*  795352 */   // Label 12325: @795352
     /*  795352 */   GIM_Try, /*On fail goto*//*Label 12326*/ GIMT_Encode4(795427), // Rule ID 19363 //
     /*  795357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  795368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  795371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  795374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795403 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11209:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16),
     /*  795406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795425 */     GIR_RootConstrainSelectedInstOperands,
     /*  795426 */     // GIR_Coverage, 19363,
     /*  795426 */     GIR_EraseRootFromParent_Done,
     /*  795427 */   // Label 12326: @795427
     /*  795427 */   GIM_Try, /*On fail goto*//*Label 12327*/ GIMT_Encode4(795502), // Rule ID 19366 //
     /*  795432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  795435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795478 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  795478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  795481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795500 */     GIR_RootConstrainSelectedInstOperands,
     /*  795501 */     // GIR_Coverage, 19366,
     /*  795501 */     GIR_EraseRootFromParent_Done,
     /*  795502 */   // Label 12327: @795502
     /*  795502 */   GIM_Try, /*On fail goto*//*Label 12328*/ GIMT_Encode4(795577), // Rule ID 19367 //
     /*  795507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  795510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  795518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  795521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  795524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  795527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  795546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795553 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11209:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  795553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32),
     /*  795556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  795572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795575 */     GIR_RootConstrainSelectedInstOperands,
     /*  795576 */     // GIR_Coverage, 19367,
     /*  795576 */     GIR_EraseRootFromParent_Done,
     /*  795577 */   // Label 12328: @795577
     /*  795577 */   GIM_Try, /*On fail goto*//*Label 12329*/ GIMT_Encode4(795652), // Rule ID 19370 //
     /*  795582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  795585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  795628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  795631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795650 */     GIR_RootConstrainSelectedInstOperands,
     /*  795651 */     // GIR_Coverage, 19370,
     /*  795651 */     GIR_EraseRootFromParent_Done,
     /*  795652 */   // Label 12329: @795652
     /*  795652 */   GIM_Try, /*On fail goto*//*Label 12330*/ GIMT_Encode4(795727), // Rule ID 19371 //
     /*  795657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  795660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  795668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  795671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  795674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  795677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  795692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  795696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795703 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11209:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  795703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64),
     /*  795706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  795722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795725 */     GIR_RootConstrainSelectedInstOperands,
     /*  795726 */     // GIR_Coverage, 19371,
     /*  795726 */     GIR_EraseRootFromParent_Done,
     /*  795727 */   // Label 12330: @795727
     /*  795727 */   GIM_Try, /*On fail goto*//*Label 12331*/ GIMT_Encode4(795802), // Rule ID 19374 //
     /*  795732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795778 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  795781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795800 */     GIR_RootConstrainSelectedInstOperands,
     /*  795801 */     // GIR_Coverage, 19374,
     /*  795801 */     GIR_EraseRootFromParent_Done,
     /*  795802 */   // Label 12331: @795802
     /*  795802 */   GIM_Try, /*On fail goto*//*Label 12332*/ GIMT_Encode4(795877), // Rule ID 19375 //
     /*  795807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  795818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  795821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  795824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  795842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795853 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  795853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16),
     /*  795856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795875 */     GIR_RootConstrainSelectedInstOperands,
     /*  795876 */     // GIR_Coverage, 19375,
     /*  795876 */     GIR_EraseRootFromParent_Done,
     /*  795877 */   // Label 12332: @795877
     /*  795877 */   GIM_Try, /*On fail goto*//*Label 12333*/ GIMT_Encode4(795952), // Rule ID 19378 //
     /*  795882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  795885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  795905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  795928 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  795928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  795931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  795933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  795935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  795937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  795939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  795944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  795947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  795950 */     GIR_RootConstrainSelectedInstOperands,
     /*  795951 */     // GIR_Coverage, 19378,
     /*  795951 */     GIR_EraseRootFromParent_Done,
     /*  795952 */   // Label 12333: @795952
     /*  795952 */   GIM_Try, /*On fail goto*//*Label 12334*/ GIMT_Encode4(796027), // Rule ID 19379 //
     /*  795957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  795960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  795965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  795968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  795971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  795974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  795977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  795980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  795992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  795996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796003 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16),
     /*  796006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796025 */     GIR_RootConstrainSelectedInstOperands,
     /*  796026 */     // GIR_Coverage, 19379,
     /*  796026 */     GIR_EraseRootFromParent_Done,
     /*  796027 */   // Label 12334: @796027
     /*  796027 */   GIM_Try, /*On fail goto*//*Label 12335*/ GIMT_Encode4(796102), // Rule ID 19382 //
     /*  796032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  796035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  796052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  796071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796078 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  796078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  796081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796100 */     GIR_RootConstrainSelectedInstOperands,
     /*  796101 */     // GIR_Coverage, 19382,
     /*  796101 */     GIR_EraseRootFromParent_Done,
     /*  796102 */   // Label 12335: @796102
     /*  796102 */   GIM_Try, /*On fail goto*//*Label 12336*/ GIMT_Encode4(796177), // Rule ID 19383 //
     /*  796107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  796110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  796118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  796121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  796124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  796127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  796146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796153 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  796153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16),
     /*  796156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  796172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796175 */     GIR_RootConstrainSelectedInstOperands,
     /*  796176 */     // GIR_Coverage, 19383,
     /*  796176 */     GIR_EraseRootFromParent_Done,
     /*  796177 */   // Label 12336: @796177
     /*  796177 */   GIM_Try, /*On fail goto*//*Label 12337*/ GIMT_Encode4(796252), // Rule ID 19386 //
     /*  796182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  796231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796250 */     GIR_RootConstrainSelectedInstOperands,
     /*  796251 */     // GIR_Coverage, 19386,
     /*  796251 */     GIR_EraseRootFromParent_Done,
     /*  796252 */   // Label 12337: @796252
     /*  796252 */   GIM_Try, /*On fail goto*//*Label 12338*/ GIMT_Encode4(796327), // Rule ID 19387 //
     /*  796257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  796268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  796271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  796274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796303 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32),
     /*  796306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796325 */     GIR_RootConstrainSelectedInstOperands,
     /*  796326 */     // GIR_Coverage, 19387,
     /*  796326 */     GIR_EraseRootFromParent_Done,
     /*  796327 */   // Label 12338: @796327
     /*  796327 */   GIM_Try, /*On fail goto*//*Label 12339*/ GIMT_Encode4(796402), // Rule ID 19390 //
     /*  796332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  796381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796400 */     GIR_RootConstrainSelectedInstOperands,
     /*  796401 */     // GIR_Coverage, 19390,
     /*  796401 */     GIR_EraseRootFromParent_Done,
     /*  796402 */   // Label 12339: @796402
     /*  796402 */   GIM_Try, /*On fail goto*//*Label 12340*/ GIMT_Encode4(796477), // Rule ID 19391 //
     /*  796407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  796418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  796421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  796424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796453 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32),
     /*  796456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796475 */     GIR_RootConstrainSelectedInstOperands,
     /*  796476 */     // GIR_Coverage, 19391,
     /*  796476 */     GIR_EraseRootFromParent_Done,
     /*  796477 */   // Label 12340: @796477
     /*  796477 */   GIM_Try, /*On fail goto*//*Label 12341*/ GIMT_Encode4(796552), // Rule ID 19394 //
     /*  796482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  796485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  796528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  796531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796550 */     GIR_RootConstrainSelectedInstOperands,
     /*  796551 */     // GIR_Coverage, 19394,
     /*  796551 */     GIR_EraseRootFromParent_Done,
     /*  796552 */   // Label 12341: @796552
     /*  796552 */   GIM_Try, /*On fail goto*//*Label 12342*/ GIMT_Encode4(796627), // Rule ID 19395 //
     /*  796557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  796560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  796568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  796571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  796574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  796577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  796596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796603 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  796603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32),
     /*  796606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  796622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796625 */     GIR_RootConstrainSelectedInstOperands,
     /*  796626 */     // GIR_Coverage, 19395,
     /*  796626 */     GIR_EraseRootFromParent_Done,
     /*  796627 */   // Label 12342: @796627
     /*  796627 */   GIM_Try, /*On fail goto*//*Label 12343*/ GIMT_Encode4(796702), // Rule ID 19398 //
     /*  796632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796678 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  796681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796700 */     GIR_RootConstrainSelectedInstOperands,
     /*  796701 */     // GIR_Coverage, 19398,
     /*  796701 */     GIR_EraseRootFromParent_Done,
     /*  796702 */   // Label 12343: @796702
     /*  796702 */   GIM_Try, /*On fail goto*//*Label 12344*/ GIMT_Encode4(796777), // Rule ID 19399 //
     /*  796707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  796718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  796721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  796724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  796742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796753 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11209:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64),
     /*  796756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796775 */     GIR_RootConstrainSelectedInstOperands,
     /*  796776 */     // GIR_Coverage, 19399,
     /*  796776 */     GIR_EraseRootFromParent_Done,
     /*  796777 */   // Label 12344: @796777
     /*  796777 */   GIM_Try, /*On fail goto*//*Label 12345*/ GIMT_Encode4(796852), // Rule ID 19402 //
     /*  796782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796828 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  796831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796850 */     GIR_RootConstrainSelectedInstOperands,
     /*  796851 */     // GIR_Coverage, 19402,
     /*  796851 */     GIR_EraseRootFromParent_Done,
     /*  796852 */   // Label 12345: @796852
     /*  796852 */   GIM_Try, /*On fail goto*//*Label 12346*/ GIMT_Encode4(796927), // Rule ID 19403 //
     /*  796857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  796860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  796868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  796871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  796874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  796880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  796892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796903 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11209:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  796903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64),
     /*  796906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  796925 */     GIR_RootConstrainSelectedInstOperands,
     /*  796926 */     // GIR_Coverage, 19403,
     /*  796926 */     GIR_EraseRootFromParent_Done,
     /*  796927 */   // Label 12346: @796927
     /*  796927 */   GIM_Try, /*On fail goto*//*Label 12347*/ GIMT_Encode4(797002), // Rule ID 19406 //
     /*  796932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  796935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  796940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  796943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  796946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  796949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  796952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  796955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  796967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  796971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  796978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  796978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  796981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  796983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  796985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  796987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  796989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  796994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  796997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797000 */     GIR_RootConstrainSelectedInstOperands,
     /*  797001 */     // GIR_Coverage, 19406,
     /*  797001 */     GIR_EraseRootFromParent_Done,
     /*  797002 */   // Label 12347: @797002
     /*  797002 */   GIM_Try, /*On fail goto*//*Label 12348*/ GIMT_Encode4(797077), // Rule ID 19407 //
     /*  797007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax),
     /*  797015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  797018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  797021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  797024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  797027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  797042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  797046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797053 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11209:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMAX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64),
     /*  797056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797075 */     GIR_RootConstrainSelectedInstOperands,
     /*  797076 */     // GIR_Coverage, 19407,
     /*  797076 */     GIR_EraseRootFromParent_Done,
     /*  797077 */   // Label 12348: @797077
     /*  797077 */   GIM_Try, /*On fail goto*//*Label 12349*/ GIMT_Encode4(797152), // Rule ID 19410 //
     /*  797082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  797102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797128 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  797131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797150 */     GIR_RootConstrainSelectedInstOperands,
     /*  797151 */     // GIR_Coverage, 19410,
     /*  797151 */     GIR_EraseRootFromParent_Done,
     /*  797152 */   // Label 12349: @797152
     /*  797152 */   GIM_Try, /*On fail goto*//*Label 12350*/ GIMT_Encode4(797227), // Rule ID 19411 //
     /*  797157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  797168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  797171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  797174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  797177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797203 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /*  797206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797225 */     GIR_RootConstrainSelectedInstOperands,
     /*  797226 */     // GIR_Coverage, 19411,
     /*  797226 */     GIR_EraseRootFromParent_Done,
     /*  797227 */   // Label 12350: @797227
     /*  797227 */   GIM_Try, /*On fail goto*//*Label 12351*/ GIMT_Encode4(797302), // Rule ID 19414 //
     /*  797232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  797252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  797281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797300 */     GIR_RootConstrainSelectedInstOperands,
     /*  797301 */     // GIR_Coverage, 19414,
     /*  797301 */     GIR_EraseRootFromParent_Done,
     /*  797302 */   // Label 12351: @797302
     /*  797302 */   GIM_Try, /*On fail goto*//*Label 12352*/ GIMT_Encode4(797377), // Rule ID 19415 //
     /*  797307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  797318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  797321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  797324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  797327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797353 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /*  797356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797375 */     GIR_RootConstrainSelectedInstOperands,
     /*  797376 */     // GIR_Coverage, 19415,
     /*  797376 */     GIR_EraseRootFromParent_Done,
     /*  797377 */   // Label 12352: @797377
     /*  797377 */   GIM_Try, /*On fail goto*//*Label 12353*/ GIMT_Encode4(797452), // Rule ID 19418 //
     /*  797382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  797431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797450 */     GIR_RootConstrainSelectedInstOperands,
     /*  797451 */     // GIR_Coverage, 19418,
     /*  797451 */     GIR_EraseRootFromParent_Done,
     /*  797452 */   // Label 12353: @797452
     /*  797452 */   GIM_Try, /*On fail goto*//*Label 12354*/ GIMT_Encode4(797527), // Rule ID 19419 //
     /*  797457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  797468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  797471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  797474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  797477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797503 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /*  797506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797525 */     GIR_RootConstrainSelectedInstOperands,
     /*  797526 */     // GIR_Coverage, 19419,
     /*  797526 */     GIR_EraseRootFromParent_Done,
     /*  797527 */   // Label 12354: @797527
     /*  797527 */   GIM_Try, /*On fail goto*//*Label 12355*/ GIMT_Encode4(797602), // Rule ID 19422 //
     /*  797532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  797578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  797581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797600 */     GIR_RootConstrainSelectedInstOperands,
     /*  797601 */     // GIR_Coverage, 19422,
     /*  797601 */     GIR_EraseRootFromParent_Done,
     /*  797602 */   // Label 12355: @797602
     /*  797602 */   GIM_Try, /*On fail goto*//*Label 12356*/ GIMT_Encode4(797677), // Rule ID 19423 //
     /*  797607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  797610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  797618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  797621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  797624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  797627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797653 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  797653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /*  797656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  797672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797675 */     GIR_RootConstrainSelectedInstOperands,
     /*  797676 */     // GIR_Coverage, 19423,
     /*  797676 */     GIR_EraseRootFromParent_Done,
     /*  797677 */   // Label 12356: @797677
     /*  797677 */   GIM_Try, /*On fail goto*//*Label 12357*/ GIMT_Encode4(797752), // Rule ID 19426 //
     /*  797682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  797685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  797728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  797731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797750 */     GIR_RootConstrainSelectedInstOperands,
     /*  797751 */     // GIR_Coverage, 19426,
     /*  797751 */     GIR_EraseRootFromParent_Done,
     /*  797752 */   // Label 12357: @797752
     /*  797752 */   GIM_Try, /*On fail goto*//*Label 12358*/ GIMT_Encode4(797827), // Rule ID 19427 //
     /*  797757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  797760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  797768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  797771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  797774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  797777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797803 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  797803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /*  797806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  797822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797825 */     GIR_RootConstrainSelectedInstOperands,
     /*  797826 */     // GIR_Coverage, 19427,
     /*  797826 */     GIR_EraseRootFromParent_Done,
     /*  797827 */   // Label 12358: @797827
     /*  797827 */   GIM_Try, /*On fail goto*//*Label 12359*/ GIMT_Encode4(797902), // Rule ID 19430 //
     /*  797832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  797835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  797855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797878 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  797878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  797881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797900 */     GIR_RootConstrainSelectedInstOperands,
     /*  797901 */     // GIR_Coverage, 19430,
     /*  797901 */     GIR_EraseRootFromParent_Done,
     /*  797902 */   // Label 12359: @797902
     /*  797902 */   GIM_Try, /*On fail goto*//*Label 12360*/ GIMT_Encode4(797977), // Rule ID 19431 //
     /*  797907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  797910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  797918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  797921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  797924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  797927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  797930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  797946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  797953 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  797953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /*  797956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  797958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  797960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  797962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  797964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  797969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  797972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  797975 */     GIR_RootConstrainSelectedInstOperands,
     /*  797976 */     // GIR_Coverage, 19431,
     /*  797976 */     GIR_EraseRootFromParent_Done,
     /*  797977 */   // Label 12360: @797977
     /*  797977 */   GIM_Try, /*On fail goto*//*Label 12361*/ GIMT_Encode4(798052), // Rule ID 19434 //
     /*  797982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  797985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  797990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  797993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  797996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  797999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  798002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798028 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  798031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798050 */     GIR_RootConstrainSelectedInstOperands,
     /*  798051 */     // GIR_Coverage, 19434,
     /*  798051 */     GIR_EraseRootFromParent_Done,
     /*  798052 */   // Label 12361: @798052
     /*  798052 */   GIM_Try, /*On fail goto*//*Label 12362*/ GIMT_Encode4(798127), // Rule ID 19435 //
     /*  798057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  798068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  798071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  798074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  798077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798103 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /*  798106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798125 */     GIR_RootConstrainSelectedInstOperands,
     /*  798126 */     // GIR_Coverage, 19435,
     /*  798126 */     GIR_EraseRootFromParent_Done,
     /*  798127 */   // Label 12362: @798127
     /*  798127 */   GIM_Try, /*On fail goto*//*Label 12363*/ GIMT_Encode4(798202), // Rule ID 19438 //
     /*  798132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  798152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798178 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  798181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798200 */     GIR_RootConstrainSelectedInstOperands,
     /*  798201 */     // GIR_Coverage, 19438,
     /*  798201 */     GIR_EraseRootFromParent_Done,
     /*  798202 */   // Label 12363: @798202
     /*  798202 */   GIM_Try, /*On fail goto*//*Label 12364*/ GIMT_Encode4(798277), // Rule ID 19439 //
     /*  798207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  798218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  798221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  798224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  798227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798253 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /*  798256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798275 */     GIR_RootConstrainSelectedInstOperands,
     /*  798276 */     // GIR_Coverage, 19439,
     /*  798276 */     GIR_EraseRootFromParent_Done,
     /*  798277 */   // Label 12364: @798277
     /*  798277 */   GIM_Try, /*On fail goto*//*Label 12365*/ GIMT_Encode4(798352), // Rule ID 19442 //
     /*  798282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  798285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  798302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798328 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  798328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  798331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798350 */     GIR_RootConstrainSelectedInstOperands,
     /*  798351 */     // GIR_Coverage, 19442,
     /*  798351 */     GIR_EraseRootFromParent_Done,
     /*  798352 */   // Label 12365: @798352
     /*  798352 */   GIM_Try, /*On fail goto*//*Label 12366*/ GIMT_Encode4(798427), // Rule ID 19443 //
     /*  798357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  798360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  798368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  798371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  798374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  798377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798403 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  798403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /*  798406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  798422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798425 */     GIR_RootConstrainSelectedInstOperands,
     /*  798426 */     // GIR_Coverage, 19443,
     /*  798426 */     GIR_EraseRootFromParent_Done,
     /*  798427 */   // Label 12366: @798427
     /*  798427 */   GIM_Try, /*On fail goto*//*Label 12367*/ GIMT_Encode4(798502), // Rule ID 19446 //
     /*  798432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798478 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  798481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798500 */     GIR_RootConstrainSelectedInstOperands,
     /*  798501 */     // GIR_Coverage, 19446,
     /*  798501 */     GIR_EraseRootFromParent_Done,
     /*  798502 */   // Label 12367: @798502
     /*  798502 */   GIM_Try, /*On fail goto*//*Label 12368*/ GIMT_Encode4(798577), // Rule ID 19447 //
     /*  798507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  798518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  798521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  798524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  798527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798553 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /*  798556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798575 */     GIR_RootConstrainSelectedInstOperands,
     /*  798576 */     // GIR_Coverage, 19447,
     /*  798576 */     GIR_EraseRootFromParent_Done,
     /*  798577 */   // Label 12368: @798577
     /*  798577 */   GIM_Try, /*On fail goto*//*Label 12369*/ GIMT_Encode4(798652), // Rule ID 19450 //
     /*  798582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798628 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  798631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798650 */     GIR_RootConstrainSelectedInstOperands,
     /*  798651 */     // GIR_Coverage, 19450,
     /*  798651 */     GIR_EraseRootFromParent_Done,
     /*  798652 */   // Label 12369: @798652
     /*  798652 */   GIM_Try, /*On fail goto*//*Label 12370*/ GIMT_Encode4(798727), // Rule ID 19451 //
     /*  798657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  798668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  798671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  798674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  798677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  798696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798703 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /*  798706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798725 */     GIR_RootConstrainSelectedInstOperands,
     /*  798726 */     // GIR_Coverage, 19451,
     /*  798726 */     GIR_EraseRootFromParent_Done,
     /*  798727 */   // Label 12370: @798727
     /*  798727 */   GIM_Try, /*On fail goto*//*Label 12371*/ GIMT_Encode4(798802), // Rule ID 19454 //
     /*  798732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  798735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798778 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  798778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  798781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798800 */     GIR_RootConstrainSelectedInstOperands,
     /*  798801 */     // GIR_Coverage, 19454,
     /*  798801 */     GIR_EraseRootFromParent_Done,
     /*  798802 */   // Label 12371: @798802
     /*  798802 */   GIM_Try, /*On fail goto*//*Label 12372*/ GIMT_Encode4(798877), // Rule ID 19455 //
     /*  798807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  798810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  798818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  798821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  798824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  798827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  798846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798853 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  798853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /*  798856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  798872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798875 */     GIR_RootConstrainSelectedInstOperands,
     /*  798876 */     // GIR_Coverage, 19455,
     /*  798876 */     GIR_EraseRootFromParent_Done,
     /*  798877 */   // Label 12372: @798877
     /*  798877 */   GIM_Try, /*On fail goto*//*Label 12373*/ GIMT_Encode4(798952), // Rule ID 19458 //
     /*  798882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  798885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  798905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  798928 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  798928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  798931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  798933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  798935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  798937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  798939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  798944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  798947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  798950 */     GIR_RootConstrainSelectedInstOperands,
     /*  798951 */     // GIR_Coverage, 19458,
     /*  798951 */     GIR_EraseRootFromParent_Done,
     /*  798952 */   // Label 12373: @798952
     /*  798952 */   GIM_Try, /*On fail goto*//*Label 12374*/ GIMT_Encode4(799027), // Rule ID 19459 //
     /*  798957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  798960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  798965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  798968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  798971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  798974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  798977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  798980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  798996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799003 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /*  799006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799025 */     GIR_RootConstrainSelectedInstOperands,
     /*  799026 */     // GIR_Coverage, 19459,
     /*  799026 */     GIR_EraseRootFromParent_Done,
     /*  799027 */   // Label 12374: @799027
     /*  799027 */   GIM_Try, /*On fail goto*//*Label 12375*/ GIMT_Encode4(799102), // Rule ID 19462 //
     /*  799032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  799052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799078 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  799081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799100 */     GIR_RootConstrainSelectedInstOperands,
     /*  799101 */     // GIR_Coverage, 19462,
     /*  799101 */     GIR_EraseRootFromParent_Done,
     /*  799102 */   // Label 12375: @799102
     /*  799102 */   GIM_Try, /*On fail goto*//*Label 12376*/ GIMT_Encode4(799177), // Rule ID 19463 //
     /*  799107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  799118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  799121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  799124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  799127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  799146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799153 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /*  799156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799175 */     GIR_RootConstrainSelectedInstOperands,
     /*  799176 */     // GIR_Coverage, 19463,
     /*  799176 */     GIR_EraseRootFromParent_Done,
     /*  799177 */   // Label 12376: @799177
     /*  799177 */   GIM_Try, /*On fail goto*//*Label 12377*/ GIMT_Encode4(799252), // Rule ID 19466 //
     /*  799182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  799185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  799193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  799196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  799199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  799202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  799228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  799231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799250 */     GIR_RootConstrainSelectedInstOperands,
     /*  799251 */     // GIR_Coverage, 19466,
     /*  799251 */     GIR_EraseRootFromParent_Done,
     /*  799252 */   // Label 12377: @799252
     /*  799252 */   GIM_Try, /*On fail goto*//*Label 12378*/ GIMT_Encode4(799327), // Rule ID 19467 //
     /*  799257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  799260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  799268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  799271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  799274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  799277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  799296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799303 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  799303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /*  799306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  799322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799325 */     GIR_RootConstrainSelectedInstOperands,
     /*  799326 */     // GIR_Coverage, 19467,
     /*  799326 */     GIR_EraseRootFromParent_Done,
     /*  799327 */   // Label 12378: @799327
     /*  799327 */   GIM_Try, /*On fail goto*//*Label 12379*/ GIMT_Encode4(799402), // Rule ID 19470 //
     /*  799332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799378 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  799381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799400 */     GIR_RootConstrainSelectedInstOperands,
     /*  799401 */     // GIR_Coverage, 19470,
     /*  799401 */     GIR_EraseRootFromParent_Done,
     /*  799402 */   // Label 12379: @799402
     /*  799402 */   GIM_Try, /*On fail goto*//*Label 12380*/ GIMT_Encode4(799477), // Rule ID 19471 //
     /*  799407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  799418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  799421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  799424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799453 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16),
     /*  799456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799475 */     GIR_RootConstrainSelectedInstOperands,
     /*  799476 */     // GIR_Coverage, 19471,
     /*  799476 */     GIR_EraseRootFromParent_Done,
     /*  799477 */   // Label 12380: @799477
     /*  799477 */   GIM_Try, /*On fail goto*//*Label 12381*/ GIMT_Encode4(799552), // Rule ID 19474 //
     /*  799482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  799531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799550 */     GIR_RootConstrainSelectedInstOperands,
     /*  799551 */     // GIR_Coverage, 19474,
     /*  799551 */     GIR_EraseRootFromParent_Done,
     /*  799552 */   // Label 12381: @799552
     /*  799552 */   GIM_Try, /*On fail goto*//*Label 12382*/ GIMT_Encode4(799627), // Rule ID 19475 //
     /*  799557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  799568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  799571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  799574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799603 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16),
     /*  799606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799625 */     GIR_RootConstrainSelectedInstOperands,
     /*  799626 */     // GIR_Coverage, 19475,
     /*  799626 */     GIR_EraseRootFromParent_Done,
     /*  799627 */   // Label 12382: @799627
     /*  799627 */   GIM_Try, /*On fail goto*//*Label 12383*/ GIMT_Encode4(799702), // Rule ID 19478 //
     /*  799632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799678 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  799681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799700 */     GIR_RootConstrainSelectedInstOperands,
     /*  799701 */     // GIR_Coverage, 19478,
     /*  799701 */     GIR_EraseRootFromParent_Done,
     /*  799702 */   // Label 12383: @799702
     /*  799702 */   GIM_Try, /*On fail goto*//*Label 12384*/ GIMT_Encode4(799777), // Rule ID 19479 //
     /*  799707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  799710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  799718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  799721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  799724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799753 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  799753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32),
     /*  799756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799775 */     GIR_RootConstrainSelectedInstOperands,
     /*  799776 */     // GIR_Coverage, 19479,
     /*  799776 */     GIR_EraseRootFromParent_Done,
     /*  799777 */   // Label 12384: @799777
     /*  799777 */   GIM_Try, /*On fail goto*//*Label 12385*/ GIMT_Encode4(799852), // Rule ID 19482 //
     /*  799782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  799785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  799828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  799831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799850 */     GIR_RootConstrainSelectedInstOperands,
     /*  799851 */     // GIR_Coverage, 19482,
     /*  799851 */     GIR_EraseRootFromParent_Done,
     /*  799852 */   // Label 12385: @799852
     /*  799852 */   GIM_Try, /*On fail goto*//*Label 12386*/ GIMT_Encode4(799927), // Rule ID 19483 //
     /*  799857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  799860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  799868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  799871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  799874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  799877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  799880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  799896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11265:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  799903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16),
     /*  799906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  799922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  799925 */     GIR_RootConstrainSelectedInstOperands,
     /*  799926 */     // GIR_Coverage, 19483,
     /*  799926 */     GIR_EraseRootFromParent_Done,
     /*  799927 */   // Label 12386: @799927
     /*  799927 */   GIM_Try, /*On fail goto*//*Label 12387*/ GIMT_Encode4(800002), // Rule ID 19486 //
     /*  799932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  799935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  799940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  799943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  799946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  799949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  799952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  799955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  799967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  799971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  799978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  799978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  799981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  799983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  799985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  799987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  799989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  799994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  799997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800000 */     GIR_RootConstrainSelectedInstOperands,
     /*  800001 */     // GIR_Coverage, 19486,
     /*  800001 */     GIR_EraseRootFromParent_Done,
     /*  800002 */   // Label 12387: @800002
     /*  800002 */   GIM_Try, /*On fail goto*//*Label 12388*/ GIMT_Encode4(800077), // Rule ID 19487 //
     /*  800007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  800018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  800021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  800024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800053 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11265:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32),
     /*  800056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800075 */     GIR_RootConstrainSelectedInstOperands,
     /*  800076 */     // GIR_Coverage, 19487,
     /*  800076 */     GIR_EraseRootFromParent_Done,
     /*  800077 */   // Label 12388: @800077
     /*  800077 */   GIM_Try, /*On fail goto*//*Label 12389*/ GIMT_Encode4(800152), // Rule ID 19490 //
     /*  800082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  800085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  800093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  800096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  800099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  800128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  800131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800150 */     GIR_RootConstrainSelectedInstOperands,
     /*  800151 */     // GIR_Coverage, 19490,
     /*  800151 */     GIR_EraseRootFromParent_Done,
     /*  800152 */   // Label 12389: @800152
     /*  800152 */   GIM_Try, /*On fail goto*//*Label 12390*/ GIMT_Encode4(800227), // Rule ID 19491 //
     /*  800157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  800160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  800168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  800171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  800174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  800177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  800192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  800196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11265:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  800203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64),
     /*  800206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  800222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800225 */     GIR_RootConstrainSelectedInstOperands,
     /*  800226 */     // GIR_Coverage, 19491,
     /*  800226 */     GIR_EraseRootFromParent_Done,
     /*  800227 */   // Label 12390: @800227
     /*  800227 */   GIM_Try, /*On fail goto*//*Label 12391*/ GIMT_Encode4(800302), // Rule ID 19494 //
     /*  800232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  800243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  800246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  800249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800278 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  800281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800300 */     GIR_RootConstrainSelectedInstOperands,
     /*  800301 */     // GIR_Coverage, 19494,
     /*  800301 */     GIR_EraseRootFromParent_Done,
     /*  800302 */   // Label 12391: @800302
     /*  800302 */   GIM_Try, /*On fail goto*//*Label 12392*/ GIMT_Encode4(800377), // Rule ID 19495 //
     /*  800307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  800318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  800321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  800324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800353 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16),
     /*  800356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800375 */     GIR_RootConstrainSelectedInstOperands,
     /*  800376 */     // GIR_Coverage, 19495,
     /*  800376 */     GIR_EraseRootFromParent_Done,
     /*  800377 */   // Label 12392: @800377
     /*  800377 */   GIM_Try, /*On fail goto*//*Label 12393*/ GIMT_Encode4(800452), // Rule ID 19498 //
     /*  800382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  800431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800450 */     GIR_RootConstrainSelectedInstOperands,
     /*  800451 */     // GIR_Coverage, 19498,
     /*  800451 */     GIR_EraseRootFromParent_Done,
     /*  800452 */   // Label 12393: @800452
     /*  800452 */   GIM_Try, /*On fail goto*//*Label 12394*/ GIMT_Encode4(800527), // Rule ID 19499 //
     /*  800457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  800468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  800471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  800474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800503 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16),
     /*  800506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800525 */     GIR_RootConstrainSelectedInstOperands,
     /*  800526 */     // GIR_Coverage, 19499,
     /*  800526 */     GIR_EraseRootFromParent_Done,
     /*  800527 */   // Label 12394: @800527
     /*  800527 */   GIM_Try, /*On fail goto*//*Label 12395*/ GIMT_Encode4(800602), // Rule ID 19502 //
     /*  800532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  800535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800578 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  800578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  800581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800600 */     GIR_RootConstrainSelectedInstOperands,
     /*  800601 */     // GIR_Coverage, 19502,
     /*  800601 */     GIR_EraseRootFromParent_Done,
     /*  800602 */   // Label 12395: @800602
     /*  800602 */   GIM_Try, /*On fail goto*//*Label 12396*/ GIMT_Encode4(800677), // Rule ID 19503 //
     /*  800607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  800610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  800618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  800621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  800624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  800627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  800642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  800646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800653 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  800653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16),
     /*  800656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  800672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800675 */     GIR_RootConstrainSelectedInstOperands,
     /*  800676 */     // GIR_Coverage, 19503,
     /*  800676 */     GIR_EraseRootFromParent_Done,
     /*  800677 */   // Label 12396: @800677
     /*  800677 */   GIM_Try, /*On fail goto*//*Label 12397*/ GIMT_Encode4(800752), // Rule ID 19506 //
     /*  800682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  800731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800750 */     GIR_RootConstrainSelectedInstOperands,
     /*  800751 */     // GIR_Coverage, 19506,
     /*  800751 */     GIR_EraseRootFromParent_Done,
     /*  800752 */   // Label 12397: @800752
     /*  800752 */   GIM_Try, /*On fail goto*//*Label 12398*/ GIMT_Encode4(800827), // Rule ID 19507 //
     /*  800757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  800768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  800771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  800774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  800792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800803 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32),
     /*  800806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800825 */     GIR_RootConstrainSelectedInstOperands,
     /*  800826 */     // GIR_Coverage, 19507,
     /*  800826 */     GIR_EraseRootFromParent_Done,
     /*  800827 */   // Label 12398: @800827
     /*  800827 */   GIM_Try, /*On fail goto*//*Label 12399*/ GIMT_Encode4(800902), // Rule ID 19510 //
     /*  800832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  800855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800878 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  800878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  800881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800900 */     GIR_RootConstrainSelectedInstOperands,
     /*  800901 */     // GIR_Coverage, 19510,
     /*  800901 */     GIR_EraseRootFromParent_Done,
     /*  800902 */   // Label 12399: @800902
     /*  800902 */   GIM_Try, /*On fail goto*//*Label 12400*/ GIMT_Encode4(800977), // Rule ID 19511 //
     /*  800907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  800910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  800918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  800921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  800924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  800927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  800930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  800942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  800946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  800953 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  800953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32),
     /*  800956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  800958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  800960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  800962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  800964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  800969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  800972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  800975 */     GIR_RootConstrainSelectedInstOperands,
     /*  800976 */     // GIR_Coverage, 19511,
     /*  800976 */     GIR_EraseRootFromParent_Done,
     /*  800977 */   // Label 12400: @800977
     /*  800977 */   GIM_Try, /*On fail goto*//*Label 12401*/ GIMT_Encode4(801052), // Rule ID 19514 //
     /*  800982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  800985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  800990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  800993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  800996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  800999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  801021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  801031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801050 */     GIR_RootConstrainSelectedInstOperands,
     /*  801051 */     // GIR_Coverage, 19514,
     /*  801051 */     GIR_EraseRootFromParent_Done,
     /*  801052 */   // Label 12401: @801052
     /*  801052 */   GIM_Try, /*On fail goto*//*Label 12402*/ GIMT_Encode4(801127), // Rule ID 19515 //
     /*  801057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  801065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  801068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  801071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  801074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  801077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  801096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801103 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  801103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32),
     /*  801106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801125 */     GIR_RootConstrainSelectedInstOperands,
     /*  801126 */     // GIR_Coverage, 19515,
     /*  801126 */     GIR_EraseRootFromParent_Done,
     /*  801127 */   // Label 12402: @801127
     /*  801127 */   GIM_Try, /*On fail goto*//*Label 12403*/ GIMT_Encode4(801202), // Rule ID 19518 //
     /*  801132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  801140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  801143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  801146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  801149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801178 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  801181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801200 */     GIR_RootConstrainSelectedInstOperands,
     /*  801201 */     // GIR_Coverage, 19518,
     /*  801201 */     GIR_EraseRootFromParent_Done,
     /*  801202 */   // Label 12403: @801202
     /*  801202 */   GIM_Try, /*On fail goto*//*Label 12404*/ GIMT_Encode4(801277), // Rule ID 19519 //
     /*  801207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  801215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  801218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  801221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  801224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  801242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801253 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11265:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64),
     /*  801256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801275 */     GIR_RootConstrainSelectedInstOperands,
     /*  801276 */     // GIR_Coverage, 19519,
     /*  801276 */     GIR_EraseRootFromParent_Done,
     /*  801277 */   // Label 12404: @801277
     /*  801277 */   GIM_Try, /*On fail goto*//*Label 12405*/ GIMT_Encode4(801352), // Rule ID 19522 //
     /*  801282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  801290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  801293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  801296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  801299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  801331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801350 */     GIR_RootConstrainSelectedInstOperands,
     /*  801351 */     // GIR_Coverage, 19522,
     /*  801351 */     GIR_EraseRootFromParent_Done,
     /*  801352 */   // Label 12405: @801352
     /*  801352 */   GIM_Try, /*On fail goto*//*Label 12406*/ GIMT_Encode4(801427), // Rule ID 19523 //
     /*  801357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  801365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  801368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  801371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  801374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  801392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801403 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11265:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64),
     /*  801406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801425 */     GIR_RootConstrainSelectedInstOperands,
     /*  801426 */     // GIR_Coverage, 19523,
     /*  801426 */     GIR_EraseRootFromParent_Done,
     /*  801427 */   // Label 12406: @801427
     /*  801427 */   GIM_Try, /*On fail goto*//*Label 12407*/ GIMT_Encode4(801502), // Rule ID 19526 //
     /*  801432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  801435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  801440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801478 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  801478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  801481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801500 */     GIR_RootConstrainSelectedInstOperands,
     /*  801501 */     // GIR_Coverage, 19526,
     /*  801501 */     GIR_EraseRootFromParent_Done,
     /*  801502 */   // Label 12407: @801502
     /*  801502 */   GIM_Try, /*On fail goto*//*Label 12408*/ GIMT_Encode4(801577), // Rule ID 19527 //
     /*  801507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  801510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj),
     /*  801515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  801518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  801521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  801524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  801527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  801542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  801546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801553 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11265:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJ_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  801553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64),
     /*  801556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  801572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801575 */     GIR_RootConstrainSelectedInstOperands,
     /*  801576 */     // GIR_Coverage, 19527,
     /*  801576 */     GIR_EraseRootFromParent_Done,
     /*  801577 */   // Label 12408: @801577
     /*  801577 */   GIM_Try, /*On fail goto*//*Label 12409*/ GIMT_Encode4(801652), // Rule ID 19530 //
     /*  801582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801628 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  801631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801650 */     GIR_RootConstrainSelectedInstOperands,
     /*  801651 */     // GIR_Coverage, 19530,
     /*  801651 */     GIR_EraseRootFromParent_Done,
     /*  801652 */   // Label 12409: @801652
     /*  801652 */   GIM_Try, /*On fail goto*//*Label 12410*/ GIMT_Encode4(801727), // Rule ID 19531 //
     /*  801657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  801668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  801671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  801674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  801677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801703 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /*  801706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801725 */     GIR_RootConstrainSelectedInstOperands,
     /*  801726 */     // GIR_Coverage, 19531,
     /*  801726 */     GIR_EraseRootFromParent_Done,
     /*  801727 */   // Label 12410: @801727
     /*  801727 */   GIM_Try, /*On fail goto*//*Label 12411*/ GIMT_Encode4(801802), // Rule ID 19534 //
     /*  801732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  801735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801778 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  801778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  801781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801800 */     GIR_RootConstrainSelectedInstOperands,
     /*  801801 */     // GIR_Coverage, 19534,
     /*  801801 */     GIR_EraseRootFromParent_Done,
     /*  801802 */   // Label 12411: @801802
     /*  801802 */   GIM_Try, /*On fail goto*//*Label 12412*/ GIMT_Encode4(801877), // Rule ID 19535 //
     /*  801807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  801810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  801818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  801821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  801824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  801827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801853 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  801853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /*  801856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  801872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801875 */     GIR_RootConstrainSelectedInstOperands,
     /*  801876 */     // GIR_Coverage, 19535,
     /*  801876 */     GIR_EraseRootFromParent_Done,
     /*  801877 */   // Label 12412: @801877
     /*  801877 */   GIM_Try, /*On fail goto*//*Label 12413*/ GIMT_Encode4(801952), // Rule ID 19538 //
     /*  801882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  801885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  801905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  801928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  801928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  801931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  801933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  801935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  801937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  801939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  801944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  801947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  801950 */     GIR_RootConstrainSelectedInstOperands,
     /*  801951 */     // GIR_Coverage, 19538,
     /*  801951 */     GIR_EraseRootFromParent_Done,
     /*  801952 */   // Label 12413: @801952
     /*  801952 */   GIM_Try, /*On fail goto*//*Label 12414*/ GIMT_Encode4(802027), // Rule ID 19539 //
     /*  801957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  801960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  801965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  801968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  801971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  801974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  801977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  801980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  801996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802003 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /*  802006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802025 */     GIR_RootConstrainSelectedInstOperands,
     /*  802026 */     // GIR_Coverage, 19539,
     /*  802026 */     GIR_EraseRootFromParent_Done,
     /*  802027 */   // Label 12414: @802027
     /*  802027 */   GIM_Try, /*On fail goto*//*Label 12415*/ GIMT_Encode4(802102), // Rule ID 19542 //
     /*  802032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  802043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  802046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  802049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  802052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802078 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  802081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802100 */     GIR_RootConstrainSelectedInstOperands,
     /*  802101 */     // GIR_Coverage, 19542,
     /*  802101 */     GIR_EraseRootFromParent_Done,
     /*  802102 */   // Label 12415: @802102
     /*  802102 */   GIM_Try, /*On fail goto*//*Label 12416*/ GIMT_Encode4(802177), // Rule ID 19543 //
     /*  802107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  802118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  802121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  802124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  802127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /*  802156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802175 */     GIR_RootConstrainSelectedInstOperands,
     /*  802176 */     // GIR_Coverage, 19543,
     /*  802176 */     GIR_EraseRootFromParent_Done,
     /*  802177 */   // Label 12416: @802177
     /*  802177 */   GIM_Try, /*On fail goto*//*Label 12417*/ GIMT_Encode4(802252), // Rule ID 19546 //
     /*  802182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  802193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  802196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  802199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  802202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  802231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802250 */     GIR_RootConstrainSelectedInstOperands,
     /*  802251 */     // GIR_Coverage, 19546,
     /*  802251 */     GIR_EraseRootFromParent_Done,
     /*  802252 */   // Label 12417: @802252
     /*  802252 */   GIM_Try, /*On fail goto*//*Label 12418*/ GIMT_Encode4(802327), // Rule ID 19547 //
     /*  802257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  802260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  802268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  802271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  802274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  802277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  802303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /*  802306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802325 */     GIR_RootConstrainSelectedInstOperands,
     /*  802326 */     // GIR_Coverage, 19547,
     /*  802326 */     GIR_EraseRootFromParent_Done,
     /*  802327 */   // Label 12418: @802327
     /*  802327 */   GIM_Try, /*On fail goto*//*Label 12419*/ GIMT_Encode4(802402), // Rule ID 19550 //
     /*  802332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  802335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802378 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  802378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  802381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802400 */     GIR_RootConstrainSelectedInstOperands,
     /*  802401 */     // GIR_Coverage, 19550,
     /*  802401 */     GIR_EraseRootFromParent_Done,
     /*  802402 */   // Label 12419: @802402
     /*  802402 */   GIM_Try, /*On fail goto*//*Label 12420*/ GIMT_Encode4(802477), // Rule ID 19551 //
     /*  802407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  802410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  802418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  802421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  802424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  802427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  802446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802453 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  802453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /*  802456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  802472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802475 */     GIR_RootConstrainSelectedInstOperands,
     /*  802476 */     // GIR_Coverage, 19551,
     /*  802476 */     GIR_EraseRootFromParent_Done,
     /*  802477 */   // Label 12420: @802477
     /*  802477 */   GIM_Try, /*On fail goto*//*Label 12421*/ GIMT_Encode4(802552), // Rule ID 19554 //
     /*  802482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802528 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  802531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802550 */     GIR_RootConstrainSelectedInstOperands,
     /*  802551 */     // GIR_Coverage, 19554,
     /*  802551 */     GIR_EraseRootFromParent_Done,
     /*  802552 */   // Label 12421: @802552
     /*  802552 */   GIM_Try, /*On fail goto*//*Label 12422*/ GIMT_Encode4(802627), // Rule ID 19555 //
     /*  802557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  802568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  802571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  802574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  802577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802603 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /*  802606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802625 */     GIR_RootConstrainSelectedInstOperands,
     /*  802626 */     // GIR_Coverage, 19555,
     /*  802626 */     GIR_EraseRootFromParent_Done,
     /*  802627 */   // Label 12422: @802627
     /*  802627 */   GIM_Try, /*On fail goto*//*Label 12423*/ GIMT_Encode4(802702), // Rule ID 19558 //
     /*  802632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802678 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  802681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802700 */     GIR_RootConstrainSelectedInstOperands,
     /*  802701 */     // GIR_Coverage, 19558,
     /*  802701 */     GIR_EraseRootFromParent_Done,
     /*  802702 */   // Label 12423: @802702
     /*  802702 */   GIM_Try, /*On fail goto*//*Label 12424*/ GIMT_Encode4(802777), // Rule ID 19559 //
     /*  802707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  802718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  802721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  802724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  802727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  802746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802753 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /*  802756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802775 */     GIR_RootConstrainSelectedInstOperands,
     /*  802776 */     // GIR_Coverage, 19559,
     /*  802776 */     GIR_EraseRootFromParent_Done,
     /*  802777 */   // Label 12424: @802777
     /*  802777 */   GIM_Try, /*On fail goto*//*Label 12425*/ GIMT_Encode4(802852), // Rule ID 19562 //
     /*  802782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  802785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802828 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  802828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  802831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802850 */     GIR_RootConstrainSelectedInstOperands,
     /*  802851 */     // GIR_Coverage, 19562,
     /*  802851 */     GIR_EraseRootFromParent_Done,
     /*  802852 */   // Label 12425: @802852
     /*  802852 */   GIM_Try, /*On fail goto*//*Label 12426*/ GIMT_Encode4(802927), // Rule ID 19563 //
     /*  802857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  802860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  802868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  802871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  802874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  802877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  802880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  802896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802903 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  802903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /*  802906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  802922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  802925 */     GIR_RootConstrainSelectedInstOperands,
     /*  802926 */     // GIR_Coverage, 19563,
     /*  802926 */     GIR_EraseRootFromParent_Done,
     /*  802927 */   // Label 12426: @802927
     /*  802927 */   GIM_Try, /*On fail goto*//*Label 12427*/ GIMT_Encode4(803002), // Rule ID 19566 //
     /*  802932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  802935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  802940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  802943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  802946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  802949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  802952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  802955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  802971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  802978 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  802978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  802981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  802983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  802985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  802987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  802989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  802994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  802997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803000 */     GIR_RootConstrainSelectedInstOperands,
     /*  803001 */     // GIR_Coverage, 19566,
     /*  803001 */     GIR_EraseRootFromParent_Done,
     /*  803002 */   // Label 12427: @803002
     /*  803002 */   GIM_Try, /*On fail goto*//*Label 12428*/ GIMT_Encode4(803077), // Rule ID 19567 //
     /*  803007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  803018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  803021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  803024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  803027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803053 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /*  803056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803075 */     GIR_RootConstrainSelectedInstOperands,
     /*  803076 */     // GIR_Coverage, 19567,
     /*  803076 */     GIR_EraseRootFromParent_Done,
     /*  803077 */   // Label 12428: @803077
     /*  803077 */   GIM_Try, /*On fail goto*//*Label 12429*/ GIMT_Encode4(803152), // Rule ID 19570 //
     /*  803082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  803093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  803096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  803099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  803102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  803131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803150 */     GIR_RootConstrainSelectedInstOperands,
     /*  803151 */     // GIR_Coverage, 19570,
     /*  803151 */     GIR_EraseRootFromParent_Done,
     /*  803152 */   // Label 12429: @803152
     /*  803152 */   GIM_Try, /*On fail goto*//*Label 12430*/ GIMT_Encode4(803227), // Rule ID 19571 //
     /*  803157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  803168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  803171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  803174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  803177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803203 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /*  803206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803225 */     GIR_RootConstrainSelectedInstOperands,
     /*  803226 */     // GIR_Coverage, 19571,
     /*  803226 */     GIR_EraseRootFromParent_Done,
     /*  803227 */   // Label 12430: @803227
     /*  803227 */   GIM_Try, /*On fail goto*//*Label 12431*/ GIMT_Encode4(803302), // Rule ID 19574 //
     /*  803232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  803235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  803243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  803246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  803249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  803252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803278 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  803278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  803281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803300 */     GIR_RootConstrainSelectedInstOperands,
     /*  803301 */     // GIR_Coverage, 19574,
     /*  803301 */     GIR_EraseRootFromParent_Done,
     /*  803302 */   // Label 12431: @803302
     /*  803302 */   GIM_Try, /*On fail goto*//*Label 12432*/ GIMT_Encode4(803377), // Rule ID 19575 //
     /*  803307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  803310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  803318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  803321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  803324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  803327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803353 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  803353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /*  803356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  803372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803375 */     GIR_RootConstrainSelectedInstOperands,
     /*  803376 */     // GIR_Coverage, 19575,
     /*  803376 */     GIR_EraseRootFromParent_Done,
     /*  803377 */   // Label 12432: @803377
     /*  803377 */   GIM_Try, /*On fail goto*//*Label 12433*/ GIMT_Encode4(803452), // Rule ID 19578 //
     /*  803382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803428 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  803431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803450 */     GIR_RootConstrainSelectedInstOperands,
     /*  803451 */     // GIR_Coverage, 19578,
     /*  803451 */     GIR_EraseRootFromParent_Done,
     /*  803452 */   // Label 12433: @803452
     /*  803452 */   GIM_Try, /*On fail goto*//*Label 12434*/ GIMT_Encode4(803527), // Rule ID 19579 //
     /*  803457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  803468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  803471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  803474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  803477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  803496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /*  803506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803525 */     GIR_RootConstrainSelectedInstOperands,
     /*  803526 */     // GIR_Coverage, 19579,
     /*  803526 */     GIR_EraseRootFromParent_Done,
     /*  803527 */   // Label 12434: @803527
     /*  803527 */   GIM_Try, /*On fail goto*//*Label 12435*/ GIMT_Encode4(803602), // Rule ID 19582 //
     /*  803532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803578 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  803581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803600 */     GIR_RootConstrainSelectedInstOperands,
     /*  803601 */     // GIR_Coverage, 19582,
     /*  803601 */     GIR_EraseRootFromParent_Done,
     /*  803602 */   // Label 12435: @803602
     /*  803602 */   GIM_Try, /*On fail goto*//*Label 12436*/ GIMT_Encode4(803677), // Rule ID 19583 //
     /*  803607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  803618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  803621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  803624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  803627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  803646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803653 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /*  803656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803675 */     GIR_RootConstrainSelectedInstOperands,
     /*  803676 */     // GIR_Coverage, 19583,
     /*  803676 */     GIR_EraseRootFromParent_Done,
     /*  803677 */   // Label 12436: @803677
     /*  803677 */   GIM_Try, /*On fail goto*//*Label 12437*/ GIMT_Encode4(803752), // Rule ID 19586 //
     /*  803682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  803685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  803728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  803731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803750 */     GIR_RootConstrainSelectedInstOperands,
     /*  803751 */     // GIR_Coverage, 19586,
     /*  803751 */     GIR_EraseRootFromParent_Done,
     /*  803752 */   // Label 12437: @803752
     /*  803752 */   GIM_Try, /*On fail goto*//*Label 12438*/ GIMT_Encode4(803827), // Rule ID 19587 //
     /*  803757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  803760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  803768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  803771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  803774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  803777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  803796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803803 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  803803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /*  803806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  803822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803825 */     GIR_RootConstrainSelectedInstOperands,
     /*  803826 */     // GIR_Coverage, 19587,
     /*  803826 */     GIR_EraseRootFromParent_Done,
     /*  803827 */   // Label 12438: @803827
     /*  803827 */   GIM_Try, /*On fail goto*//*Label 12439*/ GIMT_Encode4(803902), // Rule ID 19590 //
     /*  803832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  803855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803878 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  803878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  803881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803900 */     GIR_RootConstrainSelectedInstOperands,
     /*  803901 */     // GIR_Coverage, 19590,
     /*  803901 */     GIR_EraseRootFromParent_Done,
     /*  803902 */   // Label 12439: @803902
     /*  803902 */   GIM_Try, /*On fail goto*//*Label 12440*/ GIMT_Encode4(803977), // Rule ID 19591 //
     /*  803907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  803910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  803918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  803921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  803924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  803927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  803930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  803942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  803946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  803953 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  803953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16),
     /*  803956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  803958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  803960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  803962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  803964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  803969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  803972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  803975 */     GIR_RootConstrainSelectedInstOperands,
     /*  803976 */     // GIR_Coverage, 19591,
     /*  803976 */     GIR_EraseRootFromParent_Done,
     /*  803977 */   // Label 12440: @803977
     /*  803977 */   GIM_Try, /*On fail goto*//*Label 12441*/ GIMT_Encode4(804052), // Rule ID 19594 //
     /*  803982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  803985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  803990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  803993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  803996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  803999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804028 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  804031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804050 */     GIR_RootConstrainSelectedInstOperands,
     /*  804051 */     // GIR_Coverage, 19594,
     /*  804051 */     GIR_EraseRootFromParent_Done,
     /*  804052 */   // Label 12441: @804052
     /*  804052 */   GIM_Try, /*On fail goto*//*Label 12442*/ GIMT_Encode4(804127), // Rule ID 19595 //
     /*  804057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  804068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  804071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  804074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804103 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16),
     /*  804106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804125 */     GIR_RootConstrainSelectedInstOperands,
     /*  804126 */     // GIR_Coverage, 19595,
     /*  804126 */     GIR_EraseRootFromParent_Done,
     /*  804127 */   // Label 12442: @804127
     /*  804127 */   GIM_Try, /*On fail goto*//*Label 12443*/ GIMT_Encode4(804202), // Rule ID 19598 //
     /*  804132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  804143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  804146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804178 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  804181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804200 */     GIR_RootConstrainSelectedInstOperands,
     /*  804201 */     // GIR_Coverage, 19598,
     /*  804201 */     GIR_EraseRootFromParent_Done,
     /*  804202 */   // Label 12443: @804202
     /*  804202 */   GIM_Try, /*On fail goto*//*Label 12444*/ GIMT_Encode4(804277), // Rule ID 19599 //
     /*  804207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  804218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  804221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  804224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804253 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32),
     /*  804256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804275 */     GIR_RootConstrainSelectedInstOperands,
     /*  804276 */     // GIR_Coverage, 19599,
     /*  804276 */     GIR_EraseRootFromParent_Done,
     /*  804277 */   // Label 12444: @804277
     /*  804277 */   GIM_Try, /*On fail goto*//*Label 12445*/ GIMT_Encode4(804352), // Rule ID 19602 //
     /*  804282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  804299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804328 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  804331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804350 */     GIR_RootConstrainSelectedInstOperands,
     /*  804351 */     // GIR_Coverage, 19602,
     /*  804351 */     GIR_EraseRootFromParent_Done,
     /*  804352 */   // Label 12445: @804352
     /*  804352 */   GIM_Try, /*On fail goto*//*Label 12446*/ GIMT_Encode4(804427), // Rule ID 19603 //
     /*  804357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  804368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  804371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  804374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804403 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11267:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16),
     /*  804406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804425 */     GIR_RootConstrainSelectedInstOperands,
     /*  804426 */     // GIR_Coverage, 19603,
     /*  804426 */     GIR_EraseRootFromParent_Done,
     /*  804427 */   // Label 12446: @804427
     /*  804427 */   GIM_Try, /*On fail goto*//*Label 12447*/ GIMT_Encode4(804502), // Rule ID 19606 //
     /*  804432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  804435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804478 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  804478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  804481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804500 */     GIR_RootConstrainSelectedInstOperands,
     /*  804501 */     // GIR_Coverage, 19606,
     /*  804501 */     GIR_EraseRootFromParent_Done,
     /*  804502 */   // Label 12447: @804502
     /*  804502 */   GIM_Try, /*On fail goto*//*Label 12448*/ GIMT_Encode4(804577), // Rule ID 19607 //
     /*  804507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  804510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  804518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  804521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  804524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  804527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  804546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804553 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11267:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  804553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32),
     /*  804556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  804572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804575 */     GIR_RootConstrainSelectedInstOperands,
     /*  804576 */     // GIR_Coverage, 19607,
     /*  804576 */     GIR_EraseRootFromParent_Done,
     /*  804577 */   // Label 12448: @804577
     /*  804577 */   GIM_Try, /*On fail goto*//*Label 12449*/ GIMT_Encode4(804652), // Rule ID 19610 //
     /*  804582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  804585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  804628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  804631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804650 */     GIR_RootConstrainSelectedInstOperands,
     /*  804651 */     // GIR_Coverage, 19610,
     /*  804651 */     GIR_EraseRootFromParent_Done,
     /*  804652 */   // Label 12449: @804652
     /*  804652 */   GIM_Try, /*On fail goto*//*Label 12450*/ GIMT_Encode4(804727), // Rule ID 19611 //
     /*  804657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  804660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  804668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  804671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  804674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  804677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  804692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  804696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804703 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11267:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  804703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64),
     /*  804706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  804722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804725 */     GIR_RootConstrainSelectedInstOperands,
     /*  804726 */     // GIR_Coverage, 19611,
     /*  804726 */     GIR_EraseRootFromParent_Done,
     /*  804727 */   // Label 12450: @804727
     /*  804727 */   GIM_Try, /*On fail goto*//*Label 12451*/ GIMT_Encode4(804802), // Rule ID 19614 //
     /*  804732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804778 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  804781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804800 */     GIR_RootConstrainSelectedInstOperands,
     /*  804801 */     // GIR_Coverage, 19614,
     /*  804801 */     GIR_EraseRootFromParent_Done,
     /*  804802 */   // Label 12451: @804802
     /*  804802 */   GIM_Try, /*On fail goto*//*Label 12452*/ GIMT_Encode4(804877), // Rule ID 19615 //
     /*  804807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  804818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  804821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  804824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  804842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804853 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  804853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16),
     /*  804856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804875 */     GIR_RootConstrainSelectedInstOperands,
     /*  804876 */     // GIR_Coverage, 19615,
     /*  804876 */     GIR_EraseRootFromParent_Done,
     /*  804877 */   // Label 12452: @804877
     /*  804877 */   GIM_Try, /*On fail goto*//*Label 12453*/ GIMT_Encode4(804952), // Rule ID 19618 //
     /*  804882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  804885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  804905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  804928 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  804928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  804931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  804933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  804935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  804937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  804939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  804944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  804947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  804950 */     GIR_RootConstrainSelectedInstOperands,
     /*  804951 */     // GIR_Coverage, 19618,
     /*  804951 */     GIR_EraseRootFromParent_Done,
     /*  804952 */   // Label 12453: @804952
     /*  804952 */   GIM_Try, /*On fail goto*//*Label 12454*/ GIMT_Encode4(805027), // Rule ID 19619 //
     /*  804957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  804960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  804965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  804968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  804971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  804974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  804977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  804980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  804992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  804996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805003 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16),
     /*  805006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805025 */     GIR_RootConstrainSelectedInstOperands,
     /*  805026 */     // GIR_Coverage, 19619,
     /*  805026 */     GIR_EraseRootFromParent_Done,
     /*  805027 */   // Label 12454: @805027
     /*  805027 */   GIM_Try, /*On fail goto*//*Label 12455*/ GIMT_Encode4(805102), // Rule ID 19622 //
     /*  805032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  805035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  805043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  805046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  805049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  805052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  805071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805078 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  805078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  805081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805100 */     GIR_RootConstrainSelectedInstOperands,
     /*  805101 */     // GIR_Coverage, 19622,
     /*  805101 */     GIR_EraseRootFromParent_Done,
     /*  805102 */   // Label 12455: @805102
     /*  805102 */   GIM_Try, /*On fail goto*//*Label 12456*/ GIMT_Encode4(805177), // Rule ID 19623 //
     /*  805107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  805110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  805118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  805121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  805124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  805127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  805146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805153 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  805153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16),
     /*  805156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  805172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805175 */     GIR_RootConstrainSelectedInstOperands,
     /*  805176 */     // GIR_Coverage, 19623,
     /*  805176 */     GIR_EraseRootFromParent_Done,
     /*  805177 */   // Label 12456: @805177
     /*  805177 */   GIM_Try, /*On fail goto*//*Label 12457*/ GIMT_Encode4(805252), // Rule ID 19626 //
     /*  805182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  805193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  805196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  805199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  805231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805250 */     GIR_RootConstrainSelectedInstOperands,
     /*  805251 */     // GIR_Coverage, 19626,
     /*  805251 */     GIR_EraseRootFromParent_Done,
     /*  805252 */   // Label 12457: @805252
     /*  805252 */   GIM_Try, /*On fail goto*//*Label 12458*/ GIMT_Encode4(805327), // Rule ID 19627 //
     /*  805257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  805268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  805271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  805274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805303 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32),
     /*  805306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805325 */     GIR_RootConstrainSelectedInstOperands,
     /*  805326 */     // GIR_Coverage, 19627,
     /*  805326 */     GIR_EraseRootFromParent_Done,
     /*  805327 */   // Label 12458: @805327
     /*  805327 */   GIM_Try, /*On fail goto*//*Label 12459*/ GIMT_Encode4(805402), // Rule ID 19630 //
     /*  805332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  805343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  805346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  805381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805400 */     GIR_RootConstrainSelectedInstOperands,
     /*  805401 */     // GIR_Coverage, 19630,
     /*  805401 */     GIR_EraseRootFromParent_Done,
     /*  805402 */   // Label 12459: @805402
     /*  805402 */   GIM_Try, /*On fail goto*//*Label 12460*/ GIMT_Encode4(805477), // Rule ID 19631 //
     /*  805407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  805418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  805421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  805424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805453 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32),
     /*  805456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805475 */     GIR_RootConstrainSelectedInstOperands,
     /*  805476 */     // GIR_Coverage, 19631,
     /*  805476 */     GIR_EraseRootFromParent_Done,
     /*  805477 */   // Label 12460: @805477
     /*  805477 */   GIM_Try, /*On fail goto*//*Label 12461*/ GIMT_Encode4(805552), // Rule ID 19634 //
     /*  805482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  805485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  805528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  805531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805550 */     GIR_RootConstrainSelectedInstOperands,
     /*  805551 */     // GIR_Coverage, 19634,
     /*  805551 */     GIR_EraseRootFromParent_Done,
     /*  805552 */   // Label 12461: @805552
     /*  805552 */   GIM_Try, /*On fail goto*//*Label 12462*/ GIMT_Encode4(805627), // Rule ID 19635 //
     /*  805557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  805560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  805568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  805571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  805574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  805577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  805596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805603 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  805603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32),
     /*  805606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  805622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805625 */     GIR_RootConstrainSelectedInstOperands,
     /*  805626 */     // GIR_Coverage, 19635,
     /*  805626 */     GIR_EraseRootFromParent_Done,
     /*  805627 */   // Label 12462: @805627
     /*  805627 */   GIM_Try, /*On fail goto*//*Label 12463*/ GIMT_Encode4(805702), // Rule ID 19638 //
     /*  805632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805678 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  805681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805700 */     GIR_RootConstrainSelectedInstOperands,
     /*  805701 */     // GIR_Coverage, 19638,
     /*  805701 */     GIR_EraseRootFromParent_Done,
     /*  805702 */   // Label 12463: @805702
     /*  805702 */   GIM_Try, /*On fail goto*//*Label 12464*/ GIMT_Encode4(805777), // Rule ID 19639 //
     /*  805707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  805718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  805721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  805724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  805742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805753 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11267:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64),
     /*  805756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805775 */     GIR_RootConstrainSelectedInstOperands,
     /*  805776 */     // GIR_Coverage, 19639,
     /*  805776 */     GIR_EraseRootFromParent_Done,
     /*  805777 */   // Label 12464: @805777
     /*  805777 */   GIM_Try, /*On fail goto*//*Label 12465*/ GIMT_Encode4(805852), // Rule ID 19642 //
     /*  805782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805828 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  805831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805850 */     GIR_RootConstrainSelectedInstOperands,
     /*  805851 */     // GIR_Coverage, 19642,
     /*  805851 */     GIR_EraseRootFromParent_Done,
     /*  805852 */   // Label 12465: @805852
     /*  805852 */   GIM_Try, /*On fail goto*//*Label 12466*/ GIMT_Encode4(805927), // Rule ID 19643 //
     /*  805857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  805860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  805868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  805871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  805874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  805880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  805892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805903 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11267:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  805903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64),
     /*  805906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  805925 */     GIR_RootConstrainSelectedInstOperands,
     /*  805926 */     // GIR_Coverage, 19643,
     /*  805926 */     GIR_EraseRootFromParent_Done,
     /*  805927 */   // Label 12466: @805927
     /*  805927 */   GIM_Try, /*On fail goto*//*Label 12467*/ GIMT_Encode4(806002), // Rule ID 19646 //
     /*  805932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  805935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  805940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  805943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  805946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  805949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  805952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  805955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  805967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  805971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  805978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  805978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  805981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  805983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  805985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  805987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  805989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  805994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  805997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806000 */     GIR_RootConstrainSelectedInstOperands,
     /*  806001 */     // GIR_Coverage, 19646,
     /*  806001 */     GIR_EraseRootFromParent_Done,
     /*  806002 */   // Label 12467: @806002
     /*  806002 */   GIM_Try, /*On fail goto*//*Label 12468*/ GIMT_Encode4(806077), // Rule ID 19647 //
     /*  806007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  806010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn),
     /*  806015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  806018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  806021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  806024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  806027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  806042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  806046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806053 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11267:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJN_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64),
     /*  806056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806075 */     GIR_RootConstrainSelectedInstOperands,
     /*  806076 */     // GIR_Coverage, 19647,
     /*  806076 */     GIR_EraseRootFromParent_Done,
     /*  806077 */   // Label 12468: @806077
     /*  806077 */   GIM_Try, /*On fail goto*//*Label 12469*/ GIMT_Encode4(806152), // Rule ID 19650 //
     /*  806082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  806093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  806096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  806102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806128 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  806131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806150 */     GIR_RootConstrainSelectedInstOperands,
     /*  806151 */     // GIR_Coverage, 19650,
     /*  806151 */     GIR_EraseRootFromParent_Done,
     /*  806152 */   // Label 12469: @806152
     /*  806152 */   GIM_Try, /*On fail goto*//*Label 12470*/ GIMT_Encode4(806227), // Rule ID 19651 //
     /*  806157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  806168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  806171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  806174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  806177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806203 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /*  806206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806225 */     GIR_RootConstrainSelectedInstOperands,
     /*  806226 */     // GIR_Coverage, 19651,
     /*  806226 */     GIR_EraseRootFromParent_Done,
     /*  806227 */   // Label 12470: @806227
     /*  806227 */   GIM_Try, /*On fail goto*//*Label 12471*/ GIMT_Encode4(806302), // Rule ID 19654 //
     /*  806232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  806243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  806246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  806252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  806281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806300 */     GIR_RootConstrainSelectedInstOperands,
     /*  806301 */     // GIR_Coverage, 19654,
     /*  806301 */     GIR_EraseRootFromParent_Done,
     /*  806302 */   // Label 12471: @806302
     /*  806302 */   GIM_Try, /*On fail goto*//*Label 12472*/ GIMT_Encode4(806377), // Rule ID 19655 //
     /*  806307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  806318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  806321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  806324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  806327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806353 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /*  806356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806375 */     GIR_RootConstrainSelectedInstOperands,
     /*  806376 */     // GIR_Coverage, 19655,
     /*  806376 */     GIR_EraseRootFromParent_Done,
     /*  806377 */   // Label 12472: @806377
     /*  806377 */   GIM_Try, /*On fail goto*//*Label 12473*/ GIMT_Encode4(806452), // Rule ID 19658 //
     /*  806382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  806385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  806393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  806396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  806402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  806431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806450 */     GIR_RootConstrainSelectedInstOperands,
     /*  806451 */     // GIR_Coverage, 19658,
     /*  806451 */     GIR_EraseRootFromParent_Done,
     /*  806452 */   // Label 12473: @806452
     /*  806452 */   GIM_Try, /*On fail goto*//*Label 12474*/ GIMT_Encode4(806527), // Rule ID 19659 //
     /*  806457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  806460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  806468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  806471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  806474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  806477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806503 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /*  806506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806525 */     GIR_RootConstrainSelectedInstOperands,
     /*  806526 */     // GIR_Coverage, 19659,
     /*  806526 */     GIR_EraseRootFromParent_Done,
     /*  806527 */   // Label 12474: @806527
     /*  806527 */   GIM_Try, /*On fail goto*//*Label 12475*/ GIMT_Encode4(806602), // Rule ID 19662 //
     /*  806532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  806578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  806581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806600 */     GIR_RootConstrainSelectedInstOperands,
     /*  806601 */     // GIR_Coverage, 19662,
     /*  806601 */     GIR_EraseRootFromParent_Done,
     /*  806602 */   // Label 12475: @806602
     /*  806602 */   GIM_Try, /*On fail goto*//*Label 12476*/ GIMT_Encode4(806677), // Rule ID 19663 //
     /*  806607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  806610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  806618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  806621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  806624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  806627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806653 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  806653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /*  806656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  806672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806675 */     GIR_RootConstrainSelectedInstOperands,
     /*  806676 */     // GIR_Coverage, 19663,
     /*  806676 */     GIR_EraseRootFromParent_Done,
     /*  806677 */   // Label 12476: @806677
     /*  806677 */   GIM_Try, /*On fail goto*//*Label 12477*/ GIMT_Encode4(806752), // Rule ID 19666 //
     /*  806682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  806685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  806728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  806731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806750 */     GIR_RootConstrainSelectedInstOperands,
     /*  806751 */     // GIR_Coverage, 19666,
     /*  806751 */     GIR_EraseRootFromParent_Done,
     /*  806752 */   // Label 12477: @806752
     /*  806752 */   GIM_Try, /*On fail goto*//*Label 12478*/ GIMT_Encode4(806827), // Rule ID 19667 //
     /*  806757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  806760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  806768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  806771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  806774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  806777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806803 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  806803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /*  806806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  806822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806825 */     GIR_RootConstrainSelectedInstOperands,
     /*  806826 */     // GIR_Coverage, 19667,
     /*  806826 */     GIR_EraseRootFromParent_Done,
     /*  806827 */   // Label 12478: @806827
     /*  806827 */   GIM_Try, /*On fail goto*//*Label 12479*/ GIMT_Encode4(806902), // Rule ID 19670 //
     /*  806832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  806835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  806855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806878 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  806878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  806881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806900 */     GIR_RootConstrainSelectedInstOperands,
     /*  806901 */     // GIR_Coverage, 19670,
     /*  806901 */     GIR_EraseRootFromParent_Done,
     /*  806902 */   // Label 12479: @806902
     /*  806902 */   GIM_Try, /*On fail goto*//*Label 12480*/ GIMT_Encode4(806977), // Rule ID 19671 //
     /*  806907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  806910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  806918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  806921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  806924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  806927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  806930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  806946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  806953 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  806953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /*  806956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  806958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  806960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  806962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  806964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  806969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  806972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  806975 */     GIR_RootConstrainSelectedInstOperands,
     /*  806976 */     // GIR_Coverage, 19671,
     /*  806976 */     GIR_EraseRootFromParent_Done,
     /*  806977 */   // Label 12480: @806977
     /*  806977 */   GIM_Try, /*On fail goto*//*Label 12481*/ GIMT_Encode4(807052), // Rule ID 19674 //
     /*  806982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  806985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  806990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  806993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  806996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  806999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  807002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807028 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  807031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807050 */     GIR_RootConstrainSelectedInstOperands,
     /*  807051 */     // GIR_Coverage, 19674,
     /*  807051 */     GIR_EraseRootFromParent_Done,
     /*  807052 */   // Label 12481: @807052
     /*  807052 */   GIM_Try, /*On fail goto*//*Label 12482*/ GIMT_Encode4(807127), // Rule ID 19675 //
     /*  807057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  807060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  807068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  807071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  807074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  807077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807103 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /*  807106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807125 */     GIR_RootConstrainSelectedInstOperands,
     /*  807126 */     // GIR_Coverage, 19675,
     /*  807126 */     GIR_EraseRootFromParent_Done,
     /*  807127 */   // Label 12482: @807127
     /*  807127 */   GIM_Try, /*On fail goto*//*Label 12483*/ GIMT_Encode4(807202), // Rule ID 19678 //
     /*  807132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  807135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  807143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  807146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  807152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807178 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  807181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807200 */     GIR_RootConstrainSelectedInstOperands,
     /*  807201 */     // GIR_Coverage, 19678,
     /*  807201 */     GIR_EraseRootFromParent_Done,
     /*  807202 */   // Label 12483: @807202
     /*  807202 */   GIM_Try, /*On fail goto*//*Label 12484*/ GIMT_Encode4(807277), // Rule ID 19679 //
     /*  807207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  807210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  807218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  807221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  807224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  807227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807253 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /*  807256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807275 */     GIR_RootConstrainSelectedInstOperands,
     /*  807276 */     // GIR_Coverage, 19679,
     /*  807276 */     GIR_EraseRootFromParent_Done,
     /*  807277 */   // Label 12484: @807277
     /*  807277 */   GIM_Try, /*On fail goto*//*Label 12485*/ GIMT_Encode4(807352), // Rule ID 19682 //
     /*  807282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  807285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  807293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  807296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  807302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807328 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  807328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  807331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807350 */     GIR_RootConstrainSelectedInstOperands,
     /*  807351 */     // GIR_Coverage, 19682,
     /*  807351 */     GIR_EraseRootFromParent_Done,
     /*  807352 */   // Label 12485: @807352
     /*  807352 */   GIM_Try, /*On fail goto*//*Label 12486*/ GIMT_Encode4(807427), // Rule ID 19683 //
     /*  807357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  807360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  807368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  807371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  807374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  807377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807403 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  807403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /*  807406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  807422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807425 */     GIR_RootConstrainSelectedInstOperands,
     /*  807426 */     // GIR_Coverage, 19683,
     /*  807426 */     GIR_EraseRootFromParent_Done,
     /*  807427 */   // Label 12486: @807427
     /*  807427 */   GIM_Try, /*On fail goto*//*Label 12487*/ GIMT_Encode4(807502), // Rule ID 19686 //
     /*  807432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  807435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  807443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  807446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  807449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  807452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807478 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  807481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807500 */     GIR_RootConstrainSelectedInstOperands,
     /*  807501 */     // GIR_Coverage, 19686,
     /*  807501 */     GIR_EraseRootFromParent_Done,
     /*  807502 */   // Label 12487: @807502
     /*  807502 */   GIM_Try, /*On fail goto*//*Label 12488*/ GIMT_Encode4(807577), // Rule ID 19687 //
     /*  807507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  807510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  807518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  807521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  807524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  807527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807553 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /*  807556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807575 */     GIR_RootConstrainSelectedInstOperands,
     /*  807576 */     // GIR_Coverage, 19687,
     /*  807576 */     GIR_EraseRootFromParent_Done,
     /*  807577 */   // Label 12488: @807577
     /*  807577 */   GIM_Try, /*On fail goto*//*Label 12489*/ GIMT_Encode4(807652), // Rule ID 19690 //
     /*  807582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  807585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  807593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  807596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  807599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  807602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807628 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  807631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807650 */     GIR_RootConstrainSelectedInstOperands,
     /*  807651 */     // GIR_Coverage, 19690,
     /*  807651 */     GIR_EraseRootFromParent_Done,
     /*  807652 */   // Label 12489: @807652
     /*  807652 */   GIM_Try, /*On fail goto*//*Label 12490*/ GIMT_Encode4(807727), // Rule ID 19691 //
     /*  807657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  807660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  807668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  807671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  807674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  807677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  807696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807703 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /*  807706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807725 */     GIR_RootConstrainSelectedInstOperands,
     /*  807726 */     // GIR_Coverage, 19691,
     /*  807726 */     GIR_EraseRootFromParent_Done,
     /*  807727 */   // Label 12490: @807727
     /*  807727 */   GIM_Try, /*On fail goto*//*Label 12491*/ GIMT_Encode4(807802), // Rule ID 19694 //
     /*  807732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  807735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  807743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  807746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  807752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807778 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  807778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  807781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807800 */     GIR_RootConstrainSelectedInstOperands,
     /*  807801 */     // GIR_Coverage, 19694,
     /*  807801 */     GIR_EraseRootFromParent_Done,
     /*  807802 */   // Label 12491: @807802
     /*  807802 */   GIM_Try, /*On fail goto*//*Label 12492*/ GIMT_Encode4(807877), // Rule ID 19695 //
     /*  807807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  807810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  807818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  807821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  807824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  807827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  807846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807853 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  807853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /*  807856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  807872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807875 */     GIR_RootConstrainSelectedInstOperands,
     /*  807876 */     // GIR_Coverage, 19695,
     /*  807876 */     GIR_EraseRootFromParent_Done,
     /*  807877 */   // Label 12492: @807877
     /*  807877 */   GIM_Try, /*On fail goto*//*Label 12493*/ GIMT_Encode4(807952), // Rule ID 19698 //
     /*  807882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  807885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  807893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  807896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  807899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  807902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  807905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  807928 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  807928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  807931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  807933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  807935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  807937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  807939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  807944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  807947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  807950 */     GIR_RootConstrainSelectedInstOperands,
     /*  807951 */     // GIR_Coverage, 19698,
     /*  807951 */     GIR_EraseRootFromParent_Done,
     /*  807952 */   // Label 12493: @807952
     /*  807952 */   GIM_Try, /*On fail goto*//*Label 12494*/ GIMT_Encode4(808027), // Rule ID 19699 //
     /*  807957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  807960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  807965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  807968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  807971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  807974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  807977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  807980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  807996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808003 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /*  808006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808025 */     GIR_RootConstrainSelectedInstOperands,
     /*  808026 */     // GIR_Coverage, 19699,
     /*  808026 */     GIR_EraseRootFromParent_Done,
     /*  808027 */   // Label 12494: @808027
     /*  808027 */   GIM_Try, /*On fail goto*//*Label 12495*/ GIMT_Encode4(808102), // Rule ID 19702 //
     /*  808032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  808035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  808043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  808046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  808052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808078 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  808081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808100 */     GIR_RootConstrainSelectedInstOperands,
     /*  808101 */     // GIR_Coverage, 19702,
     /*  808101 */     GIR_EraseRootFromParent_Done,
     /*  808102 */   // Label 12495: @808102
     /*  808102 */   GIM_Try, /*On fail goto*//*Label 12496*/ GIMT_Encode4(808177), // Rule ID 19703 //
     /*  808107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  808110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  808118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  808121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  808124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  808127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  808146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808153 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /*  808156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808175 */     GIR_RootConstrainSelectedInstOperands,
     /*  808176 */     // GIR_Coverage, 19703,
     /*  808176 */     GIR_EraseRootFromParent_Done,
     /*  808177 */   // Label 12496: @808177
     /*  808177 */   GIM_Try, /*On fail goto*//*Label 12497*/ GIMT_Encode4(808252), // Rule ID 19706 //
     /*  808182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  808185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  808193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  808196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  808202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  808228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  808231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808250 */     GIR_RootConstrainSelectedInstOperands,
     /*  808251 */     // GIR_Coverage, 19706,
     /*  808251 */     GIR_EraseRootFromParent_Done,
     /*  808252 */   // Label 12497: @808252
     /*  808252 */   GIM_Try, /*On fail goto*//*Label 12498*/ GIMT_Encode4(808327), // Rule ID 19707 //
     /*  808257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  808260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  808268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  808271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  808274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  808277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  808296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808303 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  808303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /*  808306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  808322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808325 */     GIR_RootConstrainSelectedInstOperands,
     /*  808326 */     // GIR_Coverage, 19707,
     /*  808326 */     GIR_EraseRootFromParent_Done,
     /*  808327 */   // Label 12498: @808327
     /*  808327 */   GIM_Try, /*On fail goto*//*Label 12499*/ GIMT_Encode4(808402), // Rule ID 19710 //
     /*  808332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  808343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  808346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  808349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808378 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  808381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808400 */     GIR_RootConstrainSelectedInstOperands,
     /*  808401 */     // GIR_Coverage, 19710,
     /*  808401 */     GIR_EraseRootFromParent_Done,
     /*  808402 */   // Label 12499: @808402
     /*  808402 */   GIM_Try, /*On fail goto*//*Label 12500*/ GIMT_Encode4(808477), // Rule ID 19711 //
     /*  808407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  808418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  808421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  808424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808453 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16),
     /*  808456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808475 */     GIR_RootConstrainSelectedInstOperands,
     /*  808476 */     // GIR_Coverage, 19711,
     /*  808476 */     GIR_EraseRootFromParent_Done,
     /*  808477 */   // Label 12500: @808477
     /*  808477 */   GIM_Try, /*On fail goto*//*Label 12501*/ GIMT_Encode4(808552), // Rule ID 19714 //
     /*  808482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  808493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  808496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  808499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  808531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808550 */     GIR_RootConstrainSelectedInstOperands,
     /*  808551 */     // GIR_Coverage, 19714,
     /*  808551 */     GIR_EraseRootFromParent_Done,
     /*  808552 */   // Label 12501: @808552
     /*  808552 */   GIM_Try, /*On fail goto*//*Label 12502*/ GIMT_Encode4(808627), // Rule ID 19715 //
     /*  808557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  808568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  808571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  808574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808603 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16),
     /*  808606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808625 */     GIR_RootConstrainSelectedInstOperands,
     /*  808626 */     // GIR_Coverage, 19715,
     /*  808626 */     GIR_EraseRootFromParent_Done,
     /*  808627 */   // Label 12502: @808627
     /*  808627 */   GIM_Try, /*On fail goto*//*Label 12503*/ GIMT_Encode4(808702), // Rule ID 19718 //
     /*  808632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  808635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  808643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  808646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808678 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  808681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808700 */     GIR_RootConstrainSelectedInstOperands,
     /*  808701 */     // GIR_Coverage, 19718,
     /*  808701 */     GIR_EraseRootFromParent_Done,
     /*  808702 */   // Label 12503: @808702
     /*  808702 */   GIM_Try, /*On fail goto*//*Label 12504*/ GIMT_Encode4(808777), // Rule ID 19719 //
     /*  808707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  808710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  808718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  808721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  808724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808753 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  808753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32),
     /*  808756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808775 */     GIR_RootConstrainSelectedInstOperands,
     /*  808776 */     // GIR_Coverage, 19719,
     /*  808776 */     GIR_EraseRootFromParent_Done,
     /*  808777 */   // Label 12504: @808777
     /*  808777 */   GIM_Try, /*On fail goto*//*Label 12505*/ GIMT_Encode4(808852), // Rule ID 19722 //
     /*  808782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  808785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  808828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  808831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808850 */     GIR_RootConstrainSelectedInstOperands,
     /*  808851 */     // GIR_Coverage, 19722,
     /*  808851 */     GIR_EraseRootFromParent_Done,
     /*  808852 */   // Label 12505: @808852
     /*  808852 */   GIM_Try, /*On fail goto*//*Label 12506*/ GIMT_Encode4(808927), // Rule ID 19723 //
     /*  808857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  808860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  808868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  808871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  808874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  808877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  808880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  808896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11269:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  808903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16),
     /*  808906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  808922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  808925 */     GIR_RootConstrainSelectedInstOperands,
     /*  808926 */     // GIR_Coverage, 19723,
     /*  808926 */     GIR_EraseRootFromParent_Done,
     /*  808927 */   // Label 12506: @808927
     /*  808927 */   GIM_Try, /*On fail goto*//*Label 12507*/ GIMT_Encode4(809002), // Rule ID 19726 //
     /*  808932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  808935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  808940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  808943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  808946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  808949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  808952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  808955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  808967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  808971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  808978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  808978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  808981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  808983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  808985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  808987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  808989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  808994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  808997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809000 */     GIR_RootConstrainSelectedInstOperands,
     /*  809001 */     // GIR_Coverage, 19726,
     /*  809001 */     GIR_EraseRootFromParent_Done,
     /*  809002 */   // Label 12507: @809002
     /*  809002 */   GIM_Try, /*On fail goto*//*Label 12508*/ GIMT_Encode4(809077), // Rule ID 19727 //
     /*  809007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  809018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  809021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  809024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809053 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11269:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32),
     /*  809056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809075 */     GIR_RootConstrainSelectedInstOperands,
     /*  809076 */     // GIR_Coverage, 19727,
     /*  809076 */     GIR_EraseRootFromParent_Done,
     /*  809077 */   // Label 12508: @809077
     /*  809077 */   GIM_Try, /*On fail goto*//*Label 12509*/ GIMT_Encode4(809152), // Rule ID 19730 //
     /*  809082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  809085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  809099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  809128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  809131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809150 */     GIR_RootConstrainSelectedInstOperands,
     /*  809151 */     // GIR_Coverage, 19730,
     /*  809151 */     GIR_EraseRootFromParent_Done,
     /*  809152 */   // Label 12509: @809152
     /*  809152 */   GIM_Try, /*On fail goto*//*Label 12510*/ GIMT_Encode4(809227), // Rule ID 19731 //
     /*  809157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  809160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  809168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  809171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  809174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  809177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  809192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  809196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11269:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  809203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64),
     /*  809206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  809222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809225 */     GIR_RootConstrainSelectedInstOperands,
     /*  809226 */     // GIR_Coverage, 19731,
     /*  809226 */     GIR_EraseRootFromParent_Done,
     /*  809227 */   // Label 12510: @809227
     /*  809227 */   GIM_Try, /*On fail goto*//*Label 12511*/ GIMT_Encode4(809302), // Rule ID 19734 //
     /*  809232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  809235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  809243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  809246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  809249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809278 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  809281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809300 */     GIR_RootConstrainSelectedInstOperands,
     /*  809301 */     // GIR_Coverage, 19734,
     /*  809301 */     GIR_EraseRootFromParent_Done,
     /*  809302 */   // Label 12511: @809302
     /*  809302 */   GIM_Try, /*On fail goto*//*Label 12512*/ GIMT_Encode4(809377), // Rule ID 19735 //
     /*  809307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  809310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  809318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  809321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  809324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809353 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16),
     /*  809356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809375 */     GIR_RootConstrainSelectedInstOperands,
     /*  809376 */     // GIR_Coverage, 19735,
     /*  809376 */     GIR_EraseRootFromParent_Done,
     /*  809377 */   // Label 12512: @809377
     /*  809377 */   GIM_Try, /*On fail goto*//*Label 12513*/ GIMT_Encode4(809452), // Rule ID 19738 //
     /*  809382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  809385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  809393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  809396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  809399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  809431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809450 */     GIR_RootConstrainSelectedInstOperands,
     /*  809451 */     // GIR_Coverage, 19738,
     /*  809451 */     GIR_EraseRootFromParent_Done,
     /*  809452 */   // Label 12513: @809452
     /*  809452 */   GIM_Try, /*On fail goto*//*Label 12514*/ GIMT_Encode4(809527), // Rule ID 19739 //
     /*  809457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  809460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  809468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  809471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  809474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809503 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16),
     /*  809506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809525 */     GIR_RootConstrainSelectedInstOperands,
     /*  809526 */     // GIR_Coverage, 19739,
     /*  809526 */     GIR_EraseRootFromParent_Done,
     /*  809527 */   // Label 12514: @809527
     /*  809527 */   GIM_Try, /*On fail goto*//*Label 12515*/ GIMT_Encode4(809602), // Rule ID 19742 //
     /*  809532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  809535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  809543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  809546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809578 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  809578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  809581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809600 */     GIR_RootConstrainSelectedInstOperands,
     /*  809601 */     // GIR_Coverage, 19742,
     /*  809601 */     GIR_EraseRootFromParent_Done,
     /*  809602 */   // Label 12515: @809602
     /*  809602 */   GIM_Try, /*On fail goto*//*Label 12516*/ GIMT_Encode4(809677), // Rule ID 19743 //
     /*  809607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  809610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  809618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  809621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  809624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  809627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  809642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  809646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809653 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  809653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16),
     /*  809656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  809672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809675 */     GIR_RootConstrainSelectedInstOperands,
     /*  809676 */     // GIR_Coverage, 19743,
     /*  809676 */     GIR_EraseRootFromParent_Done,
     /*  809677 */   // Label 12516: @809677
     /*  809677 */   GIM_Try, /*On fail goto*//*Label 12517*/ GIMT_Encode4(809752), // Rule ID 19746 //
     /*  809682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  809731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809750 */     GIR_RootConstrainSelectedInstOperands,
     /*  809751 */     // GIR_Coverage, 19746,
     /*  809751 */     GIR_EraseRootFromParent_Done,
     /*  809752 */   // Label 12517: @809752
     /*  809752 */   GIM_Try, /*On fail goto*//*Label 12518*/ GIMT_Encode4(809827), // Rule ID 19747 //
     /*  809757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  809768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  809771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  809774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  809792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809803 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32),
     /*  809806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809825 */     GIR_RootConstrainSelectedInstOperands,
     /*  809826 */     // GIR_Coverage, 19747,
     /*  809826 */     GIR_EraseRootFromParent_Done,
     /*  809827 */   // Label 12518: @809827
     /*  809827 */   GIM_Try, /*On fail goto*//*Label 12519*/ GIMT_Encode4(809902), // Rule ID 19750 //
     /*  809832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  809855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809878 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  809878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  809881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809900 */     GIR_RootConstrainSelectedInstOperands,
     /*  809901 */     // GIR_Coverage, 19750,
     /*  809901 */     GIR_EraseRootFromParent_Done,
     /*  809902 */   // Label 12519: @809902
     /*  809902 */   GIM_Try, /*On fail goto*//*Label 12520*/ GIMT_Encode4(809977), // Rule ID 19751 //
     /*  809907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  809910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  809918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  809921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  809924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  809927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  809930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  809942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  809946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  809953 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  809953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32),
     /*  809956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  809958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  809960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  809962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  809964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  809969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  809972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  809975 */     GIR_RootConstrainSelectedInstOperands,
     /*  809976 */     // GIR_Coverage, 19751,
     /*  809976 */     GIR_EraseRootFromParent_Done,
     /*  809977 */   // Label 12520: @809977
     /*  809977 */   GIM_Try, /*On fail goto*//*Label 12521*/ GIMT_Encode4(810052), // Rule ID 19754 //
     /*  809982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  809985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  809990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  809993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  809996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  809999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  810002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  810021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  810028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  810031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810050 */     GIR_RootConstrainSelectedInstOperands,
     /*  810051 */     // GIR_Coverage, 19754,
     /*  810051 */     GIR_EraseRootFromParent_Done,
     /*  810052 */   // Label 12521: @810052
     /*  810052 */   GIM_Try, /*On fail goto*//*Label 12522*/ GIMT_Encode4(810127), // Rule ID 19755 //
     /*  810057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  810060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  810065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  810068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  810071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  810074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  810077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  810096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810103 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  810103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32),
     /*  810106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  810122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810125 */     GIR_RootConstrainSelectedInstOperands,
     /*  810126 */     // GIR_Coverage, 19755,
     /*  810126 */     GIR_EraseRootFromParent_Done,
     /*  810127 */   // Label 12522: @810127
     /*  810127 */   GIM_Try, /*On fail goto*//*Label 12523*/ GIMT_Encode4(810202), // Rule ID 19758 //
     /*  810132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  810135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  810140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  810143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  810146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  810149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  810171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810178 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  810181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810200 */     GIR_RootConstrainSelectedInstOperands,
     /*  810201 */     // GIR_Coverage, 19758,
     /*  810201 */     GIR_EraseRootFromParent_Done,
     /*  810202 */   // Label 12523: @810202
     /*  810202 */   GIM_Try, /*On fail goto*//*Label 12524*/ GIMT_Encode4(810277), // Rule ID 19759 //
     /*  810207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  810210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  810215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  810218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  810221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  810224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  810242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  810246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810253 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11269:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64),
     /*  810256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810275 */     GIR_RootConstrainSelectedInstOperands,
     /*  810276 */     // GIR_Coverage, 19759,
     /*  810276 */     GIR_EraseRootFromParent_Done,
     /*  810277 */   // Label 12524: @810277
     /*  810277 */   GIM_Try, /*On fail goto*//*Label 12525*/ GIMT_Encode4(810352), // Rule ID 19762 //
     /*  810282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  810285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  810290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  810293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  810296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  810299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  810321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  810331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810350 */     GIR_RootConstrainSelectedInstOperands,
     /*  810351 */     // GIR_Coverage, 19762,
     /*  810351 */     GIR_EraseRootFromParent_Done,
     /*  810352 */   // Label 12525: @810352
     /*  810352 */   GIM_Try, /*On fail goto*//*Label 12526*/ GIMT_Encode4(810427), // Rule ID 19763 //
     /*  810357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  810360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  810365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  810368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  810371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  810374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  810392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  810396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810403 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11269:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64),
     /*  810406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810425 */     GIR_RootConstrainSelectedInstOperands,
     /*  810426 */     // GIR_Coverage, 19763,
     /*  810426 */     GIR_EraseRootFromParent_Done,
     /*  810427 */   // Label 12526: @810427
     /*  810427 */   GIM_Try, /*On fail goto*//*Label 12527*/ GIMT_Encode4(810502), // Rule ID 19766 //
     /*  810432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  810435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  810440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  810443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  810446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  810449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  810471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810478 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  810478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  810481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810500 */     GIR_RootConstrainSelectedInstOperands,
     /*  810501 */     // GIR_Coverage, 19766,
     /*  810501 */     GIR_EraseRootFromParent_Done,
     /*  810502 */   // Label 12527: @810502
     /*  810502 */   GIM_Try, /*On fail goto*//*Label 12528*/ GIMT_Encode4(810577), // Rule ID 19767 //
     /*  810507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  810510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx),
     /*  810515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  810518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  810521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  810524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  810527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  810542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  810546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810553 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11269:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSGNJX_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  810553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64),
     /*  810556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  810560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  810572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810575 */     GIR_RootConstrainSelectedInstOperands,
     /*  810576 */     // GIR_Coverage, 19767,
     /*  810576 */     GIR_EraseRootFromParent_Done,
     /*  810577 */   // Label 12528: @810577
     /*  810577 */   GIM_Try, /*On fail goto*//*Label 12529*/ GIMT_Encode4(810652), // Rule ID 21984 //
     /*  810582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  810599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  810631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810650 */     GIR_RootConstrainSelectedInstOperands,
     /*  810651 */     // GIR_Coverage, 21984,
     /*  810651 */     GIR_EraseRootFromParent_Done,
     /*  810652 */   // Label 12529: @810652
     /*  810652 */   GIM_Try, /*On fail goto*//*Label 12530*/ GIMT_Encode4(810727), // Rule ID 21985 //
     /*  810657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  810674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8),
     /*  810706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810725 */     GIR_RootConstrainSelectedInstOperands,
     /*  810726 */     // GIR_Coverage, 21985,
     /*  810726 */     GIR_EraseRootFromParent_Done,
     /*  810727 */   // Label 12530: @810727
     /*  810727 */   GIM_Try, /*On fail goto*//*Label 12531*/ GIMT_Encode4(810802), // Rule ID 21988 //
     /*  810732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  810778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  810781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810800 */     GIR_RootConstrainSelectedInstOperands,
     /*  810801 */     // GIR_Coverage, 21988,
     /*  810801 */     GIR_EraseRootFromParent_Done,
     /*  810802 */   // Label 12531: @810802
     /*  810802 */   GIM_Try, /*On fail goto*//*Label 12532*/ GIMT_Encode4(810877), // Rule ID 21989 //
     /*  810807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  810818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  810821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  810824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  810827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  810853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8),
     /*  810856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  810872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810875 */     GIR_RootConstrainSelectedInstOperands,
     /*  810876 */     // GIR_Coverage, 21989,
     /*  810876 */     GIR_EraseRootFromParent_Done,
     /*  810877 */   // Label 12532: @810877
     /*  810877 */   GIM_Try, /*On fail goto*//*Label 12533*/ GIMT_Encode4(810952), // Rule ID 21992 //
     /*  810882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  810885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  810905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  810928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  810928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  810931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  810933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  810935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  810937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  810939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  810944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  810947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  810950 */     GIR_RootConstrainSelectedInstOperands,
     /*  810951 */     // GIR_Coverage, 21992,
     /*  810951 */     GIR_EraseRootFromParent_Done,
     /*  810952 */   // Label 12533: @810952
     /*  810952 */   GIM_Try, /*On fail goto*//*Label 12534*/ GIMT_Encode4(811027), // Rule ID 21993 //
     /*  810957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  810960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  810965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  810968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  810971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  810974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  810977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  810980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  810996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16),
     /*  811006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811025 */     GIR_RootConstrainSelectedInstOperands,
     /*  811026 */     // GIR_Coverage, 21993,
     /*  811026 */     GIR_EraseRootFromParent_Done,
     /*  811027 */   // Label 12534: @811027
     /*  811027 */   GIM_Try, /*On fail goto*//*Label 12535*/ GIMT_Encode4(811102), // Rule ID 21996 //
     /*  811032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  811049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  811081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811100 */     GIR_RootConstrainSelectedInstOperands,
     /*  811101 */     // GIR_Coverage, 21996,
     /*  811101 */     GIR_EraseRootFromParent_Done,
     /*  811102 */   // Label 12535: @811102
     /*  811102 */   GIM_Try, /*On fail goto*//*Label 12536*/ GIMT_Encode4(811177), // Rule ID 21997 //
     /*  811107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  811124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16),
     /*  811156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811175 */     GIR_RootConstrainSelectedInstOperands,
     /*  811176 */     // GIR_Coverage, 21997,
     /*  811176 */     GIR_EraseRootFromParent_Done,
     /*  811177 */   // Label 12536: @811177
     /*  811177 */   GIM_Try, /*On fail goto*//*Label 12537*/ GIMT_Encode4(811252), // Rule ID 22000 //
     /*  811182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  811199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  811231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811250 */     GIR_RootConstrainSelectedInstOperands,
     /*  811251 */     // GIR_Coverage, 22000,
     /*  811251 */     GIR_EraseRootFromParent_Done,
     /*  811252 */   // Label 12537: @811252
     /*  811252 */   GIM_Try, /*On fail goto*//*Label 12538*/ GIMT_Encode4(811327), // Rule ID 22001 //
     /*  811257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  811274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32),
     /*  811306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811325 */     GIR_RootConstrainSelectedInstOperands,
     /*  811326 */     // GIR_Coverage, 22001,
     /*  811326 */     GIR_EraseRootFromParent_Done,
     /*  811327 */   // Label 12538: @811327
     /*  811327 */   GIM_Try, /*On fail goto*//*Label 12539*/ GIMT_Encode4(811402), // Rule ID 22004 //
     /*  811332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  811349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  811381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811400 */     GIR_RootConstrainSelectedInstOperands,
     /*  811401 */     // GIR_Coverage, 22004,
     /*  811401 */     GIR_EraseRootFromParent_Done,
     /*  811402 */   // Label 12539: @811402
     /*  811402 */   GIM_Try, /*On fail goto*//*Label 12540*/ GIMT_Encode4(811477), // Rule ID 22005 //
     /*  811407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  811424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  811453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8),
     /*  811456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811475 */     GIR_RootConstrainSelectedInstOperands,
     /*  811476 */     // GIR_Coverage, 22005,
     /*  811476 */     GIR_EraseRootFromParent_Done,
     /*  811477 */   // Label 12540: @811477
     /*  811477 */   GIM_Try, /*On fail goto*//*Label 12541*/ GIMT_Encode4(811552), // Rule ID 22008 //
     /*  811482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  811499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  811528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  811531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811550 */     GIR_RootConstrainSelectedInstOperands,
     /*  811551 */     // GIR_Coverage, 22008,
     /*  811551 */     GIR_EraseRootFromParent_Done,
     /*  811552 */   // Label 12541: @811552
     /*  811552 */   GIM_Try, /*On fail goto*//*Label 12542*/ GIMT_Encode4(811627), // Rule ID 22009 //
     /*  811557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  811568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  811571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  811574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  811577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  811603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16),
     /*  811606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  811622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811625 */     GIR_RootConstrainSelectedInstOperands,
     /*  811626 */     // GIR_Coverage, 22009,
     /*  811626 */     GIR_EraseRootFromParent_Done,
     /*  811627 */   // Label 12542: @811627
     /*  811627 */   GIM_Try, /*On fail goto*//*Label 12543*/ GIMT_Encode4(811702), // Rule ID 22012 //
     /*  811632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  811678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  811681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811700 */     GIR_RootConstrainSelectedInstOperands,
     /*  811701 */     // GIR_Coverage, 22012,
     /*  811701 */     GIR_EraseRootFromParent_Done,
     /*  811702 */   // Label 12543: @811702
     /*  811702 */   GIM_Try, /*On fail goto*//*Label 12544*/ GIMT_Encode4(811777), // Rule ID 22013 //
     /*  811707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  811710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  811718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  811721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  811724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  811727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  811753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32),
     /*  811756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  811772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811775 */     GIR_RootConstrainSelectedInstOperands,
     /*  811776 */     // GIR_Coverage, 22013,
     /*  811776 */     GIR_EraseRootFromParent_Done,
     /*  811777 */   // Label 12544: @811777
     /*  811777 */   GIM_Try, /*On fail goto*//*Label 12545*/ GIMT_Encode4(811852), // Rule ID 22016 //
     /*  811782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  811785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  811828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  811831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811850 */     GIR_RootConstrainSelectedInstOperands,
     /*  811851 */     // GIR_Coverage, 22016,
     /*  811851 */     GIR_EraseRootFromParent_Done,
     /*  811852 */   // Label 12545: @811852
     /*  811852 */   GIM_Try, /*On fail goto*//*Label 12546*/ GIMT_Encode4(811927), // Rule ID 22017 //
     /*  811857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  811860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  811868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  811871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  811874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  811877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  811880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  811903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64),
     /*  811906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  811922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  811925 */     GIR_RootConstrainSelectedInstOperands,
     /*  811926 */     // GIR_Coverage, 22017,
     /*  811926 */     GIR_EraseRootFromParent_Done,
     /*  811927 */   // Label 12546: @811927
     /*  811927 */   GIM_Try, /*On fail goto*//*Label 12547*/ GIMT_Encode4(812002), // Rule ID 22020 //
     /*  811932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  811935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  811940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  811943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  811946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  811949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  811952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  811955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  811967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  811971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  811978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  811978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  811981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  811983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  811985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  811987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  811989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  811994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  811997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812000 */     GIR_RootConstrainSelectedInstOperands,
     /*  812001 */     // GIR_Coverage, 22020,
     /*  812001 */     GIR_EraseRootFromParent_Done,
     /*  812002 */   // Label 12547: @812002
     /*  812002 */   GIM_Try, /*On fail goto*//*Label 12548*/ GIMT_Encode4(812077), // Rule ID 22021 //
     /*  812007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  812024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8),
     /*  812056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812075 */     GIR_RootConstrainSelectedInstOperands,
     /*  812076 */     // GIR_Coverage, 22021,
     /*  812076 */     GIR_EraseRootFromParent_Done,
     /*  812077 */   // Label 12548: @812077
     /*  812077 */   GIM_Try, /*On fail goto*//*Label 12549*/ GIMT_Encode4(812152), // Rule ID 22024 //
     /*  812082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  812099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  812131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812150 */     GIR_RootConstrainSelectedInstOperands,
     /*  812151 */     // GIR_Coverage, 22024,
     /*  812151 */     GIR_EraseRootFromParent_Done,
     /*  812152 */   // Label 12549: @812152
     /*  812152 */   GIM_Try, /*On fail goto*//*Label 12550*/ GIMT_Encode4(812227), // Rule ID 22025 //
     /*  812157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  812174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8),
     /*  812206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812225 */     GIR_RootConstrainSelectedInstOperands,
     /*  812226 */     // GIR_Coverage, 22025,
     /*  812226 */     GIR_EraseRootFromParent_Done,
     /*  812227 */   // Label 12550: @812227
     /*  812227 */   GIM_Try, /*On fail goto*//*Label 12551*/ GIMT_Encode4(812302), // Rule ID 22028 //
     /*  812232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  812249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  812278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  812281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812300 */     GIR_RootConstrainSelectedInstOperands,
     /*  812301 */     // GIR_Coverage, 22028,
     /*  812301 */     GIR_EraseRootFromParent_Done,
     /*  812302 */   // Label 12551: @812302
     /*  812302 */   GIM_Try, /*On fail goto*//*Label 12552*/ GIMT_Encode4(812377), // Rule ID 22029 //
     /*  812307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  812318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  812321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  812324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  812327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812353 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11509:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  812353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8),
     /*  812356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  812372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812375 */     GIR_RootConstrainSelectedInstOperands,
     /*  812376 */     // GIR_Coverage, 22029,
     /*  812376 */     GIR_EraseRootFromParent_Done,
     /*  812377 */   // Label 12552: @812377
     /*  812377 */   GIM_Try, /*On fail goto*//*Label 12553*/ GIMT_Encode4(812452), // Rule ID 22032 //
     /*  812382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  812399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  812431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812450 */     GIR_RootConstrainSelectedInstOperands,
     /*  812451 */     // GIR_Coverage, 22032,
     /*  812451 */     GIR_EraseRootFromParent_Done,
     /*  812452 */   // Label 12553: @812452
     /*  812452 */   GIM_Try, /*On fail goto*//*Label 12554*/ GIMT_Encode4(812527), // Rule ID 22033 //
     /*  812457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  812474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16),
     /*  812506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812525 */     GIR_RootConstrainSelectedInstOperands,
     /*  812526 */     // GIR_Coverage, 22033,
     /*  812526 */     GIR_EraseRootFromParent_Done,
     /*  812527 */   // Label 12554: @812527
     /*  812527 */   GIM_Try, /*On fail goto*//*Label 12555*/ GIMT_Encode4(812602), // Rule ID 22036 //
     /*  812532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  812549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  812581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812600 */     GIR_RootConstrainSelectedInstOperands,
     /*  812601 */     // GIR_Coverage, 22036,
     /*  812601 */     GIR_EraseRootFromParent_Done,
     /*  812602 */   // Label 12555: @812602
     /*  812602 */   GIM_Try, /*On fail goto*//*Label 12556*/ GIMT_Encode4(812677), // Rule ID 22037 //
     /*  812607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  812624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  812642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16),
     /*  812656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812675 */     GIR_RootConstrainSelectedInstOperands,
     /*  812676 */     // GIR_Coverage, 22037,
     /*  812676 */     GIR_EraseRootFromParent_Done,
     /*  812677 */   // Label 12556: @812677
     /*  812677 */   GIM_Try, /*On fail goto*//*Label 12557*/ GIMT_Encode4(812752), // Rule ID 22040 //
     /*  812682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  812728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  812731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812750 */     GIR_RootConstrainSelectedInstOperands,
     /*  812751 */     // GIR_Coverage, 22040,
     /*  812751 */     GIR_EraseRootFromParent_Done,
     /*  812752 */   // Label 12557: @812752
     /*  812752 */   GIM_Try, /*On fail goto*//*Label 12558*/ GIMT_Encode4(812827), // Rule ID 22041 //
     /*  812757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  812768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  812771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  812774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  812777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  812792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11509:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  812803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16),
     /*  812806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  812822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812825 */     GIR_RootConstrainSelectedInstOperands,
     /*  812826 */     // GIR_Coverage, 22041,
     /*  812826 */     GIR_EraseRootFromParent_Done,
     /*  812827 */   // Label 12558: @812827
     /*  812827 */   GIM_Try, /*On fail goto*//*Label 12559*/ GIMT_Encode4(812902), // Rule ID 22044 //
     /*  812832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  812855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  812878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  812881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812900 */     GIR_RootConstrainSelectedInstOperands,
     /*  812901 */     // GIR_Coverage, 22044,
     /*  812901 */     GIR_EraseRootFromParent_Done,
     /*  812902 */   // Label 12559: @812902
     /*  812902 */   GIM_Try, /*On fail goto*//*Label 12560*/ GIMT_Encode4(812977), // Rule ID 22045 //
     /*  812907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  812910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  812924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  812927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  812930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  812942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  812946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  812953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  812953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32),
     /*  812956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  812958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  812960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  812962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  812964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  812969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  812972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  812975 */     GIR_RootConstrainSelectedInstOperands,
     /*  812976 */     // GIR_Coverage, 22045,
     /*  812976 */     GIR_EraseRootFromParent_Done,
     /*  812977 */   // Label 12560: @812977
     /*  812977 */   GIM_Try, /*On fail goto*//*Label 12561*/ GIMT_Encode4(813052), // Rule ID 22048 //
     /*  812982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  812985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  812990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  812993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  812996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  812999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  813031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813050 */     GIR_RootConstrainSelectedInstOperands,
     /*  813051 */     // GIR_Coverage, 22048,
     /*  813051 */     GIR_EraseRootFromParent_Done,
     /*  813052 */   // Label 12561: @813052
     /*  813052 */   GIM_Try, /*On fail goto*//*Label 12562*/ GIMT_Encode4(813127), // Rule ID 22049 //
     /*  813057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  813074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32),
     /*  813106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813125 */     GIR_RootConstrainSelectedInstOperands,
     /*  813126 */     // GIR_Coverage, 22049,
     /*  813126 */     GIR_EraseRootFromParent_Done,
     /*  813127 */   // Label 12562: @813127
     /*  813127 */   GIM_Try, /*On fail goto*//*Label 12563*/ GIMT_Encode4(813202), // Rule ID 22052 //
     /*  813132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  813149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  813178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  813181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813200 */     GIR_RootConstrainSelectedInstOperands,
     /*  813201 */     // GIR_Coverage, 22052,
     /*  813201 */     GIR_EraseRootFromParent_Done,
     /*  813202 */   // Label 12563: @813202
     /*  813202 */   GIM_Try, /*On fail goto*//*Label 12564*/ GIMT_Encode4(813277), // Rule ID 22053 //
     /*  813207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  813218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  813221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  813224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  813227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11509:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  813253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32),
     /*  813256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  813272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813275 */     GIR_RootConstrainSelectedInstOperands,
     /*  813276 */     // GIR_Coverage, 22053,
     /*  813276 */     GIR_EraseRootFromParent_Done,
     /*  813277 */   // Label 12564: @813277
     /*  813277 */   GIM_Try, /*On fail goto*//*Label 12565*/ GIMT_Encode4(813352), // Rule ID 22056 //
     /*  813282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  813299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  813331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813350 */     GIR_RootConstrainSelectedInstOperands,
     /*  813351 */     // GIR_Coverage, 22056,
     /*  813351 */     GIR_EraseRootFromParent_Done,
     /*  813352 */   // Label 12565: @813352
     /*  813352 */   GIM_Try, /*On fail goto*//*Label 12566*/ GIMT_Encode4(813427), // Rule ID 22057 //
     /*  813357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  813374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  813392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64),
     /*  813406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813425 */     GIR_RootConstrainSelectedInstOperands,
     /*  813426 */     // GIR_Coverage, 22057,
     /*  813426 */     GIR_EraseRootFromParent_Done,
     /*  813427 */   // Label 12566: @813427
     /*  813427 */   GIM_Try, /*On fail goto*//*Label 12567*/ GIMT_Encode4(813502), // Rule ID 22060 //
     /*  813432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  813449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813478 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  813481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813500 */     GIR_RootConstrainSelectedInstOperands,
     /*  813501 */     // GIR_Coverage, 22060,
     /*  813501 */     GIR_EraseRootFromParent_Done,
     /*  813502 */   // Label 12567: @813502
     /*  813502 */   GIM_Try, /*On fail goto*//*Label 12568*/ GIMT_Encode4(813577), // Rule ID 22061 //
     /*  813507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  813524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  813542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813553 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64),
     /*  813556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813575 */     GIR_RootConstrainSelectedInstOperands,
     /*  813576 */     // GIR_Coverage, 22061,
     /*  813576 */     GIR_EraseRootFromParent_Done,
     /*  813577 */   // Label 12568: @813577
     /*  813577 */   GIM_Try, /*On fail goto*//*Label 12569*/ GIMT_Encode4(813652), // Rule ID 22064 //
     /*  813582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  813585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  813599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  813628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  813631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813650 */     GIR_RootConstrainSelectedInstOperands,
     /*  813651 */     // GIR_Coverage, 22064,
     /*  813651 */     GIR_EraseRootFromParent_Done,
     /*  813652 */   // Label 12569: @813652
     /*  813652 */   GIM_Try, /*On fail goto*//*Label 12570*/ GIMT_Encode4(813727), // Rule ID 22065 //
     /*  813657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  813660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum),
     /*  813665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  813668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  813671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  813674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  813677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  813692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11509:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  813703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64),
     /*  813706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  813722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813725 */     GIR_RootConstrainSelectedInstOperands,
     /*  813726 */     // GIR_Coverage, 22065,
     /*  813726 */     GIR_EraseRootFromParent_Done,
     /*  813727 */   // Label 12570: @813727
     /*  813727 */   GIM_Try, /*On fail goto*//*Label 12571*/ GIMT_Encode4(813802), // Rule ID 22068 //
     /*  813732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  813781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813800 */     GIR_RootConstrainSelectedInstOperands,
     /*  813801 */     // GIR_Coverage, 22068,
     /*  813801 */     GIR_EraseRootFromParent_Done,
     /*  813802 */   // Label 12571: @813802
     /*  813802 */   GIM_Try, /*On fail goto*//*Label 12572*/ GIMT_Encode4(813877), // Rule ID 22069 //
     /*  813807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  813824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  813853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8),
     /*  813856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813875 */     GIR_RootConstrainSelectedInstOperands,
     /*  813876 */     // GIR_Coverage, 22069,
     /*  813876 */     GIR_EraseRootFromParent_Done,
     /*  813877 */   // Label 12572: @813877
     /*  813877 */   GIM_Try, /*On fail goto*//*Label 12573*/ GIMT_Encode4(813952), // Rule ID 22072 //
     /*  813882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  813885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  813905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  813928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  813928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  813931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  813933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  813935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  813937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  813939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  813944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  813947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  813950 */     GIR_RootConstrainSelectedInstOperands,
     /*  813951 */     // GIR_Coverage, 22072,
     /*  813951 */     GIR_EraseRootFromParent_Done,
     /*  813952 */   // Label 12573: @813952
     /*  813952 */   GIM_Try, /*On fail goto*//*Label 12574*/ GIMT_Encode4(814027), // Rule ID 22073 //
     /*  813957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  813960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  813965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  813968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  813971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  813974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  813977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  813980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  813996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8),
     /*  814006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814025 */     GIR_RootConstrainSelectedInstOperands,
     /*  814026 */     // GIR_Coverage, 22073,
     /*  814026 */     GIR_EraseRootFromParent_Done,
     /*  814027 */   // Label 12574: @814027
     /*  814027 */   GIM_Try, /*On fail goto*//*Label 12575*/ GIMT_Encode4(814102), // Rule ID 22076 //
     /*  814032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  814049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  814081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814100 */     GIR_RootConstrainSelectedInstOperands,
     /*  814101 */     // GIR_Coverage, 22076,
     /*  814101 */     GIR_EraseRootFromParent_Done,
     /*  814102 */   // Label 12575: @814102
     /*  814102 */   GIM_Try, /*On fail goto*//*Label 12576*/ GIMT_Encode4(814177), // Rule ID 22077 //
     /*  814107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  814124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8),
     /*  814156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814175 */     GIR_RootConstrainSelectedInstOperands,
     /*  814176 */     // GIR_Coverage, 22077,
     /*  814176 */     GIR_EraseRootFromParent_Done,
     /*  814177 */   // Label 12576: @814177
     /*  814177 */   GIM_Try, /*On fail goto*//*Label 12577*/ GIMT_Encode4(814252), // Rule ID 22080 //
     /*  814182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  814199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  814231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814250 */     GIR_RootConstrainSelectedInstOperands,
     /*  814251 */     // GIR_Coverage, 22080,
     /*  814251 */     GIR_EraseRootFromParent_Done,
     /*  814252 */   // Label 12577: @814252
     /*  814252 */   GIM_Try, /*On fail goto*//*Label 12578*/ GIMT_Encode4(814327), // Rule ID 22081 //
     /*  814257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  814274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16),
     /*  814306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814325 */     GIR_RootConstrainSelectedInstOperands,
     /*  814326 */     // GIR_Coverage, 22081,
     /*  814326 */     GIR_EraseRootFromParent_Done,
     /*  814327 */   // Label 12578: @814327
     /*  814327 */   GIM_Try, /*On fail goto*//*Label 12579*/ GIMT_Encode4(814402), // Rule ID 22084 //
     /*  814332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  814349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  814381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814400 */     GIR_RootConstrainSelectedInstOperands,
     /*  814401 */     // GIR_Coverage, 22084,
     /*  814401 */     GIR_EraseRootFromParent_Done,
     /*  814402 */   // Label 12579: @814402
     /*  814402 */   GIM_Try, /*On fail goto*//*Label 12580*/ GIMT_Encode4(814477), // Rule ID 22085 //
     /*  814407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  814424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16),
     /*  814456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814475 */     GIR_RootConstrainSelectedInstOperands,
     /*  814476 */     // GIR_Coverage, 22085,
     /*  814476 */     GIR_EraseRootFromParent_Done,
     /*  814477 */   // Label 12580: @814477
     /*  814477 */   GIM_Try, /*On fail goto*//*Label 12581*/ GIMT_Encode4(814552), // Rule ID 22088 //
     /*  814482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  814499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  814531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814550 */     GIR_RootConstrainSelectedInstOperands,
     /*  814551 */     // GIR_Coverage, 22088,
     /*  814551 */     GIR_EraseRootFromParent_Done,
     /*  814552 */   // Label 12581: @814552
     /*  814552 */   GIM_Try, /*On fail goto*//*Label 12582*/ GIMT_Encode4(814627), // Rule ID 22089 //
     /*  814557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  814574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  814603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32),
     /*  814606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814625 */     GIR_RootConstrainSelectedInstOperands,
     /*  814626 */     // GIR_Coverage, 22089,
     /*  814626 */     GIR_EraseRootFromParent_Done,
     /*  814627 */   // Label 12582: @814627
     /*  814627 */   GIM_Try, /*On fail goto*//*Label 12583*/ GIMT_Encode4(814702), // Rule ID 22092 //
     /*  814632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  814678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  814681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814700 */     GIR_RootConstrainSelectedInstOperands,
     /*  814701 */     // GIR_Coverage, 22092,
     /*  814701 */     GIR_EraseRootFromParent_Done,
     /*  814702 */   // Label 12583: @814702
     /*  814702 */   GIM_Try, /*On fail goto*//*Label 12584*/ GIMT_Encode4(814777), // Rule ID 22093 //
     /*  814707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  814718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  814721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  814724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  814727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  814753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8),
     /*  814756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  814772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814775 */     GIR_RootConstrainSelectedInstOperands,
     /*  814776 */     // GIR_Coverage, 22093,
     /*  814776 */     GIR_EraseRootFromParent_Done,
     /*  814777 */   // Label 12584: @814777
     /*  814777 */   GIM_Try, /*On fail goto*//*Label 12585*/ GIMT_Encode4(814852), // Rule ID 22096 //
     /*  814782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  814828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  814831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814850 */     GIR_RootConstrainSelectedInstOperands,
     /*  814851 */     // GIR_Coverage, 22096,
     /*  814851 */     GIR_EraseRootFromParent_Done,
     /*  814852 */   // Label 12585: @814852
     /*  814852 */   GIM_Try, /*On fail goto*//*Label 12586*/ GIMT_Encode4(814927), // Rule ID 22097 //
     /*  814857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  814860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  814868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  814871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  814874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  814877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  814880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  814903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16),
     /*  814906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  814922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  814925 */     GIR_RootConstrainSelectedInstOperands,
     /*  814926 */     // GIR_Coverage, 22097,
     /*  814926 */     GIR_EraseRootFromParent_Done,
     /*  814927 */   // Label 12586: @814927
     /*  814927 */   GIM_Try, /*On fail goto*//*Label 12587*/ GIMT_Encode4(815002), // Rule ID 22100 //
     /*  814932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  814935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  814940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  814943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  814946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  814949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  814952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  814955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  814971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  814978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  814978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  814981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  814983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  814985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  814987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  814989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  814994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  814997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815000 */     GIR_RootConstrainSelectedInstOperands,
     /*  815001 */     // GIR_Coverage, 22100,
     /*  815001 */     GIR_EraseRootFromParent_Done,
     /*  815002 */   // Label 12587: @815002
     /*  815002 */   GIM_Try, /*On fail goto*//*Label 12588*/ GIMT_Encode4(815077), // Rule ID 22101 //
     /*  815007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  815018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  815021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  815024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  815027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  815053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32),
     /*  815056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  815072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815075 */     GIR_RootConstrainSelectedInstOperands,
     /*  815076 */     // GIR_Coverage, 22101,
     /*  815076 */     GIR_EraseRootFromParent_Done,
     /*  815077 */   // Label 12588: @815077
     /*  815077 */   GIM_Try, /*On fail goto*//*Label 12589*/ GIMT_Encode4(815152), // Rule ID 22104 //
     /*  815082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  815085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  815099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  815128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  815131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815150 */     GIR_RootConstrainSelectedInstOperands,
     /*  815151 */     // GIR_Coverage, 22104,
     /*  815151 */     GIR_EraseRootFromParent_Done,
     /*  815152 */   // Label 12589: @815152
     /*  815152 */   GIM_Try, /*On fail goto*//*Label 12590*/ GIMT_Encode4(815227), // Rule ID 22105 //
     /*  815157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  815160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  815168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  815171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  815174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  815177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  815203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64),
     /*  815206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  815222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815225 */     GIR_RootConstrainSelectedInstOperands,
     /*  815226 */     // GIR_Coverage, 22105,
     /*  815226 */     GIR_EraseRootFromParent_Done,
     /*  815227 */   // Label 12590: @815227
     /*  815227 */   GIM_Try, /*On fail goto*//*Label 12591*/ GIMT_Encode4(815302), // Rule ID 22108 //
     /*  815232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  815249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  815281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815300 */     GIR_RootConstrainSelectedInstOperands,
     /*  815301 */     // GIR_Coverage, 22108,
     /*  815301 */     GIR_EraseRootFromParent_Done,
     /*  815302 */   // Label 12591: @815302
     /*  815302 */   GIM_Try, /*On fail goto*//*Label 12592*/ GIMT_Encode4(815377), // Rule ID 22109 //
     /*  815307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  815324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815353 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8),
     /*  815356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815375 */     GIR_RootConstrainSelectedInstOperands,
     /*  815376 */     // GIR_Coverage, 22109,
     /*  815376 */     GIR_EraseRootFromParent_Done,
     /*  815377 */   // Label 12592: @815377
     /*  815377 */   GIM_Try, /*On fail goto*//*Label 12593*/ GIMT_Encode4(815452), // Rule ID 22112 //
     /*  815382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  815399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  815431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815450 */     GIR_RootConstrainSelectedInstOperands,
     /*  815451 */     // GIR_Coverage, 22112,
     /*  815451 */     GIR_EraseRootFromParent_Done,
     /*  815452 */   // Label 12593: @815452
     /*  815452 */   GIM_Try, /*On fail goto*//*Label 12594*/ GIMT_Encode4(815527), // Rule ID 22113 //
     /*  815457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  815474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8),
     /*  815506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815525 */     GIR_RootConstrainSelectedInstOperands,
     /*  815526 */     // GIR_Coverage, 22113,
     /*  815526 */     GIR_EraseRootFromParent_Done,
     /*  815527 */   // Label 12594: @815527
     /*  815527 */   GIM_Try, /*On fail goto*//*Label 12595*/ GIMT_Encode4(815602), // Rule ID 22116 //
     /*  815532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  815549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  815578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  815581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815600 */     GIR_RootConstrainSelectedInstOperands,
     /*  815601 */     // GIR_Coverage, 22116,
     /*  815601 */     GIR_EraseRootFromParent_Done,
     /*  815602 */   // Label 12595: @815602
     /*  815602 */   GIM_Try, /*On fail goto*//*Label 12596*/ GIMT_Encode4(815677), // Rule ID 22117 //
     /*  815607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  815618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  815621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  815624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  815627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  815642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11497:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  815653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8),
     /*  815656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  815672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815675 */     GIR_RootConstrainSelectedInstOperands,
     /*  815676 */     // GIR_Coverage, 22117,
     /*  815676 */     GIR_EraseRootFromParent_Done,
     /*  815677 */   // Label 12596: @815677
     /*  815677 */   GIM_Try, /*On fail goto*//*Label 12597*/ GIMT_Encode4(815752), // Rule ID 22120 //
     /*  815682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  815731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815750 */     GIR_RootConstrainSelectedInstOperands,
     /*  815751 */     // GIR_Coverage, 22120,
     /*  815751 */     GIR_EraseRootFromParent_Done,
     /*  815752 */   // Label 12597: @815752
     /*  815752 */   GIM_Try, /*On fail goto*//*Label 12598*/ GIMT_Encode4(815827), // Rule ID 22121 //
     /*  815757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  815774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  815792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16),
     /*  815806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815825 */     GIR_RootConstrainSelectedInstOperands,
     /*  815826 */     // GIR_Coverage, 22121,
     /*  815826 */     GIR_EraseRootFromParent_Done,
     /*  815827 */   // Label 12598: @815827
     /*  815827 */   GIM_Try, /*On fail goto*//*Label 12599*/ GIMT_Encode4(815902), // Rule ID 22124 //
     /*  815832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  815855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  815878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  815881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815900 */     GIR_RootConstrainSelectedInstOperands,
     /*  815901 */     // GIR_Coverage, 22124,
     /*  815901 */     GIR_EraseRootFromParent_Done,
     /*  815902 */   // Label 12599: @815902
     /*  815902 */   GIM_Try, /*On fail goto*//*Label 12600*/ GIMT_Encode4(815977), // Rule ID 22125 //
     /*  815907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  815910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  815924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  815927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  815930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  815942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  815946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  815953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  815953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16),
     /*  815956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  815958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  815960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  815962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  815964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  815969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  815972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  815975 */     GIR_RootConstrainSelectedInstOperands,
     /*  815976 */     // GIR_Coverage, 22125,
     /*  815976 */     GIR_EraseRootFromParent_Done,
     /*  815977 */   // Label 12600: @815977
     /*  815977 */   GIM_Try, /*On fail goto*//*Label 12601*/ GIMT_Encode4(816052), // Rule ID 22128 //
     /*  815982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  815985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  815990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  815993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  815996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  815999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  816028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  816031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816050 */     GIR_RootConstrainSelectedInstOperands,
     /*  816051 */     // GIR_Coverage, 22128,
     /*  816051 */     GIR_EraseRootFromParent_Done,
     /*  816052 */   // Label 12601: @816052
     /*  816052 */   GIM_Try, /*On fail goto*//*Label 12602*/ GIMT_Encode4(816127), // Rule ID 22129 //
     /*  816057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  816068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  816071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  816074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  816077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11497:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  816103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16),
     /*  816106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  816122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816125 */     GIR_RootConstrainSelectedInstOperands,
     /*  816126 */     // GIR_Coverage, 22129,
     /*  816126 */     GIR_EraseRootFromParent_Done,
     /*  816127 */   // Label 12602: @816127
     /*  816127 */   GIM_Try, /*On fail goto*//*Label 12603*/ GIMT_Encode4(816202), // Rule ID 22132 //
     /*  816132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  816149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  816181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816200 */     GIR_RootConstrainSelectedInstOperands,
     /*  816201 */     // GIR_Coverage, 22132,
     /*  816201 */     GIR_EraseRootFromParent_Done,
     /*  816202 */   // Label 12603: @816202
     /*  816202 */   GIM_Try, /*On fail goto*//*Label 12604*/ GIMT_Encode4(816277), // Rule ID 22133 //
     /*  816207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  816224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32),
     /*  816256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816275 */     GIR_RootConstrainSelectedInstOperands,
     /*  816276 */     // GIR_Coverage, 22133,
     /*  816276 */     GIR_EraseRootFromParent_Done,
     /*  816277 */   // Label 12604: @816277
     /*  816277 */   GIM_Try, /*On fail goto*//*Label 12605*/ GIMT_Encode4(816352), // Rule ID 22136 //
     /*  816282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  816299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  816331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816350 */     GIR_RootConstrainSelectedInstOperands,
     /*  816351 */     // GIR_Coverage, 22136,
     /*  816351 */     GIR_EraseRootFromParent_Done,
     /*  816352 */   // Label 12605: @816352
     /*  816352 */   GIM_Try, /*On fail goto*//*Label 12606*/ GIMT_Encode4(816427), // Rule ID 22137 //
     /*  816357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  816374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32),
     /*  816406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816425 */     GIR_RootConstrainSelectedInstOperands,
     /*  816426 */     // GIR_Coverage, 22137,
     /*  816426 */     GIR_EraseRootFromParent_Done,
     /*  816427 */   // Label 12606: @816427
     /*  816427 */   GIM_Try, /*On fail goto*//*Label 12607*/ GIMT_Encode4(816502), // Rule ID 22140 //
     /*  816432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  816435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  816449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  816478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  816481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816500 */     GIR_RootConstrainSelectedInstOperands,
     /*  816501 */     // GIR_Coverage, 22140,
     /*  816501 */     GIR_EraseRootFromParent_Done,
     /*  816502 */   // Label 12607: @816502
     /*  816502 */   GIM_Try, /*On fail goto*//*Label 12608*/ GIMT_Encode4(816577), // Rule ID 22141 //
     /*  816507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  816510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  816518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  816521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  816524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  816527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11497:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  816553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32),
     /*  816556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  816572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816575 */     GIR_RootConstrainSelectedInstOperands,
     /*  816576 */     // GIR_Coverage, 22141,
     /*  816576 */     GIR_EraseRootFromParent_Done,
     /*  816577 */   // Label 12608: @816577
     /*  816577 */   GIM_Try, /*On fail goto*//*Label 12609*/ GIMT_Encode4(816652), // Rule ID 22144 //
     /*  816582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  816599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  816631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816650 */     GIR_RootConstrainSelectedInstOperands,
     /*  816651 */     // GIR_Coverage, 22144,
     /*  816651 */     GIR_EraseRootFromParent_Done,
     /*  816652 */   // Label 12609: @816652
     /*  816652 */   GIM_Try, /*On fail goto*//*Label 12610*/ GIMT_Encode4(816727), // Rule ID 22145 //
     /*  816657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  816674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  816692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64),
     /*  816706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816725 */     GIR_RootConstrainSelectedInstOperands,
     /*  816726 */     // GIR_Coverage, 22145,
     /*  816726 */     GIR_EraseRootFromParent_Done,
     /*  816727 */   // Label 12610: @816727
     /*  816727 */   GIM_Try, /*On fail goto*//*Label 12611*/ GIMT_Encode4(816802), // Rule ID 22148 //
     /*  816732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  816781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816800 */     GIR_RootConstrainSelectedInstOperands,
     /*  816801 */     // GIR_Coverage, 22148,
     /*  816801 */     GIR_EraseRootFromParent_Done,
     /*  816802 */   // Label 12611: @816802
     /*  816802 */   GIM_Try, /*On fail goto*//*Label 12612*/ GIMT_Encode4(816877), // Rule ID 22149 //
     /*  816807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  816824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  816842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  816853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64),
     /*  816856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816875 */     GIR_RootConstrainSelectedInstOperands,
     /*  816876 */     // GIR_Coverage, 22149,
     /*  816876 */     GIR_EraseRootFromParent_Done,
     /*  816877 */   // Label 12612: @816877
     /*  816877 */   GIM_Try, /*On fail goto*//*Label 12613*/ GIMT_Encode4(816952), // Rule ID 22152 //
     /*  816882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  816885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  816905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  816928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  816928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  816931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  816933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  816935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  816937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  816939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  816944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  816947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  816950 */     GIR_RootConstrainSelectedInstOperands,
     /*  816951 */     // GIR_Coverage, 22152,
     /*  816951 */     GIR_EraseRootFromParent_Done,
     /*  816952 */   // Label 12613: @816952
     /*  816952 */   GIM_Try, /*On fail goto*//*Label 12614*/ GIMT_Encode4(817027), // Rule ID 22153 //
     /*  816957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  816960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand),
     /*  816965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  816968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  816971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  816974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  816977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  816980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  816992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  816996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11497:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  817003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64),
     /*  817006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  817022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817025 */     GIR_RootConstrainSelectedInstOperands,
     /*  817026 */     // GIR_Coverage, 22153,
     /*  817026 */     GIR_EraseRootFromParent_Done,
     /*  817027 */   // Label 12614: @817027
     /*  817027 */   GIM_Try, /*On fail goto*//*Label 12615*/ GIMT_Encode4(817102), // Rule ID 22156 //
     /*  817032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  817049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  817081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817100 */     GIR_RootConstrainSelectedInstOperands,
     /*  817101 */     // GIR_Coverage, 22156,
     /*  817101 */     GIR_EraseRootFromParent_Done,
     /*  817102 */   // Label 12615: @817102
     /*  817102 */   GIM_Try, /*On fail goto*//*Label 12616*/ GIMT_Encode4(817177), // Rule ID 22157 //
     /*  817107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  817124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8),
     /*  817156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817175 */     GIR_RootConstrainSelectedInstOperands,
     /*  817176 */     // GIR_Coverage, 22157,
     /*  817176 */     GIR_EraseRootFromParent_Done,
     /*  817177 */   // Label 12616: @817177
     /*  817177 */   GIM_Try, /*On fail goto*//*Label 12617*/ GIMT_Encode4(817252), // Rule ID 22160 //
     /*  817182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  817199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  817231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817250 */     GIR_RootConstrainSelectedInstOperands,
     /*  817251 */     // GIR_Coverage, 22160,
     /*  817251 */     GIR_EraseRootFromParent_Done,
     /*  817252 */   // Label 12617: @817252
     /*  817252 */   GIM_Try, /*On fail goto*//*Label 12618*/ GIMT_Encode4(817327), // Rule ID 22161 //
     /*  817257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  817274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8),
     /*  817306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817325 */     GIR_RootConstrainSelectedInstOperands,
     /*  817326 */     // GIR_Coverage, 22161,
     /*  817326 */     GIR_EraseRootFromParent_Done,
     /*  817327 */   // Label 12618: @817327
     /*  817327 */   GIM_Try, /*On fail goto*//*Label 12619*/ GIMT_Encode4(817402), // Rule ID 22164 //
     /*  817332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  817349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  817381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817400 */     GIR_RootConstrainSelectedInstOperands,
     /*  817401 */     // GIR_Coverage, 22164,
     /*  817401 */     GIR_EraseRootFromParent_Done,
     /*  817402 */   // Label 12619: @817402
     /*  817402 */   GIM_Try, /*On fail goto*//*Label 12620*/ GIMT_Encode4(817477), // Rule ID 22165 //
     /*  817407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  817424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  817453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8),
     /*  817456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817475 */     GIR_RootConstrainSelectedInstOperands,
     /*  817476 */     // GIR_Coverage, 22165,
     /*  817476 */     GIR_EraseRootFromParent_Done,
     /*  817477 */   // Label 12620: @817477
     /*  817477 */   GIM_Try, /*On fail goto*//*Label 12621*/ GIMT_Encode4(817552), // Rule ID 22168 //
     /*  817482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  817499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  817531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817550 */     GIR_RootConstrainSelectedInstOperands,
     /*  817551 */     // GIR_Coverage, 22168,
     /*  817551 */     GIR_EraseRootFromParent_Done,
     /*  817552 */   // Label 12621: @817552
     /*  817552 */   GIM_Try, /*On fail goto*//*Label 12622*/ GIMT_Encode4(817627), // Rule ID 22169 //
     /*  817557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  817574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16),
     /*  817606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817625 */     GIR_RootConstrainSelectedInstOperands,
     /*  817626 */     // GIR_Coverage, 22169,
     /*  817626 */     GIR_EraseRootFromParent_Done,
     /*  817627 */   // Label 12622: @817627
     /*  817627 */   GIM_Try, /*On fail goto*//*Label 12623*/ GIMT_Encode4(817702), // Rule ID 22172 //
     /*  817632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  817649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  817678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  817681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817700 */     GIR_RootConstrainSelectedInstOperands,
     /*  817701 */     // GIR_Coverage, 22172,
     /*  817701 */     GIR_EraseRootFromParent_Done,
     /*  817702 */   // Label 12623: @817702
     /*  817702 */   GIM_Try, /*On fail goto*//*Label 12624*/ GIMT_Encode4(817777), // Rule ID 22173 //
     /*  817707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  817718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  817721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  817724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  817727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  817753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16),
     /*  817756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  817772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817775 */     GIR_RootConstrainSelectedInstOperands,
     /*  817776 */     // GIR_Coverage, 22173,
     /*  817776 */     GIR_EraseRootFromParent_Done,
     /*  817777 */   // Label 12624: @817777
     /*  817777 */   GIM_Try, /*On fail goto*//*Label 12625*/ GIMT_Encode4(817852), // Rule ID 22176 //
     /*  817782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  817828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  817831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817850 */     GIR_RootConstrainSelectedInstOperands,
     /*  817851 */     // GIR_Coverage, 22176,
     /*  817851 */     GIR_EraseRootFromParent_Done,
     /*  817852 */   // Label 12625: @817852
     /*  817852 */   GIM_Try, /*On fail goto*//*Label 12626*/ GIMT_Encode4(817927), // Rule ID 22177 //
     /*  817857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  817860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  817868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  817871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  817874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  817877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  817880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  817903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32),
     /*  817906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  817922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  817925 */     GIR_RootConstrainSelectedInstOperands,
     /*  817926 */     // GIR_Coverage, 22177,
     /*  817926 */     GIR_EraseRootFromParent_Done,
     /*  817927 */   // Label 12626: @817927
     /*  817927 */   GIM_Try, /*On fail goto*//*Label 12627*/ GIMT_Encode4(818002), // Rule ID 22180 //
     /*  817932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  817935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  817940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  817943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  817946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  817949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  817952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  817955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  817971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  817978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  817978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  817981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  817983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  817985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  817987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  817989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  817994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  817997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818000 */     GIR_RootConstrainSelectedInstOperands,
     /*  818001 */     // GIR_Coverage, 22180,
     /*  818001 */     GIR_EraseRootFromParent_Done,
     /*  818002 */   // Label 12627: @818002
     /*  818002 */   GIM_Try, /*On fail goto*//*Label 12628*/ GIMT_Encode4(818077), // Rule ID 22181 //
     /*  818007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  818024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8),
     /*  818056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818075 */     GIR_RootConstrainSelectedInstOperands,
     /*  818076 */     // GIR_Coverage, 22181,
     /*  818076 */     GIR_EraseRootFromParent_Done,
     /*  818077 */   // Label 12628: @818077
     /*  818077 */   GIM_Try, /*On fail goto*//*Label 12629*/ GIMT_Encode4(818152), // Rule ID 22184 //
     /*  818082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  818099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  818128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  818131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818150 */     GIR_RootConstrainSelectedInstOperands,
     /*  818151 */     // GIR_Coverage, 22184,
     /*  818151 */     GIR_EraseRootFromParent_Done,
     /*  818152 */   // Label 12629: @818152
     /*  818152 */   GIM_Try, /*On fail goto*//*Label 12630*/ GIMT_Encode4(818227), // Rule ID 22185 //
     /*  818157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  818174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  818177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  818203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16),
     /*  818206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  818222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818225 */     GIR_RootConstrainSelectedInstOperands,
     /*  818226 */     // GIR_Coverage, 22185,
     /*  818226 */     GIR_EraseRootFromParent_Done,
     /*  818227 */   // Label 12630: @818227
     /*  818227 */   GIM_Try, /*On fail goto*//*Label 12631*/ GIMT_Encode4(818302), // Rule ID 22188 //
     /*  818232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  818249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  818278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  818281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818300 */     GIR_RootConstrainSelectedInstOperands,
     /*  818301 */     // GIR_Coverage, 22188,
     /*  818301 */     GIR_EraseRootFromParent_Done,
     /*  818302 */   // Label 12631: @818302
     /*  818302 */   GIM_Try, /*On fail goto*//*Label 12632*/ GIMT_Encode4(818377), // Rule ID 22189 //
     /*  818307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  818318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  818321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  818324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  818327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  818353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32),
     /*  818356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  818372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818375 */     GIR_RootConstrainSelectedInstOperands,
     /*  818376 */     // GIR_Coverage, 22189,
     /*  818376 */     GIR_EraseRootFromParent_Done,
     /*  818377 */   // Label 12632: @818377
     /*  818377 */   GIM_Try, /*On fail goto*//*Label 12633*/ GIMT_Encode4(818452), // Rule ID 22192 //
     /*  818382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  818385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  818399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  818428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  818431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818450 */     GIR_RootConstrainSelectedInstOperands,
     /*  818451 */     // GIR_Coverage, 22192,
     /*  818451 */     GIR_EraseRootFromParent_Done,
     /*  818452 */   // Label 12633: @818452
     /*  818452 */   GIM_Try, /*On fail goto*//*Label 12634*/ GIMT_Encode4(818527), // Rule ID 22193 //
     /*  818457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  818460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  818468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  818471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  818474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  818477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  818503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64),
     /*  818506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  818522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818525 */     GIR_RootConstrainSelectedInstOperands,
     /*  818526 */     // GIR_Coverage, 22193,
     /*  818526 */     GIR_EraseRootFromParent_Done,
     /*  818527 */   // Label 12634: @818527
     /*  818527 */   GIM_Try, /*On fail goto*//*Label 12635*/ GIMT_Encode4(818602), // Rule ID 22196 //
     /*  818532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  818549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  818581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818600 */     GIR_RootConstrainSelectedInstOperands,
     /*  818601 */     // GIR_Coverage, 22196,
     /*  818601 */     GIR_EraseRootFromParent_Done,
     /*  818602 */   // Label 12635: @818602
     /*  818602 */   GIM_Try, /*On fail goto*//*Label 12636*/ GIMT_Encode4(818677), // Rule ID 22197 //
     /*  818607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  818624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  818642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8),
     /*  818656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818675 */     GIR_RootConstrainSelectedInstOperands,
     /*  818676 */     // GIR_Coverage, 22197,
     /*  818676 */     GIR_EraseRootFromParent_Done,
     /*  818677 */   // Label 12636: @818677
     /*  818677 */   GIM_Try, /*On fail goto*//*Label 12637*/ GIMT_Encode4(818752), // Rule ID 22200 //
     /*  818682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  818699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  818731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818750 */     GIR_RootConstrainSelectedInstOperands,
     /*  818751 */     // GIR_Coverage, 22200,
     /*  818751 */     GIR_EraseRootFromParent_Done,
     /*  818752 */   // Label 12637: @818752
     /*  818752 */   GIM_Try, /*On fail goto*//*Label 12638*/ GIMT_Encode4(818827), // Rule ID 22201 //
     /*  818757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  818774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  818792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8),
     /*  818806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818825 */     GIR_RootConstrainSelectedInstOperands,
     /*  818826 */     // GIR_Coverage, 22201,
     /*  818826 */     GIR_EraseRootFromParent_Done,
     /*  818827 */   // Label 12638: @818827
     /*  818827 */   GIM_Try, /*On fail goto*//*Label 12639*/ GIMT_Encode4(818902), // Rule ID 22204 //
     /*  818832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  818849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  818855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  818878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  818881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818900 */     GIR_RootConstrainSelectedInstOperands,
     /*  818901 */     // GIR_Coverage, 22204,
     /*  818901 */     GIR_EraseRootFromParent_Done,
     /*  818902 */   // Label 12639: @818902
     /*  818902 */   GIM_Try, /*On fail goto*//*Label 12640*/ GIMT_Encode4(818977), // Rule ID 22205 //
     /*  818907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  818910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  818918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  818921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  818924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  818927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  818930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  818942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  818946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  818953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11507:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  818953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8),
     /*  818956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  818958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  818960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  818962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  818964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  818969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  818972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  818975 */     GIR_RootConstrainSelectedInstOperands,
     /*  818976 */     // GIR_Coverage, 22205,
     /*  818976 */     GIR_EraseRootFromParent_Done,
     /*  818977 */   // Label 12640: @818977
     /*  818977 */   GIM_Try, /*On fail goto*//*Label 12641*/ GIMT_Encode4(819052), // Rule ID 22208 //
     /*  818982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  818985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  818990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  818993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  818996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  818999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  819031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819050 */     GIR_RootConstrainSelectedInstOperands,
     /*  819051 */     // GIR_Coverage, 22208,
     /*  819051 */     GIR_EraseRootFromParent_Done,
     /*  819052 */   // Label 12641: @819052
     /*  819052 */   GIM_Try, /*On fail goto*//*Label 12642*/ GIMT_Encode4(819127), // Rule ID 22209 //
     /*  819057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  819074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16),
     /*  819106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819125 */     GIR_RootConstrainSelectedInstOperands,
     /*  819126 */     // GIR_Coverage, 22209,
     /*  819126 */     GIR_EraseRootFromParent_Done,
     /*  819127 */   // Label 12642: @819127
     /*  819127 */   GIM_Try, /*On fail goto*//*Label 12643*/ GIMT_Encode4(819202), // Rule ID 22212 //
     /*  819132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  819149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  819181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819200 */     GIR_RootConstrainSelectedInstOperands,
     /*  819201 */     // GIR_Coverage, 22212,
     /*  819201 */     GIR_EraseRootFromParent_Done,
     /*  819202 */   // Label 12643: @819202
     /*  819202 */   GIM_Try, /*On fail goto*//*Label 12644*/ GIMT_Encode4(819277), // Rule ID 22213 //
     /*  819207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  819224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16),
     /*  819256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819275 */     GIR_RootConstrainSelectedInstOperands,
     /*  819276 */     // GIR_Coverage, 22213,
     /*  819276 */     GIR_EraseRootFromParent_Done,
     /*  819277 */   // Label 12644: @819277
     /*  819277 */   GIM_Try, /*On fail goto*//*Label 12645*/ GIMT_Encode4(819352), // Rule ID 22216 //
     /*  819282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  819299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  819328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  819331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819350 */     GIR_RootConstrainSelectedInstOperands,
     /*  819351 */     // GIR_Coverage, 22216,
     /*  819351 */     GIR_EraseRootFromParent_Done,
     /*  819352 */   // Label 12645: @819352
     /*  819352 */   GIM_Try, /*On fail goto*//*Label 12646*/ GIMT_Encode4(819427), // Rule ID 22217 //
     /*  819357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  819368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  819371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  819374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  819377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11507:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  819403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16),
     /*  819406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  819422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819425 */     GIR_RootConstrainSelectedInstOperands,
     /*  819426 */     // GIR_Coverage, 22217,
     /*  819426 */     GIR_EraseRootFromParent_Done,
     /*  819427 */   // Label 12646: @819427
     /*  819427 */   GIM_Try, /*On fail goto*//*Label 12647*/ GIMT_Encode4(819502), // Rule ID 22220 //
     /*  819432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  819449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  819481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819500 */     GIR_RootConstrainSelectedInstOperands,
     /*  819501 */     // GIR_Coverage, 22220,
     /*  819501 */     GIR_EraseRootFromParent_Done,
     /*  819502 */   // Label 12647: @819502
     /*  819502 */   GIM_Try, /*On fail goto*//*Label 12648*/ GIMT_Encode4(819577), // Rule ID 22221 //
     /*  819507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  819524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32),
     /*  819556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819575 */     GIR_RootConstrainSelectedInstOperands,
     /*  819576 */     // GIR_Coverage, 22221,
     /*  819576 */     GIR_EraseRootFromParent_Done,
     /*  819577 */   // Label 12648: @819577
     /*  819577 */   GIM_Try, /*On fail goto*//*Label 12649*/ GIMT_Encode4(819652), // Rule ID 22224 //
     /*  819582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  819599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  819631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819650 */     GIR_RootConstrainSelectedInstOperands,
     /*  819651 */     // GIR_Coverage, 22224,
     /*  819651 */     GIR_EraseRootFromParent_Done,
     /*  819652 */   // Label 12649: @819652
     /*  819652 */   GIM_Try, /*On fail goto*//*Label 12650*/ GIMT_Encode4(819727), // Rule ID 22225 //
     /*  819657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  819674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  819692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32),
     /*  819706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819725 */     GIR_RootConstrainSelectedInstOperands,
     /*  819726 */     // GIR_Coverage, 22225,
     /*  819726 */     GIR_EraseRootFromParent_Done,
     /*  819727 */   // Label 12650: @819727
     /*  819727 */   GIM_Try, /*On fail goto*//*Label 12651*/ GIMT_Encode4(819802), // Rule ID 22228 //
     /*  819732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  819735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  819778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  819781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819800 */     GIR_RootConstrainSelectedInstOperands,
     /*  819801 */     // GIR_Coverage, 22228,
     /*  819801 */     GIR_EraseRootFromParent_Done,
     /*  819802 */   // Label 12651: @819802
     /*  819802 */   GIM_Try, /*On fail goto*//*Label 12652*/ GIMT_Encode4(819877), // Rule ID 22229 //
     /*  819807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  819810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  819818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  819821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  819824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  819827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  819842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11507:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  819853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32),
     /*  819856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  819872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819875 */     GIR_RootConstrainSelectedInstOperands,
     /*  819876 */     // GIR_Coverage, 22229,
     /*  819876 */     GIR_EraseRootFromParent_Done,
     /*  819877 */   // Label 12652: @819877
     /*  819877 */   GIM_Try, /*On fail goto*//*Label 12653*/ GIMT_Encode4(819952), // Rule ID 22232 //
     /*  819882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  819885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  819899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  819905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  819928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  819928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  819931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  819933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  819935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  819937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  819939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  819944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  819947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  819950 */     GIR_RootConstrainSelectedInstOperands,
     /*  819951 */     // GIR_Coverage, 22232,
     /*  819951 */     GIR_EraseRootFromParent_Done,
     /*  819952 */   // Label 12653: @819952
     /*  819952 */   GIM_Try, /*On fail goto*//*Label 12654*/ GIMT_Encode4(820027), // Rule ID 22233 //
     /*  819957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  819960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  819965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  819968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  819971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  819974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  819977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  819980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  819992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  819996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64),
     /*  820006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820025 */     GIR_RootConstrainSelectedInstOperands,
     /*  820026 */     // GIR_Coverage, 22233,
     /*  820026 */     GIR_EraseRootFromParent_Done,
     /*  820027 */   // Label 12654: @820027
     /*  820027 */   GIM_Try, /*On fail goto*//*Label 12655*/ GIMT_Encode4(820102), // Rule ID 22236 //
     /*  820032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  820040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  820049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  820081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820100 */     GIR_RootConstrainSelectedInstOperands,
     /*  820101 */     // GIR_Coverage, 22236,
     /*  820101 */     GIR_EraseRootFromParent_Done,
     /*  820102 */   // Label 12655: @820102
     /*  820102 */   GIM_Try, /*On fail goto*//*Label 12656*/ GIMT_Encode4(820177), // Rule ID 22237 //
     /*  820107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  820115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  820124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  820142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64),
     /*  820156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820175 */     GIR_RootConstrainSelectedInstOperands,
     /*  820176 */     // GIR_Coverage, 22237,
     /*  820176 */     GIR_EraseRootFromParent_Done,
     /*  820177 */   // Label 12656: @820177
     /*  820177 */   GIM_Try, /*On fail goto*//*Label 12657*/ GIMT_Encode4(820252), // Rule ID 22240 //
     /*  820182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  820185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  820190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  820199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  820228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  820231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820250 */     GIR_RootConstrainSelectedInstOperands,
     /*  820251 */     // GIR_Coverage, 22240,
     /*  820251 */     GIR_EraseRootFromParent_Done,
     /*  820252 */   // Label 12657: @820252
     /*  820252 */   GIM_Try, /*On fail goto*//*Label 12658*/ GIMT_Encode4(820327), // Rule ID 22241 //
     /*  820257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  820260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor),
     /*  820265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  820268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  820271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  820274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  820277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  820292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11507:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  820303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64),
     /*  820306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  820322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820325 */     GIR_RootConstrainSelectedInstOperands,
     /*  820326 */     // GIR_Coverage, 22241,
     /*  820326 */     GIR_EraseRootFromParent_Done,
     /*  820327 */   // Label 12658: @820327
     /*  820327 */   GIM_Try, /*On fail goto*//*Label 12659*/ GIMT_Encode4(820402), // Rule ID 22244 //
     /*  820332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  820349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  820381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820400 */     GIR_RootConstrainSelectedInstOperands,
     /*  820401 */     // GIR_Coverage, 22244,
     /*  820401 */     GIR_EraseRootFromParent_Done,
     /*  820402 */   // Label 12659: @820402
     /*  820402 */   GIM_Try, /*On fail goto*//*Label 12660*/ GIMT_Encode4(820477), // Rule ID 22245 //
     /*  820407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  820424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8),
     /*  820456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820475 */     GIR_RootConstrainSelectedInstOperands,
     /*  820476 */     // GIR_Coverage, 22245,
     /*  820476 */     GIR_EraseRootFromParent_Done,
     /*  820477 */   // Label 12660: @820477
     /*  820477 */   GIM_Try, /*On fail goto*//*Label 12661*/ GIMT_Encode4(820552), // Rule ID 22248 //
     /*  820482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  820499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820528 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  820531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820550 */     GIR_RootConstrainSelectedInstOperands,
     /*  820551 */     // GIR_Coverage, 22248,
     /*  820551 */     GIR_EraseRootFromParent_Done,
     /*  820552 */   // Label 12661: @820552
     /*  820552 */   GIM_Try, /*On fail goto*//*Label 12662*/ GIMT_Encode4(820627), // Rule ID 22249 //
     /*  820557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  820574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820603 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8),
     /*  820606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820625 */     GIR_RootConstrainSelectedInstOperands,
     /*  820626 */     // GIR_Coverage, 22249,
     /*  820626 */     GIR_EraseRootFromParent_Done,
     /*  820627 */   // Label 12662: @820627
     /*  820627 */   GIM_Try, /*On fail goto*//*Label 12663*/ GIMT_Encode4(820702), // Rule ID 22252 //
     /*  820632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  820649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  820678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  820681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820700 */     GIR_RootConstrainSelectedInstOperands,
     /*  820701 */     // GIR_Coverage, 22252,
     /*  820701 */     GIR_EraseRootFromParent_Done,
     /*  820702 */   // Label 12663: @820702
     /*  820702 */   GIM_Try, /*On fail goto*//*Label 12664*/ GIMT_Encode4(820777), // Rule ID 22253 //
     /*  820707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  820718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  820721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  820724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  820727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  820753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8),
     /*  820756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  820772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820775 */     GIR_RootConstrainSelectedInstOperands,
     /*  820776 */     // GIR_Coverage, 22253,
     /*  820776 */     GIR_EraseRootFromParent_Done,
     /*  820777 */   // Label 12664: @820777
     /*  820777 */   GIM_Try, /*On fail goto*//*Label 12665*/ GIMT_Encode4(820852), // Rule ID 22256 //
     /*  820782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  820831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820850 */     GIR_RootConstrainSelectedInstOperands,
     /*  820851 */     // GIR_Coverage, 22256,
     /*  820851 */     GIR_EraseRootFromParent_Done,
     /*  820852 */   // Label 12665: @820852
     /*  820852 */   GIM_Try, /*On fail goto*//*Label 12666*/ GIMT_Encode4(820927), // Rule ID 22257 //
     /*  820857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  820860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  820874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  820880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  820903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16),
     /*  820906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  820925 */     GIR_RootConstrainSelectedInstOperands,
     /*  820926 */     // GIR_Coverage, 22257,
     /*  820926 */     GIR_EraseRootFromParent_Done,
     /*  820927 */   // Label 12666: @820927
     /*  820927 */   GIM_Try, /*On fail goto*//*Label 12667*/ GIMT_Encode4(821002), // Rule ID 22260 //
     /*  820932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  820935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  820940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  820943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  820946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  820949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  820952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  820955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  820971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  820978 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  820978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  820981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  820983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  820985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  820987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  820989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  820994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  820997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821000 */     GIR_RootConstrainSelectedInstOperands,
     /*  821001 */     // GIR_Coverage, 22260,
     /*  821001 */     GIR_EraseRootFromParent_Done,
     /*  821002 */   // Label 12667: @821002
     /*  821002 */   GIM_Try, /*On fail goto*//*Label 12668*/ GIMT_Encode4(821077), // Rule ID 22261 //
     /*  821007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  821024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821053 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16),
     /*  821056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821075 */     GIR_RootConstrainSelectedInstOperands,
     /*  821076 */     // GIR_Coverage, 22261,
     /*  821076 */     GIR_EraseRootFromParent_Done,
     /*  821077 */   // Label 12668: @821077
     /*  821077 */   GIM_Try, /*On fail goto*//*Label 12669*/ GIMT_Encode4(821152), // Rule ID 22264 //
     /*  821082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  821099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  821131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821150 */     GIR_RootConstrainSelectedInstOperands,
     /*  821151 */     // GIR_Coverage, 22264,
     /*  821151 */     GIR_EraseRootFromParent_Done,
     /*  821152 */   // Label 12669: @821152
     /*  821152 */   GIM_Try, /*On fail goto*//*Label 12670*/ GIMT_Encode4(821227), // Rule ID 22265 //
     /*  821157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  821174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32),
     /*  821206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821225 */     GIR_RootConstrainSelectedInstOperands,
     /*  821226 */     // GIR_Coverage, 22265,
     /*  821226 */     GIR_EraseRootFromParent_Done,
     /*  821227 */   // Label 12670: @821227
     /*  821227 */   GIM_Try, /*On fail goto*//*Label 12671*/ GIMT_Encode4(821302), // Rule ID 22268 //
     /*  821232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  821249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  821281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821300 */     GIR_RootConstrainSelectedInstOperands,
     /*  821301 */     // GIR_Coverage, 22268,
     /*  821301 */     GIR_EraseRootFromParent_Done,
     /*  821302 */   // Label 12671: @821302
     /*  821302 */   GIM_Try, /*On fail goto*//*Label 12672*/ GIMT_Encode4(821377), // Rule ID 22269 //
     /*  821307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  821324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821353 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8),
     /*  821356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821375 */     GIR_RootConstrainSelectedInstOperands,
     /*  821376 */     // GIR_Coverage, 22269,
     /*  821376 */     GIR_EraseRootFromParent_Done,
     /*  821377 */   // Label 12672: @821377
     /*  821377 */   GIM_Try, /*On fail goto*//*Label 12673*/ GIMT_Encode4(821452), // Rule ID 22272 //
     /*  821382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  821399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  821428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  821431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821450 */     GIR_RootConstrainSelectedInstOperands,
     /*  821451 */     // GIR_Coverage, 22272,
     /*  821451 */     GIR_EraseRootFromParent_Done,
     /*  821452 */   // Label 12673: @821452
     /*  821452 */   GIM_Try, /*On fail goto*//*Label 12674*/ GIMT_Encode4(821527), // Rule ID 22273 //
     /*  821457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  821468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  821471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  821474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  821477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  821503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16),
     /*  821506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  821522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821525 */     GIR_RootConstrainSelectedInstOperands,
     /*  821526 */     // GIR_Coverage, 22273,
     /*  821526 */     GIR_EraseRootFromParent_Done,
     /*  821527 */   // Label 12674: @821527
     /*  821527 */   GIM_Try, /*On fail goto*//*Label 12675*/ GIMT_Encode4(821602), // Rule ID 22276 //
     /*  821532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  821549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  821578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  821581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821600 */     GIR_RootConstrainSelectedInstOperands,
     /*  821601 */     // GIR_Coverage, 22276,
     /*  821601 */     GIR_EraseRootFromParent_Done,
     /*  821602 */   // Label 12675: @821602
     /*  821602 */   GIM_Try, /*On fail goto*//*Label 12676*/ GIMT_Encode4(821677), // Rule ID 22277 //
     /*  821607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  821618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  821621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  821624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  821627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  821653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32),
     /*  821656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  821672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821675 */     GIR_RootConstrainSelectedInstOperands,
     /*  821676 */     // GIR_Coverage, 22277,
     /*  821676 */     GIR_EraseRootFromParent_Done,
     /*  821677 */   // Label 12676: @821677
     /*  821677 */   GIM_Try, /*On fail goto*//*Label 12677*/ GIMT_Encode4(821752), // Rule ID 22280 //
     /*  821682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  821685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  821728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  821731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821750 */     GIR_RootConstrainSelectedInstOperands,
     /*  821751 */     // GIR_Coverage, 22280,
     /*  821751 */     GIR_EraseRootFromParent_Done,
     /*  821752 */   // Label 12677: @821752
     /*  821752 */   GIM_Try, /*On fail goto*//*Label 12678*/ GIMT_Encode4(821827), // Rule ID 22281 //
     /*  821757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  821760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  821768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  821771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  821774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  821777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  821803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64),
     /*  821806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  821822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821825 */     GIR_RootConstrainSelectedInstOperands,
     /*  821826 */     // GIR_Coverage, 22281,
     /*  821826 */     GIR_EraseRootFromParent_Done,
     /*  821827 */   // Label 12678: @821827
     /*  821827 */   GIM_Try, /*On fail goto*//*Label 12679*/ GIMT_Encode4(821902), // Rule ID 22284 //
     /*  821832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  821855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  821878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  821881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821900 */     GIR_RootConstrainSelectedInstOperands,
     /*  821901 */     // GIR_Coverage, 22284,
     /*  821901 */     GIR_EraseRootFromParent_Done,
     /*  821902 */   // Label 12679: @821902
     /*  821902 */   GIM_Try, /*On fail goto*//*Label 12680*/ GIMT_Encode4(821977), // Rule ID 22285 //
     /*  821907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  821910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  821924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  821927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  821930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  821942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  821946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  821953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  821953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8),
     /*  821956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  821958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  821960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  821962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  821964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  821969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  821972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  821975 */     GIR_RootConstrainSelectedInstOperands,
     /*  821976 */     // GIR_Coverage, 22285,
     /*  821976 */     GIR_EraseRootFromParent_Done,
     /*  821977 */   // Label 12680: @821977
     /*  821977 */   GIM_Try, /*On fail goto*//*Label 12681*/ GIMT_Encode4(822052), // Rule ID 22288 //
     /*  821982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  821985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  821990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  821993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  821996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  821999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  822031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822050 */     GIR_RootConstrainSelectedInstOperands,
     /*  822051 */     // GIR_Coverage, 22288,
     /*  822051 */     GIR_EraseRootFromParent_Done,
     /*  822052 */   // Label 12681: @822052
     /*  822052 */   GIM_Try, /*On fail goto*//*Label 12682*/ GIMT_Encode4(822127), // Rule ID 22289 //
     /*  822057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  822074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822103 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8),
     /*  822106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822125 */     GIR_RootConstrainSelectedInstOperands,
     /*  822126 */     // GIR_Coverage, 22289,
     /*  822126 */     GIR_EraseRootFromParent_Done,
     /*  822127 */   // Label 12682: @822127
     /*  822127 */   GIM_Try, /*On fail goto*//*Label 12683*/ GIMT_Encode4(822202), // Rule ID 22292 //
     /*  822132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  822149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  822178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  822181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822200 */     GIR_RootConstrainSelectedInstOperands,
     /*  822201 */     // GIR_Coverage, 22292,
     /*  822201 */     GIR_EraseRootFromParent_Done,
     /*  822202 */   // Label 12683: @822202
     /*  822202 */   GIM_Try, /*On fail goto*//*Label 12684*/ GIMT_Encode4(822277), // Rule ID 22293 //
     /*  822207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  822218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  822221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  822224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  822227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11511:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  822253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8),
     /*  822256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  822272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822275 */     GIR_RootConstrainSelectedInstOperands,
     /*  822276 */     // GIR_Coverage, 22293,
     /*  822276 */     GIR_EraseRootFromParent_Done,
     /*  822277 */   // Label 12684: @822277
     /*  822277 */   GIM_Try, /*On fail goto*//*Label 12685*/ GIMT_Encode4(822352), // Rule ID 22296 //
     /*  822282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  822299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  822331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822350 */     GIR_RootConstrainSelectedInstOperands,
     /*  822351 */     // GIR_Coverage, 22296,
     /*  822351 */     GIR_EraseRootFromParent_Done,
     /*  822352 */   // Label 12685: @822352
     /*  822352 */   GIM_Try, /*On fail goto*//*Label 12686*/ GIMT_Encode4(822427), // Rule ID 22297 //
     /*  822357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  822374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16),
     /*  822406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822425 */     GIR_RootConstrainSelectedInstOperands,
     /*  822426 */     // GIR_Coverage, 22297,
     /*  822426 */     GIR_EraseRootFromParent_Done,
     /*  822427 */   // Label 12686: @822427
     /*  822427 */   GIM_Try, /*On fail goto*//*Label 12687*/ GIMT_Encode4(822502), // Rule ID 22300 //
     /*  822432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  822449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  822481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822500 */     GIR_RootConstrainSelectedInstOperands,
     /*  822501 */     // GIR_Coverage, 22300,
     /*  822501 */     GIR_EraseRootFromParent_Done,
     /*  822502 */   // Label 12687: @822502
     /*  822502 */   GIM_Try, /*On fail goto*//*Label 12688*/ GIMT_Encode4(822577), // Rule ID 22301 //
     /*  822507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  822524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16),
     /*  822556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822575 */     GIR_RootConstrainSelectedInstOperands,
     /*  822576 */     // GIR_Coverage, 22301,
     /*  822576 */     GIR_EraseRootFromParent_Done,
     /*  822577 */   // Label 12688: @822577
     /*  822577 */   GIM_Try, /*On fail goto*//*Label 12689*/ GIMT_Encode4(822652), // Rule ID 22304 //
     /*  822582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  822628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  822631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822650 */     GIR_RootConstrainSelectedInstOperands,
     /*  822651 */     // GIR_Coverage, 22304,
     /*  822651 */     GIR_EraseRootFromParent_Done,
     /*  822652 */   // Label 12689: @822652
     /*  822652 */   GIM_Try, /*On fail goto*//*Label 12690*/ GIMT_Encode4(822727), // Rule ID 22305 //
     /*  822657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  822668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  822671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  822674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  822677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  822692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11511:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  822703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16),
     /*  822706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  822722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822725 */     GIR_RootConstrainSelectedInstOperands,
     /*  822726 */     // GIR_Coverage, 22305,
     /*  822726 */     GIR_EraseRootFromParent_Done,
     /*  822727 */   // Label 12690: @822727
     /*  822727 */   GIM_Try, /*On fail goto*//*Label 12691*/ GIMT_Encode4(822802), // Rule ID 22308 //
     /*  822732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  822781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822800 */     GIR_RootConstrainSelectedInstOperands,
     /*  822801 */     // GIR_Coverage, 22308,
     /*  822801 */     GIR_EraseRootFromParent_Done,
     /*  822802 */   // Label 12691: @822802
     /*  822802 */   GIM_Try, /*On fail goto*//*Label 12692*/ GIMT_Encode4(822877), // Rule ID 22309 //
     /*  822807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  822824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  822842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  822853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32),
     /*  822856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822875 */     GIR_RootConstrainSelectedInstOperands,
     /*  822876 */     // GIR_Coverage, 22309,
     /*  822876 */     GIR_EraseRootFromParent_Done,
     /*  822877 */   // Label 12692: @822877
     /*  822877 */   GIM_Try, /*On fail goto*//*Label 12693*/ GIMT_Encode4(822952), // Rule ID 22312 //
     /*  822882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  822885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  822905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  822928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  822928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  822931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  822933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  822935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  822937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  822939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  822944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  822947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  822950 */     GIR_RootConstrainSelectedInstOperands,
     /*  822951 */     // GIR_Coverage, 22312,
     /*  822951 */     GIR_EraseRootFromParent_Done,
     /*  822952 */   // Label 12693: @822952
     /*  822952 */   GIM_Try, /*On fail goto*//*Label 12694*/ GIMT_Encode4(823027), // Rule ID 22313 //
     /*  822957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  822960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  822965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  822968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  822971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  822974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  822977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  822980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  822992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  822996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32),
     /*  823006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823025 */     GIR_RootConstrainSelectedInstOperands,
     /*  823026 */     // GIR_Coverage, 22313,
     /*  823026 */     GIR_EraseRootFromParent_Done,
     /*  823027 */   // Label 12694: @823027
     /*  823027 */   GIM_Try, /*On fail goto*//*Label 12695*/ GIMT_Encode4(823102), // Rule ID 22316 //
     /*  823032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  823049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  823078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  823081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823100 */     GIR_RootConstrainSelectedInstOperands,
     /*  823101 */     // GIR_Coverage, 22316,
     /*  823101 */     GIR_EraseRootFromParent_Done,
     /*  823102 */   // Label 12695: @823102
     /*  823102 */   GIM_Try, /*On fail goto*//*Label 12696*/ GIMT_Encode4(823177), // Rule ID 22317 //
     /*  823107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  823118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  823121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  823124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  823127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11511:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  823153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32),
     /*  823156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  823172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823175 */     GIR_RootConstrainSelectedInstOperands,
     /*  823176 */     // GIR_Coverage, 22317,
     /*  823176 */     GIR_EraseRootFromParent_Done,
     /*  823177 */   // Label 12696: @823177
     /*  823177 */   GIM_Try, /*On fail goto*//*Label 12697*/ GIMT_Encode4(823252), // Rule ID 22320 //
     /*  823182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  823199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  823231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823250 */     GIR_RootConstrainSelectedInstOperands,
     /*  823251 */     // GIR_Coverage, 22320,
     /*  823251 */     GIR_EraseRootFromParent_Done,
     /*  823252 */   // Label 12697: @823252
     /*  823252 */   GIM_Try, /*On fail goto*//*Label 12698*/ GIMT_Encode4(823327), // Rule ID 22321 //
     /*  823257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  823274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  823292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64),
     /*  823306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823325 */     GIR_RootConstrainSelectedInstOperands,
     /*  823326 */     // GIR_Coverage, 22321,
     /*  823326 */     GIR_EraseRootFromParent_Done,
     /*  823327 */   // Label 12698: @823327
     /*  823327 */   GIM_Try, /*On fail goto*//*Label 12699*/ GIMT_Encode4(823402), // Rule ID 22324 //
     /*  823332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  823349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  823381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823400 */     GIR_RootConstrainSelectedInstOperands,
     /*  823401 */     // GIR_Coverage, 22324,
     /*  823401 */     GIR_EraseRootFromParent_Done,
     /*  823402 */   // Label 12699: @823402
     /*  823402 */   GIM_Try, /*On fail goto*//*Label 12700*/ GIMT_Encode4(823477), // Rule ID 22325 //
     /*  823407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  823424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  823442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64),
     /*  823456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823475 */     GIR_RootConstrainSelectedInstOperands,
     /*  823476 */     // GIR_Coverage, 22325,
     /*  823476 */     GIR_EraseRootFromParent_Done,
     /*  823477 */   // Label 12700: @823477
     /*  823477 */   GIM_Try, /*On fail goto*//*Label 12701*/ GIMT_Encode4(823552), // Rule ID 22328 //
     /*  823482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  823485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  823528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  823531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823550 */     GIR_RootConstrainSelectedInstOperands,
     /*  823551 */     // GIR_Coverage, 22328,
     /*  823551 */     GIR_EraseRootFromParent_Done,
     /*  823552 */   // Label 12701: @823552
     /*  823552 */   GIM_Try, /*On fail goto*//*Label 12702*/ GIMT_Encode4(823627), // Rule ID 22329 //
     /*  823557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  823560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor),
     /*  823565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  823568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  823571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  823574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  823577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  823592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11511:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  823603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64),
     /*  823606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  823622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823625 */     GIR_RootConstrainSelectedInstOperands,
     /*  823626 */     // GIR_Coverage, 22329,
     /*  823626 */     GIR_EraseRootFromParent_Done,
     /*  823627 */   // Label 12702: @823627
     /*  823627 */   GIM_Try, /*On fail goto*//*Label 12703*/ GIMT_Encode4(823702), // Rule ID 22332 //
     /*  823632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  823681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823700 */     GIR_RootConstrainSelectedInstOperands,
     /*  823701 */     // GIR_Coverage, 22332,
     /*  823701 */     GIR_EraseRootFromParent_Done,
     /*  823702 */   // Label 12703: @823702
     /*  823702 */   GIM_Try, /*On fail goto*//*Label 12704*/ GIMT_Encode4(823777), // Rule ID 22333 //
     /*  823707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  823724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8),
     /*  823756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823775 */     GIR_RootConstrainSelectedInstOperands,
     /*  823776 */     // GIR_Coverage, 22333,
     /*  823776 */     GIR_EraseRootFromParent_Done,
     /*  823777 */   // Label 12704: @823777
     /*  823777 */   GIM_Try, /*On fail goto*//*Label 12705*/ GIMT_Encode4(823852), // Rule ID 22336 //
     /*  823782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  823831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823850 */     GIR_RootConstrainSelectedInstOperands,
     /*  823851 */     // GIR_Coverage, 22336,
     /*  823851 */     GIR_EraseRootFromParent_Done,
     /*  823852 */   // Label 12705: @823852
     /*  823852 */   GIM_Try, /*On fail goto*//*Label 12706*/ GIMT_Encode4(823927), // Rule ID 22337 //
     /*  823857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  823860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  823874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  823880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  823903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8),
     /*  823906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  823925 */     GIR_RootConstrainSelectedInstOperands,
     /*  823926 */     // GIR_Coverage, 22337,
     /*  823926 */     GIR_EraseRootFromParent_Done,
     /*  823927 */   // Label 12706: @823927
     /*  823927 */   GIM_Try, /*On fail goto*//*Label 12707*/ GIMT_Encode4(824002), // Rule ID 22340 //
     /*  823932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  823935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  823940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  823943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  823946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  823949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  823952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  823955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  823971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  823978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  823978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  823981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  823983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  823985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  823987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  823989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  823994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  823997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824000 */     GIR_RootConstrainSelectedInstOperands,
     /*  824001 */     // GIR_Coverage, 22340,
     /*  824001 */     GIR_EraseRootFromParent_Done,
     /*  824002 */   // Label 12707: @824002
     /*  824002 */   GIM_Try, /*On fail goto*//*Label 12708*/ GIMT_Encode4(824077), // Rule ID 22341 //
     /*  824007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  824024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8),
     /*  824056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824075 */     GIR_RootConstrainSelectedInstOperands,
     /*  824076 */     // GIR_Coverage, 22341,
     /*  824076 */     GIR_EraseRootFromParent_Done,
     /*  824077 */   // Label 12708: @824077
     /*  824077 */   GIM_Try, /*On fail goto*//*Label 12709*/ GIMT_Encode4(824152), // Rule ID 22344 //
     /*  824082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  824099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  824131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824150 */     GIR_RootConstrainSelectedInstOperands,
     /*  824151 */     // GIR_Coverage, 22344,
     /*  824151 */     GIR_EraseRootFromParent_Done,
     /*  824152 */   // Label 12709: @824152
     /*  824152 */   GIM_Try, /*On fail goto*//*Label 12710*/ GIMT_Encode4(824227), // Rule ID 22345 //
     /*  824157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  824174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16),
     /*  824206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824225 */     GIR_RootConstrainSelectedInstOperands,
     /*  824226 */     // GIR_Coverage, 22345,
     /*  824226 */     GIR_EraseRootFromParent_Done,
     /*  824227 */   // Label 12710: @824227
     /*  824227 */   GIM_Try, /*On fail goto*//*Label 12711*/ GIMT_Encode4(824302), // Rule ID 22348 //
     /*  824232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  824249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824278 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  824281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824300 */     GIR_RootConstrainSelectedInstOperands,
     /*  824301 */     // GIR_Coverage, 22348,
     /*  824301 */     GIR_EraseRootFromParent_Done,
     /*  824302 */   // Label 12711: @824302
     /*  824302 */   GIM_Try, /*On fail goto*//*Label 12712*/ GIMT_Encode4(824377), // Rule ID 22349 //
     /*  824307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  824324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16),
     /*  824356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824375 */     GIR_RootConstrainSelectedInstOperands,
     /*  824376 */     // GIR_Coverage, 22349,
     /*  824376 */     GIR_EraseRootFromParent_Done,
     /*  824377 */   // Label 12712: @824377
     /*  824377 */   GIM_Try, /*On fail goto*//*Label 12713*/ GIMT_Encode4(824452), // Rule ID 22352 //
     /*  824382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  824431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824450 */     GIR_RootConstrainSelectedInstOperands,
     /*  824451 */     // GIR_Coverage, 22352,
     /*  824451 */     GIR_EraseRootFromParent_Done,
     /*  824452 */   // Label 12713: @824452
     /*  824452 */   GIM_Try, /*On fail goto*//*Label 12714*/ GIMT_Encode4(824527), // Rule ID 22353 //
     /*  824457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  824474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32),
     /*  824506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824525 */     GIR_RootConstrainSelectedInstOperands,
     /*  824526 */     // GIR_Coverage, 22353,
     /*  824526 */     GIR_EraseRootFromParent_Done,
     /*  824527 */   // Label 12714: @824527
     /*  824527 */   GIM_Try, /*On fail goto*//*Label 12715*/ GIMT_Encode4(824602), // Rule ID 22356 //
     /*  824532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  824549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  824578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  824581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824600 */     GIR_RootConstrainSelectedInstOperands,
     /*  824601 */     // GIR_Coverage, 22356,
     /*  824601 */     GIR_EraseRootFromParent_Done,
     /*  824602 */   // Label 12715: @824602
     /*  824602 */   GIM_Try, /*On fail goto*//*Label 12716*/ GIMT_Encode4(824677), // Rule ID 22357 //
     /*  824607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  824618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  824621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  824624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  824627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  824653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8),
     /*  824656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  824672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824675 */     GIR_RootConstrainSelectedInstOperands,
     /*  824676 */     // GIR_Coverage, 22357,
     /*  824676 */     GIR_EraseRootFromParent_Done,
     /*  824677 */   // Label 12716: @824677
     /*  824677 */   GIM_Try, /*On fail goto*//*Label 12717*/ GIMT_Encode4(824752), // Rule ID 22360 //
     /*  824682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  824728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  824731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824750 */     GIR_RootConstrainSelectedInstOperands,
     /*  824751 */     // GIR_Coverage, 22360,
     /*  824751 */     GIR_EraseRootFromParent_Done,
     /*  824752 */   // Label 12717: @824752
     /*  824752 */   GIM_Try, /*On fail goto*//*Label 12718*/ GIMT_Encode4(824827), // Rule ID 22361 //
     /*  824757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  824768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  824771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  824774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  824777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  824803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16),
     /*  824806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  824822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824825 */     GIR_RootConstrainSelectedInstOperands,
     /*  824826 */     // GIR_Coverage, 22361,
     /*  824826 */     GIR_EraseRootFromParent_Done,
     /*  824827 */   // Label 12718: @824827
     /*  824827 */   GIM_Try, /*On fail goto*//*Label 12719*/ GIMT_Encode4(824902), // Rule ID 22364 //
     /*  824832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  824835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  824855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  824878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  824881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824900 */     GIR_RootConstrainSelectedInstOperands,
     /*  824901 */     // GIR_Coverage, 22364,
     /*  824901 */     GIR_EraseRootFromParent_Done,
     /*  824902 */   // Label 12719: @824902
     /*  824902 */   GIM_Try, /*On fail goto*//*Label 12720*/ GIMT_Encode4(824977), // Rule ID 22365 //
     /*  824907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  824910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  824918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  824921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  824924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  824927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  824930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  824946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  824953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  824953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32),
     /*  824956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  824958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  824960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  824962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  824964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  824969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  824972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  824975 */     GIR_RootConstrainSelectedInstOperands,
     /*  824976 */     // GIR_Coverage, 22365,
     /*  824976 */     GIR_EraseRootFromParent_Done,
     /*  824977 */   // Label 12720: @824977
     /*  824977 */   GIM_Try, /*On fail goto*//*Label 12721*/ GIMT_Encode4(825052), // Rule ID 22368 //
     /*  824982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  824985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  824990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  824993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  824996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  824999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  825028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  825031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825050 */     GIR_RootConstrainSelectedInstOperands,
     /*  825051 */     // GIR_Coverage, 22368,
     /*  825051 */     GIR_EraseRootFromParent_Done,
     /*  825052 */   // Label 12721: @825052
     /*  825052 */   GIM_Try, /*On fail goto*//*Label 12722*/ GIMT_Encode4(825127), // Rule ID 22369 //
     /*  825057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  825060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  825068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  825071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  825074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  825077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825103 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  825103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64),
     /*  825106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  825122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825125 */     GIR_RootConstrainSelectedInstOperands,
     /*  825126 */     // GIR_Coverage, 22369,
     /*  825126 */     GIR_EraseRootFromParent_Done,
     /*  825127 */   // Label 12722: @825127
     /*  825127 */   GIM_Try, /*On fail goto*//*Label 12723*/ GIMT_Encode4(825202), // Rule ID 22372 //
     /*  825132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  825149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  825181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825200 */     GIR_RootConstrainSelectedInstOperands,
     /*  825201 */     // GIR_Coverage, 22372,
     /*  825201 */     GIR_EraseRootFromParent_Done,
     /*  825202 */   // Label 12723: @825202
     /*  825202 */   GIM_Try, /*On fail goto*//*Label 12724*/ GIMT_Encode4(825277), // Rule ID 22373 //
     /*  825207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  825224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8),
     /*  825256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825275 */     GIR_RootConstrainSelectedInstOperands,
     /*  825276 */     // GIR_Coverage, 22373,
     /*  825276 */     GIR_EraseRootFromParent_Done,
     /*  825277 */   // Label 12724: @825277
     /*  825277 */   GIM_Try, /*On fail goto*//*Label 12725*/ GIMT_Encode4(825352), // Rule ID 22376 //
     /*  825282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  825299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825328 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  825331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825350 */     GIR_RootConstrainSelectedInstOperands,
     /*  825351 */     // GIR_Coverage, 22376,
     /*  825351 */     GIR_EraseRootFromParent_Done,
     /*  825352 */   // Label 12725: @825352
     /*  825352 */   GIM_Try, /*On fail goto*//*Label 12726*/ GIMT_Encode4(825427), // Rule ID 22377 //
     /*  825357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  825374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825403 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8),
     /*  825406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825425 */     GIR_RootConstrainSelectedInstOperands,
     /*  825426 */     // GIR_Coverage, 22377,
     /*  825426 */     GIR_EraseRootFromParent_Done,
     /*  825427 */   // Label 12726: @825427
     /*  825427 */   GIM_Try, /*On fail goto*//*Label 12727*/ GIMT_Encode4(825502), // Rule ID 22380 //
     /*  825432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  825449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  825478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  825481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825500 */     GIR_RootConstrainSelectedInstOperands,
     /*  825501 */     // GIR_Coverage, 22380,
     /*  825501 */     GIR_EraseRootFromParent_Done,
     /*  825502 */   // Label 12727: @825502
     /*  825502 */   GIM_Try, /*On fail goto*//*Label 12728*/ GIMT_Encode4(825577), // Rule ID 22381 //
     /*  825507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  825518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  825521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  825524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  825527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825553 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11505:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  825553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8),
     /*  825556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  825572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825575 */     GIR_RootConstrainSelectedInstOperands,
     /*  825576 */     // GIR_Coverage, 22381,
     /*  825576 */     GIR_EraseRootFromParent_Done,
     /*  825577 */   // Label 12728: @825577
     /*  825577 */   GIM_Try, /*On fail goto*//*Label 12729*/ GIMT_Encode4(825652), // Rule ID 22384 //
     /*  825582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  825599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  825631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825650 */     GIR_RootConstrainSelectedInstOperands,
     /*  825651 */     // GIR_Coverage, 22384,
     /*  825651 */     GIR_EraseRootFromParent_Done,
     /*  825652 */   // Label 12729: @825652
     /*  825652 */   GIM_Try, /*On fail goto*//*Label 12730*/ GIMT_Encode4(825727), // Rule ID 22385 //
     /*  825657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  825674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  825692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16),
     /*  825706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825725 */     GIR_RootConstrainSelectedInstOperands,
     /*  825726 */     // GIR_Coverage, 22385,
     /*  825726 */     GIR_EraseRootFromParent_Done,
     /*  825727 */   // Label 12730: @825727
     /*  825727 */   GIM_Try, /*On fail goto*//*Label 12731*/ GIMT_Encode4(825802), // Rule ID 22388 //
     /*  825732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  825781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825800 */     GIR_RootConstrainSelectedInstOperands,
     /*  825801 */     // GIR_Coverage, 22388,
     /*  825801 */     GIR_EraseRootFromParent_Done,
     /*  825802 */   // Label 12731: @825802
     /*  825802 */   GIM_Try, /*On fail goto*//*Label 12732*/ GIMT_Encode4(825877), // Rule ID 22389 //
     /*  825807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  825824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  825842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  825853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16),
     /*  825856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825875 */     GIR_RootConstrainSelectedInstOperands,
     /*  825876 */     // GIR_Coverage, 22389,
     /*  825876 */     GIR_EraseRootFromParent_Done,
     /*  825877 */   // Label 12732: @825877
     /*  825877 */   GIM_Try, /*On fail goto*//*Label 12733*/ GIMT_Encode4(825952), // Rule ID 22392 //
     /*  825882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  825885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  825899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  825905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  825928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  825928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  825931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  825933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  825935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  825937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  825939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  825944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  825947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  825950 */     GIR_RootConstrainSelectedInstOperands,
     /*  825951 */     // GIR_Coverage, 22392,
     /*  825951 */     GIR_EraseRootFromParent_Done,
     /*  825952 */   // Label 12733: @825952
     /*  825952 */   GIM_Try, /*On fail goto*//*Label 12734*/ GIMT_Encode4(826027), // Rule ID 22393 //
     /*  825957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  825960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  825965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  825968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  825971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  825974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  825977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  825980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  825992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  825996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11505:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  826003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16),
     /*  826006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  826022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826025 */     GIR_RootConstrainSelectedInstOperands,
     /*  826026 */     // GIR_Coverage, 22393,
     /*  826026 */     GIR_EraseRootFromParent_Done,
     /*  826027 */   // Label 12734: @826027
     /*  826027 */   GIM_Try, /*On fail goto*//*Label 12735*/ GIMT_Encode4(826102), // Rule ID 22396 //
     /*  826032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  826049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  826081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826100 */     GIR_RootConstrainSelectedInstOperands,
     /*  826101 */     // GIR_Coverage, 22396,
     /*  826101 */     GIR_EraseRootFromParent_Done,
     /*  826102 */   // Label 12735: @826102
     /*  826102 */   GIM_Try, /*On fail goto*//*Label 12736*/ GIMT_Encode4(826177), // Rule ID 22397 //
     /*  826107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  826124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32),
     /*  826156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826175 */     GIR_RootConstrainSelectedInstOperands,
     /*  826176 */     // GIR_Coverage, 22397,
     /*  826176 */     GIR_EraseRootFromParent_Done,
     /*  826177 */   // Label 12736: @826177
     /*  826177 */   GIM_Try, /*On fail goto*//*Label 12737*/ GIMT_Encode4(826252), // Rule ID 22400 //
     /*  826182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  826199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826228 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  826231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826250 */     GIR_RootConstrainSelectedInstOperands,
     /*  826251 */     // GIR_Coverage, 22400,
     /*  826251 */     GIR_EraseRootFromParent_Done,
     /*  826252 */   // Label 12737: @826252
     /*  826252 */   GIM_Try, /*On fail goto*//*Label 12738*/ GIMT_Encode4(826327), // Rule ID 22401 //
     /*  826257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  826274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826303 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32),
     /*  826306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826325 */     GIR_RootConstrainSelectedInstOperands,
     /*  826326 */     // GIR_Coverage, 22401,
     /*  826326 */     GIR_EraseRootFromParent_Done,
     /*  826327 */   // Label 12738: @826327
     /*  826327 */   GIM_Try, /*On fail goto*//*Label 12739*/ GIMT_Encode4(826402), // Rule ID 22404 //
     /*  826332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  826349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  826378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  826381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826400 */     GIR_RootConstrainSelectedInstOperands,
     /*  826401 */     // GIR_Coverage, 22404,
     /*  826401 */     GIR_EraseRootFromParent_Done,
     /*  826402 */   // Label 12739: @826402
     /*  826402 */   GIM_Try, /*On fail goto*//*Label 12740*/ GIMT_Encode4(826477), // Rule ID 22405 //
     /*  826407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  826410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  826418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  826421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  826424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  826427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11505:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  826453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32),
     /*  826456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  826472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826475 */     GIR_RootConstrainSelectedInstOperands,
     /*  826476 */     // GIR_Coverage, 22405,
     /*  826476 */     GIR_EraseRootFromParent_Done,
     /*  826477 */   // Label 12740: @826477
     /*  826477 */   GIM_Try, /*On fail goto*//*Label 12741*/ GIMT_Encode4(826552), // Rule ID 22408 //
     /*  826482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  826499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  826531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826550 */     GIR_RootConstrainSelectedInstOperands,
     /*  826551 */     // GIR_Coverage, 22408,
     /*  826551 */     GIR_EraseRootFromParent_Done,
     /*  826552 */   // Label 12741: @826552
     /*  826552 */   GIM_Try, /*On fail goto*//*Label 12742*/ GIMT_Encode4(826627), // Rule ID 22409 //
     /*  826557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  826574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  826592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64),
     /*  826606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826625 */     GIR_RootConstrainSelectedInstOperands,
     /*  826626 */     // GIR_Coverage, 22409,
     /*  826626 */     GIR_EraseRootFromParent_Done,
     /*  826627 */   // Label 12742: @826627
     /*  826627 */   GIM_Try, /*On fail goto*//*Label 12743*/ GIMT_Encode4(826702), // Rule ID 22412 //
     /*  826632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  826681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826700 */     GIR_RootConstrainSelectedInstOperands,
     /*  826701 */     // GIR_Coverage, 22412,
     /*  826701 */     GIR_EraseRootFromParent_Done,
     /*  826702 */   // Label 12743: @826702
     /*  826702 */   GIM_Try, /*On fail goto*//*Label 12744*/ GIMT_Encode4(826777), // Rule ID 22413 //
     /*  826707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  826724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  826742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826753 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64),
     /*  826756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826775 */     GIR_RootConstrainSelectedInstOperands,
     /*  826776 */     // GIR_Coverage, 22413,
     /*  826776 */     GIR_EraseRootFromParent_Done,
     /*  826777 */   // Label 12744: @826777
     /*  826777 */   GIM_Try, /*On fail goto*//*Label 12745*/ GIMT_Encode4(826852), // Rule ID 22416 //
     /*  826782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  826785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  826799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  826828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  826831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826850 */     GIR_RootConstrainSelectedInstOperands,
     /*  826851 */     // GIR_Coverage, 22416,
     /*  826851 */     GIR_EraseRootFromParent_Done,
     /*  826852 */   // Label 12745: @826852
     /*  826852 */   GIM_Try, /*On fail goto*//*Label 12746*/ GIMT_Encode4(826927), // Rule ID 22417 //
     /*  826857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  826860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu),
     /*  826865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  826868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  826871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  826874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  826877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  826880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  826892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11505:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  826903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64),
     /*  826906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  826922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  826925 */     GIR_RootConstrainSelectedInstOperands,
     /*  826926 */     // GIR_Coverage, 22417,
     /*  826926 */     GIR_EraseRootFromParent_Done,
     /*  826927 */   // Label 12746: @826927
     /*  826927 */   GIM_Try, /*On fail goto*//*Label 12747*/ GIMT_Encode4(827002), // Rule ID 22420 //
     /*  826932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  826935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  826940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  826943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  826946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  826949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  826952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  826955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  826971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  826978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  826978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  826981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  826983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  826985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  826987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  826989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  826994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  826997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827000 */     GIR_RootConstrainSelectedInstOperands,
     /*  827001 */     // GIR_Coverage, 22420,
     /*  827001 */     GIR_EraseRootFromParent_Done,
     /*  827002 */   // Label 12747: @827002
     /*  827002 */   GIM_Try, /*On fail goto*//*Label 12748*/ GIMT_Encode4(827077), // Rule ID 22421 //
     /*  827007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  827024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8),
     /*  827056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827075 */     GIR_RootConstrainSelectedInstOperands,
     /*  827076 */     // GIR_Coverage, 22421,
     /*  827076 */     GIR_EraseRootFromParent_Done,
     /*  827077 */   // Label 12748: @827077
     /*  827077 */   GIM_Try, /*On fail goto*//*Label 12749*/ GIMT_Encode4(827152), // Rule ID 22424 //
     /*  827082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  827099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827128 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  827131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827150 */     GIR_RootConstrainSelectedInstOperands,
     /*  827151 */     // GIR_Coverage, 22424,
     /*  827151 */     GIR_EraseRootFromParent_Done,
     /*  827152 */   // Label 12749: @827152
     /*  827152 */   GIM_Try, /*On fail goto*//*Label 12750*/ GIMT_Encode4(827227), // Rule ID 22425 //
     /*  827157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  827174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827203 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8),
     /*  827206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827225 */     GIR_RootConstrainSelectedInstOperands,
     /*  827226 */     // GIR_Coverage, 22425,
     /*  827226 */     GIR_EraseRootFromParent_Done,
     /*  827227 */   // Label 12750: @827227
     /*  827227 */   GIM_Try, /*On fail goto*//*Label 12751*/ GIMT_Encode4(827302), // Rule ID 22428 //
     /*  827232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  827249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  827281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827300 */     GIR_RootConstrainSelectedInstOperands,
     /*  827301 */     // GIR_Coverage, 22428,
     /*  827301 */     GIR_EraseRootFromParent_Done,
     /*  827302 */   // Label 12751: @827302
     /*  827302 */   GIM_Try, /*On fail goto*//*Label 12752*/ GIMT_Encode4(827377), // Rule ID 22429 //
     /*  827307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  827324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827353 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8),
     /*  827356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827375 */     GIR_RootConstrainSelectedInstOperands,
     /*  827376 */     // GIR_Coverage, 22429,
     /*  827376 */     GIR_EraseRootFromParent_Done,
     /*  827377 */   // Label 12752: @827377
     /*  827377 */   GIM_Try, /*On fail goto*//*Label 12753*/ GIMT_Encode4(827452), // Rule ID 22432 //
     /*  827382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  827399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827428 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  827431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827450 */     GIR_RootConstrainSelectedInstOperands,
     /*  827451 */     // GIR_Coverage, 22432,
     /*  827451 */     GIR_EraseRootFromParent_Done,
     /*  827452 */   // Label 12753: @827452
     /*  827452 */   GIM_Try, /*On fail goto*//*Label 12754*/ GIMT_Encode4(827527), // Rule ID 22433 //
     /*  827457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  827474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827503 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16),
     /*  827506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827525 */     GIR_RootConstrainSelectedInstOperands,
     /*  827526 */     // GIR_Coverage, 22433,
     /*  827526 */     GIR_EraseRootFromParent_Done,
     /*  827527 */   // Label 12754: @827527
     /*  827527 */   GIM_Try, /*On fail goto*//*Label 12755*/ GIMT_Encode4(827602), // Rule ID 22436 //
     /*  827532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  827549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  827578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  827581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827600 */     GIR_RootConstrainSelectedInstOperands,
     /*  827601 */     // GIR_Coverage, 22436,
     /*  827601 */     GIR_EraseRootFromParent_Done,
     /*  827602 */   // Label 12755: @827602
     /*  827602 */   GIM_Try, /*On fail goto*//*Label 12756*/ GIMT_Encode4(827677), // Rule ID 22437 //
     /*  827607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  827624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  827627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  827653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16),
     /*  827656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  827672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827675 */     GIR_RootConstrainSelectedInstOperands,
     /*  827676 */     // GIR_Coverage, 22437,
     /*  827676 */     GIR_EraseRootFromParent_Done,
     /*  827677 */   // Label 12756: @827677
     /*  827677 */   GIM_Try, /*On fail goto*//*Label 12757*/ GIMT_Encode4(827752), // Rule ID 22440 //
     /*  827682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  827728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  827731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827750 */     GIR_RootConstrainSelectedInstOperands,
     /*  827751 */     // GIR_Coverage, 22440,
     /*  827751 */     GIR_EraseRootFromParent_Done,
     /*  827752 */   // Label 12757: @827752
     /*  827752 */   GIM_Try, /*On fail goto*//*Label 12758*/ GIMT_Encode4(827827), // Rule ID 22441 //
     /*  827757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  827768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  827771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  827774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  827777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827803 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  827803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32),
     /*  827806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  827822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827825 */     GIR_RootConstrainSelectedInstOperands,
     /*  827826 */     // GIR_Coverage, 22441,
     /*  827826 */     GIR_EraseRootFromParent_Done,
     /*  827827 */   // Label 12758: @827827
     /*  827827 */   GIM_Try, /*On fail goto*//*Label 12759*/ GIMT_Encode4(827902), // Rule ID 22444 //
     /*  827832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  827849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  827855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  827878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  827881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827900 */     GIR_RootConstrainSelectedInstOperands,
     /*  827901 */     // GIR_Coverage, 22444,
     /*  827901 */     GIR_EraseRootFromParent_Done,
     /*  827902 */   // Label 12759: @827902
     /*  827902 */   GIM_Try, /*On fail goto*//*Label 12760*/ GIMT_Encode4(827977), // Rule ID 22445 //
     /*  827907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  827910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  827918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  827921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  827924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  827927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  827930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  827946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  827953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  827953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8),
     /*  827956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  827958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  827960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  827962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  827964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  827969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  827972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  827975 */     GIR_RootConstrainSelectedInstOperands,
     /*  827976 */     // GIR_Coverage, 22445,
     /*  827976 */     GIR_EraseRootFromParent_Done,
     /*  827977 */   // Label 12760: @827977
     /*  827977 */   GIM_Try, /*On fail goto*//*Label 12761*/ GIMT_Encode4(828052), // Rule ID 22448 //
     /*  827982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  827985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  827990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  827993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  827996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  827999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  828031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828050 */     GIR_RootConstrainSelectedInstOperands,
     /*  828051 */     // GIR_Coverage, 22448,
     /*  828051 */     GIR_EraseRootFromParent_Done,
     /*  828052 */   // Label 12761: @828052
     /*  828052 */   GIM_Try, /*On fail goto*//*Label 12762*/ GIMT_Encode4(828127), // Rule ID 22449 //
     /*  828057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  828074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  828103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16),
     /*  828106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828125 */     GIR_RootConstrainSelectedInstOperands,
     /*  828126 */     // GIR_Coverage, 22449,
     /*  828126 */     GIR_EraseRootFromParent_Done,
     /*  828127 */   // Label 12762: @828127
     /*  828127 */   GIM_Try, /*On fail goto*//*Label 12763*/ GIMT_Encode4(828202), // Rule ID 22452 //
     /*  828132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  828149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  828178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  828181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828200 */     GIR_RootConstrainSelectedInstOperands,
     /*  828201 */     // GIR_Coverage, 22452,
     /*  828201 */     GIR_EraseRootFromParent_Done,
     /*  828202 */   // Label 12763: @828202
     /*  828202 */   GIM_Try, /*On fail goto*//*Label 12764*/ GIMT_Encode4(828277), // Rule ID 22453 //
     /*  828207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  828218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  828221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  828224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  828227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  828253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32),
     /*  828256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  828272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828275 */     GIR_RootConstrainSelectedInstOperands,
     /*  828276 */     // GIR_Coverage, 22453,
     /*  828276 */     GIR_EraseRootFromParent_Done,
     /*  828277 */   // Label 12764: @828277
     /*  828277 */   GIM_Try, /*On fail goto*//*Label 12765*/ GIMT_Encode4(828352), // Rule ID 22456 //
     /*  828282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  828285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  828299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  828328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  828331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828350 */     GIR_RootConstrainSelectedInstOperands,
     /*  828351 */     // GIR_Coverage, 22456,
     /*  828351 */     GIR_EraseRootFromParent_Done,
     /*  828352 */   // Label 12765: @828352
     /*  828352 */   GIM_Try, /*On fail goto*//*Label 12766*/ GIMT_Encode4(828427), // Rule ID 22457 //
     /*  828357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  828360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  828368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  828371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  828374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  828377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  828403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64),
     /*  828406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  828422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828425 */     GIR_RootConstrainSelectedInstOperands,
     /*  828426 */     // GIR_Coverage, 22457,
     /*  828426 */     GIR_EraseRootFromParent_Done,
     /*  828427 */   // Label 12766: @828427
     /*  828427 */   GIM_Try, /*On fail goto*//*Label 12767*/ GIMT_Encode4(828502), // Rule ID 22460 //
     /*  828432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  828449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  828481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828500 */     GIR_RootConstrainSelectedInstOperands,
     /*  828501 */     // GIR_Coverage, 22460,
     /*  828501 */     GIR_EraseRootFromParent_Done,
     /*  828502 */   // Label 12767: @828502
     /*  828502 */   GIM_Try, /*On fail goto*//*Label 12768*/ GIMT_Encode4(828577), // Rule ID 22461 //
     /*  828507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  828524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828553 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8),
     /*  828556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828575 */     GIR_RootConstrainSelectedInstOperands,
     /*  828576 */     // GIR_Coverage, 22461,
     /*  828576 */     GIR_EraseRootFromParent_Done,
     /*  828577 */   // Label 12768: @828577
     /*  828577 */   GIM_Try, /*On fail goto*//*Label 12769*/ GIMT_Encode4(828652), // Rule ID 22464 //
     /*  828582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  828599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828628 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  828631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828650 */     GIR_RootConstrainSelectedInstOperands,
     /*  828651 */     // GIR_Coverage, 22464,
     /*  828651 */     GIR_EraseRootFromParent_Done,
     /*  828652 */   // Label 12769: @828652
     /*  828652 */   GIM_Try, /*On fail goto*//*Label 12770*/ GIMT_Encode4(828727), // Rule ID 22465 //
     /*  828657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  828674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  828692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828703 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8),
     /*  828706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828725 */     GIR_RootConstrainSelectedInstOperands,
     /*  828726 */     // GIR_Coverage, 22465,
     /*  828726 */     GIR_EraseRootFromParent_Done,
     /*  828727 */   // Label 12770: @828727
     /*  828727 */   GIM_Try, /*On fail goto*//*Label 12771*/ GIMT_Encode4(828802), // Rule ID 22468 //
     /*  828732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  828749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  828778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  828781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828800 */     GIR_RootConstrainSelectedInstOperands,
     /*  828801 */     // GIR_Coverage, 22468,
     /*  828801 */     GIR_EraseRootFromParent_Done,
     /*  828802 */   // Label 12771: @828802
     /*  828802 */   GIM_Try, /*On fail goto*//*Label 12772*/ GIMT_Encode4(828877), // Rule ID 22469 //
     /*  828807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  828818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  828821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  828824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  828827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  828842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11503:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  828853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8),
     /*  828856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  828872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828875 */     GIR_RootConstrainSelectedInstOperands,
     /*  828876 */     // GIR_Coverage, 22469,
     /*  828876 */     GIR_EraseRootFromParent_Done,
     /*  828877 */   // Label 12772: @828877
     /*  828877 */   GIM_Try, /*On fail goto*//*Label 12773*/ GIMT_Encode4(828952), // Rule ID 22472 //
     /*  828882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  828885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  828905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  828928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  828928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  828931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  828933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  828935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  828937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  828939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  828944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  828947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  828950 */     GIR_RootConstrainSelectedInstOperands,
     /*  828951 */     // GIR_Coverage, 22472,
     /*  828951 */     GIR_EraseRootFromParent_Done,
     /*  828952 */   // Label 12773: @828952
     /*  828952 */   GIM_Try, /*On fail goto*//*Label 12774*/ GIMT_Encode4(829027), // Rule ID 22473 //
     /*  828957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  828960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  828965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  828968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  828971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  828974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  828977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  828980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  828992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  828996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16),
     /*  829006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829025 */     GIR_RootConstrainSelectedInstOperands,
     /*  829026 */     // GIR_Coverage, 22473,
     /*  829026 */     GIR_EraseRootFromParent_Done,
     /*  829027 */   // Label 12774: @829027
     /*  829027 */   GIM_Try, /*On fail goto*//*Label 12775*/ GIMT_Encode4(829102), // Rule ID 22476 //
     /*  829032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  829049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  829081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829100 */     GIR_RootConstrainSelectedInstOperands,
     /*  829101 */     // GIR_Coverage, 22476,
     /*  829101 */     GIR_EraseRootFromParent_Done,
     /*  829102 */   // Label 12775: @829102
     /*  829102 */   GIM_Try, /*On fail goto*//*Label 12776*/ GIMT_Encode4(829177), // Rule ID 22477 //
     /*  829107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  829124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16),
     /*  829156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829175 */     GIR_RootConstrainSelectedInstOperands,
     /*  829176 */     // GIR_Coverage, 22477,
     /*  829176 */     GIR_EraseRootFromParent_Done,
     /*  829177 */   // Label 12776: @829177
     /*  829177 */   GIM_Try, /*On fail goto*//*Label 12777*/ GIMT_Encode4(829252), // Rule ID 22480 //
     /*  829182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  829199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  829228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  829231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829250 */     GIR_RootConstrainSelectedInstOperands,
     /*  829251 */     // GIR_Coverage, 22480,
     /*  829251 */     GIR_EraseRootFromParent_Done,
     /*  829252 */   // Label 12777: @829252
     /*  829252 */   GIM_Try, /*On fail goto*//*Label 12778*/ GIMT_Encode4(829327), // Rule ID 22481 //
     /*  829257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  829268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  829271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  829274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  829277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11503:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  829303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16),
     /*  829306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  829322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829325 */     GIR_RootConstrainSelectedInstOperands,
     /*  829326 */     // GIR_Coverage, 22481,
     /*  829326 */     GIR_EraseRootFromParent_Done,
     /*  829327 */   // Label 12778: @829327
     /*  829327 */   GIM_Try, /*On fail goto*//*Label 12779*/ GIMT_Encode4(829402), // Rule ID 22484 //
     /*  829332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  829349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  829381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829400 */     GIR_RootConstrainSelectedInstOperands,
     /*  829401 */     // GIR_Coverage, 22484,
     /*  829401 */     GIR_EraseRootFromParent_Done,
     /*  829402 */   // Label 12779: @829402
     /*  829402 */   GIM_Try, /*On fail goto*//*Label 12780*/ GIMT_Encode4(829477), // Rule ID 22485 //
     /*  829407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  829424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32),
     /*  829456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829475 */     GIR_RootConstrainSelectedInstOperands,
     /*  829476 */     // GIR_Coverage, 22485,
     /*  829476 */     GIR_EraseRootFromParent_Done,
     /*  829477 */   // Label 12780: @829477
     /*  829477 */   GIM_Try, /*On fail goto*//*Label 12781*/ GIMT_Encode4(829552), // Rule ID 22488 //
     /*  829482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  829499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  829531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829550 */     GIR_RootConstrainSelectedInstOperands,
     /*  829551 */     // GIR_Coverage, 22488,
     /*  829551 */     GIR_EraseRootFromParent_Done,
     /*  829552 */   // Label 12781: @829552
     /*  829552 */   GIM_Try, /*On fail goto*//*Label 12782*/ GIMT_Encode4(829627), // Rule ID 22489 //
     /*  829557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  829574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32),
     /*  829606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829625 */     GIR_RootConstrainSelectedInstOperands,
     /*  829626 */     // GIR_Coverage, 22489,
     /*  829626 */     GIR_EraseRootFromParent_Done,
     /*  829627 */   // Label 12782: @829627
     /*  829627 */   GIM_Try, /*On fail goto*//*Label 12783*/ GIMT_Encode4(829702), // Rule ID 22492 //
     /*  829632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  829635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  829678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  829681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829700 */     GIR_RootConstrainSelectedInstOperands,
     /*  829701 */     // GIR_Coverage, 22492,
     /*  829701 */     GIR_EraseRootFromParent_Done,
     /*  829702 */   // Label 12783: @829702
     /*  829702 */   GIM_Try, /*On fail goto*//*Label 12784*/ GIMT_Encode4(829777), // Rule ID 22493 //
     /*  829707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  829710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  829718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  829721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  829724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  829727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  829742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11503:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  829753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32),
     /*  829756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  829772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829775 */     GIR_RootConstrainSelectedInstOperands,
     /*  829776 */     // GIR_Coverage, 22493,
     /*  829776 */     GIR_EraseRootFromParent_Done,
     /*  829777 */   // Label 12784: @829777
     /*  829777 */   GIM_Try, /*On fail goto*//*Label 12785*/ GIMT_Encode4(829852), // Rule ID 22496 //
     /*  829782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  829831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829850 */     GIR_RootConstrainSelectedInstOperands,
     /*  829851 */     // GIR_Coverage, 22496,
     /*  829851 */     GIR_EraseRootFromParent_Done,
     /*  829852 */   // Label 12785: @829852
     /*  829852 */   GIM_Try, /*On fail goto*//*Label 12786*/ GIMT_Encode4(829927), // Rule ID 22497 //
     /*  829857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  829860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  829874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  829880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  829892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  829903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64),
     /*  829906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  829925 */     GIR_RootConstrainSelectedInstOperands,
     /*  829926 */     // GIR_Coverage, 22497,
     /*  829926 */     GIR_EraseRootFromParent_Done,
     /*  829927 */   // Label 12786: @829927
     /*  829927 */   GIM_Try, /*On fail goto*//*Label 12787*/ GIMT_Encode4(830002), // Rule ID 22500 //
     /*  829932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  829935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  829940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  829943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  829946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  829949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  829952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  829955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  829967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  829971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  829978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  829978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  829981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  829983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  829985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  829987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  829989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  829994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  829997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830000 */     GIR_RootConstrainSelectedInstOperands,
     /*  830001 */     // GIR_Coverage, 22500,
     /*  830001 */     GIR_EraseRootFromParent_Done,
     /*  830002 */   // Label 12787: @830002
     /*  830002 */   GIM_Try, /*On fail goto*//*Label 12788*/ GIMT_Encode4(830077), // Rule ID 22501 //
     /*  830007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  830010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  830015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  830024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  830042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  830053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64),
     /*  830056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830075 */     GIR_RootConstrainSelectedInstOperands,
     /*  830076 */     // GIR_Coverage, 22501,
     /*  830076 */     GIR_EraseRootFromParent_Done,
     /*  830077 */   // Label 12788: @830077
     /*  830077 */   GIM_Try, /*On fail goto*//*Label 12789*/ GIMT_Encode4(830152), // Rule ID 22504 //
     /*  830082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  830085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  830090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  830099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  830128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  830131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830150 */     GIR_RootConstrainSelectedInstOperands,
     /*  830151 */     // GIR_Coverage, 22504,
     /*  830151 */     GIR_EraseRootFromParent_Done,
     /*  830152 */   // Label 12789: @830152
     /*  830152 */   GIM_Try, /*On fail goto*//*Label 12790*/ GIMT_Encode4(830227), // Rule ID 22505 //
     /*  830157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  830160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin),
     /*  830165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  830168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  830171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  830174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  830177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  830192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11503:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  830203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64),
     /*  830206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  830222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830225 */     GIR_RootConstrainSelectedInstOperands,
     /*  830226 */     // GIR_Coverage, 22505,
     /*  830226 */     GIR_EraseRootFromParent_Done,
     /*  830227 */   // Label 12790: @830227
     /*  830227 */   GIM_Try, /*On fail goto*//*Label 12791*/ GIMT_Encode4(830302), // Rule ID 22508 //
     /*  830232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  830249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  830281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830300 */     GIR_RootConstrainSelectedInstOperands,
     /*  830301 */     // GIR_Coverage, 22508,
     /*  830301 */     GIR_EraseRootFromParent_Done,
     /*  830302 */   // Label 12791: @830302
     /*  830302 */   GIM_Try, /*On fail goto*//*Label 12792*/ GIMT_Encode4(830377), // Rule ID 22509 //
     /*  830307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  830324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830353 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8),
     /*  830356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830375 */     GIR_RootConstrainSelectedInstOperands,
     /*  830376 */     // GIR_Coverage, 22509,
     /*  830376 */     GIR_EraseRootFromParent_Done,
     /*  830377 */   // Label 12792: @830377
     /*  830377 */   GIM_Try, /*On fail goto*//*Label 12793*/ GIMT_Encode4(830452), // Rule ID 22512 //
     /*  830382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  830399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  830431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830450 */     GIR_RootConstrainSelectedInstOperands,
     /*  830451 */     // GIR_Coverage, 22512,
     /*  830451 */     GIR_EraseRootFromParent_Done,
     /*  830452 */   // Label 12793: @830452
     /*  830452 */   GIM_Try, /*On fail goto*//*Label 12794*/ GIMT_Encode4(830527), // Rule ID 22513 //
     /*  830457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  830474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830503 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8),
     /*  830506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830525 */     GIR_RootConstrainSelectedInstOperands,
     /*  830526 */     // GIR_Coverage, 22513,
     /*  830526 */     GIR_EraseRootFromParent_Done,
     /*  830527 */   // Label 12794: @830527
     /*  830527 */   GIM_Try, /*On fail goto*//*Label 12795*/ GIMT_Encode4(830602), // Rule ID 22516 //
     /*  830532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  830549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  830578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  830581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830600 */     GIR_RootConstrainSelectedInstOperands,
     /*  830601 */     // GIR_Coverage, 22516,
     /*  830601 */     GIR_EraseRootFromParent_Done,
     /*  830602 */   // Label 12795: @830602
     /*  830602 */   GIM_Try, /*On fail goto*//*Label 12796*/ GIMT_Encode4(830677), // Rule ID 22517 //
     /*  830607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  830618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  830621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  830624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  830627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  830653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8),
     /*  830656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  830672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830675 */     GIR_RootConstrainSelectedInstOperands,
     /*  830676 */     // GIR_Coverage, 22517,
     /*  830676 */     GIR_EraseRootFromParent_Done,
     /*  830677 */   // Label 12796: @830677
     /*  830677 */   GIM_Try, /*On fail goto*//*Label 12797*/ GIMT_Encode4(830752), // Rule ID 22520 //
     /*  830682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  830699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  830731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830750 */     GIR_RootConstrainSelectedInstOperands,
     /*  830751 */     // GIR_Coverage, 22520,
     /*  830751 */     GIR_EraseRootFromParent_Done,
     /*  830752 */   // Label 12797: @830752
     /*  830752 */   GIM_Try, /*On fail goto*//*Label 12798*/ GIMT_Encode4(830827), // Rule ID 22521 //
     /*  830757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  830774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16),
     /*  830806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830825 */     GIR_RootConstrainSelectedInstOperands,
     /*  830826 */     // GIR_Coverage, 22521,
     /*  830826 */     GIR_EraseRootFromParent_Done,
     /*  830827 */   // Label 12798: @830827
     /*  830827 */   GIM_Try, /*On fail goto*//*Label 12799*/ GIMT_Encode4(830902), // Rule ID 22524 //
     /*  830832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  830855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  830878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  830881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830900 */     GIR_RootConstrainSelectedInstOperands,
     /*  830901 */     // GIR_Coverage, 22524,
     /*  830901 */     GIR_EraseRootFromParent_Done,
     /*  830902 */   // Label 12799: @830902
     /*  830902 */   GIM_Try, /*On fail goto*//*Label 12800*/ GIMT_Encode4(830977), // Rule ID 22525 //
     /*  830907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  830910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  830918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  830921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  830924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  830927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  830930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  830946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  830953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  830953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16),
     /*  830956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  830958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  830960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  830962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  830964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  830969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  830972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  830975 */     GIR_RootConstrainSelectedInstOperands,
     /*  830976 */     // GIR_Coverage, 22525,
     /*  830976 */     GIR_EraseRootFromParent_Done,
     /*  830977 */   // Label 12800: @830977
     /*  830977 */   GIM_Try, /*On fail goto*//*Label 12801*/ GIMT_Encode4(831052), // Rule ID 22528 //
     /*  830982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  830985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  830990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  830993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  830996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  830999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  831031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831050 */     GIR_RootConstrainSelectedInstOperands,
     /*  831051 */     // GIR_Coverage, 22528,
     /*  831051 */     GIR_EraseRootFromParent_Done,
     /*  831052 */   // Label 12801: @831052
     /*  831052 */   GIM_Try, /*On fail goto*//*Label 12802*/ GIMT_Encode4(831127), // Rule ID 22529 //
     /*  831057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  831074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32),
     /*  831106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831125 */     GIR_RootConstrainSelectedInstOperands,
     /*  831126 */     // GIR_Coverage, 22529,
     /*  831126 */     GIR_EraseRootFromParent_Done,
     /*  831127 */   // Label 12802: @831127
     /*  831127 */   GIM_Try, /*On fail goto*//*Label 12803*/ GIMT_Encode4(831202), // Rule ID 22532 //
     /*  831132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  831149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831178 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  831181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831200 */     GIR_RootConstrainSelectedInstOperands,
     /*  831201 */     // GIR_Coverage, 22532,
     /*  831201 */     GIR_EraseRootFromParent_Done,
     /*  831202 */   // Label 12803: @831202
     /*  831202 */   GIM_Try, /*On fail goto*//*Label 12804*/ GIMT_Encode4(831277), // Rule ID 22533 //
     /*  831207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  831224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831253 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8),
     /*  831256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831275 */     GIR_RootConstrainSelectedInstOperands,
     /*  831276 */     // GIR_Coverage, 22533,
     /*  831276 */     GIR_EraseRootFromParent_Done,
     /*  831277 */   // Label 12804: @831277
     /*  831277 */   GIM_Try, /*On fail goto*//*Label 12805*/ GIMT_Encode4(831352), // Rule ID 22536 //
     /*  831282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  831299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  831328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  831331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831350 */     GIR_RootConstrainSelectedInstOperands,
     /*  831351 */     // GIR_Coverage, 22536,
     /*  831351 */     GIR_EraseRootFromParent_Done,
     /*  831352 */   // Label 12805: @831352
     /*  831352 */   GIM_Try, /*On fail goto*//*Label 12806*/ GIMT_Encode4(831427), // Rule ID 22537 //
     /*  831357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  831368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  831371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  831374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  831377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831403 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  831403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16),
     /*  831406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  831422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831425 */     GIR_RootConstrainSelectedInstOperands,
     /*  831426 */     // GIR_Coverage, 22537,
     /*  831426 */     GIR_EraseRootFromParent_Done,
     /*  831427 */   // Label 12806: @831427
     /*  831427 */   GIM_Try, /*On fail goto*//*Label 12807*/ GIMT_Encode4(831502), // Rule ID 22540 //
     /*  831432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  831449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  831478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  831481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831500 */     GIR_RootConstrainSelectedInstOperands,
     /*  831501 */     // GIR_Coverage, 22540,
     /*  831501 */     GIR_EraseRootFromParent_Done,
     /*  831502 */   // Label 12807: @831502
     /*  831502 */   GIM_Try, /*On fail goto*//*Label 12808*/ GIMT_Encode4(831577), // Rule ID 22541 //
     /*  831507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  831518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  831521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  831524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  831527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  831553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32),
     /*  831556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  831572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831575 */     GIR_RootConstrainSelectedInstOperands,
     /*  831576 */     // GIR_Coverage, 22541,
     /*  831576 */     GIR_EraseRootFromParent_Done,
     /*  831577 */   // Label 12808: @831577
     /*  831577 */   GIM_Try, /*On fail goto*//*Label 12809*/ GIMT_Encode4(831652), // Rule ID 22544 //
     /*  831582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  831585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  831599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  831628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  831631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831650 */     GIR_RootConstrainSelectedInstOperands,
     /*  831651 */     // GIR_Coverage, 22544,
     /*  831651 */     GIR_EraseRootFromParent_Done,
     /*  831652 */   // Label 12809: @831652
     /*  831652 */   GIM_Try, /*On fail goto*//*Label 12810*/ GIMT_Encode4(831727), // Rule ID 22545 //
     /*  831657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  831660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  831668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  831671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  831674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  831677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  831703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64),
     /*  831706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  831722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831725 */     GIR_RootConstrainSelectedInstOperands,
     /*  831726 */     // GIR_Coverage, 22545,
     /*  831726 */     GIR_EraseRootFromParent_Done,
     /*  831727 */   // Label 12810: @831727
     /*  831727 */   GIM_Try, /*On fail goto*//*Label 12811*/ GIMT_Encode4(831802), // Rule ID 22548 //
     /*  831732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  831781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831800 */     GIR_RootConstrainSelectedInstOperands,
     /*  831801 */     // GIR_Coverage, 22548,
     /*  831801 */     GIR_EraseRootFromParent_Done,
     /*  831802 */   // Label 12811: @831802
     /*  831802 */   GIM_Try, /*On fail goto*//*Label 12812*/ GIMT_Encode4(831877), // Rule ID 22549 //
     /*  831807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  831824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  831842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  831853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8),
     /*  831856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831875 */     GIR_RootConstrainSelectedInstOperands,
     /*  831876 */     // GIR_Coverage, 22549,
     /*  831876 */     GIR_EraseRootFromParent_Done,
     /*  831877 */   // Label 12812: @831877
     /*  831877 */   GIM_Try, /*On fail goto*//*Label 12813*/ GIMT_Encode4(831952), // Rule ID 22552 //
     /*  831882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  831885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  831905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  831928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  831928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  831931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  831933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  831935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  831937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  831939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  831944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  831947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  831950 */     GIR_RootConstrainSelectedInstOperands,
     /*  831951 */     // GIR_Coverage, 22552,
     /*  831951 */     GIR_EraseRootFromParent_Done,
     /*  831952 */   // Label 12813: @831952
     /*  831952 */   GIM_Try, /*On fail goto*//*Label 12814*/ GIMT_Encode4(832027), // Rule ID 22553 //
     /*  831957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  831960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  831965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  831968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  831971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  831974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  831977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  831980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  831992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  831996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8),
     /*  832006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832025 */     GIR_RootConstrainSelectedInstOperands,
     /*  832026 */     // GIR_Coverage, 22553,
     /*  832026 */     GIR_EraseRootFromParent_Done,
     /*  832027 */   // Label 12814: @832027
     /*  832027 */   GIM_Try, /*On fail goto*//*Label 12815*/ GIMT_Encode4(832102), // Rule ID 22556 //
     /*  832032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  832043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  832046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  832049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  832052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  832078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  832081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832100 */     GIR_RootConstrainSelectedInstOperands,
     /*  832101 */     // GIR_Coverage, 22556,
     /*  832101 */     GIR_EraseRootFromParent_Done,
     /*  832102 */   // Label 12815: @832102
     /*  832102 */   GIM_Try, /*On fail goto*//*Label 12816*/ GIMT_Encode4(832177), // Rule ID 22557 //
     /*  832107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  832118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  832121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  832124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  832127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11501:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  832153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8),
     /*  832156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  832172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832175 */     GIR_RootConstrainSelectedInstOperands,
     /*  832176 */     // GIR_Coverage, 22557,
     /*  832176 */     GIR_EraseRootFromParent_Done,
     /*  832177 */   // Label 12816: @832177
     /*  832177 */   GIM_Try, /*On fail goto*//*Label 12817*/ GIMT_Encode4(832252), // Rule ID 22560 //
     /*  832182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  832199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  832231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832250 */     GIR_RootConstrainSelectedInstOperands,
     /*  832251 */     // GIR_Coverage, 22560,
     /*  832251 */     GIR_EraseRootFromParent_Done,
     /*  832252 */   // Label 12817: @832252
     /*  832252 */   GIM_Try, /*On fail goto*//*Label 12818*/ GIMT_Encode4(832327), // Rule ID 22561 //
     /*  832257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  832274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16),
     /*  832306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832325 */     GIR_RootConstrainSelectedInstOperands,
     /*  832326 */     // GIR_Coverage, 22561,
     /*  832326 */     GIR_EraseRootFromParent_Done,
     /*  832327 */   // Label 12818: @832327
     /*  832327 */   GIM_Try, /*On fail goto*//*Label 12819*/ GIMT_Encode4(832402), // Rule ID 22564 //
     /*  832332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  832349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  832381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832400 */     GIR_RootConstrainSelectedInstOperands,
     /*  832401 */     // GIR_Coverage, 22564,
     /*  832401 */     GIR_EraseRootFromParent_Done,
     /*  832402 */   // Label 12819: @832402
     /*  832402 */   GIM_Try, /*On fail goto*//*Label 12820*/ GIMT_Encode4(832477), // Rule ID 22565 //
     /*  832407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  832424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16),
     /*  832456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832475 */     GIR_RootConstrainSelectedInstOperands,
     /*  832476 */     // GIR_Coverage, 22565,
     /*  832476 */     GIR_EraseRootFromParent_Done,
     /*  832477 */   // Label 12820: @832477
     /*  832477 */   GIM_Try, /*On fail goto*//*Label 12821*/ GIMT_Encode4(832552), // Rule ID 22568 //
     /*  832482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  832528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  832531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832550 */     GIR_RootConstrainSelectedInstOperands,
     /*  832551 */     // GIR_Coverage, 22568,
     /*  832551 */     GIR_EraseRootFromParent_Done,
     /*  832552 */   // Label 12821: @832552
     /*  832552 */   GIM_Try, /*On fail goto*//*Label 12822*/ GIMT_Encode4(832627), // Rule ID 22569 //
     /*  832557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  832568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  832571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  832574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  832577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11501:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  832603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16),
     /*  832606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  832622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832625 */     GIR_RootConstrainSelectedInstOperands,
     /*  832626 */     // GIR_Coverage, 22569,
     /*  832626 */     GIR_EraseRootFromParent_Done,
     /*  832627 */   // Label 12822: @832627
     /*  832627 */   GIM_Try, /*On fail goto*//*Label 12823*/ GIMT_Encode4(832702), // Rule ID 22572 //
     /*  832632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  832681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832700 */     GIR_RootConstrainSelectedInstOperands,
     /*  832701 */     // GIR_Coverage, 22572,
     /*  832701 */     GIR_EraseRootFromParent_Done,
     /*  832702 */   // Label 12823: @832702
     /*  832702 */   GIM_Try, /*On fail goto*//*Label 12824*/ GIMT_Encode4(832777), // Rule ID 22573 //
     /*  832707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  832724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  832742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32),
     /*  832756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832775 */     GIR_RootConstrainSelectedInstOperands,
     /*  832776 */     // GIR_Coverage, 22573,
     /*  832776 */     GIR_EraseRootFromParent_Done,
     /*  832777 */   // Label 12824: @832777
     /*  832777 */   GIM_Try, /*On fail goto*//*Label 12825*/ GIMT_Encode4(832852), // Rule ID 22576 //
     /*  832782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  832831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832850 */     GIR_RootConstrainSelectedInstOperands,
     /*  832851 */     // GIR_Coverage, 22576,
     /*  832851 */     GIR_EraseRootFromParent_Done,
     /*  832852 */   // Label 12825: @832852
     /*  832852 */   GIM_Try, /*On fail goto*//*Label 12826*/ GIMT_Encode4(832927), // Rule ID 22577 //
     /*  832857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  832860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  832874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  832880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  832892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  832903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32),
     /*  832906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  832925 */     GIR_RootConstrainSelectedInstOperands,
     /*  832926 */     // GIR_Coverage, 22577,
     /*  832926 */     GIR_EraseRootFromParent_Done,
     /*  832927 */   // Label 12826: @832927
     /*  832927 */   GIM_Try, /*On fail goto*//*Label 12827*/ GIMT_Encode4(833002), // Rule ID 22580 //
     /*  832932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  832935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  832940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  832943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  832946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  832949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  832952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  832955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  832967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  832971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  832978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  832978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  832981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  832983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  832985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  832987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  832989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  832994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  832997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833000 */     GIR_RootConstrainSelectedInstOperands,
     /*  833001 */     // GIR_Coverage, 22580,
     /*  833001 */     GIR_EraseRootFromParent_Done,
     /*  833002 */   // Label 12827: @833002
     /*  833002 */   GIM_Try, /*On fail goto*//*Label 12828*/ GIMT_Encode4(833077), // Rule ID 22581 //
     /*  833007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  833015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  833018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  833021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  833024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  833027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11501:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  833053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32),
     /*  833056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  833072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833075 */     GIR_RootConstrainSelectedInstOperands,
     /*  833076 */     // GIR_Coverage, 22581,
     /*  833076 */     GIR_EraseRootFromParent_Done,
     /*  833077 */   // Label 12828: @833077
     /*  833077 */   GIM_Try, /*On fail goto*//*Label 12829*/ GIMT_Encode4(833152), // Rule ID 22584 //
     /*  833082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  833085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  833090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  833099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  833128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  833131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833150 */     GIR_RootConstrainSelectedInstOperands,
     /*  833151 */     // GIR_Coverage, 22584,
     /*  833151 */     GIR_EraseRootFromParent_Done,
     /*  833152 */   // Label 12829: @833152
     /*  833152 */   GIM_Try, /*On fail goto*//*Label 12830*/ GIMT_Encode4(833227), // Rule ID 22585 //
     /*  833157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  833160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  833165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  833174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  833192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  833203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64),
     /*  833206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833225 */     GIR_RootConstrainSelectedInstOperands,
     /*  833226 */     // GIR_Coverage, 22585,
     /*  833226 */     GIR_EraseRootFromParent_Done,
     /*  833227 */   // Label 12830: @833227
     /*  833227 */   GIM_Try, /*On fail goto*//*Label 12831*/ GIMT_Encode4(833302), // Rule ID 22588 //
     /*  833232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  833235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  833240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  833249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  833278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  833281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833300 */     GIR_RootConstrainSelectedInstOperands,
     /*  833301 */     // GIR_Coverage, 22588,
     /*  833301 */     GIR_EraseRootFromParent_Done,
     /*  833302 */   // Label 12831: @833302
     /*  833302 */   GIM_Try, /*On fail goto*//*Label 12832*/ GIMT_Encode4(833377), // Rule ID 22589 //
     /*  833307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  833310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  833315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  833324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  833342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  833353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64),
     /*  833356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833375 */     GIR_RootConstrainSelectedInstOperands,
     /*  833376 */     // GIR_Coverage, 22589,
     /*  833376 */     GIR_EraseRootFromParent_Done,
     /*  833377 */   // Label 12832: @833377
     /*  833377 */   GIM_Try, /*On fail goto*//*Label 12833*/ GIMT_Encode4(833452), // Rule ID 22592 //
     /*  833382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  833385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  833390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  833399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  833428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  833431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833450 */     GIR_RootConstrainSelectedInstOperands,
     /*  833451 */     // GIR_Coverage, 22592,
     /*  833451 */     GIR_EraseRootFromParent_Done,
     /*  833452 */   // Label 12833: @833452
     /*  833452 */   GIM_Try, /*On fail goto*//*Label 12834*/ GIMT_Encode4(833527), // Rule ID 22593 //
     /*  833457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  833460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu),
     /*  833465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  833468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  833471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  833474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  833477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  833492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11501:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  833503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64),
     /*  833506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  833522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833525 */     GIR_RootConstrainSelectedInstOperands,
     /*  833526 */     // GIR_Coverage, 22593,
     /*  833526 */     GIR_EraseRootFromParent_Done,
     /*  833527 */   // Label 12834: @833527
     /*  833527 */   GIM_Try, /*On fail goto*//*Label 12835*/ GIMT_Encode4(833602), // Rule ID 22596 //
     /*  833532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  833549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  833581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833600 */     GIR_RootConstrainSelectedInstOperands,
     /*  833601 */     // GIR_Coverage, 22596,
     /*  833601 */     GIR_EraseRootFromParent_Done,
     /*  833602 */   // Label 12835: @833602
     /*  833602 */   GIM_Try, /*On fail goto*//*Label 12836*/ GIMT_Encode4(833677), // Rule ID 22597 //
     /*  833607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  833624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833653 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8),
     /*  833656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833675 */     GIR_RootConstrainSelectedInstOperands,
     /*  833676 */     // GIR_Coverage, 22597,
     /*  833676 */     GIR_EraseRootFromParent_Done,
     /*  833677 */   // Label 12836: @833677
     /*  833677 */   GIM_Try, /*On fail goto*//*Label 12837*/ GIMT_Encode4(833752), // Rule ID 22600 //
     /*  833682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  833699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833728 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  833731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833750 */     GIR_RootConstrainSelectedInstOperands,
     /*  833751 */     // GIR_Coverage, 22600,
     /*  833751 */     GIR_EraseRootFromParent_Done,
     /*  833752 */   // Label 12837: @833752
     /*  833752 */   GIM_Try, /*On fail goto*//*Label 12838*/ GIMT_Encode4(833827), // Rule ID 22601 //
     /*  833757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  833774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833803 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8),
     /*  833806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833825 */     GIR_RootConstrainSelectedInstOperands,
     /*  833826 */     // GIR_Coverage, 22601,
     /*  833826 */     GIR_EraseRootFromParent_Done,
     /*  833827 */   // Label 12838: @833827
     /*  833827 */   GIM_Try, /*On fail goto*//*Label 12839*/ GIMT_Encode4(833902), // Rule ID 22604 //
     /*  833832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  833855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833878 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  833878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  833881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833900 */     GIR_RootConstrainSelectedInstOperands,
     /*  833901 */     // GIR_Coverage, 22604,
     /*  833901 */     GIR_EraseRootFromParent_Done,
     /*  833902 */   // Label 12839: @833902
     /*  833902 */   GIM_Try, /*On fail goto*//*Label 12840*/ GIMT_Encode4(833977), // Rule ID 22605 //
     /*  833907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  833910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  833918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  833921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  833924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  833927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  833930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  833946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  833953 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  833953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8),
     /*  833956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  833958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  833960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  833962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  833964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  833969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  833972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  833975 */     GIR_RootConstrainSelectedInstOperands,
     /*  833976 */     // GIR_Coverage, 22605,
     /*  833976 */     GIR_EraseRootFromParent_Done,
     /*  833977 */   // Label 12840: @833977
     /*  833977 */   GIM_Try, /*On fail goto*//*Label 12841*/ GIMT_Encode4(834052), // Rule ID 22608 //
     /*  833982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  833985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  833990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  833993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  833996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  833999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  834031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834050 */     GIR_RootConstrainSelectedInstOperands,
     /*  834051 */     // GIR_Coverage, 22608,
     /*  834051 */     GIR_EraseRootFromParent_Done,
     /*  834052 */   // Label 12841: @834052
     /*  834052 */   GIM_Try, /*On fail goto*//*Label 12842*/ GIMT_Encode4(834127), // Rule ID 22609 //
     /*  834057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  834074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16),
     /*  834106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834125 */     GIR_RootConstrainSelectedInstOperands,
     /*  834126 */     // GIR_Coverage, 22609,
     /*  834126 */     GIR_EraseRootFromParent_Done,
     /*  834127 */   // Label 12842: @834127
     /*  834127 */   GIM_Try, /*On fail goto*//*Label 12843*/ GIMT_Encode4(834202), // Rule ID 22612 //
     /*  834132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  834149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  834181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834200 */     GIR_RootConstrainSelectedInstOperands,
     /*  834201 */     // GIR_Coverage, 22612,
     /*  834201 */     GIR_EraseRootFromParent_Done,
     /*  834202 */   // Label 12843: @834202
     /*  834202 */   GIM_Try, /*On fail goto*//*Label 12844*/ GIMT_Encode4(834277), // Rule ID 22613 //
     /*  834207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  834224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16),
     /*  834256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834275 */     GIR_RootConstrainSelectedInstOperands,
     /*  834276 */     // GIR_Coverage, 22613,
     /*  834276 */     GIR_EraseRootFromParent_Done,
     /*  834277 */   // Label 12844: @834277
     /*  834277 */   GIM_Try, /*On fail goto*//*Label 12845*/ GIMT_Encode4(834352), // Rule ID 22616 //
     /*  834282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  834299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  834331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834350 */     GIR_RootConstrainSelectedInstOperands,
     /*  834351 */     // GIR_Coverage, 22616,
     /*  834351 */     GIR_EraseRootFromParent_Done,
     /*  834352 */   // Label 12845: @834352
     /*  834352 */   GIM_Try, /*On fail goto*//*Label 12846*/ GIMT_Encode4(834427), // Rule ID 22617 //
     /*  834357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  834374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32),
     /*  834406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834425 */     GIR_RootConstrainSelectedInstOperands,
     /*  834426 */     // GIR_Coverage, 22617,
     /*  834426 */     GIR_EraseRootFromParent_Done,
     /*  834427 */   // Label 12846: @834427
     /*  834427 */   GIM_Try, /*On fail goto*//*Label 12847*/ GIMT_Encode4(834502), // Rule ID 22620 //
     /*  834432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  834449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  834478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  834481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834500 */     GIR_RootConstrainSelectedInstOperands,
     /*  834501 */     // GIR_Coverage, 22620,
     /*  834501 */     GIR_EraseRootFromParent_Done,
     /*  834502 */   // Label 12847: @834502
     /*  834502 */   GIM_Try, /*On fail goto*//*Label 12848*/ GIMT_Encode4(834577), // Rule ID 22621 //
     /*  834507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  834518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  834521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  834524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  834527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834553 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  834553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8),
     /*  834556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  834572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834575 */     GIR_RootConstrainSelectedInstOperands,
     /*  834576 */     // GIR_Coverage, 22621,
     /*  834576 */     GIR_EraseRootFromParent_Done,
     /*  834577 */   // Label 12848: @834577
     /*  834577 */   GIM_Try, /*On fail goto*//*Label 12849*/ GIMT_Encode4(834652), // Rule ID 22624 //
     /*  834582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  834599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834628 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  834628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  834631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834650 */     GIR_RootConstrainSelectedInstOperands,
     /*  834651 */     // GIR_Coverage, 22624,
     /*  834651 */     GIR_EraseRootFromParent_Done,
     /*  834652 */   // Label 12849: @834652
     /*  834652 */   GIM_Try, /*On fail goto*//*Label 12850*/ GIMT_Encode4(834727), // Rule ID 22625 //
     /*  834657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  834668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  834671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  834674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  834677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834703 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  834703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16),
     /*  834706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  834722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834725 */     GIR_RootConstrainSelectedInstOperands,
     /*  834726 */     // GIR_Coverage, 22625,
     /*  834726 */     GIR_EraseRootFromParent_Done,
     /*  834727 */   // Label 12850: @834727
     /*  834727 */   GIM_Try, /*On fail goto*//*Label 12851*/ GIMT_Encode4(834802), // Rule ID 22628 //
     /*  834732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  834735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  834778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  834781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834800 */     GIR_RootConstrainSelectedInstOperands,
     /*  834801 */     // GIR_Coverage, 22628,
     /*  834801 */     GIR_EraseRootFromParent_Done,
     /*  834802 */   // Label 12851: @834802
     /*  834802 */   GIM_Try, /*On fail goto*//*Label 12852*/ GIMT_Encode4(834877), // Rule ID 22629 //
     /*  834807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  834810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  834818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  834821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  834824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  834827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834853 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  834853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32),
     /*  834856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  834872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834875 */     GIR_RootConstrainSelectedInstOperands,
     /*  834876 */     // GIR_Coverage, 22629,
     /*  834876 */     GIR_EraseRootFromParent_Done,
     /*  834877 */   // Label 12852: @834877
     /*  834877 */   GIM_Try, /*On fail goto*//*Label 12853*/ GIMT_Encode4(834952), // Rule ID 22632 //
     /*  834882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  834885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  834905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  834928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  834928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  834931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  834933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  834935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  834937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  834939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  834944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  834947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  834950 */     GIR_RootConstrainSelectedInstOperands,
     /*  834951 */     // GIR_Coverage, 22632,
     /*  834951 */     GIR_EraseRootFromParent_Done,
     /*  834952 */   // Label 12853: @834952
     /*  834952 */   GIM_Try, /*On fail goto*//*Label 12854*/ GIMT_Encode4(835027), // Rule ID 22633 //
     /*  834957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  834960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  834965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  834968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  834971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  834974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  834977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  834980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  834996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  835003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64),
     /*  835006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  835022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835025 */     GIR_RootConstrainSelectedInstOperands,
     /*  835026 */     // GIR_Coverage, 22633,
     /*  835026 */     GIR_EraseRootFromParent_Done,
     /*  835027 */   // Label 12854: @835027
     /*  835027 */   GIM_Try, /*On fail goto*//*Label 12855*/ GIMT_Encode4(835102), // Rule ID 22636 //
     /*  835032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  835043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  835046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  835049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  835052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  835081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835100 */     GIR_RootConstrainSelectedInstOperands,
     /*  835101 */     // GIR_Coverage, 22636,
     /*  835101 */     GIR_EraseRootFromParent_Done,
     /*  835102 */   // Label 12855: @835102
     /*  835102 */   GIM_Try, /*On fail goto*//*Label 12856*/ GIMT_Encode4(835177), // Rule ID 22637 //
     /*  835107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  835118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  835121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  835124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  835127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8),
     /*  835156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835175 */     GIR_RootConstrainSelectedInstOperands,
     /*  835176 */     // GIR_Coverage, 22637,
     /*  835176 */     GIR_EraseRootFromParent_Done,
     /*  835177 */   // Label 12856: @835177
     /*  835177 */   GIM_Try, /*On fail goto*//*Label 12857*/ GIMT_Encode4(835252), // Rule ID 22640 //
     /*  835182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  835193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  835196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  835199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  835202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835228 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  835231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835250 */     GIR_RootConstrainSelectedInstOperands,
     /*  835251 */     // GIR_Coverage, 22640,
     /*  835251 */     GIR_EraseRootFromParent_Done,
     /*  835252 */   // Label 12857: @835252
     /*  835252 */   GIM_Try, /*On fail goto*//*Label 12858*/ GIMT_Encode4(835327), // Rule ID 22641 //
     /*  835257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  835268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  835271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  835274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  835277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835303 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8),
     /*  835306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835325 */     GIR_RootConstrainSelectedInstOperands,
     /*  835326 */     // GIR_Coverage, 22641,
     /*  835326 */     GIR_EraseRootFromParent_Done,
     /*  835327 */   // Label 12858: @835327
     /*  835327 */   GIM_Try, /*On fail goto*//*Label 12859*/ GIMT_Encode4(835402), // Rule ID 22644 //
     /*  835332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  835343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  835346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  835349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  835352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  835378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  835381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835400 */     GIR_RootConstrainSelectedInstOperands,
     /*  835401 */     // GIR_Coverage, 22644,
     /*  835401 */     GIR_EraseRootFromParent_Done,
     /*  835402 */   // Label 12859: @835402
     /*  835402 */   GIM_Try, /*On fail goto*//*Label 12860*/ GIMT_Encode4(835477), // Rule ID 22645 //
     /*  835407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  835418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  835421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  835424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  835427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11499:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  835453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8),
     /*  835456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  835472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835475 */     GIR_RootConstrainSelectedInstOperands,
     /*  835476 */     // GIR_Coverage, 22645,
     /*  835476 */     GIR_EraseRootFromParent_Done,
     /*  835477 */   // Label 12860: @835477
     /*  835477 */   GIM_Try, /*On fail goto*//*Label 12861*/ GIMT_Encode4(835552), // Rule ID 22648 //
     /*  835482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  835499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  835531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835550 */     GIR_RootConstrainSelectedInstOperands,
     /*  835551 */     // GIR_Coverage, 22648,
     /*  835551 */     GIR_EraseRootFromParent_Done,
     /*  835552 */   // Label 12861: @835552
     /*  835552 */   GIM_Try, /*On fail goto*//*Label 12862*/ GIMT_Encode4(835627), // Rule ID 22649 //
     /*  835557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  835574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16),
     /*  835606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835625 */     GIR_RootConstrainSelectedInstOperands,
     /*  835626 */     // GIR_Coverage, 22649,
     /*  835626 */     GIR_EraseRootFromParent_Done,
     /*  835627 */   // Label 12862: @835627
     /*  835627 */   GIM_Try, /*On fail goto*//*Label 12863*/ GIMT_Encode4(835702), // Rule ID 22652 //
     /*  835632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835678 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  835681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835700 */     GIR_RootConstrainSelectedInstOperands,
     /*  835701 */     // GIR_Coverage, 22652,
     /*  835701 */     GIR_EraseRootFromParent_Done,
     /*  835702 */   // Label 12863: @835702
     /*  835702 */   GIM_Try, /*On fail goto*//*Label 12864*/ GIMT_Encode4(835777), // Rule ID 22653 //
     /*  835707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  835724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  835742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835753 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16),
     /*  835756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835775 */     GIR_RootConstrainSelectedInstOperands,
     /*  835776 */     // GIR_Coverage, 22653,
     /*  835776 */     GIR_EraseRootFromParent_Done,
     /*  835777 */   // Label 12864: @835777
     /*  835777 */   GIM_Try, /*On fail goto*//*Label 12865*/ GIMT_Encode4(835852), // Rule ID 22656 //
     /*  835782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  835828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  835831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835850 */     GIR_RootConstrainSelectedInstOperands,
     /*  835851 */     // GIR_Coverage, 22656,
     /*  835851 */     GIR_EraseRootFromParent_Done,
     /*  835852 */   // Label 12865: @835852
     /*  835852 */   GIM_Try, /*On fail goto*//*Label 12866*/ GIMT_Encode4(835927), // Rule ID 22657 //
     /*  835857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  835860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  835868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  835871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  835874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  835877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  835880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  835892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11499:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  835903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16),
     /*  835906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  835922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  835925 */     GIR_RootConstrainSelectedInstOperands,
     /*  835926 */     // GIR_Coverage, 22657,
     /*  835926 */     GIR_EraseRootFromParent_Done,
     /*  835927 */   // Label 12866: @835927
     /*  835927 */   GIM_Try, /*On fail goto*//*Label 12867*/ GIMT_Encode4(836002), // Rule ID 22660 //
     /*  835932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  835935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  835940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  835943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  835946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  835949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  835952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  835955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  835967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  835971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  835978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  835978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  835981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  835983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  835985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  835987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  835989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  835994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  835997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836000 */     GIR_RootConstrainSelectedInstOperands,
     /*  836001 */     // GIR_Coverage, 22660,
     /*  836001 */     GIR_EraseRootFromParent_Done,
     /*  836002 */   // Label 12867: @836002
     /*  836002 */   GIM_Try, /*On fail goto*//*Label 12868*/ GIMT_Encode4(836077), // Rule ID 22661 //
     /*  836007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  836024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32),
     /*  836056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836075 */     GIR_RootConstrainSelectedInstOperands,
     /*  836076 */     // GIR_Coverage, 22661,
     /*  836076 */     GIR_EraseRootFromParent_Done,
     /*  836077 */   // Label 12868: @836077
     /*  836077 */   GIM_Try, /*On fail goto*//*Label 12869*/ GIMT_Encode4(836152), // Rule ID 22664 //
     /*  836082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  836099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836128 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  836131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836150 */     GIR_RootConstrainSelectedInstOperands,
     /*  836151 */     // GIR_Coverage, 22664,
     /*  836151 */     GIR_EraseRootFromParent_Done,
     /*  836152 */   // Label 12869: @836152
     /*  836152 */   GIM_Try, /*On fail goto*//*Label 12870*/ GIMT_Encode4(836227), // Rule ID 22665 //
     /*  836157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  836174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836203 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32),
     /*  836206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836225 */     GIR_RootConstrainSelectedInstOperands,
     /*  836226 */     // GIR_Coverage, 22665,
     /*  836226 */     GIR_EraseRootFromParent_Done,
     /*  836227 */   // Label 12870: @836227
     /*  836227 */   GIM_Try, /*On fail goto*//*Label 12871*/ GIMT_Encode4(836302), // Rule ID 22668 //
     /*  836232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  836249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  836278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  836281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836300 */     GIR_RootConstrainSelectedInstOperands,
     /*  836301 */     // GIR_Coverage, 22668,
     /*  836301 */     GIR_EraseRootFromParent_Done,
     /*  836302 */   // Label 12871: @836302
     /*  836302 */   GIM_Try, /*On fail goto*//*Label 12872*/ GIMT_Encode4(836377), // Rule ID 22669 //
     /*  836307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  836318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  836321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  836324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  836327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11499:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  836353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32),
     /*  836356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  836372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836375 */     GIR_RootConstrainSelectedInstOperands,
     /*  836376 */     // GIR_Coverage, 22669,
     /*  836376 */     GIR_EraseRootFromParent_Done,
     /*  836377 */   // Label 12872: @836377
     /*  836377 */   GIM_Try, /*On fail goto*//*Label 12873*/ GIMT_Encode4(836452), // Rule ID 22672 //
     /*  836382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  836385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  836399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  836431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836450 */     GIR_RootConstrainSelectedInstOperands,
     /*  836451 */     // GIR_Coverage, 22672,
     /*  836451 */     GIR_EraseRootFromParent_Done,
     /*  836452 */   // Label 12873: @836452
     /*  836452 */   GIM_Try, /*On fail goto*//*Label 12874*/ GIMT_Encode4(836527), // Rule ID 22673 //
     /*  836457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  836474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  836492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64),
     /*  836506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836525 */     GIR_RootConstrainSelectedInstOperands,
     /*  836526 */     // GIR_Coverage, 22673,
     /*  836526 */     GIR_EraseRootFromParent_Done,
     /*  836527 */   // Label 12874: @836527
     /*  836527 */   GIM_Try, /*On fail goto*//*Label 12875*/ GIMT_Encode4(836602), // Rule ID 22676 //
     /*  836532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  836535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  836549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  836581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836600 */     GIR_RootConstrainSelectedInstOperands,
     /*  836601 */     // GIR_Coverage, 22676,
     /*  836601 */     GIR_EraseRootFromParent_Done,
     /*  836602 */   // Label 12875: @836602
     /*  836602 */   GIM_Try, /*On fail goto*//*Label 12876*/ GIMT_Encode4(836677), // Rule ID 22677 //
     /*  836607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  836624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  836642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836653 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64),
     /*  836656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836675 */     GIR_RootConstrainSelectedInstOperands,
     /*  836676 */     // GIR_Coverage, 22677,
     /*  836676 */     GIR_EraseRootFromParent_Done,
     /*  836677 */   // Label 12876: @836677
     /*  836677 */   GIM_Try, /*On fail goto*//*Label 12877*/ GIMT_Encode4(836752), // Rule ID 22680 //
     /*  836682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  836685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  836699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  836728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  836731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836750 */     GIR_RootConstrainSelectedInstOperands,
     /*  836751 */     // GIR_Coverage, 22680,
     /*  836751 */     GIR_EraseRootFromParent_Done,
     /*  836752 */   // Label 12877: @836752
     /*  836752 */   GIM_Try, /*On fail goto*//*Label 12878*/ GIMT_Encode4(836827), // Rule ID 22681 //
     /*  836757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  836760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax),
     /*  836765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  836768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  836771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  836774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  836777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  836792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11499:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  836803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64),
     /*  836806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  836822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836825 */     GIR_RootConstrainSelectedInstOperands,
     /*  836826 */     // GIR_Coverage, 22681,
     /*  836826 */     GIR_EraseRootFromParent_Done,
     /*  836827 */   // Label 12878: @836827
     /*  836827 */   GIM_Try, /*On fail goto*//*Label 12879*/ GIMT_Encode4(836902), // Rule ID 22684 //
     /*  836832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  836849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  836855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  836878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  836881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836900 */     GIR_RootConstrainSelectedInstOperands,
     /*  836901 */     // GIR_Coverage, 22684,
     /*  836901 */     GIR_EraseRootFromParent_Done,
     /*  836902 */   // Label 12879: @836902
     /*  836902 */   GIM_Try, /*On fail goto*//*Label 12880*/ GIMT_Encode4(836977), // Rule ID 22685 //
     /*  836907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  836910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  836924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  836927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  836930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  836946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  836953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  836953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8),
     /*  836956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  836958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  836960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  836962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  836964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  836969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  836972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  836975 */     GIR_RootConstrainSelectedInstOperands,
     /*  836976 */     // GIR_Coverage, 22685,
     /*  836976 */     GIR_EraseRootFromParent_Done,
     /*  836977 */   // Label 12880: @836977
     /*  836977 */   GIM_Try, /*On fail goto*//*Label 12881*/ GIMT_Encode4(837052), // Rule ID 22688 //
     /*  836982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  836985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  836990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  836993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  836996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  836999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837028 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  837031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837050 */     GIR_RootConstrainSelectedInstOperands,
     /*  837051 */     // GIR_Coverage, 22688,
     /*  837051 */     GIR_EraseRootFromParent_Done,
     /*  837052 */   // Label 12881: @837052
     /*  837052 */   GIM_Try, /*On fail goto*//*Label 12882*/ GIMT_Encode4(837127), // Rule ID 22689 //
     /*  837057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  837074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837103 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8),
     /*  837106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837125 */     GIR_RootConstrainSelectedInstOperands,
     /*  837126 */     // GIR_Coverage, 22689,
     /*  837126 */     GIR_EraseRootFromParent_Done,
     /*  837127 */   // Label 12882: @837127
     /*  837127 */   GIM_Try, /*On fail goto*//*Label 12883*/ GIMT_Encode4(837202), // Rule ID 22692 //
     /*  837132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  837149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  837181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837200 */     GIR_RootConstrainSelectedInstOperands,
     /*  837201 */     // GIR_Coverage, 22692,
     /*  837201 */     GIR_EraseRootFromParent_Done,
     /*  837202 */   // Label 12883: @837202
     /*  837202 */   GIM_Try, /*On fail goto*//*Label 12884*/ GIMT_Encode4(837277), // Rule ID 22693 //
     /*  837207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  837224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837253 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8),
     /*  837256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837275 */     GIR_RootConstrainSelectedInstOperands,
     /*  837276 */     // GIR_Coverage, 22693,
     /*  837276 */     GIR_EraseRootFromParent_Done,
     /*  837277 */   // Label 12884: @837277
     /*  837277 */   GIM_Try, /*On fail goto*//*Label 12885*/ GIMT_Encode4(837352), // Rule ID 22696 //
     /*  837282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  837331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837350 */     GIR_RootConstrainSelectedInstOperands,
     /*  837351 */     // GIR_Coverage, 22696,
     /*  837351 */     GIR_EraseRootFromParent_Done,
     /*  837352 */   // Label 12885: @837352
     /*  837352 */   GIM_Try, /*On fail goto*//*Label 12886*/ GIMT_Encode4(837427), // Rule ID 22697 //
     /*  837357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  837374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16),
     /*  837406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837425 */     GIR_RootConstrainSelectedInstOperands,
     /*  837426 */     // GIR_Coverage, 22697,
     /*  837426 */     GIR_EraseRootFromParent_Done,
     /*  837427 */   // Label 12886: @837427
     /*  837427 */   GIM_Try, /*On fail goto*//*Label 12887*/ GIMT_Encode4(837502), // Rule ID 22700 //
     /*  837432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837478 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  837481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837500 */     GIR_RootConstrainSelectedInstOperands,
     /*  837501 */     // GIR_Coverage, 22700,
     /*  837501 */     GIR_EraseRootFromParent_Done,
     /*  837502 */   // Label 12887: @837502
     /*  837502 */   GIM_Try, /*On fail goto*//*Label 12888*/ GIMT_Encode4(837577), // Rule ID 22701 //
     /*  837507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  837524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837553 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  837553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16),
     /*  837556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837575 */     GIR_RootConstrainSelectedInstOperands,
     /*  837576 */     // GIR_Coverage, 22701,
     /*  837576 */     GIR_EraseRootFromParent_Done,
     /*  837577 */   // Label 12888: @837577
     /*  837577 */   GIM_Try, /*On fail goto*//*Label 12889*/ GIMT_Encode4(837652), // Rule ID 22704 //
     /*  837582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837628 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  837628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  837631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837650 */     GIR_RootConstrainSelectedInstOperands,
     /*  837651 */     // GIR_Coverage, 22704,
     /*  837651 */     GIR_EraseRootFromParent_Done,
     /*  837652 */   // Label 12889: @837652
     /*  837652 */   GIM_Try, /*On fail goto*//*Label 12890*/ GIMT_Encode4(837727), // Rule ID 22705 //
     /*  837657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  837668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  837671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  837674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  837677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  837703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32),
     /*  837706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  837722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837725 */     GIR_RootConstrainSelectedInstOperands,
     /*  837726 */     // GIR_Coverage, 22705,
     /*  837726 */     GIR_EraseRootFromParent_Done,
     /*  837727 */   // Label 12890: @837727
     /*  837727 */   GIM_Try, /*On fail goto*//*Label 12891*/ GIMT_Encode4(837802), // Rule ID 22708 //
     /*  837732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  837749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  837778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  837781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837800 */     GIR_RootConstrainSelectedInstOperands,
     /*  837801 */     // GIR_Coverage, 22708,
     /*  837801 */     GIR_EraseRootFromParent_Done,
     /*  837802 */   // Label 12891: @837802
     /*  837802 */   GIM_Try, /*On fail goto*//*Label 12892*/ GIMT_Encode4(837877), // Rule ID 22709 //
     /*  837807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  837818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  837821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  837824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  837827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837853 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  837853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8),
     /*  837856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  837872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837875 */     GIR_RootConstrainSelectedInstOperands,
     /*  837876 */     // GIR_Coverage, 22709,
     /*  837876 */     GIR_EraseRootFromParent_Done,
     /*  837877 */   // Label 12892: @837877
     /*  837877 */   GIM_Try, /*On fail goto*//*Label 12893*/ GIMT_Encode4(837952), // Rule ID 22712 //
     /*  837882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  837885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  837905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  837928 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  837928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  837931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  837933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  837935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  837937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  837939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  837944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  837947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  837950 */     GIR_RootConstrainSelectedInstOperands,
     /*  837951 */     // GIR_Coverage, 22712,
     /*  837951 */     GIR_EraseRootFromParent_Done,
     /*  837952 */   // Label 12893: @837952
     /*  837952 */   GIM_Try, /*On fail goto*//*Label 12894*/ GIMT_Encode4(838027), // Rule ID 22713 //
     /*  837957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  837960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  837965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  837968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  837971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  837974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  837977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  837980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  837996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838003 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16),
     /*  838006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838025 */     GIR_RootConstrainSelectedInstOperands,
     /*  838026 */     // GIR_Coverage, 22713,
     /*  838026 */     GIR_EraseRootFromParent_Done,
     /*  838027 */   // Label 12894: @838027
     /*  838027 */   GIM_Try, /*On fail goto*//*Label 12895*/ GIMT_Encode4(838102), // Rule ID 22716 //
     /*  838032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838078 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  838078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  838081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838100 */     GIR_RootConstrainSelectedInstOperands,
     /*  838101 */     // GIR_Coverage, 22716,
     /*  838101 */     GIR_EraseRootFromParent_Done,
     /*  838102 */   // Label 12895: @838102
     /*  838102 */   GIM_Try, /*On fail goto*//*Label 12896*/ GIMT_Encode4(838177), // Rule ID 22717 //
     /*  838107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  838118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  838121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  838124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  838127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838153 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  838153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32),
     /*  838156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  838172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838175 */     GIR_RootConstrainSelectedInstOperands,
     /*  838176 */     // GIR_Coverage, 22717,
     /*  838176 */     GIR_EraseRootFromParent_Done,
     /*  838177 */   // Label 12896: @838177
     /*  838177 */   GIM_Try, /*On fail goto*//*Label 12897*/ GIMT_Encode4(838252), // Rule ID 22720 //
     /*  838182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  838199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  838231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838250 */     GIR_RootConstrainSelectedInstOperands,
     /*  838251 */     // GIR_Coverage, 22720,
     /*  838251 */     GIR_EraseRootFromParent_Done,
     /*  838252 */   // Label 12897: @838252
     /*  838252 */   GIM_Try, /*On fail goto*//*Label 12898*/ GIMT_Encode4(838327), // Rule ID 22721 //
     /*  838257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  838274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8),
     /*  838306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838325 */     GIR_RootConstrainSelectedInstOperands,
     /*  838326 */     // GIR_Coverage, 22721,
     /*  838326 */     GIR_EraseRootFromParent_Done,
     /*  838327 */   // Label 12898: @838327
     /*  838327 */   GIM_Try, /*On fail goto*//*Label 12899*/ GIMT_Encode4(838402), // Rule ID 22724 //
     /*  838332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  838349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  838381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838400 */     GIR_RootConstrainSelectedInstOperands,
     /*  838401 */     // GIR_Coverage, 22724,
     /*  838401 */     GIR_EraseRootFromParent_Done,
     /*  838402 */   // Label 12899: @838402
     /*  838402 */   GIM_Try, /*On fail goto*//*Label 12900*/ GIMT_Encode4(838477), // Rule ID 22725 //
     /*  838407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  838424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838453 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8),
     /*  838456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838475 */     GIR_RootConstrainSelectedInstOperands,
     /*  838476 */     // GIR_Coverage, 22725,
     /*  838476 */     GIR_EraseRootFromParent_Done,
     /*  838477 */   // Label 12900: @838477
     /*  838477 */   GIM_Try, /*On fail goto*//*Label 12901*/ GIMT_Encode4(838552), // Rule ID 22728 //
     /*  838482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  838499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  838528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  838531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838550 */     GIR_RootConstrainSelectedInstOperands,
     /*  838551 */     // GIR_Coverage, 22728,
     /*  838551 */     GIR_EraseRootFromParent_Done,
     /*  838552 */   // Label 12901: @838552
     /*  838552 */   GIM_Try, /*On fail goto*//*Label 12902*/ GIMT_Encode4(838627), // Rule ID 22729 //
     /*  838557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  838568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  838571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  838574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  838577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11663:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  838603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8),
     /*  838606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  838622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838625 */     GIR_RootConstrainSelectedInstOperands,
     /*  838626 */     // GIR_Coverage, 22729,
     /*  838626 */     GIR_EraseRootFromParent_Done,
     /*  838627 */   // Label 12902: @838627
     /*  838627 */   GIM_Try, /*On fail goto*//*Label 12903*/ GIMT_Encode4(838702), // Rule ID 22732 //
     /*  838632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  838681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838700 */     GIR_RootConstrainSelectedInstOperands,
     /*  838701 */     // GIR_Coverage, 22732,
     /*  838701 */     GIR_EraseRootFromParent_Done,
     /*  838702 */   // Label 12903: @838702
     /*  838702 */   GIM_Try, /*On fail goto*//*Label 12904*/ GIMT_Encode4(838777), // Rule ID 22733 //
     /*  838707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  838724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  838742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16),
     /*  838756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838775 */     GIR_RootConstrainSelectedInstOperands,
     /*  838776 */     // GIR_Coverage, 22733,
     /*  838776 */     GIR_EraseRootFromParent_Done,
     /*  838777 */   // Label 12904: @838777
     /*  838777 */   GIM_Try, /*On fail goto*//*Label 12905*/ GIMT_Encode4(838852), // Rule ID 22736 //
     /*  838782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  838831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838850 */     GIR_RootConstrainSelectedInstOperands,
     /*  838851 */     // GIR_Coverage, 22736,
     /*  838851 */     GIR_EraseRootFromParent_Done,
     /*  838852 */   // Label 12905: @838852
     /*  838852 */   GIM_Try, /*On fail goto*//*Label 12906*/ GIMT_Encode4(838927), // Rule ID 22737 //
     /*  838857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  838860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  838874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  838880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  838892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838903 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  838903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16),
     /*  838906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  838925 */     GIR_RootConstrainSelectedInstOperands,
     /*  838926 */     // GIR_Coverage, 22737,
     /*  838926 */     GIR_EraseRootFromParent_Done,
     /*  838927 */   // Label 12906: @838927
     /*  838927 */   GIM_Try, /*On fail goto*//*Label 12907*/ GIMT_Encode4(839002), // Rule ID 22740 //
     /*  838932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  838935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  838940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  838943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  838946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  838949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  838952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  838955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  838967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  838971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  838978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  838978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  838981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  838983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  838985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  838987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  838989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  838994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  838997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839000 */     GIR_RootConstrainSelectedInstOperands,
     /*  839001 */     // GIR_Coverage, 22740,
     /*  839001 */     GIR_EraseRootFromParent_Done,
     /*  839002 */   // Label 12907: @839002
     /*  839002 */   GIM_Try, /*On fail goto*//*Label 12908*/ GIMT_Encode4(839077), // Rule ID 22741 //
     /*  839007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  839015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  839024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  839027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11663:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  839053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16),
     /*  839056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  839072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839075 */     GIR_RootConstrainSelectedInstOperands,
     /*  839076 */     // GIR_Coverage, 22741,
     /*  839076 */     GIR_EraseRootFromParent_Done,
     /*  839077 */   // Label 12908: @839077
     /*  839077 */   GIM_Try, /*On fail goto*//*Label 12909*/ GIMT_Encode4(839152), // Rule ID 22744 //
     /*  839082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  839090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  839099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  839131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839150 */     GIR_RootConstrainSelectedInstOperands,
     /*  839151 */     // GIR_Coverage, 22744,
     /*  839151 */     GIR_EraseRootFromParent_Done,
     /*  839152 */   // Label 12909: @839152
     /*  839152 */   GIM_Try, /*On fail goto*//*Label 12910*/ GIMT_Encode4(839227), // Rule ID 22745 //
     /*  839157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  839165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  839174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  839192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32),
     /*  839206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839225 */     GIR_RootConstrainSelectedInstOperands,
     /*  839226 */     // GIR_Coverage, 22745,
     /*  839226 */     GIR_EraseRootFromParent_Done,
     /*  839227 */   // Label 12910: @839227
     /*  839227 */   GIM_Try, /*On fail goto*//*Label 12911*/ GIMT_Encode4(839302), // Rule ID 22748 //
     /*  839232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  839240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  839249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  839281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839300 */     GIR_RootConstrainSelectedInstOperands,
     /*  839301 */     // GIR_Coverage, 22748,
     /*  839301 */     GIR_EraseRootFromParent_Done,
     /*  839302 */   // Label 12911: @839302
     /*  839302 */   GIM_Try, /*On fail goto*//*Label 12912*/ GIMT_Encode4(839377), // Rule ID 22749 //
     /*  839307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  839315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  839324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  839342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839353 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32),
     /*  839356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839375 */     GIR_RootConstrainSelectedInstOperands,
     /*  839376 */     // GIR_Coverage, 22749,
     /*  839376 */     GIR_EraseRootFromParent_Done,
     /*  839377 */   // Label 12912: @839377
     /*  839377 */   GIM_Try, /*On fail goto*//*Label 12913*/ GIMT_Encode4(839452), // Rule ID 22752 //
     /*  839382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  839390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  839428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  839431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839450 */     GIR_RootConstrainSelectedInstOperands,
     /*  839451 */     // GIR_Coverage, 22752,
     /*  839451 */     GIR_EraseRootFromParent_Done,
     /*  839452 */   // Label 12913: @839452
     /*  839452 */   GIM_Try, /*On fail goto*//*Label 12914*/ GIMT_Encode4(839527), // Rule ID 22753 //
     /*  839457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu),
     /*  839465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  839468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  839471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  839474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  839477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  839492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11663:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  839503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32),
     /*  839506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  839522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839525 */     GIR_RootConstrainSelectedInstOperands,
     /*  839526 */     // GIR_Coverage, 22753,
     /*  839526 */     GIR_EraseRootFromParent_Done,
     /*  839527 */   // Label 12914: @839527
     /*  839527 */   GIM_Try, /*On fail goto*//*Label 12915*/ GIMT_Encode4(839602), // Rule ID 22756 //
     /*  839532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  839549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  839581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839600 */     GIR_RootConstrainSelectedInstOperands,
     /*  839601 */     // GIR_Coverage, 22756,
     /*  839601 */     GIR_EraseRootFromParent_Done,
     /*  839602 */   // Label 12915: @839602
     /*  839602 */   GIM_Try, /*On fail goto*//*Label 12916*/ GIMT_Encode4(839677), // Rule ID 22757 //
     /*  839607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  839624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839653 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8),
     /*  839656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839675 */     GIR_RootConstrainSelectedInstOperands,
     /*  839676 */     // GIR_Coverage, 22757,
     /*  839676 */     GIR_EraseRootFromParent_Done,
     /*  839677 */   // Label 12916: @839677
     /*  839677 */   GIM_Try, /*On fail goto*//*Label 12917*/ GIMT_Encode4(839752), // Rule ID 22760 //
     /*  839682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  839699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839728 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  839731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839750 */     GIR_RootConstrainSelectedInstOperands,
     /*  839751 */     // GIR_Coverage, 22760,
     /*  839751 */     GIR_EraseRootFromParent_Done,
     /*  839752 */   // Label 12917: @839752
     /*  839752 */   GIM_Try, /*On fail goto*//*Label 12918*/ GIMT_Encode4(839827), // Rule ID 22761 //
     /*  839757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  839774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8),
     /*  839806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839825 */     GIR_RootConstrainSelectedInstOperands,
     /*  839826 */     // GIR_Coverage, 22761,
     /*  839826 */     GIR_EraseRootFromParent_Done,
     /*  839827 */   // Label 12918: @839827
     /*  839827 */   GIM_Try, /*On fail goto*//*Label 12919*/ GIMT_Encode4(839902), // Rule ID 22764 //
     /*  839832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  839849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  839855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  839878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  839881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839900 */     GIR_RootConstrainSelectedInstOperands,
     /*  839901 */     // GIR_Coverage, 22764,
     /*  839901 */     GIR_EraseRootFromParent_Done,
     /*  839902 */   // Label 12919: @839902
     /*  839902 */   GIM_Try, /*On fail goto*//*Label 12920*/ GIMT_Encode4(839977), // Rule ID 22765 //
     /*  839907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  839910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  839918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  839921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  839924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  839927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  839930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  839946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  839953 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  839953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8),
     /*  839956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  839958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  839960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  839962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  839964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  839969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  839972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  839975 */     GIR_RootConstrainSelectedInstOperands,
     /*  839976 */     // GIR_Coverage, 22765,
     /*  839976 */     GIR_EraseRootFromParent_Done,
     /*  839977 */   // Label 12920: @839977
     /*  839977 */   GIM_Try, /*On fail goto*//*Label 12921*/ GIMT_Encode4(840052), // Rule ID 22768 //
     /*  839982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  839985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  839990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  839993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  839996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  839999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  840031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840050 */     GIR_RootConstrainSelectedInstOperands,
     /*  840051 */     // GIR_Coverage, 22768,
     /*  840051 */     GIR_EraseRootFromParent_Done,
     /*  840052 */   // Label 12921: @840052
     /*  840052 */   GIM_Try, /*On fail goto*//*Label 12922*/ GIMT_Encode4(840127), // Rule ID 22769 //
     /*  840057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  840074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840103 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16),
     /*  840106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840125 */     GIR_RootConstrainSelectedInstOperands,
     /*  840126 */     // GIR_Coverage, 22769,
     /*  840126 */     GIR_EraseRootFromParent_Done,
     /*  840127 */   // Label 12922: @840127
     /*  840127 */   GIM_Try, /*On fail goto*//*Label 12923*/ GIMT_Encode4(840202), // Rule ID 22772 //
     /*  840132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  840149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  840181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840200 */     GIR_RootConstrainSelectedInstOperands,
     /*  840201 */     // GIR_Coverage, 22772,
     /*  840201 */     GIR_EraseRootFromParent_Done,
     /*  840202 */   // Label 12923: @840202
     /*  840202 */   GIM_Try, /*On fail goto*//*Label 12924*/ GIMT_Encode4(840277), // Rule ID 22773 //
     /*  840207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  840224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16),
     /*  840256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840275 */     GIR_RootConstrainSelectedInstOperands,
     /*  840276 */     // GIR_Coverage, 22773,
     /*  840276 */     GIR_EraseRootFromParent_Done,
     /*  840277 */   // Label 12924: @840277
     /*  840277 */   GIM_Try, /*On fail goto*//*Label 12925*/ GIMT_Encode4(840352), // Rule ID 22776 //
     /*  840282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  840299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  840331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840350 */     GIR_RootConstrainSelectedInstOperands,
     /*  840351 */     // GIR_Coverage, 22776,
     /*  840351 */     GIR_EraseRootFromParent_Done,
     /*  840352 */   // Label 12925: @840352
     /*  840352 */   GIM_Try, /*On fail goto*//*Label 12926*/ GIMT_Encode4(840427), // Rule ID 22777 //
     /*  840357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  840374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32),
     /*  840406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840425 */     GIR_RootConstrainSelectedInstOperands,
     /*  840426 */     // GIR_Coverage, 22777,
     /*  840426 */     GIR_EraseRootFromParent_Done,
     /*  840427 */   // Label 12926: @840427
     /*  840427 */   GIM_Try, /*On fail goto*//*Label 12927*/ GIMT_Encode4(840502), // Rule ID 22780 //
     /*  840432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  840449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  840481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840500 */     GIR_RootConstrainSelectedInstOperands,
     /*  840501 */     // GIR_Coverage, 22780,
     /*  840501 */     GIR_EraseRootFromParent_Done,
     /*  840502 */   // Label 12927: @840502
     /*  840502 */   GIM_Try, /*On fail goto*//*Label 12928*/ GIMT_Encode4(840577), // Rule ID 22781 //
     /*  840507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  840524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840553 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  840553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8),
     /*  840556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840575 */     GIR_RootConstrainSelectedInstOperands,
     /*  840576 */     // GIR_Coverage, 22781,
     /*  840576 */     GIR_EraseRootFromParent_Done,
     /*  840577 */   // Label 12928: @840577
     /*  840577 */   GIM_Try, /*On fail goto*//*Label 12929*/ GIMT_Encode4(840652), // Rule ID 22784 //
     /*  840582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  840628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  840631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840650 */     GIR_RootConstrainSelectedInstOperands,
     /*  840651 */     // GIR_Coverage, 22784,
     /*  840651 */     GIR_EraseRootFromParent_Done,
     /*  840652 */   // Label 12929: @840652
     /*  840652 */   GIM_Try, /*On fail goto*//*Label 12930*/ GIMT_Encode4(840727), // Rule ID 22785 //
     /*  840657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  840668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  840671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  840674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  840677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840703 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  840703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16),
     /*  840706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  840722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840725 */     GIR_RootConstrainSelectedInstOperands,
     /*  840726 */     // GIR_Coverage, 22785,
     /*  840726 */     GIR_EraseRootFromParent_Done,
     /*  840727 */   // Label 12930: @840727
     /*  840727 */   GIM_Try, /*On fail goto*//*Label 12931*/ GIMT_Encode4(840802), // Rule ID 22788 //
     /*  840732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  840778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  840781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840800 */     GIR_RootConstrainSelectedInstOperands,
     /*  840801 */     // GIR_Coverage, 22788,
     /*  840801 */     GIR_EraseRootFromParent_Done,
     /*  840802 */   // Label 12931: @840802
     /*  840802 */   GIM_Try, /*On fail goto*//*Label 12932*/ GIMT_Encode4(840877), // Rule ID 22789 //
     /*  840807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  840818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  840821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  840824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  840827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840853 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  840853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32),
     /*  840856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  840872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840875 */     GIR_RootConstrainSelectedInstOperands,
     /*  840876 */     // GIR_Coverage, 22789,
     /*  840876 */     GIR_EraseRootFromParent_Done,
     /*  840877 */   // Label 12932: @840877
     /*  840877 */   GIM_Try, /*On fail goto*//*Label 12933*/ GIMT_Encode4(840952), // Rule ID 22792 //
     /*  840882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  840885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  840905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  840928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  840928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  840931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  840933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  840935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  840937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  840939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  840944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  840947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  840950 */     GIR_RootConstrainSelectedInstOperands,
     /*  840951 */     // GIR_Coverage, 22792,
     /*  840951 */     GIR_EraseRootFromParent_Done,
     /*  840952 */   // Label 12933: @840952
     /*  840952 */   GIM_Try, /*On fail goto*//*Label 12934*/ GIMT_Encode4(841027), // Rule ID 22793 //
     /*  840957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  840960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  840965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  840968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  840971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  840974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  840977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  840980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  840992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  840996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  841003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8),
     /*  841006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841025 */     GIR_RootConstrainSelectedInstOperands,
     /*  841026 */     // GIR_Coverage, 22793,
     /*  841026 */     GIR_EraseRootFromParent_Done,
     /*  841027 */   // Label 12934: @841027
     /*  841027 */   GIM_Try, /*On fail goto*//*Label 12935*/ GIMT_Encode4(841102), // Rule ID 22796 //
     /*  841032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  841049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  841078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  841081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841100 */     GIR_RootConstrainSelectedInstOperands,
     /*  841101 */     // GIR_Coverage, 22796,
     /*  841101 */     GIR_EraseRootFromParent_Done,
     /*  841102 */   // Label 12935: @841102
     /*  841102 */   GIM_Try, /*On fail goto*//*Label 12936*/ GIMT_Encode4(841177), // Rule ID 22797 //
     /*  841107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  841124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841153 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  841153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8),
     /*  841156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841175 */     GIR_RootConstrainSelectedInstOperands,
     /*  841176 */     // GIR_Coverage, 22797,
     /*  841176 */     GIR_EraseRootFromParent_Done,
     /*  841177 */   // Label 12936: @841177
     /*  841177 */   GIM_Try, /*On fail goto*//*Label 12937*/ GIMT_Encode4(841252), // Rule ID 22800 //
     /*  841182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  841199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  841228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  841231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841250 */     GIR_RootConstrainSelectedInstOperands,
     /*  841251 */     // GIR_Coverage, 22800,
     /*  841251 */     GIR_EraseRootFromParent_Done,
     /*  841252 */   // Label 12937: @841252
     /*  841252 */   GIM_Try, /*On fail goto*//*Label 12938*/ GIMT_Encode4(841327), // Rule ID 22801 //
     /*  841257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  841268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  841271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  841274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  841277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11661:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  841303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8),
     /*  841306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  841322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841325 */     GIR_RootConstrainSelectedInstOperands,
     /*  841326 */     // GIR_Coverage, 22801,
     /*  841326 */     GIR_EraseRootFromParent_Done,
     /*  841327 */   // Label 12938: @841327
     /*  841327 */   GIM_Try, /*On fail goto*//*Label 12939*/ GIMT_Encode4(841402), // Rule ID 22804 //
     /*  841332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  841349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  841381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841400 */     GIR_RootConstrainSelectedInstOperands,
     /*  841401 */     // GIR_Coverage, 22804,
     /*  841401 */     GIR_EraseRootFromParent_Done,
     /*  841402 */   // Label 12939: @841402
     /*  841402 */   GIM_Try, /*On fail goto*//*Label 12940*/ GIMT_Encode4(841477), // Rule ID 22805 //
     /*  841407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  841424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16),
     /*  841456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841475 */     GIR_RootConstrainSelectedInstOperands,
     /*  841476 */     // GIR_Coverage, 22805,
     /*  841476 */     GIR_EraseRootFromParent_Done,
     /*  841477 */   // Label 12940: @841477
     /*  841477 */   GIM_Try, /*On fail goto*//*Label 12941*/ GIMT_Encode4(841552), // Rule ID 22808 //
     /*  841482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  841531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841550 */     GIR_RootConstrainSelectedInstOperands,
     /*  841551 */     // GIR_Coverage, 22808,
     /*  841551 */     GIR_EraseRootFromParent_Done,
     /*  841552 */   // Label 12941: @841552
     /*  841552 */   GIM_Try, /*On fail goto*//*Label 12942*/ GIMT_Encode4(841627), // Rule ID 22809 //
     /*  841557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  841574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841603 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16),
     /*  841606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841625 */     GIR_RootConstrainSelectedInstOperands,
     /*  841626 */     // GIR_Coverage, 22809,
     /*  841626 */     GIR_EraseRootFromParent_Done,
     /*  841627 */   // Label 12942: @841627
     /*  841627 */   GIM_Try, /*On fail goto*//*Label 12943*/ GIMT_Encode4(841702), // Rule ID 22812 //
     /*  841632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  841678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  841681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841700 */     GIR_RootConstrainSelectedInstOperands,
     /*  841701 */     // GIR_Coverage, 22812,
     /*  841701 */     GIR_EraseRootFromParent_Done,
     /*  841702 */   // Label 12943: @841702
     /*  841702 */   GIM_Try, /*On fail goto*//*Label 12944*/ GIMT_Encode4(841777), // Rule ID 22813 //
     /*  841707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  841718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  841721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  841724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  841727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  841742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11661:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  841753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16),
     /*  841756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  841772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841775 */     GIR_RootConstrainSelectedInstOperands,
     /*  841776 */     // GIR_Coverage, 22813,
     /*  841776 */     GIR_EraseRootFromParent_Done,
     /*  841777 */   // Label 12944: @841777
     /*  841777 */   GIM_Try, /*On fail goto*//*Label 12945*/ GIMT_Encode4(841852), // Rule ID 22816 //
     /*  841782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  841831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841850 */     GIR_RootConstrainSelectedInstOperands,
     /*  841851 */     // GIR_Coverage, 22816,
     /*  841851 */     GIR_EraseRootFromParent_Done,
     /*  841852 */   // Label 12945: @841852
     /*  841852 */   GIM_Try, /*On fail goto*//*Label 12946*/ GIMT_Encode4(841927), // Rule ID 22817 //
     /*  841857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  841860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  841874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  841880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  841892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  841903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32),
     /*  841906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  841925 */     GIR_RootConstrainSelectedInstOperands,
     /*  841926 */     // GIR_Coverage, 22817,
     /*  841926 */     GIR_EraseRootFromParent_Done,
     /*  841927 */   // Label 12946: @841927
     /*  841927 */   GIM_Try, /*On fail goto*//*Label 12947*/ GIMT_Encode4(842002), // Rule ID 22820 //
     /*  841932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  841935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  841940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  841943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  841946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  841949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  841952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  841955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  841967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  841971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  841978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  841978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  841981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  841983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  841985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  841987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  841989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  841994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  841997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842000 */     GIR_RootConstrainSelectedInstOperands,
     /*  842001 */     // GIR_Coverage, 22820,
     /*  842001 */     GIR_EraseRootFromParent_Done,
     /*  842002 */   // Label 12947: @842002
     /*  842002 */   GIM_Try, /*On fail goto*//*Label 12948*/ GIMT_Encode4(842077), // Rule ID 22821 //
     /*  842007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  842015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  842024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  842042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842053 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32),
     /*  842056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842075 */     GIR_RootConstrainSelectedInstOperands,
     /*  842076 */     // GIR_Coverage, 22821,
     /*  842076 */     GIR_EraseRootFromParent_Done,
     /*  842077 */   // Label 12948: @842077
     /*  842077 */   GIM_Try, /*On fail goto*//*Label 12949*/ GIMT_Encode4(842152), // Rule ID 22824 //
     /*  842082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  842085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  842090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  842099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  842131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842150 */     GIR_RootConstrainSelectedInstOperands,
     /*  842151 */     // GIR_Coverage, 22824,
     /*  842151 */     GIR_EraseRootFromParent_Done,
     /*  842152 */   // Label 12949: @842152
     /*  842152 */   GIM_Try, /*On fail goto*//*Label 12950*/ GIMT_Encode4(842227), // Rule ID 22825 //
     /*  842157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  842160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum),
     /*  842165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  842174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  842177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  842192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11661:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32),
     /*  842206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842225 */     GIR_RootConstrainSelectedInstOperands,
     /*  842226 */     // GIR_Coverage, 22825,
     /*  842226 */     GIR_EraseRootFromParent_Done,
     /*  842227 */   // Label 12950: @842227
     /*  842227 */   GIM_Try, /*On fail goto*//*Label 12951*/ GIMT_Encode4(842302), // Rule ID 22944 //
     /*  842232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  842249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842278 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  842281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842300 */     GIR_RootConstrainSelectedInstOperands,
     /*  842301 */     // GIR_Coverage, 22944,
     /*  842301 */     GIR_EraseRootFromParent_Done,
     /*  842302 */   // Label 12951: @842302
     /*  842302 */   GIM_Try, /*On fail goto*//*Label 12952*/ GIMT_Encode4(842377), // Rule ID 22945 //
     /*  842307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  842324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842353 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16),
     /*  842356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842375 */     GIR_RootConstrainSelectedInstOperands,
     /*  842376 */     // GIR_Coverage, 22945,
     /*  842376 */     GIR_EraseRootFromParent_Done,
     /*  842377 */   // Label 12952: @842377
     /*  842377 */   GIM_Try, /*On fail goto*//*Label 12953*/ GIMT_Encode4(842452), // Rule ID 22948 //
     /*  842382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  842399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842428 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  842431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842450 */     GIR_RootConstrainSelectedInstOperands,
     /*  842451 */     // GIR_Coverage, 22948,
     /*  842451 */     GIR_EraseRootFromParent_Done,
     /*  842452 */   // Label 12953: @842452
     /*  842452 */   GIM_Try, /*On fail goto*//*Label 12954*/ GIMT_Encode4(842527), // Rule ID 22949 //
     /*  842457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  842474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842503 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16),
     /*  842506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842525 */     GIR_RootConstrainSelectedInstOperands,
     /*  842526 */     // GIR_Coverage, 22949,
     /*  842526 */     GIR_EraseRootFromParent_Done,
     /*  842527 */   // Label 12954: @842527
     /*  842527 */   GIM_Try, /*On fail goto*//*Label 12955*/ GIMT_Encode4(842602), // Rule ID 22952 //
     /*  842532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  842535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  842549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842578 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  842581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842600 */     GIR_RootConstrainSelectedInstOperands,
     /*  842601 */     // GIR_Coverage, 22952,
     /*  842601 */     GIR_EraseRootFromParent_Done,
     /*  842602 */   // Label 12955: @842602
     /*  842602 */   GIM_Try, /*On fail goto*//*Label 12956*/ GIMT_Encode4(842677), // Rule ID 22953 //
     /*  842607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  842610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  842624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842653 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32),
     /*  842656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842675 */     GIR_RootConstrainSelectedInstOperands,
     /*  842676 */     // GIR_Coverage, 22953,
     /*  842676 */     GIR_EraseRootFromParent_Done,
     /*  842677 */   // Label 12956: @842677
     /*  842677 */   GIM_Try, /*On fail goto*//*Label 12957*/ GIMT_Encode4(842752), // Rule ID 22956 //
     /*  842682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  842685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  842699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842728 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  842728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  842731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842750 */     GIR_RootConstrainSelectedInstOperands,
     /*  842751 */     // GIR_Coverage, 22956,
     /*  842751 */     GIR_EraseRootFromParent_Done,
     /*  842752 */   // Label 12957: @842752
     /*  842752 */   GIM_Try, /*On fail goto*//*Label 12958*/ GIMT_Encode4(842827), // Rule ID 22957 //
     /*  842757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  842760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  842768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  842771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  842774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  842777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842803 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  842803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16),
     /*  842806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  842822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842825 */     GIR_RootConstrainSelectedInstOperands,
     /*  842826 */     // GIR_Coverage, 22957,
     /*  842826 */     GIR_EraseRootFromParent_Done,
     /*  842827 */   // Label 12958: @842827
     /*  842827 */   GIM_Try, /*On fail goto*//*Label 12959*/ GIMT_Encode4(842902), // Rule ID 22960 //
     /*  842832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  842835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  842849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  842855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842878 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  842878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  842881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842900 */     GIR_RootConstrainSelectedInstOperands,
     /*  842901 */     // GIR_Coverage, 22960,
     /*  842901 */     GIR_EraseRootFromParent_Done,
     /*  842902 */   // Label 12959: @842902
     /*  842902 */   GIM_Try, /*On fail goto*//*Label 12960*/ GIMT_Encode4(842977), // Rule ID 22961 //
     /*  842907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  842910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  842918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  842921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  842924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  842927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  842930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  842946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  842953 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  842953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32),
     /*  842956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  842958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  842960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  842962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  842964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  842969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  842972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  842975 */     GIR_RootConstrainSelectedInstOperands,
     /*  842976 */     // GIR_Coverage, 22961,
     /*  842976 */     GIR_EraseRootFromParent_Done,
     /*  842977 */   // Label 12960: @842977
     /*  842977 */   GIM_Try, /*On fail goto*//*Label 12961*/ GIMT_Encode4(843052), // Rule ID 22964 //
     /*  842982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  842985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  842990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  842993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  842996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  842999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843028 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  843028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  843031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843050 */     GIR_RootConstrainSelectedInstOperands,
     /*  843051 */     // GIR_Coverage, 22964,
     /*  843051 */     GIR_EraseRootFromParent_Done,
     /*  843052 */   // Label 12961: @843052
     /*  843052 */   GIM_Try, /*On fail goto*//*Label 12962*/ GIMT_Encode4(843127), // Rule ID 22965 //
     /*  843057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  843060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  843068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  843071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  843074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  843077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843103 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  843103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64),
     /*  843106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  843122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843125 */     GIR_RootConstrainSelectedInstOperands,
     /*  843126 */     // GIR_Coverage, 22965,
     /*  843126 */     GIR_EraseRootFromParent_Done,
     /*  843127 */   // Label 12962: @843127
     /*  843127 */   GIM_Try, /*On fail goto*//*Label 12963*/ GIMT_Encode4(843202), // Rule ID 22968 //
     /*  843132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  843135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  843149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843178 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  843181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843200 */     GIR_RootConstrainSelectedInstOperands,
     /*  843201 */     // GIR_Coverage, 22968,
     /*  843201 */     GIR_EraseRootFromParent_Done,
     /*  843202 */   // Label 12963: @843202
     /*  843202 */   GIM_Try, /*On fail goto*//*Label 12964*/ GIMT_Encode4(843277), // Rule ID 22969 //
     /*  843207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  843210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  843224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843253 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16),
     /*  843256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843275 */     GIR_RootConstrainSelectedInstOperands,
     /*  843276 */     // GIR_Coverage, 22969,
     /*  843276 */     GIR_EraseRootFromParent_Done,
     /*  843277 */   // Label 12964: @843277
     /*  843277 */   GIM_Try, /*On fail goto*//*Label 12965*/ GIMT_Encode4(843352), // Rule ID 22972 //
     /*  843282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  843285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  843299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843328 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  843331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843350 */     GIR_RootConstrainSelectedInstOperands,
     /*  843351 */     // GIR_Coverage, 22972,
     /*  843351 */     GIR_EraseRootFromParent_Done,
     /*  843352 */   // Label 12965: @843352
     /*  843352 */   GIM_Try, /*On fail goto*//*Label 12966*/ GIMT_Encode4(843427), // Rule ID 22973 //
     /*  843357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  843360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  843374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843403 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16),
     /*  843406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843425 */     GIR_RootConstrainSelectedInstOperands,
     /*  843426 */     // GIR_Coverage, 22973,
     /*  843426 */     GIR_EraseRootFromParent_Done,
     /*  843427 */   // Label 12966: @843427
     /*  843427 */   GIM_Try, /*On fail goto*//*Label 12967*/ GIMT_Encode4(843502), // Rule ID 22976 //
     /*  843432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  843435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  843449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843478 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  843478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  843481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843500 */     GIR_RootConstrainSelectedInstOperands,
     /*  843501 */     // GIR_Coverage, 22976,
     /*  843501 */     GIR_EraseRootFromParent_Done,
     /*  843502 */   // Label 12967: @843502
     /*  843502 */   GIM_Try, /*On fail goto*//*Label 12968*/ GIMT_Encode4(843577), // Rule ID 22977 //
     /*  843507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  843510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  843518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  843521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  843524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  843527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843553 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11255:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  843553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16),
     /*  843556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  843572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843575 */     GIR_RootConstrainSelectedInstOperands,
     /*  843576 */     // GIR_Coverage, 22977,
     /*  843576 */     GIR_EraseRootFromParent_Done,
     /*  843577 */   // Label 12968: @843577
     /*  843577 */   GIM_Try, /*On fail goto*//*Label 12969*/ GIMT_Encode4(843652), // Rule ID 22980 //
     /*  843582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  843585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  843599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843628 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  843631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843650 */     GIR_RootConstrainSelectedInstOperands,
     /*  843651 */     // GIR_Coverage, 22980,
     /*  843651 */     GIR_EraseRootFromParent_Done,
     /*  843652 */   // Label 12969: @843652
     /*  843652 */   GIM_Try, /*On fail goto*//*Label 12970*/ GIMT_Encode4(843727), // Rule ID 22981 //
     /*  843657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  843660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  843674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  843692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843703 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32),
     /*  843706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843725 */     GIR_RootConstrainSelectedInstOperands,
     /*  843726 */     // GIR_Coverage, 22981,
     /*  843726 */     GIR_EraseRootFromParent_Done,
     /*  843727 */   // Label 12970: @843727
     /*  843727 */   GIM_Try, /*On fail goto*//*Label 12971*/ GIMT_Encode4(843802), // Rule ID 22984 //
     /*  843732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  843735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  843749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843778 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  843781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843800 */     GIR_RootConstrainSelectedInstOperands,
     /*  843801 */     // GIR_Coverage, 22984,
     /*  843801 */     GIR_EraseRootFromParent_Done,
     /*  843802 */   // Label 12971: @843802
     /*  843802 */   GIM_Try, /*On fail goto*//*Label 12972*/ GIMT_Encode4(843877), // Rule ID 22985 //
     /*  843807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  843810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  843824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  843842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843853 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  843853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32),
     /*  843856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843875 */     GIR_RootConstrainSelectedInstOperands,
     /*  843876 */     // GIR_Coverage, 22985,
     /*  843876 */     GIR_EraseRootFromParent_Done,
     /*  843877 */   // Label 12972: @843877
     /*  843877 */   GIM_Try, /*On fail goto*//*Label 12973*/ GIMT_Encode4(843952), // Rule ID 22988 //
     /*  843882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  843885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  843899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  843905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  843928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  843928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  843931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  843933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  843935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  843937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  843939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  843944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  843947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  843950 */     GIR_RootConstrainSelectedInstOperands,
     /*  843951 */     // GIR_Coverage, 22988,
     /*  843951 */     GIR_EraseRootFromParent_Done,
     /*  843952 */   // Label 12973: @843952
     /*  843952 */   GIM_Try, /*On fail goto*//*Label 12974*/ GIMT_Encode4(844027), // Rule ID 22989 //
     /*  843957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  843960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  843965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  843968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  843971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  843974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  843977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  843980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  843992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  843996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844003 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11255:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32),
     /*  844006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844025 */     GIR_RootConstrainSelectedInstOperands,
     /*  844026 */     // GIR_Coverage, 22989,
     /*  844026 */     GIR_EraseRootFromParent_Done,
     /*  844027 */   // Label 12974: @844027
     /*  844027 */   GIM_Try, /*On fail goto*//*Label 12975*/ GIMT_Encode4(844102), // Rule ID 22992 //
     /*  844032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  844035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  844040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  844049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844078 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  844081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844100 */     GIR_RootConstrainSelectedInstOperands,
     /*  844101 */     // GIR_Coverage, 22992,
     /*  844101 */     GIR_EraseRootFromParent_Done,
     /*  844102 */   // Label 12975: @844102
     /*  844102 */   GIM_Try, /*On fail goto*//*Label 12976*/ GIMT_Encode4(844177), // Rule ID 22993 //
     /*  844107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  844110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  844115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  844124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  844142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844153 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64),
     /*  844156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844175 */     GIR_RootConstrainSelectedInstOperands,
     /*  844176 */     // GIR_Coverage, 22993,
     /*  844176 */     GIR_EraseRootFromParent_Done,
     /*  844177 */   // Label 12976: @844177
     /*  844177 */   GIM_Try, /*On fail goto*//*Label 12977*/ GIMT_Encode4(844252), // Rule ID 22996 //
     /*  844182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  844185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  844190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  844199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844228 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  844231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844250 */     GIR_RootConstrainSelectedInstOperands,
     /*  844251 */     // GIR_Coverage, 22996,
     /*  844251 */     GIR_EraseRootFromParent_Done,
     /*  844252 */   // Label 12977: @844252
     /*  844252 */   GIM_Try, /*On fail goto*//*Label 12978*/ GIMT_Encode4(844327), // Rule ID 22997 //
     /*  844257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  844260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  844265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  844274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  844292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844303 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64),
     /*  844306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844325 */     GIR_RootConstrainSelectedInstOperands,
     /*  844326 */     // GIR_Coverage, 22997,
     /*  844326 */     GIR_EraseRootFromParent_Done,
     /*  844327 */   // Label 12978: @844327
     /*  844327 */   GIM_Try, /*On fail goto*//*Label 12979*/ GIMT_Encode4(844402), // Rule ID 23000 //
     /*  844332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  844335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  844340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  844349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844378 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  844378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  844381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844400 */     GIR_RootConstrainSelectedInstOperands,
     /*  844401 */     // GIR_Coverage, 23000,
     /*  844401 */     GIR_EraseRootFromParent_Done,
     /*  844402 */   // Label 12979: @844402
     /*  844402 */   GIM_Try, /*On fail goto*//*Label 12980*/ GIMT_Encode4(844477), // Rule ID 23001 //
     /*  844407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  844410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin),
     /*  844415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  844418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  844421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  844424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  844427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  844442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844453 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11255:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  844453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64),
     /*  844456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  844472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844475 */     GIR_RootConstrainSelectedInstOperands,
     /*  844476 */     // GIR_Coverage, 23001,
     /*  844476 */     GIR_EraseRootFromParent_Done,
     /*  844477 */   // Label 12980: @844477
     /*  844477 */   GIM_Try, /*On fail goto*//*Label 12981*/ GIMT_Encode4(844552), // Rule ID 23004 //
     /*  844482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  844499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844528 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  844531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844550 */     GIR_RootConstrainSelectedInstOperands,
     /*  844551 */     // GIR_Coverage, 23004,
     /*  844551 */     GIR_EraseRootFromParent_Done,
     /*  844552 */   // Label 12981: @844552
     /*  844552 */   GIM_Try, /*On fail goto*//*Label 12982*/ GIMT_Encode4(844627), // Rule ID 23005 //
     /*  844557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  844574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844603 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16),
     /*  844606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844625 */     GIR_RootConstrainSelectedInstOperands,
     /*  844626 */     // GIR_Coverage, 23005,
     /*  844626 */     GIR_EraseRootFromParent_Done,
     /*  844627 */   // Label 12982: @844627
     /*  844627 */   GIM_Try, /*On fail goto*//*Label 12983*/ GIMT_Encode4(844702), // Rule ID 23008 //
     /*  844632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  844649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844678 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  844681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844700 */     GIR_RootConstrainSelectedInstOperands,
     /*  844701 */     // GIR_Coverage, 23008,
     /*  844701 */     GIR_EraseRootFromParent_Done,
     /*  844702 */   // Label 12983: @844702
     /*  844702 */   GIM_Try, /*On fail goto*//*Label 12984*/ GIMT_Encode4(844777), // Rule ID 23009 //
     /*  844707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  844710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  844724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844753 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  844753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16),
     /*  844756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844775 */     GIR_RootConstrainSelectedInstOperands,
     /*  844776 */     // GIR_Coverage, 23009,
     /*  844776 */     GIR_EraseRootFromParent_Done,
     /*  844777 */   // Label 12984: @844777
     /*  844777 */   GIM_Try, /*On fail goto*//*Label 12985*/ GIMT_Encode4(844852), // Rule ID 23012 //
     /*  844782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  844785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844828 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  844828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  844831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844850 */     GIR_RootConstrainSelectedInstOperands,
     /*  844851 */     // GIR_Coverage, 23012,
     /*  844851 */     GIR_EraseRootFromParent_Done,
     /*  844852 */   // Label 12985: @844852
     /*  844852 */   GIM_Try, /*On fail goto*//*Label 12986*/ GIMT_Encode4(844927), // Rule ID 23013 //
     /*  844857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  844860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  844868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  844871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  844874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  844877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  844880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844903 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  844903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32),
     /*  844906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  844922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  844925 */     GIR_RootConstrainSelectedInstOperands,
     /*  844926 */     // GIR_Coverage, 23013,
     /*  844926 */     GIR_EraseRootFromParent_Done,
     /*  844927 */   // Label 12986: @844927
     /*  844927 */   GIM_Try, /*On fail goto*//*Label 12987*/ GIMT_Encode4(845002), // Rule ID 23016 //
     /*  844932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  844935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  844940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  844943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  844946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  844949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  844952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  844955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  844971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  844978 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  844978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  844981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  844983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  844985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  844987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  844989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  844994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  844997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845000 */     GIR_RootConstrainSelectedInstOperands,
     /*  845001 */     // GIR_Coverage, 23016,
     /*  845001 */     GIR_EraseRootFromParent_Done,
     /*  845002 */   // Label 12987: @845002
     /*  845002 */   GIM_Try, /*On fail goto*//*Label 12988*/ GIMT_Encode4(845077), // Rule ID 23017 //
     /*  845007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  845024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845053 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16),
     /*  845056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845075 */     GIR_RootConstrainSelectedInstOperands,
     /*  845076 */     // GIR_Coverage, 23017,
     /*  845076 */     GIR_EraseRootFromParent_Done,
     /*  845077 */   // Label 12988: @845077
     /*  845077 */   GIM_Try, /*On fail goto*//*Label 12989*/ GIMT_Encode4(845152), // Rule ID 23020 //
     /*  845082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  845099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845128 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  845131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845150 */     GIR_RootConstrainSelectedInstOperands,
     /*  845151 */     // GIR_Coverage, 23020,
     /*  845151 */     GIR_EraseRootFromParent_Done,
     /*  845152 */   // Label 12989: @845152
     /*  845152 */   GIM_Try, /*On fail goto*//*Label 12990*/ GIMT_Encode4(845227), // Rule ID 23021 //
     /*  845157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  845174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845203 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32),
     /*  845206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845225 */     GIR_RootConstrainSelectedInstOperands,
     /*  845226 */     // GIR_Coverage, 23021,
     /*  845226 */     GIR_EraseRootFromParent_Done,
     /*  845227 */   // Label 12990: @845227
     /*  845227 */   GIM_Try, /*On fail goto*//*Label 12991*/ GIMT_Encode4(845302), // Rule ID 23024 //
     /*  845232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  845235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845278 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  845278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  845281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845300 */     GIR_RootConstrainSelectedInstOperands,
     /*  845301 */     // GIR_Coverage, 23024,
     /*  845301 */     GIR_EraseRootFromParent_Done,
     /*  845302 */   // Label 12991: @845302
     /*  845302 */   GIM_Try, /*On fail goto*//*Label 12992*/ GIMT_Encode4(845377), // Rule ID 23025 //
     /*  845307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  845310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  845318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  845321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  845324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  845327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845353 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  845353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64),
     /*  845356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  845372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845375 */     GIR_RootConstrainSelectedInstOperands,
     /*  845376 */     // GIR_Coverage, 23025,
     /*  845376 */     GIR_EraseRootFromParent_Done,
     /*  845377 */   // Label 12992: @845377
     /*  845377 */   GIM_Try, /*On fail goto*//*Label 12993*/ GIMT_Encode4(845452), // Rule ID 23028 //
     /*  845382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  845399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845428 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  845431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845450 */     GIR_RootConstrainSelectedInstOperands,
     /*  845451 */     // GIR_Coverage, 23028,
     /*  845451 */     GIR_EraseRootFromParent_Done,
     /*  845452 */   // Label 12993: @845452
     /*  845452 */   GIM_Try, /*On fail goto*//*Label 12994*/ GIMT_Encode4(845527), // Rule ID 23029 //
     /*  845457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  845474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845503 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16),
     /*  845506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845525 */     GIR_RootConstrainSelectedInstOperands,
     /*  845526 */     // GIR_Coverage, 23029,
     /*  845526 */     GIR_EraseRootFromParent_Done,
     /*  845527 */   // Label 12994: @845527
     /*  845527 */   GIM_Try, /*On fail goto*//*Label 12995*/ GIMT_Encode4(845602), // Rule ID 23032 //
     /*  845532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  845549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  845581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845600 */     GIR_RootConstrainSelectedInstOperands,
     /*  845601 */     // GIR_Coverage, 23032,
     /*  845601 */     GIR_EraseRootFromParent_Done,
     /*  845602 */   // Label 12995: @845602
     /*  845602 */   GIM_Try, /*On fail goto*//*Label 12996*/ GIMT_Encode4(845677), // Rule ID 23033 //
     /*  845607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  845624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  845642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845653 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16),
     /*  845656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845675 */     GIR_RootConstrainSelectedInstOperands,
     /*  845676 */     // GIR_Coverage, 23033,
     /*  845676 */     GIR_EraseRootFromParent_Done,
     /*  845677 */   // Label 12996: @845677
     /*  845677 */   GIM_Try, /*On fail goto*//*Label 12997*/ GIMT_Encode4(845752), // Rule ID 23036 //
     /*  845682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  845685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845728 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  845728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  845731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845750 */     GIR_RootConstrainSelectedInstOperands,
     /*  845751 */     // GIR_Coverage, 23036,
     /*  845751 */     GIR_EraseRootFromParent_Done,
     /*  845752 */   // Label 12997: @845752
     /*  845752 */   GIM_Try, /*On fail goto*//*Label 12998*/ GIMT_Encode4(845827), // Rule ID 23037 //
     /*  845757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  845760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  845768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  845771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  845774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  845777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  845792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845803 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11253:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  845803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16),
     /*  845806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  845822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845825 */     GIR_RootConstrainSelectedInstOperands,
     /*  845826 */     // GIR_Coverage, 23037,
     /*  845826 */     GIR_EraseRootFromParent_Done,
     /*  845827 */   // Label 12998: @845827
     /*  845827 */   GIM_Try, /*On fail goto*//*Label 12999*/ GIMT_Encode4(845902), // Rule ID 23040 //
     /*  845832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  845855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845878 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  845878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  845881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845900 */     GIR_RootConstrainSelectedInstOperands,
     /*  845901 */     // GIR_Coverage, 23040,
     /*  845901 */     GIR_EraseRootFromParent_Done,
     /*  845902 */   // Label 12999: @845902
     /*  845902 */   GIM_Try, /*On fail goto*//*Label 13000*/ GIMT_Encode4(845977), // Rule ID 23041 //
     /*  845907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  845910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  845924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  845927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  845930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  845942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  845946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  845953 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  845953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32),
     /*  845956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  845958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  845960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  845962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  845964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  845969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  845972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  845975 */     GIR_RootConstrainSelectedInstOperands,
     /*  845976 */     // GIR_Coverage, 23041,
     /*  845976 */     GIR_EraseRootFromParent_Done,
     /*  845977 */   // Label 13000: @845977
     /*  845977 */   GIM_Try, /*On fail goto*//*Label 13001*/ GIMT_Encode4(846052), // Rule ID 23044 //
     /*  845982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  845985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  845990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  845993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  845996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  845999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  846002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846028 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  846031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846050 */     GIR_RootConstrainSelectedInstOperands,
     /*  846051 */     // GIR_Coverage, 23044,
     /*  846051 */     GIR_EraseRootFromParent_Done,
     /*  846052 */   // Label 13001: @846052
     /*  846052 */   GIM_Try, /*On fail goto*//*Label 13002*/ GIMT_Encode4(846127), // Rule ID 23045 //
     /*  846057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  846060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  846074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  846077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846103 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32),
     /*  846106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846125 */     GIR_RootConstrainSelectedInstOperands,
     /*  846126 */     // GIR_Coverage, 23045,
     /*  846126 */     GIR_EraseRootFromParent_Done,
     /*  846127 */   // Label 13002: @846127
     /*  846127 */   GIM_Try, /*On fail goto*//*Label 13003*/ GIMT_Encode4(846202), // Rule ID 23048 //
     /*  846132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  846135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  846149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  846152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846178 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  846178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  846181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846200 */     GIR_RootConstrainSelectedInstOperands,
     /*  846201 */     // GIR_Coverage, 23048,
     /*  846201 */     GIR_EraseRootFromParent_Done,
     /*  846202 */   // Label 13003: @846202
     /*  846202 */   GIM_Try, /*On fail goto*//*Label 13004*/ GIMT_Encode4(846277), // Rule ID 23049 //
     /*  846207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  846210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  846218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  846221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  846224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  846227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846253 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11253:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  846253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32),
     /*  846256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  846272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846275 */     GIR_RootConstrainSelectedInstOperands,
     /*  846276 */     // GIR_Coverage, 23049,
     /*  846276 */     GIR_EraseRootFromParent_Done,
     /*  846277 */   // Label 13004: @846277
     /*  846277 */   GIM_Try, /*On fail goto*//*Label 13005*/ GIMT_Encode4(846352), // Rule ID 23052 //
     /*  846282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  846285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  846299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846328 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  846331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846350 */     GIR_RootConstrainSelectedInstOperands,
     /*  846351 */     // GIR_Coverage, 23052,
     /*  846351 */     GIR_EraseRootFromParent_Done,
     /*  846352 */   // Label 13005: @846352
     /*  846352 */   GIM_Try, /*On fail goto*//*Label 13006*/ GIMT_Encode4(846427), // Rule ID 23053 //
     /*  846357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  846360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  846374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  846392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846403 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64),
     /*  846406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846425 */     GIR_RootConstrainSelectedInstOperands,
     /*  846426 */     // GIR_Coverage, 23053,
     /*  846426 */     GIR_EraseRootFromParent_Done,
     /*  846427 */   // Label 13006: @846427
     /*  846427 */   GIM_Try, /*On fail goto*//*Label 13007*/ GIMT_Encode4(846502), // Rule ID 23056 //
     /*  846432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  846435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  846449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846478 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  846481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846500 */     GIR_RootConstrainSelectedInstOperands,
     /*  846501 */     // GIR_Coverage, 23056,
     /*  846501 */     GIR_EraseRootFromParent_Done,
     /*  846502 */   // Label 13007: @846502
     /*  846502 */   GIM_Try, /*On fail goto*//*Label 13008*/ GIMT_Encode4(846577), // Rule ID 23057 //
     /*  846507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  846510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  846524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  846542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846553 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64),
     /*  846556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846575 */     GIR_RootConstrainSelectedInstOperands,
     /*  846576 */     // GIR_Coverage, 23057,
     /*  846576 */     GIR_EraseRootFromParent_Done,
     /*  846577 */   // Label 13008: @846577
     /*  846577 */   GIM_Try, /*On fail goto*//*Label 13009*/ GIMT_Encode4(846652), // Rule ID 23060 //
     /*  846582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  846585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  846628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  846631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846650 */     GIR_RootConstrainSelectedInstOperands,
     /*  846651 */     // GIR_Coverage, 23060,
     /*  846651 */     GIR_EraseRootFromParent_Done,
     /*  846652 */   // Label 13009: @846652
     /*  846652 */   GIM_Try, /*On fail goto*//*Label 13010*/ GIMT_Encode4(846727), // Rule ID 23061 //
     /*  846657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  846660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax),
     /*  846665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  846668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  846671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  846674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  846677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  846692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846703 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11253:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  846703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64),
     /*  846706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  846710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  846712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  846714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  846722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846725 */     GIR_RootConstrainSelectedInstOperands,
     /*  846726 */     // GIR_Coverage, 23061,
     /*  846726 */     GIR_EraseRootFromParent_Done,
     /*  846727 */   // Label 13010: @846727
     /*  846727 */   GIM_Try, /*On fail goto*//*Label 13011*/ GIMT_Encode4(846802), // Rule ID 23342 //
     /*  846732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  846743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  846746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  846749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  846752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846778 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  846781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846800 */     GIR_RootConstrainSelectedInstOperands,
     /*  846801 */     // GIR_Coverage, 23342,
     /*  846801 */     GIR_EraseRootFromParent_Done,
     /*  846802 */   // Label 13011: @846802
     /*  846802 */   GIM_Try, /*On fail goto*//*Label 13012*/ GIMT_Encode4(846877), // Rule ID 23343 //
     /*  846807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  846818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  846821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  846824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  846827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846853 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  846853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B32_MASK),
     /*  846856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846862 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846875 */     GIR_RootConstrainSelectedInstOperands,
     /*  846876 */     // GIR_Coverage, 23343,
     /*  846876 */     GIR_EraseRootFromParent_Done,
     /*  846877 */   // Label 13012: @846877
     /*  846877 */   GIM_Try, /*On fail goto*//*Label 13013*/ GIMT_Encode4(846952), // Rule ID 23346 //
     /*  846882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  846885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  846893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  846896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  846899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  846902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  846905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  846928 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  846928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  846931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  846933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  846935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  846937 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  846939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  846944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  846947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  846950 */     GIR_RootConstrainSelectedInstOperands,
     /*  846951 */     // GIR_Coverage, 23346,
     /*  846951 */     GIR_EraseRootFromParent_Done,
     /*  846952 */   // Label 13013: @846952
     /*  846952 */   GIM_Try, /*On fail goto*//*Label 13014*/ GIMT_Encode4(847027), // Rule ID 23347 //
     /*  846957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  846960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  846965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  846968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  846971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  846974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  846977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  846980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  846984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  846992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  846996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847003 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B16_MASK),
     /*  847006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847025 */     GIR_RootConstrainSelectedInstOperands,
     /*  847026 */     // GIR_Coverage, 23347,
     /*  847026 */     GIR_EraseRootFromParent_Done,
     /*  847027 */   // Label 13014: @847027
     /*  847027 */   GIM_Try, /*On fail goto*//*Label 13015*/ GIMT_Encode4(847102), // Rule ID 23350 //
     /*  847032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  847043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  847046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  847049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  847052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847078 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  847081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847100 */     GIR_RootConstrainSelectedInstOperands,
     /*  847101 */     // GIR_Coverage, 23350,
     /*  847101 */     GIR_EraseRootFromParent_Done,
     /*  847102 */   // Label 13015: @847102
     /*  847102 */   GIM_Try, /*On fail goto*//*Label 13016*/ GIMT_Encode4(847177), // Rule ID 23351 //
     /*  847107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  847118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  847121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  847124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  847127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847153 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B8_MASK),
     /*  847156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847175 */     GIR_RootConstrainSelectedInstOperands,
     /*  847176 */     // GIR_Coverage, 23351,
     /*  847176 */     GIR_EraseRootFromParent_Done,
     /*  847177 */   // Label 13016: @847177
     /*  847177 */   GIM_Try, /*On fail goto*//*Label 13017*/ GIMT_Encode4(847252), // Rule ID 23354 //
     /*  847182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  847193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  847196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  847199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  847202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847228 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  847231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847250 */     GIR_RootConstrainSelectedInstOperands,
     /*  847251 */     // GIR_Coverage, 23354,
     /*  847251 */     GIR_EraseRootFromParent_Done,
     /*  847252 */   // Label 13017: @847252
     /*  847252 */   GIM_Try, /*On fail goto*//*Label 13018*/ GIMT_Encode4(847327), // Rule ID 23355 //
     /*  847257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  847268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  847271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  847274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  847277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847303 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B4_MASK),
     /*  847306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847325 */     GIR_RootConstrainSelectedInstOperands,
     /*  847326 */     // GIR_Coverage, 23355,
     /*  847326 */     GIR_EraseRootFromParent_Done,
     /*  847327 */   // Label 13018: @847327
     /*  847327 */   GIM_Try, /*On fail goto*//*Label 13019*/ GIMT_Encode4(847402), // Rule ID 23358 //
     /*  847332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  847343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  847346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  847349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  847352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847378 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  847381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847400 */     GIR_RootConstrainSelectedInstOperands,
     /*  847401 */     // GIR_Coverage, 23358,
     /*  847401 */     GIR_EraseRootFromParent_Done,
     /*  847402 */   // Label 13019: @847402
     /*  847402 */   GIM_Try, /*On fail goto*//*Label 13020*/ GIMT_Encode4(847477), // Rule ID 23359 //
     /*  847407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  847418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  847421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  847424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  847427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847453 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B2_MASK),
     /*  847456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847475 */     GIR_RootConstrainSelectedInstOperands,
     /*  847476 */     // GIR_Coverage, 23359,
     /*  847476 */     GIR_EraseRootFromParent_Done,
     /*  847477 */   // Label 13020: @847477
     /*  847477 */   GIM_Try, /*On fail goto*//*Label 13021*/ GIMT_Encode4(847552), // Rule ID 23362 //
     /*  847482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  847493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  847496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  847499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  847502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847528 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  847531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847550 */     GIR_RootConstrainSelectedInstOperands,
     /*  847551 */     // GIR_Coverage, 23362,
     /*  847551 */     GIR_EraseRootFromParent_Done,
     /*  847552 */   // Label 13021: @847552
     /*  847552 */   GIM_Try, /*On fail goto*//*Label 13022*/ GIMT_Encode4(847627), // Rule ID 23363 //
     /*  847557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsbf_mask),
     /*  847565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  847568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  847571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  847574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  847577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847603 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11443:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSBF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSBF_M_B1_MASK),
     /*  847606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847625 */     GIR_RootConstrainSelectedInstOperands,
     /*  847626 */     // GIR_Coverage, 23363,
     /*  847626 */     GIR_EraseRootFromParent_Done,
     /*  847627 */   // Label 13022: @847627
     /*  847627 */   GIM_Try, /*On fail goto*//*Label 13023*/ GIMT_Encode4(847702), // Rule ID 23366 //
     /*  847632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  847643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  847646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  847649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  847652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847678 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  847681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847700 */     GIR_RootConstrainSelectedInstOperands,
     /*  847701 */     // GIR_Coverage, 23366,
     /*  847701 */     GIR_EraseRootFromParent_Done,
     /*  847702 */   // Label 13023: @847702
     /*  847702 */   GIM_Try, /*On fail goto*//*Label 13024*/ GIMT_Encode4(847777), // Rule ID 23367 //
     /*  847707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  847718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  847721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  847724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  847727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847753 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B64_MASK),
     /*  847756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847775 */     GIR_RootConstrainSelectedInstOperands,
     /*  847776 */     // GIR_Coverage, 23367,
     /*  847776 */     GIR_EraseRootFromParent_Done,
     /*  847777 */   // Label 13024: @847777
     /*  847777 */   GIM_Try, /*On fail goto*//*Label 13025*/ GIMT_Encode4(847852), // Rule ID 23370 //
     /*  847782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  847793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  847796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  847799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  847802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  847831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847850 */     GIR_RootConstrainSelectedInstOperands,
     /*  847851 */     // GIR_Coverage, 23370,
     /*  847851 */     GIR_EraseRootFromParent_Done,
     /*  847852 */   // Label 13025: @847852
     /*  847852 */   GIM_Try, /*On fail goto*//*Label 13026*/ GIMT_Encode4(847927), // Rule ID 23371 //
     /*  847857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  847860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  847868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  847871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  847874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  847877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  847880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847903 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  847903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B32_MASK),
     /*  847906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  847925 */     GIR_RootConstrainSelectedInstOperands,
     /*  847926 */     // GIR_Coverage, 23371,
     /*  847926 */     GIR_EraseRootFromParent_Done,
     /*  847927 */   // Label 13026: @847927
     /*  847927 */   GIM_Try, /*On fail goto*//*Label 13027*/ GIMT_Encode4(848002), // Rule ID 23374 //
     /*  847932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  847935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  847940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  847943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  847946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  847949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  847952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  847955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  847959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  847967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  847971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  847978 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  847978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  847981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  847983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  847985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  847987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  847989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  847994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  847997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848000 */     GIR_RootConstrainSelectedInstOperands,
     /*  848001 */     // GIR_Coverage, 23374,
     /*  848001 */     GIR_EraseRootFromParent_Done,
     /*  848002 */   // Label 13027: @848002
     /*  848002 */   GIM_Try, /*On fail goto*//*Label 13028*/ GIMT_Encode4(848077), // Rule ID 23375 //
     /*  848007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  848018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  848021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  848024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  848027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848053 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B16_MASK),
     /*  848056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848075 */     GIR_RootConstrainSelectedInstOperands,
     /*  848076 */     // GIR_Coverage, 23375,
     /*  848076 */     GIR_EraseRootFromParent_Done,
     /*  848077 */   // Label 13028: @848077
     /*  848077 */   GIM_Try, /*On fail goto*//*Label 13029*/ GIMT_Encode4(848152), // Rule ID 23378 //
     /*  848082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  848093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  848096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  848099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  848102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848128 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  848131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848150 */     GIR_RootConstrainSelectedInstOperands,
     /*  848151 */     // GIR_Coverage, 23378,
     /*  848151 */     GIR_EraseRootFromParent_Done,
     /*  848152 */   // Label 13029: @848152
     /*  848152 */   GIM_Try, /*On fail goto*//*Label 13030*/ GIMT_Encode4(848227), // Rule ID 23379 //
     /*  848157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  848168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  848171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  848174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  848177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848203 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B8_MASK),
     /*  848206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848225 */     GIR_RootConstrainSelectedInstOperands,
     /*  848226 */     // GIR_Coverage, 23379,
     /*  848226 */     GIR_EraseRootFromParent_Done,
     /*  848227 */   // Label 13030: @848227
     /*  848227 */   GIM_Try, /*On fail goto*//*Label 13031*/ GIMT_Encode4(848302), // Rule ID 23382 //
     /*  848232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  848243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  848246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  848249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  848252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848278 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  848281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848300 */     GIR_RootConstrainSelectedInstOperands,
     /*  848301 */     // GIR_Coverage, 23382,
     /*  848301 */     GIR_EraseRootFromParent_Done,
     /*  848302 */   // Label 13031: @848302
     /*  848302 */   GIM_Try, /*On fail goto*//*Label 13032*/ GIMT_Encode4(848377), // Rule ID 23383 //
     /*  848307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  848318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  848321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  848324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  848327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848353 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B4_MASK),
     /*  848356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848362 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848375 */     GIR_RootConstrainSelectedInstOperands,
     /*  848376 */     // GIR_Coverage, 23383,
     /*  848376 */     GIR_EraseRootFromParent_Done,
     /*  848377 */   // Label 13032: @848377
     /*  848377 */   GIM_Try, /*On fail goto*//*Label 13033*/ GIMT_Encode4(848452), // Rule ID 23386 //
     /*  848382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  848393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  848396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  848399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  848402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848428 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  848431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848450 */     GIR_RootConstrainSelectedInstOperands,
     /*  848451 */     // GIR_Coverage, 23386,
     /*  848451 */     GIR_EraseRootFromParent_Done,
     /*  848452 */   // Label 13033: @848452
     /*  848452 */   GIM_Try, /*On fail goto*//*Label 13034*/ GIMT_Encode4(848527), // Rule ID 23387 //
     /*  848457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  848468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  848471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  848474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  848477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848503 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B2_MASK),
     /*  848506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848512 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848525 */     GIR_RootConstrainSelectedInstOperands,
     /*  848526 */     // GIR_Coverage, 23387,
     /*  848526 */     GIR_EraseRootFromParent_Done,
     /*  848527 */   // Label 13034: @848527
     /*  848527 */   GIM_Try, /*On fail goto*//*Label 13035*/ GIMT_Encode4(848602), // Rule ID 23390 //
     /*  848532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  848543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  848546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  848549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  848552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848578 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  848581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848600 */     GIR_RootConstrainSelectedInstOperands,
     /*  848601 */     // GIR_Coverage, 23390,
     /*  848601 */     GIR_EraseRootFromParent_Done,
     /*  848602 */   // Label 13035: @848602
     /*  848602 */   GIM_Try, /*On fail goto*//*Label 13036*/ GIMT_Encode4(848677), // Rule ID 23391 //
     /*  848607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsif_mask),
     /*  848615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  848618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  848621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  848624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  848627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848653 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11456:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSIF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSIF_M_B1_MASK),
     /*  848656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848675 */     GIR_RootConstrainSelectedInstOperands,
     /*  848676 */     // GIR_Coverage, 23391,
     /*  848676 */     GIR_EraseRootFromParent_Done,
     /*  848677 */   // Label 13036: @848677
     /*  848677 */   GIM_Try, /*On fail goto*//*Label 13037*/ GIMT_Encode4(848752), // Rule ID 23394 //
     /*  848682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  848693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  848696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  848699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  848702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848728 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  848731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848737 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848750 */     GIR_RootConstrainSelectedInstOperands,
     /*  848751 */     // GIR_Coverage, 23394,
     /*  848751 */     GIR_EraseRootFromParent_Done,
     /*  848752 */   // Label 13037: @848752
     /*  848752 */   GIM_Try, /*On fail goto*//*Label 13038*/ GIMT_Encode4(848827), // Rule ID 23395 //
     /*  848757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  848768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  848771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  848774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  848777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848803 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B64_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B64_MASK),
     /*  848806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848825 */     GIR_RootConstrainSelectedInstOperands,
     /*  848826 */     // GIR_Coverage, 23395,
     /*  848826 */     GIR_EraseRootFromParent_Done,
     /*  848827 */   // Label 13038: @848827
     /*  848827 */   GIM_Try, /*On fail goto*//*Label 13039*/ GIMT_Encode4(848902), // Rule ID 23398 //
     /*  848832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  848843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  848846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  848849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  848852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  848855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848878 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  848878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  848881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848887 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848900 */     GIR_RootConstrainSelectedInstOperands,
     /*  848901 */     // GIR_Coverage, 23398,
     /*  848901 */     GIR_EraseRootFromParent_Done,
     /*  848902 */   // Label 13039: @848902
     /*  848902 */   GIM_Try, /*On fail goto*//*Label 13040*/ GIMT_Encode4(848977), // Rule ID 23399 //
     /*  848907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  848910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  848918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  848921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /*  848924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  848927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  848930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  848934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  848942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  848946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  848953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B32_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  848953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B32_MASK),
     /*  848956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  848958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  848960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  848962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  848964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  848969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  848972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  848975 */     GIR_RootConstrainSelectedInstOperands,
     /*  848976 */     // GIR_Coverage, 23399,
     /*  848976 */     GIR_EraseRootFromParent_Done,
     /*  848977 */   // Label 13040: @848977
     /*  848977 */   GIM_Try, /*On fail goto*//*Label 13041*/ GIMT_Encode4(849052), // Rule ID 23402 //
     /*  848982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  848985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  848990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  848993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  848996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  848999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  849002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849028 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  849028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  849031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849050 */     GIR_RootConstrainSelectedInstOperands,
     /*  849051 */     // GIR_Coverage, 23402,
     /*  849051 */     GIR_EraseRootFromParent_Done,
     /*  849052 */   // Label 13041: @849052
     /*  849052 */   GIM_Try, /*On fail goto*//*Label 13042*/ GIMT_Encode4(849127), // Rule ID 23403 //
     /*  849057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  849060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  849068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  849071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /*  849074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  849077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849103 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B16_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  849103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B16_MASK),
     /*  849106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849125 */     GIR_RootConstrainSelectedInstOperands,
     /*  849126 */     // GIR_Coverage, 23403,
     /*  849126 */     GIR_EraseRootFromParent_Done,
     /*  849127 */   // Label 13042: @849127
     /*  849127 */   GIM_Try, /*On fail goto*//*Label 13043*/ GIMT_Encode4(849202), // Rule ID 23406 //
     /*  849132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  849135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  849143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  849146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  849149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  849152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849178 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  849178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  849181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849200 */     GIR_RootConstrainSelectedInstOperands,
     /*  849201 */     // GIR_Coverage, 23406,
     /*  849201 */     GIR_EraseRootFromParent_Done,
     /*  849202 */   // Label 13043: @849202
     /*  849202 */   GIM_Try, /*On fail goto*//*Label 13044*/ GIMT_Encode4(849277), // Rule ID 23407 //
     /*  849207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  849210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  849218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  849221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /*  849224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  849227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849253 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  849253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B8_MASK),
     /*  849256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849275 */     GIR_RootConstrainSelectedInstOperands,
     /*  849276 */     // GIR_Coverage, 23407,
     /*  849276 */     GIR_EraseRootFromParent_Done,
     /*  849277 */   // Label 13044: @849277
     /*  849277 */   GIM_Try, /*On fail goto*//*Label 13045*/ GIMT_Encode4(849352), // Rule ID 23410 //
     /*  849282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  849285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  849293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  849296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  849299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  849302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  849328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  849331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849350 */     GIR_RootConstrainSelectedInstOperands,
     /*  849351 */     // GIR_Coverage, 23410,
     /*  849351 */     GIR_EraseRootFromParent_Done,
     /*  849352 */   // Label 13045: @849352
     /*  849352 */   GIM_Try, /*On fail goto*//*Label 13046*/ GIMT_Encode4(849427), // Rule ID 23411 //
     /*  849357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  849360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  849368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  849371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /*  849374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  849377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849403 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  849403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B4_MASK),
     /*  849406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849425 */     GIR_RootConstrainSelectedInstOperands,
     /*  849426 */     // GIR_Coverage, 23411,
     /*  849426 */     GIR_EraseRootFromParent_Done,
     /*  849427 */   // Label 13046: @849427
     /*  849427 */   GIM_Try, /*On fail goto*//*Label 13047*/ GIMT_Encode4(849502), // Rule ID 23414 //
     /*  849432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  849435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  849443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  849446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  849449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  849452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849478 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  849478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  849481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849500 */     GIR_RootConstrainSelectedInstOperands,
     /*  849501 */     // GIR_Coverage, 23414,
     /*  849501 */     GIR_EraseRootFromParent_Done,
     /*  849502 */   // Label 13047: @849502
     /*  849502 */   GIM_Try, /*On fail goto*//*Label 13048*/ GIMT_Encode4(849577), // Rule ID 23415 //
     /*  849507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  849510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  849518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  849521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /*  849524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  849527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849553 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B2_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  849553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B2_MASK),
     /*  849556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849575 */     GIR_RootConstrainSelectedInstOperands,
     /*  849576 */     // GIR_Coverage, 23415,
     /*  849576 */     GIR_EraseRootFromParent_Done,
     /*  849577 */   // Label 13048: @849577
     /*  849577 */   GIM_Try, /*On fail goto*//*Label 13049*/ GIMT_Encode4(849652), // Rule ID 23418 //
     /*  849582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /*  849585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  849593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  849596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  849599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  849602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849628 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 0:{ *:[i64] }, 1:{ *:[i64] })
     /*  849628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  849631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849650 */     GIR_RootConstrainSelectedInstOperands,
     /*  849651 */     // GIR_Coverage, 23418,
     /*  849651 */     GIR_EraseRootFromParent_Done,
     /*  849652 */   // Label 13049: @849652
     /*  849652 */   GIM_Try, /*On fail goto*//*Label 13050*/ GIMT_Encode4(849727), // Rule ID 23419 //
     /*  849657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /*  849660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsof_mask),
     /*  849665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  849668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  849671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /*  849674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  849677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  849684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  849696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849703 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11468:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSOF_M_B1_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 0:{ *:[i32] }, 1:{ *:[i32] })
     /*  849703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSOF_M_B1_MASK),
     /*  849706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  849712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  849714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  849725 */     GIR_RootConstrainSelectedInstOperands,
     /*  849726 */     // GIR_Coverage, 23419,
     /*  849726 */     GIR_EraseRootFromParent_Done,
     /*  849727 */   // Label 13050: @849727
     /*  849727 */   GIM_Try, /*On fail goto*//*Label 13051*/ GIMT_Encode4(849802), // Rule ID 23960 //
     /*  849732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  849781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849800 */     GIR_RootConstrainSelectedInstOperands,
     /*  849801 */     // GIR_Coverage, 23960,
     /*  849801 */     GIR_EraseRootFromParent_Done,
     /*  849802 */   // Label 13051: @849802
     /*  849802 */   GIM_Try, /*On fail goto*//*Label 13052*/ GIMT_Encode4(849877), // Rule ID 23961 //
     /*  849807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  849818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  849821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  849824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849853 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  849853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8),
     /*  849856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849875 */     GIR_RootConstrainSelectedInstOperands,
     /*  849876 */     // GIR_Coverage, 23961,
     /*  849876 */     GIR_EraseRootFromParent_Done,
     /*  849877 */   // Label 13052: @849877
     /*  849877 */   GIM_Try, /*On fail goto*//*Label 13053*/ GIMT_Encode4(849952), // Rule ID 23964 //
     /*  849882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  849885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  849902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  849905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  849928 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  849928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  849931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  849933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  849935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  849937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  849939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  849944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  849947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  849950 */     GIR_RootConstrainSelectedInstOperands,
     /*  849951 */     // GIR_Coverage, 23964,
     /*  849951 */     GIR_EraseRootFromParent_Done,
     /*  849952 */   // Label 13053: @849952
     /*  849952 */   GIM_Try, /*On fail goto*//*Label 13054*/ GIMT_Encode4(850027), // Rule ID 23965 //
     /*  849957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  849960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  849965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  849968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  849971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  849974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  849977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  849980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  849992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  849996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850003 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  850006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850025 */     GIR_RootConstrainSelectedInstOperands,
     /*  850026 */     // GIR_Coverage, 23965,
     /*  850026 */     GIR_EraseRootFromParent_Done,
     /*  850027 */   // Label 13054: @850027
     /*  850027 */   GIM_Try, /*On fail goto*//*Label 13055*/ GIMT_Encode4(850102), // Rule ID 23968 //
     /*  850032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  850043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  850046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  850049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850078 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  850081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850100 */     GIR_RootConstrainSelectedInstOperands,
     /*  850101 */     // GIR_Coverage, 23968,
     /*  850101 */     GIR_EraseRootFromParent_Done,
     /*  850102 */   // Label 13055: @850102
     /*  850102 */   GIM_Try, /*On fail goto*//*Label 13056*/ GIMT_Encode4(850177), // Rule ID 23969 //
     /*  850107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  850118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  850121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  850124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850153 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  850156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850175 */     GIR_RootConstrainSelectedInstOperands,
     /*  850176 */     // GIR_Coverage, 23969,
     /*  850176 */     GIR_EraseRootFromParent_Done,
     /*  850177 */   // Label 13056: @850177
     /*  850177 */   GIM_Try, /*On fail goto*//*Label 13057*/ GIMT_Encode4(850252), // Rule ID 23972 //
     /*  850182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  850196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  850231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850250 */     GIR_RootConstrainSelectedInstOperands,
     /*  850251 */     // GIR_Coverage, 23972,
     /*  850251 */     GIR_EraseRootFromParent_Done,
     /*  850252 */   // Label 13057: @850252
     /*  850252 */   GIM_Try, /*On fail goto*//*Label 13058*/ GIMT_Encode4(850327), // Rule ID 23973 //
     /*  850257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  850268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  850271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  850274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850303 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4),
     /*  850306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850325 */     GIR_RootConstrainSelectedInstOperands,
     /*  850326 */     // GIR_Coverage, 23973,
     /*  850326 */     GIR_EraseRootFromParent_Done,
     /*  850327 */   // Label 13058: @850327
     /*  850327 */   GIM_Try, /*On fail goto*//*Label 13059*/ GIMT_Encode4(850402), // Rule ID 23976 //
     /*  850332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  850346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  850381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850400 */     GIR_RootConstrainSelectedInstOperands,
     /*  850401 */     // GIR_Coverage, 23976,
     /*  850401 */     GIR_EraseRootFromParent_Done,
     /*  850402 */   // Label 13059: @850402
     /*  850402 */   GIM_Try, /*On fail goto*//*Label 13060*/ GIMT_Encode4(850477), // Rule ID 23977 //
     /*  850407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  850418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  850421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  850424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  850456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850475 */     GIR_RootConstrainSelectedInstOperands,
     /*  850476 */     // GIR_Coverage, 23977,
     /*  850476 */     GIR_EraseRootFromParent_Done,
     /*  850477 */   // Label 13060: @850477
     /*  850477 */   GIM_Try, /*On fail goto*//*Label 13061*/ GIMT_Encode4(850552), // Rule ID 23980 //
     /*  850482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  850493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  850496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  850531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850550 */     GIR_RootConstrainSelectedInstOperands,
     /*  850551 */     // GIR_Coverage, 23980,
     /*  850551 */     GIR_EraseRootFromParent_Done,
     /*  850552 */   // Label 13061: @850552
     /*  850552 */   GIM_Try, /*On fail goto*//*Label 13062*/ GIMT_Encode4(850627), // Rule ID 23981 //
     /*  850557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  850568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  850571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  850574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850603 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  850603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2),
     /*  850606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850625 */     GIR_RootConstrainSelectedInstOperands,
     /*  850626 */     // GIR_Coverage, 23981,
     /*  850626 */     GIR_EraseRootFromParent_Done,
     /*  850627 */   // Label 13062: @850627
     /*  850627 */   GIM_Try, /*On fail goto*//*Label 13063*/ GIMT_Encode4(850702), // Rule ID 23984 //
     /*  850632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  850643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  850646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  850649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  850678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850700 */     GIR_RootConstrainSelectedInstOperands,
     /*  850701 */     // GIR_Coverage, 23984,
     /*  850701 */     GIR_EraseRootFromParent_Done,
     /*  850702 */   // Label 13063: @850702
     /*  850702 */   GIM_Try, /*On fail goto*//*Label 13064*/ GIMT_Encode4(850777), // Rule ID 23985 //
     /*  850707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  850718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  850721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  850724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850753 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11547:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  850753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  850772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850775 */     GIR_RootConstrainSelectedInstOperands,
     /*  850776 */     // GIR_Coverage, 23985,
     /*  850776 */     GIR_EraseRootFromParent_Done,
     /*  850777 */   // Label 13064: @850777
     /*  850777 */   GIM_Try, /*On fail goto*//*Label 13065*/ GIMT_Encode4(850852), // Rule ID 23988 //
     /*  850782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850828 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  850828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850850 */     GIR_RootConstrainSelectedInstOperands,
     /*  850851 */     // GIR_Coverage, 23988,
     /*  850851 */     GIR_EraseRootFromParent_Done,
     /*  850852 */   // Label 13065: @850852
     /*  850852 */   GIM_Try, /*On fail goto*//*Label 13066*/ GIMT_Encode4(850927), // Rule ID 23989 //
     /*  850857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  850860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  850868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  850871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  850874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  850877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  850880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850903 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11547:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  850903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  850922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  850925 */     GIR_RootConstrainSelectedInstOperands,
     /*  850926 */     // GIR_Coverage, 23989,
     /*  850926 */     GIR_EraseRootFromParent_Done,
     /*  850927 */   // Label 13066: @850927
     /*  850927 */   GIM_Try, /*On fail goto*//*Label 13067*/ GIMT_Encode4(851002), // Rule ID 23992 //
     /*  850932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  850935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  850940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  850943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  850946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  850949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  850952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  850955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  850967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  850971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  850978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  850978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  850981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  850983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  850985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  850987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  850989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  850994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  850997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851000 */     GIR_RootConstrainSelectedInstOperands,
     /*  851001 */     // GIR_Coverage, 23992,
     /*  851001 */     GIR_EraseRootFromParent_Done,
     /*  851002 */   // Label 13067: @851002
     /*  851002 */   GIM_Try, /*On fail goto*//*Label 13068*/ GIMT_Encode4(851077), // Rule ID 23993 //
     /*  851007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  851018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  851021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  851024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851053 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11547:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  851053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  851056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  851072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851075 */     GIR_RootConstrainSelectedInstOperands,
     /*  851076 */     // GIR_Coverage, 23993,
     /*  851076 */     GIR_EraseRootFromParent_Done,
     /*  851077 */   // Label 13068: @851077
     /*  851077 */   GIM_Try, /*On fail goto*//*Label 13069*/ GIMT_Encode4(851152), // Rule ID 23996 //
     /*  851082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  851085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  851093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  851096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851128 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  851128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  851131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851150 */     GIR_RootConstrainSelectedInstOperands,
     /*  851151 */     // GIR_Coverage, 23996,
     /*  851151 */     GIR_EraseRootFromParent_Done,
     /*  851152 */   // Label 13069: @851152
     /*  851152 */   GIM_Try, /*On fail goto*//*Label 13070*/ GIMT_Encode4(851227), // Rule ID 23997 //
     /*  851157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  851160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  851168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  851171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  851174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  851192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851203 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11547:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  851203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1),
     /*  851206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  851222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851225 */     GIR_RootConstrainSelectedInstOperands,
     /*  851226 */     // GIR_Coverage, 23997,
     /*  851226 */     GIR_EraseRootFromParent_Done,
     /*  851227 */   // Label 13070: @851227
     /*  851227 */   GIM_Try, /*On fail goto*//*Label 13071*/ GIMT_Encode4(851302), // Rule ID 24000 //
     /*  851232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  851243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  851246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  851249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851278 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  851278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851300 */     GIR_RootConstrainSelectedInstOperands,
     /*  851301 */     // GIR_Coverage, 24000,
     /*  851301 */     GIR_EraseRootFromParent_Done,
     /*  851302 */   // Label 13071: @851302
     /*  851302 */   GIM_Try, /*On fail goto*//*Label 13072*/ GIMT_Encode4(851377), // Rule ID 24001 //
     /*  851307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  851318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  851321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  851324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851353 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  851353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851375 */     GIR_RootConstrainSelectedInstOperands,
     /*  851376 */     // GIR_Coverage, 24001,
     /*  851376 */     GIR_EraseRootFromParent_Done,
     /*  851377 */   // Label 13072: @851377
     /*  851377 */   GIM_Try, /*On fail goto*//*Label 13073*/ GIMT_Encode4(851452), // Rule ID 24004 //
     /*  851382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  851393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  851396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  851399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851428 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  851428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851450 */     GIR_RootConstrainSelectedInstOperands,
     /*  851451 */     // GIR_Coverage, 24004,
     /*  851451 */     GIR_EraseRootFromParent_Done,
     /*  851452 */   // Label 13073: @851452
     /*  851452 */   GIM_Try, /*On fail goto*//*Label 13074*/ GIMT_Encode4(851527), // Rule ID 24005 //
     /*  851457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  851468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  851471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  851474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851503 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  851503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851525 */     GIR_RootConstrainSelectedInstOperands,
     /*  851526 */     // GIR_Coverage, 24005,
     /*  851526 */     GIR_EraseRootFromParent_Done,
     /*  851527 */   // Label 13074: @851527
     /*  851527 */   GIM_Try, /*On fail goto*//*Label 13075*/ GIMT_Encode4(851602), // Rule ID 24008 //
     /*  851532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  851543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  851546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  851549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851578 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  851578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851600 */     GIR_RootConstrainSelectedInstOperands,
     /*  851601 */     // GIR_Coverage, 24008,
     /*  851601 */     GIR_EraseRootFromParent_Done,
     /*  851602 */   // Label 13075: @851602
     /*  851602 */   GIM_Try, /*On fail goto*//*Label 13076*/ GIMT_Encode4(851677), // Rule ID 24009 //
     /*  851607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  851618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  851621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  851624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  851642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851653 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  851653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  851656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  851672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851675 */     GIR_RootConstrainSelectedInstOperands,
     /*  851676 */     // GIR_Coverage, 24009,
     /*  851676 */     GIR_EraseRootFromParent_Done,
     /*  851677 */   // Label 13076: @851677
     /*  851677 */   GIM_Try, /*On fail goto*//*Label 13077*/ GIMT_Encode4(851752), // Rule ID 24012 //
     /*  851682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851728 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851750 */     GIR_RootConstrainSelectedInstOperands,
     /*  851751 */     // GIR_Coverage, 24012,
     /*  851751 */     GIR_EraseRootFromParent_Done,
     /*  851752 */   // Label 13077: @851752
     /*  851752 */   GIM_Try, /*On fail goto*//*Label 13078*/ GIMT_Encode4(851827), // Rule ID 24013 //
     /*  851757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  851768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  851771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  851774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  851792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851803 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  851806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851825 */     GIR_RootConstrainSelectedInstOperands,
     /*  851826 */     // GIR_Coverage, 24013,
     /*  851826 */     GIR_EraseRootFromParent_Done,
     /*  851827 */   // Label 13078: @851827
     /*  851827 */   GIM_Try, /*On fail goto*//*Label 13079*/ GIMT_Encode4(851902), // Rule ID 24016 //
     /*  851832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  851852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  851855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851878 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  851878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851900 */     GIR_RootConstrainSelectedInstOperands,
     /*  851901 */     // GIR_Coverage, 24016,
     /*  851901 */     GIR_EraseRootFromParent_Done,
     /*  851902 */   // Label 13079: @851902
     /*  851902 */   GIM_Try, /*On fail goto*//*Label 13080*/ GIMT_Encode4(851977), // Rule ID 24017 //
     /*  851907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  851910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  851918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  851921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  851924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  851927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  851930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  851942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  851946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  851953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  851953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  851956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  851958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  851960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  851962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  851964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  851969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  851972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  851975 */     GIR_RootConstrainSelectedInstOperands,
     /*  851976 */     // GIR_Coverage, 24017,
     /*  851976 */     GIR_EraseRootFromParent_Done,
     /*  851977 */   // Label 13080: @851977
     /*  851977 */   GIM_Try, /*On fail goto*//*Label 13081*/ GIMT_Encode4(852052), // Rule ID 24020 //
     /*  851982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  851985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  851990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  851993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  851996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  851999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  852028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852050 */     GIR_RootConstrainSelectedInstOperands,
     /*  852051 */     // GIR_Coverage, 24020,
     /*  852051 */     GIR_EraseRootFromParent_Done,
     /*  852052 */   // Label 13081: @852052
     /*  852052 */   GIM_Try, /*On fail goto*//*Label 13082*/ GIMT_Encode4(852127), // Rule ID 24021 //
     /*  852057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  852068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  852071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  852074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852103 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  852103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  852122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852125 */     GIR_RootConstrainSelectedInstOperands,
     /*  852126 */     // GIR_Coverage, 24021,
     /*  852126 */     GIR_EraseRootFromParent_Done,
     /*  852127 */   // Label 13082: @852127
     /*  852127 */   GIM_Try, /*On fail goto*//*Label 13083*/ GIMT_Encode4(852202), // Rule ID 24024 //
     /*  852132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  852181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852200 */     GIR_RootConstrainSelectedInstOperands,
     /*  852201 */     // GIR_Coverage, 24024,
     /*  852201 */     GIR_EraseRootFromParent_Done,
     /*  852202 */   // Label 13083: @852202
     /*  852202 */   GIM_Try, /*On fail goto*//*Label 13084*/ GIMT_Encode4(852277), // Rule ID 24025 //
     /*  852207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  852218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  852221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  852224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852253 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  852256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852275 */     GIR_RootConstrainSelectedInstOperands,
     /*  852276 */     // GIR_Coverage, 24025,
     /*  852276 */     GIR_EraseRootFromParent_Done,
     /*  852277 */   // Label 13084: @852277
     /*  852277 */   GIM_Try, /*On fail goto*//*Label 13085*/ GIMT_Encode4(852352), // Rule ID 24028 //
     /*  852282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  852331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852350 */     GIR_RootConstrainSelectedInstOperands,
     /*  852351 */     // GIR_Coverage, 24028,
     /*  852351 */     GIR_EraseRootFromParent_Done,
     /*  852352 */   // Label 13085: @852352
     /*  852352 */   GIM_Try, /*On fail goto*//*Label 13086*/ GIMT_Encode4(852427), // Rule ID 24029 //
     /*  852357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  852368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  852371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  852374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852403 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  852406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852425 */     GIR_RootConstrainSelectedInstOperands,
     /*  852426 */     // GIR_Coverage, 24029,
     /*  852426 */     GIR_EraseRootFromParent_Done,
     /*  852427 */   // Label 13086: @852427
     /*  852427 */   GIM_Try, /*On fail goto*//*Label 13087*/ GIMT_Encode4(852502), // Rule ID 24032 //
     /*  852432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  852435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852478 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  852478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852500 */     GIR_RootConstrainSelectedInstOperands,
     /*  852501 */     // GIR_Coverage, 24032,
     /*  852501 */     GIR_EraseRootFromParent_Done,
     /*  852502 */   // Label 13087: @852502
     /*  852502 */   GIM_Try, /*On fail goto*//*Label 13088*/ GIMT_Encode4(852577), // Rule ID 24033 //
     /*  852507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  852510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  852518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  852521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  852524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852553 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  852553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  852572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852575 */     GIR_RootConstrainSelectedInstOperands,
     /*  852576 */     // GIR_Coverage, 24033,
     /*  852576 */     GIR_EraseRootFromParent_Done,
     /*  852577 */   // Label 13088: @852577
     /*  852577 */   GIM_Try, /*On fail goto*//*Label 13089*/ GIMT_Encode4(852652), // Rule ID 24036 //
     /*  852582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852628 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  852631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852650 */     GIR_RootConstrainSelectedInstOperands,
     /*  852651 */     // GIR_Coverage, 24036,
     /*  852651 */     GIR_EraseRootFromParent_Done,
     /*  852652 */   // Label 13089: @852652
     /*  852652 */   GIM_Try, /*On fail goto*//*Label 13090*/ GIMT_Encode4(852727), // Rule ID 24037 //
     /*  852657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  852668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  852671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  852674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  852692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852703 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11547:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2),
     /*  852706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852725 */     GIR_RootConstrainSelectedInstOperands,
     /*  852726 */     // GIR_Coverage, 24037,
     /*  852726 */     GIR_EraseRootFromParent_Done,
     /*  852727 */   // Label 13090: @852727
     /*  852727 */   GIM_Try, /*On fail goto*//*Label 13091*/ GIMT_Encode4(852802), // Rule ID 24040 //
     /*  852732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  852743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  852746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  852749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852778 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  852781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852800 */     GIR_RootConstrainSelectedInstOperands,
     /*  852801 */     // GIR_Coverage, 24040,
     /*  852801 */     GIR_EraseRootFromParent_Done,
     /*  852802 */   // Label 13091: @852802
     /*  852802 */   GIM_Try, /*On fail goto*//*Label 13092*/ GIMT_Encode4(852877), // Rule ID 24041 //
     /*  852807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  852818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  852821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  852824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  852842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852853 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11547:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  852853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4),
     /*  852856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852875 */     GIR_RootConstrainSelectedInstOperands,
     /*  852876 */     // GIR_Coverage, 24041,
     /*  852876 */     GIR_EraseRootFromParent_Done,
     /*  852877 */   // Label 13092: @852877
     /*  852877 */   GIM_Try, /*On fail goto*//*Label 13093*/ GIMT_Encode4(852952), // Rule ID 24044 //
     /*  852882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  852885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  852902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  852905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  852928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  852928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  852931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  852933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  852935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  852937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  852939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  852944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  852947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  852950 */     GIR_RootConstrainSelectedInstOperands,
     /*  852951 */     // GIR_Coverage, 24044,
     /*  852951 */     GIR_EraseRootFromParent_Done,
     /*  852952 */   // Label 13093: @852952
     /*  852952 */   GIM_Try, /*On fail goto*//*Label 13094*/ GIMT_Encode4(853027), // Rule ID 24045 //
     /*  852957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  852960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up),
     /*  852965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  852968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  852971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  852974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  852977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  852980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  852992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  852996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853003 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11547:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1UP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  853003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8),
     /*  853006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  853022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853025 */     GIR_RootConstrainSelectedInstOperands,
     /*  853026 */     // GIR_Coverage, 24045,
     /*  853026 */     GIR_EraseRootFromParent_Done,
     /*  853027 */   // Label 13094: @853027
     /*  853027 */   GIM_Try, /*On fail goto*//*Label 13095*/ GIMT_Encode4(853102), // Rule ID 24048 //
     /*  853032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  853043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  853046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  853049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853078 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  853081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853100 */     GIR_RootConstrainSelectedInstOperands,
     /*  853101 */     // GIR_Coverage, 24048,
     /*  853101 */     GIR_EraseRootFromParent_Done,
     /*  853102 */   // Label 13095: @853102
     /*  853102 */   GIM_Try, /*On fail goto*//*Label 13096*/ GIMT_Encode4(853177), // Rule ID 24049 //
     /*  853107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  853118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  853121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  853124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853153 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8),
     /*  853156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853175 */     GIR_RootConstrainSelectedInstOperands,
     /*  853176 */     // GIR_Coverage, 24049,
     /*  853176 */     GIR_EraseRootFromParent_Done,
     /*  853177 */   // Label 13096: @853177
     /*  853177 */   GIM_Try, /*On fail goto*//*Label 13097*/ GIMT_Encode4(853252), // Rule ID 24052 //
     /*  853182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  853193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  853196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  853199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853228 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  853231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853250 */     GIR_RootConstrainSelectedInstOperands,
     /*  853251 */     // GIR_Coverage, 24052,
     /*  853251 */     GIR_EraseRootFromParent_Done,
     /*  853252 */   // Label 13097: @853252
     /*  853252 */   GIM_Try, /*On fail goto*//*Label 13098*/ GIMT_Encode4(853327), // Rule ID 24053 //
     /*  853257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  853268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  853271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  853274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853303 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  853306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853325 */     GIR_RootConstrainSelectedInstOperands,
     /*  853326 */     // GIR_Coverage, 24053,
     /*  853326 */     GIR_EraseRootFromParent_Done,
     /*  853327 */   // Label 13098: @853327
     /*  853327 */   GIM_Try, /*On fail goto*//*Label 13099*/ GIMT_Encode4(853402), // Rule ID 24056 //
     /*  853332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  853343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  853346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  853349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853378 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853400 */     GIR_RootConstrainSelectedInstOperands,
     /*  853401 */     // GIR_Coverage, 24056,
     /*  853401 */     GIR_EraseRootFromParent_Done,
     /*  853402 */   // Label 13099: @853402
     /*  853402 */   GIM_Try, /*On fail goto*//*Label 13100*/ GIMT_Encode4(853477), // Rule ID 24057 //
     /*  853407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  853418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  853421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  853424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853453 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  853453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853475 */     GIR_RootConstrainSelectedInstOperands,
     /*  853476 */     // GIR_Coverage, 24057,
     /*  853476 */     GIR_EraseRootFromParent_Done,
     /*  853477 */   // Label 13100: @853477
     /*  853477 */   GIM_Try, /*On fail goto*//*Label 13101*/ GIMT_Encode4(853552), // Rule ID 24060 //
     /*  853482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  853531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853550 */     GIR_RootConstrainSelectedInstOperands,
     /*  853551 */     // GIR_Coverage, 24060,
     /*  853551 */     GIR_EraseRootFromParent_Done,
     /*  853552 */   // Label 13101: @853552
     /*  853552 */   GIM_Try, /*On fail goto*//*Label 13102*/ GIMT_Encode4(853627), // Rule ID 24061 //
     /*  853557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  853568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  853571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  853574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853603 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4),
     /*  853606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853625 */     GIR_RootConstrainSelectedInstOperands,
     /*  853626 */     // GIR_Coverage, 24061,
     /*  853626 */     GIR_EraseRootFromParent_Done,
     /*  853627 */   // Label 13102: @853627
     /*  853627 */   GIM_Try, /*On fail goto*//*Label 13103*/ GIMT_Encode4(853702), // Rule ID 24064 //
     /*  853632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853678 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  853678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853700 */     GIR_RootConstrainSelectedInstOperands,
     /*  853701 */     // GIR_Coverage, 24064,
     /*  853701 */     GIR_EraseRootFromParent_Done,
     /*  853702 */   // Label 13103: @853702
     /*  853702 */   GIM_Try, /*On fail goto*//*Label 13104*/ GIMT_Encode4(853777), // Rule ID 24065 //
     /*  853707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  853718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  853721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  853724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853753 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  853753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  853772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853775 */     GIR_RootConstrainSelectedInstOperands,
     /*  853776 */     // GIR_Coverage, 24065,
     /*  853776 */     GIR_EraseRootFromParent_Done,
     /*  853777 */   // Label 13104: @853777
     /*  853777 */   GIM_Try, /*On fail goto*//*Label 13105*/ GIMT_Encode4(853852), // Rule ID 24068 //
     /*  853782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853828 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  853828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853850 */     GIR_RootConstrainSelectedInstOperands,
     /*  853851 */     // GIR_Coverage, 24068,
     /*  853851 */     GIR_EraseRootFromParent_Done,
     /*  853852 */   // Label 13105: @853852
     /*  853852 */   GIM_Try, /*On fail goto*//*Label 13106*/ GIMT_Encode4(853927), // Rule ID 24069 //
     /*  853857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  853860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  853868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  853871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  853874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  853877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  853880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853903 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  853903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2),
     /*  853906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  853922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  853925 */     GIR_RootConstrainSelectedInstOperands,
     /*  853926 */     // GIR_Coverage, 24069,
     /*  853926 */     GIR_EraseRootFromParent_Done,
     /*  853927 */   // Label 13106: @853927
     /*  853927 */   GIM_Try, /*On fail goto*//*Label 13107*/ GIMT_Encode4(854002), // Rule ID 24072 //
     /*  853932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  853935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  853940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  853943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  853946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  853949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  853952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  853955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  853967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  853971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  853978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  853978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  853981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  853983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  853985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  853987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  853989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  853994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  853997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854000 */     GIR_RootConstrainSelectedInstOperands,
     /*  854001 */     // GIR_Coverage, 24072,
     /*  854001 */     GIR_EraseRootFromParent_Done,
     /*  854002 */   // Label 13107: @854002
     /*  854002 */   GIM_Try, /*On fail goto*//*Label 13108*/ GIMT_Encode4(854077), // Rule ID 24073 //
     /*  854007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  854018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  854021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  854024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854053 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11545:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  854056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854075 */     GIR_RootConstrainSelectedInstOperands,
     /*  854076 */     // GIR_Coverage, 24073,
     /*  854076 */     GIR_EraseRootFromParent_Done,
     /*  854077 */   // Label 13108: @854077
     /*  854077 */   GIM_Try, /*On fail goto*//*Label 13109*/ GIMT_Encode4(854152), // Rule ID 24076 //
     /*  854082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854128 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  854128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  854131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854150 */     GIR_RootConstrainSelectedInstOperands,
     /*  854151 */     // GIR_Coverage, 24076,
     /*  854151 */     GIR_EraseRootFromParent_Done,
     /*  854152 */   // Label 13109: @854152
     /*  854152 */   GIM_Try, /*On fail goto*//*Label 13110*/ GIMT_Encode4(854227), // Rule ID 24077 //
     /*  854157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  854168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  854171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  854174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854203 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11545:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  854203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  854206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  854222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854225 */     GIR_RootConstrainSelectedInstOperands,
     /*  854226 */     // GIR_Coverage, 24077,
     /*  854226 */     GIR_EraseRootFromParent_Done,
     /*  854227 */   // Label 13110: @854227
     /*  854227 */   GIM_Try, /*On fail goto*//*Label 13111*/ GIMT_Encode4(854302), // Rule ID 24080 //
     /*  854232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  854278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  854281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854300 */     GIR_RootConstrainSelectedInstOperands,
     /*  854301 */     // GIR_Coverage, 24080,
     /*  854301 */     GIR_EraseRootFromParent_Done,
     /*  854302 */   // Label 13111: @854302
     /*  854302 */   GIM_Try, /*On fail goto*//*Label 13112*/ GIMT_Encode4(854377), // Rule ID 24081 //
     /*  854307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  854318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  854321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  854324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11545:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  854353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  854356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  854372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854375 */     GIR_RootConstrainSelectedInstOperands,
     /*  854376 */     // GIR_Coverage, 24081,
     /*  854376 */     GIR_EraseRootFromParent_Done,
     /*  854377 */   // Label 13112: @854377
     /*  854377 */   GIM_Try, /*On fail goto*//*Label 13113*/ GIMT_Encode4(854452), // Rule ID 24084 //
     /*  854382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  854385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854428 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  854428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  854431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854450 */     GIR_RootConstrainSelectedInstOperands,
     /*  854451 */     // GIR_Coverage, 24084,
     /*  854451 */     GIR_EraseRootFromParent_Done,
     /*  854452 */   // Label 13113: @854452
     /*  854452 */   GIM_Try, /*On fail goto*//*Label 13114*/ GIMT_Encode4(854527), // Rule ID 24085 //
     /*  854457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  854460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  854468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  854471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  854474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  854492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854503 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11545:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  854503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1),
     /*  854506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  854522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854525 */     GIR_RootConstrainSelectedInstOperands,
     /*  854526 */     // GIR_Coverage, 24085,
     /*  854526 */     GIR_EraseRootFromParent_Done,
     /*  854527 */   // Label 13114: @854527
     /*  854527 */   GIM_Try, /*On fail goto*//*Label 13115*/ GIMT_Encode4(854602), // Rule ID 24088 //
     /*  854532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  854543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  854546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  854549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854578 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854600 */     GIR_RootConstrainSelectedInstOperands,
     /*  854601 */     // GIR_Coverage, 24088,
     /*  854601 */     GIR_EraseRootFromParent_Done,
     /*  854602 */   // Label 13115: @854602
     /*  854602 */   GIM_Try, /*On fail goto*//*Label 13116*/ GIMT_Encode4(854677), // Rule ID 24089 //
     /*  854607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  854618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  854621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  854624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  854642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854653 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  854656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854675 */     GIR_RootConstrainSelectedInstOperands,
     /*  854676 */     // GIR_Coverage, 24089,
     /*  854676 */     GIR_EraseRootFromParent_Done,
     /*  854677 */   // Label 13116: @854677
     /*  854677 */   GIM_Try, /*On fail goto*//*Label 13117*/ GIMT_Encode4(854752), // Rule ID 24092 //
     /*  854682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  854696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854728 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854750 */     GIR_RootConstrainSelectedInstOperands,
     /*  854751 */     // GIR_Coverage, 24092,
     /*  854751 */     GIR_EraseRootFromParent_Done,
     /*  854752 */   // Label 13117: @854752
     /*  854752 */   GIM_Try, /*On fail goto*//*Label 13118*/ GIMT_Encode4(854827), // Rule ID 24093 //
     /*  854757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  854768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  854771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  854774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  854792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854803 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  854806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854825 */     GIR_RootConstrainSelectedInstOperands,
     /*  854826 */     // GIR_Coverage, 24093,
     /*  854826 */     GIR_EraseRootFromParent_Done,
     /*  854827 */   // Label 13118: @854827
     /*  854827 */   GIM_Try, /*On fail goto*//*Label 13119*/ GIMT_Encode4(854902), // Rule ID 24096 //
     /*  854832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  854846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  854852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  854855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854878 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  854878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854900 */     GIR_RootConstrainSelectedInstOperands,
     /*  854901 */     // GIR_Coverage, 24096,
     /*  854901 */     GIR_EraseRootFromParent_Done,
     /*  854902 */   // Label 13119: @854902
     /*  854902 */   GIM_Try, /*On fail goto*//*Label 13120*/ GIMT_Encode4(854977), // Rule ID 24097 //
     /*  854907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  854910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  854918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  854921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  854924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  854927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  854930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  854942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  854946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  854953 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  854953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  854956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  854958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  854960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  854962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  854964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  854969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  854972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  854975 */     GIR_RootConstrainSelectedInstOperands,
     /*  854976 */     // GIR_Coverage, 24097,
     /*  854976 */     GIR_EraseRootFromParent_Done,
     /*  854977 */   // Label 13120: @854977
     /*  854977 */   GIM_Try, /*On fail goto*//*Label 13121*/ GIMT_Encode4(855052), // Rule ID 24100 //
     /*  854982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  854985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  854990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  854993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  854996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  854999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855028 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855050 */     GIR_RootConstrainSelectedInstOperands,
     /*  855051 */     // GIR_Coverage, 24100,
     /*  855051 */     GIR_EraseRootFromParent_Done,
     /*  855052 */   // Label 13121: @855052
     /*  855052 */   GIM_Try, /*On fail goto*//*Label 13122*/ GIMT_Encode4(855127), // Rule ID 24101 //
     /*  855057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  855068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  855071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  855074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855103 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855125 */     GIR_RootConstrainSelectedInstOperands,
     /*  855126 */     // GIR_Coverage, 24101,
     /*  855126 */     GIR_EraseRootFromParent_Done,
     /*  855127 */   // Label 13122: @855127
     /*  855127 */   GIM_Try, /*On fail goto*//*Label 13123*/ GIMT_Encode4(855202), // Rule ID 24104 //
     /*  855132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  855146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855200 */     GIR_RootConstrainSelectedInstOperands,
     /*  855201 */     // GIR_Coverage, 24104,
     /*  855201 */     GIR_EraseRootFromParent_Done,
     /*  855202 */   // Label 13123: @855202
     /*  855202 */   GIM_Try, /*On fail goto*//*Label 13124*/ GIMT_Encode4(855277), // Rule ID 24105 //
     /*  855207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  855218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  855221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  855224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855275 */     GIR_RootConstrainSelectedInstOperands,
     /*  855276 */     // GIR_Coverage, 24105,
     /*  855276 */     GIR_EraseRootFromParent_Done,
     /*  855277 */   // Label 13124: @855277
     /*  855277 */   GIM_Try, /*On fail goto*//*Label 13125*/ GIMT_Encode4(855352), // Rule ID 24108 //
     /*  855282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  855296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  855328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855350 */     GIR_RootConstrainSelectedInstOperands,
     /*  855351 */     // GIR_Coverage, 24108,
     /*  855351 */     GIR_EraseRootFromParent_Done,
     /*  855352 */   // Label 13125: @855352
     /*  855352 */   GIM_Try, /*On fail goto*//*Label 13126*/ GIMT_Encode4(855427), // Rule ID 24109 //
     /*  855357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  855368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  855371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  855374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855403 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  855403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  855422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855425 */     GIR_RootConstrainSelectedInstOperands,
     /*  855426 */     // GIR_Coverage, 24109,
     /*  855426 */     GIR_EraseRootFromParent_Done,
     /*  855427 */   // Label 13126: @855427
     /*  855427 */   GIM_Try, /*On fail goto*//*Label 13127*/ GIMT_Encode4(855502), // Rule ID 24112 //
     /*  855432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855478 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855500 */     GIR_RootConstrainSelectedInstOperands,
     /*  855501 */     // GIR_Coverage, 24112,
     /*  855501 */     GIR_EraseRootFromParent_Done,
     /*  855502 */   // Label 13127: @855502
     /*  855502 */   GIM_Try, /*On fail goto*//*Label 13128*/ GIMT_Encode4(855577), // Rule ID 24113 //
     /*  855507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  855518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  855521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  855524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855553 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855575 */     GIR_RootConstrainSelectedInstOperands,
     /*  855576 */     // GIR_Coverage, 24113,
     /*  855576 */     GIR_EraseRootFromParent_Done,
     /*  855577 */   // Label 13128: @855577
     /*  855577 */   GIM_Try, /*On fail goto*//*Label 13129*/ GIMT_Encode4(855652), // Rule ID 24116 //
     /*  855582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855628 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855650 */     GIR_RootConstrainSelectedInstOperands,
     /*  855651 */     // GIR_Coverage, 24116,
     /*  855651 */     GIR_EraseRootFromParent_Done,
     /*  855652 */   // Label 13129: @855652
     /*  855652 */   GIM_Try, /*On fail goto*//*Label 13130*/ GIMT_Encode4(855727), // Rule ID 24117 //
     /*  855657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  855668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  855671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  855674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  855692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855703 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  855706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855725 */     GIR_RootConstrainSelectedInstOperands,
     /*  855726 */     // GIR_Coverage, 24117,
     /*  855726 */     GIR_EraseRootFromParent_Done,
     /*  855727 */   // Label 13130: @855727
     /*  855727 */   GIM_Try, /*On fail goto*//*Label 13131*/ GIMT_Encode4(855802), // Rule ID 24120 //
     /*  855732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  855735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855778 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  855778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855800 */     GIR_RootConstrainSelectedInstOperands,
     /*  855801 */     // GIR_Coverage, 24120,
     /*  855801 */     GIR_EraseRootFromParent_Done,
     /*  855802 */   // Label 13131: @855802
     /*  855802 */   GIM_Try, /*On fail goto*//*Label 13132*/ GIMT_Encode4(855877), // Rule ID 24121 //
     /*  855807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  855810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  855818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  855821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  855824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  855842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855853 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  855853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  855856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  855872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855875 */     GIR_RootConstrainSelectedInstOperands,
     /*  855876 */     // GIR_Coverage, 24121,
     /*  855876 */     GIR_EraseRootFromParent_Done,
     /*  855877 */   // Label 13132: @855877
     /*  855877 */   GIM_Try, /*On fail goto*//*Label 13133*/ GIMT_Encode4(855952), // Rule ID 24124 //
     /*  855882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  855885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  855902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  855905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  855928 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  855928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  855931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  855933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  855935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  855937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  855939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  855944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  855947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  855950 */     GIR_RootConstrainSelectedInstOperands,
     /*  855951 */     // GIR_Coverage, 24124,
     /*  855951 */     GIR_EraseRootFromParent_Done,
     /*  855952 */   // Label 13133: @855952
     /*  855952 */   GIM_Try, /*On fail goto*//*Label 13134*/ GIMT_Encode4(856027), // Rule ID 24125 //
     /*  855957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  855960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  855965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  855968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  855971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  855974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  855977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  855980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  855992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  855996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856003 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11545:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2),
     /*  856006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856025 */     GIR_RootConstrainSelectedInstOperands,
     /*  856026 */     // GIR_Coverage, 24125,
     /*  856026 */     GIR_EraseRootFromParent_Done,
     /*  856027 */   // Label 13134: @856027
     /*  856027 */   GIM_Try, /*On fail goto*//*Label 13135*/ GIMT_Encode4(856102), // Rule ID 24128 //
     /*  856032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  856035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  856040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  856043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  856046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  856049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  856081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856100 */     GIR_RootConstrainSelectedInstOperands,
     /*  856101 */     // GIR_Coverage, 24128,
     /*  856101 */     GIR_EraseRootFromParent_Done,
     /*  856102 */   // Label 13135: @856102
     /*  856102 */   GIM_Try, /*On fail goto*//*Label 13136*/ GIMT_Encode4(856177), // Rule ID 24129 //
     /*  856107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  856110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  856115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  856118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  856121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  856124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  856142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856153 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11545:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4),
     /*  856156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856175 */     GIR_RootConstrainSelectedInstOperands,
     /*  856176 */     // GIR_Coverage, 24129,
     /*  856176 */     GIR_EraseRootFromParent_Done,
     /*  856177 */   // Label 13136: @856177
     /*  856177 */   GIM_Try, /*On fail goto*//*Label 13137*/ GIMT_Encode4(856252), // Rule ID 24132 //
     /*  856182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  856185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  856190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  856193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  856196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  856199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  856202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856228 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  856228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  856231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856250 */     GIR_RootConstrainSelectedInstOperands,
     /*  856251 */     // GIR_Coverage, 24132,
     /*  856251 */     GIR_EraseRootFromParent_Done,
     /*  856252 */   // Label 13137: @856252
     /*  856252 */   GIM_Try, /*On fail goto*//*Label 13138*/ GIMT_Encode4(856327), // Rule ID 24133 //
     /*  856257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  856260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down),
     /*  856265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  856268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  856271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  856274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  856292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  856296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856303 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11545:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSLIDE1DOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  856303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8),
     /*  856306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  856322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856325 */     GIR_RootConstrainSelectedInstOperands,
     /*  856326 */     // GIR_Coverage, 24133,
     /*  856326 */     GIR_EraseRootFromParent_Done,
     /*  856327 */   // Label 13138: @856327
     /*  856327 */   GIM_Try, /*On fail goto*//*Label 13139*/ GIMT_Encode4(856402), // Rule ID 24376 //
     /*  856332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856378 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  856381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856400 */     GIR_RootConstrainSelectedInstOperands,
     /*  856401 */     // GIR_Coverage, 24376,
     /*  856401 */     GIR_EraseRootFromParent_Done,
     /*  856402 */   // Label 13139: @856402
     /*  856402 */   GIM_Try, /*On fail goto*//*Label 13140*/ GIMT_Encode4(856477), // Rule ID 24377 //
     /*  856407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  856418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  856421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  856424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856453 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4),
     /*  856456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856475 */     GIR_RootConstrainSelectedInstOperands,
     /*  856476 */     // GIR_Coverage, 24377,
     /*  856476 */     GIR_EraseRootFromParent_Done,
     /*  856477 */   // Label 13140: @856477
     /*  856477 */   GIM_Try, /*On fail goto*//*Label 13141*/ GIMT_Encode4(856552), // Rule ID 24380 //
     /*  856482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  856531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856550 */     GIR_RootConstrainSelectedInstOperands,
     /*  856551 */     // GIR_Coverage, 24380,
     /*  856551 */     GIR_EraseRootFromParent_Done,
     /*  856552 */   // Label 13141: @856552
     /*  856552 */   GIM_Try, /*On fail goto*//*Label 13142*/ GIMT_Encode4(856627), // Rule ID 24381 //
     /*  856557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  856568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  856571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  856574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856603 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2),
     /*  856606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856625 */     GIR_RootConstrainSelectedInstOperands,
     /*  856626 */     // GIR_Coverage, 24381,
     /*  856626 */     GIR_EraseRootFromParent_Done,
     /*  856627 */   // Label 13142: @856627
     /*  856627 */   GIM_Try, /*On fail goto*//*Label 13143*/ GIMT_Encode4(856702), // Rule ID 24384 //
     /*  856632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  856635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856678 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  856681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856700 */     GIR_RootConstrainSelectedInstOperands,
     /*  856701 */     // GIR_Coverage, 24384,
     /*  856701 */     GIR_EraseRootFromParent_Done,
     /*  856702 */   // Label 13143: @856702
     /*  856702 */   GIM_Try, /*On fail goto*//*Label 13144*/ GIMT_Encode4(856777), // Rule ID 24385 //
     /*  856707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  856710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  856718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  856721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  856724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856753 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  856753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2),
     /*  856756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856775 */     GIR_RootConstrainSelectedInstOperands,
     /*  856776 */     // GIR_Coverage, 24385,
     /*  856776 */     GIR_EraseRootFromParent_Done,
     /*  856777 */   // Label 13144: @856777
     /*  856777 */   GIM_Try, /*On fail goto*//*Label 13145*/ GIMT_Encode4(856852), // Rule ID 24388 //
     /*  856782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  856785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856828 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  856828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  856831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856850 */     GIR_RootConstrainSelectedInstOperands,
     /*  856851 */     // GIR_Coverage, 24388,
     /*  856851 */     GIR_EraseRootFromParent_Done,
     /*  856852 */   // Label 13145: @856852
     /*  856852 */   GIM_Try, /*On fail goto*//*Label 13146*/ GIMT_Encode4(856927), // Rule ID 24389 //
     /*  856857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  856860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  856868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  856871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  856874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  856877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  856880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  856896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856903 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11273:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  856903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1),
     /*  856906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  856922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  856925 */     GIR_RootConstrainSelectedInstOperands,
     /*  856926 */     // GIR_Coverage, 24389,
     /*  856926 */     GIR_EraseRootFromParent_Done,
     /*  856927 */   // Label 13146: @856927
     /*  856927 */   GIM_Try, /*On fail goto*//*Label 13147*/ GIMT_Encode4(857002), // Rule ID 24392 //
     /*  856932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  856935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  856940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  856943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  856946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  856949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  856952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  856955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  856967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  856971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  856978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  856978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  856981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  856983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  856985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  856987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  856989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  856994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  856997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857000 */     GIR_RootConstrainSelectedInstOperands,
     /*  857001 */     // GIR_Coverage, 24392,
     /*  857001 */     GIR_EraseRootFromParent_Done,
     /*  857002 */   // Label 13147: @857002
     /*  857002 */   GIM_Try, /*On fail goto*//*Label 13148*/ GIMT_Encode4(857077), // Rule ID 24393 //
     /*  857007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  857018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  857021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  857024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857053 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11273:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1),
     /*  857056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857075 */     GIR_RootConstrainSelectedInstOperands,
     /*  857076 */     // GIR_Coverage, 24393,
     /*  857076 */     GIR_EraseRootFromParent_Done,
     /*  857077 */   // Label 13148: @857077
     /*  857077 */   GIM_Try, /*On fail goto*//*Label 13149*/ GIMT_Encode4(857152), // Rule ID 24396 //
     /*  857082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  857085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  857128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  857131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857150 */     GIR_RootConstrainSelectedInstOperands,
     /*  857151 */     // GIR_Coverage, 24396,
     /*  857151 */     GIR_EraseRootFromParent_Done,
     /*  857152 */   // Label 13149: @857152
     /*  857152 */   GIM_Try, /*On fail goto*//*Label 13150*/ GIMT_Encode4(857227), // Rule ID 24397 //
     /*  857157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  857160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  857168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  857171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  857174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  857177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  857192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  857196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857203 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11273:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  857203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1),
     /*  857206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  857222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857225 */     GIR_RootConstrainSelectedInstOperands,
     /*  857226 */     // GIR_Coverage, 24397,
     /*  857226 */     GIR_EraseRootFromParent_Done,
     /*  857227 */   // Label 13150: @857227
     /*  857227 */   GIM_Try, /*On fail goto*//*Label 13151*/ GIMT_Encode4(857302), // Rule ID 24400 //
     /*  857232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  857235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  857243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  857246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  857249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857278 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  857281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857300 */     GIR_RootConstrainSelectedInstOperands,
     /*  857301 */     // GIR_Coverage, 24400,
     /*  857301 */     GIR_EraseRootFromParent_Done,
     /*  857302 */   // Label 13151: @857302
     /*  857302 */   GIM_Try, /*On fail goto*//*Label 13152*/ GIMT_Encode4(857377), // Rule ID 24401 //
     /*  857307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  857310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  857318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  857321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  857324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857353 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2),
     /*  857356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857375 */     GIR_RootConstrainSelectedInstOperands,
     /*  857376 */     // GIR_Coverage, 24401,
     /*  857376 */     GIR_EraseRootFromParent_Done,
     /*  857377 */   // Label 13152: @857377
     /*  857377 */   GIM_Try, /*On fail goto*//*Label 13153*/ GIMT_Encode4(857452), // Rule ID 24404 //
     /*  857382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  857385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  857393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  857396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  857399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857428 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  857431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857450 */     GIR_RootConstrainSelectedInstOperands,
     /*  857451 */     // GIR_Coverage, 24404,
     /*  857451 */     GIR_EraseRootFromParent_Done,
     /*  857452 */   // Label 13153: @857452
     /*  857452 */   GIM_Try, /*On fail goto*//*Label 13154*/ GIMT_Encode4(857527), // Rule ID 24405 //
     /*  857457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  857460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  857468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  857471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  857474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857503 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4),
     /*  857506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857525 */     GIR_RootConstrainSelectedInstOperands,
     /*  857526 */     // GIR_Coverage, 24405,
     /*  857526 */     GIR_EraseRootFromParent_Done,
     /*  857527 */   // Label 13154: @857527
     /*  857527 */   GIM_Try, /*On fail goto*//*Label 13155*/ GIMT_Encode4(857602), // Rule ID 24408 //
     /*  857532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  857535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  857543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  857546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  857549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857578 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  857578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  857581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857600 */     GIR_RootConstrainSelectedInstOperands,
     /*  857601 */     // GIR_Coverage, 24408,
     /*  857601 */     GIR_EraseRootFromParent_Done,
     /*  857602 */   // Label 13155: @857602
     /*  857602 */   GIM_Try, /*On fail goto*//*Label 13156*/ GIMT_Encode4(857677), // Rule ID 24409 //
     /*  857607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  857610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  857618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  857621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  857624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  857627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  857642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  857646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857653 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  857653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8),
     /*  857656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  857672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857675 */     GIR_RootConstrainSelectedInstOperands,
     /*  857676 */     // GIR_Coverage, 24409,
     /*  857676 */     GIR_EraseRootFromParent_Done,
     /*  857677 */   // Label 13156: @857677
     /*  857677 */   GIM_Try, /*On fail goto*//*Label 13157*/ GIMT_Encode4(857752), // Rule ID 24412 //
     /*  857682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  857693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  857696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  857699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857728 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  857731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857750 */     GIR_RootConstrainSelectedInstOperands,
     /*  857751 */     // GIR_Coverage, 24412,
     /*  857751 */     GIR_EraseRootFromParent_Done,
     /*  857752 */   // Label 13157: @857752
     /*  857752 */   GIM_Try, /*On fail goto*//*Label 13158*/ GIMT_Encode4(857827), // Rule ID 24413 //
     /*  857757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  857768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  857771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  857774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  857792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857803 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2),
     /*  857806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857825 */     GIR_RootConstrainSelectedInstOperands,
     /*  857826 */     // GIR_Coverage, 24413,
     /*  857826 */     GIR_EraseRootFromParent_Done,
     /*  857827 */   // Label 13158: @857827
     /*  857827 */   GIM_Try, /*On fail goto*//*Label 13159*/ GIMT_Encode4(857902), // Rule ID 24416 //
     /*  857832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  857843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  857846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  857849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  857855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857878 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  857878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  857881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857900 */     GIR_RootConstrainSelectedInstOperands,
     /*  857901 */     // GIR_Coverage, 24416,
     /*  857901 */     GIR_EraseRootFromParent_Done,
     /*  857902 */   // Label 13159: @857902
     /*  857902 */   GIM_Try, /*On fail goto*//*Label 13160*/ GIMT_Encode4(857977), // Rule ID 24417 //
     /*  857907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  857910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  857918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  857921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  857924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  857927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  857930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  857942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  857946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  857953 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  857953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4),
     /*  857956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  857958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  857960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  857962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  857964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  857969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  857972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  857975 */     GIR_RootConstrainSelectedInstOperands,
     /*  857976 */     // GIR_Coverage, 24417,
     /*  857976 */     GIR_EraseRootFromParent_Done,
     /*  857977 */   // Label 13160: @857977
     /*  857977 */   GIM_Try, /*On fail goto*//*Label 13161*/ GIMT_Encode4(858052), // Rule ID 24420 //
     /*  857982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  857985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  857990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  857993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  857996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  857999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  858031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858050 */     GIR_RootConstrainSelectedInstOperands,
     /*  858051 */     // GIR_Coverage, 24420,
     /*  858051 */     GIR_EraseRootFromParent_Done,
     /*  858052 */   // Label 13161: @858052
     /*  858052 */   GIM_Try, /*On fail goto*//*Label 13162*/ GIMT_Encode4(858127), // Rule ID 24421 //
     /*  858057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  858060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  858065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  858068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  858071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  858074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858103 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  858103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8),
     /*  858106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858125 */     GIR_RootConstrainSelectedInstOperands,
     /*  858126 */     // GIR_Coverage, 24421,
     /*  858126 */     GIR_EraseRootFromParent_Done,
     /*  858127 */   // Label 13162: @858127
     /*  858127 */   GIM_Try, /*On fail goto*//*Label 13163*/ GIMT_Encode4(858202), // Rule ID 24424 //
     /*  858132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  858135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  858140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858178 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  858181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858200 */     GIR_RootConstrainSelectedInstOperands,
     /*  858201 */     // GIR_Coverage, 24424,
     /*  858201 */     GIR_EraseRootFromParent_Done,
     /*  858202 */   // Label 13163: @858202
     /*  858202 */   GIM_Try, /*On fail goto*//*Label 13164*/ GIMT_Encode4(858277), // Rule ID 24425 //
     /*  858207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  858210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  858215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  858218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  858221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  858224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  858242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858253 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11273:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2),
     /*  858256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858275 */     GIR_RootConstrainSelectedInstOperands,
     /*  858276 */     // GIR_Coverage, 24425,
     /*  858276 */     GIR_EraseRootFromParent_Done,
     /*  858277 */   // Label 13164: @858277
     /*  858277 */   GIM_Try, /*On fail goto*//*Label 13165*/ GIMT_Encode4(858352), // Rule ID 24428 //
     /*  858282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  858285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  858290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  858296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858328 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  858331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858350 */     GIR_RootConstrainSelectedInstOperands,
     /*  858351 */     // GIR_Coverage, 24428,
     /*  858351 */     GIR_EraseRootFromParent_Done,
     /*  858352 */   // Label 13165: @858352
     /*  858352 */   GIM_Try, /*On fail goto*//*Label 13166*/ GIMT_Encode4(858427), // Rule ID 24429 //
     /*  858357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  858360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  858365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  858368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  858371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  858374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  858392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858403 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11273:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4),
     /*  858406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858425 */     GIR_RootConstrainSelectedInstOperands,
     /*  858426 */     // GIR_Coverage, 24429,
     /*  858426 */     GIR_EraseRootFromParent_Done,
     /*  858427 */   // Label 13166: @858427
     /*  858427 */   GIM_Try, /*On fail goto*//*Label 13167*/ GIMT_Encode4(858502), // Rule ID 24432 //
     /*  858432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  858435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  858440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  858446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858478 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  858478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  858481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858500 */     GIR_RootConstrainSelectedInstOperands,
     /*  858501 */     // GIR_Coverage, 24432,
     /*  858501 */     GIR_EraseRootFromParent_Done,
     /*  858502 */   // Label 13167: @858502
     /*  858502 */   GIM_Try, /*On fail goto*//*Label 13168*/ GIMT_Encode4(858577), // Rule ID 24433 //
     /*  858507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  858510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up),
     /*  858515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  858518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  858521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  858524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  858527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  858542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  858546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858553 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11273:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1UP_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  858553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8),
     /*  858556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  858572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858575 */     GIR_RootConstrainSelectedInstOperands,
     /*  858576 */     // GIR_Coverage, 24433,
     /*  858576 */     GIR_EraseRootFromParent_Done,
     /*  858577 */   // Label 13168: @858577
     /*  858577 */   GIM_Try, /*On fail goto*//*Label 13169*/ GIMT_Encode4(858652), // Rule ID 24436 //
     /*  858582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  858593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  858596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  858599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858628 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  858631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858650 */     GIR_RootConstrainSelectedInstOperands,
     /*  858651 */     // GIR_Coverage, 24436,
     /*  858651 */     GIR_EraseRootFromParent_Done,
     /*  858652 */   // Label 13169: @858652
     /*  858652 */   GIM_Try, /*On fail goto*//*Label 13170*/ GIMT_Encode4(858727), // Rule ID 24437 //
     /*  858657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  858660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  858668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  858671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  858674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858703 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4),
     /*  858706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858725 */     GIR_RootConstrainSelectedInstOperands,
     /*  858726 */     // GIR_Coverage, 24437,
     /*  858726 */     GIR_EraseRootFromParent_Done,
     /*  858727 */   // Label 13170: @858727
     /*  858727 */   GIM_Try, /*On fail goto*//*Label 13171*/ GIMT_Encode4(858802), // Rule ID 24440 //
     /*  858732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  858735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  858743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  858746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  858749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858778 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  858778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  858781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858800 */     GIR_RootConstrainSelectedInstOperands,
     /*  858801 */     // GIR_Coverage, 24440,
     /*  858801 */     GIR_EraseRootFromParent_Done,
     /*  858802 */   // Label 13171: @858802
     /*  858802 */   GIM_Try, /*On fail goto*//*Label 13172*/ GIMT_Encode4(858877), // Rule ID 24441 //
     /*  858807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  858810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  858818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  858821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  858824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  858827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  858846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858853 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  858853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2),
     /*  858856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  858872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858875 */     GIR_RootConstrainSelectedInstOperands,
     /*  858876 */     // GIR_Coverage, 24441,
     /*  858876 */     GIR_EraseRootFromParent_Done,
     /*  858877 */   // Label 13172: @858877
     /*  858877 */   GIM_Try, /*On fail goto*//*Label 13173*/ GIMT_Encode4(858952), // Rule ID 24444 //
     /*  858882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  858885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  858893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  858896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  858899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  858905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  858928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  858928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  858931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  858933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  858935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  858937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  858939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  858944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  858947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  858950 */     GIR_RootConstrainSelectedInstOperands,
     /*  858951 */     // GIR_Coverage, 24444,
     /*  858951 */     GIR_EraseRootFromParent_Done,
     /*  858952 */   // Label 13173: @858952
     /*  858952 */   GIM_Try, /*On fail goto*//*Label 13174*/ GIMT_Encode4(859027), // Rule ID 24445 //
     /*  858957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  858960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  858965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  858968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  858971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  858974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  858977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  858980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  858992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  858996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859003 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2),
     /*  859006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859025 */     GIR_RootConstrainSelectedInstOperands,
     /*  859026 */     // GIR_Coverage, 24445,
     /*  859026 */     GIR_EraseRootFromParent_Done,
     /*  859027 */   // Label 13174: @859027
     /*  859027 */   GIM_Try, /*On fail goto*//*Label 13175*/ GIMT_Encode4(859102), // Rule ID 24448 //
     /*  859032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  859035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  859046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859078 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  859081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859100 */     GIR_RootConstrainSelectedInstOperands,
     /*  859101 */     // GIR_Coverage, 24448,
     /*  859101 */     GIR_EraseRootFromParent_Done,
     /*  859102 */   // Label 13175: @859102
     /*  859102 */   GIM_Try, /*On fail goto*//*Label 13176*/ GIMT_Encode4(859177), // Rule ID 24449 //
     /*  859107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  859118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  859121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  859124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11271:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1),
     /*  859156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859175 */     GIR_RootConstrainSelectedInstOperands,
     /*  859176 */     // GIR_Coverage, 24449,
     /*  859176 */     GIR_EraseRootFromParent_Done,
     /*  859177 */   // Label 13176: @859177
     /*  859177 */   GIM_Try, /*On fail goto*//*Label 13177*/ GIMT_Encode4(859252), // Rule ID 24452 //
     /*  859182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  859193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  859196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  859199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  859231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859250 */     GIR_RootConstrainSelectedInstOperands,
     /*  859251 */     // GIR_Coverage, 24452,
     /*  859251 */     GIR_EraseRootFromParent_Done,
     /*  859252 */   // Label 13177: @859252
     /*  859252 */   GIM_Try, /*On fail goto*//*Label 13178*/ GIMT_Encode4(859327), // Rule ID 24453 //
     /*  859257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  859260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  859268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  859271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  859274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11271:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  859303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1),
     /*  859306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859325 */     GIR_RootConstrainSelectedInstOperands,
     /*  859326 */     // GIR_Coverage, 24453,
     /*  859326 */     GIR_EraseRootFromParent_Done,
     /*  859327 */   // Label 13178: @859327
     /*  859327 */   GIM_Try, /*On fail goto*//*Label 13179*/ GIMT_Encode4(859402), // Rule ID 24456 //
     /*  859332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  859335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  859346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859378 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  859378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  859381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859400 */     GIR_RootConstrainSelectedInstOperands,
     /*  859401 */     // GIR_Coverage, 24456,
     /*  859401 */     GIR_EraseRootFromParent_Done,
     /*  859402 */   // Label 13179: @859402
     /*  859402 */   GIM_Try, /*On fail goto*//*Label 13180*/ GIMT_Encode4(859477), // Rule ID 24457 //
     /*  859407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  859410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  859418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  859421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  859424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  859427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  859442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  859446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859453 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11271:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  859453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1),
     /*  859456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  859472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859475 */     GIR_RootConstrainSelectedInstOperands,
     /*  859476 */     // GIR_Coverage, 24457,
     /*  859476 */     GIR_EraseRootFromParent_Done,
     /*  859477 */   // Label 13180: @859477
     /*  859477 */   GIM_Try, /*On fail goto*//*Label 13181*/ GIMT_Encode4(859552), // Rule ID 24460 //
     /*  859482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  859485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  859493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  859496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  859499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859528 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  859531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859550 */     GIR_RootConstrainSelectedInstOperands,
     /*  859551 */     // GIR_Coverage, 24460,
     /*  859551 */     GIR_EraseRootFromParent_Done,
     /*  859552 */   // Label 13181: @859552
     /*  859552 */   GIM_Try, /*On fail goto*//*Label 13182*/ GIMT_Encode4(859627), // Rule ID 24461 //
     /*  859557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  859568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  859571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  859574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859603 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2),
     /*  859606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859625 */     GIR_RootConstrainSelectedInstOperands,
     /*  859626 */     // GIR_Coverage, 24461,
     /*  859626 */     GIR_EraseRootFromParent_Done,
     /*  859627 */   // Label 13182: @859627
     /*  859627 */   GIM_Try, /*On fail goto*//*Label 13183*/ GIMT_Encode4(859702), // Rule ID 24464 //
     /*  859632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  859635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  859643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  859646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  859649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859678 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  859681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859700 */     GIR_RootConstrainSelectedInstOperands,
     /*  859701 */     // GIR_Coverage, 24464,
     /*  859701 */     GIR_EraseRootFromParent_Done,
     /*  859702 */   // Label 13183: @859702
     /*  859702 */   GIM_Try, /*On fail goto*//*Label 13184*/ GIMT_Encode4(859777), // Rule ID 24465 //
     /*  859707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  859718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  859721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  859724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  859742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859753 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4),
     /*  859756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859775 */     GIR_RootConstrainSelectedInstOperands,
     /*  859776 */     // GIR_Coverage, 24465,
     /*  859776 */     GIR_EraseRootFromParent_Done,
     /*  859777 */   // Label 13184: @859777
     /*  859777 */   GIM_Try, /*On fail goto*//*Label 13185*/ GIMT_Encode4(859852), // Rule ID 24468 //
     /*  859782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /*  859785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  859793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  859796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  859799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859828 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  859828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  859831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859850 */     GIR_RootConstrainSelectedInstOperands,
     /*  859851 */     // GIR_Coverage, 24468,
     /*  859851 */     GIR_EraseRootFromParent_Done,
     /*  859852 */   // Label 13185: @859852
     /*  859852 */   GIM_Try, /*On fail goto*//*Label 13186*/ GIMT_Encode4(859927), // Rule ID 24469 //
     /*  859857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /*  859860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  859868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  859871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  859874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /*  859877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  859880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  859892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  859896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859903 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  859903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8),
     /*  859906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  859922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  859925 */     GIR_RootConstrainSelectedInstOperands,
     /*  859926 */     // GIR_Coverage, 24469,
     /*  859926 */     GIR_EraseRootFromParent_Done,
     /*  859927 */   // Label 13186: @859927
     /*  859927 */   GIM_Try, /*On fail goto*//*Label 13187*/ GIMT_Encode4(860002), // Rule ID 24472 //
     /*  859932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  859935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  859940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  859943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  859946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  859949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  859952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  859955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  859967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  859971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  859978 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  859978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  859981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  859983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  859985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  859987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  859989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  859994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  859997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860000 */     GIR_RootConstrainSelectedInstOperands,
     /*  860001 */     // GIR_Coverage, 24472,
     /*  860001 */     GIR_EraseRootFromParent_Done,
     /*  860002 */   // Label 13187: @860002
     /*  860002 */   GIM_Try, /*On fail goto*//*Label 13188*/ GIMT_Encode4(860077), // Rule ID 24473 //
     /*  860007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  860010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  860018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  860021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  860024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  860046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860053 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2),
     /*  860056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860075 */     GIR_RootConstrainSelectedInstOperands,
     /*  860076 */     // GIR_Coverage, 24473,
     /*  860076 */     GIR_EraseRootFromParent_Done,
     /*  860077 */   // Label 13188: @860077
     /*  860077 */   GIM_Try, /*On fail goto*//*Label 13189*/ GIMT_Encode4(860152), // Rule ID 24476 //
     /*  860082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  860085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  860093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  860096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  860099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  860121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  860131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860150 */     GIR_RootConstrainSelectedInstOperands,
     /*  860151 */     // GIR_Coverage, 24476,
     /*  860151 */     GIR_EraseRootFromParent_Done,
     /*  860152 */   // Label 13189: @860152
     /*  860152 */   GIM_Try, /*On fail goto*//*Label 13190*/ GIMT_Encode4(860227), // Rule ID 24477 //
     /*  860157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  860160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  860168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  860171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  860174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  860196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860203 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4),
     /*  860206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860225 */     GIR_RootConstrainSelectedInstOperands,
     /*  860226 */     // GIR_Coverage, 24477,
     /*  860226 */     GIR_EraseRootFromParent_Done,
     /*  860227 */   // Label 13190: @860227
     /*  860227 */   GIM_Try, /*On fail goto*//*Label 13191*/ GIMT_Encode4(860302), // Rule ID 24480 //
     /*  860232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  860235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  860243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  860246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  860249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  860271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860278 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  860278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  860281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860300 */     GIR_RootConstrainSelectedInstOperands,
     /*  860301 */     // GIR_Coverage, 24480,
     /*  860301 */     GIR_EraseRootFromParent_Done,
     /*  860302 */   // Label 13191: @860302
     /*  860302 */   GIM_Try, /*On fail goto*//*Label 13192*/ GIMT_Encode4(860377), // Rule ID 24481 //
     /*  860307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  860310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  860318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  860321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  860324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  860327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  860346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860353 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  860353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8),
     /*  860356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  860372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860375 */     GIR_RootConstrainSelectedInstOperands,
     /*  860376 */     // GIR_Coverage, 24481,
     /*  860376 */     GIR_EraseRootFromParent_Done,
     /*  860377 */   // Label 13192: @860377
     /*  860377 */   GIM_Try, /*On fail goto*//*Label 13193*/ GIMT_Encode4(860452), // Rule ID 24484 //
     /*  860382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  860393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  860396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  860399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860428 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  860431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860450 */     GIR_RootConstrainSelectedInstOperands,
     /*  860451 */     // GIR_Coverage, 24484,
     /*  860451 */     GIR_EraseRootFromParent_Done,
     /*  860452 */   // Label 13193: @860452
     /*  860452 */   GIM_Try, /*On fail goto*//*Label 13194*/ GIMT_Encode4(860527), // Rule ID 24485 //
     /*  860457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  860468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  860471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  860474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  860492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11271:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2),
     /*  860506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860525 */     GIR_RootConstrainSelectedInstOperands,
     /*  860526 */     // GIR_Coverage, 24485,
     /*  860526 */     GIR_EraseRootFromParent_Done,
     /*  860527 */   // Label 13194: @860527
     /*  860527 */   GIM_Try, /*On fail goto*//*Label 13195*/ GIMT_Encode4(860602), // Rule ID 24488 //
     /*  860532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  860543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  860546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  860549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860578 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  860581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860600 */     GIR_RootConstrainSelectedInstOperands,
     /*  860601 */     // GIR_Coverage, 24488,
     /*  860601 */     GIR_EraseRootFromParent_Done,
     /*  860602 */   // Label 13195: @860602
     /*  860602 */   GIM_Try, /*On fail goto*//*Label 13196*/ GIMT_Encode4(860677), // Rule ID 24489 //
     /*  860607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  860618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  860621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  860624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  860642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860653 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11271:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4),
     /*  860656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860675 */     GIR_RootConstrainSelectedInstOperands,
     /*  860676 */     // GIR_Coverage, 24489,
     /*  860676 */     GIR_EraseRootFromParent_Done,
     /*  860677 */   // Label 13196: @860677
     /*  860677 */   GIM_Try, /*On fail goto*//*Label 13197*/ GIMT_Encode4(860752), // Rule ID 24492 //
     /*  860682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  860685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  860728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  860731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860750 */     GIR_RootConstrainSelectedInstOperands,
     /*  860751 */     // GIR_Coverage, 24492,
     /*  860751 */     GIR_EraseRootFromParent_Done,
     /*  860752 */   // Label 13197: @860752
     /*  860752 */   GIM_Try, /*On fail goto*//*Label 13198*/ GIMT_Encode4(860827), // Rule ID 24493 //
     /*  860757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  860760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down),
     /*  860765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  860768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  860771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  860774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  860777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  860792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  860796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860803 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11271:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  860803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8),
     /*  860806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  860822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860825 */     GIR_RootConstrainSelectedInstOperands,
     /*  860826 */     // GIR_Coverage, 24493,
     /*  860826 */     GIR_EraseRootFromParent_Done,
     /*  860827 */   // Label 13198: @860827
     /*  860827 */   GIM_Try, /*On fail goto*//*Label 13199*/ GIMT_Encode4(860902), // Rule ID 24496 //
     /*  860832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  860843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  860846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  860849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  860852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  860855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860878 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  860878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  860881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860900 */     GIR_RootConstrainSelectedInstOperands,
     /*  860901 */     // GIR_Coverage, 24496,
     /*  860901 */     GIR_EraseRootFromParent_Done,
     /*  860902 */   // Label 13199: @860902
     /*  860902 */   GIM_Try, /*On fail goto*//*Label 13200*/ GIMT_Encode4(860977), // Rule ID 24497 //
     /*  860907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  860910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  860918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  860921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  860924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  860927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  860930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  860946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  860953 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF8_E8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  860953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8),
     /*  860956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  860958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  860960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  860962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  860964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  860969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  860972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  860975 */     GIR_RootConstrainSelectedInstOperands,
     /*  860976 */     // GIR_Coverage, 24497,
     /*  860976 */     GIR_EraseRootFromParent_Done,
     /*  860977 */   // Label 13200: @860977
     /*  860977 */   GIM_Try, /*On fail goto*//*Label 13201*/ GIMT_Encode4(861052), // Rule ID 24500 //
     /*  860982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  860985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  860990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  860993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  860996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  860999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  861002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  861031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861050 */     GIR_RootConstrainSelectedInstOperands,
     /*  861051 */     // GIR_Coverage, 24500,
     /*  861051 */     GIR_EraseRootFromParent_Done,
     /*  861052 */   // Label 13201: @861052
     /*  861052 */   GIM_Try, /*On fail goto*//*Label 13202*/ GIMT_Encode4(861127), // Rule ID 24501 //
     /*  861057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  861068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  861071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  861074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  861077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861103 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8),
     /*  861106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861125 */     GIR_RootConstrainSelectedInstOperands,
     /*  861126 */     // GIR_Coverage, 24501,
     /*  861126 */     GIR_EraseRootFromParent_Done,
     /*  861127 */   // Label 13202: @861127
     /*  861127 */   GIM_Try, /*On fail goto*//*Label 13203*/ GIMT_Encode4(861202), // Rule ID 24504 //
     /*  861132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  861143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  861146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  861149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  861152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861178 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  861181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861200 */     GIR_RootConstrainSelectedInstOperands,
     /*  861201 */     // GIR_Coverage, 24504,
     /*  861201 */     GIR_EraseRootFromParent_Done,
     /*  861202 */   // Label 13203: @861202
     /*  861202 */   GIM_Try, /*On fail goto*//*Label 13204*/ GIMT_Encode4(861277), // Rule ID 24505 //
     /*  861207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  861218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  861221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  861224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  861227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861253 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8),
     /*  861256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861275 */     GIR_RootConstrainSelectedInstOperands,
     /*  861276 */     // GIR_Coverage, 24505,
     /*  861276 */     GIR_EraseRootFromParent_Done,
     /*  861277 */   // Label 13204: @861277
     /*  861277 */   GIM_Try, /*On fail goto*//*Label 13205*/ GIMT_Encode4(861352), // Rule ID 24508 //
     /*  861282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  861293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  861296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  861299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861328 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  861331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861350 */     GIR_RootConstrainSelectedInstOperands,
     /*  861351 */     // GIR_Coverage, 24508,
     /*  861351 */     GIR_EraseRootFromParent_Done,
     /*  861352 */   // Label 13205: @861352
     /*  861352 */   GIM_Try, /*On fail goto*//*Label 13206*/ GIMT_Encode4(861427), // Rule ID 24509 //
     /*  861357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  861368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  861371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  861374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  861377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861403 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  861406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861425 */     GIR_RootConstrainSelectedInstOperands,
     /*  861426 */     // GIR_Coverage, 24509,
     /*  861426 */     GIR_EraseRootFromParent_Done,
     /*  861427 */   // Label 13206: @861427
     /*  861427 */   GIM_Try, /*On fail goto*//*Label 13207*/ GIMT_Encode4(861502), // Rule ID 24512 //
     /*  861432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  861443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  861446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  861449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861478 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  861481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861500 */     GIR_RootConstrainSelectedInstOperands,
     /*  861501 */     // GIR_Coverage, 24512,
     /*  861501 */     GIR_EraseRootFromParent_Done,
     /*  861502 */   // Label 13207: @861502
     /*  861502 */   GIM_Try, /*On fail goto*//*Label 13208*/ GIMT_Encode4(861577), // Rule ID 24513 //
     /*  861507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  861518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  861521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  861524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  861527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861553 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  861553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  861556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861575 */     GIR_RootConstrainSelectedInstOperands,
     /*  861576 */     // GIR_Coverage, 24513,
     /*  861576 */     GIR_EraseRootFromParent_Done,
     /*  861577 */   // Label 13208: @861577
     /*  861577 */   GIM_Try, /*On fail goto*//*Label 13209*/ GIMT_Encode4(861652), // Rule ID 24516 //
     /*  861582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  861596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  861602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  861628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  861631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861650 */     GIR_RootConstrainSelectedInstOperands,
     /*  861651 */     // GIR_Coverage, 24516,
     /*  861651 */     GIR_EraseRootFromParent_Done,
     /*  861652 */   // Label 13209: @861652
     /*  861652 */   GIM_Try, /*On fail goto*//*Label 13210*/ GIMT_Encode4(861727), // Rule ID 24517 //
     /*  861657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  861668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  861671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  861674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  861677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861703 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  861703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  861706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  861722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861725 */     GIR_RootConstrainSelectedInstOperands,
     /*  861726 */     // GIR_Coverage, 24517,
     /*  861726 */     GIR_EraseRootFromParent_Done,
     /*  861727 */   // Label 13210: @861727
     /*  861727 */   GIM_Try, /*On fail goto*//*Label 13211*/ GIMT_Encode4(861802), // Rule ID 24520 //
     /*  861732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  861743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  861746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  861749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  861752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  861778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  861781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861800 */     GIR_RootConstrainSelectedInstOperands,
     /*  861801 */     // GIR_Coverage, 24520,
     /*  861801 */     GIR_EraseRootFromParent_Done,
     /*  861802 */   // Label 13211: @861802
     /*  861802 */   GIM_Try, /*On fail goto*//*Label 13212*/ GIMT_Encode4(861877), // Rule ID 24521 //
     /*  861807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  861818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  861821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  861824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  861827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11519:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  861853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8),
     /*  861856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  861872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861875 */     GIR_RootConstrainSelectedInstOperands,
     /*  861876 */     // GIR_Coverage, 24521,
     /*  861876 */     GIR_EraseRootFromParent_Done,
     /*  861877 */   // Label 13212: @861877
     /*  861877 */   GIM_Try, /*On fail goto*//*Label 13213*/ GIMT_Encode4(861952), // Rule ID 24524 //
     /*  861882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  861885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  861893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  861896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  861899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  861905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  861928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  861928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  861931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  861933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  861935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  861937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  861939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  861944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  861947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  861950 */     GIR_RootConstrainSelectedInstOperands,
     /*  861951 */     // GIR_Coverage, 24524,
     /*  861951 */     GIR_EraseRootFromParent_Done,
     /*  861952 */   // Label 13213: @861952
     /*  861952 */   GIM_Try, /*On fail goto*//*Label 13214*/ GIMT_Encode4(862027), // Rule ID 24525 //
     /*  861957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  861960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  861965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  861968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  861971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  861974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  861977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  861980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  861996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862003 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  862006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862025 */     GIR_RootConstrainSelectedInstOperands,
     /*  862026 */     // GIR_Coverage, 24525,
     /*  862026 */     GIR_EraseRootFromParent_Done,
     /*  862027 */   // Label 13214: @862027
     /*  862027 */   GIM_Try, /*On fail goto*//*Label 13215*/ GIMT_Encode4(862102), // Rule ID 24528 //
     /*  862032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  862043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  862046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  862049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  862052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  862078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  862081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862100 */     GIR_RootConstrainSelectedInstOperands,
     /*  862101 */     // GIR_Coverage, 24528,
     /*  862101 */     GIR_EraseRootFromParent_Done,
     /*  862102 */   // Label 13215: @862102
     /*  862102 */   GIM_Try, /*On fail goto*//*Label 13216*/ GIMT_Encode4(862177), // Rule ID 24529 //
     /*  862107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  862118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  862121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  862124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  862127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862153 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  862153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  862156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  862172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862175 */     GIR_RootConstrainSelectedInstOperands,
     /*  862176 */     // GIR_Coverage, 24529,
     /*  862176 */     GIR_EraseRootFromParent_Done,
     /*  862177 */   // Label 13216: @862177
     /*  862177 */   GIM_Try, /*On fail goto*//*Label 13217*/ GIMT_Encode4(862252), // Rule ID 24532 //
     /*  862182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  862185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  862193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  862196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  862199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  862202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  862228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  862231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862250 */     GIR_RootConstrainSelectedInstOperands,
     /*  862251 */     // GIR_Coverage, 24532,
     /*  862251 */     GIR_EraseRootFromParent_Done,
     /*  862252 */   // Label 13217: @862252
     /*  862252 */   GIM_Try, /*On fail goto*//*Label 13218*/ GIMT_Encode4(862327), // Rule ID 24533 //
     /*  862257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  862260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  862268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  862271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  862274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  862277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  862296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  862303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  862306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  862322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862325 */     GIR_RootConstrainSelectedInstOperands,
     /*  862326 */     // GIR_Coverage, 24533,
     /*  862326 */     GIR_EraseRootFromParent_Done,
     /*  862327 */   // Label 13218: @862327
     /*  862327 */   GIM_Try, /*On fail goto*//*Label 13219*/ GIMT_Encode4(862402), // Rule ID 24536 //
     /*  862332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  862343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  862346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  862349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  862352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862378 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  862381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862400 */     GIR_RootConstrainSelectedInstOperands,
     /*  862401 */     // GIR_Coverage, 24536,
     /*  862401 */     GIR_EraseRootFromParent_Done,
     /*  862402 */   // Label 13219: @862402
     /*  862402 */   GIM_Try, /*On fail goto*//*Label 13220*/ GIMT_Encode4(862477), // Rule ID 24537 //
     /*  862407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  862418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  862421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  862424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  862427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862453 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8),
     /*  862456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862475 */     GIR_RootConstrainSelectedInstOperands,
     /*  862476 */     // GIR_Coverage, 24537,
     /*  862476 */     GIR_EraseRootFromParent_Done,
     /*  862477 */   // Label 13220: @862477
     /*  862477 */   GIM_Try, /*On fail goto*//*Label 13221*/ GIMT_Encode4(862552), // Rule ID 24540 //
     /*  862482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  862493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  862496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  862499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  862502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862528 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  862531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862550 */     GIR_RootConstrainSelectedInstOperands,
     /*  862551 */     // GIR_Coverage, 24540,
     /*  862551 */     GIR_EraseRootFromParent_Done,
     /*  862552 */   // Label 13221: @862552
     /*  862552 */   GIM_Try, /*On fail goto*//*Label 13222*/ GIMT_Encode4(862627), // Rule ID 24541 //
     /*  862557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  862568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  862571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  862574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  862577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862603 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8),
     /*  862606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862625 */     GIR_RootConstrainSelectedInstOperands,
     /*  862626 */     // GIR_Coverage, 24541,
     /*  862626 */     GIR_EraseRootFromParent_Done,
     /*  862627 */   // Label 13222: @862627
     /*  862627 */   GIM_Try, /*On fail goto*//*Label 13223*/ GIMT_Encode4(862702), // Rule ID 24544 //
     /*  862632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  862643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  862646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  862649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  862652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  862678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  862681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862700 */     GIR_RootConstrainSelectedInstOperands,
     /*  862701 */     // GIR_Coverage, 24544,
     /*  862701 */     GIR_EraseRootFromParent_Done,
     /*  862702 */   // Label 13223: @862702
     /*  862702 */   GIM_Try, /*On fail goto*//*Label 13224*/ GIMT_Encode4(862777), // Rule ID 24545 //
     /*  862707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  862718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  862721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  862724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  862727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  862746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862753 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  862753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8),
     /*  862756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  862772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862775 */     GIR_RootConstrainSelectedInstOperands,
     /*  862776 */     // GIR_Coverage, 24545,
     /*  862776 */     GIR_EraseRootFromParent_Done,
     /*  862777 */   // Label 13224: @862777
     /*  862777 */   GIM_Try, /*On fail goto*//*Label 13225*/ GIMT_Encode4(862852), // Rule ID 24548 //
     /*  862782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862828 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  862831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862850 */     GIR_RootConstrainSelectedInstOperands,
     /*  862851 */     // GIR_Coverage, 24548,
     /*  862851 */     GIR_EraseRootFromParent_Done,
     /*  862852 */   // Label 13225: @862852
     /*  862852 */   GIM_Try, /*On fail goto*//*Label 13226*/ GIMT_Encode4(862927), // Rule ID 24549 //
     /*  862857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  862860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  862868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  862871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  862874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  862877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  862880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  862896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862903 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  862903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  862906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  862925 */     GIR_RootConstrainSelectedInstOperands,
     /*  862926 */     // GIR_Coverage, 24549,
     /*  862926 */     GIR_EraseRootFromParent_Done,
     /*  862927 */   // Label 13226: @862927
     /*  862927 */   GIM_Try, /*On fail goto*//*Label 13227*/ GIMT_Encode4(863002), // Rule ID 24552 //
     /*  862932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  862935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  862940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  862943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  862946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  862949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  862952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  862955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  862971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  862978 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  862978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  862981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  862983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  862985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  862987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  862989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  862994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  862997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863000 */     GIR_RootConstrainSelectedInstOperands,
     /*  863001 */     // GIR_Coverage, 24552,
     /*  863001 */     GIR_EraseRootFromParent_Done,
     /*  863002 */   // Label 13227: @863002
     /*  863002 */   GIM_Try, /*On fail goto*//*Label 13228*/ GIMT_Encode4(863077), // Rule ID 24553 //
     /*  863007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  863018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  863021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  863024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  863027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863053 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  863056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863075 */     GIR_RootConstrainSelectedInstOperands,
     /*  863076 */     // GIR_Coverage, 24553,
     /*  863076 */     GIR_EraseRootFromParent_Done,
     /*  863077 */   // Label 13228: @863077
     /*  863077 */   GIM_Try, /*On fail goto*//*Label 13229*/ GIMT_Encode4(863152), // Rule ID 24556 //
     /*  863082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  863093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  863096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  863099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  863102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  863128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  863131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863150 */     GIR_RootConstrainSelectedInstOperands,
     /*  863151 */     // GIR_Coverage, 24556,
     /*  863151 */     GIR_EraseRootFromParent_Done,
     /*  863152 */   // Label 13229: @863152
     /*  863152 */   GIM_Try, /*On fail goto*//*Label 13230*/ GIMT_Encode4(863227), // Rule ID 24557 //
     /*  863157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  863168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  863171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  863174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  863177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863203 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  863203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  863206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  863222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863225 */     GIR_RootConstrainSelectedInstOperands,
     /*  863226 */     // GIR_Coverage, 24557,
     /*  863226 */     GIR_EraseRootFromParent_Done,
     /*  863227 */   // Label 13230: @863227
     /*  863227 */   GIM_Try, /*On fail goto*//*Label 13231*/ GIMT_Encode4(863302), // Rule ID 24560 //
     /*  863232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  863243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  863246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  863249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  863252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  863281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863300 */     GIR_RootConstrainSelectedInstOperands,
     /*  863301 */     // GIR_Coverage, 24560,
     /*  863301 */     GIR_EraseRootFromParent_Done,
     /*  863302 */   // Label 13231: @863302
     /*  863302 */   GIM_Try, /*On fail goto*//*Label 13232*/ GIMT_Encode4(863377), // Rule ID 24561 //
     /*  863307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  863318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  863321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  863324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  863327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863353 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  863356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863375 */     GIR_RootConstrainSelectedInstOperands,
     /*  863376 */     // GIR_Coverage, 24561,
     /*  863376 */     GIR_EraseRootFromParent_Done,
     /*  863377 */   // Label 13232: @863377
     /*  863377 */   GIM_Try, /*On fail goto*//*Label 13233*/ GIMT_Encode4(863452), // Rule ID 24564 //
     /*  863382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  863393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  863396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  863399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  863402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  863431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863450 */     GIR_RootConstrainSelectedInstOperands,
     /*  863451 */     // GIR_Coverage, 24564,
     /*  863451 */     GIR_EraseRootFromParent_Done,
     /*  863452 */   // Label 13233: @863452
     /*  863452 */   GIM_Try, /*On fail goto*//*Label 13234*/ GIMT_Encode4(863527), // Rule ID 24565 //
     /*  863457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  863468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  863471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  863474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  863477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863503 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  863506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863525 */     GIR_RootConstrainSelectedInstOperands,
     /*  863526 */     // GIR_Coverage, 24565,
     /*  863526 */     GIR_EraseRootFromParent_Done,
     /*  863527 */   // Label 13234: @863527
     /*  863527 */   GIM_Try, /*On fail goto*//*Label 13235*/ GIMT_Encode4(863602), // Rule ID 24568 //
     /*  863532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  863535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  863546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  863552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  863578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  863581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863600 */     GIR_RootConstrainSelectedInstOperands,
     /*  863601 */     // GIR_Coverage, 24568,
     /*  863601 */     GIR_EraseRootFromParent_Done,
     /*  863602 */   // Label 13235: @863602
     /*  863602 */   GIM_Try, /*On fail goto*//*Label 13236*/ GIMT_Encode4(863677), // Rule ID 24569 //
     /*  863607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  863610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  863618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  863621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  863624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  863627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  863646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863653 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  863653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  863656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  863672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863675 */     GIR_RootConstrainSelectedInstOperands,
     /*  863676 */     // GIR_Coverage, 24569,
     /*  863676 */     GIR_EraseRootFromParent_Done,
     /*  863677 */   // Label 13236: @863677
     /*  863677 */   GIM_Try, /*On fail goto*//*Label 13237*/ GIMT_Encode4(863752), // Rule ID 24572 //
     /*  863682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  863696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  863731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863750 */     GIR_RootConstrainSelectedInstOperands,
     /*  863751 */     // GIR_Coverage, 24572,
     /*  863751 */     GIR_EraseRootFromParent_Done,
     /*  863752 */   // Label 13237: @863752
     /*  863752 */   GIM_Try, /*On fail goto*//*Label 13238*/ GIMT_Encode4(863827), // Rule ID 24573 //
     /*  863757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  863768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  863771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  863774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  863777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  863796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863803 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  863806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863825 */     GIR_RootConstrainSelectedInstOperands,
     /*  863826 */     // GIR_Coverage, 24573,
     /*  863826 */     GIR_EraseRootFromParent_Done,
     /*  863827 */   // Label 13238: @863827
     /*  863827 */   GIM_Try, /*On fail goto*//*Label 13239*/ GIMT_Encode4(863902), // Rule ID 24576 //
     /*  863832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  863852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  863855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863878 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  863878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  863881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863900 */     GIR_RootConstrainSelectedInstOperands,
     /*  863901 */     // GIR_Coverage, 24576,
     /*  863901 */     GIR_EraseRootFromParent_Done,
     /*  863902 */   // Label 13239: @863902
     /*  863902 */   GIM_Try, /*On fail goto*//*Label 13240*/ GIMT_Encode4(863977), // Rule ID 24577 //
     /*  863907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  863910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  863918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  863921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  863924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  863927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  863930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  863946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  863953 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  863953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  863956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  863958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  863960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  863962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  863964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  863969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  863972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  863975 */     GIR_RootConstrainSelectedInstOperands,
     /*  863976 */     // GIR_Coverage, 24577,
     /*  863976 */     GIR_EraseRootFromParent_Done,
     /*  863977 */   // Label 13240: @863977
     /*  863977 */   GIM_Try, /*On fail goto*//*Label 13241*/ GIMT_Encode4(864052), // Rule ID 24580 //
     /*  863982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  863985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  863990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  863993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  863996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  863999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  864002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  864028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  864031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864050 */     GIR_RootConstrainSelectedInstOperands,
     /*  864051 */     // GIR_Coverage, 24580,
     /*  864051 */     GIR_EraseRootFromParent_Done,
     /*  864052 */   // Label 13241: @864052
     /*  864052 */   GIM_Try, /*On fail goto*//*Label 13242*/ GIMT_Encode4(864127), // Rule ID 24581 //
     /*  864057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  864060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  864065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  864068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  864071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  864074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  864077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  864096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864103 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  864103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  864106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  864122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864125 */     GIR_RootConstrainSelectedInstOperands,
     /*  864126 */     // GIR_Coverage, 24581,
     /*  864126 */     GIR_EraseRootFromParent_Done,
     /*  864127 */   // Label 13242: @864127
     /*  864127 */   GIM_Try, /*On fail goto*//*Label 13243*/ GIMT_Encode4(864202), // Rule ID 24584 //
     /*  864132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  864143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  864146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  864149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864178 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  864181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864200 */     GIR_RootConstrainSelectedInstOperands,
     /*  864201 */     // GIR_Coverage, 24584,
     /*  864201 */     GIR_EraseRootFromParent_Done,
     /*  864202 */   // Label 13243: @864202
     /*  864202 */   GIM_Try, /*On fail goto*//*Label 13244*/ GIMT_Encode4(864277), // Rule ID 24585 //
     /*  864207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  864218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  864221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  864224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864253 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8),
     /*  864256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864275 */     GIR_RootConstrainSelectedInstOperands,
     /*  864276 */     // GIR_Coverage, 24585,
     /*  864276 */     GIR_EraseRootFromParent_Done,
     /*  864277 */   // Label 13244: @864277
     /*  864277 */   GIM_Try, /*On fail goto*//*Label 13245*/ GIMT_Encode4(864352), // Rule ID 24588 //
     /*  864282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  864293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  864296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  864299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  864331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864350 */     GIR_RootConstrainSelectedInstOperands,
     /*  864351 */     // GIR_Coverage, 24588,
     /*  864351 */     GIR_EraseRootFromParent_Done,
     /*  864352 */   // Label 13245: @864352
     /*  864352 */   GIM_Try, /*On fail goto*//*Label 13246*/ GIMT_Encode4(864427), // Rule ID 24589 //
     /*  864357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  864368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  864371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  864374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864403 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  864406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864425 */     GIR_RootConstrainSelectedInstOperands,
     /*  864426 */     // GIR_Coverage, 24589,
     /*  864426 */     GIR_EraseRootFromParent_Done,
     /*  864427 */   // Label 13246: @864427
     /*  864427 */   GIM_Try, /*On fail goto*//*Label 13247*/ GIMT_Encode4(864502), // Rule ID 24592 //
     /*  864432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  864443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  864446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  864449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864478 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  864478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864500 */     GIR_RootConstrainSelectedInstOperands,
     /*  864501 */     // GIR_Coverage, 24592,
     /*  864501 */     GIR_EraseRootFromParent_Done,
     /*  864502 */   // Label 13247: @864502
     /*  864502 */   GIM_Try, /*On fail goto*//*Label 13248*/ GIMT_Encode4(864577), // Rule ID 24593 //
     /*  864507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  864518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  864521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  864524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864553 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  864553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  864572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864575 */     GIR_RootConstrainSelectedInstOperands,
     /*  864576 */     // GIR_Coverage, 24593,
     /*  864576 */     GIR_EraseRootFromParent_Done,
     /*  864577 */   // Label 13248: @864577
     /*  864577 */   GIM_Try, /*On fail goto*//*Label 13249*/ GIMT_Encode4(864652), // Rule ID 24596 //
     /*  864582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  864593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  864596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  864599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  864631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864650 */     GIR_RootConstrainSelectedInstOperands,
     /*  864651 */     // GIR_Coverage, 24596,
     /*  864651 */     GIR_EraseRootFromParent_Done,
     /*  864652 */   // Label 13249: @864652
     /*  864652 */   GIM_Try, /*On fail goto*//*Label 13250*/ GIMT_Encode4(864727), // Rule ID 24597 //
     /*  864657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  864668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  864671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  864674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864703 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  864706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864725 */     GIR_RootConstrainSelectedInstOperands,
     /*  864726 */     // GIR_Coverage, 24597,
     /*  864726 */     GIR_EraseRootFromParent_Done,
     /*  864727 */   // Label 13250: @864727
     /*  864727 */   GIM_Try, /*On fail goto*//*Label 13251*/ GIMT_Encode4(864802), // Rule ID 24600 //
     /*  864732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  864743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  864746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  864749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864778 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  864778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864800 */     GIR_RootConstrainSelectedInstOperands,
     /*  864801 */     // GIR_Coverage, 24600,
     /*  864801 */     GIR_EraseRootFromParent_Done,
     /*  864802 */   // Label 13251: @864802
     /*  864802 */   GIM_Try, /*On fail goto*//*Label 13252*/ GIMT_Encode4(864877), // Rule ID 24601 //
     /*  864807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  864818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  864821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  864824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864853 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  864853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  864872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864875 */     GIR_RootConstrainSelectedInstOperands,
     /*  864876 */     // GIR_Coverage, 24601,
     /*  864876 */     GIR_EraseRootFromParent_Done,
     /*  864877 */   // Label 13252: @864877
     /*  864877 */   GIM_Try, /*On fail goto*//*Label 13253*/ GIMT_Encode4(864952), // Rule ID 24604 //
     /*  864882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  864885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  864902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  864905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  864928 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  864928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  864931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  864933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  864935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  864937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  864939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  864944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  864947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  864950 */     GIR_RootConstrainSelectedInstOperands,
     /*  864951 */     // GIR_Coverage, 24604,
     /*  864951 */     GIR_EraseRootFromParent_Done,
     /*  864952 */   // Label 13253: @864952
     /*  864952 */   GIM_Try, /*On fail goto*//*Label 13254*/ GIMT_Encode4(865027), // Rule ID 24605 //
     /*  864957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  864960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  864965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  864968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  864971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  864974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  864977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  864980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  864992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  864996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865003 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  865006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865025 */     GIR_RootConstrainSelectedInstOperands,
     /*  865026 */     // GIR_Coverage, 24605,
     /*  865026 */     GIR_EraseRootFromParent_Done,
     /*  865027 */   // Label 13254: @865027
     /*  865027 */   GIM_Try, /*On fail goto*//*Label 13255*/ GIMT_Encode4(865102), // Rule ID 24608 //
     /*  865032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  865043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  865046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  865049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865100 */     GIR_RootConstrainSelectedInstOperands,
     /*  865101 */     // GIR_Coverage, 24608,
     /*  865101 */     GIR_EraseRootFromParent_Done,
     /*  865102 */   // Label 13255: @865102
     /*  865102 */   GIM_Try, /*On fail goto*//*Label 13256*/ GIMT_Encode4(865177), // Rule ID 24609 //
     /*  865107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  865118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  865121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  865124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865153 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11521:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865175 */     GIR_RootConstrainSelectedInstOperands,
     /*  865176 */     // GIR_Coverage, 24609,
     /*  865176 */     GIR_EraseRootFromParent_Done,
     /*  865177 */   // Label 13256: @865177
     /*  865177 */   GIM_Try, /*On fail goto*//*Label 13257*/ GIMT_Encode4(865252), // Rule ID 24612 //
     /*  865182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  865193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  865196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  865199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  865228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865250 */     GIR_RootConstrainSelectedInstOperands,
     /*  865251 */     // GIR_Coverage, 24612,
     /*  865251 */     GIR_EraseRootFromParent_Done,
     /*  865252 */   // Label 13257: @865252
     /*  865252 */   GIM_Try, /*On fail goto*//*Label 13258*/ GIMT_Encode4(865327), // Rule ID 24613 //
     /*  865257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  865268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  865271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  865274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  865303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  865322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865325 */     GIR_RootConstrainSelectedInstOperands,
     /*  865326 */     // GIR_Coverage, 24613,
     /*  865326 */     GIR_EraseRootFromParent_Done,
     /*  865327 */   // Label 13258: @865327
     /*  865327 */   GIM_Try, /*On fail goto*//*Label 13259*/ GIMT_Encode4(865402), // Rule ID 24616 //
     /*  865332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  865378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865400 */     GIR_RootConstrainSelectedInstOperands,
     /*  865401 */     // GIR_Coverage, 24616,
     /*  865401 */     GIR_EraseRootFromParent_Done,
     /*  865402 */   // Label 13259: @865402
     /*  865402 */   GIM_Try, /*On fail goto*//*Label 13260*/ GIMT_Encode4(865477), // Rule ID 24617 //
     /*  865407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  865418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  865421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  865424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865453 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  865453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  865472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865475 */     GIR_RootConstrainSelectedInstOperands,
     /*  865476 */     // GIR_Coverage, 24617,
     /*  865476 */     GIR_EraseRootFromParent_Done,
     /*  865477 */   // Label 13260: @865477
     /*  865477 */   GIM_Try, /*On fail goto*//*Label 13261*/ GIMT_Encode4(865552), // Rule ID 24620 //
     /*  865482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  865485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865528 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  865528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865550 */     GIR_RootConstrainSelectedInstOperands,
     /*  865551 */     // GIR_Coverage, 24620,
     /*  865551 */     GIR_EraseRootFromParent_Done,
     /*  865552 */   // Label 13261: @865552
     /*  865552 */   GIM_Try, /*On fail goto*//*Label 13262*/ GIMT_Encode4(865627), // Rule ID 24621 //
     /*  865557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  865560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  865568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  865571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  865574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  865592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865603 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  865603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  865606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  865622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865625 */     GIR_RootConstrainSelectedInstOperands,
     /*  865626 */     // GIR_Coverage, 24621,
     /*  865626 */     GIR_EraseRootFromParent_Done,
     /*  865627 */   // Label 13262: @865627
     /*  865627 */   GIM_Try, /*On fail goto*//*Label 13263*/ GIMT_Encode4(865702), // Rule ID 24624 //
     /*  865632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  865643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  865646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  865649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865678 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865700 */     GIR_RootConstrainSelectedInstOperands,
     /*  865701 */     // GIR_Coverage, 24624,
     /*  865701 */     GIR_EraseRootFromParent_Done,
     /*  865702 */   // Label 13263: @865702
     /*  865702 */   GIM_Try, /*On fail goto*//*Label 13264*/ GIMT_Encode4(865777), // Rule ID 24625 //
     /*  865707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  865718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  865721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  865724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  865742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865753 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  865756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865775 */     GIR_RootConstrainSelectedInstOperands,
     /*  865776 */     // GIR_Coverage, 24625,
     /*  865776 */     GIR_EraseRootFromParent_Done,
     /*  865777 */   // Label 13264: @865777
     /*  865777 */   GIM_Try, /*On fail goto*//*Label 13265*/ GIMT_Encode4(865852), // Rule ID 24628 //
     /*  865782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  865793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  865796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  865799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865828 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865850 */     GIR_RootConstrainSelectedInstOperands,
     /*  865851 */     // GIR_Coverage, 24628,
     /*  865851 */     GIR_EraseRootFromParent_Done,
     /*  865852 */   // Label 13265: @865852
     /*  865852 */   GIM_Try, /*On fail goto*//*Label 13266*/ GIMT_Encode4(865927), // Rule ID 24629 //
     /*  865857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  865860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  865868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  865871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  865874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  865877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  865880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  865892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865903 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  865903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  865906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  865925 */     GIR_RootConstrainSelectedInstOperands,
     /*  865926 */     // GIR_Coverage, 24629,
     /*  865926 */     GIR_EraseRootFromParent_Done,
     /*  865927 */   // Label 13266: @865927
     /*  865927 */   GIM_Try, /*On fail goto*//*Label 13267*/ GIMT_Encode4(866002), // Rule ID 24632 //
     /*  865932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  865935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  865940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  865943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  865946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  865949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  865952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  865955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  865967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  865971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  865978 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  865978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  865981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  865983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  865985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  865987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  865989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  865994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  865997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866000 */     GIR_RootConstrainSelectedInstOperands,
     /*  866001 */     // GIR_Coverage, 24632,
     /*  866001 */     GIR_EraseRootFromParent_Done,
     /*  866002 */   // Label 13267: @866002
     /*  866002 */   GIM_Try, /*On fail goto*//*Label 13268*/ GIMT_Encode4(866077), // Rule ID 24633 //
     /*  866007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  866018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  866021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  866024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866053 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  866053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  866072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866075 */     GIR_RootConstrainSelectedInstOperands,
     /*  866076 */     // GIR_Coverage, 24633,
     /*  866076 */     GIR_EraseRootFromParent_Done,
     /*  866077 */   // Label 13268: @866077
     /*  866077 */   GIM_Try, /*On fail goto*//*Label 13269*/ GIMT_Encode4(866152), // Rule ID 24636 //
     /*  866082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  866093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  866096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  866099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  866128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866150 */     GIR_RootConstrainSelectedInstOperands,
     /*  866151 */     // GIR_Coverage, 24636,
     /*  866151 */     GIR_EraseRootFromParent_Done,
     /*  866152 */   // Label 13269: @866152
     /*  866152 */   GIM_Try, /*On fail goto*//*Label 13270*/ GIMT_Encode4(866227), // Rule ID 24637 //
     /*  866157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  866168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  866171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  866174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866203 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  866203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866225 */     GIR_RootConstrainSelectedInstOperands,
     /*  866226 */     // GIR_Coverage, 24637,
     /*  866226 */     GIR_EraseRootFromParent_Done,
     /*  866227 */   // Label 13270: @866227
     /*  866227 */   GIM_Try, /*On fail goto*//*Label 13271*/ GIMT_Encode4(866302), // Rule ID 24640 //
     /*  866232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  866243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  866246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  866249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866278 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  866278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866300 */     GIR_RootConstrainSelectedInstOperands,
     /*  866301 */     // GIR_Coverage, 24640,
     /*  866301 */     GIR_EraseRootFromParent_Done,
     /*  866302 */   // Label 13271: @866302
     /*  866302 */   GIM_Try, /*On fail goto*//*Label 13272*/ GIMT_Encode4(866377), // Rule ID 24641 //
     /*  866307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  866318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  866321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  866324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866353 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  866353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866375 */     GIR_RootConstrainSelectedInstOperands,
     /*  866376 */     // GIR_Coverage, 24641,
     /*  866376 */     GIR_EraseRootFromParent_Done,
     /*  866377 */   // Label 13272: @866377
     /*  866377 */   GIM_Try, /*On fail goto*//*Label 13273*/ GIMT_Encode4(866452), // Rule ID 24644 //
     /*  866382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  866393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  866396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  866399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  866428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866450 */     GIR_RootConstrainSelectedInstOperands,
     /*  866451 */     // GIR_Coverage, 24644,
     /*  866451 */     GIR_EraseRootFromParent_Done,
     /*  866452 */   // Label 13273: @866452
     /*  866452 */   GIM_Try, /*On fail goto*//*Label 13274*/ GIMT_Encode4(866527), // Rule ID 24645 //
     /*  866457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  866468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  866471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  866474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866503 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  866503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  866522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866525 */     GIR_RootConstrainSelectedInstOperands,
     /*  866526 */     // GIR_Coverage, 24645,
     /*  866526 */     GIR_EraseRootFromParent_Done,
     /*  866527 */   // Label 13274: @866527
     /*  866527 */   GIM_Try, /*On fail goto*//*Label 13275*/ GIMT_Encode4(866602), // Rule ID 24648 //
     /*  866532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866600 */     GIR_RootConstrainSelectedInstOperands,
     /*  866601 */     // GIR_Coverage, 24648,
     /*  866601 */     GIR_EraseRootFromParent_Done,
     /*  866602 */   // Label 13275: @866602
     /*  866602 */   GIM_Try, /*On fail goto*//*Label 13276*/ GIMT_Encode4(866677), // Rule ID 24649 //
     /*  866607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  866618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  866621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  866624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  866642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866653 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  866656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866675 */     GIR_RootConstrainSelectedInstOperands,
     /*  866676 */     // GIR_Coverage, 24649,
     /*  866676 */     GIR_EraseRootFromParent_Done,
     /*  866677 */   // Label 13276: @866677
     /*  866677 */   GIM_Try, /*On fail goto*//*Label 13277*/ GIMT_Encode4(866752), // Rule ID 24652 //
     /*  866682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866750 */     GIR_RootConstrainSelectedInstOperands,
     /*  866751 */     // GIR_Coverage, 24652,
     /*  866751 */     GIR_EraseRootFromParent_Done,
     /*  866752 */   // Label 13277: @866752
     /*  866752 */   GIM_Try, /*On fail goto*//*Label 13278*/ GIMT_Encode4(866827), // Rule ID 24653 //
     /*  866757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  866768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  866771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  866774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  866792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866803 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  866806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866825 */     GIR_RootConstrainSelectedInstOperands,
     /*  866826 */     // GIR_Coverage, 24653,
     /*  866826 */     GIR_EraseRootFromParent_Done,
     /*  866827 */   // Label 13278: @866827
     /*  866827 */   GIM_Try, /*On fail goto*//*Label 13279*/ GIMT_Encode4(866902), // Rule ID 24656 //
     /*  866832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  866835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  866852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  866855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  866878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866900 */     GIR_RootConstrainSelectedInstOperands,
     /*  866901 */     // GIR_Coverage, 24656,
     /*  866901 */     GIR_EraseRootFromParent_Done,
     /*  866902 */   // Label 13279: @866902
     /*  866902 */   GIM_Try, /*On fail goto*//*Label 13280*/ GIMT_Encode4(866977), // Rule ID 24657 //
     /*  866907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  866910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  866918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  866921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  866924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  866927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  866930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  866942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  866946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  866953 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  866953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  866956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  866958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  866960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  866962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  866964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  866969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  866972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  866975 */     GIR_RootConstrainSelectedInstOperands,
     /*  866976 */     // GIR_Coverage, 24657,
     /*  866976 */     GIR_EraseRootFromParent_Done,
     /*  866977 */   // Label 13280: @866977
     /*  866977 */   GIM_Try, /*On fail goto*//*Label 13281*/ GIMT_Encode4(867052), // Rule ID 24660 //
     /*  866982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  866985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  866990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  866993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  866996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  866999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867028 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867050 */     GIR_RootConstrainSelectedInstOperands,
     /*  867051 */     // GIR_Coverage, 24660,
     /*  867051 */     GIR_EraseRootFromParent_Done,
     /*  867052 */   // Label 13281: @867052
     /*  867052 */   GIM_Try, /*On fail goto*//*Label 13282*/ GIMT_Encode4(867127), // Rule ID 24661 //
     /*  867057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  867060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  867068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  867071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  867074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  867092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867103 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  867106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867125 */     GIR_RootConstrainSelectedInstOperands,
     /*  867126 */     // GIR_Coverage, 24661,
     /*  867126 */     GIR_EraseRootFromParent_Done,
     /*  867127 */   // Label 13282: @867127
     /*  867127 */   GIM_Try, /*On fail goto*//*Label 13283*/ GIMT_Encode4(867202), // Rule ID 24664 //
     /*  867132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  867135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  867143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  867146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  867149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867178 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867200 */     GIR_RootConstrainSelectedInstOperands,
     /*  867201 */     // GIR_Coverage, 24664,
     /*  867201 */     GIR_EraseRootFromParent_Done,
     /*  867202 */   // Label 13283: @867202
     /*  867202 */   GIM_Try, /*On fail goto*//*Label 13284*/ GIMT_Encode4(867277), // Rule ID 24665 //
     /*  867207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  867210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  867218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  867221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  867224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  867242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867253 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  867256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867275 */     GIR_RootConstrainSelectedInstOperands,
     /*  867276 */     // GIR_Coverage, 24665,
     /*  867276 */     GIR_EraseRootFromParent_Done,
     /*  867277 */   // Label 13284: @867277
     /*  867277 */   GIM_Try, /*On fail goto*//*Label 13285*/ GIMT_Encode4(867352), // Rule ID 24668 //
     /*  867282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  867285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  867293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  867296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  867299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  867302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867328 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  867328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867350 */     GIR_RootConstrainSelectedInstOperands,
     /*  867351 */     // GIR_Coverage, 24668,
     /*  867351 */     GIR_EraseRootFromParent_Done,
     /*  867352 */   // Label 13285: @867352
     /*  867352 */   GIM_Try, /*On fail goto*//*Label 13286*/ GIMT_Encode4(867427), // Rule ID 24669 //
     /*  867357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  867360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  867365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  867368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  867371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  867374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  867377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  867392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  867396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867403 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  867403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  867406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  867422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867425 */     GIR_RootConstrainSelectedInstOperands,
     /*  867426 */     // GIR_Coverage, 24669,
     /*  867426 */     GIR_EraseRootFromParent_Done,
     /*  867427 */   // Label 13286: @867427
     /*  867427 */   GIM_Try, /*On fail goto*//*Label 13287*/ GIMT_Encode4(867502), // Rule ID 24760 //
     /*  867432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  867443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  867446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  867449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867478 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  867481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867500 */     GIR_RootConstrainSelectedInstOperands,
     /*  867501 */     // GIR_Coverage, 24760,
     /*  867501 */     GIR_EraseRootFromParent_Done,
     /*  867502 */   // Label 13287: @867502
     /*  867502 */   GIM_Try, /*On fail goto*//*Label 13288*/ GIMT_Encode4(867577), // Rule ID 24761 //
     /*  867507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  867518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  867521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  867524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867553 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4),
     /*  867556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867575 */     GIR_RootConstrainSelectedInstOperands,
     /*  867576 */     // GIR_Coverage, 24761,
     /*  867576 */     GIR_EraseRootFromParent_Done,
     /*  867577 */   // Label 13288: @867577
     /*  867577 */   GIM_Try, /*On fail goto*//*Label 13289*/ GIMT_Encode4(867652), // Rule ID 24764 //
     /*  867582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  867593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  867596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  867599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867628 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  867631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867650 */     GIR_RootConstrainSelectedInstOperands,
     /*  867651 */     // GIR_Coverage, 24764,
     /*  867651 */     GIR_EraseRootFromParent_Done,
     /*  867652 */   // Label 13289: @867652
     /*  867652 */   GIM_Try, /*On fail goto*//*Label 13290*/ GIMT_Encode4(867727), // Rule ID 24765 //
     /*  867657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  867668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  867671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  867674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  867677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867703 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2),
     /*  867706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867725 */     GIR_RootConstrainSelectedInstOperands,
     /*  867726 */     // GIR_Coverage, 24765,
     /*  867726 */     GIR_EraseRootFromParent_Done,
     /*  867727 */   // Label 13290: @867727
     /*  867727 */   GIM_Try, /*On fail goto*//*Label 13291*/ GIMT_Encode4(867802), // Rule ID 24768 //
     /*  867732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  867743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  867746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  867749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867778 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  867778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  867781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867800 */     GIR_RootConstrainSelectedInstOperands,
     /*  867801 */     // GIR_Coverage, 24768,
     /*  867801 */     GIR_EraseRootFromParent_Done,
     /*  867802 */   // Label 13291: @867802
     /*  867802 */   GIM_Try, /*On fail goto*//*Label 13292*/ GIMT_Encode4(867877), // Rule ID 24769 //
     /*  867807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  867818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  867821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  867824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  867827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867853 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  867853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1),
     /*  867856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  867872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867875 */     GIR_RootConstrainSelectedInstOperands,
     /*  867876 */     // GIR_Coverage, 24769,
     /*  867876 */     GIR_EraseRootFromParent_Done,
     /*  867877 */   // Label 13292: @867877
     /*  867877 */   GIM_Try, /*On fail goto*//*Label 13293*/ GIMT_Encode4(867952), // Rule ID 24772 //
     /*  867882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  867885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  867893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  867896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  867899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  867905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  867928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  867928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  867931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  867933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  867935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  867937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  867939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  867944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  867947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  867950 */     GIR_RootConstrainSelectedInstOperands,
     /*  867951 */     // GIR_Coverage, 24772,
     /*  867951 */     GIR_EraseRootFromParent_Done,
     /*  867952 */   // Label 13293: @867952
     /*  867952 */   GIM_Try, /*On fail goto*//*Label 13294*/ GIMT_Encode4(868027), // Rule ID 24773 //
     /*  867957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  867960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  867965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  867968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  867971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  867974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  867977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  867980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  867996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868003 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  868006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868025 */     GIR_RootConstrainSelectedInstOperands,
     /*  868026 */     // GIR_Coverage, 24773,
     /*  868026 */     GIR_EraseRootFromParent_Done,
     /*  868027 */   // Label 13294: @868027
     /*  868027 */   GIM_Try, /*On fail goto*//*Label 13295*/ GIMT_Encode4(868102), // Rule ID 24776 //
     /*  868032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868078 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  868081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868100 */     GIR_RootConstrainSelectedInstOperands,
     /*  868101 */     // GIR_Coverage, 24776,
     /*  868101 */     GIR_EraseRootFromParent_Done,
     /*  868102 */   // Label 13295: @868102
     /*  868102 */   GIM_Try, /*On fail goto*//*Label 13296*/ GIMT_Encode4(868177), // Rule ID 24777 //
     /*  868107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  868118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  868121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  868124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868153 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  868156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868175 */     GIR_RootConstrainSelectedInstOperands,
     /*  868176 */     // GIR_Coverage, 24777,
     /*  868176 */     GIR_EraseRootFromParent_Done,
     /*  868177 */   // Label 13296: @868177
     /*  868177 */   GIM_Try, /*On fail goto*//*Label 13297*/ GIMT_Encode4(868252), // Rule ID 24780 //
     /*  868182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  868193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  868196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  868199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868228 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  868228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  868231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868250 */     GIR_RootConstrainSelectedInstOperands,
     /*  868251 */     // GIR_Coverage, 24780,
     /*  868251 */     GIR_EraseRootFromParent_Done,
     /*  868252 */   // Label 13297: @868252
     /*  868252 */   GIM_Try, /*On fail goto*//*Label 13298*/ GIMT_Encode4(868327), // Rule ID 24781 //
     /*  868257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  868268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  868271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  868274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868303 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  868303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  868306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868325 */     GIR_RootConstrainSelectedInstOperands,
     /*  868326 */     // GIR_Coverage, 24781,
     /*  868326 */     GIR_EraseRootFromParent_Done,
     /*  868327 */   // Label 13298: @868327
     /*  868327 */   GIM_Try, /*On fail goto*//*Label 13299*/ GIMT_Encode4(868402), // Rule ID 24784 //
     /*  868332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  868343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  868346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  868349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  868378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  868381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868400 */     GIR_RootConstrainSelectedInstOperands,
     /*  868401 */     // GIR_Coverage, 24784,
     /*  868401 */     GIR_EraseRootFromParent_Done,
     /*  868402 */   // Label 13299: @868402
     /*  868402 */   GIM_Try, /*On fail goto*//*Label 13300*/ GIMT_Encode4(868477), // Rule ID 24785 //
     /*  868407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  868418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  868421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  868424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  868427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868453 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11523:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  868453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2),
     /*  868456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868475 */     GIR_RootConstrainSelectedInstOperands,
     /*  868476 */     // GIR_Coverage, 24785,
     /*  868476 */     GIR_EraseRootFromParent_Done,
     /*  868477 */   // Label 13300: @868477
     /*  868477 */   GIM_Try, /*On fail goto*//*Label 13301*/ GIMT_Encode4(868552), // Rule ID 24788 //
     /*  868482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  868528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  868531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868550 */     GIR_RootConstrainSelectedInstOperands,
     /*  868551 */     // GIR_Coverage, 24788,
     /*  868551 */     GIR_EraseRootFromParent_Done,
     /*  868552 */   // Label 13301: @868552
     /*  868552 */   GIM_Try, /*On fail goto*//*Label 13302*/ GIMT_Encode4(868627), // Rule ID 24789 //
     /*  868557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  868568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  868571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  868574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  868577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868603 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  868603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  868606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  868622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868625 */     GIR_RootConstrainSelectedInstOperands,
     /*  868626 */     // GIR_Coverage, 24789,
     /*  868626 */     GIR_EraseRootFromParent_Done,
     /*  868627 */   // Label 13302: @868627
     /*  868627 */   GIM_Try, /*On fail goto*//*Label 13303*/ GIMT_Encode4(868702), // Rule ID 24792 //
     /*  868632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  868643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  868646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  868649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  868678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  868681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868700 */     GIR_RootConstrainSelectedInstOperands,
     /*  868701 */     // GIR_Coverage, 24792,
     /*  868701 */     GIR_EraseRootFromParent_Done,
     /*  868702 */   // Label 13303: @868702
     /*  868702 */   GIM_Try, /*On fail goto*//*Label 13304*/ GIMT_Encode4(868777), // Rule ID 24793 //
     /*  868707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  868710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  868718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  868721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  868724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  868727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868753 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  868753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  868756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  868772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868775 */     GIR_RootConstrainSelectedInstOperands,
     /*  868776 */     // GIR_Coverage, 24793,
     /*  868776 */     GIR_EraseRootFromParent_Done,
     /*  868777 */   // Label 13304: @868777
     /*  868777 */   GIM_Try, /*On fail goto*//*Label 13305*/ GIMT_Encode4(868852), // Rule ID 24796 //
     /*  868782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  868785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  868793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  868796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  868799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868828 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  868828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  868831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868850 */     GIR_RootConstrainSelectedInstOperands,
     /*  868851 */     // GIR_Coverage, 24796,
     /*  868851 */     GIR_EraseRootFromParent_Done,
     /*  868852 */   // Label 13305: @868852
     /*  868852 */   GIM_Try, /*On fail goto*//*Label 13306*/ GIMT_Encode4(868927), // Rule ID 24797 //
     /*  868857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  868860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  868868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  868871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  868874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  868877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  868880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  868896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868903 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  868903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  868906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  868922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  868925 */     GIR_RootConstrainSelectedInstOperands,
     /*  868926 */     // GIR_Coverage, 24797,
     /*  868926 */     GIR_EraseRootFromParent_Done,
     /*  868927 */   // Label 13306: @868927
     /*  868927 */   GIM_Try, /*On fail goto*//*Label 13307*/ GIMT_Encode4(869002), // Rule ID 24800 //
     /*  868932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  868935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  868940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  868943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  868946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  868949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  868952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  868955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  868967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  868971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  868978 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  868978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  868981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  868983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  868985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  868987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  868989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  868994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  868997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869000 */     GIR_RootConstrainSelectedInstOperands,
     /*  869001 */     // GIR_Coverage, 24800,
     /*  869001 */     GIR_EraseRootFromParent_Done,
     /*  869002 */   // Label 13307: @869002
     /*  869002 */   GIM_Try, /*On fail goto*//*Label 13308*/ GIMT_Encode4(869077), // Rule ID 24801 //
     /*  869007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  869018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  869021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  869024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869053 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  869053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4),
     /*  869056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869075 */     GIR_RootConstrainSelectedInstOperands,
     /*  869076 */     // GIR_Coverage, 24801,
     /*  869076 */     GIR_EraseRootFromParent_Done,
     /*  869077 */   // Label 13308: @869077
     /*  869077 */   GIM_Try, /*On fail goto*//*Label 13309*/ GIMT_Encode4(869152), // Rule ID 24804 //
     /*  869082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  869093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  869096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  869099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869128 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  869128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  869131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869150 */     GIR_RootConstrainSelectedInstOperands,
     /*  869151 */     // GIR_Coverage, 24804,
     /*  869151 */     GIR_EraseRootFromParent_Done,
     /*  869152 */   // Label 13309: @869152
     /*  869152 */   GIM_Try, /*On fail goto*//*Label 13310*/ GIMT_Encode4(869227), // Rule ID 24805 //
     /*  869157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  869168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  869171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  869174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869203 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  869203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8),
     /*  869206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  869222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869225 */     GIR_RootConstrainSelectedInstOperands,
     /*  869226 */     // GIR_Coverage, 24805,
     /*  869226 */     GIR_EraseRootFromParent_Done,
     /*  869227 */   // Label 13310: @869227
     /*  869227 */   GIM_Try, /*On fail goto*//*Label 13311*/ GIMT_Encode4(869302), // Rule ID 24808 //
     /*  869232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  869281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869300 */     GIR_RootConstrainSelectedInstOperands,
     /*  869301 */     // GIR_Coverage, 24808,
     /*  869301 */     GIR_EraseRootFromParent_Done,
     /*  869302 */   // Label 13311: @869302
     /*  869302 */   GIM_Try, /*On fail goto*//*Label 13312*/ GIMT_Encode4(869377), // Rule ID 24809 //
     /*  869307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  869318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  869321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  869324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869353 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  869356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869375 */     GIR_RootConstrainSelectedInstOperands,
     /*  869376 */     // GIR_Coverage, 24809,
     /*  869376 */     GIR_EraseRootFromParent_Done,
     /*  869377 */   // Label 13312: @869377
     /*  869377 */   GIM_Try, /*On fail goto*//*Label 13313*/ GIMT_Encode4(869452), // Rule ID 24812 //
     /*  869382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  869431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869450 */     GIR_RootConstrainSelectedInstOperands,
     /*  869451 */     // GIR_Coverage, 24812,
     /*  869451 */     GIR_EraseRootFromParent_Done,
     /*  869452 */   // Label 13313: @869452
     /*  869452 */   GIM_Try, /*On fail goto*//*Label 13314*/ GIMT_Encode4(869527), // Rule ID 24813 //
     /*  869457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  869468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  869471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  869474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  869477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869503 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  869506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869525 */     GIR_RootConstrainSelectedInstOperands,
     /*  869526 */     // GIR_Coverage, 24813,
     /*  869526 */     GIR_EraseRootFromParent_Done,
     /*  869527 */   // Label 13314: @869527
     /*  869527 */   GIM_Try, /*On fail goto*//*Label 13315*/ GIMT_Encode4(869602), // Rule ID 24816 //
     /*  869532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869578 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  869578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  869581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869600 */     GIR_RootConstrainSelectedInstOperands,
     /*  869601 */     // GIR_Coverage, 24816,
     /*  869601 */     GIR_EraseRootFromParent_Done,
     /*  869602 */   // Label 13315: @869602
     /*  869602 */   GIM_Try, /*On fail goto*//*Label 13316*/ GIMT_Encode4(869677), // Rule ID 24817 //
     /*  869607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  869618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  869621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  869624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  869627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  869646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869653 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  869653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  869656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  869672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869675 */     GIR_RootConstrainSelectedInstOperands,
     /*  869676 */     // GIR_Coverage, 24817,
     /*  869676 */     GIR_EraseRootFromParent_Done,
     /*  869677 */   // Label 13316: @869677
     /*  869677 */   GIM_Try, /*On fail goto*//*Label 13317*/ GIMT_Encode4(869752), // Rule ID 24820 //
     /*  869682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  869731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869750 */     GIR_RootConstrainSelectedInstOperands,
     /*  869751 */     // GIR_Coverage, 24820,
     /*  869751 */     GIR_EraseRootFromParent_Done,
     /*  869752 */   // Label 13317: @869752
     /*  869752 */   GIM_Try, /*On fail goto*//*Label 13318*/ GIMT_Encode4(869827), // Rule ID 24821 //
     /*  869757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  869768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  869771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  869774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  869777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  869796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869803 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  869806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869825 */     GIR_RootConstrainSelectedInstOperands,
     /*  869826 */     // GIR_Coverage, 24821,
     /*  869826 */     GIR_EraseRootFromParent_Done,
     /*  869827 */   // Label 13318: @869827
     /*  869827 */   GIM_Try, /*On fail goto*//*Label 13319*/ GIMT_Encode4(869902), // Rule ID 24824 //
     /*  869832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  869843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  869846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  869849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  869855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  869878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  869881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869900 */     GIR_RootConstrainSelectedInstOperands,
     /*  869901 */     // GIR_Coverage, 24824,
     /*  869901 */     GIR_EraseRootFromParent_Done,
     /*  869902 */   // Label 13319: @869902
     /*  869902 */   GIM_Try, /*On fail goto*//*Label 13320*/ GIMT_Encode4(869977), // Rule ID 24825 //
     /*  869907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  869910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  869918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  869921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  869924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  869927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  869930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  869942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  869946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  869953 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  869953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  869956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  869958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  869960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  869962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  869964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  869969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  869972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  869975 */     GIR_RootConstrainSelectedInstOperands,
     /*  869976 */     // GIR_Coverage, 24825,
     /*  869976 */     GIR_EraseRootFromParent_Done,
     /*  869977 */   // Label 13320: @869977
     /*  869977 */   GIM_Try, /*On fail goto*//*Label 13321*/ GIMT_Encode4(870052), // Rule ID 24828 //
     /*  869982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  869985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  869990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  869993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  869996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  869999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  870002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870028 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  870031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870050 */     GIR_RootConstrainSelectedInstOperands,
     /*  870051 */     // GIR_Coverage, 24828,
     /*  870051 */     GIR_EraseRootFromParent_Done,
     /*  870052 */   // Label 13321: @870052
     /*  870052 */   GIM_Try, /*On fail goto*//*Label 13322*/ GIMT_Encode4(870127), // Rule ID 24829 //
     /*  870057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  870060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  870068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  870071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  870074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  870077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870103 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  870103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  870106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870125 */     GIR_RootConstrainSelectedInstOperands,
     /*  870126 */     // GIR_Coverage, 24829,
     /*  870126 */     GIR_EraseRootFromParent_Done,
     /*  870127 */   // Label 13322: @870127
     /*  870127 */   GIM_Try, /*On fail goto*//*Label 13323*/ GIMT_Encode4(870202), // Rule ID 24832 //
     /*  870132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  870135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870178 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  870181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870200 */     GIR_RootConstrainSelectedInstOperands,
     /*  870201 */     // GIR_Coverage, 24832,
     /*  870201 */     GIR_EraseRootFromParent_Done,
     /*  870202 */   // Label 13323: @870202
     /*  870202 */   GIM_Try, /*On fail goto*//*Label 13324*/ GIMT_Encode4(870277), // Rule ID 24833 //
     /*  870207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  870210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  870218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  870221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  870224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870253 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  870256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870275 */     GIR_RootConstrainSelectedInstOperands,
     /*  870276 */     // GIR_Coverage, 24833,
     /*  870276 */     GIR_EraseRootFromParent_Done,
     /*  870277 */   // Label 13324: @870277
     /*  870277 */   GIM_Try, /*On fail goto*//*Label 13325*/ GIMT_Encode4(870352), // Rule ID 24836 //
     /*  870282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  870285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870328 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  870331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870350 */     GIR_RootConstrainSelectedInstOperands,
     /*  870351 */     // GIR_Coverage, 24836,
     /*  870351 */     GIR_EraseRootFromParent_Done,
     /*  870352 */   // Label 13325: @870352
     /*  870352 */   GIM_Try, /*On fail goto*//*Label 13326*/ GIMT_Encode4(870427), // Rule ID 24837 //
     /*  870357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  870360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  870368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  870371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  870374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  870377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  870392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870403 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  870406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870425 */     GIR_RootConstrainSelectedInstOperands,
     /*  870426 */     // GIR_Coverage, 24837,
     /*  870426 */     GIR_EraseRootFromParent_Done,
     /*  870427 */   // Label 13326: @870427
     /*  870427 */   GIM_Try, /*On fail goto*//*Label 13327*/ GIMT_Encode4(870502), // Rule ID 24840 //
     /*  870432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  870435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  870478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  870481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870500 */     GIR_RootConstrainSelectedInstOperands,
     /*  870501 */     // GIR_Coverage, 24840,
     /*  870501 */     GIR_EraseRootFromParent_Done,
     /*  870502 */   // Label 13327: @870502
     /*  870502 */   GIM_Try, /*On fail goto*//*Label 13328*/ GIMT_Encode4(870577), // Rule ID 24841 //
     /*  870507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  870510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  870515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  870518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  870521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  870524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  870527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  870542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  870546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870553 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  870553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  870556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  870572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870575 */     GIR_RootConstrainSelectedInstOperands,
     /*  870576 */     // GIR_Coverage, 24841,
     /*  870576 */     GIR_EraseRootFromParent_Done,
     /*  870577 */   // Label 13328: @870577
     /*  870577 */   GIM_Try, /*On fail goto*//*Label 13329*/ GIMT_Encode4(870652), // Rule ID 24844 //
     /*  870582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  870585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870628 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  870631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870650 */     GIR_RootConstrainSelectedInstOperands,
     /*  870651 */     // GIR_Coverage, 24844,
     /*  870651 */     GIR_EraseRootFromParent_Done,
     /*  870652 */   // Label 13329: @870652
     /*  870652 */   GIM_Try, /*On fail goto*//*Label 13330*/ GIMT_Encode4(870727), // Rule ID 24845 //
     /*  870657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  870668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  870671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  870674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  870677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870703 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16),
     /*  870706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870725 */     GIR_RootConstrainSelectedInstOperands,
     /*  870726 */     // GIR_Coverage, 24845,
     /*  870726 */     GIR_EraseRootFromParent_Done,
     /*  870727 */   // Label 13330: @870727
     /*  870727 */   GIM_Try, /*On fail goto*//*Label 13331*/ GIMT_Encode4(870802), // Rule ID 24848 //
     /*  870732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  870735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870778 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  870778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  870781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870800 */     GIR_RootConstrainSelectedInstOperands,
     /*  870801 */     // GIR_Coverage, 24848,
     /*  870801 */     GIR_EraseRootFromParent_Done,
     /*  870802 */   // Label 13331: @870802
     /*  870802 */   GIM_Try, /*On fail goto*//*Label 13332*/ GIMT_Encode4(870877), // Rule ID 24849 //
     /*  870807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  870810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  870818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  870821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  870824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  870827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870853 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  870853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16),
     /*  870856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  870872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870875 */     GIR_RootConstrainSelectedInstOperands,
     /*  870876 */     // GIR_Coverage, 24849,
     /*  870876 */     GIR_EraseRootFromParent_Done,
     /*  870877 */   // Label 13332: @870877
     /*  870877 */   GIM_Try, /*On fail goto*//*Label 13333*/ GIMT_Encode4(870952), // Rule ID 24852 //
     /*  870882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  870885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  870902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  870905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  870928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  870928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  870931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  870933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  870935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  870937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  870939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  870944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  870947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  870950 */     GIR_RootConstrainSelectedInstOperands,
     /*  870951 */     // GIR_Coverage, 24852,
     /*  870951 */     GIR_EraseRootFromParent_Done,
     /*  870952 */   // Label 13333: @870952
     /*  870952 */   GIM_Try, /*On fail goto*//*Label 13334*/ GIMT_Encode4(871027), // Rule ID 24853 //
     /*  870957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  870960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  870965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  870968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  870971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  870974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  870977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  870980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  870996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871003 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32),
     /*  871006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871025 */     GIR_RootConstrainSelectedInstOperands,
     /*  871026 */     // GIR_Coverage, 24853,
     /*  871026 */     GIR_EraseRootFromParent_Done,
     /*  871027 */   // Label 13334: @871027
     /*  871027 */   GIM_Try, /*On fail goto*//*Label 13335*/ GIMT_Encode4(871102), // Rule ID 24856 //
     /*  871032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  871035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  871043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  871046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  871049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871078 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  871081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871100 */     GIR_RootConstrainSelectedInstOperands,
     /*  871101 */     // GIR_Coverage, 24856,
     /*  871101 */     GIR_EraseRootFromParent_Done,
     /*  871102 */   // Label 13335: @871102
     /*  871102 */   GIM_Try, /*On fail goto*//*Label 13336*/ GIMT_Encode4(871177), // Rule ID 24857 //
     /*  871107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  871110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  871118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  871121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  871124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  871127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871153 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11519:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16),
     /*  871156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871175 */     GIR_RootConstrainSelectedInstOperands,
     /*  871176 */     // GIR_Coverage, 24857,
     /*  871176 */     GIR_EraseRootFromParent_Done,
     /*  871177 */   // Label 13336: @871177
     /*  871177 */   GIM_Try, /*On fail goto*//*Label 13337*/ GIMT_Encode4(871252), // Rule ID 24860 //
     /*  871182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  871202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871228 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  871231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871250 */     GIR_RootConstrainSelectedInstOperands,
     /*  871251 */     // GIR_Coverage, 24860,
     /*  871251 */     GIR_EraseRootFromParent_Done,
     /*  871252 */   // Label 13337: @871252
     /*  871252 */   GIM_Try, /*On fail goto*//*Label 13338*/ GIMT_Encode4(871327), // Rule ID 24861 //
     /*  871257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  871260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  871268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  871271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  871274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  871277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871303 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11519:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  871303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32),
     /*  871306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871325 */     GIR_RootConstrainSelectedInstOperands,
     /*  871326 */     // GIR_Coverage, 24861,
     /*  871326 */     GIR_EraseRootFromParent_Done,
     /*  871327 */   // Label 13338: @871327
     /*  871327 */   GIM_Try, /*On fail goto*//*Label 13339*/ GIMT_Encode4(871402), // Rule ID 24864 //
     /*  871332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  871335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  871352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871378 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  871378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  871381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871400 */     GIR_RootConstrainSelectedInstOperands,
     /*  871401 */     // GIR_Coverage, 24864,
     /*  871401 */     GIR_EraseRootFromParent_Done,
     /*  871402 */   // Label 13339: @871402
     /*  871402 */   GIM_Try, /*On fail goto*//*Label 13340*/ GIMT_Encode4(871477), // Rule ID 24865 //
     /*  871407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  871410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  871418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  871421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  871424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  871427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  871446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871453 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11519:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  871453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64),
     /*  871456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  871472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871475 */     GIR_RootConstrainSelectedInstOperands,
     /*  871476 */     // GIR_Coverage, 24865,
     /*  871476 */     GIR_EraseRootFromParent_Done,
     /*  871477 */   // Label 13340: @871477
     /*  871477 */   GIM_Try, /*On fail goto*//*Label 13341*/ GIMT_Encode4(871552), // Rule ID 24868 //
     /*  871482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  871485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871528 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  871531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871550 */     GIR_RootConstrainSelectedInstOperands,
     /*  871551 */     // GIR_Coverage, 24868,
     /*  871551 */     GIR_EraseRootFromParent_Done,
     /*  871552 */   // Label 13341: @871552
     /*  871552 */   GIM_Try, /*On fail goto*//*Label 13342*/ GIMT_Encode4(871627), // Rule ID 24869 //
     /*  871557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  871560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  871568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  871571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  871574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  871577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871603 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16),
     /*  871606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871625 */     GIR_RootConstrainSelectedInstOperands,
     /*  871626 */     // GIR_Coverage, 24869,
     /*  871626 */     GIR_EraseRootFromParent_Done,
     /*  871627 */   // Label 13342: @871627
     /*  871627 */   GIM_Try, /*On fail goto*//*Label 13343*/ GIMT_Encode4(871702), // Rule ID 24872 //
     /*  871632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  871635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871678 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  871681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871700 */     GIR_RootConstrainSelectedInstOperands,
     /*  871701 */     // GIR_Coverage, 24872,
     /*  871701 */     GIR_EraseRootFromParent_Done,
     /*  871702 */   // Label 13343: @871702
     /*  871702 */   GIM_Try, /*On fail goto*//*Label 13344*/ GIMT_Encode4(871777), // Rule ID 24873 //
     /*  871707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  871710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  871718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  871721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  871724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  871727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  871746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871753 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16),
     /*  871756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871775 */     GIR_RootConstrainSelectedInstOperands,
     /*  871776 */     // GIR_Coverage, 24873,
     /*  871776 */     GIR_EraseRootFromParent_Done,
     /*  871777 */   // Label 13344: @871777
     /*  871777 */   GIM_Try, /*On fail goto*//*Label 13345*/ GIMT_Encode4(871852), // Rule ID 24876 //
     /*  871782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  871785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871828 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  871828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  871831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871850 */     GIR_RootConstrainSelectedInstOperands,
     /*  871851 */     // GIR_Coverage, 24876,
     /*  871851 */     GIR_EraseRootFromParent_Done,
     /*  871852 */   // Label 13345: @871852
     /*  871852 */   GIM_Try, /*On fail goto*//*Label 13346*/ GIMT_Encode4(871927), // Rule ID 24877 //
     /*  871857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  871860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  871868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  871871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  871874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  871877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  871880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  871896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871903 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  871903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16),
     /*  871906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  871922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  871925 */     GIR_RootConstrainSelectedInstOperands,
     /*  871926 */     // GIR_Coverage, 24877,
     /*  871926 */     GIR_EraseRootFromParent_Done,
     /*  871927 */   // Label 13346: @871927
     /*  871927 */   GIM_Try, /*On fail goto*//*Label 13347*/ GIMT_Encode4(872002), // Rule ID 24880 //
     /*  871932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  871935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  871940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  871943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  871946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  871949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  871952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  871955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  871971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  871978 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  871978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  871981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  871983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  871985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  871987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  871989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  871994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  871997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872000 */     GIR_RootConstrainSelectedInstOperands,
     /*  872001 */     // GIR_Coverage, 24880,
     /*  872001 */     GIR_EraseRootFromParent_Done,
     /*  872002 */   // Label 13347: @872002
     /*  872002 */   GIM_Try, /*On fail goto*//*Label 13348*/ GIMT_Encode4(872077), // Rule ID 24881 //
     /*  872007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  872010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  872018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  872021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  872024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  872027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872053 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32),
     /*  872056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872075 */     GIR_RootConstrainSelectedInstOperands,
     /*  872076 */     // GIR_Coverage, 24881,
     /*  872076 */     GIR_EraseRootFromParent_Done,
     /*  872077 */   // Label 13348: @872077
     /*  872077 */   GIM_Try, /*On fail goto*//*Label 13349*/ GIMT_Encode4(872152), // Rule ID 24884 //
     /*  872082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  872085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  872093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  872096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  872099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  872102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872128 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  872128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  872131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872150 */     GIR_RootConstrainSelectedInstOperands,
     /*  872151 */     // GIR_Coverage, 24884,
     /*  872151 */     GIR_EraseRootFromParent_Done,
     /*  872152 */   // Label 13349: @872152
     /*  872152 */   GIM_Try, /*On fail goto*//*Label 13350*/ GIMT_Encode4(872227), // Rule ID 24885 //
     /*  872157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  872160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  872168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  872171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  872174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  872177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872203 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32),
     /*  872206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872225 */     GIR_RootConstrainSelectedInstOperands,
     /*  872226 */     // GIR_Coverage, 24885,
     /*  872226 */     GIR_EraseRootFromParent_Done,
     /*  872227 */   // Label 13350: @872227
     /*  872227 */   GIM_Try, /*On fail goto*//*Label 13351*/ GIMT_Encode4(872302), // Rule ID 24888 //
     /*  872232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  872235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  872243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  872246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  872252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872278 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  872278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  872281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872300 */     GIR_RootConstrainSelectedInstOperands,
     /*  872301 */     // GIR_Coverage, 24888,
     /*  872301 */     GIR_EraseRootFromParent_Done,
     /*  872302 */   // Label 13351: @872302
     /*  872302 */   GIM_Try, /*On fail goto*//*Label 13352*/ GIMT_Encode4(872377), // Rule ID 24889 //
     /*  872307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  872310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  872318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  872321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  872324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  872327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872353 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  872353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32),
     /*  872356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  872372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872375 */     GIR_RootConstrainSelectedInstOperands,
     /*  872376 */     // GIR_Coverage, 24889,
     /*  872376 */     GIR_EraseRootFromParent_Done,
     /*  872377 */   // Label 13352: @872377
     /*  872377 */   GIM_Try, /*On fail goto*//*Label 13353*/ GIMT_Encode4(872452), // Rule ID 24892 //
     /*  872382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  872402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872428 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  872431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872450 */     GIR_RootConstrainSelectedInstOperands,
     /*  872451 */     // GIR_Coverage, 24892,
     /*  872451 */     GIR_EraseRootFromParent_Done,
     /*  872452 */   // Label 13353: @872452
     /*  872452 */   GIM_Try, /*On fail goto*//*Label 13354*/ GIMT_Encode4(872527), // Rule ID 24893 //
     /*  872457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  872468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  872471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  872474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  872477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  872496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872503 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11519:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64),
     /*  872506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872525 */     GIR_RootConstrainSelectedInstOperands,
     /*  872526 */     // GIR_Coverage, 24893,
     /*  872526 */     GIR_EraseRootFromParent_Done,
     /*  872527 */   // Label 13354: @872527
     /*  872527 */   GIM_Try, /*On fail goto*//*Label 13355*/ GIMT_Encode4(872602), // Rule ID 24896 //
     /*  872532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  872552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872578 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  872581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872600 */     GIR_RootConstrainSelectedInstOperands,
     /*  872601 */     // GIR_Coverage, 24896,
     /*  872601 */     GIR_EraseRootFromParent_Done,
     /*  872602 */   // Label 13355: @872602
     /*  872602 */   GIM_Try, /*On fail goto*//*Label 13356*/ GIMT_Encode4(872677), // Rule ID 24897 //
     /*  872607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  872618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  872621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  872624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  872627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  872646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872653 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11519:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64),
     /*  872656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872675 */     GIR_RootConstrainSelectedInstOperands,
     /*  872676 */     // GIR_Coverage, 24897,
     /*  872676 */     GIR_EraseRootFromParent_Done,
     /*  872677 */   // Label 13356: @872677
     /*  872677 */   GIM_Try, /*On fail goto*//*Label 13357*/ GIMT_Encode4(872752), // Rule ID 24900 //
     /*  872682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  872685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  872702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  872728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  872731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872750 */     GIR_RootConstrainSelectedInstOperands,
     /*  872751 */     // GIR_Coverage, 24900,
     /*  872751 */     GIR_EraseRootFromParent_Done,
     /*  872752 */   // Label 13357: @872752
     /*  872752 */   GIM_Try, /*On fail goto*//*Label 13358*/ GIMT_Encode4(872827), // Rule ID 24901 //
     /*  872757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  872760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv),
     /*  872765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  872768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  872771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  872774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  872777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  872796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872803 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11519:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  872803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64),
     /*  872806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  872822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872825 */     GIR_RootConstrainSelectedInstOperands,
     /*  872826 */     // GIR_Coverage, 24901,
     /*  872826 */     GIR_EraseRootFromParent_Done,
     /*  872827 */   // Label 13358: @872827
     /*  872827 */   GIM_Try, /*On fail goto*//*Label 13359*/ GIMT_Encode4(872902), // Rule ID 24904 //
     /*  872832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  872835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  872852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  872855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872878 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  872878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  872881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872900 */     GIR_RootConstrainSelectedInstOperands,
     /*  872901 */     // GIR_Coverage, 24904,
     /*  872901 */     GIR_EraseRootFromParent_Done,
     /*  872902 */   // Label 13359: @872902
     /*  872902 */   GIM_Try, /*On fail goto*//*Label 13360*/ GIMT_Encode4(872977), // Rule ID 24905 //
     /*  872907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  872910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  872918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  872921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  872924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  872927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  872930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  872942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  872946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  872953 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  872953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4),
     /*  872956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  872958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  872960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  872962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  872964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  872969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  872972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  872975 */     GIR_RootConstrainSelectedInstOperands,
     /*  872976 */     // GIR_Coverage, 24905,
     /*  872976 */     GIR_EraseRootFromParent_Done,
     /*  872977 */   // Label 13360: @872977
     /*  872977 */   GIM_Try, /*On fail goto*//*Label 13361*/ GIMT_Encode4(873052), // Rule ID 24908 //
     /*  872982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  872985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  872990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  872993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  872996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  872999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873028 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  873031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873050 */     GIR_RootConstrainSelectedInstOperands,
     /*  873051 */     // GIR_Coverage, 24908,
     /*  873051 */     GIR_EraseRootFromParent_Done,
     /*  873052 */   // Label 13361: @873052
     /*  873052 */   GIM_Try, /*On fail goto*//*Label 13362*/ GIMT_Encode4(873127), // Rule ID 24909 //
     /*  873057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  873068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  873071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  873074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873103 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  873106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873125 */     GIR_RootConstrainSelectedInstOperands,
     /*  873126 */     // GIR_Coverage, 24909,
     /*  873126 */     GIR_EraseRootFromParent_Done,
     /*  873127 */   // Label 13362: @873127
     /*  873127 */   GIM_Try, /*On fail goto*//*Label 13363*/ GIMT_Encode4(873202), // Rule ID 24912 //
     /*  873132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  873135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873178 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  873178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  873181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873200 */     GIR_RootConstrainSelectedInstOperands,
     /*  873201 */     // GIR_Coverage, 24912,
     /*  873201 */     GIR_EraseRootFromParent_Done,
     /*  873202 */   // Label 13363: @873202
     /*  873202 */   GIM_Try, /*On fail goto*//*Label 13364*/ GIMT_Encode4(873277), // Rule ID 24913 //
     /*  873207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  873210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  873218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  873221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  873224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873253 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  873253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2),
     /*  873256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873275 */     GIR_RootConstrainSelectedInstOperands,
     /*  873276 */     // GIR_Coverage, 24913,
     /*  873276 */     GIR_EraseRootFromParent_Done,
     /*  873277 */   // Label 13364: @873277
     /*  873277 */   GIM_Try, /*On fail goto*//*Label 13365*/ GIMT_Encode4(873352), // Rule ID 24916 //
     /*  873282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873328 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  873331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873350 */     GIR_RootConstrainSelectedInstOperands,
     /*  873351 */     // GIR_Coverage, 24916,
     /*  873351 */     GIR_EraseRootFromParent_Done,
     /*  873352 */   // Label 13365: @873352
     /*  873352 */   GIM_Try, /*On fail goto*//*Label 13366*/ GIMT_Encode4(873427), // Rule ID 24917 //
     /*  873357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  873368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  873371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  873374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873403 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11521:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  873406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873425 */     GIR_RootConstrainSelectedInstOperands,
     /*  873426 */     // GIR_Coverage, 24917,
     /*  873426 */     GIR_EraseRootFromParent_Done,
     /*  873427 */   // Label 13366: @873427
     /*  873427 */   GIM_Try, /*On fail goto*//*Label 13367*/ GIMT_Encode4(873502), // Rule ID 24920 //
     /*  873432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  873435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873478 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  873478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  873481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873500 */     GIR_RootConstrainSelectedInstOperands,
     /*  873501 */     // GIR_Coverage, 24920,
     /*  873501 */     GIR_EraseRootFromParent_Done,
     /*  873502 */   // Label 13367: @873502
     /*  873502 */   GIM_Try, /*On fail goto*//*Label 13368*/ GIMT_Encode4(873577), // Rule ID 24921 //
     /*  873507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  873510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  873518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  873521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  873524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873553 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11521:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  873553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  873556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  873572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873575 */     GIR_RootConstrainSelectedInstOperands,
     /*  873576 */     // GIR_Coverage, 24921,
     /*  873576 */     GIR_EraseRootFromParent_Done,
     /*  873577 */   // Label 13368: @873577
     /*  873577 */   GIM_Try, /*On fail goto*//*Label 13369*/ GIMT_Encode4(873652), // Rule ID 24924 //
     /*  873582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  873585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873628 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  873628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  873631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873650 */     GIR_RootConstrainSelectedInstOperands,
     /*  873651 */     // GIR_Coverage, 24924,
     /*  873651 */     GIR_EraseRootFromParent_Done,
     /*  873652 */   // Label 13369: @873652
     /*  873652 */   GIM_Try, /*On fail goto*//*Label 13370*/ GIMT_Encode4(873727), // Rule ID 24925 //
     /*  873657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  873660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  873668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  873671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  873674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  873692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873703 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11521:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  873703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1),
     /*  873706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  873722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873725 */     GIR_RootConstrainSelectedInstOperands,
     /*  873726 */     // GIR_Coverage, 24925,
     /*  873726 */     GIR_EraseRootFromParent_Done,
     /*  873727 */   // Label 13370: @873727
     /*  873727 */   GIM_Try, /*On fail goto*//*Label 13371*/ GIMT_Encode4(873802), // Rule ID 24928 //
     /*  873732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873778 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  873781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873800 */     GIR_RootConstrainSelectedInstOperands,
     /*  873801 */     // GIR_Coverage, 24928,
     /*  873801 */     GIR_EraseRootFromParent_Done,
     /*  873802 */   // Label 13371: @873802
     /*  873802 */   GIM_Try, /*On fail goto*//*Label 13372*/ GIMT_Encode4(873877), // Rule ID 24929 //
     /*  873807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  873818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  873821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  873824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  873842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873853 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  873853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  873856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873875 */     GIR_RootConstrainSelectedInstOperands,
     /*  873876 */     // GIR_Coverage, 24929,
     /*  873876 */     GIR_EraseRootFromParent_Done,
     /*  873877 */   // Label 13372: @873877
     /*  873877 */   GIM_Try, /*On fail goto*//*Label 13373*/ GIMT_Encode4(873952), // Rule ID 24932 //
     /*  873882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  873885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  873893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  873896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  873902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  873905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  873928 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  873928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  873931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  873933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  873935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  873937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  873939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  873944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  873947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  873950 */     GIR_RootConstrainSelectedInstOperands,
     /*  873951 */     // GIR_Coverage, 24932,
     /*  873951 */     GIR_EraseRootFromParent_Done,
     /*  873952 */   // Label 13373: @873952
     /*  873952 */   GIM_Try, /*On fail goto*//*Label 13374*/ GIMT_Encode4(874027), // Rule ID 24933 //
     /*  873957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  873960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  873965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  873968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  873971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  873974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  873977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  873980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  873992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  873996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874003 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874025 */     GIR_RootConstrainSelectedInstOperands,
     /*  874026 */     // GIR_Coverage, 24933,
     /*  874026 */     GIR_EraseRootFromParent_Done,
     /*  874027 */   // Label 13374: @874027
     /*  874027 */   GIM_Try, /*On fail goto*//*Label 13375*/ GIMT_Encode4(874102), // Rule ID 24936 //
     /*  874032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  874035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874078 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  874078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874100 */     GIR_RootConstrainSelectedInstOperands,
     /*  874101 */     // GIR_Coverage, 24936,
     /*  874101 */     GIR_EraseRootFromParent_Done,
     /*  874102 */   // Label 13375: @874102
     /*  874102 */   GIM_Try, /*On fail goto*//*Label 13376*/ GIMT_Encode4(874177), // Rule ID 24937 //
     /*  874107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  874110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  874118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  874121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  874124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874153 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  874153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  874172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874175 */     GIR_RootConstrainSelectedInstOperands,
     /*  874176 */     // GIR_Coverage, 24937,
     /*  874176 */     GIR_EraseRootFromParent_Done,
     /*  874177 */   // Label 13376: @874177
     /*  874177 */   GIM_Try, /*On fail goto*//*Label 13377*/ GIMT_Encode4(874252), // Rule ID 24940 //
     /*  874182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  874185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874228 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  874228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  874231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874250 */     GIR_RootConstrainSelectedInstOperands,
     /*  874251 */     // GIR_Coverage, 24940,
     /*  874251 */     GIR_EraseRootFromParent_Done,
     /*  874252 */   // Label 13377: @874252
     /*  874252 */   GIM_Try, /*On fail goto*//*Label 13378*/ GIMT_Encode4(874327), // Rule ID 24941 //
     /*  874257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  874260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  874268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  874271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  874274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874303 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  874303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  874306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874325 */     GIR_RootConstrainSelectedInstOperands,
     /*  874326 */     // GIR_Coverage, 24941,
     /*  874326 */     GIR_EraseRootFromParent_Done,
     /*  874327 */   // Label 13378: @874327
     /*  874327 */   GIM_Try, /*On fail goto*//*Label 13379*/ GIMT_Encode4(874402), // Rule ID 24944 //
     /*  874332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  874335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874378 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  874378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874400 */     GIR_RootConstrainSelectedInstOperands,
     /*  874401 */     // GIR_Coverage, 24944,
     /*  874401 */     GIR_EraseRootFromParent_Done,
     /*  874402 */   // Label 13379: @874402
     /*  874402 */   GIM_Try, /*On fail goto*//*Label 13380*/ GIMT_Encode4(874477), // Rule ID 24945 //
     /*  874407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  874410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  874418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  874421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  874424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874453 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  874453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874475 */     GIR_RootConstrainSelectedInstOperands,
     /*  874476 */     // GIR_Coverage, 24945,
     /*  874476 */     GIR_EraseRootFromParent_Done,
     /*  874477 */   // Label 13380: @874477
     /*  874477 */   GIM_Try, /*On fail goto*//*Label 13381*/ GIMT_Encode4(874552), // Rule ID 24948 //
     /*  874482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  874485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874528 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  874528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874550 */     GIR_RootConstrainSelectedInstOperands,
     /*  874551 */     // GIR_Coverage, 24948,
     /*  874551 */     GIR_EraseRootFromParent_Done,
     /*  874552 */   // Label 13381: @874552
     /*  874552 */   GIM_Try, /*On fail goto*//*Label 13382*/ GIMT_Encode4(874627), // Rule ID 24949 //
     /*  874557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  874560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  874568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  874571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  874574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874603 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  874603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  874622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874625 */     GIR_RootConstrainSelectedInstOperands,
     /*  874626 */     // GIR_Coverage, 24949,
     /*  874626 */     GIR_EraseRootFromParent_Done,
     /*  874627 */   // Label 13382: @874627
     /*  874627 */   GIM_Try, /*On fail goto*//*Label 13383*/ GIMT_Encode4(874702), // Rule ID 24952 //
     /*  874632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  874635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  874643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  874646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  874649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874678 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  874678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  874681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874700 */     GIR_RootConstrainSelectedInstOperands,
     /*  874701 */     // GIR_Coverage, 24952,
     /*  874701 */     GIR_EraseRootFromParent_Done,
     /*  874702 */   // Label 13383: @874702
     /*  874702 */   GIM_Try, /*On fail goto*//*Label 13384*/ GIMT_Encode4(874777), // Rule ID 24953 //
     /*  874707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  874710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  874718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  874721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  874724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  874742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874753 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11521:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  874753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2),
     /*  874756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874775 */     GIR_RootConstrainSelectedInstOperands,
     /*  874776 */     // GIR_Coverage, 24953,
     /*  874776 */     GIR_EraseRootFromParent_Done,
     /*  874777 */   // Label 13384: @874777
     /*  874777 */   GIM_Try, /*On fail goto*//*Label 13385*/ GIMT_Encode4(874852), // Rule ID 24956 //
     /*  874782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  874785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  874793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  874796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  874799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874828 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  874828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874850 */     GIR_RootConstrainSelectedInstOperands,
     /*  874851 */     // GIR_Coverage, 24956,
     /*  874851 */     GIR_EraseRootFromParent_Done,
     /*  874852 */   // Label 13385: @874852
     /*  874852 */   GIM_Try, /*On fail goto*//*Label 13386*/ GIMT_Encode4(874927), // Rule ID 24957 //
     /*  874857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  874860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  874868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  874871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  874874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  874877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  874880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  874892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874903 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11521:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  874903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4),
     /*  874906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  874925 */     GIR_RootConstrainSelectedInstOperands,
     /*  874926 */     // GIR_Coverage, 24957,
     /*  874926 */     GIR_EraseRootFromParent_Done,
     /*  874927 */   // Label 13386: @874927
     /*  874927 */   GIM_Try, /*On fail goto*//*Label 13387*/ GIMT_Encode4(875002), // Rule ID 24960 //
     /*  874932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  874935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  874940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  874943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  874946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  874949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  874952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  874955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  874967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  874971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  874978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  874978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  874981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  874983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  874985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  874987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  874989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  874994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  874997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875000 */     GIR_RootConstrainSelectedInstOperands,
     /*  875001 */     // GIR_Coverage, 24960,
     /*  875001 */     GIR_EraseRootFromParent_Done,
     /*  875002 */   // Label 13387: @875002
     /*  875002 */   GIM_Try, /*On fail goto*//*Label 13388*/ GIMT_Encode4(875077), // Rule ID 24961 //
     /*  875007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  875010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx),
     /*  875015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  875018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  875021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  875024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  875027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  875042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  875046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875053 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11521:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHER_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  875053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8),
     /*  875056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875075 */     GIR_RootConstrainSelectedInstOperands,
     /*  875076 */     // GIR_Coverage, 24961,
     /*  875076 */     GIR_EraseRootFromParent_Done,
     /*  875077 */   // Label 13388: @875077
     /*  875077 */   GIM_Try, /*On fail goto*//*Label 13389*/ GIMT_Encode4(875152), // Rule ID 25024 //
     /*  875082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /*  875085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  875093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  875096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  875099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875128 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  875131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875150 */     GIR_RootConstrainSelectedInstOperands,
     /*  875151 */     // GIR_Coverage, 25024,
     /*  875151 */     GIR_EraseRootFromParent_Done,
     /*  875152 */   // Label 13389: @875152
     /*  875152 */   GIM_Try, /*On fail goto*//*Label 13390*/ GIMT_Encode4(875227), // Rule ID 25025 //
     /*  875157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /*  875160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  875168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  875171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  875174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875203 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4),
     /*  875206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875225 */     GIR_RootConstrainSelectedInstOperands,
     /*  875226 */     // GIR_Coverage, 25025,
     /*  875226 */     GIR_EraseRootFromParent_Done,
     /*  875227 */   // Label 13390: @875227
     /*  875227 */   GIM_Try, /*On fail goto*//*Label 13391*/ GIMT_Encode4(875302), // Rule ID 25028 //
     /*  875232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /*  875235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  875243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  875246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  875249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  875252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  875281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875300 */     GIR_RootConstrainSelectedInstOperands,
     /*  875301 */     // GIR_Coverage, 25028,
     /*  875301 */     GIR_EraseRootFromParent_Done,
     /*  875302 */   // Label 13391: @875302
     /*  875302 */   GIM_Try, /*On fail goto*//*Label 13392*/ GIMT_Encode4(875377), // Rule ID 25029 //
     /*  875307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /*  875310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  875318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  875321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  875324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  875327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875353 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2),
     /*  875356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875375 */     GIR_RootConstrainSelectedInstOperands,
     /*  875376 */     // GIR_Coverage, 25029,
     /*  875376 */     GIR_EraseRootFromParent_Done,
     /*  875377 */   // Label 13392: @875377
     /*  875377 */   GIM_Try, /*On fail goto*//*Label 13393*/ GIMT_Encode4(875452), // Rule ID 25032 //
     /*  875382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  875385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  875431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875450 */     GIR_RootConstrainSelectedInstOperands,
     /*  875451 */     // GIR_Coverage, 25032,
     /*  875451 */     GIR_EraseRootFromParent_Done,
     /*  875452 */   // Label 13393: @875452
     /*  875452 */   GIM_Try, /*On fail goto*//*Label 13394*/ GIMT_Encode4(875527), // Rule ID 25033 //
     /*  875457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  875460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  875468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  875471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  875474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875503 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4),
     /*  875506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875525 */     GIR_RootConstrainSelectedInstOperands,
     /*  875526 */     // GIR_Coverage, 25033,
     /*  875526 */     GIR_EraseRootFromParent_Done,
     /*  875527 */   // Label 13394: @875527
     /*  875527 */   GIM_Try, /*On fail goto*//*Label 13395*/ GIMT_Encode4(875602), // Rule ID 25036 //
     /*  875532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /*  875535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  875543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  875546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  875549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  875552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  875578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  875581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875600 */     GIR_RootConstrainSelectedInstOperands,
     /*  875601 */     // GIR_Coverage, 25036,
     /*  875601 */     GIR_EraseRootFromParent_Done,
     /*  875602 */   // Label 13395: @875602
     /*  875602 */   GIM_Try, /*On fail goto*//*Label 13396*/ GIMT_Encode4(875677), // Rule ID 25037 //
     /*  875607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /*  875610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  875618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  875621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  875624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  875627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875653 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11523:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  875653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1),
     /*  875656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  875672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875675 */     GIR_RootConstrainSelectedInstOperands,
     /*  875676 */     // GIR_Coverage, 25037,
     /*  875676 */     GIR_EraseRootFromParent_Done,
     /*  875677 */   // Label 13396: @875677
     /*  875677 */   GIM_Try, /*On fail goto*//*Label 13397*/ GIMT_Encode4(875752), // Rule ID 25040 //
     /*  875682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  875685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  875702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  875728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  875731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875750 */     GIR_RootConstrainSelectedInstOperands,
     /*  875751 */     // GIR_Coverage, 25040,
     /*  875751 */     GIR_EraseRootFromParent_Done,
     /*  875752 */   // Label 13397: @875752
     /*  875752 */   GIM_Try, /*On fail goto*//*Label 13398*/ GIMT_Encode4(875827), // Rule ID 25041 //
     /*  875757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  875760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  875768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  875771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  875774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  875777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875803 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11523:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  875803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2),
     /*  875806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  875822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875825 */     GIR_RootConstrainSelectedInstOperands,
     /*  875826 */     // GIR_Coverage, 25041,
     /*  875826 */     GIR_EraseRootFromParent_Done,
     /*  875827 */   // Label 13398: @875827
     /*  875827 */   GIM_Try, /*On fail goto*//*Label 13399*/ GIMT_Encode4(875902), // Rule ID 25044 //
     /*  875832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  875835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  875855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875878 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  875878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  875881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875900 */     GIR_RootConstrainSelectedInstOperands,
     /*  875901 */     // GIR_Coverage, 25044,
     /*  875901 */     GIR_EraseRootFromParent_Done,
     /*  875902 */   // Label 13399: @875902
     /*  875902 */   GIM_Try, /*On fail goto*//*Label 13400*/ GIMT_Encode4(875977), // Rule ID 25045 //
     /*  875907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  875910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  875918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  875921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  875924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  875927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  875930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  875946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  875953 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11523:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  875953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4),
     /*  875956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  875958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  875960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  875962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  875964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  875969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  875972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  875975 */     GIR_RootConstrainSelectedInstOperands,
     /*  875976 */     // GIR_Coverage, 25045,
     /*  875976 */     GIR_EraseRootFromParent_Done,
     /*  875977 */   // Label 13400: @875977
     /*  875977 */   GIM_Try, /*On fail goto*//*Label 13401*/ GIMT_Encode4(876052), // Rule ID 25048 //
     /*  875982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /*  875985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  875990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  875993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  875996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  875999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876028 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  876028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  876031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876050 */     GIR_RootConstrainSelectedInstOperands,
     /*  876051 */     // GIR_Coverage, 25048,
     /*  876051 */     GIR_EraseRootFromParent_Done,
     /*  876052 */   // Label 13401: @876052
     /*  876052 */   GIM_Try, /*On fail goto*//*Label 13402*/ GIMT_Encode4(876127), // Rule ID 25049 //
     /*  876057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /*  876060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  876068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  876071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  876074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876103 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  876103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2),
     /*  876106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876125 */     GIR_RootConstrainSelectedInstOperands,
     /*  876126 */     // GIR_Coverage, 25049,
     /*  876126 */     GIR_EraseRootFromParent_Done,
     /*  876127 */   // Label 13402: @876127
     /*  876127 */   GIM_Try, /*On fail goto*//*Label 13403*/ GIMT_Encode4(876202), // Rule ID 25052 //
     /*  876132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /*  876135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  876143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  876146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  876149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  876152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876178 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  876178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  876181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876200 */     GIR_RootConstrainSelectedInstOperands,
     /*  876201 */     // GIR_Coverage, 25052,
     /*  876201 */     GIR_EraseRootFromParent_Done,
     /*  876202 */   // Label 13403: @876202
     /*  876202 */   GIM_Try, /*On fail goto*//*Label 13404*/ GIMT_Encode4(876277), // Rule ID 25053 //
     /*  876207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /*  876210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  876218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  876221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  876224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  876227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876253 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  876253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4),
     /*  876256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876275 */     GIR_RootConstrainSelectedInstOperands,
     /*  876276 */     // GIR_Coverage, 25053,
     /*  876276 */     GIR_EraseRootFromParent_Done,
     /*  876277 */   // Label 13404: @876277
     /*  876277 */   GIM_Try, /*On fail goto*//*Label 13405*/ GIMT_Encode4(876352), // Rule ID 25056 //
     /*  876282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /*  876285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  876293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  876296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  876299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  876302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876328 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  876328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  876331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876350 */     GIR_RootConstrainSelectedInstOperands,
     /*  876351 */     // GIR_Coverage, 25056,
     /*  876351 */     GIR_EraseRootFromParent_Done,
     /*  876352 */   // Label 13405: @876352
     /*  876352 */   GIM_Try, /*On fail goto*//*Label 13406*/ GIMT_Encode4(876427), // Rule ID 25057 //
     /*  876357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /*  876360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  876368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  876371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  876374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  876377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876403 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  876403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8),
     /*  876406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  876422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876425 */     GIR_RootConstrainSelectedInstOperands,
     /*  876426 */     // GIR_Coverage, 25057,
     /*  876426 */     GIR_EraseRootFromParent_Done,
     /*  876427 */   // Label 13406: @876427
     /*  876427 */   GIM_Try, /*On fail goto*//*Label 13407*/ GIMT_Encode4(876502), // Rule ID 25060 //
     /*  876432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  876435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  876443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  876446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  876449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  876452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876478 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  876478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  876481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876500 */     GIR_RootConstrainSelectedInstOperands,
     /*  876501 */     // GIR_Coverage, 25060,
     /*  876501 */     GIR_EraseRootFromParent_Done,
     /*  876502 */   // Label 13407: @876502
     /*  876502 */   GIM_Try, /*On fail goto*//*Label 13408*/ GIMT_Encode4(876577), // Rule ID 25061 //
     /*  876507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  876510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  876518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  876521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  876524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  876527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876553 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1),
     /*  876556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876575 */     GIR_RootConstrainSelectedInstOperands,
     /*  876576 */     // GIR_Coverage, 25061,
     /*  876576 */     GIR_EraseRootFromParent_Done,
     /*  876577 */   // Label 13408: @876577
     /*  876577 */   GIM_Try, /*On fail goto*//*Label 13409*/ GIMT_Encode4(876652), // Rule ID 25064 //
     /*  876582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  876585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  876593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  876596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876628 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  876628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  876631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876650 */     GIR_RootConstrainSelectedInstOperands,
     /*  876651 */     // GIR_Coverage, 25064,
     /*  876651 */     GIR_EraseRootFromParent_Done,
     /*  876652 */   // Label 13409: @876652
     /*  876652 */   GIM_Try, /*On fail goto*//*Label 13410*/ GIMT_Encode4(876727), // Rule ID 25065 //
     /*  876657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  876660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  876668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  876671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  876674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  876677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876703 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2),
     /*  876706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876725 */     GIR_RootConstrainSelectedInstOperands,
     /*  876726 */     // GIR_Coverage, 25065,
     /*  876726 */     GIR_EraseRootFromParent_Done,
     /*  876727 */   // Label 13410: @876727
     /*  876727 */   GIM_Try, /*On fail goto*//*Label 13411*/ GIMT_Encode4(876802), // Rule ID 25068 //
     /*  876732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /*  876735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  876752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876778 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  876778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  876781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876800 */     GIR_RootConstrainSelectedInstOperands,
     /*  876801 */     // GIR_Coverage, 25068,
     /*  876801 */     GIR_EraseRootFromParent_Done,
     /*  876802 */   // Label 13411: @876802
     /*  876802 */   GIM_Try, /*On fail goto*//*Label 13412*/ GIMT_Encode4(876877), // Rule ID 25069 //
     /*  876807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /*  876810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  876818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  876821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  876824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  876827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  876842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  876846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876853 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  876853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4),
     /*  876856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  876872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876875 */     GIR_RootConstrainSelectedInstOperands,
     /*  876876 */     // GIR_Coverage, 25069,
     /*  876876 */     GIR_EraseRootFromParent_Done,
     /*  876877 */   // Label 13412: @876877
     /*  876877 */   GIM_Try, /*On fail goto*//*Label 13413*/ GIMT_Encode4(876952), // Rule ID 25072 //
     /*  876882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  876885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  876902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  876905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  876928 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  876928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  876931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  876933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  876935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  876937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  876939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  876944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  876947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  876950 */     GIR_RootConstrainSelectedInstOperands,
     /*  876951 */     // GIR_Coverage, 25072,
     /*  876951 */     GIR_EraseRootFromParent_Done,
     /*  876952 */   // Label 13413: @876952
     /*  876952 */   GIM_Try, /*On fail goto*//*Label 13414*/ GIMT_Encode4(877027), // Rule ID 25073 //
     /*  876957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  876960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  876965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  876968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  876971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  876974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  876977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  876980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  876992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  876996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877003 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11523:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2),
     /*  877006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877025 */     GIR_RootConstrainSelectedInstOperands,
     /*  877026 */     // GIR_Coverage, 25073,
     /*  877026 */     GIR_EraseRootFromParent_Done,
     /*  877027 */   // Label 13414: @877027
     /*  877027 */   GIM_Try, /*On fail goto*//*Label 13415*/ GIMT_Encode4(877102), // Rule ID 25076 //
     /*  877032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  877035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  877040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  877043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  877046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  877049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  877052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877078 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  877081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877100 */     GIR_RootConstrainSelectedInstOperands,
     /*  877101 */     // GIR_Coverage, 25076,
     /*  877101 */     GIR_EraseRootFromParent_Done,
     /*  877102 */   // Label 13415: @877102
     /*  877102 */   GIM_Try, /*On fail goto*//*Label 13416*/ GIMT_Encode4(877177), // Rule ID 25077 //
     /*  877107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  877110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  877115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  877118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  877121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  877124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  877127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  877142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877153 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11523:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1),
     /*  877156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877175 */     GIR_RootConstrainSelectedInstOperands,
     /*  877176 */     // GIR_Coverage, 25077,
     /*  877176 */     GIR_EraseRootFromParent_Done,
     /*  877177 */   // Label 13416: @877177
     /*  877177 */   GIM_Try, /*On fail goto*//*Label 13417*/ GIMT_Encode4(877252), // Rule ID 25080 //
     /*  877182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /*  877185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  877190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  877193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  877196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  877199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  877202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877228 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  877228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  877231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877250 */     GIR_RootConstrainSelectedInstOperands,
     /*  877251 */     // GIR_Coverage, 25080,
     /*  877251 */     GIR_EraseRootFromParent_Done,
     /*  877252 */   // Label 13417: @877252
     /*  877252 */   GIM_Try, /*On fail goto*//*Label 13418*/ GIMT_Encode4(877327), // Rule ID 25081 //
     /*  877257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /*  877260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv),
     /*  877265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  877268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  877271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  877274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  877277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  877292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  877296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877303 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11523:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  877303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2),
     /*  877306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  877322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  877325 */     GIR_RootConstrainSelectedInstOperands,
     /*  877326 */     // GIR_Coverage, 25081,
     /*  877326 */     GIR_EraseRootFromParent_Done,
     /*  877327 */   // Label 13418: @877327
     /*  877327 */   GIM_Try, /*On fail goto*//*Label 13419*/ GIMT_Encode4(877399), // Rule ID 25084 //
     /*  877332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  877343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  877346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877378 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  877381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877397 */     GIR_RootConstrainSelectedInstOperands,
     /*  877398 */     // GIR_Coverage, 25084,
     /*  877398 */     GIR_EraseRootFromParent_Done,
     /*  877399 */   // Label 13419: @877399
     /*  877399 */   GIM_Try, /*On fail goto*//*Label 13420*/ GIMT_Encode4(877471), // Rule ID 25085 //
     /*  877404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  877415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  877418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  877421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877450 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E8:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E8),
     /*  877453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877469 */     GIR_RootConstrainSelectedInstOperands,
     /*  877470 */     // GIR_Coverage, 25085,
     /*  877470 */     GIR_EraseRootFromParent_Done,
     /*  877471 */   // Label 13420: @877471
     /*  877471 */   GIM_Try, /*On fail goto*//*Label 13421*/ GIMT_Encode4(877543), // Rule ID 25086 //
     /*  877476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  877487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  877490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877522 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  877522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  877525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877541 */     GIR_RootConstrainSelectedInstOperands,
     /*  877542 */     // GIR_Coverage, 25086,
     /*  877542 */     GIR_EraseRootFromParent_Done,
     /*  877543 */   // Label 13421: @877543
     /*  877543 */   GIM_Try, /*On fail goto*//*Label 13422*/ GIMT_Encode4(877615), // Rule ID 25087 //
     /*  877548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  877559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  877562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  877565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  877568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877594 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E8:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  877594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E8),
     /*  877597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  877613 */     GIR_RootConstrainSelectedInstOperands,
     /*  877614 */     // GIR_Coverage, 25087,
     /*  877614 */     GIR_EraseRootFromParent_Done,
     /*  877615 */   // Label 13422: @877615
     /*  877615 */   GIM_Try, /*On fail goto*//*Label 13423*/ GIMT_Encode4(877687), // Rule ID 25088 //
     /*  877620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  877637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  877669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877685 */     GIR_RootConstrainSelectedInstOperands,
     /*  877686 */     // GIR_Coverage, 25088,
     /*  877686 */     GIR_EraseRootFromParent_Done,
     /*  877687 */   // Label 13423: @877687
     /*  877687 */   GIM_Try, /*On fail goto*//*Label 13424*/ GIMT_Encode4(877759), // Rule ID 25089 //
     /*  877692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  877703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  877706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  877709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877738 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  877741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877757 */     GIR_RootConstrainSelectedInstOperands,
     /*  877758 */     // GIR_Coverage, 25089,
     /*  877758 */     GIR_EraseRootFromParent_Done,
     /*  877759 */   // Label 13424: @877759
     /*  877759 */   GIM_Try, /*On fail goto*//*Label 13425*/ GIMT_Encode4(877831), // Rule ID 25090 //
     /*  877764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  877810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877829 */     GIR_RootConstrainSelectedInstOperands,
     /*  877830 */     // GIR_Coverage, 25090,
     /*  877830 */     GIR_EraseRootFromParent_Done,
     /*  877831 */   // Label 13425: @877831
     /*  877831 */   GIM_Try, /*On fail goto*//*Label 13426*/ GIMT_Encode4(877903), // Rule ID 25091 //
     /*  877836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  877847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  877850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  877853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  877856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  877859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877882 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  877882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  877885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  877901 */     GIR_RootConstrainSelectedInstOperands,
     /*  877902 */     // GIR_Coverage, 25091,
     /*  877902 */     GIR_EraseRootFromParent_Done,
     /*  877903 */   // Label 13426: @877903
     /*  877903 */   GIM_Try, /*On fail goto*//*Label 13427*/ GIMT_Encode4(877975), // Rule ID 25092 //
     /*  877908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  877911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  877928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  877931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  877947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  877954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  877954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  877957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  877959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  877961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  877963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  877965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  877970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  877973 */     GIR_RootConstrainSelectedInstOperands,
     /*  877974 */     // GIR_Coverage, 25092,
     /*  877974 */     GIR_EraseRootFromParent_Done,
     /*  877975 */   // Label 13427: @877975
     /*  877975 */   GIM_Try, /*On fail goto*//*Label 13428*/ GIMT_Encode4(878047), // Rule ID 25093 //
     /*  877980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  877983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  877988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  877991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  877994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  877997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  878000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  878026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  878029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878045 */     GIR_RootConstrainSelectedInstOperands,
     /*  878046 */     // GIR_Coverage, 25093,
     /*  878046 */     GIR_EraseRootFromParent_Done,
     /*  878047 */   // Label 13428: @878047
     /*  878047 */   GIM_Try, /*On fail goto*//*Label 13429*/ GIMT_Encode4(878119), // Rule ID 25094 //
     /*  878052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  878063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  878066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878098 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  878101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878117 */     GIR_RootConstrainSelectedInstOperands,
     /*  878118 */     // GIR_Coverage, 25094,
     /*  878118 */     GIR_EraseRootFromParent_Done,
     /*  878119 */   // Label 13429: @878119
     /*  878119 */   GIM_Try, /*On fail goto*//*Label 13430*/ GIMT_Encode4(878191), // Rule ID 25095 //
     /*  878124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  878135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  878138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  878141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  878144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878170 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11174:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E8:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E8),
     /*  878173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878189 */     GIR_RootConstrainSelectedInstOperands,
     /*  878190 */     // GIR_Coverage, 25095,
     /*  878190 */     GIR_EraseRootFromParent_Done,
     /*  878191 */   // Label 13430: @878191
     /*  878191 */   GIM_Try, /*On fail goto*//*Label 13431*/ GIMT_Encode4(878263), // Rule ID 25096 //
     /*  878196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  878213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  878216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878242 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  878242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  878245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878261 */     GIR_RootConstrainSelectedInstOperands,
     /*  878262 */     // GIR_Coverage, 25096,
     /*  878262 */     GIR_EraseRootFromParent_Done,
     /*  878263 */   // Label 13431: @878263
     /*  878263 */   GIM_Try, /*On fail goto*//*Label 13432*/ GIMT_Encode4(878335), // Rule ID 25097 //
     /*  878268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  878279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  878282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  878285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  878288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878314 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  878314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  878317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  878333 */     GIR_RootConstrainSelectedInstOperands,
     /*  878334 */     // GIR_Coverage, 25097,
     /*  878334 */     GIR_EraseRootFromParent_Done,
     /*  878335 */   // Label 13432: @878335
     /*  878335 */   GIM_Try, /*On fail goto*//*Label 13433*/ GIMT_Encode4(878407), // Rule ID 25098 //
     /*  878340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  878357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  878360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  878386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  878389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878405 */     GIR_RootConstrainSelectedInstOperands,
     /*  878406 */     // GIR_Coverage, 25098,
     /*  878406 */     GIR_EraseRootFromParent_Done,
     /*  878407 */   // Label 13433: @878407
     /*  878407 */   GIM_Try, /*On fail goto*//*Label 13434*/ GIMT_Encode4(878479), // Rule ID 25099 //
     /*  878412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  878423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  878426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  878429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  878432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  878458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  878461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  878477 */     GIR_RootConstrainSelectedInstOperands,
     /*  878478 */     // GIR_Coverage, 25099,
     /*  878478 */     GIR_EraseRootFromParent_Done,
     /*  878479 */   // Label 13434: @878479
     /*  878479 */   GIM_Try, /*On fail goto*//*Label 13435*/ GIMT_Encode4(878551), // Rule ID 25100 //
     /*  878484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  878487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  878495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  878498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  878501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  878504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878530 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  878530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  878533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878549 */     GIR_RootConstrainSelectedInstOperands,
     /*  878550 */     // GIR_Coverage, 25100,
     /*  878550 */     GIR_EraseRootFromParent_Done,
     /*  878551 */   // Label 13435: @878551
     /*  878551 */   GIM_Try, /*On fail goto*//*Label 13436*/ GIMT_Encode4(878623), // Rule ID 25101 //
     /*  878556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  878559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  878567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  878570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  878573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  878576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878602 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  878602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  878605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  878621 */     GIR_RootConstrainSelectedInstOperands,
     /*  878622 */     // GIR_Coverage, 25101,
     /*  878622 */     GIR_EraseRootFromParent_Done,
     /*  878623 */   // Label 13436: @878623
     /*  878623 */   GIM_Try, /*On fail goto*//*Label 13437*/ GIMT_Encode4(878695), // Rule ID 25102 //
     /*  878628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  878639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  878642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  878677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878693 */     GIR_RootConstrainSelectedInstOperands,
     /*  878694 */     // GIR_Coverage, 25102,
     /*  878694 */     GIR_EraseRootFromParent_Done,
     /*  878695 */   // Label 13437: @878695
     /*  878695 */   GIM_Try, /*On fail goto*//*Label 13438*/ GIMT_Encode4(878767), // Rule ID 25103 //
     /*  878700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  878711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  878714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  878717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  878720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  878735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878746 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E8:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E8),
     /*  878749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878765 */     GIR_RootConstrainSelectedInstOperands,
     /*  878766 */     // GIR_Coverage, 25103,
     /*  878766 */     GIR_EraseRootFromParent_Done,
     /*  878767 */   // Label 13438: @878767
     /*  878767 */   GIM_Try, /*On fail goto*//*Label 13439*/ GIMT_Encode4(878839), // Rule ID 25104 //
     /*  878772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  878783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  878786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878818 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  878821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878837 */     GIR_RootConstrainSelectedInstOperands,
     /*  878838 */     // GIR_Coverage, 25104,
     /*  878838 */     GIR_EraseRootFromParent_Done,
     /*  878839 */   // Label 13439: @878839
     /*  878839 */   GIM_Try, /*On fail goto*//*Label 13440*/ GIMT_Encode4(878911), // Rule ID 25105 //
     /*  878844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  878855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  878858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  878861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  878864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  878867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  878879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878890 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E8:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  878890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E8),
     /*  878893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878909 */     GIR_RootConstrainSelectedInstOperands,
     /*  878910 */     // GIR_Coverage, 25105,
     /*  878910 */     GIR_EraseRootFromParent_Done,
     /*  878911 */   // Label 13440: @878911
     /*  878911 */   GIM_Try, /*On fail goto*//*Label 13441*/ GIMT_Encode4(878983), // Rule ID 25106 //
     /*  878916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  878919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  878927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  878930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  878933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  878936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  878939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  878951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  878955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  878962 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  878962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  878965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  878967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  878969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  878971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  878973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  878978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  878981 */     GIR_RootConstrainSelectedInstOperands,
     /*  878982 */     // GIR_Coverage, 25106,
     /*  878982 */     GIR_EraseRootFromParent_Done,
     /*  878983 */   // Label 13441: @878983
     /*  878983 */   GIM_Try, /*On fail goto*//*Label 13442*/ GIMT_Encode4(879055), // Rule ID 25107 //
     /*  878988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  878991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  878996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  878999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  879002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  879005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /*  879008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879034 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv64i1] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  879034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E8),
     /*  879037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  879053 */     GIR_RootConstrainSelectedInstOperands,
     /*  879054 */     // GIR_Coverage, 25107,
     /*  879054 */     GIR_EraseRootFromParent_Done,
     /*  879055 */   // Label 13442: @879055
     /*  879055 */   GIM_Try, /*On fail goto*//*Label 13443*/ GIMT_Encode4(879127), // Rule ID 25108 //
     /*  879060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  879071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  879074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  879106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  879109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879125 */     GIR_RootConstrainSelectedInstOperands,
     /*  879126 */     // GIR_Coverage, 25108,
     /*  879126 */     GIR_EraseRootFromParent_Done,
     /*  879127 */   // Label 13443: @879127
     /*  879127 */   GIM_Try, /*On fail goto*//*Label 13444*/ GIMT_Encode4(879199), // Rule ID 25109 //
     /*  879132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  879143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  879146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  879149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879178 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  879178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  879181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879197 */     GIR_RootConstrainSelectedInstOperands,
     /*  879198 */     // GIR_Coverage, 25109,
     /*  879198 */     GIR_EraseRootFromParent_Done,
     /*  879199 */   // Label 13444: @879199
     /*  879199 */   GIM_Try, /*On fail goto*//*Label 13445*/ GIMT_Encode4(879271), // Rule ID 25110 //
     /*  879204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  879215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  879218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  879224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  879250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  879253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879269 */     GIR_RootConstrainSelectedInstOperands,
     /*  879270 */     // GIR_Coverage, 25110,
     /*  879270 */     GIR_EraseRootFromParent_Done,
     /*  879271 */   // Label 13445: @879271
     /*  879271 */   GIM_Try, /*On fail goto*//*Label 13446*/ GIMT_Encode4(879343), // Rule ID 25111 //
     /*  879276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  879287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  879290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  879293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  879296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  879322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  879325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879341 */     GIR_RootConstrainSelectedInstOperands,
     /*  879342 */     // GIR_Coverage, 25111,
     /*  879342 */     GIR_EraseRootFromParent_Done,
     /*  879343 */   // Label 13446: @879343
     /*  879343 */   GIM_Try, /*On fail goto*//*Label 13447*/ GIMT_Encode4(879415), // Rule ID 25112 //
     /*  879348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  879359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  879362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  879365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  879368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879394 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  879394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  879397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879413 */     GIR_RootConstrainSelectedInstOperands,
     /*  879414 */     // GIR_Coverage, 25112,
     /*  879414 */     GIR_EraseRootFromParent_Done,
     /*  879415 */   // Label 13447: @879415
     /*  879415 */   GIM_Try, /*On fail goto*//*Label 13448*/ GIMT_Encode4(879487), // Rule ID 25113 //
     /*  879420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  879431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  879434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  879437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  879440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879466 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  879466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  879469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  879485 */     GIR_RootConstrainSelectedInstOperands,
     /*  879486 */     // GIR_Coverage, 25113,
     /*  879486 */     GIR_EraseRootFromParent_Done,
     /*  879487 */   // Label 13448: @879487
     /*  879487 */   GIM_Try, /*On fail goto*//*Label 13449*/ GIMT_Encode4(879559), // Rule ID 25114 //
     /*  879492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  879512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879538 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  879541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879557 */     GIR_RootConstrainSelectedInstOperands,
     /*  879558 */     // GIR_Coverage, 25114,
     /*  879558 */     GIR_EraseRootFromParent_Done,
     /*  879559 */   // Label 13449: @879559
     /*  879559 */   GIM_Try, /*On fail goto*//*Label 13450*/ GIMT_Encode4(879631), // Rule ID 25115 //
     /*  879564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  879575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  879578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  879581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  879584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  879613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879629 */     GIR_RootConstrainSelectedInstOperands,
     /*  879630 */     // GIR_Coverage, 25115,
     /*  879630 */     GIR_EraseRootFromParent_Done,
     /*  879631 */   // Label 13450: @879631
     /*  879631 */   GIM_Try, /*On fail goto*//*Label 13451*/ GIMT_Encode4(879703), // Rule ID 25116 //
     /*  879636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  879685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879701 */     GIR_RootConstrainSelectedInstOperands,
     /*  879702 */     // GIR_Coverage, 25116,
     /*  879702 */     GIR_EraseRootFromParent_Done,
     /*  879703 */   // Label 13451: @879703
     /*  879703 */   GIM_Try, /*On fail goto*//*Label 13452*/ GIMT_Encode4(879775), // Rule ID 25117 //
     /*  879708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  879719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  879722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  879725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  879728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  879743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  879757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879773 */     GIR_RootConstrainSelectedInstOperands,
     /*  879774 */     // GIR_Coverage, 25117,
     /*  879774 */     GIR_EraseRootFromParent_Done,
     /*  879775 */   // Label 13452: @879775
     /*  879775 */   GIM_Try, /*On fail goto*//*Label 13453*/ GIMT_Encode4(879847), // Rule ID 25118 //
     /*  879780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  879783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  879797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  879800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  879826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  879829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879845 */     GIR_RootConstrainSelectedInstOperands,
     /*  879846 */     // GIR_Coverage, 25118,
     /*  879846 */     GIR_EraseRootFromParent_Done,
     /*  879847 */   // Label 13453: @879847
     /*  879847 */   GIM_Try, /*On fail goto*//*Label 13454*/ GIMT_Encode4(879919), // Rule ID 25119 //
     /*  879852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  879855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  879863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  879866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  879869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  879872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  879875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  879887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  879898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  879901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  879917 */     GIR_RootConstrainSelectedInstOperands,
     /*  879918 */     // GIR_Coverage, 25119,
     /*  879918 */     GIR_EraseRootFromParent_Done,
     /*  879919 */   // Label 13454: @879919
     /*  879919 */   GIM_Try, /*On fail goto*//*Label 13455*/ GIMT_Encode4(879991), // Rule ID 25120 //
     /*  879924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  879927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  879932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  879935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  879938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  879941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  879944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  879947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  879959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  879963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  879970 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  879970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  879973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  879975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  879977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  879979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  879981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  879986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  879989 */     GIR_RootConstrainSelectedInstOperands,
     /*  879990 */     // GIR_Coverage, 25120,
     /*  879990 */     GIR_EraseRootFromParent_Done,
     /*  879991 */   // Label 13455: @879991
     /*  879991 */   GIM_Try, /*On fail goto*//*Label 13456*/ GIMT_Encode4(880063), // Rule ID 25121 //
     /*  879996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  879999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  880007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  880010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  880013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  880031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  880045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880061 */     GIR_RootConstrainSelectedInstOperands,
     /*  880062 */     // GIR_Coverage, 25121,
     /*  880062 */     GIR_EraseRootFromParent_Done,
     /*  880063 */   // Label 13456: @880063
     /*  880063 */   GIM_Try, /*On fail goto*//*Label 13457*/ GIMT_Encode4(880135), // Rule ID 25122 //
     /*  880068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  880071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  880085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  880117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880133 */     GIR_RootConstrainSelectedInstOperands,
     /*  880134 */     // GIR_Coverage, 25122,
     /*  880134 */     GIR_EraseRootFromParent_Done,
     /*  880135 */   // Label 13457: @880135
     /*  880135 */   GIM_Try, /*On fail goto*//*Label 13458*/ GIMT_Encode4(880207), // Rule ID 25123 //
     /*  880140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  880143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  880151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  880154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  880157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  880175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  880189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880205 */     GIR_RootConstrainSelectedInstOperands,
     /*  880206 */     // GIR_Coverage, 25123,
     /*  880206 */     GIR_EraseRootFromParent_Done,
     /*  880207 */   // Label 13458: @880207
     /*  880207 */   GIM_Try, /*On fail goto*//*Label 13459*/ GIMT_Encode4(880279), // Rule ID 25124 //
     /*  880212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  880215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  880229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  880232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880258 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  880258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  880261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880277 */     GIR_RootConstrainSelectedInstOperands,
     /*  880278 */     // GIR_Coverage, 25124,
     /*  880278 */     GIR_EraseRootFromParent_Done,
     /*  880279 */   // Label 13459: @880279
     /*  880279 */   GIM_Try, /*On fail goto*//*Label 13460*/ GIMT_Encode4(880351), // Rule ID 25125 //
     /*  880284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  880287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  880295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  880298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  880301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  880304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  880319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  880330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  880333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  880349 */     GIR_RootConstrainSelectedInstOperands,
     /*  880350 */     // GIR_Coverage, 25125,
     /*  880350 */     GIR_EraseRootFromParent_Done,
     /*  880351 */   // Label 13460: @880351
     /*  880351 */   GIM_Try, /*On fail goto*//*Label 13461*/ GIMT_Encode4(880423), // Rule ID 25126 //
     /*  880356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  880359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  880376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880402 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  880402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  880405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880421 */     GIR_RootConstrainSelectedInstOperands,
     /*  880422 */     // GIR_Coverage, 25126,
     /*  880422 */     GIR_EraseRootFromParent_Done,
     /*  880423 */   // Label 13461: @880423
     /*  880423 */   GIM_Try, /*On fail goto*//*Label 13462*/ GIMT_Encode4(880495), // Rule ID 25127 //
     /*  880428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  880431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  880439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  880442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  880445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  880448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880474 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  880474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF4_E16),
     /*  880477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880493 */     GIR_RootConstrainSelectedInstOperands,
     /*  880494 */     // GIR_Coverage, 25127,
     /*  880494 */     GIR_EraseRootFromParent_Done,
     /*  880495 */   // Label 13462: @880495
     /*  880495 */   GIM_Try, /*On fail goto*//*Label 13463*/ GIMT_Encode4(880567), // Rule ID 25128 //
     /*  880500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  880503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  880511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  880514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  880517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880546 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  880546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  880549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880565 */     GIR_RootConstrainSelectedInstOperands,
     /*  880566 */     // GIR_Coverage, 25128,
     /*  880566 */     GIR_EraseRootFromParent_Done,
     /*  880567 */   // Label 13463: @880567
     /*  880567 */   GIM_Try, /*On fail goto*//*Label 13464*/ GIMT_Encode4(880639), // Rule ID 25129 //
     /*  880572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  880575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  880583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  880586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  880589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880618 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  880618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E16),
     /*  880621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880637 */     GIR_RootConstrainSelectedInstOperands,
     /*  880638 */     // GIR_Coverage, 25129,
     /*  880638 */     GIR_EraseRootFromParent_Done,
     /*  880639 */   // Label 13464: @880639
     /*  880639 */   GIM_Try, /*On fail goto*//*Label 13465*/ GIMT_Encode4(880711), // Rule ID 25130 //
     /*  880644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  880655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  880658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  880661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  880664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880690 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  880693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880709 */     GIR_RootConstrainSelectedInstOperands,
     /*  880710 */     // GIR_Coverage, 25130,
     /*  880710 */     GIR_EraseRootFromParent_Done,
     /*  880711 */   // Label 13465: @880711
     /*  880711 */   GIM_Try, /*On fail goto*//*Label 13466*/ GIMT_Encode4(880783), // Rule ID 25131 //
     /*  880716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  880719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  880727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  880730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  880733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  880736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880762 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  880762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_MF2_E32),
     /*  880765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880781 */     GIR_RootConstrainSelectedInstOperands,
     /*  880782 */     // GIR_Coverage, 25131,
     /*  880782 */     GIR_EraseRootFromParent_Done,
     /*  880783 */   // Label 13466: @880783
     /*  880783 */   GIM_Try, /*On fail goto*//*Label 13467*/ GIMT_Encode4(880855), // Rule ID 25132 //
     /*  880788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  880791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  880805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880834 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  880834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  880837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880853 */     GIR_RootConstrainSelectedInstOperands,
     /*  880854 */     // GIR_Coverage, 25132,
     /*  880854 */     GIR_EraseRootFromParent_Done,
     /*  880855 */   // Label 13467: @880855
     /*  880855 */   GIM_Try, /*On fail goto*//*Label 13468*/ GIMT_Encode4(880927), // Rule ID 25133 //
     /*  880860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  880863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  880871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  880874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  880877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  880880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  880883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880906 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11174:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  880906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E16),
     /*  880909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  880925 */     GIR_RootConstrainSelectedInstOperands,
     /*  880926 */     // GIR_Coverage, 25133,
     /*  880926 */     GIR_EraseRootFromParent_Done,
     /*  880927 */   // Label 13468: @880927
     /*  880927 */   GIM_Try, /*On fail goto*//*Label 13469*/ GIMT_Encode4(880999), // Rule ID 25134 //
     /*  880932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  880935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  880940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  880943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  880946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  880949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  880952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  880955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  880971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  880978 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  880978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  880981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  880983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  880985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  880987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  880989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  880994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  880997 */     GIR_RootConstrainSelectedInstOperands,
     /*  880998 */     // GIR_Coverage, 25134,
     /*  880998 */     GIR_EraseRootFromParent_Done,
     /*  880999 */   // Label 13469: @880999
     /*  880999 */   GIM_Try, /*On fail goto*//*Label 13470*/ GIMT_Encode4(881071), // Rule ID 25135 //
     /*  881004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  881007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  881015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  881018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  881021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  881024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881050 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11174:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  881050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E32),
     /*  881053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881069 */     GIR_RootConstrainSelectedInstOperands,
     /*  881070 */     // GIR_Coverage, 25135,
     /*  881070 */     GIR_EraseRootFromParent_Done,
     /*  881071 */   // Label 13470: @881071
     /*  881071 */   GIM_Try, /*On fail goto*//*Label 13471*/ GIMT_Encode4(881143), // Rule ID 25136 //
     /*  881076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  881079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  881096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881122 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  881122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  881125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881141 */     GIR_RootConstrainSelectedInstOperands,
     /*  881142 */     // GIR_Coverage, 25136,
     /*  881142 */     GIR_EraseRootFromParent_Done,
     /*  881143 */   // Label 13471: @881143
     /*  881143 */   GIM_Try, /*On fail goto*//*Label 13472*/ GIMT_Encode4(881215), // Rule ID 25137 //
     /*  881148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  881151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  881159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  881162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  881165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  881168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881194 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11174:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  881194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M1_E64),
     /*  881197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  881213 */     GIR_RootConstrainSelectedInstOperands,
     /*  881214 */     // GIR_Coverage, 25137,
     /*  881214 */     GIR_EraseRootFromParent_Done,
     /*  881215 */   // Label 13472: @881215
     /*  881215 */   GIM_Try, /*On fail goto*//*Label 13473*/ GIMT_Encode4(881287), // Rule ID 25138 //
     /*  881220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  881231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  881234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881266 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  881269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881285 */     GIR_RootConstrainSelectedInstOperands,
     /*  881286 */     // GIR_Coverage, 25138,
     /*  881286 */     GIR_EraseRootFromParent_Done,
     /*  881287 */   // Label 13473: @881287
     /*  881287 */   GIM_Try, /*On fail goto*//*Label 13474*/ GIMT_Encode4(881359), // Rule ID 25139 //
     /*  881292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  881303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  881306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  881309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881338 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E16),
     /*  881341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881357 */     GIR_RootConstrainSelectedInstOperands,
     /*  881358 */     // GIR_Coverage, 25139,
     /*  881358 */     GIR_EraseRootFromParent_Done,
     /*  881359 */   // Label 13474: @881359
     /*  881359 */   GIM_Try, /*On fail goto*//*Label 13475*/ GIMT_Encode4(881431), // Rule ID 25140 //
     /*  881364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  881375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  881378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  881384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881410 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  881413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881429 */     GIR_RootConstrainSelectedInstOperands,
     /*  881430 */     // GIR_Coverage, 25140,
     /*  881430 */     GIR_EraseRootFromParent_Done,
     /*  881431 */   // Label 13475: @881431
     /*  881431 */   GIM_Try, /*On fail goto*//*Label 13476*/ GIMT_Encode4(881503), // Rule ID 25141 //
     /*  881436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  881447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  881450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  881453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  881456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881482 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E16),
     /*  881485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881501 */     GIR_RootConstrainSelectedInstOperands,
     /*  881502 */     // GIR_Coverage, 25141,
     /*  881502 */     GIR_EraseRootFromParent_Done,
     /*  881503 */   // Label 13476: @881503
     /*  881503 */   GIM_Try, /*On fail goto*//*Label 13477*/ GIMT_Encode4(881575), // Rule ID 25142 //
     /*  881508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  881511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  881519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  881522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  881525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  881528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881554 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  881554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  881557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881573 */     GIR_RootConstrainSelectedInstOperands,
     /*  881574 */     // GIR_Coverage, 25142,
     /*  881574 */     GIR_EraseRootFromParent_Done,
     /*  881575 */   // Label 13477: @881575
     /*  881575 */   GIM_Try, /*On fail goto*//*Label 13478*/ GIMT_Encode4(881647), // Rule ID 25143 //
     /*  881580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  881583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  881591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  881594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  881597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /*  881600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881626 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv32i1] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  881626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E16),
     /*  881629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  881645 */     GIR_RootConstrainSelectedInstOperands,
     /*  881646 */     // GIR_Coverage, 25143,
     /*  881646 */     GIR_EraseRootFromParent_Done,
     /*  881647 */   // Label 13478: @881647
     /*  881647 */   GIM_Try, /*On fail goto*//*Label 13479*/ GIMT_Encode4(881719), // Rule ID 25144 //
     /*  881652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  881655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  881663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  881666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  881669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  881672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881698 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  881698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  881701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881717 */     GIR_RootConstrainSelectedInstOperands,
     /*  881718 */     // GIR_Coverage, 25144,
     /*  881718 */     GIR_EraseRootFromParent_Done,
     /*  881719 */   // Label 13479: @881719
     /*  881719 */   GIM_Try, /*On fail goto*//*Label 13480*/ GIMT_Encode4(881791), // Rule ID 25145 //
     /*  881724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  881727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  881735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  881738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  881741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  881744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  881759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881770 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  881770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E32),
     /*  881773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881789 */     GIR_RootConstrainSelectedInstOperands,
     /*  881790 */     // GIR_Coverage, 25145,
     /*  881790 */     GIR_EraseRootFromParent_Done,
     /*  881791 */   // Label 13480: @881791
     /*  881791 */   GIM_Try, /*On fail goto*//*Label 13481*/ GIMT_Encode4(881863), // Rule ID 25146 //
     /*  881796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  881799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  881813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881842 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  881842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  881845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881861 */     GIR_RootConstrainSelectedInstOperands,
     /*  881862 */     // GIR_Coverage, 25146,
     /*  881862 */     GIR_EraseRootFromParent_Done,
     /*  881863 */   // Label 13481: @881863
     /*  881863 */   GIM_Try, /*On fail goto*//*Label 13482*/ GIMT_Encode4(881935), // Rule ID 25147 //
     /*  881868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  881871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  881879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  881882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  881885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  881888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  881891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  881903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881914 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  881914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E32),
     /*  881917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  881930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  881933 */     GIR_RootConstrainSelectedInstOperands,
     /*  881934 */     // GIR_Coverage, 25147,
     /*  881934 */     GIR_EraseRootFromParent_Done,
     /*  881935 */   // Label 13482: @881935
     /*  881935 */   GIM_Try, /*On fail goto*//*Label 13483*/ GIMT_Encode4(882007), // Rule ID 25148 //
     /*  881940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  881943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  881948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  881951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  881954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  881957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  881960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  881963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  881975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  881979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  881986 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  881986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  881989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  881991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  881993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  881995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  881997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882005 */     GIR_RootConstrainSelectedInstOperands,
     /*  882006 */     // GIR_Coverage, 25148,
     /*  882006 */     GIR_EraseRootFromParent_Done,
     /*  882007 */   // Label 13483: @882007
     /*  882007 */   GIM_Try, /*On fail goto*//*Label 13484*/ GIMT_Encode4(882079), // Rule ID 25149 //
     /*  882012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  882015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  882020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  882023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  882026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  882029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /*  882032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882058 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv16i1] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  882058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E32),
     /*  882061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882077 */     GIR_RootConstrainSelectedInstOperands,
     /*  882078 */     // GIR_Coverage, 25149,
     /*  882078 */     GIR_EraseRootFromParent_Done,
     /*  882079 */   // Label 13484: @882079
     /*  882079 */   GIM_Try, /*On fail goto*//*Label 13485*/ GIMT_Encode4(882151), // Rule ID 25150 //
     /*  882084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  882087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  882092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  882104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882130 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  882130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  882133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882149 */     GIR_RootConstrainSelectedInstOperands,
     /*  882150 */     // GIR_Coverage, 25150,
     /*  882150 */     GIR_EraseRootFromParent_Done,
     /*  882151 */   // Label 13485: @882151
     /*  882151 */   GIM_Try, /*On fail goto*//*Label 13486*/ GIMT_Encode4(882223), // Rule ID 25151 //
     /*  882156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  882159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  882164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  882167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  882170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  882173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /*  882176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  882191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882202 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11174:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  882202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M2_E64),
     /*  882205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882221 */     GIR_RootConstrainSelectedInstOperands,
     /*  882222 */     // GIR_Coverage, 25151,
     /*  882222 */     GIR_EraseRootFromParent_Done,
     /*  882223 */   // Label 13486: @882223
     /*  882223 */   GIM_Try, /*On fail goto*//*Label 13487*/ GIMT_Encode4(882295), // Rule ID 25152 //
     /*  882228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  882231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  882236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  882248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  882274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  882277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882293 */     GIR_RootConstrainSelectedInstOperands,
     /*  882294 */     // GIR_Coverage, 25152,
     /*  882294 */     GIR_EraseRootFromParent_Done,
     /*  882295 */   // Label 13487: @882295
     /*  882295 */   GIM_Try, /*On fail goto*//*Label 13488*/ GIMT_Encode4(882367), // Rule ID 25153 //
     /*  882300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  882303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  882308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  882311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  882314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  882317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /*  882320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  882335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882346 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11174:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  882346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M4_E64),
     /*  882349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882365 */     GIR_RootConstrainSelectedInstOperands,
     /*  882366 */     // GIR_Coverage, 25153,
     /*  882366 */     GIR_EraseRootFromParent_Done,
     /*  882367 */   // Label 13488: @882367
     /*  882367 */   GIM_Try, /*On fail goto*//*Label 13489*/ GIMT_Encode4(882439), // Rule ID 25154 //
     /*  882372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  882375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  882380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  882392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882418 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  882418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  882421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882437 */     GIR_RootConstrainSelectedInstOperands,
     /*  882438 */     // GIR_Coverage, 25154,
     /*  882438 */     GIR_EraseRootFromParent_Done,
     /*  882439 */   // Label 13489: @882439
     /*  882439 */   GIM_Try, /*On fail goto*//*Label 13490*/ GIMT_Encode4(882511), // Rule ID 25155 //
     /*  882444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  882447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcompress),
     /*  882452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  882455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  882458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  882461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /*  882464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  882479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882490 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11174:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCOMPRESS_VM_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv8i1] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  882490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCOMPRESS_VM_M8_E64),
     /*  882493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  882509 */     GIR_RootConstrainSelectedInstOperands,
     /*  882510 */     // GIR_Coverage, 25155,
     /*  882510 */     GIR_EraseRootFromParent_Done,
     /*  882511 */   // Label 13490: @882511
     /*  882511 */   GIM_Try, /*On fail goto*//*Label 13491*/ GIMT_Encode4(882586), // Rule ID 60610 //
     /*  882516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  882519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  882524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  882527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  882530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  882536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  882562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  882565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882584 */     GIR_RootConstrainSelectedInstOperands,
     /*  882585 */     // GIR_Coverage, 60610,
     /*  882585 */     GIR_EraseRootFromParent_Done,
     /*  882586 */   // Label 13491: @882586
     /*  882586 */   GIM_Try, /*On fail goto*//*Label 13492*/ GIMT_Encode4(882661), // Rule ID 60611 //
     /*  882591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  882594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  882599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  882602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  882605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  882608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  882611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882637 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  882637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_MF2),
     /*  882640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  882656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882659 */     GIR_RootConstrainSelectedInstOperands,
     /*  882660 */     // GIR_Coverage, 60611,
     /*  882660 */     GIR_EraseRootFromParent_Done,
     /*  882661 */   // Label 13492: @882661
     /*  882661 */   GIM_Try, /*On fail goto*//*Label 13493*/ GIMT_Encode4(882736), // Rule ID 60968 //
     /*  882666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  882677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  882680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  882683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  882686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882712 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  882715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882734 */     GIR_RootConstrainSelectedInstOperands,
     /*  882735 */     // GIR_Coverage, 60968,
     /*  882735 */     GIR_EraseRootFromParent_Done,
     /*  882736 */   // Label 13493: @882736
     /*  882736 */   GIM_Try, /*On fail goto*//*Label 13494*/ GIMT_Encode4(882811), // Rule ID 60969 //
     /*  882741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  882752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  882755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  882758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  882761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882787 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /*  882790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882809 */     GIR_RootConstrainSelectedInstOperands,
     /*  882810 */     // GIR_Coverage, 60969,
     /*  882810 */     GIR_EraseRootFromParent_Done,
     /*  882811 */   // Label 13494: @882811
     /*  882811 */   GIM_Try, /*On fail goto*//*Label 13495*/ GIMT_Encode4(882886), // Rule ID 60972 //
     /*  882816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  882827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  882830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  882833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  882836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882862 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  882862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  882865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882884 */     GIR_RootConstrainSelectedInstOperands,
     /*  882885 */     // GIR_Coverage, 60972,
     /*  882885 */     GIR_EraseRootFromParent_Done,
     /*  882886 */   // Label 13495: @882886
     /*  882886 */   GIM_Try, /*On fail goto*//*Label 13496*/ GIMT_Encode4(882961), // Rule ID 60973 //
     /*  882891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  882894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  882902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  882905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  882908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  882911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  882914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  882937 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  882937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  882940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  882942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  882944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  882946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  882948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  882953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  882956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  882959 */     GIR_RootConstrainSelectedInstOperands,
     /*  882960 */     // GIR_Coverage, 60973,
     /*  882960 */     GIR_EraseRootFromParent_Done,
     /*  882961 */   // Label 13496: @882961
     /*  882961 */   GIM_Try, /*On fail goto*//*Label 13497*/ GIMT_Encode4(883036), // Rule ID 60976 //
     /*  882966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  882969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  882974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  882977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  882980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  882983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  882986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  882989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  882997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883012 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883034 */     GIR_RootConstrainSelectedInstOperands,
     /*  883035 */     // GIR_Coverage, 60976,
     /*  883035 */     GIR_EraseRootFromParent_Done,
     /*  883036 */   // Label 13497: @883036
     /*  883036 */   GIM_Try, /*On fail goto*//*Label 13498*/ GIMT_Encode4(883111), // Rule ID 60977 //
     /*  883041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  883052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  883055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  883058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  883061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883087 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883109 */     GIR_RootConstrainSelectedInstOperands,
     /*  883110 */     // GIR_Coverage, 60977,
     /*  883110 */     GIR_EraseRootFromParent_Done,
     /*  883111 */   // Label 13498: @883111
     /*  883111 */   GIM_Try, /*On fail goto*//*Label 13499*/ GIMT_Encode4(883186), // Rule ID 60980 //
     /*  883116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  883127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  883130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  883133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  883136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883184 */     GIR_RootConstrainSelectedInstOperands,
     /*  883185 */     // GIR_Coverage, 60980,
     /*  883185 */     GIR_EraseRootFromParent_Done,
     /*  883186 */   // Label 13499: @883186
     /*  883186 */   GIM_Try, /*On fail goto*//*Label 13500*/ GIMT_Encode4(883261), // Rule ID 60981 //
     /*  883191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  883202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  883205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  883208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  883211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883237 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883259 */     GIR_RootConstrainSelectedInstOperands,
     /*  883260 */     // GIR_Coverage, 60981,
     /*  883260 */     GIR_EraseRootFromParent_Done,
     /*  883261 */   // Label 13500: @883261
     /*  883261 */   GIM_Try, /*On fail goto*//*Label 13501*/ GIMT_Encode4(883336), // Rule ID 60984 //
     /*  883266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  883277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  883280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  883283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  883286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  883315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883334 */     GIR_RootConstrainSelectedInstOperands,
     /*  883335 */     // GIR_Coverage, 60984,
     /*  883335 */     GIR_EraseRootFromParent_Done,
     /*  883336 */   // Label 13501: @883336
     /*  883336 */   GIM_Try, /*On fail goto*//*Label 13502*/ GIMT_Encode4(883411), // Rule ID 60985 //
     /*  883341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  883352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  883355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  883358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  883361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  883390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883409 */     GIR_RootConstrainSelectedInstOperands,
     /*  883410 */     // GIR_Coverage, 60985,
     /*  883410 */     GIR_EraseRootFromParent_Done,
     /*  883411 */   // Label 13502: @883411
     /*  883411 */   GIM_Try, /*On fail goto*//*Label 13503*/ GIMT_Encode4(883486), // Rule ID 60988 //
     /*  883416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  883427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  883430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  883436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  883462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  883465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883484 */     GIR_RootConstrainSelectedInstOperands,
     /*  883485 */     // GIR_Coverage, 60988,
     /*  883485 */     GIR_EraseRootFromParent_Done,
     /*  883486 */   // Label 13503: @883486
     /*  883486 */   GIM_Try, /*On fail goto*//*Label 13504*/ GIMT_Encode4(883561), // Rule ID 60989 //
     /*  883491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  883502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  883505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  883508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  883511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  883522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  883530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883537 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  883537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  883540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  883556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883559 */     GIR_RootConstrainSelectedInstOperands,
     /*  883560 */     // GIR_Coverage, 60989,
     /*  883560 */     GIR_EraseRootFromParent_Done,
     /*  883561 */   // Label 13504: @883561
     /*  883561 */   GIM_Try, /*On fail goto*//*Label 13505*/ GIMT_Encode4(883636), // Rule ID 60992 //
     /*  883566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  883577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  883580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  883583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  883586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  883615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883634 */     GIR_RootConstrainSelectedInstOperands,
     /*  883635 */     // GIR_Coverage, 60992,
     /*  883635 */     GIR_EraseRootFromParent_Done,
     /*  883636 */   // Label 13505: @883636
     /*  883636 */   GIM_Try, /*On fail goto*//*Label 13506*/ GIMT_Encode4(883711), // Rule ID 60993 //
     /*  883641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  883652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  883655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  883658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  883661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /*  883690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883709 */     GIR_RootConstrainSelectedInstOperands,
     /*  883710 */     // GIR_Coverage, 60993,
     /*  883710 */     GIR_EraseRootFromParent_Done,
     /*  883711 */   // Label 13506: @883711
     /*  883711 */   GIM_Try, /*On fail goto*//*Label 13507*/ GIMT_Encode4(883786), // Rule ID 60996 //
     /*  883716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  883727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  883730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  883733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  883736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883762 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883784 */     GIR_RootConstrainSelectedInstOperands,
     /*  883785 */     // GIR_Coverage, 60996,
     /*  883785 */     GIR_EraseRootFromParent_Done,
     /*  883786 */   // Label 13507: @883786
     /*  883786 */   GIM_Try, /*On fail goto*//*Label 13508*/ GIMT_Encode4(883861), // Rule ID 60997 //
     /*  883791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  883802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  883805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  883808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  883811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883837 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  883840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883859 */     GIR_RootConstrainSelectedInstOperands,
     /*  883860 */     // GIR_Coverage, 60997,
     /*  883860 */     GIR_EraseRootFromParent_Done,
     /*  883861 */   // Label 13508: @883861
     /*  883861 */   GIM_Try, /*On fail goto*//*Label 13509*/ GIMT_Encode4(883936), // Rule ID 61000 //
     /*  883866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  883869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  883877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  883880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  883883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  883886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  883889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  883912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  883928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  883931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  883934 */     GIR_RootConstrainSelectedInstOperands,
     /*  883935 */     // GIR_Coverage, 61000,
     /*  883935 */     GIR_EraseRootFromParent_Done,
     /*  883936 */   // Label 13509: @883936
     /*  883936 */   GIM_Try, /*On fail goto*//*Label 13510*/ GIMT_Encode4(884011), // Rule ID 61001 //
     /*  883941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  883944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  883949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  883952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  883955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  883958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  883961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  883964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  883972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  883980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  883987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  883987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  883990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  883992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  883994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  883996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  883998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884009 */     GIR_RootConstrainSelectedInstOperands,
     /*  884010 */     // GIR_Coverage, 61001,
     /*  884010 */     GIR_EraseRootFromParent_Done,
     /*  884011 */   // Label 13510: @884011
     /*  884011 */   GIM_Try, /*On fail goto*//*Label 13511*/ GIMT_Encode4(884086), // Rule ID 61004 //
     /*  884016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  884027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  884030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  884033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  884036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  884062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  884065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884084 */     GIR_RootConstrainSelectedInstOperands,
     /*  884085 */     // GIR_Coverage, 61004,
     /*  884085 */     GIR_EraseRootFromParent_Done,
     /*  884086 */   // Label 13511: @884086
     /*  884086 */   GIM_Try, /*On fail goto*//*Label 13512*/ GIMT_Encode4(884161), // Rule ID 61005 //
     /*  884091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  884102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  884105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  884108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  884111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884137 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  884137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  884140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884159 */     GIR_RootConstrainSelectedInstOperands,
     /*  884160 */     // GIR_Coverage, 61005,
     /*  884160 */     GIR_EraseRootFromParent_Done,
     /*  884161 */   // Label 13512: @884161
     /*  884161 */   GIM_Try, /*On fail goto*//*Label 13513*/ GIMT_Encode4(884236), // Rule ID 61008 //
     /*  884166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  884177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  884180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  884183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  884186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  884212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  884215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884234 */     GIR_RootConstrainSelectedInstOperands,
     /*  884235 */     // GIR_Coverage, 61008,
     /*  884235 */     GIR_EraseRootFromParent_Done,
     /*  884236 */   // Label 13513: @884236
     /*  884236 */   GIM_Try, /*On fail goto*//*Label 13514*/ GIMT_Encode4(884311), // Rule ID 61009 //
     /*  884241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  884252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  884255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  884258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  884261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  884287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  884290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  884306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884309 */     GIR_RootConstrainSelectedInstOperands,
     /*  884310 */     // GIR_Coverage, 61009,
     /*  884310 */     GIR_EraseRootFromParent_Done,
     /*  884311 */   // Label 13514: @884311
     /*  884311 */   GIM_Try, /*On fail goto*//*Label 13515*/ GIMT_Encode4(884386), // Rule ID 61012 //
     /*  884316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  884333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  884336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884362 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  884365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884384 */     GIR_RootConstrainSelectedInstOperands,
     /*  884385 */     // GIR_Coverage, 61012,
     /*  884385 */     GIR_EraseRootFromParent_Done,
     /*  884386 */   // Label 13515: @884386
     /*  884386 */   GIM_Try, /*On fail goto*//*Label 13516*/ GIMT_Encode4(884461), // Rule ID 61013 //
     /*  884391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  884402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  884405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  884408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  884411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /*  884440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884459 */     GIR_RootConstrainSelectedInstOperands,
     /*  884460 */     // GIR_Coverage, 61013,
     /*  884460 */     GIR_EraseRootFromParent_Done,
     /*  884461 */   // Label 13516: @884461
     /*  884461 */   GIM_Try, /*On fail goto*//*Label 13517*/ GIMT_Encode4(884536), // Rule ID 61016 //
     /*  884466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  884483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  884486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884512 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  884515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884534 */     GIR_RootConstrainSelectedInstOperands,
     /*  884535 */     // GIR_Coverage, 61016,
     /*  884535 */     GIR_EraseRootFromParent_Done,
     /*  884536 */   // Label 13517: @884536
     /*  884536 */   GIM_Try, /*On fail goto*//*Label 13518*/ GIMT_Encode4(884611), // Rule ID 61017 //
     /*  884541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  884552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  884555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  884558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  884561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884587 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /*  884590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884609 */     GIR_RootConstrainSelectedInstOperands,
     /*  884610 */     // GIR_Coverage, 61017,
     /*  884610 */     GIR_EraseRootFromParent_Done,
     /*  884611 */   // Label 13518: @884611
     /*  884611 */   GIM_Try, /*On fail goto*//*Label 13519*/ GIMT_Encode4(884686), // Rule ID 61020 //
     /*  884616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  884636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884662 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  884665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884684 */     GIR_RootConstrainSelectedInstOperands,
     /*  884685 */     // GIR_Coverage, 61020,
     /*  884685 */     GIR_EraseRootFromParent_Done,
     /*  884686 */   // Label 13519: @884686
     /*  884686 */   GIM_Try, /*On fail goto*//*Label 13520*/ GIMT_Encode4(884761), // Rule ID 61021 //
     /*  884691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  884702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  884705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  884708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  884711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  884730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /*  884740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884759 */     GIR_RootConstrainSelectedInstOperands,
     /*  884760 */     // GIR_Coverage, 61021,
     /*  884760 */     GIR_EraseRootFromParent_Done,
     /*  884761 */   // Label 13520: @884761
     /*  884761 */   GIM_Try, /*On fail goto*//*Label 13521*/ GIMT_Encode4(884836), // Rule ID 61024 //
     /*  884766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  884786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884812 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  884812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  884815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884834 */     GIR_RootConstrainSelectedInstOperands,
     /*  884835 */     // GIR_Coverage, 61024,
     /*  884835 */     GIR_EraseRootFromParent_Done,
     /*  884836 */   // Label 13521: @884836
     /*  884836 */   GIM_Try, /*On fail goto*//*Label 13522*/ GIMT_Encode4(884911), // Rule ID 61025 //
     /*  884841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  884852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  884855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  884858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  884861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  884864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  884872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  884880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  884887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /*  884890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  884906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884909 */     GIR_RootConstrainSelectedInstOperands,
     /*  884910 */     // GIR_Coverage, 61025,
     /*  884910 */     GIR_EraseRootFromParent_Done,
     /*  884911 */   // Label 13522: @884911
     /*  884911 */   GIM_Try, /*On fail goto*//*Label 13523*/ GIMT_Encode4(884986), // Rule ID 61028 //
     /*  884916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  884919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  884927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  884930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  884933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  884936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  884939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  884951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  884955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  884962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  884962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  884965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  884967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  884969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  884971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  884973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  884978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  884981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  884984 */     GIR_RootConstrainSelectedInstOperands,
     /*  884985 */     // GIR_Coverage, 61028,
     /*  884985 */     GIR_EraseRootFromParent_Done,
     /*  884986 */   // Label 13523: @884986
     /*  884986 */   GIM_Try, /*On fail goto*//*Label 13524*/ GIMT_Encode4(885061), // Rule ID 61029 //
     /*  884991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  884994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  884999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  885002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  885005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  885008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885037 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8),
     /*  885040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885059 */     GIR_RootConstrainSelectedInstOperands,
     /*  885060 */     // GIR_Coverage, 61029,
     /*  885060 */     GIR_EraseRootFromParent_Done,
     /*  885061 */   // Label 13524: @885061
     /*  885061 */   GIM_Try, /*On fail goto*//*Label 13525*/ GIMT_Encode4(885136), // Rule ID 61036 //
     /*  885066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  885083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  885115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885134 */     GIR_RootConstrainSelectedInstOperands,
     /*  885135 */     // GIR_Coverage, 61036,
     /*  885135 */     GIR_EraseRootFromParent_Done,
     /*  885136 */   // Label 13525: @885136
     /*  885136 */   GIM_Try, /*On fail goto*//*Label 13526*/ GIMT_Encode4(885211), // Rule ID 61037 //
     /*  885141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  885152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  885155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  885158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  885190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885209 */     GIR_RootConstrainSelectedInstOperands,
     /*  885210 */     // GIR_Coverage, 61037,
     /*  885210 */     GIR_EraseRootFromParent_Done,
     /*  885211 */   // Label 13526: @885211
     /*  885211 */   GIM_Try, /*On fail goto*//*Label 13527*/ GIMT_Encode4(885286), // Rule ID 61044 //
     /*  885216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885262 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  885265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885284 */     GIR_RootConstrainSelectedInstOperands,
     /*  885285 */     // GIR_Coverage, 61044,
     /*  885285 */     GIR_EraseRootFromParent_Done,
     /*  885286 */   // Label 13527: @885286
     /*  885286 */   GIM_Try, /*On fail goto*//*Label 13528*/ GIMT_Encode4(885361), // Rule ID 61045 //
     /*  885291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  885302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  885305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  885308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885337 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11665:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  885340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885359 */     GIR_RootConstrainSelectedInstOperands,
     /*  885360 */     // GIR_Coverage, 61045,
     /*  885360 */     GIR_EraseRootFromParent_Done,
     /*  885361 */   // Label 13528: @885361
     /*  885361 */   GIM_Try, /*On fail goto*//*Label 13529*/ GIMT_Encode4(885436), // Rule ID 61052 //
     /*  885366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  885377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  885380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  885415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885434 */     GIR_RootConstrainSelectedInstOperands,
     /*  885435 */     // GIR_Coverage, 61052,
     /*  885435 */     GIR_EraseRootFromParent_Done,
     /*  885436 */   // Label 13529: @885436
     /*  885436 */   GIM_Try, /*On fail goto*//*Label 13530*/ GIMT_Encode4(885511), // Rule ID 61053 //
     /*  885441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  885452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  885455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  885458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885487 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  885490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885509 */     GIR_RootConstrainSelectedInstOperands,
     /*  885510 */     // GIR_Coverage, 61053,
     /*  885510 */     GIR_EraseRootFromParent_Done,
     /*  885511 */   // Label 13530: @885511
     /*  885511 */   GIM_Try, /*On fail goto*//*Label 13531*/ GIMT_Encode4(885586), // Rule ID 61060 //
     /*  885516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  885527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  885530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  885533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885562 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  885565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885584 */     GIR_RootConstrainSelectedInstOperands,
     /*  885585 */     // GIR_Coverage, 61060,
     /*  885585 */     GIR_EraseRootFromParent_Done,
     /*  885586 */   // Label 13531: @885586
     /*  885586 */   GIM_Try, /*On fail goto*//*Label 13532*/ GIMT_Encode4(885661), // Rule ID 61061 //
     /*  885591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  885602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  885605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  885608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  885626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885637 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  885640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885659 */     GIR_RootConstrainSelectedInstOperands,
     /*  885660 */     // GIR_Coverage, 61061,
     /*  885660 */     GIR_EraseRootFromParent_Done,
     /*  885661 */   // Label 13532: @885661
     /*  885661 */   GIM_Try, /*On fail goto*//*Label 13533*/ GIMT_Encode4(885736), // Rule ID 61068 //
     /*  885666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  885677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  885680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  885683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  885712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885734 */     GIR_RootConstrainSelectedInstOperands,
     /*  885735 */     // GIR_Coverage, 61068,
     /*  885735 */     GIR_EraseRootFromParent_Done,
     /*  885736 */   // Label 13533: @885736
     /*  885736 */   GIM_Try, /*On fail goto*//*Label 13534*/ GIMT_Encode4(885811), // Rule ID 61069 //
     /*  885741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  885752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  885755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  885758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  885772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  885776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885787 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  885787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  885790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  885806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885809 */     GIR_RootConstrainSelectedInstOperands,
     /*  885810 */     // GIR_Coverage, 61069,
     /*  885810 */     GIR_EraseRootFromParent_Done,
     /*  885811 */   // Label 13534: @885811
     /*  885811 */   GIM_Try, /*On fail goto*//*Label 13535*/ GIMT_Encode4(885886), // Rule ID 61076 //
     /*  885816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  885862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  885865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885884 */     GIR_RootConstrainSelectedInstOperands,
     /*  885885 */     // GIR_Coverage, 61076,
     /*  885885 */     GIR_EraseRootFromParent_Done,
     /*  885886 */   // Label 13535: @885886
     /*  885886 */   GIM_Try, /*On fail goto*//*Label 13536*/ GIMT_Encode4(885961), // Rule ID 61077 //
     /*  885891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  885894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  885902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  885905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  885908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  885911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  885914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  885930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  885937 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  885937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4),
     /*  885940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  885942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  885944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  885946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  885948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  885953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  885956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  885959 */     GIR_RootConstrainSelectedInstOperands,
     /*  885960 */     // GIR_Coverage, 61077,
     /*  885960 */     GIR_EraseRootFromParent_Done,
     /*  885961 */   // Label 13536: @885961
     /*  885961 */   GIM_Try, /*On fail goto*//*Label 13537*/ GIMT_Encode4(886036), // Rule ID 61084 //
     /*  885966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  885969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  885974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  885977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  885980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  885983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  885986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  885989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  885997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  886015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886034 */     GIR_RootConstrainSelectedInstOperands,
     /*  886035 */     // GIR_Coverage, 61084,
     /*  886035 */     GIR_EraseRootFromParent_Done,
     /*  886036 */   // Label 13537: @886036
     /*  886036 */   GIM_Try, /*On fail goto*//*Label 13538*/ GIMT_Encode4(886111), // Rule ID 61085 //
     /*  886041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  886052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  886055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  886058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11665:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  886090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886109 */     GIR_RootConstrainSelectedInstOperands,
     /*  886110 */     // GIR_Coverage, 61085,
     /*  886110 */     GIR_EraseRootFromParent_Done,
     /*  886111 */   // Label 13538: @886111
     /*  886111 */   GIM_Try, /*On fail goto*//*Label 13539*/ GIMT_Encode4(886186), // Rule ID 61092 //
     /*  886116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  886127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  886130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  886133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  886165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886184 */     GIR_RootConstrainSelectedInstOperands,
     /*  886185 */     // GIR_Coverage, 61092,
     /*  886185 */     GIR_EraseRootFromParent_Done,
     /*  886186 */   // Label 13539: @886186
     /*  886186 */   GIM_Try, /*On fail goto*//*Label 13540*/ GIMT_Encode4(886261), // Rule ID 61093 //
     /*  886191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  886202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  886205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  886208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886237 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  886240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886259 */     GIR_RootConstrainSelectedInstOperands,
     /*  886260 */     // GIR_Coverage, 61093,
     /*  886260 */     GIR_EraseRootFromParent_Done,
     /*  886261 */   // Label 13540: @886261
     /*  886261 */   GIM_Try, /*On fail goto*//*Label 13541*/ GIMT_Encode4(886336), // Rule ID 61100 //
     /*  886266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  886277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  886280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886312 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  886315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886334 */     GIR_RootConstrainSelectedInstOperands,
     /*  886335 */     // GIR_Coverage, 61100,
     /*  886335 */     GIR_EraseRootFromParent_Done,
     /*  886336 */   // Label 13541: @886336
     /*  886336 */   GIM_Try, /*On fail goto*//*Label 13542*/ GIMT_Encode4(886411), // Rule ID 61101 //
     /*  886341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  886352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  886355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  886358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  886390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886409 */     GIR_RootConstrainSelectedInstOperands,
     /*  886410 */     // GIR_Coverage, 61101,
     /*  886410 */     GIR_EraseRootFromParent_Done,
     /*  886411 */   // Label 13542: @886411
     /*  886411 */   GIM_Try, /*On fail goto*//*Label 13543*/ GIMT_Encode4(886486), // Rule ID 61108 //
     /*  886416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  886427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  886430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  886462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  886465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886484 */     GIR_RootConstrainSelectedInstOperands,
     /*  886485 */     // GIR_Coverage, 61108,
     /*  886485 */     GIR_EraseRootFromParent_Done,
     /*  886486 */   // Label 13543: @886486
     /*  886486 */   GIM_Try, /*On fail goto*//*Label 13544*/ GIMT_Encode4(886561), // Rule ID 61109 //
     /*  886491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  886502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  886505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  886508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  886522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  886537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  886540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  886556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886559 */     GIR_RootConstrainSelectedInstOperands,
     /*  886560 */     // GIR_Coverage, 61109,
     /*  886560 */     GIR_EraseRootFromParent_Done,
     /*  886561 */   // Label 13544: @886561
     /*  886561 */   GIM_Try, /*On fail goto*//*Label 13545*/ GIMT_Encode4(886636), // Rule ID 61116 //
     /*  886566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  886615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886634 */     GIR_RootConstrainSelectedInstOperands,
     /*  886635 */     // GIR_Coverage, 61116,
     /*  886635 */     GIR_EraseRootFromParent_Done,
     /*  886636 */   // Label 13545: @886636
     /*  886636 */   GIM_Try, /*On fail goto*//*Label 13546*/ GIMT_Encode4(886711), // Rule ID 61117 //
     /*  886641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  886652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  886655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  886658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886687 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11665:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2),
     /*  886690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886709 */     GIR_RootConstrainSelectedInstOperands,
     /*  886710 */     // GIR_Coverage, 61117,
     /*  886710 */     GIR_EraseRootFromParent_Done,
     /*  886711 */   // Label 13546: @886711
     /*  886711 */   GIM_Try, /*On fail goto*//*Label 13547*/ GIMT_Encode4(886786), // Rule ID 61124 //
     /*  886716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  886765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886784 */     GIR_RootConstrainSelectedInstOperands,
     /*  886785 */     // GIR_Coverage, 61124,
     /*  886785 */     GIR_EraseRootFromParent_Done,
     /*  886786 */   // Label 13547: @886786
     /*  886786 */   GIM_Try, /*On fail goto*//*Label 13548*/ GIMT_Encode4(886861), // Rule ID 61125 //
     /*  886791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  886802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  886805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  886808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  886826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11665:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1),
     /*  886840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886859 */     GIR_RootConstrainSelectedInstOperands,
     /*  886860 */     // GIR_Coverage, 61125,
     /*  886860 */     GIR_EraseRootFromParent_Done,
     /*  886861 */   // Label 13548: @886861
     /*  886861 */   GIM_Try, /*On fail goto*//*Label 13549*/ GIMT_Encode4(886936), // Rule ID 61132 //
     /*  886866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  886869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  886886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  886889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  886912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  886915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  886928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  886931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  886934 */     GIR_RootConstrainSelectedInstOperands,
     /*  886935 */     // GIR_Coverage, 61132,
     /*  886935 */     GIR_EraseRootFromParent_Done,
     /*  886936 */   // Label 13549: @886936
     /*  886936 */   GIM_Try, /*On fail goto*//*Label 13550*/ GIMT_Encode4(887011), // Rule ID 61133 //
     /*  886941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  886944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  886949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  886952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  886955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  886958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  886961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  886964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  886972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  886976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  886980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  886987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11665:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  886987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2),
     /*  886990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  886992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  886994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  886996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  886998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887009 */     GIR_RootConstrainSelectedInstOperands,
     /*  887010 */     // GIR_Coverage, 61133,
     /*  887010 */     GIR_EraseRootFromParent_Done,
     /*  887011 */   // Label 13550: @887011
     /*  887011 */   GIM_Try, /*On fail goto*//*Label 13551*/ GIMT_Encode4(887086), // Rule ID 61140 //
     /*  887016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /*  887019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  887024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887062 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  887062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  887065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887084 */     GIR_RootConstrainSelectedInstOperands,
     /*  887085 */     // GIR_Coverage, 61140,
     /*  887085 */     GIR_EraseRootFromParent_Done,
     /*  887086 */   // Label 13551: @887086
     /*  887086 */   GIM_Try, /*On fail goto*//*Label 13552*/ GIMT_Encode4(887161), // Rule ID 61141 //
     /*  887091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /*  887094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll),
     /*  887099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  887108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11665:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWSLL_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  887137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4),
     /*  887140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  887156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887159 */     GIR_RootConstrainSelectedInstOperands,
     /*  887160 */     // GIR_Coverage, 61141,
     /*  887160 */     GIR_EraseRootFromParent_Done,
     /*  887161 */   // Label 13552: @887161
     /*  887161 */   GIM_Try, /*On fail goto*//*Label 13553*/ GIMT_Encode4(887236), // Rule ID 61148 //
     /*  887166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  887186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887212 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  887215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887234 */     GIR_RootConstrainSelectedInstOperands,
     /*  887235 */     // GIR_Coverage, 61148,
     /*  887235 */     GIR_EraseRootFromParent_Done,
     /*  887236 */   // Label 13553: @887236
     /*  887236 */   GIM_Try, /*On fail goto*//*Label 13554*/ GIMT_Encode4(887311), // Rule ID 61149 //
     /*  887241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  887261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887287 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1),
     /*  887290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887309 */     GIR_RootConstrainSelectedInstOperands,
     /*  887310 */     // GIR_Coverage, 61149,
     /*  887310 */     GIR_EraseRootFromParent_Done,
     /*  887311 */   // Label 13554: @887311
     /*  887311 */   GIM_Try, /*On fail goto*//*Label 13555*/ GIMT_Encode4(887386), // Rule ID 61152 //
     /*  887316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  887365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887384 */     GIR_RootConstrainSelectedInstOperands,
     /*  887385 */     // GIR_Coverage, 61152,
     /*  887385 */     GIR_EraseRootFromParent_Done,
     /*  887386 */   // Label 13555: @887386
     /*  887386 */   GIM_Try, /*On fail goto*//*Label 13556*/ GIMT_Encode4(887461), // Rule ID 61153 //
     /*  887391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  887411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887437 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2),
     /*  887440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887459 */     GIR_RootConstrainSelectedInstOperands,
     /*  887460 */     // GIR_Coverage, 61153,
     /*  887460 */     GIR_EraseRootFromParent_Done,
     /*  887461 */   // Label 13556: @887461
     /*  887461 */   GIM_Try, /*On fail goto*//*Label 13557*/ GIMT_Encode4(887536), // Rule ID 61156 //
     /*  887466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  887515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887534 */     GIR_RootConstrainSelectedInstOperands,
     /*  887535 */     // GIR_Coverage, 61156,
     /*  887535 */     GIR_EraseRootFromParent_Done,
     /*  887536 */   // Label 13557: @887536
     /*  887536 */   GIM_Try, /*On fail goto*//*Label 13558*/ GIMT_Encode4(887611), // Rule ID 61157 //
     /*  887541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  887552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  887555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  887558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  887561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  887580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887587 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4),
     /*  887590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887609 */     GIR_RootConstrainSelectedInstOperands,
     /*  887610 */     // GIR_Coverage, 61157,
     /*  887610 */     GIR_EraseRootFromParent_Done,
     /*  887611 */   // Label 13558: @887611
     /*  887611 */   GIM_Try, /*On fail goto*//*Label 13559*/ GIMT_Encode4(887686), // Rule ID 61160 //
     /*  887616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  887665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887684 */     GIR_RootConstrainSelectedInstOperands,
     /*  887685 */     // GIR_Coverage, 61160,
     /*  887685 */     GIR_EraseRootFromParent_Done,
     /*  887686 */   // Label 13559: @887686
     /*  887686 */   GIM_Try, /*On fail goto*//*Label 13560*/ GIMT_Encode4(887761), // Rule ID 61161 //
     /*  887691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  887702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  887705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  887708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  887711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  887730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8),
     /*  887740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887759 */     GIR_RootConstrainSelectedInstOperands,
     /*  887760 */     // GIR_Coverage, 61161,
     /*  887760 */     GIR_EraseRootFromParent_Done,
     /*  887761 */   // Label 13560: @887761
     /*  887761 */   GIM_Try, /*On fail goto*//*Label 13561*/ GIMT_Encode4(887836), // Rule ID 61164 //
     /*  887766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887812 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  887815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887834 */     GIR_RootConstrainSelectedInstOperands,
     /*  887835 */     // GIR_Coverage, 61164,
     /*  887835 */     GIR_EraseRootFromParent_Done,
     /*  887836 */   // Label 13561: @887836
     /*  887836 */   GIM_Try, /*On fail goto*//*Label 13562*/ GIMT_Encode4(887911), // Rule ID 61165 //
     /*  887841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  887852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  887855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  887858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  887861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  887864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  887876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11168:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  887887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1),
     /*  887890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887909 */     GIR_RootConstrainSelectedInstOperands,
     /*  887910 */     // GIR_Coverage, 61165,
     /*  887910 */     GIR_EraseRootFromParent_Done,
     /*  887911 */   // Label 13562: @887911
     /*  887911 */   GIM_Try, /*On fail goto*//*Label 13563*/ GIMT_Encode4(887986), // Rule ID 61168 //
     /*  887916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  887919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  887927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  887930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  887933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  887936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  887939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  887951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  887955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  887962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  887962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  887965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  887967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  887969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  887971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  887973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  887978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  887981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  887984 */     GIR_RootConstrainSelectedInstOperands,
     /*  887985 */     // GIR_Coverage, 61168,
     /*  887985 */     GIR_EraseRootFromParent_Done,
     /*  887986 */   // Label 13563: @887986
     /*  887986 */   GIM_Try, /*On fail goto*//*Label 13564*/ GIMT_Encode4(888061), // Rule ID 61169 //
     /*  887991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  887994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  887999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11168:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2),
     /*  888040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888059 */     GIR_RootConstrainSelectedInstOperands,
     /*  888060 */     // GIR_Coverage, 61169,
     /*  888060 */     GIR_EraseRootFromParent_Done,
     /*  888061 */   // Label 13564: @888061
     /*  888061 */   GIM_Try, /*On fail goto*//*Label 13565*/ GIMT_Encode4(888136), // Rule ID 61172 //
     /*  888066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  888074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  888115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888134 */     GIR_RootConstrainSelectedInstOperands,
     /*  888135 */     // GIR_Coverage, 61172,
     /*  888135 */     GIR_EraseRootFromParent_Done,
     /*  888136 */   // Label 13565: @888136
     /*  888136 */   GIM_Try, /*On fail goto*//*Label 13566*/ GIMT_Encode4(888211), // Rule ID 61173 //
     /*  888141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  888149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11168:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4),
     /*  888190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888209 */     GIR_RootConstrainSelectedInstOperands,
     /*  888210 */     // GIR_Coverage, 61173,
     /*  888210 */     GIR_EraseRootFromParent_Done,
     /*  888211 */   // Label 13566: @888211
     /*  888211 */   GIM_Try, /*On fail goto*//*Label 13567*/ GIMT_Encode4(888286), // Rule ID 61176 //
     /*  888216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  888224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  888265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888284 */     GIR_RootConstrainSelectedInstOperands,
     /*  888285 */     // GIR_Coverage, 61176,
     /*  888285 */     GIR_EraseRootFromParent_Done,
     /*  888286 */   // Label 13567: @888286
     /*  888286 */   GIM_Try, /*On fail goto*//*Label 13568*/ GIMT_Encode4(888361), // Rule ID 61177 //
     /*  888291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul),
     /*  888299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  888311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  888330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888337 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11168:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8),
     /*  888340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888359 */     GIR_RootConstrainSelectedInstOperands,
     /*  888360 */     // GIR_Coverage, 61177,
     /*  888360 */     GIR_EraseRootFromParent_Done,
     /*  888361 */   // Label 13568: @888361
     /*  888361 */   GIM_Try, /*On fail goto*//*Label 13569*/ GIMT_Encode4(888436), // Rule ID 61180 //
     /*  888366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  888377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  888380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  888383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  888386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888412 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  888415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888434 */     GIR_RootConstrainSelectedInstOperands,
     /*  888435 */     // GIR_Coverage, 61180,
     /*  888435 */     GIR_EraseRootFromParent_Done,
     /*  888436 */   // Label 13569: @888436
     /*  888436 */   GIM_Try, /*On fail goto*//*Label 13570*/ GIMT_Encode4(888511), // Rule ID 61181 //
     /*  888441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  888452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  888455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  888458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  888461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888487 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1),
     /*  888490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888509 */     GIR_RootConstrainSelectedInstOperands,
     /*  888510 */     // GIR_Coverage, 61181,
     /*  888510 */     GIR_EraseRootFromParent_Done,
     /*  888511 */   // Label 13570: @888511
     /*  888511 */   GIM_Try, /*On fail goto*//*Label 13571*/ GIMT_Encode4(888586), // Rule ID 61184 //
     /*  888516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  888536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888562 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  888565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888584 */     GIR_RootConstrainSelectedInstOperands,
     /*  888585 */     // GIR_Coverage, 61184,
     /*  888585 */     GIR_EraseRootFromParent_Done,
     /*  888586 */   // Label 13571: @888586
     /*  888586 */   GIM_Try, /*On fail goto*//*Label 13572*/ GIMT_Encode4(888661), // Rule ID 61185 //
     /*  888591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  888602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  888605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  888608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  888611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  888630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888637 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2),
     /*  888640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888659 */     GIR_RootConstrainSelectedInstOperands,
     /*  888660 */     // GIR_Coverage, 61185,
     /*  888660 */     GIR_EraseRootFromParent_Done,
     /*  888661 */   // Label 13572: @888661
     /*  888661 */   GIM_Try, /*On fail goto*//*Label 13573*/ GIMT_Encode4(888736), // Rule ID 61188 //
     /*  888666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888712 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  888715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888734 */     GIR_RootConstrainSelectedInstOperands,
     /*  888735 */     // GIR_Coverage, 61188,
     /*  888735 */     GIR_EraseRootFromParent_Done,
     /*  888736 */   // Label 13573: @888736
     /*  888736 */   GIM_Try, /*On fail goto*//*Label 13574*/ GIMT_Encode4(888811), // Rule ID 61189 //
     /*  888741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  888752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  888755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  888758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  888761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  888780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888787 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4),
     /*  888790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888809 */     GIR_RootConstrainSelectedInstOperands,
     /*  888810 */     // GIR_Coverage, 61189,
     /*  888810 */     GIR_EraseRootFromParent_Done,
     /*  888811 */   // Label 13574: @888811
     /*  888811 */   GIM_Try, /*On fail goto*//*Label 13575*/ GIMT_Encode4(888886), // Rule ID 61192 //
     /*  888816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  888862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  888865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888884 */     GIR_RootConstrainSelectedInstOperands,
     /*  888885 */     // GIR_Coverage, 61192,
     /*  888885 */     GIR_EraseRootFromParent_Done,
     /*  888886 */   // Label 13575: @888886
     /*  888886 */   GIM_Try, /*On fail goto*//*Label 13576*/ GIMT_Encode4(888961), // Rule ID 61193 //
     /*  888891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  888894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  888902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  888905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  888908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  888911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  888914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  888930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  888937 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  888937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8),
     /*  888940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  888942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  888944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  888946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  888948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  888953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  888956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  888959 */     GIR_RootConstrainSelectedInstOperands,
     /*  888960 */     // GIR_Coverage, 61193,
     /*  888960 */     GIR_EraseRootFromParent_Done,
     /*  888961 */   // Label 13576: @888961
     /*  888961 */   GIM_Try, /*On fail goto*//*Label 13577*/ GIMT_Encode4(889036), // Rule ID 61196 //
     /*  888966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  888969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  888974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  888977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  888980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  888983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  888986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  888989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  888997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  889015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889034 */     GIR_RootConstrainSelectedInstOperands,
     /*  889035 */     // GIR_Coverage, 61196,
     /*  889035 */     GIR_EraseRootFromParent_Done,
     /*  889036 */   // Label 13577: @889036
     /*  889036 */   GIM_Try, /*On fail goto*//*Label 13578*/ GIMT_Encode4(889111), // Rule ID 61197 //
     /*  889041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  889044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  889049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  889052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  889055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  889058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889087 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11170:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1),
     /*  889090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889109 */     GIR_RootConstrainSelectedInstOperands,
     /*  889110 */     // GIR_Coverage, 61197,
     /*  889110 */     GIR_EraseRootFromParent_Done,
     /*  889111 */   // Label 13578: @889111
     /*  889111 */   GIM_Try, /*On fail goto*//*Label 13579*/ GIMT_Encode4(889186), // Rule ID 61200 //
     /*  889116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  889119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  889124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  889127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  889130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  889133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889162 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  889165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889184 */     GIR_RootConstrainSelectedInstOperands,
     /*  889185 */     // GIR_Coverage, 61200,
     /*  889185 */     GIR_EraseRootFromParent_Done,
     /*  889186 */   // Label 13579: @889186
     /*  889186 */   GIM_Try, /*On fail goto*//*Label 13580*/ GIMT_Encode4(889261), // Rule ID 61201 //
     /*  889191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  889194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  889199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  889202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  889205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  889208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  889226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889237 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11170:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2),
     /*  889240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889259 */     GIR_RootConstrainSelectedInstOperands,
     /*  889260 */     // GIR_Coverage, 61201,
     /*  889260 */     GIR_EraseRootFromParent_Done,
     /*  889261 */   // Label 13580: @889261
     /*  889261 */   GIM_Try, /*On fail goto*//*Label 13581*/ GIMT_Encode4(889336), // Rule ID 61204 //
     /*  889266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  889269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  889274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  889277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  889280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  889283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889312 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  889315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889334 */     GIR_RootConstrainSelectedInstOperands,
     /*  889335 */     // GIR_Coverage, 61204,
     /*  889335 */     GIR_EraseRootFromParent_Done,
     /*  889336 */   // Label 13581: @889336
     /*  889336 */   GIM_Try, /*On fail goto*//*Label 13582*/ GIMT_Encode4(889411), // Rule ID 61205 //
     /*  889341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  889344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  889349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  889352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  889355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  889358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  889376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889387 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11170:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4),
     /*  889390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889409 */     GIR_RootConstrainSelectedInstOperands,
     /*  889410 */     // GIR_Coverage, 61205,
     /*  889410 */     GIR_EraseRootFromParent_Done,
     /*  889411 */   // Label 13582: @889411
     /*  889411 */   GIM_Try, /*On fail goto*//*Label 13583*/ GIMT_Encode4(889486), // Rule ID 61208 //
     /*  889416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /*  889419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  889424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  889427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  889430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  889433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  889436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  889462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  889465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889484 */     GIR_RootConstrainSelectedInstOperands,
     /*  889485 */     // GIR_Coverage, 61208,
     /*  889485 */     GIR_EraseRootFromParent_Done,
     /*  889486 */   // Label 13583: @889486
     /*  889486 */   GIM_Try, /*On fail goto*//*Label 13584*/ GIMT_Encode4(889561), // Rule ID 61209 //
     /*  889491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /*  889494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh),
     /*  889499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  889502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  889505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  889508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  889511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  889526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  889530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889537 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11170:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVCLMULH_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  889537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8),
     /*  889540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  889556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889559 */     GIR_RootConstrainSelectedInstOperands,
     /*  889560 */     // GIR_Coverage, 61209,
     /*  889560 */     GIR_EraseRootFromParent_Done,
     /*  889561 */   // Label 13584: @889561
     /*  889561 */   GIM_Try, /*On fail goto*//*Label 13585*/ GIMT_Encode4(889636), // Rule ID 61212 //
     /*  889566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  889577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  889580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  889583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  889586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889612 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  889615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889634 */     GIR_RootConstrainSelectedInstOperands,
     /*  889635 */     // GIR_Coverage, 61212,
     /*  889635 */     GIR_EraseRootFromParent_Done,
     /*  889636 */   // Label 13585: @889636
     /*  889636 */   GIM_Try, /*On fail goto*//*Label 13586*/ GIMT_Encode4(889711), // Rule ID 61213 //
     /*  889641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  889652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  889655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  889658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  889661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889687 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8),
     /*  889690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889709 */     GIR_RootConstrainSelectedInstOperands,
     /*  889710 */     // GIR_Coverage, 61213,
     /*  889710 */     GIR_EraseRootFromParent_Done,
     /*  889711 */   // Label 13586: @889711
     /*  889711 */   GIM_Try, /*On fail goto*//*Label 13587*/ GIMT_Encode4(889786), // Rule ID 61216 //
     /*  889716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  889727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  889730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  889736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889762 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889784 */     GIR_RootConstrainSelectedInstOperands,
     /*  889785 */     // GIR_Coverage, 61216,
     /*  889785 */     GIR_EraseRootFromParent_Done,
     /*  889786 */   // Label 13587: @889786
     /*  889786 */   GIM_Try, /*On fail goto*//*Label 13588*/ GIMT_Encode4(889861), // Rule ID 61217 //
     /*  889791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  889802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  889805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  889808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  889811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889837 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  889840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889859 */     GIR_RootConstrainSelectedInstOperands,
     /*  889860 */     // GIR_Coverage, 61217,
     /*  889860 */     GIR_EraseRootFromParent_Done,
     /*  889861 */   // Label 13588: @889861
     /*  889861 */   GIM_Try, /*On fail goto*//*Label 13589*/ GIMT_Encode4(889936), // Rule ID 61220 //
     /*  889866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  889869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  889877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  889880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  889886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  889889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889912 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  889912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  889928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  889931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  889934 */     GIR_RootConstrainSelectedInstOperands,
     /*  889935 */     // GIR_Coverage, 61220,
     /*  889935 */     GIR_EraseRootFromParent_Done,
     /*  889936 */   // Label 13589: @889936
     /*  889936 */   GIM_Try, /*On fail goto*//*Label 13590*/ GIMT_Encode4(890011), // Rule ID 61221 //
     /*  889941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  889944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  889949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  889952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  889955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  889958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  889961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  889964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  889980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  889987 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  889987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  889990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  889992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  889994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  889996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  889998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890009 */     GIR_RootConstrainSelectedInstOperands,
     /*  890010 */     // GIR_Coverage, 61221,
     /*  890010 */     GIR_EraseRootFromParent_Done,
     /*  890011 */   // Label 13590: @890011
     /*  890011 */   GIM_Try, /*On fail goto*//*Label 13591*/ GIMT_Encode4(890086), // Rule ID 61224 //
     /*  890016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  890027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  890030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  890033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  890036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890062 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  890065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890084 */     GIR_RootConstrainSelectedInstOperands,
     /*  890085 */     // GIR_Coverage, 61224,
     /*  890085 */     GIR_EraseRootFromParent_Done,
     /*  890086 */   // Label 13591: @890086
     /*  890086 */   GIM_Try, /*On fail goto*//*Label 13592*/ GIMT_Encode4(890161), // Rule ID 61225 //
     /*  890091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  890102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  890105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  890108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  890111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890137 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4),
     /*  890140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890159 */     GIR_RootConstrainSelectedInstOperands,
     /*  890160 */     // GIR_Coverage, 61225,
     /*  890160 */     GIR_EraseRootFromParent_Done,
     /*  890161 */   // Label 13592: @890161
     /*  890161 */   GIM_Try, /*On fail goto*//*Label 13593*/ GIMT_Encode4(890236), // Rule ID 61228 //
     /*  890166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  890177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  890180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  890183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  890186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  890215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890234 */     GIR_RootConstrainSelectedInstOperands,
     /*  890235 */     // GIR_Coverage, 61228,
     /*  890235 */     GIR_EraseRootFromParent_Done,
     /*  890236 */   // Label 13593: @890236
     /*  890236 */   GIM_Try, /*On fail goto*//*Label 13594*/ GIMT_Encode4(890311), // Rule ID 61229 //
     /*  890241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  890252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  890255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  890258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  890261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890287 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  890290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890309 */     GIR_RootConstrainSelectedInstOperands,
     /*  890310 */     // GIR_Coverage, 61229,
     /*  890310 */     GIR_EraseRootFromParent_Done,
     /*  890311 */   // Label 13594: @890311
     /*  890311 */   GIM_Try, /*On fail goto*//*Label 13595*/ GIMT_Encode4(890386), // Rule ID 61232 //
     /*  890316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  890327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  890330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  890333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  890336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  890365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890384 */     GIR_RootConstrainSelectedInstOperands,
     /*  890385 */     // GIR_Coverage, 61232,
     /*  890385 */     GIR_EraseRootFromParent_Done,
     /*  890386 */   // Label 13595: @890386
     /*  890386 */   GIM_Try, /*On fail goto*//*Label 13596*/ GIMT_Encode4(890461), // Rule ID 61233 //
     /*  890391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  890402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  890405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  890408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  890411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890437 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2),
     /*  890440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890459 */     GIR_RootConstrainSelectedInstOperands,
     /*  890460 */     // GIR_Coverage, 61233,
     /*  890460 */     GIR_EraseRootFromParent_Done,
     /*  890461 */   // Label 13596: @890461
     /*  890461 */   GIM_Try, /*On fail goto*//*Label 13597*/ GIMT_Encode4(890536), // Rule ID 61236 //
     /*  890466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  890477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  890480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  890483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  890486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890512 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  890512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890534 */     GIR_RootConstrainSelectedInstOperands,
     /*  890535 */     // GIR_Coverage, 61236,
     /*  890535 */     GIR_EraseRootFromParent_Done,
     /*  890536 */   // Label 13597: @890536
     /*  890536 */   GIM_Try, /*On fail goto*//*Label 13598*/ GIMT_Encode4(890611), // Rule ID 61237 //
     /*  890541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  890552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  890555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  890558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  890561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890587 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  890587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  890606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890609 */     GIR_RootConstrainSelectedInstOperands,
     /*  890610 */     // GIR_Coverage, 61237,
     /*  890610 */     GIR_EraseRootFromParent_Done,
     /*  890611 */   // Label 13598: @890611
     /*  890611 */   GIM_Try, /*On fail goto*//*Label 13599*/ GIMT_Encode4(890686), // Rule ID 61240 //
     /*  890616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  890627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  890630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  890636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  890662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890684 */     GIR_RootConstrainSelectedInstOperands,
     /*  890685 */     // GIR_Coverage, 61240,
     /*  890685 */     GIR_EraseRootFromParent_Done,
     /*  890686 */   // Label 13599: @890686
     /*  890686 */   GIM_Try, /*On fail goto*//*Label 13600*/ GIMT_Encode4(890761), // Rule ID 61241 //
     /*  890691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  890702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  890705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  890708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  890711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890737 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  890737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  890756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890759 */     GIR_RootConstrainSelectedInstOperands,
     /*  890760 */     // GIR_Coverage, 61241,
     /*  890760 */     GIR_EraseRootFromParent_Done,
     /*  890761 */   // Label 13600: @890761
     /*  890761 */   GIM_Try, /*On fail goto*//*Label 13601*/ GIMT_Encode4(890836), // Rule ID 61244 //
     /*  890766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  890777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  890780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  890783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  890786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  890812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890834 */     GIR_RootConstrainSelectedInstOperands,
     /*  890835 */     // GIR_Coverage, 61244,
     /*  890835 */     GIR_EraseRootFromParent_Done,
     /*  890836 */   // Label 13601: @890836
     /*  890836 */   GIM_Try, /*On fail goto*//*Label 13602*/ GIMT_Encode4(890911), // Rule ID 61245 //
     /*  890841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  890852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  890855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  890858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  890861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  890864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890887 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  890887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  890906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890909 */     GIR_RootConstrainSelectedInstOperands,
     /*  890910 */     // GIR_Coverage, 61245,
     /*  890910 */     GIR_EraseRootFromParent_Done,
     /*  890911 */   // Label 13602: @890911
     /*  890911 */   GIM_Try, /*On fail goto*//*Label 13603*/ GIMT_Encode4(890986), // Rule ID 61248 //
     /*  890916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  890919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  890927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  890930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  890933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  890936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  890939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  890955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  890962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  890962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  890965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  890967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  890969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  890971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  890973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  890978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  890981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  890984 */     GIR_RootConstrainSelectedInstOperands,
     /*  890985 */     // GIR_Coverage, 61248,
     /*  890985 */     GIR_EraseRootFromParent_Done,
     /*  890986 */   // Label 13603: @890986
     /*  890986 */   GIM_Try, /*On fail goto*//*Label 13604*/ GIMT_Encode4(891061), // Rule ID 61249 //
     /*  890991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  890994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  890999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  891002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  891005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  891008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  891011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  891030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891037 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  891037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1),
     /*  891040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  891056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891059 */     GIR_RootConstrainSelectedInstOperands,
     /*  891060 */     // GIR_Coverage, 61249,
     /*  891060 */     GIR_EraseRootFromParent_Done,
     /*  891061 */   // Label 13604: @891061
     /*  891061 */   GIM_Try, /*On fail goto*//*Label 13605*/ GIMT_Encode4(891136), // Rule ID 61252 //
     /*  891066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  891077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  891080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  891083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  891086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891112 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891134 */     GIR_RootConstrainSelectedInstOperands,
     /*  891135 */     // GIR_Coverage, 61252,
     /*  891135 */     GIR_EraseRootFromParent_Done,
     /*  891136 */   // Label 13605: @891136
     /*  891136 */   GIM_Try, /*On fail goto*//*Label 13606*/ GIMT_Encode4(891211), // Rule ID 61253 //
     /*  891141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  891152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  891155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  891158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  891161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891187 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891209 */     GIR_RootConstrainSelectedInstOperands,
     /*  891210 */     // GIR_Coverage, 61253,
     /*  891210 */     GIR_EraseRootFromParent_Done,
     /*  891211 */   // Label 13606: @891211
     /*  891211 */   GIM_Try, /*On fail goto*//*Label 13607*/ GIMT_Encode4(891286), // Rule ID 61256 //
     /*  891216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  891227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  891230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  891233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  891236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891262 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891284 */     GIR_RootConstrainSelectedInstOperands,
     /*  891285 */     // GIR_Coverage, 61256,
     /*  891285 */     GIR_EraseRootFromParent_Done,
     /*  891286 */   // Label 13607: @891286
     /*  891286 */   GIM_Try, /*On fail goto*//*Label 13608*/ GIMT_Encode4(891361), // Rule ID 61257 //
     /*  891291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  891302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  891305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  891308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  891311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891337 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891359 */     GIR_RootConstrainSelectedInstOperands,
     /*  891360 */     // GIR_Coverage, 61257,
     /*  891360 */     GIR_EraseRootFromParent_Done,
     /*  891361 */   // Label 13608: @891361
     /*  891361 */   GIM_Try, /*On fail goto*//*Label 13609*/ GIMT_Encode4(891436), // Rule ID 61260 //
     /*  891366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  891377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  891380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  891383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  891386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891412 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  891412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891434 */     GIR_RootConstrainSelectedInstOperands,
     /*  891435 */     // GIR_Coverage, 61260,
     /*  891435 */     GIR_EraseRootFromParent_Done,
     /*  891436 */   // Label 13609: @891436
     /*  891436 */   GIM_Try, /*On fail goto*//*Label 13610*/ GIMT_Encode4(891511), // Rule ID 61261 //
     /*  891441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  891452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  891455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  891458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  891461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891487 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  891487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  891506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891509 */     GIR_RootConstrainSelectedInstOperands,
     /*  891510 */     // GIR_Coverage, 61261,
     /*  891510 */     GIR_EraseRootFromParent_Done,
     /*  891511 */   // Label 13610: @891511
     /*  891511 */   GIM_Try, /*On fail goto*//*Label 13611*/ GIMT_Encode4(891586), // Rule ID 61264 //
     /*  891516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  891527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  891530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  891533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  891536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891584 */     GIR_RootConstrainSelectedInstOperands,
     /*  891585 */     // GIR_Coverage, 61264,
     /*  891585 */     GIR_EraseRootFromParent_Done,
     /*  891586 */   // Label 13611: @891586
     /*  891586 */   GIM_Try, /*On fail goto*//*Label 13612*/ GIMT_Encode4(891661), // Rule ID 61265 //
     /*  891591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  891602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  891605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  891608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  891611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891637 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  891640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891659 */     GIR_RootConstrainSelectedInstOperands,
     /*  891660 */     // GIR_Coverage, 61265,
     /*  891660 */     GIR_EraseRootFromParent_Done,
     /*  891661 */   // Label 13612: @891661
     /*  891661 */   GIM_Try, /*On fail goto*//*Label 13613*/ GIMT_Encode4(891736), // Rule ID 61268 //
     /*  891666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  891677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  891680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  891683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  891686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891734 */     GIR_RootConstrainSelectedInstOperands,
     /*  891735 */     // GIR_Coverage, 61268,
     /*  891735 */     GIR_EraseRootFromParent_Done,
     /*  891736 */   // Label 13613: @891736
     /*  891736 */   GIM_Try, /*On fail goto*//*Label 13614*/ GIMT_Encode4(891811), // Rule ID 61269 //
     /*  891741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  891752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  891755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  891758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  891761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  891780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  891790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891809 */     GIR_RootConstrainSelectedInstOperands,
     /*  891810 */     // GIR_Coverage, 61269,
     /*  891810 */     GIR_EraseRootFromParent_Done,
     /*  891811 */   // Label 13614: @891811
     /*  891811 */   GIM_Try, /*On fail goto*//*Label 13615*/ GIMT_Encode4(891886), // Rule ID 61272 //
     /*  891816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  891827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  891830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  891833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  891836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891862 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  891862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891884 */     GIR_RootConstrainSelectedInstOperands,
     /*  891885 */     // GIR_Coverage, 61272,
     /*  891885 */     GIR_EraseRootFromParent_Done,
     /*  891886 */   // Label 13615: @891886
     /*  891886 */   GIM_Try, /*On fail goto*//*Label 13616*/ GIMT_Encode4(891961), // Rule ID 61273 //
     /*  891891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  891894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  891902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  891905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  891908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  891911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  891914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  891930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  891937 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  891937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  891940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  891942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  891944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  891946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  891948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  891953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  891956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  891959 */     GIR_RootConstrainSelectedInstOperands,
     /*  891960 */     // GIR_Coverage, 61273,
     /*  891960 */     GIR_EraseRootFromParent_Done,
     /*  891961 */   // Label 13616: @891961
     /*  891961 */   GIM_Try, /*On fail goto*//*Label 13617*/ GIMT_Encode4(892036), // Rule ID 61276 //
     /*  891966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  891969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  891974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  891977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  891980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  891983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  891986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  891989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  891997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  892015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892034 */     GIR_RootConstrainSelectedInstOperands,
     /*  892035 */     // GIR_Coverage, 61276,
     /*  892035 */     GIR_EraseRootFromParent_Done,
     /*  892036 */   // Label 13617: @892036
     /*  892036 */   GIM_Try, /*On fail goto*//*Label 13618*/ GIMT_Encode4(892111), // Rule ID 61277 //
     /*  892041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  892052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  892055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  892058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  892061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892087 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  892090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892109 */     GIR_RootConstrainSelectedInstOperands,
     /*  892110 */     // GIR_Coverage, 61277,
     /*  892110 */     GIR_EraseRootFromParent_Done,
     /*  892111 */   // Label 13618: @892111
     /*  892111 */   GIM_Try, /*On fail goto*//*Label 13619*/ GIMT_Encode4(892186), // Rule ID 61280 //
     /*  892116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  892127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  892130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  892133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  892136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  892165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892184 */     GIR_RootConstrainSelectedInstOperands,
     /*  892185 */     // GIR_Coverage, 61280,
     /*  892185 */     GIR_EraseRootFromParent_Done,
     /*  892186 */   // Label 13619: @892186
     /*  892186 */   GIM_Try, /*On fail goto*//*Label 13620*/ GIMT_Encode4(892261), // Rule ID 61281 //
     /*  892191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  892202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  892205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  892208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  892211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892237 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  892240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892259 */     GIR_RootConstrainSelectedInstOperands,
     /*  892260 */     // GIR_Coverage, 61281,
     /*  892260 */     GIR_EraseRootFromParent_Done,
     /*  892261 */   // Label 13620: @892261
     /*  892261 */   GIM_Try, /*On fail goto*//*Label 13621*/ GIMT_Encode4(892336), // Rule ID 61284 //
     /*  892266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  892277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  892280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  892283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  892286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892312 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  892312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  892315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892334 */     GIR_RootConstrainSelectedInstOperands,
     /*  892335 */     // GIR_Coverage, 61284,
     /*  892335 */     GIR_EraseRootFromParent_Done,
     /*  892336 */   // Label 13621: @892336
     /*  892336 */   GIM_Try, /*On fail goto*//*Label 13622*/ GIMT_Encode4(892411), // Rule ID 61285 //
     /*  892341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  892352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  892355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  892358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  892361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892387 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  892387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  892390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  892406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892409 */     GIR_RootConstrainSelectedInstOperands,
     /*  892410 */     // GIR_Coverage, 61285,
     /*  892410 */     GIR_EraseRootFromParent_Done,
     /*  892411 */   // Label 13622: @892411
     /*  892411 */   GIM_Try, /*On fail goto*//*Label 13623*/ GIMT_Encode4(892486), // Rule ID 61288 //
     /*  892416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  892427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  892430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  892433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  892436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  892465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892484 */     GIR_RootConstrainSelectedInstOperands,
     /*  892485 */     // GIR_Coverage, 61288,
     /*  892485 */     GIR_EraseRootFromParent_Done,
     /*  892486 */   // Label 13623: @892486
     /*  892486 */   GIM_Try, /*On fail goto*//*Label 13624*/ GIMT_Encode4(892561), // Rule ID 61289 //
     /*  892491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  892502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  892505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  892508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  892511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  892530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892537 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2),
     /*  892540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892559 */     GIR_RootConstrainSelectedInstOperands,
     /*  892560 */     // GIR_Coverage, 61289,
     /*  892560 */     GIR_EraseRootFromParent_Done,
     /*  892561 */   // Label 13624: @892561
     /*  892561 */   GIM_Try, /*On fail goto*//*Label 13625*/ GIMT_Encode4(892636), // Rule ID 61292 //
     /*  892566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  892577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  892580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  892583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  892586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  892615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892634 */     GIR_RootConstrainSelectedInstOperands,
     /*  892635 */     // GIR_Coverage, 61292,
     /*  892635 */     GIR_EraseRootFromParent_Done,
     /*  892636 */   // Label 13625: @892636
     /*  892636 */   GIM_Try, /*On fail goto*//*Label 13626*/ GIMT_Encode4(892711), // Rule ID 61293 //
     /*  892641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  892652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  892655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  892658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  892661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  892680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4),
     /*  892690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892709 */     GIR_RootConstrainSelectedInstOperands,
     /*  892710 */     // GIR_Coverage, 61293,
     /*  892710 */     GIR_EraseRootFromParent_Done,
     /*  892711 */   // Label 13626: @892711
     /*  892711 */   GIM_Try, /*On fail goto*//*Label 13627*/ GIMT_Encode4(892786), // Rule ID 61296 //
     /*  892716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  892727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  892730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  892733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  892736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  892762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  892765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892784 */     GIR_RootConstrainSelectedInstOperands,
     /*  892785 */     // GIR_Coverage, 61296,
     /*  892785 */     GIR_EraseRootFromParent_Done,
     /*  892786 */   // Label 13627: @892786
     /*  892786 */   GIM_Try, /*On fail goto*//*Label 13628*/ GIMT_Encode4(892861), // Rule ID 61297 //
     /*  892791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  892802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  892805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  892808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  892811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  892830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892837 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  892837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8),
     /*  892840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  892856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892859 */     GIR_RootConstrainSelectedInstOperands,
     /*  892860 */     // GIR_Coverage, 61297,
     /*  892860 */     GIR_EraseRootFromParent_Done,
     /*  892861 */   // Label 13628: @892861
     /*  892861 */   GIM_Try, /*On fail goto*//*Label 13629*/ GIMT_Encode4(892936), // Rule ID 61300 //
     /*  892866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  892869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  892877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  892880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  892883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  892886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  892889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892912 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  892912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  892915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  892928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  892931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  892934 */     GIR_RootConstrainSelectedInstOperands,
     /*  892935 */     // GIR_Coverage, 61300,
     /*  892935 */     GIR_EraseRootFromParent_Done,
     /*  892936 */   // Label 13629: @892936
     /*  892936 */   GIM_Try, /*On fail goto*//*Label 13630*/ GIMT_Encode4(893011), // Rule ID 61301 //
     /*  892941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  892944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  892949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  892952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  892955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  892958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  892961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  892964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  892976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  892980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  892987 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  892987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8),
     /*  892990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  892992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  892994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  892996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  892998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893009 */     GIR_RootConstrainSelectedInstOperands,
     /*  893010 */     // GIR_Coverage, 61301,
     /*  893010 */     GIR_EraseRootFromParent_Done,
     /*  893011 */   // Label 13630: @893011
     /*  893011 */   GIM_Try, /*On fail goto*//*Label 13631*/ GIMT_Encode4(893086), // Rule ID 61304 //
     /*  893016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  893027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  893030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  893033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893062 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  893065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893084 */     GIR_RootConstrainSelectedInstOperands,
     /*  893085 */     // GIR_Coverage, 61304,
     /*  893085 */     GIR_EraseRootFromParent_Done,
     /*  893086 */   // Label 13631: @893086
     /*  893086 */   GIM_Try, /*On fail goto*//*Label 13632*/ GIMT_Encode4(893161), // Rule ID 61305 //
     /*  893091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  893102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  893105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  893108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893137 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  893140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893159 */     GIR_RootConstrainSelectedInstOperands,
     /*  893160 */     // GIR_Coverage, 61305,
     /*  893160 */     GIR_EraseRootFromParent_Done,
     /*  893161 */   // Label 13632: @893161
     /*  893161 */   GIM_Try, /*On fail goto*//*Label 13633*/ GIMT_Encode4(893236), // Rule ID 61308 //
     /*  893166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  893177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  893180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  893183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893212 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893234 */     GIR_RootConstrainSelectedInstOperands,
     /*  893235 */     // GIR_Coverage, 61308,
     /*  893235 */     GIR_EraseRootFromParent_Done,
     /*  893236 */   // Label 13633: @893236
     /*  893236 */   GIM_Try, /*On fail goto*//*Label 13634*/ GIMT_Encode4(893311), // Rule ID 61309 //
     /*  893241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  893252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  893255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  893258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893287 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893309 */     GIR_RootConstrainSelectedInstOperands,
     /*  893310 */     // GIR_Coverage, 61309,
     /*  893310 */     GIR_EraseRootFromParent_Done,
     /*  893311 */   // Label 13634: @893311
     /*  893311 */   GIM_Try, /*On fail goto*//*Label 13635*/ GIMT_Encode4(893386), // Rule ID 61312 //
     /*  893316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  893327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  893330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  893333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893362 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  893365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893384 */     GIR_RootConstrainSelectedInstOperands,
     /*  893385 */     // GIR_Coverage, 61312,
     /*  893385 */     GIR_EraseRootFromParent_Done,
     /*  893386 */   // Label 13635: @893386
     /*  893386 */   GIM_Try, /*On fail goto*//*Label 13636*/ GIMT_Encode4(893461), // Rule ID 61313 //
     /*  893391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  893402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  893405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  893408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893437 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4),
     /*  893440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893459 */     GIR_RootConstrainSelectedInstOperands,
     /*  893460 */     // GIR_Coverage, 61313,
     /*  893460 */     GIR_EraseRootFromParent_Done,
     /*  893461 */   // Label 13636: @893461
     /*  893461 */   GIM_Try, /*On fail goto*//*Label 13637*/ GIMT_Encode4(893536), // Rule ID 61316 //
     /*  893466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  893477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  893480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  893483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893534 */     GIR_RootConstrainSelectedInstOperands,
     /*  893535 */     // GIR_Coverage, 61316,
     /*  893535 */     GIR_EraseRootFromParent_Done,
     /*  893536 */   // Label 13637: @893536
     /*  893536 */   GIM_Try, /*On fail goto*//*Label 13638*/ GIMT_Encode4(893611), // Rule ID 61317 //
     /*  893541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  893552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  893555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  893558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893587 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  893587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893609 */     GIR_RootConstrainSelectedInstOperands,
     /*  893610 */     // GIR_Coverage, 61317,
     /*  893610 */     GIR_EraseRootFromParent_Done,
     /*  893611 */   // Label 13638: @893611
     /*  893611 */   GIM_Try, /*On fail goto*//*Label 13639*/ GIMT_Encode4(893686), // Rule ID 61320 //
     /*  893616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  893627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  893630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  893633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893662 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  893662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893684 */     GIR_RootConstrainSelectedInstOperands,
     /*  893685 */     // GIR_Coverage, 61320,
     /*  893685 */     GIR_EraseRootFromParent_Done,
     /*  893686 */   // Label 13639: @893686
     /*  893686 */   GIM_Try, /*On fail goto*//*Label 13640*/ GIMT_Encode4(893761), // Rule ID 61321 //
     /*  893691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  893702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  893705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  893708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893737 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  893737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2),
     /*  893740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  893756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893759 */     GIR_RootConstrainSelectedInstOperands,
     /*  893760 */     // GIR_Coverage, 61321,
     /*  893760 */     GIR_EraseRootFromParent_Done,
     /*  893761 */   // Label 13640: @893761
     /*  893761 */   GIM_Try, /*On fail goto*//*Label 13641*/ GIMT_Encode4(893836), // Rule ID 61324 //
     /*  893766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  893777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  893780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  893783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893812 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  893812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893834 */     GIR_RootConstrainSelectedInstOperands,
     /*  893835 */     // GIR_Coverage, 61324,
     /*  893835 */     GIR_EraseRootFromParent_Done,
     /*  893836 */   // Label 13641: @893836
     /*  893836 */   GIM_Try, /*On fail goto*//*Label 13642*/ GIMT_Encode4(893911), // Rule ID 61325 //
     /*  893841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  893852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  893855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  893858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  893861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  893864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893887 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11158:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  893887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  893906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893909 */     GIR_RootConstrainSelectedInstOperands,
     /*  893910 */     // GIR_Coverage, 61325,
     /*  893910 */     GIR_EraseRootFromParent_Done,
     /*  893911 */   // Label 13642: @893911
     /*  893911 */   GIM_Try, /*On fail goto*//*Label 13643*/ GIMT_Encode4(893986), // Rule ID 61328 //
     /*  893916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  893919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  893927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  893930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  893933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  893936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  893939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  893951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  893955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  893962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  893962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  893965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  893967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  893969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  893971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  893973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  893978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  893981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  893984 */     GIR_RootConstrainSelectedInstOperands,
     /*  893985 */     // GIR_Coverage, 61328,
     /*  893985 */     GIR_EraseRootFromParent_Done,
     /*  893986 */   // Label 13643: @893986
     /*  893986 */   GIM_Try, /*On fail goto*//*Label 13644*/ GIMT_Encode4(894061), // Rule ID 61329 //
     /*  893991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  893994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  893999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  894002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  894005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  894008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894037 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11158:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  894040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894059 */     GIR_RootConstrainSelectedInstOperands,
     /*  894060 */     // GIR_Coverage, 61329,
     /*  894060 */     GIR_EraseRootFromParent_Done,
     /*  894061 */   // Label 13644: @894061
     /*  894061 */   GIM_Try, /*On fail goto*//*Label 13645*/ GIMT_Encode4(894136), // Rule ID 61332 //
     /*  894066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  894077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  894080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  894083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  894112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  894115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894134 */     GIR_RootConstrainSelectedInstOperands,
     /*  894135 */     // GIR_Coverage, 61332,
     /*  894135 */     GIR_EraseRootFromParent_Done,
     /*  894136 */   // Label 13645: @894136
     /*  894136 */   GIM_Try, /*On fail goto*//*Label 13646*/ GIMT_Encode4(894211), // Rule ID 61333 //
     /*  894141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  894152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  894155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  894158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894187 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11158:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  894187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  894190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  894206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894209 */     GIR_RootConstrainSelectedInstOperands,
     /*  894210 */     // GIR_Coverage, 61333,
     /*  894210 */     GIR_EraseRootFromParent_Done,
     /*  894211 */   // Label 13646: @894211
     /*  894211 */   GIM_Try, /*On fail goto*//*Label 13647*/ GIMT_Encode4(894286), // Rule ID 61336 //
     /*  894216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  894227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  894230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  894233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  894262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  894265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894284 */     GIR_RootConstrainSelectedInstOperands,
     /*  894285 */     // GIR_Coverage, 61336,
     /*  894285 */     GIR_EraseRootFromParent_Done,
     /*  894286 */   // Label 13647: @894286
     /*  894286 */   GIM_Try, /*On fail goto*//*Label 13648*/ GIMT_Encode4(894361), // Rule ID 61337 //
     /*  894291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  894302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  894305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  894308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  894326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894337 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11158:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  894337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1),
     /*  894340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  894356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894359 */     GIR_RootConstrainSelectedInstOperands,
     /*  894360 */     // GIR_Coverage, 61337,
     /*  894360 */     GIR_EraseRootFromParent_Done,
     /*  894361 */   // Label 13648: @894361
     /*  894361 */   GIM_Try, /*On fail goto*//*Label 13649*/ GIMT_Encode4(894436), // Rule ID 61340 //
     /*  894366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  894377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  894380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  894383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894412 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894434 */     GIR_RootConstrainSelectedInstOperands,
     /*  894435 */     // GIR_Coverage, 61340,
     /*  894435 */     GIR_EraseRootFromParent_Done,
     /*  894436 */   // Label 13649: @894436
     /*  894436 */   GIM_Try, /*On fail goto*//*Label 13650*/ GIMT_Encode4(894511), // Rule ID 61341 //
     /*  894441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  894452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  894455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  894458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894487 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894509 */     GIR_RootConstrainSelectedInstOperands,
     /*  894510 */     // GIR_Coverage, 61341,
     /*  894510 */     GIR_EraseRootFromParent_Done,
     /*  894511 */   // Label 13650: @894511
     /*  894511 */   GIM_Try, /*On fail goto*//*Label 13651*/ GIMT_Encode4(894586), // Rule ID 61344 //
     /*  894516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  894527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  894530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  894533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894562 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894584 */     GIR_RootConstrainSelectedInstOperands,
     /*  894585 */     // GIR_Coverage, 61344,
     /*  894585 */     GIR_EraseRootFromParent_Done,
     /*  894586 */   // Label 13651: @894586
     /*  894586 */   GIM_Try, /*On fail goto*//*Label 13652*/ GIMT_Encode4(894661), // Rule ID 61345 //
     /*  894591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  894602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  894605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  894608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894637 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  894640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894659 */     GIR_RootConstrainSelectedInstOperands,
     /*  894660 */     // GIR_Coverage, 61345,
     /*  894660 */     GIR_EraseRootFromParent_Done,
     /*  894661 */   // Label 13652: @894661
     /*  894661 */   GIM_Try, /*On fail goto*//*Label 13653*/ GIMT_Encode4(894736), // Rule ID 61348 //
     /*  894666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  894677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  894680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  894683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894712 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  894712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894734 */     GIR_RootConstrainSelectedInstOperands,
     /*  894735 */     // GIR_Coverage, 61348,
     /*  894735 */     GIR_EraseRootFromParent_Done,
     /*  894736 */   // Label 13653: @894736
     /*  894736 */   GIM_Try, /*On fail goto*//*Label 13654*/ GIMT_Encode4(894811), // Rule ID 61349 //
     /*  894741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  894752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  894755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  894758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  894776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894787 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  894787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  894790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  894806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894809 */     GIR_RootConstrainSelectedInstOperands,
     /*  894810 */     // GIR_Coverage, 61349,
     /*  894810 */     GIR_EraseRootFromParent_Done,
     /*  894811 */   // Label 13654: @894811
     /*  894811 */   GIM_Try, /*On fail goto*//*Label 13655*/ GIMT_Encode4(894886), // Rule ID 61352 //
     /*  894816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  894827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  894830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  894833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  894862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894884 */     GIR_RootConstrainSelectedInstOperands,
     /*  894885 */     // GIR_Coverage, 61352,
     /*  894885 */     GIR_EraseRootFromParent_Done,
     /*  894886 */   // Label 13655: @894886
     /*  894886 */   GIM_Try, /*On fail goto*//*Label 13656*/ GIMT_Encode4(894961), // Rule ID 61353 //
     /*  894891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  894894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  894902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  894905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  894908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  894911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  894914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  894926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  894930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  894937 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  894937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  894940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  894942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  894944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  894946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  894948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  894953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  894956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  894959 */     GIR_RootConstrainSelectedInstOperands,
     /*  894960 */     // GIR_Coverage, 61353,
     /*  894960 */     GIR_EraseRootFromParent_Done,
     /*  894961 */   // Label 13656: @894961
     /*  894961 */   GIM_Try, /*On fail goto*//*Label 13657*/ GIMT_Encode4(895036), // Rule ID 61356 //
     /*  894966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  894969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  894974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  894977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  894980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  894983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  894986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  894989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  894997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895012 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895034 */     GIR_RootConstrainSelectedInstOperands,
     /*  895035 */     // GIR_Coverage, 61356,
     /*  895035 */     GIR_EraseRootFromParent_Done,
     /*  895036 */   // Label 13657: @895036
     /*  895036 */   GIM_Try, /*On fail goto*//*Label 13658*/ GIMT_Encode4(895111), // Rule ID 61357 //
     /*  895041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  895052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  895055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  895058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895087 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895109 */     GIR_RootConstrainSelectedInstOperands,
     /*  895110 */     // GIR_Coverage, 61357,
     /*  895110 */     GIR_EraseRootFromParent_Done,
     /*  895111 */   // Label 13658: @895111
     /*  895111 */   GIM_Try, /*On fail goto*//*Label 13659*/ GIMT_Encode4(895186), // Rule ID 61360 //
     /*  895116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  895127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  895130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  895133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  895162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895184 */     GIR_RootConstrainSelectedInstOperands,
     /*  895185 */     // GIR_Coverage, 61360,
     /*  895185 */     GIR_EraseRootFromParent_Done,
     /*  895186 */   // Label 13659: @895186
     /*  895186 */   GIM_Try, /*On fail goto*//*Label 13660*/ GIMT_Encode4(895261), // Rule ID 61361 //
     /*  895191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  895202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  895205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  895208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895237 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  895237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  895256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895259 */     GIR_RootConstrainSelectedInstOperands,
     /*  895260 */     // GIR_Coverage, 61361,
     /*  895260 */     GIR_EraseRootFromParent_Done,
     /*  895261 */   // Label 13660: @895261
     /*  895261 */   GIM_Try, /*On fail goto*//*Label 13661*/ GIMT_Encode4(895336), // Rule ID 61364 //
     /*  895266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  895277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  895280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  895283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895312 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  895315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895334 */     GIR_RootConstrainSelectedInstOperands,
     /*  895335 */     // GIR_Coverage, 61364,
     /*  895335 */     GIR_EraseRootFromParent_Done,
     /*  895336 */   // Label 13661: @895336
     /*  895336 */   GIM_Try, /*On fail goto*//*Label 13662*/ GIMT_Encode4(895411), // Rule ID 61365 //
     /*  895341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  895352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  895355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  895358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895387 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  895390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895409 */     GIR_RootConstrainSelectedInstOperands,
     /*  895410 */     // GIR_Coverage, 61365,
     /*  895410 */     GIR_EraseRootFromParent_Done,
     /*  895411 */   // Label 13662: @895411
     /*  895411 */   GIM_Try, /*On fail goto*//*Label 13663*/ GIMT_Encode4(895486), // Rule ID 61368 //
     /*  895416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  895427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  895430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  895433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895484 */     GIR_RootConstrainSelectedInstOperands,
     /*  895485 */     // GIR_Coverage, 61368,
     /*  895485 */     GIR_EraseRootFromParent_Done,
     /*  895486 */   // Label 13663: @895486
     /*  895486 */   GIM_Try, /*On fail goto*//*Label 13664*/ GIMT_Encode4(895561), // Rule ID 61369 //
     /*  895491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  895502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  895505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  895508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895537 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895559 */     GIR_RootConstrainSelectedInstOperands,
     /*  895560 */     // GIR_Coverage, 61369,
     /*  895560 */     GIR_EraseRootFromParent_Done,
     /*  895561 */   // Label 13664: @895561
     /*  895561 */   GIM_Try, /*On fail goto*//*Label 13665*/ GIMT_Encode4(895636), // Rule ID 61372 //
     /*  895566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  895577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  895580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  895583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  895612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895634 */     GIR_RootConstrainSelectedInstOperands,
     /*  895635 */     // GIR_Coverage, 61372,
     /*  895635 */     GIR_EraseRootFromParent_Done,
     /*  895636 */   // Label 13665: @895636
     /*  895636 */   GIM_Try, /*On fail goto*//*Label 13666*/ GIMT_Encode4(895711), // Rule ID 61373 //
     /*  895641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  895652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  895655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  895658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  895676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895687 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  895687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  895690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  895706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895709 */     GIR_RootConstrainSelectedInstOperands,
     /*  895710 */     // GIR_Coverage, 61373,
     /*  895710 */     GIR_EraseRootFromParent_Done,
     /*  895711 */   // Label 13666: @895711
     /*  895711 */   GIM_Try, /*On fail goto*//*Label 13667*/ GIMT_Encode4(895786), // Rule ID 61376 //
     /*  895716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  895727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  895730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  895733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895762 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  895765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895784 */     GIR_RootConstrainSelectedInstOperands,
     /*  895785 */     // GIR_Coverage, 61376,
     /*  895785 */     GIR_EraseRootFromParent_Done,
     /*  895786 */   // Label 13667: @895786
     /*  895786 */   GIM_Try, /*On fail goto*//*Label 13668*/ GIMT_Encode4(895861), // Rule ID 61377 //
     /*  895791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  895802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  895805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  895808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  895826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895837 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11158:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2),
     /*  895840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895859 */     GIR_RootConstrainSelectedInstOperands,
     /*  895860 */     // GIR_Coverage, 61377,
     /*  895860 */     GIR_EraseRootFromParent_Done,
     /*  895861 */   // Label 13668: @895861
     /*  895861 */   GIM_Try, /*On fail goto*//*Label 13669*/ GIMT_Encode4(895936), // Rule ID 61380 //
     /*  895866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  895869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  895877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  895880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  895886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  895889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  895912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  895928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  895931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  895934 */     GIR_RootConstrainSelectedInstOperands,
     /*  895935 */     // GIR_Coverage, 61380,
     /*  895935 */     GIR_EraseRootFromParent_Done,
     /*  895936 */   // Label 13669: @895936
     /*  895936 */   GIM_Try, /*On fail goto*//*Label 13670*/ GIMT_Encode4(896011), // Rule ID 61381 //
     /*  895941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  895944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  895949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  895952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  895955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  895958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  895961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  895964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  895976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  895980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  895987 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11158:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  895987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4),
     /*  895990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  895992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  895994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  895996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  895998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896009 */     GIR_RootConstrainSelectedInstOperands,
     /*  896010 */     // GIR_Coverage, 61381,
     /*  896010 */     GIR_EraseRootFromParent_Done,
     /*  896011 */   // Label 13670: @896011
     /*  896011 */   GIM_Try, /*On fail goto*//*Label 13671*/ GIMT_Encode4(896086), // Rule ID 61384 //
     /*  896016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  896024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  896027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  896030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  896033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  896036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896062 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  896062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  896065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896084 */     GIR_RootConstrainSelectedInstOperands,
     /*  896085 */     // GIR_Coverage, 61384,
     /*  896085 */     GIR_EraseRootFromParent_Done,
     /*  896086 */   // Label 13671: @896086
     /*  896086 */   GIM_Try, /*On fail goto*//*Label 13672*/ GIMT_Encode4(896161), // Rule ID 61385 //
     /*  896091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn),
     /*  896099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  896102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  896105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  896108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  896111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  896126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  896130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896137 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11158:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVANDN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  896137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8),
     /*  896140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  896156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896159 */     GIR_RootConstrainSelectedInstOperands,
     /*  896160 */     // GIR_Coverage, 61385,
     /*  896160 */     GIR_EraseRootFromParent_Done,
     /*  896161 */   // Label 13672: @896161
     /*  896161 */   GIM_Try, /*On fail goto*//*Label 13673*/ GIMT_Encode4(896236), // Rule ID 61564 //
     /*  896166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  896177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  896180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  896183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  896186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896212 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  896215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896234 */     GIR_RootConstrainSelectedInstOperands,
     /*  896235 */     // GIR_Coverage, 61564,
     /*  896235 */     GIR_EraseRootFromParent_Done,
     /*  896236 */   // Label 13673: @896236
     /*  896236 */   GIM_Try, /*On fail goto*//*Label 13674*/ GIMT_Encode4(896311), // Rule ID 61565 //
     /*  896241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  896252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  896255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  896258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  896261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896287 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /*  896290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896309 */     GIR_RootConstrainSelectedInstOperands,
     /*  896310 */     // GIR_Coverage, 61565,
     /*  896310 */     GIR_EraseRootFromParent_Done,
     /*  896311 */   // Label 13674: @896311
     /*  896311 */   GIM_Try, /*On fail goto*//*Label 13675*/ GIMT_Encode4(896386), // Rule ID 61568 //
     /*  896316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  896327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  896330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  896333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  896336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896362 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  896365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896384 */     GIR_RootConstrainSelectedInstOperands,
     /*  896385 */     // GIR_Coverage, 61568,
     /*  896385 */     GIR_EraseRootFromParent_Done,
     /*  896386 */   // Label 13675: @896386
     /*  896386 */   GIM_Try, /*On fail goto*//*Label 13676*/ GIMT_Encode4(896461), // Rule ID 61569 //
     /*  896391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  896402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  896405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  896408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  896411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896437 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  896440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896459 */     GIR_RootConstrainSelectedInstOperands,
     /*  896460 */     // GIR_Coverage, 61569,
     /*  896460 */     GIR_EraseRootFromParent_Done,
     /*  896461 */   // Label 13676: @896461
     /*  896461 */   GIM_Try, /*On fail goto*//*Label 13677*/ GIMT_Encode4(896536), // Rule ID 61572 //
     /*  896466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  896477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  896480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  896483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  896486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  896512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896534 */     GIR_RootConstrainSelectedInstOperands,
     /*  896535 */     // GIR_Coverage, 61572,
     /*  896535 */     GIR_EraseRootFromParent_Done,
     /*  896536 */   // Label 13677: @896536
     /*  896536 */   GIM_Try, /*On fail goto*//*Label 13678*/ GIMT_Encode4(896611), // Rule ID 61573 //
     /*  896541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  896552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  896555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  896558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  896561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896587 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  896587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  896606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896609 */     GIR_RootConstrainSelectedInstOperands,
     /*  896610 */     // GIR_Coverage, 61573,
     /*  896610 */     GIR_EraseRootFromParent_Done,
     /*  896611 */   // Label 13678: @896611
     /*  896611 */   GIM_Try, /*On fail goto*//*Label 13679*/ GIMT_Encode4(896686), // Rule ID 61576 //
     /*  896616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  896627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  896630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  896636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896662 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  896665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896684 */     GIR_RootConstrainSelectedInstOperands,
     /*  896685 */     // GIR_Coverage, 61576,
     /*  896685 */     GIR_EraseRootFromParent_Done,
     /*  896686 */   // Label 13679: @896686
     /*  896686 */   GIM_Try, /*On fail goto*//*Label 13680*/ GIMT_Encode4(896761), // Rule ID 61577 //
     /*  896691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  896702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  896705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  896708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  896711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896737 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /*  896740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896759 */     GIR_RootConstrainSelectedInstOperands,
     /*  896760 */     // GIR_Coverage, 61577,
     /*  896760 */     GIR_EraseRootFromParent_Done,
     /*  896761 */   // Label 13680: @896761
     /*  896761 */   GIM_Try, /*On fail goto*//*Label 13681*/ GIMT_Encode4(896836), // Rule ID 61580 //
     /*  896766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  896777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  896780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  896786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  896812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896834 */     GIR_RootConstrainSelectedInstOperands,
     /*  896835 */     // GIR_Coverage, 61580,
     /*  896835 */     GIR_EraseRootFromParent_Done,
     /*  896836 */   // Label 13681: @896836
     /*  896836 */   GIM_Try, /*On fail goto*//*Label 13682*/ GIMT_Encode4(896911), // Rule ID 61581 //
     /*  896841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  896852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  896855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  896858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  896861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  896864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896887 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  896887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  896906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896909 */     GIR_RootConstrainSelectedInstOperands,
     /*  896910 */     // GIR_Coverage, 61581,
     /*  896910 */     GIR_EraseRootFromParent_Done,
     /*  896911 */   // Label 13682: @896911
     /*  896911 */   GIM_Try, /*On fail goto*//*Label 13683*/ GIMT_Encode4(896986), // Rule ID 61584 //
     /*  896916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  896919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  896927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  896930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  896933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  896936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  896939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  896955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  896962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  896962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  896965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  896967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  896969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  896971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  896973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  896978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  896981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  896984 */     GIR_RootConstrainSelectedInstOperands,
     /*  896985 */     // GIR_Coverage, 61584,
     /*  896985 */     GIR_EraseRootFromParent_Done,
     /*  896986 */   // Label 13683: @896986
     /*  896986 */   GIM_Try, /*On fail goto*//*Label 13684*/ GIMT_Encode4(897061), // Rule ID 61585 //
     /*  896991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  896994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  896999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  897002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  897005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  897008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  897011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897037 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /*  897040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897059 */     GIR_RootConstrainSelectedInstOperands,
     /*  897060 */     // GIR_Coverage, 61585,
     /*  897060 */     GIR_EraseRootFromParent_Done,
     /*  897061 */   // Label 13684: @897061
     /*  897061 */   GIM_Try, /*On fail goto*//*Label 13685*/ GIMT_Encode4(897136), // Rule ID 61588 //
     /*  897066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  897077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  897080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  897083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  897086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897112 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897134 */     GIR_RootConstrainSelectedInstOperands,
     /*  897135 */     // GIR_Coverage, 61588,
     /*  897135 */     GIR_EraseRootFromParent_Done,
     /*  897136 */   // Label 13685: @897136
     /*  897136 */   GIM_Try, /*On fail goto*//*Label 13686*/ GIMT_Encode4(897211), // Rule ID 61589 //
     /*  897141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  897152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  897155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  897158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  897161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897187 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897209 */     GIR_RootConstrainSelectedInstOperands,
     /*  897210 */     // GIR_Coverage, 61589,
     /*  897210 */     GIR_EraseRootFromParent_Done,
     /*  897211 */   // Label 13686: @897211
     /*  897211 */   GIM_Try, /*On fail goto*//*Label 13687*/ GIMT_Encode4(897286), // Rule ID 61592 //
     /*  897216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  897227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  897230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  897233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  897236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897262 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  897262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897284 */     GIR_RootConstrainSelectedInstOperands,
     /*  897285 */     // GIR_Coverage, 61592,
     /*  897285 */     GIR_EraseRootFromParent_Done,
     /*  897286 */   // Label 13687: @897286
     /*  897286 */   GIM_Try, /*On fail goto*//*Label 13688*/ GIMT_Encode4(897361), // Rule ID 61593 //
     /*  897291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  897302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  897305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  897308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  897311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897337 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  897337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  897356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897359 */     GIR_RootConstrainSelectedInstOperands,
     /*  897360 */     // GIR_Coverage, 61593,
     /*  897360 */     GIR_EraseRootFromParent_Done,
     /*  897361 */   // Label 13688: @897361
     /*  897361 */   GIM_Try, /*On fail goto*//*Label 13689*/ GIMT_Encode4(897436), // Rule ID 61596 //
     /*  897366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  897377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  897380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  897383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  897386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  897412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897434 */     GIR_RootConstrainSelectedInstOperands,
     /*  897435 */     // GIR_Coverage, 61596,
     /*  897435 */     GIR_EraseRootFromParent_Done,
     /*  897436 */   // Label 13689: @897436
     /*  897436 */   GIM_Try, /*On fail goto*//*Label 13690*/ GIMT_Encode4(897511), // Rule ID 61597 //
     /*  897441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  897452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  897455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  897458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  897461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  897487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  897506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897509 */     GIR_RootConstrainSelectedInstOperands,
     /*  897510 */     // GIR_Coverage, 61597,
     /*  897510 */     GIR_EraseRootFromParent_Done,
     /*  897511 */   // Label 13690: @897511
     /*  897511 */   GIM_Try, /*On fail goto*//*Label 13691*/ GIMT_Encode4(897586), // Rule ID 61600 //
     /*  897516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  897527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  897530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  897533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  897536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897562 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  897562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897584 */     GIR_RootConstrainSelectedInstOperands,
     /*  897585 */     // GIR_Coverage, 61600,
     /*  897585 */     GIR_EraseRootFromParent_Done,
     /*  897586 */   // Label 13691: @897586
     /*  897586 */   GIM_Try, /*On fail goto*//*Label 13692*/ GIMT_Encode4(897661), // Rule ID 61601 //
     /*  897591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  897602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  897605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  897608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  897611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  897630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897637 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  897637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /*  897640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  897656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897659 */     GIR_RootConstrainSelectedInstOperands,
     /*  897660 */     // GIR_Coverage, 61601,
     /*  897660 */     GIR_EraseRootFromParent_Done,
     /*  897661 */   // Label 13692: @897661
     /*  897661 */   GIM_Try, /*On fail goto*//*Label 13693*/ GIMT_Encode4(897736), // Rule ID 61604 //
     /*  897666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  897677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  897680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  897686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897712 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897734 */     GIR_RootConstrainSelectedInstOperands,
     /*  897735 */     // GIR_Coverage, 61604,
     /*  897735 */     GIR_EraseRootFromParent_Done,
     /*  897736 */   // Label 13693: @897736
     /*  897736 */   GIM_Try, /*On fail goto*//*Label 13694*/ GIMT_Encode4(897811), // Rule ID 61605 //
     /*  897741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  897752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  897755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  897758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  897761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  897780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897787 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  897790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897809 */     GIR_RootConstrainSelectedInstOperands,
     /*  897810 */     // GIR_Coverage, 61605,
     /*  897810 */     GIR_EraseRootFromParent_Done,
     /*  897811 */   // Label 13694: @897811
     /*  897811 */   GIM_Try, /*On fail goto*//*Label 13695*/ GIMT_Encode4(897886), // Rule ID 61608 //
     /*  897816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  897827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  897830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  897836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897862 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  897862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897884 */     GIR_RootConstrainSelectedInstOperands,
     /*  897885 */     // GIR_Coverage, 61608,
     /*  897885 */     GIR_EraseRootFromParent_Done,
     /*  897886 */   // Label 13695: @897886
     /*  897886 */   GIM_Try, /*On fail goto*//*Label 13696*/ GIMT_Encode4(897961), // Rule ID 61609 //
     /*  897891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  897894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  897902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  897905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  897908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  897911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  897914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  897930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  897937 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  897937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  897940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  897942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  897944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  897946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  897948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  897953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  897956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  897959 */     GIR_RootConstrainSelectedInstOperands,
     /*  897960 */     // GIR_Coverage, 61609,
     /*  897960 */     GIR_EraseRootFromParent_Done,
     /*  897961 */   // Label 13696: @897961
     /*  897961 */   GIM_Try, /*On fail goto*//*Label 13697*/ GIMT_Encode4(898036), // Rule ID 61612 //
     /*  897966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  897969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  897974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  897977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  897980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  897983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  897986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  897989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  897997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898012 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  898012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898034 */     GIR_RootConstrainSelectedInstOperands,
     /*  898035 */     // GIR_Coverage, 61612,
     /*  898035 */     GIR_EraseRootFromParent_Done,
     /*  898036 */   // Label 13697: @898036
     /*  898036 */   GIM_Try, /*On fail goto*//*Label 13698*/ GIMT_Encode4(898111), // Rule ID 61613 //
     /*  898041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  898052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  898055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  898058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  898061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898087 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  898087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  898106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898109 */     GIR_RootConstrainSelectedInstOperands,
     /*  898110 */     // GIR_Coverage, 61613,
     /*  898110 */     GIR_EraseRootFromParent_Done,
     /*  898111 */   // Label 13698: @898111
     /*  898111 */   GIM_Try, /*On fail goto*//*Label 13699*/ GIMT_Encode4(898186), // Rule ID 61616 //
     /*  898116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  898127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  898130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  898133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  898136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898162 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898184 */     GIR_RootConstrainSelectedInstOperands,
     /*  898185 */     // GIR_Coverage, 61616,
     /*  898185 */     GIR_EraseRootFromParent_Done,
     /*  898186 */   // Label 13699: @898186
     /*  898186 */   GIM_Try, /*On fail goto*//*Label 13700*/ GIMT_Encode4(898261), // Rule ID 61617 //
     /*  898191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  898202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  898205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  898208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  898211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898237 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898259 */     GIR_RootConstrainSelectedInstOperands,
     /*  898260 */     // GIR_Coverage, 61617,
     /*  898260 */     GIR_EraseRootFromParent_Done,
     /*  898261 */   // Label 13700: @898261
     /*  898261 */   GIM_Try, /*On fail goto*//*Label 13701*/ GIMT_Encode4(898336), // Rule ID 61620 //
     /*  898266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  898277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  898280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  898283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  898286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898312 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898334 */     GIR_RootConstrainSelectedInstOperands,
     /*  898335 */     // GIR_Coverage, 61620,
     /*  898335 */     GIR_EraseRootFromParent_Done,
     /*  898336 */   // Label 13701: @898336
     /*  898336 */   GIM_Try, /*On fail goto*//*Label 13702*/ GIMT_Encode4(898411), // Rule ID 61621 //
     /*  898341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  898352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  898355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  898358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  898361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898409 */     GIR_RootConstrainSelectedInstOperands,
     /*  898410 */     // GIR_Coverage, 61621,
     /*  898410 */     GIR_EraseRootFromParent_Done,
     /*  898411 */   // Label 13702: @898411
     /*  898411 */   GIM_Try, /*On fail goto*//*Label 13703*/ GIMT_Encode4(898486), // Rule ID 61624 //
     /*  898416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  898427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  898430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  898433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  898436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  898462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898484 */     GIR_RootConstrainSelectedInstOperands,
     /*  898485 */     // GIR_Coverage, 61624,
     /*  898485 */     GIR_EraseRootFromParent_Done,
     /*  898486 */   // Label 13703: @898486
     /*  898486 */   GIM_Try, /*On fail goto*//*Label 13704*/ GIMT_Encode4(898561), // Rule ID 61625 //
     /*  898491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  898502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  898505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  898508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  898511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898537 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  898537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  898556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898559 */     GIR_RootConstrainSelectedInstOperands,
     /*  898560 */     // GIR_Coverage, 61625,
     /*  898560 */     GIR_EraseRootFromParent_Done,
     /*  898561 */   // Label 13704: @898561
     /*  898561 */   GIM_Try, /*On fail goto*//*Label 13705*/ GIMT_Encode4(898636), // Rule ID 61628 //
     /*  898566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898612 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898634 */     GIR_RootConstrainSelectedInstOperands,
     /*  898635 */     // GIR_Coverage, 61628,
     /*  898635 */     GIR_EraseRootFromParent_Done,
     /*  898636 */   // Label 13705: @898636
     /*  898636 */   GIM_Try, /*On fail goto*//*Label 13706*/ GIMT_Encode4(898711), // Rule ID 61629 //
     /*  898641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  898652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  898655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  898658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  898661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  898680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898687 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  898690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898709 */     GIR_RootConstrainSelectedInstOperands,
     /*  898710 */     // GIR_Coverage, 61629,
     /*  898710 */     GIR_EraseRootFromParent_Done,
     /*  898711 */   // Label 13706: @898711
     /*  898711 */   GIM_Try, /*On fail goto*//*Label 13707*/ GIMT_Encode4(898786), // Rule ID 61632 //
     /*  898716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898762 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898784 */     GIR_RootConstrainSelectedInstOperands,
     /*  898785 */     // GIR_Coverage, 61632,
     /*  898785 */     GIR_EraseRootFromParent_Done,
     /*  898786 */   // Label 13707: @898786
     /*  898786 */   GIM_Try, /*On fail goto*//*Label 13708*/ GIMT_Encode4(898861), // Rule ID 61633 //
     /*  898791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  898802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  898805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  898808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  898811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  898830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898837 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  898840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898859 */     GIR_RootConstrainSelectedInstOperands,
     /*  898860 */     // GIR_Coverage, 61633,
     /*  898860 */     GIR_EraseRootFromParent_Done,
     /*  898861 */   // Label 13708: @898861
     /*  898861 */   GIM_Try, /*On fail goto*//*Label 13709*/ GIMT_Encode4(898936), // Rule ID 61636 //
     /*  898866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  898869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  898886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  898889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  898912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  898928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  898931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  898934 */     GIR_RootConstrainSelectedInstOperands,
     /*  898935 */     // GIR_Coverage, 61636,
     /*  898935 */     GIR_EraseRootFromParent_Done,
     /*  898936 */   // Label 13709: @898936
     /*  898936 */   GIM_Try, /*On fail goto*//*Label 13710*/ GIMT_Encode4(899011), // Rule ID 61637 //
     /*  898941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  898944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  898949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  898952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  898955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  898958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  898961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  898964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  898980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  898987 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  898987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  898990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  898992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  898994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  898996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  898998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  899006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899009 */     GIR_RootConstrainSelectedInstOperands,
     /*  899010 */     // GIR_Coverage, 61637,
     /*  899010 */     GIR_EraseRootFromParent_Done,
     /*  899011 */   // Label 13710: @899011
     /*  899011 */   GIM_Try, /*On fail goto*//*Label 13711*/ GIMT_Encode4(899086), // Rule ID 61640 //
     /*  899016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  899027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  899030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  899033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  899036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899062 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  899065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899084 */     GIR_RootConstrainSelectedInstOperands,
     /*  899085 */     // GIR_Coverage, 61640,
     /*  899085 */     GIR_EraseRootFromParent_Done,
     /*  899086 */   // Label 13711: @899086
     /*  899086 */   GIM_Try, /*On fail goto*//*Label 13712*/ GIMT_Encode4(899161), // Rule ID 61641 //
     /*  899091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  899102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  899105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  899108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  899111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  899130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899137 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /*  899140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899159 */     GIR_RootConstrainSelectedInstOperands,
     /*  899160 */     // GIR_Coverage, 61641,
     /*  899160 */     GIR_EraseRootFromParent_Done,
     /*  899161 */   // Label 13712: @899161
     /*  899161 */   GIM_Try, /*On fail goto*//*Label 13713*/ GIMT_Encode4(899236), // Rule ID 61644 //
     /*  899166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  899177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  899180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  899183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  899186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899212 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  899215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899234 */     GIR_RootConstrainSelectedInstOperands,
     /*  899235 */     // GIR_Coverage, 61644,
     /*  899235 */     GIR_EraseRootFromParent_Done,
     /*  899236 */   // Label 13713: @899236
     /*  899236 */   GIM_Try, /*On fail goto*//*Label 13714*/ GIMT_Encode4(899311), // Rule ID 61645 //
     /*  899241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  899252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  899255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  899258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  899261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  899280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899287 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /*  899290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899309 */     GIR_RootConstrainSelectedInstOperands,
     /*  899310 */     // GIR_Coverage, 61645,
     /*  899310 */     GIR_EraseRootFromParent_Done,
     /*  899311 */   // Label 13714: @899311
     /*  899311 */   GIM_Try, /*On fail goto*//*Label 13715*/ GIMT_Encode4(899386), // Rule ID 61648 //
     /*  899316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  899327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  899330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  899333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  899336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899362 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  899362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  899365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899384 */     GIR_RootConstrainSelectedInstOperands,
     /*  899385 */     // GIR_Coverage, 61648,
     /*  899385 */     GIR_EraseRootFromParent_Done,
     /*  899386 */   // Label 13715: @899386
     /*  899386 */   GIM_Try, /*On fail goto*//*Label 13716*/ GIMT_Encode4(899461), // Rule ID 61649 //
     /*  899391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  899402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  899405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  899408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  899411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  899430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899437 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  899437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /*  899440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  899456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899459 */     GIR_RootConstrainSelectedInstOperands,
     /*  899460 */     // GIR_Coverage, 61649,
     /*  899460 */     GIR_EraseRootFromParent_Done,
     /*  899461 */   // Label 13716: @899461
     /*  899461 */   GIM_Try, /*On fail goto*//*Label 13717*/ GIMT_Encode4(899536), // Rule ID 61652 //
     /*  899466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  899477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  899480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  899483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899512 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  899515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899534 */     GIR_RootConstrainSelectedInstOperands,
     /*  899535 */     // GIR_Coverage, 61652,
     /*  899535 */     GIR_EraseRootFromParent_Done,
     /*  899536 */   // Label 13717: @899536
     /*  899536 */   GIM_Try, /*On fail goto*//*Label 13718*/ GIMT_Encode4(899611), // Rule ID 61653 //
     /*  899541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  899552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  899555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  899558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899587 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8),
     /*  899590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899609 */     GIR_RootConstrainSelectedInstOperands,
     /*  899610 */     // GIR_Coverage, 61653,
     /*  899610 */     GIR_EraseRootFromParent_Done,
     /*  899611 */   // Label 13718: @899611
     /*  899611 */   GIM_Try, /*On fail goto*//*Label 13719*/ GIMT_Encode4(899686), // Rule ID 61656 //
     /*  899616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  899630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899662 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899684 */     GIR_RootConstrainSelectedInstOperands,
     /*  899685 */     // GIR_Coverage, 61656,
     /*  899685 */     GIR_EraseRootFromParent_Done,
     /*  899686 */   // Label 13719: @899686
     /*  899686 */   GIM_Try, /*On fail goto*//*Label 13720*/ GIMT_Encode4(899761), // Rule ID 61657 //
     /*  899691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  899702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  899705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  899708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899737 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899759 */     GIR_RootConstrainSelectedInstOperands,
     /*  899760 */     // GIR_Coverage, 61657,
     /*  899760 */     GIR_EraseRootFromParent_Done,
     /*  899761 */   // Label 13720: @899761
     /*  899761 */   GIM_Try, /*On fail goto*//*Label 13721*/ GIMT_Encode4(899836), // Rule ID 61660 //
     /*  899766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  899780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899812 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  899812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899834 */     GIR_RootConstrainSelectedInstOperands,
     /*  899835 */     // GIR_Coverage, 61660,
     /*  899835 */     GIR_EraseRootFromParent_Done,
     /*  899836 */   // Label 13721: @899836
     /*  899836 */   GIM_Try, /*On fail goto*//*Label 13722*/ GIMT_Encode4(899911), // Rule ID 61661 //
     /*  899841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  899852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  899855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  899858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  899861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  899864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899887 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  899887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  899890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  899906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899909 */     GIR_RootConstrainSelectedInstOperands,
     /*  899910 */     // GIR_Coverage, 61661,
     /*  899910 */     GIR_EraseRootFromParent_Done,
     /*  899911 */   // Label 13722: @899911
     /*  899911 */   GIM_Try, /*On fail goto*//*Label 13723*/ GIMT_Encode4(899986), // Rule ID 61664 //
     /*  899916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  899919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  899927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  899930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  899933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  899936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  899939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  899951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  899955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  899962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  899962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  899965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  899967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  899969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  899971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  899973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  899978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  899981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  899984 */     GIR_RootConstrainSelectedInstOperands,
     /*  899985 */     // GIR_Coverage, 61664,
     /*  899985 */     GIR_EraseRootFromParent_Done,
     /*  899986 */   // Label 13723: @899986
     /*  899986 */   GIM_Try, /*On fail goto*//*Label 13724*/ GIMT_Encode4(900061), // Rule ID 61665 //
     /*  899991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  899994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  899999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  900002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  900005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  900008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900037 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4),
     /*  900040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900059 */     GIR_RootConstrainSelectedInstOperands,
     /*  900060 */     // GIR_Coverage, 61665,
     /*  900060 */     GIR_EraseRootFromParent_Done,
     /*  900061 */   // Label 13724: @900061
     /*  900061 */   GIM_Try, /*On fail goto*//*Label 13725*/ GIMT_Encode4(900136), // Rule ID 61668 //
     /*  900066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  900077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  900080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  900083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900112 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  900115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900134 */     GIR_RootConstrainSelectedInstOperands,
     /*  900135 */     // GIR_Coverage, 61668,
     /*  900135 */     GIR_EraseRootFromParent_Done,
     /*  900136 */   // Label 13725: @900136
     /*  900136 */   GIM_Try, /*On fail goto*//*Label 13726*/ GIMT_Encode4(900211), // Rule ID 61669 //
     /*  900141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  900152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  900155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  900158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900187 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  900190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900209 */     GIR_RootConstrainSelectedInstOperands,
     /*  900210 */     // GIR_Coverage, 61669,
     /*  900210 */     GIR_EraseRootFromParent_Done,
     /*  900211 */   // Label 13726: @900211
     /*  900211 */   GIM_Try, /*On fail goto*//*Label 13727*/ GIMT_Encode4(900286), // Rule ID 61672 //
     /*  900216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  900227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  900230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  900233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  900265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900284 */     GIR_RootConstrainSelectedInstOperands,
     /*  900285 */     // GIR_Coverage, 61672,
     /*  900285 */     GIR_EraseRootFromParent_Done,
     /*  900286 */   // Label 13727: @900286
     /*  900286 */   GIM_Try, /*On fail goto*//*Label 13728*/ GIMT_Encode4(900361), // Rule ID 61673 //
     /*  900291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  900302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  900305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  900308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900337 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2),
     /*  900340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900359 */     GIR_RootConstrainSelectedInstOperands,
     /*  900360 */     // GIR_Coverage, 61673,
     /*  900360 */     GIR_EraseRootFromParent_Done,
     /*  900361 */   // Label 13728: @900361
     /*  900361 */   GIM_Try, /*On fail goto*//*Label 13729*/ GIMT_Encode4(900436), // Rule ID 61676 //
     /*  900366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  900377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  900380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  900383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  900412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900434 */     GIR_RootConstrainSelectedInstOperands,
     /*  900435 */     // GIR_Coverage, 61676,
     /*  900435 */     GIR_EraseRootFromParent_Done,
     /*  900436 */   // Label 13729: @900436
     /*  900436 */   GIM_Try, /*On fail goto*//*Label 13730*/ GIMT_Encode4(900511), // Rule ID 61677 //
     /*  900441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  900452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  900455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  900458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900487 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11525:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  900487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  900506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900509 */     GIR_RootConstrainSelectedInstOperands,
     /*  900510 */     // GIR_Coverage, 61677,
     /*  900510 */     GIR_EraseRootFromParent_Done,
     /*  900511 */   // Label 13730: @900511
     /*  900511 */   GIM_Try, /*On fail goto*//*Label 13731*/ GIMT_Encode4(900586), // Rule ID 61680 //
     /*  900516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  900527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  900530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  900533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900562 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  900562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900584 */     GIR_RootConstrainSelectedInstOperands,
     /*  900585 */     // GIR_Coverage, 61680,
     /*  900585 */     GIR_EraseRootFromParent_Done,
     /*  900586 */   // Label 13731: @900586
     /*  900586 */   GIM_Try, /*On fail goto*//*Label 13732*/ GIMT_Encode4(900661), // Rule ID 61681 //
     /*  900591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  900602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  900605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  900608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900637 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11525:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  900637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  900656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900659 */     GIR_RootConstrainSelectedInstOperands,
     /*  900660 */     // GIR_Coverage, 61681,
     /*  900660 */     GIR_EraseRootFromParent_Done,
     /*  900661 */   // Label 13732: @900661
     /*  900661 */   GIM_Try, /*On fail goto*//*Label 13733*/ GIMT_Encode4(900736), // Rule ID 61684 //
     /*  900666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  900680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  900712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900734 */     GIR_RootConstrainSelectedInstOperands,
     /*  900735 */     // GIR_Coverage, 61684,
     /*  900735 */     GIR_EraseRootFromParent_Done,
     /*  900736 */   // Label 13733: @900736
     /*  900736 */   GIM_Try, /*On fail goto*//*Label 13734*/ GIMT_Encode4(900811), // Rule ID 61685 //
     /*  900741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  900752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  900755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  900758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900787 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11525:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  900787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  900806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900809 */     GIR_RootConstrainSelectedInstOperands,
     /*  900810 */     // GIR_Coverage, 61685,
     /*  900810 */     GIR_EraseRootFromParent_Done,
     /*  900811 */   // Label 13734: @900811
     /*  900811 */   GIM_Try, /*On fail goto*//*Label 13735*/ GIMT_Encode4(900886), // Rule ID 61688 //
     /*  900816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  900830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900862 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  900862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900884 */     GIR_RootConstrainSelectedInstOperands,
     /*  900885 */     // GIR_Coverage, 61688,
     /*  900885 */     GIR_EraseRootFromParent_Done,
     /*  900886 */   // Label 13735: @900886
     /*  900886 */   GIM_Try, /*On fail goto*//*Label 13736*/ GIMT_Encode4(900961), // Rule ID 61689 //
     /*  900891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  900894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  900902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  900905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  900908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  900911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  900914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  900926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  900930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  900937 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11525:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  900937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1),
     /*  900940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  900942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  900944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  900946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  900948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  900953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  900956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  900959 */     GIR_RootConstrainSelectedInstOperands,
     /*  900960 */     // GIR_Coverage, 61689,
     /*  900960 */     GIR_EraseRootFromParent_Done,
     /*  900961 */   // Label 13736: @900961
     /*  900961 */   GIM_Try, /*On fail goto*//*Label 13737*/ GIMT_Encode4(901036), // Rule ID 61692 //
     /*  900966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  900969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  900974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  900977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  900980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  900983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  900986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  900989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  900997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901012 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901034 */     GIR_RootConstrainSelectedInstOperands,
     /*  901035 */     // GIR_Coverage, 61692,
     /*  901035 */     GIR_EraseRootFromParent_Done,
     /*  901036 */   // Label 13737: @901036
     /*  901036 */   GIM_Try, /*On fail goto*//*Label 13738*/ GIMT_Encode4(901111), // Rule ID 61693 //
     /*  901041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  901052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  901055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  901058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901087 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901109 */     GIR_RootConstrainSelectedInstOperands,
     /*  901110 */     // GIR_Coverage, 61693,
     /*  901110 */     GIR_EraseRootFromParent_Done,
     /*  901111 */   // Label 13738: @901111
     /*  901111 */   GIM_Try, /*On fail goto*//*Label 13739*/ GIMT_Encode4(901186), // Rule ID 61696 //
     /*  901116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  901127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  901130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  901133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901162 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901184 */     GIR_RootConstrainSelectedInstOperands,
     /*  901185 */     // GIR_Coverage, 61696,
     /*  901185 */     GIR_EraseRootFromParent_Done,
     /*  901186 */   // Label 13739: @901186
     /*  901186 */   GIM_Try, /*On fail goto*//*Label 13740*/ GIMT_Encode4(901261), // Rule ID 61697 //
     /*  901191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  901202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  901205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  901208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901237 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901259 */     GIR_RootConstrainSelectedInstOperands,
     /*  901260 */     // GIR_Coverage, 61697,
     /*  901260 */     GIR_EraseRootFromParent_Done,
     /*  901261 */   // Label 13740: @901261
     /*  901261 */   GIM_Try, /*On fail goto*//*Label 13741*/ GIMT_Encode4(901336), // Rule ID 61700 //
     /*  901266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  901277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  901280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  901283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901312 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  901312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901334 */     GIR_RootConstrainSelectedInstOperands,
     /*  901335 */     // GIR_Coverage, 61700,
     /*  901335 */     GIR_EraseRootFromParent_Done,
     /*  901336 */   // Label 13741: @901336
     /*  901336 */   GIM_Try, /*On fail goto*//*Label 13742*/ GIMT_Encode4(901411), // Rule ID 61701 //
     /*  901341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  901352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  901355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  901358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901387 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  901387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  901406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901409 */     GIR_RootConstrainSelectedInstOperands,
     /*  901410 */     // GIR_Coverage, 61701,
     /*  901410 */     GIR_EraseRootFromParent_Done,
     /*  901411 */   // Label 13742: @901411
     /*  901411 */   GIM_Try, /*On fail goto*//*Label 13743*/ GIMT_Encode4(901486), // Rule ID 61704 //
     /*  901416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  901430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  901433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901484 */     GIR_RootConstrainSelectedInstOperands,
     /*  901485 */     // GIR_Coverage, 61704,
     /*  901485 */     GIR_EraseRootFromParent_Done,
     /*  901486 */   // Label 13743: @901486
     /*  901486 */   GIM_Try, /*On fail goto*//*Label 13744*/ GIMT_Encode4(901561), // Rule ID 61705 //
     /*  901491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  901502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  901505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  901508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901537 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901559 */     GIR_RootConstrainSelectedInstOperands,
     /*  901560 */     // GIR_Coverage, 61705,
     /*  901560 */     GIR_EraseRootFromParent_Done,
     /*  901561 */   // Label 13744: @901561
     /*  901561 */   GIM_Try, /*On fail goto*//*Label 13745*/ GIMT_Encode4(901636), // Rule ID 61708 //
     /*  901566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  901580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  901583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901612 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901634 */     GIR_RootConstrainSelectedInstOperands,
     /*  901635 */     // GIR_Coverage, 61708,
     /*  901635 */     GIR_EraseRootFromParent_Done,
     /*  901636 */   // Label 13745: @901636
     /*  901636 */   GIM_Try, /*On fail goto*//*Label 13746*/ GIMT_Encode4(901711), // Rule ID 61709 //
     /*  901641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  901652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  901655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  901658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  901676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901687 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  901690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901709 */     GIR_RootConstrainSelectedInstOperands,
     /*  901710 */     // GIR_Coverage, 61709,
     /*  901710 */     GIR_EraseRootFromParent_Done,
     /*  901711 */   // Label 13746: @901711
     /*  901711 */   GIM_Try, /*On fail goto*//*Label 13747*/ GIMT_Encode4(901786), // Rule ID 61712 //
     /*  901716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901762 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  901762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901784 */     GIR_RootConstrainSelectedInstOperands,
     /*  901785 */     // GIR_Coverage, 61712,
     /*  901785 */     GIR_EraseRootFromParent_Done,
     /*  901786 */   // Label 13747: @901786
     /*  901786 */   GIM_Try, /*On fail goto*//*Label 13748*/ GIMT_Encode4(901861), // Rule ID 61713 //
     /*  901791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  901802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  901805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  901808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  901826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901837 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  901837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  901840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  901856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901859 */     GIR_RootConstrainSelectedInstOperands,
     /*  901860 */     // GIR_Coverage, 61713,
     /*  901860 */     GIR_EraseRootFromParent_Done,
     /*  901861 */   // Label 13748: @901861
     /*  901861 */   GIM_Try, /*On fail goto*//*Label 13749*/ GIMT_Encode4(901936), // Rule ID 61716 //
     /*  901866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  901869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  901880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  901886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  901889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901912 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  901912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  901928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  901931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  901934 */     GIR_RootConstrainSelectedInstOperands,
     /*  901935 */     // GIR_Coverage, 61716,
     /*  901935 */     GIR_EraseRootFromParent_Done,
     /*  901936 */   // Label 13749: @901936
     /*  901936 */   GIM_Try, /*On fail goto*//*Label 13750*/ GIMT_Encode4(902011), // Rule ID 61717 //
     /*  901941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  901944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  901949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  901952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  901955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  901958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  901961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  901964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  901976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  901980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  901987 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  901987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  901990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  901992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  901994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  901996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  901998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902009 */     GIR_RootConstrainSelectedInstOperands,
     /*  902010 */     // GIR_Coverage, 61717,
     /*  902010 */     GIR_EraseRootFromParent_Done,
     /*  902011 */   // Label 13750: @902011
     /*  902011 */   GIM_Try, /*On fail goto*//*Label 13751*/ GIMT_Encode4(902086), // Rule ID 61720 //
     /*  902016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  902027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  902030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  902033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  902065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902084 */     GIR_RootConstrainSelectedInstOperands,
     /*  902085 */     // GIR_Coverage, 61720,
     /*  902085 */     GIR_EraseRootFromParent_Done,
     /*  902086 */   // Label 13751: @902086
     /*  902086 */   GIM_Try, /*On fail goto*//*Label 13752*/ GIMT_Encode4(902161), // Rule ID 61721 //
     /*  902091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  902102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  902105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  902108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902137 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  902140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902159 */     GIR_RootConstrainSelectedInstOperands,
     /*  902160 */     // GIR_Coverage, 61721,
     /*  902160 */     GIR_EraseRootFromParent_Done,
     /*  902161 */   // Label 13752: @902161
     /*  902161 */   GIM_Try, /*On fail goto*//*Label 13753*/ GIMT_Encode4(902236), // Rule ID 61724 //
     /*  902166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  902177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  902180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  902183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  902212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  902215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902234 */     GIR_RootConstrainSelectedInstOperands,
     /*  902235 */     // GIR_Coverage, 61724,
     /*  902235 */     GIR_EraseRootFromParent_Done,
     /*  902236 */   // Label 13753: @902236
     /*  902236 */   GIM_Try, /*On fail goto*//*Label 13754*/ GIMT_Encode4(902311), // Rule ID 61725 //
     /*  902241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  902252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  902255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  902258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902287 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  902287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  902290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  902306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902309 */     GIR_RootConstrainSelectedInstOperands,
     /*  902310 */     // GIR_Coverage, 61725,
     /*  902310 */     GIR_EraseRootFromParent_Done,
     /*  902311 */   // Label 13754: @902311
     /*  902311 */   GIM_Try, /*On fail goto*//*Label 13755*/ GIMT_Encode4(902386), // Rule ID 61728 //
     /*  902316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  902327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  902330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  902333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  902365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902384 */     GIR_RootConstrainSelectedInstOperands,
     /*  902385 */     // GIR_Coverage, 61728,
     /*  902385 */     GIR_EraseRootFromParent_Done,
     /*  902386 */   // Label 13755: @902386
     /*  902386 */   GIM_Try, /*On fail goto*//*Label 13756*/ GIMT_Encode4(902461), // Rule ID 61729 //
     /*  902391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  902402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  902405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  902408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  902426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902437 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11525:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2),
     /*  902440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902459 */     GIR_RootConstrainSelectedInstOperands,
     /*  902460 */     // GIR_Coverage, 61729,
     /*  902460 */     GIR_EraseRootFromParent_Done,
     /*  902461 */   // Label 13756: @902461
     /*  902461 */   GIM_Try, /*On fail goto*//*Label 13757*/ GIMT_Encode4(902536), // Rule ID 61732 //
     /*  902466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  902480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  902483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  902515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902534 */     GIR_RootConstrainSelectedInstOperands,
     /*  902535 */     // GIR_Coverage, 61732,
     /*  902535 */     GIR_EraseRootFromParent_Done,
     /*  902536 */   // Label 13757: @902536
     /*  902536 */   GIM_Try, /*On fail goto*//*Label 13758*/ GIMT_Encode4(902611), // Rule ID 61733 //
     /*  902541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  902552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  902555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  902558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  902576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902587 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11525:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4),
     /*  902590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902609 */     GIR_RootConstrainSelectedInstOperands,
     /*  902610 */     // GIR_Coverage, 61733,
     /*  902610 */     GIR_EraseRootFromParent_Done,
     /*  902611 */   // Label 13758: @902611
     /*  902611 */   GIM_Try, /*On fail goto*//*Label 13759*/ GIMT_Encode4(902686), // Rule ID 61736 //
     /*  902616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  902630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  902636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902662 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  902662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  902665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902684 */     GIR_RootConstrainSelectedInstOperands,
     /*  902685 */     // GIR_Coverage, 61736,
     /*  902685 */     GIR_EraseRootFromParent_Done,
     /*  902686 */   // Label 13759: @902686
     /*  902686 */   GIM_Try, /*On fail goto*//*Label 13760*/ GIMT_Encode4(902761), // Rule ID 61737 //
     /*  902691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol),
     /*  902699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  902702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  902705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  902708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  902711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  902726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  902730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902737 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11525:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  902737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8),
     /*  902740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  902756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902759 */     GIR_RootConstrainSelectedInstOperands,
     /*  902760 */     // GIR_Coverage, 61737,
     /*  902760 */     GIR_EraseRootFromParent_Done,
     /*  902761 */   // Label 13760: @902761
     /*  902761 */   GIM_Try, /*On fail goto*//*Label 13761*/ GIMT_Encode4(902836), // Rule ID 61824 //
     /*  902766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  902777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  902780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  902783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  902786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902812 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  902815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902834 */     GIR_RootConstrainSelectedInstOperands,
     /*  902835 */     // GIR_Coverage, 61824,
     /*  902835 */     GIR_EraseRootFromParent_Done,
     /*  902836 */   // Label 13761: @902836
     /*  902836 */   GIM_Try, /*On fail goto*//*Label 13762*/ GIMT_Encode4(902911), // Rule ID 61825 //
     /*  902841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  902852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  902855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  902858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  902861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  902864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902887 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  902887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /*  902890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902909 */     GIR_RootConstrainSelectedInstOperands,
     /*  902910 */     // GIR_Coverage, 61825,
     /*  902910 */     GIR_EraseRootFromParent_Done,
     /*  902911 */   // Label 13762: @902911
     /*  902911 */   GIM_Try, /*On fail goto*//*Label 13763*/ GIMT_Encode4(902986), // Rule ID 61828 //
     /*  902916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  902919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  902927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  902930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  902933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  902936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  902939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  902955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  902962 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  902962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  902965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  902967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  902969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  902971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  902973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  902978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  902981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  902984 */     GIR_RootConstrainSelectedInstOperands,
     /*  902985 */     // GIR_Coverage, 61828,
     /*  902985 */     GIR_EraseRootFromParent_Done,
     /*  902986 */   // Label 13763: @902986
     /*  902986 */   GIM_Try, /*On fail goto*//*Label 13764*/ GIMT_Encode4(903061), // Rule ID 61829 //
     /*  902991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  902994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  902999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  903002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  903005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  903008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  903011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903037 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  903040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903059 */     GIR_RootConstrainSelectedInstOperands,
     /*  903060 */     // GIR_Coverage, 61829,
     /*  903060 */     GIR_EraseRootFromParent_Done,
     /*  903061 */   // Label 13764: @903061
     /*  903061 */   GIM_Try, /*On fail goto*//*Label 13765*/ GIMT_Encode4(903136), // Rule ID 61832 //
     /*  903066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  903077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  903080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  903083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  903086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903112 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903134 */     GIR_RootConstrainSelectedInstOperands,
     /*  903135 */     // GIR_Coverage, 61832,
     /*  903135 */     GIR_EraseRootFromParent_Done,
     /*  903136 */   // Label 13765: @903136
     /*  903136 */   GIM_Try, /*On fail goto*//*Label 13766*/ GIMT_Encode4(903211), // Rule ID 61833 //
     /*  903141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  903152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  903155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  903158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  903161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903187 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903209 */     GIR_RootConstrainSelectedInstOperands,
     /*  903210 */     // GIR_Coverage, 61833,
     /*  903210 */     GIR_EraseRootFromParent_Done,
     /*  903211 */   // Label 13766: @903211
     /*  903211 */   GIM_Try, /*On fail goto*//*Label 13767*/ GIMT_Encode4(903286), // Rule ID 61836 //
     /*  903216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  903227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  903230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  903233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  903236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  903265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903284 */     GIR_RootConstrainSelectedInstOperands,
     /*  903285 */     // GIR_Coverage, 61836,
     /*  903285 */     GIR_EraseRootFromParent_Done,
     /*  903286 */   // Label 13767: @903286
     /*  903286 */   GIM_Try, /*On fail goto*//*Label 13768*/ GIMT_Encode4(903361), // Rule ID 61837 //
     /*  903291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  903302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  903305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  903308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  903311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903337 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /*  903340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903359 */     GIR_RootConstrainSelectedInstOperands,
     /*  903360 */     // GIR_Coverage, 61837,
     /*  903360 */     GIR_EraseRootFromParent_Done,
     /*  903361 */   // Label 13768: @903361
     /*  903361 */   GIM_Try, /*On fail goto*//*Label 13769*/ GIMT_Encode4(903436), // Rule ID 61840 //
     /*  903366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  903377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  903380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  903383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  903386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903434 */     GIR_RootConstrainSelectedInstOperands,
     /*  903435 */     // GIR_Coverage, 61840,
     /*  903435 */     GIR_EraseRootFromParent_Done,
     /*  903436 */   // Label 13769: @903436
     /*  903436 */   GIM_Try, /*On fail goto*//*Label 13770*/ GIMT_Encode4(903511), // Rule ID 61841 //
     /*  903441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  903452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  903455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  903458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  903461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903487 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903509 */     GIR_RootConstrainSelectedInstOperands,
     /*  903510 */     // GIR_Coverage, 61841,
     /*  903510 */     GIR_EraseRootFromParent_Done,
     /*  903511 */   // Label 13770: @903511
     /*  903511 */   GIM_Try, /*On fail goto*//*Label 13771*/ GIMT_Encode4(903586), // Rule ID 61844 //
     /*  903516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  903527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  903530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  903533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  903536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903562 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  903562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903584 */     GIR_RootConstrainSelectedInstOperands,
     /*  903585 */     // GIR_Coverage, 61844,
     /*  903585 */     GIR_EraseRootFromParent_Done,
     /*  903586 */   // Label 13771: @903586
     /*  903586 */   GIM_Try, /*On fail goto*//*Label 13772*/ GIMT_Encode4(903661), // Rule ID 61845 //
     /*  903591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  903602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  903605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  903608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  903611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903637 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  903637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /*  903640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  903656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903659 */     GIR_RootConstrainSelectedInstOperands,
     /*  903660 */     // GIR_Coverage, 61845,
     /*  903660 */     GIR_EraseRootFromParent_Done,
     /*  903661 */   // Label 13772: @903661
     /*  903661 */   GIM_Try, /*On fail goto*//*Label 13773*/ GIMT_Encode4(903736), // Rule ID 61848 //
     /*  903666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  903677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  903680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  903683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  903686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903712 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  903712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903734 */     GIR_RootConstrainSelectedInstOperands,
     /*  903735 */     // GIR_Coverage, 61848,
     /*  903735 */     GIR_EraseRootFromParent_Done,
     /*  903736 */   // Label 13773: @903736
     /*  903736 */   GIM_Try, /*On fail goto*//*Label 13774*/ GIMT_Encode4(903811), // Rule ID 61849 //
     /*  903741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  903752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  903755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  903758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  903761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903787 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  903787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  903806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903809 */     GIR_RootConstrainSelectedInstOperands,
     /*  903810 */     // GIR_Coverage, 61849,
     /*  903810 */     GIR_EraseRootFromParent_Done,
     /*  903811 */   // Label 13774: @903811
     /*  903811 */   GIM_Try, /*On fail goto*//*Label 13775*/ GIMT_Encode4(903886), // Rule ID 61852 //
     /*  903816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  903830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  903836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  903862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903884 */     GIR_RootConstrainSelectedInstOperands,
     /*  903885 */     // GIR_Coverage, 61852,
     /*  903885 */     GIR_EraseRootFromParent_Done,
     /*  903886 */   // Label 13775: @903886
     /*  903886 */   GIM_Try, /*On fail goto*//*Label 13776*/ GIMT_Encode4(903961), // Rule ID 61853 //
     /*  903891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  903894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  903902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  903905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  903908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  903911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  903914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  903937 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  903937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  903940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  903942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  903944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  903946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  903948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  903953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  903956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  903959 */     GIR_RootConstrainSelectedInstOperands,
     /*  903960 */     // GIR_Coverage, 61853,
     /*  903960 */     GIR_EraseRootFromParent_Done,
     /*  903961 */   // Label 13776: @903961
     /*  903961 */   GIM_Try, /*On fail goto*//*Label 13777*/ GIMT_Encode4(904036), // Rule ID 61856 //
     /*  903966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  903969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  903974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  903977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  903980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  903983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  903986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  903989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  903997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  904012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  904015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904034 */     GIR_RootConstrainSelectedInstOperands,
     /*  904035 */     // GIR_Coverage, 61856,
     /*  904035 */     GIR_EraseRootFromParent_Done,
     /*  904036 */   // Label 13777: @904036
     /*  904036 */   GIM_Try, /*On fail goto*//*Label 13778*/ GIMT_Encode4(904111), // Rule ID 61857 //
     /*  904041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  904052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  904055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  904058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  904061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  904087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  904090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  904106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904109 */     GIR_RootConstrainSelectedInstOperands,
     /*  904110 */     // GIR_Coverage, 61857,
     /*  904110 */     GIR_EraseRootFromParent_Done,
     /*  904111 */   // Label 13778: @904111
     /*  904111 */   GIM_Try, /*On fail goto*//*Label 13779*/ GIMT_Encode4(904186), // Rule ID 61860 //
     /*  904116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  904127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  904130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  904133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  904136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  904162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  904165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904184 */     GIR_RootConstrainSelectedInstOperands,
     /*  904185 */     // GIR_Coverage, 61860,
     /*  904185 */     GIR_EraseRootFromParent_Done,
     /*  904186 */   // Label 13779: @904186
     /*  904186 */   GIM_Try, /*On fail goto*//*Label 13780*/ GIMT_Encode4(904261), // Rule ID 61861 //
     /*  904191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  904202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  904205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  904208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  904211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  904230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904237 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  904237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /*  904240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  904256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904259 */     GIR_RootConstrainSelectedInstOperands,
     /*  904260 */     // GIR_Coverage, 61861,
     /*  904260 */     GIR_EraseRootFromParent_Done,
     /*  904261 */   // Label 13780: @904261
     /*  904261 */   GIM_Try, /*On fail goto*//*Label 13781*/ GIMT_Encode4(904336), // Rule ID 61864 //
     /*  904266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  904277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  904280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  904283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  904286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904312 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  904312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904334 */     GIR_RootConstrainSelectedInstOperands,
     /*  904335 */     // GIR_Coverage, 61864,
     /*  904335 */     GIR_EraseRootFromParent_Done,
     /*  904336 */   // Label 13781: @904336
     /*  904336 */   GIM_Try, /*On fail goto*//*Label 13782*/ GIMT_Encode4(904411), // Rule ID 61865 //
     /*  904341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  904352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  904355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  904358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  904361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904387 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  904387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904409 */     GIR_RootConstrainSelectedInstOperands,
     /*  904410 */     // GIR_Coverage, 61865,
     /*  904410 */     GIR_EraseRootFromParent_Done,
     /*  904411 */   // Label 13782: @904411
     /*  904411 */   GIM_Try, /*On fail goto*//*Label 13783*/ GIMT_Encode4(904486), // Rule ID 61868 //
     /*  904416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  904427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  904430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  904433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  904436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904462 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  904462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904484 */     GIR_RootConstrainSelectedInstOperands,
     /*  904485 */     // GIR_Coverage, 61868,
     /*  904485 */     GIR_EraseRootFromParent_Done,
     /*  904486 */   // Label 13783: @904486
     /*  904486 */   GIM_Try, /*On fail goto*//*Label 13784*/ GIMT_Encode4(904561), // Rule ID 61869 //
     /*  904491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  904502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  904505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  904508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  904511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904537 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  904537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904559 */     GIR_RootConstrainSelectedInstOperands,
     /*  904560 */     // GIR_Coverage, 61869,
     /*  904560 */     GIR_EraseRootFromParent_Done,
     /*  904561 */   // Label 13784: @904561
     /*  904561 */   GIM_Try, /*On fail goto*//*Label 13785*/ GIMT_Encode4(904636), // Rule ID 61872 //
     /*  904566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  904577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  904580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  904583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  904586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904612 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  904612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904634 */     GIR_RootConstrainSelectedInstOperands,
     /*  904635 */     // GIR_Coverage, 61872,
     /*  904635 */     GIR_EraseRootFromParent_Done,
     /*  904636 */   // Label 13785: @904636
     /*  904636 */   GIM_Try, /*On fail goto*//*Label 13786*/ GIMT_Encode4(904711), // Rule ID 61873 //
     /*  904641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  904652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  904655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  904658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  904661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  904680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904687 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  904687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  904690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  904706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904709 */     GIR_RootConstrainSelectedInstOperands,
     /*  904710 */     // GIR_Coverage, 61873,
     /*  904710 */     GIR_EraseRootFromParent_Done,
     /*  904711 */   // Label 13786: @904711
     /*  904711 */   GIM_Try, /*On fail goto*//*Label 13787*/ GIMT_Encode4(904786), // Rule ID 61876 //
     /*  904716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  904727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  904730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  904733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  904736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904784 */     GIR_RootConstrainSelectedInstOperands,
     /*  904785 */     // GIR_Coverage, 61876,
     /*  904785 */     GIR_EraseRootFromParent_Done,
     /*  904786 */   // Label 13787: @904786
     /*  904786 */   GIM_Try, /*On fail goto*//*Label 13788*/ GIMT_Encode4(904861), // Rule ID 61877 //
     /*  904791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  904802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  904805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  904808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  904811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  904830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904837 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  904840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904859 */     GIR_RootConstrainSelectedInstOperands,
     /*  904860 */     // GIR_Coverage, 61877,
     /*  904860 */     GIR_EraseRootFromParent_Done,
     /*  904861 */   // Label 13788: @904861
     /*  904861 */   GIM_Try, /*On fail goto*//*Label 13789*/ GIMT_Encode4(904936), // Rule ID 61880 //
     /*  904866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  904869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  904877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  904880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  904883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  904886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  904889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  904912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  904928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  904931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  904934 */     GIR_RootConstrainSelectedInstOperands,
     /*  904935 */     // GIR_Coverage, 61880,
     /*  904935 */     GIR_EraseRootFromParent_Done,
     /*  904936 */   // Label 13789: @904936
     /*  904936 */   GIM_Try, /*On fail goto*//*Label 13790*/ GIMT_Encode4(905011), // Rule ID 61881 //
     /*  904941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  904944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  904949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  904952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  904955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  904958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  904961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  904964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  904980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  904987 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  904987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  904990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  904992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  904994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  904996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  904998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905009 */     GIR_RootConstrainSelectedInstOperands,
     /*  905010 */     // GIR_Coverage, 61881,
     /*  905010 */     GIR_EraseRootFromParent_Done,
     /*  905011 */   // Label 13790: @905011
     /*  905011 */   GIM_Try, /*On fail goto*//*Label 13791*/ GIMT_Encode4(905086), // Rule ID 61884 //
     /*  905016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  905027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  905030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  905033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  905036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905062 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  905062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905084 */     GIR_RootConstrainSelectedInstOperands,
     /*  905085 */     // GIR_Coverage, 61884,
     /*  905085 */     GIR_EraseRootFromParent_Done,
     /*  905086 */   // Label 13791: @905086
     /*  905086 */   GIM_Try, /*On fail goto*//*Label 13792*/ GIMT_Encode4(905161), // Rule ID 61885 //
     /*  905091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  905102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  905105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  905108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  905111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905137 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  905137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  905156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905159 */     GIR_RootConstrainSelectedInstOperands,
     /*  905160 */     // GIR_Coverage, 61885,
     /*  905160 */     GIR_EraseRootFromParent_Done,
     /*  905161 */   // Label 13792: @905161
     /*  905161 */   GIM_Try, /*On fail goto*//*Label 13793*/ GIMT_Encode4(905236), // Rule ID 61888 //
     /*  905166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  905177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  905180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  905183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  905186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905212 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  905215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905234 */     GIR_RootConstrainSelectedInstOperands,
     /*  905235 */     // GIR_Coverage, 61888,
     /*  905235 */     GIR_EraseRootFromParent_Done,
     /*  905236 */   // Label 13793: @905236
     /*  905236 */   GIM_Try, /*On fail goto*//*Label 13794*/ GIMT_Encode4(905311), // Rule ID 61889 //
     /*  905241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  905252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  905255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  905258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  905261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905287 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  905290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905309 */     GIR_RootConstrainSelectedInstOperands,
     /*  905310 */     // GIR_Coverage, 61889,
     /*  905310 */     GIR_EraseRootFromParent_Done,
     /*  905311 */   // Label 13794: @905311
     /*  905311 */   GIM_Try, /*On fail goto*//*Label 13795*/ GIMT_Encode4(905386), // Rule ID 61892 //
     /*  905316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  905327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  905330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  905333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  905336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  905365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905384 */     GIR_RootConstrainSelectedInstOperands,
     /*  905385 */     // GIR_Coverage, 61892,
     /*  905385 */     GIR_EraseRootFromParent_Done,
     /*  905386 */   // Label 13795: @905386
     /*  905386 */   GIM_Try, /*On fail goto*//*Label 13796*/ GIMT_Encode4(905461), // Rule ID 61893 //
     /*  905391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  905402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  905405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  905408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  905411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905437 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  905440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905459 */     GIR_RootConstrainSelectedInstOperands,
     /*  905460 */     // GIR_Coverage, 61893,
     /*  905460 */     GIR_EraseRootFromParent_Done,
     /*  905461 */   // Label 13796: @905461
     /*  905461 */   GIM_Try, /*On fail goto*//*Label 13797*/ GIMT_Encode4(905536), // Rule ID 61896 //
     /*  905466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  905477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  905480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  905483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905512 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  905512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905534 */     GIR_RootConstrainSelectedInstOperands,
     /*  905535 */     // GIR_Coverage, 61896,
     /*  905535 */     GIR_EraseRootFromParent_Done,
     /*  905536 */   // Label 13797: @905536
     /*  905536 */   GIM_Try, /*On fail goto*//*Label 13798*/ GIMT_Encode4(905611), // Rule ID 61897 //
     /*  905541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  905552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  905555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  905558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  905561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  905587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  905606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905609 */     GIR_RootConstrainSelectedInstOperands,
     /*  905610 */     // GIR_Coverage, 61897,
     /*  905610 */     GIR_EraseRootFromParent_Done,
     /*  905611 */   // Label 13798: @905611
     /*  905611 */   GIM_Try, /*On fail goto*//*Label 13799*/ GIMT_Encode4(905686), // Rule ID 61900 //
     /*  905616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  905627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  905630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  905633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  905636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905662 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  905665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905684 */     GIR_RootConstrainSelectedInstOperands,
     /*  905685 */     // GIR_Coverage, 61900,
     /*  905685 */     GIR_EraseRootFromParent_Done,
     /*  905686 */   // Label 13799: @905686
     /*  905686 */   GIM_Try, /*On fail goto*//*Label 13800*/ GIMT_Encode4(905761), // Rule ID 61901 //
     /*  905691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  905702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  905705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  905708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  905711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  905730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905737 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /*  905740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905759 */     GIR_RootConstrainSelectedInstOperands,
     /*  905760 */     // GIR_Coverage, 61901,
     /*  905760 */     GIR_EraseRootFromParent_Done,
     /*  905761 */   // Label 13800: @905761
     /*  905761 */   GIM_Try, /*On fail goto*//*Label 13801*/ GIMT_Encode4(905836), // Rule ID 61904 //
     /*  905766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  905780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  905783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  905786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  905815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905834 */     GIR_RootConstrainSelectedInstOperands,
     /*  905835 */     // GIR_Coverage, 61904,
     /*  905835 */     GIR_EraseRootFromParent_Done,
     /*  905836 */   // Label 13801: @905836
     /*  905836 */   GIM_Try, /*On fail goto*//*Label 13802*/ GIMT_Encode4(905911), // Rule ID 61905 //
     /*  905841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  905852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  905855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  905858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  905861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  905864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  905880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905887 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  905887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /*  905890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905909 */     GIR_RootConstrainSelectedInstOperands,
     /*  905910 */     // GIR_Coverage, 61905,
     /*  905910 */     GIR_EraseRootFromParent_Done,
     /*  905911 */   // Label 13802: @905911
     /*  905911 */   GIM_Try, /*On fail goto*//*Label 13803*/ GIMT_Encode4(905986), // Rule ID 61908 //
     /*  905916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  905919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  905927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  905930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  905933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  905936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  905939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  905955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  905962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  905962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  905965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  905967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  905969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  905971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  905973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  905978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  905981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  905984 */     GIR_RootConstrainSelectedInstOperands,
     /*  905985 */     // GIR_Coverage, 61908,
     /*  905985 */     GIR_EraseRootFromParent_Done,
     /*  905986 */   // Label 13803: @905986
     /*  905986 */   GIM_Try, /*On fail goto*//*Label 13804*/ GIMT_Encode4(906061), // Rule ID 61909 //
     /*  905991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  905994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  905999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  906002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  906005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  906008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  906011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  906030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906037 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  906037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /*  906040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  906056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906059 */     GIR_RootConstrainSelectedInstOperands,
     /*  906060 */     // GIR_Coverage, 61909,
     /*  906060 */     GIR_EraseRootFromParent_Done,
     /*  906061 */   // Label 13804: @906061
     /*  906061 */   GIM_Try, /*On fail goto*//*Label 13805*/ GIMT_Encode4(906136), // Rule ID 61912 //
     /*  906066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  906077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  906080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  906083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  906112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  906115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906134 */     GIR_RootConstrainSelectedInstOperands,
     /*  906135 */     // GIR_Coverage, 61912,
     /*  906135 */     GIR_EraseRootFromParent_Done,
     /*  906136 */   // Label 13805: @906136
     /*  906136 */   GIM_Try, /*On fail goto*//*Label 13806*/ GIMT_Encode4(906211), // Rule ID 61913 //
     /*  906141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  906152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  906155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  906158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906187 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  906187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8),
     /*  906190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906209 */     GIR_RootConstrainSelectedInstOperands,
     /*  906210 */     // GIR_Coverage, 61913,
     /*  906210 */     GIR_EraseRootFromParent_Done,
     /*  906211 */   // Label 13806: @906211
     /*  906211 */   GIM_Try, /*On fail goto*//*Label 13807*/ GIMT_Encode4(906286), // Rule ID 61916 //
     /*  906216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  906227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  906230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  906233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906262 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  906262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  906265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906284 */     GIR_RootConstrainSelectedInstOperands,
     /*  906285 */     // GIR_Coverage, 61916,
     /*  906285 */     GIR_EraseRootFromParent_Done,
     /*  906286 */   // Label 13807: @906286
     /*  906286 */   GIM_Try, /*On fail goto*//*Label 13808*/ GIMT_Encode4(906361), // Rule ID 61917 //
     /*  906291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  906302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  906305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  906308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906337 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  906337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  906340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906359 */     GIR_RootConstrainSelectedInstOperands,
     /*  906360 */     // GIR_Coverage, 61917,
     /*  906360 */     GIR_EraseRootFromParent_Done,
     /*  906361 */   // Label 13808: @906361
     /*  906361 */   GIM_Try, /*On fail goto*//*Label 13809*/ GIMT_Encode4(906436), // Rule ID 61920 //
     /*  906366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  906377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  906380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  906383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906412 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  906412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906434 */     GIR_RootConstrainSelectedInstOperands,
     /*  906435 */     // GIR_Coverage, 61920,
     /*  906435 */     GIR_EraseRootFromParent_Done,
     /*  906436 */   // Label 13809: @906436
     /*  906436 */   GIM_Try, /*On fail goto*//*Label 13810*/ GIMT_Encode4(906511), // Rule ID 61921 //
     /*  906441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  906452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  906455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  906458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906487 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  906487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  906506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906509 */     GIR_RootConstrainSelectedInstOperands,
     /*  906510 */     // GIR_Coverage, 61921,
     /*  906510 */     GIR_EraseRootFromParent_Done,
     /*  906511 */   // Label 13810: @906511
     /*  906511 */   GIM_Try, /*On fail goto*//*Label 13811*/ GIMT_Encode4(906586), // Rule ID 61924 //
     /*  906516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  906530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  906562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  906565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906584 */     GIR_RootConstrainSelectedInstOperands,
     /*  906585 */     // GIR_Coverage, 61924,
     /*  906585 */     GIR_EraseRootFromParent_Done,
     /*  906586 */   // Label 13811: @906586
     /*  906586 */   GIM_Try, /*On fail goto*//*Label 13812*/ GIMT_Encode4(906661), // Rule ID 61925 //
     /*  906591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  906602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  906605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  906608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906637 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  906637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4),
     /*  906640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906659 */     GIR_RootConstrainSelectedInstOperands,
     /*  906660 */     // GIR_Coverage, 61925,
     /*  906660 */     GIR_EraseRootFromParent_Done,
     /*  906661 */   // Label 13812: @906661
     /*  906661 */   GIM_Try, /*On fail goto*//*Label 13813*/ GIMT_Encode4(906736), // Rule ID 61928 //
     /*  906666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  906680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  906712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906734 */     GIR_RootConstrainSelectedInstOperands,
     /*  906735 */     // GIR_Coverage, 61928,
     /*  906735 */     GIR_EraseRootFromParent_Done,
     /*  906736 */   // Label 13813: @906736
     /*  906736 */   GIM_Try, /*On fail goto*//*Label 13814*/ GIMT_Encode4(906811), // Rule ID 61929 //
     /*  906741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  906752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  906755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  906758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906787 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  906787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  906806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906809 */     GIR_RootConstrainSelectedInstOperands,
     /*  906810 */     // GIR_Coverage, 61929,
     /*  906810 */     GIR_EraseRootFromParent_Done,
     /*  906811 */   // Label 13814: @906811
     /*  906811 */   GIM_Try, /*On fail goto*//*Label 13815*/ GIMT_Encode4(906886), // Rule ID 61932 //
     /*  906816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  906862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906884 */     GIR_RootConstrainSelectedInstOperands,
     /*  906885 */     // GIR_Coverage, 61932,
     /*  906885 */     GIR_EraseRootFromParent_Done,
     /*  906886 */   // Label 13815: @906886
     /*  906886 */   GIM_Try, /*On fail goto*//*Label 13816*/ GIMT_Encode4(906961), // Rule ID 61933 //
     /*  906891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  906894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  906902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  906905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  906908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  906911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  906914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  906930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  906937 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  906937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2),
     /*  906940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  906942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  906944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  906946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  906948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  906953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  906956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  906959 */     GIR_RootConstrainSelectedInstOperands,
     /*  906960 */     // GIR_Coverage, 61933,
     /*  906960 */     GIR_EraseRootFromParent_Done,
     /*  906961 */   // Label 13816: @906961
     /*  906961 */   GIM_Try, /*On fail goto*//*Label 13817*/ GIMT_Encode4(907036), // Rule ID 61936 //
     /*  906966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  906969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  906974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  906977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  906980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  906983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  906986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  906989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  906997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907034 */     GIR_RootConstrainSelectedInstOperands,
     /*  907035 */     // GIR_Coverage, 61936,
     /*  907035 */     GIR_EraseRootFromParent_Done,
     /*  907036 */   // Label 13817: @907036
     /*  907036 */   GIM_Try, /*On fail goto*//*Label 13818*/ GIMT_Encode4(907111), // Rule ID 61937 //
     /*  907041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  907052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  907055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  907058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907087 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11527:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907109 */     GIR_RootConstrainSelectedInstOperands,
     /*  907110 */     // GIR_Coverage, 61937,
     /*  907110 */     GIR_EraseRootFromParent_Done,
     /*  907111 */   // Label 13818: @907111
     /*  907111 */   GIM_Try, /*On fail goto*//*Label 13819*/ GIMT_Encode4(907186), // Rule ID 61940 //
     /*  907116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  907127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  907130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  907133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  907162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907184 */     GIR_RootConstrainSelectedInstOperands,
     /*  907185 */     // GIR_Coverage, 61940,
     /*  907185 */     GIR_EraseRootFromParent_Done,
     /*  907186 */   // Label 13819: @907186
     /*  907186 */   GIM_Try, /*On fail goto*//*Label 13820*/ GIMT_Encode4(907261), // Rule ID 61941 //
     /*  907191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  907202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  907205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  907208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907237 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11527:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  907237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  907256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907259 */     GIR_RootConstrainSelectedInstOperands,
     /*  907260 */     // GIR_Coverage, 61941,
     /*  907260 */     GIR_EraseRootFromParent_Done,
     /*  907261 */   // Label 13820: @907261
     /*  907261 */   GIM_Try, /*On fail goto*//*Label 13821*/ GIMT_Encode4(907336), // Rule ID 61944 //
     /*  907266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  907280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  907312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907334 */     GIR_RootConstrainSelectedInstOperands,
     /*  907335 */     // GIR_Coverage, 61944,
     /*  907335 */     GIR_EraseRootFromParent_Done,
     /*  907336 */   // Label 13821: @907336
     /*  907336 */   GIM_Try, /*On fail goto*//*Label 13822*/ GIMT_Encode4(907411), // Rule ID 61945 //
     /*  907341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  907352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  907355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  907358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11527:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  907387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  907406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907409 */     GIR_RootConstrainSelectedInstOperands,
     /*  907410 */     // GIR_Coverage, 61945,
     /*  907410 */     GIR_EraseRootFromParent_Done,
     /*  907411 */   // Label 13822: @907411
     /*  907411 */   GIM_Try, /*On fail goto*//*Label 13823*/ GIMT_Encode4(907486), // Rule ID 61948 //
     /*  907416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  907430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907462 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  907462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907484 */     GIR_RootConstrainSelectedInstOperands,
     /*  907485 */     // GIR_Coverage, 61948,
     /*  907485 */     GIR_EraseRootFromParent_Done,
     /*  907486 */   // Label 13823: @907486
     /*  907486 */   GIM_Try, /*On fail goto*//*Label 13824*/ GIMT_Encode4(907561), // Rule ID 61949 //
     /*  907491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  907502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  907505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  907508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  907526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11527:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  907537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1),
     /*  907540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  907556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907559 */     GIR_RootConstrainSelectedInstOperands,
     /*  907560 */     // GIR_Coverage, 61949,
     /*  907560 */     GIR_EraseRootFromParent_Done,
     /*  907561 */   // Label 13824: @907561
     /*  907561 */   GIM_Try, /*On fail goto*//*Label 13825*/ GIMT_Encode4(907636), // Rule ID 61952 //
     /*  907566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  907580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907612 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907634 */     GIR_RootConstrainSelectedInstOperands,
     /*  907635 */     // GIR_Coverage, 61952,
     /*  907635 */     GIR_EraseRootFromParent_Done,
     /*  907636 */   // Label 13825: @907636
     /*  907636 */   GIM_Try, /*On fail goto*//*Label 13826*/ GIMT_Encode4(907711), // Rule ID 61953 //
     /*  907641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  907652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  907655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  907658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  907676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907687 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  907690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907709 */     GIR_RootConstrainSelectedInstOperands,
     /*  907710 */     // GIR_Coverage, 61953,
     /*  907710 */     GIR_EraseRootFromParent_Done,
     /*  907711 */   // Label 13826: @907711
     /*  907711 */   GIM_Try, /*On fail goto*//*Label 13827*/ GIMT_Encode4(907786), // Rule ID 61956 //
     /*  907716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  907730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907762 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907784 */     GIR_RootConstrainSelectedInstOperands,
     /*  907785 */     // GIR_Coverage, 61956,
     /*  907785 */     GIR_EraseRootFromParent_Done,
     /*  907786 */   // Label 13827: @907786
     /*  907786 */   GIM_Try, /*On fail goto*//*Label 13828*/ GIMT_Encode4(907861), // Rule ID 61957 //
     /*  907791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  907802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  907805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  907808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  907826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907837 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  907840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907859 */     GIR_RootConstrainSelectedInstOperands,
     /*  907860 */     // GIR_Coverage, 61957,
     /*  907860 */     GIR_EraseRootFromParent_Done,
     /*  907861 */   // Label 13828: @907861
     /*  907861 */   GIM_Try, /*On fail goto*//*Label 13829*/ GIMT_Encode4(907936), // Rule ID 61960 //
     /*  907866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  907869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  907880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  907886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  907889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907912 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  907912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  907928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  907931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  907934 */     GIR_RootConstrainSelectedInstOperands,
     /*  907935 */     // GIR_Coverage, 61960,
     /*  907935 */     GIR_EraseRootFromParent_Done,
     /*  907936 */   // Label 13829: @907936
     /*  907936 */   GIM_Try, /*On fail goto*//*Label 13830*/ GIMT_Encode4(908011), // Rule ID 61961 //
     /*  907941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  907944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  907949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  907952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  907955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  907958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  907961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  907964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  907976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  907980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  907987 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  907987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  907990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  907992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  907994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  907996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  907998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  908006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908009 */     GIR_RootConstrainSelectedInstOperands,
     /*  908010 */     // GIR_Coverage, 61961,
     /*  908010 */     GIR_EraseRootFromParent_Done,
     /*  908011 */   // Label 13830: @908011
     /*  908011 */   GIM_Try, /*On fail goto*//*Label 13831*/ GIMT_Encode4(908086), // Rule ID 61964 //
     /*  908016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  908027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  908030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  908062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908084 */     GIR_RootConstrainSelectedInstOperands,
     /*  908085 */     // GIR_Coverage, 61964,
     /*  908085 */     GIR_EraseRootFromParent_Done,
     /*  908086 */   // Label 13831: @908086
     /*  908086 */   GIM_Try, /*On fail goto*//*Label 13832*/ GIMT_Encode4(908161), // Rule ID 61965 //
     /*  908091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  908102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  908105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  908108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908137 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  908137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908159 */     GIR_RootConstrainSelectedInstOperands,
     /*  908160 */     // GIR_Coverage, 61965,
     /*  908160 */     GIR_EraseRootFromParent_Done,
     /*  908161 */   // Label 13832: @908161
     /*  908161 */   GIM_Try, /*On fail goto*//*Label 13833*/ GIMT_Encode4(908236), // Rule ID 61968 //
     /*  908166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  908180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  908212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908234 */     GIR_RootConstrainSelectedInstOperands,
     /*  908235 */     // GIR_Coverage, 61968,
     /*  908235 */     GIR_EraseRootFromParent_Done,
     /*  908236 */   // Label 13833: @908236
     /*  908236 */   GIM_Try, /*On fail goto*//*Label 13834*/ GIMT_Encode4(908311), // Rule ID 61969 //
     /*  908241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  908252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  908255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  908258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908287 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  908287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908309 */     GIR_RootConstrainSelectedInstOperands,
     /*  908310 */     // GIR_Coverage, 61969,
     /*  908310 */     GIR_EraseRootFromParent_Done,
     /*  908311 */   // Label 13834: @908311
     /*  908311 */   GIM_Try, /*On fail goto*//*Label 13835*/ GIMT_Encode4(908386), // Rule ID 61972 //
     /*  908316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  908330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908362 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  908362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908384 */     GIR_RootConstrainSelectedInstOperands,
     /*  908385 */     // GIR_Coverage, 61972,
     /*  908385 */     GIR_EraseRootFromParent_Done,
     /*  908386 */   // Label 13835: @908386
     /*  908386 */   GIM_Try, /*On fail goto*//*Label 13836*/ GIMT_Encode4(908461), // Rule ID 61973 //
     /*  908391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  908402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  908405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  908408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908437 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  908437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  908456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908459 */     GIR_RootConstrainSelectedInstOperands,
     /*  908460 */     // GIR_Coverage, 61973,
     /*  908460 */     GIR_EraseRootFromParent_Done,
     /*  908461 */   // Label 13836: @908461
     /*  908461 */   GIM_Try, /*On fail goto*//*Label 13837*/ GIMT_Encode4(908536), // Rule ID 61976 //
     /*  908466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908534 */     GIR_RootConstrainSelectedInstOperands,
     /*  908535 */     // GIR_Coverage, 61976,
     /*  908535 */     GIR_EraseRootFromParent_Done,
     /*  908536 */   // Label 13837: @908536
     /*  908536 */   GIM_Try, /*On fail goto*//*Label 13838*/ GIMT_Encode4(908611), // Rule ID 61977 //
     /*  908541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  908552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  908555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  908558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908587 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908609 */     GIR_RootConstrainSelectedInstOperands,
     /*  908610 */     // GIR_Coverage, 61977,
     /*  908610 */     GIR_EraseRootFromParent_Done,
     /*  908611 */   // Label 13838: @908611
     /*  908611 */   GIM_Try, /*On fail goto*//*Label 13839*/ GIMT_Encode4(908686), // Rule ID 61980 //
     /*  908616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  908630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908662 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908684 */     GIR_RootConstrainSelectedInstOperands,
     /*  908685 */     // GIR_Coverage, 61980,
     /*  908685 */     GIR_EraseRootFromParent_Done,
     /*  908686 */   // Label 13839: @908686
     /*  908686 */   GIM_Try, /*On fail goto*//*Label 13840*/ GIMT_Encode4(908761), // Rule ID 61981 //
     /*  908691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  908702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  908705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  908708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  908726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908737 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  908740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908759 */     GIR_RootConstrainSelectedInstOperands,
     /*  908760 */     // GIR_Coverage, 61981,
     /*  908760 */     GIR_EraseRootFromParent_Done,
     /*  908761 */   // Label 13840: @908761
     /*  908761 */   GIM_Try, /*On fail goto*//*Label 13841*/ GIMT_Encode4(908836), // Rule ID 61984 //
     /*  908766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  908780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908812 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  908812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908834 */     GIR_RootConstrainSelectedInstOperands,
     /*  908835 */     // GIR_Coverage, 61984,
     /*  908835 */     GIR_EraseRootFromParent_Done,
     /*  908836 */   // Label 13841: @908836
     /*  908836 */   GIM_Try, /*On fail goto*//*Label 13842*/ GIMT_Encode4(908911), // Rule ID 61985 //
     /*  908841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  908852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  908855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  908858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  908861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  908864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  908876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  908887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  908890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  908906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908909 */     GIR_RootConstrainSelectedInstOperands,
     /*  908910 */     // GIR_Coverage, 61985,
     /*  908910 */     GIR_EraseRootFromParent_Done,
     /*  908911 */   // Label 13842: @908911
     /*  908911 */   GIM_Try, /*On fail goto*//*Label 13843*/ GIMT_Encode4(908986), // Rule ID 61988 //
     /*  908916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  908919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  908927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  908930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  908933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  908936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  908939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  908951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  908955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  908962 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  908962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  908965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  908967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  908969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  908971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  908973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  908978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  908981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  908984 */     GIR_RootConstrainSelectedInstOperands,
     /*  908985 */     // GIR_Coverage, 61988,
     /*  908985 */     GIR_EraseRootFromParent_Done,
     /*  908986 */   // Label 13843: @908986
     /*  908986 */   GIM_Try, /*On fail goto*//*Label 13844*/ GIMT_Encode4(909061), // Rule ID 61989 //
     /*  908991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  908994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  908999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  909002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  909005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  909008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909037 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11527:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  909037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2),
     /*  909040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909059 */     GIR_RootConstrainSelectedInstOperands,
     /*  909060 */     // GIR_Coverage, 61989,
     /*  909060 */     GIR_EraseRootFromParent_Done,
     /*  909061 */   // Label 13844: @909061
     /*  909061 */   GIM_Try, /*On fail goto*//*Label 13845*/ GIMT_Encode4(909136), // Rule ID 61992 //
     /*  909066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  909069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  909074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  909080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909112 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  909112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  909115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909134 */     GIR_RootConstrainSelectedInstOperands,
     /*  909135 */     // GIR_Coverage, 61992,
     /*  909135 */     GIR_EraseRootFromParent_Done,
     /*  909136 */   // Label 13845: @909136
     /*  909136 */   GIM_Try, /*On fail goto*//*Label 13846*/ GIMT_Encode4(909211), // Rule ID 61993 //
     /*  909141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  909144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  909149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  909152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  909155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  909158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11527:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  909187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4),
     /*  909190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909209 */     GIR_RootConstrainSelectedInstOperands,
     /*  909210 */     // GIR_Coverage, 61993,
     /*  909210 */     GIR_EraseRootFromParent_Done,
     /*  909211 */   // Label 13846: @909211
     /*  909211 */   GIM_Try, /*On fail goto*//*Label 13847*/ GIMT_Encode4(909286), // Rule ID 61996 //
     /*  909216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /*  909219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  909224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  909230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  909236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  909262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  909265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909284 */     GIR_RootConstrainSelectedInstOperands,
     /*  909285 */     // GIR_Coverage, 61996,
     /*  909285 */     GIR_EraseRootFromParent_Done,
     /*  909286 */   // Label 13847: @909286
     /*  909286 */   GIM_Try, /*On fail goto*//*Label 13848*/ GIMT_Encode4(909361), // Rule ID 61997 //
     /*  909291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /*  909294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror),
     /*  909299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  909302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  909305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  909308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909337 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11527:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVROR_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  909337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8),
     /*  909340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  909356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909359 */     GIR_RootConstrainSelectedInstOperands,
     /*  909360 */     // GIR_Coverage, 61997,
     /*  909360 */     GIR_EraseRootFromParent_Done,
     /*  909361 */   // Label 13848: @909361
     /*  909361 */   GIM_Try, /*On fail goto*//*Label 13849*/ GIMT_Encode4(909436), // Rule ID 62440 //
     /*  909366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  909369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  909377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  909380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  909383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  909386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909412 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  909415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909434 */     GIR_RootConstrainSelectedInstOperands,
     /*  909435 */     // GIR_Coverage, 62440,
     /*  909435 */     GIR_EraseRootFromParent_Done,
     /*  909436 */   // Label 13849: @909436
     /*  909436 */   GIM_Try, /*On fail goto*//*Label 13850*/ GIMT_Encode4(909511), // Rule ID 62441 //
     /*  909441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  909452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  909455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  909458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  909461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  909480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909487 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11557:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M1),
     /*  909490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909509 */     GIR_RootConstrainSelectedInstOperands,
     /*  909510 */     // GIR_Coverage, 62441,
     /*  909510 */     GIR_EraseRootFromParent_Done,
     /*  909511 */   // Label 13850: @909511
     /*  909511 */   GIM_Try, /*On fail goto*//*Label 13851*/ GIMT_Encode4(909586), // Rule ID 62442 //
     /*  909516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  909519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  909530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  909536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909562 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  909565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909584 */     GIR_RootConstrainSelectedInstOperands,
     /*  909585 */     // GIR_Coverage, 62442,
     /*  909585 */     GIR_EraseRootFromParent_Done,
     /*  909586 */   // Label 13851: @909586
     /*  909586 */   GIM_Try, /*On fail goto*//*Label 13852*/ GIMT_Encode4(909661), // Rule ID 62443 //
     /*  909591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  909602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  909605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  909608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  909611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  909630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909637 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11557:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M2),
     /*  909640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909659 */     GIR_RootConstrainSelectedInstOperands,
     /*  909660 */     // GIR_Coverage, 62443,
     /*  909660 */     GIR_EraseRootFromParent_Done,
     /*  909661 */   // Label 13852: @909661
     /*  909661 */   GIM_Try, /*On fail goto*//*Label 13853*/ GIMT_Encode4(909736), // Rule ID 62444 //
     /*  909666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  909669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  909680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  909686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909712 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  909715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909734 */     GIR_RootConstrainSelectedInstOperands,
     /*  909735 */     // GIR_Coverage, 62444,
     /*  909735 */     GIR_EraseRootFromParent_Done,
     /*  909736 */   // Label 13853: @909736
     /*  909736 */   GIM_Try, /*On fail goto*//*Label 13854*/ GIMT_Encode4(909811), // Rule ID 62445 //
     /*  909741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  909752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  909755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  909758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  909761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  909780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909787 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11557:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M4),
     /*  909790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909809 */     GIR_RootConstrainSelectedInstOperands,
     /*  909810 */     // GIR_Coverage, 62445,
     /*  909810 */     GIR_EraseRootFromParent_Done,
     /*  909811 */   // Label 13854: @909811
     /*  909811 */   GIM_Try, /*On fail goto*//*Label 13855*/ GIMT_Encode4(909886), // Rule ID 62446 //
     /*  909816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  909819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  909830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  909836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  909839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909862 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  909862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  909865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909884 */     GIR_RootConstrainSelectedInstOperands,
     /*  909885 */     // GIR_Coverage, 62446,
     /*  909885 */     GIR_EraseRootFromParent_Done,
     /*  909886 */   // Label 13855: @909886
     /*  909886 */   GIM_Try, /*On fail goto*//*Label 13856*/ GIMT_Encode4(909961), // Rule ID 62447 //
     /*  909891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  909894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3me),
     /*  909899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  909902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  909905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  909908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  909911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  909914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  909930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  909937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11557:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSM3ME_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  909937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3ME_VV_M8),
     /*  909940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  909942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  909944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  909946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  909948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  909953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  909956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  909959 */     GIR_RootConstrainSelectedInstOperands,
     /*  909960 */     // GIR_Coverage, 62447,
     /*  909960 */     GIR_EraseRootFromParent_Done,
     /*  909961 */   // Label 13856: @909961
     /*  909961 */   GIM_Try, /*On fail goto*//*Label 13857*/ GIMT_Encode4(910025), // Rule ID 64516 //
     /*  909966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  909969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuN),
     /*  909974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  909977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  909980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  909983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  909986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  909998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910002 */     // MIs[0] imm5
     /*  910002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910005 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  910010 */     // (intrinsic_wo_chain:{ *:[i32] } 10995:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  910010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACUN),
     /*  910013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  910017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  910019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  910021 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  910023 */     GIR_RootConstrainSelectedInstOperands,
     /*  910024 */     // GIR_Coverage, 64516,
     /*  910024 */     GIR_EraseRootFromParent_Done,
     /*  910025 */   // Label 13857: @910025
     /*  910025 */   GIM_Try, /*On fail goto*//*Label 13858*/ GIMT_Encode4(910089), // Rule ID 64517 //
     /*  910030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  910033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuN),
     /*  910038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  910041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  910044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  910047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910066 */     // MIs[0] imm5
     /*  910066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910069 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  910074 */     // (intrinsic_wo_chain:{ *:[i32] } 10991:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHUN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  910074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHUN),
     /*  910077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  910081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  910083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  910085 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  910087 */     GIR_RootConstrainSelectedInstOperands,
     /*  910088 */     // GIR_Coverage, 64517,
     /*  910088 */     GIR_EraseRootFromParent_Done,
     /*  910089 */   // Label 13858: @910089
     /*  910089 */   GIM_Try, /*On fail goto*//*Label 13859*/ GIMT_Encode4(910153), // Rule ID 64518 //
     /*  910094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  910097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsN),
     /*  910102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  910105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  910108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  910111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910130 */     // MIs[0] imm5
     /*  910130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  910138 */     // (intrinsic_wo_chain:{ *:[i32] } 10993:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  910138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSN),
     /*  910141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  910145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  910147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  910149 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  910151 */     GIR_RootConstrainSelectedInstOperands,
     /*  910152 */     // GIR_Coverage, 64518,
     /*  910152 */     GIR_EraseRootFromParent_Done,
     /*  910153 */   // Label 13859: @910153
     /*  910153 */   GIM_Try, /*On fail goto*//*Label 13860*/ GIMT_Encode4(910217), // Rule ID 64519 //
     /*  910158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  910161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsN),
     /*  910166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  910169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  910172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  910175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910194 */     // MIs[0] imm5
     /*  910194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  910202 */     // (intrinsic_wo_chain:{ *:[i32] } 10989:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  910202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSN),
     /*  910205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  910209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  910211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  910213 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  910215 */     GIR_RootConstrainSelectedInstOperands,
     /*  910216 */     // GIR_Coverage, 64519,
     /*  910216 */     GIR_EraseRootFromParent_Done,
     /*  910217 */   // Label 13860: @910217
     /*  910217 */   GIM_Try, /*On fail goto*//*Label 13861*/ GIMT_Encode4(910281), // Rule ID 64520 //
     /*  910222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  910225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macuRN),
     /*  910230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  910233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  910236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  910239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910258 */     // MIs[0] imm5
     /*  910258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  910266 */     // (intrinsic_wo_chain:{ *:[i32] } 10996:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  910266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACURN),
     /*  910269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  910273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  910275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  910277 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  910279 */     GIR_RootConstrainSelectedInstOperands,
     /*  910280 */     // GIR_Coverage, 64520,
     /*  910280 */     GIR_EraseRootFromParent_Done,
     /*  910281 */   // Label 13861: @910281
     /*  910281 */   GIM_Try, /*On fail goto*//*Label 13862*/ GIMT_Encode4(910345), // Rule ID 64521 //
     /*  910286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  910289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhuRN),
     /*  910294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  910297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  910300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  910303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910322 */     // MIs[0] imm5
     /*  910322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  910330 */     // (intrinsic_wo_chain:{ *:[i32] } 10992:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHURN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  910330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHURN),
     /*  910333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  910337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  910339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  910341 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  910343 */     GIR_RootConstrainSelectedInstOperands,
     /*  910344 */     // GIR_Coverage, 64521,
     /*  910344 */     GIR_EraseRootFromParent_Done,
     /*  910345 */   // Label 13862: @910345
     /*  910345 */   GIM_Try, /*On fail goto*//*Label 13863*/ GIMT_Encode4(910409), // Rule ID 64522 //
     /*  910350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  910353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_macsRN),
     /*  910358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  910361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  910364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  910367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910386 */     // MIs[0] imm5
     /*  910386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910389 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  910394 */     // (intrinsic_wo_chain:{ *:[i32] } 10994:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  910394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACSRN),
     /*  910397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  910401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  910403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  910405 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  910407 */     GIR_RootConstrainSelectedInstOperands,
     /*  910408 */     // GIR_Coverage, 64522,
     /*  910408 */     GIR_EraseRootFromParent_Done,
     /*  910409 */   // Label 13863: @910409
     /*  910409 */   GIM_Try, /*On fail goto*//*Label 13864*/ GIMT_Encode4(910473), // Rule ID 64523 //
     /*  910414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVmac_HwMode1),
     /*  910417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_cv_mac_machhsRN),
     /*  910422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /*  910425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /*  910428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /*  910431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  910434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  910450 */     // MIs[0] imm5
     /*  910450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910453 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_cv_tuimm5),
     /*  910458 */     // (intrinsic_wo_chain:{ *:[i32] } 10990:{ *:[iPTR] }, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rd, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)  =>  (CV_MACHHSRN:{ *:[i32] } GPR:{ *:[i32] }:$rd, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] })<<P:Predicate_cv_tuimm5>>:$imm5)
     /*  910458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_MACHHSRN),
     /*  910461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  910463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rd
     /*  910465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /*  910467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  910469 */     GIR_RootToRootCopy, /*OpIdx*/5, // imm5
     /*  910471 */     GIR_RootConstrainSelectedInstOperands,
     /*  910472 */     // GIR_Coverage, 64523,
     /*  910472 */     GIR_EraseRootFromParent_Done,
     /*  910473 */   // Label 13864: @910473
     /*  910473 */   GIM_Reject,
     /*  910474 */ // Label 7018: @910474
     /*  910474 */ GIM_Try, /*On fail goto*//*Label 13865*/ GIMT_Encode4(1406025),
     /*  910479 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /*  910482 */   GIM_Try, /*On fail goto*//*Label 13866*/ GIMT_Encode4(910565), // Rule ID 62855 //
     /*  910487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  910498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  910501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  910504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910511 */     // MIs[0] op1
     /*  910511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910527 */     // MIs[0] op4
     /*  910527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910530 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  910545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910547 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910549 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910551 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910553 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910563 */     GIR_RootConstrainSelectedInstOperands,
     /*  910564 */     // GIR_Coverage, 62855,
     /*  910564 */     GIR_EraseRootFromParent_Done,
     /*  910565 */   // Label 13866: @910565
     /*  910565 */   GIM_Try, /*On fail goto*//*Label 13867*/ GIMT_Encode4(910648), // Rule ID 62856 //
     /*  910570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  910581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  910584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  910587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910594 */     // MIs[0] op1
     /*  910594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910610 */     // MIs[0] op4
     /*  910610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910613 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910625 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF8),
     /*  910628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910630 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910632 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910634 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910636 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910646 */     GIR_RootConstrainSelectedInstOperands,
     /*  910647 */     // GIR_Coverage, 62856,
     /*  910647 */     GIR_EraseRootFromParent_Done,
     /*  910648 */   // Label 13867: @910648
     /*  910648 */   GIM_Try, /*On fail goto*//*Label 13868*/ GIMT_Encode4(910731), // Rule ID 62899 //
     /*  910653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  910664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  910667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  910670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910677 */     // MIs[0] op1
     /*  910677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910693 */     // MIs[0] op4
     /*  910693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910696 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910708 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910713 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910715 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910717 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910719 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910729 */     GIR_RootConstrainSelectedInstOperands,
     /*  910730 */     // GIR_Coverage, 62899,
     /*  910730 */     GIR_EraseRootFromParent_Done,
     /*  910731 */   // Label 13868: @910731
     /*  910731 */   GIM_Try, /*On fail goto*//*Label 13869*/ GIMT_Encode4(910814), // Rule ID 62900 //
     /*  910736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  910747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  910750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  910753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910760 */     // MIs[0] op1
     /*  910760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910776 */     // MIs[0] op4
     /*  910776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910779 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910791 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  910794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910796 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910798 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910800 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910802 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910812 */     GIR_RootConstrainSelectedInstOperands,
     /*  910813 */     // GIR_Coverage, 62900,
     /*  910813 */     GIR_EraseRootFromParent_Done,
     /*  910814 */   // Label 13869: @910814
     /*  910814 */   GIM_Try, /*On fail goto*//*Label 13870*/ GIMT_Encode4(910897), // Rule ID 62943 //
     /*  910819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  910830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  910833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  910836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  910839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910843 */     // MIs[0] op1
     /*  910843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910859 */     // MIs[0] op4
     /*  910859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910862 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910874 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  910874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910879 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910881 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910883 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910885 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910895 */     GIR_RootConstrainSelectedInstOperands,
     /*  910896 */     // GIR_Coverage, 62943,
     /*  910896 */     GIR_EraseRootFromParent_Done,
     /*  910897 */   // Label 13870: @910897
     /*  910897 */   GIM_Try, /*On fail goto*//*Label 13871*/ GIMT_Encode4(910980), // Rule ID 62944 //
     /*  910902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  910905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  910913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  910916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  910919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  910922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910926 */     // MIs[0] op1
     /*  910926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  910929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  910934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  910942 */     // MIs[0] op4
     /*  910942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  910945 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  910950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  910957 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  910957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  910960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  910962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  910964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  910966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  910968 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  910970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  910975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  910978 */     GIR_RootConstrainSelectedInstOperands,
     /*  910979 */     // GIR_Coverage, 62944,
     /*  910979 */     GIR_EraseRootFromParent_Done,
     /*  910980 */   // Label 13871: @910980
     /*  910980 */   GIM_Try, /*On fail goto*//*Label 13872*/ GIMT_Encode4(911063), // Rule ID 62987 //
     /*  910985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  910988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  910993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  910996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  910999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  911002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911009 */     // MIs[0] op1
     /*  911009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911025 */     // MIs[0] op4
     /*  911025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911028 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911040 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  911043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911045 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911047 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911049 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911051 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911061 */     GIR_RootConstrainSelectedInstOperands,
     /*  911062 */     // GIR_Coverage, 62987,
     /*  911062 */     GIR_EraseRootFromParent_Done,
     /*  911063 */   // Label 13872: @911063
     /*  911063 */   GIM_Try, /*On fail goto*//*Label 13873*/ GIMT_Encode4(911146), // Rule ID 62988 //
     /*  911068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  911079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  911082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  911085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911092 */     // MIs[0] op1
     /*  911092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911108 */     // MIs[0] op4
     /*  911108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911111 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911123 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF4),
     /*  911126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911128 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911130 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911132 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911134 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911144 */     GIR_RootConstrainSelectedInstOperands,
     /*  911145 */     // GIR_Coverage, 62988,
     /*  911145 */     GIR_EraseRootFromParent_Done,
     /*  911146 */   // Label 13873: @911146
     /*  911146 */   GIM_Try, /*On fail goto*//*Label 13874*/ GIMT_Encode4(911229), // Rule ID 63043 //
     /*  911151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  911162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  911165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  911168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911175 */     // MIs[0] op1
     /*  911175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911191 */     // MIs[0] op4
     /*  911191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911194 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  911209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911211 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911213 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911215 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911217 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911227 */     GIR_RootConstrainSelectedInstOperands,
     /*  911228 */     // GIR_Coverage, 63043,
     /*  911228 */     GIR_EraseRootFromParent_Done,
     /*  911229 */   // Label 13874: @911229
     /*  911229 */   GIM_Try, /*On fail goto*//*Label 13875*/ GIMT_Encode4(911312), // Rule ID 63044 //
     /*  911234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  911245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  911248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  911251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911258 */     // MIs[0] op1
     /*  911258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911274 */     // MIs[0] op4
     /*  911274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911289 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  911292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911300 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911310 */     GIR_RootConstrainSelectedInstOperands,
     /*  911311 */     // GIR_Coverage, 63044,
     /*  911311 */     GIR_EraseRootFromParent_Done,
     /*  911312 */   // Label 13875: @911312
     /*  911312 */   GIM_Try, /*On fail goto*//*Label 13876*/ GIMT_Encode4(911395), // Rule ID 63099 //
     /*  911317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  911334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911341 */     // MIs[0] op1
     /*  911341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911357 */     // MIs[0] op4
     /*  911357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911360 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911372 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  911375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911377 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911379 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911381 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911383 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911393 */     GIR_RootConstrainSelectedInstOperands,
     /*  911394 */     // GIR_Coverage, 63099,
     /*  911394 */     GIR_EraseRootFromParent_Done,
     /*  911395 */   // Label 13876: @911395
     /*  911395 */   GIM_Try, /*On fail goto*//*Label 13877*/ GIMT_Encode4(911478), // Rule ID 63100 //
     /*  911400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  911411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  911414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  911417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911424 */     // MIs[0] op1
     /*  911424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911440 */     // MIs[0] op4
     /*  911440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911455 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_MF2),
     /*  911458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911460 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911462 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911464 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911466 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911476 */     GIR_RootConstrainSelectedInstOperands,
     /*  911477 */     // GIR_Coverage, 63100,
     /*  911477 */     GIR_EraseRootFromParent_Done,
     /*  911478 */   // Label 13877: @911478
     /*  911478 */   GIM_Try, /*On fail goto*//*Label 13878*/ GIMT_Encode4(911561), // Rule ID 63155 //
     /*  911483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  911494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  911497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  911500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911507 */     // MIs[0] op1
     /*  911507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911523 */     // MIs[0] op4
     /*  911523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911526 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911538 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  911538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911543 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911545 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911547 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911549 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911559 */     GIR_RootConstrainSelectedInstOperands,
     /*  911560 */     // GIR_Coverage, 63155,
     /*  911560 */     GIR_EraseRootFromParent_Done,
     /*  911561 */   // Label 13878: @911561
     /*  911561 */   GIM_Try, /*On fail goto*//*Label 13879*/ GIMT_Encode4(911644), // Rule ID 63156 //
     /*  911566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  911577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  911580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  911583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911590 */     // MIs[0] op1
     /*  911590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911606 */     // MIs[0] op4
     /*  911606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911621 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  911621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911626 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911628 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911630 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911632 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  911642 */     GIR_RootConstrainSelectedInstOperands,
     /*  911643 */     // GIR_Coverage, 63156,
     /*  911643 */     GIR_EraseRootFromParent_Done,
     /*  911644 */   // Label 13879: @911644
     /*  911644 */   GIM_Try, /*On fail goto*//*Label 13880*/ GIMT_Encode4(911727), // Rule ID 63199 //
     /*  911649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  911660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  911663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911673 */     // MIs[0] op1
     /*  911673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911689 */     // MIs[0] op4
     /*  911689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911692 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911704 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  911704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911709 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911711 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911713 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911715 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911725 */     GIR_RootConstrainSelectedInstOperands,
     /*  911726 */     // GIR_Coverage, 63199,
     /*  911726 */     GIR_EraseRootFromParent_Done,
     /*  911727 */   // Label 13880: @911727
     /*  911727 */   GIM_Try, /*On fail goto*//*Label 13881*/ GIMT_Encode4(911810), // Rule ID 63200 //
     /*  911732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  911743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  911746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  911749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911756 */     // MIs[0] op1
     /*  911756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911772 */     // MIs[0] op4
     /*  911772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911775 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911787 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  911787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911792 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911794 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911796 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911798 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  911808 */     GIR_RootConstrainSelectedInstOperands,
     /*  911809 */     // GIR_Coverage, 63200,
     /*  911809 */     GIR_EraseRootFromParent_Done,
     /*  911810 */   // Label 13881: @911810
     /*  911810 */   GIM_Try, /*On fail goto*//*Label 13882*/ GIMT_Encode4(911893), // Rule ID 63255 //
     /*  911815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  911835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911839 */     // MIs[0] op1
     /*  911839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911855 */     // MIs[0] op4
     /*  911855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911858 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911870 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  911870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911875 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911877 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911879 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911881 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911891 */     GIR_RootConstrainSelectedInstOperands,
     /*  911892 */     // GIR_Coverage, 63255,
     /*  911892 */     GIR_EraseRootFromParent_Done,
     /*  911893 */   // Label 13882: @911893
     /*  911893 */   GIM_Try, /*On fail goto*//*Label 13883*/ GIMT_Encode4(911976), // Rule ID 63256 //
     /*  911898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  911901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  911909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  911912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  911915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  911918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911922 */     // MIs[0] op1
     /*  911922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  911925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  911930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  911938 */     // MIs[0] op4
     /*  911938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  911941 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  911946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  911953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  911953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  911956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  911958 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  911960 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  911962 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  911964 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  911966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  911971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  911974 */     GIR_RootConstrainSelectedInstOperands,
     /*  911975 */     // GIR_Coverage, 63256,
     /*  911975 */     GIR_EraseRootFromParent_Done,
     /*  911976 */   // Label 13883: @911976
     /*  911976 */   GIM_Try, /*On fail goto*//*Label 13884*/ GIMT_Encode4(912059), // Rule ID 63311 //
     /*  911981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  911984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  911989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  911992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  911995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  911998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912005 */     // MIs[0] op1
     /*  912005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912021 */     // MIs[0] op4
     /*  912021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912024 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912036 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  912036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  912039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912041 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912043 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912045 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912047 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912057 */     GIR_RootConstrainSelectedInstOperands,
     /*  912058 */     // GIR_Coverage, 63311,
     /*  912058 */     GIR_EraseRootFromParent_Done,
     /*  912059 */   // Label 13884: @912059
     /*  912059 */   GIM_Try, /*On fail goto*//*Label 13885*/ GIMT_Encode4(912142), // Rule ID 63312 //
     /*  912064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  912075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  912078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  912081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912088 */     // MIs[0] op1
     /*  912088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  912104 */     // MIs[0] op4
     /*  912104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912107 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  912119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M1),
     /*  912122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912124 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912126 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912128 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912130 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  912140 */     GIR_RootConstrainSelectedInstOperands,
     /*  912141 */     // GIR_Coverage, 63312,
     /*  912141 */     GIR_EraseRootFromParent_Done,
     /*  912142 */   // Label 13885: @912142
     /*  912142 */   GIM_Try, /*On fail goto*//*Label 13886*/ GIMT_Encode4(912225), // Rule ID 63367 //
     /*  912147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  912158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  912161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  912164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912171 */     // MIs[0] op1
     /*  912171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912187 */     // MIs[0] op4
     /*  912187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912190 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  912202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912207 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912209 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912211 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912213 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912223 */     GIR_RootConstrainSelectedInstOperands,
     /*  912224 */     // GIR_Coverage, 63367,
     /*  912224 */     GIR_EraseRootFromParent_Done,
     /*  912225 */   // Label 13886: @912225
     /*  912225 */   GIM_Try, /*On fail goto*//*Label 13887*/ GIMT_Encode4(912308), // Rule ID 63368 //
     /*  912230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  912241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  912244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  912247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912254 */     // MIs[0] op1
     /*  912254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912270 */     // MIs[0] op4
     /*  912270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912273 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912285 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  912285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912290 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912292 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912294 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912296 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912306 */     GIR_RootConstrainSelectedInstOperands,
     /*  912307 */     // GIR_Coverage, 63368,
     /*  912307 */     GIR_EraseRootFromParent_Done,
     /*  912308 */   // Label 13887: @912308
     /*  912308 */   GIM_Try, /*On fail goto*//*Label 13888*/ GIMT_Encode4(912391), // Rule ID 63411 //
     /*  912313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  912324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  912327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  912330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912337 */     // MIs[0] op1
     /*  912337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912340 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912353 */     // MIs[0] op4
     /*  912353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912356 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912368 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  912368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912373 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912375 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912377 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912379 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912389 */     GIR_RootConstrainSelectedInstOperands,
     /*  912390 */     // GIR_Coverage, 63411,
     /*  912390 */     GIR_EraseRootFromParent_Done,
     /*  912391 */   // Label 13888: @912391
     /*  912391 */   GIM_Try, /*On fail goto*//*Label 13889*/ GIMT_Encode4(912474), // Rule ID 63412 //
     /*  912396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  912407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  912410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  912413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912420 */     // MIs[0] op1
     /*  912420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912436 */     // MIs[0] op4
     /*  912436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912439 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912451 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  912451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912456 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912458 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912460 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912462 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912472 */     GIR_RootConstrainSelectedInstOperands,
     /*  912473 */     // GIR_Coverage, 63412,
     /*  912473 */     GIR_EraseRootFromParent_Done,
     /*  912474 */   // Label 13889: @912474
     /*  912474 */   GIM_Try, /*On fail goto*//*Label 13890*/ GIMT_Encode4(912557), // Rule ID 63455 //
     /*  912479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  912490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  912493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  912496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912503 */     // MIs[0] op1
     /*  912503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912519 */     // MIs[0] op4
     /*  912519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912534 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  912534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912539 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912541 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912543 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912545 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912555 */     GIR_RootConstrainSelectedInstOperands,
     /*  912556 */     // GIR_Coverage, 63455,
     /*  912556 */     GIR_EraseRootFromParent_Done,
     /*  912557 */   // Label 13890: @912557
     /*  912557 */   GIM_Try, /*On fail goto*//*Label 13891*/ GIMT_Encode4(912640), // Rule ID 63456 //
     /*  912562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  912573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  912576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  912579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912586 */     // MIs[0] op1
     /*  912586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  912602 */     // MIs[0] op4
     /*  912602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912617 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  912617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  912620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912622 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912624 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912626 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912628 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  912638 */     GIR_RootConstrainSelectedInstOperands,
     /*  912639 */     // GIR_Coverage, 63456,
     /*  912639 */     GIR_EraseRootFromParent_Done,
     /*  912640 */   // Label 13891: @912640
     /*  912640 */   GIM_Try, /*On fail goto*//*Label 13892*/ GIMT_Encode4(912723), // Rule ID 63499 //
     /*  912645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  912656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  912659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  912662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912669 */     // MIs[0] op1
     /*  912669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912672 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912685 */     // MIs[0] op4
     /*  912685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912688 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912700 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  912700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912705 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912707 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912709 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912711 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912721 */     GIR_RootConstrainSelectedInstOperands,
     /*  912722 */     // GIR_Coverage, 63499,
     /*  912722 */     GIR_EraseRootFromParent_Done,
     /*  912723 */   // Label 13892: @912723
     /*  912723 */   GIM_Try, /*On fail goto*//*Label 13893*/ GIMT_Encode4(912806), // Rule ID 63500 //
     /*  912728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  912739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  912742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  912745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912752 */     // MIs[0] op1
     /*  912752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  912768 */     // MIs[0] op4
     /*  912768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912783 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  912783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  912786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912788 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912790 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912792 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912794 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912804 */     GIR_RootConstrainSelectedInstOperands,
     /*  912805 */     // GIR_Coverage, 63500,
     /*  912805 */     GIR_EraseRootFromParent_Done,
     /*  912806 */   // Label 13893: @912806
     /*  912806 */   GIM_Try, /*On fail goto*//*Label 13894*/ GIMT_Encode4(912889), // Rule ID 63555 //
     /*  912811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  912822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  912825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  912828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912835 */     // MIs[0] op1
     /*  912835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912838 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912851 */     // MIs[0] op4
     /*  912851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912854 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  912866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912871 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912873 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912875 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912877 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912887 */     GIR_RootConstrainSelectedInstOperands,
     /*  912888 */     // GIR_Coverage, 63555,
     /*  912888 */     GIR_EraseRootFromParent_Done,
     /*  912889 */   // Label 13894: @912889
     /*  912889 */   GIM_Try, /*On fail goto*//*Label 13895*/ GIMT_Encode4(912972), // Rule ID 63556 //
     /*  912894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  912897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  912905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  912908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  912911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  912914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912918 */     // MIs[0] op1
     /*  912918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  912921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  912926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  912934 */     // MIs[0] op4
     /*  912934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  912937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  912942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  912949 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  912949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  912952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  912954 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  912956 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  912958 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  912960 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  912962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  912967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  912970 */     GIR_RootConstrainSelectedInstOperands,
     /*  912971 */     // GIR_Coverage, 63556,
     /*  912971 */     GIR_EraseRootFromParent_Done,
     /*  912972 */   // Label 13895: @912972
     /*  912972 */   GIM_Try, /*On fail goto*//*Label 13896*/ GIMT_Encode4(913055), // Rule ID 63611 //
     /*  912977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  912980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  912985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  912988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  912991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  912994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  912997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913001 */     // MIs[0] op1
     /*  913001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913004 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913017 */     // MIs[0] op4
     /*  913017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913020 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  913032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913037 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913039 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913041 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913043 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913053 */     GIR_RootConstrainSelectedInstOperands,
     /*  913054 */     // GIR_Coverage, 63611,
     /*  913054 */     GIR_EraseRootFromParent_Done,
     /*  913055 */   // Label 13896: @913055
     /*  913055 */   GIM_Try, /*On fail goto*//*Label 13897*/ GIMT_Encode4(913138), // Rule ID 63612 //
     /*  913060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  913071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  913074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  913077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913084 */     // MIs[0] op1
     /*  913084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913087 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913100 */     // MIs[0] op4
     /*  913100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913103 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913115 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  913115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913120 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913122 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913124 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913126 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  913136 */     GIR_RootConstrainSelectedInstOperands,
     /*  913137 */     // GIR_Coverage, 63612,
     /*  913137 */     GIR_EraseRootFromParent_Done,
     /*  913138 */   // Label 13897: @913138
     /*  913138 */   GIM_Try, /*On fail goto*//*Label 13898*/ GIMT_Encode4(913221), // Rule ID 63667 //
     /*  913143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  913154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  913157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  913160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913167 */     // MIs[0] op1
     /*  913167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913170 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913183 */     // MIs[0] op4
     /*  913183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913186 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913198 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  913198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  913201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913203 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913205 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913207 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913209 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913219 */     GIR_RootConstrainSelectedInstOperands,
     /*  913220 */     // GIR_Coverage, 63667,
     /*  913220 */     GIR_EraseRootFromParent_Done,
     /*  913221 */   // Label 13898: @913221
     /*  913221 */   GIM_Try, /*On fail goto*//*Label 13899*/ GIMT_Encode4(913304), // Rule ID 63668 //
     /*  913226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  913237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  913240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  913243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913250 */     // MIs[0] op1
     /*  913250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913253 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913266 */     // MIs[0] op4
     /*  913266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913269 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913281 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  913281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  913284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913286 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913288 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913290 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913292 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913302 */     GIR_RootConstrainSelectedInstOperands,
     /*  913303 */     // GIR_Coverage, 63668,
     /*  913303 */     GIR_EraseRootFromParent_Done,
     /*  913304 */   // Label 13899: @913304
     /*  913304 */   GIM_Try, /*On fail goto*//*Label 13900*/ GIMT_Encode4(913387), // Rule ID 63723 //
     /*  913309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  913326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913333 */     // MIs[0] op1
     /*  913333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913336 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913349 */     // MIs[0] op4
     /*  913349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913352 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913364 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  913364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  913367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913369 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913371 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913373 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913375 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913385 */     GIR_RootConstrainSelectedInstOperands,
     /*  913386 */     // GIR_Coverage, 63723,
     /*  913386 */     GIR_EraseRootFromParent_Done,
     /*  913387 */   // Label 13900: @913387
     /*  913387 */   GIM_Try, /*On fail goto*//*Label 13901*/ GIMT_Encode4(913470), // Rule ID 63724 //
     /*  913392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  913403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  913406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  913409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913416 */     // MIs[0] op1
     /*  913416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913419 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913432 */     // MIs[0] op4
     /*  913432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913435 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913447 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  913447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  913450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913452 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913454 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913456 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913458 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913468 */     GIR_RootConstrainSelectedInstOperands,
     /*  913469 */     // GIR_Coverage, 63724,
     /*  913469 */     GIR_EraseRootFromParent_Done,
     /*  913470 */   // Label 13901: @913470
     /*  913470 */   GIM_Try, /*On fail goto*//*Label 13902*/ GIMT_Encode4(913553), // Rule ID 63779 //
     /*  913475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  913492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913499 */     // MIs[0] op1
     /*  913499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913502 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913515 */     // MIs[0] op4
     /*  913515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913518 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  913530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913535 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913537 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913539 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913541 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913551 */     GIR_RootConstrainSelectedInstOperands,
     /*  913552 */     // GIR_Coverage, 63779,
     /*  913552 */     GIR_EraseRootFromParent_Done,
     /*  913553 */   // Label 13902: @913553
     /*  913553 */   GIM_Try, /*On fail goto*//*Label 13903*/ GIMT_Encode4(913636), // Rule ID 63780 //
     /*  913558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  913569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  913572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  913575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913582 */     // MIs[0] op1
     /*  913582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913585 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913598 */     // MIs[0] op4
     /*  913598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913601 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913613 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  913613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  913616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913618 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913620 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913622 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913624 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  913634 */     GIR_RootConstrainSelectedInstOperands,
     /*  913635 */     // GIR_Coverage, 63780,
     /*  913635 */     GIR_EraseRootFromParent_Done,
     /*  913636 */   // Label 13903: @913636
     /*  913636 */   GIM_Try, /*On fail goto*//*Label 13904*/ GIMT_Encode4(913719), // Rule ID 63835 //
     /*  913641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  913652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  913655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  913658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913665 */     // MIs[0] op1
     /*  913665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913668 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913681 */     // MIs[0] op4
     /*  913681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913684 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  913696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  913699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913701 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913703 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913705 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913707 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913717 */     GIR_RootConstrainSelectedInstOperands,
     /*  913718 */     // GIR_Coverage, 63835,
     /*  913718 */     GIR_EraseRootFromParent_Done,
     /*  913719 */   // Label 13904: @913719
     /*  913719 */   GIM_Try, /*On fail goto*//*Label 13905*/ GIMT_Encode4(913802), // Rule ID 63836 //
     /*  913724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  913735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  913738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  913741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913748 */     // MIs[0] op1
     /*  913748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913751 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  913764 */     // MIs[0] op4
     /*  913764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913767 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913779 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  913779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M2),
     /*  913782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913784 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913786 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913788 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913790 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913800 */     GIR_RootConstrainSelectedInstOperands,
     /*  913801 */     // GIR_Coverage, 63836,
     /*  913801 */     GIR_EraseRootFromParent_Done,
     /*  913802 */   // Label 13905: @913802
     /*  913802 */   GIM_Try, /*On fail goto*//*Label 13906*/ GIMT_Encode4(913885), // Rule ID 63891 //
     /*  913807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  913818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  913821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  913824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913831 */     // MIs[0] op1
     /*  913831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913847 */     // MIs[0] op4
     /*  913847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913850 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913862 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  913862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  913865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913867 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913869 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913871 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913873 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913883 */     GIR_RootConstrainSelectedInstOperands,
     /*  913884 */     // GIR_Coverage, 63891,
     /*  913884 */     GIR_EraseRootFromParent_Done,
     /*  913885 */   // Label 13906: @913885
     /*  913885 */   GIM_Try, /*On fail goto*//*Label 13907*/ GIMT_Encode4(913968), // Rule ID 63892 //
     /*  913890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  913893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  913901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  913904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  913907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  913910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913914 */     // MIs[0] op1
     /*  913914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  913917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  913922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  913930 */     // MIs[0] op4
     /*  913930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  913933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  913938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  913945 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  913945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M4),
     /*  913948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  913950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  913952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  913954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  913956 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  913958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  913963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  913966 */     GIR_RootConstrainSelectedInstOperands,
     /*  913967 */     // GIR_Coverage, 63892,
     /*  913967 */     GIR_EraseRootFromParent_Done,
     /*  913968 */   // Label 13907: @913968
     /*  913968 */   GIM_Try, /*On fail goto*//*Label 13908*/ GIMT_Encode4(914051), // Rule ID 63947 //
     /*  913973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  913976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  913981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  913984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  913987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  913990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  913993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  913997 */     // MIs[0] op1
     /*  913997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914000 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914013 */     // MIs[0] op4
     /*  914013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914016 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914028 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  914028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  914031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914033 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914035 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914037 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914039 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914049 */     GIR_RootConstrainSelectedInstOperands,
     /*  914050 */     // GIR_Coverage, 63947,
     /*  914050 */     GIR_EraseRootFromParent_Done,
     /*  914051 */   // Label 13908: @914051
     /*  914051 */   GIM_Try, /*On fail goto*//*Label 13909*/ GIMT_Encode4(914134), // Rule ID 63948 //
     /*  914056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivv),
     /*  914064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  914067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  914070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  914073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914080 */     // MIs[0] op1
     /*  914080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914096 */     // MIs[0] op4
     /*  914096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914111 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11071:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  914111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVV_M8),
     /*  914114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914116 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914118 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914120 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914122 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  914132 */     GIR_RootConstrainSelectedInstOperands,
     /*  914133 */     // GIR_Coverage, 63948,
     /*  914133 */     GIR_EraseRootFromParent_Done,
     /*  914134 */   // Label 13909: @914134
     /*  914134 */   GIM_Try, /*On fail goto*//*Label 13910*/ GIMT_Encode4(914217), // Rule ID 63977 //
     /*  914139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  914150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  914153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  914156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914163 */     // MIs[0] op1
     /*  914163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914166 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914179 */     // MIs[0] op4
     /*  914179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914182 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914194 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  914197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914199 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914201 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914203 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914205 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914215 */     GIR_RootConstrainSelectedInstOperands,
     /*  914216 */     // GIR_Coverage, 63977,
     /*  914216 */     GIR_EraseRootFromParent_Done,
     /*  914217 */   // Label 13910: @914217
     /*  914217 */   GIM_Try, /*On fail goto*//*Label 13911*/ GIMT_Encode4(914300), // Rule ID 63978 //
     /*  914222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  914233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  914236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  914239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914246 */     // MIs[0] op1
     /*  914246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914262 */     // MIs[0] op4
     /*  914262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914277 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF8),
     /*  914280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914282 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914284 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914286 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914288 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914298 */     GIR_RootConstrainSelectedInstOperands,
     /*  914299 */     // GIR_Coverage, 63978,
     /*  914299 */     GIR_EraseRootFromParent_Done,
     /*  914300 */   // Label 13911: @914300
     /*  914300 */   GIM_Try, /*On fail goto*//*Label 13912*/ GIMT_Encode4(914383), // Rule ID 63995 //
     /*  914305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  914322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914329 */     // MIs[0] op1
     /*  914329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914332 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914345 */     // MIs[0] op4
     /*  914345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914348 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  914363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914365 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914367 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914369 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914371 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914381 */     GIR_RootConstrainSelectedInstOperands,
     /*  914382 */     // GIR_Coverage, 63995,
     /*  914382 */     GIR_EraseRootFromParent_Done,
     /*  914383 */   // Label 13912: @914383
     /*  914383 */   GIM_Try, /*On fail goto*//*Label 13913*/ GIMT_Encode4(914466), // Rule ID 63996 //
     /*  914388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  914399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  914402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  914405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914412 */     // MIs[0] op1
     /*  914412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914415 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914428 */     // MIs[0] op4
     /*  914428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914431 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914443 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  914446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914448 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914450 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914452 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914454 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914464 */     GIR_RootConstrainSelectedInstOperands,
     /*  914465 */     // GIR_Coverage, 63996,
     /*  914465 */     GIR_EraseRootFromParent_Done,
     /*  914466 */   // Label 13913: @914466
     /*  914466 */   GIM_Try, /*On fail goto*//*Label 13914*/ GIMT_Encode4(914549), // Rule ID 64013 //
     /*  914471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  914488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914495 */     // MIs[0] op1
     /*  914495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914498 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914511 */     // MIs[0] op4
     /*  914511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914514 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914526 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  914529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914531 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914533 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914535 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914537 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914547 */     GIR_RootConstrainSelectedInstOperands,
     /*  914548 */     // GIR_Coverage, 64013,
     /*  914548 */     GIR_EraseRootFromParent_Done,
     /*  914549 */   // Label 13914: @914549
     /*  914549 */   GIM_Try, /*On fail goto*//*Label 13915*/ GIMT_Encode4(914632), // Rule ID 64014 //
     /*  914554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  914565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  914568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  914571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914578 */     // MIs[0] op1
     /*  914578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914581 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914594 */     // MIs[0] op4
     /*  914594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914597 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914609 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  914612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914614 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914616 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914618 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914620 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914630 */     GIR_RootConstrainSelectedInstOperands,
     /*  914631 */     // GIR_Coverage, 64014,
     /*  914631 */     GIR_EraseRootFromParent_Done,
     /*  914632 */   // Label 13915: @914632
     /*  914632 */   GIM_Try, /*On fail goto*//*Label 13916*/ GIMT_Encode4(914715), // Rule ID 64031 //
     /*  914637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  914651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  914654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914661 */     // MIs[0] op1
     /*  914661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914677 */     // MIs[0] op4
     /*  914677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914680 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914692 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  914695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914697 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914699 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914701 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914703 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914713 */     GIR_RootConstrainSelectedInstOperands,
     /*  914714 */     // GIR_Coverage, 64031,
     /*  914714 */     GIR_EraseRootFromParent_Done,
     /*  914715 */   // Label 13916: @914715
     /*  914715 */   GIM_Try, /*On fail goto*//*Label 13917*/ GIMT_Encode4(914798), // Rule ID 64032 //
     /*  914720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  914731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  914734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  914737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914744 */     // MIs[0] op1
     /*  914744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914747 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  914760 */     // MIs[0] op4
     /*  914760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914763 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914775 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  914778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914780 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914782 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914784 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914786 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914796 */     GIR_RootConstrainSelectedInstOperands,
     /*  914797 */     // GIR_Coverage, 64032,
     /*  914797 */     GIR_EraseRootFromParent_Done,
     /*  914798 */   // Label 13917: @914798
     /*  914798 */   GIM_Try, /*On fail goto*//*Label 13918*/ GIMT_Encode4(914881), // Rule ID 64049 //
     /*  914803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  914817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  914820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914827 */     // MIs[0] op1
     /*  914827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914830 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914843 */     // MIs[0] op4
     /*  914843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914846 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914858 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  914858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  914861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914863 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914865 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914867 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914869 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914879 */     GIR_RootConstrainSelectedInstOperands,
     /*  914880 */     // GIR_Coverage, 64049,
     /*  914880 */     GIR_EraseRootFromParent_Done,
     /*  914881 */   // Label 13918: @914881
     /*  914881 */   GIM_Try, /*On fail goto*//*Label 13919*/ GIMT_Encode4(914964), // Rule ID 64050 //
     /*  914886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  914889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  914897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  914900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  914903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  914906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914910 */     // MIs[0] op1
     /*  914910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914913 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  914918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  914922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  914926 */     // MIs[0] op4
     /*  914926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  914929 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  914934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  914941 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  914941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  914944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  914946 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  914948 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  914950 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  914952 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  914954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  914959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  914962 */     GIR_RootConstrainSelectedInstOperands,
     /*  914963 */     // GIR_Coverage, 64050,
     /*  914963 */     GIR_EraseRootFromParent_Done,
     /*  914964 */   // Label 13919: @914964
     /*  914964 */   GIM_Try, /*On fail goto*//*Label 13920*/ GIMT_Encode4(915047), // Rule ID 64067 //
     /*  914969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  914972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  914977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  914980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  914983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  914986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  914989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  914993 */     // MIs[0] op1
     /*  914993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  914996 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915009 */     // MIs[0] op4
     /*  915009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915012 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915024 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  915024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915029 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915031 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915033 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915035 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915045 */     GIR_RootConstrainSelectedInstOperands,
     /*  915046 */     // GIR_Coverage, 64067,
     /*  915046 */     GIR_EraseRootFromParent_Done,
     /*  915047 */   // Label 13920: @915047
     /*  915047 */   GIM_Try, /*On fail goto*//*Label 13921*/ GIMT_Encode4(915130), // Rule ID 64068 //
     /*  915052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  915063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  915066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  915069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915076 */     // MIs[0] op1
     /*  915076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915092 */     // MIs[0] op4
     /*  915092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915095 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915107 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  915107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915112 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915114 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915116 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915118 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  915128 */     GIR_RootConstrainSelectedInstOperands,
     /*  915129 */     // GIR_Coverage, 64068,
     /*  915129 */     GIR_EraseRootFromParent_Done,
     /*  915130 */   // Label 13921: @915130
     /*  915130 */   GIM_Try, /*On fail goto*//*Label 13922*/ GIMT_Encode4(915213), // Rule ID 64085 //
     /*  915135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  915146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  915149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  915152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915159 */     // MIs[0] op1
     /*  915159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915162 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915175 */     // MIs[0] op4
     /*  915175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915178 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  915193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915195 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915197 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915199 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915201 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915211 */     GIR_RootConstrainSelectedInstOperands,
     /*  915212 */     // GIR_Coverage, 64085,
     /*  915212 */     GIR_EraseRootFromParent_Done,
     /*  915213 */   // Label 13922: @915213
     /*  915213 */   GIM_Try, /*On fail goto*//*Label 13923*/ GIMT_Encode4(915296), // Rule ID 64086 //
     /*  915218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  915229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  915232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  915235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915242 */     // MIs[0] op1
     /*  915242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915258 */     // MIs[0] op4
     /*  915258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF4),
     /*  915276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915278 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915280 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915282 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915284 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915294 */     GIR_RootConstrainSelectedInstOperands,
     /*  915295 */     // GIR_Coverage, 64086,
     /*  915295 */     GIR_EraseRootFromParent_Done,
     /*  915296 */   // Label 13923: @915296
     /*  915296 */   GIM_Try, /*On fail goto*//*Label 13924*/ GIMT_Encode4(915379), // Rule ID 64109 //
     /*  915301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  915312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  915315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  915318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915325 */     // MIs[0] op1
     /*  915325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915328 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915341 */     // MIs[0] op4
     /*  915341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915344 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  915359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915361 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915363 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915365 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915367 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915377 */     GIR_RootConstrainSelectedInstOperands,
     /*  915378 */     // GIR_Coverage, 64109,
     /*  915378 */     GIR_EraseRootFromParent_Done,
     /*  915379 */   // Label 13924: @915379
     /*  915379 */   GIM_Try, /*On fail goto*//*Label 13925*/ GIMT_Encode4(915462), // Rule ID 64110 //
     /*  915384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  915395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  915398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  915401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915408 */     // MIs[0] op1
     /*  915408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915424 */     // MIs[0] op4
     /*  915424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915439 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  915442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915444 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915446 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915448 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915450 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915460 */     GIR_RootConstrainSelectedInstOperands,
     /*  915461 */     // GIR_Coverage, 64110,
     /*  915461 */     GIR_EraseRootFromParent_Done,
     /*  915462 */   // Label 13925: @915462
     /*  915462 */   GIM_Try, /*On fail goto*//*Label 13926*/ GIMT_Encode4(915545), // Rule ID 64133 //
     /*  915467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  915484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915491 */     // MIs[0] op1
     /*  915491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915494 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915507 */     // MIs[0] op4
     /*  915507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915510 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  915525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915527 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915529 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915531 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915533 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915543 */     GIR_RootConstrainSelectedInstOperands,
     /*  915544 */     // GIR_Coverage, 64133,
     /*  915544 */     GIR_EraseRootFromParent_Done,
     /*  915545 */   // Label 13926: @915545
     /*  915545 */   GIM_Try, /*On fail goto*//*Label 13927*/ GIMT_Encode4(915628), // Rule ID 64134 //
     /*  915550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  915561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  915564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  915567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915574 */     // MIs[0] op1
     /*  915574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915590 */     // MIs[0] op4
     /*  915590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915605 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  915608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915610 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915612 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915614 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915616 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915626 */     GIR_RootConstrainSelectedInstOperands,
     /*  915627 */     // GIR_Coverage, 64134,
     /*  915627 */     GIR_EraseRootFromParent_Done,
     /*  915628 */   // Label 13927: @915628
     /*  915628 */   GIM_Try, /*On fail goto*//*Label 13928*/ GIMT_Encode4(915711), // Rule ID 64157 //
     /*  915633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  915647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  915650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915657 */     // MIs[0] op1
     /*  915657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915660 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915673 */     // MIs[0] op4
     /*  915673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915676 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915688 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915693 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915695 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915697 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915699 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915709 */     GIR_RootConstrainSelectedInstOperands,
     /*  915710 */     // GIR_Coverage, 64157,
     /*  915710 */     GIR_EraseRootFromParent_Done,
     /*  915711 */   // Label 13928: @915711
     /*  915711 */   GIM_Try, /*On fail goto*//*Label 13929*/ GIMT_Encode4(915794), // Rule ID 64158 //
     /*  915716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  915727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  915730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  915733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915740 */     // MIs[0] op1
     /*  915740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915743 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  915756 */     // MIs[0] op4
     /*  915756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915759 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915771 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  915774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915776 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915778 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915780 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915782 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915792 */     GIR_RootConstrainSelectedInstOperands,
     /*  915793 */     // GIR_Coverage, 64158,
     /*  915793 */     GIR_EraseRootFromParent_Done,
     /*  915794 */   // Label 13929: @915794
     /*  915794 */   GIM_Try, /*On fail goto*//*Label 13930*/ GIMT_Encode4(915877), // Rule ID 64181 //
     /*  915799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  915813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  915816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915823 */     // MIs[0] op1
     /*  915823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915826 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915839 */     // MIs[0] op4
     /*  915839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915842 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  915854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915859 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915861 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915863 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915865 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915875 */     GIR_RootConstrainSelectedInstOperands,
     /*  915876 */     // GIR_Coverage, 64181,
     /*  915876 */     GIR_EraseRootFromParent_Done,
     /*  915877 */   // Label 13930: @915877
     /*  915877 */   GIM_Try, /*On fail goto*//*Label 13931*/ GIMT_Encode4(915960), // Rule ID 64182 //
     /*  915882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  915885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  915893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  915896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  915899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  915902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915906 */     // MIs[0] op1
     /*  915906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915909 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  915918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  915922 */     // MIs[0] op4
     /*  915922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  915925 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  915930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  915937 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  915937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  915940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  915942 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  915944 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  915946 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  915948 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  915950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  915955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  915958 */     GIR_RootConstrainSelectedInstOperands,
     /*  915959 */     // GIR_Coverage, 64182,
     /*  915959 */     GIR_EraseRootFromParent_Done,
     /*  915960 */   // Label 13931: @915960
     /*  915960 */   GIM_Try, /*On fail goto*//*Label 13932*/ GIMT_Encode4(916043), // Rule ID 64205 //
     /*  915965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  915968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  915973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  915976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  915979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  915982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  915985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  915989 */     // MIs[0] op1
     /*  915989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  915992 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  915997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916005 */     // MIs[0] op4
     /*  916005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916008 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916020 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  916020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  916023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916025 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916027 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916029 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916031 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916041 */     GIR_RootConstrainSelectedInstOperands,
     /*  916042 */     // GIR_Coverage, 64205,
     /*  916042 */     GIR_EraseRootFromParent_Done,
     /*  916043 */   // Label 13932: @916043
     /*  916043 */   GIM_Try, /*On fail goto*//*Label 13933*/ GIMT_Encode4(916126), // Rule ID 64206 //
     /*  916048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  916051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  916056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  916059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  916062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  916065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  916068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916072 */     // MIs[0] op1
     /*  916072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916075 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916088 */     // MIs[0] op4
     /*  916088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916091 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916103 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  916103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_MF2),
     /*  916106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916114 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916124 */     GIR_RootConstrainSelectedInstOperands,
     /*  916125 */     // GIR_Coverage, 64206,
     /*  916125 */     GIR_EraseRootFromParent_Done,
     /*  916126 */   // Label 13933: @916126
     /*  916126 */   GIM_Try, /*On fail goto*//*Label 13934*/ GIMT_Encode4(916209), // Rule ID 64229 //
     /*  916131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  916134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  916139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  916148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  916151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916155 */     // MIs[0] op1
     /*  916155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916158 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916171 */     // MIs[0] op4
     /*  916171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916174 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  916186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  916189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916191 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916193 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916195 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916197 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916207 */     GIR_RootConstrainSelectedInstOperands,
     /*  916208 */     // GIR_Coverage, 64229,
     /*  916208 */     GIR_EraseRootFromParent_Done,
     /*  916209 */   // Label 13934: @916209
     /*  916209 */   GIM_Try, /*On fail goto*//*Label 13935*/ GIMT_Encode4(916292), // Rule ID 64230 //
     /*  916214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  916217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  916222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  916225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  916228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  916231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  916234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916238 */     // MIs[0] op1
     /*  916238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916241 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916254 */     // MIs[0] op4
     /*  916254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916257 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916269 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  916269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M1),
     /*  916272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916274 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916276 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916278 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916280 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916290 */     GIR_RootConstrainSelectedInstOperands,
     /*  916291 */     // GIR_Coverage, 64230,
     /*  916291 */     GIR_EraseRootFromParent_Done,
     /*  916292 */   // Label 13935: @916292
     /*  916292 */   GIM_Try, /*On fail goto*//*Label 13936*/ GIMT_Encode4(916375), // Rule ID 64253 //
     /*  916297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  916300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  916305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  916314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  916317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916321 */     // MIs[0] op1
     /*  916321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916324 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916337 */     // MIs[0] op4
     /*  916337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916340 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  916352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  916355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916357 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916359 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916361 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916363 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916373 */     GIR_RootConstrainSelectedInstOperands,
     /*  916374 */     // GIR_Coverage, 64253,
     /*  916374 */     GIR_EraseRootFromParent_Done,
     /*  916375 */   // Label 13936: @916375
     /*  916375 */   GIM_Try, /*On fail goto*//*Label 13937*/ GIMT_Encode4(916458), // Rule ID 64254 //
     /*  916380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  916383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  916388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  916391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  916394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  916397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  916400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916404 */     // MIs[0] op1
     /*  916404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916420 */     // MIs[0] op4
     /*  916420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916423 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916435 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  916435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M2),
     /*  916438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916446 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916456 */     GIR_RootConstrainSelectedInstOperands,
     /*  916457 */     // GIR_Coverage, 64254,
     /*  916457 */     GIR_EraseRootFromParent_Done,
     /*  916458 */   // Label 13937: @916458
     /*  916458 */   GIM_Try, /*On fail goto*//*Label 13938*/ GIMT_Encode4(916541), // Rule ID 64277 //
     /*  916463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  916466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  916471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  916477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  916480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  916483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916487 */     // MIs[0] op1
     /*  916487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916490 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916503 */     // MIs[0] op4
     /*  916503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916506 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916518 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i64] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  916518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  916521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916523 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916525 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916527 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916529 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916539 */     GIR_RootConstrainSelectedInstOperands,
     /*  916540 */     // GIR_Coverage, 64277,
     /*  916540 */     GIR_EraseRootFromParent_Done,
     /*  916541 */   // Label 13938: @916541
     /*  916541 */   GIM_Try, /*On fail goto*//*Label 13939*/ GIMT_Encode4(916624), // Rule ID 64278 //
     /*  916546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  916549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_ivw),
     /*  916554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  916557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  916560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  916563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  916566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916570 */     // MIs[0] op1
     /*  916570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  916573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  916578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  916582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  916586 */     // MIs[0] op4
     /*  916586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  916589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/5, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tsimm5),
     /*  916594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11073:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_IVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, (timm:{ *:[i32] })<<P:Predicate_tsimm5>>:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  916601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_IVW_M4),
     /*  916604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  916606 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  916608 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  916610 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  916612 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  916614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916622 */     GIR_RootConstrainSelectedInstOperands,
     /*  916623 */     // GIR_Coverage, 64278,
     /*  916623 */     GIR_EraseRootFromParent_Done,
     /*  916624 */   // Label 13939: @916624
     /*  916624 */   GIM_Try, /*On fail goto*//*Label 13940*/ GIMT_Encode4(916702), // Rule ID 60606 //
     /*  916629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916661 */     // MIs[0] rs2
     /*  916661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916664 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916669 */     // MIs[0] policy
     /*  916669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916679 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  916682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916700 */     GIR_RootConstrainSelectedInstOperands,
     /*  916701 */     // GIR_Coverage, 60606,
     /*  916701 */     GIR_EraseRootFromParent_Done,
     /*  916702 */   // Label 13940: @916702
     /*  916702 */   GIM_Try, /*On fail goto*//*Label 13941*/ GIMT_Encode4(916780), // Rule ID 60607 //
     /*  916707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  916718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  916721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  916724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916739 */     // MIs[0] rs2
     /*  916739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916742 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916747 */     // MIs[0] policy
     /*  916747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916757 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_MF2),
     /*  916760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916778 */     GIR_RootConstrainSelectedInstOperands,
     /*  916779 */     // GIR_Coverage, 60607,
     /*  916779 */     GIR_EraseRootFromParent_Done,
     /*  916780 */   // Label 13941: @916780
     /*  916780 */   GIM_Try, /*On fail goto*//*Label 13942*/ GIMT_Encode4(916858), // Rule ID 62262 //
     /*  916785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  916802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916817 */     // MIs[0] rs2
     /*  916817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916820 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916825 */     // MIs[0] policy
     /*  916825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916835 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  916838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916840 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916856 */     GIR_RootConstrainSelectedInstOperands,
     /*  916857 */     // GIR_Coverage, 62262,
     /*  916857 */     GIR_EraseRootFromParent_Done,
     /*  916858 */   // Label 13942: @916858
     /*  916858 */   GIM_Try, /*On fail goto*//*Label 13943*/ GIMT_Encode4(916936), // Rule ID 62263 //
     /*  916863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  916866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  916874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  916877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  916880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  916883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  916895 */     // MIs[0] rs2
     /*  916895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916898 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916903 */     // MIs[0] policy
     /*  916903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11154:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  916913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M1),
     /*  916916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  916922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  916924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  916929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  916932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  916934 */     GIR_RootConstrainSelectedInstOperands,
     /*  916935 */     // GIR_Coverage, 62263,
     /*  916935 */     GIR_EraseRootFromParent_Done,
     /*  916936 */   // Label 13943: @916936
     /*  916936 */   GIM_Try, /*On fail goto*//*Label 13944*/ GIMT_Encode4(917014), // Rule ID 62264 //
     /*  916941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  916944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  916949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  916952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  916955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  916958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  916961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  916973 */     // MIs[0] rs2
     /*  916973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  916976 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  916981 */     // MIs[0] policy
     /*  916981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  916984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  916991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  916991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  916994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  916996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  916998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917012 */     GIR_RootConstrainSelectedInstOperands,
     /*  917013 */     // GIR_Coverage, 62264,
     /*  917013 */     GIR_EraseRootFromParent_Done,
     /*  917014 */   // Label 13944: @917014
     /*  917014 */   GIM_Try, /*On fail goto*//*Label 13945*/ GIMT_Encode4(917092), // Rule ID 62265 //
     /*  917019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  917022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  917027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  917030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  917033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  917036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917051 */     // MIs[0] rs2
     /*  917051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917054 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917059 */     // MIs[0] policy
     /*  917059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917069 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11154:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M2),
     /*  917072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917090 */     GIR_RootConstrainSelectedInstOperands,
     /*  917091 */     // GIR_Coverage, 62265,
     /*  917091 */     GIR_EraseRootFromParent_Done,
     /*  917092 */   // Label 13945: @917092
     /*  917092 */   GIM_Try, /*On fail goto*//*Label 13946*/ GIMT_Encode4(917170), // Rule ID 62266 //
     /*  917097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  917100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  917105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917129 */     // MIs[0] rs2
     /*  917129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917132 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917137 */     // MIs[0] policy
     /*  917137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917147 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  917150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917168 */     GIR_RootConstrainSelectedInstOperands,
     /*  917169 */     // GIR_Coverage, 62266,
     /*  917169 */     GIR_EraseRootFromParent_Done,
     /*  917170 */   // Label 13946: @917170
     /*  917170 */   GIM_Try, /*On fail goto*//*Label 13947*/ GIMT_Encode4(917248), // Rule ID 62267 //
     /*  917175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  917178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  917183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917207 */     // MIs[0] rs2
     /*  917207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917210 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917215 */     // MIs[0] policy
     /*  917215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917225 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11154:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M4),
     /*  917228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917246 */     GIR_RootConstrainSelectedInstOperands,
     /*  917247 */     // GIR_Coverage, 62267,
     /*  917247 */     GIR_EraseRootFromParent_Done,
     /*  917248 */   // Label 13947: @917248
     /*  917248 */   GIM_Try, /*On fail goto*//*Label 13948*/ GIMT_Encode4(917326), // Rule ID 62268 //
     /*  917253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode0),
     /*  917256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  917261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  917270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917285 */     // MIs[0] rs2
     /*  917285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917288 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917293 */     // MIs[0] policy
     /*  917293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917303 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  917306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917324 */     GIR_RootConstrainSelectedInstOperands,
     /*  917325 */     // GIR_Coverage, 62268,
     /*  917325 */     GIR_EraseRootFromParent_Done,
     /*  917326 */   // Label 13948: @917326
     /*  917326 */   GIM_Try, /*On fail goto*//*Label 13949*/ GIMT_Encode4(917404), // Rule ID 62269 //
     /*  917331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkned_HwMode1),
     /*  917334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaeskf2),
     /*  917339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  917342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  917345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  917348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  917363 */     // MIs[0] rs2
     /*  917363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917366 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917371 */     // MIs[0] policy
     /*  917371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917381 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11154:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAESKF2_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAESKF2_VI_M8),
     /*  917384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917402 */     GIR_RootConstrainSelectedInstOperands,
     /*  917403 */     // GIR_Coverage, 62269,
     /*  917403 */     GIR_EraseRootFromParent_Done,
     /*  917404 */   // Label 13949: @917404
     /*  917404 */   GIM_Try, /*On fail goto*//*Label 13950*/ GIMT_Encode4(917482), // Rule ID 62430 //
     /*  917409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917441 */     // MIs[0] rs2
     /*  917441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917444 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917449 */     // MIs[0] policy
     /*  917449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917459 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  917462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917480 */     GIR_RootConstrainSelectedInstOperands,
     /*  917481 */     // GIR_Coverage, 62430,
     /*  917481 */     GIR_EraseRootFromParent_Done,
     /*  917482 */   // Label 13950: @917482
     /*  917482 */   GIM_Try, /*On fail goto*//*Label 13951*/ GIMT_Encode4(917560), // Rule ID 62431 //
     /*  917487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  917498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  917501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  917504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917519 */     // MIs[0] rs2
     /*  917519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917522 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917527 */     // MIs[0] policy
     /*  917527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917537 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_MF2),
     /*  917540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917558 */     GIR_RootConstrainSelectedInstOperands,
     /*  917559 */     // GIR_Coverage, 62431,
     /*  917559 */     GIR_EraseRootFromParent_Done,
     /*  917560 */   // Label 13951: @917560
     /*  917560 */   GIM_Try, /*On fail goto*//*Label 13952*/ GIMT_Encode4(917638), // Rule ID 62432 //
     /*  917565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  917576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  917579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  917582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917597 */     // MIs[0] rs2
     /*  917597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917600 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917605 */     // MIs[0] policy
     /*  917605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917615 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  917618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917636 */     GIR_RootConstrainSelectedInstOperands,
     /*  917637 */     // GIR_Coverage, 62432,
     /*  917637 */     GIR_EraseRootFromParent_Done,
     /*  917638 */   // Label 13952: @917638
     /*  917638 */   GIM_Try, /*On fail goto*//*Label 13953*/ GIMT_Encode4(917716), // Rule ID 62433 //
     /*  917643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  917654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  917657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  917660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  917675 */     // MIs[0] rs2
     /*  917675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917678 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917683 */     // MIs[0] policy
     /*  917683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11556:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M1),
     /*  917696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917714 */     GIR_RootConstrainSelectedInstOperands,
     /*  917715 */     // GIR_Coverage, 62433,
     /*  917715 */     GIR_EraseRootFromParent_Done,
     /*  917716 */   // Label 13953: @917716
     /*  917716 */   GIM_Try, /*On fail goto*//*Label 13954*/ GIMT_Encode4(917794), // Rule ID 62434 //
     /*  917721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  917732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  917735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  917738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917753 */     // MIs[0] rs2
     /*  917753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917756 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917761 */     // MIs[0] policy
     /*  917761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  917774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917792 */     GIR_RootConstrainSelectedInstOperands,
     /*  917793 */     // GIR_Coverage, 62434,
     /*  917793 */     GIR_EraseRootFromParent_Done,
     /*  917794 */   // Label 13954: @917794
     /*  917794 */   GIM_Try, /*On fail goto*//*Label 13955*/ GIMT_Encode4(917872), // Rule ID 62435 //
     /*  917799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  917810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  917813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  917816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  917831 */     // MIs[0] rs2
     /*  917831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917834 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917839 */     // MIs[0] policy
     /*  917839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917849 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11556:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  917849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M2),
     /*  917852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917870 */     GIR_RootConstrainSelectedInstOperands,
     /*  917871 */     // GIR_Coverage, 62435,
     /*  917871 */     GIR_EraseRootFromParent_Done,
     /*  917872 */   // Label 13955: @917872
     /*  917872 */   GIM_Try, /*On fail goto*//*Label 13956*/ GIMT_Encode4(917950), // Rule ID 62436 //
     /*  917877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  917880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  917897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917909 */     // MIs[0] rs2
     /*  917909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917912 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917917 */     // MIs[0] policy
     /*  917917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  917927 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  917927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  917930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  917932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  917934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  917936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  917938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  917943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  917946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  917948 */     GIR_RootConstrainSelectedInstOperands,
     /*  917949 */     // GIR_Coverage, 62436,
     /*  917949 */     GIR_EraseRootFromParent_Done,
     /*  917950 */   // Label 13956: @917950
     /*  917950 */   GIM_Try, /*On fail goto*//*Label 13957*/ GIMT_Encode4(918028), // Rule ID 62437 //
     /*  917955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  917958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  917963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  917966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  917969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  917972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  917975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  917987 */     // MIs[0] rs2
     /*  917987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  917990 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  917995 */     // MIs[0] policy
     /*  917995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  917998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918005 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11556:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M4),
     /*  918008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  918010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918026 */     GIR_RootConstrainSelectedInstOperands,
     /*  918027 */     // GIR_Coverage, 62437,
     /*  918027 */     GIR_EraseRootFromParent_Done,
     /*  918028 */   // Label 13957: @918028
     /*  918028 */   GIM_Try, /*On fail goto*//*Label 13958*/ GIMT_Encode4(918106), // Rule ID 62438 //
     /*  918033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode0),
     /*  918036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  918041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  918044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  918047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  918050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918065 */     // MIs[0] rs2
     /*  918065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  918068 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  918073 */     // MIs[0] policy
     /*  918073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918083 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i64] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  918086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  918088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918104 */     GIR_RootConstrainSelectedInstOperands,
     /*  918105 */     // GIR_Coverage, 62438,
     /*  918105 */     GIR_EraseRootFromParent_Done,
     /*  918106 */   // Label 13958: @918106
     /*  918106 */   GIM_Try, /*On fail goto*//*Label 13959*/ GIMT_Encode4(918184), // Rule ID 62439 //
     /*  918111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvksh_HwMode1),
     /*  918114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsm3c),
     /*  918119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  918122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  918125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  918128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  918143 */     // MIs[0] rs2
     /*  918143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/4,
     /*  918146 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/4, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_tuimm5),
     /*  918151 */     // MIs[0] policy
     /*  918151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918161 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11556:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSM3C_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (timm:{ *:[i32] })<<P:Predicate_tuimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSM3C_VI_M8),
     /*  918164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /*  918166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  918172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  918180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918182 */     GIR_RootConstrainSelectedInstOperands,
     /*  918183 */     // GIR_Coverage, 62439,
     /*  918183 */     GIR_EraseRootFromParent_Done,
     /*  918184 */   // Label 13959: @918184
     /*  918184 */   GIM_Try, /*On fail goto*//*Label 13960*/ GIMT_Encode4(918272), // Rule ID 23696 //
     /*  918189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  918200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  918203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  918206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918236 */     // MIs[1] Operand 1
     /*  918236 */     // No operand predicates
     /*  918236 */     // MIs[0] policy
     /*  918236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918248 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  918251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918270 */     GIR_RootConstrainSelectedInstOperands,
     /*  918271 */     // GIR_Coverage, 23696,
     /*  918271 */     GIR_EraseRootFromParent_Done,
     /*  918272 */   // Label 13960: @918272
     /*  918272 */   GIM_Try, /*On fail goto*//*Label 13961*/ GIMT_Encode4(918360), // Rule ID 23697 //
     /*  918277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  918288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  918291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  918294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918324 */     // MIs[1] Operand 1
     /*  918324 */     // No operand predicates
     /*  918324 */     // MIs[0] policy
     /*  918324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8),
     /*  918339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918358 */     GIR_RootConstrainSelectedInstOperands,
     /*  918359 */     // GIR_Coverage, 23697,
     /*  918359 */     GIR_EraseRootFromParent_Done,
     /*  918360 */   // Label 13961: @918360
     /*  918360 */   GIM_Try, /*On fail goto*//*Label 13962*/ GIMT_Encode4(918448), // Rule ID 23700 //
     /*  918365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  918376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  918379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  918382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918412 */     // MIs[1] Operand 1
     /*  918412 */     // No operand predicates
     /*  918412 */     // MIs[0] policy
     /*  918412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918446 */     GIR_RootConstrainSelectedInstOperands,
     /*  918447 */     // GIR_Coverage, 23700,
     /*  918447 */     GIR_EraseRootFromParent_Done,
     /*  918448 */   // Label 13962: @918448
     /*  918448 */   GIM_Try, /*On fail goto*//*Label 13963*/ GIMT_Encode4(918536), // Rule ID 23701 //
     /*  918453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  918464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  918467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  918470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918500 */     // MIs[1] Operand 1
     /*  918500 */     // No operand predicates
     /*  918500 */     // MIs[0] policy
     /*  918500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918512 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918534 */     GIR_RootConstrainSelectedInstOperands,
     /*  918535 */     // GIR_Coverage, 23701,
     /*  918535 */     GIR_EraseRootFromParent_Done,
     /*  918536 */   // Label 13963: @918536
     /*  918536 */   GIM_Try, /*On fail goto*//*Label 13964*/ GIMT_Encode4(918624), // Rule ID 23704 //
     /*  918541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  918552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  918555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  918558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918588 */     // MIs[1] Operand 1
     /*  918588 */     // No operand predicates
     /*  918588 */     // MIs[0] policy
     /*  918588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918600 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918622 */     GIR_RootConstrainSelectedInstOperands,
     /*  918623 */     // GIR_Coverage, 23704,
     /*  918623 */     GIR_EraseRootFromParent_Done,
     /*  918624 */   // Label 13964: @918624
     /*  918624 */   GIM_Try, /*On fail goto*//*Label 13965*/ GIMT_Encode4(918712), // Rule ID 23705 //
     /*  918629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  918640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  918643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  918646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918676 */     // MIs[1] Operand 1
     /*  918676 */     // No operand predicates
     /*  918676 */     // MIs[0] policy
     /*  918676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918688 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  918708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918710 */     GIR_RootConstrainSelectedInstOperands,
     /*  918711 */     // GIR_Coverage, 23705,
     /*  918711 */     GIR_EraseRootFromParent_Done,
     /*  918712 */   // Label 13965: @918712
     /*  918712 */   GIM_Try, /*On fail goto*//*Label 13966*/ GIMT_Encode4(918800), // Rule ID 23708 //
     /*  918717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  918734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918764 */     // MIs[1] Operand 1
     /*  918764 */     // No operand predicates
     /*  918764 */     // MIs[0] policy
     /*  918764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918798 */     GIR_RootConstrainSelectedInstOperands,
     /*  918799 */     // GIR_Coverage, 23708,
     /*  918799 */     GIR_EraseRootFromParent_Done,
     /*  918800 */   // Label 13966: @918800
     /*  918800 */   GIM_Try, /*On fail goto*//*Label 13967*/ GIMT_Encode4(918888), // Rule ID 23709 //
     /*  918805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  918816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  918819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  918822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  918825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  918828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918852 */     // MIs[1] Operand 1
     /*  918852 */     // No operand predicates
     /*  918852 */     // MIs[0] policy
     /*  918852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  918864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  918867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918886 */     GIR_RootConstrainSelectedInstOperands,
     /*  918887 */     // GIR_Coverage, 23709,
     /*  918887 */     GIR_EraseRootFromParent_Done,
     /*  918888 */   // Label 13967: @918888
     /*  918888 */   GIM_Try, /*On fail goto*//*Label 13968*/ GIMT_Encode4(918976), // Rule ID 23712 //
     /*  918893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  918896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  918913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  918916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  918928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  918932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  918936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  918940 */     // MIs[1] Operand 1
     /*  918940 */     // No operand predicates
     /*  918940 */     // MIs[0] policy
     /*  918940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  918943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  918945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  918952 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  918952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  918955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  918957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  918959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  918961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  918964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  918969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  918972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  918974 */     GIR_RootConstrainSelectedInstOperands,
     /*  918975 */     // GIR_Coverage, 23712,
     /*  918975 */     GIR_EraseRootFromParent_Done,
     /*  918976 */   // Label 13968: @918976
     /*  918976 */   GIM_Try, /*On fail goto*//*Label 13969*/ GIMT_Encode4(919064), // Rule ID 23713 //
     /*  918981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  918984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  918989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  918992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  918995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  918998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919028 */     // MIs[1] Operand 1
     /*  919028 */     // No operand predicates
     /*  919028 */     // MIs[0] policy
     /*  919028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919040 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  919043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919062 */     GIR_RootConstrainSelectedInstOperands,
     /*  919063 */     // GIR_Coverage, 23713,
     /*  919063 */     GIR_EraseRootFromParent_Done,
     /*  919064 */   // Label 13969: @919064
     /*  919064 */   GIM_Try, /*On fail goto*//*Label 13970*/ GIMT_Encode4(919152), // Rule ID 23716 //
     /*  919069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  919080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  919083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  919086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919116 */     // MIs[1] Operand 1
     /*  919116 */     // No operand predicates
     /*  919116 */     // MIs[0] policy
     /*  919116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  919131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919150 */     GIR_RootConstrainSelectedInstOperands,
     /*  919151 */     // GIR_Coverage, 23716,
     /*  919151 */     GIR_EraseRootFromParent_Done,
     /*  919152 */   // Label 13970: @919152
     /*  919152 */   GIM_Try, /*On fail goto*//*Label 13971*/ GIMT_Encode4(919240), // Rule ID 23717 //
     /*  919157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  919168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  919171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  919174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919204 */     // MIs[1] Operand 1
     /*  919204 */     // No operand predicates
     /*  919204 */     // MIs[0] policy
     /*  919204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919216 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  919219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919238 */     GIR_RootConstrainSelectedInstOperands,
     /*  919239 */     // GIR_Coverage, 23717,
     /*  919239 */     GIR_EraseRootFromParent_Done,
     /*  919240 */   // Label 13971: @919240
     /*  919240 */   GIM_Try, /*On fail goto*//*Label 13972*/ GIMT_Encode4(919328), // Rule ID 23720 //
     /*  919245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  919256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  919259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  919262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919292 */     // MIs[1] Operand 1
     /*  919292 */     // No operand predicates
     /*  919292 */     // MIs[0] policy
     /*  919292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919304 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919326 */     GIR_RootConstrainSelectedInstOperands,
     /*  919327 */     // GIR_Coverage, 23720,
     /*  919327 */     GIR_EraseRootFromParent_Done,
     /*  919328 */   // Label 13972: @919328
     /*  919328 */   GIM_Try, /*On fail goto*//*Label 13973*/ GIMT_Encode4(919416), // Rule ID 23721 //
     /*  919333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  919344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  919347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  919350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919380 */     // MIs[1] Operand 1
     /*  919380 */     // No operand predicates
     /*  919380 */     // MIs[0] policy
     /*  919380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919392 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  919412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919414 */     GIR_RootConstrainSelectedInstOperands,
     /*  919415 */     // GIR_Coverage, 23721,
     /*  919415 */     GIR_EraseRootFromParent_Done,
     /*  919416 */   // Label 13973: @919416
     /*  919416 */   GIM_Try, /*On fail goto*//*Label 13974*/ GIMT_Encode4(919504), // Rule ID 23724 //
     /*  919421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  919432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  919435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  919438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919468 */     // MIs[1] Operand 1
     /*  919468 */     // No operand predicates
     /*  919468 */     // MIs[0] policy
     /*  919468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919480 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919502 */     GIR_RootConstrainSelectedInstOperands,
     /*  919503 */     // GIR_Coverage, 23724,
     /*  919503 */     GIR_EraseRootFromParent_Done,
     /*  919504 */   // Label 13974: @919504
     /*  919504 */   GIM_Try, /*On fail goto*//*Label 13975*/ GIMT_Encode4(919592), // Rule ID 23725 //
     /*  919509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  919520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  919523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  919526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919556 */     // MIs[1] Operand 1
     /*  919556 */     // No operand predicates
     /*  919556 */     // MIs[0] policy
     /*  919556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919568 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  919588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919590 */     GIR_RootConstrainSelectedInstOperands,
     /*  919591 */     // GIR_Coverage, 23725,
     /*  919591 */     GIR_EraseRootFromParent_Done,
     /*  919592 */   // Label 13975: @919592
     /*  919592 */   GIM_Try, /*On fail goto*//*Label 13976*/ GIMT_Encode4(919680), // Rule ID 23728 //
     /*  919597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  919608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  919611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  919614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919644 */     // MIs[1] Operand 1
     /*  919644 */     // No operand predicates
     /*  919644 */     // MIs[0] policy
     /*  919644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919678 */     GIR_RootConstrainSelectedInstOperands,
     /*  919679 */     // GIR_Coverage, 23728,
     /*  919679 */     GIR_EraseRootFromParent_Done,
     /*  919680 */   // Label 13976: @919680
     /*  919680 */   GIM_Try, /*On fail goto*//*Label 13977*/ GIMT_Encode4(919768), // Rule ID 23729 //
     /*  919685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  919688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  919696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  919699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  919702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919732 */     // MIs[1] Operand 1
     /*  919732 */     // No operand predicates
     /*  919732 */     // MIs[0] policy
     /*  919732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  919764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919766 */     GIR_RootConstrainSelectedInstOperands,
     /*  919767 */     // GIR_Coverage, 23729,
     /*  919767 */     GIR_EraseRootFromParent_Done,
     /*  919768 */   // Label 13977: @919768
     /*  919768 */   GIM_Try, /*On fail goto*//*Label 13978*/ GIMT_Encode4(919856), // Rule ID 23732 //
     /*  919773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  919776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  919784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  919787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  919790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919820 */     // MIs[1] Operand 1
     /*  919820 */     // No operand predicates
     /*  919820 */     // MIs[0] policy
     /*  919820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919832 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  919832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919854 */     GIR_RootConstrainSelectedInstOperands,
     /*  919855 */     // GIR_Coverage, 23732,
     /*  919855 */     GIR_EraseRootFromParent_Done,
     /*  919856 */   // Label 13978: @919856
     /*  919856 */   GIM_Try, /*On fail goto*//*Label 13979*/ GIMT_Encode4(919944), // Rule ID 23733 //
     /*  919861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  919864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  919872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  919875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  919878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  919881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  919884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  919896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919908 */     // MIs[1] Operand 1
     /*  919908 */     // No operand predicates
     /*  919908 */     // MIs[0] policy
     /*  919908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  919913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  919920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  919920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  919923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  919925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  919927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  919929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  919932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  919937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  919940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  919942 */     GIR_RootConstrainSelectedInstOperands,
     /*  919943 */     // GIR_Coverage, 23733,
     /*  919943 */     GIR_EraseRootFromParent_Done,
     /*  919944 */   // Label 13979: @919944
     /*  919944 */   GIM_Try, /*On fail goto*//*Label 13980*/ GIMT_Encode4(920032), // Rule ID 23736 //
     /*  919949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  919952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  919957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  919960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  919963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  919966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  919969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  919972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  919984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  919988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  919992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  919996 */     // MIs[1] Operand 1
     /*  919996 */     // No operand predicates
     /*  919996 */     // MIs[0] policy
     /*  919996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  919999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920030 */     GIR_RootConstrainSelectedInstOperands,
     /*  920031 */     // GIR_Coverage, 23736,
     /*  920031 */     GIR_EraseRootFromParent_Done,
     /*  920032 */   // Label 13980: @920032
     /*  920032 */   GIM_Try, /*On fail goto*//*Label 13981*/ GIMT_Encode4(920120), // Rule ID 23737 //
     /*  920037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  920048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  920051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  920054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920084 */     // MIs[1] Operand 1
     /*  920084 */     // No operand predicates
     /*  920084 */     // MIs[0] policy
     /*  920084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920118 */     GIR_RootConstrainSelectedInstOperands,
     /*  920119 */     // GIR_Coverage, 23737,
     /*  920119 */     GIR_EraseRootFromParent_Done,
     /*  920120 */   // Label 13981: @920120
     /*  920120 */   GIM_Try, /*On fail goto*//*Label 13982*/ GIMT_Encode4(920208), // Rule ID 23740 //
     /*  920125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  920136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  920139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  920142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920172 */     // MIs[1] Operand 1
     /*  920172 */     // No operand predicates
     /*  920172 */     // MIs[0] policy
     /*  920172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920184 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920206 */     GIR_RootConstrainSelectedInstOperands,
     /*  920207 */     // GIR_Coverage, 23740,
     /*  920207 */     GIR_EraseRootFromParent_Done,
     /*  920208 */   // Label 13982: @920208
     /*  920208 */   GIM_Try, /*On fail goto*//*Label 13983*/ GIMT_Encode4(920296), // Rule ID 23741 //
     /*  920213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  920224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  920227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  920230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920260 */     // MIs[1] Operand 1
     /*  920260 */     // No operand predicates
     /*  920260 */     // MIs[0] policy
     /*  920260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920272 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920294 */     GIR_RootConstrainSelectedInstOperands,
     /*  920295 */     // GIR_Coverage, 23741,
     /*  920295 */     GIR_EraseRootFromParent_Done,
     /*  920296 */   // Label 13983: @920296
     /*  920296 */   GIM_Try, /*On fail goto*//*Label 13984*/ GIMT_Encode4(920384), // Rule ID 23744 //
     /*  920301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  920312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  920315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  920318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920336 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920340 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920344 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920348 */     // MIs[1] Operand 1
     /*  920348 */     // No operand predicates
     /*  920348 */     // MIs[0] policy
     /*  920348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920360 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920382 */     GIR_RootConstrainSelectedInstOperands,
     /*  920383 */     // GIR_Coverage, 23744,
     /*  920383 */     GIR_EraseRootFromParent_Done,
     /*  920384 */   // Label 13984: @920384
     /*  920384 */   GIM_Try, /*On fail goto*//*Label 13985*/ GIMT_Encode4(920472), // Rule ID 23745 //
     /*  920389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  920400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  920403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  920406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920436 */     // MIs[1] Operand 1
     /*  920436 */     // No operand predicates
     /*  920436 */     // MIs[0] policy
     /*  920436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  920468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920470 */     GIR_RootConstrainSelectedInstOperands,
     /*  920471 */     // GIR_Coverage, 23745,
     /*  920471 */     GIR_EraseRootFromParent_Done,
     /*  920472 */   // Label 13985: @920472
     /*  920472 */   GIM_Try, /*On fail goto*//*Label 13986*/ GIMT_Encode4(920560), // Rule ID 23748 //
     /*  920477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  920488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  920491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920524 */     // MIs[1] Operand 1
     /*  920524 */     // No operand predicates
     /*  920524 */     // MIs[0] policy
     /*  920524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920558 */     GIR_RootConstrainSelectedInstOperands,
     /*  920559 */     // GIR_Coverage, 23748,
     /*  920559 */     GIR_EraseRootFromParent_Done,
     /*  920560 */   // Label 13986: @920560
     /*  920560 */   GIM_Try, /*On fail goto*//*Label 13987*/ GIMT_Encode4(920648), // Rule ID 23749 //
     /*  920565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  920576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  920579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  920582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  920600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920612 */     // MIs[1] Operand 1
     /*  920612 */     // No operand predicates
     /*  920612 */     // MIs[0] policy
     /*  920612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  920627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920646 */     GIR_RootConstrainSelectedInstOperands,
     /*  920647 */     // GIR_Coverage, 23749,
     /*  920647 */     GIR_EraseRootFromParent_Done,
     /*  920648 */   // Label 13987: @920648
     /*  920648 */   GIM_Try, /*On fail goto*//*Label 13988*/ GIMT_Encode4(920736), // Rule ID 23752 //
     /*  920653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920700 */     // MIs[1] Operand 1
     /*  920700 */     // No operand predicates
     /*  920700 */     // MIs[0] policy
     /*  920700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920734 */     GIR_RootConstrainSelectedInstOperands,
     /*  920735 */     // GIR_Coverage, 23752,
     /*  920735 */     GIR_EraseRootFromParent_Done,
     /*  920736 */   // Label 13988: @920736
     /*  920736 */   GIM_Try, /*On fail goto*//*Label 13989*/ GIMT_Encode4(920824), // Rule ID 23753 //
     /*  920741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  920752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  920755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  920758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  920776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920788 */     // MIs[1] Operand 1
     /*  920788 */     // No operand predicates
     /*  920788 */     // MIs[0] policy
     /*  920788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920791 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920800 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  920803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920809 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920822 */     GIR_RootConstrainSelectedInstOperands,
     /*  920823 */     // GIR_Coverage, 23753,
     /*  920823 */     GIR_EraseRootFromParent_Done,
     /*  920824 */   // Label 13989: @920824
     /*  920824 */   GIM_Try, /*On fail goto*//*Label 13990*/ GIMT_Encode4(920912), // Rule ID 23756 //
     /*  920829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  920832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  920849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  920852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920876 */     // MIs[1] Operand 1
     /*  920876 */     // No operand predicates
     /*  920876 */     // MIs[0] policy
     /*  920876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920888 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  920888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920910 */     GIR_RootConstrainSelectedInstOperands,
     /*  920911 */     // GIR_Coverage, 23756,
     /*  920911 */     GIR_EraseRootFromParent_Done,
     /*  920912 */   // Label 13990: @920912
     /*  920912 */   GIM_Try, /*On fail goto*//*Label 13991*/ GIMT_Encode4(921000), // Rule ID 23757 //
     /*  920917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  920920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  920925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  920928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  920931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  920934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  920937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  920940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  920952 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  920956 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  920960 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  920964 */     // MIs[1] Operand 1
     /*  920964 */     // No operand predicates
     /*  920964 */     // MIs[0] policy
     /*  920964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  920967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  920969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  920976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  920976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  920979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  920981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  920983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  920985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  920988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  920993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  920996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  920998 */     GIR_RootConstrainSelectedInstOperands,
     /*  920999 */     // GIR_Coverage, 23757,
     /*  920999 */     GIR_EraseRootFromParent_Done,
     /*  921000 */   // Label 13991: @921000
     /*  921000 */   GIM_Try, /*On fail goto*//*Label 13992*/ GIMT_Encode4(921088), // Rule ID 23760 //
     /*  921005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  921016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  921019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  921022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921040 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921044 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921048 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921052 */     // MIs[1] Operand 1
     /*  921052 */     // No operand predicates
     /*  921052 */     // MIs[0] policy
     /*  921052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921086 */     GIR_RootConstrainSelectedInstOperands,
     /*  921087 */     // GIR_Coverage, 23760,
     /*  921087 */     GIR_EraseRootFromParent_Done,
     /*  921088 */   // Label 13992: @921088
     /*  921088 */   GIM_Try, /*On fail goto*//*Label 13993*/ GIMT_Encode4(921176), // Rule ID 23761 //
     /*  921093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  921104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  921107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  921110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921140 */     // MIs[1] Operand 1
     /*  921140 */     // No operand predicates
     /*  921140 */     // MIs[0] policy
     /*  921140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921174 */     GIR_RootConstrainSelectedInstOperands,
     /*  921175 */     // GIR_Coverage, 23761,
     /*  921175 */     GIR_EraseRootFromParent_Done,
     /*  921176 */   // Label 13993: @921176
     /*  921176 */   GIM_Try, /*On fail goto*//*Label 13994*/ GIMT_Encode4(921264), // Rule ID 23764 //
     /*  921181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  921192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  921195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  921198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921224 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921228 */     // MIs[1] Operand 1
     /*  921228 */     // No operand predicates
     /*  921228 */     // MIs[0] policy
     /*  921228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921262 */     GIR_RootConstrainSelectedInstOperands,
     /*  921263 */     // GIR_Coverage, 23764,
     /*  921263 */     GIR_EraseRootFromParent_Done,
     /*  921264 */   // Label 13994: @921264
     /*  921264 */   GIM_Try, /*On fail goto*//*Label 13995*/ GIMT_Encode4(921352), // Rule ID 23765 //
     /*  921269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  921280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  921283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  921286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921316 */     // MIs[1] Operand 1
     /*  921316 */     // No operand predicates
     /*  921316 */     // MIs[0] policy
     /*  921316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921328 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921350 */     GIR_RootConstrainSelectedInstOperands,
     /*  921351 */     // GIR_Coverage, 23765,
     /*  921351 */     GIR_EraseRootFromParent_Done,
     /*  921352 */   // Label 13995: @921352
     /*  921352 */   GIM_Try, /*On fail goto*//*Label 13996*/ GIMT_Encode4(921440), // Rule ID 23768 //
     /*  921357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  921360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  921368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  921371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  921374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921404 */     // MIs[1] Operand 1
     /*  921404 */     // No operand predicates
     /*  921404 */     // MIs[0] policy
     /*  921404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921416 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921438 */     GIR_RootConstrainSelectedInstOperands,
     /*  921439 */     // GIR_Coverage, 23768,
     /*  921439 */     GIR_EraseRootFromParent_Done,
     /*  921440 */   // Label 13996: @921440
     /*  921440 */   GIM_Try, /*On fail goto*//*Label 13997*/ GIMT_Encode4(921528), // Rule ID 23769 //
     /*  921445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  921448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  921456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  921459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  921462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921492 */     // MIs[1] Operand 1
     /*  921492 */     // No operand predicates
     /*  921492 */     // MIs[0] policy
     /*  921492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921504 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  921524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921526 */     GIR_RootConstrainSelectedInstOperands,
     /*  921527 */     // GIR_Coverage, 23769,
     /*  921527 */     GIR_EraseRootFromParent_Done,
     /*  921528 */   // Label 13997: @921528
     /*  921528 */   GIM_Try, /*On fail goto*//*Label 13998*/ GIMT_Encode4(921616), // Rule ID 23772 //
     /*  921533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  921550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921580 */     // MIs[1] Operand 1
     /*  921580 */     // No operand predicates
     /*  921580 */     // MIs[0] policy
     /*  921580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921592 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921601 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921614 */     GIR_RootConstrainSelectedInstOperands,
     /*  921615 */     // GIR_Coverage, 23772,
     /*  921615 */     GIR_EraseRootFromParent_Done,
     /*  921616 */   // Label 13998: @921616
     /*  921616 */   GIM_Try, /*On fail goto*//*Label 13999*/ GIMT_Encode4(921704), // Rule ID 23773 //
     /*  921621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  921632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  921635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  921638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  921656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921668 */     // MIs[1] Operand 1
     /*  921668 */     // No operand predicates
     /*  921668 */     // MIs[0] policy
     /*  921668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  921683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921702 */     GIR_RootConstrainSelectedInstOperands,
     /*  921703 */     // GIR_Coverage, 23773,
     /*  921703 */     GIR_EraseRootFromParent_Done,
     /*  921704 */   // Label 13999: @921704
     /*  921704 */   GIM_Try, /*On fail goto*//*Label 14000*/ GIMT_Encode4(921792), // Rule ID 23776 //
     /*  921709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921756 */     // MIs[1] Operand 1
     /*  921756 */     // No operand predicates
     /*  921756 */     // MIs[0] policy
     /*  921756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921768 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921790 */     GIR_RootConstrainSelectedInstOperands,
     /*  921791 */     // GIR_Coverage, 23776,
     /*  921791 */     GIR_EraseRootFromParent_Done,
     /*  921792 */   // Label 14000: @921792
     /*  921792 */   GIM_Try, /*On fail goto*//*Label 14001*/ GIMT_Encode4(921880), // Rule ID 23777 //
     /*  921797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  921808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  921811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  921814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  921832 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921836 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921840 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921844 */     // MIs[1] Operand 1
     /*  921844 */     // No operand predicates
     /*  921844 */     // MIs[0] policy
     /*  921844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921856 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  921856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  921859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921865 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921878 */     GIR_RootConstrainSelectedInstOperands,
     /*  921879 */     // GIR_Coverage, 23777,
     /*  921879 */     GIR_EraseRootFromParent_Done,
     /*  921880 */   // Label 14001: @921880
     /*  921880 */   GIM_Try, /*On fail goto*//*Label 14002*/ GIMT_Encode4(921968), // Rule ID 23780 //
     /*  921885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  921888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  921905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  921908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  921920 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  921924 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  921928 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  921932 */     // MIs[1] Operand 1
     /*  921932 */     // No operand predicates
     /*  921932 */     // MIs[0] policy
     /*  921932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  921935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  921937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  921944 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  921944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  921947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  921949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  921951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  921953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  921956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  921961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  921964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  921966 */     GIR_RootConstrainSelectedInstOperands,
     /*  921967 */     // GIR_Coverage, 23780,
     /*  921967 */     GIR_EraseRootFromParent_Done,
     /*  921968 */   // Label 14002: @921968
     /*  921968 */   GIM_Try, /*On fail goto*//*Label 14003*/ GIMT_Encode4(922056), // Rule ID 23781 //
     /*  921973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  921976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  921981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  921984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  921987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  921990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  921993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  921996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  922008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922020 */     // MIs[1] Operand 1
     /*  922020 */     // No operand predicates
     /*  922020 */     // MIs[0] policy
     /*  922020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922032 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  922035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  922052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922054 */     GIR_RootConstrainSelectedInstOperands,
     /*  922055 */     // GIR_Coverage, 23781,
     /*  922055 */     GIR_EraseRootFromParent_Done,
     /*  922056 */   // Label 14003: @922056
     /*  922056 */   GIM_Try, /*On fail goto*//*Label 14004*/ GIMT_Encode4(922144), // Rule ID 23872 //
     /*  922061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  922072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  922075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  922078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922108 */     // MIs[1] Operand 1
     /*  922108 */     // No operand predicates
     /*  922108 */     // MIs[0] policy
     /*  922108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922120 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  922123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922142 */     GIR_RootConstrainSelectedInstOperands,
     /*  922143 */     // GIR_Coverage, 23872,
     /*  922143 */     GIR_EraseRootFromParent_Done,
     /*  922144 */   // Label 14004: @922144
     /*  922144 */   GIM_Try, /*On fail goto*//*Label 14005*/ GIMT_Encode4(922232), // Rule ID 23873 //
     /*  922149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  922160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  922163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  922166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922196 */     // MIs[1] Operand 1
     /*  922196 */     // No operand predicates
     /*  922196 */     // MIs[0] policy
     /*  922196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922208 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8),
     /*  922211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922230 */     GIR_RootConstrainSelectedInstOperands,
     /*  922231 */     // GIR_Coverage, 23873,
     /*  922231 */     GIR_EraseRootFromParent_Done,
     /*  922232 */   // Label 14005: @922232
     /*  922232 */   GIM_Try, /*On fail goto*//*Label 14006*/ GIMT_Encode4(922320), // Rule ID 23876 //
     /*  922237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  922248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  922251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  922254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922284 */     // MIs[1] Operand 1
     /*  922284 */     // No operand predicates
     /*  922284 */     // MIs[0] policy
     /*  922284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922296 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922318 */     GIR_RootConstrainSelectedInstOperands,
     /*  922319 */     // GIR_Coverage, 23876,
     /*  922319 */     GIR_EraseRootFromParent_Done,
     /*  922320 */   // Label 14006: @922320
     /*  922320 */   GIM_Try, /*On fail goto*//*Label 14007*/ GIMT_Encode4(922408), // Rule ID 23877 //
     /*  922325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  922336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  922339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  922342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922372 */     // MIs[1] Operand 1
     /*  922372 */     // No operand predicates
     /*  922372 */     // MIs[0] policy
     /*  922372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922384 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922406 */     GIR_RootConstrainSelectedInstOperands,
     /*  922407 */     // GIR_Coverage, 23877,
     /*  922407 */     GIR_EraseRootFromParent_Done,
     /*  922408 */   // Label 14007: @922408
     /*  922408 */   GIM_Try, /*On fail goto*//*Label 14008*/ GIMT_Encode4(922496), // Rule ID 23880 //
     /*  922413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  922424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  922427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  922430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922460 */     // MIs[1] Operand 1
     /*  922460 */     // No operand predicates
     /*  922460 */     // MIs[0] policy
     /*  922460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922463 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922472 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922481 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922494 */     GIR_RootConstrainSelectedInstOperands,
     /*  922495 */     // GIR_Coverage, 23880,
     /*  922495 */     GIR_EraseRootFromParent_Done,
     /*  922496 */   // Label 14008: @922496
     /*  922496 */   GIM_Try, /*On fail goto*//*Label 14009*/ GIMT_Encode4(922584), // Rule ID 23881 //
     /*  922501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  922512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  922515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  922518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922548 */     // MIs[1] Operand 1
     /*  922548 */     // No operand predicates
     /*  922548 */     // MIs[0] policy
     /*  922548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922560 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  922580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922582 */     GIR_RootConstrainSelectedInstOperands,
     /*  922583 */     // GIR_Coverage, 23881,
     /*  922583 */     GIR_EraseRootFromParent_Done,
     /*  922584 */   // Label 14009: @922584
     /*  922584 */   GIM_Try, /*On fail goto*//*Label 14010*/ GIMT_Encode4(922672), // Rule ID 23884 //
     /*  922589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  922600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  922603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922624 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922628 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922632 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922636 */     // MIs[1] Operand 1
     /*  922636 */     // No operand predicates
     /*  922636 */     // MIs[0] policy
     /*  922636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922670 */     GIR_RootConstrainSelectedInstOperands,
     /*  922671 */     // GIR_Coverage, 23884,
     /*  922671 */     GIR_EraseRootFromParent_Done,
     /*  922672 */   // Label 14010: @922672
     /*  922672 */   GIM_Try, /*On fail goto*//*Label 14011*/ GIMT_Encode4(922760), // Rule ID 23885 //
     /*  922677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  922688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  922691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  922694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922712 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922716 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922720 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922724 */     // MIs[1] Operand 1
     /*  922724 */     // No operand predicates
     /*  922724 */     // MIs[0] policy
     /*  922724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922736 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  922739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922758 */     GIR_RootConstrainSelectedInstOperands,
     /*  922759 */     // GIR_Coverage, 23885,
     /*  922759 */     GIR_EraseRootFromParent_Done,
     /*  922760 */   // Label 14011: @922760
     /*  922760 */   GIM_Try, /*On fail goto*//*Label 14012*/ GIMT_Encode4(922848), // Rule ID 23888 //
     /*  922765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922812 */     // MIs[1] Operand 1
     /*  922812 */     // No operand predicates
     /*  922812 */     // MIs[0] policy
     /*  922812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922824 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  922824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922846 */     GIR_RootConstrainSelectedInstOperands,
     /*  922847 */     // GIR_Coverage, 23888,
     /*  922847 */     GIR_EraseRootFromParent_Done,
     /*  922848 */   // Label 14012: @922848
     /*  922848 */   GIM_Try, /*On fail goto*//*Label 14013*/ GIMT_Encode4(922936), // Rule ID 23889 //
     /*  922853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  922856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  922864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  922867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  922870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  922873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  922876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922900 */     // MIs[1] Operand 1
     /*  922900 */     // No operand predicates
     /*  922900 */     // MIs[0] policy
     /*  922900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  922912 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  922912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  922915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  922917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  922919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  922921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  922924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  922929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  922932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  922934 */     GIR_RootConstrainSelectedInstOperands,
     /*  922935 */     // GIR_Coverage, 23889,
     /*  922935 */     GIR_EraseRootFromParent_Done,
     /*  922936 */   // Label 14013: @922936
     /*  922936 */   GIM_Try, /*On fail goto*//*Label 14014*/ GIMT_Encode4(923024), // Rule ID 23892 //
     /*  922941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  922944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  922949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  922952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  922955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  922958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  922961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  922964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  922976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  922980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  922984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  922988 */     // MIs[1] Operand 1
     /*  922988 */     // No operand predicates
     /*  922988 */     // MIs[0] policy
     /*  922988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  922991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  922993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923000 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923022 */     GIR_RootConstrainSelectedInstOperands,
     /*  923023 */     // GIR_Coverage, 23892,
     /*  923023 */     GIR_EraseRootFromParent_Done,
     /*  923024 */   // Label 14014: @923024
     /*  923024 */   GIM_Try, /*On fail goto*//*Label 14015*/ GIMT_Encode4(923112), // Rule ID 23893 //
     /*  923029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  923040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  923043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  923046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923076 */     // MIs[1] Operand 1
     /*  923076 */     // No operand predicates
     /*  923076 */     // MIs[0] policy
     /*  923076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923088 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  923091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923110 */     GIR_RootConstrainSelectedInstOperands,
     /*  923111 */     // GIR_Coverage, 23893,
     /*  923111 */     GIR_EraseRootFromParent_Done,
     /*  923112 */   // Label 14015: @923112
     /*  923112 */   GIM_Try, /*On fail goto*//*Label 14016*/ GIMT_Encode4(923200), // Rule ID 23896 //
     /*  923117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  923128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  923131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  923134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923164 */     // MIs[1] Operand 1
     /*  923164 */     // No operand predicates
     /*  923164 */     // MIs[0] policy
     /*  923164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923176 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923198 */     GIR_RootConstrainSelectedInstOperands,
     /*  923199 */     // GIR_Coverage, 23896,
     /*  923199 */     GIR_EraseRootFromParent_Done,
     /*  923200 */   // Label 14016: @923200
     /*  923200 */   GIM_Try, /*On fail goto*//*Label 14017*/ GIMT_Encode4(923288), // Rule ID 23897 //
     /*  923205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  923216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  923219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  923222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923252 */     // MIs[1] Operand 1
     /*  923252 */     // No operand predicates
     /*  923252 */     // MIs[0] policy
     /*  923252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923264 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923286 */     GIR_RootConstrainSelectedInstOperands,
     /*  923287 */     // GIR_Coverage, 23897,
     /*  923287 */     GIR_EraseRootFromParent_Done,
     /*  923288 */   // Label 14017: @923288
     /*  923288 */   GIM_Try, /*On fail goto*//*Label 14018*/ GIMT_Encode4(923376), // Rule ID 23900 //
     /*  923293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  923304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  923307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  923310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923340 */     // MIs[1] Operand 1
     /*  923340 */     // No operand predicates
     /*  923340 */     // MIs[0] policy
     /*  923340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923361 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923374 */     GIR_RootConstrainSelectedInstOperands,
     /*  923375 */     // GIR_Coverage, 23900,
     /*  923375 */     GIR_EraseRootFromParent_Done,
     /*  923376 */   // Label 14018: @923376
     /*  923376 */   GIM_Try, /*On fail goto*//*Label 14019*/ GIMT_Encode4(923464), // Rule ID 23901 //
     /*  923381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  923392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  923395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  923398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923428 */     // MIs[1] Operand 1
     /*  923428 */     // No operand predicates
     /*  923428 */     // MIs[0] policy
     /*  923428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923431 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923449 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  923460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923462 */     GIR_RootConstrainSelectedInstOperands,
     /*  923463 */     // GIR_Coverage, 23901,
     /*  923463 */     GIR_EraseRootFromParent_Done,
     /*  923464 */   // Label 14019: @923464
     /*  923464 */   GIM_Try, /*On fail goto*//*Label 14020*/ GIMT_Encode4(923552), // Rule ID 23904 //
     /*  923469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  923480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  923483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  923486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923512 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923516 */     // MIs[1] Operand 1
     /*  923516 */     // No operand predicates
     /*  923516 */     // MIs[0] policy
     /*  923516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923528 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923550 */     GIR_RootConstrainSelectedInstOperands,
     /*  923551 */     // GIR_Coverage, 23904,
     /*  923551 */     GIR_EraseRootFromParent_Done,
     /*  923552 */   // Label 14020: @923552
     /*  923552 */   GIM_Try, /*On fail goto*//*Label 14021*/ GIMT_Encode4(923640), // Rule ID 23905 //
     /*  923557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  923568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  923571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  923574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923600 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923604 */     // MIs[1] Operand 1
     /*  923604 */     // No operand predicates
     /*  923604 */     // MIs[0] policy
     /*  923604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923616 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  923636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923638 */     GIR_RootConstrainSelectedInstOperands,
     /*  923639 */     // GIR_Coverage, 23905,
     /*  923639 */     GIR_EraseRootFromParent_Done,
     /*  923640 */   // Label 14021: @923640
     /*  923640 */   GIM_Try, /*On fail goto*//*Label 14022*/ GIMT_Encode4(923728), // Rule ID 23908 //
     /*  923645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  923648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  923662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923692 */     // MIs[1] Operand 1
     /*  923692 */     // No operand predicates
     /*  923692 */     // MIs[0] policy
     /*  923692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923726 */     GIR_RootConstrainSelectedInstOperands,
     /*  923727 */     // GIR_Coverage, 23908,
     /*  923727 */     GIR_EraseRootFromParent_Done,
     /*  923728 */   // Label 14022: @923728
     /*  923728 */   GIM_Try, /*On fail goto*//*Label 14023*/ GIMT_Encode4(923816), // Rule ID 23909 //
     /*  923733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  923736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  923744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  923747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  923750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  923768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923780 */     // MIs[1] Operand 1
     /*  923780 */     // No operand predicates
     /*  923780 */     // MIs[0] policy
     /*  923780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923792 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  923795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  923812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923814 */     GIR_RootConstrainSelectedInstOperands,
     /*  923815 */     // GIR_Coverage, 23909,
     /*  923815 */     GIR_EraseRootFromParent_Done,
     /*  923816 */   // Label 14023: @923816
     /*  923816 */   GIM_Try, /*On fail goto*//*Label 14024*/ GIMT_Encode4(923904), // Rule ID 23912 //
     /*  923821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  923824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  923832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  923835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  923838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  923841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  923844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923868 */     // MIs[1] Operand 1
     /*  923868 */     // No operand predicates
     /*  923868 */     // MIs[0] policy
     /*  923868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923880 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  923880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923902 */     GIR_RootConstrainSelectedInstOperands,
     /*  923903 */     // GIR_Coverage, 23912,
     /*  923903 */     GIR_EraseRootFromParent_Done,
     /*  923904 */   // Label 14024: @923904
     /*  923904 */   GIM_Try, /*On fail goto*//*Label 14025*/ GIMT_Encode4(923992), // Rule ID 23913 //
     /*  923909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  923912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  923917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  923920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  923923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  923926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  923929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  923932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  923944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  923948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  923952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  923956 */     // MIs[1] Operand 1
     /*  923956 */     // No operand predicates
     /*  923956 */     // MIs[0] policy
     /*  923956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  923959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  923961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  923968 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  923968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  923971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  923973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  923975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  923977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  923980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  923985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  923988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  923990 */     GIR_RootConstrainSelectedInstOperands,
     /*  923991 */     // GIR_Coverage, 23913,
     /*  923991 */     GIR_EraseRootFromParent_Done,
     /*  923992 */   // Label 14025: @923992
     /*  923992 */   GIM_Try, /*On fail goto*//*Label 14026*/ GIMT_Encode4(924080), // Rule ID 23916 //
     /*  923997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  924008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  924011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  924014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924044 */     // MIs[1] Operand 1
     /*  924044 */     // No operand predicates
     /*  924044 */     // MIs[0] policy
     /*  924044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924056 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924078 */     GIR_RootConstrainSelectedInstOperands,
     /*  924079 */     // GIR_Coverage, 23916,
     /*  924079 */     GIR_EraseRootFromParent_Done,
     /*  924080 */   // Label 14026: @924080
     /*  924080 */   GIM_Try, /*On fail goto*//*Label 14027*/ GIMT_Encode4(924168), // Rule ID 23917 //
     /*  924085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  924096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  924099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  924102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924132 */     // MIs[1] Operand 1
     /*  924132 */     // No operand predicates
     /*  924132 */     // MIs[0] policy
     /*  924132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924144 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924166 */     GIR_RootConstrainSelectedInstOperands,
     /*  924167 */     // GIR_Coverage, 23917,
     /*  924167 */     GIR_EraseRootFromParent_Done,
     /*  924168 */   // Label 14027: @924168
     /*  924168 */   GIM_Try, /*On fail goto*//*Label 14028*/ GIMT_Encode4(924256), // Rule ID 23920 //
     /*  924173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  924184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  924187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  924190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924220 */     // MIs[1] Operand 1
     /*  924220 */     // No operand predicates
     /*  924220 */     // MIs[0] policy
     /*  924220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924254 */     GIR_RootConstrainSelectedInstOperands,
     /*  924255 */     // GIR_Coverage, 23920,
     /*  924255 */     GIR_EraseRootFromParent_Done,
     /*  924256 */   // Label 14028: @924256
     /*  924256 */   GIM_Try, /*On fail goto*//*Label 14029*/ GIMT_Encode4(924344), // Rule ID 23921 //
     /*  924261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  924272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  924275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  924278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924296 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924300 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924304 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924308 */     // MIs[1] Operand 1
     /*  924308 */     // No operand predicates
     /*  924308 */     // MIs[0] policy
     /*  924308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  924340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924342 */     GIR_RootConstrainSelectedInstOperands,
     /*  924343 */     // GIR_Coverage, 23921,
     /*  924343 */     GIR_EraseRootFromParent_Done,
     /*  924344 */   // Label 14029: @924344
     /*  924344 */   GIM_Try, /*On fail goto*//*Label 14030*/ GIMT_Encode4(924432), // Rule ID 23924 //
     /*  924349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924396 */     // MIs[1] Operand 1
     /*  924396 */     // No operand predicates
     /*  924396 */     // MIs[0] policy
     /*  924396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924408 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924430 */     GIR_RootConstrainSelectedInstOperands,
     /*  924431 */     // GIR_Coverage, 23924,
     /*  924431 */     GIR_EraseRootFromParent_Done,
     /*  924432 */   // Label 14030: @924432
     /*  924432 */   GIM_Try, /*On fail goto*//*Label 14031*/ GIMT_Encode4(924520), // Rule ID 23925 //
     /*  924437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  924448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  924451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  924454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924472 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924476 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924480 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924484 */     // MIs[1] Operand 1
     /*  924484 */     // No operand predicates
     /*  924484 */     // MIs[0] policy
     /*  924484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924518 */     GIR_RootConstrainSelectedInstOperands,
     /*  924519 */     // GIR_Coverage, 23925,
     /*  924519 */     GIR_EraseRootFromParent_Done,
     /*  924520 */   // Label 14031: @924520
     /*  924520 */   GIM_Try, /*On fail goto*//*Label 14032*/ GIMT_Encode4(924608), // Rule ID 23928 //
     /*  924525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924568 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924572 */     // MIs[1] Operand 1
     /*  924572 */     // No operand predicates
     /*  924572 */     // MIs[0] policy
     /*  924572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924606 */     GIR_RootConstrainSelectedInstOperands,
     /*  924607 */     // GIR_Coverage, 23928,
     /*  924607 */     GIR_EraseRootFromParent_Done,
     /*  924608 */   // Label 14032: @924608
     /*  924608 */   GIM_Try, /*On fail goto*//*Label 14033*/ GIMT_Encode4(924696), // Rule ID 23929 //
     /*  924613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  924624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  924627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  924630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  924648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924660 */     // MIs[1] Operand 1
     /*  924660 */     // No operand predicates
     /*  924660 */     // MIs[0] policy
     /*  924660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924672 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  924675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924694 */     GIR_RootConstrainSelectedInstOperands,
     /*  924695 */     // GIR_Coverage, 23929,
     /*  924695 */     GIR_EraseRootFromParent_Done,
     /*  924696 */   // Label 14033: @924696
     /*  924696 */   GIM_Try, /*On fail goto*//*Label 14034*/ GIMT_Encode4(924784), // Rule ID 23932 //
     /*  924701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924748 */     // MIs[1] Operand 1
     /*  924748 */     // No operand predicates
     /*  924748 */     // MIs[0] policy
     /*  924748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924782 */     GIR_RootConstrainSelectedInstOperands,
     /*  924783 */     // GIR_Coverage, 23932,
     /*  924783 */     GIR_EraseRootFromParent_Done,
     /*  924784 */   // Label 14034: @924784
     /*  924784 */   GIM_Try, /*On fail goto*//*Label 14035*/ GIMT_Encode4(924872), // Rule ID 23933 //
     /*  924789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  924800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  924803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  924806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  924824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924836 */     // MIs[1] Operand 1
     /*  924836 */     // No operand predicates
     /*  924836 */     // MIs[0] policy
     /*  924836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924848 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  924848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  924851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  924868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924870 */     GIR_RootConstrainSelectedInstOperands,
     /*  924871 */     // GIR_Coverage, 23933,
     /*  924871 */     GIR_EraseRootFromParent_Done,
     /*  924872 */   // Label 14035: @924872
     /*  924872 */   GIM_Try, /*On fail goto*//*Label 14036*/ GIMT_Encode4(924960), // Rule ID 23936 //
     /*  924877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  924880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  924897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  924900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  924916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  924920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  924924 */     // MIs[1] Operand 1
     /*  924924 */     // No operand predicates
     /*  924924 */     // MIs[0] policy
     /*  924924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  924927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  924929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  924936 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  924936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  924939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  924941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  924943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  924945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  924948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  924953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  924956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  924958 */     GIR_RootConstrainSelectedInstOperands,
     /*  924959 */     // GIR_Coverage, 23936,
     /*  924959 */     GIR_EraseRootFromParent_Done,
     /*  924960 */   // Label 14036: @924960
     /*  924960 */   GIM_Try, /*On fail goto*//*Label 14037*/ GIMT_Encode4(925048), // Rule ID 23937 //
     /*  924965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  924968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  924973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  924976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  924979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  924982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  924985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  924988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  924996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925012 */     // MIs[1] Operand 1
     /*  925012 */     // No operand predicates
     /*  925012 */     // MIs[0] policy
     /*  925012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925015 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925024 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925033 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925046 */     GIR_RootConstrainSelectedInstOperands,
     /*  925047 */     // GIR_Coverage, 23937,
     /*  925047 */     GIR_EraseRootFromParent_Done,
     /*  925048 */   // Label 14037: @925048
     /*  925048 */   GIM_Try, /*On fail goto*//*Label 14038*/ GIMT_Encode4(925136), // Rule ID 23940 //
     /*  925053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925100 */     // MIs[1] Operand 1
     /*  925100 */     // No operand predicates
     /*  925100 */     // MIs[0] policy
     /*  925100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925112 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925134 */     GIR_RootConstrainSelectedInstOperands,
     /*  925135 */     // GIR_Coverage, 23940,
     /*  925135 */     GIR_EraseRootFromParent_Done,
     /*  925136 */   // Label 14038: @925136
     /*  925136 */   GIM_Try, /*On fail goto*//*Label 14039*/ GIMT_Encode4(925224), // Rule ID 23941 //
     /*  925141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  925152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  925155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  925158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925176 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925180 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925184 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925188 */     // MIs[1] Operand 1
     /*  925188 */     // No operand predicates
     /*  925188 */     // MIs[0] policy
     /*  925188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925209 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925222 */     GIR_RootConstrainSelectedInstOperands,
     /*  925223 */     // GIR_Coverage, 23941,
     /*  925223 */     GIR_EraseRootFromParent_Done,
     /*  925224 */   // Label 14039: @925224
     /*  925224 */   GIM_Try, /*On fail goto*//*Label 14040*/ GIMT_Encode4(925312), // Rule ID 23944 //
     /*  925229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  925232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925276 */     // MIs[1] Operand 1
     /*  925276 */     // No operand predicates
     /*  925276 */     // MIs[0] policy
     /*  925276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925288 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925310 */     GIR_RootConstrainSelectedInstOperands,
     /*  925311 */     // GIR_Coverage, 23944,
     /*  925311 */     GIR_EraseRootFromParent_Done,
     /*  925312 */   // Label 14040: @925312
     /*  925312 */   GIM_Try, /*On fail goto*//*Label 14041*/ GIMT_Encode4(925400), // Rule ID 23945 //
     /*  925317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  925320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  925328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  925331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  925334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925352 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925356 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925360 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925364 */     // MIs[1] Operand 1
     /*  925364 */     // No operand predicates
     /*  925364 */     // MIs[0] policy
     /*  925364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  925396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925398 */     GIR_RootConstrainSelectedInstOperands,
     /*  925399 */     // GIR_Coverage, 23945,
     /*  925399 */     GIR_EraseRootFromParent_Done,
     /*  925400 */   // Label 14041: @925400
     /*  925400 */   GIM_Try, /*On fail goto*//*Label 14042*/ GIMT_Encode4(925488), // Rule ID 23948 //
     /*  925405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925440 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925444 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925448 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925452 */     // MIs[1] Operand 1
     /*  925452 */     // No operand predicates
     /*  925452 */     // MIs[0] policy
     /*  925452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925464 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925486 */     GIR_RootConstrainSelectedInstOperands,
     /*  925487 */     // GIR_Coverage, 23948,
     /*  925487 */     GIR_EraseRootFromParent_Done,
     /*  925488 */   // Label 14042: @925488
     /*  925488 */   GIM_Try, /*On fail goto*//*Label 14043*/ GIMT_Encode4(925576), // Rule ID 23949 //
     /*  925493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  925504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  925507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  925510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  925528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925540 */     // MIs[1] Operand 1
     /*  925540 */     // No operand predicates
     /*  925540 */     // MIs[0] policy
     /*  925540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  925555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925574 */     GIR_RootConstrainSelectedInstOperands,
     /*  925575 */     // GIR_Coverage, 23949,
     /*  925575 */     GIR_EraseRootFromParent_Done,
     /*  925576 */   // Label 14043: @925576
     /*  925576 */   GIM_Try, /*On fail goto*//*Label 14044*/ GIMT_Encode4(925664), // Rule ID 23952 //
     /*  925581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925628 */     // MIs[1] Operand 1
     /*  925628 */     // No operand predicates
     /*  925628 */     // MIs[0] policy
     /*  925628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925640 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925662 */     GIR_RootConstrainSelectedInstOperands,
     /*  925663 */     // GIR_Coverage, 23952,
     /*  925663 */     GIR_EraseRootFromParent_Done,
     /*  925664 */   // Label 14044: @925664
     /*  925664 */   GIM_Try, /*On fail goto*//*Label 14045*/ GIMT_Encode4(925752), // Rule ID 23953 //
     /*  925669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  925680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  925683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  925686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  925704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925716 */     // MIs[1] Operand 1
     /*  925716 */     // No operand predicates
     /*  925716 */     // MIs[0] policy
     /*  925716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  925731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925750 */     GIR_RootConstrainSelectedInstOperands,
     /*  925751 */     // GIR_Coverage, 23953,
     /*  925751 */     GIR_EraseRootFromParent_Done,
     /*  925752 */   // Label 14045: @925752
     /*  925752 */   GIM_Try, /*On fail goto*//*Label 14046*/ GIMT_Encode4(925840), // Rule ID 23956 //
     /*  925757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  925760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925804 */     // MIs[1] Operand 1
     /*  925804 */     // No operand predicates
     /*  925804 */     // MIs[0] policy
     /*  925804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925816 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925838 */     GIR_RootConstrainSelectedInstOperands,
     /*  925839 */     // GIR_Coverage, 23956,
     /*  925839 */     GIR_EraseRootFromParent_Done,
     /*  925840 */   // Label 14046: @925840
     /*  925840 */   GIM_Try, /*On fail goto*//*Label 14047*/ GIMT_Encode4(925928), // Rule ID 23957 //
     /*  925845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  925848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  925853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  925856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  925859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  925862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  925865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  925868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  925880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925892 */     // MIs[1] Operand 1
     /*  925892 */     // No operand predicates
     /*  925892 */     // MIs[0] policy
     /*  925892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925895 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925904 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  925904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  925907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  925913 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  925916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  925921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  925924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  925926 */     GIR_RootConstrainSelectedInstOperands,
     /*  925927 */     // GIR_Coverage, 23957,
     /*  925927 */     GIR_EraseRootFromParent_Done,
     /*  925928 */   // Label 14047: @925928
     /*  925928 */   GIM_Try, /*On fail goto*//*Label 14048*/ GIMT_Encode4(926016), // Rule ID 24196 //
     /*  925933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  925936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  925941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  925944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  925947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  925950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  925953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  925956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  925968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  925972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  925976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  925980 */     // MIs[1] Operand 1
     /*  925980 */     // No operand predicates
     /*  925980 */     // MIs[0] policy
     /*  925980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  925983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  925985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  925992 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  925992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  925995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  925997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  925999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926001 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926014 */     GIR_RootConstrainSelectedInstOperands,
     /*  926015 */     // GIR_Coverage, 24196,
     /*  926015 */     GIR_EraseRootFromParent_Done,
     /*  926016 */   // Label 14048: @926016
     /*  926016 */   GIM_Try, /*On fail goto*//*Label 14049*/ GIMT_Encode4(926104), // Rule ID 24197 //
     /*  926021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  926024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  926032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  926035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  926038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926064 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926068 */     // MIs[1] Operand 1
     /*  926068 */     // No operand predicates
     /*  926068 */     // MIs[0] policy
     /*  926068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926080 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4),
     /*  926083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926102 */     GIR_RootConstrainSelectedInstOperands,
     /*  926103 */     // GIR_Coverage, 24197,
     /*  926103 */     GIR_EraseRootFromParent_Done,
     /*  926104 */   // Label 14049: @926104
     /*  926104 */   GIM_Try, /*On fail goto*//*Label 14050*/ GIMT_Encode4(926192), // Rule ID 24200 //
     /*  926109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  926112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  926120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  926123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  926126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926156 */     // MIs[1] Operand 1
     /*  926156 */     // No operand predicates
     /*  926156 */     // MIs[0] policy
     /*  926156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926168 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  926171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926190 */     GIR_RootConstrainSelectedInstOperands,
     /*  926191 */     // GIR_Coverage, 24200,
     /*  926191 */     GIR_EraseRootFromParent_Done,
     /*  926192 */   // Label 14050: @926192
     /*  926192 */   GIM_Try, /*On fail goto*//*Label 14051*/ GIMT_Encode4(926280), // Rule ID 24201 //
     /*  926197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  926200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  926208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  926211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  926214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926244 */     // MIs[1] Operand 1
     /*  926244 */     // No operand predicates
     /*  926244 */     // MIs[0] policy
     /*  926244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926256 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  926259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926278 */     GIR_RootConstrainSelectedInstOperands,
     /*  926279 */     // GIR_Coverage, 24201,
     /*  926279 */     GIR_EraseRootFromParent_Done,
     /*  926280 */   // Label 14051: @926280
     /*  926280 */   GIM_Try, /*On fail goto*//*Label 14052*/ GIMT_Encode4(926368), // Rule ID 24204 //
     /*  926285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  926288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  926296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  926299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  926302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926328 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926332 */     // MIs[1] Operand 1
     /*  926332 */     // No operand predicates
     /*  926332 */     // MIs[0] policy
     /*  926332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  926347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926366 */     GIR_RootConstrainSelectedInstOperands,
     /*  926367 */     // GIR_Coverage, 24204,
     /*  926367 */     GIR_EraseRootFromParent_Done,
     /*  926368 */   // Label 14052: @926368
     /*  926368 */   GIM_Try, /*On fail goto*//*Label 14053*/ GIMT_Encode4(926456), // Rule ID 24205 //
     /*  926373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  926376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  926384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  926387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  926390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926420 */     // MIs[1] Operand 1
     /*  926420 */     // No operand predicates
     /*  926420 */     // MIs[0] policy
     /*  926420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926432 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2),
     /*  926435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926454 */     GIR_RootConstrainSelectedInstOperands,
     /*  926455 */     // GIR_Coverage, 24205,
     /*  926455 */     GIR_EraseRootFromParent_Done,
     /*  926456 */   // Label 14053: @926456
     /*  926456 */   GIM_Try, /*On fail goto*//*Label 14054*/ GIMT_Encode4(926544), // Rule ID 24208 //
     /*  926461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  926464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  926472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  926475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  926478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926508 */     // MIs[1] Operand 1
     /*  926508 */     // No operand predicates
     /*  926508 */     // MIs[0] policy
     /*  926508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926520 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926542 */     GIR_RootConstrainSelectedInstOperands,
     /*  926543 */     // GIR_Coverage, 24208,
     /*  926543 */     GIR_EraseRootFromParent_Done,
     /*  926544 */   // Label 14054: @926544
     /*  926544 */   GIM_Try, /*On fail goto*//*Label 14055*/ GIMT_Encode4(926632), // Rule ID 24209 //
     /*  926549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  926552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  926560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  926563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  926566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926596 */     // MIs[1] Operand 1
     /*  926596 */     // No operand predicates
     /*  926596 */     // MIs[0] policy
     /*  926596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926608 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  926628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926630 */     GIR_RootConstrainSelectedInstOperands,
     /*  926631 */     // GIR_Coverage, 24209,
     /*  926631 */     GIR_EraseRootFromParent_Done,
     /*  926632 */   // Label 14055: @926632
     /*  926632 */   GIM_Try, /*On fail goto*//*Label 14056*/ GIMT_Encode4(926720), // Rule ID 24212 //
     /*  926637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  926640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  926648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  926651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  926654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926684 */     // MIs[1] Operand 1
     /*  926684 */     // No operand predicates
     /*  926684 */     // MIs[0] policy
     /*  926684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926696 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926705 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926718 */     GIR_RootConstrainSelectedInstOperands,
     /*  926719 */     // GIR_Coverage, 24212,
     /*  926719 */     GIR_EraseRootFromParent_Done,
     /*  926720 */   // Label 14056: @926720
     /*  926720 */   GIM_Try, /*On fail goto*//*Label 14057*/ GIMT_Encode4(926808), // Rule ID 24213 //
     /*  926725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  926728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  926736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  926739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  926742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926772 */     // MIs[1] Operand 1
     /*  926772 */     // No operand predicates
     /*  926772 */     // MIs[0] policy
     /*  926772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926784 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  926804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926806 */     GIR_RootConstrainSelectedInstOperands,
     /*  926807 */     // GIR_Coverage, 24213,
     /*  926807 */     GIR_EraseRootFromParent_Done,
     /*  926808 */   // Label 14057: @926808
     /*  926808 */   GIM_Try, /*On fail goto*//*Label 14058*/ GIMT_Encode4(926896), // Rule ID 24216 //
     /*  926813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  926816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  926824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  926827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  926830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  926833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  926836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926860 */     // MIs[1] Operand 1
     /*  926860 */     // No operand predicates
     /*  926860 */     // MIs[0] policy
     /*  926860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926872 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  926872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926894 */     GIR_RootConstrainSelectedInstOperands,
     /*  926895 */     // GIR_Coverage, 24216,
     /*  926895 */     GIR_EraseRootFromParent_Done,
     /*  926896 */   // Label 14058: @926896
     /*  926896 */   GIM_Try, /*On fail goto*//*Label 14059*/ GIMT_Encode4(926984), // Rule ID 24217 //
     /*  926901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  926904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  926912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  926915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  926918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  926921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  926924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  926936 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  926940 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  926944 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  926948 */     // MIs[1] Operand 1
     /*  926948 */     // No operand predicates
     /*  926948 */     // MIs[0] policy
     /*  926948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  926951 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  926953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  926960 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  926960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1),
     /*  926963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  926965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  926967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  926969 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  926972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  926977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  926980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  926982 */     GIR_RootConstrainSelectedInstOperands,
     /*  926983 */     // GIR_Coverage, 24217,
     /*  926983 */     GIR_EraseRootFromParent_Done,
     /*  926984 */   // Label 14059: @926984
     /*  926984 */   GIM_Try, /*On fail goto*//*Label 14060*/ GIMT_Encode4(927072), // Rule ID 24220 //
     /*  926989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  926992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  926997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  927000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  927003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  927006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927032 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927036 */     // MIs[1] Operand 1
     /*  927036 */     // No operand predicates
     /*  927036 */     // MIs[0] policy
     /*  927036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927048 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927070 */     GIR_RootConstrainSelectedInstOperands,
     /*  927071 */     // GIR_Coverage, 24220,
     /*  927071 */     GIR_EraseRootFromParent_Done,
     /*  927072 */   // Label 14060: @927072
     /*  927072 */   GIM_Try, /*On fail goto*//*Label 14061*/ GIMT_Encode4(927160), // Rule ID 24221 //
     /*  927077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  927080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  927088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  927091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  927094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927124 */     // MIs[1] Operand 1
     /*  927124 */     // No operand predicates
     /*  927124 */     // MIs[0] policy
     /*  927124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927136 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927158 */     GIR_RootConstrainSelectedInstOperands,
     /*  927159 */     // GIR_Coverage, 24221,
     /*  927159 */     GIR_EraseRootFromParent_Done,
     /*  927160 */   // Label 14061: @927160
     /*  927160 */   GIM_Try, /*On fail goto*//*Label 14062*/ GIMT_Encode4(927248), // Rule ID 24224 //
     /*  927165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  927168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  927176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  927179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  927182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927212 */     // MIs[1] Operand 1
     /*  927212 */     // No operand predicates
     /*  927212 */     // MIs[0] policy
     /*  927212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927224 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927246 */     GIR_RootConstrainSelectedInstOperands,
     /*  927247 */     // GIR_Coverage, 24224,
     /*  927247 */     GIR_EraseRootFromParent_Done,
     /*  927248 */   // Label 14062: @927248
     /*  927248 */   GIM_Try, /*On fail goto*//*Label 14063*/ GIMT_Encode4(927336), // Rule ID 24225 //
     /*  927253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  927256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  927264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  927267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  927270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927300 */     // MIs[1] Operand 1
     /*  927300 */     // No operand predicates
     /*  927300 */     // MIs[0] policy
     /*  927300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927312 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927334 */     GIR_RootConstrainSelectedInstOperands,
     /*  927335 */     // GIR_Coverage, 24225,
     /*  927335 */     GIR_EraseRootFromParent_Done,
     /*  927336 */   // Label 14063: @927336
     /*  927336 */   GIM_Try, /*On fail goto*//*Label 14064*/ GIMT_Encode4(927424), // Rule ID 24228 //
     /*  927341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  927344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  927352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  927355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  927358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927388 */     // MIs[1] Operand 1
     /*  927388 */     // No operand predicates
     /*  927388 */     // MIs[0] policy
     /*  927388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927400 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927422 */     GIR_RootConstrainSelectedInstOperands,
     /*  927423 */     // GIR_Coverage, 24228,
     /*  927423 */     GIR_EraseRootFromParent_Done,
     /*  927424 */   // Label 14064: @927424
     /*  927424 */   GIM_Try, /*On fail goto*//*Label 14065*/ GIMT_Encode4(927512), // Rule ID 24229 //
     /*  927429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  927432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  927440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  927443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  927446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927476 */     // MIs[1] Operand 1
     /*  927476 */     // No operand predicates
     /*  927476 */     // MIs[0] policy
     /*  927476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927488 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  927508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927510 */     GIR_RootConstrainSelectedInstOperands,
     /*  927511 */     // GIR_Coverage, 24229,
     /*  927511 */     GIR_EraseRootFromParent_Done,
     /*  927512 */   // Label 14065: @927512
     /*  927512 */   GIM_Try, /*On fail goto*//*Label 14066*/ GIMT_Encode4(927600), // Rule ID 24232 //
     /*  927517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  927520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  927528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  927531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  927534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927564 */     // MIs[1] Operand 1
     /*  927564 */     // No operand predicates
     /*  927564 */     // MIs[0] policy
     /*  927564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927576 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927585 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927598 */     GIR_RootConstrainSelectedInstOperands,
     /*  927599 */     // GIR_Coverage, 24232,
     /*  927599 */     GIR_EraseRootFromParent_Done,
     /*  927600 */   // Label 14066: @927600
     /*  927600 */   GIM_Try, /*On fail goto*//*Label 14067*/ GIMT_Encode4(927688), // Rule ID 24233 //
     /*  927605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  927608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  927616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  927619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  927622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  927640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927652 */     // MIs[1] Operand 1
     /*  927652 */     // No operand predicates
     /*  927652 */     // MIs[0] policy
     /*  927652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927664 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  927667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927686 */     GIR_RootConstrainSelectedInstOperands,
     /*  927687 */     // GIR_Coverage, 24233,
     /*  927687 */     GIR_EraseRootFromParent_Done,
     /*  927688 */   // Label 14067: @927688
     /*  927688 */   GIM_Try, /*On fail goto*//*Label 14068*/ GIMT_Encode4(927776), // Rule ID 24236 //
     /*  927693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  927696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927740 */     // MIs[1] Operand 1
     /*  927740 */     // No operand predicates
     /*  927740 */     // MIs[0] policy
     /*  927740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927743 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927752 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927761 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927774 */     GIR_RootConstrainSelectedInstOperands,
     /*  927775 */     // GIR_Coverage, 24236,
     /*  927775 */     GIR_EraseRootFromParent_Done,
     /*  927776 */   // Label 14068: @927776
     /*  927776 */   GIM_Try, /*On fail goto*//*Label 14069*/ GIMT_Encode4(927864), // Rule ID 24237 //
     /*  927781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  927784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  927792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  927795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  927798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  927816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927824 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927828 */     // MIs[1] Operand 1
     /*  927828 */     // No operand predicates
     /*  927828 */     // MIs[0] policy
     /*  927828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927840 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  927840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  927843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927862 */     GIR_RootConstrainSelectedInstOperands,
     /*  927863 */     // GIR_Coverage, 24237,
     /*  927863 */     GIR_EraseRootFromParent_Done,
     /*  927864 */   // Label 14069: @927864
     /*  927864 */   GIM_Try, /*On fail goto*//*Label 14070*/ GIMT_Encode4(927952), // Rule ID 24240 //
     /*  927869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  927872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  927880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  927883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  927886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  927889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  927892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  927912 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  927916 */     // MIs[1] Operand 1
     /*  927916 */     // No operand predicates
     /*  927916 */     // MIs[0] policy
     /*  927916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  927919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  927921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  927928 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  927928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  927931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  927933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  927935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  927937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  927940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  927945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  927948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  927950 */     GIR_RootConstrainSelectedInstOperands,
     /*  927951 */     // GIR_Coverage, 24240,
     /*  927951 */     GIR_EraseRootFromParent_Done,
     /*  927952 */   // Label 14070: @927952
     /*  927952 */   GIM_Try, /*On fail goto*//*Label 14071*/ GIMT_Encode4(928040), // Rule ID 24241 //
     /*  927957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  927960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  927965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  927968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  927971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  927974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  927977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  927980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  927992 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  927996 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928000 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928004 */     // MIs[1] Operand 1
     /*  928004 */     // No operand predicates
     /*  928004 */     // MIs[0] policy
     /*  928004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928016 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  928019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  928036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928038 */     GIR_RootConstrainSelectedInstOperands,
     /*  928039 */     // GIR_Coverage, 24241,
     /*  928039 */     GIR_EraseRootFromParent_Done,
     /*  928040 */   // Label 14071: @928040
     /*  928040 */   GIM_Try, /*On fail goto*//*Label 14072*/ GIMT_Encode4(928128), // Rule ID 24244 //
     /*  928045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  928048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  928053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  928056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  928059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  928062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928092 */     // MIs[1] Operand 1
     /*  928092 */     // No operand predicates
     /*  928092 */     // MIs[0] policy
     /*  928092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928104 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  928107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928126 */     GIR_RootConstrainSelectedInstOperands,
     /*  928127 */     // GIR_Coverage, 24244,
     /*  928127 */     GIR_EraseRootFromParent_Done,
     /*  928128 */   // Label 14072: @928128
     /*  928128 */   GIM_Try, /*On fail goto*//*Label 14073*/ GIMT_Encode4(928216), // Rule ID 24245 //
     /*  928133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  928136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  928141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  928144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  928147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  928150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  928168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928180 */     // MIs[1] Operand 1
     /*  928180 */     // No operand predicates
     /*  928180 */     // MIs[0] policy
     /*  928180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928192 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2),
     /*  928195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928214 */     GIR_RootConstrainSelectedInstOperands,
     /*  928215 */     // GIR_Coverage, 24245,
     /*  928215 */     GIR_EraseRootFromParent_Done,
     /*  928216 */   // Label 14073: @928216
     /*  928216 */   GIM_Try, /*On fail goto*//*Label 14074*/ GIMT_Encode4(928304), // Rule ID 24248 //
     /*  928221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  928224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  928229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  928232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  928235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  928238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928268 */     // MIs[1] Operand 1
     /*  928268 */     // No operand predicates
     /*  928268 */     // MIs[0] policy
     /*  928268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928280 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  928283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928302 */     GIR_RootConstrainSelectedInstOperands,
     /*  928303 */     // GIR_Coverage, 24248,
     /*  928303 */     GIR_EraseRootFromParent_Done,
     /*  928304 */   // Label 14074: @928304
     /*  928304 */   GIM_Try, /*On fail goto*//*Label 14075*/ GIMT_Encode4(928392), // Rule ID 24249 //
     /*  928309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  928312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  928317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  928320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  928323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  928326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  928344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928356 */     // MIs[1] Operand 1
     /*  928356 */     // No operand predicates
     /*  928356 */     // MIs[0] policy
     /*  928356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928368 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4),
     /*  928371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928390 */     GIR_RootConstrainSelectedInstOperands,
     /*  928391 */     // GIR_Coverage, 24249,
     /*  928391 */     GIR_EraseRootFromParent_Done,
     /*  928392 */   // Label 14075: @928392
     /*  928392 */   GIM_Try, /*On fail goto*//*Label 14076*/ GIMT_Encode4(928480), // Rule ID 24252 //
     /*  928397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  928400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  928405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  928408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  928411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  928414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928444 */     // MIs[1] Operand 1
     /*  928444 */     // No operand predicates
     /*  928444 */     // MIs[0] policy
     /*  928444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928456 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  928459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928478 */     GIR_RootConstrainSelectedInstOperands,
     /*  928479 */     // GIR_Coverage, 24252,
     /*  928479 */     GIR_EraseRootFromParent_Done,
     /*  928480 */   // Label 14076: @928480
     /*  928480 */   GIM_Try, /*On fail goto*//*Label 14077*/ GIMT_Encode4(928568), // Rule ID 24253 //
     /*  928485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  928488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /*  928493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  928496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  928499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  928502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  928520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928532 */     // MIs[1] Operand 1
     /*  928532 */     // No operand predicates
     /*  928532 */     // MIs[0] policy
     /*  928532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928544 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8),
     /*  928547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  928564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928566 */     GIR_RootConstrainSelectedInstOperands,
     /*  928567 */     // GIR_Coverage, 24253,
     /*  928567 */     GIR_EraseRootFromParent_Done,
     /*  928568 */   // Label 14077: @928568
     /*  928568 */   GIM_Try, /*On fail goto*//*Label 14078*/ GIMT_Encode4(928656), // Rule ID 24316 //
     /*  928573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  928576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  928584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  928587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  928590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928620 */     // MIs[1] Operand 1
     /*  928620 */     // No operand predicates
     /*  928620 */     // MIs[0] policy
     /*  928620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928632 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  928635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928654 */     GIR_RootConstrainSelectedInstOperands,
     /*  928655 */     // GIR_Coverage, 24316,
     /*  928655 */     GIR_EraseRootFromParent_Done,
     /*  928656 */   // Label 14078: @928656
     /*  928656 */   GIM_Try, /*On fail goto*//*Label 14079*/ GIMT_Encode4(928744), // Rule ID 24317 //
     /*  928661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  928664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  928672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  928675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  928678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928696 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928700 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928704 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928708 */     // MIs[1] Operand 1
     /*  928708 */     // No operand predicates
     /*  928708 */     // MIs[0] policy
     /*  928708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928720 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4),
     /*  928723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928742 */     GIR_RootConstrainSelectedInstOperands,
     /*  928743 */     // GIR_Coverage, 24317,
     /*  928743 */     GIR_EraseRootFromParent_Done,
     /*  928744 */   // Label 14079: @928744
     /*  928744 */   GIM_Try, /*On fail goto*//*Label 14080*/ GIMT_Encode4(928832), // Rule ID 24320 //
     /*  928749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  928752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  928760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  928763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  928766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928784 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928788 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928792 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928796 */     // MIs[1] Operand 1
     /*  928796 */     // No operand predicates
     /*  928796 */     // MIs[0] policy
     /*  928796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928808 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928830 */     GIR_RootConstrainSelectedInstOperands,
     /*  928831 */     // GIR_Coverage, 24320,
     /*  928831 */     GIR_EraseRootFromParent_Done,
     /*  928832 */   // Label 14080: @928832
     /*  928832 */   GIM_Try, /*On fail goto*//*Label 14081*/ GIMT_Encode4(928920), // Rule ID 24321 //
     /*  928837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  928840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  928848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  928851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  928854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  928857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  928860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928884 */     // MIs[1] Operand 1
     /*  928884 */     // No operand predicates
     /*  928884 */     // MIs[0] policy
     /*  928884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928896 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  928896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  928913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  928916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  928918 */     GIR_RootConstrainSelectedInstOperands,
     /*  928919 */     // GIR_Coverage, 24321,
     /*  928919 */     GIR_EraseRootFromParent_Done,
     /*  928920 */   // Label 14081: @928920
     /*  928920 */   GIM_Try, /*On fail goto*//*Label 14082*/ GIMT_Encode4(929008), // Rule ID 24324 //
     /*  928925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  928928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  928933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  928936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  928939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  928942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  928945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  928948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  928960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  928964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  928968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  928972 */     // MIs[1] Operand 1
     /*  928972 */     // No operand predicates
     /*  928972 */     // MIs[0] policy
     /*  928972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  928975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  928977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  928984 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  928984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  928987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  928989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  928991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  928993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  928996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929006 */     GIR_RootConstrainSelectedInstOperands,
     /*  929007 */     // GIR_Coverage, 24324,
     /*  929007 */     GIR_EraseRootFromParent_Done,
     /*  929008 */   // Label 14082: @929008
     /*  929008 */   GIM_Try, /*On fail goto*//*Label 14083*/ GIMT_Encode4(929096), // Rule ID 24325 //
     /*  929013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  929016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  929024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  929027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  929030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929060 */     // MIs[1] Operand 1
     /*  929060 */     // No operand predicates
     /*  929060 */     // MIs[0] policy
     /*  929060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929072 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2),
     /*  929075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929094 */     GIR_RootConstrainSelectedInstOperands,
     /*  929095 */     // GIR_Coverage, 24325,
     /*  929095 */     GIR_EraseRootFromParent_Done,
     /*  929096 */   // Label 14083: @929096
     /*  929096 */   GIM_Try, /*On fail goto*//*Label 14084*/ GIMT_Encode4(929184), // Rule ID 24328 //
     /*  929101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  929104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  929112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  929115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  929118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929148 */     // MIs[1] Operand 1
     /*  929148 */     // No operand predicates
     /*  929148 */     // MIs[0] policy
     /*  929148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929160 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  929163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929182 */     GIR_RootConstrainSelectedInstOperands,
     /*  929183 */     // GIR_Coverage, 24328,
     /*  929183 */     GIR_EraseRootFromParent_Done,
     /*  929184 */   // Label 14084: @929184
     /*  929184 */   GIM_Try, /*On fail goto*//*Label 14085*/ GIMT_Encode4(929272), // Rule ID 24329 //
     /*  929189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  929192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  929200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  929203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  929206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929236 */     // MIs[1] Operand 1
     /*  929236 */     // No operand predicates
     /*  929236 */     // MIs[0] policy
     /*  929236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929248 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  929251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929270 */     GIR_RootConstrainSelectedInstOperands,
     /*  929271 */     // GIR_Coverage, 24329,
     /*  929271 */     GIR_EraseRootFromParent_Done,
     /*  929272 */   // Label 14085: @929272
     /*  929272 */   GIM_Try, /*On fail goto*//*Label 14086*/ GIMT_Encode4(929360), // Rule ID 24332 //
     /*  929277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  929280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  929288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  929291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  929294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929324 */     // MIs[1] Operand 1
     /*  929324 */     // No operand predicates
     /*  929324 */     // MIs[0] policy
     /*  929324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929336 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  929339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929358 */     GIR_RootConstrainSelectedInstOperands,
     /*  929359 */     // GIR_Coverage, 24332,
     /*  929359 */     GIR_EraseRootFromParent_Done,
     /*  929360 */   // Label 14086: @929360
     /*  929360 */   GIM_Try, /*On fail goto*//*Label 14087*/ GIMT_Encode4(929448), // Rule ID 24333 //
     /*  929365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  929368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  929376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  929379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  929382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929408 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929412 */     // MIs[1] Operand 1
     /*  929412 */     // No operand predicates
     /*  929412 */     // MIs[0] policy
     /*  929412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929424 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  929427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  929444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929446 */     GIR_RootConstrainSelectedInstOperands,
     /*  929447 */     // GIR_Coverage, 24333,
     /*  929447 */     GIR_EraseRootFromParent_Done,
     /*  929448 */   // Label 14087: @929448
     /*  929448 */   GIM_Try, /*On fail goto*//*Label 14088*/ GIMT_Encode4(929536), // Rule ID 24336 //
     /*  929453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  929456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  929464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  929467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  929470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929500 */     // MIs[1] Operand 1
     /*  929500 */     // No operand predicates
     /*  929500 */     // MIs[0] policy
     /*  929500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929512 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  929515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929534 */     GIR_RootConstrainSelectedInstOperands,
     /*  929535 */     // GIR_Coverage, 24336,
     /*  929535 */     GIR_EraseRootFromParent_Done,
     /*  929536 */   // Label 14088: @929536
     /*  929536 */   GIM_Try, /*On fail goto*//*Label 14089*/ GIMT_Encode4(929624), // Rule ID 24337 //
     /*  929541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  929544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  929552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  929555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  929558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  929576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929584 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929588 */     // MIs[1] Operand 1
     /*  929588 */     // No operand predicates
     /*  929588 */     // MIs[0] policy
     /*  929588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1),
     /*  929603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  929620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929622 */     GIR_RootConstrainSelectedInstOperands,
     /*  929623 */     // GIR_Coverage, 24337,
     /*  929623 */     GIR_EraseRootFromParent_Done,
     /*  929624 */   // Label 14089: @929624
     /*  929624 */   GIM_Try, /*On fail goto*//*Label 14090*/ GIMT_Encode4(929712), // Rule ID 24340 //
     /*  929629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  929632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  929646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929672 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929676 */     // MIs[1] Operand 1
     /*  929676 */     // No operand predicates
     /*  929676 */     // MIs[0] policy
     /*  929676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929688 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929710 */     GIR_RootConstrainSelectedInstOperands,
     /*  929711 */     // GIR_Coverage, 24340,
     /*  929711 */     GIR_EraseRootFromParent_Done,
     /*  929712 */   // Label 14090: @929712
     /*  929712 */   GIM_Try, /*On fail goto*//*Label 14091*/ GIMT_Encode4(929800), // Rule ID 24341 //
     /*  929717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  929720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  929728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  929731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  929734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  929752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929764 */     // MIs[1] Operand 1
     /*  929764 */     // No operand predicates
     /*  929764 */     // MIs[0] policy
     /*  929764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929776 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  929779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929798 */     GIR_RootConstrainSelectedInstOperands,
     /*  929799 */     // GIR_Coverage, 24341,
     /*  929799 */     GIR_EraseRootFromParent_Done,
     /*  929800 */   // Label 14091: @929800
     /*  929800 */   GIM_Try, /*On fail goto*//*Label 14092*/ GIMT_Encode4(929888), // Rule ID 24344 //
     /*  929805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  929808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  929825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  929828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929852 */     // MIs[1] Operand 1
     /*  929852 */     // No operand predicates
     /*  929852 */     // MIs[0] policy
     /*  929852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929864 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  929864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929886 */     GIR_RootConstrainSelectedInstOperands,
     /*  929887 */     // GIR_Coverage, 24344,
     /*  929887 */     GIR_EraseRootFromParent_Done,
     /*  929888 */   // Label 14092: @929888
     /*  929888 */   GIM_Try, /*On fail goto*//*Label 14093*/ GIMT_Encode4(929976), // Rule ID 24345 //
     /*  929893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  929896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  929904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  929907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  929910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  929913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  929916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  929928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  929932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  929936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  929940 */     // MIs[1] Operand 1
     /*  929940 */     // No operand predicates
     /*  929940 */     // MIs[0] policy
     /*  929940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  929943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  929945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  929952 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  929952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  929955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  929957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  929959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  929961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  929964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  929969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  929972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  929974 */     GIR_RootConstrainSelectedInstOperands,
     /*  929975 */     // GIR_Coverage, 24345,
     /*  929975 */     GIR_EraseRootFromParent_Done,
     /*  929976 */   // Label 14093: @929976
     /*  929976 */   GIM_Try, /*On fail goto*//*Label 14094*/ GIMT_Encode4(930064), // Rule ID 24348 //
     /*  929981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /*  929984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  929989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  929992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  929995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  929998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930028 */     // MIs[1] Operand 1
     /*  930028 */     // No operand predicates
     /*  930028 */     // MIs[0] policy
     /*  930028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930040 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930062 */     GIR_RootConstrainSelectedInstOperands,
     /*  930063 */     // GIR_Coverage, 24348,
     /*  930063 */     GIR_EraseRootFromParent_Done,
     /*  930064 */   // Label 14094: @930064
     /*  930064 */   GIM_Try, /*On fail goto*//*Label 14095*/ GIMT_Encode4(930152), // Rule ID 24349 //
     /*  930069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /*  930072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  930080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  930083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  930086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930116 */     // MIs[1] Operand 1
     /*  930116 */     // No operand predicates
     /*  930116 */     // MIs[0] policy
     /*  930116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930128 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  930148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930150 */     GIR_RootConstrainSelectedInstOperands,
     /*  930151 */     // GIR_Coverage, 24349,
     /*  930151 */     GIR_EraseRootFromParent_Done,
     /*  930152 */   // Label 14095: @930152
     /*  930152 */   GIM_Try, /*On fail goto*//*Label 14096*/ GIMT_Encode4(930240), // Rule ID 24352 //
     /*  930157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  930160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  930168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  930171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  930174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930204 */     // MIs[1] Operand 1
     /*  930204 */     // No operand predicates
     /*  930204 */     // MIs[0] policy
     /*  930204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930216 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  930219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930238 */     GIR_RootConstrainSelectedInstOperands,
     /*  930239 */     // GIR_Coverage, 24352,
     /*  930239 */     GIR_EraseRootFromParent_Done,
     /*  930240 */   // Label 14096: @930240
     /*  930240 */   GIM_Try, /*On fail goto*//*Label 14097*/ GIMT_Encode4(930328), // Rule ID 24353 //
     /*  930245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  930248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  930256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  930259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  930262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930280 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930284 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930288 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930292 */     // MIs[1] Operand 1
     /*  930292 */     // No operand predicates
     /*  930292 */     // MIs[0] policy
     /*  930292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930304 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  930307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930326 */     GIR_RootConstrainSelectedInstOperands,
     /*  930327 */     // GIR_Coverage, 24353,
     /*  930327 */     GIR_EraseRootFromParent_Done,
     /*  930328 */   // Label 14097: @930328
     /*  930328 */   GIM_Try, /*On fail goto*//*Label 14098*/ GIMT_Encode4(930416), // Rule ID 24356 //
     /*  930333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  930336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  930344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  930347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  930350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930380 */     // MIs[1] Operand 1
     /*  930380 */     // No operand predicates
     /*  930380 */     // MIs[0] policy
     /*  930380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930392 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  930395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930414 */     GIR_RootConstrainSelectedInstOperands,
     /*  930415 */     // GIR_Coverage, 24356,
     /*  930415 */     GIR_EraseRootFromParent_Done,
     /*  930416 */   // Label 14098: @930416
     /*  930416 */   GIM_Try, /*On fail goto*//*Label 14099*/ GIMT_Encode4(930504), // Rule ID 24357 //
     /*  930421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  930424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  930432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  930435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  930438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930456 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930460 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930464 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930468 */     // MIs[1] Operand 1
     /*  930468 */     // No operand predicates
     /*  930468 */     // MIs[0] policy
     /*  930468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930480 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  930483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930502 */     GIR_RootConstrainSelectedInstOperands,
     /*  930503 */     // GIR_Coverage, 24357,
     /*  930503 */     GIR_EraseRootFromParent_Done,
     /*  930504 */   // Label 14099: @930504
     /*  930504 */   GIM_Try, /*On fail goto*//*Label 14100*/ GIMT_Encode4(930592), // Rule ID 24360 //
     /*  930509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /*  930512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  930520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  930523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  930526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930544 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930548 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930552 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930556 */     // MIs[1] Operand 1
     /*  930556 */     // No operand predicates
     /*  930556 */     // MIs[0] policy
     /*  930556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930568 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930590 */     GIR_RootConstrainSelectedInstOperands,
     /*  930591 */     // GIR_Coverage, 24360,
     /*  930591 */     GIR_EraseRootFromParent_Done,
     /*  930592 */   // Label 14100: @930592
     /*  930592 */   GIM_Try, /*On fail goto*//*Label 14101*/ GIMT_Encode4(930680), // Rule ID 24361 //
     /*  930597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /*  930600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  930608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  930611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  930614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  930632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930644 */     // MIs[1] Operand 1
     /*  930644 */     // No operand predicates
     /*  930644 */     // MIs[0] policy
     /*  930644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  930659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  930676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930678 */     GIR_RootConstrainSelectedInstOperands,
     /*  930679 */     // GIR_Coverage, 24361,
     /*  930679 */     GIR_EraseRootFromParent_Done,
     /*  930680 */   // Label 14101: @930680
     /*  930680 */   GIM_Try, /*On fail goto*//*Label 14102*/ GIMT_Encode4(930768), // Rule ID 24364 //
     /*  930685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  930688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930732 */     // MIs[1] Operand 1
     /*  930732 */     // No operand predicates
     /*  930732 */     // MIs[0] policy
     /*  930732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930744 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  930747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930766 */     GIR_RootConstrainSelectedInstOperands,
     /*  930767 */     // GIR_Coverage, 24364,
     /*  930767 */     GIR_EraseRootFromParent_Done,
     /*  930768 */   // Label 14102: @930768
     /*  930768 */   GIM_Try, /*On fail goto*//*Label 14103*/ GIMT_Encode4(930856), // Rule ID 24365 //
     /*  930773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  930776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  930784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  930787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  930790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  930808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930820 */     // MIs[1] Operand 1
     /*  930820 */     // No operand predicates
     /*  930820 */     // MIs[0] policy
     /*  930820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930832 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  930832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2),
     /*  930835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930854 */     GIR_RootConstrainSelectedInstOperands,
     /*  930855 */     // GIR_Coverage, 24365,
     /*  930855 */     GIR_EraseRootFromParent_Done,
     /*  930856 */   // Label 14103: @930856
     /*  930856 */   GIM_Try, /*On fail goto*//*Label 14104*/ GIMT_Encode4(930944), // Rule ID 24368 //
     /*  930861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  930864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  930881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  930884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930908 */     // MIs[1] Operand 1
     /*  930908 */     // No operand predicates
     /*  930908 */     // MIs[0] policy
     /*  930908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  930913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  930920 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  930920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  930923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  930925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  930927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  930929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  930932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  930937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  930940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  930942 */     GIR_RootConstrainSelectedInstOperands,
     /*  930943 */     // GIR_Coverage, 24368,
     /*  930943 */     GIR_EraseRootFromParent_Done,
     /*  930944 */   // Label 14104: @930944
     /*  930944 */   GIM_Try, /*On fail goto*//*Label 14105*/ GIMT_Encode4(931032), // Rule ID 24369 //
     /*  930949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  930952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  930957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  930960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  930963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  930966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  930969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  930972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  930984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  930988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  930992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  930996 */     // MIs[1] Operand 1
     /*  930996 */     // No operand predicates
     /*  930996 */     // MIs[0] policy
     /*  930996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  930999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931008 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4),
     /*  931011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931030 */     GIR_RootConstrainSelectedInstOperands,
     /*  931031 */     // GIR_Coverage, 24369,
     /*  931031 */     GIR_EraseRootFromParent_Done,
     /*  931032 */   // Label 14105: @931032
     /*  931032 */   GIM_Try, /*On fail goto*//*Label 14106*/ GIMT_Encode4(931120), // Rule ID 24372 //
     /*  931037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /*  931040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  931045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  931048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  931051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  931054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  931060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931084 */     // MIs[1] Operand 1
     /*  931084 */     // No operand predicates
     /*  931084 */     // MIs[0] policy
     /*  931084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931096 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  931096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  931099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931118 */     GIR_RootConstrainSelectedInstOperands,
     /*  931119 */     // GIR_Coverage, 24372,
     /*  931119 */     GIR_EraseRootFromParent_Done,
     /*  931120 */   // Label 14106: @931120
     /*  931120 */   GIM_Try, /*On fail goto*//*Label 14107*/ GIMT_Encode4(931208), // Rule ID 24373 //
     /*  931125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /*  931128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /*  931133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  931136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  931139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  931142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  931148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  931160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931172 */     // MIs[1] Operand 1
     /*  931172 */     // No operand predicates
     /*  931172 */     // MIs[0] policy
     /*  931172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  931175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931184 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  931184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8),
     /*  931187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /*  931191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  931204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  931206 */     GIR_RootConstrainSelectedInstOperands,
     /*  931207 */     // GIR_Coverage, 24373,
     /*  931207 */     GIR_EraseRootFromParent_Done,
     /*  931208 */   // Label 14107: @931208
     /*  931208 */   GIM_Try, /*On fail goto*//*Label 14108*/ GIMT_Encode4(931299), // Rule ID 15984 //
     /*  931213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  931224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  931227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  931230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931260 */     // MIs[1] Operand 1
     /*  931260 */     // No operand predicates
     /*  931260 */     // MIs[0] round
     /*  931260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931272 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  931275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931297 */     GIR_RootConstrainSelectedInstOperands,
     /*  931298 */     // GIR_Coverage, 15984,
     /*  931298 */     GIR_EraseRootFromParent_Done,
     /*  931299 */   // Label 14108: @931299
     /*  931299 */   GIM_Try, /*On fail goto*//*Label 14109*/ GIMT_Encode4(931390), // Rule ID 15985 //
     /*  931304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  931315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  931318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  931321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931351 */     // MIs[1] Operand 1
     /*  931351 */     // No operand predicates
     /*  931351 */     // MIs[0] round
     /*  931351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931363 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8),
     /*  931366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931388 */     GIR_RootConstrainSelectedInstOperands,
     /*  931389 */     // GIR_Coverage, 15985,
     /*  931389 */     GIR_EraseRootFromParent_Done,
     /*  931390 */   // Label 14109: @931390
     /*  931390 */   GIM_Try, /*On fail goto*//*Label 14110*/ GIMT_Encode4(931481), // Rule ID 15988 //
     /*  931395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  931406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  931409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  931412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931430 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931434 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931438 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931442 */     // MIs[1] Operand 1
     /*  931442 */     // No operand predicates
     /*  931442 */     // MIs[0] round
     /*  931442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931454 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931466 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931479 */     GIR_RootConstrainSelectedInstOperands,
     /*  931480 */     // GIR_Coverage, 15988,
     /*  931480 */     GIR_EraseRootFromParent_Done,
     /*  931481 */   // Label 14110: @931481
     /*  931481 */   GIM_Try, /*On fail goto*//*Label 14111*/ GIMT_Encode4(931572), // Rule ID 15989 //
     /*  931486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  931497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  931500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  931503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931533 */     // MIs[1] Operand 1
     /*  931533 */     // No operand predicates
     /*  931533 */     // MIs[0] round
     /*  931533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931545 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931570 */     GIR_RootConstrainSelectedInstOperands,
     /*  931571 */     // GIR_Coverage, 15989,
     /*  931571 */     GIR_EraseRootFromParent_Done,
     /*  931572 */   // Label 14111: @931572
     /*  931572 */   GIM_Try, /*On fail goto*//*Label 14112*/ GIMT_Encode4(931663), // Rule ID 15992 //
     /*  931577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931624 */     // MIs[1] Operand 1
     /*  931624 */     // No operand predicates
     /*  931624 */     // MIs[0] round
     /*  931624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931636 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  931636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931648 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931661 */     GIR_RootConstrainSelectedInstOperands,
     /*  931662 */     // GIR_Coverage, 15992,
     /*  931662 */     GIR_EraseRootFromParent_Done,
     /*  931663 */   // Label 14112: @931663
     /*  931663 */   GIM_Try, /*On fail goto*//*Label 14113*/ GIMT_Encode4(931754), // Rule ID 15993 //
     /*  931668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  931679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  931682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  931685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931715 */     // MIs[1] Operand 1
     /*  931715 */     // No operand predicates
     /*  931715 */     // MIs[0] round
     /*  931715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931727 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  931727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  931730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  931749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931752 */     GIR_RootConstrainSelectedInstOperands,
     /*  931753 */     // GIR_Coverage, 15993,
     /*  931753 */     GIR_EraseRootFromParent_Done,
     /*  931754 */   // Label 14113: @931754
     /*  931754 */   GIM_Try, /*On fail goto*//*Label 14114*/ GIMT_Encode4(931845), // Rule ID 15996 //
     /*  931759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931806 */     // MIs[1] Operand 1
     /*  931806 */     // No operand predicates
     /*  931806 */     // MIs[0] round
     /*  931806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931818 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  931818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931843 */     GIR_RootConstrainSelectedInstOperands,
     /*  931844 */     // GIR_Coverage, 15996,
     /*  931844 */     GIR_EraseRootFromParent_Done,
     /*  931845 */   // Label 14114: @931845
     /*  931845 */   GIM_Try, /*On fail goto*//*Label 14115*/ GIMT_Encode4(931936), // Rule ID 15997 //
     /*  931850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  931853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  931861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  931864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  931867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  931870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  931873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931897 */     // MIs[1] Operand 1
     /*  931897 */     // No operand predicates
     /*  931897 */     // MIs[0] round
     /*  931897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  931909 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  931909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4),
     /*  931912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  931914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  931916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  931918 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  931921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  931923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  931928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  931931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  931934 */     GIR_RootConstrainSelectedInstOperands,
     /*  931935 */     // GIR_Coverage, 15997,
     /*  931935 */     GIR_EraseRootFromParent_Done,
     /*  931936 */   // Label 14115: @931936
     /*  931936 */   GIM_Try, /*On fail goto*//*Label 14116*/ GIMT_Encode4(932027), // Rule ID 16000 //
     /*  931941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  931944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  931949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  931952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  931955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  931958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  931961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  931964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  931976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  931980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  931984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  931988 */     // MIs[1] Operand 1
     /*  931988 */     // No operand predicates
     /*  931988 */     // MIs[0] round
     /*  931988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  931991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  931993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  932003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932012 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932025 */     GIR_RootConstrainSelectedInstOperands,
     /*  932026 */     // GIR_Coverage, 16000,
     /*  932026 */     GIR_EraseRootFromParent_Done,
     /*  932027 */   // Label 14116: @932027
     /*  932027 */   GIM_Try, /*On fail goto*//*Label 14117*/ GIMT_Encode4(932118), // Rule ID 16001 //
     /*  932032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  932043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  932046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  932049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932079 */     // MIs[1] Operand 1
     /*  932079 */     // No operand predicates
     /*  932079 */     // MIs[0] round
     /*  932079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932091 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  932094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932100 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932116 */     GIR_RootConstrainSelectedInstOperands,
     /*  932117 */     // GIR_Coverage, 16001,
     /*  932117 */     GIR_EraseRootFromParent_Done,
     /*  932118 */   // Label 14117: @932118
     /*  932118 */   GIM_Try, /*On fail goto*//*Label 14118*/ GIMT_Encode4(932209), // Rule ID 16004 //
     /*  932123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  932134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  932137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  932140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932170 */     // MIs[1] Operand 1
     /*  932170 */     // No operand predicates
     /*  932170 */     // MIs[0] round
     /*  932170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932182 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  932185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932194 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932207 */     GIR_RootConstrainSelectedInstOperands,
     /*  932208 */     // GIR_Coverage, 16004,
     /*  932208 */     GIR_EraseRootFromParent_Done,
     /*  932209 */   // Label 14118: @932209
     /*  932209 */   GIM_Try, /*On fail goto*//*Label 14119*/ GIMT_Encode4(932300), // Rule ID 16005 //
     /*  932214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  932225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  932228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  932231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932261 */     // MIs[1] Operand 1
     /*  932261 */     // No operand predicates
     /*  932261 */     // MIs[0] round
     /*  932261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932273 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  932273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2),
     /*  932276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932298 */     GIR_RootConstrainSelectedInstOperands,
     /*  932299 */     // GIR_Coverage, 16005,
     /*  932299 */     GIR_EraseRootFromParent_Done,
     /*  932300 */   // Label 14119: @932300
     /*  932300 */   GIM_Try, /*On fail goto*//*Label 14120*/ GIMT_Encode4(932391), // Rule ID 16008 //
     /*  932305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  932316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  932319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  932322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932340 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932344 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932348 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932352 */     // MIs[1] Operand 1
     /*  932352 */     // No operand predicates
     /*  932352 */     // MIs[0] round
     /*  932352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932355 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932364 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  932364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932373 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932376 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932389 */     GIR_RootConstrainSelectedInstOperands,
     /*  932390 */     // GIR_Coverage, 16008,
     /*  932390 */     GIR_EraseRootFromParent_Done,
     /*  932391 */   // Label 14120: @932391
     /*  932391 */   GIM_Try, /*On fail goto*//*Label 14121*/ GIMT_Encode4(932482), // Rule ID 16009 //
     /*  932396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  932407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  932410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  932413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932443 */     // MIs[1] Operand 1
     /*  932443 */     // No operand predicates
     /*  932443 */     // MIs[0] round
     /*  932443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932455 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  932455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  932477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932480 */     GIR_RootConstrainSelectedInstOperands,
     /*  932481 */     // GIR_Coverage, 16009,
     /*  932481 */     GIR_EraseRootFromParent_Done,
     /*  932482 */   // Label 14121: @932482
     /*  932482 */   GIM_Try, /*On fail goto*//*Label 14122*/ GIMT_Encode4(932573), // Rule ID 16012 //
     /*  932487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  932498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  932501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  932504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932534 */     // MIs[1] Operand 1
     /*  932534 */     // No operand predicates
     /*  932534 */     // MIs[0] round
     /*  932534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932546 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  932546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932555 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932558 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932571 */     GIR_RootConstrainSelectedInstOperands,
     /*  932572 */     // GIR_Coverage, 16012,
     /*  932572 */     GIR_EraseRootFromParent_Done,
     /*  932573 */   // Label 14122: @932573
     /*  932573 */   GIM_Try, /*On fail goto*//*Label 14123*/ GIMT_Encode4(932664), // Rule ID 16013 //
     /*  932578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  932589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  932592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  932595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932625 */     // MIs[1] Operand 1
     /*  932625 */     // No operand predicates
     /*  932625 */     // MIs[0] round
     /*  932625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932637 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  932637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  932659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932662 */     GIR_RootConstrainSelectedInstOperands,
     /*  932663 */     // GIR_Coverage, 16013,
     /*  932663 */     GIR_EraseRootFromParent_Done,
     /*  932664 */   // Label 14123: @932664
     /*  932664 */   GIM_Try, /*On fail goto*//*Label 14124*/ GIMT_Encode4(932755), // Rule ID 16016 //
     /*  932669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  932672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932716 */     // MIs[1] Operand 1
     /*  932716 */     // No operand predicates
     /*  932716 */     // MIs[0] round
     /*  932716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932728 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  932728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932740 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932753 */     GIR_RootConstrainSelectedInstOperands,
     /*  932754 */     // GIR_Coverage, 16016,
     /*  932754 */     GIR_EraseRootFromParent_Done,
     /*  932755 */   // Label 14124: @932755
     /*  932755 */   GIM_Try, /*On fail goto*//*Label 14125*/ GIMT_Encode4(932846), // Rule ID 16017 //
     /*  932760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  932763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  932771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  932774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  932777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932807 */     // MIs[1] Operand 1
     /*  932807 */     // No operand predicates
     /*  932807 */     // MIs[0] round
     /*  932807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932819 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  932819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  932841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932844 */     GIR_RootConstrainSelectedInstOperands,
     /*  932845 */     // GIR_Coverage, 16017,
     /*  932845 */     GIR_EraseRootFromParent_Done,
     /*  932846 */   // Label 14125: @932846
     /*  932846 */   GIM_Try, /*On fail goto*//*Label 14126*/ GIMT_Encode4(932937), // Rule ID 16020 //
     /*  932851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  932854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  932871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  932874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932898 */     // MIs[1] Operand 1
     /*  932898 */     // No operand predicates
     /*  932898 */     // MIs[0] round
     /*  932898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  932910 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  932910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  932913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  932915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  932917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  932919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  932922 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  932924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  932929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  932932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  932935 */     GIR_RootConstrainSelectedInstOperands,
     /*  932936 */     // GIR_Coverage, 16020,
     /*  932936 */     GIR_EraseRootFromParent_Done,
     /*  932937 */   // Label 14126: @932937
     /*  932937 */   GIM_Try, /*On fail goto*//*Label 14127*/ GIMT_Encode4(933028), // Rule ID 16021 //
     /*  932942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  932945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  932950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  932953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  932956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  932959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  932962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  932965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  932977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  932981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  932985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  932989 */     // MIs[1] Operand 1
     /*  932989 */     // No operand predicates
     /*  932989 */     // MIs[0] round
     /*  932989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  932992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  932994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933001 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  933001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1),
     /*  933004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933010 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  933023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933026 */     GIR_RootConstrainSelectedInstOperands,
     /*  933027 */     // GIR_Coverage, 16021,
     /*  933027 */     GIR_EraseRootFromParent_Done,
     /*  933028 */   // Label 14127: @933028
     /*  933028 */   GIM_Try, /*On fail goto*//*Label 14128*/ GIMT_Encode4(933119), // Rule ID 16024 //
     /*  933033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  933044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  933047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  933050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933080 */     // MIs[1] Operand 1
     /*  933080 */     // No operand predicates
     /*  933080 */     // MIs[0] round
     /*  933080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933104 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933117 */     GIR_RootConstrainSelectedInstOperands,
     /*  933118 */     // GIR_Coverage, 16024,
     /*  933118 */     GIR_EraseRootFromParent_Done,
     /*  933119 */   // Label 14128: @933119
     /*  933119 */   GIM_Try, /*On fail goto*//*Label 14129*/ GIMT_Encode4(933210), // Rule ID 16025 //
     /*  933124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  933135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  933138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  933141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933171 */     // MIs[1] Operand 1
     /*  933171 */     // No operand predicates
     /*  933171 */     // MIs[0] round
     /*  933171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933208 */     GIR_RootConstrainSelectedInstOperands,
     /*  933209 */     // GIR_Coverage, 16025,
     /*  933209 */     GIR_EraseRootFromParent_Done,
     /*  933210 */   // Label 14129: @933210
     /*  933210 */   GIM_Try, /*On fail goto*//*Label 14130*/ GIMT_Encode4(933301), // Rule ID 16028 //
     /*  933215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  933226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  933229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  933232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933250 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933254 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933258 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933262 */     // MIs[1] Operand 1
     /*  933262 */     // No operand predicates
     /*  933262 */     // MIs[0] round
     /*  933262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933274 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933286 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933299 */     GIR_RootConstrainSelectedInstOperands,
     /*  933300 */     // GIR_Coverage, 16028,
     /*  933300 */     GIR_EraseRootFromParent_Done,
     /*  933301 */   // Label 14130: @933301
     /*  933301 */   GIM_Try, /*On fail goto*//*Label 14131*/ GIMT_Encode4(933392), // Rule ID 16029 //
     /*  933306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  933317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  933320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  933323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933353 */     // MIs[1] Operand 1
     /*  933353 */     // No operand predicates
     /*  933353 */     // MIs[0] round
     /*  933353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933365 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933390 */     GIR_RootConstrainSelectedInstOperands,
     /*  933391 */     // GIR_Coverage, 16029,
     /*  933391 */     GIR_EraseRootFromParent_Done,
     /*  933392 */   // Label 14131: @933392
     /*  933392 */   GIM_Try, /*On fail goto*//*Label 14132*/ GIMT_Encode4(933483), // Rule ID 16032 //
     /*  933397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  933408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  933411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  933414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933444 */     // MIs[1] Operand 1
     /*  933444 */     // No operand predicates
     /*  933444 */     // MIs[0] round
     /*  933444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933456 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  933456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933468 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933481 */     GIR_RootConstrainSelectedInstOperands,
     /*  933482 */     // GIR_Coverage, 16032,
     /*  933482 */     GIR_EraseRootFromParent_Done,
     /*  933483 */   // Label 14132: @933483
     /*  933483 */   GIM_Try, /*On fail goto*//*Label 14133*/ GIMT_Encode4(933574), // Rule ID 16033 //
     /*  933488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  933499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  933502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  933505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933535 */     // MIs[1] Operand 1
     /*  933535 */     // No operand predicates
     /*  933535 */     // MIs[0] round
     /*  933535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933547 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  933547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  933550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  933569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933572 */     GIR_RootConstrainSelectedInstOperands,
     /*  933573 */     // GIR_Coverage, 16033,
     /*  933573 */     GIR_EraseRootFromParent_Done,
     /*  933574 */   // Label 14133: @933574
     /*  933574 */   GIM_Try, /*On fail goto*//*Label 14134*/ GIMT_Encode4(933665), // Rule ID 16036 //
     /*  933579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  933590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  933593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933626 */     // MIs[1] Operand 1
     /*  933626 */     // No operand predicates
     /*  933626 */     // MIs[0] round
     /*  933626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933638 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933663 */     GIR_RootConstrainSelectedInstOperands,
     /*  933664 */     // GIR_Coverage, 16036,
     /*  933664 */     GIR_EraseRootFromParent_Done,
     /*  933665 */   // Label 14134: @933665
     /*  933665 */   GIM_Try, /*On fail goto*//*Label 14135*/ GIMT_Encode4(933756), // Rule ID 16037 //
     /*  933670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  933681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  933684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  933687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  933705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933713 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933717 */     // MIs[1] Operand 1
     /*  933717 */     // No operand predicates
     /*  933717 */     // MIs[0] round
     /*  933717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933729 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  933732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933754 */     GIR_RootConstrainSelectedInstOperands,
     /*  933755 */     // GIR_Coverage, 16037,
     /*  933755 */     GIR_EraseRootFromParent_Done,
     /*  933756 */   // Label 14135: @933756
     /*  933756 */   GIM_Try, /*On fail goto*//*Label 14136*/ GIMT_Encode4(933847), // Rule ID 16040 //
     /*  933761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933808 */     // MIs[1] Operand 1
     /*  933808 */     // No operand predicates
     /*  933808 */     // MIs[0] round
     /*  933808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933820 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  933820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933832 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933845 */     GIR_RootConstrainSelectedInstOperands,
     /*  933846 */     // GIR_Coverage, 16040,
     /*  933846 */     GIR_EraseRootFromParent_Done,
     /*  933847 */   // Label 14136: @933847
     /*  933847 */   GIM_Try, /*On fail goto*//*Label 14137*/ GIMT_Encode4(933938), // Rule ID 16041 //
     /*  933852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  933855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  933863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  933866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  933869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  933872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  933875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  933887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933899 */     // MIs[1] Operand 1
     /*  933899 */     // No operand predicates
     /*  933899 */     // MIs[0] round
     /*  933899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  933911 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  933911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  933914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  933916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  933918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  933920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  933923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  933925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  933930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  933933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  933936 */     GIR_RootConstrainSelectedInstOperands,
     /*  933937 */     // GIR_Coverage, 16041,
     /*  933937 */     GIR_EraseRootFromParent_Done,
     /*  933938 */   // Label 14137: @933938
     /*  933938 */   GIM_Try, /*On fail goto*//*Label 14138*/ GIMT_Encode4(934029), // Rule ID 16044 //
     /*  933943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  933946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  933951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  933954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  933957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  933960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  933963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  933966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  933978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  933982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  933986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  933990 */     // MIs[1] Operand 1
     /*  933990 */     // No operand predicates
     /*  933990 */     // MIs[0] round
     /*  933990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  933993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  933995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  934002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934014 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934027 */     GIR_RootConstrainSelectedInstOperands,
     /*  934028 */     // GIR_Coverage, 16044,
     /*  934028 */     GIR_EraseRootFromParent_Done,
     /*  934029 */   // Label 14138: @934029
     /*  934029 */   GIM_Try, /*On fail goto*//*Label 14139*/ GIMT_Encode4(934120), // Rule ID 16045 //
     /*  934034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  934045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  934048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  934051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934081 */     // MIs[1] Operand 1
     /*  934081 */     // No operand predicates
     /*  934081 */     // MIs[0] round
     /*  934081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934093 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  934093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  934115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934118 */     GIR_RootConstrainSelectedInstOperands,
     /*  934119 */     // GIR_Coverage, 16045,
     /*  934119 */     GIR_EraseRootFromParent_Done,
     /*  934120 */   // Label 14139: @934120
     /*  934120 */   GIM_Try, /*On fail goto*//*Label 14140*/ GIMT_Encode4(934211), // Rule ID 16048 //
     /*  934125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  934136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  934139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  934142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934168 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934172 */     // MIs[1] Operand 1
     /*  934172 */     // No operand predicates
     /*  934172 */     // MIs[0] round
     /*  934172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  934184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  934187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934196 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934209 */     GIR_RootConstrainSelectedInstOperands,
     /*  934210 */     // GIR_Coverage, 16048,
     /*  934210 */     GIR_EraseRootFromParent_Done,
     /*  934211 */   // Label 14140: @934211
     /*  934211 */   GIM_Try, /*On fail goto*//*Label 14141*/ GIMT_Encode4(934302), // Rule ID 16049 //
     /*  934216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  934227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  934230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  934233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934263 */     // MIs[1] Operand 1
     /*  934263 */     // No operand predicates
     /*  934263 */     // MIs[0] round
     /*  934263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  934275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  934278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934300 */     GIR_RootConstrainSelectedInstOperands,
     /*  934301 */     // GIR_Coverage, 16049,
     /*  934301 */     GIR_EraseRootFromParent_Done,
     /*  934302 */   // Label 14141: @934302
     /*  934302 */   GIM_Try, /*On fail goto*//*Label 14142*/ GIMT_Encode4(934393), // Rule ID 16052 //
     /*  934307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  934318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  934321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  934324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934354 */     // MIs[1] Operand 1
     /*  934354 */     // No operand predicates
     /*  934354 */     // MIs[0] round
     /*  934354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934357 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  934366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  934369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934375 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934391 */     GIR_RootConstrainSelectedInstOperands,
     /*  934392 */     // GIR_Coverage, 16052,
     /*  934392 */     GIR_EraseRootFromParent_Done,
     /*  934393 */   // Label 14142: @934393
     /*  934393 */   GIM_Try, /*On fail goto*//*Label 14143*/ GIMT_Encode4(934484), // Rule ID 16053 //
     /*  934398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  934409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  934412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  934415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934445 */     // MIs[1] Operand 1
     /*  934445 */     // No operand predicates
     /*  934445 */     // MIs[0] round
     /*  934445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  934457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  934460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934482 */     GIR_RootConstrainSelectedInstOperands,
     /*  934483 */     // GIR_Coverage, 16053,
     /*  934483 */     GIR_EraseRootFromParent_Done,
     /*  934484 */   // Label 14143: @934484
     /*  934484 */   GIM_Try, /*On fail goto*//*Label 14144*/ GIMT_Encode4(934575), // Rule ID 16056 //
     /*  934489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  934492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  934500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  934503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934536 */     // MIs[1] Operand 1
     /*  934536 */     // No operand predicates
     /*  934536 */     // MIs[0] round
     /*  934536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  934548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934573 */     GIR_RootConstrainSelectedInstOperands,
     /*  934574 */     // GIR_Coverage, 16056,
     /*  934574 */     GIR_EraseRootFromParent_Done,
     /*  934575 */   // Label 14144: @934575
     /*  934575 */   GIM_Try, /*On fail goto*//*Label 14145*/ GIMT_Encode4(934666), // Rule ID 16057 //
     /*  934580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  934583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  934591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  934594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  934597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  934615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934623 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934627 */     // MIs[1] Operand 1
     /*  934627 */     // No operand predicates
     /*  934627 */     // MIs[0] round
     /*  934627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934630 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934639 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  934639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  934642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934648 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  934661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934664 */     GIR_RootConstrainSelectedInstOperands,
     /*  934665 */     // GIR_Coverage, 16057,
     /*  934665 */     GIR_EraseRootFromParent_Done,
     /*  934666 */   // Label 14145: @934666
     /*  934666 */   GIM_Try, /*On fail goto*//*Label 14146*/ GIMT_Encode4(934757), // Rule ID 16060 //
     /*  934671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934718 */     // MIs[1] Operand 1
     /*  934718 */     // No operand predicates
     /*  934718 */     // MIs[0] round
     /*  934718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934730 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  934733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934742 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934755 */     GIR_RootConstrainSelectedInstOperands,
     /*  934756 */     // GIR_Coverage, 16060,
     /*  934756 */     GIR_EraseRootFromParent_Done,
     /*  934757 */   // Label 14146: @934757
     /*  934757 */   GIM_Try, /*On fail goto*//*Label 14147*/ GIMT_Encode4(934848), // Rule ID 16061 //
     /*  934762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  934773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  934776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  934779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  934797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934809 */     // MIs[1] Operand 1
     /*  934809 */     // No operand predicates
     /*  934809 */     // MIs[0] round
     /*  934809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934821 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  934821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2),
     /*  934824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934830 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934846 */     GIR_RootConstrainSelectedInstOperands,
     /*  934847 */     // GIR_Coverage, 16061,
     /*  934847 */     GIR_EraseRootFromParent_Done,
     /*  934848 */   // Label 14147: @934848
     /*  934848 */   GIM_Try, /*On fail goto*//*Label 14148*/ GIMT_Encode4(934939), // Rule ID 16064 //
     /*  934853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  934856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  934873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  934876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934900 */     // MIs[1] Operand 1
     /*  934900 */     // No operand predicates
     /*  934900 */     // MIs[0] round
     /*  934900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  934912 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  934912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  934915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  934917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  934919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  934921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  934924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  934926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  934931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  934934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  934937 */     GIR_RootConstrainSelectedInstOperands,
     /*  934938 */     // GIR_Coverage, 16064,
     /*  934938 */     GIR_EraseRootFromParent_Done,
     /*  934939 */   // Label 14148: @934939
     /*  934939 */   GIM_Try, /*On fail goto*//*Label 14149*/ GIMT_Encode4(935030), // Rule ID 16065 //
     /*  934944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  934947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  934952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  934955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  934958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  934961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  934964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  934967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  934979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  934983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  934987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  934991 */     // MIs[1] Operand 1
     /*  934991 */     // No operand predicates
     /*  934991 */     // MIs[0] round
     /*  934991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  934994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  934996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935003 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  935003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4),
     /*  935006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  935025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935028 */     GIR_RootConstrainSelectedInstOperands,
     /*  935029 */     // GIR_Coverage, 16065,
     /*  935029 */     GIR_EraseRootFromParent_Done,
     /*  935030 */   // Label 14149: @935030
     /*  935030 */   GIM_Try, /*On fail goto*//*Label 14150*/ GIMT_Encode4(935121), // Rule ID 16068 //
     /*  935035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  935038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  935043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  935046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  935049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  935052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935078 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935082 */     // MIs[1] Operand 1
     /*  935082 */     // No operand predicates
     /*  935082 */     // MIs[0] round
     /*  935082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  935094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  935097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  935116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935119 */     GIR_RootConstrainSelectedInstOperands,
     /*  935120 */     // GIR_Coverage, 16068,
     /*  935120 */     GIR_EraseRootFromParent_Done,
     /*  935121 */   // Label 14150: @935121
     /*  935121 */   GIM_Try, /*On fail goto*//*Label 14151*/ GIMT_Encode4(935212), // Rule ID 16069 //
     /*  935126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  935129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /*  935134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  935137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  935140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  935143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  935161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935173 */     // MIs[1] Operand 1
     /*  935173 */     // No operand predicates
     /*  935173 */     // MIs[0] round
     /*  935173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935185 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  935185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8),
     /*  935188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  935207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935210 */     GIR_RootConstrainSelectedInstOperands,
     /*  935211 */     // GIR_Coverage, 16069,
     /*  935211 */     GIR_EraseRootFromParent_Done,
     /*  935212 */   // Label 14151: @935212
     /*  935212 */   GIM_Try, /*On fail goto*//*Label 14152*/ GIMT_Encode4(935303), // Rule ID 16248 //
     /*  935217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  935228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  935231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  935234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935264 */     // MIs[1] Operand 1
     /*  935264 */     // No operand predicates
     /*  935264 */     // MIs[0] round
     /*  935264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935276 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  935279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935301 */     GIR_RootConstrainSelectedInstOperands,
     /*  935302 */     // GIR_Coverage, 16248,
     /*  935302 */     GIR_EraseRootFromParent_Done,
     /*  935303 */   // Label 14152: @935303
     /*  935303 */   GIM_Try, /*On fail goto*//*Label 14153*/ GIMT_Encode4(935394), // Rule ID 16249 //
     /*  935308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  935319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  935322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  935325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935355 */     // MIs[1] Operand 1
     /*  935355 */     // No operand predicates
     /*  935355 */     // MIs[0] round
     /*  935355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935367 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8),
     /*  935370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935392 */     GIR_RootConstrainSelectedInstOperands,
     /*  935393 */     // GIR_Coverage, 16249,
     /*  935393 */     GIR_EraseRootFromParent_Done,
     /*  935394 */   // Label 14153: @935394
     /*  935394 */   GIM_Try, /*On fail goto*//*Label 14154*/ GIMT_Encode4(935485), // Rule ID 16252 //
     /*  935399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  935410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  935413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  935416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935446 */     // MIs[1] Operand 1
     /*  935446 */     // No operand predicates
     /*  935446 */     // MIs[0] round
     /*  935446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935470 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935483 */     GIR_RootConstrainSelectedInstOperands,
     /*  935484 */     // GIR_Coverage, 16252,
     /*  935484 */     GIR_EraseRootFromParent_Done,
     /*  935485 */   // Label 14154: @935485
     /*  935485 */   GIM_Try, /*On fail goto*//*Label 14155*/ GIMT_Encode4(935576), // Rule ID 16253 //
     /*  935490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  935501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  935504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  935507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935533 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935537 */     // MIs[1] Operand 1
     /*  935537 */     // No operand predicates
     /*  935537 */     // MIs[0] round
     /*  935537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935549 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935574 */     GIR_RootConstrainSelectedInstOperands,
     /*  935575 */     // GIR_Coverage, 16253,
     /*  935575 */     GIR_EraseRootFromParent_Done,
     /*  935576 */   // Label 14155: @935576
     /*  935576 */   GIM_Try, /*On fail goto*//*Label 14156*/ GIMT_Encode4(935667), // Rule ID 16256 //
     /*  935581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  935592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  935595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  935598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935628 */     // MIs[1] Operand 1
     /*  935628 */     // No operand predicates
     /*  935628 */     // MIs[0] round
     /*  935628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  935640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935652 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935665 */     GIR_RootConstrainSelectedInstOperands,
     /*  935666 */     // GIR_Coverage, 16256,
     /*  935666 */     GIR_EraseRootFromParent_Done,
     /*  935667 */   // Label 14156: @935667
     /*  935667 */   GIM_Try, /*On fail goto*//*Label 14157*/ GIMT_Encode4(935758), // Rule ID 16257 //
     /*  935672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  935683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  935686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  935689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935719 */     // MIs[1] Operand 1
     /*  935719 */     // No operand predicates
     /*  935719 */     // MIs[0] round
     /*  935719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935722 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935731 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  935731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  935734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935740 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  935753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935756 */     GIR_RootConstrainSelectedInstOperands,
     /*  935757 */     // GIR_Coverage, 16257,
     /*  935757 */     GIR_EraseRootFromParent_Done,
     /*  935758 */   // Label 14157: @935758
     /*  935758 */   GIM_Try, /*On fail goto*//*Label 14158*/ GIMT_Encode4(935849), // Rule ID 16260 //
     /*  935763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935810 */     // MIs[1] Operand 1
     /*  935810 */     // No operand predicates
     /*  935810 */     // MIs[0] round
     /*  935810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  935822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935834 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935847 */     GIR_RootConstrainSelectedInstOperands,
     /*  935848 */     // GIR_Coverage, 16260,
     /*  935848 */     GIR_EraseRootFromParent_Done,
     /*  935849 */   // Label 14158: @935849
     /*  935849 */   GIM_Try, /*On fail goto*//*Label 14159*/ GIMT_Encode4(935940), // Rule ID 16261 //
     /*  935854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  935857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  935865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  935868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  935871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  935874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  935877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935901 */     // MIs[1] Operand 1
     /*  935901 */     // No operand predicates
     /*  935901 */     // MIs[0] round
     /*  935901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  935913 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  935913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4),
     /*  935916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  935918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  935920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  935922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  935925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  935927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  935932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  935935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  935938 */     GIR_RootConstrainSelectedInstOperands,
     /*  935939 */     // GIR_Coverage, 16261,
     /*  935939 */     GIR_EraseRootFromParent_Done,
     /*  935940 */   // Label 14159: @935940
     /*  935940 */   GIM_Try, /*On fail goto*//*Label 14160*/ GIMT_Encode4(936031), // Rule ID 16264 //
     /*  935945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  935948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  935953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  935956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  935959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  935962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  935965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  935968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  935980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  935984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  935988 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  935992 */     // MIs[1] Operand 1
     /*  935992 */     // No operand predicates
     /*  935992 */     // MIs[0] round
     /*  935992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  935995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  935997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  936007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936016 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936029 */     GIR_RootConstrainSelectedInstOperands,
     /*  936030 */     // GIR_Coverage, 16264,
     /*  936030 */     GIR_EraseRootFromParent_Done,
     /*  936031 */   // Label 14160: @936031
     /*  936031 */   GIM_Try, /*On fail goto*//*Label 14161*/ GIMT_Encode4(936122), // Rule ID 16265 //
     /*  936036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  936047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  936050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  936053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936083 */     // MIs[1] Operand 1
     /*  936083 */     // No operand predicates
     /*  936083 */     // MIs[0] round
     /*  936083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936095 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  936098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936120 */     GIR_RootConstrainSelectedInstOperands,
     /*  936121 */     // GIR_Coverage, 16265,
     /*  936121 */     GIR_EraseRootFromParent_Done,
     /*  936122 */   // Label 14161: @936122
     /*  936122 */   GIM_Try, /*On fail goto*//*Label 14162*/ GIMT_Encode4(936213), // Rule ID 16268 //
     /*  936127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  936144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936174 */     // MIs[1] Operand 1
     /*  936174 */     // No operand predicates
     /*  936174 */     // MIs[0] round
     /*  936174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  936189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936195 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936198 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936211 */     GIR_RootConstrainSelectedInstOperands,
     /*  936212 */     // GIR_Coverage, 16268,
     /*  936212 */     GIR_EraseRootFromParent_Done,
     /*  936213 */   // Label 14162: @936213
     /*  936213 */   GIM_Try, /*On fail goto*//*Label 14163*/ GIMT_Encode4(936304), // Rule ID 16269 //
     /*  936218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  936229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  936232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  936235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936265 */     // MIs[1] Operand 1
     /*  936265 */     // No operand predicates
     /*  936265 */     // MIs[0] round
     /*  936265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936277 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2),
     /*  936280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936302 */     GIR_RootConstrainSelectedInstOperands,
     /*  936303 */     // GIR_Coverage, 16269,
     /*  936303 */     GIR_EraseRootFromParent_Done,
     /*  936304 */   // Label 14163: @936304
     /*  936304 */   GIM_Try, /*On fail goto*//*Label 14164*/ GIMT_Encode4(936395), // Rule ID 16272 //
     /*  936309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  936320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  936323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  936326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936356 */     // MIs[1] Operand 1
     /*  936356 */     // No operand predicates
     /*  936356 */     // MIs[0] round
     /*  936356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936368 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  936368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936380 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936393 */     GIR_RootConstrainSelectedInstOperands,
     /*  936394 */     // GIR_Coverage, 16272,
     /*  936394 */     GIR_EraseRootFromParent_Done,
     /*  936395 */   // Label 14164: @936395
     /*  936395 */   GIM_Try, /*On fail goto*//*Label 14165*/ GIMT_Encode4(936486), // Rule ID 16273 //
     /*  936400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  936411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  936414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  936417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936447 */     // MIs[1] Operand 1
     /*  936447 */     // No operand predicates
     /*  936447 */     // MIs[0] round
     /*  936447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936459 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  936459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  936481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936484 */     GIR_RootConstrainSelectedInstOperands,
     /*  936485 */     // GIR_Coverage, 16273,
     /*  936485 */     GIR_EraseRootFromParent_Done,
     /*  936486 */   // Label 14165: @936486
     /*  936486 */   GIM_Try, /*On fail goto*//*Label 14166*/ GIMT_Encode4(936577), // Rule ID 16276 //
     /*  936491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  936502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  936505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  936508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936538 */     // MIs[1] Operand 1
     /*  936538 */     // No operand predicates
     /*  936538 */     // MIs[0] round
     /*  936538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  936550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936562 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936575 */     GIR_RootConstrainSelectedInstOperands,
     /*  936576 */     // GIR_Coverage, 16276,
     /*  936576 */     GIR_EraseRootFromParent_Done,
     /*  936577 */   // Label 14166: @936577
     /*  936577 */   GIM_Try, /*On fail goto*//*Label 14167*/ GIMT_Encode4(936668), // Rule ID 16277 //
     /*  936582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  936593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  936596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  936599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936629 */     // MIs[1] Operand 1
     /*  936629 */     // No operand predicates
     /*  936629 */     // MIs[0] round
     /*  936629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936641 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  936641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936650 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  936663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936666 */     GIR_RootConstrainSelectedInstOperands,
     /*  936667 */     // GIR_Coverage, 16277,
     /*  936667 */     GIR_EraseRootFromParent_Done,
     /*  936668 */   // Label 14167: @936668
     /*  936668 */   GIM_Try, /*On fail goto*//*Label 14168*/ GIMT_Encode4(936759), // Rule ID 16280 //
     /*  936673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  936676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936720 */     // MIs[1] Operand 1
     /*  936720 */     // No operand predicates
     /*  936720 */     // MIs[0] round
     /*  936720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  936732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936757 */     GIR_RootConstrainSelectedInstOperands,
     /*  936758 */     // GIR_Coverage, 16280,
     /*  936758 */     GIR_EraseRootFromParent_Done,
     /*  936759 */   // Label 14168: @936759
     /*  936759 */   GIM_Try, /*On fail goto*//*Label 14169*/ GIMT_Encode4(936850), // Rule ID 16281 //
     /*  936764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  936767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  936775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  936778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  936781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936811 */     // MIs[1] Operand 1
     /*  936811 */     // No operand predicates
     /*  936811 */     // MIs[0] round
     /*  936811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936823 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  936823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  936845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936848 */     GIR_RootConstrainSelectedInstOperands,
     /*  936849 */     // GIR_Coverage, 16281,
     /*  936849 */     GIR_EraseRootFromParent_Done,
     /*  936850 */   // Label 14169: @936850
     /*  936850 */   GIM_Try, /*On fail goto*//*Label 14170*/ GIMT_Encode4(936941), // Rule ID 16284 //
     /*  936855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  936858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  936866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  936869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  936875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  936878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936890 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936894 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936898 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936902 */     // MIs[1] Operand 1
     /*  936902 */     // No operand predicates
     /*  936902 */     // MIs[0] round
     /*  936902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  936914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  936914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  936917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  936919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  936921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  936923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  936926 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  936928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  936933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  936936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  936939 */     GIR_RootConstrainSelectedInstOperands,
     /*  936940 */     // GIR_Coverage, 16284,
     /*  936940 */     GIR_EraseRootFromParent_Done,
     /*  936941 */   // Label 14170: @936941
     /*  936941 */   GIM_Try, /*On fail goto*//*Label 14171*/ GIMT_Encode4(937032), // Rule ID 16285 //
     /*  936946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  936949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  936954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  936957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  936960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  936963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  936966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  936969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  936981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  936985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  936989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  936993 */     // MIs[1] Operand 1
     /*  936993 */     // No operand predicates
     /*  936993 */     // MIs[0] round
     /*  936993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  936996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  936998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937005 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  937005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1),
     /*  937008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  937027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937030 */     GIR_RootConstrainSelectedInstOperands,
     /*  937031 */     // GIR_Coverage, 16285,
     /*  937031 */     GIR_EraseRootFromParent_Done,
     /*  937032 */   // Label 14171: @937032
     /*  937032 */   GIM_Try, /*On fail goto*//*Label 14172*/ GIMT_Encode4(937123), // Rule ID 16288 //
     /*  937037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  937048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  937051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  937054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937080 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937084 */     // MIs[1] Operand 1
     /*  937084 */     // No operand predicates
     /*  937084 */     // MIs[0] round
     /*  937084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937108 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937121 */     GIR_RootConstrainSelectedInstOperands,
     /*  937122 */     // GIR_Coverage, 16288,
     /*  937122 */     GIR_EraseRootFromParent_Done,
     /*  937123 */   // Label 14172: @937123
     /*  937123 */   GIM_Try, /*On fail goto*//*Label 14173*/ GIMT_Encode4(937214), // Rule ID 16289 //
     /*  937128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  937139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  937142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  937145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937175 */     // MIs[1] Operand 1
     /*  937175 */     // No operand predicates
     /*  937175 */     // MIs[0] round
     /*  937175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937187 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937212 */     GIR_RootConstrainSelectedInstOperands,
     /*  937213 */     // GIR_Coverage, 16289,
     /*  937213 */     GIR_EraseRootFromParent_Done,
     /*  937214 */   // Label 14173: @937214
     /*  937214 */   GIM_Try, /*On fail goto*//*Label 14174*/ GIMT_Encode4(937305), // Rule ID 16292 //
     /*  937219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  937230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  937233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  937236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937266 */     // MIs[1] Operand 1
     /*  937266 */     // No operand predicates
     /*  937266 */     // MIs[0] round
     /*  937266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937278 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937290 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937303 */     GIR_RootConstrainSelectedInstOperands,
     /*  937304 */     // GIR_Coverage, 16292,
     /*  937304 */     GIR_EraseRootFromParent_Done,
     /*  937305 */   // Label 14174: @937305
     /*  937305 */   GIM_Try, /*On fail goto*//*Label 14175*/ GIMT_Encode4(937396), // Rule ID 16293 //
     /*  937310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  937321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  937324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  937327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937357 */     // MIs[1] Operand 1
     /*  937357 */     // No operand predicates
     /*  937357 */     // MIs[0] round
     /*  937357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937369 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937394 */     GIR_RootConstrainSelectedInstOperands,
     /*  937395 */     // GIR_Coverage, 16293,
     /*  937395 */     GIR_EraseRootFromParent_Done,
     /*  937396 */   // Label 14175: @937396
     /*  937396 */   GIM_Try, /*On fail goto*//*Label 14176*/ GIMT_Encode4(937487), // Rule ID 16296 //
     /*  937401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  937412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  937415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  937418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937448 */     // MIs[1] Operand 1
     /*  937448 */     // No operand predicates
     /*  937448 */     // MIs[0] round
     /*  937448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937460 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  937460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937472 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937485 */     GIR_RootConstrainSelectedInstOperands,
     /*  937486 */     // GIR_Coverage, 16296,
     /*  937486 */     GIR_EraseRootFromParent_Done,
     /*  937487 */   // Label 14176: @937487
     /*  937487 */   GIM_Try, /*On fail goto*//*Label 14177*/ GIMT_Encode4(937578), // Rule ID 16297 //
     /*  937492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  937503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  937506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  937509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937539 */     // MIs[1] Operand 1
     /*  937539 */     // No operand predicates
     /*  937539 */     // MIs[0] round
     /*  937539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937551 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  937551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  937554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937560 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  937573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937576 */     GIR_RootConstrainSelectedInstOperands,
     /*  937577 */     // GIR_Coverage, 16297,
     /*  937577 */     GIR_EraseRootFromParent_Done,
     /*  937578 */   // Label 14177: @937578
     /*  937578 */   GIM_Try, /*On fail goto*//*Label 14178*/ GIMT_Encode4(937669), // Rule ID 16300 //
     /*  937583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937630 */     // MIs[1] Operand 1
     /*  937630 */     // No operand predicates
     /*  937630 */     // MIs[0] round
     /*  937630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937654 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937667 */     GIR_RootConstrainSelectedInstOperands,
     /*  937668 */     // GIR_Coverage, 16300,
     /*  937668 */     GIR_EraseRootFromParent_Done,
     /*  937669 */   // Label 14178: @937669
     /*  937669 */   GIM_Try, /*On fail goto*//*Label 14179*/ GIMT_Encode4(937760), // Rule ID 16301 //
     /*  937674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  937685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  937688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  937691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  937709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937721 */     // MIs[1] Operand 1
     /*  937721 */     // No operand predicates
     /*  937721 */     // MIs[0] round
     /*  937721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937733 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  937736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937758 */     GIR_RootConstrainSelectedInstOperands,
     /*  937759 */     // GIR_Coverage, 16301,
     /*  937759 */     GIR_EraseRootFromParent_Done,
     /*  937760 */   // Label 14179: @937760
     /*  937760 */   GIM_Try, /*On fail goto*//*Label 14180*/ GIMT_Encode4(937851), // Rule ID 16304 //
     /*  937765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937812 */     // MIs[1] Operand 1
     /*  937812 */     // No operand predicates
     /*  937812 */     // MIs[0] round
     /*  937812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937824 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  937824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937836 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937849 */     GIR_RootConstrainSelectedInstOperands,
     /*  937850 */     // GIR_Coverage, 16304,
     /*  937850 */     GIR_EraseRootFromParent_Done,
     /*  937851 */   // Label 14180: @937851
     /*  937851 */   GIM_Try, /*On fail goto*//*Label 14181*/ GIMT_Encode4(937942), // Rule ID 16305 //
     /*  937856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  937859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  937867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  937870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  937873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  937876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  937879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  937891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937903 */     // MIs[1] Operand 1
     /*  937903 */     // No operand predicates
     /*  937903 */     // MIs[0] round
     /*  937903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  937915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  937915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  937918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  937920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  937922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  937924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  937927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  937929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  937934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  937937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  937940 */     GIR_RootConstrainSelectedInstOperands,
     /*  937941 */     // GIR_Coverage, 16305,
     /*  937941 */     GIR_EraseRootFromParent_Done,
     /*  937942 */   // Label 14181: @937942
     /*  937942 */   GIM_Try, /*On fail goto*//*Label 14182*/ GIMT_Encode4(938033), // Rule ID 16308 //
     /*  937947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  937950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  937955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  937958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  937961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  937964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  937967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  937970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  937982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  937986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  937990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  937994 */     // MIs[1] Operand 1
     /*  937994 */     // No operand predicates
     /*  937994 */     // MIs[0] round
     /*  937994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  937997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  937999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938006 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  938006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938031 */     GIR_RootConstrainSelectedInstOperands,
     /*  938032 */     // GIR_Coverage, 16308,
     /*  938032 */     GIR_EraseRootFromParent_Done,
     /*  938033 */   // Label 14182: @938033
     /*  938033 */   GIM_Try, /*On fail goto*//*Label 14183*/ GIMT_Encode4(938124), // Rule ID 16309 //
     /*  938038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  938049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  938052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  938055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938085 */     // MIs[1] Operand 1
     /*  938085 */     // No operand predicates
     /*  938085 */     // MIs[0] round
     /*  938085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938097 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  938097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  938119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938122 */     GIR_RootConstrainSelectedInstOperands,
     /*  938123 */     // GIR_Coverage, 16309,
     /*  938123 */     GIR_EraseRootFromParent_Done,
     /*  938124 */   // Label 14183: @938124
     /*  938124 */   GIM_Try, /*On fail goto*//*Label 14184*/ GIMT_Encode4(938215), // Rule ID 16312 //
     /*  938129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  938140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  938143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938176 */     // MIs[1] Operand 1
     /*  938176 */     // No operand predicates
     /*  938176 */     // MIs[0] round
     /*  938176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938188 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  938188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  938191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938200 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938213 */     GIR_RootConstrainSelectedInstOperands,
     /*  938214 */     // GIR_Coverage, 16312,
     /*  938214 */     GIR_EraseRootFromParent_Done,
     /*  938215 */   // Label 14184: @938215
     /*  938215 */   GIM_Try, /*On fail goto*//*Label 14185*/ GIMT_Encode4(938306), // Rule ID 16313 //
     /*  938220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  938231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  938234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  938237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938263 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938267 */     // MIs[1] Operand 1
     /*  938267 */     // No operand predicates
     /*  938267 */     // MIs[0] round
     /*  938267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  938279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  938282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938304 */     GIR_RootConstrainSelectedInstOperands,
     /*  938305 */     // GIR_Coverage, 16313,
     /*  938305 */     GIR_EraseRootFromParent_Done,
     /*  938306 */   // Label 14185: @938306
     /*  938306 */   GIM_Try, /*On fail goto*//*Label 14186*/ GIMT_Encode4(938397), // Rule ID 16316 //
     /*  938311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  938322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  938325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938358 */     // MIs[1] Operand 1
     /*  938358 */     // No operand predicates
     /*  938358 */     // MIs[0] round
     /*  938358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  938370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  938373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938395 */     GIR_RootConstrainSelectedInstOperands,
     /*  938396 */     // GIR_Coverage, 16316,
     /*  938396 */     GIR_EraseRootFromParent_Done,
     /*  938397 */   // Label 14186: @938397
     /*  938397 */   GIM_Try, /*On fail goto*//*Label 14187*/ GIMT_Encode4(938488), // Rule ID 16317 //
     /*  938402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  938413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  938416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  938419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938437 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938441 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938445 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938449 */     // MIs[1] Operand 1
     /*  938449 */     // No operand predicates
     /*  938449 */     // MIs[0] round
     /*  938449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938461 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  938461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  938464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938486 */     GIR_RootConstrainSelectedInstOperands,
     /*  938487 */     // GIR_Coverage, 16317,
     /*  938487 */     GIR_EraseRootFromParent_Done,
     /*  938488 */   // Label 14187: @938488
     /*  938488 */   GIM_Try, /*On fail goto*//*Label 14188*/ GIMT_Encode4(938579), // Rule ID 16320 //
     /*  938493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  938496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  938504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  938507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  938510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938540 */     // MIs[1] Operand 1
     /*  938540 */     // No operand predicates
     /*  938540 */     // MIs[0] round
     /*  938540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  938552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938577 */     GIR_RootConstrainSelectedInstOperands,
     /*  938578 */     // GIR_Coverage, 16320,
     /*  938578 */     GIR_EraseRootFromParent_Done,
     /*  938579 */   // Label 14188: @938579
     /*  938579 */   GIM_Try, /*On fail goto*//*Label 14189*/ GIMT_Encode4(938670), // Rule ID 16321 //
     /*  938584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  938587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  938595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  938598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  938601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  938619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938631 */     // MIs[1] Operand 1
     /*  938631 */     // No operand predicates
     /*  938631 */     // MIs[0] round
     /*  938631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938643 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  938643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  938646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  938665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938668 */     GIR_RootConstrainSelectedInstOperands,
     /*  938669 */     // GIR_Coverage, 16321,
     /*  938669 */     GIR_EraseRootFromParent_Done,
     /*  938670 */   // Label 14189: @938670
     /*  938670 */   GIM_Try, /*On fail goto*//*Label 14190*/ GIMT_Encode4(938761), // Rule ID 16324 //
     /*  938675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  938678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  938686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  938689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  938692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938718 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938722 */     // MIs[1] Operand 1
     /*  938722 */     // No operand predicates
     /*  938722 */     // MIs[0] round
     /*  938722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938734 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  938734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  938737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938746 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938759 */     GIR_RootConstrainSelectedInstOperands,
     /*  938760 */     // GIR_Coverage, 16324,
     /*  938760 */     GIR_EraseRootFromParent_Done,
     /*  938761 */   // Label 14190: @938761
     /*  938761 */   GIM_Try, /*On fail goto*//*Label 14191*/ GIMT_Encode4(938852), // Rule ID 16325 //
     /*  938766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  938777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  938780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  938783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  938801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938813 */     // MIs[1] Operand 1
     /*  938813 */     // No operand predicates
     /*  938813 */     // MIs[0] round
     /*  938813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938825 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  938825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2),
     /*  938828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938850 */     GIR_RootConstrainSelectedInstOperands,
     /*  938851 */     // GIR_Coverage, 16325,
     /*  938851 */     GIR_EraseRootFromParent_Done,
     /*  938852 */   // Label 14191: @938852
     /*  938852 */   GIM_Try, /*On fail goto*//*Label 14192*/ GIMT_Encode4(938943), // Rule ID 16328 //
     /*  938857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  938860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  938868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  938871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  938874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  938877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  938880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938892 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938896 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938900 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938904 */     // MIs[1] Operand 1
     /*  938904 */     // No operand predicates
     /*  938904 */     // MIs[0] round
     /*  938904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  938909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  938916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  938916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  938919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  938921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  938923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  938925 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  938928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  938930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  938935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  938938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  938941 */     GIR_RootConstrainSelectedInstOperands,
     /*  938942 */     // GIR_Coverage, 16328,
     /*  938942 */     GIR_EraseRootFromParent_Done,
     /*  938943 */   // Label 14192: @938943
     /*  938943 */   GIM_Try, /*On fail goto*//*Label 14193*/ GIMT_Encode4(939034), // Rule ID 16329 //
     /*  938948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  938951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  938956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  938959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  938962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  938965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  938968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  938971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  938983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  938987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  938991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  938995 */     // MIs[1] Operand 1
     /*  938995 */     // No operand predicates
     /*  938995 */     // MIs[0] round
     /*  938995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  938998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939007 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  939007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4),
     /*  939010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  939029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939032 */     GIR_RootConstrainSelectedInstOperands,
     /*  939033 */     // GIR_Coverage, 16329,
     /*  939033 */     GIR_EraseRootFromParent_Done,
     /*  939034 */   // Label 14193: @939034
     /*  939034 */   GIM_Try, /*On fail goto*//*Label 14194*/ GIMT_Encode4(939125), // Rule ID 16332 //
     /*  939039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  939042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  939047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  939050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  939053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939086 */     // MIs[1] Operand 1
     /*  939086 */     // No operand predicates
     /*  939086 */     // MIs[0] round
     /*  939086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939098 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /*  939098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  939101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  939120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939123 */     GIR_RootConstrainSelectedInstOperands,
     /*  939124 */     // GIR_Coverage, 16332,
     /*  939124 */     GIR_EraseRootFromParent_Done,
     /*  939125 */   // Label 14194: @939125
     /*  939125 */   GIM_Try, /*On fail goto*//*Label 14195*/ GIMT_Encode4(939216), // Rule ID 16333 //
     /*  939130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  939133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /*  939138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  939141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  939144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  939147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  939165 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939169 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939173 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939177 */     // MIs[1] Operand 1
     /*  939177 */     // No operand predicates
     /*  939177 */     // MIs[0] round
     /*  939177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939189 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VI_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /*  939189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8),
     /*  939192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  939211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939214 */     GIR_RootConstrainSelectedInstOperands,
     /*  939215 */     // GIR_Coverage, 16333,
     /*  939215 */     GIR_EraseRootFromParent_Done,
     /*  939216 */   // Label 14195: @939216
     /*  939216 */   GIM_Try, /*On fail goto*//*Label 14196*/ GIMT_Encode4(939310), // Rule ID 16456 //
     /*  939221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  939232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  939235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  939238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939268 */     // MIs[1] Operand 1
     /*  939268 */     // No operand predicates
     /*  939268 */     // MIs[0] round
     /*  939268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  939283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939292 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939308 */     GIR_RootConstrainSelectedInstOperands,
     /*  939309 */     // GIR_Coverage, 16456,
     /*  939309 */     GIR_EraseRootFromParent_Done,
     /*  939310 */   // Label 14196: @939310
     /*  939310 */   GIM_Try, /*On fail goto*//*Label 14197*/ GIMT_Encode4(939404), // Rule ID 16457 //
     /*  939315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  939326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  939329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  939332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939362 */     // MIs[1] Operand 1
     /*  939362 */     // No operand predicates
     /*  939362 */     // MIs[0] round
     /*  939362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939374 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8),
     /*  939377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939402 */     GIR_RootConstrainSelectedInstOperands,
     /*  939403 */     // GIR_Coverage, 16457,
     /*  939403 */     GIR_EraseRootFromParent_Done,
     /*  939404 */   // Label 14197: @939404
     /*  939404 */   GIM_Try, /*On fail goto*//*Label 14198*/ GIMT_Encode4(939498), // Rule ID 16460 //
     /*  939409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  939420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  939423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  939426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939452 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939456 */     // MIs[1] Operand 1
     /*  939456 */     // No operand predicates
     /*  939456 */     // MIs[0] round
     /*  939456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939468 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  939471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939480 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939496 */     GIR_RootConstrainSelectedInstOperands,
     /*  939497 */     // GIR_Coverage, 16460,
     /*  939497 */     GIR_EraseRootFromParent_Done,
     /*  939498 */   // Label 14198: @939498
     /*  939498 */   GIM_Try, /*On fail goto*//*Label 14199*/ GIMT_Encode4(939592), // Rule ID 16461 //
     /*  939503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  939514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  939517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  939520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939550 */     // MIs[1] Operand 1
     /*  939550 */     // No operand predicates
     /*  939550 */     // MIs[0] round
     /*  939550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939553 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939562 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  939565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939571 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939574 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939590 */     GIR_RootConstrainSelectedInstOperands,
     /*  939591 */     // GIR_Coverage, 16461,
     /*  939591 */     GIR_EraseRootFromParent_Done,
     /*  939592 */   // Label 14199: @939592
     /*  939592 */   GIM_Try, /*On fail goto*//*Label 14200*/ GIMT_Encode4(939686), // Rule ID 16464 //
     /*  939597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  939608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  939611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939644 */     // MIs[1] Operand 1
     /*  939644 */     // No operand predicates
     /*  939644 */     // MIs[0] round
     /*  939644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939656 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  939659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939668 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939684 */     GIR_RootConstrainSelectedInstOperands,
     /*  939685 */     // GIR_Coverage, 16464,
     /*  939685 */     GIR_EraseRootFromParent_Done,
     /*  939686 */   // Label 14200: @939686
     /*  939686 */   GIM_Try, /*On fail goto*//*Label 14201*/ GIMT_Encode4(939780), // Rule ID 16465 //
     /*  939691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  939702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  939705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  939708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939734 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939738 */     // MIs[1] Operand 1
     /*  939738 */     // No operand predicates
     /*  939738 */     // MIs[0] round
     /*  939738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939750 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  939753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939778 */     GIR_RootConstrainSelectedInstOperands,
     /*  939779 */     // GIR_Coverage, 16465,
     /*  939779 */     GIR_EraseRootFromParent_Done,
     /*  939780 */   // Label 14201: @939780
     /*  939780 */   GIM_Try, /*On fail goto*//*Label 14202*/ GIMT_Encode4(939874), // Rule ID 16468 //
     /*  939785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  939799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  939802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939832 */     // MIs[1] Operand 1
     /*  939832 */     // No operand predicates
     /*  939832 */     // MIs[0] round
     /*  939832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939844 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  939844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  939847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939856 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939872 */     GIR_RootConstrainSelectedInstOperands,
     /*  939873 */     // GIR_Coverage, 16468,
     /*  939873 */     GIR_EraseRootFromParent_Done,
     /*  939874 */   // Label 14202: @939874
     /*  939874 */   GIM_Try, /*On fail goto*//*Label 14203*/ GIMT_Encode4(939968), // Rule ID 16469 //
     /*  939879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  939882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  939890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  939893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  939896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  939899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  939902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  939910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  939914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  939918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  939922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  939926 */     // MIs[1] Operand 1
     /*  939926 */     // No operand predicates
     /*  939926 */     // MIs[0] round
     /*  939926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  939929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  939931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  939938 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  939938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  939941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  939943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  939945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  939947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  939950 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  939952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  939957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  939960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  939963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  939966 */     GIR_RootConstrainSelectedInstOperands,
     /*  939967 */     // GIR_Coverage, 16469,
     /*  939967 */     GIR_EraseRootFromParent_Done,
     /*  939968 */   // Label 14203: @939968
     /*  939968 */   GIM_Try, /*On fail goto*//*Label 14204*/ GIMT_Encode4(940062), // Rule ID 16472 //
     /*  939973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  939976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  939981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  939984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  939987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  939990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  939993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  939996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940020 */     // MIs[1] Operand 1
     /*  940020 */     // No operand predicates
     /*  940020 */     // MIs[0] round
     /*  940020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  940032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  940035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940044 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  940054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940060 */     GIR_RootConstrainSelectedInstOperands,
     /*  940061 */     // GIR_Coverage, 16472,
     /*  940061 */     GIR_EraseRootFromParent_Done,
     /*  940062 */   // Label 14204: @940062
     /*  940062 */   GIM_Try, /*On fail goto*//*Label 14205*/ GIMT_Encode4(940156), // Rule ID 16473 //
     /*  940067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  940078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  940081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  940084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940110 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940114 */     // MIs[1] Operand 1
     /*  940114 */     // No operand predicates
     /*  940114 */     // MIs[0] round
     /*  940114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940126 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  940126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  940129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940135 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940138 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  940148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940154 */     GIR_RootConstrainSelectedInstOperands,
     /*  940155 */     // GIR_Coverage, 16473,
     /*  940155 */     GIR_EraseRootFromParent_Done,
     /*  940156 */   // Label 14205: @940156
     /*  940156 */   GIM_Try, /*On fail goto*//*Label 14206*/ GIMT_Encode4(940250), // Rule ID 16476 //
     /*  940161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  940172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  940175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  940178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940208 */     // MIs[1] Operand 1
     /*  940208 */     // No operand predicates
     /*  940208 */     // MIs[0] round
     /*  940208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940220 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  940220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  940223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  940242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940248 */     GIR_RootConstrainSelectedInstOperands,
     /*  940249 */     // GIR_Coverage, 16476,
     /*  940249 */     GIR_EraseRootFromParent_Done,
     /*  940250 */   // Label 14206: @940250
     /*  940250 */   GIM_Try, /*On fail goto*//*Label 14207*/ GIMT_Encode4(940344), // Rule ID 16477 //
     /*  940255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  940266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  940269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  940272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  940290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940302 */     // MIs[1] Operand 1
     /*  940302 */     // No operand predicates
     /*  940302 */     // MIs[0] round
     /*  940302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  940314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  940317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940326 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  940336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940342 */     GIR_RootConstrainSelectedInstOperands,
     /*  940343 */     // GIR_Coverage, 16477,
     /*  940343 */     GIR_EraseRootFromParent_Done,
     /*  940344 */   // Label 14207: @940344
     /*  940344 */   GIM_Try, /*On fail goto*//*Label 14208*/ GIMT_Encode4(940438), // Rule ID 16480 //
     /*  940349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  940360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  940363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940392 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940396 */     // MIs[1] Operand 1
     /*  940396 */     // No operand predicates
     /*  940396 */     // MIs[0] round
     /*  940396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940408 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  940411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940420 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940436 */     GIR_RootConstrainSelectedInstOperands,
     /*  940437 */     // GIR_Coverage, 16480,
     /*  940437 */     GIR_EraseRootFromParent_Done,
     /*  940438 */   // Label 14208: @940438
     /*  940438 */   GIM_Try, /*On fail goto*//*Label 14209*/ GIMT_Encode4(940532), // Rule ID 16481 //
     /*  940443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  940454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  940457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  940460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940490 */     // MIs[1] Operand 1
     /*  940490 */     // No operand predicates
     /*  940490 */     // MIs[0] round
     /*  940490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940493 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4),
     /*  940505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940511 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940514 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940530 */     GIR_RootConstrainSelectedInstOperands,
     /*  940531 */     // GIR_Coverage, 16481,
     /*  940531 */     GIR_EraseRootFromParent_Done,
     /*  940532 */   // Label 14209: @940532
     /*  940532 */   GIM_Try, /*On fail goto*//*Label 14210*/ GIMT_Encode4(940626), // Rule ID 16484 //
     /*  940537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  940548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  940551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940584 */     // MIs[1] Operand 1
     /*  940584 */     // No operand predicates
     /*  940584 */     // MIs[0] round
     /*  940584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940596 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940624 */     GIR_RootConstrainSelectedInstOperands,
     /*  940625 */     // GIR_Coverage, 16484,
     /*  940625 */     GIR_EraseRootFromParent_Done,
     /*  940626 */   // Label 14210: @940626
     /*  940626 */   GIM_Try, /*On fail goto*//*Label 14211*/ GIMT_Encode4(940720), // Rule ID 16485 //
     /*  940631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  940642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  940645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  940648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940674 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940678 */     // MIs[1] Operand 1
     /*  940678 */     // No operand predicates
     /*  940678 */     // MIs[0] round
     /*  940678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  940693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940702 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940718 */     GIR_RootConstrainSelectedInstOperands,
     /*  940719 */     // GIR_Coverage, 16485,
     /*  940719 */     GIR_EraseRootFromParent_Done,
     /*  940720 */   // Label 14211: @940720
     /*  940720 */   GIM_Try, /*On fail goto*//*Label 14212*/ GIMT_Encode4(940814), // Rule ID 16488 //
     /*  940725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  940736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  940739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940772 */     // MIs[1] Operand 1
     /*  940772 */     // No operand predicates
     /*  940772 */     // MIs[0] round
     /*  940772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940784 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  940787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940796 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940812 */     GIR_RootConstrainSelectedInstOperands,
     /*  940813 */     // GIR_Coverage, 16488,
     /*  940813 */     GIR_EraseRootFromParent_Done,
     /*  940814 */   // Label 14212: @940814
     /*  940814 */   GIM_Try, /*On fail goto*//*Label 14213*/ GIMT_Encode4(940908), // Rule ID 16489 //
     /*  940819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  940822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  940830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  940833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  940836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  940839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  940842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  940850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940866 */     // MIs[1] Operand 1
     /*  940866 */     // No operand predicates
     /*  940866 */     // MIs[0] round
     /*  940866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  940878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  940881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940890 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  940906 */     GIR_RootConstrainSelectedInstOperands,
     /*  940907 */     // GIR_Coverage, 16489,
     /*  940907 */     GIR_EraseRootFromParent_Done,
     /*  940908 */   // Label 14213: @940908
     /*  940908 */   GIM_Try, /*On fail goto*//*Label 14214*/ GIMT_Encode4(941002), // Rule ID 16492 //
     /*  940913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  940916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  940921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  940924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  940927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  940930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  940933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  940936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  940944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  940948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  940952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  940956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  940960 */     // MIs[1] Operand 1
     /*  940960 */     // No operand predicates
     /*  940960 */     // MIs[0] round
     /*  940960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  940963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  940965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  940972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  940972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  940975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  940977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  940979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  940981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  940984 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  940986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  940991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  940994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  940997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941000 */     GIR_RootConstrainSelectedInstOperands,
     /*  941001 */     // GIR_Coverage, 16492,
     /*  941001 */     GIR_EraseRootFromParent_Done,
     /*  941002 */   // Label 14214: @941002
     /*  941002 */   GIM_Try, /*On fail goto*//*Label 14215*/ GIMT_Encode4(941096), // Rule ID 16493 //
     /*  941007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  941018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  941021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  941024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941042 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941046 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941050 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941054 */     // MIs[1] Operand 1
     /*  941054 */     // No operand predicates
     /*  941054 */     // MIs[0] round
     /*  941054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941057 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  941066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  941069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941075 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941078 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941094 */     GIR_RootConstrainSelectedInstOperands,
     /*  941095 */     // GIR_Coverage, 16493,
     /*  941095 */     GIR_EraseRootFromParent_Done,
     /*  941096 */   // Label 14215: @941096
     /*  941096 */   GIM_Try, /*On fail goto*//*Label 14216*/ GIMT_Encode4(941190), // Rule ID 16496 //
     /*  941101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  941104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  941112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  941115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  941118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941148 */     // MIs[1] Operand 1
     /*  941148 */     // No operand predicates
     /*  941148 */     // MIs[0] round
     /*  941148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  941160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  941163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941172 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941188 */     GIR_RootConstrainSelectedInstOperands,
     /*  941189 */     // GIR_Coverage, 16496,
     /*  941189 */     GIR_EraseRootFromParent_Done,
     /*  941190 */   // Label 14216: @941190
     /*  941190 */   GIM_Try, /*On fail goto*//*Label 14217*/ GIMT_Encode4(941284), // Rule ID 16497 //
     /*  941195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  941198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  941206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  941209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  941212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941242 */     // MIs[1] Operand 1
     /*  941242 */     // No operand predicates
     /*  941242 */     // MIs[0] round
     /*  941242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  941254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  941257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941266 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  941276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941282 */     GIR_RootConstrainSelectedInstOperands,
     /*  941283 */     // GIR_Coverage, 16497,
     /*  941283 */     GIR_EraseRootFromParent_Done,
     /*  941284 */   // Label 14217: @941284
     /*  941284 */   GIM_Try, /*On fail goto*//*Label 14218*/ GIMT_Encode4(941378), // Rule ID 16500 //
     /*  941289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  941306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941332 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941336 */     // MIs[1] Operand 1
     /*  941336 */     // No operand predicates
     /*  941336 */     // MIs[0] round
     /*  941336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941348 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  941351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941360 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941376 */     GIR_RootConstrainSelectedInstOperands,
     /*  941377 */     // GIR_Coverage, 16500,
     /*  941377 */     GIR_EraseRootFromParent_Done,
     /*  941378 */   // Label 14218: @941378
     /*  941378 */   GIM_Try, /*On fail goto*//*Label 14219*/ GIMT_Encode4(941472), // Rule ID 16501 //
     /*  941383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  941394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  941397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  941400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941430 */     // MIs[1] Operand 1
     /*  941430 */     // No operand predicates
     /*  941430 */     // MIs[0] round
     /*  941430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941433 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  941442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2),
     /*  941445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941451 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941470 */     GIR_RootConstrainSelectedInstOperands,
     /*  941471 */     // GIR_Coverage, 16501,
     /*  941471 */     GIR_EraseRootFromParent_Done,
     /*  941472 */   // Label 14219: @941472
     /*  941472 */   GIM_Try, /*On fail goto*//*Label 14220*/ GIMT_Encode4(941566), // Rule ID 16504 //
     /*  941477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941524 */     // MIs[1] Operand 1
     /*  941524 */     // No operand predicates
     /*  941524 */     // MIs[0] round
     /*  941524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  941539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941564 */     GIR_RootConstrainSelectedInstOperands,
     /*  941565 */     // GIR_Coverage, 16504,
     /*  941565 */     GIR_EraseRootFromParent_Done,
     /*  941566 */   // Label 14220: @941566
     /*  941566 */   GIM_Try, /*On fail goto*//*Label 14221*/ GIMT_Encode4(941660), // Rule ID 16505 //
     /*  941571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  941582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  941585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  941588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  941602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941614 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941618 */     // MIs[1] Operand 1
     /*  941618 */     // No operand predicates
     /*  941618 */     // MIs[0] round
     /*  941618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941630 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  941630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1),
     /*  941633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941642 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941658 */     GIR_RootConstrainSelectedInstOperands,
     /*  941659 */     // GIR_Coverage, 16505,
     /*  941659 */     GIR_EraseRootFromParent_Done,
     /*  941660 */   // Label 14221: @941660
     /*  941660 */   GIM_Try, /*On fail goto*//*Label 14222*/ GIMT_Encode4(941754), // Rule ID 16508 //
     /*  941665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941712 */     // MIs[1] Operand 1
     /*  941712 */     // No operand predicates
     /*  941712 */     // MIs[0] round
     /*  941712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941724 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  941727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941736 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941752 */     GIR_RootConstrainSelectedInstOperands,
     /*  941753 */     // GIR_Coverage, 16508,
     /*  941753 */     GIR_EraseRootFromParent_Done,
     /*  941754 */   // Label 14222: @941754
     /*  941754 */   GIM_Try, /*On fail goto*//*Label 14223*/ GIMT_Encode4(941848), // Rule ID 16509 //
     /*  941759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  941770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  941773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  941776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  941790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941806 */     // MIs[1] Operand 1
     /*  941806 */     // No operand predicates
     /*  941806 */     // MIs[0] round
     /*  941806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941818 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  941818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2),
     /*  941821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941830 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941846 */     GIR_RootConstrainSelectedInstOperands,
     /*  941847 */     // GIR_Coverage, 16509,
     /*  941847 */     GIR_EraseRootFromParent_Done,
     /*  941848 */   // Label 14223: @941848
     /*  941848 */   GIM_Try, /*On fail goto*//*Label 14224*/ GIMT_Encode4(941942), // Rule ID 16512 //
     /*  941853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  941856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  941873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  941876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941900 */     // MIs[1] Operand 1
     /*  941900 */     // No operand predicates
     /*  941900 */     // MIs[0] round
     /*  941900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  941912 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  941912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  941915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  941917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  941919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  941921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  941924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  941926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  941931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  941934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  941937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  941940 */     GIR_RootConstrainSelectedInstOperands,
     /*  941941 */     // GIR_Coverage, 16512,
     /*  941941 */     GIR_EraseRootFromParent_Done,
     /*  941942 */   // Label 14224: @941942
     /*  941942 */   GIM_Try, /*On fail goto*//*Label 14225*/ GIMT_Encode4(942036), // Rule ID 16513 //
     /*  941947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  941950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /*  941955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  941958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  941961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  941964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  941967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  941970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  941978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  941982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  941986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  941990 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  941994 */     // MIs[1] Operand 1
     /*  941994 */     // No operand predicates
     /*  941994 */     // MIs[0] round
     /*  941994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  941997 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  941999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  942006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4),
     /*  942009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942015 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942018 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  942028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942034 */     GIR_RootConstrainSelectedInstOperands,
     /*  942035 */     // GIR_Coverage, 16513,
     /*  942035 */     GIR_EraseRootFromParent_Done,
     /*  942036 */   // Label 14225: @942036
     /*  942036 */   GIM_Try, /*On fail goto*//*Label 14226*/ GIMT_Encode4(942130), // Rule ID 16636 //
     /*  942041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  942055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942088 */     // MIs[1] Operand 1
     /*  942088 */     // No operand predicates
     /*  942088 */     // MIs[0] round
     /*  942088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  942103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942109 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942112 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942128 */     GIR_RootConstrainSelectedInstOperands,
     /*  942129 */     // GIR_Coverage, 16636,
     /*  942129 */     GIR_EraseRootFromParent_Done,
     /*  942130 */   // Label 14226: @942130
     /*  942130 */   GIM_Try, /*On fail goto*//*Label 14227*/ GIMT_Encode4(942224), // Rule ID 16637 //
     /*  942135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  942146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  942149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  942152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942182 */     // MIs[1] Operand 1
     /*  942182 */     // No operand predicates
     /*  942182 */     // MIs[0] round
     /*  942182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942194 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8),
     /*  942197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942206 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942222 */     GIR_RootConstrainSelectedInstOperands,
     /*  942223 */     // GIR_Coverage, 16637,
     /*  942223 */     GIR_EraseRootFromParent_Done,
     /*  942224 */   // Label 14227: @942224
     /*  942224 */   GIM_Try, /*On fail goto*//*Label 14228*/ GIMT_Encode4(942318), // Rule ID 16640 //
     /*  942229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  942240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  942243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  942246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942272 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942276 */     // MIs[1] Operand 1
     /*  942276 */     // No operand predicates
     /*  942276 */     // MIs[0] round
     /*  942276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942288 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  942291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942300 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942316 */     GIR_RootConstrainSelectedInstOperands,
     /*  942317 */     // GIR_Coverage, 16640,
     /*  942317 */     GIR_EraseRootFromParent_Done,
     /*  942318 */   // Label 14228: @942318
     /*  942318 */   GIM_Try, /*On fail goto*//*Label 14229*/ GIMT_Encode4(942412), // Rule ID 16641 //
     /*  942323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  942334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  942337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  942340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942370 */     // MIs[1] Operand 1
     /*  942370 */     // No operand predicates
     /*  942370 */     // MIs[0] round
     /*  942370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942373 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942382 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  942385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942391 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942410 */     GIR_RootConstrainSelectedInstOperands,
     /*  942411 */     // GIR_Coverage, 16641,
     /*  942411 */     GIR_EraseRootFromParent_Done,
     /*  942412 */   // Label 14229: @942412
     /*  942412 */   GIM_Try, /*On fail goto*//*Label 14230*/ GIMT_Encode4(942506), // Rule ID 16644 //
     /*  942417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  942428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  942431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  942434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942464 */     // MIs[1] Operand 1
     /*  942464 */     // No operand predicates
     /*  942464 */     // MIs[0] round
     /*  942464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  942479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942488 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942504 */     GIR_RootConstrainSelectedInstOperands,
     /*  942505 */     // GIR_Coverage, 16644,
     /*  942505 */     GIR_EraseRootFromParent_Done,
     /*  942506 */   // Label 14230: @942506
     /*  942506 */   GIM_Try, /*On fail goto*//*Label 14231*/ GIMT_Encode4(942600), // Rule ID 16645 //
     /*  942511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  942522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  942525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  942528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942554 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942558 */     // MIs[1] Operand 1
     /*  942558 */     // No operand predicates
     /*  942558 */     // MIs[0] round
     /*  942558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942570 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  942573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942582 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942598 */     GIR_RootConstrainSelectedInstOperands,
     /*  942599 */     // GIR_Coverage, 16645,
     /*  942599 */     GIR_EraseRootFromParent_Done,
     /*  942600 */   // Label 14231: @942600
     /*  942600 */   GIM_Try, /*On fail goto*//*Label 14232*/ GIMT_Encode4(942694), // Rule ID 16648 //
     /*  942605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  942616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  942619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942652 */     // MIs[1] Operand 1
     /*  942652 */     // No operand predicates
     /*  942652 */     // MIs[0] round
     /*  942652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  942667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942676 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942692 */     GIR_RootConstrainSelectedInstOperands,
     /*  942693 */     // GIR_Coverage, 16648,
     /*  942693 */     GIR_EraseRootFromParent_Done,
     /*  942694 */   // Label 14232: @942694
     /*  942694 */   GIM_Try, /*On fail goto*//*Label 14233*/ GIMT_Encode4(942788), // Rule ID 16649 //
     /*  942699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  942710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  942713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  942716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  942730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942746 */     // MIs[1] Operand 1
     /*  942746 */     // No operand predicates
     /*  942746 */     // MIs[0] round
     /*  942746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942758 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  942761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942786 */     GIR_RootConstrainSelectedInstOperands,
     /*  942787 */     // GIR_Coverage, 16649,
     /*  942787 */     GIR_EraseRootFromParent_Done,
     /*  942788 */   // Label 14233: @942788
     /*  942788 */   GIM_Try, /*On fail goto*//*Label 14234*/ GIMT_Encode4(942882), // Rule ID 16652 //
     /*  942793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  942804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  942807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  942813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  942816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942840 */     // MIs[1] Operand 1
     /*  942840 */     // No operand predicates
     /*  942840 */     // MIs[0] round
     /*  942840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  942852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  942855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942864 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942880 */     GIR_RootConstrainSelectedInstOperands,
     /*  942881 */     // GIR_Coverage, 16652,
     /*  942881 */     GIR_EraseRootFromParent_Done,
     /*  942882 */   // Label 14234: @942882
     /*  942882 */   GIM_Try, /*On fail goto*//*Label 14235*/ GIMT_Encode4(942976), // Rule ID 16653 //
     /*  942887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  942890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  942898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  942901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  942904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  942907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  942910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  942918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  942922 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  942926 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  942930 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  942934 */     // MIs[1] Operand 1
     /*  942934 */     // No operand predicates
     /*  942934 */     // MIs[0] round
     /*  942934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  942937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  942939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  942946 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  942946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  942949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  942951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  942953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  942955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  942958 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  942960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  942965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  942968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  942971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  942974 */     GIR_RootConstrainSelectedInstOperands,
     /*  942975 */     // GIR_Coverage, 16653,
     /*  942975 */     GIR_EraseRootFromParent_Done,
     /*  942976 */   // Label 14235: @942976
     /*  942976 */   GIM_Try, /*On fail goto*//*Label 14236*/ GIMT_Encode4(943070), // Rule ID 16656 //
     /*  942981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  942984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  942989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  942992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  942995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  942998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943028 */     // MIs[1] Operand 1
     /*  943028 */     // No operand predicates
     /*  943028 */     // MIs[0] round
     /*  943028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943031 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943040 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /*  943040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  943043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943049 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943052 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943068 */     GIR_RootConstrainSelectedInstOperands,
     /*  943069 */     // GIR_Coverage, 16656,
     /*  943069 */     GIR_EraseRootFromParent_Done,
     /*  943070 */   // Label 14236: @943070
     /*  943070 */   GIM_Try, /*On fail goto*//*Label 14237*/ GIMT_Encode4(943164), // Rule ID 16657 //
     /*  943075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  943086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  943089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  943092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943122 */     // MIs[1] Operand 1
     /*  943122 */     // No operand predicates
     /*  943122 */     // MIs[0] round
     /*  943122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /*  943134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  943137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943146 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  943156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943162 */     GIR_RootConstrainSelectedInstOperands,
     /*  943163 */     // GIR_Coverage, 16657,
     /*  943163 */     GIR_EraseRootFromParent_Done,
     /*  943164 */   // Label 14237: @943164
     /*  943164 */   GIM_Try, /*On fail goto*//*Label 14238*/ GIMT_Encode4(943258), // Rule ID 16660 //
     /*  943169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  943183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  943186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943204 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943208 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943212 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943216 */     // MIs[1] Operand 1
     /*  943216 */     // No operand predicates
     /*  943216 */     // MIs[0] round
     /*  943216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  943231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943256 */     GIR_RootConstrainSelectedInstOperands,
     /*  943257 */     // GIR_Coverage, 16660,
     /*  943257 */     GIR_EraseRootFromParent_Done,
     /*  943258 */   // Label 14238: @943258
     /*  943258 */   GIM_Try, /*On fail goto*//*Label 14239*/ GIMT_Encode4(943352), // Rule ID 16661 //
     /*  943263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  943274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  943277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  943280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943310 */     // MIs[1] Operand 1
     /*  943310 */     // No operand predicates
     /*  943310 */     // MIs[0] round
     /*  943310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943313 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943322 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4),
     /*  943325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943331 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943334 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943350 */     GIR_RootConstrainSelectedInstOperands,
     /*  943351 */     // GIR_Coverage, 16661,
     /*  943351 */     GIR_EraseRootFromParent_Done,
     /*  943352 */   // Label 14239: @943352
     /*  943352 */   GIM_Try, /*On fail goto*//*Label 14240*/ GIMT_Encode4(943446), // Rule ID 16664 //
     /*  943357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  943368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  943371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  943374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943404 */     // MIs[1] Operand 1
     /*  943404 */     // No operand predicates
     /*  943404 */     // MIs[0] round
     /*  943404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943416 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  943419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943428 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943444 */     GIR_RootConstrainSelectedInstOperands,
     /*  943445 */     // GIR_Coverage, 16664,
     /*  943445 */     GIR_EraseRootFromParent_Done,
     /*  943446 */   // Label 14240: @943446
     /*  943446 */   GIM_Try, /*On fail goto*//*Label 14241*/ GIMT_Encode4(943540), // Rule ID 16665 //
     /*  943451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  943462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  943465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  943468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943486 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943490 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943494 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943498 */     // MIs[1] Operand 1
     /*  943498 */     // No operand predicates
     /*  943498 */     // MIs[0] round
     /*  943498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943510 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  943513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943522 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943538 */     GIR_RootConstrainSelectedInstOperands,
     /*  943539 */     // GIR_Coverage, 16665,
     /*  943539 */     GIR_EraseRootFromParent_Done,
     /*  943540 */   // Label 14241: @943540
     /*  943540 */   GIM_Try, /*On fail goto*//*Label 14242*/ GIMT_Encode4(943634), // Rule ID 16668 //
     /*  943545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  943556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  943559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943592 */     // MIs[1] Operand 1
     /*  943592 */     // No operand predicates
     /*  943592 */     // MIs[0] round
     /*  943592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943604 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943613 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943632 */     GIR_RootConstrainSelectedInstOperands,
     /*  943633 */     // GIR_Coverage, 16668,
     /*  943633 */     GIR_EraseRootFromParent_Done,
     /*  943634 */   // Label 14242: @943634
     /*  943634 */   GIM_Try, /*On fail goto*//*Label 14243*/ GIMT_Encode4(943728), // Rule ID 16669 //
     /*  943639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  943650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  943653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  943656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  943670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943686 */     // MIs[1] Operand 1
     /*  943686 */     // No operand predicates
     /*  943686 */     // MIs[0] round
     /*  943686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  943701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943710 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943726 */     GIR_RootConstrainSelectedInstOperands,
     /*  943727 */     // GIR_Coverage, 16669,
     /*  943727 */     GIR_EraseRootFromParent_Done,
     /*  943728 */   // Label 14243: @943728
     /*  943728 */   GIM_Try, /*On fail goto*//*Label 14244*/ GIMT_Encode4(943822), // Rule ID 16672 //
     /*  943733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  943744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  943747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943780 */     // MIs[1] Operand 1
     /*  943780 */     // No operand predicates
     /*  943780 */     // MIs[0] round
     /*  943780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943792 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  943795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943804 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943820 */     GIR_RootConstrainSelectedInstOperands,
     /*  943821 */     // GIR_Coverage, 16672,
     /*  943821 */     GIR_EraseRootFromParent_Done,
     /*  943822 */   // Label 14244: @943822
     /*  943822 */   GIM_Try, /*On fail goto*//*Label 14245*/ GIMT_Encode4(943916), // Rule ID 16673 //
     /*  943827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  943830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  943838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  943841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  943844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  943847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  943850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  943858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943862 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943866 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943870 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943874 */     // MIs[1] Operand 1
     /*  943874 */     // No operand predicates
     /*  943874 */     // MIs[0] round
     /*  943874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  943886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  943889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943898 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  943908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  943911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  943914 */     GIR_RootConstrainSelectedInstOperands,
     /*  943915 */     // GIR_Coverage, 16673,
     /*  943915 */     GIR_EraseRootFromParent_Done,
     /*  943916 */   // Label 14245: @943916
     /*  943916 */   GIM_Try, /*On fail goto*//*Label 14246*/ GIMT_Encode4(944010), // Rule ID 16676 //
     /*  943921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  943924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  943929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  943932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  943935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  943938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  943941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  943944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  943952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  943956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  943960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  943964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  943968 */     // MIs[1] Operand 1
     /*  943968 */     // No operand predicates
     /*  943968 */     // MIs[0] round
     /*  943968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  943971 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  943973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  943980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  943980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  943983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  943985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  943987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  943989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  943992 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  943994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  943999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944008 */     GIR_RootConstrainSelectedInstOperands,
     /*  944009 */     // GIR_Coverage, 16676,
     /*  944009 */     GIR_EraseRootFromParent_Done,
     /*  944010 */   // Label 14246: @944010
     /*  944010 */   GIM_Try, /*On fail goto*//*Label 14247*/ GIMT_Encode4(944104), // Rule ID 16677 //
     /*  944015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  944018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  944026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  944029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  944032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  944035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944062 */     // MIs[1] Operand 1
     /*  944062 */     // No operand predicates
     /*  944062 */     // MIs[0] round
     /*  944062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944074 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  944074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  944077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944102 */     GIR_RootConstrainSelectedInstOperands,
     /*  944103 */     // GIR_Coverage, 16677,
     /*  944103 */     GIR_EraseRootFromParent_Done,
     /*  944104 */   // Label 14247: @944104
     /*  944104 */   GIM_Try, /*On fail goto*//*Label 14248*/ GIMT_Encode4(944198), // Rule ID 16680 //
     /*  944109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  944112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  944126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  944129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944144 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944148 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944152 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944156 */     // MIs[1] Operand 1
     /*  944156 */     // No operand predicates
     /*  944156 */     // MIs[0] round
     /*  944156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944168 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  944168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  944171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944180 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944196 */     GIR_RootConstrainSelectedInstOperands,
     /*  944197 */     // GIR_Coverage, 16680,
     /*  944197 */     GIR_EraseRootFromParent_Done,
     /*  944198 */   // Label 14248: @944198
     /*  944198 */   GIM_Try, /*On fail goto*//*Label 14249*/ GIMT_Encode4(944292), // Rule ID 16681 //
     /*  944203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  944206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  944220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  944223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944250 */     // MIs[1] Operand 1
     /*  944250 */     // No operand predicates
     /*  944250 */     // MIs[0] round
     /*  944250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944253 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  944262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2),
     /*  944265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944271 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944274 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944290 */     GIR_RootConstrainSelectedInstOperands,
     /*  944291 */     // GIR_Coverage, 16681,
     /*  944291 */     GIR_EraseRootFromParent_Done,
     /*  944292 */   // Label 14249: @944292
     /*  944292 */   GIM_Try, /*On fail goto*//*Label 14250*/ GIMT_Encode4(944386), // Rule ID 16684 //
     /*  944297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  944300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  944311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  944314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  944317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944344 */     // MIs[1] Operand 1
     /*  944344 */     // No operand predicates
     /*  944344 */     // MIs[0] round
     /*  944344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944356 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  944356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  944359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944368 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944384 */     GIR_RootConstrainSelectedInstOperands,
     /*  944385 */     // GIR_Coverage, 16684,
     /*  944385 */     GIR_EraseRootFromParent_Done,
     /*  944386 */   // Label 14250: @944386
     /*  944386 */   GIM_Try, /*On fail goto*//*Label 14251*/ GIMT_Encode4(944480), // Rule ID 16685 //
     /*  944391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  944394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  944402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  944405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  944408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  944411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944434 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944438 */     // MIs[1] Operand 1
     /*  944438 */     // No operand predicates
     /*  944438 */     // MIs[0] round
     /*  944438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  944450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1),
     /*  944453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944462 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944478 */     GIR_RootConstrainSelectedInstOperands,
     /*  944479 */     // GIR_Coverage, 16685,
     /*  944479 */     GIR_EraseRootFromParent_Done,
     /*  944480 */   // Label 14251: @944480
     /*  944480 */   GIM_Try, /*On fail goto*//*Label 14252*/ GIMT_Encode4(944574), // Rule ID 16688 //
     /*  944485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  944488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  944502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  944505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944532 */     // MIs[1] Operand 1
     /*  944532 */     // No operand predicates
     /*  944532 */     // MIs[0] round
     /*  944532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  944544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  944547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944572 */     GIR_RootConstrainSelectedInstOperands,
     /*  944573 */     // GIR_Coverage, 16688,
     /*  944573 */     GIR_EraseRootFromParent_Done,
     /*  944574 */   // Label 14252: @944574
     /*  944574 */   GIM_Try, /*On fail goto*//*Label 14253*/ GIMT_Encode4(944668), // Rule ID 16689 //
     /*  944579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  944582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  944590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  944593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  944596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  944599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  944610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944626 */     // MIs[1] Operand 1
     /*  944626 */     // No operand predicates
     /*  944626 */     // MIs[0] round
     /*  944626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  944638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2),
     /*  944641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944650 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944666 */     GIR_RootConstrainSelectedInstOperands,
     /*  944667 */     // GIR_Coverage, 16689,
     /*  944667 */     GIR_EraseRootFromParent_Done,
     /*  944668 */   // Label 14253: @944668
     /*  944668 */   GIM_Try, /*On fail goto*//*Label 14254*/ GIMT_Encode4(944762), // Rule ID 16692 //
     /*  944673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /*  944676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  944690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  944693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944720 */     // MIs[1] Operand 1
     /*  944720 */     // No operand predicates
     /*  944720 */     // MIs[0] round
     /*  944720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944732 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  944732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  944735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944744 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944760 */     GIR_RootConstrainSelectedInstOperands,
     /*  944761 */     // GIR_Coverage, 16692,
     /*  944761 */     GIR_EraseRootFromParent_Done,
     /*  944762 */   // Label 14254: @944762
     /*  944762 */   GIM_Try, /*On fail goto*//*Label 14255*/ GIMT_Encode4(944856), // Rule ID 16693 //
     /*  944767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /*  944770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /*  944775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  944778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  944781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  944784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  944787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  944798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  944802 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  944806 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  944810 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /*  944814 */     // MIs[1] Operand 1
     /*  944814 */     // No operand predicates
     /*  944814 */     // MIs[0] round
     /*  944814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WI_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  944826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4),
     /*  944829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  944833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  944838 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  944848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  944851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /*  944854 */     GIR_RootConstrainSelectedInstOperands,
     /*  944855 */     // GIR_Coverage, 16693,
     /*  944855 */     GIR_EraseRootFromParent_Done,
     /*  944856 */   // Label 14255: @944856
     /*  944856 */   GIM_Try, /*On fail goto*//*Label 14256*/ GIMT_Encode4(944940), // Rule ID 2760 //
     /*  944861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  944864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  944884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944904 */     // MIs[0] round
     /*  944904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944907 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  944916 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  944916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  944919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  944921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  944923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  944925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  944927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  944932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  944935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  944938 */     GIR_RootConstrainSelectedInstOperands,
     /*  944939 */     // GIR_Coverage, 2760,
     /*  944939 */     GIR_EraseRootFromParent_Done,
     /*  944940 */   // Label 14256: @944940
     /*  944940 */   GIM_Try, /*On fail goto*//*Label 14257*/ GIMT_Encode4(945024), // Rule ID 2761 //
     /*  944945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  944948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  944953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  944956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  944959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  944962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  944965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  944968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  944976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  944980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  944988 */     // MIs[0] round
     /*  944988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  944991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  944993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945000 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  945000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  945003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945022 */     GIR_RootConstrainSelectedInstOperands,
     /*  945023 */     // GIR_Coverage, 2761,
     /*  945023 */     GIR_EraseRootFromParent_Done,
     /*  945024 */   // Label 14257: @945024
     /*  945024 */   GIM_Try, /*On fail goto*//*Label 14258*/ GIMT_Encode4(945108), // Rule ID 17140 //
     /*  945029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  945032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  945043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945072 */     // MIs[0] round
     /*  945072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945084 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  945084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  945087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945106 */     GIR_RootConstrainSelectedInstOperands,
     /*  945107 */     // GIR_Coverage, 17140,
     /*  945107 */     GIR_EraseRootFromParent_Done,
     /*  945108 */   // Label 14258: @945108
     /*  945108 */   GIM_Try, /*On fail goto*//*Label 14259*/ GIMT_Encode4(945192), // Rule ID 17141 //
     /*  945113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  945116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  945124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  945127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  945130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  945133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945156 */     // MIs[0] round
     /*  945156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  945168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  945171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945190 */     GIR_RootConstrainSelectedInstOperands,
     /*  945191 */     // GIR_Coverage, 17141,
     /*  945191 */     GIR_EraseRootFromParent_Done,
     /*  945192 */   // Label 14259: @945192
     /*  945192 */   GIM_Try, /*On fail goto*//*Label 14260*/ GIMT_Encode4(945276), // Rule ID 17150 //
     /*  945197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  945200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  945208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  945211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  945214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945240 */     // MIs[0] round
     /*  945240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945252 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  945252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  945255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945274 */     GIR_RootConstrainSelectedInstOperands,
     /*  945275 */     // GIR_Coverage, 17150,
     /*  945275 */     GIR_EraseRootFromParent_Done,
     /*  945276 */   // Label 14260: @945276
     /*  945276 */   GIM_Try, /*On fail goto*//*Label 14261*/ GIMT_Encode4(945360), // Rule ID 17151 //
     /*  945281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  945284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  945292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  945295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  945298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  945301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945324 */     // MIs[0] round
     /*  945324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945336 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  945336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  945339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945358 */     GIR_RootConstrainSelectedInstOperands,
     /*  945359 */     // GIR_Coverage, 17151,
     /*  945359 */     GIR_EraseRootFromParent_Done,
     /*  945360 */   // Label 14261: @945360
     /*  945360 */   GIM_Try, /*On fail goto*//*Label 14262*/ GIMT_Encode4(945444), // Rule ID 17160 //
     /*  945365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  945368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  945376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  945379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  945382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  945385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945408 */     // MIs[0] round
     /*  945408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945420 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  945420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  945423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945442 */     GIR_RootConstrainSelectedInstOperands,
     /*  945443 */     // GIR_Coverage, 17160,
     /*  945443 */     GIR_EraseRootFromParent_Done,
     /*  945444 */   // Label 14262: @945444
     /*  945444 */   GIM_Try, /*On fail goto*//*Label 14263*/ GIMT_Encode4(945528), // Rule ID 17161 //
     /*  945449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  945452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  945460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  945463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  945466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  945469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945492 */     // MIs[0] round
     /*  945492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945504 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  945504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  945507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945526 */     GIR_RootConstrainSelectedInstOperands,
     /*  945527 */     // GIR_Coverage, 17161,
     /*  945527 */     GIR_EraseRootFromParent_Done,
     /*  945528 */   // Label 14263: @945528
     /*  945528 */   GIM_Try, /*On fail goto*//*Label 14264*/ GIMT_Encode4(945612), // Rule ID 17170 //
     /*  945533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  945536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  945544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  945547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  945550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  945553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945560 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945564 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945576 */     // MIs[0] round
     /*  945576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945588 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  945588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  945591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945610 */     GIR_RootConstrainSelectedInstOperands,
     /*  945611 */     // GIR_Coverage, 17170,
     /*  945611 */     GIR_EraseRootFromParent_Done,
     /*  945612 */   // Label 14264: @945612
     /*  945612 */   GIM_Try, /*On fail goto*//*Label 14265*/ GIMT_Encode4(945696), // Rule ID 17171 //
     /*  945617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  945620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  945628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  945631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  945634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  945637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  945656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  945660 */     // MIs[0] round
     /*  945660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945672 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  945672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  945675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  945691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945694 */     GIR_RootConstrainSelectedInstOperands,
     /*  945695 */     // GIR_Coverage, 17171,
     /*  945695 */     GIR_EraseRootFromParent_Done,
     /*  945696 */   // Label 14265: @945696
     /*  945696 */   GIM_Try, /*On fail goto*//*Label 14266*/ GIMT_Encode4(945780), // Rule ID 17180 //
     /*  945701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945744 */     // MIs[0] round
     /*  945744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945756 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  945759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945778 */     GIR_RootConstrainSelectedInstOperands,
     /*  945779 */     // GIR_Coverage, 17180,
     /*  945779 */     GIR_EraseRootFromParent_Done,
     /*  945780 */   // Label 14266: @945780
     /*  945780 */   GIM_Try, /*On fail goto*//*Label 14267*/ GIMT_Encode4(945864), // Rule ID 17181 //
     /*  945785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  945796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  945799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  945802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  945805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945828 */     // MIs[0] round
     /*  945828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945840 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  945840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  945843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945862 */     GIR_RootConstrainSelectedInstOperands,
     /*  945863 */     // GIR_Coverage, 17181,
     /*  945863 */     GIR_EraseRootFromParent_Done,
     /*  945864 */   // Label 14267: @945864
     /*  945864 */   GIM_Try, /*On fail goto*//*Label 14268*/ GIMT_Encode4(945948), // Rule ID 17190 //
     /*  945869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  945872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  945883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  945892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945912 */     // MIs[0] round
     /*  945912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  945917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  945924 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  945924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  945927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  945929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  945931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  945933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  945935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  945940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  945943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  945946 */     GIR_RootConstrainSelectedInstOperands,
     /*  945947 */     // GIR_Coverage, 17190,
     /*  945947 */     GIR_EraseRootFromParent_Done,
     /*  945948 */   // Label 14268: @945948
     /*  945948 */   GIM_Try, /*On fail goto*//*Label 14269*/ GIMT_Encode4(946032), // Rule ID 17191 //
     /*  945953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  945956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  945961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  945964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  945967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  945970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  945973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  945976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  945984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  945988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  945992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  945996 */     // MIs[0] round
     /*  945996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  945999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946008 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  946008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  946011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946030 */     GIR_RootConstrainSelectedInstOperands,
     /*  946031 */     // GIR_Coverage, 17191,
     /*  946031 */     GIR_EraseRootFromParent_Done,
     /*  946032 */   // Label 14269: @946032
     /*  946032 */   GIM_Try, /*On fail goto*//*Label 14270*/ GIMT_Encode4(946116), // Rule ID 17200 //
     /*  946037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  946040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  946045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  946048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  946051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  946054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  946057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946080 */     // MIs[0] round
     /*  946080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946092 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  946092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  946095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946114 */     GIR_RootConstrainSelectedInstOperands,
     /*  946115 */     // GIR_Coverage, 17200,
     /*  946115 */     GIR_EraseRootFromParent_Done,
     /*  946116 */   // Label 14270: @946116
     /*  946116 */   GIM_Try, /*On fail goto*//*Label 14271*/ GIMT_Encode4(946200), // Rule ID 17201 //
     /*  946121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  946124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  946129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  946132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  946135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  946138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  946141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946164 */     // MIs[0] round
     /*  946164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946176 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  946176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  946179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946198 */     GIR_RootConstrainSelectedInstOperands,
     /*  946199 */     // GIR_Coverage, 17201,
     /*  946199 */     GIR_EraseRootFromParent_Done,
     /*  946200 */   // Label 14271: @946200
     /*  946200 */   GIM_Try, /*On fail goto*//*Label 14272*/ GIMT_Encode4(946284), // Rule ID 17210 //
     /*  946205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  946208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  946213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  946216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  946219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  946222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  946225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946248 */     // MIs[0] round
     /*  946248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946260 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  946260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  946263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946282 */     GIR_RootConstrainSelectedInstOperands,
     /*  946283 */     // GIR_Coverage, 17210,
     /*  946283 */     GIR_EraseRootFromParent_Done,
     /*  946284 */   // Label 14272: @946284
     /*  946284 */   GIM_Try, /*On fail goto*//*Label 14273*/ GIMT_Encode4(946368), // Rule ID 17211 //
     /*  946289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  946292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  946297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  946300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  946303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  946306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  946309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  946328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946332 */     // MIs[0] round
     /*  946332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946344 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  946344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  946347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  946363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946366 */     GIR_RootConstrainSelectedInstOperands,
     /*  946367 */     // GIR_Coverage, 17211,
     /*  946367 */     GIR_EraseRootFromParent_Done,
     /*  946368 */   // Label 14273: @946368
     /*  946368 */   GIM_Try, /*On fail goto*//*Label 14274*/ GIMT_Encode4(946452), // Rule ID 17256 //
     /*  946373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  946384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  946387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  946390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  946393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946400 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946404 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946416 */     // MIs[0] round
     /*  946416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946428 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  946431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946450 */     GIR_RootConstrainSelectedInstOperands,
     /*  946451 */     // GIR_Coverage, 17256,
     /*  946451 */     GIR_EraseRootFromParent_Done,
     /*  946452 */   // Label 14274: @946452
     /*  946452 */   GIM_Try, /*On fail goto*//*Label 14275*/ GIMT_Encode4(946536), // Rule ID 17257 //
     /*  946457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  946468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  946471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  946474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  946477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946500 */     // MIs[0] round
     /*  946500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946512 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  946515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946534 */     GIR_RootConstrainSelectedInstOperands,
     /*  946535 */     // GIR_Coverage, 17257,
     /*  946535 */     GIR_EraseRootFromParent_Done,
     /*  946536 */   // Label 14275: @946536
     /*  946536 */   GIM_Try, /*On fail goto*//*Label 14276*/ GIMT_Encode4(946620), // Rule ID 17266 //
     /*  946541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  946555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  946561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946584 */     // MIs[0] round
     /*  946584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946596 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  946599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946618 */     GIR_RootConstrainSelectedInstOperands,
     /*  946619 */     // GIR_Coverage, 17266,
     /*  946619 */     GIR_EraseRootFromParent_Done,
     /*  946620 */   // Label 14276: @946620
     /*  946620 */   GIM_Try, /*On fail goto*//*Label 14277*/ GIMT_Encode4(946704), // Rule ID 17267 //
     /*  946625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  946636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  946639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  946642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  946645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946668 */     // MIs[0] round
     /*  946668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946680 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  946683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946702 */     GIR_RootConstrainSelectedInstOperands,
     /*  946703 */     // GIR_Coverage, 17267,
     /*  946703 */     GIR_EraseRootFromParent_Done,
     /*  946704 */   // Label 14277: @946704
     /*  946704 */   GIM_Try, /*On fail goto*//*Label 14278*/ GIMT_Encode4(946788), // Rule ID 17276 //
     /*  946709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  946720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  946723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  946726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946752 */     // MIs[0] round
     /*  946752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946764 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  946767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946786 */     GIR_RootConstrainSelectedInstOperands,
     /*  946787 */     // GIR_Coverage, 17276,
     /*  946787 */     GIR_EraseRootFromParent_Done,
     /*  946788 */   // Label 14278: @946788
     /*  946788 */   GIM_Try, /*On fail goto*//*Label 14279*/ GIMT_Encode4(946872), // Rule ID 17277 //
     /*  946793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  946804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  946807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  946810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  946813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  946836 */     // MIs[0] round
     /*  946836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946848 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  946848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  946851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946870 */     GIR_RootConstrainSelectedInstOperands,
     /*  946871 */     // GIR_Coverage, 17277,
     /*  946871 */     GIR_EraseRootFromParent_Done,
     /*  946872 */   // Label 14279: @946872
     /*  946872 */   GIM_Try, /*On fail goto*//*Label 14280*/ GIMT_Encode4(946956), // Rule ID 17286 //
     /*  946877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  946880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  946888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  946891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  946894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  946900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  946920 */     // MIs[0] round
     /*  946920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  946923 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  946925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  946932 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  946932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  946935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  946937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  946939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  946941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  946943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  946948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  946951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  946954 */     GIR_RootConstrainSelectedInstOperands,
     /*  946955 */     // GIR_Coverage, 17286,
     /*  946955 */     GIR_EraseRootFromParent_Done,
     /*  946956 */   // Label 14280: @946956
     /*  946956 */   GIM_Try, /*On fail goto*//*Label 14281*/ GIMT_Encode4(947040), // Rule ID 17287 //
     /*  946961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  946964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  946969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  946972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  946975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  946978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  946981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  946984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  946988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  946992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  946996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947004 */     // MIs[0] round
     /*  947004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947016 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  947016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  947019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947038 */     GIR_RootConstrainSelectedInstOperands,
     /*  947039 */     // GIR_Coverage, 17287,
     /*  947039 */     GIR_EraseRootFromParent_Done,
     /*  947040 */   // Label 14281: @947040
     /*  947040 */   GIM_Try, /*On fail goto*//*Label 14282*/ GIMT_Encode4(947124), // Rule ID 17296 //
     /*  947045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  947048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  947056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  947059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  947062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947072 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947076 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947088 */     // MIs[0] round
     /*  947088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947100 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  947100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  947103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947122 */     GIR_RootConstrainSelectedInstOperands,
     /*  947123 */     // GIR_Coverage, 17296,
     /*  947123 */     GIR_EraseRootFromParent_Done,
     /*  947124 */   // Label 14282: @947124
     /*  947124 */   GIM_Try, /*On fail goto*//*Label 14283*/ GIMT_Encode4(947208), // Rule ID 17297 //
     /*  947129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  947132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  947140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  947143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  947146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  947149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947172 */     // MIs[0] round
     /*  947172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  947184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  947187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  947203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947206 */     GIR_RootConstrainSelectedInstOperands,
     /*  947207 */     // GIR_Coverage, 17297,
     /*  947207 */     GIR_EraseRootFromParent_Done,
     /*  947208 */   // Label 14283: @947208
     /*  947208 */   GIM_Try, /*On fail goto*//*Label 14284*/ GIMT_Encode4(947292), // Rule ID 17306 //
     /*  947213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  947216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  947227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  947233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947256 */     // MIs[0] round
     /*  947256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947268 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  947268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  947271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947290 */     GIR_RootConstrainSelectedInstOperands,
     /*  947291 */     // GIR_Coverage, 17306,
     /*  947291 */     GIR_EraseRootFromParent_Done,
     /*  947292 */   // Label 14284: @947292
     /*  947292 */   GIM_Try, /*On fail goto*//*Label 14285*/ GIMT_Encode4(947376), // Rule ID 17307 //
     /*  947297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  947300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  947308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  947311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  947314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  947317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947324 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947328 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947340 */     // MIs[0] round
     /*  947340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947343 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947352 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  947355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947374 */     GIR_RootConstrainSelectedInstOperands,
     /*  947375 */     // GIR_Coverage, 17307,
     /*  947375 */     GIR_EraseRootFromParent_Done,
     /*  947376 */   // Label 14285: @947376
     /*  947376 */   GIM_Try, /*On fail goto*//*Label 14286*/ GIMT_Encode4(947460), // Rule ID 17316 //
     /*  947381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  947384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  947392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  947395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  947398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947424 */     // MIs[0] round
     /*  947424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947436 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  947436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  947439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947458 */     GIR_RootConstrainSelectedInstOperands,
     /*  947459 */     // GIR_Coverage, 17316,
     /*  947459 */     GIR_EraseRootFromParent_Done,
     /*  947460 */   // Label 14286: @947460
     /*  947460 */   GIM_Try, /*On fail goto*//*Label 14287*/ GIMT_Encode4(947544), // Rule ID 17317 //
     /*  947465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  947468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  947476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  947479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  947482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  947485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947508 */     // MIs[0] round
     /*  947508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947520 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  947523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947542 */     GIR_RootConstrainSelectedInstOperands,
     /*  947543 */     // GIR_Coverage, 17317,
     /*  947543 */     GIR_EraseRootFromParent_Done,
     /*  947544 */   // Label 14287: @947544
     /*  947544 */   GIM_Try, /*On fail goto*//*Label 14288*/ GIMT_Encode4(947628), // Rule ID 17326 //
     /*  947549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  947552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  947560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  947563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  947566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  947569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947592 */     // MIs[0] round
     /*  947592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947595 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947604 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  947604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  947607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947626 */     GIR_RootConstrainSelectedInstOperands,
     /*  947627 */     // GIR_Coverage, 17326,
     /*  947627 */     GIR_EraseRootFromParent_Done,
     /*  947628 */   // Label 14288: @947628
     /*  947628 */   GIM_Try, /*On fail goto*//*Label 14289*/ GIMT_Encode4(947712), // Rule ID 17327 //
     /*  947633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  947636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  947644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  947647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  947650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  947653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  947676 */     // MIs[0] round
     /*  947676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947688 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  947691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947710 */     GIR_RootConstrainSelectedInstOperands,
     /*  947711 */     // GIR_Coverage, 17327,
     /*  947711 */     GIR_EraseRootFromParent_Done,
     /*  947712 */   // Label 14289: @947712
     /*  947712 */   GIM_Try, /*On fail goto*//*Label 14290*/ GIMT_Encode4(947796), // Rule ID 17336 //
     /*  947717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  947720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  947734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  947737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947760 */     // MIs[0] round
     /*  947760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947772 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  947772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  947775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947794 */     GIR_RootConstrainSelectedInstOperands,
     /*  947795 */     // GIR_Coverage, 17336,
     /*  947795 */     GIR_EraseRootFromParent_Done,
     /*  947796 */   // Label 14290: @947796
     /*  947796 */   GIM_Try, /*On fail goto*//*Label 14291*/ GIMT_Encode4(947880), // Rule ID 17337 //
     /*  947801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  947804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  947809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  947812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  947815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  947818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  947821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /*  947832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_IMPLICIT_DEF),
     /*  947836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  947840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  947844 */     // MIs[0] round
     /*  947844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  947847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  947849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947856 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11317:{ *:[iPTR] }, (undef:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  947856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  947859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  947863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  947865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  947867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  947875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  947878 */     GIR_RootConstrainSelectedInstOperands,
     /*  947879 */     // GIR_Coverage, 17337,
     /*  947879 */     GIR_EraseRootFromParent_Done,
     /*  947880 */   // Label 14291: @947880
     /*  947880 */   GIM_Try, /*On fail goto*//*Label 14292*/ GIMT_Encode4(947962), // Rule ID 62831 //
     /*  947885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  947888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  947905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  947908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947912 */     // MIs[0] op1
     /*  947912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947915 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  947920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  947932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  947939 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  947939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  947942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  947944 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  947946 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  947948 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  947950 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  947952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  947957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  947960 */     GIR_RootConstrainSelectedInstOperands,
     /*  947961 */     // GIR_Coverage, 62831,
     /*  947961 */     GIR_EraseRootFromParent_Done,
     /*  947962 */   // Label 14292: @947962
     /*  947962 */   GIM_Try, /*On fail goto*//*Label 14293*/ GIMT_Encode4(948044), // Rule ID 62832 //
     /*  947967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  947970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  947975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  947978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  947981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  947984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  947987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  947990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  947994 */     // MIs[0] op1
     /*  947994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  947997 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948021 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF8),
     /*  948024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948026 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948028 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948030 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948032 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948042 */     GIR_RootConstrainSelectedInstOperands,
     /*  948043 */     // GIR_Coverage, 62832,
     /*  948043 */     GIR_EraseRootFromParent_Done,
     /*  948044 */   // Label 14293: @948044
     /*  948044 */   GIM_Try, /*On fail goto*//*Label 14294*/ GIMT_Encode4(948126), // Rule ID 62861 //
     /*  948049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  948060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  948063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  948066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  948069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948076 */     // MIs[0] op1
     /*  948076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948079 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948103 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  948106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948108 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948110 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948112 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948114 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948124 */     GIR_RootConstrainSelectedInstOperands,
     /*  948125 */     // GIR_Coverage, 62861,
     /*  948125 */     GIR_EraseRootFromParent_Done,
     /*  948126 */   // Label 14294: @948126
     /*  948126 */   GIM_Try, /*On fail goto*//*Label 14295*/ GIMT_Encode4(948208), // Rule ID 62862 //
     /*  948131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  948142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  948145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  948148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  948151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948158 */     // MIs[0] op1
     /*  948158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948161 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948185 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF8:{ *:[nxv1i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i8] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF8),
     /*  948188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948190 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948192 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948194 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948196 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948206 */     GIR_RootConstrainSelectedInstOperands,
     /*  948207 */     // GIR_Coverage, 62862,
     /*  948207 */     GIR_EraseRootFromParent_Done,
     /*  948208 */   // Label 14295: @948208
     /*  948208 */   GIM_Try, /*On fail goto*//*Label 14296*/ GIMT_Encode4(948290), // Rule ID 62893 //
     /*  948213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  948224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  948227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  948230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948240 */     // MIs[0] op1
     /*  948240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948243 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948267 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  948270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948272 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948274 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948276 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948278 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948288 */     GIR_RootConstrainSelectedInstOperands,
     /*  948289 */     // GIR_Coverage, 62893,
     /*  948289 */     GIR_EraseRootFromParent_Done,
     /*  948290 */   // Label 14296: @948290
     /*  948290 */   GIM_Try, /*On fail goto*//*Label 14297*/ GIMT_Encode4(948372), // Rule ID 62894 //
     /*  948295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  948306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  948309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  948312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948322 */     // MIs[0] op1
     /*  948322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948325 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  948352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948354 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948356 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948358 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948360 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948370 */     GIR_RootConstrainSelectedInstOperands,
     /*  948371 */     // GIR_Coverage, 62894,
     /*  948371 */     GIR_EraseRootFromParent_Done,
     /*  948372 */   // Label 14297: @948372
     /*  948372 */   GIM_Try, /*On fail goto*//*Label 14298*/ GIMT_Encode4(948454), // Rule ID 62905 //
     /*  948377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  948388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  948391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  948394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  948397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948404 */     // MIs[0] op1
     /*  948404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948407 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948431 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  948434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948436 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948438 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948440 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948442 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948452 */     GIR_RootConstrainSelectedInstOperands,
     /*  948453 */     // GIR_Coverage, 62905,
     /*  948453 */     GIR_EraseRootFromParent_Done,
     /*  948454 */   // Label 14298: @948454
     /*  948454 */   GIM_Try, /*On fail goto*//*Label 14299*/ GIMT_Encode4(948536), // Rule ID 62906 //
     /*  948459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  948470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  948473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  948476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  948479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948486 */     // MIs[0] op1
     /*  948486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948489 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948513 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv2i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i8] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  948516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948518 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948520 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948522 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948524 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948534 */     GIR_RootConstrainSelectedInstOperands,
     /*  948535 */     // GIR_Coverage, 62906,
     /*  948535 */     GIR_EraseRootFromParent_Done,
     /*  948536 */   // Label 14299: @948536
     /*  948536 */   GIM_Try, /*On fail goto*//*Label 14300*/ GIMT_Encode4(948618), // Rule ID 62937 //
     /*  948541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948568 */     // MIs[0] op1
     /*  948568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948571 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948595 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  948598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948600 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948602 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948604 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948606 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948616 */     GIR_RootConstrainSelectedInstOperands,
     /*  948617 */     // GIR_Coverage, 62937,
     /*  948617 */     GIR_EraseRootFromParent_Done,
     /*  948618 */   // Label 14300: @948618
     /*  948618 */   GIM_Try, /*On fail goto*//*Label 14301*/ GIMT_Encode4(948700), // Rule ID 62938 //
     /*  948623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948650 */     // MIs[0] op1
     /*  948650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948653 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948677 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  948680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948682 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948684 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948686 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948688 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948698 */     GIR_RootConstrainSelectedInstOperands,
     /*  948699 */     // GIR_Coverage, 62938,
     /*  948699 */     GIR_EraseRootFromParent_Done,
     /*  948700 */   // Label 14301: @948700
     /*  948700 */   GIM_Try, /*On fail goto*//*Label 14302*/ GIMT_Encode4(948782), // Rule ID 62949 //
     /*  948705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  948725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948732 */     // MIs[0] op1
     /*  948732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948735 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948759 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  948759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  948762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948764 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948766 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948768 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948770 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948780 */     GIR_RootConstrainSelectedInstOperands,
     /*  948781 */     // GIR_Coverage, 62949,
     /*  948781 */     GIR_EraseRootFromParent_Done,
     /*  948782 */   // Label 14302: @948782
     /*  948782 */   GIM_Try, /*On fail goto*//*Label 14303*/ GIMT_Encode4(948864), // Rule ID 62950 //
     /*  948787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  948795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  948798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  948801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  948804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  948807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948814 */     // MIs[0] op1
     /*  948814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948817 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948841 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv4i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i8] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  948841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  948844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948846 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948848 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948850 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948852 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  948862 */     GIR_RootConstrainSelectedInstOperands,
     /*  948863 */     // GIR_Coverage, 62950,
     /*  948863 */     GIR_EraseRootFromParent_Done,
     /*  948864 */   // Label 14303: @948864
     /*  948864 */   GIM_Try, /*On fail goto*//*Label 14304*/ GIMT_Encode4(948946), // Rule ID 62981 //
     /*  948869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  948872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  948889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  948892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948896 */     // MIs[0] op1
     /*  948896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948899 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  948923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  948923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  948926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  948928 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  948930 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  948932 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  948934 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  948936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  948941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  948944 */     GIR_RootConstrainSelectedInstOperands,
     /*  948945 */     // GIR_Coverage, 62981,
     /*  948945 */     GIR_EraseRootFromParent_Done,
     /*  948946 */   // Label 14304: @948946
     /*  948946 */   GIM_Try, /*On fail goto*//*Label 14305*/ GIMT_Encode4(949028), // Rule ID 62982 //
     /*  948951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  948954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  948959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  948962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  948965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  948968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  948971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  948974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948978 */     // MIs[0] op1
     /*  948978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  948981 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  948986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  948994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  948998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949005 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF4),
     /*  949008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949010 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949012 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949014 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949016 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949026 */     GIR_RootConstrainSelectedInstOperands,
     /*  949027 */     // GIR_Coverage, 62982,
     /*  949027 */     GIR_EraseRootFromParent_Done,
     /*  949028 */   // Label 14305: @949028
     /*  949028 */   GIM_Try, /*On fail goto*//*Label 14306*/ GIMT_Encode4(949110), // Rule ID 62993 //
     /*  949033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  949044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  949047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  949050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  949053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949060 */     // MIs[0] op1
     /*  949060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949063 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949087 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  949090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949092 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949094 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949096 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949098 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949108 */     GIR_RootConstrainSelectedInstOperands,
     /*  949109 */     // GIR_Coverage, 62993,
     /*  949109 */     GIR_EraseRootFromParent_Done,
     /*  949110 */   // Label 14306: @949110
     /*  949110 */   GIM_Try, /*On fail goto*//*Label 14307*/ GIMT_Encode4(949192), // Rule ID 62994 //
     /*  949115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  949126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  949129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  949132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  949135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949142 */     // MIs[0] op1
     /*  949142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949145 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949169 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF4),
     /*  949172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949174 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949176 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949178 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949180 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949190 */     GIR_RootConstrainSelectedInstOperands,
     /*  949191 */     // GIR_Coverage, 62994,
     /*  949191 */     GIR_EraseRootFromParent_Done,
     /*  949192 */   // Label 14307: @949192
     /*  949192 */   GIM_Try, /*On fail goto*//*Label 14308*/ GIMT_Encode4(949274), // Rule ID 63005 //
     /*  949197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  949208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  949211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  949214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949224 */     // MIs[0] op1
     /*  949224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949227 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949251 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  949254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949256 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949258 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949260 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949262 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949272 */     GIR_RootConstrainSelectedInstOperands,
     /*  949273 */     // GIR_Coverage, 63005,
     /*  949273 */     GIR_EraseRootFromParent_Done,
     /*  949274 */   // Label 14308: @949274
     /*  949274 */   GIM_Try, /*On fail goto*//*Label 14309*/ GIMT_Encode4(949356), // Rule ID 63006 //
     /*  949279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  949290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  949293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  949296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949306 */     // MIs[0] op1
     /*  949306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949309 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949333 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF4:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF4),
     /*  949336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949338 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949340 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949342 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949344 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949354 */     GIR_RootConstrainSelectedInstOperands,
     /*  949355 */     // GIR_Coverage, 63006,
     /*  949355 */     GIR_EraseRootFromParent_Done,
     /*  949356 */   // Label 14309: @949356
     /*  949356 */   GIM_Try, /*On fail goto*//*Label 14310*/ GIMT_Encode4(949438), // Rule ID 63037 //
     /*  949361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949388 */     // MIs[0] op1
     /*  949388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949391 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949415 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949420 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949422 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949424 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949426 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949436 */     GIR_RootConstrainSelectedInstOperands,
     /*  949437 */     // GIR_Coverage, 63037,
     /*  949437 */     GIR_EraseRootFromParent_Done,
     /*  949438 */   // Label 14310: @949438
     /*  949438 */   GIM_Try, /*On fail goto*//*Label 14311*/ GIMT_Encode4(949520), // Rule ID 63038 //
     /*  949443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949470 */     // MIs[0] op1
     /*  949470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949473 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949497 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949502 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949504 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949506 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949508 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949518 */     GIR_RootConstrainSelectedInstOperands,
     /*  949519 */     // GIR_Coverage, 63038,
     /*  949519 */     GIR_EraseRootFromParent_Done,
     /*  949520 */   // Label 14311: @949520
     /*  949520 */   GIM_Try, /*On fail goto*//*Label 14312*/ GIMT_Encode4(949602), // Rule ID 63049 //
     /*  949525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  949545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949552 */     // MIs[0] op1
     /*  949552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949555 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949579 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  949582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949584 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949586 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949588 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949590 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949600 */     GIR_RootConstrainSelectedInstOperands,
     /*  949601 */     // GIR_Coverage, 63049,
     /*  949601 */     GIR_EraseRootFromParent_Done,
     /*  949602 */   // Label 14312: @949602
     /*  949602 */   GIM_Try, /*On fail goto*//*Label 14313*/ GIMT_Encode4(949684), // Rule ID 63050 //
     /*  949607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  949615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  949627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949634 */     // MIs[0] op1
     /*  949634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949637 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949661 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  949664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949666 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949668 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949670 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949672 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949682 */     GIR_RootConstrainSelectedInstOperands,
     /*  949683 */     // GIR_Coverage, 63050,
     /*  949683 */     GIR_EraseRootFromParent_Done,
     /*  949684 */   // Label 14313: @949684
     /*  949684 */   GIM_Try, /*On fail goto*//*Label 14314*/ GIMT_Encode4(949766), // Rule ID 63061 //
     /*  949689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949716 */     // MIs[0] op1
     /*  949716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949719 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949743 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  949743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  949746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949748 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949750 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949752 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949754 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949764 */     GIR_RootConstrainSelectedInstOperands,
     /*  949765 */     // GIR_Coverage, 63061,
     /*  949765 */     GIR_EraseRootFromParent_Done,
     /*  949766 */   // Label 14314: @949766
     /*  949766 */   GIM_Try, /*On fail goto*//*Label 14315*/ GIMT_Encode4(949848), // Rule ID 63062 //
     /*  949771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  949779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  949782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  949785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  949788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  949791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949798 */     // MIs[0] op1
     /*  949798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949801 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  949806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  949818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949825 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_MF2:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  949825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_MF2),
     /*  949828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949830 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949832 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949834 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949836 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  949846 */     GIR_RootConstrainSelectedInstOperands,
     /*  949847 */     // GIR_Coverage, 63062,
     /*  949847 */     GIR_EraseRootFromParent_Done,
     /*  949848 */   // Label 14315: @949848
     /*  949848 */   GIM_Try, /*On fail goto*//*Label 14316*/ GIMT_Encode4(949930), // Rule ID 63093 //
     /*  949853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  949856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  949873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  949876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949880 */     // MIs[0] op1
     /*  949880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949883 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949907 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  949907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949912 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949914 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949916 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  949918 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  949920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  949925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  949928 */     GIR_RootConstrainSelectedInstOperands,
     /*  949929 */     // GIR_Coverage, 63093,
     /*  949929 */     GIR_EraseRootFromParent_Done,
     /*  949930 */   // Label 14316: @949930
     /*  949930 */   GIM_Try, /*On fail goto*//*Label 14317*/ GIMT_Encode4(950012), // Rule ID 63094 //
     /*  949935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  949938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  949943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  949946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  949949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  949952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  949955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  949958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949962 */     // MIs[0] op1
     /*  949962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  949965 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  949970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  949978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  949982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  949989 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  949989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_MF2),
     /*  949992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  949994 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  949996 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  949998 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950000 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950010 */     GIR_RootConstrainSelectedInstOperands,
     /*  950011 */     // GIR_Coverage, 63094,
     /*  950011 */     GIR_EraseRootFromParent_Done,
     /*  950012 */   // Label 14317: @950012
     /*  950012 */   GIM_Try, /*On fail goto*//*Label 14318*/ GIMT_Encode4(950094), // Rule ID 63105 //
     /*  950017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  950028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  950031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  950034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  950037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950044 */     // MIs[0] op1
     /*  950044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950047 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  950074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950076 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950078 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950080 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950082 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950092 */     GIR_RootConstrainSelectedInstOperands,
     /*  950093 */     // GIR_Coverage, 63105,
     /*  950093 */     GIR_EraseRootFromParent_Done,
     /*  950094 */   // Label 14318: @950094
     /*  950094 */   GIM_Try, /*On fail goto*//*Label 14319*/ GIMT_Encode4(950176), // Rule ID 63106 //
     /*  950099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  950110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  950113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  950116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  950119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950126 */     // MIs[0] op1
     /*  950126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950129 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950153 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_MF2),
     /*  950156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950158 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950160 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950162 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950164 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950174 */     GIR_RootConstrainSelectedInstOperands,
     /*  950175 */     // GIR_Coverage, 63106,
     /*  950175 */     GIR_EraseRootFromParent_Done,
     /*  950176 */   // Label 14319: @950176
     /*  950176 */   GIM_Try, /*On fail goto*//*Label 14320*/ GIMT_Encode4(950258), // Rule ID 63117 //
     /*  950181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  950192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  950195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  950198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950208 */     // MIs[0] op1
     /*  950208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950211 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950235 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  950235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  950238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950240 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950242 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950244 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950246 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950256 */     GIR_RootConstrainSelectedInstOperands,
     /*  950257 */     // GIR_Coverage, 63117,
     /*  950257 */     GIR_EraseRootFromParent_Done,
     /*  950258 */   // Label 14320: @950258
     /*  950258 */   GIM_Try, /*On fail goto*//*Label 14321*/ GIMT_Encode4(950340), // Rule ID 63118 //
     /*  950263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  950271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  950274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  950277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  950280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950290 */     // MIs[0] op1
     /*  950290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950293 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  950298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  950310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950317 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_MF2:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  950317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_MF2),
     /*  950320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950322 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950324 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950326 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950328 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  950338 */     GIR_RootConstrainSelectedInstOperands,
     /*  950339 */     // GIR_Coverage, 63118,
     /*  950339 */     GIR_EraseRootFromParent_Done,
     /*  950340 */   // Label 14321: @950340
     /*  950340 */   GIM_Try, /*On fail goto*//*Label 14322*/ GIMT_Encode4(950422), // Rule ID 63149 //
     /*  950345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  950356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  950359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  950362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950372 */     // MIs[0] op1
     /*  950372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950375 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950399 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  950399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950404 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950406 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950408 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950410 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950420 */     GIR_RootConstrainSelectedInstOperands,
     /*  950421 */     // GIR_Coverage, 63149,
     /*  950421 */     GIR_EraseRootFromParent_Done,
     /*  950422 */   // Label 14322: @950422
     /*  950422 */   GIM_Try, /*On fail goto*//*Label 14323*/ GIMT_Encode4(950504), // Rule ID 63150 //
     /*  950427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  950438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  950441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  950444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950454 */     // MIs[0] op1
     /*  950454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950457 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950481 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  950481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950486 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950488 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950490 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950492 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950502 */     GIR_RootConstrainSelectedInstOperands,
     /*  950503 */     // GIR_Coverage, 63150,
     /*  950503 */     GIR_EraseRootFromParent_Done,
     /*  950504 */   // Label 14323: @950504
     /*  950504 */   GIM_Try, /*On fail goto*//*Label 14324*/ GIMT_Encode4(950586), // Rule ID 63161 //
     /*  950509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  950520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  950523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  950526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  950529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950536 */     // MIs[0] op1
     /*  950536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950539 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950563 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  950563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950568 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950570 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950572 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950574 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950584 */     GIR_RootConstrainSelectedInstOperands,
     /*  950585 */     // GIR_Coverage, 63161,
     /*  950585 */     GIR_EraseRootFromParent_Done,
     /*  950586 */   // Label 14324: @950586
     /*  950586 */   GIM_Try, /*On fail goto*//*Label 14325*/ GIMT_Encode4(950668), // Rule ID 63162 //
     /*  950591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  950602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  950605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  950608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  950611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950618 */     // MIs[0] op1
     /*  950618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950621 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950645 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv8i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv8i8] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  950645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950650 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950652 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950654 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950656 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  950666 */     GIR_RootConstrainSelectedInstOperands,
     /*  950667 */     // GIR_Coverage, 63162,
     /*  950667 */     GIR_EraseRootFromParent_Done,
     /*  950668 */   // Label 14325: @950668
     /*  950668 */   GIM_Try, /*On fail goto*//*Label 14326*/ GIMT_Encode4(950750), // Rule ID 63193 //
     /*  950673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  950693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950700 */     // MIs[0] op1
     /*  950700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950703 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950727 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950732 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950734 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950736 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950738 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950748 */     GIR_RootConstrainSelectedInstOperands,
     /*  950749 */     // GIR_Coverage, 63193,
     /*  950749 */     GIR_EraseRootFromParent_Done,
     /*  950750 */   // Label 14326: @950750
     /*  950750 */   GIM_Try, /*On fail goto*//*Label 14327*/ GIMT_Encode4(950832), // Rule ID 63194 //
     /*  950755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  950763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  950775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950782 */     // MIs[0] op1
     /*  950782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950785 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  950802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950809 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  950812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950814 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950816 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950818 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950820 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950830 */     GIR_RootConstrainSelectedInstOperands,
     /*  950831 */     // GIR_Coverage, 63194,
     /*  950831 */     GIR_EraseRootFromParent_Done,
     /*  950832 */   // Label 14327: @950832
     /*  950832 */   GIM_Try, /*On fail goto*//*Label 14328*/ GIMT_Encode4(950914), // Rule ID 63205 //
     /*  950837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  950840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  950857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  950860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950864 */     // MIs[0] op1
     /*  950864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950867 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950891 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  950891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950896 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950898 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950900 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950902 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950912 */     GIR_RootConstrainSelectedInstOperands,
     /*  950913 */     // GIR_Coverage, 63205,
     /*  950913 */     GIR_EraseRootFromParent_Done,
     /*  950914 */   // Label 14328: @950914
     /*  950914 */   GIM_Try, /*On fail goto*//*Label 14329*/ GIMT_Encode4(950996), // Rule ID 63206 //
     /*  950919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  950922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  950927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  950930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  950933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  950936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  950939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  950942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950946 */     // MIs[0] op1
     /*  950946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  950949 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  950954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  950966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  950973 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  950973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  950976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  950978 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  950980 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  950982 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  950984 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  950986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  950991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  950994 */     GIR_RootConstrainSelectedInstOperands,
     /*  950995 */     // GIR_Coverage, 63206,
     /*  950995 */     GIR_EraseRootFromParent_Done,
     /*  950996 */   // Label 14329: @950996
     /*  950996 */   GIM_Try, /*On fail goto*//*Label 14330*/ GIMT_Encode4(951078), // Rule ID 63217 //
     /*  951001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  951012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  951015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  951018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  951021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951028 */     // MIs[0] op1
     /*  951028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951031 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  951048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  951055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  951058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951060 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951062 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951064 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951066 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951076 */     GIR_RootConstrainSelectedInstOperands,
     /*  951077 */     // GIR_Coverage, 63217,
     /*  951077 */     GIR_EraseRootFromParent_Done,
     /*  951078 */   // Label 14330: @951078
     /*  951078 */   GIM_Try, /*On fail goto*//*Label 14331*/ GIMT_Encode4(951160), // Rule ID 63218 //
     /*  951083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  951094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  951097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  951100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  951103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951110 */     // MIs[0] op1
     /*  951110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951113 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  951130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951137 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M1:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  951137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M1),
     /*  951140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951142 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951144 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951146 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951148 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  951158 */     GIR_RootConstrainSelectedInstOperands,
     /*  951159 */     // GIR_Coverage, 63218,
     /*  951159 */     GIR_EraseRootFromParent_Done,
     /*  951160 */   // Label 14331: @951160
     /*  951160 */   GIM_Try, /*On fail goto*//*Label 14332*/ GIMT_Encode4(951242), // Rule ID 63249 //
     /*  951165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  951179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951192 */     // MIs[0] op1
     /*  951192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951195 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951219 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  951222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951224 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951226 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951228 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951230 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951240 */     GIR_RootConstrainSelectedInstOperands,
     /*  951241 */     // GIR_Coverage, 63249,
     /*  951241 */     GIR_EraseRootFromParent_Done,
     /*  951242 */   // Label 14332: @951242
     /*  951242 */   GIM_Try, /*On fail goto*//*Label 14333*/ GIMT_Encode4(951324), // Rule ID 63250 //
     /*  951247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  951261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951274 */     // MIs[0] op1
     /*  951274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951277 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951301 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  951304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951306 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951308 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951310 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951312 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951322 */     GIR_RootConstrainSelectedInstOperands,
     /*  951323 */     // GIR_Coverage, 63250,
     /*  951323 */     GIR_EraseRootFromParent_Done,
     /*  951324 */   // Label 14333: @951324
     /*  951324 */   GIM_Try, /*On fail goto*//*Label 14334*/ GIMT_Encode4(951406), // Rule ID 63261 //
     /*  951329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  951343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  951349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951356 */     // MIs[0] op1
     /*  951356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951359 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951383 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  951386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951388 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951390 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951392 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951394 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951404 */     GIR_RootConstrainSelectedInstOperands,
     /*  951405 */     // GIR_Coverage, 63261,
     /*  951405 */     GIR_EraseRootFromParent_Done,
     /*  951406 */   // Label 14334: @951406
     /*  951406 */   GIM_Try, /*On fail goto*//*Label 14335*/ GIMT_Encode4(951488), // Rule ID 63262 //
     /*  951411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  951425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  951431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951438 */     // MIs[0] op1
     /*  951438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951441 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951465 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  951468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951470 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951472 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951474 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951476 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951486 */     GIR_RootConstrainSelectedInstOperands,
     /*  951487 */     // GIR_Coverage, 63262,
     /*  951487 */     GIR_EraseRootFromParent_Done,
     /*  951488 */   // Label 14335: @951488
     /*  951488 */   GIM_Try, /*On fail goto*//*Label 14336*/ GIMT_Encode4(951570), // Rule ID 63273 //
     /*  951493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  951507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951520 */     // MIs[0] op1
     /*  951520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951523 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951547 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  951547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  951550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951552 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951554 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951556 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951558 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951568 */     GIR_RootConstrainSelectedInstOperands,
     /*  951569 */     // GIR_Coverage, 63273,
     /*  951569 */     GIR_EraseRootFromParent_Done,
     /*  951570 */   // Label 14336: @951570
     /*  951570 */   GIM_Try, /*On fail goto*//*Label 14337*/ GIMT_Encode4(951652), // Rule ID 63274 //
     /*  951575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  951586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  951589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  951592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951602 */     // MIs[0] op1
     /*  951602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951605 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  951610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  951622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951629 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M1:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  951629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M1),
     /*  951632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951634 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951636 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951638 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951640 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  951650 */     GIR_RootConstrainSelectedInstOperands,
     /*  951651 */     // GIR_Coverage, 63274,
     /*  951651 */     GIR_EraseRootFromParent_Done,
     /*  951652 */   // Label 14337: @951652
     /*  951652 */   GIM_Try, /*On fail goto*//*Label 14338*/ GIMT_Encode4(951734), // Rule ID 63305 //
     /*  951657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  951677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951684 */     // MIs[0] op1
     /*  951684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951687 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  951714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951716 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951718 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951720 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951722 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951732 */     GIR_RootConstrainSelectedInstOperands,
     /*  951733 */     // GIR_Coverage, 63305,
     /*  951733 */     GIR_EraseRootFromParent_Done,
     /*  951734 */   // Label 14338: @951734
     /*  951734 */   GIM_Try, /*On fail goto*//*Label 14339*/ GIMT_Encode4(951816), // Rule ID 63306 //
     /*  951739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  951747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  951759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951766 */     // MIs[0] op1
     /*  951766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951769 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  951786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M1),
     /*  951796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951798 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951800 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951802 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951804 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951814 */     GIR_RootConstrainSelectedInstOperands,
     /*  951815 */     // GIR_Coverage, 63306,
     /*  951815 */     GIR_EraseRootFromParent_Done,
     /*  951816 */   // Label 14339: @951816
     /*  951816 */   GIM_Try, /*On fail goto*//*Label 14340*/ GIMT_Encode4(951898), // Rule ID 63317 //
     /*  951821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  951841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  951844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951848 */     // MIs[0] op1
     /*  951848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951851 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951875 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  951875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  951878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951880 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951882 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951884 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951886 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951896 */     GIR_RootConstrainSelectedInstOperands,
     /*  951897 */     // GIR_Coverage, 63317,
     /*  951897 */     GIR_EraseRootFromParent_Done,
     /*  951898 */   // Label 14340: @951898
     /*  951898 */   GIM_Try, /*On fail goto*//*Label 14341*/ GIMT_Encode4(951980), // Rule ID 63318 //
     /*  951903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  951906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  951911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  951920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s64,
     /*  951923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  951926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951930 */     // MIs[0] op1
     /*  951930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  951933 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  951938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  951950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  951957 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, VR:{ *:[nxv1i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  951957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M1),
     /*  951960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  951962 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  951964 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  951966 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  951968 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  951970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  951975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  951978 */     GIR_RootConstrainSelectedInstOperands,
     /*  951979 */     // GIR_Coverage, 63318,
     /*  951979 */     GIR_EraseRootFromParent_Done,
     /*  951980 */   // Label 14341: @951980
     /*  951980 */   GIM_Try, /*On fail goto*//*Label 14342*/ GIMT_Encode4(952062), // Rule ID 63329 //
     /*  951985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  951988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  951993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  951996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  951999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  952002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952012 */     // MIs[0] op1
     /*  952012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952015 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952039 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  952039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  952042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952044 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952046 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952048 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952050 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952060 */     GIR_RootConstrainSelectedInstOperands,
     /*  952061 */     // GIR_Coverage, 63329,
     /*  952061 */     GIR_EraseRootFromParent_Done,
     /*  952062 */   // Label 14342: @952062
     /*  952062 */   GIM_Try, /*On fail goto*//*Label 14343*/ GIMT_Encode4(952144), // Rule ID 63330 //
     /*  952067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  952075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  952078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  952081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /*  952084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952094 */     // MIs[0] op1
     /*  952094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952097 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  952102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  952110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  952114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952121 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M1:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  952121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M1),
     /*  952124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952126 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952128 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952130 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952132 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  952142 */     GIR_RootConstrainSelectedInstOperands,
     /*  952143 */     // GIR_Coverage, 63330,
     /*  952143 */     GIR_EraseRootFromParent_Done,
     /*  952144 */   // Label 14343: @952144
     /*  952144 */   GIM_Try, /*On fail goto*//*Label 14344*/ GIMT_Encode4(952226), // Rule ID 63361 //
     /*  952149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  952160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  952163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  952166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952176 */     // MIs[0] op1
     /*  952176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952179 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952203 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  952206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952208 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952210 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952212 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952214 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952224 */     GIR_RootConstrainSelectedInstOperands,
     /*  952225 */     // GIR_Coverage, 63361,
     /*  952225 */     GIR_EraseRootFromParent_Done,
     /*  952226 */   // Label 14344: @952226
     /*  952226 */   GIM_Try, /*On fail goto*//*Label 14345*/ GIMT_Encode4(952308), // Rule ID 63362 //
     /*  952231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  952242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  952245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  952248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952258 */     // MIs[0] op1
     /*  952258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952261 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952285 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  952288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952290 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952292 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952294 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952296 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952306 */     GIR_RootConstrainSelectedInstOperands,
     /*  952307 */     // GIR_Coverage, 63362,
     /*  952307 */     GIR_EraseRootFromParent_Done,
     /*  952308 */   // Label 14345: @952308
     /*  952308 */   GIM_Try, /*On fail goto*//*Label 14346*/ GIMT_Encode4(952390), // Rule ID 63373 //
     /*  952313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  952324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  952327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  952330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  952333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952340 */     // MIs[0] op1
     /*  952340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952343 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952367 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  952370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952372 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952374 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952376 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952378 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952388 */     GIR_RootConstrainSelectedInstOperands,
     /*  952389 */     // GIR_Coverage, 63373,
     /*  952389 */     GIR_EraseRootFromParent_Done,
     /*  952390 */   // Label 14346: @952390
     /*  952390 */   GIM_Try, /*On fail goto*//*Label 14347*/ GIMT_Encode4(952472), // Rule ID 63374 //
     /*  952395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  952406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  952409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  952412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  952415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952422 */     // MIs[0] op1
     /*  952422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952425 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  952442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952449 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv16i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv16i8] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  952452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952454 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952456 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952458 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952460 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952470 */     GIR_RootConstrainSelectedInstOperands,
     /*  952471 */     // GIR_Coverage, 63374,
     /*  952471 */     GIR_EraseRootFromParent_Done,
     /*  952472 */   // Label 14347: @952472
     /*  952472 */   GIM_Try, /*On fail goto*//*Label 14348*/ GIMT_Encode4(952554), // Rule ID 63405 //
     /*  952477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952504 */     // MIs[0] op1
     /*  952504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952507 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952531 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  952534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952536 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952538 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952540 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952542 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952552 */     GIR_RootConstrainSelectedInstOperands,
     /*  952553 */     // GIR_Coverage, 63405,
     /*  952553 */     GIR_EraseRootFromParent_Done,
     /*  952554 */   // Label 14348: @952554
     /*  952554 */   GIM_Try, /*On fail goto*//*Label 14349*/ GIMT_Encode4(952636), // Rule ID 63406 //
     /*  952559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952586 */     // MIs[0] op1
     /*  952586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952589 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952613 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  952616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952618 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952620 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952622 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952624 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952634 */     GIR_RootConstrainSelectedInstOperands,
     /*  952635 */     // GIR_Coverage, 63406,
     /*  952635 */     GIR_EraseRootFromParent_Done,
     /*  952636 */   // Label 14349: @952636
     /*  952636 */   GIM_Try, /*On fail goto*//*Label 14350*/ GIMT_Encode4(952718), // Rule ID 63417 //
     /*  952641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  952661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952668 */     // MIs[0] op1
     /*  952668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952671 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952695 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  952698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952700 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952702 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952704 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952706 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952716 */     GIR_RootConstrainSelectedInstOperands,
     /*  952717 */     // GIR_Coverage, 63417,
     /*  952717 */     GIR_EraseRootFromParent_Done,
     /*  952718 */   // Label 14350: @952718
     /*  952718 */   GIM_Try, /*On fail goto*//*Label 14351*/ GIMT_Encode4(952800), // Rule ID 63418 //
     /*  952723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  952734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  952737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  952740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  952743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952750 */     // MIs[0] op1
     /*  952750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952753 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  952770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952777 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv32i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv32i8] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  952780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952782 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952784 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952786 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952788 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952798 */     GIR_RootConstrainSelectedInstOperands,
     /*  952799 */     // GIR_Coverage, 63418,
     /*  952799 */     GIR_EraseRootFromParent_Done,
     /*  952800 */   // Label 14351: @952800
     /*  952800 */   GIM_Try, /*On fail goto*//*Label 14352*/ GIMT_Encode4(952882), // Rule ID 63449 //
     /*  952805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  952825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952832 */     // MIs[0] op1
     /*  952832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952835 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952859 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  952859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952864 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952866 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952868 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952870 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952880 */     GIR_RootConstrainSelectedInstOperands,
     /*  952881 */     // GIR_Coverage, 63449,
     /*  952881 */     GIR_EraseRootFromParent_Done,
     /*  952882 */   // Label 14352: @952882
     /*  952882 */   GIM_Try, /*On fail goto*//*Label 14353*/ GIMT_Encode4(952964), // Rule ID 63450 //
     /*  952887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  952890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  952895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  952907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  952910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952914 */     // MIs[0] op1
     /*  952914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952917 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  952922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  952934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  952941 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  952941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  952944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  952946 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  952948 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  952950 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  952952 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  952954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  952959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  952962 */     GIR_RootConstrainSelectedInstOperands,
     /*  952963 */     // GIR_Coverage, 63450,
     /*  952963 */     GIR_EraseRootFromParent_Done,
     /*  952964 */   // Label 14353: @952964
     /*  952964 */   GIM_Try, /*On fail goto*//*Label 14354*/ GIMT_Encode4(953046), // Rule ID 63461 //
     /*  952969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  952972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  952977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  952980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  952983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  952986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  952989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  952992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  952996 */     // MIs[0] op1
     /*  952996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  952999 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953023 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  953023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  953026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953028 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953030 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953032 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953034 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953044 */     GIR_RootConstrainSelectedInstOperands,
     /*  953045 */     // GIR_Coverage, 63461,
     /*  953045 */     GIR_EraseRootFromParent_Done,
     /*  953046 */   // Label 14354: @953046
     /*  953046 */   GIM_Try, /*On fail goto*//*Label 14355*/ GIMT_Encode4(953128), // Rule ID 63462 //
     /*  953051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  953062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  953065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /*  953068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s8,
     /*  953071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953078 */     // MIs[0] op1
     /*  953078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953081 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  953098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953105 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv64i8] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv64i8] }:$op2, VRM8:{ *:[nxv64i8] }:$op3, VRM8:{ *:[nxv64i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  953105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  953108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953110 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953112 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953114 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953116 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  953126 */     GIR_RootConstrainSelectedInstOperands,
     /*  953127 */     // GIR_Coverage, 63462,
     /*  953127 */     GIR_EraseRootFromParent_Done,
     /*  953128 */   // Label 14355: @953128
     /*  953128 */   GIM_Try, /*On fail goto*//*Label 14356*/ GIMT_Encode4(953210), // Rule ID 63493 //
     /*  953133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  953150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953160 */     // MIs[0] op1
     /*  953160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953163 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953187 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  953190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953192 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953194 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953196 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953198 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953208 */     GIR_RootConstrainSelectedInstOperands,
     /*  953209 */     // GIR_Coverage, 63493,
     /*  953209 */     GIR_EraseRootFromParent_Done,
     /*  953210 */   // Label 14356: @953210
     /*  953210 */   GIM_Try, /*On fail goto*//*Label 14357*/ GIMT_Encode4(953292), // Rule ID 63494 //
     /*  953215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  953232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953242 */     // MIs[0] op1
     /*  953242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953245 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953269 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  953272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953274 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953276 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953278 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953280 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953290 */     GIR_RootConstrainSelectedInstOperands,
     /*  953291 */     // GIR_Coverage, 63494,
     /*  953291 */     GIR_EraseRootFromParent_Done,
     /*  953292 */   // Label 14357: @953292
     /*  953292 */   GIM_Try, /*On fail goto*//*Label 14358*/ GIMT_Encode4(953374), // Rule ID 63505 //
     /*  953297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  953314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  953317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953324 */     // MIs[0] op1
     /*  953324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953327 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953351 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  953354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953356 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953358 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953360 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953362 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953372 */     GIR_RootConstrainSelectedInstOperands,
     /*  953373 */     // GIR_Coverage, 63505,
     /*  953373 */     GIR_EraseRootFromParent_Done,
     /*  953374 */   // Label 14358: @953374
     /*  953374 */   GIM_Try, /*On fail goto*//*Label 14359*/ GIMT_Encode4(953456), // Rule ID 63506 //
     /*  953379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  953396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  953399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953406 */     // MIs[0] op1
     /*  953406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953409 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953433 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  953436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953438 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953440 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953442 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953444 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953454 */     GIR_RootConstrainSelectedInstOperands,
     /*  953455 */     // GIR_Coverage, 63506,
     /*  953455 */     GIR_EraseRootFromParent_Done,
     /*  953456 */   // Label 14359: @953456
     /*  953456 */   GIM_Try, /*On fail goto*//*Label 14360*/ GIMT_Encode4(953538), // Rule ID 63517 //
     /*  953461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  953478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953488 */     // MIs[0] op1
     /*  953488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953491 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953515 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  953518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953520 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953522 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953524 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953526 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953536 */     GIR_RootConstrainSelectedInstOperands,
     /*  953537 */     // GIR_Coverage, 63517,
     /*  953537 */     GIR_EraseRootFromParent_Done,
     /*  953538 */   // Label 14360: @953538
     /*  953538 */   GIM_Try, /*On fail goto*//*Label 14361*/ GIMT_Encode4(953620), // Rule ID 63518 //
     /*  953543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  953554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  953557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  953560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953570 */     // MIs[0] op1
     /*  953570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953573 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  953586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  953590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M2:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M2),
     /*  953600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953602 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953604 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953606 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953608 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953618 */     GIR_RootConstrainSelectedInstOperands,
     /*  953619 */     // GIR_Coverage, 63518,
     /*  953619 */     GIR_EraseRootFromParent_Done,
     /*  953620 */   // Label 14361: @953620
     /*  953620 */   GIM_Try, /*On fail goto*//*Label 14362*/ GIMT_Encode4(953702), // Rule ID 63549 //
     /*  953625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  953645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953652 */     // MIs[0] op1
     /*  953652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953655 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953679 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  953682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953684 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953686 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953688 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953690 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953700 */     GIR_RootConstrainSelectedInstOperands,
     /*  953701 */     // GIR_Coverage, 63549,
     /*  953701 */     GIR_EraseRootFromParent_Done,
     /*  953702 */   // Label 14362: @953702
     /*  953702 */   GIM_Try, /*On fail goto*//*Label 14363*/ GIMT_Encode4(953784), // Rule ID 63550 //
     /*  953707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  953715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  953727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953734 */     // MIs[0] op1
     /*  953734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953737 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  953754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953761 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  953764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953766 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953768 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953770 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953772 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953782 */     GIR_RootConstrainSelectedInstOperands,
     /*  953783 */     // GIR_Coverage, 63550,
     /*  953783 */     GIR_EraseRootFromParent_Done,
     /*  953784 */   // Label 14363: @953784
     /*  953784 */   GIM_Try, /*On fail goto*//*Label 14364*/ GIMT_Encode4(953866), // Rule ID 63561 //
     /*  953789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  953809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953816 */     // MIs[0] op1
     /*  953816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953819 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953843 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  953843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  953846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953848 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953850 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953852 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953854 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953864 */     GIR_RootConstrainSelectedInstOperands,
     /*  953865 */     // GIR_Coverage, 63561,
     /*  953865 */     GIR_EraseRootFromParent_Done,
     /*  953866 */   // Label 14364: @953866
     /*  953866 */   GIM_Try, /*On fail goto*//*Label 14365*/ GIMT_Encode4(953948), // Rule ID 63562 //
     /*  953871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  953874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  953879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  953891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  953894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953898 */     // MIs[0] op1
     /*  953898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953901 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  953906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  953925 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  953925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  953928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  953930 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  953932 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  953934 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  953936 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  953938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  953943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  953946 */     GIR_RootConstrainSelectedInstOperands,
     /*  953947 */     // GIR_Coverage, 63562,
     /*  953947 */     GIR_EraseRootFromParent_Done,
     /*  953948 */   // Label 14365: @953948
     /*  953948 */   GIM_Try, /*On fail goto*//*Label 14366*/ GIMT_Encode4(954030), // Rule ID 63573 //
     /*  953953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  953956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  953961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  953964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  953967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  953970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  953973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  953976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953980 */     // MIs[0] op1
     /*  953980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  953983 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  953988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  953996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  954010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954012 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954014 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954016 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954018 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954028 */     GIR_RootConstrainSelectedInstOperands,
     /*  954029 */     // GIR_Coverage, 63573,
     /*  954029 */     GIR_EraseRootFromParent_Done,
     /*  954030 */   // Label 14366: @954030
     /*  954030 */   GIM_Try, /*On fail goto*//*Label 14367*/ GIMT_Encode4(954112), // Rule ID 63574 //
     /*  954035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  954046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  954049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  954052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954062 */     // MIs[0] op1
     /*  954062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954065 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  954078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M4:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M4),
     /*  954092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954094 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954096 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954098 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954100 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954110 */     GIR_RootConstrainSelectedInstOperands,
     /*  954111 */     // GIR_Coverage, 63574,
     /*  954111 */     GIR_EraseRootFromParent_Done,
     /*  954112 */   // Label 14367: @954112
     /*  954112 */   GIM_Try, /*On fail goto*//*Label 14368*/ GIMT_Encode4(954194), // Rule ID 63605 //
     /*  954117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  954134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954144 */     // MIs[0] op1
     /*  954144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954147 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954171 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  954174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954176 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954178 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954180 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954182 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954192 */     GIR_RootConstrainSelectedInstOperands,
     /*  954193 */     // GIR_Coverage, 63605,
     /*  954193 */     GIR_EraseRootFromParent_Done,
     /*  954194 */   // Label 14368: @954194
     /*  954194 */   GIM_Try, /*On fail goto*//*Label 14369*/ GIMT_Encode4(954276), // Rule ID 63606 //
     /*  954199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  954216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954226 */     // MIs[0] op1
     /*  954226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954229 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954253 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  954256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954258 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954260 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954262 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954264 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954274 */     GIR_RootConstrainSelectedInstOperands,
     /*  954275 */     // GIR_Coverage, 63606,
     /*  954275 */     GIR_EraseRootFromParent_Done,
     /*  954276 */   // Label 14369: @954276
     /*  954276 */   GIM_Try, /*On fail goto*//*Label 14370*/ GIMT_Encode4(954358), // Rule ID 63617 //
     /*  954281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  954298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  954301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954308 */     // MIs[0] op1
     /*  954308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954311 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954335 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  954338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954340 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954342 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954344 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954346 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954356 */     GIR_RootConstrainSelectedInstOperands,
     /*  954357 */     // GIR_Coverage, 63617,
     /*  954357 */     GIR_EraseRootFromParent_Done,
     /*  954358 */   // Label 14370: @954358
     /*  954358 */   GIM_Try, /*On fail goto*//*Label 14371*/ GIMT_Encode4(954440), // Rule ID 63618 //
     /*  954363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  954380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s16,
     /*  954383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954390 */     // MIs[0] op1
     /*  954390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954393 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954417 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, VRM8:{ *:[nxv32i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  954420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954422 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954424 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954426 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954428 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954438 */     GIR_RootConstrainSelectedInstOperands,
     /*  954439 */     // GIR_Coverage, 63618,
     /*  954439 */     GIR_EraseRootFromParent_Done,
     /*  954440 */   // Label 14371: @954440
     /*  954440 */   GIM_Try, /*On fail goto*//*Label 14372*/ GIMT_Encode4(954522), // Rule ID 63629 //
     /*  954445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  954462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954472 */     // MIs[0] op1
     /*  954472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954475 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  954499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  954502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954504 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954506 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954508 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954510 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954520 */     GIR_RootConstrainSelectedInstOperands,
     /*  954521 */     // GIR_Coverage, 63629,
     /*  954521 */     GIR_EraseRootFromParent_Done,
     /*  954522 */   // Label 14372: @954522
     /*  954522 */   GIM_Try, /*On fail goto*//*Label 14373*/ GIMT_Encode4(954604), // Rule ID 63630 //
     /*  954527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  954538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  954541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /*  954544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  954547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954554 */     // MIs[0] op1
     /*  954554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954557 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  954570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  954574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954581 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VV_M8:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM8:{ *:[nxv32i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  954581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VV_M8),
     /*  954584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954586 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954588 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954590 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954592 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  954602 */     GIR_RootConstrainSelectedInstOperands,
     /*  954603 */     // GIR_Coverage, 63630,
     /*  954603 */     GIR_EraseRootFromParent_Done,
     /*  954604 */   // Label 14373: @954604
     /*  954604 */   GIM_Try, /*On fail goto*//*Label 14374*/ GIMT_Encode4(954686), // Rule ID 63661 //
     /*  954609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  954629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954636 */     // MIs[0] op1
     /*  954636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954639 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954663 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  954666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954668 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954670 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954672 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954674 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954684 */     GIR_RootConstrainSelectedInstOperands,
     /*  954685 */     // GIR_Coverage, 63661,
     /*  954685 */     GIR_EraseRootFromParent_Done,
     /*  954686 */   // Label 14374: @954686
     /*  954686 */   GIM_Try, /*On fail goto*//*Label 14375*/ GIMT_Encode4(954768), // Rule ID 63662 //
     /*  954691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  954699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954718 */     // MIs[0] op1
     /*  954718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954721 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  954738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954745 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  954748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954750 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954752 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954754 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954756 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954766 */     GIR_RootConstrainSelectedInstOperands,
     /*  954767 */     // GIR_Coverage, 63662,
     /*  954767 */     GIR_EraseRootFromParent_Done,
     /*  954768 */   // Label 14375: @954768
     /*  954768 */   GIM_Try, /*On fail goto*//*Label 14376*/ GIMT_Encode4(954850), // Rule ID 63673 //
     /*  954773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  954793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954800 */     // MIs[0] op1
     /*  954800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954803 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954827 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  954830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954832 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954834 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954836 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954838 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954848 */     GIR_RootConstrainSelectedInstOperands,
     /*  954849 */     // GIR_Coverage, 63673,
     /*  954849 */     GIR_EraseRootFromParent_Done,
     /*  954850 */   // Label 14376: @954850
     /*  954850 */   GIM_Try, /*On fail goto*//*Label 14377*/ GIMT_Encode4(954932), // Rule ID 63674 //
     /*  954855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  954858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  954863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  954875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  954878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954882 */     // MIs[0] op1
     /*  954882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954885 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  954890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954909 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  954909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  954912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954914 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954916 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  954918 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  954920 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  954922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  954927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  954930 */     GIR_RootConstrainSelectedInstOperands,
     /*  954931 */     // GIR_Coverage, 63674,
     /*  954931 */     GIR_EraseRootFromParent_Done,
     /*  954932 */   // Label 14377: @954932
     /*  954932 */   GIM_Try, /*On fail goto*//*Label 14378*/ GIMT_Encode4(955014), // Rule ID 63685 //
     /*  954937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  954940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  954945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  954948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  954951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  954954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  954957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  954960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954964 */     // MIs[0] op1
     /*  954964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  954967 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  954972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  954980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  954984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  954991 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  954991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  954994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  954996 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  954998 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955000 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955002 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955012 */     GIR_RootConstrainSelectedInstOperands,
     /*  955013 */     // GIR_Coverage, 63685,
     /*  955013 */     GIR_EraseRootFromParent_Done,
     /*  955014 */   // Label 14378: @955014
     /*  955014 */   GIM_Try, /*On fail goto*//*Label 14379*/ GIMT_Encode4(955096), // Rule ID 63686 //
     /*  955019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  955030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  955033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  955036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955046 */     // MIs[0] op1
     /*  955046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955049 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  955062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955073 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M2:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M2),
     /*  955076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955078 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955080 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955082 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955084 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955094 */     GIR_RootConstrainSelectedInstOperands,
     /*  955095 */     // GIR_Coverage, 63686,
     /*  955095 */     GIR_EraseRootFromParent_Done,
     /*  955096 */   // Label 14379: @955096
     /*  955096 */   GIM_Try, /*On fail goto*//*Label 14380*/ GIMT_Encode4(955178), // Rule ID 63717 //
     /*  955101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955128 */     // MIs[0] op1
     /*  955128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955131 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955155 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  955158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955160 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955162 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955164 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955166 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955176 */     GIR_RootConstrainSelectedInstOperands,
     /*  955177 */     // GIR_Coverage, 63717,
     /*  955177 */     GIR_EraseRootFromParent_Done,
     /*  955178 */   // Label 14380: @955178
     /*  955178 */   GIM_Try, /*On fail goto*//*Label 14381*/ GIMT_Encode4(955260), // Rule ID 63718 //
     /*  955183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955210 */     // MIs[0] op1
     /*  955210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955213 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955237 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  955240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955242 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955244 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955246 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955248 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955258 */     GIR_RootConstrainSelectedInstOperands,
     /*  955259 */     // GIR_Coverage, 63718,
     /*  955259 */     GIR_EraseRootFromParent_Done,
     /*  955260 */   // Label 14381: @955260
     /*  955260 */   GIM_Try, /*On fail goto*//*Label 14382*/ GIMT_Encode4(955342), // Rule ID 63729 //
     /*  955265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  955285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955292 */     // MIs[0] op1
     /*  955292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955295 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955319 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  955322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955324 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955326 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955328 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955330 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955340 */     GIR_RootConstrainSelectedInstOperands,
     /*  955341 */     // GIR_Coverage, 63729,
     /*  955341 */     GIR_EraseRootFromParent_Done,
     /*  955342 */   // Label 14382: @955342
     /*  955342 */   GIM_Try, /*On fail goto*//*Label 14383*/ GIMT_Encode4(955424), // Rule ID 63730 //
     /*  955347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  955367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955374 */     // MIs[0] op1
     /*  955374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955377 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955401 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  955404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955406 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955408 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955410 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955412 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955422 */     GIR_RootConstrainSelectedInstOperands,
     /*  955423 */     // GIR_Coverage, 63730,
     /*  955423 */     GIR_EraseRootFromParent_Done,
     /*  955424 */   // Label 14383: @955424
     /*  955424 */   GIM_Try, /*On fail goto*//*Label 14384*/ GIMT_Encode4(955506), // Rule ID 63741 //
     /*  955429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955456 */     // MIs[0] op1
     /*  955456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955459 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955483 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  955486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955488 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955490 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955492 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955494 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955504 */     GIR_RootConstrainSelectedInstOperands,
     /*  955505 */     // GIR_Coverage, 63741,
     /*  955505 */     GIR_EraseRootFromParent_Done,
     /*  955506 */   // Label 14384: @955506
     /*  955506 */   GIM_Try, /*On fail goto*//*Label 14385*/ GIMT_Encode4(955588), // Rule ID 63742 //
     /*  955511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  955522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  955525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  955528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955538 */     // MIs[0] op1
     /*  955538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955541 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  955554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955565 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M4:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M4),
     /*  955568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955570 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955572 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955574 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955576 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955586 */     GIR_RootConstrainSelectedInstOperands,
     /*  955587 */     // GIR_Coverage, 63742,
     /*  955587 */     GIR_EraseRootFromParent_Done,
     /*  955588 */   // Label 14385: @955588
     /*  955588 */   GIM_Try, /*On fail goto*//*Label 14386*/ GIMT_Encode4(955670), // Rule ID 63773 //
     /*  955593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  955613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955620 */     // MIs[0] op1
     /*  955620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955623 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955647 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  955650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955652 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955654 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955656 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955658 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955668 */     GIR_RootConstrainSelectedInstOperands,
     /*  955669 */     // GIR_Coverage, 63773,
     /*  955669 */     GIR_EraseRootFromParent_Done,
     /*  955670 */   // Label 14386: @955670
     /*  955670 */   GIM_Try, /*On fail goto*//*Label 14387*/ GIMT_Encode4(955752), // Rule ID 63774 //
     /*  955675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  955683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955702 */     // MIs[0] op1
     /*  955702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955705 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  955722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955729 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  955732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955734 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955736 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955738 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955740 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955750 */     GIR_RootConstrainSelectedInstOperands,
     /*  955751 */     // GIR_Coverage, 63774,
     /*  955751 */     GIR_EraseRootFromParent_Done,
     /*  955752 */   // Label 14387: @955752
     /*  955752 */   GIM_Try, /*On fail goto*//*Label 14388*/ GIMT_Encode4(955834), // Rule ID 63785 //
     /*  955757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  955777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955784 */     // MIs[0] op1
     /*  955784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955787 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955811 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  955814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955816 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955818 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955820 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955822 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955832 */     GIR_RootConstrainSelectedInstOperands,
     /*  955833 */     // GIR_Coverage, 63785,
     /*  955833 */     GIR_EraseRootFromParent_Done,
     /*  955834 */   // Label 14388: @955834
     /*  955834 */   GIM_Try, /*On fail goto*//*Label 14389*/ GIMT_Encode4(955916), // Rule ID 63786 //
     /*  955839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  955842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  955847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s32,
     /*  955859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  955862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955866 */     // MIs[0] op1
     /*  955866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955869 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  955874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955893 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, VRM8:{ *:[nxv16i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  955893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  955896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955898 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955900 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955902 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955904 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955914 */     GIR_RootConstrainSelectedInstOperands,
     /*  955915 */     // GIR_Coverage, 63786,
     /*  955915 */     GIR_EraseRootFromParent_Done,
     /*  955916 */   // Label 14389: @955916
     /*  955916 */   GIM_Try, /*On fail goto*//*Label 14390*/ GIMT_Encode4(955998), // Rule ID 63797 //
     /*  955921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  955924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  955929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  955932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  955935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  955938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  955941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  955944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955948 */     // MIs[0] op1
     /*  955948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  955951 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  955956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  955964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  955968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  955975 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  955975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  955978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  955980 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  955982 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  955984 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  955986 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  955988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  955993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  955996 */     GIR_RootConstrainSelectedInstOperands,
     /*  955997 */     // GIR_Coverage, 63797,
     /*  955997 */     GIR_EraseRootFromParent_Done,
     /*  955998 */   // Label 14390: @955998
     /*  955998 */   GIM_Try, /*On fail goto*//*Label 14391*/ GIMT_Encode4(956080), // Rule ID 63798 //
     /*  956003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  956014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  956017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /*  956020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956030 */     // MIs[0] op1
     /*  956030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956033 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  956046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  956050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VV_M8:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM8:{ *:[nxv16i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  956057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VV_M8),
     /*  956060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956062 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956064 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956066 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956068 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  956078 */     GIR_RootConstrainSelectedInstOperands,
     /*  956079 */     // GIR_Coverage, 63798,
     /*  956079 */     GIR_EraseRootFromParent_Done,
     /*  956080 */   // Label 14391: @956080
     /*  956080 */   GIM_Try, /*On fail goto*//*Label 14392*/ GIMT_Encode4(956162), // Rule ID 63829 //
     /*  956085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  956102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956112 */     // MIs[0] op1
     /*  956112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956115 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956139 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  956142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956144 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956146 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956148 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956150 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956160 */     GIR_RootConstrainSelectedInstOperands,
     /*  956161 */     // GIR_Coverage, 63829,
     /*  956161 */     GIR_EraseRootFromParent_Done,
     /*  956162 */   // Label 14392: @956162
     /*  956162 */   GIM_Try, /*On fail goto*//*Label 14393*/ GIMT_Encode4(956244), // Rule ID 63830 //
     /*  956167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  956184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956194 */     // MIs[0] op1
     /*  956194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956197 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956221 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M2),
     /*  956224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956226 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956228 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956230 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956232 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956242 */     GIR_RootConstrainSelectedInstOperands,
     /*  956243 */     // GIR_Coverage, 63830,
     /*  956243 */     GIR_EraseRootFromParent_Done,
     /*  956244 */   // Label 14393: @956244
     /*  956244 */   GIM_Try, /*On fail goto*//*Label 14394*/ GIMT_Encode4(956326), // Rule ID 63841 //
     /*  956249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  956266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  956269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956276 */     // MIs[0] op1
     /*  956276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956279 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956303 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  956306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956308 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956310 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956312 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956314 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956324 */     GIR_RootConstrainSelectedInstOperands,
     /*  956325 */     // GIR_Coverage, 63841,
     /*  956325 */     GIR_EraseRootFromParent_Done,
     /*  956326 */   // Label 14394: @956326
     /*  956326 */   GIM_Try, /*On fail goto*//*Label 14395*/ GIMT_Encode4(956408), // Rule ID 63842 //
     /*  956331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  956348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s64,
     /*  956351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956358 */     // MIs[0] op1
     /*  956358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956361 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956385 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, VRM2:{ *:[nxv2i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M2),
     /*  956388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956390 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956392 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956394 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956396 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956406 */     GIR_RootConstrainSelectedInstOperands,
     /*  956407 */     // GIR_Coverage, 63842,
     /*  956407 */     GIR_EraseRootFromParent_Done,
     /*  956408 */   // Label 14395: @956408
     /*  956408 */   GIM_Try, /*On fail goto*//*Label 14396*/ GIMT_Encode4(956490), // Rule ID 63853 //
     /*  956413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  956430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956440 */     // MIs[0] op1
     /*  956440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956443 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956467 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  956470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956472 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956474 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956476 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956478 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956488 */     GIR_RootConstrainSelectedInstOperands,
     /*  956489 */     // GIR_Coverage, 63853,
     /*  956489 */     GIR_EraseRootFromParent_Done,
     /*  956490 */   // Label 14396: @956490
     /*  956490 */   GIM_Try, /*On fail goto*//*Label 14397*/ GIMT_Encode4(956572), // Rule ID 63854 //
     /*  956495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  956506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  956509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /*  956512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956522 */     // MIs[0] op1
     /*  956522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956525 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  956538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956549 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M2:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VRM2:{ *:[nxv2i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M2),
     /*  956552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956554 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956556 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956558 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956560 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956570 */     GIR_RootConstrainSelectedInstOperands,
     /*  956571 */     // GIR_Coverage, 63854,
     /*  956571 */     GIR_EraseRootFromParent_Done,
     /*  956572 */   // Label 14397: @956572
     /*  956572 */   GIM_Try, /*On fail goto*//*Label 14398*/ GIMT_Encode4(956654), // Rule ID 63885 //
     /*  956577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956604 */     // MIs[0] op1
     /*  956604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956607 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956631 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  956634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956636 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956638 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956640 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956642 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956652 */     GIR_RootConstrainSelectedInstOperands,
     /*  956653 */     // GIR_Coverage, 63885,
     /*  956653 */     GIR_EraseRootFromParent_Done,
     /*  956654 */   // Label 14398: @956654
     /*  956654 */   GIM_Try, /*On fail goto*//*Label 14399*/ GIMT_Encode4(956736), // Rule ID 63886 //
     /*  956659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  956667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  956679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956686 */     // MIs[0] op1
     /*  956686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956689 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  956706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956713 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M4),
     /*  956716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956718 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956720 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956722 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956724 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956734 */     GIR_RootConstrainSelectedInstOperands,
     /*  956735 */     // GIR_Coverage, 63886,
     /*  956735 */     GIR_EraseRootFromParent_Done,
     /*  956736 */   // Label 14399: @956736
     /*  956736 */   GIM_Try, /*On fail goto*//*Label 14400*/ GIMT_Encode4(956818), // Rule ID 63897 //
     /*  956741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  956761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956768 */     // MIs[0] op1
     /*  956768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956771 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956795 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  956798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956800 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956802 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956804 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956806 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956816 */     GIR_RootConstrainSelectedInstOperands,
     /*  956817 */     // GIR_Coverage, 63897,
     /*  956817 */     GIR_EraseRootFromParent_Done,
     /*  956818 */   // Label 14400: @956818
     /*  956818 */   GIM_Try, /*On fail goto*//*Label 14401*/ GIMT_Encode4(956900), // Rule ID 63898 //
     /*  956823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  956831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s64,
     /*  956843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  956846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956850 */     // MIs[0] op1
     /*  956850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956853 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  956858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, VRM4:{ *:[nxv4i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  956877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M4),
     /*  956880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956882 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956884 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956886 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956888 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956898 */     GIR_RootConstrainSelectedInstOperands,
     /*  956899 */     // GIR_Coverage, 63898,
     /*  956899 */     GIR_EraseRootFromParent_Done,
     /*  956900 */   // Label 14401: @956900
     /*  956900 */   GIM_Try, /*On fail goto*//*Label 14402*/ GIMT_Encode4(956982), // Rule ID 63909 //
     /*  956905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  956908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  956919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  956922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  956925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  956928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956932 */     // MIs[0] op1
     /*  956932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  956935 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  956940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  956948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  956952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  956959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  956959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  956962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  956964 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  956966 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  956968 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  956970 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  956972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  956977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  956980 */     GIR_RootConstrainSelectedInstOperands,
     /*  956981 */     // GIR_Coverage, 63909,
     /*  956981 */     GIR_EraseRootFromParent_Done,
     /*  956982 */   // Label 14402: @956982
     /*  956982 */   GIM_Try, /*On fail goto*//*Label 14403*/ GIMT_Encode4(957064), // Rule ID 63910 //
     /*  956987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  956990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  956995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  956998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  957001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /*  957004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957014 */     // MIs[0] op1
     /*  957014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957017 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  957030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  957034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957041 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M4:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM4:{ *:[nxv4i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  957041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M4),
     /*  957044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957046 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957048 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957050 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957052 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957062 */     GIR_RootConstrainSelectedInstOperands,
     /*  957063 */     // GIR_Coverage, 63910,
     /*  957063 */     GIR_EraseRootFromParent_Done,
     /*  957064 */   // Label 14403: @957064
     /*  957064 */   GIM_Try, /*On fail goto*//*Label 14404*/ GIMT_Encode4(957146), // Rule ID 63941 //
     /*  957069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  957077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  957086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957096 */     // MIs[0] op1
     /*  957096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957099 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957123 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  957123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  957126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957128 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957130 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957132 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957134 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957144 */     GIR_RootConstrainSelectedInstOperands,
     /*  957145 */     // GIR_Coverage, 63941,
     /*  957145 */     GIR_EraseRootFromParent_Done,
     /*  957146 */   // Label 14404: @957146
     /*  957146 */   GIM_Try, /*On fail goto*//*Label 14405*/ GIMT_Encode4(957228), // Rule ID 63942 //
     /*  957151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvv),
     /*  957159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  957168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957178 */     // MIs[0] op1
     /*  957178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957181 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957205 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11085:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  957205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVV_M8),
     /*  957208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957210 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957212 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957214 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957216 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957226 */     GIR_RootConstrainSelectedInstOperands,
     /*  957227 */     // GIR_Coverage, 63942,
     /*  957227 */     GIR_EraseRootFromParent_Done,
     /*  957228 */   // Label 14405: @957228
     /*  957228 */   GIM_Try, /*On fail goto*//*Label 14406*/ GIMT_Encode4(957310), // Rule ID 63953 //
     /*  957233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  957241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  957250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  957253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957260 */     // MIs[0] op1
     /*  957260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957263 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957287 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  957287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  957290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957292 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957294 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957296 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957298 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957308 */     GIR_RootConstrainSelectedInstOperands,
     /*  957309 */     // GIR_Coverage, 63953,
     /*  957309 */     GIR_EraseRootFromParent_Done,
     /*  957310 */   // Label 14406: @957310
     /*  957310 */   GIM_Try, /*On fail goto*//*Label 14407*/ GIMT_Encode4(957392), // Rule ID 63954 //
     /*  957315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvv),
     /*  957323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  957332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s64,
     /*  957335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957342 */     // MIs[0] op1
     /*  957342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957345 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957369 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11077:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, VRM8:{ *:[nxv8i64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  957369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVV_M8),
     /*  957372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957374 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957376 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957378 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957380 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957390 */     GIR_RootConstrainSelectedInstOperands,
     /*  957391 */     // GIR_Coverage, 63954,
     /*  957391 */     GIR_EraseRootFromParent_Done,
     /*  957392 */   // Label 14407: @957392
     /*  957392 */   GIM_Try, /*On fail goto*//*Label 14408*/ GIMT_Encode4(957474), // Rule ID 63965 //
     /*  957397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  957405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  957414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957424 */     // MIs[0] op1
     /*  957424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957427 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  957444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957451 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  957451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  957454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957456 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957458 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957460 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957462 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957472 */     GIR_RootConstrainSelectedInstOperands,
     /*  957473 */     // GIR_Coverage, 63965,
     /*  957473 */     GIR_EraseRootFromParent_Done,
     /*  957474 */   // Label 14408: @957474
     /*  957474 */   GIM_Try, /*On fail goto*//*Label 14409*/ GIMT_Encode4(957556), // Rule ID 63966 //
     /*  957479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvv),
     /*  957487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  957490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  957493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /*  957496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957506 */     // MIs[0] op1
     /*  957506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957509 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  957514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  957522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /*  957526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957533 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11063:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR64VV_M8:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM8:{ *:[nxv8i64] }:$op3, FPR64:{ *:[f64] }:$op4, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  957533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR64VV_M8),
     /*  957536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957538 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957540 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957542 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957544 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  957554 */     GIR_RootConstrainSelectedInstOperands,
     /*  957555 */     // GIR_Coverage, 63966,
     /*  957555 */     GIR_EraseRootFromParent_Done,
     /*  957556 */   // Label 14409: @957556
     /*  957556 */   GIM_Try, /*On fail goto*//*Label 14410*/ GIMT_Encode4(957638), // Rule ID 63971 //
     /*  957561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957588 */     // MIs[0] op1
     /*  957588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957591 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  957618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957620 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957622 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957624 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957626 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957636 */     GIR_RootConstrainSelectedInstOperands,
     /*  957637 */     // GIR_Coverage, 63971,
     /*  957637 */     GIR_EraseRootFromParent_Done,
     /*  957638 */   // Label 14410: @957638
     /*  957638 */   GIM_Try, /*On fail goto*//*Label 14411*/ GIMT_Encode4(957720), // Rule ID 63972 //
     /*  957643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957670 */     // MIs[0] op1
     /*  957670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957673 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957697 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF8),
     /*  957700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957702 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957704 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957706 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957708 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957718 */     GIR_RootConstrainSelectedInstOperands,
     /*  957719 */     // GIR_Coverage, 63972,
     /*  957719 */     GIR_EraseRootFromParent_Done,
     /*  957720 */   // Label 14411: @957720
     /*  957720 */   GIM_Try, /*On fail goto*//*Label 14412*/ GIMT_Encode4(957802), // Rule ID 63983 //
     /*  957725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  957745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957752 */     // MIs[0] op1
     /*  957752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957755 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957779 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  957782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957784 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957786 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957788 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957790 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957800 */     GIR_RootConstrainSelectedInstOperands,
     /*  957801 */     // GIR_Coverage, 63983,
     /*  957801 */     GIR_EraseRootFromParent_Done,
     /*  957802 */   // Label 14412: @957802
     /*  957802 */   GIM_Try, /*On fail goto*//*Label 14413*/ GIMT_Encode4(957884), // Rule ID 63984 //
     /*  957807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  957815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  957818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  957821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /*  957824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s8,
     /*  957827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957834 */     // MIs[0] op1
     /*  957834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957837 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957861 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF8:{ *:[nxv1i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i16] }:$op2, VR:{ *:[nxv1i8] }:$op3, VR:{ *:[nxv1i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  957861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF8),
     /*  957864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957866 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957868 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957870 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957872 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957882 */     GIR_RootConstrainSelectedInstOperands,
     /*  957883 */     // GIR_Coverage, 63984,
     /*  957883 */     GIR_EraseRootFromParent_Done,
     /*  957884 */   // Label 14413: @957884
     /*  957884 */   GIM_Try, /*On fail goto*//*Label 14414*/ GIMT_Encode4(957966), // Rule ID 63989 //
     /*  957889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  957892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  957909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  957912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957916 */     // MIs[0] op1
     /*  957916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  957919 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  957924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  957936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  957943 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  957943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  957946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  957948 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  957950 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  957952 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  957954 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  957956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  957961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  957964 */     GIR_RootConstrainSelectedInstOperands,
     /*  957965 */     // GIR_Coverage, 63989,
     /*  957965 */     GIR_EraseRootFromParent_Done,
     /*  957966 */   // Label 14414: @957966
     /*  957966 */   GIM_Try, /*On fail goto*//*Label 14415*/ GIMT_Encode4(958048), // Rule ID 63990 //
     /*  957971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  957974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  957979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  957982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  957985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  957988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  957991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  957994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  957998 */     // MIs[0] op1
     /*  957998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958001 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958025 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  958028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958030 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958032 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958034 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958036 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958046 */     GIR_RootConstrainSelectedInstOperands,
     /*  958047 */     // GIR_Coverage, 63990,
     /*  958047 */     GIR_EraseRootFromParent_Done,
     /*  958048 */   // Label 14415: @958048
     /*  958048 */   GIM_Try, /*On fail goto*//*Label 14416*/ GIMT_Encode4(958130), // Rule ID 64001 //
     /*  958053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  958064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  958067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  958070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  958073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958080 */     // MIs[0] op1
     /*  958080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958083 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958107 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  958110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958112 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958114 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958116 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958118 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958128 */     GIR_RootConstrainSelectedInstOperands,
     /*  958129 */     // GIR_Coverage, 64001,
     /*  958129 */     GIR_EraseRootFromParent_Done,
     /*  958130 */   // Label 14416: @958130
     /*  958130 */   GIM_Try, /*On fail goto*//*Label 14417*/ GIMT_Encode4(958212), // Rule ID 64002 //
     /*  958135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  958146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  958149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /*  958152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s8,
     /*  958155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958162 */     // MIs[0] op1
     /*  958162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958165 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958189 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv2i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i16] }:$op2, VR:{ *:[nxv2i8] }:$op3, VR:{ *:[nxv2i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  958192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958194 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958196 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958198 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958200 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958210 */     GIR_RootConstrainSelectedInstOperands,
     /*  958211 */     // GIR_Coverage, 64002,
     /*  958211 */     GIR_EraseRootFromParent_Done,
     /*  958212 */   // Label 14417: @958212
     /*  958212 */   GIM_Try, /*On fail goto*//*Label 14418*/ GIMT_Encode4(958294), // Rule ID 64007 //
     /*  958217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  958228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  958234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958244 */     // MIs[0] op1
     /*  958244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958247 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958271 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  958274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958276 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958278 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958280 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958282 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958292 */     GIR_RootConstrainSelectedInstOperands,
     /*  958293 */     // GIR_Coverage, 64007,
     /*  958293 */     GIR_EraseRootFromParent_Done,
     /*  958294 */   // Label 14418: @958294
     /*  958294 */   GIM_Try, /*On fail goto*//*Label 14419*/ GIMT_Encode4(958376), // Rule ID 64008 //
     /*  958299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  958310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  958316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958326 */     // MIs[0] op1
     /*  958326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958329 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  958356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958358 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958360 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958362 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958364 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958374 */     GIR_RootConstrainSelectedInstOperands,
     /*  958375 */     // GIR_Coverage, 64008,
     /*  958375 */     GIR_EraseRootFromParent_Done,
     /*  958376 */   // Label 14419: @958376
     /*  958376 */   GIM_Try, /*On fail goto*//*Label 14420*/ GIMT_Encode4(958458), // Rule ID 64019 //
     /*  958381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  958392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  958398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  958401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958408 */     // MIs[0] op1
     /*  958408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958411 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958435 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  958438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958440 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958442 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958444 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958446 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958456 */     GIR_RootConstrainSelectedInstOperands,
     /*  958457 */     // GIR_Coverage, 64019,
     /*  958457 */     GIR_EraseRootFromParent_Done,
     /*  958458 */   // Label 14420: @958458
     /*  958458 */   GIM_Try, /*On fail goto*//*Label 14421*/ GIMT_Encode4(958540), // Rule ID 64020 //
     /*  958463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  958474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  958477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /*  958480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s8,
     /*  958483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958490 */     // MIs[0] op1
     /*  958490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958493 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958517 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv4i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv4i16] }:$op2, VR:{ *:[nxv4i8] }:$op3, VR:{ *:[nxv4i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  958520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958522 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958524 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958526 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958528 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958538 */     GIR_RootConstrainSelectedInstOperands,
     /*  958539 */     // GIR_Coverage, 64020,
     /*  958539 */     GIR_EraseRootFromParent_Done,
     /*  958540 */   // Label 14421: @958540
     /*  958540 */   GIM_Try, /*On fail goto*//*Label 14422*/ GIMT_Encode4(958622), // Rule ID 64025 //
     /*  958545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958572 */     // MIs[0] op1
     /*  958572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958575 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958599 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  958602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958604 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958606 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958608 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958610 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958620 */     GIR_RootConstrainSelectedInstOperands,
     /*  958621 */     // GIR_Coverage, 64025,
     /*  958621 */     GIR_EraseRootFromParent_Done,
     /*  958622 */   // Label 14422: @958622
     /*  958622 */   GIM_Try, /*On fail goto*//*Label 14423*/ GIMT_Encode4(958704), // Rule ID 64026 //
     /*  958627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958654 */     // MIs[0] op1
     /*  958654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958657 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958681 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  958684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958686 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958688 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958690 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958692 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958702 */     GIR_RootConstrainSelectedInstOperands,
     /*  958703 */     // GIR_Coverage, 64026,
     /*  958703 */     GIR_EraseRootFromParent_Done,
     /*  958704 */   // Label 14423: @958704
     /*  958704 */   GIM_Try, /*On fail goto*//*Label 14424*/ GIMT_Encode4(958786), // Rule ID 64037 //
     /*  958709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  958729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958736 */     // MIs[0] op1
     /*  958736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958739 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958763 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  958766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958768 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958770 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958772 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958774 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958784 */     GIR_RootConstrainSelectedInstOperands,
     /*  958785 */     // GIR_Coverage, 64037,
     /*  958785 */     GIR_EraseRootFromParent_Done,
     /*  958786 */   // Label 14424: @958786
     /*  958786 */   GIM_Try, /*On fail goto*//*Label 14425*/ GIMT_Encode4(958868), // Rule ID 64038 //
     /*  958791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  958799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  958802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  958805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /*  958808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s8,
     /*  958811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958818 */     // MIs[0] op1
     /*  958818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958821 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  958838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958845 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv8i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv8i16] }:$op2, VR:{ *:[nxv8i8] }:$op3, VR:{ *:[nxv8i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  958845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  958848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958850 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958852 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958854 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958856 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958866 */     GIR_RootConstrainSelectedInstOperands,
     /*  958867 */     // GIR_Coverage, 64038,
     /*  958867 */     GIR_EraseRootFromParent_Done,
     /*  958868 */   // Label 14425: @958868
     /*  958868 */   GIM_Try, /*On fail goto*//*Label 14426*/ GIMT_Encode4(958950), // Rule ID 64043 //
     /*  958873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  958876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  958893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  958896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958900 */     // MIs[0] op1
     /*  958900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958903 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  958920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  958927 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  958927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  958930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  958932 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  958934 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  958936 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  958938 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  958940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  958945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  958948 */     GIR_RootConstrainSelectedInstOperands,
     /*  958949 */     // GIR_Coverage, 64043,
     /*  958949 */     GIR_EraseRootFromParent_Done,
     /*  958950 */   // Label 14426: @958950
     /*  958950 */   GIM_Try, /*On fail goto*//*Label 14427*/ GIMT_Encode4(959032), // Rule ID 64044 //
     /*  958955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  958958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  958963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  958966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  958969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  958972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  958975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  958978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958982 */     // MIs[0] op1
     /*  958982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  958985 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  958990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  958994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  958998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959009 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  959012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959014 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959016 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959018 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959020 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959030 */     GIR_RootConstrainSelectedInstOperands,
     /*  959031 */     // GIR_Coverage, 64044,
     /*  959031 */     GIR_EraseRootFromParent_Done,
     /*  959032 */   // Label 14427: @959032
     /*  959032 */   GIM_Try, /*On fail goto*//*Label 14428*/ GIMT_Encode4(959114), // Rule ID 64055 //
     /*  959037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  959048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  959051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  959054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  959057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959064 */     // MIs[0] op1
     /*  959064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959067 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959091 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  959094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959096 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959098 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959100 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959102 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959112 */     GIR_RootConstrainSelectedInstOperands,
     /*  959113 */     // GIR_Coverage, 64055,
     /*  959113 */     GIR_EraseRootFromParent_Done,
     /*  959114 */   // Label 14428: @959114
     /*  959114 */   GIM_Try, /*On fail goto*//*Label 14429*/ GIMT_Encode4(959196), // Rule ID 64056 //
     /*  959119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  959130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  959133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /*  959136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s8,
     /*  959139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959146 */     // MIs[0] op1
     /*  959146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959149 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  959166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959173 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv16i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv16i16] }:$op2, VRM2:{ *:[nxv16i8] }:$op3, VRM2:{ *:[nxv16i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  959176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959178 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959180 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959182 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959184 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959194 */     GIR_RootConstrainSelectedInstOperands,
     /*  959195 */     // GIR_Coverage, 64056,
     /*  959195 */     GIR_EraseRootFromParent_Done,
     /*  959196 */   // Label 14429: @959196
     /*  959196 */   GIM_Try, /*On fail goto*//*Label 14430*/ GIMT_Encode4(959278), // Rule ID 64061 //
     /*  959201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  959212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  959215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  959218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959228 */     // MIs[0] op1
     /*  959228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959231 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959255 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  959258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959260 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959262 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959264 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959266 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959276 */     GIR_RootConstrainSelectedInstOperands,
     /*  959277 */     // GIR_Coverage, 64061,
     /*  959277 */     GIR_EraseRootFromParent_Done,
     /*  959278 */   // Label 14430: @959278
     /*  959278 */   GIM_Try, /*On fail goto*//*Label 14431*/ GIMT_Encode4(959360), // Rule ID 64062 //
     /*  959283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  959294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  959297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  959300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959310 */     // MIs[0] op1
     /*  959310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959313 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959337 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  959340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959342 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959344 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959346 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959348 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959358 */     GIR_RootConstrainSelectedInstOperands,
     /*  959359 */     // GIR_Coverage, 64062,
     /*  959359 */     GIR_EraseRootFromParent_Done,
     /*  959360 */   // Label 14431: @959360
     /*  959360 */   GIM_Try, /*On fail goto*//*Label 14432*/ GIMT_Encode4(959442), // Rule ID 64073 //
     /*  959365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  959376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  959379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  959382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  959385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959392 */     // MIs[0] op1
     /*  959392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959395 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959419 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  959419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  959422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959424 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959426 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959428 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959430 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959440 */     GIR_RootConstrainSelectedInstOperands,
     /*  959441 */     // GIR_Coverage, 64073,
     /*  959441 */     GIR_EraseRootFromParent_Done,
     /*  959442 */   // Label 14432: @959442
     /*  959442 */   GIM_Try, /*On fail goto*//*Label 14433*/ GIMT_Encode4(959524), // Rule ID 64074 //
     /*  959447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  959458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  959461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /*  959464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s8,
     /*  959467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959474 */     // MIs[0] op1
     /*  959474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959477 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  959486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  959494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959501 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv32i16] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv32i16] }:$op2, VRM4:{ *:[nxv32i8] }:$op3, VRM4:{ *:[nxv32i8] }:$op4, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  959501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  959504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959506 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959508 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959510 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959512 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  959522 */     GIR_RootConstrainSelectedInstOperands,
     /*  959523 */     // GIR_Coverage, 64074,
     /*  959523 */     GIR_EraseRootFromParent_Done,
     /*  959524 */   // Label 14433: @959524
     /*  959524 */   GIM_Try, /*On fail goto*//*Label 14434*/ GIMT_Encode4(959606), // Rule ID 64079 //
     /*  959529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  959549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959556 */     // MIs[0] op1
     /*  959556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959559 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959583 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  959586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959588 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959590 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959592 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959594 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959604 */     GIR_RootConstrainSelectedInstOperands,
     /*  959605 */     // GIR_Coverage, 64079,
     /*  959605 */     GIR_EraseRootFromParent_Done,
     /*  959606 */   // Label 14434: @959606
     /*  959606 */   GIM_Try, /*On fail goto*//*Label 14435*/ GIMT_Encode4(959688), // Rule ID 64080 //
     /*  959611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  959619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  959631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959638 */     // MIs[0] op1
     /*  959638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959641 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  959658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959665 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF4),
     /*  959668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959670 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959672 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959674 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959676 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959686 */     GIR_RootConstrainSelectedInstOperands,
     /*  959687 */     // GIR_Coverage, 64080,
     /*  959687 */     GIR_EraseRootFromParent_Done,
     /*  959688 */   // Label 14435: @959688
     /*  959688 */   GIM_Try, /*On fail goto*//*Label 14436*/ GIMT_Encode4(959770), // Rule ID 64091 //
     /*  959693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  959713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959720 */     // MIs[0] op1
     /*  959720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959723 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959747 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  959750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959752 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959754 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959756 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959758 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959768 */     GIR_RootConstrainSelectedInstOperands,
     /*  959769 */     // GIR_Coverage, 64091,
     /*  959769 */     GIR_EraseRootFromParent_Done,
     /*  959770 */   // Label 14436: @959770
     /*  959770 */   GIM_Try, /*On fail goto*//*Label 14437*/ GIMT_Encode4(959852), // Rule ID 64092 //
     /*  959775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  959783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s16,
     /*  959795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959802 */     // MIs[0] op1
     /*  959802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959805 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  959810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959829 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, VR:{ *:[nxv1i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF4),
     /*  959832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959834 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959836 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959838 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959840 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959850 */     GIR_RootConstrainSelectedInstOperands,
     /*  959851 */     // GIR_Coverage, 64092,
     /*  959851 */     GIR_EraseRootFromParent_Done,
     /*  959852 */   // Label 14437: @959852
     /*  959852 */   GIM_Try, /*On fail goto*//*Label 14438*/ GIMT_Encode4(959934), // Rule ID 64097 //
     /*  959857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  959860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  959880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959884 */     // MIs[0] op1
     /*  959884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959887 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959911 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  959911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  959914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959916 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  959918 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  959920 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  959922 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  959924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  959929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  959932 */     GIR_RootConstrainSelectedInstOperands,
     /*  959933 */     // GIR_Coverage, 64097,
     /*  959933 */     GIR_EraseRootFromParent_Done,
     /*  959934 */   // Label 14438: @959934
     /*  959934 */   GIM_Try, /*On fail goto*//*Label 14439*/ GIMT_Encode4(960016), // Rule ID 64098 //
     /*  959939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  959942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  959947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  959950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  959953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  959956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  959959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  959962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959966 */     // MIs[0] op1
     /*  959966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  959969 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  959974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  959982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  959986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  959993 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF4:{ *:[nxv1i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i32] }:$op2, VR:{ *:[nxv1i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  959993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF4),
     /*  959996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  959998 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960000 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960002 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960004 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960014 */     GIR_RootConstrainSelectedInstOperands,
     /*  960015 */     // GIR_Coverage, 64098,
     /*  960015 */     GIR_EraseRootFromParent_Done,
     /*  960016 */   // Label 14439: @960016
     /*  960016 */   GIM_Try, /*On fail goto*//*Label 14440*/ GIMT_Encode4(960098), // Rule ID 64103 //
     /*  960021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  960038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960048 */     // MIs[0] op1
     /*  960048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960051 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  960078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960080 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960082 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960084 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960086 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960096 */     GIR_RootConstrainSelectedInstOperands,
     /*  960097 */     // GIR_Coverage, 64103,
     /*  960097 */     GIR_EraseRootFromParent_Done,
     /*  960098 */   // Label 14440: @960098
     /*  960098 */   GIM_Try, /*On fail goto*//*Label 14441*/ GIMT_Encode4(960180), // Rule ID 64104 //
     /*  960103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  960120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960130 */     // MIs[0] op1
     /*  960130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960133 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  960160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960162 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960164 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960166 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960168 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960178 */     GIR_RootConstrainSelectedInstOperands,
     /*  960179 */     // GIR_Coverage, 64104,
     /*  960179 */     GIR_EraseRootFromParent_Done,
     /*  960180 */   // Label 14441: @960180
     /*  960180 */   GIM_Try, /*On fail goto*//*Label 14442*/ GIMT_Encode4(960262), // Rule ID 64115 //
     /*  960185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  960202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  960205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960212 */     // MIs[0] op1
     /*  960212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960215 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960239 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  960242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960244 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960246 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960248 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960250 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960260 */     GIR_RootConstrainSelectedInstOperands,
     /*  960261 */     // GIR_Coverage, 64115,
     /*  960261 */     GIR_EraseRootFromParent_Done,
     /*  960262 */   // Label 14442: @960262
     /*  960262 */   GIM_Try, /*On fail goto*//*Label 14443*/ GIMT_Encode4(960344), // Rule ID 64116 //
     /*  960267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  960284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s16,
     /*  960287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960294 */     // MIs[0] op1
     /*  960294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960297 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960321 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, VR:{ *:[nxv2i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  960324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960326 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960328 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960330 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960332 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960342 */     GIR_RootConstrainSelectedInstOperands,
     /*  960343 */     // GIR_Coverage, 64116,
     /*  960343 */     GIR_EraseRootFromParent_Done,
     /*  960344 */   // Label 14443: @960344
     /*  960344 */   GIM_Try, /*On fail goto*//*Label 14444*/ GIMT_Encode4(960426), // Rule ID 64121 //
     /*  960349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  960366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960376 */     // MIs[0] op1
     /*  960376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960379 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960403 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  960406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960408 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960410 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960412 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960414 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960424 */     GIR_RootConstrainSelectedInstOperands,
     /*  960425 */     // GIR_Coverage, 64121,
     /*  960425 */     GIR_EraseRootFromParent_Done,
     /*  960426 */   // Label 14444: @960426
     /*  960426 */   GIM_Try, /*On fail goto*//*Label 14445*/ GIMT_Encode4(960508), // Rule ID 64122 //
     /*  960431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  960442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  960445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  960448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960458 */     // MIs[0] op1
     /*  960458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960461 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960485 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_MF2:{ *:[nxv2i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv2i32] }:$op2, VR:{ *:[nxv2i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_MF2),
     /*  960488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960490 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960492 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960494 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960496 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960506 */     GIR_RootConstrainSelectedInstOperands,
     /*  960507 */     // GIR_Coverage, 64122,
     /*  960507 */     GIR_EraseRootFromParent_Done,
     /*  960508 */   // Label 14445: @960508
     /*  960508 */   GIM_Try, /*On fail goto*//*Label 14446*/ GIMT_Encode4(960590), // Rule ID 64127 //
     /*  960513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  960533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960540 */     // MIs[0] op1
     /*  960540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960543 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960567 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  960570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960572 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960574 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960576 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960578 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960588 */     GIR_RootConstrainSelectedInstOperands,
     /*  960589 */     // GIR_Coverage, 64127,
     /*  960589 */     GIR_EraseRootFromParent_Done,
     /*  960590 */   // Label 14446: @960590
     /*  960590 */   GIM_Try, /*On fail goto*//*Label 14447*/ GIMT_Encode4(960672), // Rule ID 64128 //
     /*  960595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  960603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  960615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960622 */     // MIs[0] op1
     /*  960622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960625 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  960642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960649 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  960652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960654 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960656 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960658 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960660 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960670 */     GIR_RootConstrainSelectedInstOperands,
     /*  960671 */     // GIR_Coverage, 64128,
     /*  960671 */     GIR_EraseRootFromParent_Done,
     /*  960672 */   // Label 14447: @960672
     /*  960672 */   GIM_Try, /*On fail goto*//*Label 14448*/ GIMT_Encode4(960754), // Rule ID 64139 //
     /*  960677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  960697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960704 */     // MIs[0] op1
     /*  960704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960707 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960731 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  960734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960736 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960738 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960740 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960742 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960752 */     GIR_RootConstrainSelectedInstOperands,
     /*  960753 */     // GIR_Coverage, 64139,
     /*  960753 */     GIR_EraseRootFromParent_Done,
     /*  960754 */   // Label 14448: @960754
     /*  960754 */   GIM_Try, /*On fail goto*//*Label 14449*/ GIMT_Encode4(960836), // Rule ID 64140 //
     /*  960759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  960767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s16,
     /*  960779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960786 */     // MIs[0] op1
     /*  960786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960789 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  960794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960813 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, VR:{ *:[nxv4i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  960816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960818 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960820 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960822 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960824 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960834 */     GIR_RootConstrainSelectedInstOperands,
     /*  960835 */     // GIR_Coverage, 64140,
     /*  960835 */     GIR_EraseRootFromParent_Done,
     /*  960836 */   // Label 14449: @960836
     /*  960836 */   GIM_Try, /*On fail goto*//*Label 14450*/ GIMT_Encode4(960918), // Rule ID 64145 //
     /*  960841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  960844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  960864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960868 */     // MIs[0] op1
     /*  960868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960871 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960895 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  960895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  960898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960900 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960902 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960904 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960906 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960916 */     GIR_RootConstrainSelectedInstOperands,
     /*  960917 */     // GIR_Coverage, 64145,
     /*  960917 */     GIR_EraseRootFromParent_Done,
     /*  960918 */   // Label 14450: @960918
     /*  960918 */   GIM_Try, /*On fail goto*//*Label 14451*/ GIMT_Encode4(961000), // Rule ID 64146 //
     /*  960923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  960926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  960931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  960934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  960937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  960940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  960943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  960946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960950 */     // MIs[0] op1
     /*  960950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  960953 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  960958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  960962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  960966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  960970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  960977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M1:{ *:[nxv4i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv4i32] }:$op2, VR:{ *:[nxv4i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  960977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M1),
     /*  960980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  960982 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  960984 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  960986 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  960988 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  960990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  960995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  960998 */     GIR_RootConstrainSelectedInstOperands,
     /*  960999 */     // GIR_Coverage, 64146,
     /*  960999 */     GIR_EraseRootFromParent_Done,
     /*  961000 */   // Label 14451: @961000
     /*  961000 */   GIM_Try, /*On fail goto*//*Label 14452*/ GIMT_Encode4(961082), // Rule ID 64151 //
     /*  961005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  961022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961032 */     // MIs[0] op1
     /*  961032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961035 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961059 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  961062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961064 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961066 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961068 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961070 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961080 */     GIR_RootConstrainSelectedInstOperands,
     /*  961081 */     // GIR_Coverage, 64151,
     /*  961081 */     GIR_EraseRootFromParent_Done,
     /*  961082 */   // Label 14452: @961082
     /*  961082 */   GIM_Try, /*On fail goto*//*Label 14453*/ GIMT_Encode4(961164), // Rule ID 64152 //
     /*  961087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  961104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961114 */     // MIs[0] op1
     /*  961114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961117 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961141 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  961144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961146 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961148 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961150 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961152 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961162 */     GIR_RootConstrainSelectedInstOperands,
     /*  961163 */     // GIR_Coverage, 64152,
     /*  961163 */     GIR_EraseRootFromParent_Done,
     /*  961164 */   // Label 14453: @961164
     /*  961164 */   GIM_Try, /*On fail goto*//*Label 14454*/ GIMT_Encode4(961246), // Rule ID 64163 //
     /*  961169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  961186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  961189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961196 */     // MIs[0] op1
     /*  961196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961199 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961223 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  961226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961228 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961230 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961232 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961234 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961244 */     GIR_RootConstrainSelectedInstOperands,
     /*  961245 */     // GIR_Coverage, 64163,
     /*  961245 */     GIR_EraseRootFromParent_Done,
     /*  961246 */   // Label 14454: @961246
     /*  961246 */   GIM_Try, /*On fail goto*//*Label 14455*/ GIMT_Encode4(961328), // Rule ID 64164 //
     /*  961251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  961268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s16,
     /*  961271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961278 */     // MIs[0] op1
     /*  961278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961281 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961305 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, VRM2:{ *:[nxv8i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  961308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961310 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961312 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961314 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961316 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961326 */     GIR_RootConstrainSelectedInstOperands,
     /*  961327 */     // GIR_Coverage, 64164,
     /*  961327 */     GIR_EraseRootFromParent_Done,
     /*  961328 */   // Label 14455: @961328
     /*  961328 */   GIM_Try, /*On fail goto*//*Label 14456*/ GIMT_Encode4(961410), // Rule ID 64169 //
     /*  961333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  961350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  961353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961360 */     // MIs[0] op1
     /*  961360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961363 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  961380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961387 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  961390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961392 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961394 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961396 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961398 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961408 */     GIR_RootConstrainSelectedInstOperands,
     /*  961409 */     // GIR_Coverage, 64169,
     /*  961409 */     GIR_EraseRootFromParent_Done,
     /*  961410 */   // Label 14456: @961410
     /*  961410 */   GIM_Try, /*On fail goto*//*Label 14457*/ GIMT_Encode4(961492), // Rule ID 64170 //
     /*  961415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  961426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  961429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  961432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  961435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961442 */     // MIs[0] op1
     /*  961442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961445 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  961458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  961462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961469 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M2:{ *:[nxv8i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv8i32] }:$op2, VRM2:{ *:[nxv8i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M2),
     /*  961472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961474 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961476 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961478 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961480 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961490 */     GIR_RootConstrainSelectedInstOperands,
     /*  961491 */     // GIR_Coverage, 64170,
     /*  961491 */     GIR_EraseRootFromParent_Done,
     /*  961492 */   // Label 14457: @961492
     /*  961492 */   GIM_Try, /*On fail goto*//*Label 14458*/ GIMT_Encode4(961574), // Rule ID 64175 //
     /*  961497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  961517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961524 */     // MIs[0] op1
     /*  961524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961527 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  961554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961556 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961558 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961560 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961562 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961572 */     GIR_RootConstrainSelectedInstOperands,
     /*  961573 */     // GIR_Coverage, 64175,
     /*  961573 */     GIR_EraseRootFromParent_Done,
     /*  961574 */   // Label 14458: @961574
     /*  961574 */   GIM_Try, /*On fail goto*//*Label 14459*/ GIMT_Encode4(961656), // Rule ID 64176 //
     /*  961579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  961599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961606 */     // MIs[0] op1
     /*  961606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961609 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  961626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  961636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961638 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961640 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961642 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961644 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961654 */     GIR_RootConstrainSelectedInstOperands,
     /*  961655 */     // GIR_Coverage, 64176,
     /*  961655 */     GIR_EraseRootFromParent_Done,
     /*  961656 */   // Label 14459: @961656
     /*  961656 */   GIM_Try, /*On fail goto*//*Label 14460*/ GIMT_Encode4(961738), // Rule ID 64187 //
     /*  961661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  961681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961688 */     // MIs[0] op1
     /*  961688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961691 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961715 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  961718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961720 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961722 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961724 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961726 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961736 */     GIR_RootConstrainSelectedInstOperands,
     /*  961737 */     // GIR_Coverage, 64187,
     /*  961737 */     GIR_EraseRootFromParent_Done,
     /*  961738 */   // Label 14460: @961738
     /*  961738 */   GIM_Try, /*On fail goto*//*Label 14461*/ GIMT_Encode4(961820), // Rule ID 64188 //
     /*  961743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  961751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s16,
     /*  961763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961770 */     // MIs[0] op1
     /*  961770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961773 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  961778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961797 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, VRM4:{ *:[nxv16i16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  961800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961802 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961804 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961806 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961808 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961818 */     GIR_RootConstrainSelectedInstOperands,
     /*  961819 */     // GIR_Coverage, 64188,
     /*  961819 */     GIR_EraseRootFromParent_Done,
     /*  961820 */   // Label 14461: @961820
     /*  961820 */   GIM_Try, /*On fail goto*//*Label 14462*/ GIMT_Encode4(961902), // Rule ID 64193 //
     /*  961825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  961845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  961848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961852 */     // MIs[0] op1
     /*  961852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961855 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  961872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  961879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  961882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961884 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961886 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961888 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961890 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961900 */     GIR_RootConstrainSelectedInstOperands,
     /*  961901 */     // GIR_Coverage, 64193,
     /*  961901 */     GIR_EraseRootFromParent_Done,
     /*  961902 */   // Label 14462: @961902
     /*  961902 */   GIM_Try, /*On fail goto*//*Label 14463*/ GIMT_Encode4(961984), // Rule ID 64194 //
     /*  961907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  961910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  961915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  961918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  961921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  961924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s16,
     /*  961927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  961930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961934 */     // MIs[0] op1
     /*  961934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  961937 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  961942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  961946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  961950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /*  961954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  961961 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR16VW_M4:{ *:[nxv16i32] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv16i32] }:$op2, VRM4:{ *:[nxv16i16] }:$op3, FPR16:{ *:[f16] }:$op4, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  961961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR16VW_M4),
     /*  961964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  961966 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  961968 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  961970 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  961972 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  961974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  961979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  961982 */     GIR_RootConstrainSelectedInstOperands,
     /*  961983 */     // GIR_Coverage, 64194,
     /*  961983 */     GIR_EraseRootFromParent_Done,
     /*  961984 */   // Label 14463: @961984
     /*  961984 */   GIM_Try, /*On fail goto*//*Label 14464*/ GIMT_Encode4(962066), // Rule ID 64199 //
     /*  961989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  961992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  961997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  962003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  962006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962016 */     // MIs[0] op1
     /*  962016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962019 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962043 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  962046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962048 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962050 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962052 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962054 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962064 */     GIR_RootConstrainSelectedInstOperands,
     /*  962065 */     // GIR_Coverage, 64199,
     /*  962065 */     GIR_EraseRootFromParent_Done,
     /*  962066 */   // Label 14464: @962066
     /*  962066 */   GIM_Try, /*On fail goto*//*Label 14465*/ GIMT_Encode4(962148), // Rule ID 64200 //
     /*  962071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  962085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  962088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962098 */     // MIs[0] op1
     /*  962098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962101 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962125 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_MF2),
     /*  962128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962130 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962132 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962134 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962136 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962146 */     GIR_RootConstrainSelectedInstOperands,
     /*  962147 */     // GIR_Coverage, 64200,
     /*  962147 */     GIR_EraseRootFromParent_Done,
     /*  962148 */   // Label 14465: @962148
     /*  962148 */   GIM_Try, /*On fail goto*//*Label 14466*/ GIMT_Encode4(962230), // Rule ID 64211 //
     /*  962153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  962167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  962170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  962173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962180 */     // MIs[0] op1
     /*  962180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962183 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962207 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  962210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962212 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962214 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962216 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962218 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962228 */     GIR_RootConstrainSelectedInstOperands,
     /*  962229 */     // GIR_Coverage, 64211,
     /*  962229 */     GIR_EraseRootFromParent_Done,
     /*  962230 */   // Label 14466: @962230
     /*  962230 */   GIM_Try, /*On fail goto*//*Label 14467*/ GIMT_Encode4(962312), // Rule ID 64212 //
     /*  962235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  962249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  962252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s32,
     /*  962255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962262 */     // MIs[0] op1
     /*  962262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962265 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962289 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, VR:{ *:[nxv1i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_MF2),
     /*  962292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962294 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962296 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962298 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962300 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962310 */     GIR_RootConstrainSelectedInstOperands,
     /*  962311 */     // GIR_Coverage, 64212,
     /*  962311 */     GIR_EraseRootFromParent_Done,
     /*  962312 */   // Label 14467: @962312
     /*  962312 */   GIM_Try, /*On fail goto*//*Label 14468*/ GIMT_Encode4(962394), // Rule ID 64217 //
     /*  962317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  962331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  962334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962344 */     // MIs[0] op1
     /*  962344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962347 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962371 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  962374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962376 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962378 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962380 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962382 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962392 */     GIR_RootConstrainSelectedInstOperands,
     /*  962393 */     // GIR_Coverage, 64217,
     /*  962393 */     GIR_EraseRootFromParent_Done,
     /*  962394 */   // Label 14468: @962394
     /*  962394 */   GIM_Try, /*On fail goto*//*Label 14469*/ GIMT_Encode4(962476), // Rule ID 64218 //
     /*  962399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  962410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  962413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  962416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962426 */     // MIs[0] op1
     /*  962426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962429 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_MF2:{ *:[nxv1i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VR:{ *:[nxv1i64] }:$op2, VR:{ *:[nxv1i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_MF2),
     /*  962456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962458 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962460 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962462 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962464 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962474 */     GIR_RootConstrainSelectedInstOperands,
     /*  962475 */     // GIR_Coverage, 64218,
     /*  962475 */     GIR_EraseRootFromParent_Done,
     /*  962476 */   // Label 14469: @962476
     /*  962476 */   GIM_Try, /*On fail goto*//*Label 14470*/ GIMT_Encode4(962558), // Rule ID 64223 //
     /*  962481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962508 */     // MIs[0] op1
     /*  962508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962511 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962535 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  962538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962540 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962542 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962544 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962546 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962556 */     GIR_RootConstrainSelectedInstOperands,
     /*  962557 */     // GIR_Coverage, 64223,
     /*  962557 */     GIR_EraseRootFromParent_Done,
     /*  962558 */   // Label 14470: @962558
     /*  962558 */   GIM_Try, /*On fail goto*//*Label 14471*/ GIMT_Encode4(962640), // Rule ID 64224 //
     /*  962563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962590 */     // MIs[0] op1
     /*  962590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962593 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  962610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962617 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M1),
     /*  962620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962622 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962624 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962626 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962628 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962638 */     GIR_RootConstrainSelectedInstOperands,
     /*  962639 */     // GIR_Coverage, 64224,
     /*  962639 */     GIR_EraseRootFromParent_Done,
     /*  962640 */   // Label 14471: @962640
     /*  962640 */   GIM_Try, /*On fail goto*//*Label 14472*/ GIMT_Encode4(962722), // Rule ID 64235 //
     /*  962645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  962665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962672 */     // MIs[0] op1
     /*  962672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962675 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962699 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  962702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962704 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962706 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962708 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962710 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962720 */     GIR_RootConstrainSelectedInstOperands,
     /*  962721 */     // GIR_Coverage, 64235,
     /*  962721 */     GIR_EraseRootFromParent_Done,
     /*  962722 */   // Label 14472: @962722
     /*  962722 */   GIM_Try, /*On fail goto*//*Label 14473*/ GIMT_Encode4(962804), // Rule ID 64236 //
     /*  962727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  962735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s32,
     /*  962747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962754 */     // MIs[0] op1
     /*  962754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962757 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  962762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962781 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, VR:{ *:[nxv2i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M1),
     /*  962784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962786 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962788 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962790 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962792 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962802 */     GIR_RootConstrainSelectedInstOperands,
     /*  962803 */     // GIR_Coverage, 64236,
     /*  962803 */     GIR_EraseRootFromParent_Done,
     /*  962804 */   // Label 14473: @962804
     /*  962804 */   GIM_Try, /*On fail goto*//*Label 14474*/ GIMT_Encode4(962886), // Rule ID 64241 //
     /*  962809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962836 */     // MIs[0] op1
     /*  962836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962839 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962863 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  962863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  962866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962868 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962870 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962872 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962874 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962884 */     GIR_RootConstrainSelectedInstOperands,
     /*  962885 */     // GIR_Coverage, 64241,
     /*  962885 */     GIR_EraseRootFromParent_Done,
     /*  962886 */   // Label 14474: @962886
     /*  962886 */   GIM_Try, /*On fail goto*//*Label 14475*/ GIMT_Encode4(962968), // Rule ID 64242 //
     /*  962891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  962894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  962899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  962902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  962905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  962908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  962911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  962914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962918 */     // MIs[0] op1
     /*  962918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  962921 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  962926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  962930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  962934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  962938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  962945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M1:{ *:[nxv2i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM2:{ *:[nxv2i64] }:$op2, VR:{ *:[nxv2i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  962945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M1),
     /*  962948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  962950 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  962952 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  962954 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  962956 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  962958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  962963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  962966 */     GIR_RootConstrainSelectedInstOperands,
     /*  962967 */     // GIR_Coverage, 64242,
     /*  962967 */     GIR_EraseRootFromParent_Done,
     /*  962968 */   // Label 14475: @962968
     /*  962968 */   GIM_Try, /*On fail goto*//*Label 14476*/ GIMT_Encode4(963050), // Rule ID 64247 //
     /*  962973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  962976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  962981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  962984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  962987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  962990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  962993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  962996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963000 */     // MIs[0] op1
     /*  963000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963003 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963027 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  963030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963032 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963034 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963036 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963038 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963048 */     GIR_RootConstrainSelectedInstOperands,
     /*  963049 */     // GIR_Coverage, 64247,
     /*  963049 */     GIR_EraseRootFromParent_Done,
     /*  963050 */   // Label 14476: @963050
     /*  963050 */   GIM_Try, /*On fail goto*//*Label 14477*/ GIMT_Encode4(963132), // Rule ID 64248 //
     /*  963055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  963063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  963066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  963069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  963072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963082 */     // MIs[0] op1
     /*  963082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963085 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963109 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M2),
     /*  963112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963114 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963116 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963118 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963120 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963130 */     GIR_RootConstrainSelectedInstOperands,
     /*  963131 */     // GIR_Coverage, 64248,
     /*  963131 */     GIR_EraseRootFromParent_Done,
     /*  963132 */   // Label 14477: @963132
     /*  963132 */   GIM_Try, /*On fail goto*//*Label 14478*/ GIMT_Encode4(963214), // Rule ID 64259 //
     /*  963137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  963140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  963145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  963148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  963151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  963154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  963157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963164 */     // MIs[0] op1
     /*  963164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963167 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963191 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  963194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963196 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963198 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963200 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963202 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963212 */     GIR_RootConstrainSelectedInstOperands,
     /*  963213 */     // GIR_Coverage, 64259,
     /*  963213 */     GIR_EraseRootFromParent_Done,
     /*  963214 */   // Label 14478: @963214
     /*  963214 */   GIM_Try, /*On fail goto*//*Label 14479*/ GIMT_Encode4(963296), // Rule ID 64260 //
     /*  963219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  963227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  963230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  963233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  963236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s32,
     /*  963239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963246 */     // MIs[0] op1
     /*  963246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963249 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963273 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, VRM2:{ *:[nxv4i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M2),
     /*  963276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963278 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963280 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963282 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963284 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963294 */     GIR_RootConstrainSelectedInstOperands,
     /*  963295 */     // GIR_Coverage, 64260,
     /*  963295 */     GIR_EraseRootFromParent_Done,
     /*  963296 */   // Label 14479: @963296
     /*  963296 */   GIM_Try, /*On fail goto*//*Label 14480*/ GIMT_Encode4(963378), // Rule ID 64265 //
     /*  963301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  963304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  963309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  963312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  963315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  963318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963328 */     // MIs[0] op1
     /*  963328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963331 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  963336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  963348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963355 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  963358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963360 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963362 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963364 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963366 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963376 */     GIR_RootConstrainSelectedInstOperands,
     /*  963377 */     // GIR_Coverage, 64265,
     /*  963377 */     GIR_EraseRootFromParent_Done,
     /*  963378 */   // Label 14480: @963378
     /*  963378 */   GIM_Try, /*On fail goto*//*Label 14481*/ GIMT_Encode4(963460), // Rule ID 64266 //
     /*  963383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  963391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  963394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  963397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  963400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963410 */     // MIs[0] op1
     /*  963410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963413 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  963418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  963426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  963430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963437 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M2:{ *:[nxv4i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM4:{ *:[nxv4i64] }:$op2, VRM2:{ *:[nxv4i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M2),
     /*  963440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963442 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963444 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963446 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963448 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963458 */     GIR_RootConstrainSelectedInstOperands,
     /*  963459 */     // GIR_Coverage, 64266,
     /*  963459 */     GIR_EraseRootFromParent_Done,
     /*  963460 */   // Label 14481: @963460
     /*  963460 */   GIM_Try, /*On fail goto*//*Label 14482*/ GIMT_Encode4(963542), // Rule ID 64271 //
     /*  963465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  963468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  963473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  963485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963492 */     // MIs[0] op1
     /*  963492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963495 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963519 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i64] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  963522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963524 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963526 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963528 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963530 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963540 */     GIR_RootConstrainSelectedInstOperands,
     /*  963541 */     // GIR_Coverage, 64271,
     /*  963541 */     GIR_EraseRootFromParent_Done,
     /*  963542 */   // Label 14482: @963542
     /*  963542 */   GIM_Try, /*On fail goto*//*Label 14483*/ GIMT_Encode4(963624), // Rule ID 64272 //
     /*  963547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_xvw),
     /*  963555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963574 */     // MIs[0] op1
     /*  963574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963577 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /*  963594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963601 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11087:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_XVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, GPR:{ *:[i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_XVW_M4),
     /*  963604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963606 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963608 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963610 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963612 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963622 */     GIR_RootConstrainSelectedInstOperands,
     /*  963623 */     // GIR_Coverage, 64272,
     /*  963623 */     GIR_EraseRootFromParent_Done,
     /*  963624 */   // Label 14483: @963624
     /*  963624 */   GIM_Try, /*On fail goto*//*Label 14484*/ GIMT_Encode4(963706), // Rule ID 64283 //
     /*  963629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  963632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  963637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  963649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963656 */     // MIs[0] op1
     /*  963656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963659 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963683 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  963686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963688 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963690 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963692 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963694 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963704 */     GIR_RootConstrainSelectedInstOperands,
     /*  963705 */     // GIR_Coverage, 64283,
     /*  963705 */     GIR_EraseRootFromParent_Done,
     /*  963706 */   // Label 14484: @963706
     /*  963706 */   GIM_Try, /*On fail goto*//*Label 14485*/ GIMT_Encode4(963788), // Rule ID 64284 //
     /*  963711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_vvw),
     /*  963719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s32,
     /*  963731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963738 */     // MIs[0] op1
     /*  963738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963741 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload2),
     /*  963746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963765 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11079:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_VVW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload2>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, VRM4:{ *:[nxv8i32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_VVW_M4),
     /*  963768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963770 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963772 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963774 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963776 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963786 */     GIR_RootConstrainSelectedInstOperands,
     /*  963787 */     // GIR_Coverage, 64284,
     /*  963787 */     GIR_EraseRootFromParent_Done,
     /*  963788 */   // Label 14485: @963788
     /*  963788 */   GIM_Try, /*On fail goto*//*Label 14486*/ GIMT_Encode4(963870), // Rule ID 64289 //
     /*  963793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode0),
     /*  963796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  963801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963820 */     // MIs[0] op1
     /*  963820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963823 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  963828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  963840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963847 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i64] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  963847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  963850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963852 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963854 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963856 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963858 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963868 */     GIR_RootConstrainSelectedInstOperands,
     /*  963869 */     // GIR_Coverage, 64289,
     /*  963869 */     GIR_EraseRootFromParent_Done,
     /*  963870 */   // Label 14486: @963870
     /*  963870 */   GIM_Try, /*On fail goto*//*Label 14487*/ GIMT_Encode4(963952), // Rule ID 64290 //
     /*  963875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvcp_HwMode1),
     /*  963878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vc_v_fvw),
     /*  963883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  963886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  963889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  963892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  963895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  963898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963902 */     // MIs[0] op1
     /*  963902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /*  963905 */     GIM_CheckImmOperandPredicate, /*MI*/0, /*MO*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_payload1),
     /*  963910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  963914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  963918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /*  963922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  963929 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11065:{ *:[iPTR] }, (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVC_V_FPR32VW_M4:{ *:[nxv8i64] } (timm:{ *:[i32] })<<P:Predicate_payload1>>:$op1, VRM8:{ *:[nxv8i64] }:$op2, VRM4:{ *:[nxv8i32] }:$op3, FPR32:{ *:[f32] }:$op4, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  963929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVC_V_FPR32VW_M4),
     /*  963932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  963934 */     GIR_RootToRootCopy, /*OpIdx*/2, // op1
     /*  963936 */     GIR_RootToRootCopy, /*OpIdx*/3, // op2
     /*  963938 */     GIR_RootToRootCopy, /*OpIdx*/4, // op3
     /*  963940 */     GIR_RootToRootCopy, /*OpIdx*/5, // op4
     /*  963942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  963947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  963950 */     GIR_RootConstrainSelectedInstOperands,
     /*  963951 */     // GIR_Coverage, 64290,
     /*  963951 */     GIR_EraseRootFromParent_Done,
     /*  963952 */   // Label 14487: @963952
     /*  963952 */   GIM_Try, /*On fail goto*//*Label 14488*/ GIMT_Encode4(964044), // Rule ID 5202 //
     /*  963957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  963960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  963965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  963968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  963971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  963974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  963977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  963980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  963983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  963987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  963995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  963999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964007 */     // MIs[1] Operand 1
     /*  964007 */     // No operand predicates
     /*  964007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964011 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964020 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  964020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  964023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964029 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964042 */     GIR_RootConstrainSelectedInstOperands,
     /*  964043 */     // GIR_Coverage, 5202,
     /*  964043 */     GIR_EraseRootFromParent_Done,
     /*  964044 */   // Label 14488: @964044
     /*  964044 */   GIM_Try, /*On fail goto*//*Label 14489*/ GIMT_Encode4(964136), // Rule ID 5203 //
     /*  964049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  964060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  964063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  964066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964099 */     // MIs[1] Operand 1
     /*  964099 */     // No operand predicates
     /*  964099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964112 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  964112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF8),
     /*  964115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964134 */     GIR_RootConstrainSelectedInstOperands,
     /*  964135 */     // GIR_Coverage, 5203,
     /*  964135 */     GIR_EraseRootFromParent_Done,
     /*  964136 */   // Label 14489: @964136
     /*  964136 */   GIM_Try, /*On fail goto*//*Label 14490*/ GIMT_Encode4(964228), // Rule ID 5204 //
     /*  964141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  964152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  964155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  964158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964187 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964191 */     // MIs[1] Operand 1
     /*  964191 */     // No operand predicates
     /*  964191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964195 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964204 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  964204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  964207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964213 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964226 */     GIR_RootConstrainSelectedInstOperands,
     /*  964227 */     // GIR_Coverage, 5204,
     /*  964227 */     GIR_EraseRootFromParent_Done,
     /*  964228 */   // Label 14490: @964228
     /*  964228 */   GIM_Try, /*On fail goto*//*Label 14491*/ GIMT_Encode4(964320), // Rule ID 5205 //
     /*  964233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  964244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  964247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  964250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964283 */     // MIs[1] Operand 1
     /*  964283 */     // No operand predicates
     /*  964283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964296 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  964296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  964299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964318 */     GIR_RootConstrainSelectedInstOperands,
     /*  964319 */     // GIR_Coverage, 5205,
     /*  964319 */     GIR_EraseRootFromParent_Done,
     /*  964320 */   // Label 14491: @964320
     /*  964320 */   GIM_Try, /*On fail goto*//*Label 14492*/ GIMT_Encode4(964412), // Rule ID 5206 //
     /*  964325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  964336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  964339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  964342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964375 */     // MIs[1] Operand 1
     /*  964375 */     // No operand predicates
     /*  964375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  964388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964410 */     GIR_RootConstrainSelectedInstOperands,
     /*  964411 */     // GIR_Coverage, 5206,
     /*  964411 */     GIR_EraseRootFromParent_Done,
     /*  964412 */   // Label 14492: @964412
     /*  964412 */   GIM_Try, /*On fail goto*//*Label 14493*/ GIMT_Encode4(964504), // Rule ID 5207 //
     /*  964417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  964428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  964431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  964434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  964440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964467 */     // MIs[1] Operand 1
     /*  964467 */     // No operand predicates
     /*  964467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964480 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  964480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  964502 */     GIR_RootConstrainSelectedInstOperands,
     /*  964503 */     // GIR_Coverage, 5207,
     /*  964503 */     GIR_EraseRootFromParent_Done,
     /*  964504 */   // Label 14493: @964504
     /*  964504 */   GIM_Try, /*On fail goto*//*Label 14494*/ GIMT_Encode4(964596), // Rule ID 5208 //
     /*  964509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  964520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  964523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  964526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964559 */     // MIs[1] Operand 1
     /*  964559 */     // No operand predicates
     /*  964559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964563 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964572 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  964572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  964575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964581 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964594 */     GIR_RootConstrainSelectedInstOperands,
     /*  964595 */     // GIR_Coverage, 5208,
     /*  964595 */     GIR_EraseRootFromParent_Done,
     /*  964596 */   // Label 14494: @964596
     /*  964596 */   GIM_Try, /*On fail goto*//*Label 14495*/ GIMT_Encode4(964688), // Rule ID 5209 //
     /*  964601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  964612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  964615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  964618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964651 */     // MIs[1] Operand 1
     /*  964651 */     // No operand predicates
     /*  964651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  964664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF4),
     /*  964667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964686 */     GIR_RootConstrainSelectedInstOperands,
     /*  964687 */     // GIR_Coverage, 5209,
     /*  964687 */     GIR_EraseRootFromParent_Done,
     /*  964688 */   // Label 14495: @964688
     /*  964688 */   GIM_Try, /*On fail goto*//*Label 14496*/ GIMT_Encode4(964780), // Rule ID 5210 //
     /*  964693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  964704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  964707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964743 */     // MIs[1] Operand 1
     /*  964743 */     // No operand predicates
     /*  964743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964756 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  964756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964765 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964778 */     GIR_RootConstrainSelectedInstOperands,
     /*  964779 */     // GIR_Coverage, 5210,
     /*  964779 */     GIR_EraseRootFromParent_Done,
     /*  964780 */   // Label 14496: @964780
     /*  964780 */   GIM_Try, /*On fail goto*//*Label 14497*/ GIMT_Encode4(964872), // Rule ID 5211 //
     /*  964785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  964796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  964799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  964802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  964808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964835 */     // MIs[1] Operand 1
     /*  964835 */     // No operand predicates
     /*  964835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964848 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  964848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  964870 */     GIR_RootConstrainSelectedInstOperands,
     /*  964871 */     // GIR_Coverage, 5211,
     /*  964871 */     GIR_EraseRootFromParent_Done,
     /*  964872 */   // Label 14497: @964872
     /*  964872 */   GIM_Try, /*On fail goto*//*Label 14498*/ GIMT_Encode4(964964), // Rule ID 5212 //
     /*  964877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  964880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  964888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  964891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  964897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  964903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  964915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  964919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  964923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  964927 */     // MIs[1] Operand 1
     /*  964927 */     // No operand predicates
     /*  964927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  964931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  964933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  964940 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  964940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  964943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  964945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  964947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  964949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  964952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  964954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  964959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  964962 */     GIR_RootConstrainSelectedInstOperands,
     /*  964963 */     // GIR_Coverage, 5212,
     /*  964963 */     GIR_EraseRootFromParent_Done,
     /*  964964 */   // Label 14498: @964964
     /*  964964 */   GIM_Try, /*On fail goto*//*Label 14499*/ GIMT_Encode4(965056), // Rule ID 5213 //
     /*  964969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  964972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  964977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  964980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  964983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  964986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  964989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  964992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  964995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  964999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965019 */     // MIs[1] Operand 1
     /*  965019 */     // No operand predicates
     /*  965019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  965032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_MF2),
     /*  965035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965054 */     GIR_RootConstrainSelectedInstOperands,
     /*  965055 */     // GIR_Coverage, 5213,
     /*  965055 */     GIR_EraseRootFromParent_Done,
     /*  965056 */   // Label 14499: @965056
     /*  965056 */   GIM_Try, /*On fail goto*//*Label 14500*/ GIMT_Encode4(965148), // Rule ID 5214 //
     /*  965061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  965072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  965075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  965078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965111 */     // MIs[1] Operand 1
     /*  965111 */     // No operand predicates
     /*  965111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965124 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  965124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965146 */     GIR_RootConstrainSelectedInstOperands,
     /*  965147 */     // GIR_Coverage, 5214,
     /*  965147 */     GIR_EraseRootFromParent_Done,
     /*  965148 */   // Label 14500: @965148
     /*  965148 */   GIM_Try, /*On fail goto*//*Label 14501*/ GIMT_Encode4(965240), // Rule ID 5215 //
     /*  965153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  965164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  965167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  965170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  965176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965203 */     // MIs[1] Operand 1
     /*  965203 */     // No operand predicates
     /*  965203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965216 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  965216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965238 */     GIR_RootConstrainSelectedInstOperands,
     /*  965239 */     // GIR_Coverage, 5215,
     /*  965239 */     GIR_EraseRootFromParent_Done,
     /*  965240 */   // Label 14501: @965240
     /*  965240 */   GIM_Try, /*On fail goto*//*Label 14502*/ GIMT_Encode4(965332), // Rule ID 5216 //
     /*  965245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  965256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  965259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  965262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965295 */     // MIs[1] Operand 1
     /*  965295 */     // No operand predicates
     /*  965295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  965308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965330 */     GIR_RootConstrainSelectedInstOperands,
     /*  965331 */     // GIR_Coverage, 5216,
     /*  965331 */     GIR_EraseRootFromParent_Done,
     /*  965332 */   // Label 14502: @965332
     /*  965332 */   GIM_Try, /*On fail goto*//*Label 14503*/ GIMT_Encode4(965424), // Rule ID 5217 //
     /*  965337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  965348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  965351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  965354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  965360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965375 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965379 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965383 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965387 */     // MIs[1] Operand 1
     /*  965387 */     // No operand predicates
     /*  965387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965400 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  965400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  965422 */     GIR_RootConstrainSelectedInstOperands,
     /*  965423 */     // GIR_Coverage, 5217,
     /*  965423 */     GIR_EraseRootFromParent_Done,
     /*  965424 */   // Label 14503: @965424
     /*  965424 */   GIM_Try, /*On fail goto*//*Label 14504*/ GIMT_Encode4(965516), // Rule ID 5218 //
     /*  965429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  965440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  965443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  965446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965479 */     // MIs[1] Operand 1
     /*  965479 */     // No operand predicates
     /*  965479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965492 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  965492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965514 */     GIR_RootConstrainSelectedInstOperands,
     /*  965515 */     // GIR_Coverage, 5218,
     /*  965515 */     GIR_EraseRootFromParent_Done,
     /*  965516 */   // Label 14504: @965516
     /*  965516 */   GIM_Try, /*On fail goto*//*Label 14505*/ GIMT_Encode4(965608), // Rule ID 5219 //
     /*  965521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  965532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  965535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  965538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  965544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965571 */     // MIs[1] Operand 1
     /*  965571 */     // No operand predicates
     /*  965571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  965584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  965606 */     GIR_RootConstrainSelectedInstOperands,
     /*  965607 */     // GIR_Coverage, 5219,
     /*  965607 */     GIR_EraseRootFromParent_Done,
     /*  965608 */   // Label 14505: @965608
     /*  965608 */   GIM_Try, /*On fail goto*//*Label 14506*/ GIMT_Encode4(965700), // Rule ID 5220 //
     /*  965613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  965616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  965624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  965627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  965630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965663 */     // MIs[1] Operand 1
     /*  965663 */     // No operand predicates
     /*  965663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965676 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  965676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965698 */     GIR_RootConstrainSelectedInstOperands,
     /*  965699 */     // GIR_Coverage, 5220,
     /*  965699 */     GIR_EraseRootFromParent_Done,
     /*  965700 */   // Label 14506: @965700
     /*  965700 */   GIM_Try, /*On fail goto*//*Label 14507*/ GIMT_Encode4(965792), // Rule ID 5221 //
     /*  965705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  965708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  965716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  965719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  965722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  965728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  965735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  965743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965755 */     // MIs[1] Operand 1
     /*  965755 */     // No operand predicates
     /*  965755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965768 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  965768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M1),
     /*  965771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  965790 */     GIR_RootConstrainSelectedInstOperands,
     /*  965791 */     // GIR_Coverage, 5221,
     /*  965791 */     GIR_EraseRootFromParent_Done,
     /*  965792 */   // Label 14507: @965792
     /*  965792 */   GIM_Try, /*On fail goto*//*Label 14508*/ GIMT_Encode4(965884), // Rule ID 5222 //
     /*  965797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  965808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  965811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  965817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  965823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965847 */     // MIs[1] Operand 1
     /*  965847 */     // No operand predicates
     /*  965847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965851 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965860 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  965860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965869 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965882 */     GIR_RootConstrainSelectedInstOperands,
     /*  965883 */     // GIR_Coverage, 5222,
     /*  965883 */     GIR_EraseRootFromParent_Done,
     /*  965884 */   // Label 14508: @965884
     /*  965884 */   GIM_Try, /*On fail goto*//*Label 14509*/ GIMT_Encode4(965976), // Rule ID 5223 //
     /*  965889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  965892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  965900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  965903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  965906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  965909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  965912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  965915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  965919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  965927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  965931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  965935 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  965939 */     // MIs[1] Operand 1
     /*  965939 */     // No operand predicates
     /*  965939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  965943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  965945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  965952 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  965952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  965955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  965957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  965959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  965961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  965964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  965966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  965971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  965974 */     GIR_RootConstrainSelectedInstOperands,
     /*  965975 */     // GIR_Coverage, 5223,
     /*  965975 */     GIR_EraseRootFromParent_Done,
     /*  965976 */   // Label 14509: @965976
     /*  965976 */   GIM_Try, /*On fail goto*//*Label 14510*/ GIMT_Encode4(966068), // Rule ID 5224 //
     /*  965981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  965984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  965989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  965992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  965995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  965998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966031 */     // MIs[1] Operand 1
     /*  966031 */     // No operand predicates
     /*  966031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966044 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  966044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966066 */     GIR_RootConstrainSelectedInstOperands,
     /*  966067 */     // GIR_Coverage, 5224,
     /*  966067 */     GIR_EraseRootFromParent_Done,
     /*  966068 */   // Label 14510: @966068
     /*  966068 */   GIM_Try, /*On fail goto*//*Label 14511*/ GIMT_Encode4(966160), // Rule ID 5225 //
     /*  966073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  966084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  966087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  966090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966123 */     // MIs[1] Operand 1
     /*  966123 */     // No operand predicates
     /*  966123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  966136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966158 */     GIR_RootConstrainSelectedInstOperands,
     /*  966159 */     // GIR_Coverage, 5225,
     /*  966159 */     GIR_EraseRootFromParent_Done,
     /*  966160 */   // Label 14511: @966160
     /*  966160 */   GIM_Try, /*On fail goto*//*Label 14512*/ GIMT_Encode4(966252), // Rule ID 5226 //
     /*  966165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  966176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  966179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  966182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  966188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966215 */     // MIs[1] Operand 1
     /*  966215 */     // No operand predicates
     /*  966215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966228 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  966228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966250 */     GIR_RootConstrainSelectedInstOperands,
     /*  966251 */     // GIR_Coverage, 5226,
     /*  966251 */     GIR_EraseRootFromParent_Done,
     /*  966252 */   // Label 14512: @966252
     /*  966252 */   GIM_Try, /*On fail goto*//*Label 14513*/ GIMT_Encode4(966344), // Rule ID 5227 //
     /*  966257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  966268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  966271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  966274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  966280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966307 */     // MIs[1] Operand 1
     /*  966307 */     // No operand predicates
     /*  966307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966311 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966320 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  966320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966329 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  966342 */     GIR_RootConstrainSelectedInstOperands,
     /*  966343 */     // GIR_Coverage, 5227,
     /*  966343 */     GIR_EraseRootFromParent_Done,
     /*  966344 */   // Label 14513: @966344
     /*  966344 */   GIM_Try, /*On fail goto*//*Label 14514*/ GIMT_Encode4(966436), // Rule ID 5228 //
     /*  966349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  966360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  966363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  966366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966399 */     // MIs[1] Operand 1
     /*  966399 */     // No operand predicates
     /*  966399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966403 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966412 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  966412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966421 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966434 */     GIR_RootConstrainSelectedInstOperands,
     /*  966435 */     // GIR_Coverage, 5228,
     /*  966435 */     GIR_EraseRootFromParent_Done,
     /*  966436 */   // Label 14514: @966436
     /*  966436 */   GIM_Try, /*On fail goto*//*Label 14515*/ GIMT_Encode4(966528), // Rule ID 5229 //
     /*  966441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  966452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  966455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  966458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  966464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966491 */     // MIs[1] Operand 1
     /*  966491 */     // No operand predicates
     /*  966491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966504 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  966504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966526 */     GIR_RootConstrainSelectedInstOperands,
     /*  966527 */     // GIR_Coverage, 5229,
     /*  966527 */     GIR_EraseRootFromParent_Done,
     /*  966528 */   // Label 14515: @966528
     /*  966528 */   GIM_Try, /*On fail goto*//*Label 14516*/ GIMT_Encode4(966620), // Rule ID 5230 //
     /*  966533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  966544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  966547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  966550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966579 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966583 */     // MIs[1] Operand 1
     /*  966583 */     // No operand predicates
     /*  966583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966596 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  966596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966618 */     GIR_RootConstrainSelectedInstOperands,
     /*  966619 */     // GIR_Coverage, 5230,
     /*  966619 */     GIR_EraseRootFromParent_Done,
     /*  966620 */   // Label 14516: @966620
     /*  966620 */   GIM_Try, /*On fail goto*//*Label 14517*/ GIMT_Encode4(966712), // Rule ID 5231 //
     /*  966625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  966636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  966639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  966642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  966648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  966655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  966663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966675 */     // MIs[1] Operand 1
     /*  966675 */     // No operand predicates
     /*  966675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  966688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  966691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966710 */     GIR_RootConstrainSelectedInstOperands,
     /*  966711 */     // GIR_Coverage, 5231,
     /*  966711 */     GIR_EraseRootFromParent_Done,
     /*  966712 */   // Label 14517: @966712
     /*  966712 */   GIM_Try, /*On fail goto*//*Label 14518*/ GIMT_Encode4(966804), // Rule ID 5232 //
     /*  966717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  966728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  966731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966767 */     // MIs[1] Operand 1
     /*  966767 */     // No operand predicates
     /*  966767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966780 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  966780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966802 */     GIR_RootConstrainSelectedInstOperands,
     /*  966803 */     // GIR_Coverage, 5232,
     /*  966803 */     GIR_EraseRootFromParent_Done,
     /*  966804 */   // Label 14518: @966804
     /*  966804 */   GIM_Try, /*On fail goto*//*Label 14519*/ GIMT_Encode4(966896), // Rule ID 5233 //
     /*  966809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  966820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  966823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  966826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  966829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  966832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  966835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  966839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  966847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966859 */     // MIs[1] Operand 1
     /*  966859 */     // No operand predicates
     /*  966859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966863 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966872 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  966872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  966875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966881 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  966894 */     GIR_RootConstrainSelectedInstOperands,
     /*  966895 */     // GIR_Coverage, 5233,
     /*  966895 */     GIR_EraseRootFromParent_Done,
     /*  966896 */   // Label 14519: @966896
     /*  966896 */   GIM_Try, /*On fail goto*//*Label 14520*/ GIMT_Encode4(966988), // Rule ID 5234 //
     /*  966901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  966904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  966909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  966912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  966915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  966918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  966921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  966924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  966927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  966931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  966939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  966943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  966947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  966951 */     // MIs[1] Operand 1
     /*  966951 */     // No operand predicates
     /*  966951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  966955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  966957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  966964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  966964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  966967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  966969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  966971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  966973 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  966976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  966978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  966983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  966986 */     GIR_RootConstrainSelectedInstOperands,
     /*  966987 */     // GIR_Coverage, 5234,
     /*  966987 */     GIR_EraseRootFromParent_Done,
     /*  966988 */   // Label 14520: @966988
     /*  966988 */   GIM_Try, /*On fail goto*//*Label 14521*/ GIMT_Encode4(967080), // Rule ID 5235 //
     /*  966993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  966996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  967004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  967007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  967010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  967023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967031 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967035 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967039 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967043 */     // MIs[1] Operand 1
     /*  967043 */     // No operand predicates
     /*  967043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  967056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  967059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967078 */     GIR_RootConstrainSelectedInstOperands,
     /*  967079 */     // GIR_Coverage, 5235,
     /*  967079 */     GIR_EraseRootFromParent_Done,
     /*  967080 */   // Label 14521: @967080
     /*  967080 */   GIM_Try, /*On fail goto*//*Label 14522*/ GIMT_Encode4(967172), // Rule ID 5236 //
     /*  967085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  967096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  967099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  967102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967135 */     // MIs[1] Operand 1
     /*  967135 */     // No operand predicates
     /*  967135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  967148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  967151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967170 */     GIR_RootConstrainSelectedInstOperands,
     /*  967171 */     // GIR_Coverage, 5236,
     /*  967171 */     GIR_EraseRootFromParent_Done,
     /*  967172 */   // Label 14522: @967172
     /*  967172 */   GIM_Try, /*On fail goto*//*Label 14523*/ GIMT_Encode4(967264), // Rule ID 5237 //
     /*  967177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  967188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  967191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  967194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967227 */     // MIs[1] Operand 1
     /*  967227 */     // No operand predicates
     /*  967227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  967240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  967243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967262 */     GIR_RootConstrainSelectedInstOperands,
     /*  967263 */     // GIR_Coverage, 5237,
     /*  967263 */     GIR_EraseRootFromParent_Done,
     /*  967264 */   // Label 14523: @967264
     /*  967264 */   GIM_Try, /*On fail goto*//*Label 14524*/ GIMT_Encode4(967356), // Rule ID 5238 //
     /*  967269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  967272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  967280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  967283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  967286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967319 */     // MIs[1] Operand 1
     /*  967319 */     // No operand predicates
     /*  967319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  967332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  967335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967354 */     GIR_RootConstrainSelectedInstOperands,
     /*  967355 */     // GIR_Coverage, 5238,
     /*  967355 */     GIR_EraseRootFromParent_Done,
     /*  967356 */   // Label 14524: @967356
     /*  967356 */   GIM_Try, /*On fail goto*//*Label 14525*/ GIMT_Encode4(967448), // Rule ID 5239 //
     /*  967361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  967364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  967372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  967375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  967378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  967384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967411 */     // MIs[1] Operand 1
     /*  967411 */     // No operand predicates
     /*  967411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967424 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  967424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  967427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  967446 */     GIR_RootConstrainSelectedInstOperands,
     /*  967447 */     // GIR_Coverage, 5239,
     /*  967447 */     GIR_EraseRootFromParent_Done,
     /*  967448 */   // Label 14525: @967448
     /*  967448 */   GIM_Try, /*On fail goto*//*Label 14526*/ GIMT_Encode4(967540), // Rule ID 5240 //
     /*  967453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  967464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  967467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  967470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  967483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967503 */     // MIs[1] Operand 1
     /*  967503 */     // No operand predicates
     /*  967503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  967516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  967519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967538 */     GIR_RootConstrainSelectedInstOperands,
     /*  967539 */     // GIR_Coverage, 5240,
     /*  967539 */     GIR_EraseRootFromParent_Done,
     /*  967540 */   // Label 14526: @967540
     /*  967540 */   GIM_Try, /*On fail goto*//*Label 14527*/ GIMT_Encode4(967632), // Rule ID 5241 //
     /*  967545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  967556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  967559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  967562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  967568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  967575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  967583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967595 */     // MIs[1] Operand 1
     /*  967595 */     // No operand predicates
     /*  967595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967608 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  967608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M2),
     /*  967611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967630 */     GIR_RootConstrainSelectedInstOperands,
     /*  967631 */     // GIR_Coverage, 5241,
     /*  967631 */     GIR_EraseRootFromParent_Done,
     /*  967632 */   // Label 14527: @967632
     /*  967632 */   GIM_Try, /*On fail goto*//*Label 14528*/ GIMT_Encode4(967724), // Rule ID 5242 //
     /*  967637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  967648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  967651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967687 */     // MIs[1] Operand 1
     /*  967687 */     // No operand predicates
     /*  967687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  967700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  967703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967722 */     GIR_RootConstrainSelectedInstOperands,
     /*  967723 */     // GIR_Coverage, 5242,
     /*  967723 */     GIR_EraseRootFromParent_Done,
     /*  967724 */   // Label 14528: @967724
     /*  967724 */   GIM_Try, /*On fail goto*//*Label 14529*/ GIMT_Encode4(967816), // Rule ID 5243 //
     /*  967729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  967740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  967743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  967746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  967752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  967759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  967767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967779 */     // MIs[1] Operand 1
     /*  967779 */     // No operand predicates
     /*  967779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  967792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M4),
     /*  967795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967814 */     GIR_RootConstrainSelectedInstOperands,
     /*  967815 */     // GIR_Coverage, 5243,
     /*  967815 */     GIR_EraseRootFromParent_Done,
     /*  967816 */   // Label 14529: @967816
     /*  967816 */   GIM_Try, /*On fail goto*//*Label 14530*/ GIMT_Encode4(967908), // Rule ID 5244 //
     /*  967821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  967824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  967832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  967835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  967841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  967847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967871 */     // MIs[1] Operand 1
     /*  967871 */     // No operand predicates
     /*  967871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  967884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  967887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967906 */     GIR_RootConstrainSelectedInstOperands,
     /*  967907 */     // GIR_Coverage, 5244,
     /*  967907 */     GIR_EraseRootFromParent_Done,
     /*  967908 */   // Label 14530: @967908
     /*  967908 */   GIM_Try, /*On fail goto*//*Label 14531*/ GIMT_Encode4(968000), // Rule ID 5245 //
     /*  967913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  967916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /*  967921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  967924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  967927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  967930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  967933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  967936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  967939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  967943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  967951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  967955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  967959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  967963 */     // MIs[1] Operand 1
     /*  967963 */     // No operand predicates
     /*  967963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  967967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  967969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  967976 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  967976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VIM_M8),
     /*  967979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  967981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  967983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  967985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  967988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  967990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  967995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  967998 */     GIR_RootConstrainSelectedInstOperands,
     /*  967999 */     // GIR_Coverage, 5245,
     /*  967999 */     GIR_EraseRootFromParent_Done,
     /*  968000 */   // Label 14531: @968000
     /*  968000 */   GIM_Try, /*On fail goto*//*Label 14532*/ GIMT_Encode4(968095), // Rule ID 7976 //
     /*  968005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  968022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968055 */     // MIs[1] Operand 1
     /*  968055 */     // No operand predicates
     /*  968055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968068 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  968071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968093 */     GIR_RootConstrainSelectedInstOperands,
     /*  968094 */     // GIR_Coverage, 7976,
     /*  968094 */     GIR_EraseRootFromParent_Done,
     /*  968095 */   // Label 14532: @968095
     /*  968095 */   GIM_Try, /*On fail goto*//*Label 14533*/ GIMT_Encode4(968190), // Rule ID 7977 //
     /*  968100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  968117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968150 */     // MIs[1] Operand 1
     /*  968150 */     // No operand predicates
     /*  968150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968163 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF8_MASK),
     /*  968166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968188 */     GIR_RootConstrainSelectedInstOperands,
     /*  968189 */     // GIR_Coverage, 7977,
     /*  968189 */     GIR_EraseRootFromParent_Done,
     /*  968190 */   // Label 14533: @968190
     /*  968190 */   GIM_Try, /*On fail goto*//*Label 14534*/ GIMT_Encode4(968285), // Rule ID 7980 //
     /*  968195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  968212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968245 */     // MIs[1] Operand 1
     /*  968245 */     // No operand predicates
     /*  968245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968258 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  968261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968283 */     GIR_RootConstrainSelectedInstOperands,
     /*  968284 */     // GIR_Coverage, 7980,
     /*  968284 */     GIR_EraseRootFromParent_Done,
     /*  968285 */   // Label 14534: @968285
     /*  968285 */   GIM_Try, /*On fail goto*//*Label 14535*/ GIMT_Encode4(968380), // Rule ID 7981 //
     /*  968290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  968307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968340 */     // MIs[1] Operand 1
     /*  968340 */     // No operand predicates
     /*  968340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968353 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  968356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968378 */     GIR_RootConstrainSelectedInstOperands,
     /*  968379 */     // GIR_Coverage, 7981,
     /*  968379 */     GIR_EraseRootFromParent_Done,
     /*  968380 */   // Label 14535: @968380
     /*  968380 */   GIM_Try, /*On fail goto*//*Label 14536*/ GIMT_Encode4(968475), // Rule ID 7984 //
     /*  968385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  968402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968435 */     // MIs[1] Operand 1
     /*  968435 */     // No operand predicates
     /*  968435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968448 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  968448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968473 */     GIR_RootConstrainSelectedInstOperands,
     /*  968474 */     // GIR_Coverage, 7984,
     /*  968474 */     GIR_EraseRootFromParent_Done,
     /*  968475 */   // Label 14536: @968475
     /*  968475 */   GIM_Try, /*On fail goto*//*Label 14537*/ GIMT_Encode4(968570), // Rule ID 7985 //
     /*  968480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  968491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  968494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  968497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  968503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968530 */     // MIs[1] Operand 1
     /*  968530 */     // No operand predicates
     /*  968530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968543 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  968543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  968565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968568 */     GIR_RootConstrainSelectedInstOperands,
     /*  968569 */     // GIR_Coverage, 7985,
     /*  968569 */     GIR_EraseRootFromParent_Done,
     /*  968570 */   // Label 14537: @968570
     /*  968570 */   GIM_Try, /*On fail goto*//*Label 14538*/ GIMT_Encode4(968665), // Rule ID 7988 //
     /*  968575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968625 */     // MIs[1] Operand 1
     /*  968625 */     // No operand predicates
     /*  968625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968638 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  968641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968663 */     GIR_RootConstrainSelectedInstOperands,
     /*  968664 */     // GIR_Coverage, 7988,
     /*  968664 */     GIR_EraseRootFromParent_Done,
     /*  968665 */   // Label 14538: @968665
     /*  968665 */   GIM_Try, /*On fail goto*//*Label 14539*/ GIMT_Encode4(968760), // Rule ID 7989 //
     /*  968670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  968687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968720 */     // MIs[1] Operand 1
     /*  968720 */     // No operand predicates
     /*  968720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968733 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF4_MASK),
     /*  968736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968758 */     GIR_RootConstrainSelectedInstOperands,
     /*  968759 */     // GIR_Coverage, 7989,
     /*  968759 */     GIR_EraseRootFromParent_Done,
     /*  968760 */   // Label 14539: @968760
     /*  968760 */   GIM_Try, /*On fail goto*//*Label 14540*/ GIMT_Encode4(968855), // Rule ID 7992 //
     /*  968765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968815 */     // MIs[1] Operand 1
     /*  968815 */     // No operand predicates
     /*  968815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968828 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  968828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968853 */     GIR_RootConstrainSelectedInstOperands,
     /*  968854 */     // GIR_Coverage, 7992,
     /*  968854 */     GIR_EraseRootFromParent_Done,
     /*  968855 */   // Label 14540: @968855
     /*  968855 */   GIM_Try, /*On fail goto*//*Label 14541*/ GIMT_Encode4(968950), // Rule ID 7993 //
     /*  968860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  968863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  968871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  968874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  968877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  968880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  968883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  968886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  968906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  968910 */     // MIs[1] Operand 1
     /*  968910 */     // No operand predicates
     /*  968910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  968914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  968916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  968923 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  968923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  968926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  968928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  968930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  968932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  968935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  968937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  968942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  968945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  968948 */     GIR_RootConstrainSelectedInstOperands,
     /*  968949 */     // GIR_Coverage, 7993,
     /*  968949 */     GIR_EraseRootFromParent_Done,
     /*  968950 */   // Label 14541: @968950
     /*  968950 */   GIM_Try, /*On fail goto*//*Label 14542*/ GIMT_Encode4(969045), // Rule ID 7996 //
     /*  968955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  968958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  968963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  968966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  968969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  968972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  968975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  968978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  968981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  968993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  968997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969005 */     // MIs[1] Operand 1
     /*  969005 */     // No operand predicates
     /*  969005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969018 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  969018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  969021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969043 */     GIR_RootConstrainSelectedInstOperands,
     /*  969044 */     // GIR_Coverage, 7996,
     /*  969044 */     GIR_EraseRootFromParent_Done,
     /*  969045 */   // Label 14542: @969045
     /*  969045 */   GIM_Try, /*On fail goto*//*Label 14543*/ GIMT_Encode4(969140), // Rule ID 7997 //
     /*  969050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  969067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969100 */     // MIs[1] Operand 1
     /*  969100 */     // No operand predicates
     /*  969100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969113 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_MF2_MASK),
     /*  969116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969138 */     GIR_RootConstrainSelectedInstOperands,
     /*  969139 */     // GIR_Coverage, 7997,
     /*  969139 */     GIR_EraseRootFromParent_Done,
     /*  969140 */   // Label 14543: @969140
     /*  969140 */   GIM_Try, /*On fail goto*//*Label 14544*/ GIMT_Encode4(969235), // Rule ID 8000 //
     /*  969145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  969162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969195 */     // MIs[1] Operand 1
     /*  969195 */     // No operand predicates
     /*  969195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969208 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969233 */     GIR_RootConstrainSelectedInstOperands,
     /*  969234 */     // GIR_Coverage, 8000,
     /*  969234 */     GIR_EraseRootFromParent_Done,
     /*  969235 */   // Label 14544: @969235
     /*  969235 */   GIM_Try, /*On fail goto*//*Label 14545*/ GIMT_Encode4(969330), // Rule ID 8001 //
     /*  969240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  969251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  969254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  969257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  969263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969290 */     // MIs[1] Operand 1
     /*  969290 */     // No operand predicates
     /*  969290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969303 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  969303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969328 */     GIR_RootConstrainSelectedInstOperands,
     /*  969329 */     // GIR_Coverage, 8001,
     /*  969329 */     GIR_EraseRootFromParent_Done,
     /*  969330 */   // Label 14545: @969330
     /*  969330 */   GIM_Try, /*On fail goto*//*Label 14546*/ GIMT_Encode4(969425), // Rule ID 8004 //
     /*  969335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  969352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969385 */     // MIs[1] Operand 1
     /*  969385 */     // No operand predicates
     /*  969385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969398 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  969398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969423 */     GIR_RootConstrainSelectedInstOperands,
     /*  969424 */     // GIR_Coverage, 8004,
     /*  969424 */     GIR_EraseRootFromParent_Done,
     /*  969425 */   // Label 14546: @969425
     /*  969425 */   GIM_Try, /*On fail goto*//*Label 14547*/ GIMT_Encode4(969520), // Rule ID 8005 //
     /*  969430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  969441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  969444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  969447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  969453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969480 */     // MIs[1] Operand 1
     /*  969480 */     // No operand predicates
     /*  969480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969493 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  969493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  969515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969518 */     GIR_RootConstrainSelectedInstOperands,
     /*  969519 */     // GIR_Coverage, 8005,
     /*  969519 */     GIR_EraseRootFromParent_Done,
     /*  969520 */   // Label 14547: @969520
     /*  969520 */   GIM_Try, /*On fail goto*//*Label 14548*/ GIMT_Encode4(969615), // Rule ID 8008 //
     /*  969525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  969542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969575 */     // MIs[1] Operand 1
     /*  969575 */     // No operand predicates
     /*  969575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969588 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  969588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969613 */     GIR_RootConstrainSelectedInstOperands,
     /*  969614 */     // GIR_Coverage, 8008,
     /*  969614 */     GIR_EraseRootFromParent_Done,
     /*  969615 */   // Label 14548: @969615
     /*  969615 */   GIM_Try, /*On fail goto*//*Label 14549*/ GIMT_Encode4(969710), // Rule ID 8009 //
     /*  969620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  969623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  969631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  969634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  969637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  969643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969670 */     // MIs[1] Operand 1
     /*  969670 */     // No operand predicates
     /*  969670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969683 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  969683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  969705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969708 */     GIR_RootConstrainSelectedInstOperands,
     /*  969709 */     // GIR_Coverage, 8009,
     /*  969709 */     GIR_EraseRootFromParent_Done,
     /*  969710 */   // Label 14549: @969710
     /*  969710 */   GIM_Try, /*On fail goto*//*Label 14550*/ GIMT_Encode4(969805), // Rule ID 8012 //
     /*  969715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  969718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969765 */     // MIs[1] Operand 1
     /*  969765 */     // No operand predicates
     /*  969765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  969778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969803 */     GIR_RootConstrainSelectedInstOperands,
     /*  969804 */     // GIR_Coverage, 8012,
     /*  969804 */     GIR_EraseRootFromParent_Done,
     /*  969805 */   // Label 14550: @969805
     /*  969805 */   GIM_Try, /*On fail goto*//*Label 14551*/ GIMT_Encode4(969900), // Rule ID 8013 //
     /*  969810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  969813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  969821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  969824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  969827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  969830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  969833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  969836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969860 */     // MIs[1] Operand 1
     /*  969860 */     // No operand predicates
     /*  969860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969873 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  969873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M1_MASK),
     /*  969876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  969895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969898 */     GIR_RootConstrainSelectedInstOperands,
     /*  969899 */     // GIR_Coverage, 8013,
     /*  969899 */     GIR_EraseRootFromParent_Done,
     /*  969900 */   // Label 14551: @969900
     /*  969900 */   GIM_Try, /*On fail goto*//*Label 14552*/ GIMT_Encode4(969995), // Rule ID 8016 //
     /*  969905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  969908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  969913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  969916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  969919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  969922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  969925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  969928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  969931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  969939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  969943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  969947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  969951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  969955 */     // MIs[1] Operand 1
     /*  969955 */     // No operand predicates
     /*  969955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  969959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  969961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  969968 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  969968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  969971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  969973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  969975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  969977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  969980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  969982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  969987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  969990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  969993 */     GIR_RootConstrainSelectedInstOperands,
     /*  969994 */     // GIR_Coverage, 8016,
     /*  969994 */     GIR_EraseRootFromParent_Done,
     /*  969995 */   // Label 14552: @969995
     /*  969995 */   GIM_Try, /*On fail goto*//*Label 14553*/ GIMT_Encode4(970090), // Rule ID 8017 //
     /*  970000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  970017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970050 */     // MIs[1] Operand 1
     /*  970050 */     // No operand predicates
     /*  970050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970063 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970088 */     GIR_RootConstrainSelectedInstOperands,
     /*  970089 */     // GIR_Coverage, 8017,
     /*  970089 */     GIR_EraseRootFromParent_Done,
     /*  970090 */   // Label 14553: @970090
     /*  970090 */   GIM_Try, /*On fail goto*//*Label 14554*/ GIMT_Encode4(970185), // Rule ID 8020 //
     /*  970095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  970112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970145 */     // MIs[1] Operand 1
     /*  970145 */     // No operand predicates
     /*  970145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970158 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  970158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970183 */     GIR_RootConstrainSelectedInstOperands,
     /*  970184 */     // GIR_Coverage, 8020,
     /*  970184 */     GIR_EraseRootFromParent_Done,
     /*  970185 */   // Label 14554: @970185
     /*  970185 */   GIM_Try, /*On fail goto*//*Label 14555*/ GIMT_Encode4(970280), // Rule ID 8021 //
     /*  970190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  970207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970240 */     // MIs[1] Operand 1
     /*  970240 */     // No operand predicates
     /*  970240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970253 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970278 */     GIR_RootConstrainSelectedInstOperands,
     /*  970279 */     // GIR_Coverage, 8021,
     /*  970279 */     GIR_EraseRootFromParent_Done,
     /*  970280 */   // Label 14555: @970280
     /*  970280 */   GIM_Try, /*On fail goto*//*Label 14556*/ GIMT_Encode4(970375), // Rule ID 8024 //
     /*  970285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  970296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  970299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  970302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  970308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970335 */     // MIs[1] Operand 1
     /*  970335 */     // No operand predicates
     /*  970335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970348 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  970348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970373 */     GIR_RootConstrainSelectedInstOperands,
     /*  970374 */     // GIR_Coverage, 8024,
     /*  970374 */     GIR_EraseRootFromParent_Done,
     /*  970375 */   // Label 14556: @970375
     /*  970375 */   GIM_Try, /*On fail goto*//*Label 14557*/ GIMT_Encode4(970470), // Rule ID 8025 //
     /*  970380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  970391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  970394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  970397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  970403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970430 */     // MIs[1] Operand 1
     /*  970430 */     // No operand predicates
     /*  970430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970443 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  970443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  970465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970468 */     GIR_RootConstrainSelectedInstOperands,
     /*  970469 */     // GIR_Coverage, 8025,
     /*  970469 */     GIR_EraseRootFromParent_Done,
     /*  970470 */   // Label 14557: @970470
     /*  970470 */   GIM_Try, /*On fail goto*//*Label 14558*/ GIMT_Encode4(970565), // Rule ID 8028 //
     /*  970475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970525 */     // MIs[1] Operand 1
     /*  970525 */     // No operand predicates
     /*  970525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970538 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970563 */     GIR_RootConstrainSelectedInstOperands,
     /*  970564 */     // GIR_Coverage, 8028,
     /*  970564 */     GIR_EraseRootFromParent_Done,
     /*  970565 */   // Label 14558: @970565
     /*  970565 */   GIM_Try, /*On fail goto*//*Label 14559*/ GIMT_Encode4(970660), // Rule ID 8029 //
     /*  970570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  970581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  970584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  970587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  970593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  970608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970620 */     // MIs[1] Operand 1
     /*  970620 */     // No operand predicates
     /*  970620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970633 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  970636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970658 */     GIR_RootConstrainSelectedInstOperands,
     /*  970659 */     // GIR_Coverage, 8029,
     /*  970659 */     GIR_EraseRootFromParent_Done,
     /*  970660 */   // Label 14559: @970660
     /*  970660 */   GIM_Try, /*On fail goto*//*Label 14560*/ GIMT_Encode4(970755), // Rule ID 8032 //
     /*  970665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970715 */     // MIs[1] Operand 1
     /*  970715 */     // No operand predicates
     /*  970715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970728 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970753 */     GIR_RootConstrainSelectedInstOperands,
     /*  970754 */     // GIR_Coverage, 8032,
     /*  970754 */     GIR_EraseRootFromParent_Done,
     /*  970755 */   // Label 14560: @970755
     /*  970755 */   GIM_Try, /*On fail goto*//*Label 14561*/ GIMT_Encode4(970850), // Rule ID 8033 //
     /*  970760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  970771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  970774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  970777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  970783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  970798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970810 */     // MIs[1] Operand 1
     /*  970810 */     // No operand predicates
     /*  970810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970823 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  970823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  970826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970848 */     GIR_RootConstrainSelectedInstOperands,
     /*  970849 */     // GIR_Coverage, 8033,
     /*  970849 */     GIR_EraseRootFromParent_Done,
     /*  970850 */   // Label 14561: @970850
     /*  970850 */   GIM_Try, /*On fail goto*//*Label 14562*/ GIMT_Encode4(970945), // Rule ID 8036 //
     /*  970855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  970858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  970875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  970881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  970905 */     // MIs[1] Operand 1
     /*  970905 */     // No operand predicates
     /*  970905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  970909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  970911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  970918 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  970918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  970921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  970923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  970925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  970927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  970930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  970932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  970937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  970940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  970943 */     GIR_RootConstrainSelectedInstOperands,
     /*  970944 */     // GIR_Coverage, 8036,
     /*  970944 */     GIR_EraseRootFromParent_Done,
     /*  970945 */   // Label 14562: @970945
     /*  970945 */   GIM_Try, /*On fail goto*//*Label 14563*/ GIMT_Encode4(971040), // Rule ID 8037 //
     /*  970950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  970953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  970958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  970961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  970964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  970967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  970970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  970973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  970976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  970984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  970988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  970992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  970996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971000 */     // MIs[1] Operand 1
     /*  971000 */     // No operand predicates
     /*  971000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971013 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  971013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  971035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971038 */     GIR_RootConstrainSelectedInstOperands,
     /*  971039 */     // GIR_Coverage, 8037,
     /*  971039 */     GIR_EraseRootFromParent_Done,
     /*  971040 */   // Label 14563: @971040
     /*  971040 */   GIM_Try, /*On fail goto*//*Label 14564*/ GIMT_Encode4(971135), // Rule ID 8040 //
     /*  971045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  971062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971095 */     // MIs[1] Operand 1
     /*  971095 */     // No operand predicates
     /*  971095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971108 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  971108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  971111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971133 */     GIR_RootConstrainSelectedInstOperands,
     /*  971134 */     // GIR_Coverage, 8040,
     /*  971134 */     GIR_EraseRootFromParent_Done,
     /*  971135 */   // Label 14564: @971135
     /*  971135 */   GIM_Try, /*On fail goto*//*Label 14565*/ GIMT_Encode4(971230), // Rule ID 8041 //
     /*  971140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  971157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971190 */     // MIs[1] Operand 1
     /*  971190 */     // No operand predicates
     /*  971190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971203 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  971206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971228 */     GIR_RootConstrainSelectedInstOperands,
     /*  971229 */     // GIR_Coverage, 8041,
     /*  971229 */     GIR_EraseRootFromParent_Done,
     /*  971230 */   // Label 14565: @971230
     /*  971230 */   GIM_Try, /*On fail goto*//*Label 14566*/ GIMT_Encode4(971325), // Rule ID 8044 //
     /*  971235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  971252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971285 */     // MIs[1] Operand 1
     /*  971285 */     // No operand predicates
     /*  971285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  971298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  971301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971323 */     GIR_RootConstrainSelectedInstOperands,
     /*  971324 */     // GIR_Coverage, 8044,
     /*  971324 */     GIR_EraseRootFromParent_Done,
     /*  971325 */   // Label 14566: @971325
     /*  971325 */   GIM_Try, /*On fail goto*//*Label 14567*/ GIMT_Encode4(971420), // Rule ID 8045 //
     /*  971330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  971341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  971344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  971347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  971353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971380 */     // MIs[1] Operand 1
     /*  971380 */     // No operand predicates
     /*  971380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971393 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  971396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971418 */     GIR_RootConstrainSelectedInstOperands,
     /*  971419 */     // GIR_Coverage, 8045,
     /*  971419 */     GIR_EraseRootFromParent_Done,
     /*  971420 */   // Label 14567: @971420
     /*  971420 */   GIM_Try, /*On fail goto*//*Label 14568*/ GIMT_Encode4(971515), // Rule ID 8048 //
     /*  971425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  971428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  971442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971475 */     // MIs[1] Operand 1
     /*  971475 */     // No operand predicates
     /*  971475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971488 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  971488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971513 */     GIR_RootConstrainSelectedInstOperands,
     /*  971514 */     // GIR_Coverage, 8048,
     /*  971514 */     GIR_EraseRootFromParent_Done,
     /*  971515 */   // Label 14568: @971515
     /*  971515 */   GIM_Try, /*On fail goto*//*Label 14569*/ GIMT_Encode4(971610), // Rule ID 8049 //
     /*  971520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  971523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  971531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  971534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  971537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  971543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  971558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971570 */     // MIs[1] Operand 1
     /*  971570 */     // No operand predicates
     /*  971570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971583 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  971583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  971586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  971605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971608 */     GIR_RootConstrainSelectedInstOperands,
     /*  971609 */     // GIR_Coverage, 8049,
     /*  971609 */     GIR_EraseRootFromParent_Done,
     /*  971610 */   // Label 14569: @971610
     /*  971610 */   GIM_Try, /*On fail goto*//*Label 14570*/ GIMT_Encode4(971705), // Rule ID 8052 //
     /*  971615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971665 */     // MIs[1] Operand 1
     /*  971665 */     // No operand predicates
     /*  971665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  971681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971703 */     GIR_RootConstrainSelectedInstOperands,
     /*  971704 */     // GIR_Coverage, 8052,
     /*  971704 */     GIR_EraseRootFromParent_Done,
     /*  971705 */   // Label 14570: @971705
     /*  971705 */   GIM_Try, /*On fail goto*//*Label 14571*/ GIMT_Encode4(971800), // Rule ID 8053 //
     /*  971710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  971721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  971724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  971727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  971733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  971748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971760 */     // MIs[1] Operand 1
     /*  971760 */     // No operand predicates
     /*  971760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971773 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M2_MASK),
     /*  971776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971798 */     GIR_RootConstrainSelectedInstOperands,
     /*  971799 */     // GIR_Coverage, 8053,
     /*  971799 */     GIR_EraseRootFromParent_Done,
     /*  971800 */   // Label 14571: @971800
     /*  971800 */   GIM_Try, /*On fail goto*//*Label 14572*/ GIMT_Encode4(971895), // Rule ID 8056 //
     /*  971805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  971825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  971831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971855 */     // MIs[1] Operand 1
     /*  971855 */     // No operand predicates
     /*  971855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971868 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  971868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  971871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971893 */     GIR_RootConstrainSelectedInstOperands,
     /*  971894 */     // GIR_Coverage, 8056,
     /*  971894 */     GIR_EraseRootFromParent_Done,
     /*  971895 */   // Label 14572: @971895
     /*  971895 */   GIM_Try, /*On fail goto*//*Label 14573*/ GIMT_Encode4(971990), // Rule ID 8057 //
     /*  971900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  971903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  971908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  971911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  971914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  971917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  971920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  971923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  971926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  971934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  971938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  971942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  971946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  971950 */     // MIs[1] Operand 1
     /*  971950 */     // No operand predicates
     /*  971950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  971954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  971956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  971963 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  971963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M4_MASK),
     /*  971966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  971968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  971970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  971972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  971975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  971977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  971982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  971985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  971988 */     GIR_RootConstrainSelectedInstOperands,
     /*  971989 */     // GIR_Coverage, 8057,
     /*  971989 */     GIR_EraseRootFromParent_Done,
     /*  971990 */   // Label 14573: @971990
     /*  971990 */   GIM_Try, /*On fail goto*//*Label 14574*/ GIMT_Encode4(972085), // Rule ID 8060 //
     /*  971995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  971998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  972003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  972012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972045 */     // MIs[1] Operand 1
     /*  972045 */     // No operand predicates
     /*  972045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  972058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  972061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972083 */     GIR_RootConstrainSelectedInstOperands,
     /*  972084 */     // GIR_Coverage, 8060,
     /*  972084 */     GIR_EraseRootFromParent_Done,
     /*  972085 */   // Label 14574: @972085
     /*  972085 */   GIM_Try, /*On fail goto*//*Label 14575*/ GIMT_Encode4(972180), // Rule ID 8061 //
     /*  972090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  972093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /*  972098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  972101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  972104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  972107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  972113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  972128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972140 */     // MIs[1] Operand 1
     /*  972140 */     // No operand predicates
     /*  972140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972153 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  972153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VI_M8_MASK),
     /*  972156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  972175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972178 */     GIR_RootConstrainSelectedInstOperands,
     /*  972179 */     // GIR_Coverage, 8061,
     /*  972179 */     GIR_EraseRootFromParent_Done,
     /*  972180 */   // Label 14575: @972180
     /*  972180 */   GIM_Try, /*On fail goto*//*Label 14576*/ GIMT_Encode4(972275), // Rule ID 8240 //
     /*  972185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  972202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972235 */     // MIs[1] Operand 1
     /*  972235 */     // No operand predicates
     /*  972235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972248 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  972251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972273 */     GIR_RootConstrainSelectedInstOperands,
     /*  972274 */     // GIR_Coverage, 8240,
     /*  972274 */     GIR_EraseRootFromParent_Done,
     /*  972275 */   // Label 14576: @972275
     /*  972275 */   GIM_Try, /*On fail goto*//*Label 14577*/ GIMT_Encode4(972370), // Rule ID 8241 //
     /*  972280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  972297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972330 */     // MIs[1] Operand 1
     /*  972330 */     // No operand predicates
     /*  972330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972343 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF8_MASK),
     /*  972346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972368 */     GIR_RootConstrainSelectedInstOperands,
     /*  972369 */     // GIR_Coverage, 8241,
     /*  972369 */     GIR_EraseRootFromParent_Done,
     /*  972370 */   // Label 14577: @972370
     /*  972370 */   GIM_Try, /*On fail goto*//*Label 14578*/ GIMT_Encode4(972465), // Rule ID 8244 //
     /*  972375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  972392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972425 */     // MIs[1] Operand 1
     /*  972425 */     // No operand predicates
     /*  972425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972463 */     GIR_RootConstrainSelectedInstOperands,
     /*  972464 */     // GIR_Coverage, 8244,
     /*  972464 */     GIR_EraseRootFromParent_Done,
     /*  972465 */   // Label 14578: @972465
     /*  972465 */   GIM_Try, /*On fail goto*//*Label 14579*/ GIMT_Encode4(972560), // Rule ID 8245 //
     /*  972470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  972487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972520 */     // MIs[1] Operand 1
     /*  972520 */     // No operand predicates
     /*  972520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972533 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972558 */     GIR_RootConstrainSelectedInstOperands,
     /*  972559 */     // GIR_Coverage, 8245,
     /*  972559 */     GIR_EraseRootFromParent_Done,
     /*  972560 */   // Label 14579: @972560
     /*  972560 */   GIM_Try, /*On fail goto*//*Label 14580*/ GIMT_Encode4(972655), // Rule ID 8248 //
     /*  972565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  972582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972615 */     // MIs[1] Operand 1
     /*  972615 */     // No operand predicates
     /*  972615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972628 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  972628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972653 */     GIR_RootConstrainSelectedInstOperands,
     /*  972654 */     // GIR_Coverage, 8248,
     /*  972654 */     GIR_EraseRootFromParent_Done,
     /*  972655 */   // Label 14580: @972655
     /*  972655 */   GIM_Try, /*On fail goto*//*Label 14581*/ GIMT_Encode4(972750), // Rule ID 8249 //
     /*  972660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  972671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  972674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  972677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  972683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972710 */     // MIs[1] Operand 1
     /*  972710 */     // No operand predicates
     /*  972710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972723 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  972723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  972726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  972745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972748 */     GIR_RootConstrainSelectedInstOperands,
     /*  972749 */     // GIR_Coverage, 8249,
     /*  972749 */     GIR_EraseRootFromParent_Done,
     /*  972750 */   // Label 14581: @972750
     /*  972750 */   GIM_Try, /*On fail goto*//*Label 14582*/ GIMT_Encode4(972845), // Rule ID 8252 //
     /*  972755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972805 */     // MIs[1] Operand 1
     /*  972805 */     // No operand predicates
     /*  972805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972818 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  972818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972843 */     GIR_RootConstrainSelectedInstOperands,
     /*  972844 */     // GIR_Coverage, 8252,
     /*  972844 */     GIR_EraseRootFromParent_Done,
     /*  972845 */   // Label 14582: @972845
     /*  972845 */   GIM_Try, /*On fail goto*//*Label 14583*/ GIMT_Encode4(972940), // Rule ID 8253 //
     /*  972850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  972853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  972861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  972864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  972867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  972870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  972873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  972876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972900 */     // MIs[1] Operand 1
     /*  972900 */     // No operand predicates
     /*  972900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  972906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  972913 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  972913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF4_MASK),
     /*  972916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  972918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  972920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  972922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  972925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  972927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  972932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  972935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  972938 */     GIR_RootConstrainSelectedInstOperands,
     /*  972939 */     // GIR_Coverage, 8253,
     /*  972939 */     GIR_EraseRootFromParent_Done,
     /*  972940 */   // Label 14583: @972940
     /*  972940 */   GIM_Try, /*On fail goto*//*Label 14584*/ GIMT_Encode4(973035), // Rule ID 8256 //
     /*  972945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  972948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  972953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  972956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  972959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  972962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  972965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  972968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  972971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  972983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  972987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  972991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  972995 */     // MIs[1] Operand 1
     /*  972995 */     // No operand predicates
     /*  972995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  972999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973008 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  973011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973033 */     GIR_RootConstrainSelectedInstOperands,
     /*  973034 */     // GIR_Coverage, 8256,
     /*  973034 */     GIR_EraseRootFromParent_Done,
     /*  973035 */   // Label 14584: @973035
     /*  973035 */   GIM_Try, /*On fail goto*//*Label 14585*/ GIMT_Encode4(973130), // Rule ID 8257 //
     /*  973040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  973057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973090 */     // MIs[1] Operand 1
     /*  973090 */     // No operand predicates
     /*  973090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973103 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  973106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973128 */     GIR_RootConstrainSelectedInstOperands,
     /*  973129 */     // GIR_Coverage, 8257,
     /*  973129 */     GIR_EraseRootFromParent_Done,
     /*  973130 */   // Label 14585: @973130
     /*  973130 */   GIM_Try, /*On fail goto*//*Label 14586*/ GIMT_Encode4(973225), // Rule ID 8260 //
     /*  973135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  973152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973185 */     // MIs[1] Operand 1
     /*  973185 */     // No operand predicates
     /*  973185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973198 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  973201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973223 */     GIR_RootConstrainSelectedInstOperands,
     /*  973224 */     // GIR_Coverage, 8260,
     /*  973224 */     GIR_EraseRootFromParent_Done,
     /*  973225 */   // Label 14586: @973225
     /*  973225 */   GIM_Try, /*On fail goto*//*Label 14587*/ GIMT_Encode4(973320), // Rule ID 8261 //
     /*  973230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  973247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973280 */     // MIs[1] Operand 1
     /*  973280 */     // No operand predicates
     /*  973280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973293 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_MF2_MASK),
     /*  973296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973318 */     GIR_RootConstrainSelectedInstOperands,
     /*  973319 */     // GIR_Coverage, 8261,
     /*  973319 */     GIR_EraseRootFromParent_Done,
     /*  973320 */   // Label 14587: @973320
     /*  973320 */   GIM_Try, /*On fail goto*//*Label 14588*/ GIMT_Encode4(973415), // Rule ID 8264 //
     /*  973325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  973342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973375 */     // MIs[1] Operand 1
     /*  973375 */     // No operand predicates
     /*  973375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973388 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  973388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973413 */     GIR_RootConstrainSelectedInstOperands,
     /*  973414 */     // GIR_Coverage, 8264,
     /*  973414 */     GIR_EraseRootFromParent_Done,
     /*  973415 */   // Label 14588: @973415
     /*  973415 */   GIM_Try, /*On fail goto*//*Label 14589*/ GIMT_Encode4(973510), // Rule ID 8265 //
     /*  973420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  973431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  973434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  973437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  973443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973470 */     // MIs[1] Operand 1
     /*  973470 */     // No operand predicates
     /*  973470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973483 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  973483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  973505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973508 */     GIR_RootConstrainSelectedInstOperands,
     /*  973509 */     // GIR_Coverage, 8265,
     /*  973509 */     GIR_EraseRootFromParent_Done,
     /*  973510 */   // Label 14589: @973510
     /*  973510 */   GIM_Try, /*On fail goto*//*Label 14590*/ GIMT_Encode4(973605), // Rule ID 8268 //
     /*  973515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973565 */     // MIs[1] Operand 1
     /*  973565 */     // No operand predicates
     /*  973565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973578 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  973578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973603 */     GIR_RootConstrainSelectedInstOperands,
     /*  973604 */     // GIR_Coverage, 8268,
     /*  973604 */     GIR_EraseRootFromParent_Done,
     /*  973605 */   // Label 14590: @973605
     /*  973605 */   GIM_Try, /*On fail goto*//*Label 14591*/ GIMT_Encode4(973700), // Rule ID 8269 //
     /*  973610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  973621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  973624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  973627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  973633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973660 */     // MIs[1] Operand 1
     /*  973660 */     // No operand predicates
     /*  973660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973673 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  973673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  973695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973698 */     GIR_RootConstrainSelectedInstOperands,
     /*  973699 */     // GIR_Coverage, 8269,
     /*  973699 */     GIR_EraseRootFromParent_Done,
     /*  973700 */   // Label 14591: @973700
     /*  973700 */   GIM_Try, /*On fail goto*//*Label 14592*/ GIMT_Encode4(973795), // Rule ID 8272 //
     /*  973705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  973708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973755 */     // MIs[1] Operand 1
     /*  973755 */     // No operand predicates
     /*  973755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973768 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  973768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973793 */     GIR_RootConstrainSelectedInstOperands,
     /*  973794 */     // GIR_Coverage, 8272,
     /*  973794 */     GIR_EraseRootFromParent_Done,
     /*  973795 */   // Label 14592: @973795
     /*  973795 */   GIM_Try, /*On fail goto*//*Label 14593*/ GIMT_Encode4(973890), // Rule ID 8273 //
     /*  973800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  973803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  973811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  973814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  973817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  973820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  973823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  973826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973850 */     // MIs[1] Operand 1
     /*  973850 */     // No operand predicates
     /*  973850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973863 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  973863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  973885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973888 */     GIR_RootConstrainSelectedInstOperands,
     /*  973889 */     // GIR_Coverage, 8273,
     /*  973889 */     GIR_EraseRootFromParent_Done,
     /*  973890 */   // Label 14593: @973890
     /*  973890 */   GIM_Try, /*On fail goto*//*Label 14594*/ GIMT_Encode4(973985), // Rule ID 8276 //
     /*  973895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  973898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  973906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  973909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  973912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  973915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  973918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  973921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  973933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  973937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  973941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  973945 */     // MIs[1] Operand 1
     /*  973945 */     // No operand predicates
     /*  973945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  973949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  973951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  973958 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  973958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  973961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  973963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  973965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  973967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  973970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  973972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  973977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  973980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  973983 */     GIR_RootConstrainSelectedInstOperands,
     /*  973984 */     // GIR_Coverage, 8276,
     /*  973984 */     GIR_EraseRootFromParent_Done,
     /*  973985 */   // Label 14594: @973985
     /*  973985 */   GIM_Try, /*On fail goto*//*Label 14595*/ GIMT_Encode4(974080), // Rule ID 8277 //
     /*  973990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  973993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  973998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  974001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  974004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  974007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  974013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974040 */     // MIs[1] Operand 1
     /*  974040 */     // No operand predicates
     /*  974040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974053 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  974053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M1_MASK),
     /*  974056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  974075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974078 */     GIR_RootConstrainSelectedInstOperands,
     /*  974079 */     // GIR_Coverage, 8277,
     /*  974079 */     GIR_EraseRootFromParent_Done,
     /*  974080 */   // Label 14595: @974080
     /*  974080 */   GIM_Try, /*On fail goto*//*Label 14596*/ GIMT_Encode4(974175), // Rule ID 8280 //
     /*  974085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  974102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974135 */     // MIs[1] Operand 1
     /*  974135 */     // No operand predicates
     /*  974135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974148 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974173 */     GIR_RootConstrainSelectedInstOperands,
     /*  974174 */     // GIR_Coverage, 8280,
     /*  974174 */     GIR_EraseRootFromParent_Done,
     /*  974175 */   // Label 14596: @974175
     /*  974175 */   GIM_Try, /*On fail goto*//*Label 14597*/ GIMT_Encode4(974270), // Rule ID 8281 //
     /*  974180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  974197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974230 */     // MIs[1] Operand 1
     /*  974230 */     // No operand predicates
     /*  974230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974243 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974268 */     GIR_RootConstrainSelectedInstOperands,
     /*  974269 */     // GIR_Coverage, 8281,
     /*  974269 */     GIR_EraseRootFromParent_Done,
     /*  974270 */   // Label 14597: @974270
     /*  974270 */   GIM_Try, /*On fail goto*//*Label 14598*/ GIMT_Encode4(974365), // Rule ID 8284 //
     /*  974275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  974292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974325 */     // MIs[1] Operand 1
     /*  974325 */     // No operand predicates
     /*  974325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974329 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974338 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974347 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974363 */     GIR_RootConstrainSelectedInstOperands,
     /*  974364 */     // GIR_Coverage, 8284,
     /*  974364 */     GIR_EraseRootFromParent_Done,
     /*  974365 */   // Label 14598: @974365
     /*  974365 */   GIM_Try, /*On fail goto*//*Label 14599*/ GIMT_Encode4(974460), // Rule ID 8285 //
     /*  974370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  974381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  974384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  974387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  974393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974420 */     // MIs[1] Operand 1
     /*  974420 */     // No operand predicates
     /*  974420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974433 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974442 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974458 */     GIR_RootConstrainSelectedInstOperands,
     /*  974459 */     // GIR_Coverage, 8285,
     /*  974459 */     GIR_EraseRootFromParent_Done,
     /*  974460 */   // Label 14599: @974460
     /*  974460 */   GIM_Try, /*On fail goto*//*Label 14600*/ GIMT_Encode4(974555), // Rule ID 8288 //
     /*  974465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  974476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  974479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  974482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  974488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974515 */     // MIs[1] Operand 1
     /*  974515 */     // No operand predicates
     /*  974515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974528 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  974528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974553 */     GIR_RootConstrainSelectedInstOperands,
     /*  974554 */     // GIR_Coverage, 8288,
     /*  974554 */     GIR_EraseRootFromParent_Done,
     /*  974555 */   // Label 14600: @974555
     /*  974555 */   GIM_Try, /*On fail goto*//*Label 14601*/ GIMT_Encode4(974650), // Rule ID 8289 //
     /*  974560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  974571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  974574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  974577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  974583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  974598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974610 */     // MIs[1] Operand 1
     /*  974610 */     // No operand predicates
     /*  974610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974623 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  974623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  974626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  974645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974648 */     GIR_RootConstrainSelectedInstOperands,
     /*  974649 */     // GIR_Coverage, 8289,
     /*  974649 */     GIR_EraseRootFromParent_Done,
     /*  974650 */   // Label 14601: @974650
     /*  974650 */   GIM_Try, /*On fail goto*//*Label 14602*/ GIMT_Encode4(974745), // Rule ID 8292 //
     /*  974655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974705 */     // MIs[1] Operand 1
     /*  974705 */     // No operand predicates
     /*  974705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974718 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974743 */     GIR_RootConstrainSelectedInstOperands,
     /*  974744 */     // GIR_Coverage, 8292,
     /*  974744 */     GIR_EraseRootFromParent_Done,
     /*  974745 */   // Label 14602: @974745
     /*  974745 */   GIM_Try, /*On fail goto*//*Label 14603*/ GIMT_Encode4(974840), // Rule ID 8293 //
     /*  974750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  974761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  974764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  974767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  974773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  974788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974800 */     // MIs[1] Operand 1
     /*  974800 */     // No operand predicates
     /*  974800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974813 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  974813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  974816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974838 */     GIR_RootConstrainSelectedInstOperands,
     /*  974839 */     // GIR_Coverage, 8293,
     /*  974839 */     GIR_EraseRootFromParent_Done,
     /*  974840 */   // Label 14603: @974840
     /*  974840 */   GIM_Try, /*On fail goto*//*Label 14604*/ GIMT_Encode4(974935), // Rule ID 8296 //
     /*  974845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  974848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  974865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  974871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974895 */     // MIs[1] Operand 1
     /*  974895 */     // No operand predicates
     /*  974895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  974908 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  974908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  974911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  974913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  974915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  974917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  974920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  974922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  974927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  974930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  974933 */     GIR_RootConstrainSelectedInstOperands,
     /*  974934 */     // GIR_Coverage, 8296,
     /*  974934 */     GIR_EraseRootFromParent_Done,
     /*  974935 */   // Label 14604: @974935
     /*  974935 */   GIM_Try, /*On fail goto*//*Label 14605*/ GIMT_Encode4(975030), // Rule ID 8297 //
     /*  974940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  974943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  974948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  974951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  974954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  974957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  974960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  974963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  974966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  974974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  974978 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  974982 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  974986 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  974990 */     // MIs[1] Operand 1
     /*  974990 */     // No operand predicates
     /*  974990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  974994 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  974996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975003 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  975003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975012 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975028 */     GIR_RootConstrainSelectedInstOperands,
     /*  975029 */     // GIR_Coverage, 8297,
     /*  975029 */     GIR_EraseRootFromParent_Done,
     /*  975030 */   // Label 14605: @975030
     /*  975030 */   GIM_Try, /*On fail goto*//*Label 14606*/ GIMT_Encode4(975125), // Rule ID 8300 //
     /*  975035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  975046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  975049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  975052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  975058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975085 */     // MIs[1] Operand 1
     /*  975085 */     // No operand predicates
     /*  975085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975089 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975098 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  975098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975107 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975123 */     GIR_RootConstrainSelectedInstOperands,
     /*  975124 */     // GIR_Coverage, 8300,
     /*  975124 */     GIR_EraseRootFromParent_Done,
     /*  975125 */   // Label 14606: @975125
     /*  975125 */   GIM_Try, /*On fail goto*//*Label 14607*/ GIMT_Encode4(975220), // Rule ID 8301 //
     /*  975130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  975141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  975144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  975147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  975153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975180 */     // MIs[1] Operand 1
     /*  975180 */     // No operand predicates
     /*  975180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975193 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  975193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975202 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  975215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975218 */     GIR_RootConstrainSelectedInstOperands,
     /*  975219 */     // GIR_Coverage, 8301,
     /*  975219 */     GIR_EraseRootFromParent_Done,
     /*  975220 */   // Label 14607: @975220
     /*  975220 */   GIM_Try, /*On fail goto*//*Label 14608*/ GIMT_Encode4(975315), // Rule ID 8304 //
     /*  975225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  975242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975275 */     // MIs[1] Operand 1
     /*  975275 */     // No operand predicates
     /*  975275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975288 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  975291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975313 */     GIR_RootConstrainSelectedInstOperands,
     /*  975314 */     // GIR_Coverage, 8304,
     /*  975314 */     GIR_EraseRootFromParent_Done,
     /*  975315 */   // Label 14608: @975315
     /*  975315 */   GIM_Try, /*On fail goto*//*Label 14609*/ GIMT_Encode4(975410), // Rule ID 8305 //
     /*  975320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  975337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  975343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975370 */     // MIs[1] Operand 1
     /*  975370 */     // No operand predicates
     /*  975370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975383 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  975386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975408 */     GIR_RootConstrainSelectedInstOperands,
     /*  975409 */     // GIR_Coverage, 8305,
     /*  975409 */     GIR_EraseRootFromParent_Done,
     /*  975410 */   // Label 14609: @975410
     /*  975410 */   GIM_Try, /*On fail goto*//*Label 14610*/ GIMT_Encode4(975505), // Rule ID 8308 //
     /*  975415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  975432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975465 */     // MIs[1] Operand 1
     /*  975465 */     // No operand predicates
     /*  975465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975478 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975503 */     GIR_RootConstrainSelectedInstOperands,
     /*  975504 */     // GIR_Coverage, 8308,
     /*  975504 */     GIR_EraseRootFromParent_Done,
     /*  975505 */   // Label 14610: @975505
     /*  975505 */   GIM_Try, /*On fail goto*//*Label 14611*/ GIMT_Encode4(975600), // Rule ID 8309 //
     /*  975510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  975521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  975524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  975527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  975533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  975548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975560 */     // MIs[1] Operand 1
     /*  975560 */     // No operand predicates
     /*  975560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975573 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  975576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975598 */     GIR_RootConstrainSelectedInstOperands,
     /*  975599 */     // GIR_Coverage, 8309,
     /*  975599 */     GIR_EraseRootFromParent_Done,
     /*  975600 */   // Label 14611: @975600
     /*  975600 */   GIM_Try, /*On fail goto*//*Label 14612*/ GIMT_Encode4(975695), // Rule ID 8312 //
     /*  975605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  975608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975651 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975655 */     // MIs[1] Operand 1
     /*  975655 */     // No operand predicates
     /*  975655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975668 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  975668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975693 */     GIR_RootConstrainSelectedInstOperands,
     /*  975694 */     // GIR_Coverage, 8312,
     /*  975694 */     GIR_EraseRootFromParent_Done,
     /*  975695 */   // Label 14612: @975695
     /*  975695 */   GIM_Try, /*On fail goto*//*Label 14613*/ GIMT_Encode4(975790), // Rule ID 8313 //
     /*  975700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  975703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  975711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  975714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  975717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  975723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  975738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975750 */     // MIs[1] Operand 1
     /*  975750 */     // No operand predicates
     /*  975750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975763 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  975763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  975766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975772 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  975785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975788 */     GIR_RootConstrainSelectedInstOperands,
     /*  975789 */     // GIR_Coverage, 8313,
     /*  975789 */     GIR_EraseRootFromParent_Done,
     /*  975790 */   // Label 14613: @975790
     /*  975790 */   GIM_Try, /*On fail goto*//*Label 14614*/ GIMT_Encode4(975885), // Rule ID 8316 //
     /*  975795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  975815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  975821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975845 */     // MIs[1] Operand 1
     /*  975845 */     // No operand predicates
     /*  975845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975849 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  975858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  975861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975867 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975883 */     GIR_RootConstrainSelectedInstOperands,
     /*  975884 */     // GIR_Coverage, 8316,
     /*  975884 */     GIR_EraseRootFromParent_Done,
     /*  975885 */   // Label 14614: @975885
     /*  975885 */   GIM_Try, /*On fail goto*//*Label 14615*/ GIMT_Encode4(975980), // Rule ID 8317 //
     /*  975890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  975893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  975901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  975904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  975907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  975910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  975913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  975916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  975924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  975928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  975932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  975936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  975940 */     // MIs[1] Operand 1
     /*  975940 */     // No operand predicates
     /*  975940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  975944 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  975946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  975953 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  975953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M2_MASK),
     /*  975956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  975958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  975960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  975962 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  975965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  975967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  975972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  975975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  975978 */     GIR_RootConstrainSelectedInstOperands,
     /*  975979 */     // GIR_Coverage, 8317,
     /*  975979 */     GIR_EraseRootFromParent_Done,
     /*  975980 */   // Label 14615: @975980
     /*  975980 */   GIM_Try, /*On fail goto*//*Label 14616*/ GIMT_Encode4(976075), // Rule ID 8320 //
     /*  975985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  975988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  975993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  975996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  975999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  976002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976035 */     // MIs[1] Operand 1
     /*  976035 */     // No operand predicates
     /*  976035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976048 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  976048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  976051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976073 */     GIR_RootConstrainSelectedInstOperands,
     /*  976074 */     // GIR_Coverage, 8320,
     /*  976074 */     GIR_EraseRootFromParent_Done,
     /*  976075 */   // Label 14616: @976075
     /*  976075 */   GIM_Try, /*On fail goto*//*Label 14617*/ GIMT_Encode4(976170), // Rule ID 8321 //
     /*  976080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  976083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  976088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  976097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  976118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976130 */     // MIs[1] Operand 1
     /*  976130 */     // No operand predicates
     /*  976130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976143 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  976143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M4_MASK),
     /*  976146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976168 */     GIR_RootConstrainSelectedInstOperands,
     /*  976169 */     // GIR_Coverage, 8321,
     /*  976169 */     GIR_EraseRootFromParent_Done,
     /*  976170 */   // Label 14617: @976170
     /*  976170 */   GIM_Try, /*On fail goto*//*Label 14618*/ GIMT_Encode4(976265), // Rule ID 8324 //
     /*  976175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  976178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  976183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  976192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976225 */     // MIs[1] Operand 1
     /*  976225 */     // No operand predicates
     /*  976225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976238 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  976238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  976241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976263 */     GIR_RootConstrainSelectedInstOperands,
     /*  976264 */     // GIR_Coverage, 8324,
     /*  976264 */     GIR_EraseRootFromParent_Done,
     /*  976265 */   // Label 14618: @976265
     /*  976265 */   GIM_Try, /*On fail goto*//*Label 14619*/ GIMT_Encode4(976360), // Rule ID 8325 //
     /*  976270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  976273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /*  976278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  976281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  976284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  976287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  976293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  976308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976320 */     // MIs[1] Operand 1
     /*  976320 */     // No operand predicates
     /*  976320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976333 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  976333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VI_M8_MASK),
     /*  976336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  976355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976358 */     GIR_RootConstrainSelectedInstOperands,
     /*  976359 */     // GIR_Coverage, 8325,
     /*  976359 */     GIR_EraseRootFromParent_Done,
     /*  976360 */   // Label 14619: @976360
     /*  976360 */   GIM_Try, /*On fail goto*//*Label 14620*/ GIMT_Encode4(976455), // Rule ID 8856 //
     /*  976365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  976382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976403 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976407 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976411 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976415 */     // MIs[1] Operand 1
     /*  976415 */     // No operand predicates
     /*  976415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976419 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976428 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  976431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976437 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976453 */     GIR_RootConstrainSelectedInstOperands,
     /*  976454 */     // GIR_Coverage, 8856,
     /*  976454 */     GIR_EraseRootFromParent_Done,
     /*  976455 */   // Label 14620: @976455
     /*  976455 */   GIM_Try, /*On fail goto*//*Label 14621*/ GIMT_Encode4(976550), // Rule ID 8857 //
     /*  976460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  976477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976510 */     // MIs[1] Operand 1
     /*  976510 */     // No operand predicates
     /*  976510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976514 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976523 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF8_MASK),
     /*  976526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976532 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976548 */     GIR_RootConstrainSelectedInstOperands,
     /*  976549 */     // GIR_Coverage, 8857,
     /*  976549 */     GIR_EraseRootFromParent_Done,
     /*  976550 */   // Label 14621: @976550
     /*  976550 */   GIM_Try, /*On fail goto*//*Label 14622*/ GIMT_Encode4(976645), // Rule ID 8860 //
     /*  976555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  976572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976605 */     // MIs[1] Operand 1
     /*  976605 */     // No operand predicates
     /*  976605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976618 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976627 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976643 */     GIR_RootConstrainSelectedInstOperands,
     /*  976644 */     // GIR_Coverage, 8860,
     /*  976644 */     GIR_EraseRootFromParent_Done,
     /*  976645 */   // Label 14622: @976645
     /*  976645 */   GIM_Try, /*On fail goto*//*Label 14623*/ GIMT_Encode4(976740), // Rule ID 8861 //
     /*  976650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  976661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  976664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  976667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  976673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976700 */     // MIs[1] Operand 1
     /*  976700 */     // No operand predicates
     /*  976700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976713 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  976716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976738 */     GIR_RootConstrainSelectedInstOperands,
     /*  976739 */     // GIR_Coverage, 8861,
     /*  976739 */     GIR_EraseRootFromParent_Done,
     /*  976740 */   // Label 14623: @976740
     /*  976740 */   GIM_Try, /*On fail goto*//*Label 14624*/ GIMT_Encode4(976835), // Rule ID 8864 //
     /*  976745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976795 */     // MIs[1] Operand 1
     /*  976795 */     // No operand predicates
     /*  976795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976808 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  976808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976833 */     GIR_RootConstrainSelectedInstOperands,
     /*  976834 */     // GIR_Coverage, 8864,
     /*  976834 */     GIR_EraseRootFromParent_Done,
     /*  976835 */   // Label 14624: @976835
     /*  976835 */   GIM_Try, /*On fail goto*//*Label 14625*/ GIMT_Encode4(976930), // Rule ID 8865 //
     /*  976840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  976843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  976851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  976854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  976857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  976860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  976863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  976866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976878 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976882 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976886 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976890 */     // MIs[1] Operand 1
     /*  976890 */     // No operand predicates
     /*  976890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976903 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  976903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  976906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  976908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  976910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  976912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  976915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  976917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  976922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  976925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  976928 */     GIR_RootConstrainSelectedInstOperands,
     /*  976929 */     // GIR_Coverage, 8865,
     /*  976929 */     GIR_EraseRootFromParent_Done,
     /*  976930 */   // Label 14625: @976930
     /*  976930 */   GIM_Try, /*On fail goto*//*Label 14626*/ GIMT_Encode4(977025), // Rule ID 8868 //
     /*  976935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  976938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  976943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  976946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  976949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  976952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  976955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  976958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  976961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  976973 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  976977 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  976981 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  976985 */     // MIs[1] Operand 1
     /*  976985 */     // No operand predicates
     /*  976985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  976989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  976991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  976998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  976998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  977001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977023 */     GIR_RootConstrainSelectedInstOperands,
     /*  977024 */     // GIR_Coverage, 8868,
     /*  977024 */     GIR_EraseRootFromParent_Done,
     /*  977025 */   // Label 14626: @977025
     /*  977025 */   GIM_Try, /*On fail goto*//*Label 14627*/ GIMT_Encode4(977120), // Rule ID 8869 //
     /*  977030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  977047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977080 */     // MIs[1] Operand 1
     /*  977080 */     // No operand predicates
     /*  977080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977093 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF4_MASK),
     /*  977096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977118 */     GIR_RootConstrainSelectedInstOperands,
     /*  977119 */     // GIR_Coverage, 8869,
     /*  977119 */     GIR_EraseRootFromParent_Done,
     /*  977120 */   // Label 14627: @977120
     /*  977120 */   GIM_Try, /*On fail goto*//*Label 14628*/ GIMT_Encode4(977215), // Rule ID 8872 //
     /*  977125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  977142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977175 */     // MIs[1] Operand 1
     /*  977175 */     // No operand predicates
     /*  977175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977179 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977188 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  977191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977197 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977213 */     GIR_RootConstrainSelectedInstOperands,
     /*  977214 */     // GIR_Coverage, 8872,
     /*  977214 */     GIR_EraseRootFromParent_Done,
     /*  977215 */   // Label 14628: @977215
     /*  977215 */   GIM_Try, /*On fail goto*//*Label 14629*/ GIMT_Encode4(977310), // Rule ID 8873 //
     /*  977220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  977237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977270 */     // MIs[1] Operand 1
     /*  977270 */     // No operand predicates
     /*  977270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977274 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977283 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  977286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977292 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977308 */     GIR_RootConstrainSelectedInstOperands,
     /*  977309 */     // GIR_Coverage, 8873,
     /*  977309 */     GIR_EraseRootFromParent_Done,
     /*  977310 */   // Label 14629: @977310
     /*  977310 */   GIM_Try, /*On fail goto*//*Label 14630*/ GIMT_Encode4(977405), // Rule ID 8876 //
     /*  977315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  977332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977365 */     // MIs[1] Operand 1
     /*  977365 */     // No operand predicates
     /*  977365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977378 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  977381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977403 */     GIR_RootConstrainSelectedInstOperands,
     /*  977404 */     // GIR_Coverage, 8876,
     /*  977404 */     GIR_EraseRootFromParent_Done,
     /*  977405 */   // Label 14630: @977405
     /*  977405 */   GIM_Try, /*On fail goto*//*Label 14631*/ GIMT_Encode4(977500), // Rule ID 8877 //
     /*  977410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  977421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  977424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  977427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  977433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977460 */     // MIs[1] Operand 1
     /*  977460 */     // No operand predicates
     /*  977460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977473 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  977473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_MF2_MASK),
     /*  977476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977498 */     GIR_RootConstrainSelectedInstOperands,
     /*  977499 */     // GIR_Coverage, 8877,
     /*  977499 */     GIR_EraseRootFromParent_Done,
     /*  977500 */   // Label 14631: @977500
     /*  977500 */   GIM_Try, /*On fail goto*//*Label 14632*/ GIMT_Encode4(977595), // Rule ID 8880 //
     /*  977505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  977522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977555 */     // MIs[1] Operand 1
     /*  977555 */     // No operand predicates
     /*  977555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977568 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  977568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977593 */     GIR_RootConstrainSelectedInstOperands,
     /*  977594 */     // GIR_Coverage, 8880,
     /*  977594 */     GIR_EraseRootFromParent_Done,
     /*  977595 */   // Label 14632: @977595
     /*  977595 */   GIM_Try, /*On fail goto*//*Label 14633*/ GIMT_Encode4(977690), // Rule ID 8881 //
     /*  977600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  977611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  977614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  977617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  977623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977650 */     // MIs[1] Operand 1
     /*  977650 */     // No operand predicates
     /*  977650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977663 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  977663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  977685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977688 */     GIR_RootConstrainSelectedInstOperands,
     /*  977689 */     // GIR_Coverage, 8881,
     /*  977689 */     GIR_EraseRootFromParent_Done,
     /*  977690 */   // Label 14633: @977690
     /*  977690 */   GIM_Try, /*On fail goto*//*Label 14634*/ GIMT_Encode4(977785), // Rule ID 8884 //
     /*  977695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977745 */     // MIs[1] Operand 1
     /*  977745 */     // No operand predicates
     /*  977745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  977758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977783 */     GIR_RootConstrainSelectedInstOperands,
     /*  977784 */     // GIR_Coverage, 8884,
     /*  977784 */     GIR_EraseRootFromParent_Done,
     /*  977785 */   // Label 14634: @977785
     /*  977785 */   GIM_Try, /*On fail goto*//*Label 14635*/ GIMT_Encode4(977880), // Rule ID 8885 //
     /*  977790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  977801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  977804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  977807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  977810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  977813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  977816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977828 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977832 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977836 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977840 */     // MIs[1] Operand 1
     /*  977840 */     // No operand predicates
     /*  977840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977844 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977853 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  977853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977862 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  977875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977878 */     GIR_RootConstrainSelectedInstOperands,
     /*  977879 */     // GIR_Coverage, 8885,
     /*  977879 */     GIR_EraseRootFromParent_Done,
     /*  977880 */   // Label 14635: @977880
     /*  977880 */   GIM_Try, /*On fail goto*//*Label 14636*/ GIMT_Encode4(977975), // Rule ID 8888 //
     /*  977885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  977888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  977905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  977908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  977911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  977923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  977927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  977931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  977935 */     // MIs[1] Operand 1
     /*  977935 */     // No operand predicates
     /*  977935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  977939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  977941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  977948 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  977948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  977951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  977953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  977955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  977957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  977960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  977962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  977967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  977970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  977973 */     GIR_RootConstrainSelectedInstOperands,
     /*  977974 */     // GIR_Coverage, 8888,
     /*  977974 */     GIR_EraseRootFromParent_Done,
     /*  977975 */   // Label 14636: @977975
     /*  977975 */   GIM_Try, /*On fail goto*//*Label 14637*/ GIMT_Encode4(978070), // Rule ID 8889 //
     /*  977980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  977983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  977988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  977991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  977994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  977997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  978003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978030 */     // MIs[1] Operand 1
     /*  978030 */     // No operand predicates
     /*  978030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978034 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978043 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  978043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  978046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978052 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  978065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978068 */     GIR_RootConstrainSelectedInstOperands,
     /*  978069 */     // GIR_Coverage, 8889,
     /*  978069 */     GIR_EraseRootFromParent_Done,
     /*  978070 */   // Label 14637: @978070
     /*  978070 */   GIM_Try, /*On fail goto*//*Label 14638*/ GIMT_Encode4(978165), // Rule ID 8892 //
     /*  978075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  978078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  978092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978125 */     // MIs[1] Operand 1
     /*  978125 */     // No operand predicates
     /*  978125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  978138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  978141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978163 */     GIR_RootConstrainSelectedInstOperands,
     /*  978164 */     // GIR_Coverage, 8892,
     /*  978164 */     GIR_EraseRootFromParent_Done,
     /*  978165 */   // Label 14638: @978165
     /*  978165 */   GIM_Try, /*On fail goto*//*Label 14639*/ GIMT_Encode4(978260), // Rule ID 8893 //
     /*  978170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  978173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  978181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  978184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  978187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  978193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978220 */     // MIs[1] Operand 1
     /*  978220 */     // No operand predicates
     /*  978220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978233 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  978233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M1_MASK),
     /*  978236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  978255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978258 */     GIR_RootConstrainSelectedInstOperands,
     /*  978259 */     // GIR_Coverage, 8893,
     /*  978259 */     GIR_EraseRootFromParent_Done,
     /*  978260 */   // Label 14639: @978260
     /*  978260 */   GIM_Try, /*On fail goto*//*Label 14640*/ GIMT_Encode4(978355), // Rule ID 8896 //
     /*  978265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  978282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978315 */     // MIs[1] Operand 1
     /*  978315 */     // No operand predicates
     /*  978315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978328 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978353 */     GIR_RootConstrainSelectedInstOperands,
     /*  978354 */     // GIR_Coverage, 8896,
     /*  978354 */     GIR_EraseRootFromParent_Done,
     /*  978355 */   // Label 14640: @978355
     /*  978355 */   GIM_Try, /*On fail goto*//*Label 14641*/ GIMT_Encode4(978450), // Rule ID 8897 //
     /*  978360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  978371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  978374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  978377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  978383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978398 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978402 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978406 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978410 */     // MIs[1] Operand 1
     /*  978410 */     // No operand predicates
     /*  978410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978423 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978448 */     GIR_RootConstrainSelectedInstOperands,
     /*  978449 */     // GIR_Coverage, 8897,
     /*  978449 */     GIR_EraseRootFromParent_Done,
     /*  978450 */   // Label 14641: @978450
     /*  978450 */   GIM_Try, /*On fail goto*//*Label 14642*/ GIMT_Encode4(978545), // Rule ID 8900 //
     /*  978455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  978472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978501 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978505 */     // MIs[1] Operand 1
     /*  978505 */     // No operand predicates
     /*  978505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978543 */     GIR_RootConstrainSelectedInstOperands,
     /*  978544 */     // GIR_Coverage, 8900,
     /*  978544 */     GIR_EraseRootFromParent_Done,
     /*  978545 */   // Label 14642: @978545
     /*  978545 */   GIM_Try, /*On fail goto*//*Label 14643*/ GIMT_Encode4(978640), // Rule ID 8901 //
     /*  978550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  978561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  978564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  978567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  978573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  978588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978600 */     // MIs[1] Operand 1
     /*  978600 */     // No operand predicates
     /*  978600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978613 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  978616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978622 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978638 */     GIR_RootConstrainSelectedInstOperands,
     /*  978639 */     // GIR_Coverage, 8901,
     /*  978639 */     GIR_EraseRootFromParent_Done,
     /*  978640 */   // Label 14643: @978640
     /*  978640 */   GIM_Try, /*On fail goto*//*Label 14644*/ GIMT_Encode4(978735), // Rule ID 8904 //
     /*  978645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978695 */     // MIs[1] Operand 1
     /*  978695 */     // No operand predicates
     /*  978695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978708 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  978708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978733 */     GIR_RootConstrainSelectedInstOperands,
     /*  978734 */     // GIR_Coverage, 8904,
     /*  978734 */     GIR_EraseRootFromParent_Done,
     /*  978735 */   // Label 14644: @978735
     /*  978735 */   GIM_Try, /*On fail goto*//*Label 14645*/ GIMT_Encode4(978830), // Rule ID 8905 //
     /*  978740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  978751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  978754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  978757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  978763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  978778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978790 */     // MIs[1] Operand 1
     /*  978790 */     // No operand predicates
     /*  978790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978803 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  978803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  978806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  978825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978828 */     GIR_RootConstrainSelectedInstOperands,
     /*  978829 */     // GIR_Coverage, 8905,
     /*  978829 */     GIR_EraseRootFromParent_Done,
     /*  978830 */   // Label 14645: @978830
     /*  978830 */   GIM_Try, /*On fail goto*//*Label 14646*/ GIMT_Encode4(978925), // Rule ID 8908 //
     /*  978835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  978838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  978855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  978861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978885 */     // MIs[1] Operand 1
     /*  978885 */     // No operand predicates
     /*  978885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  978898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  978905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  978907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  978910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  978912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  978917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  978920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  978923 */     GIR_RootConstrainSelectedInstOperands,
     /*  978924 */     // GIR_Coverage, 8908,
     /*  978924 */     GIR_EraseRootFromParent_Done,
     /*  978925 */   // Label 14646: @978925
     /*  978925 */   GIM_Try, /*On fail goto*//*Label 14647*/ GIMT_Encode4(979020), // Rule ID 8909 //
     /*  978930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  978933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  978938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  978941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  978944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  978947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  978950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  978953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  978956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  978964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  978968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  978972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  978976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  978980 */     // MIs[1] Operand 1
     /*  978980 */     // No operand predicates
     /*  978980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  978984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  978986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  978993 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  978993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  978996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  978998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979018 */     GIR_RootConstrainSelectedInstOperands,
     /*  979019 */     // GIR_Coverage, 8909,
     /*  979019 */     GIR_EraseRootFromParent_Done,
     /*  979020 */   // Label 14647: @979020
     /*  979020 */   GIM_Try, /*On fail goto*//*Label 14648*/ GIMT_Encode4(979115), // Rule ID 8912 //
     /*  979025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  979042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979075 */     // MIs[1] Operand 1
     /*  979075 */     // No operand predicates
     /*  979075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979088 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  979088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979113 */     GIR_RootConstrainSelectedInstOperands,
     /*  979114 */     // GIR_Coverage, 8912,
     /*  979114 */     GIR_EraseRootFromParent_Done,
     /*  979115 */   // Label 14648: @979115
     /*  979115 */   GIM_Try, /*On fail goto*//*Label 14649*/ GIMT_Encode4(979210), // Rule ID 8913 //
     /*  979120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  979137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979170 */     // MIs[1] Operand 1
     /*  979170 */     // No operand predicates
     /*  979170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979183 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  979183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979208 */     GIR_RootConstrainSelectedInstOperands,
     /*  979209 */     // GIR_Coverage, 8913,
     /*  979209 */     GIR_EraseRootFromParent_Done,
     /*  979210 */   // Label 14649: @979210
     /*  979210 */   GIM_Try, /*On fail goto*//*Label 14650*/ GIMT_Encode4(979305), // Rule ID 8916 //
     /*  979215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  979226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  979229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  979232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  979238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979261 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979265 */     // MIs[1] Operand 1
     /*  979265 */     // No operand predicates
     /*  979265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979269 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979278 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  979278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979287 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979303 */     GIR_RootConstrainSelectedInstOperands,
     /*  979304 */     // GIR_Coverage, 8916,
     /*  979304 */     GIR_EraseRootFromParent_Done,
     /*  979305 */   // Label 14650: @979305
     /*  979305 */   GIM_Try, /*On fail goto*//*Label 14651*/ GIMT_Encode4(979400), // Rule ID 8917 //
     /*  979310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  979321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  979324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  979327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  979333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979360 */     // MIs[1] Operand 1
     /*  979360 */     // No operand predicates
     /*  979360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979373 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  979373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979382 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  979395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979398 */     GIR_RootConstrainSelectedInstOperands,
     /*  979399 */     // GIR_Coverage, 8917,
     /*  979399 */     GIR_EraseRootFromParent_Done,
     /*  979400 */   // Label 14651: @979400
     /*  979400 */   GIM_Try, /*On fail goto*//*Label 14652*/ GIMT_Encode4(979495), // Rule ID 8920 //
     /*  979405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  979422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979455 */     // MIs[1] Operand 1
     /*  979455 */     // No operand predicates
     /*  979455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979459 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979468 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  979471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979477 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979493 */     GIR_RootConstrainSelectedInstOperands,
     /*  979494 */     // GIR_Coverage, 8920,
     /*  979494 */     GIR_EraseRootFromParent_Done,
     /*  979495 */   // Label 14652: @979495
     /*  979495 */   GIM_Try, /*On fail goto*//*Label 14653*/ GIMT_Encode4(979590), // Rule ID 8921 //
     /*  979500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  979511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  979514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  979517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  979523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  979538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979550 */     // MIs[1] Operand 1
     /*  979550 */     // No operand predicates
     /*  979550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979563 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  979566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979588 */     GIR_RootConstrainSelectedInstOperands,
     /*  979589 */     // GIR_Coverage, 8921,
     /*  979589 */     GIR_EraseRootFromParent_Done,
     /*  979590 */   // Label 14653: @979590
     /*  979590 */   GIM_Try, /*On fail goto*//*Label 14654*/ GIMT_Encode4(979685), // Rule ID 8924 //
     /*  979595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979645 */     // MIs[1] Operand 1
     /*  979645 */     // No operand predicates
     /*  979645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979658 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979683 */     GIR_RootConstrainSelectedInstOperands,
     /*  979684 */     // GIR_Coverage, 8924,
     /*  979684 */     GIR_EraseRootFromParent_Done,
     /*  979685 */   // Label 14654: @979685
     /*  979685 */   GIM_Try, /*On fail goto*//*Label 14655*/ GIMT_Encode4(979780), // Rule ID 8925 //
     /*  979690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  979701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  979704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  979707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  979713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  979728 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979732 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979736 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979740 */     // MIs[1] Operand 1
     /*  979740 */     // No operand predicates
     /*  979740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979753 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  979756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979778 */     GIR_RootConstrainSelectedInstOperands,
     /*  979779 */     // GIR_Coverage, 8925,
     /*  979779 */     GIR_EraseRootFromParent_Done,
     /*  979780 */   // Label 14655: @979780
     /*  979780 */   GIM_Try, /*On fail goto*//*Label 14656*/ GIMT_Encode4(979875), // Rule ID 8928 //
     /*  979785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  979788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  979811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979823 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979827 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979831 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979835 */     // MIs[1] Operand 1
     /*  979835 */     // No operand predicates
     /*  979835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979848 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  979848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979873 */     GIR_RootConstrainSelectedInstOperands,
     /*  979874 */     // GIR_Coverage, 8928,
     /*  979874 */     GIR_EraseRootFromParent_Done,
     /*  979875 */   // Label 14656: @979875
     /*  979875 */   GIM_Try, /*On fail goto*//*Label 14657*/ GIMT_Encode4(979970), // Rule ID 8929 //
     /*  979880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  979883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  979891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  979894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  979897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  979900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  979903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  979906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  979914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  979918 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  979922 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  979926 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  979930 */     // MIs[1] Operand 1
     /*  979930 */     // No operand predicates
     /*  979930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  979934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  979936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  979943 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  979943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  979946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  979948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  979950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  979952 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  979955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  979957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  979962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  979965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  979968 */     GIR_RootConstrainSelectedInstOperands,
     /*  979969 */     // GIR_Coverage, 8929,
     /*  979969 */     GIR_EraseRootFromParent_Done,
     /*  979970 */   // Label 14657: @979970
     /*  979970 */   GIM_Try, /*On fail goto*//*Label 14658*/ GIMT_Encode4(980065), // Rule ID 8932 //
     /*  979975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  979978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  979983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  979986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  979989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  979992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  979995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  979998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980025 */     // MIs[1] Operand 1
     /*  980025 */     // No operand predicates
     /*  980025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980029 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980038 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  980038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  980041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980047 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980063 */     GIR_RootConstrainSelectedInstOperands,
     /*  980064 */     // GIR_Coverage, 8932,
     /*  980064 */     GIR_EraseRootFromParent_Done,
     /*  980065 */   // Label 14658: @980065
     /*  980065 */   GIM_Try, /*On fail goto*//*Label 14659*/ GIMT_Encode4(980160), // Rule ID 8933 //
     /*  980070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  980073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  980078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  980087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  980108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980120 */     // MIs[1] Operand 1
     /*  980120 */     // No operand predicates
     /*  980120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980133 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  980133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M2_MASK),
     /*  980136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980158 */     GIR_RootConstrainSelectedInstOperands,
     /*  980159 */     // GIR_Coverage, 8933,
     /*  980159 */     GIR_EraseRootFromParent_Done,
     /*  980160 */   // Label 14659: @980160
     /*  980160 */   GIM_Try, /*On fail goto*//*Label 14660*/ GIMT_Encode4(980255), // Rule ID 8936 //
     /*  980165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  980168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  980173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  980182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980215 */     // MIs[1] Operand 1
     /*  980215 */     // No operand predicates
     /*  980215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980228 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  980228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  980231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980253 */     GIR_RootConstrainSelectedInstOperands,
     /*  980254 */     // GIR_Coverage, 8936,
     /*  980254 */     GIR_EraseRootFromParent_Done,
     /*  980255 */   // Label 14660: @980255
     /*  980255 */   GIM_Try, /*On fail goto*//*Label 14661*/ GIMT_Encode4(980350), // Rule ID 8937 //
     /*  980260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  980263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  980268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  980277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  980298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980310 */     // MIs[1] Operand 1
     /*  980310 */     // No operand predicates
     /*  980310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980323 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  980323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M4_MASK),
     /*  980326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980348 */     GIR_RootConstrainSelectedInstOperands,
     /*  980349 */     // GIR_Coverage, 8937,
     /*  980349 */     GIR_EraseRootFromParent_Done,
     /*  980350 */   // Label 14661: @980350
     /*  980350 */   GIM_Try, /*On fail goto*//*Label 14662*/ GIMT_Encode4(980445), // Rule ID 8940 //
     /*  980355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  980358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  980363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  980372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980393 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980397 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980401 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980405 */     // MIs[1] Operand 1
     /*  980405 */     // No operand predicates
     /*  980405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980418 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  980418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  980421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980443 */     GIR_RootConstrainSelectedInstOperands,
     /*  980444 */     // GIR_Coverage, 8940,
     /*  980444 */     GIR_EraseRootFromParent_Done,
     /*  980445 */   // Label 14662: @980445
     /*  980445 */   GIM_Try, /*On fail goto*//*Label 14663*/ GIMT_Encode4(980540), // Rule ID 8941 //
     /*  980450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  980453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /*  980458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  980461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  980464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  980467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  980473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  980488 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980492 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980496 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980500 */     // MIs[1] Operand 1
     /*  980500 */     // No operand predicates
     /*  980500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980513 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  980513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VI_M8_MASK),
     /*  980516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  980535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980538 */     GIR_RootConstrainSelectedInstOperands,
     /*  980539 */     // GIR_Coverage, 8941,
     /*  980539 */     GIR_EraseRootFromParent_Done,
     /*  980540 */   // Label 14663: @980540
     /*  980540 */   GIM_Try, /*On fail goto*//*Label 14664*/ GIMT_Encode4(980635), // Rule ID 9120 //
     /*  980545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  980562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980595 */     // MIs[1] Operand 1
     /*  980595 */     // No operand predicates
     /*  980595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980608 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  980611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980633 */     GIR_RootConstrainSelectedInstOperands,
     /*  980634 */     // GIR_Coverage, 9120,
     /*  980634 */     GIR_EraseRootFromParent_Done,
     /*  980635 */   // Label 14664: @980635
     /*  980635 */   GIM_Try, /*On fail goto*//*Label 14665*/ GIMT_Encode4(980730), // Rule ID 9121 //
     /*  980640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  980651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  980654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  980657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  980663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980690 */     // MIs[1] Operand 1
     /*  980690 */     // No operand predicates
     /*  980690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980703 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF8_MASK),
     /*  980706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980712 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980728 */     GIR_RootConstrainSelectedInstOperands,
     /*  980729 */     // GIR_Coverage, 9121,
     /*  980729 */     GIR_EraseRootFromParent_Done,
     /*  980730 */   // Label 14665: @980730
     /*  980730 */   GIM_Try, /*On fail goto*//*Label 14666*/ GIMT_Encode4(980825), // Rule ID 9124 //
     /*  980735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980785 */     // MIs[1] Operand 1
     /*  980785 */     // No operand predicates
     /*  980785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980789 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980798 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980807 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980823 */     GIR_RootConstrainSelectedInstOperands,
     /*  980824 */     // GIR_Coverage, 9124,
     /*  980824 */     GIR_EraseRootFromParent_Done,
     /*  980825 */   // Label 14666: @980825
     /*  980825 */   GIM_Try, /*On fail goto*//*Label 14667*/ GIMT_Encode4(980920), // Rule ID 9125 //
     /*  980830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  980833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  980841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  980844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  980847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  980850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  980853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  980856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980880 */     // MIs[1] Operand 1
     /*  980880 */     // No operand predicates
     /*  980880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980893 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  980893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  980896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980902 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  980905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  980907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  980912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  980915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  980918 */     GIR_RootConstrainSelectedInstOperands,
     /*  980919 */     // GIR_Coverage, 9125,
     /*  980919 */     GIR_EraseRootFromParent_Done,
     /*  980920 */   // Label 14667: @980920
     /*  980920 */   GIM_Try, /*On fail goto*//*Label 14668*/ GIMT_Encode4(981015), // Rule ID 9128 //
     /*  980925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  980928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  980933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  980936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  980939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  980942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  980945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  980948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  980951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  980963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  980967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  980971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  980975 */     // MIs[1] Operand 1
     /*  980975 */     // No operand predicates
     /*  980975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  980979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  980981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  980988 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  980988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  980991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  980993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  980995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  980997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981013 */     GIR_RootConstrainSelectedInstOperands,
     /*  981014 */     // GIR_Coverage, 9128,
     /*  981014 */     GIR_EraseRootFromParent_Done,
     /*  981015 */   // Label 14668: @981015
     /*  981015 */   GIM_Try, /*On fail goto*//*Label 14669*/ GIMT_Encode4(981110), // Rule ID 9129 //
     /*  981020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  981037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981070 */     // MIs[1] Operand 1
     /*  981070 */     // No operand predicates
     /*  981070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981083 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  981086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981108 */     GIR_RootConstrainSelectedInstOperands,
     /*  981109 */     // GIR_Coverage, 9129,
     /*  981109 */     GIR_EraseRootFromParent_Done,
     /*  981110 */   // Label 14669: @981110
     /*  981110 */   GIM_Try, /*On fail goto*//*Label 14670*/ GIMT_Encode4(981205), // Rule ID 9132 //
     /*  981115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  981132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981153 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981157 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981161 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981165 */     // MIs[1] Operand 1
     /*  981165 */     // No operand predicates
     /*  981165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  981181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981203 */     GIR_RootConstrainSelectedInstOperands,
     /*  981204 */     // GIR_Coverage, 9132,
     /*  981204 */     GIR_EraseRootFromParent_Done,
     /*  981205 */   // Label 14670: @981205
     /*  981205 */   GIM_Try, /*On fail goto*//*Label 14671*/ GIMT_Encode4(981300), // Rule ID 9133 //
     /*  981210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  981227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981248 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981252 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981256 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981260 */     // MIs[1] Operand 1
     /*  981260 */     // No operand predicates
     /*  981260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981273 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF4_MASK),
     /*  981276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981298 */     GIR_RootConstrainSelectedInstOperands,
     /*  981299 */     // GIR_Coverage, 9133,
     /*  981299 */     GIR_EraseRootFromParent_Done,
     /*  981300 */   // Label 14671: @981300
     /*  981300 */   GIM_Try, /*On fail goto*//*Label 14672*/ GIMT_Encode4(981395), // Rule ID 9136 //
     /*  981305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  981322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981355 */     // MIs[1] Operand 1
     /*  981355 */     // No operand predicates
     /*  981355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981368 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  981371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981393 */     GIR_RootConstrainSelectedInstOperands,
     /*  981394 */     // GIR_Coverage, 9136,
     /*  981394 */     GIR_EraseRootFromParent_Done,
     /*  981395 */   // Label 14672: @981395
     /*  981395 */   GIM_Try, /*On fail goto*//*Label 14673*/ GIMT_Encode4(981490), // Rule ID 9137 //
     /*  981400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  981411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  981414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  981417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  981423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981450 */     // MIs[1] Operand 1
     /*  981450 */     // No operand predicates
     /*  981450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981454 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981463 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  981463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  981466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981472 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981488 */     GIR_RootConstrainSelectedInstOperands,
     /*  981489 */     // GIR_Coverage, 9137,
     /*  981489 */     GIR_EraseRootFromParent_Done,
     /*  981490 */   // Label 14673: @981490
     /*  981490 */   GIM_Try, /*On fail goto*//*Label 14674*/ GIMT_Encode4(981585), // Rule ID 9140 //
     /*  981495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  981512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981545 */     // MIs[1] Operand 1
     /*  981545 */     // No operand predicates
     /*  981545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  981558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  981561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981583 */     GIR_RootConstrainSelectedInstOperands,
     /*  981584 */     // GIR_Coverage, 9140,
     /*  981584 */     GIR_EraseRootFromParent_Done,
     /*  981585 */   // Label 14674: @981585
     /*  981585 */   GIM_Try, /*On fail goto*//*Label 14675*/ GIMT_Encode4(981680), // Rule ID 9141 //
     /*  981590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  981601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  981604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  981607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  981613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981640 */     // MIs[1] Operand 1
     /*  981640 */     // No operand predicates
     /*  981640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981653 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  981653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_MF2_MASK),
     /*  981656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  981675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981678 */     GIR_RootConstrainSelectedInstOperands,
     /*  981679 */     // GIR_Coverage, 9141,
     /*  981679 */     GIR_EraseRootFromParent_Done,
     /*  981680 */   // Label 14675: @981680
     /*  981680 */   GIM_Try, /*On fail goto*//*Label 14676*/ GIMT_Encode4(981775), // Rule ID 9144 //
     /*  981685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981735 */     // MIs[1] Operand 1
     /*  981735 */     // No operand predicates
     /*  981735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981748 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  981748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981773 */     GIR_RootConstrainSelectedInstOperands,
     /*  981774 */     // GIR_Coverage, 9144,
     /*  981774 */     GIR_EraseRootFromParent_Done,
     /*  981775 */   // Label 14676: @981775
     /*  981775 */   GIM_Try, /*On fail goto*//*Label 14677*/ GIMT_Encode4(981870), // Rule ID 9145 //
     /*  981780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  981791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  981794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  981797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  981803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981818 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981822 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981826 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981830 */     // MIs[1] Operand 1
     /*  981830 */     // No operand predicates
     /*  981830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981843 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  981843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  981865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981868 */     GIR_RootConstrainSelectedInstOperands,
     /*  981869 */     // GIR_Coverage, 9145,
     /*  981869 */     GIR_EraseRootFromParent_Done,
     /*  981870 */   // Label 14677: @981870
     /*  981870 */   GIM_Try, /*On fail goto*//*Label 14678*/ GIMT_Encode4(981965), // Rule ID 9148 //
     /*  981875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  981878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  981895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  981901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  981913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  981917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  981921 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  981925 */     // MIs[1] Operand 1
     /*  981925 */     // No operand predicates
     /*  981925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  981929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  981931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  981938 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  981938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  981941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  981943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  981945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  981947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  981950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  981952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  981957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  981960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  981963 */     GIR_RootConstrainSelectedInstOperands,
     /*  981964 */     // GIR_Coverage, 9148,
     /*  981964 */     GIR_EraseRootFromParent_Done,
     /*  981965 */   // Label 14678: @981965
     /*  981965 */   GIM_Try, /*On fail goto*//*Label 14679*/ GIMT_Encode4(982060), // Rule ID 9149 //
     /*  981970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  981973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  981978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  981981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  981984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  981987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  981990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  981993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  981996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982020 */     // MIs[1] Operand 1
     /*  982020 */     // No operand predicates
     /*  982020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982024 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982033 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  982033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  982036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982042 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  982055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982058 */     GIR_RootConstrainSelectedInstOperands,
     /*  982059 */     // GIR_Coverage, 9149,
     /*  982059 */     GIR_EraseRootFromParent_Done,
     /*  982060 */   // Label 14679: @982060
     /*  982060 */   GIM_Try, /*On fail goto*//*Label 14680*/ GIMT_Encode4(982155), // Rule ID 9152 //
     /*  982065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  982076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  982079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  982082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982115 */     // MIs[1] Operand 1
     /*  982115 */     // No operand predicates
     /*  982115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982128 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  982128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  982131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982137 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982153 */     GIR_RootConstrainSelectedInstOperands,
     /*  982154 */     // GIR_Coverage, 9152,
     /*  982154 */     GIR_EraseRootFromParent_Done,
     /*  982155 */   // Label 14680: @982155
     /*  982155 */   GIM_Try, /*On fail goto*//*Label 14681*/ GIMT_Encode4(982250), // Rule ID 9153 //
     /*  982160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  982171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  982174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  982177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  982183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982210 */     // MIs[1] Operand 1
     /*  982210 */     // No operand predicates
     /*  982210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982223 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  982223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  982226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982232 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  982245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982248 */     GIR_RootConstrainSelectedInstOperands,
     /*  982249 */     // GIR_Coverage, 9153,
     /*  982249 */     GIR_EraseRootFromParent_Done,
     /*  982250 */   // Label 14681: @982250
     /*  982250 */   GIM_Try, /*On fail goto*//*Label 14682*/ GIMT_Encode4(982345), // Rule ID 9156 //
     /*  982255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  982258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  982266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  982269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  982272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982305 */     // MIs[1] Operand 1
     /*  982305 */     // No operand predicates
     /*  982305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982318 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  982318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  982321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982343 */     GIR_RootConstrainSelectedInstOperands,
     /*  982344 */     // GIR_Coverage, 9156,
     /*  982344 */     GIR_EraseRootFromParent_Done,
     /*  982345 */   // Label 14682: @982345
     /*  982345 */   GIM_Try, /*On fail goto*//*Label 14683*/ GIMT_Encode4(982440), // Rule ID 9157 //
     /*  982350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  982353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  982361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  982364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  982367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  982373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982400 */     // MIs[1] Operand 1
     /*  982400 */     // No operand predicates
     /*  982400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982413 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  982413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M1_MASK),
     /*  982416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  982435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982438 */     GIR_RootConstrainSelectedInstOperands,
     /*  982439 */     // GIR_Coverage, 9157,
     /*  982439 */     GIR_EraseRootFromParent_Done,
     /*  982440 */   // Label 14683: @982440
     /*  982440 */   GIM_Try, /*On fail goto*//*Label 14684*/ GIMT_Encode4(982535), // Rule ID 9160 //
     /*  982445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  982462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982495 */     // MIs[1] Operand 1
     /*  982495 */     // No operand predicates
     /*  982495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982508 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982533 */     GIR_RootConstrainSelectedInstOperands,
     /*  982534 */     // GIR_Coverage, 9160,
     /*  982534 */     GIR_EraseRootFromParent_Done,
     /*  982535 */   // Label 14684: @982535
     /*  982535 */   GIM_Try, /*On fail goto*//*Label 14685*/ GIMT_Encode4(982630), // Rule ID 9161 //
     /*  982540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  982551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  982554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  982557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  982563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  982578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982590 */     // MIs[1] Operand 1
     /*  982590 */     // No operand predicates
     /*  982590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982603 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  982606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982628 */     GIR_RootConstrainSelectedInstOperands,
     /*  982629 */     // GIR_Coverage, 9161,
     /*  982629 */     GIR_EraseRootFromParent_Done,
     /*  982630 */   // Label 14685: @982630
     /*  982630 */   GIM_Try, /*On fail goto*//*Label 14686*/ GIMT_Encode4(982725), // Rule ID 9164 //
     /*  982635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982681 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982685 */     // MIs[1] Operand 1
     /*  982685 */     // No operand predicates
     /*  982685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982698 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982723 */     GIR_RootConstrainSelectedInstOperands,
     /*  982724 */     // GIR_Coverage, 9164,
     /*  982724 */     GIR_EraseRootFromParent_Done,
     /*  982725 */   // Label 14686: @982725
     /*  982725 */   GIM_Try, /*On fail goto*//*Label 14687*/ GIMT_Encode4(982820), // Rule ID 9165 //
     /*  982730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  982741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  982744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  982747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  982753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  982768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982776 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982780 */     // MIs[1] Operand 1
     /*  982780 */     // No operand predicates
     /*  982780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982793 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  982796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982802 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982818 */     GIR_RootConstrainSelectedInstOperands,
     /*  982819 */     // GIR_Coverage, 9165,
     /*  982819 */     GIR_EraseRootFromParent_Done,
     /*  982820 */   // Label 14687: @982820
     /*  982820 */   GIM_Try, /*On fail goto*//*Label 14688*/ GIMT_Encode4(982915), // Rule ID 9168 //
     /*  982825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  982828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  982845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  982851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982875 */     // MIs[1] Operand 1
     /*  982875 */     // No operand predicates
     /*  982875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982879 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982888 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  982888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982897 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  982907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  982910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  982913 */     GIR_RootConstrainSelectedInstOperands,
     /*  982914 */     // GIR_Coverage, 9168,
     /*  982914 */     GIR_EraseRootFromParent_Done,
     /*  982915 */   // Label 14688: @982915
     /*  982915 */   GIM_Try, /*On fail goto*//*Label 14689*/ GIMT_Encode4(983010), // Rule ID 9169 //
     /*  982920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  982923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  982928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  982931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  982934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  982937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  982940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  982943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  982946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  982954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  982958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  982962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  982966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  982970 */     // MIs[1] Operand 1
     /*  982970 */     // No operand predicates
     /*  982970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  982974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  982976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  982983 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  982983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  982986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  982988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  982990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  982992 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  982995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  982997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  983005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983008 */     GIR_RootConstrainSelectedInstOperands,
     /*  983009 */     // GIR_Coverage, 9169,
     /*  983009 */     GIR_EraseRootFromParent_Done,
     /*  983010 */   // Label 14689: @983010
     /*  983010 */   GIM_Try, /*On fail goto*//*Label 14690*/ GIMT_Encode4(983105), // Rule ID 9172 //
     /*  983015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  983032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983065 */     // MIs[1] Operand 1
     /*  983065 */     // No operand predicates
     /*  983065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983078 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983103 */     GIR_RootConstrainSelectedInstOperands,
     /*  983104 */     // GIR_Coverage, 9172,
     /*  983104 */     GIR_EraseRootFromParent_Done,
     /*  983105 */   // Label 14690: @983105
     /*  983105 */   GIM_Try, /*On fail goto*//*Label 14691*/ GIMT_Encode4(983200), // Rule ID 9173 //
     /*  983110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  983127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983160 */     // MIs[1] Operand 1
     /*  983160 */     // No operand predicates
     /*  983160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983173 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983198 */     GIR_RootConstrainSelectedInstOperands,
     /*  983199 */     // GIR_Coverage, 9173,
     /*  983199 */     GIR_EraseRootFromParent_Done,
     /*  983200 */   // Label 14691: @983200
     /*  983200 */   GIM_Try, /*On fail goto*//*Label 14692*/ GIMT_Encode4(983295), // Rule ID 9176 //
     /*  983205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  983222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983255 */     // MIs[1] Operand 1
     /*  983255 */     // No operand predicates
     /*  983255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983268 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983293 */     GIR_RootConstrainSelectedInstOperands,
     /*  983294 */     // GIR_Coverage, 9176,
     /*  983294 */     GIR_EraseRootFromParent_Done,
     /*  983295 */   // Label 14692: @983295
     /*  983295 */   GIM_Try, /*On fail goto*//*Label 14693*/ GIMT_Encode4(983390), // Rule ID 9177 //
     /*  983300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  983317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983338 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983342 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983346 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983350 */     // MIs[1] Operand 1
     /*  983350 */     // No operand predicates
     /*  983350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983363 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983388 */     GIR_RootConstrainSelectedInstOperands,
     /*  983389 */     // GIR_Coverage, 9177,
     /*  983389 */     GIR_EraseRootFromParent_Done,
     /*  983390 */   // Label 14693: @983390
     /*  983390 */   GIM_Try, /*On fail goto*//*Label 14694*/ GIMT_Encode4(983485), // Rule ID 9180 //
     /*  983395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  983406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  983409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  983412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  983418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983445 */     // MIs[1] Operand 1
     /*  983445 */     // No operand predicates
     /*  983445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983458 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  983458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  983461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983483 */     GIR_RootConstrainSelectedInstOperands,
     /*  983484 */     // GIR_Coverage, 9180,
     /*  983484 */     GIR_EraseRootFromParent_Done,
     /*  983485 */   // Label 14694: @983485
     /*  983485 */   GIM_Try, /*On fail goto*//*Label 14695*/ GIMT_Encode4(983580), // Rule ID 9181 //
     /*  983490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  983501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  983504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  983507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  983513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  983528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983540 */     // MIs[1] Operand 1
     /*  983540 */     // No operand predicates
     /*  983540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983544 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983553 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  983553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  983556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983562 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  983575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983578 */     GIR_RootConstrainSelectedInstOperands,
     /*  983579 */     // GIR_Coverage, 9181,
     /*  983579 */     GIR_EraseRootFromParent_Done,
     /*  983580 */   // Label 14695: @983580
     /*  983580 */   GIM_Try, /*On fail goto*//*Label 14696*/ GIMT_Encode4(983675), // Rule ID 9184 //
     /*  983585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983635 */     // MIs[1] Operand 1
     /*  983635 */     // No operand predicates
     /*  983635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983639 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983648 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983657 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983673 */     GIR_RootConstrainSelectedInstOperands,
     /*  983674 */     // GIR_Coverage, 9184,
     /*  983674 */     GIR_EraseRootFromParent_Done,
     /*  983675 */   // Label 14696: @983675
     /*  983675 */   GIM_Try, /*On fail goto*//*Label 14697*/ GIMT_Encode4(983770), // Rule ID 9185 //
     /*  983680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  983691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  983694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  983697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  983703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  983718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983730 */     // MIs[1] Operand 1
     /*  983730 */     // No operand predicates
     /*  983730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983743 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  983746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983768 */     GIR_RootConstrainSelectedInstOperands,
     /*  983769 */     // GIR_Coverage, 9185,
     /*  983769 */     GIR_EraseRootFromParent_Done,
     /*  983770 */   // Label 14697: @983770
     /*  983770 */   GIM_Try, /*On fail goto*//*Label 14698*/ GIMT_Encode4(983865), // Rule ID 9188 //
     /*  983775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983825 */     // MIs[1] Operand 1
     /*  983825 */     // No operand predicates
     /*  983825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983838 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  983838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983863 */     GIR_RootConstrainSelectedInstOperands,
     /*  983864 */     // GIR_Coverage, 9188,
     /*  983864 */     GIR_EraseRootFromParent_Done,
     /*  983865 */   // Label 14698: @983865
     /*  983865 */   GIM_Try, /*On fail goto*//*Label 14699*/ GIMT_Encode4(983960), // Rule ID 9189 //
     /*  983870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  983873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  983881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  983884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  983887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  983890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  983893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  983896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  983908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  983912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  983916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  983920 */     // MIs[1] Operand 1
     /*  983920 */     // No operand predicates
     /*  983920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  983924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  983926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  983933 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  983933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  983936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  983938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  983940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  983942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  983945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  983947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  983952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  983955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  983958 */     GIR_RootConstrainSelectedInstOperands,
     /*  983959 */     // GIR_Coverage, 9189,
     /*  983959 */     GIR_EraseRootFromParent_Done,
     /*  983960 */   // Label 14699: @983960
     /*  983960 */   GIM_Try, /*On fail goto*//*Label 14700*/ GIMT_Encode4(984055), // Rule ID 9192 //
     /*  983965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  983968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  983973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  983976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  983979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  983982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  983985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  983988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  983991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  983999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984015 */     // MIs[1] Operand 1
     /*  984015 */     // No operand predicates
     /*  984015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984028 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  984028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  984031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984053 */     GIR_RootConstrainSelectedInstOperands,
     /*  984054 */     // GIR_Coverage, 9192,
     /*  984054 */     GIR_EraseRootFromParent_Done,
     /*  984055 */   // Label 14700: @984055
     /*  984055 */   GIM_Try, /*On fail goto*//*Label 14701*/ GIMT_Encode4(984150), // Rule ID 9193 //
     /*  984060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  984071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  984074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  984077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  984083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984106 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984110 */     // MIs[1] Operand 1
     /*  984110 */     // No operand predicates
     /*  984110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984123 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  984123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  984126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  984145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984148 */     GIR_RootConstrainSelectedInstOperands,
     /*  984149 */     // GIR_Coverage, 9193,
     /*  984149 */     GIR_EraseRootFromParent_Done,
     /*  984150 */   // Label 14701: @984150
     /*  984150 */   GIM_Try, /*On fail goto*//*Label 14702*/ GIMT_Encode4(984245), // Rule ID 9196 //
     /*  984155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  984172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984205 */     // MIs[1] Operand 1
     /*  984205 */     // No operand predicates
     /*  984205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984209 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  984218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  984221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984227 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984243 */     GIR_RootConstrainSelectedInstOperands,
     /*  984244 */     // GIR_Coverage, 9196,
     /*  984244 */     GIR_EraseRootFromParent_Done,
     /*  984245 */   // Label 14702: @984245
     /*  984245 */   GIM_Try, /*On fail goto*//*Label 14703*/ GIMT_Encode4(984340), // Rule ID 9197 //
     /*  984250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  984267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  984288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984300 */     // MIs[1] Operand 1
     /*  984300 */     // No operand predicates
     /*  984300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984304 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984313 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M2_MASK),
     /*  984316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984322 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984338 */     GIR_RootConstrainSelectedInstOperands,
     /*  984339 */     // GIR_Coverage, 9197,
     /*  984339 */     GIR_EraseRootFromParent_Done,
     /*  984340 */   // Label 14703: @984340
     /*  984340 */   GIM_Try, /*On fail goto*//*Label 14704*/ GIMT_Encode4(984435), // Rule ID 9200 //
     /*  984345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  984362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984395 */     // MIs[1] Operand 1
     /*  984395 */     // No operand predicates
     /*  984395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984408 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  984408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  984411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984417 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984433 */     GIR_RootConstrainSelectedInstOperands,
     /*  984434 */     // GIR_Coverage, 9200,
     /*  984434 */     GIR_EraseRootFromParent_Done,
     /*  984435 */   // Label 14704: @984435
     /*  984435 */   GIM_Try, /*On fail goto*//*Label 14705*/ GIMT_Encode4(984530), // Rule ID 9201 //
     /*  984440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  984451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  984454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  984457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  984463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  984478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984490 */     // MIs[1] Operand 1
     /*  984490 */     // No operand predicates
     /*  984490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984503 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M4_MASK),
     /*  984506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984528 */     GIR_RootConstrainSelectedInstOperands,
     /*  984529 */     // GIR_Coverage, 9201,
     /*  984529 */     GIR_EraseRootFromParent_Done,
     /*  984530 */   // Label 14705: @984530
     /*  984530 */   GIM_Try, /*On fail goto*//*Label 14706*/ GIMT_Encode4(984625), // Rule ID 9204 //
     /*  984535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  984538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  984552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984585 */     // MIs[1] Operand 1
     /*  984585 */     // No operand predicates
     /*  984585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984598 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  984598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  984601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984623 */     GIR_RootConstrainSelectedInstOperands,
     /*  984624 */     // GIR_Coverage, 9204,
     /*  984624 */     GIR_EraseRootFromParent_Done,
     /*  984625 */   // Label 14706: @984625
     /*  984625 */   GIM_Try, /*On fail goto*//*Label 14707*/ GIMT_Encode4(984720), // Rule ID 9205 //
     /*  984630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  984633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /*  984638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  984641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  984644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  984647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  984653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  984668 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984672 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984676 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984680 */     // MIs[1] Operand 1
     /*  984680 */     // No operand predicates
     /*  984680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984693 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  984693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VI_M8_MASK),
     /*  984696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  984715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984718 */     GIR_RootConstrainSelectedInstOperands,
     /*  984719 */     // GIR_Coverage, 9205,
     /*  984719 */     GIR_EraseRootFromParent_Done,
     /*  984720 */   // Label 14707: @984720
     /*  984720 */   GIM_Try, /*On fail goto*//*Label 14708*/ GIMT_Encode4(984815), // Rule ID 9296 //
     /*  984725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984775 */     // MIs[1] Operand 1
     /*  984775 */     // No operand predicates
     /*  984775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984788 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  984791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984813 */     GIR_RootConstrainSelectedInstOperands,
     /*  984814 */     // GIR_Coverage, 9296,
     /*  984814 */     GIR_EraseRootFromParent_Done,
     /*  984815 */   // Label 14708: @984815
     /*  984815 */   GIM_Try, /*On fail goto*//*Label 14709*/ GIMT_Encode4(984910), // Rule ID 9297 //
     /*  984820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  984823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  984831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  984834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  984837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  984840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  984843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  984846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984858 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984862 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984866 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984870 */     // MIs[1] Operand 1
     /*  984870 */     // No operand predicates
     /*  984870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984883 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  984883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF8_MASK),
     /*  984886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984892 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  984905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  984908 */     GIR_RootConstrainSelectedInstOperands,
     /*  984909 */     // GIR_Coverage, 9297,
     /*  984909 */     GIR_EraseRootFromParent_Done,
     /*  984910 */   // Label 14709: @984910
     /*  984910 */   GIM_Try, /*On fail goto*//*Label 14710*/ GIMT_Encode4(985005), // Rule ID 9300 //
     /*  984915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  984918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  984923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  984926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  984929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  984932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  984935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  984938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  984941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  984953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  984957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  984961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  984965 */     // MIs[1] Operand 1
     /*  984965 */     // No operand predicates
     /*  984965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  984969 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  984971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  984978 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  984978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  984981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  984983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  984985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  984987 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  984990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  984992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  984997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985003 */     GIR_RootConstrainSelectedInstOperands,
     /*  985004 */     // GIR_Coverage, 9300,
     /*  985004 */     GIR_EraseRootFromParent_Done,
     /*  985005 */   // Label 14710: @985005
     /*  985005 */   GIM_Try, /*On fail goto*//*Label 14711*/ GIMT_Encode4(985100), // Rule ID 9301 //
     /*  985010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  985027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985060 */     // MIs[1] Operand 1
     /*  985060 */     // No operand predicates
     /*  985060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985064 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985073 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  985076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985082 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985098 */     GIR_RootConstrainSelectedInstOperands,
     /*  985099 */     // GIR_Coverage, 9301,
     /*  985099 */     GIR_EraseRootFromParent_Done,
     /*  985100 */   // Label 14711: @985100
     /*  985100 */   GIM_Try, /*On fail goto*//*Label 14712*/ GIMT_Encode4(985195), // Rule ID 9304 //
     /*  985105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  985122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985155 */     // MIs[1] Operand 1
     /*  985155 */     // No operand predicates
     /*  985155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985168 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985193 */     GIR_RootConstrainSelectedInstOperands,
     /*  985194 */     // GIR_Coverage, 9304,
     /*  985194 */     GIR_EraseRootFromParent_Done,
     /*  985195 */   // Label 14712: @985195
     /*  985195 */   GIM_Try, /*On fail goto*//*Label 14713*/ GIMT_Encode4(985290), // Rule ID 9305 //
     /*  985200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  985211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  985214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  985217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  985223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985250 */     // MIs[1] Operand 1
     /*  985250 */     // No operand predicates
     /*  985250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985263 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  985263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985288 */     GIR_RootConstrainSelectedInstOperands,
     /*  985289 */     // GIR_Coverage, 9305,
     /*  985289 */     GIR_EraseRootFromParent_Done,
     /*  985290 */   // Label 14713: @985290
     /*  985290 */   GIM_Try, /*On fail goto*//*Label 14714*/ GIMT_Encode4(985385), // Rule ID 9308 //
     /*  985295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  985312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985341 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985345 */     // MIs[1] Operand 1
     /*  985345 */     // No operand predicates
     /*  985345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  985361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985383 */     GIR_RootConstrainSelectedInstOperands,
     /*  985384 */     // GIR_Coverage, 9308,
     /*  985384 */     GIR_EraseRootFromParent_Done,
     /*  985385 */   // Label 14714: @985385
     /*  985385 */   GIM_Try, /*On fail goto*//*Label 14715*/ GIMT_Encode4(985480), // Rule ID 9309 //
     /*  985390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  985407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985440 */     // MIs[1] Operand 1
     /*  985440 */     // No operand predicates
     /*  985440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985453 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF4_MASK),
     /*  985456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985478 */     GIR_RootConstrainSelectedInstOperands,
     /*  985479 */     // GIR_Coverage, 9309,
     /*  985479 */     GIR_EraseRootFromParent_Done,
     /*  985480 */   // Label 14715: @985480
     /*  985480 */   GIM_Try, /*On fail goto*//*Label 14716*/ GIMT_Encode4(985575), // Rule ID 9312 //
     /*  985485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  985502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985535 */     // MIs[1] Operand 1
     /*  985535 */     // No operand predicates
     /*  985535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985548 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  985548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985573 */     GIR_RootConstrainSelectedInstOperands,
     /*  985574 */     // GIR_Coverage, 9312,
     /*  985574 */     GIR_EraseRootFromParent_Done,
     /*  985575 */   // Label 14716: @985575
     /*  985575 */   GIM_Try, /*On fail goto*//*Label 14717*/ GIMT_Encode4(985670), // Rule ID 9313 //
     /*  985580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  985591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  985594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  985597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  985603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985630 */     // MIs[1] Operand 1
     /*  985630 */     // No operand predicates
     /*  985630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985643 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  985643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985652 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  985665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985668 */     GIR_RootConstrainSelectedInstOperands,
     /*  985669 */     // GIR_Coverage, 9313,
     /*  985669 */     GIR_EraseRootFromParent_Done,
     /*  985670 */   // Label 14717: @985670
     /*  985670 */   GIM_Try, /*On fail goto*//*Label 14718*/ GIMT_Encode4(985765), // Rule ID 9316 //
     /*  985675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985725 */     // MIs[1] Operand 1
     /*  985725 */     // No operand predicates
     /*  985725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985729 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985738 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  985738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985747 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985763 */     GIR_RootConstrainSelectedInstOperands,
     /*  985764 */     // GIR_Coverage, 9316,
     /*  985764 */     GIR_EraseRootFromParent_Done,
     /*  985765 */   // Label 14718: @985765
     /*  985765 */   GIM_Try, /*On fail goto*//*Label 14719*/ GIMT_Encode4(985860), // Rule ID 9317 //
     /*  985770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  985781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  985784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  985787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  985793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985820 */     // MIs[1] Operand 1
     /*  985820 */     // No operand predicates
     /*  985820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985833 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  985833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_MF2_MASK),
     /*  985836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  985855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985858 */     GIR_RootConstrainSelectedInstOperands,
     /*  985859 */     // GIR_Coverage, 9317,
     /*  985859 */     GIR_EraseRootFromParent_Done,
     /*  985860 */   // Label 14719: @985860
     /*  985860 */   GIM_Try, /*On fail goto*//*Label 14720*/ GIMT_Encode4(985955), // Rule ID 9320 //
     /*  985865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  985868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  985885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  985891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  985907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  985911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  985915 */     // MIs[1] Operand 1
     /*  985915 */     // No operand predicates
     /*  985915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  985919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  985921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  985928 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  985928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  985931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  985933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  985935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  985937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  985940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  985942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  985947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  985950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  985953 */     GIR_RootConstrainSelectedInstOperands,
     /*  985954 */     // GIR_Coverage, 9320,
     /*  985954 */     GIR_EraseRootFromParent_Done,
     /*  985955 */   // Label 14720: @985955
     /*  985955 */   GIM_Try, /*On fail goto*//*Label 14721*/ GIMT_Encode4(986050), // Rule ID 9321 //
     /*  985960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  985963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  985968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  985971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  985974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  985977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  985980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  985983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  985986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  985998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986010 */     // MIs[1] Operand 1
     /*  986010 */     // No operand predicates
     /*  986010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986023 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986048 */     GIR_RootConstrainSelectedInstOperands,
     /*  986049 */     // GIR_Coverage, 9321,
     /*  986049 */     GIR_EraseRootFromParent_Done,
     /*  986050 */   // Label 14721: @986050
     /*  986050 */   GIM_Try, /*On fail goto*//*Label 14722*/ GIMT_Encode4(986145), // Rule ID 9324 //
     /*  986055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  986072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986101 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986105 */     // MIs[1] Operand 1
     /*  986105 */     // No operand predicates
     /*  986105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  986118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986143 */     GIR_RootConstrainSelectedInstOperands,
     /*  986144 */     // GIR_Coverage, 9324,
     /*  986144 */     GIR_EraseRootFromParent_Done,
     /*  986145 */   // Label 14722: @986145
     /*  986145 */   GIM_Try, /*On fail goto*//*Label 14723*/ GIMT_Encode4(986240), // Rule ID 9325 //
     /*  986150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  986161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  986164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  986167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  986173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986200 */     // MIs[1] Operand 1
     /*  986200 */     // No operand predicates
     /*  986200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986213 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  986213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  986235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986238 */     GIR_RootConstrainSelectedInstOperands,
     /*  986239 */     // GIR_Coverage, 9325,
     /*  986239 */     GIR_EraseRootFromParent_Done,
     /*  986240 */   // Label 14723: @986240
     /*  986240 */   GIM_Try, /*On fail goto*//*Label 14724*/ GIMT_Encode4(986335), // Rule ID 9328 //
     /*  986245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  986256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  986259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  986262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  986268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986295 */     // MIs[1] Operand 1
     /*  986295 */     // No operand predicates
     /*  986295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986299 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986308 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  986308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986317 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986333 */     GIR_RootConstrainSelectedInstOperands,
     /*  986334 */     // GIR_Coverage, 9328,
     /*  986334 */     GIR_EraseRootFromParent_Done,
     /*  986335 */   // Label 14724: @986335
     /*  986335 */   GIM_Try, /*On fail goto*//*Label 14725*/ GIMT_Encode4(986430), // Rule ID 9329 //
     /*  986340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  986351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  986354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  986357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  986363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986390 */     // MIs[1] Operand 1
     /*  986390 */     // No operand predicates
     /*  986390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986403 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  986403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986412 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  986425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986428 */     GIR_RootConstrainSelectedInstOperands,
     /*  986429 */     // GIR_Coverage, 9329,
     /*  986429 */     GIR_EraseRootFromParent_Done,
     /*  986430 */   // Label 14725: @986430
     /*  986430 */   GIM_Try, /*On fail goto*//*Label 14726*/ GIMT_Encode4(986525), // Rule ID 9332 //
     /*  986435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  986438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  986446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  986449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  986452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  986458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986485 */     // MIs[1] Operand 1
     /*  986485 */     // No operand predicates
     /*  986485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  986498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986523 */     GIR_RootConstrainSelectedInstOperands,
     /*  986524 */     // GIR_Coverage, 9332,
     /*  986524 */     GIR_EraseRootFromParent_Done,
     /*  986525 */   // Label 14726: @986525
     /*  986525 */   GIM_Try, /*On fail goto*//*Label 14727*/ GIMT_Encode4(986620), // Rule ID 9333 //
     /*  986530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  986533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  986541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  986544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  986547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  986553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986580 */     // MIs[1] Operand 1
     /*  986580 */     // No operand predicates
     /*  986580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986593 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  986593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M1_MASK),
     /*  986596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  986615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986618 */     GIR_RootConstrainSelectedInstOperands,
     /*  986619 */     // GIR_Coverage, 9333,
     /*  986619 */     GIR_EraseRootFromParent_Done,
     /*  986620 */   // Label 14727: @986620
     /*  986620 */   GIM_Try, /*On fail goto*//*Label 14728*/ GIMT_Encode4(986715), // Rule ID 9336 //
     /*  986625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986675 */     // MIs[1] Operand 1
     /*  986675 */     // No operand predicates
     /*  986675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986688 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986713 */     GIR_RootConstrainSelectedInstOperands,
     /*  986714 */     // GIR_Coverage, 9336,
     /*  986714 */     GIR_EraseRootFromParent_Done,
     /*  986715 */   // Label 14728: @986715
     /*  986715 */   GIM_Try, /*On fail goto*//*Label 14729*/ GIMT_Encode4(986810), // Rule ID 9337 //
     /*  986720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  986731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  986734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  986737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  986743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  986758 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986762 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986766 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986770 */     // MIs[1] Operand 1
     /*  986770 */     // No operand predicates
     /*  986770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986783 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  986786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986808 */     GIR_RootConstrainSelectedInstOperands,
     /*  986809 */     // GIR_Coverage, 9337,
     /*  986809 */     GIR_EraseRootFromParent_Done,
     /*  986810 */   // Label 14729: @986810
     /*  986810 */   GIM_Try, /*On fail goto*//*Label 14730*/ GIMT_Encode4(986905), // Rule ID 9340 //
     /*  986815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  986818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  986835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  986841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986865 */     // MIs[1] Operand 1
     /*  986865 */     // No operand predicates
     /*  986865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986878 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  986878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986903 */     GIR_RootConstrainSelectedInstOperands,
     /*  986904 */     // GIR_Coverage, 9340,
     /*  986904 */     GIR_EraseRootFromParent_Done,
     /*  986905 */   // Label 14730: @986905
     /*  986905 */   GIM_Try, /*On fail goto*//*Label 14731*/ GIMT_Encode4(987000), // Rule ID 9341 //
     /*  986910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  986913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  986918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  986921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  986924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  986927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  986930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  986933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  986936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  986944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  986948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  986952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  986956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  986960 */     // MIs[1] Operand 1
     /*  986960 */     // No operand predicates
     /*  986960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  986964 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  986966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  986973 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  986973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  986976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  986978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  986980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  986982 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  986985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  986987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  986992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  986995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  986998 */     GIR_RootConstrainSelectedInstOperands,
     /*  986999 */     // GIR_Coverage, 9341,
     /*  986999 */     GIR_EraseRootFromParent_Done,
     /*  987000 */   // Label 14731: @987000
     /*  987000 */   GIM_Try, /*On fail goto*//*Label 14732*/ GIMT_Encode4(987095), // Rule ID 9344 //
     /*  987005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  987016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  987019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  987022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  987028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987055 */     // MIs[1] Operand 1
     /*  987055 */     // No operand predicates
     /*  987055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987068 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  987068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987093 */     GIR_RootConstrainSelectedInstOperands,
     /*  987094 */     // GIR_Coverage, 9344,
     /*  987094 */     GIR_EraseRootFromParent_Done,
     /*  987095 */   // Label 14732: @987095
     /*  987095 */   GIM_Try, /*On fail goto*//*Label 14733*/ GIMT_Encode4(987190), // Rule ID 9345 //
     /*  987100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  987111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  987114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  987117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  987123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987150 */     // MIs[1] Operand 1
     /*  987150 */     // No operand predicates
     /*  987150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987154 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987163 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  987163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987172 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  987185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987188 */     GIR_RootConstrainSelectedInstOperands,
     /*  987189 */     // GIR_Coverage, 9345,
     /*  987189 */     GIR_EraseRootFromParent_Done,
     /*  987190 */   // Label 14733: @987190
     /*  987190 */   GIM_Try, /*On fail goto*//*Label 14734*/ GIMT_Encode4(987285), // Rule ID 9348 //
     /*  987195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  987212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987245 */     // MIs[1] Operand 1
     /*  987245 */     // No operand predicates
     /*  987245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  987258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987283 */     GIR_RootConstrainSelectedInstOperands,
     /*  987284 */     // GIR_Coverage, 9348,
     /*  987284 */     GIR_EraseRootFromParent_Done,
     /*  987285 */   // Label 14734: @987285
     /*  987285 */   GIM_Try, /*On fail goto*//*Label 14735*/ GIMT_Encode4(987380), // Rule ID 9349 //
     /*  987290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  987307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987340 */     // MIs[1] Operand 1
     /*  987340 */     // No operand predicates
     /*  987340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987353 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987378 */     GIR_RootConstrainSelectedInstOperands,
     /*  987379 */     // GIR_Coverage, 9349,
     /*  987379 */     GIR_EraseRootFromParent_Done,
     /*  987380 */   // Label 14735: @987380
     /*  987380 */   GIM_Try, /*On fail goto*//*Label 14736*/ GIMT_Encode4(987475), // Rule ID 9352 //
     /*  987385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  987402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987435 */     // MIs[1] Operand 1
     /*  987435 */     // No operand predicates
     /*  987435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987448 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  987448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  987451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987473 */     GIR_RootConstrainSelectedInstOperands,
     /*  987474 */     // GIR_Coverage, 9352,
     /*  987474 */     GIR_EraseRootFromParent_Done,
     /*  987475 */   // Label 14736: @987475
     /*  987475 */   GIM_Try, /*On fail goto*//*Label 14737*/ GIMT_Encode4(987570), // Rule ID 9353 //
     /*  987480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  987491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  987494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  987497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  987503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987518 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987522 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987526 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987530 */     // MIs[1] Operand 1
     /*  987530 */     // No operand predicates
     /*  987530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987543 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  987546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987568 */     GIR_RootConstrainSelectedInstOperands,
     /*  987569 */     // GIR_Coverage, 9353,
     /*  987569 */     GIR_EraseRootFromParent_Done,
     /*  987570 */   // Label 14737: @987570
     /*  987570 */   GIM_Try, /*On fail goto*//*Label 14738*/ GIMT_Encode4(987665), // Rule ID 9356 //
     /*  987575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987613 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987617 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987621 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987625 */     // MIs[1] Operand 1
     /*  987625 */     // No operand predicates
     /*  987625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987638 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  987638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987663 */     GIR_RootConstrainSelectedInstOperands,
     /*  987664 */     // GIR_Coverage, 9356,
     /*  987664 */     GIR_EraseRootFromParent_Done,
     /*  987665 */   // Label 14738: @987665
     /*  987665 */   GIM_Try, /*On fail goto*//*Label 14739*/ GIMT_Encode4(987760), // Rule ID 9357 //
     /*  987670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  987681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  987684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  987687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  987693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  987708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987720 */     // MIs[1] Operand 1
     /*  987720 */     // No operand predicates
     /*  987720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987724 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987733 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  987733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  987736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987742 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  987755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987758 */     GIR_RootConstrainSelectedInstOperands,
     /*  987759 */     // GIR_Coverage, 9357,
     /*  987759 */     GIR_EraseRootFromParent_Done,
     /*  987760 */   // Label 14739: @987760
     /*  987760 */   GIM_Try, /*On fail goto*//*Label 14740*/ GIMT_Encode4(987855), // Rule ID 9360 //
     /*  987765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987815 */     // MIs[1] Operand 1
     /*  987815 */     // No operand predicates
     /*  987815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987828 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  987828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987853 */     GIR_RootConstrainSelectedInstOperands,
     /*  987854 */     // GIR_Coverage, 9360,
     /*  987854 */     GIR_EraseRootFromParent_Done,
     /*  987855 */   // Label 14740: @987855
     /*  987855 */   GIM_Try, /*On fail goto*//*Label 14741*/ GIMT_Encode4(987950), // Rule ID 9361 //
     /*  987860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  987863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  987871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  987874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  987877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  987880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  987883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  987886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  987898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  987906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  987910 */     // MIs[1] Operand 1
     /*  987910 */     // No operand predicates
     /*  987910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  987914 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  987916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  987923 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  987923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  987926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  987928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  987930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  987932 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  987935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  987937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  987942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  987945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  987948 */     GIR_RootConstrainSelectedInstOperands,
     /*  987949 */     // GIR_Coverage, 9361,
     /*  987949 */     GIR_EraseRootFromParent_Done,
     /*  987950 */   // Label 14741: @987950
     /*  987950 */   GIM_Try, /*On fail goto*//*Label 14742*/ GIMT_Encode4(988045), // Rule ID 9364 //
     /*  987955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  987958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  987963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  987966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  987969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  987972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  987975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  987978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  987981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  987989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  987993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  987997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988005 */     // MIs[1] Operand 1
     /*  988005 */     // No operand predicates
     /*  988005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988018 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  988018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  988021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988043 */     GIR_RootConstrainSelectedInstOperands,
     /*  988044 */     // GIR_Coverage, 9364,
     /*  988044 */     GIR_EraseRootFromParent_Done,
     /*  988045 */   // Label 14742: @988045
     /*  988045 */   GIM_Try, /*On fail goto*//*Label 14743*/ GIMT_Encode4(988140), // Rule ID 9365 //
     /*  988050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  988067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988100 */     // MIs[1] Operand 1
     /*  988100 */     // No operand predicates
     /*  988100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988113 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  988113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  988116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988138 */     GIR_RootConstrainSelectedInstOperands,
     /*  988139 */     // GIR_Coverage, 9365,
     /*  988139 */     GIR_EraseRootFromParent_Done,
     /*  988140 */   // Label 14743: @988140
     /*  988140 */   GIM_Try, /*On fail goto*//*Label 14744*/ GIMT_Encode4(988235), // Rule ID 9368 //
     /*  988145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  988156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  988159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  988162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  988168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988195 */     // MIs[1] Operand 1
     /*  988195 */     // No operand predicates
     /*  988195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988208 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  988208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  988211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988233 */     GIR_RootConstrainSelectedInstOperands,
     /*  988234 */     // GIR_Coverage, 9368,
     /*  988234 */     GIR_EraseRootFromParent_Done,
     /*  988235 */   // Label 14744: @988235
     /*  988235 */   GIM_Try, /*On fail goto*//*Label 14745*/ GIMT_Encode4(988330), // Rule ID 9369 //
     /*  988240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  988243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  988251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  988254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  988257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  988263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988286 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988290 */     // MIs[1] Operand 1
     /*  988290 */     // No operand predicates
     /*  988290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988303 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  988303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  988306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  988325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988328 */     GIR_RootConstrainSelectedInstOperands,
     /*  988329 */     // GIR_Coverage, 9369,
     /*  988329 */     GIR_EraseRootFromParent_Done,
     /*  988330 */   // Label 14745: @988330
     /*  988330 */   GIM_Try, /*On fail goto*//*Label 14746*/ GIMT_Encode4(988425), // Rule ID 9372 //
     /*  988335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  988352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988385 */     // MIs[1] Operand 1
     /*  988385 */     // No operand predicates
     /*  988385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988398 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  988401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988407 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988423 */     GIR_RootConstrainSelectedInstOperands,
     /*  988424 */     // GIR_Coverage, 9372,
     /*  988424 */     GIR_EraseRootFromParent_Done,
     /*  988425 */   // Label 14746: @988425
     /*  988425 */   GIM_Try, /*On fail goto*//*Label 14747*/ GIMT_Encode4(988520), // Rule ID 9373 //
     /*  988430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  988441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  988444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  988447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  988453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  988468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988480 */     // MIs[1] Operand 1
     /*  988480 */     // No operand predicates
     /*  988480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988484 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988493 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M2_MASK),
     /*  988496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988502 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988518 */     GIR_RootConstrainSelectedInstOperands,
     /*  988519 */     // GIR_Coverage, 9373,
     /*  988519 */     GIR_EraseRootFromParent_Done,
     /*  988520 */   // Label 14747: @988520
     /*  988520 */   GIM_Try, /*On fail goto*//*Label 14748*/ GIMT_Encode4(988615), // Rule ID 9376 //
     /*  988525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  988542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988575 */     // MIs[1] Operand 1
     /*  988575 */     // No operand predicates
     /*  988575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988579 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988588 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  988591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988597 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988613 */     GIR_RootConstrainSelectedInstOperands,
     /*  988614 */     // GIR_Coverage, 9376,
     /*  988614 */     GIR_EraseRootFromParent_Done,
     /*  988615 */   // Label 14748: @988615
     /*  988615 */   GIM_Try, /*On fail goto*//*Label 14749*/ GIMT_Encode4(988710), // Rule ID 9377 //
     /*  988620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  988631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  988634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  988637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  988643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  988658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988670 */     // MIs[1] Operand 1
     /*  988670 */     // No operand predicates
     /*  988670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988683 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M4_MASK),
     /*  988686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988708 */     GIR_RootConstrainSelectedInstOperands,
     /*  988709 */     // GIR_Coverage, 9377,
     /*  988709 */     GIR_EraseRootFromParent_Done,
     /*  988710 */   // Label 14749: @988710
     /*  988710 */   GIM_Try, /*On fail goto*//*Label 14750*/ GIMT_Encode4(988805), // Rule ID 9380 //
     /*  988715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  988718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988765 */     // MIs[1] Operand 1
     /*  988765 */     // No operand predicates
     /*  988765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  988778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  988781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988803 */     GIR_RootConstrainSelectedInstOperands,
     /*  988804 */     // GIR_Coverage, 9380,
     /*  988804 */     GIR_EraseRootFromParent_Done,
     /*  988805 */   // Label 14750: @988805
     /*  988805 */   GIM_Try, /*On fail goto*//*Label 14751*/ GIMT_Encode4(988900), // Rule ID 9381 //
     /*  988810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  988813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /*  988818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  988821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  988824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  988827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  988830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  988833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  988836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  988848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988860 */     // MIs[1] Operand 1
     /*  988860 */     // No operand predicates
     /*  988860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988873 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  988873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VI_M8_MASK),
     /*  988876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  988895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988898 */     GIR_RootConstrainSelectedInstOperands,
     /*  988899 */     // GIR_Coverage, 9381,
     /*  988899 */     GIR_EraseRootFromParent_Done,
     /*  988900 */   // Label 14751: @988900
     /*  988900 */   GIM_Try, /*On fail goto*//*Label 14752*/ GIMT_Encode4(988995), // Rule ID 9472 //
     /*  988905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  988908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  988913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  988916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  988919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  988922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  988925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  988928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  988931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  988943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  988947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  988951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  988955 */     // MIs[1] Operand 1
     /*  988955 */     // No operand predicates
     /*  988955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  988959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  988961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  988968 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  988968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  988971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  988973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  988975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  988977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  988980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  988982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  988987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  988990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  988993 */     GIR_RootConstrainSelectedInstOperands,
     /*  988994 */     // GIR_Coverage, 9472,
     /*  988994 */     GIR_EraseRootFromParent_Done,
     /*  988995 */   // Label 14752: @988995
     /*  988995 */   GIM_Try, /*On fail goto*//*Label 14753*/ GIMT_Encode4(989090), // Rule ID 9473 //
     /*  989000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  989017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989046 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989050 */     // MIs[1] Operand 1
     /*  989050 */     // No operand predicates
     /*  989050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989063 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  989063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF8_MASK),
     /*  989066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989088 */     GIR_RootConstrainSelectedInstOperands,
     /*  989089 */     // GIR_Coverage, 9473,
     /*  989089 */     GIR_EraseRootFromParent_Done,
     /*  989090 */   // Label 14753: @989090
     /*  989090 */   GIM_Try, /*On fail goto*//*Label 14754*/ GIMT_Encode4(989185), // Rule ID 9476 //
     /*  989095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  989112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989145 */     // MIs[1] Operand 1
     /*  989145 */     // No operand predicates
     /*  989145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989149 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989158 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  989158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  989161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989167 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989183 */     GIR_RootConstrainSelectedInstOperands,
     /*  989184 */     // GIR_Coverage, 9476,
     /*  989184 */     GIR_EraseRootFromParent_Done,
     /*  989185 */   // Label 14754: @989185
     /*  989185 */   GIM_Try, /*On fail goto*//*Label 14755*/ GIMT_Encode4(989280), // Rule ID 9477 //
     /*  989190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  989207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989240 */     // MIs[1] Operand 1
     /*  989240 */     // No operand predicates
     /*  989240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989244 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989253 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  989253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  989256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989262 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989278 */     GIR_RootConstrainSelectedInstOperands,
     /*  989279 */     // GIR_Coverage, 9477,
     /*  989279 */     GIR_EraseRootFromParent_Done,
     /*  989280 */   // Label 14755: @989280
     /*  989280 */   GIM_Try, /*On fail goto*//*Label 14756*/ GIMT_Encode4(989375), // Rule ID 9480 //
     /*  989285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  989296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  989299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  989302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989335 */     // MIs[1] Operand 1
     /*  989335 */     // No operand predicates
     /*  989335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989339 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989348 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  989348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989357 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989373 */     GIR_RootConstrainSelectedInstOperands,
     /*  989374 */     // GIR_Coverage, 9480,
     /*  989374 */     GIR_EraseRootFromParent_Done,
     /*  989375 */   // Label 14756: @989375
     /*  989375 */   GIM_Try, /*On fail goto*//*Label 14757*/ GIMT_Encode4(989470), // Rule ID 9481 //
     /*  989380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  989391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  989394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  989397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  989403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989430 */     // MIs[1] Operand 1
     /*  989430 */     // No operand predicates
     /*  989430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989443 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  989443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  989465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989468 */     GIR_RootConstrainSelectedInstOperands,
     /*  989469 */     // GIR_Coverage, 9481,
     /*  989469 */     GIR_EraseRootFromParent_Done,
     /*  989470 */   // Label 14757: @989470
     /*  989470 */   GIM_Try, /*On fail goto*//*Label 14758*/ GIMT_Encode4(989565), // Rule ID 9484 //
     /*  989475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989525 */     // MIs[1] Operand 1
     /*  989525 */     // No operand predicates
     /*  989525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989538 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  989538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  989541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989563 */     GIR_RootConstrainSelectedInstOperands,
     /*  989564 */     // GIR_Coverage, 9484,
     /*  989564 */     GIR_EraseRootFromParent_Done,
     /*  989565 */   // Label 14758: @989565
     /*  989565 */   GIM_Try, /*On fail goto*//*Label 14759*/ GIMT_Encode4(989660), // Rule ID 9485 //
     /*  989570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  989587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989620 */     // MIs[1] Operand 1
     /*  989620 */     // No operand predicates
     /*  989620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989633 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  989633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF4_MASK),
     /*  989636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989658 */     GIR_RootConstrainSelectedInstOperands,
     /*  989659 */     // GIR_Coverage, 9485,
     /*  989659 */     GIR_EraseRootFromParent_Done,
     /*  989660 */   // Label 14759: @989660
     /*  989660 */   GIM_Try, /*On fail goto*//*Label 14760*/ GIMT_Encode4(989755), // Rule ID 9488 //
     /*  989665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989711 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989715 */     // MIs[1] Operand 1
     /*  989715 */     // No operand predicates
     /*  989715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989728 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  989728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989753 */     GIR_RootConstrainSelectedInstOperands,
     /*  989754 */     // GIR_Coverage, 9488,
     /*  989754 */     GIR_EraseRootFromParent_Done,
     /*  989755 */   // Label 14760: @989755
     /*  989755 */   GIM_Try, /*On fail goto*//*Label 14761*/ GIMT_Encode4(989850), // Rule ID 9489 //
     /*  989760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  989771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  989774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  989777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  989783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989810 */     // MIs[1] Operand 1
     /*  989810 */     // No operand predicates
     /*  989810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989814 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989823 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  989823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989832 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  989845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989848 */     GIR_RootConstrainSelectedInstOperands,
     /*  989849 */     // GIR_Coverage, 9489,
     /*  989849 */     GIR_EraseRootFromParent_Done,
     /*  989850 */   // Label 14761: @989850
     /*  989850 */   GIM_Try, /*On fail goto*//*Label 14762*/ GIMT_Encode4(989945), // Rule ID 9492 //
     /*  989855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  989858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  989875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  989881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  989905 */     // MIs[1] Operand 1
     /*  989905 */     // No operand predicates
     /*  989905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  989909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  989911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  989918 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  989918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  989921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  989923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  989925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  989927 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  989930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  989932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  989937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  989940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  989943 */     GIR_RootConstrainSelectedInstOperands,
     /*  989944 */     // GIR_Coverage, 9492,
     /*  989944 */     GIR_EraseRootFromParent_Done,
     /*  989945 */   // Label 14762: @989945
     /*  989945 */   GIM_Try, /*On fail goto*//*Label 14763*/ GIMT_Encode4(990040), // Rule ID 9493 //
     /*  989950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  989953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  989958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  989961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  989964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  989967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  989970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  989973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  989976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  989988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  989992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  989996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990000 */     // MIs[1] Operand 1
     /*  990000 */     // No operand predicates
     /*  990000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990013 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  990013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_MF2_MASK),
     /*  990016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990038 */     GIR_RootConstrainSelectedInstOperands,
     /*  990039 */     // GIR_Coverage, 9493,
     /*  990039 */     GIR_EraseRootFromParent_Done,
     /*  990040 */   // Label 14763: @990040
     /*  990040 */   GIM_Try, /*On fail goto*//*Label 14764*/ GIMT_Encode4(990135), // Rule ID 9496 //
     /*  990045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  990056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  990059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  990062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990095 */     // MIs[1] Operand 1
     /*  990095 */     // No operand predicates
     /*  990095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990108 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  990108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990133 */     GIR_RootConstrainSelectedInstOperands,
     /*  990134 */     // GIR_Coverage, 9496,
     /*  990134 */     GIR_EraseRootFromParent_Done,
     /*  990135 */   // Label 14764: @990135
     /*  990135 */   GIM_Try, /*On fail goto*//*Label 14765*/ GIMT_Encode4(990230), // Rule ID 9497 //
     /*  990140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  990151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  990154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  990157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  990163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990190 */     // MIs[1] Operand 1
     /*  990190 */     // No operand predicates
     /*  990190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990203 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  990203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990228 */     GIR_RootConstrainSelectedInstOperands,
     /*  990229 */     // GIR_Coverage, 9497,
     /*  990229 */     GIR_EraseRootFromParent_Done,
     /*  990230 */   // Label 14765: @990230
     /*  990230 */   GIM_Try, /*On fail goto*//*Label 14766*/ GIMT_Encode4(990325), // Rule ID 9500 //
     /*  990235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  990246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  990249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  990252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990285 */     // MIs[1] Operand 1
     /*  990285 */     // No operand predicates
     /*  990285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990298 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  990298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990323 */     GIR_RootConstrainSelectedInstOperands,
     /*  990324 */     // GIR_Coverage, 9500,
     /*  990324 */     GIR_EraseRootFromParent_Done,
     /*  990325 */   // Label 14766: @990325
     /*  990325 */   GIM_Try, /*On fail goto*//*Label 14767*/ GIMT_Encode4(990420), // Rule ID 9501 //
     /*  990330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  990341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  990344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  990347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  990353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990380 */     // MIs[1] Operand 1
     /*  990380 */     // No operand predicates
     /*  990380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990393 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  990393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  990415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990418 */     GIR_RootConstrainSelectedInstOperands,
     /*  990419 */     // GIR_Coverage, 9501,
     /*  990419 */     GIR_EraseRootFromParent_Done,
     /*  990420 */   // Label 14767: @990420
     /*  990420 */   GIM_Try, /*On fail goto*//*Label 14768*/ GIMT_Encode4(990515), // Rule ID 9504 //
     /*  990425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  990436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  990439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  990442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  990448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990471 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990475 */     // MIs[1] Operand 1
     /*  990475 */     // No operand predicates
     /*  990475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990479 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990488 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  990488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990497 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990513 */     GIR_RootConstrainSelectedInstOperands,
     /*  990514 */     // GIR_Coverage, 9504,
     /*  990514 */     GIR_EraseRootFromParent_Done,
     /*  990515 */   // Label 14768: @990515
     /*  990515 */   GIM_Try, /*On fail goto*//*Label 14769*/ GIMT_Encode4(990610), // Rule ID 9505 //
     /*  990520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  990531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  990534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  990537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  990543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990570 */     // MIs[1] Operand 1
     /*  990570 */     // No operand predicates
     /*  990570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990574 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990583 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  990583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990592 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  990605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990608 */     GIR_RootConstrainSelectedInstOperands,
     /*  990609 */     // GIR_Coverage, 9505,
     /*  990609 */     GIR_EraseRootFromParent_Done,
     /*  990610 */   // Label 14769: @990610
     /*  990610 */   GIM_Try, /*On fail goto*//*Label 14770*/ GIMT_Encode4(990705), // Rule ID 9508 //
     /*  990615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  990618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  990626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  990629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990665 */     // MIs[1] Operand 1
     /*  990665 */     // No operand predicates
     /*  990665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990678 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  990678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990687 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990703 */     GIR_RootConstrainSelectedInstOperands,
     /*  990704 */     // GIR_Coverage, 9508,
     /*  990704 */     GIR_EraseRootFromParent_Done,
     /*  990705 */   // Label 14770: @990705
     /*  990705 */   GIM_Try, /*On fail goto*//*Label 14771*/ GIMT_Encode4(990800), // Rule ID 9509 //
     /*  990710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  990713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /*  990721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /*  990724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  990727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  990733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990760 */     // MIs[1] Operand 1
     /*  990760 */     // No operand predicates
     /*  990760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990773 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  990773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M1_MASK),
     /*  990776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  990795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990798 */     GIR_RootConstrainSelectedInstOperands,
     /*  990799 */     // GIR_Coverage, 9509,
     /*  990799 */     GIR_EraseRootFromParent_Done,
     /*  990800 */   // Label 14771: @990800
     /*  990800 */   GIM_Try, /*On fail goto*//*Label 14772*/ GIMT_Encode4(990895), // Rule ID 9512 //
     /*  990805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  990816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  990819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  990825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  990831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990855 */     // MIs[1] Operand 1
     /*  990855 */     // No operand predicates
     /*  990855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990868 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  990868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990893 */     GIR_RootConstrainSelectedInstOperands,
     /*  990894 */     // GIR_Coverage, 9512,
     /*  990894 */     GIR_EraseRootFromParent_Done,
     /*  990895 */   // Label 14772: @990895
     /*  990895 */   GIM_Try, /*On fail goto*//*Label 14773*/ GIMT_Encode4(990990), // Rule ID 9513 //
     /*  990900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  990903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  990908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  990911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  990914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  990917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  990920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  990923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  990926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  990934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  990938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  990942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  990946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  990950 */     // MIs[1] Operand 1
     /*  990950 */     // No operand predicates
     /*  990950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  990954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  990956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  990963 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  990963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  990966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  990968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  990970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  990972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  990975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  990977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  990982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  990985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  990988 */     GIR_RootConstrainSelectedInstOperands,
     /*  990989 */     // GIR_Coverage, 9513,
     /*  990989 */     GIR_EraseRootFromParent_Done,
     /*  990990 */   // Label 14773: @990990
     /*  990990 */   GIM_Try, /*On fail goto*//*Label 14774*/ GIMT_Encode4(991085), // Rule ID 9516 //
     /*  990995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  990998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  991006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  991009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  991012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991033 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991037 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991041 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991045 */     // MIs[1] Operand 1
     /*  991045 */     // No operand predicates
     /*  991045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991058 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  991058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991083 */     GIR_RootConstrainSelectedInstOperands,
     /*  991084 */     // GIR_Coverage, 9516,
     /*  991084 */     GIR_EraseRootFromParent_Done,
     /*  991085 */   // Label 14774: @991085
     /*  991085 */   GIM_Try, /*On fail goto*//*Label 14775*/ GIMT_Encode4(991180), // Rule ID 9517 //
     /*  991090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  991101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  991104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  991107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991128 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991132 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991136 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991140 */     // MIs[1] Operand 1
     /*  991140 */     // No operand predicates
     /*  991140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991153 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  991153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991178 */     GIR_RootConstrainSelectedInstOperands,
     /*  991179 */     // GIR_Coverage, 9517,
     /*  991179 */     GIR_EraseRootFromParent_Done,
     /*  991180 */   // Label 14775: @991180
     /*  991180 */   GIM_Try, /*On fail goto*//*Label 14776*/ GIMT_Encode4(991275), // Rule ID 9520 //
     /*  991185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  991196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  991199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  991202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  991208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991235 */     // MIs[1] Operand 1
     /*  991235 */     // No operand predicates
     /*  991235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991239 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991248 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /*  991248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991257 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991273 */     GIR_RootConstrainSelectedInstOperands,
     /*  991274 */     // GIR_Coverage, 9520,
     /*  991274 */     GIR_EraseRootFromParent_Done,
     /*  991275 */   // Label 14776: @991275
     /*  991275 */   GIM_Try, /*On fail goto*//*Label 14777*/ GIMT_Encode4(991370), // Rule ID 9521 //
     /*  991280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /*  991291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /*  991294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  991297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  991303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991330 */     // MIs[1] Operand 1
     /*  991330 */     // No operand predicates
     /*  991330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991343 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /*  991343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991352 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  991365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991368 */     GIR_RootConstrainSelectedInstOperands,
     /*  991369 */     // GIR_Coverage, 9521,
     /*  991369 */     GIR_EraseRootFromParent_Done,
     /*  991370 */   // Label 14777: @991370
     /*  991370 */   GIM_Try, /*On fail goto*//*Label 14778*/ GIMT_Encode4(991465), // Rule ID 9524 //
     /*  991375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  991386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  991389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  991392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991425 */     // MIs[1] Operand 1
     /*  991425 */     // No operand predicates
     /*  991425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991438 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  991438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991463 */     GIR_RootConstrainSelectedInstOperands,
     /*  991464 */     // GIR_Coverage, 9524,
     /*  991464 */     GIR_EraseRootFromParent_Done,
     /*  991465 */   // Label 14778: @991465
     /*  991465 */   GIM_Try, /*On fail goto*//*Label 14779*/ GIMT_Encode4(991560), // Rule ID 9525 //
     /*  991470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  991481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  991484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  991487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  991493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991520 */     // MIs[1] Operand 1
     /*  991520 */     // No operand predicates
     /*  991520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991533 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  991533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  991536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991558 */     GIR_RootConstrainSelectedInstOperands,
     /*  991559 */     // GIR_Coverage, 9525,
     /*  991559 */     GIR_EraseRootFromParent_Done,
     /*  991560 */   // Label 14779: @991560
     /*  991560 */   GIM_Try, /*On fail goto*//*Label 14780*/ GIMT_Encode4(991655), // Rule ID 9528 //
     /*  991565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  991576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  991579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  991582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991615 */     // MIs[1] Operand 1
     /*  991615 */     // No operand predicates
     /*  991615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991628 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  991628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991653 */     GIR_RootConstrainSelectedInstOperands,
     /*  991654 */     // GIR_Coverage, 9528,
     /*  991654 */     GIR_EraseRootFromParent_Done,
     /*  991655 */   // Label 14780: @991655
     /*  991655 */   GIM_Try, /*On fail goto*//*Label 14781*/ GIMT_Encode4(991750), // Rule ID 9529 //
     /*  991660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  991671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  991674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  991677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  991683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  991698 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991702 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991706 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991710 */     // MIs[1] Operand 1
     /*  991710 */     // No operand predicates
     /*  991710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991723 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  991723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  991726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991748 */     GIR_RootConstrainSelectedInstOperands,
     /*  991749 */     // GIR_Coverage, 9529,
     /*  991749 */     GIR_EraseRootFromParent_Done,
     /*  991750 */   // Label 14781: @991750
     /*  991750 */   GIM_Try, /*On fail goto*//*Label 14782*/ GIMT_Encode4(991845), // Rule ID 9532 //
     /*  991755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  991766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  991769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991805 */     // MIs[1] Operand 1
     /*  991805 */     // No operand predicates
     /*  991805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991818 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /*  991818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991843 */     GIR_RootConstrainSelectedInstOperands,
     /*  991844 */     // GIR_Coverage, 9532,
     /*  991844 */     GIR_EraseRootFromParent_Done,
     /*  991845 */   // Label 14782: @991845
     /*  991845 */   GIM_Try, /*On fail goto*//*Label 14783*/ GIMT_Encode4(991940), // Rule ID 9533 //
     /*  991850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  991853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /*  991861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /*  991864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  991867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  991870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  991873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  991876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  991888 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991892 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991896 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991900 */     // MIs[1] Operand 1
     /*  991900 */     // No operand predicates
     /*  991900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  991906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  991913 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /*  991913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  991916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  991918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  991920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  991922 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  991925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  991927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  991932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  991935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  991938 */     GIR_RootConstrainSelectedInstOperands,
     /*  991939 */     // GIR_Coverage, 9533,
     /*  991939 */     GIR_EraseRootFromParent_Done,
     /*  991940 */   // Label 14783: @991940
     /*  991940 */   GIM_Try, /*On fail goto*//*Label 14784*/ GIMT_Encode4(992035), // Rule ID 9536 //
     /*  991945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  991948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  991953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  991956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  991959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  991962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  991965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  991968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  991971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  991979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  991983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  991987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  991991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  991995 */     // MIs[1] Operand 1
     /*  991995 */     // No operand predicates
     /*  991995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  991999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992008 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  992008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  992011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992033 */     GIR_RootConstrainSelectedInstOperands,
     /*  992034 */     // GIR_Coverage, 9536,
     /*  992034 */     GIR_EraseRootFromParent_Done,
     /*  992035 */   // Label 14784: @992035
     /*  992035 */   GIM_Try, /*On fail goto*//*Label 14785*/ GIMT_Encode4(992130), // Rule ID 9537 //
     /*  992040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  992051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  992054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  992057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992090 */     // MIs[1] Operand 1
     /*  992090 */     // No operand predicates
     /*  992090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992094 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992103 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  992103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  992106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992112 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992128 */     GIR_RootConstrainSelectedInstOperands,
     /*  992129 */     // GIR_Coverage, 9537,
     /*  992129 */     GIR_EraseRootFromParent_Done,
     /*  992130 */   // Label 14785: @992130
     /*  992130 */   GIM_Try, /*On fail goto*//*Label 14786*/ GIMT_Encode4(992225), // Rule ID 9540 //
     /*  992135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  992146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  992149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  992152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992185 */     // MIs[1] Operand 1
     /*  992185 */     // No operand predicates
     /*  992185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  992198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  992201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992223 */     GIR_RootConstrainSelectedInstOperands,
     /*  992224 */     // GIR_Coverage, 9540,
     /*  992224 */     GIR_EraseRootFromParent_Done,
     /*  992225 */   // Label 14786: @992225
     /*  992225 */   GIM_Try, /*On fail goto*//*Label 14787*/ GIMT_Encode4(992320), // Rule ID 9541 //
     /*  992230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  992241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  992244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  992247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992280 */     // MIs[1] Operand 1
     /*  992280 */     // No operand predicates
     /*  992280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992293 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  992293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  992296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992318 */     GIR_RootConstrainSelectedInstOperands,
     /*  992319 */     // GIR_Coverage, 9541,
     /*  992319 */     GIR_EraseRootFromParent_Done,
     /*  992320 */   // Label 14787: @992320
     /*  992320 */   GIM_Try, /*On fail goto*//*Label 14788*/ GIMT_Encode4(992415), // Rule ID 9544 //
     /*  992325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  992328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  992336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  992339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  992342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  992348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992363 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992367 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992371 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992375 */     // MIs[1] Operand 1
     /*  992375 */     // No operand predicates
     /*  992375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992388 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /*  992388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  992391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992413 */     GIR_RootConstrainSelectedInstOperands,
     /*  992414 */     // GIR_Coverage, 9544,
     /*  992414 */     GIR_EraseRootFromParent_Done,
     /*  992415 */   // Label 14788: @992415
     /*  992415 */   GIM_Try, /*On fail goto*//*Label 14789*/ GIMT_Encode4(992510), // Rule ID 9545 //
     /*  992420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  992423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /*  992431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /*  992434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  992437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  992443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992458 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992462 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992466 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992470 */     // MIs[1] Operand 1
     /*  992470 */     // No operand predicates
     /*  992470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992483 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /*  992483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  992486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  992505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992508 */     GIR_RootConstrainSelectedInstOperands,
     /*  992509 */     // GIR_Coverage, 9545,
     /*  992509 */     GIR_EraseRootFromParent_Done,
     /*  992510 */   // Label 14789: @992510
     /*  992510 */   GIM_Try, /*On fail goto*//*Label 14790*/ GIMT_Encode4(992605), // Rule ID 9548 //
     /*  992515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  992526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  992529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  992532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992553 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992557 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992561 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992565 */     // MIs[1] Operand 1
     /*  992565 */     // No operand predicates
     /*  992565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992578 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  992578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  992581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992603 */     GIR_RootConstrainSelectedInstOperands,
     /*  992604 */     // GIR_Coverage, 9548,
     /*  992604 */     GIR_EraseRootFromParent_Done,
     /*  992605 */   // Label 14790: @992605
     /*  992605 */   GIM_Try, /*On fail goto*//*Label 14791*/ GIMT_Encode4(992700), // Rule ID 9549 //
     /*  992610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /*  992621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /*  992624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  992627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  992633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  992648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992660 */     // MIs[1] Operand 1
     /*  992660 */     // No operand predicates
     /*  992660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992673 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  992673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M2_MASK),
     /*  992676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992682 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992698 */     GIR_RootConstrainSelectedInstOperands,
     /*  992699 */     // GIR_Coverage, 9549,
     /*  992699 */     GIR_EraseRootFromParent_Done,
     /*  992700 */   // Label 14791: @992700
     /*  992700 */   GIM_Try, /*On fail goto*//*Label 14792*/ GIMT_Encode4(992795), // Rule ID 9552 //
     /*  992705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  992716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  992719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992755 */     // MIs[1] Operand 1
     /*  992755 */     // No operand predicates
     /*  992755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992759 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992768 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  992768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  992771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992777 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992793 */     GIR_RootConstrainSelectedInstOperands,
     /*  992794 */     // GIR_Coverage, 9552,
     /*  992794 */     GIR_EraseRootFromParent_Done,
     /*  992795 */   // Label 14792: @992795
     /*  992795 */   GIM_Try, /*On fail goto*//*Label 14793*/ GIMT_Encode4(992890), // Rule ID 9553 //
     /*  992800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /*  992811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /*  992814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  992817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  992820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  992823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  992826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  992838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992850 */     // MIs[1] Operand 1
     /*  992850 */     // No operand predicates
     /*  992850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992854 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992863 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  992863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M4_MASK),
     /*  992866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992872 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992888 */     GIR_RootConstrainSelectedInstOperands,
     /*  992889 */     // GIR_Coverage, 9553,
     /*  992889 */     GIR_EraseRootFromParent_Done,
     /*  992890 */   // Label 14793: @992890
     /*  992890 */   GIM_Try, /*On fail goto*//*Label 14794*/ GIMT_Encode4(992985), // Rule ID 9556 //
     /*  992895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  992898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  992906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  992909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  992912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  992915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  992918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  992921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  992929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  992933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  992937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  992941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  992945 */     // MIs[1] Operand 1
     /*  992945 */     // No operand predicates
     /*  992945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  992949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  992951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  992958 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /*  992958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  992961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  992963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  992965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  992967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  992970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  992972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  992977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  992980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  992983 */     GIR_RootConstrainSelectedInstOperands,
     /*  992984 */     // GIR_Coverage, 9556,
     /*  992984 */     GIR_EraseRootFromParent_Done,
     /*  992985 */   // Label 14794: @992985
     /*  992985 */   GIM_Try, /*On fail goto*//*Label 14795*/ GIMT_Encode4(993080), // Rule ID 9557 //
     /*  992990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  992993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /*  992998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /*  993001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /*  993004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  993007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  993013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  993028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993040 */     // MIs[1] Operand 1
     /*  993040 */     // No operand predicates
     /*  993040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993053 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VI_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /*  993053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VI_M8_MASK),
     /*  993056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  993075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /*  993078 */     GIR_RootConstrainSelectedInstOperands,
     /*  993079 */     // GIR_Coverage, 9557,
     /*  993079 */     GIR_EraseRootFromParent_Done,
     /*  993080 */   // Label 14795: @993080
     /*  993080 */   GIM_Try, /*On fail goto*//*Label 14796*/ GIMT_Encode4(993172), // Rule ID 13934 //
     /*  993085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  993096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  993099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  993102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993131 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993135 */     // MIs[1] Operand 1
     /*  993135 */     // No operand predicates
     /*  993135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993148 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  993148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  993151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993170 */     GIR_RootConstrainSelectedInstOperands,
     /*  993171 */     // GIR_Coverage, 13934,
     /*  993171 */     GIR_EraseRootFromParent_Done,
     /*  993172 */   // Label 14796: @993172
     /*  993172 */   GIM_Try, /*On fail goto*//*Label 14797*/ GIMT_Encode4(993264), // Rule ID 13935 //
     /*  993177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  993188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  993191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /*  993194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993227 */     // MIs[1] Operand 1
     /*  993227 */     // No operand predicates
     /*  993227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993240 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  993240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF8),
     /*  993243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993262 */     GIR_RootConstrainSelectedInstOperands,
     /*  993263 */     // GIR_Coverage, 13935,
     /*  993263 */     GIR_EraseRootFromParent_Done,
     /*  993264 */   // Label 14797: @993264
     /*  993264 */   GIM_Try, /*On fail goto*//*Label 14798*/ GIMT_Encode4(993356), // Rule ID 13936 //
     /*  993269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  993280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  993283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  993286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993319 */     // MIs[1] Operand 1
     /*  993319 */     // No operand predicates
     /*  993319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993332 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  993332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  993335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993354 */     GIR_RootConstrainSelectedInstOperands,
     /*  993355 */     // GIR_Coverage, 13936,
     /*  993355 */     GIR_EraseRootFromParent_Done,
     /*  993356 */   // Label 14798: @993356
     /*  993356 */   GIM_Try, /*On fail goto*//*Label 14799*/ GIMT_Encode4(993448), // Rule ID 13937 //
     /*  993361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /*  993372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /*  993375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /*  993378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993411 */     // MIs[1] Operand 1
     /*  993411 */     // No operand predicates
     /*  993411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993424 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  993424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  993427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993446 */     GIR_RootConstrainSelectedInstOperands,
     /*  993447 */     // GIR_Coverage, 13937,
     /*  993447 */     GIR_EraseRootFromParent_Done,
     /*  993448 */   // Label 14799: @993448
     /*  993448 */   GIM_Try, /*On fail goto*//*Label 14800*/ GIMT_Encode4(993540), // Rule ID 13938 //
     /*  993453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  993464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  993467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  993470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  993476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993503 */     // MIs[1] Operand 1
     /*  993503 */     // No operand predicates
     /*  993503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993507 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993516 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  993516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993525 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993538 */     GIR_RootConstrainSelectedInstOperands,
     /*  993539 */     // GIR_Coverage, 13938,
     /*  993539 */     GIR_EraseRootFromParent_Done,
     /*  993540 */   // Label 14800: @993540
     /*  993540 */   GIM_Try, /*On fail goto*//*Label 14801*/ GIMT_Encode4(993632), // Rule ID 13939 //
     /*  993545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /*  993556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /*  993559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /*  993562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  993568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993595 */     // MIs[1] Operand 1
     /*  993595 */     // No operand predicates
     /*  993595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993608 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  993608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  993630 */     GIR_RootConstrainSelectedInstOperands,
     /*  993631 */     // GIR_Coverage, 13939,
     /*  993631 */     GIR_EraseRootFromParent_Done,
     /*  993632 */   // Label 14801: @993632
     /*  993632 */   GIM_Try, /*On fail goto*//*Label 14802*/ GIMT_Encode4(993724), // Rule ID 13940 //
     /*  993637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993683 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993687 */     // MIs[1] Operand 1
     /*  993687 */     // No operand predicates
     /*  993687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  993700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  993703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993722 */     GIR_RootConstrainSelectedInstOperands,
     /*  993723 */     // GIR_Coverage, 13940,
     /*  993723 */     GIR_EraseRootFromParent_Done,
     /*  993724 */   // Label 14802: @993724
     /*  993724 */   GIM_Try, /*On fail goto*//*Label 14803*/ GIMT_Encode4(993816), // Rule ID 13941 //
     /*  993729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /*  993740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /*  993743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /*  993746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  993752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993779 */     // MIs[1] Operand 1
     /*  993779 */     // No operand predicates
     /*  993779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  993792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF4),
     /*  993795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993814 */     GIR_RootConstrainSelectedInstOperands,
     /*  993815 */     // GIR_Coverage, 13941,
     /*  993815 */     GIR_EraseRootFromParent_Done,
     /*  993816 */   // Label 14803: @993816
     /*  993816 */   GIM_Try, /*On fail goto*//*Label 14804*/ GIMT_Encode4(993908), // Rule ID 13942 //
     /*  993821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  993824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  993838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  993841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  993847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993871 */     // MIs[1] Operand 1
     /*  993871 */     // No operand predicates
     /*  993871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993884 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  993884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993906 */     GIR_RootConstrainSelectedInstOperands,
     /*  993907 */     // GIR_Coverage, 13942,
     /*  993907 */     GIR_EraseRootFromParent_Done,
     /*  993908 */   // Label 14804: @993908
     /*  993908 */   GIM_Try, /*On fail goto*//*Label 14805*/ GIMT_Encode4(994000), // Rule ID 13943 //
     /*  993913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  993916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  993921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /*  993924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /*  993927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /*  993930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  993933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  993936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  993939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  993943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  993951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  993955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  993959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  993963 */     // MIs[1] Operand 1
     /*  993963 */     // No operand predicates
     /*  993963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  993967 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  993969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  993976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  993976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  993979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  993981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  993983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  993985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  993988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  993990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  993995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  993998 */     GIR_RootConstrainSelectedInstOperands,
     /*  993999 */     // GIR_Coverage, 13943,
     /*  993999 */     GIR_EraseRootFromParent_Done,
     /*  994000 */   // Label 14805: @994000
     /*  994000 */   GIM_Try, /*On fail goto*//*Label 14806*/ GIMT_Encode4(994092), // Rule ID 13944 //
     /*  994005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  994016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  994022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  994028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994055 */     // MIs[1] Operand 1
     /*  994055 */     // No operand predicates
     /*  994055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994068 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  994068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  994071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994090 */     GIR_RootConstrainSelectedInstOperands,
     /*  994091 */     // GIR_Coverage, 13944,
     /*  994091 */     GIR_EraseRootFromParent_Done,
     /*  994092 */   // Label 14806: @994092
     /*  994092 */   GIM_Try, /*On fail goto*//*Label 14807*/ GIMT_Encode4(994184), // Rule ID 13945 //
     /*  994097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  994108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  994111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /*  994114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  994120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994143 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994147 */     // MIs[1] Operand 1
     /*  994147 */     // No operand predicates
     /*  994147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  994160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_MF2),
     /*  994163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994182 */     GIR_RootConstrainSelectedInstOperands,
     /*  994183 */     // GIR_Coverage, 13945,
     /*  994183 */     GIR_EraseRootFromParent_Done,
     /*  994184 */   // Label 14807: @994184
     /*  994184 */   GIM_Try, /*On fail goto*//*Label 14808*/ GIMT_Encode4(994276), // Rule ID 13946 //
     /*  994189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  994200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  994203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  994206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  994212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994227 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994231 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994235 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994239 */     // MIs[1] Operand 1
     /*  994239 */     // No operand predicates
     /*  994239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  994252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994274 */     GIR_RootConstrainSelectedInstOperands,
     /*  994275 */     // GIR_Coverage, 13946,
     /*  994275 */     GIR_EraseRootFromParent_Done,
     /*  994276 */   // Label 14808: @994276
     /*  994276 */   GIM_Try, /*On fail goto*//*Label 14809*/ GIMT_Encode4(994368), // Rule ID 13947 //
     /*  994281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /*  994292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /*  994295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /*  994298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  994304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994331 */     // MIs[1] Operand 1
     /*  994331 */     // No operand predicates
     /*  994331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  994344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  994366 */     GIR_RootConstrainSelectedInstOperands,
     /*  994367 */     // GIR_Coverage, 13947,
     /*  994367 */     GIR_EraseRootFromParent_Done,
     /*  994368 */   // Label 14809: @994368
     /*  994368 */   GIM_Try, /*On fail goto*//*Label 14810*/ GIMT_Encode4(994460), // Rule ID 13948 //
     /*  994373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  994384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  994387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  994390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  994396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994423 */     // MIs[1] Operand 1
     /*  994423 */     // No operand predicates
     /*  994423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  994436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994458 */     GIR_RootConstrainSelectedInstOperands,
     /*  994459 */     // GIR_Coverage, 13948,
     /*  994459 */     GIR_EraseRootFromParent_Done,
     /*  994460 */   // Label 14810: @994460
     /*  994460 */   GIM_Try, /*On fail goto*//*Label 14811*/ GIMT_Encode4(994552), // Rule ID 13949 //
     /*  994465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /*  994476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /*  994479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /*  994482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  994488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994515 */     // MIs[1] Operand 1
     /*  994515 */     // No operand predicates
     /*  994515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994528 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  994528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994537 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  994550 */     GIR_RootConstrainSelectedInstOperands,
     /*  994551 */     // GIR_Coverage, 13949,
     /*  994551 */     GIR_EraseRootFromParent_Done,
     /*  994552 */   // Label 14811: @994552
     /*  994552 */   GIM_Try, /*On fail goto*//*Label 14812*/ GIMT_Encode4(994644), // Rule ID 13950 //
     /*  994557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  994574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  994580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994607 */     // MIs[1] Operand 1
     /*  994607 */     // No operand predicates
     /*  994607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994620 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  994620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994642 */     GIR_RootConstrainSelectedInstOperands,
     /*  994643 */     // GIR_Coverage, 13950,
     /*  994643 */     GIR_EraseRootFromParent_Done,
     /*  994644 */   // Label 14812: @994644
     /*  994644 */   GIM_Try, /*On fail goto*//*Label 14813*/ GIMT_Encode4(994736), // Rule ID 13951 //
     /*  994649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  994652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  994660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  994663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /*  994666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  994672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994699 */     // MIs[1] Operand 1
     /*  994699 */     // No operand predicates
     /*  994699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994703 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994712 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  994712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994721 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  994734 */     GIR_RootConstrainSelectedInstOperands,
     /*  994735 */     // GIR_Coverage, 13951,
     /*  994735 */     GIR_EraseRootFromParent_Done,
     /*  994736 */   // Label 14813: @994736
     /*  994736 */   GIM_Try, /*On fail goto*//*Label 14814*/ GIMT_Encode4(994828), // Rule ID 13952 //
     /*  994741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  994744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  994758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  994764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994779 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994783 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994787 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994791 */     // MIs[1] Operand 1
     /*  994791 */     // No operand predicates
     /*  994791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994804 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  994804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994826 */     GIR_RootConstrainSelectedInstOperands,
     /*  994827 */     // GIR_Coverage, 13952,
     /*  994827 */     GIR_EraseRootFromParent_Done,
     /*  994828 */   // Label 14814: @994828
     /*  994828 */   GIM_Try, /*On fail goto*//*Label 14815*/ GIMT_Encode4(994920), // Rule ID 13953 //
     /*  994833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  994836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  994844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  994847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /*  994850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  994853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /*  994856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  994859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  994863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  994871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994883 */     // MIs[1] Operand 1
     /*  994883 */     // No operand predicates
     /*  994883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  994896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M1),
     /*  994899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  994908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  994910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  994915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  994918 */     GIR_RootConstrainSelectedInstOperands,
     /*  994919 */     // GIR_Coverage, 13953,
     /*  994919 */     GIR_EraseRootFromParent_Done,
     /*  994920 */   // Label 14815: @994920
     /*  994920 */   GIM_Try, /*On fail goto*//*Label 14816*/ GIMT_Encode4(995012), // Rule ID 13954 //
     /*  994925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  994928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  994933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  994936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  994939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  994942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  994945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  994948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  994951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  994955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  994963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  994967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  994971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  994975 */     // MIs[1] Operand 1
     /*  994975 */     // No operand predicates
     /*  994975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  994979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  994981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  994988 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  994988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  994991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  994993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  994995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  994997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995010 */     GIR_RootConstrainSelectedInstOperands,
     /*  995011 */     // GIR_Coverage, 13954,
     /*  995011 */     GIR_EraseRootFromParent_Done,
     /*  995012 */   // Label 14816: @995012
     /*  995012 */   GIM_Try, /*On fail goto*//*Label 14817*/ GIMT_Encode4(995104), // Rule ID 13955 //
     /*  995017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /*  995028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /*  995031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /*  995034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995067 */     // MIs[1] Operand 1
     /*  995067 */     // No operand predicates
     /*  995067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995071 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995080 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  995080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995089 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995102 */     GIR_RootConstrainSelectedInstOperands,
     /*  995103 */     // GIR_Coverage, 13955,
     /*  995103 */     GIR_EraseRootFromParent_Done,
     /*  995104 */   // Label 14817: @995104
     /*  995104 */   GIM_Try, /*On fail goto*//*Label 14818*/ GIMT_Encode4(995196), // Rule ID 13956 //
     /*  995109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  995120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  995123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  995126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  995132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995159 */     // MIs[1] Operand 1
     /*  995159 */     // No operand predicates
     /*  995159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995172 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  995172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995194 */     GIR_RootConstrainSelectedInstOperands,
     /*  995195 */     // GIR_Coverage, 13956,
     /*  995195 */     GIR_EraseRootFromParent_Done,
     /*  995196 */   // Label 14818: @995196
     /*  995196 */   GIM_Try, /*On fail goto*//*Label 14819*/ GIMT_Encode4(995288), // Rule ID 13957 //
     /*  995201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /*  995212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /*  995215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /*  995218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  995224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995247 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995251 */     // MIs[1] Operand 1
     /*  995251 */     // No operand predicates
     /*  995251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995255 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  995264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995273 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995286 */     GIR_RootConstrainSelectedInstOperands,
     /*  995287 */     // GIR_Coverage, 13957,
     /*  995287 */     GIR_EraseRootFromParent_Done,
     /*  995288 */   // Label 14819: @995288
     /*  995288 */   GIM_Try, /*On fail goto*//*Label 14820*/ GIMT_Encode4(995380), // Rule ID 13958 //
     /*  995293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  995304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  995307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  995310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  995316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995331 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995335 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995339 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995343 */     // MIs[1] Operand 1
     /*  995343 */     // No operand predicates
     /*  995343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995356 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /*  995356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995378 */     GIR_RootConstrainSelectedInstOperands,
     /*  995379 */     // GIR_Coverage, 13958,
     /*  995379 */     GIR_EraseRootFromParent_Done,
     /*  995380 */   // Label 14820: @995380
     /*  995380 */   GIM_Try, /*On fail goto*//*Label 14821*/ GIMT_Encode4(995472), // Rule ID 13959 //
     /*  995385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /*  995396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /*  995399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /*  995402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /*  995408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995435 */     // MIs[1] Operand 1
     /*  995435 */     // No operand predicates
     /*  995435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /*  995448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  995470 */     GIR_RootConstrainSelectedInstOperands,
     /*  995471 */     // GIR_Coverage, 13959,
     /*  995471 */     GIR_EraseRootFromParent_Done,
     /*  995472 */   // Label 14821: @995472
     /*  995472 */   GIM_Try, /*On fail goto*//*Label 14822*/ GIMT_Encode4(995564), // Rule ID 13960 //
     /*  995477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  995494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  995500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995527 */     // MIs[1] Operand 1
     /*  995527 */     // No operand predicates
     /*  995527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  995540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995562 */     GIR_RootConstrainSelectedInstOperands,
     /*  995563 */     // GIR_Coverage, 13960,
     /*  995563 */     GIR_EraseRootFromParent_Done,
     /*  995564 */   // Label 14822: @995564
     /*  995564 */   GIM_Try, /*On fail goto*//*Label 14823*/ GIMT_Encode4(995656), // Rule ID 13961 //
     /*  995569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /*  995580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /*  995583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /*  995586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  995592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  995599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  995607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995619 */     // MIs[1] Operand 1
     /*  995619 */     // No operand predicates
     /*  995619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995623 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  995632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  995635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995641 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995654 */     GIR_RootConstrainSelectedInstOperands,
     /*  995655 */     // GIR_Coverage, 13961,
     /*  995655 */     GIR_EraseRootFromParent_Done,
     /*  995656 */   // Label 14823: @995656
     /*  995656 */   GIM_Try, /*On fail goto*//*Label 14824*/ GIMT_Encode4(995748), // Rule ID 13962 //
     /*  995661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995711 */     // MIs[1] Operand 1
     /*  995711 */     // No operand predicates
     /*  995711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  995724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995746 */     GIR_RootConstrainSelectedInstOperands,
     /*  995747 */     // GIR_Coverage, 13962,
     /*  995747 */     GIR_EraseRootFromParent_Done,
     /*  995748 */   // Label 14824: @995748
     /*  995748 */   GIM_Try, /*On fail goto*//*Label 14825*/ GIMT_Encode4(995840), // Rule ID 13963 //
     /*  995753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /*  995764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /*  995767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /*  995770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  995776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  995783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  995791 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995795 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995799 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995803 */     // MIs[1] Operand 1
     /*  995803 */     // No operand predicates
     /*  995803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995807 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995816 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  995816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  995819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995825 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995838 */     GIR_RootConstrainSelectedInstOperands,
     /*  995839 */     // GIR_Coverage, 13963,
     /*  995839 */     GIR_EraseRootFromParent_Done,
     /*  995840 */   // Label 14825: @995840
     /*  995840 */   GIM_Try, /*On fail goto*//*Label 14826*/ GIMT_Encode4(995932), // Rule ID 13964 //
     /*  995845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  995848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  995856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  995859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  995862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  995865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  995868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  995871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995895 */     // MIs[1] Operand 1
     /*  995895 */     // No operand predicates
     /*  995895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  995908 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /*  995908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  995911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  995913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  995915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  995917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  995920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  995922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  995927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  995930 */     GIR_RootConstrainSelectedInstOperands,
     /*  995931 */     // GIR_Coverage, 13964,
     /*  995931 */     GIR_EraseRootFromParent_Done,
     /*  995932 */   // Label 14826: @995932
     /*  995932 */   GIM_Try, /*On fail goto*//*Label 14827*/ GIMT_Encode4(996024), // Rule ID 13965 //
     /*  995937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  995940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  995945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /*  995948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /*  995951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /*  995954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  995957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /*  995960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  995963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  995967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  995975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  995979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  995983 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  995987 */     // MIs[1] Operand 1
     /*  995987 */     // No operand predicates
     /*  995987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  995991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  995993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996000 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /*  996000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  996003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  996022 */     GIR_RootConstrainSelectedInstOperands,
     /*  996023 */     // GIR_Coverage, 13965,
     /*  996023 */     GIR_EraseRootFromParent_Done,
     /*  996024 */   // Label 14827: @996024
     /*  996024 */   GIM_Try, /*On fail goto*//*Label 14828*/ GIMT_Encode4(996116), // Rule ID 13966 //
     /*  996029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  996046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  996052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996079 */     // MIs[1] Operand 1
     /*  996079 */     // No operand predicates
     /*  996079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996092 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  996092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  996095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996114 */     GIR_RootConstrainSelectedInstOperands,
     /*  996115 */     // GIR_Coverage, 13966,
     /*  996115 */     GIR_EraseRootFromParent_Done,
     /*  996116 */   // Label 14828: @996116
     /*  996116 */   GIM_Try, /*On fail goto*//*Label 14829*/ GIMT_Encode4(996208), // Rule ID 13967 //
     /*  996121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  996132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  996135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /*  996138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  996144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996171 */     // MIs[1] Operand 1
     /*  996171 */     // No operand predicates
     /*  996171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996175 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  996184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  996187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996193 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996206 */     GIR_RootConstrainSelectedInstOperands,
     /*  996207 */     // GIR_Coverage, 13967,
     /*  996207 */     GIR_EraseRootFromParent_Done,
     /*  996208 */   // Label 14829: @996208
     /*  996208 */   GIM_Try, /*On fail goto*//*Label 14830*/ GIMT_Encode4(996300), // Rule ID 13968 //
     /*  996213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  996230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  996236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996263 */     // MIs[1] Operand 1
     /*  996263 */     // No operand predicates
     /*  996263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996267 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996276 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  996276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  996279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996285 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996298 */     GIR_RootConstrainSelectedInstOperands,
     /*  996299 */     // GIR_Coverage, 13968,
     /*  996299 */     GIR_EraseRootFromParent_Done,
     /*  996300 */   // Label 14830: @996300
     /*  996300 */   GIM_Try, /*On fail goto*//*Label 14831*/ GIMT_Encode4(996392), // Rule ID 13969 //
     /*  996305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  996316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  996319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /*  996322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  996328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996355 */     // MIs[1] Operand 1
     /*  996355 */     // No operand predicates
     /*  996355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996359 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  996368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  996371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996377 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996390 */     GIR_RootConstrainSelectedInstOperands,
     /*  996391 */     // GIR_Coverage, 13969,
     /*  996391 */     GIR_EraseRootFromParent_Done,
     /*  996392 */   // Label 14831: @996392
     /*  996392 */   GIM_Try, /*On fail goto*//*Label 14832*/ GIMT_Encode4(996484), // Rule ID 13970 //
     /*  996397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  996400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  996414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  996420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996443 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996447 */     // MIs[1] Operand 1
     /*  996447 */     // No operand predicates
     /*  996447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /*  996460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  996463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996482 */     GIR_RootConstrainSelectedInstOperands,
     /*  996483 */     // GIR_Coverage, 13970,
     /*  996483 */     GIR_EraseRootFromParent_Done,
     /*  996484 */   // Label 14832: @996484
     /*  996484 */   GIM_Try, /*On fail goto*//*Label 14833*/ GIMT_Encode4(996576), // Rule ID 13971 //
     /*  996489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  996492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  996500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  996503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /*  996506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /*  996512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996539 */     // MIs[1] Operand 1
     /*  996539 */     // No operand predicates
     /*  996539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /*  996552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  996555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  996574 */     GIR_RootConstrainSelectedInstOperands,
     /*  996575 */     // GIR_Coverage, 13971,
     /*  996575 */     GIR_EraseRootFromParent_Done,
     /*  996576 */   // Label 14833: @996576
     /*  996576 */   GIM_Try, /*On fail goto*//*Label 14834*/ GIMT_Encode4(996668), // Rule ID 13972 //
     /*  996581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  996584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  996592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  996595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  996598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  996604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996631 */     // MIs[1] Operand 1
     /*  996631 */     // No operand predicates
     /*  996631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  996644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  996647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996666 */     GIR_RootConstrainSelectedInstOperands,
     /*  996667 */     // GIR_Coverage, 13972,
     /*  996667 */     GIR_EraseRootFromParent_Done,
     /*  996668 */   // Label 14834: @996668
     /*  996668 */   GIM_Try, /*On fail goto*//*Label 14835*/ GIMT_Encode4(996760), // Rule ID 13973 //
     /*  996673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  996676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  996684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  996687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /*  996690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /*  996696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /*  996703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  996711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996723 */     // MIs[1] Operand 1
     /*  996723 */     // No operand predicates
     /*  996723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  996736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M2),
     /*  996739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996758 */     GIR_RootConstrainSelectedInstOperands,
     /*  996759 */     // GIR_Coverage, 13973,
     /*  996759 */     GIR_EraseRootFromParent_Done,
     /*  996760 */   // Label 14835: @996760
     /*  996760 */   GIM_Try, /*On fail goto*//*Label 14836*/ GIMT_Encode4(996852), // Rule ID 13974 //
     /*  996765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  996768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  996776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  996779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  996782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  996788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996815 */     // MIs[1] Operand 1
     /*  996815 */     // No operand predicates
     /*  996815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996828 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  996828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  996831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996850 */     GIR_RootConstrainSelectedInstOperands,
     /*  996851 */     // GIR_Coverage, 13974,
     /*  996851 */     GIR_EraseRootFromParent_Done,
     /*  996852 */   // Label 14836: @996852
     /*  996852 */   GIM_Try, /*On fail goto*//*Label 14837*/ GIMT_Encode4(996944), // Rule ID 13975 //
     /*  996857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  996860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  996868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  996871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /*  996874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  996877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /*  996880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  996883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /*  996887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  996895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996907 */     // MIs[1] Operand 1
     /*  996907 */     // No operand predicates
     /*  996907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  996911 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  996913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  996920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  996920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M4),
     /*  996923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  996925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  996927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  996929 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  996932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  996934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  996939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  996942 */     GIR_RootConstrainSelectedInstOperands,
     /*  996943 */     // GIR_Coverage, 13975,
     /*  996943 */     GIR_EraseRootFromParent_Done,
     /*  996944 */   // Label 14837: @996944
     /*  996944 */   GIM_Try, /*On fail goto*//*Label 14838*/ GIMT_Encode4(997036), // Rule ID 13976 //
     /*  996949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /*  996952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  996957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  996960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  996963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  996966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /*  996969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  996972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  996975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  996979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  996987 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  996991 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  996995 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  996999 */     // MIs[1] Operand 1
     /*  996999 */     // No operand predicates
     /*  996999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  997005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /*  997012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  997015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  997021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  997024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  997026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997034 */     GIR_RootConstrainSelectedInstOperands,
     /*  997035 */     // GIR_Coverage, 13976,
     /*  997035 */     GIR_EraseRootFromParent_Done,
     /*  997036 */   // Label 14838: @997036
     /*  997036 */   GIM_Try, /*On fail goto*//*Label 14839*/ GIMT_Encode4(997128), // Rule ID 13977 //
     /*  997041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /*  997044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /*  997049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  997052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  997055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /*  997058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /*  997061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /*  997064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /*  997071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /*  997083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /*  997087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /*  997091 */     // MIs[1] Operand 1
     /*  997091 */     // No operand predicates
     /*  997091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  997095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /*  997097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997104 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VIM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /*  997104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VIM_M8),
     /*  997107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /*  997113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /*  997116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /*  997118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /*  997126 */     GIR_RootConstrainSelectedInstOperands,
     /*  997127 */     // GIR_Coverage, 13977,
     /*  997127 */     GIR_EraseRootFromParent_Done,
     /*  997128 */   // Label 14839: @997128
     /*  997128 */   GIM_Try, /*On fail goto*//*Label 14840*/ GIMT_Encode4(997204), // Rule ID 2764 //
     /*  997133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  997150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997161 */     // MIs[0] passthru
     /*  997161 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997170 */     // MIs[0] round
     /*  997170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997180 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  997183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997202 */     GIR_RootConstrainSelectedInstOperands,
     /*  997203 */     // GIR_Coverage, 2764,
     /*  997203 */     GIR_EraseRootFromParent_Done,
     /*  997204 */   // Label 14840: @997204
     /*  997204 */   GIM_Try, /*On fail goto*//*Label 14841*/ GIMT_Encode4(997280), // Rule ID 2765 //
     /*  997209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  997220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  997223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  997226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997237 */     // MIs[0] passthru
     /*  997237 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997246 */     // MIs[0] round
     /*  997246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997256 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_TIED),
     /*  997259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997278 */     GIR_RootConstrainSelectedInstOperands,
     /*  997279 */     // GIR_Coverage, 2765,
     /*  997279 */     GIR_EraseRootFromParent_Done,
     /*  997280 */   // Label 14841: @997280
     /*  997280 */   GIM_Try, /*On fail goto*//*Label 14842*/ GIMT_Encode4(997356), // Rule ID 17144 //
     /*  997285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  997302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997313 */     // MIs[0] passthru
     /*  997313 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997322 */     // MIs[0] round
     /*  997322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997332 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  997335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997354 */     GIR_RootConstrainSelectedInstOperands,
     /*  997355 */     // GIR_Coverage, 17144,
     /*  997355 */     GIR_EraseRootFromParent_Done,
     /*  997356 */   // Label 14842: @997356
     /*  997356 */   GIM_Try, /*On fail goto*//*Label 14843*/ GIMT_Encode4(997432), // Rule ID 17145 //
     /*  997361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  997372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  997375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  997378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997389 */     // MIs[0] passthru
     /*  997389 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997398 */     // MIs[0] round
     /*  997398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997408 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_TIED),
     /*  997411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997430 */     GIR_RootConstrainSelectedInstOperands,
     /*  997431 */     // GIR_Coverage, 17145,
     /*  997431 */     GIR_EraseRootFromParent_Done,
     /*  997432 */   // Label 14843: @997432
     /*  997432 */   GIM_Try, /*On fail goto*//*Label 14844*/ GIMT_Encode4(997508), // Rule ID 17154 //
     /*  997437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  997454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997465 */     // MIs[0] passthru
     /*  997465 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997474 */     // MIs[0] round
     /*  997474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997484 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  997487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997506 */     GIR_RootConstrainSelectedInstOperands,
     /*  997507 */     // GIR_Coverage, 17154,
     /*  997507 */     GIR_EraseRootFromParent_Done,
     /*  997508 */   // Label 14844: @997508
     /*  997508 */   GIM_Try, /*On fail goto*//*Label 14845*/ GIMT_Encode4(997584), // Rule ID 17155 //
     /*  997513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  997524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  997527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  997530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997541 */     // MIs[0] passthru
     /*  997541 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997550 */     // MIs[0] round
     /*  997550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997560 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_TIED),
     /*  997563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997582 */     GIR_RootConstrainSelectedInstOperands,
     /*  997583 */     // GIR_Coverage, 17155,
     /*  997583 */     GIR_EraseRootFromParent_Done,
     /*  997584 */   // Label 14845: @997584
     /*  997584 */   GIM_Try, /*On fail goto*//*Label 14846*/ GIMT_Encode4(997660), // Rule ID 17164 //
     /*  997589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  997606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997617 */     // MIs[0] passthru
     /*  997617 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997626 */     // MIs[0] round
     /*  997626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997636 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  997639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997658 */     GIR_RootConstrainSelectedInstOperands,
     /*  997659 */     // GIR_Coverage, 17164,
     /*  997659 */     GIR_EraseRootFromParent_Done,
     /*  997660 */   // Label 14846: @997660
     /*  997660 */   GIM_Try, /*On fail goto*//*Label 14847*/ GIMT_Encode4(997736), // Rule ID 17165 //
     /*  997665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  997676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  997679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  997682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997693 */     // MIs[0] passthru
     /*  997693 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  997702 */     // MIs[0] round
     /*  997702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997712 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_TIED),
     /*  997715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997734 */     GIR_RootConstrainSelectedInstOperands,
     /*  997735 */     // GIR_Coverage, 17165,
     /*  997735 */     GIR_EraseRootFromParent_Done,
     /*  997736 */   // Label 14847: @997736
     /*  997736 */   GIM_Try, /*On fail goto*//*Label 14848*/ GIMT_Encode4(997812), // Rule ID 17174 //
     /*  997741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  997744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  997758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997769 */     // MIs[0] passthru
     /*  997769 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997778 */     // MIs[0] round
     /*  997778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  997788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  997791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997810 */     GIR_RootConstrainSelectedInstOperands,
     /*  997811 */     // GIR_Coverage, 17174,
     /*  997811 */     GIR_EraseRootFromParent_Done,
     /*  997812 */   // Label 14848: @997812
     /*  997812 */   GIM_Try, /*On fail goto*//*Label 14849*/ GIMT_Encode4(997888), // Rule ID 17175 //
     /*  997817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  997820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  997828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  997831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  997834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  997845 */     // MIs[0] passthru
     /*  997845 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  997854 */     // MIs[0] round
     /*  997854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997864 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  997864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_TIED),
     /*  997867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  997883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997886 */     GIR_RootConstrainSelectedInstOperands,
     /*  997887 */     // GIR_Coverage, 17175,
     /*  997887 */     GIR_EraseRootFromParent_Done,
     /*  997888 */   // Label 14849: @997888
     /*  997888 */   GIM_Try, /*On fail goto*//*Label 14850*/ GIMT_Encode4(997964), // Rule ID 17184 //
     /*  997893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  997896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  997910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  997913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997921 */     // MIs[0] passthru
     /*  997921 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  997926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997930 */     // MIs[0] round
     /*  997930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  997933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  997940 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  997940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  997943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  997945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  997947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  997949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  997951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  997956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  997959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  997962 */     GIR_RootConstrainSelectedInstOperands,
     /*  997963 */     // GIR_Coverage, 17184,
     /*  997963 */     GIR_EraseRootFromParent_Done,
     /*  997964 */   // Label 14850: @997964
     /*  997964 */   GIM_Try, /*On fail goto*//*Label 14851*/ GIMT_Encode4(998040), // Rule ID 17185 //
     /*  997969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  997972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  997977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  997980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  997983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  997986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  997989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  997997 */     // MIs[0] passthru
     /*  997997 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998006 */     // MIs[0] round
     /*  998006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998016 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  998016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_TIED),
     /*  998019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998038 */     GIR_RootConstrainSelectedInstOperands,
     /*  998039 */     // GIR_Coverage, 17185,
     /*  998039 */     GIR_EraseRootFromParent_Done,
     /*  998040 */   // Label 14851: @998040
     /*  998040 */   GIM_Try, /*On fail goto*//*Label 14852*/ GIMT_Encode4(998116), // Rule ID 17194 //
     /*  998045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  998048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  998053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  998062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998073 */     // MIs[0] passthru
     /*  998073 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998082 */     // MIs[0] round
     /*  998082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  998092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  998095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998114 */     GIR_RootConstrainSelectedInstOperands,
     /*  998115 */     // GIR_Coverage, 17194,
     /*  998115 */     GIR_EraseRootFromParent_Done,
     /*  998116 */   // Label 14852: @998116
     /*  998116 */   GIM_Try, /*On fail goto*//*Label 14853*/ GIMT_Encode4(998192), // Rule ID 17195 //
     /*  998121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  998124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  998129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  998132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  998135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  998138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998149 */     // MIs[0] passthru
     /*  998149 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998158 */     // MIs[0] round
     /*  998158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998168 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  998168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_TIED),
     /*  998171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998190 */     GIR_RootConstrainSelectedInstOperands,
     /*  998191 */     // GIR_Coverage, 17195,
     /*  998191 */     GIR_EraseRootFromParent_Done,
     /*  998192 */   // Label 14853: @998192
     /*  998192 */   GIM_Try, /*On fail goto*//*Label 14854*/ GIMT_Encode4(998268), // Rule ID 17204 //
     /*  998197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  998200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  998205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  998214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998225 */     // MIs[0] passthru
     /*  998225 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998234 */     // MIs[0] round
     /*  998234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998244 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  998244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  998247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998266 */     GIR_RootConstrainSelectedInstOperands,
     /*  998267 */     // GIR_Coverage, 17204,
     /*  998267 */     GIR_EraseRootFromParent_Done,
     /*  998268 */   // Label 14854: @998268
     /*  998268 */   GIM_Try, /*On fail goto*//*Label 14855*/ GIMT_Encode4(998344), // Rule ID 17205 //
     /*  998273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  998276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  998281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  998284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  998287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  998290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998301 */     // MIs[0] passthru
     /*  998301 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998310 */     // MIs[0] round
     /*  998310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998320 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  998320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_TIED),
     /*  998323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998342 */     GIR_RootConstrainSelectedInstOperands,
     /*  998343 */     // GIR_Coverage, 17205,
     /*  998343 */     GIR_EraseRootFromParent_Done,
     /*  998344 */   // Label 14855: @998344
     /*  998344 */   GIM_Try, /*On fail goto*//*Label 14856*/ GIMT_Encode4(998420), // Rule ID 17214 //
     /*  998349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  998352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  998357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  998366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998377 */     // MIs[0] passthru
     /*  998377 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998386 */     // MIs[0] round
     /*  998386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998396 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  998396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  998399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998418 */     GIR_RootConstrainSelectedInstOperands,
     /*  998419 */     // GIR_Coverage, 17214,
     /*  998419 */     GIR_EraseRootFromParent_Done,
     /*  998420 */   // Label 14856: @998420
     /*  998420 */   GIM_Try, /*On fail goto*//*Label 14857*/ GIMT_Encode4(998496), // Rule ID 17215 //
     /*  998425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  998428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /*  998433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  998436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  998439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  998442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  998453 */     // MIs[0] passthru
     /*  998453 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998462 */     // MIs[0] round
     /*  998462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998472 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  998472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_TIED),
     /*  998475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  998491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998494 */     GIR_RootConstrainSelectedInstOperands,
     /*  998495 */     // GIR_Coverage, 17215,
     /*  998495 */     GIR_EraseRootFromParent_Done,
     /*  998496 */   // Label 14857: @998496
     /*  998496 */   GIM_Try, /*On fail goto*//*Label 14858*/ GIMT_Encode4(998572), // Rule ID 17260 //
     /*  998501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  998518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998529 */     // MIs[0] passthru
     /*  998529 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998538 */     // MIs[0] round
     /*  998538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998548 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  998551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998570 */     GIR_RootConstrainSelectedInstOperands,
     /*  998571 */     // GIR_Coverage, 17260,
     /*  998571 */     GIR_EraseRootFromParent_Done,
     /*  998572 */   // Label 14858: @998572
     /*  998572 */   GIM_Try, /*On fail goto*//*Label 14859*/ GIMT_Encode4(998648), // Rule ID 17261 //
     /*  998577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /*  998588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /*  998591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /*  998594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998605 */     // MIs[0] passthru
     /*  998605 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998614 */     // MIs[0] round
     /*  998614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998624 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_TIED),
     /*  998627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998646 */     GIR_RootConstrainSelectedInstOperands,
     /*  998647 */     // GIR_Coverage, 17261,
     /*  998647 */     GIR_EraseRootFromParent_Done,
     /*  998648 */   // Label 14859: @998648
     /*  998648 */   GIM_Try, /*On fail goto*//*Label 14860*/ GIMT_Encode4(998724), // Rule ID 17270 //
     /*  998653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  998670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998681 */     // MIs[0] passthru
     /*  998681 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998690 */     // MIs[0] round
     /*  998690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998700 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  998703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998722 */     GIR_RootConstrainSelectedInstOperands,
     /*  998723 */     // GIR_Coverage, 17270,
     /*  998723 */     GIR_EraseRootFromParent_Done,
     /*  998724 */   // Label 14860: @998724
     /*  998724 */   GIM_Try, /*On fail goto*//*Label 14861*/ GIMT_Encode4(998800), // Rule ID 17271 //
     /*  998729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /*  998740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /*  998743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /*  998746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998757 */     // MIs[0] passthru
     /*  998757 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998766 */     // MIs[0] round
     /*  998766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_TIED),
     /*  998779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998798 */     GIR_RootConstrainSelectedInstOperands,
     /*  998799 */     // GIR_Coverage, 17271,
     /*  998799 */     GIR_EraseRootFromParent_Done,
     /*  998800 */   // Label 14861: @998800
     /*  998800 */   GIM_Try, /*On fail goto*//*Label 14862*/ GIMT_Encode4(998876), // Rule ID 17280 //
     /*  998805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  998822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998833 */     // MIs[0] passthru
     /*  998833 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998842 */     // MIs[0] round
     /*  998842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998852 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  998852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  998855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998874 */     GIR_RootConstrainSelectedInstOperands,
     /*  998875 */     // GIR_Coverage, 17280,
     /*  998875 */     GIR_EraseRootFromParent_Done,
     /*  998876 */   // Label 14862: @998876
     /*  998876 */   GIM_Try, /*On fail goto*//*Label 14863*/ GIMT_Encode4(998952), // Rule ID 17281 //
     /*  998881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  998884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /*  998892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /*  998895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /*  998898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  998901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998909 */     // MIs[0] passthru
     /*  998909 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  998918 */     // MIs[0] round
     /*  998918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  998928 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  998928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_TIED),
     /*  998931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  998933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  998935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  998937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  998939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  998944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  998947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  998950 */     GIR_RootConstrainSelectedInstOperands,
     /*  998951 */     // GIR_Coverage, 17281,
     /*  998951 */     GIR_EraseRootFromParent_Done,
     /*  998952 */   // Label 14863: @998952
     /*  998952 */   GIM_Try, /*On fail goto*//*Label 14864*/ GIMT_Encode4(999028), // Rule ID 17290 //
     /*  998957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  998960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  998965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  998968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  998971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  998974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  998977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  998985 */     // MIs[0] passthru
     /*  998985 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  998990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  998994 */     // MIs[0] round
     /*  998994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  998997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  999004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  999007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999026 */     GIR_RootConstrainSelectedInstOperands,
     /*  999027 */     // GIR_Coverage, 17290,
     /*  999027 */     GIR_EraseRootFromParent_Done,
     /*  999028 */   // Label 14864: @999028
     /*  999028 */   GIM_Try, /*On fail goto*//*Label 14865*/ GIMT_Encode4(999104), // Rule ID 17291 //
     /*  999033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  999036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /*  999044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /*  999047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /*  999050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999061 */     // MIs[0] passthru
     /*  999061 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999070 */     // MIs[0] round
     /*  999070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999080 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  999080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_TIED),
     /*  999083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999102 */     GIR_RootConstrainSelectedInstOperands,
     /*  999103 */     // GIR_Coverage, 17291,
     /*  999103 */     GIR_EraseRootFromParent_Done,
     /*  999104 */   // Label 14865: @999104
     /*  999104 */   GIM_Try, /*On fail goto*//*Label 14866*/ GIMT_Encode4(999180), // Rule ID 17300 //
     /*  999109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /*  999112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  999120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  999123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  999126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  999129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999137 */     // MIs[0] passthru
     /*  999137 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999146 */     // MIs[0] round
     /*  999146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999156 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /*  999156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  999159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999178 */     GIR_RootConstrainSelectedInstOperands,
     /*  999179 */     // GIR_Coverage, 17300,
     /*  999179 */     GIR_EraseRootFromParent_Done,
     /*  999180 */   // Label 14866: @999180
     /*  999180 */   GIM_Try, /*On fail goto*//*Label 14867*/ GIMT_Encode4(999256), // Rule ID 17301 //
     /*  999185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /*  999188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /*  999196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /*  999199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /*  999202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999213 */     // MIs[0] passthru
     /*  999213 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999222 */     // MIs[0] round
     /*  999222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999232 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /*  999232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_TIED),
     /*  999235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /*  999251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999254 */     GIR_RootConstrainSelectedInstOperands,
     /*  999255 */     // GIR_Coverage, 17301,
     /*  999255 */     GIR_EraseRootFromParent_Done,
     /*  999256 */   // Label 14867: @999256
     /*  999256 */   GIM_Try, /*On fail goto*//*Label 14868*/ GIMT_Encode4(999332), // Rule ID 17310 //
     /*  999261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  999264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  999278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  999281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999289 */     // MIs[0] passthru
     /*  999289 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999298 */     // MIs[0] round
     /*  999298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999308 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  999308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  999311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999330 */     GIR_RootConstrainSelectedInstOperands,
     /*  999331 */     // GIR_Coverage, 17310,
     /*  999331 */     GIR_EraseRootFromParent_Done,
     /*  999332 */   // Label 14868: @999332
     /*  999332 */   GIM_Try, /*On fail goto*//*Label 14869*/ GIMT_Encode4(999408), // Rule ID 17311 //
     /*  999337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  999340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /*  999348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /*  999351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /*  999354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999365 */     // MIs[0] passthru
     /*  999365 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999374 */     // MIs[0] round
     /*  999374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999384 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_TIED),
     /*  999387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999406 */     GIR_RootConstrainSelectedInstOperands,
     /*  999407 */     // GIR_Coverage, 17311,
     /*  999407 */     GIR_EraseRootFromParent_Done,
     /*  999408 */   // Label 14869: @999408
     /*  999408 */   GIM_Try, /*On fail goto*//*Label 14870*/ GIMT_Encode4(999484), // Rule ID 17320 //
     /*  999413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  999416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  999430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  999433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999441 */     // MIs[0] passthru
     /*  999441 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999450 */     // MIs[0] round
     /*  999450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999460 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  999460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  999463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999482 */     GIR_RootConstrainSelectedInstOperands,
     /*  999483 */     // GIR_Coverage, 17320,
     /*  999483 */     GIR_EraseRootFromParent_Done,
     /*  999484 */   // Label 14870: @999484
     /*  999484 */   GIM_Try, /*On fail goto*//*Label 14871*/ GIMT_Encode4(999560), // Rule ID 17321 //
     /*  999489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  999492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /*  999500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /*  999503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /*  999506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999517 */     // MIs[0] passthru
     /*  999517 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999526 */     // MIs[0] round
     /*  999526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999536 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_TIED),
     /*  999539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999558 */     GIR_RootConstrainSelectedInstOperands,
     /*  999559 */     // GIR_Coverage, 17321,
     /*  999559 */     GIR_EraseRootFromParent_Done,
     /*  999560 */   // Label 14871: @999560
     /*  999560 */   GIM_Try, /*On fail goto*//*Label 14872*/ GIMT_Encode4(999636), // Rule ID 17330 //
     /*  999565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  999568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  999582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  999585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999593 */     // MIs[0] passthru
     /*  999593 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999602 */     // MIs[0] round
     /*  999602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999612 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  999612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  999615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999634 */     GIR_RootConstrainSelectedInstOperands,
     /*  999635 */     // GIR_Coverage, 17330,
     /*  999635 */     GIR_EraseRootFromParent_Done,
     /*  999636 */   // Label 14872: @999636
     /*  999636 */   GIM_Try, /*On fail goto*//*Label 14873*/ GIMT_Encode4(999712), // Rule ID 17331 //
     /*  999641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  999644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /*  999652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /*  999655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /*  999658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999669 */     // MIs[0] passthru
     /*  999669 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /*  999678 */     // MIs[0] round
     /*  999678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999688 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_TIED),
     /*  999691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999710 */     GIR_RootConstrainSelectedInstOperands,
     /*  999711 */     // GIR_Coverage, 17331,
     /*  999711 */     GIR_EraseRootFromParent_Done,
     /*  999712 */   // Label 14873: @999712
     /*  999712 */   GIM_Try, /*On fail goto*//*Label 14874*/ GIMT_Encode4(999788), // Rule ID 17340 //
     /*  999717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /*  999720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  999734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /*  999737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999745 */     // MIs[0] passthru
     /*  999745 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999754 */     // MIs[0] round
     /*  999754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999764 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /*  999764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  999767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999786 */     GIR_RootConstrainSelectedInstOperands,
     /*  999787 */     // GIR_Coverage, 17340,
     /*  999787 */     GIR_EraseRootFromParent_Done,
     /*  999788 */   // Label 14874: @999788
     /*  999788 */   GIM_Try, /*On fail goto*//*Label 14875*/ GIMT_Encode4(999864), // Rule ID 17341 //
     /*  999793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /*  999796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /*  999801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /*  999804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /*  999807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /*  999810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /*  999813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /*  999821 */     // MIs[0] passthru
     /*  999821 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /*  999826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /*  999830 */     // MIs[0] round
     /*  999830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /*  999833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999840 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /*  999840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_TIED),
     /*  999843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /*  999849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /*  999851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /*  999859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /*  999862 */     GIR_RootConstrainSelectedInstOperands,
     /*  999863 */     // GIR_Coverage, 17341,
     /*  999863 */     GIR_EraseRootFromParent_Done,
     /*  999864 */   // Label 14875: @999864
     /*  999864 */   GIM_Try, /*On fail goto*//*Label 14876*/ GIMT_Encode4(999941), // Rule ID 2694 //
     /*  999869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /*  999872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  999880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  999883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  999886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /*  999892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999908 */     // MIs[0] policy
     /*  999908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999918 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /*  999918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  999921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /*  999923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /*  999925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /*  999927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /*  999929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /*  999934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /*  999937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /*  999939 */     GIR_RootConstrainSelectedInstOperands,
     /*  999940 */     // GIR_Coverage, 2694,
     /*  999940 */     GIR_EraseRootFromParent_Done,
     /*  999941 */   // Label 14876: @999941
     /*  999941 */   GIM_Try, /*On fail goto*//*Label 14877*/ GIMT_Encode4(1000018), // Rule ID 2695 //
     /*  999946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /*  999949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /*  999954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /*  999957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /*  999960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /*  999963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /*  999966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /*  999969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /*  999973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /*  999981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /*  999985 */     // MIs[0] policy
     /*  999985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /*  999988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /*  999995 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /*  999995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF8_MASK),
     /*  999998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000017 */     // GIR_Coverage, 2695,
     /* 1000017 */     GIR_EraseRootFromParent_Done,
     /* 1000018 */   // Label 14877: @1000018
     /* 1000018 */   GIM_Try, /*On fail goto*//*Label 14878*/ GIMT_Encode4(1000095), // Rule ID 2698 //
     /* 1000023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000062 */     // MIs[0] policy
     /* 1000062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000072 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /* 1000075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000094 */     // GIR_Coverage, 2698,
     /* 1000094 */     GIR_EraseRootFromParent_Done,
     /* 1000095 */   // Label 14878: @1000095
     /* 1000095 */   GIM_Try, /*On fail goto*//*Label 14879*/ GIMT_Encode4(1000172), // Rule ID 2699 //
     /* 1000100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000139 */     // MIs[0] policy
     /* 1000139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000149 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4_MASK),
     /* 1000152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000171 */     // GIR_Coverage, 2699,
     /* 1000171 */     GIR_EraseRootFromParent_Done,
     /* 1000172 */   // Label 14879: @1000172
     /* 1000172 */   GIM_Try, /*On fail goto*//*Label 14880*/ GIMT_Encode4(1000249), // Rule ID 2702 //
     /* 1000177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1000180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1000185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000216 */     // MIs[0] policy
     /* 1000216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000226 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /* 1000229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000248 */     // GIR_Coverage, 2702,
     /* 1000248 */     GIR_EraseRootFromParent_Done,
     /* 1000249 */   // Label 14880: @1000249
     /* 1000249 */   GIM_Try, /*On fail goto*//*Label 14881*/ GIMT_Encode4(1000326), // Rule ID 2703 //
     /* 1000254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1000257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1000262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000293 */     // MIs[0] policy
     /* 1000293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000303 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF4_E16_MASK),
     /* 1000306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000325 */     // GIR_Coverage, 2703,
     /* 1000325 */     GIR_EraseRootFromParent_Done,
     /* 1000326 */   // Label 14881: @1000326
     /* 1000326 */   GIM_Try, /*On fail goto*//*Label 14882*/ GIMT_Encode4(1000403), // Rule ID 2738 //
     /* 1000331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1000334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1000339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000370 */     // MIs[0] policy
     /* 1000370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /* 1000383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000402 */     // GIR_Coverage, 2738,
     /* 1000402 */     GIR_EraseRootFromParent_Done,
     /* 1000403 */   // Label 14882: @1000403
     /* 1000403 */   GIM_Try, /*On fail goto*//*Label 14883*/ GIMT_Encode4(1000480), // Rule ID 2739 //
     /* 1000408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1000411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1000416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1000419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1000422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1000425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1000428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000447 */     // MIs[0] policy
     /* 1000447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000457 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF4_MASK),
     /* 1000460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000479 */     // GIR_Coverage, 2739,
     /* 1000479 */     GIR_EraseRootFromParent_Done,
     /* 1000480 */   // Label 14883: @1000480
     /* 1000480 */   GIM_Try, /*On fail goto*//*Label 14884*/ GIMT_Encode4(1000557), // Rule ID 2770 //
     /* 1000485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1000496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1000499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1000505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000524 */     // MIs[0] policy
     /* 1000524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000534 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /* 1000537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000556 */     // GIR_Coverage, 2770,
     /* 1000556 */     GIR_EraseRootFromParent_Done,
     /* 1000557 */   // Label 14884: @1000557
     /* 1000557 */   GIM_Try, /*On fail goto*//*Label 14885*/ GIMT_Encode4(1000634), // Rule ID 2771 //
     /* 1000562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1000570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1000573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1000576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1000579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1000582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000601 */     // MIs[0] policy
     /* 1000601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000611 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8),
     /* 1000614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1000618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1000620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1000622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1000630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000633 */     // GIR_Coverage, 2771,
     /* 1000633 */     GIR_EraseRootFromParent_Done,
     /* 1000634 */   // Label 14885: @1000634
     /* 1000634 */   GIM_Try, /*On fail goto*//*Label 14886*/ GIMT_Encode4(1000711), // Rule ID 4898 //
     /* 1000639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000678 */     // MIs[0] policy
     /* 1000678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000688 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000710 */     // GIR_Coverage, 4898,
     /* 1000710 */     GIR_EraseRootFromParent_Done,
     /* 1000711 */   // Label 14886: @1000711
     /* 1000711 */   GIM_Try, /*On fail goto*//*Label 14887*/ GIMT_Encode4(1000788), // Rule ID 4899 //
     /* 1000716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1000727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1000730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1000733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1000736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000755 */     // MIs[0] policy
     /* 1000755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000765 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1000768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000787 */     // GIR_Coverage, 4899,
     /* 1000787 */     GIR_EraseRootFromParent_Done,
     /* 1000788 */   // Label 14887: @1000788
     /* 1000788 */   GIM_Try, /*On fail goto*//*Label 14888*/ GIMT_Encode4(1000865), // Rule ID 4902 //
     /* 1000793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000832 */     // MIs[0] policy
     /* 1000832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1000845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000864 */     // GIR_Coverage, 4902,
     /* 1000864 */     GIR_EraseRootFromParent_Done,
     /* 1000865 */   // Label 14888: @1000865
     /* 1000865 */   GIM_Try, /*On fail goto*//*Label 14889*/ GIMT_Encode4(1000942), // Rule ID 4903 //
     /* 1000870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1000873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1000881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1000884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1000887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1000890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1000893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1000897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000909 */     // MIs[0] policy
     /* 1000909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000919 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11678:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1000919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1000922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1000924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1000926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1000928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1000930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1000935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1000938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1000940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1000941 */     // GIR_Coverage, 4903,
     /* 1000941 */     GIR_EraseRootFromParent_Done,
     /* 1000942 */   // Label 14889: @1000942
     /* 1000942 */   GIM_Try, /*On fail goto*//*Label 14890*/ GIMT_Encode4(1001019), // Rule ID 4906 //
     /* 1000947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1000950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1000955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1000958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1000961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1000964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1000967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1000970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1000974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1000978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1000982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1000986 */     // MIs[0] policy
     /* 1000986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1000989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1000996 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1000996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1000999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001018 */     // GIR_Coverage, 4906,
     /* 1001018 */     GIR_EraseRootFromParent_Done,
     /* 1001019 */   // Label 14890: @1001019
     /* 1001019 */   GIM_Try, /*On fail goto*//*Label 14891*/ GIMT_Encode4(1001096), // Rule ID 4907 //
     /* 1001024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1001035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1001038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1001041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001063 */     // MIs[0] policy
     /* 1001063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001073 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001095 */     // GIR_Coverage, 4907,
     /* 1001095 */     GIR_EraseRootFromParent_Done,
     /* 1001096 */   // Label 14891: @1001096
     /* 1001096 */   GIM_Try, /*On fail goto*//*Label 14892*/ GIMT_Encode4(1001173), // Rule ID 4910 //
     /* 1001101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1001112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1001115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1001118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001140 */     // MIs[0] policy
     /* 1001140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001150 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001172 */     // GIR_Coverage, 4910,
     /* 1001172 */     GIR_EraseRootFromParent_Done,
     /* 1001173 */   // Label 14892: @1001173
     /* 1001173 */   GIM_Try, /*On fail goto*//*Label 14893*/ GIMT_Encode4(1001250), // Rule ID 4911 //
     /* 1001178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1001189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1001192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1001195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1001198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001217 */     // MIs[0] policy
     /* 1001217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001227 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001249 */     // GIR_Coverage, 4911,
     /* 1001249 */     GIR_EraseRootFromParent_Done,
     /* 1001250 */   // Label 14893: @1001250
     /* 1001250 */   GIM_Try, /*On fail goto*//*Label 14894*/ GIMT_Encode4(1001327), // Rule ID 4914 //
     /* 1001255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1001266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1001269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1001272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1001275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001294 */     // MIs[0] policy
     /* 1001294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1001307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001326 */     // GIR_Coverage, 4914,
     /* 1001326 */     GIR_EraseRootFromParent_Done,
     /* 1001327 */   // Label 14894: @1001327
     /* 1001327 */   GIM_Try, /*On fail goto*//*Label 14895*/ GIMT_Encode4(1001404), // Rule ID 4915 //
     /* 1001332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1001343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1001346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1001349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1001352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1001359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1001363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001371 */     // MIs[0] policy
     /* 1001371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001381 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1001384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1001400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001403 */     // GIR_Coverage, 4915,
     /* 1001403 */     GIR_EraseRootFromParent_Done,
     /* 1001404 */   // Label 14895: @1001404
     /* 1001404 */   GIM_Try, /*On fail goto*//*Label 14896*/ GIMT_Encode4(1001481), // Rule ID 4918 //
     /* 1001409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001448 */     // MIs[0] policy
     /* 1001448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001458 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1001461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001480 */     // GIR_Coverage, 4918,
     /* 1001480 */     GIR_EraseRootFromParent_Done,
     /* 1001481 */   // Label 14896: @1001481
     /* 1001481 */   GIM_Try, /*On fail goto*//*Label 14897*/ GIMT_Encode4(1001558), // Rule ID 4919 //
     /* 1001486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1001497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1001500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1001503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1001506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001525 */     // MIs[0] policy
     /* 1001525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001535 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2_MASK),
     /* 1001538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001557 */     // GIR_Coverage, 4919,
     /* 1001557 */     GIR_EraseRootFromParent_Done,
     /* 1001558 */   // Label 14897: @1001558
     /* 1001558 */   GIM_Try, /*On fail goto*//*Label 14898*/ GIMT_Encode4(1001635), // Rule ID 4922 //
     /* 1001563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001602 */     // MIs[0] policy
     /* 1001602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001634 */     // GIR_Coverage, 4922,
     /* 1001634 */     GIR_EraseRootFromParent_Done,
     /* 1001635 */   // Label 14898: @1001635
     /* 1001635 */   GIM_Try, /*On fail goto*//*Label 14899*/ GIMT_Encode4(1001712), // Rule ID 4923 //
     /* 1001640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1001651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1001654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1001657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1001660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1001667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001679 */     // MIs[0] policy
     /* 1001679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001689 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1001692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001711 */     // GIR_Coverage, 4923,
     /* 1001711 */     GIR_EraseRootFromParent_Done,
     /* 1001712 */   // Label 14899: @1001712
     /* 1001712 */   GIM_Try, /*On fail goto*//*Label 14900*/ GIMT_Encode4(1001789), // Rule ID 4926 //
     /* 1001717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001756 */     // MIs[0] policy
     /* 1001756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001788 */     // GIR_Coverage, 4926,
     /* 1001788 */     GIR_EraseRootFromParent_Done,
     /* 1001789 */   // Label 14900: @1001789
     /* 1001789 */   GIM_Try, /*On fail goto*//*Label 14901*/ GIMT_Encode4(1001866), // Rule ID 4927 //
     /* 1001794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1001805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1001808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1001811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1001814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1001821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1001829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001833 */     // MIs[0] policy
     /* 1001833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001843 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1001846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001865 */     // GIR_Coverage, 4927,
     /* 1001865 */     GIR_EraseRootFromParent_Done,
     /* 1001866 */   // Label 14901: @1001866
     /* 1001866 */   GIM_Try, /*On fail goto*//*Label 14902*/ GIMT_Encode4(1001943), // Rule ID 4930 //
     /* 1001871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1001874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1001894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001910 */     // MIs[0] policy
     /* 1001910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001920 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1001920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1001923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1001925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1001927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1001929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1001931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1001936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1001939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1001941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1001942 */     // GIR_Coverage, 4930,
     /* 1001942 */     GIR_EraseRootFromParent_Done,
     /* 1001943 */   // Label 14902: @1001943
     /* 1001943 */   GIM_Try, /*On fail goto*//*Label 14903*/ GIMT_Encode4(1002020), // Rule ID 4931 //
     /* 1001948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1001951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1001956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1001959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1001962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1001965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1001968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1001971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1001975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1001979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1001983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1001987 */     // MIs[0] policy
     /* 1001987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1001990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1001997 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1001997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1002000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002019 */     // GIR_Coverage, 4931,
     /* 1002019 */     GIR_EraseRootFromParent_Done,
     /* 1002020 */   // Label 14903: @1002020
     /* 1002020 */   GIM_Try, /*On fail goto*//*Label 14904*/ GIMT_Encode4(1002097), // Rule ID 4934 //
     /* 1002025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1002042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002064 */     // MIs[0] policy
     /* 1002064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002074 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1002077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002096 */     // GIR_Coverage, 4934,
     /* 1002096 */     GIR_EraseRootFromParent_Done,
     /* 1002097 */   // Label 14904: @1002097
     /* 1002097 */   GIM_Try, /*On fail goto*//*Label 14905*/ GIMT_Encode4(1002174), // Rule ID 4935 //
     /* 1002102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1002113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1002116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1002119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1002122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002141 */     // MIs[0] policy
     /* 1002141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002151 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1002154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002173 */     // GIR_Coverage, 4935,
     /* 1002173 */     GIR_EraseRootFromParent_Done,
     /* 1002174 */   // Label 14905: @1002174
     /* 1002174 */   GIM_Try, /*On fail goto*//*Label 14906*/ GIMT_Encode4(1002251), // Rule ID 4938 //
     /* 1002179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1002196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002218 */     // MIs[0] policy
     /* 1002218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002228 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1002231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002250 */     // GIR_Coverage, 4938,
     /* 1002250 */     GIR_EraseRootFromParent_Done,
     /* 1002251 */   // Label 14906: @1002251
     /* 1002251 */   GIM_Try, /*On fail goto*//*Label 14907*/ GIMT_Encode4(1002328), // Rule ID 4939 //
     /* 1002256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1002267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1002270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1002273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002295 */     // MIs[0] policy
     /* 1002295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002305 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1_MASK),
     /* 1002308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002327 */     // GIR_Coverage, 4939,
     /* 1002327 */     GIR_EraseRootFromParent_Done,
     /* 1002328 */   // Label 14907: @1002328
     /* 1002328 */   GIM_Try, /*On fail goto*//*Label 14908*/ GIMT_Encode4(1002405), // Rule ID 4942 //
     /* 1002333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1002350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002372 */     // MIs[0] policy
     /* 1002372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002382 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1002385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002404 */     // GIR_Coverage, 4942,
     /* 1002404 */     GIR_EraseRootFromParent_Done,
     /* 1002405 */   // Label 14908: @1002405
     /* 1002405 */   GIM_Try, /*On fail goto*//*Label 14909*/ GIMT_Encode4(1002482), // Rule ID 4943 //
     /* 1002410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1002421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1002424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1002427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1002437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002449 */     // MIs[0] policy
     /* 1002449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002459 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2_MASK),
     /* 1002462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002468 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002481 */     // GIR_Coverage, 4943,
     /* 1002481 */     GIR_EraseRootFromParent_Done,
     /* 1002482 */   // Label 14909: @1002482
     /* 1002482 */   GIM_Try, /*On fail goto*//*Label 14910*/ GIMT_Encode4(1002559), // Rule ID 4946 //
     /* 1002487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002526 */     // MIs[0] policy
     /* 1002526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002536 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1002539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002545 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002558 */     // GIR_Coverage, 4946,
     /* 1002558 */     GIR_EraseRootFromParent_Done,
     /* 1002559 */   // Label 14910: @1002559
     /* 1002559 */   GIM_Try, /*On fail goto*//*Label 14911*/ GIMT_Encode4(1002636), // Rule ID 4947 //
     /* 1002564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1002575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1002578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1002581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1002584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1002591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1002599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002603 */     // MIs[0] policy
     /* 1002603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002613 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4_MASK),
     /* 1002616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002622 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002635 */     // GIR_Coverage, 4947,
     /* 1002635 */     GIR_EraseRootFromParent_Done,
     /* 1002636 */   // Label 14911: @1002636
     /* 1002636 */   GIM_Try, /*On fail goto*//*Label 14912*/ GIMT_Encode4(1002713), // Rule ID 4950 //
     /* 1002641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1002644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002680 */     // MIs[0] policy
     /* 1002680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002690 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1002693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002712 */     // GIR_Coverage, 4950,
     /* 1002712 */     GIR_EraseRootFromParent_Done,
     /* 1002713 */   // Label 14912: @1002713
     /* 1002713 */   GIM_Try, /*On fail goto*//*Label 14913*/ GIMT_Encode4(1002790), // Rule ID 4951 //
     /* 1002718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1002721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1002729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1002732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1002735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1002738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1002745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1002749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1002753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002757 */     // MIs[0] policy
     /* 1002757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002767 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8_MASK),
     /* 1002770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002776 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1002786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002789 */     // GIR_Coverage, 4951,
     /* 1002789 */     GIR_EraseRootFromParent_Done,
     /* 1002790 */   // Label 14913: @1002790
     /* 1002790 */   GIM_Try, /*On fail goto*//*Label 14914*/ GIMT_Encode4(1002867), // Rule ID 4954 //
     /* 1002795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002834 */     // MIs[0] policy
     /* 1002834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002844 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /* 1002847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002853 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002866 */     // GIR_Coverage, 4954,
     /* 1002866 */     GIR_EraseRootFromParent_Done,
     /* 1002867 */   // Label 14914: @1002867
     /* 1002867 */   GIM_Try, /*On fail goto*//*Label 14915*/ GIMT_Encode4(1002944), // Rule ID 4955 //
     /* 1002872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1002875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1002883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1002886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1002889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1002892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1002895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002911 */     // MIs[0] policy
     /* 1002911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002921 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1002921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2_MASK),
     /* 1002924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1002926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1002928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1002930 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1002932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1002937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1002940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1002942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1002943 */     // GIR_Coverage, 4955,
     /* 1002943 */     GIR_EraseRootFromParent_Done,
     /* 1002944 */   // Label 14915: @1002944
     /* 1002944 */   GIM_Try, /*On fail goto*//*Label 14916*/ GIMT_Encode4(1003021), // Rule ID 4958 //
     /* 1002949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1002952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1002957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1002960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1002963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1002966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1002969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1002972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1002976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1002984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1002988 */     // MIs[0] policy
     /* 1002988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1002991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1002998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1002998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1003001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003020 */     // GIR_Coverage, 4958,
     /* 1003020 */     GIR_EraseRootFromParent_Done,
     /* 1003021 */   // Label 14916: @1003021
     /* 1003021 */   GIM_Try, /*On fail goto*//*Label 14917*/ GIMT_Encode4(1003098), // Rule ID 4959 //
     /* 1003026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1003037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1003040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1003043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003065 */     // MIs[0] policy
     /* 1003065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11678:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1003078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003084 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003097 */     // GIR_Coverage, 4959,
     /* 1003097 */     GIR_EraseRootFromParent_Done,
     /* 1003098 */   // Label 14917: @1003098
     /* 1003098 */   GIM_Try, /*On fail goto*//*Label 14918*/ GIMT_Encode4(1003175), // Rule ID 4962 //
     /* 1003103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1003114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003142 */     // MIs[0] policy
     /* 1003142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003152 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1003155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003174 */     // GIR_Coverage, 4962,
     /* 1003174 */     GIR_EraseRootFromParent_Done,
     /* 1003175 */   // Label 14918: @1003175
     /* 1003175 */   GIM_Try, /*On fail goto*//*Label 14919*/ GIMT_Encode4(1003252), // Rule ID 4963 //
     /* 1003180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1003191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1003194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1003197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003219 */     // MIs[0] policy
     /* 1003219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003229 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1003232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003238 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003251 */     // GIR_Coverage, 4963,
     /* 1003251 */     GIR_EraseRootFromParent_Done,
     /* 1003252 */   // Label 14919: @1003252
     /* 1003252 */   GIM_Try, /*On fail goto*//*Label 14920*/ GIMT_Encode4(1003329), // Rule ID 4966 //
     /* 1003257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1003268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1003271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003296 */     // MIs[0] policy
     /* 1003296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1003309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003328 */     // GIR_Coverage, 4966,
     /* 1003328 */     GIR_EraseRootFromParent_Done,
     /* 1003329 */   // Label 14920: @1003329
     /* 1003329 */   GIM_Try, /*On fail goto*//*Label 14921*/ GIMT_Encode4(1003406), // Rule ID 4967 //
     /* 1003334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1003345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1003348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1003351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1003354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003373 */     // MIs[0] policy
     /* 1003373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003383 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1003386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003392 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003405 */     // GIR_Coverage, 4967,
     /* 1003405 */     GIR_EraseRootFromParent_Done,
     /* 1003406 */   // Label 14921: @1003406
     /* 1003406 */   GIM_Try, /*On fail goto*//*Label 14922*/ GIMT_Encode4(1003483), // Rule ID 4970 //
     /* 1003411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1003414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1003422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1003425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1003428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1003431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003450 */     // MIs[0] policy
     /* 1003450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1003463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003482 */     // GIR_Coverage, 4970,
     /* 1003482 */     GIR_EraseRootFromParent_Done,
     /* 1003483 */   // Label 14922: @1003483
     /* 1003483 */   GIM_Try, /*On fail goto*//*Label 14923*/ GIMT_Encode4(1003560), // Rule ID 4971 //
     /* 1003488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1003491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1003499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1003502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1003505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1003508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1003515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1003519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003527 */     // MIs[0] policy
     /* 1003527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003537 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1003540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1003556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003559 */     // GIR_Coverage, 4971,
     /* 1003559 */     GIR_EraseRootFromParent_Done,
     /* 1003560 */   // Label 14923: @1003560
     /* 1003560 */   GIM_Try, /*On fail goto*//*Label 14924*/ GIMT_Encode4(1003637), // Rule ID 4974 //
     /* 1003565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003604 */     // MIs[0] policy
     /* 1003604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1003617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003636 */     // GIR_Coverage, 4974,
     /* 1003636 */     GIR_EraseRootFromParent_Done,
     /* 1003637 */   // Label 14924: @1003637
     /* 1003637 */   GIM_Try, /*On fail goto*//*Label 14925*/ GIMT_Encode4(1003714), // Rule ID 4975 //
     /* 1003642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1003653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1003656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1003659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1003662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1003669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003681 */     // MIs[0] policy
     /* 1003681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1_MASK),
     /* 1003694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003700 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003713 */     // GIR_Coverage, 4975,
     /* 1003713 */     GIR_EraseRootFromParent_Done,
     /* 1003714 */   // Label 14925: @1003714
     /* 1003714 */   GIM_Try, /*On fail goto*//*Label 14926*/ GIMT_Encode4(1003791), // Rule ID 4978 //
     /* 1003719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003758 */     // MIs[0] policy
     /* 1003758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1003771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003790 */     // GIR_Coverage, 4978,
     /* 1003790 */     GIR_EraseRootFromParent_Done,
     /* 1003791 */   // Label 14926: @1003791
     /* 1003791 */   GIM_Try, /*On fail goto*//*Label 14927*/ GIMT_Encode4(1003868), // Rule ID 4979 //
     /* 1003796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1003807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1003810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1003813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1003816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1003823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1003827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003835 */     // MIs[0] policy
     /* 1003835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003845 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2_MASK),
     /* 1003848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003854 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003867 */     // GIR_Coverage, 4979,
     /* 1003867 */     GIR_EraseRootFromParent_Done,
     /* 1003868 */   // Label 14927: @1003868
     /* 1003868 */   GIM_Try, /*On fail goto*//*Label 14928*/ GIMT_Encode4(1003945), // Rule ID 4982 //
     /* 1003873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1003876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1003896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003912 */     // MIs[0] policy
     /* 1003912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1003922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1003925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1003927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1003929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1003931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1003933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1003938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1003941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1003943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1003944 */     // GIR_Coverage, 4982,
     /* 1003944 */     GIR_EraseRootFromParent_Done,
     /* 1003945 */   // Label 14928: @1003945
     /* 1003945 */   GIM_Try, /*On fail goto*//*Label 14929*/ GIMT_Encode4(1004022), // Rule ID 4983 //
     /* 1003950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1003953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1003958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1003961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1003964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1003967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1003970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1003973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1003977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1003981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1003985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1003989 */     // MIs[0] policy
     /* 1003989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1003992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1003999 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1003999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4_MASK),
     /* 1004002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004008 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004021 */     // GIR_Coverage, 4983,
     /* 1004021 */     GIR_EraseRootFromParent_Done,
     /* 1004022 */   // Label 14929: @1004022
     /* 1004022 */   GIM_Try, /*On fail goto*//*Label 14930*/ GIMT_Encode4(1004099), // Rule ID 4986 //
     /* 1004027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1004044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004066 */     // MIs[0] policy
     /* 1004066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004076 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1004079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004085 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004098 */     // GIR_Coverage, 4986,
     /* 1004098 */     GIR_EraseRootFromParent_Done,
     /* 1004099 */   // Label 14930: @1004099
     /* 1004099 */   GIM_Try, /*On fail goto*//*Label 14931*/ GIMT_Encode4(1004176), // Rule ID 4987 //
     /* 1004104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1004121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004143 */     // MIs[0] policy
     /* 1004143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004153 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8_MASK),
     /* 1004156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004162 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004175 */     // GIR_Coverage, 4987,
     /* 1004175 */     GIR_EraseRootFromParent_Done,
     /* 1004176 */   // Label 14931: @1004176
     /* 1004176 */   GIM_Try, /*On fail goto*//*Label 14932*/ GIMT_Encode4(1004253), // Rule ID 4990 //
     /* 1004181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1004192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1004195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004220 */     // MIs[0] policy
     /* 1004220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004230 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /* 1004233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004252 */     // GIR_Coverage, 4990,
     /* 1004252 */     GIR_EraseRootFromParent_Done,
     /* 1004253 */   // Label 14932: @1004253
     /* 1004253 */   GIM_Try, /*On fail goto*//*Label 14933*/ GIMT_Encode4(1004330), // Rule ID 4991 //
     /* 1004258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1004269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1004272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004297 */     // MIs[0] policy
     /* 1004297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004307 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11678:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1_MASK),
     /* 1004310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004316 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004329 */     // GIR_Coverage, 4991,
     /* 1004329 */     GIR_EraseRootFromParent_Done,
     /* 1004330 */   // Label 14933: @1004330
     /* 1004330 */   GIM_Try, /*On fail goto*//*Label 14934*/ GIMT_Encode4(1004407), // Rule ID 4994 //
     /* 1004335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1004346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1004349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004374 */     // MIs[0] policy
     /* 1004374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004384 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /* 1004387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004393 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004406 */     // GIR_Coverage, 4994,
     /* 1004406 */     GIR_EraseRootFromParent_Done,
     /* 1004407 */   // Label 14934: @1004407
     /* 1004407 */   GIM_Try, /*On fail goto*//*Label 14935*/ GIMT_Encode4(1004484), // Rule ID 4995 //
     /* 1004412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1004423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1004426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1004439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1004443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004451 */     // MIs[0] policy
     /* 1004451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004461 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11678:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2_MASK),
     /* 1004464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004470 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004483 */     // GIR_Coverage, 4995,
     /* 1004483 */     GIR_EraseRootFromParent_Done,
     /* 1004484 */   // Label 14935: @1004484
     /* 1004484 */   GIM_Try, /*On fail goto*//*Label 14936*/ GIMT_Encode4(1004561), // Rule ID 4998 //
     /* 1004489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004528 */     // MIs[0] policy
     /* 1004528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004538 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /* 1004541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004560 */     // GIR_Coverage, 4998,
     /* 1004560 */     GIR_EraseRootFromParent_Done,
     /* 1004561 */   // Label 14936: @1004561
     /* 1004561 */   GIM_Try, /*On fail goto*//*Label 14937*/ GIMT_Encode4(1004638), // Rule ID 4999 //
     /* 1004566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1004577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1004580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1004583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1004586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1004593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1004597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004605 */     // MIs[0] policy
     /* 1004605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004615 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11678:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4_MASK),
     /* 1004618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004637 */     // GIR_Coverage, 4999,
     /* 1004637 */     GIR_EraseRootFromParent_Done,
     /* 1004638 */   // Label 14937: @1004638
     /* 1004638 */   GIM_Try, /*On fail goto*//*Label 14938*/ GIMT_Encode4(1004715), // Rule ID 5002 //
     /* 1004643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1004646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004682 */     // MIs[0] policy
     /* 1004682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004692 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /* 1004695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004714 */     // GIR_Coverage, 5002,
     /* 1004714 */     GIR_EraseRootFromParent_Done,
     /* 1004715 */   // Label 14938: @1004715
     /* 1004715 */   GIM_Try, /*On fail goto*//*Label 14939*/ GIMT_Encode4(1004792), // Rule ID 5003 //
     /* 1004720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1004723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vzext_mask),
     /* 1004728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1004731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1004734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1004737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1004740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1004747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1004751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004759 */     // MIs[0] policy
     /* 1004759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004769 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11678:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVZEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8_MASK),
     /* 1004772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1004788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004791 */     // GIR_Coverage, 5003,
     /* 1004791 */     GIR_EraseRootFromParent_Done,
     /* 1004792 */   // Label 14939: @1004792
     /* 1004792 */   GIM_Try, /*On fail goto*//*Label 14940*/ GIMT_Encode4(1004869), // Rule ID 5006 //
     /* 1004797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004836 */     // MIs[0] policy
     /* 1004836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004846 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1004846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1004849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004868 */     // GIR_Coverage, 5006,
     /* 1004868 */     GIR_EraseRootFromParent_Done,
     /* 1004869 */   // Label 14940: @1004869
     /* 1004869 */   GIM_Try, /*On fail goto*//*Label 14941*/ GIMT_Encode4(1004946), // Rule ID 5007 //
     /* 1004874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1004877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1004885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1004888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1004891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1004894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1004897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004913 */     // MIs[0] policy
     /* 1004913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1004923 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1004923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4_MASK),
     /* 1004926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1004928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1004930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1004932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1004934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1004939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1004942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1004944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1004945 */     // GIR_Coverage, 5007,
     /* 1004945 */     GIR_EraseRootFromParent_Done,
     /* 1004946 */   // Label 14941: @1004946
     /* 1004946 */   GIM_Try, /*On fail goto*//*Label 14942*/ GIMT_Encode4(1005023), // Rule ID 5010 //
     /* 1004951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1004954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1004959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1004962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1004965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1004968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1004971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1004974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1004978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1004986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1004990 */     // MIs[0] policy
     /* 1004990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1004993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005000 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1005003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005022 */     // GIR_Coverage, 5010,
     /* 1005022 */     GIR_EraseRootFromParent_Done,
     /* 1005023 */   // Label 14942: @1005023
     /* 1005023 */   GIM_Try, /*On fail goto*//*Label 14943*/ GIMT_Encode4(1005100), // Rule ID 5011 //
     /* 1005028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1005039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1005042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1005045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005067 */     // MIs[0] policy
     /* 1005067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005077 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1005080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005086 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005099 */     // GIR_Coverage, 5011,
     /* 1005099 */     GIR_EraseRootFromParent_Done,
     /* 1005100 */   // Label 14943: @1005100
     /* 1005100 */   GIM_Try, /*On fail goto*//*Label 14944*/ GIMT_Encode4(1005177), // Rule ID 5014 //
     /* 1005105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1005122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005144 */     // MIs[0] policy
     /* 1005144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005154 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005176 */     // GIR_Coverage, 5014,
     /* 1005176 */     GIR_EraseRootFromParent_Done,
     /* 1005177 */   // Label 14944: @1005177
     /* 1005177 */   GIM_Try, /*On fail goto*//*Label 14945*/ GIMT_Encode4(1005254), // Rule ID 5015 //
     /* 1005182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1005193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1005196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1005199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1005202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005221 */     // MIs[0] policy
     /* 1005221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005231 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11541:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005240 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005253 */     // GIR_Coverage, 5015,
     /* 1005253 */     GIR_EraseRootFromParent_Done,
     /* 1005254 */   // Label 14945: @1005254
     /* 1005254 */   GIM_Try, /*On fail goto*//*Label 14946*/ GIMT_Encode4(1005331), // Rule ID 5018 //
     /* 1005259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1005270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1005273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1005279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1005286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005298 */     // MIs[0] policy
     /* 1005298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1005311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005330 */     // GIR_Coverage, 5018,
     /* 1005330 */     GIR_EraseRootFromParent_Done,
     /* 1005331 */   // Label 14946: @1005331
     /* 1005331 */   GIM_Try, /*On fail goto*//*Label 14947*/ GIMT_Encode4(1005408), // Rule ID 5019 //
     /* 1005336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1005347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1005350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1005353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1005356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1005363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005375 */     // MIs[0] policy
     /* 1005375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005385 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1005388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005394 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005407 */     // GIR_Coverage, 5019,
     /* 1005407 */     GIR_EraseRootFromParent_Done,
     /* 1005408 */   // Label 14947: @1005408
     /* 1005408 */   GIM_Try, /*On fail goto*//*Label 14948*/ GIMT_Encode4(1005485), // Rule ID 5022 //
     /* 1005413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1005424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1005427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1005433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1005440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005452 */     // MIs[0] policy
     /* 1005452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005462 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1005465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005484 */     // GIR_Coverage, 5022,
     /* 1005484 */     GIR_EraseRootFromParent_Done,
     /* 1005485 */   // Label 14948: @1005485
     /* 1005485 */   GIM_Try, /*On fail goto*//*Label 14949*/ GIMT_Encode4(1005562), // Rule ID 5023 //
     /* 1005490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1005501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1005504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1005507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1005510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1005517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1005525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005529 */     // MIs[0] policy
     /* 1005529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005539 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1005542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005544 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005548 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005561 */     // GIR_Coverage, 5023,
     /* 1005561 */     GIR_EraseRootFromParent_Done,
     /* 1005562 */   // Label 14949: @1005562
     /* 1005562 */   GIM_Try, /*On fail goto*//*Label 14950*/ GIMT_Encode4(1005639), // Rule ID 5026 //
     /* 1005567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1005578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1005581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1005587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1005594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005606 */     // MIs[0] policy
     /* 1005606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005616 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005625 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005638 */     // GIR_Coverage, 5026,
     /* 1005638 */     GIR_EraseRootFromParent_Done,
     /* 1005639 */   // Label 14950: @1005639
     /* 1005639 */   GIM_Try, /*On fail goto*//*Label 14951*/ GIMT_Encode4(1005716), // Rule ID 5027 //
     /* 1005644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1005655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1005658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1005661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1005664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1005671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1005675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1005679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005683 */     // MIs[0] policy
     /* 1005683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005693 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1005696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005702 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1005712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005715 */     // GIR_Coverage, 5027,
     /* 1005715 */     GIR_EraseRootFromParent_Done,
     /* 1005716 */   // Label 14951: @1005716
     /* 1005716 */   GIM_Try, /*On fail goto*//*Label 14952*/ GIMT_Encode4(1005793), // Rule ID 5030 //
     /* 1005721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005760 */     // MIs[0] policy
     /* 1005760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1005773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005792 */     // GIR_Coverage, 5030,
     /* 1005792 */     GIR_EraseRootFromParent_Done,
     /* 1005793 */   // Label 14952: @1005793
     /* 1005793 */   GIM_Try, /*On fail goto*//*Label 14953*/ GIMT_Encode4(1005870), // Rule ID 5031 //
     /* 1005798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1005809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1005812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1005815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1005818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005837 */     // MIs[0] policy
     /* 1005837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005847 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1005847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2_MASK),
     /* 1005850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005856 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005869 */     // GIR_Coverage, 5031,
     /* 1005869 */     GIR_EraseRootFromParent_Done,
     /* 1005870 */   // Label 14953: @1005870
     /* 1005870 */   GIM_Try, /*On fail goto*//*Label 14954*/ GIMT_Encode4(1005947), // Rule ID 5034 //
     /* 1005875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1005878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1005898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005914 */     // MIs[0] policy
     /* 1005914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1005924 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1005924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1005927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1005929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1005931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1005933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1005935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1005940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1005943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1005945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1005946 */     // GIR_Coverage, 5034,
     /* 1005946 */     GIR_EraseRootFromParent_Done,
     /* 1005947 */   // Label 14954: @1005947
     /* 1005947 */   GIM_Try, /*On fail goto*//*Label 14955*/ GIMT_Encode4(1006024), // Rule ID 5035 //
     /* 1005952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1005955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1005960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1005963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1005966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1005969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1005972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1005975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1005979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1005987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1005991 */     // MIs[0] policy
     /* 1005991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1005994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006001 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1006004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006023 */     // GIR_Coverage, 5035,
     /* 1006023 */     GIR_EraseRootFromParent_Done,
     /* 1006024 */   // Label 14955: @1006024
     /* 1006024 */   GIM_Try, /*On fail goto*//*Label 14956*/ GIMT_Encode4(1006101), // Rule ID 5038 //
     /* 1006029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1006046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006068 */     // MIs[0] policy
     /* 1006068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1006081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006100 */     // GIR_Coverage, 5038,
     /* 1006100 */     GIR_EraseRootFromParent_Done,
     /* 1006101 */   // Label 14956: @1006101
     /* 1006101 */   GIM_Try, /*On fail goto*//*Label 14957*/ GIMT_Encode4(1006178), // Rule ID 5039 //
     /* 1006106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1006117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1006120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1006123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006145 */     // MIs[0] policy
     /* 1006145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1006158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006177 */     // GIR_Coverage, 5039,
     /* 1006177 */     GIR_EraseRootFromParent_Done,
     /* 1006178 */   // Label 14957: @1006178
     /* 1006178 */   GIM_Try, /*On fail goto*//*Label 14958*/ GIMT_Encode4(1006255), // Rule ID 5042 //
     /* 1006183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006222 */     // MIs[0] policy
     /* 1006222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006232 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1006235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006254 */     // GIR_Coverage, 5042,
     /* 1006254 */     GIR_EraseRootFromParent_Done,
     /* 1006255 */   // Label 14958: @1006255
     /* 1006255 */   GIM_Try, /*On fail goto*//*Label 14959*/ GIMT_Encode4(1006332), // Rule ID 5043 //
     /* 1006260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1006271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1006274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1006277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006299 */     // MIs[0] policy
     /* 1006299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006309 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1006312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006318 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006331 */     // GIR_Coverage, 5043,
     /* 1006331 */     GIR_EraseRootFromParent_Done,
     /* 1006332 */   // Label 14959: @1006332
     /* 1006332 */   GIM_Try, /*On fail goto*//*Label 14960*/ GIMT_Encode4(1006409), // Rule ID 5046 //
     /* 1006337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1006340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1006357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006376 */     // MIs[0] policy
     /* 1006376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1006389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006408 */     // GIR_Coverage, 5046,
     /* 1006408 */     GIR_EraseRootFromParent_Done,
     /* 1006409 */   // Label 14960: @1006409
     /* 1006409 */   GIM_Try, /*On fail goto*//*Label 14961*/ GIMT_Encode4(1006486), // Rule ID 5047 //
     /* 1006414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1006417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1006425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1006428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1006431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1006434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006453 */     // MIs[0] policy
     /* 1006453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006463 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1006466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006472 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1006482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006485 */     // GIR_Coverage, 5047,
     /* 1006485 */     GIR_EraseRootFromParent_Done,
     /* 1006486 */   // Label 14961: @1006486
     /* 1006486 */   GIM_Try, /*On fail goto*//*Label 14962*/ GIMT_Encode4(1006563), // Rule ID 5050 //
     /* 1006491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1006508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006530 */     // MIs[0] policy
     /* 1006530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006540 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1006543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006562 */     // GIR_Coverage, 5050,
     /* 1006562 */     GIR_EraseRootFromParent_Done,
     /* 1006563 */   // Label 14962: @1006563
     /* 1006563 */   GIM_Try, /*On fail goto*//*Label 14963*/ GIMT_Encode4(1006640), // Rule ID 5051 //
     /* 1006568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1006579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1006582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1006585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1006588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1006595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006607 */     // MIs[0] policy
     /* 1006607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006617 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1_MASK),
     /* 1006620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006626 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006639 */     // GIR_Coverage, 5051,
     /* 1006639 */     GIR_EraseRootFromParent_Done,
     /* 1006640 */   // Label 14963: @1006640
     /* 1006640 */   GIM_Try, /*On fail goto*//*Label 14964*/ GIMT_Encode4(1006717), // Rule ID 5054 //
     /* 1006645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006684 */     // MIs[0] policy
     /* 1006684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006694 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1006697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006716 */     // GIR_Coverage, 5054,
     /* 1006716 */     GIR_EraseRootFromParent_Done,
     /* 1006717 */   // Label 14964: @1006717
     /* 1006717 */   GIM_Try, /*On fail goto*//*Label 14965*/ GIMT_Encode4(1006794), // Rule ID 5055 //
     /* 1006722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1006733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1006736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1006739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1006742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1006749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1006757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006761 */     // MIs[0] policy
     /* 1006761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006771 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2_MASK),
     /* 1006774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006780 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006793 */     // GIR_Coverage, 5055,
     /* 1006793 */     GIR_EraseRootFromParent_Done,
     /* 1006794 */   // Label 14965: @1006794
     /* 1006794 */   GIM_Try, /*On fail goto*//*Label 14966*/ GIMT_Encode4(1006871), // Rule ID 5058 //
     /* 1006799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006838 */     // MIs[0] policy
     /* 1006838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1006848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1006851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006857 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006870 */     // GIR_Coverage, 5058,
     /* 1006870 */     GIR_EraseRootFromParent_Done,
     /* 1006871 */   // Label 14966: @1006871
     /* 1006871 */   GIM_Try, /*On fail goto*//*Label 14967*/ GIMT_Encode4(1006948), // Rule ID 5059 //
     /* 1006876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1006879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1006887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1006890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1006893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1006896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1006899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1006903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1006911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006915 */     // MIs[0] policy
     /* 1006915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1006925 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1006925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4_MASK),
     /* 1006928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1006930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1006932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1006934 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1006936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1006941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1006944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1006946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1006947 */     // GIR_Coverage, 5059,
     /* 1006947 */     GIR_EraseRootFromParent_Done,
     /* 1006948 */   // Label 14967: @1006948
     /* 1006948 */   GIM_Try, /*On fail goto*//*Label 14968*/ GIMT_Encode4(1007025), // Rule ID 5062 //
     /* 1006953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1006956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1006961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1006964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1006967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1006970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1006973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1006976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1006980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1006984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1006988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1006992 */     // MIs[0] policy
     /* 1006992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1006995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007002 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1007005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007024 */     // GIR_Coverage, 5062,
     /* 1007024 */     GIR_EraseRootFromParent_Done,
     /* 1007025 */   // Label 14968: @1007025
     /* 1007025 */   GIM_Try, /*On fail goto*//*Label 14969*/ GIMT_Encode4(1007102), // Rule ID 5063 //
     /* 1007030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1007041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1007044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1007047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007069 */     // MIs[0] policy
     /* 1007069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007079 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF2_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8_MASK),
     /* 1007082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007088 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007101 */     // GIR_Coverage, 5063,
     /* 1007101 */     GIR_EraseRootFromParent_Done,
     /* 1007102 */   // Label 14969: @1007102
     /* 1007102 */   GIM_Try, /*On fail goto*//*Label 14970*/ GIMT_Encode4(1007179), // Rule ID 5066 //
     /* 1007107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1007118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1007121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1007124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007146 */     // MIs[0] policy
     /* 1007146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007156 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1007159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007165 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007178 */     // GIR_Coverage, 5066,
     /* 1007178 */     GIR_EraseRootFromParent_Done,
     /* 1007179 */   // Label 14970: @1007179
     /* 1007179 */   GIM_Try, /*On fail goto*//*Label 14971*/ GIMT_Encode4(1007256), // Rule ID 5067 //
     /* 1007184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1007195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1007198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1007201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007223 */     // MIs[0] policy
     /* 1007223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007233 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2_MASK),
     /* 1007236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007242 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007255 */     // GIR_Coverage, 5067,
     /* 1007255 */     GIR_EraseRootFromParent_Done,
     /* 1007256 */   // Label 14971: @1007256
     /* 1007256 */   GIM_Try, /*On fail goto*//*Label 14972*/ GIMT_Encode4(1007333), // Rule ID 5070 //
     /* 1007261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1007272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1007275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1007278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007300 */     // MIs[0] policy
     /* 1007300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1007313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007332 */     // GIR_Coverage, 5070,
     /* 1007332 */     GIR_EraseRootFromParent_Done,
     /* 1007333 */   // Label 14972: @1007333
     /* 1007333 */   GIM_Try, /*On fail goto*//*Label 14973*/ GIMT_Encode4(1007410), // Rule ID 5071 //
     /* 1007338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1007349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1007352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1007355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1007358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007377 */     // MIs[0] policy
     /* 1007377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007387 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11541:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1007390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007409 */     // GIR_Coverage, 5071,
     /* 1007409 */     GIR_EraseRootFromParent_Done,
     /* 1007410 */   // Label 14973: @1007410
     /* 1007410 */   GIM_Try, /*On fail goto*//*Label 14974*/ GIMT_Encode4(1007487), // Rule ID 5074 //
     /* 1007415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1007432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007454 */     // MIs[0] policy
     /* 1007454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007464 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1007467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007486 */     // GIR_Coverage, 5074,
     /* 1007486 */     GIR_EraseRootFromParent_Done,
     /* 1007487 */   // Label 14974: @1007487
     /* 1007487 */   GIM_Try, /*On fail goto*//*Label 14975*/ GIMT_Encode4(1007564), // Rule ID 5075 //
     /* 1007492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1007503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1007506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1007509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1007512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1007519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007531 */     // MIs[0] policy
     /* 1007531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007541 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1007544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007563 */     // GIR_Coverage, 5075,
     /* 1007563 */     GIR_EraseRootFromParent_Done,
     /* 1007564 */   // Label 14975: @1007564
     /* 1007564 */   GIM_Try, /*On fail goto*//*Label 14976*/ GIMT_Encode4(1007641), // Rule ID 5078 //
     /* 1007569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1007586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007608 */     // MIs[0] policy
     /* 1007608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007618 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007640 */     // GIR_Coverage, 5078,
     /* 1007640 */     GIR_EraseRootFromParent_Done,
     /* 1007641 */   // Label 14976: @1007641
     /* 1007641 */   GIM_Try, /*On fail goto*//*Label 14977*/ GIMT_Encode4(1007718), // Rule ID 5079 //
     /* 1007646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1007657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1007660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1007663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1007666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1007673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1007677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007685 */     // MIs[0] policy
     /* 1007685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007695 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1007698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007704 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007717 */     // GIR_Coverage, 5079,
     /* 1007717 */     GIR_EraseRootFromParent_Done,
     /* 1007718 */   // Label 14977: @1007718
     /* 1007718 */   GIM_Try, /*On fail goto*//*Label 14978*/ GIMT_Encode4(1007795), // Rule ID 5082 //
     /* 1007723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1007726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1007740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007762 */     // MIs[0] policy
     /* 1007762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007772 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007794 */     // GIR_Coverage, 5082,
     /* 1007794 */     GIR_EraseRootFromParent_Done,
     /* 1007795 */   // Label 14978: @1007795
     /* 1007795 */   GIM_Try, /*On fail goto*//*Label 14979*/ GIMT_Encode4(1007872), // Rule ID 5083 //
     /* 1007800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1007803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1007811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1007814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1007817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1007820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1007827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1007831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1007835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007839 */     // MIs[0] policy
     /* 1007839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007849 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1007849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1007852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007858 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1007868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007871 */     // GIR_Coverage, 5083,
     /* 1007871 */     GIR_EraseRootFromParent_Done,
     /* 1007872 */   // Label 14979: @1007872
     /* 1007872 */   GIM_Try, /*On fail goto*//*Label 14980*/ GIMT_Encode4(1007949), // Rule ID 5086 //
     /* 1007877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1007880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1007894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1007900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007916 */     // MIs[0] policy
     /* 1007916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1007926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1007926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1007929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1007931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1007933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1007935 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1007937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1007942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1007945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1007947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1007948 */     // GIR_Coverage, 5086,
     /* 1007948 */     GIR_EraseRootFromParent_Done,
     /* 1007949 */   // Label 14980: @1007949
     /* 1007949 */   GIM_Try, /*On fail goto*//*Label 14981*/ GIMT_Encode4(1008026), // Rule ID 5087 //
     /* 1007954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1007957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1007962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1007965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1007968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1007971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1007974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1007977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1007981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1007989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1007993 */     // MIs[0] policy
     /* 1007993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1007996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008003 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1_MASK),
     /* 1008006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008012 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008025 */     // GIR_Coverage, 5087,
     /* 1008025 */     GIR_EraseRootFromParent_Done,
     /* 1008026 */   // Label 14981: @1008026
     /* 1008026 */   GIM_Try, /*On fail goto*//*Label 14982*/ GIMT_Encode4(1008103), // Rule ID 5090 //
     /* 1008031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1008048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1008058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008070 */     // MIs[0] policy
     /* 1008070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1008083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008102 */     // GIR_Coverage, 5090,
     /* 1008102 */     GIR_EraseRootFromParent_Done,
     /* 1008103 */   // Label 14982: @1008103
     /* 1008103 */   GIM_Try, /*On fail goto*//*Label 14983*/ GIMT_Encode4(1008180), // Rule ID 5091 //
     /* 1008108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1008125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1008135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008147 */     // MIs[0] policy
     /* 1008147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008157 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2_MASK),
     /* 1008160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008166 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008179 */     // GIR_Coverage, 5091,
     /* 1008179 */     GIR_EraseRootFromParent_Done,
     /* 1008180 */   // Label 14983: @1008180
     /* 1008180 */   GIM_Try, /*On fail goto*//*Label 14984*/ GIMT_Encode4(1008257), // Rule ID 5094 //
     /* 1008185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1008202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1008212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008224 */     // MIs[0] policy
     /* 1008224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008234 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1008237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008256 */     // GIR_Coverage, 5094,
     /* 1008256 */     GIR_EraseRootFromParent_Done,
     /* 1008257 */   // Label 14984: @1008257
     /* 1008257 */   GIM_Try, /*On fail goto*//*Label 14985*/ GIMT_Encode4(1008334), // Rule ID 5095 //
     /* 1008262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1008279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1008289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008301 */     // MIs[0] policy
     /* 1008301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008311 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4_MASK),
     /* 1008314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008320 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008333 */     // GIR_Coverage, 5095,
     /* 1008333 */     GIR_EraseRootFromParent_Done,
     /* 1008334 */   // Label 14985: @1008334
     /* 1008334 */   GIM_Try, /*On fail goto*//*Label 14986*/ GIMT_Encode4(1008411), // Rule ID 5098 //
     /* 1008339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1008356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008378 */     // MIs[0] policy
     /* 1008378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008388 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1008391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008410 */     // GIR_Coverage, 5098,
     /* 1008410 */     GIR_EraseRootFromParent_Done,
     /* 1008411 */   // Label 14986: @1008411
     /* 1008411 */   GIM_Try, /*On fail goto*//*Label 14987*/ GIMT_Encode4(1008488), // Rule ID 5099 //
     /* 1008416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1008433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008455 */     // MIs[0] policy
     /* 1008455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008465 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF4_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8_MASK),
     /* 1008468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008487 */     // GIR_Coverage, 5099,
     /* 1008487 */     GIR_EraseRootFromParent_Done,
     /* 1008488 */   // Label 14987: @1008488
     /* 1008488 */   GIM_Try, /*On fail goto*//*Label 14988*/ GIMT_Encode4(1008565), // Rule ID 5102 //
     /* 1008493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1008510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008532 */     // MIs[0] policy
     /* 1008532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008542 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1008545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008564 */     // GIR_Coverage, 5102,
     /* 1008564 */     GIR_EraseRootFromParent_Done,
     /* 1008565 */   // Label 14988: @1008565
     /* 1008565 */   GIM_Try, /*On fail goto*//*Label 14989*/ GIMT_Encode4(1008642), // Rule ID 5103 //
     /* 1008570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1008581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1008584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1008587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1008590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1008597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008609 */     // MIs[0] policy
     /* 1008609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11541:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1_MASK),
     /* 1008622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008628 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008641 */     // GIR_Coverage, 5103,
     /* 1008641 */     GIR_EraseRootFromParent_Done,
     /* 1008642 */   // Label 14989: @1008642
     /* 1008642 */   GIM_Try, /*On fail goto*//*Label 14990*/ GIMT_Encode4(1008719), // Rule ID 5106 //
     /* 1008647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1008674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008686 */     // MIs[0] policy
     /* 1008686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008696 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1008699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008705 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008718 */     // GIR_Coverage, 5106,
     /* 1008718 */     GIR_EraseRootFromParent_Done,
     /* 1008719 */   // Label 14990: @1008719
     /* 1008719 */   GIM_Try, /*On fail goto*//*Label 14991*/ GIMT_Encode4(1008796), // Rule ID 5107 //
     /* 1008724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1008735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1008738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1008741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1008744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1008751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1008755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008763 */     // MIs[0] policy
     /* 1008763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008773 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11541:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2_MASK),
     /* 1008776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008795 */     // GIR_Coverage, 5107,
     /* 1008795 */     GIR_EraseRootFromParent_Done,
     /* 1008796 */   // Label 14991: @1008796
     /* 1008796 */   GIM_Try, /*On fail goto*//*Label 14992*/ GIMT_Encode4(1008873), // Rule ID 5110 //
     /* 1008801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1008828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008840 */     // MIs[0] policy
     /* 1008840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1008850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1008853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008872 */     // GIR_Coverage, 5110,
     /* 1008872 */     GIR_EraseRootFromParent_Done,
     /* 1008873 */   // Label 14992: @1008873
     /* 1008873 */   GIM_Try, /*On fail goto*//*Label 14993*/ GIMT_Encode4(1008950), // Rule ID 5111 //
     /* 1008878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1008881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1008889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1008892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1008895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1008898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1008901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1008905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1008909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008917 */     // MIs[0] policy
     /* 1008917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1008927 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11541:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1008927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4_MASK),
     /* 1008930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1008932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1008934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1008936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1008938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1008943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1008946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1008948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1008949 */     // GIR_Coverage, 5111,
     /* 1008949 */     GIR_EraseRootFromParent_Done,
     /* 1008950 */   // Label 14993: @1008950
     /* 1008950 */   GIM_Try, /*On fail goto*//*Label 14994*/ GIMT_Encode4(1009027), // Rule ID 5114 //
     /* 1008955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1008958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1008963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1008966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1008969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1008972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1008975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1008978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1008982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1008986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1008990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1008994 */     // MIs[0] policy
     /* 1008994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1008997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009004 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1009007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009026 */     // GIR_Coverage, 5114,
     /* 1009026 */     GIR_EraseRootFromParent_Done,
     /* 1009027 */   // Label 14994: @1009027
     /* 1009027 */   GIM_Try, /*On fail goto*//*Label 14995*/ GIMT_Encode4(1009104), // Rule ID 5115 //
     /* 1009032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1009035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsext_mask),
     /* 1009040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1009043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1009046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1009052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1009059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1009063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1009071 */     // MIs[0] policy
     /* 1009071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009081 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11541:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSEXT_VF8_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8_MASK),
     /* 1009084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1009088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1009090 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1009092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1009100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009103 */     // GIR_Coverage, 5115,
     /* 1009103 */     GIR_EraseRootFromParent_Done,
     /* 1009104 */   // Label 14995: @1009104
     /* 1009104 */   GIM_Try, /*On fail goto*//*Label 14996*/ GIMT_Encode4(1009181), // Rule ID 12726 //
     /* 1009109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1009120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1009123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1009126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1009129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009148 */     // MIs[0] policy
     /* 1009148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1009161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009180 */     // GIR_Coverage, 12726,
     /* 1009180 */     GIR_EraseRootFromParent_Done,
     /* 1009181 */   // Label 14996: @1009181
     /* 1009181 */   GIM_Try, /*On fail goto*//*Label 14997*/ GIMT_Encode4(1009258), // Rule ID 12727 //
     /* 1009186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1009197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1009200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1009203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1009206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009225 */     // MIs[0] policy
     /* 1009225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009235 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1009238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009257 */     // GIR_Coverage, 12727,
     /* 1009257 */     GIR_EraseRootFromParent_Done,
     /* 1009258 */   // Label 14997: @1009258
     /* 1009258 */   GIM_Try, /*On fail goto*//*Label 14998*/ GIMT_Encode4(1009335), // Rule ID 12730 //
     /* 1009263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1009274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1009277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1009280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1009283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009302 */     // MIs[0] policy
     /* 1009302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009312 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009334 */     // GIR_Coverage, 12730,
     /* 1009334 */     GIR_EraseRootFromParent_Done,
     /* 1009335 */   // Label 14998: @1009335
     /* 1009335 */   GIM_Try, /*On fail goto*//*Label 14999*/ GIMT_Encode4(1009412), // Rule ID 12731 //
     /* 1009340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1009351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1009354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1009357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1009360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009379 */     // MIs[0] policy
     /* 1009379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009389 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009411 */     // GIR_Coverage, 12731,
     /* 1009411 */     GIR_EraseRootFromParent_Done,
     /* 1009412 */   // Label 14999: @1009412
     /* 1009412 */   GIM_Try, /*On fail goto*//*Label 15000*/ GIMT_Encode4(1009489), // Rule ID 12734 //
     /* 1009417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1009428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1009431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1009434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1009437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009456 */     // MIs[0] policy
     /* 1009456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1009469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009488 */     // GIR_Coverage, 12734,
     /* 1009488 */     GIR_EraseRootFromParent_Done,
     /* 1009489 */   // Label 15000: @1009489
     /* 1009489 */   GIM_Try, /*On fail goto*//*Label 15001*/ GIMT_Encode4(1009566), // Rule ID 12735 //
     /* 1009494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1009505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1009508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1009511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1009514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009533 */     // MIs[0] policy
     /* 1009533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009543 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4),
     /* 1009546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009565 */     // GIR_Coverage, 12735,
     /* 1009565 */     GIR_EraseRootFromParent_Done,
     /* 1009566 */   // Label 15001: @1009566
     /* 1009566 */   GIM_Try, /*On fail goto*//*Label 15002*/ GIMT_Encode4(1009643), // Rule ID 12738 //
     /* 1009571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1009582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1009585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1009588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1009591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009610 */     // MIs[0] policy
     /* 1009610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009620 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009642 */     // GIR_Coverage, 12738,
     /* 1009642 */     GIR_EraseRootFromParent_Done,
     /* 1009643 */   // Label 15002: @1009643
     /* 1009643 */   GIM_Try, /*On fail goto*//*Label 15003*/ GIMT_Encode4(1009720), // Rule ID 12739 //
     /* 1009648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1009659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1009662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1009665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1009668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009687 */     // MIs[0] policy
     /* 1009687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009697 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1009716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009719 */     // GIR_Coverage, 12739,
     /* 1009719 */     GIR_EraseRootFromParent_Done,
     /* 1009720 */   // Label 15003: @1009720
     /* 1009720 */   GIM_Try, /*On fail goto*//*Label 15004*/ GIMT_Encode4(1009797), // Rule ID 12742 //
     /* 1009725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1009745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009764 */     // MIs[0] policy
     /* 1009764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009774 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009796 */     // GIR_Coverage, 12742,
     /* 1009796 */     GIR_EraseRootFromParent_Done,
     /* 1009797 */   // Label 15004: @1009797
     /* 1009797 */   GIM_Try, /*On fail goto*//*Label 15005*/ GIMT_Encode4(1009874), // Rule ID 12743 //
     /* 1009802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1009813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1009816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1009819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1009822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009841 */     // MIs[0] policy
     /* 1009841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009851 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1009851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2),
     /* 1009854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1009870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009873 */     // GIR_Coverage, 12743,
     /* 1009873 */     GIR_EraseRootFromParent_Done,
     /* 1009874 */   // Label 15005: @1009874
     /* 1009874 */   GIM_Try, /*On fail goto*//*Label 15006*/ GIMT_Encode4(1009951), // Rule ID 12746 //
     /* 1009879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1009882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1009899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1009902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009918 */     // MIs[0] policy
     /* 1009918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1009928 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1009928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1009931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1009933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1009935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1009937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1009939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1009944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1009947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1009949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1009950 */     // GIR_Coverage, 12746,
     /* 1009950 */     GIR_EraseRootFromParent_Done,
     /* 1009951 */   // Label 15006: @1009951
     /* 1009951 */   GIM_Try, /*On fail goto*//*Label 15007*/ GIMT_Encode4(1010028), // Rule ID 12747 //
     /* 1009956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1009959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1009964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1009967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1009970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1009973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1009976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1009979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1009995 */     // MIs[0] policy
     /* 1009995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1009998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010005 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1010008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010027 */     // GIR_Coverage, 12747,
     /* 1010027 */     GIR_EraseRootFromParent_Done,
     /* 1010028 */   // Label 15007: @1010028
     /* 1010028 */   GIM_Try, /*On fail goto*//*Label 15008*/ GIMT_Encode4(1010105), // Rule ID 12750 //
     /* 1010033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1010044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1010047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1010050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1010053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010072 */     // MIs[0] policy
     /* 1010072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1010085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010104 */     // GIR_Coverage, 12750,
     /* 1010104 */     GIR_EraseRootFromParent_Done,
     /* 1010105 */   // Label 15008: @1010105
     /* 1010105 */   GIM_Try, /*On fail goto*//*Label 15009*/ GIMT_Encode4(1010182), // Rule ID 12751 //
     /* 1010110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1010121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1010124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1010127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1010130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010149 */     // MIs[0] policy
     /* 1010149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010159 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1010162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1010178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010181 */     // GIR_Coverage, 12751,
     /* 1010181 */     GIR_EraseRootFromParent_Done,
     /* 1010182 */   // Label 15009: @1010182
     /* 1010182 */   GIM_Try, /*On fail goto*//*Label 15010*/ GIMT_Encode4(1010259), // Rule ID 12754 //
     /* 1010187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1010198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1010201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1010204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1010207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010226 */     // MIs[0] policy
     /* 1010226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1010239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010258 */     // GIR_Coverage, 12754,
     /* 1010258 */     GIR_EraseRootFromParent_Done,
     /* 1010259 */   // Label 15010: @1010259
     /* 1010259 */   GIM_Try, /*On fail goto*//*Label 15011*/ GIMT_Encode4(1010336), // Rule ID 12755 //
     /* 1010264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1010275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1010278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1010281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1010284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010303 */     // MIs[0] policy
     /* 1010303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010313 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1010316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1010332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010335 */     // GIR_Coverage, 12755,
     /* 1010335 */     GIR_EraseRootFromParent_Done,
     /* 1010336 */   // Label 15011: @1010336
     /* 1010336 */   GIM_Try, /*On fail goto*//*Label 15012*/ GIMT_Encode4(1010413), // Rule ID 12758 //
     /* 1010341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1010344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1010352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1010355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1010358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1010361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010380 */     // MIs[0] policy
     /* 1010380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010390 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1010393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010412 */     // GIR_Coverage, 12758,
     /* 1010412 */     GIR_EraseRootFromParent_Done,
     /* 1010413 */   // Label 15012: @1010413
     /* 1010413 */   GIM_Try, /*On fail goto*//*Label 15013*/ GIMT_Encode4(1010490), // Rule ID 12759 //
     /* 1010418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1010421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1010429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1010432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1010435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1010438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1010457 */     // MIs[0] policy
     /* 1010457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010467 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1),
     /* 1010470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1010486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010489 */     // GIR_Coverage, 12759,
     /* 1010489 */     GIR_EraseRootFromParent_Done,
     /* 1010490 */   // Label 15013: @1010490
     /* 1010490 */   GIM_Try, /*On fail goto*//*Label 15014*/ GIMT_Encode4(1010567), // Rule ID 12762 //
     /* 1010495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1010506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1010509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1010512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1010515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010534 */     // MIs[0] policy
     /* 1010534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010544 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010566 */     // GIR_Coverage, 12762,
     /* 1010566 */     GIR_EraseRootFromParent_Done,
     /* 1010567 */   // Label 15014: @1010567
     /* 1010567 */   GIM_Try, /*On fail goto*//*Label 15015*/ GIMT_Encode4(1010644), // Rule ID 12763 //
     /* 1010572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1010583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1010586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1010589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1010592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010611 */     // MIs[0] policy
     /* 1010611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010621 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1010624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010643 */     // GIR_Coverage, 12763,
     /* 1010643 */     GIR_EraseRootFromParent_Done,
     /* 1010644 */   // Label 15015: @1010644
     /* 1010644 */   GIM_Try, /*On fail goto*//*Label 15016*/ GIMT_Encode4(1010721), // Rule ID 12766 //
     /* 1010649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1010660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1010663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1010666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1010669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010688 */     // MIs[0] policy
     /* 1010688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010698 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010720 */     // GIR_Coverage, 12766,
     /* 1010720 */     GIR_EraseRootFromParent_Done,
     /* 1010721 */   // Label 15016: @1010721
     /* 1010721 */   GIM_Try, /*On fail goto*//*Label 15017*/ GIMT_Encode4(1010798), // Rule ID 12767 //
     /* 1010726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1010737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1010740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1010743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1010746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1010765 */     // MIs[0] policy
     /* 1010765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010775 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1010778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010797 */     // GIR_Coverage, 12767,
     /* 1010797 */     GIR_EraseRootFromParent_Done,
     /* 1010798 */   // Label 15017: @1010798
     /* 1010798 */   GIM_Try, /*On fail goto*//*Label 15018*/ GIMT_Encode4(1010875), // Rule ID 12770 //
     /* 1010803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1010820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1010823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010842 */     // MIs[0] policy
     /* 1010842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010852 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1010852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010874 */     // GIR_Coverage, 12770,
     /* 1010874 */     GIR_EraseRootFromParent_Done,
     /* 1010875 */   // Label 15018: @1010875
     /* 1010875 */   GIM_Try, /*On fail goto*//*Label 15019*/ GIMT_Encode4(1010952), // Rule ID 12771 //
     /* 1010880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1010883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1010891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1010894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1010897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1010900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1010903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1010919 */     // MIs[0] policy
     /* 1010919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1010929 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1010929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1010932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1010934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1010936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1010938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1010940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1010945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1010948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1010950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1010951 */     // GIR_Coverage, 12771,
     /* 1010951 */     GIR_EraseRootFromParent_Done,
     /* 1010952 */   // Label 15019: @1010952
     /* 1010952 */   GIM_Try, /*On fail goto*//*Label 15020*/ GIMT_Encode4(1011029), // Rule ID 12774 //
     /* 1010957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1010960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1010965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1010968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1010971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1010974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1010977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1010980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1010996 */     // MIs[0] policy
     /* 1010996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1010999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011028 */     // GIR_Coverage, 12774,
     /* 1011028 */     GIR_EraseRootFromParent_Done,
     /* 1011029 */   // Label 15020: @1011029
     /* 1011029 */   GIM_Try, /*On fail goto*//*Label 15021*/ GIMT_Encode4(1011106), // Rule ID 12775 //
     /* 1011034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1011045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1011048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1011051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1011054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011073 */     // MIs[0] policy
     /* 1011073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011083 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011105 */     // GIR_Coverage, 12775,
     /* 1011105 */     GIR_EraseRootFromParent_Done,
     /* 1011106 */   // Label 15021: @1011106
     /* 1011106 */   GIM_Try, /*On fail goto*//*Label 15022*/ GIMT_Encode4(1011183), // Rule ID 12778 //
     /* 1011111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1011122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1011125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1011128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1011131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011150 */     // MIs[0] policy
     /* 1011150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011160 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011182 */     // GIR_Coverage, 12778,
     /* 1011182 */     GIR_EraseRootFromParent_Done,
     /* 1011183 */   // Label 15022: @1011183
     /* 1011183 */   GIM_Try, /*On fail goto*//*Label 15023*/ GIMT_Encode4(1011260), // Rule ID 12779 //
     /* 1011188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1011199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1011202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1011205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1011208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011227 */     // MIs[0] policy
     /* 1011227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011237 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011259 */     // GIR_Coverage, 12779,
     /* 1011259 */     GIR_EraseRootFromParent_Done,
     /* 1011260 */   // Label 15023: @1011260
     /* 1011260 */   GIM_Try, /*On fail goto*//*Label 15024*/ GIMT_Encode4(1011337), // Rule ID 12782 //
     /* 1011265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1011276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1011279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1011282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1011285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011304 */     // MIs[0] policy
     /* 1011304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011336 */     // GIR_Coverage, 12782,
     /* 1011336 */     GIR_EraseRootFromParent_Done,
     /* 1011337 */   // Label 15024: @1011337
     /* 1011337 */   GIM_Try, /*On fail goto*//*Label 15025*/ GIMT_Encode4(1011414), // Rule ID 12783 //
     /* 1011342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1011353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1011356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1011359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1011362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011381 */     // MIs[0] policy
     /* 1011381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011391 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1011410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011413 */     // GIR_Coverage, 12783,
     /* 1011413 */     GIR_EraseRootFromParent_Done,
     /* 1011414 */   // Label 15025: @1011414
     /* 1011414 */   GIM_Try, /*On fail goto*//*Label 15026*/ GIMT_Encode4(1011491), // Rule ID 12786 //
     /* 1011419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1011430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1011433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1011436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1011439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011458 */     // MIs[0] policy
     /* 1011458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011468 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011490 */     // GIR_Coverage, 12786,
     /* 1011490 */     GIR_EraseRootFromParent_Done,
     /* 1011491 */   // Label 15026: @1011491
     /* 1011491 */   GIM_Try, /*On fail goto*//*Label 15027*/ GIMT_Encode4(1011568), // Rule ID 12787 //
     /* 1011496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1011507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1011510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1011513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1011516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011535 */     // MIs[0] policy
     /* 1011535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011545 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011567 */     // GIR_Coverage, 12787,
     /* 1011567 */     GIR_EraseRootFromParent_Done,
     /* 1011568 */   // Label 15027: @1011568
     /* 1011568 */   GIM_Try, /*On fail goto*//*Label 15028*/ GIMT_Encode4(1011645), // Rule ID 12790 //
     /* 1011573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1011593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011612 */     // MIs[0] policy
     /* 1011612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011644 */     // GIR_Coverage, 12790,
     /* 1011644 */     GIR_EraseRootFromParent_Done,
     /* 1011645 */   // Label 15028: @1011645
     /* 1011645 */   GIM_Try, /*On fail goto*//*Label 15029*/ GIMT_Encode4(1011722), // Rule ID 12791 //
     /* 1011650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1011661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1011664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1011667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1011670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1011689 */     // MIs[0] policy
     /* 1011689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011699 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1011702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011721 */     // GIR_Coverage, 12791,
     /* 1011721 */     GIR_EraseRootFromParent_Done,
     /* 1011722 */   // Label 15029: @1011722
     /* 1011722 */   GIM_Try, /*On fail goto*//*Label 15030*/ GIMT_Encode4(1011799), // Rule ID 12794 //
     /* 1011727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1011730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1011747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011766 */     // MIs[0] policy
     /* 1011766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011776 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011798 */     // GIR_Coverage, 12794,
     /* 1011798 */     GIR_EraseRootFromParent_Done,
     /* 1011799 */   // Label 15030: @1011799
     /* 1011799 */   GIM_Try, /*On fail goto*//*Label 15031*/ GIMT_Encode4(1011876), // Rule ID 12795 //
     /* 1011804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1011807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1011815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1011818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1011821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1011824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1011843 */     // MIs[0] policy
     /* 1011843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011853 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1011853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1011856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1011872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011875 */     // GIR_Coverage, 12795,
     /* 1011875 */     GIR_EraseRootFromParent_Done,
     /* 1011876 */   // Label 15031: @1011876
     /* 1011876 */   GIM_Try, /*On fail goto*//*Label 15032*/ GIMT_Encode4(1011953), // Rule ID 12798 //
     /* 1011881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1011884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1011901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1011904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011920 */     // MIs[0] policy
     /* 1011920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1011923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1011930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1011930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1011933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1011935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1011937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1011939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1011941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1011946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1011949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1011951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1011952 */     // GIR_Coverage, 12798,
     /* 1011952 */     GIR_EraseRootFromParent_Done,
     /* 1011953 */   // Label 15032: @1011953
     /* 1011953 */   GIM_Try, /*On fail goto*//*Label 15033*/ GIMT_Encode4(1012030), // Rule ID 12799 //
     /* 1011958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1011961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1011966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1011969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1011972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1011975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1011978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1011981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1011997 */     // MIs[0] policy
     /* 1011997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012007 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2),
     /* 1012010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012029 */     // GIR_Coverage, 12799,
     /* 1012029 */     GIR_EraseRootFromParent_Done,
     /* 1012030 */   // Label 15033: @1012030
     /* 1012030 */   GIM_Try, /*On fail goto*//*Label 15034*/ GIMT_Encode4(1012107), // Rule ID 12802 //
     /* 1012035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1012046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1012049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1012052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1012055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012074 */     // MIs[0] policy
     /* 1012074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1012087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012106 */     // GIR_Coverage, 12802,
     /* 1012106 */     GIR_EraseRootFromParent_Done,
     /* 1012107 */   // Label 15034: @1012107
     /* 1012107 */   GIM_Try, /*On fail goto*//*Label 15035*/ GIMT_Encode4(1012184), // Rule ID 12803 //
     /* 1012112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1012115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1012123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1012126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1012129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1012132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1012151 */     // MIs[0] policy
     /* 1012151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012161 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4),
     /* 1012164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012183 */     // GIR_Coverage, 12803,
     /* 1012183 */     GIR_EraseRootFromParent_Done,
     /* 1012184 */   // Label 15035: @1012184
     /* 1012184 */   GIM_Try, /*On fail goto*//*Label 15036*/ GIMT_Encode4(1012261), // Rule ID 12806 //
     /* 1012189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1012192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1012200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1012203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1012206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1012209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012228 */     // MIs[0] policy
     /* 1012228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012238 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1012241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012260 */     // GIR_Coverage, 12806,
     /* 1012260 */     GIR_EraseRootFromParent_Done,
     /* 1012261 */   // Label 15036: @1012261
     /* 1012261 */   GIM_Try, /*On fail goto*//*Label 15037*/ GIMT_Encode4(1012338), // Rule ID 12807 //
     /* 1012266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1012269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1012277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1012280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1012283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1012286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1012305 */     // MIs[0] policy
     /* 1012305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012315 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8),
     /* 1012318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1012334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012337 */     // GIR_Coverage, 12807,
     /* 1012337 */     GIR_EraseRootFromParent_Done,
     /* 1012338 */   // Label 15037: @1012338
     /* 1012338 */   GIM_Try, /*On fail goto*//*Label 15038*/ GIMT_Encode4(1012415), // Rule ID 12810 //
     /* 1012343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1012354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1012357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1012363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012382 */     // MIs[0] policy
     /* 1012382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012392 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1012395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012414 */     // GIR_Coverage, 12810,
     /* 1012414 */     GIR_EraseRootFromParent_Done,
     /* 1012415 */   // Label 15038: @1012415
     /* 1012415 */   GIM_Try, /*On fail goto*//*Label 15039*/ GIMT_Encode4(1012492), // Rule ID 12811 //
     /* 1012420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1012431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1012434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1012440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012459 */     // MIs[0] policy
     /* 1012459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012469 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8),
     /* 1012472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012491 */     // GIR_Coverage, 12811,
     /* 1012491 */     GIR_EraseRootFromParent_Done,
     /* 1012492 */   // Label 15039: @1012492
     /* 1012492 */   GIM_Try, /*On fail goto*//*Label 15040*/ GIMT_Encode4(1012569), // Rule ID 12814 //
     /* 1012497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1012508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1012511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1012517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012536 */     // MIs[0] policy
     /* 1012536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012546 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012568 */     // GIR_Coverage, 12814,
     /* 1012568 */     GIR_EraseRootFromParent_Done,
     /* 1012569 */   // Label 15040: @1012569
     /* 1012569 */   GIM_Try, /*On fail goto*//*Label 15041*/ GIMT_Encode4(1012646), // Rule ID 12815 //
     /* 1012574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1012585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1012588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1012594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012613 */     // MIs[0] policy
     /* 1012613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012623 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012645 */     // GIR_Coverage, 12815,
     /* 1012645 */     GIR_EraseRootFromParent_Done,
     /* 1012646 */   // Label 15041: @1012646
     /* 1012646 */   GIM_Try, /*On fail goto*//*Label 15042*/ GIMT_Encode4(1012723), // Rule ID 12818 //
     /* 1012651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1012662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1012665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1012671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012690 */     // MIs[0] policy
     /* 1012690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012722 */     // GIR_Coverage, 12818,
     /* 1012722 */     GIR_EraseRootFromParent_Done,
     /* 1012723 */   // Label 15042: @1012723
     /* 1012723 */   GIM_Try, /*On fail goto*//*Label 15043*/ GIMT_Encode4(1012800), // Rule ID 12819 //
     /* 1012728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1012739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1012742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1012748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012767 */     // MIs[0] policy
     /* 1012767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012777 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1012780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1012796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012799 */     // GIR_Coverage, 12819,
     /* 1012799 */     GIR_EraseRootFromParent_Done,
     /* 1012800 */   // Label 15043: @1012800
     /* 1012800 */   GIM_Try, /*On fail goto*//*Label 15044*/ GIMT_Encode4(1012877), // Rule ID 12822 //
     /* 1012805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1012825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012844 */     // MIs[0] policy
     /* 1012844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012854 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1012854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012876 */     // GIR_Coverage, 12822,
     /* 1012876 */     GIR_EraseRootFromParent_Done,
     /* 1012877 */   // Label 15044: @1012877
     /* 1012877 */   GIM_Try, /*On fail goto*//*Label 15045*/ GIMT_Encode4(1012954), // Rule ID 12823 //
     /* 1012882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1012885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1012893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1012896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1012899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1012902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1012905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012921 */     // MIs[0] policy
     /* 1012921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1012924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1012931 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1012931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4),
     /* 1012934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1012936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1012938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1012940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1012942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1012947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1012950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1012952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1012953 */     // GIR_Coverage, 12823,
     /* 1012953 */     GIR_EraseRootFromParent_Done,
     /* 1012954 */   // Label 15045: @1012954
     /* 1012954 */   GIM_Try, /*On fail goto*//*Label 15046*/ GIMT_Encode4(1013031), // Rule ID 12826 //
     /* 1012959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1012962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1012967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1012970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1012973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1012976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1012979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1012982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1012994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1012998 */     // MIs[0] policy
     /* 1012998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013008 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1013011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013030 */     // GIR_Coverage, 12826,
     /* 1013030 */     GIR_EraseRootFromParent_Done,
     /* 1013031 */   // Label 15046: @1013031
     /* 1013031 */   GIM_Try, /*On fail goto*//*Label 15047*/ GIMT_Encode4(1013108), // Rule ID 12827 //
     /* 1013036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1013047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1013050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1013056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013075 */     // MIs[0] policy
     /* 1013075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013085 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1013088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013107 */     // GIR_Coverage, 12827,
     /* 1013107 */     GIR_EraseRootFromParent_Done,
     /* 1013108 */   // Label 15047: @1013108
     /* 1013108 */   GIM_Try, /*On fail goto*//*Label 15048*/ GIMT_Encode4(1013185), // Rule ID 12830 //
     /* 1013113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1013124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1013127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1013133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013152 */     // MIs[0] policy
     /* 1013152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1013165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013184 */     // GIR_Coverage, 12830,
     /* 1013184 */     GIR_EraseRootFromParent_Done,
     /* 1013185 */   // Label 15048: @1013185
     /* 1013185 */   GIM_Try, /*On fail goto*//*Label 15049*/ GIMT_Encode4(1013262), // Rule ID 12831 //
     /* 1013190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1013201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1013204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1013210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013229 */     // MIs[0] policy
     /* 1013229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013239 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2),
     /* 1013242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013261 */     // GIR_Coverage, 12831,
     /* 1013261 */     GIR_EraseRootFromParent_Done,
     /* 1013262 */   // Label 15049: @1013262
     /* 1013262 */   GIM_Try, /*On fail goto*//*Label 15050*/ GIMT_Encode4(1013339), // Rule ID 12834 //
     /* 1013267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1013278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1013281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1013287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013306 */     // MIs[0] policy
     /* 1013306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013316 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013338 */     // GIR_Coverage, 12834,
     /* 1013338 */     GIR_EraseRootFromParent_Done,
     /* 1013339 */   // Label 15050: @1013339
     /* 1013339 */   GIM_Try, /*On fail goto*//*Label 15051*/ GIMT_Encode4(1013416), // Rule ID 12835 //
     /* 1013344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1013355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1013358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1013364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013383 */     // MIs[0] policy
     /* 1013383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013393 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11410:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013415 */     // GIR_Coverage, 12835,
     /* 1013415 */     GIR_EraseRootFromParent_Done,
     /* 1013416 */   // Label 15051: @1013416
     /* 1013416 */   GIM_Try, /*On fail goto*//*Label 15052*/ GIMT_Encode4(1013493), // Rule ID 12838 //
     /* 1013421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1013432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1013435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1013441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013460 */     // MIs[0] policy
     /* 1013460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013492 */     // GIR_Coverage, 12838,
     /* 1013492 */     GIR_EraseRootFromParent_Done,
     /* 1013493 */   // Label 15052: @1013493
     /* 1013493 */   GIM_Try, /*On fail goto*//*Label 15053*/ GIMT_Encode4(1013570), // Rule ID 12839 //
     /* 1013498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1013509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1013512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1013518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013537 */     // MIs[0] policy
     /* 1013537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11410:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1013566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013569 */     // GIR_Coverage, 12839,
     /* 1013569 */     GIR_EraseRootFromParent_Done,
     /* 1013570 */   // Label 15053: @1013570
     /* 1013570 */   GIM_Try, /*On fail goto*//*Label 15054*/ GIMT_Encode4(1013647), // Rule ID 12842 //
     /* 1013575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013614 */     // MIs[0] policy
     /* 1013614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013624 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013646 */     // GIR_Coverage, 12842,
     /* 1013646 */     GIR_EraseRootFromParent_Done,
     /* 1013647 */   // Label 15054: @1013647
     /* 1013647 */   GIM_Try, /*On fail goto*//*Label 15055*/ GIMT_Encode4(1013724), // Rule ID 12843 //
     /* 1013652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1013663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1013666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1013672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013691 */     // MIs[0] policy
     /* 1013691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013701 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11410:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1013720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013723 */     // GIR_Coverage, 12843,
     /* 1013723 */     GIR_EraseRootFromParent_Done,
     /* 1013724 */   // Label 15055: @1013724
     /* 1013724 */   GIM_Try, /*On fail goto*//*Label 15056*/ GIMT_Encode4(1013801), // Rule ID 12846 //
     /* 1013729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1013732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1013749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013768 */     // MIs[0] policy
     /* 1013768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013800 */     // GIR_Coverage, 12846,
     /* 1013800 */     GIR_EraseRootFromParent_Done,
     /* 1013801 */   // Label 15056: @1013801
     /* 1013801 */   GIM_Try, /*On fail goto*//*Label 15057*/ GIMT_Encode4(1013878), // Rule ID 12847 //
     /* 1013806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1013809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1013817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1013820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1013826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1013845 */     // MIs[0] policy
     /* 1013845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013855 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11410:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1013855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1),
     /* 1013858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1013874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013877 */     // GIR_Coverage, 12847,
     /* 1013877 */     GIR_EraseRootFromParent_Done,
     /* 1013878 */   // Label 15057: @1013878
     /* 1013878 */   GIM_Try, /*On fail goto*//*Label 15058*/ GIMT_Encode4(1013955), // Rule ID 12850 //
     /* 1013883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1013886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1013900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1013903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1013906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013922 */     // MIs[0] policy
     /* 1013922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1013925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1013932 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1013932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1013935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1013937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1013939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1013941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1013943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1013948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1013951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1013953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1013954 */     // GIR_Coverage, 12850,
     /* 1013954 */     GIR_EraseRootFromParent_Done,
     /* 1013955 */   // Label 15058: @1013955
     /* 1013955 */   GIM_Try, /*On fail goto*//*Label 15059*/ GIMT_Encode4(1014032), // Rule ID 12851 //
     /* 1013960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1013963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1013968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1013971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1013974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1013977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1013980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1013983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1013995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1013999 */     // MIs[0] policy
     /* 1013999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014009 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014031 */     // GIR_Coverage, 12851,
     /* 1014031 */     GIR_EraseRootFromParent_Done,
     /* 1014032 */   // Label 15059: @1014032
     /* 1014032 */   GIM_Try, /*On fail goto*//*Label 15060*/ GIMT_Encode4(1014109), // Rule ID 12854 //
     /* 1014037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1014048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1014051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1014057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014076 */     // MIs[0] policy
     /* 1014076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014108 */     // GIR_Coverage, 12854,
     /* 1014108 */     GIR_EraseRootFromParent_Done,
     /* 1014109 */   // Label 15060: @1014109
     /* 1014109 */   GIM_Try, /*On fail goto*//*Label 15061*/ GIMT_Encode4(1014186), // Rule ID 12855 //
     /* 1014114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1014125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1014128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1014134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014153 */     // MIs[0] policy
     /* 1014153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014163 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014185 */     // GIR_Coverage, 12855,
     /* 1014185 */     GIR_EraseRootFromParent_Done,
     /* 1014186 */   // Label 15061: @1014186
     /* 1014186 */   GIM_Try, /*On fail goto*//*Label 15062*/ GIMT_Encode4(1014263), // Rule ID 12858 //
     /* 1014191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1014202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1014205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1014211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014230 */     // MIs[0] policy
     /* 1014230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014240 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014262 */     // GIR_Coverage, 12858,
     /* 1014262 */     GIR_EraseRootFromParent_Done,
     /* 1014263 */   // Label 15062: @1014263
     /* 1014263 */   GIM_Try, /*On fail goto*//*Label 15063*/ GIMT_Encode4(1014340), // Rule ID 12859 //
     /* 1014268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1014279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1014282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1014288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014307 */     // MIs[0] policy
     /* 1014307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014317 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1014336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014339 */     // GIR_Coverage, 12859,
     /* 1014339 */     GIR_EraseRootFromParent_Done,
     /* 1014340 */   // Label 15063: @1014340
     /* 1014340 */   GIM_Try, /*On fail goto*//*Label 15064*/ GIMT_Encode4(1014417), // Rule ID 12862 //
     /* 1014345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1014356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1014359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1014365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014384 */     // MIs[0] policy
     /* 1014384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014394 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014416 */     // GIR_Coverage, 12862,
     /* 1014416 */     GIR_EraseRootFromParent_Done,
     /* 1014417 */   // Label 15064: @1014417
     /* 1014417 */   GIM_Try, /*On fail goto*//*Label 15065*/ GIMT_Encode4(1014494), // Rule ID 12863 //
     /* 1014422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1014433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1014436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1014442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014461 */     // MIs[0] policy
     /* 1014461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014471 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014493 */     // GIR_Coverage, 12863,
     /* 1014493 */     GIR_EraseRootFromParent_Done,
     /* 1014494 */   // Label 15065: @1014494
     /* 1014494 */   GIM_Try, /*On fail goto*//*Label 15066*/ GIMT_Encode4(1014571), // Rule ID 12866 //
     /* 1014499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1014510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1014513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1014519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014538 */     // MIs[0] policy
     /* 1014538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014548 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014570 */     // GIR_Coverage, 12866,
     /* 1014570 */     GIR_EraseRootFromParent_Done,
     /* 1014571 */   // Label 15066: @1014571
     /* 1014571 */   GIM_Try, /*On fail goto*//*Label 15067*/ GIMT_Encode4(1014648), // Rule ID 12867 //
     /* 1014576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1014587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1014590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1014596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014615 */     // MIs[0] policy
     /* 1014615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014625 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1014628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014647 */     // GIR_Coverage, 12867,
     /* 1014647 */     GIR_EraseRootFromParent_Done,
     /* 1014648 */   // Label 15067: @1014648
     /* 1014648 */   GIM_Try, /*On fail goto*//*Label 15068*/ GIMT_Encode4(1014725), // Rule ID 12870 //
     /* 1014653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1014664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1014667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1014673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014692 */     // MIs[0] policy
     /* 1014692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014702 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014724 */     // GIR_Coverage, 12870,
     /* 1014724 */     GIR_EraseRootFromParent_Done,
     /* 1014725 */   // Label 15068: @1014725
     /* 1014725 */   GIM_Try, /*On fail goto*//*Label 15069*/ GIMT_Encode4(1014802), // Rule ID 12871 //
     /* 1014730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1014741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1014744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1014750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1014769 */     // MIs[0] policy
     /* 1014769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014779 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1014782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1014798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014801 */     // GIR_Coverage, 12871,
     /* 1014801 */     GIR_EraseRootFromParent_Done,
     /* 1014802 */   // Label 15069: @1014802
     /* 1014802 */   GIM_Try, /*On fail goto*//*Label 15070*/ GIMT_Encode4(1014879), // Rule ID 12874 //
     /* 1014807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014846 */     // MIs[0] policy
     /* 1014846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014856 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1014856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014878 */     // GIR_Coverage, 12874,
     /* 1014878 */     GIR_EraseRootFromParent_Done,
     /* 1014879 */   // Label 15070: @1014879
     /* 1014879 */   GIM_Try, /*On fail goto*//*Label 15071*/ GIMT_Encode4(1014956), // Rule ID 12875 //
     /* 1014884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1014887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1014895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1014898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1014901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1014904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1014907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1014923 */     // MIs[0] policy
     /* 1014923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1014926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1014933 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1014933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1014936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1014938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1014940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1014942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1014944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1014949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1014952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1014954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1014955 */     // GIR_Coverage, 12875,
     /* 1014955 */     GIR_EraseRootFromParent_Done,
     /* 1014956 */   // Label 15071: @1014956
     /* 1014956 */   GIM_Try, /*On fail goto*//*Label 15072*/ GIMT_Encode4(1015033), // Rule ID 12878 //
     /* 1014961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1014964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1014969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1014972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1014975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1014978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1014981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1014984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1014992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1014996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015000 */     // MIs[0] policy
     /* 1015000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015010 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1015013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015032 */     // GIR_Coverage, 12878,
     /* 1015032 */     GIR_EraseRootFromParent_Done,
     /* 1015033 */   // Label 15072: @1015033
     /* 1015033 */   GIM_Try, /*On fail goto*//*Label 15073*/ GIMT_Encode4(1015110), // Rule ID 12879 //
     /* 1015038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1015049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1015052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1015058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015077 */     // MIs[0] policy
     /* 1015077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015087 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1015090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015109 */     // GIR_Coverage, 12879,
     /* 1015109 */     GIR_EraseRootFromParent_Done,
     /* 1015110 */   // Label 15073: @1015110
     /* 1015110 */   GIM_Try, /*On fail goto*//*Label 15074*/ GIMT_Encode4(1015187), // Rule ID 12882 //
     /* 1015115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1015126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1015129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1015135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015154 */     // MIs[0] policy
     /* 1015154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015164 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1015167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015186 */     // GIR_Coverage, 12882,
     /* 1015186 */     GIR_EraseRootFromParent_Done,
     /* 1015187 */   // Label 15074: @1015187
     /* 1015187 */   GIM_Try, /*On fail goto*//*Label 15075*/ GIMT_Encode4(1015264), // Rule ID 12883 //
     /* 1015192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1015203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1015206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1015212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015231 */     // MIs[0] policy
     /* 1015231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015241 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1015244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1015260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015263 */     // GIR_Coverage, 12883,
     /* 1015263 */     GIR_EraseRootFromParent_Done,
     /* 1015264 */   // Label 15075: @1015264
     /* 1015264 */   GIM_Try, /*On fail goto*//*Label 15076*/ GIMT_Encode4(1015341), // Rule ID 12886 //
     /* 1015269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1015280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1015283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1015289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015308 */     // MIs[0] policy
     /* 1015308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015318 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1015321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015340 */     // GIR_Coverage, 12886,
     /* 1015340 */     GIR_EraseRootFromParent_Done,
     /* 1015341 */   // Label 15076: @1015341
     /* 1015341 */   GIM_Try, /*On fail goto*//*Label 15077*/ GIMT_Encode4(1015418), // Rule ID 12887 //
     /* 1015346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1015357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1015360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1015366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1015385 */     // MIs[0] policy
     /* 1015385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015395 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11410:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2),
     /* 1015398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015417 */     // GIR_Coverage, 12887,
     /* 1015417 */     GIR_EraseRootFromParent_Done,
     /* 1015418 */   // Label 15077: @1015418
     /* 1015418 */   GIM_Try, /*On fail goto*//*Label 15078*/ GIMT_Encode4(1015495), // Rule ID 12890 //
     /* 1015423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1015443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015462 */     // MIs[0] policy
     /* 1015462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015472 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1015475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015494 */     // GIR_Coverage, 12890,
     /* 1015494 */     GIR_EraseRootFromParent_Done,
     /* 1015495 */   // Label 15078: @1015495
     /* 1015495 */   GIM_Try, /*On fail goto*//*Label 15079*/ GIMT_Encode4(1015572), // Rule ID 12891 //
     /* 1015500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1015511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1015514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1015520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1015539 */     // MIs[0] policy
     /* 1015539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015549 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11410:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4),
     /* 1015552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015571 */     // GIR_Coverage, 12891,
     /* 1015571 */     GIR_EraseRootFromParent_Done,
     /* 1015572 */   // Label 15079: @1015572
     /* 1015572 */   GIM_Try, /*On fail goto*//*Label 15080*/ GIMT_Encode4(1015649), // Rule ID 12894 //
     /* 1015577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1015580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1015591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1015594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1015597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015616 */     // MIs[0] policy
     /* 1015616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1015629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015648 */     // GIR_Coverage, 12894,
     /* 1015648 */     GIR_EraseRootFromParent_Done,
     /* 1015649 */   // Label 15080: @1015649
     /* 1015649 */   GIM_Try, /*On fail goto*//*Label 15081*/ GIMT_Encode4(1015726), // Rule ID 12895 //
     /* 1015654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1015657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd),
     /* 1015662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1015665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1015668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1015671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1015674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1015689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1015693 */     // MIs[0] policy
     /* 1015693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015703 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11410:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8),
     /* 1015706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1015722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015725 */     // GIR_Coverage, 12895,
     /* 1015725 */     GIR_EraseRootFromParent_Done,
     /* 1015726 */   // Label 15081: @1015726
     /* 1015726 */   GIM_Try, /*On fail goto*//*Label 15082*/ GIMT_Encode4(1015803), // Rule ID 12898 //
     /* 1015731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1015742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1015745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1015748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1015751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015770 */     // MIs[0] policy
     /* 1015770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015780 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1015783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015802 */     // GIR_Coverage, 12898,
     /* 1015802 */     GIR_EraseRootFromParent_Done,
     /* 1015803 */   // Label 15082: @1015803
     /* 1015803 */   GIM_Try, /*On fail goto*//*Label 15083*/ GIMT_Encode4(1015880), // Rule ID 12899 //
     /* 1015808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1015819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1015822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1015825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1015828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015847 */     // MIs[0] policy
     /* 1015847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015857 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1015857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8),
     /* 1015860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015879 */     // GIR_Coverage, 12899,
     /* 1015879 */     GIR_EraseRootFromParent_Done,
     /* 1015880 */   // Label 15083: @1015880
     /* 1015880 */   GIM_Try, /*On fail goto*//*Label 15084*/ GIMT_Encode4(1015957), // Rule ID 12902 //
     /* 1015885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1015888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1015896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1015899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1015902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1015905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1015908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015924 */     // MIs[0] policy
     /* 1015924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1015927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1015934 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1015934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1015937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1015939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1015941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1015943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1015945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1015950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1015953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1015955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1015956 */     // GIR_Coverage, 12902,
     /* 1015956 */     GIR_EraseRootFromParent_Done,
     /* 1015957 */   // Label 15084: @1015957
     /* 1015957 */   GIM_Try, /*On fail goto*//*Label 15085*/ GIMT_Encode4(1016034), // Rule ID 12903 //
     /* 1015962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1015965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1015970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1015973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1015976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1015979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1015982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1015985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1015997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016001 */     // MIs[0] policy
     /* 1016001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016011 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1016014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016033 */     // GIR_Coverage, 12903,
     /* 1016033 */     GIR_EraseRootFromParent_Done,
     /* 1016034 */   // Label 15085: @1016034
     /* 1016034 */   GIM_Try, /*On fail goto*//*Label 15086*/ GIMT_Encode4(1016111), // Rule ID 12906 //
     /* 1016039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1016050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1016053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1016056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1016059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016078 */     // MIs[0] policy
     /* 1016078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016088 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016110 */     // GIR_Coverage, 12906,
     /* 1016110 */     GIR_EraseRootFromParent_Done,
     /* 1016111 */   // Label 15086: @1016111
     /* 1016111 */   GIM_Try, /*On fail goto*//*Label 15087*/ GIMT_Encode4(1016188), // Rule ID 12907 //
     /* 1016116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1016127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1016130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1016133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1016136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016155 */     // MIs[0] policy
     /* 1016155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016165 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016187 */     // GIR_Coverage, 12907,
     /* 1016187 */     GIR_EraseRootFromParent_Done,
     /* 1016188 */   // Label 15087: @1016188
     /* 1016188 */   GIM_Try, /*On fail goto*//*Label 15088*/ GIMT_Encode4(1016265), // Rule ID 12910 //
     /* 1016193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1016204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1016207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1016210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1016213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016232 */     // MIs[0] policy
     /* 1016232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016242 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1016245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016264 */     // GIR_Coverage, 12910,
     /* 1016264 */     GIR_EraseRootFromParent_Done,
     /* 1016265 */   // Label 15088: @1016265
     /* 1016265 */   GIM_Try, /*On fail goto*//*Label 15089*/ GIMT_Encode4(1016342), // Rule ID 12911 //
     /* 1016270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1016281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1016284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1016287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1016290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016309 */     // MIs[0] policy
     /* 1016309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4),
     /* 1016322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016341 */     // GIR_Coverage, 12911,
     /* 1016341 */     GIR_EraseRootFromParent_Done,
     /* 1016342 */   // Label 15089: @1016342
     /* 1016342 */   GIM_Try, /*On fail goto*//*Label 15090*/ GIMT_Encode4(1016419), // Rule ID 12914 //
     /* 1016347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1016358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1016361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1016364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1016367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016386 */     // MIs[0] policy
     /* 1016386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016396 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016418 */     // GIR_Coverage, 12914,
     /* 1016418 */     GIR_EraseRootFromParent_Done,
     /* 1016419 */   // Label 15090: @1016419
     /* 1016419 */   GIM_Try, /*On fail goto*//*Label 15091*/ GIMT_Encode4(1016496), // Rule ID 12915 //
     /* 1016424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1016435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1016438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1016441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1016444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016463 */     // MIs[0] policy
     /* 1016463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016473 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016495 */     // GIR_Coverage, 12915,
     /* 1016495 */     GIR_EraseRootFromParent_Done,
     /* 1016496 */   // Label 15091: @1016496
     /* 1016496 */   GIM_Try, /*On fail goto*//*Label 15092*/ GIMT_Encode4(1016573), // Rule ID 12918 //
     /* 1016501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1016512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1016515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1016518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1016521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016540 */     // MIs[0] policy
     /* 1016540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016572 */     // GIR_Coverage, 12918,
     /* 1016572 */     GIR_EraseRootFromParent_Done,
     /* 1016573 */   // Label 15092: @1016573
     /* 1016573 */   GIM_Try, /*On fail goto*//*Label 15093*/ GIMT_Encode4(1016650), // Rule ID 12919 //
     /* 1016578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1016589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1016592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1016595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1016598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016617 */     // MIs[0] policy
     /* 1016617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016627 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2),
     /* 1016630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1016646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016649 */     // GIR_Coverage, 12919,
     /* 1016649 */     GIR_EraseRootFromParent_Done,
     /* 1016650 */   // Label 15093: @1016650
     /* 1016650 */   GIM_Try, /*On fail goto*//*Label 15094*/ GIMT_Encode4(1016727), // Rule ID 12922 //
     /* 1016655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1016666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1016669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1016672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1016675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016694 */     // MIs[0] policy
     /* 1016694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016704 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016726 */     // GIR_Coverage, 12922,
     /* 1016726 */     GIR_EraseRootFromParent_Done,
     /* 1016727 */   // Label 15094: @1016727
     /* 1016727 */   GIM_Try, /*On fail goto*//*Label 15095*/ GIMT_Encode4(1016804), // Rule ID 12923 //
     /* 1016732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1016743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1016746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1016749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1016752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016771 */     // MIs[0] policy
     /* 1016771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016781 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1016800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016803 */     // GIR_Coverage, 12923,
     /* 1016803 */     GIR_EraseRootFromParent_Done,
     /* 1016804 */   // Label 15095: @1016804
     /* 1016804 */   GIM_Try, /*On fail goto*//*Label 15096*/ GIMT_Encode4(1016881), // Rule ID 12926 //
     /* 1016809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1016820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1016823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1016826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1016829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016848 */     // MIs[0] policy
     /* 1016848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1016858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016880 */     // GIR_Coverage, 12926,
     /* 1016880 */     GIR_EraseRootFromParent_Done,
     /* 1016881 */   // Label 15096: @1016881
     /* 1016881 */   GIM_Try, /*On fail goto*//*Label 15097*/ GIMT_Encode4(1016958), // Rule ID 12927 //
     /* 1016886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1016889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1016897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1016900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1016903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1016906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1016909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016925 */     // MIs[0] policy
     /* 1016925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1016928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1016935 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1016935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1016938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1016940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1016942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1016944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1016946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1016951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1016954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1016956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1016957 */     // GIR_Coverage, 12927,
     /* 1016957 */     GIR_EraseRootFromParent_Done,
     /* 1016958 */   // Label 15097: @1016958
     /* 1016958 */   GIM_Try, /*On fail goto*//*Label 15098*/ GIMT_Encode4(1017035), // Rule ID 12930 //
     /* 1016963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1016966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1016971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1016974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1016977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1016980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1016983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1016986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1016998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017002 */     // MIs[0] policy
     /* 1017002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1017015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017034 */     // GIR_Coverage, 12930,
     /* 1017034 */     GIR_EraseRootFromParent_Done,
     /* 1017035 */   // Label 15098: @1017035
     /* 1017035 */   GIM_Try, /*On fail goto*//*Label 15099*/ GIMT_Encode4(1017112), // Rule ID 12931 //
     /* 1017040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1017051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1017054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1017057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1017060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017079 */     // MIs[0] policy
     /* 1017079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017089 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1017092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1017108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017111 */     // GIR_Coverage, 12931,
     /* 1017111 */     GIR_EraseRootFromParent_Done,
     /* 1017112 */   // Label 15099: @1017112
     /* 1017112 */   GIM_Try, /*On fail goto*//*Label 15100*/ GIMT_Encode4(1017189), // Rule ID 12934 //
     /* 1017117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1017120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1017128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1017131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1017134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1017137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017156 */     // MIs[0] policy
     /* 1017156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017166 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1017169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017188 */     // GIR_Coverage, 12934,
     /* 1017188 */     GIR_EraseRootFromParent_Done,
     /* 1017189 */   // Label 15100: @1017189
     /* 1017189 */   GIM_Try, /*On fail goto*//*Label 15101*/ GIMT_Encode4(1017266), // Rule ID 12935 //
     /* 1017194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1017197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1017205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1017208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1017211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1017214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1017233 */     // MIs[0] policy
     /* 1017233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017243 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1),
     /* 1017246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1017262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017265 */     // GIR_Coverage, 12935,
     /* 1017265 */     GIR_EraseRootFromParent_Done,
     /* 1017266 */   // Label 15101: @1017266
     /* 1017266 */   GIM_Try, /*On fail goto*//*Label 15102*/ GIMT_Encode4(1017343), // Rule ID 12938 //
     /* 1017271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1017282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1017285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1017288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1017291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017310 */     // MIs[0] policy
     /* 1017310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017342 */     // GIR_Coverage, 12938,
     /* 1017342 */     GIR_EraseRootFromParent_Done,
     /* 1017343 */   // Label 15102: @1017343
     /* 1017343 */   GIM_Try, /*On fail goto*//*Label 15103*/ GIMT_Encode4(1017420), // Rule ID 12939 //
     /* 1017348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1017359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1017362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1017365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1017368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017387 */     // MIs[0] policy
     /* 1017387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017397 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017419 */     // GIR_Coverage, 12939,
     /* 1017419 */     GIR_EraseRootFromParent_Done,
     /* 1017420 */   // Label 15103: @1017420
     /* 1017420 */   GIM_Try, /*On fail goto*//*Label 15104*/ GIMT_Encode4(1017497), // Rule ID 12942 //
     /* 1017425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1017436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1017439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1017442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1017445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017464 */     // MIs[0] policy
     /* 1017464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017496 */     // GIR_Coverage, 12942,
     /* 1017496 */     GIR_EraseRootFromParent_Done,
     /* 1017497 */   // Label 15104: @1017497
     /* 1017497 */   GIM_Try, /*On fail goto*//*Label 15105*/ GIMT_Encode4(1017574), // Rule ID 12943 //
     /* 1017502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1017513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1017516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1017519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1017522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017541 */     // MIs[0] policy
     /* 1017541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017551 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017573 */     // GIR_Coverage, 12943,
     /* 1017573 */     GIR_EraseRootFromParent_Done,
     /* 1017574 */   // Label 15105: @1017574
     /* 1017574 */   GIM_Try, /*On fail goto*//*Label 15106*/ GIMT_Encode4(1017651), // Rule ID 12946 //
     /* 1017579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1017590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1017593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1017596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1017599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017618 */     // MIs[0] policy
     /* 1017618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017628 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017650 */     // GIR_Coverage, 12946,
     /* 1017650 */     GIR_EraseRootFromParent_Done,
     /* 1017651 */   // Label 15106: @1017651
     /* 1017651 */   GIM_Try, /*On fail goto*//*Label 15107*/ GIMT_Encode4(1017728), // Rule ID 12947 //
     /* 1017656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1017667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1017670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1017673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1017676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1017695 */     // MIs[0] policy
     /* 1017695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017705 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1017708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1017724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017727 */     // GIR_Coverage, 12947,
     /* 1017727 */     GIR_EraseRootFromParent_Done,
     /* 1017728 */   // Label 15107: @1017728
     /* 1017728 */   GIM_Try, /*On fail goto*//*Label 15108*/ GIMT_Encode4(1017805), // Rule ID 12950 //
     /* 1017733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1017744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1017747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1017750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1017753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017772 */     // MIs[0] policy
     /* 1017772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017804 */     // GIR_Coverage, 12950,
     /* 1017804 */     GIR_EraseRootFromParent_Done,
     /* 1017805 */   // Label 15108: @1017805
     /* 1017805 */   GIM_Try, /*On fail goto*//*Label 15109*/ GIMT_Encode4(1017882), // Rule ID 12951 //
     /* 1017810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1017821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1017824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1017827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1017830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1017849 */     // MIs[0] policy
     /* 1017849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1017859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1017862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017881 */     // GIR_Coverage, 12951,
     /* 1017881 */     GIR_EraseRootFromParent_Done,
     /* 1017882 */   // Label 15109: @1017882
     /* 1017882 */   GIM_Try, /*On fail goto*//*Label 15110*/ GIMT_Encode4(1017959), // Rule ID 12954 //
     /* 1017887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1017890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1017898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1017901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1017904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1017907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1017910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017926 */     // MIs[0] policy
     /* 1017926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1017929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1017936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1017936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1017939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1017941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1017943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1017945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1017947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1017952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1017955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1017957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1017958 */     // GIR_Coverage, 12954,
     /* 1017958 */     GIR_EraseRootFromParent_Done,
     /* 1017959 */   // Label 15110: @1017959
     /* 1017959 */   GIM_Try, /*On fail goto*//*Label 15111*/ GIMT_Encode4(1018036), // Rule ID 12955 //
     /* 1017964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1017967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1017972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1017975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1017978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1017981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1017984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1017987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1017999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018003 */     // MIs[0] policy
     /* 1018003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018013 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018035 */     // GIR_Coverage, 12955,
     /* 1018035 */     GIR_EraseRootFromParent_Done,
     /* 1018036 */   // Label 15111: @1018036
     /* 1018036 */   GIM_Try, /*On fail goto*//*Label 15112*/ GIMT_Encode4(1018113), // Rule ID 12958 //
     /* 1018041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1018052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1018055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1018058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1018061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018080 */     // MIs[0] policy
     /* 1018080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018112 */     // GIR_Coverage, 12958,
     /* 1018112 */     GIR_EraseRootFromParent_Done,
     /* 1018113 */   // Label 15112: @1018113
     /* 1018113 */   GIM_Try, /*On fail goto*//*Label 15113*/ GIMT_Encode4(1018190), // Rule ID 12959 //
     /* 1018118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1018129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1018132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1018135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1018138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018157 */     // MIs[0] policy
     /* 1018157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018167 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1018186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018189 */     // GIR_Coverage, 12959,
     /* 1018189 */     GIR_EraseRootFromParent_Done,
     /* 1018190 */   // Label 15113: @1018190
     /* 1018190 */   GIM_Try, /*On fail goto*//*Label 15114*/ GIMT_Encode4(1018267), // Rule ID 12962 //
     /* 1018195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1018206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1018209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1018212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1018215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018234 */     // MIs[0] policy
     /* 1018234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018244 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1018247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018266 */     // GIR_Coverage, 12962,
     /* 1018266 */     GIR_EraseRootFromParent_Done,
     /* 1018267 */   // Label 15114: @1018267
     /* 1018267 */   GIM_Try, /*On fail goto*//*Label 15115*/ GIMT_Encode4(1018344), // Rule ID 12963 //
     /* 1018272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1018283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1018286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1018289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1018292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018311 */     // MIs[0] policy
     /* 1018311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018321 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1018324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018343 */     // GIR_Coverage, 12963,
     /* 1018343 */     GIR_EraseRootFromParent_Done,
     /* 1018344 */   // Label 15115: @1018344
     /* 1018344 */   GIM_Try, /*On fail goto*//*Label 15116*/ GIMT_Encode4(1018421), // Rule ID 12966 //
     /* 1018349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1018360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1018363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1018366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1018369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018388 */     // MIs[0] policy
     /* 1018388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018398 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018420 */     // GIR_Coverage, 12966,
     /* 1018420 */     GIR_EraseRootFromParent_Done,
     /* 1018421 */   // Label 15116: @1018421
     /* 1018421 */   GIM_Try, /*On fail goto*//*Label 15117*/ GIMT_Encode4(1018498), // Rule ID 12967 //
     /* 1018426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1018437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1018440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1018443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1018446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018465 */     // MIs[0] policy
     /* 1018465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018475 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018497 */     // GIR_Coverage, 12967,
     /* 1018497 */     GIR_EraseRootFromParent_Done,
     /* 1018498 */   // Label 15117: @1018498
     /* 1018498 */   GIM_Try, /*On fail goto*//*Label 15118*/ GIMT_Encode4(1018575), // Rule ID 12970 //
     /* 1018503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1018506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1018514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1018517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1018520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1018523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018542 */     // MIs[0] policy
     /* 1018542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018552 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018574 */     // GIR_Coverage, 12970,
     /* 1018574 */     GIR_EraseRootFromParent_Done,
     /* 1018575 */   // Label 15118: @1018575
     /* 1018575 */   GIM_Try, /*On fail goto*//*Label 15119*/ GIMT_Encode4(1018652), // Rule ID 12971 //
     /* 1018580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1018583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1018591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1018594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1018597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1018600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018619 */     // MIs[0] policy
     /* 1018619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018629 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1018632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1018648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018651 */     // GIR_Coverage, 12971,
     /* 1018651 */     GIR_EraseRootFromParent_Done,
     /* 1018652 */   // Label 15119: @1018652
     /* 1018652 */   GIM_Try, /*On fail goto*//*Label 15120*/ GIMT_Encode4(1018729), // Rule ID 12974 //
     /* 1018657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1018668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1018671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1018674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1018677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018696 */     // MIs[0] policy
     /* 1018696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1018709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018728 */     // GIR_Coverage, 12974,
     /* 1018728 */     GIR_EraseRootFromParent_Done,
     /* 1018729 */   // Label 15120: @1018729
     /* 1018729 */   GIM_Try, /*On fail goto*//*Label 15121*/ GIMT_Encode4(1018806), // Rule ID 12975 //
     /* 1018734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1018745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1018748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1018751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1018754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1018773 */     // MIs[0] policy
     /* 1018773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018783 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2),
     /* 1018786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018805 */     // GIR_Coverage, 12975,
     /* 1018805 */     GIR_EraseRootFromParent_Done,
     /* 1018806 */   // Label 15121: @1018806
     /* 1018806 */   GIM_Try, /*On fail goto*//*Label 15122*/ GIMT_Encode4(1018883), // Rule ID 12978 //
     /* 1018811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1018828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018850 */     // MIs[0] policy
     /* 1018850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018860 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1018860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018882 */     // GIR_Coverage, 12978,
     /* 1018882 */     GIR_EraseRootFromParent_Done,
     /* 1018883 */   // Label 15122: @1018883
     /* 1018883 */   GIM_Try, /*On fail goto*//*Label 15123*/ GIMT_Encode4(1018960), // Rule ID 12979 //
     /* 1018888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1018891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1018899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1018902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1018905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1018908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1018911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1018927 */     // MIs[0] policy
     /* 1018927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1018930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1018937 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1018937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4),
     /* 1018940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1018942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1018944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1018946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1018948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1018953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1018956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1018958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1018959 */     // GIR_Coverage, 12979,
     /* 1018959 */     GIR_EraseRootFromParent_Done,
     /* 1018960 */   // Label 15123: @1018960
     /* 1018960 */   GIM_Try, /*On fail goto*//*Label 15124*/ GIMT_Encode4(1019037), // Rule ID 12982 //
     /* 1018965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1018968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1018973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1018976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1018979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1018982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1018985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1018988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1018996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019004 */     // MIs[0] policy
     /* 1019004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019014 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1019017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019036 */     // GIR_Coverage, 12982,
     /* 1019036 */     GIR_EraseRootFromParent_Done,
     /* 1019037 */   // Label 15124: @1019037
     /* 1019037 */   GIM_Try, /*On fail goto*//*Label 15125*/ GIMT_Encode4(1019114), // Rule ID 12983 //
     /* 1019042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1019045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1019053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1019056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1019059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1019062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1019081 */     // MIs[0] policy
     /* 1019081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019091 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8),
     /* 1019094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1019110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019113 */     // GIR_Coverage, 12983,
     /* 1019113 */     GIR_EraseRootFromParent_Done,
     /* 1019114 */   // Label 15125: @1019114
     /* 1019114 */   GIM_Try, /*On fail goto*//*Label 15126*/ GIMT_Encode4(1019191), // Rule ID 12986 //
     /* 1019119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1019130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1019133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1019139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019158 */     // MIs[0] policy
     /* 1019158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1019171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019190 */     // GIR_Coverage, 12986,
     /* 1019190 */     GIR_EraseRootFromParent_Done,
     /* 1019191 */   // Label 15126: @1019191
     /* 1019191 */   GIM_Try, /*On fail goto*//*Label 15127*/ GIMT_Encode4(1019268), // Rule ID 12987 //
     /* 1019196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1019207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1019210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1019216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019235 */     // MIs[0] policy
     /* 1019235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019245 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8),
     /* 1019248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019267 */     // GIR_Coverage, 12987,
     /* 1019267 */     GIR_EraseRootFromParent_Done,
     /* 1019268 */   // Label 15127: @1019268
     /* 1019268 */   GIM_Try, /*On fail goto*//*Label 15128*/ GIMT_Encode4(1019345), // Rule ID 12990 //
     /* 1019273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1019284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1019287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1019293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019312 */     // MIs[0] policy
     /* 1019312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1019325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019344 */     // GIR_Coverage, 12990,
     /* 1019344 */     GIR_EraseRootFromParent_Done,
     /* 1019345 */   // Label 15128: @1019345
     /* 1019345 */   GIM_Try, /*On fail goto*//*Label 15129*/ GIMT_Encode4(1019422), // Rule ID 12991 //
     /* 1019350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1019361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1019364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1019370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019389 */     // MIs[0] policy
     /* 1019389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019399 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1019402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019421 */     // GIR_Coverage, 12991,
     /* 1019421 */     GIR_EraseRootFromParent_Done,
     /* 1019422 */   // Label 15129: @1019422
     /* 1019422 */   GIM_Try, /*On fail goto*//*Label 15130*/ GIMT_Encode4(1019499), // Rule ID 12994 //
     /* 1019427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1019438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1019441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1019447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019466 */     // MIs[0] policy
     /* 1019466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019498 */     // GIR_Coverage, 12994,
     /* 1019498 */     GIR_EraseRootFromParent_Done,
     /* 1019499 */   // Label 15130: @1019499
     /* 1019499 */   GIM_Try, /*On fail goto*//*Label 15131*/ GIMT_Encode4(1019576), // Rule ID 12995 //
     /* 1019504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1019515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1019518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1019524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019543 */     // MIs[0] policy
     /* 1019543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019553 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1019572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019575 */     // GIR_Coverage, 12995,
     /* 1019575 */     GIR_EraseRootFromParent_Done,
     /* 1019576 */   // Label 15131: @1019576
     /* 1019576 */   GIM_Try, /*On fail goto*//*Label 15132*/ GIMT_Encode4(1019653), // Rule ID 12998 //
     /* 1019581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1019592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1019595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1019601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019620 */     // MIs[0] policy
     /* 1019620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019630 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1019633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019652 */     // GIR_Coverage, 12998,
     /* 1019652 */     GIR_EraseRootFromParent_Done,
     /* 1019653 */   // Label 15132: @1019653
     /* 1019653 */   GIM_Try, /*On fail goto*//*Label 15133*/ GIMT_Encode4(1019730), // Rule ID 12999 //
     /* 1019658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1019669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1019672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1019678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019697 */     // MIs[0] policy
     /* 1019697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019707 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4),
     /* 1019710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019729 */     // GIR_Coverage, 12999,
     /* 1019729 */     GIR_EraseRootFromParent_Done,
     /* 1019730 */   // Label 15133: @1019730
     /* 1019730 */   GIM_Try, /*On fail goto*//*Label 15134*/ GIMT_Encode4(1019807), // Rule ID 13002 //
     /* 1019735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1019746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1019749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1019755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019774 */     // MIs[0] policy
     /* 1019774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019806 */     // GIR_Coverage, 13002,
     /* 1019806 */     GIR_EraseRootFromParent_Done,
     /* 1019807 */   // Label 15134: @1019807
     /* 1019807 */   GIM_Try, /*On fail goto*//*Label 15135*/ GIMT_Encode4(1019884), // Rule ID 13003 //
     /* 1019812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1019823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1019826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1019832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019851 */     // MIs[0] policy
     /* 1019851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019861 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1019861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1019880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019883 */     // GIR_Coverage, 13003,
     /* 1019883 */     GIR_EraseRootFromParent_Done,
     /* 1019884 */   // Label 15135: @1019884
     /* 1019884 */   GIM_Try, /*On fail goto*//*Label 15136*/ GIMT_Encode4(1019961), // Rule ID 13006 //
     /* 1019889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1019892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1019906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1019909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1019912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1019924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019928 */     // MIs[0] policy
     /* 1019928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1019931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1019938 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1019938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1019941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1019943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1019945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1019947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1019949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1019954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1019957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1019959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1019960 */     // GIR_Coverage, 13006,
     /* 1019960 */     GIR_EraseRootFromParent_Done,
     /* 1019961 */   // Label 15136: @1019961
     /* 1019961 */   GIM_Try, /*On fail goto*//*Label 15137*/ GIMT_Encode4(1020038), // Rule ID 13007 //
     /* 1019966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1019969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1019974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1019977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1019980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1019983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1019986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1019989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1019997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020005 */     // MIs[0] policy
     /* 1020005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020015 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2),
     /* 1020018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020037 */     // GIR_Coverage, 13007,
     /* 1020037 */     GIR_EraseRootFromParent_Done,
     /* 1020038 */   // Label 15137: @1020038
     /* 1020038 */   GIM_Try, /*On fail goto*//*Label 15138*/ GIMT_Encode4(1020115), // Rule ID 13010 //
     /* 1020043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1020054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1020057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1020063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020082 */     // MIs[0] policy
     /* 1020082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020114 */     // GIR_Coverage, 13010,
     /* 1020114 */     GIR_EraseRootFromParent_Done,
     /* 1020115 */   // Label 15138: @1020115
     /* 1020115 */   GIM_Try, /*On fail goto*//*Label 15139*/ GIMT_Encode4(1020192), // Rule ID 13011 //
     /* 1020120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1020131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1020134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1020140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020159 */     // MIs[0] policy
     /* 1020159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11489:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020191 */     // GIR_Coverage, 13011,
     /* 1020191 */     GIR_EraseRootFromParent_Done,
     /* 1020192 */   // Label 15139: @1020192
     /* 1020192 */   GIM_Try, /*On fail goto*//*Label 15140*/ GIMT_Encode4(1020269), // Rule ID 13014 //
     /* 1020197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1020208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1020211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1020217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020236 */     // MIs[0] policy
     /* 1020236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020268 */     // GIR_Coverage, 13014,
     /* 1020268 */     GIR_EraseRootFromParent_Done,
     /* 1020269 */   // Label 15140: @1020269
     /* 1020269 */   GIM_Try, /*On fail goto*//*Label 15141*/ GIMT_Encode4(1020346), // Rule ID 13015 //
     /* 1020274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1020285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1020288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1020294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020313 */     // MIs[0] policy
     /* 1020313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020323 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11489:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1020342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020345 */     // GIR_Coverage, 13015,
     /* 1020345 */     GIR_EraseRootFromParent_Done,
     /* 1020346 */   // Label 15141: @1020346
     /* 1020346 */   GIM_Try, /*On fail goto*//*Label 15142*/ GIMT_Encode4(1020423), // Rule ID 13018 //
     /* 1020351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1020362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1020365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1020371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020390 */     // MIs[0] policy
     /* 1020390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020422 */     // GIR_Coverage, 13018,
     /* 1020422 */     GIR_EraseRootFromParent_Done,
     /* 1020423 */   // Label 15142: @1020423
     /* 1020423 */   GIM_Try, /*On fail goto*//*Label 15143*/ GIMT_Encode4(1020500), // Rule ID 13019 //
     /* 1020428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1020439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1020442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1020448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020467 */     // MIs[0] policy
     /* 1020467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020477 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11489:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1020496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020499 */     // GIR_Coverage, 13019,
     /* 1020499 */     GIR_EraseRootFromParent_Done,
     /* 1020500 */   // Label 15143: @1020500
     /* 1020500 */   GIM_Try, /*On fail goto*//*Label 15144*/ GIMT_Encode4(1020577), // Rule ID 13022 //
     /* 1020505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1020508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1020516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1020519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1020525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020544 */     // MIs[0] policy
     /* 1020544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020554 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020576 */     // GIR_Coverage, 13022,
     /* 1020576 */     GIR_EraseRootFromParent_Done,
     /* 1020577 */   // Label 15144: @1020577
     /* 1020577 */   GIM_Try, /*On fail goto*//*Label 15145*/ GIMT_Encode4(1020654), // Rule ID 13023 //
     /* 1020582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1020585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1020593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1020596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1020602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1020621 */     // MIs[0] policy
     /* 1020621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020631 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11489:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1),
     /* 1020634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1020650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020653 */     // GIR_Coverage, 13023,
     /* 1020653 */     GIR_EraseRootFromParent_Done,
     /* 1020654 */   // Label 15145: @1020654
     /* 1020654 */   GIM_Try, /*On fail goto*//*Label 15146*/ GIMT_Encode4(1020731), // Rule ID 13026 //
     /* 1020659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1020670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1020673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1020679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020698 */     // MIs[0] policy
     /* 1020698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020708 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020730 */     // GIR_Coverage, 13026,
     /* 1020730 */     GIR_EraseRootFromParent_Done,
     /* 1020731 */   // Label 15146: @1020731
     /* 1020731 */   GIM_Try, /*On fail goto*//*Label 15147*/ GIMT_Encode4(1020808), // Rule ID 13027 //
     /* 1020736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1020747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1020750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1020756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1020775 */     // MIs[0] policy
     /* 1020775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020785 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1020788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020807 */     // GIR_Coverage, 13027,
     /* 1020807 */     GIR_EraseRootFromParent_Done,
     /* 1020808 */   // Label 15147: @1020808
     /* 1020808 */   GIM_Try, /*On fail goto*//*Label 15148*/ GIMT_Encode4(1020885), // Rule ID 13030 //
     /* 1020813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1020824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1020827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020852 */     // MIs[0] policy
     /* 1020852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020862 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1020862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020884 */     // GIR_Coverage, 13030,
     /* 1020884 */     GIR_EraseRootFromParent_Done,
     /* 1020885 */   // Label 15148: @1020885
     /* 1020885 */   GIM_Try, /*On fail goto*//*Label 15149*/ GIMT_Encode4(1020962), // Rule ID 13031 //
     /* 1020890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1020893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1020901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1020904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1020907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1020910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1020913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1020925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1020929 */     // MIs[0] policy
     /* 1020929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1020932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1020939 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1020939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1020942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1020944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1020946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1020948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1020950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1020955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1020958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1020960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1020961 */     // GIR_Coverage, 13031,
     /* 1020961 */     GIR_EraseRootFromParent_Done,
     /* 1020962 */   // Label 15149: @1020962
     /* 1020962 */   GIM_Try, /*On fail goto*//*Label 15150*/ GIMT_Encode4(1021039), // Rule ID 13034 //
     /* 1020967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1020970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1020975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1020978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1020981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1020984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1020987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1020990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1020998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021006 */     // MIs[0] policy
     /* 1021006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021038 */     // GIR_Coverage, 13034,
     /* 1021038 */     GIR_EraseRootFromParent_Done,
     /* 1021039 */   // Label 15150: @1021039
     /* 1021039 */   GIM_Try, /*On fail goto*//*Label 15151*/ GIMT_Encode4(1021116), // Rule ID 13035 //
     /* 1021044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1021055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1021058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1021064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021083 */     // MIs[0] policy
     /* 1021083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021093 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1021112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021115 */     // GIR_Coverage, 13035,
     /* 1021115 */     GIR_EraseRootFromParent_Done,
     /* 1021116 */   // Label 15151: @1021116
     /* 1021116 */   GIM_Try, /*On fail goto*//*Label 15152*/ GIMT_Encode4(1021193), // Rule ID 13038 //
     /* 1021121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1021132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1021135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1021141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021160 */     // MIs[0] policy
     /* 1021160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021192 */     // GIR_Coverage, 13038,
     /* 1021192 */     GIR_EraseRootFromParent_Done,
     /* 1021193 */   // Label 15152: @1021193
     /* 1021193 */   GIM_Try, /*On fail goto*//*Label 15153*/ GIMT_Encode4(1021270), // Rule ID 13039 //
     /* 1021198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1021209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1021212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1021218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021237 */     // MIs[0] policy
     /* 1021237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021247 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021269 */     // GIR_Coverage, 13039,
     /* 1021269 */     GIR_EraseRootFromParent_Done,
     /* 1021270 */   // Label 15153: @1021270
     /* 1021270 */   GIM_Try, /*On fail goto*//*Label 15154*/ GIMT_Encode4(1021347), // Rule ID 13042 //
     /* 1021275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1021286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1021289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1021295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021314 */     // MIs[0] policy
     /* 1021314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021346 */     // GIR_Coverage, 13042,
     /* 1021346 */     GIR_EraseRootFromParent_Done,
     /* 1021347 */   // Label 15154: @1021347
     /* 1021347 */   GIM_Try, /*On fail goto*//*Label 15155*/ GIMT_Encode4(1021424), // Rule ID 13043 //
     /* 1021352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1021363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1021366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1021372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021391 */     // MIs[0] policy
     /* 1021391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021401 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021423 */     // GIR_Coverage, 13043,
     /* 1021423 */     GIR_EraseRootFromParent_Done,
     /* 1021424 */   // Label 15155: @1021424
     /* 1021424 */   GIM_Try, /*On fail goto*//*Label 15156*/ GIMT_Encode4(1021501), // Rule ID 13046 //
     /* 1021429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1021440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1021443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1021449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021468 */     // MIs[0] policy
     /* 1021468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021478 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021500 */     // GIR_Coverage, 13046,
     /* 1021500 */     GIR_EraseRootFromParent_Done,
     /* 1021501 */   // Label 15156: @1021501
     /* 1021501 */   GIM_Try, /*On fail goto*//*Label 15157*/ GIMT_Encode4(1021578), // Rule ID 13047 //
     /* 1021506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1021517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1021520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1021526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021545 */     // MIs[0] policy
     /* 1021545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021555 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1021574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021577 */     // GIR_Coverage, 13047,
     /* 1021577 */     GIR_EraseRootFromParent_Done,
     /* 1021578 */   // Label 15157: @1021578
     /* 1021578 */   GIM_Try, /*On fail goto*//*Label 15158*/ GIMT_Encode4(1021655), // Rule ID 13050 //
     /* 1021583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1021594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1021597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1021603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021622 */     // MIs[0] policy
     /* 1021622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021632 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021654 */     // GIR_Coverage, 13050,
     /* 1021654 */     GIR_EraseRootFromParent_Done,
     /* 1021655 */   // Label 15158: @1021655
     /* 1021655 */   GIM_Try, /*On fail goto*//*Label 15159*/ GIMT_Encode4(1021732), // Rule ID 13051 //
     /* 1021660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1021671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1021674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1021680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1021699 */     // MIs[0] policy
     /* 1021699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1021712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021731 */     // GIR_Coverage, 13051,
     /* 1021731 */     GIR_EraseRootFromParent_Done,
     /* 1021732 */   // Label 15159: @1021732
     /* 1021732 */   GIM_Try, /*On fail goto*//*Label 15160*/ GIMT_Encode4(1021809), // Rule ID 13054 //
     /* 1021737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1021757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021776 */     // MIs[0] policy
     /* 1021776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021808 */     // GIR_Coverage, 13054,
     /* 1021808 */     GIR_EraseRootFromParent_Done,
     /* 1021809 */   // Label 15160: @1021809
     /* 1021809 */   GIM_Try, /*On fail goto*//*Label 15161*/ GIMT_Encode4(1021886), // Rule ID 13055 //
     /* 1021814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1021825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1021828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1021834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1021853 */     // MIs[0] policy
     /* 1021853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021863 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1021863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1021866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021885 */     // GIR_Coverage, 13055,
     /* 1021885 */     GIR_EraseRootFromParent_Done,
     /* 1021886 */   // Label 15161: @1021886
     /* 1021886 */   GIM_Try, /*On fail goto*//*Label 15162*/ GIMT_Encode4(1021963), // Rule ID 13058 //
     /* 1021891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1021894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1021908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1021911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1021914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1021926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021930 */     // MIs[0] policy
     /* 1021930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1021933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1021940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1021940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1021943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1021945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1021947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1021949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1021951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1021956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1021959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1021961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1021962 */     // GIR_Coverage, 13058,
     /* 1021962 */     GIR_EraseRootFromParent_Done,
     /* 1021963 */   // Label 15162: @1021963
     /* 1021963 */   GIM_Try, /*On fail goto*//*Label 15163*/ GIMT_Encode4(1022040), // Rule ID 13059 //
     /* 1021968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1021971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1021976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1021979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1021982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1021985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1021988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1021991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1021999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022007 */     // MIs[0] policy
     /* 1022007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022017 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1022020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1022036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022039 */     // GIR_Coverage, 13059,
     /* 1022039 */     GIR_EraseRootFromParent_Done,
     /* 1022040 */   // Label 15163: @1022040
     /* 1022040 */   GIM_Try, /*On fail goto*//*Label 15164*/ GIMT_Encode4(1022117), // Rule ID 13062 //
     /* 1022045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1022053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1022056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1022059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1022065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022084 */     // MIs[0] policy
     /* 1022084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1022097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022116 */     // GIR_Coverage, 13062,
     /* 1022116 */     GIR_EraseRootFromParent_Done,
     /* 1022117 */   // Label 15164: @1022117
     /* 1022117 */   GIM_Try, /*On fail goto*//*Label 15165*/ GIMT_Encode4(1022194), // Rule ID 13063 //
     /* 1022122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1022130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1022133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1022136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1022142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1022161 */     // MIs[0] policy
     /* 1022161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022171 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11489:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2),
     /* 1022174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022193 */     // GIR_Coverage, 13063,
     /* 1022193 */     GIR_EraseRootFromParent_Done,
     /* 1022194 */   // Label 15165: @1022194
     /* 1022194 */   GIM_Try, /*On fail goto*//*Label 15166*/ GIMT_Encode4(1022271), // Rule ID 13066 //
     /* 1022199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1022207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1022210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1022213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1022219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022238 */     // MIs[0] policy
     /* 1022238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022248 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1022251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022270 */     // GIR_Coverage, 13066,
     /* 1022270 */     GIR_EraseRootFromParent_Done,
     /* 1022271 */   // Label 15166: @1022271
     /* 1022271 */   GIM_Try, /*On fail goto*//*Label 15167*/ GIMT_Encode4(1022348), // Rule ID 13067 //
     /* 1022276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1022284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1022287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1022290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1022296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1022315 */     // MIs[0] policy
     /* 1022315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022325 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11489:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4),
     /* 1022328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022347 */     // GIR_Coverage, 13067,
     /* 1022347 */     GIR_EraseRootFromParent_Done,
     /* 1022348 */   // Label 15167: @1022348
     /* 1022348 */   GIM_Try, /*On fail goto*//*Label 15168*/ GIMT_Encode4(1022425), // Rule ID 13070 //
     /* 1022353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1022356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1022361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1022364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1022367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1022370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1022373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022392 */     // MIs[0] policy
     /* 1022392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1022405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022424 */     // GIR_Coverage, 13070,
     /* 1022424 */     GIR_EraseRootFromParent_Done,
     /* 1022425 */   // Label 15168: @1022425
     /* 1022425 */   GIM_Try, /*On fail goto*//*Label 15169*/ GIMT_Encode4(1022502), // Rule ID 13071 //
     /* 1022430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1022433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub),
     /* 1022438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1022441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1022444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1022447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1022450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1022465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1022469 */     // MIs[0] policy
     /* 1022469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022479 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11489:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8),
     /* 1022482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1022498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022501 */     // GIR_Coverage, 13071,
     /* 1022501 */     GIR_EraseRootFromParent_Done,
     /* 1022502 */   // Label 15169: @1022502
     /* 1022502 */   GIM_Try, /*On fail goto*//*Label 15170*/ GIMT_Encode4(1022579), // Rule ID 13074 //
     /* 1022507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1022518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1022521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1022524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1022527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022546 */     // MIs[0] policy
     /* 1022546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022556 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1022559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022578 */     // GIR_Coverage, 13074,
     /* 1022578 */     GIR_EraseRootFromParent_Done,
     /* 1022579 */   // Label 15170: @1022579
     /* 1022579 */   GIM_Try, /*On fail goto*//*Label 15171*/ GIMT_Encode4(1022656), // Rule ID 13075 //
     /* 1022584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1022595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1022598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1022601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1022604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022623 */     // MIs[0] policy
     /* 1022623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022633 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8),
     /* 1022636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022655 */     // GIR_Coverage, 13075,
     /* 1022655 */     GIR_EraseRootFromParent_Done,
     /* 1022656 */   // Label 15171: @1022656
     /* 1022656 */   GIM_Try, /*On fail goto*//*Label 15172*/ GIMT_Encode4(1022733), // Rule ID 13078 //
     /* 1022661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1022672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1022675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1022678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1022681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022700 */     // MIs[0] policy
     /* 1022700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022710 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022732 */     // GIR_Coverage, 13078,
     /* 1022732 */     GIR_EraseRootFromParent_Done,
     /* 1022733 */   // Label 15172: @1022733
     /* 1022733 */   GIM_Try, /*On fail goto*//*Label 15173*/ GIMT_Encode4(1022810), // Rule ID 13079 //
     /* 1022738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1022749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1022752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1022755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1022758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022777 */     // MIs[0] policy
     /* 1022777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022787 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1022790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022809 */     // GIR_Coverage, 13079,
     /* 1022809 */     GIR_EraseRootFromParent_Done,
     /* 1022810 */   // Label 15173: @1022810
     /* 1022810 */   GIM_Try, /*On fail goto*//*Label 15174*/ GIMT_Encode4(1022887), // Rule ID 13082 //
     /* 1022815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1022826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1022829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1022832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022854 */     // MIs[0] policy
     /* 1022854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1022864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022886 */     // GIR_Coverage, 13082,
     /* 1022886 */     GIR_EraseRootFromParent_Done,
     /* 1022887 */   // Label 15174: @1022887
     /* 1022887 */   GIM_Try, /*On fail goto*//*Label 15175*/ GIMT_Encode4(1022964), // Rule ID 13083 //
     /* 1022892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1022895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1022903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1022906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1022909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1022912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1022915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022931 */     // MIs[0] policy
     /* 1022931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1022934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1022941 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1022941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1022944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1022946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1022948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1022950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1022952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1022957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1022960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1022962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1022963 */     // GIR_Coverage, 13083,
     /* 1022963 */     GIR_EraseRootFromParent_Done,
     /* 1022964 */   // Label 15175: @1022964
     /* 1022964 */   GIM_Try, /*On fail goto*//*Label 15176*/ GIMT_Encode4(1023041), // Rule ID 13086 //
     /* 1022969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1022972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1022977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1022980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1022983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1022986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1022989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1022992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1022996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023008 */     // MIs[0] policy
     /* 1023008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1023021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023040 */     // GIR_Coverage, 13086,
     /* 1023040 */     GIR_EraseRootFromParent_Done,
     /* 1023041 */   // Label 15176: @1023041
     /* 1023041 */   GIM_Try, /*On fail goto*//*Label 15177*/ GIMT_Encode4(1023118), // Rule ID 13087 //
     /* 1023046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1023057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1023060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1023063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1023066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023085 */     // MIs[0] policy
     /* 1023085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023095 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4),
     /* 1023098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023117 */     // GIR_Coverage, 13087,
     /* 1023117 */     GIR_EraseRootFromParent_Done,
     /* 1023118 */   // Label 15177: @1023118
     /* 1023118 */   GIM_Try, /*On fail goto*//*Label 15178*/ GIMT_Encode4(1023195), // Rule ID 13090 //
     /* 1023123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1023134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1023137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1023140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1023143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023162 */     // MIs[0] policy
     /* 1023162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1023175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023194 */     // GIR_Coverage, 13090,
     /* 1023194 */     GIR_EraseRootFromParent_Done,
     /* 1023195 */   // Label 15178: @1023195
     /* 1023195 */   GIM_Try, /*On fail goto*//*Label 15179*/ GIMT_Encode4(1023272), // Rule ID 13091 //
     /* 1023200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1023211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1023214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1023217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1023220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023239 */     // MIs[0] policy
     /* 1023239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023249 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1023252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023271 */     // GIR_Coverage, 13091,
     /* 1023271 */     GIR_EraseRootFromParent_Done,
     /* 1023272 */   // Label 15179: @1023272
     /* 1023272 */   GIM_Try, /*On fail goto*//*Label 15180*/ GIMT_Encode4(1023349), // Rule ID 13094 //
     /* 1023277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1023288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1023291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1023294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1023297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023316 */     // MIs[0] policy
     /* 1023316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1023329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023348 */     // GIR_Coverage, 13094,
     /* 1023348 */     GIR_EraseRootFromParent_Done,
     /* 1023349 */   // Label 15180: @1023349
     /* 1023349 */   GIM_Try, /*On fail goto*//*Label 15181*/ GIMT_Encode4(1023426), // Rule ID 13095 //
     /* 1023354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1023365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1023368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1023371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1023374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023393 */     // MIs[0] policy
     /* 1023393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023403 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2),
     /* 1023406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023408 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023425 */     // GIR_Coverage, 13095,
     /* 1023425 */     GIR_EraseRootFromParent_Done,
     /* 1023426 */   // Label 15181: @1023426
     /* 1023426 */   GIM_Try, /*On fail goto*//*Label 15182*/ GIMT_Encode4(1023503), // Rule ID 13098 //
     /* 1023431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1023442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1023445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1023448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1023451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023470 */     // MIs[0] policy
     /* 1023470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023480 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023502 */     // GIR_Coverage, 13098,
     /* 1023502 */     GIR_EraseRootFromParent_Done,
     /* 1023503 */   // Label 15182: @1023503
     /* 1023503 */   GIM_Try, /*On fail goto*//*Label 15183*/ GIMT_Encode4(1023580), // Rule ID 13099 //
     /* 1023508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1023519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1023522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1023525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1023528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023547 */     // MIs[0] policy
     /* 1023547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023557 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1023576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023579 */     // GIR_Coverage, 13099,
     /* 1023579 */     GIR_EraseRootFromParent_Done,
     /* 1023580 */   // Label 15183: @1023580
     /* 1023580 */   GIM_Try, /*On fail goto*//*Label 15184*/ GIMT_Encode4(1023657), // Rule ID 13102 //
     /* 1023585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1023596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1023599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1023602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1023605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023624 */     // MIs[0] policy
     /* 1023624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023656 */     // GIR_Coverage, 13102,
     /* 1023656 */     GIR_EraseRootFromParent_Done,
     /* 1023657 */   // Label 15184: @1023657
     /* 1023657 */   GIM_Try, /*On fail goto*//*Label 15185*/ GIMT_Encode4(1023734), // Rule ID 13103 //
     /* 1023662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1023673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1023676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1023679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1023682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023701 */     // MIs[0] policy
     /* 1023701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023711 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1023730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023733 */     // GIR_Coverage, 13103,
     /* 1023733 */     GIR_EraseRootFromParent_Done,
     /* 1023734 */   // Label 15185: @1023734
     /* 1023734 */   GIM_Try, /*On fail goto*//*Label 15186*/ GIMT_Encode4(1023811), // Rule ID 13106 //
     /* 1023739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1023742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1023756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1023759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023778 */     // MIs[0] policy
     /* 1023778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023810 */     // GIR_Coverage, 13106,
     /* 1023810 */     GIR_EraseRootFromParent_Done,
     /* 1023811 */   // Label 15186: @1023811
     /* 1023811 */   GIM_Try, /*On fail goto*//*Label 15187*/ GIMT_Encode4(1023888), // Rule ID 13107 //
     /* 1023816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1023819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1023827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1023830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1023833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1023836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023855 */     // MIs[0] policy
     /* 1023855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023865 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1023865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1023884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023887 */     // GIR_Coverage, 13107,
     /* 1023887 */     GIR_EraseRootFromParent_Done,
     /* 1023888 */   // Label 15187: @1023888
     /* 1023888 */   GIM_Try, /*On fail goto*//*Label 15188*/ GIMT_Encode4(1023965), // Rule ID 13110 //
     /* 1023893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1023896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1023904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1023907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1023910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1023913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1023916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023932 */     // MIs[0] policy
     /* 1023932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1023935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1023942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1023942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1023945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1023947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1023949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1023951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1023953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1023958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1023961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1023963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1023964 */     // GIR_Coverage, 13110,
     /* 1023964 */     GIR_EraseRootFromParent_Done,
     /* 1023965 */   // Label 15188: @1023965
     /* 1023965 */   GIM_Try, /*On fail goto*//*Label 15189*/ GIMT_Encode4(1024042), // Rule ID 13111 //
     /* 1023970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1023973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1023978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1023981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1023984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1023987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1023990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1023993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1023997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1024009 */     // MIs[0] policy
     /* 1024009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024019 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1),
     /* 1024022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1024038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024041 */     // GIR_Coverage, 13111,
     /* 1024041 */     GIR_EraseRootFromParent_Done,
     /* 1024042 */   // Label 15189: @1024042
     /* 1024042 */   GIM_Try, /*On fail goto*//*Label 15190*/ GIMT_Encode4(1024119), // Rule ID 13114 //
     /* 1024047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1024058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1024061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1024064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1024067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024086 */     // MIs[0] policy
     /* 1024086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024096 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024118 */     // GIR_Coverage, 13114,
     /* 1024118 */     GIR_EraseRootFromParent_Done,
     /* 1024119 */   // Label 15190: @1024119
     /* 1024119 */   GIM_Try, /*On fail goto*//*Label 15191*/ GIMT_Encode4(1024196), // Rule ID 13115 //
     /* 1024124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1024135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1024138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1024141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1024144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024163 */     // MIs[0] policy
     /* 1024163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024173 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024195 */     // GIR_Coverage, 13115,
     /* 1024195 */     GIR_EraseRootFromParent_Done,
     /* 1024196 */   // Label 15191: @1024196
     /* 1024196 */   GIM_Try, /*On fail goto*//*Label 15192*/ GIMT_Encode4(1024273), // Rule ID 13118 //
     /* 1024201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1024212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1024215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1024218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1024221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024240 */     // MIs[0] policy
     /* 1024240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024250 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024272 */     // GIR_Coverage, 13118,
     /* 1024272 */     GIR_EraseRootFromParent_Done,
     /* 1024273 */   // Label 15192: @1024273
     /* 1024273 */   GIM_Try, /*On fail goto*//*Label 15193*/ GIMT_Encode4(1024350), // Rule ID 13119 //
     /* 1024278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1024289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1024292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1024295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1024298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024317 */     // MIs[0] policy
     /* 1024317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024327 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024349 */     // GIR_Coverage, 13119,
     /* 1024349 */     GIR_EraseRootFromParent_Done,
     /* 1024350 */   // Label 15193: @1024350
     /* 1024350 */   GIM_Try, /*On fail goto*//*Label 15194*/ GIMT_Encode4(1024427), // Rule ID 13122 //
     /* 1024355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1024366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1024369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1024372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1024375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024394 */     // MIs[0] policy
     /* 1024394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024404 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024426 */     // GIR_Coverage, 13122,
     /* 1024426 */     GIR_EraseRootFromParent_Done,
     /* 1024427 */   // Label 15194: @1024427
     /* 1024427 */   GIM_Try, /*On fail goto*//*Label 15195*/ GIMT_Encode4(1024504), // Rule ID 13123 //
     /* 1024432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1024443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1024446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1024449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1024452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024471 */     // MIs[0] policy
     /* 1024471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024481 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1024500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024503 */     // GIR_Coverage, 13123,
     /* 1024503 */     GIR_EraseRootFromParent_Done,
     /* 1024504 */   // Label 15195: @1024504
     /* 1024504 */   GIM_Try, /*On fail goto*//*Label 15196*/ GIMT_Encode4(1024581), // Rule ID 13126 //
     /* 1024509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1024520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1024523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1024526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1024529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024548 */     // MIs[0] policy
     /* 1024548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024558 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024580 */     // GIR_Coverage, 13126,
     /* 1024580 */     GIR_EraseRootFromParent_Done,
     /* 1024581 */   // Label 15196: @1024581
     /* 1024581 */   GIM_Try, /*On fail goto*//*Label 15197*/ GIMT_Encode4(1024658), // Rule ID 13127 //
     /* 1024586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1024597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1024600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1024603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1024606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024625 */     // MIs[0] policy
     /* 1024625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024635 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1024638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024657 */     // GIR_Coverage, 13127,
     /* 1024657 */     GIR_EraseRootFromParent_Done,
     /* 1024658 */   // Label 15197: @1024658
     /* 1024658 */   GIM_Try, /*On fail goto*//*Label 15198*/ GIMT_Encode4(1024735), // Rule ID 13130 //
     /* 1024663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1024674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1024677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1024680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1024683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024702 */     // MIs[0] policy
     /* 1024702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024734 */     // GIR_Coverage, 13130,
     /* 1024734 */     GIR_EraseRootFromParent_Done,
     /* 1024735 */   // Label 15198: @1024735
     /* 1024735 */   GIM_Try, /*On fail goto*//*Label 15199*/ GIMT_Encode4(1024812), // Rule ID 13131 //
     /* 1024740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1024751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1024754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1024757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1024760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1024779 */     // MIs[0] policy
     /* 1024779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024789 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1024792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024811 */     // GIR_Coverage, 13131,
     /* 1024811 */     GIR_EraseRootFromParent_Done,
     /* 1024812 */   // Label 15199: @1024812
     /* 1024812 */   GIM_Try, /*On fail goto*//*Label 15200*/ GIMT_Encode4(1024889), // Rule ID 13134 //
     /* 1024817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1024828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1024831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1024834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1024837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024856 */     // MIs[0] policy
     /* 1024856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1024866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024888 */     // GIR_Coverage, 13134,
     /* 1024888 */     GIR_EraseRootFromParent_Done,
     /* 1024889 */   // Label 15200: @1024889
     /* 1024889 */   GIM_Try, /*On fail goto*//*Label 15201*/ GIMT_Encode4(1024966), // Rule ID 13135 //
     /* 1024894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1024897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1024905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1024908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1024911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1024914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1024917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1024933 */     // MIs[0] policy
     /* 1024933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1024936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1024943 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1024943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1024946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1024948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1024950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1024952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1024954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1024959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1024962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1024964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1024965 */     // GIR_Coverage, 13135,
     /* 1024965 */     GIR_EraseRootFromParent_Done,
     /* 1024966 */   // Label 15201: @1024966
     /* 1024966 */   GIM_Try, /*On fail goto*//*Label 15202*/ GIMT_Encode4(1025043), // Rule ID 13138 //
     /* 1024971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1024974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1024979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1024982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1024985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1024988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1024991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1024994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1024998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025010 */     // MIs[0] policy
     /* 1025010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1025023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025042 */     // GIR_Coverage, 13138,
     /* 1025042 */     GIR_EraseRootFromParent_Done,
     /* 1025043 */   // Label 15202: @1025043
     /* 1025043 */   GIM_Try, /*On fail goto*//*Label 15203*/ GIMT_Encode4(1025120), // Rule ID 13139 //
     /* 1025048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1025059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1025062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1025065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1025068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025087 */     // MIs[0] policy
     /* 1025087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025097 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1025100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025119 */     // GIR_Coverage, 13139,
     /* 1025119 */     GIR_EraseRootFromParent_Done,
     /* 1025120 */   // Label 15203: @1025120
     /* 1025120 */   GIM_Try, /*On fail goto*//*Label 15204*/ GIMT_Encode4(1025197), // Rule ID 13142 //
     /* 1025125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1025136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1025139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1025142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1025145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025164 */     // MIs[0] policy
     /* 1025164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1025177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025196 */     // GIR_Coverage, 13142,
     /* 1025196 */     GIR_EraseRootFromParent_Done,
     /* 1025197 */   // Label 15204: @1025197
     /* 1025197 */   GIM_Try, /*On fail goto*//*Label 15205*/ GIMT_Encode4(1025274), // Rule ID 13143 //
     /* 1025202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1025213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1025216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1025219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1025222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025241 */     // MIs[0] policy
     /* 1025241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025251 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1025254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025273 */     // GIR_Coverage, 13143,
     /* 1025273 */     GIR_EraseRootFromParent_Done,
     /* 1025274 */   // Label 15205: @1025274
     /* 1025274 */   GIM_Try, /*On fail goto*//*Label 15206*/ GIMT_Encode4(1025351), // Rule ID 13146 //
     /* 1025279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1025290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1025293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1025296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1025299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025318 */     // MIs[0] policy
     /* 1025318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025328 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1025331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025350 */     // GIR_Coverage, 13146,
     /* 1025350 */     GIR_EraseRootFromParent_Done,
     /* 1025351 */   // Label 15206: @1025351
     /* 1025351 */   GIM_Try, /*On fail goto*//*Label 15207*/ GIMT_Encode4(1025428), // Rule ID 13147 //
     /* 1025356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1025367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1025370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1025373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1025376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025395 */     // MIs[0] policy
     /* 1025395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025405 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1025408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1025424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025427 */     // GIR_Coverage, 13147,
     /* 1025427 */     GIR_EraseRootFromParent_Done,
     /* 1025428 */   // Label 15207: @1025428
     /* 1025428 */   GIM_Try, /*On fail goto*//*Label 15208*/ GIMT_Encode4(1025505), // Rule ID 13150 //
     /* 1025433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1025444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1025447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1025450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1025453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025472 */     // MIs[0] policy
     /* 1025472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1025485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025504 */     // GIR_Coverage, 13150,
     /* 1025504 */     GIR_EraseRootFromParent_Done,
     /* 1025505 */   // Label 15208: @1025505
     /* 1025505 */   GIM_Try, /*On fail goto*//*Label 15209*/ GIMT_Encode4(1025582), // Rule ID 13151 //
     /* 1025510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1025521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1025524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1025527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1025530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1025549 */     // MIs[0] policy
     /* 1025549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2),
     /* 1025562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025581 */     // GIR_Coverage, 13151,
     /* 1025581 */     GIR_EraseRootFromParent_Done,
     /* 1025582 */   // Label 15209: @1025582
     /* 1025582 */   GIM_Try, /*On fail goto*//*Label 15210*/ GIMT_Encode4(1025659), // Rule ID 13154 //
     /* 1025587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1025598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1025601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1025604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1025607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025626 */     // MIs[0] policy
     /* 1025626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025636 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1025639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025658 */     // GIR_Coverage, 13154,
     /* 1025658 */     GIR_EraseRootFromParent_Done,
     /* 1025659 */   // Label 15210: @1025659
     /* 1025659 */   GIM_Try, /*On fail goto*//*Label 15211*/ GIMT_Encode4(1025736), // Rule ID 13155 //
     /* 1025664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1025675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1025678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1025681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1025684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1025703 */     // MIs[0] policy
     /* 1025703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025713 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4),
     /* 1025716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025735 */     // GIR_Coverage, 13155,
     /* 1025735 */     GIR_EraseRootFromParent_Done,
     /* 1025736 */   // Label 15211: @1025736
     /* 1025736 */   GIM_Try, /*On fail goto*//*Label 15212*/ GIMT_Encode4(1025813), // Rule ID 13158 //
     /* 1025741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1025744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1025752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1025755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1025758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1025761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025780 */     // MIs[0] policy
     /* 1025780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025790 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1025793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025812 */     // GIR_Coverage, 13158,
     /* 1025812 */     GIR_EraseRootFromParent_Done,
     /* 1025813 */   // Label 15212: @1025813
     /* 1025813 */   GIM_Try, /*On fail goto*//*Label 15213*/ GIMT_Encode4(1025890), // Rule ID 13159 //
     /* 1025818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1025821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1025829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1025832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1025835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1025838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1025857 */     // MIs[0] policy
     /* 1025857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025867 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1025867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8),
     /* 1025870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1025886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025889 */     // GIR_Coverage, 13159,
     /* 1025889 */     GIR_EraseRootFromParent_Done,
     /* 1025890 */   // Label 15213: @1025890
     /* 1025890 */   GIM_Try, /*On fail goto*//*Label 15214*/ GIMT_Encode4(1025967), // Rule ID 13162 //
     /* 1025895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1025898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1025906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1025909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1025912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1025915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1025918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1025930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025934 */     // MIs[0] policy
     /* 1025934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1025937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1025944 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1025944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1025947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1025949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1025951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1025953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1025955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1025960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1025963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1025965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1025966 */     // GIR_Coverage, 13162,
     /* 1025966 */     GIR_EraseRootFromParent_Done,
     /* 1025967 */   // Label 15214: @1025967
     /* 1025967 */   GIM_Try, /*On fail goto*//*Label 15215*/ GIMT_Encode4(1026044), // Rule ID 13163 //
     /* 1025972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1025975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1025980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1025983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1025986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1025989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1025992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1025995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1025999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026011 */     // MIs[0] policy
     /* 1026011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026021 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8),
     /* 1026024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026043 */     // GIR_Coverage, 13163,
     /* 1026043 */     GIR_EraseRootFromParent_Done,
     /* 1026044 */   // Label 15215: @1026044
     /* 1026044 */   GIM_Try, /*On fail goto*//*Label 15216*/ GIMT_Encode4(1026121), // Rule ID 13166 //
     /* 1026049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1026060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1026063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1026069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026088 */     // MIs[0] policy
     /* 1026088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026098 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1026101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026120 */     // GIR_Coverage, 13166,
     /* 1026120 */     GIR_EraseRootFromParent_Done,
     /* 1026121 */   // Label 15216: @1026121
     /* 1026121 */   GIM_Try, /*On fail goto*//*Label 15217*/ GIMT_Encode4(1026198), // Rule ID 13167 //
     /* 1026126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1026137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1026140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1026146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026165 */     // MIs[0] policy
     /* 1026165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026175 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1026178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026197 */     // GIR_Coverage, 13167,
     /* 1026197 */     GIR_EraseRootFromParent_Done,
     /* 1026198 */   // Label 15217: @1026198
     /* 1026198 */   GIM_Try, /*On fail goto*//*Label 15218*/ GIMT_Encode4(1026275), // Rule ID 13170 //
     /* 1026203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1026214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1026217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1026223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026242 */     // MIs[0] policy
     /* 1026242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026252 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026274 */     // GIR_Coverage, 13170,
     /* 1026274 */     GIR_EraseRootFromParent_Done,
     /* 1026275 */   // Label 15218: @1026275
     /* 1026275 */   GIM_Try, /*On fail goto*//*Label 15219*/ GIMT_Encode4(1026352), // Rule ID 13171 //
     /* 1026280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1026291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1026294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1026300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026319 */     // MIs[0] policy
     /* 1026319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026329 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026351 */     // GIR_Coverage, 13171,
     /* 1026351 */     GIR_EraseRootFromParent_Done,
     /* 1026352 */   // Label 15219: @1026352
     /* 1026352 */   GIM_Try, /*On fail goto*//*Label 15220*/ GIMT_Encode4(1026429), // Rule ID 13174 //
     /* 1026357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1026368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1026371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1026377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026396 */     // MIs[0] policy
     /* 1026396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026406 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1026409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026428 */     // GIR_Coverage, 13174,
     /* 1026428 */     GIR_EraseRootFromParent_Done,
     /* 1026429 */   // Label 15220: @1026429
     /* 1026429 */   GIM_Try, /*On fail goto*//*Label 15221*/ GIMT_Encode4(1026506), // Rule ID 13175 //
     /* 1026434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1026445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1026448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1026454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026473 */     // MIs[0] policy
     /* 1026473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026483 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4),
     /* 1026486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026505 */     // GIR_Coverage, 13175,
     /* 1026505 */     GIR_EraseRootFromParent_Done,
     /* 1026506 */   // Label 15221: @1026506
     /* 1026506 */   GIM_Try, /*On fail goto*//*Label 15222*/ GIMT_Encode4(1026583), // Rule ID 13178 //
     /* 1026511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1026522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1026525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1026531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026550 */     // MIs[0] policy
     /* 1026550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026560 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026582 */     // GIR_Coverage, 13178,
     /* 1026582 */     GIR_EraseRootFromParent_Done,
     /* 1026583 */   // Label 15222: @1026583
     /* 1026583 */   GIM_Try, /*On fail goto*//*Label 15223*/ GIMT_Encode4(1026660), // Rule ID 13179 //
     /* 1026588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1026599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1026602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1026608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026627 */     // MIs[0] policy
     /* 1026627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026637 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1026656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026659 */     // GIR_Coverage, 13179,
     /* 1026659 */     GIR_EraseRootFromParent_Done,
     /* 1026660 */   // Label 15223: @1026660
     /* 1026660 */   GIM_Try, /*On fail goto*//*Label 15224*/ GIMT_Encode4(1026737), // Rule ID 13182 //
     /* 1026665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1026676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1026679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026704 */     // MIs[0] policy
     /* 1026704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026736 */     // GIR_Coverage, 13182,
     /* 1026736 */     GIR_EraseRootFromParent_Done,
     /* 1026737 */   // Label 15224: @1026737
     /* 1026737 */   GIM_Try, /*On fail goto*//*Label 15225*/ GIMT_Encode4(1026814), // Rule ID 13183 //
     /* 1026742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1026753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1026756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1026762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026781 */     // MIs[0] policy
     /* 1026781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026791 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2),
     /* 1026794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1026810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026813 */     // GIR_Coverage, 13183,
     /* 1026813 */     GIR_EraseRootFromParent_Done,
     /* 1026814 */   // Label 15225: @1026814
     /* 1026814 */   GIM_Try, /*On fail goto*//*Label 15226*/ GIMT_Encode4(1026891), // Rule ID 13186 //
     /* 1026819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1026830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1026833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026858 */     // MIs[0] policy
     /* 1026858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026868 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1026868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026890 */     // GIR_Coverage, 13186,
     /* 1026890 */     GIR_EraseRootFromParent_Done,
     /* 1026891 */   // Label 15226: @1026891
     /* 1026891 */   GIM_Try, /*On fail goto*//*Label 15227*/ GIMT_Encode4(1026968), // Rule ID 13187 //
     /* 1026896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1026899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1026907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1026910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1026913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1026916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1026919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1026931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1026935 */     // MIs[0] policy
     /* 1026935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1026938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1026945 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11406:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1026945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1026948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1026950 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1026952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1026954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1026956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1026961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1026964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1026966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1026967 */     // GIR_Coverage, 13187,
     /* 1026967 */     GIR_EraseRootFromParent_Done,
     /* 1026968 */   // Label 15227: @1026968
     /* 1026968 */   GIM_Try, /*On fail goto*//*Label 15228*/ GIMT_Encode4(1027045), // Rule ID 13190 //
     /* 1026973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1026976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1026981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1026984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1026987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1026990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1026993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1026996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027012 */     // MIs[0] policy
     /* 1027012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027022 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1027025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027044 */     // GIR_Coverage, 13190,
     /* 1027044 */     GIR_EraseRootFromParent_Done,
     /* 1027045 */   // Label 15228: @1027045
     /* 1027045 */   GIM_Try, /*On fail goto*//*Label 15229*/ GIMT_Encode4(1027122), // Rule ID 13191 //
     /* 1027050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1027061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1027064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1027070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027089 */     // MIs[0] policy
     /* 1027089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027099 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11406:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1027102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027121 */     // GIR_Coverage, 13191,
     /* 1027121 */     GIR_EraseRootFromParent_Done,
     /* 1027122 */   // Label 15229: @1027122
     /* 1027122 */   GIM_Try, /*On fail goto*//*Label 15230*/ GIMT_Encode4(1027199), // Rule ID 13194 //
     /* 1027127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1027138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1027141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1027147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027166 */     // MIs[0] policy
     /* 1027166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027176 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1027179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027198 */     // GIR_Coverage, 13194,
     /* 1027198 */     GIR_EraseRootFromParent_Done,
     /* 1027199 */   // Label 15230: @1027199
     /* 1027199 */   GIM_Try, /*On fail goto*//*Label 15231*/ GIMT_Encode4(1027276), // Rule ID 13195 //
     /* 1027204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1027215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1027218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1027224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027243 */     // MIs[0] policy
     /* 1027243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027253 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11406:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1027256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1027272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027275 */     // GIR_Coverage, 13195,
     /* 1027275 */     GIR_EraseRootFromParent_Done,
     /* 1027276 */   // Label 15231: @1027276
     /* 1027276 */   GIM_Try, /*On fail goto*//*Label 15232*/ GIMT_Encode4(1027353), // Rule ID 13198 //
     /* 1027281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1027284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1027292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1027295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1027301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027320 */     // MIs[0] policy
     /* 1027320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1027333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027352 */     // GIR_Coverage, 13198,
     /* 1027352 */     GIR_EraseRootFromParent_Done,
     /* 1027353 */   // Label 15232: @1027353
     /* 1027353 */   GIM_Try, /*On fail goto*//*Label 15233*/ GIMT_Encode4(1027430), // Rule ID 13199 //
     /* 1027358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1027361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1027369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1027372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1027378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1027397 */     // MIs[0] policy
     /* 1027397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11406:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1),
     /* 1027410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1027426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027429 */     // GIR_Coverage, 13199,
     /* 1027429 */     GIR_EraseRootFromParent_Done,
     /* 1027430 */   // Label 15233: @1027430
     /* 1027430 */   GIM_Try, /*On fail goto*//*Label 15234*/ GIMT_Encode4(1027507), // Rule ID 13202 //
     /* 1027435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1027446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1027449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027474 */     // MIs[0] policy
     /* 1027474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027484 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027506 */     // GIR_Coverage, 13202,
     /* 1027506 */     GIR_EraseRootFromParent_Done,
     /* 1027507 */   // Label 15234: @1027507
     /* 1027507 */   GIM_Try, /*On fail goto*//*Label 15235*/ GIMT_Encode4(1027584), // Rule ID 13203 //
     /* 1027512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1027523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1027526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1027532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027551 */     // MIs[0] policy
     /* 1027551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027561 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027583 */     // GIR_Coverage, 13203,
     /* 1027583 */     GIR_EraseRootFromParent_Done,
     /* 1027584 */   // Label 15235: @1027584
     /* 1027584 */   GIM_Try, /*On fail goto*//*Label 15236*/ GIMT_Encode4(1027661), // Rule ID 13206 //
     /* 1027589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1027600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1027603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027628 */     // MIs[0] policy
     /* 1027628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027638 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027660 */     // GIR_Coverage, 13206,
     /* 1027660 */     GIR_EraseRootFromParent_Done,
     /* 1027661 */   // Label 15236: @1027661
     /* 1027661 */   GIM_Try, /*On fail goto*//*Label 15237*/ GIMT_Encode4(1027738), // Rule ID 13207 //
     /* 1027666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1027677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1027680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1027686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1027705 */     // MIs[0] policy
     /* 1027705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027715 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1027718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027737 */     // GIR_Coverage, 13207,
     /* 1027737 */     GIR_EraseRootFromParent_Done,
     /* 1027738 */   // Label 15237: @1027738
     /* 1027738 */   GIM_Try, /*On fail goto*//*Label 15238*/ GIMT_Encode4(1027815), // Rule ID 13210 //
     /* 1027743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1027754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1027757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1027763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027782 */     // MIs[0] policy
     /* 1027782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027792 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027814 */     // GIR_Coverage, 13210,
     /* 1027814 */     GIR_EraseRootFromParent_Done,
     /* 1027815 */   // Label 15238: @1027815
     /* 1027815 */   GIM_Try, /*On fail goto*//*Label 15239*/ GIMT_Encode4(1027892), // Rule ID 13211 //
     /* 1027820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1027831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1027834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1027840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1027859 */     // MIs[0] policy
     /* 1027859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027869 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1027869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1027872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1027888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027891 */     // GIR_Coverage, 13211,
     /* 1027891 */     GIR_EraseRootFromParent_Done,
     /* 1027892 */   // Label 15239: @1027892
     /* 1027892 */   GIM_Try, /*On fail goto*//*Label 15240*/ GIMT_Encode4(1027969), // Rule ID 13214 //
     /* 1027897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1027900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1027914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1027917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1027920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1027932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1027936 */     // MIs[0] policy
     /* 1027936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1027939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1027946 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1027946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1027949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1027951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1027953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1027955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1027957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1027962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1027965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1027967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1027968 */     // GIR_Coverage, 13214,
     /* 1027968 */     GIR_EraseRootFromParent_Done,
     /* 1027969 */   // Label 15240: @1027969
     /* 1027969 */   GIM_Try, /*On fail goto*//*Label 15241*/ GIMT_Encode4(1028046), // Rule ID 13215 //
     /* 1027974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1027977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1027982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1027985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1027988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1027991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1027994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1027997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028013 */     // MIs[0] policy
     /* 1028013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028023 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028045 */     // GIR_Coverage, 13215,
     /* 1028045 */     GIR_EraseRootFromParent_Done,
     /* 1028046 */   // Label 15241: @1028046
     /* 1028046 */   GIM_Try, /*On fail goto*//*Label 15242*/ GIMT_Encode4(1028123), // Rule ID 13218 //
     /* 1028051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1028062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1028065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1028071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028090 */     // MIs[0] policy
     /* 1028090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028100 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028122 */     // GIR_Coverage, 13218,
     /* 1028122 */     GIR_EraseRootFromParent_Done,
     /* 1028123 */   // Label 15242: @1028123
     /* 1028123 */   GIM_Try, /*On fail goto*//*Label 15243*/ GIMT_Encode4(1028200), // Rule ID 13219 //
     /* 1028128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1028139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1028142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1028148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028167 */     // MIs[0] policy
     /* 1028167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028177 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028199 */     // GIR_Coverage, 13219,
     /* 1028199 */     GIR_EraseRootFromParent_Done,
     /* 1028200 */   // Label 15243: @1028200
     /* 1028200 */   GIM_Try, /*On fail goto*//*Label 15244*/ GIMT_Encode4(1028277), // Rule ID 13222 //
     /* 1028205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1028216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1028219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1028225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028244 */     // MIs[0] policy
     /* 1028244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028254 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028276 */     // GIR_Coverage, 13222,
     /* 1028276 */     GIR_EraseRootFromParent_Done,
     /* 1028277 */   // Label 15244: @1028277
     /* 1028277 */   GIM_Try, /*On fail goto*//*Label 15245*/ GIMT_Encode4(1028354), // Rule ID 13223 //
     /* 1028282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1028293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1028296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1028302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028321 */     // MIs[0] policy
     /* 1028321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028331 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1028350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028353 */     // GIR_Coverage, 13223,
     /* 1028353 */     GIR_EraseRootFromParent_Done,
     /* 1028354 */   // Label 15245: @1028354
     /* 1028354 */   GIM_Try, /*On fail goto*//*Label 15246*/ GIMT_Encode4(1028431), // Rule ID 13226 //
     /* 1028359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1028370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1028373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1028379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028398 */     // MIs[0] policy
     /* 1028398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028430 */     // GIR_Coverage, 13226,
     /* 1028430 */     GIR_EraseRootFromParent_Done,
     /* 1028431 */   // Label 15246: @1028431
     /* 1028431 */   GIM_Try, /*On fail goto*//*Label 15247*/ GIMT_Encode4(1028508), // Rule ID 13227 //
     /* 1028436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1028447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1028450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1028456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028475 */     // MIs[0] policy
     /* 1028475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028485 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028507 */     // GIR_Coverage, 13227,
     /* 1028507 */     GIR_EraseRootFromParent_Done,
     /* 1028508 */   // Label 15247: @1028508
     /* 1028508 */   GIM_Try, /*On fail goto*//*Label 15248*/ GIMT_Encode4(1028585), // Rule ID 13230 //
     /* 1028513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1028533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028552 */     // MIs[0] policy
     /* 1028552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028584 */     // GIR_Coverage, 13230,
     /* 1028584 */     GIR_EraseRootFromParent_Done,
     /* 1028585 */   // Label 15248: @1028585
     /* 1028585 */   GIM_Try, /*On fail goto*//*Label 15249*/ GIMT_Encode4(1028662), // Rule ID 13231 //
     /* 1028590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1028601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1028604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1028610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1028629 */     // MIs[0] policy
     /* 1028629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028639 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1028642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028661 */     // GIR_Coverage, 13231,
     /* 1028661 */     GIR_EraseRootFromParent_Done,
     /* 1028662 */   // Label 15249: @1028662
     /* 1028662 */   GIM_Try, /*On fail goto*//*Label 15250*/ GIMT_Encode4(1028739), // Rule ID 13234 //
     /* 1028667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1028670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1028687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028706 */     // MIs[0] policy
     /* 1028706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028716 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028738 */     // GIR_Coverage, 13234,
     /* 1028738 */     GIR_EraseRootFromParent_Done,
     /* 1028739 */   // Label 15250: @1028739
     /* 1028739 */   GIM_Try, /*On fail goto*//*Label 15251*/ GIMT_Encode4(1028816), // Rule ID 13235 //
     /* 1028744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1028747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1028755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1028758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1028764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1028783 */     // MIs[0] policy
     /* 1028783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028793 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1028796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1028812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028815 */     // GIR_Coverage, 13235,
     /* 1028815 */     GIR_EraseRootFromParent_Done,
     /* 1028816 */   // Label 15251: @1028816
     /* 1028816 */   GIM_Try, /*On fail goto*//*Label 15252*/ GIMT_Encode4(1028893), // Rule ID 13238 //
     /* 1028821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1028841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028860 */     // MIs[0] policy
     /* 1028860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028870 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1028870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028892 */     // GIR_Coverage, 13238,
     /* 1028892 */     GIR_EraseRootFromParent_Done,
     /* 1028893 */   // Label 15252: @1028893
     /* 1028893 */   GIM_Try, /*On fail goto*//*Label 15253*/ GIMT_Encode4(1028970), // Rule ID 13239 //
     /* 1028898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1028901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1028909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1028912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1028915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1028918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1028921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1028933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1028937 */     // MIs[0] policy
     /* 1028937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1028940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1028947 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11406:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1028947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2),
     /* 1028950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1028952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1028954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1028956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1028958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1028963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1028966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1028968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1028969 */     // GIR_Coverage, 13239,
     /* 1028969 */     GIR_EraseRootFromParent_Done,
     /* 1028970 */   // Label 15253: @1028970
     /* 1028970 */   GIM_Try, /*On fail goto*//*Label 15254*/ GIMT_Encode4(1029047), // Rule ID 13242 //
     /* 1028975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1028978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1028983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1028986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1028989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1028992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1028995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1028998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029014 */     // MIs[0] policy
     /* 1029014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029024 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1029027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029046 */     // GIR_Coverage, 13242,
     /* 1029046 */     GIR_EraseRootFromParent_Done,
     /* 1029047 */   // Label 15254: @1029047
     /* 1029047 */   GIM_Try, /*On fail goto*//*Label 15255*/ GIMT_Encode4(1029124), // Rule ID 13243 //
     /* 1029052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1029055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1029060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1029063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1029066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1029072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1029091 */     // MIs[0] policy
     /* 1029091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029101 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11406:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4),
     /* 1029104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029123 */     // GIR_Coverage, 13243,
     /* 1029123 */     GIR_EraseRootFromParent_Done,
     /* 1029124 */   // Label 15255: @1029124
     /* 1029124 */   GIM_Try, /*On fail goto*//*Label 15256*/ GIMT_Encode4(1029201), // Rule ID 13246 //
     /* 1029129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1029132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1029137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1029140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1029143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1029146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1029149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029168 */     // MIs[0] policy
     /* 1029168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029178 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1029181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029200 */     // GIR_Coverage, 13246,
     /* 1029200 */     GIR_EraseRootFromParent_Done,
     /* 1029201 */   // Label 15256: @1029201
     /* 1029201 */   GIM_Try, /*On fail goto*//*Label 15257*/ GIMT_Encode4(1029278), // Rule ID 13247 //
     /* 1029206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1029209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc),
     /* 1029214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1029217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1029220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1029223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1029226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1029241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1029245 */     // MIs[0] policy
     /* 1029245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029255 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11406:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8),
     /* 1029258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1029274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029277 */     // GIR_Coverage, 13247,
     /* 1029277 */     GIR_EraseRootFromParent_Done,
     /* 1029278 */   // Label 15257: @1029278
     /* 1029278 */   GIM_Try, /*On fail goto*//*Label 15258*/ GIMT_Encode4(1029355), // Rule ID 13250 //
     /* 1029283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1029294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1029297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1029300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1029303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029322 */     // MIs[0] policy
     /* 1029322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029332 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1029335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029354 */     // GIR_Coverage, 13250,
     /* 1029354 */     GIR_EraseRootFromParent_Done,
     /* 1029355 */   // Label 15258: @1029355
     /* 1029355 */   GIM_Try, /*On fail goto*//*Label 15259*/ GIMT_Encode4(1029432), // Rule ID 13251 //
     /* 1029360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1029371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1029374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1029377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1029380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029399 */     // MIs[0] policy
     /* 1029399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029409 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8),
     /* 1029412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029431 */     // GIR_Coverage, 13251,
     /* 1029431 */     GIR_EraseRootFromParent_Done,
     /* 1029432 */   // Label 15259: @1029432
     /* 1029432 */   GIM_Try, /*On fail goto*//*Label 15260*/ GIMT_Encode4(1029509), // Rule ID 13254 //
     /* 1029437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1029448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1029451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029476 */     // MIs[0] policy
     /* 1029476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029486 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029508 */     // GIR_Coverage, 13254,
     /* 1029508 */     GIR_EraseRootFromParent_Done,
     /* 1029509 */   // Label 15260: @1029509
     /* 1029509 */   GIM_Try, /*On fail goto*//*Label 15261*/ GIMT_Encode4(1029586), // Rule ID 13255 //
     /* 1029514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1029525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1029528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1029531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1029534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029553 */     // MIs[0] policy
     /* 1029553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029563 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029585 */     // GIR_Coverage, 13255,
     /* 1029585 */     GIR_EraseRootFromParent_Done,
     /* 1029586 */   // Label 15261: @1029586
     /* 1029586 */   GIM_Try, /*On fail goto*//*Label 15262*/ GIMT_Encode4(1029663), // Rule ID 13258 //
     /* 1029591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1029602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029630 */     // MIs[0] policy
     /* 1029630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029640 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029662 */     // GIR_Coverage, 13258,
     /* 1029662 */     GIR_EraseRootFromParent_Done,
     /* 1029663 */   // Label 15262: @1029663
     /* 1029663 */   GIM_Try, /*On fail goto*//*Label 15263*/ GIMT_Encode4(1029740), // Rule ID 13259 //
     /* 1029668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1029679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1029682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1029685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1029688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029707 */     // MIs[0] policy
     /* 1029707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029717 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1029736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029739 */     // GIR_Coverage, 13259,
     /* 1029739 */     GIR_EraseRootFromParent_Done,
     /* 1029740 */   // Label 15263: @1029740
     /* 1029740 */   GIM_Try, /*On fail goto*//*Label 15264*/ GIMT_Encode4(1029817), // Rule ID 13262 //
     /* 1029745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029784 */     // MIs[0] policy
     /* 1029784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029794 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029816 */     // GIR_Coverage, 13262,
     /* 1029816 */     GIR_EraseRootFromParent_Done,
     /* 1029817 */   // Label 15264: @1029817
     /* 1029817 */   GIM_Try, /*On fail goto*//*Label 15265*/ GIMT_Encode4(1029894), // Rule ID 13263 //
     /* 1029822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1029833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1029836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1029839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1029842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029861 */     // MIs[0] policy
     /* 1029861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029871 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1029871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4),
     /* 1029874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029893 */     // GIR_Coverage, 13263,
     /* 1029893 */     GIR_EraseRootFromParent_Done,
     /* 1029894 */   // Label 15265: @1029894
     /* 1029894 */   GIM_Try, /*On fail goto*//*Label 15266*/ GIMT_Encode4(1029971), // Rule ID 13266 //
     /* 1029899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1029902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1029922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1029938 */     // MIs[0] policy
     /* 1029938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1029941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1029948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1029948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1029951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1029953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1029955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1029957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1029959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1029964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1029967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1029969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1029970 */     // GIR_Coverage, 13266,
     /* 1029970 */     GIR_EraseRootFromParent_Done,
     /* 1029971 */   // Label 15266: @1029971
     /* 1029971 */   GIM_Try, /*On fail goto*//*Label 15267*/ GIMT_Encode4(1030048), // Rule ID 13267 //
     /* 1029976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1029979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1029984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1029987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1029990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1029993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1029996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1029999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030015 */     // MIs[0] policy
     /* 1030015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030025 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1030028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030047 */     // GIR_Coverage, 13267,
     /* 1030047 */     GIR_EraseRootFromParent_Done,
     /* 1030048 */   // Label 15267: @1030048
     /* 1030048 */   GIM_Try, /*On fail goto*//*Label 15268*/ GIMT_Encode4(1030125), // Rule ID 13270 //
     /* 1030053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1030064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1030067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1030070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1030073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030092 */     // MIs[0] policy
     /* 1030092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030102 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1030105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030124 */     // GIR_Coverage, 13270,
     /* 1030124 */     GIR_EraseRootFromParent_Done,
     /* 1030125 */   // Label 15268: @1030125
     /* 1030125 */   GIM_Try, /*On fail goto*//*Label 15269*/ GIMT_Encode4(1030202), // Rule ID 13271 //
     /* 1030130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1030141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1030144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1030147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1030150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030169 */     // MIs[0] policy
     /* 1030169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030179 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2),
     /* 1030182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030201 */     // GIR_Coverage, 13271,
     /* 1030201 */     GIR_EraseRootFromParent_Done,
     /* 1030202 */   // Label 15269: @1030202
     /* 1030202 */   GIM_Try, /*On fail goto*//*Label 15270*/ GIMT_Encode4(1030279), // Rule ID 13274 //
     /* 1030207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1030218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1030221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1030224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1030227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030246 */     // MIs[0] policy
     /* 1030246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030256 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030278 */     // GIR_Coverage, 13274,
     /* 1030278 */     GIR_EraseRootFromParent_Done,
     /* 1030279 */   // Label 15270: @1030279
     /* 1030279 */   GIM_Try, /*On fail goto*//*Label 15271*/ GIMT_Encode4(1030356), // Rule ID 13275 //
     /* 1030284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1030295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1030298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1030301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1030304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030323 */     // MIs[0] policy
     /* 1030323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030333 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030355 */     // GIR_Coverage, 13275,
     /* 1030355 */     GIR_EraseRootFromParent_Done,
     /* 1030356 */   // Label 15271: @1030356
     /* 1030356 */   GIM_Try, /*On fail goto*//*Label 15272*/ GIMT_Encode4(1030433), // Rule ID 13278 //
     /* 1030361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1030372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1030375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1030381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030400 */     // MIs[0] policy
     /* 1030400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030432 */     // GIR_Coverage, 13278,
     /* 1030432 */     GIR_EraseRootFromParent_Done,
     /* 1030433 */   // Label 15272: @1030433
     /* 1030433 */   GIM_Try, /*On fail goto*//*Label 15273*/ GIMT_Encode4(1030510), // Rule ID 13279 //
     /* 1030438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1030449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1030452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1030455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1030458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030477 */     // MIs[0] policy
     /* 1030477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030487 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1030506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030509 */     // GIR_Coverage, 13279,
     /* 1030509 */     GIR_EraseRootFromParent_Done,
     /* 1030510 */   // Label 15273: @1030510
     /* 1030510 */   GIM_Try, /*On fail goto*//*Label 15274*/ GIMT_Encode4(1030587), // Rule ID 13282 //
     /* 1030515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1030532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1030535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030554 */     // MIs[0] policy
     /* 1030554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030564 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030586 */     // GIR_Coverage, 13282,
     /* 1030586 */     GIR_EraseRootFromParent_Done,
     /* 1030587 */   // Label 15274: @1030587
     /* 1030587 */   GIM_Try, /*On fail goto*//*Label 15275*/ GIMT_Encode4(1030664), // Rule ID 13283 //
     /* 1030592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1030603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1030606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1030609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1030612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030631 */     // MIs[0] policy
     /* 1030631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030641 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1030660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030663 */     // GIR_Coverage, 13283,
     /* 1030663 */     GIR_EraseRootFromParent_Done,
     /* 1030664 */   // Label 15275: @1030664
     /* 1030664 */   GIM_Try, /*On fail goto*//*Label 15276*/ GIMT_Encode4(1030741), // Rule ID 13286 //
     /* 1030669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1030672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1030689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030708 */     // MIs[0] policy
     /* 1030708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030740 */     // GIR_Coverage, 13286,
     /* 1030740 */     GIR_EraseRootFromParent_Done,
     /* 1030741 */   // Label 15276: @1030741
     /* 1030741 */   GIM_Try, /*On fail goto*//*Label 15277*/ GIMT_Encode4(1030818), // Rule ID 13287 //
     /* 1030746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1030749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1030757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1030760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1030763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1030766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1030785 */     // MIs[0] policy
     /* 1030785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030795 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1),
     /* 1030798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1030814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030817 */     // GIR_Coverage, 13287,
     /* 1030817 */     GIR_EraseRootFromParent_Done,
     /* 1030818 */   // Label 15277: @1030818
     /* 1030818 */   GIM_Try, /*On fail goto*//*Label 15278*/ GIMT_Encode4(1030895), // Rule ID 13290 //
     /* 1030823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1030846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030862 */     // MIs[0] policy
     /* 1030862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1030872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030894 */     // GIR_Coverage, 13290,
     /* 1030894 */     GIR_EraseRootFromParent_Done,
     /* 1030895 */   // Label 15278: @1030895
     /* 1030895 */   GIM_Try, /*On fail goto*//*Label 15279*/ GIMT_Encode4(1030972), // Rule ID 13291 //
     /* 1030900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1030903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1030911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1030914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1030917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1030920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1030923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1030939 */     // MIs[0] policy
     /* 1030939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1030942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1030949 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1030949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1030952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1030954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1030956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1030958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1030960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1030965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1030968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1030970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1030971 */     // GIR_Coverage, 13291,
     /* 1030971 */     GIR_EraseRootFromParent_Done,
     /* 1030972 */   // Label 15279: @1030972
     /* 1030972 */   GIM_Try, /*On fail goto*//*Label 15280*/ GIMT_Encode4(1031049), // Rule ID 13294 //
     /* 1030977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1030980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1030985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1030988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1030991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1030994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1030997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031016 */     // MIs[0] policy
     /* 1031016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031026 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031048 */     // GIR_Coverage, 13294,
     /* 1031048 */     GIR_EraseRootFromParent_Done,
     /* 1031049 */   // Label 15280: @1031049
     /* 1031049 */   GIM_Try, /*On fail goto*//*Label 15281*/ GIMT_Encode4(1031126), // Rule ID 13295 //
     /* 1031054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1031065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1031068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1031071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1031074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031093 */     // MIs[0] policy
     /* 1031093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031103 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031108 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031125 */     // GIR_Coverage, 13295,
     /* 1031125 */     GIR_EraseRootFromParent_Done,
     /* 1031126 */   // Label 15281: @1031126
     /* 1031126 */   GIM_Try, /*On fail goto*//*Label 15282*/ GIMT_Encode4(1031203), // Rule ID 13298 //
     /* 1031131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1031142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1031145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1031148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1031151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031170 */     // MIs[0] policy
     /* 1031170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031180 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031202 */     // GIR_Coverage, 13298,
     /* 1031202 */     GIR_EraseRootFromParent_Done,
     /* 1031203 */   // Label 15282: @1031203
     /* 1031203 */   GIM_Try, /*On fail goto*//*Label 15283*/ GIMT_Encode4(1031280), // Rule ID 13299 //
     /* 1031208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1031219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1031222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1031225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1031228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031247 */     // MIs[0] policy
     /* 1031247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031257 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1031276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031279 */     // GIR_Coverage, 13299,
     /* 1031279 */     GIR_EraseRootFromParent_Done,
     /* 1031280 */   // Label 15283: @1031280
     /* 1031280 */   GIM_Try, /*On fail goto*//*Label 15284*/ GIMT_Encode4(1031357), // Rule ID 13302 //
     /* 1031285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1031302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1031305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031324 */     // MIs[0] policy
     /* 1031324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031334 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031356 */     // GIR_Coverage, 13302,
     /* 1031356 */     GIR_EraseRootFromParent_Done,
     /* 1031357 */   // Label 15284: @1031357
     /* 1031357 */   GIM_Try, /*On fail goto*//*Label 15285*/ GIMT_Encode4(1031434), // Rule ID 13303 //
     /* 1031362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1031373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1031376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1031379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1031382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031401 */     // MIs[0] policy
     /* 1031401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031411 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031433 */     // GIR_Coverage, 13303,
     /* 1031433 */     GIR_EraseRootFromParent_Done,
     /* 1031434 */   // Label 15285: @1031434
     /* 1031434 */   GIM_Try, /*On fail goto*//*Label 15286*/ GIMT_Encode4(1031511), // Rule ID 13306 //
     /* 1031439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031478 */     // MIs[0] policy
     /* 1031478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031510 */     // GIR_Coverage, 13306,
     /* 1031510 */     GIR_EraseRootFromParent_Done,
     /* 1031511 */   // Label 15286: @1031511
     /* 1031511 */   GIM_Try, /*On fail goto*//*Label 15287*/ GIMT_Encode4(1031588), // Rule ID 13307 //
     /* 1031516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1031527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1031530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1031533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1031536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031555 */     // MIs[0] policy
     /* 1031555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031565 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031587 */     // GIR_Coverage, 13307,
     /* 1031587 */     GIR_EraseRootFromParent_Done,
     /* 1031588 */   // Label 15287: @1031588
     /* 1031588 */   GIM_Try, /*On fail goto*//*Label 15288*/ GIMT_Encode4(1031665), // Rule ID 13310 //
     /* 1031593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1031613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031632 */     // MIs[0] policy
     /* 1031632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031642 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031664 */     // GIR_Coverage, 13310,
     /* 1031664 */     GIR_EraseRootFromParent_Done,
     /* 1031665 */   // Label 15288: @1031665
     /* 1031665 */   GIM_Try, /*On fail goto*//*Label 15289*/ GIMT_Encode4(1031742), // Rule ID 13311 //
     /* 1031670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1031681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1031684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1031687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1031690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1031709 */     // MIs[0] policy
     /* 1031709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031719 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1031722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1031738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031741 */     // GIR_Coverage, 13311,
     /* 1031741 */     GIR_EraseRootFromParent_Done,
     /* 1031742 */   // Label 15289: @1031742
     /* 1031742 */   GIM_Try, /*On fail goto*//*Label 15290*/ GIMT_Encode4(1031819), // Rule ID 13314 //
     /* 1031747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031786 */     // MIs[0] policy
     /* 1031786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031818 */     // GIR_Coverage, 13314,
     /* 1031818 */     GIR_EraseRootFromParent_Done,
     /* 1031819 */   // Label 15290: @1031819
     /* 1031819 */   GIM_Try, /*On fail goto*//*Label 15291*/ GIMT_Encode4(1031896), // Rule ID 13315 //
     /* 1031824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1031835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1031838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1031841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1031844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1031847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1031863 */     // MIs[0] policy
     /* 1031863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031873 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1031873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1031876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031895 */     // GIR_Coverage, 13315,
     /* 1031895 */     GIR_EraseRootFromParent_Done,
     /* 1031896 */   // Label 15291: @1031896
     /* 1031896 */   GIM_Try, /*On fail goto*//*Label 15292*/ GIMT_Encode4(1031973), // Rule ID 13318 //
     /* 1031901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1031904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1031924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1031940 */     // MIs[0] policy
     /* 1031940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1031943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1031950 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1031950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1031953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1031955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1031957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1031959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1031961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1031966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1031969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1031971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1031972 */     // GIR_Coverage, 13318,
     /* 1031972 */     GIR_EraseRootFromParent_Done,
     /* 1031973 */   // Label 15292: @1031973
     /* 1031973 */   GIM_Try, /*On fail goto*//*Label 15293*/ GIMT_Encode4(1032050), // Rule ID 13319 //
     /* 1031978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1031981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1031986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1031989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1031992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1031995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1031998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032017 */     // MIs[0] policy
     /* 1032017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032027 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1032030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032049 */     // GIR_Coverage, 13319,
     /* 1032049 */     GIR_EraseRootFromParent_Done,
     /* 1032050 */   // Label 15293: @1032050
     /* 1032050 */   GIM_Try, /*On fail goto*//*Label 15294*/ GIMT_Encode4(1032127), // Rule ID 13322 //
     /* 1032055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1032072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1032075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032094 */     // MIs[0] policy
     /* 1032094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032104 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1032107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032126 */     // GIR_Coverage, 13322,
     /* 1032126 */     GIR_EraseRootFromParent_Done,
     /* 1032127 */   // Label 15294: @1032127
     /* 1032127 */   GIM_Try, /*On fail goto*//*Label 15295*/ GIMT_Encode4(1032204), // Rule ID 13323 //
     /* 1032132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1032143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1032146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1032149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1032152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032171 */     // MIs[0] policy
     /* 1032171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032181 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1032184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1032200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032203 */     // GIR_Coverage, 13323,
     /* 1032203 */     GIR_EraseRootFromParent_Done,
     /* 1032204 */   // Label 15295: @1032204
     /* 1032204 */   GIM_Try, /*On fail goto*//*Label 15296*/ GIMT_Encode4(1032281), // Rule ID 13326 //
     /* 1032209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1032212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1032226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1032229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032248 */     // MIs[0] policy
     /* 1032248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032258 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1032261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032280 */     // GIR_Coverage, 13326,
     /* 1032280 */     GIR_EraseRootFromParent_Done,
     /* 1032281 */   // Label 15296: @1032281
     /* 1032281 */   GIM_Try, /*On fail goto*//*Label 15297*/ GIMT_Encode4(1032358), // Rule ID 13327 //
     /* 1032286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1032289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1032297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1032300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1032303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1032306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1032325 */     // MIs[0] policy
     /* 1032325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032335 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2),
     /* 1032338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032357 */     // GIR_Coverage, 13327,
     /* 1032357 */     GIR_EraseRootFromParent_Done,
     /* 1032358 */   // Label 15297: @1032358
     /* 1032358 */   GIM_Try, /*On fail goto*//*Label 15298*/ GIMT_Encode4(1032435), // Rule ID 13330 //
     /* 1032363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1032366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1032380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1032383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032402 */     // MIs[0] policy
     /* 1032402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032412 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1032415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032434 */     // GIR_Coverage, 13330,
     /* 1032434 */     GIR_EraseRootFromParent_Done,
     /* 1032435 */   // Label 15298: @1032435
     /* 1032435 */   GIM_Try, /*On fail goto*//*Label 15299*/ GIMT_Encode4(1032512), // Rule ID 13331 //
     /* 1032440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1032443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1032451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1032454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1032457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1032460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1032479 */     // MIs[0] policy
     /* 1032479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032489 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4),
     /* 1032492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032511 */     // GIR_Coverage, 13331,
     /* 1032511 */     GIR_EraseRootFromParent_Done,
     /* 1032512 */   // Label 15299: @1032512
     /* 1032512 */   GIM_Try, /*On fail goto*//*Label 15300*/ GIMT_Encode4(1032589), // Rule ID 13334 //
     /* 1032517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1032520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1032534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1032537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032556 */     // MIs[0] policy
     /* 1032556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032566 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1032569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032588 */     // GIR_Coverage, 13334,
     /* 1032588 */     GIR_EraseRootFromParent_Done,
     /* 1032589 */   // Label 15300: @1032589
     /* 1032589 */   GIM_Try, /*On fail goto*//*Label 15301*/ GIMT_Encode4(1032666), // Rule ID 13335 //
     /* 1032594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1032597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1032605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1032608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1032611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1032614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1032633 */     // MIs[0] policy
     /* 1032633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032643 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8),
     /* 1032646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1032662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032665 */     // GIR_Coverage, 13335,
     /* 1032665 */     GIR_EraseRootFromParent_Done,
     /* 1032666 */   // Label 15301: @1032666
     /* 1032666 */   GIM_Try, /*On fail goto*//*Label 15302*/ GIMT_Encode4(1032743), // Rule ID 13338 //
     /* 1032671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1032691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032710 */     // MIs[0] policy
     /* 1032710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032720 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1032723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032742 */     // GIR_Coverage, 13338,
     /* 1032742 */     GIR_EraseRootFromParent_Done,
     /* 1032743 */   // Label 15302: @1032743
     /* 1032743 */   GIM_Try, /*On fail goto*//*Label 15303*/ GIMT_Encode4(1032820), // Rule ID 13339 //
     /* 1032748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1032759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1032762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1032768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032787 */     // MIs[0] policy
     /* 1032787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032797 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8),
     /* 1032800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032819 */     // GIR_Coverage, 13339,
     /* 1032819 */     GIR_EraseRootFromParent_Done,
     /* 1032820 */   // Label 15303: @1032820
     /* 1032820 */   GIM_Try, /*On fail goto*//*Label 15304*/ GIMT_Encode4(1032897), // Rule ID 13342 //
     /* 1032825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1032836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1032839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1032848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032864 */     // MIs[0] policy
     /* 1032864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032874 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1032874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032896 */     // GIR_Coverage, 13342,
     /* 1032896 */     GIR_EraseRootFromParent_Done,
     /* 1032897 */   // Label 15304: @1032897
     /* 1032897 */   GIM_Try, /*On fail goto*//*Label 15305*/ GIMT_Encode4(1032974), // Rule ID 13343 //
     /* 1032902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1032905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1032913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1032916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1032919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1032922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1032925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1032937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1032941 */     // MIs[0] policy
     /* 1032941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1032944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1032951 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1032951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1032954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1032956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1032958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1032960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1032962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1032967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1032970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1032972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1032973 */     // GIR_Coverage, 13343,
     /* 1032973 */     GIR_EraseRootFromParent_Done,
     /* 1032974 */   // Label 15305: @1032974
     /* 1032974 */   GIM_Try, /*On fail goto*//*Label 15306*/ GIMT_Encode4(1033051), // Rule ID 13346 //
     /* 1032979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1032982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1032987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1032990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1032993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1032996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1032999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033018 */     // MIs[0] policy
     /* 1033018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033028 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1033031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033050 */     // GIR_Coverage, 13346,
     /* 1033050 */     GIR_EraseRootFromParent_Done,
     /* 1033051 */   // Label 15306: @1033051
     /* 1033051 */   GIM_Try, /*On fail goto*//*Label 15307*/ GIMT_Encode4(1033128), // Rule ID 13347 //
     /* 1033056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1033067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1033070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1033076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033095 */     // MIs[0] policy
     /* 1033095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033105 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1033108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033127 */     // GIR_Coverage, 13347,
     /* 1033127 */     GIR_EraseRootFromParent_Done,
     /* 1033128 */   // Label 15307: @1033128
     /* 1033128 */   GIM_Try, /*On fail goto*//*Label 15308*/ GIMT_Encode4(1033205), // Rule ID 13350 //
     /* 1033133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1033153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033172 */     // MIs[0] policy
     /* 1033172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1033185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033204 */     // GIR_Coverage, 13350,
     /* 1033204 */     GIR_EraseRootFromParent_Done,
     /* 1033205 */   // Label 15308: @1033205
     /* 1033205 */   GIM_Try, /*On fail goto*//*Label 15309*/ GIMT_Encode4(1033282), // Rule ID 13351 //
     /* 1033210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1033221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1033224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1033230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033249 */     // MIs[0] policy
     /* 1033249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4),
     /* 1033262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033281 */     // GIR_Coverage, 13351,
     /* 1033281 */     GIR_EraseRootFromParent_Done,
     /* 1033282 */   // Label 15309: @1033282
     /* 1033282 */   GIM_Try, /*On fail goto*//*Label 15310*/ GIMT_Encode4(1033359), // Rule ID 13354 //
     /* 1033287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1033307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033326 */     // MIs[0] policy
     /* 1033326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033336 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1033339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033358 */     // GIR_Coverage, 13354,
     /* 1033358 */     GIR_EraseRootFromParent_Done,
     /* 1033359 */   // Label 15310: @1033359
     /* 1033359 */   GIM_Try, /*On fail goto*//*Label 15311*/ GIMT_Encode4(1033436), // Rule ID 13355 //
     /* 1033364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1033375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1033378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1033384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033403 */     // MIs[0] policy
     /* 1033403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033413 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1033416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033435 */     // GIR_Coverage, 13355,
     /* 1033435 */     GIR_EraseRootFromParent_Done,
     /* 1033436 */   // Label 15311: @1033436
     /* 1033436 */   GIM_Try, /*On fail goto*//*Label 15312*/ GIMT_Encode4(1033513), // Rule ID 13358 //
     /* 1033441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1033452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1033455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033480 */     // MIs[0] policy
     /* 1033480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033490 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1033493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033512 */     // GIR_Coverage, 13358,
     /* 1033512 */     GIR_EraseRootFromParent_Done,
     /* 1033513 */   // Label 15312: @1033513
     /* 1033513 */   GIM_Try, /*On fail goto*//*Label 15313*/ GIMT_Encode4(1033590), // Rule ID 13359 //
     /* 1033518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1033529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1033532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1033538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033557 */     // MIs[0] policy
     /* 1033557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033567 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2),
     /* 1033570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033589 */     // GIR_Coverage, 13359,
     /* 1033589 */     GIR_EraseRootFromParent_Done,
     /* 1033590 */   // Label 15313: @1033590
     /* 1033590 */   GIM_Try, /*On fail goto*//*Label 15314*/ GIMT_Encode4(1033667), // Rule ID 13362 //
     /* 1033595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1033606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1033609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033634 */     // MIs[0] policy
     /* 1033634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033666 */     // GIR_Coverage, 13362,
     /* 1033666 */     GIR_EraseRootFromParent_Done,
     /* 1033667 */   // Label 15314: @1033667
     /* 1033667 */   GIM_Try, /*On fail goto*//*Label 15315*/ GIMT_Encode4(1033744), // Rule ID 13363 //
     /* 1033672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1033683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1033686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1033692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033711 */     // MIs[0] policy
     /* 1033711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033721 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11487:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1033740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033743 */     // GIR_Coverage, 13363,
     /* 1033743 */     GIR_EraseRootFromParent_Done,
     /* 1033744 */   // Label 15315: @1033744
     /* 1033744 */   GIM_Try, /*On fail goto*//*Label 15316*/ GIMT_Encode4(1033821), // Rule ID 13366 //
     /* 1033749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033788 */     // MIs[0] policy
     /* 1033788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033820 */     // GIR_Coverage, 13366,
     /* 1033820 */     GIR_EraseRootFromParent_Done,
     /* 1033821 */   // Label 15316: @1033821
     /* 1033821 */   GIM_Try, /*On fail goto*//*Label 15317*/ GIMT_Encode4(1033898), // Rule ID 13367 //
     /* 1033826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1033837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1033840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1033846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1033849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033865 */     // MIs[0] policy
     /* 1033865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033875 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11487:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1033875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1033894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033897 */     // GIR_Coverage, 13367,
     /* 1033897 */     GIR_EraseRootFromParent_Done,
     /* 1033898 */   // Label 15317: @1033898
     /* 1033898 */   GIM_Try, /*On fail goto*//*Label 15318*/ GIMT_Encode4(1033975), // Rule ID 13370 //
     /* 1033903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1033906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1033914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1033917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1033920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1033923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1033926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1033938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1033942 */     // MIs[0] policy
     /* 1033942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1033945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1033952 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1033952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1033955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1033957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1033959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1033961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1033963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1033968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1033971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1033973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1033974 */     // GIR_Coverage, 13370,
     /* 1033974 */     GIR_EraseRootFromParent_Done,
     /* 1033975 */   // Label 15318: @1033975
     /* 1033975 */   GIM_Try, /*On fail goto*//*Label 15319*/ GIMT_Encode4(1034052), // Rule ID 13371 //
     /* 1033980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1033983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1033988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1033991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1033994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1033997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1034000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034019 */     // MIs[0] policy
     /* 1034019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034029 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11487:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1034032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1034048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034051 */     // GIR_Coverage, 13371,
     /* 1034051 */     GIR_EraseRootFromParent_Done,
     /* 1034052 */   // Label 15319: @1034052
     /* 1034052 */   GIM_Try, /*On fail goto*//*Label 15320*/ GIMT_Encode4(1034129), // Rule ID 13374 //
     /* 1034057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1034060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1034077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034096 */     // MIs[0] policy
     /* 1034096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1034109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1034125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034128 */     // GIR_Coverage, 13374,
     /* 1034128 */     GIR_EraseRootFromParent_Done,
     /* 1034129 */   // Label 15320: @1034129
     /* 1034129 */   GIM_Try, /*On fail goto*//*Label 15321*/ GIMT_Encode4(1034206), // Rule ID 13375 //
     /* 1034134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1034137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1034145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1034148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1034154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1034173 */     // MIs[0] policy
     /* 1034173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034183 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11487:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1),
     /* 1034186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1034202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034205 */     // GIR_Coverage, 13375,
     /* 1034205 */     GIR_EraseRootFromParent_Done,
     /* 1034206 */   // Label 15321: @1034206
     /* 1034206 */   GIM_Try, /*On fail goto*//*Label 15322*/ GIMT_Encode4(1034283), // Rule ID 13378 //
     /* 1034211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1034222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1034225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034250 */     // MIs[0] policy
     /* 1034250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034260 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034282 */     // GIR_Coverage, 13378,
     /* 1034282 */     GIR_EraseRootFromParent_Done,
     /* 1034283 */   // Label 15322: @1034283
     /* 1034283 */   GIM_Try, /*On fail goto*//*Label 15323*/ GIMT_Encode4(1034360), // Rule ID 13379 //
     /* 1034288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1034299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1034302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1034308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034327 */     // MIs[0] policy
     /* 1034327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034337 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034359 */     // GIR_Coverage, 13379,
     /* 1034359 */     GIR_EraseRootFromParent_Done,
     /* 1034360 */   // Label 15323: @1034360
     /* 1034360 */   GIM_Try, /*On fail goto*//*Label 15324*/ GIMT_Encode4(1034437), // Rule ID 13382 //
     /* 1034365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1034376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1034379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034404 */     // MIs[0] policy
     /* 1034404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034414 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034436 */     // GIR_Coverage, 13382,
     /* 1034436 */     GIR_EraseRootFromParent_Done,
     /* 1034437 */   // Label 15324: @1034437
     /* 1034437 */   GIM_Try, /*On fail goto*//*Label 15325*/ GIMT_Encode4(1034514), // Rule ID 13383 //
     /* 1034442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1034453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1034456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1034462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034481 */     // MIs[0] policy
     /* 1034481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034491 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034513 */     // GIR_Coverage, 13383,
     /* 1034513 */     GIR_EraseRootFromParent_Done,
     /* 1034514 */   // Label 15325: @1034514
     /* 1034514 */   GIM_Try, /*On fail goto*//*Label 15326*/ GIMT_Encode4(1034591), // Rule ID 13386 //
     /* 1034519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1034530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1034533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1034539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034558 */     // MIs[0] policy
     /* 1034558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034590 */     // GIR_Coverage, 13386,
     /* 1034590 */     GIR_EraseRootFromParent_Done,
     /* 1034591 */   // Label 15326: @1034591
     /* 1034591 */   GIM_Try, /*On fail goto*//*Label 15327*/ GIMT_Encode4(1034668), // Rule ID 13387 //
     /* 1034596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1034607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1034610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1034616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1034635 */     // MIs[0] policy
     /* 1034635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034645 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1034648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1034664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034667 */     // GIR_Coverage, 13387,
     /* 1034667 */     GIR_EraseRootFromParent_Done,
     /* 1034668 */   // Label 15327: @1034668
     /* 1034668 */   GIM_Try, /*On fail goto*//*Label 15328*/ GIMT_Encode4(1034745), // Rule ID 13390 //
     /* 1034673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034712 */     // MIs[0] policy
     /* 1034712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034744 */     // GIR_Coverage, 13390,
     /* 1034744 */     GIR_EraseRootFromParent_Done,
     /* 1034745 */   // Label 15328: @1034745
     /* 1034745 */   GIM_Try, /*On fail goto*//*Label 15329*/ GIMT_Encode4(1034822), // Rule ID 13391 //
     /* 1034750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1034761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1034764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1034770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1034789 */     // MIs[0] policy
     /* 1034789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1034802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034821 */     // GIR_Coverage, 13391,
     /* 1034821 */     GIR_EraseRootFromParent_Done,
     /* 1034822 */   // Label 15329: @1034822
     /* 1034822 */   GIM_Try, /*On fail goto*//*Label 15330*/ GIMT_Encode4(1034899), // Rule ID 13394 //
     /* 1034827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1034850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034866 */     // MIs[0] policy
     /* 1034866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1034876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034898 */     // GIR_Coverage, 13394,
     /* 1034898 */     GIR_EraseRootFromParent_Done,
     /* 1034899 */   // Label 15330: @1034899
     /* 1034899 */   GIM_Try, /*On fail goto*//*Label 15331*/ GIMT_Encode4(1034976), // Rule ID 13395 //
     /* 1034904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1034907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1034915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1034918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1034921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1034924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1034927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1034939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1034943 */     // MIs[0] policy
     /* 1034943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1034946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1034953 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1034953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1034956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1034958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1034960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1034962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1034964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1034969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1034972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1034974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1034975 */     // GIR_Coverage, 13395,
     /* 1034975 */     GIR_EraseRootFromParent_Done,
     /* 1034976 */   // Label 15331: @1034976
     /* 1034976 */   GIM_Try, /*On fail goto*//*Label 15332*/ GIMT_Encode4(1035053), // Rule ID 13398 //
     /* 1034981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1034984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1034989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1034992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1034995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1034998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1035001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035020 */     // MIs[0] policy
     /* 1035020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035030 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035052 */     // GIR_Coverage, 13398,
     /* 1035052 */     GIR_EraseRootFromParent_Done,
     /* 1035053 */   // Label 15332: @1035053
     /* 1035053 */   GIM_Try, /*On fail goto*//*Label 15333*/ GIMT_Encode4(1035130), // Rule ID 13399 //
     /* 1035058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1035069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1035072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1035078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035097 */     // MIs[0] policy
     /* 1035097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035107 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1035126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035129 */     // GIR_Coverage, 13399,
     /* 1035129 */     GIR_EraseRootFromParent_Done,
     /* 1035130 */   // Label 15333: @1035130
     /* 1035130 */   GIM_Try, /*On fail goto*//*Label 15334*/ GIMT_Encode4(1035207), // Rule ID 13402 //
     /* 1035135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035174 */     // MIs[0] policy
     /* 1035174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1035187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035206 */     // GIR_Coverage, 13402,
     /* 1035206 */     GIR_EraseRootFromParent_Done,
     /* 1035207 */   // Label 15334: @1035207
     /* 1035207 */   GIM_Try, /*On fail goto*//*Label 15335*/ GIMT_Encode4(1035284), // Rule ID 13403 //
     /* 1035212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1035223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1035226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1035232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035251 */     // MIs[0] policy
     /* 1035251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035261 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1035264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035283 */     // GIR_Coverage, 13403,
     /* 1035283 */     GIR_EraseRootFromParent_Done,
     /* 1035284 */   // Label 15335: @1035284
     /* 1035284 */   GIM_Try, /*On fail goto*//*Label 15336*/ GIMT_Encode4(1035361), // Rule ID 13406 //
     /* 1035289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035328 */     // MIs[0] policy
     /* 1035328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035338 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1035341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035360 */     // GIR_Coverage, 13406,
     /* 1035360 */     GIR_EraseRootFromParent_Done,
     /* 1035361 */   // Label 15336: @1035361
     /* 1035361 */   GIM_Try, /*On fail goto*//*Label 15337*/ GIMT_Encode4(1035438), // Rule ID 13407 //
     /* 1035366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1035377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1035380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1035386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035405 */     // MIs[0] policy
     /* 1035405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035415 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1035418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035437 */     // GIR_Coverage, 13407,
     /* 1035437 */     GIR_EraseRootFromParent_Done,
     /* 1035438 */   // Label 15337: @1035438
     /* 1035438 */   GIM_Try, /*On fail goto*//*Label 15338*/ GIMT_Encode4(1035515), // Rule ID 13410 //
     /* 1035443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1035446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1035463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035482 */     // MIs[0] policy
     /* 1035482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035514 */     // GIR_Coverage, 13410,
     /* 1035514 */     GIR_EraseRootFromParent_Done,
     /* 1035515 */   // Label 15338: @1035515
     /* 1035515 */   GIM_Try, /*On fail goto*//*Label 15339*/ GIMT_Encode4(1035592), // Rule ID 13411 //
     /* 1035520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1035523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1035531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1035534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1035540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035559 */     // MIs[0] policy
     /* 1035559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035569 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1035588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035591 */     // GIR_Coverage, 13411,
     /* 1035591 */     GIR_EraseRootFromParent_Done,
     /* 1035592 */   // Label 15339: @1035592
     /* 1035592 */   GIM_Try, /*On fail goto*//*Label 15340*/ GIMT_Encode4(1035669), // Rule ID 13414 //
     /* 1035597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1035617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035636 */     // MIs[0] policy
     /* 1035636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035646 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1035649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035668 */     // GIR_Coverage, 13414,
     /* 1035668 */     GIR_EraseRootFromParent_Done,
     /* 1035669 */   // Label 15340: @1035669
     /* 1035669 */   GIM_Try, /*On fail goto*//*Label 15341*/ GIMT_Encode4(1035746), // Rule ID 13415 //
     /* 1035674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1035685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1035688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1035694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1035713 */     // MIs[0] policy
     /* 1035713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035723 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11487:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2),
     /* 1035726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035745 */     // GIR_Coverage, 13415,
     /* 1035745 */     GIR_EraseRootFromParent_Done,
     /* 1035746 */   // Label 15341: @1035746
     /* 1035746 */   GIM_Try, /*On fail goto*//*Label 15342*/ GIMT_Encode4(1035823), // Rule ID 13418 //
     /* 1035751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1035771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035790 */     // MIs[0] policy
     /* 1035790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035800 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1035803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035822 */     // GIR_Coverage, 13418,
     /* 1035822 */     GIR_EraseRootFromParent_Done,
     /* 1035823 */   // Label 15342: @1035823
     /* 1035823 */   GIM_Try, /*On fail goto*//*Label 15343*/ GIMT_Encode4(1035900), // Rule ID 13419 //
     /* 1035828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1035839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1035842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1035848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1035851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1035867 */     // MIs[0] policy
     /* 1035867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035877 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11487:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1035877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4),
     /* 1035880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035899 */     // GIR_Coverage, 13419,
     /* 1035899 */     GIR_EraseRootFromParent_Done,
     /* 1035900 */   // Label 15343: @1035900
     /* 1035900 */   GIM_Try, /*On fail goto*//*Label 15344*/ GIMT_Encode4(1035977), // Rule ID 13422 //
     /* 1035905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1035908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1035922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1035925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1035928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1035940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1035944 */     // MIs[0] policy
     /* 1035944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1035947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1035954 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1035954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1035957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1035959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1035961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1035963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1035965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1035970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1035973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1035975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1035976 */     // GIR_Coverage, 13422,
     /* 1035976 */     GIR_EraseRootFromParent_Done,
     /* 1035977 */   // Label 15344: @1035977
     /* 1035977 */   GIM_Try, /*On fail goto*//*Label 15345*/ GIMT_Encode4(1036054), // Rule ID 13423 //
     /* 1035982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1035985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac),
     /* 1035990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1035993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1035996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1035999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1036002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1036017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036021 */     // MIs[0] policy
     /* 1036021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036031 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11487:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8),
     /* 1036034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1036050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036053 */     // GIR_Coverage, 13423,
     /* 1036053 */     GIR_EraseRootFromParent_Done,
     /* 1036054 */   // Label 15345: @1036054
     /* 1036054 */   GIM_Try, /*On fail goto*//*Label 15346*/ GIMT_Encode4(1036131), // Rule ID 13426 //
     /* 1036059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1036076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036098 */     // MIs[0] policy
     /* 1036098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036108 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1036111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036130 */     // GIR_Coverage, 13426,
     /* 1036130 */     GIR_EraseRootFromParent_Done,
     /* 1036131 */   // Label 15346: @1036131
     /* 1036131 */   GIM_Try, /*On fail goto*//*Label 15347*/ GIMT_Encode4(1036208), // Rule ID 13427 //
     /* 1036136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1036147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1036150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1036153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1036156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036175 */     // MIs[0] policy
     /* 1036175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036185 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8),
     /* 1036188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036207 */     // GIR_Coverage, 13427,
     /* 1036207 */     GIR_EraseRootFromParent_Done,
     /* 1036208 */   // Label 15347: @1036208
     /* 1036208 */   GIM_Try, /*On fail goto*//*Label 15348*/ GIMT_Encode4(1036285), // Rule ID 13430 //
     /* 1036213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036252 */     // MIs[0] policy
     /* 1036252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036262 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1036265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036284 */     // GIR_Coverage, 13430,
     /* 1036284 */     GIR_EraseRootFromParent_Done,
     /* 1036285 */   // Label 15348: @1036285
     /* 1036285 */   GIM_Try, /*On fail goto*//*Label 15349*/ GIMT_Encode4(1036362), // Rule ID 13431 //
     /* 1036290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1036301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1036304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1036307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1036310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036329 */     // MIs[0] policy
     /* 1036329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1036342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036361 */     // GIR_Coverage, 13431,
     /* 1036361 */     GIR_EraseRootFromParent_Done,
     /* 1036362 */   // Label 15349: @1036362
     /* 1036362 */   GIM_Try, /*On fail goto*//*Label 15350*/ GIMT_Encode4(1036439), // Rule ID 13434 //
     /* 1036367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036406 */     // MIs[0] policy
     /* 1036406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036416 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1036419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036438 */     // GIR_Coverage, 13434,
     /* 1036438 */     GIR_EraseRootFromParent_Done,
     /* 1036439 */   // Label 15350: @1036439
     /* 1036439 */   GIM_Try, /*On fail goto*//*Label 15351*/ GIMT_Encode4(1036516), // Rule ID 13435 //
     /* 1036444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1036455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1036458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1036461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1036464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036483 */     // MIs[0] policy
     /* 1036483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036493 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1036496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036515 */     // GIR_Coverage, 13435,
     /* 1036515 */     GIR_EraseRootFromParent_Done,
     /* 1036516 */   // Label 15351: @1036516
     /* 1036516 */   GIM_Try, /*On fail goto*//*Label 15352*/ GIMT_Encode4(1036593), // Rule ID 13438 //
     /* 1036521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036560 */     // MIs[0] policy
     /* 1036560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1036573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036592 */     // GIR_Coverage, 13438,
     /* 1036592 */     GIR_EraseRootFromParent_Done,
     /* 1036593 */   // Label 15352: @1036593
     /* 1036593 */   GIM_Try, /*On fail goto*//*Label 15353*/ GIMT_Encode4(1036670), // Rule ID 13439 //
     /* 1036598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1036609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1036612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1036615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1036618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1036637 */     // MIs[0] policy
     /* 1036637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036647 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1036650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036669 */     // GIR_Coverage, 13439,
     /* 1036669 */     GIR_EraseRootFromParent_Done,
     /* 1036670 */   // Label 15353: @1036670
     /* 1036670 */   GIM_Try, /*On fail goto*//*Label 15354*/ GIMT_Encode4(1036747), // Rule ID 13442 //
     /* 1036675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036714 */     // MIs[0] policy
     /* 1036714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1036727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036746 */     // GIR_Coverage, 13442,
     /* 1036746 */     GIR_EraseRootFromParent_Done,
     /* 1036747 */   // Label 15354: @1036747
     /* 1036747 */   GIM_Try, /*On fail goto*//*Label 15355*/ GIMT_Encode4(1036824), // Rule ID 13443 //
     /* 1036752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1036763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1036766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1036769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1036772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1036791 */     // MIs[0] policy
     /* 1036791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036801 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1036804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036823 */     // GIR_Coverage, 13443,
     /* 1036823 */     GIR_EraseRootFromParent_Done,
     /* 1036824 */   // Label 15355: @1036824
     /* 1036824 */   GIM_Try, /*On fail goto*//*Label 15356*/ GIMT_Encode4(1036901), // Rule ID 13446 //
     /* 1036829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1036852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036868 */     // MIs[0] policy
     /* 1036868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036878 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1036878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1036881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036900 */     // GIR_Coverage, 13446,
     /* 1036900 */     GIR_EraseRootFromParent_Done,
     /* 1036901 */   // Label 15356: @1036901
     /* 1036901 */   GIM_Try, /*On fail goto*//*Label 15357*/ GIMT_Encode4(1036978), // Rule ID 13447 //
     /* 1036906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1036909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1036917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1036920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1036923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1036926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1036929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1036937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1036945 */     // MIs[0] policy
     /* 1036945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1036948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1036955 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1036955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1036958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1036960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1036962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1036964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1036966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1036971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1036974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1036976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1036977 */     // GIR_Coverage, 13447,
     /* 1036977 */     GIR_EraseRootFromParent_Done,
     /* 1036978 */   // Label 15357: @1036978
     /* 1036978 */   GIM_Try, /*On fail goto*//*Label 15358*/ GIMT_Encode4(1037055), // Rule ID 13450 //
     /* 1036983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1036986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1036991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1036994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1036997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1037000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1037003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037022 */     // MIs[0] policy
     /* 1037022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1037035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037054 */     // GIR_Coverage, 13450,
     /* 1037054 */     GIR_EraseRootFromParent_Done,
     /* 1037055 */   // Label 15358: @1037055
     /* 1037055 */   GIM_Try, /*On fail goto*//*Label 15359*/ GIMT_Encode4(1037132), // Rule ID 13451 //
     /* 1037060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1037071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1037074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1037077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1037080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037099 */     // MIs[0] policy
     /* 1037099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4),
     /* 1037112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037131 */     // GIR_Coverage, 13451,
     /* 1037131 */     GIR_EraseRootFromParent_Done,
     /* 1037132 */   // Label 15359: @1037132
     /* 1037132 */   GIM_Try, /*On fail goto*//*Label 15360*/ GIMT_Encode4(1037209), // Rule ID 13454 //
     /* 1037137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1037154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037176 */     // MIs[0] policy
     /* 1037176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11651:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1037189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037208 */     // GIR_Coverage, 13454,
     /* 1037208 */     GIR_EraseRootFromParent_Done,
     /* 1037209 */   // Label 15360: @1037209
     /* 1037209 */   GIM_Try, /*On fail goto*//*Label 15361*/ GIMT_Encode4(1037286), // Rule ID 13455 //
     /* 1037214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1037225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1037228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1037231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1037234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037253 */     // MIs[0] policy
     /* 1037253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037263 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11651:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1037266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037285 */     // GIR_Coverage, 13455,
     /* 1037285 */     GIR_EraseRootFromParent_Done,
     /* 1037286 */   // Label 15361: @1037286
     /* 1037286 */   GIM_Try, /*On fail goto*//*Label 15362*/ GIMT_Encode4(1037363), // Rule ID 13458 //
     /* 1037291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037330 */     // MIs[0] policy
     /* 1037330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1037343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037362 */     // GIR_Coverage, 13458,
     /* 1037362 */     GIR_EraseRootFromParent_Done,
     /* 1037363 */   // Label 15362: @1037363
     /* 1037363 */   GIM_Try, /*On fail goto*//*Label 15363*/ GIMT_Encode4(1037440), // Rule ID 13459 //
     /* 1037368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1037379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1037382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1037385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1037388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037407 */     // MIs[0] policy
     /* 1037407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037417 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1037420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037439 */     // GIR_Coverage, 13459,
     /* 1037439 */     GIR_EraseRootFromParent_Done,
     /* 1037440 */   // Label 15363: @1037440
     /* 1037440 */   GIM_Try, /*On fail goto*//*Label 15364*/ GIMT_Encode4(1037517), // Rule ID 13462 //
     /* 1037445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037484 */     // MIs[0] policy
     /* 1037484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1037497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037516 */     // GIR_Coverage, 13462,
     /* 1037516 */     GIR_EraseRootFromParent_Done,
     /* 1037517 */   // Label 15364: @1037517
     /* 1037517 */   GIM_Try, /*On fail goto*//*Label 15365*/ GIMT_Encode4(1037594), // Rule ID 13463 //
     /* 1037522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1037533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1037536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1037539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1037542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037561 */     // MIs[0] policy
     /* 1037561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037571 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1037574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037593 */     // GIR_Coverage, 13463,
     /* 1037593 */     GIR_EraseRootFromParent_Done,
     /* 1037594 */   // Label 15365: @1037594
     /* 1037594 */   GIM_Try, /*On fail goto*//*Label 15366*/ GIMT_Encode4(1037671), // Rule ID 13466 //
     /* 1037599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1037602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037638 */     // MIs[0] policy
     /* 1037638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037648 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037670 */     // GIR_Coverage, 13466,
     /* 1037670 */     GIR_EraseRootFromParent_Done,
     /* 1037671 */   // Label 15366: @1037671
     /* 1037671 */   GIM_Try, /*On fail goto*//*Label 15367*/ GIMT_Encode4(1037748), // Rule ID 13467 //
     /* 1037676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1037679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1037687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1037690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1037693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1037696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1037707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1037715 */     // MIs[0] policy
     /* 1037715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037725 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1037728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1037744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037747 */     // GIR_Coverage, 13467,
     /* 1037747 */     GIR_EraseRootFromParent_Done,
     /* 1037748 */   // Label 15367: @1037748
     /* 1037748 */   GIM_Try, /*On fail goto*//*Label 15368*/ GIMT_Encode4(1037825), // Rule ID 13470 //
     /* 1037753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037792 */     // MIs[0] policy
     /* 1037792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1037805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037824 */     // GIR_Coverage, 13470,
     /* 1037824 */     GIR_EraseRootFromParent_Done,
     /* 1037825 */   // Label 15368: @1037825
     /* 1037825 */   GIM_Try, /*On fail goto*//*Label 15369*/ GIMT_Encode4(1037902), // Rule ID 13471 //
     /* 1037830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1037841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1037844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1037847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1037850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1037853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037869 */     // MIs[0] policy
     /* 1037869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037879 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1037879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2),
     /* 1037882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037901 */     // GIR_Coverage, 13471,
     /* 1037901 */     GIR_EraseRootFromParent_Done,
     /* 1037902 */   // Label 15369: @1037902
     /* 1037902 */   GIM_Try, /*On fail goto*//*Label 15370*/ GIMT_Encode4(1037979), // Rule ID 13474 //
     /* 1037907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1037910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1037924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1037927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1037930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1037938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1037946 */     // MIs[0] policy
     /* 1037946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1037949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1037956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1037956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1037959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1037961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1037963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1037965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1037967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1037972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1037975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1037977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1037978 */     // GIR_Coverage, 13474,
     /* 1037978 */     GIR_EraseRootFromParent_Done,
     /* 1037979 */   // Label 15370: @1037979
     /* 1037979 */   GIM_Try, /*On fail goto*//*Label 15371*/ GIMT_Encode4(1038056), // Rule ID 13475 //
     /* 1037984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1037987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1037992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1037995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1037998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1038001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1038004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038023 */     // MIs[0] policy
     /* 1038023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1),
     /* 1038036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038055 */     // GIR_Coverage, 13475,
     /* 1038055 */     GIR_EraseRootFromParent_Done,
     /* 1038056 */   // Label 15371: @1038056
     /* 1038056 */   GIM_Try, /*On fail goto*//*Label 15372*/ GIMT_Encode4(1038133), // Rule ID 13478 //
     /* 1038061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1038072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1038075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038100 */     // MIs[0] policy
     /* 1038100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038110 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1038113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038132 */     // GIR_Coverage, 13478,
     /* 1038132 */     GIR_EraseRootFromParent_Done,
     /* 1038133 */   // Label 15372: @1038133
     /* 1038133 */   GIM_Try, /*On fail goto*//*Label 15373*/ GIMT_Encode4(1038210), // Rule ID 13479 //
     /* 1038138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1038149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1038152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1038155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1038158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038177 */     // MIs[0] policy
     /* 1038177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2),
     /* 1038190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038209 */     // GIR_Coverage, 13479,
     /* 1038209 */     GIR_EraseRootFromParent_Done,
     /* 1038210 */   // Label 15373: @1038210
     /* 1038210 */   GIM_Try, /*On fail goto*//*Label 15374*/ GIMT_Encode4(1038287), // Rule ID 13482 //
     /* 1038215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1038218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038254 */     // MIs[0] policy
     /* 1038254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1038267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038286 */     // GIR_Coverage, 13482,
     /* 1038286 */     GIR_EraseRootFromParent_Done,
     /* 1038287 */   // Label 15374: @1038287
     /* 1038287 */   GIM_Try, /*On fail goto*//*Label 15375*/ GIMT_Encode4(1038364), // Rule ID 13483 //
     /* 1038292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1038295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1038303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1038306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1038309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1038312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1038323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1038331 */     // MIs[0] policy
     /* 1038331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038341 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4),
     /* 1038344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1038360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038363 */     // GIR_Coverage, 13483,
     /* 1038363 */     GIR_EraseRootFromParent_Done,
     /* 1038364 */   // Label 15375: @1038364
     /* 1038364 */   GIM_Try, /*On fail goto*//*Label 15376*/ GIMT_Encode4(1038441), // Rule ID 13486 //
     /* 1038369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038408 */     // MIs[0] policy
     /* 1038408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038418 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1038421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038440 */     // GIR_Coverage, 13486,
     /* 1038440 */     GIR_EraseRootFromParent_Done,
     /* 1038441 */   // Label 15376: @1038441
     /* 1038441 */   GIM_Try, /*On fail goto*//*Label 15377*/ GIMT_Encode4(1038518), // Rule ID 13487 //
     /* 1038446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1038457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1038460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1038466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038485 */     // MIs[0] policy
     /* 1038485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038495 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8),
     /* 1038498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038517 */     // GIR_Coverage, 13487,
     /* 1038517 */     GIR_EraseRootFromParent_Done,
     /* 1038518 */   // Label 15377: @1038518
     /* 1038518 */   GIM_Try, /*On fail goto*//*Label 15378*/ GIMT_Encode4(1038595), // Rule ID 13490 //
     /* 1038523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038562 */     // MIs[0] policy
     /* 1038562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1038575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038594 */     // GIR_Coverage, 13490,
     /* 1038594 */     GIR_EraseRootFromParent_Done,
     /* 1038595 */   // Label 15378: @1038595
     /* 1038595 */   GIM_Try, /*On fail goto*//*Label 15379*/ GIMT_Encode4(1038672), // Rule ID 13491 //
     /* 1038600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1038611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1038614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1038620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038639 */     // MIs[0] policy
     /* 1038639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1038652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038671 */     // GIR_Coverage, 13491,
     /* 1038671 */     GIR_EraseRootFromParent_Done,
     /* 1038672 */   // Label 15379: @1038672
     /* 1038672 */   GIM_Try, /*On fail goto*//*Label 15380*/ GIMT_Encode4(1038749), // Rule ID 13494 //
     /* 1038677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038716 */     // MIs[0] policy
     /* 1038716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1038729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038748 */     // GIR_Coverage, 13494,
     /* 1038748 */     GIR_EraseRootFromParent_Done,
     /* 1038749 */   // Label 15380: @1038749
     /* 1038749 */   GIM_Try, /*On fail goto*//*Label 15381*/ GIMT_Encode4(1038826), // Rule ID 13495 //
     /* 1038754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1038765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1038768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1038774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038793 */     // MIs[0] policy
     /* 1038793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038803 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11651:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1038806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038825 */     // GIR_Coverage, 13495,
     /* 1038825 */     GIR_EraseRootFromParent_Done,
     /* 1038826 */   // Label 15381: @1038826
     /* 1038826 */   GIM_Try, /*On fail goto*//*Label 15382*/ GIMT_Encode4(1038903), // Rule ID 13498 //
     /* 1038831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1038848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1038854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038870 */     // MIs[0] policy
     /* 1038870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038880 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1038880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1038883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038902 */     // GIR_Coverage, 13498,
     /* 1038902 */     GIR_EraseRootFromParent_Done,
     /* 1038903 */   // Label 15382: @1038903
     /* 1038903 */   GIM_Try, /*On fail goto*//*Label 15383*/ GIMT_Encode4(1038980), // Rule ID 13499 //
     /* 1038908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1038911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1038919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1038922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1038925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1038928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1038931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1038939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1038943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1038947 */     // MIs[0] policy
     /* 1038947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1038950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1038957 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1038957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1038960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1038962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1038964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1038966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1038968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1038973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1038976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1038978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1038979 */     // GIR_Coverage, 13499,
     /* 1038979 */     GIR_EraseRootFromParent_Done,
     /* 1038980 */   // Label 15383: @1038980
     /* 1038980 */   GIM_Try, /*On fail goto*//*Label 15384*/ GIMT_Encode4(1039057), // Rule ID 13502 //
     /* 1038985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1038988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1038993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1038996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1038999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1039005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039024 */     // MIs[0] policy
     /* 1039024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039034 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039056 */     // GIR_Coverage, 13502,
     /* 1039056 */     GIR_EraseRootFromParent_Done,
     /* 1039057 */   // Label 15384: @1039057
     /* 1039057 */   GIM_Try, /*On fail goto*//*Label 15385*/ GIMT_Encode4(1039134), // Rule ID 13503 //
     /* 1039062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1039073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1039076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1039082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039101 */     // MIs[0] policy
     /* 1039101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039111 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039133 */     // GIR_Coverage, 13503,
     /* 1039133 */     GIR_EraseRootFromParent_Done,
     /* 1039134 */   // Label 15385: @1039134
     /* 1039134 */   GIM_Try, /*On fail goto*//*Label 15386*/ GIMT_Encode4(1039211), // Rule ID 13506 //
     /* 1039139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039178 */     // MIs[0] policy
     /* 1039178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039188 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039210 */     // GIR_Coverage, 13506,
     /* 1039210 */     GIR_EraseRootFromParent_Done,
     /* 1039211 */   // Label 15386: @1039211
     /* 1039211 */   GIM_Try, /*On fail goto*//*Label 15387*/ GIMT_Encode4(1039288), // Rule ID 13507 //
     /* 1039216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1039227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1039230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1039236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039255 */     // MIs[0] policy
     /* 1039255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039265 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1039284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039287 */     // GIR_Coverage, 13507,
     /* 1039287 */     GIR_EraseRootFromParent_Done,
     /* 1039288 */   // Label 15387: @1039288
     /* 1039288 */   GIM_Try, /*On fail goto*//*Label 15388*/ GIMT_Encode4(1039365), // Rule ID 13510 //
     /* 1039293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039332 */     // MIs[0] policy
     /* 1039332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039342 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1039345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039364 */     // GIR_Coverage, 13510,
     /* 1039364 */     GIR_EraseRootFromParent_Done,
     /* 1039365 */   // Label 15388: @1039365
     /* 1039365 */   GIM_Try, /*On fail goto*//*Label 15389*/ GIMT_Encode4(1039442), // Rule ID 13511 //
     /* 1039370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1039381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1039384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1039390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039409 */     // MIs[0] policy
     /* 1039409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039419 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4),
     /* 1039422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039441 */     // GIR_Coverage, 13511,
     /* 1039441 */     GIR_EraseRootFromParent_Done,
     /* 1039442 */   // Label 15389: @1039442
     /* 1039442 */   GIM_Try, /*On fail goto*//*Label 15390*/ GIMT_Encode4(1039519), // Rule ID 13514 //
     /* 1039447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039486 */     // MIs[0] policy
     /* 1039486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11651:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1039499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039518 */     // GIR_Coverage, 13514,
     /* 1039518 */     GIR_EraseRootFromParent_Done,
     /* 1039519 */   // Label 15390: @1039519
     /* 1039519 */   GIM_Try, /*On fail goto*//*Label 15391*/ GIMT_Encode4(1039596), // Rule ID 13515 //
     /* 1039524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1039535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1039538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1039544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039563 */     // MIs[0] policy
     /* 1039563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039573 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11651:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1039576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039595 */     // GIR_Coverage, 13515,
     /* 1039595 */     GIR_EraseRootFromParent_Done,
     /* 1039596 */   // Label 15391: @1039596
     /* 1039596 */   GIM_Try, /*On fail goto*//*Label 15392*/ GIMT_Encode4(1039673), // Rule ID 13518 //
     /* 1039601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039640 */     // MIs[0] policy
     /* 1039640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039672 */     // GIR_Coverage, 13518,
     /* 1039672 */     GIR_EraseRootFromParent_Done,
     /* 1039673 */   // Label 15392: @1039673
     /* 1039673 */   GIM_Try, /*On fail goto*//*Label 15393*/ GIMT_Encode4(1039750), // Rule ID 13519 //
     /* 1039678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1039689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1039692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1039698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1039717 */     // MIs[0] policy
     /* 1039717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039727 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1039730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039749 */     // GIR_Coverage, 13519,
     /* 1039749 */     GIR_EraseRootFromParent_Done,
     /* 1039750 */   // Label 15393: @1039750
     /* 1039750 */   GIM_Try, /*On fail goto*//*Label 15394*/ GIMT_Encode4(1039827), // Rule ID 13522 //
     /* 1039755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039794 */     // MIs[0] policy
     /* 1039794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039826 */     // GIR_Coverage, 13522,
     /* 1039826 */     GIR_EraseRootFromParent_Done,
     /* 1039827 */   // Label 15394: @1039827
     /* 1039827 */   GIM_Try, /*On fail goto*//*Label 15395*/ GIMT_Encode4(1039904), // Rule ID 13523 //
     /* 1039832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1039843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1039846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1039849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1039852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1039855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1039871 */     // MIs[0] policy
     /* 1039871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1039881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1039884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039903 */     // GIR_Coverage, 13523,
     /* 1039903 */     GIR_EraseRootFromParent_Done,
     /* 1039904 */   // Label 15395: @1039904
     /* 1039904 */   GIM_Try, /*On fail goto*//*Label 15396*/ GIMT_Encode4(1039981), // Rule ID 13526 //
     /* 1039909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1039912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1039923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1039926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1039929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1039932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1039940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1039944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1039948 */     // MIs[0] policy
     /* 1039948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1039951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1039958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1039958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1039961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1039963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1039965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1039967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1039969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1039974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1039977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1039979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1039980 */     // GIR_Coverage, 13526,
     /* 1039980 */     GIR_EraseRootFromParent_Done,
     /* 1039981 */   // Label 15396: @1039981
     /* 1039981 */   GIM_Try, /*On fail goto*//*Label 15397*/ GIMT_Encode4(1040058), // Rule ID 13527 //
     /* 1039986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1039989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1039994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1039997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1040000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1040006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040025 */     // MIs[0] policy
     /* 1040025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040035 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1040038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1040054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040057 */     // GIR_Coverage, 13527,
     /* 1040057 */     GIR_EraseRootFromParent_Done,
     /* 1040058 */   // Label 15397: @1040058
     /* 1040058 */   GIM_Try, /*On fail goto*//*Label 15398*/ GIMT_Encode4(1040135), // Rule ID 13530 //
     /* 1040063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040102 */     // MIs[0] policy
     /* 1040102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1040115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040134 */     // GIR_Coverage, 13530,
     /* 1040134 */     GIR_EraseRootFromParent_Done,
     /* 1040135 */   // Label 15398: @1040135
     /* 1040135 */   GIM_Try, /*On fail goto*//*Label 15399*/ GIMT_Encode4(1040212), // Rule ID 13531 //
     /* 1040140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1040151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1040154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1040160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040179 */     // MIs[0] policy
     /* 1040179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11651:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2),
     /* 1040192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040211 */     // GIR_Coverage, 13531,
     /* 1040211 */     GIR_EraseRootFromParent_Done,
     /* 1040212 */   // Label 15399: @1040212
     /* 1040212 */   GIM_Try, /*On fail goto*//*Label 15400*/ GIMT_Encode4(1040289), // Rule ID 13534 //
     /* 1040217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040256 */     // MIs[0] policy
     /* 1040256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1040269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040288 */     // GIR_Coverage, 13534,
     /* 1040288 */     GIR_EraseRootFromParent_Done,
     /* 1040289 */   // Label 15400: @1040289
     /* 1040289 */   GIM_Try, /*On fail goto*//*Label 15401*/ GIMT_Encode4(1040366), // Rule ID 13535 //
     /* 1040294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1040305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1040308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1040314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040333 */     // MIs[0] policy
     /* 1040333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040343 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11651:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1),
     /* 1040346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040365 */     // GIR_Coverage, 13535,
     /* 1040365 */     GIR_EraseRootFromParent_Done,
     /* 1040366 */   // Label 15401: @1040366
     /* 1040366 */   GIM_Try, /*On fail goto*//*Label 15402*/ GIMT_Encode4(1040443), // Rule ID 13538 //
     /* 1040371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040410 */     // MIs[0] policy
     /* 1040410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040420 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1040423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040442 */     // GIR_Coverage, 13538,
     /* 1040442 */     GIR_EraseRootFromParent_Done,
     /* 1040443 */   // Label 15402: @1040443
     /* 1040443 */   GIM_Try, /*On fail goto*//*Label 15403*/ GIMT_Encode4(1040520), // Rule ID 13539 //
     /* 1040448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1040459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1040462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1040468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1040487 */     // MIs[0] policy
     /* 1040487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040497 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11651:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2),
     /* 1040500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040519 */     // GIR_Coverage, 13539,
     /* 1040519 */     GIR_EraseRootFromParent_Done,
     /* 1040520 */   // Label 15403: @1040520
     /* 1040520 */   GIM_Try, /*On fail goto*//*Label 15404*/ GIMT_Encode4(1040597), // Rule ID 13542 //
     /* 1040525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1040528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1040542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040564 */     // MIs[0] policy
     /* 1040564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040574 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1040577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040596 */     // GIR_Coverage, 13542,
     /* 1040596 */     GIR_EraseRootFromParent_Done,
     /* 1040597 */   // Label 15404: @1040597
     /* 1040597 */   GIM_Try, /*On fail goto*//*Label 15405*/ GIMT_Encode4(1040674), // Rule ID 13543 //
     /* 1040602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1040605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu),
     /* 1040610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1040613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1040616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1040619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1040622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1040633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1040637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1040641 */     // MIs[0] policy
     /* 1040641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040651 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11651:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4),
     /* 1040654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1040670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040673 */     // GIR_Coverage, 13543,
     /* 1040673 */     GIR_EraseRootFromParent_Done,
     /* 1040674 */   // Label 15405: @1040674
     /* 1040674 */   GIM_Try, /*On fail goto*//*Label 15406*/ GIMT_Encode4(1040751), // Rule ID 13546 //
     /* 1040679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040718 */     // MIs[0] policy
     /* 1040718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040728 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1040731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040750 */     // GIR_Coverage, 13546,
     /* 1040750 */     GIR_EraseRootFromParent_Done,
     /* 1040751 */   // Label 15406: @1040751
     /* 1040751 */   GIM_Try, /*On fail goto*//*Label 15407*/ GIMT_Encode4(1040828), // Rule ID 13547 //
     /* 1040756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1040767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1040770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1040773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1040776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040795 */     // MIs[0] policy
     /* 1040795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040805 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8),
     /* 1040808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040827 */     // GIR_Coverage, 13547,
     /* 1040827 */     GIR_EraseRootFromParent_Done,
     /* 1040828 */   // Label 15407: @1040828
     /* 1040828 */   GIM_Try, /*On fail goto*//*Label 15408*/ GIMT_Encode4(1040905), // Rule ID 13550 //
     /* 1040833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1040856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040872 */     // MIs[0] policy
     /* 1040872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040882 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1040882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1040885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040904 */     // GIR_Coverage, 13550,
     /* 1040904 */     GIR_EraseRootFromParent_Done,
     /* 1040905 */   // Label 15408: @1040905
     /* 1040905 */   GIM_Try, /*On fail goto*//*Label 15409*/ GIMT_Encode4(1040982), // Rule ID 13551 //
     /* 1040910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1040913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1040921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1040924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1040927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1040930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1040933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1040949 */     // MIs[0] policy
     /* 1040949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1040952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1040959 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1040959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1040962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1040964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1040966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1040968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1040970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1040975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1040978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1040980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1040981 */     // GIR_Coverage, 13551,
     /* 1040981 */     GIR_EraseRootFromParent_Done,
     /* 1040982 */   // Label 15409: @1040982
     /* 1040982 */   GIM_Try, /*On fail goto*//*Label 15410*/ GIMT_Encode4(1041059), // Rule ID 13554 //
     /* 1040987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1040990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1040995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1040998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1041004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1041007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041026 */     // MIs[0] policy
     /* 1041026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041036 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041058 */     // GIR_Coverage, 13554,
     /* 1041058 */     GIR_EraseRootFromParent_Done,
     /* 1041059 */   // Label 15410: @1041059
     /* 1041059 */   GIM_Try, /*On fail goto*//*Label 15411*/ GIMT_Encode4(1041136), // Rule ID 13555 //
     /* 1041064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1041075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1041078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1041081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1041084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041103 */     // MIs[0] policy
     /* 1041103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041113 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041135 */     // GIR_Coverage, 13555,
     /* 1041135 */     GIR_EraseRootFromParent_Done,
     /* 1041136 */   // Label 15411: @1041136
     /* 1041136 */   GIM_Try, /*On fail goto*//*Label 15412*/ GIMT_Encode4(1041213), // Rule ID 13558 //
     /* 1041141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1041158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1041161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041180 */     // MIs[0] policy
     /* 1041180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041212 */     // GIR_Coverage, 13558,
     /* 1041212 */     GIR_EraseRootFromParent_Done,
     /* 1041213 */   // Label 15412: @1041213
     /* 1041213 */   GIM_Try, /*On fail goto*//*Label 15413*/ GIMT_Encode4(1041290), // Rule ID 13559 //
     /* 1041218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1041229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1041232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1041235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1041238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041257 */     // MIs[0] policy
     /* 1041257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041267 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041289 */     // GIR_Coverage, 13559,
     /* 1041289 */     GIR_EraseRootFromParent_Done,
     /* 1041290 */   // Label 15413: @1041290
     /* 1041290 */   GIM_Try, /*On fail goto*//*Label 15414*/ GIMT_Encode4(1041367), // Rule ID 13562 //
     /* 1041295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041334 */     // MIs[0] policy
     /* 1041334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041344 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1041347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041366 */     // GIR_Coverage, 13562,
     /* 1041366 */     GIR_EraseRootFromParent_Done,
     /* 1041367 */   // Label 15414: @1041367
     /* 1041367 */   GIM_Try, /*On fail goto*//*Label 15415*/ GIMT_Encode4(1041444), // Rule ID 13563 //
     /* 1041372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1041383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1041386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1041389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1041392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041411 */     // MIs[0] policy
     /* 1041411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041421 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1041424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041443 */     // GIR_Coverage, 13563,
     /* 1041443 */     GIR_EraseRootFromParent_Done,
     /* 1041444 */   // Label 15415: @1041444
     /* 1041444 */   GIM_Try, /*On fail goto*//*Label 15416*/ GIMT_Encode4(1041521), // Rule ID 13566 //
     /* 1041449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041488 */     // MIs[0] policy
     /* 1041488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041498 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1041501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041520 */     // GIR_Coverage, 13566,
     /* 1041520 */     GIR_EraseRootFromParent_Done,
     /* 1041521 */   // Label 15416: @1041521
     /* 1041521 */   GIM_Try, /*On fail goto*//*Label 15417*/ GIMT_Encode4(1041598), // Rule ID 13567 //
     /* 1041526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1041537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1041540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1041543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1041546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1041557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1041565 */     // MIs[0] policy
     /* 1041565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041575 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1041578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1041594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041597 */     // GIR_Coverage, 13567,
     /* 1041597 */     GIR_EraseRootFromParent_Done,
     /* 1041598 */   // Label 15417: @1041598
     /* 1041598 */   GIM_Try, /*On fail goto*//*Label 15418*/ GIMT_Encode4(1041675), // Rule ID 13570 //
     /* 1041603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041642 */     // MIs[0] policy
     /* 1041642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1041655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041674 */     // GIR_Coverage, 13570,
     /* 1041674 */     GIR_EraseRootFromParent_Done,
     /* 1041675 */   // Label 15418: @1041675
     /* 1041675 */   GIM_Try, /*On fail goto*//*Label 15419*/ GIMT_Encode4(1041752), // Rule ID 13571 //
     /* 1041680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1041691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1041694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1041697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1041700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041719 */     // MIs[0] policy
     /* 1041719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041729 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4),
     /* 1041732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041751 */     // GIR_Coverage, 13571,
     /* 1041751 */     GIR_EraseRootFromParent_Done,
     /* 1041752 */   // Label 15419: @1041752
     /* 1041752 */   GIM_Try, /*On fail goto*//*Label 15420*/ GIMT_Encode4(1041829), // Rule ID 13574 //
     /* 1041757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041796 */     // MIs[0] policy
     /* 1041796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11647:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041828 */     // GIR_Coverage, 13574,
     /* 1041828 */     GIR_EraseRootFromParent_Done,
     /* 1041829 */   // Label 15420: @1041829
     /* 1041829 */   GIM_Try, /*On fail goto*//*Label 15421*/ GIMT_Encode4(1041906), // Rule ID 13575 //
     /* 1041834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1041845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1041848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1041851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1041854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1041857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041873 */     // MIs[0] policy
     /* 1041873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041883 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11647:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1041883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1041886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041905 */     // GIR_Coverage, 13575,
     /* 1041905 */     GIR_EraseRootFromParent_Done,
     /* 1041906 */   // Label 15421: @1041906
     /* 1041906 */   GIM_Try, /*On fail goto*//*Label 15422*/ GIMT_Encode4(1041983), // Rule ID 13578 //
     /* 1041911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1041914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1041925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1041928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1041931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1041934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1041942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1041950 */     // MIs[0] policy
     /* 1041950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1041953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1041960 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1041960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1041963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1041965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1041967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1041969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1041971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1041976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1041979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1041981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1041982 */     // GIR_Coverage, 13578,
     /* 1041982 */     GIR_EraseRootFromParent_Done,
     /* 1041983 */   // Label 15422: @1041983
     /* 1041983 */   GIM_Try, /*On fail goto*//*Label 15423*/ GIMT_Encode4(1042060), // Rule ID 13579 //
     /* 1041988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1041991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1041996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1041999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1042002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1042005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1042008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042027 */     // MIs[0] policy
     /* 1042027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042037 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1042040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042059 */     // GIR_Coverage, 13579,
     /* 1042059 */     GIR_EraseRootFromParent_Done,
     /* 1042060 */   // Label 15423: @1042060
     /* 1042060 */   GIM_Try, /*On fail goto*//*Label 15424*/ GIMT_Encode4(1042137), // Rule ID 13582 //
     /* 1042065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1042082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1042085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042104 */     // MIs[0] policy
     /* 1042104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042114 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1042117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042136 */     // GIR_Coverage, 13582,
     /* 1042136 */     GIR_EraseRootFromParent_Done,
     /* 1042137 */   // Label 15424: @1042137
     /* 1042137 */   GIM_Try, /*On fail goto*//*Label 15425*/ GIMT_Encode4(1042214), // Rule ID 13583 //
     /* 1042142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1042153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1042156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1042159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1042162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042181 */     // MIs[0] policy
     /* 1042181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042191 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1042194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042213 */     // GIR_Coverage, 13583,
     /* 1042213 */     GIR_EraseRootFromParent_Done,
     /* 1042214 */   // Label 15425: @1042214
     /* 1042214 */   GIM_Try, /*On fail goto*//*Label 15426*/ GIMT_Encode4(1042291), // Rule ID 13586 //
     /* 1042219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042258 */     // MIs[0] policy
     /* 1042258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1042271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042290 */     // GIR_Coverage, 13586,
     /* 1042290 */     GIR_EraseRootFromParent_Done,
     /* 1042291 */   // Label 15426: @1042291
     /* 1042291 */   GIM_Try, /*On fail goto*//*Label 15427*/ GIMT_Encode4(1042368), // Rule ID 13587 //
     /* 1042296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1042299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1042307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1042310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1042313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1042316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042335 */     // MIs[0] policy
     /* 1042335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1042348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1042364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042367 */     // GIR_Coverage, 13587,
     /* 1042367 */     GIR_EraseRootFromParent_Done,
     /* 1042368 */   // Label 15427: @1042368
     /* 1042368 */   GIM_Try, /*On fail goto*//*Label 15428*/ GIMT_Encode4(1042445), // Rule ID 13590 //
     /* 1042373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042412 */     // MIs[0] policy
     /* 1042412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1042425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042444 */     // GIR_Coverage, 13590,
     /* 1042444 */     GIR_EraseRootFromParent_Done,
     /* 1042445 */   // Label 15428: @1042445
     /* 1042445 */   GIM_Try, /*On fail goto*//*Label 15429*/ GIMT_Encode4(1042522), // Rule ID 13591 //
     /* 1042450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1042461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1042464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1042467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1042470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042489 */     // MIs[0] policy
     /* 1042489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042499 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2),
     /* 1042502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042521 */     // GIR_Coverage, 13591,
     /* 1042521 */     GIR_EraseRootFromParent_Done,
     /* 1042522 */   // Label 15429: @1042522
     /* 1042522 */   GIM_Try, /*On fail goto*//*Label 15430*/ GIMT_Encode4(1042599), // Rule ID 13594 //
     /* 1042527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042566 */     // MIs[0] policy
     /* 1042566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042576 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1042579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042598 */     // GIR_Coverage, 13594,
     /* 1042598 */     GIR_EraseRootFromParent_Done,
     /* 1042599 */   // Label 15430: @1042599
     /* 1042599 */   GIM_Try, /*On fail goto*//*Label 15431*/ GIMT_Encode4(1042676), // Rule ID 13595 //
     /* 1042604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1042615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1042618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1042621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1042624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1042643 */     // MIs[0] policy
     /* 1042643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042653 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1),
     /* 1042656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042675 */     // GIR_Coverage, 13595,
     /* 1042675 */     GIR_EraseRootFromParent_Done,
     /* 1042676 */   // Label 15431: @1042676
     /* 1042676 */   GIM_Try, /*On fail goto*//*Label 15432*/ GIMT_Encode4(1042753), // Rule ID 13598 //
     /* 1042681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042720 */     // MIs[0] policy
     /* 1042720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042730 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1042733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042752 */     // GIR_Coverage, 13598,
     /* 1042752 */     GIR_EraseRootFromParent_Done,
     /* 1042753 */   // Label 15432: @1042753
     /* 1042753 */   GIM_Try, /*On fail goto*//*Label 15433*/ GIMT_Encode4(1042830), // Rule ID 13599 //
     /* 1042758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1042769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1042772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1042775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1042778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1042797 */     // MIs[0] policy
     /* 1042797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042807 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2),
     /* 1042810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042829 */     // GIR_Coverage, 13599,
     /* 1042829 */     GIR_EraseRootFromParent_Done,
     /* 1042830 */   // Label 15433: @1042830
     /* 1042830 */   GIM_Try, /*On fail goto*//*Label 15434*/ GIMT_Encode4(1042907), // Rule ID 13602 //
     /* 1042835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1042838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1042858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042874 */     // MIs[0] policy
     /* 1042874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1042884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1042887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042906 */     // GIR_Coverage, 13602,
     /* 1042906 */     GIR_EraseRootFromParent_Done,
     /* 1042907 */   // Label 15434: @1042907
     /* 1042907 */   GIM_Try, /*On fail goto*//*Label 15435*/ GIMT_Encode4(1042984), // Rule ID 13603 //
     /* 1042912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1042915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1042923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1042926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1042929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1042932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1042935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1042943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1042951 */     // MIs[0] policy
     /* 1042951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1042954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1042961 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1042961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4),
     /* 1042964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1042966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1042968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1042970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1042972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1042977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1042980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1042982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1042983 */     // GIR_Coverage, 13603,
     /* 1042983 */     GIR_EraseRootFromParent_Done,
     /* 1042984 */   // Label 15435: @1042984
     /* 1042984 */   GIM_Try, /*On fail goto*//*Label 15436*/ GIMT_Encode4(1043061), // Rule ID 13606 //
     /* 1042989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1042992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1042997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1043000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1043003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1043009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043028 */     // MIs[0] policy
     /* 1043028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043038 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1043041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043060 */     // GIR_Coverage, 13606,
     /* 1043060 */     GIR_EraseRootFromParent_Done,
     /* 1043061 */   // Label 15436: @1043061
     /* 1043061 */   GIM_Try, /*On fail goto*//*Label 15437*/ GIMT_Encode4(1043138), // Rule ID 13607 //
     /* 1043066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1043077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1043080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1043086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043105 */     // MIs[0] policy
     /* 1043105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043115 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8),
     /* 1043118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043137 */     // GIR_Coverage, 13607,
     /* 1043137 */     GIR_EraseRootFromParent_Done,
     /* 1043138 */   // Label 15437: @1043138
     /* 1043138 */   GIM_Try, /*On fail goto*//*Label 15438*/ GIMT_Encode4(1043215), // Rule ID 13610 //
     /* 1043143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043182 */     // MIs[0] policy
     /* 1043182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1043195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043214 */     // GIR_Coverage, 13610,
     /* 1043214 */     GIR_EraseRootFromParent_Done,
     /* 1043215 */   // Label 15438: @1043215
     /* 1043215 */   GIM_Try, /*On fail goto*//*Label 15439*/ GIMT_Encode4(1043292), // Rule ID 13611 //
     /* 1043220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1043231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1043234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1043240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043259 */     // MIs[0] policy
     /* 1043259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043269 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1043272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043291 */     // GIR_Coverage, 13611,
     /* 1043291 */     GIR_EraseRootFromParent_Done,
     /* 1043292 */   // Label 15439: @1043292
     /* 1043292 */   GIM_Try, /*On fail goto*//*Label 15440*/ GIMT_Encode4(1043369), // Rule ID 13614 //
     /* 1043297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043336 */     // MIs[0] policy
     /* 1043336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043346 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1043349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043368 */     // GIR_Coverage, 13614,
     /* 1043368 */     GIR_EraseRootFromParent_Done,
     /* 1043369 */   // Label 15440: @1043369
     /* 1043369 */   GIM_Try, /*On fail goto*//*Label 15441*/ GIMT_Encode4(1043446), // Rule ID 13615 //
     /* 1043374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1043385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1043388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1043394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043413 */     // MIs[0] policy
     /* 1043413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043423 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11647:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1043426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043445 */     // GIR_Coverage, 13615,
     /* 1043445 */     GIR_EraseRootFromParent_Done,
     /* 1043446 */   // Label 15441: @1043446
     /* 1043446 */   GIM_Try, /*On fail goto*//*Label 15442*/ GIMT_Encode4(1043523), // Rule ID 13618 //
     /* 1043451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043490 */     // MIs[0] policy
     /* 1043490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043500 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1043503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043522 */     // GIR_Coverage, 13618,
     /* 1043522 */     GIR_EraseRootFromParent_Done,
     /* 1043523 */   // Label 15442: @1043523
     /* 1043523 */   GIM_Try, /*On fail goto*//*Label 15443*/ GIMT_Encode4(1043600), // Rule ID 13619 //
     /* 1043528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1043539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1043542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1043548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043567 */     // MIs[0] policy
     /* 1043567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1043580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043599 */     // GIR_Coverage, 13619,
     /* 1043599 */     GIR_EraseRootFromParent_Done,
     /* 1043600 */   // Label 15443: @1043600
     /* 1043600 */   GIM_Try, /*On fail goto*//*Label 15444*/ GIMT_Encode4(1043677), // Rule ID 13622 //
     /* 1043605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043644 */     // MIs[0] policy
     /* 1043644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043654 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1043657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043676 */     // GIR_Coverage, 13622,
     /* 1043676 */     GIR_EraseRootFromParent_Done,
     /* 1043677 */   // Label 15444: @1043677
     /* 1043677 */   GIM_Try, /*On fail goto*//*Label 15445*/ GIMT_Encode4(1043754), // Rule ID 13623 //
     /* 1043682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1043693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1043696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1043702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1043721 */     // MIs[0] policy
     /* 1043721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043731 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1043734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043753 */     // GIR_Coverage, 13623,
     /* 1043753 */     GIR_EraseRootFromParent_Done,
     /* 1043754 */   // Label 15445: @1043754
     /* 1043754 */   GIM_Try, /*On fail goto*//*Label 15446*/ GIMT_Encode4(1043831), // Rule ID 13626 //
     /* 1043759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043798 */     // MIs[0] policy
     /* 1043798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043808 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1043811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043830 */     // GIR_Coverage, 13626,
     /* 1043830 */     GIR_EraseRootFromParent_Done,
     /* 1043831 */   // Label 15446: @1043831
     /* 1043831 */   GIM_Try, /*On fail goto*//*Label 15447*/ GIMT_Encode4(1043908), // Rule ID 13627 //
     /* 1043836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1043847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1043850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1043853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1043856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1043859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1043867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1043875 */     // MIs[0] policy
     /* 1043875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043885 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1043885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1043888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1043904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043907 */     // GIR_Coverage, 13627,
     /* 1043907 */     GIR_EraseRootFromParent_Done,
     /* 1043908 */   // Label 15447: @1043908
     /* 1043908 */   GIM_Try, /*On fail goto*//*Label 15448*/ GIMT_Encode4(1043985), // Rule ID 13630 //
     /* 1043913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1043916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1043924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1043927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1043930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1043933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1043936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1043948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1043952 */     // MIs[0] policy
     /* 1043952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1043955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1043962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1043962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1043965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1043967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1043969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1043971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1043973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1043978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1043981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1043983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1043984 */     // GIR_Coverage, 13630,
     /* 1043984 */     GIR_EraseRootFromParent_Done,
     /* 1043985 */   // Label 15448: @1043985
     /* 1043985 */   GIM_Try, /*On fail goto*//*Label 15449*/ GIMT_Encode4(1044062), // Rule ID 13631 //
     /* 1043990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1043993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1043998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1044001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1044004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1044010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044029 */     // MIs[0] policy
     /* 1044029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4),
     /* 1044042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044061 */     // GIR_Coverage, 13631,
     /* 1044061 */     GIR_EraseRootFromParent_Done,
     /* 1044062 */   // Label 15449: @1044062
     /* 1044062 */   GIM_Try, /*On fail goto*//*Label 15450*/ GIMT_Encode4(1044139), // Rule ID 13634 //
     /* 1044067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1044087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044106 */     // MIs[0] policy
     /* 1044106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044116 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11647:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1044119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044138 */     // GIR_Coverage, 13634,
     /* 1044138 */     GIR_EraseRootFromParent_Done,
     /* 1044139 */   // Label 15450: @1044139
     /* 1044139 */   GIM_Try, /*On fail goto*//*Label 15451*/ GIMT_Encode4(1044216), // Rule ID 13635 //
     /* 1044144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1044155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1044158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1044164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044183 */     // MIs[0] policy
     /* 1044183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044193 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11647:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1044196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044215 */     // GIR_Coverage, 13635,
     /* 1044215 */     GIR_EraseRootFromParent_Done,
     /* 1044216 */   // Label 15451: @1044216
     /* 1044216 */   GIM_Try, /*On fail goto*//*Label 15452*/ GIMT_Encode4(1044293), // Rule ID 13638 //
     /* 1044221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044260 */     // MIs[0] policy
     /* 1044260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044270 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1044273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044292 */     // GIR_Coverage, 13638,
     /* 1044292 */     GIR_EraseRootFromParent_Done,
     /* 1044293 */   // Label 15452: @1044293
     /* 1044293 */   GIM_Try, /*On fail goto*//*Label 15453*/ GIMT_Encode4(1044370), // Rule ID 13639 //
     /* 1044298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1044309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1044312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1044318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044337 */     // MIs[0] policy
     /* 1044337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044347 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1044350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044369 */     // GIR_Coverage, 13639,
     /* 1044369 */     GIR_EraseRootFromParent_Done,
     /* 1044370 */   // Label 15453: @1044370
     /* 1044370 */   GIM_Try, /*On fail goto*//*Label 15454*/ GIMT_Encode4(1044447), // Rule ID 13642 //
     /* 1044375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044414 */     // MIs[0] policy
     /* 1044414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044424 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1044427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044446 */     // GIR_Coverage, 13642,
     /* 1044446 */     GIR_EraseRootFromParent_Done,
     /* 1044447 */   // Label 15454: @1044447
     /* 1044447 */   GIM_Try, /*On fail goto*//*Label 15455*/ GIMT_Encode4(1044524), // Rule ID 13643 //
     /* 1044452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1044463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1044466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1044472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044491 */     // MIs[0] policy
     /* 1044491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044501 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1044504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044523 */     // GIR_Coverage, 13643,
     /* 1044523 */     GIR_EraseRootFromParent_Done,
     /* 1044524 */   // Label 15455: @1044524
     /* 1044524 */   GIM_Try, /*On fail goto*//*Label 15456*/ GIMT_Encode4(1044601), // Rule ID 13646 //
     /* 1044529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1044532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044568 */     // MIs[0] policy
     /* 1044568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044578 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1044581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044600 */     // GIR_Coverage, 13646,
     /* 1044600 */     GIR_EraseRootFromParent_Done,
     /* 1044601 */   // Label 15456: @1044601
     /* 1044601 */   GIM_Try, /*On fail goto*//*Label 15457*/ GIMT_Encode4(1044678), // Rule ID 13647 //
     /* 1044606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1044609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1044617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1044620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1044626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1044637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1044645 */     // MIs[0] policy
     /* 1044645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044655 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1044658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1044674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044677 */     // GIR_Coverage, 13647,
     /* 1044677 */     GIR_EraseRootFromParent_Done,
     /* 1044678 */   // Label 15457: @1044678
     /* 1044678 */   GIM_Try, /*On fail goto*//*Label 15458*/ GIMT_Encode4(1044755), // Rule ID 13650 //
     /* 1044683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044722 */     // MIs[0] policy
     /* 1044722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044732 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1044735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044754 */     // GIR_Coverage, 13650,
     /* 1044754 */     GIR_EraseRootFromParent_Done,
     /* 1044755 */   // Label 15458: @1044755
     /* 1044755 */   GIM_Try, /*On fail goto*//*Label 15459*/ GIMT_Encode4(1044832), // Rule ID 13651 //
     /* 1044760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1044771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1044774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1044780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044799 */     // MIs[0] policy
     /* 1044799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044809 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11647:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2),
     /* 1044812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044831 */     // GIR_Coverage, 13651,
     /* 1044831 */     GIR_EraseRootFromParent_Done,
     /* 1044832 */   // Label 15459: @1044832
     /* 1044832 */   GIM_Try, /*On fail goto*//*Label 15460*/ GIMT_Encode4(1044909), // Rule ID 13654 //
     /* 1044837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1044854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1044860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044876 */     // MIs[0] policy
     /* 1044876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1044886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1044889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044908 */     // GIR_Coverage, 13654,
     /* 1044908 */     GIR_EraseRootFromParent_Done,
     /* 1044909 */   // Label 15460: @1044909
     /* 1044909 */   GIM_Try, /*On fail goto*//*Label 15461*/ GIMT_Encode4(1044986), // Rule ID 13655 //
     /* 1044914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1044917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1044925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1044928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1044931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1044934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1044937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1044945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1044949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1044953 */     // MIs[0] policy
     /* 1044953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1044956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1044963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11647:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1044963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1),
     /* 1044966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1044968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1044970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1044972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1044974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1044979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1044982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1044984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1044985 */     // GIR_Coverage, 13655,
     /* 1044985 */     GIR_EraseRootFromParent_Done,
     /* 1044986 */   // Label 15461: @1044986
     /* 1044986 */   GIM_Try, /*On fail goto*//*Label 15462*/ GIMT_Encode4(1045063), // Rule ID 13658 //
     /* 1044991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1044994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1044999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1045002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1045005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1045011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045030 */     // MIs[0] policy
     /* 1045030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1045043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045062 */     // GIR_Coverage, 13658,
     /* 1045062 */     GIR_EraseRootFromParent_Done,
     /* 1045063 */   // Label 15462: @1045063
     /* 1045063 */   GIM_Try, /*On fail goto*//*Label 15463*/ GIMT_Encode4(1045140), // Rule ID 13659 //
     /* 1045068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1045076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1045079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1045082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1045088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045107 */     // MIs[0] policy
     /* 1045107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045117 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11647:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2),
     /* 1045120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045139 */     // GIR_Coverage, 13659,
     /* 1045139 */     GIR_EraseRootFromParent_Done,
     /* 1045140 */   // Label 15463: @1045140
     /* 1045140 */   GIM_Try, /*On fail goto*//*Label 15464*/ GIMT_Encode4(1045217), // Rule ID 13662 //
     /* 1045145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1045148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1045153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1045162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1045165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045184 */     // MIs[0] policy
     /* 1045184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1045197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045216 */     // GIR_Coverage, 13662,
     /* 1045216 */     GIR_EraseRootFromParent_Done,
     /* 1045217 */   // Label 15464: @1045217
     /* 1045217 */   GIM_Try, /*On fail goto*//*Label 15465*/ GIMT_Encode4(1045294), // Rule ID 13663 //
     /* 1045222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1045225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc),
     /* 1045230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1045233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1045236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1045239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1045242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1045253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1045257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045261 */     // MIs[0] policy
     /* 1045261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045271 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11647:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4),
     /* 1045274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1045290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045293 */     // GIR_Coverage, 13663,
     /* 1045293 */     GIR_EraseRootFromParent_Done,
     /* 1045294 */   // Label 15465: @1045294
     /* 1045294 */   GIM_Try, /*On fail goto*//*Label 15466*/ GIMT_Encode4(1045371), // Rule ID 13666 //
     /* 1045299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1045316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1045319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045338 */     // MIs[0] policy
     /* 1045338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1045351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045370 */     // GIR_Coverage, 13666,
     /* 1045370 */     GIR_EraseRootFromParent_Done,
     /* 1045371 */   // Label 15466: @1045371
     /* 1045371 */   GIM_Try, /*On fail goto*//*Label 15467*/ GIMT_Encode4(1045448), // Rule ID 13667 //
     /* 1045376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1045387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1045390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1045393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1045396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045415 */     // MIs[0] policy
     /* 1045415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045425 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8),
     /* 1045428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045447 */     // GIR_Coverage, 13667,
     /* 1045447 */     GIR_EraseRootFromParent_Done,
     /* 1045448 */   // Label 15467: @1045448
     /* 1045448 */   GIM_Try, /*On fail goto*//*Label 15468*/ GIMT_Encode4(1045525), // Rule ID 13670 //
     /* 1045453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1045470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1045473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045492 */     // MIs[0] policy
     /* 1045492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045502 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1045505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045524 */     // GIR_Coverage, 13670,
     /* 1045524 */     GIR_EraseRootFromParent_Done,
     /* 1045525 */   // Label 15468: @1045525
     /* 1045525 */   GIM_Try, /*On fail goto*//*Label 15469*/ GIMT_Encode4(1045602), // Rule ID 13671 //
     /* 1045530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1045541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1045544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1045547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1045550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045569 */     // MIs[0] policy
     /* 1045569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045579 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1045582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045601 */     // GIR_Coverage, 13671,
     /* 1045601 */     GIR_EraseRootFromParent_Done,
     /* 1045602 */   // Label 15469: @1045602
     /* 1045602 */   GIM_Try, /*On fail goto*//*Label 15470*/ GIMT_Encode4(1045679), // Rule ID 13674 //
     /* 1045607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1045624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045646 */     // MIs[0] policy
     /* 1045646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1045659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045678 */     // GIR_Coverage, 13674,
     /* 1045678 */     GIR_EraseRootFromParent_Done,
     /* 1045679 */   // Label 15470: @1045679
     /* 1045679 */   GIM_Try, /*On fail goto*//*Label 15471*/ GIMT_Encode4(1045756), // Rule ID 13675 //
     /* 1045684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1045695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1045698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1045701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1045704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045723 */     // MIs[0] policy
     /* 1045723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045733 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1045736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045755 */     // GIR_Coverage, 13675,
     /* 1045755 */     GIR_EraseRootFromParent_Done,
     /* 1045756 */   // Label 15471: @1045756
     /* 1045756 */   GIM_Try, /*On fail goto*//*Label 15472*/ GIMT_Encode4(1045833), // Rule ID 13678 //
     /* 1045761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1045778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045800 */     // MIs[0] policy
     /* 1045800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045810 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1045813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045832 */     // GIR_Coverage, 13678,
     /* 1045832 */     GIR_EraseRootFromParent_Done,
     /* 1045833 */   // Label 15472: @1045833
     /* 1045833 */   GIM_Try, /*On fail goto*//*Label 15473*/ GIMT_Encode4(1045910), // Rule ID 13679 //
     /* 1045838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1045849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1045852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1045855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1045858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1045861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1045877 */     // MIs[0] policy
     /* 1045877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045887 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1045887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1045890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045909 */     // GIR_Coverage, 13679,
     /* 1045909 */     GIR_EraseRootFromParent_Done,
     /* 1045910 */   // Label 15473: @1045910
     /* 1045910 */   GIM_Try, /*On fail goto*//*Label 15474*/ GIMT_Encode4(1045987), // Rule ID 13682 //
     /* 1045915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1045918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1045923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1045926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1045929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1045932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1045935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1045938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1045946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1045954 */     // MIs[0] policy
     /* 1045954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1045957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1045964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1045964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1045967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1045969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1045971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1045973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1045975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1045980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1045983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1045985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1045986 */     // GIR_Coverage, 13682,
     /* 1045986 */     GIR_EraseRootFromParent_Done,
     /* 1045987 */   // Label 15474: @1045987
     /* 1045987 */   GIM_Try, /*On fail goto*//*Label 15475*/ GIMT_Encode4(1046064), // Rule ID 13683 //
     /* 1045992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1045995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1046003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1046006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1046009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1046012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046031 */     // MIs[0] policy
     /* 1046031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046041 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046063 */     // GIR_Coverage, 13683,
     /* 1046063 */     GIR_EraseRootFromParent_Done,
     /* 1046064 */   // Label 15475: @1046064
     /* 1046064 */   GIM_Try, /*On fail goto*//*Label 15476*/ GIMT_Encode4(1046141), // Rule ID 13686 //
     /* 1046069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1046080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1046083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1046086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1046089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046108 */     // MIs[0] policy
     /* 1046108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046140 */     // GIR_Coverage, 13686,
     /* 1046140 */     GIR_EraseRootFromParent_Done,
     /* 1046141 */   // Label 15476: @1046141
     /* 1046141 */   GIM_Try, /*On fail goto*//*Label 15477*/ GIMT_Encode4(1046218), // Rule ID 13687 //
     /* 1046146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1046157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1046160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1046163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1046166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046185 */     // MIs[0] policy
     /* 1046185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046195 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1046214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046217 */     // GIR_Coverage, 13687,
     /* 1046217 */     GIR_EraseRootFromParent_Done,
     /* 1046218 */   // Label 15477: @1046218
     /* 1046218 */   GIM_Try, /*On fail goto*//*Label 15478*/ GIMT_Encode4(1046295), // Rule ID 13690 //
     /* 1046223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1046240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1046243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046262 */     // MIs[0] policy
     /* 1046262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1046275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046294 */     // GIR_Coverage, 13690,
     /* 1046294 */     GIR_EraseRootFromParent_Done,
     /* 1046295 */   // Label 15478: @1046295
     /* 1046295 */   GIM_Try, /*On fail goto*//*Label 15479*/ GIMT_Encode4(1046372), // Rule ID 13691 //
     /* 1046300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1046311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1046314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1046317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1046320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046339 */     // MIs[0] policy
     /* 1046339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046349 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4),
     /* 1046352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046371 */     // GIR_Coverage, 13691,
     /* 1046371 */     GIR_EraseRootFromParent_Done,
     /* 1046372 */   // Label 15479: @1046372
     /* 1046372 */   GIM_Try, /*On fail goto*//*Label 15480*/ GIMT_Encode4(1046449), // Rule ID 13694 //
     /* 1046377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1046394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1046397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046416 */     // MIs[0] policy
     /* 1046416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11649:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1046429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046448 */     // GIR_Coverage, 13694,
     /* 1046448 */     GIR_EraseRootFromParent_Done,
     /* 1046449 */   // Label 15480: @1046449
     /* 1046449 */   GIM_Try, /*On fail goto*//*Label 15481*/ GIMT_Encode4(1046526), // Rule ID 13695 //
     /* 1046454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1046465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1046468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1046471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1046474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046493 */     // MIs[0] policy
     /* 1046493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046503 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11649:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1046506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046525 */     // GIR_Coverage, 13695,
     /* 1046525 */     GIR_EraseRootFromParent_Done,
     /* 1046526 */   // Label 15481: @1046526
     /* 1046526 */   GIM_Try, /*On fail goto*//*Label 15482*/ GIMT_Encode4(1046603), // Rule ID 13698 //
     /* 1046531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1046548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046570 */     // MIs[0] policy
     /* 1046570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1046583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046602 */     // GIR_Coverage, 13698,
     /* 1046602 */     GIR_EraseRootFromParent_Done,
     /* 1046603 */   // Label 15482: @1046603
     /* 1046603 */   GIM_Try, /*On fail goto*//*Label 15483*/ GIMT_Encode4(1046680), // Rule ID 13699 //
     /* 1046608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1046619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1046622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1046625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1046628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1046647 */     // MIs[0] policy
     /* 1046647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046657 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1046660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046679 */     // GIR_Coverage, 13699,
     /* 1046679 */     GIR_EraseRootFromParent_Done,
     /* 1046680 */   // Label 15483: @1046680
     /* 1046680 */   GIM_Try, /*On fail goto*//*Label 15484*/ GIMT_Encode4(1046757), // Rule ID 13702 //
     /* 1046685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046724 */     // MIs[0] policy
     /* 1046724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046734 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046756 */     // GIR_Coverage, 13702,
     /* 1046756 */     GIR_EraseRootFromParent_Done,
     /* 1046757 */   // Label 15484: @1046757
     /* 1046757 */   GIM_Try, /*On fail goto*//*Label 15485*/ GIMT_Encode4(1046834), // Rule ID 13703 //
     /* 1046762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1046773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1046776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1046779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1046782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1046801 */     // MIs[0] policy
     /* 1046801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046811 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1046814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046833 */     // GIR_Coverage, 13703,
     /* 1046833 */     GIR_EraseRootFromParent_Done,
     /* 1046834 */   // Label 15485: @1046834
     /* 1046834 */   GIM_Try, /*On fail goto*//*Label 15486*/ GIMT_Encode4(1046911), // Rule ID 13706 //
     /* 1046839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1046842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1046862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046878 */     // MIs[0] policy
     /* 1046878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046888 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1046888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046910 */     // GIR_Coverage, 13706,
     /* 1046910 */     GIR_EraseRootFromParent_Done,
     /* 1046911 */   // Label 15486: @1046911
     /* 1046911 */   GIM_Try, /*On fail goto*//*Label 15487*/ GIMT_Encode4(1046988), // Rule ID 13707 //
     /* 1046916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1046919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1046924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1046927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1046930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1046933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1046936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1046939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1046947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1046955 */     // MIs[0] policy
     /* 1046955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1046958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1046965 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1046965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1046968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1046970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1046972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1046974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1046976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1046981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1046984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1046986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1046987 */     // GIR_Coverage, 13707,
     /* 1046987 */     GIR_EraseRootFromParent_Done,
     /* 1046988 */   // Label 15487: @1046988
     /* 1046988 */   GIM_Try, /*On fail goto*//*Label 15488*/ GIMT_Encode4(1047065), // Rule ID 13710 //
     /* 1046993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1046996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1047004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1047007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1047013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047032 */     // MIs[0] policy
     /* 1047032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1047045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047064 */     // GIR_Coverage, 13710,
     /* 1047064 */     GIR_EraseRootFromParent_Done,
     /* 1047065 */   // Label 15488: @1047065
     /* 1047065 */   GIM_Try, /*On fail goto*//*Label 15489*/ GIMT_Encode4(1047142), // Rule ID 13711 //
     /* 1047070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1047081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1047084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1047087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1047090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047109 */     // MIs[0] policy
     /* 1047109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047119 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2),
     /* 1047122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047141 */     // GIR_Coverage, 13711,
     /* 1047141 */     GIR_EraseRootFromParent_Done,
     /* 1047142 */   // Label 15489: @1047142
     /* 1047142 */   GIM_Try, /*On fail goto*//*Label 15490*/ GIMT_Encode4(1047219), // Rule ID 13714 //
     /* 1047147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1047167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047186 */     // MIs[0] policy
     /* 1047186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047196 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1047199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047218 */     // GIR_Coverage, 13714,
     /* 1047218 */     GIR_EraseRootFromParent_Done,
     /* 1047219 */   // Label 15490: @1047219
     /* 1047219 */   GIM_Try, /*On fail goto*//*Label 15491*/ GIMT_Encode4(1047296), // Rule ID 13715 //
     /* 1047224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1047235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1047238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1047241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1047244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047263 */     // MIs[0] policy
     /* 1047263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047273 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1),
     /* 1047276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047295 */     // GIR_Coverage, 13715,
     /* 1047295 */     GIR_EraseRootFromParent_Done,
     /* 1047296 */   // Label 15491: @1047296
     /* 1047296 */   GIM_Try, /*On fail goto*//*Label 15492*/ GIMT_Encode4(1047373), // Rule ID 13718 //
     /* 1047301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1047318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1047321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047340 */     // MIs[0] policy
     /* 1047340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047350 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1047353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047372 */     // GIR_Coverage, 13718,
     /* 1047372 */     GIR_EraseRootFromParent_Done,
     /* 1047373 */   // Label 15492: @1047373
     /* 1047373 */   GIM_Try, /*On fail goto*//*Label 15493*/ GIMT_Encode4(1047450), // Rule ID 13719 //
     /* 1047378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1047389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1047392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1047395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1047398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1047417 */     // MIs[0] policy
     /* 1047417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047427 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2),
     /* 1047430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047449 */     // GIR_Coverage, 13719,
     /* 1047449 */     GIR_EraseRootFromParent_Done,
     /* 1047450 */   // Label 15493: @1047450
     /* 1047450 */   GIM_Try, /*On fail goto*//*Label 15494*/ GIMT_Encode4(1047527), // Rule ID 13722 //
     /* 1047455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1047458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1047472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1047475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047494 */     // MIs[0] policy
     /* 1047494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1047507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047526 */     // GIR_Coverage, 13722,
     /* 1047526 */     GIR_EraseRootFromParent_Done,
     /* 1047527 */   // Label 15494: @1047527
     /* 1047527 */   GIM_Try, /*On fail goto*//*Label 15495*/ GIMT_Encode4(1047604), // Rule ID 13723 //
     /* 1047532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1047535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1047543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1047546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1047549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1047552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1047563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1047571 */     // MIs[0] policy
     /* 1047571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047581 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4),
     /* 1047584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1047600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047603 */     // GIR_Coverage, 13723,
     /* 1047603 */     GIR_EraseRootFromParent_Done,
     /* 1047604 */   // Label 15495: @1047604
     /* 1047604 */   GIM_Try, /*On fail goto*//*Label 15496*/ GIMT_Encode4(1047681), // Rule ID 13726 //
     /* 1047609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1047629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047648 */     // MIs[0] policy
     /* 1047648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047658 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1047661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047680 */     // GIR_Coverage, 13726,
     /* 1047680 */     GIR_EraseRootFromParent_Done,
     /* 1047681 */   // Label 15496: @1047681
     /* 1047681 */   GIM_Try, /*On fail goto*//*Label 15497*/ GIMT_Encode4(1047758), // Rule ID 13727 //
     /* 1047686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1047697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1047700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1047706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047725 */     // MIs[0] policy
     /* 1047725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047735 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8),
     /* 1047738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047757 */     // GIR_Coverage, 13727,
     /* 1047757 */     GIR_EraseRootFromParent_Done,
     /* 1047758 */   // Label 15497: @1047758
     /* 1047758 */   GIM_Try, /*On fail goto*//*Label 15498*/ GIMT_Encode4(1047835), // Rule ID 13730 //
     /* 1047763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1047783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047802 */     // MIs[0] policy
     /* 1047802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1047815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047834 */     // GIR_Coverage, 13730,
     /* 1047834 */     GIR_EraseRootFromParent_Done,
     /* 1047835 */   // Label 15498: @1047835
     /* 1047835 */   GIM_Try, /*On fail goto*//*Label 15499*/ GIMT_Encode4(1047912), // Rule ID 13731 //
     /* 1047840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1047851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1047854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1047857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1047860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1047863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047879 */     // MIs[0] policy
     /* 1047879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047889 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1047889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1047892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047911 */     // GIR_Coverage, 13731,
     /* 1047911 */     GIR_EraseRootFromParent_Done,
     /* 1047912 */   // Label 15499: @1047912
     /* 1047912 */   GIM_Try, /*On fail goto*//*Label 15500*/ GIMT_Encode4(1047989), // Rule ID 13734 //
     /* 1047917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1047920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1047925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1047928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1047931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1047934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1047937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1047940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1047952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1047956 */     // MIs[0] policy
     /* 1047956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1047959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1047966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1047966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1047969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1047971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1047973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1047975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1047977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1047982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1047985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1047987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1047988 */     // GIR_Coverage, 13734,
     /* 1047988 */     GIR_EraseRootFromParent_Done,
     /* 1047989 */   // Label 15500: @1047989
     /* 1047989 */   GIM_Try, /*On fail goto*//*Label 15501*/ GIMT_Encode4(1048066), // Rule ID 13735 //
     /* 1047994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1047997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1048005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1048008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1048014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048033 */     // MIs[0] policy
     /* 1048033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11649:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048065 */     // GIR_Coverage, 13735,
     /* 1048065 */     GIR_EraseRootFromParent_Done,
     /* 1048066 */   // Label 15501: @1048066
     /* 1048066 */   GIM_Try, /*On fail goto*//*Label 15502*/ GIMT_Encode4(1048143), // Rule ID 13738 //
     /* 1048071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1048091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048110 */     // MIs[0] policy
     /* 1048110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048120 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048142 */     // GIR_Coverage, 13738,
     /* 1048142 */     GIR_EraseRootFromParent_Done,
     /* 1048143 */   // Label 15502: @1048143
     /* 1048143 */   GIM_Try, /*On fail goto*//*Label 15503*/ GIMT_Encode4(1048220), // Rule ID 13739 //
     /* 1048148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1048159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1048162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1048168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048187 */     // MIs[0] policy
     /* 1048187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048197 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048219 */     // GIR_Coverage, 13739,
     /* 1048219 */     GIR_EraseRootFromParent_Done,
     /* 1048220 */   // Label 15503: @1048220
     /* 1048220 */   GIM_Try, /*On fail goto*//*Label 15504*/ GIMT_Encode4(1048297), // Rule ID 13742 //
     /* 1048225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1048245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048264 */     // MIs[0] policy
     /* 1048264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1048277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048296 */     // GIR_Coverage, 13742,
     /* 1048296 */     GIR_EraseRootFromParent_Done,
     /* 1048297 */   // Label 15504: @1048297
     /* 1048297 */   GIM_Try, /*On fail goto*//*Label 15505*/ GIMT_Encode4(1048374), // Rule ID 13743 //
     /* 1048302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1048313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1048316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1048322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048341 */     // MIs[0] policy
     /* 1048341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048351 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1048354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048373 */     // GIR_Coverage, 13743,
     /* 1048373 */     GIR_EraseRootFromParent_Done,
     /* 1048374 */   // Label 15505: @1048374
     /* 1048374 */   GIM_Try, /*On fail goto*//*Label 15506*/ GIMT_Encode4(1048451), // Rule ID 13746 //
     /* 1048379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1048399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048418 */     // MIs[0] policy
     /* 1048418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1048431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048450 */     // GIR_Coverage, 13746,
     /* 1048450 */     GIR_EraseRootFromParent_Done,
     /* 1048451 */   // Label 15506: @1048451
     /* 1048451 */   GIM_Try, /*On fail goto*//*Label 15507*/ GIMT_Encode4(1048528), // Rule ID 13747 //
     /* 1048456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1048467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1048470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1048476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1048487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1048495 */     // MIs[0] policy
     /* 1048495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048505 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1048508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1048524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048527 */     // GIR_Coverage, 13747,
     /* 1048527 */     GIR_EraseRootFromParent_Done,
     /* 1048528 */   // Label 15507: @1048528
     /* 1048528 */   GIM_Try, /*On fail goto*//*Label 15508*/ GIMT_Encode4(1048605), // Rule ID 13750 //
     /* 1048533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1048553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048572 */     // MIs[0] policy
     /* 1048572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048582 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1048585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048604 */     // GIR_Coverage, 13750,
     /* 1048604 */     GIR_EraseRootFromParent_Done,
     /* 1048605 */   // Label 15508: @1048605
     /* 1048605 */   GIM_Try, /*On fail goto*//*Label 15509*/ GIMT_Encode4(1048682), // Rule ID 13751 //
     /* 1048610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1048621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1048624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1048630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048649 */     // MIs[0] policy
     /* 1048649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048659 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4),
     /* 1048662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048681 */     // GIR_Coverage, 13751,
     /* 1048681 */     GIR_EraseRootFromParent_Done,
     /* 1048682 */   // Label 15509: @1048682
     /* 1048682 */   GIM_Try, /*On fail goto*//*Label 15510*/ GIMT_Encode4(1048759), // Rule ID 13754 //
     /* 1048687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1048707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048726 */     // MIs[0] policy
     /* 1048726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048736 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11649:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048758 */     // GIR_Coverage, 13754,
     /* 1048758 */     GIR_EraseRootFromParent_Done,
     /* 1048759 */   // Label 15510: @1048759
     /* 1048759 */   GIM_Try, /*On fail goto*//*Label 15511*/ GIMT_Encode4(1048836), // Rule ID 13755 //
     /* 1048764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1048775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1048778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1048784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048803 */     // MIs[0] policy
     /* 1048803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048813 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11649:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1048816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048835 */     // GIR_Coverage, 13755,
     /* 1048835 */     GIR_EraseRootFromParent_Done,
     /* 1048836 */   // Label 15511: @1048836
     /* 1048836 */   GIM_Try, /*On fail goto*//*Label 15512*/ GIMT_Encode4(1048913), // Rule ID 13758 //
     /* 1048841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1048858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1048861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1048864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048880 */     // MIs[0] policy
     /* 1048880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1048890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048912 */     // GIR_Coverage, 13758,
     /* 1048912 */     GIR_EraseRootFromParent_Done,
     /* 1048913 */   // Label 15512: @1048913
     /* 1048913 */   GIM_Try, /*On fail goto*//*Label 15513*/ GIMT_Encode4(1048990), // Rule ID 13759 //
     /* 1048918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1048921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1048926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1048929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1048932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1048935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1048938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1048941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1048949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1048953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1048957 */     // MIs[0] policy
     /* 1048957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1048960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1048967 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1048967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1048970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1048972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1048974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1048976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1048978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1048983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1048986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1048988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1048989 */     // GIR_Coverage, 13759,
     /* 1048989 */     GIR_EraseRootFromParent_Done,
     /* 1048990 */   // Label 15513: @1048990
     /* 1048990 */   GIM_Try, /*On fail goto*//*Label 15514*/ GIMT_Encode4(1049067), // Rule ID 13762 //
     /* 1048995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1048998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1049015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049034 */     // MIs[0] policy
     /* 1049034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049044 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1049047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049066 */     // GIR_Coverage, 13762,
     /* 1049066 */     GIR_EraseRootFromParent_Done,
     /* 1049067 */   // Label 15514: @1049067
     /* 1049067 */   GIM_Try, /*On fail goto*//*Label 15515*/ GIMT_Encode4(1049144), // Rule ID 13763 //
     /* 1049072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1049083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1049086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1049092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049111 */     // MIs[0] policy
     /* 1049111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049121 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1049124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049143 */     // GIR_Coverage, 13763,
     /* 1049143 */     GIR_EraseRootFromParent_Done,
     /* 1049144 */   // Label 15515: @1049144
     /* 1049144 */   GIM_Try, /*On fail goto*//*Label 15516*/ GIMT_Encode4(1049221), // Rule ID 13766 //
     /* 1049149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1049169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049188 */     // MIs[0] policy
     /* 1049188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049198 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1049201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049220 */     // GIR_Coverage, 13766,
     /* 1049220 */     GIR_EraseRootFromParent_Done,
     /* 1049221 */   // Label 15516: @1049221
     /* 1049221 */   GIM_Try, /*On fail goto*//*Label 15517*/ GIMT_Encode4(1049298), // Rule ID 13767 //
     /* 1049226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1049237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1049240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1049246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049265 */     // MIs[0] policy
     /* 1049265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049275 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1049278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1049294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049297 */     // GIR_Coverage, 13767,
     /* 1049297 */     GIR_EraseRootFromParent_Done,
     /* 1049298 */   // Label 15517: @1049298
     /* 1049298 */   GIM_Try, /*On fail goto*//*Label 15518*/ GIMT_Encode4(1049375), // Rule ID 13770 //
     /* 1049303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1049306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1049314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1049317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1049323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049342 */     // MIs[0] policy
     /* 1049342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1049355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049374 */     // GIR_Coverage, 13770,
     /* 1049374 */     GIR_EraseRootFromParent_Done,
     /* 1049375 */   // Label 15518: @1049375
     /* 1049375 */   GIM_Try, /*On fail goto*//*Label 15519*/ GIMT_Encode4(1049452), // Rule ID 13771 //
     /* 1049380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1049391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1049394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1049400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049419 */     // MIs[0] policy
     /* 1049419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049429 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11649:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2),
     /* 1049432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049451 */     // GIR_Coverage, 13771,
     /* 1049451 */     GIR_EraseRootFromParent_Done,
     /* 1049452 */   // Label 15519: @1049452
     /* 1049452 */   GIM_Try, /*On fail goto*//*Label 15520*/ GIMT_Encode4(1049529), // Rule ID 13774 //
     /* 1049457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1049460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1049477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049496 */     // MIs[0] policy
     /* 1049496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049506 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1049509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049528 */     // GIR_Coverage, 13774,
     /* 1049528 */     GIR_EraseRootFromParent_Done,
     /* 1049529 */   // Label 15520: @1049529
     /* 1049529 */   GIM_Try, /*On fail goto*//*Label 15521*/ GIMT_Encode4(1049606), // Rule ID 13775 //
     /* 1049534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1049545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1049548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1049554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049573 */     // MIs[0] policy
     /* 1049573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049583 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11649:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1),
     /* 1049586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049605 */     // GIR_Coverage, 13775,
     /* 1049605 */     GIR_EraseRootFromParent_Done,
     /* 1049606 */   // Label 15521: @1049606
     /* 1049606 */   GIM_Try, /*On fail goto*//*Label 15522*/ GIMT_Encode4(1049683), // Rule ID 13778 //
     /* 1049611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1049614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1049631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049650 */     // MIs[0] policy
     /* 1049650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049660 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1049663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049682 */     // GIR_Coverage, 13778,
     /* 1049682 */     GIR_EraseRootFromParent_Done,
     /* 1049683 */   // Label 15522: @1049683
     /* 1049683 */   GIM_Try, /*On fail goto*//*Label 15523*/ GIMT_Encode4(1049760), // Rule ID 13779 //
     /* 1049688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1049699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1049702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1049708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1049727 */     // MIs[0] policy
     /* 1049727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049737 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11649:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2),
     /* 1049740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049759 */     // GIR_Coverage, 13779,
     /* 1049759 */     GIR_EraseRootFromParent_Done,
     /* 1049760 */   // Label 15523: @1049760
     /* 1049760 */   GIM_Try, /*On fail goto*//*Label 15524*/ GIMT_Encode4(1049837), // Rule ID 13782 //
     /* 1049765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1049768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1049785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049804 */     // MIs[0] policy
     /* 1049804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1049817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049836 */     // GIR_Coverage, 13782,
     /* 1049836 */     GIR_EraseRootFromParent_Done,
     /* 1049837 */   // Label 15524: @1049837
     /* 1049837 */   GIM_Try, /*On fail goto*//*Label 15525*/ GIMT_Encode4(1049914), // Rule ID 13783 //
     /* 1049842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1049845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu),
     /* 1049850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1049853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1049856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1049859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1049862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1049865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1049873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1049881 */     // MIs[0] policy
     /* 1049881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11649:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1049891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4),
     /* 1049894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1049910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049913 */     // GIR_Coverage, 13783,
     /* 1049913 */     GIR_EraseRootFromParent_Done,
     /* 1049914 */   // Label 15525: @1049914
     /* 1049914 */   GIM_Try, /*On fail goto*//*Label 15526*/ GIMT_Encode4(1049991), // Rule ID 13786 //
     /* 1049919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1049922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1049927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1049930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1049933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1049936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1049939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1049942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1049954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1049958 */     // MIs[0] policy
     /* 1049958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1049961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1049968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11653:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1049968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1049971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1049973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1049975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1049977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1049979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1049984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1049987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1049989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1049990 */     // GIR_Coverage, 13786,
     /* 1049990 */     GIR_EraseRootFromParent_Done,
     /* 1049991 */   // Label 15526: @1049991
     /* 1049991 */   GIM_Try, /*On fail goto*//*Label 15527*/ GIMT_Encode4(1050068), // Rule ID 13787 //
     /* 1049996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1049999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1050007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1050010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1050016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050035 */     // MIs[0] policy
     /* 1050035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050045 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11653:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8),
     /* 1050048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050067 */     // GIR_Coverage, 13787,
     /* 1050067 */     GIR_EraseRootFromParent_Done,
     /* 1050068 */   // Label 15527: @1050068
     /* 1050068 */   GIM_Try, /*On fail goto*//*Label 15528*/ GIMT_Encode4(1050145), // Rule ID 13790 //
     /* 1050073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1050084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1050087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1050093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050112 */     // MIs[0] policy
     /* 1050112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11653:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1050125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050144 */     // GIR_Coverage, 13790,
     /* 1050144 */     GIR_EraseRootFromParent_Done,
     /* 1050145 */   // Label 15528: @1050145
     /* 1050145 */   GIM_Try, /*On fail goto*//*Label 15529*/ GIMT_Encode4(1050222), // Rule ID 13791 //
     /* 1050150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1050161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1050164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1050170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050189 */     // MIs[0] policy
     /* 1050189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050199 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11653:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1050202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050221 */     // GIR_Coverage, 13791,
     /* 1050221 */     GIR_EraseRootFromParent_Done,
     /* 1050222 */   // Label 15529: @1050222
     /* 1050222 */   GIM_Try, /*On fail goto*//*Label 15530*/ GIMT_Encode4(1050299), // Rule ID 13794 //
     /* 1050227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1050238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1050241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1050247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050266 */     // MIs[0] policy
     /* 1050266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11653:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1050279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050298 */     // GIR_Coverage, 13794,
     /* 1050298 */     GIR_EraseRootFromParent_Done,
     /* 1050299 */   // Label 15530: @1050299
     /* 1050299 */   GIM_Try, /*On fail goto*//*Label 15531*/ GIMT_Encode4(1050376), // Rule ID 13795 //
     /* 1050304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1050315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1050318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1050324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050343 */     // MIs[0] policy
     /* 1050343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050353 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11653:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1050356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050375 */     // GIR_Coverage, 13795,
     /* 1050375 */     GIR_EraseRootFromParent_Done,
     /* 1050376 */   // Label 15531: @1050376
     /* 1050376 */   GIM_Try, /*On fail goto*//*Label 15532*/ GIMT_Encode4(1050453), // Rule ID 13798 //
     /* 1050381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1050392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1050395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1050401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050420 */     // MIs[0] policy
     /* 1050420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050430 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11653:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1050433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050452 */     // GIR_Coverage, 13798,
     /* 1050452 */     GIR_EraseRootFromParent_Done,
     /* 1050453 */   // Label 15532: @1050453
     /* 1050453 */   GIM_Try, /*On fail goto*//*Label 15533*/ GIMT_Encode4(1050530), // Rule ID 13799 //
     /* 1050458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1050469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1050472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1050478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050497 */     // MIs[0] policy
     /* 1050497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050507 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11653:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1050510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050529 */     // GIR_Coverage, 13799,
     /* 1050529 */     GIR_EraseRootFromParent_Done,
     /* 1050530 */   // Label 15533: @1050530
     /* 1050530 */   GIM_Try, /*On fail goto*//*Label 15534*/ GIMT_Encode4(1050607), // Rule ID 13802 //
     /* 1050535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1050555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050574 */     // MIs[0] policy
     /* 1050574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050584 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11653:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1050587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050606 */     // GIR_Coverage, 13802,
     /* 1050606 */     GIR_EraseRootFromParent_Done,
     /* 1050607 */   // Label 15534: @1050607
     /* 1050607 */   GIM_Try, /*On fail goto*//*Label 15535*/ GIMT_Encode4(1050684), // Rule ID 13803 //
     /* 1050612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1050623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1050626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1050632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1050651 */     // MIs[0] policy
     /* 1050651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050661 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11653:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1050664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050683 */     // GIR_Coverage, 13803,
     /* 1050683 */     GIR_EraseRootFromParent_Done,
     /* 1050684 */   // Label 15535: @1050684
     /* 1050684 */   GIM_Try, /*On fail goto*//*Label 15536*/ GIMT_Encode4(1050761), // Rule ID 13806 //
     /* 1050689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1050709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050728 */     // MIs[0] policy
     /* 1050728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050738 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11653:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1050741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050760 */     // GIR_Coverage, 13806,
     /* 1050760 */     GIR_EraseRootFromParent_Done,
     /* 1050761 */   // Label 15536: @1050761
     /* 1050761 */   GIM_Try, /*On fail goto*//*Label 15537*/ GIMT_Encode4(1050838), // Rule ID 13807 //
     /* 1050766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1050777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1050780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1050786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1050797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1050805 */     // MIs[0] policy
     /* 1050805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050815 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11653:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1050818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1050834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050837 */     // GIR_Coverage, 13807,
     /* 1050837 */     GIR_EraseRootFromParent_Done,
     /* 1050838 */   // Label 15537: @1050838
     /* 1050838 */   GIM_Try, /*On fail goto*//*Label 15538*/ GIMT_Encode4(1050915), // Rule ID 13810 //
     /* 1050843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1050846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1050860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1050863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1050866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050882 */     // MIs[0] policy
     /* 1050882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11653:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1050892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1050895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050914 */     // GIR_Coverage, 13810,
     /* 1050914 */     GIR_EraseRootFromParent_Done,
     /* 1050915 */   // Label 15538: @1050915
     /* 1050915 */   GIM_Try, /*On fail goto*//*Label 15539*/ GIMT_Encode4(1050992), // Rule ID 13811 //
     /* 1050920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1050923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1050928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1050931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1050934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1050937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1050940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1050943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1050955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1050959 */     // MIs[0] policy
     /* 1050959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1050962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1050969 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11653:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1050969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4),
     /* 1050972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1050974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1050976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1050978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1050980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1050985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1050988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1050990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1050991 */     // GIR_Coverage, 13811,
     /* 1050991 */     GIR_EraseRootFromParent_Done,
     /* 1050992 */   // Label 15539: @1050992
     /* 1050992 */   GIM_Try, /*On fail goto*//*Label 15540*/ GIMT_Encode4(1051069), // Rule ID 13814 //
     /* 1050997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1051017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051036 */     // MIs[0] policy
     /* 1051036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11653:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1051049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051068 */     // GIR_Coverage, 13814,
     /* 1051068 */     GIR_EraseRootFromParent_Done,
     /* 1051069 */   // Label 15540: @1051069
     /* 1051069 */   GIM_Try, /*On fail goto*//*Label 15541*/ GIMT_Encode4(1051146), // Rule ID 13815 //
     /* 1051074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1051085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1051088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1051094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051113 */     // MIs[0] policy
     /* 1051113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051123 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11653:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1051126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051145 */     // GIR_Coverage, 13815,
     /* 1051145 */     GIR_EraseRootFromParent_Done,
     /* 1051146 */   // Label 15541: @1051146
     /* 1051146 */   GIM_Try, /*On fail goto*//*Label 15542*/ GIMT_Encode4(1051223), // Rule ID 13818 //
     /* 1051151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1051171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051190 */     // MIs[0] policy
     /* 1051190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051200 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11653:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1051203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051222 */     // GIR_Coverage, 13818,
     /* 1051222 */     GIR_EraseRootFromParent_Done,
     /* 1051223 */   // Label 15542: @1051223
     /* 1051223 */   GIM_Try, /*On fail goto*//*Label 15543*/ GIMT_Encode4(1051300), // Rule ID 13819 //
     /* 1051228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1051239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1051242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1051248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051267 */     // MIs[0] policy
     /* 1051267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051277 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11653:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1051280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051299 */     // GIR_Coverage, 13819,
     /* 1051299 */     GIR_EraseRootFromParent_Done,
     /* 1051300 */   // Label 15543: @1051300
     /* 1051300 */   GIM_Try, /*On fail goto*//*Label 15544*/ GIMT_Encode4(1051377), // Rule ID 13822 //
     /* 1051305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1051325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051344 */     // MIs[0] policy
     /* 1051344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11653:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1051357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051376 */     // GIR_Coverage, 13822,
     /* 1051376 */     GIR_EraseRootFromParent_Done,
     /* 1051377 */   // Label 15544: @1051377
     /* 1051377 */   GIM_Try, /*On fail goto*//*Label 15545*/ GIMT_Encode4(1051454), // Rule ID 13823 //
     /* 1051382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1051393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1051396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1051402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051421 */     // MIs[0] policy
     /* 1051421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051431 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11653:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1051434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051453 */     // GIR_Coverage, 13823,
     /* 1051453 */     GIR_EraseRootFromParent_Done,
     /* 1051454 */   // Label 15545: @1051454
     /* 1051454 */   GIM_Try, /*On fail goto*//*Label 15546*/ GIMT_Encode4(1051531), // Rule ID 13826 //
     /* 1051459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1051462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1051479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051498 */     // MIs[0] policy
     /* 1051498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11653:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1051511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051530 */     // GIR_Coverage, 13826,
     /* 1051530 */     GIR_EraseRootFromParent_Done,
     /* 1051531 */   // Label 15546: @1051531
     /* 1051531 */   GIM_Try, /*On fail goto*//*Label 15547*/ GIMT_Encode4(1051608), // Rule ID 13827 //
     /* 1051536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1051539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1051547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1051550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1051556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1051567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051575 */     // MIs[0] policy
     /* 1051575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051585 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11653:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1051588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1051604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051607 */     // GIR_Coverage, 13827,
     /* 1051607 */     GIR_EraseRootFromParent_Done,
     /* 1051608 */   // Label 15547: @1051608
     /* 1051608 */   GIM_Try, /*On fail goto*//*Label 15548*/ GIMT_Encode4(1051685), // Rule ID 13830 //
     /* 1051613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1051624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1051627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1051633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051652 */     // MIs[0] policy
     /* 1051652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051662 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11653:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1051665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051684 */     // GIR_Coverage, 13830,
     /* 1051684 */     GIR_EraseRootFromParent_Done,
     /* 1051685 */   // Label 15548: @1051685
     /* 1051685 */   GIM_Try, /*On fail goto*//*Label 15549*/ GIMT_Encode4(1051762), // Rule ID 13831 //
     /* 1051690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1051701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1051704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1051710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051729 */     // MIs[0] policy
     /* 1051729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051739 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11653:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2),
     /* 1051742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051761 */     // GIR_Coverage, 13831,
     /* 1051761 */     GIR_EraseRootFromParent_Done,
     /* 1051762 */   // Label 15549: @1051762
     /* 1051762 */   GIM_Try, /*On fail goto*//*Label 15550*/ GIMT_Encode4(1051839), // Rule ID 13834 //
     /* 1051767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1051787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051806 */     // MIs[0] policy
     /* 1051806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11653:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1051819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051838 */     // GIR_Coverage, 13834,
     /* 1051838 */     GIR_EraseRootFromParent_Done,
     /* 1051839 */   // Label 15550: @1051839
     /* 1051839 */   GIM_Try, /*On fail goto*//*Label 15551*/ GIMT_Encode4(1051916), // Rule ID 13835 //
     /* 1051844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1051847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1051855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1051858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1051861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1051864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1051867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1051883 */     // MIs[0] policy
     /* 1051883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051893 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11653:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1051893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1),
     /* 1051896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051915 */     // GIR_Coverage, 13835,
     /* 1051915 */     GIR_EraseRootFromParent_Done,
     /* 1051916 */   // Label 15551: @1051916
     /* 1051916 */   GIM_Try, /*On fail goto*//*Label 15552*/ GIMT_Encode4(1051993), // Rule ID 13838 //
     /* 1051921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1051924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1051929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1051932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1051935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1051938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1051941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1051944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1051952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1051956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1051960 */     // MIs[0] policy
     /* 1051960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1051963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1051970 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11653:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1051970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1051973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1051975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1051977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1051979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1051981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1051986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1051989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1051991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1051992 */     // GIR_Coverage, 13838,
     /* 1051992 */     GIR_EraseRootFromParent_Done,
     /* 1051993 */   // Label 15552: @1051993
     /* 1051993 */   GIM_Try, /*On fail goto*//*Label 15553*/ GIMT_Encode4(1052070), // Rule ID 13839 //
     /* 1051998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1052001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1052006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1052009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1052012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1052015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1052018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1052033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1052037 */     // MIs[0] policy
     /* 1052037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052047 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11653:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2),
     /* 1052050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052069 */     // GIR_Coverage, 13839,
     /* 1052069 */     GIR_EraseRootFromParent_Done,
     /* 1052070 */   // Label 15553: @1052070
     /* 1052070 */   GIM_Try, /*On fail goto*//*Label 15554*/ GIMT_Encode4(1052147), // Rule ID 13842 //
     /* 1052075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1052078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1052083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1052086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1052089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1052092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1052095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1052110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052114 */     // MIs[0] policy
     /* 1052114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052124 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11653:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1052127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052146 */     // GIR_Coverage, 13842,
     /* 1052146 */     GIR_EraseRootFromParent_Done,
     /* 1052147 */   // Label 15554: @1052147
     /* 1052147 */   GIM_Try, /*On fail goto*//*Label 15555*/ GIMT_Encode4(1052224), // Rule ID 13843 //
     /* 1052152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1052155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus),
     /* 1052160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1052163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1052166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1052169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1052172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1052183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1052187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1052191 */     // MIs[0] policy
     /* 1052191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052201 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11653:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4),
     /* 1052204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1052208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1052210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1052212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052223 */     // GIR_Coverage, 13843,
     /* 1052223 */     GIR_EraseRootFromParent_Done,
     /* 1052224 */   // Label 15555: @1052224
     /* 1052224 */   GIM_Try, /*On fail goto*//*Label 15556*/ GIMT_Encode4(1052301), // Rule ID 19056 //
     /* 1052229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1052240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1052243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1052246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052268 */     // MIs[0] policy
     /* 1052268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052278 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1052281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052300 */     // GIR_Coverage, 19056,
     /* 1052300 */     GIR_EraseRootFromParent_Done,
     /* 1052301 */   // Label 15556: @1052301
     /* 1052301 */   GIM_Try, /*On fail goto*//*Label 15557*/ GIMT_Encode4(1052378), // Rule ID 19057 //
     /* 1052306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1052317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1052320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1052323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052345 */     // MIs[0] policy
     /* 1052345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052355 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E16_MASK),
     /* 1052358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052360 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052364 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052377 */     // GIR_Coverage, 19057,
     /* 1052377 */     GIR_EraseRootFromParent_Done,
     /* 1052378 */   // Label 15557: @1052378
     /* 1052378 */   GIM_Try, /*On fail goto*//*Label 15558*/ GIMT_Encode4(1052455), // Rule ID 19060 //
     /* 1052383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1052386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052422 */     // MIs[0] policy
     /* 1052422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052432 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1052435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052454 */     // GIR_Coverage, 19060,
     /* 1052454 */     GIR_EraseRootFromParent_Done,
     /* 1052455 */   // Label 15558: @1052455
     /* 1052455 */   GIM_Try, /*On fail goto*//*Label 15559*/ GIMT_Encode4(1052532), // Rule ID 19061 //
     /* 1052460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1052463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1052471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1052474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1052477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052499 */     // MIs[0] policy
     /* 1052499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052509 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_MF2_E32_MASK),
     /* 1052512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052531 */     // GIR_Coverage, 19061,
     /* 1052531 */     GIR_EraseRootFromParent_Done,
     /* 1052532 */   // Label 15559: @1052532
     /* 1052532 */   GIM_Try, /*On fail goto*//*Label 15560*/ GIMT_Encode4(1052609), // Rule ID 19064 //
     /* 1052537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1052540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052576 */     // MIs[0] policy
     /* 1052576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052586 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1052589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052608 */     // GIR_Coverage, 19064,
     /* 1052608 */     GIR_EraseRootFromParent_Done,
     /* 1052609 */   // Label 15560: @1052609
     /* 1052609 */   GIM_Try, /*On fail goto*//*Label 15561*/ GIMT_Encode4(1052686), // Rule ID 19065 //
     /* 1052614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1052617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1052625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1052628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1052631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1052634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052653 */     // MIs[0] policy
     /* 1052653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052663 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11262:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E16_MASK),
     /* 1052666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1052682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052685 */     // GIR_Coverage, 19065,
     /* 1052685 */     GIR_EraseRootFromParent_Done,
     /* 1052686 */   // Label 15561: @1052686
     /* 1052686 */   GIM_Try, /*On fail goto*//*Label 15562*/ GIMT_Encode4(1052763), // Rule ID 19068 //
     /* 1052691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1052694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052730 */     // MIs[0] policy
     /* 1052730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052740 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1052743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052762 */     // GIR_Coverage, 19068,
     /* 1052762 */     GIR_EraseRootFromParent_Done,
     /* 1052763 */   // Label 15562: @1052763
     /* 1052763 */   GIM_Try, /*On fail goto*//*Label 15563*/ GIMT_Encode4(1052840), // Rule ID 19069 //
     /* 1052768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1052771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1052779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1052782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1052785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1052788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052807 */     // MIs[0] policy
     /* 1052807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052817 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11262:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E32_MASK),
     /* 1052820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052826 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1052836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052839 */     // GIR_Coverage, 19069,
     /* 1052839 */     GIR_EraseRootFromParent_Done,
     /* 1052840 */   // Label 15563: @1052840
     /* 1052840 */   GIM_Try, /*On fail goto*//*Label 15564*/ GIMT_Encode4(1052917), // Rule ID 19072 //
     /* 1052845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1052848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1052868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052884 */     // MIs[0] policy
     /* 1052884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052894 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1052894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1052897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052916 */     // GIR_Coverage, 19072,
     /* 1052916 */     GIR_EraseRootFromParent_Done,
     /* 1052917 */   // Label 15564: @1052917
     /* 1052917 */   GIM_Try, /*On fail goto*//*Label 15565*/ GIMT_Encode4(1052994), // Rule ID 19073 //
     /* 1052922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1052925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1052930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1052933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1052936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1052939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1052942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1052945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1052949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1052957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1052961 */     // MIs[0] policy
     /* 1052961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1052964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1052971 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11262:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1052971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M1_E64_MASK),
     /* 1052974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1052976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1052978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1052980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1052982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1052987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1052990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1052992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1052993 */     // GIR_Coverage, 19073,
     /* 1052993 */     GIR_EraseRootFromParent_Done,
     /* 1052994 */   // Label 15565: @1052994
     /* 1052994 */   GIM_Try, /*On fail goto*//*Label 15566*/ GIMT_Encode4(1053071), // Rule ID 19076 //
     /* 1052999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1053002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1053010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1053013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1053016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053038 */     // MIs[0] policy
     /* 1053038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053048 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1053051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053070 */     // GIR_Coverage, 19076,
     /* 1053070 */     GIR_EraseRootFromParent_Done,
     /* 1053071 */   // Label 15566: @1053071
     /* 1053071 */   GIM_Try, /*On fail goto*//*Label 15567*/ GIMT_Encode4(1053148), // Rule ID 19077 //
     /* 1053076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1053079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1053087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1053090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1053093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053115 */     // MIs[0] policy
     /* 1053115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053125 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E16_MASK),
     /* 1053128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053134 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053147 */     // GIR_Coverage, 19077,
     /* 1053147 */     GIR_EraseRootFromParent_Done,
     /* 1053148 */   // Label 15567: @1053148
     /* 1053148 */   GIM_Try, /*On fail goto*//*Label 15568*/ GIMT_Encode4(1053225), // Rule ID 19080 //
     /* 1053153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1053156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1053164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1053167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1053170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053192 */     // MIs[0] policy
     /* 1053192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053202 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1053205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053224 */     // GIR_Coverage, 19080,
     /* 1053224 */     GIR_EraseRootFromParent_Done,
     /* 1053225 */   // Label 15568: @1053225
     /* 1053225 */   GIM_Try, /*On fail goto*//*Label 15569*/ GIMT_Encode4(1053302), // Rule ID 19081 //
     /* 1053230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1053233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1053241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1053244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1053247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053269 */     // MIs[0] policy
     /* 1053269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053279 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E16_MASK),
     /* 1053282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053288 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053301 */     // GIR_Coverage, 19081,
     /* 1053301 */     GIR_EraseRootFromParent_Done,
     /* 1053302 */   // Label 15569: @1053302
     /* 1053302 */   GIM_Try, /*On fail goto*//*Label 15570*/ GIMT_Encode4(1053379), // Rule ID 19084 //
     /* 1053307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1053310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1053324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053346 */     // MIs[0] policy
     /* 1053346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053356 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1053359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053365 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053378 */     // GIR_Coverage, 19084,
     /* 1053378 */     GIR_EraseRootFromParent_Done,
     /* 1053379 */   // Label 15570: @1053379
     /* 1053379 */   GIM_Try, /*On fail goto*//*Label 15571*/ GIMT_Encode4(1053456), // Rule ID 19085 //
     /* 1053384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1053387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1053395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1053398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1053401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1053404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053423 */     // MIs[0] policy
     /* 1053423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053433 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E16_MASK),
     /* 1053436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053442 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1053452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053455 */     // GIR_Coverage, 19085,
     /* 1053455 */     GIR_EraseRootFromParent_Done,
     /* 1053456 */   // Label 15571: @1053456
     /* 1053456 */   GIM_Try, /*On fail goto*//*Label 15572*/ GIMT_Encode4(1053533), // Rule ID 19088 //
     /* 1053461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1053464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053500 */     // MIs[0] policy
     /* 1053500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053510 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1053513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053532 */     // GIR_Coverage, 19088,
     /* 1053532 */     GIR_EraseRootFromParent_Done,
     /* 1053533 */   // Label 15572: @1053533
     /* 1053533 */   GIM_Try, /*On fail goto*//*Label 15573*/ GIMT_Encode4(1053610), // Rule ID 19089 //
     /* 1053538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1053541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1053549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1053552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1053555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1053558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053577 */     // MIs[0] policy
     /* 1053577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053587 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E32_MASK),
     /* 1053590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053609 */     // GIR_Coverage, 19089,
     /* 1053609 */     GIR_EraseRootFromParent_Done,
     /* 1053610 */   // Label 15573: @1053610
     /* 1053610 */   GIM_Try, /*On fail goto*//*Label 15574*/ GIMT_Encode4(1053687), // Rule ID 19092 //
     /* 1053615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1053618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053654 */     // MIs[0] policy
     /* 1053654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053664 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1053667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053673 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053686 */     // GIR_Coverage, 19092,
     /* 1053686 */     GIR_EraseRootFromParent_Done,
     /* 1053687 */   // Label 15574: @1053687
     /* 1053687 */   GIM_Try, /*On fail goto*//*Label 15575*/ GIMT_Encode4(1053764), // Rule ID 19093 //
     /* 1053692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1053695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1053703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1053706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1053709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1053712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1053719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1053727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053731 */     // MIs[0] policy
     /* 1053731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053741 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E32_MASK),
     /* 1053744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053750 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053763 */     // GIR_Coverage, 19093,
     /* 1053763 */     GIR_EraseRootFromParent_Done,
     /* 1053764 */   // Label 15575: @1053764
     /* 1053764 */   GIM_Try, /*On fail goto*//*Label 15576*/ GIMT_Encode4(1053841), // Rule ID 19096 //
     /* 1053769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1053772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053808 */     // MIs[0] policy
     /* 1053808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053818 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1053821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053840 */     // GIR_Coverage, 19096,
     /* 1053840 */     GIR_EraseRootFromParent_Done,
     /* 1053841 */   // Label 15576: @1053841
     /* 1053841 */   GIM_Try, /*On fail goto*//*Label 15577*/ GIMT_Encode4(1053918), // Rule ID 19097 //
     /* 1053846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1053849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1053857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1053860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1053863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1053866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1053869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1053873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1053881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053885 */     // MIs[0] policy
     /* 1053885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053895 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1053895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E32_MASK),
     /* 1053898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053904 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1053914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053917 */     // GIR_Coverage, 19097,
     /* 1053917 */     GIR_EraseRootFromParent_Done,
     /* 1053918 */   // Label 15577: @1053918
     /* 1053918 */   GIM_Try, /*On fail goto*//*Label 15578*/ GIMT_Encode4(1053995), // Rule ID 19100 //
     /* 1053923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1053926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1053931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1053934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1053937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1053940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1053943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1053946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1053950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1053958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1053962 */     // MIs[0] policy
     /* 1053962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1053965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1053972 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1053972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1053975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1053977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1053979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1053981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1053983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1053988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1053991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1053993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1053994 */     // GIR_Coverage, 19100,
     /* 1053994 */     GIR_EraseRootFromParent_Done,
     /* 1053995 */   // Label 15578: @1053995
     /* 1053995 */   GIM_Try, /*On fail goto*//*Label 15579*/ GIMT_Encode4(1054072), // Rule ID 19101 //
     /* 1054000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1054003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1054008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1054011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1054014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1054017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1054027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1054035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054039 */     // MIs[0] policy
     /* 1054039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054049 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11262:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M2_E64_MASK),
     /* 1054052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054058 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054071 */     // GIR_Coverage, 19101,
     /* 1054071 */     GIR_EraseRootFromParent_Done,
     /* 1054072 */   // Label 15579: @1054072
     /* 1054072 */   GIM_Try, /*On fail goto*//*Label 15580*/ GIMT_Encode4(1054149), // Rule ID 19104 //
     /* 1054077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1054080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1054085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1054088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1054091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1054094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054116 */     // MIs[0] policy
     /* 1054116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054126 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1054129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054148 */     // GIR_Coverage, 19104,
     /* 1054148 */     GIR_EraseRootFromParent_Done,
     /* 1054149 */   // Label 15580: @1054149
     /* 1054149 */   GIM_Try, /*On fail goto*//*Label 15581*/ GIMT_Encode4(1054226), // Rule ID 19105 //
     /* 1054154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1054157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1054162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1054165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1054168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1054171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1054181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1054189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054193 */     // MIs[0] policy
     /* 1054193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054203 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11262:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M4_E64_MASK),
     /* 1054206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054212 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054225 */     // GIR_Coverage, 19105,
     /* 1054225 */     GIR_EraseRootFromParent_Done,
     /* 1054226 */   // Label 15581: @1054226
     /* 1054226 */   GIM_Try, /*On fail goto*//*Label 15582*/ GIMT_Encode4(1054303), // Rule ID 19108 //
     /* 1054231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1054234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1054239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1054242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1054245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1054248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054270 */     // MIs[0] policy
     /* 1054270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054280 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1054283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054302 */     // GIR_Coverage, 19108,
     /* 1054302 */     GIR_EraseRootFromParent_Done,
     /* 1054303 */   // Label 15582: @1054303
     /* 1054303 */   GIM_Try, /*On fail goto*//*Label 15583*/ GIMT_Encode4(1054380), // Rule ID 19109 //
     /* 1054308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1054311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsqrt7_mask),
     /* 1054316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1054319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1054322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1054325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1054328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1054335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1054343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054347 */     // MIs[0] policy
     /* 1054347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054357 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11262:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSQRT7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSQRT7_V_M8_E64_MASK),
     /* 1054360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054362 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054366 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1054376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054379 */     // GIR_Coverage, 19109,
     /* 1054379 */     GIR_EraseRootFromParent_Done,
     /* 1054380 */   // Label 15583: @1054380
     /* 1054380 */   GIM_Try, /*On fail goto*//*Label 15584*/ GIMT_Encode4(1054457), // Rule ID 20492 //
     /* 1054385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054424 */     // MIs[0] policy
     /* 1054424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1054437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054456 */     // GIR_Coverage, 20492,
     /* 1054456 */     GIR_EraseRootFromParent_Done,
     /* 1054457 */   // Label 15584: @1054457
     /* 1054457 */   GIM_Try, /*On fail goto*//*Label 15585*/ GIMT_Encode4(1054534), // Rule ID 20493 //
     /* 1054462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1054473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1054476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1054479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054501 */     // MIs[0] policy
     /* 1054501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054511 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1054514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054520 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054533 */     // GIR_Coverage, 20493,
     /* 1054533 */     GIR_EraseRootFromParent_Done,
     /* 1054534 */   // Label 15585: @1054534
     /* 1054534 */   GIM_Try, /*On fail goto*//*Label 15586*/ GIMT_Encode4(1054611), // Rule ID 20496 //
     /* 1054539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054578 */     // MIs[0] policy
     /* 1054578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1054591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054610 */     // GIR_Coverage, 20496,
     /* 1054610 */     GIR_EraseRootFromParent_Done,
     /* 1054611 */   // Label 15586: @1054611
     /* 1054611 */   GIM_Try, /*On fail goto*//*Label 15587*/ GIMT_Encode4(1054688), // Rule ID 20497 //
     /* 1054616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1054627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1054630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1054633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1054636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054655 */     // MIs[0] policy
     /* 1054655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054665 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_MF2_MASK),
     /* 1054668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054674 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054687 */     // GIR_Coverage, 20497,
     /* 1054687 */     GIR_EraseRootFromParent_Done,
     /* 1054688 */   // Label 15587: @1054688
     /* 1054688 */   GIM_Try, /*On fail goto*//*Label 15588*/ GIMT_Encode4(1054765), // Rule ID 20500 //
     /* 1054693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1054696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054732 */     // MIs[0] policy
     /* 1054732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054742 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054764 */     // GIR_Coverage, 20500,
     /* 1054764 */     GIR_EraseRootFromParent_Done,
     /* 1054765 */   // Label 15588: @1054765
     /* 1054765 */   GIM_Try, /*On fail goto*//*Label 15589*/ GIMT_Encode4(1054842), // Rule ID 20501 //
     /* 1054770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1054773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1054781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1054784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1054787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1054790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054809 */     // MIs[0] policy
     /* 1054809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054819 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11188:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054828 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1054838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054841 */     // GIR_Coverage, 20501,
     /* 1054841 */     GIR_EraseRootFromParent_Done,
     /* 1054842 */   // Label 15589: @1054842
     /* 1054842 */   GIM_Try, /*On fail goto*//*Label 15590*/ GIMT_Encode4(1054919), // Rule ID 20504 //
     /* 1054847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1054850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1054870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054886 */     // MIs[0] policy
     /* 1054886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1054896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054905 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054918 */     // GIR_Coverage, 20504,
     /* 1054918 */     GIR_EraseRootFromParent_Done,
     /* 1054919 */   // Label 15590: @1054919
     /* 1054919 */   GIM_Try, /*On fail goto*//*Label 15591*/ GIMT_Encode4(1054996), // Rule ID 20505 //
     /* 1054924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1054927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1054932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1054935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1054938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1054941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1054944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1054947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1054951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1054959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1054963 */     // MIs[0] policy
     /* 1054963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1054966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1054973 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11188:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1054973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1054976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1054978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1054980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1054982 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1054984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1054989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1054992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1054994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1054995 */     // GIR_Coverage, 20505,
     /* 1054995 */     GIR_EraseRootFromParent_Done,
     /* 1054996 */   // Label 15591: @1054996
     /* 1054996 */   GIM_Try, /*On fail goto*//*Label 15592*/ GIMT_Encode4(1055073), // Rule ID 20508 //
     /* 1055001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1055004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1055012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1055015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1055018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055040 */     // MIs[0] policy
     /* 1055040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1055053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055072 */     // GIR_Coverage, 20508,
     /* 1055072 */     GIR_EraseRootFromParent_Done,
     /* 1055073 */   // Label 15592: @1055073
     /* 1055073 */   GIM_Try, /*On fail goto*//*Label 15593*/ GIMT_Encode4(1055150), // Rule ID 20509 //
     /* 1055078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1055081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1055089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1055092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1055095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1055098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1055105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1055113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055117 */     // MIs[0] policy
     /* 1055117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11188:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M1_MASK),
     /* 1055130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055136 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1055146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055149 */     // GIR_Coverage, 20509,
     /* 1055149 */     GIR_EraseRootFromParent_Done,
     /* 1055150 */   // Label 15593: @1055150
     /* 1055150 */   GIM_Try, /*On fail goto*//*Label 15594*/ GIMT_Encode4(1055227), // Rule ID 20512 //
     /* 1055155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1055166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1055169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1055172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055194 */     // MIs[0] policy
     /* 1055194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055204 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055213 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055226 */     // GIR_Coverage, 20512,
     /* 1055226 */     GIR_EraseRootFromParent_Done,
     /* 1055227 */   // Label 15594: @1055227
     /* 1055227 */   GIM_Try, /*On fail goto*//*Label 15595*/ GIMT_Encode4(1055304), // Rule ID 20513 //
     /* 1055232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1055243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1055246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1055249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055271 */     // MIs[0] policy
     /* 1055271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055281 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055290 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055303 */     // GIR_Coverage, 20513,
     /* 1055303 */     GIR_EraseRootFromParent_Done,
     /* 1055304 */   // Label 15595: @1055304
     /* 1055304 */   GIM_Try, /*On fail goto*//*Label 15596*/ GIMT_Encode4(1055381), // Rule ID 20516 //
     /* 1055309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055348 */     // MIs[0] policy
     /* 1055348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055358 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055380 */     // GIR_Coverage, 20516,
     /* 1055380 */     GIR_EraseRootFromParent_Done,
     /* 1055381 */   // Label 15596: @1055381
     /* 1055381 */   GIM_Try, /*On fail goto*//*Label 15597*/ GIMT_Encode4(1055458), // Rule ID 20517 //
     /* 1055386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1055397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1055400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1055403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055425 */     // MIs[0] policy
     /* 1055425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055435 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055457 */     // GIR_Coverage, 20517,
     /* 1055457 */     GIR_EraseRootFromParent_Done,
     /* 1055458 */   // Label 15597: @1055458
     /* 1055458 */   GIM_Try, /*On fail goto*//*Label 15598*/ GIMT_Encode4(1055535), // Rule ID 20520 //
     /* 1055463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1055466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055502 */     // MIs[0] policy
     /* 1055502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055512 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055534 */     // GIR_Coverage, 20520,
     /* 1055534 */     GIR_EraseRootFromParent_Done,
     /* 1055535 */   // Label 15598: @1055535
     /* 1055535 */   GIM_Try, /*On fail goto*//*Label 15599*/ GIMT_Encode4(1055612), // Rule ID 20521 //
     /* 1055540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1055543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1055551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1055554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1055557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1055560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055579 */     // MIs[0] policy
     /* 1055579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055589 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055598 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1055608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055611 */     // GIR_Coverage, 20521,
     /* 1055611 */     GIR_EraseRootFromParent_Done,
     /* 1055612 */   // Label 15599: @1055612
     /* 1055612 */   GIM_Try, /*On fail goto*//*Label 15600*/ GIMT_Encode4(1055689), // Rule ID 20524 //
     /* 1055617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055656 */     // MIs[0] policy
     /* 1055656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055685 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055688 */     // GIR_Coverage, 20524,
     /* 1055688 */     GIR_EraseRootFromParent_Done,
     /* 1055689 */   // Label 15600: @1055689
     /* 1055689 */   GIM_Try, /*On fail goto*//*Label 15601*/ GIMT_Encode4(1055766), // Rule ID 20525 //
     /* 1055694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1055705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1055708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1055711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1055714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1055721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1055729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055733 */     // MIs[0] policy
     /* 1055733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055743 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1055746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055752 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055762 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055765 */     // GIR_Coverage, 20525,
     /* 1055765 */     GIR_EraseRootFromParent_Done,
     /* 1055766 */   // Label 15601: @1055766
     /* 1055766 */   GIM_Try, /*On fail goto*//*Label 15602*/ GIMT_Encode4(1055843), // Rule ID 20528 //
     /* 1055771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055810 */     // MIs[0] policy
     /* 1055810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055820 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055839 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055842 */     // GIR_Coverage, 20528,
     /* 1055842 */     GIR_EraseRootFromParent_Done,
     /* 1055843 */   // Label 15602: @1055843
     /* 1055843 */   GIM_Try, /*On fail goto*//*Label 15603*/ GIMT_Encode4(1055920), // Rule ID 20529 //
     /* 1055848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1055851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1055859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1055862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1055865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1055868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1055871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1055875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1055883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055887 */     // MIs[0] policy
     /* 1055887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055897 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1055897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1055900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055906 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055916 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055919 */     // GIR_Coverage, 20529,
     /* 1055919 */     GIR_EraseRootFromParent_Done,
     /* 1055920 */   // Label 15603: @1055920
     /* 1055920 */   GIM_Try, /*On fail goto*//*Label 15604*/ GIMT_Encode4(1055997), // Rule ID 20532 //
     /* 1055925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1055928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1055933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1055936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1055939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1055942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1055945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1055948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1055952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1055960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1055964 */     // MIs[0] policy
     /* 1055964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1055967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1055974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1055974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1055977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1055979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1055981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1055983 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1055985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1055990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1055993 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1055995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1055996 */     // GIR_Coverage, 20532,
     /* 1055996 */     GIR_EraseRootFromParent_Done,
     /* 1055997 */   // Label 15604: @1055997
     /* 1055997 */   GIM_Try, /*On fail goto*//*Label 15605*/ GIMT_Encode4(1056074), // Rule ID 20533 //
     /* 1056002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1056010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1056013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1056016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1056019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1056022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056041 */     // MIs[0] policy
     /* 1056041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1056054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056060 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056070 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056073 */     // GIR_Coverage, 20533,
     /* 1056073 */     GIR_EraseRootFromParent_Done,
     /* 1056074 */   // Label 15605: @1056074
     /* 1056074 */   GIM_Try, /*On fail goto*//*Label 15606*/ GIMT_Encode4(1056151), // Rule ID 20536 //
     /* 1056079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1056087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1056096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056118 */     // MIs[0] policy
     /* 1056118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1056131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056147 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056150 */     // GIR_Coverage, 20536,
     /* 1056150 */     GIR_EraseRootFromParent_Done,
     /* 1056151 */   // Label 15606: @1056151
     /* 1056151 */   GIM_Try, /*On fail goto*//*Label 15607*/ GIMT_Encode4(1056228), // Rule ID 20537 //
     /* 1056156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1056164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1056167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1056170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1056173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1056183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1056191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056195 */     // MIs[0] policy
     /* 1056195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056205 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11188:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M2_MASK),
     /* 1056208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056214 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056224 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056227 */     // GIR_Coverage, 20537,
     /* 1056227 */     GIR_EraseRootFromParent_Done,
     /* 1056228 */   // Label 15607: @1056228
     /* 1056228 */   GIM_Try, /*On fail goto*//*Label 15608*/ GIMT_Encode4(1056305), // Rule ID 20540 //
     /* 1056233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1056241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1056250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056272 */     // MIs[0] policy
     /* 1056272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056282 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1056285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056304 */     // GIR_Coverage, 20540,
     /* 1056304 */     GIR_EraseRootFromParent_Done,
     /* 1056305 */   // Label 15608: @1056305
     /* 1056305 */   GIM_Try, /*On fail goto*//*Label 15609*/ GIMT_Encode4(1056382), // Rule ID 20541 //
     /* 1056310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1056318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1056321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1056324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1056327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1056330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1056337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1056345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056349 */     // MIs[0] policy
     /* 1056349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056359 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11188:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M4_MASK),
     /* 1056362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056381 */     // GIR_Coverage, 20541,
     /* 1056381 */     GIR_EraseRootFromParent_Done,
     /* 1056382 */   // Label 15609: @1056382
     /* 1056382 */   GIM_Try, /*On fail goto*//*Label 15610*/ GIMT_Encode4(1056459), // Rule ID 20544 //
     /* 1056387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1056390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1056395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056426 */     // MIs[0] policy
     /* 1056426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056436 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1056439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056445 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056455 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056458 */     // GIR_Coverage, 20544,
     /* 1056458 */     GIR_EraseRootFromParent_Done,
     /* 1056459 */   // Label 15610: @1056459
     /* 1056459 */   GIM_Try, /*On fail goto*//*Label 15611*/ GIMT_Encode4(1056536), // Rule ID 20545 //
     /* 1056464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1056467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfclass_mask),
     /* 1056472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1056475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1056478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1056481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1056484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1056491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1056499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056503 */     // MIs[0] policy
     /* 1056503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056513 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11188:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCLASS_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCLASS_V_M8_MASK),
     /* 1056516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1056532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056535 */     // GIR_Coverage, 20545,
     /* 1056535 */     GIR_EraseRootFromParent_Done,
     /* 1056536 */   // Label 15611: @1056536
     /* 1056536 */   GIM_Try, /*On fail goto*//*Label 15612*/ GIMT_Encode4(1056613), // Rule ID 20870 //
     /* 1056541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1056552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1056555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056580 */     // MIs[0] policy
     /* 1056580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056590 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056612 */     // GIR_Coverage, 20870,
     /* 1056612 */     GIR_EraseRootFromParent_Done,
     /* 1056613 */   // Label 15612: @1056613
     /* 1056613 */   GIM_Try, /*On fail goto*//*Label 15613*/ GIMT_Encode4(1056690), // Rule ID 20871 //
     /* 1056618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1056629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1056632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1056635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056657 */     // MIs[0] policy
     /* 1056657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056667 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1056670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056676 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056686 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056689 */     // GIR_Coverage, 20871,
     /* 1056689 */     GIR_EraseRootFromParent_Done,
     /* 1056690 */   // Label 15613: @1056690
     /* 1056690 */   GIM_Try, /*On fail goto*//*Label 15614*/ GIMT_Encode4(1056767), // Rule ID 20874 //
     /* 1056695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1056698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1056706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1056709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056734 */     // MIs[0] policy
     /* 1056734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056744 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056753 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056763 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056766 */     // GIR_Coverage, 20874,
     /* 1056766 */     GIR_EraseRootFromParent_Done,
     /* 1056767 */   // Label 15614: @1056767
     /* 1056767 */   GIM_Try, /*On fail goto*//*Label 15615*/ GIMT_Encode4(1056844), // Rule ID 20875 //
     /* 1056772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1056775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1056783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1056786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1056789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1056792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056811 */     // MIs[0] policy
     /* 1056811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056821 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1056840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056843 */     // GIR_Coverage, 20875,
     /* 1056843 */     GIR_EraseRootFromParent_Done,
     /* 1056844 */   // Label 15615: @1056844
     /* 1056844 */   GIM_Try, /*On fail goto*//*Label 15616*/ GIMT_Encode4(1056921), // Rule ID 20878 //
     /* 1056849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1056852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1056872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056888 */     // MIs[0] policy
     /* 1056888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056898 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1056898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056917 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056920 */     // GIR_Coverage, 20878,
     /* 1056920 */     GIR_EraseRootFromParent_Done,
     /* 1056921 */   // Label 15616: @1056921
     /* 1056921 */   GIM_Try, /*On fail goto*//*Label 15617*/ GIMT_Encode4(1056998), // Rule ID 20879 //
     /* 1056926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1056929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1056934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1056937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1056940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1056943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1056946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1056949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1056953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1056961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1056965 */     // MIs[0] policy
     /* 1056965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1056968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1056975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1056975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1056978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1056980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1056982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1056984 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1056986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1056991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1056994 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1056996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1056997 */     // GIR_Coverage, 20879,
     /* 1056997 */     GIR_EraseRootFromParent_Done,
     /* 1056998 */   // Label 15617: @1056998
     /* 1056998 */   GIM_Try, /*On fail goto*//*Label 15618*/ GIMT_Encode4(1057075), // Rule ID 20882 //
     /* 1057003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1057014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1057017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057042 */     // MIs[0] policy
     /* 1057042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057071 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057074 */     // GIR_Coverage, 20882,
     /* 1057074 */     GIR_EraseRootFromParent_Done,
     /* 1057075 */   // Label 15618: @1057075
     /* 1057075 */   GIM_Try, /*On fail goto*//*Label 15619*/ GIMT_Encode4(1057152), // Rule ID 20883 //
     /* 1057080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1057091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1057094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1057097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057119 */     // MIs[0] policy
     /* 1057119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057129 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11196:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057151 */     // GIR_Coverage, 20883,
     /* 1057151 */     GIR_EraseRootFromParent_Done,
     /* 1057152 */   // Label 15619: @1057152
     /* 1057152 */   GIM_Try, /*On fail goto*//*Label 15620*/ GIMT_Encode4(1057229), // Rule ID 20886 //
     /* 1057157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1057160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057196 */     // MIs[0] policy
     /* 1057196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057215 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057225 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057228 */     // GIR_Coverage, 20886,
     /* 1057228 */     GIR_EraseRootFromParent_Done,
     /* 1057229 */   // Label 15620: @1057229
     /* 1057229 */   GIM_Try, /*On fail goto*//*Label 15621*/ GIMT_Encode4(1057306), // Rule ID 20887 //
     /* 1057234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1057237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1057245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1057248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1057251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1057254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057273 */     // MIs[0] policy
     /* 1057273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057283 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11196:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057292 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057302 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057305 */     // GIR_Coverage, 20887,
     /* 1057305 */     GIR_EraseRootFromParent_Done,
     /* 1057306 */   // Label 15621: @1057306
     /* 1057306 */   GIM_Try, /*On fail goto*//*Label 15622*/ GIMT_Encode4(1057383), // Rule ID 20890 //
     /* 1057311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1057314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1057322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1057325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1057328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057350 */     // MIs[0] policy
     /* 1057350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057360 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057379 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057382 */     // GIR_Coverage, 20890,
     /* 1057382 */     GIR_EraseRootFromParent_Done,
     /* 1057383 */   // Label 15622: @1057383
     /* 1057383 */   GIM_Try, /*On fail goto*//*Label 15623*/ GIMT_Encode4(1057460), // Rule ID 20891 //
     /* 1057388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1057391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1057399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1057402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1057405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1057408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1057415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1057423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057427 */     // MIs[0] policy
     /* 1057427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057437 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11196:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1057440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1057456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057459 */     // GIR_Coverage, 20891,
     /* 1057459 */     GIR_EraseRootFromParent_Done,
     /* 1057460 */   // Label 15623: @1057460
     /* 1057460 */   GIM_Try, /*On fail goto*//*Label 15624*/ GIMT_Encode4(1057537), // Rule ID 20894 //
     /* 1057465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1057476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1057479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057504 */     // MIs[0] policy
     /* 1057504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057533 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057536 */     // GIR_Coverage, 20894,
     /* 1057536 */     GIR_EraseRootFromParent_Done,
     /* 1057537 */   // Label 15624: @1057537
     /* 1057537 */   GIM_Try, /*On fail goto*//*Label 15625*/ GIMT_Encode4(1057614), // Rule ID 20895 //
     /* 1057542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1057553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1057556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1057559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1057562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057581 */     // MIs[0] policy
     /* 1057581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057600 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057610 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057613 */     // GIR_Coverage, 20895,
     /* 1057613 */     GIR_EraseRootFromParent_Done,
     /* 1057614 */   // Label 15625: @1057614
     /* 1057614 */   GIM_Try, /*On fail goto*//*Label 15626*/ GIMT_Encode4(1057691), // Rule ID 20898 //
     /* 1057619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1057630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1057633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057658 */     // MIs[0] policy
     /* 1057658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057687 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057690 */     // GIR_Coverage, 20898,
     /* 1057690 */     GIR_EraseRootFromParent_Done,
     /* 1057691 */   // Label 15626: @1057691
     /* 1057691 */   GIM_Try, /*On fail goto*//*Label 15627*/ GIMT_Encode4(1057768), // Rule ID 20899 //
     /* 1057696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1057707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1057710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1057713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1057716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1057723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1057731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057735 */     // MIs[0] policy
     /* 1057735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057745 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1057748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057754 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057764 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057767 */     // GIR_Coverage, 20899,
     /* 1057767 */     GIR_EraseRootFromParent_Done,
     /* 1057768 */   // Label 15627: @1057768
     /* 1057768 */   GIM_Try, /*On fail goto*//*Label 15628*/ GIMT_Encode4(1057845), // Rule ID 20902 //
     /* 1057773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1057776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1057784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1057787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1057790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1057793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057812 */     // MIs[0] policy
     /* 1057812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057822 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057841 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057844 */     // GIR_Coverage, 20902,
     /* 1057844 */     GIR_EraseRootFromParent_Done,
     /* 1057845 */   // Label 15628: @1057845
     /* 1057845 */   GIM_Try, /*On fail goto*//*Label 15629*/ GIMT_Encode4(1057922), // Rule ID 20903 //
     /* 1057850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1057853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1057861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1057864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1057867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1057870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1057873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1057877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1057885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057889 */     // MIs[0] policy
     /* 1057889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057899 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1057899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1057902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057908 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1057918 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057921 */     // GIR_Coverage, 20903,
     /* 1057921 */     GIR_EraseRootFromParent_Done,
     /* 1057922 */   // Label 15629: @1057922
     /* 1057922 */   GIM_Try, /*On fail goto*//*Label 15630*/ GIMT_Encode4(1057999), // Rule ID 20906 //
     /* 1057927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1057930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1057935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1057938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1057941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1057944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1057947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1057950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1057954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1057962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1057966 */     // MIs[0] policy
     /* 1057966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1057969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1057976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1057976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1057979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1057981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1057983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1057985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1057987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1057992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1057995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1057997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1057998 */     // GIR_Coverage, 20906,
     /* 1057998 */     GIR_EraseRootFromParent_Done,
     /* 1057999 */   // Label 15630: @1057999
     /* 1057999 */   GIM_Try, /*On fail goto*//*Label 15631*/ GIMT_Encode4(1058076), // Rule ID 20907 //
     /* 1058004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1058015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1058018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1058021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058043 */     // MIs[0] policy
     /* 1058043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058053 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1058056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058075 */     // GIR_Coverage, 20907,
     /* 1058075 */     GIR_EraseRootFromParent_Done,
     /* 1058076 */   // Label 15631: @1058076
     /* 1058076 */   GIM_Try, /*On fail goto*//*Label 15632*/ GIMT_Encode4(1058153), // Rule ID 20910 //
     /* 1058081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058120 */     // MIs[0] policy
     /* 1058120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058130 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1058133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058152 */     // GIR_Coverage, 20910,
     /* 1058152 */     GIR_EraseRootFromParent_Done,
     /* 1058153 */   // Label 15632: @1058153
     /* 1058153 */   GIM_Try, /*On fail goto*//*Label 15633*/ GIMT_Encode4(1058230), // Rule ID 20911 //
     /* 1058158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1058169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1058172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1058175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058197 */     // MIs[0] policy
     /* 1058197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058207 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1058210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058216 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058226 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058229 */     // GIR_Coverage, 20911,
     /* 1058229 */     GIR_EraseRootFromParent_Done,
     /* 1058230 */   // Label 15633: @1058230
     /* 1058230 */   GIM_Try, /*On fail goto*//*Label 15634*/ GIMT_Encode4(1058307), // Rule ID 20914 //
     /* 1058235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1058238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1058252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058274 */     // MIs[0] policy
     /* 1058274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058284 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1058287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058303 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058306 */     // GIR_Coverage, 20914,
     /* 1058306 */     GIR_EraseRootFromParent_Done,
     /* 1058307 */   // Label 15634: @1058307
     /* 1058307 */   GIM_Try, /*On fail goto*//*Label 15635*/ GIMT_Encode4(1058384), // Rule ID 20915 //
     /* 1058312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1058315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1058323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1058326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1058329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1058332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058351 */     // MIs[0] policy
     /* 1058351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058361 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1058364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058370 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1058380 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058383 */     // GIR_Coverage, 20915,
     /* 1058383 */     GIR_EraseRootFromParent_Done,
     /* 1058384 */   // Label 15635: @1058384
     /* 1058384 */   GIM_Try, /*On fail goto*//*Label 15636*/ GIMT_Encode4(1058461), // Rule ID 20918 //
     /* 1058389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1058392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1058406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058428 */     // MIs[0] policy
     /* 1058428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058438 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1058441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058447 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058457 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058460 */     // GIR_Coverage, 20918,
     /* 1058460 */     GIR_EraseRootFromParent_Done,
     /* 1058461 */   // Label 15636: @1058461
     /* 1058461 */   GIM_Try, /*On fail goto*//*Label 15637*/ GIMT_Encode4(1058538), // Rule ID 20919 //
     /* 1058466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1058469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1058477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1058480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1058483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1058486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1058493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1058501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058505 */     // MIs[0] policy
     /* 1058505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058515 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11196:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1058518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058524 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058534 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058537 */     // GIR_Coverage, 20919,
     /* 1058537 */     GIR_EraseRootFromParent_Done,
     /* 1058538 */   // Label 15637: @1058538
     /* 1058538 */   GIM_Try, /*On fail goto*//*Label 15638*/ GIMT_Encode4(1058615), // Rule ID 20922 //
     /* 1058543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1058546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1058560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058582 */     // MIs[0] policy
     /* 1058582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1058595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058611 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058614 */     // GIR_Coverage, 20922,
     /* 1058614 */     GIR_EraseRootFromParent_Done,
     /* 1058615 */   // Label 15638: @1058615
     /* 1058615 */   GIM_Try, /*On fail goto*//*Label 15639*/ GIMT_Encode4(1058692), // Rule ID 20923 //
     /* 1058620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1058623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1058631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1058634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1058637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1058640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1058647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1058655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058659 */     // MIs[0] policy
     /* 1058659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058669 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11196:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1058672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058678 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058688 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058691 */     // GIR_Coverage, 20923,
     /* 1058691 */     GIR_EraseRootFromParent_Done,
     /* 1058692 */   // Label 15639: @1058692
     /* 1058692 */   GIM_Try, /*On fail goto*//*Label 15640*/ GIMT_Encode4(1058769), // Rule ID 20926 //
     /* 1058697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1058700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1058714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058736 */     // MIs[0] policy
     /* 1058736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058746 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1058749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058765 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058768 */     // GIR_Coverage, 20926,
     /* 1058768 */     GIR_EraseRootFromParent_Done,
     /* 1058769 */   // Label 15640: @1058769
     /* 1058769 */   GIM_Try, /*On fail goto*//*Label 15641*/ GIMT_Encode4(1058846), // Rule ID 20927 //
     /* 1058774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1058777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_xu_f_v_mask),
     /* 1058782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1058785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1058788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1058791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1058794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1058801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1058809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058813 */     // MIs[0] policy
     /* 1058813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058823 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11196:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1058826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058832 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1058842 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058845 */     // GIR_Coverage, 20927,
     /* 1058845 */     GIR_EraseRootFromParent_Done,
     /* 1058846 */   // Label 15641: @1058846
     /* 1058846 */   GIM_Try, /*On fail goto*//*Label 15642*/ GIMT_Encode4(1058923), // Rule ID 20930 //
     /* 1058851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1058854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1058874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058890 */     // MIs[0] policy
     /* 1058890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1058900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1058903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058919 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058922 */     // GIR_Coverage, 20930,
     /* 1058922 */     GIR_EraseRootFromParent_Done,
     /* 1058923 */   // Label 15642: @1058923
     /* 1058923 */   GIM_Try, /*On fail goto*//*Label 15643*/ GIMT_Encode4(1059000), // Rule ID 20931 //
     /* 1058928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1058931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1058936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1058939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1058942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1058945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1058948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1058951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1058955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1058963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1058967 */     // MIs[0] policy
     /* 1058967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1058970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1058977 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1058977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1058980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1058982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1058984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1058986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1058988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1058993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1058996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1058998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1058999 */     // GIR_Coverage, 20931,
     /* 1058999 */     GIR_EraseRootFromParent_Done,
     /* 1059000 */   // Label 15643: @1059000
     /* 1059000 */   GIM_Try, /*On fail goto*//*Label 15644*/ GIMT_Encode4(1059077), // Rule ID 20934 //
     /* 1059005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1059022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059044 */     // MIs[0] policy
     /* 1059044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059054 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1059057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059076 */     // GIR_Coverage, 20934,
     /* 1059076 */     GIR_EraseRootFromParent_Done,
     /* 1059077 */   // Label 15644: @1059077
     /* 1059077 */   GIM_Try, /*On fail goto*//*Label 15645*/ GIMT_Encode4(1059154), // Rule ID 20935 //
     /* 1059082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1059093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1059096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1059099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059121 */     // MIs[0] policy
     /* 1059121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059131 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1059134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059140 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059150 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059152 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059153 */     // GIR_Coverage, 20935,
     /* 1059153 */     GIR_EraseRootFromParent_Done,
     /* 1059154 */   // Label 15645: @1059154
     /* 1059154 */   GIM_Try, /*On fail goto*//*Label 15646*/ GIMT_Encode4(1059231), // Rule ID 20938 //
     /* 1059159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1059170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1059173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059198 */     // MIs[0] policy
     /* 1059198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1059211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059217 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059227 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059230 */     // GIR_Coverage, 20938,
     /* 1059230 */     GIR_EraseRootFromParent_Done,
     /* 1059231 */   // Label 15646: @1059231
     /* 1059231 */   GIM_Try, /*On fail goto*//*Label 15647*/ GIMT_Encode4(1059308), // Rule ID 20939 //
     /* 1059236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1059247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1059250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1059253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059275 */     // MIs[0] policy
     /* 1059275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059285 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1059288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059307 */     // GIR_Coverage, 20939,
     /* 1059307 */     GIR_EraseRootFromParent_Done,
     /* 1059308 */   // Label 15647: @1059308
     /* 1059308 */   GIM_Try, /*On fail goto*//*Label 15648*/ GIMT_Encode4(1059385), // Rule ID 20942 //
     /* 1059313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059352 */     // MIs[0] policy
     /* 1059352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059384 */     // GIR_Coverage, 20942,
     /* 1059384 */     GIR_EraseRootFromParent_Done,
     /* 1059385 */   // Label 15648: @1059385
     /* 1059385 */   GIM_Try, /*On fail goto*//*Label 15649*/ GIMT_Encode4(1059462), // Rule ID 20943 //
     /* 1059390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1059401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1059404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1059407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1059410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059429 */     // MIs[0] policy
     /* 1059429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059439 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11194:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059448 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059458 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059461 */     // GIR_Coverage, 20943,
     /* 1059461 */     GIR_EraseRootFromParent_Done,
     /* 1059462 */   // Label 15649: @1059462
     /* 1059462 */   GIM_Try, /*On fail goto*//*Label 15650*/ GIMT_Encode4(1059539), // Rule ID 20946 //
     /* 1059467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1059470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059506 */     // MIs[0] policy
     /* 1059506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059516 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059538 */     // GIR_Coverage, 20946,
     /* 1059538 */     GIR_EraseRootFromParent_Done,
     /* 1059539 */   // Label 15650: @1059539
     /* 1059539 */   GIM_Try, /*On fail goto*//*Label 15651*/ GIMT_Encode4(1059616), // Rule ID 20947 //
     /* 1059544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1059547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1059555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1059558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1059561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1059564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059583 */     // MIs[0] policy
     /* 1059583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059593 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11194:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059602 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1059612 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059615 */     // GIR_Coverage, 20947,
     /* 1059615 */     GIR_EraseRootFromParent_Done,
     /* 1059616 */   // Label 15651: @1059616
     /* 1059616 */   GIM_Try, /*On fail goto*//*Label 15652*/ GIMT_Encode4(1059693), // Rule ID 20950 //
     /* 1059621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1059624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1059638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059660 */     // MIs[0] policy
     /* 1059660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059670 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1059689 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059692 */     // GIR_Coverage, 20950,
     /* 1059692 */     GIR_EraseRootFromParent_Done,
     /* 1059693 */   // Label 15652: @1059693
     /* 1059693 */   GIM_Try, /*On fail goto*//*Label 15653*/ GIMT_Encode4(1059770), // Rule ID 20951 //
     /* 1059698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1059701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1059709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1059712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1059715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1059718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1059725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1059733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059737 */     // MIs[0] policy
     /* 1059737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059747 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11194:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1059750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059756 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1059766 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059769 */     // GIR_Coverage, 20951,
     /* 1059769 */     GIR_EraseRootFromParent_Done,
     /* 1059770 */   // Label 15653: @1059770
     /* 1059770 */   GIM_Try, /*On fail goto*//*Label 15654*/ GIMT_Encode4(1059847), // Rule ID 20954 //
     /* 1059775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059814 */     // MIs[0] policy
     /* 1059814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059843 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059846 */     // GIR_Coverage, 20954,
     /* 1059846 */     GIR_EraseRootFromParent_Done,
     /* 1059847 */   // Label 15654: @1059847
     /* 1059847 */   GIM_Try, /*On fail goto*//*Label 15655*/ GIMT_Encode4(1059924), // Rule ID 20955 //
     /* 1059852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1059855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1059863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1059866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1059869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1059872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1059875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1059879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1059887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059891 */     // MIs[0] policy
     /* 1059891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059901 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1059901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1059904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059910 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059920 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1059923 */     // GIR_Coverage, 20955,
     /* 1059923 */     GIR_EraseRootFromParent_Done,
     /* 1059924 */   // Label 15655: @1059924
     /* 1059924 */   GIM_Try, /*On fail goto*//*Label 15656*/ GIMT_Encode4(1060001), // Rule ID 20958 //
     /* 1059929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1059932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1059937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1059940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1059943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1059946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1059949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1059952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1059956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1059964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1059968 */     // MIs[0] policy
     /* 1059968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1059971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1059978 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1059978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1059981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1059983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1059985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1059987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1059989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1059994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1059997 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1059999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060000 */     // GIR_Coverage, 20958,
     /* 1060000 */     GIR_EraseRootFromParent_Done,
     /* 1060001 */   // Label 15656: @1060001
     /* 1060001 */   GIM_Try, /*On fail goto*//*Label 15657*/ GIMT_Encode4(1060078), // Rule ID 20959 //
     /* 1060006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1060017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1060020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1060023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060045 */     // MIs[0] policy
     /* 1060045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060055 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060064 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060074 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060077 */     // GIR_Coverage, 20959,
     /* 1060077 */     GIR_EraseRootFromParent_Done,
     /* 1060078 */   // Label 15657: @1060078
     /* 1060078 */   GIM_Try, /*On fail goto*//*Label 15658*/ GIMT_Encode4(1060155), // Rule ID 20962 //
     /* 1060083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1060086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1060094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1060097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1060100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1060103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060122 */     // MIs[0] policy
     /* 1060122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060132 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060151 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060154 */     // GIR_Coverage, 20962,
     /* 1060154 */     GIR_EraseRootFromParent_Done,
     /* 1060155 */   // Label 15658: @1060155
     /* 1060155 */   GIM_Try, /*On fail goto*//*Label 15659*/ GIMT_Encode4(1060232), // Rule ID 20963 //
     /* 1060160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1060163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1060171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1060174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1060177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1060180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060199 */     // MIs[0] policy
     /* 1060199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060209 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060218 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1060228 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060231 */     // GIR_Coverage, 20963,
     /* 1060231 */     GIR_EraseRootFromParent_Done,
     /* 1060232 */   // Label 15659: @1060232
     /* 1060232 */   GIM_Try, /*On fail goto*//*Label 15660*/ GIMT_Encode4(1060309), // Rule ID 20966 //
     /* 1060237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060276 */     // MIs[0] policy
     /* 1060276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060286 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1060289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060295 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060305 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060308 */     // GIR_Coverage, 20966,
     /* 1060308 */     GIR_EraseRootFromParent_Done,
     /* 1060309 */   // Label 15660: @1060309
     /* 1060309 */   GIM_Try, /*On fail goto*//*Label 15661*/ GIMT_Encode4(1060386), // Rule ID 20967 //
     /* 1060314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1060325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1060328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1060331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060353 */     // MIs[0] policy
     /* 1060353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1060366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060385 */     // GIR_Coverage, 20967,
     /* 1060385 */     GIR_EraseRootFromParent_Done,
     /* 1060386 */   // Label 15661: @1060386
     /* 1060386 */   GIM_Try, /*On fail goto*//*Label 15662*/ GIMT_Encode4(1060463), // Rule ID 20970 //
     /* 1060391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060430 */     // MIs[0] policy
     /* 1060430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060462 */     // GIR_Coverage, 20970,
     /* 1060462 */     GIR_EraseRootFromParent_Done,
     /* 1060463 */   // Label 15662: @1060463
     /* 1060463 */   GIM_Try, /*On fail goto*//*Label 15663*/ GIMT_Encode4(1060540), // Rule ID 20971 //
     /* 1060468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1060479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1060482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1060485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1060488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060507 */     // MIs[0] policy
     /* 1060507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060517 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060526 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060536 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060539 */     // GIR_Coverage, 20971,
     /* 1060539 */     GIR_EraseRootFromParent_Done,
     /* 1060540 */   // Label 15663: @1060540
     /* 1060540 */   GIM_Try, /*On fail goto*//*Label 15664*/ GIMT_Encode4(1060617), // Rule ID 20974 //
     /* 1060545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1060548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1060562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060584 */     // MIs[0] policy
     /* 1060584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060613 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060616 */     // GIR_Coverage, 20974,
     /* 1060616 */     GIR_EraseRootFromParent_Done,
     /* 1060617 */   // Label 15664: @1060617
     /* 1060617 */   GIM_Try, /*On fail goto*//*Label 15665*/ GIMT_Encode4(1060694), // Rule ID 20975 //
     /* 1060622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1060625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1060633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1060636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1060639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1060642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1060649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1060657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060661 */     // MIs[0] policy
     /* 1060661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060671 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1060674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060680 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1060690 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060693 */     // GIR_Coverage, 20975,
     /* 1060693 */     GIR_EraseRootFromParent_Done,
     /* 1060694 */   // Label 15665: @1060694
     /* 1060694 */   GIM_Try, /*On fail goto*//*Label 15666*/ GIMT_Encode4(1060771), // Rule ID 20978 //
     /* 1060699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1060702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1060716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060738 */     // MIs[0] policy
     /* 1060738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060748 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1060751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060770 */     // GIR_Coverage, 20978,
     /* 1060770 */     GIR_EraseRootFromParent_Done,
     /* 1060771 */   // Label 15666: @1060771
     /* 1060771 */   GIM_Try, /*On fail goto*//*Label 15667*/ GIMT_Encode4(1060848), // Rule ID 20979 //
     /* 1060776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1060779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1060787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1060790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1060793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1060796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1060803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1060811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060815 */     // MIs[0] policy
     /* 1060815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060825 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11194:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1060828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060847 */     // GIR_Coverage, 20979,
     /* 1060847 */     GIR_EraseRootFromParent_Done,
     /* 1060848 */   // Label 15667: @1060848
     /* 1060848 */   GIM_Try, /*On fail goto*//*Label 15668*/ GIMT_Encode4(1060925), // Rule ID 20982 //
     /* 1060853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1060856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1060870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1060876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060892 */     // MIs[0] policy
     /* 1060892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1060902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1060923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1060924 */     // GIR_Coverage, 20982,
     /* 1060924 */     GIR_EraseRootFromParent_Done,
     /* 1060925 */   // Label 15668: @1060925
     /* 1060925 */   GIM_Try, /*On fail goto*//*Label 15669*/ GIMT_Encode4(1061002), // Rule ID 20983 //
     /* 1060930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1060933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1060938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1060941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1060944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1060947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1060950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1060953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1060957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1060965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1060969 */     // MIs[0] policy
     /* 1060969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1060972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1060979 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11194:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1060979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1060982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1060984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1060986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1060988 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1060990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1060995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1060998 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061000 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061001 */     // GIR_Coverage, 20983,
     /* 1061001 */     GIR_EraseRootFromParent_Done,
     /* 1061002 */   // Label 15669: @1061002
     /* 1061002 */   GIM_Try, /*On fail goto*//*Label 15670*/ GIMT_Encode4(1061079), // Rule ID 20986 //
     /* 1061007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1061010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1061015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1061024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061046 */     // MIs[0] policy
     /* 1061046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061056 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1061059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061065 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1061075 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061078 */     // GIR_Coverage, 20986,
     /* 1061078 */     GIR_EraseRootFromParent_Done,
     /* 1061079 */   // Label 15670: @1061079
     /* 1061079 */   GIM_Try, /*On fail goto*//*Label 15671*/ GIMT_Encode4(1061156), // Rule ID 20987 //
     /* 1061084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1061087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_rtz_x_f_v_mask),
     /* 1061092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1061095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1061098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1061101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061123 */     // MIs[0] policy
     /* 1061123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061133 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11194:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1061136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061142 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1061152 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061155 */     // GIR_Coverage, 20987,
     /* 1061155 */     GIR_EraseRootFromParent_Done,
     /* 1061156 */   // Label 15671: @1061156
     /* 1061156 */   GIM_Try, /*On fail goto*//*Label 15672*/ GIMT_Encode4(1061233), // Rule ID 21254 //
     /* 1061161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061200 */     // MIs[0] policy
     /* 1061200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1061213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061229 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061232 */     // GIR_Coverage, 21254,
     /* 1061232 */     GIR_EraseRootFromParent_Done,
     /* 1061233 */   // Label 15672: @1061233
     /* 1061233 */   GIM_Try, /*On fail goto*//*Label 15673*/ GIMT_Encode4(1061310), // Rule ID 21255 //
     /* 1061238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1061249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1061252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1061255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061277 */     // MIs[0] policy
     /* 1061277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061287 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1061290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061309 */     // GIR_Coverage, 21255,
     /* 1061309 */     GIR_EraseRootFromParent_Done,
     /* 1061310 */   // Label 15673: @1061310
     /* 1061310 */   GIM_Try, /*On fail goto*//*Label 15674*/ GIMT_Encode4(1061387), // Rule ID 21258 //
     /* 1061315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1061326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1061329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1061332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061354 */     // MIs[0] policy
     /* 1061354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1061367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061383 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061386 */     // GIR_Coverage, 21258,
     /* 1061386 */     GIR_EraseRootFromParent_Done,
     /* 1061387 */   // Label 15674: @1061387
     /* 1061387 */   GIM_Try, /*On fail goto*//*Label 15675*/ GIMT_Encode4(1061464), // Rule ID 21259 //
     /* 1061392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1061403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1061406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1061409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1061412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061431 */     // MIs[0] policy
     /* 1061431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061441 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11292:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1061444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061463 */     // GIR_Coverage, 21259,
     /* 1061463 */     GIR_EraseRootFromParent_Done,
     /* 1061464 */   // Label 15675: @1061464
     /* 1061464 */   GIM_Try, /*On fail goto*//*Label 15676*/ GIMT_Encode4(1061541), // Rule ID 21262 //
     /* 1061469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1061480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1061483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061508 */     // MIs[0] policy
     /* 1061508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1061521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061540 */     // GIR_Coverage, 21262,
     /* 1061540 */     GIR_EraseRootFromParent_Done,
     /* 1061541 */   // Label 15676: @1061541
     /* 1061541 */   GIM_Try, /*On fail goto*//*Label 15677*/ GIMT_Encode4(1061618), // Rule ID 21263 //
     /* 1061546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1061557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1061560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1061563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1061566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1061573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061585 */     // MIs[0] policy
     /* 1061585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061595 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1061598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061604 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061614 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061617 */     // GIR_Coverage, 21263,
     /* 1061617 */     GIR_EraseRootFromParent_Done,
     /* 1061618 */   // Label 15677: @1061618
     /* 1061618 */   GIM_Try, /*On fail goto*//*Label 15678*/ GIMT_Encode4(1061695), // Rule ID 21266 //
     /* 1061623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061662 */     // MIs[0] policy
     /* 1061662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061691 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061694 */     // GIR_Coverage, 21266,
     /* 1061694 */     GIR_EraseRootFromParent_Done,
     /* 1061695 */   // Label 15678: @1061695
     /* 1061695 */   GIM_Try, /*On fail goto*//*Label 15679*/ GIMT_Encode4(1061772), // Rule ID 21267 //
     /* 1061700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1061711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1061714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1061717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1061720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1061727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1061735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061739 */     // MIs[0] policy
     /* 1061739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061749 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1061752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061771 */     // GIR_Coverage, 21267,
     /* 1061771 */     GIR_EraseRootFromParent_Done,
     /* 1061772 */   // Label 15679: @1061772
     /* 1061772 */   GIM_Try, /*On fail goto*//*Label 15680*/ GIMT_Encode4(1061849), // Rule ID 21270 //
     /* 1061777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1061780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061816 */     // MIs[0] policy
     /* 1061816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061845 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061848 */     // GIR_Coverage, 21270,
     /* 1061848 */     GIR_EraseRootFromParent_Done,
     /* 1061849 */   // Label 15680: @1061849
     /* 1061849 */   GIM_Try, /*On fail goto*//*Label 15681*/ GIMT_Encode4(1061926), // Rule ID 21271 //
     /* 1061854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1061857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1061865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1061868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1061871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1061874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1061877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1061881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1061885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1061889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061893 */     // MIs[0] policy
     /* 1061893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061903 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1061903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1061906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061912 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1061922 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1061924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1061925 */     // GIR_Coverage, 21271,
     /* 1061925 */     GIR_EraseRootFromParent_Done,
     /* 1061926 */   // Label 15681: @1061926
     /* 1061926 */   GIM_Try, /*On fail goto*//*Label 15682*/ GIMT_Encode4(1062003), // Rule ID 21274 //
     /* 1061931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1061934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1061939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1061942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1061945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1061948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1061951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1061954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1061958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1061966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1061970 */     // MIs[0] policy
     /* 1061970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1061973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1061980 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1061980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1061983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1061985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1061987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1061989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1061991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1061996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1061999 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062002 */     // GIR_Coverage, 21274,
     /* 1062002 */     GIR_EraseRootFromParent_Done,
     /* 1062003 */   // Label 15682: @1062003
     /* 1062003 */   GIM_Try, /*On fail goto*//*Label 15683*/ GIMT_Encode4(1062080), // Rule ID 21275 //
     /* 1062008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1062011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1062016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1062019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1062022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1062025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062047 */     // MIs[0] policy
     /* 1062047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062057 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11292:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1062060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062079 */     // GIR_Coverage, 21275,
     /* 1062079 */     GIR_EraseRootFromParent_Done,
     /* 1062080 */   // Label 15683: @1062080
     /* 1062080 */   GIM_Try, /*On fail goto*//*Label 15684*/ GIMT_Encode4(1062157), // Rule ID 21278 //
     /* 1062085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1062088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1062093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1062096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1062099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062124 */     // MIs[0] policy
     /* 1062124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1062137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062153 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062156 */     // GIR_Coverage, 21278,
     /* 1062156 */     GIR_EraseRootFromParent_Done,
     /* 1062157 */   // Label 15684: @1062157
     /* 1062157 */   GIM_Try, /*On fail goto*//*Label 15685*/ GIMT_Encode4(1062234), // Rule ID 21279 //
     /* 1062162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1062165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1062170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1062173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1062176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1062179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062201 */     // MIs[0] policy
     /* 1062201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062211 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11292:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1062214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062220 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062230 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062233 */     // GIR_Coverage, 21279,
     /* 1062233 */     GIR_EraseRootFromParent_Done,
     /* 1062234 */   // Label 15685: @1062234
     /* 1062234 */   GIM_Try, /*On fail goto*//*Label 15686*/ GIMT_Encode4(1062311), // Rule ID 21282 //
     /* 1062239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1062242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1062247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1062250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1062253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1062256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062278 */     // MIs[0] policy
     /* 1062278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062288 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1062291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062297 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062307 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062310 */     // GIR_Coverage, 21282,
     /* 1062310 */     GIR_EraseRootFromParent_Done,
     /* 1062311 */   // Label 15686: @1062311
     /* 1062311 */   GIM_Try, /*On fail goto*//*Label 15687*/ GIMT_Encode4(1062388), // Rule ID 21283 //
     /* 1062316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1062319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1062324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1062327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1062330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1062333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1062343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062355 */     // MIs[0] policy
     /* 1062355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062365 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11292:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1062368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062387 */     // GIR_Coverage, 21283,
     /* 1062387 */     GIR_EraseRootFromParent_Done,
     /* 1062388 */   // Label 15687: @1062388
     /* 1062388 */   GIM_Try, /*On fail goto*//*Label 15688*/ GIMT_Encode4(1062465), // Rule ID 21286 //
     /* 1062393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1062396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1062401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1062404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1062407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1062410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062432 */     // MIs[0] policy
     /* 1062432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1062445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062461 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062464 */     // GIR_Coverage, 21286,
     /* 1062464 */     GIR_EraseRootFromParent_Done,
     /* 1062465 */   // Label 15688: @1062465
     /* 1062465 */   GIM_Try, /*On fail goto*//*Label 15689*/ GIMT_Encode4(1062542), // Rule ID 21287 //
     /* 1062470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1062473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_xu_f_v_mask),
     /* 1062478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1062481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1062484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1062487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1062490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1062497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1062501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1062505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062509 */     // MIs[0] policy
     /* 1062509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062519 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11292:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1062522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062528 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1062538 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062540 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062541 */     // GIR_Coverage, 21287,
     /* 1062541 */     GIR_EraseRootFromParent_Done,
     /* 1062542 */   // Label 15689: @1062542
     /* 1062542 */   GIM_Try, /*On fail goto*//*Label 15690*/ GIMT_Encode4(1062619), // Rule ID 21290 //
     /* 1062547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062586 */     // MIs[0] policy
     /* 1062586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1062599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062615 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062618 */     // GIR_Coverage, 21290,
     /* 1062618 */     GIR_EraseRootFromParent_Done,
     /* 1062619 */   // Label 15690: @1062619
     /* 1062619 */   GIM_Try, /*On fail goto*//*Label 15691*/ GIMT_Encode4(1062696), // Rule ID 21291 //
     /* 1062624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1062635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1062638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1062641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1062644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062663 */     // MIs[0] policy
     /* 1062663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062673 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1062676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062682 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062692 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062695 */     // GIR_Coverage, 21291,
     /* 1062695 */     GIR_EraseRootFromParent_Done,
     /* 1062696 */   // Label 15691: @1062696
     /* 1062696 */   GIM_Try, /*On fail goto*//*Label 15692*/ GIMT_Encode4(1062773), // Rule ID 21294 //
     /* 1062701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062740 */     // MIs[0] policy
     /* 1062740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062769 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062772 */     // GIR_Coverage, 21294,
     /* 1062772 */     GIR_EraseRootFromParent_Done,
     /* 1062773 */   // Label 15692: @1062773
     /* 1062773 */   GIM_Try, /*On fail goto*//*Label 15693*/ GIMT_Encode4(1062850), // Rule ID 21295 //
     /* 1062778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1062789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1062792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1062795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1062798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1062805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062817 */     // MIs[0] policy
     /* 1062817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062827 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11290:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1062830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062836 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062846 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062849 */     // GIR_Coverage, 21295,
     /* 1062849 */     GIR_EraseRootFromParent_Done,
     /* 1062850 */   // Label 15693: @1062850
     /* 1062850 */   GIM_Try, /*On fail goto*//*Label 15694*/ GIMT_Encode4(1062927), // Rule ID 21298 //
     /* 1062855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1062858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1062878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062894 */     // MIs[0] policy
     /* 1062894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062904 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1062904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1062907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1062923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1062925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1062926 */     // GIR_Coverage, 21298,
     /* 1062926 */     GIR_EraseRootFromParent_Done,
     /* 1062927 */   // Label 15694: @1062927
     /* 1062927 */   GIM_Try, /*On fail goto*//*Label 15695*/ GIMT_Encode4(1063004), // Rule ID 21299 //
     /* 1062932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1062935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1062940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1062943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1062946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1062949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1062952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1062955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1062959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1062963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1062967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1062971 */     // MIs[0] policy
     /* 1062971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1062974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1062981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1062981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1062984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1062986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1062988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1062990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1062992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1062997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063003 */     // GIR_Coverage, 21299,
     /* 1063003 */     GIR_EraseRootFromParent_Done,
     /* 1063004 */   // Label 15695: @1063004
     /* 1063004 */   GIM_Try, /*On fail goto*//*Label 15696*/ GIMT_Encode4(1063081), // Rule ID 21302 //
     /* 1063009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063048 */     // MIs[0] policy
     /* 1063048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1063061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063077 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063080 */     // GIR_Coverage, 21302,
     /* 1063080 */     GIR_EraseRootFromParent_Done,
     /* 1063081 */   // Label 15696: @1063081
     /* 1063081 */   GIM_Try, /*On fail goto*//*Label 15697*/ GIMT_Encode4(1063158), // Rule ID 21303 //
     /* 1063086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1063097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1063100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1063103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063125 */     // MIs[0] policy
     /* 1063125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063135 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1063138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063144 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063154 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063157 */     // GIR_Coverage, 21303,
     /* 1063157 */     GIR_EraseRootFromParent_Done,
     /* 1063158 */   // Label 15697: @1063158
     /* 1063158 */   GIM_Try, /*On fail goto*//*Label 15698*/ GIMT_Encode4(1063235), // Rule ID 21306 //
     /* 1063163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063202 */     // MIs[0] policy
     /* 1063202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063212 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1063215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063231 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063234 */     // GIR_Coverage, 21306,
     /* 1063234 */     GIR_EraseRootFromParent_Done,
     /* 1063235 */   // Label 15698: @1063235
     /* 1063235 */   GIM_Try, /*On fail goto*//*Label 15699*/ GIMT_Encode4(1063312), // Rule ID 21307 //
     /* 1063240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1063243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1063251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1063254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1063257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1063260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063279 */     // MIs[0] policy
     /* 1063279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063289 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1063292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063298 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1063308 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063311 */     // GIR_Coverage, 21307,
     /* 1063311 */     GIR_EraseRootFromParent_Done,
     /* 1063312 */   // Label 15699: @1063312
     /* 1063312 */   GIM_Try, /*On fail goto*//*Label 15700*/ GIMT_Encode4(1063389), // Rule ID 21310 //
     /* 1063317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1063320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063356 */     // MIs[0] policy
     /* 1063356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063366 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1063369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063385 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063388 */     // GIR_Coverage, 21310,
     /* 1063388 */     GIR_EraseRootFromParent_Done,
     /* 1063389 */   // Label 15700: @1063389
     /* 1063389 */   GIM_Try, /*On fail goto*//*Label 15701*/ GIMT_Encode4(1063466), // Rule ID 21311 //
     /* 1063394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1063405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1063408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1063411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063433 */     // MIs[0] policy
     /* 1063433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063443 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11290:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1063446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063452 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063462 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063464 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063465 */     // GIR_Coverage, 21311,
     /* 1063465 */     GIR_EraseRootFromParent_Done,
     /* 1063466 */   // Label 15701: @1063466
     /* 1063466 */   GIM_Try, /*On fail goto*//*Label 15702*/ GIMT_Encode4(1063543), // Rule ID 21314 //
     /* 1063471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1063474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063510 */     // MIs[0] policy
     /* 1063510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063520 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1063523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063529 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063539 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063542 */     // GIR_Coverage, 21314,
     /* 1063542 */     GIR_EraseRootFromParent_Done,
     /* 1063543 */   // Label 15702: @1063543
     /* 1063543 */   GIM_Try, /*On fail goto*//*Label 15703*/ GIMT_Encode4(1063620), // Rule ID 21315 //
     /* 1063548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1063559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1063562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1063565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1063568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1063575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063587 */     // MIs[0] policy
     /* 1063587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063597 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11290:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1063600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063606 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063616 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063619 */     // GIR_Coverage, 21315,
     /* 1063619 */     GIR_EraseRootFromParent_Done,
     /* 1063620 */   // Label 15703: @1063620
     /* 1063620 */   GIM_Try, /*On fail goto*//*Label 15704*/ GIMT_Encode4(1063697), // Rule ID 21318 //
     /* 1063625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1063628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063664 */     // MIs[0] policy
     /* 1063664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063674 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1063677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063693 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063696 */     // GIR_Coverage, 21318,
     /* 1063696 */     GIR_EraseRootFromParent_Done,
     /* 1063697 */   // Label 15704: @1063697
     /* 1063697 */   GIM_Try, /*On fail goto*//*Label 15705*/ GIMT_Encode4(1063774), // Rule ID 21319 //
     /* 1063702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1063713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1063716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1063719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1063722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1063729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1063737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063741 */     // MIs[0] policy
     /* 1063741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063751 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11290:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1063754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063760 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063770 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063773 */     // GIR_Coverage, 21319,
     /* 1063773 */     GIR_EraseRootFromParent_Done,
     /* 1063774 */   // Label 15705: @1063774
     /* 1063774 */   GIM_Try, /*On fail goto*//*Label 15706*/ GIMT_Encode4(1063851), // Rule ID 21322 //
     /* 1063779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1063782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063818 */     // MIs[0] policy
     /* 1063818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063828 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1063831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063837 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063847 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063850 */     // GIR_Coverage, 21322,
     /* 1063850 */     GIR_EraseRootFromParent_Done,
     /* 1063851 */   // Label 15706: @1063851
     /* 1063851 */   GIM_Try, /*On fail goto*//*Label 15707*/ GIMT_Encode4(1063928), // Rule ID 21323 //
     /* 1063856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1063859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_rtz_x_f_v_mask),
     /* 1063864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1063867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1063870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1063873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1063876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1063879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1063883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1063887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1063891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063895 */     // MIs[0] policy
     /* 1063895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063905 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11290:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1063905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1063908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063914 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1063924 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1063926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1063927 */     // GIR_Coverage, 21323,
     /* 1063927 */     GIR_EraseRootFromParent_Done,
     /* 1063928 */   // Label 15707: @1063928
     /* 1063928 */   GIM_Try, /*On fail goto*//*Label 15708*/ GIMT_Encode4(1064005), // Rule ID 21326 //
     /* 1063933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1063936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1063941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1063944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1063947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1063950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1063953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1063956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1063960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1063968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1063972 */     // MIs[0] policy
     /* 1063972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1063975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1063982 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1063982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1063985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1063987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1063989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1063991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1063993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1063998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064001 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064004 */     // GIR_Coverage, 21326,
     /* 1064004 */     GIR_EraseRootFromParent_Done,
     /* 1064005 */   // Label 15708: @1064005
     /* 1064005 */   GIM_Try, /*On fail goto*//*Label 15709*/ GIMT_Encode4(1064082), // Rule ID 21327 //
     /* 1064010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1064021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1064024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1064027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064049 */     // MIs[0] policy
     /* 1064049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064059 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8_MASK),
     /* 1064062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064068 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064078 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064081 */     // GIR_Coverage, 21327,
     /* 1064081 */     GIR_EraseRootFromParent_Done,
     /* 1064082 */   // Label 15709: @1064082
     /* 1064082 */   GIM_Try, /*On fail goto*//*Label 15710*/ GIMT_Encode4(1064159), // Rule ID 21330 //
     /* 1064087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1064098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1064101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1064104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064126 */     // MIs[0] policy
     /* 1064126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064136 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1064139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064158 */     // GIR_Coverage, 21330,
     /* 1064158 */     GIR_EraseRootFromParent_Done,
     /* 1064159 */   // Label 15710: @1064159
     /* 1064159 */   GIM_Try, /*On fail goto*//*Label 15711*/ GIMT_Encode4(1064236), // Rule ID 21331 //
     /* 1064164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1064175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1064178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1064181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1064184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064203 */     // MIs[0] policy
     /* 1064203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064213 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8_MASK),
     /* 1064216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064235 */     // GIR_Coverage, 21331,
     /* 1064235 */     GIR_EraseRootFromParent_Done,
     /* 1064236 */   // Label 15711: @1064236
     /* 1064236 */   GIM_Try, /*On fail goto*//*Label 15712*/ GIMT_Encode4(1064313), // Rule ID 21334 //
     /* 1064241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1064252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1064255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1064258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064280 */     // MIs[0] policy
     /* 1064280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064290 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1064293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064312 */     // GIR_Coverage, 21334,
     /* 1064312 */     GIR_EraseRootFromParent_Done,
     /* 1064313 */   // Label 15712: @1064313
     /* 1064313 */   GIM_Try, /*On fail goto*//*Label 15713*/ GIMT_Encode4(1064390), // Rule ID 21335 //
     /* 1064318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1064329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1064332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1064335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1064338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064357 */     // MIs[0] policy
     /* 1064357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064367 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11288:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8_MASK),
     /* 1064370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064376 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064386 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064389 */     // GIR_Coverage, 21335,
     /* 1064389 */     GIR_EraseRootFromParent_Done,
     /* 1064390 */   // Label 15713: @1064390
     /* 1064390 */   GIM_Try, /*On fail goto*//*Label 15714*/ GIMT_Encode4(1064467), // Rule ID 21338 //
     /* 1064395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1064406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1064409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1064412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064434 */     // MIs[0] policy
     /* 1064434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064444 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1064447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064463 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064466 */     // GIR_Coverage, 21338,
     /* 1064466 */     GIR_EraseRootFromParent_Done,
     /* 1064467 */   // Label 15714: @1064467
     /* 1064467 */   GIM_Try, /*On fail goto*//*Label 15715*/ GIMT_Encode4(1064544), // Rule ID 21339 //
     /* 1064472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1064483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1064486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1064489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1064492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1064499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064511 */     // MIs[0] policy
     /* 1064511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064521 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8_MASK),
     /* 1064524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064530 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064540 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064543 */     // GIR_Coverage, 21339,
     /* 1064543 */     GIR_EraseRootFromParent_Done,
     /* 1064544 */   // Label 15715: @1064544
     /* 1064544 */   GIM_Try, /*On fail goto*//*Label 15716*/ GIMT_Encode4(1064621), // Rule ID 21342 //
     /* 1064549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1064560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1064563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1064566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064588 */     // MIs[0] policy
     /* 1064588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064598 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1064601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064617 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064620 */     // GIR_Coverage, 21342,
     /* 1064620 */     GIR_EraseRootFromParent_Done,
     /* 1064621 */   // Label 15716: @1064621
     /* 1064621 */   GIM_Try, /*On fail goto*//*Label 15717*/ GIMT_Encode4(1064698), // Rule ID 21343 //
     /* 1064626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1064637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1064640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1064643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1064646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1064653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1064661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064665 */     // MIs[0] policy
     /* 1064665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064675 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8_MASK),
     /* 1064678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064684 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064694 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064697 */     // GIR_Coverage, 21343,
     /* 1064697 */     GIR_EraseRootFromParent_Done,
     /* 1064698 */   // Label 15717: @1064698
     /* 1064698 */   GIM_Try, /*On fail goto*//*Label 15718*/ GIMT_Encode4(1064775), // Rule ID 21346 //
     /* 1064703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1064706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1064714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1064717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1064720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1064723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064742 */     // MIs[0] policy
     /* 1064742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064752 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1064755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064771 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064774 */     // GIR_Coverage, 21346,
     /* 1064774 */     GIR_EraseRootFromParent_Done,
     /* 1064775 */   // Label 15718: @1064775
     /* 1064775 */   GIM_Try, /*On fail goto*//*Label 15719*/ GIMT_Encode4(1064852), // Rule ID 21347 //
     /* 1064780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1064783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1064791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1064794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1064797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1064800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1064807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1064811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1064815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064819 */     // MIs[0] policy
     /* 1064819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064829 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8_MASK),
     /* 1064832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064838 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1064848 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064851 */     // GIR_Coverage, 21347,
     /* 1064851 */     GIR_EraseRootFromParent_Done,
     /* 1064852 */   // Label 15719: @1064852
     /* 1064852 */   GIM_Try, /*On fail goto*//*Label 15720*/ GIMT_Encode4(1064929), // Rule ID 21350 //
     /* 1064857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1064860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1064880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064896 */     // MIs[0] policy
     /* 1064896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064906 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1064906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1064909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1064925 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1064927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1064928 */     // GIR_Coverage, 21350,
     /* 1064928 */     GIR_EraseRootFromParent_Done,
     /* 1064929 */   // Label 15720: @1064929
     /* 1064929 */   GIM_Try, /*On fail goto*//*Label 15721*/ GIMT_Encode4(1065006), // Rule ID 21351 //
     /* 1064934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1064937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1064942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1064945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1064948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1064951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1064954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1064957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1064961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1064969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1064973 */     // MIs[0] policy
     /* 1064973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1064976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1064983 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1064983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16_MASK),
     /* 1064986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1064988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1064990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1064992 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1064994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1064999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065002 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065005 */     // GIR_Coverage, 21351,
     /* 1065005 */     GIR_EraseRootFromParent_Done,
     /* 1065006 */   // Label 15721: @1065006
     /* 1065006 */   GIM_Try, /*On fail goto*//*Label 15722*/ GIMT_Encode4(1065083), // Rule ID 21354 //
     /* 1065011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1065022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1065025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065050 */     // MIs[0] policy
     /* 1065050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065060 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1065063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065082 */     // GIR_Coverage, 21354,
     /* 1065082 */     GIR_EraseRootFromParent_Done,
     /* 1065083 */   // Label 15722: @1065083
     /* 1065083 */   GIM_Try, /*On fail goto*//*Label 15723*/ GIMT_Encode4(1065160), // Rule ID 21355 //
     /* 1065088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1065099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1065102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1065105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065127 */     // MIs[0] policy
     /* 1065127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065137 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11288:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16_MASK),
     /* 1065140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065146 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065156 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065159 */     // GIR_Coverage, 21355,
     /* 1065159 */     GIR_EraseRootFromParent_Done,
     /* 1065160 */   // Label 15723: @1065160
     /* 1065160 */   GIM_Try, /*On fail goto*//*Label 15724*/ GIMT_Encode4(1065237), // Rule ID 21358 //
     /* 1065165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1065176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1065179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065204 */     // MIs[0] policy
     /* 1065204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065214 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1065217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065233 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065236 */     // GIR_Coverage, 21358,
     /* 1065236 */     GIR_EraseRootFromParent_Done,
     /* 1065237 */   // Label 15724: @1065237
     /* 1065237 */   GIM_Try, /*On fail goto*//*Label 15725*/ GIMT_Encode4(1065314), // Rule ID 21359 //
     /* 1065242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1065253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1065256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1065259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065281 */     // MIs[0] policy
     /* 1065281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065291 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16_MASK),
     /* 1065294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065313 */     // GIR_Coverage, 21359,
     /* 1065313 */     GIR_EraseRootFromParent_Done,
     /* 1065314 */   // Label 15725: @1065314
     /* 1065314 */   GIM_Try, /*On fail goto*//*Label 15726*/ GIMT_Encode4(1065391), // Rule ID 21362 //
     /* 1065319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1065330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1065333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065358 */     // MIs[0] policy
     /* 1065358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065368 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1065371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065390 */     // GIR_Coverage, 21362,
     /* 1065390 */     GIR_EraseRootFromParent_Done,
     /* 1065391 */   // Label 15726: @1065391
     /* 1065391 */   GIM_Try, /*On fail goto*//*Label 15727*/ GIMT_Encode4(1065468), // Rule ID 21363 //
     /* 1065396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1065407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1065410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1065413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1065416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065435 */     // MIs[0] policy
     /* 1065435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065445 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16_MASK),
     /* 1065448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065454 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065464 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065467 */     // GIR_Coverage, 21363,
     /* 1065467 */     GIR_EraseRootFromParent_Done,
     /* 1065468 */   // Label 15727: @1065468
     /* 1065468 */   GIM_Try, /*On fail goto*//*Label 15728*/ GIMT_Encode4(1065545), // Rule ID 21366 //
     /* 1065473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1065476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1065484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1065487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065512 */     // MIs[0] policy
     /* 1065512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065522 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1065525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065541 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065544 */     // GIR_Coverage, 21366,
     /* 1065544 */     GIR_EraseRootFromParent_Done,
     /* 1065545 */   // Label 15728: @1065545
     /* 1065545 */   GIM_Try, /*On fail goto*//*Label 15729*/ GIMT_Encode4(1065622), // Rule ID 21367 //
     /* 1065550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1065553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1065561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1065564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1065567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1065570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1065577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1065581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065589 */     // MIs[0] policy
     /* 1065589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065599 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16_MASK),
     /* 1065602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1065618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065621 */     // GIR_Coverage, 21367,
     /* 1065621 */     GIR_EraseRootFromParent_Done,
     /* 1065622 */   // Label 15729: @1065622
     /* 1065622 */   GIM_Try, /*On fail goto*//*Label 15730*/ GIMT_Encode4(1065699), // Rule ID 21370 //
     /* 1065627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1065638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1065641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065666 */     // MIs[0] policy
     /* 1065666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065676 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1065679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065695 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065698 */     // GIR_Coverage, 21370,
     /* 1065698 */     GIR_EraseRootFromParent_Done,
     /* 1065699 */   // Label 15730: @1065699
     /* 1065699 */   GIM_Try, /*On fail goto*//*Label 15731*/ GIMT_Encode4(1065776), // Rule ID 21371 //
     /* 1065704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1065715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1065718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1065721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1065724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1065731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065743 */     // MIs[0] policy
     /* 1065743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065753 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11288:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32_MASK),
     /* 1065756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065762 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065772 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065775 */     // GIR_Coverage, 21371,
     /* 1065775 */     GIR_EraseRootFromParent_Done,
     /* 1065776 */   // Label 15731: @1065776
     /* 1065776 */   GIM_Try, /*On fail goto*//*Label 15732*/ GIMT_Encode4(1065853), // Rule ID 21374 //
     /* 1065781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1065792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1065795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065820 */     // MIs[0] policy
     /* 1065820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065830 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1065833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065839 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065849 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065852 */     // GIR_Coverage, 21374,
     /* 1065852 */     GIR_EraseRootFromParent_Done,
     /* 1065853 */   // Label 15732: @1065853
     /* 1065853 */   GIM_Try, /*On fail goto*//*Label 15733*/ GIMT_Encode4(1065930), // Rule ID 21375 //
     /* 1065858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1065861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1065869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1065872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1065875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1065878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1065881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1065885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1065893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065897 */     // MIs[0] policy
     /* 1065897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065907 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11288:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1065907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32_MASK),
     /* 1065910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065916 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1065923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1065926 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1065928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1065929 */     // GIR_Coverage, 21375,
     /* 1065929 */     GIR_EraseRootFromParent_Done,
     /* 1065930 */   // Label 15733: @1065930
     /* 1065930 */   GIM_Try, /*On fail goto*//*Label 15734*/ GIMT_Encode4(1066007), // Rule ID 21378 //
     /* 1065935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1065938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1065943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1065946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1065949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1065952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1065955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1065958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1065962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1065966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1065970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1065974 */     // MIs[0] policy
     /* 1065974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1065977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1065984 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1065984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1065987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1065989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1065991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1065993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1065995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066003 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066006 */     // GIR_Coverage, 21378,
     /* 1066006 */     GIR_EraseRootFromParent_Done,
     /* 1066007 */   // Label 15734: @1066007
     /* 1066007 */   GIM_Try, /*On fail goto*//*Label 15735*/ GIMT_Encode4(1066084), // Rule ID 21379 //
     /* 1066012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1066020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1066023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1066026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1066029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066051 */     // MIs[0] policy
     /* 1066051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066061 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11288:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32_MASK),
     /* 1066064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066070 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066080 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066083 */     // GIR_Coverage, 21379,
     /* 1066083 */     GIR_EraseRootFromParent_Done,
     /* 1066084 */   // Label 15735: @1066084
     /* 1066084 */   GIM_Try, /*On fail goto*//*Label 15736*/ GIMT_Encode4(1066161), // Rule ID 21382 //
     /* 1066089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1066092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1066097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1066100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1066103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066128 */     // MIs[0] policy
     /* 1066128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066138 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1066141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066157 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066160 */     // GIR_Coverage, 21382,
     /* 1066160 */     GIR_EraseRootFromParent_Done,
     /* 1066161 */   // Label 15736: @1066161
     /* 1066161 */   GIM_Try, /*On fail goto*//*Label 15737*/ GIMT_Encode4(1066238), // Rule ID 21383 //
     /* 1066166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1066169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_xu_v_mask),
     /* 1066174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1066177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1066180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1066183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1066193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1066197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066205 */     // MIs[0] policy
     /* 1066205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066215 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11288:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32_MASK),
     /* 1066218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1066234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066237 */     // GIR_Coverage, 21383,
     /* 1066237 */     GIR_EraseRootFromParent_Done,
     /* 1066238 */   // Label 15737: @1066238
     /* 1066238 */   GIM_Try, /*On fail goto*//*Label 15738*/ GIMT_Encode4(1066315), // Rule ID 21386 //
     /* 1066243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1066260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066282 */     // MIs[0] policy
     /* 1066282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066292 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1066295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066311 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066314 */     // GIR_Coverage, 21386,
     /* 1066314 */     GIR_EraseRootFromParent_Done,
     /* 1066315 */   // Label 15738: @1066315
     /* 1066315 */   GIM_Try, /*On fail goto*//*Label 15739*/ GIMT_Encode4(1066392), // Rule ID 21387 //
     /* 1066320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1066331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1066334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1066337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1066340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066359 */     // MIs[0] policy
     /* 1066359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066369 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF8_E8_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8_MASK),
     /* 1066372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066378 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066388 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066391 */     // GIR_Coverage, 21387,
     /* 1066391 */     GIR_EraseRootFromParent_Done,
     /* 1066392 */   // Label 15739: @1066392
     /* 1066392 */   GIM_Try, /*On fail goto*//*Label 15740*/ GIMT_Encode4(1066469), // Rule ID 21390 //
     /* 1066397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1066414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066436 */     // MIs[0] policy
     /* 1066436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066446 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1066449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066465 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066468 */     // GIR_Coverage, 21390,
     /* 1066468 */     GIR_EraseRootFromParent_Done,
     /* 1066469 */   // Label 15740: @1066469
     /* 1066469 */   GIM_Try, /*On fail goto*//*Label 15741*/ GIMT_Encode4(1066546), // Rule ID 21391 //
     /* 1066474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1066485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1066488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1066491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1066494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066513 */     // MIs[0] policy
     /* 1066513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066523 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E8_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8_MASK),
     /* 1066526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066532 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066542 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066545 */     // GIR_Coverage, 21391,
     /* 1066545 */     GIR_EraseRootFromParent_Done,
     /* 1066546 */   // Label 15741: @1066546
     /* 1066546 */   GIM_Try, /*On fail goto*//*Label 15742*/ GIMT_Encode4(1066623), // Rule ID 21394 //
     /* 1066551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1066568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066590 */     // MIs[0] policy
     /* 1066590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066600 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1066603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066609 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066619 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066622 */     // GIR_Coverage, 21394,
     /* 1066622 */     GIR_EraseRootFromParent_Done,
     /* 1066623 */   // Label 15742: @1066623
     /* 1066623 */   GIM_Try, /*On fail goto*//*Label 15743*/ GIMT_Encode4(1066700), // Rule ID 21395 //
     /* 1066628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1066639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1066642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1066645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1066648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1066655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066667 */     // MIs[0] policy
     /* 1066667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066677 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11286:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E8_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8_MASK),
     /* 1066680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066686 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066696 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066699 */     // GIR_Coverage, 21395,
     /* 1066699 */     GIR_EraseRootFromParent_Done,
     /* 1066700 */   // Label 15743: @1066700
     /* 1066700 */   GIM_Try, /*On fail goto*//*Label 15744*/ GIMT_Encode4(1066777), // Rule ID 21398 //
     /* 1066705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1066722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066744 */     // MIs[0] policy
     /* 1066744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066754 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1066757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066776 */     // GIR_Coverage, 21398,
     /* 1066776 */     GIR_EraseRootFromParent_Done,
     /* 1066777 */   // Label 15744: @1066777
     /* 1066777 */   GIM_Try, /*On fail goto*//*Label 15745*/ GIMT_Encode4(1066854), // Rule ID 21399 //
     /* 1066782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1066793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1066796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1066799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1066802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1066809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1066817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066821 */     // MIs[0] policy
     /* 1066821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066831 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E8_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8_MASK),
     /* 1066834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066853 */     // GIR_Coverage, 21399,
     /* 1066853 */     GIR_EraseRootFromParent_Done,
     /* 1066854 */   // Label 15745: @1066854
     /* 1066854 */   GIM_Try, /*On fail goto*//*Label 15746*/ GIMT_Encode4(1066931), // Rule ID 21402 //
     /* 1066859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1066862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1066882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066898 */     // MIs[0] policy
     /* 1066898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066908 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1066908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1066911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1066924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1066927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1066929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1066930 */     // GIR_Coverage, 21402,
     /* 1066930 */     GIR_EraseRootFromParent_Done,
     /* 1066931 */   // Label 15746: @1066931
     /* 1066931 */   GIM_Try, /*On fail goto*//*Label 15747*/ GIMT_Encode4(1067008), // Rule ID 21403 //
     /* 1066936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1066939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1066944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1066947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1066950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1066953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1066956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1066959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1066963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1066967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1066971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1066975 */     // MIs[0] policy
     /* 1066975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1066978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1066985 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E8_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1066985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8_MASK),
     /* 1066988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1066990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1066992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1066994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1066996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067007 */     // GIR_Coverage, 21403,
     /* 1067007 */     GIR_EraseRootFromParent_Done,
     /* 1067008 */   // Label 15747: @1067008
     /* 1067008 */   GIM_Try, /*On fail goto*//*Label 15748*/ GIMT_Encode4(1067085), // Rule ID 21406 //
     /* 1067013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1067016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1067024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1067027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1067030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1067033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067052 */     // MIs[0] policy
     /* 1067052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067062 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1067065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067081 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067084 */     // GIR_Coverage, 21406,
     /* 1067084 */     GIR_EraseRootFromParent_Done,
     /* 1067085 */   // Label 15748: @1067085
     /* 1067085 */   GIM_Try, /*On fail goto*//*Label 15749*/ GIMT_Encode4(1067162), // Rule ID 21407 //
     /* 1067090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1067093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1067101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1067104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1067107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1067110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067129 */     // MIs[0] policy
     /* 1067129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067139 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8_MASK),
     /* 1067142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067148 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1067158 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067161 */     // GIR_Coverage, 21407,
     /* 1067161 */     GIR_EraseRootFromParent_Done,
     /* 1067162 */   // Label 15749: @1067162
     /* 1067162 */   GIM_Try, /*On fail goto*//*Label 15750*/ GIMT_Encode4(1067239), // Rule ID 21410 //
     /* 1067167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1067178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1067181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067206 */     // MIs[0] policy
     /* 1067206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067216 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1067219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067235 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067238 */     // GIR_Coverage, 21410,
     /* 1067238 */     GIR_EraseRootFromParent_Done,
     /* 1067239 */   // Label 15750: @1067239
     /* 1067239 */   GIM_Try, /*On fail goto*//*Label 15751*/ GIMT_Encode4(1067316), // Rule ID 21411 //
     /* 1067244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1067255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1067258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1067261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067283 */     // MIs[0] policy
     /* 1067283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067293 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16_MASK),
     /* 1067296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067302 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067312 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067315 */     // GIR_Coverage, 21411,
     /* 1067315 */     GIR_EraseRootFromParent_Done,
     /* 1067316 */   // Label 15751: @1067316
     /* 1067316 */   GIM_Try, /*On fail goto*//*Label 15752*/ GIMT_Encode4(1067393), // Rule ID 21414 //
     /* 1067321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1067332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1067335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067360 */     // MIs[0] policy
     /* 1067360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1067373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067389 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067392 */     // GIR_Coverage, 21414,
     /* 1067392 */     GIR_EraseRootFromParent_Done,
     /* 1067393 */   // Label 15752: @1067393
     /* 1067393 */   GIM_Try, /*On fail goto*//*Label 15753*/ GIMT_Encode4(1067470), // Rule ID 21415 //
     /* 1067398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1067409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1067412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1067415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1067418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067437 */     // MIs[0] policy
     /* 1067437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067447 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11286:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16_MASK),
     /* 1067450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067456 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067466 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067469 */     // GIR_Coverage, 21415,
     /* 1067469 */     GIR_EraseRootFromParent_Done,
     /* 1067470 */   // Label 15753: @1067470
     /* 1067470 */   GIM_Try, /*On fail goto*//*Label 15754*/ GIMT_Encode4(1067547), // Rule ID 21418 //
     /* 1067475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067514 */     // MIs[0] policy
     /* 1067514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067524 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1067527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067543 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067546 */     // GIR_Coverage, 21418,
     /* 1067546 */     GIR_EraseRootFromParent_Done,
     /* 1067547 */   // Label 15754: @1067547
     /* 1067547 */   GIM_Try, /*On fail goto*//*Label 15755*/ GIMT_Encode4(1067624), // Rule ID 21419 //
     /* 1067552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1067563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1067566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1067569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1067572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1067579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067591 */     // MIs[0] policy
     /* 1067591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067601 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16_MASK),
     /* 1067604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067610 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067620 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067623 */     // GIR_Coverage, 21419,
     /* 1067623 */     GIR_EraseRootFromParent_Done,
     /* 1067624 */   // Label 15755: @1067624
     /* 1067624 */   GIM_Try, /*On fail goto*//*Label 15756*/ GIMT_Encode4(1067701), // Rule ID 21422 //
     /* 1067629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067668 */     // MIs[0] policy
     /* 1067668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067678 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1067681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067697 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067700 */     // GIR_Coverage, 21422,
     /* 1067700 */     GIR_EraseRootFromParent_Done,
     /* 1067701 */   // Label 15756: @1067701
     /* 1067701 */   GIM_Try, /*On fail goto*//*Label 15757*/ GIMT_Encode4(1067778), // Rule ID 21423 //
     /* 1067706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1067717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1067720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1067723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1067726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1067733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1067741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067745 */     // MIs[0] policy
     /* 1067745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067755 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16_MASK),
     /* 1067758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067764 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067774 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067777 */     // GIR_Coverage, 21423,
     /* 1067777 */     GIR_EraseRootFromParent_Done,
     /* 1067778 */   // Label 15757: @1067778
     /* 1067778 */   GIM_Try, /*On fail goto*//*Label 15758*/ GIMT_Encode4(1067855), // Rule ID 21426 //
     /* 1067783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1067786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067822 */     // MIs[0] policy
     /* 1067822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067832 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1067835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067854 */     // GIR_Coverage, 21426,
     /* 1067854 */     GIR_EraseRootFromParent_Done,
     /* 1067855 */   // Label 15758: @1067855
     /* 1067855 */   GIM_Try, /*On fail goto*//*Label 15759*/ GIMT_Encode4(1067932), // Rule ID 21427 //
     /* 1067860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1067863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1067871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1067874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1067877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1067880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1067883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1067887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1067891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1067895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067899 */     // MIs[0] policy
     /* 1067899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067909 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1067909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16_MASK),
     /* 1067912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1067925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1067928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1067930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1067931 */     // GIR_Coverage, 21427,
     /* 1067931 */     GIR_EraseRootFromParent_Done,
     /* 1067932 */   // Label 15759: @1067932
     /* 1067932 */   GIM_Try, /*On fail goto*//*Label 15760*/ GIMT_Encode4(1068009), // Rule ID 21430 //
     /* 1067937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1067940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1067945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1067948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1067951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1067954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1067957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1067960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1067964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1067972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1067976 */     // MIs[0] policy
     /* 1067976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1067979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1067986 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1067986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1067989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1067991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1067993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1067995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1067997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068005 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068008 */     // GIR_Coverage, 21430,
     /* 1068008 */     GIR_EraseRootFromParent_Done,
     /* 1068009 */   // Label 15760: @1068009
     /* 1068009 */   GIM_Try, /*On fail goto*//*Label 15761*/ GIMT_Encode4(1068086), // Rule ID 21431 //
     /* 1068014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1068022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1068025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1068028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1068031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068053 */     // MIs[0] policy
     /* 1068053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068063 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11286:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32_MASK),
     /* 1068066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068072 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068082 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068085 */     // GIR_Coverage, 21431,
     /* 1068085 */     GIR_EraseRootFromParent_Done,
     /* 1068086 */   // Label 15761: @1068086
     /* 1068086 */   GIM_Try, /*On fail goto*//*Label 15762*/ GIMT_Encode4(1068163), // Rule ID 21434 //
     /* 1068091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1068094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1068099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1068102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1068105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068130 */     // MIs[0] policy
     /* 1068130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068140 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1068143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068162 */     // GIR_Coverage, 21434,
     /* 1068162 */     GIR_EraseRootFromParent_Done,
     /* 1068163 */   // Label 15762: @1068163
     /* 1068163 */   GIM_Try, /*On fail goto*//*Label 15763*/ GIMT_Encode4(1068240), // Rule ID 21435 //
     /* 1068168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1068176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1068179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1068182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1068185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068207 */     // MIs[0] policy
     /* 1068207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068217 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11286:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32_MASK),
     /* 1068220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068239 */     // GIR_Coverage, 21435,
     /* 1068239 */     GIR_EraseRootFromParent_Done,
     /* 1068240 */   // Label 15763: @1068240
     /* 1068240 */   GIM_Try, /*On fail goto*//*Label 15764*/ GIMT_Encode4(1068317), // Rule ID 21438 //
     /* 1068245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1068248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1068253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1068256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1068259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068284 */     // MIs[0] policy
     /* 1068284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068294 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1068297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068316 */     // GIR_Coverage, 21438,
     /* 1068316 */     GIR_EraseRootFromParent_Done,
     /* 1068317 */   // Label 15764: @1068317
     /* 1068317 */   GIM_Try, /*On fail goto*//*Label 15765*/ GIMT_Encode4(1068394), // Rule ID 21439 //
     /* 1068322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1068330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1068333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1068336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1068339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1068349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068361 */     // MIs[0] policy
     /* 1068361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068371 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11286:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32_MASK),
     /* 1068374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068380 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068390 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068392 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068393 */     // GIR_Coverage, 21439,
     /* 1068393 */     GIR_EraseRootFromParent_Done,
     /* 1068394 */   // Label 15765: @1068394
     /* 1068394 */   GIM_Try, /*On fail goto*//*Label 15766*/ GIMT_Encode4(1068471), // Rule ID 21442 //
     /* 1068399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1068402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1068407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1068410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1068413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1068426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068438 */     // MIs[0] policy
     /* 1068438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068448 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1068451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068467 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068470 */     // GIR_Coverage, 21442,
     /* 1068470 */     GIR_EraseRootFromParent_Done,
     /* 1068471 */   // Label 15766: @1068471
     /* 1068471 */   GIM_Try, /*On fail goto*//*Label 15767*/ GIMT_Encode4(1068548), // Rule ID 21443 //
     /* 1068476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1068479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_x_v_mask),
     /* 1068484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1068487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1068490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1068493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1068496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1068503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1068507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1068511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068515 */     // MIs[0] policy
     /* 1068515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068525 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11286:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32_MASK),
     /* 1068528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068534 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1068544 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068547 */     // GIR_Coverage, 21443,
     /* 1068547 */     GIR_EraseRootFromParent_Done,
     /* 1068548 */   // Label 15767: @1068548
     /* 1068548 */   GIM_Try, /*On fail goto*//*Label 15768*/ GIMT_Encode4(1068625), // Rule ID 21446 //
     /* 1068553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1068556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068592 */     // MIs[0] policy
     /* 1068592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068602 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1068605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068621 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068624 */     // GIR_Coverage, 21446,
     /* 1068624 */     GIR_EraseRootFromParent_Done,
     /* 1068625 */   // Label 15768: @1068625
     /* 1068625 */   GIM_Try, /*On fail goto*//*Label 15769*/ GIMT_Encode4(1068702), // Rule ID 21447 //
     /* 1068630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1068633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1068641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1068644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1068647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1068650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068669 */     // MIs[0] policy
     /* 1068669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068679 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF4_E16_MASK),
     /* 1068682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068688 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068698 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068701 */     // GIR_Coverage, 21447,
     /* 1068701 */     GIR_EraseRootFromParent_Done,
     /* 1068702 */   // Label 15769: @1068702
     /* 1068702 */   GIM_Try, /*On fail goto*//*Label 15770*/ GIMT_Encode4(1068779), // Rule ID 21450 //
     /* 1068707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1068710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068746 */     // MIs[0] policy
     /* 1068746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068756 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1068759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068775 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068778 */     // GIR_Coverage, 21450,
     /* 1068778 */     GIR_EraseRootFromParent_Done,
     /* 1068779 */   // Label 15770: @1068779
     /* 1068779 */   GIM_Try, /*On fail goto*//*Label 15771*/ GIMT_Encode4(1068856), // Rule ID 21451 //
     /* 1068784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1068787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1068795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1068798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1068801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1068804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1068811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068823 */     // MIs[0] policy
     /* 1068823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068833 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11284:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E16_MASK),
     /* 1068836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068842 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068852 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068855 */     // GIR_Coverage, 21451,
     /* 1068855 */     GIR_EraseRootFromParent_Done,
     /* 1068856 */   // Label 15771: @1068856
     /* 1068856 */   GIM_Try, /*On fail goto*//*Label 15772*/ GIMT_Encode4(1068933), // Rule ID 21454 //
     /* 1068861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1068864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1068872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1068875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1068878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1068884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068900 */     // MIs[0] policy
     /* 1068900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068910 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1068910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1068913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068919 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1068926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1068929 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1068931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1068932 */     // GIR_Coverage, 21454,
     /* 1068932 */     GIR_EraseRootFromParent_Done,
     /* 1068933 */   // Label 15772: @1068933
     /* 1068933 */   GIM_Try, /*On fail goto*//*Label 15773*/ GIMT_Encode4(1069010), // Rule ID 21455 //
     /* 1068938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1068941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1068946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1068949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1068952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1068955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1068958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1068961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1068965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1068969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1068973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1068977 */     // MIs[0] policy
     /* 1068977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1068980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1068987 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1068987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E16_MASK),
     /* 1068990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1068992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1068994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1068996 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1068998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069006 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069009 */     // GIR_Coverage, 21455,
     /* 1069009 */     GIR_EraseRootFromParent_Done,
     /* 1069010 */   // Label 15773: @1069010
     /* 1069010 */   GIM_Try, /*On fail goto*//*Label 15774*/ GIMT_Encode4(1069087), // Rule ID 21458 //
     /* 1069015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1069018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1069032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069054 */     // MIs[0] policy
     /* 1069054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069064 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1069067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069083 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069086 */     // GIR_Coverage, 21458,
     /* 1069086 */     GIR_EraseRootFromParent_Done,
     /* 1069087 */   // Label 15774: @1069087
     /* 1069087 */   GIM_Try, /*On fail goto*//*Label 15775*/ GIMT_Encode4(1069164), // Rule ID 21459 //
     /* 1069092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1069095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1069103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1069106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1069109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069131 */     // MIs[0] policy
     /* 1069131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069141 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E16_MASK),
     /* 1069144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069163 */     // GIR_Coverage, 21459,
     /* 1069163 */     GIR_EraseRootFromParent_Done,
     /* 1069164 */   // Label 15775: @1069164
     /* 1069164 */   GIM_Try, /*On fail goto*//*Label 15776*/ GIMT_Encode4(1069241), // Rule ID 21462 //
     /* 1069169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1069172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1069180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1069183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1069186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1069196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069208 */     // MIs[0] policy
     /* 1069208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069218 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1069221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069240 */     // GIR_Coverage, 21462,
     /* 1069240 */     GIR_EraseRootFromParent_Done,
     /* 1069241 */   // Label 15776: @1069241
     /* 1069241 */   GIM_Try, /*On fail goto*//*Label 15777*/ GIMT_Encode4(1069318), // Rule ID 21463 //
     /* 1069246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1069249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1069257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1069260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1069263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1069266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1069273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069285 */     // MIs[0] policy
     /* 1069285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069295 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E16_MASK),
     /* 1069298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069304 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1069314 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069317 */     // GIR_Coverage, 21463,
     /* 1069317 */     GIR_EraseRootFromParent_Done,
     /* 1069318 */   // Label 15777: @1069318
     /* 1069318 */   GIM_Try, /*On fail goto*//*Label 15778*/ GIMT_Encode4(1069395), // Rule ID 21466 //
     /* 1069323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1069334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1069337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069362 */     // MIs[0] policy
     /* 1069362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069372 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1069375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069381 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069391 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069394 */     // GIR_Coverage, 21466,
     /* 1069394 */     GIR_EraseRootFromParent_Done,
     /* 1069395 */   // Label 15778: @1069395
     /* 1069395 */   GIM_Try, /*On fail goto*//*Label 15779*/ GIMT_Encode4(1069472), // Rule ID 21467 //
     /* 1069400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1069411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1069414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1069417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069439 */     // MIs[0] policy
     /* 1069439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069449 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11284:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_MF2_E32_MASK),
     /* 1069452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069458 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069468 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069471 */     // GIR_Coverage, 21467,
     /* 1069471 */     GIR_EraseRootFromParent_Done,
     /* 1069472 */   // Label 15779: @1069472
     /* 1069472 */   GIM_Try, /*On fail goto*//*Label 15780*/ GIMT_Encode4(1069549), // Rule ID 21470 //
     /* 1069477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1069488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1069491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069516 */     // MIs[0] policy
     /* 1069516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069526 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1069529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069545 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069548 */     // GIR_Coverage, 21470,
     /* 1069548 */     GIR_EraseRootFromParent_Done,
     /* 1069549 */   // Label 15780: @1069549
     /* 1069549 */   GIM_Try, /*On fail goto*//*Label 15781*/ GIMT_Encode4(1069626), // Rule ID 21471 //
     /* 1069554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1069565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1069568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1069571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1069574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1069581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069593 */     // MIs[0] policy
     /* 1069593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069603 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11284:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M1_E32_MASK),
     /* 1069606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069625 */     // GIR_Coverage, 21471,
     /* 1069625 */     GIR_EraseRootFromParent_Done,
     /* 1069626 */   // Label 15781: @1069626
     /* 1069626 */   GIM_Try, /*On fail goto*//*Label 15782*/ GIMT_Encode4(1069703), // Rule ID 21474 //
     /* 1069631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1069642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1069645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069670 */     // MIs[0] policy
     /* 1069670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069680 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1069683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069702 */     // GIR_Coverage, 21474,
     /* 1069702 */     GIR_EraseRootFromParent_Done,
     /* 1069703 */   // Label 15782: @1069703
     /* 1069703 */   GIM_Try, /*On fail goto*//*Label 15783*/ GIMT_Encode4(1069780), // Rule ID 21475 //
     /* 1069708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1069719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1069722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1069725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1069728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1069735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1069743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069747 */     // MIs[0] policy
     /* 1069747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069757 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11284:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M2_E32_MASK),
     /* 1069760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069766 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069776 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069779 */     // GIR_Coverage, 21475,
     /* 1069779 */     GIR_EraseRootFromParent_Done,
     /* 1069780 */   // Label 15783: @1069780
     /* 1069780 */   GIM_Try, /*On fail goto*//*Label 15784*/ GIMT_Encode4(1069857), // Rule ID 21478 //
     /* 1069785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1069788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1069796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1069799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1069812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069824 */     // MIs[0] policy
     /* 1069824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069834 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1069837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069853 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069856 */     // GIR_Coverage, 21478,
     /* 1069856 */     GIR_EraseRootFromParent_Done,
     /* 1069857 */   // Label 15784: @1069857
     /* 1069857 */   GIM_Try, /*On fail goto*//*Label 15785*/ GIMT_Encode4(1069934), // Rule ID 21479 //
     /* 1069862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1069865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_f_f_v_mask),
     /* 1069870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1069873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1069876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1069879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1069882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1069885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1069889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1069893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1069897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069901 */     // MIs[0] policy
     /* 1069901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069911 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11284:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_F_F_V_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1069911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_F_V_M4_E32_MASK),
     /* 1069914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069920 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1069927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1069930 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1069932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1069933 */     // GIR_Coverage, 21479,
     /* 1069933 */     GIR_EraseRootFromParent_Done,
     /* 1069934 */   // Label 15785: @1069934
     /* 1069934 */   GIM_Try, /*On fail goto*//*Label 15786*/ GIMT_Encode4(1070011), // Rule ID 21722 //
     /* 1069939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1069942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1069947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1069950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1069953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1069956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1069959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1069962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1069966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1069974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1069978 */     // MIs[0] policy
     /* 1069978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1069981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1069988 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1069988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1069991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1069993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1069995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1069997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1069999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070007 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070010 */     // GIR_Coverage, 21722,
     /* 1070010 */     GIR_EraseRootFromParent_Done,
     /* 1070011 */   // Label 15786: @1070011
     /* 1070011 */   GIM_Try, /*On fail goto*//*Label 15787*/ GIMT_Encode4(1070088), // Rule ID 21723 //
     /* 1070016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1070027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1070030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1070033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070055 */     // MIs[0] policy
     /* 1070055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1070068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070074 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070084 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070087 */     // GIR_Coverage, 21723,
     /* 1070087 */     GIR_EraseRootFromParent_Done,
     /* 1070088 */   // Label 15787: @1070088
     /* 1070088 */   GIM_Try, /*On fail goto*//*Label 15788*/ GIMT_Encode4(1070165), // Rule ID 21726 //
     /* 1070093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1070096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1070104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1070107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1070110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070132 */     // MIs[0] policy
     /* 1070132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070142 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1070145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070151 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070161 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070164 */     // GIR_Coverage, 21726,
     /* 1070164 */     GIR_EraseRootFromParent_Done,
     /* 1070165 */   // Label 15788: @1070165
     /* 1070165 */   GIM_Try, /*On fail goto*//*Label 15789*/ GIMT_Encode4(1070242), // Rule ID 21727 //
     /* 1070170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1070181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1070184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1070187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1070190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070209 */     // MIs[0] policy
     /* 1070209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070219 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1070222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070241 */     // GIR_Coverage, 21727,
     /* 1070241 */     GIR_EraseRootFromParent_Done,
     /* 1070242 */   // Label 15789: @1070242
     /* 1070242 */   GIM_Try, /*On fail goto*//*Label 15790*/ GIMT_Encode4(1070319), // Rule ID 21730 //
     /* 1070247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1070250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1070258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1070261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1070264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070286 */     // MIs[0] policy
     /* 1070286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1070299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070318 */     // GIR_Coverage, 21730,
     /* 1070318 */     GIR_EraseRootFromParent_Done,
     /* 1070319 */   // Label 15790: @1070319
     /* 1070319 */   GIM_Try, /*On fail goto*//*Label 15791*/ GIMT_Encode4(1070396), // Rule ID 21731 //
     /* 1070324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1070335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1070338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1070341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1070344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070363 */     // MIs[0] policy
     /* 1070363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070373 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1070376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070382 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070392 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070395 */     // GIR_Coverage, 21731,
     /* 1070395 */     GIR_EraseRootFromParent_Done,
     /* 1070396 */   // Label 15791: @1070396
     /* 1070396 */   GIM_Try, /*On fail goto*//*Label 15792*/ GIMT_Encode4(1070473), // Rule ID 21734 //
     /* 1070401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1070404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1070412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1070415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1070418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070440 */     // MIs[0] policy
     /* 1070440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1070453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070469 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070472 */     // GIR_Coverage, 21734,
     /* 1070472 */     GIR_EraseRootFromParent_Done,
     /* 1070473 */   // Label 15792: @1070473
     /* 1070473 */   GIM_Try, /*On fail goto*//*Label 15793*/ GIMT_Encode4(1070550), // Rule ID 21735 //
     /* 1070478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1070489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1070492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1070495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1070498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070517 */     // MIs[0] policy
     /* 1070517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070527 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11234:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1070530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070549 */     // GIR_Coverage, 21735,
     /* 1070549 */     GIR_EraseRootFromParent_Done,
     /* 1070550 */   // Label 15793: @1070550
     /* 1070550 */   GIM_Try, /*On fail goto*//*Label 15794*/ GIMT_Encode4(1070627), // Rule ID 21738 //
     /* 1070555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1070558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1070566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1070569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1070572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070594 */     // MIs[0] policy
     /* 1070594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070623 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070626 */     // GIR_Coverage, 21738,
     /* 1070626 */     GIR_EraseRootFromParent_Done,
     /* 1070627 */   // Label 15794: @1070627
     /* 1070627 */   GIM_Try, /*On fail goto*//*Label 15795*/ GIMT_Encode4(1070704), // Rule ID 21739 //
     /* 1070632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1070643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1070646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1070649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1070652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1070659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1070663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070671 */     // MIs[0] policy
     /* 1070671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070681 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1070684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070690 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070700 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070703 */     // GIR_Coverage, 21739,
     /* 1070703 */     GIR_EraseRootFromParent_Done,
     /* 1070704 */   // Label 15795: @1070704
     /* 1070704 */   GIM_Try, /*On fail goto*//*Label 15796*/ GIMT_Encode4(1070781), // Rule ID 21742 //
     /* 1070709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1070712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1070729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070748 */     // MIs[0] policy
     /* 1070748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1070761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070777 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070780 */     // GIR_Coverage, 21742,
     /* 1070780 */     GIR_EraseRootFromParent_Done,
     /* 1070781 */   // Label 15796: @1070781
     /* 1070781 */   GIM_Try, /*On fail goto*//*Label 15797*/ GIMT_Encode4(1070858), // Rule ID 21743 //
     /* 1070786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1070789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1070797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1070800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1070803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1070806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1070813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1070817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1070821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070825 */     // MIs[0] policy
     /* 1070825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070835 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1070838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070844 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1070854 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070857 */     // GIR_Coverage, 21743,
     /* 1070857 */     GIR_EraseRootFromParent_Done,
     /* 1070858 */   // Label 15797: @1070858
     /* 1070858 */   GIM_Try, /*On fail goto*//*Label 15798*/ GIMT_Encode4(1070935), // Rule ID 21746 //
     /* 1070863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1070866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1070880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1070886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070902 */     // MIs[0] policy
     /* 1070902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1070912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1070915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070921 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1070923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1070928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1070931 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1070933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1070934 */     // GIR_Coverage, 21746,
     /* 1070934 */     GIR_EraseRootFromParent_Done,
     /* 1070935 */   // Label 15798: @1070935
     /* 1070935 */   GIM_Try, /*On fail goto*//*Label 15799*/ GIMT_Encode4(1071012), // Rule ID 21747 //
     /* 1070940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1070943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1070948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1070951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1070954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1070957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1070960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1070963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1070967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1070975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1070979 */     // MIs[0] policy
     /* 1070979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1070982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1070989 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1070989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1070992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1070994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1070996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1070998 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071008 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071011 */     // GIR_Coverage, 21747,
     /* 1071011 */     GIR_EraseRootFromParent_Done,
     /* 1071012 */   // Label 15799: @1071012
     /* 1071012 */   GIM_Try, /*On fail goto*//*Label 15800*/ GIMT_Encode4(1071089), // Rule ID 21750 //
     /* 1071017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1071020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1071034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071056 */     // MIs[0] policy
     /* 1071056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071066 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1071069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071085 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071088 */     // GIR_Coverage, 21750,
     /* 1071088 */     GIR_EraseRootFromParent_Done,
     /* 1071089 */   // Label 15800: @1071089
     /* 1071089 */   GIM_Try, /*On fail goto*//*Label 15801*/ GIMT_Encode4(1071166), // Rule ID 21751 //
     /* 1071094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1071097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1071105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1071108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1071111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071133 */     // MIs[0] policy
     /* 1071133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071143 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1071146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071165 */     // GIR_Coverage, 21751,
     /* 1071165 */     GIR_EraseRootFromParent_Done,
     /* 1071166 */   // Label 15801: @1071166
     /* 1071166 */   GIM_Try, /*On fail goto*//*Label 15802*/ GIMT_Encode4(1071243), // Rule ID 21754 //
     /* 1071171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1071174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1071182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1071185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1071188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071210 */     // MIs[0] policy
     /* 1071210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071220 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1071223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071229 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071239 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071242 */     // GIR_Coverage, 21754,
     /* 1071242 */     GIR_EraseRootFromParent_Done,
     /* 1071243 */   // Label 15802: @1071243
     /* 1071243 */   GIM_Try, /*On fail goto*//*Label 15803*/ GIMT_Encode4(1071320), // Rule ID 21755 //
     /* 1071248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1071251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1071259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1071262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1071265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071287 */     // MIs[0] policy
     /* 1071287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071297 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11234:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1071300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071306 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071316 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071319 */     // GIR_Coverage, 21755,
     /* 1071319 */     GIR_EraseRootFromParent_Done,
     /* 1071320 */   // Label 15803: @1071320
     /* 1071320 */   GIM_Try, /*On fail goto*//*Label 15804*/ GIMT_Encode4(1071397), // Rule ID 21758 //
     /* 1071325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1071328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1071336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1071339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1071342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071364 */     // MIs[0] policy
     /* 1071364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071374 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1071377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071393 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071396 */     // GIR_Coverage, 21758,
     /* 1071396 */     GIR_EraseRootFromParent_Done,
     /* 1071397 */   // Label 15804: @1071397
     /* 1071397 */   GIM_Try, /*On fail goto*//*Label 15805*/ GIMT_Encode4(1071474), // Rule ID 21759 //
     /* 1071402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1071405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1071413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1071416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1071419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1071422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071441 */     // MIs[0] policy
     /* 1071441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071451 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1071454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071460 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071470 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071473 */     // GIR_Coverage, 21759,
     /* 1071473 */     GIR_EraseRootFromParent_Done,
     /* 1071474 */   // Label 15805: @1071474
     /* 1071474 */   GIM_Try, /*On fail goto*//*Label 15806*/ GIMT_Encode4(1071551), // Rule ID 21762 //
     /* 1071479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1071482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1071499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071518 */     // MIs[0] policy
     /* 1071518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071528 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1071531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071547 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071550 */     // GIR_Coverage, 21762,
     /* 1071550 */     GIR_EraseRootFromParent_Done,
     /* 1071551 */   // Label 15806: @1071551
     /* 1071551 */   GIM_Try, /*On fail goto*//*Label 15807*/ GIMT_Encode4(1071628), // Rule ID 21763 //
     /* 1071556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1071559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1071567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1071570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1071573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1071576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1071583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1071591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071595 */     // MIs[0] policy
     /* 1071595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071605 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1071608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071614 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1071624 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071627 */     // GIR_Coverage, 21763,
     /* 1071627 */     GIR_EraseRootFromParent_Done,
     /* 1071628 */   // Label 15807: @1071628
     /* 1071628 */   GIM_Try, /*On fail goto*//*Label 15808*/ GIMT_Encode4(1071705), // Rule ID 21766 //
     /* 1071633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1071650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071672 */     // MIs[0] policy
     /* 1071672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071682 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1071685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071704 */     // GIR_Coverage, 21766,
     /* 1071704 */     GIR_EraseRootFromParent_Done,
     /* 1071705 */   // Label 15808: @1071705
     /* 1071705 */   GIM_Try, /*On fail goto*//*Label 15809*/ GIMT_Encode4(1071782), // Rule ID 21767 //
     /* 1071710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1071721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1071724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1071727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1071730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071749 */     // MIs[0] policy
     /* 1071749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071759 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1071762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071781 */     // GIR_Coverage, 21767,
     /* 1071781 */     GIR_EraseRootFromParent_Done,
     /* 1071782 */   // Label 15809: @1071782
     /* 1071782 */   GIM_Try, /*On fail goto*//*Label 15810*/ GIMT_Encode4(1071859), // Rule ID 21770 //
     /* 1071787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071826 */     // MIs[0] policy
     /* 1071826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071836 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1071839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071855 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071858 */     // GIR_Coverage, 21770,
     /* 1071858 */     GIR_EraseRootFromParent_Done,
     /* 1071859 */   // Label 15810: @1071859
     /* 1071859 */   GIM_Try, /*On fail goto*//*Label 15811*/ GIMT_Encode4(1071936), // Rule ID 21771 //
     /* 1071864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1071867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1071875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1071878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1071881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1071884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1071887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1071891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1071895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071903 */     // MIs[0] policy
     /* 1071903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071913 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11234:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1071913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1071916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071922 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1071924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1071929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1071932 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1071934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1071935 */     // GIR_Coverage, 21771,
     /* 1071935 */     GIR_EraseRootFromParent_Done,
     /* 1071936 */   // Label 15811: @1071936
     /* 1071936 */   GIM_Try, /*On fail goto*//*Label 15812*/ GIMT_Encode4(1072013), // Rule ID 21774 //
     /* 1071941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1071944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1071949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1071952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1071955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1071958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1071961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1071964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1071968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1071972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1071976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1071980 */     // MIs[0] policy
     /* 1071980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1071983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1071990 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1071990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1071993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1071995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1071997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1071999 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072009 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072012 */     // GIR_Coverage, 21774,
     /* 1072012 */     GIR_EraseRootFromParent_Done,
     /* 1072013 */   // Label 15812: @1072013
     /* 1072013 */   GIM_Try, /*On fail goto*//*Label 15813*/ GIMT_Encode4(1072090), // Rule ID 21775 //
     /* 1072018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1072021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1072026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1072029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1072032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1072035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072057 */     // MIs[0] policy
     /* 1072057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072067 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11234:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1072070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072076 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072086 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072089 */     // GIR_Coverage, 21775,
     /* 1072089 */     GIR_EraseRootFromParent_Done,
     /* 1072090 */   // Label 15813: @1072090
     /* 1072090 */   GIM_Try, /*On fail goto*//*Label 15814*/ GIMT_Encode4(1072167), // Rule ID 21778 //
     /* 1072095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1072098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1072103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1072106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1072109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1072112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072134 */     // MIs[0] policy
     /* 1072134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1072147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072163 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072166 */     // GIR_Coverage, 21778,
     /* 1072166 */     GIR_EraseRootFromParent_Done,
     /* 1072167 */   // Label 15814: @1072167
     /* 1072167 */   GIM_Try, /*On fail goto*//*Label 15815*/ GIMT_Encode4(1072244), // Rule ID 21779 //
     /* 1072172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1072175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_xu_f_w_mask),
     /* 1072180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1072183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1072186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1072189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1072199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1072207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072211 */     // MIs[0] policy
     /* 1072211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072221 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11234:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1072224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072230 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1072240 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072243 */     // GIR_Coverage, 21779,
     /* 1072243 */     GIR_EraseRootFromParent_Done,
     /* 1072244 */   // Label 15815: @1072244
     /* 1072244 */   GIM_Try, /*On fail goto*//*Label 15816*/ GIMT_Encode4(1072321), // Rule ID 21782 //
     /* 1072249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1072260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1072263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1072266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072288 */     // MIs[0] policy
     /* 1072288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072298 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1072301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072317 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072320 */     // GIR_Coverage, 21782,
     /* 1072320 */     GIR_EraseRootFromParent_Done,
     /* 1072321 */   // Label 15816: @1072321
     /* 1072321 */   GIM_Try, /*On fail goto*//*Label 15817*/ GIMT_Encode4(1072398), // Rule ID 21783 //
     /* 1072326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1072337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1072340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1072343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1072346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072365 */     // MIs[0] policy
     /* 1072365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072375 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1072378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072384 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072394 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072397 */     // GIR_Coverage, 21783,
     /* 1072397 */     GIR_EraseRootFromParent_Done,
     /* 1072398 */   // Label 15817: @1072398
     /* 1072398 */   GIM_Try, /*On fail goto*//*Label 15818*/ GIMT_Encode4(1072475), // Rule ID 21786 //
     /* 1072403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1072414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1072417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1072420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072442 */     // MIs[0] policy
     /* 1072442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072452 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1072455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072461 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072471 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072474 */     // GIR_Coverage, 21786,
     /* 1072474 */     GIR_EraseRootFromParent_Done,
     /* 1072475 */   // Label 15818: @1072475
     /* 1072475 */   GIM_Try, /*On fail goto*//*Label 15819*/ GIMT_Encode4(1072552), // Rule ID 21787 //
     /* 1072480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1072491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1072494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1072497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1072500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072519 */     // MIs[0] policy
     /* 1072519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072529 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1072532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072538 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072548 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072551 */     // GIR_Coverage, 21787,
     /* 1072551 */     GIR_EraseRootFromParent_Done,
     /* 1072552 */   // Label 15819: @1072552
     /* 1072552 */   GIM_Try, /*On fail goto*//*Label 15820*/ GIMT_Encode4(1072629), // Rule ID 21790 //
     /* 1072557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1072574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072596 */     // MIs[0] policy
     /* 1072596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072625 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072628 */     // GIR_Coverage, 21790,
     /* 1072628 */     GIR_EraseRootFromParent_Done,
     /* 1072629 */   // Label 15820: @1072629
     /* 1072629 */   GIM_Try, /*On fail goto*//*Label 15821*/ GIMT_Encode4(1072706), // Rule ID 21791 //
     /* 1072634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1072645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1072648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1072651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1072654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072673 */     // MIs[0] policy
     /* 1072673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072683 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1072686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072692 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072702 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072705 */     // GIR_Coverage, 21791,
     /* 1072705 */     GIR_EraseRootFromParent_Done,
     /* 1072706 */   // Label 15821: @1072706
     /* 1072706 */   GIM_Try, /*On fail goto*//*Label 15822*/ GIMT_Encode4(1072783), // Rule ID 21794 //
     /* 1072711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1072728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072750 */     // MIs[0] policy
     /* 1072750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072760 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1072763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072779 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072782 */     // GIR_Coverage, 21794,
     /* 1072782 */     GIR_EraseRootFromParent_Done,
     /* 1072783 */   // Label 15822: @1072783
     /* 1072783 */   GIM_Try, /*On fail goto*//*Label 15823*/ GIMT_Encode4(1072860), // Rule ID 21795 //
     /* 1072788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1072799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1072802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1072805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1072808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1072815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1072819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072827 */     // MIs[0] policy
     /* 1072827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072837 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11232:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1072840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072859 */     // GIR_Coverage, 21795,
     /* 1072859 */     GIR_EraseRootFromParent_Done,
     /* 1072860 */   // Label 15823: @1072860
     /* 1072860 */   GIM_Try, /*On fail goto*//*Label 15824*/ GIMT_Encode4(1072937), // Rule ID 21798 //
     /* 1072865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1072868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1072882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1072888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072904 */     // MIs[0] policy
     /* 1072904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072914 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1072914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1072917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1072923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1072925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1072930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1072933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1072935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1072936 */     // GIR_Coverage, 21798,
     /* 1072936 */     GIR_EraseRootFromParent_Done,
     /* 1072937 */   // Label 15824: @1072937
     /* 1072937 */   GIM_Try, /*On fail goto*//*Label 15825*/ GIMT_Encode4(1073014), // Rule ID 21799 //
     /* 1072942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1072945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1072950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1072953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1072956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1072959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1072962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1072965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1072969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1072973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1072977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1072981 */     // MIs[0] policy
     /* 1072981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1072984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1072991 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1072991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1072994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1072996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1072998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073013 */     // GIR_Coverage, 21799,
     /* 1073013 */     GIR_EraseRootFromParent_Done,
     /* 1073014 */   // Label 15825: @1073014
     /* 1073014 */   GIM_Try, /*On fail goto*//*Label 15826*/ GIMT_Encode4(1073091), // Rule ID 21802 //
     /* 1073019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1073022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1073030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1073033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1073036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073058 */     // MIs[0] policy
     /* 1073058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073068 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073090 */     // GIR_Coverage, 21802,
     /* 1073090 */     GIR_EraseRootFromParent_Done,
     /* 1073091 */   // Label 15826: @1073091
     /* 1073091 */   GIM_Try, /*On fail goto*//*Label 15827*/ GIMT_Encode4(1073168), // Rule ID 21803 //
     /* 1073096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1073099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1073107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1073110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1073113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1073116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073135 */     // MIs[0] policy
     /* 1073135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073145 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1073164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073167 */     // GIR_Coverage, 21803,
     /* 1073167 */     GIR_EraseRootFromParent_Done,
     /* 1073168 */   // Label 15827: @1073168
     /* 1073168 */   GIM_Try, /*On fail goto*//*Label 15828*/ GIMT_Encode4(1073245), // Rule ID 21806 //
     /* 1073173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1073184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1073187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1073190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073212 */     // MIs[0] policy
     /* 1073212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073222 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1073225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073231 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073241 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073244 */     // GIR_Coverage, 21806,
     /* 1073244 */     GIR_EraseRootFromParent_Done,
     /* 1073245 */   // Label 15828: @1073245
     /* 1073245 */   GIM_Try, /*On fail goto*//*Label 15829*/ GIMT_Encode4(1073322), // Rule ID 21807 //
     /* 1073250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1073261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1073264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1073267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073289 */     // MIs[0] policy
     /* 1073289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073299 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1073302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073308 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073318 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073321 */     // GIR_Coverage, 21807,
     /* 1073321 */     GIR_EraseRootFromParent_Done,
     /* 1073322 */   // Label 15829: @1073322
     /* 1073322 */   GIM_Try, /*On fail goto*//*Label 15830*/ GIMT_Encode4(1073399), // Rule ID 21810 //
     /* 1073327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1073338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1073341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1073344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073366 */     // MIs[0] policy
     /* 1073366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073376 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1073379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073395 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073398 */     // GIR_Coverage, 21810,
     /* 1073398 */     GIR_EraseRootFromParent_Done,
     /* 1073399 */   // Label 15830: @1073399
     /* 1073399 */   GIM_Try, /*On fail goto*//*Label 15831*/ GIMT_Encode4(1073476), // Rule ID 21811 //
     /* 1073404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1073415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1073418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1073421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1073424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073443 */     // MIs[0] policy
     /* 1073443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1073456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073462 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073472 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073475 */     // GIR_Coverage, 21811,
     /* 1073475 */     GIR_EraseRootFromParent_Done,
     /* 1073476 */   // Label 15831: @1073476
     /* 1073476 */   GIM_Try, /*On fail goto*//*Label 15832*/ GIMT_Encode4(1073553), // Rule ID 21814 //
     /* 1073481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1073492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1073495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1073498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073520 */     // MIs[0] policy
     /* 1073520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1073533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073549 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073552 */     // GIR_Coverage, 21814,
     /* 1073552 */     GIR_EraseRootFromParent_Done,
     /* 1073553 */   // Label 15832: @1073553
     /* 1073553 */   GIM_Try, /*On fail goto*//*Label 15833*/ GIMT_Encode4(1073630), // Rule ID 21815 //
     /* 1073558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1073569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1073572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1073575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1073578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073597 */     // MIs[0] policy
     /* 1073597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073607 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11232:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1073610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073616 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073626 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073629 */     // GIR_Coverage, 21815,
     /* 1073629 */     GIR_EraseRootFromParent_Done,
     /* 1073630 */   // Label 15833: @1073630
     /* 1073630 */   GIM_Try, /*On fail goto*//*Label 15834*/ GIMT_Encode4(1073707), // Rule ID 21818 //
     /* 1073635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1073652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073674 */     // MIs[0] policy
     /* 1073674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073693 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073703 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073706 */     // GIR_Coverage, 21818,
     /* 1073706 */     GIR_EraseRootFromParent_Done,
     /* 1073707 */   // Label 15834: @1073707
     /* 1073707 */   GIM_Try, /*On fail goto*//*Label 15835*/ GIMT_Encode4(1073784), // Rule ID 21819 //
     /* 1073712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1073723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1073726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1073729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1073732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1073739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1073743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073751 */     // MIs[0] policy
     /* 1073751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073761 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1073764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073770 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073780 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073783 */     // GIR_Coverage, 21819,
     /* 1073783 */     GIR_EraseRootFromParent_Done,
     /* 1073784 */   // Label 15835: @1073784
     /* 1073784 */   GIM_Try, /*On fail goto*//*Label 15836*/ GIMT_Encode4(1073861), // Rule ID 21822 //
     /* 1073789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1073792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1073806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073828 */     // MIs[0] policy
     /* 1073828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073838 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073857 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073860 */     // GIR_Coverage, 21822,
     /* 1073860 */     GIR_EraseRootFromParent_Done,
     /* 1073861 */   // Label 15836: @1073861
     /* 1073861 */   GIM_Try, /*On fail goto*//*Label 15837*/ GIMT_Encode4(1073938), // Rule ID 21823 //
     /* 1073866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1073869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1073877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1073880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1073883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1073886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1073889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1073893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1073897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1073901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073905 */     // MIs[0] policy
     /* 1073905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073915 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1073915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1073918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1073924 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1073926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1073931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1073934 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1073936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1073937 */     // GIR_Coverage, 21823,
     /* 1073937 */     GIR_EraseRootFromParent_Done,
     /* 1073938 */   // Label 15837: @1073938
     /* 1073938 */   GIM_Try, /*On fail goto*//*Label 15838*/ GIMT_Encode4(1074015), // Rule ID 21826 //
     /* 1073943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1073946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1073951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1073954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1073957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1073960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1073963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1073966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1073970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1073978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1073982 */     // MIs[0] policy
     /* 1073982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1073985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1073992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1073992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1073995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1073997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1073999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074001 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074011 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074014 */     // GIR_Coverage, 21826,
     /* 1074014 */     GIR_EraseRootFromParent_Done,
     /* 1074015 */   // Label 15838: @1074015
     /* 1074015 */   GIM_Try, /*On fail goto*//*Label 15839*/ GIMT_Encode4(1074092), // Rule ID 21827 //
     /* 1074020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1074023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1074028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1074031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1074034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1074037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074059 */     // MIs[0] policy
     /* 1074059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074069 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1074072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074091 */     // GIR_Coverage, 21827,
     /* 1074091 */     GIR_EraseRootFromParent_Done,
     /* 1074092 */   // Label 15839: @1074092
     /* 1074092 */   GIM_Try, /*On fail goto*//*Label 15840*/ GIMT_Encode4(1074169), // Rule ID 21830 //
     /* 1074097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1074100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1074105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1074108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1074111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1074114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074136 */     // MIs[0] policy
     /* 1074136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1074149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074168 */     // GIR_Coverage, 21830,
     /* 1074168 */     GIR_EraseRootFromParent_Done,
     /* 1074169 */   // Label 15840: @1074169
     /* 1074169 */   GIM_Try, /*On fail goto*//*Label 15841*/ GIMT_Encode4(1074246), // Rule ID 21831 //
     /* 1074174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1074177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1074182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1074185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1074188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1074191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074213 */     // MIs[0] policy
     /* 1074213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074223 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11232:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1074226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074232 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074242 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074245 */     // GIR_Coverage, 21831,
     /* 1074245 */     GIR_EraseRootFromParent_Done,
     /* 1074246 */   // Label 15841: @1074246
     /* 1074246 */   GIM_Try, /*On fail goto*//*Label 15842*/ GIMT_Encode4(1074323), // Rule ID 21834 //
     /* 1074251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1074254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1074259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1074262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1074265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1074268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074290 */     // MIs[0] policy
     /* 1074290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074300 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1074303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074319 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074322 */     // GIR_Coverage, 21834,
     /* 1074322 */     GIR_EraseRootFromParent_Done,
     /* 1074323 */   // Label 15842: @1074323
     /* 1074323 */   GIM_Try, /*On fail goto*//*Label 15843*/ GIMT_Encode4(1074400), // Rule ID 21835 //
     /* 1074328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1074331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1074336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1074339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1074342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1074345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1074355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074367 */     // MIs[0] policy
     /* 1074367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074377 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11232:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1074380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074399 */     // GIR_Coverage, 21835,
     /* 1074399 */     GIR_EraseRootFromParent_Done,
     /* 1074400 */   // Label 15843: @1074400
     /* 1074400 */   GIM_Try, /*On fail goto*//*Label 15844*/ GIMT_Encode4(1074477), // Rule ID 21838 //
     /* 1074405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1074408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1074413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1074422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074444 */     // MIs[0] policy
     /* 1074444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074454 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1074457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074463 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074473 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074476 */     // GIR_Coverage, 21838,
     /* 1074476 */     GIR_EraseRootFromParent_Done,
     /* 1074477 */   // Label 15844: @1074477
     /* 1074477 */   GIM_Try, /*On fail goto*//*Label 15845*/ GIMT_Encode4(1074554), // Rule ID 21839 //
     /* 1074482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1074485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rtz_x_f_w_mask),
     /* 1074490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1074493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1074496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1074499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1074502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1074509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1074513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1074517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074521 */     // MIs[0] policy
     /* 1074521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074531 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11232:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1074534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074540 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1074550 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074553 */     // GIR_Coverage, 21839,
     /* 1074553 */     GIR_EraseRootFromParent_Done,
     /* 1074554 */   // Label 15845: @1074554
     /* 1074554 */   GIM_Try, /*On fail goto*//*Label 15846*/ GIMT_Encode4(1074631), // Rule ID 21950 //
     /* 1074559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1074576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074598 */     // MIs[0] policy
     /* 1074598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074608 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1074611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074627 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074630 */     // GIR_Coverage, 21950,
     /* 1074630 */     GIR_EraseRootFromParent_Done,
     /* 1074631 */   // Label 15846: @1074631
     /* 1074631 */   GIM_Try, /*On fail goto*//*Label 15847*/ GIMT_Encode4(1074708), // Rule ID 21951 //
     /* 1074636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1074647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1074650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1074653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1074656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074675 */     // MIs[0] policy
     /* 1074675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074685 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF4_E16_MASK),
     /* 1074688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074694 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074704 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074707 */     // GIR_Coverage, 21951,
     /* 1074707 */     GIR_EraseRootFromParent_Done,
     /* 1074708 */   // Label 15847: @1074708
     /* 1074708 */   GIM_Try, /*On fail goto*//*Label 15848*/ GIMT_Encode4(1074785), // Rule ID 21954 //
     /* 1074713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1074730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074752 */     // MIs[0] policy
     /* 1074752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074762 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1074765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074784 */     // GIR_Coverage, 21954,
     /* 1074784 */     GIR_EraseRootFromParent_Done,
     /* 1074785 */   // Label 15848: @1074785
     /* 1074785 */   GIM_Try, /*On fail goto*//*Label 15849*/ GIMT_Encode4(1074862), // Rule ID 21955 //
     /* 1074790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1074801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1074804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1074807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1074810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074829 */     // MIs[0] policy
     /* 1074829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074839 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E16_MASK),
     /* 1074842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074848 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074858 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074861 */     // GIR_Coverage, 21955,
     /* 1074861 */     GIR_EraseRootFromParent_Done,
     /* 1074862 */   // Label 15849: @1074862
     /* 1074862 */   GIM_Try, /*On fail goto*//*Label 15850*/ GIMT_Encode4(1074939), // Rule ID 21958 //
     /* 1074867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1074870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1074878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1074881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1074890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074906 */     // MIs[0] policy
     /* 1074906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074916 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1074916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1074919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1074923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1074925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1074927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1074932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1074935 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1074937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1074938 */     // GIR_Coverage, 21958,
     /* 1074938 */     GIR_EraseRootFromParent_Done,
     /* 1074939 */   // Label 15850: @1074939
     /* 1074939 */   GIM_Try, /*On fail goto*//*Label 15851*/ GIMT_Encode4(1075016), // Rule ID 21959 //
     /* 1074944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1074947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1074952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1074955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1074958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1074961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1074964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1074967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1074971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1074975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1074979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1074983 */     // MIs[0] policy
     /* 1074983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1074986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1074993 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11230:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1074993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E16_MASK),
     /* 1074996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1074998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075002 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075012 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075015 */     // GIR_Coverage, 21959,
     /* 1075015 */     GIR_EraseRootFromParent_Done,
     /* 1075016 */   // Label 15851: @1075016
     /* 1075016 */   GIM_Try, /*On fail goto*//*Label 15852*/ GIMT_Encode4(1075093), // Rule ID 21962 //
     /* 1075021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1075024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1075032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1075035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1075038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1075041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1075048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075060 */     // MIs[0] policy
     /* 1075060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075070 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1075073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075089 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075092 */     // GIR_Coverage, 21962,
     /* 1075092 */     GIR_EraseRootFromParent_Done,
     /* 1075093 */   // Label 15852: @1075093
     /* 1075093 */   GIM_Try, /*On fail goto*//*Label 15853*/ GIMT_Encode4(1075170), // Rule ID 21963 //
     /* 1075098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1075101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1075109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1075112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1075115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1075118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1075125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075137 */     // MIs[0] policy
     /* 1075137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075147 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E16_MASK),
     /* 1075150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075156 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075166 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075168 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075169 */     // GIR_Coverage, 21963,
     /* 1075169 */     GIR_EraseRootFromParent_Done,
     /* 1075170 */   // Label 15853: @1075170
     /* 1075170 */   GIM_Try, /*On fail goto*//*Label 15854*/ GIMT_Encode4(1075247), // Rule ID 21966 //
     /* 1075175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1075178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1075186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1075189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1075192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1075195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1075202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075214 */     // MIs[0] policy
     /* 1075214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075224 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1075227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075233 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075243 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075246 */     // GIR_Coverage, 21966,
     /* 1075246 */     GIR_EraseRootFromParent_Done,
     /* 1075247 */   // Label 15854: @1075247
     /* 1075247 */   GIM_Try, /*On fail goto*//*Label 15855*/ GIMT_Encode4(1075324), // Rule ID 21967 //
     /* 1075252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1075255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1075263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1075266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1075269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1075272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1075279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075291 */     // MIs[0] policy
     /* 1075291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075301 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E16_MASK),
     /* 1075304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075310 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1075320 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075323 */     // GIR_Coverage, 21967,
     /* 1075323 */     GIR_EraseRootFromParent_Done,
     /* 1075324 */   // Label 15855: @1075324
     /* 1075324 */   GIM_Try, /*On fail goto*//*Label 15856*/ GIMT_Encode4(1075401), // Rule ID 21970 //
     /* 1075329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1075332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1075349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075368 */     // MIs[0] policy
     /* 1075368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075378 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1075381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075397 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075400 */     // GIR_Coverage, 21970,
     /* 1075400 */     GIR_EraseRootFromParent_Done,
     /* 1075401 */   // Label 15856: @1075401
     /* 1075401 */   GIM_Try, /*On fail goto*//*Label 15857*/ GIMT_Encode4(1075478), // Rule ID 21971 //
     /* 1075406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1075417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1075420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1075423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1075426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075445 */     // MIs[0] policy
     /* 1075445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075455 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_MF2_E32_MASK),
     /* 1075458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075464 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075474 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075477 */     // GIR_Coverage, 21971,
     /* 1075477 */     GIR_EraseRootFromParent_Done,
     /* 1075478 */   // Label 15857: @1075478
     /* 1075478 */   GIM_Try, /*On fail goto*//*Label 15858*/ GIMT_Encode4(1075555), // Rule ID 21974 //
     /* 1075483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1075486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1075500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075522 */     // MIs[0] policy
     /* 1075522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075532 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1075535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075554 */     // GIR_Coverage, 21974,
     /* 1075554 */     GIR_EraseRootFromParent_Done,
     /* 1075555 */   // Label 15858: @1075555
     /* 1075555 */   GIM_Try, /*On fail goto*//*Label 15859*/ GIMT_Encode4(1075632), // Rule ID 21975 //
     /* 1075560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1075571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1075574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1075577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075599 */     // MIs[0] policy
     /* 1075599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075609 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11230:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M1_E32_MASK),
     /* 1075612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075631 */     // GIR_Coverage, 21975,
     /* 1075631 */     GIR_EraseRootFromParent_Done,
     /* 1075632 */   // Label 15859: @1075632
     /* 1075632 */   GIM_Try, /*On fail goto*//*Label 15860*/ GIMT_Encode4(1075709), // Rule ID 21978 //
     /* 1075637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1075640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1075648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1075651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1075664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075676 */     // MIs[0] policy
     /* 1075676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075686 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1075689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075708 */     // GIR_Coverage, 21978,
     /* 1075708 */     GIR_EraseRootFromParent_Done,
     /* 1075709 */   // Label 15860: @1075709
     /* 1075709 */   GIM_Try, /*On fail goto*//*Label 15861*/ GIMT_Encode4(1075786), // Rule ID 21979 //
     /* 1075714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1075725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1075728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1075731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1075734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1075741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1075745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075753 */     // MIs[0] policy
     /* 1075753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075763 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11230:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M2_E32_MASK),
     /* 1075766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075785 */     // GIR_Coverage, 21979,
     /* 1075785 */     GIR_EraseRootFromParent_Done,
     /* 1075786 */   // Label 15861: @1075786
     /* 1075786 */   GIM_Try, /*On fail goto*//*Label 15862*/ GIMT_Encode4(1075863), // Rule ID 21982 //
     /* 1075791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1075794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1075811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1075818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075830 */     // MIs[0] policy
     /* 1075830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075840 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1075843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075859 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075862 */     // GIR_Coverage, 21982,
     /* 1075862 */     GIR_EraseRootFromParent_Done,
     /* 1075863 */   // Label 15862: @1075863
     /* 1075863 */   GIM_Try, /*On fail goto*//*Label 15863*/ GIMT_Encode4(1075940), // Rule ID 21983 //
     /* 1075868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1075871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_rod_f_f_w_mask),
     /* 1075876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1075879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1075882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1075885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1075888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1075891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1075895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1075899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1075903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075907 */     // MIs[0] policy
     /* 1075907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075917 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11230:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1075917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_ROD_F_F_W_M4_E32_MASK),
     /* 1075920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1075924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1075926 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1075928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1075933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1075936 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1075938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1075939 */     // GIR_Coverage, 21983,
     /* 1075939 */     GIR_EraseRootFromParent_Done,
     /* 1075940 */   // Label 15863: @1075940
     /* 1075940 */   GIM_Try, /*On fail goto*//*Label 15864*/ GIMT_Encode4(1076017), // Rule ID 23422 //
     /* 1075945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1075948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1075953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1075956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1075959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1075962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1075965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1075968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1075972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1075980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1075984 */     // MIs[0] policy
     /* 1075984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1075987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1075994 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1075994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1075997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1075999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076013 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076016 */     // GIR_Coverage, 23422,
     /* 1076016 */     GIR_EraseRootFromParent_Done,
     /* 1076017 */   // Label 15864: @1076017
     /* 1076017 */   GIM_Try, /*On fail goto*//*Label 15865*/ GIMT_Encode4(1076094), // Rule ID 23423 //
     /* 1076022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1076033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1076036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1076039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1076042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076061 */     // MIs[0] policy
     /* 1076061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076071 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1076074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076080 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076090 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076093 */     // GIR_Coverage, 23423,
     /* 1076093 */     GIR_EraseRootFromParent_Done,
     /* 1076094 */   // Label 15865: @1076094
     /* 1076094 */   GIM_Try, /*On fail goto*//*Label 15866*/ GIMT_Encode4(1076171), // Rule ID 23426 //
     /* 1076099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1076110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1076113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1076116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1076119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076138 */     // MIs[0] policy
     /* 1076138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076167 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076170 */     // GIR_Coverage, 23426,
     /* 1076170 */     GIR_EraseRootFromParent_Done,
     /* 1076171 */   // Label 15866: @1076171
     /* 1076171 */   GIM_Try, /*On fail goto*//*Label 15867*/ GIMT_Encode4(1076248), // Rule ID 23427 //
     /* 1076176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1076187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1076190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1076193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1076196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076215 */     // MIs[0] policy
     /* 1076215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076225 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076247 */     // GIR_Coverage, 23427,
     /* 1076247 */     GIR_EraseRootFromParent_Done,
     /* 1076248 */   // Label 15867: @1076248
     /* 1076248 */   GIM_Try, /*On fail goto*//*Label 15868*/ GIMT_Encode4(1076325), // Rule ID 23430 //
     /* 1076253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1076264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1076267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076292 */     // MIs[0] policy
     /* 1076292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076302 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1076305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076311 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076321 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076324 */     // GIR_Coverage, 23430,
     /* 1076324 */     GIR_EraseRootFromParent_Done,
     /* 1076325 */   // Label 15868: @1076325
     /* 1076325 */   GIM_Try, /*On fail goto*//*Label 15869*/ GIMT_Encode4(1076402), // Rule ID 23431 //
     /* 1076330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1076341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1076344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076369 */     // MIs[0] policy
     /* 1076369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076379 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF4_MASK),
     /* 1076382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076388 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076398 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076401 */     // GIR_Coverage, 23431,
     /* 1076401 */     GIR_EraseRootFromParent_Done,
     /* 1076402 */   // Label 15869: @1076402
     /* 1076402 */   GIM_Try, /*On fail goto*//*Label 15870*/ GIMT_Encode4(1076479), // Rule ID 23434 //
     /* 1076407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1076418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1076421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1076424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1076427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076446 */     // MIs[0] policy
     /* 1076446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076456 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076475 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076478 */     // GIR_Coverage, 23434,
     /* 1076478 */     GIR_EraseRootFromParent_Done,
     /* 1076479 */   // Label 15870: @1076479
     /* 1076479 */   GIM_Try, /*On fail goto*//*Label 15871*/ GIMT_Encode4(1076556), // Rule ID 23435 //
     /* 1076484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1076495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1076498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1076501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1076504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076523 */     // MIs[0] policy
     /* 1076523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076533 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076542 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076552 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076555 */     // GIR_Coverage, 23435,
     /* 1076555 */     GIR_EraseRootFromParent_Done,
     /* 1076556 */   // Label 15871: @1076556
     /* 1076556 */   GIM_Try, /*On fail goto*//*Label 15872*/ GIMT_Encode4(1076633), // Rule ID 23438 //
     /* 1076561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076600 */     // MIs[0] policy
     /* 1076600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076610 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076632 */     // GIR_Coverage, 23438,
     /* 1076632 */     GIR_EraseRootFromParent_Done,
     /* 1076633 */   // Label 15872: @1076633
     /* 1076633 */   GIM_Try, /*On fail goto*//*Label 15873*/ GIMT_Encode4(1076710), // Rule ID 23439 //
     /* 1076638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1076649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1076652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1076655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1076658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076677 */     // MIs[0] policy
     /* 1076677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_MF2_MASK),
     /* 1076690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1076706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076709 */     // GIR_Coverage, 23439,
     /* 1076709 */     GIR_EraseRootFromParent_Done,
     /* 1076710 */   // Label 15873: @1076710
     /* 1076710 */   GIM_Try, /*On fail goto*//*Label 15874*/ GIMT_Encode4(1076787), // Rule ID 23442 //
     /* 1076715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1076732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1076735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076754 */     // MIs[0] policy
     /* 1076754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076764 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076773 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076783 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076786 */     // GIR_Coverage, 23442,
     /* 1076786 */     GIR_EraseRootFromParent_Done,
     /* 1076787 */   // Label 15874: @1076787
     /* 1076787 */   GIM_Try, /*On fail goto*//*Label 15875*/ GIMT_Encode4(1076864), // Rule ID 23443 //
     /* 1076792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1076803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1076806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1076809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1076812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076831 */     // MIs[0] policy
     /* 1076831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076841 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11324:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076850 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1076860 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076863 */     // GIR_Coverage, 23443,
     /* 1076863 */     GIR_EraseRootFromParent_Done,
     /* 1076864 */   // Label 15875: @1076864
     /* 1076864 */   GIM_Try, /*On fail goto*//*Label 15876*/ GIMT_Encode4(1076941), // Rule ID 23446 //
     /* 1076869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1076872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1076886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1076889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1076892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076908 */     // MIs[0] policy
     /* 1076908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076918 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1076918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1076923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1076925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1076927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1076929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1076934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1076937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1076939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1076940 */     // GIR_Coverage, 23446,
     /* 1076940 */     GIR_EraseRootFromParent_Done,
     /* 1076941 */   // Label 15876: @1076941
     /* 1076941 */   GIM_Try, /*On fail goto*//*Label 15877*/ GIMT_Encode4(1077018), // Rule ID 23447 //
     /* 1076946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1076949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1076954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1076957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1076960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1076963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1076966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1076969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1076973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1076981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1076985 */     // MIs[0] policy
     /* 1076985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1076988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1076995 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11324:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1076995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1076998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077000 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077016 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077017 */     // GIR_Coverage, 23447,
     /* 1077017 */     GIR_EraseRootFromParent_Done,
     /* 1077018 */   // Label 15877: @1077018
     /* 1077018 */   GIM_Try, /*On fail goto*//*Label 15878*/ GIMT_Encode4(1077095), // Rule ID 23450 //
     /* 1077023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1077034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1077037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1077040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1077043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1077050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077062 */     // MIs[0] policy
     /* 1077062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077072 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1077075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077094 */     // GIR_Coverage, 23450,
     /* 1077094 */     GIR_EraseRootFromParent_Done,
     /* 1077095 */   // Label 15878: @1077095
     /* 1077095 */   GIM_Try, /*On fail goto*//*Label 15879*/ GIMT_Encode4(1077172), // Rule ID 23451 //
     /* 1077100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1077111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1077114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1077117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1077120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1077127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077139 */     // MIs[0] policy
     /* 1077139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077149 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11324:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1077152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1077168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077171 */     // GIR_Coverage, 23451,
     /* 1077171 */     GIR_EraseRootFromParent_Done,
     /* 1077172 */   // Label 15879: @1077172
     /* 1077172 */   GIM_Try, /*On fail goto*//*Label 15880*/ GIMT_Encode4(1077249), // Rule ID 23454 //
     /* 1077177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1077180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1077188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1077191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1077194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1077197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1077204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077216 */     // MIs[0] policy
     /* 1077216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077226 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1077229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077245 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077248 */     // GIR_Coverage, 23454,
     /* 1077248 */     GIR_EraseRootFromParent_Done,
     /* 1077249 */   // Label 15880: @1077249
     /* 1077249 */   GIM_Try, /*On fail goto*//*Label 15881*/ GIMT_Encode4(1077326), // Rule ID 23455 //
     /* 1077254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1077257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1077265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1077268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s1,
     /* 1077271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1077274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1077281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077293 */     // MIs[0] policy
     /* 1077293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077303 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11324:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i1] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M1_MASK),
     /* 1077306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077312 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1077322 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077325 */     // GIR_Coverage, 23455,
     /* 1077325 */     GIR_EraseRootFromParent_Done,
     /* 1077326 */   // Label 15881: @1077326
     /* 1077326 */   GIM_Try, /*On fail goto*//*Label 15882*/ GIMT_Encode4(1077403), // Rule ID 23458 //
     /* 1077331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1077342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1077345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077370 */     // MIs[0] policy
     /* 1077370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077380 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077399 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077402 */     // GIR_Coverage, 23458,
     /* 1077402 */     GIR_EraseRootFromParent_Done,
     /* 1077403 */   // Label 15882: @1077403
     /* 1077403 */   GIM_Try, /*On fail goto*//*Label 15883*/ GIMT_Encode4(1077480), // Rule ID 23459 //
     /* 1077408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1077419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1077422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077447 */     // MIs[0] policy
     /* 1077447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077457 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077466 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077476 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077479 */     // GIR_Coverage, 23459,
     /* 1077479 */     GIR_EraseRootFromParent_Done,
     /* 1077480 */   // Label 15883: @1077480
     /* 1077480 */   GIM_Try, /*On fail goto*//*Label 15884*/ GIMT_Encode4(1077557), // Rule ID 23462 //
     /* 1077485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1077502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1077505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077524 */     // MIs[0] policy
     /* 1077524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077534 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077543 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077553 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077556 */     // GIR_Coverage, 23462,
     /* 1077556 */     GIR_EraseRootFromParent_Done,
     /* 1077557 */   // Label 15884: @1077557
     /* 1077557 */   GIM_Try, /*On fail goto*//*Label 15885*/ GIMT_Encode4(1077634), // Rule ID 23463 //
     /* 1077562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1077573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1077576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1077579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1077582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077601 */     // MIs[0] policy
     /* 1077601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077611 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077620 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077630 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077633 */     // GIR_Coverage, 23463,
     /* 1077633 */     GIR_EraseRootFromParent_Done,
     /* 1077634 */   // Label 15885: @1077634
     /* 1077634 */   GIM_Try, /*On fail goto*//*Label 15886*/ GIMT_Encode4(1077711), // Rule ID 23466 //
     /* 1077639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1077656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1077659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077678 */     // MIs[0] policy
     /* 1077678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077707 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077710 */     // GIR_Coverage, 23466,
     /* 1077710 */     GIR_EraseRootFromParent_Done,
     /* 1077711 */   // Label 15886: @1077711
     /* 1077711 */   GIM_Try, /*On fail goto*//*Label 15887*/ GIMT_Encode4(1077788), // Rule ID 23467 //
     /* 1077716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1077727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1077730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s1,
     /* 1077733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1077736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1077743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1077747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077755 */     // MIs[0] policy
     /* 1077755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077765 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VR:{ *:[nxv64i1] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1077768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1077784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077787 */     // GIR_Coverage, 23467,
     /* 1077787 */     GIR_EraseRootFromParent_Done,
     /* 1077788 */   // Label 15887: @1077788
     /* 1077788 */   GIM_Try, /*On fail goto*//*Label 15888*/ GIMT_Encode4(1077865), // Rule ID 23470 //
     /* 1077793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077832 */     // MIs[0] policy
     /* 1077832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077842 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077861 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077864 */     // GIR_Coverage, 23470,
     /* 1077864 */     GIR_EraseRootFromParent_Done,
     /* 1077865 */   // Label 15888: @1077865
     /* 1077865 */   GIM_Try, /*On fail goto*//*Label 15889*/ GIMT_Encode4(1077942), // Rule ID 23471 //
     /* 1077870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1077873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1077881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1077884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1077887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1077890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1077893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1077897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1077901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077909 */     // MIs[0] policy
     /* 1077909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077919 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1077919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1077922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1077924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1077926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1077928 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1077930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1077935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1077938 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1077940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1077941 */     // GIR_Coverage, 23471,
     /* 1077941 */     GIR_EraseRootFromParent_Done,
     /* 1077942 */   // Label 15889: @1077942
     /* 1077942 */   GIM_Try, /*On fail goto*//*Label 15890*/ GIMT_Encode4(1078019), // Rule ID 23474 //
     /* 1077947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1077950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1077955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1077958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1077961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1077964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1077967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1077970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1077974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1077978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1077982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1077986 */     // MIs[0] policy
     /* 1077986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1077989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1077996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1077996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1077999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078018 */     // GIR_Coverage, 23474,
     /* 1078018 */     GIR_EraseRootFromParent_Done,
     /* 1078019 */   // Label 15890: @1078019
     /* 1078019 */   GIM_Try, /*On fail goto*//*Label 15891*/ GIMT_Encode4(1078096), // Rule ID 23475 //
     /* 1078024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1078035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1078038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1078041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1078044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078063 */     // MIs[0] policy
     /* 1078063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078073 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078095 */     // GIR_Coverage, 23475,
     /* 1078095 */     GIR_EraseRootFromParent_Done,
     /* 1078096 */   // Label 15891: @1078096
     /* 1078096 */   GIM_Try, /*On fail goto*//*Label 15892*/ GIMT_Encode4(1078173), // Rule ID 23478 //
     /* 1078101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1078112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1078115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1078118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1078121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078140 */     // MIs[0] policy
     /* 1078140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078169 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078172 */     // GIR_Coverage, 23478,
     /* 1078172 */     GIR_EraseRootFromParent_Done,
     /* 1078173 */   // Label 15892: @1078173
     /* 1078173 */   GIM_Try, /*On fail goto*//*Label 15893*/ GIMT_Encode4(1078250), // Rule ID 23479 //
     /* 1078178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1078189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1078192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s1,
     /* 1078195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1078198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078217 */     // MIs[0] policy
     /* 1078217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078227 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VR:{ *:[nxv32i1] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078236 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1078246 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078249 */     // GIR_Coverage, 23479,
     /* 1078249 */     GIR_EraseRootFromParent_Done,
     /* 1078250 */   // Label 15893: @1078250
     /* 1078250 */   GIM_Try, /*On fail goto*//*Label 15894*/ GIMT_Encode4(1078327), // Rule ID 23482 //
     /* 1078255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1078266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1078269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1078272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1078275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1078282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078294 */     // MIs[0] policy
     /* 1078294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078304 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1078307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078313 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078323 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078326 */     // GIR_Coverage, 23482,
     /* 1078326 */     GIR_EraseRootFromParent_Done,
     /* 1078327 */   // Label 15894: @1078327
     /* 1078327 */   GIM_Try, /*On fail goto*//*Label 15895*/ GIMT_Encode4(1078404), // Rule ID 23483 //
     /* 1078332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1078343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1078346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1078349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1078352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1078359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078371 */     // MIs[0] policy
     /* 1078371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078381 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1078384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078403 */     // GIR_Coverage, 23483,
     /* 1078403 */     GIR_EraseRootFromParent_Done,
     /* 1078404 */   // Label 15895: @1078404
     /* 1078404 */   GIM_Try, /*On fail goto*//*Label 15896*/ GIMT_Encode4(1078481), // Rule ID 23486 //
     /* 1078409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1078426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1078429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078448 */     // MIs[0] policy
     /* 1078448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078458 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078480 */     // GIR_Coverage, 23486,
     /* 1078480 */     GIR_EraseRootFromParent_Done,
     /* 1078481 */   // Label 15896: @1078481
     /* 1078481 */   GIM_Try, /*On fail goto*//*Label 15897*/ GIMT_Encode4(1078558), // Rule ID 23487 //
     /* 1078486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1078497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1078500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1078503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1078506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078525 */     // MIs[0] policy
     /* 1078525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078535 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078544 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078554 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078557 */     // GIR_Coverage, 23487,
     /* 1078557 */     GIR_EraseRootFromParent_Done,
     /* 1078558 */   // Label 15897: @1078558
     /* 1078558 */   GIM_Try, /*On fail goto*//*Label 15898*/ GIMT_Encode4(1078635), // Rule ID 23490 //
     /* 1078563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1078566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1078580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1078583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078602 */     // MIs[0] policy
     /* 1078602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078631 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078634 */     // GIR_Coverage, 23490,
     /* 1078634 */     GIR_EraseRootFromParent_Done,
     /* 1078635 */   // Label 15898: @1078635
     /* 1078635 */   GIM_Try, /*On fail goto*//*Label 15899*/ GIMT_Encode4(1078712), // Rule ID 23491 //
     /* 1078640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1078643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1078651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1078654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s1,
     /* 1078657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1078660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1078667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1078671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078679 */     // MIs[0] policy
     /* 1078679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078689 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VR:{ *:[nxv16i1] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1078692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078698 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1078708 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078711 */     // GIR_Coverage, 23491,
     /* 1078711 */     GIR_EraseRootFromParent_Done,
     /* 1078712 */   // Label 15899: @1078712
     /* 1078712 */   GIM_Try, /*On fail goto*//*Label 15900*/ GIMT_Encode4(1078789), // Rule ID 23494 //
     /* 1078717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1078734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1078737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1078744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078756 */     // MIs[0] policy
     /* 1078756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078766 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1078769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078775 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078785 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078788 */     // GIR_Coverage, 23494,
     /* 1078788 */     GIR_EraseRootFromParent_Done,
     /* 1078789 */   // Label 15900: @1078789
     /* 1078789 */   GIM_Try, /*On fail goto*//*Label 15901*/ GIMT_Encode4(1078866), // Rule ID 23495 //
     /* 1078794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1078805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1078808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s1,
     /* 1078811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1078814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1078821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1078825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078833 */     // MIs[0] policy
     /* 1078833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078843 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11324:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i1] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M2_MASK),
     /* 1078846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078852 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078862 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078865 */     // GIR_Coverage, 23495,
     /* 1078865 */     GIR_EraseRootFromParent_Done,
     /* 1078866 */   // Label 15901: @1078866
     /* 1078866 */   GIM_Try, /*On fail goto*//*Label 15902*/ GIMT_Encode4(1078943), // Rule ID 23498 //
     /* 1078871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1078874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1078888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1078891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1078894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078910 */     // MIs[0] policy
     /* 1078910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078920 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1078920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1078923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1078925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1078927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1078929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1078931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1078936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1078939 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1078941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1078942 */     // GIR_Coverage, 23498,
     /* 1078942 */     GIR_EraseRootFromParent_Done,
     /* 1078943 */   // Label 15902: @1078943
     /* 1078943 */   GIM_Try, /*On fail goto*//*Label 15903*/ GIMT_Encode4(1079020), // Rule ID 23499 //
     /* 1078948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1078951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1078956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1078959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1078962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s1,
     /* 1078965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1078968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1078971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1078975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1078979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1078983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1078987 */     // MIs[0] policy
     /* 1078987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1078990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1078997 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11324:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VR:{ *:[nxv4i1] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1078997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M4_MASK),
     /* 1079000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079019 */     // GIR_Coverage, 23499,
     /* 1079019 */     GIR_EraseRootFromParent_Done,
     /* 1079020 */   // Label 15903: @1079020
     /* 1079020 */   GIM_Try, /*On fail goto*//*Label 15904*/ GIMT_Encode4(1079097), // Rule ID 23502 //
     /* 1079025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1079028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1079033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1079036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1079039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1079042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1079045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1079052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1079064 */     // MIs[0] policy
     /* 1079064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1079077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079096 */     // GIR_Coverage, 23502,
     /* 1079096 */     GIR_EraseRootFromParent_Done,
     /* 1079097 */   // Label 15904: @1079097
     /* 1079097 */   GIM_Try, /*On fail goto*//*Label 15905*/ GIMT_Encode4(1079174), // Rule ID 23503 //
     /* 1079102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1079105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_viota_mask),
     /* 1079110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1079113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1079116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s1,
     /* 1079119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1079122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1079129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1079133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1079141 */     // MIs[0] policy
     /* 1079141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079151 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11324:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVIOTA_M_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VR:{ *:[nxv8i1] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVIOTA_M_M8_MASK),
     /* 1079154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1079158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1079160 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1079162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1079170 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079173 */     // GIR_Coverage, 23503,
     /* 1079173 */     GIR_EraseRootFromParent_Done,
     /* 1079174 */   // Label 15905: @1079174
     /* 1079174 */   GIM_Try, /*On fail goto*//*Label 15906*/ GIMT_Encode4(1079251), // Rule ID 23608 //
     /* 1079179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1079190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1079193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1079196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079218 */     // MIs[0] policy
     /* 1079218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079228 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1079231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079247 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079250 */     // GIR_Coverage, 23608,
     /* 1079250 */     GIR_EraseRootFromParent_Done,
     /* 1079251 */   // Label 15906: @1079251
     /* 1079251 */   GIM_Try, /*On fail goto*//*Label 15907*/ GIMT_Encode4(1079328), // Rule ID 23609 //
     /* 1079256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1079267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1079270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1079273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079295 */     // MIs[0] policy
     /* 1079295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079305 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8),
     /* 1079308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079327 */     // GIR_Coverage, 23609,
     /* 1079327 */     GIR_EraseRootFromParent_Done,
     /* 1079328 */   // Label 15907: @1079328
     /* 1079328 */   GIM_Try, /*On fail goto*//*Label 15908*/ GIMT_Encode4(1079405), // Rule ID 23612 //
     /* 1079333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1079344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1079347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1079350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079372 */     // MIs[0] policy
     /* 1079372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079382 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079401 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079404 */     // GIR_Coverage, 23612,
     /* 1079404 */     GIR_EraseRootFromParent_Done,
     /* 1079405 */   // Label 15908: @1079405
     /* 1079405 */   GIM_Try, /*On fail goto*//*Label 15909*/ GIMT_Encode4(1079482), // Rule ID 23613 //
     /* 1079410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1079421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1079424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1079427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079449 */     // MIs[0] policy
     /* 1079449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079459 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079478 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079480 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079481 */     // GIR_Coverage, 23613,
     /* 1079481 */     GIR_EraseRootFromParent_Done,
     /* 1079482 */   // Label 15909: @1079482
     /* 1079482 */   GIM_Try, /*On fail goto*//*Label 15910*/ GIMT_Encode4(1079559), // Rule ID 23616 //
     /* 1079487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1079504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079526 */     // MIs[0] policy
     /* 1079526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079536 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079555 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079558 */     // GIR_Coverage, 23616,
     /* 1079558 */     GIR_EraseRootFromParent_Done,
     /* 1079559 */   // Label 15910: @1079559
     /* 1079559 */   GIM_Try, /*On fail goto*//*Label 15911*/ GIMT_Encode4(1079636), // Rule ID 23617 //
     /* 1079564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1079575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1079578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1079581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079603 */     // MIs[0] policy
     /* 1079603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079613 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1079632 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079635 */     // GIR_Coverage, 23617,
     /* 1079635 */     GIR_EraseRootFromParent_Done,
     /* 1079636 */   // Label 15911: @1079636
     /* 1079636 */   GIM_Try, /*On fail goto*//*Label 15912*/ GIMT_Encode4(1079713), // Rule ID 23620 //
     /* 1079641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1079658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079680 */     // MIs[0] policy
     /* 1079680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079712 */     // GIR_Coverage, 23620,
     /* 1079712 */     GIR_EraseRootFromParent_Done,
     /* 1079713 */   // Label 15912: @1079713
     /* 1079713 */   GIM_Try, /*On fail goto*//*Label 15913*/ GIMT_Encode4(1079790), // Rule ID 23621 //
     /* 1079718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1079729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1079732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1079735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079757 */     // MIs[0] policy
     /* 1079757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079767 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1079770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079786 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079789 */     // GIR_Coverage, 23621,
     /* 1079789 */     GIR_EraseRootFromParent_Done,
     /* 1079790 */   // Label 15913: @1079790
     /* 1079790 */   GIM_Try, /*On fail goto*//*Label 15914*/ GIMT_Encode4(1079867), // Rule ID 23624 //
     /* 1079795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079834 */     // MIs[0] policy
     /* 1079834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079863 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079866 */     // GIR_Coverage, 23624,
     /* 1079866 */     GIR_EraseRootFromParent_Done,
     /* 1079867 */   // Label 15914: @1079867
     /* 1079867 */   GIM_Try, /*On fail goto*//*Label 15915*/ GIMT_Encode4(1079944), // Rule ID 23625 //
     /* 1079872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1079875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1079883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1079886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1079889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1079892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1079895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079911 */     // MIs[0] policy
     /* 1079911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079921 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1079921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1079924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1079926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1079928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1079930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1079932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1079937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1079940 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1079942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1079943 */     // GIR_Coverage, 23625,
     /* 1079943 */     GIR_EraseRootFromParent_Done,
     /* 1079944 */   // Label 15915: @1079944
     /* 1079944 */   GIM_Try, /*On fail goto*//*Label 15916*/ GIMT_Encode4(1080021), // Rule ID 23628 //
     /* 1079949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1079952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1079957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1079960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1079963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1079966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1079969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1079972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1079984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1079988 */     // MIs[0] policy
     /* 1079988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1079991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1079998 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1079998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1080001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080017 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080020 */     // GIR_Coverage, 23628,
     /* 1080020 */     GIR_EraseRootFromParent_Done,
     /* 1080021 */   // Label 15916: @1080021
     /* 1080021 */   GIM_Try, /*On fail goto*//*Label 15917*/ GIMT_Encode4(1080098), // Rule ID 23629 //
     /* 1080026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1080037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1080040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1080043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080065 */     // MIs[0] policy
     /* 1080065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080075 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1080078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080094 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080097 */     // GIR_Coverage, 23629,
     /* 1080097 */     GIR_EraseRootFromParent_Done,
     /* 1080098 */   // Label 15917: @1080098
     /* 1080098 */   GIM_Try, /*On fail goto*//*Label 15918*/ GIMT_Encode4(1080175), // Rule ID 23632 //
     /* 1080103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1080114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1080117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1080120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080142 */     // MIs[0] policy
     /* 1080142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080152 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080171 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080174 */     // GIR_Coverage, 23632,
     /* 1080174 */     GIR_EraseRootFromParent_Done,
     /* 1080175 */   // Label 15918: @1080175
     /* 1080175 */   GIM_Try, /*On fail goto*//*Label 15919*/ GIMT_Encode4(1080252), // Rule ID 23633 //
     /* 1080180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1080191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1080194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1080197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080219 */     // MIs[0] policy
     /* 1080219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080229 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11551:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080248 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080251 */     // GIR_Coverage, 23633,
     /* 1080251 */     GIR_EraseRootFromParent_Done,
     /* 1080252 */   // Label 15919: @1080252
     /* 1080252 */   GIM_Try, /*On fail goto*//*Label 15920*/ GIMT_Encode4(1080329), // Rule ID 23636 //
     /* 1080257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1080274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080296 */     // MIs[0] policy
     /* 1080296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080306 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080325 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080328 */     // GIR_Coverage, 23636,
     /* 1080328 */     GIR_EraseRootFromParent_Done,
     /* 1080329 */   // Label 15920: @1080329
     /* 1080329 */   GIM_Try, /*On fail goto*//*Label 15921*/ GIMT_Encode4(1080406), // Rule ID 23637 //
     /* 1080334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1080345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1080348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1080351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080373 */     // MIs[0] policy
     /* 1080373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080383 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080388 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1080402 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080405 */     // GIR_Coverage, 23637,
     /* 1080405 */     GIR_EraseRootFromParent_Done,
     /* 1080406 */   // Label 15921: @1080406
     /* 1080406 */   GIM_Try, /*On fail goto*//*Label 15922*/ GIMT_Encode4(1080483), // Rule ID 23640 //
     /* 1080411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080450 */     // MIs[0] policy
     /* 1080450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080482 */     // GIR_Coverage, 23640,
     /* 1080482 */     GIR_EraseRootFromParent_Done,
     /* 1080483 */   // Label 15922: @1080483
     /* 1080483 */   GIM_Try, /*On fail goto*//*Label 15923*/ GIMT_Encode4(1080560), // Rule ID 23641 //
     /* 1080488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1080499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1080502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1080505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080527 */     // MIs[0] policy
     /* 1080527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080537 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1080556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080559 */     // GIR_Coverage, 23641,
     /* 1080559 */     GIR_EraseRootFromParent_Done,
     /* 1080560 */   // Label 15923: @1080560
     /* 1080560 */   GIM_Try, /*On fail goto*//*Label 15924*/ GIMT_Encode4(1080637), // Rule ID 23644 //
     /* 1080565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1080568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080604 */     // MIs[0] policy
     /* 1080604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080614 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080636 */     // GIR_Coverage, 23644,
     /* 1080636 */     GIR_EraseRootFromParent_Done,
     /* 1080637 */   // Label 15924: @1080637
     /* 1080637 */   GIM_Try, /*On fail goto*//*Label 15925*/ GIMT_Encode4(1080714), // Rule ID 23645 //
     /* 1080642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1080645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1080653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1080656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1080659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1080677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080681 */     // MIs[0] policy
     /* 1080681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1080694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1080710 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080713 */     // GIR_Coverage, 23645,
     /* 1080713 */     GIR_EraseRootFromParent_Done,
     /* 1080714 */   // Label 15925: @1080714
     /* 1080714 */   GIM_Try, /*On fail goto*//*Label 15926*/ GIMT_Encode4(1080791), // Rule ID 23648 //
     /* 1080719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1080730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1080733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1080736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080758 */     // MIs[0] policy
     /* 1080758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080768 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080787 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080790 */     // GIR_Coverage, 23648,
     /* 1080790 */     GIR_EraseRootFromParent_Done,
     /* 1080791 */   // Label 15926: @1080791
     /* 1080791 */   GIM_Try, /*On fail goto*//*Label 15927*/ GIMT_Encode4(1080868), // Rule ID 23649 //
     /* 1080796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1080807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1080810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1080813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1080831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080835 */     // MIs[0] policy
     /* 1080835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080845 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1080848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080864 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080867 */     // GIR_Coverage, 23649,
     /* 1080867 */     GIR_EraseRootFromParent_Done,
     /* 1080868 */   // Label 15927: @1080868
     /* 1080868 */   GIM_Try, /*On fail goto*//*Label 15928*/ GIMT_Encode4(1080945), // Rule ID 23652 //
     /* 1080873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1080876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1080884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1080887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1080890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1080893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1080896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080912 */     // MIs[0] policy
     /* 1080912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080922 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1080922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1080925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1080927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1080929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1080931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1080933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1080938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1080941 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1080943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1080944 */     // GIR_Coverage, 23652,
     /* 1080944 */     GIR_EraseRootFromParent_Done,
     /* 1080945 */   // Label 15928: @1080945
     /* 1080945 */   GIM_Try, /*On fail goto*//*Label 15929*/ GIMT_Encode4(1081022), // Rule ID 23653 //
     /* 1080950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1080953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1080958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1080961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1080964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1080967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1080970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1080973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1080985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1080989 */     // MIs[0] policy
     /* 1080989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1080992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1080999 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1080999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081018 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081021 */     // GIR_Coverage, 23653,
     /* 1081021 */     GIR_EraseRootFromParent_Done,
     /* 1081022 */   // Label 15929: @1081022
     /* 1081022 */   GIM_Try, /*On fail goto*//*Label 15930*/ GIMT_Encode4(1081099), // Rule ID 23656 //
     /* 1081027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1081038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1081041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1081044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081066 */     // MIs[0] policy
     /* 1081066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081076 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081095 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081098 */     // GIR_Coverage, 23656,
     /* 1081098 */     GIR_EraseRootFromParent_Done,
     /* 1081099 */   // Label 15930: @1081099
     /* 1081099 */   GIM_Try, /*On fail goto*//*Label 15931*/ GIMT_Encode4(1081176), // Rule ID 23657 //
     /* 1081104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1081115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1081118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1081121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081143 */     // MIs[0] policy
     /* 1081143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081153 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1081172 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081175 */     // GIR_Coverage, 23657,
     /* 1081175 */     GIR_EraseRootFromParent_Done,
     /* 1081176 */   // Label 15931: @1081176
     /* 1081176 */   GIM_Try, /*On fail goto*//*Label 15932*/ GIMT_Encode4(1081253), // Rule ID 23660 //
     /* 1081181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081220 */     // MIs[0] policy
     /* 1081220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081249 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081252 */     // GIR_Coverage, 23660,
     /* 1081252 */     GIR_EraseRootFromParent_Done,
     /* 1081253 */   // Label 15932: @1081253
     /* 1081253 */   GIM_Try, /*On fail goto*//*Label 15933*/ GIMT_Encode4(1081330), // Rule ID 23661 //
     /* 1081258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1081269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1081272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1081275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081297 */     // MIs[0] policy
     /* 1081297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081307 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081326 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081329 */     // GIR_Coverage, 23661,
     /* 1081329 */     GIR_EraseRootFromParent_Done,
     /* 1081330 */   // Label 15933: @1081330
     /* 1081330 */   GIM_Try, /*On fail goto*//*Label 15934*/ GIMT_Encode4(1081407), // Rule ID 23664 //
     /* 1081335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081374 */     // MIs[0] policy
     /* 1081374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081384 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081403 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081406 */     // GIR_Coverage, 23664,
     /* 1081406 */     GIR_EraseRootFromParent_Done,
     /* 1081407 */   // Label 15934: @1081407
     /* 1081407 */   GIM_Try, /*On fail goto*//*Label 15935*/ GIMT_Encode4(1081484), // Rule ID 23665 //
     /* 1081412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1081423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1081426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1081429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081451 */     // MIs[0] policy
     /* 1081451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081461 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081480 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081483 */     // GIR_Coverage, 23665,
     /* 1081483 */     GIR_EraseRootFromParent_Done,
     /* 1081484 */   // Label 15935: @1081484
     /* 1081484 */   GIM_Try, /*On fail goto*//*Label 15936*/ GIMT_Encode4(1081561), // Rule ID 23668 //
     /* 1081489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081528 */     // MIs[0] policy
     /* 1081528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081538 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081557 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081560 */     // GIR_Coverage, 23668,
     /* 1081560 */     GIR_EraseRootFromParent_Done,
     /* 1081561 */   // Label 15936: @1081561
     /* 1081561 */   GIM_Try, /*On fail goto*//*Label 15937*/ GIMT_Encode4(1081638), // Rule ID 23669 //
     /* 1081566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1081577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1081580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1081583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081605 */     // MIs[0] policy
     /* 1081605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081615 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1081618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1081634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081637 */     // GIR_Coverage, 23669,
     /* 1081637 */     GIR_EraseRootFromParent_Done,
     /* 1081638 */   // Label 15937: @1081638
     /* 1081638 */   GIM_Try, /*On fail goto*//*Label 15938*/ GIMT_Encode4(1081715), // Rule ID 23672 //
     /* 1081643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1081654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1081657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1081660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081682 */     // MIs[0] policy
     /* 1081682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081711 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081714 */     // GIR_Coverage, 23672,
     /* 1081714 */     GIR_EraseRootFromParent_Done,
     /* 1081715 */   // Label 15938: @1081715
     /* 1081715 */   GIM_Try, /*On fail goto*//*Label 15939*/ GIMT_Encode4(1081792), // Rule ID 23673 //
     /* 1081720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1081731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1081734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1081737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1081755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081759 */     // MIs[0] policy
     /* 1081759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081769 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1081772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081791 */     // GIR_Coverage, 23673,
     /* 1081791 */     GIR_EraseRootFromParent_Done,
     /* 1081792 */   // Label 15939: @1081792
     /* 1081792 */   GIM_Try, /*On fail goto*//*Label 15940*/ GIMT_Encode4(1081869), // Rule ID 23676 //
     /* 1081797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081836 */     // MIs[0] policy
     /* 1081836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081846 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1081846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081868 */     // GIR_Coverage, 23676,
     /* 1081868 */     GIR_EraseRootFromParent_Done,
     /* 1081869 */   // Label 15940: @1081869
     /* 1081869 */   GIM_Try, /*On fail goto*//*Label 15941*/ GIMT_Encode4(1081946), // Rule ID 23677 //
     /* 1081874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1081877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1081885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1081888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1081891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1081894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1081897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1081909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081913 */     // MIs[0] policy
     /* 1081913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1081923 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1081923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1081926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1081928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1081930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1081932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1081934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1081939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1081942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1081944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1081945 */     // GIR_Coverage, 23677,
     /* 1081945 */     GIR_EraseRootFromParent_Done,
     /* 1081946 */   // Label 15941: @1081946
     /* 1081946 */   GIM_Try, /*On fail goto*//*Label 15942*/ GIMT_Encode4(1082023), // Rule ID 23680 //
     /* 1081951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1081954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1081959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1081962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1081965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1081968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1081971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1081974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1081986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1081990 */     // MIs[0] policy
     /* 1081990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1081993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082019 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082022 */     // GIR_Coverage, 23680,
     /* 1082022 */     GIR_EraseRootFromParent_Done,
     /* 1082023 */   // Label 15942: @1082023
     /* 1082023 */   GIM_Try, /*On fail goto*//*Label 15943*/ GIMT_Encode4(1082100), // Rule ID 23681 //
     /* 1082028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1082039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1082042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1082045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082067 */     // MIs[0] policy
     /* 1082067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082077 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1082096 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082099 */     // GIR_Coverage, 23681,
     /* 1082099 */     GIR_EraseRootFromParent_Done,
     /* 1082100 */   // Label 15943: @1082100
     /* 1082100 */   GIM_Try, /*On fail goto*//*Label 15944*/ GIMT_Encode4(1082177), // Rule ID 23684 //
     /* 1082105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1082108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082144 */     // MIs[0] policy
     /* 1082144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082154 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082173 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082176 */     // GIR_Coverage, 23684,
     /* 1082176 */     GIR_EraseRootFromParent_Done,
     /* 1082177 */   // Label 15944: @1082177
     /* 1082177 */   GIM_Try, /*On fail goto*//*Label 15945*/ GIMT_Encode4(1082254), // Rule ID 23685 //
     /* 1082182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1082185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1082193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1082196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1082199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1082217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082221 */     // MIs[0] policy
     /* 1082221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1082234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082250 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082253 */     // GIR_Coverage, 23685,
     /* 1082253 */     GIR_EraseRootFromParent_Done,
     /* 1082254 */   // Label 15945: @1082254
     /* 1082254 */   GIM_Try, /*On fail goto*//*Label 15946*/ GIMT_Encode4(1082331), // Rule ID 23688 //
     /* 1082259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1082262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082298 */     // MIs[0] policy
     /* 1082298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082308 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082330 */     // GIR_Coverage, 23688,
     /* 1082330 */     GIR_EraseRootFromParent_Done,
     /* 1082331 */   // Label 15946: @1082331
     /* 1082331 */   GIM_Try, /*On fail goto*//*Label 15947*/ GIMT_Encode4(1082408), // Rule ID 23689 //
     /* 1082336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1082339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1082347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1082350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1082353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1082371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082375 */     // MIs[0] policy
     /* 1082375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082385 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1082388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082404 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082407 */     // GIR_Coverage, 23689,
     /* 1082407 */     GIR_EraseRootFromParent_Done,
     /* 1082408 */   // Label 15947: @1082408
     /* 1082408 */   GIM_Try, /*On fail goto*//*Label 15948*/ GIMT_Encode4(1082485), // Rule ID 23692 //
     /* 1082413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1082416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082452 */     // MIs[0] policy
     /* 1082452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082462 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082481 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082484 */     // GIR_Coverage, 23692,
     /* 1082484 */     GIR_EraseRootFromParent_Done,
     /* 1082485 */   // Label 15948: @1082485
     /* 1082485 */   GIM_Try, /*On fail goto*//*Label 15949*/ GIMT_Encode4(1082562), // Rule ID 23693 //
     /* 1082490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1082493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1082498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1082501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1082504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1082507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1082525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082529 */     // MIs[0] policy
     /* 1082529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082539 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1082542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1082558 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082561 */     // GIR_Coverage, 23693,
     /* 1082561 */     GIR_EraseRootFromParent_Done,
     /* 1082562 */   // Label 15949: @1082562
     /* 1082562 */   GIM_Try, /*On fail goto*//*Label 15950*/ GIMT_Encode4(1082639), // Rule ID 23784 //
     /* 1082567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1082578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1082581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1082584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082606 */     // MIs[0] policy
     /* 1082606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082616 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1082619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082635 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082638 */     // GIR_Coverage, 23784,
     /* 1082638 */     GIR_EraseRootFromParent_Done,
     /* 1082639 */   // Label 15950: @1082639
     /* 1082639 */   GIM_Try, /*On fail goto*//*Label 15951*/ GIMT_Encode4(1082716), // Rule ID 23785 //
     /* 1082644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1082655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1082658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1082661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082683 */     // MIs[0] policy
     /* 1082683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082693 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8),
     /* 1082696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082712 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082715 */     // GIR_Coverage, 23785,
     /* 1082715 */     GIR_EraseRootFromParent_Done,
     /* 1082716 */   // Label 15951: @1082716
     /* 1082716 */   GIM_Try, /*On fail goto*//*Label 15952*/ GIMT_Encode4(1082793), // Rule ID 23788 //
     /* 1082721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1082732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1082735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1082738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082760 */     // MIs[0] policy
     /* 1082760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082770 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082789 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082792 */     // GIR_Coverage, 23788,
     /* 1082792 */     GIR_EraseRootFromParent_Done,
     /* 1082793 */   // Label 15952: @1082793
     /* 1082793 */   GIM_Try, /*On fail goto*//*Label 15953*/ GIMT_Encode4(1082870), // Rule ID 23789 //
     /* 1082798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1082809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1082812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1082815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082837 */     // MIs[0] policy
     /* 1082837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082847 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1082847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1082850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082866 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082868 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082869 */     // GIR_Coverage, 23789,
     /* 1082869 */     GIR_EraseRootFromParent_Done,
     /* 1082870 */   // Label 15953: @1082870
     /* 1082870 */   GIM_Try, /*On fail goto*//*Label 15954*/ GIMT_Encode4(1082947), // Rule ID 23792 //
     /* 1082875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1082878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1082886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1082889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1082892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1082895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1082898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082914 */     // MIs[0] policy
     /* 1082914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1082924 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1082924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1082927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1082929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1082931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1082933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1082935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1082940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1082943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1082945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1082946 */     // GIR_Coverage, 23792,
     /* 1082946 */     GIR_EraseRootFromParent_Done,
     /* 1082947 */   // Label 15954: @1082947
     /* 1082947 */   GIM_Try, /*On fail goto*//*Label 15955*/ GIMT_Encode4(1083024), // Rule ID 23793 //
     /* 1082952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1082955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1082960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1082963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1082966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1082969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1082972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1082975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1082987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1082991 */     // MIs[0] policy
     /* 1082991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1082994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083001 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083023 */     // GIR_Coverage, 23793,
     /* 1083023 */     GIR_EraseRootFromParent_Done,
     /* 1083024 */   // Label 15955: @1083024
     /* 1083024 */   GIM_Try, /*On fail goto*//*Label 15956*/ GIMT_Encode4(1083101), // Rule ID 23796 //
     /* 1083029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083068 */     // MIs[0] policy
     /* 1083068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083078 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083097 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083100 */     // GIR_Coverage, 23796,
     /* 1083100 */     GIR_EraseRootFromParent_Done,
     /* 1083101 */   // Label 15956: @1083101
     /* 1083101 */   GIM_Try, /*On fail goto*//*Label 15957*/ GIMT_Encode4(1083178), // Rule ID 23797 //
     /* 1083106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1083117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1083120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1083123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083145 */     // MIs[0] policy
     /* 1083145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083155 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1083158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083177 */     // GIR_Coverage, 23797,
     /* 1083177 */     GIR_EraseRootFromParent_Done,
     /* 1083178 */   // Label 15957: @1083178
     /* 1083178 */   GIM_Try, /*On fail goto*//*Label 15958*/ GIMT_Encode4(1083255), // Rule ID 23800 //
     /* 1083183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083222 */     // MIs[0] policy
     /* 1083222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083232 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083254 */     // GIR_Coverage, 23800,
     /* 1083254 */     GIR_EraseRootFromParent_Done,
     /* 1083255 */   // Label 15958: @1083255
     /* 1083255 */   GIM_Try, /*On fail goto*//*Label 15959*/ GIMT_Encode4(1083332), // Rule ID 23801 //
     /* 1083260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1083271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1083274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1083277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083299 */     // MIs[0] policy
     /* 1083299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083309 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083328 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083331 */     // GIR_Coverage, 23801,
     /* 1083331 */     GIR_EraseRootFromParent_Done,
     /* 1083332 */   // Label 15959: @1083332
     /* 1083332 */   GIM_Try, /*On fail goto*//*Label 15960*/ GIMT_Encode4(1083409), // Rule ID 23804 //
     /* 1083337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083376 */     // MIs[0] policy
     /* 1083376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083405 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083408 */     // GIR_Coverage, 23804,
     /* 1083408 */     GIR_EraseRootFromParent_Done,
     /* 1083409 */   // Label 15960: @1083409
     /* 1083409 */   GIM_Try, /*On fail goto*//*Label 15961*/ GIMT_Encode4(1083486), // Rule ID 23805 //
     /* 1083414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1083425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1083428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1083431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083453 */     // MIs[0] policy
     /* 1083453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083463 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1083466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083482 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083485 */     // GIR_Coverage, 23805,
     /* 1083485 */     GIR_EraseRootFromParent_Done,
     /* 1083486 */   // Label 15961: @1083486
     /* 1083486 */   GIM_Try, /*On fail goto*//*Label 15962*/ GIMT_Encode4(1083563), // Rule ID 23808 //
     /* 1083491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1083502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1083505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1083508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083530 */     // MIs[0] policy
     /* 1083530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083562 */     // GIR_Coverage, 23808,
     /* 1083562 */     GIR_EraseRootFromParent_Done,
     /* 1083563 */   // Label 15962: @1083563
     /* 1083563 */   GIM_Try, /*On fail goto*//*Label 15963*/ GIMT_Encode4(1083640), // Rule ID 23809 //
     /* 1083568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1083579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1083582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1083585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083607 */     // MIs[0] policy
     /* 1083607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083617 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11549:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1083636 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083639 */     // GIR_Coverage, 23809,
     /* 1083639 */     GIR_EraseRootFromParent_Done,
     /* 1083640 */   // Label 15963: @1083640
     /* 1083640 */   GIM_Try, /*On fail goto*//*Label 15964*/ GIMT_Encode4(1083717), // Rule ID 23812 //
     /* 1083645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083684 */     // MIs[0] policy
     /* 1083684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083713 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083716 */     // GIR_Coverage, 23812,
     /* 1083716 */     GIR_EraseRootFromParent_Done,
     /* 1083717 */   // Label 15964: @1083717
     /* 1083717 */   GIM_Try, /*On fail goto*//*Label 15965*/ GIMT_Encode4(1083794), // Rule ID 23813 //
     /* 1083722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1083733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1083736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1083739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083761 */     // MIs[0] policy
     /* 1083761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083771 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1083790 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083793 */     // GIR_Coverage, 23813,
     /* 1083793 */     GIR_EraseRootFromParent_Done,
     /* 1083794 */   // Label 15965: @1083794
     /* 1083794 */   GIM_Try, /*On fail goto*//*Label 15966*/ GIMT_Encode4(1083871), // Rule ID 23816 //
     /* 1083799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1083802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083838 */     // MIs[0] policy
     /* 1083838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083848 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1083848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083867 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083870 */     // GIR_Coverage, 23816,
     /* 1083870 */     GIR_EraseRootFromParent_Done,
     /* 1083871 */   // Label 15966: @1083871
     /* 1083871 */   GIM_Try, /*On fail goto*//*Label 15967*/ GIMT_Encode4(1083948), // Rule ID 23817 //
     /* 1083876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1083879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1083887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1083890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1083893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1083896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1083899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083915 */     // MIs[0] policy
     /* 1083915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1083925 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1083925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1083928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1083930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1083932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1083934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1083936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1083941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1083944 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1083946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1083947 */     // GIR_Coverage, 23817,
     /* 1083947 */     GIR_EraseRootFromParent_Done,
     /* 1083948 */   // Label 15967: @1083948
     /* 1083948 */   GIM_Try, /*On fail goto*//*Label 15968*/ GIMT_Encode4(1084025), // Rule ID 23820 //
     /* 1083953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1083956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1083961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1083964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1083967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1083970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1083973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1083976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1083988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1083992 */     // MIs[0] policy
     /* 1083992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1083995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084002 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084021 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084024 */     // GIR_Coverage, 23820,
     /* 1084024 */     GIR_EraseRootFromParent_Done,
     /* 1084025 */   // Label 15968: @1084025
     /* 1084025 */   GIM_Try, /*On fail goto*//*Label 15969*/ GIMT_Encode4(1084102), // Rule ID 23821 //
     /* 1084030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1084033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1084041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1084044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1084047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1084065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084069 */     // MIs[0] policy
     /* 1084069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084079 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1084082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1084098 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084101 */     // GIR_Coverage, 23821,
     /* 1084101 */     GIR_EraseRootFromParent_Done,
     /* 1084102 */   // Label 15969: @1084102
     /* 1084102 */   GIM_Try, /*On fail goto*//*Label 15970*/ GIMT_Encode4(1084179), // Rule ID 23824 //
     /* 1084107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1084118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1084121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1084124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084146 */     // MIs[0] policy
     /* 1084146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084156 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084175 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084178 */     // GIR_Coverage, 23824,
     /* 1084178 */     GIR_EraseRootFromParent_Done,
     /* 1084179 */   // Label 15970: @1084179
     /* 1084179 */   GIM_Try, /*On fail goto*//*Label 15971*/ GIMT_Encode4(1084256), // Rule ID 23825 //
     /* 1084184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1084195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1084198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1084201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084223 */     // MIs[0] policy
     /* 1084223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084233 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084252 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084255 */     // GIR_Coverage, 23825,
     /* 1084255 */     GIR_EraseRootFromParent_Done,
     /* 1084256 */   // Label 15971: @1084256
     /* 1084256 */   GIM_Try, /*On fail goto*//*Label 15972*/ GIMT_Encode4(1084333), // Rule ID 23828 //
     /* 1084261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1084272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1084275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1084278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084300 */     // MIs[0] policy
     /* 1084300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084310 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084329 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084332 */     // GIR_Coverage, 23828,
     /* 1084332 */     GIR_EraseRootFromParent_Done,
     /* 1084333 */   // Label 15972: @1084333
     /* 1084333 */   GIM_Try, /*On fail goto*//*Label 15973*/ GIMT_Encode4(1084410), // Rule ID 23829 //
     /* 1084338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1084349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1084352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1084355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084377 */     // MIs[0] policy
     /* 1084377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084387 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084409 */     // GIR_Coverage, 23829,
     /* 1084409 */     GIR_EraseRootFromParent_Done,
     /* 1084410 */   // Label 15973: @1084410
     /* 1084410 */   GIM_Try, /*On fail goto*//*Label 15974*/ GIMT_Encode4(1084487), // Rule ID 23832 //
     /* 1084415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1084426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1084429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1084432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084454 */     // MIs[0] policy
     /* 1084454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084464 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084486 */     // GIR_Coverage, 23832,
     /* 1084486 */     GIR_EraseRootFromParent_Done,
     /* 1084487 */   // Label 15974: @1084487
     /* 1084487 */   GIM_Try, /*On fail goto*//*Label 15975*/ GIMT_Encode4(1084564), // Rule ID 23833 //
     /* 1084492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1084503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1084506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1084509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084531 */     // MIs[0] policy
     /* 1084531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084541 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1084560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084563 */     // GIR_Coverage, 23833,
     /* 1084563 */     GIR_EraseRootFromParent_Done,
     /* 1084564 */   // Label 15975: @1084564
     /* 1084564 */   GIM_Try, /*On fail goto*//*Label 15976*/ GIMT_Encode4(1084641), // Rule ID 23836 //
     /* 1084569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084608 */     // MIs[0] policy
     /* 1084608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084640 */     // GIR_Coverage, 23836,
     /* 1084640 */     GIR_EraseRootFromParent_Done,
     /* 1084641 */   // Label 15976: @1084641
     /* 1084641 */   GIM_Try, /*On fail goto*//*Label 15977*/ GIMT_Encode4(1084718), // Rule ID 23837 //
     /* 1084646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1084657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1084660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1084663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1084681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084685 */     // MIs[0] policy
     /* 1084685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084695 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1084698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084714 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084716 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084717 */     // GIR_Coverage, 23837,
     /* 1084717 */     GIR_EraseRootFromParent_Done,
     /* 1084718 */   // Label 15977: @1084718
     /* 1084718 */   GIM_Try, /*On fail goto*//*Label 15978*/ GIMT_Encode4(1084795), // Rule ID 23840 //
     /* 1084723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084762 */     // MIs[0] policy
     /* 1084762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084772 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084791 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084794 */     // GIR_Coverage, 23840,
     /* 1084794 */     GIR_EraseRootFromParent_Done,
     /* 1084795 */   // Label 15978: @1084795
     /* 1084795 */   GIM_Try, /*On fail goto*//*Label 15979*/ GIMT_Encode4(1084872), // Rule ID 23841 //
     /* 1084800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1084811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1084814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1084817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1084835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084839 */     // MIs[0] policy
     /* 1084839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084849 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1084849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1084852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084868 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084871 */     // GIR_Coverage, 23841,
     /* 1084871 */     GIR_EraseRootFromParent_Done,
     /* 1084872 */   // Label 15979: @1084872
     /* 1084872 */   GIM_Try, /*On fail goto*//*Label 15980*/ GIMT_Encode4(1084949), // Rule ID 23844 //
     /* 1084877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1084880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1084897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1084900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084916 */     // MIs[0] policy
     /* 1084916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1084926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1084926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1084929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1084931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1084933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1084935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1084937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1084942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1084945 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1084947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1084948 */     // GIR_Coverage, 23844,
     /* 1084948 */     GIR_EraseRootFromParent_Done,
     /* 1084949 */   // Label 15980: @1084949
     /* 1084949 */   GIM_Try, /*On fail goto*//*Label 15981*/ GIMT_Encode4(1085026), // Rule ID 23845 //
     /* 1084954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1084957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1084962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1084965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1084968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1084971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1084974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1084977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1084989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1084993 */     // MIs[0] policy
     /* 1084993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1084996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085003 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1085022 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085025 */     // GIR_Coverage, 23845,
     /* 1085025 */     GIR_EraseRootFromParent_Done,
     /* 1085026 */   // Label 15981: @1085026
     /* 1085026 */   GIM_Try, /*On fail goto*//*Label 15982*/ GIMT_Encode4(1085103), // Rule ID 23848 //
     /* 1085031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085070 */     // MIs[0] policy
     /* 1085070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085099 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085102 */     // GIR_Coverage, 23848,
     /* 1085102 */     GIR_EraseRootFromParent_Done,
     /* 1085103 */   // Label 15982: @1085103
     /* 1085103 */   GIM_Try, /*On fail goto*//*Label 15983*/ GIMT_Encode4(1085180), // Rule ID 23849 //
     /* 1085108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1085119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1085122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1085125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085147 */     // MIs[0] policy
     /* 1085147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085157 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085176 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085179 */     // GIR_Coverage, 23849,
     /* 1085179 */     GIR_EraseRootFromParent_Done,
     /* 1085180 */   // Label 15983: @1085180
     /* 1085180 */   GIM_Try, /*On fail goto*//*Label 15984*/ GIMT_Encode4(1085257), // Rule ID 23852 //
     /* 1085185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085224 */     // MIs[0] policy
     /* 1085224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085253 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085256 */     // GIR_Coverage, 23852,
     /* 1085256 */     GIR_EraseRootFromParent_Done,
     /* 1085257 */   // Label 15984: @1085257
     /* 1085257 */   GIM_Try, /*On fail goto*//*Label 15985*/ GIMT_Encode4(1085334), // Rule ID 23853 //
     /* 1085262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1085273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1085276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1085279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085301 */     // MIs[0] policy
     /* 1085301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085311 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085330 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085333 */     // GIR_Coverage, 23853,
     /* 1085333 */     GIR_EraseRootFromParent_Done,
     /* 1085334 */   // Label 15985: @1085334
     /* 1085334 */   GIM_Try, /*On fail goto*//*Label 15986*/ GIMT_Encode4(1085411), // Rule ID 23856 //
     /* 1085339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1085342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085378 */     // MIs[0] policy
     /* 1085378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085388 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085410 */     // GIR_Coverage, 23856,
     /* 1085410 */     GIR_EraseRootFromParent_Done,
     /* 1085411 */   // Label 15986: @1085411
     /* 1085411 */   GIM_Try, /*On fail goto*//*Label 15987*/ GIMT_Encode4(1085488), // Rule ID 23857 //
     /* 1085416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1085419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1085427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1085430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1085433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085455 */     // MIs[0] policy
     /* 1085455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085465 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1085484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085487 */     // GIR_Coverage, 23857,
     /* 1085487 */     GIR_EraseRootFromParent_Done,
     /* 1085488 */   // Label 15987: @1085488
     /* 1085488 */   GIM_Try, /*On fail goto*//*Label 15988*/ GIMT_Encode4(1085565), // Rule ID 23860 //
     /* 1085493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1085496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085532 */     // MIs[0] policy
     /* 1085532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085542 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085564 */     // GIR_Coverage, 23860,
     /* 1085564 */     GIR_EraseRootFromParent_Done,
     /* 1085565 */   // Label 15988: @1085565
     /* 1085565 */   GIM_Try, /*On fail goto*//*Label 15989*/ GIMT_Encode4(1085642), // Rule ID 23861 //
     /* 1085570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1085573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1085581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1085584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1085587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1085605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085609 */     // MIs[0] policy
     /* 1085609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085619 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1085622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085638 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085641 */     // GIR_Coverage, 23861,
     /* 1085641 */     GIR_EraseRootFromParent_Done,
     /* 1085642 */   // Label 15989: @1085642
     /* 1085642 */   GIM_Try, /*On fail goto*//*Label 15990*/ GIMT_Encode4(1085719), // Rule ID 23864 //
     /* 1085647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1085650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085686 */     // MIs[0] policy
     /* 1085686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085696 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085715 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085718 */     // GIR_Coverage, 23864,
     /* 1085718 */     GIR_EraseRootFromParent_Done,
     /* 1085719 */   // Label 15990: @1085719
     /* 1085719 */   GIM_Try, /*On fail goto*//*Label 15991*/ GIMT_Encode4(1085796), // Rule ID 23865 //
     /* 1085724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1085727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1085735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1085738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1085741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1085759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085763 */     // MIs[0] policy
     /* 1085763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085773 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1085776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085795 */     // GIR_Coverage, 23865,
     /* 1085795 */     GIR_EraseRootFromParent_Done,
     /* 1085796 */   // Label 15991: @1085796
     /* 1085796 */   GIM_Try, /*On fail goto*//*Label 15992*/ GIMT_Encode4(1085873), // Rule ID 23868 //
     /* 1085801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1085804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085840 */     // MIs[0] policy
     /* 1085840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1085850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085872 */     // GIR_Coverage, 23868,
     /* 1085872 */     GIR_EraseRootFromParent_Done,
     /* 1085873 */   // Label 15992: @1085873
     /* 1085873 */   GIM_Try, /*On fail goto*//*Label 15993*/ GIMT_Encode4(1085950), // Rule ID 23869 //
     /* 1085878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1085881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1085886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1085889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1085892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1085895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1085898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1085901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1085913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085917 */     // MIs[0] policy
     /* 1085917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1085927 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1085927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1085930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1085932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1085934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1085936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1085938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1085943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1085946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1085948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1085949 */     // GIR_Coverage, 23869,
     /* 1085949 */     GIR_EraseRootFromParent_Done,
     /* 1085950 */   // Label 15993: @1085950
     /* 1085950 */   GIM_Try, /*On fail goto*//*Label 15994*/ GIMT_Encode4(1086027), // Rule ID 24136 //
     /* 1085955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1085958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1085963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1085966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1085969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1085972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1085975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1085978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1085990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1085994 */     // MIs[0] policy
     /* 1085994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1085997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086004 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1086007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086023 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086026 */     // GIR_Coverage, 24136,
     /* 1086026 */     GIR_EraseRootFromParent_Done,
     /* 1086027 */   // Label 15994: @1086027
     /* 1086027 */   GIM_Try, /*On fail goto*//*Label 15995*/ GIMT_Encode4(1086104), // Rule ID 24137 //
     /* 1086032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1086035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1086043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1086046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1086049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086071 */     // MIs[0] policy
     /* 1086071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086081 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4),
     /* 1086084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086100 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086103 */     // GIR_Coverage, 24137,
     /* 1086103 */     GIR_EraseRootFromParent_Done,
     /* 1086104 */   // Label 15995: @1086104
     /* 1086104 */   GIM_Try, /*On fail goto*//*Label 15996*/ GIMT_Encode4(1086181), // Rule ID 24140 //
     /* 1086109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1086112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086148 */     // MIs[0] policy
     /* 1086148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086158 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1086161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086177 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086180 */     // GIR_Coverage, 24140,
     /* 1086180 */     GIR_EraseRootFromParent_Done,
     /* 1086181 */   // Label 15996: @1086181
     /* 1086181 */   GIM_Try, /*On fail goto*//*Label 15997*/ GIMT_Encode4(1086258), // Rule ID 24141 //
     /* 1086186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1086189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1086197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1086200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1086203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086225 */     // MIs[0] policy
     /* 1086225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086235 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1086238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086254 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086257 */     // GIR_Coverage, 24141,
     /* 1086257 */     GIR_EraseRootFromParent_Done,
     /* 1086258 */   // Label 15997: @1086258
     /* 1086258 */   GIM_Try, /*On fail goto*//*Label 15998*/ GIMT_Encode4(1086335), // Rule ID 24144 //
     /* 1086263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1086266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086302 */     // MIs[0] policy
     /* 1086302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086312 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1086315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086331 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086334 */     // GIR_Coverage, 24144,
     /* 1086334 */     GIR_EraseRootFromParent_Done,
     /* 1086335 */   // Label 15998: @1086335
     /* 1086335 */   GIM_Try, /*On fail goto*//*Label 15999*/ GIMT_Encode4(1086412), // Rule ID 24145 //
     /* 1086340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1086343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1086351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1086354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1086357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086379 */     // MIs[0] policy
     /* 1086379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086389 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2),
     /* 1086392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086408 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086411 */     // GIR_Coverage, 24145,
     /* 1086411 */     GIR_EraseRootFromParent_Done,
     /* 1086412 */   // Label 15999: @1086412
     /* 1086412 */   GIM_Try, /*On fail goto*//*Label 16000*/ GIMT_Encode4(1086489), // Rule ID 24148 //
     /* 1086417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1086420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086456 */     // MIs[0] policy
     /* 1086456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086466 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086485 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086488 */     // GIR_Coverage, 24148,
     /* 1086488 */     GIR_EraseRootFromParent_Done,
     /* 1086489 */   // Label 16000: @1086489
     /* 1086489 */   GIM_Try, /*On fail goto*//*Label 16001*/ GIMT_Encode4(1086566), // Rule ID 24149 //
     /* 1086494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1086497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1086505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1086508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1086511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086533 */     // MIs[0] policy
     /* 1086533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086543 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11551:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086565 */     // GIR_Coverage, 24149,
     /* 1086565 */     GIR_EraseRootFromParent_Done,
     /* 1086566 */   // Label 16001: @1086566
     /* 1086566 */   GIM_Try, /*On fail goto*//*Label 16002*/ GIMT_Encode4(1086643), // Rule ID 24152 //
     /* 1086571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1086574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1086582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1086585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1086588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086610 */     // MIs[0] policy
     /* 1086610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086620 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086639 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086642 */     // GIR_Coverage, 24152,
     /* 1086642 */     GIR_EraseRootFromParent_Done,
     /* 1086643 */   // Label 16002: @1086643
     /* 1086643 */   GIM_Try, /*On fail goto*//*Label 16003*/ GIMT_Encode4(1086720), // Rule ID 24153 //
     /* 1086648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1086651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1086659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1086662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1086665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086687 */     // MIs[0] policy
     /* 1086687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086697 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11551:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1086716 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086719 */     // GIR_Coverage, 24153,
     /* 1086719 */     GIR_EraseRootFromParent_Done,
     /* 1086720 */   // Label 16003: @1086720
     /* 1086720 */   GIM_Try, /*On fail goto*//*Label 16004*/ GIMT_Encode4(1086797), // Rule ID 24156 //
     /* 1086725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1086728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086764 */     // MIs[0] policy
     /* 1086764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086774 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086796 */     // GIR_Coverage, 24156,
     /* 1086796 */     GIR_EraseRootFromParent_Done,
     /* 1086797 */   // Label 16004: @1086797
     /* 1086797 */   GIM_Try, /*On fail goto*//*Label 16005*/ GIMT_Encode4(1086874), // Rule ID 24157 //
     /* 1086802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1086805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1086813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1086816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1086819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1086837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086841 */     // MIs[0] policy
     /* 1086841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086851 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11551:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1086851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1),
     /* 1086854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1086870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086873 */     // GIR_Coverage, 24157,
     /* 1086873 */     GIR_EraseRootFromParent_Done,
     /* 1086874 */   // Label 16005: @1086874
     /* 1086874 */   GIM_Try, /*On fail goto*//*Label 16006*/ GIMT_Encode4(1086951), // Rule ID 24160 //
     /* 1086879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1086882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1086890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1086893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1086899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1086902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086918 */     // MIs[0] policy
     /* 1086918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1086928 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1086928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1086931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1086933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1086935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1086937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1086939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1086944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1086947 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1086949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1086950 */     // GIR_Coverage, 24160,
     /* 1086950 */     GIR_EraseRootFromParent_Done,
     /* 1086951 */   // Label 16006: @1086951
     /* 1086951 */   GIM_Try, /*On fail goto*//*Label 16007*/ GIMT_Encode4(1087028), // Rule ID 24161 //
     /* 1086956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1086959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1086964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1086967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1086970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1086973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1086976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1086979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1086991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1086995 */     // MIs[0] policy
     /* 1086995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1086998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087005 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087024 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087027 */     // GIR_Coverage, 24161,
     /* 1087027 */     GIR_EraseRootFromParent_Done,
     /* 1087028 */   // Label 16007: @1087028
     /* 1087028 */   GIM_Try, /*On fail goto*//*Label 16008*/ GIMT_Encode4(1087105), // Rule ID 24164 //
     /* 1087033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1087036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1087044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1087047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1087050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087072 */     // MIs[0] policy
     /* 1087072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087082 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087101 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087104 */     // GIR_Coverage, 24164,
     /* 1087104 */     GIR_EraseRootFromParent_Done,
     /* 1087105 */   // Label 16008: @1087105
     /* 1087105 */   GIM_Try, /*On fail goto*//*Label 16009*/ GIMT_Encode4(1087182), // Rule ID 24165 //
     /* 1087110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1087113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1087121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1087124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1087127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087149 */     // MIs[0] policy
     /* 1087149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087159 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087178 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087181 */     // GIR_Coverage, 24165,
     /* 1087181 */     GIR_EraseRootFromParent_Done,
     /* 1087182 */   // Label 16009: @1087182
     /* 1087182 */   GIM_Try, /*On fail goto*//*Label 16010*/ GIMT_Encode4(1087259), // Rule ID 24168 //
     /* 1087187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1087190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1087198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1087201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1087204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087226 */     // MIs[0] policy
     /* 1087226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087236 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087258 */     // GIR_Coverage, 24168,
     /* 1087258 */     GIR_EraseRootFromParent_Done,
     /* 1087259 */   // Label 16010: @1087259
     /* 1087259 */   GIM_Try, /*On fail goto*//*Label 16011*/ GIMT_Encode4(1087336), // Rule ID 24169 //
     /* 1087264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1087267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1087275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1087278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1087281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087303 */     // MIs[0] policy
     /* 1087303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087313 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1087332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087335 */     // GIR_Coverage, 24169,
     /* 1087335 */     GIR_EraseRootFromParent_Done,
     /* 1087336 */   // Label 16011: @1087336
     /* 1087336 */   GIM_Try, /*On fail goto*//*Label 16012*/ GIMT_Encode4(1087413), // Rule ID 24172 //
     /* 1087341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1087344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1087352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1087355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1087358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087380 */     // MIs[0] policy
     /* 1087380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087390 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087409 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087412 */     // GIR_Coverage, 24172,
     /* 1087412 */     GIR_EraseRootFromParent_Done,
     /* 1087413 */   // Label 16012: @1087413
     /* 1087413 */   GIM_Try, /*On fail goto*//*Label 16013*/ GIMT_Encode4(1087490), // Rule ID 24173 //
     /* 1087418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1087421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1087429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1087432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1087435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087457 */     // MIs[0] policy
     /* 1087457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087467 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087486 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087489 */     // GIR_Coverage, 24173,
     /* 1087489 */     GIR_EraseRootFromParent_Done,
     /* 1087490 */   // Label 16013: @1087490
     /* 1087490 */   GIM_Try, /*On fail goto*//*Label 16014*/ GIMT_Encode4(1087567), // Rule ID 24176 //
     /* 1087495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1087498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1087506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1087509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1087512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087534 */     // MIs[0] policy
     /* 1087534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087544 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087563 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087566 */     // GIR_Coverage, 24176,
     /* 1087566 */     GIR_EraseRootFromParent_Done,
     /* 1087567 */   // Label 16014: @1087567
     /* 1087567 */   GIM_Try, /*On fail goto*//*Label 16015*/ GIMT_Encode4(1087644), // Rule ID 24177 //
     /* 1087572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1087575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1087583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1087586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1087589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087611 */     // MIs[0] policy
     /* 1087611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087621 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1087624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087640 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087643 */     // GIR_Coverage, 24177,
     /* 1087643 */     GIR_EraseRootFromParent_Done,
     /* 1087644 */   // Label 16015: @1087644
     /* 1087644 */   GIM_Try, /*On fail goto*//*Label 16016*/ GIMT_Encode4(1087721), // Rule ID 24180 //
     /* 1087649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1087652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1087660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1087663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1087666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087688 */     // MIs[0] policy
     /* 1087688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087698 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087717 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087720 */     // GIR_Coverage, 24180,
     /* 1087720 */     GIR_EraseRootFromParent_Done,
     /* 1087721 */   // Label 16016: @1087721
     /* 1087721 */   GIM_Try, /*On fail goto*//*Label 16017*/ GIMT_Encode4(1087798), // Rule ID 24181 //
     /* 1087726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1087729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1087737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1087740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1087743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1087761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087765 */     // MIs[0] policy
     /* 1087765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087775 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1087778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1087794 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087797 */     // GIR_Coverage, 24181,
     /* 1087797 */     GIR_EraseRootFromParent_Done,
     /* 1087798 */   // Label 16017: @1087798
     /* 1087798 */   GIM_Try, /*On fail goto*//*Label 16018*/ GIMT_Encode4(1087875), // Rule ID 24184 //
     /* 1087803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1087806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1087814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1087817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1087820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087842 */     // MIs[0] policy
     /* 1087842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087852 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1087852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087874 */     // GIR_Coverage, 24184,
     /* 1087874 */     GIR_EraseRootFromParent_Done,
     /* 1087875 */   // Label 16018: @1087875
     /* 1087875 */   GIM_Try, /*On fail goto*//*Label 16019*/ GIMT_Encode4(1087952), // Rule ID 24185 //
     /* 1087880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1087883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1087891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1087894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1087897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1087900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1087903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1087915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087919 */     // MIs[0] policy
     /* 1087919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1087929 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11551:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1087929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2),
     /* 1087932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1087934 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1087936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1087938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1087940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1087945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1087948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1087950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1087951 */     // GIR_Coverage, 24185,
     /* 1087951 */     GIR_EraseRootFromParent_Done,
     /* 1087952 */   // Label 16019: @1087952
     /* 1087952 */   GIM_Try, /*On fail goto*//*Label 16020*/ GIMT_Encode4(1088029), // Rule ID 24188 //
     /* 1087957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1087960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1087965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1087968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1087971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1087974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1087977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1087980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1087992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1087996 */     // MIs[0] policy
     /* 1087996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1087999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088006 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1088009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088025 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088028 */     // GIR_Coverage, 24188,
     /* 1088028 */     GIR_EraseRootFromParent_Done,
     /* 1088029 */   // Label 16020: @1088029
     /* 1088029 */   GIM_Try, /*On fail goto*//*Label 16021*/ GIMT_Encode4(1088106), // Rule ID 24189 //
     /* 1088034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1088037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1088042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1088045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1088048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1088051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1088069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088073 */     // MIs[0] policy
     /* 1088073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088083 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11551:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4),
     /* 1088086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088102 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088105 */     // GIR_Coverage, 24189,
     /* 1088105 */     GIR_EraseRootFromParent_Done,
     /* 1088106 */   // Label 16021: @1088106
     /* 1088106 */   GIM_Try, /*On fail goto*//*Label 16022*/ GIMT_Encode4(1088183), // Rule ID 24192 //
     /* 1088111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1088114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1088119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1088122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1088125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1088128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088150 */     // MIs[0] policy
     /* 1088150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088160 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1088163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088179 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088182 */     // GIR_Coverage, 24192,
     /* 1088182 */     GIR_EraseRootFromParent_Done,
     /* 1088183 */   // Label 16022: @1088183
     /* 1088183 */   GIM_Try, /*On fail goto*//*Label 16023*/ GIMT_Encode4(1088260), // Rule ID 24193 //
     /* 1088188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1088191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup),
     /* 1088196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1088199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1088202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1088205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1088223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088227 */     // MIs[0] policy
     /* 1088227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088237 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11551:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8),
     /* 1088240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1088256 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088259 */     // GIR_Coverage, 24193,
     /* 1088259 */     GIR_EraseRootFromParent_Done,
     /* 1088260 */   // Label 16023: @1088260
     /* 1088260 */   GIM_Try, /*On fail goto*//*Label 16024*/ GIMT_Encode4(1088337), // Rule ID 24256 //
     /* 1088265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1088268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1088276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1088279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1088282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088304 */     // MIs[0] policy
     /* 1088304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088314 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1088317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088333 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088336 */     // GIR_Coverage, 24256,
     /* 1088336 */     GIR_EraseRootFromParent_Done,
     /* 1088337 */   // Label 16024: @1088337
     /* 1088337 */   GIM_Try, /*On fail goto*//*Label 16025*/ GIMT_Encode4(1088414), // Rule ID 24257 //
     /* 1088342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1088345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1088353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1088356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1088359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088381 */     // MIs[0] policy
     /* 1088381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088391 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4),
     /* 1088394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088413 */     // GIR_Coverage, 24257,
     /* 1088413 */     GIR_EraseRootFromParent_Done,
     /* 1088414 */   // Label 16025: @1088414
     /* 1088414 */   GIM_Try, /*On fail goto*//*Label 16026*/ GIMT_Encode4(1088491), // Rule ID 24260 //
     /* 1088419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1088422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1088430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1088433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1088436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088458 */     // MIs[0] policy
     /* 1088458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088468 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1088471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088490 */     // GIR_Coverage, 24260,
     /* 1088490 */     GIR_EraseRootFromParent_Done,
     /* 1088491 */   // Label 16026: @1088491
     /* 1088491 */   GIM_Try, /*On fail goto*//*Label 16027*/ GIMT_Encode4(1088568), // Rule ID 24261 //
     /* 1088496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1088499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1088507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1088510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1088513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088535 */     // MIs[0] policy
     /* 1088535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088545 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1088548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088564 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088567 */     // GIR_Coverage, 24261,
     /* 1088567 */     GIR_EraseRootFromParent_Done,
     /* 1088568 */   // Label 16027: @1088568
     /* 1088568 */   GIM_Try, /*On fail goto*//*Label 16028*/ GIMT_Encode4(1088645), // Rule ID 24264 //
     /* 1088573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1088576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1088584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1088587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1088590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088612 */     // MIs[0] policy
     /* 1088612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088622 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1088625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088641 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088644 */     // GIR_Coverage, 24264,
     /* 1088644 */     GIR_EraseRootFromParent_Done,
     /* 1088645 */   // Label 16028: @1088645
     /* 1088645 */   GIM_Try, /*On fail goto*//*Label 16029*/ GIMT_Encode4(1088722), // Rule ID 24265 //
     /* 1088650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1088653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1088661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1088664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1088667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088689 */     // MIs[0] policy
     /* 1088689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088699 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2),
     /* 1088702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088718 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088721 */     // GIR_Coverage, 24265,
     /* 1088721 */     GIR_EraseRootFromParent_Done,
     /* 1088722 */   // Label 16029: @1088722
     /* 1088722 */   GIM_Try, /*On fail goto*//*Label 16030*/ GIMT_Encode4(1088799), // Rule ID 24268 //
     /* 1088727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1088730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1088738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1088741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1088744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088766 */     // MIs[0] policy
     /* 1088766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088776 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088795 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088798 */     // GIR_Coverage, 24268,
     /* 1088798 */     GIR_EraseRootFromParent_Done,
     /* 1088799 */   // Label 16030: @1088799
     /* 1088799 */   GIM_Try, /*On fail goto*//*Label 16031*/ GIMT_Encode4(1088876), // Rule ID 24269 //
     /* 1088804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1088807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1088815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1088818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1088821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088843 */     // MIs[0] policy
     /* 1088843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088853 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11549:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1088853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1088872 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088875 */     // GIR_Coverage, 24269,
     /* 1088875 */     GIR_EraseRootFromParent_Done,
     /* 1088876 */   // Label 16031: @1088876
     /* 1088876 */   GIM_Try, /*On fail goto*//*Label 16032*/ GIMT_Encode4(1088953), // Rule ID 24272 //
     /* 1088881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1088884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1088898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1088901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1088904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088920 */     // MIs[0] policy
     /* 1088920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1088923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1088930 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1088930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1088933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1088935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1088937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1088939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1088941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1088946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1088949 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1088951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1088952 */     // GIR_Coverage, 24272,
     /* 1088952 */     GIR_EraseRootFromParent_Done,
     /* 1088953 */   // Label 16032: @1088953
     /* 1088953 */   GIM_Try, /*On fail goto*//*Label 16033*/ GIMT_Encode4(1089030), // Rule ID 24273 //
     /* 1088958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1088961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1088966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1088969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1088972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1088975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1088978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1088981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1088993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1088997 */     // MIs[0] policy
     /* 1088997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089007 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11549:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1089010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089026 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089029 */     // GIR_Coverage, 24273,
     /* 1089029 */     GIR_EraseRootFromParent_Done,
     /* 1089030 */   // Label 16033: @1089030
     /* 1089030 */   GIM_Try, /*On fail goto*//*Label 16034*/ GIMT_Encode4(1089107), // Rule ID 24276 //
     /* 1089035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1089038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089074 */     // MIs[0] policy
     /* 1089074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089084 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1089087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089103 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089106 */     // GIR_Coverage, 24276,
     /* 1089106 */     GIR_EraseRootFromParent_Done,
     /* 1089107 */   // Label 16034: @1089107
     /* 1089107 */   GIM_Try, /*On fail goto*//*Label 16035*/ GIMT_Encode4(1089184), // Rule ID 24277 //
     /* 1089112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1089115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1089123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1089126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1089129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1089147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089151 */     // MIs[0] policy
     /* 1089151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089161 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11549:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1),
     /* 1089164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1089180 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089183 */     // GIR_Coverage, 24277,
     /* 1089183 */     GIR_EraseRootFromParent_Done,
     /* 1089184 */   // Label 16035: @1089184
     /* 1089184 */   GIM_Try, /*On fail goto*//*Label 16036*/ GIMT_Encode4(1089261), // Rule ID 24280 //
     /* 1089189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1089192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1089200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1089203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1089206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089228 */     // MIs[0] policy
     /* 1089228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089238 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089260 */     // GIR_Coverage, 24280,
     /* 1089260 */     GIR_EraseRootFromParent_Done,
     /* 1089261 */   // Label 16036: @1089261
     /* 1089261 */   GIM_Try, /*On fail goto*//*Label 16037*/ GIMT_Encode4(1089338), // Rule ID 24281 //
     /* 1089266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1089269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1089277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1089280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1089283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089305 */     // MIs[0] policy
     /* 1089305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089315 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089337 */     // GIR_Coverage, 24281,
     /* 1089337 */     GIR_EraseRootFromParent_Done,
     /* 1089338 */   // Label 16037: @1089338
     /* 1089338 */   GIM_Try, /*On fail goto*//*Label 16038*/ GIMT_Encode4(1089415), // Rule ID 24284 //
     /* 1089343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1089346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1089354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1089357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1089360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089382 */     // MIs[0] policy
     /* 1089382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089392 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089414 */     // GIR_Coverage, 24284,
     /* 1089414 */     GIR_EraseRootFromParent_Done,
     /* 1089415 */   // Label 16038: @1089415
     /* 1089415 */   GIM_Try, /*On fail goto*//*Label 16039*/ GIMT_Encode4(1089492), // Rule ID 24285 //
     /* 1089420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1089423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1089431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1089434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1089437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089459 */     // MIs[0] policy
     /* 1089459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089469 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089474 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089488 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089491 */     // GIR_Coverage, 24285,
     /* 1089491 */     GIR_EraseRootFromParent_Done,
     /* 1089492 */   // Label 16039: @1089492
     /* 1089492 */   GIM_Try, /*On fail goto*//*Label 16040*/ GIMT_Encode4(1089569), // Rule ID 24288 //
     /* 1089497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1089500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1089508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1089511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1089514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089536 */     // MIs[0] policy
     /* 1089536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089546 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089568 */     // GIR_Coverage, 24288,
     /* 1089568 */     GIR_EraseRootFromParent_Done,
     /* 1089569 */   // Label 16040: @1089569
     /* 1089569 */   GIM_Try, /*On fail goto*//*Label 16041*/ GIMT_Encode4(1089646), // Rule ID 24289 //
     /* 1089574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1089577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1089585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1089588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1089591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089613 */     // MIs[0] policy
     /* 1089613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089623 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1089626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1089642 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089644 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089645 */     // GIR_Coverage, 24289,
     /* 1089645 */     GIR_EraseRootFromParent_Done,
     /* 1089646 */   // Label 16041: @1089646
     /* 1089646 */   GIM_Try, /*On fail goto*//*Label 16042*/ GIMT_Encode4(1089723), // Rule ID 24292 //
     /* 1089651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1089662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1089665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1089668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089690 */     // MIs[0] policy
     /* 1089690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089700 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089719 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089722 */     // GIR_Coverage, 24292,
     /* 1089722 */     GIR_EraseRootFromParent_Done,
     /* 1089723 */   // Label 16042: @1089723
     /* 1089723 */   GIM_Try, /*On fail goto*//*Label 16043*/ GIMT_Encode4(1089800), // Rule ID 24293 //
     /* 1089728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1089739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1089742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1089745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1089763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089767 */     // MIs[0] policy
     /* 1089767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089777 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1089780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089796 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089799 */     // GIR_Coverage, 24293,
     /* 1089799 */     GIR_EraseRootFromParent_Done,
     /* 1089800 */   // Label 16043: @1089800
     /* 1089800 */   GIM_Try, /*On fail goto*//*Label 16044*/ GIMT_Encode4(1089877), // Rule ID 24296 //
     /* 1089805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089844 */     // MIs[0] policy
     /* 1089844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089854 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1089854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089873 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089876 */     // GIR_Coverage, 24296,
     /* 1089876 */     GIR_EraseRootFromParent_Done,
     /* 1089877 */   // Label 16044: @1089877
     /* 1089877 */   GIM_Try, /*On fail goto*//*Label 16045*/ GIMT_Encode4(1089954), // Rule ID 24297 //
     /* 1089882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1089885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1089893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1089896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1089899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1089902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1089905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1089917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089921 */     // MIs[0] policy
     /* 1089921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1089924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1089931 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1089931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1089934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1089936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1089938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1089940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1089942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1089947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1089950 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1089952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1089953 */     // GIR_Coverage, 24297,
     /* 1089953 */     GIR_EraseRootFromParent_Done,
     /* 1089954 */   // Label 16045: @1089954
     /* 1089954 */   GIM_Try, /*On fail goto*//*Label 16046*/ GIMT_Encode4(1090031), // Rule ID 24300 //
     /* 1089959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1089962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1089967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1089970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1089973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1089976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1089979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1089982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1089994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1089998 */     // MIs[0] policy
     /* 1089998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090008 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1090011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090027 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090030 */     // GIR_Coverage, 24300,
     /* 1090030 */     GIR_EraseRootFromParent_Done,
     /* 1090031 */   // Label 16046: @1090031
     /* 1090031 */   GIM_Try, /*On fail goto*//*Label 16047*/ GIMT_Encode4(1090108), // Rule ID 24301 //
     /* 1090036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1090039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1090044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1090047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1090050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1090053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1090056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090075 */     // MIs[0] policy
     /* 1090075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090085 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1090088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090107 */     // GIR_Coverage, 24301,
     /* 1090107 */     GIR_EraseRootFromParent_Done,
     /* 1090108 */   // Label 16047: @1090108
     /* 1090108 */   GIM_Try, /*On fail goto*//*Label 16048*/ GIMT_Encode4(1090185), // Rule ID 24304 //
     /* 1090113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1090116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1090121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1090124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1090127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1090130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1090133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090152 */     // MIs[0] policy
     /* 1090152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090162 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1090165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090181 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090184 */     // GIR_Coverage, 24304,
     /* 1090184 */     GIR_EraseRootFromParent_Done,
     /* 1090185 */   // Label 16048: @1090185
     /* 1090185 */   GIM_Try, /*On fail goto*//*Label 16049*/ GIMT_Encode4(1090262), // Rule ID 24305 //
     /* 1090190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1090193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1090198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1090201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1090204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1090207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1090210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1090225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090229 */     // MIs[0] policy
     /* 1090229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090239 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11549:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2),
     /* 1090242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090258 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090261 */     // GIR_Coverage, 24305,
     /* 1090261 */     GIR_EraseRootFromParent_Done,
     /* 1090262 */   // Label 16049: @1090262
     /* 1090262 */   GIM_Try, /*On fail goto*//*Label 16050*/ GIMT_Encode4(1090339), // Rule ID 24308 //
     /* 1090267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1090270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1090275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1090278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1090281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1090284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1090287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090306 */     // MIs[0] policy
     /* 1090306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090316 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1090319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090335 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090338 */     // GIR_Coverage, 24308,
     /* 1090338 */     GIR_EraseRootFromParent_Done,
     /* 1090339 */   // Label 16050: @1090339
     /* 1090339 */   GIM_Try, /*On fail goto*//*Label 16051*/ GIMT_Encode4(1090416), // Rule ID 24309 //
     /* 1090344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1090347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1090352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1090355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1090358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1090361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1090364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1090379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090383 */     // MIs[0] policy
     /* 1090383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090393 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11549:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4),
     /* 1090396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090415 */     // GIR_Coverage, 24309,
     /* 1090415 */     GIR_EraseRootFromParent_Done,
     /* 1090416 */   // Label 16051: @1090416
     /* 1090416 */   GIM_Try, /*On fail goto*//*Label 16052*/ GIMT_Encode4(1090493), // Rule ID 24312 //
     /* 1090421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1090424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1090429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1090432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1090435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1090438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1090441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090460 */     // MIs[0] policy
     /* 1090460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090470 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1090473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090492 */     // GIR_Coverage, 24312,
     /* 1090492 */     GIR_EraseRootFromParent_Done,
     /* 1090493 */   // Label 16052: @1090493
     /* 1090493 */   GIM_Try, /*On fail goto*//*Label 16053*/ GIMT_Encode4(1090570), // Rule ID 24313 //
     /* 1090498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1090501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown),
     /* 1090506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1090509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1090512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1090515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1090518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1090533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1090537 */     // MIs[0] policy
     /* 1090537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090547 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11549:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8),
     /* 1090550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1090566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090569 */     // GIR_Coverage, 24313,
     /* 1090569 */     GIR_EraseRootFromParent_Done,
     /* 1090570 */   // Label 16053: @1090570
     /* 1090570 */   GIM_Try, /*On fail goto*//*Label 16054*/ GIMT_Encode4(1090647), // Rule ID 60604 //
     /* 1090575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1090578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1090583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1090595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090614 */     // MIs[0] policy
     /* 1090614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090624 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1090627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1090629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090646 */     // GIR_Coverage, 60604,
     /* 1090646 */     GIR_EraseRootFromParent_Done,
     /* 1090647 */   // Label 16054: @1090647
     /* 1090647 */   GIM_Try, /*On fail goto*//*Label 16055*/ GIMT_Encode4(1090724), // Rule ID 60605 //
     /* 1090652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1090655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1090660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1090663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1090666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1090669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1090672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090691 */     // MIs[0] policy
     /* 1090691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090701 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_MF2),
     /* 1090704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1090706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1090708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1090710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1090712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1090720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090723 */     // GIR_Coverage, 60605,
     /* 1090723 */     GIR_EraseRootFromParent_Done,
     /* 1090724 */   // Label 16055: @1090724
     /* 1090724 */   GIM_Try, /*On fail goto*//*Label 16056*/ GIMT_Encode4(1090801), // Rule ID 60618 //
     /* 1090729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090768 */     // MIs[0] policy
     /* 1090768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090778 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1090781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090797 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090800 */     // GIR_Coverage, 60618,
     /* 1090800 */     GIR_EraseRootFromParent_Done,
     /* 1090801 */   // Label 16056: @1090801
     /* 1090801 */   GIM_Try, /*On fail goto*//*Label 16057*/ GIMT_Encode4(1090878), // Rule ID 60619 //
     /* 1090806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1090817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1090820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1090823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1090826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090845 */     // MIs[0] policy
     /* 1090845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090855 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1090855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8_MASK),
     /* 1090858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090864 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090874 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090877 */     // GIR_Coverage, 60619,
     /* 1090877 */     GIR_EraseRootFromParent_Done,
     /* 1090878 */   // Label 16057: @1090878
     /* 1090878 */   GIM_Try, /*On fail goto*//*Label 16058*/ GIMT_Encode4(1090955), // Rule ID 60622 //
     /* 1090883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1090886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1090906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090922 */     // MIs[0] policy
     /* 1090922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1090925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1090932 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1090932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1090935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1090937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1090939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1090941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1090943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1090948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1090951 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1090953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1090954 */     // GIR_Coverage, 60622,
     /* 1090954 */     GIR_EraseRootFromParent_Done,
     /* 1090955 */   // Label 16058: @1090955
     /* 1090955 */   GIM_Try, /*On fail goto*//*Label 16059*/ GIMT_Encode4(1091032), // Rule ID 60623 //
     /* 1090960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1090963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1090968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1090971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1090974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1090977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1090980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1090983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1090987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1090995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1090999 */     // MIs[0] policy
     /* 1090999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091009 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1091012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091031 */     // GIR_Coverage, 60623,
     /* 1091031 */     GIR_EraseRootFromParent_Done,
     /* 1091032 */   // Label 16059: @1091032
     /* 1091032 */   GIM_Try, /*On fail goto*//*Label 16060*/ GIMT_Encode4(1091109), // Rule ID 60626 //
     /* 1091037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1091048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1091051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1091054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091076 */     // MIs[0] policy
     /* 1091076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091086 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1091089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091105 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091108 */     // GIR_Coverage, 60626,
     /* 1091108 */     GIR_EraseRootFromParent_Done,
     /* 1091109 */   // Label 16060: @1091109
     /* 1091109 */   GIM_Try, /*On fail goto*//*Label 16061*/ GIMT_Encode4(1091186), // Rule ID 60627 //
     /* 1091114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1091125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1091128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1091131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091153 */     // MIs[0] policy
     /* 1091153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091163 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1091166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091172 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091182 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091185 */     // GIR_Coverage, 60627,
     /* 1091185 */     GIR_EraseRootFromParent_Done,
     /* 1091186 */   // Label 16061: @1091186
     /* 1091186 */   GIM_Try, /*On fail goto*//*Label 16062*/ GIMT_Encode4(1091263), // Rule ID 60630 //
     /* 1091191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1091202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1091205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1091208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091230 */     // MIs[0] policy
     /* 1091230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091240 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1091243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091249 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091259 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091262 */     // GIR_Coverage, 60630,
     /* 1091262 */     GIR_EraseRootFromParent_Done,
     /* 1091263 */   // Label 16062: @1091263
     /* 1091263 */   GIM_Try, /*On fail goto*//*Label 16063*/ GIMT_Encode4(1091340), // Rule ID 60631 //
     /* 1091268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1091279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1091282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1091285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091307 */     // MIs[0] policy
     /* 1091307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091317 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4_MASK),
     /* 1091320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091326 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091336 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091339 */     // GIR_Coverage, 60631,
     /* 1091339 */     GIR_EraseRootFromParent_Done,
     /* 1091340 */   // Label 16063: @1091340
     /* 1091340 */   GIM_Try, /*On fail goto*//*Label 16064*/ GIMT_Encode4(1091417), // Rule ID 60634 //
     /* 1091345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1091356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1091359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1091362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091384 */     // MIs[0] policy
     /* 1091384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091394 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1091397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091413 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091416 */     // GIR_Coverage, 60634,
     /* 1091416 */     GIR_EraseRootFromParent_Done,
     /* 1091417 */   // Label 16064: @1091417
     /* 1091417 */   GIM_Try, /*On fail goto*//*Label 16065*/ GIMT_Encode4(1091494), // Rule ID 60635 //
     /* 1091422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1091433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1091436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1091439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091461 */     // MIs[0] policy
     /* 1091461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091471 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1091474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091480 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091490 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091492 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091493 */     // GIR_Coverage, 60635,
     /* 1091493 */     GIR_EraseRootFromParent_Done,
     /* 1091494 */   // Label 16065: @1091494
     /* 1091494 */   GIM_Try, /*On fail goto*//*Label 16066*/ GIMT_Encode4(1091571), // Rule ID 60638 //
     /* 1091499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091538 */     // MIs[0] policy
     /* 1091538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091548 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1091551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091557 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091567 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091570 */     // GIR_Coverage, 60638,
     /* 1091570 */     GIR_EraseRootFromParent_Done,
     /* 1091571 */   // Label 16066: @1091571
     /* 1091571 */   GIM_Try, /*On fail goto*//*Label 16067*/ GIMT_Encode4(1091648), // Rule ID 60639 //
     /* 1091576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1091587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1091590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1091593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1091596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091615 */     // MIs[0] policy
     /* 1091615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091625 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2_MASK),
     /* 1091628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091634 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1091644 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091647 */     // GIR_Coverage, 60639,
     /* 1091647 */     GIR_EraseRootFromParent_Done,
     /* 1091648 */   // Label 16067: @1091648
     /* 1091648 */   GIM_Try, /*On fail goto*//*Label 16068*/ GIMT_Encode4(1091725), // Rule ID 60642 //
     /* 1091653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1091664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1091667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1091670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091692 */     // MIs[0] policy
     /* 1091692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091724 */     // GIR_Coverage, 60642,
     /* 1091724 */     GIR_EraseRootFromParent_Done,
     /* 1091725 */   // Label 16068: @1091725
     /* 1091725 */   GIM_Try, /*On fail goto*//*Label 16069*/ GIMT_Encode4(1091802), // Rule ID 60643 //
     /* 1091730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1091741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1091744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1091747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1091750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091769 */     // MIs[0] policy
     /* 1091769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091779 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11165:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1091798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091801 */     // GIR_Coverage, 60643,
     /* 1091801 */     GIR_EraseRootFromParent_Done,
     /* 1091802 */   // Label 16069: @1091802
     /* 1091802 */   GIM_Try, /*On fail goto*//*Label 16070*/ GIMT_Encode4(1091879), // Rule ID 60646 //
     /* 1091807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091846 */     // MIs[0] policy
     /* 1091846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091856 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1091856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091875 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091878 */     // GIR_Coverage, 60646,
     /* 1091878 */     GIR_EraseRootFromParent_Done,
     /* 1091879 */   // Label 16070: @1091879
     /* 1091879 */   GIM_Try, /*On fail goto*//*Label 16071*/ GIMT_Encode4(1091956), // Rule ID 60647 //
     /* 1091884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1091887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1091895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1091898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1091901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1091904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1091907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1091923 */     // MIs[0] policy
     /* 1091923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1091926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1091933 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11165:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1091933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1091936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1091938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1091940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1091942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1091944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1091949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1091952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1091954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1091955 */     // GIR_Coverage, 60647,
     /* 1091955 */     GIR_EraseRootFromParent_Done,
     /* 1091956 */   // Label 16071: @1091956
     /* 1091956 */   GIM_Try, /*On fail goto*//*Label 16072*/ GIMT_Encode4(1092033), // Rule ID 60650 //
     /* 1091961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1091964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1091969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1091972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1091975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1091978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1091981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1091984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1091988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1091996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092000 */     // MIs[0] policy
     /* 1092000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1092013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092032 */     // GIR_Coverage, 60650,
     /* 1092032 */     GIR_EraseRootFromParent_Done,
     /* 1092033 */   // Label 16072: @1092033
     /* 1092033 */   GIM_Try, /*On fail goto*//*Label 16073*/ GIMT_Encode4(1092110), // Rule ID 60651 //
     /* 1092038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1092049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1092052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1092055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1092058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092077 */     // MIs[0] policy
     /* 1092077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092087 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11165:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1092090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092096 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1092106 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092108 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092109 */     // GIR_Coverage, 60651,
     /* 1092109 */     GIR_EraseRootFromParent_Done,
     /* 1092110 */   // Label 16073: @1092110
     /* 1092110 */   GIM_Try, /*On fail goto*//*Label 16074*/ GIMT_Encode4(1092187), // Rule ID 60654 //
     /* 1092115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1092126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1092129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1092132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092154 */     // MIs[0] policy
     /* 1092154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092164 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1092167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092183 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092186 */     // GIR_Coverage, 60654,
     /* 1092186 */     GIR_EraseRootFromParent_Done,
     /* 1092187 */   // Label 16074: @1092187
     /* 1092187 */   GIM_Try, /*On fail goto*//*Label 16075*/ GIMT_Encode4(1092264), // Rule ID 60655 //
     /* 1092192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1092203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1092206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1092209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1092212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1092219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1092227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092231 */     // MIs[0] policy
     /* 1092231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092241 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11165:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1_MASK),
     /* 1092244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092250 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1092260 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092263 */     // GIR_Coverage, 60655,
     /* 1092263 */     GIR_EraseRootFromParent_Done,
     /* 1092264 */   // Label 16075: @1092264
     /* 1092264 */   GIM_Try, /*On fail goto*//*Label 16076*/ GIMT_Encode4(1092341), // Rule ID 60658 //
     /* 1092269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1092280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1092283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1092286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092308 */     // MIs[0] policy
     /* 1092308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092318 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092340 */     // GIR_Coverage, 60658,
     /* 1092340 */     GIR_EraseRootFromParent_Done,
     /* 1092341 */   // Label 16076: @1092341
     /* 1092341 */   GIM_Try, /*On fail goto*//*Label 16077*/ GIMT_Encode4(1092418), // Rule ID 60659 //
     /* 1092346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1092357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1092360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1092363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092385 */     // MIs[0] policy
     /* 1092385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092395 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092404 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092414 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092417 */     // GIR_Coverage, 60659,
     /* 1092417 */     GIR_EraseRootFromParent_Done,
     /* 1092418 */   // Label 16077: @1092418
     /* 1092418 */   GIM_Try, /*On fail goto*//*Label 16078*/ GIMT_Encode4(1092495), // Rule ID 60662 //
     /* 1092423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1092434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1092437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1092440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092462 */     // MIs[0] policy
     /* 1092462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092472 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092491 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092494 */     // GIR_Coverage, 60662,
     /* 1092494 */     GIR_EraseRootFromParent_Done,
     /* 1092495 */   // Label 16078: @1092495
     /* 1092495 */   GIM_Try, /*On fail goto*//*Label 16079*/ GIMT_Encode4(1092572), // Rule ID 60663 //
     /* 1092500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1092511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1092514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1092517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1092520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092539 */     // MIs[0] policy
     /* 1092539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092549 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092558 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092568 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092571 */     // GIR_Coverage, 60663,
     /* 1092571 */     GIR_EraseRootFromParent_Done,
     /* 1092572 */   // Label 16079: @1092572
     /* 1092572 */   GIM_Try, /*On fail goto*//*Label 16080*/ GIMT_Encode4(1092649), // Rule ID 60666 //
     /* 1092577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1092588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1092591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1092594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1092597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092616 */     // MIs[0] policy
     /* 1092616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092645 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092648 */     // GIR_Coverage, 60666,
     /* 1092648 */     GIR_EraseRootFromParent_Done,
     /* 1092649 */   // Label 16080: @1092649
     /* 1092649 */   GIM_Try, /*On fail goto*//*Label 16081*/ GIMT_Encode4(1092726), // Rule ID 60667 //
     /* 1092654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1092665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1092668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1092671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1092674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1092681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1092689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092693 */     // MIs[0] policy
     /* 1092693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092703 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1092706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092712 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1092722 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092725 */     // GIR_Coverage, 60667,
     /* 1092725 */     GIR_EraseRootFromParent_Done,
     /* 1092726 */   // Label 16081: @1092726
     /* 1092726 */   GIM_Try, /*On fail goto*//*Label 16082*/ GIMT_Encode4(1092803), // Rule ID 60670 //
     /* 1092731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092770 */     // MIs[0] policy
     /* 1092770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092780 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092789 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092799 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092802 */     // GIR_Coverage, 60670,
     /* 1092802 */     GIR_EraseRootFromParent_Done,
     /* 1092803 */   // Label 16082: @1092803
     /* 1092803 */   GIM_Try, /*On fail goto*//*Label 16083*/ GIMT_Encode4(1092880), // Rule ID 60671 //
     /* 1092808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1092819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1092822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1092825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1092828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1092835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1092843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092847 */     // MIs[0] policy
     /* 1092847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092857 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1092857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1092860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092866 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092876 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092879 */     // GIR_Coverage, 60671,
     /* 1092879 */     GIR_EraseRootFromParent_Done,
     /* 1092880 */   // Label 16083: @1092880
     /* 1092880 */   GIM_Try, /*On fail goto*//*Label 16084*/ GIMT_Encode4(1092957), // Rule ID 60674 //
     /* 1092885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1092888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1092908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1092924 */     // MIs[0] policy
     /* 1092924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1092927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1092934 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1092934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1092937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1092939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1092941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1092943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1092945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1092950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1092953 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1092955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1092956 */     // GIR_Coverage, 60674,
     /* 1092956 */     GIR_EraseRootFromParent_Done,
     /* 1092957 */   // Label 16084: @1092957
     /* 1092957 */   GIM_Try, /*On fail goto*//*Label 16085*/ GIMT_Encode4(1093034), // Rule ID 60675 //
     /* 1092962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1092965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1092970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1092973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1092976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1092979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1092982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1092985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1092989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1092997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093001 */     // MIs[0] policy
     /* 1093001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093011 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093020 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093030 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093033 */     // GIR_Coverage, 60675,
     /* 1093033 */     GIR_EraseRootFromParent_Done,
     /* 1093034 */   // Label 16085: @1093034
     /* 1093034 */   GIM_Try, /*On fail goto*//*Label 16086*/ GIMT_Encode4(1093111), // Rule ID 60678 //
     /* 1093039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1093050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1093053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1093056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1093059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093078 */     // MIs[0] policy
     /* 1093078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093088 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093107 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093110 */     // GIR_Coverage, 60678,
     /* 1093110 */     GIR_EraseRootFromParent_Done,
     /* 1093111 */   // Label 16086: @1093111
     /* 1093111 */   GIM_Try, /*On fail goto*//*Label 16087*/ GIMT_Encode4(1093188), // Rule ID 60679 //
     /* 1093116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1093127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1093130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1093133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1093136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093155 */     // MIs[0] policy
     /* 1093155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093165 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1093184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093187 */     // GIR_Coverage, 60679,
     /* 1093187 */     GIR_EraseRootFromParent_Done,
     /* 1093188 */   // Label 16087: @1093188
     /* 1093188 */   GIM_Try, /*On fail goto*//*Label 16088*/ GIMT_Encode4(1093265), // Rule ID 60682 //
     /* 1093193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1093204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1093207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1093210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093232 */     // MIs[0] policy
     /* 1093232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093242 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1093245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093264 */     // GIR_Coverage, 60682,
     /* 1093264 */     GIR_EraseRootFromParent_Done,
     /* 1093265 */   // Label 16088: @1093265
     /* 1093265 */   GIM_Try, /*On fail goto*//*Label 16089*/ GIMT_Encode4(1093342), // Rule ID 60683 //
     /* 1093270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1093281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1093284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1093287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093309 */     // MIs[0] policy
     /* 1093309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093319 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1093322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093341 */     // GIR_Coverage, 60683,
     /* 1093341 */     GIR_EraseRootFromParent_Done,
     /* 1093342 */   // Label 16089: @1093342
     /* 1093342 */   GIM_Try, /*On fail goto*//*Label 16090*/ GIMT_Encode4(1093419), // Rule ID 60686 //
     /* 1093347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1093358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1093361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1093364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093386 */     // MIs[0] policy
     /* 1093386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093418 */     // GIR_Coverage, 60686,
     /* 1093418 */     GIR_EraseRootFromParent_Done,
     /* 1093419 */   // Label 16090: @1093419
     /* 1093419 */   GIM_Try, /*On fail goto*//*Label 16091*/ GIMT_Encode4(1093496), // Rule ID 60687 //
     /* 1093424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1093435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1093438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1093441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093463 */     // MIs[0] policy
     /* 1093463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093473 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093482 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093492 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093495 */     // GIR_Coverage, 60687,
     /* 1093495 */     GIR_EraseRootFromParent_Done,
     /* 1093496 */   // Label 16091: @1093496
     /* 1093496 */   GIM_Try, /*On fail goto*//*Label 16092*/ GIMT_Encode4(1093573), // Rule ID 60690 //
     /* 1093501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093540 */     // MIs[0] policy
     /* 1093540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093550 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093559 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093569 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093572 */     // GIR_Coverage, 60690,
     /* 1093572 */     GIR_EraseRootFromParent_Done,
     /* 1093573 */   // Label 16092: @1093573
     /* 1093573 */   GIM_Try, /*On fail goto*//*Label 16093*/ GIMT_Encode4(1093650), // Rule ID 60691 //
     /* 1093578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1093589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1093592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1093595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1093598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093617 */     // MIs[0] policy
     /* 1093617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093627 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1093630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093632 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093636 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1093646 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093649 */     // GIR_Coverage, 60691,
     /* 1093649 */     GIR_EraseRootFromParent_Done,
     /* 1093650 */   // Label 16093: @1093650
     /* 1093650 */   GIM_Try, /*On fail goto*//*Label 16094*/ GIMT_Encode4(1093727), // Rule ID 60694 //
     /* 1093655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093694 */     // MIs[0] policy
     /* 1093694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1093707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093723 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093726 */     // GIR_Coverage, 60694,
     /* 1093726 */     GIR_EraseRootFromParent_Done,
     /* 1093727 */   // Label 16094: @1093727
     /* 1093727 */   GIM_Try, /*On fail goto*//*Label 16095*/ GIMT_Encode4(1093804), // Rule ID 60695 //
     /* 1093732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1093743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1093746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1093749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1093752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1093759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1093767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093771 */     // MIs[0] policy
     /* 1093771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093781 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11165:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2_MASK),
     /* 1093784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093790 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093800 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093803 */     // GIR_Coverage, 60695,
     /* 1093803 */     GIR_EraseRootFromParent_Done,
     /* 1093804 */   // Label 16095: @1093804
     /* 1093804 */   GIM_Try, /*On fail goto*//*Label 16096*/ GIMT_Encode4(1093881), // Rule ID 60698 //
     /* 1093809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093848 */     // MIs[0] policy
     /* 1093848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1093858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093880 */     // GIR_Coverage, 60698,
     /* 1093880 */     GIR_EraseRootFromParent_Done,
     /* 1093881 */   // Label 16096: @1093881
     /* 1093881 */   GIM_Try, /*On fail goto*//*Label 16097*/ GIMT_Encode4(1093958), // Rule ID 60699 //
     /* 1093886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1093889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1093897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1093900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1093903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1093906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1093909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1093913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1093921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1093925 */     // MIs[0] policy
     /* 1093925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1093928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1093935 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11165:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1093935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4_MASK),
     /* 1093938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1093940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1093942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1093944 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1093946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1093951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1093954 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1093956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1093957 */     // GIR_Coverage, 60699,
     /* 1093957 */     GIR_EraseRootFromParent_Done,
     /* 1093958 */   // Label 16097: @1093958
     /* 1093958 */   GIM_Try, /*On fail goto*//*Label 16098*/ GIMT_Encode4(1094035), // Rule ID 60702 //
     /* 1093963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1093966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1093971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1093974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1093977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1093980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1093983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1093986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1093990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1093998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094002 */     // MIs[0] policy
     /* 1094002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1094015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094031 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094034 */     // GIR_Coverage, 60702,
     /* 1094034 */     GIR_EraseRootFromParent_Done,
     /* 1094035 */   // Label 16098: @1094035
     /* 1094035 */   GIM_Try, /*On fail goto*//*Label 16099*/ GIMT_Encode4(1094112), // Rule ID 60703 //
     /* 1094040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev_mask),
     /* 1094048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1094051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1094054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1094057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1094060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1094067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1094075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094079 */     // MIs[0] policy
     /* 1094079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094089 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11165:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8_MASK),
     /* 1094092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094098 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1094108 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094111 */     // GIR_Coverage, 60703,
     /* 1094111 */     GIR_EraseRootFromParent_Done,
     /* 1094112 */   // Label 16099: @1094112
     /* 1094112 */   GIM_Try, /*On fail goto*//*Label 16100*/ GIMT_Encode4(1094189), // Rule ID 60706 //
     /* 1094117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1094128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1094131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1094134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094156 */     // MIs[0] policy
     /* 1094156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094166 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1094169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094185 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094188 */     // GIR_Coverage, 60706,
     /* 1094188 */     GIR_EraseRootFromParent_Done,
     /* 1094189 */   // Label 16100: @1094189
     /* 1094189 */   GIM_Try, /*On fail goto*//*Label 16101*/ GIMT_Encode4(1094266), // Rule ID 60707 //
     /* 1094194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1094205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1094208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1094211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094233 */     // MIs[0] policy
     /* 1094233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094243 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8_MASK),
     /* 1094246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094265 */     // GIR_Coverage, 60707,
     /* 1094265 */     GIR_EraseRootFromParent_Done,
     /* 1094266 */   // Label 16101: @1094266
     /* 1094266 */   GIM_Try, /*On fail goto*//*Label 16102*/ GIMT_Encode4(1094343), // Rule ID 60710 //
     /* 1094271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1094282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1094285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1094288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094310 */     // MIs[0] policy
     /* 1094310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094320 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1094323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094342 */     // GIR_Coverage, 60710,
     /* 1094342 */     GIR_EraseRootFromParent_Done,
     /* 1094343 */   // Label 16102: @1094343
     /* 1094343 */   GIM_Try, /*On fail goto*//*Label 16103*/ GIMT_Encode4(1094420), // Rule ID 60711 //
     /* 1094348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1094359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1094362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1094365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094387 */     // MIs[0] policy
     /* 1094387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094397 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1094400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094406 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094416 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094419 */     // GIR_Coverage, 60711,
     /* 1094419 */     GIR_EraseRootFromParent_Done,
     /* 1094420 */   // Label 16103: @1094420
     /* 1094420 */   GIM_Try, /*On fail goto*//*Label 16104*/ GIMT_Encode4(1094497), // Rule ID 60714 //
     /* 1094425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1094436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1094439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1094442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094464 */     // MIs[0] policy
     /* 1094464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094474 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094496 */     // GIR_Coverage, 60714,
     /* 1094496 */     GIR_EraseRootFromParent_Done,
     /* 1094497 */   // Label 16104: @1094497
     /* 1094497 */   GIM_Try, /*On fail goto*//*Label 16105*/ GIMT_Encode4(1094574), // Rule ID 60715 //
     /* 1094502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1094513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1094516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1094519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1094522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094541 */     // MIs[0] policy
     /* 1094541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094551 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1094570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094573 */     // GIR_Coverage, 60715,
     /* 1094573 */     GIR_EraseRootFromParent_Done,
     /* 1094574 */   // Label 16105: @1094574
     /* 1094574 */   GIM_Try, /*On fail goto*//*Label 16106*/ GIMT_Encode4(1094651), // Rule ID 60718 //
     /* 1094579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1094590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1094593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1094596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094618 */     // MIs[0] policy
     /* 1094618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094628 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1094631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094650 */     // GIR_Coverage, 60718,
     /* 1094650 */     GIR_EraseRootFromParent_Done,
     /* 1094651 */   // Label 16106: @1094651
     /* 1094651 */   GIM_Try, /*On fail goto*//*Label 16107*/ GIMT_Encode4(1094728), // Rule ID 60719 //
     /* 1094656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1094667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1094670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1094673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094695 */     // MIs[0] policy
     /* 1094695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094705 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4_MASK),
     /* 1094708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094727 */     // GIR_Coverage, 60719,
     /* 1094727 */     GIR_EraseRootFromParent_Done,
     /* 1094728 */   // Label 16107: @1094728
     /* 1094728 */   GIM_Try, /*On fail goto*//*Label 16108*/ GIMT_Encode4(1094805), // Rule ID 60722 //
     /* 1094733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094772 */     // MIs[0] policy
     /* 1094772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094782 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094804 */     // GIR_Coverage, 60722,
     /* 1094804 */     GIR_EraseRootFromParent_Done,
     /* 1094805 */   // Label 16108: @1094805
     /* 1094805 */   GIM_Try, /*On fail goto*//*Label 16109*/ GIMT_Encode4(1094882), // Rule ID 60723 //
     /* 1094810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1094821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1094824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1094827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1094830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094849 */     // MIs[0] policy
     /* 1094849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094859 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1094859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094868 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1094878 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094881 */     // GIR_Coverage, 60723,
     /* 1094881 */     GIR_EraseRootFromParent_Done,
     /* 1094882 */   // Label 16109: @1094882
     /* 1094882 */   GIM_Try, /*On fail goto*//*Label 16110*/ GIMT_Encode4(1094959), // Rule ID 60726 //
     /* 1094887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1094890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1094910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1094926 */     // MIs[0] policy
     /* 1094926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1094929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1094936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1094936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1094939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1094941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1094943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1094945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1094947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1094952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1094955 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1094957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1094958 */     // GIR_Coverage, 60726,
     /* 1094958 */     GIR_EraseRootFromParent_Done,
     /* 1094959 */   // Label 16110: @1094959
     /* 1094959 */   GIM_Try, /*On fail goto*//*Label 16111*/ GIMT_Encode4(1095036), // Rule ID 60727 //
     /* 1094964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1094967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1094972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1094975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1094978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1094981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1094984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1094987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1094991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1094999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095003 */     // MIs[0] policy
     /* 1095003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095013 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2_MASK),
     /* 1095016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095035 */     // GIR_Coverage, 60727,
     /* 1095035 */     GIR_EraseRootFromParent_Done,
     /* 1095036 */   // Label 16111: @1095036
     /* 1095036 */   GIM_Try, /*On fail goto*//*Label 16112*/ GIMT_Encode4(1095113), // Rule ID 60730 //
     /* 1095041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1095052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1095055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1095058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095080 */     // MIs[0] policy
     /* 1095080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095090 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095109 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095112 */     // GIR_Coverage, 60730,
     /* 1095112 */     GIR_EraseRootFromParent_Done,
     /* 1095113 */   // Label 16112: @1095113
     /* 1095113 */   GIM_Try, /*On fail goto*//*Label 16113*/ GIMT_Encode4(1095190), // Rule ID 60731 //
     /* 1095118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1095129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1095132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1095135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1095138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095157 */     // MIs[0] policy
     /* 1095157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095167 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11173:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095176 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095186 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095189 */     // GIR_Coverage, 60731,
     /* 1095189 */     GIR_EraseRootFromParent_Done,
     /* 1095190 */   // Label 16113: @1095190
     /* 1095190 */   GIM_Try, /*On fail goto*//*Label 16114*/ GIMT_Encode4(1095267), // Rule ID 60734 //
     /* 1095195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1095206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1095209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1095212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095234 */     // MIs[0] policy
     /* 1095234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095244 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095263 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095266 */     // GIR_Coverage, 60734,
     /* 1095266 */     GIR_EraseRootFromParent_Done,
     /* 1095267 */   // Label 16114: @1095267
     /* 1095267 */   GIM_Try, /*On fail goto*//*Label 16115*/ GIMT_Encode4(1095344), // Rule ID 60735 //
     /* 1095272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1095283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1095286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1095289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1095292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095311 */     // MIs[0] policy
     /* 1095311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095321 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11173:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1095340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095343 */     // GIR_Coverage, 60735,
     /* 1095343 */     GIR_EraseRootFromParent_Done,
     /* 1095344 */   // Label 16115: @1095344
     /* 1095344 */   GIM_Try, /*On fail goto*//*Label 16116*/ GIMT_Encode4(1095421), // Rule ID 60738 //
     /* 1095349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1095360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1095363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1095366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095388 */     // MIs[0] policy
     /* 1095388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095420 */     // GIR_Coverage, 60738,
     /* 1095420 */     GIR_EraseRootFromParent_Done,
     /* 1095421 */   // Label 16116: @1095421
     /* 1095421 */   GIM_Try, /*On fail goto*//*Label 16117*/ GIMT_Encode4(1095498), // Rule ID 60739 //
     /* 1095426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1095437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1095440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1095443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1095446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095465 */     // MIs[0] policy
     /* 1095465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095475 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11173:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095484 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1095494 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095496 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095497 */     // GIR_Coverage, 60739,
     /* 1095497 */     GIR_EraseRootFromParent_Done,
     /* 1095498 */   // Label 16117: @1095498
     /* 1095498 */   GIM_Try, /*On fail goto*//*Label 16118*/ GIMT_Encode4(1095575), // Rule ID 60742 //
     /* 1095503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1095514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1095517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1095520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095542 */     // MIs[0] policy
     /* 1095542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095552 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095561 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095571 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095574 */     // GIR_Coverage, 60742,
     /* 1095574 */     GIR_EraseRootFromParent_Done,
     /* 1095575 */   // Label 16118: @1095575
     /* 1095575 */   GIM_Try, /*On fail goto*//*Label 16119*/ GIMT_Encode4(1095652), // Rule ID 60743 //
     /* 1095580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1095591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1095594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1095597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1095600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1095607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1095615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095619 */     // MIs[0] policy
     /* 1095619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095629 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11173:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1_MASK),
     /* 1095632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095634 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1095648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095651 */     // GIR_Coverage, 60743,
     /* 1095651 */     GIR_EraseRootFromParent_Done,
     /* 1095652 */   // Label 16119: @1095652
     /* 1095652 */   GIM_Try, /*On fail goto*//*Label 16120*/ GIMT_Encode4(1095729), // Rule ID 60746 //
     /* 1095657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1095668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1095671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1095674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095696 */     // MIs[0] policy
     /* 1095696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095706 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095725 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095728 */     // GIR_Coverage, 60746,
     /* 1095728 */     GIR_EraseRootFromParent_Done,
     /* 1095729 */   // Label 16120: @1095729
     /* 1095729 */   GIM_Try, /*On fail goto*//*Label 16121*/ GIMT_Encode4(1095806), // Rule ID 60747 //
     /* 1095734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1095745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1095748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1095751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1095754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1095761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1095769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095773 */     // MIs[0] policy
     /* 1095773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095783 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1095786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095792 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095802 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095805 */     // GIR_Coverage, 60747,
     /* 1095805 */     GIR_EraseRootFromParent_Done,
     /* 1095806 */   // Label 16121: @1095806
     /* 1095806 */   GIM_Try, /*On fail goto*//*Label 16122*/ GIMT_Encode4(1095883), // Rule ID 60750 //
     /* 1095811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095850 */     // MIs[0] policy
     /* 1095850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095860 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1095860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095869 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095879 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095882 */     // GIR_Coverage, 60750,
     /* 1095882 */     GIR_EraseRootFromParent_Done,
     /* 1095883 */   // Label 16122: @1095883
     /* 1095883 */   GIM_Try, /*On fail goto*//*Label 16123*/ GIMT_Encode4(1095960), // Rule ID 60751 //
     /* 1095888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1095891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1095899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1095902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1095905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1095908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1095911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1095915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1095923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1095927 */     // MIs[0] policy
     /* 1095927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1095930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1095937 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1095937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1095940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1095942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1095944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1095946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1095948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1095953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1095956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1095958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1095959 */     // GIR_Coverage, 60751,
     /* 1095959 */     GIR_EraseRootFromParent_Done,
     /* 1095960 */   // Label 16123: @1095960
     /* 1095960 */   GIM_Try, /*On fail goto*//*Label 16124*/ GIMT_Encode4(1096037), // Rule ID 60754 //
     /* 1095965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1095968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1095973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1095976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1095979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1095982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1095985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1095988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1095992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1095996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096004 */     // MIs[0] policy
     /* 1096004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096014 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096036 */     // GIR_Coverage, 60754,
     /* 1096036 */     GIR_EraseRootFromParent_Done,
     /* 1096037 */   // Label 16124: @1096037
     /* 1096037 */   GIM_Try, /*On fail goto*//*Label 16125*/ GIMT_Encode4(1096114), // Rule ID 60755 //
     /* 1096042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1096053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1096056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1096059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1096062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096081 */     // MIs[0] policy
     /* 1096081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096091 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1096110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096113 */     // GIR_Coverage, 60755,
     /* 1096113 */     GIR_EraseRootFromParent_Done,
     /* 1096114 */   // Label 16125: @1096114
     /* 1096114 */   GIM_Try, /*On fail goto*//*Label 16126*/ GIMT_Encode4(1096191), // Rule ID 60758 //
     /* 1096119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1096130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1096133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1096136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096158 */     // MIs[0] policy
     /* 1096158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096168 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096187 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096190 */     // GIR_Coverage, 60758,
     /* 1096190 */     GIR_EraseRootFromParent_Done,
     /* 1096191 */   // Label 16126: @1096191
     /* 1096191 */   GIM_Try, /*On fail goto*//*Label 16127*/ GIMT_Encode4(1096268), // Rule ID 60759 //
     /* 1096196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1096207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1096210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1096213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096235 */     // MIs[0] policy
     /* 1096235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096245 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096254 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096264 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096267 */     // GIR_Coverage, 60759,
     /* 1096267 */     GIR_EraseRootFromParent_Done,
     /* 1096268 */   // Label 16127: @1096268
     /* 1096268 */   GIM_Try, /*On fail goto*//*Label 16128*/ GIMT_Encode4(1096345), // Rule ID 60762 //
     /* 1096273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1096284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1096287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1096290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096312 */     // MIs[0] policy
     /* 1096312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096341 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096344 */     // GIR_Coverage, 60762,
     /* 1096344 */     GIR_EraseRootFromParent_Done,
     /* 1096345 */   // Label 16128: @1096345
     /* 1096345 */   GIM_Try, /*On fail goto*//*Label 16129*/ GIMT_Encode4(1096422), // Rule ID 60763 //
     /* 1096350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1096361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1096364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1096367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096389 */     // MIs[0] policy
     /* 1096389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096399 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096408 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096418 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096421 */     // GIR_Coverage, 60763,
     /* 1096421 */     GIR_EraseRootFromParent_Done,
     /* 1096422 */   // Label 16129: @1096422
     /* 1096422 */   GIM_Try, /*On fail goto*//*Label 16130*/ GIMT_Encode4(1096499), // Rule ID 60766 //
     /* 1096427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1096438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1096441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1096444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1096447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096466 */     // MIs[0] policy
     /* 1096466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096495 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096498 */     // GIR_Coverage, 60766,
     /* 1096498 */     GIR_EraseRootFromParent_Done,
     /* 1096499 */   // Label 16130: @1096499
     /* 1096499 */   GIM_Try, /*On fail goto*//*Label 16131*/ GIMT_Encode4(1096576), // Rule ID 60767 //
     /* 1096504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1096515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1096518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1096521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1096524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096543 */     // MIs[0] policy
     /* 1096543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096562 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1096572 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096575 */     // GIR_Coverage, 60767,
     /* 1096575 */     GIR_EraseRootFromParent_Done,
     /* 1096576 */   // Label 16131: @1096576
     /* 1096576 */   GIM_Try, /*On fail goto*//*Label 16132*/ GIMT_Encode4(1096653), // Rule ID 60770 //
     /* 1096581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1096592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1096595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1096598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096620 */     // MIs[0] policy
     /* 1096620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096652 */     // GIR_Coverage, 60770,
     /* 1096652 */     GIR_EraseRootFromParent_Done,
     /* 1096653 */   // Label 16132: @1096653
     /* 1096653 */   GIM_Try, /*On fail goto*//*Label 16133*/ GIMT_Encode4(1096730), // Rule ID 60771 //
     /* 1096658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1096669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1096672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1096675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1096678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1096685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1096693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096697 */     // MIs[0] policy
     /* 1096697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096707 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1096710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096729 */     // GIR_Coverage, 60771,
     /* 1096729 */     GIR_EraseRootFromParent_Done,
     /* 1096730 */   // Label 16133: @1096730
     /* 1096730 */   GIM_Try, /*On fail goto*//*Label 16134*/ GIMT_Encode4(1096807), // Rule ID 60774 //
     /* 1096735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096774 */     // MIs[0] policy
     /* 1096774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096803 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096806 */     // GIR_Coverage, 60774,
     /* 1096806 */     GIR_EraseRootFromParent_Done,
     /* 1096807 */   // Label 16134: @1096807
     /* 1096807 */   GIM_Try, /*On fail goto*//*Label 16135*/ GIMT_Encode4(1096884), // Rule ID 60775 //
     /* 1096812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1096823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1096826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1096829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1096832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1096839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1096847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096851 */     // MIs[0] policy
     /* 1096851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096861 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1096861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1096864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096870 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096880 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096883 */     // GIR_Coverage, 60775,
     /* 1096883 */     GIR_EraseRootFromParent_Done,
     /* 1096884 */   // Label 16135: @1096884
     /* 1096884 */   GIM_Try, /*On fail goto*//*Label 16136*/ GIMT_Encode4(1096961), // Rule ID 60778 //
     /* 1096889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1096892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1096912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1096928 */     // MIs[0] policy
     /* 1096928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1096931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1096938 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1096938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1096941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1096943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1096945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1096947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1096949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1096954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1096957 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1096959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1096960 */     // GIR_Coverage, 60778,
     /* 1096960 */     GIR_EraseRootFromParent_Done,
     /* 1096961 */   // Label 16136: @1096961
     /* 1096961 */   GIM_Try, /*On fail goto*//*Label 16137*/ GIMT_Encode4(1097038), // Rule ID 60779 //
     /* 1096966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1096969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1096974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1096977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1096980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1096983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1096986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1096989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1096993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1096997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097005 */     // MIs[0] policy
     /* 1097005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097015 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1097018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097024 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1097034 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097037 */     // GIR_Coverage, 60779,
     /* 1097037 */     GIR_EraseRootFromParent_Done,
     /* 1097038 */   // Label 16137: @1097038
     /* 1097038 */   GIM_Try, /*On fail goto*//*Label 16138*/ GIMT_Encode4(1097115), // Rule ID 60782 //
     /* 1097043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1097051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1097054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1097057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1097060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097082 */     // MIs[0] policy
     /* 1097082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1097095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097101 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097111 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097114 */     // GIR_Coverage, 60782,
     /* 1097114 */     GIR_EraseRootFromParent_Done,
     /* 1097115 */   // Label 16138: @1097115
     /* 1097115 */   GIM_Try, /*On fail goto*//*Label 16139*/ GIMT_Encode4(1097192), // Rule ID 60783 //
     /* 1097120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1097128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1097131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1097134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1097137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1097147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1097155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097159 */     // MIs[0] policy
     /* 1097159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097169 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11173:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2_MASK),
     /* 1097172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097178 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097188 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097191 */     // GIR_Coverage, 60783,
     /* 1097191 */     GIR_EraseRootFromParent_Done,
     /* 1097192 */   // Label 16139: @1097192
     /* 1097192 */   GIM_Try, /*On fail goto*//*Label 16140*/ GIMT_Encode4(1097269), // Rule ID 60786 //
     /* 1097197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1097205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1097208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1097211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1097214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097236 */     // MIs[0] policy
     /* 1097236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097246 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1097249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097268 */     // GIR_Coverage, 60786,
     /* 1097268 */     GIR_EraseRootFromParent_Done,
     /* 1097269 */   // Label 16140: @1097269
     /* 1097269 */   GIM_Try, /*On fail goto*//*Label 16141*/ GIMT_Encode4(1097346), // Rule ID 60787 //
     /* 1097274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1097282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1097285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1097288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1097291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1097301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1097309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097313 */     // MIs[0] policy
     /* 1097313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097323 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11173:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4_MASK),
     /* 1097326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097332 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097342 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097345 */     // GIR_Coverage, 60787,
     /* 1097345 */     GIR_EraseRootFromParent_Done,
     /* 1097346 */   // Label 16141: @1097346
     /* 1097346 */   GIM_Try, /*On fail goto*//*Label 16142*/ GIMT_Encode4(1097423), // Rule ID 60790 //
     /* 1097351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1097359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1097362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1097365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1097368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097390 */     // MIs[0] policy
     /* 1097390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097400 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1097403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097409 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097419 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097422 */     // GIR_Coverage, 60790,
     /* 1097422 */     GIR_EraseRootFromParent_Done,
     /* 1097423 */   // Label 16142: @1097423
     /* 1097423 */   GIM_Try, /*On fail goto*//*Label 16143*/ GIMT_Encode4(1097500), // Rule ID 60791 //
     /* 1097428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclz_mask),
     /* 1097436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1097439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1097442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1097445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1097448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1097455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1097463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097467 */     // MIs[0] policy
     /* 1097467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097477 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11173:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8_MASK),
     /* 1097480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097486 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1097496 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097499 */     // GIR_Coverage, 60791,
     /* 1097499 */     GIR_EraseRootFromParent_Done,
     /* 1097500 */   // Label 16143: @1097500
     /* 1097500 */   GIM_Try, /*On fail goto*//*Label 16144*/ GIMT_Encode4(1097577), // Rule ID 60794 //
     /* 1097505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1097516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1097519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1097522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097544 */     // MIs[0] policy
     /* 1097544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097554 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1097557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097573 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097576 */     // GIR_Coverage, 60794,
     /* 1097576 */     GIR_EraseRootFromParent_Done,
     /* 1097577 */   // Label 16144: @1097577
     /* 1097577 */   GIM_Try, /*On fail goto*//*Label 16145*/ GIMT_Encode4(1097654), // Rule ID 60795 //
     /* 1097582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1097593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1097596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1097599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097621 */     // MIs[0] policy
     /* 1097621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097631 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8_MASK),
     /* 1097634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097640 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097650 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097653 */     // GIR_Coverage, 60795,
     /* 1097653 */     GIR_EraseRootFromParent_Done,
     /* 1097654 */   // Label 16145: @1097654
     /* 1097654 */   GIM_Try, /*On fail goto*//*Label 16146*/ GIMT_Encode4(1097731), // Rule ID 60798 //
     /* 1097659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1097670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1097673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1097676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097698 */     // MIs[0] policy
     /* 1097698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097708 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097727 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097730 */     // GIR_Coverage, 60798,
     /* 1097730 */     GIR_EraseRootFromParent_Done,
     /* 1097731 */   // Label 16146: @1097731
     /* 1097731 */   GIM_Try, /*On fail goto*//*Label 16147*/ GIMT_Encode4(1097808), // Rule ID 60799 //
     /* 1097736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1097747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1097750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1097753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1097756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097775 */     // MIs[0] policy
     /* 1097775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097785 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1097788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097794 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097804 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097807 */     // GIR_Coverage, 60799,
     /* 1097807 */     GIR_EraseRootFromParent_Done,
     /* 1097808 */   // Label 16147: @1097808
     /* 1097808 */   GIM_Try, /*On fail goto*//*Label 16148*/ GIMT_Encode4(1097885), // Rule ID 60802 //
     /* 1097813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097852 */     // MIs[0] policy
     /* 1097852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097862 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1097862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097871 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097881 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097884 */     // GIR_Coverage, 60802,
     /* 1097884 */     GIR_EraseRootFromParent_Done,
     /* 1097885 */   // Label 16148: @1097885
     /* 1097885 */   GIM_Try, /*On fail goto*//*Label 16149*/ GIMT_Encode4(1097962), // Rule ID 60803 //
     /* 1097890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1097893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1097901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1097904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1097907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1097910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1097913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1097929 */     // MIs[0] policy
     /* 1097929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1097932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1097939 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1097939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1097942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1097944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1097946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1097948 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1097950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1097955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1097958 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1097960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1097961 */     // GIR_Coverage, 60803,
     /* 1097961 */     GIR_EraseRootFromParent_Done,
     /* 1097962 */   // Label 16149: @1097962
     /* 1097962 */   GIM_Try, /*On fail goto*//*Label 16150*/ GIMT_Encode4(1098039), // Rule ID 60806 //
     /* 1097967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1097970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1097975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1097978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1097981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1097984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1097987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1097990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1097994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1097998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098006 */     // MIs[0] policy
     /* 1098006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1098019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098038 */     // GIR_Coverage, 60806,
     /* 1098038 */     GIR_EraseRootFromParent_Done,
     /* 1098039 */   // Label 16150: @1098039
     /* 1098039 */   GIM_Try, /*On fail goto*//*Label 16151*/ GIMT_Encode4(1098116), // Rule ID 60807 //
     /* 1098044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1098055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1098058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1098061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098083 */     // MIs[0] policy
     /* 1098083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098093 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4_MASK),
     /* 1098096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098115 */     // GIR_Coverage, 60807,
     /* 1098115 */     GIR_EraseRootFromParent_Done,
     /* 1098116 */   // Label 16151: @1098116
     /* 1098116 */   GIM_Try, /*On fail goto*//*Label 16152*/ GIMT_Encode4(1098193), // Rule ID 60810 //
     /* 1098121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1098132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1098135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1098138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098160 */     // MIs[0] policy
     /* 1098160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1098173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098192 */     // GIR_Coverage, 60810,
     /* 1098192 */     GIR_EraseRootFromParent_Done,
     /* 1098193 */   // Label 16152: @1098193
     /* 1098193 */   GIM_Try, /*On fail goto*//*Label 16153*/ GIMT_Encode4(1098270), // Rule ID 60811 //
     /* 1098198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1098209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1098212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1098215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098237 */     // MIs[0] policy
     /* 1098237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098247 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1098250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098256 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098266 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098269 */     // GIR_Coverage, 60811,
     /* 1098269 */     GIR_EraseRootFromParent_Done,
     /* 1098270 */   // Label 16153: @1098270
     /* 1098270 */   GIM_Try, /*On fail goto*//*Label 16154*/ GIMT_Encode4(1098347), // Rule ID 60814 //
     /* 1098275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1098286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1098289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1098292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098314 */     // MIs[0] policy
     /* 1098314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1098327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098343 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098346 */     // GIR_Coverage, 60814,
     /* 1098346 */     GIR_EraseRootFromParent_Done,
     /* 1098347 */   // Label 16154: @1098347
     /* 1098347 */   GIM_Try, /*On fail goto*//*Label 16155*/ GIMT_Encode4(1098424), // Rule ID 60815 //
     /* 1098352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1098363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1098366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1098369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098391 */     // MIs[0] policy
     /* 1098391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098401 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2_MASK),
     /* 1098404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098410 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098420 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098423 */     // GIR_Coverage, 60815,
     /* 1098423 */     GIR_EraseRootFromParent_Done,
     /* 1098424 */   // Label 16155: @1098424
     /* 1098424 */   GIM_Try, /*On fail goto*//*Label 16156*/ GIMT_Encode4(1098501), // Rule ID 60818 //
     /* 1098429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1098440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1098443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1098446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098468 */     // MIs[0] policy
     /* 1098468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098497 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098500 */     // GIR_Coverage, 60818,
     /* 1098500 */     GIR_EraseRootFromParent_Done,
     /* 1098501 */   // Label 16156: @1098501
     /* 1098501 */   GIM_Try, /*On fail goto*//*Label 16157*/ GIMT_Encode4(1098578), // Rule ID 60819 //
     /* 1098506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1098517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1098520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1098523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1098526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098545 */     // MIs[0] policy
     /* 1098545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098555 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11180:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098564 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1098574 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098577 */     // GIR_Coverage, 60819,
     /* 1098577 */     GIR_EraseRootFromParent_Done,
     /* 1098578 */   // Label 16157: @1098578
     /* 1098578 */   GIM_Try, /*On fail goto*//*Label 16158*/ GIMT_Encode4(1098655), // Rule ID 60822 //
     /* 1098583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098622 */     // MIs[0] policy
     /* 1098622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098632 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098641 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098651 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098654 */     // GIR_Coverage, 60822,
     /* 1098654 */     GIR_EraseRootFromParent_Done,
     /* 1098655 */   // Label 16158: @1098655
     /* 1098655 */   GIM_Try, /*On fail goto*//*Label 16159*/ GIMT_Encode4(1098732), // Rule ID 60823 //
     /* 1098660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1098671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1098674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1098677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1098680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098699 */     // MIs[0] policy
     /* 1098699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098709 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11180:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098718 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1098728 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098731 */     // GIR_Coverage, 60823,
     /* 1098731 */     GIR_EraseRootFromParent_Done,
     /* 1098732 */   // Label 16159: @1098732
     /* 1098732 */   GIM_Try, /*On fail goto*//*Label 16160*/ GIMT_Encode4(1098809), // Rule ID 60826 //
     /* 1098737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098776 */     // MIs[0] policy
     /* 1098776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098805 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098808 */     // GIR_Coverage, 60826,
     /* 1098808 */     GIR_EraseRootFromParent_Done,
     /* 1098809 */   // Label 16160: @1098809
     /* 1098809 */   GIM_Try, /*On fail goto*//*Label 16161*/ GIMT_Encode4(1098886), // Rule ID 60827 //
     /* 1098814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1098825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1098828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1098831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1098834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098853 */     // MIs[0] policy
     /* 1098853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098863 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11180:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1098863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098872 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1098882 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098884 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098885 */     // GIR_Coverage, 60827,
     /* 1098885 */     GIR_EraseRootFromParent_Done,
     /* 1098886 */   // Label 16161: @1098886
     /* 1098886 */   GIM_Try, /*On fail goto*//*Label 16162*/ GIMT_Encode4(1098963), // Rule ID 60830 //
     /* 1098891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1098894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1098914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1098930 */     // MIs[0] policy
     /* 1098930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1098933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1098940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1098940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1098943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1098945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1098947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1098949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1098951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1098956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1098959 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1098961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1098962 */     // GIR_Coverage, 60830,
     /* 1098962 */     GIR_EraseRootFromParent_Done,
     /* 1098963 */   // Label 16162: @1098963
     /* 1098963 */   GIM_Try, /*On fail goto*//*Label 16163*/ GIMT_Encode4(1099040), // Rule ID 60831 //
     /* 1098968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1098971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1098976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1098979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1098982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1098985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1098988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1098991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1098995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1098999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1099003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099007 */     // MIs[0] policy
     /* 1099007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099017 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11180:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1_MASK),
     /* 1099020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099026 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1099036 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099039 */     // GIR_Coverage, 60831,
     /* 1099039 */     GIR_EraseRootFromParent_Done,
     /* 1099040 */   // Label 16163: @1099040
     /* 1099040 */   GIM_Try, /*On fail goto*//*Label 16164*/ GIMT_Encode4(1099117), // Rule ID 60834 //
     /* 1099045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1099056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1099059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1099062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099084 */     // MIs[0] policy
     /* 1099084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099094 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099113 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099116 */     // GIR_Coverage, 60834,
     /* 1099116 */     GIR_EraseRootFromParent_Done,
     /* 1099117 */   // Label 16164: @1099117
     /* 1099117 */   GIM_Try, /*On fail goto*//*Label 16165*/ GIMT_Encode4(1099194), // Rule ID 60835 //
     /* 1099122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1099133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1099136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1099139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099161 */     // MIs[0] policy
     /* 1099161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099171 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099193 */     // GIR_Coverage, 60835,
     /* 1099193 */     GIR_EraseRootFromParent_Done,
     /* 1099194 */   // Label 16165: @1099194
     /* 1099194 */   GIM_Try, /*On fail goto*//*Label 16166*/ GIMT_Encode4(1099271), // Rule ID 60838 //
     /* 1099199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1099210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1099213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1099216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099238 */     // MIs[0] policy
     /* 1099238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099248 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099270 */     // GIR_Coverage, 60838,
     /* 1099270 */     GIR_EraseRootFromParent_Done,
     /* 1099271 */   // Label 16166: @1099271
     /* 1099271 */   GIM_Try, /*On fail goto*//*Label 16167*/ GIMT_Encode4(1099348), // Rule ID 60839 //
     /* 1099276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1099287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1099290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1099293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099315 */     // MIs[0] policy
     /* 1099315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099325 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099334 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099344 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099347 */     // GIR_Coverage, 60839,
     /* 1099347 */     GIR_EraseRootFromParent_Done,
     /* 1099348 */   // Label 16167: @1099348
     /* 1099348 */   GIM_Try, /*On fail goto*//*Label 16168*/ GIMT_Encode4(1099425), // Rule ID 60842 //
     /* 1099353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1099364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1099367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1099370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1099373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099392 */     // MIs[0] policy
     /* 1099392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099402 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099424 */     // GIR_Coverage, 60842,
     /* 1099424 */     GIR_EraseRootFromParent_Done,
     /* 1099425 */   // Label 16168: @1099425
     /* 1099425 */   GIM_Try, /*On fail goto*//*Label 16169*/ GIMT_Encode4(1099502), // Rule ID 60843 //
     /* 1099430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1099441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1099444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1099447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1099450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099469 */     // MIs[0] policy
     /* 1099469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099479 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1099498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099501 */     // GIR_Coverage, 60843,
     /* 1099501 */     GIR_EraseRootFromParent_Done,
     /* 1099502 */   // Label 16169: @1099502
     /* 1099502 */   GIM_Try, /*On fail goto*//*Label 16170*/ GIMT_Encode4(1099579), // Rule ID 60846 //
     /* 1099507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099546 */     // MIs[0] policy
     /* 1099546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099556 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099575 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099578 */     // GIR_Coverage, 60846,
     /* 1099578 */     GIR_EraseRootFromParent_Done,
     /* 1099579 */   // Label 16170: @1099579
     /* 1099579 */   GIM_Try, /*On fail goto*//*Label 16171*/ GIMT_Encode4(1099656), // Rule ID 60847 //
     /* 1099584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1099595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1099598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1099601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1099604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1099619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099623 */     // MIs[0] policy
     /* 1099623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099633 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1099636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099642 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099652 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099655 */     // GIR_Coverage, 60847,
     /* 1099655 */     GIR_EraseRootFromParent_Done,
     /* 1099656 */   // Label 16171: @1099656
     /* 1099656 */   GIM_Try, /*On fail goto*//*Label 16172*/ GIMT_Encode4(1099733), // Rule ID 60850 //
     /* 1099661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099700 */     // MIs[0] policy
     /* 1099700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099729 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099732 */     // GIR_Coverage, 60850,
     /* 1099732 */     GIR_EraseRootFromParent_Done,
     /* 1099733 */   // Label 16172: @1099733
     /* 1099733 */   GIM_Try, /*On fail goto*//*Label 16173*/ GIMT_Encode4(1099810), // Rule ID 60851 //
     /* 1099738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1099749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1099752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1099755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1099758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1099765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1099773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099777 */     // MIs[0] policy
     /* 1099777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099787 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1099790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099796 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099806 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099809 */     // GIR_Coverage, 60851,
     /* 1099809 */     GIR_EraseRootFromParent_Done,
     /* 1099810 */   // Label 16173: @1099810
     /* 1099810 */   GIM_Try, /*On fail goto*//*Label 16174*/ GIMT_Encode4(1099887), // Rule ID 60854 //
     /* 1099815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099854 */     // MIs[0] policy
     /* 1099854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099864 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1099864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099873 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099883 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099886 */     // GIR_Coverage, 60854,
     /* 1099886 */     GIR_EraseRootFromParent_Done,
     /* 1099887 */   // Label 16174: @1099887
     /* 1099887 */   GIM_Try, /*On fail goto*//*Label 16175*/ GIMT_Encode4(1099964), // Rule ID 60855 //
     /* 1099892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1099895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1099903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1099906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1099909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1099912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1099915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1099919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1099927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1099931 */     // MIs[0] policy
     /* 1099931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1099934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1099941 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1099941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1099944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1099946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1099948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1099950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1099952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1099957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1099960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1099962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1099963 */     // GIR_Coverage, 60855,
     /* 1099963 */     GIR_EraseRootFromParent_Done,
     /* 1099964 */   // Label 16175: @1099964
     /* 1099964 */   GIM_Try, /*On fail goto*//*Label 16176*/ GIMT_Encode4(1100041), // Rule ID 60858 //
     /* 1099969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1099972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1099977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1099980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1099983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1099986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1099989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1099992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1099996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100008 */     // MIs[0] policy
     /* 1100008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100018 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1100021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100037 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100040 */     // GIR_Coverage, 60858,
     /* 1100040 */     GIR_EraseRootFromParent_Done,
     /* 1100041 */   // Label 16176: @1100041
     /* 1100041 */   GIM_Try, /*On fail goto*//*Label 16177*/ GIMT_Encode4(1100118), // Rule ID 60859 //
     /* 1100046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1100057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1100060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1100063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100085 */     // MIs[0] policy
     /* 1100085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100095 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1100098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100104 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100114 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100117 */     // GIR_Coverage, 60859,
     /* 1100117 */     GIR_EraseRootFromParent_Done,
     /* 1100118 */   // Label 16177: @1100118
     /* 1100118 */   GIM_Try, /*On fail goto*//*Label 16178*/ GIMT_Encode4(1100195), // Rule ID 60862 //
     /* 1100123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100162 */     // MIs[0] policy
     /* 1100162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100172 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1100175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100181 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100191 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100194 */     // GIR_Coverage, 60862,
     /* 1100194 */     GIR_EraseRootFromParent_Done,
     /* 1100195 */   // Label 16178: @1100195
     /* 1100195 */   GIM_Try, /*On fail goto*//*Label 16179*/ GIMT_Encode4(1100272), // Rule ID 60863 //
     /* 1100200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1100211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1100214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1100217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100239 */     // MIs[0] policy
     /* 1100239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100249 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1100252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100258 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100268 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100271 */     // GIR_Coverage, 60863,
     /* 1100271 */     GIR_EraseRootFromParent_Done,
     /* 1100272 */   // Label 16179: @1100272
     /* 1100272 */   GIM_Try, /*On fail goto*//*Label 16180*/ GIMT_Encode4(1100349), // Rule ID 60866 //
     /* 1100277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100316 */     // MIs[0] policy
     /* 1100316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1100329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100345 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100348 */     // GIR_Coverage, 60866,
     /* 1100348 */     GIR_EraseRootFromParent_Done,
     /* 1100349 */   // Label 16180: @1100349
     /* 1100349 */   GIM_Try, /*On fail goto*//*Label 16181*/ GIMT_Encode4(1100426), // Rule ID 60867 //
     /* 1100354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1100365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1100368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1100371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1100374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100393 */     // MIs[0] policy
     /* 1100393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100403 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1100406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100412 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1100422 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100425 */     // GIR_Coverage, 60867,
     /* 1100425 */     GIR_EraseRootFromParent_Done,
     /* 1100426 */   // Label 16181: @1100426
     /* 1100426 */   GIM_Try, /*On fail goto*//*Label 16182*/ GIMT_Encode4(1100503), // Rule ID 60870 //
     /* 1100431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100470 */     // MIs[0] policy
     /* 1100470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100480 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1100483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100499 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100502 */     // GIR_Coverage, 60870,
     /* 1100502 */     GIR_EraseRootFromParent_Done,
     /* 1100503 */   // Label 16182: @1100503
     /* 1100503 */   GIM_Try, /*On fail goto*//*Label 16183*/ GIMT_Encode4(1100580), // Rule ID 60871 //
     /* 1100508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1100519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1100522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1100525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1100528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1100535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1100543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100547 */     // MIs[0] policy
     /* 1100547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100557 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11180:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2_MASK),
     /* 1100560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100579 */     // GIR_Coverage, 60871,
     /* 1100579 */     GIR_EraseRootFromParent_Done,
     /* 1100580 */   // Label 16183: @1100580
     /* 1100580 */   GIM_Try, /*On fail goto*//*Label 16184*/ GIMT_Encode4(1100657), // Rule ID 60874 //
     /* 1100585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100624 */     // MIs[0] policy
     /* 1100624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100634 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1100637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100653 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100656 */     // GIR_Coverage, 60874,
     /* 1100656 */     GIR_EraseRootFromParent_Done,
     /* 1100657 */   // Label 16184: @1100657
     /* 1100657 */   GIM_Try, /*On fail goto*//*Label 16185*/ GIMT_Encode4(1100734), // Rule ID 60875 //
     /* 1100662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1100673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1100676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1100679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1100682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1100689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1100697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100701 */     // MIs[0] policy
     /* 1100701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100711 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11180:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4_MASK),
     /* 1100714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100732 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100733 */     // GIR_Coverage, 60875,
     /* 1100733 */     GIR_EraseRootFromParent_Done,
     /* 1100734 */   // Label 16185: @1100734
     /* 1100734 */   GIM_Try, /*On fail goto*//*Label 16186*/ GIMT_Encode4(1100811), // Rule ID 60878 //
     /* 1100739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100778 */     // MIs[0] policy
     /* 1100778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1100791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100810 */     // GIR_Coverage, 60878,
     /* 1100810 */     GIR_EraseRootFromParent_Done,
     /* 1100811 */   // Label 16186: @1100811
     /* 1100811 */   GIM_Try, /*On fail goto*//*Label 16187*/ GIMT_Encode4(1100888), // Rule ID 60879 //
     /* 1100816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vctz_mask),
     /* 1100824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1100827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1100830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1100833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1100836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1100843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1100851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100855 */     // MIs[0] policy
     /* 1100855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100865 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11180:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCTZ_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1100865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8_MASK),
     /* 1100868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1100884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100887 */     // GIR_Coverage, 60879,
     /* 1100887 */     GIR_EraseRootFromParent_Done,
     /* 1100888 */   // Label 16187: @1100888
     /* 1100888 */   GIM_Try, /*On fail goto*//*Label 16188*/ GIMT_Encode4(1100965), // Rule ID 60882 //
     /* 1100893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1100896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1100916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1100928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1100932 */     // MIs[0] policy
     /* 1100932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1100935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1100942 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1100942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1100945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1100947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1100949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1100951 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1100953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1100958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1100961 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1100963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1100964 */     // GIR_Coverage, 60882,
     /* 1100964 */     GIR_EraseRootFromParent_Done,
     /* 1100965 */   // Label 16188: @1100965
     /* 1100965 */   GIM_Try, /*On fail goto*//*Label 16189*/ GIMT_Encode4(1101042), // Rule ID 60883 //
     /* 1100970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1100973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1100978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1100981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1100984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1100987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1100990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1100993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1100997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101009 */     // MIs[0] policy
     /* 1101009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101019 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8_MASK),
     /* 1101022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101028 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101038 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101041 */     // GIR_Coverage, 60883,
     /* 1101041 */     GIR_EraseRootFromParent_Done,
     /* 1101042 */   // Label 16189: @1101042
     /* 1101042 */   GIM_Try, /*On fail goto*//*Label 16190*/ GIMT_Encode4(1101119), // Rule ID 60886 //
     /* 1101047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1101058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1101061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1101064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101086 */     // MIs[0] policy
     /* 1101086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101096 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1101099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101118 */     // GIR_Coverage, 60886,
     /* 1101118 */     GIR_EraseRootFromParent_Done,
     /* 1101119 */   // Label 16190: @1101119
     /* 1101119 */   GIM_Try, /*On fail goto*//*Label 16191*/ GIMT_Encode4(1101196), // Rule ID 60887 //
     /* 1101124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1101135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1101138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1101141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101163 */     // MIs[0] policy
     /* 1101163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101173 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1101176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101195 */     // GIR_Coverage, 60887,
     /* 1101195 */     GIR_EraseRootFromParent_Done,
     /* 1101196 */   // Label 16191: @1101196
     /* 1101196 */   GIM_Try, /*On fail goto*//*Label 16192*/ GIMT_Encode4(1101273), // Rule ID 60890 //
     /* 1101201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1101212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1101215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1101218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101240 */     // MIs[0] policy
     /* 1101240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101250 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101269 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101272 */     // GIR_Coverage, 60890,
     /* 1101272 */     GIR_EraseRootFromParent_Done,
     /* 1101273 */   // Label 16192: @1101273
     /* 1101273 */   GIM_Try, /*On fail goto*//*Label 16193*/ GIMT_Encode4(1101350), // Rule ID 60891 //
     /* 1101278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1101289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1101292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1101295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101317 */     // MIs[0] policy
     /* 1101317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101327 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101336 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101346 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101349 */     // GIR_Coverage, 60891,
     /* 1101349 */     GIR_EraseRootFromParent_Done,
     /* 1101350 */   // Label 16193: @1101350
     /* 1101350 */   GIM_Try, /*On fail goto*//*Label 16194*/ GIMT_Encode4(1101427), // Rule ID 60894 //
     /* 1101355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1101366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1101369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1101372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101394 */     // MIs[0] policy
     /* 1101394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1101407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101413 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101423 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101426 */     // GIR_Coverage, 60894,
     /* 1101426 */     GIR_EraseRootFromParent_Done,
     /* 1101427 */   // Label 16194: @1101427
     /* 1101427 */   GIM_Try, /*On fail goto*//*Label 16195*/ GIMT_Encode4(1101504), // Rule ID 60895 //
     /* 1101432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1101443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1101446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1101449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101471 */     // MIs[0] policy
     /* 1101471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101481 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4_MASK),
     /* 1101484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101490 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101500 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101503 */     // GIR_Coverage, 60895,
     /* 1101503 */     GIR_EraseRootFromParent_Done,
     /* 1101504 */   // Label 16195: @1101504
     /* 1101504 */   GIM_Try, /*On fail goto*//*Label 16196*/ GIMT_Encode4(1101581), // Rule ID 60898 //
     /* 1101509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1101520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1101523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101548 */     // MIs[0] policy
     /* 1101548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101577 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101580 */     // GIR_Coverage, 60898,
     /* 1101580 */     GIR_EraseRootFromParent_Done,
     /* 1101581 */   // Label 16196: @1101581
     /* 1101581 */   GIM_Try, /*On fail goto*//*Label 16197*/ GIMT_Encode4(1101658), // Rule ID 60899 //
     /* 1101586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1101597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1101600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1101603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1101606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101625 */     // MIs[0] policy
     /* 1101625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101635 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101644 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1101654 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101657 */     // GIR_Coverage, 60899,
     /* 1101657 */     GIR_EraseRootFromParent_Done,
     /* 1101658 */   // Label 16197: @1101658
     /* 1101658 */   GIM_Try, /*On fail goto*//*Label 16198*/ GIMT_Encode4(1101735), // Rule ID 60902 //
     /* 1101663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101702 */     // MIs[0] policy
     /* 1101702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101712 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101721 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101731 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101734 */     // GIR_Coverage, 60902,
     /* 1101734 */     GIR_EraseRootFromParent_Done,
     /* 1101735 */   // Label 16198: @1101735
     /* 1101735 */   GIM_Try, /*On fail goto*//*Label 16199*/ GIMT_Encode4(1101812), // Rule ID 60903 //
     /* 1101740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1101751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1101754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1101757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1101760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101779 */     // MIs[0] policy
     /* 1101779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101789 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2_MASK),
     /* 1101792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101798 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1101808 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101811 */     // GIR_Coverage, 60903,
     /* 1101811 */     GIR_EraseRootFromParent_Done,
     /* 1101812 */   // Label 16199: @1101812
     /* 1101812 */   GIM_Try, /*On fail goto*//*Label 16200*/ GIMT_Encode4(1101889), // Rule ID 60906 //
     /* 1101817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101856 */     // MIs[0] policy
     /* 1101856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101866 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1101866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101885 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101888 */     // GIR_Coverage, 60906,
     /* 1101888 */     GIR_EraseRootFromParent_Done,
     /* 1101889 */   // Label 16200: @1101889
     /* 1101889 */   GIM_Try, /*On fail goto*//*Label 16201*/ GIMT_Encode4(1101966), // Rule ID 60907 //
     /* 1101894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1101897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1101905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1101908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1101911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1101914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1101917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1101929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1101933 */     // MIs[0] policy
     /* 1101933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1101936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1101943 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11178:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1101943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1101946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1101948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1101950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1101952 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1101954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1101959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1101962 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1101964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1101965 */     // GIR_Coverage, 60907,
     /* 1101965 */     GIR_EraseRootFromParent_Done,
     /* 1101966 */   // Label 16201: @1101966
     /* 1101966 */   GIM_Try, /*On fail goto*//*Label 16202*/ GIMT_Encode4(1102043), // Rule ID 60910 //
     /* 1101971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1101974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1101979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1101982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1101985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1101988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1101991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1101994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1101998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102010 */     // MIs[0] policy
     /* 1102010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102020 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1102023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102042 */     // GIR_Coverage, 60910,
     /* 1102042 */     GIR_EraseRootFromParent_Done,
     /* 1102043 */   // Label 16202: @1102043
     /* 1102043 */   GIM_Try, /*On fail goto*//*Label 16203*/ GIMT_Encode4(1102120), // Rule ID 60911 //
     /* 1102048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1102059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1102062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1102065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1102068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102087 */     // MIs[0] policy
     /* 1102087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11178:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1102100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102119 */     // GIR_Coverage, 60911,
     /* 1102119 */     GIR_EraseRootFromParent_Done,
     /* 1102120 */   // Label 16203: @1102120
     /* 1102120 */   GIM_Try, /*On fail goto*//*Label 16204*/ GIMT_Encode4(1102197), // Rule ID 60914 //
     /* 1102125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102164 */     // MIs[0] policy
     /* 1102164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1102177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102196 */     // GIR_Coverage, 60914,
     /* 1102196 */     GIR_EraseRootFromParent_Done,
     /* 1102197 */   // Label 16204: @1102197
     /* 1102197 */   GIM_Try, /*On fail goto*//*Label 16205*/ GIMT_Encode4(1102274), // Rule ID 60915 //
     /* 1102202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1102213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1102216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1102219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1102222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102241 */     // MIs[0] policy
     /* 1102241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102251 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11178:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1102254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102260 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1102270 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102273 */     // GIR_Coverage, 60915,
     /* 1102273 */     GIR_EraseRootFromParent_Done,
     /* 1102274 */   // Label 16205: @1102274
     /* 1102274 */   GIM_Try, /*On fail goto*//*Label 16206*/ GIMT_Encode4(1102351), // Rule ID 60918 //
     /* 1102279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1102290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1102293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1102296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102318 */     // MIs[0] policy
     /* 1102318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1102331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102347 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102350 */     // GIR_Coverage, 60918,
     /* 1102350 */     GIR_EraseRootFromParent_Done,
     /* 1102351 */   // Label 16206: @1102351
     /* 1102351 */   GIM_Try, /*On fail goto*//*Label 16207*/ GIMT_Encode4(1102428), // Rule ID 60919 //
     /* 1102356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1102367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1102370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1102373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1102376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1102383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1102391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102395 */     // MIs[0] policy
     /* 1102395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102405 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11178:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1_MASK),
     /* 1102408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102414 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1102424 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102427 */     // GIR_Coverage, 60919,
     /* 1102427 */     GIR_EraseRootFromParent_Done,
     /* 1102428 */   // Label 16207: @1102428
     /* 1102428 */   GIM_Try, /*On fail goto*//*Label 16208*/ GIMT_Encode4(1102505), // Rule ID 60922 //
     /* 1102433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1102444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1102447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1102450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102472 */     // MIs[0] policy
     /* 1102472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102482 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102501 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102504 */     // GIR_Coverage, 60922,
     /* 1102504 */     GIR_EraseRootFromParent_Done,
     /* 1102505 */   // Label 16208: @1102505
     /* 1102505 */   GIM_Try, /*On fail goto*//*Label 16209*/ GIMT_Encode4(1102582), // Rule ID 60923 //
     /* 1102510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1102521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1102524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1102527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1102530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102549 */     // MIs[0] policy
     /* 1102549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102559 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102568 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102578 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102581 */     // GIR_Coverage, 60923,
     /* 1102581 */     GIR_EraseRootFromParent_Done,
     /* 1102582 */   // Label 16209: @1102582
     /* 1102582 */   GIM_Try, /*On fail goto*//*Label 16210*/ GIMT_Encode4(1102659), // Rule ID 60926 //
     /* 1102587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1102598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1102601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102626 */     // MIs[0] policy
     /* 1102626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102658 */     // GIR_Coverage, 60926,
     /* 1102658 */     GIR_EraseRootFromParent_Done,
     /* 1102659 */   // Label 16210: @1102659
     /* 1102659 */   GIM_Try, /*On fail goto*//*Label 16211*/ GIMT_Encode4(1102736), // Rule ID 60927 //
     /* 1102664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1102675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1102678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1102681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1102684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1102691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1102699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102703 */     // MIs[0] policy
     /* 1102703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102713 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1102716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102722 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102732 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102735 */     // GIR_Coverage, 60927,
     /* 1102735 */     GIR_EraseRootFromParent_Done,
     /* 1102736 */   // Label 16211: @1102736
     /* 1102736 */   GIM_Try, /*On fail goto*//*Label 16212*/ GIMT_Encode4(1102813), // Rule ID 60930 //
     /* 1102741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1102761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102780 */     // MIs[0] policy
     /* 1102780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102790 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102809 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102812 */     // GIR_Coverage, 60930,
     /* 1102812 */     GIR_EraseRootFromParent_Done,
     /* 1102813 */   // Label 16212: @1102813
     /* 1102813 */   GIM_Try, /*On fail goto*//*Label 16213*/ GIMT_Encode4(1102890), // Rule ID 60931 //
     /* 1102818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1102829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1102832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1102835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1102838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1102845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1102853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102857 */     // MIs[0] policy
     /* 1102857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102867 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1102867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1102870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102876 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1102886 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102889 */     // GIR_Coverage, 60931,
     /* 1102889 */     GIR_EraseRootFromParent_Done,
     /* 1102890 */   // Label 16213: @1102890
     /* 1102890 */   GIM_Try, /*On fail goto*//*Label 16214*/ GIMT_Encode4(1102967), // Rule ID 60934 //
     /* 1102895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1102898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1102918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1102930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1102934 */     // MIs[0] policy
     /* 1102934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1102937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1102944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1102944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1102947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1102949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1102951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1102953 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1102955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1102960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1102963 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1102965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1102966 */     // GIR_Coverage, 60934,
     /* 1102966 */     GIR_EraseRootFromParent_Done,
     /* 1102967 */   // Label 16214: @1102967
     /* 1102967 */   GIM_Try, /*On fail goto*//*Label 16215*/ GIMT_Encode4(1103044), // Rule ID 60935 //
     /* 1102972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1102975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1102980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1102983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1102986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1102989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1102992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1102995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1102999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103011 */     // MIs[0] policy
     /* 1103011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103021 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103043 */     // GIR_Coverage, 60935,
     /* 1103043 */     GIR_EraseRootFromParent_Done,
     /* 1103044 */   // Label 16215: @1103044
     /* 1103044 */   GIM_Try, /*On fail goto*//*Label 16216*/ GIMT_Encode4(1103121), // Rule ID 60938 //
     /* 1103049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1103060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1103063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1103066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103088 */     // MIs[0] policy
     /* 1103088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103098 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103120 */     // GIR_Coverage, 60938,
     /* 1103120 */     GIR_EraseRootFromParent_Done,
     /* 1103121 */   // Label 16216: @1103121
     /* 1103121 */   GIM_Try, /*On fail goto*//*Label 16217*/ GIMT_Encode4(1103198), // Rule ID 60939 //
     /* 1103126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1103137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1103140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1103143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103165 */     // MIs[0] policy
     /* 1103165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103175 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103184 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103194 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103197 */     // GIR_Coverage, 60939,
     /* 1103197 */     GIR_EraseRootFromParent_Done,
     /* 1103198 */   // Label 16217: @1103198
     /* 1103198 */   GIM_Try, /*On fail goto*//*Label 16218*/ GIMT_Encode4(1103275), // Rule ID 60942 //
     /* 1103203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1103214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1103217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1103220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1103223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103242 */     // MIs[0] policy
     /* 1103242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103252 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103271 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103274 */     // GIR_Coverage, 60942,
     /* 1103274 */     GIR_EraseRootFromParent_Done,
     /* 1103275 */   // Label 16218: @1103275
     /* 1103275 */   GIM_Try, /*On fail goto*//*Label 16219*/ GIMT_Encode4(1103352), // Rule ID 60943 //
     /* 1103280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1103291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1103294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1103297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1103300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103319 */     // MIs[0] policy
     /* 1103319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103329 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103338 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1103348 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103351 */     // GIR_Coverage, 60943,
     /* 1103351 */     GIR_EraseRootFromParent_Done,
     /* 1103352 */   // Label 16219: @1103352
     /* 1103352 */   GIM_Try, /*On fail goto*//*Label 16220*/ GIMT_Encode4(1103429), // Rule ID 60946 //
     /* 1103357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103396 */     // MIs[0] policy
     /* 1103396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103406 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103425 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103428 */     // GIR_Coverage, 60946,
     /* 1103428 */     GIR_EraseRootFromParent_Done,
     /* 1103429 */   // Label 16220: @1103429
     /* 1103429 */   GIM_Try, /*On fail goto*//*Label 16221*/ GIMT_Encode4(1103506), // Rule ID 60947 //
     /* 1103434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1103445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1103448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1103451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103473 */     // MIs[0] policy
     /* 1103473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103483 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103505 */     // GIR_Coverage, 60947,
     /* 1103505 */     GIR_EraseRootFromParent_Done,
     /* 1103506 */   // Label 16221: @1103506
     /* 1103506 */   GIM_Try, /*On fail goto*//*Label 16222*/ GIMT_Encode4(1103583), // Rule ID 60950 //
     /* 1103511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103550 */     // MIs[0] policy
     /* 1103550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103560 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103582 */     // GIR_Coverage, 60950,
     /* 1103582 */     GIR_EraseRootFromParent_Done,
     /* 1103583 */   // Label 16222: @1103583
     /* 1103583 */   GIM_Try, /*On fail goto*//*Label 16223*/ GIMT_Encode4(1103660), // Rule ID 60951 //
     /* 1103588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1103599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1103602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1103605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1103608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1103615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1103623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103627 */     // MIs[0] policy
     /* 1103627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103637 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1103640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103646 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103656 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103659 */     // GIR_Coverage, 60951,
     /* 1103659 */     GIR_EraseRootFromParent_Done,
     /* 1103660 */   // Label 16223: @1103660
     /* 1103660 */   GIM_Try, /*On fail goto*//*Label 16224*/ GIMT_Encode4(1103737), // Rule ID 60954 //
     /* 1103665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103704 */     // MIs[0] policy
     /* 1103704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103733 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103736 */     // GIR_Coverage, 60954,
     /* 1103736 */     GIR_EraseRootFromParent_Done,
     /* 1103737 */   // Label 16224: @1103737
     /* 1103737 */   GIM_Try, /*On fail goto*//*Label 16225*/ GIMT_Encode4(1103814), // Rule ID 60955 //
     /* 1103742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1103753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1103756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1103759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1103762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1103769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1103777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103781 */     // MIs[0] policy
     /* 1103781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103791 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1103794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103800 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1103810 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103813 */     // GIR_Coverage, 60955,
     /* 1103813 */     GIR_EraseRootFromParent_Done,
     /* 1103814 */   // Label 16225: @1103814
     /* 1103814 */   GIM_Try, /*On fail goto*//*Label 16226*/ GIMT_Encode4(1103891), // Rule ID 60958 //
     /* 1103819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103858 */     // MIs[0] policy
     /* 1103858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1103868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103887 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103890 */     // GIR_Coverage, 60958,
     /* 1103890 */     GIR_EraseRootFromParent_Done,
     /* 1103891 */   // Label 16226: @1103891
     /* 1103891 */   GIM_Try, /*On fail goto*//*Label 16227*/ GIMT_Encode4(1103968), // Rule ID 60959 //
     /* 1103896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1103899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1103907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1103910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1103913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1103916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1103919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1103923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1103931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1103935 */     // MIs[0] policy
     /* 1103935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1103938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1103945 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11178:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1103945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2_MASK),
     /* 1103948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1103950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1103952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1103954 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1103956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1103961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1103964 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1103966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1103967 */     // GIR_Coverage, 60959,
     /* 1103967 */     GIR_EraseRootFromParent_Done,
     /* 1103968 */   // Label 16227: @1103968
     /* 1103968 */   GIM_Try, /*On fail goto*//*Label 16228*/ GIMT_Encode4(1104045), // Rule ID 60962 //
     /* 1103973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1103976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1103981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1103984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1103987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1103990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1103993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1103996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104012 */     // MIs[0] policy
     /* 1104012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1104025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104041 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104044 */     // GIR_Coverage, 60962,
     /* 1104044 */     GIR_EraseRootFromParent_Done,
     /* 1104045 */   // Label 16228: @1104045
     /* 1104045 */   GIM_Try, /*On fail goto*//*Label 16229*/ GIMT_Encode4(1104122), // Rule ID 60963 //
     /* 1104050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1104053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1104058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1104061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1104064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1104067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1104077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1104085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104089 */     // MIs[0] policy
     /* 1104089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104099 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11178:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4_MASK),
     /* 1104102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104121 */     // GIR_Coverage, 60963,
     /* 1104121 */     GIR_EraseRootFromParent_Done,
     /* 1104122 */   // Label 16229: @1104122
     /* 1104122 */   GIM_Try, /*On fail goto*//*Label 16230*/ GIMT_Encode4(1104199), // Rule ID 60966 //
     /* 1104127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1104130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1104135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1104144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104166 */     // MIs[0] policy
     /* 1104166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1104179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104198 */     // GIR_Coverage, 60966,
     /* 1104198 */     GIR_EraseRootFromParent_Done,
     /* 1104199 */   // Label 16230: @1104199
     /* 1104199 */   GIM_Try, /*On fail goto*//*Label 16231*/ GIMT_Encode4(1104276), // Rule ID 60967 //
     /* 1104204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1104207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vcpopv_mask),
     /* 1104212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1104215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1104218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1104221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1104224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1104231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1104239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104243 */     // MIs[0] policy
     /* 1104243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11178:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCPOP_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8_MASK),
     /* 1104256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104262 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1104272 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104275 */     // GIR_Coverage, 60967,
     /* 1104275 */     GIR_EraseRootFromParent_Done,
     /* 1104276 */   // Label 16231: @1104276
     /* 1104276 */   GIM_Try, /*On fail goto*//*Label 16232*/ GIMT_Encode4(1104353), // Rule ID 61390 //
     /* 1104281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1104292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1104295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1104298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104320 */     // MIs[0] policy
     /* 1104320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1104333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104349 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104352 */     // GIR_Coverage, 61390,
     /* 1104352 */     GIR_EraseRootFromParent_Done,
     /* 1104353 */   // Label 16232: @1104353
     /* 1104353 */   GIM_Try, /*On fail goto*//*Label 16233*/ GIMT_Encode4(1104430), // Rule ID 61391 //
     /* 1104358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1104369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1104372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1104375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104397 */     // MIs[0] policy
     /* 1104397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104407 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF8_MASK),
     /* 1104410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104429 */     // GIR_Coverage, 61391,
     /* 1104429 */     GIR_EraseRootFromParent_Done,
     /* 1104430 */   // Label 16233: @1104430
     /* 1104430 */   GIM_Try, /*On fail goto*//*Label 16234*/ GIMT_Encode4(1104507), // Rule ID 61394 //
     /* 1104435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1104446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1104449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1104452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104474 */     // MIs[0] policy
     /* 1104474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104484 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104493 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104503 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104506 */     // GIR_Coverage, 61394,
     /* 1104506 */     GIR_EraseRootFromParent_Done,
     /* 1104507 */   // Label 16234: @1104507
     /* 1104507 */   GIM_Try, /*On fail goto*//*Label 16235*/ GIMT_Encode4(1104584), // Rule ID 61395 //
     /* 1104512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1104523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1104526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1104529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104551 */     // MIs[0] policy
     /* 1104551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104561 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104570 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104580 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104583 */     // GIR_Coverage, 61395,
     /* 1104583 */     GIR_EraseRootFromParent_Done,
     /* 1104584 */   // Label 16235: @1104584
     /* 1104584 */   GIM_Try, /*On fail goto*//*Label 16236*/ GIMT_Encode4(1104661), // Rule ID 61398 //
     /* 1104589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1104600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1104603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1104606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104628 */     // MIs[0] policy
     /* 1104628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104638 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104657 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104660 */     // GIR_Coverage, 61398,
     /* 1104660 */     GIR_EraseRootFromParent_Done,
     /* 1104661 */   // Label 16236: @1104661
     /* 1104661 */   GIM_Try, /*On fail goto*//*Label 16237*/ GIMT_Encode4(1104738), // Rule ID 61399 //
     /* 1104666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1104677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1104680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1104683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1104686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104705 */     // MIs[0] policy
     /* 1104705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104715 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104724 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1104734 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104737 */     // GIR_Coverage, 61399,
     /* 1104737 */     GIR_EraseRootFromParent_Done,
     /* 1104738 */   // Label 16237: @1104738
     /* 1104738 */   GIM_Try, /*On fail goto*//*Label 16238*/ GIMT_Encode4(1104815), // Rule ID 61402 //
     /* 1104743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1104754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1104757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104782 */     // MIs[0] policy
     /* 1104782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104811 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104814 */     // GIR_Coverage, 61402,
     /* 1104814 */     GIR_EraseRootFromParent_Done,
     /* 1104815 */   // Label 16238: @1104815
     /* 1104815 */   GIM_Try, /*On fail goto*//*Label 16239*/ GIMT_Encode4(1104892), // Rule ID 61403 //
     /* 1104820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1104831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1104834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1104837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1104840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104859 */     // MIs[0] policy
     /* 1104859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104869 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1104869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF4_MASK),
     /* 1104872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104891 */     // GIR_Coverage, 61403,
     /* 1104891 */     GIR_EraseRootFromParent_Done,
     /* 1104892 */   // Label 16239: @1104892
     /* 1104892 */   GIM_Try, /*On fail goto*//*Label 16240*/ GIMT_Encode4(1104969), // Rule ID 61406 //
     /* 1104897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1104900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1104908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1104911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1104920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1104924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1104932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1104936 */     // MIs[0] policy
     /* 1104936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1104939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1104946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1104946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1104949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1104951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1104953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1104955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1104957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1104962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1104965 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1104967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1104968 */     // GIR_Coverage, 61406,
     /* 1104968 */     GIR_EraseRootFromParent_Done,
     /* 1104969 */   // Label 16240: @1104969
     /* 1104969 */   GIM_Try, /*On fail goto*//*Label 16241*/ GIMT_Encode4(1105046), // Rule ID 61407 //
     /* 1104974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1104977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1104982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1104985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1104988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1104991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1104994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1104997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105013 */     // MIs[0] policy
     /* 1105013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105023 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1105026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105032 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105042 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105045 */     // GIR_Coverage, 61407,
     /* 1105045 */     GIR_EraseRootFromParent_Done,
     /* 1105046 */   // Label 16241: @1105046
     /* 1105046 */   GIM_Try, /*On fail goto*//*Label 16242*/ GIMT_Encode4(1105123), // Rule ID 61410 //
     /* 1105051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1105071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105090 */     // MIs[0] policy
     /* 1105090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105100 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1105103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105119 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105122 */     // GIR_Coverage, 61410,
     /* 1105122 */     GIR_EraseRootFromParent_Done,
     /* 1105123 */   // Label 16242: @1105123
     /* 1105123 */   GIM_Try, /*On fail goto*//*Label 16243*/ GIMT_Encode4(1105200), // Rule ID 61411 //
     /* 1105128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1105139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1105142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1105145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1105148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105167 */     // MIs[0] policy
     /* 1105167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105177 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_MF2_MASK),
     /* 1105180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105186 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105196 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105199 */     // GIR_Coverage, 61411,
     /* 1105199 */     GIR_EraseRootFromParent_Done,
     /* 1105200 */   // Label 16243: @1105200
     /* 1105200 */   GIM_Try, /*On fail goto*//*Label 16244*/ GIMT_Encode4(1105277), // Rule ID 61414 //
     /* 1105205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1105216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1105219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1105222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105244 */     // MIs[0] policy
     /* 1105244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105254 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105263 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105273 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105276 */     // GIR_Coverage, 61414,
     /* 1105276 */     GIR_EraseRootFromParent_Done,
     /* 1105277 */   // Label 16244: @1105277
     /* 1105277 */   GIM_Try, /*On fail goto*//*Label 16245*/ GIMT_Encode4(1105354), // Rule ID 61415 //
     /* 1105282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1105293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1105296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1105299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1105302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105321 */     // MIs[0] policy
     /* 1105321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105331 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11167:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105340 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105350 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105353 */     // GIR_Coverage, 61415,
     /* 1105353 */     GIR_EraseRootFromParent_Done,
     /* 1105354 */   // Label 16245: @1105354
     /* 1105354 */   GIM_Try, /*On fail goto*//*Label 16246*/ GIMT_Encode4(1105431), // Rule ID 61418 //
     /* 1105359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1105370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1105373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1105376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105398 */     // MIs[0] policy
     /* 1105398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105427 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105430 */     // GIR_Coverage, 61418,
     /* 1105430 */     GIR_EraseRootFromParent_Done,
     /* 1105431 */   // Label 16246: @1105431
     /* 1105431 */   GIM_Try, /*On fail goto*//*Label 16247*/ GIMT_Encode4(1105508), // Rule ID 61419 //
     /* 1105436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1105447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1105450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1105453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1105456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105475 */     // MIs[0] policy
     /* 1105475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105485 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11167:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1105504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105507 */     // GIR_Coverage, 61419,
     /* 1105507 */     GIR_EraseRootFromParent_Done,
     /* 1105508 */   // Label 16247: @1105508
     /* 1105508 */   GIM_Try, /*On fail goto*//*Label 16248*/ GIMT_Encode4(1105585), // Rule ID 61422 //
     /* 1105513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105552 */     // MIs[0] policy
     /* 1105552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105562 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105581 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105584 */     // GIR_Coverage, 61422,
     /* 1105584 */     GIR_EraseRootFromParent_Done,
     /* 1105585 */   // Label 16248: @1105585
     /* 1105585 */   GIM_Try, /*On fail goto*//*Label 16249*/ GIMT_Encode4(1105662), // Rule ID 61423 //
     /* 1105590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1105601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1105604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1105607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1105610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105629 */     // MIs[0] policy
     /* 1105629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105639 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11167:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105648 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1105658 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105660 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105661 */     // GIR_Coverage, 61423,
     /* 1105661 */     GIR_EraseRootFromParent_Done,
     /* 1105662 */   // Label 16249: @1105662
     /* 1105662 */   GIM_Try, /*On fail goto*//*Label 16250*/ GIMT_Encode4(1105739), // Rule ID 61426 //
     /* 1105667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1105684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1105687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105706 */     // MIs[0] policy
     /* 1105706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105725 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105735 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105738 */     // GIR_Coverage, 61426,
     /* 1105738 */     GIR_EraseRootFromParent_Done,
     /* 1105739 */   // Label 16250: @1105739
     /* 1105739 */   GIM_Try, /*On fail goto*//*Label 16251*/ GIMT_Encode4(1105816), // Rule ID 61427 //
     /* 1105744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1105755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1105758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1105761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1105764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1105771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1105779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105783 */     // MIs[0] policy
     /* 1105783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105793 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11167:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M1_MASK),
     /* 1105796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105802 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1105812 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105815 */     // GIR_Coverage, 61427,
     /* 1105815 */     GIR_EraseRootFromParent_Done,
     /* 1105816 */   // Label 16251: @1105816
     /* 1105816 */   GIM_Try, /*On fail goto*//*Label 16252*/ GIMT_Encode4(1105893), // Rule ID 61430 //
     /* 1105821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1105838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105860 */     // MIs[0] policy
     /* 1105860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1105870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105889 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105892 */     // GIR_Coverage, 61430,
     /* 1105892 */     GIR_EraseRootFromParent_Done,
     /* 1105893 */   // Label 16252: @1105893
     /* 1105893 */   GIM_Try, /*On fail goto*//*Label 16253*/ GIMT_Encode4(1105970), // Rule ID 61431 //
     /* 1105898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1105901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1105909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1105912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1105915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1105918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1105921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1105925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1105933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1105937 */     // MIs[0] policy
     /* 1105937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1105940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1105947 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1105947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1105950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1105952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1105954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1105956 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1105958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1105963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1105966 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1105968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1105969 */     // GIR_Coverage, 61431,
     /* 1105969 */     GIR_EraseRootFromParent_Done,
     /* 1105970 */   // Label 16253: @1105970
     /* 1105970 */   GIM_Try, /*On fail goto*//*Label 16254*/ GIMT_Encode4(1106047), // Rule ID 61434 //
     /* 1105975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1105978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1105983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1105986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1105989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1105992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1105995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1105998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106014 */     // MIs[0] policy
     /* 1106014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1106043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106046 */     // GIR_Coverage, 61434,
     /* 1106046 */     GIR_EraseRootFromParent_Done,
     /* 1106047 */   // Label 16254: @1106047
     /* 1106047 */   GIM_Try, /*On fail goto*//*Label 16255*/ GIMT_Encode4(1106124), // Rule ID 61435 //
     /* 1106052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1106063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1106066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1106069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1106072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106091 */     // MIs[0] policy
     /* 1106091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106101 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1106120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106123 */     // GIR_Coverage, 61435,
     /* 1106123 */     GIR_EraseRootFromParent_Done,
     /* 1106124 */   // Label 16255: @1106124
     /* 1106124 */   GIM_Try, /*On fail goto*//*Label 16256*/ GIMT_Encode4(1106201), // Rule ID 61438 //
     /* 1106129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1106140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1106143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1106146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1106149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106168 */     // MIs[0] policy
     /* 1106168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106178 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1106197 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106200 */     // GIR_Coverage, 61438,
     /* 1106200 */     GIR_EraseRootFromParent_Done,
     /* 1106201 */   // Label 16256: @1106201
     /* 1106201 */   GIM_Try, /*On fail goto*//*Label 16257*/ GIMT_Encode4(1106278), // Rule ID 61439 //
     /* 1106206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1106217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1106220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1106223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1106226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106245 */     // MIs[0] policy
     /* 1106245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106255 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106264 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1106274 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106277 */     // GIR_Coverage, 61439,
     /* 1106277 */     GIR_EraseRootFromParent_Done,
     /* 1106278 */   // Label 16257: @1106278
     /* 1106278 */   GIM_Try, /*On fail goto*//*Label 16258*/ GIMT_Encode4(1106355), // Rule ID 61442 //
     /* 1106283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1106294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1106297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1106300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106322 */     // MIs[0] policy
     /* 1106322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106351 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106354 */     // GIR_Coverage, 61442,
     /* 1106354 */     GIR_EraseRootFromParent_Done,
     /* 1106355 */   // Label 16258: @1106355
     /* 1106355 */   GIM_Try, /*On fail goto*//*Label 16259*/ GIMT_Encode4(1106432), // Rule ID 61443 //
     /* 1106360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1106371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1106374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1106377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106399 */     // MIs[0] policy
     /* 1106399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106409 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106418 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106428 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106431 */     // GIR_Coverage, 61443,
     /* 1106431 */     GIR_EraseRootFromParent_Done,
     /* 1106432 */   // Label 16259: @1106432
     /* 1106432 */   GIM_Try, /*On fail goto*//*Label 16260*/ GIMT_Encode4(1106509), // Rule ID 61446 //
     /* 1106437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1106448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1106451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1106454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106476 */     // MIs[0] policy
     /* 1106476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106486 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106495 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106505 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106508 */     // GIR_Coverage, 61446,
     /* 1106508 */     GIR_EraseRootFromParent_Done,
     /* 1106509 */   // Label 16260: @1106509
     /* 1106509 */   GIM_Try, /*On fail goto*//*Label 16261*/ GIMT_Encode4(1106586), // Rule ID 61447 //
     /* 1106514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1106525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1106528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1106531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1106534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106553 */     // MIs[0] policy
     /* 1106553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106563 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106572 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106582 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106585 */     // GIR_Coverage, 61447,
     /* 1106585 */     GIR_EraseRootFromParent_Done,
     /* 1106586 */   // Label 16261: @1106586
     /* 1106586 */   GIM_Try, /*On fail goto*//*Label 16262*/ GIMT_Encode4(1106663), // Rule ID 61450 //
     /* 1106591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1106602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1106605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1106608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1106611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106630 */     // MIs[0] policy
     /* 1106630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106659 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106662 */     // GIR_Coverage, 61450,
     /* 1106662 */     GIR_EraseRootFromParent_Done,
     /* 1106663 */   // Label 16262: @1106663
     /* 1106663 */   GIM_Try, /*On fail goto*//*Label 16263*/ GIMT_Encode4(1106740), // Rule ID 61451 //
     /* 1106668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1106679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1106682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1106685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1106688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1106695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1106703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106707 */     // MIs[0] policy
     /* 1106707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106717 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1106720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106726 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1106736 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106739 */     // GIR_Coverage, 61451,
     /* 1106739 */     GIR_EraseRootFromParent_Done,
     /* 1106740 */   // Label 16263: @1106740
     /* 1106740 */   GIM_Try, /*On fail goto*//*Label 16264*/ GIMT_Encode4(1106817), // Rule ID 61454 //
     /* 1106745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106784 */     // MIs[0] policy
     /* 1106784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106794 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106816 */     // GIR_Coverage, 61454,
     /* 1106816 */     GIR_EraseRootFromParent_Done,
     /* 1106817 */   // Label 16264: @1106817
     /* 1106817 */   GIM_Try, /*On fail goto*//*Label 16265*/ GIMT_Encode4(1106894), // Rule ID 61455 //
     /* 1106822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1106833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1106836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1106839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1106842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1106849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1106857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106861 */     // MIs[0] policy
     /* 1106861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106871 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1106871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1106874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106893 */     // GIR_Coverage, 61455,
     /* 1106893 */     GIR_EraseRootFromParent_Done,
     /* 1106894 */   // Label 16265: @1106894
     /* 1106894 */   GIM_Try, /*On fail goto*//*Label 16266*/ GIMT_Encode4(1106971), // Rule ID 61458 //
     /* 1106899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1106902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1106922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1106926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1106934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1106938 */     // MIs[0] policy
     /* 1106938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1106941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1106948 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1106948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1106951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1106953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1106955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1106957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1106959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1106964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1106967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1106969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1106970 */     // GIR_Coverage, 61458,
     /* 1106970 */     GIR_EraseRootFromParent_Done,
     /* 1106971 */   // Label 16266: @1106971
     /* 1106971 */   GIM_Try, /*On fail goto*//*Label 16267*/ GIMT_Encode4(1107048), // Rule ID 61459 //
     /* 1106976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1106979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1106984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1106987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1106990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1106993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1106996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1106999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1107003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107015 */     // MIs[0] policy
     /* 1107015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107025 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1107028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107047 */     // GIR_Coverage, 61459,
     /* 1107047 */     GIR_EraseRootFromParent_Done,
     /* 1107048 */   // Label 16267: @1107048
     /* 1107048 */   GIM_Try, /*On fail goto*//*Label 16268*/ GIMT_Encode4(1107125), // Rule ID 61462 //
     /* 1107053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1107073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1107080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107092 */     // MIs[0] policy
     /* 1107092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107102 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1107105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107121 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107124 */     // GIR_Coverage, 61462,
     /* 1107124 */     GIR_EraseRootFromParent_Done,
     /* 1107125 */   // Label 16268: @1107125
     /* 1107125 */   GIM_Try, /*On fail goto*//*Label 16269*/ GIMT_Encode4(1107202), // Rule ID 61463 //
     /* 1107130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1107141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1107144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1107147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1107150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1107157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107169 */     // MIs[0] policy
     /* 1107169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107179 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1107182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107184 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107188 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1107198 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107201 */     // GIR_Coverage, 61463,
     /* 1107201 */     GIR_EraseRootFromParent_Done,
     /* 1107202 */   // Label 16269: @1107202
     /* 1107202 */   GIM_Try, /*On fail goto*//*Label 16270*/ GIMT_Encode4(1107279), // Rule ID 61466 //
     /* 1107207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1107218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1107221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1107224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1107234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107246 */     // MIs[0] policy
     /* 1107246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1107259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107265 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107275 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107278 */     // GIR_Coverage, 61466,
     /* 1107278 */     GIR_EraseRootFromParent_Done,
     /* 1107279 */   // Label 16270: @1107279
     /* 1107279 */   GIM_Try, /*On fail goto*//*Label 16271*/ GIMT_Encode4(1107356), // Rule ID 61467 //
     /* 1107284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1107295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1107298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1107301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1107311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1107319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107323 */     // MIs[0] policy
     /* 1107323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107333 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11167:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M2_MASK),
     /* 1107336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107342 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107352 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107355 */     // GIR_Coverage, 61467,
     /* 1107355 */     GIR_EraseRootFromParent_Done,
     /* 1107356 */   // Label 16271: @1107356
     /* 1107356 */   GIM_Try, /*On fail goto*//*Label 16272*/ GIMT_Encode4(1107433), // Rule ID 61470 //
     /* 1107361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1107372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1107375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1107378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1107381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1107388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107400 */     // MIs[0] policy
     /* 1107400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107410 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1107413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107429 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107432 */     // GIR_Coverage, 61470,
     /* 1107432 */     GIR_EraseRootFromParent_Done,
     /* 1107433 */   // Label 16272: @1107433
     /* 1107433 */   GIM_Try, /*On fail goto*//*Label 16273*/ GIMT_Encode4(1107510), // Rule ID 61471 //
     /* 1107438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1107449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1107452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1107455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1107458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1107465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1107473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107477 */     // MIs[0] policy
     /* 1107477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107487 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11167:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M4_MASK),
     /* 1107490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107496 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107506 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107508 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107509 */     // GIR_Coverage, 61471,
     /* 1107509 */     GIR_EraseRootFromParent_Done,
     /* 1107510 */   // Label 16273: @1107510
     /* 1107510 */   GIM_Try, /*On fail goto*//*Label 16274*/ GIMT_Encode4(1107587), // Rule ID 61474 //
     /* 1107515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1107526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1107529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1107532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1107535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1107542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107554 */     // MIs[0] policy
     /* 1107554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1107567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107573 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107583 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107586 */     // GIR_Coverage, 61474,
     /* 1107586 */     GIR_EraseRootFromParent_Done,
     /* 1107587 */   // Label 16274: @1107587
     /* 1107587 */   GIM_Try, /*On fail goto*//*Label 16275*/ GIMT_Encode4(1107664), // Rule ID 61475 //
     /* 1107592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vbrev8_mask),
     /* 1107600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1107603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1107606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1107609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1107612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1107619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1107627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107631 */     // MIs[0] policy
     /* 1107631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107641 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11167:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVBREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV8_V_M8_MASK),
     /* 1107644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107650 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1107660 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107663 */     // GIR_Coverage, 61475,
     /* 1107663 */     GIR_EraseRootFromParent_Done,
     /* 1107664 */   // Label 16275: @1107664
     /* 1107664 */   GIM_Try, /*On fail goto*//*Label 16276*/ GIMT_Encode4(1107741), // Rule ID 61478 //
     /* 1107669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1107680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1107683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1107686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107708 */     // MIs[0] policy
     /* 1107708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1107721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107737 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107740 */     // GIR_Coverage, 61478,
     /* 1107740 */     GIR_EraseRootFromParent_Done,
     /* 1107741 */   // Label 16276: @1107741
     /* 1107741 */   GIM_Try, /*On fail goto*//*Label 16277*/ GIMT_Encode4(1107818), // Rule ID 61479 //
     /* 1107746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1107757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1107760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1107763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1107766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107785 */     // MIs[0] policy
     /* 1107785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107795 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8_MASK),
     /* 1107798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107804 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107814 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107817 */     // GIR_Coverage, 61479,
     /* 1107817 */     GIR_EraseRootFromParent_Done,
     /* 1107818 */   // Label 16277: @1107818
     /* 1107818 */   GIM_Try, /*On fail goto*//*Label 16278*/ GIMT_Encode4(1107895), // Rule ID 61482 //
     /* 1107823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1107834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1107837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1107840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1107846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107862 */     // MIs[0] policy
     /* 1107862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1107872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107891 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107894 */     // GIR_Coverage, 61482,
     /* 1107894 */     GIR_EraseRootFromParent_Done,
     /* 1107895 */   // Label 16278: @1107895
     /* 1107895 */   GIM_Try, /*On fail goto*//*Label 16279*/ GIMT_Encode4(1107972), // Rule ID 61483 //
     /* 1107900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1107903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1107911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1107914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1107917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1107920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1107923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1107927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1107935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1107939 */     // MIs[0] policy
     /* 1107939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1107942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1107949 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1107949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1107952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1107954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1107956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1107958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1107960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1107965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1107968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1107970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1107971 */     // GIR_Coverage, 61483,
     /* 1107971 */     GIR_EraseRootFromParent_Done,
     /* 1107972 */   // Label 16279: @1107972
     /* 1107972 */   GIM_Try, /*On fail goto*//*Label 16280*/ GIMT_Encode4(1108049), // Rule ID 61486 //
     /* 1107977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1107980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1107985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1107988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1107991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1107994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1107997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108016 */     // MIs[0] policy
     /* 1108016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1108029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108048 */     // GIR_Coverage, 61486,
     /* 1108048 */     GIR_EraseRootFromParent_Done,
     /* 1108049 */   // Label 16280: @1108049
     /* 1108049 */   GIM_Try, /*On fail goto*//*Label 16281*/ GIMT_Encode4(1108126), // Rule ID 61487 //
     /* 1108054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1108065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1108068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1108071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1108074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108093 */     // MIs[0] policy
     /* 1108093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108103 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1108106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108112 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108122 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108124 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108125 */     // GIR_Coverage, 61487,
     /* 1108125 */     GIR_EraseRootFromParent_Done,
     /* 1108126 */   // Label 16281: @1108126
     /* 1108126 */   GIM_Try, /*On fail goto*//*Label 16282*/ GIMT_Encode4(1108203), // Rule ID 61490 //
     /* 1108131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1108142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1108145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1108148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108170 */     // MIs[0] policy
     /* 1108170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108180 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1108183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108202 */     // GIR_Coverage, 61490,
     /* 1108202 */     GIR_EraseRootFromParent_Done,
     /* 1108203 */   // Label 16282: @1108203
     /* 1108203 */   GIM_Try, /*On fail goto*//*Label 16283*/ GIMT_Encode4(1108280), // Rule ID 61491 //
     /* 1108208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1108219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1108222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1108225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108247 */     // MIs[0] policy
     /* 1108247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108257 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4_MASK),
     /* 1108260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108266 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108276 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108279 */     // GIR_Coverage, 61491,
     /* 1108279 */     GIR_EraseRootFromParent_Done,
     /* 1108280 */   // Label 16283: @1108280
     /* 1108280 */   GIM_Try, /*On fail goto*//*Label 16284*/ GIMT_Encode4(1108357), // Rule ID 61494 //
     /* 1108285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1108296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1108299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1108302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1108305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108324 */     // MIs[0] policy
     /* 1108324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108334 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1108337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108353 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108356 */     // GIR_Coverage, 61494,
     /* 1108356 */     GIR_EraseRootFromParent_Done,
     /* 1108357 */   // Label 16284: @1108357
     /* 1108357 */   GIM_Try, /*On fail goto*//*Label 16285*/ GIMT_Encode4(1108434), // Rule ID 61495 //
     /* 1108362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1108373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1108376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1108379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1108382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108401 */     // MIs[0] policy
     /* 1108401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108411 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1108414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108420 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108430 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108433 */     // GIR_Coverage, 61495,
     /* 1108433 */     GIR_EraseRootFromParent_Done,
     /* 1108434 */   // Label 16285: @1108434
     /* 1108434 */   GIM_Try, /*On fail goto*//*Label 16286*/ GIMT_Encode4(1108511), // Rule ID 61498 //
     /* 1108439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108478 */     // MIs[0] policy
     /* 1108478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108488 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1108491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108507 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108510 */     // GIR_Coverage, 61498,
     /* 1108510 */     GIR_EraseRootFromParent_Done,
     /* 1108511 */   // Label 16286: @1108511
     /* 1108511 */   GIM_Try, /*On fail goto*//*Label 16287*/ GIMT_Encode4(1108588), // Rule ID 61499 //
     /* 1108516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1108527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1108530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1108533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1108536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108555 */     // MIs[0] policy
     /* 1108555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108565 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2_MASK),
     /* 1108568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108574 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108584 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108587 */     // GIR_Coverage, 61499,
     /* 1108587 */     GIR_EraseRootFromParent_Done,
     /* 1108588 */   // Label 16287: @1108588
     /* 1108588 */   GIM_Try, /*On fail goto*//*Label 16288*/ GIMT_Encode4(1108665), // Rule ID 61502 //
     /* 1108593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1108604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1108607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1108610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1108613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108632 */     // MIs[0] policy
     /* 1108632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108642 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108664 */     // GIR_Coverage, 61502,
     /* 1108664 */     GIR_EraseRootFromParent_Done,
     /* 1108665 */   // Label 16288: @1108665
     /* 1108665 */   GIM_Try, /*On fail goto*//*Label 16289*/ GIMT_Encode4(1108742), // Rule ID 61503 //
     /* 1108670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1108681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1108684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1108687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1108690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108709 */     // MIs[0] policy
     /* 1108709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108719 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11518:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1108738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108741 */     // GIR_Coverage, 61503,
     /* 1108741 */     GIR_EraseRootFromParent_Done,
     /* 1108742 */   // Label 16289: @1108742
     /* 1108742 */   GIM_Try, /*On fail goto*//*Label 16290*/ GIMT_Encode4(1108819), // Rule ID 61506 //
     /* 1108747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1108758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1108761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1108764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1108767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108786 */     // MIs[0] policy
     /* 1108786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108805 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108815 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108818 */     // GIR_Coverage, 61506,
     /* 1108818 */     GIR_EraseRootFromParent_Done,
     /* 1108819 */   // Label 16290: @1108819
     /* 1108819 */   GIM_Try, /*On fail goto*//*Label 16291*/ GIMT_Encode4(1108896), // Rule ID 61507 //
     /* 1108824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1108835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1108838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1108841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1108844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1108847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108863 */     // MIs[0] policy
     /* 1108863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108873 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11518:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1108873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108882 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1108892 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108895 */     // GIR_Coverage, 61507,
     /* 1108895 */     GIR_EraseRootFromParent_Done,
     /* 1108896 */   // Label 16291: @1108896
     /* 1108896 */   GIM_Try, /*On fail goto*//*Label 16292*/ GIMT_Encode4(1108973), // Rule ID 61510 //
     /* 1108901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1108904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1108921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1108924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1108928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1108936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1108940 */     // MIs[0] policy
     /* 1108940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1108943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1108950 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1108950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1108953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1108955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1108957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1108959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1108961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1108966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1108969 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1108971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1108972 */     // GIR_Coverage, 61510,
     /* 1108972 */     GIR_EraseRootFromParent_Done,
     /* 1108973 */   // Label 16292: @1108973
     /* 1108973 */   GIM_Try, /*On fail goto*//*Label 16293*/ GIMT_Encode4(1109050), // Rule ID 61511 //
     /* 1108978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1108981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1108986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1108989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1108992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1108995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1108998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1109005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109017 */     // MIs[0] policy
     /* 1109017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109027 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11518:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1109030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109036 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1109046 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109049 */     // GIR_Coverage, 61511,
     /* 1109049 */     GIR_EraseRootFromParent_Done,
     /* 1109050 */   // Label 16293: @1109050
     /* 1109050 */   GIM_Try, /*On fail goto*//*Label 16294*/ GIMT_Encode4(1109127), // Rule ID 61514 //
     /* 1109055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1109075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1109082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109094 */     // MIs[0] policy
     /* 1109094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109104 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1109107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109123 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109126 */     // GIR_Coverage, 61514,
     /* 1109126 */     GIR_EraseRootFromParent_Done,
     /* 1109127 */   // Label 16294: @1109127
     /* 1109127 */   GIM_Try, /*On fail goto*//*Label 16295*/ GIMT_Encode4(1109204), // Rule ID 61515 //
     /* 1109132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1109143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1109146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1109149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1109152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1109159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1109167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109171 */     // MIs[0] policy
     /* 1109171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109181 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11518:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1_MASK),
     /* 1109184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109190 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1109200 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109203 */     // GIR_Coverage, 61515,
     /* 1109203 */     GIR_EraseRootFromParent_Done,
     /* 1109204 */   // Label 16295: @1109204
     /* 1109204 */   GIM_Try, /*On fail goto*//*Label 16296*/ GIMT_Encode4(1109281), // Rule ID 61518 //
     /* 1109209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1109220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1109223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1109226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109248 */     // MIs[0] policy
     /* 1109248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109277 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109280 */     // GIR_Coverage, 61518,
     /* 1109280 */     GIR_EraseRootFromParent_Done,
     /* 1109281 */   // Label 16296: @1109281
     /* 1109281 */   GIM_Try, /*On fail goto*//*Label 16297*/ GIMT_Encode4(1109358), // Rule ID 61519 //
     /* 1109286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1109297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1109300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1109303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109325 */     // MIs[0] policy
     /* 1109325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109335 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109357 */     // GIR_Coverage, 61519,
     /* 1109357 */     GIR_EraseRootFromParent_Done,
     /* 1109358 */   // Label 16297: @1109358
     /* 1109358 */   GIM_Try, /*On fail goto*//*Label 16298*/ GIMT_Encode4(1109435), // Rule ID 61522 //
     /* 1109363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1109374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1109377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1109380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1109383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109402 */     // MIs[0] policy
     /* 1109402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109431 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109434 */     // GIR_Coverage, 61522,
     /* 1109434 */     GIR_EraseRootFromParent_Done,
     /* 1109435 */   // Label 16298: @1109435
     /* 1109435 */   GIM_Try, /*On fail goto*//*Label 16299*/ GIMT_Encode4(1109512), // Rule ID 61523 //
     /* 1109440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1109451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1109454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1109457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1109460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109479 */     // MIs[0] policy
     /* 1109479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109489 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109498 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109508 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109511 */     // GIR_Coverage, 61523,
     /* 1109511 */     GIR_EraseRootFromParent_Done,
     /* 1109512 */   // Label 16299: @1109512
     /* 1109512 */   GIM_Try, /*On fail goto*//*Label 16300*/ GIMT_Encode4(1109589), // Rule ID 61526 //
     /* 1109517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1109528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1109531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1109534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1109537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109556 */     // MIs[0] policy
     /* 1109556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109588 */     // GIR_Coverage, 61526,
     /* 1109588 */     GIR_EraseRootFromParent_Done,
     /* 1109589 */   // Label 16300: @1109589
     /* 1109589 */   GIM_Try, /*On fail goto*//*Label 16301*/ GIMT_Encode4(1109666), // Rule ID 61527 //
     /* 1109594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1109605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1109608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1109611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 1109614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1109621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1109629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109633 */     // MIs[0] policy
     /* 1109633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109643 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1109646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1109662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109665 */     // GIR_Coverage, 61527,
     /* 1109665 */     GIR_EraseRootFromParent_Done,
     /* 1109666 */   // Label 16301: @1109666
     /* 1109666 */   GIM_Try, /*On fail goto*//*Label 16302*/ GIMT_Encode4(1109743), // Rule ID 61530 //
     /* 1109671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1109682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1109685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1109688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109710 */     // MIs[0] policy
     /* 1109710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109739 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109742 */     // GIR_Coverage, 61530,
     /* 1109742 */     GIR_EraseRootFromParent_Done,
     /* 1109743 */   // Label 16302: @1109743
     /* 1109743 */   GIM_Try, /*On fail goto*//*Label 16303*/ GIMT_Encode4(1109820), // Rule ID 61531 //
     /* 1109748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1109759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1109762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1109765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1109768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1109775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1109783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109787 */     // MIs[0] policy
     /* 1109787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1109800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109806 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109816 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109819 */     // GIR_Coverage, 61531,
     /* 1109819 */     GIR_EraseRootFromParent_Done,
     /* 1109820 */   // Label 16303: @1109820
     /* 1109820 */   GIM_Try, /*On fail goto*//*Label 16304*/ GIMT_Encode4(1109897), // Rule ID 61534 //
     /* 1109825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1109836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1109839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1109842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1109848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109864 */     // MIs[0] policy
     /* 1109864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109874 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1109874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109896 */     // GIR_Coverage, 61534,
     /* 1109896 */     GIR_EraseRootFromParent_Done,
     /* 1109897 */   // Label 16304: @1109897
     /* 1109897 */   GIM_Try, /*On fail goto*//*Label 16305*/ GIMT_Encode4(1109974), // Rule ID 61535 //
     /* 1109902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1109905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1109913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1109916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1109919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1109922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1109925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1109929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1109937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1109941 */     // MIs[0] policy
     /* 1109941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1109944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1109951 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1109951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1109954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1109956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1109958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1109960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1109962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1109967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1109970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1109972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1109973 */     // GIR_Coverage, 61535,
     /* 1109973 */     GIR_EraseRootFromParent_Done,
     /* 1109974 */   // Label 16305: @1109974
     /* 1109974 */   GIM_Try, /*On fail goto*//*Label 16306*/ GIMT_Encode4(1110051), // Rule ID 61538 //
     /* 1109979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1109982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1109987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1109990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1109993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1109996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1109999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110018 */     // MIs[0] policy
     /* 1110018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110037 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110047 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110050 */     // GIR_Coverage, 61538,
     /* 1110050 */     GIR_EraseRootFromParent_Done,
     /* 1110051 */   // Label 16306: @1110051
     /* 1110051 */   GIM_Try, /*On fail goto*//*Label 16307*/ GIMT_Encode4(1110128), // Rule ID 61539 //
     /* 1110056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1110067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1110070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1110073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1110076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110095 */     // MIs[0] policy
     /* 1110095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110105 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1110124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110127 */     // GIR_Coverage, 61539,
     /* 1110127 */     GIR_EraseRootFromParent_Done,
     /* 1110128 */   // Label 16307: @1110128
     /* 1110128 */   GIM_Try, /*On fail goto*//*Label 16308*/ GIMT_Encode4(1110205), // Rule ID 61542 //
     /* 1110133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1110153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1110160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110172 */     // MIs[0] policy
     /* 1110172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1110185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110201 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110204 */     // GIR_Coverage, 61542,
     /* 1110204 */     GIR_EraseRootFromParent_Done,
     /* 1110205 */   // Label 16308: @1110205
     /* 1110205 */   GIM_Try, /*On fail goto*//*Label 16309*/ GIMT_Encode4(1110282), // Rule ID 61543 //
     /* 1110210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1110221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1110224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1110227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1110230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1110237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110249 */     // MIs[0] policy
     /* 1110249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110259 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1110262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110268 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110278 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110281 */     // GIR_Coverage, 61543,
     /* 1110281 */     GIR_EraseRootFromParent_Done,
     /* 1110282 */   // Label 16309: @1110282
     /* 1110282 */   GIM_Try, /*On fail goto*//*Label 16310*/ GIMT_Encode4(1110359), // Rule ID 61546 //
     /* 1110287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1110307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1110314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110326 */     // MIs[0] policy
     /* 1110326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1110339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110345 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110355 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110358 */     // GIR_Coverage, 61546,
     /* 1110358 */     GIR_EraseRootFromParent_Done,
     /* 1110359 */   // Label 16310: @1110359
     /* 1110359 */   GIM_Try, /*On fail goto*//*Label 16311*/ GIMT_Encode4(1110436), // Rule ID 61547 //
     /* 1110364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1110375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1110378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1110381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1110384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1110391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110403 */     // MIs[0] policy
     /* 1110403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110413 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1110416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110422 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110432 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110435 */     // GIR_Coverage, 61547,
     /* 1110435 */     GIR_EraseRootFromParent_Done,
     /* 1110436 */   // Label 16311: @1110436
     /* 1110436 */   GIM_Try, /*On fail goto*//*Label 16312*/ GIMT_Encode4(1110513), // Rule ID 61550 //
     /* 1110441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1110461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110480 */     // MIs[0] policy
     /* 1110480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110490 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110509 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110512 */     // GIR_Coverage, 61550,
     /* 1110512 */     GIR_EraseRootFromParent_Done,
     /* 1110513 */   // Label 16312: @1110513
     /* 1110513 */   GIM_Try, /*On fail goto*//*Label 16313*/ GIMT_Encode4(1110590), // Rule ID 61551 //
     /* 1110518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1110529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1110532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1110535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1110538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110557 */     // MIs[0] policy
     /* 1110557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110567 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110576 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1110586 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110589 */     // GIR_Coverage, 61551,
     /* 1110589 */     GIR_EraseRootFromParent_Done,
     /* 1110590 */   // Label 16313: @1110590
     /* 1110590 */   GIM_Try, /*On fail goto*//*Label 16314*/ GIMT_Encode4(1110667), // Rule ID 61554 //
     /* 1110595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1110615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1110622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110634 */     // MIs[0] policy
     /* 1110634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110644 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1110647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110663 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110666 */     // GIR_Coverage, 61554,
     /* 1110666 */     GIR_EraseRootFromParent_Done,
     /* 1110667 */   // Label 16314: @1110667
     /* 1110667 */   GIM_Try, /*On fail goto*//*Label 16315*/ GIMT_Encode4(1110744), // Rule ID 61555 //
     /* 1110672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1110683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1110686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1110689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1110692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1110699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1110707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110711 */     // MIs[0] policy
     /* 1110711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110721 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11518:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2_MASK),
     /* 1110724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110730 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110740 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110743 */     // GIR_Coverage, 61555,
     /* 1110743 */     GIR_EraseRootFromParent_Done,
     /* 1110744 */   // Label 16315: @1110744
     /* 1110744 */   GIM_Try, /*On fail goto*//*Label 16316*/ GIMT_Encode4(1110821), // Rule ID 61558 //
     /* 1110749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1110769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1110776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110788 */     // MIs[0] policy
     /* 1110788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110798 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1110801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110820 */     // GIR_Coverage, 61558,
     /* 1110820 */     GIR_EraseRootFromParent_Done,
     /* 1110821 */   // Label 16316: @1110821
     /* 1110821 */   GIM_Try, /*On fail goto*//*Label 16317*/ GIMT_Encode4(1110898), // Rule ID 61559 //
     /* 1110826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1110837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1110840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1110843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1110846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1110849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1110853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1110861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110865 */     // MIs[0] policy
     /* 1110865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110875 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11518:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1110875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4_MASK),
     /* 1110878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110897 */     // GIR_Coverage, 61559,
     /* 1110897 */     GIR_EraseRootFromParent_Done,
     /* 1110898 */   // Label 16317: @1110898
     /* 1110898 */   GIM_Try, /*On fail goto*//*Label 16318*/ GIMT_Encode4(1110975), // Rule ID 61562 //
     /* 1110903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1110906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1110923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1110926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1110930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1110938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1110942 */     // MIs[0] policy
     /* 1110942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1110945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1110952 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1110952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1110955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1110957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1110959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1110961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1110963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1110968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1110971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1110973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1110974 */     // GIR_Coverage, 61562,
     /* 1110974 */     GIR_EraseRootFromParent_Done,
     /* 1110975 */   // Label 16318: @1110975
     /* 1110975 */   GIM_Try, /*On fail goto*//*Label 16319*/ GIMT_Encode4(1111052), // Rule ID 61563 //
     /* 1110980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1110983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrev8_mask),
     /* 1110988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1110991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1110994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1110997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1111000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1111007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1111019 */     // MIs[0] policy
     /* 1111019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111029 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11518:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREV8_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8_MASK),
     /* 1111032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1111034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1111036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1111038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1111040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1111048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111051 */     // GIR_Coverage, 61563,
     /* 1111051 */     GIR_EraseRootFromParent_Done,
     /* 1111052 */   // Label 16319: @1111052
     /* 1111052 */   GIM_Try, /*On fail goto*//*Label 16320*/ GIMT_Encode4(1111129), // Rule ID 62088 //
     /* 1111057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1111060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111096 */     // MIs[0] policy
     /* 1111096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111106 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1111109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111125 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111128 */     // GIR_Coverage, 62088,
     /* 1111128 */     GIR_EraseRootFromParent_Done,
     /* 1111129 */   // Label 16320: @1111129
     /* 1111129 */   GIM_Try, /*On fail goto*//*Label 16321*/ GIMT_Encode4(1111206), // Rule ID 62089 //
     /* 1111134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1111137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111173 */     // MIs[0] policy
     /* 1111173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111183 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11319:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M1),
     /* 1111186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111202 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111205 */     // GIR_Coverage, 62089,
     /* 1111205 */     GIR_EraseRootFromParent_Done,
     /* 1111206 */   // Label 16321: @1111206
     /* 1111206 */   GIM_Try, /*On fail goto*//*Label 16322*/ GIMT_Encode4(1111283), // Rule ID 62090 //
     /* 1111211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1111214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111250 */     // MIs[0] policy
     /* 1111250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1111263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111279 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111282 */     // GIR_Coverage, 62090,
     /* 1111282 */     GIR_EraseRootFromParent_Done,
     /* 1111283 */   // Label 16322: @1111283
     /* 1111283 */   GIM_Try, /*On fail goto*//*Label 16323*/ GIMT_Encode4(1111360), // Rule ID 62091 //
     /* 1111288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1111291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1111308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1111327 */     // MIs[0] policy
     /* 1111327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111337 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11319:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M2),
     /* 1111340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111356 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111359 */     // GIR_Coverage, 62091,
     /* 1111359 */     GIR_EraseRootFromParent_Done,
     /* 1111360 */   // Label 16323: @1111360
     /* 1111360 */   GIM_Try, /*On fail goto*//*Label 16324*/ GIMT_Encode4(1111437), // Rule ID 62092 //
     /* 1111365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1111368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111404 */     // MIs[0] policy
     /* 1111404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111414 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1111417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111436 */     // GIR_Coverage, 62092,
     /* 1111436 */     GIR_EraseRootFromParent_Done,
     /* 1111437 */   // Label 16324: @1111437
     /* 1111437 */   GIM_Try, /*On fail goto*//*Label 16325*/ GIMT_Encode4(1111514), // Rule ID 62093 //
     /* 1111442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1111445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1111453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1111456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1111459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1111462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1111481 */     // MIs[0] policy
     /* 1111481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111491 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11319:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M4),
     /* 1111494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111510 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111512 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111513 */     // GIR_Coverage, 62093,
     /* 1111513 */     GIR_EraseRootFromParent_Done,
     /* 1111514 */   // Label 16325: @1111514
     /* 1111514 */   GIM_Try, /*On fail goto*//*Label 16326*/ GIMT_Encode4(1111591), // Rule ID 62094 //
     /* 1111519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode0),
     /* 1111522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111558 */     // MIs[0] policy
     /* 1111558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1111571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111587 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111590 */     // GIR_Coverage, 62094,
     /* 1111590 */     GIR_EraseRootFromParent_Done,
     /* 1111591 */   // Label 16326: @1111591
     /* 1111591 */   GIM_Try, /*On fail goto*//*Label 16327*/ GIMT_Encode4(1111668), // Rule ID 62095 //
     /* 1111596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkg_HwMode1),
     /* 1111599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vghsh),
     /* 1111604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1111607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1111610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1111613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1111616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1111635 */     // MIs[0] policy
     /* 1111635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111645 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11319:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVGHSH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVGHSH_VV_M8),
     /* 1111648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111650 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111664 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111667 */     // GIR_Coverage, 62095,
     /* 1111667 */     GIR_EraseRootFromParent_Done,
     /* 1111668 */   // Label 16327: @1111668
     /* 1111668 */   GIM_Try, /*On fail goto*//*Label 16328*/ GIMT_Encode4(1111745), // Rule ID 62298 //
     /* 1111673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111712 */     // MIs[0] policy
     /* 1111712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111722 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111741 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111744 */     // GIR_Coverage, 62298,
     /* 1111744 */     GIR_EraseRootFromParent_Done,
     /* 1111745 */   // Label 16328: @1111745
     /* 1111745 */   GIM_Try, /*On fail goto*//*Label 16329*/ GIMT_Encode4(1111822), // Rule ID 62299 //
     /* 1111750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1111761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1111764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1111767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1111770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111789 */     // MIs[0] policy
     /* 1111789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111799 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1111802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111818 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111821 */     // GIR_Coverage, 62299,
     /* 1111821 */     GIR_EraseRootFromParent_Done,
     /* 1111822 */   // Label 16329: @1111822
     /* 1111822 */   GIM_Try, /*On fail goto*//*Label 16330*/ GIMT_Encode4(1111899), // Rule ID 62300 //
     /* 1111827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1111850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111866 */     // MIs[0] policy
     /* 1111866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111876 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1111876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111898 */     // GIR_Coverage, 62300,
     /* 1111898 */     GIR_EraseRootFromParent_Done,
     /* 1111899 */   // Label 16330: @1111899
     /* 1111899 */   GIM_Try, /*On fail goto*//*Label 16331*/ GIMT_Encode4(1111976), // Rule ID 62301 //
     /* 1111904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1111907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1111915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1111918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1111921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1111924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1111927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1111943 */     // MIs[0] policy
     /* 1111943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1111946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1111953 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1111953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1111956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1111958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1111960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1111962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1111964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1111969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1111972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1111974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1111975 */     // GIR_Coverage, 62301,
     /* 1111975 */     GIR_EraseRootFromParent_Done,
     /* 1111976 */   // Label 16331: @1111976
     /* 1111976 */   GIM_Try, /*On fail goto*//*Label 16332*/ GIMT_Encode4(1112053), // Rule ID 62302 //
     /* 1111981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1111984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1111989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1111992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1111995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1111998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112020 */     // MIs[0] policy
     /* 1112020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112049 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112052 */     // GIR_Coverage, 62302,
     /* 1112052 */     GIR_EraseRootFromParent_Done,
     /* 1112053 */   // Label 16332: @1112053
     /* 1112053 */   GIM_Try, /*On fail goto*//*Label 16333*/ GIMT_Encode4(1112130), // Rule ID 62303 //
     /* 1112058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1112066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112097 */     // MIs[0] policy
     /* 1112097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112107 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112126 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112129 */     // GIR_Coverage, 62303,
     /* 1112129 */     GIR_EraseRootFromParent_Done,
     /* 1112130 */   // Label 16333: @1112130
     /* 1112130 */   GIM_Try, /*On fail goto*//*Label 16334*/ GIMT_Encode4(1112207), // Rule ID 62304 //
     /* 1112135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1112143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112174 */     // MIs[0] policy
     /* 1112174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112203 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112206 */     // GIR_Coverage, 62304,
     /* 1112206 */     GIR_EraseRootFromParent_Done,
     /* 1112207 */   // Label 16334: @1112207
     /* 1112207 */   GIM_Try, /*On fail goto*//*Label 16335*/ GIMT_Encode4(1112284), // Rule ID 62305 //
     /* 1112212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1112220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112251 */     // MIs[0] policy
     /* 1112251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112261 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112283 */     // GIR_Coverage, 62305,
     /* 1112283 */     GIR_EraseRootFromParent_Done,
     /* 1112284 */   // Label 16335: @1112284
     /* 1112284 */   GIM_Try, /*On fail goto*//*Label 16336*/ GIMT_Encode4(1112361), // Rule ID 62306 //
     /* 1112289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1112297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112328 */     // MIs[0] policy
     /* 1112328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112338 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112360 */     // GIR_Coverage, 62306,
     /* 1112360 */     GIR_EraseRootFromParent_Done,
     /* 1112361 */   // Label 16336: @1112361
     /* 1112361 */   GIM_Try, /*On fail goto*//*Label 16337*/ GIMT_Encode4(1112438), // Rule ID 62307 //
     /* 1112366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1112374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1112377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1112380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1112383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1112386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1112405 */     // MIs[0] policy
     /* 1112405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112415 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1112418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112434 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112437 */     // GIR_Coverage, 62307,
     /* 1112437 */     GIR_EraseRootFromParent_Done,
     /* 1112438 */   // Label 16337: @1112438
     /* 1112438 */   GIM_Try, /*On fail goto*//*Label 16338*/ GIMT_Encode4(1112515), // Rule ID 62308 //
     /* 1112443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112482 */     // MIs[0] policy
     /* 1112482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1112495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112511 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112514 */     // GIR_Coverage, 62308,
     /* 1112514 */     GIR_EraseRootFromParent_Done,
     /* 1112515 */   // Label 16338: @1112515
     /* 1112515 */   GIM_Try, /*On fail goto*//*Label 16339*/ GIMT_Encode4(1112592), // Rule ID 62309 //
     /* 1112520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1112531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1112534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1112537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1112540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112559 */     // MIs[0] policy
     /* 1112559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112569 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1112572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112588 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112591 */     // GIR_Coverage, 62309,
     /* 1112591 */     GIR_EraseRootFromParent_Done,
     /* 1112592 */   // Label 16339: @1112592
     /* 1112592 */   GIM_Try, /*On fail goto*//*Label 16340*/ GIMT_Encode4(1112669), // Rule ID 62310 //
     /* 1112597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112636 */     // MIs[0] policy
     /* 1112636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112646 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1112649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112665 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112668 */     // GIR_Coverage, 62310,
     /* 1112668 */     GIR_EraseRootFromParent_Done,
     /* 1112669 */   // Label 16340: @1112669
     /* 1112669 */   GIM_Try, /*On fail goto*//*Label 16341*/ GIMT_Encode4(1112746), // Rule ID 62311 //
     /* 1112674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1112685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1112688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1112691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1112694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1112713 */     // MIs[0] policy
     /* 1112713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112723 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1112726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112742 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112745 */     // GIR_Coverage, 62311,
     /* 1112745 */     GIR_EraseRootFromParent_Done,
     /* 1112746 */   // Label 16341: @1112746
     /* 1112746 */   GIM_Try, /*On fail goto*//*Label 16342*/ GIMT_Encode4(1112823), // Rule ID 62312 //
     /* 1112751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112790 */     // MIs[0] policy
     /* 1112790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112800 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112819 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112822 */     // GIR_Coverage, 62312,
     /* 1112822 */     GIR_EraseRootFromParent_Done,
     /* 1112823 */   // Label 16342: @1112823
     /* 1112823 */   GIM_Try, /*On fail goto*//*Label 16343*/ GIMT_Encode4(1112900), // Rule ID 62313 //
     /* 1112828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1112839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1112842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1112845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1112848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1112851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1112867 */     // MIs[0] policy
     /* 1112867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112877 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1112877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1112880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112899 */     // GIR_Coverage, 62313,
     /* 1112899 */     GIR_EraseRootFromParent_Done,
     /* 1112900 */   // Label 16343: @1112900
     /* 1112900 */   GIM_Try, /*On fail goto*//*Label 16344*/ GIMT_Encode4(1112977), // Rule ID 62314 //
     /* 1112905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1112908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1112925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1112928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1112944 */     // MIs[0] policy
     /* 1112944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1112947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1112954 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1112954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1112957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1112959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1112961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1112963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1112965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1112970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1112973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1112975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1112976 */     // GIR_Coverage, 62314,
     /* 1112976 */     GIR_EraseRootFromParent_Done,
     /* 1112977 */   // Label 16344: @1112977
     /* 1112977 */   GIM_Try, /*On fail goto*//*Label 16345*/ GIMT_Encode4(1113054), // Rule ID 62315 //
     /* 1112982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1112985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1112990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1112993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1112996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1112999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113021 */     // MIs[0] policy
     /* 1113021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113031 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1113034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113050 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113053 */     // GIR_Coverage, 62315,
     /* 1113053 */     GIR_EraseRootFromParent_Done,
     /* 1113054 */   // Label 16345: @1113054
     /* 1113054 */   GIM_Try, /*On fail goto*//*Label 16346*/ GIMT_Encode4(1113131), // Rule ID 62316 //
     /* 1113059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1113067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113098 */     // MIs[0] policy
     /* 1113098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113108 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1113111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113127 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113130 */     // GIR_Coverage, 62316,
     /* 1113130 */     GIR_EraseRootFromParent_Done,
     /* 1113131 */   // Label 16346: @1113131
     /* 1113131 */   GIM_Try, /*On fail goto*//*Label 16347*/ GIMT_Encode4(1113208), // Rule ID 62317 //
     /* 1113136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1113144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113175 */     // MIs[0] policy
     /* 1113175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113185 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1113188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113204 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113207 */     // GIR_Coverage, 62317,
     /* 1113207 */     GIR_EraseRootFromParent_Done,
     /* 1113208 */   // Label 16347: @1113208
     /* 1113208 */   GIM_Try, /*On fail goto*//*Label 16348*/ GIMT_Encode4(1113285), // Rule ID 62318 //
     /* 1113213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1113230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1113233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113252 */     // MIs[0] policy
     /* 1113252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113262 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1113265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113281 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113284 */     // GIR_Coverage, 62318,
     /* 1113284 */     GIR_EraseRootFromParent_Done,
     /* 1113285 */   // Label 16348: @1113285
     /* 1113285 */   GIM_Try, /*On fail goto*//*Label 16349*/ GIMT_Encode4(1113362), // Rule ID 62319 //
     /* 1113290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1113307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1113310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113329 */     // MIs[0] policy
     /* 1113329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113339 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1113342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113358 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113361 */     // GIR_Coverage, 62319,
     /* 1113361 */     GIR_EraseRootFromParent_Done,
     /* 1113362 */   // Label 16349: @1113362
     /* 1113362 */   GIM_Try, /*On fail goto*//*Label 16350*/ GIMT_Encode4(1113439), // Rule ID 62320 //
     /* 1113367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1113384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1113387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113406 */     // MIs[0] policy
     /* 1113406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113416 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1113419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113435 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113438 */     // GIR_Coverage, 62320,
     /* 1113438 */     GIR_EraseRootFromParent_Done,
     /* 1113439 */   // Label 16350: @1113439
     /* 1113439 */   GIM_Try, /*On fail goto*//*Label 16351*/ GIMT_Encode4(1113516), // Rule ID 62321 //
     /* 1113444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1113455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1113458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1113461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1113464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1113483 */     // MIs[0] policy
     /* 1113483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113493 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1113496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113512 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113515 */     // GIR_Coverage, 62321,
     /* 1113515 */     GIR_EraseRootFromParent_Done,
     /* 1113516 */   // Label 16351: @1113516
     /* 1113516 */   GIM_Try, /*On fail goto*//*Label 16352*/ GIMT_Encode4(1113593), // Rule ID 62322 //
     /* 1113521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113560 */     // MIs[0] policy
     /* 1113560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1113573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113592 */     // GIR_Coverage, 62322,
     /* 1113592 */     GIR_EraseRootFromParent_Done,
     /* 1113593 */   // Label 16352: @1113593
     /* 1113593 */   GIM_Try, /*On fail goto*//*Label 16353*/ GIMT_Encode4(1113670), // Rule ID 62323 //
     /* 1113598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1113609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1113612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1113615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1113618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1113637 */     // MIs[0] policy
     /* 1113637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113647 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1113650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113669 */     // GIR_Coverage, 62323,
     /* 1113669 */     GIR_EraseRootFromParent_Done,
     /* 1113670 */   // Label 16353: @1113670
     /* 1113670 */   GIM_Try, /*On fail goto*//*Label 16354*/ GIMT_Encode4(1113747), // Rule ID 62324 //
     /* 1113675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113714 */     // MIs[0] policy
     /* 1113714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1113727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113743 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113746 */     // GIR_Coverage, 62324,
     /* 1113746 */     GIR_EraseRootFromParent_Done,
     /* 1113747 */   // Label 16354: @1113747
     /* 1113747 */   GIM_Try, /*On fail goto*//*Label 16355*/ GIMT_Encode4(1113824), // Rule ID 62325 //
     /* 1113752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1113763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1113766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1113769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1113772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1113791 */     // MIs[0] policy
     /* 1113791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113801 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1113804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113820 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113823 */     // GIR_Coverage, 62325,
     /* 1113823 */     GIR_EraseRootFromParent_Done,
     /* 1113824 */   // Label 16355: @1113824
     /* 1113824 */   GIM_Try, /*On fail goto*//*Label 16356*/ GIMT_Encode4(1113901), // Rule ID 62326 //
     /* 1113829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode0),
     /* 1113832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1113852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113868 */     // MIs[0] policy
     /* 1113868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113878 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1113878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1113881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113897 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113900 */     // GIR_Coverage, 62326,
     /* 1113900 */     GIR_EraseRootFromParent_Done,
     /* 1113901 */   // Label 16356: @1113901
     /* 1113901 */   GIM_Try, /*On fail goto*//*Label 16357*/ GIMT_Encode4(1113978), // Rule ID 62327 //
     /* 1113906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknha_HwMode1),
     /* 1113909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1113914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1113917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1113920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1113923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1113926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1113929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1113945 */     // MIs[0] policy
     /* 1113945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1113948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1113955 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1113955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1113958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1113960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1113962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1113964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1113966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1113971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1113974 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1113976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1113977 */     // GIR_Coverage, 62327,
     /* 1113977 */     GIR_EraseRootFromParent_Done,
     /* 1113978 */   // Label 16357: @1113978
     /* 1113978 */   GIM_Try, /*On fail goto*//*Label 16358*/ GIMT_Encode4(1114055), // Rule ID 62328 //
     /* 1113983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1113986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1113991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1113994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1113997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1114003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114022 */     // MIs[0] policy
     /* 1114022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114032 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1114035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114051 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114054 */     // GIR_Coverage, 62328,
     /* 1114054 */     GIR_EraseRootFromParent_Done,
     /* 1114055 */   // Label 16358: @1114055
     /* 1114055 */   GIM_Try, /*On fail goto*//*Label 16359*/ GIMT_Encode4(1114132), // Rule ID 62329 //
     /* 1114060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1114071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1114074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1114077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1114080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114099 */     // MIs[0] policy
     /* 1114099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114109 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1114112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114114 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114128 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114131 */     // GIR_Coverage, 62329,
     /* 1114131 */     GIR_EraseRootFromParent_Done,
     /* 1114132 */   // Label 16359: @1114132
     /* 1114132 */   GIM_Try, /*On fail goto*//*Label 16360*/ GIMT_Encode4(1114209), // Rule ID 62330 //
     /* 1114137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1114154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1114157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114176 */     // MIs[0] policy
     /* 1114176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1114189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114205 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114208 */     // GIR_Coverage, 62330,
     /* 1114208 */     GIR_EraseRootFromParent_Done,
     /* 1114209 */   // Label 16360: @1114209
     /* 1114209 */   GIM_Try, /*On fail goto*//*Label 16361*/ GIMT_Encode4(1114286), // Rule ID 62331 //
     /* 1114214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1114225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1114228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1114231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1114234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114253 */     // MIs[0] policy
     /* 1114253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114263 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11542:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1114266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114285 */     // GIR_Coverage, 62331,
     /* 1114285 */     GIR_EraseRootFromParent_Done,
     /* 1114286 */   // Label 16361: @1114286
     /* 1114286 */   GIM_Try, /*On fail goto*//*Label 16362*/ GIMT_Encode4(1114363), // Rule ID 62332 //
     /* 1114291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1114302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1114305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1114308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1114311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114330 */     // MIs[0] policy
     /* 1114330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114340 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1114343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114359 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114362 */     // GIR_Coverage, 62332,
     /* 1114362 */     GIR_EraseRootFromParent_Done,
     /* 1114363 */   // Label 16362: @1114363
     /* 1114363 */   GIM_Try, /*On fail goto*//*Label 16363*/ GIMT_Encode4(1114440), // Rule ID 62333 //
     /* 1114368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1114379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1114382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1114385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1114388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1114407 */     // MIs[0] policy
     /* 1114407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114417 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11542:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1114420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114436 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114439 */     // GIR_Coverage, 62333,
     /* 1114439 */     GIR_EraseRootFromParent_Done,
     /* 1114440 */   // Label 16363: @1114440
     /* 1114440 */   GIM_Try, /*On fail goto*//*Label 16364*/ GIMT_Encode4(1114517), // Rule ID 62334 //
     /* 1114445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1114462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1114465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114484 */     // MIs[0] policy
     /* 1114484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114513 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114516 */     // GIR_Coverage, 62334,
     /* 1114516 */     GIR_EraseRootFromParent_Done,
     /* 1114517 */   // Label 16364: @1114517
     /* 1114517 */   GIM_Try, /*On fail goto*//*Label 16365*/ GIMT_Encode4(1114594), // Rule ID 62335 //
     /* 1114522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1114533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1114536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1114539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1114542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114561 */     // MIs[0] policy
     /* 1114561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114571 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114590 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114593 */     // GIR_Coverage, 62335,
     /* 1114593 */     GIR_EraseRootFromParent_Done,
     /* 1114594 */   // Label 16365: @1114594
     /* 1114594 */   GIM_Try, /*On fail goto*//*Label 16366*/ GIMT_Encode4(1114671), // Rule ID 62336 //
     /* 1114599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1114616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1114619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114638 */     // MIs[0] policy
     /* 1114638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114667 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114670 */     // GIR_Coverage, 62336,
     /* 1114670 */     GIR_EraseRootFromParent_Done,
     /* 1114671 */   // Label 16366: @1114671
     /* 1114671 */   GIM_Try, /*On fail goto*//*Label 16367*/ GIMT_Encode4(1114748), // Rule ID 62337 //
     /* 1114676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1114687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1114690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1114693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1114696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1114715 */     // MIs[0] policy
     /* 1114715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114725 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1114728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114744 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114747 */     // GIR_Coverage, 62337,
     /* 1114747 */     GIR_EraseRootFromParent_Done,
     /* 1114748 */   // Label 16367: @1114748
     /* 1114748 */   GIM_Try, /*On fail goto*//*Label 16368*/ GIMT_Encode4(1114825), // Rule ID 62338 //
     /* 1114753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1114770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1114773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114792 */     // MIs[0] policy
     /* 1114792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114824 */     // GIR_Coverage, 62338,
     /* 1114824 */     GIR_EraseRootFromParent_Done,
     /* 1114825 */   // Label 16368: @1114825
     /* 1114825 */   GIM_Try, /*On fail goto*//*Label 16369*/ GIMT_Encode4(1114902), // Rule ID 62339 //
     /* 1114830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1114841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1114844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1114847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1114850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1114853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1114869 */     // MIs[0] policy
     /* 1114869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114879 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1114879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1114882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1114898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114901 */     // GIR_Coverage, 62339,
     /* 1114901 */     GIR_EraseRootFromParent_Done,
     /* 1114902 */   // Label 16369: @1114902
     /* 1114902 */   GIM_Try, /*On fail goto*//*Label 16370*/ GIMT_Encode4(1114979), // Rule ID 62340 //
     /* 1114907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1114910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1114918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1114921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1114924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1114927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1114930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1114946 */     // MIs[0] policy
     /* 1114946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1114949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1114956 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1114956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1114959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1114961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1114963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1114965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1114967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1114972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1114975 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1114977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1114978 */     // GIR_Coverage, 62340,
     /* 1114978 */     GIR_EraseRootFromParent_Done,
     /* 1114979 */   // Label 16370: @1114979
     /* 1114979 */   GIM_Try, /*On fail goto*//*Label 16371*/ GIMT_Encode4(1115056), // Rule ID 62341 //
     /* 1114984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1114987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1114992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1114995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1114998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1115001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1115004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115023 */     // MIs[0] policy
     /* 1115023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115033 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11542:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115052 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115055 */     // GIR_Coverage, 62341,
     /* 1115055 */     GIR_EraseRootFromParent_Done,
     /* 1115056 */   // Label 16371: @1115056
     /* 1115056 */   GIM_Try, /*On fail goto*//*Label 16372*/ GIMT_Encode4(1115133), // Rule ID 62342 //
     /* 1115061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1115069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1115072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1115075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1115078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1115081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115100 */     // MIs[0] policy
     /* 1115100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115110 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1115113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115129 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115132 */     // GIR_Coverage, 62342,
     /* 1115132 */     GIR_EraseRootFromParent_Done,
     /* 1115133 */   // Label 16372: @1115133
     /* 1115133 */   GIM_Try, /*On fail goto*//*Label 16373*/ GIMT_Encode4(1115210), // Rule ID 62343 //
     /* 1115138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1115146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1115149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1115152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1115155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1115158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1115177 */     // MIs[0] policy
     /* 1115177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115187 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11542:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1115190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115206 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115208 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115209 */     // GIR_Coverage, 62343,
     /* 1115209 */     GIR_EraseRootFromParent_Done,
     /* 1115210 */   // Label 16373: @1115210
     /* 1115210 */   GIM_Try, /*On fail goto*//*Label 16374*/ GIMT_Encode4(1115287), // Rule ID 62344 //
     /* 1115215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1115223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1115226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1115229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1115232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1115235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115254 */     // MIs[0] policy
     /* 1115254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115264 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1115267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115283 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115286 */     // GIR_Coverage, 62344,
     /* 1115286 */     GIR_EraseRootFromParent_Done,
     /* 1115287 */   // Label 16374: @1115287
     /* 1115287 */   GIM_Try, /*On fail goto*//*Label 16375*/ GIMT_Encode4(1115364), // Rule ID 62345 //
     /* 1115292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ch),
     /* 1115300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1115303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1115306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1115309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1115312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1115331 */     // MIs[0] policy
     /* 1115331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115341 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11542:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1115344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115360 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115363 */     // GIR_Coverage, 62345,
     /* 1115363 */     GIR_EraseRootFromParent_Done,
     /* 1115364 */   // Label 16375: @1115364
     /* 1115364 */   GIM_Try, /*On fail goto*//*Label 16376*/ GIMT_Encode4(1115441), // Rule ID 62346 //
     /* 1115369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1115386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1115389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115408 */     // MIs[0] policy
     /* 1115408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115418 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1115421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115437 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115440 */     // GIR_Coverage, 62346,
     /* 1115440 */     GIR_EraseRootFromParent_Done,
     /* 1115441 */   // Label 16376: @1115441
     /* 1115441 */   GIM_Try, /*On fail goto*//*Label 16377*/ GIMT_Encode4(1115518), // Rule ID 62347 //
     /* 1115446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1115457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1115460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1115463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1115466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115485 */     // MIs[0] policy
     /* 1115485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115495 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_MF2),
     /* 1115498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115514 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115517 */     // GIR_Coverage, 62347,
     /* 1115517 */     GIR_EraseRootFromParent_Done,
     /* 1115518 */   // Label 16377: @1115518
     /* 1115518 */   GIM_Try, /*On fail goto*//*Label 16378*/ GIMT_Encode4(1115595), // Rule ID 62348 //
     /* 1115523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1115540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1115543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115562 */     // MIs[0] policy
     /* 1115562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115572 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115591 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115594 */     // GIR_Coverage, 62348,
     /* 1115594 */     GIR_EraseRootFromParent_Done,
     /* 1115595 */   // Label 16378: @1115595
     /* 1115595 */   GIM_Try, /*On fail goto*//*Label 16379*/ GIMT_Encode4(1115672), // Rule ID 62349 //
     /* 1115600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1115611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1115614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1115617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1115620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115639 */     // MIs[0] policy
     /* 1115639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115649 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11543:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115671 */     // GIR_Coverage, 62349,
     /* 1115671 */     GIR_EraseRootFromParent_Done,
     /* 1115672 */   // Label 16379: @1115672
     /* 1115672 */   GIM_Try, /*On fail goto*//*Label 16380*/ GIMT_Encode4(1115749), // Rule ID 62350 //
     /* 1115677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1115697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115716 */     // MIs[0] policy
     /* 1115716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115726 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115748 */     // GIR_Coverage, 62350,
     /* 1115748 */     GIR_EraseRootFromParent_Done,
     /* 1115749 */   // Label 16380: @1115749
     /* 1115749 */   GIM_Try, /*On fail goto*//*Label 16381*/ GIMT_Encode4(1115826), // Rule ID 62351 //
     /* 1115754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1115765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1115768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1115771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1115774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1115793 */     // MIs[0] policy
     /* 1115793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115803 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11543:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M1),
     /* 1115806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1115822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115825 */     // GIR_Coverage, 62351,
     /* 1115825 */     GIR_EraseRootFromParent_Done,
     /* 1115826 */   // Label 16381: @1115826
     /* 1115826 */   GIM_Try, /*On fail goto*//*Label 16382*/ GIMT_Encode4(1115903), // Rule ID 62352 //
     /* 1115831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1115851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1115854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115870 */     // MIs[0] policy
     /* 1115870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1115880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115899 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115902 */     // GIR_Coverage, 62352,
     /* 1115902 */     GIR_EraseRootFromParent_Done,
     /* 1115903 */   // Label 16382: @1115903
     /* 1115903 */   GIM_Try, /*On fail goto*//*Label 16383*/ GIMT_Encode4(1115980), // Rule ID 62353 //
     /* 1115908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1115911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1115919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1115922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1115925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1115928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1115931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1115947 */     // MIs[0] policy
     /* 1115947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1115950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1115957 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1115957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1115960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1115962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1115964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1115966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1115968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1115973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1115976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1115978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1115979 */     // GIR_Coverage, 62353,
     /* 1115979 */     GIR_EraseRootFromParent_Done,
     /* 1115980 */   // Label 16383: @1115980
     /* 1115980 */   GIM_Try, /*On fail goto*//*Label 16384*/ GIMT_Encode4(1116057), // Rule ID 62354 //
     /* 1115985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1115988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1115993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1115996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1115999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1116002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1116005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116024 */     // MIs[0] policy
     /* 1116024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116034 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1116037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116053 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116056 */     // GIR_Coverage, 62354,
     /* 1116056 */     GIR_EraseRootFromParent_Done,
     /* 1116057 */   // Label 16384: @1116057
     /* 1116057 */   GIM_Try, /*On fail goto*//*Label 16385*/ GIMT_Encode4(1116134), // Rule ID 62355 //
     /* 1116062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1116073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1116076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1116079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1116082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116101 */     // MIs[0] policy
     /* 1116101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116111 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1116114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116130 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116133 */     // GIR_Coverage, 62355,
     /* 1116133 */     GIR_EraseRootFromParent_Done,
     /* 1116134 */   // Label 16385: @1116134
     /* 1116134 */   GIM_Try, /*On fail goto*//*Label 16386*/ GIMT_Encode4(1116211), // Rule ID 62356 //
     /* 1116139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1116156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1116159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116178 */     // MIs[0] policy
     /* 1116178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116188 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1116191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116210 */     // GIR_Coverage, 62356,
     /* 1116210 */     GIR_EraseRootFromParent_Done,
     /* 1116211 */   // Label 16386: @1116211
     /* 1116211 */   GIM_Try, /*On fail goto*//*Label 16387*/ GIMT_Encode4(1116288), // Rule ID 62357 //
     /* 1116216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1116227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1116230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1116233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1116236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116255 */     // MIs[0] policy
     /* 1116255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116265 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1116268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116284 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116287 */     // GIR_Coverage, 62357,
     /* 1116287 */     GIR_EraseRootFromParent_Done,
     /* 1116288 */   // Label 16387: @1116288
     /* 1116288 */   GIM_Try, /*On fail goto*//*Label 16388*/ GIMT_Encode4(1116365), // Rule ID 62358 //
     /* 1116293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1116304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1116307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1116310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1116313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116332 */     // MIs[0] policy
     /* 1116332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116342 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1116345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116361 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116364 */     // GIR_Coverage, 62358,
     /* 1116364 */     GIR_EraseRootFromParent_Done,
     /* 1116365 */   // Label 16388: @1116365
     /* 1116365 */   GIM_Try, /*On fail goto*//*Label 16389*/ GIMT_Encode4(1116442), // Rule ID 62359 //
     /* 1116370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1116381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1116384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1116387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1116390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1116409 */     // MIs[0] policy
     /* 1116409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116419 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11543:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M2),
     /* 1116422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116438 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116441 */     // GIR_Coverage, 62359,
     /* 1116441 */     GIR_EraseRootFromParent_Done,
     /* 1116442 */   // Label 16389: @1116442
     /* 1116442 */   GIM_Try, /*On fail goto*//*Label 16390*/ GIMT_Encode4(1116519), // Rule ID 62360 //
     /* 1116447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1116458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1116461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1116464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1116467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116486 */     // MIs[0] policy
     /* 1116486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116496 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1116499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116515 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116518 */     // GIR_Coverage, 62360,
     /* 1116518 */     GIR_EraseRootFromParent_Done,
     /* 1116519 */   // Label 16390: @1116519
     /* 1116519 */   GIM_Try, /*On fail goto*//*Label 16391*/ GIMT_Encode4(1116596), // Rule ID 62361 //
     /* 1116524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1116535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1116538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1116541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1116544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1116563 */     // MIs[0] policy
     /* 1116563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116573 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11543:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M4),
     /* 1116576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116592 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116595 */     // GIR_Coverage, 62361,
     /* 1116595 */     GIR_EraseRootFromParent_Done,
     /* 1116596 */   // Label 16391: @1116596
     /* 1116596 */   GIM_Try, /*On fail goto*//*Label 16392*/ GIMT_Encode4(1116673), // Rule ID 62362 //
     /* 1116601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1116621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116640 */     // MIs[0] policy
     /* 1116640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116650 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1116653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116669 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116672 */     // GIR_Coverage, 62362,
     /* 1116672 */     GIR_EraseRootFromParent_Done,
     /* 1116673 */   // Label 16392: @1116673
     /* 1116673 */   GIM_Try, /*On fail goto*//*Label 16393*/ GIMT_Encode4(1116750), // Rule ID 62363 //
     /* 1116678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2cl),
     /* 1116686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1116689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1116692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1116695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1116698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1116717 */     // MIs[0] policy
     /* 1116717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116727 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11543:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2CH_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2CH_VV_M8),
     /* 1116730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1116746 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116748 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116749 */     // GIR_Coverage, 62363,
     /* 1116749 */     GIR_EraseRootFromParent_Done,
     /* 1116750 */   // Label 16393: @1116750
     /* 1116750 */   GIM_Try, /*On fail goto*//*Label 16394*/ GIMT_Encode4(1116827), // Rule ID 62364 //
     /* 1116755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1116772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1116775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116794 */     // MIs[0] policy
     /* 1116794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1116807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116826 */     // GIR_Coverage, 62364,
     /* 1116826 */     GIR_EraseRootFromParent_Done,
     /* 1116827 */   // Label 16394: @1116827
     /* 1116827 */   GIM_Try, /*On fail goto*//*Label 16395*/ GIMT_Encode4(1116904), // Rule ID 62365 //
     /* 1116832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1116843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1116846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1116849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1116852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1116855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116871 */     // MIs[0] policy
     /* 1116871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116881 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_MF2_E32:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1116881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_MF2_E32),
     /* 1116884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116903 */     // GIR_Coverage, 62365,
     /* 1116903 */     GIR_EraseRootFromParent_Done,
     /* 1116904 */   // Label 16395: @1116904
     /* 1116904 */   GIM_Try, /*On fail goto*//*Label 16396*/ GIMT_Encode4(1116981), // Rule ID 62366 //
     /* 1116909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1116912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1116923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1116926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1116929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1116932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1116948 */     // MIs[0] policy
     /* 1116948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1116951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1116958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1116958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1116961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1116963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1116965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1116967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1116969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1116974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1116977 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1116979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1116980 */     // GIR_Coverage, 62366,
     /* 1116980 */     GIR_EraseRootFromParent_Done,
     /* 1116981 */   // Label 16396: @1116981
     /* 1116981 */   GIM_Try, /*On fail goto*//*Label 16397*/ GIMT_Encode4(1117058), // Rule ID 62367 //
     /* 1116986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1116989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1116994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1116997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1117000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1117003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1117006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117025 */     // MIs[0] policy
     /* 1117025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117035 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11544:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E32:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E32),
     /* 1117038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117040 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117054 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117057 */     // GIR_Coverage, 62367,
     /* 1117057 */     GIR_EraseRootFromParent_Done,
     /* 1117058 */   // Label 16397: @1117058
     /* 1117058 */   GIM_Try, /*On fail goto*//*Label 16398*/ GIMT_Encode4(1117135), // Rule ID 62368 //
     /* 1117063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1117074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1117077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1117080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1117083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117102 */     // MIs[0] policy
     /* 1117102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1117115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117131 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117134 */     // GIR_Coverage, 62368,
     /* 1117134 */     GIR_EraseRootFromParent_Done,
     /* 1117135 */   // Label 16398: @1117135
     /* 1117135 */   GIM_Try, /*On fail goto*//*Label 16399*/ GIMT_Encode4(1117212), // Rule ID 62369 //
     /* 1117140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1117151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1117154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1117157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1117160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1117179 */     // MIs[0] policy
     /* 1117179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117189 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11544:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M1_E64:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M1_E64),
     /* 1117192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117208 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117211 */     // GIR_Coverage, 62369,
     /* 1117211 */     GIR_EraseRootFromParent_Done,
     /* 1117212 */   // Label 16399: @1117212
     /* 1117212 */   GIM_Try, /*On fail goto*//*Label 16400*/ GIMT_Encode4(1117289), // Rule ID 62370 //
     /* 1117217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1117234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1117237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117256 */     // MIs[0] policy
     /* 1117256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1117269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117285 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117288 */     // GIR_Coverage, 62370,
     /* 1117288 */     GIR_EraseRootFromParent_Done,
     /* 1117289 */   // Label 16400: @1117289
     /* 1117289 */   GIM_Try, /*On fail goto*//*Label 16401*/ GIMT_Encode4(1117366), // Rule ID 62371 //
     /* 1117294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1117305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1117308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1117311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1117314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117333 */     // MIs[0] policy
     /* 1117333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117343 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E32:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E32),
     /* 1117346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117362 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117365 */     // GIR_Coverage, 62371,
     /* 1117365 */     GIR_EraseRootFromParent_Done,
     /* 1117366 */   // Label 16401: @1117366
     /* 1117366 */   GIM_Try, /*On fail goto*//*Label 16402*/ GIMT_Encode4(1117443), // Rule ID 62372 //
     /* 1117371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1117388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1117391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117410 */     // MIs[0] policy
     /* 1117410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1117423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117442 */     // GIR_Coverage, 62372,
     /* 1117442 */     GIR_EraseRootFromParent_Done,
     /* 1117443 */   // Label 16402: @1117443
     /* 1117443 */   GIM_Try, /*On fail goto*//*Label 16403*/ GIMT_Encode4(1117520), // Rule ID 62373 //
     /* 1117448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1117459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1117462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1117465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1117468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117487 */     // MIs[0] policy
     /* 1117487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117497 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E32:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E32),
     /* 1117500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117519 */     // GIR_Coverage, 62373,
     /* 1117519 */     GIR_EraseRootFromParent_Done,
     /* 1117520 */   // Label 16403: @1117520
     /* 1117520 */   GIM_Try, /*On fail goto*//*Label 16404*/ GIMT_Encode4(1117597), // Rule ID 62374 //
     /* 1117525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1117542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1117545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117564 */     // MIs[0] policy
     /* 1117564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117574 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1117577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117593 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117596 */     // GIR_Coverage, 62374,
     /* 1117596 */     GIR_EraseRootFromParent_Done,
     /* 1117597 */   // Label 16404: @1117597
     /* 1117597 */   GIM_Try, /*On fail goto*//*Label 16405*/ GIMT_Encode4(1117674), // Rule ID 62375 //
     /* 1117602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1117613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1117616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1117619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1117622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1117641 */     // MIs[0] policy
     /* 1117641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117651 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E32:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E32),
     /* 1117654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1117670 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117673 */     // GIR_Coverage, 62375,
     /* 1117673 */     GIR_EraseRootFromParent_Done,
     /* 1117674 */   // Label 16405: @1117674
     /* 1117674 */   GIM_Try, /*On fail goto*//*Label 16406*/ GIMT_Encode4(1117751), // Rule ID 62376 //
     /* 1117679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1117690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1117693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1117696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1117699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117718 */     // MIs[0] policy
     /* 1117718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117728 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1117731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117747 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117750 */     // GIR_Coverage, 62376,
     /* 1117750 */     GIR_EraseRootFromParent_Done,
     /* 1117751 */   // Label 16406: @1117751
     /* 1117751 */   GIM_Try, /*On fail goto*//*Label 16407*/ GIMT_Encode4(1117828), // Rule ID 62377 //
     /* 1117756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1117767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1117770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1117773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1117776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1117795 */     // MIs[0] policy
     /* 1117795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117805 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11544:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M2_E64:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M2_E64),
     /* 1117808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117824 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117827 */     // GIR_Coverage, 62377,
     /* 1117827 */     GIR_EraseRootFromParent_Done,
     /* 1117828 */   // Label 16407: @1117828
     /* 1117828 */   GIM_Try, /*On fail goto*//*Label 16408*/ GIMT_Encode4(1117905), // Rule ID 62378 //
     /* 1117833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1117844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1117847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1117850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1117853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1117856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117872 */     // MIs[0] policy
     /* 1117872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117882 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1117882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1117885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117901 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117904 */     // GIR_Coverage, 62378,
     /* 1117904 */     GIR_EraseRootFromParent_Done,
     /* 1117905 */   // Label 16408: @1117905
     /* 1117905 */   GIM_Try, /*On fail goto*//*Label 16409*/ GIMT_Encode4(1117982), // Rule ID 62379 //
     /* 1117910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1117913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1117921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1117924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1117927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1117930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1117933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1117949 */     // MIs[0] policy
     /* 1117949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1117952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1117959 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11544:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M4_E64:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1117959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M4_E64),
     /* 1117962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1117964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1117966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1117968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1117970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1117975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1117978 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1117980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1117981 */     // GIR_Coverage, 62379,
     /* 1117981 */     GIR_EraseRootFromParent_Done,
     /* 1117982 */   // Label 16409: @1117982
     /* 1117982 */   GIM_Try, /*On fail goto*//*Label 16410*/ GIMT_Encode4(1118059), // Rule ID 62380 //
     /* 1117987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode0),
     /* 1117990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1117995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1117998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1118001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1118004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1118007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118026 */     // MIs[0] policy
     /* 1118026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118036 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1118039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1118041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1118055 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118058 */     // GIR_Coverage, 62380,
     /* 1118058 */     GIR_EraseRootFromParent_Done,
     /* 1118059 */   // Label 16410: @1118059
     /* 1118059 */   GIM_Try, /*On fail goto*//*Label 16411*/ GIMT_Encode4(1118136), // Rule ID 62381 //
     /* 1118064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvknhb_HwMode1),
     /* 1118067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsha2ms),
     /* 1118072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1118075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1118078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1118081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1118084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118103 */     // MIs[0] policy
     /* 1118103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118113 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11544:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSHA2MS_VV_M8_E64:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSHA2MS_VV_M8_E64),
     /* 1118116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 1118118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1118132 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118135 */     // GIR_Coverage, 62381,
     /* 1118135 */     GIR_EraseRootFromParent_Done,
     /* 1118136 */   // Label 16411: @1118136
     /* 1118136 */   GIM_Try, /*On fail goto*//*Label 16412*/ GIMT_Encode4(1118213), // Rule ID 62602 //
     /* 1118141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1118158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118180 */     // MIs[0] policy
     /* 1118180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1118193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118209 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118212 */     // GIR_Coverage, 62602,
     /* 1118212 */     GIR_EraseRootFromParent_Done,
     /* 1118213 */   // Label 16412: @1118213
     /* 1118213 */   GIM_Try, /*On fail goto*//*Label 16413*/ GIMT_Encode4(1118290), // Rule ID 62603 //
     /* 1118218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1118235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118257 */     // MIs[0] policy
     /* 1118257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118267 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2),
     /* 1118270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118286 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118289 */     // GIR_Coverage, 62603,
     /* 1118289 */     GIR_EraseRootFromParent_Done,
     /* 1118290 */   // Label 16413: @1118290
     /* 1118290 */   GIM_Try, /*On fail goto*//*Label 16414*/ GIMT_Encode4(1118367), // Rule ID 62606 //
     /* 1118295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118334 */     // MIs[0] policy
     /* 1118334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118344 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1118347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118366 */     // GIR_Coverage, 62606,
     /* 1118366 */     GIR_EraseRootFromParent_Done,
     /* 1118367 */   // Label 16414: @1118367
     /* 1118367 */   GIM_Try, /*On fail goto*//*Label 16415*/ GIMT_Encode4(1118444), // Rule ID 62607 //
     /* 1118372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1118383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1118386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1118389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1118392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118411 */     // MIs[0] policy
     /* 1118411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118421 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1),
     /* 1118424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118443 */     // GIR_Coverage, 62607,
     /* 1118443 */     GIR_EraseRootFromParent_Done,
     /* 1118444 */   // Label 16415: @1118444
     /* 1118444 */   GIM_Try, /*On fail goto*//*Label 16416*/ GIMT_Encode4(1118521), // Rule ID 62610 //
     /* 1118449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1118466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118488 */     // MIs[0] policy
     /* 1118488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118498 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1118501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118520 */     // GIR_Coverage, 62610,
     /* 1118520 */     GIR_EraseRootFromParent_Done,
     /* 1118521 */   // Label 16416: @1118521
     /* 1118521 */   GIM_Try, /*On fail goto*//*Label 16417*/ GIMT_Encode4(1118598), // Rule ID 62611 //
     /* 1118526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1118537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1118540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1118543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1118546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1118565 */     // MIs[0] policy
     /* 1118565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118575 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2),
     /* 1118578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118594 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118596 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118597 */     // GIR_Coverage, 62611,
     /* 1118597 */     GIR_EraseRootFromParent_Done,
     /* 1118598 */   // Label 16417: @1118598
     /* 1118598 */   GIM_Try, /*On fail goto*//*Label 16418*/ GIMT_Encode4(1118675), // Rule ID 62614 //
     /* 1118603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1118620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118642 */     // MIs[0] policy
     /* 1118642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118652 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1118655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118674 */     // GIR_Coverage, 62614,
     /* 1118674 */     GIR_EraseRootFromParent_Done,
     /* 1118675 */   // Label 16418: @1118675
     /* 1118675 */   GIM_Try, /*On fail goto*//*Label 16419*/ GIMT_Encode4(1118752), // Rule ID 62615 //
     /* 1118680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1118691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1118694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1118697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1118700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1118719 */     // MIs[0] policy
     /* 1118719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118729 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4),
     /* 1118732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118751 */     // GIR_Coverage, 62615,
     /* 1118751 */     GIR_EraseRootFromParent_Done,
     /* 1118752 */   // Label 16419: @1118752
     /* 1118752 */   GIM_Try, /*On fail goto*//*Label 16420*/ GIMT_Encode4(1118829), // Rule ID 62618 //
     /* 1118757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1118774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118796 */     // MIs[0] policy
     /* 1118796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118806 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1118809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118828 */     // GIR_Coverage, 62618,
     /* 1118828 */     GIR_EraseRootFromParent_Done,
     /* 1118829 */   // Label 16420: @1118829
     /* 1118829 */   GIM_Try, /*On fail goto*//*Label 16421*/ GIMT_Encode4(1118906), // Rule ID 62619 //
     /* 1118834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1118845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1118848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1118851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1118854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1118857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1118873 */     // MIs[0] policy
     /* 1118873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118883 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1118883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8),
     /* 1118886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118902 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118905 */     // GIR_Coverage, 62619,
     /* 1118905 */     GIR_EraseRootFromParent_Done,
     /* 1118906 */   // Label 16421: @1118906
     /* 1118906 */   GIM_Try, /*On fail goto*//*Label 16422*/ GIMT_Encode4(1118983), // Rule ID 62622 //
     /* 1118911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1118914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1118925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1118928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1118931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1118934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1118946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1118950 */     // MIs[0] policy
     /* 1118950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1118953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1118960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1118960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1118963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1118965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1118967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1118969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1118971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1118976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1118979 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1118981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1118982 */     // GIR_Coverage, 62622,
     /* 1118982 */     GIR_EraseRootFromParent_Done,
     /* 1118983 */   // Label 16422: @1118983
     /* 1118983 */   GIM_Try, /*On fail goto*//*Label 16423*/ GIMT_Encode4(1119060), // Rule ID 62623 //
     /* 1118988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1118991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1118996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1118999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119027 */     // MIs[0] policy
     /* 1119027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119037 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2),
     /* 1119040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119056 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119059 */     // GIR_Coverage, 62623,
     /* 1119059 */     GIR_EraseRootFromParent_Done,
     /* 1119060 */   // Label 16423: @1119060
     /* 1119060 */   GIM_Try, /*On fail goto*//*Label 16424*/ GIMT_Encode4(1119137), // Rule ID 62626 //
     /* 1119065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119104 */     // MIs[0] policy
     /* 1119104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1119117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119133 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119136 */     // GIR_Coverage, 62626,
     /* 1119136 */     GIR_EraseRootFromParent_Done,
     /* 1119137 */   // Label 16424: @1119137
     /* 1119137 */   GIM_Try, /*On fail goto*//*Label 16425*/ GIMT_Encode4(1119214), // Rule ID 62627 //
     /* 1119142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119181 */     // MIs[0] policy
     /* 1119181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11127:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1),
     /* 1119194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119210 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119213 */     // GIR_Coverage, 62627,
     /* 1119213 */     GIR_EraseRootFromParent_Done,
     /* 1119214 */   // Label 16425: @1119214
     /* 1119214 */   GIM_Try, /*On fail goto*//*Label 16426*/ GIMT_Encode4(1119291), // Rule ID 62630 //
     /* 1119219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119258 */     // MIs[0] policy
     /* 1119258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1119271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119287 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119290 */     // GIR_Coverage, 62630,
     /* 1119290 */     GIR_EraseRootFromParent_Done,
     /* 1119291 */   // Label 16426: @1119291
     /* 1119291 */   GIM_Try, /*On fail goto*//*Label 16427*/ GIMT_Encode4(1119368), // Rule ID 62631 //
     /* 1119296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1119307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1119310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1119316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1119335 */     // MIs[0] policy
     /* 1119335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119345 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11127:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2),
     /* 1119348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119364 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119367 */     // GIR_Coverage, 62631,
     /* 1119367 */     GIR_EraseRootFromParent_Done,
     /* 1119368 */   // Label 16427: @1119368
     /* 1119368 */   GIM_Try, /*On fail goto*//*Label 16428*/ GIMT_Encode4(1119445), // Rule ID 62634 //
     /* 1119373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119412 */     // MIs[0] policy
     /* 1119412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1119425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119441 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119444 */     // GIR_Coverage, 62634,
     /* 1119444 */     GIR_EraseRootFromParent_Done,
     /* 1119445 */   // Label 16428: @1119445
     /* 1119445 */   GIM_Try, /*On fail goto*//*Label 16429*/ GIMT_Encode4(1119522), // Rule ID 62635 //
     /* 1119450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1119461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1119464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1119470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1119489 */     // MIs[0] policy
     /* 1119489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119499 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11127:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4),
     /* 1119502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119518 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119521 */     // GIR_Coverage, 62635,
     /* 1119521 */     GIR_EraseRootFromParent_Done,
     /* 1119522 */   // Label 16429: @1119522
     /* 1119522 */   GIM_Try, /*On fail goto*//*Label 16430*/ GIMT_Encode4(1119599), // Rule ID 62638 //
     /* 1119527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1119544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119566 */     // MIs[0] policy
     /* 1119566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1119579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119595 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119598 */     // GIR_Coverage, 62638,
     /* 1119598 */     GIR_EraseRootFromParent_Done,
     /* 1119599 */   // Label 16430: @1119599
     /* 1119599 */   GIM_Try, /*On fail goto*//*Label 16431*/ GIMT_Encode4(1119676), // Rule ID 62639 //
     /* 1119604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa),
     /* 1119612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1119615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1119618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1119621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1119624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1119639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1119643 */     // MIs[0] policy
     /* 1119643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119653 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11127:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8),
     /* 1119656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119675 */     // GIR_Coverage, 62639,
     /* 1119675 */     GIR_EraseRootFromParent_Done,
     /* 1119676 */   // Label 16431: @1119676
     /* 1119676 */   GIM_Try, /*On fail goto*//*Label 16432*/ GIMT_Encode4(1119753), // Rule ID 62642 //
     /* 1119681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1119698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119720 */     // MIs[0] policy
     /* 1119720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1119733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119752 */     // GIR_Coverage, 62642,
     /* 1119752 */     GIR_EraseRootFromParent_Done,
     /* 1119753 */   // Label 16432: @1119753
     /* 1119753 */   GIM_Try, /*On fail goto*//*Label 16433*/ GIMT_Encode4(1119830), // Rule ID 62643 //
     /* 1119758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1119769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1119772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1119775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1119778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119797 */     // MIs[0] policy
     /* 1119797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119807 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2),
     /* 1119810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119829 */     // GIR_Coverage, 62643,
     /* 1119829 */     GIR_EraseRootFromParent_Done,
     /* 1119830 */   // Label 16433: @1119830
     /* 1119830 */   GIM_Try, /*On fail goto*//*Label 16434*/ GIMT_Encode4(1119907), // Rule ID 62646 //
     /* 1119835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1119858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119874 */     // MIs[0] policy
     /* 1119874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1119884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1119887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119903 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119906 */     // GIR_Coverage, 62646,
     /* 1119906 */     GIR_EraseRootFromParent_Done,
     /* 1119907 */   // Label 16434: @1119907
     /* 1119907 */   GIM_Try, /*On fail goto*//*Label 16435*/ GIMT_Encode4(1119984), // Rule ID 62647 //
     /* 1119912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1119915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1119923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1119926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1119929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1119932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1119935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1119951 */     // MIs[0] policy
     /* 1119951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1119954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1119961 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1119961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1),
     /* 1119964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1119966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1119968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1119970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1119972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1119977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1119980 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1119982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1119983 */     // GIR_Coverage, 62647,
     /* 1119983 */     GIR_EraseRootFromParent_Done,
     /* 1119984 */   // Label 16435: @1119984
     /* 1119984 */   GIM_Try, /*On fail goto*//*Label 16436*/ GIMT_Encode4(1120061), // Rule ID 62650 //
     /* 1119989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1119992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1119997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1120006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120028 */     // MIs[0] policy
     /* 1120028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1120041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120057 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120060 */     // GIR_Coverage, 62650,
     /* 1120060 */     GIR_EraseRootFromParent_Done,
     /* 1120061 */   // Label 16436: @1120061
     /* 1120061 */   GIM_Try, /*On fail goto*//*Label 16437*/ GIMT_Encode4(1120138), // Rule ID 62651 //
     /* 1120066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1120083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120105 */     // MIs[0] policy
     /* 1120105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120115 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2),
     /* 1120118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120134 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120136 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120137 */     // GIR_Coverage, 62651,
     /* 1120137 */     GIR_EraseRootFromParent_Done,
     /* 1120138 */   // Label 16437: @1120138
     /* 1120138 */   GIM_Try, /*On fail goto*//*Label 16438*/ GIMT_Encode4(1120215), // Rule ID 62654 //
     /* 1120143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1120160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120182 */     // MIs[0] policy
     /* 1120182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1120195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120214 */     // GIR_Coverage, 62654,
     /* 1120214 */     GIR_EraseRootFromParent_Done,
     /* 1120215 */   // Label 16438: @1120215
     /* 1120215 */   GIM_Try, /*On fail goto*//*Label 16439*/ GIMT_Encode4(1120292), // Rule ID 62655 //
     /* 1120220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1120237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120259 */     // MIs[0] policy
     /* 1120259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120269 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4),
     /* 1120272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120291 */     // GIR_Coverage, 62655,
     /* 1120291 */     GIR_EraseRootFromParent_Done,
     /* 1120292 */   // Label 16439: @1120292
     /* 1120292 */   GIM_Try, /*On fail goto*//*Label 16440*/ GIMT_Encode4(1120369), // Rule ID 62658 //
     /* 1120297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1120314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120336 */     // MIs[0] policy
     /* 1120336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1120349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120365 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120368 */     // GIR_Coverage, 62658,
     /* 1120368 */     GIR_EraseRootFromParent_Done,
     /* 1120369 */   // Label 16440: @1120369
     /* 1120369 */   GIM_Try, /*On fail goto*//*Label 16441*/ GIMT_Encode4(1120446), // Rule ID 62659 //
     /* 1120374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1120385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1120388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1120391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1120394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1120413 */     // MIs[0] policy
     /* 1120413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120423 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8),
     /* 1120426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120442 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120445 */     // GIR_Coverage, 62659,
     /* 1120445 */     GIR_EraseRootFromParent_Done,
     /* 1120446 */   // Label 16441: @1120446
     /* 1120446 */   GIM_Try, /*On fail goto*//*Label 16442*/ GIMT_Encode4(1120523), // Rule ID 62662 //
     /* 1120451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1120462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1120465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120490 */     // MIs[0] policy
     /* 1120490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120500 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1120503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120519 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120522 */     // GIR_Coverage, 62662,
     /* 1120522 */     GIR_EraseRootFromParent_Done,
     /* 1120523 */   // Label 16442: @1120523
     /* 1120523 */   GIM_Try, /*On fail goto*//*Label 16443*/ GIMT_Encode4(1120600), // Rule ID 62663 //
     /* 1120528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1120539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1120542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1120548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120567 */     // MIs[0] policy
     /* 1120567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120577 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2),
     /* 1120580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120596 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120599 */     // GIR_Coverage, 62663,
     /* 1120599 */     GIR_EraseRootFromParent_Done,
     /* 1120600 */   // Label 16443: @1120600
     /* 1120600 */   GIM_Try, /*On fail goto*//*Label 16444*/ GIMT_Encode4(1120677), // Rule ID 62666 //
     /* 1120605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120644 */     // MIs[0] policy
     /* 1120644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120654 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1120657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120676 */     // GIR_Coverage, 62666,
     /* 1120676 */     GIR_EraseRootFromParent_Done,
     /* 1120677 */   // Label 16444: @1120677
     /* 1120677 */   GIM_Try, /*On fail goto*//*Label 16445*/ GIMT_Encode4(1120754), // Rule ID 62667 //
     /* 1120682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1120693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1120696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1120702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1120721 */     // MIs[0] policy
     /* 1120721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120731 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11131:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1),
     /* 1120734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120753 */     // GIR_Coverage, 62667,
     /* 1120753 */     GIR_EraseRootFromParent_Done,
     /* 1120754 */   // Label 16445: @1120754
     /* 1120754 */   GIM_Try, /*On fail goto*//*Label 16446*/ GIMT_Encode4(1120831), // Rule ID 62670 //
     /* 1120759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120798 */     // MIs[0] policy
     /* 1120798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120808 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1120811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120827 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120830 */     // GIR_Coverage, 62670,
     /* 1120830 */     GIR_EraseRootFromParent_Done,
     /* 1120831 */   // Label 16446: @1120831
     /* 1120831 */   GIM_Try, /*On fail goto*//*Label 16447*/ GIMT_Encode4(1120908), // Rule ID 62671 //
     /* 1120836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1120847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1120850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1120853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1120856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1120859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1120875 */     // MIs[0] policy
     /* 1120875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120885 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11131:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1120885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2),
     /* 1120888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120907 */     // GIR_Coverage, 62671,
     /* 1120907 */     GIR_EraseRootFromParent_Done,
     /* 1120908 */   // Label 16447: @1120908
     /* 1120908 */   GIM_Try, /*On fail goto*//*Label 16448*/ GIMT_Encode4(1120985), // Rule ID 62674 //
     /* 1120913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1120916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1120924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1120927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1120930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1120933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1120936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1120948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1120952 */     // MIs[0] policy
     /* 1120952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1120955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1120962 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1120962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1120965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1120967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1120969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1120971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1120973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1120978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1120981 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1120983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1120984 */     // GIR_Coverage, 62674,
     /* 1120984 */     GIR_EraseRootFromParent_Done,
     /* 1120985 */   // Label 16448: @1120985
     /* 1120985 */   GIM_Try, /*On fail goto*//*Label 16449*/ GIMT_Encode4(1121062), // Rule ID 62675 //
     /* 1120990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1120993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1120998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121029 */     // MIs[0] policy
     /* 1121029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121039 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11131:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4),
     /* 1121042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121058 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121061 */     // GIR_Coverage, 62675,
     /* 1121061 */     GIR_EraseRootFromParent_Done,
     /* 1121062 */   // Label 16449: @1121062
     /* 1121062 */   GIM_Try, /*On fail goto*//*Label 16450*/ GIMT_Encode4(1121139), // Rule ID 62678 //
     /* 1121067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1121075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1121084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121106 */     // MIs[0] policy
     /* 1121106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1121119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121138 */     // GIR_Coverage, 62678,
     /* 1121138 */     GIR_EraseRootFromParent_Done,
     /* 1121139 */   // Label 16450: @1121139
     /* 1121139 */   GIM_Try, /*On fail goto*//*Label 16451*/ GIMT_Encode4(1121216), // Rule ID 62679 //
     /* 1121144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau),
     /* 1121152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1121161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1121179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121183 */     // MIs[0] policy
     /* 1121183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121193 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11131:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8),
     /* 1121196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121215 */     // GIR_Coverage, 62679,
     /* 1121215 */     GIR_EraseRootFromParent_Done,
     /* 1121216 */   // Label 16451: @1121216
     /* 1121216 */   GIM_Try, /*On fail goto*//*Label 16452*/ GIMT_Encode4(1121293), // Rule ID 62682 //
     /* 1121221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1121238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121260 */     // MIs[0] policy
     /* 1121260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121270 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1121273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121289 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121292 */     // GIR_Coverage, 62682,
     /* 1121292 */     GIR_EraseRootFromParent_Done,
     /* 1121293 */   // Label 16452: @1121293
     /* 1121293 */   GIM_Try, /*On fail goto*//*Label 16453*/ GIMT_Encode4(1121370), // Rule ID 62683 //
     /* 1121298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1121309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1121312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1121315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1121318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121337 */     // MIs[0] policy
     /* 1121337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2),
     /* 1121350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121366 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121369 */     // GIR_Coverage, 62683,
     /* 1121369 */     GIR_EraseRootFromParent_Done,
     /* 1121370 */   // Label 16453: @1121370
     /* 1121370 */   GIM_Try, /*On fail goto*//*Label 16454*/ GIMT_Encode4(1121447), // Rule ID 62686 //
     /* 1121375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121414 */     // MIs[0] policy
     /* 1121414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1121427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121443 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121446 */     // GIR_Coverage, 62686,
     /* 1121446 */     GIR_EraseRootFromParent_Done,
     /* 1121447 */   // Label 16454: @1121447
     /* 1121447 */   GIM_Try, /*On fail goto*//*Label 16455*/ GIMT_Encode4(1121524), // Rule ID 62687 //
     /* 1121452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1121463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1121466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1121469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1121472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1121491 */     // MIs[0] policy
     /* 1121491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121501 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1),
     /* 1121504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121520 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121523 */     // GIR_Coverage, 62687,
     /* 1121523 */     GIR_EraseRootFromParent_Done,
     /* 1121524 */   // Label 16455: @1121524
     /* 1121524 */   GIM_Try, /*On fail goto*//*Label 16456*/ GIMT_Encode4(1121601), // Rule ID 62690 //
     /* 1121529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1121546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121568 */     // MIs[0] policy
     /* 1121568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1121581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121597 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121600 */     // GIR_Coverage, 62690,
     /* 1121600 */     GIR_EraseRootFromParent_Done,
     /* 1121601 */   // Label 16456: @1121601
     /* 1121601 */   GIM_Try, /*On fail goto*//*Label 16457*/ GIMT_Encode4(1121678), // Rule ID 62691 //
     /* 1121606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1121617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1121620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1121623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1121626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1121645 */     // MIs[0] policy
     /* 1121645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121655 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2),
     /* 1121658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121674 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121676 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121677 */     // GIR_Coverage, 62691,
     /* 1121677 */     GIR_EraseRootFromParent_Done,
     /* 1121678 */   // Label 16457: @1121678
     /* 1121678 */   GIM_Try, /*On fail goto*//*Label 16458*/ GIMT_Encode4(1121755), // Rule ID 62694 //
     /* 1121683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1121700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121722 */     // MIs[0] policy
     /* 1121722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121732 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1121735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121754 */     // GIR_Coverage, 62694,
     /* 1121754 */     GIR_EraseRootFromParent_Done,
     /* 1121755 */   // Label 16458: @1121755
     /* 1121755 */   GIM_Try, /*On fail goto*//*Label 16459*/ GIMT_Encode4(1121832), // Rule ID 62695 //
     /* 1121760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1121771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1121774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1121777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1121780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1121799 */     // MIs[0] policy
     /* 1121799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121809 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4),
     /* 1121812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121831 */     // GIR_Coverage, 62695,
     /* 1121831 */     GIR_EraseRootFromParent_Done,
     /* 1121832 */   // Label 16459: @1121832
     /* 1121832 */   GIM_Try, /*On fail goto*//*Label 16460*/ GIMT_Encode4(1121909), // Rule ID 62698 //
     /* 1121837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1121854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1121860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121876 */     // MIs[0] policy
     /* 1121876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121886 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1121886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1121889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121905 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121908 */     // GIR_Coverage, 62698,
     /* 1121908 */     GIR_EraseRootFromParent_Done,
     /* 1121909 */   // Label 16460: @1121909
     /* 1121909 */   GIM_Try, /*On fail goto*//*Label 16461*/ GIMT_Encode4(1121986), // Rule ID 62699 //
     /* 1121914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1121917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1121925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1121928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1121931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1121934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1121937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1121953 */     // MIs[0] policy
     /* 1121953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1121956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1121963 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1121963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8),
     /* 1121966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1121968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1121970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1121972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1121974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1121979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1121982 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1121984 */     GIR_RootConstrainSelectedInstOperands,
     /* 1121985 */     // GIR_Coverage, 62699,
     /* 1121985 */     GIR_EraseRootFromParent_Done,
     /* 1121986 */   // Label 16461: @1121986
     /* 1121986 */   GIM_Try, /*On fail goto*//*Label 16462*/ GIMT_Encode4(1122063), // Rule ID 62702 //
     /* 1121991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1121994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1121999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122030 */     // MIs[0] policy
     /* 1122030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1122043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122059 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122062 */     // GIR_Coverage, 62702,
     /* 1122062 */     GIR_EraseRootFromParent_Done,
     /* 1122063 */   // Label 16462: @1122063
     /* 1122063 */   GIM_Try, /*On fail goto*//*Label 16463*/ GIMT_Encode4(1122140), // Rule ID 62703 //
     /* 1122068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122107 */     // MIs[0] policy
     /* 1122107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122117 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2),
     /* 1122120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122136 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122139 */     // GIR_Coverage, 62703,
     /* 1122139 */     GIR_EraseRootFromParent_Done,
     /* 1122140 */   // Label 16463: @1122140
     /* 1122140 */   GIM_Try, /*On fail goto*//*Label 16464*/ GIMT_Encode4(1122217), // Rule ID 62706 //
     /* 1122145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122184 */     // MIs[0] policy
     /* 1122184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1122197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122213 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122216 */     // GIR_Coverage, 62706,
     /* 1122216 */     GIR_EraseRootFromParent_Done,
     /* 1122217 */   // Label 16464: @1122217
     /* 1122217 */   GIM_Try, /*On fail goto*//*Label 16465*/ GIMT_Encode4(1122294), // Rule ID 62707 //
     /* 1122222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122261 */     // MIs[0] policy
     /* 1122261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122271 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11129:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1),
     /* 1122274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122293 */     // GIR_Coverage, 62707,
     /* 1122293 */     GIR_EraseRootFromParent_Done,
     /* 1122294 */   // Label 16465: @1122294
     /* 1122294 */   GIM_Try, /*On fail goto*//*Label 16466*/ GIMT_Encode4(1122371), // Rule ID 62710 //
     /* 1122299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122338 */     // MIs[0] policy
     /* 1122338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1122351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122370 */     // GIR_Coverage, 62710,
     /* 1122370 */     GIR_EraseRootFromParent_Done,
     /* 1122371 */   // Label 16466: @1122371
     /* 1122371 */   GIM_Try, /*On fail goto*//*Label 16467*/ GIMT_Encode4(1122448), // Rule ID 62711 //
     /* 1122376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1122387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1122390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1122396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1122415 */     // MIs[0] policy
     /* 1122415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122425 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11129:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2),
     /* 1122428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122447 */     // GIR_Coverage, 62711,
     /* 1122447 */     GIR_EraseRootFromParent_Done,
     /* 1122448 */   // Label 16467: @1122448
     /* 1122448 */   GIM_Try, /*On fail goto*//*Label 16468*/ GIMT_Encode4(1122525), // Rule ID 62714 //
     /* 1122453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122492 */     // MIs[0] policy
     /* 1122492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1122505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122521 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122524 */     // GIR_Coverage, 62714,
     /* 1122524 */     GIR_EraseRootFromParent_Done,
     /* 1122525 */   // Label 16468: @1122525
     /* 1122525 */   GIM_Try, /*On fail goto*//*Label 16469*/ GIMT_Encode4(1122602), // Rule ID 62715 //
     /* 1122530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1122541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1122544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1122550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1122569 */     // MIs[0] policy
     /* 1122569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122579 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11129:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4),
     /* 1122582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122598 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122600 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122601 */     // GIR_Coverage, 62715,
     /* 1122601 */     GIR_EraseRootFromParent_Done,
     /* 1122602 */   // Label 16469: @1122602
     /* 1122602 */   GIM_Try, /*On fail goto*//*Label 16470*/ GIMT_Encode4(1122679), // Rule ID 62718 //
     /* 1122607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122646 */     // MIs[0] policy
     /* 1122646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122656 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1122659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122675 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122678 */     // GIR_Coverage, 62718,
     /* 1122678 */     GIR_EraseRootFromParent_Done,
     /* 1122679 */   // Label 16470: @1122679
     /* 1122679 */   GIM_Try, /*On fail goto*//*Label 16471*/ GIMT_Encode4(1122756), // Rule ID 62719 //
     /* 1122684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu),
     /* 1122692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1122695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1122698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1122704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1122723 */     // MIs[0] policy
     /* 1122723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122733 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11129:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8),
     /* 1122736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122752 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122755 */     // GIR_Coverage, 62719,
     /* 1122755 */     GIR_EraseRootFromParent_Done,
     /* 1122756 */   // Label 16471: @1122756
     /* 1122756 */   GIM_Try, /*On fail goto*//*Label 16472*/ GIMT_Encode4(1122833), // Rule ID 62722 //
     /* 1122761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122800 */     // MIs[0] policy
     /* 1122800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1122813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122829 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122832 */     // GIR_Coverage, 62722,
     /* 1122832 */     GIR_EraseRootFromParent_Done,
     /* 1122833 */   // Label 16472: @1122833
     /* 1122833 */   GIM_Try, /*On fail goto*//*Label 16473*/ GIMT_Encode4(1122910), // Rule ID 62723 //
     /* 1122838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1122849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1122852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1122855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1122858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1122861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122877 */     // MIs[0] policy
     /* 1122877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122887 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1122887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2),
     /* 1122890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122906 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122909 */     // GIR_Coverage, 62723,
     /* 1122909 */     GIR_EraseRootFromParent_Done,
     /* 1122910 */   // Label 16473: @1122910
     /* 1122910 */   GIM_Try, /*On fail goto*//*Label 16474*/ GIMT_Encode4(1122987), // Rule ID 62726 //
     /* 1122915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1122918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1122923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1122926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1122929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1122932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1122935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1122938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1122950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1122954 */     // MIs[0] policy
     /* 1122954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1122957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1122964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1122964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1122967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1122969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1122971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1122973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1122975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1122980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1122983 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1122985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1122986 */     // GIR_Coverage, 62726,
     /* 1122986 */     GIR_EraseRootFromParent_Done,
     /* 1122987 */   // Label 16474: @1122987
     /* 1122987 */   GIM_Try, /*On fail goto*//*Label 16475*/ GIMT_Encode4(1123064), // Rule ID 62727 //
     /* 1122992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1122995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1123000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1123009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123031 */     // MIs[0] policy
     /* 1123031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123041 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11133:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1),
     /* 1123044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123060 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123063 */     // GIR_Coverage, 62727,
     /* 1123063 */     GIR_EraseRootFromParent_Done,
     /* 1123064 */   // Label 16475: @1123064
     /* 1123064 */   GIM_Try, /*On fail goto*//*Label 16476*/ GIMT_Encode4(1123141), // Rule ID 62730 //
     /* 1123069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1123072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1123077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1123086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123108 */     // MIs[0] policy
     /* 1123108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1123121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123137 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123140 */     // GIR_Coverage, 62730,
     /* 1123140 */     GIR_EraseRootFromParent_Done,
     /* 1123141 */   // Label 16476: @1123141
     /* 1123141 */   GIM_Try, /*On fail goto*//*Label 16477*/ GIMT_Encode4(1123218), // Rule ID 62731 //
     /* 1123146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1123149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1123154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1123163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123185 */     // MIs[0] policy
     /* 1123185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11133:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2),
     /* 1123198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123214 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123217 */     // GIR_Coverage, 62731,
     /* 1123217 */     GIR_EraseRootFromParent_Done,
     /* 1123218 */   // Label 16477: @1123218
     /* 1123218 */   GIM_Try, /*On fail goto*//*Label 16478*/ GIMT_Encode4(1123295), // Rule ID 62734 //
     /* 1123223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1123226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1123231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1123240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123262 */     // MIs[0] policy
     /* 1123262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1123275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123291 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123294 */     // GIR_Coverage, 62734,
     /* 1123294 */     GIR_EraseRootFromParent_Done,
     /* 1123295 */   // Label 16478: @1123295
     /* 1123295 */   GIM_Try, /*On fail goto*//*Label 16479*/ GIMT_Encode4(1123372), // Rule ID 62735 //
     /* 1123300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1123303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1123308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1123317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123339 */     // MIs[0] policy
     /* 1123339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123349 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11133:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4),
     /* 1123352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123368 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123371 */     // GIR_Coverage, 62735,
     /* 1123371 */     GIR_EraseRootFromParent_Done,
     /* 1123372 */   // Label 16479: @1123372
     /* 1123372 */   GIM_Try, /*On fail goto*//*Label 16480*/ GIMT_Encode4(1123449), // Rule ID 62738 //
     /* 1123377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1123380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1123385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1123394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1123397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123416 */     // MIs[0] policy
     /* 1123416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1123429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123448 */     // GIR_Coverage, 62738,
     /* 1123448 */     GIR_EraseRootFromParent_Done,
     /* 1123449 */   // Label 16480: @1123449
     /* 1123449 */   GIM_Try, /*On fail goto*//*Label 16481*/ GIMT_Encode4(1123526), // Rule ID 62739 //
     /* 1123454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1123457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus),
     /* 1123462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1123465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1123468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1123471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1123474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1123489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1123493 */     // MIs[0] policy
     /* 1123493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123503 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11133:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8),
     /* 1123506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1123522 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123524 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123525 */     // GIR_Coverage, 62739,
     /* 1123525 */     GIR_EraseRootFromParent_Done,
     /* 1123526 */   // Label 16481: @1123526
     /* 1123526 */   GIM_Try, /*On fail goto*//*Label 16482*/ GIMT_Encode4(1123603), // Rule ID 62833 //
     /* 1123531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123570 */     // MIs[0] policy
     /* 1123570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123580 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1123583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123602 */     // GIR_Coverage, 62833,
     /* 1123602 */     GIR_EraseRootFromParent_Done,
     /* 1123603 */   // Label 16482: @1123603
     /* 1123603 */   GIM_Try, /*On fail goto*//*Label 16483*/ GIMT_Encode4(1123680), // Rule ID 62834 //
     /* 1123608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1123619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1123622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1123628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123647 */     // MIs[0] policy
     /* 1123647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123657 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11105:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M1),
     /* 1123660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123679 */     // GIR_Coverage, 62834,
     /* 1123679 */     GIR_EraseRootFromParent_Done,
     /* 1123680 */   // Label 16483: @1123680
     /* 1123680 */   GIM_Try, /*On fail goto*//*Label 16484*/ GIMT_Encode4(1123757), // Rule ID 64291 //
     /* 1123685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123724 */     // MIs[0] policy
     /* 1123724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123734 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1123737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123756 */     // GIR_Coverage, 64291,
     /* 1123756 */     GIR_EraseRootFromParent_Done,
     /* 1123757 */   // Label 16484: @1123757
     /* 1123757 */   GIM_Try, /*On fail goto*//*Label 16485*/ GIMT_Encode4(1123834), // Rule ID 64292 //
     /* 1123762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1123773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1123776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1123782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1123801 */     // MIs[0] policy
     /* 1123801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123811 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11105:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M2),
     /* 1123814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123830 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123833 */     // GIR_Coverage, 64292,
     /* 1123833 */     GIR_EraseRootFromParent_Done,
     /* 1123834 */   // Label 16485: @1123834
     /* 1123834 */   GIM_Try, /*On fail goto*//*Label 16486*/ GIMT_Encode4(1123911), // Rule ID 64293 //
     /* 1123839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1123862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123878 */     // MIs[0] policy
     /* 1123878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1123888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1123891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123907 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123910 */     // GIR_Coverage, 64293,
     /* 1123910 */     GIR_EraseRootFromParent_Done,
     /* 1123911 */   // Label 16486: @1123911
     /* 1123911 */   GIM_Try, /*On fail goto*//*Label 16487*/ GIMT_Encode4(1123988), // Rule ID 64294 //
     /* 1123916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1123919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1123924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1123927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1123930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1123933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1123936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1123939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1123951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1123955 */     // MIs[0] policy
     /* 1123955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1123958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1123965 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11105:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1123965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M4),
     /* 1123968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1123970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1123972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1123974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1123976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1123981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1123984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1123986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1123987 */     // GIR_Coverage, 64294,
     /* 1123987 */     GIR_EraseRootFromParent_Done,
     /* 1123988 */   // Label 16487: @1123988
     /* 1123988 */   GIM_Try, /*On fail goto*//*Label 16488*/ GIMT_Encode4(1124065), // Rule ID 64295 //
     /* 1123993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1123996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1124001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124032 */     // MIs[0] policy
     /* 1124032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124042 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1124045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124061 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124064 */     // GIR_Coverage, 64295,
     /* 1124064 */     GIR_EraseRootFromParent_Done,
     /* 1124065 */   // Label 16488: @1124065
     /* 1124065 */   GIM_Try, /*On fail goto*//*Label 16489*/ GIMT_Encode4(1124142), // Rule ID 64296 //
     /* 1124070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_2x8x2),
     /* 1124078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124109 */     // MIs[0] policy
     /* 1124109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124119 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11105:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_2x8x2_M8),
     /* 1124122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124138 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124141 */     // GIR_Coverage, 64296,
     /* 1124141 */     GIR_EraseRootFromParent_Done,
     /* 1124142 */   // Label 16489: @1124142
     /* 1124142 */   GIM_Try, /*On fail goto*//*Label 16490*/ GIMT_Encode4(1124219), // Rule ID 64297 //
     /* 1124147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124186 */     // MIs[0] policy
     /* 1124186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124196 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1124199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124215 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124218 */     // GIR_Coverage, 64297,
     /* 1124218 */     GIR_EraseRootFromParent_Done,
     /* 1124219 */   // Label 16490: @1124219
     /* 1124219 */   GIM_Try, /*On fail goto*//*Label 16491*/ GIMT_Encode4(1124296), // Rule ID 64298 //
     /* 1124224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124263 */     // MIs[0] policy
     /* 1124263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124273 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11101:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M1),
     /* 1124276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124292 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124295 */     // GIR_Coverage, 64298,
     /* 1124295 */     GIR_EraseRootFromParent_Done,
     /* 1124296 */   // Label 16491: @1124296
     /* 1124296 */   GIM_Try, /*On fail goto*//*Label 16492*/ GIMT_Encode4(1124373), // Rule ID 64299 //
     /* 1124301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124340 */     // MIs[0] policy
     /* 1124340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124350 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1124353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124369 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124372 */     // GIR_Coverage, 64299,
     /* 1124372 */     GIR_EraseRootFromParent_Done,
     /* 1124373 */   // Label 16492: @1124373
     /* 1124373 */   GIM_Try, /*On fail goto*//*Label 16493*/ GIMT_Encode4(1124450), // Rule ID 64300 //
     /* 1124378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124417 */     // MIs[0] policy
     /* 1124417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124427 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11101:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M2),
     /* 1124430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124448 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124449 */     // GIR_Coverage, 64300,
     /* 1124449 */     GIR_EraseRootFromParent_Done,
     /* 1124450 */   // Label 16493: @1124450
     /* 1124450 */   GIM_Try, /*On fail goto*//*Label 16494*/ GIMT_Encode4(1124527), // Rule ID 64301 //
     /* 1124455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124494 */     // MIs[0] policy
     /* 1124494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124504 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1124507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124526 */     // GIR_Coverage, 64301,
     /* 1124526 */     GIR_EraseRootFromParent_Done,
     /* 1124527 */   // Label 16494: @1124527
     /* 1124527 */   GIM_Try, /*On fail goto*//*Label 16495*/ GIMT_Encode4(1124604), // Rule ID 64302 //
     /* 1124532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1124543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1124546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1124552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1124571 */     // MIs[0] policy
     /* 1124571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124581 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11101:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M4),
     /* 1124584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124603 */     // GIR_Coverage, 64302,
     /* 1124603 */     GIR_EraseRootFromParent_Done,
     /* 1124604 */   // Label 16495: @1124604
     /* 1124604 */   GIM_Try, /*On fail goto*//*Label 16496*/ GIMT_Encode4(1124681), // Rule ID 64303 //
     /* 1124609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124648 */     // MIs[0] policy
     /* 1124648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124658 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1124661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124677 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124680 */     // GIR_Coverage, 64303,
     /* 1124680 */     GIR_EraseRootFromParent_Done,
     /* 1124681 */   // Label 16496: @1124681
     /* 1124681 */   GIM_Try, /*On fail goto*//*Label 16497*/ GIMT_Encode4(1124758), // Rule ID 64304 //
     /* 1124686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_2x8x2),
     /* 1124694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1124697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1124700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1124706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1124725 */     // MIs[0] policy
     /* 1124725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124735 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11101:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_2x8x2_M8),
     /* 1124738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124757 */     // GIR_Coverage, 64304,
     /* 1124757 */     GIR_EraseRootFromParent_Done,
     /* 1124758 */   // Label 16497: @1124758
     /* 1124758 */   GIM_Try, /*On fail goto*//*Label 16498*/ GIMT_Encode4(1124835), // Rule ID 64305 //
     /* 1124763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124802 */     // MIs[0] policy
     /* 1124802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1124815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124831 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124834 */     // GIR_Coverage, 64305,
     /* 1124834 */     GIR_EraseRootFromParent_Done,
     /* 1124835 */   // Label 16498: @1124835
     /* 1124835 */   GIM_Try, /*On fail goto*//*Label 16499*/ GIMT_Encode4(1124912), // Rule ID 64306 //
     /* 1124840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1124851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1124854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1124860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1124863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124879 */     // MIs[0] policy
     /* 1124879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11107:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1124889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M1),
     /* 1124892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124908 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124911 */     // GIR_Coverage, 64306,
     /* 1124911 */     GIR_EraseRootFromParent_Done,
     /* 1124912 */   // Label 16499: @1124912
     /* 1124912 */   GIM_Try, /*On fail goto*//*Label 16500*/ GIMT_Encode4(1124989), // Rule ID 64307 //
     /* 1124917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1124920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1124925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1124928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1124931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1124934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1124937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1124940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1124952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1124956 */     // MIs[0] policy
     /* 1124956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1124959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1124966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1124966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1124969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1124971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1124973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1124975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1124977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1124982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1124985 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1124987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1124988 */     // GIR_Coverage, 64307,
     /* 1124988 */     GIR_EraseRootFromParent_Done,
     /* 1124989 */   // Label 16500: @1124989
     /* 1124989 */   GIM_Try, /*On fail goto*//*Label 16501*/ GIMT_Encode4(1125066), // Rule ID 64308 //
     /* 1124994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1124997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1125002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125033 */     // MIs[0] policy
     /* 1125033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125043 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11107:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M2),
     /* 1125046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125062 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125065 */     // GIR_Coverage, 64308,
     /* 1125065 */     GIR_EraseRootFromParent_Done,
     /* 1125066 */   // Label 16501: @1125066
     /* 1125066 */   GIM_Try, /*On fail goto*//*Label 16502*/ GIMT_Encode4(1125143), // Rule ID 64309 //
     /* 1125071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1125079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125110 */     // MIs[0] policy
     /* 1125110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1125123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125139 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125142 */     // GIR_Coverage, 64309,
     /* 1125142 */     GIR_EraseRootFromParent_Done,
     /* 1125143 */   // Label 16502: @1125143
     /* 1125143 */   GIM_Try, /*On fail goto*//*Label 16503*/ GIMT_Encode4(1125220), // Rule ID 64310 //
     /* 1125148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1125156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125187 */     // MIs[0] policy
     /* 1125187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125197 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11107:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M4),
     /* 1125200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125216 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125219 */     // GIR_Coverage, 64310,
     /* 1125219 */     GIR_EraseRootFromParent_Done,
     /* 1125220 */   // Label 16503: @1125220
     /* 1125220 */   GIM_Try, /*On fail goto*//*Label 16504*/ GIMT_Encode4(1125297), // Rule ID 64311 //
     /* 1125225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1125233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125264 */     // MIs[0] policy
     /* 1125264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1125277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125293 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125296 */     // GIR_Coverage, 64311,
     /* 1125296 */     GIR_EraseRootFromParent_Done,
     /* 1125297 */   // Label 16504: @1125297
     /* 1125297 */   GIM_Try, /*On fail goto*//*Label 16505*/ GIMT_Encode4(1125374), // Rule ID 64312 //
     /* 1125302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_2x8x2),
     /* 1125310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125341 */     // MIs[0] policy
     /* 1125341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125351 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11107:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_2x8x2_M8),
     /* 1125354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125370 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125373 */     // GIR_Coverage, 64312,
     /* 1125373 */     GIR_EraseRootFromParent_Done,
     /* 1125374 */   // Label 16505: @1125374
     /* 1125374 */   GIM_Try, /*On fail goto*//*Label 16506*/ GIMT_Encode4(1125451), // Rule ID 64313 //
     /* 1125379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125418 */     // MIs[0] policy
     /* 1125418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125428 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1125431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125447 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125450 */     // GIR_Coverage, 64313,
     /* 1125450 */     GIR_EraseRootFromParent_Done,
     /* 1125451 */   // Label 16506: @1125451
     /* 1125451 */   GIM_Try, /*On fail goto*//*Label 16507*/ GIMT_Encode4(1125528), // Rule ID 64314 //
     /* 1125456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1125467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1125470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1125476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125495 */     // MIs[0] policy
     /* 1125495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125505 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11103:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M1),
     /* 1125508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125524 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125527 */     // GIR_Coverage, 64314,
     /* 1125527 */     GIR_EraseRootFromParent_Done,
     /* 1125528 */   // Label 16507: @1125528
     /* 1125528 */   GIM_Try, /*On fail goto*//*Label 16508*/ GIMT_Encode4(1125605), // Rule ID 64315 //
     /* 1125533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125572 */     // MIs[0] policy
     /* 1125572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1125585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125604 */     // GIR_Coverage, 64315,
     /* 1125604 */     GIR_EraseRootFromParent_Done,
     /* 1125605 */   // Label 16508: @1125605
     /* 1125605 */   GIM_Try, /*On fail goto*//*Label 16509*/ GIMT_Encode4(1125682), // Rule ID 64316 //
     /* 1125610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1125621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1125624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1125630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1125649 */     // MIs[0] policy
     /* 1125649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125659 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11103:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M2),
     /* 1125662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125681 */     // GIR_Coverage, 64316,
     /* 1125681 */     GIR_EraseRootFromParent_Done,
     /* 1125682 */   // Label 16509: @1125682
     /* 1125682 */   GIM_Try, /*On fail goto*//*Label 16510*/ GIMT_Encode4(1125759), // Rule ID 64317 //
     /* 1125687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125726 */     // MIs[0] policy
     /* 1125726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1125739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125755 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125758 */     // GIR_Coverage, 64317,
     /* 1125758 */     GIR_EraseRootFromParent_Done,
     /* 1125759 */   // Label 16510: @1125759
     /* 1125759 */   GIM_Try, /*On fail goto*//*Label 16511*/ GIMT_Encode4(1125836), // Rule ID 64318 //
     /* 1125764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1125775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1125778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1125784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1125803 */     // MIs[0] policy
     /* 1125803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125813 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11103:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M4),
     /* 1125816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125832 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125835 */     // GIR_Coverage, 64318,
     /* 1125835 */     GIR_EraseRootFromParent_Done,
     /* 1125836 */   // Label 16511: @1125836
     /* 1125836 */   GIM_Try, /*On fail goto*//*Label 16512*/ GIMT_Encode4(1125913), // Rule ID 64319 //
     /* 1125841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode0),
     /* 1125844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1125864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125880 */     // MIs[0] policy
     /* 1125880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1125890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1125893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125909 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125912 */     // GIR_Coverage, 64319,
     /* 1125912 */     GIR_EraseRootFromParent_Done,
     /* 1125913 */   // Label 16512: @1125913
     /* 1125913 */   GIM_Try, /*On fail goto*//*Label 16513*/ GIMT_Encode4(1125990), // Rule ID 64320 //
     /* 1125918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccdod_HwMode1),
     /* 1125921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_2x8x2),
     /* 1125926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1125929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1125932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1125935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1125938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1125941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1125953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1125957 */     // MIs[0] policy
     /* 1125957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1125960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1125967 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11103:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_2x8x2_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1125967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_2x8x2_M8),
     /* 1125970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1125972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1125974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1125976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1125978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1125983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1125986 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1125988 */     GIR_RootConstrainSelectedInstOperands,
     /* 1125989 */     // GIR_Coverage, 64320,
     /* 1125989 */     GIR_EraseRootFromParent_Done,
     /* 1125990 */   // Label 16513: @1125990
     /* 1125990 */   GIM_Try, /*On fail goto*//*Label 16514*/ GIMT_Encode4(1126067), // Rule ID 64321 //
     /* 1125995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1125998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126034 */     // MIs[0] policy
     /* 1126034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1126047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126063 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126066 */     // GIR_Coverage, 64321,
     /* 1126066 */     GIR_EraseRootFromParent_Done,
     /* 1126067 */   // Label 16514: @1126067
     /* 1126067 */   GIM_Try, /*On fail goto*//*Label 16515*/ GIMT_Encode4(1126144), // Rule ID 64322 //
     /* 1126072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126111 */     // MIs[0] policy
     /* 1126111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126121 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11106:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_MF2),
     /* 1126124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126126 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126140 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126143 */     // GIR_Coverage, 64322,
     /* 1126143 */     GIR_EraseRootFromParent_Done,
     /* 1126144 */   // Label 16515: @1126144
     /* 1126144 */   GIM_Try, /*On fail goto*//*Label 16516*/ GIMT_Encode4(1126221), // Rule ID 64323 //
     /* 1126149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126188 */     // MIs[0] policy
     /* 1126188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126198 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1126201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126220 */     // GIR_Coverage, 64323,
     /* 1126220 */     GIR_EraseRootFromParent_Done,
     /* 1126221 */   // Label 16516: @1126221
     /* 1126221 */   GIM_Try, /*On fail goto*//*Label 16517*/ GIMT_Encode4(1126298), // Rule ID 64324 //
     /* 1126226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126265 */     // MIs[0] policy
     /* 1126265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126275 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11106:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M1),
     /* 1126278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126297 */     // GIR_Coverage, 64324,
     /* 1126297 */     GIR_EraseRootFromParent_Done,
     /* 1126298 */   // Label 16517: @1126298
     /* 1126298 */   GIM_Try, /*On fail goto*//*Label 16518*/ GIMT_Encode4(1126375), // Rule ID 64325 //
     /* 1126303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126342 */     // MIs[0] policy
     /* 1126342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126352 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1126355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126374 */     // GIR_Coverage, 64325,
     /* 1126374 */     GIR_EraseRootFromParent_Done,
     /* 1126375 */   // Label 16518: @1126375
     /* 1126375 */   GIM_Try, /*On fail goto*//*Label 16519*/ GIMT_Encode4(1126452), // Rule ID 64326 //
     /* 1126380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126419 */     // MIs[0] policy
     /* 1126419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126429 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11106:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M2),
     /* 1126432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126448 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126451 */     // GIR_Coverage, 64326,
     /* 1126451 */     GIR_EraseRootFromParent_Done,
     /* 1126452 */   // Label 16519: @1126452
     /* 1126452 */   GIM_Try, /*On fail goto*//*Label 16520*/ GIMT_Encode4(1126529), // Rule ID 64327 //
     /* 1126457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126496 */     // MIs[0] policy
     /* 1126496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1126509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126525 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126528 */     // GIR_Coverage, 64327,
     /* 1126528 */     GIR_EraseRootFromParent_Done,
     /* 1126529 */   // Label 16520: @1126529
     /* 1126529 */   GIM_Try, /*On fail goto*//*Label 16521*/ GIMT_Encode4(1126606), // Rule ID 64328 //
     /* 1126534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccu_4x8x4),
     /* 1126542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1126545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1126548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1126554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1126565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126573 */     // MIs[0] policy
     /* 1126573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126583 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11106:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCU_4x8x4_M4),
     /* 1126586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126602 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126605 */     // GIR_Coverage, 64328,
     /* 1126605 */     GIR_EraseRootFromParent_Done,
     /* 1126606 */   // Label 16521: @1126606
     /* 1126606 */   GIM_Try, /*On fail goto*//*Label 16522*/ GIMT_Encode4(1126683), // Rule ID 64329 //
     /* 1126611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126650 */     // MIs[0] policy
     /* 1126650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126660 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1126663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126679 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126682 */     // GIR_Coverage, 64329,
     /* 1126682 */     GIR_EraseRootFromParent_Done,
     /* 1126683 */   // Label 16522: @1126683
     /* 1126683 */   GIM_Try, /*On fail goto*//*Label 16523*/ GIMT_Encode4(1126760), // Rule ID 64330 //
     /* 1126688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1126699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1126702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1126708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126727 */     // MIs[0] policy
     /* 1126727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126737 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11102:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_MF2),
     /* 1126740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126756 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126759 */     // GIR_Coverage, 64330,
     /* 1126759 */     GIR_EraseRootFromParent_Done,
     /* 1126760 */   // Label 16523: @1126760
     /* 1126760 */   GIM_Try, /*On fail goto*//*Label 16524*/ GIMT_Encode4(1126837), // Rule ID 64331 //
     /* 1126765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126804 */     // MIs[0] policy
     /* 1126804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126814 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1126817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126833 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126836 */     // GIR_Coverage, 64331,
     /* 1126836 */     GIR_EraseRootFromParent_Done,
     /* 1126837 */   // Label 16524: @1126837
     /* 1126837 */   GIM_Try, /*On fail goto*//*Label 16525*/ GIMT_Encode4(1126914), // Rule ID 64332 //
     /* 1126842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1126853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1126856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1126862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1126865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126881 */     // MIs[0] policy
     /* 1126881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126891 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11102:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1126891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M1),
     /* 1126894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126910 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126913 */     // GIR_Coverage, 64332,
     /* 1126913 */     GIR_EraseRootFromParent_Done,
     /* 1126914 */   // Label 16525: @1126914
     /* 1126914 */   GIM_Try, /*On fail goto*//*Label 16526*/ GIMT_Encode4(1126991), // Rule ID 64333 //
     /* 1126919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1126922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1126927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1126930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1126933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1126936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1126939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1126942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1126950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1126954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1126958 */     // MIs[0] policy
     /* 1126958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1126961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1126968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1126968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1126971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1126973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1126975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1126977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1126979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1126984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1126987 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1126989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1126990 */     // GIR_Coverage, 64333,
     /* 1126990 */     GIR_EraseRootFromParent_Done,
     /* 1126991 */   // Label 16526: @1126991
     /* 1126991 */   GIM_Try, /*On fail goto*//*Label 16527*/ GIMT_Encode4(1127068), // Rule ID 64334 //
     /* 1126996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1126999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1127004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127035 */     // MIs[0] policy
     /* 1127035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127045 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11102:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M2),
     /* 1127048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127064 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127067 */     // GIR_Coverage, 64334,
     /* 1127067 */     GIR_EraseRootFromParent_Done,
     /* 1127068 */   // Label 16527: @1127068
     /* 1127068 */   GIM_Try, /*On fail goto*//*Label 16528*/ GIMT_Encode4(1127145), // Rule ID 64335 //
     /* 1127073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1127081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127112 */     // MIs[0] policy
     /* 1127112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127122 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1127125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127141 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127144 */     // GIR_Coverage, 64335,
     /* 1127144 */     GIR_EraseRootFromParent_Done,
     /* 1127145 */   // Label 16528: @1127145
     /* 1127145 */   GIM_Try, /*On fail goto*//*Label 16529*/ GIMT_Encode4(1127222), // Rule ID 64336 //
     /* 1127150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmacc_4x8x4),
     /* 1127158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127189 */     // MIs[0] policy
     /* 1127189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127199 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11102:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACC_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACC_4x8x4_M4),
     /* 1127202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127221 */     // GIR_Coverage, 64336,
     /* 1127221 */     GIR_EraseRootFromParent_Done,
     /* 1127222 */   // Label 16529: @1127222
     /* 1127222 */   GIM_Try, /*On fail goto*//*Label 16530*/ GIMT_Encode4(1127299), // Rule ID 64337 //
     /* 1127227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127266 */     // MIs[0] policy
     /* 1127266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127276 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1127279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127298 */     // GIR_Coverage, 64337,
     /* 1127298 */     GIR_EraseRootFromParent_Done,
     /* 1127299 */   // Label 16530: @1127299
     /* 1127299 */   GIM_Try, /*On fail goto*//*Label 16531*/ GIMT_Encode4(1127376), // Rule ID 64338 //
     /* 1127304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127343 */     // MIs[0] policy
     /* 1127343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127353 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11108:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_MF2),
     /* 1127356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127372 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127375 */     // GIR_Coverage, 64338,
     /* 1127375 */     GIR_EraseRootFromParent_Done,
     /* 1127376 */   // Label 16531: @1127376
     /* 1127376 */   GIM_Try, /*On fail goto*//*Label 16532*/ GIMT_Encode4(1127453), // Rule ID 64339 //
     /* 1127381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127420 */     // MIs[0] policy
     /* 1127420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127430 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1127433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127449 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127452 */     // GIR_Coverage, 64339,
     /* 1127452 */     GIR_EraseRootFromParent_Done,
     /* 1127453 */   // Label 16532: @1127453
     /* 1127453 */   GIM_Try, /*On fail goto*//*Label 16533*/ GIMT_Encode4(1127530), // Rule ID 64340 //
     /* 1127458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1127469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1127472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1127478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127497 */     // MIs[0] policy
     /* 1127497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127507 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11108:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M1),
     /* 1127510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127529 */     // GIR_Coverage, 64340,
     /* 1127529 */     GIR_EraseRootFromParent_Done,
     /* 1127530 */   // Label 16533: @1127530
     /* 1127530 */   GIM_Try, /*On fail goto*//*Label 16534*/ GIMT_Encode4(1127607), // Rule ID 64341 //
     /* 1127535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127574 */     // MIs[0] policy
     /* 1127574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127584 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1127587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127606 */     // GIR_Coverage, 64341,
     /* 1127606 */     GIR_EraseRootFromParent_Done,
     /* 1127607 */   // Label 16534: @1127607
     /* 1127607 */   GIM_Try, /*On fail goto*//*Label 16535*/ GIMT_Encode4(1127684), // Rule ID 64342 //
     /* 1127612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1127623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1127626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1127632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1127651 */     // MIs[0] policy
     /* 1127651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127661 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11108:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M2),
     /* 1127664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127680 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127683 */     // GIR_Coverage, 64342,
     /* 1127683 */     GIR_EraseRootFromParent_Done,
     /* 1127684 */   // Label 16535: @1127684
     /* 1127684 */   GIM_Try, /*On fail goto*//*Label 16536*/ GIMT_Encode4(1127761), // Rule ID 64343 //
     /* 1127689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127728 */     // MIs[0] policy
     /* 1127728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127738 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1127741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127760 */     // GIR_Coverage, 64343,
     /* 1127760 */     GIR_EraseRootFromParent_Done,
     /* 1127761 */   // Label 16536: @1127761
     /* 1127761 */   GIM_Try, /*On fail goto*//*Label 16537*/ GIMT_Encode4(1127838), // Rule ID 64344 //
     /* 1127766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccus_4x8x4),
     /* 1127774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1127777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1127780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1127786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1127797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1127805 */     // MIs[0] policy
     /* 1127805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127815 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11108:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCUS_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCUS_4x8x4_M4),
     /* 1127818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127834 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127837 */     // GIR_Coverage, 64344,
     /* 1127837 */     GIR_EraseRootFromParent_Done,
     /* 1127838 */   // Label 16537: @1127838
     /* 1127838 */   GIM_Try, /*On fail goto*//*Label 16538*/ GIMT_Encode4(1127915), // Rule ID 64345 //
     /* 1127843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1127846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1127866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127882 */     // MIs[0] policy
     /* 1127882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1127892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1127895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127911 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127914 */     // GIR_Coverage, 64345,
     /* 1127914 */     GIR_EraseRootFromParent_Done,
     /* 1127915 */   // Label 16538: @1127915
     /* 1127915 */   GIM_Try, /*On fail goto*//*Label 16539*/ GIMT_Encode4(1127992), // Rule ID 64346 //
     /* 1127920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1127923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1127928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1127931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1127934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1127937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1127940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1127943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1127959 */     // MIs[0] policy
     /* 1127959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1127962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1127969 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11104:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_MF2:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1127969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_MF2),
     /* 1127972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1127974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1127976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1127978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1127980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1127985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1127988 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1127990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1127991 */     // GIR_Coverage, 64346,
     /* 1127991 */     GIR_EraseRootFromParent_Done,
     /* 1127992 */   // Label 16539: @1127992
     /* 1127992 */   GIM_Try, /*On fail goto*//*Label 16540*/ GIMT_Encode4(1128069), // Rule ID 64347 //
     /* 1127997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1128000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1128005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1128008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1128011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1128017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128036 */     // MIs[0] policy
     /* 1128036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1128049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128065 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128068 */     // GIR_Coverage, 64347,
     /* 1128068 */     GIR_EraseRootFromParent_Done,
     /* 1128069 */   // Label 16540: @1128069
     /* 1128069 */   GIM_Try, /*On fail goto*//*Label 16541*/ GIMT_Encode4(1128146), // Rule ID 64348 //
     /* 1128074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1128077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1128082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1128085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1128088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1128094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128113 */     // MIs[0] policy
     /* 1128113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128123 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11104:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M1:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M1),
     /* 1128126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128142 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128145 */     // GIR_Coverage, 64348,
     /* 1128145 */     GIR_EraseRootFromParent_Done,
     /* 1128146 */   // Label 16541: @1128146
     /* 1128146 */   GIM_Try, /*On fail goto*//*Label 16542*/ GIMT_Encode4(1128223), // Rule ID 64349 //
     /* 1128151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1128154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1128159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1128162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1128165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1128171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128190 */     // MIs[0] policy
     /* 1128190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128200 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1128203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128219 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128222 */     // GIR_Coverage, 64349,
     /* 1128222 */     GIR_EraseRootFromParent_Done,
     /* 1128223 */   // Label 16542: @1128223
     /* 1128223 */   GIM_Try, /*On fail goto*//*Label 16543*/ GIMT_Encode4(1128300), // Rule ID 64350 //
     /* 1128228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1128231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1128236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1128239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1128242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1128248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128267 */     // MIs[0] policy
     /* 1128267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128277 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11104:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M2:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M2),
     /* 1128280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128296 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128299 */     // GIR_Coverage, 64350,
     /* 1128299 */     GIR_EraseRootFromParent_Done,
     /* 1128300 */   // Label 16543: @1128300
     /* 1128300 */   GIM_Try, /*On fail goto*//*Label 16544*/ GIMT_Encode4(1128377), // Rule ID 64351 //
     /* 1128305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode0),
     /* 1128308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1128313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1128316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1128319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1128325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128344 */     // MIs[0] policy
     /* 1128344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128354 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1128357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128376 */     // GIR_Coverage, 64351,
     /* 1128376 */     GIR_EraseRootFromParent_Done,
     /* 1128377 */   // Label 16544: @1128377
     /* 1128377 */   GIM_Try, /*On fail goto*//*Label 16545*/ GIMT_Encode4(1128454), // Rule ID 64352 //
     /* 1128382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvqmaccqoq_HwMode1),
     /* 1128385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vqmaccsu_4x8x4),
     /* 1128390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1128393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1128396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1128402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1128413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128421 */     // MIs[0] policy
     /* 1128421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128431 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11104:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVQMACCSU_4x8x4_M4:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVQMACCSU_4x8x4_M4),
     /* 1128434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1128450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128453 */     // GIR_Coverage, 64352,
     /* 1128453 */     GIR_EraseRootFromParent_Done,
     /* 1128454 */   // Label 16545: @1128454
     /* 1128454 */   GIM_Try, /*On fail goto*//*Label 16546*/ GIMT_Encode4(1128531), // Rule ID 65133 //
     /* 1128459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1128467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1128476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1128479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128498 */     // MIs[0] policy
     /* 1128498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128508 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_MF2),
     /* 1128511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128530 */     // GIR_Coverage, 65133,
     /* 1128530 */     GIR_EraseRootFromParent_Done,
     /* 1128531 */   // Label 16546: @1128531
     /* 1128531 */   GIM_Try, /*On fail goto*//*Label 16547*/ GIMT_Encode4(1128608), // Rule ID 65134 //
     /* 1128536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1128544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1128547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1128550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1128553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1128556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128575 */     // MIs[0] policy
     /* 1128575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128585 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_MF2),
     /* 1128588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128607 */     // GIR_Coverage, 65134,
     /* 1128607 */     GIR_EraseRootFromParent_Done,
     /* 1128608 */   // Label 16547: @1128608
     /* 1128608 */   GIM_Try, /*On fail goto*//*Label 16548*/ GIMT_Encode4(1128685), // Rule ID 65137 //
     /* 1128613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1128621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1128633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128652 */     // MIs[0] policy
     /* 1128652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1),
     /* 1128665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128684 */     // GIR_Coverage, 65137,
     /* 1128684 */     GIR_EraseRootFromParent_Done,
     /* 1128685 */   // Label 16548: @1128685
     /* 1128685 */   GIM_Try, /*On fail goto*//*Label 16549*/ GIMT_Encode4(1128762), // Rule ID 65138 //
     /* 1128690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1128698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1128701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1128704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1128707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1128710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1128729 */     // MIs[0] policy
     /* 1128729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128739 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11026:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1),
     /* 1128742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128758 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128761 */     // GIR_Coverage, 65138,
     /* 1128761 */     GIR_EraseRootFromParent_Done,
     /* 1128762 */   // Label 16549: @1128762
     /* 1128762 */   GIM_Try, /*On fail goto*//*Label 16550*/ GIMT_Encode4(1128839), // Rule ID 65141 //
     /* 1128767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1128775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1128778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1128781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1128784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1128787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128806 */     // MIs[0] policy
     /* 1128806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128816 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2),
     /* 1128819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128835 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128838 */     // GIR_Coverage, 65141,
     /* 1128838 */     GIR_EraseRootFromParent_Done,
     /* 1128839 */   // Label 16550: @1128839
     /* 1128839 */   GIM_Try, /*On fail goto*//*Label 16551*/ GIMT_Encode4(1128916), // Rule ID 65142 //
     /* 1128844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1128847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1128852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1128855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1128858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1128861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1128864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1128867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1128883 */     // MIs[0] policy
     /* 1128883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128893 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1128893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2),
     /* 1128896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128915 */     // GIR_Coverage, 65142,
     /* 1128915 */     GIR_EraseRootFromParent_Done,
     /* 1128916 */   // Label 16551: @1128916
     /* 1128916 */   GIM_Try, /*On fail goto*//*Label 16552*/ GIMT_Encode4(1128993), // Rule ID 65145 //
     /* 1128921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1128924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1128929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1128932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1128935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1128938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1128941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1128944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1128960 */     // MIs[0] policy
     /* 1128960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1128963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1128970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1128970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4),
     /* 1128973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1128975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1128977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1128979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1128981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1128986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1128989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1128991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1128992 */     // GIR_Coverage, 65145,
     /* 1128992 */     GIR_EraseRootFromParent_Done,
     /* 1128993 */   // Label 16552: @1128993
     /* 1128993 */   GIM_Try, /*On fail goto*//*Label 16553*/ GIMT_Encode4(1129070), // Rule ID 65146 //
     /* 1128998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1129009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1129012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1129015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1129018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1129021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129037 */     // MIs[0] policy
     /* 1129037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129047 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1129047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4),
     /* 1129050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129069 */     // GIR_Coverage, 65146,
     /* 1129069 */     GIR_EraseRootFromParent_Done,
     /* 1129070 */   // Label 16553: @1129070
     /* 1129070 */   GIM_Try, /*On fail goto*//*Label 16554*/ GIMT_Encode4(1129147), // Rule ID 65149 //
     /* 1129075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1129086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1129089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1129095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1129098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129114 */     // MIs[0] policy
     /* 1129114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129124 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1129124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8),
     /* 1129127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129143 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129146 */     // GIR_Coverage, 65149,
     /* 1129146 */     GIR_EraseRootFromParent_Done,
     /* 1129147 */   // Label 16554: @1129147
     /* 1129147 */   GIM_Try, /*On fail goto*//*Label 16555*/ GIMT_Encode4(1129224), // Rule ID 65150 //
     /* 1129152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1129163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1129166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1129169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1129172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1129175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129191 */     // MIs[0] policy
     /* 1129191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129201 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1129201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8),
     /* 1129204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129220 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129223 */     // GIR_Coverage, 65150,
     /* 1129223 */     GIR_EraseRootFromParent_Done,
     /* 1129224 */   // Label 16555: @1129224
     /* 1129224 */   GIM_Try, /*On fail goto*//*Label 16556*/ GIMT_Encode4(1129301), // Rule ID 65153 //
     /* 1129229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1129252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129268 */     // MIs[0] policy
     /* 1129268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129278 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1129278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1),
     /* 1129281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129297 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129300 */     // GIR_Coverage, 65153,
     /* 1129300 */     GIR_EraseRootFromParent_Done,
     /* 1129301 */   // Label 16556: @1129301
     /* 1129301 */   GIM_Try, /*On fail goto*//*Label 16557*/ GIMT_Encode4(1129378), // Rule ID 65154 //
     /* 1129306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1129317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1129320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1129323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1129326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1129329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129345 */     // MIs[0] policy
     /* 1129345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129355 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11026:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1129355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1),
     /* 1129358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129374 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129376 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129377 */     // GIR_Coverage, 65154,
     /* 1129377 */     GIR_EraseRootFromParent_Done,
     /* 1129378 */   // Label 16557: @1129378
     /* 1129378 */   GIM_Try, /*On fail goto*//*Label 16558*/ GIMT_Encode4(1129455), // Rule ID 65157 //
     /* 1129383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1129394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1129397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1129403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1129406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129422 */     // MIs[0] policy
     /* 1129422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1129432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2),
     /* 1129435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129451 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129454 */     // GIR_Coverage, 65157,
     /* 1129454 */     GIR_EraseRootFromParent_Done,
     /* 1129455 */   // Label 16558: @1129455
     /* 1129455 */   GIM_Try, /*On fail goto*//*Label 16559*/ GIMT_Encode4(1129532), // Rule ID 65158 //
     /* 1129460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1129471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1129474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1129477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1129480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1129483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1129499 */     // MIs[0] policy
     /* 1129499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129509 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11026:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1129509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2),
     /* 1129512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129531 */     // GIR_Coverage, 65158,
     /* 1129531 */     GIR_EraseRootFromParent_Done,
     /* 1129532 */   // Label 16559: @1129532
     /* 1129532 */   GIM_Try, /*On fail goto*//*Label 16560*/ GIMT_Encode4(1129609), // Rule ID 65161 //
     /* 1129537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1129548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1129551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1129557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1129560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129576 */     // MIs[0] policy
     /* 1129576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1129586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4),
     /* 1129589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129605 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129608 */     // GIR_Coverage, 65161,
     /* 1129608 */     GIR_EraseRootFromParent_Done,
     /* 1129609 */   // Label 16560: @1129609
     /* 1129609 */   GIM_Try, /*On fail goto*//*Label 16561*/ GIMT_Encode4(1129686), // Rule ID 65162 //
     /* 1129614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1129625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1129628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1129631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1129634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1129637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1129653 */     // MIs[0] policy
     /* 1129653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129663 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11026:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1129663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4),
     /* 1129666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129685 */     // GIR_Coverage, 65162,
     /* 1129685 */     GIR_EraseRootFromParent_Done,
     /* 1129686 */   // Label 16561: @1129686
     /* 1129686 */   GIM_Try, /*On fail goto*//*Label 16562*/ GIMT_Encode4(1129763), // Rule ID 65165 //
     /* 1129691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1129694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1129702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1129705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1129711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1129714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129730 */     // MIs[0] policy
     /* 1129730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129740 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1129740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8),
     /* 1129743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129759 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129762 */     // GIR_Coverage, 65165,
     /* 1129762 */     GIR_EraseRootFromParent_Done,
     /* 1129763 */   // Label 16562: @1129763
     /* 1129763 */   GIM_Try, /*On fail goto*//*Label 16563*/ GIMT_Encode4(1129840), // Rule ID 65166 //
     /* 1129768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1129771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots),
     /* 1129776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1129779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1129782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1129785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1129788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1129791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1129807 */     // MIs[0] policy
     /* 1129807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129817 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11026:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1129817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8),
     /* 1129820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1129836 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129839 */     // GIR_Coverage, 65166,
     /* 1129839 */     GIR_EraseRootFromParent_Done,
     /* 1129840 */   // Label 16563: @1129840
     /* 1129840 */   GIM_Try, /*On fail goto*//*Label 16564*/ GIMT_Encode4(1129917), // Rule ID 65169 //
     /* 1129845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1129848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1129853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1129862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1129865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1129868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129884 */     // MIs[0] policy
     /* 1129884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129894 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1129894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_MF2),
     /* 1129897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129916 */     // GIR_Coverage, 65169,
     /* 1129916 */     GIR_EraseRootFromParent_Done,
     /* 1129917 */   // Label 16564: @1129917
     /* 1129917 */   GIM_Try, /*On fail goto*//*Label 16565*/ GIMT_Encode4(1129994), // Rule ID 65170 //
     /* 1129922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1129925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1129930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1129933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1129936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1129939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1129942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1129945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1129961 */     // MIs[0] policy
     /* 1129961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1129964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1129971 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1129971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_MF2),
     /* 1129974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1129976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1129978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1129980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1129982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1129987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1129990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1129992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1129993 */     // GIR_Coverage, 65170,
     /* 1129993 */     GIR_EraseRootFromParent_Done,
     /* 1129994 */   // Label 16565: @1129994
     /* 1129994 */   GIM_Try, /*On fail goto*//*Label 16566*/ GIMT_Encode4(1130071), // Rule ID 65173 //
     /* 1129999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1130016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1130019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1130022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130038 */     // MIs[0] policy
     /* 1130038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130048 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1130048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1),
     /* 1130051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130067 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130070 */     // GIR_Coverage, 65173,
     /* 1130070 */     GIR_EraseRootFromParent_Done,
     /* 1130071 */   // Label 16566: @1130071
     /* 1130071 */   GIM_Try, /*On fail goto*//*Label 16567*/ GIMT_Encode4(1130148), // Rule ID 65174 //
     /* 1130076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1130087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1130090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1130093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1130096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1130099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130115 */     // MIs[0] policy
     /* 1130115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130125 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11030:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1130125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1),
     /* 1130128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130144 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130147 */     // GIR_Coverage, 65174,
     /* 1130147 */     GIR_EraseRootFromParent_Done,
     /* 1130148 */   // Label 16567: @1130148
     /* 1130148 */   GIM_Try, /*On fail goto*//*Label 16568*/ GIMT_Encode4(1130225), // Rule ID 65177 //
     /* 1130153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1130170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1130173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1130176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130192 */     // MIs[0] policy
     /* 1130192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1130202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2),
     /* 1130205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130221 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130224 */     // GIR_Coverage, 65177,
     /* 1130224 */     GIR_EraseRootFromParent_Done,
     /* 1130225 */   // Label 16568: @1130225
     /* 1130225 */   GIM_Try, /*On fail goto*//*Label 16569*/ GIMT_Encode4(1130302), // Rule ID 65178 //
     /* 1130230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1130241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1130244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1130247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1130250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1130253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130269 */     // MIs[0] policy
     /* 1130269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1130279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2),
     /* 1130282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130298 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130301 */     // GIR_Coverage, 65178,
     /* 1130301 */     GIR_EraseRootFromParent_Done,
     /* 1130302 */   // Label 16569: @1130302
     /* 1130302 */   GIM_Try, /*On fail goto*//*Label 16570*/ GIMT_Encode4(1130379), // Rule ID 65181 //
     /* 1130307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1130324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1130327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1130330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130346 */     // MIs[0] policy
     /* 1130346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1130356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4),
     /* 1130359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130375 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130378 */     // GIR_Coverage, 65181,
     /* 1130378 */     GIR_EraseRootFromParent_Done,
     /* 1130379 */   // Label 16570: @1130379
     /* 1130379 */   GIM_Try, /*On fail goto*//*Label 16571*/ GIMT_Encode4(1130456), // Rule ID 65182 //
     /* 1130384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1130395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1130398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1130401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1130404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1130407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130423 */     // MIs[0] policy
     /* 1130423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130433 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1130433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4),
     /* 1130436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130452 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130455 */     // GIR_Coverage, 65182,
     /* 1130455 */     GIR_EraseRootFromParent_Done,
     /* 1130456 */   // Label 16571: @1130456
     /* 1130456 */   GIM_Try, /*On fail goto*//*Label 16572*/ GIMT_Encode4(1130533), // Rule ID 65185 //
     /* 1130461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1130464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1130472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1130475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1130481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1130484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130500 */     // MIs[0] policy
     /* 1130500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130510 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1130510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8),
     /* 1130513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130532 */     // GIR_Coverage, 65185,
     /* 1130532 */     GIR_EraseRootFromParent_Done,
     /* 1130533 */   // Label 16572: @1130533
     /* 1130533 */   GIM_Try, /*On fail goto*//*Label 16573*/ GIMT_Encode4(1130610), // Rule ID 65186 //
     /* 1130538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1130541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1130549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1130552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1130555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1130558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1130561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1130577 */     // MIs[0] policy
     /* 1130577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130587 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1130587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8),
     /* 1130590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1130606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130609 */     // GIR_Coverage, 65186,
     /* 1130609 */     GIR_EraseRootFromParent_Done,
     /* 1130610 */   // Label 16573: @1130610
     /* 1130610 */   GIM_Try, /*On fail goto*//*Label 16574*/ GIMT_Encode4(1130687), // Rule ID 65189 //
     /* 1130615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1130632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1130638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130654 */     // MIs[0] policy
     /* 1130654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1130664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1),
     /* 1130667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130683 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130686 */     // GIR_Coverage, 65189,
     /* 1130686 */     GIR_EraseRootFromParent_Done,
     /* 1130687 */   // Label 16574: @1130687
     /* 1130687 */   GIM_Try, /*On fail goto*//*Label 16575*/ GIMT_Encode4(1130764), // Rule ID 65190 //
     /* 1130692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1130703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1130706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1130709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1130712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1130715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1130731 */     // MIs[0] policy
     /* 1130731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130741 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11030:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1130741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1),
     /* 1130744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130746 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130760 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130763 */     // GIR_Coverage, 65190,
     /* 1130763 */     GIR_EraseRootFromParent_Done,
     /* 1130764 */   // Label 16575: @1130764
     /* 1130764 */   GIM_Try, /*On fail goto*//*Label 16576*/ GIMT_Encode4(1130841), // Rule ID 65193 //
     /* 1130769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1130789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1130792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130808 */     // MIs[0] policy
     /* 1130808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130818 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1130818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2),
     /* 1130821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130837 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130840 */     // GIR_Coverage, 65193,
     /* 1130840 */     GIR_EraseRootFromParent_Done,
     /* 1130841 */   // Label 16576: @1130841
     /* 1130841 */   GIM_Try, /*On fail goto*//*Label 16577*/ GIMT_Encode4(1130918), // Rule ID 65194 //
     /* 1130846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1130849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1130857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1130860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1130863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1130866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1130869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1130885 */     // MIs[0] policy
     /* 1130885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130895 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11030:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1130895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2),
     /* 1130898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130914 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130917 */     // GIR_Coverage, 65194,
     /* 1130917 */     GIR_EraseRootFromParent_Done,
     /* 1130918 */   // Label 16577: @1130918
     /* 1130918 */   GIM_Try, /*On fail goto*//*Label 16578*/ GIMT_Encode4(1130995), // Rule ID 65197 //
     /* 1130923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1130926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1130931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1130934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1130937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1130940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1130943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1130946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1130962 */     // MIs[0] policy
     /* 1130962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1130965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1130972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1130972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4),
     /* 1130975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1130977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1130979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1130981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1130983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1130988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1130991 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1130993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1130994 */     // GIR_Coverage, 65197,
     /* 1130994 */     GIR_EraseRootFromParent_Done,
     /* 1130995 */   // Label 16578: @1130995
     /* 1130995 */   GIM_Try, /*On fail goto*//*Label 16579*/ GIMT_Encode4(1131072), // Rule ID 65198 //
     /* 1131000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1131008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1131011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1131014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1131017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1131020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1131023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131039 */     // MIs[0] policy
     /* 1131039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131049 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11030:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1131049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4),
     /* 1131052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131068 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131071 */     // GIR_Coverage, 65198,
     /* 1131071 */     GIR_EraseRootFromParent_Done,
     /* 1131072 */   // Label 16579: @1131072
     /* 1131072 */   GIM_Try, /*On fail goto*//*Label 16580*/ GIMT_Encode4(1131149), // Rule ID 65201 //
     /* 1131077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1131080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1131085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1131094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1131097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1131100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131116 */     // MIs[0] policy
     /* 1131116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131126 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1131126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8),
     /* 1131129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131148 */     // GIR_Coverage, 65201,
     /* 1131148 */     GIR_EraseRootFromParent_Done,
     /* 1131149 */   // Label 16580: @1131149
     /* 1131149 */   GIM_Try, /*On fail goto*//*Label 16581*/ GIMT_Encode4(1131226), // Rule ID 65202 //
     /* 1131154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1131157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu),
     /* 1131162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1131165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1131168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1131171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1131174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1131177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131193 */     // MIs[0] policy
     /* 1131193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131203 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11030:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1131203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8),
     /* 1131206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1131222 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131224 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131225 */     // GIR_Coverage, 65202,
     /* 1131225 */     GIR_EraseRootFromParent_Done,
     /* 1131226 */   // Label 16581: @1131226
     /* 1131226 */   GIM_Try, /*On fail goto*//*Label 16582*/ GIMT_Encode4(1131303), // Rule ID 65205 //
     /* 1131231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1131248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1131251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1131254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131270 */     // MIs[0] policy
     /* 1131270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131280 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1131280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_MF2),
     /* 1131283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131299 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131302 */     // GIR_Coverage, 65205,
     /* 1131302 */     GIR_EraseRootFromParent_Done,
     /* 1131303 */   // Label 16582: @1131303
     /* 1131303 */   GIM_Try, /*On fail goto*//*Label 16583*/ GIMT_Encode4(1131380), // Rule ID 65206 //
     /* 1131308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1131319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1131322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1131325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1131328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1131331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131347 */     // MIs[0] policy
     /* 1131347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131357 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1131357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_MF2),
     /* 1131360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131376 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131379 */     // GIR_Coverage, 65206,
     /* 1131379 */     GIR_EraseRootFromParent_Done,
     /* 1131380 */   // Label 16583: @1131380
     /* 1131380 */   GIM_Try, /*On fail goto*//*Label 16584*/ GIMT_Encode4(1131457), // Rule ID 65209 //
     /* 1131385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1131402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1131405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1131408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131424 */     // MIs[0] policy
     /* 1131424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1131434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1),
     /* 1131437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131453 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131456 */     // GIR_Coverage, 65209,
     /* 1131456 */     GIR_EraseRootFromParent_Done,
     /* 1131457 */   // Label 16584: @1131457
     /* 1131457 */   GIM_Try, /*On fail goto*//*Label 16585*/ GIMT_Encode4(1131534), // Rule ID 65210 //
     /* 1131462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1131473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1131476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1131479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1131482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1131485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1131501 */     // MIs[0] policy
     /* 1131501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131511 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11028:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1131511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1),
     /* 1131514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131530 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131533 */     // GIR_Coverage, 65210,
     /* 1131533 */     GIR_EraseRootFromParent_Done,
     /* 1131534 */   // Label 16585: @1131534
     /* 1131534 */   GIM_Try, /*On fail goto*//*Label 16586*/ GIMT_Encode4(1131611), // Rule ID 65213 //
     /* 1131539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1131550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1131553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1131556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1131559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1131562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131578 */     // MIs[0] policy
     /* 1131578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131588 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1131588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2),
     /* 1131591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131607 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131610 */     // GIR_Coverage, 65213,
     /* 1131610 */     GIR_EraseRootFromParent_Done,
     /* 1131611 */   // Label 16586: @1131611
     /* 1131611 */   GIM_Try, /*On fail goto*//*Label 16587*/ GIMT_Encode4(1131688), // Rule ID 65214 //
     /* 1131616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1131627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1131630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1131633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1131636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1131639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1131655 */     // MIs[0] policy
     /* 1131655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131665 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1131665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2),
     /* 1131668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131684 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131687 */     // GIR_Coverage, 65214,
     /* 1131687 */     GIR_EraseRootFromParent_Done,
     /* 1131688 */   // Label 16587: @1131688
     /* 1131688 */   GIM_Try, /*On fail goto*//*Label 16588*/ GIMT_Encode4(1131765), // Rule ID 65217 //
     /* 1131693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1131704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1131707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1131710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1131713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1131716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131732 */     // MIs[0] policy
     /* 1131732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1131742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4),
     /* 1131745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131761 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131764 */     // GIR_Coverage, 65217,
     /* 1131764 */     GIR_EraseRootFromParent_Done,
     /* 1131765 */   // Label 16588: @1131765
     /* 1131765 */   GIM_Try, /*On fail goto*//*Label 16589*/ GIMT_Encode4(1131842), // Rule ID 65218 //
     /* 1131770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1131781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1131784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1131787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1131790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1131793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1131809 */     // MIs[0] policy
     /* 1131809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131819 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1131819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4),
     /* 1131822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131838 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131841 */     // GIR_Coverage, 65218,
     /* 1131841 */     GIR_EraseRootFromParent_Done,
     /* 1131842 */   // Label 16589: @1131842
     /* 1131842 */   GIM_Try, /*On fail goto*//*Label 16590*/ GIMT_Encode4(1131919), // Rule ID 65221 //
     /* 1131847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1131850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1131864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1131867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1131870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131886 */     // MIs[0] policy
     /* 1131886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131896 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1131896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8),
     /* 1131899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131915 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131918 */     // GIR_Coverage, 65221,
     /* 1131918 */     GIR_EraseRootFromParent_Done,
     /* 1131919 */   // Label 16590: @1131919
     /* 1131919 */   GIM_Try, /*On fail goto*//*Label 16591*/ GIMT_Encode4(1131996), // Rule ID 65222 //
     /* 1131924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1131927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1131932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1131935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1131938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1131941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1131944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1131947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1131963 */     // MIs[0] policy
     /* 1131963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1131966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1131973 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1131973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8),
     /* 1131976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1131978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1131980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1131982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1131984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1131989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1131992 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1131994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1131995 */     // GIR_Coverage, 65222,
     /* 1131995 */     GIR_EraseRootFromParent_Done,
     /* 1131996 */   // Label 16591: @1131996
     /* 1131996 */   GIM_Try, /*On fail goto*//*Label 16592*/ GIMT_Encode4(1132073), // Rule ID 65225 //
     /* 1132001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1132009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1132024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132040 */     // MIs[0] policy
     /* 1132040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1132043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1132050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1),
     /* 1132053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132069 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1132071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132072 */     // GIR_Coverage, 65225,
     /* 1132072 */     GIR_EraseRootFromParent_Done,
     /* 1132073 */   // Label 16592: @1132073
     /* 1132073 */   GIM_Try, /*On fail goto*//*Label 16593*/ GIMT_Encode4(1132150), // Rule ID 65226 //
     /* 1132078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1132086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1132089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1132092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1132095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1132101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132117 */     // MIs[0] policy
     /* 1132117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1132120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132127 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11028:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1132127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1),
     /* 1132130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132146 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1132148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132149 */     // GIR_Coverage, 65226,
     /* 1132149 */     GIR_EraseRootFromParent_Done,
     /* 1132150 */   // Label 16593: @1132150
     /* 1132150 */   GIM_Try, /*On fail goto*//*Label 16594*/ GIMT_Encode4(1132227), // Rule ID 65229 //
     /* 1132155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1132163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1132166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1132169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1132172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1132175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1132178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132194 */     // MIs[0] policy
     /* 1132194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1132197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132204 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1132204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2),
     /* 1132207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132223 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1132225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132226 */     // GIR_Coverage, 65229,
     /* 1132226 */     GIR_EraseRootFromParent_Done,
     /* 1132227 */   // Label 16594: @1132227
     /* 1132227 */   GIM_Try, /*On fail goto*//*Label 16595*/ GIMT_Encode4(1132304), // Rule ID 65230 //
     /* 1132232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1132240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1132243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1132246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1132249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1132252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1132255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1132271 */     // MIs[0] policy
     /* 1132271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1132274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132281 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11028:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1132281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2),
     /* 1132284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132300 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1132302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132303 */     // GIR_Coverage, 65230,
     /* 1132303 */     GIR_EraseRootFromParent_Done,
     /* 1132304 */   // Label 16595: @1132304
     /* 1132304 */   GIM_Try, /*On fail goto*//*Label 16596*/ GIMT_Encode4(1132381), // Rule ID 65233 //
     /* 1132309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1132317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1132320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1132323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1132326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1132329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1132332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132348 */     // MIs[0] policy
     /* 1132348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1132351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132358 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1132358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4),
     /* 1132361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1132379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132380 */     // GIR_Coverage, 65233,
     /* 1132380 */     GIR_EraseRootFromParent_Done,
     /* 1132381 */   // Label 16596: @1132381
     /* 1132381 */   GIM_Try, /*On fail goto*//*Label 16597*/ GIMT_Encode4(1132458), // Rule ID 65234 //
     /* 1132386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1132394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1132397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1132400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1132403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1132406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1132409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1132425 */     // MIs[0] policy
     /* 1132425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1132428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132435 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11028:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1132435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4),
     /* 1132438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1132456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132457 */     // GIR_Coverage, 65234,
     /* 1132457 */     GIR_EraseRootFromParent_Done,
     /* 1132458 */   // Label 16597: @1132458
     /* 1132458 */   GIM_Try, /*On fail goto*//*Label 16598*/ GIMT_Encode4(1132535), // Rule ID 65237 //
     /* 1132463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1132466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1132471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1132474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1132477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1132480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1132483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 1132486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132502 */     // MIs[0] policy
     /* 1132502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1132505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132512 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1132512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8),
     /* 1132515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1132533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132534 */     // GIR_Coverage, 65237,
     /* 1132534 */     GIR_EraseRootFromParent_Done,
     /* 1132535 */   // Label 16598: @1132535
     /* 1132535 */   GIM_Try, /*On fail goto*//*Label 16599*/ GIMT_Encode4(1132612), // Rule ID 65238 //
     /* 1132540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1132543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu),
     /* 1132548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1132551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1132554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1132557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1132560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 1132563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1132579 */     // MIs[0] policy
     /* 1132579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 1132582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11028:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1132589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8),
     /* 1132592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1132608 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 1132610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132611 */     // GIR_Coverage, 65238,
     /* 1132611 */     GIR_EraseRootFromParent_Done,
     /* 1132612 */   // Label 16599: @1132612
     /* 1132612 */   GIM_Try, /*On fail goto*//*Label 16600*/ GIMT_Encode4(1132692), // Rule ID 2722 //
     /* 1132617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1132620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1132628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1132631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1132634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1132637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132656 */     // MIs[0] round
     /* 1132656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1132669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132691 */     // GIR_Coverage, 2722,
     /* 1132691 */     GIR_EraseRootFromParent_Done,
     /* 1132692 */   // Label 16600: @1132692
     /* 1132692 */   GIM_Try, /*On fail goto*//*Label 16601*/ GIMT_Encode4(1132772), // Rule ID 2723 //
     /* 1132697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1132700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1132705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1132708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1132711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1132714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1132717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132736 */     // MIs[0] round
     /* 1132736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132746 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8),
     /* 1132749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1132767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132771 */     // GIR_Coverage, 2723,
     /* 1132771 */     GIR_EraseRootFromParent_Done,
     /* 1132772 */   // Label 16601: @1132772
     /* 1132772 */   GIM_Try, /*On fail goto*//*Label 16602*/ GIMT_Encode4(1132852), // Rule ID 2762 //
     /* 1132777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1132780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1132788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1132791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1132797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132816 */     // MIs[0] round
     /* 1132816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132826 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1132829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132851 */     // GIR_Coverage, 2762,
     /* 1132851 */     GIR_EraseRootFromParent_Done,
     /* 1132852 */   // Label 16602: @1132852
     /* 1132852 */   GIM_Try, /*On fail goto*//*Label 16603*/ GIMT_Encode4(1132932), // Rule ID 2763 //
     /* 1132857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1132860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1132865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1132868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1132871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1132874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1132877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1132880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132896 */     // MIs[0] round
     /* 1132896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132906 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1132906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16),
     /* 1132909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1132913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1132924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1132927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1132930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1132931 */     // GIR_Coverage, 2763,
     /* 1132931 */     GIR_EraseRootFromParent_Done,
     /* 1132932 */   // Label 16603: @1132932
     /* 1132932 */   GIM_Try, /*On fail goto*//*Label 16604*/ GIMT_Encode4(1133012), // Rule ID 2782 //
     /* 1132937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1132940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1132945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1132948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1132951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1132954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1132957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1132960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1132976 */     // MIs[0] round
     /* 1132976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1132979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1132986 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1132986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1132989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1132991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1132993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1132995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1132997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1132999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133011 */     // GIR_Coverage, 2782,
     /* 1133011 */     GIR_EraseRootFromParent_Done,
     /* 1133012 */   // Label 16604: @1133012
     /* 1133012 */   GIM_Try, /*On fail goto*//*Label 16605*/ GIMT_Encode4(1133092), // Rule ID 2783 //
     /* 1133017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1133020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1133025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1133028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1133031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1133034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1133037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133056 */     // MIs[0] round
     /* 1133056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133066 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16),
     /* 1133069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1133073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133091 */     // GIR_Coverage, 2783,
     /* 1133091 */     GIR_EraseRootFromParent_Done,
     /* 1133092 */   // Label 16605: @1133092
     /* 1133092 */   GIM_Try, /*On fail goto*//*Label 16606*/ GIMT_Encode4(1133172), // Rule ID 14932 //
     /* 1133097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1133108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1133111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1133114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1133117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133136 */     // MIs[0] round
     /* 1133136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1133149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133171 */     // GIR_Coverage, 14932,
     /* 1133171 */     GIR_EraseRootFromParent_Done,
     /* 1133172 */   // Label 16606: @1133172
     /* 1133172 */   GIM_Try, /*On fail goto*//*Label 16607*/ GIMT_Encode4(1133252), // Rule ID 14933 //
     /* 1133177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1133188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1133191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1133194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1133197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133216 */     // MIs[0] round
     /* 1133216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133226 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1133229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133251 */     // GIR_Coverage, 14933,
     /* 1133251 */     GIR_EraseRootFromParent_Done,
     /* 1133252 */   // Label 16607: @1133252
     /* 1133252 */   GIM_Try, /*On fail goto*//*Label 16608*/ GIMT_Encode4(1133332), // Rule ID 14936 //
     /* 1133257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1133268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1133271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1133274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1133277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133296 */     // MIs[0] round
     /* 1133296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133306 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1133309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133331 */     // GIR_Coverage, 14936,
     /* 1133331 */     GIR_EraseRootFromParent_Done,
     /* 1133332 */   // Label 16608: @1133332
     /* 1133332 */   GIM_Try, /*On fail goto*//*Label 16609*/ GIMT_Encode4(1133412), // Rule ID 14937 //
     /* 1133337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1133348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1133351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1133354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1133357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133376 */     // MIs[0] round
     /* 1133376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133386 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1133389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133411 */     // GIR_Coverage, 14937,
     /* 1133411 */     GIR_EraseRootFromParent_Done,
     /* 1133412 */   // Label 16609: @1133412
     /* 1133412 */   GIM_Try, /*On fail goto*//*Label 16610*/ GIMT_Encode4(1133492), // Rule ID 14940 //
     /* 1133417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1133428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1133431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1133434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1133437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133456 */     // MIs[0] round
     /* 1133456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133466 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1133469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133491 */     // GIR_Coverage, 14940,
     /* 1133491 */     GIR_EraseRootFromParent_Done,
     /* 1133492 */   // Label 16610: @1133492
     /* 1133492 */   GIM_Try, /*On fail goto*//*Label 16611*/ GIMT_Encode4(1133572), // Rule ID 14941 //
     /* 1133497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1133508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1133511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1133514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1133517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133536 */     // MIs[0] round
     /* 1133536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4),
     /* 1133549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133571 */     // GIR_Coverage, 14941,
     /* 1133571 */     GIR_EraseRootFromParent_Done,
     /* 1133572 */   // Label 16611: @1133572
     /* 1133572 */   GIM_Try, /*On fail goto*//*Label 16612*/ GIMT_Encode4(1133652), // Rule ID 14944 //
     /* 1133577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1133588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1133591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1133594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1133597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133616 */     // MIs[0] round
     /* 1133616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1133629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133651 */     // GIR_Coverage, 14944,
     /* 1133651 */     GIR_EraseRootFromParent_Done,
     /* 1133652 */   // Label 16612: @1133652
     /* 1133652 */   GIM_Try, /*On fail goto*//*Label 16613*/ GIMT_Encode4(1133732), // Rule ID 14945 //
     /* 1133657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1133668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1133671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1133674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1133677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133696 */     // MIs[0] round
     /* 1133696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1133709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1133727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133731 */     // GIR_Coverage, 14945,
     /* 1133731 */     GIR_EraseRootFromParent_Done,
     /* 1133732 */   // Label 16613: @1133732
     /* 1133732 */   GIM_Try, /*On fail goto*//*Label 16614*/ GIMT_Encode4(1133812), // Rule ID 14948 //
     /* 1133737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1133748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1133751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1133757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133776 */     // MIs[0] round
     /* 1133776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133786 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1133789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133811 */     // GIR_Coverage, 14948,
     /* 1133811 */     GIR_EraseRootFromParent_Done,
     /* 1133812 */   // Label 16614: @1133812
     /* 1133812 */   GIM_Try, /*On fail goto*//*Label 16615*/ GIMT_Encode4(1133892), // Rule ID 14949 //
     /* 1133817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1133828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1133831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1133834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1133837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1133840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133856 */     // MIs[0] round
     /* 1133856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133866 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1133866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2),
     /* 1133869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1133887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133891 */     // GIR_Coverage, 14949,
     /* 1133891 */     GIR_EraseRootFromParent_Done,
     /* 1133892 */   // Label 16615: @1133892
     /* 1133892 */   GIM_Try, /*On fail goto*//*Label 16616*/ GIMT_Encode4(1133972), // Rule ID 14952 //
     /* 1133897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1133900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1133908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1133911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1133914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1133917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1133920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1133936 */     // MIs[0] round
     /* 1133936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1133939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1133946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1133946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1133949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1133951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1133953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1133955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1133957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1133959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1133964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1133967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1133970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1133971 */     // GIR_Coverage, 14952,
     /* 1133971 */     GIR_EraseRootFromParent_Done,
     /* 1133972 */   // Label 16616: @1133972
     /* 1133972 */   GIM_Try, /*On fail goto*//*Label 16617*/ GIMT_Encode4(1134052), // Rule ID 14953 //
     /* 1133977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1133980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1133985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1133988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1133991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1133994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1133997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134016 */     // MIs[0] round
     /* 1134016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1134029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134051 */     // GIR_Coverage, 14953,
     /* 1134051 */     GIR_EraseRootFromParent_Done,
     /* 1134052 */   // Label 16617: @1134052
     /* 1134052 */   GIM_Try, /*On fail goto*//*Label 16618*/ GIMT_Encode4(1134132), // Rule ID 14956 //
     /* 1134057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1134068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1134071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1134074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1134077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134096 */     // MIs[0] round
     /* 1134096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1134109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134131 */     // GIR_Coverage, 14956,
     /* 1134131 */     GIR_EraseRootFromParent_Done,
     /* 1134132 */   // Label 16618: @1134132
     /* 1134132 */   GIM_Try, /*On fail goto*//*Label 16619*/ GIMT_Encode4(1134212), // Rule ID 14957 //
     /* 1134137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1134148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1134151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1134154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1134157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134176 */     // MIs[0] round
     /* 1134176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1134189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1134207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134211 */     // GIR_Coverage, 14957,
     /* 1134211 */     GIR_EraseRootFromParent_Done,
     /* 1134212 */   // Label 16619: @1134212
     /* 1134212 */   GIM_Try, /*On fail goto*//*Label 16620*/ GIMT_Encode4(1134292), // Rule ID 14960 //
     /* 1134217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1134234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1134237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134256 */     // MIs[0] round
     /* 1134256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134266 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1134269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134291 */     // GIR_Coverage, 14960,
     /* 1134291 */     GIR_EraseRootFromParent_Done,
     /* 1134292 */   // Label 16620: @1134292
     /* 1134292 */   GIM_Try, /*On fail goto*//*Label 16621*/ GIMT_Encode4(1134372), // Rule ID 14961 //
     /* 1134297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1134308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1134311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1134314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1134317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134336 */     // MIs[0] round
     /* 1134336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1134349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1134367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134371 */     // GIR_Coverage, 14961,
     /* 1134371 */     GIR_EraseRootFromParent_Done,
     /* 1134372 */   // Label 16621: @1134372
     /* 1134372 */   GIM_Try, /*On fail goto*//*Label 16622*/ GIMT_Encode4(1134452), // Rule ID 14964 //
     /* 1134377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1134380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1134394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1134397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134416 */     // MIs[0] round
     /* 1134416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1134429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134451 */     // GIR_Coverage, 14964,
     /* 1134451 */     GIR_EraseRootFromParent_Done,
     /* 1134452 */   // Label 16622: @1134452
     /* 1134452 */   GIM_Try, /*On fail goto*//*Label 16623*/ GIMT_Encode4(1134532), // Rule ID 14965 //
     /* 1134457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1134460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1134468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1134471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1134474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1134477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1134496 */     // MIs[0] round
     /* 1134496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1),
     /* 1134509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1134527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134531 */     // GIR_Coverage, 14965,
     /* 1134531 */     GIR_EraseRootFromParent_Done,
     /* 1134532 */   // Label 16623: @1134532
     /* 1134532 */   GIM_Try, /*On fail goto*//*Label 16624*/ GIMT_Encode4(1134612), // Rule ID 14968 //
     /* 1134537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1134548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1134551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1134554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1134557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134576 */     // MIs[0] round
     /* 1134576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134586 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1134589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134611 */     // GIR_Coverage, 14968,
     /* 1134611 */     GIR_EraseRootFromParent_Done,
     /* 1134612 */   // Label 16624: @1134612
     /* 1134612 */   GIM_Try, /*On fail goto*//*Label 16625*/ GIMT_Encode4(1134692), // Rule ID 14969 //
     /* 1134617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1134628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1134631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1134634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1134637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1134656 */     // MIs[0] round
     /* 1134656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1134669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134691 */     // GIR_Coverage, 14969,
     /* 1134691 */     GIR_EraseRootFromParent_Done,
     /* 1134692 */   // Label 16625: @1134692
     /* 1134692 */   GIM_Try, /*On fail goto*//*Label 16626*/ GIMT_Encode4(1134772), // Rule ID 14972 //
     /* 1134697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1134708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1134711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1134714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1134717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134736 */     // MIs[0] round
     /* 1134736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1134749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134771 */     // GIR_Coverage, 14972,
     /* 1134771 */     GIR_EraseRootFromParent_Done,
     /* 1134772 */   // Label 16626: @1134772
     /* 1134772 */   GIM_Try, /*On fail goto*//*Label 16627*/ GIMT_Encode4(1134852), // Rule ID 14973 //
     /* 1134777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1134788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1134791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1134794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1134797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1134816 */     // MIs[0] round
     /* 1134816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1134829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134851 */     // GIR_Coverage, 14973,
     /* 1134851 */     GIR_EraseRootFromParent_Done,
     /* 1134852 */   // Label 16627: @1134852
     /* 1134852 */   GIM_Try, /*On fail goto*//*Label 16628*/ GIMT_Encode4(1134932), // Rule ID 14976 //
     /* 1134857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1134860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1134868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1134871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1134874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1134877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1134880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134896 */     // MIs[0] round
     /* 1134896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134906 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1134906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1134909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1134924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1134927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1134930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1134931 */     // GIR_Coverage, 14976,
     /* 1134931 */     GIR_EraseRootFromParent_Done,
     /* 1134932 */   // Label 16628: @1134932
     /* 1134932 */   GIM_Try, /*On fail goto*//*Label 16629*/ GIMT_Encode4(1135012), // Rule ID 14977 //
     /* 1134937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1134940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1134945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1134948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1134951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1134954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1134957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1134960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1134976 */     // MIs[0] round
     /* 1134976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1134979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1134986 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1134986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1134989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1134991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1134993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1134995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1134997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1134999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1135007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135011 */     // GIR_Coverage, 14977,
     /* 1135011 */     GIR_EraseRootFromParent_Done,
     /* 1135012 */   // Label 16629: @1135012
     /* 1135012 */   GIM_Try, /*On fail goto*//*Label 16630*/ GIMT_Encode4(1135092), // Rule ID 14980 //
     /* 1135017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1135028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1135031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1135034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1135037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135056 */     // MIs[0] round
     /* 1135056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1135069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135091 */     // GIR_Coverage, 14980,
     /* 1135091 */     GIR_EraseRootFromParent_Done,
     /* 1135092 */   // Label 16630: @1135092
     /* 1135092 */   GIM_Try, /*On fail goto*//*Label 16631*/ GIMT_Encode4(1135172), // Rule ID 14981 //
     /* 1135097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1135108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1135111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1135114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1135117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135136 */     // MIs[0] round
     /* 1135136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1135149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135171 */     // GIR_Coverage, 14981,
     /* 1135171 */     GIR_EraseRootFromParent_Done,
     /* 1135172 */   // Label 16631: @1135172
     /* 1135172 */   GIM_Try, /*On fail goto*//*Label 16632*/ GIMT_Encode4(1135252), // Rule ID 14984 //
     /* 1135177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1135188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1135191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1135194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1135197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135216 */     // MIs[0] round
     /* 1135216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1135229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135251 */     // GIR_Coverage, 14984,
     /* 1135251 */     GIR_EraseRootFromParent_Done,
     /* 1135252 */   // Label 16632: @1135252
     /* 1135252 */   GIM_Try, /*On fail goto*//*Label 16633*/ GIMT_Encode4(1135332), // Rule ID 14985 //
     /* 1135257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1135268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1135271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1135274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1135277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135296 */     // MIs[0] round
     /* 1135296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1135309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135331 */     // GIR_Coverage, 14985,
     /* 1135331 */     GIR_EraseRootFromParent_Done,
     /* 1135332 */   // Label 16633: @1135332
     /* 1135332 */   GIM_Try, /*On fail goto*//*Label 16634*/ GIMT_Encode4(1135412), // Rule ID 14988 //
     /* 1135337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1135348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1135351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1135354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1135357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135376 */     // MIs[0] round
     /* 1135376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1135389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135411 */     // GIR_Coverage, 14988,
     /* 1135411 */     GIR_EraseRootFromParent_Done,
     /* 1135412 */   // Label 16634: @1135412
     /* 1135412 */   GIM_Try, /*On fail goto*//*Label 16635*/ GIMT_Encode4(1135492), // Rule ID 14989 //
     /* 1135417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1135428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1135431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1135434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1135437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135456 */     // MIs[0] round
     /* 1135456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135466 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1135469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1135487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135491 */     // GIR_Coverage, 14989,
     /* 1135491 */     GIR_EraseRootFromParent_Done,
     /* 1135492 */   // Label 16635: @1135492
     /* 1135492 */   GIM_Try, /*On fail goto*//*Label 16636*/ GIMT_Encode4(1135572), // Rule ID 14992 //
     /* 1135497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1135508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1135511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1135514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1135517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135536 */     // MIs[0] round
     /* 1135536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135546 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1135549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135571 */     // GIR_Coverage, 14992,
     /* 1135571 */     GIR_EraseRootFromParent_Done,
     /* 1135572 */   // Label 16636: @1135572
     /* 1135572 */   GIM_Try, /*On fail goto*//*Label 16637*/ GIMT_Encode4(1135652), // Rule ID 14993 //
     /* 1135577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1135588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1135591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1135594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1135597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1135616 */     // MIs[0] round
     /* 1135616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1135629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135651 */     // GIR_Coverage, 14993,
     /* 1135651 */     GIR_EraseRootFromParent_Done,
     /* 1135652 */   // Label 16637: @1135652
     /* 1135652 */   GIM_Try, /*On fail goto*//*Label 16638*/ GIMT_Encode4(1135732), // Rule ID 14996 //
     /* 1135657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1135668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1135671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1135677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135696 */     // MIs[0] round
     /* 1135696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135706 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1135709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135731 */     // GIR_Coverage, 14996,
     /* 1135731 */     GIR_EraseRootFromParent_Done,
     /* 1135732 */   // Label 16638: @1135732
     /* 1135732 */   GIM_Try, /*On fail goto*//*Label 16639*/ GIMT_Encode4(1135812), // Rule ID 14997 //
     /* 1135737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1135748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1135751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1135754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1135757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1135776 */     // MIs[0] round
     /* 1135776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1135789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135811 */     // GIR_Coverage, 14997,
     /* 1135811 */     GIR_EraseRootFromParent_Done,
     /* 1135812 */   // Label 16639: @1135812
     /* 1135812 */   GIM_Try, /*On fail goto*//*Label 16640*/ GIMT_Encode4(1135892), // Rule ID 15000 //
     /* 1135817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1135820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1135828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1135831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1135837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1135840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135856 */     // MIs[0] round
     /* 1135856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1135866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1135869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135891 */     // GIR_Coverage, 15000,
     /* 1135891 */     GIR_EraseRootFromParent_Done,
     /* 1135892 */   // Label 16640: @1135892
     /* 1135892 */   GIM_Try, /*On fail goto*//*Label 16641*/ GIMT_Encode4(1135972), // Rule ID 15001 //
     /* 1135897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1135900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1135908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1135911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1135914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1135917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1135920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1135936 */     // MIs[0] round
     /* 1135936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1135939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1135946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1135946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1135949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1135951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1135953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1135955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1135957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1135959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1135964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1135967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1135970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1135971 */     // GIR_Coverage, 15001,
     /* 1135971 */     GIR_EraseRootFromParent_Done,
     /* 1135972 */   // Label 16641: @1135972
     /* 1135972 */   GIM_Try, /*On fail goto*//*Label 16642*/ GIMT_Encode4(1136052), // Rule ID 15004 //
     /* 1135977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1135980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1135985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1135988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1135991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1135994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1135997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136016 */     // MIs[0] round
     /* 1136016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1136029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136051 */     // GIR_Coverage, 15004,
     /* 1136051 */     GIR_EraseRootFromParent_Done,
     /* 1136052 */   // Label 16642: @1136052
     /* 1136052 */   GIM_Try, /*On fail goto*//*Label 16643*/ GIMT_Encode4(1136132), // Rule ID 15005 //
     /* 1136057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1136068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1136071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1136074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1136077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1136096 */     // MIs[0] round
     /* 1136096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136106 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2),
     /* 1136109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136131 */     // GIR_Coverage, 15005,
     /* 1136131 */     GIR_EraseRootFromParent_Done,
     /* 1136132 */   // Label 16643: @1136132
     /* 1136132 */   GIM_Try, /*On fail goto*//*Label 16644*/ GIMT_Encode4(1136212), // Rule ID 15008 //
     /* 1136137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1136140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1136148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1136151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1136154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1136157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136176 */     // MIs[0] round
     /* 1136176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136186 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1136189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136211 */     // GIR_Coverage, 15008,
     /* 1136211 */     GIR_EraseRootFromParent_Done,
     /* 1136212 */   // Label 16644: @1136212
     /* 1136212 */   GIM_Try, /*On fail goto*//*Label 16645*/ GIMT_Encode4(1136292), // Rule ID 15009 //
     /* 1136217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1136228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1136231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1136234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1136237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1136256 */     // MIs[0] round
     /* 1136256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4),
     /* 1136269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136291 */     // GIR_Coverage, 15009,
     /* 1136291 */     GIR_EraseRootFromParent_Done,
     /* 1136292 */   // Label 16645: @1136292
     /* 1136292 */   GIM_Try, /*On fail goto*//*Label 16646*/ GIMT_Encode4(1136372), // Rule ID 15012 //
     /* 1136297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1136300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1136308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1136311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1136314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1136317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136336 */     // MIs[0] round
     /* 1136336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1136349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136371 */     // GIR_Coverage, 15012,
     /* 1136371 */     GIR_EraseRootFromParent_Done,
     /* 1136372 */   // Label 16646: @1136372
     /* 1136372 */   GIM_Try, /*On fail goto*//*Label 16647*/ GIMT_Encode4(1136452), // Rule ID 15013 //
     /* 1136377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1136380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1136388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1136391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1136394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1136397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1136416 */     // MIs[0] round
     /* 1136416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8),
     /* 1136429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1136447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136451 */     // GIR_Coverage, 15013,
     /* 1136451 */     GIR_EraseRootFromParent_Done,
     /* 1136452 */   // Label 16647: @1136452
     /* 1136452 */   GIM_Try, /*On fail goto*//*Label 16648*/ GIMT_Encode4(1136532), // Rule ID 15016 //
     /* 1136457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1136468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1136471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1136474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136496 */     // MIs[0] round
     /* 1136496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136506 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1136509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136531 */     // GIR_Coverage, 15016,
     /* 1136531 */     GIR_EraseRootFromParent_Done,
     /* 1136532 */   // Label 16648: @1136532
     /* 1136532 */   GIM_Try, /*On fail goto*//*Label 16649*/ GIMT_Encode4(1136612), // Rule ID 15017 //
     /* 1136537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1136548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1136551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1136554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136576 */     // MIs[0] round
     /* 1136576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136586 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8),
     /* 1136589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136611 */     // GIR_Coverage, 15017,
     /* 1136611 */     GIR_EraseRootFromParent_Done,
     /* 1136612 */   // Label 16649: @1136612
     /* 1136612 */   GIM_Try, /*On fail goto*//*Label 16650*/ GIMT_Encode4(1136692), // Rule ID 15020 //
     /* 1136617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1136628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1136631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1136634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136656 */     // MIs[0] round
     /* 1136656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136666 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1136669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136691 */     // GIR_Coverage, 15020,
     /* 1136691 */     GIR_EraseRootFromParent_Done,
     /* 1136692 */   // Label 16650: @1136692
     /* 1136692 */   GIM_Try, /*On fail goto*//*Label 16651*/ GIMT_Encode4(1136772), // Rule ID 15021 //
     /* 1136697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1136708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1136711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1136714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136736 */     // MIs[0] round
     /* 1136736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1136749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136771 */     // GIR_Coverage, 15021,
     /* 1136771 */     GIR_EraseRootFromParent_Done,
     /* 1136772 */   // Label 16651: @1136772
     /* 1136772 */   GIM_Try, /*On fail goto*//*Label 16652*/ GIMT_Encode4(1136852), // Rule ID 15024 //
     /* 1136777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1136788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1136791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1136794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136816 */     // MIs[0] round
     /* 1136816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136826 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1136829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136851 */     // GIR_Coverage, 15024,
     /* 1136851 */     GIR_EraseRootFromParent_Done,
     /* 1136852 */   // Label 16652: @1136852
     /* 1136852 */   GIM_Try, /*On fail goto*//*Label 16653*/ GIMT_Encode4(1136932), // Rule ID 15025 //
     /* 1136857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1136860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1136868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1136871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1136874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1136877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1136880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136896 */     // MIs[0] round
     /* 1136896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136906 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1136906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1136909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1136924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1136927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1136930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1136931 */     // GIR_Coverage, 15025,
     /* 1136931 */     GIR_EraseRootFromParent_Done,
     /* 1136932 */   // Label 16653: @1136932
     /* 1136932 */   GIM_Try, /*On fail goto*//*Label 16654*/ GIMT_Encode4(1137012), // Rule ID 15028 //
     /* 1136937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1136940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1136945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1136948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1136951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1136954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1136957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1136960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1136972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1136976 */     // MIs[0] round
     /* 1136976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1136979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1136986 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1136986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1136989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1136991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1136993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1136995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1136997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1136999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137011 */     // GIR_Coverage, 15028,
     /* 1137011 */     GIR_EraseRootFromParent_Done,
     /* 1137012 */   // Label 16654: @1137012
     /* 1137012 */   GIM_Try, /*On fail goto*//*Label 16655*/ GIMT_Encode4(1137092), // Rule ID 15029 //
     /* 1137017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1137028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1137031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1137034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137056 */     // MIs[0] round
     /* 1137056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4),
     /* 1137069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137091 */     // GIR_Coverage, 15029,
     /* 1137091 */     GIR_EraseRootFromParent_Done,
     /* 1137092 */   // Label 16655: @1137092
     /* 1137092 */   GIM_Try, /*On fail goto*//*Label 16656*/ GIMT_Encode4(1137172), // Rule ID 15032 //
     /* 1137097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1137108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1137111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1137114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137136 */     // MIs[0] round
     /* 1137136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1137149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137171 */     // GIR_Coverage, 15032,
     /* 1137171 */     GIR_EraseRootFromParent_Done,
     /* 1137172 */   // Label 16656: @1137172
     /* 1137172 */   GIM_Try, /*On fail goto*//*Label 16657*/ GIMT_Encode4(1137252), // Rule ID 15033 //
     /* 1137177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1137188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1137191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1137194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137216 */     // MIs[0] round
     /* 1137216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1137229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137251 */     // GIR_Coverage, 15033,
     /* 1137251 */     GIR_EraseRootFromParent_Done,
     /* 1137252 */   // Label 16657: @1137252
     /* 1137252 */   GIM_Try, /*On fail goto*//*Label 16658*/ GIMT_Encode4(1137332), // Rule ID 15036 //
     /* 1137257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1137268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1137271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1137274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137296 */     // MIs[0] round
     /* 1137296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1137309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137331 */     // GIR_Coverage, 15036,
     /* 1137331 */     GIR_EraseRootFromParent_Done,
     /* 1137332 */   // Label 16658: @1137332
     /* 1137332 */   GIM_Try, /*On fail goto*//*Label 16659*/ GIMT_Encode4(1137412), // Rule ID 15037 //
     /* 1137337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1137348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1137351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1137354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137376 */     // MIs[0] round
     /* 1137376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2),
     /* 1137389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137411 */     // GIR_Coverage, 15037,
     /* 1137411 */     GIR_EraseRootFromParent_Done,
     /* 1137412 */   // Label 16659: @1137412
     /* 1137412 */   GIM_Try, /*On fail goto*//*Label 16660*/ GIMT_Encode4(1137492), // Rule ID 15040 //
     /* 1137417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1137428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1137431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1137434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137456 */     // MIs[0] round
     /* 1137456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137466 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1137469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137491 */     // GIR_Coverage, 15040,
     /* 1137491 */     GIR_EraseRootFromParent_Done,
     /* 1137492 */   // Label 16660: @1137492
     /* 1137492 */   GIM_Try, /*On fail goto*//*Label 16661*/ GIMT_Encode4(1137572), // Rule ID 15041 //
     /* 1137497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1137508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1137511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1137514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137536 */     // MIs[0] round
     /* 1137536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137546 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11140:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1137549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1137567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137571 */     // GIR_Coverage, 15041,
     /* 1137571 */     GIR_EraseRootFromParent_Done,
     /* 1137572 */   // Label 16661: @1137572
     /* 1137572 */   GIM_Try, /*On fail goto*//*Label 16662*/ GIMT_Encode4(1137652), // Rule ID 15044 //
     /* 1137577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1137588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1137591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1137594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137616 */     // MIs[0] round
     /* 1137616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1137629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137651 */     // GIR_Coverage, 15044,
     /* 1137651 */     GIR_EraseRootFromParent_Done,
     /* 1137652 */   // Label 16662: @1137652
     /* 1137652 */   GIM_Try, /*On fail goto*//*Label 16663*/ GIMT_Encode4(1137732), // Rule ID 15045 //
     /* 1137657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1137668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1137671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1137674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137696 */     // MIs[0] round
     /* 1137696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11140:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1137709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1137727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137731 */     // GIR_Coverage, 15045,
     /* 1137731 */     GIR_EraseRootFromParent_Done,
     /* 1137732 */   // Label 16663: @1137732
     /* 1137732 */   GIM_Try, /*On fail goto*//*Label 16664*/ GIMT_Encode4(1137812), // Rule ID 15048 //
     /* 1137737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1137740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1137748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1137751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1137754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137776 */     // MIs[0] round
     /* 1137776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137786 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1137789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137811 */     // GIR_Coverage, 15048,
     /* 1137811 */     GIR_EraseRootFromParent_Done,
     /* 1137812 */   // Label 16664: @1137812
     /* 1137812 */   GIM_Try, /*On fail goto*//*Label 16665*/ GIMT_Encode4(1137892), // Rule ID 15049 //
     /* 1137817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1137820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1137828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1137831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1137834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1137840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137856 */     // MIs[0] round
     /* 1137856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11140:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1137866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1137869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1137887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137891 */     // GIR_Coverage, 15049,
     /* 1137891 */     GIR_EraseRootFromParent_Done,
     /* 1137892 */   // Label 16665: @1137892
     /* 1137892 */   GIM_Try, /*On fail goto*//*Label 16666*/ GIMT_Encode4(1137972), // Rule ID 15052 //
     /* 1137897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1137900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1137908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1137911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1137914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1137917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1137920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1137932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1137936 */     // MIs[0] round
     /* 1137936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1137939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1137946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1137946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1137949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1137951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1137953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1137955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1137957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1137959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1137964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1137967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1137970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1137971 */     // GIR_Coverage, 15052,
     /* 1137971 */     GIR_EraseRootFromParent_Done,
     /* 1137972 */   // Label 16666: @1137972
     /* 1137972 */   GIM_Try, /*On fail goto*//*Label 16667*/ GIMT_Encode4(1138052), // Rule ID 15053 //
     /* 1137977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1137980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1137985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1137988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1137991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1137994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1137997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1138012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138016 */     // MIs[0] round
     /* 1138016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11140:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1),
     /* 1138029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1138047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138051 */     // GIR_Coverage, 15053,
     /* 1138051 */     GIR_EraseRootFromParent_Done,
     /* 1138052 */   // Label 16667: @1138052
     /* 1138052 */   GIM_Try, /*On fail goto*//*Label 16668*/ GIMT_Encode4(1138132), // Rule ID 15056 //
     /* 1138057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1138068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1138071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1138074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138096 */     // MIs[0] round
     /* 1138096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138106 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1138109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138131 */     // GIR_Coverage, 15056,
     /* 1138131 */     GIR_EraseRootFromParent_Done,
     /* 1138132 */   // Label 16668: @1138132
     /* 1138132 */   GIM_Try, /*On fail goto*//*Label 16669*/ GIMT_Encode4(1138212), // Rule ID 15057 //
     /* 1138137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1138148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1138151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1138154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138176 */     // MIs[0] round
     /* 1138176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138186 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1138189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138211 */     // GIR_Coverage, 15057,
     /* 1138211 */     GIR_EraseRootFromParent_Done,
     /* 1138212 */   // Label 16669: @1138212
     /* 1138212 */   GIM_Try, /*On fail goto*//*Label 16670*/ GIMT_Encode4(1138292), // Rule ID 15060 //
     /* 1138217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1138228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1138231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1138234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138256 */     // MIs[0] round
     /* 1138256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138266 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1138269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138291 */     // GIR_Coverage, 15060,
     /* 1138291 */     GIR_EraseRootFromParent_Done,
     /* 1138292 */   // Label 16670: @1138292
     /* 1138292 */   GIM_Try, /*On fail goto*//*Label 16671*/ GIMT_Encode4(1138372), // Rule ID 15061 //
     /* 1138297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1138308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1138311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1138314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138336 */     // MIs[0] round
     /* 1138336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1138349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138371 */     // GIR_Coverage, 15061,
     /* 1138371 */     GIR_EraseRootFromParent_Done,
     /* 1138372 */   // Label 16671: @1138372
     /* 1138372 */   GIM_Try, /*On fail goto*//*Label 16672*/ GIMT_Encode4(1138452), // Rule ID 15064 //
     /* 1138377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1138388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1138391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1138394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138416 */     // MIs[0] round
     /* 1138416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138426 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1138429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138451 */     // GIR_Coverage, 15064,
     /* 1138451 */     GIR_EraseRootFromParent_Done,
     /* 1138452 */   // Label 16672: @1138452
     /* 1138452 */   GIM_Try, /*On fail goto*//*Label 16673*/ GIMT_Encode4(1138532), // Rule ID 15065 //
     /* 1138457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1138468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1138471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1138474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138496 */     // MIs[0] round
     /* 1138496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138506 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1138509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1138527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138531 */     // GIR_Coverage, 15065,
     /* 1138531 */     GIR_EraseRootFromParent_Done,
     /* 1138532 */   // Label 16673: @1138532
     /* 1138532 */   GIM_Try, /*On fail goto*//*Label 16674*/ GIMT_Encode4(1138612), // Rule ID 15068 //
     /* 1138537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1138548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1138551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1138554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138576 */     // MIs[0] round
     /* 1138576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138586 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1138589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138611 */     // GIR_Coverage, 15068,
     /* 1138611 */     GIR_EraseRootFromParent_Done,
     /* 1138612 */   // Label 16674: @1138612
     /* 1138612 */   GIM_Try, /*On fail goto*//*Label 16675*/ GIMT_Encode4(1138692), // Rule ID 15069 //
     /* 1138617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1138628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1138631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1138634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1138652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138656 */     // MIs[0] round
     /* 1138656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1138669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138691 */     // GIR_Coverage, 15069,
     /* 1138691 */     GIR_EraseRootFromParent_Done,
     /* 1138692 */   // Label 16675: @1138692
     /* 1138692 */   GIM_Try, /*On fail goto*//*Label 16676*/ GIMT_Encode4(1138772), // Rule ID 15072 //
     /* 1138697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1138708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1138711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1138714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138736 */     // MIs[0] round
     /* 1138736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138746 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1138749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138771 */     // GIR_Coverage, 15072,
     /* 1138771 */     GIR_EraseRootFromParent_Done,
     /* 1138772 */   // Label 16676: @1138772
     /* 1138772 */   GIM_Try, /*On fail goto*//*Label 16677*/ GIMT_Encode4(1138852), // Rule ID 15073 //
     /* 1138777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1138788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1138791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1138794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1138812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138816 */     // MIs[0] round
     /* 1138816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1138829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138851 */     // GIR_Coverage, 15073,
     /* 1138851 */     GIR_EraseRootFromParent_Done,
     /* 1138852 */   // Label 16677: @1138852
     /* 1138852 */   GIM_Try, /*On fail goto*//*Label 16678*/ GIMT_Encode4(1138932), // Rule ID 15076 //
     /* 1138857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1138860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1138868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1138871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1138874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1138877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1138880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138896 */     // MIs[0] round
     /* 1138896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138906 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1138906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1138909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1138924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1138927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1138930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1138931 */     // GIR_Coverage, 15076,
     /* 1138931 */     GIR_EraseRootFromParent_Done,
     /* 1138932 */   // Label 16678: @1138932
     /* 1138932 */   GIM_Try, /*On fail goto*//*Label 16679*/ GIMT_Encode4(1139012), // Rule ID 15077 //
     /* 1138937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1138940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1138945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1138948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1138951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1138954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1138957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1138960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1138972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1138976 */     // MIs[0] round
     /* 1138976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1138979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1138986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1138986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1138989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1138991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1138993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1138995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1138997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1138999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1139007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139011 */     // GIR_Coverage, 15077,
     /* 1139011 */     GIR_EraseRootFromParent_Done,
     /* 1139012 */   // Label 16679: @1139012
     /* 1139012 */   GIM_Try, /*On fail goto*//*Label 16680*/ GIMT_Encode4(1139092), // Rule ID 15080 //
     /* 1139017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1139028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1139031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1139034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139056 */     // MIs[0] round
     /* 1139056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139066 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1139069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139091 */     // GIR_Coverage, 15080,
     /* 1139091 */     GIR_EraseRootFromParent_Done,
     /* 1139092 */   // Label 16680: @1139092
     /* 1139092 */   GIM_Try, /*On fail goto*//*Label 16681*/ GIMT_Encode4(1139172), // Rule ID 15081 //
     /* 1139097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1139108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1139111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1139114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139136 */     // MIs[0] round
     /* 1139136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1139149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139171 */     // GIR_Coverage, 15081,
     /* 1139171 */     GIR_EraseRootFromParent_Done,
     /* 1139172 */   // Label 16681: @1139172
     /* 1139172 */   GIM_Try, /*On fail goto*//*Label 16682*/ GIMT_Encode4(1139252), // Rule ID 15084 //
     /* 1139177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1139188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1139191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1139194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139216 */     // MIs[0] round
     /* 1139216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139226 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1139229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139251 */     // GIR_Coverage, 15084,
     /* 1139251 */     GIR_EraseRootFromParent_Done,
     /* 1139252 */   // Label 16682: @1139252
     /* 1139252 */   GIM_Try, /*On fail goto*//*Label 16683*/ GIMT_Encode4(1139332), // Rule ID 15085 //
     /* 1139257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1139268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1139271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1139274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139296 */     // MIs[0] round
     /* 1139296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1139309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139331 */     // GIR_Coverage, 15085,
     /* 1139331 */     GIR_EraseRootFromParent_Done,
     /* 1139332 */   // Label 16683: @1139332
     /* 1139332 */   GIM_Try, /*On fail goto*//*Label 16684*/ GIMT_Encode4(1139412), // Rule ID 15088 //
     /* 1139337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1139348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1139351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1139354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139376 */     // MIs[0] round
     /* 1139376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1139389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139411 */     // GIR_Coverage, 15088,
     /* 1139411 */     GIR_EraseRootFromParent_Done,
     /* 1139412 */   // Label 16684: @1139412
     /* 1139412 */   GIM_Try, /*On fail goto*//*Label 16685*/ GIMT_Encode4(1139492), // Rule ID 15089 //
     /* 1139417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1139420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1139428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1139431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1139434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139456 */     // MIs[0] round
     /* 1139456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1139469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1139487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139491 */     // GIR_Coverage, 15089,
     /* 1139491 */     GIR_EraseRootFromParent_Done,
     /* 1139492 */   // Label 16685: @1139492
     /* 1139492 */   GIM_Try, /*On fail goto*//*Label 16686*/ GIMT_Encode4(1139572), // Rule ID 15092 //
     /* 1139497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1139508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1139511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1139514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139536 */     // MIs[0] round
     /* 1139536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139546 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1139549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139571 */     // GIR_Coverage, 15092,
     /* 1139571 */     GIR_EraseRootFromParent_Done,
     /* 1139572 */   // Label 16686: @1139572
     /* 1139572 */   GIM_Try, /*On fail goto*//*Label 16687*/ GIMT_Encode4(1139652), // Rule ID 15093 //
     /* 1139577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1139588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1139591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1139594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1139612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139616 */     // MIs[0] round
     /* 1139616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11140:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2),
     /* 1139629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139651 */     // GIR_Coverage, 15093,
     /* 1139651 */     GIR_EraseRootFromParent_Done,
     /* 1139652 */   // Label 16687: @1139652
     /* 1139652 */   GIM_Try, /*On fail goto*//*Label 16688*/ GIMT_Encode4(1139732), // Rule ID 15096 //
     /* 1139657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1139668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1139671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1139674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139696 */     // MIs[0] round
     /* 1139696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139706 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1139709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139731 */     // GIR_Coverage, 15096,
     /* 1139731 */     GIR_EraseRootFromParent_Done,
     /* 1139732 */   // Label 16688: @1139732
     /* 1139732 */   GIM_Try, /*On fail goto*//*Label 16689*/ GIMT_Encode4(1139812), // Rule ID 15097 //
     /* 1139737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1139748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1139751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1139754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1139772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139776 */     // MIs[0] round
     /* 1139776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11140:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4),
     /* 1139789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139811 */     // GIR_Coverage, 15097,
     /* 1139811 */     GIR_EraseRootFromParent_Done,
     /* 1139812 */   // Label 16689: @1139812
     /* 1139812 */   GIM_Try, /*On fail goto*//*Label 16690*/ GIMT_Encode4(1139892), // Rule ID 15100 //
     /* 1139817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1139820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1139828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1139831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1139834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1139837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1139840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139856 */     // MIs[0] round
     /* 1139856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139866 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1139866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1139869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139891 */     // GIR_Coverage, 15100,
     /* 1139891 */     GIR_EraseRootFromParent_Done,
     /* 1139892 */   // Label 16690: @1139892
     /* 1139892 */   GIM_Try, /*On fail goto*//*Label 16691*/ GIMT_Encode4(1139972), // Rule ID 15101 //
     /* 1139897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1139900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu),
     /* 1139905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1139908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1139911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1139914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1139917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1139920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1139932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1139936 */     // MIs[0] round
     /* 1139936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1139939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1139946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11140:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADDU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1139946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8),
     /* 1139949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1139951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1139953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1139955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1139957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1139959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1139964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1139967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1139970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1139971 */     // GIR_Coverage, 15101,
     /* 1139971 */     GIR_EraseRootFromParent_Done,
     /* 1139972 */   // Label 16691: @1139972
     /* 1139972 */   GIM_Try, /*On fail goto*//*Label 16692*/ GIMT_Encode4(1140052), // Rule ID 15104 //
     /* 1139977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1139980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1139985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1139988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1139991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1139994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1139997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140016 */     // MIs[0] round
     /* 1140016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1140029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140051 */     // GIR_Coverage, 15104,
     /* 1140051 */     GIR_EraseRootFromParent_Done,
     /* 1140052 */   // Label 16692: @1140052
     /* 1140052 */   GIM_Try, /*On fail goto*//*Label 16693*/ GIMT_Encode4(1140132), // Rule ID 15105 //
     /* 1140057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1140068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1140071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1140074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1140077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140096 */     // MIs[0] round
     /* 1140096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140106 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8),
     /* 1140109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140131 */     // GIR_Coverage, 15105,
     /* 1140131 */     GIR_EraseRootFromParent_Done,
     /* 1140132 */   // Label 16693: @1140132
     /* 1140132 */   GIM_Try, /*On fail goto*//*Label 16694*/ GIMT_Encode4(1140212), // Rule ID 15108 //
     /* 1140137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1140148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1140151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1140154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1140157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140176 */     // MIs[0] round
     /* 1140176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1140189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140211 */     // GIR_Coverage, 15108,
     /* 1140211 */     GIR_EraseRootFromParent_Done,
     /* 1140212 */   // Label 16694: @1140212
     /* 1140212 */   GIM_Try, /*On fail goto*//*Label 16695*/ GIMT_Encode4(1140292), // Rule ID 15109 //
     /* 1140217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1140228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1140231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1140234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1140237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140256 */     // MIs[0] round
     /* 1140256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1140269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140291 */     // GIR_Coverage, 15109,
     /* 1140291 */     GIR_EraseRootFromParent_Done,
     /* 1140292 */   // Label 16695: @1140292
     /* 1140292 */   GIM_Try, /*On fail goto*//*Label 16696*/ GIMT_Encode4(1140372), // Rule ID 15112 //
     /* 1140297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1140308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1140311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1140314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1140317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140336 */     // MIs[0] round
     /* 1140336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1140349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140371 */     // GIR_Coverage, 15112,
     /* 1140371 */     GIR_EraseRootFromParent_Done,
     /* 1140372 */   // Label 16696: @1140372
     /* 1140372 */   GIM_Try, /*On fail goto*//*Label 16697*/ GIMT_Encode4(1140452), // Rule ID 15113 //
     /* 1140377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1140388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1140391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1140394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1140397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140416 */     // MIs[0] round
     /* 1140416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1140429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1140447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140451 */     // GIR_Coverage, 15113,
     /* 1140451 */     GIR_EraseRootFromParent_Done,
     /* 1140452 */   // Label 16697: @1140452
     /* 1140452 */   GIM_Try, /*On fail goto*//*Label 16698*/ GIMT_Encode4(1140532), // Rule ID 15116 //
     /* 1140457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1140468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1140471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1140474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1140477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140496 */     // MIs[0] round
     /* 1140496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1140509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140531 */     // GIR_Coverage, 15116,
     /* 1140531 */     GIR_EraseRootFromParent_Done,
     /* 1140532 */   // Label 16698: @1140532
     /* 1140532 */   GIM_Try, /*On fail goto*//*Label 16699*/ GIMT_Encode4(1140612), // Rule ID 15117 //
     /* 1140537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1140548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1140551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1140554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1140557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140576 */     // MIs[0] round
     /* 1140576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4),
     /* 1140589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140611 */     // GIR_Coverage, 15117,
     /* 1140611 */     GIR_EraseRootFromParent_Done,
     /* 1140612 */   // Label 16699: @1140612
     /* 1140612 */   GIM_Try, /*On fail goto*//*Label 16700*/ GIMT_Encode4(1140692), // Rule ID 15120 //
     /* 1140617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1140628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1140631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1140634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1140637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140656 */     // MIs[0] round
     /* 1140656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140666 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1140669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140691 */     // GIR_Coverage, 15120,
     /* 1140691 */     GIR_EraseRootFromParent_Done,
     /* 1140692 */   // Label 16700: @1140692
     /* 1140692 */   GIM_Try, /*On fail goto*//*Label 16701*/ GIMT_Encode4(1140772), // Rule ID 15121 //
     /* 1140697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1140708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1140711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1140714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1140717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140736 */     // MIs[0] round
     /* 1140736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140746 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1140749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1140767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140771 */     // GIR_Coverage, 15121,
     /* 1140771 */     GIR_EraseRootFromParent_Done,
     /* 1140772 */   // Label 16701: @1140772
     /* 1140772 */   GIM_Try, /*On fail goto*//*Label 16702*/ GIMT_Encode4(1140852), // Rule ID 15124 //
     /* 1140777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1140788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1140791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1140794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1140797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140816 */     // MIs[0] round
     /* 1140816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1140829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140851 */     // GIR_Coverage, 15124,
     /* 1140851 */     GIR_EraseRootFromParent_Done,
     /* 1140852 */   // Label 16702: @1140852
     /* 1140852 */   GIM_Try, /*On fail goto*//*Label 16703*/ GIMT_Encode4(1140932), // Rule ID 15125 //
     /* 1140857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1140860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1140868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1140871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1140874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1140877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1140880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140896 */     // MIs[0] round
     /* 1140896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1140906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2),
     /* 1140909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1140924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1140927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1140930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1140931 */     // GIR_Coverage, 15125,
     /* 1140931 */     GIR_EraseRootFromParent_Done,
     /* 1140932 */   // Label 16703: @1140932
     /* 1140932 */   GIM_Try, /*On fail goto*//*Label 16704*/ GIMT_Encode4(1141012), // Rule ID 15128 //
     /* 1140937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1140940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1140945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1140948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1140951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1140954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1140957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1140960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1140976 */     // MIs[0] round
     /* 1140976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1140979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1140986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1140986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1140989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1140991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1140993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1140995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1140997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1140999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141011 */     // GIR_Coverage, 15128,
     /* 1141011 */     GIR_EraseRootFromParent_Done,
     /* 1141012 */   // Label 16704: @1141012
     /* 1141012 */   GIM_Try, /*On fail goto*//*Label 16705*/ GIMT_Encode4(1141092), // Rule ID 15129 //
     /* 1141017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1141028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1141031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1141034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1141037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141056 */     // MIs[0] round
     /* 1141056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1141069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141091 */     // GIR_Coverage, 15129,
     /* 1141091 */     GIR_EraseRootFromParent_Done,
     /* 1141092 */   // Label 16705: @1141092
     /* 1141092 */   GIM_Try, /*On fail goto*//*Label 16706*/ GIMT_Encode4(1141172), // Rule ID 15132 //
     /* 1141097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1141108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1141111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1141114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1141117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141136 */     // MIs[0] round
     /* 1141136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141146 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1141149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141171 */     // GIR_Coverage, 15132,
     /* 1141171 */     GIR_EraseRootFromParent_Done,
     /* 1141172 */   // Label 16706: @1141172
     /* 1141172 */   GIM_Try, /*On fail goto*//*Label 16707*/ GIMT_Encode4(1141252), // Rule ID 15133 //
     /* 1141177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1141188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1141191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1141194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1141197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141216 */     // MIs[0] round
     /* 1141216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141226 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1141229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1141247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141251 */     // GIR_Coverage, 15133,
     /* 1141251 */     GIR_EraseRootFromParent_Done,
     /* 1141252 */   // Label 16707: @1141252
     /* 1141252 */   GIM_Try, /*On fail goto*//*Label 16708*/ GIMT_Encode4(1141332), // Rule ID 15136 //
     /* 1141257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1141268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1141271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1141274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1141277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141296 */     // MIs[0] round
     /* 1141296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141306 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1141309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141331 */     // GIR_Coverage, 15136,
     /* 1141331 */     GIR_EraseRootFromParent_Done,
     /* 1141332 */   // Label 16708: @1141332
     /* 1141332 */   GIM_Try, /*On fail goto*//*Label 16709*/ GIMT_Encode4(1141412), // Rule ID 15137 //
     /* 1141337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1141348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1141351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1141354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1141357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141376 */     // MIs[0] round
     /* 1141376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1141389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1141407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141411 */     // GIR_Coverage, 15137,
     /* 1141411 */     GIR_EraseRootFromParent_Done,
     /* 1141412 */   // Label 16709: @1141412
     /* 1141412 */   GIM_Try, /*On fail goto*//*Label 16710*/ GIMT_Encode4(1141492), // Rule ID 15140 //
     /* 1141417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1141420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1141428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1141431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1141434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1141437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141456 */     // MIs[0] round
     /* 1141456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141466 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1141469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141491 */     // GIR_Coverage, 15140,
     /* 1141491 */     GIR_EraseRootFromParent_Done,
     /* 1141492 */   // Label 16710: @1141492
     /* 1141492 */   GIM_Try, /*On fail goto*//*Label 16711*/ GIMT_Encode4(1141572), // Rule ID 15141 //
     /* 1141497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1141500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1141508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1141511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1141514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1141517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1141536 */     // MIs[0] round
     /* 1141536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1),
     /* 1141549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1141567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141571 */     // GIR_Coverage, 15141,
     /* 1141571 */     GIR_EraseRootFromParent_Done,
     /* 1141572 */   // Label 16711: @1141572
     /* 1141572 */   GIM_Try, /*On fail goto*//*Label 16712*/ GIMT_Encode4(1141652), // Rule ID 15144 //
     /* 1141577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1141588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1141591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1141594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1141597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141616 */     // MIs[0] round
     /* 1141616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1141629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141651 */     // GIR_Coverage, 15144,
     /* 1141651 */     GIR_EraseRootFromParent_Done,
     /* 1141652 */   // Label 16712: @1141652
     /* 1141652 */   GIM_Try, /*On fail goto*//*Label 16713*/ GIMT_Encode4(1141732), // Rule ID 15145 //
     /* 1141657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1141668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1141671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1141674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1141677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1141696 */     // MIs[0] round
     /* 1141696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141706 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1141709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141731 */     // GIR_Coverage, 15145,
     /* 1141731 */     GIR_EraseRootFromParent_Done,
     /* 1141732 */   // Label 16713: @1141732
     /* 1141732 */   GIM_Try, /*On fail goto*//*Label 16714*/ GIMT_Encode4(1141812), // Rule ID 15148 //
     /* 1141737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1141748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1141751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1141754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1141757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141776 */     // MIs[0] round
     /* 1141776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141786 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1141789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141811 */     // GIR_Coverage, 15148,
     /* 1141811 */     GIR_EraseRootFromParent_Done,
     /* 1141812 */   // Label 16714: @1141812
     /* 1141812 */   GIM_Try, /*On fail goto*//*Label 16715*/ GIMT_Encode4(1141892), // Rule ID 15149 //
     /* 1141817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1141828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1141831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1141834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1141837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1141840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1141856 */     // MIs[0] round
     /* 1141856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141866 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1141866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1141869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141891 */     // GIR_Coverage, 15149,
     /* 1141891 */     GIR_EraseRootFromParent_Done,
     /* 1141892 */   // Label 16715: @1141892
     /* 1141892 */   GIM_Try, /*On fail goto*//*Label 16716*/ GIMT_Encode4(1141972), // Rule ID 15152 //
     /* 1141897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1141900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1141908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1141911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1141914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1141917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1141920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1141936 */     // MIs[0] round
     /* 1141936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1141939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1141946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1141946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1141949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1141951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1141953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1141955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1141957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1141959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1141964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1141967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1141970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1141971 */     // GIR_Coverage, 15152,
     /* 1141971 */     GIR_EraseRootFromParent_Done,
     /* 1141972 */   // Label 16716: @1141972
     /* 1141972 */   GIM_Try, /*On fail goto*//*Label 16717*/ GIMT_Encode4(1142052), // Rule ID 15153 //
     /* 1141977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1141980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1141985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1141988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1141991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1141994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1141997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142016 */     // MIs[0] round
     /* 1142016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1142029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1142047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142051 */     // GIR_Coverage, 15153,
     /* 1142051 */     GIR_EraseRootFromParent_Done,
     /* 1142052 */   // Label 16717: @1142052
     /* 1142052 */   GIM_Try, /*On fail goto*//*Label 16718*/ GIMT_Encode4(1142132), // Rule ID 15156 //
     /* 1142057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1142068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1142071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1142074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1142077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142096 */     // MIs[0] round
     /* 1142096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142106 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1142109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142131 */     // GIR_Coverage, 15156,
     /* 1142131 */     GIR_EraseRootFromParent_Done,
     /* 1142132 */   // Label 16718: @1142132
     /* 1142132 */   GIM_Try, /*On fail goto*//*Label 16719*/ GIMT_Encode4(1142212), // Rule ID 15157 //
     /* 1142137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1142148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1142151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1142154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1142157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142176 */     // MIs[0] round
     /* 1142176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1142189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142211 */     // GIR_Coverage, 15157,
     /* 1142211 */     GIR_EraseRootFromParent_Done,
     /* 1142212 */   // Label 16719: @1142212
     /* 1142212 */   GIM_Try, /*On fail goto*//*Label 16720*/ GIMT_Encode4(1142292), // Rule ID 15160 //
     /* 1142217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1142228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1142231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1142234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1142237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142256 */     // MIs[0] round
     /* 1142256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142266 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1142269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142291 */     // GIR_Coverage, 15160,
     /* 1142291 */     GIR_EraseRootFromParent_Done,
     /* 1142292 */   // Label 16720: @1142292
     /* 1142292 */   GIM_Try, /*On fail goto*//*Label 16721*/ GIMT_Encode4(1142372), // Rule ID 15161 //
     /* 1142297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1142308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1142311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1142314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1142317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142336 */     // MIs[0] round
     /* 1142336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142346 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1142349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142371 */     // GIR_Coverage, 15161,
     /* 1142371 */     GIR_EraseRootFromParent_Done,
     /* 1142372 */   // Label 16721: @1142372
     /* 1142372 */   GIM_Try, /*On fail goto*//*Label 16722*/ GIMT_Encode4(1142452), // Rule ID 15164 //
     /* 1142377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1142388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1142391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1142394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1142397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142416 */     // MIs[0] round
     /* 1142416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142426 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1142429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142451 */     // GIR_Coverage, 15164,
     /* 1142451 */     GIR_EraseRootFromParent_Done,
     /* 1142452 */   // Label 16722: @1142452
     /* 1142452 */   GIM_Try, /*On fail goto*//*Label 16723*/ GIMT_Encode4(1142532), // Rule ID 15165 //
     /* 1142457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1142468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1142471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1142474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1142477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142496 */     // MIs[0] round
     /* 1142496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1142509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1142527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142531 */     // GIR_Coverage, 15165,
     /* 1142531 */     GIR_EraseRootFromParent_Done,
     /* 1142532 */   // Label 16723: @1142532
     /* 1142532 */   GIM_Try, /*On fail goto*//*Label 16724*/ GIMT_Encode4(1142612), // Rule ID 15168 //
     /* 1142537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1142548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1142551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1142554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1142557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142576 */     // MIs[0] round
     /* 1142576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1142589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142611 */     // GIR_Coverage, 15168,
     /* 1142611 */     GIR_EraseRootFromParent_Done,
     /* 1142612 */   // Label 16724: @1142612
     /* 1142612 */   GIM_Try, /*On fail goto*//*Label 16725*/ GIMT_Encode4(1142692), // Rule ID 15169 //
     /* 1142617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1142628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1142631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1142634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1142637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1142656 */     // MIs[0] round
     /* 1142656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1142669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142691 */     // GIR_Coverage, 15169,
     /* 1142691 */     GIR_EraseRootFromParent_Done,
     /* 1142692 */   // Label 16725: @1142692
     /* 1142692 */   GIM_Try, /*On fail goto*//*Label 16726*/ GIMT_Encode4(1142772), // Rule ID 15172 //
     /* 1142697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1142708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1142711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1142714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1142717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142736 */     // MIs[0] round
     /* 1142736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142746 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1142749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142771 */     // GIR_Coverage, 15172,
     /* 1142771 */     GIR_EraseRootFromParent_Done,
     /* 1142772 */   // Label 16726: @1142772
     /* 1142772 */   GIM_Try, /*On fail goto*//*Label 16727*/ GIMT_Encode4(1142852), // Rule ID 15173 //
     /* 1142777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1142788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1142791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1142794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1142797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1142816 */     // MIs[0] round
     /* 1142816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1142829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142851 */     // GIR_Coverage, 15173,
     /* 1142851 */     GIR_EraseRootFromParent_Done,
     /* 1142852 */   // Label 16727: @1142852
     /* 1142852 */   GIM_Try, /*On fail goto*//*Label 16728*/ GIMT_Encode4(1142932), // Rule ID 15176 //
     /* 1142857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1142860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1142868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1142871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1142874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1142877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1142880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142896 */     // MIs[0] round
     /* 1142896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142906 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1142906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1142909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1142924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1142927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1142930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1142931 */     // GIR_Coverage, 15176,
     /* 1142931 */     GIR_EraseRootFromParent_Done,
     /* 1142932 */   // Label 16728: @1142932
     /* 1142932 */   GIM_Try, /*On fail goto*//*Label 16729*/ GIMT_Encode4(1143012), // Rule ID 15177 //
     /* 1142937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1142940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1142945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1142948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1142951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1142954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1142957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1142960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1142976 */     // MIs[0] round
     /* 1142976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1142979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1142986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1142986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1142989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1142991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1142993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1142995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1142997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1142999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1143007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143011 */     // GIR_Coverage, 15177,
     /* 1143011 */     GIR_EraseRootFromParent_Done,
     /* 1143012 */   // Label 16729: @1143012
     /* 1143012 */   GIM_Try, /*On fail goto*//*Label 16730*/ GIMT_Encode4(1143092), // Rule ID 15180 //
     /* 1143017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1143028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1143031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1143034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1143037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143056 */     // MIs[0] round
     /* 1143056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1143069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143091 */     // GIR_Coverage, 15180,
     /* 1143091 */     GIR_EraseRootFromParent_Done,
     /* 1143092 */   // Label 16730: @1143092
     /* 1143092 */   GIM_Try, /*On fail goto*//*Label 16731*/ GIMT_Encode4(1143172), // Rule ID 15181 //
     /* 1143097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1143108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1143111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1143114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1143117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1143136 */     // MIs[0] round
     /* 1143136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2),
     /* 1143149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143171 */     // GIR_Coverage, 15181,
     /* 1143171 */     GIR_EraseRootFromParent_Done,
     /* 1143172 */   // Label 16731: @1143172
     /* 1143172 */   GIM_Try, /*On fail goto*//*Label 16732*/ GIMT_Encode4(1143252), // Rule ID 15184 //
     /* 1143177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1143188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1143191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1143194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1143197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143216 */     // MIs[0] round
     /* 1143216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143226 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1143229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143251 */     // GIR_Coverage, 15184,
     /* 1143251 */     GIR_EraseRootFromParent_Done,
     /* 1143252 */   // Label 16732: @1143252
     /* 1143252 */   GIM_Try, /*On fail goto*//*Label 16733*/ GIMT_Encode4(1143332), // Rule ID 15185 //
     /* 1143257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1143268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1143271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1143274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1143277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1143296 */     // MIs[0] round
     /* 1143296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4),
     /* 1143309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143331 */     // GIR_Coverage, 15185,
     /* 1143331 */     GIR_EraseRootFromParent_Done,
     /* 1143332 */   // Label 16733: @1143332
     /* 1143332 */   GIM_Try, /*On fail goto*//*Label 16734*/ GIMT_Encode4(1143412), // Rule ID 15188 //
     /* 1143337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1143340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1143348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1143351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1143354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1143357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143376 */     // MIs[0] round
     /* 1143376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1143389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143411 */     // GIR_Coverage, 15188,
     /* 1143411 */     GIR_EraseRootFromParent_Done,
     /* 1143412 */   // Label 16734: @1143412
     /* 1143412 */   GIM_Try, /*On fail goto*//*Label 16735*/ GIMT_Encode4(1143492), // Rule ID 15189 //
     /* 1143417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1143420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1143428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1143431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1143434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1143437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1143456 */     // MIs[0] round
     /* 1143456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8),
     /* 1143469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1143487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143491 */     // GIR_Coverage, 15189,
     /* 1143491 */     GIR_EraseRootFromParent_Done,
     /* 1143492 */   // Label 16735: @1143492
     /* 1143492 */   GIM_Try, /*On fail goto*//*Label 16736*/ GIMT_Encode4(1143572), // Rule ID 15192 //
     /* 1143497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1143508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1143511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1143514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143536 */     // MIs[0] round
     /* 1143536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143546 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1143549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143571 */     // GIR_Coverage, 15192,
     /* 1143571 */     GIR_EraseRootFromParent_Done,
     /* 1143572 */   // Label 16736: @1143572
     /* 1143572 */   GIM_Try, /*On fail goto*//*Label 16737*/ GIMT_Encode4(1143652), // Rule ID 15193 //
     /* 1143577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1143588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1143591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1143594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143616 */     // MIs[0] round
     /* 1143616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8),
     /* 1143629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143651 */     // GIR_Coverage, 15193,
     /* 1143651 */     GIR_EraseRootFromParent_Done,
     /* 1143652 */   // Label 16737: @1143652
     /* 1143652 */   GIM_Try, /*On fail goto*//*Label 16738*/ GIMT_Encode4(1143732), // Rule ID 15196 //
     /* 1143657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1143668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1143671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1143674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143696 */     // MIs[0] round
     /* 1143696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143706 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1143709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143731 */     // GIR_Coverage, 15196,
     /* 1143731 */     GIR_EraseRootFromParent_Done,
     /* 1143732 */   // Label 16738: @1143732
     /* 1143732 */   GIM_Try, /*On fail goto*//*Label 16739*/ GIMT_Encode4(1143812), // Rule ID 15197 //
     /* 1143737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1143748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1143751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1143754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143776 */     // MIs[0] round
     /* 1143776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1143789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143811 */     // GIR_Coverage, 15197,
     /* 1143811 */     GIR_EraseRootFromParent_Done,
     /* 1143812 */   // Label 16739: @1143812
     /* 1143812 */   GIM_Try, /*On fail goto*//*Label 16740*/ GIMT_Encode4(1143892), // Rule ID 15200 //
     /* 1143817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1143828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1143831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1143834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1143840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143856 */     // MIs[0] round
     /* 1143856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143866 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1143866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1143869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143891 */     // GIR_Coverage, 15200,
     /* 1143891 */     GIR_EraseRootFromParent_Done,
     /* 1143892 */   // Label 16740: @1143892
     /* 1143892 */   GIM_Try, /*On fail goto*//*Label 16741*/ GIMT_Encode4(1143972), // Rule ID 15201 //
     /* 1143897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1143900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1143908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1143911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1143914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1143917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1143920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1143932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1143936 */     // MIs[0] round
     /* 1143936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1143939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1143946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1143946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1143949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1143951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1143953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1143955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1143957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1143959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1143964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1143967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1143970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1143971 */     // GIR_Coverage, 15201,
     /* 1143971 */     GIR_EraseRootFromParent_Done,
     /* 1143972 */   // Label 16741: @1143972
     /* 1143972 */   GIM_Try, /*On fail goto*//*Label 16742*/ GIMT_Encode4(1144052), // Rule ID 15204 //
     /* 1143977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1143980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1143985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1143988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1143991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1143994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1143997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144016 */     // MIs[0] round
     /* 1144016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1144029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144051 */     // GIR_Coverage, 15204,
     /* 1144051 */     GIR_EraseRootFromParent_Done,
     /* 1144052 */   // Label 16742: @1144052
     /* 1144052 */   GIM_Try, /*On fail goto*//*Label 16743*/ GIMT_Encode4(1144132), // Rule ID 15205 //
     /* 1144057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1144068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1144071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1144074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144096 */     // MIs[0] round
     /* 1144096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4),
     /* 1144109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144131 */     // GIR_Coverage, 15205,
     /* 1144131 */     GIR_EraseRootFromParent_Done,
     /* 1144132 */   // Label 16743: @1144132
     /* 1144132 */   GIM_Try, /*On fail goto*//*Label 16744*/ GIMT_Encode4(1144212), // Rule ID 15208 //
     /* 1144137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1144148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1144151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1144154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144176 */     // MIs[0] round
     /* 1144176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144186 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1144189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144211 */     // GIR_Coverage, 15208,
     /* 1144211 */     GIR_EraseRootFromParent_Done,
     /* 1144212 */   // Label 16744: @1144212
     /* 1144212 */   GIM_Try, /*On fail goto*//*Label 16745*/ GIMT_Encode4(1144292), // Rule ID 15209 //
     /* 1144217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1144228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1144231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1144234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144256 */     // MIs[0] round
     /* 1144256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1144269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144291 */     // GIR_Coverage, 15209,
     /* 1144291 */     GIR_EraseRootFromParent_Done,
     /* 1144292 */   // Label 16745: @1144292
     /* 1144292 */   GIM_Try, /*On fail goto*//*Label 16746*/ GIMT_Encode4(1144372), // Rule ID 15212 //
     /* 1144297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1144308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1144311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1144314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144336 */     // MIs[0] round
     /* 1144336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144346 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1144349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144371 */     // GIR_Coverage, 15212,
     /* 1144371 */     GIR_EraseRootFromParent_Done,
     /* 1144372 */   // Label 16746: @1144372
     /* 1144372 */   GIM_Try, /*On fail goto*//*Label 16747*/ GIMT_Encode4(1144452), // Rule ID 15213 //
     /* 1144377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1144388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1144391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1144394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144416 */     // MIs[0] round
     /* 1144416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2),
     /* 1144429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144451 */     // GIR_Coverage, 15213,
     /* 1144451 */     GIR_EraseRootFromParent_Done,
     /* 1144452 */   // Label 16747: @1144452
     /* 1144452 */   GIM_Try, /*On fail goto*//*Label 16748*/ GIMT_Encode4(1144532), // Rule ID 15216 //
     /* 1144457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1144468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1144471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1144474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144496 */     // MIs[0] round
     /* 1144496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144506 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1144509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144531 */     // GIR_Coverage, 15216,
     /* 1144531 */     GIR_EraseRootFromParent_Done,
     /* 1144532 */   // Label 16748: @1144532
     /* 1144532 */   GIM_Try, /*On fail goto*//*Label 16749*/ GIMT_Encode4(1144612), // Rule ID 15217 //
     /* 1144537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1144548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1144551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1144554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144576 */     // MIs[0] round
     /* 1144576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11162:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1144589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1144607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144611 */     // GIR_Coverage, 15217,
     /* 1144611 */     GIR_EraseRootFromParent_Done,
     /* 1144612 */   // Label 16749: @1144612
     /* 1144612 */   GIM_Try, /*On fail goto*//*Label 16750*/ GIMT_Encode4(1144692), // Rule ID 15220 //
     /* 1144617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1144628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1144631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1144634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144656 */     // MIs[0] round
     /* 1144656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144666 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1144669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144691 */     // GIR_Coverage, 15220,
     /* 1144691 */     GIR_EraseRootFromParent_Done,
     /* 1144692 */   // Label 16750: @1144692
     /* 1144692 */   GIM_Try, /*On fail goto*//*Label 16751*/ GIMT_Encode4(1144772), // Rule ID 15221 //
     /* 1144697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1144708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1144711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1144714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144736 */     // MIs[0] round
     /* 1144736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11162:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1144749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1144767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144771 */     // GIR_Coverage, 15221,
     /* 1144771 */     GIR_EraseRootFromParent_Done,
     /* 1144772 */   // Label 16751: @1144772
     /* 1144772 */   GIM_Try, /*On fail goto*//*Label 16752*/ GIMT_Encode4(1144852), // Rule ID 15224 //
     /* 1144777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1144780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1144788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1144791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1144794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144816 */     // MIs[0] round
     /* 1144816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144826 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1144829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144851 */     // GIR_Coverage, 15224,
     /* 1144851 */     GIR_EraseRootFromParent_Done,
     /* 1144852 */   // Label 16752: @1144852
     /* 1144852 */   GIM_Try, /*On fail goto*//*Label 16753*/ GIMT_Encode4(1144932), // Rule ID 15225 //
     /* 1144857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1144860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1144868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1144871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1144874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1144877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1144880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144896 */     // MIs[0] round
     /* 1144896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11162:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1144906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1144909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1144924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1144927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1144930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1144931 */     // GIR_Coverage, 15225,
     /* 1144931 */     GIR_EraseRootFromParent_Done,
     /* 1144932 */   // Label 16753: @1144932
     /* 1144932 */   GIM_Try, /*On fail goto*//*Label 16754*/ GIMT_Encode4(1145012), // Rule ID 15228 //
     /* 1144937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1144940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1144945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1144948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1144951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1144954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1144957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1144960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1144972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1144976 */     // MIs[0] round
     /* 1144976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1144979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1144986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1144986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1144989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1144991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1144993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1144995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1144997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1144999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145011 */     // GIR_Coverage, 15228,
     /* 1145011 */     GIR_EraseRootFromParent_Done,
     /* 1145012 */   // Label 16754: @1145012
     /* 1145012 */   GIM_Try, /*On fail goto*//*Label 16755*/ GIMT_Encode4(1145092), // Rule ID 15229 //
     /* 1145017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1145020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1145028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1145031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1145034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1145052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145056 */     // MIs[0] round
     /* 1145056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11162:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1),
     /* 1145069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1145087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145091 */     // GIR_Coverage, 15229,
     /* 1145091 */     GIR_EraseRootFromParent_Done,
     /* 1145092 */   // Label 16755: @1145092
     /* 1145092 */   GIM_Try, /*On fail goto*//*Label 16756*/ GIMT_Encode4(1145172), // Rule ID 15232 //
     /* 1145097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1145108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1145111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1145114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145136 */     // MIs[0] round
     /* 1145136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145146 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1145149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145171 */     // GIR_Coverage, 15232,
     /* 1145171 */     GIR_EraseRootFromParent_Done,
     /* 1145172 */   // Label 16756: @1145172
     /* 1145172 */   GIM_Try, /*On fail goto*//*Label 16757*/ GIMT_Encode4(1145252), // Rule ID 15233 //
     /* 1145177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1145188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1145191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1145194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145216 */     // MIs[0] round
     /* 1145216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145226 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1145229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145251 */     // GIR_Coverage, 15233,
     /* 1145251 */     GIR_EraseRootFromParent_Done,
     /* 1145252 */   // Label 16757: @1145252
     /* 1145252 */   GIM_Try, /*On fail goto*//*Label 16758*/ GIMT_Encode4(1145332), // Rule ID 15236 //
     /* 1145257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1145268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1145271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1145274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145296 */     // MIs[0] round
     /* 1145296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145306 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1145309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145331 */     // GIR_Coverage, 15236,
     /* 1145331 */     GIR_EraseRootFromParent_Done,
     /* 1145332 */   // Label 16758: @1145332
     /* 1145332 */   GIM_Try, /*On fail goto*//*Label 16759*/ GIMT_Encode4(1145412), // Rule ID 15237 //
     /* 1145337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1145348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1145351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1145354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145376 */     // MIs[0] round
     /* 1145376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1145389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145411 */     // GIR_Coverage, 15237,
     /* 1145411 */     GIR_EraseRootFromParent_Done,
     /* 1145412 */   // Label 16759: @1145412
     /* 1145412 */   GIM_Try, /*On fail goto*//*Label 16760*/ GIMT_Encode4(1145492), // Rule ID 15240 //
     /* 1145417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1145428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1145431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1145434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145456 */     // MIs[0] round
     /* 1145456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145466 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1145469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145491 */     // GIR_Coverage, 15240,
     /* 1145491 */     GIR_EraseRootFromParent_Done,
     /* 1145492 */   // Label 16760: @1145492
     /* 1145492 */   GIM_Try, /*On fail goto*//*Label 16761*/ GIMT_Encode4(1145572), // Rule ID 15241 //
     /* 1145497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1145508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1145511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1145514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145536 */     // MIs[0] round
     /* 1145536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145546 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1145549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1145567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145571 */     // GIR_Coverage, 15241,
     /* 1145571 */     GIR_EraseRootFromParent_Done,
     /* 1145572 */   // Label 16761: @1145572
     /* 1145572 */   GIM_Try, /*On fail goto*//*Label 16762*/ GIMT_Encode4(1145652), // Rule ID 15244 //
     /* 1145577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1145588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1145591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1145594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145616 */     // MIs[0] round
     /* 1145616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1145629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145651 */     // GIR_Coverage, 15244,
     /* 1145651 */     GIR_EraseRootFromParent_Done,
     /* 1145652 */   // Label 16762: @1145652
     /* 1145652 */   GIM_Try, /*On fail goto*//*Label 16763*/ GIMT_Encode4(1145732), // Rule ID 15245 //
     /* 1145657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1145668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1145671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1145674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1145692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145696 */     // MIs[0] round
     /* 1145696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1145709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145731 */     // GIR_Coverage, 15245,
     /* 1145731 */     GIR_EraseRootFromParent_Done,
     /* 1145732 */   // Label 16763: @1145732
     /* 1145732 */   GIM_Try, /*On fail goto*//*Label 16764*/ GIMT_Encode4(1145812), // Rule ID 15248 //
     /* 1145737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1145748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1145751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1145754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145776 */     // MIs[0] round
     /* 1145776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145786 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1145789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145811 */     // GIR_Coverage, 15248,
     /* 1145811 */     GIR_EraseRootFromParent_Done,
     /* 1145812 */   // Label 16764: @1145812
     /* 1145812 */   GIM_Try, /*On fail goto*//*Label 16765*/ GIMT_Encode4(1145892), // Rule ID 15249 //
     /* 1145817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1145828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1145831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1145834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1145840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1145852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145856 */     // MIs[0] round
     /* 1145856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1145866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1145869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145891 */     // GIR_Coverage, 15249,
     /* 1145891 */     GIR_EraseRootFromParent_Done,
     /* 1145892 */   // Label 16765: @1145892
     /* 1145892 */   GIM_Try, /*On fail goto*//*Label 16766*/ GIMT_Encode4(1145972), // Rule ID 15252 //
     /* 1145897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1145900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1145908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1145911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1145914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1145917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1145920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1145932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1145936 */     // MIs[0] round
     /* 1145936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1145939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1145946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1145946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1145949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1145951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1145953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1145955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1145957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1145959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1145964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1145967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1145970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1145971 */     // GIR_Coverage, 15252,
     /* 1145971 */     GIR_EraseRootFromParent_Done,
     /* 1145972 */   // Label 16766: @1145972
     /* 1145972 */   GIM_Try, /*On fail goto*//*Label 16767*/ GIMT_Encode4(1146052), // Rule ID 15253 //
     /* 1145977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1145980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1145985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1145988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1145991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1145994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1145997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146016 */     // MIs[0] round
     /* 1146016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1146029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1146047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146051 */     // GIR_Coverage, 15253,
     /* 1146051 */     GIR_EraseRootFromParent_Done,
     /* 1146052 */   // Label 16767: @1146052
     /* 1146052 */   GIM_Try, /*On fail goto*//*Label 16768*/ GIMT_Encode4(1146132), // Rule ID 15256 //
     /* 1146057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1146068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1146071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1146074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146096 */     // MIs[0] round
     /* 1146096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1146109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146131 */     // GIR_Coverage, 15256,
     /* 1146131 */     GIR_EraseRootFromParent_Done,
     /* 1146132 */   // Label 16768: @1146132
     /* 1146132 */   GIM_Try, /*On fail goto*//*Label 16769*/ GIMT_Encode4(1146212), // Rule ID 15257 //
     /* 1146137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1146148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1146151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1146154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146176 */     // MIs[0] round
     /* 1146176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1146189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146211 */     // GIR_Coverage, 15257,
     /* 1146211 */     GIR_EraseRootFromParent_Done,
     /* 1146212 */   // Label 16769: @1146212
     /* 1146212 */   GIM_Try, /*On fail goto*//*Label 16770*/ GIMT_Encode4(1146292), // Rule ID 15260 //
     /* 1146217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1146228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1146231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1146234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146256 */     // MIs[0] round
     /* 1146256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146266 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1146269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146291 */     // GIR_Coverage, 15260,
     /* 1146291 */     GIR_EraseRootFromParent_Done,
     /* 1146292 */   // Label 16770: @1146292
     /* 1146292 */   GIM_Try, /*On fail goto*//*Label 16771*/ GIMT_Encode4(1146372), // Rule ID 15261 //
     /* 1146297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1146308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1146311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1146314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146336 */     // MIs[0] round
     /* 1146336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1146349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146371 */     // GIR_Coverage, 15261,
     /* 1146371 */     GIR_EraseRootFromParent_Done,
     /* 1146372 */   // Label 16771: @1146372
     /* 1146372 */   GIM_Try, /*On fail goto*//*Label 16772*/ GIMT_Encode4(1146452), // Rule ID 15264 //
     /* 1146377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1146380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1146388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1146391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1146394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146416 */     // MIs[0] round
     /* 1146416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146426 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1146429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146451 */     // GIR_Coverage, 15264,
     /* 1146451 */     GIR_EraseRootFromParent_Done,
     /* 1146452 */   // Label 16772: @1146452
     /* 1146452 */   GIM_Try, /*On fail goto*//*Label 16773*/ GIMT_Encode4(1146532), // Rule ID 15265 //
     /* 1146457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1146460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1146468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1146471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1146474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146496 */     // MIs[0] round
     /* 1146496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1146509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1146527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146531 */     // GIR_Coverage, 15265,
     /* 1146531 */     GIR_EraseRootFromParent_Done,
     /* 1146532 */   // Label 16773: @1146532
     /* 1146532 */   GIM_Try, /*On fail goto*//*Label 16774*/ GIMT_Encode4(1146612), // Rule ID 15268 //
     /* 1146537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1146548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1146551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1146554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146576 */     // MIs[0] round
     /* 1146576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146586 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1146589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146611 */     // GIR_Coverage, 15268,
     /* 1146611 */     GIR_EraseRootFromParent_Done,
     /* 1146612 */   // Label 16774: @1146612
     /* 1146612 */   GIM_Try, /*On fail goto*//*Label 16775*/ GIMT_Encode4(1146692), // Rule ID 15269 //
     /* 1146617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1146628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1146631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1146634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1146652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146656 */     // MIs[0] round
     /* 1146656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11162:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2),
     /* 1146669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146691 */     // GIR_Coverage, 15269,
     /* 1146691 */     GIR_EraseRootFromParent_Done,
     /* 1146692 */   // Label 16775: @1146692
     /* 1146692 */   GIM_Try, /*On fail goto*//*Label 16776*/ GIMT_Encode4(1146772), // Rule ID 15272 //
     /* 1146697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1146708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1146711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1146714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146736 */     // MIs[0] round
     /* 1146736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146746 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1146749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146771 */     // GIR_Coverage, 15272,
     /* 1146771 */     GIR_EraseRootFromParent_Done,
     /* 1146772 */   // Label 16776: @1146772
     /* 1146772 */   GIM_Try, /*On fail goto*//*Label 16777*/ GIMT_Encode4(1146852), // Rule ID 15273 //
     /* 1146777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1146788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1146791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1146794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1146812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146816 */     // MIs[0] round
     /* 1146816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11162:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4),
     /* 1146829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146851 */     // GIR_Coverage, 15273,
     /* 1146851 */     GIR_EraseRootFromParent_Done,
     /* 1146852 */   // Label 16777: @1146852
     /* 1146852 */   GIM_Try, /*On fail goto*//*Label 16778*/ GIMT_Encode4(1146932), // Rule ID 15276 //
     /* 1146857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1146860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1146868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1146871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1146874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1146877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1146880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146896 */     // MIs[0] round
     /* 1146896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146906 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1146906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1146909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1146924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1146927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1146930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1146931 */     // GIR_Coverage, 15276,
     /* 1146931 */     GIR_EraseRootFromParent_Done,
     /* 1146932 */   // Label 16778: @1146932
     /* 1146932 */   GIM_Try, /*On fail goto*//*Label 16779*/ GIMT_Encode4(1147012), // Rule ID 15277 //
     /* 1146937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1146940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu),
     /* 1146945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1146948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1146951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1146954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1146957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1146960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1146972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1146976 */     // MIs[0] round
     /* 1146976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1146979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1146986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11162:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUBU_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1146986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8),
     /* 1146989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1146991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1146993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1146995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1146997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1146999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1147007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147011 */     // GIR_Coverage, 15277,
     /* 1147011 */     GIR_EraseRootFromParent_Done,
     /* 1147012 */   // Label 16779: @1147012
     /* 1147012 */   GIM_Try, /*On fail goto*//*Label 16780*/ GIMT_Encode4(1147092), // Rule ID 15280 //
     /* 1147017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1147028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1147031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1147034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1147037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147056 */     // MIs[0] round
     /* 1147056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147066 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1147069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147091 */     // GIR_Coverage, 15280,
     /* 1147091 */     GIR_EraseRootFromParent_Done,
     /* 1147092 */   // Label 16780: @1147092
     /* 1147092 */   GIM_Try, /*On fail goto*//*Label 16781*/ GIMT_Encode4(1147172), // Rule ID 15281 //
     /* 1147097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1147108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1147111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1147114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1147117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147136 */     // MIs[0] round
     /* 1147136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147146 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8),
     /* 1147149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147171 */     // GIR_Coverage, 15281,
     /* 1147171 */     GIR_EraseRootFromParent_Done,
     /* 1147172 */   // Label 16781: @1147172
     /* 1147172 */   GIM_Try, /*On fail goto*//*Label 16782*/ GIMT_Encode4(1147252), // Rule ID 15284 //
     /* 1147177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1147188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1147191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1147194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1147197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147216 */     // MIs[0] round
     /* 1147216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147226 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1147229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147251 */     // GIR_Coverage, 15284,
     /* 1147251 */     GIR_EraseRootFromParent_Done,
     /* 1147252 */   // Label 16782: @1147252
     /* 1147252 */   GIM_Try, /*On fail goto*//*Label 16783*/ GIMT_Encode4(1147332), // Rule ID 15285 //
     /* 1147257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1147268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1147271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1147274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1147277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147296 */     // MIs[0] round
     /* 1147296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147306 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1147309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147331 */     // GIR_Coverage, 15285,
     /* 1147331 */     GIR_EraseRootFromParent_Done,
     /* 1147332 */   // Label 16783: @1147332
     /* 1147332 */   GIM_Try, /*On fail goto*//*Label 16784*/ GIMT_Encode4(1147412), // Rule ID 15288 //
     /* 1147337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1147348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1147351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1147354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1147357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147376 */     // MIs[0] round
     /* 1147376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147386 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1147389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147411 */     // GIR_Coverage, 15288,
     /* 1147411 */     GIR_EraseRootFromParent_Done,
     /* 1147412 */   // Label 16784: @1147412
     /* 1147412 */   GIM_Try, /*On fail goto*//*Label 16785*/ GIMT_Encode4(1147492), // Rule ID 15289 //
     /* 1147417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1147428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1147431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1147434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1147437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147456 */     // MIs[0] round
     /* 1147456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147466 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1147469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1147487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147491 */     // GIR_Coverage, 15289,
     /* 1147491 */     GIR_EraseRootFromParent_Done,
     /* 1147492 */   // Label 16785: @1147492
     /* 1147492 */   GIM_Try, /*On fail goto*//*Label 16786*/ GIMT_Encode4(1147572), // Rule ID 15292 //
     /* 1147497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1147508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1147511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1147514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1147517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147536 */     // MIs[0] round
     /* 1147536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147546 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1147549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147571 */     // GIR_Coverage, 15292,
     /* 1147571 */     GIR_EraseRootFromParent_Done,
     /* 1147572 */   // Label 16786: @1147572
     /* 1147572 */   GIM_Try, /*On fail goto*//*Label 16787*/ GIMT_Encode4(1147652), // Rule ID 15293 //
     /* 1147577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1147588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1147591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1147594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1147597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147616 */     // MIs[0] round
     /* 1147616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147626 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4),
     /* 1147629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147651 */     // GIR_Coverage, 15293,
     /* 1147651 */     GIR_EraseRootFromParent_Done,
     /* 1147652 */   // Label 16787: @1147652
     /* 1147652 */   GIM_Try, /*On fail goto*//*Label 16788*/ GIMT_Encode4(1147732), // Rule ID 15296 //
     /* 1147657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1147668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1147671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1147674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1147677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147696 */     // MIs[0] round
     /* 1147696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1147709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147731 */     // GIR_Coverage, 15296,
     /* 1147731 */     GIR_EraseRootFromParent_Done,
     /* 1147732 */   // Label 16788: @1147732
     /* 1147732 */   GIM_Try, /*On fail goto*//*Label 16789*/ GIMT_Encode4(1147812), // Rule ID 15297 //
     /* 1147737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1147748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1147751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1147754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1147757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147776 */     // MIs[0] round
     /* 1147776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1147789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1147807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147811 */     // GIR_Coverage, 15297,
     /* 1147811 */     GIR_EraseRootFromParent_Done,
     /* 1147812 */   // Label 16789: @1147812
     /* 1147812 */   GIM_Try, /*On fail goto*//*Label 16790*/ GIMT_Encode4(1147892), // Rule ID 15300 //
     /* 1147817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1147828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1147831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1147834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1147837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1147840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147856 */     // MIs[0] round
     /* 1147856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147866 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1147866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1147869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147891 */     // GIR_Coverage, 15300,
     /* 1147891 */     GIR_EraseRootFromParent_Done,
     /* 1147892 */   // Label 16790: @1147892
     /* 1147892 */   GIM_Try, /*On fail goto*//*Label 16791*/ GIMT_Encode4(1147972), // Rule ID 15301 //
     /* 1147897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1147900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1147908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1147911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1147914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1147917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1147920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1147936 */     // MIs[0] round
     /* 1147936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1147939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1147946 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1147946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2),
     /* 1147949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1147951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1147953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1147955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1147957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1147959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1147964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1147967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1147970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1147971 */     // GIR_Coverage, 15301,
     /* 1147971 */     GIR_EraseRootFromParent_Done,
     /* 1147972 */   // Label 16791: @1147972
     /* 1147972 */   GIM_Try, /*On fail goto*//*Label 16792*/ GIMT_Encode4(1148052), // Rule ID 15304 //
     /* 1147977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1147980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1147985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1147988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1147991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1147994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1147997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148016 */     // MIs[0] round
     /* 1148016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148026 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1148029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148051 */     // GIR_Coverage, 15304,
     /* 1148051 */     GIR_EraseRootFromParent_Done,
     /* 1148052 */   // Label 16792: @1148052
     /* 1148052 */   GIM_Try, /*On fail goto*//*Label 16793*/ GIMT_Encode4(1148132), // Rule ID 15305 //
     /* 1148057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1148068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1148071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1148074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1148077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148096 */     // MIs[0] round
     /* 1148096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148106 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1148109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148131 */     // GIR_Coverage, 15305,
     /* 1148131 */     GIR_EraseRootFromParent_Done,
     /* 1148132 */   // Label 16793: @1148132
     /* 1148132 */   GIM_Try, /*On fail goto*//*Label 16794*/ GIMT_Encode4(1148212), // Rule ID 15308 //
     /* 1148137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1148148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1148151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1148154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1148157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148176 */     // MIs[0] round
     /* 1148176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1148189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148211 */     // GIR_Coverage, 15308,
     /* 1148211 */     GIR_EraseRootFromParent_Done,
     /* 1148212 */   // Label 16794: @1148212
     /* 1148212 */   GIM_Try, /*On fail goto*//*Label 16795*/ GIMT_Encode4(1148292), // Rule ID 15309 //
     /* 1148217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1148228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1148231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1148234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1148237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148256 */     // MIs[0] round
     /* 1148256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1148269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1148287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148291 */     // GIR_Coverage, 15309,
     /* 1148291 */     GIR_EraseRootFromParent_Done,
     /* 1148292 */   // Label 16795: @1148292
     /* 1148292 */   GIM_Try, /*On fail goto*//*Label 16796*/ GIMT_Encode4(1148372), // Rule ID 15312 //
     /* 1148297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1148308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1148311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1148314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1148317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148336 */     // MIs[0] round
     /* 1148336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1148349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148371 */     // GIR_Coverage, 15312,
     /* 1148371 */     GIR_EraseRootFromParent_Done,
     /* 1148372 */   // Label 16796: @1148372
     /* 1148372 */   GIM_Try, /*On fail goto*//*Label 16797*/ GIMT_Encode4(1148452), // Rule ID 15313 //
     /* 1148377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1148388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1148391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1148394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1148397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148416 */     // MIs[0] round
     /* 1148416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1148429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1148447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148451 */     // GIR_Coverage, 15313,
     /* 1148451 */     GIR_EraseRootFromParent_Done,
     /* 1148452 */   // Label 16797: @1148452
     /* 1148452 */   GIM_Try, /*On fail goto*//*Label 16798*/ GIMT_Encode4(1148532), // Rule ID 15316 //
     /* 1148457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1148460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1148468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1148471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1148474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1148477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148496 */     // MIs[0] round
     /* 1148496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1148509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148531 */     // GIR_Coverage, 15316,
     /* 1148531 */     GIR_EraseRootFromParent_Done,
     /* 1148532 */   // Label 16798: @1148532
     /* 1148532 */   GIM_Try, /*On fail goto*//*Label 16799*/ GIMT_Encode4(1148612), // Rule ID 15317 //
     /* 1148537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1148540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1148548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1148551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1148554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1148557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1148576 */     // MIs[0] round
     /* 1148576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148586 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1),
     /* 1148589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1148607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148611 */     // GIR_Coverage, 15317,
     /* 1148611 */     GIR_EraseRootFromParent_Done,
     /* 1148612 */   // Label 16799: @1148612
     /* 1148612 */   GIM_Try, /*On fail goto*//*Label 16800*/ GIMT_Encode4(1148692), // Rule ID 15320 //
     /* 1148617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1148628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1148631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1148634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1148637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148656 */     // MIs[0] round
     /* 1148656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1148669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148691 */     // GIR_Coverage, 15320,
     /* 1148691 */     GIR_EraseRootFromParent_Done,
     /* 1148692 */   // Label 16800: @1148692
     /* 1148692 */   GIM_Try, /*On fail goto*//*Label 16801*/ GIMT_Encode4(1148772), // Rule ID 15321 //
     /* 1148697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1148708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1148711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1148714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1148717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1148736 */     // MIs[0] round
     /* 1148736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148746 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1148749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148771 */     // GIR_Coverage, 15321,
     /* 1148771 */     GIR_EraseRootFromParent_Done,
     /* 1148772 */   // Label 16801: @1148772
     /* 1148772 */   GIM_Try, /*On fail goto*//*Label 16802*/ GIMT_Encode4(1148852), // Rule ID 15324 //
     /* 1148777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1148788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1148791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1148794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1148797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148816 */     // MIs[0] round
     /* 1148816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1148829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148851 */     // GIR_Coverage, 15324,
     /* 1148851 */     GIR_EraseRootFromParent_Done,
     /* 1148852 */   // Label 16802: @1148852
     /* 1148852 */   GIM_Try, /*On fail goto*//*Label 16803*/ GIMT_Encode4(1148932), // Rule ID 15325 //
     /* 1148857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1148860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1148868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1148871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1148874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1148877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1148880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1148896 */     // MIs[0] round
     /* 1148896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1148906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1148909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1148924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1148927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1148930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1148931 */     // GIR_Coverage, 15325,
     /* 1148931 */     GIR_EraseRootFromParent_Done,
     /* 1148932 */   // Label 16803: @1148932
     /* 1148932 */   GIM_Try, /*On fail goto*//*Label 16804*/ GIMT_Encode4(1149012), // Rule ID 15328 //
     /* 1148937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1148940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1148945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1148948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1148951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1148954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1148957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1148960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1148976 */     // MIs[0] round
     /* 1148976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1148979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1148986 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1148986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1148989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1148991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1148993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1148995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1148997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1148999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149011 */     // GIR_Coverage, 15328,
     /* 1149011 */     GIR_EraseRootFromParent_Done,
     /* 1149012 */   // Label 16804: @1149012
     /* 1149012 */   GIM_Try, /*On fail goto*//*Label 16805*/ GIMT_Encode4(1149092), // Rule ID 15329 //
     /* 1149017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1149028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1149031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1149034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1149037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149056 */     // MIs[0] round
     /* 1149056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149066 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1149069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1149087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149091 */     // GIR_Coverage, 15329,
     /* 1149091 */     GIR_EraseRootFromParent_Done,
     /* 1149092 */   // Label 16805: @1149092
     /* 1149092 */   GIM_Try, /*On fail goto*//*Label 16806*/ GIMT_Encode4(1149172), // Rule ID 15332 //
     /* 1149097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1149108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1149111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1149114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1149117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149136 */     // MIs[0] round
     /* 1149136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149146 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1149149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149171 */     // GIR_Coverage, 15332,
     /* 1149171 */     GIR_EraseRootFromParent_Done,
     /* 1149172 */   // Label 16806: @1149172
     /* 1149172 */   GIM_Try, /*On fail goto*//*Label 16807*/ GIMT_Encode4(1149252), // Rule ID 15333 //
     /* 1149177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1149188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1149191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1149194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1149197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149216 */     // MIs[0] round
     /* 1149216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149226 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1149229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149251 */     // GIR_Coverage, 15333,
     /* 1149251 */     GIR_EraseRootFromParent_Done,
     /* 1149252 */   // Label 16807: @1149252
     /* 1149252 */   GIM_Try, /*On fail goto*//*Label 16808*/ GIMT_Encode4(1149332), // Rule ID 15336 //
     /* 1149257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1149268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1149271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1149274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1149277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149296 */     // MIs[0] round
     /* 1149296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149306 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1149309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149331 */     // GIR_Coverage, 15336,
     /* 1149331 */     GIR_EraseRootFromParent_Done,
     /* 1149332 */   // Label 16808: @1149332
     /* 1149332 */   GIM_Try, /*On fail goto*//*Label 16809*/ GIMT_Encode4(1149412), // Rule ID 15337 //
     /* 1149337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1149348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1149351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1149354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1149357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149376 */     // MIs[0] round
     /* 1149376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149386 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1149389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149411 */     // GIR_Coverage, 15337,
     /* 1149411 */     GIR_EraseRootFromParent_Done,
     /* 1149412 */   // Label 16809: @1149412
     /* 1149412 */   GIM_Try, /*On fail goto*//*Label 16810*/ GIMT_Encode4(1149492), // Rule ID 15340 //
     /* 1149417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1149428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1149431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1149434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1149437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149456 */     // MIs[0] round
     /* 1149456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149466 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1149469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149491 */     // GIR_Coverage, 15340,
     /* 1149491 */     GIR_EraseRootFromParent_Done,
     /* 1149492 */   // Label 16810: @1149492
     /* 1149492 */   GIM_Try, /*On fail goto*//*Label 16811*/ GIMT_Encode4(1149572), // Rule ID 15341 //
     /* 1149497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1149508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1149511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1149514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1149517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149536 */     // MIs[0] round
     /* 1149536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1149549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1149567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149571 */     // GIR_Coverage, 15341,
     /* 1149571 */     GIR_EraseRootFromParent_Done,
     /* 1149572 */   // Label 16811: @1149572
     /* 1149572 */   GIM_Try, /*On fail goto*//*Label 16812*/ GIMT_Encode4(1149652), // Rule ID 15344 //
     /* 1149577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1149588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1149591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1149594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1149597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149616 */     // MIs[0] round
     /* 1149616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149626 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1149629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149651 */     // GIR_Coverage, 15344,
     /* 1149651 */     GIR_EraseRootFromParent_Done,
     /* 1149652 */   // Label 16812: @1149652
     /* 1149652 */   GIM_Try, /*On fail goto*//*Label 16813*/ GIMT_Encode4(1149732), // Rule ID 15345 //
     /* 1149657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1149668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1149671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1149674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1149677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1149696 */     // MIs[0] round
     /* 1149696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1149709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149731 */     // GIR_Coverage, 15345,
     /* 1149731 */     GIR_EraseRootFromParent_Done,
     /* 1149732 */   // Label 16813: @1149732
     /* 1149732 */   GIM_Try, /*On fail goto*//*Label 16814*/ GIMT_Encode4(1149812), // Rule ID 15348 //
     /* 1149737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1149748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1149751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1149754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1149757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149776 */     // MIs[0] round
     /* 1149776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149786 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1149789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149811 */     // GIR_Coverage, 15348,
     /* 1149811 */     GIR_EraseRootFromParent_Done,
     /* 1149812 */   // Label 16814: @1149812
     /* 1149812 */   GIM_Try, /*On fail goto*//*Label 16815*/ GIMT_Encode4(1149892), // Rule ID 15349 //
     /* 1149817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1149828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1149831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1149834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1149837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1149840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1149856 */     // MIs[0] round
     /* 1149856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149866 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1149866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1149869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149891 */     // GIR_Coverage, 15349,
     /* 1149891 */     GIR_EraseRootFromParent_Done,
     /* 1149892 */   // Label 16815: @1149892
     /* 1149892 */   GIM_Try, /*On fail goto*//*Label 16816*/ GIMT_Encode4(1149972), // Rule ID 15352 //
     /* 1149897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1149900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1149908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1149911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1149914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1149917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1149920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1149936 */     // MIs[0] round
     /* 1149936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1149939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1149946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1149946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1149949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1149951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1149953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1149955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1149957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1149959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1149964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1149967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1149970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1149971 */     // GIR_Coverage, 15352,
     /* 1149971 */     GIR_EraseRootFromParent_Done,
     /* 1149972 */   // Label 16816: @1149972
     /* 1149972 */   GIM_Try, /*On fail goto*//*Label 16817*/ GIMT_Encode4(1150052), // Rule ID 15353 //
     /* 1149977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1149980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1149985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1149988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1149991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1149994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1149997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150016 */     // MIs[0] round
     /* 1150016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150026 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1150029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1150047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150051 */     // GIR_Coverage, 15353,
     /* 1150051 */     GIR_EraseRootFromParent_Done,
     /* 1150052 */   // Label 16817: @1150052
     /* 1150052 */   GIM_Try, /*On fail goto*//*Label 16818*/ GIMT_Encode4(1150132), // Rule ID 15356 //
     /* 1150057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1150068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1150071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1150074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1150077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150096 */     // MIs[0] round
     /* 1150096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150106 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1150109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150131 */     // GIR_Coverage, 15356,
     /* 1150131 */     GIR_EraseRootFromParent_Done,
     /* 1150132 */   // Label 16818: @1150132
     /* 1150132 */   GIM_Try, /*On fail goto*//*Label 16819*/ GIMT_Encode4(1150212), // Rule ID 15357 //
     /* 1150137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1150148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1150151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1150154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1150157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1150176 */     // MIs[0] round
     /* 1150176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150186 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2),
     /* 1150189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150211 */     // GIR_Coverage, 15357,
     /* 1150211 */     GIR_EraseRootFromParent_Done,
     /* 1150212 */   // Label 16819: @1150212
     /* 1150212 */   GIM_Try, /*On fail goto*//*Label 16820*/ GIMT_Encode4(1150292), // Rule ID 15360 //
     /* 1150217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1150228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1150231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1150234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1150237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150256 */     // MIs[0] round
     /* 1150256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1150269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150291 */     // GIR_Coverage, 15360,
     /* 1150291 */     GIR_EraseRootFromParent_Done,
     /* 1150292 */   // Label 16820: @1150292
     /* 1150292 */   GIM_Try, /*On fail goto*//*Label 16821*/ GIMT_Encode4(1150372), // Rule ID 15361 //
     /* 1150297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1150308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1150311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1150314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1150317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1150336 */     // MIs[0] round
     /* 1150336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150346 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4),
     /* 1150349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150371 */     // GIR_Coverage, 15361,
     /* 1150371 */     GIR_EraseRootFromParent_Done,
     /* 1150372 */   // Label 16821: @1150372
     /* 1150372 */   GIM_Try, /*On fail goto*//*Label 16822*/ GIMT_Encode4(1150452), // Rule ID 15364 //
     /* 1150377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1150380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1150388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1150391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1150394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1150397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150416 */     // MIs[0] round
     /* 1150416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150426 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1150429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150451 */     // GIR_Coverage, 15364,
     /* 1150451 */     GIR_EraseRootFromParent_Done,
     /* 1150452 */   // Label 16822: @1150452
     /* 1150452 */   GIM_Try, /*On fail goto*//*Label 16823*/ GIMT_Encode4(1150532), // Rule ID 15365 //
     /* 1150457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1150460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1150468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1150471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1150474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1150477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1150496 */     // MIs[0] round
     /* 1150496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150506 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8),
     /* 1150509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1150527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150531 */     // GIR_Coverage, 15365,
     /* 1150531 */     GIR_EraseRootFromParent_Done,
     /* 1150532 */   // Label 16823: @1150532
     /* 1150532 */   GIM_Try, /*On fail goto*//*Label 16824*/ GIMT_Encode4(1150612), // Rule ID 15368 //
     /* 1150537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1150548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1150551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1150554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150576 */     // MIs[0] round
     /* 1150576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150586 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1150589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150611 */     // GIR_Coverage, 15368,
     /* 1150611 */     GIR_EraseRootFromParent_Done,
     /* 1150612 */   // Label 16824: @1150612
     /* 1150612 */   GIM_Try, /*On fail goto*//*Label 16825*/ GIMT_Encode4(1150692), // Rule ID 15369 //
     /* 1150617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1150628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1150631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1150634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150656 */     // MIs[0] round
     /* 1150656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150666 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8),
     /* 1150669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150691 */     // GIR_Coverage, 15369,
     /* 1150691 */     GIR_EraseRootFromParent_Done,
     /* 1150692 */   // Label 16825: @1150692
     /* 1150692 */   GIM_Try, /*On fail goto*//*Label 16826*/ GIMT_Encode4(1150772), // Rule ID 15372 //
     /* 1150697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1150708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1150711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1150714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150736 */     // MIs[0] round
     /* 1150736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150746 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1150749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150771 */     // GIR_Coverage, 15372,
     /* 1150771 */     GIR_EraseRootFromParent_Done,
     /* 1150772 */   // Label 16826: @1150772
     /* 1150772 */   GIM_Try, /*On fail goto*//*Label 16827*/ GIMT_Encode4(1150852), // Rule ID 15373 //
     /* 1150777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1150788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1150791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1150794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150816 */     // MIs[0] round
     /* 1150816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150826 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1150829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150851 */     // GIR_Coverage, 15373,
     /* 1150851 */     GIR_EraseRootFromParent_Done,
     /* 1150852 */   // Label 16827: @1150852
     /* 1150852 */   GIM_Try, /*On fail goto*//*Label 16828*/ GIMT_Encode4(1150932), // Rule ID 15376 //
     /* 1150857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1150860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1150868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1150871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1150874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1150877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1150880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150896 */     // MIs[0] round
     /* 1150896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150906 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1150906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1150909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1150924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1150927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1150930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1150931 */     // GIR_Coverage, 15376,
     /* 1150931 */     GIR_EraseRootFromParent_Done,
     /* 1150932 */   // Label 16828: @1150932
     /* 1150932 */   GIM_Try, /*On fail goto*//*Label 16829*/ GIMT_Encode4(1151012), // Rule ID 15377 //
     /* 1150937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1150940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1150945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1150948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1150951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1150954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1150957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1150960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1150972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1150976 */     // MIs[0] round
     /* 1150976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1150979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1150986 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1150986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1150989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1150991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1150993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1150995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1150997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1150999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151011 */     // GIR_Coverage, 15377,
     /* 1151011 */     GIR_EraseRootFromParent_Done,
     /* 1151012 */   // Label 16829: @1151012
     /* 1151012 */   GIM_Try, /*On fail goto*//*Label 16830*/ GIMT_Encode4(1151092), // Rule ID 15380 //
     /* 1151017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1151028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1151031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1151034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151056 */     // MIs[0] round
     /* 1151056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151066 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1151069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151091 */     // GIR_Coverage, 15380,
     /* 1151091 */     GIR_EraseRootFromParent_Done,
     /* 1151092 */   // Label 16830: @1151092
     /* 1151092 */   GIM_Try, /*On fail goto*//*Label 16831*/ GIMT_Encode4(1151172), // Rule ID 15381 //
     /* 1151097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1151108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1151111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1151114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151136 */     // MIs[0] round
     /* 1151136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151146 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4),
     /* 1151149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151171 */     // GIR_Coverage, 15381,
     /* 1151171 */     GIR_EraseRootFromParent_Done,
     /* 1151172 */   // Label 16831: @1151172
     /* 1151172 */   GIM_Try, /*On fail goto*//*Label 16832*/ GIMT_Encode4(1151252), // Rule ID 15384 //
     /* 1151177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1151188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1151191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1151194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151216 */     // MIs[0] round
     /* 1151216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151226 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1151229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151251 */     // GIR_Coverage, 15384,
     /* 1151251 */     GIR_EraseRootFromParent_Done,
     /* 1151252 */   // Label 16832: @1151252
     /* 1151252 */   GIM_Try, /*On fail goto*//*Label 16833*/ GIMT_Encode4(1151332), // Rule ID 15385 //
     /* 1151257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1151268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1151271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1151274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151296 */     // MIs[0] round
     /* 1151296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1151309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151331 */     // GIR_Coverage, 15385,
     /* 1151331 */     GIR_EraseRootFromParent_Done,
     /* 1151332 */   // Label 16833: @1151332
     /* 1151332 */   GIM_Try, /*On fail goto*//*Label 16834*/ GIMT_Encode4(1151412), // Rule ID 15388 //
     /* 1151337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1151348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1151351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1151354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151376 */     // MIs[0] round
     /* 1151376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1151389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151411 */     // GIR_Coverage, 15388,
     /* 1151411 */     GIR_EraseRootFromParent_Done,
     /* 1151412 */   // Label 16834: @1151412
     /* 1151412 */   GIM_Try, /*On fail goto*//*Label 16835*/ GIMT_Encode4(1151492), // Rule ID 15389 //
     /* 1151417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1151428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1151431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1151434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151456 */     // MIs[0] round
     /* 1151456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151466 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2),
     /* 1151469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151491 */     // GIR_Coverage, 15389,
     /* 1151491 */     GIR_EraseRootFromParent_Done,
     /* 1151492 */   // Label 16835: @1151492
     /* 1151492 */   GIM_Try, /*On fail goto*//*Label 16836*/ GIMT_Encode4(1151572), // Rule ID 15392 //
     /* 1151497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1151508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1151511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1151514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151536 */     // MIs[0] round
     /* 1151536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151546 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1151549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151571 */     // GIR_Coverage, 15392,
     /* 1151571 */     GIR_EraseRootFromParent_Done,
     /* 1151572 */   // Label 16836: @1151572
     /* 1151572 */   GIM_Try, /*On fail goto*//*Label 16837*/ GIMT_Encode4(1151652), // Rule ID 15393 //
     /* 1151577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1151588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1151591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1151594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151616 */     // MIs[0] round
     /* 1151616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151626 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11160:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1151629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1151647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151651 */     // GIR_Coverage, 15393,
     /* 1151651 */     GIR_EraseRootFromParent_Done,
     /* 1151652 */   // Label 16837: @1151652
     /* 1151652 */   GIM_Try, /*On fail goto*//*Label 16838*/ GIMT_Encode4(1151732), // Rule ID 15396 //
     /* 1151657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1151668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1151671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1151674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151696 */     // MIs[0] round
     /* 1151696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1151709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151731 */     // GIR_Coverage, 15396,
     /* 1151731 */     GIR_EraseRootFromParent_Done,
     /* 1151732 */   // Label 16838: @1151732
     /* 1151732 */   GIM_Try, /*On fail goto*//*Label 16839*/ GIMT_Encode4(1151812), // Rule ID 15397 //
     /* 1151737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1151748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1151751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1151754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151776 */     // MIs[0] round
     /* 1151776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11160:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1151789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1151807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151811 */     // GIR_Coverage, 15397,
     /* 1151811 */     GIR_EraseRootFromParent_Done,
     /* 1151812 */   // Label 16839: @1151812
     /* 1151812 */   GIM_Try, /*On fail goto*//*Label 16840*/ GIMT_Encode4(1151892), // Rule ID 15400 //
     /* 1151817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1151820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1151828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1151831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1151834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1151840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151856 */     // MIs[0] round
     /* 1151856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151866 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1151866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1151869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151891 */     // GIR_Coverage, 15400,
     /* 1151891 */     GIR_EraseRootFromParent_Done,
     /* 1151892 */   // Label 16840: @1151892
     /* 1151892 */   GIM_Try, /*On fail goto*//*Label 16841*/ GIMT_Encode4(1151972), // Rule ID 15401 //
     /* 1151897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1151900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1151908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1151911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1151914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1151917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1151920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1151932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1151936 */     // MIs[0] round
     /* 1151936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1151939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1151946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11160:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1151946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1151949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1151951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1151953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1151955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1151957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1151959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1151964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1151967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1151970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1151971 */     // GIR_Coverage, 15401,
     /* 1151971 */     GIR_EraseRootFromParent_Done,
     /* 1151972 */   // Label 16841: @1151972
     /* 1151972 */   GIM_Try, /*On fail goto*//*Label 16842*/ GIMT_Encode4(1152052), // Rule ID 15404 //
     /* 1151977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1151980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1151985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1151988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1151991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1151994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1151997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152016 */     // MIs[0] round
     /* 1152016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1152029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152051 */     // GIR_Coverage, 15404,
     /* 1152051 */     GIR_EraseRootFromParent_Done,
     /* 1152052 */   // Label 16842: @1152052
     /* 1152052 */   GIM_Try, /*On fail goto*//*Label 16843*/ GIMT_Encode4(1152132), // Rule ID 15405 //
     /* 1152057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1152060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1152068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1152071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1152074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1152092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152096 */     // MIs[0] round
     /* 1152096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152106 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11160:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1),
     /* 1152109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1152127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152131 */     // GIR_Coverage, 15405,
     /* 1152131 */     GIR_EraseRootFromParent_Done,
     /* 1152132 */   // Label 16843: @1152132
     /* 1152132 */   GIM_Try, /*On fail goto*//*Label 16844*/ GIMT_Encode4(1152212), // Rule ID 15408 //
     /* 1152137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1152148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1152151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1152154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152176 */     // MIs[0] round
     /* 1152176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152186 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1152189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152211 */     // GIR_Coverage, 15408,
     /* 1152211 */     GIR_EraseRootFromParent_Done,
     /* 1152212 */   // Label 16844: @1152212
     /* 1152212 */   GIM_Try, /*On fail goto*//*Label 16845*/ GIMT_Encode4(1152292), // Rule ID 15409 //
     /* 1152217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1152228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1152231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1152234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152256 */     // MIs[0] round
     /* 1152256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152266 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1152269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152291 */     // GIR_Coverage, 15409,
     /* 1152291 */     GIR_EraseRootFromParent_Done,
     /* 1152292 */   // Label 16845: @1152292
     /* 1152292 */   GIM_Try, /*On fail goto*//*Label 16846*/ GIMT_Encode4(1152372), // Rule ID 15412 //
     /* 1152297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1152308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1152311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1152314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152336 */     // MIs[0] round
     /* 1152336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152346 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1152349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152371 */     // GIR_Coverage, 15412,
     /* 1152371 */     GIR_EraseRootFromParent_Done,
     /* 1152372 */   // Label 16846: @1152372
     /* 1152372 */   GIM_Try, /*On fail goto*//*Label 16847*/ GIMT_Encode4(1152452), // Rule ID 15413 //
     /* 1152377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1152388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1152391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1152394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152416 */     // MIs[0] round
     /* 1152416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152426 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1152429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152451 */     // GIR_Coverage, 15413,
     /* 1152451 */     GIR_EraseRootFromParent_Done,
     /* 1152452 */   // Label 16847: @1152452
     /* 1152452 */   GIM_Try, /*On fail goto*//*Label 16848*/ GIMT_Encode4(1152532), // Rule ID 15416 //
     /* 1152457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1152468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1152471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1152474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152496 */     // MIs[0] round
     /* 1152496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152506 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1152509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152531 */     // GIR_Coverage, 15416,
     /* 1152531 */     GIR_EraseRootFromParent_Done,
     /* 1152532 */   // Label 16848: @1152532
     /* 1152532 */   GIM_Try, /*On fail goto*//*Label 16849*/ GIMT_Encode4(1152612), // Rule ID 15417 //
     /* 1152537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1152548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1152551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1152554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152576 */     // MIs[0] round
     /* 1152576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152586 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1152589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1152607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152611 */     // GIR_Coverage, 15417,
     /* 1152611 */     GIR_EraseRootFromParent_Done,
     /* 1152612 */   // Label 16849: @1152612
     /* 1152612 */   GIM_Try, /*On fail goto*//*Label 16850*/ GIMT_Encode4(1152692), // Rule ID 15420 //
     /* 1152617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1152628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1152631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1152634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152656 */     // MIs[0] round
     /* 1152656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1152669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152691 */     // GIR_Coverage, 15420,
     /* 1152691 */     GIR_EraseRootFromParent_Done,
     /* 1152692 */   // Label 16850: @1152692
     /* 1152692 */   GIM_Try, /*On fail goto*//*Label 16851*/ GIMT_Encode4(1152772), // Rule ID 15421 //
     /* 1152697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1152708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1152711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1152714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1152732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152736 */     // MIs[0] round
     /* 1152736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152746 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1152749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152771 */     // GIR_Coverage, 15421,
     /* 1152771 */     GIR_EraseRootFromParent_Done,
     /* 1152772 */   // Label 16851: @1152772
     /* 1152772 */   GIM_Try, /*On fail goto*//*Label 16852*/ GIMT_Encode4(1152852), // Rule ID 15424 //
     /* 1152777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1152788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1152791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1152794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152816 */     // MIs[0] round
     /* 1152816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1152829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152851 */     // GIR_Coverage, 15424,
     /* 1152851 */     GIR_EraseRootFromParent_Done,
     /* 1152852 */   // Label 16852: @1152852
     /* 1152852 */   GIM_Try, /*On fail goto*//*Label 16853*/ GIMT_Encode4(1152932), // Rule ID 15425 //
     /* 1152857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1152860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1152868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1152871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1152874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1152877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1152880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1152892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152896 */     // MIs[0] round
     /* 1152896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152906 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1152906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1152909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1152924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1152927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1152930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1152931 */     // GIR_Coverage, 15425,
     /* 1152931 */     GIR_EraseRootFromParent_Done,
     /* 1152932 */   // Label 16853: @1152932
     /* 1152932 */   GIM_Try, /*On fail goto*//*Label 16854*/ GIMT_Encode4(1153012), // Rule ID 15428 //
     /* 1152937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1152940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1152945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1152948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1152951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1152954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1152957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1152960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1152972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1152976 */     // MIs[0] round
     /* 1152976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1152979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1152986 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1152986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1152989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1152991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1152993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1152995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1152997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1152999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153011 */     // GIR_Coverage, 15428,
     /* 1153011 */     GIR_EraseRootFromParent_Done,
     /* 1153012 */   // Label 16854: @1153012
     /* 1153012 */   GIM_Try, /*On fail goto*//*Label 16855*/ GIMT_Encode4(1153092), // Rule ID 15429 //
     /* 1153017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1153028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1153031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1153034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153056 */     // MIs[0] round
     /* 1153056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153066 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1153069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1153087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153091 */     // GIR_Coverage, 15429,
     /* 1153091 */     GIR_EraseRootFromParent_Done,
     /* 1153092 */   // Label 16855: @1153092
     /* 1153092 */   GIM_Try, /*On fail goto*//*Label 16856*/ GIMT_Encode4(1153172), // Rule ID 15432 //
     /* 1153097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1153108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1153111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1153114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153136 */     // MIs[0] round
     /* 1153136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153146 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1153149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153171 */     // GIR_Coverage, 15432,
     /* 1153171 */     GIR_EraseRootFromParent_Done,
     /* 1153172 */   // Label 16856: @1153172
     /* 1153172 */   GIM_Try, /*On fail goto*//*Label 16857*/ GIMT_Encode4(1153252), // Rule ID 15433 //
     /* 1153177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1153188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1153191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1153194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153216 */     // MIs[0] round
     /* 1153216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153226 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1153229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153251 */     // GIR_Coverage, 15433,
     /* 1153251 */     GIR_EraseRootFromParent_Done,
     /* 1153252 */   // Label 16857: @1153252
     /* 1153252 */   GIM_Try, /*On fail goto*//*Label 16858*/ GIMT_Encode4(1153332), // Rule ID 15436 //
     /* 1153257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1153268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1153271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1153274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153296 */     // MIs[0] round
     /* 1153296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153306 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1153309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153331 */     // GIR_Coverage, 15436,
     /* 1153331 */     GIR_EraseRootFromParent_Done,
     /* 1153332 */   // Label 16858: @1153332
     /* 1153332 */   GIM_Try, /*On fail goto*//*Label 16859*/ GIMT_Encode4(1153412), // Rule ID 15437 //
     /* 1153337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1153348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1153351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1153354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153376 */     // MIs[0] round
     /* 1153376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153386 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1153389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153411 */     // GIR_Coverage, 15437,
     /* 1153411 */     GIR_EraseRootFromParent_Done,
     /* 1153412 */   // Label 16859: @1153412
     /* 1153412 */   GIM_Try, /*On fail goto*//*Label 16860*/ GIMT_Encode4(1153492), // Rule ID 15440 //
     /* 1153417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1153420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1153428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1153431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1153434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153456 */     // MIs[0] round
     /* 1153456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153466 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1153469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153491 */     // GIR_Coverage, 15440,
     /* 1153491 */     GIR_EraseRootFromParent_Done,
     /* 1153492 */   // Label 16860: @1153492
     /* 1153492 */   GIM_Try, /*On fail goto*//*Label 16861*/ GIMT_Encode4(1153572), // Rule ID 15441 //
     /* 1153497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1153500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1153508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1153511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1153514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153536 */     // MIs[0] round
     /* 1153536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1153549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1153567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153571 */     // GIR_Coverage, 15441,
     /* 1153571 */     GIR_EraseRootFromParent_Done,
     /* 1153572 */   // Label 16861: @1153572
     /* 1153572 */   GIM_Try, /*On fail goto*//*Label 16862*/ GIMT_Encode4(1153652), // Rule ID 15444 //
     /* 1153577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1153580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1153588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1153591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1153594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153616 */     // MIs[0] round
     /* 1153616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153626 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1153629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153651 */     // GIR_Coverage, 15444,
     /* 1153651 */     GIR_EraseRootFromParent_Done,
     /* 1153652 */   // Label 16862: @1153652
     /* 1153652 */   GIM_Try, /*On fail goto*//*Label 16863*/ GIMT_Encode4(1153732), // Rule ID 15445 //
     /* 1153657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1153660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1153668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1153671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1153674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1153692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153696 */     // MIs[0] round
     /* 1153696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153706 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11160:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2),
     /* 1153709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153731 */     // GIR_Coverage, 15445,
     /* 1153731 */     GIR_EraseRootFromParent_Done,
     /* 1153732 */   // Label 16863: @1153732
     /* 1153732 */   GIM_Try, /*On fail goto*//*Label 16864*/ GIMT_Encode4(1153812), // Rule ID 15448 //
     /* 1153737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1153740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1153748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1153751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1153754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153776 */     // MIs[0] round
     /* 1153776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153786 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1153789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153811 */     // GIR_Coverage, 15448,
     /* 1153811 */     GIR_EraseRootFromParent_Done,
     /* 1153812 */   // Label 16864: @1153812
     /* 1153812 */   GIM_Try, /*On fail goto*//*Label 16865*/ GIMT_Encode4(1153892), // Rule ID 15449 //
     /* 1153817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1153820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1153828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1153831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1153834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1153840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1153852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153856 */     // MIs[0] round
     /* 1153856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153866 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11160:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1153866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4),
     /* 1153869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153891 */     // GIR_Coverage, 15449,
     /* 1153891 */     GIR_EraseRootFromParent_Done,
     /* 1153892 */   // Label 16865: @1153892
     /* 1153892 */   GIM_Try, /*On fail goto*//*Label 16866*/ GIMT_Encode4(1153972), // Rule ID 15452 //
     /* 1153897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1153900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1153908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1153911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1153914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1153917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1153920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1153932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1153936 */     // MIs[0] round
     /* 1153936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1153939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1153946 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1153946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1153949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1153951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1153953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1153955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1153957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1153959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1153964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1153967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1153970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1153971 */     // GIR_Coverage, 15452,
     /* 1153971 */     GIR_EraseRootFromParent_Done,
     /* 1153972 */   // Label 16866: @1153972
     /* 1153972 */   GIM_Try, /*On fail goto*//*Label 16867*/ GIMT_Encode4(1154052), // Rule ID 15453 //
     /* 1153977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1153980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub),
     /* 1153985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1153988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1153991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1153994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1153997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1154012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1154016 */     // MIs[0] round
     /* 1154016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11160:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVASUB_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8),
     /* 1154029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1154047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154051 */     // GIR_Coverage, 15453,
     /* 1154051 */     GIR_EraseRootFromParent_Done,
     /* 1154052 */   // Label 16867: @1154052
     /* 1154052 */   GIM_Try, /*On fail goto*//*Label 16868*/ GIMT_Encode4(1154132), // Rule ID 15456 //
     /* 1154057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1154068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1154071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1154074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1154077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154096 */     // MIs[0] round
     /* 1154096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154106 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1154109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154131 */     // GIR_Coverage, 15456,
     /* 1154131 */     GIR_EraseRootFromParent_Done,
     /* 1154132 */   // Label 16868: @1154132
     /* 1154132 */   GIM_Try, /*On fail goto*//*Label 16869*/ GIMT_Encode4(1154212), // Rule ID 15457 //
     /* 1154137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1154148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1154151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1154154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1154157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154176 */     // MIs[0] round
     /* 1154176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154186 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8),
     /* 1154189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154211 */     // GIR_Coverage, 15457,
     /* 1154211 */     GIR_EraseRootFromParent_Done,
     /* 1154212 */   // Label 16869: @1154212
     /* 1154212 */   GIM_Try, /*On fail goto*//*Label 16870*/ GIMT_Encode4(1154292), // Rule ID 15460 //
     /* 1154217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1154228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1154231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1154234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1154237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154256 */     // MIs[0] round
     /* 1154256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1154269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154291 */     // GIR_Coverage, 15460,
     /* 1154291 */     GIR_EraseRootFromParent_Done,
     /* 1154292 */   // Label 16870: @1154292
     /* 1154292 */   GIM_Try, /*On fail goto*//*Label 16871*/ GIMT_Encode4(1154372), // Rule ID 15461 //
     /* 1154297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1154308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1154311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1154314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1154317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154336 */     // MIs[0] round
     /* 1154336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1154349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154371 */     // GIR_Coverage, 15461,
     /* 1154371 */     GIR_EraseRootFromParent_Done,
     /* 1154372 */   // Label 16871: @1154372
     /* 1154372 */   GIM_Try, /*On fail goto*//*Label 16872*/ GIMT_Encode4(1154452), // Rule ID 15464 //
     /* 1154377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1154388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1154391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1154394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1154397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154416 */     // MIs[0] round
     /* 1154416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1154429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154451 */     // GIR_Coverage, 15464,
     /* 1154451 */     GIR_EraseRootFromParent_Done,
     /* 1154452 */   // Label 16872: @1154452
     /* 1154452 */   GIM_Try, /*On fail goto*//*Label 16873*/ GIMT_Encode4(1154532), // Rule ID 15465 //
     /* 1154457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1154468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1154471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1154474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1154477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154496 */     // MIs[0] round
     /* 1154496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154506 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1154509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1154527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154531 */     // GIR_Coverage, 15465,
     /* 1154531 */     GIR_EraseRootFromParent_Done,
     /* 1154532 */   // Label 16873: @1154532
     /* 1154532 */   GIM_Try, /*On fail goto*//*Label 16874*/ GIMT_Encode4(1154612), // Rule ID 15468 //
     /* 1154537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1154548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1154551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1154554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1154557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154576 */     // MIs[0] round
     /* 1154576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1154589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154611 */     // GIR_Coverage, 15468,
     /* 1154611 */     GIR_EraseRootFromParent_Done,
     /* 1154612 */   // Label 16874: @1154612
     /* 1154612 */   GIM_Try, /*On fail goto*//*Label 16875*/ GIMT_Encode4(1154692), // Rule ID 15469 //
     /* 1154617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1154628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1154631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1154634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1154637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154656 */     // MIs[0] round
     /* 1154656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4),
     /* 1154669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154691 */     // GIR_Coverage, 15469,
     /* 1154691 */     GIR_EraseRootFromParent_Done,
     /* 1154692 */   // Label 16875: @1154692
     /* 1154692 */   GIM_Try, /*On fail goto*//*Label 16876*/ GIMT_Encode4(1154772), // Rule ID 15472 //
     /* 1154697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1154708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1154711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1154714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1154717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154736 */     // MIs[0] round
     /* 1154736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154746 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1154749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154771 */     // GIR_Coverage, 15472,
     /* 1154771 */     GIR_EraseRootFromParent_Done,
     /* 1154772 */   // Label 16876: @1154772
     /* 1154772 */   GIM_Try, /*On fail goto*//*Label 16877*/ GIMT_Encode4(1154852), // Rule ID 15473 //
     /* 1154777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1154788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1154791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1154794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1154797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154816 */     // MIs[0] round
     /* 1154816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1154829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1154847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154851 */     // GIR_Coverage, 15473,
     /* 1154851 */     GIR_EraseRootFromParent_Done,
     /* 1154852 */   // Label 16877: @1154852
     /* 1154852 */   GIM_Try, /*On fail goto*//*Label 16878*/ GIMT_Encode4(1154932), // Rule ID 15476 //
     /* 1154857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1154860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1154868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1154871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1154874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1154877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1154880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154896 */     // MIs[0] round
     /* 1154896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1154906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1154909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1154924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1154927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1154930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1154931 */     // GIR_Coverage, 15476,
     /* 1154931 */     GIR_EraseRootFromParent_Done,
     /* 1154932 */   // Label 16878: @1154932
     /* 1154932 */   GIM_Try, /*On fail goto*//*Label 16879*/ GIMT_Encode4(1155012), // Rule ID 15477 //
     /* 1154937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1154940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1154945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1154948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1154951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1154954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1154957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1154960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1154976 */     // MIs[0] round
     /* 1154976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1154979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1154986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1154986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2),
     /* 1154989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1154991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1154993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1154995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1154997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1154999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155011 */     // GIR_Coverage, 15477,
     /* 1155011 */     GIR_EraseRootFromParent_Done,
     /* 1155012 */   // Label 16879: @1155012
     /* 1155012 */   GIM_Try, /*On fail goto*//*Label 16880*/ GIMT_Encode4(1155092), // Rule ID 15480 //
     /* 1155017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1155028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1155031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1155034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1155037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155056 */     // MIs[0] round
     /* 1155056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1155069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155091 */     // GIR_Coverage, 15480,
     /* 1155091 */     GIR_EraseRootFromParent_Done,
     /* 1155092 */   // Label 16880: @1155092
     /* 1155092 */   GIM_Try, /*On fail goto*//*Label 16881*/ GIMT_Encode4(1155172), // Rule ID 15481 //
     /* 1155097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1155108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1155111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1155114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1155117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155136 */     // MIs[0] round
     /* 1155136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155146 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1155149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155171 */     // GIR_Coverage, 15481,
     /* 1155171 */     GIR_EraseRootFromParent_Done,
     /* 1155172 */   // Label 16881: @1155172
     /* 1155172 */   GIM_Try, /*On fail goto*//*Label 16882*/ GIMT_Encode4(1155252), // Rule ID 15484 //
     /* 1155177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1155194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1155197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155216 */     // MIs[0] round
     /* 1155216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155226 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1155229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155251 */     // GIR_Coverage, 15484,
     /* 1155251 */     GIR_EraseRootFromParent_Done,
     /* 1155252 */   // Label 16882: @1155252
     /* 1155252 */   GIM_Try, /*On fail goto*//*Label 16883*/ GIMT_Encode4(1155332), // Rule ID 15485 //
     /* 1155257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1155268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1155271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1155274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1155277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155296 */     // MIs[0] round
     /* 1155296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155306 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1155309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1155327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155331 */     // GIR_Coverage, 15485,
     /* 1155331 */     GIR_EraseRootFromParent_Done,
     /* 1155332 */   // Label 16883: @1155332
     /* 1155332 */   GIM_Try, /*On fail goto*//*Label 16884*/ GIMT_Encode4(1155412), // Rule ID 15488 //
     /* 1155337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1155348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1155351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1155354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1155357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155376 */     // MIs[0] round
     /* 1155376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1155389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155411 */     // GIR_Coverage, 15488,
     /* 1155411 */     GIR_EraseRootFromParent_Done,
     /* 1155412 */   // Label 16884: @1155412
     /* 1155412 */   GIM_Try, /*On fail goto*//*Label 16885*/ GIMT_Encode4(1155492), // Rule ID 15489 //
     /* 1155417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1155428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1155431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1155434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1155437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155456 */     // MIs[0] round
     /* 1155456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1155469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1155487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155491 */     // GIR_Coverage, 15489,
     /* 1155491 */     GIR_EraseRootFromParent_Done,
     /* 1155492 */   // Label 16885: @1155492
     /* 1155492 */   GIM_Try, /*On fail goto*//*Label 16886*/ GIMT_Encode4(1155572), // Rule ID 15492 //
     /* 1155497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1155500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1155508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1155511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1155514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1155517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155536 */     // MIs[0] round
     /* 1155536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1155549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1155567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155571 */     // GIR_Coverage, 15492,
     /* 1155571 */     GIR_EraseRootFromParent_Done,
     /* 1155572 */   // Label 16886: @1155572
     /* 1155572 */   GIM_Try, /*On fail goto*//*Label 16887*/ GIMT_Encode4(1155652), // Rule ID 15493 //
     /* 1155577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1155580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1155588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1155591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1155594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1155597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1155616 */     // MIs[0] round
     /* 1155616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155626 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1),
     /* 1155629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1155647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155651 */     // GIR_Coverage, 15493,
     /* 1155651 */     GIR_EraseRootFromParent_Done,
     /* 1155652 */   // Label 16887: @1155652
     /* 1155652 */   GIM_Try, /*On fail goto*//*Label 16888*/ GIMT_Encode4(1155732), // Rule ID 15496 //
     /* 1155657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1155668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1155671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1155674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1155677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155696 */     // MIs[0] round
     /* 1155696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155706 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1155709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155731 */     // GIR_Coverage, 15496,
     /* 1155731 */     GIR_EraseRootFromParent_Done,
     /* 1155732 */   // Label 16888: @1155732
     /* 1155732 */   GIM_Try, /*On fail goto*//*Label 16889*/ GIMT_Encode4(1155812), // Rule ID 15497 //
     /* 1155737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1155748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1155751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1155754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1155757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1155776 */     // MIs[0] round
     /* 1155776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155786 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1155789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155811 */     // GIR_Coverage, 15497,
     /* 1155811 */     GIR_EraseRootFromParent_Done,
     /* 1155812 */   // Label 16889: @1155812
     /* 1155812 */   GIM_Try, /*On fail goto*//*Label 16890*/ GIMT_Encode4(1155892), // Rule ID 15500 //
     /* 1155817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1155828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1155831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1155834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1155837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1155840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155856 */     // MIs[0] round
     /* 1155856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155866 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1155866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1155869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155891 */     // GIR_Coverage, 15500,
     /* 1155891 */     GIR_EraseRootFromParent_Done,
     /* 1155892 */   // Label 16890: @1155892
     /* 1155892 */   GIM_Try, /*On fail goto*//*Label 16891*/ GIMT_Encode4(1155972), // Rule ID 15501 //
     /* 1155897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1155900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1155908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1155911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1155914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1155917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1155920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1155936 */     // MIs[0] round
     /* 1155936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1155939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1155946 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1155946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1155949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1155951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1155953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1155955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1155957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1155959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1155964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1155967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1155970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1155971 */     // GIR_Coverage, 15501,
     /* 1155971 */     GIR_EraseRootFromParent_Done,
     /* 1155972 */   // Label 16891: @1155972
     /* 1155972 */   GIM_Try, /*On fail goto*//*Label 16892*/ GIMT_Encode4(1156052), // Rule ID 15504 //
     /* 1155977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1155980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1155985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1155988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1155991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1155994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1155997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156016 */     // MIs[0] round
     /* 1156016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156026 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1156029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156051 */     // GIR_Coverage, 15504,
     /* 1156051 */     GIR_EraseRootFromParent_Done,
     /* 1156052 */   // Label 16892: @1156052
     /* 1156052 */   GIM_Try, /*On fail goto*//*Label 16893*/ GIMT_Encode4(1156132), // Rule ID 15505 //
     /* 1156057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1156068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1156071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1156074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1156077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156096 */     // MIs[0] round
     /* 1156096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156106 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1156109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1156127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156131 */     // GIR_Coverage, 15505,
     /* 1156131 */     GIR_EraseRootFromParent_Done,
     /* 1156132 */   // Label 16893: @1156132
     /* 1156132 */   GIM_Try, /*On fail goto*//*Label 16894*/ GIMT_Encode4(1156212), // Rule ID 15508 //
     /* 1156137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1156148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1156151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1156154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1156157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156176 */     // MIs[0] round
     /* 1156176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156186 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1156189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156211 */     // GIR_Coverage, 15508,
     /* 1156211 */     GIR_EraseRootFromParent_Done,
     /* 1156212 */   // Label 16894: @1156212
     /* 1156212 */   GIM_Try, /*On fail goto*//*Label 16895*/ GIMT_Encode4(1156292), // Rule ID 15509 //
     /* 1156217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1156228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1156231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1156234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1156237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156256 */     // MIs[0] round
     /* 1156256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156266 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1156269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156291 */     // GIR_Coverage, 15509,
     /* 1156291 */     GIR_EraseRootFromParent_Done,
     /* 1156292 */   // Label 16895: @1156292
     /* 1156292 */   GIM_Try, /*On fail goto*//*Label 16896*/ GIMT_Encode4(1156372), // Rule ID 15512 //
     /* 1156297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1156308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1156311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1156314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1156317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156336 */     // MIs[0] round
     /* 1156336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156346 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1156349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156371 */     // GIR_Coverage, 15512,
     /* 1156371 */     GIR_EraseRootFromParent_Done,
     /* 1156372 */   // Label 16896: @1156372
     /* 1156372 */   GIM_Try, /*On fail goto*//*Label 16897*/ GIMT_Encode4(1156452), // Rule ID 15513 //
     /* 1156377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1156388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1156391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1156394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1156397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156416 */     // MIs[0] round
     /* 1156416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156426 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1156429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156451 */     // GIR_Coverage, 15513,
     /* 1156451 */     GIR_EraseRootFromParent_Done,
     /* 1156452 */   // Label 16897: @1156452
     /* 1156452 */   GIM_Try, /*On fail goto*//*Label 16898*/ GIMT_Encode4(1156532), // Rule ID 15516 //
     /* 1156457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1156468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1156471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1156474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1156477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156496 */     // MIs[0] round
     /* 1156496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156506 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1156509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156531 */     // GIR_Coverage, 15516,
     /* 1156531 */     GIR_EraseRootFromParent_Done,
     /* 1156532 */   // Label 16898: @1156532
     /* 1156532 */   GIM_Try, /*On fail goto*//*Label 16899*/ GIMT_Encode4(1156612), // Rule ID 15517 //
     /* 1156537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1156548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1156551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1156554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1156557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156576 */     // MIs[0] round
     /* 1156576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1156589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1156607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156611 */     // GIR_Coverage, 15517,
     /* 1156611 */     GIR_EraseRootFromParent_Done,
     /* 1156612 */   // Label 16899: @1156612
     /* 1156612 */   GIM_Try, /*On fail goto*//*Label 16900*/ GIMT_Encode4(1156692), // Rule ID 15520 //
     /* 1156617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1156628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1156631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1156634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1156637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156656 */     // MIs[0] round
     /* 1156656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156666 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1156669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156691 */     // GIR_Coverage, 15520,
     /* 1156691 */     GIR_EraseRootFromParent_Done,
     /* 1156692 */   // Label 16900: @1156692
     /* 1156692 */   GIM_Try, /*On fail goto*//*Label 16901*/ GIMT_Encode4(1156772), // Rule ID 15521 //
     /* 1156697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1156708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1156711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1156714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1156717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1156736 */     // MIs[0] round
     /* 1156736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156746 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1156749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156771 */     // GIR_Coverage, 15521,
     /* 1156771 */     GIR_EraseRootFromParent_Done,
     /* 1156772 */   // Label 16901: @1156772
     /* 1156772 */   GIM_Try, /*On fail goto*//*Label 16902*/ GIMT_Encode4(1156852), // Rule ID 15524 //
     /* 1156777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1156788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1156791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1156794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1156797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156816 */     // MIs[0] round
     /* 1156816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156826 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1156829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156851 */     // GIR_Coverage, 15524,
     /* 1156851 */     GIR_EraseRootFromParent_Done,
     /* 1156852 */   // Label 16902: @1156852
     /* 1156852 */   GIM_Try, /*On fail goto*//*Label 16903*/ GIMT_Encode4(1156932), // Rule ID 15525 //
     /* 1156857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1156860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1156868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1156871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1156874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1156877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1156880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1156896 */     // MIs[0] round
     /* 1156896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156906 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1156906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1156909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1156924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1156927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1156930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1156931 */     // GIR_Coverage, 15525,
     /* 1156931 */     GIR_EraseRootFromParent_Done,
     /* 1156932 */   // Label 16903: @1156932
     /* 1156932 */   GIM_Try, /*On fail goto*//*Label 16904*/ GIMT_Encode4(1157012), // Rule ID 15528 //
     /* 1156937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1156940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1156945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1156948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1156951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1156954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1156957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1156960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1156976 */     // MIs[0] round
     /* 1156976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1156979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1156986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1156986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1156989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1156991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1156993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1156995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1156997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1156999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157011 */     // GIR_Coverage, 15528,
     /* 1157011 */     GIR_EraseRootFromParent_Done,
     /* 1157012 */   // Label 16904: @1157012
     /* 1157012 */   GIM_Try, /*On fail goto*//*Label 16905*/ GIMT_Encode4(1157092), // Rule ID 15529 //
     /* 1157017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1157028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1157031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1157034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1157037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157056 */     // MIs[0] round
     /* 1157056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157066 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1157069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1157087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157091 */     // GIR_Coverage, 15529,
     /* 1157091 */     GIR_EraseRootFromParent_Done,
     /* 1157092 */   // Label 16905: @1157092
     /* 1157092 */   GIM_Try, /*On fail goto*//*Label 16906*/ GIMT_Encode4(1157172), // Rule ID 15532 //
     /* 1157097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1157100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1157108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1157111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1157114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1157117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157136 */     // MIs[0] round
     /* 1157136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1157149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157171 */     // GIR_Coverage, 15532,
     /* 1157171 */     GIR_EraseRootFromParent_Done,
     /* 1157172 */   // Label 16906: @1157172
     /* 1157172 */   GIM_Try, /*On fail goto*//*Label 16907*/ GIMT_Encode4(1157252), // Rule ID 15533 //
     /* 1157177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1157180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1157188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1157191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1157194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1157197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1157216 */     // MIs[0] round
     /* 1157216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157226 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2),
     /* 1157229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157251 */     // GIR_Coverage, 15533,
     /* 1157251 */     GIR_EraseRootFromParent_Done,
     /* 1157252 */   // Label 16907: @1157252
     /* 1157252 */   GIM_Try, /*On fail goto*//*Label 16908*/ GIMT_Encode4(1157332), // Rule ID 15536 //
     /* 1157257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1157260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1157268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1157271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1157274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1157277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157296 */     // MIs[0] round
     /* 1157296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1157309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157331 */     // GIR_Coverage, 15536,
     /* 1157331 */     GIR_EraseRootFromParent_Done,
     /* 1157332 */   // Label 16908: @1157332
     /* 1157332 */   GIM_Try, /*On fail goto*//*Label 16909*/ GIMT_Encode4(1157412), // Rule ID 15537 //
     /* 1157337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1157340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1157348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1157351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1157354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1157357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1157376 */     // MIs[0] round
     /* 1157376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157386 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4),
     /* 1157389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157411 */     // GIR_Coverage, 15537,
     /* 1157411 */     GIR_EraseRootFromParent_Done,
     /* 1157412 */   // Label 16909: @1157412
     /* 1157412 */   GIM_Try, /*On fail goto*//*Label 16910*/ GIMT_Encode4(1157492), // Rule ID 15540 //
     /* 1157417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1157420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1157428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1157431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1157434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1157437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157456 */     // MIs[0] round
     /* 1157456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1157469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157491 */     // GIR_Coverage, 15540,
     /* 1157491 */     GIR_EraseRootFromParent_Done,
     /* 1157492 */   // Label 16910: @1157492
     /* 1157492 */   GIM_Try, /*On fail goto*//*Label 16911*/ GIMT_Encode4(1157572), // Rule ID 15541 //
     /* 1157497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1157500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1157508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1157511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1157514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1157517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1157536 */     // MIs[0] round
     /* 1157536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8),
     /* 1157549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1157567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157571 */     // GIR_Coverage, 15541,
     /* 1157571 */     GIR_EraseRootFromParent_Done,
     /* 1157572 */   // Label 16911: @1157572
     /* 1157572 */   GIM_Try, /*On fail goto*//*Label 16912*/ GIMT_Encode4(1157652), // Rule ID 15544 //
     /* 1157577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1157588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1157591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1157594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157616 */     // MIs[0] round
     /* 1157616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157626 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1157629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157651 */     // GIR_Coverage, 15544,
     /* 1157651 */     GIR_EraseRootFromParent_Done,
     /* 1157652 */   // Label 16912: @1157652
     /* 1157652 */   GIM_Try, /*On fail goto*//*Label 16913*/ GIMT_Encode4(1157732), // Rule ID 15545 //
     /* 1157657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1157668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1157671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1157674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157696 */     // MIs[0] round
     /* 1157696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157706 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8),
     /* 1157709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157731 */     // GIR_Coverage, 15545,
     /* 1157731 */     GIR_EraseRootFromParent_Done,
     /* 1157732 */   // Label 16913: @1157732
     /* 1157732 */   GIM_Try, /*On fail goto*//*Label 16914*/ GIMT_Encode4(1157812), // Rule ID 15548 //
     /* 1157737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1157748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1157751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1157754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157776 */     // MIs[0] round
     /* 1157776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1157789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157811 */     // GIR_Coverage, 15548,
     /* 1157811 */     GIR_EraseRootFromParent_Done,
     /* 1157812 */   // Label 16914: @1157812
     /* 1157812 */   GIM_Try, /*On fail goto*//*Label 16915*/ GIMT_Encode4(1157892), // Rule ID 15549 //
     /* 1157817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1157828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1157831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1157834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1157840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157856 */     // MIs[0] round
     /* 1157856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157866 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1157866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1157869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157891 */     // GIR_Coverage, 15549,
     /* 1157891 */     GIR_EraseRootFromParent_Done,
     /* 1157892 */   // Label 16915: @1157892
     /* 1157892 */   GIM_Try, /*On fail goto*//*Label 16916*/ GIMT_Encode4(1157972), // Rule ID 15552 //
     /* 1157897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1157900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1157908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1157911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1157914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1157917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1157920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1157932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1157936 */     // MIs[0] round
     /* 1157936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1157939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1157946 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1157946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1157949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1157951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1157953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1157955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1157957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1157959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1157964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1157967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1157970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1157971 */     // GIR_Coverage, 15552,
     /* 1157971 */     GIR_EraseRootFromParent_Done,
     /* 1157972 */   // Label 16916: @1157972
     /* 1157972 */   GIM_Try, /*On fail goto*//*Label 16917*/ GIMT_Encode4(1158052), // Rule ID 15553 //
     /* 1157977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1157980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1157985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1157988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1157991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1157994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1157997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158016 */     // MIs[0] round
     /* 1158016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158026 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1158029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158051 */     // GIR_Coverage, 15553,
     /* 1158051 */     GIR_EraseRootFromParent_Done,
     /* 1158052 */   // Label 16917: @1158052
     /* 1158052 */   GIM_Try, /*On fail goto*//*Label 16918*/ GIMT_Encode4(1158132), // Rule ID 15556 //
     /* 1158057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1158068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1158071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1158074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158096 */     // MIs[0] round
     /* 1158096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1158109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158131 */     // GIR_Coverage, 15556,
     /* 1158131 */     GIR_EraseRootFromParent_Done,
     /* 1158132 */   // Label 16918: @1158132
     /* 1158132 */   GIM_Try, /*On fail goto*//*Label 16919*/ GIMT_Encode4(1158212), // Rule ID 15557 //
     /* 1158137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1158148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1158151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1158154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158176 */     // MIs[0] round
     /* 1158176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158186 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4),
     /* 1158189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158211 */     // GIR_Coverage, 15557,
     /* 1158211 */     GIR_EraseRootFromParent_Done,
     /* 1158212 */   // Label 16919: @1158212
     /* 1158212 */   GIM_Try, /*On fail goto*//*Label 16920*/ GIMT_Encode4(1158292), // Rule ID 15560 //
     /* 1158217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1158228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1158231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1158234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158256 */     // MIs[0] round
     /* 1158256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158266 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1158269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158291 */     // GIR_Coverage, 15560,
     /* 1158291 */     GIR_EraseRootFromParent_Done,
     /* 1158292 */   // Label 16920: @1158292
     /* 1158292 */   GIM_Try, /*On fail goto*//*Label 16921*/ GIMT_Encode4(1158372), // Rule ID 15561 //
     /* 1158297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1158308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1158311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1158314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158336 */     // MIs[0] round
     /* 1158336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158346 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1158349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158371 */     // GIR_Coverage, 15561,
     /* 1158371 */     GIR_EraseRootFromParent_Done,
     /* 1158372 */   // Label 16921: @1158372
     /* 1158372 */   GIM_Try, /*On fail goto*//*Label 16922*/ GIMT_Encode4(1158452), // Rule ID 15564 //
     /* 1158377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1158388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1158391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1158394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158416 */     // MIs[0] round
     /* 1158416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158426 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1158429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158451 */     // GIR_Coverage, 15564,
     /* 1158451 */     GIR_EraseRootFromParent_Done,
     /* 1158452 */   // Label 16922: @1158452
     /* 1158452 */   GIM_Try, /*On fail goto*//*Label 16923*/ GIMT_Encode4(1158532), // Rule ID 15565 //
     /* 1158457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1158468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1158471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1158474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158496 */     // MIs[0] round
     /* 1158496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158506 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2),
     /* 1158509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158531 */     // GIR_Coverage, 15565,
     /* 1158531 */     GIR_EraseRootFromParent_Done,
     /* 1158532 */   // Label 16923: @1158532
     /* 1158532 */   GIM_Try, /*On fail goto*//*Label 16924*/ GIMT_Encode4(1158612), // Rule ID 15568 //
     /* 1158537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1158548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1158551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1158554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158576 */     // MIs[0] round
     /* 1158576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1158589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158611 */     // GIR_Coverage, 15568,
     /* 1158611 */     GIR_EraseRootFromParent_Done,
     /* 1158612 */   // Label 16924: @1158612
     /* 1158612 */   GIM_Try, /*On fail goto*//*Label 16925*/ GIMT_Encode4(1158692), // Rule ID 15569 //
     /* 1158617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1158628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1158631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1158634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158656 */     // MIs[0] round
     /* 1158656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11138:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1158669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1158687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158691 */     // GIR_Coverage, 15569,
     /* 1158691 */     GIR_EraseRootFromParent_Done,
     /* 1158692 */   // Label 16925: @1158692
     /* 1158692 */   GIM_Try, /*On fail goto*//*Label 16926*/ GIMT_Encode4(1158772), // Rule ID 15572 //
     /* 1158697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1158708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1158711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1158714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158736 */     // MIs[0] round
     /* 1158736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1158749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158771 */     // GIR_Coverage, 15572,
     /* 1158771 */     GIR_EraseRootFromParent_Done,
     /* 1158772 */   // Label 16926: @1158772
     /* 1158772 */   GIM_Try, /*On fail goto*//*Label 16927*/ GIMT_Encode4(1158852), // Rule ID 15573 //
     /* 1158777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1158788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1158791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1158794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158816 */     // MIs[0] round
     /* 1158816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158826 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11138:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1158829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1158847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158851 */     // GIR_Coverage, 15573,
     /* 1158851 */     GIR_EraseRootFromParent_Done,
     /* 1158852 */   // Label 16927: @1158852
     /* 1158852 */   GIM_Try, /*On fail goto*//*Label 16928*/ GIMT_Encode4(1158932), // Rule ID 15576 //
     /* 1158857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1158860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1158874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1158877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1158880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158896 */     // MIs[0] round
     /* 1158896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1158906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1158909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1158924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1158927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1158930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1158931 */     // GIR_Coverage, 15576,
     /* 1158931 */     GIR_EraseRootFromParent_Done,
     /* 1158932 */   // Label 16928: @1158932
     /* 1158932 */   GIM_Try, /*On fail goto*//*Label 16929*/ GIMT_Encode4(1159012), // Rule ID 15577 //
     /* 1158937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1158940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1158945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1158948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1158951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1158954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1158957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1158960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1158972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1158976 */     // MIs[0] round
     /* 1158976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1158979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1158986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11138:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1158986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1158989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1158991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1158993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1158995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1158997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1158999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1159007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159011 */     // GIR_Coverage, 15577,
     /* 1159011 */     GIR_EraseRootFromParent_Done,
     /* 1159012 */   // Label 16929: @1159012
     /* 1159012 */   GIM_Try, /*On fail goto*//*Label 16930*/ GIMT_Encode4(1159092), // Rule ID 15580 //
     /* 1159017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1159020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1159028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1159031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1159034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159056 */     // MIs[0] round
     /* 1159056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159066 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1159069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159091 */     // GIR_Coverage, 15580,
     /* 1159091 */     GIR_EraseRootFromParent_Done,
     /* 1159092 */   // Label 16930: @1159092
     /* 1159092 */   GIM_Try, /*On fail goto*//*Label 16931*/ GIMT_Encode4(1159172), // Rule ID 15581 //
     /* 1159097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1159100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1159108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1159111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1159114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1159132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159136 */     // MIs[0] round
     /* 1159136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159146 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11138:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1),
     /* 1159149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1159167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159171 */     // GIR_Coverage, 15581,
     /* 1159171 */     GIR_EraseRootFromParent_Done,
     /* 1159172 */   // Label 16931: @1159172
     /* 1159172 */   GIM_Try, /*On fail goto*//*Label 16932*/ GIMT_Encode4(1159252), // Rule ID 15584 //
     /* 1159177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1159188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1159191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1159194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159216 */     // MIs[0] round
     /* 1159216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159226 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1159229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159251 */     // GIR_Coverage, 15584,
     /* 1159251 */     GIR_EraseRootFromParent_Done,
     /* 1159252 */   // Label 16932: @1159252
     /* 1159252 */   GIM_Try, /*On fail goto*//*Label 16933*/ GIMT_Encode4(1159332), // Rule ID 15585 //
     /* 1159257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1159268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1159271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1159274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159296 */     // MIs[0] round
     /* 1159296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159306 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1159309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159331 */     // GIR_Coverage, 15585,
     /* 1159331 */     GIR_EraseRootFromParent_Done,
     /* 1159332 */   // Label 16933: @1159332
     /* 1159332 */   GIM_Try, /*On fail goto*//*Label 16934*/ GIMT_Encode4(1159412), // Rule ID 15588 //
     /* 1159337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1159348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1159351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1159354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159376 */     // MIs[0] round
     /* 1159376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159386 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1159389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159411 */     // GIR_Coverage, 15588,
     /* 1159411 */     GIR_EraseRootFromParent_Done,
     /* 1159412 */   // Label 16934: @1159412
     /* 1159412 */   GIM_Try, /*On fail goto*//*Label 16935*/ GIMT_Encode4(1159492), // Rule ID 15589 //
     /* 1159417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1159428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1159431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1159434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159456 */     // MIs[0] round
     /* 1159456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159466 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1159469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159491 */     // GIR_Coverage, 15589,
     /* 1159491 */     GIR_EraseRootFromParent_Done,
     /* 1159492 */   // Label 16935: @1159492
     /* 1159492 */   GIM_Try, /*On fail goto*//*Label 16936*/ GIMT_Encode4(1159572), // Rule ID 15592 //
     /* 1159497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1159508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1159511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1159514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159536 */     // MIs[0] round
     /* 1159536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159546 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1159549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159571 */     // GIR_Coverage, 15592,
     /* 1159571 */     GIR_EraseRootFromParent_Done,
     /* 1159572 */   // Label 16936: @1159572
     /* 1159572 */   GIM_Try, /*On fail goto*//*Label 16937*/ GIMT_Encode4(1159652), // Rule ID 15593 //
     /* 1159577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1159588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1159591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1159594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1159612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159616 */     // MIs[0] round
     /* 1159616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159626 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1159629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1159647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159651 */     // GIR_Coverage, 15593,
     /* 1159651 */     GIR_EraseRootFromParent_Done,
     /* 1159652 */   // Label 16937: @1159652
     /* 1159652 */   GIM_Try, /*On fail goto*//*Label 16938*/ GIMT_Encode4(1159732), // Rule ID 15596 //
     /* 1159657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1159668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1159671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1159674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159696 */     // MIs[0] round
     /* 1159696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159706 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1159709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159731 */     // GIR_Coverage, 15596,
     /* 1159731 */     GIR_EraseRootFromParent_Done,
     /* 1159732 */   // Label 16938: @1159732
     /* 1159732 */   GIM_Try, /*On fail goto*//*Label 16939*/ GIMT_Encode4(1159812), // Rule ID 15597 //
     /* 1159737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1159748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1159751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1159754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1159772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159776 */     // MIs[0] round
     /* 1159776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159786 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1159789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159811 */     // GIR_Coverage, 15597,
     /* 1159811 */     GIR_EraseRootFromParent_Done,
     /* 1159812 */   // Label 16939: @1159812
     /* 1159812 */   GIM_Try, /*On fail goto*//*Label 16940*/ GIMT_Encode4(1159892), // Rule ID 15600 //
     /* 1159817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1159828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1159831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1159834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1159840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159856 */     // MIs[0] round
     /* 1159856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1159866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1159869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159891 */     // GIR_Coverage, 15600,
     /* 1159891 */     GIR_EraseRootFromParent_Done,
     /* 1159892 */   // Label 16940: @1159892
     /* 1159892 */   GIM_Try, /*On fail goto*//*Label 16941*/ GIMT_Encode4(1159972), // Rule ID 15601 //
     /* 1159897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1159900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1159908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1159911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1159914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1159917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1159920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1159932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1159936 */     // MIs[0] round
     /* 1159936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1159939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1159946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1159946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1159949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1159951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1159953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1159955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1159957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1159959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1159964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1159967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1159970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1159971 */     // GIR_Coverage, 15601,
     /* 1159971 */     GIR_EraseRootFromParent_Done,
     /* 1159972 */   // Label 16941: @1159972
     /* 1159972 */   GIM_Try, /*On fail goto*//*Label 16942*/ GIMT_Encode4(1160052), // Rule ID 15604 //
     /* 1159977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1159980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1159985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1159988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1159991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1159994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1159997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160016 */     // MIs[0] round
     /* 1160016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1160029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160051 */     // GIR_Coverage, 15604,
     /* 1160051 */     GIR_EraseRootFromParent_Done,
     /* 1160052 */   // Label 16942: @1160052
     /* 1160052 */   GIM_Try, /*On fail goto*//*Label 16943*/ GIMT_Encode4(1160132), // Rule ID 15605 //
     /* 1160057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1160068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1160071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1160074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160096 */     // MIs[0] round
     /* 1160096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1160109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1160127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160131 */     // GIR_Coverage, 15605,
     /* 1160131 */     GIR_EraseRootFromParent_Done,
     /* 1160132 */   // Label 16943: @1160132
     /* 1160132 */   GIM_Try, /*On fail goto*//*Label 16944*/ GIMT_Encode4(1160212), // Rule ID 15608 //
     /* 1160137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1160148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1160151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1160154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160176 */     // MIs[0] round
     /* 1160176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1160189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160211 */     // GIR_Coverage, 15608,
     /* 1160211 */     GIR_EraseRootFromParent_Done,
     /* 1160212 */   // Label 16944: @1160212
     /* 1160212 */   GIM_Try, /*On fail goto*//*Label 16945*/ GIMT_Encode4(1160292), // Rule ID 15609 //
     /* 1160217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1160228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1160231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1160234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160256 */     // MIs[0] round
     /* 1160256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1160269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160291 */     // GIR_Coverage, 15609,
     /* 1160291 */     GIR_EraseRootFromParent_Done,
     /* 1160292 */   // Label 16945: @1160292
     /* 1160292 */   GIM_Try, /*On fail goto*//*Label 16946*/ GIMT_Encode4(1160372), // Rule ID 15612 //
     /* 1160297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1160308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1160311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1160314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160336 */     // MIs[0] round
     /* 1160336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1160349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160371 */     // GIR_Coverage, 15612,
     /* 1160371 */     GIR_EraseRootFromParent_Done,
     /* 1160372 */   // Label 16946: @1160372
     /* 1160372 */   GIM_Try, /*On fail goto*//*Label 16947*/ GIMT_Encode4(1160452), // Rule ID 15613 //
     /* 1160377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1160388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1160391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1160394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160416 */     // MIs[0] round
     /* 1160416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1160429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160451 */     // GIR_Coverage, 15613,
     /* 1160451 */     GIR_EraseRootFromParent_Done,
     /* 1160452 */   // Label 16947: @1160452
     /* 1160452 */   GIM_Try, /*On fail goto*//*Label 16948*/ GIMT_Encode4(1160532), // Rule ID 15616 //
     /* 1160457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1160460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1160468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1160471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1160474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160496 */     // MIs[0] round
     /* 1160496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1160509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160531 */     // GIR_Coverage, 15616,
     /* 1160531 */     GIR_EraseRootFromParent_Done,
     /* 1160532 */   // Label 16948: @1160532
     /* 1160532 */   GIM_Try, /*On fail goto*//*Label 16949*/ GIMT_Encode4(1160612), // Rule ID 15617 //
     /* 1160537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1160540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1160548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1160551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1160554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160576 */     // MIs[0] round
     /* 1160576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160586 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1160589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1160607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160611 */     // GIR_Coverage, 15617,
     /* 1160611 */     GIR_EraseRootFromParent_Done,
     /* 1160612 */   // Label 16949: @1160612
     /* 1160612 */   GIM_Try, /*On fail goto*//*Label 16950*/ GIMT_Encode4(1160692), // Rule ID 15620 //
     /* 1160617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1160628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1160631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1160634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160656 */     // MIs[0] round
     /* 1160656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1160669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160691 */     // GIR_Coverage, 15620,
     /* 1160691 */     GIR_EraseRootFromParent_Done,
     /* 1160692 */   // Label 16950: @1160692
     /* 1160692 */   GIM_Try, /*On fail goto*//*Label 16951*/ GIMT_Encode4(1160772), // Rule ID 15621 //
     /* 1160697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1160708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1160711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1160714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1160732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160736 */     // MIs[0] round
     /* 1160736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11138:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2),
     /* 1160749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160771 */     // GIR_Coverage, 15621,
     /* 1160771 */     GIR_EraseRootFromParent_Done,
     /* 1160772 */   // Label 16951: @1160772
     /* 1160772 */   GIM_Try, /*On fail goto*//*Label 16952*/ GIMT_Encode4(1160852), // Rule ID 15624 //
     /* 1160777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1160788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1160791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1160794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160816 */     // MIs[0] round
     /* 1160816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160826 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1160829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160851 */     // GIR_Coverage, 15624,
     /* 1160851 */     GIR_EraseRootFromParent_Done,
     /* 1160852 */   // Label 16952: @1160852
     /* 1160852 */   GIM_Try, /*On fail goto*//*Label 16953*/ GIMT_Encode4(1160932), // Rule ID 15625 //
     /* 1160857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1160860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1160868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1160871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1160874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1160877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1160880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1160892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160896 */     // MIs[0] round
     /* 1160896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160906 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11138:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1160906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4),
     /* 1160909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1160924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1160927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1160930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1160931 */     // GIR_Coverage, 15625,
     /* 1160931 */     GIR_EraseRootFromParent_Done,
     /* 1160932 */   // Label 16953: @1160932
     /* 1160932 */   GIM_Try, /*On fail goto*//*Label 16954*/ GIMT_Encode4(1161012), // Rule ID 15628 //
     /* 1160937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1160940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1160945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1160948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1160951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1160954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1160957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1160960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1160972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1160976 */     // MIs[0] round
     /* 1160976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1160979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1160986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1160986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1160989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1160991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1160993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1160995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1160997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1160999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161011 */     // GIR_Coverage, 15628,
     /* 1161011 */     GIR_EraseRootFromParent_Done,
     /* 1161012 */   // Label 16954: @1161012
     /* 1161012 */   GIM_Try, /*On fail goto*//*Label 16955*/ GIMT_Encode4(1161092), // Rule ID 15629 //
     /* 1161017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1161020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd),
     /* 1161025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1161028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1161031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1161034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1161037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1161052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1161056 */     // MIs[0] round
     /* 1161056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161066 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11138:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVAADD_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8),
     /* 1161069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1161087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161091 */     // GIR_Coverage, 15629,
     /* 1161091 */     GIR_EraseRootFromParent_Done,
     /* 1161092 */   // Label 16955: @1161092
     /* 1161092 */   GIM_Try, /*On fail goto*//*Label 16956*/ GIMT_Encode4(1161175), // Rule ID 15632 //
     /* 1161097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1161108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1161111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1161114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1161117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161136 */     // MIs[0] round
     /* 1161136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161146 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1161149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161174 */     // GIR_Coverage, 15632,
     /* 1161174 */     GIR_EraseRootFromParent_Done,
     /* 1161175 */   // Label 16956: @1161175
     /* 1161175 */   GIM_Try, /*On fail goto*//*Label 16957*/ GIMT_Encode4(1161258), // Rule ID 15633 //
     /* 1161180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1161191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1161194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1161197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1161200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161219 */     // MIs[0] round
     /* 1161219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161229 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8),
     /* 1161232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161240 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161256 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161257 */     // GIR_Coverage, 15633,
     /* 1161257 */     GIR_EraseRootFromParent_Done,
     /* 1161258 */   // Label 16957: @1161258
     /* 1161258 */   GIM_Try, /*On fail goto*//*Label 16958*/ GIMT_Encode4(1161341), // Rule ID 15636 //
     /* 1161263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1161274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1161277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1161280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1161283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161302 */     // MIs[0] round
     /* 1161302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161312 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1161315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161336 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161340 */     // GIR_Coverage, 15636,
     /* 1161340 */     GIR_EraseRootFromParent_Done,
     /* 1161341 */   // Label 16958: @1161341
     /* 1161341 */   GIM_Try, /*On fail goto*//*Label 16959*/ GIMT_Encode4(1161424), // Rule ID 15637 //
     /* 1161346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1161357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1161360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1161363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1161366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161385 */     // MIs[0] round
     /* 1161385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161395 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1161398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161406 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161423 */     // GIR_Coverage, 15637,
     /* 1161423 */     GIR_EraseRootFromParent_Done,
     /* 1161424 */   // Label 16959: @1161424
     /* 1161424 */   GIM_Try, /*On fail goto*//*Label 16960*/ GIMT_Encode4(1161507), // Rule ID 15640 //
     /* 1161429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1161440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1161443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1161446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1161449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161468 */     // MIs[0] round
     /* 1161468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161478 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1161481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161506 */     // GIR_Coverage, 15640,
     /* 1161506 */     GIR_EraseRootFromParent_Done,
     /* 1161507 */   // Label 16960: @1161507
     /* 1161507 */   GIM_Try, /*On fail goto*//*Label 16961*/ GIMT_Encode4(1161590), // Rule ID 15641 //
     /* 1161512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1161523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1161526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1161529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1161532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161551 */     // MIs[0] round
     /* 1161551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161561 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1161564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161572 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1161582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161589 */     // GIR_Coverage, 15641,
     /* 1161589 */     GIR_EraseRootFromParent_Done,
     /* 1161590 */   // Label 16961: @1161590
     /* 1161590 */   GIM_Try, /*On fail goto*//*Label 16962*/ GIMT_Encode4(1161673), // Rule ID 15644 //
     /* 1161595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1161606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1161609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1161612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1161615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161634 */     // MIs[0] round
     /* 1161634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161644 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1161647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161668 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161672 */     // GIR_Coverage, 15644,
     /* 1161672 */     GIR_EraseRootFromParent_Done,
     /* 1161673 */   // Label 16962: @1161673
     /* 1161673 */   GIM_Try, /*On fail goto*//*Label 16963*/ GIMT_Encode4(1161756), // Rule ID 15645 //
     /* 1161678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1161689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1161692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1161695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1161698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161717 */     // MIs[0] round
     /* 1161717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161727 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4),
     /* 1161730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161738 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161751 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161755 */     // GIR_Coverage, 15645,
     /* 1161755 */     GIR_EraseRootFromParent_Done,
     /* 1161756 */   // Label 16963: @1161756
     /* 1161756 */   GIM_Try, /*On fail goto*//*Label 16964*/ GIMT_Encode4(1161839), // Rule ID 15648 //
     /* 1161761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1161772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1161775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1161778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1161781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161800 */     // MIs[0] round
     /* 1161800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161810 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1161813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161834 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161838 */     // GIR_Coverage, 15648,
     /* 1161838 */     GIR_EraseRootFromParent_Done,
     /* 1161839 */   // Label 16964: @1161839
     /* 1161839 */   GIM_Try, /*On fail goto*//*Label 16965*/ GIMT_Encode4(1161922), // Rule ID 15649 //
     /* 1161844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1161847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1161855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1161858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1161861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1161864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1161867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161883 */     // MIs[0] round
     /* 1161883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161893 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1161893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1161896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161904 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1161914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1161917 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1161920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1161921 */     // GIR_Coverage, 15649,
     /* 1161921 */     GIR_EraseRootFromParent_Done,
     /* 1161922 */   // Label 16965: @1161922
     /* 1161922 */   GIM_Try, /*On fail goto*//*Label 16966*/ GIMT_Encode4(1162005), // Rule ID 15652 //
     /* 1161927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1161930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1161935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1161938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1161941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1161944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1161947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1161950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1161966 */     // MIs[0] round
     /* 1161966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1161969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1161976 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1161976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1161979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1161981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1161983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1161985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1161987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1161989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1161994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1161997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162004 */     // GIR_Coverage, 15652,
     /* 1162004 */     GIR_EraseRootFromParent_Done,
     /* 1162005 */   // Label 16966: @1162005
     /* 1162005 */   GIM_Try, /*On fail goto*//*Label 16967*/ GIMT_Encode4(1162088), // Rule ID 15653 //
     /* 1162010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1162021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1162024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1162027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1162030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162049 */     // MIs[0] round
     /* 1162049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162059 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2),
     /* 1162062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162070 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162087 */     // GIR_Coverage, 15653,
     /* 1162087 */     GIR_EraseRootFromParent_Done,
     /* 1162088 */   // Label 16967: @1162088
     /* 1162088 */   GIM_Try, /*On fail goto*//*Label 16968*/ GIMT_Encode4(1162171), // Rule ID 15656 //
     /* 1162093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1162104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1162107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1162110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1162113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162132 */     // MIs[0] round
     /* 1162132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162170 */     // GIR_Coverage, 15656,
     /* 1162170 */     GIR_EraseRootFromParent_Done,
     /* 1162171 */   // Label 16968: @1162171
     /* 1162171 */   GIM_Try, /*On fail goto*//*Label 16969*/ GIMT_Encode4(1162254), // Rule ID 15657 //
     /* 1162176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1162187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1162190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1162193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1162196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162215 */     // MIs[0] round
     /* 1162215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162225 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162236 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162249 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162253 */     // GIR_Coverage, 15657,
     /* 1162253 */     GIR_EraseRootFromParent_Done,
     /* 1162254 */   // Label 16969: @1162254
     /* 1162254 */   GIM_Try, /*On fail goto*//*Label 16970*/ GIMT_Encode4(1162337), // Rule ID 15660 //
     /* 1162259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1162270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1162273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1162276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1162279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162298 */     // MIs[0] round
     /* 1162298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162308 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162332 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162336 */     // GIR_Coverage, 15660,
     /* 1162336 */     GIR_EraseRootFromParent_Done,
     /* 1162337 */   // Label 16970: @1162337
     /* 1162337 */   GIM_Try, /*On fail goto*//*Label 16971*/ GIMT_Encode4(1162420), // Rule ID 15661 //
     /* 1162342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1162353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1162356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1162359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1162362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162381 */     // MIs[0] round
     /* 1162381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162391 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162402 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1162412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162419 */     // GIR_Coverage, 15661,
     /* 1162419 */     GIR_EraseRootFromParent_Done,
     /* 1162420 */   // Label 16971: @1162420
     /* 1162420 */   GIM_Try, /*On fail goto*//*Label 16972*/ GIMT_Encode4(1162503), // Rule ID 15664 //
     /* 1162425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1162436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1162439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1162442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1162445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162464 */     // MIs[0] round
     /* 1162464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162474 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162498 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162502 */     // GIR_Coverage, 15664,
     /* 1162502 */     GIR_EraseRootFromParent_Done,
     /* 1162503 */   // Label 16972: @1162503
     /* 1162503 */   GIM_Try, /*On fail goto*//*Label 16973*/ GIMT_Encode4(1162586), // Rule ID 15665 //
     /* 1162508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1162519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1162522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1162525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1162528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1162547 */     // MIs[0] round
     /* 1162547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162557 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1162560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162568 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1162578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162585 */     // GIR_Coverage, 15665,
     /* 1162585 */     GIR_EraseRootFromParent_Done,
     /* 1162586 */   // Label 16973: @1162586
     /* 1162586 */   GIM_Try, /*On fail goto*//*Label 16974*/ GIMT_Encode4(1162669), // Rule ID 15668 //
     /* 1162591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1162602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1162605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1162608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1162611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162630 */     // MIs[0] round
     /* 1162630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162640 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1162643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162668 */     // GIR_Coverage, 15668,
     /* 1162668 */     GIR_EraseRootFromParent_Done,
     /* 1162669 */   // Label 16974: @1162669
     /* 1162669 */   GIM_Try, /*On fail goto*//*Label 16975*/ GIMT_Encode4(1162752), // Rule ID 15669 //
     /* 1162674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1162685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1162688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1162691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1162694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1162713 */     // MIs[0] round
     /* 1162713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162723 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1162726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162734 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162751 */     // GIR_Coverage, 15669,
     /* 1162751 */     GIR_EraseRootFromParent_Done,
     /* 1162752 */   // Label 16975: @1162752
     /* 1162752 */   GIM_Try, /*On fail goto*//*Label 16976*/ GIMT_Encode4(1162835), // Rule ID 15672 //
     /* 1162757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1162768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1162771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1162774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1162777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162796 */     // MIs[0] round
     /* 1162796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162806 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1162809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162830 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162834 */     // GIR_Coverage, 15672,
     /* 1162834 */     GIR_EraseRootFromParent_Done,
     /* 1162835 */   // Label 16976: @1162835
     /* 1162835 */   GIM_Try, /*On fail goto*//*Label 16977*/ GIMT_Encode4(1162918), // Rule ID 15673 //
     /* 1162840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1162843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1162851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1162854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1162857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1162860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1162863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1162879 */     // MIs[0] round
     /* 1162879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162889 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1162889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1162892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162900 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162913 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1162917 */     // GIR_Coverage, 15673,
     /* 1162917 */     GIR_EraseRootFromParent_Done,
     /* 1162918 */   // Label 16977: @1162918
     /* 1162918 */   GIM_Try, /*On fail goto*//*Label 16978*/ GIMT_Encode4(1163001), // Rule ID 15676 //
     /* 1162923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1162926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1162931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1162934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1162937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1162940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1162943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1162946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1162962 */     // MIs[0] round
     /* 1162962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1162965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1162972 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1162972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1162975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1162977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1162979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1162981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1162983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1162985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1162990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1162993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1162996 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1162999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163000 */     // GIR_Coverage, 15676,
     /* 1163000 */     GIR_EraseRootFromParent_Done,
     /* 1163001 */   // Label 16978: @1163001
     /* 1163001 */   GIM_Try, /*On fail goto*//*Label 16979*/ GIMT_Encode4(1163084), // Rule ID 15677 //
     /* 1163006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1163017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1163020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1163023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1163026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163045 */     // MIs[0] round
     /* 1163045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163055 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1163058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163066 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1163076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163083 */     // GIR_Coverage, 15677,
     /* 1163083 */     GIR_EraseRootFromParent_Done,
     /* 1163084 */   // Label 16979: @1163084
     /* 1163084 */   GIM_Try, /*On fail goto*//*Label 16980*/ GIMT_Encode4(1163167), // Rule ID 15680 //
     /* 1163089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1163100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1163103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1163106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1163109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163128 */     // MIs[0] round
     /* 1163128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163138 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1163141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163166 */     // GIR_Coverage, 15680,
     /* 1163166 */     GIR_EraseRootFromParent_Done,
     /* 1163167 */   // Label 16980: @1163167
     /* 1163167 */   GIM_Try, /*On fail goto*//*Label 16981*/ GIMT_Encode4(1163250), // Rule ID 15681 //
     /* 1163172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1163183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1163186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1163189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1163192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163211 */     // MIs[0] round
     /* 1163211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163221 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1163224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163232 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163249 */     // GIR_Coverage, 15681,
     /* 1163249 */     GIR_EraseRootFromParent_Done,
     /* 1163250 */   // Label 16981: @1163250
     /* 1163250 */   GIM_Try, /*On fail goto*//*Label 16982*/ GIMT_Encode4(1163333), // Rule ID 15684 //
     /* 1163255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1163266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1163269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1163272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1163275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163294 */     // MIs[0] round
     /* 1163294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163304 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1163307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163332 */     // GIR_Coverage, 15684,
     /* 1163332 */     GIR_EraseRootFromParent_Done,
     /* 1163333 */   // Label 16982: @1163333
     /* 1163333 */   GIM_Try, /*On fail goto*//*Label 16983*/ GIMT_Encode4(1163416), // Rule ID 15685 //
     /* 1163338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1163349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1163352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1163355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1163358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163377 */     // MIs[0] round
     /* 1163377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163387 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1163390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163398 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163411 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163415 */     // GIR_Coverage, 15685,
     /* 1163415 */     GIR_EraseRootFromParent_Done,
     /* 1163416 */   // Label 16983: @1163416
     /* 1163416 */   GIM_Try, /*On fail goto*//*Label 16984*/ GIMT_Encode4(1163499), // Rule ID 15688 //
     /* 1163421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1163432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1163435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1163438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1163441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163460 */     // MIs[0] round
     /* 1163460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163470 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1163473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163494 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163498 */     // GIR_Coverage, 15688,
     /* 1163498 */     GIR_EraseRootFromParent_Done,
     /* 1163499 */   // Label 16984: @1163499
     /* 1163499 */   GIM_Try, /*On fail goto*//*Label 16985*/ GIMT_Encode4(1163582), // Rule ID 15689 //
     /* 1163504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1163515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1163518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1163521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1163524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163543 */     // MIs[0] round
     /* 1163543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163553 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1163556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163564 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1163574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163577 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163581 */     // GIR_Coverage, 15689,
     /* 1163581 */     GIR_EraseRootFromParent_Done,
     /* 1163582 */   // Label 16985: @1163582
     /* 1163582 */   GIM_Try, /*On fail goto*//*Label 16986*/ GIMT_Encode4(1163665), // Rule ID 15692 //
     /* 1163587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1163598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1163601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1163604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1163607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163626 */     // MIs[0] round
     /* 1163626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1163639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163664 */     // GIR_Coverage, 15692,
     /* 1163664 */     GIR_EraseRootFromParent_Done,
     /* 1163665 */   // Label 16986: @1163665
     /* 1163665 */   GIM_Try, /*On fail goto*//*Label 16987*/ GIMT_Encode4(1163748), // Rule ID 15693 //
     /* 1163670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1163681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1163684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1163687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1163690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1163709 */     // MIs[0] round
     /* 1163709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1163722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163730 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163747 */     // GIR_Coverage, 15693,
     /* 1163747 */     GIR_EraseRootFromParent_Done,
     /* 1163748 */   // Label 16987: @1163748
     /* 1163748 */   GIM_Try, /*On fail goto*//*Label 16988*/ GIMT_Encode4(1163831), // Rule ID 15696 //
     /* 1163753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1163764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1163767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1163770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1163773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163792 */     // MIs[0] round
     /* 1163792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1163805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163830 */     // GIR_Coverage, 15696,
     /* 1163830 */     GIR_EraseRootFromParent_Done,
     /* 1163831 */   // Label 16988: @1163831
     /* 1163831 */   GIM_Try, /*On fail goto*//*Label 16989*/ GIMT_Encode4(1163914), // Rule ID 15697 //
     /* 1163836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1163839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1163847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1163850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1163853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1163856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1163859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1163875 */     // MIs[0] round
     /* 1163875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163885 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1163885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1163888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163896 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163909 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163912 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163913 */     // GIR_Coverage, 15697,
     /* 1163913 */     GIR_EraseRootFromParent_Done,
     /* 1163914 */   // Label 16989: @1163914
     /* 1163914 */   GIM_Try, /*On fail goto*//*Label 16990*/ GIMT_Encode4(1163997), // Rule ID 15700 //
     /* 1163919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1163922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1163927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1163930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1163933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1163936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1163939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1163942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1163958 */     // MIs[0] round
     /* 1163958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1163961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1163968 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1163968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1163971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1163973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1163975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1163977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1163979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1163981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1163986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1163989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1163992 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1163995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1163996 */     // GIR_Coverage, 15700,
     /* 1163996 */     GIR_EraseRootFromParent_Done,
     /* 1163997 */   // Label 16990: @1163997
     /* 1163997 */   GIM_Try, /*On fail goto*//*Label 16991*/ GIMT_Encode4(1164080), // Rule ID 15701 //
     /* 1164002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1164013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1164016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1164019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1164022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1164041 */     // MIs[0] round
     /* 1164041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164051 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1164054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164062 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164079 */     // GIR_Coverage, 15701,
     /* 1164079 */     GIR_EraseRootFromParent_Done,
     /* 1164080 */   // Label 16991: @1164080
     /* 1164080 */   GIM_Try, /*On fail goto*//*Label 16992*/ GIMT_Encode4(1164163), // Rule ID 15704 //
     /* 1164085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1164096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1164099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1164102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164124 */     // MIs[0] round
     /* 1164124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164134 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1164137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164162 */     // GIR_Coverage, 15704,
     /* 1164162 */     GIR_EraseRootFromParent_Done,
     /* 1164163 */   // Label 16992: @1164163
     /* 1164163 */   GIM_Try, /*On fail goto*//*Label 16993*/ GIMT_Encode4(1164246), // Rule ID 15705 //
     /* 1164168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1164179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1164182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1164185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164207 */     // MIs[0] round
     /* 1164207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164217 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8),
     /* 1164220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164228 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164241 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164245 */     // GIR_Coverage, 15705,
     /* 1164245 */     GIR_EraseRootFromParent_Done,
     /* 1164246 */   // Label 16993: @1164246
     /* 1164246 */   GIM_Try, /*On fail goto*//*Label 16994*/ GIMT_Encode4(1164329), // Rule ID 15708 //
     /* 1164251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1164262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1164265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1164268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164290 */     // MIs[0] round
     /* 1164290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164300 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1164303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164328 */     // GIR_Coverage, 15708,
     /* 1164328 */     GIR_EraseRootFromParent_Done,
     /* 1164329 */   // Label 16994: @1164329
     /* 1164329 */   GIM_Try, /*On fail goto*//*Label 16995*/ GIMT_Encode4(1164412), // Rule ID 15709 //
     /* 1164334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1164345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1164348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1164351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164373 */     // MIs[0] round
     /* 1164373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164383 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1164386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164394 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164411 */     // GIR_Coverage, 15709,
     /* 1164411 */     GIR_EraseRootFromParent_Done,
     /* 1164412 */   // Label 16995: @1164412
     /* 1164412 */   GIM_Try, /*On fail goto*//*Label 16996*/ GIMT_Encode4(1164495), // Rule ID 15712 //
     /* 1164417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1164428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1164431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1164434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164456 */     // MIs[0] round
     /* 1164456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164466 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1164469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164494 */     // GIR_Coverage, 15712,
     /* 1164494 */     GIR_EraseRootFromParent_Done,
     /* 1164495 */   // Label 16996: @1164495
     /* 1164495 */   GIM_Try, /*On fail goto*//*Label 16997*/ GIMT_Encode4(1164578), // Rule ID 15713 //
     /* 1164500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1164511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1164514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1164517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164539 */     // MIs[0] round
     /* 1164539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164549 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1164552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164560 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1164570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164577 */     // GIR_Coverage, 15713,
     /* 1164577 */     GIR_EraseRootFromParent_Done,
     /* 1164578 */   // Label 16997: @1164578
     /* 1164578 */   GIM_Try, /*On fail goto*//*Label 16998*/ GIMT_Encode4(1164661), // Rule ID 15716 //
     /* 1164583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164622 */     // MIs[0] round
     /* 1164622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164632 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1164635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164656 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164660 */     // GIR_Coverage, 15716,
     /* 1164660 */     GIR_EraseRootFromParent_Done,
     /* 1164661 */   // Label 16998: @1164661
     /* 1164661 */   GIM_Try, /*On fail goto*//*Label 16999*/ GIMT_Encode4(1164744), // Rule ID 15717 //
     /* 1164666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1164677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1164680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1164683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164705 */     // MIs[0] round
     /* 1164705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164715 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4),
     /* 1164718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164726 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164739 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164743 */     // GIR_Coverage, 15717,
     /* 1164743 */     GIR_EraseRootFromParent_Done,
     /* 1164744 */   // Label 16999: @1164744
     /* 1164744 */   GIM_Try, /*On fail goto*//*Label 17000*/ GIMT_Encode4(1164827), // Rule ID 15720 //
     /* 1164749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164788 */     // MIs[0] round
     /* 1164788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164798 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1164801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164822 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164826 */     // GIR_Coverage, 15720,
     /* 1164826 */     GIR_EraseRootFromParent_Done,
     /* 1164827 */   // Label 17000: @1164827
     /* 1164827 */   GIM_Try, /*On fail goto*//*Label 17001*/ GIMT_Encode4(1164910), // Rule ID 15721 //
     /* 1164832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1164835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1164843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1164846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1164849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1164852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1164855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164871 */     // MIs[0] round
     /* 1164871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164881 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1164881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1164884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164892 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1164902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164909 */     // GIR_Coverage, 15721,
     /* 1164909 */     GIR_EraseRootFromParent_Done,
     /* 1164910 */   // Label 17001: @1164910
     /* 1164910 */   GIM_Try, /*On fail goto*//*Label 17002*/ GIMT_Encode4(1164993), // Rule ID 15724 //
     /* 1164915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1164918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1164923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1164926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1164929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1164932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1164935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1164938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1164950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1164954 */     // MIs[0] round
     /* 1164954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1164957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1164964 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1164964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1164967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1164969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1164971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1164973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1164975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1164977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1164982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1164985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1164988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1164991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1164992 */     // GIR_Coverage, 15724,
     /* 1164992 */     GIR_EraseRootFromParent_Done,
     /* 1164993 */   // Label 17002: @1164993
     /* 1164993 */   GIM_Try, /*On fail goto*//*Label 17003*/ GIMT_Encode4(1165076), // Rule ID 15725 //
     /* 1164998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1165009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1165012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1165015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165037 */     // MIs[0] round
     /* 1165037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165047 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2),
     /* 1165050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165058 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165071 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165075 */     // GIR_Coverage, 15725,
     /* 1165075 */     GIR_EraseRootFromParent_Done,
     /* 1165076 */   // Label 17003: @1165076
     /* 1165076 */   GIM_Try, /*On fail goto*//*Label 17004*/ GIMT_Encode4(1165159), // Rule ID 15728 //
     /* 1165081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1165092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1165095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1165098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165120 */     // MIs[0] round
     /* 1165120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1165133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165154 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165158 */     // GIR_Coverage, 15728,
     /* 1165158 */     GIR_EraseRootFromParent_Done,
     /* 1165159 */   // Label 17004: @1165159
     /* 1165159 */   GIM_Try, /*On fail goto*//*Label 17005*/ GIMT_Encode4(1165242), // Rule ID 15729 //
     /* 1165164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1165175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1165178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1165181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165203 */     // MIs[0] round
     /* 1165203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165213 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11561:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1165216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165224 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165240 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165241 */     // GIR_Coverage, 15729,
     /* 1165241 */     GIR_EraseRootFromParent_Done,
     /* 1165242 */   // Label 17005: @1165242
     /* 1165242 */   GIM_Try, /*On fail goto*//*Label 17006*/ GIMT_Encode4(1165325), // Rule ID 15732 //
     /* 1165247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1165258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1165261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1165264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165286 */     // MIs[0] round
     /* 1165286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165296 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1165299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165324 */     // GIR_Coverage, 15732,
     /* 1165324 */     GIR_EraseRootFromParent_Done,
     /* 1165325 */   // Label 17006: @1165325
     /* 1165325 */   GIM_Try, /*On fail goto*//*Label 17007*/ GIMT_Encode4(1165408), // Rule ID 15733 //
     /* 1165330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1165341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1165344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1165347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165369 */     // MIs[0] round
     /* 1165369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165379 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11561:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1165382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165390 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1165400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165407 */     // GIR_Coverage, 15733,
     /* 1165407 */     GIR_EraseRootFromParent_Done,
     /* 1165408 */   // Label 17007: @1165408
     /* 1165408 */   GIM_Try, /*On fail goto*//*Label 17008*/ GIMT_Encode4(1165491), // Rule ID 15736 //
     /* 1165413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1165424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1165427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1165430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165452 */     // MIs[0] round
     /* 1165452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165462 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1165465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165490 */     // GIR_Coverage, 15736,
     /* 1165490 */     GIR_EraseRootFromParent_Done,
     /* 1165491 */   // Label 17008: @1165491
     /* 1165491 */   GIM_Try, /*On fail goto*//*Label 17009*/ GIMT_Encode4(1165574), // Rule ID 15737 //
     /* 1165496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1165507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1165510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1165513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1165531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165535 */     // MIs[0] round
     /* 1165535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165545 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11561:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1165548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165556 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1165566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165573 */     // GIR_Coverage, 15737,
     /* 1165573 */     GIR_EraseRootFromParent_Done,
     /* 1165574 */   // Label 17009: @1165574
     /* 1165574 */   GIM_Try, /*On fail goto*//*Label 17010*/ GIMT_Encode4(1165657), // Rule ID 15740 //
     /* 1165579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165618 */     // MIs[0] round
     /* 1165618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165628 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1165631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165656 */     // GIR_Coverage, 15740,
     /* 1165656 */     GIR_EraseRootFromParent_Done,
     /* 1165657 */   // Label 17010: @1165657
     /* 1165657 */   GIM_Try, /*On fail goto*//*Label 17011*/ GIMT_Encode4(1165740), // Rule ID 15741 //
     /* 1165662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1165673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1165676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1165679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1165697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165701 */     // MIs[0] round
     /* 1165701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165711 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1165714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165722 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165739 */     // GIR_Coverage, 15741,
     /* 1165739 */     GIR_EraseRootFromParent_Done,
     /* 1165740 */   // Label 17011: @1165740
     /* 1165740 */   GIM_Try, /*On fail goto*//*Label 17012*/ GIMT_Encode4(1165823), // Rule ID 15744 //
     /* 1165745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165784 */     // MIs[0] round
     /* 1165784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1165797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165818 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165822 */     // GIR_Coverage, 15744,
     /* 1165822 */     GIR_EraseRootFromParent_Done,
     /* 1165823 */   // Label 17012: @1165823
     /* 1165823 */   GIM_Try, /*On fail goto*//*Label 17013*/ GIMT_Encode4(1165906), // Rule ID 15745 //
     /* 1165828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1165839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1165842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1165845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1165848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1165851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1165863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165867 */     // MIs[0] round
     /* 1165867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165877 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1165877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1165880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165888 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165901 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165905 */     // GIR_Coverage, 15745,
     /* 1165905 */     GIR_EraseRootFromParent_Done,
     /* 1165906 */   // Label 17013: @1165906
     /* 1165906 */   GIM_Try, /*On fail goto*//*Label 17014*/ GIMT_Encode4(1165989), // Rule ID 15748 //
     /* 1165911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1165914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1165919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1165922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1165925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1165928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1165931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1165934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1165946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1165950 */     // MIs[0] round
     /* 1165950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1165953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1165960 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1165960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1165963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1165965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1165967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1165969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1165971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1165973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1165978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1165981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1165984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1165987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1165988 */     // GIR_Coverage, 15748,
     /* 1165988 */     GIR_EraseRootFromParent_Done,
     /* 1165989 */   // Label 17014: @1165989
     /* 1165989 */   GIM_Try, /*On fail goto*//*Label 17015*/ GIMT_Encode4(1166072), // Rule ID 15749 //
     /* 1165994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1165997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1166005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1166008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1166011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166033 */     // MIs[0] round
     /* 1166033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166043 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1166046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166054 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1166064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166071 */     // GIR_Coverage, 15749,
     /* 1166071 */     GIR_EraseRootFromParent_Done,
     /* 1166072 */   // Label 17015: @1166072
     /* 1166072 */   GIM_Try, /*On fail goto*//*Label 17016*/ GIMT_Encode4(1166155), // Rule ID 15752 //
     /* 1166077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1166088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1166091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1166094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166116 */     // MIs[0] round
     /* 1166116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166126 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1166129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166154 */     // GIR_Coverage, 15752,
     /* 1166154 */     GIR_EraseRootFromParent_Done,
     /* 1166155 */   // Label 17016: @1166155
     /* 1166155 */   GIM_Try, /*On fail goto*//*Label 17017*/ GIMT_Encode4(1166238), // Rule ID 15753 //
     /* 1166160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1166171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1166174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1166177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166199 */     // MIs[0] round
     /* 1166199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166209 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1166212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166220 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166233 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166237 */     // GIR_Coverage, 15753,
     /* 1166237 */     GIR_EraseRootFromParent_Done,
     /* 1166238 */   // Label 17017: @1166238
     /* 1166238 */   GIM_Try, /*On fail goto*//*Label 17018*/ GIMT_Encode4(1166321), // Rule ID 15756 //
     /* 1166243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1166254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1166257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1166260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166282 */     // MIs[0] round
     /* 1166282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1166295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166316 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166320 */     // GIR_Coverage, 15756,
     /* 1166320 */     GIR_EraseRootFromParent_Done,
     /* 1166321 */   // Label 17018: @1166321
     /* 1166321 */   GIM_Try, /*On fail goto*//*Label 17019*/ GIMT_Encode4(1166404), // Rule ID 15757 //
     /* 1166326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1166337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1166340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1166343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166365 */     // MIs[0] round
     /* 1166365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166375 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1166378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166386 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166403 */     // GIR_Coverage, 15757,
     /* 1166403 */     GIR_EraseRootFromParent_Done,
     /* 1166404 */   // Label 17019: @1166404
     /* 1166404 */   GIM_Try, /*On fail goto*//*Label 17020*/ GIMT_Encode4(1166487), // Rule ID 15760 //
     /* 1166409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166448 */     // MIs[0] round
     /* 1166448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1166461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166482 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166486 */     // GIR_Coverage, 15760,
     /* 1166486 */     GIR_EraseRootFromParent_Done,
     /* 1166487 */   // Label 17020: @1166487
     /* 1166487 */   GIM_Try, /*On fail goto*//*Label 17021*/ GIMT_Encode4(1166570), // Rule ID 15761 //
     /* 1166492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1166503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1166506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1166509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166531 */     // MIs[0] round
     /* 1166531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166541 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1166544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166552 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1166562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166569 */     // GIR_Coverage, 15761,
     /* 1166569 */     GIR_EraseRootFromParent_Done,
     /* 1166570 */   // Label 17021: @1166570
     /* 1166570 */   GIM_Try, /*On fail goto*//*Label 17022*/ GIMT_Encode4(1166653), // Rule ID 15764 //
     /* 1166575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166614 */     // MIs[0] round
     /* 1166614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166624 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1166627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166652 */     // GIR_Coverage, 15764,
     /* 1166652 */     GIR_EraseRootFromParent_Done,
     /* 1166653 */   // Label 17022: @1166653
     /* 1166653 */   GIM_Try, /*On fail goto*//*Label 17023*/ GIMT_Encode4(1166736), // Rule ID 15765 //
     /* 1166658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1166669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1166672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1166675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1166693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166697 */     // MIs[0] round
     /* 1166697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166707 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1166710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166718 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166735 */     // GIR_Coverage, 15765,
     /* 1166735 */     GIR_EraseRootFromParent_Done,
     /* 1166736 */   // Label 17023: @1166736
     /* 1166736 */   GIM_Try, /*On fail goto*//*Label 17024*/ GIMT_Encode4(1166819), // Rule ID 15768 //
     /* 1166741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166780 */     // MIs[0] round
     /* 1166780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1166793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166814 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166818 */     // GIR_Coverage, 15768,
     /* 1166818 */     GIR_EraseRootFromParent_Done,
     /* 1166819 */   // Label 17024: @1166819
     /* 1166819 */   GIM_Try, /*On fail goto*//*Label 17025*/ GIMT_Encode4(1166902), // Rule ID 15769 //
     /* 1166824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1166835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1166838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1166841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1166844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1166847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1166859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166863 */     // MIs[0] round
     /* 1166863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166873 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1166873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1166876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166884 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166900 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166901 */     // GIR_Coverage, 15769,
     /* 1166901 */     GIR_EraseRootFromParent_Done,
     /* 1166902 */   // Label 17025: @1166902
     /* 1166902 */   GIM_Try, /*On fail goto*//*Label 17026*/ GIMT_Encode4(1166985), // Rule ID 15772 //
     /* 1166907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1166910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1166918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1166921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1166924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1166927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1166930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1166942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1166946 */     // MIs[0] round
     /* 1166946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1166949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1166956 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1166956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1166959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1166961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1166963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1166965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1166967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1166969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1166974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1166977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1166980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1166983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1166984 */     // GIR_Coverage, 15772,
     /* 1166984 */     GIR_EraseRootFromParent_Done,
     /* 1166985 */   // Label 17026: @1166985
     /* 1166985 */   GIM_Try, /*On fail goto*//*Label 17027*/ GIMT_Encode4(1167068), // Rule ID 15773 //
     /* 1166990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1166993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1166998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1167001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1167004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1167007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167029 */     // MIs[0] round
     /* 1167029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167039 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1167042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167050 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1167060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167067 */     // GIR_Coverage, 15773,
     /* 1167067 */     GIR_EraseRootFromParent_Done,
     /* 1167068 */   // Label 17027: @1167068
     /* 1167068 */   GIM_Try, /*On fail goto*//*Label 17028*/ GIMT_Encode4(1167151), // Rule ID 15776 //
     /* 1167073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1167076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167112 */     // MIs[0] round
     /* 1167112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167122 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1167125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167150 */     // GIR_Coverage, 15776,
     /* 1167150 */     GIR_EraseRootFromParent_Done,
     /* 1167151 */   // Label 17028: @1167151
     /* 1167151 */   GIM_Try, /*On fail goto*//*Label 17029*/ GIMT_Encode4(1167234), // Rule ID 15777 //
     /* 1167156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1167159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1167176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167195 */     // MIs[0] round
     /* 1167195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167205 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1),
     /* 1167208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167216 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167233 */     // GIR_Coverage, 15777,
     /* 1167233 */     GIR_EraseRootFromParent_Done,
     /* 1167234 */   // Label 17029: @1167234
     /* 1167234 */   GIM_Try, /*On fail goto*//*Label 17030*/ GIMT_Encode4(1167317), // Rule ID 15780 //
     /* 1167239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1167242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1167250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1167253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1167256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1167259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167278 */     // MIs[0] round
     /* 1167278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1167291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167312 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167316 */     // GIR_Coverage, 15780,
     /* 1167316 */     GIR_EraseRootFromParent_Done,
     /* 1167317 */   // Label 17030: @1167317
     /* 1167317 */   GIM_Try, /*On fail goto*//*Label 17031*/ GIMT_Encode4(1167400), // Rule ID 15781 //
     /* 1167322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1167325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1167333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1167336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1167339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1167342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167361 */     // MIs[0] round
     /* 1167361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167371 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2),
     /* 1167374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167382 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167399 */     // GIR_Coverage, 15781,
     /* 1167399 */     GIR_EraseRootFromParent_Done,
     /* 1167400 */   // Label 17031: @1167400
     /* 1167400 */   GIM_Try, /*On fail goto*//*Label 17032*/ GIMT_Encode4(1167483), // Rule ID 15784 //
     /* 1167405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1167408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1167416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1167419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1167422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1167425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167444 */     // MIs[0] round
     /* 1167444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167454 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1167457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167478 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167482 */     // GIR_Coverage, 15784,
     /* 1167482 */     GIR_EraseRootFromParent_Done,
     /* 1167483 */   // Label 17032: @1167483
     /* 1167483 */   GIM_Try, /*On fail goto*//*Label 17033*/ GIMT_Encode4(1167566), // Rule ID 15785 //
     /* 1167488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1167491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1167499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1167502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1167505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1167508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1167527 */     // MIs[0] round
     /* 1167527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167537 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4),
     /* 1167540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167548 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167565 */     // GIR_Coverage, 15785,
     /* 1167565 */     GIR_EraseRootFromParent_Done,
     /* 1167566 */   // Label 17033: @1167566
     /* 1167566 */   GIM_Try, /*On fail goto*//*Label 17034*/ GIMT_Encode4(1167649), // Rule ID 15788 //
     /* 1167571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1167574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167610 */     // MIs[0] round
     /* 1167610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167620 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1167623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167644 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167648 */     // GIR_Coverage, 15788,
     /* 1167648 */     GIR_EraseRootFromParent_Done,
     /* 1167649 */   // Label 17034: @1167649
     /* 1167649 */   GIM_Try, /*On fail goto*//*Label 17035*/ GIMT_Encode4(1167732), // Rule ID 15789 //
     /* 1167654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1167657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1167665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1167668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1167671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1167674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1167693 */     // MIs[0] round
     /* 1167693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167703 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8),
     /* 1167706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167714 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167731 */     // GIR_Coverage, 15789,
     /* 1167731 */     GIR_EraseRootFromParent_Done,
     /* 1167732 */   // Label 17035: @1167732
     /* 1167732 */   GIM_Try, /*On fail goto*//*Label 17036*/ GIMT_Encode4(1167815), // Rule ID 15792 //
     /* 1167737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1167740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167776 */     // MIs[0] round
     /* 1167776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1167789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167814 */     // GIR_Coverage, 15792,
     /* 1167814 */     GIR_EraseRootFromParent_Done,
     /* 1167815 */   // Label 17036: @1167815
     /* 1167815 */   GIM_Try, /*On fail goto*//*Label 17037*/ GIMT_Encode4(1167898), // Rule ID 15793 //
     /* 1167820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1167823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1167831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1167834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1167837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1167840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1167843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1167855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167859 */     // MIs[0] round
     /* 1167859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167869 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11561:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1167869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1),
     /* 1167872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167880 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167893 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167896 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167897 */     // GIR_Coverage, 15793,
     /* 1167897 */     GIR_EraseRootFromParent_Done,
     /* 1167898 */   // Label 17037: @1167898
     /* 1167898 */   GIM_Try, /*On fail goto*//*Label 17038*/ GIMT_Encode4(1167981), // Rule ID 15796 //
     /* 1167903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1167906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1167914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1167917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1167920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1167923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1167926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1167938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1167942 */     // MIs[0] round
     /* 1167942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1167945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1167952 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1167952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1167955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1167957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1167959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1167961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1167963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1167965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1167970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1167973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1167976 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1167979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1167980 */     // GIR_Coverage, 15796,
     /* 1167980 */     GIR_EraseRootFromParent_Done,
     /* 1167981 */   // Label 17038: @1167981
     /* 1167981 */   GIM_Try, /*On fail goto*//*Label 17039*/ GIMT_Encode4(1168064), // Rule ID 15797 //
     /* 1167986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1167989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1167994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1167997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1168000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1168003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1168021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168025 */     // MIs[0] round
     /* 1168025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168035 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11561:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2),
     /* 1168038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168046 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168063 */     // GIR_Coverage, 15797,
     /* 1168063 */     GIR_EraseRootFromParent_Done,
     /* 1168064 */   // Label 17039: @1168064
     /* 1168064 */   GIM_Try, /*On fail goto*//*Label 17040*/ GIMT_Encode4(1168147), // Rule ID 15800 //
     /* 1168069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1168072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1168077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1168080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1168083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1168086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168108 */     // MIs[0] round
     /* 1168108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168118 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1168121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168146 */     // GIR_Coverage, 15800,
     /* 1168146 */     GIR_EraseRootFromParent_Done,
     /* 1168147 */   // Label 17040: @1168147
     /* 1168147 */   GIM_Try, /*On fail goto*//*Label 17041*/ GIMT_Encode4(1168230), // Rule ID 15801 //
     /* 1168152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1168155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1168160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1168163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1168166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1168169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1168187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168191 */     // MIs[0] round
     /* 1168191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168201 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11561:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4),
     /* 1168204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168212 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168229 */     // GIR_Coverage, 15801,
     /* 1168229 */     GIR_EraseRootFromParent_Done,
     /* 1168230 */   // Label 17041: @1168230
     /* 1168230 */   GIM_Try, /*On fail goto*//*Label 17042*/ GIMT_Encode4(1168313), // Rule ID 15804 //
     /* 1168235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1168238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1168243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1168246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1168249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1168252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1168255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168274 */     // MIs[0] round
     /* 1168274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168284 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1168287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168312 */     // GIR_Coverage, 15804,
     /* 1168312 */     GIR_EraseRootFromParent_Done,
     /* 1168313 */   // Label 17042: @1168313
     /* 1168313 */   GIM_Try, /*On fail goto*//*Label 17043*/ GIMT_Encode4(1168396), // Rule ID 15805 //
     /* 1168318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1168321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul),
     /* 1168326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1168329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1168332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1168335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1168338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1168353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1168357 */     // MIs[0] round
     /* 1168357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168367 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11561:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSMUL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8),
     /* 1168370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168378 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1168388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1168394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168395 */     // GIR_Coverage, 15805,
     /* 1168395 */     GIR_EraseRootFromParent_Done,
     /* 1168396 */   // Label 17043: @1168396
     /* 1168396 */   GIM_Try, /*On fail goto*//*Label 17044*/ GIMT_Encode4(1168476), // Rule ID 15808 //
     /* 1168401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1168412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1168415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1168418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1168421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168440 */     // MIs[0] round
     /* 1168440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168450 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1168453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168475 */     // GIR_Coverage, 15808,
     /* 1168475 */     GIR_EraseRootFromParent_Done,
     /* 1168476 */   // Label 17044: @1168476
     /* 1168476 */   GIM_Try, /*On fail goto*//*Label 17045*/ GIMT_Encode4(1168556), // Rule ID 15809 //
     /* 1168481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1168492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1168495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1168498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1168501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168520 */     // MIs[0] round
     /* 1168520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8),
     /* 1168533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168555 */     // GIR_Coverage, 15809,
     /* 1168555 */     GIR_EraseRootFromParent_Done,
     /* 1168556 */   // Label 17045: @1168556
     /* 1168556 */   GIM_Try, /*On fail goto*//*Label 17046*/ GIMT_Encode4(1168636), // Rule ID 15812 //
     /* 1168561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1168572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1168575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1168578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1168581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168600 */     // MIs[0] round
     /* 1168600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168610 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1168613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168635 */     // GIR_Coverage, 15812,
     /* 1168635 */     GIR_EraseRootFromParent_Done,
     /* 1168636 */   // Label 17046: @1168636
     /* 1168636 */   GIM_Try, /*On fail goto*//*Label 17047*/ GIMT_Encode4(1168716), // Rule ID 15813 //
     /* 1168641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1168652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1168655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1168658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1168661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168680 */     // MIs[0] round
     /* 1168680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1168693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168715 */     // GIR_Coverage, 15813,
     /* 1168715 */     GIR_EraseRootFromParent_Done,
     /* 1168716 */   // Label 17047: @1168716
     /* 1168716 */   GIM_Try, /*On fail goto*//*Label 17048*/ GIMT_Encode4(1168796), // Rule ID 15816 //
     /* 1168721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1168732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1168735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1168738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1168741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168760 */     // MIs[0] round
     /* 1168760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1168773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168795 */     // GIR_Coverage, 15816,
     /* 1168795 */     GIR_EraseRootFromParent_Done,
     /* 1168796 */   // Label 17048: @1168796
     /* 1168796 */   GIM_Try, /*On fail goto*//*Label 17049*/ GIMT_Encode4(1168876), // Rule ID 15817 //
     /* 1168801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1168812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1168815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1168818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1168821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168840 */     // MIs[0] round
     /* 1168840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168850 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1168850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1168853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1168871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168875 */     // GIR_Coverage, 15817,
     /* 1168875 */     GIR_EraseRootFromParent_Done,
     /* 1168876 */   // Label 17049: @1168876
     /* 1168876 */   GIM_Try, /*On fail goto*//*Label 17050*/ GIMT_Encode4(1168956), // Rule ID 15820 //
     /* 1168881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1168884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1168892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1168895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1168898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1168901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1168904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168920 */     // MIs[0] round
     /* 1168920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1168923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1168930 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1168930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1168933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1168935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1168937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1168939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1168941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1168943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1168948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1168951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1168954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1168955 */     // GIR_Coverage, 15820,
     /* 1168955 */     GIR_EraseRootFromParent_Done,
     /* 1168956 */   // Label 17050: @1168956
     /* 1168956 */   GIM_Try, /*On fail goto*//*Label 17051*/ GIMT_Encode4(1169036), // Rule ID 15821 //
     /* 1168961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1168964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1168969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1168972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1168975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1168978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1168981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1168984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1168996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169000 */     // MIs[0] round
     /* 1169000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169010 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4),
     /* 1169013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169035 */     // GIR_Coverage, 15821,
     /* 1169035 */     GIR_EraseRootFromParent_Done,
     /* 1169036 */   // Label 17051: @1169036
     /* 1169036 */   GIM_Try, /*On fail goto*//*Label 17052*/ GIMT_Encode4(1169116), // Rule ID 15824 //
     /* 1169041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1169052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1169055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1169058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1169061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169080 */     // MIs[0] round
     /* 1169080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169090 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1169093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169115 */     // GIR_Coverage, 15824,
     /* 1169115 */     GIR_EraseRootFromParent_Done,
     /* 1169116 */   // Label 17052: @1169116
     /* 1169116 */   GIM_Try, /*On fail goto*//*Label 17053*/ GIMT_Encode4(1169196), // Rule ID 15825 //
     /* 1169121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1169132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1169135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1169138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1169141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169160 */     // MIs[0] round
     /* 1169160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169170 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1169173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169195 */     // GIR_Coverage, 15825,
     /* 1169195 */     GIR_EraseRootFromParent_Done,
     /* 1169196 */   // Label 17053: @1169196
     /* 1169196 */   GIM_Try, /*On fail goto*//*Label 17054*/ GIMT_Encode4(1169276), // Rule ID 15828 //
     /* 1169201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1169212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1169215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1169218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1169221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169240 */     // MIs[0] round
     /* 1169240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169250 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1169253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169275 */     // GIR_Coverage, 15828,
     /* 1169275 */     GIR_EraseRootFromParent_Done,
     /* 1169276 */   // Label 17054: @1169276
     /* 1169276 */   GIM_Try, /*On fail goto*//*Label 17055*/ GIMT_Encode4(1169356), // Rule ID 15829 //
     /* 1169281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1169292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1169295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1169298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1169301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169320 */     // MIs[0] round
     /* 1169320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169330 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2),
     /* 1169333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169355 */     // GIR_Coverage, 15829,
     /* 1169355 */     GIR_EraseRootFromParent_Done,
     /* 1169356 */   // Label 17055: @1169356
     /* 1169356 */   GIM_Try, /*On fail goto*//*Label 17056*/ GIMT_Encode4(1169436), // Rule ID 15832 //
     /* 1169361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1169372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1169375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1169378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1169381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169400 */     // MIs[0] round
     /* 1169400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1169413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169435 */     // GIR_Coverage, 15832,
     /* 1169435 */     GIR_EraseRootFromParent_Done,
     /* 1169436 */   // Label 17056: @1169436
     /* 1169436 */   GIM_Try, /*On fail goto*//*Label 17057*/ GIMT_Encode4(1169516), // Rule ID 15833 //
     /* 1169441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1169452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1169455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1169458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1169461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169480 */     // MIs[0] round
     /* 1169480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169490 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1169493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1169511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169515 */     // GIR_Coverage, 15833,
     /* 1169515 */     GIR_EraseRootFromParent_Done,
     /* 1169516 */   // Label 17057: @1169516
     /* 1169516 */   GIM_Try, /*On fail goto*//*Label 17058*/ GIMT_Encode4(1169596), // Rule ID 15836 //
     /* 1169521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1169532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1169535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1169538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1169541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169560 */     // MIs[0] round
     /* 1169560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1169573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169595 */     // GIR_Coverage, 15836,
     /* 1169595 */     GIR_EraseRootFromParent_Done,
     /* 1169596 */   // Label 17058: @1169596
     /* 1169596 */   GIM_Try, /*On fail goto*//*Label 17059*/ GIMT_Encode4(1169676), // Rule ID 15837 //
     /* 1169601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1169612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1169615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1169618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1169621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169640 */     // MIs[0] round
     /* 1169640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1169653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1169671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169675 */     // GIR_Coverage, 15837,
     /* 1169675 */     GIR_EraseRootFromParent_Done,
     /* 1169676 */   // Label 17059: @1169676
     /* 1169676 */   GIM_Try, /*On fail goto*//*Label 17060*/ GIMT_Encode4(1169756), // Rule ID 15840 //
     /* 1169681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1169684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1169692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1169695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1169698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1169701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169720 */     // MIs[0] round
     /* 1169720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1169733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169755 */     // GIR_Coverage, 15840,
     /* 1169755 */     GIR_EraseRootFromParent_Done,
     /* 1169756 */   // Label 17060: @1169756
     /* 1169756 */   GIM_Try, /*On fail goto*//*Label 17061*/ GIMT_Encode4(1169836), // Rule ID 15841 //
     /* 1169761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1169764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1169772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1169775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1169778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1169781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169800 */     // MIs[0] round
     /* 1169800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1169813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1169831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169835 */     // GIR_Coverage, 15841,
     /* 1169835 */     GIR_EraseRootFromParent_Done,
     /* 1169836 */   // Label 17061: @1169836
     /* 1169836 */   GIM_Try, /*On fail goto*//*Label 17062*/ GIMT_Encode4(1169916), // Rule ID 15844 //
     /* 1169841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1169844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1169852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1169855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1169861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1169864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169880 */     // MIs[0] round
     /* 1169880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169890 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1169890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1169893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169915 */     // GIR_Coverage, 15844,
     /* 1169915 */     GIR_EraseRootFromParent_Done,
     /* 1169916 */   // Label 17062: @1169916
     /* 1169916 */   GIM_Try, /*On fail goto*//*Label 17063*/ GIMT_Encode4(1169996), // Rule ID 15845 //
     /* 1169921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1169924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1169929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1169932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1169935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1169938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1169941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1169944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1169960 */     // MIs[0] round
     /* 1169960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1169963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1169970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1169970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1),
     /* 1169973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1169975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1169977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1169979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1169981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1169983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1169988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1169991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1169994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1169995 */     // GIR_Coverage, 15845,
     /* 1169995 */     GIR_EraseRootFromParent_Done,
     /* 1169996 */   // Label 17063: @1169996
     /* 1169996 */   GIM_Try, /*On fail goto*//*Label 17064*/ GIMT_Encode4(1170076), // Rule ID 15848 //
     /* 1170001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1170012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1170015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1170018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1170021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170040 */     // MIs[0] round
     /* 1170040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1170053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170075 */     // GIR_Coverage, 15848,
     /* 1170075 */     GIR_EraseRootFromParent_Done,
     /* 1170076 */   // Label 17064: @1170076
     /* 1170076 */   GIM_Try, /*On fail goto*//*Label 17065*/ GIMT_Encode4(1170156), // Rule ID 15849 //
     /* 1170081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1170092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1170095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1170098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1170101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170120 */     // MIs[0] round
     /* 1170120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170130 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1170133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170155 */     // GIR_Coverage, 15849,
     /* 1170155 */     GIR_EraseRootFromParent_Done,
     /* 1170156 */   // Label 17065: @1170156
     /* 1170156 */   GIM_Try, /*On fail goto*//*Label 17066*/ GIMT_Encode4(1170236), // Rule ID 15852 //
     /* 1170161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1170172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1170175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1170178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1170181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170200 */     // MIs[0] round
     /* 1170200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170210 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1170213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170235 */     // GIR_Coverage, 15852,
     /* 1170235 */     GIR_EraseRootFromParent_Done,
     /* 1170236 */   // Label 17066: @1170236
     /* 1170236 */   GIM_Try, /*On fail goto*//*Label 17067*/ GIMT_Encode4(1170316), // Rule ID 15853 //
     /* 1170241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1170252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1170255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1170258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1170261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170280 */     // MIs[0] round
     /* 1170280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1170293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170315 */     // GIR_Coverage, 15853,
     /* 1170315 */     GIR_EraseRootFromParent_Done,
     /* 1170316 */   // Label 17067: @1170316
     /* 1170316 */   GIM_Try, /*On fail goto*//*Label 17068*/ GIMT_Encode4(1170396), // Rule ID 15856 //
     /* 1170321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1170332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1170335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1170338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1170341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170360 */     // MIs[0] round
     /* 1170360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170370 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1170373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170395 */     // GIR_Coverage, 15856,
     /* 1170395 */     GIR_EraseRootFromParent_Done,
     /* 1170396 */   // Label 17068: @1170396
     /* 1170396 */   GIM_Try, /*On fail goto*//*Label 17069*/ GIMT_Encode4(1170476), // Rule ID 15857 //
     /* 1170401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1170412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1170415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1170418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1170421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170440 */     // MIs[0] round
     /* 1170440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170450 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1170453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1170471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170475 */     // GIR_Coverage, 15857,
     /* 1170475 */     GIR_EraseRootFromParent_Done,
     /* 1170476 */   // Label 17069: @1170476
     /* 1170476 */   GIM_Try, /*On fail goto*//*Label 17070*/ GIMT_Encode4(1170556), // Rule ID 15860 //
     /* 1170481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1170492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1170495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1170498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1170501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170520 */     // MIs[0] round
     /* 1170520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170530 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1170533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170555 */     // GIR_Coverage, 15860,
     /* 1170555 */     GIR_EraseRootFromParent_Done,
     /* 1170556 */   // Label 17070: @1170556
     /* 1170556 */   GIM_Try, /*On fail goto*//*Label 17071*/ GIMT_Encode4(1170636), // Rule ID 15861 //
     /* 1170561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1170572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1170575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1170578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1170581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170600 */     // MIs[0] round
     /* 1170600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170610 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1170613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170635 */     // GIR_Coverage, 15861,
     /* 1170635 */     GIR_EraseRootFromParent_Done,
     /* 1170636 */   // Label 17071: @1170636
     /* 1170636 */   GIM_Try, /*On fail goto*//*Label 17072*/ GIMT_Encode4(1170716), // Rule ID 15864 //
     /* 1170641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1170652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1170655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1170661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170680 */     // MIs[0] round
     /* 1170680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170690 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1170693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170715 */     // GIR_Coverage, 15864,
     /* 1170715 */     GIR_EraseRootFromParent_Done,
     /* 1170716 */   // Label 17072: @1170716
     /* 1170716 */   GIM_Try, /*On fail goto*//*Label 17073*/ GIMT_Encode4(1170796), // Rule ID 15865 //
     /* 1170721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1170732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1170735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1170738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1170741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1170760 */     // MIs[0] round
     /* 1170760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170770 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1170773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170795 */     // GIR_Coverage, 15865,
     /* 1170795 */     GIR_EraseRootFromParent_Done,
     /* 1170796 */   // Label 17073: @1170796
     /* 1170796 */   GIM_Try, /*On fail goto*//*Label 17074*/ GIMT_Encode4(1170876), // Rule ID 15868 //
     /* 1170801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1170812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1170815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1170821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170840 */     // MIs[0] round
     /* 1170840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170850 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1170850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1170853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170875 */     // GIR_Coverage, 15868,
     /* 1170875 */     GIR_EraseRootFromParent_Done,
     /* 1170876 */   // Label 17074: @1170876
     /* 1170876 */   GIM_Try, /*On fail goto*//*Label 17075*/ GIMT_Encode4(1170956), // Rule ID 15869 //
     /* 1170881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1170884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1170892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1170895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1170898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1170901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1170904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1170920 */     // MIs[0] round
     /* 1170920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1170923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1170930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1170930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1170933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1170935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1170937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1170939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1170941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1170943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1170948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1170951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1170954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1170955 */     // GIR_Coverage, 15869,
     /* 1170955 */     GIR_EraseRootFromParent_Done,
     /* 1170956 */   // Label 17075: @1170956
     /* 1170956 */   GIM_Try, /*On fail goto*//*Label 17076*/ GIMT_Encode4(1171036), // Rule ID 15872 //
     /* 1170961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1170964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1170969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1170972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1170975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1170978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1170981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1170984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1170996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171000 */     // MIs[0] round
     /* 1171000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171010 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1171013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171035 */     // GIR_Coverage, 15872,
     /* 1171035 */     GIR_EraseRootFromParent_Done,
     /* 1171036 */   // Label 17076: @1171036
     /* 1171036 */   GIM_Try, /*On fail goto*//*Label 17077*/ GIMT_Encode4(1171116), // Rule ID 15873 //
     /* 1171041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1171052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1171055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1171058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1171061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171080 */     // MIs[0] round
     /* 1171080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1171093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171115 */     // GIR_Coverage, 15873,
     /* 1171115 */     GIR_EraseRootFromParent_Done,
     /* 1171116 */   // Label 17077: @1171116
     /* 1171116 */   GIM_Try, /*On fail goto*//*Label 17078*/ GIMT_Encode4(1171196), // Rule ID 15876 //
     /* 1171121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1171132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1171135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1171138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1171141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171160 */     // MIs[0] round
     /* 1171160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171170 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1171173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171195 */     // GIR_Coverage, 15876,
     /* 1171195 */     GIR_EraseRootFromParent_Done,
     /* 1171196 */   // Label 17078: @1171196
     /* 1171196 */   GIM_Try, /*On fail goto*//*Label 17079*/ GIMT_Encode4(1171276), // Rule ID 15877 //
     /* 1171201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1171212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1171215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1171218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1171221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171240 */     // MIs[0] round
     /* 1171240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1171253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171275 */     // GIR_Coverage, 15877,
     /* 1171275 */     GIR_EraseRootFromParent_Done,
     /* 1171276 */   // Label 17079: @1171276
     /* 1171276 */   GIM_Try, /*On fail goto*//*Label 17080*/ GIMT_Encode4(1171356), // Rule ID 15880 //
     /* 1171281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1171292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1171295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1171298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1171301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171320 */     // MIs[0] round
     /* 1171320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171330 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1171333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171355 */     // GIR_Coverage, 15880,
     /* 1171355 */     GIR_EraseRootFromParent_Done,
     /* 1171356 */   // Label 17080: @1171356
     /* 1171356 */   GIM_Try, /*On fail goto*//*Label 17081*/ GIMT_Encode4(1171436), // Rule ID 15881 //
     /* 1171361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1171364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1171372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1171375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1171378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1171381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171400 */     // MIs[0] round
     /* 1171400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171410 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1171413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1171431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171435 */     // GIR_Coverage, 15881,
     /* 1171435 */     GIR_EraseRootFromParent_Done,
     /* 1171436 */   // Label 17081: @1171436
     /* 1171436 */   GIM_Try, /*On fail goto*//*Label 17082*/ GIMT_Encode4(1171516), // Rule ID 15884 //
     /* 1171441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1171452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1171455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1171458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1171461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171480 */     // MIs[0] round
     /* 1171480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1171493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171515 */     // GIR_Coverage, 15884,
     /* 1171515 */     GIR_EraseRootFromParent_Done,
     /* 1171516 */   // Label 17082: @1171516
     /* 1171516 */   GIM_Try, /*On fail goto*//*Label 17083*/ GIMT_Encode4(1171596), // Rule ID 15885 //
     /* 1171521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1171532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1171535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1171538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1171541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1171560 */     // MIs[0] round
     /* 1171560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171570 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2),
     /* 1171573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171595 */     // GIR_Coverage, 15885,
     /* 1171595 */     GIR_EraseRootFromParent_Done,
     /* 1171596 */   // Label 17083: @1171596
     /* 1171596 */   GIM_Try, /*On fail goto*//*Label 17084*/ GIMT_Encode4(1171676), // Rule ID 15888 //
     /* 1171601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1171612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1171615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1171621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171640 */     // MIs[0] round
     /* 1171640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171650 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1171653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171675 */     // GIR_Coverage, 15888,
     /* 1171675 */     GIR_EraseRootFromParent_Done,
     /* 1171676 */   // Label 17084: @1171676
     /* 1171676 */   GIM_Try, /*On fail goto*//*Label 17085*/ GIMT_Encode4(1171756), // Rule ID 15889 //
     /* 1171681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1171692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1171695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1171698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1171701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1171720 */     // MIs[0] round
     /* 1171720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171730 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4),
     /* 1171733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171755 */     // GIR_Coverage, 15889,
     /* 1171755 */     GIR_EraseRootFromParent_Done,
     /* 1171756 */   // Label 17085: @1171756
     /* 1171756 */   GIM_Try, /*On fail goto*//*Label 17086*/ GIMT_Encode4(1171836), // Rule ID 15892 //
     /* 1171761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1171764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1171772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1171775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1171781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171800 */     // MIs[0] round
     /* 1171800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171810 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1171813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171835 */     // GIR_Coverage, 15892,
     /* 1171835 */     GIR_EraseRootFromParent_Done,
     /* 1171836 */   // Label 17086: @1171836
     /* 1171836 */   GIM_Try, /*On fail goto*//*Label 17087*/ GIMT_Encode4(1171916), // Rule ID 15893 //
     /* 1171841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1171844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1171852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1171855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1171858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1171861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1171864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1171880 */     // MIs[0] round
     /* 1171880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171890 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1171890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8),
     /* 1171893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1171911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171915 */     // GIR_Coverage, 15893,
     /* 1171915 */     GIR_EraseRootFromParent_Done,
     /* 1171916 */   // Label 17087: @1171916
     /* 1171916 */   GIM_Try, /*On fail goto*//*Label 17088*/ GIMT_Encode4(1171996), // Rule ID 15896 //
     /* 1171921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1171924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1171929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1171932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1171935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1171938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1171941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1171944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1171956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1171960 */     // MIs[0] round
     /* 1171960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1171963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1171970 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1171970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1171973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1171975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1171977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1171979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1171981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1171983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1171988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1171991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1171994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1171995 */     // GIR_Coverage, 15896,
     /* 1171995 */     GIR_EraseRootFromParent_Done,
     /* 1171996 */   // Label 17088: @1171996
     /* 1171996 */   GIM_Try, /*On fail goto*//*Label 17089*/ GIMT_Encode4(1172076), // Rule ID 15897 //
     /* 1172001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1172012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1172015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1172018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172040 */     // MIs[0] round
     /* 1172040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172050 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8),
     /* 1172053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172075 */     // GIR_Coverage, 15897,
     /* 1172075 */     GIR_EraseRootFromParent_Done,
     /* 1172076 */   // Label 17089: @1172076
     /* 1172076 */   GIM_Try, /*On fail goto*//*Label 17090*/ GIMT_Encode4(1172156), // Rule ID 15900 //
     /* 1172081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1172092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1172095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1172098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172120 */     // MIs[0] round
     /* 1172120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172130 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1172133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172155 */     // GIR_Coverage, 15900,
     /* 1172155 */     GIR_EraseRootFromParent_Done,
     /* 1172156 */   // Label 17090: @1172156
     /* 1172156 */   GIM_Try, /*On fail goto*//*Label 17091*/ GIMT_Encode4(1172236), // Rule ID 15901 //
     /* 1172161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1172172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1172175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1172178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172200 */     // MIs[0] round
     /* 1172200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172210 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1172213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172235 */     // GIR_Coverage, 15901,
     /* 1172235 */     GIR_EraseRootFromParent_Done,
     /* 1172236 */   // Label 17091: @1172236
     /* 1172236 */   GIM_Try, /*On fail goto*//*Label 17092*/ GIMT_Encode4(1172316), // Rule ID 15904 //
     /* 1172241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1172252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1172255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1172258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172280 */     // MIs[0] round
     /* 1172280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172290 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1172293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172315 */     // GIR_Coverage, 15904,
     /* 1172315 */     GIR_EraseRootFromParent_Done,
     /* 1172316 */   // Label 17092: @1172316
     /* 1172316 */   GIM_Try, /*On fail goto*//*Label 17093*/ GIMT_Encode4(1172396), // Rule ID 15905 //
     /* 1172321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1172332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1172335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1172338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172360 */     // MIs[0] round
     /* 1172360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172370 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1172373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172395 */     // GIR_Coverage, 15905,
     /* 1172395 */     GIR_EraseRootFromParent_Done,
     /* 1172396 */   // Label 17093: @1172396
     /* 1172396 */   GIM_Try, /*On fail goto*//*Label 17094*/ GIMT_Encode4(1172476), // Rule ID 15908 //
     /* 1172401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1172412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1172415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1172418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172440 */     // MIs[0] round
     /* 1172440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1172453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172475 */     // GIR_Coverage, 15908,
     /* 1172475 */     GIR_EraseRootFromParent_Done,
     /* 1172476 */   // Label 17094: @1172476
     /* 1172476 */   GIM_Try, /*On fail goto*//*Label 17095*/ GIMT_Encode4(1172556), // Rule ID 15909 //
     /* 1172481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1172492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1172495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1172498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172520 */     // MIs[0] round
     /* 1172520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4),
     /* 1172533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172555 */     // GIR_Coverage, 15909,
     /* 1172555 */     GIR_EraseRootFromParent_Done,
     /* 1172556 */   // Label 17095: @1172556
     /* 1172556 */   GIM_Try, /*On fail goto*//*Label 17096*/ GIMT_Encode4(1172636), // Rule ID 15912 //
     /* 1172561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1172572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1172575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172600 */     // MIs[0] round
     /* 1172600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172610 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1172613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172635 */     // GIR_Coverage, 15912,
     /* 1172635 */     GIR_EraseRootFromParent_Done,
     /* 1172636 */   // Label 17096: @1172636
     /* 1172636 */   GIM_Try, /*On fail goto*//*Label 17097*/ GIMT_Encode4(1172716), // Rule ID 15913 //
     /* 1172641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1172652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1172655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1172658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172680 */     // MIs[0] round
     /* 1172680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1172693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1172711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172715 */     // GIR_Coverage, 15913,
     /* 1172715 */     GIR_EraseRootFromParent_Done,
     /* 1172716 */   // Label 17097: @1172716
     /* 1172716 */   GIM_Try, /*On fail goto*//*Label 17098*/ GIMT_Encode4(1172796), // Rule ID 15916 //
     /* 1172721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1172732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1172735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1172738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172760 */     // MIs[0] round
     /* 1172760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172770 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1172773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172795 */     // GIR_Coverage, 15916,
     /* 1172795 */     GIR_EraseRootFromParent_Done,
     /* 1172796 */   // Label 17098: @1172796
     /* 1172796 */   GIM_Try, /*On fail goto*//*Label 17099*/ GIMT_Encode4(1172876), // Rule ID 15917 //
     /* 1172801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1172812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1172815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1172818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172840 */     // MIs[0] round
     /* 1172840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1172850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2),
     /* 1172853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1172871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172875 */     // GIR_Coverage, 15917,
     /* 1172875 */     GIR_EraseRootFromParent_Done,
     /* 1172876 */   // Label 17099: @1172876
     /* 1172876 */   GIM_Try, /*On fail goto*//*Label 17100*/ GIMT_Encode4(1172956), // Rule ID 15920 //
     /* 1172881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1172884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1172898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1172901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1172904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1172920 */     // MIs[0] round
     /* 1172920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1172923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1172930 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1172930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1172933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1172935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1172937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1172939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1172941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1172943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1172948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1172951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1172954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1172955 */     // GIR_Coverage, 15920,
     /* 1172955 */     GIR_EraseRootFromParent_Done,
     /* 1172956 */   // Label 17100: @1172956
     /* 1172956 */   GIM_Try, /*On fail goto*//*Label 17101*/ GIMT_Encode4(1173036), // Rule ID 15921 //
     /* 1172961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1172964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1172969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1172972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1172975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1172978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1172981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1172984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1172996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173000 */     // MIs[0] round
     /* 1173000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173010 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11601:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1173013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173035 */     // GIR_Coverage, 15921,
     /* 1173035 */     GIR_EraseRootFromParent_Done,
     /* 1173036 */   // Label 17101: @1173036
     /* 1173036 */   GIM_Try, /*On fail goto*//*Label 17102*/ GIMT_Encode4(1173116), // Rule ID 15924 //
     /* 1173041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1173052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1173055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173080 */     // MIs[0] round
     /* 1173080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1173093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173115 */     // GIR_Coverage, 15924,
     /* 1173115 */     GIR_EraseRootFromParent_Done,
     /* 1173116 */   // Label 17102: @1173116
     /* 1173116 */   GIM_Try, /*On fail goto*//*Label 17103*/ GIMT_Encode4(1173196), // Rule ID 15925 //
     /* 1173121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1173132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1173135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1173138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173160 */     // MIs[0] round
     /* 1173160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11601:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1173173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1173191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173195 */     // GIR_Coverage, 15925,
     /* 1173195 */     GIR_EraseRootFromParent_Done,
     /* 1173196 */   // Label 17103: @1173196
     /* 1173196 */   GIM_Try, /*On fail goto*//*Label 17104*/ GIMT_Encode4(1173276), // Rule ID 15928 //
     /* 1173201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1173212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1173215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1173218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173240 */     // MIs[0] round
     /* 1173240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1173253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173275 */     // GIR_Coverage, 15928,
     /* 1173275 */     GIR_EraseRootFromParent_Done,
     /* 1173276 */   // Label 17104: @1173276
     /* 1173276 */   GIM_Try, /*On fail goto*//*Label 17105*/ GIMT_Encode4(1173356), // Rule ID 15929 //
     /* 1173281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1173292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1173295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1173298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173320 */     // MIs[0] round
     /* 1173320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173330 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11601:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1173333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1173351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173355 */     // GIR_Coverage, 15929,
     /* 1173355 */     GIR_EraseRootFromParent_Done,
     /* 1173356 */   // Label 17105: @1173356
     /* 1173356 */   GIM_Try, /*On fail goto*//*Label 17106*/ GIMT_Encode4(1173436), // Rule ID 15932 //
     /* 1173361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1173364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1173372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1173375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1173378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173400 */     // MIs[0] round
     /* 1173400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173410 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1173413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173435 */     // GIR_Coverage, 15932,
     /* 1173435 */     GIR_EraseRootFromParent_Done,
     /* 1173436 */   // Label 17106: @1173436
     /* 1173436 */   GIM_Try, /*On fail goto*//*Label 17107*/ GIMT_Encode4(1173516), // Rule ID 15933 //
     /* 1173441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1173444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1173452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1173455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1173458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1173476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173480 */     // MIs[0] round
     /* 1173480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11601:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1),
     /* 1173493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1173511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173515 */     // GIR_Coverage, 15933,
     /* 1173515 */     GIR_EraseRootFromParent_Done,
     /* 1173516 */   // Label 17107: @1173516
     /* 1173516 */   GIM_Try, /*On fail goto*//*Label 17108*/ GIMT_Encode4(1173596), // Rule ID 15936 //
     /* 1173521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1173532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1173535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1173538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173560 */     // MIs[0] round
     /* 1173560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173570 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1173573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173595 */     // GIR_Coverage, 15936,
     /* 1173595 */     GIR_EraseRootFromParent_Done,
     /* 1173596 */   // Label 17108: @1173596
     /* 1173596 */   GIM_Try, /*On fail goto*//*Label 17109*/ GIMT_Encode4(1173676), // Rule ID 15937 //
     /* 1173601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1173612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1173615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1173618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1173636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173640 */     // MIs[0] round
     /* 1173640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173650 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1173653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173675 */     // GIR_Coverage, 15937,
     /* 1173675 */     GIR_EraseRootFromParent_Done,
     /* 1173676 */   // Label 17109: @1173676
     /* 1173676 */   GIM_Try, /*On fail goto*//*Label 17110*/ GIMT_Encode4(1173756), // Rule ID 15940 //
     /* 1173681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1173698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173720 */     // MIs[0] round
     /* 1173720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173730 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1173733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173755 */     // GIR_Coverage, 15940,
     /* 1173755 */     GIR_EraseRootFromParent_Done,
     /* 1173756 */   // Label 17110: @1173756
     /* 1173756 */   GIM_Try, /*On fail goto*//*Label 17111*/ GIMT_Encode4(1173836), // Rule ID 15941 //
     /* 1173761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1173772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1173775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1173778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1173796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173800 */     // MIs[0] round
     /* 1173800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173810 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1173813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173835 */     // GIR_Coverage, 15941,
     /* 1173835 */     GIR_EraseRootFromParent_Done,
     /* 1173836 */   // Label 17111: @1173836
     /* 1173836 */   GIM_Try, /*On fail goto*//*Label 17112*/ GIMT_Encode4(1173916), // Rule ID 15944 //
     /* 1173841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1173844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1173852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1173855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1173858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1173861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1173864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173880 */     // MIs[0] round
     /* 1173880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173890 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1173890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1173893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173915 */     // GIR_Coverage, 15944,
     /* 1173915 */     GIR_EraseRootFromParent_Done,
     /* 1173916 */   // Label 17112: @1173916
     /* 1173916 */   GIM_Try, /*On fail goto*//*Label 17113*/ GIMT_Encode4(1173996), // Rule ID 15945 //
     /* 1173921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1173924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1173929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1173932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1173935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1173938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1173941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1173944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1173956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1173960 */     // MIs[0] round
     /* 1173960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1173963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1173970 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1173970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1173973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1173975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1173977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1173979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1173981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1173983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1173988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1173991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1173994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1173995 */     // GIR_Coverage, 15945,
     /* 1173995 */     GIR_EraseRootFromParent_Done,
     /* 1173996 */   // Label 17113: @1173996
     /* 1173996 */   GIM_Try, /*On fail goto*//*Label 17114*/ GIMT_Encode4(1174076), // Rule ID 15948 //
     /* 1174001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174040 */     // MIs[0] round
     /* 1174040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174050 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1174053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174075 */     // GIR_Coverage, 15948,
     /* 1174075 */     GIR_EraseRootFromParent_Done,
     /* 1174076 */   // Label 17114: @1174076
     /* 1174076 */   GIM_Try, /*On fail goto*//*Label 17115*/ GIMT_Encode4(1174156), // Rule ID 15949 //
     /* 1174081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1174092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1174095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1174098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174120 */     // MIs[0] round
     /* 1174120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174130 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1174133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174155 */     // GIR_Coverage, 15949,
     /* 1174155 */     GIR_EraseRootFromParent_Done,
     /* 1174156 */   // Label 17115: @1174156
     /* 1174156 */   GIM_Try, /*On fail goto*//*Label 17116*/ GIMT_Encode4(1174236), // Rule ID 15952 //
     /* 1174161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1174172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1174175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1174178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174200 */     // MIs[0] round
     /* 1174200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174210 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1174213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174235 */     // GIR_Coverage, 15952,
     /* 1174235 */     GIR_EraseRootFromParent_Done,
     /* 1174236 */   // Label 17116: @1174236
     /* 1174236 */   GIM_Try, /*On fail goto*//*Label 17117*/ GIMT_Encode4(1174316), // Rule ID 15953 //
     /* 1174241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1174252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1174255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1174258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174280 */     // MIs[0] round
     /* 1174280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1174293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174315 */     // GIR_Coverage, 15953,
     /* 1174315 */     GIR_EraseRootFromParent_Done,
     /* 1174316 */   // Label 17117: @1174316
     /* 1174316 */   GIM_Try, /*On fail goto*//*Label 17118*/ GIMT_Encode4(1174396), // Rule ID 15956 //
     /* 1174321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1174332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1174335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174360 */     // MIs[0] round
     /* 1174360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174370 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1174373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174395 */     // GIR_Coverage, 15956,
     /* 1174395 */     GIR_EraseRootFromParent_Done,
     /* 1174396 */   // Label 17118: @1174396
     /* 1174396 */   GIM_Try, /*On fail goto*//*Label 17119*/ GIMT_Encode4(1174476), // Rule ID 15957 //
     /* 1174401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1174412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1174415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1174418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174440 */     // MIs[0] round
     /* 1174440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174450 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1174453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1174471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174475 */     // GIR_Coverage, 15957,
     /* 1174475 */     GIR_EraseRootFromParent_Done,
     /* 1174476 */   // Label 17119: @1174476
     /* 1174476 */   GIM_Try, /*On fail goto*//*Label 17120*/ GIMT_Encode4(1174556), // Rule ID 15960 //
     /* 1174481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1174492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1174495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174520 */     // MIs[0] round
     /* 1174520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174530 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1174533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174555 */     // GIR_Coverage, 15960,
     /* 1174555 */     GIR_EraseRootFromParent_Done,
     /* 1174556 */   // Label 17120: @1174556
     /* 1174556 */   GIM_Try, /*On fail goto*//*Label 17121*/ GIMT_Encode4(1174636), // Rule ID 15961 //
     /* 1174561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1174572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1174575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1174578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174600 */     // MIs[0] round
     /* 1174600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1174613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174635 */     // GIR_Coverage, 15961,
     /* 1174635 */     GIR_EraseRootFromParent_Done,
     /* 1174636 */   // Label 17121: @1174636
     /* 1174636 */   GIM_Try, /*On fail goto*//*Label 17122*/ GIMT_Encode4(1174716), // Rule ID 15964 //
     /* 1174641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174680 */     // MIs[0] round
     /* 1174680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1174693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174715 */     // GIR_Coverage, 15964,
     /* 1174715 */     GIR_EraseRootFromParent_Done,
     /* 1174716 */   // Label 17122: @1174716
     /* 1174716 */   GIM_Try, /*On fail goto*//*Label 17123*/ GIMT_Encode4(1174796), // Rule ID 15965 //
     /* 1174721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1174732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1174735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1174738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1174756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174760 */     // MIs[0] round
     /* 1174760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174770 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1174773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174795 */     // GIR_Coverage, 15965,
     /* 1174795 */     GIR_EraseRootFromParent_Done,
     /* 1174796 */   // Label 17123: @1174796
     /* 1174796 */   GIM_Try, /*On fail goto*//*Label 17124*/ GIMT_Encode4(1174876), // Rule ID 15968 //
     /* 1174801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1174804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1174812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1174815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1174818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174840 */     // MIs[0] round
     /* 1174840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174850 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1174850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1174853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174875 */     // GIR_Coverage, 15968,
     /* 1174875 */     GIR_EraseRootFromParent_Done,
     /* 1174876 */   // Label 17124: @1174876
     /* 1174876 */   GIM_Try, /*On fail goto*//*Label 17125*/ GIMT_Encode4(1174956), // Rule ID 15969 //
     /* 1174881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1174884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1174892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1174895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1174898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1174901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1174904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1174916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1174920 */     // MIs[0] round
     /* 1174920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1174923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1174930 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1174930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1174933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1174935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1174937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1174939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1174941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1174943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1174948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1174951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1174954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1174955 */     // GIR_Coverage, 15969,
     /* 1174955 */     GIR_EraseRootFromParent_Done,
     /* 1174956 */   // Label 17125: @1174956
     /* 1174956 */   GIM_Try, /*On fail goto*//*Label 17126*/ GIMT_Encode4(1175036), // Rule ID 15972 //
     /* 1174961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1174964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1174969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1174972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1174975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1174978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1174981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1174984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1174996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175000 */     // MIs[0] round
     /* 1175000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1175013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175035 */     // GIR_Coverage, 15972,
     /* 1175035 */     GIR_EraseRootFromParent_Done,
     /* 1175036 */   // Label 17126: @1175036
     /* 1175036 */   GIM_Try, /*On fail goto*//*Label 17127*/ GIMT_Encode4(1175116), // Rule ID 15973 //
     /* 1175041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1175049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1175052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1175055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1175058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1175076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175080 */     // MIs[0] round
     /* 1175080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175090 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11601:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2),
     /* 1175093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175115 */     // GIR_Coverage, 15973,
     /* 1175115 */     GIR_EraseRootFromParent_Done,
     /* 1175116 */   // Label 17127: @1175116
     /* 1175116 */   GIM_Try, /*On fail goto*//*Label 17128*/ GIMT_Encode4(1175196), // Rule ID 15976 //
     /* 1175121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1175129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1175132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1175135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175160 */     // MIs[0] round
     /* 1175160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175170 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1175173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175195 */     // GIR_Coverage, 15976,
     /* 1175195 */     GIR_EraseRootFromParent_Done,
     /* 1175196 */   // Label 17128: @1175196
     /* 1175196 */   GIM_Try, /*On fail goto*//*Label 17129*/ GIMT_Encode4(1175276), // Rule ID 15977 //
     /* 1175201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1175209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1175212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1175215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1175218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1175236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175240 */     // MIs[0] round
     /* 1175240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175250 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11601:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4),
     /* 1175253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175275 */     // GIR_Coverage, 15977,
     /* 1175275 */     GIR_EraseRootFromParent_Done,
     /* 1175276 */   // Label 17129: @1175276
     /* 1175276 */   GIM_Try, /*On fail goto*//*Label 17130*/ GIMT_Encode4(1175356), // Rule ID 15980 //
     /* 1175281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1175284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1175289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1175292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1175295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1175301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175320 */     // MIs[0] round
     /* 1175320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1175333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175355 */     // GIR_Coverage, 15980,
     /* 1175355 */     GIR_EraseRootFromParent_Done,
     /* 1175356 */   // Label 17130: @1175356
     /* 1175356 */   GIM_Try, /*On fail goto*//*Label 17131*/ GIMT_Encode4(1175436), // Rule ID 15981 //
     /* 1175361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1175364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl),
     /* 1175369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1175372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1175375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1175378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1175381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1175396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1175400 */     // MIs[0] round
     /* 1175400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11601:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRL_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8),
     /* 1175413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1175431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175435 */     // GIR_Coverage, 15981,
     /* 1175435 */     GIR_EraseRootFromParent_Done,
     /* 1175436 */   // Label 17131: @1175436
     /* 1175436 */   GIM_Try, /*On fail goto*//*Label 17132*/ GIMT_Encode4(1175516), // Rule ID 16072 //
     /* 1175441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1175458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1175461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175480 */     // MIs[0] round
     /* 1175480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175490 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1175493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175515 */     // GIR_Coverage, 16072,
     /* 1175515 */     GIR_EraseRootFromParent_Done,
     /* 1175516 */   // Label 17132: @1175516
     /* 1175516 */   GIM_Try, /*On fail goto*//*Label 17133*/ GIMT_Encode4(1175596), // Rule ID 16073 //
     /* 1175521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1175532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1175535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1175538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1175541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175560 */     // MIs[0] round
     /* 1175560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175570 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8),
     /* 1175573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175595 */     // GIR_Coverage, 16073,
     /* 1175595 */     GIR_EraseRootFromParent_Done,
     /* 1175596 */   // Label 17133: @1175596
     /* 1175596 */   GIM_Try, /*On fail goto*//*Label 17134*/ GIMT_Encode4(1175676), // Rule ID 16076 //
     /* 1175601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1175612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1175615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1175618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1175621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175640 */     // MIs[0] round
     /* 1175640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175650 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1175653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175675 */     // GIR_Coverage, 16076,
     /* 1175675 */     GIR_EraseRootFromParent_Done,
     /* 1175676 */   // Label 17134: @1175676
     /* 1175676 */   GIM_Try, /*On fail goto*//*Label 17135*/ GIMT_Encode4(1175756), // Rule ID 16077 //
     /* 1175681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1175692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1175695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1175698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1175701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175720 */     // MIs[0] round
     /* 1175720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175730 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1175733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175755 */     // GIR_Coverage, 16077,
     /* 1175755 */     GIR_EraseRootFromParent_Done,
     /* 1175756 */   // Label 17135: @1175756
     /* 1175756 */   GIM_Try, /*On fail goto*//*Label 17136*/ GIMT_Encode4(1175836), // Rule ID 16080 //
     /* 1175761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1175772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1175775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1175778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1175781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175800 */     // MIs[0] round
     /* 1175800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175810 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1175813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175835 */     // GIR_Coverage, 16080,
     /* 1175835 */     GIR_EraseRootFromParent_Done,
     /* 1175836 */   // Label 17136: @1175836
     /* 1175836 */   GIM_Try, /*On fail goto*//*Label 17137*/ GIMT_Encode4(1175916), // Rule ID 16081 //
     /* 1175841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1175844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1175852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1175855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1175858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1175861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1175864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175880 */     // MIs[0] round
     /* 1175880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175890 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1175890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1175893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1175911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175915 */     // GIR_Coverage, 16081,
     /* 1175915 */     GIR_EraseRootFromParent_Done,
     /* 1175916 */   // Label 17137: @1175916
     /* 1175916 */   GIM_Try, /*On fail goto*//*Label 17138*/ GIMT_Encode4(1175996), // Rule ID 16084 //
     /* 1175921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1175924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1175929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1175932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1175935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1175938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1175941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1175944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1175960 */     // MIs[0] round
     /* 1175960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1175963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1175970 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1175970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1175973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1175975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1175977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1175979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1175981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1175983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1175988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1175991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1175994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1175995 */     // GIR_Coverage, 16084,
     /* 1175995 */     GIR_EraseRootFromParent_Done,
     /* 1175996 */   // Label 17138: @1175996
     /* 1175996 */   GIM_Try, /*On fail goto*//*Label 17139*/ GIMT_Encode4(1176076), // Rule ID 16085 //
     /* 1176001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1176012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1176015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1176018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1176021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176040 */     // MIs[0] round
     /* 1176040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176050 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4),
     /* 1176053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176075 */     // GIR_Coverage, 16085,
     /* 1176075 */     GIR_EraseRootFromParent_Done,
     /* 1176076 */   // Label 17139: @1176076
     /* 1176076 */   GIM_Try, /*On fail goto*//*Label 17140*/ GIMT_Encode4(1176156), // Rule ID 16088 //
     /* 1176081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1176092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1176095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1176101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176120 */     // MIs[0] round
     /* 1176120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1176133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176155 */     // GIR_Coverage, 16088,
     /* 1176155 */     GIR_EraseRootFromParent_Done,
     /* 1176156 */   // Label 17140: @1176156
     /* 1176156 */   GIM_Try, /*On fail goto*//*Label 17141*/ GIMT_Encode4(1176236), // Rule ID 16089 //
     /* 1176161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1176172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1176175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1176178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1176181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176200 */     // MIs[0] round
     /* 1176200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176210 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1176213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176235 */     // GIR_Coverage, 16089,
     /* 1176235 */     GIR_EraseRootFromParent_Done,
     /* 1176236 */   // Label 17141: @1176236
     /* 1176236 */   GIM_Try, /*On fail goto*//*Label 17142*/ GIMT_Encode4(1176316), // Rule ID 16092 //
     /* 1176241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1176252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1176255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1176261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176280 */     // MIs[0] round
     /* 1176280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1176293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176315 */     // GIR_Coverage, 16092,
     /* 1176315 */     GIR_EraseRootFromParent_Done,
     /* 1176316 */   // Label 17142: @1176316
     /* 1176316 */   GIM_Try, /*On fail goto*//*Label 17143*/ GIMT_Encode4(1176396), // Rule ID 16093 //
     /* 1176321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1176332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1176335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1176338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1176341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176360 */     // MIs[0] round
     /* 1176360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176370 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2),
     /* 1176373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176395 */     // GIR_Coverage, 16093,
     /* 1176395 */     GIR_EraseRootFromParent_Done,
     /* 1176396 */   // Label 17143: @1176396
     /* 1176396 */   GIM_Try, /*On fail goto*//*Label 17144*/ GIMT_Encode4(1176476), // Rule ID 16096 //
     /* 1176401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1176418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1176421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176440 */     // MIs[0] round
     /* 1176440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1176453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176475 */     // GIR_Coverage, 16096,
     /* 1176475 */     GIR_EraseRootFromParent_Done,
     /* 1176476 */   // Label 17144: @1176476
     /* 1176476 */   GIM_Try, /*On fail goto*//*Label 17145*/ GIMT_Encode4(1176556), // Rule ID 16097 //
     /* 1176481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1176492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1176495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1176498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1176501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176520 */     // MIs[0] round
     /* 1176520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1176533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1176551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176555 */     // GIR_Coverage, 16097,
     /* 1176555 */     GIR_EraseRootFromParent_Done,
     /* 1176556 */   // Label 17145: @1176556
     /* 1176556 */   GIM_Try, /*On fail goto*//*Label 17146*/ GIMT_Encode4(1176636), // Rule ID 16100 //
     /* 1176561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1176572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1176575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1176578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1176581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176600 */     // MIs[0] round
     /* 1176600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176610 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1176613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176635 */     // GIR_Coverage, 16100,
     /* 1176635 */     GIR_EraseRootFromParent_Done,
     /* 1176636 */   // Label 17146: @1176636
     /* 1176636 */   GIM_Try, /*On fail goto*//*Label 17147*/ GIMT_Encode4(1176716), // Rule ID 16101 //
     /* 1176641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1176652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1176655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1176658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1176661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176680 */     // MIs[0] round
     /* 1176680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1176693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1176711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176715 */     // GIR_Coverage, 16101,
     /* 1176715 */     GIR_EraseRootFromParent_Done,
     /* 1176716 */   // Label 17147: @1176716
     /* 1176716 */   GIM_Try, /*On fail goto*//*Label 17148*/ GIMT_Encode4(1176796), // Rule ID 16104 //
     /* 1176721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1176724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1176732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1176735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1176738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1176741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176760 */     // MIs[0] round
     /* 1176760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176770 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1176773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176795 */     // GIR_Coverage, 16104,
     /* 1176795 */     GIR_EraseRootFromParent_Done,
     /* 1176796 */   // Label 17148: @1176796
     /* 1176796 */   GIM_Try, /*On fail goto*//*Label 17149*/ GIMT_Encode4(1176876), // Rule ID 16105 //
     /* 1176801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1176804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1176812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1176815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1176818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1176821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176840 */     // MIs[0] round
     /* 1176840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1176850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1176853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1176871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176875 */     // GIR_Coverage, 16105,
     /* 1176875 */     GIR_EraseRootFromParent_Done,
     /* 1176876 */   // Label 17149: @1176876
     /* 1176876 */   GIM_Try, /*On fail goto*//*Label 17150*/ GIMT_Encode4(1176956), // Rule ID 16108 //
     /* 1176881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1176884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1176892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1176895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1176898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1176901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1176904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176920 */     // MIs[0] round
     /* 1176920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1176923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1176930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1176930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1176933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1176935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1176937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1176939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1176941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1176943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1176948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1176951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1176954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1176955 */     // GIR_Coverage, 16108,
     /* 1176955 */     GIR_EraseRootFromParent_Done,
     /* 1176956 */   // Label 17150: @1176956
     /* 1176956 */   GIM_Try, /*On fail goto*//*Label 17151*/ GIMT_Encode4(1177036), // Rule ID 16109 //
     /* 1176961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1176964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1176969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1176972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1176975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1176978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1176981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1176984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1176996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1177000 */     // MIs[0] round
     /* 1177000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1),
     /* 1177013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1177031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177035 */     // GIR_Coverage, 16109,
     /* 1177035 */     GIR_EraseRootFromParent_Done,
     /* 1177036 */   // Label 17151: @1177036
     /* 1177036 */   GIM_Try, /*On fail goto*//*Label 17152*/ GIMT_Encode4(1177116), // Rule ID 16112 //
     /* 1177041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1177052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1177055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1177058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1177061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177080 */     // MIs[0] round
     /* 1177080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177090 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1177093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177115 */     // GIR_Coverage, 16112,
     /* 1177115 */     GIR_EraseRootFromParent_Done,
     /* 1177116 */   // Label 17152: @1177116
     /* 1177116 */   GIM_Try, /*On fail goto*//*Label 17153*/ GIMT_Encode4(1177196), // Rule ID 16113 //
     /* 1177121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1177132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1177135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1177138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1177141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177160 */     // MIs[0] round
     /* 1177160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177170 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1177173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177195 */     // GIR_Coverage, 16113,
     /* 1177195 */     GIR_EraseRootFromParent_Done,
     /* 1177196 */   // Label 17153: @1177196
     /* 1177196 */   GIM_Try, /*On fail goto*//*Label 17154*/ GIMT_Encode4(1177276), // Rule ID 16116 //
     /* 1177201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1177212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1177215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1177218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1177221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177240 */     // MIs[0] round
     /* 1177240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177250 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1177253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177275 */     // GIR_Coverage, 16116,
     /* 1177275 */     GIR_EraseRootFromParent_Done,
     /* 1177276 */   // Label 17154: @1177276
     /* 1177276 */   GIM_Try, /*On fail goto*//*Label 17155*/ GIMT_Encode4(1177356), // Rule ID 16117 //
     /* 1177281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1177292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1177295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1177298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1177301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177320 */     // MIs[0] round
     /* 1177320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177330 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1177333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177355 */     // GIR_Coverage, 16117,
     /* 1177355 */     GIR_EraseRootFromParent_Done,
     /* 1177356 */   // Label 17155: @1177356
     /* 1177356 */   GIM_Try, /*On fail goto*//*Label 17156*/ GIMT_Encode4(1177436), // Rule ID 16120 //
     /* 1177361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1177372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1177375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1177378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1177381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177400 */     // MIs[0] round
     /* 1177400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177410 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1177413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177435 */     // GIR_Coverage, 16120,
     /* 1177435 */     GIR_EraseRootFromParent_Done,
     /* 1177436 */   // Label 17156: @1177436
     /* 1177436 */   GIM_Try, /*On fail goto*//*Label 17157*/ GIMT_Encode4(1177516), // Rule ID 16121 //
     /* 1177441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1177452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1177455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1177458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1177461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177480 */     // MIs[0] round
     /* 1177480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177490 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1177493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1177511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177515 */     // GIR_Coverage, 16121,
     /* 1177515 */     GIR_EraseRootFromParent_Done,
     /* 1177516 */   // Label 17157: @1177516
     /* 1177516 */   GIM_Try, /*On fail goto*//*Label 17158*/ GIMT_Encode4(1177596), // Rule ID 16124 //
     /* 1177521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1177538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1177541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177560 */     // MIs[0] round
     /* 1177560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177570 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1177573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177595 */     // GIR_Coverage, 16124,
     /* 1177595 */     GIR_EraseRootFromParent_Done,
     /* 1177596 */   // Label 17158: @1177596
     /* 1177596 */   GIM_Try, /*On fail goto*//*Label 17159*/ GIMT_Encode4(1177676), // Rule ID 16125 //
     /* 1177601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1177612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1177615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1177618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1177621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1177640 */     // MIs[0] round
     /* 1177640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1177653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177675 */     // GIR_Coverage, 16125,
     /* 1177675 */     GIR_EraseRootFromParent_Done,
     /* 1177676 */   // Label 17159: @1177676
     /* 1177676 */   GIM_Try, /*On fail goto*//*Label 17160*/ GIMT_Encode4(1177756), // Rule ID 16128 //
     /* 1177681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1177698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1177701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177720 */     // MIs[0] round
     /* 1177720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1177733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177755 */     // GIR_Coverage, 16128,
     /* 1177755 */     GIR_EraseRootFromParent_Done,
     /* 1177756 */   // Label 17160: @1177756
     /* 1177756 */   GIM_Try, /*On fail goto*//*Label 17161*/ GIMT_Encode4(1177836), // Rule ID 16129 //
     /* 1177761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1177772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1177775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1177778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1177781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1177800 */     // MIs[0] round
     /* 1177800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177810 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1177813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177835 */     // GIR_Coverage, 16129,
     /* 1177835 */     GIR_EraseRootFromParent_Done,
     /* 1177836 */   // Label 17161: @1177836
     /* 1177836 */   GIM_Try, /*On fail goto*//*Label 17162*/ GIMT_Encode4(1177916), // Rule ID 16132 //
     /* 1177841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1177844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1177852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1177855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1177858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1177861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1177864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177880 */     // MIs[0] round
     /* 1177880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177890 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1177890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1177893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177915 */     // GIR_Coverage, 16132,
     /* 1177915 */     GIR_EraseRootFromParent_Done,
     /* 1177916 */   // Label 17162: @1177916
     /* 1177916 */   GIM_Try, /*On fail goto*//*Label 17163*/ GIMT_Encode4(1177996), // Rule ID 16133 //
     /* 1177921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1177924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1177929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1177932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1177935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1177938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1177941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1177944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1177960 */     // MIs[0] round
     /* 1177960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1177963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1177970 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1177970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1177973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1177975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1177977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1177979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1177981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1177983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1177988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1177991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1177994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1177995 */     // GIR_Coverage, 16133,
     /* 1177995 */     GIR_EraseRootFromParent_Done,
     /* 1177996 */   // Label 17163: @1177996
     /* 1177996 */   GIM_Try, /*On fail goto*//*Label 17164*/ GIMT_Encode4(1178076), // Rule ID 16136 //
     /* 1178001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1178012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1178015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1178018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1178021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178040 */     // MIs[0] round
     /* 1178040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1178053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178075 */     // GIR_Coverage, 16136,
     /* 1178075 */     GIR_EraseRootFromParent_Done,
     /* 1178076 */   // Label 17164: @1178076
     /* 1178076 */   GIM_Try, /*On fail goto*//*Label 17165*/ GIMT_Encode4(1178156), // Rule ID 16137 //
     /* 1178081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1178092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1178095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1178098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1178101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178120 */     // MIs[0] round
     /* 1178120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178130 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1178133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178155 */     // GIR_Coverage, 16137,
     /* 1178155 */     GIR_EraseRootFromParent_Done,
     /* 1178156 */   // Label 17165: @1178156
     /* 1178156 */   GIM_Try, /*On fail goto*//*Label 17166*/ GIMT_Encode4(1178236), // Rule ID 16140 //
     /* 1178161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1178178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1178181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178200 */     // MIs[0] round
     /* 1178200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1178213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178235 */     // GIR_Coverage, 16140,
     /* 1178235 */     GIR_EraseRootFromParent_Done,
     /* 1178236 */   // Label 17166: @1178236
     /* 1178236 */   GIM_Try, /*On fail goto*//*Label 17167*/ GIMT_Encode4(1178316), // Rule ID 16141 //
     /* 1178241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1178252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1178255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1178258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1178261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178280 */     // MIs[0] round
     /* 1178280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1178293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178315 */     // GIR_Coverage, 16141,
     /* 1178315 */     GIR_EraseRootFromParent_Done,
     /* 1178316 */   // Label 17167: @1178316
     /* 1178316 */   GIM_Try, /*On fail goto*//*Label 17168*/ GIMT_Encode4(1178396), // Rule ID 16144 //
     /* 1178321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1178332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1178335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1178338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1178341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178360 */     // MIs[0] round
     /* 1178360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178370 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1178373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178395 */     // GIR_Coverage, 16144,
     /* 1178395 */     GIR_EraseRootFromParent_Done,
     /* 1178396 */   // Label 17168: @1178396
     /* 1178396 */   GIM_Try, /*On fail goto*//*Label 17169*/ GIMT_Encode4(1178476), // Rule ID 16145 //
     /* 1178401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1178404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1178412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1178415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1178418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1178421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178440 */     // MIs[0] round
     /* 1178440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1178453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1178471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178475 */     // GIR_Coverage, 16145,
     /* 1178475 */     GIR_EraseRootFromParent_Done,
     /* 1178476 */   // Label 17169: @1178476
     /* 1178476 */   GIM_Try, /*On fail goto*//*Label 17170*/ GIMT_Encode4(1178556), // Rule ID 16148 //
     /* 1178481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1178484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1178492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1178495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1178498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1178501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178520 */     // MIs[0] round
     /* 1178520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1178533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178555 */     // GIR_Coverage, 16148,
     /* 1178555 */     GIR_EraseRootFromParent_Done,
     /* 1178556 */   // Label 17170: @1178556
     /* 1178556 */   GIM_Try, /*On fail goto*//*Label 17171*/ GIMT_Encode4(1178636), // Rule ID 16149 //
     /* 1178561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1178564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1178572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1178575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1178578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1178581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1178600 */     // MIs[0] round
     /* 1178600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178610 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2),
     /* 1178613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178635 */     // GIR_Coverage, 16149,
     /* 1178635 */     GIR_EraseRootFromParent_Done,
     /* 1178636 */   // Label 17171: @1178636
     /* 1178636 */   GIM_Try, /*On fail goto*//*Label 17172*/ GIMT_Encode4(1178716), // Rule ID 16152 //
     /* 1178641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1178644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1178652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1178655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1178658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1178661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178680 */     // MIs[0] round
     /* 1178680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1178693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178715 */     // GIR_Coverage, 16152,
     /* 1178715 */     GIR_EraseRootFromParent_Done,
     /* 1178716 */   // Label 17172: @1178716
     /* 1178716 */   GIM_Try, /*On fail goto*//*Label 17173*/ GIMT_Encode4(1178796), // Rule ID 16153 //
     /* 1178721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1178724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1178732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1178735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1178738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1178741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1178760 */     // MIs[0] round
     /* 1178760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178770 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4),
     /* 1178773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178795 */     // GIR_Coverage, 16153,
     /* 1178795 */     GIR_EraseRootFromParent_Done,
     /* 1178796 */   // Label 17173: @1178796
     /* 1178796 */   GIM_Try, /*On fail goto*//*Label 17174*/ GIMT_Encode4(1178876), // Rule ID 16156 //
     /* 1178801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1178804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1178812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1178815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1178821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178840 */     // MIs[0] round
     /* 1178840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1178850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1178853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178875 */     // GIR_Coverage, 16156,
     /* 1178875 */     GIR_EraseRootFromParent_Done,
     /* 1178876 */   // Label 17174: @1178876
     /* 1178876 */   GIM_Try, /*On fail goto*//*Label 17175*/ GIMT_Encode4(1178956), // Rule ID 16157 //
     /* 1178881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1178884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1178892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1178895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1178898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1178901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1178904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1178920 */     // MIs[0] round
     /* 1178920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1178923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1178930 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VV_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1178930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8),
     /* 1178933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1178935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1178937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1178939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1178941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1178943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1178948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1178951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1178954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1178955 */     // GIR_Coverage, 16157,
     /* 1178955 */     GIR_EraseRootFromParent_Done,
     /* 1178956 */   // Label 17175: @1178956
     /* 1178956 */   GIM_Try, /*On fail goto*//*Label 17176*/ GIMT_Encode4(1179036), // Rule ID 16160 //
     /* 1178961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1178964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1178969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1178972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1178975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1178978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1178981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1178984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1178996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179000 */     // MIs[0] round
     /* 1179000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179010 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1179013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179035 */     // GIR_Coverage, 16160,
     /* 1179035 */     GIR_EraseRootFromParent_Done,
     /* 1179036 */   // Label 17176: @1179036
     /* 1179036 */   GIM_Try, /*On fail goto*//*Label 17177*/ GIMT_Encode4(1179116), // Rule ID 16161 //
     /* 1179041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1179052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1179055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1179058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179080 */     // MIs[0] round
     /* 1179080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179090 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8),
     /* 1179093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179115 */     // GIR_Coverage, 16161,
     /* 1179115 */     GIR_EraseRootFromParent_Done,
     /* 1179116 */   // Label 17177: @1179116
     /* 1179116 */   GIM_Try, /*On fail goto*//*Label 17178*/ GIMT_Encode4(1179196), // Rule ID 16164 //
     /* 1179121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1179132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1179135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1179138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179160 */     // MIs[0] round
     /* 1179160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179170 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1179173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179195 */     // GIR_Coverage, 16164,
     /* 1179195 */     GIR_EraseRootFromParent_Done,
     /* 1179196 */   // Label 17178: @1179196
     /* 1179196 */   GIM_Try, /*On fail goto*//*Label 17179*/ GIMT_Encode4(1179276), // Rule ID 16165 //
     /* 1179201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1179212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1179215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1179218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179240 */     // MIs[0] round
     /* 1179240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179250 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1179253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179275 */     // GIR_Coverage, 16165,
     /* 1179275 */     GIR_EraseRootFromParent_Done,
     /* 1179276 */   // Label 17179: @1179276
     /* 1179276 */   GIM_Try, /*On fail goto*//*Label 17180*/ GIMT_Encode4(1179356), // Rule ID 16168 //
     /* 1179281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1179292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1179295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1179298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179320 */     // MIs[0] round
     /* 1179320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1179333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179355 */     // GIR_Coverage, 16168,
     /* 1179355 */     GIR_EraseRootFromParent_Done,
     /* 1179356 */   // Label 17180: @1179356
     /* 1179356 */   GIM_Try, /*On fail goto*//*Label 17181*/ GIMT_Encode4(1179436), // Rule ID 16169 //
     /* 1179361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1179372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1179375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1179378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179400 */     // MIs[0] round
     /* 1179400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179410 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1179413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179435 */     // GIR_Coverage, 16169,
     /* 1179435 */     GIR_EraseRootFromParent_Done,
     /* 1179436 */   // Label 17181: @1179436
     /* 1179436 */   GIM_Try, /*On fail goto*//*Label 17182*/ GIMT_Encode4(1179516), // Rule ID 16172 //
     /* 1179441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1179458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179480 */     // MIs[0] round
     /* 1179480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179490 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1179493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179515 */     // GIR_Coverage, 16172,
     /* 1179515 */     GIR_EraseRootFromParent_Done,
     /* 1179516 */   // Label 17182: @1179516
     /* 1179516 */   GIM_Try, /*On fail goto*//*Label 17183*/ GIMT_Encode4(1179596), // Rule ID 16173 //
     /* 1179521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1179532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1179535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1179538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179560 */     // MIs[0] round
     /* 1179560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179570 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4),
     /* 1179573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179595 */     // GIR_Coverage, 16173,
     /* 1179595 */     GIR_EraseRootFromParent_Done,
     /* 1179596 */   // Label 17183: @1179596
     /* 1179596 */   GIM_Try, /*On fail goto*//*Label 17184*/ GIMT_Encode4(1179676), // Rule ID 16176 //
     /* 1179601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1179618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179640 */     // MIs[0] round
     /* 1179640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1179653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179675 */     // GIR_Coverage, 16176,
     /* 1179675 */     GIR_EraseRootFromParent_Done,
     /* 1179676 */   // Label 17184: @1179676
     /* 1179676 */   GIM_Try, /*On fail goto*//*Label 17185*/ GIMT_Encode4(1179756), // Rule ID 16177 //
     /* 1179681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1179692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1179695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1179698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179720 */     // MIs[0] round
     /* 1179720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179730 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1179733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1179751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179755 */     // GIR_Coverage, 16177,
     /* 1179755 */     GIR_EraseRootFromParent_Done,
     /* 1179756 */   // Label 17185: @1179756
     /* 1179756 */   GIM_Try, /*On fail goto*//*Label 17186*/ GIMT_Encode4(1179836), // Rule ID 16180 //
     /* 1179761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179800 */     // MIs[0] round
     /* 1179800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179810 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1179813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179835 */     // GIR_Coverage, 16180,
     /* 1179835 */     GIR_EraseRootFromParent_Done,
     /* 1179836 */   // Label 17186: @1179836
     /* 1179836 */   GIM_Try, /*On fail goto*//*Label 17187*/ GIMT_Encode4(1179916), // Rule ID 16181 //
     /* 1179841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1179844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1179852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1179855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1179858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1179861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1179864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179880 */     // MIs[0] round
     /* 1179880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179890 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1179890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2),
     /* 1179893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1179911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179915 */     // GIR_Coverage, 16181,
     /* 1179915 */     GIR_EraseRootFromParent_Done,
     /* 1179916 */   // Label 17187: @1179916
     /* 1179916 */   GIM_Try, /*On fail goto*//*Label 17188*/ GIMT_Encode4(1179996), // Rule ID 16184 //
     /* 1179921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1179924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1179929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1179932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1179935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1179938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1179941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1179944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1179956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1179960 */     // MIs[0] round
     /* 1179960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1179963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1179970 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1179970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1179973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1179975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1179977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1179979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1179981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1179983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1179988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1179991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1179994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1179995 */     // GIR_Coverage, 16184,
     /* 1179995 */     GIR_EraseRootFromParent_Done,
     /* 1179996 */   // Label 17188: @1179996
     /* 1179996 */   GIM_Try, /*On fail goto*//*Label 17189*/ GIMT_Encode4(1180076), // Rule ID 16185 //
     /* 1180001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1180012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1180015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1180018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180040 */     // MIs[0] round
     /* 1180040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180050 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11599:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1180053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180075 */     // GIR_Coverage, 16185,
     /* 1180075 */     GIR_EraseRootFromParent_Done,
     /* 1180076 */   // Label 17189: @1180076
     /* 1180076 */   GIM_Try, /*On fail goto*//*Label 17190*/ GIMT_Encode4(1180156), // Rule ID 16188 //
     /* 1180081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1180092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1180095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180120 */     // MIs[0] round
     /* 1180120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1180133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180155 */     // GIR_Coverage, 16188,
     /* 1180155 */     GIR_EraseRootFromParent_Done,
     /* 1180156 */   // Label 17190: @1180156
     /* 1180156 */   GIM_Try, /*On fail goto*//*Label 17191*/ GIMT_Encode4(1180236), // Rule ID 16189 //
     /* 1180161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1180172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1180175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1180178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180200 */     // MIs[0] round
     /* 1180200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180210 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11599:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1180213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1180231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180235 */     // GIR_Coverage, 16189,
     /* 1180235 */     GIR_EraseRootFromParent_Done,
     /* 1180236 */   // Label 17191: @1180236
     /* 1180236 */   GIM_Try, /*On fail goto*//*Label 17192*/ GIMT_Encode4(1180316), // Rule ID 16192 //
     /* 1180241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1180258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180280 */     // MIs[0] round
     /* 1180280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1180293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180315 */     // GIR_Coverage, 16192,
     /* 1180315 */     GIR_EraseRootFromParent_Done,
     /* 1180316 */   // Label 17192: @1180316
     /* 1180316 */   GIM_Try, /*On fail goto*//*Label 17193*/ GIMT_Encode4(1180396), // Rule ID 16193 //
     /* 1180321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1180332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1180335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1180338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180360 */     // MIs[0] round
     /* 1180360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11599:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1180373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1180391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180395 */     // GIR_Coverage, 16193,
     /* 1180395 */     GIR_EraseRootFromParent_Done,
     /* 1180396 */   // Label 17193: @1180396
     /* 1180396 */   GIM_Try, /*On fail goto*//*Label 17194*/ GIMT_Encode4(1180476), // Rule ID 16196 //
     /* 1180401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1180404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1180412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1180415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180440 */     // MIs[0] round
     /* 1180440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180450 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1180453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1180471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180475 */     // GIR_Coverage, 16196,
     /* 1180475 */     GIR_EraseRootFromParent_Done,
     /* 1180476 */   // Label 17194: @1180476
     /* 1180476 */   GIM_Try, /*On fail goto*//*Label 17195*/ GIMT_Encode4(1180556), // Rule ID 16197 //
     /* 1180481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1180484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1180492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1180495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1180498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1180516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180520 */     // MIs[0] round
     /* 1180520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180530 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11599:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1),
     /* 1180533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1180551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180555 */     // GIR_Coverage, 16197,
     /* 1180555 */     GIR_EraseRootFromParent_Done,
     /* 1180556 */   // Label 17195: @1180556
     /* 1180556 */   GIM_Try, /*On fail goto*//*Label 17196*/ GIMT_Encode4(1180636), // Rule ID 16200 //
     /* 1180561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1180572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1180575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1180578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180600 */     // MIs[0] round
     /* 1180600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180610 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1180613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180635 */     // GIR_Coverage, 16200,
     /* 1180635 */     GIR_EraseRootFromParent_Done,
     /* 1180636 */   // Label 17196: @1180636
     /* 1180636 */   GIM_Try, /*On fail goto*//*Label 17197*/ GIMT_Encode4(1180716), // Rule ID 16201 //
     /* 1180641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1180652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1180655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1180658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1180676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180680 */     // MIs[0] round
     /* 1180680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180690 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1180693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180715 */     // GIR_Coverage, 16201,
     /* 1180715 */     GIR_EraseRootFromParent_Done,
     /* 1180716 */   // Label 17197: @1180716
     /* 1180716 */   GIM_Try, /*On fail goto*//*Label 17198*/ GIMT_Encode4(1180796), // Rule ID 16204 //
     /* 1180721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1180732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1180735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1180738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180760 */     // MIs[0] round
     /* 1180760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180770 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1180773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180795 */     // GIR_Coverage, 16204,
     /* 1180795 */     GIR_EraseRootFromParent_Done,
     /* 1180796 */   // Label 17198: @1180796
     /* 1180796 */   GIM_Try, /*On fail goto*//*Label 17199*/ GIMT_Encode4(1180876), // Rule ID 16205 //
     /* 1180801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1180812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1180815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1180818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1180836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180840 */     // MIs[0] round
     /* 1180840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1180850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1180853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180875 */     // GIR_Coverage, 16205,
     /* 1180875 */     GIR_EraseRootFromParent_Done,
     /* 1180876 */   // Label 17199: @1180876
     /* 1180876 */   GIM_Try, /*On fail goto*//*Label 17200*/ GIMT_Encode4(1180956), // Rule ID 16208 //
     /* 1180881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1180884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1180892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1180895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1180898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1180901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1180904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1180920 */     // MIs[0] round
     /* 1180920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1180923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1180930 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1180930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1180933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1180935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1180937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1180939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1180941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1180943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1180948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1180951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1180954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1180955 */     // GIR_Coverage, 16208,
     /* 1180955 */     GIR_EraseRootFromParent_Done,
     /* 1180956 */   // Label 17200: @1180956
     /* 1180956 */   GIM_Try, /*On fail goto*//*Label 17201*/ GIMT_Encode4(1181036), // Rule ID 16209 //
     /* 1180961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1180964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1180969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1180972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1180975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1180978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1180981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1180984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1180996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181000 */     // MIs[0] round
     /* 1181000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181010 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1181013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1181031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181035 */     // GIR_Coverage, 16209,
     /* 1181035 */     GIR_EraseRootFromParent_Done,
     /* 1181036 */   // Label 17201: @1181036
     /* 1181036 */   GIM_Try, /*On fail goto*//*Label 17202*/ GIMT_Encode4(1181116), // Rule ID 16212 //
     /* 1181041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1181052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1181055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181080 */     // MIs[0] round
     /* 1181080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181090 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1181093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181115 */     // GIR_Coverage, 16212,
     /* 1181115 */     GIR_EraseRootFromParent_Done,
     /* 1181116 */   // Label 17202: @1181116
     /* 1181116 */   GIM_Try, /*On fail goto*//*Label 17203*/ GIMT_Encode4(1181196), // Rule ID 16213 //
     /* 1181121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1181132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1181135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1181138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181160 */     // MIs[0] round
     /* 1181160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1181173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181195 */     // GIR_Coverage, 16213,
     /* 1181195 */     GIR_EraseRootFromParent_Done,
     /* 1181196 */   // Label 17203: @1181196
     /* 1181196 */   GIM_Try, /*On fail goto*//*Label 17204*/ GIMT_Encode4(1181276), // Rule ID 16216 //
     /* 1181201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1181212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1181215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181240 */     // MIs[0] round
     /* 1181240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181250 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1181253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181275 */     // GIR_Coverage, 16216,
     /* 1181275 */     GIR_EraseRootFromParent_Done,
     /* 1181276 */   // Label 17204: @1181276
     /* 1181276 */   GIM_Try, /*On fail goto*//*Label 17205*/ GIMT_Encode4(1181356), // Rule ID 16217 //
     /* 1181281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1181292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1181295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1181298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181320 */     // MIs[0] round
     /* 1181320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181330 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1181333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181355 */     // GIR_Coverage, 16217,
     /* 1181355 */     GIR_EraseRootFromParent_Done,
     /* 1181356 */   // Label 17205: @1181356
     /* 1181356 */   GIM_Try, /*On fail goto*//*Label 17206*/ GIMT_Encode4(1181436), // Rule ID 16220 //
     /* 1181361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1181372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1181375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181400 */     // MIs[0] round
     /* 1181400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1181413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181435 */     // GIR_Coverage, 16220,
     /* 1181435 */     GIR_EraseRootFromParent_Done,
     /* 1181436 */   // Label 17206: @1181436
     /* 1181436 */   GIM_Try, /*On fail goto*//*Label 17207*/ GIMT_Encode4(1181516), // Rule ID 16221 //
     /* 1181441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1181452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1181455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1181458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181480 */     // MIs[0] round
     /* 1181480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1181493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1181511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181515 */     // GIR_Coverage, 16221,
     /* 1181515 */     GIR_EraseRootFromParent_Done,
     /* 1181516 */   // Label 17207: @1181516
     /* 1181516 */   GIM_Try, /*On fail goto*//*Label 17208*/ GIMT_Encode4(1181596), // Rule ID 16224 //
     /* 1181521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1181532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1181535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181560 */     // MIs[0] round
     /* 1181560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181570 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1181573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181595 */     // GIR_Coverage, 16224,
     /* 1181595 */     GIR_EraseRootFromParent_Done,
     /* 1181596 */   // Label 17208: @1181596
     /* 1181596 */   GIM_Try, /*On fail goto*//*Label 17209*/ GIMT_Encode4(1181676), // Rule ID 16225 //
     /* 1181601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1181612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1181615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1181618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1181636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181640 */     // MIs[0] round
     /* 1181640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181650 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1181653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181675 */     // GIR_Coverage, 16225,
     /* 1181675 */     GIR_EraseRootFromParent_Done,
     /* 1181676 */   // Label 17209: @1181676
     /* 1181676 */   GIM_Try, /*On fail goto*//*Label 17210*/ GIMT_Encode4(1181756), // Rule ID 16228 //
     /* 1181681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1181692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1181695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1181698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181720 */     // MIs[0] round
     /* 1181720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1181733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181755 */     // GIR_Coverage, 16228,
     /* 1181755 */     GIR_EraseRootFromParent_Done,
     /* 1181756 */   // Label 17210: @1181756
     /* 1181756 */   GIM_Try, /*On fail goto*//*Label 17211*/ GIMT_Encode4(1181836), // Rule ID 16229 //
     /* 1181761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1181772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1181775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1181778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1181796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181800 */     // MIs[0] round
     /* 1181800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181810 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1181813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181835 */     // GIR_Coverage, 16229,
     /* 1181835 */     GIR_EraseRootFromParent_Done,
     /* 1181836 */   // Label 17211: @1181836
     /* 1181836 */   GIM_Try, /*On fail goto*//*Label 17212*/ GIMT_Encode4(1181916), // Rule ID 16232 //
     /* 1181841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1181844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1181852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1181855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1181858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1181861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1181864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181880 */     // MIs[0] round
     /* 1181880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181890 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1181890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1181893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181915 */     // GIR_Coverage, 16232,
     /* 1181915 */     GIR_EraseRootFromParent_Done,
     /* 1181916 */   // Label 17212: @1181916
     /* 1181916 */   GIM_Try, /*On fail goto*//*Label 17213*/ GIMT_Encode4(1181996), // Rule ID 16233 //
     /* 1181921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1181924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1181929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1181932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1181935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1181938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1181941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1181944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1181956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1181960 */     // MIs[0] round
     /* 1181960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1181963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1181970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1181970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1181973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1181975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1181977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1181979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1181981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1181983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1181988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1181991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1181994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1181995 */     // GIR_Coverage, 16233,
     /* 1181995 */     GIR_EraseRootFromParent_Done,
     /* 1181996 */   // Label 17213: @1181996
     /* 1181996 */   GIM_Try, /*On fail goto*//*Label 17214*/ GIMT_Encode4(1182076), // Rule ID 16236 //
     /* 1182001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1182004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1182009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1182012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1182015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182040 */     // MIs[0] round
     /* 1182040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182050 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1182053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182075 */     // GIR_Coverage, 16236,
     /* 1182075 */     GIR_EraseRootFromParent_Done,
     /* 1182076 */   // Label 17214: @1182076
     /* 1182076 */   GIM_Try, /*On fail goto*//*Label 17215*/ GIMT_Encode4(1182156), // Rule ID 16237 //
     /* 1182081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1182084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1182089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1182092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1182095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1182098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1182116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182120 */     // MIs[0] round
     /* 1182120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182130 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11599:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2),
     /* 1182133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182155 */     // GIR_Coverage, 16237,
     /* 1182155 */     GIR_EraseRootFromParent_Done,
     /* 1182156 */   // Label 17215: @1182156
     /* 1182156 */   GIM_Try, /*On fail goto*//*Label 17216*/ GIMT_Encode4(1182236), // Rule ID 16240 //
     /* 1182161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1182164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1182169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1182172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1182175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182200 */     // MIs[0] round
     /* 1182200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182210 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1182213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182235 */     // GIR_Coverage, 16240,
     /* 1182235 */     GIR_EraseRootFromParent_Done,
     /* 1182236 */   // Label 17216: @1182236
     /* 1182236 */   GIM_Try, /*On fail goto*//*Label 17217*/ GIMT_Encode4(1182316), // Rule ID 16241 //
     /* 1182241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1182244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1182249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1182252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1182255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1182258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1182276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182280 */     // MIs[0] round
     /* 1182280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182290 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11599:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4),
     /* 1182293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182315 */     // GIR_Coverage, 16241,
     /* 1182315 */     GIR_EraseRootFromParent_Done,
     /* 1182316 */   // Label 17217: @1182316
     /* 1182316 */   GIM_Try, /*On fail goto*//*Label 17218*/ GIMT_Encode4(1182396), // Rule ID 16244 //
     /* 1182321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1182324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1182329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1182332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1182335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1182341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182360 */     // MIs[0] round
     /* 1182360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182370 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1182373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182395 */     // GIR_Coverage, 16244,
     /* 1182395 */     GIR_EraseRootFromParent_Done,
     /* 1182396 */   // Label 17218: @1182396
     /* 1182396 */   GIM_Try, /*On fail goto*//*Label 17219*/ GIMT_Encode4(1182476), // Rule ID 16245 //
     /* 1182401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1182404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra),
     /* 1182409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1182412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1182415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1182418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1182421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1182436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1182440 */     // MIs[0] round
     /* 1182440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182450 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11599:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSSRA_VX_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8),
     /* 1182453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1182471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182475 */     // GIR_Coverage, 16245,
     /* 1182475 */     GIR_EraseRootFromParent_Done,
     /* 1182476 */   // Label 17219: @1182476
     /* 1182476 */   GIM_Try, /*On fail goto*//*Label 17220*/ GIMT_Encode4(1182559), // Rule ID 16336 //
     /* 1182481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1182492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1182495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1182498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1182501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182520 */     // MIs[0] round
     /* 1182520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182530 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1182533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182558 */     // GIR_Coverage, 16336,
     /* 1182558 */     GIR_EraseRootFromParent_Done,
     /* 1182559 */   // Label 17220: @1182559
     /* 1182559 */   GIM_Try, /*On fail goto*//*Label 17221*/ GIMT_Encode4(1182642), // Rule ID 16337 //
     /* 1182564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1182575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1182578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1182581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1182584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182603 */     // MIs[0] round
     /* 1182603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182613 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8),
     /* 1182616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182624 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182641 */     // GIR_Coverage, 16337,
     /* 1182641 */     GIR_EraseRootFromParent_Done,
     /* 1182642 */   // Label 17221: @1182642
     /* 1182642 */   GIM_Try, /*On fail goto*//*Label 17222*/ GIMT_Encode4(1182725), // Rule ID 16340 //
     /* 1182647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1182658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1182661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1182664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1182667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182686 */     // MIs[0] round
     /* 1182686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182696 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1182699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182720 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182724 */     // GIR_Coverage, 16340,
     /* 1182724 */     GIR_EraseRootFromParent_Done,
     /* 1182725 */   // Label 17222: @1182725
     /* 1182725 */   GIM_Try, /*On fail goto*//*Label 17223*/ GIMT_Encode4(1182808), // Rule ID 16341 //
     /* 1182730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1182741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1182744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1182747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1182750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182769 */     // MIs[0] round
     /* 1182769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182779 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1182782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182790 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182807 */     // GIR_Coverage, 16341,
     /* 1182807 */     GIR_EraseRootFromParent_Done,
     /* 1182808 */   // Label 17223: @1182808
     /* 1182808 */   GIM_Try, /*On fail goto*//*Label 17224*/ GIMT_Encode4(1182891), // Rule ID 16344 //
     /* 1182813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1182824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1182827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1182830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1182833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1182836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182852 */     // MIs[0] round
     /* 1182852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182862 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1182862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1182865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182886 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182890 */     // GIR_Coverage, 16344,
     /* 1182890 */     GIR_EraseRootFromParent_Done,
     /* 1182891 */   // Label 17224: @1182891
     /* 1182891 */   GIM_Try, /*On fail goto*//*Label 17225*/ GIMT_Encode4(1182974), // Rule ID 16345 //
     /* 1182896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1182899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1182907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1182910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1182913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1182916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1182919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1182935 */     // MIs[0] round
     /* 1182935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1182938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1182945 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1182945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1182948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1182950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1182952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1182954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1182956 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1182958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1182963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1182966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1182969 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1182972 */     GIR_RootConstrainSelectedInstOperands,
     /* 1182973 */     // GIR_Coverage, 16345,
     /* 1182973 */     GIR_EraseRootFromParent_Done,
     /* 1182974 */   // Label 17225: @1182974
     /* 1182974 */   GIM_Try, /*On fail goto*//*Label 17226*/ GIMT_Encode4(1183057), // Rule ID 16348 //
     /* 1182979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1182982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1182987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1182990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1182993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1182996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1182999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183018 */     // MIs[0] round
     /* 1183018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183028 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1183031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183056 */     // GIR_Coverage, 16348,
     /* 1183056 */     GIR_EraseRootFromParent_Done,
     /* 1183057 */   // Label 17226: @1183057
     /* 1183057 */   GIM_Try, /*On fail goto*//*Label 17227*/ GIMT_Encode4(1183140), // Rule ID 16349 //
     /* 1183062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1183073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1183076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1183079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1183082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183101 */     // MIs[0] round
     /* 1183101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183111 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1183114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183122 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183139 */     // GIR_Coverage, 16349,
     /* 1183139 */     GIR_EraseRootFromParent_Done,
     /* 1183140 */   // Label 17227: @1183140
     /* 1183140 */   GIM_Try, /*On fail goto*//*Label 17228*/ GIMT_Encode4(1183223), // Rule ID 16352 //
     /* 1183145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1183156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1183159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1183165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183184 */     // MIs[0] round
     /* 1183184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183194 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1183197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183222 */     // GIR_Coverage, 16352,
     /* 1183222 */     GIR_EraseRootFromParent_Done,
     /* 1183223 */   // Label 17228: @1183223
     /* 1183223 */   GIM_Try, /*On fail goto*//*Label 17229*/ GIMT_Encode4(1183306), // Rule ID 16353 //
     /* 1183228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1183239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1183242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1183245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1183248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183267 */     // MIs[0] round
     /* 1183267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1183280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183288 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183301 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183305 */     // GIR_Coverage, 16353,
     /* 1183305 */     GIR_EraseRootFromParent_Done,
     /* 1183306 */   // Label 17229: @1183306
     /* 1183306 */   GIM_Try, /*On fail goto*//*Label 17230*/ GIMT_Encode4(1183389), // Rule ID 16356 //
     /* 1183311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1183322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1183325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1183331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183350 */     // MIs[0] round
     /* 1183350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183360 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1183363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183388 */     // GIR_Coverage, 16356,
     /* 1183388 */     GIR_EraseRootFromParent_Done,
     /* 1183389 */   // Label 17230: @1183389
     /* 1183389 */   GIM_Try, /*On fail goto*//*Label 17231*/ GIMT_Encode4(1183472), // Rule ID 16357 //
     /* 1183394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1183405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1183408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1183411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1183414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1183429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1183433 */     // MIs[0] round
     /* 1183433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183443 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1183446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183454 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1183464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183471 */     // GIR_Coverage, 16357,
     /* 1183471 */     GIR_EraseRootFromParent_Done,
     /* 1183472 */   // Label 17231: @1183472
     /* 1183472 */   GIM_Try, /*On fail goto*//*Label 17232*/ GIMT_Encode4(1183555), // Rule ID 16360 //
     /* 1183477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183516 */     // MIs[0] round
     /* 1183516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183526 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1183529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183550 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183554 */     // GIR_Coverage, 16360,
     /* 1183554 */     GIR_EraseRootFromParent_Done,
     /* 1183555 */   // Label 17232: @1183555
     /* 1183555 */   GIM_Try, /*On fail goto*//*Label 17233*/ GIMT_Encode4(1183638), // Rule ID 16361 //
     /* 1183560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1183571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1183574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1183577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1183580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183599 */     // MIs[0] round
     /* 1183599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183609 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4),
     /* 1183612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183620 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183637 */     // GIR_Coverage, 16361,
     /* 1183637 */     GIR_EraseRootFromParent_Done,
     /* 1183638 */   // Label 17233: @1183638
     /* 1183638 */   GIM_Try, /*On fail goto*//*Label 17234*/ GIMT_Encode4(1183721), // Rule ID 16364 //
     /* 1183643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1183660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183682 */     // MIs[0] round
     /* 1183682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183692 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1183695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183720 */     // GIR_Coverage, 16364,
     /* 1183720 */     GIR_EraseRootFromParent_Done,
     /* 1183721 */   // Label 17234: @1183721
     /* 1183721 */   GIM_Try, /*On fail goto*//*Label 17235*/ GIMT_Encode4(1183804), // Rule ID 16365 //
     /* 1183726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1183737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1183740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1183743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1183746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183765 */     // MIs[0] round
     /* 1183765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183775 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1183778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183786 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183803 */     // GIR_Coverage, 16365,
     /* 1183803 */     GIR_EraseRootFromParent_Done,
     /* 1183804 */   // Label 17235: @1183804
     /* 1183804 */   GIM_Try, /*On fail goto*//*Label 17236*/ GIMT_Encode4(1183887), // Rule ID 16368 //
     /* 1183809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183848 */     // MIs[0] round
     /* 1183848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183858 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1183858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1183861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183882 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183886 */     // GIR_Coverage, 16368,
     /* 1183886 */     GIR_EraseRootFromParent_Done,
     /* 1183887 */   // Label 17236: @1183887
     /* 1183887 */   GIM_Try, /*On fail goto*//*Label 17237*/ GIMT_Encode4(1183970), // Rule ID 16369 //
     /* 1183892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1183895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1183903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1183906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1183909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1183912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1183915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1183927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1183931 */     // MIs[0] round
     /* 1183931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1183934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1183941 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1183941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1183944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1183946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1183948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1183950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1183952 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1183954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1183959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1183962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1183965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1183968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1183969 */     // GIR_Coverage, 16369,
     /* 1183969 */     GIR_EraseRootFromParent_Done,
     /* 1183970 */   // Label 17237: @1183970
     /* 1183970 */   GIM_Try, /*On fail goto*//*Label 17238*/ GIMT_Encode4(1184053), // Rule ID 16372 //
     /* 1183975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1183978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1183983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1183986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1183989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1183992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1183995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1183998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184014 */     // MIs[0] round
     /* 1184014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1184027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184048 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184052 */     // GIR_Coverage, 16372,
     /* 1184052 */     GIR_EraseRootFromParent_Done,
     /* 1184053 */   // Label 17238: @1184053
     /* 1184053 */   GIM_Try, /*On fail goto*//*Label 17239*/ GIMT_Encode4(1184136), // Rule ID 16373 //
     /* 1184058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1184069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1184072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1184075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1184078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184097 */     // MIs[0] round
     /* 1184097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184107 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1184110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184118 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184131 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184135 */     // GIR_Coverage, 16373,
     /* 1184135 */     GIR_EraseRootFromParent_Done,
     /* 1184136 */   // Label 17239: @1184136
     /* 1184136 */   GIM_Try, /*On fail goto*//*Label 17240*/ GIMT_Encode4(1184219), // Rule ID 16376 //
     /* 1184141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184180 */     // MIs[0] round
     /* 1184180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184190 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1184193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184218 */     // GIR_Coverage, 16376,
     /* 1184218 */     GIR_EraseRootFromParent_Done,
     /* 1184219 */   // Label 17240: @1184219
     /* 1184219 */   GIM_Try, /*On fail goto*//*Label 17241*/ GIMT_Encode4(1184302), // Rule ID 16377 //
     /* 1184224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1184227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1184235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1184238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1184241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1184244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184263 */     // MIs[0] round
     /* 1184263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184273 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1184276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184284 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1184294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184301 */     // GIR_Coverage, 16377,
     /* 1184301 */     GIR_EraseRootFromParent_Done,
     /* 1184302 */   // Label 17241: @1184302
     /* 1184302 */   GIM_Try, /*On fail goto*//*Label 17242*/ GIMT_Encode4(1184385), // Rule ID 16380 //
     /* 1184307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1184327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184346 */     // MIs[0] round
     /* 1184346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184356 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1184359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184384 */     // GIR_Coverage, 16380,
     /* 1184384 */     GIR_EraseRootFromParent_Done,
     /* 1184385 */   // Label 17242: @1184385
     /* 1184385 */   GIM_Try, /*On fail goto*//*Label 17243*/ GIMT_Encode4(1184468), // Rule ID 16381 //
     /* 1184390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1184401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1184404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1184407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1184410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184429 */     // MIs[0] round
     /* 1184429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184439 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2),
     /* 1184442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184450 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184463 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184467 */     // GIR_Coverage, 16381,
     /* 1184467 */     GIR_EraseRootFromParent_Done,
     /* 1184468 */   // Label 17243: @1184468
     /* 1184468 */   GIM_Try, /*On fail goto*//*Label 17244*/ GIMT_Encode4(1184551), // Rule ID 16384 //
     /* 1184473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184512 */     // MIs[0] round
     /* 1184512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1184525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184546 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184550 */     // GIR_Coverage, 16384,
     /* 1184550 */     GIR_EraseRootFromParent_Done,
     /* 1184551 */   // Label 17244: @1184551
     /* 1184551 */   GIM_Try, /*On fail goto*//*Label 17245*/ GIMT_Encode4(1184634), // Rule ID 16385 //
     /* 1184556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1184567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1184570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1184573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1184576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184595 */     // MIs[0] round
     /* 1184595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184605 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1),
     /* 1184608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184616 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184633 */     // GIR_Coverage, 16385,
     /* 1184633 */     GIR_EraseRootFromParent_Done,
     /* 1184634 */   // Label 17245: @1184634
     /* 1184634 */   GIM_Try, /*On fail goto*//*Label 17246*/ GIMT_Encode4(1184717), // Rule ID 16388 //
     /* 1184639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1184656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184678 */     // MIs[0] round
     /* 1184678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184688 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1184691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184716 */     // GIR_Coverage, 16388,
     /* 1184716 */     GIR_EraseRootFromParent_Done,
     /* 1184717 */   // Label 17246: @1184717
     /* 1184717 */   GIM_Try, /*On fail goto*//*Label 17247*/ GIMT_Encode4(1184800), // Rule ID 16389 //
     /* 1184722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1184733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1184736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1184739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1184742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1184761 */     // MIs[0] round
     /* 1184761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184771 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2),
     /* 1184774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184782 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184799 */     // GIR_Coverage, 16389,
     /* 1184799 */     GIR_EraseRootFromParent_Done,
     /* 1184800 */   // Label 17247: @1184800
     /* 1184800 */   GIM_Try, /*On fail goto*//*Label 17248*/ GIMT_Encode4(1184883), // Rule ID 16392 //
     /* 1184805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1184808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1184816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1184819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1184825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184844 */     // MIs[0] round
     /* 1184844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1184854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1184857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184882 */     // GIR_Coverage, 16392,
     /* 1184882 */     GIR_EraseRootFromParent_Done,
     /* 1184883 */   // Label 17248: @1184883
     /* 1184883 */   GIM_Try, /*On fail goto*//*Label 17249*/ GIMT_Encode4(1184966), // Rule ID 16393 //
     /* 1184888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1184891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1184899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1184902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1184905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1184908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1184911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1184923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1184927 */     // MIs[0] round
     /* 1184927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1184930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1184937 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1184937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4),
     /* 1184940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1184942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1184944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1184946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1184948 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1184950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1184955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1184958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1184961 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1184964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1184965 */     // GIR_Coverage, 16393,
     /* 1184965 */     GIR_EraseRootFromParent_Done,
     /* 1184966 */   // Label 17249: @1184966
     /* 1184966 */   GIM_Try, /*On fail goto*//*Label 17250*/ GIMT_Encode4(1185049), // Rule ID 16396 //
     /* 1184971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1184974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1184979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1184982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1184985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1184988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1184991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1184994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1184998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185010 */     // MIs[0] round
     /* 1185010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185020 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1185023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185044 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185048 */     // GIR_Coverage, 16396,
     /* 1185048 */     GIR_EraseRootFromParent_Done,
     /* 1185049 */   // Label 17250: @1185049
     /* 1185049 */   GIM_Try, /*On fail goto*//*Label 17251*/ GIMT_Encode4(1185132), // Rule ID 16397 //
     /* 1185054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1185065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1185068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1185071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185093 */     // MIs[0] round
     /* 1185093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185103 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8),
     /* 1185106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185114 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185131 */     // GIR_Coverage, 16397,
     /* 1185131 */     GIR_EraseRootFromParent_Done,
     /* 1185132 */   // Label 17251: @1185132
     /* 1185132 */   GIM_Try, /*On fail goto*//*Label 17252*/ GIMT_Encode4(1185215), // Rule ID 16400 //
     /* 1185137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1185148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1185151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185176 */     // MIs[0] round
     /* 1185176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1185189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185214 */     // GIR_Coverage, 16400,
     /* 1185214 */     GIR_EraseRootFromParent_Done,
     /* 1185215 */   // Label 17252: @1185215
     /* 1185215 */   GIM_Try, /*On fail goto*//*Label 17253*/ GIMT_Encode4(1185298), // Rule ID 16401 //
     /* 1185220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1185231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1185234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1185237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185259 */     // MIs[0] round
     /* 1185259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185269 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1185272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185280 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185297 */     // GIR_Coverage, 16401,
     /* 1185297 */     GIR_EraseRootFromParent_Done,
     /* 1185298 */   // Label 17253: @1185298
     /* 1185298 */   GIM_Try, /*On fail goto*//*Label 17254*/ GIMT_Encode4(1185381), // Rule ID 16404 //
     /* 1185303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1185314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1185317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185342 */     // MIs[0] round
     /* 1185342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185352 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1185355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185380 */     // GIR_Coverage, 16404,
     /* 1185380 */     GIR_EraseRootFromParent_Done,
     /* 1185381 */   // Label 17254: @1185381
     /* 1185381 */   GIM_Try, /*On fail goto*//*Label 17255*/ GIMT_Encode4(1185464), // Rule ID 16405 //
     /* 1185386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1185397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1185400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1185403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185425 */     // MIs[0] round
     /* 1185425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185435 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1185438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185446 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185463 */     // GIR_Coverage, 16405,
     /* 1185463 */     GIR_EraseRootFromParent_Done,
     /* 1185464 */   // Label 17255: @1185464
     /* 1185464 */   GIM_Try, /*On fail goto*//*Label 17256*/ GIMT_Encode4(1185547), // Rule ID 16408 //
     /* 1185469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1185480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1185483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185508 */     // MIs[0] round
     /* 1185508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185518 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1185521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185542 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185546 */     // GIR_Coverage, 16408,
     /* 1185546 */     GIR_EraseRootFromParent_Done,
     /* 1185547 */   // Label 17256: @1185547
     /* 1185547 */   GIM_Try, /*On fail goto*//*Label 17257*/ GIMT_Encode4(1185630), // Rule ID 16409 //
     /* 1185552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1185563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1185566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1185569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185591 */     // MIs[0] round
     /* 1185591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185601 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11485:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1185604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185612 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185625 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185629 */     // GIR_Coverage, 16409,
     /* 1185629 */     GIR_EraseRootFromParent_Done,
     /* 1185630 */   // Label 17257: @1185630
     /* 1185630 */   GIM_Try, /*On fail goto*//*Label 17258*/ GIMT_Encode4(1185713), // Rule ID 16412 //
     /* 1185635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1185646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1185649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185674 */     // MIs[0] round
     /* 1185674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1185687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185708 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185712 */     // GIR_Coverage, 16412,
     /* 1185712 */     GIR_EraseRootFromParent_Done,
     /* 1185713 */   // Label 17258: @1185713
     /* 1185713 */   GIM_Try, /*On fail goto*//*Label 17259*/ GIMT_Encode4(1185796), // Rule ID 16413 //
     /* 1185718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1185729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1185732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1185735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1185749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185757 */     // MIs[0] round
     /* 1185757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185767 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1185770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185778 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185795 */     // GIR_Coverage, 16413,
     /* 1185795 */     GIR_EraseRootFromParent_Done,
     /* 1185796 */   // Label 17259: @1185796
     /* 1185796 */   GIM_Try, /*On fail goto*//*Label 17260*/ GIMT_Encode4(1185879), // Rule ID 16416 //
     /* 1185801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1185812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1185815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185840 */     // MIs[0] round
     /* 1185840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1185850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1185853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185878 */     // GIR_Coverage, 16416,
     /* 1185878 */     GIR_EraseRootFromParent_Done,
     /* 1185879 */   // Label 17260: @1185879
     /* 1185879 */   GIM_Try, /*On fail goto*//*Label 17261*/ GIMT_Encode4(1185962), // Rule ID 16417 //
     /* 1185884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1185887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1185895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1185898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1185901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1185904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1185907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1185915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1185919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1185923 */     // MIs[0] round
     /* 1185923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1185926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1185933 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1185933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1185936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1185938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1185940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1185942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1185944 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1185946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1185951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1185954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1185957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1185960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1185961 */     // GIR_Coverage, 16417,
     /* 1185961 */     GIR_EraseRootFromParent_Done,
     /* 1185962 */   // Label 17261: @1185962
     /* 1185962 */   GIM_Try, /*On fail goto*//*Label 17262*/ GIMT_Encode4(1186045), // Rule ID 16420 //
     /* 1185967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1185970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1185975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1185978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1185981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1185984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1185987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1185990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1185998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186006 */     // MIs[0] round
     /* 1186006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1186019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186044 */     // GIR_Coverage, 16420,
     /* 1186044 */     GIR_EraseRootFromParent_Done,
     /* 1186045 */   // Label 17262: @1186045
     /* 1186045 */   GIM_Try, /*On fail goto*//*Label 17263*/ GIMT_Encode4(1186128), // Rule ID 16421 //
     /* 1186050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1186061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1186064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1186067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186089 */     // MIs[0] round
     /* 1186089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186099 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4),
     /* 1186102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186110 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186123 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186127 */     // GIR_Coverage, 16421,
     /* 1186127 */     GIR_EraseRootFromParent_Done,
     /* 1186128 */   // Label 17263: @1186128
     /* 1186128 */   GIM_Try, /*On fail goto*//*Label 17264*/ GIMT_Encode4(1186211), // Rule ID 16424 //
     /* 1186133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186172 */     // MIs[0] round
     /* 1186172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186182 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1186185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186206 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186210 */     // GIR_Coverage, 16424,
     /* 1186210 */     GIR_EraseRootFromParent_Done,
     /* 1186211 */   // Label 17264: @1186211
     /* 1186211 */   GIM_Try, /*On fail goto*//*Label 17265*/ GIMT_Encode4(1186294), // Rule ID 16425 //
     /* 1186216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1186227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1186230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1186233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186255 */     // MIs[0] round
     /* 1186255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186265 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1186268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186270 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186276 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186293 */     // GIR_Coverage, 16425,
     /* 1186293 */     GIR_EraseRootFromParent_Done,
     /* 1186294 */   // Label 17265: @1186294
     /* 1186294 */   GIM_Try, /*On fail goto*//*Label 17266*/ GIMT_Encode4(1186377), // Rule ID 16428 //
     /* 1186299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186338 */     // MIs[0] round
     /* 1186338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186348 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1186351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186372 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186376 */     // GIR_Coverage, 16428,
     /* 1186376 */     GIR_EraseRootFromParent_Done,
     /* 1186377 */   // Label 17266: @1186377
     /* 1186377 */   GIM_Try, /*On fail goto*//*Label 17267*/ GIMT_Encode4(1186460), // Rule ID 16429 //
     /* 1186382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1186393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1186396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1186399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186421 */     // MIs[0] round
     /* 1186421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186431 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11485:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1186434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186442 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186459 */     // GIR_Coverage, 16429,
     /* 1186459 */     GIR_EraseRootFromParent_Done,
     /* 1186460 */   // Label 17267: @1186460
     /* 1186460 */   GIM_Try, /*On fail goto*//*Label 17268*/ GIMT_Encode4(1186543), // Rule ID 16432 //
     /* 1186465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186504 */     // MIs[0] round
     /* 1186504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186514 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1186517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186542 */     // GIR_Coverage, 16432,
     /* 1186542 */     GIR_EraseRootFromParent_Done,
     /* 1186543 */   // Label 17268: @1186543
     /* 1186543 */   GIM_Try, /*On fail goto*//*Label 17269*/ GIMT_Encode4(1186626), // Rule ID 16433 //
     /* 1186548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1186559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1186562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1186565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186587 */     // MIs[0] round
     /* 1186587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186597 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1186600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186608 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186625 */     // GIR_Coverage, 16433,
     /* 1186625 */     GIR_EraseRootFromParent_Done,
     /* 1186626 */   // Label 17269: @1186626
     /* 1186626 */   GIM_Try, /*On fail goto*//*Label 17270*/ GIMT_Encode4(1186709), // Rule ID 16436 //
     /* 1186631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1186634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186670 */     // MIs[0] round
     /* 1186670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186680 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1186683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186704 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186708 */     // GIR_Coverage, 16436,
     /* 1186708 */     GIR_EraseRootFromParent_Done,
     /* 1186709 */   // Label 17270: @1186709
     /* 1186709 */   GIM_Try, /*On fail goto*//*Label 17271*/ GIMT_Encode4(1186792), // Rule ID 16437 //
     /* 1186714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1186717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1186725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1186728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1186731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1186745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1186749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186753 */     // MIs[0] round
     /* 1186753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186763 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1186766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186774 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1186784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186787 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186791 */     // GIR_Coverage, 16437,
     /* 1186791 */     GIR_EraseRootFromParent_Done,
     /* 1186792 */   // Label 17271: @1186792
     /* 1186792 */   GIM_Try, /*On fail goto*//*Label 17272*/ GIMT_Encode4(1186875), // Rule ID 16440 //
     /* 1186797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1186800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1186808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1186811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186836 */     // MIs[0] round
     /* 1186836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1186846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1186849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186870 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186874 */     // GIR_Coverage, 16440,
     /* 1186874 */     GIR_EraseRootFromParent_Done,
     /* 1186875 */   // Label 17272: @1186875
     /* 1186875 */   GIM_Try, /*On fail goto*//*Label 17273*/ GIMT_Encode4(1186958), // Rule ID 16441 //
     /* 1186880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1186883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1186891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1186894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1186897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1186900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1186903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1186919 */     // MIs[0] round
     /* 1186919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1186922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1186929 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1186929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2),
     /* 1186932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1186934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1186936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1186938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1186940 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1186942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1186947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1186950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1186953 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1186956 */     GIR_RootConstrainSelectedInstOperands,
     /* 1186957 */     // GIR_Coverage, 16441,
     /* 1186957 */     GIR_EraseRootFromParent_Done,
     /* 1186958 */   // Label 17273: @1186958
     /* 1186958 */   GIM_Try, /*On fail goto*//*Label 17274*/ GIMT_Encode4(1187041), // Rule ID 16444 //
     /* 1186963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1186966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1186971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1186974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1186977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1186980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1186983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1186986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1186994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1186998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187002 */     // MIs[0] round
     /* 1187002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187012 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1187015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187040 */     // GIR_Coverage, 16444,
     /* 1187040 */     GIR_EraseRootFromParent_Done,
     /* 1187041 */   // Label 17274: @1187041
     /* 1187041 */   GIM_Try, /*On fail goto*//*Label 17275*/ GIMT_Encode4(1187124), // Rule ID 16445 //
     /* 1187046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1187054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1187057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1187060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1187063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187085 */     // MIs[0] round
     /* 1187085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187095 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11485:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1),
     /* 1187098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187106 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187123 */     // GIR_Coverage, 16445,
     /* 1187123 */     GIR_EraseRootFromParent_Done,
     /* 1187124 */   // Label 17275: @1187124
     /* 1187124 */   GIM_Try, /*On fail goto*//*Label 17276*/ GIMT_Encode4(1187207), // Rule ID 16448 //
     /* 1187129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1187137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187168 */     // MIs[0] round
     /* 1187168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187178 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1187181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187202 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187206 */     // GIR_Coverage, 16448,
     /* 1187206 */     GIR_EraseRootFromParent_Done,
     /* 1187207 */   // Label 17276: @1187207
     /* 1187207 */   GIM_Try, /*On fail goto*//*Label 17277*/ GIMT_Encode4(1187290), // Rule ID 16449 //
     /* 1187212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1187220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1187223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1187226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1187229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187251 */     // MIs[0] round
     /* 1187251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187261 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11485:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2),
     /* 1187264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187272 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187289 */     // GIR_Coverage, 16449,
     /* 1187289 */     GIR_EraseRootFromParent_Done,
     /* 1187290 */   // Label 17277: @1187290
     /* 1187290 */   GIM_Try, /*On fail goto*//*Label 17278*/ GIMT_Encode4(1187373), // Rule ID 16452 //
     /* 1187295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1187298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1187303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1187315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187334 */     // MIs[0] round
     /* 1187334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187344 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1187347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187368 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187372 */     // GIR_Coverage, 16452,
     /* 1187372 */     GIR_EraseRootFromParent_Done,
     /* 1187373 */   // Label 17278: @1187373
     /* 1187373 */   GIM_Try, /*On fail goto*//*Label 17279*/ GIMT_Encode4(1187456), // Rule ID 16453 //
     /* 1187378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1187381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu),
     /* 1187386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1187389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1187392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1187395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1187398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1187409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1187413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1187417 */     // MIs[0] round
     /* 1187417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187427 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11485:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIPU_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4),
     /* 1187430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187438 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1187448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187451 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187455 */     // GIR_Coverage, 16453,
     /* 1187455 */     GIR_EraseRootFromParent_Done,
     /* 1187456 */   // Label 17279: @1187456
     /* 1187456 */   GIM_Try, /*On fail goto*//*Label 17280*/ GIMT_Encode4(1187539), // Rule ID 16516 //
     /* 1187461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1187472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1187475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1187481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187500 */     // MIs[0] round
     /* 1187500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187510 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1187513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187534 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187538 */     // GIR_Coverage, 16516,
     /* 1187538 */     GIR_EraseRootFromParent_Done,
     /* 1187539 */   // Label 17280: @1187539
     /* 1187539 */   GIM_Try, /*On fail goto*//*Label 17281*/ GIMT_Encode4(1187622), // Rule ID 16517 //
     /* 1187544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1187555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1187558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1187561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1187564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187583 */     // MIs[0] round
     /* 1187583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187593 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8),
     /* 1187596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187604 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187621 */     // GIR_Coverage, 16517,
     /* 1187621 */     GIR_EraseRootFromParent_Done,
     /* 1187622 */   // Label 17281: @1187622
     /* 1187622 */   GIM_Try, /*On fail goto*//*Label 17282*/ GIMT_Encode4(1187705), // Rule ID 16520 //
     /* 1187627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1187638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1187641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1187644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1187647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187666 */     // MIs[0] round
     /* 1187666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1187679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187704 */     // GIR_Coverage, 16520,
     /* 1187704 */     GIR_EraseRootFromParent_Done,
     /* 1187705 */   // Label 17282: @1187705
     /* 1187705 */   GIM_Try, /*On fail goto*//*Label 17283*/ GIMT_Encode4(1187788), // Rule ID 16521 //
     /* 1187710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1187721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1187724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1187727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1187730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187749 */     // MIs[0] round
     /* 1187749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187759 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1187762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187770 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187787 */     // GIR_Coverage, 16521,
     /* 1187787 */     GIR_EraseRootFromParent_Done,
     /* 1187788 */   // Label 17283: @1187788
     /* 1187788 */   GIM_Try, /*On fail goto*//*Label 17284*/ GIMT_Encode4(1187871), // Rule ID 16524 //
     /* 1187793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1187804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1187807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1187810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1187813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187832 */     // MIs[0] round
     /* 1187832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187842 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1187842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1187845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187866 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187870 */     // GIR_Coverage, 16524,
     /* 1187870 */     GIR_EraseRootFromParent_Done,
     /* 1187871 */   // Label 17284: @1187871
     /* 1187871 */   GIM_Try, /*On fail goto*//*Label 17285*/ GIMT_Encode4(1187954), // Rule ID 16525 //
     /* 1187876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1187879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1187887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1187890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1187893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1187896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1187899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187915 */     // MIs[0] round
     /* 1187915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1187918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1187925 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1187925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1187928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1187930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1187932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1187934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1187936 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1187938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1187943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1187946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1187949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1187952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1187953 */     // GIR_Coverage, 16525,
     /* 1187953 */     GIR_EraseRootFromParent_Done,
     /* 1187954 */   // Label 17285: @1187954
     /* 1187954 */   GIM_Try, /*On fail goto*//*Label 17286*/ GIMT_Encode4(1188037), // Rule ID 16528 //
     /* 1187959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1187962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1187967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1187970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1187973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1187976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1187979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1187982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1187994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1187998 */     // MIs[0] round
     /* 1187998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188008 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1188011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188036 */     // GIR_Coverage, 16528,
     /* 1188036 */     GIR_EraseRootFromParent_Done,
     /* 1188037 */   // Label 17286: @1188037
     /* 1188037 */   GIM_Try, /*On fail goto*//*Label 17287*/ GIMT_Encode4(1188120), // Rule ID 16529 //
     /* 1188042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1188053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1188056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1188059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1188062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188081 */     // MIs[0] round
     /* 1188081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188091 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1188094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188102 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188119 */     // GIR_Coverage, 16529,
     /* 1188119 */     GIR_EraseRootFromParent_Done,
     /* 1188120 */   // Label 17287: @1188120
     /* 1188120 */   GIM_Try, /*On fail goto*//*Label 17288*/ GIMT_Encode4(1188203), // Rule ID 16532 //
     /* 1188125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1188136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1188139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1188142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1188145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188164 */     // MIs[0] round
     /* 1188164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188174 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1188177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188202 */     // GIR_Coverage, 16532,
     /* 1188202 */     GIR_EraseRootFromParent_Done,
     /* 1188203 */   // Label 17288: @1188203
     /* 1188203 */   GIM_Try, /*On fail goto*//*Label 17289*/ GIMT_Encode4(1188286), // Rule ID 16533 //
     /* 1188208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1188219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1188222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1188225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1188228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188247 */     // MIs[0] round
     /* 1188247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188257 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1188260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188268 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188285 */     // GIR_Coverage, 16533,
     /* 1188285 */     GIR_EraseRootFromParent_Done,
     /* 1188286 */   // Label 17289: @1188286
     /* 1188286 */   GIM_Try, /*On fail goto*//*Label 17290*/ GIMT_Encode4(1188369), // Rule ID 16536 //
     /* 1188291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1188302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1188305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1188308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1188311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188330 */     // MIs[0] round
     /* 1188330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188340 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1188343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188364 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188368 */     // GIR_Coverage, 16536,
     /* 1188368 */     GIR_EraseRootFromParent_Done,
     /* 1188369 */   // Label 17290: @1188369
     /* 1188369 */   GIM_Try, /*On fail goto*//*Label 17291*/ GIMT_Encode4(1188452), // Rule ID 16537 //
     /* 1188374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1188385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1188388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1188391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1188394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1188409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188413 */     // MIs[0] round
     /* 1188413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188423 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1188426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188434 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1188444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188447 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188451 */     // GIR_Coverage, 16537,
     /* 1188451 */     GIR_EraseRootFromParent_Done,
     /* 1188452 */   // Label 17291: @1188452
     /* 1188452 */   GIM_Try, /*On fail goto*//*Label 17292*/ GIMT_Encode4(1188535), // Rule ID 16540 //
     /* 1188457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1188468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1188471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1188477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188496 */     // MIs[0] round
     /* 1188496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188506 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1188509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188534 */     // GIR_Coverage, 16540,
     /* 1188534 */     GIR_EraseRootFromParent_Done,
     /* 1188535 */   // Label 17292: @1188535
     /* 1188535 */   GIM_Try, /*On fail goto*//*Label 17293*/ GIMT_Encode4(1188618), // Rule ID 16541 //
     /* 1188540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1188551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1188554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1188557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1188560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188579 */     // MIs[0] round
     /* 1188579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188589 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4),
     /* 1188592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188600 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188616 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188617 */     // GIR_Coverage, 16541,
     /* 1188617 */     GIR_EraseRootFromParent_Done,
     /* 1188618 */   // Label 17293: @1188618
     /* 1188618 */   GIM_Try, /*On fail goto*//*Label 17294*/ GIMT_Encode4(1188701), // Rule ID 16544 //
     /* 1188623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188662 */     // MIs[0] round
     /* 1188662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188672 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1188675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188700 */     // GIR_Coverage, 16544,
     /* 1188700 */     GIR_EraseRootFromParent_Done,
     /* 1188701 */   // Label 17294: @1188701
     /* 1188701 */   GIM_Try, /*On fail goto*//*Label 17295*/ GIMT_Encode4(1188784), // Rule ID 16545 //
     /* 1188706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1188717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1188720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1188723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1188726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188745 */     // MIs[0] round
     /* 1188745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188755 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1188758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188766 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188783 */     // GIR_Coverage, 16545,
     /* 1188783 */     GIR_EraseRootFromParent_Done,
     /* 1188784 */   // Label 17295: @1188784
     /* 1188784 */   GIM_Try, /*On fail goto*//*Label 17296*/ GIMT_Encode4(1188867), // Rule ID 16548 //
     /* 1188789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1188806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188828 */     // MIs[0] round
     /* 1188828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1188838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1188841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188866 */     // GIR_Coverage, 16548,
     /* 1188866 */     GIR_EraseRootFromParent_Done,
     /* 1188867 */   // Label 17296: @1188867
     /* 1188867 */   GIM_Try, /*On fail goto*//*Label 17297*/ GIMT_Encode4(1188950), // Rule ID 16549 //
     /* 1188872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1188875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1188883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1188886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1188889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1188892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1188895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1188911 */     // MIs[0] round
     /* 1188911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1188921 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1188921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1188924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1188926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1188928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1188930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1188932 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1188934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1188939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1188942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1188945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1188948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1188949 */     // GIR_Coverage, 16549,
     /* 1188949 */     GIR_EraseRootFromParent_Done,
     /* 1188950 */   // Label 17297: @1188950
     /* 1188950 */   GIM_Try, /*On fail goto*//*Label 17298*/ GIMT_Encode4(1189033), // Rule ID 16552 //
     /* 1188955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1188958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1188963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1188966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1188969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1188972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1188975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1188978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1188990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1188994 */     // MIs[0] round
     /* 1188994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1188997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189004 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1189007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189028 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189032 */     // GIR_Coverage, 16552,
     /* 1189032 */     GIR_EraseRootFromParent_Done,
     /* 1189033 */   // Label 17298: @1189033
     /* 1189033 */   GIM_Try, /*On fail goto*//*Label 17299*/ GIMT_Encode4(1189116), // Rule ID 16553 //
     /* 1189038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1189049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1189052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1189055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1189058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189077 */     // MIs[0] round
     /* 1189077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189087 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1189090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189092 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189098 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189115 */     // GIR_Coverage, 16553,
     /* 1189115 */     GIR_EraseRootFromParent_Done,
     /* 1189116 */   // Label 17299: @1189116
     /* 1189116 */   GIM_Try, /*On fail goto*//*Label 17300*/ GIMT_Encode4(1189199), // Rule ID 16556 //
     /* 1189121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189160 */     // MIs[0] round
     /* 1189160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189170 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1189173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189198 */     // GIR_Coverage, 16556,
     /* 1189198 */     GIR_EraseRootFromParent_Done,
     /* 1189199 */   // Label 17300: @1189199
     /* 1189199 */   GIM_Try, /*On fail goto*//*Label 17301*/ GIMT_Encode4(1189282), // Rule ID 16557 //
     /* 1189204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1189207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1189215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1189218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1189221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1189224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189243 */     // MIs[0] round
     /* 1189243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189253 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1189256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189264 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1189274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189281 */     // GIR_Coverage, 16557,
     /* 1189281 */     GIR_EraseRootFromParent_Done,
     /* 1189282 */   // Label 17301: @1189282
     /* 1189282 */   GIM_Try, /*On fail goto*//*Label 17302*/ GIMT_Encode4(1189365), // Rule ID 16560 //
     /* 1189287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1189290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1189298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1189301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1189307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189326 */     // MIs[0] round
     /* 1189326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1189339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189364 */     // GIR_Coverage, 16560,
     /* 1189364 */     GIR_EraseRootFromParent_Done,
     /* 1189365 */   // Label 17302: @1189365
     /* 1189365 */   GIM_Try, /*On fail goto*//*Label 17303*/ GIMT_Encode4(1189448), // Rule ID 16561 //
     /* 1189370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1189373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1189381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1189384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1189387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1189390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189409 */     // MIs[0] round
     /* 1189409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189419 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2),
     /* 1189422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189430 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189443 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189447 */     // GIR_Coverage, 16561,
     /* 1189447 */     GIR_EraseRootFromParent_Done,
     /* 1189448 */   // Label 17303: @1189448
     /* 1189448 */   GIM_Try, /*On fail goto*//*Label 17304*/ GIMT_Encode4(1189531), // Rule ID 16564 //
     /* 1189453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1189456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1189464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1189467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1189473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189492 */     // MIs[0] round
     /* 1189492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189502 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1189505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189526 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189530 */     // GIR_Coverage, 16564,
     /* 1189530 */     GIR_EraseRootFromParent_Done,
     /* 1189531 */   // Label 17304: @1189531
     /* 1189531 */   GIM_Try, /*On fail goto*//*Label 17305*/ GIMT_Encode4(1189614), // Rule ID 16565 //
     /* 1189536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1189539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1189547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1189550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1189553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1189556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189575 */     // MIs[0] round
     /* 1189575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189585 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1),
     /* 1189588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189596 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189609 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189613 */     // GIR_Coverage, 16565,
     /* 1189613 */     GIR_EraseRootFromParent_Done,
     /* 1189614 */   // Label 17305: @1189614
     /* 1189614 */   GIM_Try, /*On fail goto*//*Label 17306*/ GIMT_Encode4(1189697), // Rule ID 16568 //
     /* 1189619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1189622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189658 */     // MIs[0] round
     /* 1189658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1189671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189692 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189696 */     // GIR_Coverage, 16568,
     /* 1189696 */     GIR_EraseRootFromParent_Done,
     /* 1189697 */   // Label 17306: @1189697
     /* 1189697 */   GIM_Try, /*On fail goto*//*Label 17307*/ GIMT_Encode4(1189780), // Rule ID 16569 //
     /* 1189702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1189705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1189713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1189716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1189719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1189722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1189741 */     // MIs[0] round
     /* 1189741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189751 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2),
     /* 1189754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189762 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189779 */     // GIR_Coverage, 16569,
     /* 1189779 */     GIR_EraseRootFromParent_Done,
     /* 1189780 */   // Label 17307: @1189780
     /* 1189780 */   GIM_Try, /*On fail goto*//*Label 17308*/ GIMT_Encode4(1189863), // Rule ID 16572 //
     /* 1189785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1189788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1189802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189824 */     // MIs[0] round
     /* 1189824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189834 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1189834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1189837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189862 */     // GIR_Coverage, 16572,
     /* 1189862 */     GIR_EraseRootFromParent_Done,
     /* 1189863 */   // Label 17308: @1189863
     /* 1189863 */   GIM_Try, /*On fail goto*//*Label 17309*/ GIMT_Encode4(1189946), // Rule ID 16573 //
     /* 1189868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1189871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1189879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1189882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1189885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1189888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1189891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1189903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1189907 */     // MIs[0] round
     /* 1189907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1189917 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WV_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1189917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4),
     /* 1189920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1189922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1189924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1189926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1189928 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1189930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1189935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1189938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1189941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1189944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1189945 */     // GIR_Coverage, 16573,
     /* 1189945 */     GIR_EraseRootFromParent_Done,
     /* 1189946 */   // Label 17309: @1189946
     /* 1189946 */   GIM_Try, /*On fail goto*//*Label 17310*/ GIMT_Encode4(1190029), // Rule ID 16576 //
     /* 1189951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1189954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1189959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1189962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1189965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1189968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1189971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1189974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1189986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1189990 */     // MIs[0] round
     /* 1189990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1189993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190000 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1190003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190024 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190028 */     // GIR_Coverage, 16576,
     /* 1190028 */     GIR_EraseRootFromParent_Done,
     /* 1190029 */   // Label 17310: @1190029
     /* 1190029 */   GIM_Try, /*On fail goto*//*Label 17311*/ GIMT_Encode4(1190112), // Rule ID 16577 //
     /* 1190034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1190045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1190048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1190051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190073 */     // MIs[0] round
     /* 1190073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190083 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8),
     /* 1190086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190094 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190111 */     // GIR_Coverage, 16577,
     /* 1190111 */     GIR_EraseRootFromParent_Done,
     /* 1190112 */   // Label 17311: @1190112
     /* 1190112 */   GIM_Try, /*On fail goto*//*Label 17312*/ GIMT_Encode4(1190195), // Rule ID 16580 //
     /* 1190117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1190128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1190131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190156 */     // MIs[0] round
     /* 1190156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190166 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1190169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190194 */     // GIR_Coverage, 16580,
     /* 1190194 */     GIR_EraseRootFromParent_Done,
     /* 1190195 */   // Label 17312: @1190195
     /* 1190195 */   GIM_Try, /*On fail goto*//*Label 17313*/ GIMT_Encode4(1190278), // Rule ID 16581 //
     /* 1190200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1190211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1190214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1190217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190239 */     // MIs[0] round
     /* 1190239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190249 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1190252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190260 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190277 */     // GIR_Coverage, 16581,
     /* 1190277 */     GIR_EraseRootFromParent_Done,
     /* 1190278 */   // Label 17313: @1190278
     /* 1190278 */   GIM_Try, /*On fail goto*//*Label 17314*/ GIMT_Encode4(1190361), // Rule ID 16584 //
     /* 1190283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1190294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1190297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190322 */     // MIs[0] round
     /* 1190322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190332 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1190335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190356 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190360 */     // GIR_Coverage, 16584,
     /* 1190360 */     GIR_EraseRootFromParent_Done,
     /* 1190361 */   // Label 17314: @1190361
     /* 1190361 */   GIM_Try, /*On fail goto*//*Label 17315*/ GIMT_Encode4(1190444), // Rule ID 16585 //
     /* 1190366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1190377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1190380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1190383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190405 */     // MIs[0] round
     /* 1190405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190415 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1190418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190426 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190443 */     // GIR_Coverage, 16585,
     /* 1190443 */     GIR_EraseRootFromParent_Done,
     /* 1190444 */   // Label 17315: @1190444
     /* 1190444 */   GIM_Try, /*On fail goto*//*Label 17316*/ GIMT_Encode4(1190527), // Rule ID 16588 //
     /* 1190449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1190460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1190463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1190466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190488 */     // MIs[0] round
     /* 1190488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1190501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190526 */     // GIR_Coverage, 16588,
     /* 1190526 */     GIR_EraseRootFromParent_Done,
     /* 1190527 */   // Label 17316: @1190527
     /* 1190527 */   GIM_Try, /*On fail goto*//*Label 17317*/ GIMT_Encode4(1190610), // Rule ID 16589 //
     /* 1190532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1190543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1190546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1190549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190571 */     // MIs[0] round
     /* 1190571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190581 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11483:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1190584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190592 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190609 */     // GIR_Coverage, 16589,
     /* 1190609 */     GIR_EraseRootFromParent_Done,
     /* 1190610 */   // Label 17317: @1190610
     /* 1190610 */   GIM_Try, /*On fail goto*//*Label 17318*/ GIMT_Encode4(1190693), // Rule ID 16592 //
     /* 1190615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1190626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1190629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1190632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190654 */     // MIs[0] round
     /* 1190654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190664 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1190667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190688 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190692 */     // GIR_Coverage, 16592,
     /* 1190692 */     GIR_EraseRootFromParent_Done,
     /* 1190693 */   // Label 17318: @1190693
     /* 1190693 */   GIM_Try, /*On fail goto*//*Label 17319*/ GIMT_Encode4(1190776), // Rule ID 16593 //
     /* 1190698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1190709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1190712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1190715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1190729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190737 */     // MIs[0] round
     /* 1190737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190747 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1190750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190758 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190771 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190775 */     // GIR_Coverage, 16593,
     /* 1190775 */     GIR_EraseRootFromParent_Done,
     /* 1190776 */   // Label 17319: @1190776
     /* 1190776 */   GIM_Try, /*On fail goto*//*Label 17320*/ GIMT_Encode4(1190859), // Rule ID 16596 //
     /* 1190781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1190792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1190795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1190798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190820 */     // MIs[0] round
     /* 1190820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190830 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1190833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190854 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190858 */     // GIR_Coverage, 16596,
     /* 1190858 */     GIR_EraseRootFromParent_Done,
     /* 1190859 */   // Label 17320: @1190859
     /* 1190859 */   GIM_Try, /*On fail goto*//*Label 17321*/ GIMT_Encode4(1190942), // Rule ID 16597 //
     /* 1190864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1190867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1190875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1190878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1190881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1190884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1190887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1190895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1190899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190903 */     // MIs[0] round
     /* 1190903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190913 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1190913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1190916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1190918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1190920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1190922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1190924 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1190926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1190931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1190934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1190937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1190940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1190941 */     // GIR_Coverage, 16597,
     /* 1190941 */     GIR_EraseRootFromParent_Done,
     /* 1190942 */   // Label 17321: @1190942
     /* 1190942 */   GIM_Try, /*On fail goto*//*Label 17322*/ GIMT_Encode4(1191025), // Rule ID 16600 //
     /* 1190947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1190950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1190955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1190958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1190961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1190964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1190967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1190970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1190982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1190986 */     // MIs[0] round
     /* 1190986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1190989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1190996 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1190996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1190999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191024 */     // GIR_Coverage, 16600,
     /* 1191024 */     GIR_EraseRootFromParent_Done,
     /* 1191025 */   // Label 17322: @1191025
     /* 1191025 */   GIM_Try, /*On fail goto*//*Label 17323*/ GIMT_Encode4(1191108), // Rule ID 16601 //
     /* 1191030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1191041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1191044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1191047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191069 */     // MIs[0] round
     /* 1191069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191079 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4),
     /* 1191082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191090 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191107 */     // GIR_Coverage, 16601,
     /* 1191107 */     GIR_EraseRootFromParent_Done,
     /* 1191108 */   // Label 17323: @1191108
     /* 1191108 */   GIM_Try, /*On fail goto*//*Label 17324*/ GIMT_Encode4(1191191), // Rule ID 16604 //
     /* 1191113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1191124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1191127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191152 */     // MIs[0] round
     /* 1191152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191162 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1191165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191186 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191190 */     // GIR_Coverage, 16604,
     /* 1191190 */     GIR_EraseRootFromParent_Done,
     /* 1191191 */   // Label 17324: @1191191
     /* 1191191 */   GIM_Try, /*On fail goto*//*Label 17325*/ GIMT_Encode4(1191274), // Rule ID 16605 //
     /* 1191196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1191207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1191210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1191213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191235 */     // MIs[0] round
     /* 1191235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191245 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1191248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191256 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191273 */     // GIR_Coverage, 16605,
     /* 1191273 */     GIR_EraseRootFromParent_Done,
     /* 1191274 */   // Label 17325: @1191274
     /* 1191274 */   GIM_Try, /*On fail goto*//*Label 17326*/ GIMT_Encode4(1191357), // Rule ID 16608 //
     /* 1191279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191318 */     // MIs[0] round
     /* 1191318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191328 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1191331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191352 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191356 */     // GIR_Coverage, 16608,
     /* 1191356 */     GIR_EraseRootFromParent_Done,
     /* 1191357 */   // Label 17326: @1191357
     /* 1191357 */   GIM_Try, /*On fail goto*//*Label 17327*/ GIMT_Encode4(1191440), // Rule ID 16609 //
     /* 1191362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1191373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1191376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1191379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191401 */     // MIs[0] round
     /* 1191401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191411 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11483:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1191414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191422 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191439 */     // GIR_Coverage, 16609,
     /* 1191439 */     GIR_EraseRootFromParent_Done,
     /* 1191440 */   // Label 17327: @1191440
     /* 1191440 */   GIM_Try, /*On fail goto*//*Label 17328*/ GIMT_Encode4(1191523), // Rule ID 16612 //
     /* 1191445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191484 */     // MIs[0] round
     /* 1191484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1191497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191522 */     // GIR_Coverage, 16612,
     /* 1191522 */     GIR_EraseRootFromParent_Done,
     /* 1191523 */   // Label 17328: @1191523
     /* 1191523 */   GIM_Try, /*On fail goto*//*Label 17329*/ GIMT_Encode4(1191606), // Rule ID 16613 //
     /* 1191528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1191539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1191542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1191545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191567 */     // MIs[0] round
     /* 1191567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191577 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1191580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191588 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191605 */     // GIR_Coverage, 16613,
     /* 1191605 */     GIR_EraseRootFromParent_Done,
     /* 1191606 */   // Label 17329: @1191606
     /* 1191606 */   GIM_Try, /*On fail goto*//*Label 17330*/ GIMT_Encode4(1191689), // Rule ID 16616 //
     /* 1191611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1191614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1191628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191650 */     // MIs[0] round
     /* 1191650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191660 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1191663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191688 */     // GIR_Coverage, 16616,
     /* 1191688 */     GIR_EraseRootFromParent_Done,
     /* 1191689 */   // Label 17330: @1191689
     /* 1191689 */   GIM_Try, /*On fail goto*//*Label 17331*/ GIMT_Encode4(1191772), // Rule ID 16617 //
     /* 1191694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1191697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1191705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1191708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1191711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1191725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1191729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191733 */     // MIs[0] round
     /* 1191733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191743 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1191746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191754 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1191764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191771 */     // GIR_Coverage, 16617,
     /* 1191771 */     GIR_EraseRootFromParent_Done,
     /* 1191772 */   // Label 17331: @1191772
     /* 1191772 */   GIM_Try, /*On fail goto*//*Label 17332*/ GIMT_Encode4(1191855), // Rule ID 16620 //
     /* 1191777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1191780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1191791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191816 */     // MIs[0] round
     /* 1191816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1191829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191854 */     // GIR_Coverage, 16620,
     /* 1191854 */     GIR_EraseRootFromParent_Done,
     /* 1191855 */   // Label 17332: @1191855
     /* 1191855 */   GIM_Try, /*On fail goto*//*Label 17333*/ GIMT_Encode4(1191938), // Rule ID 16621 //
     /* 1191860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1191863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1191871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1191874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1191877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1191880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1191883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191899 */     // MIs[0] round
     /* 1191899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191909 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1191909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2),
     /* 1191912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1191918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1191920 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1191922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1191927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1191930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1191933 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1191936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1191937 */     // GIR_Coverage, 16621,
     /* 1191937 */     GIR_EraseRootFromParent_Done,
     /* 1191938 */   // Label 17333: @1191938
     /* 1191938 */   GIM_Try, /*On fail goto*//*Label 17334*/ GIMT_Encode4(1192021), // Rule ID 16624 //
     /* 1191943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1191946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1191951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1191954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1191957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1191960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1191963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1191966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1191974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1191978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1191982 */     // MIs[0] round
     /* 1191982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1191985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1191992 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1191992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1191995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1191997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1191999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192016 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1192019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192020 */     // GIR_Coverage, 16624,
     /* 1192020 */     GIR_EraseRootFromParent_Done,
     /* 1192021 */   // Label 17334: @1192021
     /* 1192021 */   GIM_Try, /*On fail goto*//*Label 17335*/ GIMT_Encode4(1192104), // Rule ID 16625 //
     /* 1192026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1192029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1192034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1192037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1192040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1192043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192065 */     // MIs[0] round
     /* 1192065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192075 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11483:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1),
     /* 1192078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192086 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1192102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192103 */     // GIR_Coverage, 16625,
     /* 1192103 */     GIR_EraseRootFromParent_Done,
     /* 1192104 */   // Label 17335: @1192104
     /* 1192104 */   GIM_Try, /*On fail goto*//*Label 17336*/ GIMT_Encode4(1192187), // Rule ID 16628 //
     /* 1192109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1192112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1192117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192148 */     // MIs[0] round
     /* 1192148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192158 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1192161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1192185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192186 */     // GIR_Coverage, 16628,
     /* 1192186 */     GIR_EraseRootFromParent_Done,
     /* 1192187 */   // Label 17336: @1192187
     /* 1192187 */   GIM_Try, /*On fail goto*//*Label 17337*/ GIMT_Encode4(1192270), // Rule ID 16629 //
     /* 1192192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1192195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1192200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1192203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1192206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1192209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1192223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192231 */     // MIs[0] round
     /* 1192231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192241 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11483:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2),
     /* 1192244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192252 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1192268 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192269 */     // GIR_Coverage, 16629,
     /* 1192269 */     GIR_EraseRootFromParent_Done,
     /* 1192270 */   // Label 17337: @1192270
     /* 1192270 */   GIM_Try, /*On fail goto*//*Label 17338*/ GIMT_Encode4(1192353), // Rule ID 16632 //
     /* 1192275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1192278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1192283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1192295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192314 */     // MIs[0] round
     /* 1192314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192324 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1192327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192348 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1192351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192352 */     // GIR_Coverage, 16632,
     /* 1192352 */     GIR_EraseRootFromParent_Done,
     /* 1192353 */   // Label 17338: @1192353
     /* 1192353 */   GIM_Try, /*On fail goto*//*Label 17339*/ GIMT_Encode4(1192436), // Rule ID 16633 //
     /* 1192358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1192361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip),
     /* 1192366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1192369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1192372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1192375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1192378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1192389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1192393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1192397 */     // MIs[0] round
     /* 1192397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192407 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11483:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVNCLIP_WX_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4),
     /* 1192410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192418 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192431 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1192434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192435 */     // GIR_Coverage, 16633,
     /* 1192435 */     GIR_EraseRootFromParent_Done,
     /* 1192436 */   // Label 17339: @1192436
     /* 1192436 */   GIM_Try, /*On fail goto*//*Label 17340*/ GIMT_Encode4(1192516), // Rule ID 16696 //
     /* 1192441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1192461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192480 */     // MIs[0] round
     /* 1192480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192490 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1192493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192515 */     // GIR_Coverage, 16696,
     /* 1192515 */     GIR_EraseRootFromParent_Done,
     /* 1192516 */   // Label 17340: @1192516
     /* 1192516 */   GIM_Try, /*On fail goto*//*Label 17341*/ GIMT_Encode4(1192596), // Rule ID 16697 //
     /* 1192521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1192532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1192535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1192538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1192541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192560 */     // MIs[0] round
     /* 1192560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192570 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 1192573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192595 */     // GIR_Coverage, 16697,
     /* 1192595 */     GIR_EraseRootFromParent_Done,
     /* 1192596 */   // Label 17341: @1192596
     /* 1192596 */   GIM_Try, /*On fail goto*//*Label 17342*/ GIMT_Encode4(1192676), // Rule ID 16700 //
     /* 1192601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1192621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192640 */     // MIs[0] round
     /* 1192640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192650 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1192653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192675 */     // GIR_Coverage, 16700,
     /* 1192675 */     GIR_EraseRootFromParent_Done,
     /* 1192676 */   // Label 17342: @1192676
     /* 1192676 */   GIM_Try, /*On fail goto*//*Label 17343*/ GIMT_Encode4(1192756), // Rule ID 16701 //
     /* 1192681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1192684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1192692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1192695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1192698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1192701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192720 */     // MIs[0] round
     /* 1192720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192730 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 1192733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192755 */     // GIR_Coverage, 16701,
     /* 1192755 */     GIR_EraseRootFromParent_Done,
     /* 1192756 */   // Label 17343: @1192756
     /* 1192756 */   GIM_Try, /*On fail goto*//*Label 17344*/ GIMT_Encode4(1192836), // Rule ID 16704 //
     /* 1192761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1192764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1192772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1192781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192800 */     // MIs[0] round
     /* 1192800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192810 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1192813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192835 */     // GIR_Coverage, 16704,
     /* 1192835 */     GIR_EraseRootFromParent_Done,
     /* 1192836 */   // Label 17344: @1192836
     /* 1192836 */   GIM_Try, /*On fail goto*//*Label 17345*/ GIMT_Encode4(1192916), // Rule ID 16705 //
     /* 1192841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1192844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1192852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1192855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1192858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1192861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1192864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192880 */     // MIs[0] round
     /* 1192880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192890 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1192890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 1192893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1192911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192915 */     // GIR_Coverage, 16705,
     /* 1192915 */     GIR_EraseRootFromParent_Done,
     /* 1192916 */   // Label 17345: @1192916
     /* 1192916 */   GIM_Try, /*On fail goto*//*Label 17346*/ GIMT_Encode4(1192996), // Rule ID 16708 //
     /* 1192921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1192924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1192929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1192932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1192935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1192938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1192941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1192944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1192960 */     // MIs[0] round
     /* 1192960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1192963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1192970 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1192970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1192973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1192975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1192977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1192979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1192981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1192983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1192988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1192991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1192994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1192995 */     // GIR_Coverage, 16708,
     /* 1192995 */     GIR_EraseRootFromParent_Done,
     /* 1192996 */   // Label 17346: @1192996
     /* 1192996 */   GIM_Try, /*On fail goto*//*Label 17347*/ GIMT_Encode4(1193076), // Rule ID 16709 //
     /* 1193001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1193012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1193015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1193018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1193021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193040 */     // MIs[0] round
     /* 1193040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193050 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 1193053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193075 */     // GIR_Coverage, 16709,
     /* 1193075 */     GIR_EraseRootFromParent_Done,
     /* 1193076 */   // Label 17347: @1193076
     /* 1193076 */   GIM_Try, /*On fail goto*//*Label 17348*/ GIMT_Encode4(1193156), // Rule ID 16712 //
     /* 1193081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193120 */     // MIs[0] round
     /* 1193120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1193133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193155 */     // GIR_Coverage, 16712,
     /* 1193155 */     GIR_EraseRootFromParent_Done,
     /* 1193156 */   // Label 17348: @1193156
     /* 1193156 */   GIM_Try, /*On fail goto*//*Label 17349*/ GIMT_Encode4(1193236), // Rule ID 16713 //
     /* 1193161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1193172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1193175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1193178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1193181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193200 */     // MIs[0] round
     /* 1193200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193210 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 1193213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193235 */     // GIR_Coverage, 16713,
     /* 1193235 */     GIR_EraseRootFromParent_Done,
     /* 1193236 */   // Label 17349: @1193236
     /* 1193236 */   GIM_Try, /*On fail goto*//*Label 17350*/ GIMT_Encode4(1193316), // Rule ID 16716 //
     /* 1193241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1193244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1193261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193280 */     // MIs[0] round
     /* 1193280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193290 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1193293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193315 */     // GIR_Coverage, 16716,
     /* 1193315 */     GIR_EraseRootFromParent_Done,
     /* 1193316 */   // Label 17350: @1193316
     /* 1193316 */   GIM_Try, /*On fail goto*//*Label 17351*/ GIMT_Encode4(1193396), // Rule ID 16717 //
     /* 1193321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1193324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1193332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1193335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1193338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1193341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1193360 */     // MIs[0] round
     /* 1193360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193370 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 1193373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1193391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193395 */     // GIR_Coverage, 16717,
     /* 1193395 */     GIR_EraseRootFromParent_Done,
     /* 1193396 */   // Label 17351: @1193396
     /* 1193396 */   GIM_Try, /*On fail goto*//*Label 17352*/ GIMT_Encode4(1193476), // Rule ID 16720 //
     /* 1193401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1193421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193440 */     // MIs[0] round
     /* 1193440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193450 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1193453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193475 */     // GIR_Coverage, 16720,
     /* 1193475 */     GIR_EraseRootFromParent_Done,
     /* 1193476 */   // Label 17352: @1193476
     /* 1193476 */   GIM_Try, /*On fail goto*//*Label 17353*/ GIMT_Encode4(1193556), // Rule ID 16721 //
     /* 1193481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1193492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1193495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1193498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1193501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193520 */     // MIs[0] round
     /* 1193520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193530 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 1193533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193555 */     // GIR_Coverage, 16721,
     /* 1193555 */     GIR_EraseRootFromParent_Done,
     /* 1193556 */   // Label 17353: @1193556
     /* 1193556 */   GIM_Try, /*On fail goto*//*Label 17354*/ GIMT_Encode4(1193636), // Rule ID 16724 //
     /* 1193561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1193581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193600 */     // MIs[0] round
     /* 1193600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193610 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1193613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193635 */     // GIR_Coverage, 16724,
     /* 1193635 */     GIR_EraseRootFromParent_Done,
     /* 1193636 */   // Label 17354: @1193636
     /* 1193636 */   GIM_Try, /*On fail goto*//*Label 17355*/ GIMT_Encode4(1193716), // Rule ID 16725 //
     /* 1193641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1193652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1193655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1193658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1193661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1193680 */     // MIs[0] round
     /* 1193680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193690 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 1193693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193715 */     // GIR_Coverage, 16725,
     /* 1193715 */     GIR_EraseRootFromParent_Done,
     /* 1193716 */   // Label 17355: @1193716
     /* 1193716 */   GIM_Try, /*On fail goto*//*Label 17356*/ GIMT_Encode4(1193796), // Rule ID 16728 //
     /* 1193721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1193724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1193741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193760 */     // MIs[0] round
     /* 1193760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193770 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1193773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193795 */     // GIR_Coverage, 16728,
     /* 1193795 */     GIR_EraseRootFromParent_Done,
     /* 1193796 */   // Label 17356: @1193796
     /* 1193796 */   GIM_Try, /*On fail goto*//*Label 17357*/ GIMT_Encode4(1193876), // Rule ID 16729 //
     /* 1193801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1193804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1193812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1193815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1193818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1193821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1193840 */     // MIs[0] round
     /* 1193840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193850 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1193850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 1193853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1193871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193875 */     // GIR_Coverage, 16729,
     /* 1193875 */     GIR_EraseRootFromParent_Done,
     /* 1193876 */   // Label 17357: @1193876
     /* 1193876 */   GIM_Try, /*On fail goto*//*Label 17358*/ GIMT_Encode4(1193956), // Rule ID 16732 //
     /* 1193881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1193884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1193892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1193895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1193898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1193901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1193904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193920 */     // MIs[0] round
     /* 1193920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1193923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1193930 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1193930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1193933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1193935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1193937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1193939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1193941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1193943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1193948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1193951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1193954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1193955 */     // GIR_Coverage, 16732,
     /* 1193955 */     GIR_EraseRootFromParent_Done,
     /* 1193956 */   // Label 17358: @1193956
     /* 1193956 */   GIM_Try, /*On fail goto*//*Label 17359*/ GIMT_Encode4(1194036), // Rule ID 16733 //
     /* 1193961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1193964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1193969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1193972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1193975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1193978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1193981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1193984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1193996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194000 */     // MIs[0] round
     /* 1194000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194010 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 1194013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194035 */     // GIR_Coverage, 16733,
     /* 1194035 */     GIR_EraseRootFromParent_Done,
     /* 1194036 */   // Label 17359: @1194036
     /* 1194036 */   GIM_Try, /*On fail goto*//*Label 17360*/ GIMT_Encode4(1194116), // Rule ID 16736 //
     /* 1194041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1194061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194080 */     // MIs[0] round
     /* 1194080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194090 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1194093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194115 */     // GIR_Coverage, 16736,
     /* 1194115 */     GIR_EraseRootFromParent_Done,
     /* 1194116 */   // Label 17360: @1194116
     /* 1194116 */   GIM_Try, /*On fail goto*//*Label 17361*/ GIMT_Encode4(1194196), // Rule ID 16737 //
     /* 1194121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1194132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1194135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1194138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1194141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194160 */     // MIs[0] round
     /* 1194160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194170 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 1194173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194195 */     // GIR_Coverage, 16737,
     /* 1194195 */     GIR_EraseRootFromParent_Done,
     /* 1194196 */   // Label 17361: @1194196
     /* 1194196 */   GIM_Try, /*On fail goto*//*Label 17362*/ GIMT_Encode4(1194276), // Rule ID 16740 //
     /* 1194201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1194204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1194221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194240 */     // MIs[0] round
     /* 1194240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194250 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1194253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194275 */     // GIR_Coverage, 16740,
     /* 1194275 */     GIR_EraseRootFromParent_Done,
     /* 1194276 */   // Label 17362: @1194276
     /* 1194276 */   GIM_Try, /*On fail goto*//*Label 17363*/ GIMT_Encode4(1194356), // Rule ID 16741 //
     /* 1194281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1194284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1194292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1194295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1194298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1194301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194320 */     // MIs[0] round
     /* 1194320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194330 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 1194333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1194351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194355 */     // GIR_Coverage, 16741,
     /* 1194355 */     GIR_EraseRootFromParent_Done,
     /* 1194356 */   // Label 17363: @1194356
     /* 1194356 */   GIM_Try, /*On fail goto*//*Label 17364*/ GIMT_Encode4(1194436), // Rule ID 16744 //
     /* 1194361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1194381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194400 */     // MIs[0] round
     /* 1194400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1194413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194435 */     // GIR_Coverage, 16744,
     /* 1194435 */     GIR_EraseRootFromParent_Done,
     /* 1194436 */   // Label 17364: @1194436
     /* 1194436 */   GIM_Try, /*On fail goto*//*Label 17365*/ GIMT_Encode4(1194516), // Rule ID 16745 //
     /* 1194441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1194452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1194455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1194458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1194461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1194480 */     // MIs[0] round
     /* 1194480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194490 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 1194493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194515 */     // GIR_Coverage, 16745,
     /* 1194515 */     GIR_EraseRootFromParent_Done,
     /* 1194516 */   // Label 17365: @1194516
     /* 1194516 */   GIM_Try, /*On fail goto*//*Label 17366*/ GIMT_Encode4(1194596), // Rule ID 16748 //
     /* 1194521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1194541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194560 */     // MIs[0] round
     /* 1194560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194570 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1194573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194595 */     // GIR_Coverage, 16748,
     /* 1194595 */     GIR_EraseRootFromParent_Done,
     /* 1194596 */   // Label 17366: @1194596
     /* 1194596 */   GIM_Try, /*On fail goto*//*Label 17367*/ GIMT_Encode4(1194676), // Rule ID 16749 //
     /* 1194601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1194612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1194615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1194618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1194621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1194640 */     // MIs[0] round
     /* 1194640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194650 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 1194653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194675 */     // GIR_Coverage, 16749,
     /* 1194675 */     GIR_EraseRootFromParent_Done,
     /* 1194676 */   // Label 17367: @1194676
     /* 1194676 */   GIM_Try, /*On fail goto*//*Label 17368*/ GIMT_Encode4(1194756), // Rule ID 16752 //
     /* 1194681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1194684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1194701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194720 */     // MIs[0] round
     /* 1194720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194730 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1194733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194755 */     // GIR_Coverage, 16752,
     /* 1194755 */     GIR_EraseRootFromParent_Done,
     /* 1194756 */   // Label 17368: @1194756
     /* 1194756 */   GIM_Try, /*On fail goto*//*Label 17369*/ GIMT_Encode4(1194836), // Rule ID 16753 //
     /* 1194761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1194764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1194772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1194775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1194778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1194781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1194800 */     // MIs[0] round
     /* 1194800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194810 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 1194813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1194831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194835 */     // GIR_Coverage, 16753,
     /* 1194835 */     GIR_EraseRootFromParent_Done,
     /* 1194836 */   // Label 17369: @1194836
     /* 1194836 */   GIM_Try, /*On fail goto*//*Label 17370*/ GIMT_Encode4(1194916), // Rule ID 16756 //
     /* 1194841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1194844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1194852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1194855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1194858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1194864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194880 */     // MIs[0] round
     /* 1194880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194890 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1194890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1194893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194915 */     // GIR_Coverage, 16756,
     /* 1194915 */     GIR_EraseRootFromParent_Done,
     /* 1194916 */   // Label 17370: @1194916
     /* 1194916 */   GIM_Try, /*On fail goto*//*Label 17371*/ GIMT_Encode4(1194996), // Rule ID 16757 //
     /* 1194921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1194924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1194929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1194932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1194935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1194938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1194941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1194944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1194956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1194960 */     // MIs[0] round
     /* 1194960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1194963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1194970 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1194970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16),
     /* 1194973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1194975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1194977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1194979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1194981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1194983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1194988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1194991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1194994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1194995 */     // GIR_Coverage, 16757,
     /* 1194995 */     GIR_EraseRootFromParent_Done,
     /* 1194996 */   // Label 17371: @1194996
     /* 1194996 */   GIM_Try, /*On fail goto*//*Label 17372*/ GIMT_Encode4(1195076), // Rule ID 16760 //
     /* 1195001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1195012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1195015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195040 */     // MIs[0] round
     /* 1195040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195050 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1195053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195075 */     // GIR_Coverage, 16760,
     /* 1195075 */     GIR_EraseRootFromParent_Done,
     /* 1195076 */   // Label 17372: @1195076
     /* 1195076 */   GIM_Try, /*On fail goto*//*Label 17373*/ GIMT_Encode4(1195156), // Rule ID 16761 //
     /* 1195081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1195092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1195095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1195098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195120 */     // MIs[0] round
     /* 1195120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195130 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16),
     /* 1195133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195155 */     // GIR_Coverage, 16761,
     /* 1195155 */     GIR_EraseRootFromParent_Done,
     /* 1195156 */   // Label 17373: @1195156
     /* 1195156 */   GIM_Try, /*On fail goto*//*Label 17374*/ GIMT_Encode4(1195236), // Rule ID 16764 //
     /* 1195161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1195164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195200 */     // MIs[0] round
     /* 1195200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195210 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1195213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195235 */     // GIR_Coverage, 16764,
     /* 1195235 */     GIR_EraseRootFromParent_Done,
     /* 1195236 */   // Label 17374: @1195236
     /* 1195236 */   GIM_Try, /*On fail goto*//*Label 17375*/ GIMT_Encode4(1195316), // Rule ID 16765 //
     /* 1195241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1195244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1195252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1195255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1195258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195280 */     // MIs[0] round
     /* 1195280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32),
     /* 1195293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195315 */     // GIR_Coverage, 16765,
     /* 1195315 */     GIR_EraseRootFromParent_Done,
     /* 1195316 */   // Label 17375: @1195316
     /* 1195316 */   GIM_Try, /*On fail goto*//*Label 17376*/ GIMT_Encode4(1195396), // Rule ID 16768 //
     /* 1195321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1195332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1195335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195360 */     // MIs[0] round
     /* 1195360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195370 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1195373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195395 */     // GIR_Coverage, 16768,
     /* 1195395 */     GIR_EraseRootFromParent_Done,
     /* 1195396 */   // Label 17376: @1195396
     /* 1195396 */   GIM_Try, /*On fail goto*//*Label 17377*/ GIMT_Encode4(1195476), // Rule ID 16769 //
     /* 1195401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1195412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1195415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1195418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195440 */     // MIs[0] round
     /* 1195440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195450 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11185:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16),
     /* 1195453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195475 */     // GIR_Coverage, 16769,
     /* 1195475 */     GIR_EraseRootFromParent_Done,
     /* 1195476 */   // Label 17377: @1195476
     /* 1195476 */   GIM_Try, /*On fail goto*//*Label 17378*/ GIMT_Encode4(1195556), // Rule ID 16772 //
     /* 1195481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1195484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195520 */     // MIs[0] round
     /* 1195520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195530 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1195533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195555 */     // GIR_Coverage, 16772,
     /* 1195555 */     GIR_EraseRootFromParent_Done,
     /* 1195556 */   // Label 17378: @1195556
     /* 1195556 */   GIM_Try, /*On fail goto*//*Label 17379*/ GIMT_Encode4(1195636), // Rule ID 16773 //
     /* 1195561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1195564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1195572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1195575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1195578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1195581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1195600 */     // MIs[0] round
     /* 1195600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195610 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11185:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32),
     /* 1195613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1195631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195635 */     // GIR_Coverage, 16773,
     /* 1195635 */     GIR_EraseRootFromParent_Done,
     /* 1195636 */   // Label 17379: @1195636
     /* 1195636 */   GIM_Try, /*On fail goto*//*Label 17380*/ GIMT_Encode4(1195716), // Rule ID 16776 //
     /* 1195641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1195644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195680 */     // MIs[0] round
     /* 1195680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1195693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195715 */     // GIR_Coverage, 16776,
     /* 1195715 */     GIR_EraseRootFromParent_Done,
     /* 1195716 */   // Label 17380: @1195716
     /* 1195716 */   GIM_Try, /*On fail goto*//*Label 17381*/ GIMT_Encode4(1195796), // Rule ID 16777 //
     /* 1195721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1195724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1195732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1195735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1195738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1195741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1195756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1195760 */     // MIs[0] round
     /* 1195760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11185:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64),
     /* 1195773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1195791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195795 */     // GIR_Coverage, 16777,
     /* 1195795 */     GIR_EraseRootFromParent_Done,
     /* 1195796 */   // Label 17381: @1195796
     /* 1195796 */   GIM_Try, /*On fail goto*//*Label 17382*/ GIMT_Encode4(1195876), // Rule ID 16780 //
     /* 1195801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1195812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1195815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195840 */     // MIs[0] round
     /* 1195840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195850 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1195850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1195853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195875 */     // GIR_Coverage, 16780,
     /* 1195875 */     GIR_EraseRootFromParent_Done,
     /* 1195876 */   // Label 17382: @1195876
     /* 1195876 */   GIM_Try, /*On fail goto*//*Label 17383*/ GIMT_Encode4(1195956), // Rule ID 16781 //
     /* 1195881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1195884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1195892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1195895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1195898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1195904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1195916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1195920 */     // MIs[0] round
     /* 1195920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1195923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1195930 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1195930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16),
     /* 1195933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1195935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1195937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1195939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1195941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1195943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1195948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1195951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1195954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1195955 */     // GIR_Coverage, 16781,
     /* 1195955 */     GIR_EraseRootFromParent_Done,
     /* 1195956 */   // Label 17383: @1195956
     /* 1195956 */   GIM_Try, /*On fail goto*//*Label 17384*/ GIMT_Encode4(1196036), // Rule ID 16784 //
     /* 1195961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1195964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1195969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1195972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1195975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1195978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1195981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1195984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1195996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196000 */     // MIs[0] round
     /* 1196000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196010 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1196013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196035 */     // GIR_Coverage, 16784,
     /* 1196035 */     GIR_EraseRootFromParent_Done,
     /* 1196036 */   // Label 17384: @1196036
     /* 1196036 */   GIM_Try, /*On fail goto*//*Label 17385*/ GIMT_Encode4(1196116), // Rule ID 16785 //
     /* 1196041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1196052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1196055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1196058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196080 */     // MIs[0] round
     /* 1196080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196090 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16),
     /* 1196093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196115 */     // GIR_Coverage, 16785,
     /* 1196115 */     GIR_EraseRootFromParent_Done,
     /* 1196116 */   // Label 17385: @1196116
     /* 1196116 */   GIM_Try, /*On fail goto*//*Label 17386*/ GIMT_Encode4(1196196), // Rule ID 16788 //
     /* 1196121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1196124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1196132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1196135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196160 */     // MIs[0] round
     /* 1196160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196170 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1196173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196195 */     // GIR_Coverage, 16788,
     /* 1196195 */     GIR_EraseRootFromParent_Done,
     /* 1196196 */   // Label 17386: @1196196
     /* 1196196 */   GIM_Try, /*On fail goto*//*Label 17387*/ GIMT_Encode4(1196276), // Rule ID 16789 //
     /* 1196201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1196204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1196212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1196215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1196218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1196221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1196240 */     // MIs[0] round
     /* 1196240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196250 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16),
     /* 1196253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1196271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196275 */     // GIR_Coverage, 16789,
     /* 1196275 */     GIR_EraseRootFromParent_Done,
     /* 1196276 */   // Label 17387: @1196276
     /* 1196276 */   GIM_Try, /*On fail goto*//*Label 17388*/ GIMT_Encode4(1196356), // Rule ID 16792 //
     /* 1196281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196320 */     // MIs[0] round
     /* 1196320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196330 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1196333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196355 */     // GIR_Coverage, 16792,
     /* 1196355 */     GIR_EraseRootFromParent_Done,
     /* 1196356 */   // Label 17388: @1196356
     /* 1196356 */   GIM_Try, /*On fail goto*//*Label 17389*/ GIMT_Encode4(1196436), // Rule ID 16793 //
     /* 1196361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1196372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1196375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1196378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196400 */     // MIs[0] round
     /* 1196400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196410 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32),
     /* 1196413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196435 */     // GIR_Coverage, 16793,
     /* 1196435 */     GIR_EraseRootFromParent_Done,
     /* 1196436 */   // Label 17389: @1196436
     /* 1196436 */   GIM_Try, /*On fail goto*//*Label 17390*/ GIMT_Encode4(1196516), // Rule ID 16796 //
     /* 1196441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196480 */     // MIs[0] round
     /* 1196480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1196493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196515 */     // GIR_Coverage, 16796,
     /* 1196515 */     GIR_EraseRootFromParent_Done,
     /* 1196516 */   // Label 17390: @1196516
     /* 1196516 */   GIM_Try, /*On fail goto*//*Label 17391*/ GIMT_Encode4(1196596), // Rule ID 16797 //
     /* 1196521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1196532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1196535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1196538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196560 */     // MIs[0] round
     /* 1196560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196570 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32),
     /* 1196573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196595 */     // GIR_Coverage, 16797,
     /* 1196595 */     GIR_EraseRootFromParent_Done,
     /* 1196596 */   // Label 17391: @1196596
     /* 1196596 */   GIM_Try, /*On fail goto*//*Label 17392*/ GIMT_Encode4(1196676), // Rule ID 16800 //
     /* 1196601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1196604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196640 */     // MIs[0] round
     /* 1196640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196650 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1196653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196675 */     // GIR_Coverage, 16800,
     /* 1196675 */     GIR_EraseRootFromParent_Done,
     /* 1196676 */   // Label 17392: @1196676
     /* 1196676 */   GIM_Try, /*On fail goto*//*Label 17393*/ GIMT_Encode4(1196756), // Rule ID 16801 //
     /* 1196681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1196684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1196692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1196695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1196698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1196701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1196716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1196720 */     // MIs[0] round
     /* 1196720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196730 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32),
     /* 1196733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1196751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196755 */     // GIR_Coverage, 16801,
     /* 1196755 */     GIR_EraseRootFromParent_Done,
     /* 1196756 */   // Label 17393: @1196756
     /* 1196756 */   GIM_Try, /*On fail goto*//*Label 17394*/ GIMT_Encode4(1196836), // Rule ID 16804 //
     /* 1196761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1196764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1196778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196800 */     // MIs[0] round
     /* 1196800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196810 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1196813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196835 */     // GIR_Coverage, 16804,
     /* 1196835 */     GIR_EraseRootFromParent_Done,
     /* 1196836 */   // Label 17394: @1196836
     /* 1196836 */   GIM_Try, /*On fail goto*//*Label 17395*/ GIMT_Encode4(1196916), // Rule ID 16805 //
     /* 1196841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1196844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1196852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1196855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1196858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1196864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1196876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196880 */     // MIs[0] round
     /* 1196880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196890 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11185:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1196890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64),
     /* 1196893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196915 */     // GIR_Coverage, 16805,
     /* 1196915 */     GIR_EraseRootFromParent_Done,
     /* 1196916 */   // Label 17395: @1196916
     /* 1196916 */   GIM_Try, /*On fail goto*//*Label 17396*/ GIMT_Encode4(1196996), // Rule ID 16808 //
     /* 1196921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1196924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1196929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1196932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1196935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1196938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1196941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1196944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1196956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1196960 */     // MIs[0] round
     /* 1196960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1196963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1196970 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1196970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1196973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1196975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1196977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1196979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1196981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1196983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1196988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1196991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1196994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1196995 */     // GIR_Coverage, 16808,
     /* 1196995 */     GIR_EraseRootFromParent_Done,
     /* 1196996 */   // Label 17396: @1196996
     /* 1196996 */   GIM_Try, /*On fail goto*//*Label 17397*/ GIMT_Encode4(1197076), // Rule ID 16809 //
     /* 1197001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1197009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1197012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1197015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1197018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1197036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197040 */     // MIs[0] round
     /* 1197040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197050 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11185:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64),
     /* 1197053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197075 */     // GIR_Coverage, 16809,
     /* 1197075 */     GIR_EraseRootFromParent_Done,
     /* 1197076 */   // Label 17397: @1197076
     /* 1197076 */   GIM_Try, /*On fail goto*//*Label 17398*/ GIMT_Encode4(1197156), // Rule ID 16812 //
     /* 1197081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1197084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1197089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197120 */     // MIs[0] round
     /* 1197120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197130 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1197133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197155 */     // GIR_Coverage, 16812,
     /* 1197155 */     GIR_EraseRootFromParent_Done,
     /* 1197156 */   // Label 17398: @1197156
     /* 1197156 */   GIM_Try, /*On fail goto*//*Label 17399*/ GIMT_Encode4(1197236), // Rule ID 16813 //
     /* 1197161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1197164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd),
     /* 1197169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1197172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1197175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1197178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1197181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1197196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1197200 */     // MIs[0] round
     /* 1197200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197210 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11185:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64),
     /* 1197213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1197231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197235 */     // GIR_Coverage, 16813,
     /* 1197235 */     GIR_EraseRootFromParent_Done,
     /* 1197236 */   // Label 17399: @1197236
     /* 1197236 */   GIM_Try, /*On fail goto*//*Label 17400*/ GIMT_Encode4(1197316), // Rule ID 16816 //
     /* 1197241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1197252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1197255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1197261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197280 */     // MIs[0] round
     /* 1197280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197290 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1197293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197315 */     // GIR_Coverage, 16816,
     /* 1197315 */     GIR_EraseRootFromParent_Done,
     /* 1197316 */   // Label 17400: @1197316
     /* 1197316 */   GIM_Try, /*On fail goto*//*Label 17401*/ GIMT_Encode4(1197396), // Rule ID 16817 //
     /* 1197321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1197332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1197335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1197338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1197341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197360 */     // MIs[0] round
     /* 1197360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197370 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 1197373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197395 */     // GIR_Coverage, 16817,
     /* 1197395 */     GIR_EraseRootFromParent_Done,
     /* 1197396 */   // Label 17401: @1197396
     /* 1197396 */   GIM_Try, /*On fail goto*//*Label 17402*/ GIMT_Encode4(1197476), // Rule ID 16820 //
     /* 1197401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1197412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1197415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1197421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197440 */     // MIs[0] round
     /* 1197440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197450 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1197453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197475 */     // GIR_Coverage, 16820,
     /* 1197475 */     GIR_EraseRootFromParent_Done,
     /* 1197476 */   // Label 17402: @1197476
     /* 1197476 */   GIM_Try, /*On fail goto*//*Label 17403*/ GIMT_Encode4(1197556), // Rule ID 16821 //
     /* 1197481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1197492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1197495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1197498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1197501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197520 */     // MIs[0] round
     /* 1197520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197530 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 1197533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197555 */     // GIR_Coverage, 16821,
     /* 1197555 */     GIR_EraseRootFromParent_Done,
     /* 1197556 */   // Label 17403: @1197556
     /* 1197556 */   GIM_Try, /*On fail goto*//*Label 17404*/ GIMT_Encode4(1197636), // Rule ID 16824 //
     /* 1197561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1197564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1197581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197600 */     // MIs[0] round
     /* 1197600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197610 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1197613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197635 */     // GIR_Coverage, 16824,
     /* 1197635 */     GIR_EraseRootFromParent_Done,
     /* 1197636 */   // Label 17404: @1197636
     /* 1197636 */   GIM_Try, /*On fail goto*//*Label 17405*/ GIMT_Encode4(1197716), // Rule ID 16825 //
     /* 1197641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1197644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1197652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1197655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1197658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1197661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197680 */     // MIs[0] round
     /* 1197680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197690 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 1197693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197715 */     // GIR_Coverage, 16825,
     /* 1197715 */     GIR_EraseRootFromParent_Done,
     /* 1197716 */   // Label 17405: @1197716
     /* 1197716 */   GIM_Try, /*On fail goto*//*Label 17406*/ GIMT_Encode4(1197796), // Rule ID 16828 //
     /* 1197721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1197724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1197732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1197735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1197741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197760 */     // MIs[0] round
     /* 1197760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197770 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1197773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197795 */     // GIR_Coverage, 16828,
     /* 1197795 */     GIR_EraseRootFromParent_Done,
     /* 1197796 */   // Label 17406: @1197796
     /* 1197796 */   GIM_Try, /*On fail goto*//*Label 17407*/ GIMT_Encode4(1197876), // Rule ID 16829 //
     /* 1197801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1197804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1197812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1197815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1197818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1197821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197840 */     // MIs[0] round
     /* 1197840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197850 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1197850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 1197853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1197871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197875 */     // GIR_Coverage, 16829,
     /* 1197875 */     GIR_EraseRootFromParent_Done,
     /* 1197876 */   // Label 17407: @1197876
     /* 1197876 */   GIM_Try, /*On fail goto*//*Label 17408*/ GIMT_Encode4(1197956), // Rule ID 16832 //
     /* 1197881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1197884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1197901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1197904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197920 */     // MIs[0] round
     /* 1197920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1197923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1197930 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1197930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1197933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1197935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1197937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1197939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1197941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1197943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1197948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1197951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1197954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1197955 */     // GIR_Coverage, 16832,
     /* 1197955 */     GIR_EraseRootFromParent_Done,
     /* 1197956 */   // Label 17408: @1197956
     /* 1197956 */   GIM_Try, /*On fail goto*//*Label 17409*/ GIMT_Encode4(1198036), // Rule ID 16833 //
     /* 1197961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1197964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1197969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1197972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1197975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1197978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1197981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1197984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1197996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198000 */     // MIs[0] round
     /* 1198000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198010 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 1198013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198035 */     // GIR_Coverage, 16833,
     /* 1198035 */     GIR_EraseRootFromParent_Done,
     /* 1198036 */   // Label 17409: @1198036
     /* 1198036 */   GIM_Try, /*On fail goto*//*Label 17410*/ GIMT_Encode4(1198116), // Rule ID 16836 //
     /* 1198041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1198044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1198061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198080 */     // MIs[0] round
     /* 1198080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198090 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1198093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1198111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198115 */     // GIR_Coverage, 16836,
     /* 1198115 */     GIR_EraseRootFromParent_Done,
     /* 1198116 */   // Label 17410: @1198116
     /* 1198116 */   GIM_Try, /*On fail goto*//*Label 17411*/ GIMT_Encode4(1198196), // Rule ID 16837 //
     /* 1198121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1198124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1198132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1198135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1198138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1198141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1198160 */     // MIs[0] round
     /* 1198160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 1198173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1198191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198195 */     // GIR_Coverage, 16837,
     /* 1198195 */     GIR_EraseRootFromParent_Done,
     /* 1198196 */   // Label 17411: @1198196
     /* 1198196 */   GIM_Try, /*On fail goto*//*Label 17412*/ GIMT_Encode4(1198276), // Rule ID 16840 //
     /* 1198201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1198212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1198215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198240 */     // MIs[0] round
     /* 1198240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198250 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1198253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198275 */     // GIR_Coverage, 16840,
     /* 1198275 */     GIR_EraseRootFromParent_Done,
     /* 1198276 */   // Label 17412: @1198276
     /* 1198276 */   GIM_Try, /*On fail goto*//*Label 17413*/ GIMT_Encode4(1198356), // Rule ID 16841 //
     /* 1198281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1198292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1198295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1198298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1198301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198320 */     // MIs[0] round
     /* 1198320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198330 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 1198333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198355 */     // GIR_Coverage, 16841,
     /* 1198355 */     GIR_EraseRootFromParent_Done,
     /* 1198356 */   // Label 17413: @1198356
     /* 1198356 */   GIM_Try, /*On fail goto*//*Label 17414*/ GIMT_Encode4(1198436), // Rule ID 16844 //
     /* 1198361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1198372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1198375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198400 */     // MIs[0] round
     /* 1198400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198410 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1198413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198435 */     // GIR_Coverage, 16844,
     /* 1198435 */     GIR_EraseRootFromParent_Done,
     /* 1198436 */   // Label 17414: @1198436
     /* 1198436 */   GIM_Try, /*On fail goto*//*Label 17415*/ GIMT_Encode4(1198516), // Rule ID 16845 //
     /* 1198441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1198452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1198455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1198458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1198461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198480 */     // MIs[0] round
     /* 1198480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198490 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 1198493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198515 */     // GIR_Coverage, 16845,
     /* 1198515 */     GIR_EraseRootFromParent_Done,
     /* 1198516 */   // Label 17415: @1198516
     /* 1198516 */   GIM_Try, /*On fail goto*//*Label 17416*/ GIMT_Encode4(1198596), // Rule ID 16848 //
     /* 1198521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1198524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1198532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1198535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1198538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1198541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198560 */     // MIs[0] round
     /* 1198560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198570 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1198573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198595 */     // GIR_Coverage, 16848,
     /* 1198595 */     GIR_EraseRootFromParent_Done,
     /* 1198596 */   // Label 17416: @1198596
     /* 1198596 */   GIM_Try, /*On fail goto*//*Label 17417*/ GIMT_Encode4(1198676), // Rule ID 16849 //
     /* 1198601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1198604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1198612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1198615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1198618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1198621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1198640 */     // MIs[0] round
     /* 1198640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198650 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 1198653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1198671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198675 */     // GIR_Coverage, 16849,
     /* 1198675 */     GIR_EraseRootFromParent_Done,
     /* 1198676 */   // Label 17417: @1198676
     /* 1198676 */   GIM_Try, /*On fail goto*//*Label 17418*/ GIMT_Encode4(1198756), // Rule ID 16852 //
     /* 1198681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1198701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198720 */     // MIs[0] round
     /* 1198720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198730 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1198733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198755 */     // GIR_Coverage, 16852,
     /* 1198755 */     GIR_EraseRootFromParent_Done,
     /* 1198756 */   // Label 17418: @1198756
     /* 1198756 */   GIM_Try, /*On fail goto*//*Label 17419*/ GIMT_Encode4(1198836), // Rule ID 16853 //
     /* 1198761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1198764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1198772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1198775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1198778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1198781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1198800 */     // MIs[0] round
     /* 1198800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198810 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 1198813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198835 */     // GIR_Coverage, 16853,
     /* 1198835 */     GIR_EraseRootFromParent_Done,
     /* 1198836 */   // Label 17419: @1198836
     /* 1198836 */   GIM_Try, /*On fail goto*//*Label 17420*/ GIMT_Encode4(1198916), // Rule ID 16856 //
     /* 1198841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1198844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1198861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1198864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198880 */     // MIs[0] round
     /* 1198880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198890 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1198890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1198893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198915 */     // GIR_Coverage, 16856,
     /* 1198915 */     GIR_EraseRootFromParent_Done,
     /* 1198916 */   // Label 17420: @1198916
     /* 1198916 */   GIM_Try, /*On fail goto*//*Label 17421*/ GIMT_Encode4(1198996), // Rule ID 16857 //
     /* 1198921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1198924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1198929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1198932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1198935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1198938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1198941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1198944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1198960 */     // MIs[0] round
     /* 1198960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1198963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1198970 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1198970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 1198973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1198975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1198977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1198979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1198981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1198983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1198988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1198991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1198994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1198995 */     // GIR_Coverage, 16857,
     /* 1198995 */     GIR_EraseRootFromParent_Done,
     /* 1198996 */   // Label 17421: @1198996
     /* 1198996 */   GIM_Try, /*On fail goto*//*Label 17422*/ GIMT_Encode4(1199076), // Rule ID 16860 //
     /* 1199001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1199004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1199021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199040 */     // MIs[0] round
     /* 1199040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199050 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1199053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199075 */     // GIR_Coverage, 16860,
     /* 1199075 */     GIR_EraseRootFromParent_Done,
     /* 1199076 */   // Label 17422: @1199076
     /* 1199076 */   GIM_Try, /*On fail goto*//*Label 17423*/ GIMT_Encode4(1199156), // Rule ID 16861 //
     /* 1199081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1199084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1199092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1199095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1199098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1199101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199120 */     // MIs[0] round
     /* 1199120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199130 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 1199133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1199151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199155 */     // GIR_Coverage, 16861,
     /* 1199155 */     GIR_EraseRootFromParent_Done,
     /* 1199156 */   // Label 17423: @1199156
     /* 1199156 */   GIM_Try, /*On fail goto*//*Label 17424*/ GIMT_Encode4(1199236), // Rule ID 16864 //
     /* 1199161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1199178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1199181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199200 */     // MIs[0] round
     /* 1199200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199210 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1199213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199235 */     // GIR_Coverage, 16864,
     /* 1199235 */     GIR_EraseRootFromParent_Done,
     /* 1199236 */   // Label 17424: @1199236
     /* 1199236 */   GIM_Try, /*On fail goto*//*Label 17425*/ GIMT_Encode4(1199316), // Rule ID 16865 //
     /* 1199241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1199252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1199255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1199258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1199261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1199280 */     // MIs[0] round
     /* 1199280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199290 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 1199293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199315 */     // GIR_Coverage, 16865,
     /* 1199315 */     GIR_EraseRootFromParent_Done,
     /* 1199316 */   // Label 17425: @1199316
     /* 1199316 */   GIM_Try, /*On fail goto*//*Label 17426*/ GIMT_Encode4(1199396), // Rule ID 16868 //
     /* 1199321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1199338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1199341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199360 */     // MIs[0] round
     /* 1199360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199370 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1199373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199395 */     // GIR_Coverage, 16868,
     /* 1199395 */     GIR_EraseRootFromParent_Done,
     /* 1199396 */   // Label 17426: @1199396
     /* 1199396 */   GIM_Try, /*On fail goto*//*Label 17427*/ GIMT_Encode4(1199476), // Rule ID 16869 //
     /* 1199401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1199412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1199415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1199418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1199421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1199440 */     // MIs[0] round
     /* 1199440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199450 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 1199453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199475 */     // GIR_Coverage, 16869,
     /* 1199475 */     GIR_EraseRootFromParent_Done,
     /* 1199476 */   // Label 17427: @1199476
     /* 1199476 */   GIM_Try, /*On fail goto*//*Label 17428*/ GIMT_Encode4(1199556), // Rule ID 16872 //
     /* 1199481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1199484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1199498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1199501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199520 */     // MIs[0] round
     /* 1199520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199530 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1199533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199555 */     // GIR_Coverage, 16872,
     /* 1199555 */     GIR_EraseRootFromParent_Done,
     /* 1199556 */   // Label 17428: @1199556
     /* 1199556 */   GIM_Try, /*On fail goto*//*Label 17429*/ GIMT_Encode4(1199636), // Rule ID 16873 //
     /* 1199561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1199564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1199572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1199575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1199578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1199581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1199600 */     // MIs[0] round
     /* 1199600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199610 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 1199613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1199631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199635 */     // GIR_Coverage, 16873,
     /* 1199635 */     GIR_EraseRootFromParent_Done,
     /* 1199636 */   // Label 17429: @1199636
     /* 1199636 */   GIM_Try, /*On fail goto*//*Label 17430*/ GIMT_Encode4(1199716), // Rule ID 16876 //
     /* 1199641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1199644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1199652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1199655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199680 */     // MIs[0] round
     /* 1199680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199690 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1199693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199715 */     // GIR_Coverage, 16876,
     /* 1199715 */     GIR_EraseRootFromParent_Done,
     /* 1199716 */   // Label 17430: @1199716
     /* 1199716 */   GIM_Try, /*On fail goto*//*Label 17431*/ GIMT_Encode4(1199796), // Rule ID 16877 //
     /* 1199721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1199724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1199732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1199735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1199738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199760 */     // MIs[0] round
     /* 1199760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199770 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16),
     /* 1199773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199795 */     // GIR_Coverage, 16877,
     /* 1199795 */     GIR_EraseRootFromParent_Done,
     /* 1199796 */   // Label 17431: @1199796
     /* 1199796 */   GIM_Try, /*On fail goto*//*Label 17432*/ GIMT_Encode4(1199876), // Rule ID 16880 //
     /* 1199801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1199804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1199812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1199815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199840 */     // MIs[0] round
     /* 1199840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199850 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1199850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1199853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199875 */     // GIR_Coverage, 16880,
     /* 1199875 */     GIR_EraseRootFromParent_Done,
     /* 1199876 */   // Label 17432: @1199876
     /* 1199876 */   GIM_Try, /*On fail goto*//*Label 17433*/ GIMT_Encode4(1199956), // Rule ID 16881 //
     /* 1199881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1199884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1199892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1199895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1199898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1199901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1199904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1199920 */     // MIs[0] round
     /* 1199920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1199923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1199930 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1199930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16),
     /* 1199933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1199935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1199937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1199939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1199941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1199943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1199948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1199951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1199954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1199955 */     // GIR_Coverage, 16881,
     /* 1199955 */     GIR_EraseRootFromParent_Done,
     /* 1199956 */   // Label 17433: @1199956
     /* 1199956 */   GIM_Try, /*On fail goto*//*Label 17434*/ GIMT_Encode4(1200036), // Rule ID 16884 //
     /* 1199961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1199964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1199969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1199972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1199975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1199978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1199981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1199984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1199996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200000 */     // MIs[0] round
     /* 1200000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1200013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200035 */     // GIR_Coverage, 16884,
     /* 1200035 */     GIR_EraseRootFromParent_Done,
     /* 1200036 */   // Label 17434: @1200036
     /* 1200036 */   GIM_Try, /*On fail goto*//*Label 17435*/ GIMT_Encode4(1200116), // Rule ID 16885 //
     /* 1200041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1200044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1200052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1200055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1200058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200080 */     // MIs[0] round
     /* 1200080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200090 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32),
     /* 1200093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200115 */     // GIR_Coverage, 16885,
     /* 1200115 */     GIR_EraseRootFromParent_Done,
     /* 1200116 */   // Label 17435: @1200116
     /* 1200116 */   GIM_Try, /*On fail goto*//*Label 17436*/ GIMT_Encode4(1200196), // Rule ID 16888 //
     /* 1200121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1200124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1200132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1200135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200160 */     // MIs[0] round
     /* 1200160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200170 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1200173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200195 */     // GIR_Coverage, 16888,
     /* 1200195 */     GIR_EraseRootFromParent_Done,
     /* 1200196 */   // Label 17436: @1200196
     /* 1200196 */   GIM_Try, /*On fail goto*//*Label 17437*/ GIMT_Encode4(1200276), // Rule ID 16889 //
     /* 1200201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1200204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1200212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1200215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1200218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200240 */     // MIs[0] round
     /* 1200240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200250 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11277:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16),
     /* 1200253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200275 */     // GIR_Coverage, 16889,
     /* 1200275 */     GIR_EraseRootFromParent_Done,
     /* 1200276 */   // Label 17437: @1200276
     /* 1200276 */   GIM_Try, /*On fail goto*//*Label 17438*/ GIMT_Encode4(1200356), // Rule ID 16892 //
     /* 1200281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1200284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200320 */     // MIs[0] round
     /* 1200320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1200333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200355 */     // GIR_Coverage, 16892,
     /* 1200355 */     GIR_EraseRootFromParent_Done,
     /* 1200356 */   // Label 17438: @1200356
     /* 1200356 */   GIM_Try, /*On fail goto*//*Label 17439*/ GIMT_Encode4(1200436), // Rule ID 16893 //
     /* 1200361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1200364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1200372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1200375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1200378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1200381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1200400 */     // MIs[0] round
     /* 1200400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11277:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32),
     /* 1200413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1200431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200435 */     // GIR_Coverage, 16893,
     /* 1200435 */     GIR_EraseRootFromParent_Done,
     /* 1200436 */   // Label 17439: @1200436
     /* 1200436 */   GIM_Try, /*On fail goto*//*Label 17440*/ GIMT_Encode4(1200516), // Rule ID 16896 //
     /* 1200441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1200444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1200458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1200480 */     // MIs[0] round
     /* 1200480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1200493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1200511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200515 */     // GIR_Coverage, 16896,
     /* 1200515 */     GIR_EraseRootFromParent_Done,
     /* 1200516 */   // Label 17440: @1200516
     /* 1200516 */   GIM_Try, /*On fail goto*//*Label 17441*/ GIMT_Encode4(1200596), // Rule ID 16897 //
     /* 1200521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1200524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1200532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1200535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1200538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1200541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1200556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1200560 */     // MIs[0] round
     /* 1200560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200570 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11277:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64),
     /* 1200573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1200591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200595 */     // GIR_Coverage, 16897,
     /* 1200595 */     GIR_EraseRootFromParent_Done,
     /* 1200596 */   // Label 17441: @1200596
     /* 1200596 */   GIM_Try, /*On fail goto*//*Label 17442*/ GIMT_Encode4(1200676), // Rule ID 16900 //
     /* 1200601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1200604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1200612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1200615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200640 */     // MIs[0] round
     /* 1200640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200650 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1200653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200675 */     // GIR_Coverage, 16900,
     /* 1200675 */     GIR_EraseRootFromParent_Done,
     /* 1200676 */   // Label 17442: @1200676
     /* 1200676 */   GIM_Try, /*On fail goto*//*Label 17443*/ GIMT_Encode4(1200756), // Rule ID 16901 //
     /* 1200681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1200684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1200692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1200695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1200698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1200716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200720 */     // MIs[0] round
     /* 1200720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200730 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16),
     /* 1200733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200755 */     // GIR_Coverage, 16901,
     /* 1200755 */     GIR_EraseRootFromParent_Done,
     /* 1200756 */   // Label 17443: @1200756
     /* 1200756 */   GIM_Try, /*On fail goto*//*Label 17444*/ GIMT_Encode4(1200836), // Rule ID 16904 //
     /* 1200761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1200764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1200772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1200775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200800 */     // MIs[0] round
     /* 1200800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200810 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1200813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200835 */     // GIR_Coverage, 16904,
     /* 1200835 */     GIR_EraseRootFromParent_Done,
     /* 1200836 */   // Label 17444: @1200836
     /* 1200836 */   GIM_Try, /*On fail goto*//*Label 17445*/ GIMT_Encode4(1200916), // Rule ID 16905 //
     /* 1200841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1200844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1200852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1200855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1200858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1200864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1200876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200880 */     // MIs[0] round
     /* 1200880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200890 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1200890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16),
     /* 1200893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200915 */     // GIR_Coverage, 16905,
     /* 1200915 */     GIR_EraseRootFromParent_Done,
     /* 1200916 */   // Label 17445: @1200916
     /* 1200916 */   GIM_Try, /*On fail goto*//*Label 17446*/ GIMT_Encode4(1200996), // Rule ID 16908 //
     /* 1200921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1200924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1200929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1200932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1200935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1200938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1200941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1200944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1200956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1200960 */     // MIs[0] round
     /* 1200960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1200963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1200970 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1200970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1200973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1200975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1200977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1200979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1200981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1200983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1200988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1200991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1200994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1200995 */     // GIR_Coverage, 16908,
     /* 1200995 */     GIR_EraseRootFromParent_Done,
     /* 1200996 */   // Label 17446: @1200996
     /* 1200996 */   GIM_Try, /*On fail goto*//*Label 17447*/ GIMT_Encode4(1201076), // Rule ID 16909 //
     /* 1201001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1201004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1201012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1201015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1201018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1201021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1201040 */     // MIs[0] round
     /* 1201040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201050 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16),
     /* 1201053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1201071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201075 */     // GIR_Coverage, 16909,
     /* 1201075 */     GIR_EraseRootFromParent_Done,
     /* 1201076 */   // Label 17447: @1201076
     /* 1201076 */   GIM_Try, /*On fail goto*//*Label 17448*/ GIMT_Encode4(1201156), // Rule ID 16912 //
     /* 1201081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1201084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201120 */     // MIs[0] round
     /* 1201120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201130 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1201133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201155 */     // GIR_Coverage, 16912,
     /* 1201155 */     GIR_EraseRootFromParent_Done,
     /* 1201156 */   // Label 17448: @1201156
     /* 1201156 */   GIM_Try, /*On fail goto*//*Label 17449*/ GIMT_Encode4(1201236), // Rule ID 16913 //
     /* 1201161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1201164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1201172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1201175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1201178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201200 */     // MIs[0] round
     /* 1201200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201210 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32),
     /* 1201213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201235 */     // GIR_Coverage, 16913,
     /* 1201235 */     GIR_EraseRootFromParent_Done,
     /* 1201236 */   // Label 17449: @1201236
     /* 1201236 */   GIM_Try, /*On fail goto*//*Label 17450*/ GIMT_Encode4(1201316), // Rule ID 16916 //
     /* 1201241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1201244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201280 */     // MIs[0] round
     /* 1201280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201290 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1201293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201315 */     // GIR_Coverage, 16916,
     /* 1201315 */     GIR_EraseRootFromParent_Done,
     /* 1201316 */   // Label 17450: @1201316
     /* 1201316 */   GIM_Try, /*On fail goto*//*Label 17451*/ GIMT_Encode4(1201396), // Rule ID 16917 //
     /* 1201321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1201324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1201332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1201335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1201338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201360 */     // MIs[0] round
     /* 1201360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201370 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32),
     /* 1201373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201395 */     // GIR_Coverage, 16917,
     /* 1201395 */     GIR_EraseRootFromParent_Done,
     /* 1201396 */   // Label 17451: @1201396
     /* 1201396 */   GIM_Try, /*On fail goto*//*Label 17452*/ GIMT_Encode4(1201476), // Rule ID 16920 //
     /* 1201401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1201404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201440 */     // MIs[0] round
     /* 1201440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201450 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1201453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201475 */     // GIR_Coverage, 16920,
     /* 1201475 */     GIR_EraseRootFromParent_Done,
     /* 1201476 */   // Label 17452: @1201476
     /* 1201476 */   GIM_Try, /*On fail goto*//*Label 17453*/ GIMT_Encode4(1201556), // Rule ID 16921 //
     /* 1201481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1201484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1201492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1201495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1201498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1201501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1201520 */     // MIs[0] round
     /* 1201520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201530 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32),
     /* 1201533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1201551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201555 */     // GIR_Coverage, 16921,
     /* 1201555 */     GIR_EraseRootFromParent_Done,
     /* 1201556 */   // Label 17453: @1201556
     /* 1201556 */   GIM_Try, /*On fail goto*//*Label 17454*/ GIMT_Encode4(1201636), // Rule ID 16924 //
     /* 1201561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1201564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1201581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1201600 */     // MIs[0] round
     /* 1201600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201610 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1201613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201635 */     // GIR_Coverage, 16924,
     /* 1201635 */     GIR_EraseRootFromParent_Done,
     /* 1201636 */   // Label 17454: @1201636
     /* 1201636 */   GIM_Try, /*On fail goto*//*Label 17455*/ GIMT_Encode4(1201716), // Rule ID 16925 //
     /* 1201641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1201644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1201652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1201655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1201658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1201661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1201676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1201680 */     // MIs[0] round
     /* 1201680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201690 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11277:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64),
     /* 1201693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201715 */     // GIR_Coverage, 16925,
     /* 1201715 */     GIR_EraseRootFromParent_Done,
     /* 1201716 */   // Label 17455: @1201716
     /* 1201716 */   GIM_Try, /*On fail goto*//*Label 17456*/ GIMT_Encode4(1201796), // Rule ID 16928 //
     /* 1201721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1201724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1201741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1201760 */     // MIs[0] round
     /* 1201760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201770 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1201773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201795 */     // GIR_Coverage, 16928,
     /* 1201795 */     GIR_EraseRootFromParent_Done,
     /* 1201796 */   // Label 17456: @1201796
     /* 1201796 */   GIM_Try, /*On fail goto*//*Label 17457*/ GIMT_Encode4(1201876), // Rule ID 16929 //
     /* 1201801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1201804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1201812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1201815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1201818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1201821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1201836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1201840 */     // MIs[0] round
     /* 1201840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201850 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11277:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1201850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64),
     /* 1201853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201875 */     // GIR_Coverage, 16929,
     /* 1201875 */     GIR_EraseRootFromParent_Done,
     /* 1201876 */   // Label 17457: @1201876
     /* 1201876 */   GIM_Try, /*On fail goto*//*Label 17458*/ GIMT_Encode4(1201956), // Rule ID 16932 //
     /* 1201881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1201884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1201901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1201904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1201920 */     // MIs[0] round
     /* 1201920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1201923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1201930 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1201930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1201933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1201935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1201937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1201939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1201941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1201943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1201948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1201951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1201954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1201955 */     // GIR_Coverage, 16932,
     /* 1201955 */     GIR_EraseRootFromParent_Done,
     /* 1201956 */   // Label 17458: @1201956
     /* 1201956 */   GIM_Try, /*On fail goto*//*Label 17459*/ GIMT_Encode4(1202036), // Rule ID 16933 //
     /* 1201961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1201964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub),
     /* 1201969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1201972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1201975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1201978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1201981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1201984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1201996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1202000 */     // MIs[0] round
     /* 1202000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202010 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11277:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64),
     /* 1202013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202035 */     // GIR_Coverage, 16933,
     /* 1202035 */     GIR_EraseRootFromParent_Done,
     /* 1202036 */   // Label 17459: @1202036
     /* 1202036 */   GIM_Try, /*On fail goto*//*Label 17460*/ GIMT_Encode4(1202116), // Rule ID 16936 //
     /* 1202041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1202044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1202052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1202055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202080 */     // MIs[0] round
     /* 1202080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202090 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1202093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202115 */     // GIR_Coverage, 16936,
     /* 1202115 */     GIR_EraseRootFromParent_Done,
     /* 1202116 */   // Label 17460: @1202116
     /* 1202116 */   GIM_Try, /*On fail goto*//*Label 17461*/ GIMT_Encode4(1202196), // Rule ID 16937 //
     /* 1202121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1202124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1202132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1202135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1202138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202160 */     // MIs[0] round
     /* 1202160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202170 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16),
     /* 1202173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202195 */     // GIR_Coverage, 16937,
     /* 1202195 */     GIR_EraseRootFromParent_Done,
     /* 1202196 */   // Label 17461: @1202196
     /* 1202196 */   GIM_Try, /*On fail goto*//*Label 17462*/ GIMT_Encode4(1202276), // Rule ID 16940 //
     /* 1202201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1202204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1202212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1202215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1202218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202240 */     // MIs[0] round
     /* 1202240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202250 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1202253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202275 */     // GIR_Coverage, 16940,
     /* 1202275 */     GIR_EraseRootFromParent_Done,
     /* 1202276 */   // Label 17462: @1202276
     /* 1202276 */   GIM_Try, /*On fail goto*//*Label 17463*/ GIMT_Encode4(1202356), // Rule ID 16941 //
     /* 1202281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1202284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1202292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1202295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1202298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202320 */     // MIs[0] round
     /* 1202320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202330 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16),
     /* 1202333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202355 */     // GIR_Coverage, 16941,
     /* 1202355 */     GIR_EraseRootFromParent_Done,
     /* 1202356 */   // Label 17463: @1202356
     /* 1202356 */   GIM_Try, /*On fail goto*//*Label 17464*/ GIMT_Encode4(1202436), // Rule ID 16944 //
     /* 1202361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1202364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202400 */     // MIs[0] round
     /* 1202400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202410 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1202413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202435 */     // GIR_Coverage, 16944,
     /* 1202435 */     GIR_EraseRootFromParent_Done,
     /* 1202436 */   // Label 17464: @1202436
     /* 1202436 */   GIM_Try, /*On fail goto*//*Label 17465*/ GIMT_Encode4(1202516), // Rule ID 16945 //
     /* 1202441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1202444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1202452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1202455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1202458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202480 */     // MIs[0] round
     /* 1202480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202490 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32),
     /* 1202493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202515 */     // GIR_Coverage, 16945,
     /* 1202515 */     GIR_EraseRootFromParent_Done,
     /* 1202516 */   // Label 17465: @1202516
     /* 1202516 */   GIM_Try, /*On fail goto*//*Label 17466*/ GIMT_Encode4(1202596), // Rule ID 16948 //
     /* 1202521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1202524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1202532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1202535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1202538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202560 */     // MIs[0] round
     /* 1202560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202570 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1202573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202595 */     // GIR_Coverage, 16948,
     /* 1202595 */     GIR_EraseRootFromParent_Done,
     /* 1202596 */   // Label 17466: @1202596
     /* 1202596 */   GIM_Try, /*On fail goto*//*Label 17467*/ GIMT_Encode4(1202676), // Rule ID 16949 //
     /* 1202601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1202604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1202612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1202615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1202618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1202621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1202640 */     // MIs[0] round
     /* 1202640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202650 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11263:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16),
     /* 1202653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1202671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202675 */     // GIR_Coverage, 16949,
     /* 1202675 */     GIR_EraseRootFromParent_Done,
     /* 1202676 */   // Label 17467: @1202676
     /* 1202676 */   GIM_Try, /*On fail goto*//*Label 17468*/ GIMT_Encode4(1202756), // Rule ID 16952 //
     /* 1202681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1202684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202720 */     // MIs[0] round
     /* 1202720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202730 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1202733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202755 */     // GIR_Coverage, 16952,
     /* 1202755 */     GIR_EraseRootFromParent_Done,
     /* 1202756 */   // Label 17468: @1202756
     /* 1202756 */   GIM_Try, /*On fail goto*//*Label 17469*/ GIMT_Encode4(1202836), // Rule ID 16953 //
     /* 1202761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1202764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1202772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1202775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1202778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1202781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1202800 */     // MIs[0] round
     /* 1202800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202810 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11263:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32),
     /* 1202813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1202831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202835 */     // GIR_Coverage, 16953,
     /* 1202835 */     GIR_EraseRootFromParent_Done,
     /* 1202836 */   // Label 17469: @1202836
     /* 1202836 */   GIM_Try, /*On fail goto*//*Label 17470*/ GIMT_Encode4(1202916), // Rule ID 16956 //
     /* 1202841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1202844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1202858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1202861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1202864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1202880 */     // MIs[0] round
     /* 1202880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1202890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1202893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202915 */     // GIR_Coverage, 16956,
     /* 1202915 */     GIR_EraseRootFromParent_Done,
     /* 1202916 */   // Label 17470: @1202916
     /* 1202916 */   GIM_Try, /*On fail goto*//*Label 17471*/ GIMT_Encode4(1202996), // Rule ID 16957 //
     /* 1202921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1202924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1202929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1202932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1202935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1202938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1202941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1202944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1202956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1202960 */     // MIs[0] round
     /* 1202960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1202963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1202970 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11263:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1202970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64),
     /* 1202973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1202975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1202977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1202979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1202981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1202983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1202988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1202991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1202994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1202995 */     // GIR_Coverage, 16957,
     /* 1202995 */     GIR_EraseRootFromParent_Done,
     /* 1202996 */   // Label 17471: @1202996
     /* 1202996 */   GIM_Try, /*On fail goto*//*Label 17472*/ GIMT_Encode4(1203076), // Rule ID 16960 //
     /* 1203001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1203004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1203012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1203015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203040 */     // MIs[0] round
     /* 1203040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203050 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1203053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203075 */     // GIR_Coverage, 16960,
     /* 1203075 */     GIR_EraseRootFromParent_Done,
     /* 1203076 */   // Label 17472: @1203076
     /* 1203076 */   GIM_Try, /*On fail goto*//*Label 17473*/ GIMT_Encode4(1203156), // Rule ID 16961 //
     /* 1203081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1203084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1203092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1203095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1203098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203120 */     // MIs[0] round
     /* 1203120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203130 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16),
     /* 1203133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203155 */     // GIR_Coverage, 16961,
     /* 1203155 */     GIR_EraseRootFromParent_Done,
     /* 1203156 */   // Label 17473: @1203156
     /* 1203156 */   GIM_Try, /*On fail goto*//*Label 17474*/ GIMT_Encode4(1203236), // Rule ID 16964 //
     /* 1203161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1203164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1203172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1203175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203200 */     // MIs[0] round
     /* 1203200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203210 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1203213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203235 */     // GIR_Coverage, 16964,
     /* 1203235 */     GIR_EraseRootFromParent_Done,
     /* 1203236 */   // Label 17474: @1203236
     /* 1203236 */   GIM_Try, /*On fail goto*//*Label 17475*/ GIMT_Encode4(1203316), // Rule ID 16965 //
     /* 1203241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1203244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1203252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1203255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1203258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203280 */     // MIs[0] round
     /* 1203280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16),
     /* 1203293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203315 */     // GIR_Coverage, 16965,
     /* 1203315 */     GIR_EraseRootFromParent_Done,
     /* 1203316 */   // Label 17475: @1203316
     /* 1203316 */   GIM_Try, /*On fail goto*//*Label 17476*/ GIMT_Encode4(1203396), // Rule ID 16968 //
     /* 1203321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1203324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1203332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1203335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1203338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203360 */     // MIs[0] round
     /* 1203360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203370 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1203373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203395 */     // GIR_Coverage, 16968,
     /* 1203395 */     GIR_EraseRootFromParent_Done,
     /* 1203396 */   // Label 17476: @1203396
     /* 1203396 */   GIM_Try, /*On fail goto*//*Label 17477*/ GIMT_Encode4(1203476), // Rule ID 16969 //
     /* 1203401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1203404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1203412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1203415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1203418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1203421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1203440 */     // MIs[0] round
     /* 1203440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203450 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16),
     /* 1203453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1203471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203475 */     // GIR_Coverage, 16969,
     /* 1203475 */     GIR_EraseRootFromParent_Done,
     /* 1203476 */   // Label 17477: @1203476
     /* 1203476 */   GIM_Try, /*On fail goto*//*Label 17478*/ GIMT_Encode4(1203556), // Rule ID 16972 //
     /* 1203481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1203484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203520 */     // MIs[0] round
     /* 1203520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203530 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1203533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203555 */     // GIR_Coverage, 16972,
     /* 1203555 */     GIR_EraseRootFromParent_Done,
     /* 1203556 */   // Label 17478: @1203556
     /* 1203556 */   GIM_Try, /*On fail goto*//*Label 17479*/ GIMT_Encode4(1203636), // Rule ID 16973 //
     /* 1203561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1203564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1203572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1203575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1203578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203600 */     // MIs[0] round
     /* 1203600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203610 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32),
     /* 1203613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203635 */     // GIR_Coverage, 16973,
     /* 1203635 */     GIR_EraseRootFromParent_Done,
     /* 1203636 */   // Label 17479: @1203636
     /* 1203636 */   GIM_Try, /*On fail goto*//*Label 17480*/ GIMT_Encode4(1203716), // Rule ID 16976 //
     /* 1203641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1203644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203680 */     // MIs[0] round
     /* 1203680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203690 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1203693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203715 */     // GIR_Coverage, 16976,
     /* 1203715 */     GIR_EraseRootFromParent_Done,
     /* 1203716 */   // Label 17480: @1203716
     /* 1203716 */   GIM_Try, /*On fail goto*//*Label 17481*/ GIMT_Encode4(1203796), // Rule ID 16977 //
     /* 1203721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1203724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1203732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1203735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1203738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1203756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203760 */     // MIs[0] round
     /* 1203760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203770 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32),
     /* 1203773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203795 */     // GIR_Coverage, 16977,
     /* 1203795 */     GIR_EraseRootFromParent_Done,
     /* 1203796 */   // Label 17481: @1203796
     /* 1203796 */   GIM_Try, /*On fail goto*//*Label 17482*/ GIMT_Encode4(1203876), // Rule ID 16980 //
     /* 1203801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1203804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1203818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203840 */     // MIs[0] round
     /* 1203840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203850 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1203850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1203853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203875 */     // GIR_Coverage, 16980,
     /* 1203875 */     GIR_EraseRootFromParent_Done,
     /* 1203876 */   // Label 17482: @1203876
     /* 1203876 */   GIM_Try, /*On fail goto*//*Label 17483*/ GIMT_Encode4(1203956), // Rule ID 16981 //
     /* 1203881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1203884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1203892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1203895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1203898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1203901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1203904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1203916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1203920 */     // MIs[0] round
     /* 1203920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1203923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1203930 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1203930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32),
     /* 1203933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1203935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1203937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1203939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1203941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1203943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1203948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1203951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1203954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1203955 */     // GIR_Coverage, 16981,
     /* 1203955 */     GIR_EraseRootFromParent_Done,
     /* 1203956 */   // Label 17483: @1203956
     /* 1203956 */   GIM_Try, /*On fail goto*//*Label 17484*/ GIMT_Encode4(1204036), // Rule ID 16984 //
     /* 1203961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1203964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1203969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1203972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1203975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1203978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1203981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1203984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1203996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204000 */     // MIs[0] round
     /* 1204000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204010 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1204013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204035 */     // GIR_Coverage, 16984,
     /* 1204035 */     GIR_EraseRootFromParent_Done,
     /* 1204036 */   // Label 17484: @1204036
     /* 1204036 */   GIM_Try, /*On fail goto*//*Label 17485*/ GIMT_Encode4(1204116), // Rule ID 16985 //
     /* 1204041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1204044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1204049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1204052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1204055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1204058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204080 */     // MIs[0] round
     /* 1204080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204090 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11263:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64),
     /* 1204093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204115 */     // GIR_Coverage, 16985,
     /* 1204115 */     GIR_EraseRootFromParent_Done,
     /* 1204116 */   // Label 17485: @1204116
     /* 1204116 */   GIM_Try, /*On fail goto*//*Label 17486*/ GIMT_Encode4(1204196), // Rule ID 16988 //
     /* 1204121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1204124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1204129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204160 */     // MIs[0] round
     /* 1204160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204170 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1204173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204195 */     // GIR_Coverage, 16988,
     /* 1204195 */     GIR_EraseRootFromParent_Done,
     /* 1204196 */   // Label 17486: @1204196
     /* 1204196 */   GIM_Try, /*On fail goto*//*Label 17487*/ GIMT_Encode4(1204276), // Rule ID 16989 //
     /* 1204201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1204204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1204209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1204212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1204215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1204218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204240 */     // MIs[0] round
     /* 1204240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204250 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11263:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64),
     /* 1204253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204275 */     // GIR_Coverage, 16989,
     /* 1204275 */     GIR_EraseRootFromParent_Done,
     /* 1204276 */   // Label 17487: @1204276
     /* 1204276 */   GIM_Try, /*On fail goto*//*Label 17488*/ GIMT_Encode4(1204356), // Rule ID 16992 //
     /* 1204281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1204284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1204289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1204298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204320 */     // MIs[0] round
     /* 1204320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204330 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1204333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204355 */     // GIR_Coverage, 16992,
     /* 1204355 */     GIR_EraseRootFromParent_Done,
     /* 1204356 */   // Label 17488: @1204356
     /* 1204356 */   GIM_Try, /*On fail goto*//*Label 17489*/ GIMT_Encode4(1204436), // Rule ID 16993 //
     /* 1204361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1204364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub),
     /* 1204369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1204372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1204375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1204378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1204381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1204396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1204400 */     // MIs[0] round
     /* 1204400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204410 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11263:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64),
     /* 1204413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1204431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204435 */     // GIR_Coverage, 16993,
     /* 1204435 */     GIR_EraseRootFromParent_Done,
     /* 1204436 */   // Label 17489: @1204436
     /* 1204436 */   GIM_Try, /*On fail goto*//*Label 17490*/ GIMT_Encode4(1204516), // Rule ID 16996 //
     /* 1204441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1204449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1204458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1204461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204480 */     // MIs[0] round
     /* 1204480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204490 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1204493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204515 */     // GIR_Coverage, 16996,
     /* 1204515 */     GIR_EraseRootFromParent_Done,
     /* 1204516 */   // Label 17490: @1204516
     /* 1204516 */   GIM_Try, /*On fail goto*//*Label 17491*/ GIMT_Encode4(1204596), // Rule ID 16997 //
     /* 1204521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1204529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1204532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1204535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1204538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1204541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204560 */     // MIs[0] round
     /* 1204560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204570 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16),
     /* 1204573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204595 */     // GIR_Coverage, 16997,
     /* 1204595 */     GIR_EraseRootFromParent_Done,
     /* 1204596 */   // Label 17491: @1204596
     /* 1204596 */   GIM_Try, /*On fail goto*//*Label 17492*/ GIMT_Encode4(1204676), // Rule ID 17000 //
     /* 1204601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1204609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1204618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1204621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204640 */     // MIs[0] round
     /* 1204640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204650 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1204653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204675 */     // GIR_Coverage, 17000,
     /* 1204675 */     GIR_EraseRootFromParent_Done,
     /* 1204676 */   // Label 17492: @1204676
     /* 1204676 */   GIM_Try, /*On fail goto*//*Label 17493*/ GIMT_Encode4(1204756), // Rule ID 17001 //
     /* 1204681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1204689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1204692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1204695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1204698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1204701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204720 */     // MIs[0] round
     /* 1204720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204730 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16),
     /* 1204733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204755 */     // GIR_Coverage, 17001,
     /* 1204755 */     GIR_EraseRootFromParent_Done,
     /* 1204756 */   // Label 17493: @1204756
     /* 1204756 */   GIM_Try, /*On fail goto*//*Label 17494*/ GIMT_Encode4(1204836), // Rule ID 17004 //
     /* 1204761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1204769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1204778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1204781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204800 */     // MIs[0] round
     /* 1204800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204810 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1204813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204835 */     // GIR_Coverage, 17004,
     /* 1204835 */     GIR_EraseRootFromParent_Done,
     /* 1204836 */   // Label 17494: @1204836
     /* 1204836 */   GIM_Try, /*On fail goto*//*Label 17495*/ GIMT_Encode4(1204916), // Rule ID 17005 //
     /* 1204841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1204844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1204849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1204852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1204855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1204858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1204861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1204864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1204880 */     // MIs[0] round
     /* 1204880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204890 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1204890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16),
     /* 1204893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204915 */     // GIR_Coverage, 17005,
     /* 1204915 */     GIR_EraseRootFromParent_Done,
     /* 1204916 */   // Label 17495: @1204916
     /* 1204916 */   GIM_Try, /*On fail goto*//*Label 17496*/ GIMT_Encode4(1204996), // Rule ID 17008 //
     /* 1204921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1204924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1204929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1204932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1204935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1204938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1204941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1204944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1204952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1204960 */     // MIs[0] round
     /* 1204960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1204963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1204970 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1204970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1204973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1204975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1204977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1204979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1204981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1204983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1204988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1204991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1204994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1204995 */     // GIR_Coverage, 17008,
     /* 1204995 */     GIR_EraseRootFromParent_Done,
     /* 1204996 */   // Label 17496: @1204996
     /* 1204996 */   GIM_Try, /*On fail goto*//*Label 17497*/ GIMT_Encode4(1205076), // Rule ID 17009 //
     /* 1205001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1205012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1205015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1205018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1205021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205040 */     // MIs[0] round
     /* 1205040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205050 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16),
     /* 1205053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205075 */     // GIR_Coverage, 17009,
     /* 1205075 */     GIR_EraseRootFromParent_Done,
     /* 1205076 */   // Label 17497: @1205076
     /* 1205076 */   GIM_Try, /*On fail goto*//*Label 17498*/ GIMT_Encode4(1205156), // Rule ID 17012 //
     /* 1205081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1205098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1205101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205120 */     // MIs[0] round
     /* 1205120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205130 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1205133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205155 */     // GIR_Coverage, 17012,
     /* 1205155 */     GIR_EraseRootFromParent_Done,
     /* 1205156 */   // Label 17498: @1205156
     /* 1205156 */   GIM_Try, /*On fail goto*//*Label 17499*/ GIMT_Encode4(1205236), // Rule ID 17013 //
     /* 1205161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1205172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1205175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1205178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1205181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205200 */     // MIs[0] round
     /* 1205200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205210 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16),
     /* 1205213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205235 */     // GIR_Coverage, 17013,
     /* 1205235 */     GIR_EraseRootFromParent_Done,
     /* 1205236 */   // Label 17499: @1205236
     /* 1205236 */   GIM_Try, /*On fail goto*//*Label 17500*/ GIMT_Encode4(1205316), // Rule ID 17016 //
     /* 1205241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1205261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205280 */     // MIs[0] round
     /* 1205280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205290 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1205293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205315 */     // GIR_Coverage, 17016,
     /* 1205315 */     GIR_EraseRootFromParent_Done,
     /* 1205316 */   // Label 17500: @1205316
     /* 1205316 */   GIM_Try, /*On fail goto*//*Label 17501*/ GIMT_Encode4(1205396), // Rule ID 17017 //
     /* 1205321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1205332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1205335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1205338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1205341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205360 */     // MIs[0] round
     /* 1205360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205370 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32),
     /* 1205373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205395 */     // GIR_Coverage, 17017,
     /* 1205395 */     GIR_EraseRootFromParent_Done,
     /* 1205396 */   // Label 17501: @1205396
     /* 1205396 */   GIM_Try, /*On fail goto*//*Label 17502*/ GIMT_Encode4(1205476), // Rule ID 17020 //
     /* 1205401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1205421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205440 */     // MIs[0] round
     /* 1205440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205450 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1205453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205475 */     // GIR_Coverage, 17020,
     /* 1205475 */     GIR_EraseRootFromParent_Done,
     /* 1205476 */   // Label 17502: @1205476
     /* 1205476 */   GIM_Try, /*On fail goto*//*Label 17503*/ GIMT_Encode4(1205556), // Rule ID 17021 //
     /* 1205481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1205492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1205495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1205498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1205501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205520 */     // MIs[0] round
     /* 1205520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205530 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32),
     /* 1205533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205555 */     // GIR_Coverage, 17021,
     /* 1205555 */     GIR_EraseRootFromParent_Done,
     /* 1205556 */   // Label 17503: @1205556
     /* 1205556 */   GIM_Try, /*On fail goto*//*Label 17504*/ GIMT_Encode4(1205636), // Rule ID 17024 //
     /* 1205561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1205581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205600 */     // MIs[0] round
     /* 1205600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205610 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1205613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205635 */     // GIR_Coverage, 17024,
     /* 1205635 */     GIR_EraseRootFromParent_Done,
     /* 1205636 */   // Label 17504: @1205636
     /* 1205636 */   GIM_Try, /*On fail goto*//*Label 17505*/ GIMT_Encode4(1205716), // Rule ID 17025 //
     /* 1205641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1205652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1205655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1205658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1205661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1205680 */     // MIs[0] round
     /* 1205680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205690 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32),
     /* 1205693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205715 */     // GIR_Coverage, 17025,
     /* 1205715 */     GIR_EraseRootFromParent_Done,
     /* 1205716 */   // Label 17505: @1205716
     /* 1205716 */   GIM_Try, /*On fail goto*//*Label 17506*/ GIMT_Encode4(1205796), // Rule ID 17028 //
     /* 1205721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1205724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1205741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205760 */     // MIs[0] round
     /* 1205760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205770 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1205773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205795 */     // GIR_Coverage, 17028,
     /* 1205795 */     GIR_EraseRootFromParent_Done,
     /* 1205796 */   // Label 17506: @1205796
     /* 1205796 */   GIM_Try, /*On fail goto*//*Label 17507*/ GIMT_Encode4(1205876), // Rule ID 17029 //
     /* 1205801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1205804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1205812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1205815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1205818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1205821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1205832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1205840 */     // MIs[0] round
     /* 1205840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205850 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1205850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32),
     /* 1205853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1205871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205875 */     // GIR_Coverage, 17029,
     /* 1205875 */     GIR_EraseRootFromParent_Done,
     /* 1205876 */   // Label 17507: @1205876
     /* 1205876 */   GIM_Try, /*On fail goto*//*Label 17508*/ GIMT_Encode4(1205956), // Rule ID 17032 //
     /* 1205881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1205884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1205898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1205904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1205920 */     // MIs[0] round
     /* 1205920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1205923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1205930 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1205930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1205933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1205935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1205937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1205939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1205941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1205943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1205948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1205951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1205954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1205955 */     // GIR_Coverage, 17032,
     /* 1205955 */     GIR_EraseRootFromParent_Done,
     /* 1205956 */   // Label 17508: @1205956
     /* 1205956 */   GIM_Try, /*On fail goto*//*Label 17509*/ GIMT_Encode4(1206036), // Rule ID 17033 //
     /* 1205961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1205964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1205969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1205972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1205975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1205978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1205981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1205984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1205996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206000 */     // MIs[0] round
     /* 1206000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16),
     /* 1206013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206035 */     // GIR_Coverage, 17033,
     /* 1206035 */     GIR_EraseRootFromParent_Done,
     /* 1206036 */   // Label 17509: @1206036
     /* 1206036 */   GIM_Try, /*On fail goto*//*Label 17510*/ GIMT_Encode4(1206116), // Rule ID 17036 //
     /* 1206041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1206052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1206055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1206058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206080 */     // MIs[0] round
     /* 1206080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1206093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206115 */     // GIR_Coverage, 17036,
     /* 1206115 */     GIR_EraseRootFromParent_Done,
     /* 1206116 */   // Label 17510: @1206116
     /* 1206116 */   GIM_Try, /*On fail goto*//*Label 17511*/ GIMT_Encode4(1206196), // Rule ID 17037 //
     /* 1206121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1206132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1206135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1206138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206160 */     // MIs[0] round
     /* 1206160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11279:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16),
     /* 1206173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206195 */     // GIR_Coverage, 17037,
     /* 1206195 */     GIR_EraseRootFromParent_Done,
     /* 1206196 */   // Label 17511: @1206196
     /* 1206196 */   GIM_Try, /*On fail goto*//*Label 17512*/ GIMT_Encode4(1206276), // Rule ID 17040 //
     /* 1206201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1206218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206240 */     // MIs[0] round
     /* 1206240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206250 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1206253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206275 */     // GIR_Coverage, 17040,
     /* 1206275 */     GIR_EraseRootFromParent_Done,
     /* 1206276 */   // Label 17512: @1206276
     /* 1206276 */   GIM_Try, /*On fail goto*//*Label 17513*/ GIMT_Encode4(1206356), // Rule ID 17041 //
     /* 1206281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1206292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1206295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1206298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206320 */     // MIs[0] round
     /* 1206320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206330 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16),
     /* 1206333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206355 */     // GIR_Coverage, 17041,
     /* 1206355 */     GIR_EraseRootFromParent_Done,
     /* 1206356 */   // Label 17513: @1206356
     /* 1206356 */   GIM_Try, /*On fail goto*//*Label 17514*/ GIMT_Encode4(1206436), // Rule ID 17044 //
     /* 1206361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1206372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1206375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1206378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206400 */     // MIs[0] round
     /* 1206400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1206413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206435 */     // GIR_Coverage, 17044,
     /* 1206435 */     GIR_EraseRootFromParent_Done,
     /* 1206436 */   // Label 17514: @1206436
     /* 1206436 */   GIM_Try, /*On fail goto*//*Label 17515*/ GIMT_Encode4(1206516), // Rule ID 17045 //
     /* 1206441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1206452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1206455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1206458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206480 */     // MIs[0] round
     /* 1206480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16),
     /* 1206493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206515 */     // GIR_Coverage, 17045,
     /* 1206515 */     GIR_EraseRootFromParent_Done,
     /* 1206516 */   // Label 17515: @1206516
     /* 1206516 */   GIM_Try, /*On fail goto*//*Label 17516*/ GIMT_Encode4(1206596), // Rule ID 17048 //
     /* 1206521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1206524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1206538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206560 */     // MIs[0] round
     /* 1206560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206570 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1206573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206595 */     // GIR_Coverage, 17048,
     /* 1206595 */     GIR_EraseRootFromParent_Done,
     /* 1206596 */   // Label 17516: @1206596
     /* 1206596 */   GIM_Try, /*On fail goto*//*Label 17517*/ GIMT_Encode4(1206676), // Rule ID 17049 //
     /* 1206601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1206604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1206612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1206615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1206618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1206621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1206632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1206636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1206640 */     // MIs[0] round
     /* 1206640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206650 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16),
     /* 1206653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1206671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206675 */     // GIR_Coverage, 17049,
     /* 1206675 */     GIR_EraseRootFromParent_Done,
     /* 1206676 */   // Label 17517: @1206676
     /* 1206676 */   GIM_Try, /*On fail goto*//*Label 17518*/ GIMT_Encode4(1206756), // Rule ID 17052 //
     /* 1206681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206720 */     // MIs[0] round
     /* 1206720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1206733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206755 */     // GIR_Coverage, 17052,
     /* 1206755 */     GIR_EraseRootFromParent_Done,
     /* 1206756 */   // Label 17518: @1206756
     /* 1206756 */   GIM_Try, /*On fail goto*//*Label 17519*/ GIMT_Encode4(1206836), // Rule ID 17053 //
     /* 1206761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1206772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1206775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1206778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206800 */     // MIs[0] round
     /* 1206800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11279:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32),
     /* 1206813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206835 */     // GIR_Coverage, 17053,
     /* 1206835 */     GIR_EraseRootFromParent_Done,
     /* 1206836 */   // Label 17519: @1206836
     /* 1206836 */   GIM_Try, /*On fail goto*//*Label 17520*/ GIMT_Encode4(1206916), // Rule ID 17056 //
     /* 1206841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1206844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1206858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1206864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206880 */     // MIs[0] round
     /* 1206880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206890 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1206890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1206893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206915 */     // GIR_Coverage, 17056,
     /* 1206915 */     GIR_EraseRootFromParent_Done,
     /* 1206916 */   // Label 17520: @1206916
     /* 1206916 */   GIM_Try, /*On fail goto*//*Label 17521*/ GIMT_Encode4(1206996), // Rule ID 17057 //
     /* 1206921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1206924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1206929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1206932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1206935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1206938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1206941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1206944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1206952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1206956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1206960 */     // MIs[0] round
     /* 1206960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1206963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1206970 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11279:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1206970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32),
     /* 1206973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1206975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1206977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1206979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1206981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1206983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1206988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1206991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1206994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1206995 */     // GIR_Coverage, 17057,
     /* 1206995 */     GIR_EraseRootFromParent_Done,
     /* 1206996 */   // Label 17521: @1206996
     /* 1206996 */   GIM_Try, /*On fail goto*//*Label 17522*/ GIMT_Encode4(1207076), // Rule ID 17060 //
     /* 1207001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1207009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207040 */     // MIs[0] round
     /* 1207040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207050 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1207053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207075 */     // GIR_Coverage, 17060,
     /* 1207075 */     GIR_EraseRootFromParent_Done,
     /* 1207076 */   // Label 17522: @1207076
     /* 1207076 */   GIM_Try, /*On fail goto*//*Label 17523*/ GIMT_Encode4(1207156), // Rule ID 17061 //
     /* 1207081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1207089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1207092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1207095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1207098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207120 */     // MIs[0] round
     /* 1207120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207130 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11279:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32),
     /* 1207133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207155 */     // GIR_Coverage, 17061,
     /* 1207155 */     GIR_EraseRootFromParent_Done,
     /* 1207156 */   // Label 17523: @1207156
     /* 1207156 */   GIM_Try, /*On fail goto*//*Label 17524*/ GIMT_Encode4(1207236), // Rule ID 17064 //
     /* 1207161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1207164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1207169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207200 */     // MIs[0] round
     /* 1207200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207210 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1207213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207235 */     // GIR_Coverage, 17064,
     /* 1207235 */     GIR_EraseRootFromParent_Done,
     /* 1207236 */   // Label 17524: @1207236
     /* 1207236 */   GIM_Try, /*On fail goto*//*Label 17525*/ GIMT_Encode4(1207316), // Rule ID 17065 //
     /* 1207241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1207244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd),
     /* 1207249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1207252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1207255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1207258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1207261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1207280 */     // MIs[0] round
     /* 1207280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207290 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11279:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32),
     /* 1207293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1207311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207315 */     // GIR_Coverage, 17065,
     /* 1207315 */     GIR_EraseRootFromParent_Done,
     /* 1207316 */   // Label 17525: @1207316
     /* 1207316 */   GIM_Try, /*On fail goto*//*Label 17526*/ GIMT_Encode4(1207396), // Rule ID 17068 //
     /* 1207321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1207338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1207341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207360 */     // MIs[0] round
     /* 1207360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207370 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1207373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207395 */     // GIR_Coverage, 17068,
     /* 1207395 */     GIR_EraseRootFromParent_Done,
     /* 1207396 */   // Label 17526: @1207396
     /* 1207396 */   GIM_Try, /*On fail goto*//*Label 17527*/ GIMT_Encode4(1207476), // Rule ID 17069 //
     /* 1207401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1207412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1207415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1207418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1207421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207440 */     // MIs[0] round
     /* 1207440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207450 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16),
     /* 1207453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207475 */     // GIR_Coverage, 17069,
     /* 1207475 */     GIR_EraseRootFromParent_Done,
     /* 1207476 */   // Label 17527: @1207476
     /* 1207476 */   GIM_Try, /*On fail goto*//*Label 17528*/ GIMT_Encode4(1207556), // Rule ID 17072 //
     /* 1207481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1207501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207520 */     // MIs[0] round
     /* 1207520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207530 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1207533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207555 */     // GIR_Coverage, 17072,
     /* 1207555 */     GIR_EraseRootFromParent_Done,
     /* 1207556 */   // Label 17528: @1207556
     /* 1207556 */   GIM_Try, /*On fail goto*//*Label 17529*/ GIMT_Encode4(1207636), // Rule ID 17073 //
     /* 1207561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1207572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1207575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1207578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1207581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207600 */     // MIs[0] round
     /* 1207600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207610 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16),
     /* 1207613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207635 */     // GIR_Coverage, 17073,
     /* 1207635 */     GIR_EraseRootFromParent_Done,
     /* 1207636 */   // Label 17529: @1207636
     /* 1207636 */   GIM_Try, /*On fail goto*//*Label 17530*/ GIMT_Encode4(1207716), // Rule ID 17076 //
     /* 1207641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1207658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207680 */     // MIs[0] round
     /* 1207680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207690 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1207693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207715 */     // GIR_Coverage, 17076,
     /* 1207715 */     GIR_EraseRootFromParent_Done,
     /* 1207716 */   // Label 17530: @1207716
     /* 1207716 */   GIM_Try, /*On fail goto*//*Label 17531*/ GIMT_Encode4(1207796), // Rule ID 17077 //
     /* 1207721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1207732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1207735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1207738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1207741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1207760 */     // MIs[0] round
     /* 1207760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207770 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16),
     /* 1207773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207795 */     // GIR_Coverage, 17077,
     /* 1207795 */     GIR_EraseRootFromParent_Done,
     /* 1207796 */   // Label 17531: @1207796
     /* 1207796 */   GIM_Try, /*On fail goto*//*Label 17532*/ GIMT_Encode4(1207876), // Rule ID 17080 //
     /* 1207801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207840 */     // MIs[0] round
     /* 1207840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207850 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1207850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1207853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207875 */     // GIR_Coverage, 17080,
     /* 1207875 */     GIR_EraseRootFromParent_Done,
     /* 1207876 */   // Label 17532: @1207876
     /* 1207876 */   GIM_Try, /*On fail goto*//*Label 17533*/ GIMT_Encode4(1207956), // Rule ID 17081 //
     /* 1207881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1207884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1207892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1207895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1207898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1207901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1207904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1207920 */     // MIs[0] round
     /* 1207920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1207923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1207930 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1207930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16),
     /* 1207933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1207935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1207937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1207939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1207941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1207943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1207948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1207951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1207954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1207955 */     // GIR_Coverage, 17081,
     /* 1207955 */     GIR_EraseRootFromParent_Done,
     /* 1207956 */   // Label 17533: @1207956
     /* 1207956 */   GIM_Try, /*On fail goto*//*Label 17534*/ GIMT_Encode4(1208036), // Rule ID 17084 //
     /* 1207961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1207964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1207969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1207972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1207975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1207978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1207981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1207984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1207992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1207996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208000 */     // MIs[0] round
     /* 1208000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208010 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1208013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208035 */     // GIR_Coverage, 17084,
     /* 1208035 */     GIR_EraseRootFromParent_Done,
     /* 1208036 */   // Label 17534: @1208036
     /* 1208036 */   GIM_Try, /*On fail goto*//*Label 17535*/ GIMT_Encode4(1208116), // Rule ID 17085 //
     /* 1208041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1208052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1208055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1208058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1208061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208080 */     // MIs[0] round
     /* 1208080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208090 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16),
     /* 1208093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208115 */     // GIR_Coverage, 17085,
     /* 1208115 */     GIR_EraseRootFromParent_Done,
     /* 1208116 */   // Label 17535: @1208116
     /* 1208116 */   GIM_Try, /*On fail goto*//*Label 17536*/ GIMT_Encode4(1208196), // Rule ID 17088 //
     /* 1208121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1208141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208160 */     // MIs[0] round
     /* 1208160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1208173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208195 */     // GIR_Coverage, 17088,
     /* 1208195 */     GIR_EraseRootFromParent_Done,
     /* 1208196 */   // Label 17536: @1208196
     /* 1208196 */   GIM_Try, /*On fail goto*//*Label 17537*/ GIMT_Encode4(1208276), // Rule ID 17089 //
     /* 1208201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1208212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1208215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1208218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1208221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208240 */     // MIs[0] round
     /* 1208240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208250 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32),
     /* 1208253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208275 */     // GIR_Coverage, 17089,
     /* 1208275 */     GIR_EraseRootFromParent_Done,
     /* 1208276 */   // Label 17537: @1208276
     /* 1208276 */   GIM_Try, /*On fail goto*//*Label 17538*/ GIMT_Encode4(1208356), // Rule ID 17092 //
     /* 1208281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1208301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208320 */     // MIs[0] round
     /* 1208320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208330 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1208333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208355 */     // GIR_Coverage, 17092,
     /* 1208355 */     GIR_EraseRootFromParent_Done,
     /* 1208356 */   // Label 17538: @1208356
     /* 1208356 */   GIM_Try, /*On fail goto*//*Label 17539*/ GIMT_Encode4(1208436), // Rule ID 17093 //
     /* 1208361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1208372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1208375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1208378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1208381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208400 */     // MIs[0] round
     /* 1208400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32),
     /* 1208413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208435 */     // GIR_Coverage, 17093,
     /* 1208435 */     GIR_EraseRootFromParent_Done,
     /* 1208436 */   // Label 17539: @1208436
     /* 1208436 */   GIM_Try, /*On fail goto*//*Label 17540*/ GIMT_Encode4(1208516), // Rule ID 17096 //
     /* 1208441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1208461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208480 */     // MIs[0] round
     /* 1208480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208490 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1208493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208515 */     // GIR_Coverage, 17096,
     /* 1208515 */     GIR_EraseRootFromParent_Done,
     /* 1208516 */   // Label 17540: @1208516
     /* 1208516 */   GIM_Try, /*On fail goto*//*Label 17541*/ GIMT_Encode4(1208596), // Rule ID 17097 //
     /* 1208521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1208532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1208535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1208538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1208541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1208560 */     // MIs[0] round
     /* 1208560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208570 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32),
     /* 1208573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208595 */     // GIR_Coverage, 17097,
     /* 1208595 */     GIR_EraseRootFromParent_Done,
     /* 1208596 */   // Label 17541: @1208596
     /* 1208596 */   GIM_Try, /*On fail goto*//*Label 17542*/ GIMT_Encode4(1208676), // Rule ID 17100 //
     /* 1208601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1208604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208640 */     // MIs[0] round
     /* 1208640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208650 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1208653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208675 */     // GIR_Coverage, 17100,
     /* 1208675 */     GIR_EraseRootFromParent_Done,
     /* 1208676 */   // Label 17542: @1208676
     /* 1208676 */   GIM_Try, /*On fail goto*//*Label 17543*/ GIMT_Encode4(1208756), // Rule ID 17101 //
     /* 1208681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1208684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1208692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1208695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1208698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1208701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1208712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1208720 */     // MIs[0] round
     /* 1208720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208730 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32),
     /* 1208733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1208751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208755 */     // GIR_Coverage, 17101,
     /* 1208755 */     GIR_EraseRootFromParent_Done,
     /* 1208756 */   // Label 17543: @1208756
     /* 1208756 */   GIM_Try, /*On fail goto*//*Label 17544*/ GIMT_Encode4(1208836), // Rule ID 17104 //
     /* 1208761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1208778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208800 */     // MIs[0] round
     /* 1208800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208810 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1208813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208835 */     // GIR_Coverage, 17104,
     /* 1208835 */     GIR_EraseRootFromParent_Done,
     /* 1208836 */   // Label 17544: @1208836
     /* 1208836 */   GIM_Try, /*On fail goto*//*Label 17545*/ GIMT_Encode4(1208916), // Rule ID 17105 //
     /* 1208841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1208844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1208852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1208855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1208858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1208864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208880 */     // MIs[0] round
     /* 1208880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208890 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1208890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16),
     /* 1208893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208915 */     // GIR_Coverage, 17105,
     /* 1208915 */     GIR_EraseRootFromParent_Done,
     /* 1208916 */   // Label 17545: @1208916
     /* 1208916 */   GIM_Try, /*On fail goto*//*Label 17546*/ GIMT_Encode4(1208996), // Rule ID 17108 //
     /* 1208921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1208924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1208929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1208932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1208935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1208938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1208941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1208944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1208956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1208960 */     // MIs[0] round
     /* 1208960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1208963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1208970 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1208970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1208973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1208975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1208977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1208979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1208981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1208983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1208988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1208991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1208994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1208995 */     // GIR_Coverage, 17108,
     /* 1208995 */     GIR_EraseRootFromParent_Done,
     /* 1208996 */   // Label 17546: @1208996
     /* 1208996 */   GIM_Try, /*On fail goto*//*Label 17547*/ GIMT_Encode4(1209076), // Rule ID 17109 //
     /* 1209001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1209012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1209015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1209018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209040 */     // MIs[0] round
     /* 1209040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209050 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11315:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16),
     /* 1209053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209075 */     // GIR_Coverage, 17109,
     /* 1209075 */     GIR_EraseRootFromParent_Done,
     /* 1209076 */   // Label 17547: @1209076
     /* 1209076 */   GIM_Try, /*On fail goto*//*Label 17548*/ GIMT_Encode4(1209156), // Rule ID 17112 //
     /* 1209081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209120 */     // MIs[0] round
     /* 1209120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209130 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1209133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209155 */     // GIR_Coverage, 17112,
     /* 1209155 */     GIR_EraseRootFromParent_Done,
     /* 1209156 */   // Label 17548: @1209156
     /* 1209156 */   GIM_Try, /*On fail goto*//*Label 17549*/ GIMT_Encode4(1209236), // Rule ID 17113 //
     /* 1209161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1209172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1209175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1209178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209200 */     // MIs[0] round
     /* 1209200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209210 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16),
     /* 1209213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209235 */     // GIR_Coverage, 17113,
     /* 1209235 */     GIR_EraseRootFromParent_Done,
     /* 1209236 */   // Label 17549: @1209236
     /* 1209236 */   GIM_Try, /*On fail goto*//*Label 17550*/ GIMT_Encode4(1209316), // Rule ID 17116 //
     /* 1209241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1209252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1209255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1209258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209280 */     // MIs[0] round
     /* 1209280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209290 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1209293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209315 */     // GIR_Coverage, 17116,
     /* 1209315 */     GIR_EraseRootFromParent_Done,
     /* 1209316 */   // Label 17550: @1209316
     /* 1209316 */   GIM_Try, /*On fail goto*//*Label 17551*/ GIMT_Encode4(1209396), // Rule ID 17117 //
     /* 1209321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1209332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1209335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1209338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209360 */     // MIs[0] round
     /* 1209360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209370 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16),
     /* 1209373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209395 */     // GIR_Coverage, 17117,
     /* 1209395 */     GIR_EraseRootFromParent_Done,
     /* 1209396 */   // Label 17551: @1209396
     /* 1209396 */   GIM_Try, /*On fail goto*//*Label 17552*/ GIMT_Encode4(1209476), // Rule ID 17120 //
     /* 1209401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1209404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1209418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209440 */     // MIs[0] round
     /* 1209440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209450 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1209453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209475 */     // GIR_Coverage, 17120,
     /* 1209475 */     GIR_EraseRootFromParent_Done,
     /* 1209476 */   // Label 17552: @1209476
     /* 1209476 */   GIM_Try, /*On fail goto*//*Label 17553*/ GIMT_Encode4(1209556), // Rule ID 17121 //
     /* 1209481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1209484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1209492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1209495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1209498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1209501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1209512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1209520 */     // MIs[0] round
     /* 1209520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209530 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16),
     /* 1209533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1209551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209555 */     // GIR_Coverage, 17121,
     /* 1209555 */     GIR_EraseRootFromParent_Done,
     /* 1209556 */   // Label 17553: @1209556
     /* 1209556 */   GIM_Try, /*On fail goto*//*Label 17554*/ GIMT_Encode4(1209636), // Rule ID 17124 //
     /* 1209561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209600 */     // MIs[0] round
     /* 1209600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209610 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1209613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209635 */     // GIR_Coverage, 17124,
     /* 1209635 */     GIR_EraseRootFromParent_Done,
     /* 1209636 */   // Label 17554: @1209636
     /* 1209636 */   GIM_Try, /*On fail goto*//*Label 17555*/ GIMT_Encode4(1209716), // Rule ID 17125 //
     /* 1209641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1209652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1209655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1209658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209680 */     // MIs[0] round
     /* 1209680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11315:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32),
     /* 1209693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209715 */     // GIR_Coverage, 17125,
     /* 1209715 */     GIR_EraseRootFromParent_Done,
     /* 1209716 */   // Label 17555: @1209716
     /* 1209716 */   GIM_Try, /*On fail goto*//*Label 17556*/ GIMT_Encode4(1209796), // Rule ID 17128 //
     /* 1209721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209760 */     // MIs[0] round
     /* 1209760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209770 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1209773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209795 */     // GIR_Coverage, 17128,
     /* 1209795 */     GIR_EraseRootFromParent_Done,
     /* 1209796 */   // Label 17556: @1209796
     /* 1209796 */   GIM_Try, /*On fail goto*//*Label 17557*/ GIMT_Encode4(1209876), // Rule ID 17129 //
     /* 1209801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1209812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1209815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1209818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1209836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209840 */     // MIs[0] round
     /* 1209840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209850 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11315:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1209850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32),
     /* 1209853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209875 */     // GIR_Coverage, 17129,
     /* 1209875 */     GIR_EraseRootFromParent_Done,
     /* 1209876 */   // Label 17557: @1209876
     /* 1209876 */   GIM_Try, /*On fail goto*//*Label 17558*/ GIMT_Encode4(1209956), // Rule ID 17132 //
     /* 1209881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1209884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1209904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1209920 */     // MIs[0] round
     /* 1209920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1209923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1209930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1209930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1209933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1209935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1209937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1209939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1209941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1209943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1209948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1209951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1209954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1209955 */     // GIR_Coverage, 17132,
     /* 1209955 */     GIR_EraseRootFromParent_Done,
     /* 1209956 */   // Label 17558: @1209956
     /* 1209956 */   GIM_Try, /*On fail goto*//*Label 17559*/ GIMT_Encode4(1210036), // Rule ID 17133 //
     /* 1209961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1209964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1209969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1209972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1209975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1209978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1209981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1209984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1209992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1209996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210000 */     // MIs[0] round
     /* 1210000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210010 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11315:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32),
     /* 1210013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210035 */     // GIR_Coverage, 17133,
     /* 1210035 */     GIR_EraseRootFromParent_Done,
     /* 1210036 */   // Label 17559: @1210036
     /* 1210036 */   GIM_Try, /*On fail goto*//*Label 17560*/ GIMT_Encode4(1210116), // Rule ID 17136 //
     /* 1210041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1210049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1210052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1210055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210080 */     // MIs[0] round
     /* 1210080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1210093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210115 */     // GIR_Coverage, 17136,
     /* 1210115 */     GIR_EraseRootFromParent_Done,
     /* 1210116 */   // Label 17560: @1210116
     /* 1210116 */   GIM_Try, /*On fail goto*//*Label 17561*/ GIMT_Encode4(1210196), // Rule ID 17137 //
     /* 1210121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub),
     /* 1210129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1210132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1210135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1210141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1210160 */     // MIs[0] round
     /* 1210160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210170 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11315:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32),
     /* 1210173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210195 */     // GIR_Coverage, 17137,
     /* 1210195 */     GIR_EraseRootFromParent_Done,
     /* 1210196 */   // Label 17561: @1210196
     /* 1210196 */   GIM_Try, /*On fail goto*//*Label 17562*/ GIMT_Encode4(1210276), // Rule ID 17142 //
     /* 1210201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1210212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1210215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1210218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1210221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210240 */     // MIs[0] round
     /* 1210240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1210253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210275 */     // GIR_Coverage, 17142,
     /* 1210275 */     GIR_EraseRootFromParent_Done,
     /* 1210276 */   // Label 17562: @1210276
     /* 1210276 */   GIM_Try, /*On fail goto*//*Label 17563*/ GIMT_Encode4(1210356), // Rule ID 17143 //
     /* 1210281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1210292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1210295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1210298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1210301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210320 */     // MIs[0] round
     /* 1210320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16),
     /* 1210333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210355 */     // GIR_Coverage, 17143,
     /* 1210355 */     GIR_EraseRootFromParent_Done,
     /* 1210356 */   // Label 17563: @1210356
     /* 1210356 */   GIM_Try, /*On fail goto*//*Label 17564*/ GIMT_Encode4(1210436), // Rule ID 17152 //
     /* 1210361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1210381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210400 */     // MIs[0] round
     /* 1210400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210410 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1210413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210435 */     // GIR_Coverage, 17152,
     /* 1210435 */     GIR_EraseRootFromParent_Done,
     /* 1210436 */   // Label 17564: @1210436
     /* 1210436 */   GIM_Try, /*On fail goto*//*Label 17565*/ GIMT_Encode4(1210516), // Rule ID 17153 //
     /* 1210441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1210452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1210455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1210458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1210461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210480 */     // MIs[0] round
     /* 1210480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210490 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16),
     /* 1210493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210515 */     // GIR_Coverage, 17153,
     /* 1210515 */     GIR_EraseRootFromParent_Done,
     /* 1210516 */   // Label 17565: @1210516
     /* 1210516 */   GIM_Try, /*On fail goto*//*Label 17566*/ GIMT_Encode4(1210596), // Rule ID 17162 //
     /* 1210521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1210541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210560 */     // MIs[0] round
     /* 1210560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210570 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1210573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210595 */     // GIR_Coverage, 17162,
     /* 1210595 */     GIR_EraseRootFromParent_Done,
     /* 1210596 */   // Label 17566: @1210596
     /* 1210596 */   GIM_Try, /*On fail goto*//*Label 17567*/ GIMT_Encode4(1210676), // Rule ID 17163 //
     /* 1210601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1210612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1210615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1210618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1210621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1210640 */     // MIs[0] round
     /* 1210640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210650 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16),
     /* 1210653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210675 */     // GIR_Coverage, 17163,
     /* 1210675 */     GIR_EraseRootFromParent_Done,
     /* 1210676 */   // Label 17567: @1210676
     /* 1210676 */   GIM_Try, /*On fail goto*//*Label 17568*/ GIMT_Encode4(1210756), // Rule ID 17172 //
     /* 1210681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1210684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1210701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210720 */     // MIs[0] round
     /* 1210720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210730 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1210733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210755 */     // GIR_Coverage, 17172,
     /* 1210755 */     GIR_EraseRootFromParent_Done,
     /* 1210756 */   // Label 17568: @1210756
     /* 1210756 */   GIM_Try, /*On fail goto*//*Label 17569*/ GIMT_Encode4(1210836), // Rule ID 17173 //
     /* 1210761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1210764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1210772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1210775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1210778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1210781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1210796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1210800 */     // MIs[0] round
     /* 1210800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210810 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16),
     /* 1210813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1210831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210835 */     // GIR_Coverage, 17173,
     /* 1210835 */     GIR_EraseRootFromParent_Done,
     /* 1210836 */   // Label 17569: @1210836
     /* 1210836 */   GIM_Try, /*On fail goto*//*Label 17570*/ GIMT_Encode4(1210916), // Rule ID 17182 //
     /* 1210841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1210844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1210861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1210864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210880 */     // MIs[0] round
     /* 1210880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1210890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1210893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210915 */     // GIR_Coverage, 17182,
     /* 1210915 */     GIR_EraseRootFromParent_Done,
     /* 1210916 */   // Label 17570: @1210916
     /* 1210916 */   GIM_Try, /*On fail goto*//*Label 17571*/ GIMT_Encode4(1210996), // Rule ID 17183 //
     /* 1210921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1210924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1210929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1210932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1210935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1210938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1210941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1210944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1210960 */     // MIs[0] round
     /* 1210960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1210963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1210970 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1210970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32),
     /* 1210973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1210975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1210977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1210979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1210981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1210983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1210988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1210991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1210994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1210995 */     // GIR_Coverage, 17183,
     /* 1210995 */     GIR_EraseRootFromParent_Done,
     /* 1210996 */   // Label 17571: @1210996
     /* 1210996 */   GIM_Try, /*On fail goto*//*Label 17572*/ GIMT_Encode4(1211076), // Rule ID 17192 //
     /* 1211001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1211004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211040 */     // MIs[0] round
     /* 1211040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211050 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1211053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211075 */     // GIR_Coverage, 17192,
     /* 1211075 */     GIR_EraseRootFromParent_Done,
     /* 1211076 */   // Label 17572: @1211076
     /* 1211076 */   GIM_Try, /*On fail goto*//*Label 17573*/ GIMT_Encode4(1211156), // Rule ID 17193 //
     /* 1211081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1211084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1211092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1211095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1211098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1211101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211120 */     // MIs[0] round
     /* 1211120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211130 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32),
     /* 1211133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211155 */     // GIR_Coverage, 17193,
     /* 1211155 */     GIR_EraseRootFromParent_Done,
     /* 1211156 */   // Label 17573: @1211156
     /* 1211156 */   GIM_Try, /*On fail goto*//*Label 17574*/ GIMT_Encode4(1211236), // Rule ID 17202 //
     /* 1211161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1211164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1211172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1211175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1211181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211200 */     // MIs[0] round
     /* 1211200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211210 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1211213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211235 */     // GIR_Coverage, 17202,
     /* 1211235 */     GIR_EraseRootFromParent_Done,
     /* 1211236 */   // Label 17574: @1211236
     /* 1211236 */   GIM_Try, /*On fail goto*//*Label 17575*/ GIMT_Encode4(1211316), // Rule ID 17203 //
     /* 1211241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1211244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1211252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1211255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1211258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1211261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211280 */     // MIs[0] round
     /* 1211280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211290 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32),
     /* 1211293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211315 */     // GIR_Coverage, 17203,
     /* 1211315 */     GIR_EraseRootFromParent_Done,
     /* 1211316 */   // Label 17575: @1211316
     /* 1211316 */   GIM_Try, /*On fail goto*//*Label 17576*/ GIMT_Encode4(1211396), // Rule ID 17212 //
     /* 1211321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1211324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1211341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211360 */     // MIs[0] round
     /* 1211360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211370 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1211373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211395 */     // GIR_Coverage, 17212,
     /* 1211395 */     GIR_EraseRootFromParent_Done,
     /* 1211396 */   // Label 17576: @1211396
     /* 1211396 */   GIM_Try, /*On fail goto*//*Label 17577*/ GIMT_Encode4(1211476), // Rule ID 17213 //
     /* 1211401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1211404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1211412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1211415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1211418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1211421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1211436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211440 */     // MIs[0] round
     /* 1211440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211450 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32),
     /* 1211453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1211471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211475 */     // GIR_Coverage, 17213,
     /* 1211475 */     GIR_EraseRootFromParent_Done,
     /* 1211476 */   // Label 17577: @1211476
     /* 1211476 */   GIM_Try, /*On fail goto*//*Label 17578*/ GIMT_Encode4(1211556), // Rule ID 17220 //
     /* 1211481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1211484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211520 */     // MIs[0] round
     /* 1211520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1211533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211555 */     // GIR_Coverage, 17220,
     /* 1211555 */     GIR_EraseRootFromParent_Done,
     /* 1211556 */   // Label 17578: @1211556
     /* 1211556 */   GIM_Try, /*On fail goto*//*Label 17579*/ GIMT_Encode4(1211636), // Rule ID 17221 //
     /* 1211561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1211564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1211572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1211575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1211578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211600 */     // MIs[0] round
     /* 1211600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211610 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16),
     /* 1211613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211635 */     // GIR_Coverage, 17221,
     /* 1211635 */     GIR_EraseRootFromParent_Done,
     /* 1211636 */   // Label 17579: @1211636
     /* 1211636 */   GIM_Try, /*On fail goto*//*Label 17580*/ GIMT_Encode4(1211716), // Rule ID 17224 //
     /* 1211641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1211644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211680 */     // MIs[0] round
     /* 1211680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211690 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1211693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211715 */     // GIR_Coverage, 17224,
     /* 1211715 */     GIR_EraseRootFromParent_Done,
     /* 1211716 */   // Label 17580: @1211716
     /* 1211716 */   GIM_Try, /*On fail goto*//*Label 17581*/ GIMT_Encode4(1211796), // Rule ID 17225 //
     /* 1211721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1211724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1211732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1211735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1211738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1211756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211760 */     // MIs[0] round
     /* 1211760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211770 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11281:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16),
     /* 1211773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211795 */     // GIR_Coverage, 17225,
     /* 1211795 */     GIR_EraseRootFromParent_Done,
     /* 1211796 */   // Label 17581: @1211796
     /* 1211796 */   GIM_Try, /*On fail goto*//*Label 17582*/ GIMT_Encode4(1211876), // Rule ID 17228 //
     /* 1211801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1211804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1211812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1211815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1211818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211840 */     // MIs[0] round
     /* 1211840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211850 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1211850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1211853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211875 */     // GIR_Coverage, 17228,
     /* 1211875 */     GIR_EraseRootFromParent_Done,
     /* 1211876 */   // Label 17582: @1211876
     /* 1211876 */   GIM_Try, /*On fail goto*//*Label 17583*/ GIMT_Encode4(1211956), // Rule ID 17229 //
     /* 1211881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1211884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1211892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1211895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1211898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1211904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1211916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1211920 */     // MIs[0] round
     /* 1211920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1211923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1211930 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1211930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16),
     /* 1211933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1211935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1211937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1211939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1211941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1211943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1211948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1211951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1211954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1211955 */     // GIR_Coverage, 17229,
     /* 1211955 */     GIR_EraseRootFromParent_Done,
     /* 1211956 */   // Label 17583: @1211956
     /* 1211956 */   GIM_Try, /*On fail goto*//*Label 17584*/ GIMT_Encode4(1212036), // Rule ID 17232 //
     /* 1211961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1211964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1211969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1211972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1211975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1211978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1211981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1211984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1211996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212000 */     // MIs[0] round
     /* 1212000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212010 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1212013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212035 */     // GIR_Coverage, 17232,
     /* 1212035 */     GIR_EraseRootFromParent_Done,
     /* 1212036 */   // Label 17584: @1212036
     /* 1212036 */   GIM_Try, /*On fail goto*//*Label 17585*/ GIMT_Encode4(1212116), // Rule ID 17233 //
     /* 1212041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1212044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1212052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1212055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1212058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212080 */     // MIs[0] round
     /* 1212080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212090 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16),
     /* 1212093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212115 */     // GIR_Coverage, 17233,
     /* 1212115 */     GIR_EraseRootFromParent_Done,
     /* 1212116 */   // Label 17585: @1212116
     /* 1212116 */   GIM_Try, /*On fail goto*//*Label 17586*/ GIMT_Encode4(1212196), // Rule ID 17236 //
     /* 1212121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1212124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1212132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1212135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1212138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212160 */     // MIs[0] round
     /* 1212160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212170 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1212173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212195 */     // GIR_Coverage, 17236,
     /* 1212195 */     GIR_EraseRootFromParent_Done,
     /* 1212196 */   // Label 17586: @1212196
     /* 1212196 */   GIM_Try, /*On fail goto*//*Label 17587*/ GIMT_Encode4(1212276), // Rule ID 17237 //
     /* 1212201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1212204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1212212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1212215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1212218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1212221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1212240 */     // MIs[0] round
     /* 1212240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212250 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16),
     /* 1212253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212275 */     // GIR_Coverage, 17237,
     /* 1212275 */     GIR_EraseRootFromParent_Done,
     /* 1212276 */   // Label 17587: @1212276
     /* 1212276 */   GIM_Try, /*On fail goto*//*Label 17588*/ GIMT_Encode4(1212356), // Rule ID 17240 //
     /* 1212281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1212284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212320 */     // MIs[0] round
     /* 1212320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212330 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1212333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212355 */     // GIR_Coverage, 17240,
     /* 1212355 */     GIR_EraseRootFromParent_Done,
     /* 1212356 */   // Label 17588: @1212356
     /* 1212356 */   GIM_Try, /*On fail goto*//*Label 17589*/ GIMT_Encode4(1212436), // Rule ID 17241 //
     /* 1212361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1212364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1212372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1212375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1212378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212400 */     // MIs[0] round
     /* 1212400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212410 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11281:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32),
     /* 1212413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212435 */     // GIR_Coverage, 17241,
     /* 1212435 */     GIR_EraseRootFromParent_Done,
     /* 1212436 */   // Label 17589: @1212436
     /* 1212436 */   GIM_Try, /*On fail goto*//*Label 17590*/ GIMT_Encode4(1212516), // Rule ID 17244 //
     /* 1212441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1212444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1212452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1212455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1212458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212480 */     // MIs[0] round
     /* 1212480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212490 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1212493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212515 */     // GIR_Coverage, 17244,
     /* 1212515 */     GIR_EraseRootFromParent_Done,
     /* 1212516 */   // Label 17590: @1212516
     /* 1212516 */   GIM_Try, /*On fail goto*//*Label 17591*/ GIMT_Encode4(1212596), // Rule ID 17245 //
     /* 1212521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1212524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1212532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1212535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1212538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1212556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212560 */     // MIs[0] round
     /* 1212560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212570 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11281:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32),
     /* 1212573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212595 */     // GIR_Coverage, 17245,
     /* 1212595 */     GIR_EraseRootFromParent_Done,
     /* 1212596 */   // Label 17591: @1212596
     /* 1212596 */   GIM_Try, /*On fail goto*//*Label 17592*/ GIMT_Encode4(1212676), // Rule ID 17248 //
     /* 1212601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1212604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1212612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1212615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1212618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212640 */     // MIs[0] round
     /* 1212640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212650 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1212653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212675 */     // GIR_Coverage, 17248,
     /* 1212675 */     GIR_EraseRootFromParent_Done,
     /* 1212676 */   // Label 17592: @1212676
     /* 1212676 */   GIM_Try, /*On fail goto*//*Label 17593*/ GIMT_Encode4(1212756), // Rule ID 17249 //
     /* 1212681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1212684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1212692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1212695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1212698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1212716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212720 */     // MIs[0] round
     /* 1212720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212730 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11281:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32),
     /* 1212733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212755 */     // GIR_Coverage, 17249,
     /* 1212755 */     GIR_EraseRootFromParent_Done,
     /* 1212756 */   // Label 17593: @1212756
     /* 1212756 */   GIM_Try, /*On fail goto*//*Label 17594*/ GIMT_Encode4(1212836), // Rule ID 17252 //
     /* 1212761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1212764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1212772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1212775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1212778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212800 */     // MIs[0] round
     /* 1212800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212810 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1212813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212835 */     // GIR_Coverage, 17252,
     /* 1212835 */     GIR_EraseRootFromParent_Done,
     /* 1212836 */   // Label 17594: @1212836
     /* 1212836 */   GIM_Try, /*On fail goto*//*Label 17595*/ GIMT_Encode4(1212916), // Rule ID 17253 //
     /* 1212841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1212844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w),
     /* 1212849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1212852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1212855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1212858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1212861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1212864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1212876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1212880 */     // MIs[0] round
     /* 1212880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212890 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11281:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWADD_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1212890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32),
     /* 1212893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1212911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212915 */     // GIR_Coverage, 17253,
     /* 1212915 */     GIR_EraseRootFromParent_Done,
     /* 1212916 */   // Label 17595: @1212916
     /* 1212916 */   GIM_Try, /*On fail goto*//*Label 17596*/ GIMT_Encode4(1212996), // Rule ID 17258 //
     /* 1212921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1212924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1212929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1212932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1212935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1212938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1212941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1212944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1212960 */     // MIs[0] round
     /* 1212960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1212963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1212970 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1212970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1212973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1212975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1212977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1212979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1212981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1212983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1212988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1212991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1212994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1212995 */     // GIR_Coverage, 17258,
     /* 1212995 */     GIR_EraseRootFromParent_Done,
     /* 1212996 */   // Label 17596: @1212996
     /* 1212996 */   GIM_Try, /*On fail goto*//*Label 17597*/ GIMT_Encode4(1213076), // Rule ID 17259 //
     /* 1213001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1213004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1213012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1213015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1213018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1213021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213040 */     // MIs[0] round
     /* 1213040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213050 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16),
     /* 1213053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213075 */     // GIR_Coverage, 17259,
     /* 1213075 */     GIR_EraseRootFromParent_Done,
     /* 1213076 */   // Label 17597: @1213076
     /* 1213076 */   GIM_Try, /*On fail goto*//*Label 17598*/ GIMT_Encode4(1213156), // Rule ID 17268 //
     /* 1213081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1213084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1213092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1213095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1213098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1213101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213120 */     // MIs[0] round
     /* 1213120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1213133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213155 */     // GIR_Coverage, 17268,
     /* 1213155 */     GIR_EraseRootFromParent_Done,
     /* 1213156 */   // Label 17598: @1213156
     /* 1213156 */   GIM_Try, /*On fail goto*//*Label 17599*/ GIMT_Encode4(1213236), // Rule ID 17269 //
     /* 1213161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1213164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1213172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1213175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1213178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1213181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213200 */     // MIs[0] round
     /* 1213200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213210 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16),
     /* 1213213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213235 */     // GIR_Coverage, 17269,
     /* 1213235 */     GIR_EraseRootFromParent_Done,
     /* 1213236 */   // Label 17599: @1213236
     /* 1213236 */   GIM_Try, /*On fail goto*//*Label 17600*/ GIMT_Encode4(1213316), // Rule ID 17278 //
     /* 1213241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1213244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1213261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213280 */     // MIs[0] round
     /* 1213280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213290 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1213293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213315 */     // GIR_Coverage, 17278,
     /* 1213315 */     GIR_EraseRootFromParent_Done,
     /* 1213316 */   // Label 17600: @1213316
     /* 1213316 */   GIM_Try, /*On fail goto*//*Label 17601*/ GIMT_Encode4(1213396), // Rule ID 17279 //
     /* 1213321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1213324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1213332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1213335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1213338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1213341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213360 */     // MIs[0] round
     /* 1213360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16),
     /* 1213373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213395 */     // GIR_Coverage, 17279,
     /* 1213395 */     GIR_EraseRootFromParent_Done,
     /* 1213396 */   // Label 17601: @1213396
     /* 1213396 */   GIM_Try, /*On fail goto*//*Label 17602*/ GIMT_Encode4(1213476), // Rule ID 17288 //
     /* 1213401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1213404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1213421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213440 */     // MIs[0] round
     /* 1213440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213450 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1213453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213475 */     // GIR_Coverage, 17288,
     /* 1213475 */     GIR_EraseRootFromParent_Done,
     /* 1213476 */   // Label 17602: @1213476
     /* 1213476 */   GIM_Try, /*On fail goto*//*Label 17603*/ GIMT_Encode4(1213556), // Rule ID 17289 //
     /* 1213481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1213484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1213492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1213495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1213498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1213501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213520 */     // MIs[0] round
     /* 1213520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16),
     /* 1213533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213555 */     // GIR_Coverage, 17289,
     /* 1213555 */     GIR_EraseRootFromParent_Done,
     /* 1213556 */   // Label 17603: @1213556
     /* 1213556 */   GIM_Try, /*On fail goto*//*Label 17604*/ GIMT_Encode4(1213636), // Rule ID 17298 //
     /* 1213561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1213564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1213581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213600 */     // MIs[0] round
     /* 1213600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213610 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1213613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213635 */     // GIR_Coverage, 17298,
     /* 1213635 */     GIR_EraseRootFromParent_Done,
     /* 1213636 */   // Label 17604: @1213636
     /* 1213636 */   GIM_Try, /*On fail goto*//*Label 17605*/ GIMT_Encode4(1213716), // Rule ID 17299 //
     /* 1213641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1213644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1213652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1213655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1213658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1213661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1213676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1213680 */     // MIs[0] round
     /* 1213680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213690 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16),
     /* 1213693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1213711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213715 */     // GIR_Coverage, 17299,
     /* 1213715 */     GIR_EraseRootFromParent_Done,
     /* 1213716 */   // Label 17605: @1213716
     /* 1213716 */   GIM_Try, /*On fail goto*//*Label 17606*/ GIMT_Encode4(1213796), // Rule ID 17308 //
     /* 1213721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1213724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1213732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1213735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1213738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1213741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213760 */     // MIs[0] round
     /* 1213760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1213773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213795 */     // GIR_Coverage, 17308,
     /* 1213795 */     GIR_EraseRootFromParent_Done,
     /* 1213796 */   // Label 17606: @1213796
     /* 1213796 */   GIM_Try, /*On fail goto*//*Label 17607*/ GIMT_Encode4(1213876), // Rule ID 17309 //
     /* 1213801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1213804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1213812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1213815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1213818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1213821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213840 */     // MIs[0] round
     /* 1213840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213850 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1213850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32),
     /* 1213853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213875 */     // GIR_Coverage, 17309,
     /* 1213875 */     GIR_EraseRootFromParent_Done,
     /* 1213876 */   // Label 17607: @1213876
     /* 1213876 */   GIM_Try, /*On fail goto*//*Label 17608*/ GIMT_Encode4(1213956), // Rule ID 17318 //
     /* 1213881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1213884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1213901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1213904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1213920 */     // MIs[0] round
     /* 1213920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1213923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1213930 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1213930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1213933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1213935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1213937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1213939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1213941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1213943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1213948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1213951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1213954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1213955 */     // GIR_Coverage, 17318,
     /* 1213955 */     GIR_EraseRootFromParent_Done,
     /* 1213956 */   // Label 17608: @1213956
     /* 1213956 */   GIM_Try, /*On fail goto*//*Label 17609*/ GIMT_Encode4(1214036), // Rule ID 17319 //
     /* 1213961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1213964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1213969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1213972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1213975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1213978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1213981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1213984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1213996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214000 */     // MIs[0] round
     /* 1214000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214010 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32),
     /* 1214013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214035 */     // GIR_Coverage, 17319,
     /* 1214035 */     GIR_EraseRootFromParent_Done,
     /* 1214036 */   // Label 17609: @1214036
     /* 1214036 */   GIM_Try, /*On fail goto*//*Label 17610*/ GIMT_Encode4(1214116), // Rule ID 17328 //
     /* 1214041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1214044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1214052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1214055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1214058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1214061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214080 */     // MIs[0] round
     /* 1214080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214090 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1214093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214115 */     // GIR_Coverage, 17328,
     /* 1214115 */     GIR_EraseRootFromParent_Done,
     /* 1214116 */   // Label 17610: @1214116
     /* 1214116 */   GIM_Try, /*On fail goto*//*Label 17611*/ GIMT_Encode4(1214196), // Rule ID 17329 //
     /* 1214121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1214124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1214132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1214135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1214138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1214141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214160 */     // MIs[0] round
     /* 1214160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214170 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32),
     /* 1214173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214195 */     // GIR_Coverage, 17329,
     /* 1214195 */     GIR_EraseRootFromParent_Done,
     /* 1214196 */   // Label 17611: @1214196
     /* 1214196 */   GIM_Try, /*On fail goto*//*Label 17612*/ GIMT_Encode4(1214276), // Rule ID 17338 //
     /* 1214201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1214204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1214212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1214215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1214218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1214221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214240 */     // MIs[0] round
     /* 1214240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214250 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1214253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214275 */     // GIR_Coverage, 17338,
     /* 1214275 */     GIR_EraseRootFromParent_Done,
     /* 1214276 */   // Label 17612: @1214276
     /* 1214276 */   GIM_Try, /*On fail goto*//*Label 17613*/ GIMT_Encode4(1214356), // Rule ID 17339 //
     /* 1214281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1214284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1214292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1214295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1214298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1214301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1214316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214320 */     // MIs[0] round
     /* 1214320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214330 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32),
     /* 1214333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1214351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214355 */     // GIR_Coverage, 17339,
     /* 1214355 */     GIR_EraseRootFromParent_Done,
     /* 1214356 */   // Label 17613: @1214356
     /* 1214356 */   GIM_Try, /*On fail goto*//*Label 17614*/ GIMT_Encode4(1214436), // Rule ID 17346 //
     /* 1214361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1214364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214400 */     // MIs[0] round
     /* 1214400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214410 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1214413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214435 */     // GIR_Coverage, 17346,
     /* 1214435 */     GIR_EraseRootFromParent_Done,
     /* 1214436 */   // Label 17614: @1214436
     /* 1214436 */   GIM_Try, /*On fail goto*//*Label 17615*/ GIMT_Encode4(1214516), // Rule ID 17347 //
     /* 1214441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1214444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1214452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1214455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1214458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214480 */     // MIs[0] round
     /* 1214480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214490 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16),
     /* 1214493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214515 */     // GIR_Coverage, 17347,
     /* 1214515 */     GIR_EraseRootFromParent_Done,
     /* 1214516 */   // Label 17615: @1214516
     /* 1214516 */   GIM_Try, /*On fail goto*//*Label 17616*/ GIMT_Encode4(1214596), // Rule ID 17350 //
     /* 1214521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1214524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214560 */     // MIs[0] round
     /* 1214560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1214573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214595 */     // GIR_Coverage, 17350,
     /* 1214595 */     GIR_EraseRootFromParent_Done,
     /* 1214596 */   // Label 17616: @1214596
     /* 1214596 */   GIM_Try, /*On fail goto*//*Label 17617*/ GIMT_Encode4(1214676), // Rule ID 17351 //
     /* 1214601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1214604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1214612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1214615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1214618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1214636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214640 */     // MIs[0] round
     /* 1214640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214650 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11317:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16),
     /* 1214653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214675 */     // GIR_Coverage, 17351,
     /* 1214675 */     GIR_EraseRootFromParent_Done,
     /* 1214676 */   // Label 17617: @1214676
     /* 1214676 */   GIM_Try, /*On fail goto*//*Label 17618*/ GIMT_Encode4(1214756), // Rule ID 17354 //
     /* 1214681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1214684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1214692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1214695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1214698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214720 */     // MIs[0] round
     /* 1214720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214730 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1214733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214755 */     // GIR_Coverage, 17354,
     /* 1214755 */     GIR_EraseRootFromParent_Done,
     /* 1214756 */   // Label 17618: @1214756
     /* 1214756 */   GIM_Try, /*On fail goto*//*Label 17619*/ GIMT_Encode4(1214836), // Rule ID 17355 //
     /* 1214761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1214764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1214772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1214775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1214778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1214796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214800 */     // MIs[0] round
     /* 1214800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214810 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16),
     /* 1214813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214835 */     // GIR_Coverage, 17355,
     /* 1214835 */     GIR_EraseRootFromParent_Done,
     /* 1214836 */   // Label 17619: @1214836
     /* 1214836 */   GIM_Try, /*On fail goto*//*Label 17620*/ GIMT_Encode4(1214916), // Rule ID 17358 //
     /* 1214841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1214844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1214852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1214855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1214858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1214864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214880 */     // MIs[0] round
     /* 1214880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214890 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1214890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1214893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214915 */     // GIR_Coverage, 17358,
     /* 1214915 */     GIR_EraseRootFromParent_Done,
     /* 1214916 */   // Label 17620: @1214916
     /* 1214916 */   GIM_Try, /*On fail goto*//*Label 17621*/ GIMT_Encode4(1214996), // Rule ID 17359 //
     /* 1214921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1214924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1214929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1214932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1214935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1214938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1214941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1214944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1214956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1214960 */     // MIs[0] round
     /* 1214960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1214963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1214970 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1214970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16),
     /* 1214973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1214975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1214977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1214979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1214981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1214983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1214988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1214991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1214994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1214995 */     // GIR_Coverage, 17359,
     /* 1214995 */     GIR_EraseRootFromParent_Done,
     /* 1214996 */   // Label 17621: @1214996
     /* 1214996 */   GIM_Try, /*On fail goto*//*Label 17622*/ GIMT_Encode4(1215076), // Rule ID 17362 //
     /* 1215001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1215004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215040 */     // MIs[0] round
     /* 1215040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215050 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1215053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215075 */     // GIR_Coverage, 17362,
     /* 1215075 */     GIR_EraseRootFromParent_Done,
     /* 1215076 */   // Label 17622: @1215076
     /* 1215076 */   GIM_Try, /*On fail goto*//*Label 17623*/ GIMT_Encode4(1215156), // Rule ID 17363 //
     /* 1215081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1215084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1215092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1215095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1215098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1215101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1215120 */     // MIs[0] round
     /* 1215120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215130 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16),
     /* 1215133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215155 */     // GIR_Coverage, 17363,
     /* 1215155 */     GIR_EraseRootFromParent_Done,
     /* 1215156 */   // Label 17623: @1215156
     /* 1215156 */   GIM_Try, /*On fail goto*//*Label 17624*/ GIMT_Encode4(1215236), // Rule ID 17366 //
     /* 1215161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1215164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1215172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1215175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1215178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215200 */     // MIs[0] round
     /* 1215200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215210 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1215213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215235 */     // GIR_Coverage, 17366,
     /* 1215235 */     GIR_EraseRootFromParent_Done,
     /* 1215236 */   // Label 17624: @1215236
     /* 1215236 */   GIM_Try, /*On fail goto*//*Label 17625*/ GIMT_Encode4(1215316), // Rule ID 17367 //
     /* 1215241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1215244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1215252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1215255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1215258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215280 */     // MIs[0] round
     /* 1215280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215290 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11317:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32),
     /* 1215293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215315 */     // GIR_Coverage, 17367,
     /* 1215315 */     GIR_EraseRootFromParent_Done,
     /* 1215316 */   // Label 17625: @1215316
     /* 1215316 */   GIM_Try, /*On fail goto*//*Label 17626*/ GIMT_Encode4(1215396), // Rule ID 17370 //
     /* 1215321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1215324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215360 */     // MIs[0] round
     /* 1215360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215370 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1215373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215395 */     // GIR_Coverage, 17370,
     /* 1215395 */     GIR_EraseRootFromParent_Done,
     /* 1215396 */   // Label 17626: @1215396
     /* 1215396 */   GIM_Try, /*On fail goto*//*Label 17627*/ GIMT_Encode4(1215476), // Rule ID 17371 //
     /* 1215401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1215404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1215412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1215415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1215418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1215436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215440 */     // MIs[0] round
     /* 1215440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215450 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11317:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32),
     /* 1215453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215475 */     // GIR_Coverage, 17371,
     /* 1215475 */     GIR_EraseRootFromParent_Done,
     /* 1215476 */   // Label 17627: @1215476
     /* 1215476 */   GIM_Try, /*On fail goto*//*Label 17628*/ GIMT_Encode4(1215556), // Rule ID 17374 //
     /* 1215481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1215484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215520 */     // MIs[0] round
     /* 1215520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215530 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1215533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215555 */     // GIR_Coverage, 17374,
     /* 1215555 */     GIR_EraseRootFromParent_Done,
     /* 1215556 */   // Label 17628: @1215556
     /* 1215556 */   GIM_Try, /*On fail goto*//*Label 17629*/ GIMT_Encode4(1215636), // Rule ID 17375 //
     /* 1215561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1215564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1215572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1215575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1215578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1215596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215600 */     // MIs[0] round
     /* 1215600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215610 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11317:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32),
     /* 1215613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215635 */     // GIR_Coverage, 17375,
     /* 1215635 */     GIR_EraseRootFromParent_Done,
     /* 1215636 */   // Label 17629: @1215636
     /* 1215636 */   GIM_Try, /*On fail goto*//*Label 17630*/ GIMT_Encode4(1215716), // Rule ID 17378 //
     /* 1215641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1215644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215680 */     // MIs[0] round
     /* 1215680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215690 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1215693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215715 */     // GIR_Coverage, 17378,
     /* 1215715 */     GIR_EraseRootFromParent_Done,
     /* 1215716 */   // Label 17630: @1215716
     /* 1215716 */   GIM_Try, /*On fail goto*//*Label 17631*/ GIMT_Encode4(1215796), // Rule ID 17379 //
     /* 1215721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1215724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w),
     /* 1215729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1215732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1215735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1215738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1215741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1215756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1215760 */     // MIs[0] round
     /* 1215760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215770 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11317:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWSUB_WFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32),
     /* 1215773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1215791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215795 */     // GIR_Coverage, 17379,
     /* 1215795 */     GIR_EraseRootFromParent_Done,
     /* 1215796 */   // Label 17631: @1215796
     /* 1215796 */   GIM_Try, /*On fail goto*//*Label 17632*/ GIMT_Encode4(1215876), // Rule ID 17382 //
     /* 1215801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1215812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1215815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215840 */     // MIs[0] round
     /* 1215840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215850 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1215850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1215853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215875 */     // GIR_Coverage, 17382,
     /* 1215875 */     GIR_EraseRootFromParent_Done,
     /* 1215876 */   // Label 17632: @1215876
     /* 1215876 */   GIM_Try, /*On fail goto*//*Label 17633*/ GIMT_Encode4(1215956), // Rule ID 17383 //
     /* 1215881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1215884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1215892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1215895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1215898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1215901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1215904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215920 */     // MIs[0] round
     /* 1215920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1215923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1215930 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1215930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 1215933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1215935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1215937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1215939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1215941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1215943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1215948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1215951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1215954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1215955 */     // GIR_Coverage, 17383,
     /* 1215955 */     GIR_EraseRootFromParent_Done,
     /* 1215956 */   // Label 17633: @1215956
     /* 1215956 */   GIM_Try, /*On fail goto*//*Label 17634*/ GIMT_Encode4(1216036), // Rule ID 17386 //
     /* 1215961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1215964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1215969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1215972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1215975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1215978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1215981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1215984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1215996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216000 */     // MIs[0] round
     /* 1216000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216010 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1216013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216035 */     // GIR_Coverage, 17386,
     /* 1216035 */     GIR_EraseRootFromParent_Done,
     /* 1216036 */   // Label 17634: @1216036
     /* 1216036 */   GIM_Try, /*On fail goto*//*Label 17635*/ GIMT_Encode4(1216116), // Rule ID 17387 //
     /* 1216041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1216052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1216055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1216058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1216061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216080 */     // MIs[0] round
     /* 1216080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216090 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 1216093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216115 */     // GIR_Coverage, 17387,
     /* 1216115 */     GIR_EraseRootFromParent_Done,
     /* 1216116 */   // Label 17635: @1216116
     /* 1216116 */   GIM_Try, /*On fail goto*//*Label 17636*/ GIMT_Encode4(1216196), // Rule ID 17390 //
     /* 1216121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216160 */     // MIs[0] round
     /* 1216160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216170 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1216173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216195 */     // GIR_Coverage, 17390,
     /* 1216195 */     GIR_EraseRootFromParent_Done,
     /* 1216196 */   // Label 17636: @1216196
     /* 1216196 */   GIM_Try, /*On fail goto*//*Label 17637*/ GIMT_Encode4(1216276), // Rule ID 17391 //
     /* 1216201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1216212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1216215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1216218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1216221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216240 */     // MIs[0] round
     /* 1216240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216250 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 1216253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216275 */     // GIR_Coverage, 17391,
     /* 1216275 */     GIR_EraseRootFromParent_Done,
     /* 1216276 */   // Label 17637: @1216276
     /* 1216276 */   GIM_Try, /*On fail goto*//*Label 17638*/ GIMT_Encode4(1216356), // Rule ID 17394 //
     /* 1216281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216320 */     // MIs[0] round
     /* 1216320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216330 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1216333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216355 */     // GIR_Coverage, 17394,
     /* 1216355 */     GIR_EraseRootFromParent_Done,
     /* 1216356 */   // Label 17638: @1216356
     /* 1216356 */   GIM_Try, /*On fail goto*//*Label 17639*/ GIMT_Encode4(1216436), // Rule ID 17395 //
     /* 1216361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1216372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1216375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1216378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1216381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216400 */     // MIs[0] round
     /* 1216400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216410 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 1216413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216435 */     // GIR_Coverage, 17395,
     /* 1216435 */     GIR_EraseRootFromParent_Done,
     /* 1216436 */   // Label 17639: @1216436
     /* 1216436 */   GIM_Try, /*On fail goto*//*Label 17640*/ GIMT_Encode4(1216516), // Rule ID 17398 //
     /* 1216441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1216444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216480 */     // MIs[0] round
     /* 1216480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216490 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1216493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216515 */     // GIR_Coverage, 17398,
     /* 1216515 */     GIR_EraseRootFromParent_Done,
     /* 1216516 */   // Label 17640: @1216516
     /* 1216516 */   GIM_Try, /*On fail goto*//*Label 17641*/ GIMT_Encode4(1216596), // Rule ID 17399 //
     /* 1216521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1216524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1216532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1216535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1216538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1216541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216560 */     // MIs[0] round
     /* 1216560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 1216573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1216591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216595 */     // GIR_Coverage, 17399,
     /* 1216595 */     GIR_EraseRootFromParent_Done,
     /* 1216596 */   // Label 17641: @1216596
     /* 1216596 */   GIM_Try, /*On fail goto*//*Label 17642*/ GIMT_Encode4(1216676), // Rule ID 17402 //
     /* 1216601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1216604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216640 */     // MIs[0] round
     /* 1216640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216650 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1216653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216675 */     // GIR_Coverage, 17402,
     /* 1216675 */     GIR_EraseRootFromParent_Done,
     /* 1216676 */   // Label 17642: @1216676
     /* 1216676 */   GIM_Try, /*On fail goto*//*Label 17643*/ GIMT_Encode4(1216756), // Rule ID 17403 //
     /* 1216681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1216684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1216692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1216695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1216698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1216701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1216720 */     // MIs[0] round
     /* 1216720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 1216733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1216751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216755 */     // GIR_Coverage, 17403,
     /* 1216755 */     GIR_EraseRootFromParent_Done,
     /* 1216756 */   // Label 17643: @1216756
     /* 1216756 */   GIM_Try, /*On fail goto*//*Label 17644*/ GIMT_Encode4(1216836), // Rule ID 17406 //
     /* 1216761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1216772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1216775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1216781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216800 */     // MIs[0] round
     /* 1216800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216810 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1216813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216835 */     // GIR_Coverage, 17406,
     /* 1216835 */     GIR_EraseRootFromParent_Done,
     /* 1216836 */   // Label 17644: @1216836
     /* 1216836 */   GIM_Try, /*On fail goto*//*Label 17645*/ GIMT_Encode4(1216916), // Rule ID 17407 //
     /* 1216841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1216844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1216852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1216855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1216858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1216861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1216864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1216880 */     // MIs[0] round
     /* 1216880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216890 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1216890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 1216893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216915 */     // GIR_Coverage, 17407,
     /* 1216915 */     GIR_EraseRootFromParent_Done,
     /* 1216916 */   // Label 17645: @1216916
     /* 1216916 */   GIM_Try, /*On fail goto*//*Label 17646*/ GIMT_Encode4(1216996), // Rule ID 17410 //
     /* 1216921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1216924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1216929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1216932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1216935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1216938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1216941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1216944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1216960 */     // MIs[0] round
     /* 1216960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1216963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1216970 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1216970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1216973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1216975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1216977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1216979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1216981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1216983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1216988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1216991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1216994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1216995 */     // GIR_Coverage, 17410,
     /* 1216995 */     GIR_EraseRootFromParent_Done,
     /* 1216996 */   // Label 17646: @1216996
     /* 1216996 */   GIM_Try, /*On fail goto*//*Label 17647*/ GIMT_Encode4(1217076), // Rule ID 17411 //
     /* 1217001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1217012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1217015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1217018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1217021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217040 */     // MIs[0] round
     /* 1217040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 1217053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217075 */     // GIR_Coverage, 17411,
     /* 1217075 */     GIR_EraseRootFromParent_Done,
     /* 1217076 */   // Label 17647: @1217076
     /* 1217076 */   GIM_Try, /*On fail goto*//*Label 17648*/ GIMT_Encode4(1217156), // Rule ID 17414 //
     /* 1217081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1217084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217120 */     // MIs[0] round
     /* 1217120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217130 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1217133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217155 */     // GIR_Coverage, 17414,
     /* 1217155 */     GIR_EraseRootFromParent_Done,
     /* 1217156 */   // Label 17648: @1217156
     /* 1217156 */   GIM_Try, /*On fail goto*//*Label 17649*/ GIMT_Encode4(1217236), // Rule ID 17415 //
     /* 1217161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1217164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1217172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1217175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1217178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1217181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217200 */     // MIs[0] round
     /* 1217200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217210 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 1217213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1217231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217235 */     // GIR_Coverage, 17415,
     /* 1217235 */     GIR_EraseRootFromParent_Done,
     /* 1217236 */   // Label 17649: @1217236
     /* 1217236 */   GIM_Try, /*On fail goto*//*Label 17650*/ GIMT_Encode4(1217316), // Rule ID 17418 //
     /* 1217241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217280 */     // MIs[0] round
     /* 1217280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217290 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1217293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217315 */     // GIR_Coverage, 17418,
     /* 1217315 */     GIR_EraseRootFromParent_Done,
     /* 1217316 */   // Label 17650: @1217316
     /* 1217316 */   GIM_Try, /*On fail goto*//*Label 17651*/ GIMT_Encode4(1217396), // Rule ID 17419 //
     /* 1217321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1217332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1217335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1217338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1217341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217360 */     // MIs[0] round
     /* 1217360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217370 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 1217373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217395 */     // GIR_Coverage, 17419,
     /* 1217395 */     GIR_EraseRootFromParent_Done,
     /* 1217396 */   // Label 17651: @1217396
     /* 1217396 */   GIM_Try, /*On fail goto*//*Label 17652*/ GIMT_Encode4(1217476), // Rule ID 17422 //
     /* 1217401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1217421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217440 */     // MIs[0] round
     /* 1217440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217450 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1217453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217475 */     // GIR_Coverage, 17422,
     /* 1217475 */     GIR_EraseRootFromParent_Done,
     /* 1217476 */   // Label 17652: @1217476
     /* 1217476 */   GIM_Try, /*On fail goto*//*Label 17653*/ GIMT_Encode4(1217556), // Rule ID 17423 //
     /* 1217481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1217492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1217495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1217498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1217501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217520 */     // MIs[0] round
     /* 1217520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217530 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 1217533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217555 */     // GIR_Coverage, 17423,
     /* 1217555 */     GIR_EraseRootFromParent_Done,
     /* 1217556 */   // Label 17653: @1217556
     /* 1217556 */   GIM_Try, /*On fail goto*//*Label 17654*/ GIMT_Encode4(1217636), // Rule ID 17426 //
     /* 1217561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1217564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1217581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217600 */     // MIs[0] round
     /* 1217600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217610 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1217613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217635 */     // GIR_Coverage, 17426,
     /* 1217635 */     GIR_EraseRootFromParent_Done,
     /* 1217636 */   // Label 17654: @1217636
     /* 1217636 */   GIM_Try, /*On fail goto*//*Label 17655*/ GIMT_Encode4(1217716), // Rule ID 17427 //
     /* 1217641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1217644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1217652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1217655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1217658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1217661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1217680 */     // MIs[0] round
     /* 1217680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217690 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 1217693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1217711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217715 */     // GIR_Coverage, 17427,
     /* 1217715 */     GIR_EraseRootFromParent_Done,
     /* 1217716 */   // Label 17655: @1217716
     /* 1217716 */   GIM_Try, /*On fail goto*//*Label 17656*/ GIMT_Encode4(1217796), // Rule ID 17430 //
     /* 1217721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1217741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217760 */     // MIs[0] round
     /* 1217760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217770 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1217773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217795 */     // GIR_Coverage, 17430,
     /* 1217795 */     GIR_EraseRootFromParent_Done,
     /* 1217796 */   // Label 17656: @1217796
     /* 1217796 */   GIM_Try, /*On fail goto*//*Label 17657*/ GIMT_Encode4(1217876), // Rule ID 17431 //
     /* 1217801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1217812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1217815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1217818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1217821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1217840 */     // MIs[0] round
     /* 1217840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217850 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1217850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 1217853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217875 */     // GIR_Coverage, 17431,
     /* 1217875 */     GIR_EraseRootFromParent_Done,
     /* 1217876 */   // Label 17657: @1217876
     /* 1217876 */   GIM_Try, /*On fail goto*//*Label 17658*/ GIMT_Encode4(1217956), // Rule ID 17434 //
     /* 1217881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1217884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1217892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1217895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1217898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1217901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1217904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217920 */     // MIs[0] round
     /* 1217920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1217923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1217930 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1217930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1217933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1217935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1217937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1217939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1217941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1217943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1217948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1217951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1217954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1217955 */     // GIR_Coverage, 17434,
     /* 1217955 */     GIR_EraseRootFromParent_Done,
     /* 1217956 */   // Label 17658: @1217956
     /* 1217956 */   GIM_Try, /*On fail goto*//*Label 17659*/ GIMT_Encode4(1218036), // Rule ID 17435 //
     /* 1217961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1217964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1217969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1217972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1217975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1217978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1217981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1217984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1217996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1218000 */     // MIs[0] round
     /* 1218000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218010 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 1218013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218035 */     // GIR_Coverage, 17435,
     /* 1218035 */     GIR_EraseRootFromParent_Done,
     /* 1218036 */   // Label 17659: @1218036
     /* 1218036 */   GIM_Try, /*On fail goto*//*Label 17660*/ GIMT_Encode4(1218116), // Rule ID 17438 //
     /* 1218041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1218044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218080 */     // MIs[0] round
     /* 1218080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218090 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1218093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218115 */     // GIR_Coverage, 17438,
     /* 1218115 */     GIR_EraseRootFromParent_Done,
     /* 1218116 */   // Label 17660: @1218116
     /* 1218116 */   GIM_Try, /*On fail goto*//*Label 17661*/ GIMT_Encode4(1218196), // Rule ID 17439 //
     /* 1218121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1218124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1218132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1218135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1218138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1218141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1218160 */     // MIs[0] round
     /* 1218160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218170 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 1218173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1218191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218195 */     // GIR_Coverage, 17439,
     /* 1218195 */     GIR_EraseRootFromParent_Done,
     /* 1218196 */   // Label 17661: @1218196
     /* 1218196 */   GIM_Try, /*On fail goto*//*Label 17662*/ GIMT_Encode4(1218276), // Rule ID 17442 //
     /* 1218201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1218212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1218215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218240 */     // MIs[0] round
     /* 1218240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218250 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1218253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218275 */     // GIR_Coverage, 17442,
     /* 1218275 */     GIR_EraseRootFromParent_Done,
     /* 1218276 */   // Label 17662: @1218276
     /* 1218276 */   GIM_Try, /*On fail goto*//*Label 17663*/ GIMT_Encode4(1218356), // Rule ID 17443 //
     /* 1218281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1218292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1218295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1218298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218320 */     // MIs[0] round
     /* 1218320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218330 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16),
     /* 1218333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218355 */     // GIR_Coverage, 17443,
     /* 1218355 */     GIR_EraseRootFromParent_Done,
     /* 1218356 */   // Label 17663: @1218356
     /* 1218356 */   GIM_Try, /*On fail goto*//*Label 17664*/ GIMT_Encode4(1218436), // Rule ID 17446 //
     /* 1218361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1218372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1218375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218400 */     // MIs[0] round
     /* 1218400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218410 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1218413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218435 */     // GIR_Coverage, 17446,
     /* 1218435 */     GIR_EraseRootFromParent_Done,
     /* 1218436 */   // Label 17664: @1218436
     /* 1218436 */   GIM_Try, /*On fail goto*//*Label 17665*/ GIMT_Encode4(1218516), // Rule ID 17447 //
     /* 1218441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1218452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1218455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1218458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218480 */     // MIs[0] round
     /* 1218480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218490 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16),
     /* 1218493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218515 */     // GIR_Coverage, 17447,
     /* 1218515 */     GIR_EraseRootFromParent_Done,
     /* 1218516 */   // Label 17665: @1218516
     /* 1218516 */   GIM_Try, /*On fail goto*//*Label 17666*/ GIMT_Encode4(1218596), // Rule ID 17450 //
     /* 1218521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1218538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218560 */     // MIs[0] round
     /* 1218560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218570 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1218573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218595 */     // GIR_Coverage, 17450,
     /* 1218595 */     GIR_EraseRootFromParent_Done,
     /* 1218596 */   // Label 17666: @1218596
     /* 1218596 */   GIM_Try, /*On fail goto*//*Label 17667*/ GIMT_Encode4(1218676), // Rule ID 17451 //
     /* 1218601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1218612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1218615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1218618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218640 */     // MIs[0] round
     /* 1218640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218650 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32),
     /* 1218653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218675 */     // GIR_Coverage, 17451,
     /* 1218675 */     GIR_EraseRootFromParent_Done,
     /* 1218676 */   // Label 17667: @1218676
     /* 1218676 */   GIM_Try, /*On fail goto*//*Label 17668*/ GIMT_Encode4(1218756), // Rule ID 17454 //
     /* 1218681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1218684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218720 */     // MIs[0] round
     /* 1218720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218730 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1218733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218755 */     // GIR_Coverage, 17454,
     /* 1218755 */     GIR_EraseRootFromParent_Done,
     /* 1218756 */   // Label 17668: @1218756
     /* 1218756 */   GIM_Try, /*On fail goto*//*Label 17669*/ GIMT_Encode4(1218836), // Rule ID 17455 //
     /* 1218761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1218764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1218772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1218775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1218778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1218781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1218800 */     // MIs[0] round
     /* 1218800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218810 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11218:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16),
     /* 1218813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1218831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218835 */     // GIR_Coverage, 17455,
     /* 1218835 */     GIR_EraseRootFromParent_Done,
     /* 1218836 */   // Label 17669: @1218836
     /* 1218836 */   GIM_Try, /*On fail goto*//*Label 17670*/ GIMT_Encode4(1218916), // Rule ID 17458 //
     /* 1218841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1218844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1218858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1218864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218880 */     // MIs[0] round
     /* 1218880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218890 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1218890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1218893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218915 */     // GIR_Coverage, 17458,
     /* 1218915 */     GIR_EraseRootFromParent_Done,
     /* 1218916 */   // Label 17670: @1218916
     /* 1218916 */   GIM_Try, /*On fail goto*//*Label 17671*/ GIMT_Encode4(1218996), // Rule ID 17459 //
     /* 1218921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1218924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1218929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1218932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1218935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1218938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1218941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1218944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1218956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1218960 */     // MIs[0] round
     /* 1218960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1218963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1218970 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11218:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1218970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32),
     /* 1218973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1218975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1218977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1218979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1218981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1218983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1218988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1218991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1218994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1218995 */     // GIR_Coverage, 17459,
     /* 1218995 */     GIR_EraseRootFromParent_Done,
     /* 1218996 */   // Label 17671: @1218996
     /* 1218996 */   GIM_Try, /*On fail goto*//*Label 17672*/ GIMT_Encode4(1219076), // Rule ID 17462 //
     /* 1219001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1219004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1219018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1219040 */     // MIs[0] round
     /* 1219040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1219053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219075 */     // GIR_Coverage, 17462,
     /* 1219075 */     GIR_EraseRootFromParent_Done,
     /* 1219076 */   // Label 17672: @1219076
     /* 1219076 */   GIM_Try, /*On fail goto*//*Label 17673*/ GIMT_Encode4(1219156), // Rule ID 17463 //
     /* 1219081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1219084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1219092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1219095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1219098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1219101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1219116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1219120 */     // MIs[0] round
     /* 1219120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219130 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11218:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64),
     /* 1219133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1219151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219155 */     // GIR_Coverage, 17463,
     /* 1219155 */     GIR_EraseRootFromParent_Done,
     /* 1219156 */   // Label 17673: @1219156
     /* 1219156 */   GIM_Try, /*On fail goto*//*Label 17674*/ GIMT_Encode4(1219236), // Rule ID 17466 //
     /* 1219161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1219172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1219175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219200 */     // MIs[0] round
     /* 1219200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219210 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1219213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219235 */     // GIR_Coverage, 17466,
     /* 1219235 */     GIR_EraseRootFromParent_Done,
     /* 1219236 */   // Label 17674: @1219236
     /* 1219236 */   GIM_Try, /*On fail goto*//*Label 17675*/ GIMT_Encode4(1219316), // Rule ID 17467 //
     /* 1219241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1219252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1219255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1219258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219280 */     // MIs[0] round
     /* 1219280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219290 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16),
     /* 1219293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219315 */     // GIR_Coverage, 17467,
     /* 1219315 */     GIR_EraseRootFromParent_Done,
     /* 1219316 */   // Label 17675: @1219316
     /* 1219316 */   GIM_Try, /*On fail goto*//*Label 17676*/ GIMT_Encode4(1219396), // Rule ID 17470 //
     /* 1219321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1219332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1219335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219360 */     // MIs[0] round
     /* 1219360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219370 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1219373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219395 */     // GIR_Coverage, 17470,
     /* 1219395 */     GIR_EraseRootFromParent_Done,
     /* 1219396 */   // Label 17676: @1219396
     /* 1219396 */   GIM_Try, /*On fail goto*//*Label 17677*/ GIMT_Encode4(1219476), // Rule ID 17471 //
     /* 1219401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1219412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1219415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1219418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219440 */     // MIs[0] round
     /* 1219440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219450 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16),
     /* 1219453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219475 */     // GIR_Coverage, 17471,
     /* 1219475 */     GIR_EraseRootFromParent_Done,
     /* 1219476 */   // Label 17677: @1219476
     /* 1219476 */   GIM_Try, /*On fail goto*//*Label 17678*/ GIMT_Encode4(1219556), // Rule ID 17474 //
     /* 1219481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1219484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1219492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1219495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1219498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219520 */     // MIs[0] round
     /* 1219520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219530 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1219533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219555 */     // GIR_Coverage, 17474,
     /* 1219555 */     GIR_EraseRootFromParent_Done,
     /* 1219556 */   // Label 17678: @1219556
     /* 1219556 */   GIM_Try, /*On fail goto*//*Label 17679*/ GIMT_Encode4(1219636), // Rule ID 17475 //
     /* 1219561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1219564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1219572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1219575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1219578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1219581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1219600 */     // MIs[0] round
     /* 1219600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219610 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16),
     /* 1219613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1219631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219635 */     // GIR_Coverage, 17475,
     /* 1219635 */     GIR_EraseRootFromParent_Done,
     /* 1219636 */   // Label 17679: @1219636
     /* 1219636 */   GIM_Try, /*On fail goto*//*Label 17680*/ GIMT_Encode4(1219716), // Rule ID 17478 //
     /* 1219641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219680 */     // MIs[0] round
     /* 1219680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219690 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1219693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219715 */     // GIR_Coverage, 17478,
     /* 1219715 */     GIR_EraseRootFromParent_Done,
     /* 1219716 */   // Label 17680: @1219716
     /* 1219716 */   GIM_Try, /*On fail goto*//*Label 17681*/ GIMT_Encode4(1219796), // Rule ID 17479 //
     /* 1219721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1219732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1219735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1219738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1219756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219760 */     // MIs[0] round
     /* 1219760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219770 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32),
     /* 1219773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219795 */     // GIR_Coverage, 17479,
     /* 1219795 */     GIR_EraseRootFromParent_Done,
     /* 1219796 */   // Label 17681: @1219796
     /* 1219796 */   GIM_Try, /*On fail goto*//*Label 17682*/ GIMT_Encode4(1219876), // Rule ID 17482 //
     /* 1219801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219840 */     // MIs[0] round
     /* 1219840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219850 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1219850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1219853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219875 */     // GIR_Coverage, 17482,
     /* 1219875 */     GIR_EraseRootFromParent_Done,
     /* 1219876 */   // Label 17682: @1219876
     /* 1219876 */   GIM_Try, /*On fail goto*//*Label 17683*/ GIMT_Encode4(1219956), // Rule ID 17483 //
     /* 1219881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1219884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1219892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1219895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1219898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1219904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1219916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1219920 */     // MIs[0] round
     /* 1219920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1219923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1219930 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1219930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32),
     /* 1219933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1219935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1219937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1219939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1219941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1219943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1219948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1219951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1219954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1219955 */     // GIR_Coverage, 17483,
     /* 1219955 */     GIR_EraseRootFromParent_Done,
     /* 1219956 */   // Label 17683: @1219956
     /* 1219956 */   GIM_Try, /*On fail goto*//*Label 17684*/ GIMT_Encode4(1220036), // Rule ID 17486 //
     /* 1219961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1219964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1219969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1219972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1219975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1219978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1219981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1219984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1219996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220000 */     // MIs[0] round
     /* 1220000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220010 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1220013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220035 */     // GIR_Coverage, 17486,
     /* 1220035 */     GIR_EraseRootFromParent_Done,
     /* 1220036 */   // Label 17684: @1220036
     /* 1220036 */   GIM_Try, /*On fail goto*//*Label 17685*/ GIMT_Encode4(1220116), // Rule ID 17487 //
     /* 1220041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1220044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1220049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1220052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1220055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1220058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1220061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1220080 */     // MIs[0] round
     /* 1220080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220090 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32),
     /* 1220093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220115 */     // GIR_Coverage, 17487,
     /* 1220115 */     GIR_EraseRootFromParent_Done,
     /* 1220116 */   // Label 17685: @1220116
     /* 1220116 */   GIM_Try, /*On fail goto*//*Label 17686*/ GIMT_Encode4(1220196), // Rule ID 17490 //
     /* 1220121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1220129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1220138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220160 */     // MIs[0] round
     /* 1220160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220170 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1220173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220195 */     // GIR_Coverage, 17490,
     /* 1220195 */     GIR_EraseRootFromParent_Done,
     /* 1220196 */   // Label 17686: @1220196
     /* 1220196 */   GIM_Try, /*On fail goto*//*Label 17687*/ GIMT_Encode4(1220276), // Rule ID 17491 //
     /* 1220201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1220209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1220212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1220215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1220218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1220236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220240 */     // MIs[0] round
     /* 1220240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220250 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11218:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64),
     /* 1220253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220275 */     // GIR_Coverage, 17491,
     /* 1220275 */     GIR_EraseRootFromParent_Done,
     /* 1220276 */   // Label 17687: @1220276
     /* 1220276 */   GIM_Try, /*On fail goto*//*Label 17688*/ GIMT_Encode4(1220356), // Rule ID 17494 //
     /* 1220281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1220289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1220298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220320 */     // MIs[0] round
     /* 1220320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220330 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1220333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220355 */     // GIR_Coverage, 17494,
     /* 1220355 */     GIR_EraseRootFromParent_Done,
     /* 1220356 */   // Label 17688: @1220356
     /* 1220356 */   GIM_Try, /*On fail goto*//*Label 17689*/ GIMT_Encode4(1220436), // Rule ID 17495 //
     /* 1220361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1220369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1220372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1220375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1220378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1220396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220400 */     // MIs[0] round
     /* 1220400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220410 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11218:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64),
     /* 1220413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220435 */     // GIR_Coverage, 17495,
     /* 1220435 */     GIR_EraseRootFromParent_Done,
     /* 1220436 */   // Label 17689: @1220436
     /* 1220436 */   GIM_Try, /*On fail goto*//*Label 17690*/ GIMT_Encode4(1220516), // Rule ID 17498 //
     /* 1220441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1220444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1220449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1220458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220480 */     // MIs[0] round
     /* 1220480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220490 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1220493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220515 */     // GIR_Coverage, 17498,
     /* 1220515 */     GIR_EraseRootFromParent_Done,
     /* 1220516 */   // Label 17690: @1220516
     /* 1220516 */   GIM_Try, /*On fail goto*//*Label 17691*/ GIMT_Encode4(1220596), // Rule ID 17499 //
     /* 1220521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1220524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul),
     /* 1220529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1220532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1220535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1220538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1220541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1220556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1220560 */     // MIs[0] round
     /* 1220560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220570 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11218:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMUL_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64),
     /* 1220573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1220591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220595 */     // GIR_Coverage, 17499,
     /* 1220595 */     GIR_EraseRootFromParent_Done,
     /* 1220596 */   // Label 17691: @1220596
     /* 1220596 */   GIM_Try, /*On fail goto*//*Label 17692*/ GIMT_Encode4(1220676), // Rule ID 17502 //
     /* 1220601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1220612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1220615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1220621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220640 */     // MIs[0] round
     /* 1220640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220650 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1220653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220675 */     // GIR_Coverage, 17502,
     /* 1220675 */     GIR_EraseRootFromParent_Done,
     /* 1220676 */   // Label 17692: @1220676
     /* 1220676 */   GIM_Try, /*On fail goto*//*Label 17693*/ GIMT_Encode4(1220756), // Rule ID 17503 //
     /* 1220681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1220692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1220695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1220698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1220701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220720 */     // MIs[0] round
     /* 1220720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 1220733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220755 */     // GIR_Coverage, 17503,
     /* 1220755 */     GIR_EraseRootFromParent_Done,
     /* 1220756 */   // Label 17693: @1220756
     /* 1220756 */   GIM_Try, /*On fail goto*//*Label 17694*/ GIMT_Encode4(1220836), // Rule ID 17506 //
     /* 1220761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1220764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1220772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1220775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1220781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220800 */     // MIs[0] round
     /* 1220800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220810 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1220813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220835 */     // GIR_Coverage, 17506,
     /* 1220835 */     GIR_EraseRootFromParent_Done,
     /* 1220836 */   // Label 17694: @1220836
     /* 1220836 */   GIM_Try, /*On fail goto*//*Label 17695*/ GIMT_Encode4(1220916), // Rule ID 17507 //
     /* 1220841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1220844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1220852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1220855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1220858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1220861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1220864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220880 */     // MIs[0] round
     /* 1220880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220890 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1220890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 1220893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1220911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220915 */     // GIR_Coverage, 17507,
     /* 1220915 */     GIR_EraseRootFromParent_Done,
     /* 1220916 */   // Label 17695: @1220916
     /* 1220916 */   GIM_Try, /*On fail goto*//*Label 17696*/ GIMT_Encode4(1220996), // Rule ID 17510 //
     /* 1220921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1220924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1220929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1220932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1220935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1220938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1220941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1220944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1220960 */     // MIs[0] round
     /* 1220960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1220963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1220970 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1220970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1220973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1220975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1220977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1220979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1220981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1220983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1220988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1220991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1220994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1220995 */     // GIR_Coverage, 17510,
     /* 1220995 */     GIR_EraseRootFromParent_Done,
     /* 1220996 */   // Label 17696: @1220996
     /* 1220996 */   GIM_Try, /*On fail goto*//*Label 17697*/ GIMT_Encode4(1221076), // Rule ID 17511 //
     /* 1221001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1221012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1221015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1221018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1221021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221040 */     // MIs[0] round
     /* 1221040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221050 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 1221053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221075 */     // GIR_Coverage, 17511,
     /* 1221075 */     GIR_EraseRootFromParent_Done,
     /* 1221076 */   // Label 17697: @1221076
     /* 1221076 */   GIM_Try, /*On fail goto*//*Label 17698*/ GIMT_Encode4(1221156), // Rule ID 17514 //
     /* 1221081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221120 */     // MIs[0] round
     /* 1221120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221130 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1221133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221155 */     // GIR_Coverage, 17514,
     /* 1221155 */     GIR_EraseRootFromParent_Done,
     /* 1221156 */   // Label 17698: @1221156
     /* 1221156 */   GIM_Try, /*On fail goto*//*Label 17699*/ GIMT_Encode4(1221236), // Rule ID 17515 //
     /* 1221161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1221172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1221175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1221178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1221181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221200 */     // MIs[0] round
     /* 1221200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221210 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 1221213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221235 */     // GIR_Coverage, 17515,
     /* 1221235 */     GIR_EraseRootFromParent_Done,
     /* 1221236 */   // Label 17699: @1221236
     /* 1221236 */   GIM_Try, /*On fail goto*//*Label 17700*/ GIMT_Encode4(1221316), // Rule ID 17518 //
     /* 1221241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1221244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221280 */     // MIs[0] round
     /* 1221280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221290 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1221293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221315 */     // GIR_Coverage, 17518,
     /* 1221315 */     GIR_EraseRootFromParent_Done,
     /* 1221316 */   // Label 17700: @1221316
     /* 1221316 */   GIM_Try, /*On fail goto*//*Label 17701*/ GIMT_Encode4(1221396), // Rule ID 17519 //
     /* 1221321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1221324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1221332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1221335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1221338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1221341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221360 */     // MIs[0] round
     /* 1221360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 1221373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1221391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221395 */     // GIR_Coverage, 17519,
     /* 1221395 */     GIR_EraseRootFromParent_Done,
     /* 1221396 */   // Label 17701: @1221396
     /* 1221396 */   GIM_Try, /*On fail goto*//*Label 17702*/ GIMT_Encode4(1221476), // Rule ID 17522 //
     /* 1221401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1221404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221440 */     // MIs[0] round
     /* 1221440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221450 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1221453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221475 */     // GIR_Coverage, 17522,
     /* 1221475 */     GIR_EraseRootFromParent_Done,
     /* 1221476 */   // Label 17702: @1221476
     /* 1221476 */   GIM_Try, /*On fail goto*//*Label 17703*/ GIMT_Encode4(1221556), // Rule ID 17523 //
     /* 1221481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1221484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1221492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1221495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1221498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1221501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1221520 */     // MIs[0] round
     /* 1221520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221530 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 1221533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1221551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221555 */     // GIR_Coverage, 17523,
     /* 1221555 */     GIR_EraseRootFromParent_Done,
     /* 1221556 */   // Label 17703: @1221556
     /* 1221556 */   GIM_Try, /*On fail goto*//*Label 17704*/ GIMT_Encode4(1221636), // Rule ID 17526 //
     /* 1221561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1221572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1221575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1221581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221600 */     // MIs[0] round
     /* 1221600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221610 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1221613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221635 */     // GIR_Coverage, 17526,
     /* 1221635 */     GIR_EraseRootFromParent_Done,
     /* 1221636 */   // Label 17704: @1221636
     /* 1221636 */   GIM_Try, /*On fail goto*//*Label 17705*/ GIMT_Encode4(1221716), // Rule ID 17527 //
     /* 1221641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1221652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1221655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1221658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1221661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1221680 */     // MIs[0] round
     /* 1221680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221690 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 1221693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221715 */     // GIR_Coverage, 17527,
     /* 1221715 */     GIR_EraseRootFromParent_Done,
     /* 1221716 */   // Label 17705: @1221716
     /* 1221716 */   GIM_Try, /*On fail goto*//*Label 17706*/ GIMT_Encode4(1221796), // Rule ID 17530 //
     /* 1221721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1221732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1221735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1221741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221760 */     // MIs[0] round
     /* 1221760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221770 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1221773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221795 */     // GIR_Coverage, 17530,
     /* 1221795 */     GIR_EraseRootFromParent_Done,
     /* 1221796 */   // Label 17706: @1221796
     /* 1221796 */   GIM_Try, /*On fail goto*//*Label 17707*/ GIMT_Encode4(1221876), // Rule ID 17531 //
     /* 1221801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1221812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1221815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1221818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1221821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1221840 */     // MIs[0] round
     /* 1221840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221850 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1221850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 1221853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221875 */     // GIR_Coverage, 17531,
     /* 1221875 */     GIR_EraseRootFromParent_Done,
     /* 1221876 */   // Label 17707: @1221876
     /* 1221876 */   GIM_Try, /*On fail goto*//*Label 17708*/ GIMT_Encode4(1221956), // Rule ID 17534 //
     /* 1221881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1221884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1221892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1221895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1221901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1221904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221920 */     // MIs[0] round
     /* 1221920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1221923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1221930 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1221930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1221933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1221935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1221937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1221939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1221941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1221943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1221948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1221951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1221954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1221955 */     // GIR_Coverage, 17534,
     /* 1221955 */     GIR_EraseRootFromParent_Done,
     /* 1221956 */   // Label 17708: @1221956
     /* 1221956 */   GIM_Try, /*On fail goto*//*Label 17709*/ GIMT_Encode4(1222036), // Rule ID 17535 //
     /* 1221961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1221964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1221969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1221972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1221975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1221978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1221981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1221984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1221996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222000 */     // MIs[0] round
     /* 1222000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222010 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 1222013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1222031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222035 */     // GIR_Coverage, 17535,
     /* 1222035 */     GIR_EraseRootFromParent_Done,
     /* 1222036 */   // Label 17709: @1222036
     /* 1222036 */   GIM_Try, /*On fail goto*//*Label 17710*/ GIMT_Encode4(1222116), // Rule ID 17538 //
     /* 1222041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1222052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1222055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1222061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222080 */     // MIs[0] round
     /* 1222080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222090 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1222093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222115 */     // GIR_Coverage, 17538,
     /* 1222115 */     GIR_EraseRootFromParent_Done,
     /* 1222116 */   // Label 17710: @1222116
     /* 1222116 */   GIM_Try, /*On fail goto*//*Label 17711*/ GIMT_Encode4(1222196), // Rule ID 17539 //
     /* 1222121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1222132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1222135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1222138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1222141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222160 */     // MIs[0] round
     /* 1222160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222170 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 1222173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222195 */     // GIR_Coverage, 17539,
     /* 1222195 */     GIR_EraseRootFromParent_Done,
     /* 1222196 */   // Label 17711: @1222196
     /* 1222196 */   GIM_Try, /*On fail goto*//*Label 17712*/ GIMT_Encode4(1222276), // Rule ID 17542 //
     /* 1222201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1222212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1222215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1222221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222240 */     // MIs[0] round
     /* 1222240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222250 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1222253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222275 */     // GIR_Coverage, 17542,
     /* 1222275 */     GIR_EraseRootFromParent_Done,
     /* 1222276 */   // Label 17712: @1222276
     /* 1222276 */   GIM_Try, /*On fail goto*//*Label 17713*/ GIMT_Encode4(1222356), // Rule ID 17543 //
     /* 1222281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1222292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1222295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1222298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1222301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222320 */     // MIs[0] round
     /* 1222320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222330 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 1222333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222355 */     // GIR_Coverage, 17543,
     /* 1222355 */     GIR_EraseRootFromParent_Done,
     /* 1222356 */   // Label 17713: @1222356
     /* 1222356 */   GIM_Try, /*On fail goto*//*Label 17714*/ GIMT_Encode4(1222436), // Rule ID 17546 //
     /* 1222361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1222364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1222372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1222375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1222381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222400 */     // MIs[0] round
     /* 1222400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222410 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1222413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222435 */     // GIR_Coverage, 17546,
     /* 1222435 */     GIR_EraseRootFromParent_Done,
     /* 1222436 */   // Label 17714: @1222436
     /* 1222436 */   GIM_Try, /*On fail goto*//*Label 17715*/ GIMT_Encode4(1222516), // Rule ID 17547 //
     /* 1222441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1222444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1222452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1222455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1222458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1222461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222480 */     // MIs[0] round
     /* 1222480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222490 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 1222493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1222511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222515 */     // GIR_Coverage, 17547,
     /* 1222515 */     GIR_EraseRootFromParent_Done,
     /* 1222516 */   // Label 17715: @1222516
     /* 1222516 */   GIM_Try, /*On fail goto*//*Label 17716*/ GIMT_Encode4(1222596), // Rule ID 17550 //
     /* 1222521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1222532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1222535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1222538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1222541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222560 */     // MIs[0] round
     /* 1222560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222570 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1222573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222595 */     // GIR_Coverage, 17550,
     /* 1222595 */     GIR_EraseRootFromParent_Done,
     /* 1222596 */   // Label 17716: @1222596
     /* 1222596 */   GIM_Try, /*On fail goto*//*Label 17717*/ GIMT_Encode4(1222676), // Rule ID 17551 //
     /* 1222601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1222612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1222615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1222618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1222621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1222640 */     // MIs[0] round
     /* 1222640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 1222653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222675 */     // GIR_Coverage, 17551,
     /* 1222675 */     GIR_EraseRootFromParent_Done,
     /* 1222676 */   // Label 17717: @1222676
     /* 1222676 */   GIM_Try, /*On fail goto*//*Label 17718*/ GIMT_Encode4(1222756), // Rule ID 17554 //
     /* 1222681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1222692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1222695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1222701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222720 */     // MIs[0] round
     /* 1222720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222730 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1222733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222755 */     // GIR_Coverage, 17554,
     /* 1222755 */     GIR_EraseRootFromParent_Done,
     /* 1222756 */   // Label 17718: @1222756
     /* 1222756 */   GIM_Try, /*On fail goto*//*Label 17719*/ GIMT_Encode4(1222836), // Rule ID 17555 //
     /* 1222761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1222772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1222775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1222778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1222781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1222800 */     // MIs[0] round
     /* 1222800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222810 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 1222813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222835 */     // GIR_Coverage, 17555,
     /* 1222835 */     GIR_EraseRootFromParent_Done,
     /* 1222836 */   // Label 17719: @1222836
     /* 1222836 */   GIM_Try, /*On fail goto*//*Label 17720*/ GIMT_Encode4(1222916), // Rule ID 17558 //
     /* 1222841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1222844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1222852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1222855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1222858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1222861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1222864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222880 */     // MIs[0] round
     /* 1222880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222890 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1222890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1222893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222915 */     // GIR_Coverage, 17558,
     /* 1222915 */     GIR_EraseRootFromParent_Done,
     /* 1222916 */   // Label 17720: @1222916
     /* 1222916 */   GIM_Try, /*On fail goto*//*Label 17721*/ GIMT_Encode4(1222996), // Rule ID 17559 //
     /* 1222921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1222924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1222929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1222932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1222935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1222938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1222941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1222944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1222960 */     // MIs[0] round
     /* 1222960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1222963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1222970 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1222970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 1222973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1222975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1222977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1222979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1222981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1222983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1222988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1222991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1222994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1222995 */     // GIR_Coverage, 17559,
     /* 1222995 */     GIR_EraseRootFromParent_Done,
     /* 1222996 */   // Label 17721: @1222996
     /* 1222996 */   GIM_Try, /*On fail goto*//*Label 17722*/ GIMT_Encode4(1223076), // Rule ID 17562 //
     /* 1223001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1223012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1223015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1223021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1223040 */     // MIs[0] round
     /* 1223040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223050 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1223053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223075 */     // GIR_Coverage, 17562,
     /* 1223075 */     GIR_EraseRootFromParent_Done,
     /* 1223076 */   // Label 17722: @1223076
     /* 1223076 */   GIM_Try, /*On fail goto*//*Label 17723*/ GIMT_Encode4(1223156), // Rule ID 17563 //
     /* 1223081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1223092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1223095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1223098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1223101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1223120 */     // MIs[0] round
     /* 1223120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223130 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16),
     /* 1223133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223155 */     // GIR_Coverage, 17563,
     /* 1223155 */     GIR_EraseRootFromParent_Done,
     /* 1223156 */   // Label 17723: @1223156
     /* 1223156 */   GIM_Try, /*On fail goto*//*Label 17724*/ GIMT_Encode4(1223236), // Rule ID 17566 //
     /* 1223161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1223172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1223175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1223181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1223200 */     // MIs[0] round
     /* 1223200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223210 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1223213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223235 */     // GIR_Coverage, 17566,
     /* 1223235 */     GIR_EraseRootFromParent_Done,
     /* 1223236 */   // Label 17724: @1223236
     /* 1223236 */   GIM_Try, /*On fail goto*//*Label 17725*/ GIMT_Encode4(1223316), // Rule ID 17567 //
     /* 1223241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1223252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1223255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1223258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1223261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1223280 */     // MIs[0] round
     /* 1223280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223290 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16),
     /* 1223293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223315 */     // GIR_Coverage, 17567,
     /* 1223315 */     GIR_EraseRootFromParent_Done,
     /* 1223316 */   // Label 17725: @1223316
     /* 1223316 */   GIM_Try, /*On fail goto*//*Label 17726*/ GIMT_Encode4(1223396), // Rule ID 17570 //
     /* 1223321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1223332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1223335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223360 */     // MIs[0] round
     /* 1223360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223370 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1223373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223395 */     // GIR_Coverage, 17570,
     /* 1223395 */     GIR_EraseRootFromParent_Done,
     /* 1223396 */   // Label 17726: @1223396
     /* 1223396 */   GIM_Try, /*On fail goto*//*Label 17727*/ GIMT_Encode4(1223476), // Rule ID 17571 //
     /* 1223401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1223412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1223415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1223418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223440 */     // MIs[0] round
     /* 1223440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223450 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32),
     /* 1223453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223475 */     // GIR_Coverage, 17571,
     /* 1223475 */     GIR_EraseRootFromParent_Done,
     /* 1223476 */   // Label 17727: @1223476
     /* 1223476 */   GIM_Try, /*On fail goto*//*Label 17728*/ GIMT_Encode4(1223556), // Rule ID 17574 //
     /* 1223481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1223501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1223520 */     // MIs[0] round
     /* 1223520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223530 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1223533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223555 */     // GIR_Coverage, 17574,
     /* 1223555 */     GIR_EraseRootFromParent_Done,
     /* 1223556 */   // Label 17728: @1223556
     /* 1223556 */   GIM_Try, /*On fail goto*//*Label 17729*/ GIMT_Encode4(1223636), // Rule ID 17575 //
     /* 1223561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1223564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1223572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1223575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1223578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1223581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1223600 */     // MIs[0] round
     /* 1223600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223610 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11201:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16),
     /* 1223613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1223631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223635 */     // GIR_Coverage, 17575,
     /* 1223635 */     GIR_EraseRootFromParent_Done,
     /* 1223636 */   // Label 17729: @1223636
     /* 1223636 */   GIM_Try, /*On fail goto*//*Label 17730*/ GIMT_Encode4(1223716), // Rule ID 17578 //
     /* 1223641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1223644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1223658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223680 */     // MIs[0] round
     /* 1223680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223690 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1223693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223715 */     // GIR_Coverage, 17578,
     /* 1223715 */     GIR_EraseRootFromParent_Done,
     /* 1223716 */   // Label 17730: @1223716
     /* 1223716 */   GIM_Try, /*On fail goto*//*Label 17731*/ GIMT_Encode4(1223796), // Rule ID 17579 //
     /* 1223721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1223724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1223732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1223735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1223738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1223741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1223760 */     // MIs[0] round
     /* 1223760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223770 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11201:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32),
     /* 1223773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1223791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223795 */     // GIR_Coverage, 17579,
     /* 1223795 */     GIR_EraseRootFromParent_Done,
     /* 1223796 */   // Label 17731: @1223796
     /* 1223796 */   GIM_Try, /*On fail goto*//*Label 17732*/ GIMT_Encode4(1223876), // Rule ID 17582 //
     /* 1223801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1223804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1223818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223840 */     // MIs[0] round
     /* 1223840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223850 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1223850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1223853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223875 */     // GIR_Coverage, 17582,
     /* 1223875 */     GIR_EraseRootFromParent_Done,
     /* 1223876 */   // Label 17732: @1223876
     /* 1223876 */   GIM_Try, /*On fail goto*//*Label 17733*/ GIMT_Encode4(1223956), // Rule ID 17583 //
     /* 1223881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1223884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1223892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1223895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1223898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1223901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1223904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1223916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1223920 */     // MIs[0] round
     /* 1223920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1223923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1223930 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11201:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1223930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64),
     /* 1223933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1223935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1223937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1223939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1223941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1223943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1223948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1223951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1223954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1223955 */     // GIR_Coverage, 17583,
     /* 1223955 */     GIR_EraseRootFromParent_Done,
     /* 1223956 */   // Label 17733: @1223956
     /* 1223956 */   GIM_Try, /*On fail goto*//*Label 17734*/ GIMT_Encode4(1224036), // Rule ID 17586 //
     /* 1223961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1223964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1223969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1223972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1223975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1223978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1223981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1223984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1223996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224000 */     // MIs[0] round
     /* 1224000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224010 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1224013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224035 */     // GIR_Coverage, 17586,
     /* 1224035 */     GIR_EraseRootFromParent_Done,
     /* 1224036 */   // Label 17734: @1224036
     /* 1224036 */   GIM_Try, /*On fail goto*//*Label 17735*/ GIMT_Encode4(1224116), // Rule ID 17587 //
     /* 1224041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1224052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1224055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1224058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224080 */     // MIs[0] round
     /* 1224080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224090 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16),
     /* 1224093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224115 */     // GIR_Coverage, 17587,
     /* 1224115 */     GIR_EraseRootFromParent_Done,
     /* 1224116 */   // Label 17735: @1224116
     /* 1224116 */   GIM_Try, /*On fail goto*//*Label 17736*/ GIMT_Encode4(1224196), // Rule ID 17590 //
     /* 1224121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1224132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1224135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1224138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224160 */     // MIs[0] round
     /* 1224160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224170 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1224173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224195 */     // GIR_Coverage, 17590,
     /* 1224195 */     GIR_EraseRootFromParent_Done,
     /* 1224196 */   // Label 17736: @1224196
     /* 1224196 */   GIM_Try, /*On fail goto*//*Label 17737*/ GIMT_Encode4(1224276), // Rule ID 17591 //
     /* 1224201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1224212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1224215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1224218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224240 */     // MIs[0] round
     /* 1224240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224250 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16),
     /* 1224253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224275 */     // GIR_Coverage, 17591,
     /* 1224275 */     GIR_EraseRootFromParent_Done,
     /* 1224276 */   // Label 17737: @1224276
     /* 1224276 */   GIM_Try, /*On fail goto*//*Label 17738*/ GIMT_Encode4(1224356), // Rule ID 17594 //
     /* 1224281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1224284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1224292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1224295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1224298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224320 */     // MIs[0] round
     /* 1224320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224330 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1224333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224355 */     // GIR_Coverage, 17594,
     /* 1224355 */     GIR_EraseRootFromParent_Done,
     /* 1224356 */   // Label 17738: @1224356
     /* 1224356 */   GIM_Try, /*On fail goto*//*Label 17739*/ GIMT_Encode4(1224436), // Rule ID 17595 //
     /* 1224361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1224364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1224372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1224375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1224378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1224381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1224400 */     // MIs[0] round
     /* 1224400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224410 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16),
     /* 1224413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1224431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224435 */     // GIR_Coverage, 17595,
     /* 1224435 */     GIR_EraseRootFromParent_Done,
     /* 1224436 */   // Label 17739: @1224436
     /* 1224436 */   GIM_Try, /*On fail goto*//*Label 17740*/ GIMT_Encode4(1224516), // Rule ID 17598 //
     /* 1224441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1224452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1224455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224480 */     // MIs[0] round
     /* 1224480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224490 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1224493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224515 */     // GIR_Coverage, 17598,
     /* 1224515 */     GIR_EraseRootFromParent_Done,
     /* 1224516 */   // Label 17740: @1224516
     /* 1224516 */   GIM_Try, /*On fail goto*//*Label 17741*/ GIMT_Encode4(1224596), // Rule ID 17599 //
     /* 1224521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1224532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1224535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1224538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224560 */     // MIs[0] round
     /* 1224560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224570 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32),
     /* 1224573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224595 */     // GIR_Coverage, 17599,
     /* 1224595 */     GIR_EraseRootFromParent_Done,
     /* 1224596 */   // Label 17741: @1224596
     /* 1224596 */   GIM_Try, /*On fail goto*//*Label 17742*/ GIMT_Encode4(1224676), // Rule ID 17602 //
     /* 1224601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1224612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1224615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224640 */     // MIs[0] round
     /* 1224640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224650 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1224653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224675 */     // GIR_Coverage, 17602,
     /* 1224675 */     GIR_EraseRootFromParent_Done,
     /* 1224676 */   // Label 17742: @1224676
     /* 1224676 */   GIM_Try, /*On fail goto*//*Label 17743*/ GIMT_Encode4(1224756), // Rule ID 17603 //
     /* 1224681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1224692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1224695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1224698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1224716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224720 */     // MIs[0] round
     /* 1224720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224730 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32),
     /* 1224733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224755 */     // GIR_Coverage, 17603,
     /* 1224755 */     GIR_EraseRootFromParent_Done,
     /* 1224756 */   // Label 17743: @1224756
     /* 1224756 */   GIM_Try, /*On fail goto*//*Label 17744*/ GIMT_Encode4(1224836), // Rule ID 17606 //
     /* 1224761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1224764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1224772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1224775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224800 */     // MIs[0] round
     /* 1224800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224810 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1224813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224835 */     // GIR_Coverage, 17606,
     /* 1224835 */     GIR_EraseRootFromParent_Done,
     /* 1224836 */   // Label 17744: @1224836
     /* 1224836 */   GIM_Try, /*On fail goto*//*Label 17745*/ GIMT_Encode4(1224916), // Rule ID 17607 //
     /* 1224841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1224844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1224852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1224855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1224858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1224861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1224864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1224876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1224880 */     // MIs[0] round
     /* 1224880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224890 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1224890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32),
     /* 1224893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1224911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224915 */     // GIR_Coverage, 17607,
     /* 1224915 */     GIR_EraseRootFromParent_Done,
     /* 1224916 */   // Label 17745: @1224916
     /* 1224916 */   GIM_Try, /*On fail goto*//*Label 17746*/ GIMT_Encode4(1224996), // Rule ID 17610 //
     /* 1224921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1224924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1224929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1224932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1224935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1224938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1224941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1224944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1224956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1224960 */     // MIs[0] round
     /* 1224960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1224963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1224970 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1224970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1224973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1224975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1224977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1224979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1224981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1224983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1224988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1224991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1224994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1224995 */     // GIR_Coverage, 17610,
     /* 1224995 */     GIR_EraseRootFromParent_Done,
     /* 1224996 */   // Label 17746: @1224996
     /* 1224996 */   GIM_Try, /*On fail goto*//*Label 17747*/ GIMT_Encode4(1225076), // Rule ID 17611 //
     /* 1225001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1225009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1225012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1225015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1225018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1225021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1225036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1225040 */     // MIs[0] round
     /* 1225040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225050 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11201:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64),
     /* 1225053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225075 */     // GIR_Coverage, 17611,
     /* 1225075 */     GIR_EraseRootFromParent_Done,
     /* 1225076 */   // Label 17747: @1225076
     /* 1225076 */   GIM_Try, /*On fail goto*//*Label 17748*/ GIMT_Encode4(1225156), // Rule ID 17614 //
     /* 1225081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1225089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1225092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1225095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1225098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1225101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1225120 */     // MIs[0] round
     /* 1225120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225130 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1225133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225155 */     // GIR_Coverage, 17614,
     /* 1225155 */     GIR_EraseRootFromParent_Done,
     /* 1225156 */   // Label 17748: @1225156
     /* 1225156 */   GIM_Try, /*On fail goto*//*Label 17749*/ GIMT_Encode4(1225236), // Rule ID 17615 //
     /* 1225161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1225169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1225172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1225175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1225178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1225181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1225196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1225200 */     // MIs[0] round
     /* 1225200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225210 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11201:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64),
     /* 1225213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225235 */     // GIR_Coverage, 17615,
     /* 1225235 */     GIR_EraseRootFromParent_Done,
     /* 1225236 */   // Label 17749: @1225236
     /* 1225236 */   GIM_Try, /*On fail goto*//*Label 17750*/ GIMT_Encode4(1225316), // Rule ID 17618 //
     /* 1225241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1225244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1225249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1225252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1225255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1225258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1225261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1225280 */     // MIs[0] round
     /* 1225280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225290 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1225293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225315 */     // GIR_Coverage, 17618,
     /* 1225315 */     GIR_EraseRootFromParent_Done,
     /* 1225316 */   // Label 17750: @1225316
     /* 1225316 */   GIM_Try, /*On fail goto*//*Label 17751*/ GIMT_Encode4(1225396), // Rule ID 17619 //
     /* 1225321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1225324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv),
     /* 1225329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1225332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1225335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1225338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1225341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1225356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1225360 */     // MIs[0] round
     /* 1225360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225370 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11201:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64),
     /* 1225373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1225391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225395 */     // GIR_Coverage, 17619,
     /* 1225395 */     GIR_EraseRootFromParent_Done,
     /* 1225396 */   // Label 17751: @1225396
     /* 1225396 */   GIM_Try, /*On fail goto*//*Label 17752*/ GIMT_Encode4(1225476), // Rule ID 17622 //
     /* 1225401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1225409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1225412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1225415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1225418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225440 */     // MIs[0] round
     /* 1225440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225450 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1225453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225475 */     // GIR_Coverage, 17622,
     /* 1225475 */     GIR_EraseRootFromParent_Done,
     /* 1225476 */   // Label 17752: @1225476
     /* 1225476 */   GIM_Try, /*On fail goto*//*Label 17753*/ GIMT_Encode4(1225556), // Rule ID 17623 //
     /* 1225481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1225489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1225492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1225495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1225498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225520 */     // MIs[0] round
     /* 1225520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225530 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16),
     /* 1225533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225555 */     // GIR_Coverage, 17623,
     /* 1225555 */     GIR_EraseRootFromParent_Done,
     /* 1225556 */   // Label 17753: @1225556
     /* 1225556 */   GIM_Try, /*On fail goto*//*Label 17754*/ GIMT_Encode4(1225636), // Rule ID 17626 //
     /* 1225561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1225569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1225572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1225575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1225578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225600 */     // MIs[0] round
     /* 1225600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225610 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1225613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225635 */     // GIR_Coverage, 17626,
     /* 1225635 */     GIR_EraseRootFromParent_Done,
     /* 1225636 */   // Label 17754: @1225636
     /* 1225636 */   GIM_Try, /*On fail goto*//*Label 17755*/ GIMT_Encode4(1225716), // Rule ID 17627 //
     /* 1225641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1225649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1225652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1225655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1225658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225680 */     // MIs[0] round
     /* 1225680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225690 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16),
     /* 1225693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225715 */     // GIR_Coverage, 17627,
     /* 1225715 */     GIR_EraseRootFromParent_Done,
     /* 1225716 */   // Label 17755: @1225716
     /* 1225716 */   GIM_Try, /*On fail goto*//*Label 17756*/ GIMT_Encode4(1225796), // Rule ID 17630 //
     /* 1225721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1225724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1225729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1225732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1225735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225760 */     // MIs[0] round
     /* 1225760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1225773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225795 */     // GIR_Coverage, 17630,
     /* 1225795 */     GIR_EraseRootFromParent_Done,
     /* 1225796 */   // Label 17756: @1225796
     /* 1225796 */   GIM_Try, /*On fail goto*//*Label 17757*/ GIMT_Encode4(1225876), // Rule ID 17631 //
     /* 1225801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1225804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1225809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1225812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1225815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1225818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1225821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1225840 */     // MIs[0] round
     /* 1225840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225850 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1225850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32),
     /* 1225853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1225871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225875 */     // GIR_Coverage, 17631,
     /* 1225875 */     GIR_EraseRootFromParent_Done,
     /* 1225876 */   // Label 17757: @1225876
     /* 1225876 */   GIM_Try, /*On fail goto*//*Label 17758*/ GIMT_Encode4(1225956), // Rule ID 17634 //
     /* 1225881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1225884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1225889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1225904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1225920 */     // MIs[0] round
     /* 1225920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1225923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1225930 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1225930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1225933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1225935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1225937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1225939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1225941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1225943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1225948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1225951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1225954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1225955 */     // GIR_Coverage, 17634,
     /* 1225955 */     GIR_EraseRootFromParent_Done,
     /* 1225956 */   // Label 17758: @1225956
     /* 1225956 */   GIM_Try, /*On fail goto*//*Label 17759*/ GIMT_Encode4(1226036), // Rule ID 17635 //
     /* 1225961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1225964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1225969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1225972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1225975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1225978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1225981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1225984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1225996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226000 */     // MIs[0] round
     /* 1226000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226010 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11249:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16),
     /* 1226013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226035 */     // GIR_Coverage, 17635,
     /* 1226035 */     GIR_EraseRootFromParent_Done,
     /* 1226036 */   // Label 17759: @1226036
     /* 1226036 */   GIM_Try, /*On fail goto*//*Label 17760*/ GIMT_Encode4(1226116), // Rule ID 17638 //
     /* 1226041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226080 */     // MIs[0] round
     /* 1226080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1226093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226115 */     // GIR_Coverage, 17638,
     /* 1226115 */     GIR_EraseRootFromParent_Done,
     /* 1226116 */   // Label 17760: @1226116
     /* 1226116 */   GIM_Try, /*On fail goto*//*Label 17761*/ GIMT_Encode4(1226196), // Rule ID 17639 //
     /* 1226121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1226132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1226135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1226138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226160 */     // MIs[0] round
     /* 1226160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11249:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32),
     /* 1226173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226195 */     // GIR_Coverage, 17639,
     /* 1226195 */     GIR_EraseRootFromParent_Done,
     /* 1226196 */   // Label 17761: @1226196
     /* 1226196 */   GIM_Try, /*On fail goto*//*Label 17762*/ GIMT_Encode4(1226276), // Rule ID 17642 //
     /* 1226201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1226204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1226218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1226221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1226240 */     // MIs[0] round
     /* 1226240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226250 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1226253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226275 */     // GIR_Coverage, 17642,
     /* 1226275 */     GIR_EraseRootFromParent_Done,
     /* 1226276 */   // Label 17762: @1226276
     /* 1226276 */   GIM_Try, /*On fail goto*//*Label 17763*/ GIMT_Encode4(1226356), // Rule ID 17643 //
     /* 1226281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1226284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1226292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1226295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1226298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1226301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1226316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1226320 */     // MIs[0] round
     /* 1226320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226330 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11249:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64),
     /* 1226333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1226351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226355 */     // GIR_Coverage, 17643,
     /* 1226355 */     GIR_EraseRootFromParent_Done,
     /* 1226356 */   // Label 17763: @1226356
     /* 1226356 */   GIM_Try, /*On fail goto*//*Label 17764*/ GIMT_Encode4(1226436), // Rule ID 17646 //
     /* 1226361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1226372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1226375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226400 */     // MIs[0] round
     /* 1226400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226410 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1226413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226435 */     // GIR_Coverage, 17646,
     /* 1226435 */     GIR_EraseRootFromParent_Done,
     /* 1226436 */   // Label 17764: @1226436
     /* 1226436 */   GIM_Try, /*On fail goto*//*Label 17765*/ GIMT_Encode4(1226516), // Rule ID 17647 //
     /* 1226441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1226452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1226455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1226458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226480 */     // MIs[0] round
     /* 1226480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226490 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16),
     /* 1226493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226515 */     // GIR_Coverage, 17647,
     /* 1226515 */     GIR_EraseRootFromParent_Done,
     /* 1226516 */   // Label 17765: @1226516
     /* 1226516 */   GIM_Try, /*On fail goto*//*Label 17766*/ GIMT_Encode4(1226596), // Rule ID 17650 //
     /* 1226521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1226532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1226535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226560 */     // MIs[0] round
     /* 1226560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226570 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1226573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226595 */     // GIR_Coverage, 17650,
     /* 1226595 */     GIR_EraseRootFromParent_Done,
     /* 1226596 */   // Label 17766: @1226596
     /* 1226596 */   GIM_Try, /*On fail goto*//*Label 17767*/ GIMT_Encode4(1226676), // Rule ID 17651 //
     /* 1226601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1226612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1226615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1226618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1226636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226640 */     // MIs[0] round
     /* 1226640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226650 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16),
     /* 1226653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226675 */     // GIR_Coverage, 17651,
     /* 1226675 */     GIR_EraseRootFromParent_Done,
     /* 1226676 */   // Label 17767: @1226676
     /* 1226676 */   GIM_Try, /*On fail goto*//*Label 17768*/ GIMT_Encode4(1226756), // Rule ID 17654 //
     /* 1226681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1226684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1226692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1226695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1226698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226720 */     // MIs[0] round
     /* 1226720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226730 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1226733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226755 */     // GIR_Coverage, 17654,
     /* 1226755 */     GIR_EraseRootFromParent_Done,
     /* 1226756 */   // Label 17768: @1226756
     /* 1226756 */   GIM_Try, /*On fail goto*//*Label 17769*/ GIMT_Encode4(1226836), // Rule ID 17655 //
     /* 1226761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1226764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1226772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1226775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1226778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1226781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1226796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1226800 */     // MIs[0] round
     /* 1226800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226810 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16),
     /* 1226813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1226831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226835 */     // GIR_Coverage, 17655,
     /* 1226835 */     GIR_EraseRootFromParent_Done,
     /* 1226836 */   // Label 17769: @1226836
     /* 1226836 */   GIM_Try, /*On fail goto*//*Label 17770*/ GIMT_Encode4(1226916), // Rule ID 17658 //
     /* 1226841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1226844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1226852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1226855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1226864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226880 */     // MIs[0] round
     /* 1226880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226890 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1226890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1226893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226915 */     // GIR_Coverage, 17658,
     /* 1226915 */     GIR_EraseRootFromParent_Done,
     /* 1226916 */   // Label 17770: @1226916
     /* 1226916 */   GIM_Try, /*On fail goto*//*Label 17771*/ GIMT_Encode4(1226996), // Rule ID 17659 //
     /* 1226921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1226924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1226929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1226932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1226935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1226938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1226941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1226944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1226956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1226960 */     // MIs[0] round
     /* 1226960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1226963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1226970 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1226970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32),
     /* 1226973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1226975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1226977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1226979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1226981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1226983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1226988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1226991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1226994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1226995 */     // GIR_Coverage, 17659,
     /* 1226995 */     GIR_EraseRootFromParent_Done,
     /* 1226996 */   // Label 17771: @1226996
     /* 1226996 */   GIM_Try, /*On fail goto*//*Label 17772*/ GIMT_Encode4(1227076), // Rule ID 17662 //
     /* 1227001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1227012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1227015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1227021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1227040 */     // MIs[0] round
     /* 1227040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227050 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1227053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227075 */     // GIR_Coverage, 17662,
     /* 1227075 */     GIR_EraseRootFromParent_Done,
     /* 1227076 */   // Label 17772: @1227076
     /* 1227076 */   GIM_Try, /*On fail goto*//*Label 17773*/ GIMT_Encode4(1227156), // Rule ID 17663 //
     /* 1227081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1227092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1227095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1227098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1227101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1227120 */     // MIs[0] round
     /* 1227120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227130 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32),
     /* 1227133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227155 */     // GIR_Coverage, 17663,
     /* 1227155 */     GIR_EraseRootFromParent_Done,
     /* 1227156 */   // Label 17773: @1227156
     /* 1227156 */   GIM_Try, /*On fail goto*//*Label 17774*/ GIMT_Encode4(1227236), // Rule ID 17666 //
     /* 1227161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1227164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1227172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1227175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1227181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1227200 */     // MIs[0] round
     /* 1227200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227210 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1227213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227235 */     // GIR_Coverage, 17666,
     /* 1227235 */     GIR_EraseRootFromParent_Done,
     /* 1227236 */   // Label 17774: @1227236
     /* 1227236 */   GIM_Try, /*On fail goto*//*Label 17775*/ GIMT_Encode4(1227316), // Rule ID 17667 //
     /* 1227241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1227244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1227252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1227255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1227258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1227261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1227280 */     // MIs[0] round
     /* 1227280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227290 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32),
     /* 1227293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1227311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227315 */     // GIR_Coverage, 17667,
     /* 1227315 */     GIR_EraseRootFromParent_Done,
     /* 1227316 */   // Label 17775: @1227316
     /* 1227316 */   GIM_Try, /*On fail goto*//*Label 17776*/ GIMT_Encode4(1227396), // Rule ID 17670 //
     /* 1227321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1227332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1227335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1227338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227360 */     // MIs[0] round
     /* 1227360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227370 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1227373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227395 */     // GIR_Coverage, 17670,
     /* 1227395 */     GIR_EraseRootFromParent_Done,
     /* 1227396 */   // Label 17776: @1227396
     /* 1227396 */   GIM_Try, /*On fail goto*//*Label 17777*/ GIMT_Encode4(1227476), // Rule ID 17671 //
     /* 1227401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1227412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1227415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1227418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1227436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227440 */     // MIs[0] round
     /* 1227440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227450 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11249:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64),
     /* 1227453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227475 */     // GIR_Coverage, 17671,
     /* 1227475 */     GIR_EraseRootFromParent_Done,
     /* 1227476 */   // Label 17777: @1227476
     /* 1227476 */   GIM_Try, /*On fail goto*//*Label 17778*/ GIMT_Encode4(1227556), // Rule ID 17674 //
     /* 1227481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1227492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1227495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227520 */     // MIs[0] round
     /* 1227520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227530 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1227533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227555 */     // GIR_Coverage, 17674,
     /* 1227555 */     GIR_EraseRootFromParent_Done,
     /* 1227556 */   // Label 17778: @1227556
     /* 1227556 */   GIM_Try, /*On fail goto*//*Label 17779*/ GIMT_Encode4(1227636), // Rule ID 17675 //
     /* 1227561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1227572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1227575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1227578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1227596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227600 */     // MIs[0] round
     /* 1227600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227610 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11249:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64),
     /* 1227613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227635 */     // GIR_Coverage, 17675,
     /* 1227635 */     GIR_EraseRootFromParent_Done,
     /* 1227636 */   // Label 17779: @1227636
     /* 1227636 */   GIM_Try, /*On fail goto*//*Label 17780*/ GIMT_Encode4(1227716), // Rule ID 17678 //
     /* 1227641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1227644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1227652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1227655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1227658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227680 */     // MIs[0] round
     /* 1227680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227690 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1227693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227715 */     // GIR_Coverage, 17678,
     /* 1227715 */     GIR_EraseRootFromParent_Done,
     /* 1227716 */   // Label 17780: @1227716
     /* 1227716 */   GIM_Try, /*On fail goto*//*Label 17781*/ GIMT_Encode4(1227796), // Rule ID 17679 //
     /* 1227721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1227724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv),
     /* 1227729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1227732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1227735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1227738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1227741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1227756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1227760 */     // MIs[0] round
     /* 1227760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227770 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11249:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFRDIV_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64),
     /* 1227773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1227791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227795 */     // GIR_Coverage, 17679,
     /* 1227795 */     GIR_EraseRootFromParent_Done,
     /* 1227796 */   // Label 17781: @1227796
     /* 1227796 */   GIM_Try, /*On fail goto*//*Label 17782*/ GIMT_Encode4(1227876), // Rule ID 17682 //
     /* 1227801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1227804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1227809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1227812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1227815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1227818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1227821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227840 */     // MIs[0] round
     /* 1227840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227850 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1227850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1227853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227875 */     // GIR_Coverage, 17682,
     /* 1227875 */     GIR_EraseRootFromParent_Done,
     /* 1227876 */   // Label 17782: @1227876
     /* 1227876 */   GIM_Try, /*On fail goto*//*Label 17783*/ GIMT_Encode4(1227956), // Rule ID 17683 //
     /* 1227881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1227884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1227889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1227892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1227895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1227898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1227901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1227904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227920 */     // MIs[0] round
     /* 1227920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1227923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1227930 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1227930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16),
     /* 1227933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1227935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1227937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1227939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1227941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1227943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1227948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1227951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1227954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1227955 */     // GIR_Coverage, 17683,
     /* 1227955 */     GIR_EraseRootFromParent_Done,
     /* 1227956 */   // Label 17783: @1227956
     /* 1227956 */   GIM_Try, /*On fail goto*//*Label 17784*/ GIMT_Encode4(1228036), // Rule ID 17686 //
     /* 1227961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1227964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1227969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1227972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1227975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1227978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1227981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1227984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1227996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228000 */     // MIs[0] round
     /* 1228000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228010 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1228013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228035 */     // GIR_Coverage, 17686,
     /* 1228035 */     GIR_EraseRootFromParent_Done,
     /* 1228036 */   // Label 17784: @1228036
     /* 1228036 */   GIM_Try, /*On fail goto*//*Label 17785*/ GIMT_Encode4(1228116), // Rule ID 17687 //
     /* 1228041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1228044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1228052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1228055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1228058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1228061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228080 */     // MIs[0] round
     /* 1228080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16),
     /* 1228093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228115 */     // GIR_Coverage, 17687,
     /* 1228115 */     GIR_EraseRootFromParent_Done,
     /* 1228116 */   // Label 17785: @1228116
     /* 1228116 */   GIM_Try, /*On fail goto*//*Label 17786*/ GIMT_Encode4(1228196), // Rule ID 17690 //
     /* 1228121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1228124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1228132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1228135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228160 */     // MIs[0] round
     /* 1228160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228170 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1228173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228195 */     // GIR_Coverage, 17690,
     /* 1228195 */     GIR_EraseRootFromParent_Done,
     /* 1228196 */   // Label 17786: @1228196
     /* 1228196 */   GIM_Try, /*On fail goto*//*Label 17787*/ GIMT_Encode4(1228276), // Rule ID 17691 //
     /* 1228201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1228204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1228212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1228215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1228218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1228221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228240 */     // MIs[0] round
     /* 1228240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228250 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16),
     /* 1228253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228275 */     // GIR_Coverage, 17691,
     /* 1228275 */     GIR_EraseRootFromParent_Done,
     /* 1228276 */   // Label 17787: @1228276
     /* 1228276 */   GIM_Try, /*On fail goto*//*Label 17788*/ GIMT_Encode4(1228356), // Rule ID 17694 //
     /* 1228281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1228284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1228292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1228295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1228301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228320 */     // MIs[0] round
     /* 1228320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228330 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1228333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228355 */     // GIR_Coverage, 17694,
     /* 1228355 */     GIR_EraseRootFromParent_Done,
     /* 1228356 */   // Label 17788: @1228356
     /* 1228356 */   GIM_Try, /*On fail goto*//*Label 17789*/ GIMT_Encode4(1228436), // Rule ID 17695 //
     /* 1228361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1228364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1228372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1228375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1228378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1228381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228400 */     // MIs[0] round
     /* 1228400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16),
     /* 1228413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228435 */     // GIR_Coverage, 17695,
     /* 1228435 */     GIR_EraseRootFromParent_Done,
     /* 1228436 */   // Label 17789: @1228436
     /* 1228436 */   GIM_Try, /*On fail goto*//*Label 17790*/ GIMT_Encode4(1228516), // Rule ID 17698 //
     /* 1228441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1228444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1228452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1228455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1228458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1228461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228480 */     // MIs[0] round
     /* 1228480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228490 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1228493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228515 */     // GIR_Coverage, 17698,
     /* 1228515 */     GIR_EraseRootFromParent_Done,
     /* 1228516 */   // Label 17790: @1228516
     /* 1228516 */   GIM_Try, /*On fail goto*//*Label 17791*/ GIMT_Encode4(1228596), // Rule ID 17699 //
     /* 1228521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1228524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1228532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1228535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1228538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1228541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1228552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228560 */     // MIs[0] round
     /* 1228560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228570 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16),
     /* 1228573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1228591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228595 */     // GIR_Coverage, 17699,
     /* 1228595 */     GIR_EraseRootFromParent_Done,
     /* 1228596 */   // Label 17791: @1228596
     /* 1228596 */   GIM_Try, /*On fail goto*//*Label 17792*/ GIMT_Encode4(1228676), // Rule ID 17702 //
     /* 1228601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1228604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1228621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228640 */     // MIs[0] round
     /* 1228640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228650 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1228653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228675 */     // GIR_Coverage, 17702,
     /* 1228675 */     GIR_EraseRootFromParent_Done,
     /* 1228676 */   // Label 17792: @1228676
     /* 1228676 */   GIM_Try, /*On fail goto*//*Label 17793*/ GIMT_Encode4(1228756), // Rule ID 17703 //
     /* 1228681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1228684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1228692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1228695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1228698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1228701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228720 */     // MIs[0] round
     /* 1228720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32),
     /* 1228733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228755 */     // GIR_Coverage, 17703,
     /* 1228755 */     GIR_EraseRootFromParent_Done,
     /* 1228756 */   // Label 17793: @1228756
     /* 1228756 */   GIM_Try, /*On fail goto*//*Label 17794*/ GIMT_Encode4(1228836), // Rule ID 17706 //
     /* 1228761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1228764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1228772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1228775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228800 */     // MIs[0] round
     /* 1228800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228810 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1228813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228835 */     // GIR_Coverage, 17706,
     /* 1228835 */     GIR_EraseRootFromParent_Done,
     /* 1228836 */   // Label 17794: @1228836
     /* 1228836 */   GIM_Try, /*On fail goto*//*Label 17795*/ GIMT_Encode4(1228916), // Rule ID 17707 //
     /* 1228841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1228844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1228852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1228855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1228858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1228861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1228864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1228880 */     // MIs[0] round
     /* 1228880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228890 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1228890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32),
     /* 1228893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228915 */     // GIR_Coverage, 17707,
     /* 1228915 */     GIR_EraseRootFromParent_Done,
     /* 1228916 */   // Label 17795: @1228916
     /* 1228916 */   GIM_Try, /*On fail goto*//*Label 17796*/ GIMT_Encode4(1228996), // Rule ID 17710 //
     /* 1228921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1228924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1228929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1228932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1228935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1228938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1228941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1228944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1228952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1228960 */     // MIs[0] round
     /* 1228960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1228963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1228970 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1228970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1228973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1228975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1228977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1228979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1228981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1228983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1228988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1228991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1228994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1228995 */     // GIR_Coverage, 17710,
     /* 1228995 */     GIR_EraseRootFromParent_Done,
     /* 1228996 */   // Label 17796: @1228996
     /* 1228996 */   GIM_Try, /*On fail goto*//*Label 17797*/ GIMT_Encode4(1229076), // Rule ID 17711 //
     /* 1229001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1229004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1229012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1229015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1229018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1229021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229040 */     // MIs[0] round
     /* 1229040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229050 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32),
     /* 1229053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229075 */     // GIR_Coverage, 17711,
     /* 1229075 */     GIR_EraseRootFromParent_Done,
     /* 1229076 */   // Label 17797: @1229076
     /* 1229076 */   GIM_Try, /*On fail goto*//*Label 17798*/ GIMT_Encode4(1229156), // Rule ID 17714 //
     /* 1229081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1229084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1229092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1229095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1229101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229120 */     // MIs[0] round
     /* 1229120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229130 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1229133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229155 */     // GIR_Coverage, 17714,
     /* 1229155 */     GIR_EraseRootFromParent_Done,
     /* 1229156 */   // Label 17798: @1229156
     /* 1229156 */   GIM_Try, /*On fail goto*//*Label 17799*/ GIMT_Encode4(1229236), // Rule ID 17715 //
     /* 1229161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1229164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1229172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1229175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1229178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1229181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229200 */     // MIs[0] round
     /* 1229200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229210 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32),
     /* 1229213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1229231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229235 */     // GIR_Coverage, 17715,
     /* 1229235 */     GIR_EraseRootFromParent_Done,
     /* 1229236 */   // Label 17799: @1229236
     /* 1229236 */   GIM_Try, /*On fail goto*//*Label 17800*/ GIMT_Encode4(1229316), // Rule ID 17718 //
     /* 1229241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1229244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1229252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1229255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1229258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229280 */     // MIs[0] round
     /* 1229280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229290 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1229293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229315 */     // GIR_Coverage, 17718,
     /* 1229315 */     GIR_EraseRootFromParent_Done,
     /* 1229316 */   // Label 17800: @1229316
     /* 1229316 */   GIM_Try, /*On fail goto*//*Label 17801*/ GIMT_Encode4(1229396), // Rule ID 17719 //
     /* 1229321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1229324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1229332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1229335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1229338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229360 */     // MIs[0] round
     /* 1229360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229370 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16),
     /* 1229373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229395 */     // GIR_Coverage, 17719,
     /* 1229395 */     GIR_EraseRootFromParent_Done,
     /* 1229396 */   // Label 17801: @1229396
     /* 1229396 */   GIM_Try, /*On fail goto*//*Label 17802*/ GIMT_Encode4(1229476), // Rule ID 17722 //
     /* 1229401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1229404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1229418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229440 */     // MIs[0] round
     /* 1229440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229450 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1229453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229475 */     // GIR_Coverage, 17722,
     /* 1229475 */     GIR_EraseRootFromParent_Done,
     /* 1229476 */   // Label 17802: @1229476
     /* 1229476 */   GIM_Try, /*On fail goto*//*Label 17803*/ GIMT_Encode4(1229556), // Rule ID 17723 //
     /* 1229481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1229484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1229492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1229495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1229498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229520 */     // MIs[0] round
     /* 1229520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229530 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11305:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16),
     /* 1229533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229555 */     // GIR_Coverage, 17723,
     /* 1229555 */     GIR_EraseRootFromParent_Done,
     /* 1229556 */   // Label 17803: @1229556
     /* 1229556 */   GIM_Try, /*On fail goto*//*Label 17804*/ GIMT_Encode4(1229636), // Rule ID 17726 //
     /* 1229561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1229564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1229572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1229575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1229578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229600 */     // MIs[0] round
     /* 1229600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229610 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1229613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229635 */     // GIR_Coverage, 17726,
     /* 1229635 */     GIR_EraseRootFromParent_Done,
     /* 1229636 */   // Label 17804: @1229636
     /* 1229636 */   GIM_Try, /*On fail goto*//*Label 17805*/ GIMT_Encode4(1229716), // Rule ID 17727 //
     /* 1229641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1229644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1229652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1229655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1229658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1229676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229680 */     // MIs[0] round
     /* 1229680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229690 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16),
     /* 1229693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229715 */     // GIR_Coverage, 17727,
     /* 1229715 */     GIR_EraseRootFromParent_Done,
     /* 1229716 */   // Label 17805: @1229716
     /* 1229716 */   GIM_Try, /*On fail goto*//*Label 17806*/ GIMT_Encode4(1229796), // Rule ID 17730 //
     /* 1229721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1229724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1229732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1229735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1229738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229760 */     // MIs[0] round
     /* 1229760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229770 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1229773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229795 */     // GIR_Coverage, 17730,
     /* 1229795 */     GIR_EraseRootFromParent_Done,
     /* 1229796 */   // Label 17806: @1229796
     /* 1229796 */   GIM_Try, /*On fail goto*//*Label 17807*/ GIMT_Encode4(1229876), // Rule ID 17731 //
     /* 1229801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1229804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1229812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1229815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1229818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1229836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229840 */     // MIs[0] round
     /* 1229840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229850 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1229850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16),
     /* 1229853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229875 */     // GIR_Coverage, 17731,
     /* 1229875 */     GIR_EraseRootFromParent_Done,
     /* 1229876 */   // Label 17807: @1229876
     /* 1229876 */   GIM_Try, /*On fail goto*//*Label 17808*/ GIMT_Encode4(1229956), // Rule ID 17734 //
     /* 1229881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1229884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1229892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1229895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1229904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1229920 */     // MIs[0] round
     /* 1229920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1229923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1229930 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1229930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1229933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1229935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1229937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1229939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1229941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1229943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1229948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1229951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1229954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1229955 */     // GIR_Coverage, 17734,
     /* 1229955 */     GIR_EraseRootFromParent_Done,
     /* 1229956 */   // Label 17808: @1229956
     /* 1229956 */   GIM_Try, /*On fail goto*//*Label 17809*/ GIMT_Encode4(1230036), // Rule ID 17735 //
     /* 1229961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1229964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1229969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1229972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1229975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1229978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1229981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1229984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1229992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1229996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1230000 */     // MIs[0] round
     /* 1230000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230010 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16),
     /* 1230013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230035 */     // GIR_Coverage, 17735,
     /* 1230035 */     GIR_EraseRootFromParent_Done,
     /* 1230036 */   // Label 17809: @1230036
     /* 1230036 */   GIM_Try, /*On fail goto*//*Label 17810*/ GIMT_Encode4(1230116), // Rule ID 17738 //
     /* 1230041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1230044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1230049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230080 */     // MIs[0] round
     /* 1230080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230090 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1230093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230115 */     // GIR_Coverage, 17738,
     /* 1230115 */     GIR_EraseRootFromParent_Done,
     /* 1230116 */   // Label 17810: @1230116
     /* 1230116 */   GIM_Try, /*On fail goto*//*Label 17811*/ GIMT_Encode4(1230196), // Rule ID 17739 //
     /* 1230121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1230124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1230129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1230132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1230135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230160 */     // MIs[0] round
     /* 1230160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230170 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11305:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32),
     /* 1230173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230195 */     // GIR_Coverage, 17739,
     /* 1230195 */     GIR_EraseRootFromParent_Done,
     /* 1230196 */   // Label 17811: @1230196
     /* 1230196 */   GIM_Try, /*On fail goto*//*Label 17812*/ GIMT_Encode4(1230276), // Rule ID 17742 //
     /* 1230201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1230204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1230209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1230212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1230215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230240 */     // MIs[0] round
     /* 1230240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230250 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1230253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230275 */     // GIR_Coverage, 17742,
     /* 1230275 */     GIR_EraseRootFromParent_Done,
     /* 1230276 */   // Label 17812: @1230276
     /* 1230276 */   GIM_Try, /*On fail goto*//*Label 17813*/ GIMT_Encode4(1230356), // Rule ID 17743 //
     /* 1230281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1230284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1230289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1230292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1230295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1230298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230320 */     // MIs[0] round
     /* 1230320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230330 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11305:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32),
     /* 1230333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230355 */     // GIR_Coverage, 17743,
     /* 1230355 */     GIR_EraseRootFromParent_Done,
     /* 1230356 */   // Label 17813: @1230356
     /* 1230356 */   GIM_Try, /*On fail goto*//*Label 17814*/ GIMT_Encode4(1230436), // Rule ID 17746 //
     /* 1230361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1230364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1230369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1230372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1230375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230400 */     // MIs[0] round
     /* 1230400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230410 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1230413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230435 */     // GIR_Coverage, 17746,
     /* 1230435 */     GIR_EraseRootFromParent_Done,
     /* 1230436 */   // Label 17814: @1230436
     /* 1230436 */   GIM_Try, /*On fail goto*//*Label 17815*/ GIMT_Encode4(1230516), // Rule ID 17747 //
     /* 1230441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1230444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1230449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1230452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1230455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1230458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1230476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230480 */     // MIs[0] round
     /* 1230480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230490 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11305:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32),
     /* 1230493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230515 */     // GIR_Coverage, 17747,
     /* 1230515 */     GIR_EraseRootFromParent_Done,
     /* 1230516 */   // Label 17815: @1230516
     /* 1230516 */   GIM_Try, /*On fail goto*//*Label 17816*/ GIMT_Encode4(1230596), // Rule ID 17750 //
     /* 1230521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1230524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1230529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1230532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1230535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230560 */     // MIs[0] round
     /* 1230560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230570 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1230573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230595 */     // GIR_Coverage, 17750,
     /* 1230595 */     GIR_EraseRootFromParent_Done,
     /* 1230596 */   // Label 17816: @1230596
     /* 1230596 */   GIM_Try, /*On fail goto*//*Label 17817*/ GIMT_Encode4(1230676), // Rule ID 17751 //
     /* 1230601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1230604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul),
     /* 1230609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1230612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1230615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1230618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1230621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1230632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1230636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1230640 */     // MIs[0] round
     /* 1230640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230650 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11305:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWMUL_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32),
     /* 1230653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1230657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230675 */     // GIR_Coverage, 17751,
     /* 1230675 */     GIR_EraseRootFromParent_Done,
     /* 1230676 */   // Label 17817: @1230676
     /* 1230676 */   GIM_Try, /*On fail goto*//*Label 17818*/ GIMT_Encode4(1230756), // Rule ID 22828 //
     /* 1230681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1230684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1230689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1230692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1230695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1230698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1230701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230720 */     // MIs[0] round
     /* 1230720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230730 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1230733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230755 */     // GIR_Coverage, 22828,
     /* 1230755 */     GIR_EraseRootFromParent_Done,
     /* 1230756 */   // Label 17818: @1230756
     /* 1230756 */   GIM_Try, /*On fail goto*//*Label 17819*/ GIMT_Encode4(1230836), // Rule ID 22829 //
     /* 1230761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1230764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1230769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1230772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1230775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1230778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1230781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230800 */     // MIs[0] round
     /* 1230800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230810 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16),
     /* 1230813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1230831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230835 */     // GIR_Coverage, 22829,
     /* 1230835 */     GIR_EraseRootFromParent_Done,
     /* 1230836 */   // Label 17819: @1230836
     /* 1230836 */   GIM_Try, /*On fail goto*//*Label 17820*/ GIMT_Encode4(1230916), // Rule ID 22832 //
     /* 1230841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1230844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1230849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1230864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230880 */     // MIs[0] round
     /* 1230880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230890 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1230890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1230893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230915 */     // GIR_Coverage, 22832,
     /* 1230915 */     GIR_EraseRootFromParent_Done,
     /* 1230916 */   // Label 17820: @1230916
     /* 1230916 */   GIM_Try, /*On fail goto*//*Label 17821*/ GIMT_Encode4(1230996), // Rule ID 22833 //
     /* 1230921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1230924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1230929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1230932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1230935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1230938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1230941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1230944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1230960 */     // MIs[0] round
     /* 1230960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1230963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1230970 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1230970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32),
     /* 1230973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1230975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1230977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1230979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1230981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1230983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1230988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1230991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1230994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1230995 */     // GIR_Coverage, 22833,
     /* 1230995 */     GIR_EraseRootFromParent_Done,
     /* 1230996 */   // Label 17821: @1230996
     /* 1230996 */   GIM_Try, /*On fail goto*//*Label 17822*/ GIMT_Encode4(1231076), // Rule ID 22836 //
     /* 1231001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231040 */     // MIs[0] round
     /* 1231040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231050 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1231053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231075 */     // GIR_Coverage, 22836,
     /* 1231075 */     GIR_EraseRootFromParent_Done,
     /* 1231076 */   // Label 17822: @1231076
     /* 1231076 */   GIM_Try, /*On fail goto*//*Label 17823*/ GIMT_Encode4(1231156), // Rule ID 22837 //
     /* 1231081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1231098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231120 */     // MIs[0] round
     /* 1231120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231130 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16),
     /* 1231133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231155 */     // GIR_Coverage, 22837,
     /* 1231155 */     GIR_EraseRootFromParent_Done,
     /* 1231156 */   // Label 17823: @1231156
     /* 1231156 */   GIM_Try, /*On fail goto*//*Label 17824*/ GIMT_Encode4(1231236), // Rule ID 22840 //
     /* 1231161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231200 */     // MIs[0] round
     /* 1231200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231210 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1231213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231235 */     // GIR_Coverage, 22840,
     /* 1231235 */     GIR_EraseRootFromParent_Done,
     /* 1231236 */   // Label 17824: @1231236
     /* 1231236 */   GIM_Try, /*On fail goto*//*Label 17825*/ GIMT_Encode4(1231316), // Rule ID 22841 //
     /* 1231241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1231244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1231258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231280 */     // MIs[0] round
     /* 1231280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231290 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32),
     /* 1231293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1231311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231315 */     // GIR_Coverage, 22841,
     /* 1231315 */     GIR_EraseRootFromParent_Done,
     /* 1231316 */   // Label 17825: @1231316
     /* 1231316 */   GIM_Try, /*On fail goto*//*Label 17826*/ GIMT_Encode4(1231396), // Rule ID 22844 //
     /* 1231321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1231324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1231338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231360 */     // MIs[0] round
     /* 1231360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231370 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1231373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231395 */     // GIR_Coverage, 22844,
     /* 1231395 */     GIR_EraseRootFromParent_Done,
     /* 1231396 */   // Label 17826: @1231396
     /* 1231396 */   GIM_Try, /*On fail goto*//*Label 17827*/ GIMT_Encode4(1231476), // Rule ID 22845 //
     /* 1231401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1231404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1231412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1231415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1231418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1231421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231440 */     // MIs[0] round
     /* 1231440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231450 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64),
     /* 1231453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1231471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231475 */     // GIR_Coverage, 22845,
     /* 1231475 */     GIR_EraseRootFromParent_Done,
     /* 1231476 */   // Label 17827: @1231476
     /* 1231476 */   GIM_Try, /*On fail goto*//*Label 17828*/ GIMT_Encode4(1231556), // Rule ID 22848 //
     /* 1231481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231520 */     // MIs[0] round
     /* 1231520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231530 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1231533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231555 */     // GIR_Coverage, 22848,
     /* 1231555 */     GIR_EraseRootFromParent_Done,
     /* 1231556 */   // Label 17828: @1231556
     /* 1231556 */   GIM_Try, /*On fail goto*//*Label 17829*/ GIMT_Encode4(1231636), // Rule ID 22849 //
     /* 1231561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1231578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231600 */     // MIs[0] round
     /* 1231600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231610 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16),
     /* 1231613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231635 */     // GIR_Coverage, 22849,
     /* 1231635 */     GIR_EraseRootFromParent_Done,
     /* 1231636 */   // Label 17829: @1231636
     /* 1231636 */   GIM_Try, /*On fail goto*//*Label 17830*/ GIMT_Encode4(1231716), // Rule ID 22852 //
     /* 1231641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231680 */     // MIs[0] round
     /* 1231680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231690 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1231693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231715 */     // GIR_Coverage, 22852,
     /* 1231715 */     GIR_EraseRootFromParent_Done,
     /* 1231716 */   // Label 17830: @1231716
     /* 1231716 */   GIM_Try, /*On fail goto*//*Label 17831*/ GIMT_Encode4(1231796), // Rule ID 22853 //
     /* 1231721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1231738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1231756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231760 */     // MIs[0] round
     /* 1231760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231770 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16),
     /* 1231773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231795 */     // GIR_Coverage, 22853,
     /* 1231795 */     GIR_EraseRootFromParent_Done,
     /* 1231796 */   // Label 17831: @1231796
     /* 1231796 */   GIM_Try, /*On fail goto*//*Label 17832*/ GIMT_Encode4(1231876), // Rule ID 22856 //
     /* 1231801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1231804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231840 */     // MIs[0] round
     /* 1231840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231850 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1231850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1231853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231875 */     // GIR_Coverage, 22856,
     /* 1231875 */     GIR_EraseRootFromParent_Done,
     /* 1231876 */   // Label 17832: @1231876
     /* 1231876 */   GIM_Try, /*On fail goto*//*Label 17833*/ GIMT_Encode4(1231956), // Rule ID 22857 //
     /* 1231881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1231884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1231892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1231895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1231898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1231901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1231904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1231916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231920 */     // MIs[0] round
     /* 1231920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1231923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1231930 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11257:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1231930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16),
     /* 1231933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1231935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1231937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1231939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1231941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1231943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1231948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1231951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1231954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1231955 */     // GIR_Coverage, 22857,
     /* 1231955 */     GIR_EraseRootFromParent_Done,
     /* 1231956 */   // Label 17833: @1231956
     /* 1231956 */   GIM_Try, /*On fail goto*//*Label 17834*/ GIMT_Encode4(1232036), // Rule ID 22860 //
     /* 1231961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1231964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1231969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1231972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1231975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1231978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1231981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1231984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1231992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1231996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232000 */     // MIs[0] round
     /* 1232000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232010 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1232013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232035 */     // GIR_Coverage, 22860,
     /* 1232035 */     GIR_EraseRootFromParent_Done,
     /* 1232036 */   // Label 17834: @1232036
     /* 1232036 */   GIM_Try, /*On fail goto*//*Label 17835*/ GIMT_Encode4(1232116), // Rule ID 22861 //
     /* 1232041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1232058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232080 */     // MIs[0] round
     /* 1232080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32),
     /* 1232093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232115 */     // GIR_Coverage, 22861,
     /* 1232115 */     GIR_EraseRootFromParent_Done,
     /* 1232116 */   // Label 17835: @1232116
     /* 1232116 */   GIM_Try, /*On fail goto*//*Label 17836*/ GIMT_Encode4(1232196), // Rule ID 22864 //
     /* 1232121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1232138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232160 */     // MIs[0] round
     /* 1232160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1232173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232195 */     // GIR_Coverage, 22864,
     /* 1232195 */     GIR_EraseRootFromParent_Done,
     /* 1232196 */   // Label 17836: @1232196
     /* 1232196 */   GIM_Try, /*On fail goto*//*Label 17837*/ GIMT_Encode4(1232276), // Rule ID 22865 //
     /* 1232201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1232218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232240 */     // MIs[0] round
     /* 1232240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32),
     /* 1232253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232275 */     // GIR_Coverage, 22865,
     /* 1232275 */     GIR_EraseRootFromParent_Done,
     /* 1232276 */   // Label 17837: @1232276
     /* 1232276 */   GIM_Try, /*On fail goto*//*Label 17838*/ GIMT_Encode4(1232356), // Rule ID 22868 //
     /* 1232281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1232284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232320 */     // MIs[0] round
     /* 1232320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1232333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232355 */     // GIR_Coverage, 22868,
     /* 1232355 */     GIR_EraseRootFromParent_Done,
     /* 1232356 */   // Label 17838: @1232356
     /* 1232356 */   GIM_Try, /*On fail goto*//*Label 17839*/ GIMT_Encode4(1232436), // Rule ID 22869 //
     /* 1232361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1232364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1232372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1232375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1232378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1232381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232400 */     // MIs[0] round
     /* 1232400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11257:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32),
     /* 1232413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1232431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232435 */     // GIR_Coverage, 22869,
     /* 1232435 */     GIR_EraseRootFromParent_Done,
     /* 1232436 */   // Label 17839: @1232436
     /* 1232436 */   GIM_Try, /*On fail goto*//*Label 17840*/ GIMT_Encode4(1232516), // Rule ID 22872 //
     /* 1232441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1232444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1232458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232480 */     // MIs[0] round
     /* 1232480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1232493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232515 */     // GIR_Coverage, 22872,
     /* 1232515 */     GIR_EraseRootFromParent_Done,
     /* 1232516 */   // Label 17840: @1232516
     /* 1232516 */   GIM_Try, /*On fail goto*//*Label 17841*/ GIMT_Encode4(1232596), // Rule ID 22873 //
     /* 1232521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1232524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1232538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1232556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232560 */     // MIs[0] round
     /* 1232560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232570 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64),
     /* 1232573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232595 */     // GIR_Coverage, 22873,
     /* 1232595 */     GIR_EraseRootFromParent_Done,
     /* 1232596 */   // Label 17841: @1232596
     /* 1232596 */   GIM_Try, /*On fail goto*//*Label 17842*/ GIMT_Encode4(1232676), // Rule ID 22876 //
     /* 1232601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1232604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1232618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232640 */     // MIs[0] round
     /* 1232640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232650 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1232653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232675 */     // GIR_Coverage, 22876,
     /* 1232675 */     GIR_EraseRootFromParent_Done,
     /* 1232676 */   // Label 17842: @1232676
     /* 1232676 */   GIM_Try, /*On fail goto*//*Label 17843*/ GIMT_Encode4(1232756), // Rule ID 22877 //
     /* 1232681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1232684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1232698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1232716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232720 */     // MIs[0] round
     /* 1232720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64),
     /* 1232733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232755 */     // GIR_Coverage, 22877,
     /* 1232755 */     GIR_EraseRootFromParent_Done,
     /* 1232756 */   // Label 17843: @1232756
     /* 1232756 */   GIM_Try, /*On fail goto*//*Label 17844*/ GIMT_Encode4(1232836), // Rule ID 22880 //
     /* 1232761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1232764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1232778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232800 */     // MIs[0] round
     /* 1232800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1232813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232835 */     // GIR_Coverage, 22880,
     /* 1232835 */     GIR_EraseRootFromParent_Done,
     /* 1232836 */   // Label 17844: @1232836
     /* 1232836 */   GIM_Try, /*On fail goto*//*Label 17845*/ GIMT_Encode4(1232916), // Rule ID 22881 //
     /* 1232841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1232844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum),
     /* 1232849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1232852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1232855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1232858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1232861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1232864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1232876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232880 */     // MIs[0] round
     /* 1232880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11257:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1232890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64),
     /* 1232893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1232911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232915 */     // GIR_Coverage, 22881,
     /* 1232915 */     GIR_EraseRootFromParent_Done,
     /* 1232916 */   // Label 17845: @1232916
     /* 1232916 */   GIM_Try, /*On fail goto*//*Label 17846*/ GIMT_Encode4(1232996), // Rule ID 22884 //
     /* 1232921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1232924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1232929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1232932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1232935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1232938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1232941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1232944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1232960 */     // MIs[0] round
     /* 1232960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1232963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1232970 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1232970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1232973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1232975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1232977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1232979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1232981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1232983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1232988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1232991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1232994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1232995 */     // GIR_Coverage, 22884,
     /* 1232995 */     GIR_EraseRootFromParent_Done,
     /* 1232996 */   // Label 17846: @1232996
     /* 1232996 */   GIM_Try, /*On fail goto*//*Label 17847*/ GIMT_Encode4(1233076), // Rule ID 22885 //
     /* 1233001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1233018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233040 */     // MIs[0] round
     /* 1233040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233050 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16),
     /* 1233053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233075 */     // GIR_Coverage, 22885,
     /* 1233075 */     GIR_EraseRootFromParent_Done,
     /* 1233076 */   // Label 17847: @1233076
     /* 1233076 */   GIM_Try, /*On fail goto*//*Label 17848*/ GIMT_Encode4(1233156), // Rule ID 22888 //
     /* 1233081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1233098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233120 */     // MIs[0] round
     /* 1233120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233130 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1233133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233155 */     // GIR_Coverage, 22888,
     /* 1233155 */     GIR_EraseRootFromParent_Done,
     /* 1233156 */   // Label 17848: @1233156
     /* 1233156 */   GIM_Try, /*On fail goto*//*Label 17849*/ GIMT_Encode4(1233236), // Rule ID 22889 //
     /* 1233161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1233178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233200 */     // MIs[0] round
     /* 1233200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233210 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16),
     /* 1233213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233235 */     // GIR_Coverage, 22889,
     /* 1233235 */     GIR_EraseRootFromParent_Done,
     /* 1233236 */   // Label 17849: @1233236
     /* 1233236 */   GIM_Try, /*On fail goto*//*Label 17850*/ GIMT_Encode4(1233316), // Rule ID 22892 //
     /* 1233241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1233258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233280 */     // MIs[0] round
     /* 1233280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233290 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1233293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233315 */     // GIR_Coverage, 22892,
     /* 1233315 */     GIR_EraseRootFromParent_Done,
     /* 1233316 */   // Label 17850: @1233316
     /* 1233316 */   GIM_Try, /*On fail goto*//*Label 17851*/ GIMT_Encode4(1233396), // Rule ID 22893 //
     /* 1233321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1233338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233360 */     // MIs[0] round
     /* 1233360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32),
     /* 1233373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233395 */     // GIR_Coverage, 22893,
     /* 1233395 */     GIR_EraseRootFromParent_Done,
     /* 1233396 */   // Label 17851: @1233396
     /* 1233396 */   GIM_Try, /*On fail goto*//*Label 17852*/ GIMT_Encode4(1233476), // Rule ID 22896 //
     /* 1233401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233440 */     // MIs[0] round
     /* 1233440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233450 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1233453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233475 */     // GIR_Coverage, 22896,
     /* 1233475 */     GIR_EraseRootFromParent_Done,
     /* 1233476 */   // Label 17852: @1233476
     /* 1233476 */   GIM_Try, /*On fail goto*//*Label 17853*/ GIMT_Encode4(1233556), // Rule ID 22897 //
     /* 1233481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1233498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233520 */     // MIs[0] round
     /* 1233520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233530 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16),
     /* 1233533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233555 */     // GIR_Coverage, 22897,
     /* 1233555 */     GIR_EraseRootFromParent_Done,
     /* 1233556 */   // Label 17853: @1233556
     /* 1233556 */   GIM_Try, /*On fail goto*//*Label 17854*/ GIMT_Encode4(1233636), // Rule ID 22900 //
     /* 1233561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1233564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233600 */     // MIs[0] round
     /* 1233600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233610 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1233613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233635 */     // GIR_Coverage, 22900,
     /* 1233635 */     GIR_EraseRootFromParent_Done,
     /* 1233636 */   // Label 17854: @1233636
     /* 1233636 */   GIM_Try, /*On fail goto*//*Label 17855*/ GIMT_Encode4(1233716), // Rule ID 22901 //
     /* 1233641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1233644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1233652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1233655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1233658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1233661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233680 */     // MIs[0] round
     /* 1233680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233690 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32),
     /* 1233693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1233711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233715 */     // GIR_Coverage, 22901,
     /* 1233715 */     GIR_EraseRootFromParent_Done,
     /* 1233716 */   // Label 17855: @1233716
     /* 1233716 */   GIM_Try, /*On fail goto*//*Label 17856*/ GIMT_Encode4(1233796), // Rule ID 22904 //
     /* 1233721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1233724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233760 */     // MIs[0] round
     /* 1233760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1233773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233795 */     // GIR_Coverage, 22904,
     /* 1233795 */     GIR_EraseRootFromParent_Done,
     /* 1233796 */   // Label 17856: @1233796
     /* 1233796 */   GIM_Try, /*On fail goto*//*Label 17857*/ GIMT_Encode4(1233876), // Rule ID 22905 //
     /* 1233801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1233804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1233812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1233815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1233818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1233821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233840 */     // MIs[0] round
     /* 1233840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233850 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1233850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64),
     /* 1233853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1233871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233875 */     // GIR_Coverage, 22905,
     /* 1233875 */     GIR_EraseRootFromParent_Done,
     /* 1233876 */   // Label 17857: @1233876
     /* 1233876 */   GIM_Try, /*On fail goto*//*Label 17858*/ GIMT_Encode4(1233956), // Rule ID 22908 //
     /* 1233881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1233884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1233904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233920 */     // MIs[0] round
     /* 1233920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1233923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1233930 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1233930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1233933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1233935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1233937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1233939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1233941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1233943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1233948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1233951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1233954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1233955 */     // GIR_Coverage, 22908,
     /* 1233955 */     GIR_EraseRootFromParent_Done,
     /* 1233956 */   // Label 17858: @1233956
     /* 1233956 */   GIM_Try, /*On fail goto*//*Label 17859*/ GIMT_Encode4(1234036), // Rule ID 22909 //
     /* 1233961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1233964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1233969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1233972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1233975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1233978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1233981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1233984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1233992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1233996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234000 */     // MIs[0] round
     /* 1234000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234010 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16),
     /* 1234013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234035 */     // GIR_Coverage, 22909,
     /* 1234035 */     GIR_EraseRootFromParent_Done,
     /* 1234036 */   // Label 17859: @1234036
     /* 1234036 */   GIM_Try, /*On fail goto*//*Label 17860*/ GIMT_Encode4(1234116), // Rule ID 22912 //
     /* 1234041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1234044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1234052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1234055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1234058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1234061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234080 */     // MIs[0] round
     /* 1234080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234090 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1234093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234115 */     // GIR_Coverage, 22912,
     /* 1234115 */     GIR_EraseRootFromParent_Done,
     /* 1234116 */   // Label 17860: @1234116
     /* 1234116 */   GIM_Try, /*On fail goto*//*Label 17861*/ GIMT_Encode4(1234196), // Rule ID 22913 //
     /* 1234121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1234124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1234132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1234135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1234138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1234141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234160 */     // MIs[0] round
     /* 1234160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234170 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16),
     /* 1234173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234195 */     // GIR_Coverage, 22913,
     /* 1234195 */     GIR_EraseRootFromParent_Done,
     /* 1234196 */   // Label 17861: @1234196
     /* 1234196 */   GIM_Try, /*On fail goto*//*Label 17862*/ GIMT_Encode4(1234276), // Rule ID 22916 //
     /* 1234201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1234204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1234212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1234215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1234221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234240 */     // MIs[0] round
     /* 1234240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234250 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1234253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234275 */     // GIR_Coverage, 22916,
     /* 1234275 */     GIR_EraseRootFromParent_Done,
     /* 1234276 */   // Label 17862: @1234276
     /* 1234276 */   GIM_Try, /*On fail goto*//*Label 17863*/ GIMT_Encode4(1234356), // Rule ID 22917 //
     /* 1234281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1234284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1234292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1234295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1234298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1234301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234320 */     // MIs[0] round
     /* 1234320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234330 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11259:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16),
     /* 1234333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1234351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234355 */     // GIR_Coverage, 22917,
     /* 1234355 */     GIR_EraseRootFromParent_Done,
     /* 1234356 */   // Label 17863: @1234356
     /* 1234356 */   GIM_Try, /*On fail goto*//*Label 17864*/ GIMT_Encode4(1234436), // Rule ID 22920 //
     /* 1234361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1234364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234400 */     // MIs[0] round
     /* 1234400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1234413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234435 */     // GIR_Coverage, 22920,
     /* 1234435 */     GIR_EraseRootFromParent_Done,
     /* 1234436 */   // Label 17864: @1234436
     /* 1234436 */   GIM_Try, /*On fail goto*//*Label 17865*/ GIMT_Encode4(1234516), // Rule ID 22921 //
     /* 1234441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1234444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1234458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234480 */     // MIs[0] round
     /* 1234480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234490 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32),
     /* 1234493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234515 */     // GIR_Coverage, 22921,
     /* 1234515 */     GIR_EraseRootFromParent_Done,
     /* 1234516 */   // Label 17865: @1234516
     /* 1234516 */   GIM_Try, /*On fail goto*//*Label 17866*/ GIMT_Encode4(1234596), // Rule ID 22924 //
     /* 1234521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1234524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234560 */     // MIs[0] round
     /* 1234560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1234573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234595 */     // GIR_Coverage, 22924,
     /* 1234595 */     GIR_EraseRootFromParent_Done,
     /* 1234596 */   // Label 17866: @1234596
     /* 1234596 */   GIM_Try, /*On fail goto*//*Label 17867*/ GIMT_Encode4(1234676), // Rule ID 22925 //
     /* 1234601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1234604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1234618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1234636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234640 */     // MIs[0] round
     /* 1234640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234650 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32),
     /* 1234653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234675 */     // GIR_Coverage, 22925,
     /* 1234675 */     GIR_EraseRootFromParent_Done,
     /* 1234676 */   // Label 17867: @1234676
     /* 1234676 */   GIM_Try, /*On fail goto*//*Label 17868*/ GIMT_Encode4(1234756), // Rule ID 22928 //
     /* 1234681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1234684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234720 */     // MIs[0] round
     /* 1234720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234730 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1234733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234755 */     // GIR_Coverage, 22928,
     /* 1234755 */     GIR_EraseRootFromParent_Done,
     /* 1234756 */   // Label 17868: @1234756
     /* 1234756 */   GIM_Try, /*On fail goto*//*Label 17869*/ GIMT_Encode4(1234836), // Rule ID 22929 //
     /* 1234761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1234764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1234772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1234775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1234778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1234781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1234796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234800 */     // MIs[0] round
     /* 1234800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234810 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11259:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32),
     /* 1234813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1234831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234835 */     // GIR_Coverage, 22929,
     /* 1234835 */     GIR_EraseRootFromParent_Done,
     /* 1234836 */   // Label 17869: @1234836
     /* 1234836 */   GIM_Try, /*On fail goto*//*Label 17870*/ GIMT_Encode4(1234916), // Rule ID 22932 //
     /* 1234841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1234844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1234858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1234864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234880 */     // MIs[0] round
     /* 1234880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1234890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1234893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234915 */     // GIR_Coverage, 22932,
     /* 1234915 */     GIR_EraseRootFromParent_Done,
     /* 1234916 */   // Label 17870: @1234916
     /* 1234916 */   GIM_Try, /*On fail goto*//*Label 17871*/ GIMT_Encode4(1234996), // Rule ID 22933 //
     /* 1234921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1234924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1234929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1234932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1234935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1234938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1234941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1234944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1234956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1234960 */     // MIs[0] round
     /* 1234960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1234963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1234970 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1234970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64),
     /* 1234973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1234975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1234977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1234979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1234981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1234983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1234988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1234991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1234994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1234995 */     // GIR_Coverage, 22933,
     /* 1234995 */     GIR_EraseRootFromParent_Done,
     /* 1234996 */   // Label 17871: @1234996
     /* 1234996 */   GIM_Try, /*On fail goto*//*Label 17872*/ GIMT_Encode4(1235076), // Rule ID 22936 //
     /* 1235001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1235004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1235009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1235018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1235021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235040 */     // MIs[0] round
     /* 1235040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1235053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235075 */     // GIR_Coverage, 22936,
     /* 1235075 */     GIR_EraseRootFromParent_Done,
     /* 1235076 */   // Label 17872: @1235076
     /* 1235076 */   GIM_Try, /*On fail goto*//*Label 17873*/ GIMT_Encode4(1235156), // Rule ID 22937 //
     /* 1235081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1235084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1235089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1235098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1235101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1235116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235120 */     // MIs[0] round
     /* 1235120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235130 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64),
     /* 1235133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235155 */     // GIR_Coverage, 22937,
     /* 1235155 */     GIR_EraseRootFromParent_Done,
     /* 1235156 */   // Label 17873: @1235156
     /* 1235156 */   GIM_Try, /*On fail goto*//*Label 17874*/ GIMT_Encode4(1235236), // Rule ID 22940 //
     /* 1235161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1235164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1235169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1235178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1235181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235200 */     // MIs[0] round
     /* 1235200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235210 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1235213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235235 */     // GIR_Coverage, 22940,
     /* 1235235 */     GIR_EraseRootFromParent_Done,
     /* 1235236 */   // Label 17874: @1235236
     /* 1235236 */   GIM_Try, /*On fail goto*//*Label 17875*/ GIMT_Encode4(1235316), // Rule ID 22941 //
     /* 1235241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1235244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum),
     /* 1235249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1235258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1235261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1235276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235280 */     // MIs[0] round
     /* 1235280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235290 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11259:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64),
     /* 1235293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1235311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235315 */     // GIR_Coverage, 22941,
     /* 1235315 */     GIR_EraseRootFromParent_Done,
     /* 1235316 */   // Label 17875: @1235316
     /* 1235316 */   GIM_Try, /*On fail goto*//*Label 17876*/ GIMT_Encode4(1235396), // Rule ID 23064 //
     /* 1235321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1235324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1235332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1235335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1235338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1235341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235360 */     // MIs[0] round
     /* 1235360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1235373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235395 */     // GIR_Coverage, 23064,
     /* 1235395 */     GIR_EraseRootFromParent_Done,
     /* 1235396 */   // Label 17876: @1235396
     /* 1235396 */   GIM_Try, /*On fail goto*//*Label 17877*/ GIMT_Encode4(1235476), // Rule ID 23065 //
     /* 1235401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1235404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1235412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1235415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1235418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1235421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235440 */     // MIs[0] round
     /* 1235440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235450 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16),
     /* 1235453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235475 */     // GIR_Coverage, 23065,
     /* 1235475 */     GIR_EraseRootFromParent_Done,
     /* 1235476 */   // Label 17877: @1235476
     /* 1235476 */   GIM_Try, /*On fail goto*//*Label 17878*/ GIMT_Encode4(1235556), // Rule ID 23068 //
     /* 1235481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1235484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1235492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1235495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1235498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1235501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235520 */     // MIs[0] round
     /* 1235520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235530 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1235533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235555 */     // GIR_Coverage, 23068,
     /* 1235555 */     GIR_EraseRootFromParent_Done,
     /* 1235556 */   // Label 17878: @1235556
     /* 1235556 */   GIM_Try, /*On fail goto*//*Label 17879*/ GIMT_Encode4(1235636), // Rule ID 23069 //
     /* 1235561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1235564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1235572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1235575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1235578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1235581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235600 */     // MIs[0] round
     /* 1235600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235610 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16),
     /* 1235613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235635 */     // GIR_Coverage, 23069,
     /* 1235635 */     GIR_EraseRootFromParent_Done,
     /* 1235636 */   // Label 17879: @1235636
     /* 1235636 */   GIM_Try, /*On fail goto*//*Label 17880*/ GIMT_Encode4(1235716), // Rule ID 23072 //
     /* 1235641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1235644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1235661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235680 */     // MIs[0] round
     /* 1235680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235690 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1235693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235715 */     // GIR_Coverage, 23072,
     /* 1235715 */     GIR_EraseRootFromParent_Done,
     /* 1235716 */   // Label 17880: @1235716
     /* 1235716 */   GIM_Try, /*On fail goto*//*Label 17881*/ GIMT_Encode4(1235796), // Rule ID 23073 //
     /* 1235721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1235724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1235738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1235741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235760 */     // MIs[0] round
     /* 1235760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32),
     /* 1235773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1235791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235795 */     // GIR_Coverage, 23073,
     /* 1235795 */     GIR_EraseRootFromParent_Done,
     /* 1235796 */   // Label 17881: @1235796
     /* 1235796 */   GIM_Try, /*On fail goto*//*Label 17882*/ GIMT_Encode4(1235876), // Rule ID 23076 //
     /* 1235801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1235804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1235812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1235815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1235818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1235821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235840 */     // MIs[0] round
     /* 1235840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235850 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1235850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1235853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235875 */     // GIR_Coverage, 23076,
     /* 1235875 */     GIR_EraseRootFromParent_Done,
     /* 1235876 */   // Label 17882: @1235876
     /* 1235876 */   GIM_Try, /*On fail goto*//*Label 17883*/ GIMT_Encode4(1235956), // Rule ID 23077 //
     /* 1235881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1235884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1235892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1235895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1235898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1235901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1235904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235920 */     // MIs[0] round
     /* 1235920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1235923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1235930 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1235930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16),
     /* 1235933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1235935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1235937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1235939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1235941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1235943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1235948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1235951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1235954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1235955 */     // GIR_Coverage, 23077,
     /* 1235955 */     GIR_EraseRootFromParent_Done,
     /* 1235956 */   // Label 17883: @1235956
     /* 1235956 */   GIM_Try, /*On fail goto*//*Label 17884*/ GIMT_Encode4(1236036), // Rule ID 23080 //
     /* 1235961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1235964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1235969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1235972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1235975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1235978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1235981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1235984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1235996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236000 */     // MIs[0] round
     /* 1236000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236010 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1236013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236035 */     // GIR_Coverage, 23080,
     /* 1236035 */     GIR_EraseRootFromParent_Done,
     /* 1236036 */   // Label 17884: @1236036
     /* 1236036 */   GIM_Try, /*On fail goto*//*Label 17885*/ GIMT_Encode4(1236116), // Rule ID 23081 //
     /* 1236041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1236044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1236058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1236061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236080 */     // MIs[0] round
     /* 1236080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236090 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32),
     /* 1236093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236115 */     // GIR_Coverage, 23081,
     /* 1236115 */     GIR_EraseRootFromParent_Done,
     /* 1236116 */   // Label 17885: @1236116
     /* 1236116 */   GIM_Try, /*On fail goto*//*Label 17886*/ GIMT_Encode4(1236196), // Rule ID 23084 //
     /* 1236121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1236124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1236138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1236141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236160 */     // MIs[0] round
     /* 1236160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1236173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236195 */     // GIR_Coverage, 23084,
     /* 1236195 */     GIR_EraseRootFromParent_Done,
     /* 1236196 */   // Label 17886: @1236196
     /* 1236196 */   GIM_Try, /*On fail goto*//*Label 17887*/ GIMT_Encode4(1236276), // Rule ID 23085 //
     /* 1236201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1236204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1236218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1236221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236240 */     // MIs[0] round
     /* 1236240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16),
     /* 1236253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236275 */     // GIR_Coverage, 23085,
     /* 1236275 */     GIR_EraseRootFromParent_Done,
     /* 1236276 */   // Label 17887: @1236276
     /* 1236276 */   GIM_Try, /*On fail goto*//*Label 17888*/ GIMT_Encode4(1236356), // Rule ID 23088 //
     /* 1236281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1236284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1236298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1236301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236320 */     // MIs[0] round
     /* 1236320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1236333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236355 */     // GIR_Coverage, 23088,
     /* 1236355 */     GIR_EraseRootFromParent_Done,
     /* 1236356 */   // Label 17888: @1236356
     /* 1236356 */   GIM_Try, /*On fail goto*//*Label 17889*/ GIMT_Encode4(1236436), // Rule ID 23089 //
     /* 1236361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1236364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1236378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1236381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236400 */     // MIs[0] round
     /* 1236400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16),
     /* 1236413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236435 */     // GIR_Coverage, 23089,
     /* 1236435 */     GIR_EraseRootFromParent_Done,
     /* 1236436 */   // Label 17889: @1236436
     /* 1236436 */   GIM_Try, /*On fail goto*//*Label 17890*/ GIMT_Encode4(1236516), // Rule ID 23092 //
     /* 1236441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1236444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1236458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1236461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236480 */     // MIs[0] round
     /* 1236480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236490 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1236493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236515 */     // GIR_Coverage, 23092,
     /* 1236515 */     GIR_EraseRootFromParent_Done,
     /* 1236516 */   // Label 17890: @1236516
     /* 1236516 */   GIM_Try, /*On fail goto*//*Label 17891*/ GIMT_Encode4(1236596), // Rule ID 23093 //
     /* 1236521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1236524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1236532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1236535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1236538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1236541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236560 */     // MIs[0] round
     /* 1236560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11313:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16),
     /* 1236573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1236591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236595 */     // GIR_Coverage, 23093,
     /* 1236595 */     GIR_EraseRootFromParent_Done,
     /* 1236596 */   // Label 17891: @1236596
     /* 1236596 */   GIM_Try, /*On fail goto*//*Label 17892*/ GIMT_Encode4(1236676), // Rule ID 23096 //
     /* 1236601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1236604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1236618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1236621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236640 */     // MIs[0] round
     /* 1236640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236650 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1236653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236675 */     // GIR_Coverage, 23096,
     /* 1236675 */     GIR_EraseRootFromParent_Done,
     /* 1236676 */   // Label 17892: @1236676
     /* 1236676 */   GIM_Try, /*On fail goto*//*Label 17893*/ GIMT_Encode4(1236756), // Rule ID 23097 //
     /* 1236681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1236684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1236698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1236701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1236716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236720 */     // MIs[0] round
     /* 1236720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32),
     /* 1236733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236755 */     // GIR_Coverage, 23097,
     /* 1236755 */     GIR_EraseRootFromParent_Done,
     /* 1236756 */   // Label 17893: @1236756
     /* 1236756 */   GIM_Try, /*On fail goto*//*Label 17894*/ GIMT_Encode4(1236836), // Rule ID 23100 //
     /* 1236761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1236764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1236778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1236781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236800 */     // MIs[0] round
     /* 1236800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1236813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236835 */     // GIR_Coverage, 23100,
     /* 1236835 */     GIR_EraseRootFromParent_Done,
     /* 1236836 */   // Label 17894: @1236836
     /* 1236836 */   GIM_Try, /*On fail goto*//*Label 17895*/ GIMT_Encode4(1236916), // Rule ID 23101 //
     /* 1236841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1236844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1236858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1236861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1236864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1236876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236880 */     // MIs[0] round
     /* 1236880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236890 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1236890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32),
     /* 1236893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236915 */     // GIR_Coverage, 23101,
     /* 1236915 */     GIR_EraseRootFromParent_Done,
     /* 1236916 */   // Label 17895: @1236916
     /* 1236916 */   GIM_Try, /*On fail goto*//*Label 17896*/ GIMT_Encode4(1236996), // Rule ID 23104 //
     /* 1236921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1236924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1236929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1236932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1236935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1236938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1236941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1236944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1236956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1236960 */     // MIs[0] round
     /* 1236960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1236963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1236970 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1236970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1236973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1236975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1236977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1236979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1236981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1236983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1236988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1236991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1236994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1236995 */     // GIR_Coverage, 23104,
     /* 1236995 */     GIR_EraseRootFromParent_Done,
     /* 1236996 */   // Label 17896: @1236996
     /* 1236996 */   GIM_Try, /*On fail goto*//*Label 17897*/ GIMT_Encode4(1237076), // Rule ID 23105 //
     /* 1237001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1237004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum),
     /* 1237009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1237018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1237036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237040 */     // MIs[0] round
     /* 1237040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11313:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32),
     /* 1237053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237075 */     // GIR_Coverage, 23105,
     /* 1237075 */     GIR_EraseRootFromParent_Done,
     /* 1237076 */   // Label 17897: @1237076
     /* 1237076 */   GIM_Try, /*On fail goto*//*Label 17898*/ GIMT_Encode4(1237156), // Rule ID 23108 //
     /* 1237081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1237084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237120 */     // MIs[0] round
     /* 1237120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237130 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1237133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237155 */     // GIR_Coverage, 23108,
     /* 1237155 */     GIR_EraseRootFromParent_Done,
     /* 1237156 */   // Label 17898: @1237156
     /* 1237156 */   GIM_Try, /*On fail goto*//*Label 17899*/ GIMT_Encode4(1237236), // Rule ID 23109 //
     /* 1237161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1237164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1237178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237200 */     // MIs[0] round
     /* 1237200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237210 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16),
     /* 1237213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237235 */     // GIR_Coverage, 23109,
     /* 1237235 */     GIR_EraseRootFromParent_Done,
     /* 1237236 */   // Label 17899: @1237236
     /* 1237236 */   GIM_Try, /*On fail goto*//*Label 17900*/ GIMT_Encode4(1237316), // Rule ID 23112 //
     /* 1237241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1237244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237280 */     // MIs[0] round
     /* 1237280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237290 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1237293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237315 */     // GIR_Coverage, 23112,
     /* 1237315 */     GIR_EraseRootFromParent_Done,
     /* 1237316 */   // Label 17900: @1237316
     /* 1237316 */   GIM_Try, /*On fail goto*//*Label 17901*/ GIMT_Encode4(1237396), // Rule ID 23113 //
     /* 1237321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1237324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1237338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237360 */     // MIs[0] round
     /* 1237360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237370 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16),
     /* 1237373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237395 */     // GIR_Coverage, 23113,
     /* 1237395 */     GIR_EraseRootFromParent_Done,
     /* 1237396 */   // Label 17901: @1237396
     /* 1237396 */   GIM_Try, /*On fail goto*//*Label 17902*/ GIMT_Encode4(1237476), // Rule ID 23116 //
     /* 1237401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1237404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237440 */     // MIs[0] round
     /* 1237440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237450 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1237453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237475 */     // GIR_Coverage, 23116,
     /* 1237475 */     GIR_EraseRootFromParent_Done,
     /* 1237476 */   // Label 17902: @1237476
     /* 1237476 */   GIM_Try, /*On fail goto*//*Label 17903*/ GIMT_Encode4(1237556), // Rule ID 23117 //
     /* 1237481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1237484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1237498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237520 */     // MIs[0] round
     /* 1237520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237530 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32),
     /* 1237533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237555 */     // GIR_Coverage, 23117,
     /* 1237555 */     GIR_EraseRootFromParent_Done,
     /* 1237556 */   // Label 17903: @1237556
     /* 1237556 */   GIM_Try, /*On fail goto*//*Label 17904*/ GIMT_Encode4(1237636), // Rule ID 23120 //
     /* 1237561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1237564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237600 */     // MIs[0] round
     /* 1237600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237610 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1237613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237635 */     // GIR_Coverage, 23120,
     /* 1237635 */     GIR_EraseRootFromParent_Done,
     /* 1237636 */   // Label 17904: @1237636
     /* 1237636 */   GIM_Try, /*On fail goto*//*Label 17905*/ GIMT_Encode4(1237716), // Rule ID 23121 //
     /* 1237641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1237644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1237658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237680 */     // MIs[0] round
     /* 1237680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237690 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16),
     /* 1237693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237715 */     // GIR_Coverage, 23121,
     /* 1237715 */     GIR_EraseRootFromParent_Done,
     /* 1237716 */   // Label 17905: @1237716
     /* 1237716 */   GIM_Try, /*On fail goto*//*Label 17906*/ GIMT_Encode4(1237796), // Rule ID 23124 //
     /* 1237721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1237724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1237738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237760 */     // MIs[0] round
     /* 1237760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237770 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1237773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237795 */     // GIR_Coverage, 23124,
     /* 1237795 */     GIR_EraseRootFromParent_Done,
     /* 1237796 */   // Label 17906: @1237796
     /* 1237796 */   GIM_Try, /*On fail goto*//*Label 17907*/ GIMT_Encode4(1237876), // Rule ID 23125 //
     /* 1237801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1237804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1237812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1237815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1237818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1237821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237840 */     // MIs[0] round
     /* 1237840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237850 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1237850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32),
     /* 1237853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1237871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237875 */     // GIR_Coverage, 23125,
     /* 1237875 */     GIR_EraseRootFromParent_Done,
     /* 1237876 */   // Label 17907: @1237876
     /* 1237876 */   GIM_Try, /*On fail goto*//*Label 17908*/ GIMT_Encode4(1237956), // Rule ID 23128 //
     /* 1237881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1237884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1237904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237920 */     // MIs[0] round
     /* 1237920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1237923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1237930 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1237930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1237933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1237935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1237937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1237939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1237941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1237943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1237948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1237951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1237954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1237955 */     // GIR_Coverage, 23128,
     /* 1237955 */     GIR_EraseRootFromParent_Done,
     /* 1237956 */   // Label 17908: @1237956
     /* 1237956 */   GIM_Try, /*On fail goto*//*Label 17909*/ GIMT_Encode4(1238036), // Rule ID 23129 //
     /* 1237961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1237964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1237969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1237972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1237975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1237978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1237981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1237984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1237992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1237996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238000 */     // MIs[0] round
     /* 1238000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238010 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16),
     /* 1238013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238035 */     // GIR_Coverage, 23129,
     /* 1238035 */     GIR_EraseRootFromParent_Done,
     /* 1238036 */   // Label 17909: @1238036
     /* 1238036 */   GIM_Try, /*On fail goto*//*Label 17910*/ GIMT_Encode4(1238116), // Rule ID 23132 //
     /* 1238041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1238044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1238052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1238055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1238058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1238061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238080 */     // MIs[0] round
     /* 1238080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238090 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1238093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238115 */     // GIR_Coverage, 23132,
     /* 1238115 */     GIR_EraseRootFromParent_Done,
     /* 1238116 */   // Label 17910: @1238116
     /* 1238116 */   GIM_Try, /*On fail goto*//*Label 17911*/ GIMT_Encode4(1238196), // Rule ID 23133 //
     /* 1238121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1238124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1238132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1238135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1238138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1238141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238160 */     // MIs[0] round
     /* 1238160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16),
     /* 1238173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238195 */     // GIR_Coverage, 23133,
     /* 1238195 */     GIR_EraseRootFromParent_Done,
     /* 1238196 */   // Label 17911: @1238196
     /* 1238196 */   GIM_Try, /*On fail goto*//*Label 17912*/ GIMT_Encode4(1238276), // Rule ID 23136 //
     /* 1238201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1238204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1238212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1238215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1238221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238240 */     // MIs[0] round
     /* 1238240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238250 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1238253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238275 */     // GIR_Coverage, 23136,
     /* 1238275 */     GIR_EraseRootFromParent_Done,
     /* 1238276 */   // Label 17912: @1238276
     /* 1238276 */   GIM_Try, /*On fail goto*//*Label 17913*/ GIMT_Encode4(1238356), // Rule ID 23137 //
     /* 1238281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1238284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1238292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1238295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1238298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1238301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238320 */     // MIs[0] round
     /* 1238320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238330 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11311:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16),
     /* 1238333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1238351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238355 */     // GIR_Coverage, 23137,
     /* 1238355 */     GIR_EraseRootFromParent_Done,
     /* 1238356 */   // Label 17913: @1238356
     /* 1238356 */   GIM_Try, /*On fail goto*//*Label 17914*/ GIMT_Encode4(1238436), // Rule ID 23140 //
     /* 1238361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1238364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1238372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1238375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1238381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238400 */     // MIs[0] round
     /* 1238400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238410 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1238413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238435 */     // GIR_Coverage, 23140,
     /* 1238435 */     GIR_EraseRootFromParent_Done,
     /* 1238436 */   // Label 17914: @1238436
     /* 1238436 */   GIM_Try, /*On fail goto*//*Label 17915*/ GIMT_Encode4(1238516), // Rule ID 23141 //
     /* 1238441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1238444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1238452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1238455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1238458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1238461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1238476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238480 */     // MIs[0] round
     /* 1238480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238490 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32),
     /* 1238493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238515 */     // GIR_Coverage, 23141,
     /* 1238515 */     GIR_EraseRootFromParent_Done,
     /* 1238516 */   // Label 17915: @1238516
     /* 1238516 */   GIM_Try, /*On fail goto*//*Label 17916*/ GIMT_Encode4(1238596), // Rule ID 23144 //
     /* 1238521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1238524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1238532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1238535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1238541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238560 */     // MIs[0] round
     /* 1238560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238570 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1238573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238595 */     // GIR_Coverage, 23144,
     /* 1238595 */     GIR_EraseRootFromParent_Done,
     /* 1238596 */   // Label 17916: @1238596
     /* 1238596 */   GIM_Try, /*On fail goto*//*Label 17917*/ GIMT_Encode4(1238676), // Rule ID 23145 //
     /* 1238601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1238604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1238612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1238615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1238618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1238621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1238636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238640 */     // MIs[0] round
     /* 1238640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238650 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32),
     /* 1238653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238675 */     // GIR_Coverage, 23145,
     /* 1238675 */     GIR_EraseRootFromParent_Done,
     /* 1238676 */   // Label 17917: @1238676
     /* 1238676 */   GIM_Try, /*On fail goto*//*Label 17918*/ GIMT_Encode4(1238756), // Rule ID 23148 //
     /* 1238681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1238684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1238692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1238695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1238701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238720 */     // MIs[0] round
     /* 1238720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238730 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1238733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238755 */     // GIR_Coverage, 23148,
     /* 1238755 */     GIR_EraseRootFromParent_Done,
     /* 1238756 */   // Label 17918: @1238756
     /* 1238756 */   GIM_Try, /*On fail goto*//*Label 17919*/ GIMT_Encode4(1238836), // Rule ID 23149 //
     /* 1238761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1238764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum),
     /* 1238769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1238772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1238775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1238778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1238781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1238796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238800 */     // MIs[0] round
     /* 1238800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238810 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11311:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32),
     /* 1238813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1238817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1238831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238835 */     // GIR_Coverage, 23149,
     /* 1238835 */     GIR_EraseRootFromParent_Done,
     /* 1238836 */   // Label 17919: @1238836
     /* 1238836 */   GIM_Try, /*On fail goto*//*Label 17920*/ GIMT_Encode4(1238916), // Rule ID 64353 //
     /* 1238841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1238844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1238849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1238858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1238864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1238880 */     // MIs[0] round
     /* 1238880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238890 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1238890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1238893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238915 */     // GIR_Coverage, 64353,
     /* 1238915 */     GIR_EraseRootFromParent_Done,
     /* 1238916 */   // Label 17920: @1238916
     /* 1238916 */   GIM_Try, /*On fail goto*//*Label 17921*/ GIMT_Encode4(1238996), // Rule ID 64354 //
     /* 1238921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1238924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1238929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1238932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1238935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1238938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1238941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1238944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1238956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1238960 */     // MIs[0] round
     /* 1238960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1238963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1238970 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1238970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8),
     /* 1238973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1238975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1238977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1238979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1238981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1238983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1238988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1238991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1238994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1238995 */     // GIR_Coverage, 64354,
     /* 1238995 */     GIR_EraseRootFromParent_Done,
     /* 1238996 */   // Label 17921: @1238996
     /* 1238996 */   GIM_Try, /*On fail goto*//*Label 17922*/ GIMT_Encode4(1239076), // Rule ID 64357 //
     /* 1239001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1239004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1239009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1239018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239040 */     // MIs[0] round
     /* 1239040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239050 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1239050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1239053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239075 */     // GIR_Coverage, 64357,
     /* 1239075 */     GIR_EraseRootFromParent_Done,
     /* 1239076 */   // Label 17922: @1239076
     /* 1239076 */   GIM_Try, /*On fail goto*//*Label 17923*/ GIMT_Encode4(1239156), // Rule ID 64358 //
     /* 1239081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1239084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1239089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1239098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239120 */     // MIs[0] round
     /* 1239120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239130 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1239130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4),
     /* 1239133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239155 */     // GIR_Coverage, 64358,
     /* 1239155 */     GIR_EraseRootFromParent_Done,
     /* 1239156 */   // Label 17923: @1239156
     /* 1239156 */   GIM_Try, /*On fail goto*//*Label 17924*/ GIMT_Encode4(1239236), // Rule ID 64361 //
     /* 1239161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1239164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1239169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1239178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239200 */     // MIs[0] round
     /* 1239200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239210 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1239210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1239213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239235 */     // GIR_Coverage, 64361,
     /* 1239235 */     GIR_EraseRootFromParent_Done,
     /* 1239236 */   // Label 17924: @1239236
     /* 1239236 */   GIM_Try, /*On fail goto*//*Label 17925*/ GIMT_Encode4(1239316), // Rule ID 64362 //
     /* 1239241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1239244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1239249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1239258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239280 */     // MIs[0] round
     /* 1239280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239290 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1239290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2),
     /* 1239293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239315 */     // GIR_Coverage, 64362,
     /* 1239315 */     GIR_EraseRootFromParent_Done,
     /* 1239316 */   // Label 17925: @1239316
     /* 1239316 */   GIM_Try, /*On fail goto*//*Label 17926*/ GIMT_Encode4(1239396), // Rule ID 64365 //
     /* 1239321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1239324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1239329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1239338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239360 */     // MIs[0] round
     /* 1239360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239370 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1239370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1239373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239395 */     // GIR_Coverage, 64365,
     /* 1239395 */     GIR_EraseRootFromParent_Done,
     /* 1239396 */   // Label 17926: @1239396
     /* 1239396 */   GIM_Try, /*On fail goto*//*Label 17927*/ GIMT_Encode4(1239476), // Rule ID 64366 //
     /* 1239401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1239404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1239409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1239412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1239415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1239418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1239436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239440 */     // MIs[0] round
     /* 1239440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11098:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1239450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1),
     /* 1239453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239475 */     // GIR_Coverage, 64366,
     /* 1239475 */     GIR_EraseRootFromParent_Done,
     /* 1239476 */   // Label 17927: @1239476
     /* 1239476 */   GIM_Try, /*On fail goto*//*Label 17928*/ GIMT_Encode4(1239556), // Rule ID 64369 //
     /* 1239481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1239484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1239489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1239492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1239495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1239498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239520 */     // MIs[0] round
     /* 1239520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239530 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1239530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1239533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239555 */     // GIR_Coverage, 64369,
     /* 1239555 */     GIR_EraseRootFromParent_Done,
     /* 1239556 */   // Label 17928: @1239556
     /* 1239556 */   GIM_Try, /*On fail goto*//*Label 17929*/ GIMT_Encode4(1239636), // Rule ID 64370 //
     /* 1239561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1239564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf),
     /* 1239569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1239572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1239575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1239578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1239596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239600 */     // MIs[0] round
     /* 1239600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239610 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11098:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_XU_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1239610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2),
     /* 1239613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239635 */     // GIR_Coverage, 64370,
     /* 1239635 */     GIR_EraseRootFromParent_Done,
     /* 1239636 */   // Label 17929: @1239636
     /* 1239636 */   GIM_Try, /*On fail goto*//*Label 17930*/ GIMT_Encode4(1239716), // Rule ID 64373 //
     /* 1239641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1239644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1239649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1239652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1239655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239680 */     // MIs[0] round
     /* 1239680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239690 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1239690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1239693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239715 */     // GIR_Coverage, 64373,
     /* 1239715 */     GIR_EraseRootFromParent_Done,
     /* 1239716 */   // Label 17930: @1239716
     /* 1239716 */   GIM_Try, /*On fail goto*//*Label 17931*/ GIMT_Encode4(1239796), // Rule ID 64374 //
     /* 1239721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1239724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1239729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1239732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1239735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1239738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239760 */     // MIs[0] round
     /* 1239760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239770 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1239770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8),
     /* 1239773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239795 */     // GIR_Coverage, 64374,
     /* 1239795 */     GIR_EraseRootFromParent_Done,
     /* 1239796 */   // Label 17931: @1239796
     /* 1239796 */   GIM_Try, /*On fail goto*//*Label 17932*/ GIMT_Encode4(1239876), // Rule ID 64377 //
     /* 1239801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1239804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1239809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1239818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239840 */     // MIs[0] round
     /* 1239840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239850 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1239850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1239853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239875 */     // GIR_Coverage, 64377,
     /* 1239875 */     GIR_EraseRootFromParent_Done,
     /* 1239876 */   // Label 17932: @1239876
     /* 1239876 */   GIM_Try, /*On fail goto*//*Label 17933*/ GIMT_Encode4(1239956), // Rule ID 64378 //
     /* 1239881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1239884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1239889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1239892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1239895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1239898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1239904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1239920 */     // MIs[0] round
     /* 1239920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1239923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1239930 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1239930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4),
     /* 1239933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1239935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1239937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1239939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1239941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1239943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1239948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1239951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1239954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1239955 */     // GIR_Coverage, 64378,
     /* 1239955 */     GIR_EraseRootFromParent_Done,
     /* 1239956 */   // Label 17933: @1239956
     /* 1239956 */   GIM_Try, /*On fail goto*//*Label 17934*/ GIMT_Encode4(1240036), // Rule ID 64381 //
     /* 1239961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1239964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1239969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1239972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1239975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1239978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1239981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1239984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1239992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1239996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240000 */     // MIs[0] round
     /* 1240000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240010 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1240010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1240013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240035 */     // GIR_Coverage, 64381,
     /* 1240035 */     GIR_EraseRootFromParent_Done,
     /* 1240036 */   // Label 17934: @1240036
     /* 1240036 */   GIM_Try, /*On fail goto*//*Label 17935*/ GIMT_Encode4(1240116), // Rule ID 64382 //
     /* 1240041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1240044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1240049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1240052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1240055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1240058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240080 */     // MIs[0] round
     /* 1240080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240090 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1240090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2),
     /* 1240093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240115 */     // GIR_Coverage, 64382,
     /* 1240115 */     GIR_EraseRootFromParent_Done,
     /* 1240116 */   // Label 17935: @1240116
     /* 1240116 */   GIM_Try, /*On fail goto*//*Label 17936*/ GIMT_Encode4(1240196), // Rule ID 64385 //
     /* 1240121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1240124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1240129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1240132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1240135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1240138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240160 */     // MIs[0] round
     /* 1240160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240170 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1240170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1240173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240195 */     // GIR_Coverage, 64385,
     /* 1240195 */     GIR_EraseRootFromParent_Done,
     /* 1240196 */   // Label 17936: @1240196
     /* 1240196 */   GIM_Try, /*On fail goto*//*Label 17937*/ GIMT_Encode4(1240276), // Rule ID 64386 //
     /* 1240201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1240204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1240209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1240212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1240215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1240218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1240236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240240 */     // MIs[0] round
     /* 1240240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240250 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11096:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1240250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1),
     /* 1240253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240275 */     // GIR_Coverage, 64386,
     /* 1240275 */     GIR_EraseRootFromParent_Done,
     /* 1240276 */   // Label 17937: @1240276
     /* 1240276 */   GIM_Try, /*On fail goto*//*Label 17938*/ GIMT_Encode4(1240356), // Rule ID 64389 //
     /* 1240281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 1240284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1240289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1240298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240320 */     // MIs[0] round
     /* 1240320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240330 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1240330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1240333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240355 */     // GIR_Coverage, 64389,
     /* 1240355 */     GIR_EraseRootFromParent_Done,
     /* 1240356 */   // Label 17938: @1240356
     /* 1240356 */   GIM_Try, /*On fail goto*//*Label 17939*/ GIMT_Encode4(1240436), // Rule ID 64390 //
     /* 1240361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 1240364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf),
     /* 1240369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1240372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1240375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1240378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1240396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240400 */     // MIs[0] round
     /* 1240400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240410 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11096:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFNRCLIP_X_F_QF_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1240410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2),
     /* 1240413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1240431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240435 */     // GIR_Coverage, 64390,
     /* 1240435 */     GIR_EraseRootFromParent_Done,
     /* 1240436 */   // Label 17939: @1240436
     /* 1240436 */   GIM_Try, /*On fail goto*//*Label 17940*/ GIMT_Encode4(1240516), // Rule ID 65085 //
     /* 1240441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1240444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1240449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1240452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1240455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1240458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240480 */     // MIs[0] round
     /* 1240480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240490 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1240490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4),
     /* 1240493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240515 */     // GIR_Coverage, 65085,
     /* 1240515 */     GIR_EraseRootFromParent_Done,
     /* 1240516 */   // Label 17940: @1240516
     /* 1240516 */   GIM_Try, /*On fail goto*//*Label 17941*/ GIMT_Encode4(1240596), // Rule ID 65086 //
     /* 1240521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1240524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1240529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1240532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1240535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1240538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240560 */     // MIs[0] round
     /* 1240560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240570 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1240570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4),
     /* 1240573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240595 */     // GIR_Coverage, 65086,
     /* 1240595 */     GIR_EraseRootFromParent_Done,
     /* 1240596 */   // Label 17941: @1240596
     /* 1240596 */   GIM_Try, /*On fail goto*//*Label 17942*/ GIMT_Encode4(1240676), // Rule ID 65089 //
     /* 1240601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1240604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1240609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1240612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1240615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1240618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240640 */     // MIs[0] round
     /* 1240640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240650 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1240650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2),
     /* 1240653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240675 */     // GIR_Coverage, 65089,
     /* 1240675 */     GIR_EraseRootFromParent_Done,
     /* 1240676 */   // Label 17942: @1240676
     /* 1240676 */   GIM_Try, /*On fail goto*//*Label 17943*/ GIMT_Encode4(1240756), // Rule ID 65090 //
     /* 1240681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1240684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1240689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1240692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1240695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1240698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240720 */     // MIs[0] round
     /* 1240720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240730 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1240730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2),
     /* 1240733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240755 */     // GIR_Coverage, 65090,
     /* 1240755 */     GIR_EraseRootFromParent_Done,
     /* 1240756 */   // Label 17943: @1240756
     /* 1240756 */   GIM_Try, /*On fail goto*//*Label 17944*/ GIMT_Encode4(1240836), // Rule ID 65093 //
     /* 1240761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1240764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1240769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1240772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1240775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240800 */     // MIs[0] round
     /* 1240800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240810 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1240810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1),
     /* 1240813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240835 */     // GIR_Coverage, 65093,
     /* 1240835 */     GIR_EraseRootFromParent_Done,
     /* 1240836 */   // Label 17944: @1240836
     /* 1240836 */   GIM_Try, /*On fail goto*//*Label 17945*/ GIMT_Encode4(1240916), // Rule ID 65094 //
     /* 1240841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1240844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1240849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1240852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1240855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1240858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1240864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1240876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240880 */     // MIs[0] round
     /* 1240880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240890 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11035:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1240890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1),
     /* 1240893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240915 */     // GIR_Coverage, 65094,
     /* 1240915 */     GIR_EraseRootFromParent_Done,
     /* 1240916 */   // Label 17945: @1240916
     /* 1240916 */   GIM_Try, /*On fail goto*//*Label 17946*/ GIMT_Encode4(1240996), // Rule ID 65097 //
     /* 1240921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1240924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1240929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1240932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1240935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1240938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1240941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1240944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1240956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1240960 */     // MIs[0] round
     /* 1240960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1240963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1240970 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1240970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2),
     /* 1240973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1240975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1240977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1240979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1240981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1240983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1240988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1240991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1240994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1240995 */     // GIR_Coverage, 65097,
     /* 1240995 */     GIR_EraseRootFromParent_Done,
     /* 1240996 */   // Label 17946: @1240996
     /* 1240996 */   GIM_Try, /*On fail goto*//*Label 17947*/ GIMT_Encode4(1241076), // Rule ID 65098 //
     /* 1241001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1241004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1241009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241040 */     // MIs[0] round
     /* 1241040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241050 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11035:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1241050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2),
     /* 1241053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241075 */     // GIR_Coverage, 65098,
     /* 1241075 */     GIR_EraseRootFromParent_Done,
     /* 1241076 */   // Label 17947: @1241076
     /* 1241076 */   GIM_Try, /*On fail goto*//*Label 17948*/ GIMT_Encode4(1241156), // Rule ID 65101 //
     /* 1241081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1241084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1241089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241120 */     // MIs[0] round
     /* 1241120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241130 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1241130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4),
     /* 1241133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241155 */     // GIR_Coverage, 65101,
     /* 1241155 */     GIR_EraseRootFromParent_Done,
     /* 1241156 */   // Label 17948: @1241156
     /* 1241156 */   GIM_Try, /*On fail goto*//*Label 17949*/ GIMT_Encode4(1241236), // Rule ID 65102 //
     /* 1241161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1241164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1241169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1241172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1241175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1241178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1241196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241200 */     // MIs[0] round
     /* 1241200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241210 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11035:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1241210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4),
     /* 1241213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241235 */     // GIR_Coverage, 65102,
     /* 1241235 */     GIR_EraseRootFromParent_Done,
     /* 1241236 */   // Label 17949: @1241236
     /* 1241236 */   GIM_Try, /*On fail goto*//*Label 17950*/ GIMT_Encode4(1241316), // Rule ID 65105 //
     /* 1241241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1241244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1241249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241280 */     // MIs[0] round
     /* 1241280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241290 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1241290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8),
     /* 1241293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241315 */     // GIR_Coverage, 65105,
     /* 1241315 */     GIR_EraseRootFromParent_Done,
     /* 1241316 */   // Label 17950: @1241316
     /* 1241316 */   GIM_Try, /*On fail goto*//*Label 17951*/ GIMT_Encode4(1241396), // Rule ID 65106 //
     /* 1241321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1241324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt),
     /* 1241329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1241332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1241335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1241338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1241356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241360 */     // MIs[0] round
     /* 1241360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241370 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11035:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADT_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1241370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8),
     /* 1241373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241395 */     // GIR_Coverage, 65106,
     /* 1241395 */     GIR_EraseRootFromParent_Done,
     /* 1241396 */   // Label 17951: @1241396
     /* 1241396 */   GIM_Try, /*On fail goto*//*Label 17952*/ GIMT_Encode4(1241476), // Rule ID 65109 //
     /* 1241401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1241404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1241409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1241412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1241415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1241418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241440 */     // MIs[0] round
     /* 1241440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241450 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1241450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4),
     /* 1241453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241475 */     // GIR_Coverage, 65109,
     /* 1241475 */     GIR_EraseRootFromParent_Done,
     /* 1241476 */   // Label 17952: @1241476
     /* 1241476 */   GIM_Try, /*On fail goto*//*Label 17953*/ GIMT_Encode4(1241556), // Rule ID 65110 //
     /* 1241481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1241484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1241489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1241492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1241495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1241498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241520 */     // MIs[0] round
     /* 1241520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241530 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1241530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4),
     /* 1241533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241555 */     // GIR_Coverage, 65110,
     /* 1241555 */     GIR_EraseRootFromParent_Done,
     /* 1241556 */   // Label 17953: @1241556
     /* 1241556 */   GIM_Try, /*On fail goto*//*Label 17954*/ GIMT_Encode4(1241636), // Rule ID 65113 //
     /* 1241561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1241564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1241569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1241572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1241575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1241578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241600 */     // MIs[0] round
     /* 1241600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241610 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1241610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2),
     /* 1241613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241635 */     // GIR_Coverage, 65113,
     /* 1241635 */     GIR_EraseRootFromParent_Done,
     /* 1241636 */   // Label 17954: @1241636
     /* 1241636 */   GIM_Try, /*On fail goto*//*Label 17955*/ GIMT_Encode4(1241716), // Rule ID 65114 //
     /* 1241641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1241644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1241649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1241652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1241655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1241658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241680 */     // MIs[0] round
     /* 1241680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241690 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1241690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2),
     /* 1241693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241715 */     // GIR_Coverage, 65114,
     /* 1241715 */     GIR_EraseRootFromParent_Done,
     /* 1241716 */   // Label 17955: @1241716
     /* 1241716 */   GIM_Try, /*On fail goto*//*Label 17956*/ GIMT_Encode4(1241796), // Rule ID 65117 //
     /* 1241721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1241724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1241729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1241732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1241735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1241738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241760 */     // MIs[0] round
     /* 1241760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241770 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1241770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1),
     /* 1241773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241795 */     // GIR_Coverage, 65117,
     /* 1241795 */     GIR_EraseRootFromParent_Done,
     /* 1241796 */   // Label 17956: @1241796
     /* 1241796 */   GIM_Try, /*On fail goto*//*Label 17957*/ GIMT_Encode4(1241876), // Rule ID 65118 //
     /* 1241801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1241804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1241809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1241812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1241815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1241818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1241836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241840 */     // MIs[0] round
     /* 1241840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241850 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11033:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1241850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1),
     /* 1241853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241875 */     // GIR_Coverage, 65118,
     /* 1241875 */     GIR_EraseRootFromParent_Done,
     /* 1241876 */   // Label 17957: @1241876
     /* 1241876 */   GIM_Try, /*On fail goto*//*Label 17958*/ GIMT_Encode4(1241956), // Rule ID 65121 //
     /* 1241881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1241884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1241889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1241904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1241920 */     // MIs[0] round
     /* 1241920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1241923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1241930 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1241930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2),
     /* 1241933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1241935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1241937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1241939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1241941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1241943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1241948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1241951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1241954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1241955 */     // GIR_Coverage, 65121,
     /* 1241955 */     GIR_EraseRootFromParent_Done,
     /* 1241956 */   // Label 17958: @1241956
     /* 1241956 */   GIM_Try, /*On fail goto*//*Label 17959*/ GIMT_Encode4(1242036), // Rule ID 65122 //
     /* 1241961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1241964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1241969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1241972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1241975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1241978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1241981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1241984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1241996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242000 */     // MIs[0] round
     /* 1242000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1242003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242010 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11033:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1242010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2),
     /* 1242013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1242023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1242034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242035 */     // GIR_Coverage, 65122,
     /* 1242035 */     GIR_EraseRootFromParent_Done,
     /* 1242036 */   // Label 17959: @1242036
     /* 1242036 */   GIM_Try, /*On fail goto*//*Label 17960*/ GIMT_Encode4(1242116), // Rule ID 65125 //
     /* 1242041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1242044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1242049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1242052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1242055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1242058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242080 */     // MIs[0] round
     /* 1242080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1242083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242090 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1242090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4),
     /* 1242093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1242103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1242114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242115 */     // GIR_Coverage, 65125,
     /* 1242115 */     GIR_EraseRootFromParent_Done,
     /* 1242116 */   // Label 17960: @1242116
     /* 1242116 */   GIM_Try, /*On fail goto*//*Label 17961*/ GIMT_Encode4(1242196), // Rule ID 65126 //
     /* 1242121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1242124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1242129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1242132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1242135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1242138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1242156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242160 */     // MIs[0] round
     /* 1242160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1242163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242170 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11033:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1242170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4),
     /* 1242173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1242183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1242194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242195 */     // GIR_Coverage, 65126,
     /* 1242195 */     GIR_EraseRootFromParent_Done,
     /* 1242196 */   // Label 17961: @1242196
     /* 1242196 */   GIM_Try, /*On fail goto*//*Label 17962*/ GIMT_Encode4(1242276), // Rule ID 65129 //
     /* 1242201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 1242204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1242209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1242212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1242215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1242218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242240 */     // MIs[0] round
     /* 1242240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1242243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242250 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1242250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8),
     /* 1242253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1242263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1242274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242275 */     // GIR_Coverage, 65129,
     /* 1242275 */     GIR_EraseRootFromParent_Done,
     /* 1242276 */   // Label 17962: @1242276
     /* 1242276 */   GIM_Try, /*On fail goto*//*Label 17963*/ GIMT_Encode4(1242356), // Rule ID 65130 //
     /* 1242281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 1242284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb),
     /* 1242289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1242292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1242295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1242298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1242301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1242316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1242320 */     // MIs[0] round
     /* 1242320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1242323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242330 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11033:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoNDS_VFPMADB_VFPR16_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1242330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8),
     /* 1242333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1242343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1242351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1242354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242355 */     // GIR_Coverage, 65130,
     /* 1242355 */     GIR_EraseRootFromParent_Done,
     /* 1242356 */   // Label 17963: @1242356
     /* 1242356 */   GIM_Try, /*On fail goto*//*Label 17964*/ GIMT_Encode4(1242440), // Rule ID 2716 //
     /* 1242361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1242381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1242414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1242417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242439 */     // GIR_Coverage, 2716,
     /* 1242439 */     GIR_EraseRootFromParent_Done,
     /* 1242440 */   // Label 17964: @1242440
     /* 1242440 */   GIM_Try, /*On fail goto*//*Label 17965*/ GIMT_Encode4(1242524), // Rule ID 2717 //
     /* 1242445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1242453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1242465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1242498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8_MASK),
     /* 1242501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242523 */     // GIR_Coverage, 2717,
     /* 1242523 */     GIR_EraseRootFromParent_Done,
     /* 1242524 */   // Label 17965: @1242524
     /* 1242524 */   GIM_Try, /*On fail goto*//*Label 17966*/ GIMT_Encode4(1242608), // Rule ID 2728 //
     /* 1242529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1242549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242582 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1242582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1242585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242607 */     // GIR_Coverage, 2728,
     /* 1242607 */     GIR_EraseRootFromParent_Done,
     /* 1242608 */   // Label 17966: @1242608
     /* 1242608 */   GIM_Try, /*On fail goto*//*Label 17967*/ GIMT_Encode4(1242692), // Rule ID 2729 //
     /* 1242613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1242621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1242624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1242627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1242633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242666 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1242666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1242669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1242675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1242677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1242690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242691 */     // GIR_Coverage, 2729,
     /* 1242691 */     GIR_EraseRootFromParent_Done,
     /* 1242692 */   // Label 17967: @1242692
     /* 1242692 */   GIM_Try, /*On fail goto*//*Label 17968*/ GIMT_Encode4(1242773), // Rule ID 2730 //
     /* 1242697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1242717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242750 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1242750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1242753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242772 */     // GIR_Coverage, 2730,
     /* 1242772 */     GIR_EraseRootFromParent_Done,
     /* 1242773 */   // Label 17968: @1242773
     /* 1242773 */   GIM_Try, /*On fail goto*//*Label 17969*/ GIMT_Encode4(1242854), // Rule ID 2731 //
     /* 1242778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1242786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1242789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1242792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1242798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242831 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1242831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF8),
     /* 1242834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1242838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242853 */     // GIR_Coverage, 2731,
     /* 1242853 */     GIR_EraseRootFromParent_Done,
     /* 1242854 */   // Label 17969: @1242854
     /* 1242854 */   GIM_Try, /*On fail goto*//*Label 17970*/ GIMT_Encode4(1242938), // Rule ID 2780 //
     /* 1242859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1242862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1242867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1242870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1242873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1242879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1242885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242912 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1242912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1242915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1242917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1242919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1242921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1242923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1242925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1242930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1242933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1242936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1242937 */     // GIR_Coverage, 2780,
     /* 1242937 */     GIR_EraseRootFromParent_Done,
     /* 1242938 */   // Label 17970: @1242938
     /* 1242938 */   GIM_Try, /*On fail goto*//*Label 17971*/ GIMT_Encode4(1243022), // Rule ID 2781 //
     /* 1242943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1242946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1242951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1242954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1242957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1242960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1242963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1242966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1242969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1242973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1242985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1242989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1242996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1242996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF8_E8_MASK),
     /* 1242999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1243003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1243020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243021 */     // GIR_Coverage, 2781,
     /* 1243021 */     GIR_EraseRootFromParent_Done,
     /* 1243022 */   // Label 17971: @1243022
     /* 1243022 */   GIM_Try, /*On fail goto*//*Label 17972*/ GIMT_Encode4(1243103), // Rule ID 5116 //
     /* 1243027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1243038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1243041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1243044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1243047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243080 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1243083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243102 */     // GIR_Coverage, 5116,
     /* 1243102 */     GIR_EraseRootFromParent_Done,
     /* 1243103 */   // Label 17972: @1243103
     /* 1243103 */   GIM_Try, /*On fail goto*//*Label 17973*/ GIMT_Encode4(1243184), // Rule ID 5117 //
     /* 1243108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1243119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1243122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1243125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1243128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243161 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1243164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243183 */     // GIR_Coverage, 5117,
     /* 1243183 */     GIR_EraseRootFromParent_Done,
     /* 1243184 */   // Label 17973: @1243184
     /* 1243184 */   GIM_Try, /*On fail goto*//*Label 17974*/ GIMT_Encode4(1243265), // Rule ID 5118 //
     /* 1243189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1243200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1243203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1243206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1243209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243242 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1243245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243264 */     // GIR_Coverage, 5118,
     /* 1243264 */     GIR_EraseRootFromParent_Done,
     /* 1243265 */   // Label 17974: @1243265
     /* 1243265 */   GIM_Try, /*On fail goto*//*Label 17975*/ GIMT_Encode4(1243346), // Rule ID 5119 //
     /* 1243270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1243281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1243284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1243287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1243290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1243293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243323 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1243326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243344 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243345 */     // GIR_Coverage, 5119,
     /* 1243345 */     GIR_EraseRootFromParent_Done,
     /* 1243346 */   // Label 17975: @1243346
     /* 1243346 */   GIM_Try, /*On fail goto*//*Label 17976*/ GIMT_Encode4(1243427), // Rule ID 5120 //
     /* 1243351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1243362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1243365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1243371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243404 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1243407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243426 */     // GIR_Coverage, 5120,
     /* 1243426 */     GIR_EraseRootFromParent_Done,
     /* 1243427 */   // Label 17976: @1243427
     /* 1243427 */   GIM_Try, /*On fail goto*//*Label 17977*/ GIMT_Encode4(1243508), // Rule ID 5121 //
     /* 1243432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1243443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1243446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1243449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1243452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243485 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF4),
     /* 1243488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243507 */     // GIR_Coverage, 5121,
     /* 1243507 */     GIR_EraseRootFromParent_Done,
     /* 1243508 */   // Label 17977: @1243508
     /* 1243508 */   GIM_Try, /*On fail goto*//*Label 17978*/ GIMT_Encode4(1243589), // Rule ID 5122 //
     /* 1243513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1243524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1243533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243566 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1243566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1243569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243588 */     // GIR_Coverage, 5122,
     /* 1243588 */     GIR_EraseRootFromParent_Done,
     /* 1243589 */   // Label 17978: @1243589
     /* 1243589 */   GIM_Try, /*On fail goto*//*Label 17979*/ GIMT_Encode4(1243670), // Rule ID 5123 //
     /* 1243594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1243605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1243608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1243611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1243614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1243617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1243647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1243650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1243668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243669 */     // GIR_Coverage, 5123,
     /* 1243669 */     GIR_EraseRootFromParent_Done,
     /* 1243670 */   // Label 17979: @1243670
     /* 1243670 */   GIM_Try, /*On fail goto*//*Label 17980*/ GIMT_Encode4(1243751), // Rule ID 5124 //
     /* 1243675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1243695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243728 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1243728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1243731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243750 */     // GIR_Coverage, 5124,
     /* 1243750 */     GIR_EraseRootFromParent_Done,
     /* 1243751 */   // Label 17980: @1243751
     /* 1243751 */   GIM_Try, /*On fail goto*//*Label 17981*/ GIMT_Encode4(1243832), // Rule ID 5125 //
     /* 1243756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1243767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1243770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1243773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1243776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1243779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243809 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1243809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_MF2),
     /* 1243812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1243830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243831 */     // GIR_Coverage, 5125,
     /* 1243831 */     GIR_EraseRootFromParent_Done,
     /* 1243832 */   // Label 17981: @1243832
     /* 1243832 */   GIM_Try, /*On fail goto*//*Label 17982*/ GIMT_Encode4(1243913), // Rule ID 5126 //
     /* 1243837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1243840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1243857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1243863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243890 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1243890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1243893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243912 */     // GIR_Coverage, 5126,
     /* 1243912 */     GIR_EraseRootFromParent_Done,
     /* 1243913 */   // Label 17982: @1243913
     /* 1243913 */   GIM_Try, /*On fail goto*//*Label 17983*/ GIMT_Encode4(1243994), // Rule ID 5127 //
     /* 1243918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1243921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1243926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1243929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1243932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1243935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1243938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1243941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1243944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1243948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1243960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1243964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1243971 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1243971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1243974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1243976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1243978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1243980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1243982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1243984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1243989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1243992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1243993 */     // GIR_Coverage, 5127,
     /* 1243993 */     GIR_EraseRootFromParent_Done,
     /* 1243994 */   // Label 17983: @1243994
     /* 1243994 */   GIM_Try, /*On fail goto*//*Label 17984*/ GIMT_Encode4(1244075), // Rule ID 5128 //
     /* 1243999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1244010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1244013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1244016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1244019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244052 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1244052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1244055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244074 */     // GIR_Coverage, 5128,
     /* 1244074 */     GIR_EraseRootFromParent_Done,
     /* 1244075 */   // Label 17984: @1244075
     /* 1244075 */   GIM_Try, /*On fail goto*//*Label 17985*/ GIMT_Encode4(1244156), // Rule ID 5129 //
     /* 1244080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1244091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1244094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1244097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1244100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1244103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244133 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1244133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1244136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1244154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244155 */     // GIR_Coverage, 5129,
     /* 1244155 */     GIR_EraseRootFromParent_Done,
     /* 1244156 */   // Label 17985: @1244156
     /* 1244156 */   GIM_Try, /*On fail goto*//*Label 17986*/ GIMT_Encode4(1244237), // Rule ID 5130 //
     /* 1244161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1244172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1244175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1244178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1244181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244214 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1244214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1244217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244236 */     // GIR_Coverage, 5130,
     /* 1244236 */     GIR_EraseRootFromParent_Done,
     /* 1244237 */   // Label 17986: @1244237
     /* 1244237 */   GIM_Try, /*On fail goto*//*Label 17987*/ GIMT_Encode4(1244318), // Rule ID 5131 //
     /* 1244242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1244253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1244256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1244259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1244262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1244265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244295 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1244295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1244298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1244316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244317 */     // GIR_Coverage, 5131,
     /* 1244317 */     GIR_EraseRootFromParent_Done,
     /* 1244318 */   // Label 17987: @1244318
     /* 1244318 */   GIM_Try, /*On fail goto*//*Label 17988*/ GIMT_Encode4(1244399), // Rule ID 5132 //
     /* 1244323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1244326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1244334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1244337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1244343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1244376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1244379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244398 */     // GIR_Coverage, 5132,
     /* 1244398 */     GIR_EraseRootFromParent_Done,
     /* 1244399 */   // Label 17988: @1244399
     /* 1244399 */   GIM_Try, /*On fail goto*//*Label 17989*/ GIMT_Encode4(1244480), // Rule ID 5133 //
     /* 1244404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1244407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1244415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1244418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1244421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1244424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1244427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1244434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1244446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244457 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1244457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M1),
     /* 1244460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1244478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244479 */     // GIR_Coverage, 5133,
     /* 1244479 */     GIR_EraseRootFromParent_Done,
     /* 1244480 */   // Label 17989: @1244480
     /* 1244480 */   GIM_Try, /*On fail goto*//*Label 17990*/ GIMT_Encode4(1244561), // Rule ID 5134 //
     /* 1244485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1244496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1244499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1244502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1244505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244538 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1244541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244560 */     // GIR_Coverage, 5134,
     /* 1244560 */     GIR_EraseRootFromParent_Done,
     /* 1244561 */   // Label 17990: @1244561
     /* 1244561 */   GIM_Try, /*On fail goto*//*Label 17991*/ GIMT_Encode4(1244642), // Rule ID 5135 //
     /* 1244566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1244577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1244580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1244583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1244586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1244589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1244596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1244608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244619 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1244622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244641 */     // GIR_Coverage, 5135,
     /* 1244641 */     GIR_EraseRootFromParent_Done,
     /* 1244642 */   // Label 17991: @1244642
     /* 1244642 */   GIM_Try, /*On fail goto*//*Label 17992*/ GIMT_Encode4(1244723), // Rule ID 5136 //
     /* 1244647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1244667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244700 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1244703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244722 */     // GIR_Coverage, 5136,
     /* 1244722 */     GIR_EraseRootFromParent_Done,
     /* 1244723 */   // Label 17992: @1244723
     /* 1244723 */   GIM_Try, /*On fail goto*//*Label 17993*/ GIMT_Encode4(1244804), // Rule ID 5137 //
     /* 1244728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1244739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1244742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1244745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1244748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1244751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1244758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1244770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244781 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1244784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244803 */     // GIR_Coverage, 5137,
     /* 1244803 */     GIR_EraseRootFromParent_Done,
     /* 1244804 */   // Label 17993: @1244804
     /* 1244804 */   GIM_Try, /*On fail goto*//*Label 17994*/ GIMT_Encode4(1244885), // Rule ID 5138 //
     /* 1244809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1244829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244862 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1244862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1244865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244884 */     // GIR_Coverage, 5138,
     /* 1244884 */     GIR_EraseRootFromParent_Done,
     /* 1244885 */   // Label 17994: @1244885
     /* 1244885 */   GIM_Try, /*On fail goto*//*Label 17995*/ GIMT_Encode4(1244966), // Rule ID 5139 //
     /* 1244890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1244893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1244901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1244904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1244907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1244910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1244913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1244916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1244920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1244932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1244936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1244943 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1244943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1244946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1244948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1244950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1244952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1244954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1244956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1244961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1244964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1244965 */     // GIR_Coverage, 5139,
     /* 1244965 */     GIR_EraseRootFromParent_Done,
     /* 1244966 */   // Label 17995: @1244966
     /* 1244966 */   GIM_Try, /*On fail goto*//*Label 17996*/ GIMT_Encode4(1245047), // Rule ID 5140 //
     /* 1244971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1244974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1244979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1244982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1244985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1244988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1244991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1244994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1244997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245024 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1245027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245046 */     // GIR_Coverage, 5140,
     /* 1245046 */     GIR_EraseRootFromParent_Done,
     /* 1245047 */   // Label 17996: @1245047
     /* 1245047 */   GIM_Try, /*On fail goto*//*Label 17997*/ GIMT_Encode4(1245128), // Rule ID 5141 //
     /* 1245052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1245063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1245066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1245069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1245072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245105 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1245108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245127 */     // GIR_Coverage, 5141,
     /* 1245127 */     GIR_EraseRootFromParent_Done,
     /* 1245128 */   // Label 17997: @1245128
     /* 1245128 */   GIM_Try, /*On fail goto*//*Label 17998*/ GIMT_Encode4(1245209), // Rule ID 5142 //
     /* 1245133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1245144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1245147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1245153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245186 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1245189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245208 */     // GIR_Coverage, 5142,
     /* 1245208 */     GIR_EraseRootFromParent_Done,
     /* 1245209 */   // Label 17998: @1245209
     /* 1245209 */   GIM_Try, /*On fail goto*//*Label 17999*/ GIMT_Encode4(1245290), // Rule ID 5143 //
     /* 1245214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1245225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1245228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1245231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1245234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245267 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1245270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245272 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245288 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245289 */     // GIR_Coverage, 5143,
     /* 1245289 */     GIR_EraseRootFromParent_Done,
     /* 1245290 */   // Label 17999: @1245290
     /* 1245290 */   GIM_Try, /*On fail goto*//*Label 18000*/ GIMT_Encode4(1245371), // Rule ID 5144 //
     /* 1245295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1245306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1245309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1245315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1245348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1245351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245370 */     // GIR_Coverage, 5144,
     /* 1245370 */     GIR_EraseRootFromParent_Done,
     /* 1245371 */   // Label 18000: @1245371
     /* 1245371 */   GIM_Try, /*On fail goto*//*Label 18001*/ GIMT_Encode4(1245452), // Rule ID 5145 //
     /* 1245376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1245387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1245390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1245393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1245396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1245399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245429 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1245429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1245432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1245450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245451 */     // GIR_Coverage, 5145,
     /* 1245451 */     GIR_EraseRootFromParent_Done,
     /* 1245452 */   // Label 18001: @1245452
     /* 1245452 */   GIM_Try, /*On fail goto*//*Label 18002*/ GIMT_Encode4(1245533), // Rule ID 5146 //
     /* 1245457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1245468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1245471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1245477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1245513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245532 */     // GIR_Coverage, 5146,
     /* 1245532 */     GIR_EraseRootFromParent_Done,
     /* 1245533 */   // Label 18002: @1245533
     /* 1245533 */   GIM_Try, /*On fail goto*//*Label 18003*/ GIMT_Encode4(1245614), // Rule ID 5147 //
     /* 1245538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1245549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1245552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1245555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1245558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1245561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245591 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1245594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245613 */     // GIR_Coverage, 5147,
     /* 1245613 */     GIR_EraseRootFromParent_Done,
     /* 1245614 */   // Label 18003: @1245614
     /* 1245614 */   GIM_Try, /*On fail goto*//*Label 18004*/ GIMT_Encode4(1245695), // Rule ID 5148 //
     /* 1245619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1245639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1245675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245694 */     // GIR_Coverage, 5148,
     /* 1245694 */     GIR_EraseRootFromParent_Done,
     /* 1245695 */   // Label 18004: @1245695
     /* 1245695 */   GIM_Try, /*On fail goto*//*Label 18005*/ GIMT_Encode4(1245776), // Rule ID 5149 //
     /* 1245700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1245711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1245714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1245717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1245720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1245723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1245730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1245742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245753 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1245756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245775 */     // GIR_Coverage, 5149,
     /* 1245775 */     GIR_EraseRootFromParent_Done,
     /* 1245776 */   // Label 18005: @1245776
     /* 1245776 */   GIM_Try, /*On fail goto*//*Label 18006*/ GIMT_Encode4(1245857), // Rule ID 5150 //
     /* 1245781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1245784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1245801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245834 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1245834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1245837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245856 */     // GIR_Coverage, 5150,
     /* 1245856 */     GIR_EraseRootFromParent_Done,
     /* 1245857 */   // Label 18006: @1245857
     /* 1245857 */   GIM_Try, /*On fail goto*//*Label 18007*/ GIMT_Encode4(1245938), // Rule ID 5151 //
     /* 1245862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1245865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1245873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1245876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1245879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1245882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1245885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1245888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1245892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1245904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245915 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1245915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1245918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1245920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1245922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1245924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1245926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1245928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1245933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1245936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1245937 */     // GIR_Coverage, 5151,
     /* 1245937 */     GIR_EraseRootFromParent_Done,
     /* 1245938 */   // Label 18007: @1245938
     /* 1245938 */   GIM_Try, /*On fail goto*//*Label 18008*/ GIMT_Encode4(1246019), // Rule ID 5152 //
     /* 1245943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1245946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1245951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1245954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1245957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1245960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1245963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1245966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1245969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1245973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1245985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1245989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1245996 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1245996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1245999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246018 */     // GIR_Coverage, 5152,
     /* 1246018 */     GIR_EraseRootFromParent_Done,
     /* 1246019 */   // Label 18008: @1246019
     /* 1246019 */   GIM_Try, /*On fail goto*//*Label 18009*/ GIMT_Encode4(1246100), // Rule ID 5153 //
     /* 1246024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1246035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1246038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1246041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1246044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1246054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1246066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246077 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M2),
     /* 1246080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246099 */     // GIR_Coverage, 5153,
     /* 1246099 */     GIR_EraseRootFromParent_Done,
     /* 1246100 */   // Label 18009: @1246100
     /* 1246100 */   GIM_Try, /*On fail goto*//*Label 18010*/ GIMT_Encode4(1246181), // Rule ID 5154 //
     /* 1246105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1246116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1246119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1246122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1246125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1246135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1246161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246180 */     // GIR_Coverage, 5154,
     /* 1246180 */     GIR_EraseRootFromParent_Done,
     /* 1246181 */   // Label 18010: @1246181
     /* 1246181 */   GIM_Try, /*On fail goto*//*Label 18011*/ GIMT_Encode4(1246262), // Rule ID 5155 //
     /* 1246186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1246197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1246200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1246203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1246206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1246216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1246228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246239 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M4),
     /* 1246242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246261 */     // GIR_Coverage, 5155,
     /* 1246261 */     GIR_EraseRootFromParent_Done,
     /* 1246262 */   // Label 18011: @1246262
     /* 1246262 */   GIM_Try, /*On fail goto*//*Label 18012*/ GIMT_Encode4(1246343), // Rule ID 5156 //
     /* 1246267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1246270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1246278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1246281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1246287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246320 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1246320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1246323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246342 */     // GIR_Coverage, 5156,
     /* 1246342 */     GIR_EraseRootFromParent_Done,
     /* 1246343 */   // Label 18012: @1246343
     /* 1246343 */   GIM_Try, /*On fail goto*//*Label 18013*/ GIMT_Encode4(1246424), // Rule ID 5157 //
     /* 1246348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1246351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1246359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1246362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1246365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1246368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1246371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1246378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1246390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246401 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1246401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VVM_M8),
     /* 1246404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1246422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246423 */     // GIR_Coverage, 5157,
     /* 1246423 */     GIR_EraseRootFromParent_Done,
     /* 1246424 */   // Label 18013: @1246424
     /* 1246424 */   GIM_Try, /*On fail goto*//*Label 18014*/ GIMT_Encode4(1246505), // Rule ID 5158 //
     /* 1246429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1246440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1246443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1246446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246482 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1246485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246504 */     // GIR_Coverage, 5158,
     /* 1246504 */     GIR_EraseRootFromParent_Done,
     /* 1246505 */   // Label 18014: @1246505
     /* 1246505 */   GIM_Try, /*On fail goto*//*Label 18015*/ GIMT_Encode4(1246586), // Rule ID 5159 //
     /* 1246510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1246521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1246524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1246527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246563 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF8),
     /* 1246566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246585 */     // GIR_Coverage, 5159,
     /* 1246585 */     GIR_EraseRootFromParent_Done,
     /* 1246586 */   // Label 18015: @1246586
     /* 1246586 */   GIM_Try, /*On fail goto*//*Label 18016*/ GIMT_Encode4(1246667), // Rule ID 5160 //
     /* 1246591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1246602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1246605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246644 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1246647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246666 */     // GIR_Coverage, 5160,
     /* 1246666 */     GIR_EraseRootFromParent_Done,
     /* 1246667 */   // Label 18016: @1246667
     /* 1246667 */   GIM_Try, /*On fail goto*//*Label 18017*/ GIMT_Encode4(1246748), // Rule ID 5161 //
     /* 1246672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1246683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1246686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1246689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1246695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246725 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1246728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246747 */     // GIR_Coverage, 5161,
     /* 1246747 */     GIR_EraseRootFromParent_Done,
     /* 1246748 */   // Label 18017: @1246748
     /* 1246748 */   GIM_Try, /*On fail goto*//*Label 18018*/ GIMT_Encode4(1246829), // Rule ID 5162 //
     /* 1246753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1246764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1246767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246806 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1246806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1246809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246828 */     // GIR_Coverage, 5162,
     /* 1246828 */     GIR_EraseRootFromParent_Done,
     /* 1246829 */   // Label 18018: @1246829
     /* 1246829 */   GIM_Try, /*On fail goto*//*Label 18019*/ GIMT_Encode4(1246910), // Rule ID 5163 //
     /* 1246834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1246845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1246848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1246851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1246854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1246857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1246860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246887 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1246887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1246890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1246908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246909 */     // GIR_Coverage, 5163,
     /* 1246909 */     GIR_EraseRootFromParent_Done,
     /* 1246910 */   // Label 18019: @1246910
     /* 1246910 */   GIM_Try, /*On fail goto*//*Label 18020*/ GIMT_Encode4(1246991), // Rule ID 5164 //
     /* 1246915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1246918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1246923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1246926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1246929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1246932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1246935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1246938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1246941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1246945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1246953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1246957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1246961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1246968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1246968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1246971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1246973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1246975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1246977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1246979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1246981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1246986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1246989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1246990 */     // GIR_Coverage, 5164,
     /* 1246990 */     GIR_EraseRootFromParent_Done,
     /* 1246991 */   // Label 18020: @1246991
     /* 1246991 */   GIM_Try, /*On fail goto*//*Label 18021*/ GIMT_Encode4(1247072), // Rule ID 5165 //
     /* 1246996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1246999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1247007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1247010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1247013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF4),
     /* 1247052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247071 */     // GIR_Coverage, 5165,
     /* 1247071 */     GIR_EraseRootFromParent_Done,
     /* 1247072 */   // Label 18021: @1247072
     /* 1247072 */   GIM_Try, /*On fail goto*//*Label 18022*/ GIMT_Encode4(1247153), // Rule ID 5166 //
     /* 1247077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1247088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1247091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1247094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247130 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1247133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247152 */     // GIR_Coverage, 5166,
     /* 1247152 */     GIR_EraseRootFromParent_Done,
     /* 1247153 */   // Label 18022: @1247153
     /* 1247153 */   GIM_Try, /*On fail goto*//*Label 18023*/ GIMT_Encode4(1247234), // Rule ID 5167 //
     /* 1247158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1247169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1247172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1247175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247211 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1247214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247233 */     // GIR_Coverage, 5167,
     /* 1247233 */     GIR_EraseRootFromParent_Done,
     /* 1247234 */   // Label 18023: @1247234
     /* 1247234 */   GIM_Try, /*On fail goto*//*Label 18024*/ GIMT_Encode4(1247315), // Rule ID 5168 //
     /* 1247239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1247250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1247253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1247256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247292 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1247292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1247295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247314 */     // GIR_Coverage, 5168,
     /* 1247314 */     GIR_EraseRootFromParent_Done,
     /* 1247315 */   // Label 18024: @1247315
     /* 1247315 */   GIM_Try, /*On fail goto*//*Label 18025*/ GIMT_Encode4(1247396), // Rule ID 5169 //
     /* 1247320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1247331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1247334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1247337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247373 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1247373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_MF2),
     /* 1247376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247395 */     // GIR_Coverage, 5169,
     /* 1247395 */     GIR_EraseRootFromParent_Done,
     /* 1247396 */   // Label 18025: @1247396
     /* 1247396 */   GIM_Try, /*On fail goto*//*Label 18026*/ GIMT_Encode4(1247477), // Rule ID 5170 //
     /* 1247401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1247412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1247415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1247418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1247454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1247457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247476 */     // GIR_Coverage, 5170,
     /* 1247476 */     GIR_EraseRootFromParent_Done,
     /* 1247477 */   // Label 18026: @1247477
     /* 1247477 */   GIM_Try, /*On fail goto*//*Label 18027*/ GIMT_Encode4(1247558), // Rule ID 5171 //
     /* 1247482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1247493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1247496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1247499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1247505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247535 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11142:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1247535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1247538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1247556 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247557 */     // GIR_Coverage, 5171,
     /* 1247557 */     GIR_EraseRootFromParent_Done,
     /* 1247558 */   // Label 18027: @1247558
     /* 1247558 */   GIM_Try, /*On fail goto*//*Label 18028*/ GIMT_Encode4(1247639), // Rule ID 5172 //
     /* 1247563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1247574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1247577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1247616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1247619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247638 */     // GIR_Coverage, 5172,
     /* 1247638 */     GIR_EraseRootFromParent_Done,
     /* 1247639 */   // Label 18028: @1247639
     /* 1247639 */   GIM_Try, /*On fail goto*//*Label 18029*/ GIMT_Encode4(1247720), // Rule ID 5173 //
     /* 1247644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1247655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1247658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1247661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1247667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247697 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11142:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1247697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1247700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1247718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247719 */     // GIR_Coverage, 5173,
     /* 1247719 */     GIR_EraseRootFromParent_Done,
     /* 1247720 */   // Label 18029: @1247720
     /* 1247720 */   GIM_Try, /*On fail goto*//*Label 18030*/ GIMT_Encode4(1247801), // Rule ID 5174 //
     /* 1247725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1247728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1247736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1247739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247778 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1247778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1247781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247800 */     // GIR_Coverage, 5174,
     /* 1247800 */     GIR_EraseRootFromParent_Done,
     /* 1247801 */   // Label 18030: @1247801
     /* 1247801 */   GIM_Try, /*On fail goto*//*Label 18031*/ GIMT_Encode4(1247882), // Rule ID 5175 //
     /* 1247806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1247809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1247817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1247820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1247823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1247829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247859 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11142:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1247859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1247862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1247880 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247881 */     // GIR_Coverage, 5175,
     /* 1247881 */     GIR_EraseRootFromParent_Done,
     /* 1247882 */   // Label 18031: @1247882
     /* 1247882 */   GIM_Try, /*On fail goto*//*Label 18032*/ GIMT_Encode4(1247963), // Rule ID 5176 //
     /* 1247887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1247890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1247898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1247901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1247907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1247913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1247925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1247929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1247933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1247940 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1247940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1247943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1247945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1247947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1247949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1247951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1247953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1247958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1247961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1247962 */     // GIR_Coverage, 5176,
     /* 1247962 */     GIR_EraseRootFromParent_Done,
     /* 1247963 */   // Label 18032: @1247963
     /* 1247963 */   GIM_Try, /*On fail goto*//*Label 18033*/ GIMT_Encode4(1248044), // Rule ID 5177 //
     /* 1247968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1247971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1247976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1247979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1247982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1247985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1247988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1247991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1247994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1247998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1248006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248021 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11142:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1248021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M1),
     /* 1248024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1248042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248043 */     // GIR_Coverage, 5177,
     /* 1248043 */     GIR_EraseRootFromParent_Done,
     /* 1248044 */   // Label 18033: @1248044
     /* 1248044 */   GIM_Try, /*On fail goto*//*Label 18034*/ GIMT_Encode4(1248125), // Rule ID 5178 //
     /* 1248049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1248060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1248063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1248066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248102 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1248102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1248105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248124 */     // GIR_Coverage, 5178,
     /* 1248124 */     GIR_EraseRootFromParent_Done,
     /* 1248125 */   // Label 18034: @1248125
     /* 1248125 */   GIM_Try, /*On fail goto*//*Label 18035*/ GIMT_Encode4(1248206), // Rule ID 5179 //
     /* 1248130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1248141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1248144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1248147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248183 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1248183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1248186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248205 */     // GIR_Coverage, 5179,
     /* 1248205 */     GIR_EraseRootFromParent_Done,
     /* 1248206 */   // Label 18035: @1248206
     /* 1248206 */   GIM_Try, /*On fail goto*//*Label 18036*/ GIMT_Encode4(1248287), // Rule ID 5180 //
     /* 1248211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1248222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1248225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1248228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1248264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1248267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248286 */     // GIR_Coverage, 5180,
     /* 1248286 */     GIR_EraseRootFromParent_Done,
     /* 1248287 */   // Label 18036: @1248287
     /* 1248287 */   GIM_Try, /*On fail goto*//*Label 18037*/ GIMT_Encode4(1248368), // Rule ID 5181 //
     /* 1248292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1248303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1248306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1248309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248345 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1248345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1248348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248367 */     // GIR_Coverage, 5181,
     /* 1248367 */     GIR_EraseRootFromParent_Done,
     /* 1248368 */   // Label 18037: @1248368
     /* 1248368 */   GIM_Try, /*On fail goto*//*Label 18038*/ GIMT_Encode4(1248449), // Rule ID 5182 //
     /* 1248373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1248384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1248387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1248390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1248396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248426 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1248426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1248429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248448 */     // GIR_Coverage, 5182,
     /* 1248448 */     GIR_EraseRootFromParent_Done,
     /* 1248449 */   // Label 18038: @1248449
     /* 1248449 */   GIM_Try, /*On fail goto*//*Label 18039*/ GIMT_Encode4(1248530), // Rule ID 5183 //
     /* 1248454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1248465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1248468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1248471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1248477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248507 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1248507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1248510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1248528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248529 */     // GIR_Coverage, 5183,
     /* 1248529 */     GIR_EraseRootFromParent_Done,
     /* 1248530 */   // Label 18039: @1248530
     /* 1248530 */   GIM_Try, /*On fail goto*//*Label 18040*/ GIMT_Encode4(1248611), // Rule ID 5184 //
     /* 1248535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1248546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1248549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1248552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248588 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1248591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248610 */     // GIR_Coverage, 5184,
     /* 1248610 */     GIR_EraseRootFromParent_Done,
     /* 1248611 */   // Label 18040: @1248611
     /* 1248611 */   GIM_Try, /*On fail goto*//*Label 18041*/ GIMT_Encode4(1248692), // Rule ID 5185 //
     /* 1248616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1248627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1248630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1248633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1248639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1248646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1248654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248669 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1248672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248691 */     // GIR_Coverage, 5185,
     /* 1248691 */     GIR_EraseRootFromParent_Done,
     /* 1248692 */   // Label 18041: @1248692
     /* 1248692 */   GIM_Try, /*On fail goto*//*Label 18042*/ GIMT_Encode4(1248773), // Rule ID 5186 //
     /* 1248697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1248708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1248711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248750 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1248753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248772 */     // GIR_Coverage, 5186,
     /* 1248772 */     GIR_EraseRootFromParent_Done,
     /* 1248773 */   // Label 18042: @1248773
     /* 1248773 */   GIM_Try, /*On fail goto*//*Label 18043*/ GIMT_Encode4(1248854), // Rule ID 5187 //
     /* 1248778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1248789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1248792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1248795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1248801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1248808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1248816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248831 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1248834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248852 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248853 */     // GIR_Coverage, 5187,
     /* 1248853 */     GIR_EraseRootFromParent_Done,
     /* 1248854 */   // Label 18043: @1248854
     /* 1248854 */   GIM_Try, /*On fail goto*//*Label 18044*/ GIMT_Encode4(1248935), // Rule ID 5188 //
     /* 1248859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1248862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1248870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1248873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1248879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1248885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248912 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1248912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1248915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1248919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1248921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1248923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1248925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1248930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1248933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1248934 */     // GIR_Coverage, 5188,
     /* 1248934 */     GIR_EraseRootFromParent_Done,
     /* 1248935 */   // Label 18044: @1248935
     /* 1248935 */   GIM_Try, /*On fail goto*//*Label 18045*/ GIMT_Encode4(1249016), // Rule ID 5189 //
     /* 1248940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1248943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1248948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1248951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1248954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1248957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1248960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1248963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1248966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1248970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1248978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1248982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1248986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1248993 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1248993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1248996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1248998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1249014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249015 */     // GIR_Coverage, 5189,
     /* 1249015 */     GIR_EraseRootFromParent_Done,
     /* 1249016 */   // Label 18045: @1249016
     /* 1249016 */   GIM_Try, /*On fail goto*//*Label 18046*/ GIMT_Encode4(1249097), // Rule ID 5190 //
     /* 1249021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1249032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1249035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1249038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1249077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249096 */     // GIR_Coverage, 5190,
     /* 1249096 */     GIR_EraseRootFromParent_Done,
     /* 1249097 */   // Label 18046: @1249097
     /* 1249097 */   GIM_Try, /*On fail goto*//*Label 18047*/ GIMT_Encode4(1249178), // Rule ID 5191 //
     /* 1249102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1249113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1249116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1249119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249155 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1249158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249177 */     // GIR_Coverage, 5191,
     /* 1249177 */     GIR_EraseRootFromParent_Done,
     /* 1249178 */   // Label 18047: @1249178
     /* 1249178 */   GIM_Try, /*On fail goto*//*Label 18048*/ GIMT_Encode4(1249259), // Rule ID 5192 //
     /* 1249183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1249194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1249197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1249200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1249239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249258 */     // GIR_Coverage, 5192,
     /* 1249258 */     GIR_EraseRootFromParent_Done,
     /* 1249259 */   // Label 18048: @1249259
     /* 1249259 */   GIM_Try, /*On fail goto*//*Label 18049*/ GIMT_Encode4(1249340), // Rule ID 5193 //
     /* 1249264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1249275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1249278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1249281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249317 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1249320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249339 */     // GIR_Coverage, 5193,
     /* 1249339 */     GIR_EraseRootFromParent_Done,
     /* 1249340 */   // Label 18049: @1249340
     /* 1249340 */   GIM_Try, /*On fail goto*//*Label 18050*/ GIMT_Encode4(1249421), // Rule ID 5194 //
     /* 1249345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1249356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1249359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1249362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249398 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1249398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1249401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249420 */     // GIR_Coverage, 5194,
     /* 1249420 */     GIR_EraseRootFromParent_Done,
     /* 1249421 */   // Label 18050: @1249421
     /* 1249421 */   GIM_Try, /*On fail goto*//*Label 18051*/ GIMT_Encode4(1249502), // Rule ID 5195 //
     /* 1249426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1249429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1249437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1249440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1249443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1249449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249479 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1249479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1249482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1249500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249501 */     // GIR_Coverage, 5195,
     /* 1249501 */     GIR_EraseRootFromParent_Done,
     /* 1249502 */   // Label 18051: @1249502
     /* 1249502 */   GIM_Try, /*On fail goto*//*Label 18052*/ GIMT_Encode4(1249583), // Rule ID 5196 //
     /* 1249507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1249518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1249521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249560 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1249563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249582 */     // GIR_Coverage, 5196,
     /* 1249582 */     GIR_EraseRootFromParent_Done,
     /* 1249583 */   // Label 18052: @1249583
     /* 1249583 */   GIM_Try, /*On fail goto*//*Label 18053*/ GIMT_Encode4(1249664), // Rule ID 5197 //
     /* 1249588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1249599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1249602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1249605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1249611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1249618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1249626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249641 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11142:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M2),
     /* 1249644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249663 */     // GIR_Coverage, 5197,
     /* 1249663 */     GIR_EraseRootFromParent_Done,
     /* 1249664 */   // Label 18053: @1249664
     /* 1249664 */   GIM_Try, /*On fail goto*//*Label 18054*/ GIMT_Encode4(1249745), // Rule ID 5198 //
     /* 1249669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1249680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1249683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249722 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1249725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249744 */     // GIR_Coverage, 5198,
     /* 1249744 */     GIR_EraseRootFromParent_Done,
     /* 1249745 */   // Label 18054: @1249745
     /* 1249745 */   GIM_Try, /*On fail goto*//*Label 18055*/ GIMT_Encode4(1249826), // Rule ID 5199 //
     /* 1249750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1249761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1249764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1249767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1249773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1249780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1249788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249803 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11142:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M4),
     /* 1249806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249825 */     // GIR_Coverage, 5199,
     /* 1249825 */     GIR_EraseRootFromParent_Done,
     /* 1249826 */   // Label 18055: @1249826
     /* 1249826 */   GIM_Try, /*On fail goto*//*Label 18056*/ GIMT_Encode4(1249907), // Rule ID 5200 //
     /* 1249831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1249834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1249842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1249845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1249851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1249857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249884 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1249884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1249887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249906 */     // GIR_Coverage, 5200,
     /* 1249906 */     GIR_EraseRootFromParent_Done,
     /* 1249907 */   // Label 18056: @1249907
     /* 1249907 */   GIM_Try, /*On fail goto*//*Label 18057*/ GIMT_Encode4(1249988), // Rule ID 5201 //
     /* 1249912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1249915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadc),
     /* 1249920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1249923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1249926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1249929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1249932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1249935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1249938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1249942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1249950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1249954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1249958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1249965 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11142:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVADC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1249965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADC_VXM_M8),
     /* 1249968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1249970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1249972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1249974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1249976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1249978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1249983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1249986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1249987 */     // GIR_Coverage, 5201,
     /* 1249987 */     GIR_EraseRootFromParent_Done,
     /* 1249988 */   // Label 18057: @1249988
     /* 1249988 */   GIM_Try, /*On fail goto*//*Label 18058*/ GIMT_Encode4(1250069), // Rule ID 5506 //
     /* 1249993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1249996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1250004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1250007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1250010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1250013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1250049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250068 */     // GIR_Coverage, 5506,
     /* 1250068 */     GIR_EraseRootFromParent_Done,
     /* 1250069 */   // Label 18058: @1250069
     /* 1250069 */   GIM_Try, /*On fail goto*//*Label 18059*/ GIMT_Encode4(1250150), // Rule ID 5507 //
     /* 1250074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1250085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1250088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1250091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1250094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250127 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF8),
     /* 1250130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250149 */     // GIR_Coverage, 5507,
     /* 1250149 */     GIR_EraseRootFromParent_Done,
     /* 1250150 */   // Label 18059: @1250150
     /* 1250150 */   GIM_Try, /*On fail goto*//*Label 18060*/ GIMT_Encode4(1250231), // Rule ID 5508 //
     /* 1250155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1250166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1250169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1250172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1250175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250208 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1250211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250230 */     // GIR_Coverage, 5508,
     /* 1250230 */     GIR_EraseRootFromParent_Done,
     /* 1250231 */   // Label 18060: @1250231
     /* 1250231 */   GIM_Try, /*On fail goto*//*Label 18061*/ GIMT_Encode4(1250312), // Rule ID 5509 //
     /* 1250236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1250247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1250250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1250253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1250256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250289 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1250292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250311 */     // GIR_Coverage, 5509,
     /* 1250311 */     GIR_EraseRootFromParent_Done,
     /* 1250312 */   // Label 18061: @1250312
     /* 1250312 */   GIM_Try, /*On fail goto*//*Label 18062*/ GIMT_Encode4(1250393), // Rule ID 5510 //
     /* 1250317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1250328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1250331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1250337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250370 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1250370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1250373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250392 */     // GIR_Coverage, 5510,
     /* 1250392 */     GIR_EraseRootFromParent_Done,
     /* 1250393 */   // Label 18062: @1250393
     /* 1250393 */   GIM_Try, /*On fail goto*//*Label 18063*/ GIMT_Encode4(1250474), // Rule ID 5511 //
     /* 1250398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1250409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1250412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1250415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1250418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1250421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250451 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1250451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1250454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1250472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250473 */     // GIR_Coverage, 5511,
     /* 1250473 */     GIR_EraseRootFromParent_Done,
     /* 1250474 */   // Label 18063: @1250474
     /* 1250474 */   GIM_Try, /*On fail goto*//*Label 18064*/ GIMT_Encode4(1250555), // Rule ID 5512 //
     /* 1250479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1250490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1250493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1250499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250532 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1250535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250554 */     // GIR_Coverage, 5512,
     /* 1250554 */     GIR_EraseRootFromParent_Done,
     /* 1250555 */   // Label 18064: @1250555
     /* 1250555 */   GIM_Try, /*On fail goto*//*Label 18065*/ GIMT_Encode4(1250636), // Rule ID 5513 //
     /* 1250560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1250571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1250574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1250577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1250580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250613 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF4),
     /* 1250616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250635 */     // GIR_Coverage, 5513,
     /* 1250635 */     GIR_EraseRootFromParent_Done,
     /* 1250636 */   // Label 18065: @1250636
     /* 1250636 */   GIM_Try, /*On fail goto*//*Label 18066*/ GIMT_Encode4(1250717), // Rule ID 5514 //
     /* 1250641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1250652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1250655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1250661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250694 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1250694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1250697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250716 */     // GIR_Coverage, 5514,
     /* 1250716 */     GIR_EraseRootFromParent_Done,
     /* 1250717 */   // Label 18066: @1250717
     /* 1250717 */   GIM_Try, /*On fail goto*//*Label 18067*/ GIMT_Encode4(1250798), // Rule ID 5515 //
     /* 1250722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1250733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1250736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1250739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1250742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1250745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250775 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1250775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1250778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1250796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250797 */     // GIR_Coverage, 5515,
     /* 1250797 */     GIR_EraseRootFromParent_Done,
     /* 1250798 */   // Label 18067: @1250798
     /* 1250798 */   GIM_Try, /*On fail goto*//*Label 18068*/ GIMT_Encode4(1250879), // Rule ID 5516 //
     /* 1250803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1250814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1250817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1250823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250856 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1250856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1250859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250878 */     // GIR_Coverage, 5516,
     /* 1250878 */     GIR_EraseRootFromParent_Done,
     /* 1250879 */   // Label 18068: @1250879
     /* 1250879 */   GIM_Try, /*On fail goto*//*Label 18069*/ GIMT_Encode4(1250960), // Rule ID 5517 //
     /* 1250884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1250887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1250895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1250898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1250901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1250904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1250907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1250910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1250930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1250937 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1250937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_MF2),
     /* 1250940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1250942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1250944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1250946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1250948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1250950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1250955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1250958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1250959 */     // GIR_Coverage, 5517,
     /* 1250959 */     GIR_EraseRootFromParent_Done,
     /* 1250960 */   // Label 18069: @1250960
     /* 1250960 */   GIM_Try, /*On fail goto*//*Label 18070*/ GIMT_Encode4(1251041), // Rule ID 5518 //
     /* 1250965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1250968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1250973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1250976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1250979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1250982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1250985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1250988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1250991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1250995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1250999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251018 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1251021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251040 */     // GIR_Coverage, 5518,
     /* 1251040 */     GIR_EraseRootFromParent_Done,
     /* 1251041 */   // Label 18070: @1251041
     /* 1251041 */   GIM_Try, /*On fail goto*//*Label 18071*/ GIMT_Encode4(1251122), // Rule ID 5519 //
     /* 1251046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1251057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1251060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1251063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1251066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1251069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251099 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1251102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251120 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251121 */     // GIR_Coverage, 5519,
     /* 1251121 */     GIR_EraseRootFromParent_Done,
     /* 1251122 */   // Label 18071: @1251122
     /* 1251122 */   GIM_Try, /*On fail goto*//*Label 18072*/ GIMT_Encode4(1251203), // Rule ID 5520 //
     /* 1251127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1251138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1251141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1251147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251180 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1251180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1251183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251202 */     // GIR_Coverage, 5520,
     /* 1251202 */     GIR_EraseRootFromParent_Done,
     /* 1251203 */   // Label 18072: @1251203
     /* 1251203 */   GIM_Try, /*On fail goto*//*Label 18073*/ GIMT_Encode4(1251284), // Rule ID 5521 //
     /* 1251208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1251219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1251222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1251225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1251228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1251231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251261 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1251261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1251264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1251282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251283 */     // GIR_Coverage, 5521,
     /* 1251283 */     GIR_EraseRootFromParent_Done,
     /* 1251284 */   // Label 18073: @1251284
     /* 1251284 */   GIM_Try, /*On fail goto*//*Label 18074*/ GIMT_Encode4(1251365), // Rule ID 5522 //
     /* 1251289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1251300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1251303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1251309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251342 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1251342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1251345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251364 */     // GIR_Coverage, 5522,
     /* 1251364 */     GIR_EraseRootFromParent_Done,
     /* 1251365 */   // Label 18074: @1251365
     /* 1251365 */   GIM_Try, /*On fail goto*//*Label 18075*/ GIMT_Encode4(1251446), // Rule ID 5523 //
     /* 1251370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1251381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1251384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1251387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1251390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1251393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251423 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1251423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1251426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1251444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251445 */     // GIR_Coverage, 5523,
     /* 1251445 */     GIR_EraseRootFromParent_Done,
     /* 1251446 */   // Label 18075: @1251446
     /* 1251446 */   GIM_Try, /*On fail goto*//*Label 18076*/ GIMT_Encode4(1251527), // Rule ID 5524 //
     /* 1251451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1251454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1251462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1251465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1251471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1251504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1251507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251526 */     // GIR_Coverage, 5524,
     /* 1251526 */     GIR_EraseRootFromParent_Done,
     /* 1251527 */   // Label 18076: @1251527
     /* 1251527 */   GIM_Try, /*On fail goto*//*Label 18077*/ GIMT_Encode4(1251608), // Rule ID 5525 //
     /* 1251532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1251535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1251543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1251546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1251549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1251552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1251555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1251562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1251574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251585 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1251585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M1),
     /* 1251588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1251606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251607 */     // GIR_Coverage, 5525,
     /* 1251607 */     GIR_EraseRootFromParent_Done,
     /* 1251608 */   // Label 18077: @1251608
     /* 1251608 */   GIM_Try, /*On fail goto*//*Label 18078*/ GIMT_Encode4(1251689), // Rule ID 5526 //
     /* 1251613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1251624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1251627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1251633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251666 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1251669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251688 */     // GIR_Coverage, 5526,
     /* 1251688 */     GIR_EraseRootFromParent_Done,
     /* 1251689 */   // Label 18078: @1251689
     /* 1251689 */   GIM_Try, /*On fail goto*//*Label 18079*/ GIMT_Encode4(1251770), // Rule ID 5527 //
     /* 1251694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1251705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1251708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1251711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1251714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1251717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1251724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1251736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251747 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1251750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251769 */     // GIR_Coverage, 5527,
     /* 1251769 */     GIR_EraseRootFromParent_Done,
     /* 1251770 */   // Label 18079: @1251770
     /* 1251770 */   GIM_Try, /*On fail goto*//*Label 18080*/ GIMT_Encode4(1251851), // Rule ID 5528 //
     /* 1251775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1251786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1251789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1251795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251828 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1251831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251850 */     // GIR_Coverage, 5528,
     /* 1251850 */     GIR_EraseRootFromParent_Done,
     /* 1251851 */   // Label 18080: @1251851
     /* 1251851 */   GIM_Try, /*On fail goto*//*Label 18081*/ GIMT_Encode4(1251932), // Rule ID 5529 //
     /* 1251856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1251859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1251867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1251870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1251873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1251876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1251879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1251882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1251886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1251898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251909 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1251909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1251912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1251920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1251922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1251927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1251930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1251931 */     // GIR_Coverage, 5529,
     /* 1251931 */     GIR_EraseRootFromParent_Done,
     /* 1251932 */   // Label 18081: @1251932
     /* 1251932 */   GIM_Try, /*On fail goto*//*Label 18082*/ GIMT_Encode4(1252013), // Rule ID 5530 //
     /* 1251937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1251940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1251945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1251948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1251951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1251954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1251957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1251960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1251963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1251967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1251979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1251983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1251990 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1251990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1251993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1251995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1251997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1251999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252012 */     // GIR_Coverage, 5530,
     /* 1252012 */     GIR_EraseRootFromParent_Done,
     /* 1252013 */   // Label 18082: @1252013
     /* 1252013 */   GIM_Try, /*On fail goto*//*Label 18083*/ GIMT_Encode4(1252094), // Rule ID 5531 //
     /* 1252018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1252029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1252032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1252035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1252038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1252041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1252071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1252074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1252092 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252093 */     // GIR_Coverage, 5531,
     /* 1252093 */     GIR_EraseRootFromParent_Done,
     /* 1252094 */   // Label 18083: @1252094
     /* 1252094 */   GIM_Try, /*On fail goto*//*Label 18084*/ GIMT_Encode4(1252175), // Rule ID 5532 //
     /* 1252099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1252110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1252113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1252119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1252155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252174 */     // GIR_Coverage, 5532,
     /* 1252174 */     GIR_EraseRootFromParent_Done,
     /* 1252175 */   // Label 18084: @1252175
     /* 1252175 */   GIM_Try, /*On fail goto*//*Label 18085*/ GIMT_Encode4(1252256), // Rule ID 5533 //
     /* 1252180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1252191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1252194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1252197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1252200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252233 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1252236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252255 */     // GIR_Coverage, 5533,
     /* 1252255 */     GIR_EraseRootFromParent_Done,
     /* 1252256 */   // Label 18085: @1252256
     /* 1252256 */   GIM_Try, /*On fail goto*//*Label 18086*/ GIMT_Encode4(1252337), // Rule ID 5534 //
     /* 1252261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1252272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1252275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1252281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252314 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1252317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252336 */     // GIR_Coverage, 5534,
     /* 1252336 */     GIR_EraseRootFromParent_Done,
     /* 1252337 */   // Label 18086: @1252337
     /* 1252337 */   GIM_Try, /*On fail goto*//*Label 18087*/ GIMT_Encode4(1252418), // Rule ID 5535 //
     /* 1252342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1252353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1252356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1252359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1252362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252395 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1252398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252417 */     // GIR_Coverage, 5535,
     /* 1252417 */     GIR_EraseRootFromParent_Done,
     /* 1252418 */   // Label 18087: @1252418
     /* 1252418 */   GIM_Try, /*On fail goto*//*Label 18088*/ GIMT_Encode4(1252499), // Rule ID 5536 //
     /* 1252423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1252434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1252437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1252443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252476 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1252476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1252479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252498 */     // GIR_Coverage, 5536,
     /* 1252498 */     GIR_EraseRootFromParent_Done,
     /* 1252499 */   // Label 18088: @1252499
     /* 1252499 */   GIM_Try, /*On fail goto*//*Label 18089*/ GIMT_Encode4(1252580), // Rule ID 5537 //
     /* 1252504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1252515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1252518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1252521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1252524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1252527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252557 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1252557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1252560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1252578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252579 */     // GIR_Coverage, 5537,
     /* 1252579 */     GIR_EraseRootFromParent_Done,
     /* 1252580 */   // Label 18089: @1252580
     /* 1252580 */   GIM_Try, /*On fail goto*//*Label 18090*/ GIMT_Encode4(1252661), // Rule ID 5538 //
     /* 1252585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1252596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1252599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1252605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1252641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252660 */     // GIR_Coverage, 5538,
     /* 1252660 */     GIR_EraseRootFromParent_Done,
     /* 1252661 */   // Label 18090: @1252661
     /* 1252661 */   GIM_Try, /*On fail goto*//*Label 18091*/ GIMT_Encode4(1252742), // Rule ID 5539 //
     /* 1252666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1252677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1252680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1252683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1252686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1252689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1252696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1252708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1252719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1252722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252741 */     // GIR_Coverage, 5539,
     /* 1252741 */     GIR_EraseRootFromParent_Done,
     /* 1252742 */   // Label 18091: @1252742
     /* 1252742 */   GIM_Try, /*On fail goto*//*Label 18092*/ GIMT_Encode4(1252823), // Rule ID 5540 //
     /* 1252747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1252758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1252761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1252767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252800 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1252803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252822 */     // GIR_Coverage, 5540,
     /* 1252822 */     GIR_EraseRootFromParent_Done,
     /* 1252823 */   // Label 18092: @1252823
     /* 1252823 */   GIM_Try, /*On fail goto*//*Label 18093*/ GIMT_Encode4(1252904), // Rule ID 5541 //
     /* 1252828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1252839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1252842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1252845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1252848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1252851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1252854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1252858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1252870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252881 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1252881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1252884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252903 */     // GIR_Coverage, 5541,
     /* 1252903 */     GIR_EraseRootFromParent_Done,
     /* 1252904 */   // Label 18093: @1252904
     /* 1252904 */   GIM_Try, /*On fail goto*//*Label 18094*/ GIMT_Encode4(1252985), // Rule ID 5542 //
     /* 1252909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1252912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1252920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1252923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1252926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1252929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1252932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1252935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1252939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1252951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1252955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1252962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1252962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1252965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1252967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1252969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1252971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1252973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1252975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1252980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1252983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1252984 */     // GIR_Coverage, 5542,
     /* 1252984 */     GIR_EraseRootFromParent_Done,
     /* 1252985 */   // Label 18094: @1252985
     /* 1252985 */   GIM_Try, /*On fail goto*//*Label 18095*/ GIMT_Encode4(1253066), // Rule ID 5543 //
     /* 1252990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1252993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1252998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1253001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1253004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1253007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1253010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1253013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1253020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253043 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1253043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1253046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1253064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253065 */     // GIR_Coverage, 5543,
     /* 1253065 */     GIR_EraseRootFromParent_Done,
     /* 1253066 */   // Label 18095: @1253066
     /* 1253066 */   GIM_Try, /*On fail goto*//*Label 18096*/ GIMT_Encode4(1253147), // Rule ID 5544 //
     /* 1253071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1253082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1253085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1253091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1253101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1253124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1253127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253146 */     // GIR_Coverage, 5544,
     /* 1253146 */     GIR_EraseRootFromParent_Done,
     /* 1253147 */   // Label 18096: @1253147
     /* 1253147 */   GIM_Try, /*On fail goto*//*Label 18097*/ GIMT_Encode4(1253228), // Rule ID 5545 //
     /* 1253152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1253163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1253166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1253169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1253172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1253182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1253194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253205 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1253205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M2),
     /* 1253208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253227 */     // GIR_Coverage, 5545,
     /* 1253227 */     GIR_EraseRootFromParent_Done,
     /* 1253228 */   // Label 18097: @1253228
     /* 1253228 */   GIM_Try, /*On fail goto*//*Label 18098*/ GIMT_Encode4(1253309), // Rule ID 5546 //
     /* 1253233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1253244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1253247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1253253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1253263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1253286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1253289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253308 */     // GIR_Coverage, 5546,
     /* 1253308 */     GIR_EraseRootFromParent_Done,
     /* 1253309 */   // Label 18098: @1253309
     /* 1253309 */   GIM_Try, /*On fail goto*//*Label 18099*/ GIMT_Encode4(1253390), // Rule ID 5547 //
     /* 1253314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1253325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1253328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1253331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1253334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1253344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1253356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253367 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1253367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M4),
     /* 1253370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253388 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253389 */     // GIR_Coverage, 5547,
     /* 1253389 */     GIR_EraseRootFromParent_Done,
     /* 1253390 */   // Label 18099: @1253390
     /* 1253390 */   GIM_Try, /*On fail goto*//*Label 18100*/ GIMT_Encode4(1253471), // Rule ID 5548 //
     /* 1253395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1253398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1253406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1253409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1253415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1253425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1253448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1253451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253470 */     // GIR_Coverage, 5548,
     /* 1253470 */     GIR_EraseRootFromParent_Done,
     /* 1253471 */   // Label 18100: @1253471
     /* 1253471 */   GIM_Try, /*On fail goto*//*Label 18101*/ GIMT_Encode4(1253552), // Rule ID 5549 //
     /* 1253476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1253479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1253487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1253490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1253493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1253496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1253499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1253506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1253518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253529 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1253529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VVM_M8),
     /* 1253532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1253550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253551 */     // GIR_Coverage, 5549,
     /* 1253551 */     GIR_EraseRootFromParent_Done,
     /* 1253552 */   // Label 18101: @1253552
     /* 1253552 */   GIM_Try, /*On fail goto*//*Label 18102*/ GIMT_Encode4(1253633), // Rule ID 5550 //
     /* 1253557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1253568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1253571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253610 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1253610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1253613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253632 */     // GIR_Coverage, 5550,
     /* 1253632 */     GIR_EraseRootFromParent_Done,
     /* 1253633 */   // Label 18102: @1253633
     /* 1253633 */   GIM_Try, /*On fail goto*//*Label 18103*/ GIMT_Encode4(1253714), // Rule ID 5551 //
     /* 1253638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1253649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1253652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1253655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1253661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253691 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1253691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF8),
     /* 1253694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253713 */     // GIR_Coverage, 5551,
     /* 1253713 */     GIR_EraseRootFromParent_Done,
     /* 1253714 */   // Label 18103: @1253714
     /* 1253714 */   GIM_Try, /*On fail goto*//*Label 18104*/ GIMT_Encode4(1253795), // Rule ID 5552 //
     /* 1253719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1253730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1253733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1253772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1253775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253794 */     // GIR_Coverage, 5552,
     /* 1253794 */     GIR_EraseRootFromParent_Done,
     /* 1253795 */   // Label 18104: @1253795
     /* 1253795 */   GIM_Try, /*On fail goto*//*Label 18105*/ GIMT_Encode4(1253876), // Rule ID 5553 //
     /* 1253800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1253811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1253814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1253817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1253823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253853 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1253853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1253856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253875 */     // GIR_Coverage, 5553,
     /* 1253875 */     GIR_EraseRootFromParent_Done,
     /* 1253876 */   // Label 18105: @1253876
     /* 1253876 */   GIM_Try, /*On fail goto*//*Label 18106*/ GIMT_Encode4(1253957), // Rule ID 5554 //
     /* 1253881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1253884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1253892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1253895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1253901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1253907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1253923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1253927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1253934 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1253934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1253937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1253939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1253941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1253943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1253945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1253947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1253952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1253955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1253956 */     // GIR_Coverage, 5554,
     /* 1253956 */     GIR_EraseRootFromParent_Done,
     /* 1253957 */   // Label 18106: @1253957
     /* 1253957 */   GIM_Try, /*On fail goto*//*Label 18107*/ GIMT_Encode4(1254038), // Rule ID 5555 //
     /* 1253962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1253965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1253970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1253973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1253976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1253979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1253982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1253985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1253988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1253992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1253996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254015 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1254015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1254018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254037 */     // GIR_Coverage, 5555,
     /* 1254037 */     GIR_EraseRootFromParent_Done,
     /* 1254038 */   // Label 18107: @1254038
     /* 1254038 */   GIM_Try, /*On fail goto*//*Label 18108*/ GIMT_Encode4(1254119), // Rule ID 5556 //
     /* 1254043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1254054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1254057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1254060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254096 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1254096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1254099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254118 */     // GIR_Coverage, 5556,
     /* 1254118 */     GIR_EraseRootFromParent_Done,
     /* 1254119 */   // Label 18108: @1254119
     /* 1254119 */   GIM_Try, /*On fail goto*//*Label 18109*/ GIMT_Encode4(1254200), // Rule ID 5557 //
     /* 1254124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1254135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1254138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1254141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254177 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF4),
     /* 1254180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254182 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254199 */     // GIR_Coverage, 5557,
     /* 1254199 */     GIR_EraseRootFromParent_Done,
     /* 1254200 */   // Label 18109: @1254200
     /* 1254200 */   GIM_Try, /*On fail goto*//*Label 18110*/ GIMT_Encode4(1254281), // Rule ID 5558 //
     /* 1254205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1254216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1254219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254258 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1254258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1254261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254280 */     // GIR_Coverage, 5558,
     /* 1254280 */     GIR_EraseRootFromParent_Done,
     /* 1254281 */   // Label 18110: @1254281
     /* 1254281 */   GIM_Try, /*On fail goto*//*Label 18111*/ GIMT_Encode4(1254362), // Rule ID 5559 //
     /* 1254286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1254297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1254300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1254303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254339 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1254342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254360 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254361 */     // GIR_Coverage, 5559,
     /* 1254361 */     GIR_EraseRootFromParent_Done,
     /* 1254362 */   // Label 18111: @1254362
     /* 1254362 */   GIM_Try, /*On fail goto*//*Label 18112*/ GIMT_Encode4(1254443), // Rule ID 5560 //
     /* 1254367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1254378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1254381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254420 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1254420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1254423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254442 */     // GIR_Coverage, 5560,
     /* 1254442 */     GIR_EraseRootFromParent_Done,
     /* 1254443 */   // Label 18112: @1254443
     /* 1254443 */   GIM_Try, /*On fail goto*//*Label 18113*/ GIMT_Encode4(1254524), // Rule ID 5561 //
     /* 1254448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1254459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1254462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1254465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1254471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254501 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1254501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_MF2),
     /* 1254504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254523 */     // GIR_Coverage, 5561,
     /* 1254523 */     GIR_EraseRootFromParent_Done,
     /* 1254524 */   // Label 18113: @1254524
     /* 1254524 */   GIM_Try, /*On fail goto*//*Label 18114*/ GIMT_Encode4(1254605), // Rule ID 5562 //
     /* 1254529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1254540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1254543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254582 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1254582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1254585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254604 */     // GIR_Coverage, 5562,
     /* 1254604 */     GIR_EraseRootFromParent_Done,
     /* 1254605 */   // Label 18114: @1254605
     /* 1254605 */   GIM_Try, /*On fail goto*//*Label 18115*/ GIMT_Encode4(1254686), // Rule ID 5563 //
     /* 1254610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1254621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1254624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1254627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1254633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254663 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11535:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1254663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1254666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1254684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254685 */     // GIR_Coverage, 5563,
     /* 1254685 */     GIR_EraseRootFromParent_Done,
     /* 1254686 */   // Label 18115: @1254686
     /* 1254686 */   GIM_Try, /*On fail goto*//*Label 18116*/ GIMT_Encode4(1254767), // Rule ID 5564 //
     /* 1254691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1254702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1254705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254744 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1254744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1254747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254766 */     // GIR_Coverage, 5564,
     /* 1254766 */     GIR_EraseRootFromParent_Done,
     /* 1254767 */   // Label 18116: @1254767
     /* 1254767 */   GIM_Try, /*On fail goto*//*Label 18117*/ GIMT_Encode4(1254848), // Rule ID 5565 //
     /* 1254772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1254783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1254786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1254789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1254795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254825 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11535:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1254825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1254828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1254846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254847 */     // GIR_Coverage, 5565,
     /* 1254847 */     GIR_EraseRootFromParent_Done,
     /* 1254848 */   // Label 18117: @1254848
     /* 1254848 */   GIM_Try, /*On fail goto*//*Label 18118*/ GIMT_Encode4(1254929), // Rule ID 5566 //
     /* 1254853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1254856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1254864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1254867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1254873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1254879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254906 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1254906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1254909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1254919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1254924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1254927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1254928 */     // GIR_Coverage, 5566,
     /* 1254928 */     GIR_EraseRootFromParent_Done,
     /* 1254929 */   // Label 18118: @1254929
     /* 1254929 */   GIM_Try, /*On fail goto*//*Label 18119*/ GIMT_Encode4(1255010), // Rule ID 5567 //
     /* 1254934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1254937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1254942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1254945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1254948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1254951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1254954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1254957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1254960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1254964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1254972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1254976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1254980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1254987 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11535:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1254987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1254990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1254992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1254994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1254996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1254998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1255008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255009 */     // GIR_Coverage, 5567,
     /* 1255009 */     GIR_EraseRootFromParent_Done,
     /* 1255010 */   // Label 18119: @1255010
     /* 1255010 */   GIM_Try, /*On fail goto*//*Label 18120*/ GIMT_Encode4(1255091), // Rule ID 5568 //
     /* 1255015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1255018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1255026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1255029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1255032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1255045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1255068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1255071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255090 */     // GIR_Coverage, 5568,
     /* 1255090 */     GIR_EraseRootFromParent_Done,
     /* 1255091 */   // Label 18120: @1255091
     /* 1255091 */   GIM_Try, /*On fail goto*//*Label 18121*/ GIMT_Encode4(1255172), // Rule ID 5569 //
     /* 1255096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1255099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1255107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1255110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1255113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1255119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1255126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1255134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255149 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11535:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1255149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M1),
     /* 1255152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1255170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255171 */     // GIR_Coverage, 5569,
     /* 1255171 */     GIR_EraseRootFromParent_Done,
     /* 1255172 */   // Label 18121: @1255172
     /* 1255172 */   GIM_Try, /*On fail goto*//*Label 18122*/ GIMT_Encode4(1255253), // Rule ID 5570 //
     /* 1255177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1255188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1255191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1255207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255230 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1255230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1255233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255252 */     // GIR_Coverage, 5570,
     /* 1255252 */     GIR_EraseRootFromParent_Done,
     /* 1255253 */   // Label 18122: @1255253
     /* 1255253 */   GIM_Try, /*On fail goto*//*Label 18123*/ GIMT_Encode4(1255334), // Rule ID 5571 //
     /* 1255258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1255269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1255272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1255275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1255288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255311 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1255311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1255314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255333 */     // GIR_Coverage, 5571,
     /* 1255333 */     GIR_EraseRootFromParent_Done,
     /* 1255334 */   // Label 18123: @1255334
     /* 1255334 */   GIM_Try, /*On fail goto*//*Label 18124*/ GIMT_Encode4(1255415), // Rule ID 5572 //
     /* 1255339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1255350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1255353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1255356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1255369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255392 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1255392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1255395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255414 */     // GIR_Coverage, 5572,
     /* 1255414 */     GIR_EraseRootFromParent_Done,
     /* 1255415 */   // Label 18124: @1255415
     /* 1255415 */   GIM_Try, /*On fail goto*//*Label 18125*/ GIMT_Encode4(1255496), // Rule ID 5573 //
     /* 1255420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1255431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1255434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1255437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1255443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1255450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1255473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1255476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255495 */     // GIR_Coverage, 5573,
     /* 1255495 */     GIR_EraseRootFromParent_Done,
     /* 1255496 */   // Label 18125: @1255496
     /* 1255496 */   GIM_Try, /*On fail goto*//*Label 18126*/ GIMT_Encode4(1255577), // Rule ID 5574 //
     /* 1255501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1255512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1255515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1255531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255554 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1255554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1255557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255576 */     // GIR_Coverage, 5574,
     /* 1255576 */     GIR_EraseRootFromParent_Done,
     /* 1255577 */   // Label 18126: @1255577
     /* 1255577 */   GIM_Try, /*On fail goto*//*Label 18127*/ GIMT_Encode4(1255658), // Rule ID 5575 //
     /* 1255582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1255593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1255596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1255599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1255605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1255612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1255620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255635 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1255635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1255638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1255656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255657 */     // GIR_Coverage, 5575,
     /* 1255657 */     GIR_EraseRootFromParent_Done,
     /* 1255658 */   // Label 18127: @1255658
     /* 1255658 */   GIM_Try, /*On fail goto*//*Label 18128*/ GIMT_Encode4(1255739), // Rule ID 5576 //
     /* 1255663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1255674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1255677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1255693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255716 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1255716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1255719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255738 */     // GIR_Coverage, 5576,
     /* 1255738 */     GIR_EraseRootFromParent_Done,
     /* 1255739 */   // Label 18128: @1255739
     /* 1255739 */   GIM_Try, /*On fail goto*//*Label 18129*/ GIMT_Encode4(1255820), // Rule ID 5577 //
     /* 1255744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1255755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1255758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1255761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1255767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1255774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1255782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255797 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1255797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1255800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255819 */     // GIR_Coverage, 5577,
     /* 1255819 */     GIR_EraseRootFromParent_Done,
     /* 1255820 */   // Label 18129: @1255820
     /* 1255820 */   GIM_Try, /*On fail goto*//*Label 18130*/ GIMT_Encode4(1255901), // Rule ID 5578 //
     /* 1255825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1255836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1255839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1255845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1255851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1255855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255878 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1255878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1255881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255900 */     // GIR_Coverage, 5578,
     /* 1255900 */     GIR_EraseRootFromParent_Done,
     /* 1255901 */   // Label 18130: @1255901
     /* 1255901 */   GIM_Try, /*On fail goto*//*Label 18131*/ GIMT_Encode4(1255982), // Rule ID 5579 //
     /* 1255906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1255909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1255917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1255920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1255923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1255926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1255929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1255932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1255936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1255944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1255948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1255952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1255959 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1255959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1255962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1255964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1255966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1255968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1255970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1255972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1255977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1255980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1255981 */     // GIR_Coverage, 5579,
     /* 1255981 */     GIR_EraseRootFromParent_Done,
     /* 1255982 */   // Label 18131: @1255982
     /* 1255982 */   GIM_Try, /*On fail goto*//*Label 18132*/ GIMT_Encode4(1256063), // Rule ID 5580 //
     /* 1255987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1255990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1255995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1255998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1256001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1256004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256040 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1256040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1256043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256062 */     // GIR_Coverage, 5580,
     /* 1256062 */     GIR_EraseRootFromParent_Done,
     /* 1256063 */   // Label 18132: @1256063
     /* 1256063 */   GIM_Try, /*On fail goto*//*Label 18133*/ GIMT_Encode4(1256144), // Rule ID 5581 //
     /* 1256068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1256079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1256082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1256085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1256091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256121 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1256121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1256124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1256142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256143 */     // GIR_Coverage, 5581,
     /* 1256143 */     GIR_EraseRootFromParent_Done,
     /* 1256144 */   // Label 18133: @1256144
     /* 1256144 */   GIM_Try, /*On fail goto*//*Label 18134*/ GIMT_Encode4(1256225), // Rule ID 5582 //
     /* 1256149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1256160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1256163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1256166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1256179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256202 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1256202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1256205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256224 */     // GIR_Coverage, 5582,
     /* 1256224 */     GIR_EraseRootFromParent_Done,
     /* 1256225 */   // Label 18134: @1256225
     /* 1256225 */   GIM_Try, /*On fail goto*//*Label 18135*/ GIMT_Encode4(1256306), // Rule ID 5583 //
     /* 1256230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1256241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1256244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1256247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1256260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256283 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1256283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1256286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256305 */     // GIR_Coverage, 5583,
     /* 1256305 */     GIR_EraseRootFromParent_Done,
     /* 1256306 */   // Label 18135: @1256306
     /* 1256306 */   GIM_Try, /*On fail goto*//*Label 18136*/ GIMT_Encode4(1256387), // Rule ID 5584 //
     /* 1256311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1256322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1256325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1256341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256364 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1256364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1256367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256386 */     // GIR_Coverage, 5584,
     /* 1256386 */     GIR_EraseRootFromParent_Done,
     /* 1256387 */   // Label 18136: @1256387
     /* 1256387 */   GIM_Try, /*On fail goto*//*Label 18137*/ GIMT_Encode4(1256468), // Rule ID 5585 //
     /* 1256392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1256403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1256406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1256409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1256422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256445 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1256445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1256448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256450 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256467 */     // GIR_Coverage, 5585,
     /* 1256467 */     GIR_EraseRootFromParent_Done,
     /* 1256468 */   // Label 18137: @1256468
     /* 1256468 */   GIM_Try, /*On fail goto*//*Label 18138*/ GIMT_Encode4(1256549), // Rule ID 5586 //
     /* 1256473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1256476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1256484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1256487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1256526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1256529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256548 */     // GIR_Coverage, 5586,
     /* 1256548 */     GIR_EraseRootFromParent_Done,
     /* 1256549 */   // Label 18138: @1256549
     /* 1256549 */   GIM_Try, /*On fail goto*//*Label 18139*/ GIMT_Encode4(1256630), // Rule ID 5587 //
     /* 1256554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1256557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1256565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1256568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1256571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1256577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256607 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1256607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1256610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1256628 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256629 */     // GIR_Coverage, 5587,
     /* 1256629 */     GIR_EraseRootFromParent_Done,
     /* 1256630 */   // Label 18139: @1256630
     /* 1256630 */   GIM_Try, /*On fail goto*//*Label 18140*/ GIMT_Encode4(1256711), // Rule ID 5588 //
     /* 1256635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1256646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1256649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1256665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256688 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1256688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1256691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256710 */     // GIR_Coverage, 5588,
     /* 1256710 */     GIR_EraseRootFromParent_Done,
     /* 1256711 */   // Label 18140: @1256711
     /* 1256711 */   GIM_Try, /*On fail goto*//*Label 18141*/ GIMT_Encode4(1256792), // Rule ID 5589 //
     /* 1256716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1256727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1256730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1256733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1256739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1256746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1256754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256769 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11535:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1256769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M2),
     /* 1256772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256791 */     // GIR_Coverage, 5589,
     /* 1256791 */     GIR_EraseRootFromParent_Done,
     /* 1256792 */   // Label 18141: @1256792
     /* 1256792 */   GIM_Try, /*On fail goto*//*Label 18142*/ GIMT_Encode4(1256873), // Rule ID 5590 //
     /* 1256797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1256808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1256811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1256827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1256850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1256853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256872 */     // GIR_Coverage, 5590,
     /* 1256872 */     GIR_EraseRootFromParent_Done,
     /* 1256873 */   // Label 18142: @1256873
     /* 1256873 */   GIM_Try, /*On fail goto*//*Label 18143*/ GIMT_Encode4(1256954), // Rule ID 5591 //
     /* 1256878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1256881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1256889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1256892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1256895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1256898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1256901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1256904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1256908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1256916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1256920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1256924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1256931 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11535:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1256931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M4),
     /* 1256934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1256936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1256938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1256940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1256942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1256944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1256949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1256952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1256953 */     // GIR_Coverage, 5591,
     /* 1256953 */     GIR_EraseRootFromParent_Done,
     /* 1256954 */   // Label 18143: @1256954
     /* 1256954 */   GIM_Try, /*On fail goto*//*Label 18144*/ GIMT_Encode4(1257035), // Rule ID 5592 //
     /* 1256959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1256962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1256967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1256970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1256973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1256976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1256979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1256982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1256985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1256989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1256997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257012 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1257012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1257015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257034 */     // GIR_Coverage, 5592,
     /* 1257034 */     GIR_EraseRootFromParent_Done,
     /* 1257035 */   // Label 18144: @1257035
     /* 1257035 */   GIM_Try, /*On fail goto*//*Label 18145*/ GIMT_Encode4(1257116), // Rule ID 5593 //
     /* 1257040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1257043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsbc),
     /* 1257048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1257051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1257054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1257057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1257060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1257070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1257078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1257082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257093 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11535:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVSBC_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1257093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSBC_VXM_M8),
     /* 1257096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1257114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257115 */     // GIR_Coverage, 5593,
     /* 1257115 */     GIR_EraseRootFromParent_Done,
     /* 1257116 */   // Label 18145: @1257116
     /* 1257116 */   GIM_Try, /*On fail goto*//*Label 18146*/ GIMT_Encode4(1257200), // Rule ID 7804 //
     /* 1257121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1257141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257174 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1257177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257199 */     // GIR_Coverage, 7804,
     /* 1257199 */     GIR_EraseRootFromParent_Done,
     /* 1257200 */   // Label 18146: @1257200
     /* 1257200 */   GIM_Try, /*On fail goto*//*Label 18147*/ GIMT_Encode4(1257284), // Rule ID 7805 //
     /* 1257205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1257222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1257225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257258 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1257261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257283 */     // GIR_Coverage, 7805,
     /* 1257283 */     GIR_EraseRootFromParent_Done,
     /* 1257284 */   // Label 18147: @1257284
     /* 1257284 */   GIM_Try, /*On fail goto*//*Label 18148*/ GIMT_Encode4(1257368), // Rule ID 7808 //
     /* 1257289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1257309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257342 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1257345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257367 */     // GIR_Coverage, 7808,
     /* 1257367 */     GIR_EraseRootFromParent_Done,
     /* 1257368 */   // Label 18148: @1257368
     /* 1257368 */   GIM_Try, /*On fail goto*//*Label 18149*/ GIMT_Encode4(1257452), // Rule ID 7809 //
     /* 1257373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1257384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1257387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1257390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1257393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1257396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257426 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1257429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1257447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257451 */     // GIR_Coverage, 7809,
     /* 1257451 */     GIR_EraseRootFromParent_Done,
     /* 1257452 */   // Label 18149: @1257452
     /* 1257452 */   GIM_Try, /*On fail goto*//*Label 18150*/ GIMT_Encode4(1257536), // Rule ID 7812 //
     /* 1257457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1257477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257510 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1257513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257535 */     // GIR_Coverage, 7812,
     /* 1257535 */     GIR_EraseRootFromParent_Done,
     /* 1257536 */   // Label 18150: @1257536
     /* 1257536 */   GIM_Try, /*On fail goto*//*Label 18151*/ GIMT_Encode4(1257620), // Rule ID 7813 //
     /* 1257541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1257558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1257561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257594 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4_MASK),
     /* 1257597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257619 */     // GIR_Coverage, 7813,
     /* 1257619 */     GIR_EraseRootFromParent_Done,
     /* 1257620 */   // Label 18151: @1257620
     /* 1257620 */   GIM_Try, /*On fail goto*//*Label 18152*/ GIMT_Encode4(1257704), // Rule ID 7816 //
     /* 1257625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1257645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1257681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257703 */     // GIR_Coverage, 7816,
     /* 1257703 */     GIR_EraseRootFromParent_Done,
     /* 1257704 */   // Label 18152: @1257704
     /* 1257704 */   GIM_Try, /*On fail goto*//*Label 18153*/ GIMT_Encode4(1257788), // Rule ID 7817 //
     /* 1257709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1257720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1257723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1257726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1257729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1257732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257762 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1257765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1257783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257787 */     // GIR_Coverage, 7817,
     /* 1257787 */     GIR_EraseRootFromParent_Done,
     /* 1257788 */   // Label 18153: @1257788
     /* 1257788 */   GIM_Try, /*On fail goto*//*Label 18154*/ GIMT_Encode4(1257872), // Rule ID 7820 //
     /* 1257793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1257813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257846 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1257846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1257849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257871 */     // GIR_Coverage, 7820,
     /* 1257871 */     GIR_EraseRootFromParent_Done,
     /* 1257872 */   // Label 18154: @1257872
     /* 1257872 */   GIM_Try, /*On fail goto*//*Label 18155*/ GIMT_Encode4(1257956), // Rule ID 7821 //
     /* 1257877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1257880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1257888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1257891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1257894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1257897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1257900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1257903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1257923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1257930 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1257930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2_MASK),
     /* 1257933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1257935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1257937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1257939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1257941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1257943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1257948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1257951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1257954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1257955 */     // GIR_Coverage, 7821,
     /* 1257955 */     GIR_EraseRootFromParent_Done,
     /* 1257956 */   // Label 18155: @1257956
     /* 1257956 */   GIM_Try, /*On fail goto*//*Label 18156*/ GIMT_Encode4(1258040), // Rule ID 7824 //
     /* 1257961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1257964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1257969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1257972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1257975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1257978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1257981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1257984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1257987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1257999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258014 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1258017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258039 */     // GIR_Coverage, 7824,
     /* 1258039 */     GIR_EraseRootFromParent_Done,
     /* 1258040 */   // Label 18156: @1258040
     /* 1258040 */   GIM_Try, /*On fail goto*//*Label 18157*/ GIMT_Encode4(1258124), // Rule ID 7825 //
     /* 1258045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1258056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1258059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1258062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1258065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1258068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258098 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1258101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258123 */     // GIR_Coverage, 7825,
     /* 1258123 */     GIR_EraseRootFromParent_Done,
     /* 1258124 */   // Label 18157: @1258124
     /* 1258124 */   GIM_Try, /*On fail goto*//*Label 18158*/ GIMT_Encode4(1258208), // Rule ID 7828 //
     /* 1258129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258182 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1258185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258207 */     // GIR_Coverage, 7828,
     /* 1258207 */     GIR_EraseRootFromParent_Done,
     /* 1258208 */   // Label 18158: @1258208
     /* 1258208 */   GIM_Try, /*On fail goto*//*Label 18159*/ GIMT_Encode4(1258292), // Rule ID 7829 //
     /* 1258213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1258224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1258227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1258230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1258233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1258236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258266 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1258269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1258287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258291 */     // GIR_Coverage, 7829,
     /* 1258291 */     GIR_EraseRootFromParent_Done,
     /* 1258292 */   // Label 18159: @1258292
     /* 1258292 */   GIM_Try, /*On fail goto*//*Label 18160*/ GIMT_Encode4(1258376), // Rule ID 7832 //
     /* 1258297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1258317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258350 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1258353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258375 */     // GIR_Coverage, 7832,
     /* 1258375 */     GIR_EraseRootFromParent_Done,
     /* 1258376 */   // Label 18160: @1258376
     /* 1258376 */   GIM_Try, /*On fail goto*//*Label 18161*/ GIMT_Encode4(1258460), // Rule ID 7833 //
     /* 1258381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1258392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1258395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1258398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1258401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1258404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1258437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1258455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258459 */     // GIR_Coverage, 7833,
     /* 1258459 */     GIR_EraseRootFromParent_Done,
     /* 1258460 */   // Label 18161: @1258460
     /* 1258460 */   GIM_Try, /*On fail goto*//*Label 18162*/ GIMT_Encode4(1258544), // Rule ID 7836 //
     /* 1258465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1258468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1258485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258518 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1258521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258543 */     // GIR_Coverage, 7836,
     /* 1258543 */     GIR_EraseRootFromParent_Done,
     /* 1258544 */   // Label 18162: @1258544
     /* 1258544 */   GIM_Try, /*On fail goto*//*Label 18163*/ GIMT_Encode4(1258628), // Rule ID 7837 //
     /* 1258549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1258552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1258560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1258563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1258566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1258569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1258572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258602 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1_MASK),
     /* 1258605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1258623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258627 */     // GIR_Coverage, 7837,
     /* 1258627 */     GIR_EraseRootFromParent_Done,
     /* 1258628 */   // Label 18163: @1258628
     /* 1258628 */   GIM_Try, /*On fail goto*//*Label 18164*/ GIMT_Encode4(1258712), // Rule ID 7840 //
     /* 1258633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1258653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258686 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1258689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258711 */     // GIR_Coverage, 7840,
     /* 1258711 */     GIR_EraseRootFromParent_Done,
     /* 1258712 */   // Label 18164: @1258712
     /* 1258712 */   GIM_Try, /*On fail goto*//*Label 18165*/ GIMT_Encode4(1258796), // Rule ID 7841 //
     /* 1258717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1258728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1258731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1258734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1258737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1258740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1258759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258770 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1258773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258795 */     // GIR_Coverage, 7841,
     /* 1258795 */     GIR_EraseRootFromParent_Done,
     /* 1258796 */   // Label 18165: @1258796
     /* 1258796 */   GIM_Try, /*On fail goto*//*Label 18166*/ GIMT_Encode4(1258880), // Rule ID 7844 //
     /* 1258801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1258821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258854 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1258854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1258857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258879 */     // GIR_Coverage, 7844,
     /* 1258879 */     GIR_EraseRootFromParent_Done,
     /* 1258880 */   // Label 18166: @1258880
     /* 1258880 */   GIM_Try, /*On fail goto*//*Label 18167*/ GIMT_Encode4(1258964), // Rule ID 7845 //
     /* 1258885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1258888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1258896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1258899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1258902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1258905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1258908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1258911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1258927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1258931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1258938 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1258938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1258941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1258943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1258945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1258947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1258949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1258951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1258956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1258959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1258962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1258963 */     // GIR_Coverage, 7845,
     /* 1258963 */     GIR_EraseRootFromParent_Done,
     /* 1258964 */   // Label 18167: @1258964
     /* 1258964 */   GIM_Try, /*On fail goto*//*Label 18168*/ GIMT_Encode4(1259048), // Rule ID 7848 //
     /* 1258969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1258972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1258977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1258980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1258983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1258986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1258989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1258992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1258995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1258999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259022 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1259025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259047 */     // GIR_Coverage, 7848,
     /* 1259047 */     GIR_EraseRootFromParent_Done,
     /* 1259048 */   // Label 18168: @1259048
     /* 1259048 */   GIM_Try, /*On fail goto*//*Label 18169*/ GIMT_Encode4(1259132), // Rule ID 7849 //
     /* 1259053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1259064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1259067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1259070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1259073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1259076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259106 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1259109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1259127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259131 */     // GIR_Coverage, 7849,
     /* 1259131 */     GIR_EraseRootFromParent_Done,
     /* 1259132 */   // Label 18169: @1259132
     /* 1259132 */   GIM_Try, /*On fail goto*//*Label 18170*/ GIMT_Encode4(1259216), // Rule ID 7852 //
     /* 1259137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1259157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259190 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1259193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259215 */     // GIR_Coverage, 7852,
     /* 1259215 */     GIR_EraseRootFromParent_Done,
     /* 1259216 */   // Label 18170: @1259216
     /* 1259216 */   GIM_Try, /*On fail goto*//*Label 18171*/ GIMT_Encode4(1259300), // Rule ID 7853 //
     /* 1259221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1259238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1259241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1259277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259299 */     // GIR_Coverage, 7853,
     /* 1259299 */     GIR_EraseRootFromParent_Done,
     /* 1259300 */   // Label 18171: @1259300
     /* 1259300 */   GIM_Try, /*On fail goto*//*Label 18172*/ GIMT_Encode4(1259384), // Rule ID 7856 //
     /* 1259305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1259325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259358 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1259361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259383 */     // GIR_Coverage, 7856,
     /* 1259383 */     GIR_EraseRootFromParent_Done,
     /* 1259384 */   // Label 18172: @1259384
     /* 1259384 */   GIM_Try, /*On fail goto*//*Label 18173*/ GIMT_Encode4(1259468), // Rule ID 7857 //
     /* 1259389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1259406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1259409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1259412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259442 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1259445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259467 */     // GIR_Coverage, 7857,
     /* 1259467 */     GIR_EraseRootFromParent_Done,
     /* 1259468 */   // Label 18173: @1259468
     /* 1259468 */   GIM_Try, /*On fail goto*//*Label 18174*/ GIMT_Encode4(1259552), // Rule ID 7860 //
     /* 1259473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1259493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259526 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1259529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259551 */     // GIR_Coverage, 7860,
     /* 1259551 */     GIR_EraseRootFromParent_Done,
     /* 1259552 */   // Label 18174: @1259552
     /* 1259552 */   GIM_Try, /*On fail goto*//*Label 18175*/ GIMT_Encode4(1259636), // Rule ID 7861 //
     /* 1259557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1259568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1259571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1259574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1259577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1259580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1259599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259610 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1259613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1259631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259635 */     // GIR_Coverage, 7861,
     /* 1259635 */     GIR_EraseRootFromParent_Done,
     /* 1259636 */   // Label 18175: @1259636
     /* 1259636 */   GIM_Try, /*On fail goto*//*Label 18176*/ GIMT_Encode4(1259720), // Rule ID 7864 //
     /* 1259641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1259661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259694 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1259697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259719 */     // GIR_Coverage, 7864,
     /* 1259719 */     GIR_EraseRootFromParent_Done,
     /* 1259720 */   // Label 18176: @1259720
     /* 1259720 */   GIM_Try, /*On fail goto*//*Label 18177*/ GIMT_Encode4(1259804), // Rule ID 7865 //
     /* 1259725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1259736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1259739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1259742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1259745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1259748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1259767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259778 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1259781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259803 */     // GIR_Coverage, 7865,
     /* 1259803 */     GIR_EraseRootFromParent_Done,
     /* 1259804 */   // Label 18177: @1259804
     /* 1259804 */   GIM_Try, /*On fail goto*//*Label 18178*/ GIMT_Encode4(1259888), // Rule ID 7868 //
     /* 1259809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1259829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1259835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259862 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1259862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1259865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259887 */     // GIR_Coverage, 7868,
     /* 1259887 */     GIR_EraseRootFromParent_Done,
     /* 1259888 */   // Label 18178: @1259888
     /* 1259888 */   GIM_Try, /*On fail goto*//*Label 18179*/ GIMT_Encode4(1259972), // Rule ID 7869 //
     /* 1259893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1259896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1259904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1259907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1259910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1259913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1259916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1259919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1259927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1259935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1259939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1259946 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1259946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1259949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1259951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1259953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1259955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1259957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1259959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1259964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1259967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1259970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1259971 */     // GIR_Coverage, 7869,
     /* 1259971 */     GIR_EraseRootFromParent_Done,
     /* 1259972 */   // Label 18179: @1259972
     /* 1259972 */   GIM_Try, /*On fail goto*//*Label 18180*/ GIMT_Encode4(1260056), // Rule ID 7872 //
     /* 1259977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1259980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1259985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1259988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1259991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1259994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1259997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260030 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1260033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260055 */     // GIR_Coverage, 7872,
     /* 1260055 */     GIR_EraseRootFromParent_Done,
     /* 1260056 */   // Label 18180: @1260056
     /* 1260056 */   GIM_Try, /*On fail goto*//*Label 18181*/ GIMT_Encode4(1260140), // Rule ID 7873 //
     /* 1260061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1260072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1260075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1260078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1260081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1260084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260114 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1260117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1260135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260139 */     // GIR_Coverage, 7873,
     /* 1260139 */     GIR_EraseRootFromParent_Done,
     /* 1260140 */   // Label 18181: @1260140
     /* 1260140 */   GIM_Try, /*On fail goto*//*Label 18182*/ GIMT_Encode4(1260224), // Rule ID 7876 //
     /* 1260145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1260165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260198 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1260201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260223 */     // GIR_Coverage, 7876,
     /* 1260223 */     GIR_EraseRootFromParent_Done,
     /* 1260224 */   // Label 18182: @1260224
     /* 1260224 */   GIM_Try, /*On fail goto*//*Label 18183*/ GIMT_Encode4(1260308), // Rule ID 7877 //
     /* 1260229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1260246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1260249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1260271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260282 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2_MASK),
     /* 1260285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260307 */     // GIR_Coverage, 7877,
     /* 1260307 */     GIR_EraseRootFromParent_Done,
     /* 1260308 */   // Label 18183: @1260308
     /* 1260308 */   GIM_Try, /*On fail goto*//*Label 18184*/ GIMT_Encode4(1260392), // Rule ID 7880 //
     /* 1260313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1260333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260366 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1260369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260391 */     // GIR_Coverage, 7880,
     /* 1260391 */     GIR_EraseRootFromParent_Done,
     /* 1260392 */   // Label 18184: @1260392
     /* 1260392 */   GIM_Try, /*On fail goto*//*Label 18185*/ GIMT_Encode4(1260476), // Rule ID 7881 //
     /* 1260397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1260414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1260417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1260420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1260439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260450 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4_MASK),
     /* 1260453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260475 */     // GIR_Coverage, 7881,
     /* 1260475 */     GIR_EraseRootFromParent_Done,
     /* 1260476 */   // Label 18185: @1260476
     /* 1260476 */   GIM_Try, /*On fail goto*//*Label 18186*/ GIMT_Encode4(1260560), // Rule ID 7884 //
     /* 1260481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1260484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1260501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260534 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1260537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260559 */     // GIR_Coverage, 7884,
     /* 1260559 */     GIR_EraseRootFromParent_Done,
     /* 1260560 */   // Label 18186: @1260560
     /* 1260560 */   GIM_Try, /*On fail goto*//*Label 18187*/ GIMT_Encode4(1260644), // Rule ID 7885 //
     /* 1260565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1260568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1260576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1260579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1260582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1260585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1260588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1260607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260618 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8_MASK),
     /* 1260621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1260639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260643 */     // GIR_Coverage, 7885,
     /* 1260643 */     GIR_EraseRootFromParent_Done,
     /* 1260644 */   // Label 18187: @1260644
     /* 1260644 */   GIM_Try, /*On fail goto*//*Label 18188*/ GIMT_Encode4(1260728), // Rule ID 7888 //
     /* 1260649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260702 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1260705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260727 */     // GIR_Coverage, 7888,
     /* 1260727 */     GIR_EraseRootFromParent_Done,
     /* 1260728 */   // Label 18188: @1260728
     /* 1260728 */   GIM_Try, /*On fail goto*//*Label 18189*/ GIMT_Encode4(1260812), // Rule ID 7889 //
     /* 1260733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1260744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1260747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1260750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1260756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260786 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF8_MASK),
     /* 1260789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260811 */     // GIR_Coverage, 7889,
     /* 1260811 */     GIR_EraseRootFromParent_Done,
     /* 1260812 */   // Label 18189: @1260812
     /* 1260812 */   GIM_Try, /*On fail goto*//*Label 18190*/ GIMT_Encode4(1260896), // Rule ID 7892 //
     /* 1260817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1260837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1260843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260870 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1260870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1260873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260895 */     // GIR_Coverage, 7892,
     /* 1260895 */     GIR_EraseRootFromParent_Done,
     /* 1260896 */   // Label 18190: @1260896
     /* 1260896 */   GIM_Try, /*On fail goto*//*Label 18191*/ GIMT_Encode4(1260980), // Rule ID 7893 //
     /* 1260901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1260904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1260912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1260915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1260918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1260921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1260924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1260927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1260939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1260943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1260947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1260954 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1260954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1260957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1260959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1260961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1260963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1260965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1260967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1260972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1260975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1260978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1260979 */     // GIR_Coverage, 7893,
     /* 1260979 */     GIR_EraseRootFromParent_Done,
     /* 1260980 */   // Label 18191: @1260980
     /* 1260980 */   GIM_Try, /*On fail goto*//*Label 18192*/ GIMT_Encode4(1261064), // Rule ID 7896 //
     /* 1260985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1260988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1260993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1260996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1260999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1261002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1261041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261063 */     // GIR_Coverage, 7896,
     /* 1261063 */     GIR_EraseRootFromParent_Done,
     /* 1261064 */   // Label 18192: @1261064
     /* 1261064 */   GIM_Try, /*On fail goto*//*Label 18193*/ GIMT_Encode4(1261148), // Rule ID 7897 //
     /* 1261069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1261086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261122 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1261125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261147 */     // GIR_Coverage, 7897,
     /* 1261147 */     GIR_EraseRootFromParent_Done,
     /* 1261148 */   // Label 18193: @1261148
     /* 1261148 */   GIM_Try, /*On fail goto*//*Label 18194*/ GIMT_Encode4(1261232), // Rule ID 7900 //
     /* 1261153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261206 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1261209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261231 */     // GIR_Coverage, 7900,
     /* 1261231 */     GIR_EraseRootFromParent_Done,
     /* 1261232 */   // Label 18194: @1261232
     /* 1261232 */   GIM_Try, /*On fail goto*//*Label 18195*/ GIMT_Encode4(1261316), // Rule ID 7901 //
     /* 1261237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1261254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261290 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF4_MASK),
     /* 1261293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261315 */     // GIR_Coverage, 7901,
     /* 1261315 */     GIR_EraseRootFromParent_Done,
     /* 1261316 */   // Label 18195: @1261316
     /* 1261316 */   GIM_Try, /*On fail goto*//*Label 18196*/ GIMT_Encode4(1261400), // Rule ID 7904 //
     /* 1261321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1261377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261399 */     // GIR_Coverage, 7904,
     /* 1261399 */     GIR_EraseRootFromParent_Done,
     /* 1261400 */   // Label 18196: @1261400
     /* 1261400 */   GIM_Try, /*On fail goto*//*Label 18197*/ GIMT_Encode4(1261484), // Rule ID 7905 //
     /* 1261405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1261416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1261419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1261422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1261428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1261461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261483 */     // GIR_Coverage, 7905,
     /* 1261483 */     GIR_EraseRootFromParent_Done,
     /* 1261484 */   // Label 18197: @1261484
     /* 1261484 */   GIM_Try, /*On fail goto*//*Label 18198*/ GIMT_Encode4(1261568), // Rule ID 7908 //
     /* 1261489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261542 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1261545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261567 */     // GIR_Coverage, 7908,
     /* 1261567 */     GIR_EraseRootFromParent_Done,
     /* 1261568 */   // Label 18198: @1261568
     /* 1261568 */   GIM_Try, /*On fail goto*//*Label 18199*/ GIMT_Encode4(1261652), // Rule ID 7909 //
     /* 1261573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1261584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1261587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1261590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1261596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261626 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_MF2_MASK),
     /* 1261629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1261647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261651 */     // GIR_Coverage, 7909,
     /* 1261651 */     GIR_EraseRootFromParent_Done,
     /* 1261652 */   // Label 18199: @1261652
     /* 1261652 */   GIM_Try, /*On fail goto*//*Label 18200*/ GIMT_Encode4(1261736), // Rule ID 7912 //
     /* 1261657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261710 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1261713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261735 */     // GIR_Coverage, 7912,
     /* 1261735 */     GIR_EraseRootFromParent_Done,
     /* 1261736 */   // Label 18200: @1261736
     /* 1261736 */   GIM_Try, /*On fail goto*//*Label 18201*/ GIMT_Encode4(1261820), // Rule ID 7913 //
     /* 1261741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1261752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1261755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1261758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1261764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1261797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1261815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261819 */     // GIR_Coverage, 7913,
     /* 1261819 */     GIR_EraseRootFromParent_Done,
     /* 1261820 */   // Label 18201: @1261820
     /* 1261820 */   GIM_Try, /*On fail goto*//*Label 18202*/ GIMT_Encode4(1261904), // Rule ID 7916 //
     /* 1261825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1261845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1261851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261878 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1261878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1261881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261903 */     // GIR_Coverage, 7916,
     /* 1261903 */     GIR_EraseRootFromParent_Done,
     /* 1261904 */   // Label 18202: @1261904
     /* 1261904 */   GIM_Try, /*On fail goto*//*Label 18203*/ GIMT_Encode4(1261988), // Rule ID 7917 //
     /* 1261909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1261912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1261917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1261920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1261923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1261926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1261929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1261932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1261935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1261947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1261951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1261955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1261962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1261962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1261965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1261967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1261969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1261971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1261973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1261975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1261980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1261983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1261986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1261987 */     // GIR_Coverage, 7917,
     /* 1261987 */     GIR_EraseRootFromParent_Done,
     /* 1261988 */   // Label 18203: @1261988
     /* 1261988 */   GIM_Try, /*On fail goto*//*Label 18204*/ GIMT_Encode4(1262072), // Rule ID 7920 //
     /* 1261993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1261996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1262010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262046 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1262049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262071 */     // GIR_Coverage, 7920,
     /* 1262071 */     GIR_EraseRootFromParent_Done,
     /* 1262072 */   // Label 18204: @1262072
     /* 1262072 */   GIM_Try, /*On fail goto*//*Label 18205*/ GIMT_Encode4(1262156), // Rule ID 7921 //
     /* 1262077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1262088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1262091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1262094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1262100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262130 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1262133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1262151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262155 */     // GIR_Coverage, 7921,
     /* 1262155 */     GIR_EraseRootFromParent_Done,
     /* 1262156 */   // Label 18205: @1262156
     /* 1262156 */   GIM_Try, /*On fail goto*//*Label 18206*/ GIMT_Encode4(1262240), // Rule ID 7924 //
     /* 1262161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1262164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1262217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262239 */     // GIR_Coverage, 7924,
     /* 1262239 */     GIR_EraseRootFromParent_Done,
     /* 1262240 */   // Label 18206: @1262240
     /* 1262240 */   GIM_Try, /*On fail goto*//*Label 18207*/ GIMT_Encode4(1262324), // Rule ID 7925 //
     /* 1262245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1262248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1262256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1262259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1262262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1262268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M1_MASK),
     /* 1262301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1262319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262323 */     // GIR_Coverage, 7925,
     /* 1262323 */     GIR_EraseRootFromParent_Done,
     /* 1262324 */   // Label 18207: @1262324
     /* 1262324 */   GIM_Try, /*On fail goto*//*Label 18208*/ GIMT_Encode4(1262408), // Rule ID 7928 //
     /* 1262329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262382 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1262385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262407 */     // GIR_Coverage, 7928,
     /* 1262407 */     GIR_EraseRootFromParent_Done,
     /* 1262408 */   // Label 18208: @1262408
     /* 1262408 */   GIM_Try, /*On fail goto*//*Label 18209*/ GIMT_Encode4(1262492), // Rule ID 7929 //
     /* 1262413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1262424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1262427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1262430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1262436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262466 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1262469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262491 */     // GIR_Coverage, 7929,
     /* 1262491 */     GIR_EraseRootFromParent_Done,
     /* 1262492 */   // Label 18209: @1262492
     /* 1262492 */   GIM_Try, /*On fail goto*//*Label 18210*/ GIMT_Encode4(1262576), // Rule ID 7932 //
     /* 1262497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262550 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1262553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262575 */     // GIR_Coverage, 7932,
     /* 1262575 */     GIR_EraseRootFromParent_Done,
     /* 1262576 */   // Label 18210: @1262576
     /* 1262576 */   GIM_Try, /*On fail goto*//*Label 18211*/ GIMT_Encode4(1262660), // Rule ID 7933 //
     /* 1262581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1262592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1262595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1262598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1262604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1262619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262634 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1262637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262659 */     // GIR_Coverage, 7933,
     /* 1262659 */     GIR_EraseRootFromParent_Done,
     /* 1262660 */   // Label 18211: @1262660
     /* 1262660 */   GIM_Try, /*On fail goto*//*Label 18212*/ GIMT_Encode4(1262744), // Rule ID 7936 //
     /* 1262665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262718 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1262721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262743 */     // GIR_Coverage, 7936,
     /* 1262743 */     GIR_EraseRootFromParent_Done,
     /* 1262744 */   // Label 18212: @1262744
     /* 1262744 */   GIM_Try, /*On fail goto*//*Label 18213*/ GIMT_Encode4(1262828), // Rule ID 7937 //
     /* 1262749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1262760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1262763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1262766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1262772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1262787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262802 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1262805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1262823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262827 */     // GIR_Coverage, 7937,
     /* 1262827 */     GIR_EraseRootFromParent_Done,
     /* 1262828 */   // Label 18213: @1262828
     /* 1262828 */   GIM_Try, /*On fail goto*//*Label 18214*/ GIMT_Encode4(1262912), // Rule ID 7940 //
     /* 1262833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1262836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1262853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1262859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262886 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1262886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1262889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262911 */     // GIR_Coverage, 7940,
     /* 1262911 */     GIR_EraseRootFromParent_Done,
     /* 1262912 */   // Label 18214: @1262912
     /* 1262912 */   GIM_Try, /*On fail goto*//*Label 18215*/ GIMT_Encode4(1262996), // Rule ID 7941 //
     /* 1262917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1262920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1262925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1262928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1262931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1262934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1262937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1262940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1262943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1262951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1262955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1262959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1262963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1262970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1262970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1262973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1262975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1262977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1262979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1262981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1262983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1262988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1262991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1262994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1262995 */     // GIR_Coverage, 7941,
     /* 1262995 */     GIR_EraseRootFromParent_Done,
     /* 1262996 */   // Label 18215: @1262996
     /* 1262996 */   GIM_Try, /*On fail goto*//*Label 18216*/ GIMT_Encode4(1263080), // Rule ID 7944 //
     /* 1263001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1263018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263054 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1263057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263079 */     // GIR_Coverage, 7944,
     /* 1263079 */     GIR_EraseRootFromParent_Done,
     /* 1263080 */   // Label 18216: @1263080
     /* 1263080 */   GIM_Try, /*On fail goto*//*Label 18217*/ GIMT_Encode4(1263164), // Rule ID 7945 //
     /* 1263085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1263102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263138 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1263141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263163 */     // GIR_Coverage, 7945,
     /* 1263163 */     GIR_EraseRootFromParent_Done,
     /* 1263164 */   // Label 18217: @1263164
     /* 1263164 */   GIM_Try, /*On fail goto*//*Label 18218*/ GIMT_Encode4(1263248), // Rule ID 7948 //
     /* 1263169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263222 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1263225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263247 */     // GIR_Coverage, 7948,
     /* 1263247 */     GIR_EraseRootFromParent_Done,
     /* 1263248 */   // Label 18218: @1263248
     /* 1263248 */   GIM_Try, /*On fail goto*//*Label 18219*/ GIMT_Encode4(1263332), // Rule ID 7949 //
     /* 1263253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1263264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1263267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1263270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1263276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263306 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1263309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1263327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263331 */     // GIR_Coverage, 7949,
     /* 1263331 */     GIR_EraseRootFromParent_Done,
     /* 1263332 */   // Label 18219: @1263332
     /* 1263332 */   GIM_Try, /*On fail goto*//*Label 18220*/ GIMT_Encode4(1263416), // Rule ID 7952 //
     /* 1263337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1263393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263415 */     // GIR_Coverage, 7952,
     /* 1263415 */     GIR_EraseRootFromParent_Done,
     /* 1263416 */   // Label 18220: @1263416
     /* 1263416 */   GIM_Try, /*On fail goto*//*Label 18221*/ GIMT_Encode4(1263500), // Rule ID 7953 //
     /* 1263421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1263432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1263435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1263438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1263444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263474 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1263477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263499 */     // GIR_Coverage, 7953,
     /* 1263499 */     GIR_EraseRootFromParent_Done,
     /* 1263500 */   // Label 18221: @1263500
     /* 1263500 */   GIM_Try, /*On fail goto*//*Label 18222*/ GIMT_Encode4(1263584), // Rule ID 7956 //
     /* 1263505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263558 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1263561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263583 */     // GIR_Coverage, 7956,
     /* 1263583 */     GIR_EraseRootFromParent_Done,
     /* 1263584 */   // Label 18222: @1263584
     /* 1263584 */   GIM_Try, /*On fail goto*//*Label 18223*/ GIMT_Encode4(1263668), // Rule ID 7957 //
     /* 1263589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1263600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1263603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1263606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1263612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1263627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263642 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1263645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263667 */     // GIR_Coverage, 7957,
     /* 1263667 */     GIR_EraseRootFromParent_Done,
     /* 1263668 */   // Label 18223: @1263668
     /* 1263668 */   GIM_Try, /*On fail goto*//*Label 18224*/ GIMT_Encode4(1263752), // Rule ID 7960 //
     /* 1263673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1263676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263726 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1263729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263751 */     // GIR_Coverage, 7960,
     /* 1263751 */     GIR_EraseRootFromParent_Done,
     /* 1263752 */   // Label 18224: @1263752
     /* 1263752 */   GIM_Try, /*On fail goto*//*Label 18225*/ GIMT_Encode4(1263836), // Rule ID 7961 //
     /* 1263757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1263760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1263768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1263771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1263774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1263780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1263795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263810 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1263813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1263831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263835 */     // GIR_Coverage, 7961,
     /* 1263835 */     GIR_EraseRootFromParent_Done,
     /* 1263836 */   // Label 18225: @1263836
     /* 1263836 */   GIM_Try, /*On fail goto*//*Label 18226*/ GIMT_Encode4(1263920), // Rule ID 7964 //
     /* 1263841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1263844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1263861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1263867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263894 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1263894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1263897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1263918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1263919 */     // GIR_Coverage, 7964,
     /* 1263919 */     GIR_EraseRootFromParent_Done,
     /* 1263920 */   // Label 18226: @1263920
     /* 1263920 */   GIM_Try, /*On fail goto*//*Label 18227*/ GIMT_Encode4(1264004), // Rule ID 7965 //
     /* 1263925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1263928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1263933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1263936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1263939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1263942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1263945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1263948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1263951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1263959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1263963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1263967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1263971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1263978 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1263978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M2_MASK),
     /* 1263981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1263983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1263985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1263987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1263989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1263991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1263996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1263999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264003 */     // GIR_Coverage, 7965,
     /* 1264003 */     GIR_EraseRootFromParent_Done,
     /* 1264004 */   // Label 18227: @1264004
     /* 1264004 */   GIM_Try, /*On fail goto*//*Label 18228*/ GIMT_Encode4(1264088), // Rule ID 7968 //
     /* 1264009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1264017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1264026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264062 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1264065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264087 */     // GIR_Coverage, 7968,
     /* 1264087 */     GIR_EraseRootFromParent_Done,
     /* 1264088 */   // Label 18228: @1264088
     /* 1264088 */   GIM_Try, /*On fail goto*//*Label 18229*/ GIMT_Encode4(1264172), // Rule ID 7969 //
     /* 1264093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1264101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1264110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1264131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264146 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M4_MASK),
     /* 1264149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264171 */     // GIR_Coverage, 7969,
     /* 1264171 */     GIR_EraseRootFromParent_Done,
     /* 1264172 */   // Label 18229: @1264172
     /* 1264172 */   GIM_Try, /*On fail goto*//*Label 18230*/ GIMT_Encode4(1264256), // Rule ID 7972 //
     /* 1264177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1264180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1264185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1264197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264230 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1264233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264255 */     // GIR_Coverage, 7972,
     /* 1264255 */     GIR_EraseRootFromParent_Done,
     /* 1264256 */   // Label 18230: @1264256
     /* 1264256 */   GIM_Try, /*On fail goto*//*Label 18231*/ GIMT_Encode4(1264340), // Rule ID 7973 //
     /* 1264261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1264264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmseq_mask),
     /* 1264269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1264272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1264275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1264278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1264281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1264284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1264299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1264303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264314 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11445:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSEQ_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VX_M8_MASK),
     /* 1264317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1264335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264339 */     // GIR_Coverage, 7973,
     /* 1264339 */     GIR_EraseRootFromParent_Done,
     /* 1264340 */   // Label 18231: @1264340
     /* 1264340 */   GIM_Try, /*On fail goto*//*Label 18232*/ GIMT_Encode4(1264424), // Rule ID 8064 //
     /* 1264345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1264365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264398 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1264401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264423 */     // GIR_Coverage, 8064,
     /* 1264423 */     GIR_EraseRootFromParent_Done,
     /* 1264424 */   // Label 18232: @1264424
     /* 1264424 */   GIM_Try, /*On fail goto*//*Label 18233*/ GIMT_Encode4(1264508), // Rule ID 8065 //
     /* 1264429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1264446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1264449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264482 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8_MASK),
     /* 1264485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264507 */     // GIR_Coverage, 8065,
     /* 1264507 */     GIR_EraseRootFromParent_Done,
     /* 1264508 */   // Label 18233: @1264508
     /* 1264508 */   GIM_Try, /*On fail goto*//*Label 18234*/ GIMT_Encode4(1264592), // Rule ID 8068 //
     /* 1264513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1264533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264566 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1264569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264591 */     // GIR_Coverage, 8068,
     /* 1264591 */     GIR_EraseRootFromParent_Done,
     /* 1264592 */   // Label 18234: @1264592
     /* 1264592 */   GIM_Try, /*On fail goto*//*Label 18235*/ GIMT_Encode4(1264676), // Rule ID 8069 //
     /* 1264597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1264608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1264611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1264614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1264617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1264620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264650 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1264653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264675 */     // GIR_Coverage, 8069,
     /* 1264675 */     GIR_EraseRootFromParent_Done,
     /* 1264676 */   // Label 18235: @1264676
     /* 1264676 */   GIM_Try, /*On fail goto*//*Label 18236*/ GIMT_Encode4(1264760), // Rule ID 8072 //
     /* 1264681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1264701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264734 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1264737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264759 */     // GIR_Coverage, 8072,
     /* 1264759 */     GIR_EraseRootFromParent_Done,
     /* 1264760 */   // Label 18236: @1264760
     /* 1264760 */   GIM_Try, /*On fail goto*//*Label 18237*/ GIMT_Encode4(1264844), // Rule ID 8073 //
     /* 1264765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1264776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1264779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1264782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1264785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1264788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264818 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1264821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1264839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264843 */     // GIR_Coverage, 8073,
     /* 1264843 */     GIR_EraseRootFromParent_Done,
     /* 1264844 */   // Label 18237: @1264844
     /* 1264844 */   GIM_Try, /*On fail goto*//*Label 18238*/ GIMT_Encode4(1264928), // Rule ID 8076 //
     /* 1264849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1264852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1264869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1264875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264902 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1264902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1264905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1264920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1264923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1264926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1264927 */     // GIR_Coverage, 8076,
     /* 1264927 */     GIR_EraseRootFromParent_Done,
     /* 1264928 */   // Label 18238: @1264928
     /* 1264928 */   GIM_Try, /*On fail goto*//*Label 18239*/ GIMT_Encode4(1265012), // Rule ID 8077 //
     /* 1264933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1264936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1264941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1264944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1264947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1264950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1264953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1264956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1264959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1264975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1264979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1264986 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1264986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4_MASK),
     /* 1264989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1264991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1264993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1264995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1264997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1264999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265011 */     // GIR_Coverage, 8077,
     /* 1265011 */     GIR_EraseRootFromParent_Done,
     /* 1265012 */   // Label 18239: @1265012
     /* 1265012 */   GIM_Try, /*On fail goto*//*Label 18240*/ GIMT_Encode4(1265096), // Rule ID 8080 //
     /* 1265017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1265034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1265037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265070 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1265073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265095 */     // GIR_Coverage, 8080,
     /* 1265095 */     GIR_EraseRootFromParent_Done,
     /* 1265096 */   // Label 18240: @1265096
     /* 1265096 */   GIM_Try, /*On fail goto*//*Label 18241*/ GIMT_Encode4(1265180), // Rule ID 8081 //
     /* 1265101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1265118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1265121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265154 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1265157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265179 */     // GIR_Coverage, 8081,
     /* 1265179 */     GIR_EraseRootFromParent_Done,
     /* 1265180 */   // Label 18241: @1265180
     /* 1265180 */   GIM_Try, /*On fail goto*//*Label 18242*/ GIMT_Encode4(1265264), // Rule ID 8084 //
     /* 1265185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1265205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265238 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1265241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265263 */     // GIR_Coverage, 8084,
     /* 1265263 */     GIR_EraseRootFromParent_Done,
     /* 1265264 */   // Label 18242: @1265264
     /* 1265264 */   GIM_Try, /*On fail goto*//*Label 18243*/ GIMT_Encode4(1265348), // Rule ID 8085 //
     /* 1265269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1265286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1265289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265322 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2_MASK),
     /* 1265325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265347 */     // GIR_Coverage, 8085,
     /* 1265347 */     GIR_EraseRootFromParent_Done,
     /* 1265348 */   // Label 18243: @1265348
     /* 1265348 */   GIM_Try, /*On fail goto*//*Label 18244*/ GIMT_Encode4(1265432), // Rule ID 8088 //
     /* 1265353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1265373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1265409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265431 */     // GIR_Coverage, 8088,
     /* 1265431 */     GIR_EraseRootFromParent_Done,
     /* 1265432 */   // Label 18244: @1265432
     /* 1265432 */   GIM_Try, /*On fail goto*//*Label 18245*/ GIMT_Encode4(1265516), // Rule ID 8089 //
     /* 1265437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1265448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1265451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1265454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1265457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1265460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1265493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1265511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265515 */     // GIR_Coverage, 8089,
     /* 1265515 */     GIR_EraseRootFromParent_Done,
     /* 1265516 */   // Label 18245: @1265516
     /* 1265516 */   GIM_Try, /*On fail goto*//*Label 18246*/ GIMT_Encode4(1265600), // Rule ID 8092 //
     /* 1265521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1265541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265574 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1265577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265599 */     // GIR_Coverage, 8092,
     /* 1265599 */     GIR_EraseRootFromParent_Done,
     /* 1265600 */   // Label 18246: @1265600
     /* 1265600 */   GIM_Try, /*On fail goto*//*Label 18247*/ GIMT_Encode4(1265684), // Rule ID 8093 //
     /* 1265605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1265616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1265619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1265622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1265625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1265628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265658 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1265661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1265679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265683 */     // GIR_Coverage, 8093,
     /* 1265683 */     GIR_EraseRootFromParent_Done,
     /* 1265684 */   // Label 18247: @1265684
     /* 1265684 */   GIM_Try, /*On fail goto*//*Label 18248*/ GIMT_Encode4(1265768), // Rule ID 8096 //
     /* 1265689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1265692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1265709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1265745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265767 */     // GIR_Coverage, 8096,
     /* 1265767 */     GIR_EraseRootFromParent_Done,
     /* 1265768 */   // Label 18248: @1265768
     /* 1265768 */   GIM_Try, /*On fail goto*//*Label 18249*/ GIMT_Encode4(1265852), // Rule ID 8097 //
     /* 1265773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1265776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1265784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1265787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1265790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1265793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1265796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265826 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1265829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1265847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265851 */     // GIR_Coverage, 8097,
     /* 1265851 */     GIR_EraseRootFromParent_Done,
     /* 1265852 */   // Label 18249: @1265852
     /* 1265852 */   GIM_Try, /*On fail goto*//*Label 18250*/ GIMT_Encode4(1265936), // Rule ID 8100 //
     /* 1265857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1265860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1265877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1265883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265910 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1265910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1265913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1265917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1265919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1265921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1265923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1265928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1265931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1265934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1265935 */     // GIR_Coverage, 8100,
     /* 1265935 */     GIR_EraseRootFromParent_Done,
     /* 1265936 */   // Label 18250: @1265936
     /* 1265936 */   GIM_Try, /*On fail goto*//*Label 18251*/ GIMT_Encode4(1266020), // Rule ID 8101 //
     /* 1265941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1265944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1265949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1265952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1265955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1265958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1265961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1265964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1265967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1265983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1265987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1265994 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1265994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1_MASK),
     /* 1265997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1265999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1266015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266019 */     // GIR_Coverage, 8101,
     /* 1266019 */     GIR_EraseRootFromParent_Done,
     /* 1266020 */   // Label 18251: @1266020
     /* 1266020 */   GIM_Try, /*On fail goto*//*Label 18252*/ GIMT_Encode4(1266104), // Rule ID 8104 //
     /* 1266025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1266042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1266045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266078 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1266081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266103 */     // GIR_Coverage, 8104,
     /* 1266103 */     GIR_EraseRootFromParent_Done,
     /* 1266104 */   // Label 18252: @1266104
     /* 1266104 */   GIM_Try, /*On fail goto*//*Label 18253*/ GIMT_Encode4(1266188), // Rule ID 8105 //
     /* 1266109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1266126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1266129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266162 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1266165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266187 */     // GIR_Coverage, 8105,
     /* 1266187 */     GIR_EraseRootFromParent_Done,
     /* 1266188 */   // Label 18253: @1266188
     /* 1266188 */   GIM_Try, /*On fail goto*//*Label 18254*/ GIMT_Encode4(1266272), // Rule ID 8108 //
     /* 1266193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1266213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266246 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1266249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266271 */     // GIR_Coverage, 8108,
     /* 1266271 */     GIR_EraseRootFromParent_Done,
     /* 1266272 */   // Label 18254: @1266272
     /* 1266272 */   GIM_Try, /*On fail goto*//*Label 18255*/ GIMT_Encode4(1266356), // Rule ID 8109 //
     /* 1266277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1266294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1266297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266330 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1266333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266355 */     // GIR_Coverage, 8109,
     /* 1266355 */     GIR_EraseRootFromParent_Done,
     /* 1266356 */   // Label 18255: @1266356
     /* 1266356 */   GIM_Try, /*On fail goto*//*Label 18256*/ GIMT_Encode4(1266440), // Rule ID 8112 //
     /* 1266361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1266381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266414 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1266417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266439 */     // GIR_Coverage, 8112,
     /* 1266439 */     GIR_EraseRootFromParent_Done,
     /* 1266440 */   // Label 18256: @1266440
     /* 1266440 */   GIM_Try, /*On fail goto*//*Label 18257*/ GIMT_Encode4(1266524), // Rule ID 8113 //
     /* 1266445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1266456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1266459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1266462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1266465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1266468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266498 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1266501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1266519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266523 */     // GIR_Coverage, 8113,
     /* 1266523 */     GIR_EraseRootFromParent_Done,
     /* 1266524 */   // Label 18257: @1266524
     /* 1266524 */   GIM_Try, /*On fail goto*//*Label 18258*/ GIMT_Encode4(1266608), // Rule ID 8116 //
     /* 1266529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1266549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1266585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266607 */     // GIR_Coverage, 8116,
     /* 1266607 */     GIR_EraseRootFromParent_Done,
     /* 1266608 */   // Label 18258: @1266608
     /* 1266608 */   GIM_Try, /*On fail goto*//*Label 18259*/ GIMT_Encode4(1266692), // Rule ID 8117 //
     /* 1266613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1266624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1266627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1266630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1266633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1266636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1266655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266666 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1266669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266691 */     // GIR_Coverage, 8117,
     /* 1266691 */     GIR_EraseRootFromParent_Done,
     /* 1266692 */   // Label 18259: @1266692
     /* 1266692 */   GIM_Try, /*On fail goto*//*Label 18260*/ GIMT_Encode4(1266776), // Rule ID 8120 //
     /* 1266697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1266717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1266753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266775 */     // GIR_Coverage, 8120,
     /* 1266775 */     GIR_EraseRootFromParent_Done,
     /* 1266776 */   // Label 18260: @1266776
     /* 1266776 */   GIM_Try, /*On fail goto*//*Label 18261*/ GIMT_Encode4(1266860), // Rule ID 8121 //
     /* 1266781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1266792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1266795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1266798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1266801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1266804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1266823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266834 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1266834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1266837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266859 */     // GIR_Coverage, 8121,
     /* 1266859 */     GIR_EraseRootFromParent_Done,
     /* 1266860 */   // Label 18261: @1266860
     /* 1266860 */   GIM_Try, /*On fail goto*//*Label 18262*/ GIMT_Encode4(1266944), // Rule ID 8124 //
     /* 1266865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1266868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1266885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1266891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1266918 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1266918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1266921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1266923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1266925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1266927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1266929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1266931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1266936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1266939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1266942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1266943 */     // GIR_Coverage, 8124,
     /* 1266943 */     GIR_EraseRootFromParent_Done,
     /* 1266944 */   // Label 18262: @1266944
     /* 1266944 */   GIM_Try, /*On fail goto*//*Label 18263*/ GIMT_Encode4(1267028), // Rule ID 8125 //
     /* 1266949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1266952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1266957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1266960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1266963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1266966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1266969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1266972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1266975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1266983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1266991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1266995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267002 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1267005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1267023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267027 */     // GIR_Coverage, 8125,
     /* 1267027 */     GIR_EraseRootFromParent_Done,
     /* 1267028 */   // Label 18263: @1267028
     /* 1267028 */   GIM_Try, /*On fail goto*//*Label 18264*/ GIMT_Encode4(1267112), // Rule ID 8128 //
     /* 1267033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1267050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1267053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267086 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1267089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267111 */     // GIR_Coverage, 8128,
     /* 1267111 */     GIR_EraseRootFromParent_Done,
     /* 1267112 */   // Label 18264: @1267112
     /* 1267112 */   GIM_Try, /*On fail goto*//*Label 18265*/ GIMT_Encode4(1267196), // Rule ID 8129 //
     /* 1267117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1267134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1267137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267170 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1267173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267195 */     // GIR_Coverage, 8129,
     /* 1267195 */     GIR_EraseRootFromParent_Done,
     /* 1267196 */   // Label 18265: @1267196
     /* 1267196 */   GIM_Try, /*On fail goto*//*Label 18266*/ GIMT_Encode4(1267280), // Rule ID 8132 //
     /* 1267201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1267221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267254 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1267257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267279 */     // GIR_Coverage, 8132,
     /* 1267279 */     GIR_EraseRootFromParent_Done,
     /* 1267280 */   // Label 18266: @1267280
     /* 1267280 */   GIM_Try, /*On fail goto*//*Label 18267*/ GIMT_Encode4(1267364), // Rule ID 8133 //
     /* 1267285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1267302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1267305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1267341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267363 */     // GIR_Coverage, 8133,
     /* 1267363 */     GIR_EraseRootFromParent_Done,
     /* 1267364 */   // Label 18267: @1267364
     /* 1267364 */   GIM_Try, /*On fail goto*//*Label 18268*/ GIMT_Encode4(1267448), // Rule ID 8136 //
     /* 1267369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1267372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1267389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267422 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1267425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267447 */     // GIR_Coverage, 8136,
     /* 1267447 */     GIR_EraseRootFromParent_Done,
     /* 1267448 */   // Label 18268: @1267448
     /* 1267448 */   GIM_Try, /*On fail goto*//*Label 18269*/ GIMT_Encode4(1267532), // Rule ID 8137 //
     /* 1267453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1267456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1267464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1267467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1267470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1267473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1267476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267506 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1267509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1267527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267531 */     // GIR_Coverage, 8137,
     /* 1267531 */     GIR_EraseRootFromParent_Done,
     /* 1267532 */   // Label 18269: @1267532
     /* 1267532 */   GIM_Try, /*On fail goto*//*Label 18270*/ GIMT_Encode4(1267616), // Rule ID 8140 //
     /* 1267537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1267557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267590 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1267593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267615 */     // GIR_Coverage, 8140,
     /* 1267615 */     GIR_EraseRootFromParent_Done,
     /* 1267616 */   // Label 18270: @1267616
     /* 1267616 */   GIM_Try, /*On fail goto*//*Label 18271*/ GIMT_Encode4(1267700), // Rule ID 8141 //
     /* 1267621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1267632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1267635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1267638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1267641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1267644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1267663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2_MASK),
     /* 1267677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267699 */     // GIR_Coverage, 8141,
     /* 1267699 */     GIR_EraseRootFromParent_Done,
     /* 1267700 */   // Label 18271: @1267700
     /* 1267700 */   GIM_Try, /*On fail goto*//*Label 18272*/ GIMT_Encode4(1267784), // Rule ID 8144 //
     /* 1267705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1267725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1267761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267783 */     // GIR_Coverage, 8144,
     /* 1267783 */     GIR_EraseRootFromParent_Done,
     /* 1267784 */   // Label 18272: @1267784
     /* 1267784 */   GIM_Try, /*On fail goto*//*Label 18273*/ GIMT_Encode4(1267868), // Rule ID 8145 //
     /* 1267789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1267800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1267803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1267806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1267809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1267812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1267831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267842 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1267842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4_MASK),
     /* 1267845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267867 */     // GIR_Coverage, 8145,
     /* 1267867 */     GIR_EraseRootFromParent_Done,
     /* 1267868 */   // Label 18273: @1267868
     /* 1267868 */   GIM_Try, /*On fail goto*//*Label 18274*/ GIMT_Encode4(1267952), // Rule ID 8148 //
     /* 1267873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1267876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1267893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1267899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1267919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1267926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1267926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1267929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1267931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1267933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1267935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1267937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1267939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1267944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1267947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1267950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1267951 */     // GIR_Coverage, 8148,
     /* 1267951 */     GIR_EraseRootFromParent_Done,
     /* 1267952 */   // Label 18274: @1267952
     /* 1267952 */   GIM_Try, /*On fail goto*//*Label 18275*/ GIMT_Encode4(1268036), // Rule ID 8149 //
     /* 1267957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1267960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1267965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1267968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1267971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1267974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1267977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1267980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1267983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1267991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1267999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268010 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8_MASK),
     /* 1268013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1268031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268035 */     // GIR_Coverage, 8149,
     /* 1268035 */     GIR_EraseRootFromParent_Done,
     /* 1268036 */   // Label 18275: @1268036
     /* 1268036 */   GIM_Try, /*On fail goto*//*Label 18276*/ GIMT_Encode4(1268120), // Rule ID 8152 //
     /* 1268041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1268058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268094 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1268097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268119 */     // GIR_Coverage, 8152,
     /* 1268119 */     GIR_EraseRootFromParent_Done,
     /* 1268120 */   // Label 18276: @1268120
     /* 1268120 */   GIM_Try, /*On fail goto*//*Label 18277*/ GIMT_Encode4(1268204), // Rule ID 8153 //
     /* 1268125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1268142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF8_MASK),
     /* 1268181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268203 */     // GIR_Coverage, 8153,
     /* 1268203 */     GIR_EraseRootFromParent_Done,
     /* 1268204 */   // Label 18277: @1268204
     /* 1268204 */   GIM_Try, /*On fail goto*//*Label 18278*/ GIMT_Encode4(1268288), // Rule ID 8156 //
     /* 1268209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268262 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1268265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268287 */     // GIR_Coverage, 8156,
     /* 1268287 */     GIR_EraseRootFromParent_Done,
     /* 1268288 */   // Label 18278: @1268288
     /* 1268288 */   GIM_Try, /*On fail goto*//*Label 18279*/ GIMT_Encode4(1268372), // Rule ID 8157 //
     /* 1268293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1268310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1268349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268371 */     // GIR_Coverage, 8157,
     /* 1268371 */     GIR_EraseRootFromParent_Done,
     /* 1268372 */   // Label 18279: @1268372
     /* 1268372 */   GIM_Try, /*On fail goto*//*Label 18280*/ GIMT_Encode4(1268456), // Rule ID 8160 //
     /* 1268377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268430 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1268433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268455 */     // GIR_Coverage, 8160,
     /* 1268455 */     GIR_EraseRootFromParent_Done,
     /* 1268456 */   // Label 18280: @1268456
     /* 1268456 */   GIM_Try, /*On fail goto*//*Label 18281*/ GIMT_Encode4(1268540), // Rule ID 8161 //
     /* 1268461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1268472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1268475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1268478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1268484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268514 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1268517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1268535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268539 */     // GIR_Coverage, 8161,
     /* 1268539 */     GIR_EraseRootFromParent_Done,
     /* 1268540 */   // Label 18281: @1268540
     /* 1268540 */   GIM_Try, /*On fail goto*//*Label 18282*/ GIMT_Encode4(1268624), // Rule ID 8164 //
     /* 1268545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268598 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1268601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268623 */     // GIR_Coverage, 8164,
     /* 1268623 */     GIR_EraseRootFromParent_Done,
     /* 1268624 */   // Label 18282: @1268624
     /* 1268624 */   GIM_Try, /*On fail goto*//*Label 18283*/ GIMT_Encode4(1268708), // Rule ID 8165 //
     /* 1268629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1268646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268682 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF4_MASK),
     /* 1268685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268707 */     // GIR_Coverage, 8165,
     /* 1268707 */     GIR_EraseRootFromParent_Done,
     /* 1268708 */   // Label 18283: @1268708
     /* 1268708 */   GIM_Try, /*On fail goto*//*Label 18284*/ GIMT_Encode4(1268792), // Rule ID 8168 //
     /* 1268713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268766 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1268769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268791 */     // GIR_Coverage, 8168,
     /* 1268791 */     GIR_EraseRootFromParent_Done,
     /* 1268792 */   // Label 18284: @1268792
     /* 1268792 */   GIM_Try, /*On fail goto*//*Label 18285*/ GIMT_Encode4(1268876), // Rule ID 8169 //
     /* 1268797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1268808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1268811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1268814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1268820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1268850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1268853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1268871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268875 */     // GIR_Coverage, 8169,
     /* 1268875 */     GIR_EraseRootFromParent_Done,
     /* 1268876 */   // Label 18285: @1268876
     /* 1268876 */   GIM_Try, /*On fail goto*//*Label 18286*/ GIMT_Encode4(1268960), // Rule ID 8172 //
     /* 1268881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1268884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1268901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1268907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1268923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1268927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1268934 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1268934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1268937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1268939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1268941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1268943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1268945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1268947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1268952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1268955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1268958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1268959 */     // GIR_Coverage, 8172,
     /* 1268959 */     GIR_EraseRootFromParent_Done,
     /* 1268960 */   // Label 18286: @1268960
     /* 1268960 */   GIM_Try, /*On fail goto*//*Label 18287*/ GIMT_Encode4(1269044), // Rule ID 8173 //
     /* 1268965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1268968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1268973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1268976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1268979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1268982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1268985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1268988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1268991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1268999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269018 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_MF2_MASK),
     /* 1269021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269043 */     // GIR_Coverage, 8173,
     /* 1269043 */     GIR_EraseRootFromParent_Done,
     /* 1269044 */   // Label 18287: @1269044
     /* 1269044 */   GIM_Try, /*On fail goto*//*Label 18288*/ GIMT_Encode4(1269128), // Rule ID 8176 //
     /* 1269049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1269066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1269105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269127 */     // GIR_Coverage, 8176,
     /* 1269127 */     GIR_EraseRootFromParent_Done,
     /* 1269128 */   // Label 18288: @1269128
     /* 1269128 */   GIM_Try, /*On fail goto*//*Label 18289*/ GIMT_Encode4(1269212), // Rule ID 8177 //
     /* 1269133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1269144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1269147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1269150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1269156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1269189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269211 */     // GIR_Coverage, 8177,
     /* 1269211 */     GIR_EraseRootFromParent_Done,
     /* 1269212 */   // Label 18289: @1269212
     /* 1269212 */   GIM_Try, /*On fail goto*//*Label 18290*/ GIMT_Encode4(1269296), // Rule ID 8180 //
     /* 1269217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269270 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1269273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269295 */     // GIR_Coverage, 8180,
     /* 1269295 */     GIR_EraseRootFromParent_Done,
     /* 1269296 */   // Label 18290: @1269296
     /* 1269296 */   GIM_Try, /*On fail goto*//*Label 18291*/ GIMT_Encode4(1269380), // Rule ID 8181 //
     /* 1269301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1269312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1269315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1269318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1269324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269354 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1269357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1269375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269379 */     // GIR_Coverage, 8181,
     /* 1269379 */     GIR_EraseRootFromParent_Done,
     /* 1269380 */   // Label 18291: @1269380
     /* 1269380 */   GIM_Try, /*On fail goto*//*Label 18292*/ GIMT_Encode4(1269464), // Rule ID 8184 //
     /* 1269385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1269441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269463 */     // GIR_Coverage, 8184,
     /* 1269463 */     GIR_EraseRootFromParent_Done,
     /* 1269464 */   // Label 18292: @1269464
     /* 1269464 */   GIM_Try, /*On fail goto*//*Label 18293*/ GIMT_Encode4(1269548), // Rule ID 8185 //
     /* 1269469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1269480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1269483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1269486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1269492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269522 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1269525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1269543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269547 */     // GIR_Coverage, 8185,
     /* 1269547 */     GIR_EraseRootFromParent_Done,
     /* 1269548 */   // Label 18293: @1269548
     /* 1269548 */   GIM_Try, /*On fail goto*//*Label 18294*/ GIMT_Encode4(1269632), // Rule ID 8188 //
     /* 1269553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1269556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269606 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1269609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269631 */     // GIR_Coverage, 8188,
     /* 1269631 */     GIR_EraseRootFromParent_Done,
     /* 1269632 */   // Label 18294: @1269632
     /* 1269632 */   GIM_Try, /*On fail goto*//*Label 18295*/ GIMT_Encode4(1269716), // Rule ID 8189 //
     /* 1269637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1269640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1269648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1269651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1269654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1269660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269690 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M1_MASK),
     /* 1269693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1269711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269715 */     // GIR_Coverage, 8189,
     /* 1269715 */     GIR_EraseRootFromParent_Done,
     /* 1269716 */   // Label 18295: @1269716
     /* 1269716 */   GIM_Try, /*On fail goto*//*Label 18296*/ GIMT_Encode4(1269800), // Rule ID 8192 //
     /* 1269721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269774 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1269777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269799 */     // GIR_Coverage, 8192,
     /* 1269799 */     GIR_EraseRootFromParent_Done,
     /* 1269800 */   // Label 18296: @1269800
     /* 1269800 */   GIM_Try, /*On fail goto*//*Label 18297*/ GIMT_Encode4(1269884), // Rule ID 8193 //
     /* 1269805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1269816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1269819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1269822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1269828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1269843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269858 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1269858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1269861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269883 */     // GIR_Coverage, 8193,
     /* 1269883 */     GIR_EraseRootFromParent_Done,
     /* 1269884 */   // Label 18297: @1269884
     /* 1269884 */   GIM_Try, /*On fail goto*//*Label 18298*/ GIMT_Encode4(1269968), // Rule ID 8196 //
     /* 1269889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1269892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1269909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1269915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1269923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1269927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1269931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1269935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1269942 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1269942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1269945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1269947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1269949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1269951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1269953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1269955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1269960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1269963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1269966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1269967 */     // GIR_Coverage, 8196,
     /* 1269967 */     GIR_EraseRootFromParent_Done,
     /* 1269968 */   // Label 18298: @1269968
     /* 1269968 */   GIM_Try, /*On fail goto*//*Label 18299*/ GIMT_Encode4(1270052), // Rule ID 8197 //
     /* 1269973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1269976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1269981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1269984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1269987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1269990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1269993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1269996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1269999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270026 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1270029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270051 */     // GIR_Coverage, 8197,
     /* 1270051 */     GIR_EraseRootFromParent_Done,
     /* 1270052 */   // Label 18299: @1270052
     /* 1270052 */   GIM_Try, /*On fail goto*//*Label 18300*/ GIMT_Encode4(1270136), // Rule ID 8200 //
     /* 1270057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1270068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1270071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1270074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1270080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270110 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1270113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270135 */     // GIR_Coverage, 8200,
     /* 1270135 */     GIR_EraseRootFromParent_Done,
     /* 1270136 */   // Label 18300: @1270136
     /* 1270136 */   GIM_Try, /*On fail goto*//*Label 18301*/ GIMT_Encode4(1270220), // Rule ID 8201 //
     /* 1270141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1270152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1270155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1270158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1270164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270194 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1270197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1270215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270219 */     // GIR_Coverage, 8201,
     /* 1270219 */     GIR_EraseRootFromParent_Done,
     /* 1270220 */   // Label 18301: @1270220
     /* 1270220 */   GIM_Try, /*On fail goto*//*Label 18302*/ GIMT_Encode4(1270304), // Rule ID 8204 //
     /* 1270225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1270281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270303 */     // GIR_Coverage, 8204,
     /* 1270303 */     GIR_EraseRootFromParent_Done,
     /* 1270304 */   // Label 18302: @1270304
     /* 1270304 */   GIM_Try, /*On fail goto*//*Label 18303*/ GIMT_Encode4(1270388), // Rule ID 8205 //
     /* 1270309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1270326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270362 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1270365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270387 */     // GIR_Coverage, 8205,
     /* 1270387 */     GIR_EraseRootFromParent_Done,
     /* 1270388 */   // Label 18303: @1270388
     /* 1270388 */   GIM_Try, /*On fail goto*//*Label 18304*/ GIMT_Encode4(1270472), // Rule ID 8208 //
     /* 1270393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270446 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1270449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270471 */     // GIR_Coverage, 8208,
     /* 1270471 */     GIR_EraseRootFromParent_Done,
     /* 1270472 */   // Label 18304: @1270472
     /* 1270472 */   GIM_Try, /*On fail goto*//*Label 18305*/ GIMT_Encode4(1270556), // Rule ID 8209 //
     /* 1270477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1270488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1270491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1270494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1270500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270530 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1270533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270555 */     // GIR_Coverage, 8209,
     /* 1270555 */     GIR_EraseRootFromParent_Done,
     /* 1270556 */   // Label 18305: @1270556
     /* 1270556 */   GIM_Try, /*On fail goto*//*Label 18306*/ GIMT_Encode4(1270640), // Rule ID 8212 //
     /* 1270561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270614 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1270617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270639 */     // GIR_Coverage, 8212,
     /* 1270639 */     GIR_EraseRootFromParent_Done,
     /* 1270640 */   // Label 18306: @1270640
     /* 1270640 */   GIM_Try, /*On fail goto*//*Label 18307*/ GIMT_Encode4(1270724), // Rule ID 8213 //
     /* 1270645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1270656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1270659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1270662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1270668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1270683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270698 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1270701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1270719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270723 */     // GIR_Coverage, 8213,
     /* 1270723 */     GIR_EraseRootFromParent_Done,
     /* 1270724 */   // Label 18307: @1270724
     /* 1270724 */   GIM_Try, /*On fail goto*//*Label 18308*/ GIMT_Encode4(1270808), // Rule ID 8216 //
     /* 1270729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270782 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1270785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270807 */     // GIR_Coverage, 8216,
     /* 1270807 */     GIR_EraseRootFromParent_Done,
     /* 1270808 */   // Label 18308: @1270808
     /* 1270808 */   GIM_Try, /*On fail goto*//*Label 18309*/ GIMT_Encode4(1270892), // Rule ID 8217 //
     /* 1270813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1270824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1270827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1270830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1270833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1270836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1270839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1270851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270866 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1270866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1270869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270891 */     // GIR_Coverage, 8217,
     /* 1270891 */     GIR_EraseRootFromParent_Done,
     /* 1270892 */   // Label 18309: @1270892
     /* 1270892 */   GIM_Try, /*On fail goto*//*Label 18310*/ GIMT_Encode4(1270976), // Rule ID 8220 //
     /* 1270897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1270900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1270917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1270920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1270923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1270931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1270935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1270939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1270943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1270950 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1270950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1270953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1270955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1270957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1270959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1270961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1270963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1270968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1270971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1270974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1270975 */     // GIR_Coverage, 8220,
     /* 1270975 */     GIR_EraseRootFromParent_Done,
     /* 1270976 */   // Label 18310: @1270976
     /* 1270976 */   GIM_Try, /*On fail goto*//*Label 18311*/ GIMT_Encode4(1271060), // Rule ID 8221 //
     /* 1270981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1270984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1270989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1270992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1270995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1270998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271034 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1271037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271059 */     // GIR_Coverage, 8221,
     /* 1271059 */     GIR_EraseRootFromParent_Done,
     /* 1271060 */   // Label 18311: @1271060
     /* 1271060 */   GIM_Try, /*On fail goto*//*Label 18312*/ GIMT_Encode4(1271144), // Rule ID 8224 //
     /* 1271065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1271073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1271082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271118 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1271121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271143 */     // GIR_Coverage, 8224,
     /* 1271143 */     GIR_EraseRootFromParent_Done,
     /* 1271144 */   // Label 18312: @1271144
     /* 1271144 */   GIM_Try, /*On fail goto*//*Label 18313*/ GIMT_Encode4(1271228), // Rule ID 8225 //
     /* 1271149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1271157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1271160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1271163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1271166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1271172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271202 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1271205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1271223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271227 */     // GIR_Coverage, 8225,
     /* 1271227 */     GIR_EraseRootFromParent_Done,
     /* 1271228 */   // Label 18313: @1271228
     /* 1271228 */   GIM_Try, /*On fail goto*//*Label 18314*/ GIMT_Encode4(1271312), // Rule ID 8228 //
     /* 1271233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1271241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271286 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1271289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271311 */     // GIR_Coverage, 8228,
     /* 1271311 */     GIR_EraseRootFromParent_Done,
     /* 1271312 */   // Label 18314: @1271312
     /* 1271312 */   GIM_Try, /*On fail goto*//*Label 18315*/ GIMT_Encode4(1271396), // Rule ID 8229 //
     /* 1271317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1271325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1271334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1271355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271370 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M2_MASK),
     /* 1271373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271395 */     // GIR_Coverage, 8229,
     /* 1271395 */     GIR_EraseRootFromParent_Done,
     /* 1271396 */   // Label 18315: @1271396
     /* 1271396 */   GIM_Try, /*On fail goto*//*Label 18316*/ GIMT_Encode4(1271480), // Rule ID 8232 //
     /* 1271401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1271409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271454 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1271457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271479 */     // GIR_Coverage, 8232,
     /* 1271479 */     GIR_EraseRootFromParent_Done,
     /* 1271480 */   // Label 18316: @1271480
     /* 1271480 */   GIM_Try, /*On fail goto*//*Label 18317*/ GIMT_Encode4(1271564), // Rule ID 8233 //
     /* 1271485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1271493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1271496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1271499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1271502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1271508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1271523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271538 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M4_MASK),
     /* 1271541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271563 */     // GIR_Coverage, 8233,
     /* 1271563 */     GIR_EraseRootFromParent_Done,
     /* 1271564 */   // Label 18317: @1271564
     /* 1271564 */   GIM_Try, /*On fail goto*//*Label 18318*/ GIMT_Encode4(1271648), // Rule ID 8236 //
     /* 1271569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1271572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1271577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1271589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271622 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1271625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271647 */     // GIR_Coverage, 8236,
     /* 1271647 */     GIR_EraseRootFromParent_Done,
     /* 1271648 */   // Label 18318: @1271648
     /* 1271648 */   GIM_Try, /*On fail goto*//*Label 18319*/ GIMT_Encode4(1271732), // Rule ID 8237 //
     /* 1271653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1271656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsne_mask),
     /* 1271661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1271664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1271667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1271670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1271673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1271676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1271691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1271695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271706 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11466:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSNE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VX_M8_MASK),
     /* 1271709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1271727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271731 */     // GIR_Coverage, 8237,
     /* 1271731 */     GIR_EraseRootFromParent_Done,
     /* 1271732 */   // Label 18319: @1271732
     /* 1271732 */   GIM_Try, /*On fail goto*//*Label 18320*/ GIMT_Encode4(1271816), // Rule ID 8328 //
     /* 1271737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1271757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271790 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1271793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271815 */     // GIR_Coverage, 8328,
     /* 1271815 */     GIR_EraseRootFromParent_Done,
     /* 1271816 */   // Label 18320: @1271816
     /* 1271816 */   GIM_Try, /*On fail goto*//*Label 18321*/ GIMT_Encode4(1271900), // Rule ID 8329 //
     /* 1271821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1271832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1271835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1271838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1271841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1271844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1271847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1271874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8_MASK),
     /* 1271877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271899 */     // GIR_Coverage, 8329,
     /* 1271899 */     GIR_EraseRootFromParent_Done,
     /* 1271900 */   // Label 18321: @1271900
     /* 1271900 */   GIM_Try, /*On fail goto*//*Label 18322*/ GIMT_Encode4(1271984), // Rule ID 8332 //
     /* 1271905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1271908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1271916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1271919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1271922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1271925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1271928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1271931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1271947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1271951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1271958 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1271958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1271961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1271963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1271965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1271967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1271969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1271971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1271976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1271979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1271982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1271983 */     // GIR_Coverage, 8332,
     /* 1271983 */     GIR_EraseRootFromParent_Done,
     /* 1271984 */   // Label 18322: @1271984
     /* 1271984 */   GIM_Try, /*On fail goto*//*Label 18323*/ GIMT_Encode4(1272068), // Rule ID 8333 //
     /* 1271989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1271992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1271997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1272006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1272009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272042 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1272045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272067 */     // GIR_Coverage, 8333,
     /* 1272067 */     GIR_EraseRootFromParent_Done,
     /* 1272068 */   // Label 18323: @1272068
     /* 1272068 */   GIM_Try, /*On fail goto*//*Label 18324*/ GIMT_Encode4(1272152), // Rule ID 8336 //
     /* 1272073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1272090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1272093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272126 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1272129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272151 */     // GIR_Coverage, 8336,
     /* 1272151 */     GIR_EraseRootFromParent_Done,
     /* 1272152 */   // Label 18324: @1272152
     /* 1272152 */   GIM_Try, /*On fail goto*//*Label 18325*/ GIMT_Encode4(1272236), // Rule ID 8337 //
     /* 1272157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1272174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1272177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272210 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1272213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272235 */     // GIR_Coverage, 8337,
     /* 1272235 */     GIR_EraseRootFromParent_Done,
     /* 1272236 */   // Label 18325: @1272236
     /* 1272236 */   GIM_Try, /*On fail goto*//*Label 18326*/ GIMT_Encode4(1272320), // Rule ID 8340 //
     /* 1272241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1272261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272294 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1272297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272319 */     // GIR_Coverage, 8340,
     /* 1272319 */     GIR_EraseRootFromParent_Done,
     /* 1272320 */   // Label 18326: @1272320
     /* 1272320 */   GIM_Try, /*On fail goto*//*Label 18327*/ GIMT_Encode4(1272404), // Rule ID 8341 //
     /* 1272325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1272342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1272345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272378 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1272381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272403 */     // GIR_Coverage, 8341,
     /* 1272403 */     GIR_EraseRootFromParent_Done,
     /* 1272404 */   // Label 18327: @1272404
     /* 1272404 */   GIM_Try, /*On fail goto*//*Label 18328*/ GIMT_Encode4(1272488), // Rule ID 8344 //
     /* 1272409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1272429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272462 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1272465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272487 */     // GIR_Coverage, 8344,
     /* 1272487 */     GIR_EraseRootFromParent_Done,
     /* 1272488 */   // Label 18328: @1272488
     /* 1272488 */   GIM_Try, /*On fail goto*//*Label 18329*/ GIMT_Encode4(1272572), // Rule ID 8345 //
     /* 1272493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1272504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1272507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1272510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1272513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1272516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272546 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1272549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272571 */     // GIR_Coverage, 8345,
     /* 1272571 */     GIR_EraseRootFromParent_Done,
     /* 1272572 */   // Label 18329: @1272572
     /* 1272572 */   GIM_Try, /*On fail goto*//*Label 18330*/ GIMT_Encode4(1272656), // Rule ID 8348 //
     /* 1272577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1272597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272630 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1272633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272655 */     // GIR_Coverage, 8348,
     /* 1272655 */     GIR_EraseRootFromParent_Done,
     /* 1272656 */   // Label 18330: @1272656
     /* 1272656 */   GIM_Try, /*On fail goto*//*Label 18331*/ GIMT_Encode4(1272740), // Rule ID 8349 //
     /* 1272661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1272672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1272675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1272678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1272681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1272684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272714 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1272717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1272735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272739 */     // GIR_Coverage, 8349,
     /* 1272739 */     GIR_EraseRootFromParent_Done,
     /* 1272740 */   // Label 18331: @1272740
     /* 1272740 */   GIM_Try, /*On fail goto*//*Label 18332*/ GIMT_Encode4(1272824), // Rule ID 8352 //
     /* 1272745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1272765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272798 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1272801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272823 */     // GIR_Coverage, 8352,
     /* 1272823 */     GIR_EraseRootFromParent_Done,
     /* 1272824 */   // Label 18332: @1272824
     /* 1272824 */   GIM_Try, /*On fail goto*//*Label 18333*/ GIMT_Encode4(1272908), // Rule ID 8353 //
     /* 1272829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1272832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1272840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1272843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1272846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1272849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1272852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1272855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1272882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1272885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1272903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272907 */     // GIR_Coverage, 8353,
     /* 1272907 */     GIR_EraseRootFromParent_Done,
     /* 1272908 */   // Label 18333: @1272908
     /* 1272908 */   GIM_Try, /*On fail goto*//*Label 18334*/ GIMT_Encode4(1272992), // Rule ID 8356 //
     /* 1272913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1272916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1272921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1272924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1272927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1272930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1272933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1272936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1272939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1272955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1272959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1272966 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1272966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1272969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1272971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1272973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1272975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1272977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1272979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1272984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1272987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1272990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1272991 */     // GIR_Coverage, 8356,
     /* 1272991 */     GIR_EraseRootFromParent_Done,
     /* 1272992 */   // Label 18334: @1272992
     /* 1272992 */   GIM_Try, /*On fail goto*//*Label 18335*/ GIMT_Encode4(1273076), // Rule ID 8357 //
     /* 1272997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1273008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1273011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1273014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1273017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1273020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273050 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1273053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273075 */     // GIR_Coverage, 8357,
     /* 1273075 */     GIR_EraseRootFromParent_Done,
     /* 1273076 */   // Label 18335: @1273076
     /* 1273076 */   GIM_Try, /*On fail goto*//*Label 18336*/ GIMT_Encode4(1273160), // Rule ID 8360 //
     /* 1273081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273134 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1273137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273159 */     // GIR_Coverage, 8360,
     /* 1273159 */     GIR_EraseRootFromParent_Done,
     /* 1273160 */   // Label 18336: @1273160
     /* 1273160 */   GIM_Try, /*On fail goto*//*Label 18337*/ GIMT_Encode4(1273244), // Rule ID 8361 //
     /* 1273165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1273176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1273179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1273182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1273185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1273188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1273221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1273239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273243 */     // GIR_Coverage, 8361,
     /* 1273243 */     GIR_EraseRootFromParent_Done,
     /* 1273244 */   // Label 18337: @1273244
     /* 1273244 */   GIM_Try, /*On fail goto*//*Label 18338*/ GIMT_Encode4(1273328), // Rule ID 8364 //
     /* 1273249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1273252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1273269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273302 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1273305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273327 */     // GIR_Coverage, 8364,
     /* 1273327 */     GIR_EraseRootFromParent_Done,
     /* 1273328 */   // Label 18338: @1273328
     /* 1273328 */   GIM_Try, /*On fail goto*//*Label 18339*/ GIMT_Encode4(1273412), // Rule ID 8365 //
     /* 1273333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1273336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1273344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1273347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1273350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1273353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1273356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273386 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1273389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1273407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273411 */     // GIR_Coverage, 8365,
     /* 1273411 */     GIR_EraseRootFromParent_Done,
     /* 1273412 */   // Label 18339: @1273412
     /* 1273412 */   GIM_Try, /*On fail goto*//*Label 18340*/ GIMT_Encode4(1273496), // Rule ID 8368 //
     /* 1273417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1273437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273470 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1273473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273495 */     // GIR_Coverage, 8368,
     /* 1273495 */     GIR_EraseRootFromParent_Done,
     /* 1273496 */   // Label 18340: @1273496
     /* 1273496 */   GIM_Try, /*On fail goto*//*Label 18341*/ GIMT_Encode4(1273580), // Rule ID 8369 //
     /* 1273501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1273512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1273515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1273518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1273521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1273524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273554 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1273557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273579 */     // GIR_Coverage, 8369,
     /* 1273579 */     GIR_EraseRootFromParent_Done,
     /* 1273580 */   // Label 18341: @1273580
     /* 1273580 */   GIM_Try, /*On fail goto*//*Label 18342*/ GIMT_Encode4(1273664), // Rule ID 8372 //
     /* 1273585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1273605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273638 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1273641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273663 */     // GIR_Coverage, 8372,
     /* 1273663 */     GIR_EraseRootFromParent_Done,
     /* 1273664 */   // Label 18342: @1273664
     /* 1273664 */   GIM_Try, /*On fail goto*//*Label 18343*/ GIMT_Encode4(1273748), // Rule ID 8373 //
     /* 1273669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1273680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1273683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1273686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1273689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1273692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1273711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273722 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1273725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273747 */     // GIR_Coverage, 8373,
     /* 1273747 */     GIR_EraseRootFromParent_Done,
     /* 1273748 */   // Label 18343: @1273748
     /* 1273748 */   GIM_Try, /*On fail goto*//*Label 18344*/ GIMT_Encode4(1273832), // Rule ID 8376 //
     /* 1273753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1273773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273806 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1273809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273831 */     // GIR_Coverage, 8376,
     /* 1273831 */     GIR_EraseRootFromParent_Done,
     /* 1273832 */   // Label 18344: @1273832
     /* 1273832 */   GIM_Try, /*On fail goto*//*Label 18345*/ GIMT_Encode4(1273916), // Rule ID 8377 //
     /* 1273837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1273840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1273848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1273851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1273854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1273857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1273860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1273863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1273879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273890 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1273890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1273893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1273911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273915 */     // GIR_Coverage, 8377,
     /* 1273915 */     GIR_EraseRootFromParent_Done,
     /* 1273916 */   // Label 18345: @1273916
     /* 1273916 */   GIM_Try, /*On fail goto*//*Label 18346*/ GIMT_Encode4(1274000), // Rule ID 8380 //
     /* 1273921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1273924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1273929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1273932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1273935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1273938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1273941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1273944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1273947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1273955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1273963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1273967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1273974 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1273974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1273977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1273979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1273981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1273983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1273985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1273987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1273992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1273995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1273998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1273999 */     // GIR_Coverage, 8380,
     /* 1273999 */     GIR_EraseRootFromParent_Done,
     /* 1274000 */   // Label 18346: @1274000
     /* 1274000 */   GIM_Try, /*On fail goto*//*Label 18347*/ GIMT_Encode4(1274084), // Rule ID 8381 //
     /* 1274005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1274022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1274025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1274061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274083 */     // GIR_Coverage, 8381,
     /* 1274083 */     GIR_EraseRootFromParent_Done,
     /* 1274084 */   // Label 18347: @1274084
     /* 1274084 */   GIM_Try, /*On fail goto*//*Label 18348*/ GIMT_Encode4(1274168), // Rule ID 8384 //
     /* 1274089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1274109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274142 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1274145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274167 */     // GIR_Coverage, 8384,
     /* 1274167 */     GIR_EraseRootFromParent_Done,
     /* 1274168 */   // Label 18348: @1274168
     /* 1274168 */   GIM_Try, /*On fail goto*//*Label 18349*/ GIMT_Encode4(1274252), // Rule ID 8385 //
     /* 1274173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1274190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1274193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274226 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1274229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274251 */     // GIR_Coverage, 8385,
     /* 1274251 */     GIR_EraseRootFromParent_Done,
     /* 1274252 */   // Label 18349: @1274252
     /* 1274252 */   GIM_Try, /*On fail goto*//*Label 18350*/ GIMT_Encode4(1274336), // Rule ID 8388 //
     /* 1274257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1274277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274310 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1274313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274335 */     // GIR_Coverage, 8388,
     /* 1274335 */     GIR_EraseRootFromParent_Done,
     /* 1274336 */   // Label 18350: @1274336
     /* 1274336 */   GIM_Try, /*On fail goto*//*Label 18351*/ GIMT_Encode4(1274420), // Rule ID 8389 //
     /* 1274341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1274352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1274355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1274358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1274361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1274364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274394 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1274397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1274415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274419 */     // GIR_Coverage, 8389,
     /* 1274419 */     GIR_EraseRootFromParent_Done,
     /* 1274420 */   // Label 18351: @1274420
     /* 1274420 */   GIM_Try, /*On fail goto*//*Label 18352*/ GIMT_Encode4(1274504), // Rule ID 8392 //
     /* 1274425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1274445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274478 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1274481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274503 */     // GIR_Coverage, 8392,
     /* 1274503 */     GIR_EraseRootFromParent_Done,
     /* 1274504 */   // Label 18352: @1274504
     /* 1274504 */   GIM_Try, /*On fail goto*//*Label 18353*/ GIMT_Encode4(1274588), // Rule ID 8393 //
     /* 1274509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1274520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1274523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1274526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1274529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1274532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274562 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1274565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274587 */     // GIR_Coverage, 8393,
     /* 1274587 */     GIR_EraseRootFromParent_Done,
     /* 1274588 */   // Label 18353: @1274588
     /* 1274588 */   GIM_Try, /*On fail goto*//*Label 18354*/ GIMT_Encode4(1274672), // Rule ID 8396 //
     /* 1274593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1274613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274646 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1274649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274671 */     // GIR_Coverage, 8396,
     /* 1274671 */     GIR_EraseRootFromParent_Done,
     /* 1274672 */   // Label 18354: @1274672
     /* 1274672 */   GIM_Try, /*On fail goto*//*Label 18355*/ GIMT_Encode4(1274756), // Rule ID 8397 //
     /* 1274677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1274688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1274691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1274694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1274697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1274700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1274719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274730 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1274733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274755 */     // GIR_Coverage, 8397,
     /* 1274755 */     GIR_EraseRootFromParent_Done,
     /* 1274756 */   // Label 18355: @1274756
     /* 1274756 */   GIM_Try, /*On fail goto*//*Label 18356*/ GIMT_Encode4(1274840), // Rule ID 8400 //
     /* 1274761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1274764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1274781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274814 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1274817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274839 */     // GIR_Coverage, 8400,
     /* 1274839 */     GIR_EraseRootFromParent_Done,
     /* 1274840 */   // Label 18356: @1274840
     /* 1274840 */   GIM_Try, /*On fail goto*//*Label 18357*/ GIMT_Encode4(1274924), // Rule ID 8401 //
     /* 1274845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1274848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1274856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1274859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1274862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1274865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1274868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1274871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1274887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274898 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1274898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1274901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1274916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1274919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1274922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1274923 */     // GIR_Coverage, 8401,
     /* 1274923 */     GIR_EraseRootFromParent_Done,
     /* 1274924 */   // Label 18357: @1274924
     /* 1274924 */   GIM_Try, /*On fail goto*//*Label 18358*/ GIMT_Encode4(1275008), // Rule ID 8404 //
     /* 1274929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1274932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1274937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1274940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1274943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1274946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1274949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1274952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1274955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1274963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1274971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1274975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1274982 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1274982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1274985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1274987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1274989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1274991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1274993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1274995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275007 */     // GIR_Coverage, 8404,
     /* 1275007 */     GIR_EraseRootFromParent_Done,
     /* 1275008 */   // Label 18358: @1275008
     /* 1275008 */   GIM_Try, /*On fail goto*//*Label 18359*/ GIMT_Encode4(1275092), // Rule ID 8405 //
     /* 1275013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1275030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1275033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1275055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275066 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1275069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275091 */     // GIR_Coverage, 8405,
     /* 1275091 */     GIR_EraseRootFromParent_Done,
     /* 1275092 */   // Label 18359: @1275092
     /* 1275092 */   GIM_Try, /*On fail goto*//*Label 18360*/ GIMT_Encode4(1275176), // Rule ID 8408 //
     /* 1275097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1275117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1275153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275175 */     // GIR_Coverage, 8408,
     /* 1275175 */     GIR_EraseRootFromParent_Done,
     /* 1275176 */   // Label 18360: @1275176
     /* 1275176 */   GIM_Try, /*On fail goto*//*Label 18361*/ GIMT_Encode4(1275260), // Rule ID 8409 //
     /* 1275181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1275198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1275201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1275223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275234 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1275237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275259 */     // GIR_Coverage, 8409,
     /* 1275259 */     GIR_EraseRootFromParent_Done,
     /* 1275260 */   // Label 18361: @1275260
     /* 1275260 */   GIM_Try, /*On fail goto*//*Label 18362*/ GIMT_Encode4(1275344), // Rule ID 8412 //
     /* 1275265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1275268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1275285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275318 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1275321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275343 */     // GIR_Coverage, 8412,
     /* 1275343 */     GIR_EraseRootFromParent_Done,
     /* 1275344 */   // Label 18362: @1275344
     /* 1275344 */   GIM_Try, /*On fail goto*//*Label 18363*/ GIMT_Encode4(1275428), // Rule ID 8413 //
     /* 1275349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1275352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1275360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1275363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1275366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1275369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1275372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1275391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275402 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1275405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1275423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275427 */     // GIR_Coverage, 8413,
     /* 1275427 */     GIR_EraseRootFromParent_Done,
     /* 1275428 */   // Label 18363: @1275428
     /* 1275428 */   GIM_Try, /*On fail goto*//*Label 18364*/ GIMT_Encode4(1275512), // Rule ID 8416 //
     /* 1275433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275486 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1275489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275511 */     // GIR_Coverage, 8416,
     /* 1275511 */     GIR_EraseRootFromParent_Done,
     /* 1275512 */   // Label 18364: @1275512
     /* 1275512 */   GIM_Try, /*On fail goto*//*Label 18365*/ GIMT_Encode4(1275596), // Rule ID 8417 //
     /* 1275517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1275534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275570 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF8_MASK),
     /* 1275573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275595 */     // GIR_Coverage, 8417,
     /* 1275595 */     GIR_EraseRootFromParent_Done,
     /* 1275596 */   // Label 18365: @1275596
     /* 1275596 */   GIM_Try, /*On fail goto*//*Label 18366*/ GIMT_Encode4(1275680), // Rule ID 8420 //
     /* 1275601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275654 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1275657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275679 */     // GIR_Coverage, 8420,
     /* 1275679 */     GIR_EraseRootFromParent_Done,
     /* 1275680 */   // Label 18366: @1275680
     /* 1275680 */   GIM_Try, /*On fail goto*//*Label 18367*/ GIMT_Encode4(1275764), // Rule ID 8421 //
     /* 1275685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1275696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1275699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1275702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1275708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275738 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1275741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275763 */     // GIR_Coverage, 8421,
     /* 1275763 */     GIR_EraseRootFromParent_Done,
     /* 1275764 */   // Label 18367: @1275764
     /* 1275764 */   GIM_Try, /*On fail goto*//*Label 18368*/ GIMT_Encode4(1275848), // Rule ID 8424 //
     /* 1275769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275822 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1275825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275847 */     // GIR_Coverage, 8424,
     /* 1275847 */     GIR_EraseRootFromParent_Done,
     /* 1275848 */   // Label 18368: @1275848
     /* 1275848 */   GIM_Try, /*On fail goto*//*Label 18369*/ GIMT_Encode4(1275932), // Rule ID 8425 //
     /* 1275853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1275856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1275864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1275867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1275870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1275873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1275876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1275879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275906 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1275906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1275909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1275917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1275919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1275924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1275927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1275930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1275931 */     // GIR_Coverage, 8425,
     /* 1275931 */     GIR_EraseRootFromParent_Done,
     /* 1275932 */   // Label 18369: @1275932
     /* 1275932 */   GIM_Try, /*On fail goto*//*Label 18370*/ GIMT_Encode4(1276016), // Rule ID 8428 //
     /* 1275937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1275940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1275945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1275948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1275951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1275954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1275957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1275960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1275963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1275975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1275979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1275983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1275990 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1275990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1275993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1275995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1275997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1275999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276015 */     // GIR_Coverage, 8428,
     /* 1276015 */     GIR_EraseRootFromParent_Done,
     /* 1276016 */   // Label 18370: @1276016
     /* 1276016 */   GIM_Try, /*On fail goto*//*Label 18371*/ GIMT_Encode4(1276100), // Rule ID 8429 //
     /* 1276021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1276038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276074 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF4_MASK),
     /* 1276077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276099 */     // GIR_Coverage, 8429,
     /* 1276099 */     GIR_EraseRootFromParent_Done,
     /* 1276100 */   // Label 18371: @1276100
     /* 1276100 */   GIM_Try, /*On fail goto*//*Label 18372*/ GIMT_Encode4(1276184), // Rule ID 8432 //
     /* 1276105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276158 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1276161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276183 */     // GIR_Coverage, 8432,
     /* 1276183 */     GIR_EraseRootFromParent_Done,
     /* 1276184 */   // Label 18372: @1276184
     /* 1276184 */   GIM_Try, /*On fail goto*//*Label 18373*/ GIMT_Encode4(1276268), // Rule ID 8433 //
     /* 1276189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1276206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276242 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1276245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276267 */     // GIR_Coverage, 8433,
     /* 1276267 */     GIR_EraseRootFromParent_Done,
     /* 1276268 */   // Label 18373: @1276268
     /* 1276268 */   GIM_Try, /*On fail goto*//*Label 18374*/ GIMT_Encode4(1276352), // Rule ID 8436 //
     /* 1276273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276326 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1276329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276351 */     // GIR_Coverage, 8436,
     /* 1276351 */     GIR_EraseRootFromParent_Done,
     /* 1276352 */   // Label 18374: @1276352
     /* 1276352 */   GIM_Try, /*On fail goto*//*Label 18375*/ GIMT_Encode4(1276436), // Rule ID 8437 //
     /* 1276357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1276374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276410 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_MF2_MASK),
     /* 1276413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276435 */     // GIR_Coverage, 8437,
     /* 1276435 */     GIR_EraseRootFromParent_Done,
     /* 1276436 */   // Label 18375: @1276436
     /* 1276436 */   GIM_Try, /*On fail goto*//*Label 18376*/ GIMT_Encode4(1276520), // Rule ID 8440 //
     /* 1276441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276494 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1276497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276519 */     // GIR_Coverage, 8440,
     /* 1276519 */     GIR_EraseRootFromParent_Done,
     /* 1276520 */   // Label 18376: @1276520
     /* 1276520 */   GIM_Try, /*On fail goto*//*Label 18377*/ GIMT_Encode4(1276604), // Rule ID 8441 //
     /* 1276525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1276536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1276539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1276542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1276548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276578 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1276581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1276599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276603 */     // GIR_Coverage, 8441,
     /* 1276603 */     GIR_EraseRootFromParent_Done,
     /* 1276604 */   // Label 18377: @1276604
     /* 1276604 */   GIM_Try, /*On fail goto*//*Label 18378*/ GIMT_Encode4(1276688), // Rule ID 8444 //
     /* 1276609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1276665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276687 */     // GIR_Coverage, 8444,
     /* 1276687 */     GIR_EraseRootFromParent_Done,
     /* 1276688 */   // Label 18378: @1276688
     /* 1276688 */   GIM_Try, /*On fail goto*//*Label 18379*/ GIMT_Encode4(1276772), // Rule ID 8445 //
     /* 1276693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1276704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1276707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1276710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1276716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1276749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1276767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276771 */     // GIR_Coverage, 8445,
     /* 1276771 */     GIR_EraseRootFromParent_Done,
     /* 1276772 */   // Label 18379: @1276772
     /* 1276772 */   GIM_Try, /*On fail goto*//*Label 18380*/ GIMT_Encode4(1276856), // Rule ID 8448 //
     /* 1276777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1276780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276830 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1276833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276855 */     // GIR_Coverage, 8448,
     /* 1276855 */     GIR_EraseRootFromParent_Done,
     /* 1276856 */   // Label 18380: @1276856
     /* 1276856 */   GIM_Try, /*On fail goto*//*Label 18381*/ GIMT_Encode4(1276940), // Rule ID 8449 //
     /* 1276861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1276864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1276872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1276875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1276878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1276881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1276884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1276887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276914 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1276914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1276917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1276919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1276921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1276923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1276925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1276927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1276932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1276935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1276938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1276939 */     // GIR_Coverage, 8449,
     /* 1276939 */     GIR_EraseRootFromParent_Done,
     /* 1276940 */   // Label 18381: @1276940
     /* 1276940 */   GIM_Try, /*On fail goto*//*Label 18382*/ GIMT_Encode4(1277024), // Rule ID 8452 //
     /* 1276945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1276948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1276953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1276956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1276959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1276962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1276965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1276968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1276971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1276983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1276987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1276991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1276998 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1276998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1277001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277023 */     // GIR_Coverage, 8452,
     /* 1277023 */     GIR_EraseRootFromParent_Done,
     /* 1277024 */   // Label 18382: @1277024
     /* 1277024 */   GIM_Try, /*On fail goto*//*Label 18383*/ GIMT_Encode4(1277108), // Rule ID 8453 //
     /* 1277029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1277032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1277040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1277043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1277046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1277052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277082 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M1_MASK),
     /* 1277085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1277103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277107 */     // GIR_Coverage, 8453,
     /* 1277107 */     GIR_EraseRootFromParent_Done,
     /* 1277108 */   // Label 18383: @1277108
     /* 1277108 */   GIM_Try, /*On fail goto*//*Label 18384*/ GIMT_Encode4(1277192), // Rule ID 8456 //
     /* 1277113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277166 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1277169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277191 */     // GIR_Coverage, 8456,
     /* 1277191 */     GIR_EraseRootFromParent_Done,
     /* 1277192 */   // Label 18384: @1277192
     /* 1277192 */   GIM_Try, /*On fail goto*//*Label 18385*/ GIMT_Encode4(1277276), // Rule ID 8457 //
     /* 1277197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1277214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277250 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1277253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277275 */     // GIR_Coverage, 8457,
     /* 1277275 */     GIR_EraseRootFromParent_Done,
     /* 1277276 */   // Label 18385: @1277276
     /* 1277276 */   GIM_Try, /*On fail goto*//*Label 18386*/ GIMT_Encode4(1277360), // Rule ID 8460 //
     /* 1277281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277334 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1277337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277359 */     // GIR_Coverage, 8460,
     /* 1277359 */     GIR_EraseRootFromParent_Done,
     /* 1277360 */   // Label 18386: @1277360
     /* 1277360 */   GIM_Try, /*On fail goto*//*Label 18387*/ GIMT_Encode4(1277444), // Rule ID 8461 //
     /* 1277365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1277382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277418 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1277421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277443 */     // GIR_Coverage, 8461,
     /* 1277443 */     GIR_EraseRootFromParent_Done,
     /* 1277444 */   // Label 18387: @1277444
     /* 1277444 */   GIM_Try, /*On fail goto*//*Label 18388*/ GIMT_Encode4(1277528), // Rule ID 8464 //
     /* 1277449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277502 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1277505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277527 */     // GIR_Coverage, 8464,
     /* 1277527 */     GIR_EraseRootFromParent_Done,
     /* 1277528 */   // Label 18388: @1277528
     /* 1277528 */   GIM_Try, /*On fail goto*//*Label 18389*/ GIMT_Encode4(1277612), // Rule ID 8465 //
     /* 1277533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1277544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1277547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1277550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1277556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277586 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1277589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1277607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277611 */     // GIR_Coverage, 8465,
     /* 1277611 */     GIR_EraseRootFromParent_Done,
     /* 1277612 */   // Label 18389: @1277612
     /* 1277612 */   GIM_Try, /*On fail goto*//*Label 18390*/ GIMT_Encode4(1277696), // Rule ID 8468 //
     /* 1277617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277670 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1277673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277695 */     // GIR_Coverage, 8468,
     /* 1277695 */     GIR_EraseRootFromParent_Done,
     /* 1277696 */   // Label 18390: @1277696
     /* 1277696 */   GIM_Try, /*On fail goto*//*Label 18391*/ GIMT_Encode4(1277780), // Rule ID 8469 //
     /* 1277701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1277712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1277715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1277718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1277724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1277739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1277757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277779 */     // GIR_Coverage, 8469,
     /* 1277779 */     GIR_EraseRootFromParent_Done,
     /* 1277780 */   // Label 18391: @1277780
     /* 1277780 */   GIM_Try, /*On fail goto*//*Label 18392*/ GIMT_Encode4(1277864), // Rule ID 8472 //
     /* 1277785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277838 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1277838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1277841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277863 */     // GIR_Coverage, 8472,
     /* 1277863 */     GIR_EraseRootFromParent_Done,
     /* 1277864 */   // Label 18392: @1277864
     /* 1277864 */   GIM_Try, /*On fail goto*//*Label 18393*/ GIMT_Encode4(1277948), // Rule ID 8473 //
     /* 1277869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1277872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1277880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1277883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1277886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1277889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1277892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1277895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1277907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1277922 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1277922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1277925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1277927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1277929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1277931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1277933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1277935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1277940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1277943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1277946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1277947 */     // GIR_Coverage, 8473,
     /* 1277947 */     GIR_EraseRootFromParent_Done,
     /* 1277948 */   // Label 18393: @1277948
     /* 1277948 */   GIM_Try, /*On fail goto*//*Label 18394*/ GIMT_Encode4(1278032), // Rule ID 8476 //
     /* 1277953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1277956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1277961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1277964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1277967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1277970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1277973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1277976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1277979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1277987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1277991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1277995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1277999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278006 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1278009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278031 */     // GIR_Coverage, 8476,
     /* 1278031 */     GIR_EraseRootFromParent_Done,
     /* 1278032 */   // Label 18394: @1278032
     /* 1278032 */   GIM_Try, /*On fail goto*//*Label 18395*/ GIMT_Encode4(1278116), // Rule ID 8477 //
     /* 1278037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1278048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1278051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1278054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1278060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278090 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1278093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1278111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278115 */     // GIR_Coverage, 8477,
     /* 1278115 */     GIR_EraseRootFromParent_Done,
     /* 1278116 */   // Label 18395: @1278116
     /* 1278116 */   GIM_Try, /*On fail goto*//*Label 18396*/ GIMT_Encode4(1278200), // Rule ID 8480 //
     /* 1278121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278174 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1278177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278199 */     // GIR_Coverage, 8480,
     /* 1278199 */     GIR_EraseRootFromParent_Done,
     /* 1278200 */   // Label 18396: @1278200
     /* 1278200 */   GIM_Try, /*On fail goto*//*Label 18397*/ GIMT_Encode4(1278284), // Rule ID 8481 //
     /* 1278205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1278222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278258 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1278261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278283 */     // GIR_Coverage, 8481,
     /* 1278283 */     GIR_EraseRootFromParent_Done,
     /* 1278284 */   // Label 18397: @1278284
     /* 1278284 */   GIM_Try, /*On fail goto*//*Label 18398*/ GIMT_Encode4(1278368), // Rule ID 8484 //
     /* 1278289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278342 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1278345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278367 */     // GIR_Coverage, 8484,
     /* 1278367 */     GIR_EraseRootFromParent_Done,
     /* 1278368 */   // Label 18398: @1278368
     /* 1278368 */   GIM_Try, /*On fail goto*//*Label 18399*/ GIMT_Encode4(1278452), // Rule ID 8485 //
     /* 1278373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1278390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278426 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1278429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278451 */     // GIR_Coverage, 8485,
     /* 1278451 */     GIR_EraseRootFromParent_Done,
     /* 1278452 */   // Label 18399: @1278452
     /* 1278452 */   GIM_Try, /*On fail goto*//*Label 18400*/ GIMT_Encode4(1278536), // Rule ID 8488 //
     /* 1278457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1278460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278510 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1278513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278535 */     // GIR_Coverage, 8488,
     /* 1278535 */     GIR_EraseRootFromParent_Done,
     /* 1278536 */   // Label 18400: @1278536
     /* 1278536 */   GIM_Try, /*On fail goto*//*Label 18401*/ GIMT_Encode4(1278620), // Rule ID 8489 //
     /* 1278541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1278544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1278552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1278555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1278558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1278564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278594 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1278597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1278615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278619 */     // GIR_Coverage, 8489,
     /* 1278619 */     GIR_EraseRootFromParent_Done,
     /* 1278620 */   // Label 18401: @1278620
     /* 1278620 */   GIM_Try, /*On fail goto*//*Label 18402*/ GIMT_Encode4(1278704), // Rule ID 8492 //
     /* 1278625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278678 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1278681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278703 */     // GIR_Coverage, 8492,
     /* 1278703 */     GIR_EraseRootFromParent_Done,
     /* 1278704 */   // Label 18402: @1278704
     /* 1278704 */   GIM_Try, /*On fail goto*//*Label 18403*/ GIMT_Encode4(1278788), // Rule ID 8493 //
     /* 1278709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1278720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1278723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1278726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1278732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1278747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278762 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M2_MASK),
     /* 1278765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278787 */     // GIR_Coverage, 8493,
     /* 1278787 */     GIR_EraseRootFromParent_Done,
     /* 1278788 */   // Label 18403: @1278788
     /* 1278788 */   GIM_Try, /*On fail goto*//*Label 18404*/ GIMT_Encode4(1278872), // Rule ID 8496 //
     /* 1278793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278846 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1278846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1278849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278871 */     // GIR_Coverage, 8496,
     /* 1278871 */     GIR_EraseRootFromParent_Done,
     /* 1278872 */   // Label 18404: @1278872
     /* 1278872 */   GIM_Try, /*On fail goto*//*Label 18405*/ GIMT_Encode4(1278956), // Rule ID 8497 //
     /* 1278877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1278880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1278888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1278891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1278894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1278897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1278900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1278903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1278915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1278919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1278923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1278930 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1278930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M4_MASK),
     /* 1278933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1278935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1278937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1278939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1278941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1278943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1278948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1278951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1278954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1278955 */     // GIR_Coverage, 8497,
     /* 1278955 */     GIR_EraseRootFromParent_Done,
     /* 1278956 */   // Label 18405: @1278956
     /* 1278956 */   GIM_Try, /*On fail goto*//*Label 18406*/ GIMT_Encode4(1279040), // Rule ID 8500 //
     /* 1278961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1278964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1278969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1278972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1278975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1278978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1278981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1278984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1278987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1278995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1278999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279014 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1279017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279039 */     // GIR_Coverage, 8500,
     /* 1279039 */     GIR_EraseRootFromParent_Done,
     /* 1279040 */   // Label 18406: @1279040
     /* 1279040 */   GIM_Try, /*On fail goto*//*Label 18407*/ GIMT_Encode4(1279124), // Rule ID 8501 //
     /* 1279045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1279048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsltu_mask),
     /* 1279053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1279056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1279059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1279062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1279065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1279068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1279083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1279087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279098 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11464:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VX_M8_MASK),
     /* 1279101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1279119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279123 */     // GIR_Coverage, 8501,
     /* 1279123 */     GIR_EraseRootFromParent_Done,
     /* 1279124 */   // Label 18407: @1279124
     /* 1279124 */   GIM_Try, /*On fail goto*//*Label 18408*/ GIMT_Encode4(1279208), // Rule ID 8504 //
     /* 1279129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1279149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279182 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1279185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279207 */     // GIR_Coverage, 8504,
     /* 1279207 */     GIR_EraseRootFromParent_Done,
     /* 1279208 */   // Label 18408: @1279208
     /* 1279208 */   GIM_Try, /*On fail goto*//*Label 18409*/ GIMT_Encode4(1279292), // Rule ID 8505 //
     /* 1279213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1279230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1279233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1279269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279291 */     // GIR_Coverage, 8505,
     /* 1279291 */     GIR_EraseRootFromParent_Done,
     /* 1279292 */   // Label 18409: @1279292
     /* 1279292 */   GIM_Try, /*On fail goto*//*Label 18410*/ GIMT_Encode4(1279376), // Rule ID 8508 //
     /* 1279297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1279317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279350 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1279353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279375 */     // GIR_Coverage, 8508,
     /* 1279375 */     GIR_EraseRootFromParent_Done,
     /* 1279376 */   // Label 18410: @1279376
     /* 1279376 */   GIM_Try, /*On fail goto*//*Label 18411*/ GIMT_Encode4(1279460), // Rule ID 8509 //
     /* 1279381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1279398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1279401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279434 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1279437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279459 */     // GIR_Coverage, 8509,
     /* 1279459 */     GIR_EraseRootFromParent_Done,
     /* 1279460 */   // Label 18411: @1279460
     /* 1279460 */   GIM_Try, /*On fail goto*//*Label 18412*/ GIMT_Encode4(1279544), // Rule ID 8512 //
     /* 1279465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1279485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279518 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1279521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279543 */     // GIR_Coverage, 8512,
     /* 1279543 */     GIR_EraseRootFromParent_Done,
     /* 1279544 */   // Label 18412: @1279544
     /* 1279544 */   GIM_Try, /*On fail goto*//*Label 18413*/ GIMT_Encode4(1279628), // Rule ID 8513 //
     /* 1279549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1279560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1279563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1279566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1279569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1279572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1279605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1279623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279627 */     // GIR_Coverage, 8513,
     /* 1279627 */     GIR_EraseRootFromParent_Done,
     /* 1279628 */   // Label 18413: @1279628
     /* 1279628 */   GIM_Try, /*On fail goto*//*Label 18414*/ GIMT_Encode4(1279712), // Rule ID 8516 //
     /* 1279633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1279653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279686 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1279689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279711 */     // GIR_Coverage, 8516,
     /* 1279711 */     GIR_EraseRootFromParent_Done,
     /* 1279712 */   // Label 18414: @1279712
     /* 1279712 */   GIM_Try, /*On fail goto*//*Label 18415*/ GIMT_Encode4(1279796), // Rule ID 8517 //
     /* 1279717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1279734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1279737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279770 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1279773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279795 */     // GIR_Coverage, 8517,
     /* 1279795 */     GIR_EraseRootFromParent_Done,
     /* 1279796 */   // Label 18415: @1279796
     /* 1279796 */   GIM_Try, /*On fail goto*//*Label 18416*/ GIMT_Encode4(1279880), // Rule ID 8520 //
     /* 1279801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1279821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279854 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1279854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1279857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279879 */     // GIR_Coverage, 8520,
     /* 1279879 */     GIR_EraseRootFromParent_Done,
     /* 1279880 */   // Label 18416: @1279880
     /* 1279880 */   GIM_Try, /*On fail goto*//*Label 18417*/ GIMT_Encode4(1279964), // Rule ID 8521 //
     /* 1279885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1279888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1279896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1279899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1279902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1279905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1279908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1279911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1279931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1279938 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1279938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1279941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1279943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1279945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1279947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1279949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1279951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1279956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1279959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1279962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1279963 */     // GIR_Coverage, 8521,
     /* 1279963 */     GIR_EraseRootFromParent_Done,
     /* 1279964 */   // Label 18417: @1279964
     /* 1279964 */   GIM_Try, /*On fail goto*//*Label 18418*/ GIMT_Encode4(1280048), // Rule ID 8524 //
     /* 1279969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1279972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1279977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1279980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1279983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1279986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1279989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1279992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1279995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1279999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280022 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1280025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280047 */     // GIR_Coverage, 8524,
     /* 1280047 */     GIR_EraseRootFromParent_Done,
     /* 1280048 */   // Label 18418: @1280048
     /* 1280048 */   GIM_Try, /*On fail goto*//*Label 18419*/ GIMT_Encode4(1280132), // Rule ID 8525 //
     /* 1280053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1280070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1280073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280106 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1280109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280131 */     // GIR_Coverage, 8525,
     /* 1280131 */     GIR_EraseRootFromParent_Done,
     /* 1280132 */   // Label 18419: @1280132
     /* 1280132 */   GIM_Try, /*On fail goto*//*Label 18420*/ GIMT_Encode4(1280216), // Rule ID 8528 //
     /* 1280137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280190 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1280193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280215 */     // GIR_Coverage, 8528,
     /* 1280215 */     GIR_EraseRootFromParent_Done,
     /* 1280216 */   // Label 18420: @1280216
     /* 1280216 */   GIM_Try, /*On fail goto*//*Label 18421*/ GIMT_Encode4(1280300), // Rule ID 8529 //
     /* 1280221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1280232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1280235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1280238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1280241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1280244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1280277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280299 */     // GIR_Coverage, 8529,
     /* 1280299 */     GIR_EraseRootFromParent_Done,
     /* 1280300 */   // Label 18421: @1280300
     /* 1280300 */   GIM_Try, /*On fail goto*//*Label 18422*/ GIMT_Encode4(1280384), // Rule ID 8532 //
     /* 1280305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1280325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280358 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1280361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280383 */     // GIR_Coverage, 8532,
     /* 1280383 */     GIR_EraseRootFromParent_Done,
     /* 1280384 */   // Label 18422: @1280384
     /* 1280384 */   GIM_Try, /*On fail goto*//*Label 18423*/ GIMT_Encode4(1280468), // Rule ID 8533 //
     /* 1280389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1280400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1280403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1280406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1280409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1280412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1280445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1280463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280467 */     // GIR_Coverage, 8533,
     /* 1280467 */     GIR_EraseRootFromParent_Done,
     /* 1280468 */   // Label 18423: @1280468
     /* 1280468 */   GIM_Try, /*On fail goto*//*Label 18424*/ GIMT_Encode4(1280552), // Rule ID 8536 //
     /* 1280473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1280493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280526 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1280529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280551 */     // GIR_Coverage, 8536,
     /* 1280551 */     GIR_EraseRootFromParent_Done,
     /* 1280552 */   // Label 18424: @1280552
     /* 1280552 */   GIM_Try, /*On fail goto*//*Label 18425*/ GIMT_Encode4(1280636), // Rule ID 8537 //
     /* 1280557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1280568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1280571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1280574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1280577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1280580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280610 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1280613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1280631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280635 */     // GIR_Coverage, 8537,
     /* 1280635 */     GIR_EraseRootFromParent_Done,
     /* 1280636 */   // Label 18425: @1280636
     /* 1280636 */   GIM_Try, /*On fail goto*//*Label 18426*/ GIMT_Encode4(1280720), // Rule ID 8540 //
     /* 1280641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1280644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1280661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280694 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1280697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280719 */     // GIR_Coverage, 8540,
     /* 1280719 */     GIR_EraseRootFromParent_Done,
     /* 1280720 */   // Label 18426: @1280720
     /* 1280720 */   GIM_Try, /*On fail goto*//*Label 18427*/ GIMT_Encode4(1280804), // Rule ID 8541 //
     /* 1280725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1280728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1280736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1280739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1280742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1280745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1280748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1280781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1280799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280803 */     // GIR_Coverage, 8541,
     /* 1280803 */     GIR_EraseRootFromParent_Done,
     /* 1280804 */   // Label 18427: @1280804
     /* 1280804 */   GIM_Try, /*On fail goto*//*Label 18428*/ GIMT_Encode4(1280888), // Rule ID 8544 //
     /* 1280809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1280829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1280835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280862 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1280862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1280865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280887 */     // GIR_Coverage, 8544,
     /* 1280887 */     GIR_EraseRootFromParent_Done,
     /* 1280888 */   // Label 18428: @1280888
     /* 1280888 */   GIM_Try, /*On fail goto*//*Label 18429*/ GIMT_Encode4(1280972), // Rule ID 8545 //
     /* 1280893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1280896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1280904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1280907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1280910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1280913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1280916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1280919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1280927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1280935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1280939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1280946 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1280946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1280949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1280951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1280953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1280955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1280957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1280959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1280964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1280967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1280970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1280971 */     // GIR_Coverage, 8545,
     /* 1280971 */     GIR_EraseRootFromParent_Done,
     /* 1280972 */   // Label 18429: @1280972
     /* 1280972 */   GIM_Try, /*On fail goto*//*Label 18430*/ GIMT_Encode4(1281056), // Rule ID 8548 //
     /* 1280977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1280980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1280985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1280988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1280991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1280994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1280997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281030 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1281033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281055 */     // GIR_Coverage, 8548,
     /* 1281055 */     GIR_EraseRootFromParent_Done,
     /* 1281056 */   // Label 18430: @1281056
     /* 1281056 */   GIM_Try, /*On fail goto*//*Label 18431*/ GIMT_Encode4(1281140), // Rule ID 8549 //
     /* 1281061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1281078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1281081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281114 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1281117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281139 */     // GIR_Coverage, 8549,
     /* 1281139 */     GIR_EraseRootFromParent_Done,
     /* 1281140 */   // Label 18431: @1281140
     /* 1281140 */   GIM_Try, /*On fail goto*//*Label 18432*/ GIMT_Encode4(1281224), // Rule ID 8552 //
     /* 1281145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1281165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281198 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1281201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281223 */     // GIR_Coverage, 8552,
     /* 1281223 */     GIR_EraseRootFromParent_Done,
     /* 1281224 */   // Label 18432: @1281224
     /* 1281224 */   GIM_Try, /*On fail goto*//*Label 18433*/ GIMT_Encode4(1281308), // Rule ID 8553 //
     /* 1281229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1281240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1281243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1281246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1281249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1281252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281282 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1281285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1281303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281307 */     // GIR_Coverage, 8553,
     /* 1281307 */     GIR_EraseRootFromParent_Done,
     /* 1281308 */   // Label 18433: @1281308
     /* 1281308 */   GIM_Try, /*On fail goto*//*Label 18434*/ GIMT_Encode4(1281392), // Rule ID 8556 //
     /* 1281313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1281333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281366 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1281369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281391 */     // GIR_Coverage, 8556,
     /* 1281391 */     GIR_EraseRootFromParent_Done,
     /* 1281392 */   // Label 18434: @1281392
     /* 1281392 */   GIM_Try, /*On fail goto*//*Label 18435*/ GIMT_Encode4(1281476), // Rule ID 8557 //
     /* 1281397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1281414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1281417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1281420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281450 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1281453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281475 */     // GIR_Coverage, 8557,
     /* 1281475 */     GIR_EraseRootFromParent_Done,
     /* 1281476 */   // Label 18435: @1281476
     /* 1281476 */   GIM_Try, /*On fail goto*//*Label 18436*/ GIMT_Encode4(1281560), // Rule ID 8560 //
     /* 1281481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1281501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281534 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1281537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281559 */     // GIR_Coverage, 8560,
     /* 1281559 */     GIR_EraseRootFromParent_Done,
     /* 1281560 */   // Label 18436: @1281560
     /* 1281560 */   GIM_Try, /*On fail goto*//*Label 18437*/ GIMT_Encode4(1281644), // Rule ID 8561 //
     /* 1281565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1281576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1281579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1281582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1281585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1281588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1281607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281618 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1281621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281643 */     // GIR_Coverage, 8561,
     /* 1281643 */     GIR_EraseRootFromParent_Done,
     /* 1281644 */   // Label 18437: @1281644
     /* 1281644 */   GIM_Try, /*On fail goto*//*Label 18438*/ GIMT_Encode4(1281728), // Rule ID 8564 //
     /* 1281649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1281669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281702 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1281705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281727 */     // GIR_Coverage, 8564,
     /* 1281727 */     GIR_EraseRootFromParent_Done,
     /* 1281728 */   // Label 18438: @1281728
     /* 1281728 */   GIM_Try, /*On fail goto*//*Label 18439*/ GIMT_Encode4(1281812), // Rule ID 8565 //
     /* 1281733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1281744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1281747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1281750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1281753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1281756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1281775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281786 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1281789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1281807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281811 */     // GIR_Coverage, 8565,
     /* 1281811 */     GIR_EraseRootFromParent_Done,
     /* 1281812 */   // Label 18439: @1281812
     /* 1281812 */   GIM_Try, /*On fail goto*//*Label 18440*/ GIMT_Encode4(1281896), // Rule ID 8568 //
     /* 1281817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1281837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1281843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281870 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1281870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1281873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281895 */     // GIR_Coverage, 8568,
     /* 1281895 */     GIR_EraseRootFromParent_Done,
     /* 1281896 */   // Label 18440: @1281896
     /* 1281896 */   GIM_Try, /*On fail goto*//*Label 18441*/ GIMT_Encode4(1281980), // Rule ID 8569 //
     /* 1281901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1281904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1281912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1281915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1281918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1281921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1281924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1281927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1281935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1281943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1281947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1281954 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1281954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1281957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1281959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1281961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1281963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1281965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1281967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1281972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1281975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1281978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1281979 */     // GIR_Coverage, 8569,
     /* 1281979 */     GIR_EraseRootFromParent_Done,
     /* 1281980 */   // Label 18441: @1281980
     /* 1281980 */   GIM_Try, /*On fail goto*//*Label 18442*/ GIMT_Encode4(1282064), // Rule ID 8572 //
     /* 1281985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1281988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1281993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1281996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1281999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1282002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1282005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282038 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1282041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282063 */     // GIR_Coverage, 8572,
     /* 1282063 */     GIR_EraseRootFromParent_Done,
     /* 1282064 */   // Label 18442: @1282064
     /* 1282064 */   GIM_Try, /*On fail goto*//*Label 18443*/ GIMT_Encode4(1282148), // Rule ID 8573 //
     /* 1282069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1282086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1282089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282122 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1282125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282147 */     // GIR_Coverage, 8573,
     /* 1282147 */     GIR_EraseRootFromParent_Done,
     /* 1282148 */   // Label 18443: @1282148
     /* 1282148 */   GIM_Try, /*On fail goto*//*Label 18444*/ GIMT_Encode4(1282232), // Rule ID 8576 //
     /* 1282153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1282173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282206 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1282209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282231 */     // GIR_Coverage, 8576,
     /* 1282231 */     GIR_EraseRootFromParent_Done,
     /* 1282232 */   // Label 18444: @1282232
     /* 1282232 */   GIM_Try, /*On fail goto*//*Label 18445*/ GIMT_Encode4(1282316), // Rule ID 8577 //
     /* 1282237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1282248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1282251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1282254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1282257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1282260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282290 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1282293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1282311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282315 */     // GIR_Coverage, 8577,
     /* 1282315 */     GIR_EraseRootFromParent_Done,
     /* 1282316 */   // Label 18445: @1282316
     /* 1282316 */   GIM_Try, /*On fail goto*//*Label 18446*/ GIMT_Encode4(1282400), // Rule ID 8580 //
     /* 1282321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1282341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282374 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1282377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282399 */     // GIR_Coverage, 8580,
     /* 1282399 */     GIR_EraseRootFromParent_Done,
     /* 1282400 */   // Label 18446: @1282400
     /* 1282400 */   GIM_Try, /*On fail goto*//*Label 18447*/ GIMT_Encode4(1282484), // Rule ID 8581 //
     /* 1282405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1282416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1282419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1282422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1282425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1282428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1282447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282458 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1282461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282483 */     // GIR_Coverage, 8581,
     /* 1282483 */     GIR_EraseRootFromParent_Done,
     /* 1282484 */   // Label 18447: @1282484
     /* 1282484 */   GIM_Try, /*On fail goto*//*Label 18448*/ GIMT_Encode4(1282568), // Rule ID 8584 //
     /* 1282489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1282509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282542 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1282545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282567 */     // GIR_Coverage, 8584,
     /* 1282567 */     GIR_EraseRootFromParent_Done,
     /* 1282568 */   // Label 18448: @1282568
     /* 1282568 */   GIM_Try, /*On fail goto*//*Label 18449*/ GIMT_Encode4(1282652), // Rule ID 8585 //
     /* 1282573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1282584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1282587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1282590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1282593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1282596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1282615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282626 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1282629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282651 */     // GIR_Coverage, 8585,
     /* 1282651 */     GIR_EraseRootFromParent_Done,
     /* 1282652 */   // Label 18449: @1282652
     /* 1282652 */   GIM_Try, /*On fail goto*//*Label 18450*/ GIMT_Encode4(1282736), // Rule ID 8588 //
     /* 1282657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1282660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1282677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282710 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1282713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282735 */     // GIR_Coverage, 8588,
     /* 1282735 */     GIR_EraseRootFromParent_Done,
     /* 1282736 */   // Label 18450: @1282736
     /* 1282736 */   GIM_Try, /*On fail goto*//*Label 18451*/ GIMT_Encode4(1282820), // Rule ID 8589 //
     /* 1282741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1282744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1282752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1282755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1282758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1282761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1282764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1282783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282794 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1282797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1282815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282819 */     // GIR_Coverage, 8589,
     /* 1282819 */     GIR_EraseRootFromParent_Done,
     /* 1282820 */   // Label 18451: @1282820
     /* 1282820 */   GIM_Try, /*On fail goto*//*Label 18452*/ GIMT_Encode4(1282904), // Rule ID 8592 //
     /* 1282825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1282845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1282851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282878 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1282878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1282881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282903 */     // GIR_Coverage, 8592,
     /* 1282903 */     GIR_EraseRootFromParent_Done,
     /* 1282904 */   // Label 18452: @1282904
     /* 1282904 */   GIM_Try, /*On fail goto*//*Label 18453*/ GIMT_Encode4(1282988), // Rule ID 8593 //
     /* 1282909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1282912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1282917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1282920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1282923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1282926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1282929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1282932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1282935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1282947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1282951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1282955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1282962 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1282962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF8_MASK),
     /* 1282965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1282967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1282969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1282971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1282973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1282975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1282980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1282983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1282986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1282987 */     // GIR_Coverage, 8593,
     /* 1282987 */     GIR_EraseRootFromParent_Done,
     /* 1282988 */   // Label 18453: @1282988
     /* 1282988 */   GIM_Try, /*On fail goto*//*Label 18454*/ GIMT_Encode4(1283072), // Rule ID 8596 //
     /* 1282993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1282996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1283010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283046 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1283049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283071 */     // GIR_Coverage, 8596,
     /* 1283071 */     GIR_EraseRootFromParent_Done,
     /* 1283072 */   // Label 18454: @1283072
     /* 1283072 */   GIM_Try, /*On fail goto*//*Label 18455*/ GIMT_Encode4(1283156), // Rule ID 8597 //
     /* 1283077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1283094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283130 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1283133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283155 */     // GIR_Coverage, 8597,
     /* 1283155 */     GIR_EraseRootFromParent_Done,
     /* 1283156 */   // Label 18455: @1283156
     /* 1283156 */   GIM_Try, /*On fail goto*//*Label 18456*/ GIMT_Encode4(1283240), // Rule ID 8600 //
     /* 1283161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283214 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1283217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283239 */     // GIR_Coverage, 8600,
     /* 1283239 */     GIR_EraseRootFromParent_Done,
     /* 1283240 */   // Label 18456: @1283240
     /* 1283240 */   GIM_Try, /*On fail goto*//*Label 18457*/ GIMT_Encode4(1283324), // Rule ID 8601 //
     /* 1283245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1283256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1283259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1283262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1283268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283298 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1283301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283323 */     // GIR_Coverage, 8601,
     /* 1283323 */     GIR_EraseRootFromParent_Done,
     /* 1283324 */   // Label 18457: @1283324
     /* 1283324 */   GIM_Try, /*On fail goto*//*Label 18458*/ GIMT_Encode4(1283408), // Rule ID 8604 //
     /* 1283329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283382 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1283385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283407 */     // GIR_Coverage, 8604,
     /* 1283407 */     GIR_EraseRootFromParent_Done,
     /* 1283408 */   // Label 18458: @1283408
     /* 1283408 */   GIM_Try, /*On fail goto*//*Label 18459*/ GIMT_Encode4(1283492), // Rule ID 8605 //
     /* 1283413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1283430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283466 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF4_MASK),
     /* 1283469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283491 */     // GIR_Coverage, 8605,
     /* 1283491 */     GIR_EraseRootFromParent_Done,
     /* 1283492 */   // Label 18459: @1283492
     /* 1283492 */   GIM_Try, /*On fail goto*//*Label 18460*/ GIMT_Encode4(1283576), // Rule ID 8608 //
     /* 1283497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1283553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283575 */     // GIR_Coverage, 8608,
     /* 1283575 */     GIR_EraseRootFromParent_Done,
     /* 1283576 */   // Label 18460: @1283576
     /* 1283576 */   GIM_Try, /*On fail goto*//*Label 18461*/ GIMT_Encode4(1283660), // Rule ID 8609 //
     /* 1283581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1283592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1283595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1283598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1283604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1283637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1283655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283659 */     // GIR_Coverage, 8609,
     /* 1283659 */     GIR_EraseRootFromParent_Done,
     /* 1283660 */   // Label 18461: @1283660
     /* 1283660 */   GIM_Try, /*On fail goto*//*Label 18462*/ GIMT_Encode4(1283744), // Rule ID 8612 //
     /* 1283665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283718 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1283721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283743 */     // GIR_Coverage, 8612,
     /* 1283743 */     GIR_EraseRootFromParent_Done,
     /* 1283744 */   // Label 18462: @1283744
     /* 1283744 */   GIM_Try, /*On fail goto*//*Label 18463*/ GIMT_Encode4(1283828), // Rule ID 8613 //
     /* 1283749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1283760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1283763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1283766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1283772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283802 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_MF2_MASK),
     /* 1283805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1283823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283827 */     // GIR_Coverage, 8613,
     /* 1283827 */     GIR_EraseRootFromParent_Done,
     /* 1283828 */   // Label 18463: @1283828
     /* 1283828 */   GIM_Try, /*On fail goto*//*Label 18464*/ GIMT_Encode4(1283912), // Rule ID 8616 //
     /* 1283833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1283836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1283853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1283859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283886 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1283886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1283889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283911 */     // GIR_Coverage, 8616,
     /* 1283911 */     GIR_EraseRootFromParent_Done,
     /* 1283912 */   // Label 18464: @1283912
     /* 1283912 */   GIM_Try, /*On fail goto*//*Label 18465*/ GIMT_Encode4(1283996), // Rule ID 8617 //
     /* 1283917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1283920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1283925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1283928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1283931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1283934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1283937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1283940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1283943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1283955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1283959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1283963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1283970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1283970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1283973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1283975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1283977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1283979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1283981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1283983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1283988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1283991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1283994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1283995 */     // GIR_Coverage, 8617,
     /* 1283995 */     GIR_EraseRootFromParent_Done,
     /* 1283996 */   // Label 18465: @1283996
     /* 1283996 */   GIM_Try, /*On fail goto*//*Label 18466*/ GIMT_Encode4(1284080), // Rule ID 8620 //
     /* 1284001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1284018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284054 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1284057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284079 */     // GIR_Coverage, 8620,
     /* 1284079 */     GIR_EraseRootFromParent_Done,
     /* 1284080 */   // Label 18466: @1284080
     /* 1284080 */   GIM_Try, /*On fail goto*//*Label 18467*/ GIMT_Encode4(1284164), // Rule ID 8621 //
     /* 1284085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1284096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1284099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1284102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1284108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284138 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1284141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1284159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284163 */     // GIR_Coverage, 8621,
     /* 1284163 */     GIR_EraseRootFromParent_Done,
     /* 1284164 */   // Label 18467: @1284164
     /* 1284164 */   GIM_Try, /*On fail goto*//*Label 18468*/ GIMT_Encode4(1284248), // Rule ID 8624 //
     /* 1284169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1284225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284247 */     // GIR_Coverage, 8624,
     /* 1284247 */     GIR_EraseRootFromParent_Done,
     /* 1284248 */   // Label 18468: @1284248
     /* 1284248 */   GIM_Try, /*On fail goto*//*Label 18469*/ GIMT_Encode4(1284332), // Rule ID 8625 //
     /* 1284253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1284264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1284267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1284270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1284276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284306 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1284309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1284327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284331 */     // GIR_Coverage, 8625,
     /* 1284331 */     GIR_EraseRootFromParent_Done,
     /* 1284332 */   // Label 18469: @1284332
     /* 1284332 */   GIM_Try, /*On fail goto*//*Label 18470*/ GIMT_Encode4(1284416), // Rule ID 8628 //
     /* 1284337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1284340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284390 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1284393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284415 */     // GIR_Coverage, 8628,
     /* 1284415 */     GIR_EraseRootFromParent_Done,
     /* 1284416 */   // Label 18470: @1284416
     /* 1284416 */   GIM_Try, /*On fail goto*//*Label 18471*/ GIMT_Encode4(1284500), // Rule ID 8629 //
     /* 1284421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1284424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1284432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1284435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1284438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1284444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284474 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M1_MASK),
     /* 1284477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1284495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284499 */     // GIR_Coverage, 8629,
     /* 1284499 */     GIR_EraseRootFromParent_Done,
     /* 1284500 */   // Label 18471: @1284500
     /* 1284500 */   GIM_Try, /*On fail goto*//*Label 18472*/ GIMT_Encode4(1284584), // Rule ID 8632 //
     /* 1284505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284558 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1284561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284583 */     // GIR_Coverage, 8632,
     /* 1284583 */     GIR_EraseRootFromParent_Done,
     /* 1284584 */   // Label 18472: @1284584
     /* 1284584 */   GIM_Try, /*On fail goto*//*Label 18473*/ GIMT_Encode4(1284668), // Rule ID 8633 //
     /* 1284589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1284600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1284603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1284606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1284612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1284627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284642 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1284645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284667 */     // GIR_Coverage, 8633,
     /* 1284667 */     GIR_EraseRootFromParent_Done,
     /* 1284668 */   // Label 18473: @1284668
     /* 1284668 */   GIM_Try, /*On fail goto*//*Label 18474*/ GIMT_Encode4(1284752), // Rule ID 8636 //
     /* 1284673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284726 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1284729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284751 */     // GIR_Coverage, 8636,
     /* 1284751 */     GIR_EraseRootFromParent_Done,
     /* 1284752 */   // Label 18474: @1284752
     /* 1284752 */   GIM_Try, /*On fail goto*//*Label 18475*/ GIMT_Encode4(1284836), // Rule ID 8637 //
     /* 1284757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1284768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1284771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1284774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1284780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1284795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284810 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1284813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284835 */     // GIR_Coverage, 8637,
     /* 1284835 */     GIR_EraseRootFromParent_Done,
     /* 1284836 */   // Label 18475: @1284836
     /* 1284836 */   GIM_Try, /*On fail goto*//*Label 18476*/ GIMT_Encode4(1284920), // Rule ID 8640 //
     /* 1284841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1284844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1284852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1284861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1284867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284894 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1284894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1284897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1284918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1284919 */     // GIR_Coverage, 8640,
     /* 1284919 */     GIR_EraseRootFromParent_Done,
     /* 1284920 */   // Label 18476: @1284920
     /* 1284920 */   GIM_Try, /*On fail goto*//*Label 18477*/ GIMT_Encode4(1285004), // Rule ID 8641 //
     /* 1284925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1284928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1284933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1284936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1284939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1284942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1284945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1284948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1284951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1284959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1284963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1284967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1284971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1284978 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1284978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1284981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1284983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1284985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1284987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1284989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1284991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1284996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1284999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285003 */     // GIR_Coverage, 8641,
     /* 1285003 */     GIR_EraseRootFromParent_Done,
     /* 1285004 */   // Label 18477: @1285004
     /* 1285004 */   GIM_Try, /*On fail goto*//*Label 18478*/ GIMT_Encode4(1285088), // Rule ID 8644 //
     /* 1285009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1285026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1285065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285087 */     // GIR_Coverage, 8644,
     /* 1285087 */     GIR_EraseRootFromParent_Done,
     /* 1285088 */   // Label 18478: @1285088
     /* 1285088 */   GIM_Try, /*On fail goto*//*Label 18479*/ GIMT_Encode4(1285172), // Rule ID 8645 //
     /* 1285093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1285110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285146 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1285149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285171 */     // GIR_Coverage, 8645,
     /* 1285171 */     GIR_EraseRootFromParent_Done,
     /* 1285172 */   // Label 18479: @1285172
     /* 1285172 */   GIM_Try, /*On fail goto*//*Label 18480*/ GIMT_Encode4(1285256), // Rule ID 8648 //
     /* 1285177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1285233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285255 */     // GIR_Coverage, 8648,
     /* 1285255 */     GIR_EraseRootFromParent_Done,
     /* 1285256 */   // Label 18480: @1285256
     /* 1285256 */   GIM_Try, /*On fail goto*//*Label 18481*/ GIMT_Encode4(1285340), // Rule ID 8649 //
     /* 1285261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1285278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285314 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1285317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285339 */     // GIR_Coverage, 8649,
     /* 1285339 */     GIR_EraseRootFromParent_Done,
     /* 1285340 */   // Label 18481: @1285340
     /* 1285340 */   GIM_Try, /*On fail goto*//*Label 18482*/ GIMT_Encode4(1285424), // Rule ID 8652 //
     /* 1285345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285398 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1285401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285423 */     // GIR_Coverage, 8652,
     /* 1285423 */     GIR_EraseRootFromParent_Done,
     /* 1285424 */   // Label 18482: @1285424
     /* 1285424 */   GIM_Try, /*On fail goto*//*Label 18483*/ GIMT_Encode4(1285508), // Rule ID 8653 //
     /* 1285429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1285440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1285443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1285446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1285452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285482 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1285485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1285503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285507 */     // GIR_Coverage, 8653,
     /* 1285507 */     GIR_EraseRootFromParent_Done,
     /* 1285508 */   // Label 18483: @1285508
     /* 1285508 */   GIM_Try, /*On fail goto*//*Label 18484*/ GIMT_Encode4(1285592), // Rule ID 8656 //
     /* 1285513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1285569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285591 */     // GIR_Coverage, 8656,
     /* 1285591 */     GIR_EraseRootFromParent_Done,
     /* 1285592 */   // Label 18484: @1285592
     /* 1285592 */   GIM_Try, /*On fail goto*//*Label 18485*/ GIMT_Encode4(1285676), // Rule ID 8657 //
     /* 1285597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1285608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1285611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1285614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1285620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1285635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285650 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1285653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285675 */     // GIR_Coverage, 8657,
     /* 1285675 */     GIR_EraseRootFromParent_Done,
     /* 1285676 */   // Label 18485: @1285676
     /* 1285676 */   GIM_Try, /*On fail goto*//*Label 18486*/ GIMT_Encode4(1285760), // Rule ID 8660 //
     /* 1285681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285734 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1285737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285759 */     // GIR_Coverage, 8660,
     /* 1285759 */     GIR_EraseRootFromParent_Done,
     /* 1285760 */   // Label 18486: @1285760
     /* 1285760 */   GIM_Try, /*On fail goto*//*Label 18487*/ GIMT_Encode4(1285844), // Rule ID 8661 //
     /* 1285765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1285776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1285779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1285782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1285788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1285803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1285821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285843 */     // GIR_Coverage, 8661,
     /* 1285843 */     GIR_EraseRootFromParent_Done,
     /* 1285844 */   // Label 18487: @1285844
     /* 1285844 */   GIM_Try, /*On fail goto*//*Label 18488*/ GIMT_Encode4(1285928), // Rule ID 8664 //
     /* 1285849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1285852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1285869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1285875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285902 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1285902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1285905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1285920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1285923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1285926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1285927 */     // GIR_Coverage, 8664,
     /* 1285927 */     GIR_EraseRootFromParent_Done,
     /* 1285928 */   // Label 18488: @1285928
     /* 1285928 */   GIM_Try, /*On fail goto*//*Label 18489*/ GIMT_Encode4(1286012), // Rule ID 8665 //
     /* 1285933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1285936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1285941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1285944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1285947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1285950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1285953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1285956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1285959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1285967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1285971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1285975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1285979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1285986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1285986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1285989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1285991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1285993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1285995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1285997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1285999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1286007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286011 */     // GIR_Coverage, 8665,
     /* 1286011 */     GIR_EraseRootFromParent_Done,
     /* 1286012 */   // Label 18489: @1286012
     /* 1286012 */   GIM_Try, /*On fail goto*//*Label 18490*/ GIMT_Encode4(1286096), // Rule ID 8668 //
     /* 1286017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1286025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1286034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286070 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1286073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286095 */     // GIR_Coverage, 8668,
     /* 1286095 */     GIR_EraseRootFromParent_Done,
     /* 1286096 */   // Label 18490: @1286096
     /* 1286096 */   GIM_Try, /*On fail goto*//*Label 18491*/ GIMT_Encode4(1286180), // Rule ID 8669 //
     /* 1286101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1286109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1286118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1286139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286154 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M2_MASK),
     /* 1286157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286179 */     // GIR_Coverage, 8669,
     /* 1286179 */     GIR_EraseRootFromParent_Done,
     /* 1286180 */   // Label 18491: @1286180
     /* 1286180 */   GIM_Try, /*On fail goto*//*Label 18492*/ GIMT_Encode4(1286264), // Rule ID 8672 //
     /* 1286185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1286193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286238 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1286241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286263 */     // GIR_Coverage, 8672,
     /* 1286263 */     GIR_EraseRootFromParent_Done,
     /* 1286264 */   // Label 18492: @1286264
     /* 1286264 */   GIM_Try, /*On fail goto*//*Label 18493*/ GIMT_Encode4(1286348), // Rule ID 8673 //
     /* 1286269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1286277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1286286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1286307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286322 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M4_MASK),
     /* 1286325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286347 */     // GIR_Coverage, 8673,
     /* 1286347 */     GIR_EraseRootFromParent_Done,
     /* 1286348 */   // Label 18493: @1286348
     /* 1286348 */   GIM_Try, /*On fail goto*//*Label 18494*/ GIMT_Encode4(1286432), // Rule ID 8676 //
     /* 1286353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1286356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1286361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1286373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1286409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286431 */     // GIR_Coverage, 8676,
     /* 1286431 */     GIR_EraseRootFromParent_Done,
     /* 1286432 */   // Label 18494: @1286432
     /* 1286432 */   GIM_Try, /*On fail goto*//*Label 18495*/ GIMT_Encode4(1286516), // Rule ID 8677 //
     /* 1286437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1286440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmslt_mask),
     /* 1286445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1286448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1286451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1286454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1286457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1286460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1286475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1286479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11462:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VX_M8_MASK),
     /* 1286493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1286511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286515 */     // GIR_Coverage, 8677,
     /* 1286515 */     GIR_EraseRootFromParent_Done,
     /* 1286516 */   // Label 18495: @1286516
     /* 1286516 */   GIM_Try, /*On fail goto*//*Label 18496*/ GIMT_Encode4(1286600), // Rule ID 8680 //
     /* 1286521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1286541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286574 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1286577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286599 */     // GIR_Coverage, 8680,
     /* 1286599 */     GIR_EraseRootFromParent_Done,
     /* 1286600 */   // Label 18496: @1286600
     /* 1286600 */   GIM_Try, /*On fail goto*//*Label 18497*/ GIMT_Encode4(1286684), // Rule ID 8681 //
     /* 1286605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1286616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1286619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1286622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1286625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1286628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1286661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286683 */     // GIR_Coverage, 8681,
     /* 1286683 */     GIR_EraseRootFromParent_Done,
     /* 1286684 */   // Label 18497: @1286684
     /* 1286684 */   GIM_Try, /*On fail goto*//*Label 18498*/ GIMT_Encode4(1286768), // Rule ID 8684 //
     /* 1286689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1286709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1286745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286767 */     // GIR_Coverage, 8684,
     /* 1286767 */     GIR_EraseRootFromParent_Done,
     /* 1286768 */   // Label 18498: @1286768
     /* 1286768 */   GIM_Try, /*On fail goto*//*Label 18499*/ GIMT_Encode4(1286852), // Rule ID 8685 //
     /* 1286773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1286784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1286787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1286790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1286793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1286796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286826 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1286829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286851 */     // GIR_Coverage, 8685,
     /* 1286851 */     GIR_EraseRootFromParent_Done,
     /* 1286852 */   // Label 18499: @1286852
     /* 1286852 */   GIM_Try, /*On fail goto*//*Label 18500*/ GIMT_Encode4(1286936), // Rule ID 8688 //
     /* 1286857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1286860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1286877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1286883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286910 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1286910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1286913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1286917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1286919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1286921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1286923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1286928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1286931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1286934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1286935 */     // GIR_Coverage, 8688,
     /* 1286935 */     GIR_EraseRootFromParent_Done,
     /* 1286936 */   // Label 18500: @1286936
     /* 1286936 */   GIM_Try, /*On fail goto*//*Label 18501*/ GIMT_Encode4(1287020), // Rule ID 8689 //
     /* 1286941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1286944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1286949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1286952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1286955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1286958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1286961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1286964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1286967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1286983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1286987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1286994 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1286994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1286997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1286999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287019 */     // GIR_Coverage, 8689,
     /* 1287019 */     GIR_EraseRootFromParent_Done,
     /* 1287020 */   // Label 18501: @1287020
     /* 1287020 */   GIM_Try, /*On fail goto*//*Label 18502*/ GIMT_Encode4(1287104), // Rule ID 8692 //
     /* 1287025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1287045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287078 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1287081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287103 */     // GIR_Coverage, 8692,
     /* 1287103 */     GIR_EraseRootFromParent_Done,
     /* 1287104 */   // Label 18502: @1287104
     /* 1287104 */   GIM_Try, /*On fail goto*//*Label 18503*/ GIMT_Encode4(1287188), // Rule ID 8693 //
     /* 1287109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1287126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1287129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287162 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1287165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287187 */     // GIR_Coverage, 8693,
     /* 1287187 */     GIR_EraseRootFromParent_Done,
     /* 1287188 */   // Label 18503: @1287188
     /* 1287188 */   GIM_Try, /*On fail goto*//*Label 18504*/ GIMT_Encode4(1287272), // Rule ID 8696 //
     /* 1287193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1287213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287246 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1287249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287271 */     // GIR_Coverage, 8696,
     /* 1287271 */     GIR_EraseRootFromParent_Done,
     /* 1287272 */   // Label 18504: @1287272
     /* 1287272 */   GIM_Try, /*On fail goto*//*Label 18505*/ GIMT_Encode4(1287356), // Rule ID 8697 //
     /* 1287277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1287294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1287297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287330 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1287333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287355 */     // GIR_Coverage, 8697,
     /* 1287355 */     GIR_EraseRootFromParent_Done,
     /* 1287356 */   // Label 18505: @1287356
     /* 1287356 */   GIM_Try, /*On fail goto*//*Label 18506*/ GIMT_Encode4(1287440), // Rule ID 8700 //
     /* 1287361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1287381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1287417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287439 */     // GIR_Coverage, 8700,
     /* 1287439 */     GIR_EraseRootFromParent_Done,
     /* 1287440 */   // Label 18506: @1287440
     /* 1287440 */   GIM_Try, /*On fail goto*//*Label 18507*/ GIMT_Encode4(1287524), // Rule ID 8701 //
     /* 1287445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1287456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1287459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1287462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1287465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1287468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1287501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287523 */     // GIR_Coverage, 8701,
     /* 1287523 */     GIR_EraseRootFromParent_Done,
     /* 1287524 */   // Label 18507: @1287524
     /* 1287524 */   GIM_Try, /*On fail goto*//*Label 18508*/ GIMT_Encode4(1287608), // Rule ID 8704 //
     /* 1287529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1287549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1287585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287607 */     // GIR_Coverage, 8704,
     /* 1287607 */     GIR_EraseRootFromParent_Done,
     /* 1287608 */   // Label 18508: @1287608
     /* 1287608 */   GIM_Try, /*On fail goto*//*Label 18509*/ GIMT_Encode4(1287692), // Rule ID 8705 //
     /* 1287613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1287624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1287627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1287630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1287633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1287636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287666 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1287669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1287687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287691 */     // GIR_Coverage, 8705,
     /* 1287691 */     GIR_EraseRootFromParent_Done,
     /* 1287692 */   // Label 18509: @1287692
     /* 1287692 */   GIM_Try, /*On fail goto*//*Label 18510*/ GIMT_Encode4(1287776), // Rule ID 8708 //
     /* 1287697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287750 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1287753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287775 */     // GIR_Coverage, 8708,
     /* 1287775 */     GIR_EraseRootFromParent_Done,
     /* 1287776 */   // Label 18510: @1287776
     /* 1287776 */   GIM_Try, /*On fail goto*//*Label 18511*/ GIMT_Encode4(1287860), // Rule ID 8709 //
     /* 1287781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1287792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1287795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1287798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1287801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1287804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287834 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1287834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1287837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1287855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287859 */     // GIR_Coverage, 8709,
     /* 1287859 */     GIR_EraseRootFromParent_Done,
     /* 1287860 */   // Label 18511: @1287860
     /* 1287860 */   GIM_Try, /*On fail goto*//*Label 18512*/ GIMT_Encode4(1287944), // Rule ID 8712 //
     /* 1287865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1287868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1287885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1287891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1287918 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1287918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1287921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1287923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1287925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1287927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1287929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1287931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1287936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1287939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1287942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1287943 */     // GIR_Coverage, 8712,
     /* 1287943 */     GIR_EraseRootFromParent_Done,
     /* 1287944 */   // Label 18512: @1287944
     /* 1287944 */   GIM_Try, /*On fail goto*//*Label 18513*/ GIMT_Encode4(1288028), // Rule ID 8713 //
     /* 1287949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1287952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1287957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1287960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1287963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1287966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1287969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1287972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1287975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1287991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1287995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288002 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1288005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1288023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288027 */     // GIR_Coverage, 8713,
     /* 1288027 */     GIR_EraseRootFromParent_Done,
     /* 1288028 */   // Label 18513: @1288028
     /* 1288028 */   GIM_Try, /*On fail goto*//*Label 18514*/ GIMT_Encode4(1288112), // Rule ID 8716 //
     /* 1288033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1288036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1288089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288111 */     // GIR_Coverage, 8716,
     /* 1288111 */     GIR_EraseRootFromParent_Done,
     /* 1288112 */   // Label 18514: @1288112
     /* 1288112 */   GIM_Try, /*On fail goto*//*Label 18515*/ GIMT_Encode4(1288196), // Rule ID 8717 //
     /* 1288117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1288120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1288128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1288131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1288134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1288137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1288140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288170 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1288173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1288191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288195 */     // GIR_Coverage, 8717,
     /* 1288195 */     GIR_EraseRootFromParent_Done,
     /* 1288196 */   // Label 18515: @1288196
     /* 1288196 */   GIM_Try, /*On fail goto*//*Label 18516*/ GIMT_Encode4(1288280), // Rule ID 8720 //
     /* 1288201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1288221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288254 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1288257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288279 */     // GIR_Coverage, 8720,
     /* 1288279 */     GIR_EraseRootFromParent_Done,
     /* 1288280 */   // Label 18516: @1288280
     /* 1288280 */   GIM_Try, /*On fail goto*//*Label 18517*/ GIMT_Encode4(1288364), // Rule ID 8721 //
     /* 1288285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1288302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1288305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288338 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1288341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288363 */     // GIR_Coverage, 8721,
     /* 1288363 */     GIR_EraseRootFromParent_Done,
     /* 1288364 */   // Label 18517: @1288364
     /* 1288364 */   GIM_Try, /*On fail goto*//*Label 18518*/ GIMT_Encode4(1288448), // Rule ID 8724 //
     /* 1288369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1288389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288422 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1288425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288447 */     // GIR_Coverage, 8724,
     /* 1288447 */     GIR_EraseRootFromParent_Done,
     /* 1288448 */   // Label 18518: @1288448
     /* 1288448 */   GIM_Try, /*On fail goto*//*Label 18519*/ GIMT_Encode4(1288532), // Rule ID 8725 //
     /* 1288453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1288464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1288467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1288470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1288473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1288476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288506 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1288509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288531 */     // GIR_Coverage, 8725,
     /* 1288531 */     GIR_EraseRootFromParent_Done,
     /* 1288532 */   // Label 18519: @1288532
     /* 1288532 */   GIM_Try, /*On fail goto*//*Label 18520*/ GIMT_Encode4(1288616), // Rule ID 8728 //
     /* 1288537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1288557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288590 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1288593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288615 */     // GIR_Coverage, 8728,
     /* 1288615 */     GIR_EraseRootFromParent_Done,
     /* 1288616 */   // Label 18520: @1288616
     /* 1288616 */   GIM_Try, /*On fail goto*//*Label 18521*/ GIMT_Encode4(1288700), // Rule ID 8729 //
     /* 1288621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1288632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1288635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1288638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1288641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1288644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1288663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288674 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1288677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1288695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288699 */     // GIR_Coverage, 8729,
     /* 1288699 */     GIR_EraseRootFromParent_Done,
     /* 1288700 */   // Label 18521: @1288700
     /* 1288700 */   GIM_Try, /*On fail goto*//*Label 18522*/ GIMT_Encode4(1288784), // Rule ID 8732 //
     /* 1288705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1288725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288758 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1288761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288783 */     // GIR_Coverage, 8732,
     /* 1288783 */     GIR_EraseRootFromParent_Done,
     /* 1288784 */   // Label 18522: @1288784
     /* 1288784 */   GIM_Try, /*On fail goto*//*Label 18523*/ GIMT_Encode4(1288868), // Rule ID 8733 //
     /* 1288789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1288800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1288803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1288806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1288809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1288812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1288831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288842 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1288842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1288845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288867 */     // GIR_Coverage, 8733,
     /* 1288867 */     GIR_EraseRootFromParent_Done,
     /* 1288868 */   // Label 18523: @1288868
     /* 1288868 */   GIM_Try, /*On fail goto*//*Label 18524*/ GIMT_Encode4(1288952), // Rule ID 8736 //
     /* 1288873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1288876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1288893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1288899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1288919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1288926 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1288926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1288929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1288931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1288933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1288935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1288937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1288939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1288944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1288947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1288950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1288951 */     // GIR_Coverage, 8736,
     /* 1288951 */     GIR_EraseRootFromParent_Done,
     /* 1288952 */   // Label 18524: @1288952
     /* 1288952 */   GIM_Try, /*On fail goto*//*Label 18525*/ GIMT_Encode4(1289036), // Rule ID 8737 //
     /* 1288957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1288960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1288965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1288968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1288971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1288974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1288977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1288980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1288983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1288991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1288999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289010 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1289013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289035 */     // GIR_Coverage, 8737,
     /* 1289035 */     GIR_EraseRootFromParent_Done,
     /* 1289036 */   // Label 18525: @1289036
     /* 1289036 */   GIM_Try, /*On fail goto*//*Label 18526*/ GIMT_Encode4(1289120), // Rule ID 8740 //
     /* 1289041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1289061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289094 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1289097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289119 */     // GIR_Coverage, 8740,
     /* 1289119 */     GIR_EraseRootFromParent_Done,
     /* 1289120 */   // Label 18526: @1289120
     /* 1289120 */   GIM_Try, /*On fail goto*//*Label 18527*/ GIMT_Encode4(1289204), // Rule ID 8741 //
     /* 1289125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1289136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1289139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1289142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1289145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1289148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289178 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1289181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1289199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289203 */     // GIR_Coverage, 8741,
     /* 1289203 */     GIR_EraseRootFromParent_Done,
     /* 1289204 */   // Label 18527: @1289204
     /* 1289204 */   GIM_Try, /*On fail goto*//*Label 18528*/ GIMT_Encode4(1289288), // Rule ID 8744 //
     /* 1289209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1289229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289262 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1289265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289287 */     // GIR_Coverage, 8744,
     /* 1289287 */     GIR_EraseRootFromParent_Done,
     /* 1289288 */   // Label 18528: @1289288
     /* 1289288 */   GIM_Try, /*On fail goto*//*Label 18529*/ GIMT_Encode4(1289372), // Rule ID 8745 //
     /* 1289293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1289310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1289313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289346 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1289349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289371 */     // GIR_Coverage, 8745,
     /* 1289371 */     GIR_EraseRootFromParent_Done,
     /* 1289372 */   // Label 18529: @1289372
     /* 1289372 */   GIM_Try, /*On fail goto*//*Label 18530*/ GIMT_Encode4(1289456), // Rule ID 8748 //
     /* 1289377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1289397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289430 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1289433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289455 */     // GIR_Coverage, 8748,
     /* 1289455 */     GIR_EraseRootFromParent_Done,
     /* 1289456 */   // Label 18530: @1289456
     /* 1289456 */   GIM_Try, /*On fail goto*//*Label 18531*/ GIMT_Encode4(1289540), // Rule ID 8749 //
     /* 1289461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1289472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1289475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1289478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1289481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1289484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289514 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1289517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289539 */     // GIR_Coverage, 8749,
     /* 1289539 */     GIR_EraseRootFromParent_Done,
     /* 1289540 */   // Label 18531: @1289540
     /* 1289540 */   GIM_Try, /*On fail goto*//*Label 18532*/ GIMT_Encode4(1289624), // Rule ID 8752 //
     /* 1289545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1289548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1289565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289598 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1289601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289623 */     // GIR_Coverage, 8752,
     /* 1289623 */     GIR_EraseRootFromParent_Done,
     /* 1289624 */   // Label 18532: @1289624
     /* 1289624 */   GIM_Try, /*On fail goto*//*Label 18533*/ GIMT_Encode4(1289708), // Rule ID 8753 //
     /* 1289629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1289632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1289640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1289643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1289646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1289649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1289652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1289671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289682 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1289685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1289703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289707 */     // GIR_Coverage, 8753,
     /* 1289707 */     GIR_EraseRootFromParent_Done,
     /* 1289708 */   // Label 18533: @1289708
     /* 1289708 */   GIM_Try, /*On fail goto*//*Label 18534*/ GIMT_Encode4(1289792), // Rule ID 8756 //
     /* 1289713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1289733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289766 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1289769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289791 */     // GIR_Coverage, 8756,
     /* 1289791 */     GIR_EraseRootFromParent_Done,
     /* 1289792 */   // Label 18534: @1289792
     /* 1289792 */   GIM_Try, /*On fail goto*//*Label 18535*/ GIMT_Encode4(1289876), // Rule ID 8757 //
     /* 1289797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1289808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1289811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1289814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1289817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1289820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1289839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1289850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1289853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289875 */     // GIR_Coverage, 8757,
     /* 1289875 */     GIR_EraseRootFromParent_Done,
     /* 1289876 */   // Label 18535: @1289876
     /* 1289876 */   GIM_Try, /*On fail goto*//*Label 18536*/ GIMT_Encode4(1289960), // Rule ID 8760 //
     /* 1289881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1289884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1289901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1289907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1289923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1289927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1289934 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1289934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1289937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1289939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1289941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1289943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1289945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1289947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1289952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1289955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1289958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1289959 */     // GIR_Coverage, 8760,
     /* 1289959 */     GIR_EraseRootFromParent_Done,
     /* 1289960 */   // Label 18536: @1289960
     /* 1289960 */   GIM_Try, /*On fail goto*//*Label 18537*/ GIMT_Encode4(1290044), // Rule ID 8761 //
     /* 1289965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1289968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1289973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1289976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1289979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1289982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1289985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1289988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1289991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1289999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1290007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290018 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1290021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290043 */     // GIR_Coverage, 8761,
     /* 1290043 */     GIR_EraseRootFromParent_Done,
     /* 1290044 */   // Label 18537: @1290044
     /* 1290044 */   GIM_Try, /*On fail goto*//*Label 18538*/ GIMT_Encode4(1290128), // Rule ID 8764 //
     /* 1290049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1290052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1290069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1290105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290127 */     // GIR_Coverage, 8764,
     /* 1290127 */     GIR_EraseRootFromParent_Done,
     /* 1290128 */   // Label 18538: @1290128
     /* 1290128 */   GIM_Try, /*On fail goto*//*Label 18539*/ GIMT_Encode4(1290212), // Rule ID 8765 //
     /* 1290133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1290136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1290144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1290147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1290150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1290153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1290156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1290175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1290189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1290207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290211 */     // GIR_Coverage, 8765,
     /* 1290211 */     GIR_EraseRootFromParent_Done,
     /* 1290212 */   // Label 18539: @1290212
     /* 1290212 */   GIM_Try, /*On fail goto*//*Label 18540*/ GIMT_Encode4(1290296), // Rule ID 8768 //
     /* 1290217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290270 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1290273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290295 */     // GIR_Coverage, 8768,
     /* 1290295 */     GIR_EraseRootFromParent_Done,
     /* 1290296 */   // Label 18540: @1290296
     /* 1290296 */   GIM_Try, /*On fail goto*//*Label 18541*/ GIMT_Encode4(1290380), // Rule ID 8769 //
     /* 1290301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1290318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290354 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF8_MASK),
     /* 1290357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290379 */     // GIR_Coverage, 8769,
     /* 1290379 */     GIR_EraseRootFromParent_Done,
     /* 1290380 */   // Label 18541: @1290380
     /* 1290380 */   GIM_Try, /*On fail goto*//*Label 18542*/ GIMT_Encode4(1290464), // Rule ID 8772 //
     /* 1290385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290438 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1290441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290463 */     // GIR_Coverage, 8772,
     /* 1290463 */     GIR_EraseRootFromParent_Done,
     /* 1290464 */   // Label 18542: @1290464
     /* 1290464 */   GIM_Try, /*On fail goto*//*Label 18543*/ GIMT_Encode4(1290548), // Rule ID 8773 //
     /* 1290469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1290486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290522 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1290525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290547 */     // GIR_Coverage, 8773,
     /* 1290547 */     GIR_EraseRootFromParent_Done,
     /* 1290548 */   // Label 18543: @1290548
     /* 1290548 */   GIM_Try, /*On fail goto*//*Label 18544*/ GIMT_Encode4(1290632), // Rule ID 8776 //
     /* 1290553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290606 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1290609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290631 */     // GIR_Coverage, 8776,
     /* 1290631 */     GIR_EraseRootFromParent_Done,
     /* 1290632 */   // Label 18544: @1290632
     /* 1290632 */   GIM_Try, /*On fail goto*//*Label 18545*/ GIMT_Encode4(1290716), // Rule ID 8777 //
     /* 1290637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1290648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1290651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1290654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1290660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290690 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1290693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1290711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290715 */     // GIR_Coverage, 8777,
     /* 1290715 */     GIR_EraseRootFromParent_Done,
     /* 1290716 */   // Label 18545: @1290716
     /* 1290716 */   GIM_Try, /*On fail goto*//*Label 18546*/ GIMT_Encode4(1290800), // Rule ID 8780 //
     /* 1290721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290774 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1290777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290799 */     // GIR_Coverage, 8780,
     /* 1290799 */     GIR_EraseRootFromParent_Done,
     /* 1290800 */   // Label 18546: @1290800
     /* 1290800 */   GIM_Try, /*On fail goto*//*Label 18547*/ GIMT_Encode4(1290884), // Rule ID 8781 //
     /* 1290805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1290816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1290819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1290822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1290828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290858 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1290858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF4_MASK),
     /* 1290861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290883 */     // GIR_Coverage, 8781,
     /* 1290883 */     GIR_EraseRootFromParent_Done,
     /* 1290884 */   // Label 18547: @1290884
     /* 1290884 */   GIM_Try, /*On fail goto*//*Label 18548*/ GIMT_Encode4(1290968), // Rule ID 8784 //
     /* 1290889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1290892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1290909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1290915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1290927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1290931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1290935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1290942 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1290942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1290945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1290947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1290949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1290951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1290953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1290955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1290960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1290963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1290966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1290967 */     // GIR_Coverage, 8784,
     /* 1290967 */     GIR_EraseRootFromParent_Done,
     /* 1290968 */   // Label 18548: @1290968
     /* 1290968 */   GIM_Try, /*On fail goto*//*Label 18549*/ GIMT_Encode4(1291052), // Rule ID 8785 //
     /* 1290973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1290976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1290981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1290984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1290987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1290990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1290993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1290996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1290999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291026 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1291029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291051 */     // GIR_Coverage, 8785,
     /* 1291051 */     GIR_EraseRootFromParent_Done,
     /* 1291052 */   // Label 18549: @1291052
     /* 1291052 */   GIM_Try, /*On fail goto*//*Label 18550*/ GIMT_Encode4(1291136), // Rule ID 8788 //
     /* 1291057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291110 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1291113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291135 */     // GIR_Coverage, 8788,
     /* 1291135 */     GIR_EraseRootFromParent_Done,
     /* 1291136 */   // Label 18550: @1291136
     /* 1291136 */   GIM_Try, /*On fail goto*//*Label 18551*/ GIMT_Encode4(1291220), // Rule ID 8789 //
     /* 1291141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1291158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291194 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_MF2_MASK),
     /* 1291197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291219 */     // GIR_Coverage, 8789,
     /* 1291219 */     GIR_EraseRootFromParent_Done,
     /* 1291220 */   // Label 18551: @1291220
     /* 1291220 */   GIM_Try, /*On fail goto*//*Label 18552*/ GIMT_Encode4(1291304), // Rule ID 8792 //
     /* 1291225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291278 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1291281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291303 */     // GIR_Coverage, 8792,
     /* 1291303 */     GIR_EraseRootFromParent_Done,
     /* 1291304 */   // Label 18552: @1291304
     /* 1291304 */   GIM_Try, /*On fail goto*//*Label 18553*/ GIMT_Encode4(1291388), // Rule ID 8793 //
     /* 1291309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1291320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1291323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1291326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1291332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291362 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1291365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291387 */     // GIR_Coverage, 8793,
     /* 1291387 */     GIR_EraseRootFromParent_Done,
     /* 1291388 */   // Label 18553: @1291388
     /* 1291388 */   GIM_Try, /*On fail goto*//*Label 18554*/ GIMT_Encode4(1291472), // Rule ID 8796 //
     /* 1291393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291446 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1291449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291471 */     // GIR_Coverage, 8796,
     /* 1291471 */     GIR_EraseRootFromParent_Done,
     /* 1291472 */   // Label 18554: @1291472
     /* 1291472 */   GIM_Try, /*On fail goto*//*Label 18555*/ GIMT_Encode4(1291556), // Rule ID 8797 //
     /* 1291477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1291488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1291491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1291494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1291500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291530 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1291533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1291551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291555 */     // GIR_Coverage, 8797,
     /* 1291555 */     GIR_EraseRootFromParent_Done,
     /* 1291556 */   // Label 18555: @1291556
     /* 1291556 */   GIM_Try, /*On fail goto*//*Label 18556*/ GIMT_Encode4(1291640), // Rule ID 8800 //
     /* 1291561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291614 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1291617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291639 */     // GIR_Coverage, 8800,
     /* 1291639 */     GIR_EraseRootFromParent_Done,
     /* 1291640 */   // Label 18556: @1291640
     /* 1291640 */   GIM_Try, /*On fail goto*//*Label 18557*/ GIMT_Encode4(1291724), // Rule ID 8801 //
     /* 1291645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1291656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1291659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1291662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1291668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291698 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1291701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1291719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291723 */     // GIR_Coverage, 8801,
     /* 1291723 */     GIR_EraseRootFromParent_Done,
     /* 1291724 */   // Label 18557: @1291724
     /* 1291724 */   GIM_Try, /*On fail goto*//*Label 18558*/ GIMT_Encode4(1291808), // Rule ID 8804 //
     /* 1291729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1291732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1291785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291807 */     // GIR_Coverage, 8804,
     /* 1291807 */     GIR_EraseRootFromParent_Done,
     /* 1291808 */   // Label 18558: @1291808
     /* 1291808 */   GIM_Try, /*On fail goto*//*Label 18559*/ GIMT_Encode4(1291892), // Rule ID 8805 //
     /* 1291813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1291816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1291824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1291827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1291830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1291833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1291836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1291839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291866 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1291866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M1_MASK),
     /* 1291869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1291887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291891 */     // GIR_Coverage, 8805,
     /* 1291891 */     GIR_EraseRootFromParent_Done,
     /* 1291892 */   // Label 18559: @1291892
     /* 1291892 */   GIM_Try, /*On fail goto*//*Label 18560*/ GIMT_Encode4(1291976), // Rule ID 8808 //
     /* 1291897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1291900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1291917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1291920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1291923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1291931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1291935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1291939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1291943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1291950 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1291950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1291953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1291955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1291957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1291959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1291961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1291963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1291968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1291971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1291974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1291975 */     // GIR_Coverage, 8808,
     /* 1291975 */     GIR_EraseRootFromParent_Done,
     /* 1291976 */   // Label 18560: @1291976
     /* 1291976 */   GIM_Try, /*On fail goto*//*Label 18561*/ GIMT_Encode4(1292060), // Rule ID 8809 //
     /* 1291981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1291984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1291989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1291992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1291995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1291998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292034 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1292037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292059 */     // GIR_Coverage, 8809,
     /* 1292059 */     GIR_EraseRootFromParent_Done,
     /* 1292060 */   // Label 18561: @1292060
     /* 1292060 */   GIM_Try, /*On fail goto*//*Label 18562*/ GIMT_Encode4(1292144), // Rule ID 8812 //
     /* 1292065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1292082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292118 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1292121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292143 */     // GIR_Coverage, 8812,
     /* 1292143 */     GIR_EraseRootFromParent_Done,
     /* 1292144 */   // Label 18562: @1292144
     /* 1292144 */   GIM_Try, /*On fail goto*//*Label 18563*/ GIMT_Encode4(1292228), // Rule ID 8813 //
     /* 1292149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1292166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292202 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1292205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292227 */     // GIR_Coverage, 8813,
     /* 1292227 */     GIR_EraseRootFromParent_Done,
     /* 1292228 */   // Label 18563: @1292228
     /* 1292228 */   GIM_Try, /*On fail goto*//*Label 18564*/ GIMT_Encode4(1292312), // Rule ID 8816 //
     /* 1292233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292286 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1292289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292311 */     // GIR_Coverage, 8816,
     /* 1292311 */     GIR_EraseRootFromParent_Done,
     /* 1292312 */   // Label 18564: @1292312
     /* 1292312 */   GIM_Try, /*On fail goto*//*Label 18565*/ GIMT_Encode4(1292396), // Rule ID 8817 //
     /* 1292317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1292328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1292331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1292334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1292340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292370 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1292373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1292391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292395 */     // GIR_Coverage, 8817,
     /* 1292395 */     GIR_EraseRootFromParent_Done,
     /* 1292396 */   // Label 18565: @1292396
     /* 1292396 */   GIM_Try, /*On fail goto*//*Label 18566*/ GIMT_Encode4(1292480), // Rule ID 8820 //
     /* 1292401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292454 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1292457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292479 */     // GIR_Coverage, 8820,
     /* 1292479 */     GIR_EraseRootFromParent_Done,
     /* 1292480 */   // Label 18566: @1292480
     /* 1292480 */   GIM_Try, /*On fail goto*//*Label 18567*/ GIMT_Encode4(1292564), // Rule ID 8821 //
     /* 1292485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1292496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1292499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1292502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1292508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292538 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1292541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292563 */     // GIR_Coverage, 8821,
     /* 1292563 */     GIR_EraseRootFromParent_Done,
     /* 1292564 */   // Label 18567: @1292564
     /* 1292564 */   GIM_Try, /*On fail goto*//*Label 18568*/ GIMT_Encode4(1292648), // Rule ID 8824 //
     /* 1292569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292622 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1292625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292647 */     // GIR_Coverage, 8824,
     /* 1292647 */     GIR_EraseRootFromParent_Done,
     /* 1292648 */   // Label 18568: @1292648
     /* 1292648 */   GIM_Try, /*On fail goto*//*Label 18569*/ GIMT_Encode4(1292732), // Rule ID 8825 //
     /* 1292653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1292664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1292667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1292670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1292676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1292691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292706 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1292709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292731 */     // GIR_Coverage, 8825,
     /* 1292731 */     GIR_EraseRootFromParent_Done,
     /* 1292732 */   // Label 18569: @1292732
     /* 1292732 */   GIM_Try, /*On fail goto*//*Label 18570*/ GIMT_Encode4(1292816), // Rule ID 8828 //
     /* 1292737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292790 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1292793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292815 */     // GIR_Coverage, 8828,
     /* 1292815 */     GIR_EraseRootFromParent_Done,
     /* 1292816 */   // Label 18570: @1292816
     /* 1292816 */   GIM_Try, /*On fail goto*//*Label 18571*/ GIMT_Encode4(1292900), // Rule ID 8829 //
     /* 1292821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1292832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1292835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1292838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1292841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1292844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1292847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1292859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292874 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1292874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1292877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1292895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292899 */     // GIR_Coverage, 8829,
     /* 1292899 */     GIR_EraseRootFromParent_Done,
     /* 1292900 */   // Label 18571: @1292900
     /* 1292900 */   GIM_Try, /*On fail goto*//*Label 18572*/ GIMT_Encode4(1292984), // Rule ID 8832 //
     /* 1292905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1292908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1292916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1292919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1292922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1292925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1292928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1292931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1292939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1292943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1292947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1292951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1292958 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1292958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1292961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1292963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1292965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1292967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1292969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1292971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1292976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1292979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1292982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1292983 */     // GIR_Coverage, 8832,
     /* 1292983 */     GIR_EraseRootFromParent_Done,
     /* 1292984 */   // Label 18572: @1292984
     /* 1292984 */   GIM_Try, /*On fail goto*//*Label 18573*/ GIMT_Encode4(1293068), // Rule ID 8833 //
     /* 1292989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1292992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1292997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1293006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293042 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1293045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293067 */     // GIR_Coverage, 8833,
     /* 1293067 */     GIR_EraseRootFromParent_Done,
     /* 1293068 */   // Label 18573: @1293068
     /* 1293068 */   GIM_Try, /*On fail goto*//*Label 18574*/ GIMT_Encode4(1293152), // Rule ID 8836 //
     /* 1293073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293126 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1293129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293151 */     // GIR_Coverage, 8836,
     /* 1293151 */     GIR_EraseRootFromParent_Done,
     /* 1293152 */   // Label 18574: @1293152
     /* 1293152 */   GIM_Try, /*On fail goto*//*Label 18575*/ GIMT_Encode4(1293236), // Rule ID 8837 //
     /* 1293157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1293174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293210 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1293213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293235 */     // GIR_Coverage, 8837,
     /* 1293235 */     GIR_EraseRootFromParent_Done,
     /* 1293236 */   // Label 18575: @1293236
     /* 1293236 */   GIM_Try, /*On fail goto*//*Label 18576*/ GIMT_Encode4(1293320), // Rule ID 8840 //
     /* 1293241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293294 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1293297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293319 */     // GIR_Coverage, 8840,
     /* 1293319 */     GIR_EraseRootFromParent_Done,
     /* 1293320 */   // Label 18576: @1293320
     /* 1293320 */   GIM_Try, /*On fail goto*//*Label 18577*/ GIMT_Encode4(1293404), // Rule ID 8841 //
     /* 1293325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1293328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1293336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1293339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1293342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1293348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293378 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1293381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1293399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293403 */     // GIR_Coverage, 8841,
     /* 1293403 */     GIR_EraseRootFromParent_Done,
     /* 1293404 */   // Label 18577: @1293404
     /* 1293404 */   GIM_Try, /*On fail goto*//*Label 18578*/ GIMT_Encode4(1293488), // Rule ID 8844 //
     /* 1293409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293462 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1293465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293487 */     // GIR_Coverage, 8844,
     /* 1293487 */     GIR_EraseRootFromParent_Done,
     /* 1293488 */   // Label 18578: @1293488
     /* 1293488 */   GIM_Try, /*On fail goto*//*Label 18579*/ GIMT_Encode4(1293572), // Rule ID 8845 //
     /* 1293493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1293504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1293507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1293510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1293516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1293531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293546 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M2_MASK),
     /* 1293549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293571 */     // GIR_Coverage, 8845,
     /* 1293571 */     GIR_EraseRootFromParent_Done,
     /* 1293572 */   // Label 18579: @1293572
     /* 1293572 */   GIM_Try, /*On fail goto*//*Label 18580*/ GIMT_Encode4(1293656), // Rule ID 8848 //
     /* 1293577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293630 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1293633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293655 */     // GIR_Coverage, 8848,
     /* 1293655 */     GIR_EraseRootFromParent_Done,
     /* 1293656 */   // Label 18580: @1293656
     /* 1293656 */   GIM_Try, /*On fail goto*//*Label 18581*/ GIMT_Encode4(1293740), // Rule ID 8849 //
     /* 1293661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1293672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1293675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1293678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1293684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1293699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293714 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M4_MASK),
     /* 1293717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293739 */     // GIR_Coverage, 8849,
     /* 1293739 */     GIR_EraseRootFromParent_Done,
     /* 1293740 */   // Label 18581: @1293740
     /* 1293740 */   GIM_Try, /*On fail goto*//*Label 18582*/ GIMT_Encode4(1293824), // Rule ID 8852 //
     /* 1293745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1293748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1293765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293798 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1293801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293823 */     // GIR_Coverage, 8852,
     /* 1293823 */     GIR_EraseRootFromParent_Done,
     /* 1293824 */   // Label 18582: @1293824
     /* 1293824 */   GIM_Try, /*On fail goto*//*Label 18583*/ GIMT_Encode4(1293908), // Rule ID 8853 //
     /* 1293829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1293832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsleu_mask),
     /* 1293837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1293840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1293843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1293846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1293849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1293852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1293855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1293867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1293871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293882 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11460:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1293882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VX_M8_MASK),
     /* 1293885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1293903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293907 */     // GIR_Coverage, 8853,
     /* 1293907 */     GIR_EraseRootFromParent_Done,
     /* 1293908 */   // Label 18583: @1293908
     /* 1293908 */   GIM_Try, /*On fail goto*//*Label 18584*/ GIMT_Encode4(1293992), // Rule ID 8944 //
     /* 1293913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1293916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1293921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1293924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1293927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1293930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1293933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1293936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1293939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1293955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1293959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1293966 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1293966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1293969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1293971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1293973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1293975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1293977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1293979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1293984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1293987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1293990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1293991 */     // GIR_Coverage, 8944,
     /* 1293991 */     GIR_EraseRootFromParent_Done,
     /* 1293992 */   // Label 18584: @1293992
     /* 1293992 */   GIM_Try, /*On fail goto*//*Label 18585*/ GIMT_Encode4(1294076), // Rule ID 8945 //
     /* 1293997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1294014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1294017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294050 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1294053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294075 */     // GIR_Coverage, 8945,
     /* 1294075 */     GIR_EraseRootFromParent_Done,
     /* 1294076 */   // Label 18585: @1294076
     /* 1294076 */   GIM_Try, /*On fail goto*//*Label 18586*/ GIMT_Encode4(1294160), // Rule ID 8948 //
     /* 1294081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1294098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1294101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294134 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1294137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294159 */     // GIR_Coverage, 8948,
     /* 1294159 */     GIR_EraseRootFromParent_Done,
     /* 1294160 */   // Label 18586: @1294160
     /* 1294160 */   GIM_Try, /*On fail goto*//*Label 18587*/ GIMT_Encode4(1294244), // Rule ID 8949 //
     /* 1294165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1294182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1294185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294218 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1294221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294243 */     // GIR_Coverage, 8949,
     /* 1294243 */     GIR_EraseRootFromParent_Done,
     /* 1294244 */   // Label 18587: @1294244
     /* 1294244 */   GIM_Try, /*On fail goto*//*Label 18588*/ GIMT_Encode4(1294328), // Rule ID 8952 //
     /* 1294249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1294269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294302 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1294305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294327 */     // GIR_Coverage, 8952,
     /* 1294327 */     GIR_EraseRootFromParent_Done,
     /* 1294328 */   // Label 18588: @1294328
     /* 1294328 */   GIM_Try, /*On fail goto*//*Label 18589*/ GIMT_Encode4(1294412), // Rule ID 8953 //
     /* 1294333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1294344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1294347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1294350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1294353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1294356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294386 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1294389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294411 */     // GIR_Coverage, 8953,
     /* 1294411 */     GIR_EraseRootFromParent_Done,
     /* 1294412 */   // Label 18589: @1294412
     /* 1294412 */   GIM_Try, /*On fail goto*//*Label 18590*/ GIMT_Encode4(1294496), // Rule ID 8956 //
     /* 1294417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1294437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294470 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1294473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294495 */     // GIR_Coverage, 8956,
     /* 1294495 */     GIR_EraseRootFromParent_Done,
     /* 1294496 */   // Label 18590: @1294496
     /* 1294496 */   GIM_Try, /*On fail goto*//*Label 18591*/ GIMT_Encode4(1294580), // Rule ID 8957 //
     /* 1294501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1294518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1294521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1294557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294579 */     // GIR_Coverage, 8957,
     /* 1294579 */     GIR_EraseRootFromParent_Done,
     /* 1294580 */   // Label 18591: @1294580
     /* 1294580 */   GIM_Try, /*On fail goto*//*Label 18592*/ GIMT_Encode4(1294664), // Rule ID 8960 //
     /* 1294585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1294605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294638 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1294641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294663 */     // GIR_Coverage, 8960,
     /* 1294663 */     GIR_EraseRootFromParent_Done,
     /* 1294664 */   // Label 18592: @1294664
     /* 1294664 */   GIM_Try, /*On fail goto*//*Label 18593*/ GIMT_Encode4(1294748), // Rule ID 8961 //
     /* 1294669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1294680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1294683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1294686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1294689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1294692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294722 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1294725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1294743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294747 */     // GIR_Coverage, 8961,
     /* 1294747 */     GIR_EraseRootFromParent_Done,
     /* 1294748 */   // Label 18593: @1294748
     /* 1294748 */   GIM_Try, /*On fail goto*//*Label 18594*/ GIMT_Encode4(1294832), // Rule ID 8964 //
     /* 1294753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1294773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294806 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1294809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294831 */     // GIR_Coverage, 8964,
     /* 1294831 */     GIR_EraseRootFromParent_Done,
     /* 1294832 */   // Label 18594: @1294832
     /* 1294832 */   GIM_Try, /*On fail goto*//*Label 18595*/ GIMT_Encode4(1294916), // Rule ID 8965 //
     /* 1294837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1294840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1294848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1294851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1294854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1294857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1294860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1294863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294890 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1294890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1294893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1294911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294915 */     // GIR_Coverage, 8965,
     /* 1294915 */     GIR_EraseRootFromParent_Done,
     /* 1294916 */   // Label 18595: @1294916
     /* 1294916 */   GIM_Try, /*On fail goto*//*Label 18596*/ GIMT_Encode4(1295000), // Rule ID 8968 //
     /* 1294921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1294924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1294929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1294932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1294935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1294938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1294941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1294944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1294947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1294963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1294967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1294974 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1294974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1294977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1294979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1294981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1294983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1294985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1294987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1294992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1294995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1294998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1294999 */     // GIR_Coverage, 8968,
     /* 1294999 */     GIR_EraseRootFromParent_Done,
     /* 1295000 */   // Label 18596: @1295000
     /* 1295000 */   GIM_Try, /*On fail goto*//*Label 18597*/ GIMT_Encode4(1295084), // Rule ID 8969 //
     /* 1295005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1295016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1295019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1295022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1295025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1295028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295058 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1295061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295083 */     // GIR_Coverage, 8969,
     /* 1295083 */     GIR_EraseRootFromParent_Done,
     /* 1295084 */   // Label 18597: @1295084
     /* 1295084 */   GIM_Try, /*On fail goto*//*Label 18598*/ GIMT_Encode4(1295168), // Rule ID 8972 //
     /* 1295089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295142 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1295145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295167 */     // GIR_Coverage, 8972,
     /* 1295167 */     GIR_EraseRootFromParent_Done,
     /* 1295168 */   // Label 18598: @1295168
     /* 1295168 */   GIM_Try, /*On fail goto*//*Label 18599*/ GIMT_Encode4(1295252), // Rule ID 8973 //
     /* 1295173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1295184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1295187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1295190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1295193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1295196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295226 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1295229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1295247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295251 */     // GIR_Coverage, 8973,
     /* 1295251 */     GIR_EraseRootFromParent_Done,
     /* 1295252 */   // Label 18599: @1295252
     /* 1295252 */   GIM_Try, /*On fail goto*//*Label 18600*/ GIMT_Encode4(1295336), // Rule ID 8976 //
     /* 1295257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1295277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295310 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1295313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295335 */     // GIR_Coverage, 8976,
     /* 1295335 */     GIR_EraseRootFromParent_Done,
     /* 1295336 */   // Label 18600: @1295336
     /* 1295336 */   GIM_Try, /*On fail goto*//*Label 18601*/ GIMT_Encode4(1295420), // Rule ID 8977 //
     /* 1295341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1295352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1295355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1295358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1295361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1295364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295394 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1295397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1295415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295419 */     // GIR_Coverage, 8977,
     /* 1295419 */     GIR_EraseRootFromParent_Done,
     /* 1295420 */   // Label 18601: @1295420
     /* 1295420 */   GIM_Try, /*On fail goto*//*Label 18602*/ GIMT_Encode4(1295504), // Rule ID 8980 //
     /* 1295425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1295428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1295445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1295481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295503 */     // GIR_Coverage, 8980,
     /* 1295503 */     GIR_EraseRootFromParent_Done,
     /* 1295504 */   // Label 18602: @1295504
     /* 1295504 */   GIM_Try, /*On fail goto*//*Label 18603*/ GIMT_Encode4(1295588), // Rule ID 8981 //
     /* 1295509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1295512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1295520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1295523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1295526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1295529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1295532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295562 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1295565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1295583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295587 */     // GIR_Coverage, 8981,
     /* 1295587 */     GIR_EraseRootFromParent_Done,
     /* 1295588 */   // Label 18603: @1295588
     /* 1295588 */   GIM_Try, /*On fail goto*//*Label 18604*/ GIMT_Encode4(1295672), // Rule ID 8984 //
     /* 1295593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1295613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295646 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1295649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295671 */     // GIR_Coverage, 8984,
     /* 1295671 */     GIR_EraseRootFromParent_Done,
     /* 1295672 */   // Label 18604: @1295672
     /* 1295672 */   GIM_Try, /*On fail goto*//*Label 18605*/ GIMT_Encode4(1295756), // Rule ID 8985 //
     /* 1295677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1295688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1295691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1295694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1295697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1295700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1295719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295730 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1295733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295755 */     // GIR_Coverage, 8985,
     /* 1295755 */     GIR_EraseRootFromParent_Done,
     /* 1295756 */   // Label 18605: @1295756
     /* 1295756 */   GIM_Try, /*On fail goto*//*Label 18606*/ GIMT_Encode4(1295840), // Rule ID 8988 //
     /* 1295761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1295781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295814 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1295817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295839 */     // GIR_Coverage, 8988,
     /* 1295839 */     GIR_EraseRootFromParent_Done,
     /* 1295840 */   // Label 18606: @1295840
     /* 1295840 */   GIM_Try, /*On fail goto*//*Label 18607*/ GIMT_Encode4(1295924), // Rule ID 8989 //
     /* 1295845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1295848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1295856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1295859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1295862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1295865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1295868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1295871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1295887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295898 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1295898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1295901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1295916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1295919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1295922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1295923 */     // GIR_Coverage, 8989,
     /* 1295923 */     GIR_EraseRootFromParent_Done,
     /* 1295924 */   // Label 18607: @1295924
     /* 1295924 */   GIM_Try, /*On fail goto*//*Label 18608*/ GIMT_Encode4(1296008), // Rule ID 8992 //
     /* 1295929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1295932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1295937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1295940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1295943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1295946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1295949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1295952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1295955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1295963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1295971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1295975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1295982 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1295982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1295985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1295987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1295989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1295991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1295993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1295995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296007 */     // GIR_Coverage, 8992,
     /* 1296007 */     GIR_EraseRootFromParent_Done,
     /* 1296008 */   // Label 18608: @1296008
     /* 1296008 */   GIM_Try, /*On fail goto*//*Label 18609*/ GIMT_Encode4(1296092), // Rule ID 8993 //
     /* 1296013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1296024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1296027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1296030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1296033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1296036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296066 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1296069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1296087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296091 */     // GIR_Coverage, 8993,
     /* 1296091 */     GIR_EraseRootFromParent_Done,
     /* 1296092 */   // Label 18609: @1296092
     /* 1296092 */   GIM_Try, /*On fail goto*//*Label 18610*/ GIMT_Encode4(1296176), // Rule ID 8996 //
     /* 1296097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1296114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1296117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296150 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1296153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296175 */     // GIR_Coverage, 8996,
     /* 1296175 */     GIR_EraseRootFromParent_Done,
     /* 1296176 */   // Label 18610: @1296176
     /* 1296176 */   GIM_Try, /*On fail goto*//*Label 18611*/ GIMT_Encode4(1296260), // Rule ID 8997 //
     /* 1296181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1296198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1296201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296234 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1296237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296259 */     // GIR_Coverage, 8997,
     /* 1296259 */     GIR_EraseRootFromParent_Done,
     /* 1296260 */   // Label 18611: @1296260
     /* 1296260 */   GIM_Try, /*On fail goto*//*Label 18612*/ GIMT_Encode4(1296344), // Rule ID 9000 //
     /* 1296265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1296285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296318 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1296321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296343 */     // GIR_Coverage, 9000,
     /* 1296343 */     GIR_EraseRootFromParent_Done,
     /* 1296344 */   // Label 18612: @1296344
     /* 1296344 */   GIM_Try, /*On fail goto*//*Label 18613*/ GIMT_Encode4(1296428), // Rule ID 9001 //
     /* 1296349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1296366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1296369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296402 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1296405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296427 */     // GIR_Coverage, 9001,
     /* 1296427 */     GIR_EraseRootFromParent_Done,
     /* 1296428 */   // Label 18613: @1296428
     /* 1296428 */   GIM_Try, /*On fail goto*//*Label 18614*/ GIMT_Encode4(1296512), // Rule ID 9004 //
     /* 1296433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1296453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296486 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1296489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296511 */     // GIR_Coverage, 9004,
     /* 1296511 */     GIR_EraseRootFromParent_Done,
     /* 1296512 */   // Label 18614: @1296512
     /* 1296512 */   GIM_Try, /*On fail goto*//*Label 18615*/ GIMT_Encode4(1296596), // Rule ID 9005 //
     /* 1296517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1296528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1296531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1296534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1296537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1296540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296570 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1296573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1296591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296595 */     // GIR_Coverage, 9005,
     /* 1296595 */     GIR_EraseRootFromParent_Done,
     /* 1296596 */   // Label 18615: @1296596
     /* 1296596 */   GIM_Try, /*On fail goto*//*Label 18616*/ GIMT_Encode4(1296680), // Rule ID 9008 //
     /* 1296601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1296621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296654 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1296657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296679 */     // GIR_Coverage, 9008,
     /* 1296679 */     GIR_EraseRootFromParent_Done,
     /* 1296680 */   // Label 18616: @1296680
     /* 1296680 */   GIM_Try, /*On fail goto*//*Label 18617*/ GIMT_Encode4(1296764), // Rule ID 9009 //
     /* 1296685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1296696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1296699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1296702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1296705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1296708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1296727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296738 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1296741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296763 */     // GIR_Coverage, 9009,
     /* 1296763 */     GIR_EraseRootFromParent_Done,
     /* 1296764 */   // Label 18617: @1296764
     /* 1296764 */   GIM_Try, /*On fail goto*//*Label 18618*/ GIMT_Encode4(1296848), // Rule ID 9012 //
     /* 1296769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1296789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296822 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1296825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296847 */     // GIR_Coverage, 9012,
     /* 1296847 */     GIR_EraseRootFromParent_Done,
     /* 1296848 */   // Label 18618: @1296848
     /* 1296848 */   GIM_Try, /*On fail goto*//*Label 18619*/ GIMT_Encode4(1296932), // Rule ID 9013 //
     /* 1296853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1296856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1296864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1296867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1296870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1296873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1296876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1296879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1296895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296906 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1296906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1296909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1296917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1296919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1296924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1296927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1296930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1296931 */     // GIR_Coverage, 9013,
     /* 1296931 */     GIR_EraseRootFromParent_Done,
     /* 1296932 */   // Label 18619: @1296932
     /* 1296932 */   GIM_Try, /*On fail goto*//*Label 18620*/ GIMT_Encode4(1297016), // Rule ID 9016 //
     /* 1296937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1296940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1296945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1296948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1296951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1296954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1296957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1296960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1296963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1296971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1296979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1296983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1296990 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1296990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1296993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1296995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1296997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1296999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297015 */     // GIR_Coverage, 9016,
     /* 1297015 */     GIR_EraseRootFromParent_Done,
     /* 1297016 */   // Label 18620: @1297016
     /* 1297016 */   GIM_Try, /*On fail goto*//*Label 18621*/ GIMT_Encode4(1297100), // Rule ID 9017 //
     /* 1297021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1297032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1297035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1297038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1297041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1297044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297074 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1297077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1297095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297099 */     // GIR_Coverage, 9017,
     /* 1297099 */     GIR_EraseRootFromParent_Done,
     /* 1297100 */   // Label 18621: @1297100
     /* 1297100 */   GIM_Try, /*On fail goto*//*Label 18622*/ GIMT_Encode4(1297184), // Rule ID 9020 //
     /* 1297105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1297122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1297125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297158 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1297161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297183 */     // GIR_Coverage, 9020,
     /* 1297183 */     GIR_EraseRootFromParent_Done,
     /* 1297184 */   // Label 18622: @1297184
     /* 1297184 */   GIM_Try, /*On fail goto*//*Label 18623*/ GIMT_Encode4(1297268), // Rule ID 9021 //
     /* 1297189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1297206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1297209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1297231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297242 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1297245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297267 */     // GIR_Coverage, 9021,
     /* 1297267 */     GIR_EraseRootFromParent_Done,
     /* 1297268 */   // Label 18623: @1297268
     /* 1297268 */   GIM_Try, /*On fail goto*//*Label 18624*/ GIMT_Encode4(1297352), // Rule ID 9024 //
     /* 1297273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1297293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297326 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1297329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297351 */     // GIR_Coverage, 9024,
     /* 1297351 */     GIR_EraseRootFromParent_Done,
     /* 1297352 */   // Label 18624: @1297352
     /* 1297352 */   GIM_Try, /*On fail goto*//*Label 18625*/ GIMT_Encode4(1297436), // Rule ID 9025 //
     /* 1297357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1297374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1297377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1297399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297410 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1297413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297435 */     // GIR_Coverage, 9025,
     /* 1297435 */     GIR_EraseRootFromParent_Done,
     /* 1297436 */   // Label 18625: @1297436
     /* 1297436 */   GIM_Try, /*On fail goto*//*Label 18626*/ GIMT_Encode4(1297520), // Rule ID 9028 //
     /* 1297441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1297444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1297461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297494 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1297497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297519 */     // GIR_Coverage, 9028,
     /* 1297519 */     GIR_EraseRootFromParent_Done,
     /* 1297520 */   // Label 18626: @1297520
     /* 1297520 */   GIM_Try, /*On fail goto*//*Label 18627*/ GIMT_Encode4(1297604), // Rule ID 9029 //
     /* 1297525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1297528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1297536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1297539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1297542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1297545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1297548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1297567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297578 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1297581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1297599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297603 */     // GIR_Coverage, 9029,
     /* 1297603 */     GIR_EraseRootFromParent_Done,
     /* 1297604 */   // Label 18627: @1297604
     /* 1297604 */   GIM_Try, /*On fail goto*//*Label 18628*/ GIMT_Encode4(1297688), // Rule ID 9032 //
     /* 1297609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1297626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297662 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1297665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297687 */     // GIR_Coverage, 9032,
     /* 1297687 */     GIR_EraseRootFromParent_Done,
     /* 1297688 */   // Label 18628: @1297688
     /* 1297688 */   GIM_Try, /*On fail goto*//*Label 18629*/ GIMT_Encode4(1297772), // Rule ID 9033 //
     /* 1297693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1297704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1297707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1297710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1297716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297746 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF8_MASK),
     /* 1297749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297771 */     // GIR_Coverage, 9033,
     /* 1297771 */     GIR_EraseRootFromParent_Done,
     /* 1297772 */   // Label 18629: @1297772
     /* 1297772 */   GIM_Try, /*On fail goto*//*Label 18630*/ GIMT_Encode4(1297856), // Rule ID 9036 //
     /* 1297777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297830 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1297833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297855 */     // GIR_Coverage, 9036,
     /* 1297855 */     GIR_EraseRootFromParent_Done,
     /* 1297856 */   // Label 18630: @1297856
     /* 1297856 */   GIM_Try, /*On fail goto*//*Label 18631*/ GIMT_Encode4(1297940), // Rule ID 9037 //
     /* 1297861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1297864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1297872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1297875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1297878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1297881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1297884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1297887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297914 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1297914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1297917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1297919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1297921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1297923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1297925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1297927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1297932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1297935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1297938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1297939 */     // GIR_Coverage, 9037,
     /* 1297939 */     GIR_EraseRootFromParent_Done,
     /* 1297940 */   // Label 18631: @1297940
     /* 1297940 */   GIM_Try, /*On fail goto*//*Label 18632*/ GIMT_Encode4(1298024), // Rule ID 9040 //
     /* 1297945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1297948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1297953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1297956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1297959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1297962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1297965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1297968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1297971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1297983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1297987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1297991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1297998 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1297998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1298001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298023 */     // GIR_Coverage, 9040,
     /* 1298023 */     GIR_EraseRootFromParent_Done,
     /* 1298024 */   // Label 18632: @1298024
     /* 1298024 */   GIM_Try, /*On fail goto*//*Label 18633*/ GIMT_Encode4(1298108), // Rule ID 9041 //
     /* 1298029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1298046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298082 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1298085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298107 */     // GIR_Coverage, 9041,
     /* 1298107 */     GIR_EraseRootFromParent_Done,
     /* 1298108 */   // Label 18633: @1298108
     /* 1298108 */   GIM_Try, /*On fail goto*//*Label 18634*/ GIMT_Encode4(1298192), // Rule ID 9044 //
     /* 1298113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1298130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298166 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1298169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298191 */     // GIR_Coverage, 9044,
     /* 1298191 */     GIR_EraseRootFromParent_Done,
     /* 1298192 */   // Label 18634: @1298192
     /* 1298192 */   GIM_Try, /*On fail goto*//*Label 18635*/ GIMT_Encode4(1298276), // Rule ID 9045 //
     /* 1298197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1298214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298250 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF4_MASK),
     /* 1298253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298275 */     // GIR_Coverage, 9045,
     /* 1298275 */     GIR_EraseRootFromParent_Done,
     /* 1298276 */   // Label 18635: @1298276
     /* 1298276 */   GIM_Try, /*On fail goto*//*Label 18636*/ GIMT_Encode4(1298360), // Rule ID 9048 //
     /* 1298281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1298298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298334 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1298337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298359 */     // GIR_Coverage, 9048,
     /* 1298359 */     GIR_EraseRootFromParent_Done,
     /* 1298360 */   // Label 18636: @1298360
     /* 1298360 */   GIM_Try, /*On fail goto*//*Label 18637*/ GIMT_Encode4(1298444), // Rule ID 9049 //
     /* 1298365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1298382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298418 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1298421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298443 */     // GIR_Coverage, 9049,
     /* 1298443 */     GIR_EraseRootFromParent_Done,
     /* 1298444 */   // Label 18637: @1298444
     /* 1298444 */   GIM_Try, /*On fail goto*//*Label 18638*/ GIMT_Encode4(1298528), // Rule ID 9052 //
     /* 1298449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298502 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1298505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298527 */     // GIR_Coverage, 9052,
     /* 1298527 */     GIR_EraseRootFromParent_Done,
     /* 1298528 */   // Label 18638: @1298528
     /* 1298528 */   GIM_Try, /*On fail goto*//*Label 18639*/ GIMT_Encode4(1298612), // Rule ID 9053 //
     /* 1298533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1298544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1298547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1298550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1298556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298586 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_MF2_MASK),
     /* 1298589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1298607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298611 */     // GIR_Coverage, 9053,
     /* 1298611 */     GIR_EraseRootFromParent_Done,
     /* 1298612 */   // Label 18639: @1298612
     /* 1298612 */   GIM_Try, /*On fail goto*//*Label 18640*/ GIMT_Encode4(1298696), // Rule ID 9056 //
     /* 1298617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298670 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1298673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298695 */     // GIR_Coverage, 9056,
     /* 1298695 */     GIR_EraseRootFromParent_Done,
     /* 1298696 */   // Label 18640: @1298696
     /* 1298696 */   GIM_Try, /*On fail goto*//*Label 18641*/ GIMT_Encode4(1298780), // Rule ID 9057 //
     /* 1298701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1298712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1298715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1298718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1298724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298754 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1298757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1298775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298779 */     // GIR_Coverage, 9057,
     /* 1298779 */     GIR_EraseRootFromParent_Done,
     /* 1298780 */   // Label 18641: @1298780
     /* 1298780 */   GIM_Try, /*On fail goto*//*Label 18642*/ GIMT_Encode4(1298864), // Rule ID 9060 //
     /* 1298785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298838 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1298838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1298841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298863 */     // GIR_Coverage, 9060,
     /* 1298863 */     GIR_EraseRootFromParent_Done,
     /* 1298864 */   // Label 18642: @1298864
     /* 1298864 */   GIM_Try, /*On fail goto*//*Label 18643*/ GIMT_Encode4(1298948), // Rule ID 9061 //
     /* 1298869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1298872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1298880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1298883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1298886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1298889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1298892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1298895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1298922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1298922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1298925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1298927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1298929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1298931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1298933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1298935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1298940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1298943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1298946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1298947 */     // GIR_Coverage, 9061,
     /* 1298947 */     GIR_EraseRootFromParent_Done,
     /* 1298948 */   // Label 18643: @1298948
     /* 1298948 */   GIM_Try, /*On fail goto*//*Label 18644*/ GIMT_Encode4(1299032), // Rule ID 9064 //
     /* 1298953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1298956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1298961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1298964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1298967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1298970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1298973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1298976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1298979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1298991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1298995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1298999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299006 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1299009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299031 */     // GIR_Coverage, 9064,
     /* 1299031 */     GIR_EraseRootFromParent_Done,
     /* 1299032 */   // Label 18644: @1299032
     /* 1299032 */   GIM_Try, /*On fail goto*//*Label 18645*/ GIMT_Encode4(1299116), // Rule ID 9065 //
     /* 1299037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1299048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1299051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1299054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1299060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299090 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1299093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1299111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299115 */     // GIR_Coverage, 9065,
     /* 1299115 */     GIR_EraseRootFromParent_Done,
     /* 1299116 */   // Label 18645: @1299116
     /* 1299116 */   GIM_Try, /*On fail goto*//*Label 18646*/ GIMT_Encode4(1299200), // Rule ID 9068 //
     /* 1299121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1299124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1299138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1299177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299199 */     // GIR_Coverage, 9068,
     /* 1299199 */     GIR_EraseRootFromParent_Done,
     /* 1299200 */   // Label 18646: @1299200
     /* 1299200 */   GIM_Try, /*On fail goto*//*Label 18647*/ GIMT_Encode4(1299284), // Rule ID 9069 //
     /* 1299205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1299208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1299216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1299219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1299222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1299228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M1_MASK),
     /* 1299261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1299279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299283 */     // GIR_Coverage, 9069,
     /* 1299283 */     GIR_EraseRootFromParent_Done,
     /* 1299284 */   // Label 18647: @1299284
     /* 1299284 */   GIM_Try, /*On fail goto*//*Label 18648*/ GIMT_Encode4(1299368), // Rule ID 9072 //
     /* 1299289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1299306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299342 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1299345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299367 */     // GIR_Coverage, 9072,
     /* 1299367 */     GIR_EraseRootFromParent_Done,
     /* 1299368 */   // Label 18648: @1299368
     /* 1299368 */   GIM_Try, /*On fail goto*//*Label 18649*/ GIMT_Encode4(1299452), // Rule ID 9073 //
     /* 1299373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1299390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299426 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1299429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299451 */     // GIR_Coverage, 9073,
     /* 1299451 */     GIR_EraseRootFromParent_Done,
     /* 1299452 */   // Label 18649: @1299452
     /* 1299452 */   GIM_Try, /*On fail goto*//*Label 18650*/ GIMT_Encode4(1299536), // Rule ID 9076 //
     /* 1299457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299510 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1299513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299535 */     // GIR_Coverage, 9076,
     /* 1299535 */     GIR_EraseRootFromParent_Done,
     /* 1299536 */   // Label 18650: @1299536
     /* 1299536 */   GIM_Try, /*On fail goto*//*Label 18651*/ GIMT_Encode4(1299620), // Rule ID 9077 //
     /* 1299541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1299552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1299555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1299558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1299564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299594 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1299597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299619 */     // GIR_Coverage, 9077,
     /* 1299619 */     GIR_EraseRootFromParent_Done,
     /* 1299620 */   // Label 18651: @1299620
     /* 1299620 */   GIM_Try, /*On fail goto*//*Label 18652*/ GIMT_Encode4(1299704), // Rule ID 9080 //
     /* 1299625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299678 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1299681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299703 */     // GIR_Coverage, 9080,
     /* 1299703 */     GIR_EraseRootFromParent_Done,
     /* 1299704 */   // Label 18652: @1299704
     /* 1299704 */   GIM_Try, /*On fail goto*//*Label 18653*/ GIMT_Encode4(1299788), // Rule ID 9081 //
     /* 1299709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1299720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1299723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1299726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1299732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1299747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299762 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1299765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1299783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299787 */     // GIR_Coverage, 9081,
     /* 1299787 */     GIR_EraseRootFromParent_Done,
     /* 1299788 */   // Label 18653: @1299788
     /* 1299788 */   GIM_Try, /*On fail goto*//*Label 18654*/ GIMT_Encode4(1299872), // Rule ID 9084 //
     /* 1299793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299846 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1299846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1299849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299871 */     // GIR_Coverage, 9084,
     /* 1299871 */     GIR_EraseRootFromParent_Done,
     /* 1299872 */   // Label 18654: @1299872
     /* 1299872 */   GIM_Try, /*On fail goto*//*Label 18655*/ GIMT_Encode4(1299956), // Rule ID 9085 //
     /* 1299877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1299880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1299888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1299891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1299894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1299897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1299900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1299903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1299915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1299919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1299923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1299930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1299930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1299933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1299935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1299937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1299939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1299941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1299943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1299948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1299951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1299954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1299955 */     // GIR_Coverage, 9085,
     /* 1299955 */     GIR_EraseRootFromParent_Done,
     /* 1299956 */   // Label 18655: @1299956
     /* 1299956 */   GIM_Try, /*On fail goto*//*Label 18656*/ GIMT_Encode4(1300040), // Rule ID 9088 //
     /* 1299961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1299964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1299969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1299972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1299975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1299978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1299981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1299984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1299987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1299995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1299999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300014 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1300017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300039 */     // GIR_Coverage, 9088,
     /* 1300039 */     GIR_EraseRootFromParent_Done,
     /* 1300040 */   // Label 18656: @1300040
     /* 1300040 */   GIM_Try, /*On fail goto*//*Label 18657*/ GIMT_Encode4(1300124), // Rule ID 9089 //
     /* 1300045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1300062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300098 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1300101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300123 */     // GIR_Coverage, 9089,
     /* 1300123 */     GIR_EraseRootFromParent_Done,
     /* 1300124 */   // Label 18657: @1300124
     /* 1300124 */   GIM_Try, /*On fail goto*//*Label 18658*/ GIMT_Encode4(1300208), // Rule ID 9092 //
     /* 1300129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1300146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300182 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1300185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300207 */     // GIR_Coverage, 9092,
     /* 1300207 */     GIR_EraseRootFromParent_Done,
     /* 1300208 */   // Label 18658: @1300208
     /* 1300208 */   GIM_Try, /*On fail goto*//*Label 18659*/ GIMT_Encode4(1300292), // Rule ID 9093 //
     /* 1300213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1300224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1300227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1300230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1300236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300266 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1300269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1300287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300291 */     // GIR_Coverage, 9093,
     /* 1300291 */     GIR_EraseRootFromParent_Done,
     /* 1300292 */   // Label 18659: @1300292
     /* 1300292 */   GIM_Try, /*On fail goto*//*Label 18660*/ GIMT_Encode4(1300376), // Rule ID 9096 //
     /* 1300297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1300314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300350 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1300353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300375 */     // GIR_Coverage, 9096,
     /* 1300375 */     GIR_EraseRootFromParent_Done,
     /* 1300376 */   // Label 18660: @1300376
     /* 1300376 */   GIM_Try, /*On fail goto*//*Label 18661*/ GIMT_Encode4(1300460), // Rule ID 9097 //
     /* 1300381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1300398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300434 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1300437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300459 */     // GIR_Coverage, 9097,
     /* 1300459 */     GIR_EraseRootFromParent_Done,
     /* 1300460 */   // Label 18661: @1300460
     /* 1300460 */   GIM_Try, /*On fail goto*//*Label 18662*/ GIMT_Encode4(1300544), // Rule ID 9100 //
     /* 1300465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300518 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1300521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300543 */     // GIR_Coverage, 9100,
     /* 1300543 */     GIR_EraseRootFromParent_Done,
     /* 1300544 */   // Label 18662: @1300544
     /* 1300544 */   GIM_Try, /*On fail goto*//*Label 18663*/ GIMT_Encode4(1300628), // Rule ID 9101 //
     /* 1300549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1300560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1300563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1300566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1300572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1300587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300602 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1300605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300627 */     // GIR_Coverage, 9101,
     /* 1300627 */     GIR_EraseRootFromParent_Done,
     /* 1300628 */   // Label 18663: @1300628
     /* 1300628 */   GIM_Try, /*On fail goto*//*Label 18664*/ GIMT_Encode4(1300712), // Rule ID 9104 //
     /* 1300633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1300636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300686 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1300689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300711 */     // GIR_Coverage, 9104,
     /* 1300711 */     GIR_EraseRootFromParent_Done,
     /* 1300712 */   // Label 18664: @1300712
     /* 1300712 */   GIM_Try, /*On fail goto*//*Label 18665*/ GIMT_Encode4(1300796), // Rule ID 9105 //
     /* 1300717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1300720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1300728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1300731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1300734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1300740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1300755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300770 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1300773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1300791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300795 */     // GIR_Coverage, 9105,
     /* 1300795 */     GIR_EraseRootFromParent_Done,
     /* 1300796 */   // Label 18665: @1300796
     /* 1300796 */   GIM_Try, /*On fail goto*//*Label 18666*/ GIMT_Encode4(1300880), // Rule ID 9108 //
     /* 1300801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300854 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1300854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1300857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300879 */     // GIR_Coverage, 9108,
     /* 1300879 */     GIR_EraseRootFromParent_Done,
     /* 1300880 */   // Label 18666: @1300880
     /* 1300880 */   GIM_Try, /*On fail goto*//*Label 18667*/ GIMT_Encode4(1300964), // Rule ID 9109 //
     /* 1300885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1300888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1300896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1300899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1300902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1300905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1300908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1300911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1300923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1300927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1300931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1300938 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1300938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M2_MASK),
     /* 1300941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1300943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1300945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1300947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1300949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1300951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1300956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1300959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1300962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1300963 */     // GIR_Coverage, 9109,
     /* 1300963 */     GIR_EraseRootFromParent_Done,
     /* 1300964 */   // Label 18667: @1300964
     /* 1300964 */   GIM_Try, /*On fail goto*//*Label 18668*/ GIMT_Encode4(1301048), // Rule ID 9112 //
     /* 1300969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1300972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1300977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1300980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1300983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1300986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1300989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1300992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1300995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1300999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301022 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1301025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301047 */     // GIR_Coverage, 9112,
     /* 1301047 */     GIR_EraseRootFromParent_Done,
     /* 1301048 */   // Label 18668: @1301048
     /* 1301048 */   GIM_Try, /*On fail goto*//*Label 18669*/ GIMT_Encode4(1301132), // Rule ID 9113 //
     /* 1301053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1301061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1301070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1301091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301106 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M4_MASK),
     /* 1301109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301131 */     // GIR_Coverage, 9113,
     /* 1301131 */     GIR_EraseRootFromParent_Done,
     /* 1301132 */   // Label 18669: @1301132
     /* 1301132 */   GIM_Try, /*On fail goto*//*Label 18670*/ GIMT_Encode4(1301216), // Rule ID 9116 //
     /* 1301137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1301140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1301145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1301154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301190 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1301193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301215 */     // GIR_Coverage, 9116,
     /* 1301215 */     GIR_EraseRootFromParent_Done,
     /* 1301216 */   // Label 18670: @1301216
     /* 1301216 */   GIM_Try, /*On fail goto*//*Label 18671*/ GIMT_Encode4(1301300), // Rule ID 9117 //
     /* 1301221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1301224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsle_mask),
     /* 1301229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1301232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1301235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1301238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1301244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1301259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301274 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11458:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VX_M8_MASK),
     /* 1301277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1301295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301299 */     // GIR_Coverage, 9117,
     /* 1301299 */     GIR_EraseRootFromParent_Done,
     /* 1301300 */   // Label 18671: @1301300
     /* 1301300 */   GIM_Try, /*On fail goto*//*Label 18672*/ GIMT_Encode4(1301384), // Rule ID 9208 //
     /* 1301305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1301322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301358 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1301361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301383 */     // GIR_Coverage, 9208,
     /* 1301383 */     GIR_EraseRootFromParent_Done,
     /* 1301384 */   // Label 18672: @1301384
     /* 1301384 */   GIM_Try, /*On fail goto*//*Label 18673*/ GIMT_Encode4(1301468), // Rule ID 9209 //
     /* 1301389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1301406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301442 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF8_MASK),
     /* 1301445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301467 */     // GIR_Coverage, 9209,
     /* 1301467 */     GIR_EraseRootFromParent_Done,
     /* 1301468 */   // Label 18673: @1301468
     /* 1301468 */   GIM_Try, /*On fail goto*//*Label 18674*/ GIMT_Encode4(1301552), // Rule ID 9212 //
     /* 1301473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301526 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1301529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301551 */     // GIR_Coverage, 9212,
     /* 1301551 */     GIR_EraseRootFromParent_Done,
     /* 1301552 */   // Label 18674: @1301552
     /* 1301552 */   GIM_Try, /*On fail goto*//*Label 18675*/ GIMT_Encode4(1301636), // Rule ID 9213 //
     /* 1301557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1301574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1301580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301610 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1301613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301635 */     // GIR_Coverage, 9213,
     /* 1301635 */     GIR_EraseRootFromParent_Done,
     /* 1301636 */   // Label 18675: @1301636
     /* 1301636 */   GIM_Try, /*On fail goto*//*Label 18676*/ GIMT_Encode4(1301720), // Rule ID 9216 //
     /* 1301641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301694 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1301697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301719 */     // GIR_Coverage, 9216,
     /* 1301719 */     GIR_EraseRootFromParent_Done,
     /* 1301720 */   // Label 18676: @1301720
     /* 1301720 */   GIM_Try, /*On fail goto*//*Label 18677*/ GIMT_Encode4(1301804), // Rule ID 9217 //
     /* 1301725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1301736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1301739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1301742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1301748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301778 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1301781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1301799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301803 */     // GIR_Coverage, 9217,
     /* 1301803 */     GIR_EraseRootFromParent_Done,
     /* 1301804 */   // Label 18677: @1301804
     /* 1301804 */   GIM_Try, /*On fail goto*//*Label 18678*/ GIMT_Encode4(1301888), // Rule ID 9220 //
     /* 1301809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1301835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301862 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1301862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1301865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301887 */     // GIR_Coverage, 9220,
     /* 1301887 */     GIR_EraseRootFromParent_Done,
     /* 1301888 */   // Label 18678: @1301888
     /* 1301888 */   GIM_Try, /*On fail goto*//*Label 18679*/ GIMT_Encode4(1301972), // Rule ID 9221 //
     /* 1301893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1301896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1301904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1301907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1301910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1301913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1301916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1301919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1301931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1301935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1301939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1301946 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1301946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF4_MASK),
     /* 1301949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1301951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1301953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1301955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1301957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1301959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1301964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1301967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1301970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1301971 */     // GIR_Coverage, 9221,
     /* 1301971 */     GIR_EraseRootFromParent_Done,
     /* 1301972 */   // Label 18679: @1301972
     /* 1301972 */   GIM_Try, /*On fail goto*//*Label 18680*/ GIMT_Encode4(1302056), // Rule ID 9224 //
     /* 1301977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1301980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1301985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1301988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1301991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1301994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1301997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302030 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1302033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302055 */     // GIR_Coverage, 9224,
     /* 1302055 */     GIR_EraseRootFromParent_Done,
     /* 1302056 */   // Label 18680: @1302056
     /* 1302056 */   GIM_Try, /*On fail goto*//*Label 18681*/ GIMT_Encode4(1302140), // Rule ID 9225 //
     /* 1302061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1302078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302114 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1302117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302139 */     // GIR_Coverage, 9225,
     /* 1302139 */     GIR_EraseRootFromParent_Done,
     /* 1302140 */   // Label 18681: @1302140
     /* 1302140 */   GIM_Try, /*On fail goto*//*Label 18682*/ GIMT_Encode4(1302224), // Rule ID 9228 //
     /* 1302145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1302162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302198 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1302201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302223 */     // GIR_Coverage, 9228,
     /* 1302223 */     GIR_EraseRootFromParent_Done,
     /* 1302224 */   // Label 18682: @1302224
     /* 1302224 */   GIM_Try, /*On fail goto*//*Label 18683*/ GIMT_Encode4(1302308), // Rule ID 9229 //
     /* 1302229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1302246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302282 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_MF2_MASK),
     /* 1302285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302307 */     // GIR_Coverage, 9229,
     /* 1302307 */     GIR_EraseRootFromParent_Done,
     /* 1302308 */   // Label 18683: @1302308
     /* 1302308 */   GIM_Try, /*On fail goto*//*Label 18684*/ GIMT_Encode4(1302392), // Rule ID 9232 //
     /* 1302313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302366 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1302369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302391 */     // GIR_Coverage, 9232,
     /* 1302391 */     GIR_EraseRootFromParent_Done,
     /* 1302392 */   // Label 18684: @1302392
     /* 1302392 */   GIM_Try, /*On fail goto*//*Label 18685*/ GIMT_Encode4(1302476), // Rule ID 9233 //
     /* 1302397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1302408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1302411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1302414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1302420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302450 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1302453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1302471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302475 */     // GIR_Coverage, 9233,
     /* 1302475 */     GIR_EraseRootFromParent_Done,
     /* 1302476 */   // Label 18685: @1302476
     /* 1302476 */   GIM_Try, /*On fail goto*//*Label 18686*/ GIMT_Encode4(1302560), // Rule ID 9236 //
     /* 1302481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302534 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1302537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302559 */     // GIR_Coverage, 9236,
     /* 1302559 */     GIR_EraseRootFromParent_Done,
     /* 1302560 */   // Label 18686: @1302560
     /* 1302560 */   GIM_Try, /*On fail goto*//*Label 18687*/ GIMT_Encode4(1302644), // Rule ID 9237 //
     /* 1302565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1302576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1302579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1302582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1302588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302618 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1302621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1302639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302643 */     // GIR_Coverage, 9237,
     /* 1302643 */     GIR_EraseRootFromParent_Done,
     /* 1302644 */   // Label 18687: @1302644
     /* 1302644 */   GIM_Try, /*On fail goto*//*Label 18688*/ GIMT_Encode4(1302728), // Rule ID 9240 //
     /* 1302649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1302705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302727 */     // GIR_Coverage, 9240,
     /* 1302727 */     GIR_EraseRootFromParent_Done,
     /* 1302728 */   // Label 18688: @1302728
     /* 1302728 */   GIM_Try, /*On fail goto*//*Label 18689*/ GIMT_Encode4(1302812), // Rule ID 9241 //
     /* 1302733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1302736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1302744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1302747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1302750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1302756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302786 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1302789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1302807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302811 */     // GIR_Coverage, 9241,
     /* 1302811 */     GIR_EraseRootFromParent_Done,
     /* 1302812 */   // Label 18689: @1302812
     /* 1302812 */   GIM_Try, /*On fail goto*//*Label 18690*/ GIMT_Encode4(1302896), // Rule ID 9244 //
     /* 1302817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1302820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1302837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1302843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302870 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1302870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1302873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302895 */     // GIR_Coverage, 9244,
     /* 1302895 */     GIR_EraseRootFromParent_Done,
     /* 1302896 */   // Label 18690: @1302896
     /* 1302896 */   GIM_Try, /*On fail goto*//*Label 18691*/ GIMT_Encode4(1302980), // Rule ID 9245 //
     /* 1302901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1302904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1302912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1302915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1302918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1302921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1302924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1302927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1302939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1302943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1302947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1302954 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1302954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M1_MASK),
     /* 1302957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1302959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1302961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1302963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1302965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1302967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1302972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1302975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1302978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1302979 */     // GIR_Coverage, 9245,
     /* 1302979 */     GIR_EraseRootFromParent_Done,
     /* 1302980 */   // Label 18691: @1302980
     /* 1302980 */   GIM_Try, /*On fail goto*//*Label 18692*/ GIMT_Encode4(1303064), // Rule ID 9248 //
     /* 1302985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1302988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1302993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1302996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1302999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1303002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303038 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1303041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303063 */     // GIR_Coverage, 9248,
     /* 1303063 */     GIR_EraseRootFromParent_Done,
     /* 1303064 */   // Label 18692: @1303064
     /* 1303064 */   GIM_Try, /*On fail goto*//*Label 18693*/ GIMT_Encode4(1303148), // Rule ID 9249 //
     /* 1303069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1303086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303122 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1303125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303147 */     // GIR_Coverage, 9249,
     /* 1303147 */     GIR_EraseRootFromParent_Done,
     /* 1303148 */   // Label 18693: @1303148
     /* 1303148 */   GIM_Try, /*On fail goto*//*Label 18694*/ GIMT_Encode4(1303232), // Rule ID 9252 //
     /* 1303153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1303170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303206 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1303209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303231 */     // GIR_Coverage, 9252,
     /* 1303231 */     GIR_EraseRootFromParent_Done,
     /* 1303232 */   // Label 18694: @1303232
     /* 1303232 */   GIM_Try, /*On fail goto*//*Label 18695*/ GIMT_Encode4(1303316), // Rule ID 9253 //
     /* 1303237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1303254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303290 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1303293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303315 */     // GIR_Coverage, 9253,
     /* 1303315 */     GIR_EraseRootFromParent_Done,
     /* 1303316 */   // Label 18695: @1303316
     /* 1303316 */   GIM_Try, /*On fail goto*//*Label 18696*/ GIMT_Encode4(1303400), // Rule ID 9256 //
     /* 1303321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303374 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1303377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303399 */     // GIR_Coverage, 9256,
     /* 1303399 */     GIR_EraseRootFromParent_Done,
     /* 1303400 */   // Label 18696: @1303400
     /* 1303400 */   GIM_Try, /*On fail goto*//*Label 18697*/ GIMT_Encode4(1303484), // Rule ID 9257 //
     /* 1303405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1303416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1303419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1303422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1303428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303458 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1303461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1303479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303483 */     // GIR_Coverage, 9257,
     /* 1303483 */     GIR_EraseRootFromParent_Done,
     /* 1303484 */   // Label 18697: @1303484
     /* 1303484 */   GIM_Try, /*On fail goto*//*Label 18698*/ GIMT_Encode4(1303568), // Rule ID 9260 //
     /* 1303489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1303545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303567 */     // GIR_Coverage, 9260,
     /* 1303567 */     GIR_EraseRootFromParent_Done,
     /* 1303568 */   // Label 18698: @1303568
     /* 1303568 */   GIM_Try, /*On fail goto*//*Label 18699*/ GIMT_Encode4(1303652), // Rule ID 9261 //
     /* 1303573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1303584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1303587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1303590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1303596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1303611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303626 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1303629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303651 */     // GIR_Coverage, 9261,
     /* 1303651 */     GIR_EraseRootFromParent_Done,
     /* 1303652 */   // Label 18699: @1303652
     /* 1303652 */   GIM_Try, /*On fail goto*//*Label 18700*/ GIMT_Encode4(1303736), // Rule ID 9264 //
     /* 1303657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303710 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1303713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303735 */     // GIR_Coverage, 9264,
     /* 1303735 */     GIR_EraseRootFromParent_Done,
     /* 1303736 */   // Label 18700: @1303736
     /* 1303736 */   GIM_Try, /*On fail goto*//*Label 18701*/ GIMT_Encode4(1303820), // Rule ID 9265 //
     /* 1303741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1303752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1303755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1303758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1303764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1303779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303794 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1303797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303819 */     // GIR_Coverage, 9265,
     /* 1303819 */     GIR_EraseRootFromParent_Done,
     /* 1303820 */   // Label 18701: @1303820
     /* 1303820 */   GIM_Try, /*On fail goto*//*Label 18702*/ GIMT_Encode4(1303904), // Rule ID 9268 //
     /* 1303825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1303845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1303851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303878 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1303878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1303881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303903 */     // GIR_Coverage, 9268,
     /* 1303903 */     GIR_EraseRootFromParent_Done,
     /* 1303904 */   // Label 18702: @1303904
     /* 1303904 */   GIM_Try, /*On fail goto*//*Label 18703*/ GIMT_Encode4(1303988), // Rule ID 9269 //
     /* 1303909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1303912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1303917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1303920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1303923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1303926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1303929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1303932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1303935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1303943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1303947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1303951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1303955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1303962 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1303962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1303965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1303967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1303969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1303971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1303973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1303975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1303980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1303983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1303986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1303987 */     // GIR_Coverage, 9269,
     /* 1303987 */     GIR_EraseRootFromParent_Done,
     /* 1303988 */   // Label 18703: @1303988
     /* 1303988 */   GIM_Try, /*On fail goto*//*Label 18704*/ GIMT_Encode4(1304072), // Rule ID 9272 //
     /* 1303993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1303996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1304010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304046 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1304049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304071 */     // GIR_Coverage, 9272,
     /* 1304071 */     GIR_EraseRootFromParent_Done,
     /* 1304072 */   // Label 18704: @1304072
     /* 1304072 */   GIM_Try, /*On fail goto*//*Label 18705*/ GIMT_Encode4(1304156), // Rule ID 9273 //
     /* 1304077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1304094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304130 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1304133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304155 */     // GIR_Coverage, 9273,
     /* 1304155 */     GIR_EraseRootFromParent_Done,
     /* 1304156 */   // Label 18705: @1304156
     /* 1304156 */   GIM_Try, /*On fail goto*//*Label 18706*/ GIMT_Encode4(1304240), // Rule ID 9276 //
     /* 1304161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1304178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304214 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1304217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304239 */     // GIR_Coverage, 9276,
     /* 1304239 */     GIR_EraseRootFromParent_Done,
     /* 1304240 */   // Label 18706: @1304240
     /* 1304240 */   GIM_Try, /*On fail goto*//*Label 18707*/ GIMT_Encode4(1304324), // Rule ID 9277 //
     /* 1304245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1304262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1304301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304323 */     // GIR_Coverage, 9277,
     /* 1304323 */     GIR_EraseRootFromParent_Done,
     /* 1304324 */   // Label 18707: @1304324
     /* 1304324 */   GIM_Try, /*On fail goto*//*Label 18708*/ GIMT_Encode4(1304408), // Rule ID 9280 //
     /* 1304329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1304332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304382 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1304385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304407 */     // GIR_Coverage, 9280,
     /* 1304407 */     GIR_EraseRootFromParent_Done,
     /* 1304408 */   // Label 18708: @1304408
     /* 1304408 */   GIM_Try, /*On fail goto*//*Label 18709*/ GIMT_Encode4(1304492), // Rule ID 9281 //
     /* 1304413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1304416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1304424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1304427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1304430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1304436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304466 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1304469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1304487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304491 */     // GIR_Coverage, 9281,
     /* 1304491 */     GIR_EraseRootFromParent_Done,
     /* 1304492 */   // Label 18709: @1304492
     /* 1304492 */   GIM_Try, /*On fail goto*//*Label 18710*/ GIMT_Encode4(1304576), // Rule ID 9284 //
     /* 1304497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1304553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304575 */     // GIR_Coverage, 9284,
     /* 1304575 */     GIR_EraseRootFromParent_Done,
     /* 1304576 */   // Label 18710: @1304576
     /* 1304576 */   GIM_Try, /*On fail goto*//*Label 18711*/ GIMT_Encode4(1304660), // Rule ID 9285 //
     /* 1304581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1304592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1304595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1304598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1304604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1304619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M2_MASK),
     /* 1304637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304659 */     // GIR_Coverage, 9285,
     /* 1304659 */     GIR_EraseRootFromParent_Done,
     /* 1304660 */   // Label 18711: @1304660
     /* 1304660 */   GIM_Try, /*On fail goto*//*Label 18712*/ GIMT_Encode4(1304744), // Rule ID 9288 //
     /* 1304665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304718 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1304721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304743 */     // GIR_Coverage, 9288,
     /* 1304743 */     GIR_EraseRootFromParent_Done,
     /* 1304744 */   // Label 18712: @1304744
     /* 1304744 */   GIM_Try, /*On fail goto*//*Label 18713*/ GIMT_Encode4(1304828), // Rule ID 9289 //
     /* 1304749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1304760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1304763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1304766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1304772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1304787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M4_MASK),
     /* 1304805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304827 */     // GIR_Coverage, 9289,
     /* 1304827 */     GIR_EraseRootFromParent_Done,
     /* 1304828 */   // Label 18713: @1304828
     /* 1304828 */   GIM_Try, /*On fail goto*//*Label 18714*/ GIMT_Encode4(1304912), // Rule ID 9292 //
     /* 1304833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1304836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1304853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1304859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304886 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1304886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1304889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304911 */     // GIR_Coverage, 9292,
     /* 1304911 */     GIR_EraseRootFromParent_Done,
     /* 1304912 */   // Label 18714: @1304912
     /* 1304912 */   GIM_Try, /*On fail goto*//*Label 18715*/ GIMT_Encode4(1304996), // Rule ID 9293 //
     /* 1304917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1304920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1304925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1304928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1304931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1304934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1304937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1304940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1304943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1304951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1304955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1304959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1304963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1304970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGTU_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1304970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGTU_VX_M8_MASK),
     /* 1304973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1304975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1304977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1304979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1304981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1304983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1304988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1304991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1304994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1304995 */     // GIR_Coverage, 9293,
     /* 1304995 */     GIR_EraseRootFromParent_Done,
     /* 1304996 */   // Label 18715: @1304996
     /* 1304996 */   GIM_Try, /*On fail goto*//*Label 18716*/ GIMT_Encode4(1305080), // Rule ID 9384 //
     /* 1305001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1305018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1305021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305054 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1305057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305079 */     // GIR_Coverage, 9384,
     /* 1305079 */     GIR_EraseRootFromParent_Done,
     /* 1305080 */   // Label 18716: @1305080
     /* 1305080 */   GIM_Try, /*On fail goto*//*Label 18717*/ GIMT_Encode4(1305164), // Rule ID 9385 //
     /* 1305085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1305102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1305105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF8_MASK),
     /* 1305141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305163 */     // GIR_Coverage, 9385,
     /* 1305163 */     GIR_EraseRootFromParent_Done,
     /* 1305164 */   // Label 18717: @1305164
     /* 1305164 */   GIM_Try, /*On fail goto*//*Label 18718*/ GIMT_Encode4(1305248), // Rule ID 9388 //
     /* 1305169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1305186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1305189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1305225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305247 */     // GIR_Coverage, 9388,
     /* 1305247 */     GIR_EraseRootFromParent_Done,
     /* 1305248 */   // Label 18718: @1305248
     /* 1305248 */   GIM_Try, /*On fail goto*//*Label 18719*/ GIMT_Encode4(1305332), // Rule ID 9389 //
     /* 1305253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1305270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1305273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305306 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1305309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305331 */     // GIR_Coverage, 9389,
     /* 1305331 */     GIR_EraseRootFromParent_Done,
     /* 1305332 */   // Label 18719: @1305332
     /* 1305332 */   GIM_Try, /*On fail goto*//*Label 18720*/ GIMT_Encode4(1305416), // Rule ID 9392 //
     /* 1305337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1305357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305390 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1305393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305415 */     // GIR_Coverage, 9392,
     /* 1305415 */     GIR_EraseRootFromParent_Done,
     /* 1305416 */   // Label 18720: @1305416
     /* 1305416 */   GIM_Try, /*On fail goto*//*Label 18721*/ GIMT_Encode4(1305500), // Rule ID 9393 //
     /* 1305421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1305432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1305435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1305438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1305441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1305444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305474 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1305477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1305495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305499 */     // GIR_Coverage, 9393,
     /* 1305499 */     GIR_EraseRootFromParent_Done,
     /* 1305500 */   // Label 18721: @1305500
     /* 1305500 */   GIM_Try, /*On fail goto*//*Label 18722*/ GIMT_Encode4(1305584), // Rule ID 9396 //
     /* 1305505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1305525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305558 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1305561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305583 */     // GIR_Coverage, 9396,
     /* 1305583 */     GIR_EraseRootFromParent_Done,
     /* 1305584 */   // Label 18722: @1305584
     /* 1305584 */   GIM_Try, /*On fail goto*//*Label 18723*/ GIMT_Encode4(1305668), // Rule ID 9397 //
     /* 1305589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1305606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1305609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305642 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF4_MASK),
     /* 1305645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305667 */     // GIR_Coverage, 9397,
     /* 1305667 */     GIR_EraseRootFromParent_Done,
     /* 1305668 */   // Label 18723: @1305668
     /* 1305668 */   GIM_Try, /*On fail goto*//*Label 18724*/ GIMT_Encode4(1305752), // Rule ID 9400 //
     /* 1305673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1305693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1305729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305751 */     // GIR_Coverage, 9400,
     /* 1305751 */     GIR_EraseRootFromParent_Done,
     /* 1305752 */   // Label 18724: @1305752
     /* 1305752 */   GIM_Try, /*On fail goto*//*Label 18725*/ GIMT_Encode4(1305836), // Rule ID 9401 //
     /* 1305757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1305768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1305771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1305774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1305777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1305780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305810 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1305813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1305831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305835 */     // GIR_Coverage, 9401,
     /* 1305835 */     GIR_EraseRootFromParent_Done,
     /* 1305836 */   // Label 18725: @1305836
     /* 1305836 */   GIM_Try, /*On fail goto*//*Label 18726*/ GIMT_Encode4(1305920), // Rule ID 9404 //
     /* 1305841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1305844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1305861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1305867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305894 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1305894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1305897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1305918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1305919 */     // GIR_Coverage, 9404,
     /* 1305919 */     GIR_EraseRootFromParent_Done,
     /* 1305920 */   // Label 18726: @1305920
     /* 1305920 */   GIM_Try, /*On fail goto*//*Label 18727*/ GIMT_Encode4(1306004), // Rule ID 9405 //
     /* 1305925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1305928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1305933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1305936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1305939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1305942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1305945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1305948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1305951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1305963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1305967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1305971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1305978 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1305978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_MF2_MASK),
     /* 1305981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1305983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1305985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1305987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1305989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1305991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1305996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1305999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306003 */     // GIR_Coverage, 9405,
     /* 1306003 */     GIR_EraseRootFromParent_Done,
     /* 1306004 */   // Label 18727: @1306004
     /* 1306004 */   GIM_Try, /*On fail goto*//*Label 18728*/ GIMT_Encode4(1306088), // Rule ID 9408 //
     /* 1306009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1306026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1306029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1306065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306087 */     // GIR_Coverage, 9408,
     /* 1306087 */     GIR_EraseRootFromParent_Done,
     /* 1306088 */   // Label 18728: @1306088
     /* 1306088 */   GIM_Try, /*On fail goto*//*Label 18729*/ GIMT_Encode4(1306172), // Rule ID 9409 //
     /* 1306093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1306104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1306107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1306110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1306116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306146 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1306149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306171 */     // GIR_Coverage, 9409,
     /* 1306171 */     GIR_EraseRootFromParent_Done,
     /* 1306172 */   // Label 18729: @1306172
     /* 1306172 */   GIM_Try, /*On fail goto*//*Label 18730*/ GIMT_Encode4(1306256), // Rule ID 9412 //
     /* 1306177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1306197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306230 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1306233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306255 */     // GIR_Coverage, 9412,
     /* 1306255 */     GIR_EraseRootFromParent_Done,
     /* 1306256 */   // Label 18730: @1306256
     /* 1306256 */   GIM_Try, /*On fail goto*//*Label 18731*/ GIMT_Encode4(1306340), // Rule ID 9413 //
     /* 1306261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1306272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1306275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1306278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1306284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306314 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1306317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1306335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306339 */     // GIR_Coverage, 9413,
     /* 1306339 */     GIR_EraseRootFromParent_Done,
     /* 1306340 */   // Label 18731: @1306340
     /* 1306340 */   GIM_Try, /*On fail goto*//*Label 18732*/ GIMT_Encode4(1306424), // Rule ID 9416 //
     /* 1306345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1306365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306398 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1306401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306423 */     // GIR_Coverage, 9416,
     /* 1306423 */     GIR_EraseRootFromParent_Done,
     /* 1306424 */   // Label 18732: @1306424
     /* 1306424 */   GIM_Try, /*On fail goto*//*Label 18733*/ GIMT_Encode4(1306508), // Rule ID 9417 //
     /* 1306429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1306440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1306443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1306446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1306452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306482 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1306485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1306503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306507 */     // GIR_Coverage, 9417,
     /* 1306507 */     GIR_EraseRootFromParent_Done,
     /* 1306508 */   // Label 18733: @1306508
     /* 1306508 */   GIM_Try, /*On fail goto*//*Label 18734*/ GIMT_Encode4(1306592), // Rule ID 9420 //
     /* 1306513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1306516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1306533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306566 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1306569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306591 */     // GIR_Coverage, 9420,
     /* 1306591 */     GIR_EraseRootFromParent_Done,
     /* 1306592 */   // Label 18734: @1306592
     /* 1306592 */   GIM_Try, /*On fail goto*//*Label 18735*/ GIMT_Encode4(1306676), // Rule ID 9421 //
     /* 1306597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1306600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1306608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1306611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1306614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1306620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306650 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M1_MASK),
     /* 1306653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1306671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306675 */     // GIR_Coverage, 9421,
     /* 1306675 */     GIR_EraseRootFromParent_Done,
     /* 1306676 */   // Label 18735: @1306676
     /* 1306676 */   GIM_Try, /*On fail goto*//*Label 18736*/ GIMT_Encode4(1306760), // Rule ID 9424 //
     /* 1306681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1306701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306734 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1306737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306759 */     // GIR_Coverage, 9424,
     /* 1306759 */     GIR_EraseRootFromParent_Done,
     /* 1306760 */   // Label 18736: @1306760
     /* 1306760 */   GIM_Try, /*On fail goto*//*Label 18737*/ GIMT_Encode4(1306844), // Rule ID 9425 //
     /* 1306765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1306776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1306779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1306782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1306788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1306803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306818 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1306821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306843 */     // GIR_Coverage, 9425,
     /* 1306843 */     GIR_EraseRootFromParent_Done,
     /* 1306844 */   // Label 18737: @1306844
     /* 1306844 */   GIM_Try, /*On fail goto*//*Label 18738*/ GIMT_Encode4(1306928), // Rule ID 9428 //
     /* 1306849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1306852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1306869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1306875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306902 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1306902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1306905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1306920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1306923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1306926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1306927 */     // GIR_Coverage, 9428,
     /* 1306927 */     GIR_EraseRootFromParent_Done,
     /* 1306928 */   // Label 18738: @1306928
     /* 1306928 */   GIM_Try, /*On fail goto*//*Label 18739*/ GIMT_Encode4(1307012), // Rule ID 9429 //
     /* 1306933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1306936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1306941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1306944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1306947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1306950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1306953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1306956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1306959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1306967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1306971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1306975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1306979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1306986 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1306986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1306989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1306991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1306993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1306995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1306997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1306999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307011 */     // GIR_Coverage, 9429,
     /* 1307011 */     GIR_EraseRootFromParent_Done,
     /* 1307012 */   // Label 18739: @1307012
     /* 1307012 */   GIM_Try, /*On fail goto*//*Label 18740*/ GIMT_Encode4(1307096), // Rule ID 9432 //
     /* 1307017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1307028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1307031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1307034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1307037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1307040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307070 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1307073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307095 */     // GIR_Coverage, 9432,
     /* 1307095 */     GIR_EraseRootFromParent_Done,
     /* 1307096 */   // Label 18740: @1307096
     /* 1307096 */   GIM_Try, /*On fail goto*//*Label 18741*/ GIMT_Encode4(1307180), // Rule ID 9433 //
     /* 1307101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1307112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1307115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1307118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1307121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1307124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307154 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1307157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1307175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307179 */     // GIR_Coverage, 9433,
     /* 1307179 */     GIR_EraseRootFromParent_Done,
     /* 1307180 */   // Label 18741: @1307180
     /* 1307180 */   GIM_Try, /*On fail goto*//*Label 18742*/ GIMT_Encode4(1307264), // Rule ID 9436 //
     /* 1307185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1307202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1307205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307238 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1307241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307263 */     // GIR_Coverage, 9436,
     /* 1307263 */     GIR_EraseRootFromParent_Done,
     /* 1307264 */   // Label 18742: @1307264
     /* 1307264 */   GIM_Try, /*On fail goto*//*Label 18743*/ GIMT_Encode4(1307348), // Rule ID 9437 //
     /* 1307269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1307286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1307289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307322 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1307325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307347 */     // GIR_Coverage, 9437,
     /* 1307347 */     GIR_EraseRootFromParent_Done,
     /* 1307348 */   // Label 18743: @1307348
     /* 1307348 */   GIM_Try, /*On fail goto*//*Label 18744*/ GIMT_Encode4(1307432), // Rule ID 9440 //
     /* 1307353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1307373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307406 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1307409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307431 */     // GIR_Coverage, 9440,
     /* 1307431 */     GIR_EraseRootFromParent_Done,
     /* 1307432 */   // Label 18744: @1307432
     /* 1307432 */   GIM_Try, /*On fail goto*//*Label 18745*/ GIMT_Encode4(1307516), // Rule ID 9441 //
     /* 1307437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1307448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1307451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1307454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1307457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1307460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307490 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1307493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307515 */     // GIR_Coverage, 9441,
     /* 1307515 */     GIR_EraseRootFromParent_Done,
     /* 1307516 */   // Label 18745: @1307516
     /* 1307516 */   GIM_Try, /*On fail goto*//*Label 18746*/ GIMT_Encode4(1307600), // Rule ID 9444 //
     /* 1307521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1307541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307574 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1307577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307599 */     // GIR_Coverage, 9444,
     /* 1307599 */     GIR_EraseRootFromParent_Done,
     /* 1307600 */   // Label 18746: @1307600
     /* 1307600 */   GIM_Try, /*On fail goto*//*Label 18747*/ GIMT_Encode4(1307684), // Rule ID 9445 //
     /* 1307605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1307616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1307619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1307622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1307625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1307628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1307643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307658 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1307661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1307679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307683 */     // GIR_Coverage, 9445,
     /* 1307683 */     GIR_EraseRootFromParent_Done,
     /* 1307684 */   // Label 18747: @1307684
     /* 1307684 */   GIM_Try, /*On fail goto*//*Label 18748*/ GIMT_Encode4(1307768), // Rule ID 9448 //
     /* 1307689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1307709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307742 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1307745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307767 */     // GIR_Coverage, 9448,
     /* 1307767 */     GIR_EraseRootFromParent_Done,
     /* 1307768 */   // Label 18748: @1307768
     /* 1307768 */   GIM_Try, /*On fail goto*//*Label 18749*/ GIMT_Encode4(1307852), // Rule ID 9449 //
     /* 1307773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1307784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1307787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1307790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1307793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1307796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1307811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307826 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1307829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307851 */     // GIR_Coverage, 9449,
     /* 1307851 */     GIR_EraseRootFromParent_Done,
     /* 1307852 */   // Label 18749: @1307852
     /* 1307852 */   GIM_Try, /*On fail goto*//*Label 18750*/ GIMT_Encode4(1307936), // Rule ID 9452 //
     /* 1307857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1307860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1307877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1307883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307910 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1307910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1307913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1307917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1307919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1307921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1307923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1307928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1307931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1307934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1307935 */     // GIR_Coverage, 9452,
     /* 1307935 */     GIR_EraseRootFromParent_Done,
     /* 1307936 */   // Label 18750: @1307936
     /* 1307936 */   GIM_Try, /*On fail goto*//*Label 18751*/ GIMT_Encode4(1308020), // Rule ID 9453 //
     /* 1307941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1307944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1307949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1307952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1307955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1307958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1307961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1307964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1307967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1307975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1307979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1307983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1307987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1307994 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1307994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1307997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1307999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308019 */     // GIR_Coverage, 9453,
     /* 1308019 */     GIR_EraseRootFromParent_Done,
     /* 1308020 */   // Label 18751: @1308020
     /* 1308020 */   GIM_Try, /*On fail goto*//*Label 18752*/ GIMT_Encode4(1308104), // Rule ID 9456 //
     /* 1308025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1308045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1308067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308078 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1308081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308103 */     // GIR_Coverage, 9456,
     /* 1308103 */     GIR_EraseRootFromParent_Done,
     /* 1308104 */   // Label 18752: @1308104
     /* 1308104 */   GIM_Try, /*On fail goto*//*Label 18753*/ GIMT_Encode4(1308188), // Rule ID 9457 //
     /* 1308109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1308120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1308123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1308126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1308129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1308132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1308151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308162 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1308165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1308183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308187 */     // GIR_Coverage, 9457,
     /* 1308187 */     GIR_EraseRootFromParent_Done,
     /* 1308188 */   // Label 18753: @1308188
     /* 1308188 */   GIM_Try, /*On fail goto*//*Label 18754*/ GIMT_Encode4(1308272), // Rule ID 9460 //
     /* 1308193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1308210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1308213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1308235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308246 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1308249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308271 */     // GIR_Coverage, 9460,
     /* 1308271 */     GIR_EraseRootFromParent_Done,
     /* 1308272 */   // Label 18754: @1308272
     /* 1308272 */   GIM_Try, /*On fail goto*//*Label 18755*/ GIMT_Encode4(1308356), // Rule ID 9461 //
     /* 1308277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1308294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1308297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1308315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1308319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308330 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M2_MASK),
     /* 1308333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308355 */     // GIR_Coverage, 9461,
     /* 1308355 */     GIR_EraseRootFromParent_Done,
     /* 1308356 */   // Label 18755: @1308356
     /* 1308356 */   GIM_Try, /*On fail goto*//*Label 18756*/ GIMT_Encode4(1308440), // Rule ID 9464 //
     /* 1308361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1308381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1308403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308414 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1308417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308439 */     // GIR_Coverage, 9464,
     /* 1308439 */     GIR_EraseRootFromParent_Done,
     /* 1308440 */   // Label 18756: @1308440
     /* 1308440 */   GIM_Try, /*On fail goto*//*Label 18757*/ GIMT_Encode4(1308524), // Rule ID 9465 //
     /* 1308445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1308462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1308465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1308483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1308487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308498 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M4_MASK),
     /* 1308501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308523 */     // GIR_Coverage, 9465,
     /* 1308523 */     GIR_EraseRootFromParent_Done,
     /* 1308524 */   // Label 18757: @1308524
     /* 1308524 */   GIM_Try, /*On fail goto*//*Label 18758*/ GIMT_Encode4(1308608), // Rule ID 9468 //
     /* 1308529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1308532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1308549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1308571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1308585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308607 */     // GIR_Coverage, 9468,
     /* 1308607 */     GIR_EraseRootFromParent_Done,
     /* 1308608 */   // Label 18758: @1308608
     /* 1308608 */   GIM_Try, /*On fail goto*//*Label 18759*/ GIMT_Encode4(1308692), // Rule ID 9469 //
     /* 1308613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1308616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1308621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1308624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1308627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1308630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1308633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1308636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1308651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1308655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308666 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSGT_VX_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSGT_VX_M8_MASK),
     /* 1308669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1308675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1308677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1308687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308691 */     // GIR_Coverage, 9469,
     /* 1308691 */     GIR_EraseRootFromParent_Done,
     /* 1308692 */   // Label 18759: @1308692
     /* 1308692 */   GIM_Try, /*On fail goto*//*Label 18760*/ GIMT_Encode4(1308776), // Rule ID 9560 //
     /* 1308697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1308705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308750 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1308753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308775 */     // GIR_Coverage, 9560,
     /* 1308775 */     GIR_EraseRootFromParent_Done,
     /* 1308776 */   // Label 18760: @1308776
     /* 1308776 */   GIM_Try, /*On fail goto*//*Label 18761*/ GIMT_Encode4(1308860), // Rule ID 9561 //
     /* 1308781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1308789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1308792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1308795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1308798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1308801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1308804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308834 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1308834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1308837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308859 */     // GIR_Coverage, 9561,
     /* 1308859 */     GIR_EraseRootFromParent_Done,
     /* 1308860 */   // Label 18761: @1308860
     /* 1308860 */   GIM_Try, /*On fail goto*//*Label 18762*/ GIMT_Encode4(1308944), // Rule ID 9564 //
     /* 1308865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1308868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1308873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1308891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1308918 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1308918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1308921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1308923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1308925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1308927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1308929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1308931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1308936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1308939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1308942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1308943 */     // GIR_Coverage, 9564,
     /* 1308943 */     GIR_EraseRootFromParent_Done,
     /* 1308944 */   // Label 18762: @1308944
     /* 1308944 */   GIM_Try, /*On fail goto*//*Label 18763*/ GIMT_Encode4(1309028), // Rule ID 9565 //
     /* 1308949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1308952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1308957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1308960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1308963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1308966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1308969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1308972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1308975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1308991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1308995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309002 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1309005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309027 */     // GIR_Coverage, 9565,
     /* 1309027 */     GIR_EraseRootFromParent_Done,
     /* 1309028 */   // Label 18763: @1309028
     /* 1309028 */   GIM_Try, /*On fail goto*//*Label 18764*/ GIMT_Encode4(1309112), // Rule ID 9568 //
     /* 1309033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1309053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309086 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1309089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309111 */     // GIR_Coverage, 9568,
     /* 1309111 */     GIR_EraseRootFromParent_Done,
     /* 1309112 */   // Label 18764: @1309112
     /* 1309112 */   GIM_Try, /*On fail goto*//*Label 18765*/ GIMT_Encode4(1309196), // Rule ID 9569 //
     /* 1309117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1309134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1309137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309170 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4_MASK),
     /* 1309173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309195 */     // GIR_Coverage, 9569,
     /* 1309195 */     GIR_EraseRootFromParent_Done,
     /* 1309196 */   // Label 18765: @1309196
     /* 1309196 */   GIM_Try, /*On fail goto*//*Label 18766*/ GIMT_Encode4(1309280), // Rule ID 9572 //
     /* 1309201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309254 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1309257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309279 */     // GIR_Coverage, 9572,
     /* 1309279 */     GIR_EraseRootFromParent_Done,
     /* 1309280 */   // Label 18766: @1309280
     /* 1309280 */   GIM_Try, /*On fail goto*//*Label 18767*/ GIMT_Encode4(1309364), // Rule ID 9573 //
     /* 1309285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1309302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1309305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309338 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1309341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309363 */     // GIR_Coverage, 9573,
     /* 1309363 */     GIR_EraseRootFromParent_Done,
     /* 1309364 */   // Label 18767: @1309364
     /* 1309364 */   GIM_Try, /*On fail goto*//*Label 18768*/ GIMT_Encode4(1309448), // Rule ID 9576 //
     /* 1309369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309422 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1309425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309447 */     // GIR_Coverage, 9576,
     /* 1309447 */     GIR_EraseRootFromParent_Done,
     /* 1309448 */   // Label 18768: @1309448
     /* 1309448 */   GIM_Try, /*On fail goto*//*Label 18769*/ GIMT_Encode4(1309532), // Rule ID 9577 //
     /* 1309453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1309464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1309467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1309470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1309473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1309476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309506 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2_MASK),
     /* 1309509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309531 */     // GIR_Coverage, 9577,
     /* 1309531 */     GIR_EraseRootFromParent_Done,
     /* 1309532 */   // Label 18769: @1309532
     /* 1309532 */   GIM_Try, /*On fail goto*//*Label 18770*/ GIMT_Encode4(1309616), // Rule ID 9580 //
     /* 1309537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309590 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1309593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309615 */     // GIR_Coverage, 9580,
     /* 1309615 */     GIR_EraseRootFromParent_Done,
     /* 1309616 */   // Label 18770: @1309616
     /* 1309616 */   GIM_Try, /*On fail goto*//*Label 18771*/ GIMT_Encode4(1309700), // Rule ID 9581 //
     /* 1309621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1309632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1309635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1309638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1309641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1309644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309674 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1309677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1309695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309699 */     // GIR_Coverage, 9581,
     /* 1309699 */     GIR_EraseRootFromParent_Done,
     /* 1309700 */   // Label 18771: @1309700
     /* 1309700 */   GIM_Try, /*On fail goto*//*Label 18772*/ GIMT_Encode4(1309784), // Rule ID 9584 //
     /* 1309705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1309761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309783 */     // GIR_Coverage, 9584,
     /* 1309783 */     GIR_EraseRootFromParent_Done,
     /* 1309784 */   // Label 18772: @1309784
     /* 1309784 */   GIM_Try, /*On fail goto*//*Label 18773*/ GIMT_Encode4(1309868), // Rule ID 9585 //
     /* 1309789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1309800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1309803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1309806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1309809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1309812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309842 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1309842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1309845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1309863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309867 */     // GIR_Coverage, 9585,
     /* 1309867 */     GIR_EraseRootFromParent_Done,
     /* 1309868 */   // Label 18773: @1309868
     /* 1309868 */   GIM_Try, /*On fail goto*//*Label 18774*/ GIMT_Encode4(1309952), // Rule ID 9588 //
     /* 1309873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1309876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1309899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1309919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1309926 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1309926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1309929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1309931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1309933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1309935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1309937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1309939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1309944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1309947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1309950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1309951 */     // GIR_Coverage, 9588,
     /* 1309951 */     GIR_EraseRootFromParent_Done,
     /* 1309952 */   // Label 18774: @1309952
     /* 1309952 */   GIM_Try, /*On fail goto*//*Label 18775*/ GIMT_Encode4(1310036), // Rule ID 9589 //
     /* 1309957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1309960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1309965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1309968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1309971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1309974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1309977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1309980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1309983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1309999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310010 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1310013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1310031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310035 */     // GIR_Coverage, 9589,
     /* 1310035 */     GIR_EraseRootFromParent_Done,
     /* 1310036 */   // Label 18775: @1310036
     /* 1310036 */   GIM_Try, /*On fail goto*//*Label 18776*/ GIMT_Encode4(1310120), // Rule ID 9592 //
     /* 1310041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1310044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310094 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1310097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310119 */     // GIR_Coverage, 9592,
     /* 1310119 */     GIR_EraseRootFromParent_Done,
     /* 1310120 */   // Label 18776: @1310120
     /* 1310120 */   GIM_Try, /*On fail goto*//*Label 18777*/ GIMT_Encode4(1310204), // Rule ID 9593 //
     /* 1310125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1310128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1310136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1310139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1310142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1310145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1310148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1_MASK),
     /* 1310181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1310199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310203 */     // GIR_Coverage, 9593,
     /* 1310203 */     GIR_EraseRootFromParent_Done,
     /* 1310204 */   // Label 18777: @1310204
     /* 1310204 */   GIM_Try, /*On fail goto*//*Label 18778*/ GIMT_Encode4(1310288), // Rule ID 9596 //
     /* 1310209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310262 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1310265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310287 */     // GIR_Coverage, 9596,
     /* 1310287 */     GIR_EraseRootFromParent_Done,
     /* 1310288 */   // Label 18778: @1310288
     /* 1310288 */   GIM_Try, /*On fail goto*//*Label 18779*/ GIMT_Encode4(1310372), // Rule ID 9597 //
     /* 1310293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1310310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1310313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310346 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1310349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310371 */     // GIR_Coverage, 9597,
     /* 1310371 */     GIR_EraseRootFromParent_Done,
     /* 1310372 */   // Label 18779: @1310372
     /* 1310372 */   GIM_Try, /*On fail goto*//*Label 18780*/ GIMT_Encode4(1310456), // Rule ID 9600 //
     /* 1310377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310430 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1310433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310455 */     // GIR_Coverage, 9600,
     /* 1310455 */     GIR_EraseRootFromParent_Done,
     /* 1310456 */   // Label 18780: @1310456
     /* 1310456 */   GIM_Try, /*On fail goto*//*Label 18781*/ GIMT_Encode4(1310540), // Rule ID 9601 //
     /* 1310461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1310472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1310475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1310478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1310481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1310484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310514 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1310517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310539 */     // GIR_Coverage, 9601,
     /* 1310539 */     GIR_EraseRootFromParent_Done,
     /* 1310540 */   // Label 18781: @1310540
     /* 1310540 */   GIM_Try, /*On fail goto*//*Label 18782*/ GIMT_Encode4(1310624), // Rule ID 9604 //
     /* 1310545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310598 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1310601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310623 */     // GIR_Coverage, 9604,
     /* 1310623 */     GIR_EraseRootFromParent_Done,
     /* 1310624 */   // Label 18782: @1310624
     /* 1310624 */   GIM_Try, /*On fail goto*//*Label 18783*/ GIMT_Encode4(1310708), // Rule ID 9605 //
     /* 1310629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1310640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1310643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1310646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1310649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1310652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1310671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310682 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1310685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1310703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310707 */     // GIR_Coverage, 9605,
     /* 1310707 */     GIR_EraseRootFromParent_Done,
     /* 1310708 */   // Label 18783: @1310708
     /* 1310708 */   GIM_Try, /*On fail goto*//*Label 18784*/ GIMT_Encode4(1310792), // Rule ID 9608 //
     /* 1310713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310766 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1310769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310791 */     // GIR_Coverage, 9608,
     /* 1310791 */     GIR_EraseRootFromParent_Done,
     /* 1310792 */   // Label 18784: @1310792
     /* 1310792 */   GIM_Try, /*On fail goto*//*Label 18785*/ GIMT_Encode4(1310876), // Rule ID 9609 //
     /* 1310797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1310808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1310811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1310814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1310817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1310820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1310839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310850 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1310850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1310853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310875 */     // GIR_Coverage, 9609,
     /* 1310875 */     GIR_EraseRootFromParent_Done,
     /* 1310876 */   // Label 18785: @1310876
     /* 1310876 */   GIM_Try, /*On fail goto*//*Label 18786*/ GIMT_Encode4(1310960), // Rule ID 9612 //
     /* 1310881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1310884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1310907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1310923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1310927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1310934 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1310934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1310937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1310939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1310941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1310943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1310945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1310947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1310952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1310955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1310958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1310959 */     // GIR_Coverage, 9612,
     /* 1310959 */     GIR_EraseRootFromParent_Done,
     /* 1310960 */   // Label 18786: @1310960
     /* 1310960 */   GIM_Try, /*On fail goto*//*Label 18787*/ GIMT_Encode4(1311044), // Rule ID 9613 //
     /* 1310965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1310968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1310973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1310976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1310979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1310982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1310985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1310988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1310991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1310999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311018 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1311021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311043 */     // GIR_Coverage, 9613,
     /* 1311043 */     GIR_EraseRootFromParent_Done,
     /* 1311044 */   // Label 18787: @1311044
     /* 1311044 */   GIM_Try, /*On fail goto*//*Label 18788*/ GIMT_Encode4(1311128), // Rule ID 9616 //
     /* 1311049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1311069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311102 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1311105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311127 */     // GIR_Coverage, 9616,
     /* 1311127 */     GIR_EraseRootFromParent_Done,
     /* 1311128 */   // Label 18788: @1311128
     /* 1311128 */   GIM_Try, /*On fail goto*//*Label 18789*/ GIMT_Encode4(1311212), // Rule ID 9617 //
     /* 1311133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1311144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1311147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1311150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1311153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1311156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311186 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1311189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1311207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311211 */     // GIR_Coverage, 9617,
     /* 1311211 */     GIR_EraseRootFromParent_Done,
     /* 1311212 */   // Label 18789: @1311212
     /* 1311212 */   GIM_Try, /*On fail goto*//*Label 18790*/ GIMT_Encode4(1311296), // Rule ID 9620 //
     /* 1311217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311270 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1311273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311295 */     // GIR_Coverage, 9620,
     /* 1311295 */     GIR_EraseRootFromParent_Done,
     /* 1311296 */   // Label 18790: @1311296
     /* 1311296 */   GIM_Try, /*On fail goto*//*Label 18791*/ GIMT_Encode4(1311380), // Rule ID 9621 //
     /* 1311301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1311318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1311321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311354 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1311357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311379 */     // GIR_Coverage, 9621,
     /* 1311379 */     GIR_EraseRootFromParent_Done,
     /* 1311380 */   // Label 18791: @1311380
     /* 1311380 */   GIM_Try, /*On fail goto*//*Label 18792*/ GIMT_Encode4(1311464), // Rule ID 9624 //
     /* 1311385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311438 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1311441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311463 */     // GIR_Coverage, 9624,
     /* 1311463 */     GIR_EraseRootFromParent_Done,
     /* 1311464 */   // Label 18792: @1311464
     /* 1311464 */   GIM_Try, /*On fail goto*//*Label 18793*/ GIMT_Encode4(1311548), // Rule ID 9625 //
     /* 1311469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1311480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1311483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1311486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1311489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1311492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311522 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1311525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311547 */     // GIR_Coverage, 9625,
     /* 1311547 */     GIR_EraseRootFromParent_Done,
     /* 1311548 */   // Label 18793: @1311548
     /* 1311548 */   GIM_Try, /*On fail goto*//*Label 18794*/ GIMT_Encode4(1311632), // Rule ID 9628 //
     /* 1311553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1311556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311606 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1311609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311631 */     // GIR_Coverage, 9628,
     /* 1311631 */     GIR_EraseRootFromParent_Done,
     /* 1311632 */   // Label 18794: @1311632
     /* 1311632 */   GIM_Try, /*On fail goto*//*Label 18795*/ GIMT_Encode4(1311716), // Rule ID 9629 //
     /* 1311637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1311640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1311648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1311651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1311654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1311657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1311660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1311679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311690 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1311693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1311711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311715 */     // GIR_Coverage, 9629,
     /* 1311715 */     GIR_EraseRootFromParent_Done,
     /* 1311716 */   // Label 18795: @1311716
     /* 1311716 */   GIM_Try, /*On fail goto*//*Label 18796*/ GIMT_Encode4(1311800), // Rule ID 9632 //
     /* 1311721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311774 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1311777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311799 */     // GIR_Coverage, 9632,
     /* 1311799 */     GIR_EraseRootFromParent_Done,
     /* 1311800 */   // Label 18796: @1311800
     /* 1311800 */   GIM_Try, /*On fail goto*//*Label 18797*/ GIMT_Encode4(1311884), // Rule ID 9633 //
     /* 1311805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1311816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1311819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1311822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1311825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1311828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1311847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311858 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1311858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2_MASK),
     /* 1311861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311883 */     // GIR_Coverage, 9633,
     /* 1311883 */     GIR_EraseRootFromParent_Done,
     /* 1311884 */   // Label 18797: @1311884
     /* 1311884 */   GIM_Try, /*On fail goto*//*Label 18798*/ GIMT_Encode4(1311968), // Rule ID 9636 //
     /* 1311889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1311892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1311915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1311923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1311931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1311935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1311942 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1311942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1311945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1311947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1311949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1311951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1311953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1311955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1311960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1311963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1311966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1311967 */     // GIR_Coverage, 9636,
     /* 1311967 */     GIR_EraseRootFromParent_Done,
     /* 1311968 */   // Label 18798: @1311968
     /* 1311968 */   GIM_Try, /*On fail goto*//*Label 18799*/ GIMT_Encode4(1312052), // Rule ID 9637 //
     /* 1311973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1311976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1311981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1311984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1311987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1311990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1311993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1311996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1311999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1312015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312026 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4_MASK),
     /* 1312029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312051 */     // GIR_Coverage, 9637,
     /* 1312051 */     GIR_EraseRootFromParent_Done,
     /* 1312052 */   // Label 18799: @1312052
     /* 1312052 */   GIM_Try, /*On fail goto*//*Label 18800*/ GIMT_Encode4(1312136), // Rule ID 9640 //
     /* 1312057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1312060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1312065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1312077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312110 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1312113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312135 */     // GIR_Coverage, 9640,
     /* 1312135 */     GIR_EraseRootFromParent_Done,
     /* 1312136 */   // Label 18800: @1312136
     /* 1312136 */   GIM_Try, /*On fail goto*//*Label 18801*/ GIMT_Encode4(1312220), // Rule ID 9641 //
     /* 1312141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1312144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgtu_mask),
     /* 1312149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1312152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1312155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1312158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1312161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1312164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1312183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312194 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11454:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLTU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8_MASK),
     /* 1312197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1312215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312219 */     // GIR_Coverage, 9641,
     /* 1312219 */     GIR_EraseRootFromParent_Done,
     /* 1312220 */   // Label 18801: @1312220
     /* 1312220 */   GIM_Try, /*On fail goto*//*Label 18802*/ GIMT_Encode4(1312304), // Rule ID 9644 //
     /* 1312225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312278 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1312281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312303 */     // GIR_Coverage, 9644,
     /* 1312303 */     GIR_EraseRootFromParent_Done,
     /* 1312304 */   // Label 18802: @1312304
     /* 1312304 */   GIM_Try, /*On fail goto*//*Label 18803*/ GIMT_Encode4(1312388), // Rule ID 9645 //
     /* 1312309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1312326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1312329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312362 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8_MASK),
     /* 1312365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312387 */     // GIR_Coverage, 9645,
     /* 1312387 */     GIR_EraseRootFromParent_Done,
     /* 1312388 */   // Label 18803: @1312388
     /* 1312388 */   GIM_Try, /*On fail goto*//*Label 18804*/ GIMT_Encode4(1312472), // Rule ID 9648 //
     /* 1312393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312446 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1312449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312471 */     // GIR_Coverage, 9648,
     /* 1312471 */     GIR_EraseRootFromParent_Done,
     /* 1312472 */   // Label 18804: @1312472
     /* 1312472 */   GIM_Try, /*On fail goto*//*Label 18805*/ GIMT_Encode4(1312556), // Rule ID 9649 //
     /* 1312477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1312494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1312497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312530 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1312533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312555 */     // GIR_Coverage, 9649,
     /* 1312555 */     GIR_EraseRootFromParent_Done,
     /* 1312556 */   // Label 18805: @1312556
     /* 1312556 */   GIM_Try, /*On fail goto*//*Label 18806*/ GIMT_Encode4(1312640), // Rule ID 9652 //
     /* 1312561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312614 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1312617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312639 */     // GIR_Coverage, 9652,
     /* 1312639 */     GIR_EraseRootFromParent_Done,
     /* 1312640 */   // Label 18806: @1312640
     /* 1312640 */   GIM_Try, /*On fail goto*//*Label 18807*/ GIMT_Encode4(1312724), // Rule ID 9653 //
     /* 1312645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1312656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1312659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1312662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1312665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1312668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312698 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1312701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1312719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312723 */     // GIR_Coverage, 9653,
     /* 1312723 */     GIR_EraseRootFromParent_Done,
     /* 1312724 */   // Label 18807: @1312724
     /* 1312724 */   GIM_Try, /*On fail goto*//*Label 18808*/ GIMT_Encode4(1312808), // Rule ID 9656 //
     /* 1312729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312782 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1312785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312807 */     // GIR_Coverage, 9656,
     /* 1312807 */     GIR_EraseRootFromParent_Done,
     /* 1312808 */   // Label 18808: @1312808
     /* 1312808 */   GIM_Try, /*On fail goto*//*Label 18809*/ GIMT_Encode4(1312892), // Rule ID 9657 //
     /* 1312813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1312824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1312827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1312830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1312833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1312836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1312839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312866 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1312866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4_MASK),
     /* 1312869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312891 */     // GIR_Coverage, 9657,
     /* 1312891 */     GIR_EraseRootFromParent_Done,
     /* 1312892 */   // Label 18809: @1312892
     /* 1312892 */   GIM_Try, /*On fail goto*//*Label 18810*/ GIMT_Encode4(1312976), // Rule ID 9660 //
     /* 1312897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1312900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1312917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1312920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1312923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1312939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1312943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1312950 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1312950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1312953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1312955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1312957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1312959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1312961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1312963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1312968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1312971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1312974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1312975 */     // GIR_Coverage, 9660,
     /* 1312975 */     GIR_EraseRootFromParent_Done,
     /* 1312976 */   // Label 18810: @1312976
     /* 1312976 */   GIM_Try, /*On fail goto*//*Label 18811*/ GIMT_Encode4(1313060), // Rule ID 9661 //
     /* 1312981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1312984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1312989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1312992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1312995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1312998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1313001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313034 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1313037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313059 */     // GIR_Coverage, 9661,
     /* 1313059 */     GIR_EraseRootFromParent_Done,
     /* 1313060 */   // Label 18811: @1313060
     /* 1313060 */   GIM_Try, /*On fail goto*//*Label 18812*/ GIMT_Encode4(1313144), // Rule ID 9664 //
     /* 1313065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313118 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1313121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313143 */     // GIR_Coverage, 9664,
     /* 1313143 */     GIR_EraseRootFromParent_Done,
     /* 1313144 */   // Label 18812: @1313144
     /* 1313144 */   GIM_Try, /*On fail goto*//*Label 18813*/ GIMT_Encode4(1313228), // Rule ID 9665 //
     /* 1313149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1313166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1313169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313202 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2_MASK),
     /* 1313205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313227 */     // GIR_Coverage, 9665,
     /* 1313227 */     GIR_EraseRootFromParent_Done,
     /* 1313228 */   // Label 18813: @1313228
     /* 1313228 */   GIM_Try, /*On fail goto*//*Label 18814*/ GIMT_Encode4(1313312), // Rule ID 9668 //
     /* 1313233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1313244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1313247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313286 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1313289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313311 */     // GIR_Coverage, 9668,
     /* 1313311 */     GIR_EraseRootFromParent_Done,
     /* 1313312 */   // Label 18814: @1313312
     /* 1313312 */   GIM_Try, /*On fail goto*//*Label 18815*/ GIMT_Encode4(1313396), // Rule ID 9669 //
     /* 1313317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1313328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1313331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1313334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1313337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1313340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313370 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1313373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313395 */     // GIR_Coverage, 9669,
     /* 1313395 */     GIR_EraseRootFromParent_Done,
     /* 1313396 */   // Label 18815: @1313396
     /* 1313396 */   GIM_Try, /*On fail goto*//*Label 18816*/ GIMT_Encode4(1313480), // Rule ID 9672 //
     /* 1313401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1313412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1313415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313454 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1313457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313479 */     // GIR_Coverage, 9672,
     /* 1313479 */     GIR_EraseRootFromParent_Done,
     /* 1313480 */   // Label 18816: @1313480
     /* 1313480 */   GIM_Try, /*On fail goto*//*Label 18817*/ GIMT_Encode4(1313564), // Rule ID 9673 //
     /* 1313485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1313496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1313499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1313502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1313505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1313508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313538 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1313541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1313559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313563 */     // GIR_Coverage, 9673,
     /* 1313563 */     GIR_EraseRootFromParent_Done,
     /* 1313564 */   // Label 18817: @1313564
     /* 1313564 */   GIM_Try, /*On fail goto*//*Label 18818*/ GIMT_Encode4(1313648), // Rule ID 9676 //
     /* 1313569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313622 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1313625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313647 */     // GIR_Coverage, 9676,
     /* 1313647 */     GIR_EraseRootFromParent_Done,
     /* 1313648 */   // Label 18818: @1313648
     /* 1313648 */   GIM_Try, /*On fail goto*//*Label 18819*/ GIMT_Encode4(1313732), // Rule ID 9677 //
     /* 1313653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1313664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1313667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1313670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1313673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1313676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313706 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1313709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1313727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313731 */     // GIR_Coverage, 9677,
     /* 1313731 */     GIR_EraseRootFromParent_Done,
     /* 1313732 */   // Label 18819: @1313732
     /* 1313732 */   GIM_Try, /*On fail goto*//*Label 18820*/ GIMT_Encode4(1313816), // Rule ID 9680 //
     /* 1313737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1313740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313790 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1313793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313815 */     // GIR_Coverage, 9680,
     /* 1313815 */     GIR_EraseRootFromParent_Done,
     /* 1313816 */   // Label 18820: @1313816
     /* 1313816 */   GIM_Try, /*On fail goto*//*Label 18821*/ GIMT_Encode4(1313900), // Rule ID 9681 //
     /* 1313821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1313824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1313832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1313835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1313838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1313841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1313844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1313847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313874 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1313874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1_MASK),
     /* 1313877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1313895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313899 */     // GIR_Coverage, 9681,
     /* 1313899 */     GIR_EraseRootFromParent_Done,
     /* 1313900 */   // Label 18821: @1313900
     /* 1313900 */   GIM_Try, /*On fail goto*//*Label 18822*/ GIMT_Encode4(1313984), // Rule ID 9684 //
     /* 1313905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1313908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1313916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1313919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1313922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1313925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1313928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1313931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1313939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1313947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1313951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1313958 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1313958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1313961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1313963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1313965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1313967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1313969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1313971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1313976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1313979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1313982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1313983 */     // GIR_Coverage, 9684,
     /* 1313983 */     GIR_EraseRootFromParent_Done,
     /* 1313984 */   // Label 18822: @1313984
     /* 1313984 */   GIM_Try, /*On fail goto*//*Label 18823*/ GIMT_Encode4(1314068), // Rule ID 9685 //
     /* 1313989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1313992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1313997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1314006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1314009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314042 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1314045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314067 */     // GIR_Coverage, 9685,
     /* 1314067 */     GIR_EraseRootFromParent_Done,
     /* 1314068 */   // Label 18823: @1314068
     /* 1314068 */   GIM_Try, /*On fail goto*//*Label 18824*/ GIMT_Encode4(1314152), // Rule ID 9688 //
     /* 1314073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1314090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1314093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314126 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1314129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314151 */     // GIR_Coverage, 9688,
     /* 1314151 */     GIR_EraseRootFromParent_Done,
     /* 1314152 */   // Label 18824: @1314152
     /* 1314152 */   GIM_Try, /*On fail goto*//*Label 18825*/ GIMT_Encode4(1314236), // Rule ID 9689 //
     /* 1314157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1314174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1314177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314210 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1314213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314235 */     // GIR_Coverage, 9689,
     /* 1314235 */     GIR_EraseRootFromParent_Done,
     /* 1314236 */   // Label 18825: @1314236
     /* 1314236 */   GIM_Try, /*On fail goto*//*Label 18826*/ GIMT_Encode4(1314320), // Rule ID 9692 //
     /* 1314241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1314252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1314255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314294 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1314297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314319 */     // GIR_Coverage, 9692,
     /* 1314319 */     GIR_EraseRootFromParent_Done,
     /* 1314320 */   // Label 18826: @1314320
     /* 1314320 */   GIM_Try, /*On fail goto*//*Label 18827*/ GIMT_Encode4(1314404), // Rule ID 9693 //
     /* 1314325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1314336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1314339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1314342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1314345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1314348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314378 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1314381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1314399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314403 */     // GIR_Coverage, 9693,
     /* 1314403 */     GIR_EraseRootFromParent_Done,
     /* 1314404 */   // Label 18827: @1314404
     /* 1314404 */   GIM_Try, /*On fail goto*//*Label 18828*/ GIMT_Encode4(1314488), // Rule ID 9696 //
     /* 1314409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314462 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1314465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314487 */     // GIR_Coverage, 9696,
     /* 1314487 */     GIR_EraseRootFromParent_Done,
     /* 1314488 */   // Label 18828: @1314488
     /* 1314488 */   GIM_Try, /*On fail goto*//*Label 18829*/ GIMT_Encode4(1314572), // Rule ID 9697 //
     /* 1314493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1314504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1314507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1314510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1314513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1314516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314546 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1314549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314571 */     // GIR_Coverage, 9697,
     /* 1314571 */     GIR_EraseRootFromParent_Done,
     /* 1314572 */   // Label 18829: @1314572
     /* 1314572 */   GIM_Try, /*On fail goto*//*Label 18830*/ GIMT_Encode4(1314656), // Rule ID 9700 //
     /* 1314577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314630 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1314633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314655 */     // GIR_Coverage, 9700,
     /* 1314655 */     GIR_EraseRootFromParent_Done,
     /* 1314656 */   // Label 18830: @1314656
     /* 1314656 */   GIM_Try, /*On fail goto*//*Label 18831*/ GIMT_Encode4(1314740), // Rule ID 9701 //
     /* 1314661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1314672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1314675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1314678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1314681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1314684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1314703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314714 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1314717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314739 */     // GIR_Coverage, 9701,
     /* 1314739 */     GIR_EraseRootFromParent_Done,
     /* 1314740 */   // Label 18831: @1314740
     /* 1314740 */   GIM_Try, /*On fail goto*//*Label 18832*/ GIMT_Encode4(1314824), // Rule ID 9704 //
     /* 1314745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314798 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1314801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314823 */     // GIR_Coverage, 9704,
     /* 1314823 */     GIR_EraseRootFromParent_Done,
     /* 1314824 */   // Label 18832: @1314824
     /* 1314824 */   GIM_Try, /*On fail goto*//*Label 18833*/ GIMT_Encode4(1314908), // Rule ID 9705 //
     /* 1314829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1314832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1314840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1314843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1314846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1314849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1314852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1314855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1314871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314882 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1314882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1314885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1314903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314907 */     // GIR_Coverage, 9705,
     /* 1314907 */     GIR_EraseRootFromParent_Done,
     /* 1314908 */   // Label 18833: @1314908
     /* 1314908 */   GIM_Try, /*On fail goto*//*Label 18834*/ GIMT_Encode4(1314992), // Rule ID 9708 //
     /* 1314913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1314916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1314921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1314924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1314927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1314930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1314933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1314936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1314939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1314947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1314955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1314959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1314966 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1314966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1314969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1314971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1314973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1314975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1314977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1314979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1314984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1314987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1314990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1314991 */     // GIR_Coverage, 9708,
     /* 1314991 */     GIR_EraseRootFromParent_Done,
     /* 1314992 */   // Label 18834: @1314992
     /* 1314992 */   GIM_Try, /*On fail goto*//*Label 18835*/ GIMT_Encode4(1315076), // Rule ID 9709 //
     /* 1314997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1315014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1315017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315050 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1315053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315075 */     // GIR_Coverage, 9709,
     /* 1315075 */     GIR_EraseRootFromParent_Done,
     /* 1315076 */   // Label 18835: @1315076
     /* 1315076 */   GIM_Try, /*On fail goto*//*Label 18836*/ GIMT_Encode4(1315160), // Rule ID 9712 //
     /* 1315081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1315098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1315101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315134 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1315137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315159 */     // GIR_Coverage, 9712,
     /* 1315159 */     GIR_EraseRootFromParent_Done,
     /* 1315160 */   // Label 18836: @1315160
     /* 1315160 */   GIM_Try, /*On fail goto*//*Label 18837*/ GIMT_Encode4(1315244), // Rule ID 9713 //
     /* 1315165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1315182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1315185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315218 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1315221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315243 */     // GIR_Coverage, 9713,
     /* 1315243 */     GIR_EraseRootFromParent_Done,
     /* 1315244 */   // Label 18837: @1315244
     /* 1315244 */   GIM_Try, /*On fail goto*//*Label 18838*/ GIMT_Encode4(1315328), // Rule ID 9716 //
     /* 1315249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1315260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1315263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315302 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1315305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315327 */     // GIR_Coverage, 9716,
     /* 1315327 */     GIR_EraseRootFromParent_Done,
     /* 1315328 */   // Label 18838: @1315328
     /* 1315328 */   GIM_Try, /*On fail goto*//*Label 18839*/ GIMT_Encode4(1315412), // Rule ID 9717 //
     /* 1315333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1315336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1315344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1315347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1315350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1315353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1315356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315386 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1315389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1315407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315411 */     // GIR_Coverage, 9717,
     /* 1315411 */     GIR_EraseRootFromParent_Done,
     /* 1315412 */   // Label 18839: @1315412
     /* 1315412 */   GIM_Try, /*On fail goto*//*Label 18840*/ GIMT_Encode4(1315496), // Rule ID 9720 //
     /* 1315417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315470 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1315473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315495 */     // GIR_Coverage, 9720,
     /* 1315495 */     GIR_EraseRootFromParent_Done,
     /* 1315496 */   // Label 18840: @1315496
     /* 1315496 */   GIM_Try, /*On fail goto*//*Label 18841*/ GIMT_Encode4(1315580), // Rule ID 9721 //
     /* 1315501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1315512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1315515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1315518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1315521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1315524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1315543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315554 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2_MASK),
     /* 1315557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315579 */     // GIR_Coverage, 9721,
     /* 1315579 */     GIR_EraseRootFromParent_Done,
     /* 1315580 */   // Label 18841: @1315580
     /* 1315580 */   GIM_Try, /*On fail goto*//*Label 18842*/ GIMT_Encode4(1315664), // Rule ID 9724 //
     /* 1315585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315638 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1315641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315663 */     // GIR_Coverage, 9724,
     /* 1315663 */     GIR_EraseRootFromParent_Done,
     /* 1315664 */   // Label 18842: @1315664
     /* 1315664 */   GIM_Try, /*On fail goto*//*Label 18843*/ GIMT_Encode4(1315748), // Rule ID 9725 //
     /* 1315669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1315680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1315683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1315686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1315689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1315692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1315711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4_MASK),
     /* 1315725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315747 */     // GIR_Coverage, 9725,
     /* 1315747 */     GIR_EraseRootFromParent_Done,
     /* 1315748 */   // Label 18843: @1315748
     /* 1315748 */   GIM_Try, /*On fail goto*//*Label 18844*/ GIMT_Encode4(1315832), // Rule ID 9728 //
     /* 1315753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1315756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315806 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1315809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315831 */     // GIR_Coverage, 9728,
     /* 1315831 */     GIR_EraseRootFromParent_Done,
     /* 1315832 */   // Label 18844: @1315832
     /* 1315832 */   GIM_Try, /*On fail goto*//*Label 18845*/ GIMT_Encode4(1315916), // Rule ID 9729 //
     /* 1315837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1315840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgt_mask),
     /* 1315845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1315848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1315851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1315854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1315857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1315860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1315863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1315879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315890 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11452:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1315890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8_MASK),
     /* 1315893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1315911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315915 */     // GIR_Coverage, 9729,
     /* 1315915 */     GIR_EraseRootFromParent_Done,
     /* 1315916 */   // Label 18845: @1315916
     /* 1315916 */   GIM_Try, /*On fail goto*//*Label 18846*/ GIMT_Encode4(1316000), // Rule ID 9732 //
     /* 1315921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1315924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1315929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1315932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1315935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1315938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1315941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1315944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1315947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1315963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1315967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1315974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1315974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1315977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1315979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1315981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1315983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1315985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1315987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1315992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1315995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1315998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1315999 */     // GIR_Coverage, 9732,
     /* 1315999 */     GIR_EraseRootFromParent_Done,
     /* 1316000 */   // Label 18846: @1316000
     /* 1316000 */   GIM_Try, /*On fail goto*//*Label 18847*/ GIMT_Encode4(1316084), // Rule ID 9733 //
     /* 1316005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1316022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1316025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316058 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8_MASK),
     /* 1316061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316083 */     // GIR_Coverage, 9733,
     /* 1316083 */     GIR_EraseRootFromParent_Done,
     /* 1316084 */   // Label 18847: @1316084
     /* 1316084 */   GIM_Try, /*On fail goto*//*Label 18848*/ GIMT_Encode4(1316168), // Rule ID 9736 //
     /* 1316089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1316106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1316109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316142 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1316145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316167 */     // GIR_Coverage, 9736,
     /* 1316167 */     GIR_EraseRootFromParent_Done,
     /* 1316168 */   // Label 18848: @1316168
     /* 1316168 */   GIM_Try, /*On fail goto*//*Label 18849*/ GIMT_Encode4(1316252), // Rule ID 9737 //
     /* 1316173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1316190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1316193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316226 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1316229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316251 */     // GIR_Coverage, 9737,
     /* 1316251 */     GIR_EraseRootFromParent_Done,
     /* 1316252 */   // Label 18849: @1316252
     /* 1316252 */   GIM_Try, /*On fail goto*//*Label 18850*/ GIMT_Encode4(1316336), // Rule ID 9740 //
     /* 1316257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1316274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1316277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316310 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1316313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316335 */     // GIR_Coverage, 9740,
     /* 1316335 */     GIR_EraseRootFromParent_Done,
     /* 1316336 */   // Label 18850: @1316336
     /* 1316336 */   GIM_Try, /*On fail goto*//*Label 18851*/ GIMT_Encode4(1316420), // Rule ID 9741 //
     /* 1316341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1316352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1316355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1316358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1316361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1316364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316394 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1316397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1316415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316419 */     // GIR_Coverage, 9741,
     /* 1316419 */     GIR_EraseRootFromParent_Done,
     /* 1316420 */   // Label 18851: @1316420
     /* 1316420 */   GIM_Try, /*On fail goto*//*Label 18852*/ GIMT_Encode4(1316504), // Rule ID 9744 //
     /* 1316425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1316445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316478 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1316481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316503 */     // GIR_Coverage, 9744,
     /* 1316503 */     GIR_EraseRootFromParent_Done,
     /* 1316504 */   // Label 18852: @1316504
     /* 1316504 */   GIM_Try, /*On fail goto*//*Label 18853*/ GIMT_Encode4(1316588), // Rule ID 9745 //
     /* 1316509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1316526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1316529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316562 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4_MASK),
     /* 1316565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316587 */     // GIR_Coverage, 9745,
     /* 1316587 */     GIR_EraseRootFromParent_Done,
     /* 1316588 */   // Label 18853: @1316588
     /* 1316588 */   GIM_Try, /*On fail goto*//*Label 18854*/ GIMT_Encode4(1316672), // Rule ID 9748 //
     /* 1316593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1316613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316646 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1316649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316671 */     // GIR_Coverage, 9748,
     /* 1316671 */     GIR_EraseRootFromParent_Done,
     /* 1316672 */   // Label 18854: @1316672
     /* 1316672 */   GIM_Try, /*On fail goto*//*Label 18855*/ GIMT_Encode4(1316756), // Rule ID 9749 //
     /* 1316677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1316688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1316691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1316694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1316697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1316700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316730 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1316733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1316751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316755 */     // GIR_Coverage, 9749,
     /* 1316755 */     GIR_EraseRootFromParent_Done,
     /* 1316756 */   // Label 18855: @1316756
     /* 1316756 */   GIM_Try, /*On fail goto*//*Label 18856*/ GIMT_Encode4(1316840), // Rule ID 9752 //
     /* 1316761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1316781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316814 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1316817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316839 */     // GIR_Coverage, 9752,
     /* 1316839 */     GIR_EraseRootFromParent_Done,
     /* 1316840 */   // Label 18856: @1316840
     /* 1316840 */   GIM_Try, /*On fail goto*//*Label 18857*/ GIMT_Encode4(1316924), // Rule ID 9753 //
     /* 1316845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1316848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1316856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1316859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1316862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1316865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1316868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1316871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316898 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1316898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2_MASK),
     /* 1316901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1316916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1316919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1316922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1316923 */     // GIR_Coverage, 9753,
     /* 1316923 */     GIR_EraseRootFromParent_Done,
     /* 1316924 */   // Label 18857: @1316924
     /* 1316924 */   GIM_Try, /*On fail goto*//*Label 18858*/ GIMT_Encode4(1317008), // Rule ID 9756 //
     /* 1316929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1316932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1316937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1316940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1316943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1316946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1316949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1316952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1316955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1316971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1316975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1316982 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1316982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1316985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1316987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1316989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1316991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1316993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1316995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317007 */     // GIR_Coverage, 9756,
     /* 1317007 */     GIR_EraseRootFromParent_Done,
     /* 1317008 */   // Label 18858: @1317008
     /* 1317008 */   GIM_Try, /*On fail goto*//*Label 18859*/ GIMT_Encode4(1317092), // Rule ID 9757 //
     /* 1317013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1317024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1317027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1317030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1317033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1317036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317066 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1317069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317091 */     // GIR_Coverage, 9757,
     /* 1317091 */     GIR_EraseRootFromParent_Done,
     /* 1317092 */   // Label 18859: @1317092
     /* 1317092 */   GIM_Try, /*On fail goto*//*Label 18860*/ GIMT_Encode4(1317176), // Rule ID 9760 //
     /* 1317097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1317108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1317111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1317114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1317117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317150 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1317153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317175 */     // GIR_Coverage, 9760,
     /* 1317175 */     GIR_EraseRootFromParent_Done,
     /* 1317176 */   // Label 18860: @1317176
     /* 1317176 */   GIM_Try, /*On fail goto*//*Label 18861*/ GIMT_Encode4(1317260), // Rule ID 9761 //
     /* 1317181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1317192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1317195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1317198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1317201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1317204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317234 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1317237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1317255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317259 */     // GIR_Coverage, 9761,
     /* 1317259 */     GIR_EraseRootFromParent_Done,
     /* 1317260 */   // Label 18861: @1317260
     /* 1317260 */   GIM_Try, /*On fail goto*//*Label 18862*/ GIMT_Encode4(1317344), // Rule ID 9764 //
     /* 1317265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1317276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1317279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1317282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1317285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317318 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1317321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317343 */     // GIR_Coverage, 9764,
     /* 1317343 */     GIR_EraseRootFromParent_Done,
     /* 1317344 */   // Label 18862: @1317344
     /* 1317344 */   GIM_Try, /*On fail goto*//*Label 18863*/ GIMT_Encode4(1317428), // Rule ID 9765 //
     /* 1317349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1317360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1317363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1317366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1317369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1317372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317402 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1317405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1317423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317427 */     // GIR_Coverage, 9765,
     /* 1317427 */     GIR_EraseRootFromParent_Done,
     /* 1317428 */   // Label 18863: @1317428
     /* 1317428 */   GIM_Try, /*On fail goto*//*Label 18864*/ GIMT_Encode4(1317512), // Rule ID 9768 //
     /* 1317433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1317436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1317444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1317447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1317453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317486 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1317489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317511 */     // GIR_Coverage, 9768,
     /* 1317511 */     GIR_EraseRootFromParent_Done,
     /* 1317512 */   // Label 18864: @1317512
     /* 1317512 */   GIM_Try, /*On fail goto*//*Label 18865*/ GIMT_Encode4(1317596), // Rule ID 9769 //
     /* 1317517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1317520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1317528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1317531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1317534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1317537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1317540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317570 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1_MASK),
     /* 1317573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1317591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317595 */     // GIR_Coverage, 9769,
     /* 1317595 */     GIR_EraseRootFromParent_Done,
     /* 1317596 */   // Label 18865: @1317596
     /* 1317596 */   GIM_Try, /*On fail goto*//*Label 18866*/ GIMT_Encode4(1317680), // Rule ID 9772 //
     /* 1317601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1317621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317654 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1317657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317679 */     // GIR_Coverage, 9772,
     /* 1317679 */     GIR_EraseRootFromParent_Done,
     /* 1317680 */   // Label 18866: @1317680
     /* 1317680 */   GIM_Try, /*On fail goto*//*Label 18867*/ GIMT_Encode4(1317764), // Rule ID 9773 //
     /* 1317685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1317696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1317699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1317702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1317705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1317708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1317727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317738 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1317741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317763 */     // GIR_Coverage, 9773,
     /* 1317763 */     GIR_EraseRootFromParent_Done,
     /* 1317764 */   // Label 18867: @1317764
     /* 1317764 */   GIM_Try, /*On fail goto*//*Label 18868*/ GIMT_Encode4(1317848), // Rule ID 9776 //
     /* 1317769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1317789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317822 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1317825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317847 */     // GIR_Coverage, 9776,
     /* 1317847 */     GIR_EraseRootFromParent_Done,
     /* 1317848 */   // Label 18868: @1317848
     /* 1317848 */   GIM_Try, /*On fail goto*//*Label 18869*/ GIMT_Encode4(1317932), // Rule ID 9777 //
     /* 1317853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1317856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1317864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1317867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1317870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1317873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1317876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1317879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1317895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317906 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1317906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1317909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1317917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1317919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1317924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1317927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1317930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1317931 */     // GIR_Coverage, 9777,
     /* 1317931 */     GIR_EraseRootFromParent_Done,
     /* 1317932 */   // Label 18869: @1317932
     /* 1317932 */   GIM_Try, /*On fail goto*//*Label 18870*/ GIMT_Encode4(1318016), // Rule ID 9780 //
     /* 1317937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1317940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1317945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1317948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1317951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1317954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1317957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1317960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1317963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1317971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1317979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1317983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1317990 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1317990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1317993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1317995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1317997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1317999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318015 */     // GIR_Coverage, 9780,
     /* 1318015 */     GIR_EraseRootFromParent_Done,
     /* 1318016 */   // Label 18870: @1318016
     /* 1318016 */   GIM_Try, /*On fail goto*//*Label 18871*/ GIMT_Encode4(1318100), // Rule ID 9781 //
     /* 1318021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1318032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1318035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1318038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1318041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1318044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318074 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1318077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1318095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318099 */     // GIR_Coverage, 9781,
     /* 1318099 */     GIR_EraseRootFromParent_Done,
     /* 1318100 */   // Label 18871: @1318100
     /* 1318100 */   GIM_Try, /*On fail goto*//*Label 18872*/ GIMT_Encode4(1318184), // Rule ID 9784 //
     /* 1318105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1318125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318158 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1318161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318183 */     // GIR_Coverage, 9784,
     /* 1318183 */     GIR_EraseRootFromParent_Done,
     /* 1318184 */   // Label 18872: @1318184
     /* 1318184 */   GIM_Try, /*On fail goto*//*Label 18873*/ GIMT_Encode4(1318268), // Rule ID 9785 //
     /* 1318189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1318206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1318209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318242 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1318245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318267 */     // GIR_Coverage, 9785,
     /* 1318267 */     GIR_EraseRootFromParent_Done,
     /* 1318268 */   // Label 18873: @1318268
     /* 1318268 */   GIM_Try, /*On fail goto*//*Label 18874*/ GIMT_Encode4(1318352), // Rule ID 9788 //
     /* 1318273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1318284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1318287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1318290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1318293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318326 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1318329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318351 */     // GIR_Coverage, 9788,
     /* 1318351 */     GIR_EraseRootFromParent_Done,
     /* 1318352 */   // Label 18874: @1318352
     /* 1318352 */   GIM_Try, /*On fail goto*//*Label 18875*/ GIMT_Encode4(1318436), // Rule ID 9789 //
     /* 1318357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1318368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1318371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1318374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1318377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318410 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1318413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318435 */     // GIR_Coverage, 9789,
     /* 1318435 */     GIR_EraseRootFromParent_Done,
     /* 1318436 */   // Label 18875: @1318436
     /* 1318436 */   GIM_Try, /*On fail goto*//*Label 18876*/ GIMT_Encode4(1318520), // Rule ID 9792 //
     /* 1318441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1318452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1318455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1318461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318494 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1318497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318519 */     // GIR_Coverage, 9792,
     /* 1318519 */     GIR_EraseRootFromParent_Done,
     /* 1318520 */   // Label 18876: @1318520
     /* 1318520 */   GIM_Try, /*On fail goto*//*Label 18877*/ GIMT_Encode4(1318604), // Rule ID 9793 //
     /* 1318525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1318536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1318539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1318542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1318545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1318548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318578 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1318581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1318599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318603 */     // GIR_Coverage, 9793,
     /* 1318603 */     GIR_EraseRootFromParent_Done,
     /* 1318604 */   // Label 18877: @1318604
     /* 1318604 */   GIM_Try, /*On fail goto*//*Label 18878*/ GIMT_Encode4(1318688), // Rule ID 9796 //
     /* 1318609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1318629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318662 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1318665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318687 */     // GIR_Coverage, 9796,
     /* 1318687 */     GIR_EraseRootFromParent_Done,
     /* 1318688 */   // Label 18878: @1318688
     /* 1318688 */   GIM_Try, /*On fail goto*//*Label 18879*/ GIMT_Encode4(1318772), // Rule ID 9797 //
     /* 1318693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1318704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1318707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1318710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1318713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1318716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1318735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318746 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1318749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318771 */     // GIR_Coverage, 9797,
     /* 1318771 */     GIR_EraseRootFromParent_Done,
     /* 1318772 */   // Label 18879: @1318772
     /* 1318772 */   GIM_Try, /*On fail goto*//*Label 18880*/ GIMT_Encode4(1318856), // Rule ID 9800 //
     /* 1318777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1318797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318830 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1318833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318855 */     // GIR_Coverage, 9800,
     /* 1318855 */     GIR_EraseRootFromParent_Done,
     /* 1318856 */   // Label 18880: @1318856
     /* 1318856 */   GIM_Try, /*On fail goto*//*Label 18881*/ GIMT_Encode4(1318940), // Rule ID 9801 //
     /* 1318861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1318864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1318872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1318875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1318878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1318881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1318884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1318887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1318903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318914 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1318914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1318917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1318919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1318921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1318923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1318925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1318927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1318932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1318935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1318938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1318939 */     // GIR_Coverage, 9801,
     /* 1318939 */     GIR_EraseRootFromParent_Done,
     /* 1318940 */   // Label 18881: @1318940
     /* 1318940 */   GIM_Try, /*On fail goto*//*Label 18882*/ GIMT_Encode4(1319024), // Rule ID 9804 //
     /* 1318945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1318948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1318953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1318956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1318959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1318962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1318965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1318968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1318971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1318979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1318987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1318991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1318998 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1318998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1319001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319023 */     // GIR_Coverage, 9804,
     /* 1319023 */     GIR_EraseRootFromParent_Done,
     /* 1319024 */   // Label 18882: @1319024
     /* 1319024 */   GIM_Try, /*On fail goto*//*Label 18883*/ GIMT_Encode4(1319108), // Rule ID 9805 //
     /* 1319029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1319037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1319040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1319043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1319046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1319049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1319052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319082 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1319085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1319103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319107 */     // GIR_Coverage, 9805,
     /* 1319107 */     GIR_EraseRootFromParent_Done,
     /* 1319108 */   // Label 18883: @1319108
     /* 1319108 */   GIM_Try, /*On fail goto*//*Label 18884*/ GIMT_Encode4(1319192), // Rule ID 9808 //
     /* 1319113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1319121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1319133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319166 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1319169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319191 */     // GIR_Coverage, 9808,
     /* 1319191 */     GIR_EraseRootFromParent_Done,
     /* 1319192 */   // Label 18884: @1319192
     /* 1319192 */   GIM_Try, /*On fail goto*//*Label 18885*/ GIMT_Encode4(1319276), // Rule ID 9809 //
     /* 1319197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1319205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1319214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1319217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1319239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2_MASK),
     /* 1319253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319275 */     // GIR_Coverage, 9809,
     /* 1319275 */     GIR_EraseRootFromParent_Done,
     /* 1319276 */   // Label 18885: @1319276
     /* 1319276 */   GIM_Try, /*On fail goto*//*Label 18886*/ GIMT_Encode4(1319360), // Rule ID 9812 //
     /* 1319281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1319289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1319298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1319301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319334 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1319337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319359 */     // GIR_Coverage, 9812,
     /* 1319359 */     GIR_EraseRootFromParent_Done,
     /* 1319360 */   // Label 18886: @1319360
     /* 1319360 */   GIM_Try, /*On fail goto*//*Label 18887*/ GIMT_Encode4(1319444), // Rule ID 9813 //
     /* 1319365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1319373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1319382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1319385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1319407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319418 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4_MASK),
     /* 1319421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319443 */     // GIR_Coverage, 9813,
     /* 1319443 */     GIR_EraseRootFromParent_Done,
     /* 1319444 */   // Label 18887: @1319444
     /* 1319444 */   GIM_Try, /*On fail goto*//*Label 18888*/ GIMT_Encode4(1319528), // Rule ID 9816 //
     /* 1319449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1319452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1319457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1319469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319502 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1319505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319527 */     // GIR_Coverage, 9816,
     /* 1319527 */     GIR_EraseRootFromParent_Done,
     /* 1319528 */   // Label 18888: @1319528
     /* 1319528 */   GIM_Try, /*On fail goto*//*Label 18889*/ GIMT_Encode4(1319612), // Rule ID 9817 //
     /* 1319533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1319536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsgeu_mask),
     /* 1319541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1319544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1319547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1319550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1319553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1319556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1319575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319586 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11450:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLEU_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8_MASK),
     /* 1319589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1319607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319611 */     // GIR_Coverage, 9817,
     /* 1319611 */     GIR_EraseRootFromParent_Done,
     /* 1319612 */   // Label 18889: @1319612
     /* 1319612 */   GIM_Try, /*On fail goto*//*Label 18890*/ GIMT_Encode4(1319696), // Rule ID 9820 //
     /* 1319617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1319625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1319634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1319637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319670 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1319673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319695 */     // GIR_Coverage, 9820,
     /* 1319695 */     GIR_EraseRootFromParent_Done,
     /* 1319696 */   // Label 18890: @1319696
     /* 1319696 */   GIM_Try, /*On fail goto*//*Label 18891*/ GIMT_Encode4(1319780), // Rule ID 9821 //
     /* 1319701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1319709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1319712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1319715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1319718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1319721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1319724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319754 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF8_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8_MASK),
     /* 1319757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319779 */     // GIR_Coverage, 9821,
     /* 1319779 */     GIR_EraseRootFromParent_Done,
     /* 1319780 */   // Label 18891: @1319780
     /* 1319780 */   GIM_Try, /*On fail goto*//*Label 18892*/ GIMT_Encode4(1319864), // Rule ID 9824 //
     /* 1319785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1319793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1319802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1319805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319838 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1319838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1319841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319863 */     // GIR_Coverage, 9824,
     /* 1319863 */     GIR_EraseRootFromParent_Done,
     /* 1319864 */   // Label 18892: @1319864
     /* 1319864 */   GIM_Try, /*On fail goto*//*Label 18893*/ GIMT_Encode4(1319948), // Rule ID 9825 //
     /* 1319869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1319872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1319877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1319880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1319883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1319886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1319889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1319892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1319895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1319922 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1319922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1319925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1319927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1319929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1319931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1319933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1319935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1319940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1319943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1319946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1319947 */     // GIR_Coverage, 9825,
     /* 1319947 */     GIR_EraseRootFromParent_Done,
     /* 1319948 */   // Label 18893: @1319948
     /* 1319948 */   GIM_Try, /*On fail goto*//*Label 18894*/ GIMT_Encode4(1320032), // Rule ID 9828 //
     /* 1319953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1319956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1319961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1319964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1319967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1319970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1319973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1319976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1319979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1319995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1319999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320006 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1320009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320031 */     // GIR_Coverage, 9828,
     /* 1320031 */     GIR_EraseRootFromParent_Done,
     /* 1320032 */   // Label 18894: @1320032
     /* 1320032 */   GIM_Try, /*On fail goto*//*Label 18895*/ GIMT_Encode4(1320116), // Rule ID 9829 //
     /* 1320037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1320054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1320057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320090 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1320093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320115 */     // GIR_Coverage, 9829,
     /* 1320115 */     GIR_EraseRootFromParent_Done,
     /* 1320116 */   // Label 18895: @1320116
     /* 1320116 */   GIM_Try, /*On fail goto*//*Label 18896*/ GIMT_Encode4(1320200), // Rule ID 9832 //
     /* 1320121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1320138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1320141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1320177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320199 */     // GIR_Coverage, 9832,
     /* 1320199 */     GIR_EraseRootFromParent_Done,
     /* 1320200 */   // Label 18896: @1320200
     /* 1320200 */   GIM_Try, /*On fail goto*//*Label 18897*/ GIMT_Encode4(1320284), // Rule ID 9833 //
     /* 1320205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1320222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1320225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4_MASK),
     /* 1320261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320283 */     // GIR_Coverage, 9833,
     /* 1320283 */     GIR_EraseRootFromParent_Done,
     /* 1320284 */   // Label 18897: @1320284
     /* 1320284 */   GIM_Try, /*On fail goto*//*Label 18898*/ GIMT_Encode4(1320368), // Rule ID 9836 //
     /* 1320289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1320306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1320309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320342 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1320345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320367 */     // GIR_Coverage, 9836,
     /* 1320367 */     GIR_EraseRootFromParent_Done,
     /* 1320368 */   // Label 18898: @1320368
     /* 1320368 */   GIM_Try, /*On fail goto*//*Label 18899*/ GIMT_Encode4(1320452), // Rule ID 9837 //
     /* 1320373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1320390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1320393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320426 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1320429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320451 */     // GIR_Coverage, 9837,
     /* 1320451 */     GIR_EraseRootFromParent_Done,
     /* 1320452 */   // Label 18899: @1320452
     /* 1320452 */   GIM_Try, /*On fail goto*//*Label 18900*/ GIMT_Encode4(1320536), // Rule ID 9840 //
     /* 1320457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1320474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1320477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320510 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1320513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320535 */     // GIR_Coverage, 9840,
     /* 1320535 */     GIR_EraseRootFromParent_Done,
     /* 1320536 */   // Label 18900: @1320536
     /* 1320536 */   GIM_Try, /*On fail goto*//*Label 18901*/ GIMT_Encode4(1320620), // Rule ID 9841 //
     /* 1320541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1320552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1320555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1320558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1320561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1320564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320594 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2_MASK),
     /* 1320597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1320615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320619 */     // GIR_Coverage, 9841,
     /* 1320619 */     GIR_EraseRootFromParent_Done,
     /* 1320620 */   // Label 18901: @1320620
     /* 1320620 */   GIM_Try, /*On fail goto*//*Label 18902*/ GIMT_Encode4(1320704), // Rule ID 9844 //
     /* 1320625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1320642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1320645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320678 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1320681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320703 */     // GIR_Coverage, 9844,
     /* 1320703 */     GIR_EraseRootFromParent_Done,
     /* 1320704 */   // Label 18902: @1320704
     /* 1320704 */   GIM_Try, /*On fail goto*//*Label 18903*/ GIMT_Encode4(1320788), // Rule ID 9845 //
     /* 1320709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1320720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1320723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1320726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1320729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1320732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320762 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1320765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1320783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320787 */     // GIR_Coverage, 9845,
     /* 1320787 */     GIR_EraseRootFromParent_Done,
     /* 1320788 */   // Label 18903: @1320788
     /* 1320788 */   GIM_Try, /*On fail goto*//*Label 18904*/ GIMT_Encode4(1320872), // Rule ID 9848 //
     /* 1320793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320846 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1320846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1320849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320871 */     // GIR_Coverage, 9848,
     /* 1320871 */     GIR_EraseRootFromParent_Done,
     /* 1320872 */   // Label 18904: @1320872
     /* 1320872 */   GIM_Try, /*On fail goto*//*Label 18905*/ GIMT_Encode4(1320956), // Rule ID 9849 //
     /* 1320877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1320880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1320888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1320891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1320894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1320897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1320900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1320903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1320923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1320930 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1320930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1320933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1320935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1320937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1320939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1320941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1320943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1320948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1320951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1320954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1320955 */     // GIR_Coverage, 9849,
     /* 1320955 */     GIR_EraseRootFromParent_Done,
     /* 1320956 */   // Label 18905: @1320956
     /* 1320956 */   GIM_Try, /*On fail goto*//*Label 18906*/ GIMT_Encode4(1321040), // Rule ID 9852 //
     /* 1320961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1320964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1320969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1320972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1320975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1320978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1320981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1320984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1320987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1320999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321014 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1321017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321039 */     // GIR_Coverage, 9852,
     /* 1321039 */     GIR_EraseRootFromParent_Done,
     /* 1321040 */   // Label 18906: @1321040
     /* 1321040 */   GIM_Try, /*On fail goto*//*Label 18907*/ GIMT_Encode4(1321124), // Rule ID 9853 //
     /* 1321045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1321056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1321059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1321062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1321065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1321068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321098 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1321101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1321119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321123 */     // GIR_Coverage, 9853,
     /* 1321123 */     GIR_EraseRootFromParent_Done,
     /* 1321124 */   // Label 18907: @1321124
     /* 1321124 */   GIM_Try, /*On fail goto*//*Label 18908*/ GIMT_Encode4(1321208), // Rule ID 9856 //
     /* 1321129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1321132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1321146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1321149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321182 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1321185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321207 */     // GIR_Coverage, 9856,
     /* 1321207 */     GIR_EraseRootFromParent_Done,
     /* 1321208 */   // Label 18908: @1321208
     /* 1321208 */   GIM_Try, /*On fail goto*//*Label 18909*/ GIMT_Encode4(1321292), // Rule ID 9857 //
     /* 1321213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1321216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1321224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1321227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1321230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1321233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1321236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321266 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1_MASK),
     /* 1321269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1321287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321291 */     // GIR_Coverage, 9857,
     /* 1321291 */     GIR_EraseRootFromParent_Done,
     /* 1321292 */   // Label 18909: @1321292
     /* 1321292 */   GIM_Try, /*On fail goto*//*Label 18910*/ GIMT_Encode4(1321376), // Rule ID 9860 //
     /* 1321297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1321314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1321317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321350 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1321353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321375 */     // GIR_Coverage, 9860,
     /* 1321375 */     GIR_EraseRootFromParent_Done,
     /* 1321376 */   // Label 18910: @1321376
     /* 1321376 */   GIM_Try, /*On fail goto*//*Label 18911*/ GIMT_Encode4(1321460), // Rule ID 9861 //
     /* 1321381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1321398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1321401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321434 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1321437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321459 */     // GIR_Coverage, 9861,
     /* 1321459 */     GIR_EraseRootFromParent_Done,
     /* 1321460 */   // Label 18911: @1321460
     /* 1321460 */   GIM_Try, /*On fail goto*//*Label 18912*/ GIMT_Encode4(1321544), // Rule ID 9864 //
     /* 1321465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1321476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1321479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1321482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1321485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1321521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321543 */     // GIR_Coverage, 9864,
     /* 1321543 */     GIR_EraseRootFromParent_Done,
     /* 1321544 */   // Label 18912: @1321544
     /* 1321544 */   GIM_Try, /*On fail goto*//*Label 18913*/ GIMT_Encode4(1321628), // Rule ID 9865 //
     /* 1321549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1321560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1321563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1321566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1321569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1321572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1321591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321602 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1321605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321627 */     // GIR_Coverage, 9865,
     /* 1321627 */     GIR_EraseRootFromParent_Done,
     /* 1321628 */   // Label 18913: @1321628
     /* 1321628 */   GIM_Try, /*On fail goto*//*Label 18914*/ GIMT_Encode4(1321712), // Rule ID 9868 //
     /* 1321633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1321644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1321647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1321650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1321653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1321656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321686 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1321689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321711 */     // GIR_Coverage, 9868,
     /* 1321711 */     GIR_EraseRootFromParent_Done,
     /* 1321712 */   // Label 18914: @1321712
     /* 1321712 */   GIM_Try, /*On fail goto*//*Label 18915*/ GIMT_Encode4(1321796), // Rule ID 9869 //
     /* 1321717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s1,
     /* 1321728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s1,
     /* 1321731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1321734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1321737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1321740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1321759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321770 */     // (intrinsic_wo_chain:{ *:[nxv64i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv64i1] } VR:{ *:[nxv64i1] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1321773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1321791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321795 */     // GIR_Coverage, 9869,
     /* 1321795 */     GIR_EraseRootFromParent_Done,
     /* 1321796 */   // Label 18915: @1321796
     /* 1321796 */   GIM_Try, /*On fail goto*//*Label 18916*/ GIMT_Encode4(1321880), // Rule ID 9872 //
     /* 1321801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1321821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321854 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1321854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1321857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321879 */     // GIR_Coverage, 9872,
     /* 1321879 */     GIR_EraseRootFromParent_Done,
     /* 1321880 */   // Label 18916: @1321880
     /* 1321880 */   GIM_Try, /*On fail goto*//*Label 18917*/ GIMT_Encode4(1321964), // Rule ID 9873 //
     /* 1321885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1321888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1321896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1321899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1321902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1321905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1321908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1321911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1321927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1321931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1321938 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1321938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1321941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1321943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1321945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1321947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1321949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1321951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1321956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1321959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1321962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1321963 */     // GIR_Coverage, 9873,
     /* 1321963 */     GIR_EraseRootFromParent_Done,
     /* 1321964 */   // Label 18917: @1321964
     /* 1321964 */   GIM_Try, /*On fail goto*//*Label 18918*/ GIMT_Encode4(1322048), // Rule ID 9876 //
     /* 1321969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1321972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1321977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1321980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1321983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1321986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1321989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1321992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1321995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1321999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322022 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1322025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322047 */     // GIR_Coverage, 9876,
     /* 1322047 */     GIR_EraseRootFromParent_Done,
     /* 1322048 */   // Label 18918: @1322048
     /* 1322048 */   GIM_Try, /*On fail goto*//*Label 18919*/ GIMT_Encode4(1322132), // Rule ID 9877 //
     /* 1322053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1322070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1322073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322106 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1322109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322131 */     // GIR_Coverage, 9877,
     /* 1322131 */     GIR_EraseRootFromParent_Done,
     /* 1322132 */   // Label 18919: @1322132
     /* 1322132 */   GIM_Try, /*On fail goto*//*Label 18920*/ GIMT_Encode4(1322216), // Rule ID 9880 //
     /* 1322137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1322148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1322151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1322154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1322157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1322160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322190 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1322193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322215 */     // GIR_Coverage, 9880,
     /* 1322215 */     GIR_EraseRootFromParent_Done,
     /* 1322216 */   // Label 18920: @1322216
     /* 1322216 */   GIM_Try, /*On fail goto*//*Label 18921*/ GIMT_Encode4(1322300), // Rule ID 9881 //
     /* 1322221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1322232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1322235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1322238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1322241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1322244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322274 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1322277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1322295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322299 */     // GIR_Coverage, 9881,
     /* 1322299 */     GIR_EraseRootFromParent_Done,
     /* 1322300 */   // Label 18921: @1322300
     /* 1322300 */   GIM_Try, /*On fail goto*//*Label 18922*/ GIMT_Encode4(1322384), // Rule ID 9884 //
     /* 1322305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1322322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1322325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322358 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1322361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322383 */     // GIR_Coverage, 9884,
     /* 1322383 */     GIR_EraseRootFromParent_Done,
     /* 1322384 */   // Label 18922: @1322384
     /* 1322384 */   GIM_Try, /*On fail goto*//*Label 18923*/ GIMT_Encode4(1322468), // Rule ID 9885 //
     /* 1322389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1322406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1322409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1322412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1322445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322467 */     // GIR_Coverage, 9885,
     /* 1322467 */     GIR_EraseRootFromParent_Done,
     /* 1322468 */   // Label 18923: @1322468
     /* 1322468 */   GIM_Try, /*On fail goto*//*Label 18924*/ GIMT_Encode4(1322552), // Rule ID 9888 //
     /* 1322473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1322493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1322529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322551 */     // GIR_Coverage, 9888,
     /* 1322551 */     GIR_EraseRootFromParent_Done,
     /* 1322552 */   // Label 18924: @1322552
     /* 1322552 */   GIM_Try, /*On fail goto*//*Label 18925*/ GIMT_Encode4(1322636), // Rule ID 9889 //
     /* 1322557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1322568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1322571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1322574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1322577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1322580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1322599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322610 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1322613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322635 */     // GIR_Coverage, 9889,
     /* 1322635 */     GIR_EraseRootFromParent_Done,
     /* 1322636 */   // Label 18925: @1322636
     /* 1322636 */   GIM_Try, /*On fail goto*//*Label 18926*/ GIMT_Encode4(1322720), // Rule ID 9892 //
     /* 1322641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1322644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1322661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322694 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1322697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322719 */     // GIR_Coverage, 9892,
     /* 1322719 */     GIR_EraseRootFromParent_Done,
     /* 1322720 */   // Label 18926: @1322720
     /* 1322720 */   GIM_Try, /*On fail goto*//*Label 18927*/ GIMT_Encode4(1322804), // Rule ID 9893 //
     /* 1322725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1322728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1322736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1322739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1322742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1322745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1322748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1322767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322778 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1322781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1322799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322803 */     // GIR_Coverage, 9893,
     /* 1322803 */     GIR_EraseRootFromParent_Done,
     /* 1322804 */   // Label 18927: @1322804
     /* 1322804 */   GIM_Try, /*On fail goto*//*Label 18928*/ GIMT_Encode4(1322888), // Rule ID 9896 //
     /* 1322809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1322829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1322835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1322862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1322865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322887 */     // GIR_Coverage, 9896,
     /* 1322887 */     GIR_EraseRootFromParent_Done,
     /* 1322888 */   // Label 18928: @1322888
     /* 1322888 */   GIM_Try, /*On fail goto*//*Label 18929*/ GIMT_Encode4(1322972), // Rule ID 9897 //
     /* 1322893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1322896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1322904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1322907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1322910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1322913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1322916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1322919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1322927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1322935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1322939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1322946 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1322946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2_MASK),
     /* 1322949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1322951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1322953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1322955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1322957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1322959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1322964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1322967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1322970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1322971 */     // GIR_Coverage, 9897,
     /* 1322971 */     GIR_EraseRootFromParent_Done,
     /* 1322972 */   // Label 18929: @1322972
     /* 1322972 */   GIM_Try, /*On fail goto*//*Label 18930*/ GIMT_Encode4(1323056), // Rule ID 9900 //
     /* 1322977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1322980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1322985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1322988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1322991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1322994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1322997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323030 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1323033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1323039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1323041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323055 */     // GIR_Coverage, 9900,
     /* 1323055 */     GIR_EraseRootFromParent_Done,
     /* 1323056 */   // Label 18930: @1323056
     /* 1323056 */   GIM_Try, /*On fail goto*//*Label 18931*/ GIMT_Encode4(1323140), // Rule ID 9901 //
     /* 1323061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1323064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1323069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1323072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1323075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1323078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1323081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1323103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323114 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4_MASK),
     /* 1323117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1323123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1323125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323139 */     // GIR_Coverage, 9901,
     /* 1323139 */     GIR_EraseRootFromParent_Done,
     /* 1323140 */   // Label 18931: @1323140
     /* 1323140 */   GIM_Try, /*On fail goto*//*Label 18932*/ GIMT_Encode4(1323224), // Rule ID 9904 //
     /* 1323145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1323148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1323153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1323162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1323165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323198 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1323198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1323201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1323207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1323209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323223 */     // GIR_Coverage, 9904,
     /* 1323223 */     GIR_EraseRootFromParent_Done,
     /* 1323224 */   // Label 18932: @1323224
     /* 1323224 */   GIM_Try, /*On fail goto*//*Label 18933*/ GIMT_Encode4(1323308), // Rule ID 9905 //
     /* 1323229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1323232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmsge_mask),
     /* 1323237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1323240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1323243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1323246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1323249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1323252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1323271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323282 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11448:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1323282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8_MASK),
     /* 1323285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1323291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1323293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1323303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1323306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323307 */     // GIR_Coverage, 9905,
     /* 1323307 */     GIR_EraseRootFromParent_Done,
     /* 1323308 */   // Label 18933: @1323308
     /* 1323308 */   GIM_Try, /*On fail goto*//*Label 18934*/ GIMT_Encode4(1323389), // Rule ID 13846 //
     /* 1323313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1323324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1323327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1323330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1323333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1323366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1323369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323388 */     // GIR_Coverage, 13846,
     /* 1323388 */     GIR_EraseRootFromParent_Done,
     /* 1323389 */   // Label 18934: @1323389
     /* 1323389 */   GIM_Try, /*On fail goto*//*Label 18935*/ GIMT_Encode4(1323470), // Rule ID 13847 //
     /* 1323394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1323405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1323408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1323411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1323414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323447 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1323447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 1323450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323469 */     // GIR_Coverage, 13847,
     /* 1323469 */     GIR_EraseRootFromParent_Done,
     /* 1323470 */   // Label 18935: @1323470
     /* 1323470 */   GIM_Try, /*On fail goto*//*Label 18936*/ GIMT_Encode4(1323551), // Rule ID 13848 //
     /* 1323475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1323486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1323489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1323492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1323495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323528 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1323528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1323531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323550 */     // GIR_Coverage, 13848,
     /* 1323550 */     GIR_EraseRootFromParent_Done,
     /* 1323551 */   // Label 18936: @1323551
     /* 1323551 */   GIM_Try, /*On fail goto*//*Label 18937*/ GIMT_Encode4(1323632), // Rule ID 13849 //
     /* 1323556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1323567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1323570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1323573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1323576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323609 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1323609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1323612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323631 */     // GIR_Coverage, 13849,
     /* 1323631 */     GIR_EraseRootFromParent_Done,
     /* 1323632 */   // Label 18937: @1323632
     /* 1323632 */   GIM_Try, /*On fail goto*//*Label 18938*/ GIMT_Encode4(1323713), // Rule ID 13850 //
     /* 1323637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1323648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1323651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1323654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1323657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323690 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1323690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1323693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323712 */     // GIR_Coverage, 13850,
     /* 1323712 */     GIR_EraseRootFromParent_Done,
     /* 1323713 */   // Label 18938: @1323713
     /* 1323713 */   GIM_Try, /*On fail goto*//*Label 18939*/ GIMT_Encode4(1323794), // Rule ID 13851 //
     /* 1323718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1323729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1323732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1323735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1323738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1323741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323771 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1323771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1323774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1323792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323793 */     // GIR_Coverage, 13851,
     /* 1323793 */     GIR_EraseRootFromParent_Done,
     /* 1323794 */   // Label 18939: @1323794
     /* 1323794 */   GIM_Try, /*On fail goto*//*Label 18940*/ GIMT_Encode4(1323875), // Rule ID 13852 //
     /* 1323799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1323810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1323813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1323819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1323852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1323855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323874 */     // GIR_Coverage, 13852,
     /* 1323874 */     GIR_EraseRootFromParent_Done,
     /* 1323875 */   // Label 18940: @1323875
     /* 1323875 */   GIM_Try, /*On fail goto*//*Label 18941*/ GIMT_Encode4(1323956), // Rule ID 13853 //
     /* 1323880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1323883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1323891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1323894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1323897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1323900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1323903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1323906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1323926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1323933 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1323933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1323936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1323938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1323940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1323942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1323944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1323946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1323951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1323954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1323955 */     // GIR_Coverage, 13853,
     /* 1323955 */     GIR_EraseRootFromParent_Done,
     /* 1323956 */   // Label 18941: @1323956
     /* 1323956 */   GIM_Try, /*On fail goto*//*Label 18942*/ GIMT_Encode4(1324037), // Rule ID 13854 //
     /* 1323961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1323964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1323969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1323972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1323975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1323978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1323981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1323984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1323987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1323991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1323999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1324014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1324017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324036 */     // GIR_Coverage, 13854,
     /* 1324036 */     GIR_EraseRootFromParent_Done,
     /* 1324037 */   // Label 18942: @1324037
     /* 1324037 */   GIM_Try, /*On fail goto*//*Label 18943*/ GIMT_Encode4(1324118), // Rule ID 13855 //
     /* 1324042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1324053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1324056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1324059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1324062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324095 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1324095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1324098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324117 */     // GIR_Coverage, 13855,
     /* 1324117 */     GIR_EraseRootFromParent_Done,
     /* 1324118 */   // Label 18943: @1324118
     /* 1324118 */   GIM_Try, /*On fail goto*//*Label 18944*/ GIMT_Encode4(1324199), // Rule ID 13856 //
     /* 1324123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1324134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1324137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1324176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1324179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324198 */     // GIR_Coverage, 13856,
     /* 1324198 */     GIR_EraseRootFromParent_Done,
     /* 1324199 */   // Label 18944: @1324199
     /* 1324199 */   GIM_Try, /*On fail goto*//*Label 18945*/ GIMT_Encode4(1324280), // Rule ID 13857 //
     /* 1324204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1324215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1324218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1324221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1324224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324257 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1324257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1324260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324279 */     // GIR_Coverage, 13857,
     /* 1324279 */     GIR_EraseRootFromParent_Done,
     /* 1324280 */   // Label 18945: @1324280
     /* 1324280 */   GIM_Try, /*On fail goto*//*Label 18946*/ GIMT_Encode4(1324361), // Rule ID 13858 //
     /* 1324285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1324302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1324305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324338 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1324338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1324341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324360 */     // GIR_Coverage, 13858,
     /* 1324360 */     GIR_EraseRootFromParent_Done,
     /* 1324361 */   // Label 18946: @1324361
     /* 1324361 */   GIM_Try, /*On fail goto*//*Label 18947*/ GIMT_Encode4(1324442), // Rule ID 13859 //
     /* 1324366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1324377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1324380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1324383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1324386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1324389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324419 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1324419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1324422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1324440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324441 */     // GIR_Coverage, 13859,
     /* 1324441 */     GIR_EraseRootFromParent_Done,
     /* 1324442 */   // Label 18947: @1324442
     /* 1324442 */   GIM_Try, /*On fail goto*//*Label 18948*/ GIMT_Encode4(1324523), // Rule ID 13860 //
     /* 1324447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324500 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1324500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1324503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324522 */     // GIR_Coverage, 13860,
     /* 1324522 */     GIR_EraseRootFromParent_Done,
     /* 1324523 */   // Label 18948: @1324523
     /* 1324523 */   GIM_Try, /*On fail goto*//*Label 18949*/ GIMT_Encode4(1324604), // Rule ID 13861 //
     /* 1324528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1324539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1324542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1324545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1324548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1324551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324581 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1324581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1324584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1324602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324603 */     // GIR_Coverage, 13861,
     /* 1324603 */     GIR_EraseRootFromParent_Done,
     /* 1324604 */   // Label 18949: @1324604
     /* 1324604 */   GIM_Try, /*On fail goto*//*Label 18950*/ GIMT_Encode4(1324685), // Rule ID 13862 //
     /* 1324609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1324620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1324623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1324662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1324665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324684 */     // GIR_Coverage, 13862,
     /* 1324684 */     GIR_EraseRootFromParent_Done,
     /* 1324685 */   // Label 18950: @1324685
     /* 1324685 */   GIM_Try, /*On fail goto*//*Label 18951*/ GIMT_Encode4(1324766), // Rule ID 13863 //
     /* 1324690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1324693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1324701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1324704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1324707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1324710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1324713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324743 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1324743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1324746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1324764 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324765 */     // GIR_Coverage, 13863,
     /* 1324765 */     GIR_EraseRootFromParent_Done,
     /* 1324766 */   // Label 18951: @1324766
     /* 1324766 */   GIM_Try, /*On fail goto*//*Label 18952*/ GIMT_Encode4(1324847), // Rule ID 13864 //
     /* 1324771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1324774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1324782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1324785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1324791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324824 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1324824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1324827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324846 */     // GIR_Coverage, 13864,
     /* 1324846 */     GIR_EraseRootFromParent_Done,
     /* 1324847 */   // Label 18952: @1324847
     /* 1324847 */   GIM_Try, /*On fail goto*//*Label 18953*/ GIMT_Encode4(1324928), // Rule ID 13865 //
     /* 1324852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1324855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1324863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1324866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1324869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1324872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1324875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1324878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1324882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1324894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324905 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1324905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1324908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1324923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1324926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1324927 */     // GIR_Coverage, 13865,
     /* 1324927 */     GIR_EraseRootFromParent_Done,
     /* 1324928 */   // Label 18953: @1324928
     /* 1324928 */   GIM_Try, /*On fail goto*//*Label 18954*/ GIMT_Encode4(1325009), // Rule ID 13866 //
     /* 1324933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1324936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1324941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1324944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1324947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1324950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1324953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1324956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1324959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1324963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1324975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1324979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1324986 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1324986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1324989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1324991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1324993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1324995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1324997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1324999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325008 */     // GIR_Coverage, 13866,
     /* 1325008 */     GIR_EraseRootFromParent_Done,
     /* 1325009 */   // Label 18954: @1325009
     /* 1325009 */   GIM_Try, /*On fail goto*//*Label 18955*/ GIMT_Encode4(1325090), // Rule ID 13867 //
     /* 1325014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1325025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1325028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1325031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1325034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325067 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1325067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1325070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325089 */     // GIR_Coverage, 13867,
     /* 1325089 */     GIR_EraseRootFromParent_Done,
     /* 1325090 */   // Label 18955: @1325090
     /* 1325090 */   GIM_Try, /*On fail goto*//*Label 18956*/ GIMT_Encode4(1325171), // Rule ID 13868 //
     /* 1325095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1325106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1325109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1325112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1325115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325148 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1325148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1325151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325170 */     // GIR_Coverage, 13868,
     /* 1325170 */     GIR_EraseRootFromParent_Done,
     /* 1325171 */   // Label 18956: @1325171
     /* 1325171 */   GIM_Try, /*On fail goto*//*Label 18957*/ GIMT_Encode4(1325252), // Rule ID 13869 //
     /* 1325176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1325187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1325190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1325193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1325196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325229 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1325229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1325232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325251 */     // GIR_Coverage, 13869,
     /* 1325251 */     GIR_EraseRootFromParent_Done,
     /* 1325252 */   // Label 18957: @1325252
     /* 1325252 */   GIM_Try, /*On fail goto*//*Label 18958*/ GIMT_Encode4(1325333), // Rule ID 13870 //
     /* 1325257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1325268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1325271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1325274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1325277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1325280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325310 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1325310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1325313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325332 */     // GIR_Coverage, 13870,
     /* 1325332 */     GIR_EraseRootFromParent_Done,
     /* 1325333 */   // Label 18958: @1325333
     /* 1325333 */   GIM_Try, /*On fail goto*//*Label 18959*/ GIMT_Encode4(1325414), // Rule ID 13871 //
     /* 1325338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1325349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1325352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1325355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1325358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1325361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325391 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1325391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1325394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1325412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325413 */     // GIR_Coverage, 13871,
     /* 1325413 */     GIR_EraseRootFromParent_Done,
     /* 1325414 */   // Label 18959: @1325414
     /* 1325414 */   GIM_Try, /*On fail goto*//*Label 18960*/ GIMT_Encode4(1325495), // Rule ID 13872 //
     /* 1325419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1325430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1325433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1325472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1325475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325494 */     // GIR_Coverage, 13872,
     /* 1325494 */     GIR_EraseRootFromParent_Done,
     /* 1325495 */   // Label 18960: @1325495
     /* 1325495 */   GIM_Try, /*On fail goto*//*Label 18961*/ GIMT_Encode4(1325576), // Rule ID 13873 //
     /* 1325500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1325511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1325514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1325517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1325520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1325523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325553 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1325553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1325556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325575 */     // GIR_Coverage, 13873,
     /* 1325575 */     GIR_EraseRootFromParent_Done,
     /* 1325576 */   // Label 18961: @1325576
     /* 1325576 */   GIM_Try, /*On fail goto*//*Label 18962*/ GIMT_Encode4(1325657), // Rule ID 13874 //
     /* 1325581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1325592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1325595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1325634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1325637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325656 */     // GIR_Coverage, 13874,
     /* 1325656 */     GIR_EraseRootFromParent_Done,
     /* 1325657 */   // Label 18962: @1325657
     /* 1325657 */   GIM_Try, /*On fail goto*//*Label 18963*/ GIMT_Encode4(1325738), // Rule ID 13875 //
     /* 1325662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1325673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1325676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1325679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1325682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1325685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1325692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1325704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325715 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1325715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1325718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325736 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325737 */     // GIR_Coverage, 13875,
     /* 1325737 */     GIR_EraseRootFromParent_Done,
     /* 1325738 */   // Label 18963: @1325738
     /* 1325738 */   GIM_Try, /*On fail goto*//*Label 18964*/ GIMT_Encode4(1325819), // Rule ID 13876 //
     /* 1325743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1325754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1325757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325796 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1325796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1325799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325818 */     // GIR_Coverage, 13876,
     /* 1325818 */     GIR_EraseRootFromParent_Done,
     /* 1325819 */   // Label 18964: @1325819
     /* 1325819 */   GIM_Try, /*On fail goto*//*Label 18965*/ GIMT_Encode4(1325900), // Rule ID 13877 //
     /* 1325824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1325835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1325838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1325841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1325844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1325847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1325850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1325854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1325866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325877 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1325877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1325880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1325898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325899 */     // GIR_Coverage, 13877,
     /* 1325899 */     GIR_EraseRootFromParent_Done,
     /* 1325900 */   // Label 18965: @1325900
     /* 1325900 */   GIM_Try, /*On fail goto*//*Label 18966*/ GIMT_Encode4(1325981), // Rule ID 13878 //
     /* 1325905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1325908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1325916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1325919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1325922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1325925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1325928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1325931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1325935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1325947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1325951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1325958 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1325958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1325961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1325963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1325965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1325967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1325969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1325971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1325976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1325979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1325980 */     // GIR_Coverage, 13878,
     /* 1325980 */     GIR_EraseRootFromParent_Done,
     /* 1325981 */   // Label 18966: @1325981
     /* 1325981 */   GIM_Try, /*On fail goto*//*Label 18967*/ GIMT_Encode4(1326062), // Rule ID 13879 //
     /* 1325986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1325989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1325994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1325997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1326000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1326003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1326006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1326016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326039 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1326039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1326042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326061 */     // GIR_Coverage, 13879,
     /* 1326061 */     GIR_EraseRootFromParent_Done,
     /* 1326062 */   // Label 18967: @1326062
     /* 1326062 */   GIM_Try, /*On fail goto*//*Label 18968*/ GIMT_Encode4(1326143), // Rule ID 13880 //
     /* 1326067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1326078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1326081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1326084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1326087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1326097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326120 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1326120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1326123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326142 */     // GIR_Coverage, 13880,
     /* 1326142 */     GIR_EraseRootFromParent_Done,
     /* 1326143 */   // Label 18968: @1326143
     /* 1326143 */   GIM_Try, /*On fail goto*//*Label 18969*/ GIMT_Encode4(1326224), // Rule ID 13881 //
     /* 1326148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1326159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1326162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1326165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1326168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1326178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326201 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1326201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1326204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326223 */     // GIR_Coverage, 13881,
     /* 1326223 */     GIR_EraseRootFromParent_Done,
     /* 1326224 */   // Label 18969: @1326224
     /* 1326224 */   GIM_Try, /*On fail goto*//*Label 18970*/ GIMT_Encode4(1326305), // Rule ID 13882 //
     /* 1326229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1326240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1326243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1326282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1326285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326304 */     // GIR_Coverage, 13882,
     /* 1326304 */     GIR_EraseRootFromParent_Done,
     /* 1326305 */   // Label 18970: @1326305
     /* 1326305 */   GIM_Try, /*On fail goto*//*Label 18971*/ GIMT_Encode4(1326386), // Rule ID 13883 //
     /* 1326310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1326321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1326324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1326327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1326330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1326333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326363 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1326363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1326366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1326384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326385 */     // GIR_Coverage, 13883,
     /* 1326385 */     GIR_EraseRootFromParent_Done,
     /* 1326386 */   // Label 18971: @1326386
     /* 1326386 */   GIM_Try, /*On fail goto*//*Label 18972*/ GIMT_Encode4(1326467), // Rule ID 13884 //
     /* 1326391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1326394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1326402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1326405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1326421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1326444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1326447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326466 */     // GIR_Coverage, 13884,
     /* 1326466 */     GIR_EraseRootFromParent_Done,
     /* 1326467 */   // Label 18972: @1326467
     /* 1326467 */   GIM_Try, /*On fail goto*//*Label 18973*/ GIMT_Encode4(1326548), // Rule ID 13885 //
     /* 1326472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1326475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1326483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1326486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1326489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1326492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1326495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1326502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1326514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326525 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1326525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1326528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326547 */     // GIR_Coverage, 13885,
     /* 1326547 */     GIR_EraseRootFromParent_Done,
     /* 1326548 */   // Label 18973: @1326548
     /* 1326548 */   GIM_Try, /*On fail goto*//*Label 18974*/ GIMT_Encode4(1326629), // Rule ID 13886 //
     /* 1326553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1326556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1326564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1326567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1326583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326606 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1326606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1326609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326628 */     // GIR_Coverage, 13886,
     /* 1326628 */     GIR_EraseRootFromParent_Done,
     /* 1326629 */   // Label 18974: @1326629
     /* 1326629 */   GIM_Try, /*On fail goto*//*Label 18975*/ GIMT_Encode4(1326710), // Rule ID 13887 //
     /* 1326634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1326637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1326645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1326648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1326651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1326654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1326657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1326664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1326676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326687 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1326687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1326690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326709 */     // GIR_Coverage, 13887,
     /* 1326709 */     GIR_EraseRootFromParent_Done,
     /* 1326710 */   // Label 18975: @1326710
     /* 1326710 */   GIM_Try, /*On fail goto*//*Label 18976*/ GIMT_Encode4(1326791), // Rule ID 13888 //
     /* 1326715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1326718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1326726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1326729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1326768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1326771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326790 */     // GIR_Coverage, 13888,
     /* 1326790 */     GIR_EraseRootFromParent_Done,
     /* 1326791 */   // Label 18976: @1326791
     /* 1326791 */   GIM_Try, /*On fail goto*//*Label 18977*/ GIMT_Encode4(1326872), // Rule ID 13889 //
     /* 1326796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1326799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1326807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1326810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1326813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1326816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1326819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1326826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1326838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326849 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1326849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1326852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1326870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326871 */     // GIR_Coverage, 13889,
     /* 1326871 */     GIR_EraseRootFromParent_Done,
     /* 1326872 */   // Label 18977: @1326872
     /* 1326872 */   GIM_Try, /*On fail goto*//*Label 18978*/ GIMT_Encode4(1326953), // Rule ID 13890 //
     /* 1326877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1326880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1326888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1326891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1326894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1326897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1326903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1326919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1326923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1326930 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1326930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1326933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1326935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1326937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1326939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1326941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1326943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1326948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1326951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1326952 */     // GIR_Coverage, 13890,
     /* 1326952 */     GIR_EraseRootFromParent_Done,
     /* 1326953 */   // Label 18978: @1326953
     /* 1326953 */   GIM_Try, /*On fail goto*//*Label 18979*/ GIMT_Encode4(1327034), // Rule ID 13891 //
     /* 1326958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1326961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1326966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1326969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1326972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1326975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1326978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1326981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1326984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1326988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1326996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327011 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1327011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF8),
     /* 1327014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327032 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327033 */     // GIR_Coverage, 13891,
     /* 1327033 */     GIR_EraseRootFromParent_Done,
     /* 1327034 */   // Label 18979: @1327034
     /* 1327034 */   GIM_Try, /*On fail goto*//*Label 18980*/ GIMT_Encode4(1327115), // Rule ID 13892 //
     /* 1327039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1327050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1327053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1327056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1327092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1327095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327114 */     // GIR_Coverage, 13892,
     /* 1327114 */     GIR_EraseRootFromParent_Done,
     /* 1327115 */   // Label 18980: @1327115
     /* 1327115 */   GIM_Try, /*On fail goto*//*Label 18981*/ GIMT_Encode4(1327196), // Rule ID 13893 //
     /* 1327120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1327131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1327134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1327137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327173 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1327173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1327176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327195 */     // GIR_Coverage, 13893,
     /* 1327195 */     GIR_EraseRootFromParent_Done,
     /* 1327196 */   // Label 18981: @1327196
     /* 1327196 */   GIM_Try, /*On fail goto*//*Label 18982*/ GIMT_Encode4(1327277), // Rule ID 13894 //
     /* 1327201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1327212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1327215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1327218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327254 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1327254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1327257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327276 */     // GIR_Coverage, 13894,
     /* 1327276 */     GIR_EraseRootFromParent_Done,
     /* 1327277 */   // Label 18982: @1327277
     /* 1327277 */   GIM_Try, /*On fail goto*//*Label 18983*/ GIMT_Encode4(1327358), // Rule ID 13895 //
     /* 1327282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1327293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1327296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1327299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1327305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327335 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1327335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1327338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327357 */     // GIR_Coverage, 13895,
     /* 1327357 */     GIR_EraseRootFromParent_Done,
     /* 1327358 */   // Label 18983: @1327358
     /* 1327358 */   GIM_Try, /*On fail goto*//*Label 18984*/ GIMT_Encode4(1327439), // Rule ID 13896 //
     /* 1327363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1327374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1327377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327416 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1327416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1327419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327438 */     // GIR_Coverage, 13896,
     /* 1327438 */     GIR_EraseRootFromParent_Done,
     /* 1327439 */   // Label 18984: @1327439
     /* 1327439 */   GIM_Try, /*On fail goto*//*Label 18985*/ GIMT_Encode4(1327520), // Rule ID 13897 //
     /* 1327444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1327455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1327458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1327461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327497 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1327497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF4),
     /* 1327500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327519 */     // GIR_Coverage, 13897,
     /* 1327519 */     GIR_EraseRootFromParent_Done,
     /* 1327520 */   // Label 18985: @1327520
     /* 1327520 */   GIM_Try, /*On fail goto*//*Label 18986*/ GIMT_Encode4(1327601), // Rule ID 13898 //
     /* 1327525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1327536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1327539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1327542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327578 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1327578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1327581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327600 */     // GIR_Coverage, 13898,
     /* 1327600 */     GIR_EraseRootFromParent_Done,
     /* 1327601 */   // Label 18986: @1327601
     /* 1327601 */   GIM_Try, /*On fail goto*//*Label 18987*/ GIMT_Encode4(1327682), // Rule ID 13899 //
     /* 1327606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1327617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1327620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1327623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1327629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327659 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1327659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1327662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1327680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327681 */     // GIR_Coverage, 13899,
     /* 1327681 */     GIR_EraseRootFromParent_Done,
     /* 1327682 */   // Label 18987: @1327682
     /* 1327682 */   GIM_Try, /*On fail goto*//*Label 18988*/ GIMT_Encode4(1327763), // Rule ID 13900 //
     /* 1327687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1327698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1327701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327740 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1327740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1327743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327762 */     // GIR_Coverage, 13900,
     /* 1327762 */     GIR_EraseRootFromParent_Done,
     /* 1327763 */   // Label 18988: @1327763
     /* 1327763 */   GIM_Try, /*On fail goto*//*Label 18989*/ GIMT_Encode4(1327844), // Rule ID 13901 //
     /* 1327768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1327779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1327782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1327785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1327791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327821 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1327821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_MF2),
     /* 1327824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1327842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327843 */     // GIR_Coverage, 13901,
     /* 1327843 */     GIR_EraseRootFromParent_Done,
     /* 1327844 */   // Label 18989: @1327844
     /* 1327844 */   GIM_Try, /*On fail goto*//*Label 18990*/ GIMT_Encode4(1327925), // Rule ID 13902 //
     /* 1327849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1327852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1327860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1327863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1327866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1327869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1327875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1327902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1327905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1327920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1327923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1327924 */     // GIR_Coverage, 13902,
     /* 1327924 */     GIR_EraseRootFromParent_Done,
     /* 1327925 */   // Label 18990: @1327925
     /* 1327925 */   GIM_Try, /*On fail goto*//*Label 18991*/ GIMT_Encode4(1328006), // Rule ID 13903 //
     /* 1327930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1327933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1327938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1327941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1327944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1327947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1327950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1327953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1327956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1327960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1327968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1327972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1327976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1327983 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11419:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1327983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1327986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1327988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1327990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1327992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1327994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1327996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328004 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328005 */     // GIR_Coverage, 13903,
     /* 1328005 */     GIR_EraseRootFromParent_Done,
     /* 1328006 */   // Label 18991: @1328006
     /* 1328006 */   GIM_Try, /*On fail goto*//*Label 18992*/ GIMT_Encode4(1328087), // Rule ID 13904 //
     /* 1328011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1328022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1328025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328064 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1328064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1328067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328086 */     // GIR_Coverage, 13904,
     /* 1328086 */     GIR_EraseRootFromParent_Done,
     /* 1328087 */   // Label 18992: @1328087
     /* 1328087 */   GIM_Try, /*On fail goto*//*Label 18993*/ GIMT_Encode4(1328168), // Rule ID 13905 //
     /* 1328092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1328103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1328106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1328109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1328115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328145 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1328145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1328148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1328166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328167 */     // GIR_Coverage, 13905,
     /* 1328167 */     GIR_EraseRootFromParent_Done,
     /* 1328168 */   // Label 18993: @1328168
     /* 1328168 */   GIM_Try, /*On fail goto*//*Label 18994*/ GIMT_Encode4(1328249), // Rule ID 13906 //
     /* 1328173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1328184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1328187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1328190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1328226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1328229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328248 */     // GIR_Coverage, 13906,
     /* 1328248 */     GIR_EraseRootFromParent_Done,
     /* 1328249 */   // Label 18994: @1328249
     /* 1328249 */   GIM_Try, /*On fail goto*//*Label 18995*/ GIMT_Encode4(1328330), // Rule ID 13907 //
     /* 1328254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1328265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1328268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1328271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1328277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328307 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1328307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1328310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1328328 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328329 */     // GIR_Coverage, 13907,
     /* 1328329 */     GIR_EraseRootFromParent_Done,
     /* 1328330 */   // Label 18995: @1328330
     /* 1328330 */   GIM_Try, /*On fail goto*//*Label 18996*/ GIMT_Encode4(1328411), // Rule ID 13908 //
     /* 1328335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1328338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1328346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1328349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1328352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1328388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1328391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328410 */     // GIR_Coverage, 13908,
     /* 1328410 */     GIR_EraseRootFromParent_Done,
     /* 1328411 */   // Label 18996: @1328411
     /* 1328411 */   GIM_Try, /*On fail goto*//*Label 18997*/ GIMT_Encode4(1328492), // Rule ID 13909 //
     /* 1328416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1328419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1328427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1328430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1328433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1328439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1328446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1328454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328469 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1328469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M1),
     /* 1328472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1328490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328491 */     // GIR_Coverage, 13909,
     /* 1328491 */     GIR_EraseRootFromParent_Done,
     /* 1328492 */   // Label 18997: @1328492
     /* 1328492 */   GIM_Try, /*On fail goto*//*Label 18998*/ GIMT_Encode4(1328573), // Rule ID 13910 //
     /* 1328497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1328508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1328511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1328514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1328527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328550 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1328550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1328553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328572 */     // GIR_Coverage, 13910,
     /* 1328572 */     GIR_EraseRootFromParent_Done,
     /* 1328573 */   // Label 18998: @1328573
     /* 1328573 */   GIM_Try, /*On fail goto*//*Label 18999*/ GIMT_Encode4(1328654), // Rule ID 13911 //
     /* 1328578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1328589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1328592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1328595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1328601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1328608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1328616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328631 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1328631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1328634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328653 */     // GIR_Coverage, 13911,
     /* 1328653 */     GIR_EraseRootFromParent_Done,
     /* 1328654 */   // Label 18999: @1328654
     /* 1328654 */   GIM_Try, /*On fail goto*//*Label 19000*/ GIMT_Encode4(1328735), // Rule ID 13912 //
     /* 1328659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1328670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1328673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1328676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1328689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328712 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1328712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1328715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328734 */     // GIR_Coverage, 13912,
     /* 1328734 */     GIR_EraseRootFromParent_Done,
     /* 1328735 */   // Label 19000: @1328735
     /* 1328735 */   GIM_Try, /*On fail goto*//*Label 19001*/ GIMT_Encode4(1328816), // Rule ID 13913 //
     /* 1328740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1328751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1328754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1328757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1328763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1328770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1328778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328793 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1328793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1328796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328815 */     // GIR_Coverage, 13913,
     /* 1328815 */     GIR_EraseRootFromParent_Done,
     /* 1328816 */   // Label 19001: @1328816
     /* 1328816 */   GIM_Try, /*On fail goto*//*Label 19002*/ GIMT_Encode4(1328897), // Rule ID 13914 //
     /* 1328821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1328832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1328835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1328838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1328841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1328844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1328847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1328851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328874 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] })
     /* 1328874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1328877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328896 */     // GIR_Coverage, 13914,
     /* 1328896 */     GIR_EraseRootFromParent_Done,
     /* 1328897 */   // Label 19002: @1328897
     /* 1328897 */   GIM_Try, /*On fail goto*//*Label 19003*/ GIMT_Encode4(1328978), // Rule ID 13915 //
     /* 1328902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1328905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1328913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1328916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1328919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1328922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1328925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1328928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1328932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1328940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1328944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1328948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1328955 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] })
     /* 1328955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1328958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1328960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1328962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1328964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1328966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1328968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1328973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1328976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1328977 */     // GIR_Coverage, 13915,
     /* 1328977 */     GIR_EraseRootFromParent_Done,
     /* 1328978 */   // Label 19003: @1328978
     /* 1328978 */   GIM_Try, /*On fail goto*//*Label 19004*/ GIMT_Encode4(1329059), // Rule ID 13916 //
     /* 1328983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1328986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1328991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1328994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1328997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1329013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1329036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1329039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329058 */     // GIR_Coverage, 13916,
     /* 1329058 */     GIR_EraseRootFromParent_Done,
     /* 1329059 */   // Label 19004: @1329059
     /* 1329059 */   GIM_Try, /*On fail goto*//*Label 19005*/ GIMT_Encode4(1329140), // Rule ID 13917 //
     /* 1329064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1329075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1329078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1329081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1329094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329117 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1329117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1329120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329139 */     // GIR_Coverage, 13917,
     /* 1329139 */     GIR_EraseRootFromParent_Done,
     /* 1329140 */   // Label 19005: @1329140
     /* 1329140 */   GIM_Try, /*On fail goto*//*Label 19006*/ GIMT_Encode4(1329221), // Rule ID 13918 //
     /* 1329145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1329156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1329159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1329175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329198 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1329198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1329201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329220 */     // GIR_Coverage, 13918,
     /* 1329220 */     GIR_EraseRootFromParent_Done,
     /* 1329221 */   // Label 19006: @1329221
     /* 1329221 */   GIM_Try, /*On fail goto*//*Label 19007*/ GIMT_Encode4(1329302), // Rule ID 13919 //
     /* 1329226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1329237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1329240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1329243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1329256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329279 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1329279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1329282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329301 */     // GIR_Coverage, 13919,
     /* 1329301 */     GIR_EraseRootFromParent_Done,
     /* 1329302 */   // Label 19007: @1329302
     /* 1329302 */   GIM_Try, /*On fail goto*//*Label 19008*/ GIMT_Encode4(1329383), // Rule ID 13920 //
     /* 1329307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1329318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1329321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1329337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329360 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1329360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1329363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329382 */     // GIR_Coverage, 13920,
     /* 1329382 */     GIR_EraseRootFromParent_Done,
     /* 1329383 */   // Label 19008: @1329383
     /* 1329383 */   GIM_Try, /*On fail goto*//*Label 19009*/ GIMT_Encode4(1329464), // Rule ID 13921 //
     /* 1329388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1329399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1329402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1329405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1329411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1329418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329441 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1329441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1329444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1329462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329463 */     // GIR_Coverage, 13921,
     /* 1329463 */     GIR_EraseRootFromParent_Done,
     /* 1329464 */   // Label 19009: @1329464
     /* 1329464 */   GIM_Try, /*On fail goto*//*Label 19010*/ GIMT_Encode4(1329545), // Rule ID 13922 //
     /* 1329469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1329480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1329483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1329499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1329522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1329525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329544 */     // GIR_Coverage, 13922,
     /* 1329544 */     GIR_EraseRootFromParent_Done,
     /* 1329545 */   // Label 19010: @1329545
     /* 1329545 */   GIM_Try, /*On fail goto*//*Label 19011*/ GIMT_Encode4(1329626), // Rule ID 13923 //
     /* 1329550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1329561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1329564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1329567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1329573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1329580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329603 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1329603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1329606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329625 */     // GIR_Coverage, 13923,
     /* 1329625 */     GIR_EraseRootFromParent_Done,
     /* 1329626 */   // Label 19011: @1329626
     /* 1329626 */   GIM_Try, /*On fail goto*//*Label 19012*/ GIMT_Encode4(1329707), // Rule ID 13924 //
     /* 1329631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1329642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1329645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1329648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1329661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1329684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1329687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329706 */     // GIR_Coverage, 13924,
     /* 1329706 */     GIR_EraseRootFromParent_Done,
     /* 1329707 */   // Label 19012: @1329707
     /* 1329707 */   GIM_Try, /*On fail goto*//*Label 19013*/ GIMT_Encode4(1329788), // Rule ID 13925 //
     /* 1329712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1329723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1329726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1329729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1329735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1329742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1329750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329765 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1329765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1329768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329787 */     // GIR_Coverage, 13925,
     /* 1329787 */     GIR_EraseRootFromParent_Done,
     /* 1329788 */   // Label 19013: @1329788
     /* 1329788 */   GIM_Try, /*On fail goto*//*Label 19014*/ GIMT_Encode4(1329869), // Rule ID 13926 //
     /* 1329793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1329796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1329804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1329807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1329810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1329823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1329846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1329849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329868 */     // GIR_Coverage, 13926,
     /* 1329868 */     GIR_EraseRootFromParent_Done,
     /* 1329869 */   // Label 19014: @1329869
     /* 1329869 */   GIM_Try, /*On fail goto*//*Label 19015*/ GIMT_Encode4(1329950), // Rule ID 13927 //
     /* 1329874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1329877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1329885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1329888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1329891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1329894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1329897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1329900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1329904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1329912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1329920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1329927 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1329927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1329930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1329932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1329934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1329936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1329938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1329940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1329945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1329948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1329949 */     // GIR_Coverage, 13927,
     /* 1329949 */     GIR_EraseRootFromParent_Done,
     /* 1329950 */   // Label 19015: @1329950
     /* 1329950 */   GIM_Try, /*On fail goto*//*Label 19016*/ GIMT_Encode4(1330031), // Rule ID 13928 //
     /* 1329955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1329958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1329963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1329966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1329969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1329972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1329975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1329978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1329981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1329985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1329993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1329997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330008 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1330008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1330011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330030 */     // GIR_Coverage, 13928,
     /* 1330030 */     GIR_EraseRootFromParent_Done,
     /* 1330031 */   // Label 19016: @1330031
     /* 1330031 */   GIM_Try, /*On fail goto*//*Label 19017*/ GIMT_Encode4(1330112), // Rule ID 13929 //
     /* 1330036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1330039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1330044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1330047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1330050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1330053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1330066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1330074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1330078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330089 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1330089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M2),
     /* 1330092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330111 */     // GIR_Coverage, 13929,
     /* 1330111 */     GIR_EraseRootFromParent_Done,
     /* 1330112 */   // Label 19017: @1330112
     /* 1330112 */   GIM_Try, /*On fail goto*//*Label 19018*/ GIMT_Encode4(1330193), // Rule ID 13930 //
     /* 1330117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1330120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1330125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1330128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1330131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1330147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1330159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330170 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1330170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1330173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330192 */     // GIR_Coverage, 13930,
     /* 1330192 */     GIR_EraseRootFromParent_Done,
     /* 1330193 */   // Label 19018: @1330193
     /* 1330193 */   GIM_Try, /*On fail goto*//*Label 19019*/ GIMT_Encode4(1330274), // Rule ID 13931 //
     /* 1330198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1330201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1330206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1330209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1330212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1330215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1330228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1330236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1330240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330251 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1330251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M4),
     /* 1330254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330272 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330273 */     // GIR_Coverage, 13931,
     /* 1330273 */     GIR_EraseRootFromParent_Done,
     /* 1330274 */   // Label 19019: @1330274
     /* 1330274 */   GIM_Try, /*On fail goto*//*Label 19020*/ GIMT_Encode4(1330355), // Rule ID 13932 //
     /* 1330279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1330282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1330287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1330290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1330293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1330299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1330309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1330321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1330332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1330335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330354 */     // GIR_Coverage, 13932,
     /* 1330354 */     GIR_EraseRootFromParent_Done,
     /* 1330355 */   // Label 19020: @1330355
     /* 1330355 */   GIM_Try, /*On fail goto*//*Label 19021*/ GIMT_Encode4(1330436), // Rule ID 13933 //
     /* 1330360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1330363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1330368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1330371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1330374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1330377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1330380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1330383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1330390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1330398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1330402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330413 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VXM_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1330413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VXM_M8),
     /* 1330416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1330434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330435 */     // GIR_Coverage, 13933,
     /* 1330435 */     GIR_EraseRootFromParent_Done,
     /* 1330436 */   // Label 19021: @1330436
     /* 1330436 */   GIM_Try, /*On fail goto*//*Label 19022*/ GIMT_Encode4(1330520), // Rule ID 19772 //
     /* 1330441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1330458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1330461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330494 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1330497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330519 */     // GIR_Coverage, 19772,
     /* 1330519 */     GIR_EraseRootFromParent_Done,
     /* 1330520 */   // Label 19022: @1330520
     /* 1330520 */   GIM_Try, /*On fail goto*//*Label 19023*/ GIMT_Encode4(1330604), // Rule ID 19773 //
     /* 1330525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1330542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1330545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330578 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4_MASK),
     /* 1330581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330603 */     // GIR_Coverage, 19773,
     /* 1330603 */     GIR_EraseRootFromParent_Done,
     /* 1330604 */   // Label 19023: @1330604
     /* 1330604 */   GIM_Try, /*On fail goto*//*Label 19024*/ GIMT_Encode4(1330688), // Rule ID 19776 //
     /* 1330609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1330626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1330629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330662 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1330665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330687 */     // GIR_Coverage, 19776,
     /* 1330687 */     GIR_EraseRootFromParent_Done,
     /* 1330688 */   // Label 19024: @1330688
     /* 1330688 */   GIM_Try, /*On fail goto*//*Label 19025*/ GIMT_Encode4(1330772), // Rule ID 19777 //
     /* 1330693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1330696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1330704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1330707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1330710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1330713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1330716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330746 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1330749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1330767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330771 */     // GIR_Coverage, 19777,
     /* 1330771 */     GIR_EraseRootFromParent_Done,
     /* 1330772 */   // Label 19025: @1330772
     /* 1330772 */   GIM_Try, /*On fail goto*//*Label 19026*/ GIMT_Encode4(1330856), // Rule ID 19780 //
     /* 1330777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1330780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1330794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1330797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330830 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1330833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330855 */     // GIR_Coverage, 19780,
     /* 1330855 */     GIR_EraseRootFromParent_Done,
     /* 1330856 */   // Label 19026: @1330856
     /* 1330856 */   GIM_Try, /*On fail goto*//*Label 19027*/ GIMT_Encode4(1330940), // Rule ID 19781 //
     /* 1330861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1330864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1330872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1330875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1330878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1330881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1330884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1330887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330914 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1330914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2_MASK),
     /* 1330917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1330919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1330921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1330923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1330925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1330927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1330932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1330935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1330938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1330939 */     // GIR_Coverage, 19781,
     /* 1330939 */     GIR_EraseRootFromParent_Done,
     /* 1330940 */   // Label 19027: @1330940
     /* 1330940 */   GIM_Try, /*On fail goto*//*Label 19028*/ GIMT_Encode4(1331024), // Rule ID 19784 //
     /* 1330945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1330948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1330953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1330956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1330959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1330962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1330965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1330968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1330971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1330987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1330991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1330998 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1330998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1331001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331023 */     // GIR_Coverage, 19784,
     /* 1331023 */     GIR_EraseRootFromParent_Done,
     /* 1331024 */   // Label 19028: @1331024
     /* 1331024 */   GIM_Try, /*On fail goto*//*Label 19029*/ GIMT_Encode4(1331108), // Rule ID 19785 //
     /* 1331029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1331046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1331049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331082 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1331085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331107 */     // GIR_Coverage, 19785,
     /* 1331107 */     GIR_EraseRootFromParent_Done,
     /* 1331108 */   // Label 19029: @1331108
     /* 1331108 */   GIM_Try, /*On fail goto*//*Label 19030*/ GIMT_Encode4(1331192), // Rule ID 19788 //
     /* 1331113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1331133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331166 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1331169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331191 */     // GIR_Coverage, 19788,
     /* 1331191 */     GIR_EraseRootFromParent_Done,
     /* 1331192 */   // Label 19030: @1331192
     /* 1331192 */   GIM_Try, /*On fail goto*//*Label 19031*/ GIMT_Encode4(1331276), // Rule ID 19789 //
     /* 1331197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1331200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1331208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1331211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1331214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1331217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1331220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331250 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1331253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1331271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331275 */     // GIR_Coverage, 19789,
     /* 1331275 */     GIR_EraseRootFromParent_Done,
     /* 1331276 */   // Label 19031: @1331276
     /* 1331276 */   GIM_Try, /*On fail goto*//*Label 19032*/ GIMT_Encode4(1331360), // Rule ID 19792 //
     /* 1331281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1331284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1331298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1331301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331334 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1331337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331359 */     // GIR_Coverage, 19792,
     /* 1331359 */     GIR_EraseRootFromParent_Done,
     /* 1331360 */   // Label 19032: @1331360
     /* 1331360 */   GIM_Try, /*On fail goto*//*Label 19033*/ GIMT_Encode4(1331444), // Rule ID 19793 //
     /* 1331365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1331368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1331376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1331379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1331382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1331385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1331388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331418 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1_MASK),
     /* 1331421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1331439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331443 */     // GIR_Coverage, 19793,
     /* 1331443 */     GIR_EraseRootFromParent_Done,
     /* 1331444 */   // Label 19033: @1331444
     /* 1331444 */   GIM_Try, /*On fail goto*//*Label 19034*/ GIMT_Encode4(1331528), // Rule ID 19796 //
     /* 1331449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1331466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1331469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331502 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1331505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331527 */     // GIR_Coverage, 19796,
     /* 1331527 */     GIR_EraseRootFromParent_Done,
     /* 1331528 */   // Label 19034: @1331528
     /* 1331528 */   GIM_Try, /*On fail goto*//*Label 19035*/ GIMT_Encode4(1331612), // Rule ID 19797 //
     /* 1331533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1331544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1331547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1331550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1331553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1331556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331586 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1331589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331611 */     // GIR_Coverage, 19797,
     /* 1331611 */     GIR_EraseRootFromParent_Done,
     /* 1331612 */   // Label 19035: @1331612
     /* 1331612 */   GIM_Try, /*On fail goto*//*Label 19036*/ GIMT_Encode4(1331696), // Rule ID 19800 //
     /* 1331617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1331634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1331637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331670 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1331673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331695 */     // GIR_Coverage, 19800,
     /* 1331695 */     GIR_EraseRootFromParent_Done,
     /* 1331696 */   // Label 19036: @1331696
     /* 1331696 */   GIM_Try, /*On fail goto*//*Label 19037*/ GIMT_Encode4(1331780), // Rule ID 19801 //
     /* 1331701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1331712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1331715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1331718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1331721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1331724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1331743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331754 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1331757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331779 */     // GIR_Coverage, 19801,
     /* 1331779 */     GIR_EraseRootFromParent_Done,
     /* 1331780 */   // Label 19037: @1331780
     /* 1331780 */   GIM_Try, /*On fail goto*//*Label 19038*/ GIMT_Encode4(1331864), // Rule ID 19804 //
     /* 1331785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1331788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1331796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1331799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1331802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1331805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1331808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331838 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1331838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1331841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331863 */     // GIR_Coverage, 19804,
     /* 1331863 */     GIR_EraseRootFromParent_Done,
     /* 1331864 */   // Label 19038: @1331864
     /* 1331864 */   GIM_Try, /*On fail goto*//*Label 19039*/ GIMT_Encode4(1331948), // Rule ID 19805 //
     /* 1331869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1331872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1331880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1331883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1331886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1331889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1331892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1331895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1331911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1331922 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1331922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1331925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1331927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1331929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1331931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1331933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1331935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1331940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1331943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1331946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1331947 */     // GIR_Coverage, 19805,
     /* 1331947 */     GIR_EraseRootFromParent_Done,
     /* 1331948 */   // Label 19039: @1331948
     /* 1331948 */   GIM_Try, /*On fail goto*//*Label 19040*/ GIMT_Encode4(1332032), // Rule ID 19808 //
     /* 1331953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1331956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1331961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1331964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1331967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1331970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1331973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1331976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1331979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1331987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1331995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1331999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332006 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1332009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332031 */     // GIR_Coverage, 19808,
     /* 1332031 */     GIR_EraseRootFromParent_Done,
     /* 1332032 */   // Label 19040: @1332032
     /* 1332032 */   GIM_Try, /*On fail goto*//*Label 19041*/ GIMT_Encode4(1332116), // Rule ID 19809 //
     /* 1332037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1332054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1332057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332090 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1332093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332115 */     // GIR_Coverage, 19809,
     /* 1332115 */     GIR_EraseRootFromParent_Done,
     /* 1332116 */   // Label 19041: @1332116
     /* 1332116 */   GIM_Try, /*On fail goto*//*Label 19042*/ GIMT_Encode4(1332200), // Rule ID 19812 //
     /* 1332121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1332141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332174 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1332177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332199 */     // GIR_Coverage, 19812,
     /* 1332199 */     GIR_EraseRootFromParent_Done,
     /* 1332200 */   // Label 19042: @1332200
     /* 1332200 */   GIM_Try, /*On fail goto*//*Label 19043*/ GIMT_Encode4(1332284), // Rule ID 19813 //
     /* 1332205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1332222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1332225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332258 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1332261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332283 */     // GIR_Coverage, 19813,
     /* 1332283 */     GIR_EraseRootFromParent_Done,
     /* 1332284 */   // Label 19043: @1332284
     /* 1332284 */   GIM_Try, /*On fail goto*//*Label 19044*/ GIMT_Encode4(1332368), // Rule ID 19816 //
     /* 1332289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1332292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1332306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1332309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332342 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1332345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332367 */     // GIR_Coverage, 19816,
     /* 1332367 */     GIR_EraseRootFromParent_Done,
     /* 1332368 */   // Label 19044: @1332368
     /* 1332368 */   GIM_Try, /*On fail goto*//*Label 19045*/ GIMT_Encode4(1332452), // Rule ID 19817 //
     /* 1332373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1332376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1332384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1332387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1332390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1332393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1332396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332426 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1332429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1332447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332451 */     // GIR_Coverage, 19817,
     /* 1332451 */     GIR_EraseRootFromParent_Done,
     /* 1332452 */   // Label 19045: @1332452
     /* 1332452 */   GIM_Try, /*On fail goto*//*Label 19046*/ GIMT_Encode4(1332536), // Rule ID 19820 //
     /* 1332457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1332474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1332477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332510 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1332513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332535 */     // GIR_Coverage, 19820,
     /* 1332535 */     GIR_EraseRootFromParent_Done,
     /* 1332536 */   // Label 19046: @1332536
     /* 1332536 */   GIM_Try, /*On fail goto*//*Label 19047*/ GIMT_Encode4(1332620), // Rule ID 19821 //
     /* 1332541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1332552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1332555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1332558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1332561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1332564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1332583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332594 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2_MASK),
     /* 1332597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332619 */     // GIR_Coverage, 19821,
     /* 1332619 */     GIR_EraseRootFromParent_Done,
     /* 1332620 */   // Label 19047: @1332620
     /* 1332620 */   GIM_Try, /*On fail goto*//*Label 19048*/ GIMT_Encode4(1332704), // Rule ID 19824 //
     /* 1332625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1332642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1332645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332678 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1332681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332703 */     // GIR_Coverage, 19824,
     /* 1332703 */     GIR_EraseRootFromParent_Done,
     /* 1332704 */   // Label 19048: @1332704
     /* 1332704 */   GIM_Try, /*On fail goto*//*Label 19049*/ GIMT_Encode4(1332788), // Rule ID 19825 //
     /* 1332709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1332720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1332723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1332726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1332729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1332732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1332751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332762 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4_MASK),
     /* 1332765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332787 */     // GIR_Coverage, 19825,
     /* 1332787 */     GIR_EraseRootFromParent_Done,
     /* 1332788 */   // Label 19049: @1332788
     /* 1332788 */   GIM_Try, /*On fail goto*//*Label 19050*/ GIMT_Encode4(1332872), // Rule ID 19828 //
     /* 1332793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1332796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1332810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1332813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332846 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1332846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1332849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332871 */     // GIR_Coverage, 19828,
     /* 1332871 */     GIR_EraseRootFromParent_Done,
     /* 1332872 */   // Label 19050: @1332872
     /* 1332872 */   GIM_Try, /*On fail goto*//*Label 19051*/ GIMT_Encode4(1332956), // Rule ID 19829 //
     /* 1332877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1332880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1332888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1332891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1332894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1332897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1332900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1332903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1332919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1332923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1332930 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1332930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8_MASK),
     /* 1332933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1332935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1332937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1332939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1332941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1332943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1332948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1332951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1332954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1332955 */     // GIR_Coverage, 19829,
     /* 1332955 */     GIR_EraseRootFromParent_Done,
     /* 1332956 */   // Label 19051: @1332956
     /* 1332956 */   GIM_Try, /*On fail goto*//*Label 19052*/ GIMT_Encode4(1333040), // Rule ID 19832 //
     /* 1332961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1332964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1332969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1332972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1332975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1332978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1332981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1332984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1332987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1332999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1333017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333039 */     // GIR_Coverage, 19832,
     /* 1333039 */     GIR_EraseRootFromParent_Done,
     /* 1333040 */   // Label 19052: @1333040
     /* 1333040 */   GIM_Try, /*On fail goto*//*Label 19053*/ GIMT_Encode4(1333124), // Rule ID 19833 //
     /* 1333045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1333062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333098 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF4_MASK),
     /* 1333101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333123 */     // GIR_Coverage, 19833,
     /* 1333123 */     GIR_EraseRootFromParent_Done,
     /* 1333124 */   // Label 19053: @1333124
     /* 1333124 */   GIM_Try, /*On fail goto*//*Label 19054*/ GIMT_Encode4(1333208), // Rule ID 19836 //
     /* 1333129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333182 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1333185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333207 */     // GIR_Coverage, 19836,
     /* 1333207 */     GIR_EraseRootFromParent_Done,
     /* 1333208 */   // Label 19054: @1333208
     /* 1333208 */   GIM_Try, /*On fail goto*//*Label 19055*/ GIMT_Encode4(1333292), // Rule ID 19837 //
     /* 1333213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1333230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333266 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_MF2_MASK),
     /* 1333269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333291 */     // GIR_Coverage, 19837,
     /* 1333291 */     GIR_EraseRootFromParent_Done,
     /* 1333292 */   // Label 19055: @1333292
     /* 1333292 */   GIM_Try, /*On fail goto*//*Label 19056*/ GIMT_Encode4(1333376), // Rule ID 19840 //
     /* 1333297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1333314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333350 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1333353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333375 */     // GIR_Coverage, 19840,
     /* 1333375 */     GIR_EraseRootFromParent_Done,
     /* 1333376 */   // Label 19056: @1333376
     /* 1333376 */   GIM_Try, /*On fail goto*//*Label 19057*/ GIMT_Encode4(1333460), // Rule ID 19841 //
     /* 1333381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1333398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333434 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_MF2_MASK),
     /* 1333437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333459 */     // GIR_Coverage, 19841,
     /* 1333459 */     GIR_EraseRootFromParent_Done,
     /* 1333460 */   // Label 19057: @1333460
     /* 1333460 */   GIM_Try, /*On fail goto*//*Label 19058*/ GIMT_Encode4(1333544), // Rule ID 19844 //
     /* 1333465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333518 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1333521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333543 */     // GIR_Coverage, 19844,
     /* 1333543 */     GIR_EraseRootFromParent_Done,
     /* 1333544 */   // Label 19058: @1333544
     /* 1333544 */   GIM_Try, /*On fail goto*//*Label 19059*/ GIMT_Encode4(1333628), // Rule ID 19845 //
     /* 1333549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1333552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1333560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1333563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1333566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1333572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1333591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333602 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M1_MASK),
     /* 1333605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1333623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333627 */     // GIR_Coverage, 19845,
     /* 1333627 */     GIR_EraseRootFromParent_Done,
     /* 1333628 */   // Label 19059: @1333628
     /* 1333628 */   GIM_Try, /*On fail goto*//*Label 19060*/ GIMT_Encode4(1333712), // Rule ID 19848 //
     /* 1333633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1333636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1333650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333686 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1333689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333711 */     // GIR_Coverage, 19848,
     /* 1333711 */     GIR_EraseRootFromParent_Done,
     /* 1333712 */   // Label 19060: @1333712
     /* 1333712 */   GIM_Try, /*On fail goto*//*Label 19061*/ GIMT_Encode4(1333796), // Rule ID 19849 //
     /* 1333717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1333720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1333728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1333731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1333734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1333737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1333740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1333759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333770 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M1_MASK),
     /* 1333773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1333791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333795 */     // GIR_Coverage, 19849,
     /* 1333795 */     GIR_EraseRootFromParent_Done,
     /* 1333796 */   // Label 19061: @1333796
     /* 1333796 */   GIM_Try, /*On fail goto*//*Label 19062*/ GIMT_Encode4(1333880), // Rule ID 19852 //
     /* 1333801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1333804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1333818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333854 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1333854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1333857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333879 */     // GIR_Coverage, 19852,
     /* 1333879 */     GIR_EraseRootFromParent_Done,
     /* 1333880 */   // Label 19062: @1333880
     /* 1333880 */   GIM_Try, /*On fail goto*//*Label 19063*/ GIMT_Encode4(1333964), // Rule ID 19853 //
     /* 1333885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1333888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1333896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1333899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1333902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1333905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1333908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1333911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1333927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1333931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1333938 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1333938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M1_MASK),
     /* 1333941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1333943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1333945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1333947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1333949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1333951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1333956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1333959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1333962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1333963 */     // GIR_Coverage, 19853,
     /* 1333963 */     GIR_EraseRootFromParent_Done,
     /* 1333964 */   // Label 19063: @1333964
     /* 1333964 */   GIM_Try, /*On fail goto*//*Label 19064*/ GIMT_Encode4(1334048), // Rule ID 19856 //
     /* 1333969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1333972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1333977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1333980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1333983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1333986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1333989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1333992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1333995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1333999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334022 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1334025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334047 */     // GIR_Coverage, 19856,
     /* 1334047 */     GIR_EraseRootFromParent_Done,
     /* 1334048 */   // Label 19064: @1334048
     /* 1334048 */   GIM_Try, /*On fail goto*//*Label 19065*/ GIMT_Encode4(1334132), // Rule ID 19857 //
     /* 1334053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1334070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334106 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M2_MASK),
     /* 1334109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334131 */     // GIR_Coverage, 19857,
     /* 1334131 */     GIR_EraseRootFromParent_Done,
     /* 1334132 */   // Label 19065: @1334132
     /* 1334132 */   GIM_Try, /*On fail goto*//*Label 19066*/ GIMT_Encode4(1334216), // Rule ID 19860 //
     /* 1334137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334190 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1334193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334215 */     // GIR_Coverage, 19860,
     /* 1334215 */     GIR_EraseRootFromParent_Done,
     /* 1334216 */   // Label 19066: @1334216
     /* 1334216 */   GIM_Try, /*On fail goto*//*Label 19067*/ GIMT_Encode4(1334300), // Rule ID 19861 //
     /* 1334221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1334238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334274 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M4_MASK),
     /* 1334277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334299 */     // GIR_Coverage, 19861,
     /* 1334299 */     GIR_EraseRootFromParent_Done,
     /* 1334300 */   // Label 19067: @1334300
     /* 1334300 */   GIM_Try, /*On fail goto*//*Label 19068*/ GIMT_Encode4(1334384), // Rule ID 19864 //
     /* 1334305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1334308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1334316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1334319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334358 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1334361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334383 */     // GIR_Coverage, 19864,
     /* 1334383 */     GIR_EraseRootFromParent_Done,
     /* 1334384 */   // Label 19068: @1334384
     /* 1334384 */   GIM_Try, /*On fail goto*//*Label 19069*/ GIMT_Encode4(1334468), // Rule ID 19865 //
     /* 1334389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1334392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1334400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1334403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1334406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1334409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1334412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1334431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334442 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR16_M8_MASK),
     /* 1334445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1334463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334467 */     // GIR_Coverage, 19865,
     /* 1334467 */     GIR_EraseRootFromParent_Done,
     /* 1334468 */   // Label 19069: @1334468
     /* 1334468 */   GIM_Try, /*On fail goto*//*Label 19070*/ GIMT_Encode4(1334552), // Rule ID 19868 //
     /* 1334473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334526 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1334529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334551 */     // GIR_Coverage, 19868,
     /* 1334551 */     GIR_EraseRootFromParent_Done,
     /* 1334552 */   // Label 19070: @1334552
     /* 1334552 */   GIM_Try, /*On fail goto*//*Label 19071*/ GIMT_Encode4(1334636), // Rule ID 19869 //
     /* 1334557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1334568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1334571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1334574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1334580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1334595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334610 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M2_MASK),
     /* 1334613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334635 */     // GIR_Coverage, 19869,
     /* 1334635 */     GIR_EraseRootFromParent_Done,
     /* 1334636 */   // Label 19071: @1334636
     /* 1334636 */   GIM_Try, /*On fail goto*//*Label 19072*/ GIMT_Encode4(1334720), // Rule ID 19872 //
     /* 1334641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1334658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334694 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1334697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334719 */     // GIR_Coverage, 19872,
     /* 1334719 */     GIR_EraseRootFromParent_Done,
     /* 1334720 */   // Label 19072: @1334720
     /* 1334720 */   GIM_Try, /*On fail goto*//*Label 19073*/ GIMT_Encode4(1334804), // Rule ID 19873 //
     /* 1334725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1334736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1334739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1334742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1334748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1334763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334778 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M4_MASK),
     /* 1334781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334803 */     // GIR_Coverage, 19873,
     /* 1334803 */     GIR_EraseRootFromParent_Done,
     /* 1334804 */   // Label 19073: @1334804
     /* 1334804 */   GIM_Try, /*On fail goto*//*Label 19074*/ GIMT_Encode4(1334888), // Rule ID 19876 //
     /* 1334809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1334812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1334826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1334835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334862 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1334862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1334865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334887 */     // GIR_Coverage, 19876,
     /* 1334887 */     GIR_EraseRootFromParent_Done,
     /* 1334888 */   // Label 19074: @1334888
     /* 1334888 */   GIM_Try, /*On fail goto*//*Label 19075*/ GIMT_Encode4(1334972), // Rule ID 19877 //
     /* 1334893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1334896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1334904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1334907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1334910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1334913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1334916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1334919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1334927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1334931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1334935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1334939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1334946 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1334946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR32_M8_MASK),
     /* 1334949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1334951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1334953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1334955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1334957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1334959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1334964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1334967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1334970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1334971 */     // GIR_Coverage, 19877,
     /* 1334971 */     GIR_EraseRootFromParent_Done,
     /* 1334972 */   // Label 19075: @1334972
     /* 1334972 */   GIM_Try, /*On fail goto*//*Label 19076*/ GIMT_Encode4(1335056), // Rule ID 19880 //
     /* 1334977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1334980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1334985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1334988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1334991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1334994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1334997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335030 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1335033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335055 */     // GIR_Coverage, 19880,
     /* 1335055 */     GIR_EraseRootFromParent_Done,
     /* 1335056 */   // Label 19076: @1335056
     /* 1335056 */   GIM_Try, /*On fail goto*//*Label 19077*/ GIMT_Encode4(1335140), // Rule ID 19881 //
     /* 1335061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1335069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1335078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1335099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335114 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M2_MASK),
     /* 1335117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335139 */     // GIR_Coverage, 19881,
     /* 1335139 */     GIR_EraseRootFromParent_Done,
     /* 1335140 */   // Label 19077: @1335140
     /* 1335140 */   GIM_Try, /*On fail goto*//*Label 19078*/ GIMT_Encode4(1335224), // Rule ID 19884 //
     /* 1335145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1335153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335198 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1335201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335223 */     // GIR_Coverage, 19884,
     /* 1335223 */     GIR_EraseRootFromParent_Done,
     /* 1335224 */   // Label 19078: @1335224
     /* 1335224 */   GIM_Try, /*On fail goto*//*Label 19079*/ GIMT_Encode4(1335308), // Rule ID 19885 //
     /* 1335229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1335237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1335246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1335252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1335267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335282 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M4_MASK),
     /* 1335285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335307 */     // GIR_Coverage, 19885,
     /* 1335307 */     GIR_EraseRootFromParent_Done,
     /* 1335308 */   // Label 19079: @1335308
     /* 1335308 */   GIM_Try, /*On fail goto*//*Label 19080*/ GIMT_Encode4(1335392), // Rule ID 19888 //
     /* 1335313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1335316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1335321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335366 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1335369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335391 */     // GIR_Coverage, 19888,
     /* 1335391 */     GIR_EraseRootFromParent_Done,
     /* 1335392 */   // Label 19080: @1335392
     /* 1335392 */   GIM_Try, /*On fail goto*//*Label 19081*/ GIMT_Encode4(1335476), // Rule ID 19889 //
     /* 1335397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1335400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfeq_mask),
     /* 1335405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1335408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1335411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1335414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1335417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1335420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1335435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1335439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335450 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11421:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFEQ_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VFPR64_M8_MASK),
     /* 1335453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1335471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335475 */     // GIR_Coverage, 19889,
     /* 1335475 */     GIR_EraseRootFromParent_Done,
     /* 1335476 */   // Label 19081: @1335476
     /* 1335476 */   GIM_Try, /*On fail goto*//*Label 19082*/ GIMT_Encode4(1335560), // Rule ID 19892 //
     /* 1335481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1335501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1335537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335559 */     // GIR_Coverage, 19892,
     /* 1335559 */     GIR_EraseRootFromParent_Done,
     /* 1335560 */   // Label 19082: @1335560
     /* 1335560 */   GIM_Try, /*On fail goto*//*Label 19083*/ GIMT_Encode4(1335644), // Rule ID 19893 //
     /* 1335565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1335582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1335585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335618 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1335621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335643 */     // GIR_Coverage, 19893,
     /* 1335643 */     GIR_EraseRootFromParent_Done,
     /* 1335644 */   // Label 19083: @1335644
     /* 1335644 */   GIM_Try, /*On fail goto*//*Label 19084*/ GIMT_Encode4(1335728), // Rule ID 19896 //
     /* 1335649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1335666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1335669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335702 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1335705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335727 */     // GIR_Coverage, 19896,
     /* 1335727 */     GIR_EraseRootFromParent_Done,
     /* 1335728 */   // Label 19084: @1335728
     /* 1335728 */   GIM_Try, /*On fail goto*//*Label 19085*/ GIMT_Encode4(1335812), // Rule ID 19897 //
     /* 1335733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1335736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1335744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1335747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1335750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1335753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1335756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335786 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1335789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1335807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335811 */     // GIR_Coverage, 19897,
     /* 1335811 */     GIR_EraseRootFromParent_Done,
     /* 1335812 */   // Label 19085: @1335812
     /* 1335812 */   GIM_Try, /*On fail goto*//*Label 19086*/ GIMT_Encode4(1335896), // Rule ID 19900 //
     /* 1335817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1335820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1335834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1335837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1335843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335870 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1335870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1335873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335895 */     // GIR_Coverage, 19900,
     /* 1335895 */     GIR_EraseRootFromParent_Done,
     /* 1335896 */   // Label 19086: @1335896
     /* 1335896 */   GIM_Try, /*On fail goto*//*Label 19087*/ GIMT_Encode4(1335980), // Rule ID 19901 //
     /* 1335901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1335904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1335912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1335915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1335918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1335921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1335924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1335927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1335943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1335947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1335954 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1335954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1335957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1335959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1335961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1335963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1335965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1335967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1335972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1335975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1335978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1335979 */     // GIR_Coverage, 19901,
     /* 1335979 */     GIR_EraseRootFromParent_Done,
     /* 1335980 */   // Label 19087: @1335980
     /* 1335980 */   GIM_Try, /*On fail goto*//*Label 19088*/ GIMT_Encode4(1336064), // Rule ID 19904 //
     /* 1335985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1335988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1335993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1335996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1335999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336038 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1336041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336063 */     // GIR_Coverage, 19904,
     /* 1336063 */     GIR_EraseRootFromParent_Done,
     /* 1336064 */   // Label 19088: @1336064
     /* 1336064 */   GIM_Try, /*On fail goto*//*Label 19089*/ GIMT_Encode4(1336148), // Rule ID 19905 //
     /* 1336069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1336080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1336083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1336086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1336089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1336092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336122 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1336125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336147 */     // GIR_Coverage, 19905,
     /* 1336147 */     GIR_EraseRootFromParent_Done,
     /* 1336148 */   // Label 19089: @1336148
     /* 1336148 */   GIM_Try, /*On fail goto*//*Label 19090*/ GIMT_Encode4(1336232), // Rule ID 19908 //
     /* 1336153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1336173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336206 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1336209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336231 */     // GIR_Coverage, 19908,
     /* 1336231 */     GIR_EraseRootFromParent_Done,
     /* 1336232 */   // Label 19090: @1336232
     /* 1336232 */   GIM_Try, /*On fail goto*//*Label 19091*/ GIMT_Encode4(1336316), // Rule ID 19909 //
     /* 1336237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1336240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1336248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1336251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1336254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1336257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1336260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336290 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1336293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1336311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336315 */     // GIR_Coverage, 19909,
     /* 1336315 */     GIR_EraseRootFromParent_Done,
     /* 1336316 */   // Label 19091: @1336316
     /* 1336316 */   GIM_Try, /*On fail goto*//*Label 19092*/ GIMT_Encode4(1336400), // Rule ID 19912 //
     /* 1336321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1336324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1336338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1336341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336374 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1336377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336399 */     // GIR_Coverage, 19912,
     /* 1336399 */     GIR_EraseRootFromParent_Done,
     /* 1336400 */   // Label 19092: @1336400
     /* 1336400 */   GIM_Try, /*On fail goto*//*Label 19093*/ GIMT_Encode4(1336484), // Rule ID 19913 //
     /* 1336405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1336408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1336416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1336419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1336422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1336425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1336428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336458 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1336461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1336479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336483 */     // GIR_Coverage, 19913,
     /* 1336483 */     GIR_EraseRootFromParent_Done,
     /* 1336484 */   // Label 19093: @1336484
     /* 1336484 */   GIM_Try, /*On fail goto*//*Label 19094*/ GIMT_Encode4(1336568), // Rule ID 19916 //
     /* 1336489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1336506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1336509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336542 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1336545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336567 */     // GIR_Coverage, 19916,
     /* 1336567 */     GIR_EraseRootFromParent_Done,
     /* 1336568 */   // Label 19094: @1336568
     /* 1336568 */   GIM_Try, /*On fail goto*//*Label 19095*/ GIMT_Encode4(1336652), // Rule ID 19917 //
     /* 1336573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1336584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1336587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1336590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1336593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1336596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1336615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336626 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1336629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336651 */     // GIR_Coverage, 19917,
     /* 1336651 */     GIR_EraseRootFromParent_Done,
     /* 1336652 */   // Label 19095: @1336652
     /* 1336652 */   GIM_Try, /*On fail goto*//*Label 19096*/ GIMT_Encode4(1336736), // Rule ID 19920 //
     /* 1336657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1336674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1336677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336710 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1336713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336735 */     // GIR_Coverage, 19920,
     /* 1336735 */     GIR_EraseRootFromParent_Done,
     /* 1336736 */   // Label 19096: @1336736
     /* 1336736 */   GIM_Try, /*On fail goto*//*Label 19097*/ GIMT_Encode4(1336820), // Rule ID 19921 //
     /* 1336741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1336752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1336755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1336758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1336761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1336764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1336783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336794 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1336797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336819 */     // GIR_Coverage, 19921,
     /* 1336819 */     GIR_EraseRootFromParent_Done,
     /* 1336820 */   // Label 19097: @1336820
     /* 1336820 */   GIM_Try, /*On fail goto*//*Label 19098*/ GIMT_Encode4(1336904), // Rule ID 19924 //
     /* 1336825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1336828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1336836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1336839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1336842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1336845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1336848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1336851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336878 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1336878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1336881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336903 */     // GIR_Coverage, 19924,
     /* 1336903 */     GIR_EraseRootFromParent_Done,
     /* 1336904 */   // Label 19098: @1336904
     /* 1336904 */   GIM_Try, /*On fail goto*//*Label 19099*/ GIMT_Encode4(1336988), // Rule ID 19925 //
     /* 1336909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1336912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1336917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1336920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1336923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1336926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1336929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1336932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1336935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1336943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1336951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1336955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1336962 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1336962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1336965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1336967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1336969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1336971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1336973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1336975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1336980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1336983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1336986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1336987 */     // GIR_Coverage, 19925,
     /* 1336987 */     GIR_EraseRootFromParent_Done,
     /* 1336988 */   // Label 19099: @1336988
     /* 1336988 */   GIM_Try, /*On fail goto*//*Label 19100*/ GIMT_Encode4(1337072), // Rule ID 19928 //
     /* 1336993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1336996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1337013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337046 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1337049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337071 */     // GIR_Coverage, 19928,
     /* 1337071 */     GIR_EraseRootFromParent_Done,
     /* 1337072 */   // Label 19100: @1337072
     /* 1337072 */   GIM_Try, /*On fail goto*//*Label 19101*/ GIMT_Encode4(1337156), // Rule ID 19929 //
     /* 1337077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1337094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1337097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337130 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1337133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337155 */     // GIR_Coverage, 19929,
     /* 1337155 */     GIR_EraseRootFromParent_Done,
     /* 1337156 */   // Label 19101: @1337156
     /* 1337156 */   GIM_Try, /*On fail goto*//*Label 19102*/ GIMT_Encode4(1337240), // Rule ID 19932 //
     /* 1337161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1337181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337214 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1337217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337239 */     // GIR_Coverage, 19932,
     /* 1337239 */     GIR_EraseRootFromParent_Done,
     /* 1337240 */   // Label 19102: @1337240
     /* 1337240 */   GIM_Try, /*On fail goto*//*Label 19103*/ GIMT_Encode4(1337324), // Rule ID 19933 //
     /* 1337245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1337262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1337265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337298 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1337301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337323 */     // GIR_Coverage, 19933,
     /* 1337323 */     GIR_EraseRootFromParent_Done,
     /* 1337324 */   // Label 19103: @1337324
     /* 1337324 */   GIM_Try, /*On fail goto*//*Label 19104*/ GIMT_Encode4(1337408), // Rule ID 19936 //
     /* 1337329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1337332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1337346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1337349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337382 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1337385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337407 */     // GIR_Coverage, 19936,
     /* 1337407 */     GIR_EraseRootFromParent_Done,
     /* 1337408 */   // Label 19104: @1337408
     /* 1337408 */   GIM_Try, /*On fail goto*//*Label 19105*/ GIMT_Encode4(1337492), // Rule ID 19937 //
     /* 1337413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1337416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1337424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1337427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1337430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1337433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1337436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337466 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1337469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1337487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337491 */     // GIR_Coverage, 19937,
     /* 1337491 */     GIR_EraseRootFromParent_Done,
     /* 1337492 */   // Label 19105: @1337492
     /* 1337492 */   GIM_Try, /*On fail goto*//*Label 19106*/ GIMT_Encode4(1337576), // Rule ID 19940 //
     /* 1337497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1337514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1337517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337550 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1337553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337575 */     // GIR_Coverage, 19940,
     /* 1337575 */     GIR_EraseRootFromParent_Done,
     /* 1337576 */   // Label 19106: @1337576
     /* 1337576 */   GIM_Try, /*On fail goto*//*Label 19107*/ GIMT_Encode4(1337660), // Rule ID 19941 //
     /* 1337581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1337592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1337595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1337598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1337601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1337604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1337623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337634 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1337637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337659 */     // GIR_Coverage, 19941,
     /* 1337659 */     GIR_EraseRootFromParent_Done,
     /* 1337660 */   // Label 19107: @1337660
     /* 1337660 */   GIM_Try, /*On fail goto*//*Label 19108*/ GIMT_Encode4(1337744), // Rule ID 19944 //
     /* 1337665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1337682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1337685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337718 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1337721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337743 */     // GIR_Coverage, 19944,
     /* 1337743 */     GIR_EraseRootFromParent_Done,
     /* 1337744 */   // Label 19108: @1337744
     /* 1337744 */   GIM_Try, /*On fail goto*//*Label 19109*/ GIMT_Encode4(1337828), // Rule ID 19945 //
     /* 1337749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1337760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1337763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1337766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1337769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1337772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1337791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1337805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337827 */     // GIR_Coverage, 19945,
     /* 1337827 */     GIR_EraseRootFromParent_Done,
     /* 1337828 */   // Label 19109: @1337828
     /* 1337828 */   GIM_Try, /*On fail goto*//*Label 19110*/ GIMT_Encode4(1337912), // Rule ID 19948 //
     /* 1337833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1337836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1337850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1337853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1337859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337886 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1337886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1337889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337911 */     // GIR_Coverage, 19948,
     /* 1337911 */     GIR_EraseRootFromParent_Done,
     /* 1337912 */   // Label 19110: @1337912
     /* 1337912 */   GIM_Try, /*On fail goto*//*Label 19111*/ GIMT_Encode4(1337996), // Rule ID 19949 //
     /* 1337917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1337920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1337925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1337928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1337931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1337934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1337937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1337940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1337943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1337951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1337959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1337963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1337970 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1337970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1337973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1337975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1337977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1337979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1337981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1337983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1337988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1337991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1337994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1337995 */     // GIR_Coverage, 19949,
     /* 1337995 */     GIR_EraseRootFromParent_Done,
     /* 1337996 */   // Label 19111: @1337996
     /* 1337996 */   GIM_Try, /*On fail goto*//*Label 19112*/ GIMT_Encode4(1338080), // Rule ID 19952 //
     /* 1338001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338054 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1338057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338079 */     // GIR_Coverage, 19952,
     /* 1338079 */     GIR_EraseRootFromParent_Done,
     /* 1338080 */   // Label 19112: @1338080
     /* 1338080 */   GIM_Try, /*On fail goto*//*Label 19113*/ GIMT_Encode4(1338164), // Rule ID 19953 //
     /* 1338085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1338102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF4_MASK),
     /* 1338141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338163 */     // GIR_Coverage, 19953,
     /* 1338163 */     GIR_EraseRootFromParent_Done,
     /* 1338164 */   // Label 19113: @1338164
     /* 1338164 */   GIM_Try, /*On fail goto*//*Label 19114*/ GIMT_Encode4(1338248), // Rule ID 19956 //
     /* 1338169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338222 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1338225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338247 */     // GIR_Coverage, 19956,
     /* 1338247 */     GIR_EraseRootFromParent_Done,
     /* 1338248 */   // Label 19114: @1338248
     /* 1338248 */   GIM_Try, /*On fail goto*//*Label 19115*/ GIMT_Encode4(1338332), // Rule ID 19957 //
     /* 1338253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1338270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338306 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_MF2_MASK),
     /* 1338309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338331 */     // GIR_Coverage, 19957,
     /* 1338331 */     GIR_EraseRootFromParent_Done,
     /* 1338332 */   // Label 19115: @1338332
     /* 1338332 */   GIM_Try, /*On fail goto*//*Label 19116*/ GIMT_Encode4(1338416), // Rule ID 19960 //
     /* 1338337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1338354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338390 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1338393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338415 */     // GIR_Coverage, 19960,
     /* 1338415 */     GIR_EraseRootFromParent_Done,
     /* 1338416 */   // Label 19116: @1338416
     /* 1338416 */   GIM_Try, /*On fail goto*//*Label 19117*/ GIMT_Encode4(1338500), // Rule ID 19961 //
     /* 1338421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1338438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338474 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_MF2_MASK),
     /* 1338477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338499 */     // GIR_Coverage, 19961,
     /* 1338499 */     GIR_EraseRootFromParent_Done,
     /* 1338500 */   // Label 19117: @1338500
     /* 1338500 */   GIM_Try, /*On fail goto*//*Label 19118*/ GIMT_Encode4(1338584), // Rule ID 19964 //
     /* 1338505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1338508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1338522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338558 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1338561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338583 */     // GIR_Coverage, 19964,
     /* 1338583 */     GIR_EraseRootFromParent_Done,
     /* 1338584 */   // Label 19118: @1338584
     /* 1338584 */   GIM_Try, /*On fail goto*//*Label 19119*/ GIMT_Encode4(1338668), // Rule ID 19965 //
     /* 1338589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1338592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1338600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1338603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1338606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1338609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1338612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1338631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338642 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M1_MASK),
     /* 1338645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1338663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338667 */     // GIR_Coverage, 19965,
     /* 1338667 */     GIR_EraseRootFromParent_Done,
     /* 1338668 */   // Label 19119: @1338668
     /* 1338668 */   GIM_Try, /*On fail goto*//*Label 19120*/ GIMT_Encode4(1338752), // Rule ID 19968 //
     /* 1338673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1338676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1338690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338726 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1338729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338751 */     // GIR_Coverage, 19968,
     /* 1338751 */     GIR_EraseRootFromParent_Done,
     /* 1338752 */   // Label 19120: @1338752
     /* 1338752 */   GIM_Try, /*On fail goto*//*Label 19121*/ GIMT_Encode4(1338836), // Rule ID 19969 //
     /* 1338757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1338760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1338768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1338771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1338774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1338777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1338780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1338799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338810 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M1_MASK),
     /* 1338813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1338831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338835 */     // GIR_Coverage, 19969,
     /* 1338835 */     GIR_EraseRootFromParent_Done,
     /* 1338836 */   // Label 19121: @1338836
     /* 1338836 */   GIM_Try, /*On fail goto*//*Label 19122*/ GIMT_Encode4(1338920), // Rule ID 19972 //
     /* 1338841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1338844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1338858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1338867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338894 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1338894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1338897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1338918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1338919 */     // GIR_Coverage, 19972,
     /* 1338919 */     GIR_EraseRootFromParent_Done,
     /* 1338920 */   // Label 19122: @1338920
     /* 1338920 */   GIM_Try, /*On fail goto*//*Label 19123*/ GIMT_Encode4(1339004), // Rule ID 19973 //
     /* 1338925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1338928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1338933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1338936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1338939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1338942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1338945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1338948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1338951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1338963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1338967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1338971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1338978 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1338978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M1_MASK),
     /* 1338981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1338983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1338985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1338987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1338989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1338991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1338996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1338999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339003 */     // GIR_Coverage, 19973,
     /* 1339003 */     GIR_EraseRootFromParent_Done,
     /* 1339004 */   // Label 19123: @1339004
     /* 1339004 */   GIM_Try, /*On fail goto*//*Label 19124*/ GIMT_Encode4(1339088), // Rule ID 19976 //
     /* 1339009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339062 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1339065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339087 */     // GIR_Coverage, 19976,
     /* 1339087 */     GIR_EraseRootFromParent_Done,
     /* 1339088 */   // Label 19124: @1339088
     /* 1339088 */   GIM_Try, /*On fail goto*//*Label 19125*/ GIMT_Encode4(1339172), // Rule ID 19977 //
     /* 1339093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1339110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339146 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M2_MASK),
     /* 1339149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339171 */     // GIR_Coverage, 19977,
     /* 1339171 */     GIR_EraseRootFromParent_Done,
     /* 1339172 */   // Label 19125: @1339172
     /* 1339172 */   GIM_Try, /*On fail goto*//*Label 19126*/ GIMT_Encode4(1339256), // Rule ID 19980 //
     /* 1339177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339230 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1339233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339255 */     // GIR_Coverage, 19980,
     /* 1339255 */     GIR_EraseRootFromParent_Done,
     /* 1339256 */   // Label 19126: @1339256
     /* 1339256 */   GIM_Try, /*On fail goto*//*Label 19127*/ GIMT_Encode4(1339340), // Rule ID 19981 //
     /* 1339261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1339278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339314 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M4_MASK),
     /* 1339317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339339 */     // GIR_Coverage, 19981,
     /* 1339339 */     GIR_EraseRootFromParent_Done,
     /* 1339340 */   // Label 19127: @1339340
     /* 1339340 */   GIM_Try, /*On fail goto*//*Label 19128*/ GIMT_Encode4(1339424), // Rule ID 19984 //
     /* 1339345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1339348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1339356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1339359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1339362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1339368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339398 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1339401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339423 */     // GIR_Coverage, 19984,
     /* 1339423 */     GIR_EraseRootFromParent_Done,
     /* 1339424 */   // Label 19128: @1339424
     /* 1339424 */   GIM_Try, /*On fail goto*//*Label 19129*/ GIMT_Encode4(1339508), // Rule ID 19985 //
     /* 1339429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1339432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1339440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1339443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1339446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1339449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1339452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1339471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339482 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR16_M8_MASK),
     /* 1339485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1339503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339507 */     // GIR_Coverage, 19985,
     /* 1339507 */     GIR_EraseRootFromParent_Done,
     /* 1339508 */   // Label 19129: @1339508
     /* 1339508 */   GIM_Try, /*On fail goto*//*Label 19130*/ GIMT_Encode4(1339592), // Rule ID 19988 //
     /* 1339513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1339530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339566 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1339569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339591 */     // GIR_Coverage, 19988,
     /* 1339591 */     GIR_EraseRootFromParent_Done,
     /* 1339592 */   // Label 19130: @1339592
     /* 1339592 */   GIM_Try, /*On fail goto*//*Label 19131*/ GIMT_Encode4(1339676), // Rule ID 19989 //
     /* 1339597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1339608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1339611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1339614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1339620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1339635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339650 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M2_MASK),
     /* 1339653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339675 */     // GIR_Coverage, 19989,
     /* 1339675 */     GIR_EraseRootFromParent_Done,
     /* 1339676 */   // Label 19131: @1339676
     /* 1339676 */   GIM_Try, /*On fail goto*//*Label 19132*/ GIMT_Encode4(1339760), // Rule ID 19992 //
     /* 1339681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1339698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339734 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1339737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339759 */     // GIR_Coverage, 19992,
     /* 1339759 */     GIR_EraseRootFromParent_Done,
     /* 1339760 */   // Label 19132: @1339760
     /* 1339760 */   GIM_Try, /*On fail goto*//*Label 19133*/ GIMT_Encode4(1339844), // Rule ID 19993 //
     /* 1339765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1339776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1339779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1339782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1339788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1339803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339818 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M4_MASK),
     /* 1339821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339843 */     // GIR_Coverage, 19993,
     /* 1339843 */     GIR_EraseRootFromParent_Done,
     /* 1339844 */   // Label 19133: @1339844
     /* 1339844 */   GIM_Try, /*On fail goto*//*Label 19134*/ GIMT_Encode4(1339928), // Rule ID 19996 //
     /* 1339849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1339852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1339875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339902 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1339902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1339905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1339920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1339923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1339926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1339927 */     // GIR_Coverage, 19996,
     /* 1339927 */     GIR_EraseRootFromParent_Done,
     /* 1339928 */   // Label 19134: @1339928
     /* 1339928 */   GIM_Try, /*On fail goto*//*Label 19135*/ GIMT_Encode4(1340012), // Rule ID 19997 //
     /* 1339933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1339936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1339941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1339944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1339947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1339950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1339953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1339956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1339959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1339967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1339971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1339975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1339979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1339986 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1339986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR32_M8_MASK),
     /* 1339989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1339991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1339993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1339995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1339997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1339999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340011 */     // GIR_Coverage, 19997,
     /* 1340011 */     GIR_EraseRootFromParent_Done,
     /* 1340012 */   // Label 19135: @1340012
     /* 1340012 */   GIM_Try, /*On fail goto*//*Label 19136*/ GIMT_Encode4(1340096), // Rule ID 20000 //
     /* 1340017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1340025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340070 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1340073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340095 */     // GIR_Coverage, 20000,
     /* 1340095 */     GIR_EraseRootFromParent_Done,
     /* 1340096 */   // Label 19136: @1340096
     /* 1340096 */   GIM_Try, /*On fail goto*//*Label 19137*/ GIMT_Encode4(1340180), // Rule ID 20001 //
     /* 1340101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1340109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1340118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1340139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340154 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M2_MASK),
     /* 1340157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340179 */     // GIR_Coverage, 20001,
     /* 1340179 */     GIR_EraseRootFromParent_Done,
     /* 1340180 */   // Label 19137: @1340180
     /* 1340180 */   GIM_Try, /*On fail goto*//*Label 19138*/ GIMT_Encode4(1340264), // Rule ID 20004 //
     /* 1340185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1340193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1340202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340238 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1340241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340263 */     // GIR_Coverage, 20004,
     /* 1340263 */     GIR_EraseRootFromParent_Done,
     /* 1340264 */   // Label 19138: @1340264
     /* 1340264 */   GIM_Try, /*On fail goto*//*Label 19139*/ GIMT_Encode4(1340348), // Rule ID 20005 //
     /* 1340269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1340277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1340280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1340283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1340286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1340292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1340307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340322 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M4_MASK),
     /* 1340325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340347 */     // GIR_Coverage, 20005,
     /* 1340347 */     GIR_EraseRootFromParent_Done,
     /* 1340348 */   // Label 19139: @1340348
     /* 1340348 */   GIM_Try, /*On fail goto*//*Label 19140*/ GIMT_Encode4(1340432), // Rule ID 20008 //
     /* 1340353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1340356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1340361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340406 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1340409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340431 */     // GIR_Coverage, 20008,
     /* 1340431 */     GIR_EraseRootFromParent_Done,
     /* 1340432 */   // Label 19140: @1340432
     /* 1340432 */   GIM_Try, /*On fail goto*//*Label 19141*/ GIMT_Encode4(1340516), // Rule ID 20009 //
     /* 1340437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1340440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfle_mask),
     /* 1340445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1340448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1340451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1340454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1340457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1340460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1340475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1340479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340490 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11427:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VFPR64_M8_MASK),
     /* 1340493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1340511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340515 */     // GIR_Coverage, 20009,
     /* 1340515 */     GIR_EraseRootFromParent_Done,
     /* 1340516 */   // Label 19141: @1340516
     /* 1340516 */   GIM_Try, /*On fail goto*//*Label 19142*/ GIMT_Encode4(1340600), // Rule ID 20012 //
     /* 1340521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1340541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340574 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1340577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340599 */     // GIR_Coverage, 20012,
     /* 1340599 */     GIR_EraseRootFromParent_Done,
     /* 1340600 */   // Label 19142: @1340600
     /* 1340600 */   GIM_Try, /*On fail goto*//*Label 19143*/ GIMT_Encode4(1340684), // Rule ID 20013 //
     /* 1340605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1340622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1340625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340658 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1340661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340683 */     // GIR_Coverage, 20013,
     /* 1340683 */     GIR_EraseRootFromParent_Done,
     /* 1340684 */   // Label 19143: @1340684
     /* 1340684 */   GIM_Try, /*On fail goto*//*Label 19144*/ GIMT_Encode4(1340768), // Rule ID 20016 //
     /* 1340689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1340692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1340706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1340709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340742 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1340745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340767 */     // GIR_Coverage, 20016,
     /* 1340767 */     GIR_EraseRootFromParent_Done,
     /* 1340768 */   // Label 19144: @1340768
     /* 1340768 */   GIM_Try, /*On fail goto*//*Label 19145*/ GIMT_Encode4(1340852), // Rule ID 20017 //
     /* 1340773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1340776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1340784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1340787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1340790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1340793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1340796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340826 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1340829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1340847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340851 */     // GIR_Coverage, 20017,
     /* 1340851 */     GIR_EraseRootFromParent_Done,
     /* 1340852 */   // Label 19145: @1340852
     /* 1340852 */   GIM_Try, /*On fail goto*//*Label 19146*/ GIMT_Encode4(1340936), // Rule ID 20020 //
     /* 1340857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1340860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1340877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1340883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340910 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1340910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1340913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1340917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1340919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1340921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1340923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1340928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1340931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1340934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1340935 */     // GIR_Coverage, 20020,
     /* 1340935 */     GIR_EraseRootFromParent_Done,
     /* 1340936 */   // Label 19146: @1340936
     /* 1340936 */   GIM_Try, /*On fail goto*//*Label 19147*/ GIMT_Encode4(1341020), // Rule ID 20021 //
     /* 1340941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1340944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1340949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1340952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1340955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1340958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1340961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1340964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1340967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1340983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1340987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1340994 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1340994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1340997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1340999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341019 */     // GIR_Coverage, 20021,
     /* 1341019 */     GIR_EraseRootFromParent_Done,
     /* 1341020 */   // Label 19147: @1341020
     /* 1341020 */   GIM_Try, /*On fail goto*//*Label 19148*/ GIMT_Encode4(1341104), // Rule ID 20024 //
     /* 1341025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341078 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1341081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341103 */     // GIR_Coverage, 20024,
     /* 1341103 */     GIR_EraseRootFromParent_Done,
     /* 1341104 */   // Label 19148: @1341104
     /* 1341104 */   GIM_Try, /*On fail goto*//*Label 19149*/ GIMT_Encode4(1341188), // Rule ID 20025 //
     /* 1341109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1341120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1341123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1341126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1341129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1341132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341162 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1341165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341187 */     // GIR_Coverage, 20025,
     /* 1341187 */     GIR_EraseRootFromParent_Done,
     /* 1341188 */   // Label 19149: @1341188
     /* 1341188 */   GIM_Try, /*On fail goto*//*Label 19150*/ GIMT_Encode4(1341272), // Rule ID 20028 //
     /* 1341193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1341196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1341213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341246 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1341249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341271 */     // GIR_Coverage, 20028,
     /* 1341271 */     GIR_EraseRootFromParent_Done,
     /* 1341272 */   // Label 19150: @1341272
     /* 1341272 */   GIM_Try, /*On fail goto*//*Label 19151*/ GIMT_Encode4(1341356), // Rule ID 20029 //
     /* 1341277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1341280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1341288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1341291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1341294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1341297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1341300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341330 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1341333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1341351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341355 */     // GIR_Coverage, 20029,
     /* 1341355 */     GIR_EraseRootFromParent_Done,
     /* 1341356 */   // Label 19151: @1341356
     /* 1341356 */   GIM_Try, /*On fail goto*//*Label 19152*/ GIMT_Encode4(1341440), // Rule ID 20032 //
     /* 1341361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1341364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1341381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341414 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1341417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341439 */     // GIR_Coverage, 20032,
     /* 1341439 */     GIR_EraseRootFromParent_Done,
     /* 1341440 */   // Label 19152: @1341440
     /* 1341440 */   GIM_Try, /*On fail goto*//*Label 19153*/ GIMT_Encode4(1341524), // Rule ID 20033 //
     /* 1341445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1341448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1341456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1341459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1341462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1341465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1341468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341498 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1341501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1341519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341523 */     // GIR_Coverage, 20033,
     /* 1341523 */     GIR_EraseRootFromParent_Done,
     /* 1341524 */   // Label 19153: @1341524
     /* 1341524 */   GIM_Try, /*On fail goto*//*Label 19154*/ GIMT_Encode4(1341608), // Rule ID 20036 //
     /* 1341529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1341546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1341549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341582 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1341585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341607 */     // GIR_Coverage, 20036,
     /* 1341607 */     GIR_EraseRootFromParent_Done,
     /* 1341608 */   // Label 19154: @1341608
     /* 1341608 */   GIM_Try, /*On fail goto*//*Label 19155*/ GIMT_Encode4(1341692), // Rule ID 20037 //
     /* 1341613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1341624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1341627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1341630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1341633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1341636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1341655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341666 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1341669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341691 */     // GIR_Coverage, 20037,
     /* 1341691 */     GIR_EraseRootFromParent_Done,
     /* 1341692 */   // Label 19155: @1341692
     /* 1341692 */   GIM_Try, /*On fail goto*//*Label 19156*/ GIMT_Encode4(1341776), // Rule ID 20040 //
     /* 1341697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1341714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1341717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341750 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1341753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341775 */     // GIR_Coverage, 20040,
     /* 1341775 */     GIR_EraseRootFromParent_Done,
     /* 1341776 */   // Label 19156: @1341776
     /* 1341776 */   GIM_Try, /*On fail goto*//*Label 19157*/ GIMT_Encode4(1341860), // Rule ID 20041 //
     /* 1341781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1341792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1341795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1341798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1341801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1341804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1341823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341834 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1341834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1341837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341859 */     // GIR_Coverage, 20041,
     /* 1341859 */     GIR_EraseRootFromParent_Done,
     /* 1341860 */   // Label 19157: @1341860
     /* 1341860 */   GIM_Try, /*On fail goto*//*Label 19158*/ GIMT_Encode4(1341944), // Rule ID 20044 //
     /* 1341865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1341868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1341876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1341879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1341882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1341885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1341888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1341891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1341918 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1341918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1341921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1341923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1341925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1341927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1341929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1341931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1341936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1341939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1341942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1341943 */     // GIR_Coverage, 20044,
     /* 1341943 */     GIR_EraseRootFromParent_Done,
     /* 1341944 */   // Label 19158: @1341944
     /* 1341944 */   GIM_Try, /*On fail goto*//*Label 19159*/ GIMT_Encode4(1342028), // Rule ID 20045 //
     /* 1341949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1341952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1341957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1341960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1341963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1341966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1341969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1341972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1341975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1341983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1341991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1341995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342002 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1342005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1342023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342027 */     // GIR_Coverage, 20045,
     /* 1342027 */     GIR_EraseRootFromParent_Done,
     /* 1342028 */   // Label 19159: @1342028
     /* 1342028 */   GIM_Try, /*On fail goto*//*Label 19160*/ GIMT_Encode4(1342112), // Rule ID 20048 //
     /* 1342033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1342053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342086 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1342089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342111 */     // GIR_Coverage, 20048,
     /* 1342111 */     GIR_EraseRootFromParent_Done,
     /* 1342112 */   // Label 19160: @1342112
     /* 1342112 */   GIM_Try, /*On fail goto*//*Label 19161*/ GIMT_Encode4(1342196), // Rule ID 20049 //
     /* 1342117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1342134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1342137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342170 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1342173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342195 */     // GIR_Coverage, 20049,
     /* 1342195 */     GIR_EraseRootFromParent_Done,
     /* 1342196 */   // Label 19161: @1342196
     /* 1342196 */   GIM_Try, /*On fail goto*//*Label 19162*/ GIMT_Encode4(1342280), // Rule ID 20052 //
     /* 1342201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1342218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1342221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342254 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1342257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342279 */     // GIR_Coverage, 20052,
     /* 1342279 */     GIR_EraseRootFromParent_Done,
     /* 1342280 */   // Label 19162: @1342280
     /* 1342280 */   GIM_Try, /*On fail goto*//*Label 19163*/ GIMT_Encode4(1342364), // Rule ID 20053 //
     /* 1342285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1342302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1342305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342338 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1342341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342363 */     // GIR_Coverage, 20053,
     /* 1342363 */     GIR_EraseRootFromParent_Done,
     /* 1342364 */   // Label 19163: @1342364
     /* 1342364 */   GIM_Try, /*On fail goto*//*Label 19164*/ GIMT_Encode4(1342448), // Rule ID 20056 //
     /* 1342369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1342372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1342386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1342389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342422 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1342425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342447 */     // GIR_Coverage, 20056,
     /* 1342447 */     GIR_EraseRootFromParent_Done,
     /* 1342448 */   // Label 19164: @1342448
     /* 1342448 */   GIM_Try, /*On fail goto*//*Label 19165*/ GIMT_Encode4(1342532), // Rule ID 20057 //
     /* 1342453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1342456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1342464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1342467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1342470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1342473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1342476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342506 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1342509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1342527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342531 */     // GIR_Coverage, 20057,
     /* 1342531 */     GIR_EraseRootFromParent_Done,
     /* 1342532 */   // Label 19165: @1342532
     /* 1342532 */   GIM_Try, /*On fail goto*//*Label 19166*/ GIMT_Encode4(1342616), // Rule ID 20060 //
     /* 1342537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1342554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1342557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342590 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1342593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342615 */     // GIR_Coverage, 20060,
     /* 1342615 */     GIR_EraseRootFromParent_Done,
     /* 1342616 */   // Label 19166: @1342616
     /* 1342616 */   GIM_Try, /*On fail goto*//*Label 19167*/ GIMT_Encode4(1342700), // Rule ID 20061 //
     /* 1342621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1342632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1342635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1342638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1342641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1342644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1342663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342674 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1342677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342699 */     // GIR_Coverage, 20061,
     /* 1342699 */     GIR_EraseRootFromParent_Done,
     /* 1342700 */   // Label 19167: @1342700
     /* 1342700 */   GIM_Try, /*On fail goto*//*Label 19168*/ GIMT_Encode4(1342784), // Rule ID 20064 //
     /* 1342705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1342722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1342725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342758 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1342761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342783 */     // GIR_Coverage, 20064,
     /* 1342783 */     GIR_EraseRootFromParent_Done,
     /* 1342784 */   // Label 19168: @1342784
     /* 1342784 */   GIM_Try, /*On fail goto*//*Label 19169*/ GIMT_Encode4(1342868), // Rule ID 20065 //
     /* 1342789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1342800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1342803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1342806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1342809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1342812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1342831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342842 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1342842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1342845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342867 */     // GIR_Coverage, 20065,
     /* 1342867 */     GIR_EraseRootFromParent_Done,
     /* 1342868 */   // Label 19169: @1342868
     /* 1342868 */   GIM_Try, /*On fail goto*//*Label 19170*/ GIMT_Encode4(1342952), // Rule ID 20068 //
     /* 1342873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1342876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1342890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1342893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1342899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1342919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1342926 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1342926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1342929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1342931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1342933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1342935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1342937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1342939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1342944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1342947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1342950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1342951 */     // GIR_Coverage, 20068,
     /* 1342951 */     GIR_EraseRootFromParent_Done,
     /* 1342952 */   // Label 19170: @1342952
     /* 1342952 */   GIM_Try, /*On fail goto*//*Label 19171*/ GIMT_Encode4(1343036), // Rule ID 20069 //
     /* 1342957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1342960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1342965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1342968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1342971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1342974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1342977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1342980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1342983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1342991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1342999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343010 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1343013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343035 */     // GIR_Coverage, 20069,
     /* 1343035 */     GIR_EraseRootFromParent_Done,
     /* 1343036 */   // Label 19171: @1343036
     /* 1343036 */   GIM_Try, /*On fail goto*//*Label 19172*/ GIMT_Encode4(1343120), // Rule ID 20072 //
     /* 1343041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343094 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1343097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343119 */     // GIR_Coverage, 20072,
     /* 1343119 */     GIR_EraseRootFromParent_Done,
     /* 1343120 */   // Label 19172: @1343120
     /* 1343120 */   GIM_Try, /*On fail goto*//*Label 19173*/ GIMT_Encode4(1343204), // Rule ID 20073 //
     /* 1343125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1343142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343178 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF4_MASK),
     /* 1343181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343203 */     // GIR_Coverage, 20073,
     /* 1343203 */     GIR_EraseRootFromParent_Done,
     /* 1343204 */   // Label 19173: @1343204
     /* 1343204 */   GIM_Try, /*On fail goto*//*Label 19174*/ GIMT_Encode4(1343288), // Rule ID 20076 //
     /* 1343209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343262 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1343265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343287 */     // GIR_Coverage, 20076,
     /* 1343287 */     GIR_EraseRootFromParent_Done,
     /* 1343288 */   // Label 19174: @1343288
     /* 1343288 */   GIM_Try, /*On fail goto*//*Label 19175*/ GIMT_Encode4(1343372), // Rule ID 20077 //
     /* 1343293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1343310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343346 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_MF2_MASK),
     /* 1343349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343371 */     // GIR_Coverage, 20077,
     /* 1343371 */     GIR_EraseRootFromParent_Done,
     /* 1343372 */   // Label 19175: @1343372
     /* 1343372 */   GIM_Try, /*On fail goto*//*Label 19176*/ GIMT_Encode4(1343456), // Rule ID 20080 //
     /* 1343377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1343394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343430 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1343433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343455 */     // GIR_Coverage, 20080,
     /* 1343455 */     GIR_EraseRootFromParent_Done,
     /* 1343456 */   // Label 19176: @1343456
     /* 1343456 */   GIM_Try, /*On fail goto*//*Label 19177*/ GIMT_Encode4(1343540), // Rule ID 20081 //
     /* 1343461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1343478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343514 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_MF2_MASK),
     /* 1343517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343539 */     // GIR_Coverage, 20081,
     /* 1343539 */     GIR_EraseRootFromParent_Done,
     /* 1343540 */   // Label 19177: @1343540
     /* 1343540 */   GIM_Try, /*On fail goto*//*Label 19178*/ GIMT_Encode4(1343624), // Rule ID 20084 //
     /* 1343545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1343548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1343562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343598 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1343601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343623 */     // GIR_Coverage, 20084,
     /* 1343623 */     GIR_EraseRootFromParent_Done,
     /* 1343624 */   // Label 19178: @1343624
     /* 1343624 */   GIM_Try, /*On fail goto*//*Label 19179*/ GIMT_Encode4(1343708), // Rule ID 20085 //
     /* 1343629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1343632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1343640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1343643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1343646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1343649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1343652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1343671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343682 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M1_MASK),
     /* 1343685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1343703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343707 */     // GIR_Coverage, 20085,
     /* 1343707 */     GIR_EraseRootFromParent_Done,
     /* 1343708 */   // Label 19179: @1343708
     /* 1343708 */   GIM_Try, /*On fail goto*//*Label 19180*/ GIMT_Encode4(1343792), // Rule ID 20088 //
     /* 1343713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1343716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1343730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343766 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1343769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343791 */     // GIR_Coverage, 20088,
     /* 1343791 */     GIR_EraseRootFromParent_Done,
     /* 1343792 */   // Label 19180: @1343792
     /* 1343792 */   GIM_Try, /*On fail goto*//*Label 19181*/ GIMT_Encode4(1343876), // Rule ID 20089 //
     /* 1343797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1343800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1343808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1343811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1343814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1343817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1343820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1343839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343850 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1343850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M1_MASK),
     /* 1343853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1343871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343875 */     // GIR_Coverage, 20089,
     /* 1343875 */     GIR_EraseRootFromParent_Done,
     /* 1343876 */   // Label 19181: @1343876
     /* 1343876 */   GIM_Try, /*On fail goto*//*Label 19182*/ GIMT_Encode4(1343960), // Rule ID 20092 //
     /* 1343881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1343884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1343898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1343907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1343923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1343927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1343934 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1343934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1343937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1343939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1343941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1343943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1343945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1343947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1343952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1343955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1343958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1343959 */     // GIR_Coverage, 20092,
     /* 1343959 */     GIR_EraseRootFromParent_Done,
     /* 1343960 */   // Label 19182: @1343960
     /* 1343960 */   GIM_Try, /*On fail goto*//*Label 19183*/ GIMT_Encode4(1344044), // Rule ID 20093 //
     /* 1343965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1343968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1343973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1343976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1343979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1343982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1343985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1343988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1343991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1343999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1344007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344018 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M1_MASK),
     /* 1344021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1344039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344043 */     // GIR_Coverage, 20093,
     /* 1344043 */     GIR_EraseRootFromParent_Done,
     /* 1344044 */   // Label 19183: @1344044
     /* 1344044 */   GIM_Try, /*On fail goto*//*Label 19184*/ GIMT_Encode4(1344128), // Rule ID 20096 //
     /* 1344049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344102 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1344105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344127 */     // GIR_Coverage, 20096,
     /* 1344127 */     GIR_EraseRootFromParent_Done,
     /* 1344128 */   // Label 19184: @1344128
     /* 1344128 */   GIM_Try, /*On fail goto*//*Label 19185*/ GIMT_Encode4(1344212), // Rule ID 20097 //
     /* 1344133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1344150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344186 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M2_MASK),
     /* 1344189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344211 */     // GIR_Coverage, 20097,
     /* 1344211 */     GIR_EraseRootFromParent_Done,
     /* 1344212 */   // Label 19185: @1344212
     /* 1344212 */   GIM_Try, /*On fail goto*//*Label 19186*/ GIMT_Encode4(1344296), // Rule ID 20100 //
     /* 1344217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1344234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344270 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1344273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344295 */     // GIR_Coverage, 20100,
     /* 1344295 */     GIR_EraseRootFromParent_Done,
     /* 1344296 */   // Label 19186: @1344296
     /* 1344296 */   GIM_Try, /*On fail goto*//*Label 19187*/ GIMT_Encode4(1344380), // Rule ID 20101 //
     /* 1344301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1344318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344354 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M4_MASK),
     /* 1344357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344379 */     // GIR_Coverage, 20101,
     /* 1344379 */     GIR_EraseRootFromParent_Done,
     /* 1344380 */   // Label 19187: @1344380
     /* 1344380 */   GIM_Try, /*On fail goto*//*Label 19188*/ GIMT_Encode4(1344464), // Rule ID 20104 //
     /* 1344385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1344388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1344396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1344399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1344402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1344408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344438 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1344441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344463 */     // GIR_Coverage, 20104,
     /* 1344463 */     GIR_EraseRootFromParent_Done,
     /* 1344464 */   // Label 19188: @1344464
     /* 1344464 */   GIM_Try, /*On fail goto*//*Label 19189*/ GIMT_Encode4(1344548), // Rule ID 20105 //
     /* 1344469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1344472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1344480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1344483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1344486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1344489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1344492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1344511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344522 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR16_M8_MASK),
     /* 1344525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1344543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344547 */     // GIR_Coverage, 20105,
     /* 1344547 */     GIR_EraseRootFromParent_Done,
     /* 1344548 */   // Label 19189: @1344548
     /* 1344548 */   GIM_Try, /*On fail goto*//*Label 19190*/ GIMT_Encode4(1344632), // Rule ID 20108 //
     /* 1344553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1344570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344606 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1344609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344631 */     // GIR_Coverage, 20108,
     /* 1344631 */     GIR_EraseRootFromParent_Done,
     /* 1344632 */   // Label 19190: @1344632
     /* 1344632 */   GIM_Try, /*On fail goto*//*Label 19191*/ GIMT_Encode4(1344716), // Rule ID 20109 //
     /* 1344637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1344648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1344651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1344654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1344660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1344675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344690 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M2_MASK),
     /* 1344693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344715 */     // GIR_Coverage, 20109,
     /* 1344715 */     GIR_EraseRootFromParent_Done,
     /* 1344716 */   // Label 19191: @1344716
     /* 1344716 */   GIM_Try, /*On fail goto*//*Label 19192*/ GIMT_Encode4(1344800), // Rule ID 20112 //
     /* 1344721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1344738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344774 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1344777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344799 */     // GIR_Coverage, 20112,
     /* 1344799 */     GIR_EraseRootFromParent_Done,
     /* 1344800 */   // Label 19192: @1344800
     /* 1344800 */   GIM_Try, /*On fail goto*//*Label 19193*/ GIMT_Encode4(1344884), // Rule ID 20113 //
     /* 1344805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1344816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1344819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1344822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1344828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1344843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344858 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1344858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M4_MASK),
     /* 1344861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344883 */     // GIR_Coverage, 20113,
     /* 1344883 */     GIR_EraseRootFromParent_Done,
     /* 1344884 */   // Label 19193: @1344884
     /* 1344884 */   GIM_Try, /*On fail goto*//*Label 19194*/ GIMT_Encode4(1344968), // Rule ID 20116 //
     /* 1344889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1344892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1344906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1344915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1344923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1344927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1344931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1344935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1344942 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1344942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1344945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1344947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1344949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1344951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1344953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1344955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1344960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1344963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1344966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1344967 */     // GIR_Coverage, 20116,
     /* 1344967 */     GIR_EraseRootFromParent_Done,
     /* 1344968 */   // Label 19194: @1344968
     /* 1344968 */   GIM_Try, /*On fail goto*//*Label 19195*/ GIMT_Encode4(1345052), // Rule ID 20117 //
     /* 1344973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1344976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1344981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1344984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1344987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1344990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1344993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1344996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1344999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1345015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345026 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR32_M8_MASK),
     /* 1345029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345051 */     // GIR_Coverage, 20117,
     /* 1345051 */     GIR_EraseRootFromParent_Done,
     /* 1345052 */   // Label 19195: @1345052
     /* 1345052 */   GIM_Try, /*On fail goto*//*Label 19196*/ GIMT_Encode4(1345136), // Rule ID 20120 //
     /* 1345057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1345065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345110 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1345113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345135 */     // GIR_Coverage, 20120,
     /* 1345135 */     GIR_EraseRootFromParent_Done,
     /* 1345136 */   // Label 19196: @1345136
     /* 1345136 */   GIM_Try, /*On fail goto*//*Label 19197*/ GIMT_Encode4(1345220), // Rule ID 20121 //
     /* 1345141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1345149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1345158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1345179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345194 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M2_MASK),
     /* 1345197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345219 */     // GIR_Coverage, 20121,
     /* 1345219 */     GIR_EraseRootFromParent_Done,
     /* 1345220 */   // Label 19197: @1345220
     /* 1345220 */   GIM_Try, /*On fail goto*//*Label 19198*/ GIMT_Encode4(1345304), // Rule ID 20124 //
     /* 1345225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1345233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1345242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345278 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1345281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345303 */     // GIR_Coverage, 20124,
     /* 1345303 */     GIR_EraseRootFromParent_Done,
     /* 1345304 */   // Label 19198: @1345304
     /* 1345304 */   GIM_Try, /*On fail goto*//*Label 19199*/ GIMT_Encode4(1345388), // Rule ID 20125 //
     /* 1345309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1345317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1345320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1345323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1345326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1345332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1345347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345362 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M4_MASK),
     /* 1345365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345387 */     // GIR_Coverage, 20125,
     /* 1345387 */     GIR_EraseRootFromParent_Done,
     /* 1345388 */   // Label 19199: @1345388
     /* 1345388 */   GIM_Try, /*On fail goto*//*Label 19200*/ GIMT_Encode4(1345472), // Rule ID 20128 //
     /* 1345393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1345396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1345401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1345410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345446 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1345449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345471 */     // GIR_Coverage, 20128,
     /* 1345471 */     GIR_EraseRootFromParent_Done,
     /* 1345472 */   // Label 19200: @1345472
     /* 1345472 */   GIM_Try, /*On fail goto*//*Label 19201*/ GIMT_Encode4(1345556), // Rule ID 20129 //
     /* 1345477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1345480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmflt_mask),
     /* 1345485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1345488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1345491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1345494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1345497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1345500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1345515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1345519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345530 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11429:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VFPR64_M8_MASK),
     /* 1345533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1345551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345555 */     // GIR_Coverage, 20129,
     /* 1345555 */     GIR_EraseRootFromParent_Done,
     /* 1345556 */   // Label 19201: @1345556
     /* 1345556 */   GIM_Try, /*On fail goto*//*Label 19202*/ GIMT_Encode4(1345640), // Rule ID 20132 //
     /* 1345561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1345578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1345581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345614 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1345617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345639 */     // GIR_Coverage, 20132,
     /* 1345639 */     GIR_EraseRootFromParent_Done,
     /* 1345640 */   // Label 19202: @1345640
     /* 1345640 */   GIM_Try, /*On fail goto*//*Label 19203*/ GIMT_Encode4(1345724), // Rule ID 20133 //
     /* 1345645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1345662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1345665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345698 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4_MASK),
     /* 1345701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345723 */     // GIR_Coverage, 20133,
     /* 1345723 */     GIR_EraseRootFromParent_Done,
     /* 1345724 */   // Label 19203: @1345724
     /* 1345724 */   GIM_Try, /*On fail goto*//*Label 19204*/ GIMT_Encode4(1345808), // Rule ID 20136 //
     /* 1345729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1345732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1345746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1345749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345782 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1345785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345807 */     // GIR_Coverage, 20136,
     /* 1345807 */     GIR_EraseRootFromParent_Done,
     /* 1345808 */   // Label 19204: @1345808
     /* 1345808 */   GIM_Try, /*On fail goto*//*Label 19205*/ GIMT_Encode4(1345892), // Rule ID 20137 //
     /* 1345813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1345816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1345824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1345827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1345830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1345833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1345836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1345839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345866 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1345866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1345869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1345887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345891 */     // GIR_Coverage, 20137,
     /* 1345891 */     GIR_EraseRootFromParent_Done,
     /* 1345892 */   // Label 19205: @1345892
     /* 1345892 */   GIM_Try, /*On fail goto*//*Label 19206*/ GIMT_Encode4(1345976), // Rule ID 20140 //
     /* 1345897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1345900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1345917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1345920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1345923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1345939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1345943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1345950 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1345950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1345953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1345955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1345957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1345959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1345961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1345963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1345968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1345971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1345974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1345975 */     // GIR_Coverage, 20140,
     /* 1345975 */     GIR_EraseRootFromParent_Done,
     /* 1345976 */   // Label 19206: @1345976
     /* 1345976 */   GIM_Try, /*On fail goto*//*Label 19207*/ GIMT_Encode4(1346060), // Rule ID 20141 //
     /* 1345981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1345984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1345989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1345992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1345995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1345998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1346001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346034 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2_MASK),
     /* 1346037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346059 */     // GIR_Coverage, 20141,
     /* 1346059 */     GIR_EraseRootFromParent_Done,
     /* 1346060 */   // Label 19207: @1346060
     /* 1346060 */   GIM_Try, /*On fail goto*//*Label 19208*/ GIMT_Encode4(1346144), // Rule ID 20144 //
     /* 1346065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346118 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1346121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346143 */     // GIR_Coverage, 20144,
     /* 1346143 */     GIR_EraseRootFromParent_Done,
     /* 1346144 */   // Label 19208: @1346144
     /* 1346144 */   GIM_Try, /*On fail goto*//*Label 19209*/ GIMT_Encode4(1346228), // Rule ID 20145 //
     /* 1346149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1346160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1346163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1346166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1346169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1346172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346202 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1346205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346227 */     // GIR_Coverage, 20145,
     /* 1346227 */     GIR_EraseRootFromParent_Done,
     /* 1346228 */   // Label 19209: @1346228
     /* 1346228 */   GIM_Try, /*On fail goto*//*Label 19210*/ GIMT_Encode4(1346312), // Rule ID 20148 //
     /* 1346233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1346236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1346253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346286 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1346289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346311 */     // GIR_Coverage, 20148,
     /* 1346311 */     GIR_EraseRootFromParent_Done,
     /* 1346312 */   // Label 19210: @1346312
     /* 1346312 */   GIM_Try, /*On fail goto*//*Label 19211*/ GIMT_Encode4(1346396), // Rule ID 20149 //
     /* 1346317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1346320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1346328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1346331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1346334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1346337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1346340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346370 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1346373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1346391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346395 */     // GIR_Coverage, 20149,
     /* 1346395 */     GIR_EraseRootFromParent_Done,
     /* 1346396 */   // Label 19211: @1346396
     /* 1346396 */   GIM_Try, /*On fail goto*//*Label 19212*/ GIMT_Encode4(1346480), // Rule ID 20152 //
     /* 1346401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1346404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1346418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1346421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346454 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1346457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346479 */     // GIR_Coverage, 20152,
     /* 1346479 */     GIR_EraseRootFromParent_Done,
     /* 1346480 */   // Label 19212: @1346480
     /* 1346480 */   GIM_Try, /*On fail goto*//*Label 19213*/ GIMT_Encode4(1346564), // Rule ID 20153 //
     /* 1346485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1346488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1346496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1346499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1346502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1346505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1346508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346538 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1_MASK),
     /* 1346541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1346559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346563 */     // GIR_Coverage, 20153,
     /* 1346563 */     GIR_EraseRootFromParent_Done,
     /* 1346564 */   // Label 19213: @1346564
     /* 1346564 */   GIM_Try, /*On fail goto*//*Label 19214*/ GIMT_Encode4(1346648), // Rule ID 20156 //
     /* 1346569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1346586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1346589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346622 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1346625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346647 */     // GIR_Coverage, 20156,
     /* 1346647 */     GIR_EraseRootFromParent_Done,
     /* 1346648 */   // Label 19214: @1346648
     /* 1346648 */   GIM_Try, /*On fail goto*//*Label 19215*/ GIMT_Encode4(1346732), // Rule ID 20157 //
     /* 1346653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1346664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1346667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1346670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1346673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1346676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1346695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346706 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1346709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346731 */     // GIR_Coverage, 20157,
     /* 1346731 */     GIR_EraseRootFromParent_Done,
     /* 1346732 */   // Label 19215: @1346732
     /* 1346732 */   GIM_Try, /*On fail goto*//*Label 19216*/ GIMT_Encode4(1346816), // Rule ID 20160 //
     /* 1346737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1346754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1346757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346790 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1346793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346815 */     // GIR_Coverage, 20160,
     /* 1346815 */     GIR_EraseRootFromParent_Done,
     /* 1346816 */   // Label 19216: @1346816
     /* 1346816 */   GIM_Try, /*On fail goto*//*Label 19217*/ GIMT_Encode4(1346900), // Rule ID 20161 //
     /* 1346821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1346832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1346835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1346838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1346841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1346844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1346847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1346863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346874 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1346874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1346877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346899 */     // GIR_Coverage, 20161,
     /* 1346899 */     GIR_EraseRootFromParent_Done,
     /* 1346900 */   // Label 19217: @1346900
     /* 1346900 */   GIM_Try, /*On fail goto*//*Label 19218*/ GIMT_Encode4(1346984), // Rule ID 20164 //
     /* 1346905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1346908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1346916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1346919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1346922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1346925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1346928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1346931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1346939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1346947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1346951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1346958 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1346958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1346961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1346963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1346965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1346967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1346969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1346971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1346976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1346979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1346982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1346983 */     // GIR_Coverage, 20164,
     /* 1346983 */     GIR_EraseRootFromParent_Done,
     /* 1346984 */   // Label 19218: @1346984
     /* 1346984 */   GIM_Try, /*On fail goto*//*Label 19219*/ GIMT_Encode4(1347068), // Rule ID 20165 //
     /* 1346989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1346992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1346997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1347000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1347003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1347006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1347009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1347012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347042 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1347045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1347063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347067 */     // GIR_Coverage, 20165,
     /* 1347067 */     GIR_EraseRootFromParent_Done,
     /* 1347068 */   // Label 19219: @1347068
     /* 1347068 */   GIM_Try, /*On fail goto*//*Label 19220*/ GIMT_Encode4(1347152), // Rule ID 20168 //
     /* 1347073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1347093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347126 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1347129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347151 */     // GIR_Coverage, 20168,
     /* 1347151 */     GIR_EraseRootFromParent_Done,
     /* 1347152 */   // Label 19220: @1347152
     /* 1347152 */   GIM_Try, /*On fail goto*//*Label 19221*/ GIMT_Encode4(1347236), // Rule ID 20169 //
     /* 1347157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1347174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1347177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347210 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1347213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347235 */     // GIR_Coverage, 20169,
     /* 1347235 */     GIR_EraseRootFromParent_Done,
     /* 1347236 */   // Label 19221: @1347236
     /* 1347236 */   GIM_Try, /*On fail goto*//*Label 19222*/ GIMT_Encode4(1347320), // Rule ID 20172 //
     /* 1347241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1347261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347294 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1347297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347319 */     // GIR_Coverage, 20172,
     /* 1347319 */     GIR_EraseRootFromParent_Done,
     /* 1347320 */   // Label 19222: @1347320
     /* 1347320 */   GIM_Try, /*On fail goto*//*Label 19223*/ GIMT_Encode4(1347404), // Rule ID 20173 //
     /* 1347325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1347342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1347345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347378 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1347381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347403 */     // GIR_Coverage, 20173,
     /* 1347403 */     GIR_EraseRootFromParent_Done,
     /* 1347404 */   // Label 19223: @1347404
     /* 1347404 */   GIM_Try, /*On fail goto*//*Label 19224*/ GIMT_Encode4(1347488), // Rule ID 20176 //
     /* 1347409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1347412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1347429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347462 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1347465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347487 */     // GIR_Coverage, 20176,
     /* 1347487 */     GIR_EraseRootFromParent_Done,
     /* 1347488 */   // Label 19224: @1347488
     /* 1347488 */   GIM_Try, /*On fail goto*//*Label 19225*/ GIMT_Encode4(1347572), // Rule ID 20177 //
     /* 1347493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1347496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1347504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1347507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1347510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1347513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1347516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347546 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1347549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1347567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347571 */     // GIR_Coverage, 20177,
     /* 1347571 */     GIR_EraseRootFromParent_Done,
     /* 1347572 */   // Label 19225: @1347572
     /* 1347572 */   GIM_Try, /*On fail goto*//*Label 19226*/ GIMT_Encode4(1347656), // Rule ID 20180 //
     /* 1347577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1347594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1347597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347630 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1347633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347655 */     // GIR_Coverage, 20180,
     /* 1347655 */     GIR_EraseRootFromParent_Done,
     /* 1347656 */   // Label 19226: @1347656
     /* 1347656 */   GIM_Try, /*On fail goto*//*Label 19227*/ GIMT_Encode4(1347740), // Rule ID 20181 //
     /* 1347661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1347672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1347675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1347678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1347681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1347684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1347703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347714 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2_MASK),
     /* 1347717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347739 */     // GIR_Coverage, 20181,
     /* 1347739 */     GIR_EraseRootFromParent_Done,
     /* 1347740 */   // Label 19227: @1347740
     /* 1347740 */   GIM_Try, /*On fail goto*//*Label 19228*/ GIMT_Encode4(1347824), // Rule ID 20184 //
     /* 1347745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1347765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347798 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1347801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347823 */     // GIR_Coverage, 20184,
     /* 1347823 */     GIR_EraseRootFromParent_Done,
     /* 1347824 */   // Label 19228: @1347824
     /* 1347824 */   GIM_Try, /*On fail goto*//*Label 19229*/ GIMT_Encode4(1347908), // Rule ID 20185 //
     /* 1347829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1347832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1347840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1347843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1347846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1347849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1347852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1347855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1347871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347882 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1347882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4_MASK),
     /* 1347885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347907 */     // GIR_Coverage, 20185,
     /* 1347907 */     GIR_EraseRootFromParent_Done,
     /* 1347908 */   // Label 19229: @1347908
     /* 1347908 */   GIM_Try, /*On fail goto*//*Label 19230*/ GIMT_Encode4(1347992), // Rule ID 20188 //
     /* 1347913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1347916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1347921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1347924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1347927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1347930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1347933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1347936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1347939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1347947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1347955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1347959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1347966 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1347966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1347969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1347971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1347973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1347975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1347977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1347979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1347984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1347987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1347990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1347991 */     // GIR_Coverage, 20188,
     /* 1347991 */     GIR_EraseRootFromParent_Done,
     /* 1347992 */   // Label 19230: @1347992
     /* 1347992 */   GIM_Try, /*On fail goto*//*Label 19231*/ GIMT_Encode4(1348076), // Rule ID 20189 //
     /* 1347997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1348000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1348008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1348011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1348014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1348017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1348020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1348039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348050 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8_MASK),
     /* 1348053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348075 */     // GIR_Coverage, 20189,
     /* 1348075 */     GIR_EraseRootFromParent_Done,
     /* 1348076 */   // Label 19231: @1348076
     /* 1348076 */   GIM_Try, /*On fail goto*//*Label 19232*/ GIMT_Encode4(1348160), // Rule ID 20192 //
     /* 1348081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348134 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1348137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348159 */     // GIR_Coverage, 20192,
     /* 1348159 */     GIR_EraseRootFromParent_Done,
     /* 1348160 */   // Label 19232: @1348160
     /* 1348160 */   GIM_Try, /*On fail goto*//*Label 19233*/ GIMT_Encode4(1348244), // Rule ID 20193 //
     /* 1348165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1348182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348218 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF4_MASK),
     /* 1348221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348243 */     // GIR_Coverage, 20193,
     /* 1348243 */     GIR_EraseRootFromParent_Done,
     /* 1348244 */   // Label 19233: @1348244
     /* 1348244 */   GIM_Try, /*On fail goto*//*Label 19234*/ GIMT_Encode4(1348328), // Rule ID 20196 //
     /* 1348249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348302 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1348305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348327 */     // GIR_Coverage, 20196,
     /* 1348327 */     GIR_EraseRootFromParent_Done,
     /* 1348328 */   // Label 19234: @1348328
     /* 1348328 */   GIM_Try, /*On fail goto*//*Label 19235*/ GIMT_Encode4(1348412), // Rule ID 20197 //
     /* 1348333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1348350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348386 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_MF2_MASK),
     /* 1348389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348411 */     // GIR_Coverage, 20197,
     /* 1348411 */     GIR_EraseRootFromParent_Done,
     /* 1348412 */   // Label 19235: @1348412
     /* 1348412 */   GIM_Try, /*On fail goto*//*Label 19236*/ GIMT_Encode4(1348496), // Rule ID 20200 //
     /* 1348417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1348434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348470 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1348473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348495 */     // GIR_Coverage, 20200,
     /* 1348495 */     GIR_EraseRootFromParent_Done,
     /* 1348496 */   // Label 19236: @1348496
     /* 1348496 */   GIM_Try, /*On fail goto*//*Label 19237*/ GIMT_Encode4(1348580), // Rule ID 20201 //
     /* 1348501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1348518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348554 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_MF2_MASK),
     /* 1348557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348579 */     // GIR_Coverage, 20201,
     /* 1348579 */     GIR_EraseRootFromParent_Done,
     /* 1348580 */   // Label 19237: @1348580
     /* 1348580 */   GIM_Try, /*On fail goto*//*Label 19238*/ GIMT_Encode4(1348664), // Rule ID 20204 //
     /* 1348585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1348588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1348602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348638 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1348641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348663 */     // GIR_Coverage, 20204,
     /* 1348663 */     GIR_EraseRootFromParent_Done,
     /* 1348664 */   // Label 19238: @1348664
     /* 1348664 */   GIM_Try, /*On fail goto*//*Label 19239*/ GIMT_Encode4(1348748), // Rule ID 20205 //
     /* 1348669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1348672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1348680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1348683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1348686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1348689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1348692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1348711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348722 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M1_MASK),
     /* 1348725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1348743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348747 */     // GIR_Coverage, 20205,
     /* 1348747 */     GIR_EraseRootFromParent_Done,
     /* 1348748 */   // Label 19239: @1348748
     /* 1348748 */   GIM_Try, /*On fail goto*//*Label 19240*/ GIMT_Encode4(1348832), // Rule ID 20208 //
     /* 1348753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1348756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1348770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348806 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1348809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348831 */     // GIR_Coverage, 20208,
     /* 1348831 */     GIR_EraseRootFromParent_Done,
     /* 1348832 */   // Label 19240: @1348832
     /* 1348832 */   GIM_Try, /*On fail goto*//*Label 19241*/ GIMT_Encode4(1348916), // Rule ID 20209 //
     /* 1348837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1348840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1348848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1348851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1348854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1348857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1348860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1348863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1348879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348890 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1348890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M1_MASK),
     /* 1348893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1348911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348915 */     // GIR_Coverage, 20209,
     /* 1348915 */     GIR_EraseRootFromParent_Done,
     /* 1348916 */   // Label 19241: @1348916
     /* 1348916 */   GIM_Try, /*On fail goto*//*Label 19242*/ GIMT_Encode4(1349000), // Rule ID 20212 //
     /* 1348921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1348924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1348929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1348932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1348935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1348938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1348941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1348944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1348947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1348959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1348963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1348967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1348974 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1348974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1348977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1348979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1348981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1348983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1348985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1348987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1348992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1348995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1348998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1348999 */     // GIR_Coverage, 20212,
     /* 1348999 */     GIR_EraseRootFromParent_Done,
     /* 1349000 */   // Label 19242: @1349000
     /* 1349000 */   GIM_Try, /*On fail goto*//*Label 19243*/ GIMT_Encode4(1349084), // Rule ID 20213 //
     /* 1349005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1349008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1349016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1349019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1349022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1349025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1349028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1349047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349058 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M1_MASK),
     /* 1349061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1349079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349083 */     // GIR_Coverage, 20213,
     /* 1349083 */     GIR_EraseRootFromParent_Done,
     /* 1349084 */   // Label 19243: @1349084
     /* 1349084 */   GIM_Try, /*On fail goto*//*Label 19244*/ GIMT_Encode4(1349168), // Rule ID 20216 //
     /* 1349089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1349106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349142 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1349145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349167 */     // GIR_Coverage, 20216,
     /* 1349167 */     GIR_EraseRootFromParent_Done,
     /* 1349168 */   // Label 19244: @1349168
     /* 1349168 */   GIM_Try, /*On fail goto*//*Label 19245*/ GIMT_Encode4(1349252), // Rule ID 20217 //
     /* 1349173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1349190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349226 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M2_MASK),
     /* 1349229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349251 */     // GIR_Coverage, 20217,
     /* 1349251 */     GIR_EraseRootFromParent_Done,
     /* 1349252 */   // Label 19245: @1349252
     /* 1349252 */   GIM_Try, /*On fail goto*//*Label 19246*/ GIMT_Encode4(1349336), // Rule ID 20220 //
     /* 1349257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1349274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349310 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1349313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349335 */     // GIR_Coverage, 20220,
     /* 1349335 */     GIR_EraseRootFromParent_Done,
     /* 1349336 */   // Label 19246: @1349336
     /* 1349336 */   GIM_Try, /*On fail goto*//*Label 19247*/ GIMT_Encode4(1349420), // Rule ID 20221 //
     /* 1349341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1349358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349394 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M4_MASK),
     /* 1349397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349419 */     // GIR_Coverage, 20221,
     /* 1349419 */     GIR_EraseRootFromParent_Done,
     /* 1349420 */   // Label 19247: @1349420
     /* 1349420 */   GIM_Try, /*On fail goto*//*Label 19248*/ GIMT_Encode4(1349504), // Rule ID 20224 //
     /* 1349425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1349428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1349436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1349439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1349442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1349448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349478 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1349481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349503 */     // GIR_Coverage, 20224,
     /* 1349503 */     GIR_EraseRootFromParent_Done,
     /* 1349504 */   // Label 19248: @1349504
     /* 1349504 */   GIM_Try, /*On fail goto*//*Label 19249*/ GIMT_Encode4(1349588), // Rule ID 20225 //
     /* 1349509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1349512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1349520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1349523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1349526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1349529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1349532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1349551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349562 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR16_M8_MASK),
     /* 1349565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1349583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349587 */     // GIR_Coverage, 20225,
     /* 1349587 */     GIR_EraseRootFromParent_Done,
     /* 1349588 */   // Label 19249: @1349588
     /* 1349588 */   GIM_Try, /*On fail goto*//*Label 19250*/ GIMT_Encode4(1349672), // Rule ID 20228 //
     /* 1349593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1349610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349646 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1349649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349671 */     // GIR_Coverage, 20228,
     /* 1349671 */     GIR_EraseRootFromParent_Done,
     /* 1349672 */   // Label 19250: @1349672
     /* 1349672 */   GIM_Try, /*On fail goto*//*Label 19251*/ GIMT_Encode4(1349756), // Rule ID 20229 //
     /* 1349677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1349688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1349691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1349694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1349700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1349715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349730 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M2_MASK),
     /* 1349733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349755 */     // GIR_Coverage, 20229,
     /* 1349755 */     GIR_EraseRootFromParent_Done,
     /* 1349756 */   // Label 19251: @1349756
     /* 1349756 */   GIM_Try, /*On fail goto*//*Label 19252*/ GIMT_Encode4(1349840), // Rule ID 20232 //
     /* 1349761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1349778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349814 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1349817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349839 */     // GIR_Coverage, 20232,
     /* 1349839 */     GIR_EraseRootFromParent_Done,
     /* 1349840 */   // Label 19252: @1349840
     /* 1349840 */   GIM_Try, /*On fail goto*//*Label 19253*/ GIMT_Encode4(1349924), // Rule ID 20233 //
     /* 1349845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1349848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1349856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1349859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1349862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1349868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1349871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1349883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349898 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1349898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M4_MASK),
     /* 1349901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1349916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1349919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1349922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1349923 */     // GIR_Coverage, 20233,
     /* 1349923 */     GIR_EraseRootFromParent_Done,
     /* 1349924 */   // Label 19253: @1349924
     /* 1349924 */   GIM_Try, /*On fail goto*//*Label 19254*/ GIMT_Encode4(1350008), // Rule ID 20236 //
     /* 1349929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1349932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1349937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1349940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1349943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1349946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1349949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1349952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1349955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1349963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1349967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1349971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1349975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1349982 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1349982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1349985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1349987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1349989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1349991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1349993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1349995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350007 */     // GIR_Coverage, 20236,
     /* 1350007 */     GIR_EraseRootFromParent_Done,
     /* 1350008 */   // Label 19254: @1350008
     /* 1350008 */   GIM_Try, /*On fail goto*//*Label 19255*/ GIMT_Encode4(1350092), // Rule ID 20237 //
     /* 1350013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1350016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1350021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1350024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1350027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1350030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1350036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350066 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR32_M8_MASK),
     /* 1350069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1350087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350091 */     // GIR_Coverage, 20237,
     /* 1350091 */     GIR_EraseRootFromParent_Done,
     /* 1350092 */   // Label 19255: @1350092
     /* 1350092 */   GIM_Try, /*On fail goto*//*Label 19256*/ GIMT_Encode4(1350176), // Rule ID 20240 //
     /* 1350097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1350105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1350114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350150 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1350153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350175 */     // GIR_Coverage, 20240,
     /* 1350175 */     GIR_EraseRootFromParent_Done,
     /* 1350176 */   // Label 19256: @1350176
     /* 1350176 */   GIM_Try, /*On fail goto*//*Label 19257*/ GIMT_Encode4(1350260), // Rule ID 20241 //
     /* 1350181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1350184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1350189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1350198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1350219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350234 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M2_MASK),
     /* 1350237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350259 */     // GIR_Coverage, 20241,
     /* 1350259 */     GIR_EraseRootFromParent_Done,
     /* 1350260 */   // Label 19257: @1350260
     /* 1350260 */   GIM_Try, /*On fail goto*//*Label 19258*/ GIMT_Encode4(1350344), // Rule ID 20244 //
     /* 1350265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1350273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1350282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350318 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1350321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350343 */     // GIR_Coverage, 20244,
     /* 1350343 */     GIR_EraseRootFromParent_Done,
     /* 1350344 */   // Label 19258: @1350344
     /* 1350344 */   GIM_Try, /*On fail goto*//*Label 19259*/ GIMT_Encode4(1350428), // Rule ID 20245 //
     /* 1350349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1350352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1350357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1350360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1350363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1350366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1350372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1350387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350402 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M4_MASK),
     /* 1350405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350427 */     // GIR_Coverage, 20245,
     /* 1350427 */     GIR_EraseRootFromParent_Done,
     /* 1350428 */   // Label 19259: @1350428
     /* 1350428 */   GIM_Try, /*On fail goto*//*Label 19260*/ GIMT_Encode4(1350512), // Rule ID 20248 //
     /* 1350433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1350436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1350441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1350450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350486 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1350489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350511 */     // GIR_Coverage, 20248,
     /* 1350511 */     GIR_EraseRootFromParent_Done,
     /* 1350512 */   // Label 19260: @1350512
     /* 1350512 */   GIM_Try, /*On fail goto*//*Label 19261*/ GIMT_Encode4(1350596), // Rule ID 20249 //
     /* 1350517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1350520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfne_mask),
     /* 1350525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1350528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1350531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1350534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1350537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1350540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1350555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1350559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350570 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11431:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFNE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VFPR64_M8_MASK),
     /* 1350573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1350591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350595 */     // GIR_Coverage, 20249,
     /* 1350595 */     GIR_EraseRootFromParent_Done,
     /* 1350596 */   // Label 19261: @1350596
     /* 1350596 */   GIM_Try, /*On fail goto*//*Label 19262*/ GIMT_Encode4(1350680), // Rule ID 20252 //
     /* 1350601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1350612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1350615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1350618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350654 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1350657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350679 */     // GIR_Coverage, 20252,
     /* 1350679 */     GIR_EraseRootFromParent_Done,
     /* 1350680 */   // Label 19262: @1350680
     /* 1350680 */   GIM_Try, /*On fail goto*//*Label 19263*/ GIMT_Encode4(1350764), // Rule ID 20253 //
     /* 1350685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1350696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1350699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1350702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350738 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF4_MASK),
     /* 1350741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350763 */     // GIR_Coverage, 20253,
     /* 1350763 */     GIR_EraseRootFromParent_Done,
     /* 1350764 */   // Label 19263: @1350764
     /* 1350764 */   GIM_Try, /*On fail goto*//*Label 19264*/ GIMT_Encode4(1350848), // Rule ID 20256 //
     /* 1350769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1350772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350822 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1350825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350847 */     // GIR_Coverage, 20256,
     /* 1350847 */     GIR_EraseRootFromParent_Done,
     /* 1350848 */   // Label 19264: @1350848
     /* 1350848 */   GIM_Try, /*On fail goto*//*Label 19265*/ GIMT_Encode4(1350932), // Rule ID 20257 //
     /* 1350853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1350856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1350864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1350867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1350870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1350873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1350876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1350879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1350895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350906 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1350906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_MF2_MASK),
     /* 1350909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1350917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1350919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1350924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1350927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1350930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1350931 */     // GIR_Coverage, 20257,
     /* 1350931 */     GIR_EraseRootFromParent_Done,
     /* 1350932 */   // Label 19265: @1350932
     /* 1350932 */   GIM_Try, /*On fail goto*//*Label 19266*/ GIMT_Encode4(1351016), // Rule ID 20260 //
     /* 1350937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1350940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1350945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1350948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1350951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1350954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1350957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1350960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1350963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1350975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1350979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1350983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1350990 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1350990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1350993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1350995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1350997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1350999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351015 */     // GIR_Coverage, 20260,
     /* 1351015 */     GIR_EraseRootFromParent_Done,
     /* 1351016 */   // Label 19266: @1351016
     /* 1351016 */   GIM_Try, /*On fail goto*//*Label 19267*/ GIMT_Encode4(1351100), // Rule ID 20261 //
     /* 1351021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1351038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351074 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_MF2_MASK),
     /* 1351077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351099 */     // GIR_Coverage, 20261,
     /* 1351099 */     GIR_EraseRootFromParent_Done,
     /* 1351100 */   // Label 19267: @1351100
     /* 1351100 */   GIM_Try, /*On fail goto*//*Label 19268*/ GIMT_Encode4(1351184), // Rule ID 20264 //
     /* 1351105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1351122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351158 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1351161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351183 */     // GIR_Coverage, 20264,
     /* 1351183 */     GIR_EraseRootFromParent_Done,
     /* 1351184 */   // Label 19268: @1351184
     /* 1351184 */   GIM_Try, /*On fail goto*//*Label 19269*/ GIMT_Encode4(1351268), // Rule ID 20265 //
     /* 1351189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1351200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1351203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1351206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1351212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351242 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M1_MASK),
     /* 1351245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351267 */     // GIR_Coverage, 20265,
     /* 1351267 */     GIR_EraseRootFromParent_Done,
     /* 1351268 */   // Label 19269: @1351268
     /* 1351268 */   GIM_Try, /*On fail goto*//*Label 19270*/ GIMT_Encode4(1351352), // Rule ID 20268 //
     /* 1351273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1351276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351326 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1351329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351351 */     // GIR_Coverage, 20268,
     /* 1351351 */     GIR_EraseRootFromParent_Done,
     /* 1351352 */   // Label 19270: @1351352
     /* 1351352 */   GIM_Try, /*On fail goto*//*Label 19271*/ GIMT_Encode4(1351436), // Rule ID 20269 //
     /* 1351357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1351360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1351368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1351371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1351374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1351377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1351380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1351399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351410 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M1_MASK),
     /* 1351413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1351431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351435 */     // GIR_Coverage, 20269,
     /* 1351435 */     GIR_EraseRootFromParent_Done,
     /* 1351436 */   // Label 19271: @1351436
     /* 1351436 */   GIM_Try, /*On fail goto*//*Label 19272*/ GIMT_Encode4(1351520), // Rule ID 20272 //
     /* 1351441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1351444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351494 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1351497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351519 */     // GIR_Coverage, 20272,
     /* 1351519 */     GIR_EraseRootFromParent_Done,
     /* 1351520 */   // Label 19272: @1351520
     /* 1351520 */   GIM_Try, /*On fail goto*//*Label 19273*/ GIMT_Encode4(1351604), // Rule ID 20273 //
     /* 1351525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1351528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1351536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1351539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1351542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1351545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1351548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1351567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351578 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M1_MASK),
     /* 1351581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1351599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351603 */     // GIR_Coverage, 20273,
     /* 1351603 */     GIR_EraseRootFromParent_Done,
     /* 1351604 */   // Label 19273: @1351604
     /* 1351604 */   GIM_Try, /*On fail goto*//*Label 19274*/ GIMT_Encode4(1351688), // Rule ID 20276 //
     /* 1351609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1351620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1351623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351662 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1351665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351687 */     // GIR_Coverage, 20276,
     /* 1351687 */     GIR_EraseRootFromParent_Done,
     /* 1351688 */   // Label 19274: @1351688
     /* 1351688 */   GIM_Try, /*On fail goto*//*Label 19275*/ GIMT_Encode4(1351772), // Rule ID 20277 //
     /* 1351693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1351704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1351707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1351710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1351716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1351731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351746 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M2_MASK),
     /* 1351749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351771 */     // GIR_Coverage, 20277,
     /* 1351771 */     GIR_EraseRootFromParent_Done,
     /* 1351772 */   // Label 19275: @1351772
     /* 1351772 */   GIM_Try, /*On fail goto*//*Label 19276*/ GIMT_Encode4(1351856), // Rule ID 20280 //
     /* 1351777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1351788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1351791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351830 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1351833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351855 */     // GIR_Coverage, 20280,
     /* 1351855 */     GIR_EraseRootFromParent_Done,
     /* 1351856 */   // Label 19276: @1351856
     /* 1351856 */   GIM_Try, /*On fail goto*//*Label 19277*/ GIMT_Encode4(1351940), // Rule ID 20281 //
     /* 1351861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1351864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1351872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1351875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1351878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1351884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1351887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1351899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351914 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1351914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M4_MASK),
     /* 1351917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1351919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1351921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1351923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1351925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1351927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1351932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1351935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1351938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1351939 */     // GIR_Coverage, 20281,
     /* 1351939 */     GIR_EraseRootFromParent_Done,
     /* 1351940 */   // Label 19277: @1351940
     /* 1351940 */   GIM_Try, /*On fail goto*//*Label 19278*/ GIMT_Encode4(1352024), // Rule ID 20284 //
     /* 1351945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1351948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1351953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1351956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1351959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1351962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1351965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1351968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1351971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1351979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1351983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1351987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1351991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1351998 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1351998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1352001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352023 */     // GIR_Coverage, 20284,
     /* 1352023 */     GIR_EraseRootFromParent_Done,
     /* 1352024 */   // Label 19278: @1352024
     /* 1352024 */   GIM_Try, /*On fail goto*//*Label 19279*/ GIMT_Encode4(1352108), // Rule ID 20285 //
     /* 1352029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1352032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1352040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1352043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1352046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1352049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1352052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1352071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352082 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR16_M8_MASK),
     /* 1352085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1352103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352107 */     // GIR_Coverage, 20285,
     /* 1352107 */     GIR_EraseRootFromParent_Done,
     /* 1352108 */   // Label 19279: @1352108
     /* 1352108 */   GIM_Try, /*On fail goto*//*Label 19280*/ GIMT_Encode4(1352192), // Rule ID 20288 //
     /* 1352113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352166 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1352169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352191 */     // GIR_Coverage, 20288,
     /* 1352191 */     GIR_EraseRootFromParent_Done,
     /* 1352192 */   // Label 19280: @1352192
     /* 1352192 */   GIM_Try, /*On fail goto*//*Label 19281*/ GIMT_Encode4(1352276), // Rule ID 20289 //
     /* 1352197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1352214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352250 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M2_MASK),
     /* 1352253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352275 */     // GIR_Coverage, 20289,
     /* 1352275 */     GIR_EraseRootFromParent_Done,
     /* 1352276 */   // Label 19281: @1352276
     /* 1352276 */   GIM_Try, /*On fail goto*//*Label 19282*/ GIMT_Encode4(1352360), // Rule ID 20292 //
     /* 1352281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352334 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1352337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352359 */     // GIR_Coverage, 20292,
     /* 1352359 */     GIR_EraseRootFromParent_Done,
     /* 1352360 */   // Label 19282: @1352360
     /* 1352360 */   GIM_Try, /*On fail goto*//*Label 19283*/ GIMT_Encode4(1352444), // Rule ID 20293 //
     /* 1352365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1352382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352418 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M4_MASK),
     /* 1352421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352443 */     // GIR_Coverage, 20293,
     /* 1352443 */     GIR_EraseRootFromParent_Done,
     /* 1352444 */   // Label 19283: @1352444
     /* 1352444 */   GIM_Try, /*On fail goto*//*Label 19284*/ GIMT_Encode4(1352528), // Rule ID 20296 //
     /* 1352449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1352452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352502 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1352505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352527 */     // GIR_Coverage, 20296,
     /* 1352527 */     GIR_EraseRootFromParent_Done,
     /* 1352528 */   // Label 19284: @1352528
     /* 1352528 */   GIM_Try, /*On fail goto*//*Label 19285*/ GIMT_Encode4(1352612), // Rule ID 20297 //
     /* 1352533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1352536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1352544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1352547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1352550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1352553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1352556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1352575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352586 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR32_M8_MASK),
     /* 1352589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1352607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352611 */     // GIR_Coverage, 20297,
     /* 1352611 */     GIR_EraseRootFromParent_Done,
     /* 1352612 */   // Label 19285: @1352612
     /* 1352612 */   GIM_Try, /*On fail goto*//*Label 19286*/ GIMT_Encode4(1352696), // Rule ID 20300 //
     /* 1352617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1352628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1352631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1352634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352670 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1352673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352695 */     // GIR_Coverage, 20300,
     /* 1352695 */     GIR_EraseRootFromParent_Done,
     /* 1352696 */   // Label 19286: @1352696
     /* 1352696 */   GIM_Try, /*On fail goto*//*Label 19287*/ GIMT_Encode4(1352780), // Rule ID 20301 //
     /* 1352701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1352712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1352715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1352718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1352724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1352739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352754 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M2_MASK),
     /* 1352757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352779 */     // GIR_Coverage, 20301,
     /* 1352779 */     GIR_EraseRootFromParent_Done,
     /* 1352780 */   // Label 19287: @1352780
     /* 1352780 */   GIM_Try, /*On fail goto*//*Label 19288*/ GIMT_Encode4(1352864), // Rule ID 20304 //
     /* 1352785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1352802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352838 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1352838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1352841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352863 */     // GIR_Coverage, 20304,
     /* 1352863 */     GIR_EraseRootFromParent_Done,
     /* 1352864 */   // Label 19288: @1352864
     /* 1352864 */   GIM_Try, /*On fail goto*//*Label 19289*/ GIMT_Encode4(1352948), // Rule ID 20305 //
     /* 1352869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1352872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1352880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1352883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1352886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1352892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1352895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1352907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1352922 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1352922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M4_MASK),
     /* 1352925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1352927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1352929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1352931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1352933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1352935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1352940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1352943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1352946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1352947 */     // GIR_Coverage, 20305,
     /* 1352947 */     GIR_EraseRootFromParent_Done,
     /* 1352948 */   // Label 19289: @1352948
     /* 1352948 */   GIM_Try, /*On fail goto*//*Label 19290*/ GIMT_Encode4(1353032), // Rule ID 20308 //
     /* 1352953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1352956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1352961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1352964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1352967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1352970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1352973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1352976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1352979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1352987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1352991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1352995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1352999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353006 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1353009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353031 */     // GIR_Coverage, 20308,
     /* 1353031 */     GIR_EraseRootFromParent_Done,
     /* 1353032 */   // Label 19290: @1353032
     /* 1353032 */   GIM_Try, /*On fail goto*//*Label 19291*/ GIMT_Encode4(1353116), // Rule ID 20309 //
     /* 1353037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1353040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1353045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1353048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1353051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1353054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1353060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1353075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1353079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353090 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGT_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGT_VFPR64_M8_MASK),
     /* 1353093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1353111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353115 */     // GIR_Coverage, 20309,
     /* 1353115 */     GIR_EraseRootFromParent_Done,
     /* 1353116 */   // Label 19291: @1353116
     /* 1353116 */   GIM_Try, /*On fail goto*//*Label 19292*/ GIMT_Encode4(1353200), // Rule ID 20312 //
     /* 1353121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1353124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1353141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1353163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353174 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1353177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353199 */     // GIR_Coverage, 20312,
     /* 1353199 */     GIR_EraseRootFromParent_Done,
     /* 1353200 */   // Label 19292: @1353200
     /* 1353200 */   GIM_Try, /*On fail goto*//*Label 19293*/ GIMT_Encode4(1353284), // Rule ID 20313 //
     /* 1353205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1353208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1353222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1353225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1353247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353258 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF4_MASK),
     /* 1353261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353283 */     // GIR_Coverage, 20313,
     /* 1353283 */     GIR_EraseRootFromParent_Done,
     /* 1353284 */   // Label 19293: @1353284
     /* 1353284 */   GIM_Try, /*On fail goto*//*Label 19294*/ GIMT_Encode4(1353368), // Rule ID 20316 //
     /* 1353289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1353292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1353306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1353309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1353331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353342 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1353345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353367 */     // GIR_Coverage, 20316,
     /* 1353367 */     GIR_EraseRootFromParent_Done,
     /* 1353368 */   // Label 19294: @1353368
     /* 1353368 */   GIM_Try, /*On fail goto*//*Label 19295*/ GIMT_Encode4(1353452), // Rule ID 20317 //
     /* 1353373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1353376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1353390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1353393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1353415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353426 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_MF2_MASK),
     /* 1353429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353451 */     // GIR_Coverage, 20317,
     /* 1353451 */     GIR_EraseRootFromParent_Done,
     /* 1353452 */   // Label 19295: @1353452
     /* 1353452 */   GIM_Try, /*On fail goto*//*Label 19296*/ GIMT_Encode4(1353536), // Rule ID 20320 //
     /* 1353457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1353474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353510 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1353513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353535 */     // GIR_Coverage, 20320,
     /* 1353535 */     GIR_EraseRootFromParent_Done,
     /* 1353536 */   // Label 19296: @1353536
     /* 1353536 */   GIM_Try, /*On fail goto*//*Label 19297*/ GIMT_Encode4(1353620), // Rule ID 20321 //
     /* 1353541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1353558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353594 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_MF2_MASK),
     /* 1353597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353619 */     // GIR_Coverage, 20321,
     /* 1353619 */     GIR_EraseRootFromParent_Done,
     /* 1353620 */   // Label 19297: @1353620
     /* 1353620 */   GIM_Try, /*On fail goto*//*Label 19298*/ GIMT_Encode4(1353704), // Rule ID 20324 //
     /* 1353625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1353628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1353642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1353645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1353667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353678 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1353681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353703 */     // GIR_Coverage, 20324,
     /* 1353703 */     GIR_EraseRootFromParent_Done,
     /* 1353704 */   // Label 19298: @1353704
     /* 1353704 */   GIM_Try, /*On fail goto*//*Label 19299*/ GIMT_Encode4(1353788), // Rule ID 20325 //
     /* 1353709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1353712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1353720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1353723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1353726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1353729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1353732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1353751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353762 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M1_MASK),
     /* 1353765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1353783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353787 */     // GIR_Coverage, 20325,
     /* 1353787 */     GIR_EraseRootFromParent_Done,
     /* 1353788 */   // Label 19299: @1353788
     /* 1353788 */   GIM_Try, /*On fail goto*//*Label 19300*/ GIMT_Encode4(1353872), // Rule ID 20328 //
     /* 1353793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1353796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1353810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353846 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1353846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1353849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353871 */     // GIR_Coverage, 20328,
     /* 1353871 */     GIR_EraseRootFromParent_Done,
     /* 1353872 */   // Label 19300: @1353872
     /* 1353872 */   GIM_Try, /*On fail goto*//*Label 19301*/ GIMT_Encode4(1353956), // Rule ID 20329 //
     /* 1353877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1353880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1353888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1353891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1353894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1353897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1353900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1353903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1353919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1353923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1353930 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1353930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M1_MASK),
     /* 1353933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1353935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1353937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1353939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1353941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1353943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1353948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1353951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1353954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1353955 */     // GIR_Coverage, 20329,
     /* 1353955 */     GIR_EraseRootFromParent_Done,
     /* 1353956 */   // Label 19301: @1353956
     /* 1353956 */   GIM_Try, /*On fail goto*//*Label 19302*/ GIMT_Encode4(1354040), // Rule ID 20332 //
     /* 1353961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1353964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1353969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1353972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1353975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1353978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1353981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1353984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1353987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1353999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354014 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1354017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354039 */     // GIR_Coverage, 20332,
     /* 1354039 */     GIR_EraseRootFromParent_Done,
     /* 1354040 */   // Label 19302: @1354040
     /* 1354040 */   GIM_Try, /*On fail goto*//*Label 19303*/ GIMT_Encode4(1354124), // Rule ID 20333 //
     /* 1354045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1354048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1354056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1354059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1354062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1354065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1354068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1354087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354098 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M1_MASK),
     /* 1354101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1354119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354123 */     // GIR_Coverage, 20333,
     /* 1354123 */     GIR_EraseRootFromParent_Done,
     /* 1354124 */   // Label 19303: @1354124
     /* 1354124 */   GIM_Try, /*On fail goto*//*Label 19304*/ GIMT_Encode4(1354208), // Rule ID 20336 //
     /* 1354129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1354140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1354143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1354146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354182 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1354185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354207 */     // GIR_Coverage, 20336,
     /* 1354207 */     GIR_EraseRootFromParent_Done,
     /* 1354208 */   // Label 19304: @1354208
     /* 1354208 */   GIM_Try, /*On fail goto*//*Label 19305*/ GIMT_Encode4(1354292), // Rule ID 20337 //
     /* 1354213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1354224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1354227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1354230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354266 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M2_MASK),
     /* 1354269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354291 */     // GIR_Coverage, 20337,
     /* 1354291 */     GIR_EraseRootFromParent_Done,
     /* 1354292 */   // Label 19305: @1354292
     /* 1354292 */   GIM_Try, /*On fail goto*//*Label 19306*/ GIMT_Encode4(1354376), // Rule ID 20340 //
     /* 1354297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1354308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1354311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1354314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354350 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1354353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354375 */     // GIR_Coverage, 20340,
     /* 1354375 */     GIR_EraseRootFromParent_Done,
     /* 1354376 */   // Label 19306: @1354376
     /* 1354376 */   GIM_Try, /*On fail goto*//*Label 19307*/ GIMT_Encode4(1354460), // Rule ID 20341 //
     /* 1354381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1354392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1354395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1354398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354434 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M4_MASK),
     /* 1354437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354459 */     // GIR_Coverage, 20341,
     /* 1354459 */     GIR_EraseRootFromParent_Done,
     /* 1354460 */   // Label 19307: @1354460
     /* 1354460 */   GIM_Try, /*On fail goto*//*Label 19308*/ GIMT_Encode4(1354544), // Rule ID 20344 //
     /* 1354465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1354468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1354476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1354479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1354482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354518 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1354521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354543 */     // GIR_Coverage, 20344,
     /* 1354543 */     GIR_EraseRootFromParent_Done,
     /* 1354544 */   // Label 19308: @1354544
     /* 1354544 */   GIM_Try, /*On fail goto*//*Label 19309*/ GIMT_Encode4(1354628), // Rule ID 20345 //
     /* 1354549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1354552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1354560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1354563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1354566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1354569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1354572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1354587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1354591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354602 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR16_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR16_M8_MASK),
     /* 1354605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1354623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354627 */     // GIR_Coverage, 20345,
     /* 1354627 */     GIR_EraseRootFromParent_Done,
     /* 1354628 */   // Label 19309: @1354628
     /* 1354628 */   GIM_Try, /*On fail goto*//*Label 19310*/ GIMT_Encode4(1354712), // Rule ID 20348 //
     /* 1354633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1354636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1354644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1354647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1354650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1354675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354686 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1354689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354711 */     // GIR_Coverage, 20348,
     /* 1354711 */     GIR_EraseRootFromParent_Done,
     /* 1354712 */   // Label 19310: @1354712
     /* 1354712 */   GIM_Try, /*On fail goto*//*Label 19311*/ GIMT_Encode4(1354796), // Rule ID 20349 //
     /* 1354717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1354720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1354728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1354731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1354734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1354740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1354755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1354759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354770 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M2_MASK),
     /* 1354773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354795 */     // GIR_Coverage, 20349,
     /* 1354795 */     GIR_EraseRootFromParent_Done,
     /* 1354796 */   // Label 19311: @1354796
     /* 1354796 */   GIM_Try, /*On fail goto*//*Label 19312*/ GIMT_Encode4(1354880), // Rule ID 20352 //
     /* 1354801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1354804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1354812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1354815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1354818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1354843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354854 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1354854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1354857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354879 */     // GIR_Coverage, 20352,
     /* 1354879 */     GIR_EraseRootFromParent_Done,
     /* 1354880 */   // Label 19312: @1354880
     /* 1354880 */   GIM_Try, /*On fail goto*//*Label 19313*/ GIMT_Encode4(1354964), // Rule ID 20353 //
     /* 1354885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1354888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1354896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1354899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1354902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1354908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1354911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1354923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1354927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1354931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1354938 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1354938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M4_MASK),
     /* 1354941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1354943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1354945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1354947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1354949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1354951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1354956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1354959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1354962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1354963 */     // GIR_Coverage, 20353,
     /* 1354963 */     GIR_EraseRootFromParent_Done,
     /* 1354964 */   // Label 19313: @1354964
     /* 1354964 */   GIM_Try, /*On fail goto*//*Label 19314*/ GIMT_Encode4(1355048), // Rule ID 20356 //
     /* 1354969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1354972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1354977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1354980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1354983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1354986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1354989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1354992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1354995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1354999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1355011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355022 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1355025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355047 */     // GIR_Coverage, 20356,
     /* 1355047 */     GIR_EraseRootFromParent_Done,
     /* 1355048 */   // Label 19314: @1355048
     /* 1355048 */   GIM_Try, /*On fail goto*//*Label 19315*/ GIMT_Encode4(1355132), // Rule ID 20357 //
     /* 1355053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1355056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1355064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1355067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1355070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1355073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1355076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1355095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355106 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR32_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR32_M8_MASK),
     /* 1355109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1355127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355131 */     // GIR_Coverage, 20357,
     /* 1355131 */     GIR_EraseRootFromParent_Done,
     /* 1355132 */   // Label 19315: @1355132
     /* 1355132 */   GIM_Try, /*On fail goto*//*Label 19316*/ GIMT_Encode4(1355216), // Rule ID 20360 //
     /* 1355137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1355148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1355151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1355154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1355179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355190 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1355193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355215 */     // GIR_Coverage, 20360,
     /* 1355215 */     GIR_EraseRootFromParent_Done,
     /* 1355216 */   // Label 19316: @1355216
     /* 1355216 */   GIM_Try, /*On fail goto*//*Label 19317*/ GIMT_Encode4(1355300), // Rule ID 20361 //
     /* 1355221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1355232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1355235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1355238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1355259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1355263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355274 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M2_MASK),
     /* 1355277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355299 */     // GIR_Coverage, 20361,
     /* 1355299 */     GIR_EraseRootFromParent_Done,
     /* 1355300 */   // Label 19317: @1355300
     /* 1355300 */   GIM_Try, /*On fail goto*//*Label 19318*/ GIMT_Encode4(1355384), // Rule ID 20364 //
     /* 1355305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1355316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1355319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1355322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1355347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355358 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1355361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355383 */     // GIR_Coverage, 20364,
     /* 1355383 */     GIR_EraseRootFromParent_Done,
     /* 1355384 */   // Label 19318: @1355384
     /* 1355384 */   GIM_Try, /*On fail goto*//*Label 19319*/ GIMT_Encode4(1355468), // Rule ID 20365 //
     /* 1355389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1355400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1355403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1355406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1355412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1355427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1355431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355442 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M4_MASK),
     /* 1355445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355467 */     // GIR_Coverage, 20365,
     /* 1355467 */     GIR_EraseRootFromParent_Done,
     /* 1355468 */   // Label 19319: @1355468
     /* 1355468 */   GIM_Try, /*On fail goto*//*Label 19320*/ GIMT_Encode4(1355552), // Rule ID 20368 //
     /* 1355473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1355476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1355490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1355515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355526 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1355529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355551 */     // GIR_Coverage, 20368,
     /* 1355551 */     GIR_EraseRootFromParent_Done,
     /* 1355552 */   // Label 19320: @1355552
     /* 1355552 */   GIM_Try, /*On fail goto*//*Label 19321*/ GIMT_Encode4(1355636), // Rule ID 20369 //
     /* 1355557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1355560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1355565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1355568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1355571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1355574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1355577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1355580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1355595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1355599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355610 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFGE_VFPR64_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFGE_VFPR64_M8_MASK),
     /* 1355613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1355619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1355621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1355631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355635 */     // GIR_Coverage, 20369,
     /* 1355635 */     GIR_EraseRootFromParent_Done,
     /* 1355636 */   // Label 19321: @1355636
     /* 1355636 */   GIM_Try, /*On fail goto*//*Label 19322*/ GIMT_Encode4(1355720), // Rule ID 20372 //
     /* 1355641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1355644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1355649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1355652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1355655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1355658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1355661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355694 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1355697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355719 */     // GIR_Coverage, 20372,
     /* 1355719 */     GIR_EraseRootFromParent_Done,
     /* 1355720 */   // Label 19322: @1355720
     /* 1355720 */   GIM_Try, /*On fail goto*//*Label 19323*/ GIMT_Encode4(1355804), // Rule ID 20373 //
     /* 1355725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1355728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1355733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1355736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1355739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1355742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1355745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1355748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355778 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4_MASK),
     /* 1355781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355803 */     // GIR_Coverage, 20373,
     /* 1355803 */     GIR_EraseRootFromParent_Done,
     /* 1355804 */   // Label 19323: @1355804
     /* 1355804 */   GIM_Try, /*On fail goto*//*Label 19324*/ GIMT_Encode4(1355888), // Rule ID 20376 //
     /* 1355809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1355812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1355817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1355820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1355823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1355826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1355829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1355835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355862 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1355862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1355865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355887 */     // GIR_Coverage, 20376,
     /* 1355887 */     GIR_EraseRootFromParent_Done,
     /* 1355888 */   // Label 19324: @1355888
     /* 1355888 */   GIM_Try, /*On fail goto*//*Label 19325*/ GIMT_Encode4(1355972), // Rule ID 20377 //
     /* 1355893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1355896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1355901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1355904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1355907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1355910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1355913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1355916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1355919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1355935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1355939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1355946 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1355946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1355949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1355951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1355953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1355955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1355957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1355959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1355964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1355967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1355970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1355971 */     // GIR_Coverage, 20377,
     /* 1355971 */     GIR_EraseRootFromParent_Done,
     /* 1355972 */   // Label 19325: @1355972
     /* 1355972 */   GIM_Try, /*On fail goto*//*Label 19326*/ GIMT_Encode4(1356056), // Rule ID 20380 //
     /* 1355977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1355980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1355985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1355988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1355991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1355994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1355997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356030 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1356033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356055 */     // GIR_Coverage, 20380,
     /* 1356055 */     GIR_EraseRootFromParent_Done,
     /* 1356056 */   // Label 19326: @1356056
     /* 1356056 */   GIM_Try, /*On fail goto*//*Label 19327*/ GIMT_Encode4(1356140), // Rule ID 20381 //
     /* 1356061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1356064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1356072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1356075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1356078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1356081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356114 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2_MASK),
     /* 1356117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356139 */     // GIR_Coverage, 20381,
     /* 1356139 */     GIR_EraseRootFromParent_Done,
     /* 1356140 */   // Label 19327: @1356140
     /* 1356140 */   GIM_Try, /*On fail goto*//*Label 19328*/ GIMT_Encode4(1356224), // Rule ID 20384 //
     /* 1356145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1356156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1356159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1356162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356198 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1356201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356223 */     // GIR_Coverage, 20384,
     /* 1356223 */     GIR_EraseRootFromParent_Done,
     /* 1356224 */   // Label 19328: @1356224
     /* 1356224 */   GIM_Try, /*On fail goto*//*Label 19329*/ GIMT_Encode4(1356308), // Rule ID 20385 //
     /* 1356229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1356240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1356243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1356246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1356249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1356252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356282 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1356285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356307 */     // GIR_Coverage, 20385,
     /* 1356307 */     GIR_EraseRootFromParent_Done,
     /* 1356308 */   // Label 19329: @1356308
     /* 1356308 */   GIM_Try, /*On fail goto*//*Label 19330*/ GIMT_Encode4(1356392), // Rule ID 20388 //
     /* 1356313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1356316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1356324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1356327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1356330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356366 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1356369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356391 */     // GIR_Coverage, 20388,
     /* 1356391 */     GIR_EraseRootFromParent_Done,
     /* 1356392 */   // Label 19330: @1356392
     /* 1356392 */   GIM_Try, /*On fail goto*//*Label 19331*/ GIMT_Encode4(1356476), // Rule ID 20389 //
     /* 1356397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1356400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1356408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1356411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1356414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1356417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1356420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356450 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1356453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1356471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356475 */     // GIR_Coverage, 20389,
     /* 1356475 */     GIR_EraseRootFromParent_Done,
     /* 1356476 */   // Label 19331: @1356476
     /* 1356476 */   GIM_Try, /*On fail goto*//*Label 19332*/ GIMT_Encode4(1356560), // Rule ID 20392 //
     /* 1356481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1356484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1356492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1356495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1356498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356534 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1356537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356559 */     // GIR_Coverage, 20392,
     /* 1356559 */     GIR_EraseRootFromParent_Done,
     /* 1356560 */   // Label 19332: @1356560
     /* 1356560 */   GIM_Try, /*On fail goto*//*Label 19333*/ GIMT_Encode4(1356644), // Rule ID 20393 //
     /* 1356565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1356568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1356576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1356579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1356582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1356585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1356588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356618 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1_MASK),
     /* 1356621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1356639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356643 */     // GIR_Coverage, 20393,
     /* 1356643 */     GIR_EraseRootFromParent_Done,
     /* 1356644 */   // Label 19333: @1356644
     /* 1356644 */   GIM_Try, /*On fail goto*//*Label 19334*/ GIMT_Encode4(1356728), // Rule ID 20396 //
     /* 1356649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1356660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1356663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1356669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356702 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1356705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356727 */     // GIR_Coverage, 20396,
     /* 1356727 */     GIR_EraseRootFromParent_Done,
     /* 1356728 */   // Label 19334: @1356728
     /* 1356728 */   GIM_Try, /*On fail goto*//*Label 19335*/ GIMT_Encode4(1356812), // Rule ID 20397 //
     /* 1356733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1356744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1356747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1356750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1356753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1356756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1356775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356786 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1356789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356811 */     // GIR_Coverage, 20397,
     /* 1356811 */     GIR_EraseRootFromParent_Done,
     /* 1356812 */   // Label 19335: @1356812
     /* 1356812 */   GIM_Try, /*On fail goto*//*Label 19336*/ GIMT_Encode4(1356896), // Rule ID 20400 //
     /* 1356817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1356828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1356831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1356837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1356843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356870 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1356870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1356873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356895 */     // GIR_Coverage, 20400,
     /* 1356895 */     GIR_EraseRootFromParent_Done,
     /* 1356896 */   // Label 19336: @1356896
     /* 1356896 */   GIM_Try, /*On fail goto*//*Label 19337*/ GIMT_Encode4(1356980), // Rule ID 20401 //
     /* 1356901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1356904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1356912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1356915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1356918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1356921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1356924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1356927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1356935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1356943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1356947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1356954 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1356954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1356957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1356959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1356961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1356963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1356965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1356967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1356972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1356975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1356978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1356979 */     // GIR_Coverage, 20401,
     /* 1356979 */     GIR_EraseRootFromParent_Done,
     /* 1356980 */   // Label 19337: @1356980
     /* 1356980 */   GIM_Try, /*On fail goto*//*Label 19338*/ GIMT_Encode4(1357064), // Rule ID 20404 //
     /* 1356985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1356988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1356993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1356996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1356999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1357002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1357005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1357008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357038 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1357038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1357041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357063 */     // GIR_Coverage, 20404,
     /* 1357063 */     GIR_EraseRootFromParent_Done,
     /* 1357064 */   // Label 19338: @1357064
     /* 1357064 */   GIM_Try, /*On fail goto*//*Label 19339*/ GIMT_Encode4(1357148), // Rule ID 20405 //
     /* 1357069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1357072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1357080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1357083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1357086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1357089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1357092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357122 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1357122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1357125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1357143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357147 */     // GIR_Coverage, 20405,
     /* 1357147 */     GIR_EraseRootFromParent_Done,
     /* 1357148 */   // Label 19339: @1357148
     /* 1357148 */   GIM_Try, /*On fail goto*//*Label 19340*/ GIMT_Encode4(1357232), // Rule ID 20408 //
     /* 1357153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1357164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1357167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1357173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357206 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1357206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1357209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357231 */     // GIR_Coverage, 20408,
     /* 1357231 */     GIR_EraseRootFromParent_Done,
     /* 1357232 */   // Label 19340: @1357232
     /* 1357232 */   GIM_Try, /*On fail goto*//*Label 19341*/ GIMT_Encode4(1357316), // Rule ID 20409 //
     /* 1357237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1357248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1357251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1357254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1357257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357290 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1357290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1357293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357315 */     // GIR_Coverage, 20409,
     /* 1357315 */     GIR_EraseRootFromParent_Done,
     /* 1357316 */   // Label 19341: @1357316
     /* 1357316 */   GIM_Try, /*On fail goto*//*Label 19342*/ GIMT_Encode4(1357400), // Rule ID 20412 //
     /* 1357321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1357332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1357335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1357341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357374 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1357374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1357377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357399 */     // GIR_Coverage, 20412,
     /* 1357399 */     GIR_EraseRootFromParent_Done,
     /* 1357400 */   // Label 19342: @1357400
     /* 1357400 */   GIM_Try, /*On fail goto*//*Label 19343*/ GIMT_Encode4(1357484), // Rule ID 20413 //
     /* 1357405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1357416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1357419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1357422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1357425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1357428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357458 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1357458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1357461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357483 */     // GIR_Coverage, 20413,
     /* 1357483 */     GIR_EraseRootFromParent_Done,
     /* 1357484 */   // Label 19343: @1357484
     /* 1357484 */   GIM_Try, /*On fail goto*//*Label 19344*/ GIMT_Encode4(1357568), // Rule ID 20416 //
     /* 1357489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1357492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1357500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1357503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1357509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357542 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1357542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1357545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357567 */     // GIR_Coverage, 20416,
     /* 1357567 */     GIR_EraseRootFromParent_Done,
     /* 1357568 */   // Label 19344: @1357568
     /* 1357568 */   GIM_Try, /*On fail goto*//*Label 19345*/ GIMT_Encode4(1357652), // Rule ID 20417 //
     /* 1357573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1357576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1357584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1357587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1357590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1357593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1357596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1357615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357626 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1357626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1357629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1357647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357651 */     // GIR_Coverage, 20417,
     /* 1357651 */     GIR_EraseRootFromParent_Done,
     /* 1357652 */   // Label 19345: @1357652
     /* 1357652 */   GIM_Try, /*On fail goto*//*Label 19346*/ GIMT_Encode4(1357736), // Rule ID 20420 //
     /* 1357657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1357668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1357671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1357677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357710 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1357710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1357713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357735 */     // GIR_Coverage, 20420,
     /* 1357735 */     GIR_EraseRootFromParent_Done,
     /* 1357736 */   // Label 19346: @1357736
     /* 1357736 */   GIM_Try, /*On fail goto*//*Label 19347*/ GIMT_Encode4(1357820), // Rule ID 20421 //
     /* 1357741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1357744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1357752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1357755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1357758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1357761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1357764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1357783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357794 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1357794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2_MASK),
     /* 1357797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357819 */     // GIR_Coverage, 20421,
     /* 1357819 */     GIR_EraseRootFromParent_Done,
     /* 1357820 */   // Label 19347: @1357820
     /* 1357820 */   GIM_Try, /*On fail goto*//*Label 19348*/ GIMT_Encode4(1357904), // Rule ID 20424 //
     /* 1357825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1357836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1357839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1357845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1357851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357878 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1357878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1357881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357903 */     // GIR_Coverage, 20424,
     /* 1357903 */     GIR_EraseRootFromParent_Done,
     /* 1357904 */   // Label 19348: @1357904
     /* 1357904 */   GIM_Try, /*On fail goto*//*Label 19349*/ GIMT_Encode4(1357988), // Rule ID 20425 //
     /* 1357909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1357912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1357917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1357920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1357923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1357926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1357929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1357932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1357935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1357943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1357951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1357955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1357962 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1357962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4_MASK),
     /* 1357965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1357967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1357969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1357971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1357973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1357975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1357980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1357983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1357986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1357987 */     // GIR_Coverage, 20425,
     /* 1357987 */     GIR_EraseRootFromParent_Done,
     /* 1357988 */   // Label 19349: @1357988
     /* 1357988 */   GIM_Try, /*On fail goto*//*Label 19350*/ GIMT_Encode4(1358072), // Rule ID 20428 //
     /* 1357993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1357996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1358001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1358004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1358007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1358013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358046 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1358046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1358049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358071 */     // GIR_Coverage, 20428,
     /* 1358071 */     GIR_EraseRootFromParent_Done,
     /* 1358072 */   // Label 19350: @1358072
     /* 1358072 */   GIM_Try, /*On fail goto*//*Label 19351*/ GIMT_Encode4(1358156), // Rule ID 20429 //
     /* 1358077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1358080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfgt_mask),
     /* 1358085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1358088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1358091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1358094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1358097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1358100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1358119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358130 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11425:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLT_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1358130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8_MASK),
     /* 1358133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1358151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358155 */     // GIR_Coverage, 20429,
     /* 1358155 */     GIR_EraseRootFromParent_Done,
     /* 1358156 */   // Label 19351: @1358156
     /* 1358156 */   GIM_Try, /*On fail goto*//*Label 19352*/ GIMT_Encode4(1358240), // Rule ID 20432 //
     /* 1358161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1358164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1358172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1358175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1358181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358214 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1358214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1358217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358239 */     // GIR_Coverage, 20432,
     /* 1358239 */     GIR_EraseRootFromParent_Done,
     /* 1358240 */   // Label 19352: @1358240
     /* 1358240 */   GIM_Try, /*On fail goto*//*Label 19353*/ GIMT_Encode4(1358324), // Rule ID 20433 //
     /* 1358245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1358248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1358256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1358259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1358262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1358265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358298 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF4_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1358298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4_MASK),
     /* 1358301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358323 */     // GIR_Coverage, 20433,
     /* 1358323 */     GIR_EraseRootFromParent_Done,
     /* 1358324 */   // Label 19353: @1358324
     /* 1358324 */   GIM_Try, /*On fail goto*//*Label 19354*/ GIMT_Encode4(1358408), // Rule ID 20436 //
     /* 1358329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1358332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1358340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1358343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1358349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358382 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1358382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1358385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358407 */     // GIR_Coverage, 20436,
     /* 1358407 */     GIR_EraseRootFromParent_Done,
     /* 1358408 */   // Label 19354: @1358408
     /* 1358408 */   GIM_Try, /*On fail goto*//*Label 19355*/ GIMT_Encode4(1358492), // Rule ID 20437 //
     /* 1358413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1358416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1358424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1358427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1358430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1358433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358466 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1358466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1358469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358491 */     // GIR_Coverage, 20437,
     /* 1358491 */     GIR_EraseRootFromParent_Done,
     /* 1358492 */   // Label 19355: @1358492
     /* 1358492 */   GIM_Try, /*On fail goto*//*Label 19356*/ GIMT_Encode4(1358576), // Rule ID 20440 //
     /* 1358497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1358500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1358508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1358511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1358514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1358517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358550 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1358550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1358553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358575 */     // GIR_Coverage, 20440,
     /* 1358575 */     GIR_EraseRootFromParent_Done,
     /* 1358576 */   // Label 19356: @1358576
     /* 1358576 */   GIM_Try, /*On fail goto*//*Label 19357*/ GIMT_Encode4(1358660), // Rule ID 20441 //
     /* 1358581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1358584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1358592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1358595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1358598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1358601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1358604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358634 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_MF2_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1358634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2_MASK),
     /* 1358637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358659 */     // GIR_Coverage, 20441,
     /* 1358659 */     GIR_EraseRootFromParent_Done,
     /* 1358660 */   // Label 19357: @1358660
     /* 1358660 */   GIM_Try, /*On fail goto*//*Label 19358*/ GIMT_Encode4(1358744), // Rule ID 20444 //
     /* 1358665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1358668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1358676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1358679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1358682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358718 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1358718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1358721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358743 */     // GIR_Coverage, 20444,
     /* 1358743 */     GIR_EraseRootFromParent_Done,
     /* 1358744 */   // Label 19358: @1358744
     /* 1358744 */   GIM_Try, /*On fail goto*//*Label 19359*/ GIMT_Encode4(1358828), // Rule ID 20445 //
     /* 1358749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1358752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1358760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1358763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1358766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1358769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1358772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358802 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1358802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1358805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1358823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358827 */     // GIR_Coverage, 20445,
     /* 1358827 */     GIR_EraseRootFromParent_Done,
     /* 1358828 */   // Label 19359: @1358828
     /* 1358828 */   GIM_Try, /*On fail goto*//*Label 19360*/ GIMT_Encode4(1358912), // Rule ID 20448 //
     /* 1358833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1358836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1358844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1358847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1358850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1358859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358886 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1358886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1358889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358911 */     // GIR_Coverage, 20448,
     /* 1358911 */     GIR_EraseRootFromParent_Done,
     /* 1358912 */   // Label 19360: @1358912
     /* 1358912 */   GIM_Try, /*On fail goto*//*Label 19361*/ GIMT_Encode4(1358996), // Rule ID 20449 //
     /* 1358917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1358920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1358925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1358928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1358931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1358934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1358937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1358940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1358943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1358959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1358963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1358970 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1358970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1358973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1358975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1358977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1358979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1358981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1358983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1358988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1358991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1358994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1358995 */     // GIR_Coverage, 20449,
     /* 1358995 */     GIR_EraseRootFromParent_Done,
     /* 1358996 */   // Label 19361: @1358996
     /* 1358996 */   GIM_Try, /*On fail goto*//*Label 19362*/ GIMT_Encode4(1359080), // Rule ID 20452 //
     /* 1359001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1359004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1359012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1359015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359054 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1359054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1359057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359079 */     // GIR_Coverage, 20452,
     /* 1359079 */     GIR_EraseRootFromParent_Done,
     /* 1359080 */   // Label 19362: @1359080
     /* 1359080 */   GIM_Try, /*On fail goto*//*Label 19363*/ GIMT_Encode4(1359164), // Rule ID 20453 //
     /* 1359085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1359088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s1,
     /* 1359096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s1,
     /* 1359099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1359102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1359105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1359108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359138 */     // (intrinsic_wo_chain:{ *:[nxv1i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M1_MASK:{ *:[nxv1i1] } VR:{ *:[nxv1i1] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1359138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1_MASK),
     /* 1359141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1359159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359163 */     // GIR_Coverage, 20453,
     /* 1359163 */     GIR_EraseRootFromParent_Done,
     /* 1359164 */   // Label 19363: @1359164
     /* 1359164 */   GIM_Try, /*On fail goto*//*Label 19364*/ GIMT_Encode4(1359248), // Rule ID 20456 //
     /* 1359169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1359172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1359180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1359183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1359186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1359189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359222 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1359222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1359225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359247 */     // GIR_Coverage, 20456,
     /* 1359247 */     GIR_EraseRootFromParent_Done,
     /* 1359248 */   // Label 19364: @1359248
     /* 1359248 */   GIM_Try, /*On fail goto*//*Label 19365*/ GIMT_Encode4(1359332), // Rule ID 20457 //
     /* 1359253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1359256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1359264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1359267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1359270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1359273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359306 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1359306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1359309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359331 */     // GIR_Coverage, 20457,
     /* 1359331 */     GIR_EraseRootFromParent_Done,
     /* 1359332 */   // Label 19365: @1359332
     /* 1359332 */   GIM_Try, /*On fail goto*//*Label 19366*/ GIMT_Encode4(1359416), // Rule ID 20460 //
     /* 1359337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1359340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1359348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1359351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1359354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1359357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359390 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1359390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1359393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359415 */     // GIR_Coverage, 20460,
     /* 1359415 */     GIR_EraseRootFromParent_Done,
     /* 1359416 */   // Label 19366: @1359416
     /* 1359416 */   GIM_Try, /*On fail goto*//*Label 19367*/ GIMT_Encode4(1359500), // Rule ID 20461 //
     /* 1359421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1359424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1359432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1359435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1359438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1359441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1359444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359474 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1359474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1359477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359499 */     // GIR_Coverage, 20461,
     /* 1359499 */     GIR_EraseRootFromParent_Done,
     /* 1359500 */   // Label 19367: @1359500
     /* 1359500 */   GIM_Try, /*On fail goto*//*Label 19368*/ GIMT_Encode4(1359584), // Rule ID 20464 //
     /* 1359505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1359508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1359516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1359519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1359522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1359525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359558 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 1359558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1359561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359583 */     // GIR_Coverage, 20464,
     /* 1359583 */     GIR_EraseRootFromParent_Done,
     /* 1359584 */   // Label 19368: @1359584
     /* 1359584 */   GIM_Try, /*On fail goto*//*Label 19369*/ GIMT_Encode4(1359668), // Rule ID 20465 //
     /* 1359589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1359592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s1,
     /* 1359600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s1,
     /* 1359603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1359606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1359609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1359612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1359631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359642 */     // (intrinsic_wo_chain:{ *:[nxv32i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv32i1] } VR:{ *:[nxv32i1] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 1359642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1359645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1359663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359667 */     // GIR_Coverage, 20465,
     /* 1359667 */     GIR_EraseRootFromParent_Done,
     /* 1359668 */   // Label 19369: @1359668
     /* 1359668 */   GIM_Try, /*On fail goto*//*Label 19370*/ GIMT_Encode4(1359752), // Rule ID 20468 //
     /* 1359673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1359684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1359687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1359693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359726 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1359726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1359729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359751 */     // GIR_Coverage, 20468,
     /* 1359751 */     GIR_EraseRootFromParent_Done,
     /* 1359752 */   // Label 19370: @1359752
     /* 1359752 */   GIM_Try, /*On fail goto*//*Label 19371*/ GIMT_Encode4(1359836), // Rule ID 20469 //
     /* 1359757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1359768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1359771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1359774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1359777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1359780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1359799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359810 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1359810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1359813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359835 */     // GIR_Coverage, 20469,
     /* 1359835 */     GIR_EraseRootFromParent_Done,
     /* 1359836 */   // Label 19371: @1359836
     /* 1359836 */   GIM_Try, /*On fail goto*//*Label 19372*/ GIMT_Encode4(1359920), // Rule ID 20472 //
     /* 1359841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1359844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1359852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1359855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1359861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1359867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359894 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1359894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1359897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1359918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1359919 */     // GIR_Coverage, 20472,
     /* 1359919 */     GIR_EraseRootFromParent_Done,
     /* 1359920 */   // Label 19372: @1359920
     /* 1359920 */   GIM_Try, /*On fail goto*//*Label 19373*/ GIMT_Encode4(1360004), // Rule ID 20473 //
     /* 1359925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1359928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1359933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1359936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1359939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1359942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1359945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1359948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1359951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1359959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1359967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1359971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1359978 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1359978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1359981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1359983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1359985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1359987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1359989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1359991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1359996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1359999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360003 */     // GIR_Coverage, 20473,
     /* 1360003 */     GIR_EraseRootFromParent_Done,
     /* 1360004 */   // Label 19373: @1360004
     /* 1360004 */   GIM_Try, /*On fail goto*//*Label 19374*/ GIMT_Encode4(1360088), // Rule ID 20476 //
     /* 1360009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1360012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1360017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1360020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1360023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1360029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360062 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 1360062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1360065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1360071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1360073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360087 */     // GIR_Coverage, 20476,
     /* 1360087 */     GIR_EraseRootFromParent_Done,
     /* 1360088 */   // Label 19374: @1360088
     /* 1360088 */   GIM_Try, /*On fail goto*//*Label 19375*/ GIMT_Encode4(1360172), // Rule ID 20477 //
     /* 1360093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1360096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1360101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s1,
     /* 1360104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s1,
     /* 1360107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1360110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1360113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1360116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360146 */     // (intrinsic_wo_chain:{ *:[nxv16i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv16i1] } VR:{ *:[nxv16i1] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 1360146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1360149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1360155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1360157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1360167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360171 */     // GIR_Coverage, 20477,
     /* 1360171 */     GIR_EraseRootFromParent_Done,
     /* 1360172 */   // Label 19375: @1360172
     /* 1360172 */   GIM_Try, /*On fail goto*//*Label 19376*/ GIMT_Encode4(1360256), // Rule ID 20480 //
     /* 1360177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1360185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1360188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1360191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1360197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360230 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1360230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1360233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1360239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1360241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360255 */     // GIR_Coverage, 20480,
     /* 1360255 */     GIR_EraseRootFromParent_Done,
     /* 1360256 */   // Label 19376: @1360256
     /* 1360256 */   GIM_Try, /*On fail goto*//*Label 19377*/ GIMT_Encode4(1360340), // Rule ID 20481 //
     /* 1360261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1360269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s1,
     /* 1360272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s1,
     /* 1360275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1360278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1360281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1360284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1360303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360314 */     // (intrinsic_wo_chain:{ *:[nxv2i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M2_MASK:{ *:[nxv2i1] } VR:{ *:[nxv2i1] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1360314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2_MASK),
     /* 1360317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1360323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1360325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360339 */     // GIR_Coverage, 20481,
     /* 1360339 */     GIR_EraseRootFromParent_Done,
     /* 1360340 */   // Label 19377: @1360340
     /* 1360340 */   GIM_Try, /*On fail goto*//*Label 19378*/ GIMT_Encode4(1360424), // Rule ID 20484 //
     /* 1360345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1360353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1360356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1360359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1360365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360398 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1360398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1360401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1360407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1360409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360423 */     // GIR_Coverage, 20484,
     /* 1360423 */     GIR_EraseRootFromParent_Done,
     /* 1360424 */   // Label 19378: @1360424
     /* 1360424 */   GIM_Try, /*On fail goto*//*Label 19379*/ GIMT_Encode4(1360508), // Rule ID 20485 //
     /* 1360429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1360437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s1,
     /* 1360440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s1,
     /* 1360443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1360446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1360449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1360452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1360471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360482 */     // (intrinsic_wo_chain:{ *:[nxv4i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M4_MASK:{ *:[nxv4i1] } VR:{ *:[nxv4i1] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1360482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4_MASK),
     /* 1360485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1360491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1360493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360507 */     // GIR_Coverage, 20485,
     /* 1360507 */     GIR_EraseRootFromParent_Done,
     /* 1360508 */   // Label 19379: @1360508
     /* 1360508 */   GIM_Try, /*On fail goto*//*Label 19380*/ GIMT_Encode4(1360592), // Rule ID 20488 //
     /* 1360513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1360516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1360521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1360524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1360527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1360530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1360533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360566 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 1360566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1360569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1360575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1360577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360591 */     // GIR_Coverage, 20488,
     /* 1360591 */     GIR_EraseRootFromParent_Done,
     /* 1360592 */   // Label 19380: @1360592
     /* 1360592 */   GIM_Try, /*On fail goto*//*Label 19381*/ GIMT_Encode4(1360676), // Rule ID 20489 //
     /* 1360597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1360600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmfge_mask),
     /* 1360605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s1,
     /* 1360608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s1,
     /* 1360611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1360614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1360617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1360620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1360639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360650 */     // (intrinsic_wo_chain:{ *:[nxv8i1] } 11423:{ *:[iPTR] }, VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMFLE_VV_M8_MASK:{ *:[nxv8i1] } VR:{ *:[nxv8i1] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 1360650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8_MASK),
     /* 1360653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1360659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1360661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1360671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 1360674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360675 */     // GIR_Coverage, 20489,
     /* 1360675 */     GIR_EraseRootFromParent_Done,
     /* 1360676 */   // Label 19381: @1360676
     /* 1360676 */   GIM_Try, /*On fail goto*//*Label 19382*/ GIMT_Encode4(1360757), // Rule ID 20546 //
     /* 1360681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1360684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1360692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1360695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1360698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1360701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360734 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1360734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1360737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360756 */     // GIR_Coverage, 20546,
     /* 1360756 */     GIR_EraseRootFromParent_Done,
     /* 1360757 */   // Label 19382: @1360757
     /* 1360757 */   GIM_Try, /*On fail goto*//*Label 19383*/ GIMT_Encode4(1360838), // Rule ID 20547 //
     /* 1360762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1360765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1360770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1360773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1360776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1360779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1360782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360815 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1360815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 1360818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360836 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360837 */     // GIR_Coverage, 20547,
     /* 1360837 */     GIR_EraseRootFromParent_Done,
     /* 1360838 */   // Label 19383: @1360838
     /* 1360838 */   GIM_Try, /*On fail goto*//*Label 19384*/ GIMT_Encode4(1360919), // Rule ID 20548 //
     /* 1360843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1360846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1360854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1360857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1360860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1360863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1360869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1360885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360896 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1360896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1360899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360918 */     // GIR_Coverage, 20548,
     /* 1360918 */     GIR_EraseRootFromParent_Done,
     /* 1360919 */   // Label 19384: @1360919
     /* 1360919 */   GIM_Try, /*On fail goto*//*Label 19385*/ GIMT_Encode4(1361000), // Rule ID 20549 //
     /* 1360924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1360927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1360932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1360935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1360938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1360941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1360944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1360947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1360950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1360954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1360962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1360966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1360970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1360977 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1360977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF4),
     /* 1360980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1360982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1360984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1360986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1360988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1360990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1360995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1360998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1360999 */     // GIR_Coverage, 20549,
     /* 1360999 */     GIR_EraseRootFromParent_Done,
     /* 1361000 */   // Label 19385: @1361000
     /* 1361000 */   GIM_Try, /*On fail goto*//*Label 19386*/ GIMT_Encode4(1361081), // Rule ID 20550 //
     /* 1361005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1361008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1361016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1361019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1361022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1361025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361058 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1361058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1361061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361080 */     // GIR_Coverage, 20550,
     /* 1361080 */     GIR_EraseRootFromParent_Done,
     /* 1361081 */   // Label 19386: @1361081
     /* 1361081 */   GIM_Try, /*On fail goto*//*Label 19387*/ GIMT_Encode4(1361162), // Rule ID 20551 //
     /* 1361086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1361089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1361097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1361100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1361103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1361106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361139 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1361139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1361142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361161 */     // GIR_Coverage, 20551,
     /* 1361161 */     GIR_EraseRootFromParent_Done,
     /* 1361162 */   // Label 19387: @1361162
     /* 1361162 */   GIM_Try, /*On fail goto*//*Label 19388*/ GIMT_Encode4(1361243), // Rule ID 20552 //
     /* 1361167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1361170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1361175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1361178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1361181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1361184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1361187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1361209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361220 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1361220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1361223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361242 */     // GIR_Coverage, 20552,
     /* 1361242 */     GIR_EraseRootFromParent_Done,
     /* 1361243 */   // Label 19388: @1361243
     /* 1361243 */   GIM_Try, /*On fail goto*//*Label 19389*/ GIMT_Encode4(1361324), // Rule ID 20553 //
     /* 1361248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1361251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1361256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1361259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1361262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1361265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1361268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1361271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1361290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361301 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1361301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_MF2),
     /* 1361304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361323 */     // GIR_Coverage, 20553,
     /* 1361323 */     GIR_EraseRootFromParent_Done,
     /* 1361324 */   // Label 19389: @1361324
     /* 1361324 */   GIM_Try, /*On fail goto*//*Label 19390*/ GIMT_Encode4(1361405), // Rule ID 20554 //
     /* 1361329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1361332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1361340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1361343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1361346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1361349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361382 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1361382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1361385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361404 */     // GIR_Coverage, 20554,
     /* 1361404 */     GIR_EraseRootFromParent_Done,
     /* 1361405 */   // Label 19390: @1361405
     /* 1361405 */   GIM_Try, /*On fail goto*//*Label 19391*/ GIMT_Encode4(1361486), // Rule ID 20555 //
     /* 1361410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1361413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1361421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1361424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1361427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1361430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361463 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1361463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 1361466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361485 */     // GIR_Coverage, 20555,
     /* 1361485 */     GIR_EraseRootFromParent_Done,
     /* 1361486 */   // Label 19391: @1361486
     /* 1361486 */   GIM_Try, /*On fail goto*//*Label 19392*/ GIMT_Encode4(1361567), // Rule ID 20556 //
     /* 1361491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1361494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1361499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1361502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1361505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1361508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1361533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361544 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1361544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1361547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361566 */     // GIR_Coverage, 20556,
     /* 1361566 */     GIR_EraseRootFromParent_Done,
     /* 1361567 */   // Label 19392: @1361567
     /* 1361567 */   GIM_Try, /*On fail goto*//*Label 19393*/ GIMT_Encode4(1361648), // Rule ID 20557 //
     /* 1361572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1361575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1361580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1361583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1361586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1361589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1361592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1361595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1361614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361625 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1361625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_MF2),
     /* 1361628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1361646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361647 */     // GIR_Coverage, 20557,
     /* 1361647 */     GIR_EraseRootFromParent_Done,
     /* 1361648 */   // Label 19393: @1361648
     /* 1361648 */   GIM_Try, /*On fail goto*//*Label 19394*/ GIMT_Encode4(1361729), // Rule ID 20558 //
     /* 1361653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1361656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1361670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361706 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1361706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1361709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361728 */     // GIR_Coverage, 20558,
     /* 1361728 */     GIR_EraseRootFromParent_Done,
     /* 1361729 */   // Label 19394: @1361729
     /* 1361729 */   GIM_Try, /*On fail goto*//*Label 19395*/ GIMT_Encode4(1361810), // Rule ID 20559 //
     /* 1361734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1361737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1361751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1361754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361787 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11419:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1361787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1361790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361809 */     // GIR_Coverage, 20559,
     /* 1361809 */     GIR_EraseRootFromParent_Done,
     /* 1361810 */   // Label 19395: @1361810
     /* 1361810 */   GIM_Try, /*On fail goto*//*Label 19396*/ GIMT_Encode4(1361891), // Rule ID 20560 //
     /* 1361815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1361818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1361823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1361832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1361835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1361841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1361857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361868 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1361868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1361871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361890 */     // GIR_Coverage, 20560,
     /* 1361890 */     GIR_EraseRootFromParent_Done,
     /* 1361891 */   // Label 19396: @1361891
     /* 1361891 */   GIM_Try, /*On fail goto*//*Label 19397*/ GIMT_Encode4(1361972), // Rule ID 20561 //
     /* 1361896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1361899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1361904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1361907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1361910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1361913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1361916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1361919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1361922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1361926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1361934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1361938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1361942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1361949 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11211:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1361949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M1),
     /* 1361952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1361954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1361956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1361958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1361960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1361962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1361967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1361970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1361971 */     // GIR_Coverage, 20561,
     /* 1361971 */     GIR_EraseRootFromParent_Done,
     /* 1361972 */   // Label 19397: @1361972
     /* 1361972 */   GIM_Try, /*On fail goto*//*Label 19398*/ GIMT_Encode4(1362053), // Rule ID 20562 //
     /* 1361977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1361980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1361985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1361988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1361991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1361994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1361997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362030 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1362030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1362033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362052 */     // GIR_Coverage, 20562,
     /* 1362052 */     GIR_EraseRootFromParent_Done,
     /* 1362053 */   // Label 19398: @1362053
     /* 1362053 */   GIM_Try, /*On fail goto*//*Label 19399*/ GIMT_Encode4(1362134), // Rule ID 20563 //
     /* 1362058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1362061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1362066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1362078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362111 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11419:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1362111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1362114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362133 */     // GIR_Coverage, 20563,
     /* 1362133 */     GIR_EraseRootFromParent_Done,
     /* 1362134 */   // Label 19399: @1362134
     /* 1362134 */   GIM_Try, /*On fail goto*//*Label 19400*/ GIMT_Encode4(1362215), // Rule ID 20564 //
     /* 1362139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1362142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1362147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1362181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362192 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1362192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1362195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362214 */     // GIR_Coverage, 20564,
     /* 1362214 */     GIR_EraseRootFromParent_Done,
     /* 1362215 */   // Label 19400: @1362215
     /* 1362215 */   GIM_Try, /*On fail goto*//*Label 19401*/ GIMT_Encode4(1362296), // Rule ID 20565 //
     /* 1362220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1362223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1362228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1362231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1362234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1362237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1362240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1362243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1362262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362273 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11211:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1362273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M1),
     /* 1362276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1362294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362295 */     // GIR_Coverage, 20565,
     /* 1362295 */     GIR_EraseRootFromParent_Done,
     /* 1362296 */   // Label 19401: @1362296
     /* 1362296 */   GIM_Try, /*On fail goto*//*Label 19402*/ GIMT_Encode4(1362377), // Rule ID 20566 //
     /* 1362301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1362304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1362309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362354 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1362354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1362357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362376 */     // GIR_Coverage, 20566,
     /* 1362376 */     GIR_EraseRootFromParent_Done,
     /* 1362377 */   // Label 19402: @1362377
     /* 1362377 */   GIM_Try, /*On fail goto*//*Label 19403*/ GIMT_Encode4(1362458), // Rule ID 20567 //
     /* 1362382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1362385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1362390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1362402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362435 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11419:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1362435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 1362438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362457 */     // GIR_Coverage, 20567,
     /* 1362457 */     GIR_EraseRootFromParent_Done,
     /* 1362458 */   // Label 19403: @1362458
     /* 1362458 */   GIM_Try, /*On fail goto*//*Label 19404*/ GIMT_Encode4(1362539), // Rule ID 20568 //
     /* 1362463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1362466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1362471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1362483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1362505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362516 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1362516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1362519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362538 */     // GIR_Coverage, 20568,
     /* 1362538 */     GIR_EraseRootFromParent_Done,
     /* 1362539 */   // Label 19404: @1362539
     /* 1362539 */   GIM_Try, /*On fail goto*//*Label 19405*/ GIMT_Encode4(1362620), // Rule ID 20569 //
     /* 1362544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1362547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1362552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1362555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1362558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1362561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1362564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1362567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1362574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1362582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1362586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362597 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11211:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1362597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M1),
     /* 1362600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1362618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362619 */     // GIR_Coverage, 20569,
     /* 1362619 */     GIR_EraseRootFromParent_Done,
     /* 1362620 */   // Label 19405: @1362620
     /* 1362620 */   GIM_Try, /*On fail goto*//*Label 19406*/ GIMT_Encode4(1362701), // Rule ID 20570 //
     /* 1362625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1362628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1362633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1362636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1362639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1362642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1362645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1362655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362678 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1362678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1362681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362700 */     // GIR_Coverage, 20570,
     /* 1362700 */     GIR_EraseRootFromParent_Done,
     /* 1362701 */   // Label 19406: @1362701
     /* 1362701 */   GIM_Try, /*On fail goto*//*Label 19407*/ GIMT_Encode4(1362782), // Rule ID 20571 //
     /* 1362706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1362709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1362714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1362717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1362720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1362723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1362726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1362736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362759 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1362759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1362762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362780 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362781 */     // GIR_Coverage, 20571,
     /* 1362781 */     GIR_EraseRootFromParent_Done,
     /* 1362782 */   // Label 19407: @1362782
     /* 1362782 */   GIM_Try, /*On fail goto*//*Label 19408*/ GIMT_Encode4(1362863), // Rule ID 20572 //
     /* 1362787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1362790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1362795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1362798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1362801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1362804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1362807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1362817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1362829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362840 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1362840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1362843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362862 */     // GIR_Coverage, 20572,
     /* 1362862 */     GIR_EraseRootFromParent_Done,
     /* 1362863 */   // Label 19408: @1362863
     /* 1362863 */   GIM_Try, /*On fail goto*//*Label 19409*/ GIMT_Encode4(1362944), // Rule ID 20573 //
     /* 1362868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1362871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1362876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1362879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1362882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1362885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1362888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1362891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1362894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1362898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1362906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1362910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1362921 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1362921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M2),
     /* 1362924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1362926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1362928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1362930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1362932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1362934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1362939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1362942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1362943 */     // GIR_Coverage, 20573,
     /* 1362943 */     GIR_EraseRootFromParent_Done,
     /* 1362944 */   // Label 19409: @1362944
     /* 1362944 */   GIM_Try, /*On fail goto*//*Label 19410*/ GIMT_Encode4(1363025), // Rule ID 20574 //
     /* 1362949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1362952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1362957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1362960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1362963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1362966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1362969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1362972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1362975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1362979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1362991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1362995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363002 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1363002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1363005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363024 */     // GIR_Coverage, 20574,
     /* 1363024 */     GIR_EraseRootFromParent_Done,
     /* 1363025 */   // Label 19410: @1363025
     /* 1363025 */   GIM_Try, /*On fail goto*//*Label 19411*/ GIMT_Encode4(1363106), // Rule ID 20575 //
     /* 1363030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1363033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1363038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1363041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1363044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1363050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1363060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363083 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1363083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1363086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363104 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363105 */     // GIR_Coverage, 20575,
     /* 1363105 */     GIR_EraseRootFromParent_Done,
     /* 1363106 */   // Label 19411: @1363106
     /* 1363106 */   GIM_Try, /*On fail goto*//*Label 19412*/ GIMT_Encode4(1363187), // Rule ID 20576 //
     /* 1363111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1363114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1363119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1363122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1363125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1363131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1363141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1363153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363164 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1363164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1363167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363186 */     // GIR_Coverage, 20576,
     /* 1363186 */     GIR_EraseRootFromParent_Done,
     /* 1363187 */   // Label 19412: @1363187
     /* 1363187 */   GIM_Try, /*On fail goto*//*Label 19413*/ GIMT_Encode4(1363268), // Rule ID 20577 //
     /* 1363192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1363195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1363200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1363203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1363206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1363209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1363212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1363215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1363222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1363234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363245 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1363245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M4),
     /* 1363248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363267 */     // GIR_Coverage, 20577,
     /* 1363267 */     GIR_EraseRootFromParent_Done,
     /* 1363268 */   // Label 19413: @1363268
     /* 1363268 */   GIM_Try, /*On fail goto*//*Label 19414*/ GIMT_Encode4(1363349), // Rule ID 20578 //
     /* 1363273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1363276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1363281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1363284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1363287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1363293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1363303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363326 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1363326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1363329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363348 */     // GIR_Coverage, 20578,
     /* 1363348 */     GIR_EraseRootFromParent_Done,
     /* 1363349 */   // Label 19414: @1363349
     /* 1363349 */   GIM_Try, /*On fail goto*//*Label 19415*/ GIMT_Encode4(1363430), // Rule ID 20579 //
     /* 1363354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1363357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1363362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1363365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1363368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1363374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1363384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363407 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1363407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1363410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363429 */     // GIR_Coverage, 20579,
     /* 1363429 */     GIR_EraseRootFromParent_Done,
     /* 1363430 */   // Label 19415: @1363430
     /* 1363430 */   GIM_Try, /*On fail goto*//*Label 19416*/ GIMT_Encode4(1363511), // Rule ID 20580 //
     /* 1363435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1363438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1363443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1363446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1363449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1363455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1363465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1363477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363488 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] })
     /* 1363488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1363491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363510 */     // GIR_Coverage, 20580,
     /* 1363510 */     GIR_EraseRootFromParent_Done,
     /* 1363511 */   // Label 19416: @1363511
     /* 1363511 */   GIM_Try, /*On fail goto*//*Label 19417*/ GIMT_Encode4(1363592), // Rule ID 20581 //
     /* 1363516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1363519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1363524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1363527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1363530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1363533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1363536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1363539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1363546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1363554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1363558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363569 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR16M_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] })
     /* 1363569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR16M_M8),
     /* 1363572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1363590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363591 */     // GIR_Coverage, 20581,
     /* 1363591 */     GIR_EraseRootFromParent_Done,
     /* 1363592 */   // Label 19417: @1363592
     /* 1363592 */   GIM_Try, /*On fail goto*//*Label 19418*/ GIMT_Encode4(1363673), // Rule ID 20582 //
     /* 1363597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1363600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1363605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1363608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1363611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1363617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1363627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363650 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1363650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1363653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363672 */     // GIR_Coverage, 20582,
     /* 1363672 */     GIR_EraseRootFromParent_Done,
     /* 1363673 */   // Label 19418: @1363673
     /* 1363673 */   GIM_Try, /*On fail goto*//*Label 19419*/ GIMT_Encode4(1363754), // Rule ID 20583 //
     /* 1363678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1363681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1363686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1363689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1363692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1363698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1363708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363731 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1363731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1363734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363753 */     // GIR_Coverage, 20583,
     /* 1363753 */     GIR_EraseRootFromParent_Done,
     /* 1363754 */   // Label 19419: @1363754
     /* 1363754 */   GIM_Try, /*On fail goto*//*Label 19420*/ GIMT_Encode4(1363835), // Rule ID 20584 //
     /* 1363759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1363762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1363767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1363770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1363773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1363779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1363789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1363801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363812 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1363812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1363815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363834 */     // GIR_Coverage, 20584,
     /* 1363834 */     GIR_EraseRootFromParent_Done,
     /* 1363835 */   // Label 19420: @1363835
     /* 1363835 */   GIM_Try, /*On fail goto*//*Label 19421*/ GIMT_Encode4(1363916), // Rule ID 20585 //
     /* 1363840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1363843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1363848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1363851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1363854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1363857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1363860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1363863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1363866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1363870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1363878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1363882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363893 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1363893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M2),
     /* 1363896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363915 */     // GIR_Coverage, 20585,
     /* 1363915 */     GIR_EraseRootFromParent_Done,
     /* 1363916 */   // Label 19421: @1363916
     /* 1363916 */   GIM_Try, /*On fail goto*//*Label 19422*/ GIMT_Encode4(1363997), // Rule ID 20586 //
     /* 1363921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1363924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1363929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1363932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1363935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1363938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1363941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1363944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1363947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1363951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1363963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1363967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1363974 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1363974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1363977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1363979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1363981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1363983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1363985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1363987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1363992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1363995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1363996 */     // GIR_Coverage, 20586,
     /* 1363996 */     GIR_EraseRootFromParent_Done,
     /* 1363997 */   // Label 19422: @1363997
     /* 1363997 */   GIM_Try, /*On fail goto*//*Label 19423*/ GIMT_Encode4(1364078), // Rule ID 20587 //
     /* 1364002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1364005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1364010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1364013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1364016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1364022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1364032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364055 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1364055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1364058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364077 */     // GIR_Coverage, 20587,
     /* 1364077 */     GIR_EraseRootFromParent_Done,
     /* 1364078 */   // Label 19423: @1364078
     /* 1364078 */   GIM_Try, /*On fail goto*//*Label 19424*/ GIMT_Encode4(1364159), // Rule ID 20588 //
     /* 1364083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1364086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1364091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1364094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1364097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1364113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1364125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364136 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1364136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1364139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364158 */     // GIR_Coverage, 20588,
     /* 1364158 */     GIR_EraseRootFromParent_Done,
     /* 1364159 */   // Label 19424: @1364159
     /* 1364159 */   GIM_Try, /*On fail goto*//*Label 19425*/ GIMT_Encode4(1364240), // Rule ID 20589 //
     /* 1364164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1364167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1364172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1364175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1364178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1364181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1364187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1364194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1364206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364217 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1364217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M4),
     /* 1364220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364239 */     // GIR_Coverage, 20589,
     /* 1364239 */     GIR_EraseRootFromParent_Done,
     /* 1364240 */   // Label 19425: @1364240
     /* 1364240 */   GIM_Try, /*On fail goto*//*Label 19426*/ GIMT_Encode4(1364321), // Rule ID 20590 //
     /* 1364245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1364248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1364253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1364256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1364259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1364265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1364275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364298 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1364298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1364301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364320 */     // GIR_Coverage, 20590,
     /* 1364320 */     GIR_EraseRootFromParent_Done,
     /* 1364321 */   // Label 19426: @1364321
     /* 1364321 */   GIM_Try, /*On fail goto*//*Label 19427*/ GIMT_Encode4(1364402), // Rule ID 20591 //
     /* 1364326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1364329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1364334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1364337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1364340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1364346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1364356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364379 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1364379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1364382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364401 */     // GIR_Coverage, 20591,
     /* 1364401 */     GIR_EraseRootFromParent_Done,
     /* 1364402 */   // Label 19427: @1364402
     /* 1364402 */   GIM_Try, /*On fail goto*//*Label 19428*/ GIMT_Encode4(1364483), // Rule ID 20592 //
     /* 1364407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1364410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1364415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1364418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1364421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1364437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1364449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364460 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] })
     /* 1364460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1364463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364482 */     // GIR_Coverage, 20592,
     /* 1364482 */     GIR_EraseRootFromParent_Done,
     /* 1364483 */   // Label 19428: @1364483
     /* 1364483 */   GIM_Try, /*On fail goto*//*Label 19429*/ GIMT_Encode4(1364564), // Rule ID 20593 //
     /* 1364488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1364491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1364496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1364499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1364502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1364505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1364508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1364511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1364518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1364526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1364530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364541 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR32M_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] })
     /* 1364541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR32M_M8),
     /* 1364544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1364562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364563 */     // GIR_Coverage, 20593,
     /* 1364563 */     GIR_EraseRootFromParent_Done,
     /* 1364564 */   // Label 19429: @1364564
     /* 1364564 */   GIM_Try, /*On fail goto*//*Label 19430*/ GIMT_Encode4(1364645), // Rule ID 20594 //
     /* 1364569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1364572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1364577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1364580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1364583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1364589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1364599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364622 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1364622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1364625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364644 */     // GIR_Coverage, 20594,
     /* 1364644 */     GIR_EraseRootFromParent_Done,
     /* 1364645 */   // Label 19430: @1364645
     /* 1364645 */   GIM_Try, /*On fail goto*//*Label 19431*/ GIMT_Encode4(1364726), // Rule ID 20595 //
     /* 1364650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1364653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1364658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1364661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1364664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1364670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1364680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364703 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11419:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1364703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 1364706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364725 */     // GIR_Coverage, 20595,
     /* 1364725 */     GIR_EraseRootFromParent_Done,
     /* 1364726 */   // Label 19431: @1364726
     /* 1364726 */   GIM_Try, /*On fail goto*//*Label 19432*/ GIMT_Encode4(1364807), // Rule ID 20596 //
     /* 1364731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1364734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1364739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1364742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1364745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1364751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1364761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1364773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364784 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1364784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1364787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364806 */     // GIR_Coverage, 20596,
     /* 1364806 */     GIR_EraseRootFromParent_Done,
     /* 1364807 */   // Label 19432: @1364807
     /* 1364807 */   GIM_Try, /*On fail goto*//*Label 19433*/ GIMT_Encode4(1364888), // Rule ID 20597 //
     /* 1364812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1364815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1364820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1364823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1364826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1364829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1364832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1364835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1364838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1364842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1364850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1364854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364865 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11211:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1364865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M2),
     /* 1364868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364887 */     // GIR_Coverage, 20597,
     /* 1364887 */     GIR_EraseRootFromParent_Done,
     /* 1364888 */   // Label 19433: @1364888
     /* 1364888 */   GIM_Try, /*On fail goto*//*Label 19434*/ GIMT_Encode4(1364969), // Rule ID 20598 //
     /* 1364893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1364896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1364901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1364904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1364907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1364913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1364919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1364923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1364935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1364939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1364946 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1364946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1364949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1364951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1364953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1364955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1364957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1364959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1364964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1364967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1364968 */     // GIR_Coverage, 20598,
     /* 1364968 */     GIR_EraseRootFromParent_Done,
     /* 1364969 */   // Label 19434: @1364969
     /* 1364969 */   GIM_Try, /*On fail goto*//*Label 19435*/ GIMT_Encode4(1365050), // Rule ID 20599 //
     /* 1364974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1364977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1364982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1364985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1364988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1364991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1364994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1364997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1365004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365027 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11419:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1365027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 1365030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365048 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365049 */     // GIR_Coverage, 20599,
     /* 1365049 */     GIR_EraseRootFromParent_Done,
     /* 1365050 */   // Label 19435: @1365050
     /* 1365050 */   GIM_Try, /*On fail goto*//*Label 19436*/ GIMT_Encode4(1365131), // Rule ID 20600 //
     /* 1365055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1365058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1365063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1365066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1365069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1365085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1365097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365108 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1365108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1365111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365130 */     // GIR_Coverage, 20600,
     /* 1365130 */     GIR_EraseRootFromParent_Done,
     /* 1365131 */   // Label 19436: @1365131
     /* 1365131 */   GIM_Try, /*On fail goto*//*Label 19437*/ GIMT_Encode4(1365212), // Rule ID 20601 //
     /* 1365136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1365139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1365144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1365147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1365150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1365153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1365166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1365174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1365178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365189 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11211:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1365189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M4),
     /* 1365192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365211 */     // GIR_Coverage, 20601,
     /* 1365211 */     GIR_EraseRootFromParent_Done,
     /* 1365212 */   // Label 19437: @1365212
     /* 1365212 */   GIM_Try, /*On fail goto*//*Label 19438*/ GIMT_Encode4(1365293), // Rule ID 20602 //
     /* 1365217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1365220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1365225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1365228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1365231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1365237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1365247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365270 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1365270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1365273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365292 */     // GIR_Coverage, 20602,
     /* 1365292 */     GIR_EraseRootFromParent_Done,
     /* 1365293 */   // Label 19438: @1365293
     /* 1365293 */   GIM_Try, /*On fail goto*//*Label 19439*/ GIMT_Encode4(1365374), // Rule ID 20603 //
     /* 1365298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1365301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmerge),
     /* 1365306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1365309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1365312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1365318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1365328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365351 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11419:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1365351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 1365354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365372 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365373 */     // GIR_Coverage, 20603,
     /* 1365373 */     GIR_EraseRootFromParent_Done,
     /* 1365374 */   // Label 19439: @1365374
     /* 1365374 */   GIM_Try, /*On fail goto*//*Label 19440*/ GIMT_Encode4(1365455), // Rule ID 20604 //
     /* 1365379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1365382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1365387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1365390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1365393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1365409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1365421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365432 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] })
     /* 1365432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1365435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365454 */     // GIR_Coverage, 20604,
     /* 1365454 */     GIR_EraseRootFromParent_Done,
     /* 1365455 */   // Label 19440: @1365455
     /* 1365455 */   GIM_Try, /*On fail goto*//*Label 19441*/ GIMT_Encode4(1365536), // Rule ID 20605 //
     /* 1365460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1365463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmerge),
     /* 1365468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1365471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1365474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1365477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1365480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1365483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1365490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1365498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1365502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365513 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11211:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFMERGE_VFPR64M_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] })
     /* 1365513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMERGE_VFPR64M_M8),
     /* 1365516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1365520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1365534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365535 */     // GIR_Coverage, 20605,
     /* 1365535 */     GIR_EraseRootFromParent_Done,
     /* 1365536 */   // Label 19441: @1365536
     /* 1365536 */   GIM_Try, /*On fail goto*//*Label 19442*/ GIMT_Encode4(1365620), // Rule ID 21986 //
     /* 1365541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1365549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365594 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1365597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365619 */     // GIR_Coverage, 21986,
     /* 1365619 */     GIR_EraseRootFromParent_Done,
     /* 1365620 */   // Label 19442: @1365620
     /* 1365620 */   GIM_Try, /*On fail goto*//*Label 19443*/ GIMT_Encode4(1365704), // Rule ID 21987 //
     /* 1365625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1365633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1365642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1365648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365678 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E8_MASK),
     /* 1365681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365703 */     // GIR_Coverage, 21987,
     /* 1365703 */     GIR_EraseRootFromParent_Done,
     /* 1365704 */   // Label 19443: @1365704
     /* 1365704 */   GIM_Try, /*On fail goto*//*Label 19444*/ GIMT_Encode4(1365788), // Rule ID 21990 //
     /* 1365709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1365717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365762 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1365765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365787 */     // GIR_Coverage, 21990,
     /* 1365787 */     GIR_EraseRootFromParent_Done,
     /* 1365788 */   // Label 19444: @1365788
     /* 1365788 */   GIM_Try, /*On fail goto*//*Label 19445*/ GIMT_Encode4(1365872), // Rule ID 21991 //
     /* 1365793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1365801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1365804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1365807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1365810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1365813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1365816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365846 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1365846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E8_MASK),
     /* 1365849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1365867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365871 */     // GIR_Coverage, 21991,
     /* 1365871 */     GIR_EraseRootFromParent_Done,
     /* 1365872 */   // Label 19445: @1365872
     /* 1365872 */   GIM_Try, /*On fail goto*//*Label 19446*/ GIMT_Encode4(1365956), // Rule ID 21994 //
     /* 1365877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1365880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1365885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1365903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1365923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1365930 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1365930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1365933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1365935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1365937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1365939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1365941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1365943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1365948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1365951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1365954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1365955 */     // GIR_Coverage, 21994,
     /* 1365955 */     GIR_EraseRootFromParent_Done,
     /* 1365956 */   // Label 19446: @1365956
     /* 1365956 */   GIM_Try, /*On fail goto*//*Label 19447*/ GIMT_Encode4(1366040), // Rule ID 21995 //
     /* 1365961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1365964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1365969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1365972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1365975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1365978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1365981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1365984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1365987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1365991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1365999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF4_E16_MASK),
     /* 1366017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366039 */     // GIR_Coverage, 21995,
     /* 1366039 */     GIR_EraseRootFromParent_Done,
     /* 1366040 */   // Label 19447: @1366040
     /* 1366040 */   GIM_Try, /*On fail goto*//*Label 19448*/ GIMT_Encode4(1366124), // Rule ID 21998 //
     /* 1366045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1366062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366098 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1366101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366123 */     // GIR_Coverage, 21998,
     /* 1366123 */     GIR_EraseRootFromParent_Done,
     /* 1366124 */   // Label 19448: @1366124
     /* 1366124 */   GIM_Try, /*On fail goto*//*Label 19449*/ GIMT_Encode4(1366208), // Rule ID 21999 //
     /* 1366129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1366146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366182 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E16_MASK),
     /* 1366185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366207 */     // GIR_Coverage, 21999,
     /* 1366207 */     GIR_EraseRootFromParent_Done,
     /* 1366208 */   // Label 19449: @1366208
     /* 1366208 */   GIM_Try, /*On fail goto*//*Label 19450*/ GIMT_Encode4(1366292), // Rule ID 22002 //
     /* 1366213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366266 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1366269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366291 */     // GIR_Coverage, 22002,
     /* 1366291 */     GIR_EraseRootFromParent_Done,
     /* 1366292 */   // Label 19450: @1366292
     /* 1366292 */   GIM_Try, /*On fail goto*//*Label 19451*/ GIMT_Encode4(1366376), // Rule ID 22003 //
     /* 1366297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1366314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_MF2_E32_MASK),
     /* 1366353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366375 */     // GIR_Coverage, 22003,
     /* 1366375 */     GIR_EraseRootFromParent_Done,
     /* 1366376 */   // Label 19451: @1366376
     /* 1366376 */   GIM_Try, /*On fail goto*//*Label 19452*/ GIMT_Encode4(1366460), // Rule ID 22006 //
     /* 1366381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366434 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1366437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366459 */     // GIR_Coverage, 22006,
     /* 1366459 */     GIR_EraseRootFromParent_Done,
     /* 1366460 */   // Label 19452: @1366460
     /* 1366460 */   GIM_Try, /*On fail goto*//*Label 19453*/ GIMT_Encode4(1366544), // Rule ID 22007 //
     /* 1366465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1366476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1366479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1366482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1366485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1366488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366518 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E8_MASK),
     /* 1366521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1366539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366543 */     // GIR_Coverage, 22007,
     /* 1366543 */     GIR_EraseRootFromParent_Done,
     /* 1366544 */   // Label 19453: @1366544
     /* 1366544 */   GIM_Try, /*On fail goto*//*Label 19454*/ GIMT_Encode4(1366628), // Rule ID 22010 //
     /* 1366549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1366605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366627 */     // GIR_Coverage, 22010,
     /* 1366627 */     GIR_EraseRootFromParent_Done,
     /* 1366628 */   // Label 19454: @1366628
     /* 1366628 */   GIM_Try, /*On fail goto*//*Label 19455*/ GIMT_Encode4(1366712), // Rule ID 22011 //
     /* 1366633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1366644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1366647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1366650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1366653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1366656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E16_MASK),
     /* 1366689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1366707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366711 */     // GIR_Coverage, 22011,
     /* 1366711 */     GIR_EraseRootFromParent_Done,
     /* 1366712 */   // Label 19455: @1366712
     /* 1366712 */   GIM_Try, /*On fail goto*//*Label 19456*/ GIMT_Encode4(1366796), // Rule ID 22014 //
     /* 1366717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1366720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366770 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1366773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366795 */     // GIR_Coverage, 22014,
     /* 1366795 */     GIR_EraseRootFromParent_Done,
     /* 1366796 */   // Label 19456: @1366796
     /* 1366796 */   GIM_Try, /*On fail goto*//*Label 19457*/ GIMT_Encode4(1366880), // Rule ID 22015 //
     /* 1366801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1366804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1366812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1366815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1366818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1366821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1366824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366854 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1366854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E32_MASK),
     /* 1366857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1366875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366879 */     // GIR_Coverage, 22015,
     /* 1366879 */     GIR_EraseRootFromParent_Done,
     /* 1366880 */   // Label 19457: @1366880
     /* 1366880 */   GIM_Try, /*On fail goto*//*Label 19458*/ GIMT_Encode4(1366964), // Rule ID 22018 //
     /* 1366885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1366888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1366911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1366927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1366931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1366938 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1366938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1366941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1366943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1366945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1366947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1366949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1366951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1366956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1366959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1366962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1366963 */     // GIR_Coverage, 22018,
     /* 1366963 */     GIR_EraseRootFromParent_Done,
     /* 1366964 */   // Label 19458: @1366964
     /* 1366964 */   GIM_Try, /*On fail goto*//*Label 19459*/ GIMT_Encode4(1367048), // Rule ID 22019 //
     /* 1366969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1366972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1366977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1366980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1366983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1366986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1366989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1366992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1366995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1366999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367022 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M1_E64_MASK),
     /* 1367025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1367043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367047 */     // GIR_Coverage, 22019,
     /* 1367047 */     GIR_EraseRootFromParent_Done,
     /* 1367048 */   // Label 19459: @1367048
     /* 1367048 */   GIM_Try, /*On fail goto*//*Label 19460*/ GIMT_Encode4(1367132), // Rule ID 22022 //
     /* 1367053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1367070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367106 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1367109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367131 */     // GIR_Coverage, 22022,
     /* 1367131 */     GIR_EraseRootFromParent_Done,
     /* 1367132 */   // Label 19460: @1367132
     /* 1367132 */   GIM_Try, /*On fail goto*//*Label 19461*/ GIMT_Encode4(1367216), // Rule ID 22023 //
     /* 1367137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1367154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367190 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E8_MASK),
     /* 1367193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367215 */     // GIR_Coverage, 22023,
     /* 1367215 */     GIR_EraseRootFromParent_Done,
     /* 1367216 */   // Label 19461: @1367216
     /* 1367216 */   GIM_Try, /*On fail goto*//*Label 19462*/ GIMT_Encode4(1367300), // Rule ID 22026 //
     /* 1367221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367274 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1367277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367299 */     // GIR_Coverage, 22026,
     /* 1367299 */     GIR_EraseRootFromParent_Done,
     /* 1367300 */   // Label 19462: @1367300
     /* 1367300 */   GIM_Try, /*On fail goto*//*Label 19463*/ GIMT_Encode4(1367384), // Rule ID 22027 //
     /* 1367305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1367322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E8_MASK),
     /* 1367361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367383 */     // GIR_Coverage, 22027,
     /* 1367383 */     GIR_EraseRootFromParent_Done,
     /* 1367384 */   // Label 19463: @1367384
     /* 1367384 */   GIM_Try, /*On fail goto*//*Label 19464*/ GIMT_Encode4(1367468), // Rule ID 22030 //
     /* 1367389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367442 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1367445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367467 */     // GIR_Coverage, 22030,
     /* 1367467 */     GIR_EraseRootFromParent_Done,
     /* 1367468 */   // Label 19464: @1367468
     /* 1367468 */   GIM_Try, /*On fail goto*//*Label 19465*/ GIMT_Encode4(1367552), // Rule ID 22031 //
     /* 1367473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1367484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1367487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1367490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1367493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1367496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367526 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11510:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E8_MASK),
     /* 1367529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1367547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367551 */     // GIR_Coverage, 22031,
     /* 1367551 */     GIR_EraseRootFromParent_Done,
     /* 1367552 */   // Label 19465: @1367552
     /* 1367552 */   GIM_Try, /*On fail goto*//*Label 19466*/ GIMT_Encode4(1367636), // Rule ID 22034 //
     /* 1367557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367610 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1367613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367635 */     // GIR_Coverage, 22034,
     /* 1367635 */     GIR_EraseRootFromParent_Done,
     /* 1367636 */   // Label 19466: @1367636
     /* 1367636 */   GIM_Try, /*On fail goto*//*Label 19467*/ GIMT_Encode4(1367720), // Rule ID 22035 //
     /* 1367641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1367658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1367664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1367679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E16_MASK),
     /* 1367697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367719 */     // GIR_Coverage, 22035,
     /* 1367719 */     GIR_EraseRootFromParent_Done,
     /* 1367720 */   // Label 19467: @1367720
     /* 1367720 */   GIM_Try, /*On fail goto*//*Label 19468*/ GIMT_Encode4(1367804), // Rule ID 22038 //
     /* 1367725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1367781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367803 */     // GIR_Coverage, 22038,
     /* 1367803 */     GIR_EraseRootFromParent_Done,
     /* 1367804 */   // Label 19468: @1367804
     /* 1367804 */   GIM_Try, /*On fail goto*//*Label 19469*/ GIMT_Encode4(1367888), // Rule ID 22039 //
     /* 1367809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1367826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1367832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1367835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1367847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1367862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E16_MASK),
     /* 1367865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367887 */     // GIR_Coverage, 22039,
     /* 1367887 */     GIR_EraseRootFromParent_Done,
     /* 1367888 */   // Label 19469: @1367888
     /* 1367888 */   GIM_Try, /*On fail goto*//*Label 19470*/ GIMT_Encode4(1367972), // Rule ID 22042 //
     /* 1367893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1367896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1367916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1367919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1367923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1367931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1367935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1367939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1367946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1367946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1367949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1367951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1367953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1367955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1367957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1367959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1367964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1367967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1367970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1367971 */     // GIR_Coverage, 22042,
     /* 1367971 */     GIR_EraseRootFromParent_Done,
     /* 1367972 */   // Label 19470: @1367972
     /* 1367972 */   GIM_Try, /*On fail goto*//*Label 19471*/ GIMT_Encode4(1368056), // Rule ID 22043 //
     /* 1367977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1367980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1367985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1367988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1367991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1367994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1367997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1368000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11510:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E16_MASK),
     /* 1368033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1368051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368055 */     // GIR_Coverage, 22043,
     /* 1368055 */     GIR_EraseRootFromParent_Done,
     /* 1368056 */   // Label 19471: @1368056
     /* 1368056 */   GIM_Try, /*On fail goto*//*Label 19472*/ GIMT_Encode4(1368140), // Rule ID 22046 //
     /* 1368061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1368078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368114 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1368117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368139 */     // GIR_Coverage, 22046,
     /* 1368139 */     GIR_EraseRootFromParent_Done,
     /* 1368140 */   // Label 19472: @1368140
     /* 1368140 */   GIM_Try, /*On fail goto*//*Label 19473*/ GIMT_Encode4(1368224), // Rule ID 22047 //
     /* 1368145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1368162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368198 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E32_MASK),
     /* 1368201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368223 */     // GIR_Coverage, 22047,
     /* 1368223 */     GIR_EraseRootFromParent_Done,
     /* 1368224 */   // Label 19473: @1368224
     /* 1368224 */   GIM_Try, /*On fail goto*//*Label 19474*/ GIMT_Encode4(1368308), // Rule ID 22050 //
     /* 1368229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1368285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368307 */     // GIR_Coverage, 22050,
     /* 1368307 */     GIR_EraseRootFromParent_Done,
     /* 1368308 */   // Label 19474: @1368308
     /* 1368308 */   GIM_Try, /*On fail goto*//*Label 19475*/ GIMT_Encode4(1368392), // Rule ID 22051 //
     /* 1368313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1368330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368366 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E32_MASK),
     /* 1368369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368391 */     // GIR_Coverage, 22051,
     /* 1368391 */     GIR_EraseRootFromParent_Done,
     /* 1368392 */   // Label 19475: @1368392
     /* 1368392 */   GIM_Try, /*On fail goto*//*Label 19476*/ GIMT_Encode4(1368476), // Rule ID 22054 //
     /* 1368397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1368400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368450 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1368453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368475 */     // GIR_Coverage, 22054,
     /* 1368475 */     GIR_EraseRootFromParent_Done,
     /* 1368476 */   // Label 19476: @1368476
     /* 1368476 */   GIM_Try, /*On fail goto*//*Label 19477*/ GIMT_Encode4(1368560), // Rule ID 22055 //
     /* 1368481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1368484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1368492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1368495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1368498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1368501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1368504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368534 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11510:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E32_MASK),
     /* 1368537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1368555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368559 */     // GIR_Coverage, 22055,
     /* 1368559 */     GIR_EraseRootFromParent_Done,
     /* 1368560 */   // Label 19477: @1368560
     /* 1368560 */   GIM_Try, /*On fail goto*//*Label 19478*/ GIMT_Encode4(1368644), // Rule ID 22058 //
     /* 1368565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1368621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368643 */     // GIR_Coverage, 22058,
     /* 1368643 */     GIR_EraseRootFromParent_Done,
     /* 1368644 */   // Label 19478: @1368644
     /* 1368644 */   GIM_Try, /*On fail goto*//*Label 19479*/ GIMT_Encode4(1368728), // Rule ID 22059 //
     /* 1368649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1368666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1368672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1368687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368702 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M2_E64_MASK),
     /* 1368705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368727 */     // GIR_Coverage, 22059,
     /* 1368727 */     GIR_EraseRootFromParent_Done,
     /* 1368728 */   // Label 19479: @1368728
     /* 1368728 */   GIM_Try, /*On fail goto*//*Label 19480*/ GIMT_Encode4(1368812), // Rule ID 22062 //
     /* 1368733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368786 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1368789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368811 */     // GIR_Coverage, 22062,
     /* 1368811 */     GIR_EraseRootFromParent_Done,
     /* 1368812 */   // Label 19480: @1368812
     /* 1368812 */   GIM_Try, /*On fail goto*//*Label 19481*/ GIMT_Encode4(1368896), // Rule ID 22063 //
     /* 1368817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1368834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1368840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1368843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1368855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368870 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1368870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M4_E64_MASK),
     /* 1368873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368895 */     // GIR_Coverage, 22063,
     /* 1368895 */     GIR_EraseRootFromParent_Done,
     /* 1368896 */   // Label 19481: @1368896
     /* 1368896 */   GIM_Try, /*On fail goto*//*Label 19482*/ GIMT_Encode4(1368980), // Rule ID 22066 //
     /* 1368901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1368904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1368918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1368921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1368924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1368927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1368931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1368939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1368943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1368947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1368954 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1368954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1368957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1368959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1368961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1368963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1368965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1368967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1368972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1368975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1368978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1368979 */     // GIR_Coverage, 22066,
     /* 1368979 */     GIR_EraseRootFromParent_Done,
     /* 1368980 */   // Label 19482: @1368980
     /* 1368980 */   GIM_Try, /*On fail goto*//*Label 19483*/ GIMT_Encode4(1369064), // Rule ID 22067 //
     /* 1368985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1368988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredsum_mask),
     /* 1368993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1368996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1368999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1369002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1369005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1369008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1369023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369038 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11510:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDSUM_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDSUM_VS_M8_E64_MASK),
     /* 1369041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1369059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369063 */     // GIR_Coverage, 22067,
     /* 1369063 */     GIR_EraseRootFromParent_Done,
     /* 1369064 */   // Label 19483: @1369064
     /* 1369064 */   GIM_Try, /*On fail goto*//*Label 19484*/ GIMT_Encode4(1369148), // Rule ID 22070 //
     /* 1369069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1369086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369122 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1369125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369147 */     // GIR_Coverage, 22070,
     /* 1369147 */     GIR_EraseRootFromParent_Done,
     /* 1369148 */   // Label 19484: @1369148
     /* 1369148 */   GIM_Try, /*On fail goto*//*Label 19485*/ GIMT_Encode4(1369232), // Rule ID 22071 //
     /* 1369153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1369170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369206 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF8_E8_MASK),
     /* 1369209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369231 */     // GIR_Coverage, 22071,
     /* 1369231 */     GIR_EraseRootFromParent_Done,
     /* 1369232 */   // Label 19485: @1369232
     /* 1369232 */   GIM_Try, /*On fail goto*//*Label 19486*/ GIMT_Encode4(1369316), // Rule ID 22074 //
     /* 1369237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369290 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1369293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369315 */     // GIR_Coverage, 22074,
     /* 1369315 */     GIR_EraseRootFromParent_Done,
     /* 1369316 */   // Label 19486: @1369316
     /* 1369316 */   GIM_Try, /*On fail goto*//*Label 19487*/ GIMT_Encode4(1369400), // Rule ID 22075 //
     /* 1369321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1369338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369374 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E8_MASK),
     /* 1369377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369399 */     // GIR_Coverage, 22075,
     /* 1369399 */     GIR_EraseRootFromParent_Done,
     /* 1369400 */   // Label 19487: @1369400
     /* 1369400 */   GIM_Try, /*On fail goto*//*Label 19488*/ GIMT_Encode4(1369484), // Rule ID 22078 //
     /* 1369405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369458 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1369461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369483 */     // GIR_Coverage, 22078,
     /* 1369483 */     GIR_EraseRootFromParent_Done,
     /* 1369484 */   // Label 19488: @1369484
     /* 1369484 */   GIM_Try, /*On fail goto*//*Label 19489*/ GIMT_Encode4(1369568), // Rule ID 22079 //
     /* 1369489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1369500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1369503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1369506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1369509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1369512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369542 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E8_MASK),
     /* 1369545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1369563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369567 */     // GIR_Coverage, 22079,
     /* 1369567 */     GIR_EraseRootFromParent_Done,
     /* 1369568 */   // Label 19489: @1369568
     /* 1369568 */   GIM_Try, /*On fail goto*//*Label 19490*/ GIMT_Encode4(1369652), // Rule ID 22082 //
     /* 1369573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1369629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369651 */     // GIR_Coverage, 22082,
     /* 1369651 */     GIR_EraseRootFromParent_Done,
     /* 1369652 */   // Label 19490: @1369652
     /* 1369652 */   GIM_Try, /*On fail goto*//*Label 19491*/ GIMT_Encode4(1369736), // Rule ID 22083 //
     /* 1369657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1369674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369710 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF4_E16_MASK),
     /* 1369713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369735 */     // GIR_Coverage, 22083,
     /* 1369735 */     GIR_EraseRootFromParent_Done,
     /* 1369736 */   // Label 19491: @1369736
     /* 1369736 */   GIM_Try, /*On fail goto*//*Label 19492*/ GIMT_Encode4(1369820), // Rule ID 22086 //
     /* 1369741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369794 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1369797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369819 */     // GIR_Coverage, 22086,
     /* 1369819 */     GIR_EraseRootFromParent_Done,
     /* 1369820 */   // Label 19492: @1369820
     /* 1369820 */   GIM_Try, /*On fail goto*//*Label 19493*/ GIMT_Encode4(1369904), // Rule ID 22087 //
     /* 1369825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1369836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1369839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1369842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1369845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1369848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1369851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369878 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1369878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E16_MASK),
     /* 1369881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1369899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369903 */     // GIR_Coverage, 22087,
     /* 1369903 */     GIR_EraseRootFromParent_Done,
     /* 1369904 */   // Label 19493: @1369904
     /* 1369904 */   GIM_Try, /*On fail goto*//*Label 19494*/ GIMT_Encode4(1369988), // Rule ID 22090 //
     /* 1369909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1369912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1369917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1369920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1369923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1369926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1369929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1369932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1369935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1369939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1369951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1369955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1369962 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1369962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1369965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1369967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1369969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1369971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1369973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1369975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1369980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1369983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1369986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1369987 */     // GIR_Coverage, 22090,
     /* 1369987 */     GIR_EraseRootFromParent_Done,
     /* 1369988 */   // Label 19494: @1369988
     /* 1369988 */   GIM_Try, /*On fail goto*//*Label 19495*/ GIMT_Encode4(1370072), // Rule ID 22091 //
     /* 1369993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1369996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1370010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370046 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_MF2_E32_MASK),
     /* 1370049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370071 */     // GIR_Coverage, 22091,
     /* 1370071 */     GIR_EraseRootFromParent_Done,
     /* 1370072 */   // Label 19495: @1370072
     /* 1370072 */   GIM_Try, /*On fail goto*//*Label 19496*/ GIMT_Encode4(1370156), // Rule ID 22094 //
     /* 1370077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1370094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370130 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1370133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370155 */     // GIR_Coverage, 22094,
     /* 1370155 */     GIR_EraseRootFromParent_Done,
     /* 1370156 */   // Label 19496: @1370156
     /* 1370156 */   GIM_Try, /*On fail goto*//*Label 19497*/ GIMT_Encode4(1370240), // Rule ID 22095 //
     /* 1370161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1370178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1370184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E8_MASK),
     /* 1370217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370239 */     // GIR_Coverage, 22095,
     /* 1370239 */     GIR_EraseRootFromParent_Done,
     /* 1370240 */   // Label 19497: @1370240
     /* 1370240 */   GIM_Try, /*On fail goto*//*Label 19498*/ GIMT_Encode4(1370324), // Rule ID 22098 //
     /* 1370245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1370301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370323 */     // GIR_Coverage, 22098,
     /* 1370323 */     GIR_EraseRootFromParent_Done,
     /* 1370324 */   // Label 19498: @1370324
     /* 1370324 */   GIM_Try, /*On fail goto*//*Label 19499*/ GIMT_Encode4(1370408), // Rule ID 22099 //
     /* 1370329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1370340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1370343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1370346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1370349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1370352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370382 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E16_MASK),
     /* 1370385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1370403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370407 */     // GIR_Coverage, 22099,
     /* 1370407 */     GIR_EraseRootFromParent_Done,
     /* 1370408 */   // Label 19499: @1370408
     /* 1370408 */   GIM_Try, /*On fail goto*//*Label 19500*/ GIMT_Encode4(1370492), // Rule ID 22102 //
     /* 1370413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370466 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1370469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370491 */     // GIR_Coverage, 22102,
     /* 1370491 */     GIR_EraseRootFromParent_Done,
     /* 1370492 */   // Label 19500: @1370492
     /* 1370492 */   GIM_Try, /*On fail goto*//*Label 19501*/ GIMT_Encode4(1370576), // Rule ID 22103 //
     /* 1370497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1370508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1370511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1370514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1370517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1370520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E32_MASK),
     /* 1370553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1370571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370575 */     // GIR_Coverage, 22103,
     /* 1370575 */     GIR_EraseRootFromParent_Done,
     /* 1370576 */   // Label 19501: @1370576
     /* 1370576 */   GIM_Try, /*On fail goto*//*Label 19502*/ GIMT_Encode4(1370660), // Rule ID 22106 //
     /* 1370581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1370584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370634 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1370637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370659 */     // GIR_Coverage, 22106,
     /* 1370659 */     GIR_EraseRootFromParent_Done,
     /* 1370660 */   // Label 19502: @1370660
     /* 1370660 */   GIM_Try, /*On fail goto*//*Label 19503*/ GIMT_Encode4(1370744), // Rule ID 22107 //
     /* 1370665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1370668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1370676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1370679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1370682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1370685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1370688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M1_E64_MASK),
     /* 1370721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1370739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370743 */     // GIR_Coverage, 22107,
     /* 1370743 */     GIR_EraseRootFromParent_Done,
     /* 1370744 */   // Label 19503: @1370744
     /* 1370744 */   GIM_Try, /*On fail goto*//*Label 19504*/ GIMT_Encode4(1370828), // Rule ID 22110 //
     /* 1370749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1370805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370827 */     // GIR_Coverage, 22110,
     /* 1370827 */     GIR_EraseRootFromParent_Done,
     /* 1370828 */   // Label 19504: @1370828
     /* 1370828 */   GIM_Try, /*On fail goto*//*Label 19505*/ GIMT_Encode4(1370912), // Rule ID 22111 //
     /* 1370833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1370836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1370850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1370856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1370859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1370871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370886 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1370886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E8_MASK),
     /* 1370889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370911 */     // GIR_Coverage, 22111,
     /* 1370911 */     GIR_EraseRootFromParent_Done,
     /* 1370912 */   // Label 19505: @1370912
     /* 1370912 */   GIM_Try, /*On fail goto*//*Label 19506*/ GIMT_Encode4(1370996), // Rule ID 22114 //
     /* 1370917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1370920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1370925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1370928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1370931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1370934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1370937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1370940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1370943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1370947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1370955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1370959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1370963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1370970 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1370970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1370973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1370975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1370977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1370979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1370981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1370983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1370988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1370991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1370994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1370995 */     // GIR_Coverage, 22114,
     /* 1370995 */     GIR_EraseRootFromParent_Done,
     /* 1370996 */   // Label 19506: @1370996
     /* 1370996 */   GIM_Try, /*On fail goto*//*Label 19507*/ GIMT_Encode4(1371080), // Rule ID 22115 //
     /* 1371001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1371018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371054 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E8_MASK),
     /* 1371057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371079 */     // GIR_Coverage, 22115,
     /* 1371079 */     GIR_EraseRootFromParent_Done,
     /* 1371080 */   // Label 19507: @1371080
     /* 1371080 */   GIM_Try, /*On fail goto*//*Label 19508*/ GIMT_Encode4(1371164), // Rule ID 22118 //
     /* 1371085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1371102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1371108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371138 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1371141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371163 */     // GIR_Coverage, 22118,
     /* 1371163 */     GIR_EraseRootFromParent_Done,
     /* 1371164 */   // Label 19508: @1371164
     /* 1371164 */   GIM_Try, /*On fail goto*//*Label 19509*/ GIMT_Encode4(1371248), // Rule ID 22119 //
     /* 1371169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1371180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1371183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1371186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1371189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1371192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371222 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11498:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E8_MASK),
     /* 1371225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1371243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371247 */     // GIR_Coverage, 22119,
     /* 1371247 */     GIR_EraseRootFromParent_Done,
     /* 1371248 */   // Label 19509: @1371248
     /* 1371248 */   GIM_Try, /*On fail goto*//*Label 19510*/ GIMT_Encode4(1371332), // Rule ID 22122 //
     /* 1371253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371306 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1371309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371331 */     // GIR_Coverage, 22122,
     /* 1371331 */     GIR_EraseRootFromParent_Done,
     /* 1371332 */   // Label 19510: @1371332
     /* 1371332 */   GIM_Try, /*On fail goto*//*Label 19511*/ GIMT_Encode4(1371416), // Rule ID 22123 //
     /* 1371337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1371354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371390 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E16_MASK),
     /* 1371393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371415 */     // GIR_Coverage, 22123,
     /* 1371415 */     GIR_EraseRootFromParent_Done,
     /* 1371416 */   // Label 19511: @1371416
     /* 1371416 */   GIM_Try, /*On fail goto*//*Label 19512*/ GIMT_Encode4(1371500), // Rule ID 22126 //
     /* 1371421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1371477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371499 */     // GIR_Coverage, 22126,
     /* 1371499 */     GIR_EraseRootFromParent_Done,
     /* 1371500 */   // Label 19512: @1371500
     /* 1371500 */   GIM_Try, /*On fail goto*//*Label 19513*/ GIMT_Encode4(1371584), // Rule ID 22127 //
     /* 1371505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1371522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1371528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E16_MASK),
     /* 1371561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371583 */     // GIR_Coverage, 22127,
     /* 1371583 */     GIR_EraseRootFromParent_Done,
     /* 1371584 */   // Label 19513: @1371584
     /* 1371584 */   GIM_Try, /*On fail goto*//*Label 19514*/ GIMT_Encode4(1371668), // Rule ID 22130 //
     /* 1371589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371642 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1371645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371667 */     // GIR_Coverage, 22130,
     /* 1371667 */     GIR_EraseRootFromParent_Done,
     /* 1371668 */   // Label 19514: @1371668
     /* 1371668 */   GIM_Try, /*On fail goto*//*Label 19515*/ GIMT_Encode4(1371752), // Rule ID 22131 //
     /* 1371673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1371684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1371687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1371690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1371693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1371696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1371711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371726 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11498:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E16_MASK),
     /* 1371729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1371747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371751 */     // GIR_Coverage, 22131,
     /* 1371751 */     GIR_EraseRootFromParent_Done,
     /* 1371752 */   // Label 19515: @1371752
     /* 1371752 */   GIM_Try, /*On fail goto*//*Label 19516*/ GIMT_Encode4(1371836), // Rule ID 22134 //
     /* 1371757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1371813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371835 */     // GIR_Coverage, 22134,
     /* 1371835 */     GIR_EraseRootFromParent_Done,
     /* 1371836 */   // Label 19516: @1371836
     /* 1371836 */   GIM_Try, /*On fail goto*//*Label 19517*/ GIMT_Encode4(1371920), // Rule ID 22135 //
     /* 1371841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1371844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1371858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1371864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1371867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1371879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1371894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E32_MASK),
     /* 1371897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1371918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1371919 */     // GIR_Coverage, 22135,
     /* 1371919 */     GIR_EraseRootFromParent_Done,
     /* 1371920 */   // Label 19517: @1371920
     /* 1371920 */   GIM_Try, /*On fail goto*//*Label 19518*/ GIMT_Encode4(1372004), // Rule ID 22138 //
     /* 1371925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1371928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1371933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1371936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1371939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1371942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1371945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1371948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1371951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1371955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1371963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1371967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1371971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1371978 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1371978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1371981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1371983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1371985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1371987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1371989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1371991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1371996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1371999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372003 */     // GIR_Coverage, 22138,
     /* 1372003 */     GIR_EraseRootFromParent_Done,
     /* 1372004 */   // Label 19518: @1372004
     /* 1372004 */   GIM_Try, /*On fail goto*//*Label 19519*/ GIMT_Encode4(1372088), // Rule ID 22139 //
     /* 1372009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1372026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372062 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E32_MASK),
     /* 1372065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372087 */     // GIR_Coverage, 22139,
     /* 1372087 */     GIR_EraseRootFromParent_Done,
     /* 1372088 */   // Label 19519: @1372088
     /* 1372088 */   GIM_Try, /*On fail goto*//*Label 19520*/ GIMT_Encode4(1372172), // Rule ID 22142 //
     /* 1372093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1372110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1372149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372171 */     // GIR_Coverage, 22142,
     /* 1372171 */     GIR_EraseRootFromParent_Done,
     /* 1372172 */   // Label 19520: @1372172
     /* 1372172 */   GIM_Try, /*On fail goto*//*Label 19521*/ GIMT_Encode4(1372256), // Rule ID 22143 //
     /* 1372177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1372188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1372191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1372194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1372197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1372200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11498:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E32_MASK),
     /* 1372233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1372251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372255 */     // GIR_Coverage, 22143,
     /* 1372255 */     GIR_EraseRootFromParent_Done,
     /* 1372256 */   // Label 19521: @1372256
     /* 1372256 */   GIM_Try, /*On fail goto*//*Label 19522*/ GIMT_Encode4(1372340), // Rule ID 22146 //
     /* 1372261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372314 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1372317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372339 */     // GIR_Coverage, 22146,
     /* 1372339 */     GIR_EraseRootFromParent_Done,
     /* 1372340 */   // Label 19522: @1372340
     /* 1372340 */   GIM_Try, /*On fail goto*//*Label 19523*/ GIMT_Encode4(1372424), // Rule ID 22147 //
     /* 1372345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1372362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1372383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M2_E64_MASK),
     /* 1372401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372423 */     // GIR_Coverage, 22147,
     /* 1372423 */     GIR_EraseRootFromParent_Done,
     /* 1372424 */   // Label 19523: @1372424
     /* 1372424 */   GIM_Try, /*On fail goto*//*Label 19524*/ GIMT_Encode4(1372508), // Rule ID 22150 //
     /* 1372429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1372485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372507 */     // GIR_Coverage, 22150,
     /* 1372507 */     GIR_EraseRootFromParent_Done,
     /* 1372508 */   // Label 19524: @1372508
     /* 1372508 */   GIM_Try, /*On fail goto*//*Label 19525*/ GIMT_Encode4(1372592), // Rule ID 22151 //
     /* 1372513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1372530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1372536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1372551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372566 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M4_E64_MASK),
     /* 1372569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372591 */     // GIR_Coverage, 22151,
     /* 1372591 */     GIR_EraseRootFromParent_Done,
     /* 1372592 */   // Label 19525: @1372592
     /* 1372592 */   GIM_Try, /*On fail goto*//*Label 19526*/ GIMT_Encode4(1372676), // Rule ID 22154 //
     /* 1372597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1372600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372650 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1372653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372675 */     // GIR_Coverage, 22154,
     /* 1372675 */     GIR_EraseRootFromParent_Done,
     /* 1372676 */   // Label 19526: @1372676
     /* 1372676 */   GIM_Try, /*On fail goto*//*Label 19527*/ GIMT_Encode4(1372760), // Rule ID 22155 //
     /* 1372681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1372684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredand_mask),
     /* 1372689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1372692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1372695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1372698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1372701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1372704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1372719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372734 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11498:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDAND_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDAND_VS_M8_E64_MASK),
     /* 1372737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1372755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372759 */     // GIR_Coverage, 22155,
     /* 1372759 */     GIR_EraseRootFromParent_Done,
     /* 1372760 */   // Label 19527: @1372760
     /* 1372760 */   GIM_Try, /*On fail goto*//*Label 19528*/ GIMT_Encode4(1372844), // Rule ID 22158 //
     /* 1372765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1372773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372818 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1372821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372843 */     // GIR_Coverage, 22158,
     /* 1372843 */     GIR_EraseRootFromParent_Done,
     /* 1372844 */   // Label 19528: @1372844
     /* 1372844 */   GIM_Try, /*On fail goto*//*Label 19529*/ GIMT_Encode4(1372928), // Rule ID 22159 //
     /* 1372849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1372852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1372857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1372866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1372872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1372875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372902 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1372902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF8_E8_MASK),
     /* 1372905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1372920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1372923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1372926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1372927 */     // GIR_Coverage, 22159,
     /* 1372927 */     GIR_EraseRootFromParent_Done,
     /* 1372928 */   // Label 19529: @1372928
     /* 1372928 */   GIM_Try, /*On fail goto*//*Label 19530*/ GIMT_Encode4(1373012), // Rule ID 22162 //
     /* 1372933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1372936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1372941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1372944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1372947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1372950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1372953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1372956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1372959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1372963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1372975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1372979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1372986 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1372986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1372989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1372991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1372993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1372995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1372997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1372999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373011 */     // GIR_Coverage, 22162,
     /* 1373011 */     GIR_EraseRootFromParent_Done,
     /* 1373012 */   // Label 19530: @1373012
     /* 1373012 */   GIM_Try, /*On fail goto*//*Label 19531*/ GIMT_Encode4(1373096), // Rule ID 22163 //
     /* 1373017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1373034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373070 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E8_MASK),
     /* 1373073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373095 */     // GIR_Coverage, 22163,
     /* 1373095 */     GIR_EraseRootFromParent_Done,
     /* 1373096 */   // Label 19531: @1373096
     /* 1373096 */   GIM_Try, /*On fail goto*//*Label 19532*/ GIMT_Encode4(1373180), // Rule ID 22166 //
     /* 1373101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1373118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373154 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1373157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373179 */     // GIR_Coverage, 22166,
     /* 1373179 */     GIR_EraseRootFromParent_Done,
     /* 1373180 */   // Label 19532: @1373180
     /* 1373180 */   GIM_Try, /*On fail goto*//*Label 19533*/ GIMT_Encode4(1373264), // Rule ID 22167 //
     /* 1373185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1373202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373238 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E8_MASK),
     /* 1373241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373263 */     // GIR_Coverage, 22167,
     /* 1373263 */     GIR_EraseRootFromParent_Done,
     /* 1373264 */   // Label 19533: @1373264
     /* 1373264 */   GIM_Try, /*On fail goto*//*Label 19534*/ GIMT_Encode4(1373348), // Rule ID 22170 //
     /* 1373269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373322 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1373325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373347 */     // GIR_Coverage, 22170,
     /* 1373347 */     GIR_EraseRootFromParent_Done,
     /* 1373348 */   // Label 19534: @1373348
     /* 1373348 */   GIM_Try, /*On fail goto*//*Label 19535*/ GIMT_Encode4(1373432), // Rule ID 22171 //
     /* 1373353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1373370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF4_E16_MASK),
     /* 1373409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373431 */     // GIR_Coverage, 22171,
     /* 1373431 */     GIR_EraseRootFromParent_Done,
     /* 1373432 */   // Label 19535: @1373432
     /* 1373432 */   GIM_Try, /*On fail goto*//*Label 19536*/ GIMT_Encode4(1373516), // Rule ID 22174 //
     /* 1373437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1373493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373515 */     // GIR_Coverage, 22174,
     /* 1373515 */     GIR_EraseRootFromParent_Done,
     /* 1373516 */   // Label 19536: @1373516
     /* 1373516 */   GIM_Try, /*On fail goto*//*Label 19537*/ GIMT_Encode4(1373600), // Rule ID 22175 //
     /* 1373521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1373538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1373544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373574 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E16_MASK),
     /* 1373577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1373595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373599 */     // GIR_Coverage, 22175,
     /* 1373599 */     GIR_EraseRootFromParent_Done,
     /* 1373600 */   // Label 19537: @1373600
     /* 1373600 */   GIM_Try, /*On fail goto*//*Label 19538*/ GIMT_Encode4(1373684), // Rule ID 22178 //
     /* 1373605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1373661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373683 */     // GIR_Coverage, 22178,
     /* 1373683 */     GIR_EraseRootFromParent_Done,
     /* 1373684 */   // Label 19538: @1373684
     /* 1373684 */   GIM_Try, /*On fail goto*//*Label 19539*/ GIMT_Encode4(1373768), // Rule ID 22179 //
     /* 1373689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1373700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1373703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1373706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1373709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1373712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_MF2_E32_MASK),
     /* 1373745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1373763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373767 */     // GIR_Coverage, 22179,
     /* 1373767 */     GIR_EraseRootFromParent_Done,
     /* 1373768 */   // Label 19539: @1373768
     /* 1373768 */   GIM_Try, /*On fail goto*//*Label 19540*/ GIMT_Encode4(1373852), // Rule ID 22182 //
     /* 1373773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1373829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373851 */     // GIR_Coverage, 22182,
     /* 1373851 */     GIR_EraseRootFromParent_Done,
     /* 1373852 */   // Label 19540: @1373852
     /* 1373852 */   GIM_Try, /*On fail goto*//*Label 19541*/ GIMT_Encode4(1373936), // Rule ID 22183 //
     /* 1373857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1373860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1373868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1373871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1373874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1373877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1373880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1373883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373910 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1373910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E8_MASK),
     /* 1373913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1373917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1373919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1373921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1373923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1373928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1373931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1373934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1373935 */     // GIR_Coverage, 22183,
     /* 1373935 */     GIR_EraseRootFromParent_Done,
     /* 1373936 */   // Label 19541: @1373936
     /* 1373936 */   GIM_Try, /*On fail goto*//*Label 19542*/ GIMT_Encode4(1374020), // Rule ID 22186 //
     /* 1373941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1373944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1373949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1373952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1373955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1373958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1373961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1373964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1373967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1373971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1373983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1373987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1373994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1373994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1373997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1373999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374019 */     // GIR_Coverage, 22186,
     /* 1374019 */     GIR_EraseRootFromParent_Done,
     /* 1374020 */   // Label 19542: @1374020
     /* 1374020 */   GIM_Try, /*On fail goto*//*Label 19543*/ GIMT_Encode4(1374104), // Rule ID 22187 //
     /* 1374025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1374042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1374048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E16_MASK),
     /* 1374081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1374099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374103 */     // GIR_Coverage, 22187,
     /* 1374103 */     GIR_EraseRootFromParent_Done,
     /* 1374104 */   // Label 19543: @1374104
     /* 1374104 */   GIM_Try, /*On fail goto*//*Label 19544*/ GIMT_Encode4(1374188), // Rule ID 22190 //
     /* 1374109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374162 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1374165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374187 */     // GIR_Coverage, 22190,
     /* 1374187 */     GIR_EraseRootFromParent_Done,
     /* 1374188 */   // Label 19544: @1374188
     /* 1374188 */   GIM_Try, /*On fail goto*//*Label 19545*/ GIMT_Encode4(1374272), // Rule ID 22191 //
     /* 1374193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1374204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1374207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1374210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1374213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1374216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E32_MASK),
     /* 1374249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1374267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374271 */     // GIR_Coverage, 22191,
     /* 1374271 */     GIR_EraseRootFromParent_Done,
     /* 1374272 */   // Label 19545: @1374272
     /* 1374272 */   GIM_Try, /*On fail goto*//*Label 19546*/ GIMT_Encode4(1374356), // Rule ID 22194 //
     /* 1374277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1374280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374330 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1374333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374355 */     // GIR_Coverage, 22194,
     /* 1374355 */     GIR_EraseRootFromParent_Done,
     /* 1374356 */   // Label 19546: @1374356
     /* 1374356 */   GIM_Try, /*On fail goto*//*Label 19547*/ GIMT_Encode4(1374440), // Rule ID 22195 //
     /* 1374361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1374364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1374372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1374375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1374378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1374381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1374384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M1_E64_MASK),
     /* 1374417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1374435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374439 */     // GIR_Coverage, 22195,
     /* 1374439 */     GIR_EraseRootFromParent_Done,
     /* 1374440 */   // Label 19547: @1374440
     /* 1374440 */   GIM_Try, /*On fail goto*//*Label 19548*/ GIMT_Encode4(1374524), // Rule ID 22198 //
     /* 1374445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1374501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374523 */     // GIR_Coverage, 22198,
     /* 1374523 */     GIR_EraseRootFromParent_Done,
     /* 1374524 */   // Label 19548: @1374524
     /* 1374524 */   GIM_Try, /*On fail goto*//*Label 19549*/ GIMT_Encode4(1374608), // Rule ID 22199 //
     /* 1374529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1374546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1374552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374582 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E8_MASK),
     /* 1374585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374607 */     // GIR_Coverage, 22199,
     /* 1374607 */     GIR_EraseRootFromParent_Done,
     /* 1374608 */   // Label 19549: @1374608
     /* 1374608 */   GIM_Try, /*On fail goto*//*Label 19550*/ GIMT_Encode4(1374692), // Rule ID 22202 //
     /* 1374613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1374669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374691 */     // GIR_Coverage, 22202,
     /* 1374691 */     GIR_EraseRootFromParent_Done,
     /* 1374692 */   // Label 19550: @1374692
     /* 1374692 */   GIM_Try, /*On fail goto*//*Label 19551*/ GIMT_Encode4(1374776), // Rule ID 22203 //
     /* 1374697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1374714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1374720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1374735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E8_MASK),
     /* 1374753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374775 */     // GIR_Coverage, 22203,
     /* 1374775 */     GIR_EraseRootFromParent_Done,
     /* 1374776 */   // Label 19551: @1374776
     /* 1374776 */   GIM_Try, /*On fail goto*//*Label 19552*/ GIMT_Encode4(1374860), // Rule ID 22206 //
     /* 1374781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374834 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1374834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1374837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374859 */     // GIR_Coverage, 22206,
     /* 1374859 */     GIR_EraseRootFromParent_Done,
     /* 1374860 */   // Label 19552: @1374860
     /* 1374860 */   GIM_Try, /*On fail goto*//*Label 19553*/ GIMT_Encode4(1374944), // Rule ID 22207 //
     /* 1374865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1374868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1374876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1374879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1374882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1374885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1374888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1374891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1374903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1374918 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11508:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1374918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E8_MASK),
     /* 1374921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1374923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1374925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1374927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1374929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1374931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1374936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1374939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1374942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1374943 */     // GIR_Coverage, 22207,
     /* 1374943 */     GIR_EraseRootFromParent_Done,
     /* 1374944 */   // Label 19553: @1374944
     /* 1374944 */   GIM_Try, /*On fail goto*//*Label 19554*/ GIMT_Encode4(1375028), // Rule ID 22210 //
     /* 1374949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1374952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1374957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1374960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1374963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1374966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1374969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1374972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1374975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1374979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1374987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1374991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1374995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1375005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375027 */     // GIR_Coverage, 22210,
     /* 1375027 */     GIR_EraseRootFromParent_Done,
     /* 1375028 */   // Label 19554: @1375028
     /* 1375028 */   GIM_Try, /*On fail goto*//*Label 19555*/ GIMT_Encode4(1375112), // Rule ID 22211 //
     /* 1375033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1375050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E16_MASK),
     /* 1375089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375111 */     // GIR_Coverage, 22211,
     /* 1375111 */     GIR_EraseRootFromParent_Done,
     /* 1375112 */   // Label 19555: @1375112
     /* 1375112 */   GIM_Try, /*On fail goto*//*Label 19556*/ GIMT_Encode4(1375196), // Rule ID 22214 //
     /* 1375117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375170 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1375173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375195 */     // GIR_Coverage, 22214,
     /* 1375195 */     GIR_EraseRootFromParent_Done,
     /* 1375196 */   // Label 19556: @1375196
     /* 1375196 */   GIM_Try, /*On fail goto*//*Label 19557*/ GIMT_Encode4(1375280), // Rule ID 22215 //
     /* 1375201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1375218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375254 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E16_MASK),
     /* 1375257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375279 */     // GIR_Coverage, 22215,
     /* 1375279 */     GIR_EraseRootFromParent_Done,
     /* 1375280 */   // Label 19557: @1375280
     /* 1375280 */   GIM_Try, /*On fail goto*//*Label 19558*/ GIMT_Encode4(1375364), // Rule ID 22218 //
     /* 1375285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375338 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1375341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375363 */     // GIR_Coverage, 22218,
     /* 1375363 */     GIR_EraseRootFromParent_Done,
     /* 1375364 */   // Label 19558: @1375364
     /* 1375364 */   GIM_Try, /*On fail goto*//*Label 19559*/ GIMT_Encode4(1375448), // Rule ID 22219 //
     /* 1375369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1375380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1375383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1375386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1375389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1375392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11508:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E16_MASK),
     /* 1375425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1375443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375447 */     // GIR_Coverage, 22219,
     /* 1375447 */     GIR_EraseRootFromParent_Done,
     /* 1375448 */   // Label 19559: @1375448
     /* 1375448 */   GIM_Try, /*On fail goto*//*Label 19560*/ GIMT_Encode4(1375532), // Rule ID 22222 //
     /* 1375453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375506 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1375509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375531 */     // GIR_Coverage, 22222,
     /* 1375531 */     GIR_EraseRootFromParent_Done,
     /* 1375532 */   // Label 19560: @1375532
     /* 1375532 */   GIM_Try, /*On fail goto*//*Label 19561*/ GIMT_Encode4(1375616), // Rule ID 22223 //
     /* 1375537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1375554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1375560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E32_MASK),
     /* 1375593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375615 */     // GIR_Coverage, 22223,
     /* 1375615 */     GIR_EraseRootFromParent_Done,
     /* 1375616 */   // Label 19561: @1375616
     /* 1375616 */   GIM_Try, /*On fail goto*//*Label 19562*/ GIMT_Encode4(1375700), // Rule ID 22226 //
     /* 1375621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1375677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375699 */     // GIR_Coverage, 22226,
     /* 1375699 */     GIR_EraseRootFromParent_Done,
     /* 1375700 */   // Label 19562: @1375700
     /* 1375700 */   GIM_Try, /*On fail goto*//*Label 19563*/ GIMT_Encode4(1375784), // Rule ID 22227 //
     /* 1375705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1375722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1375728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1375743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E32_MASK),
     /* 1375761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375783 */     // GIR_Coverage, 22227,
     /* 1375783 */     GIR_EraseRootFromParent_Done,
     /* 1375784 */   // Label 19563: @1375784
     /* 1375784 */   GIM_Try, /*On fail goto*//*Label 19564*/ GIMT_Encode4(1375868), // Rule ID 22230 //
     /* 1375789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1375792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375842 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1375842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1375845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375867 */     // GIR_Coverage, 22230,
     /* 1375867 */     GIR_EraseRootFromParent_Done,
     /* 1375868 */   // Label 19564: @1375868
     /* 1375868 */   GIM_Try, /*On fail goto*//*Label 19565*/ GIMT_Encode4(1375952), // Rule ID 22231 //
     /* 1375873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1375876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1375884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1375887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1375890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1375893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1375896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1375899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1375911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1375919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1375926 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11508:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1375926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E32_MASK),
     /* 1375929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1375931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1375933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1375935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1375937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1375939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1375944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1375947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1375950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1375951 */     // GIR_Coverage, 22231,
     /* 1375951 */     GIR_EraseRootFromParent_Done,
     /* 1375952 */   // Label 19565: @1375952
     /* 1375952 */   GIM_Try, /*On fail goto*//*Label 19566*/ GIMT_Encode4(1376036), // Rule ID 22234 //
     /* 1375957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1375960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1375965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1375968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1375971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1375974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1375977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1375980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1375983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1375987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1375995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1375999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1376013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376035 */     // GIR_Coverage, 22234,
     /* 1376035 */     GIR_EraseRootFromParent_Done,
     /* 1376036 */   // Label 19566: @1376036
     /* 1376036 */   GIM_Try, /*On fail goto*//*Label 19567*/ GIMT_Encode4(1376120), // Rule ID 22235 //
     /* 1376041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1376049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1376058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1376079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376094 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M2_E64_MASK),
     /* 1376097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376119 */     // GIR_Coverage, 22235,
     /* 1376119 */     GIR_EraseRootFromParent_Done,
     /* 1376120 */   // Label 19567: @1376120
     /* 1376120 */   GIM_Try, /*On fail goto*//*Label 19568*/ GIMT_Encode4(1376204), // Rule ID 22238 //
     /* 1376125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1376133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376178 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1376181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376203 */     // GIR_Coverage, 22238,
     /* 1376203 */     GIR_EraseRootFromParent_Done,
     /* 1376204 */   // Label 19568: @1376204
     /* 1376204 */   GIM_Try, /*On fail goto*//*Label 19569*/ GIMT_Encode4(1376288), // Rule ID 22239 //
     /* 1376209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1376217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1376226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1376247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376262 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M4_E64_MASK),
     /* 1376265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376287 */     // GIR_Coverage, 22239,
     /* 1376287 */     GIR_EraseRootFromParent_Done,
     /* 1376288 */   // Label 19569: @1376288
     /* 1376288 */   GIM_Try, /*On fail goto*//*Label 19570*/ GIMT_Encode4(1376372), // Rule ID 22242 //
     /* 1376293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1376296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1376301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1376349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376371 */     // GIR_Coverage, 22242,
     /* 1376371 */     GIR_EraseRootFromParent_Done,
     /* 1376372 */   // Label 19570: @1376372
     /* 1376372 */   GIM_Try, /*On fail goto*//*Label 19571*/ GIMT_Encode4(1376456), // Rule ID 22243 //
     /* 1376377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1376380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredor_mask),
     /* 1376385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1376388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1376391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1376394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1376397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1376400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1376415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376430 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11508:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDOR_VS_M8_E64_MASK),
     /* 1376433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1376451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376455 */     // GIR_Coverage, 22243,
     /* 1376455 */     GIR_EraseRootFromParent_Done,
     /* 1376456 */   // Label 19571: @1376456
     /* 1376456 */   GIM_Try, /*On fail goto*//*Label 19572*/ GIMT_Encode4(1376540), // Rule ID 22246 //
     /* 1376461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1376469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1376517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376539 */     // GIR_Coverage, 22246,
     /* 1376539 */     GIR_EraseRootFromParent_Done,
     /* 1376540 */   // Label 19572: @1376540
     /* 1376540 */   GIM_Try, /*On fail goto*//*Label 19573*/ GIMT_Encode4(1376624), // Rule ID 22247 //
     /* 1376545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1376553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1376562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376598 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF8_E8_MASK),
     /* 1376601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376623 */     // GIR_Coverage, 22247,
     /* 1376623 */     GIR_EraseRootFromParent_Done,
     /* 1376624 */   // Label 19573: @1376624
     /* 1376624 */   GIM_Try, /*On fail goto*//*Label 19574*/ GIMT_Encode4(1376708), // Rule ID 22250 //
     /* 1376629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1376637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376682 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1376685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376707 */     // GIR_Coverage, 22250,
     /* 1376707 */     GIR_EraseRootFromParent_Done,
     /* 1376708 */   // Label 19574: @1376708
     /* 1376708 */   GIM_Try, /*On fail goto*//*Label 19575*/ GIMT_Encode4(1376792), // Rule ID 22251 //
     /* 1376713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1376721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1376730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1376736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376766 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E8_MASK),
     /* 1376769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376791 */     // GIR_Coverage, 22251,
     /* 1376791 */     GIR_EraseRootFromParent_Done,
     /* 1376792 */   // Label 19575: @1376792
     /* 1376792 */   GIM_Try, /*On fail goto*//*Label 19576*/ GIMT_Encode4(1376876), // Rule ID 22254 //
     /* 1376797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1376805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376850 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1376850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1376853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376875 */     // GIR_Coverage, 22254,
     /* 1376875 */     GIR_EraseRootFromParent_Done,
     /* 1376876 */   // Label 19576: @1376876
     /* 1376876 */   GIM_Try, /*On fail goto*//*Label 19577*/ GIMT_Encode4(1376960), // Rule ID 22255 //
     /* 1376881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1376884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1376889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1376892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1376895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1376898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1376901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1376904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1376907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1376927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1376934 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1376934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E8_MASK),
     /* 1376937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1376939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1376941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1376943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1376945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1376947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1376952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1376955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1376958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1376959 */     // GIR_Coverage, 22255,
     /* 1376959 */     GIR_EraseRootFromParent_Done,
     /* 1376960 */   // Label 19577: @1376960
     /* 1376960 */   GIM_Try, /*On fail goto*//*Label 19578*/ GIMT_Encode4(1377044), // Rule ID 22258 //
     /* 1376965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1376968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1376973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1376976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1376979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1376982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1376985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1376988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1376991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1376995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1376999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1377021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377043 */     // GIR_Coverage, 22258,
     /* 1377043 */     GIR_EraseRootFromParent_Done,
     /* 1377044 */   // Label 19578: @1377044
     /* 1377044 */   GIM_Try, /*On fail goto*//*Label 19579*/ GIMT_Encode4(1377128), // Rule ID 22259 //
     /* 1377049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1377066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF4_E16_MASK),
     /* 1377105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377127 */     // GIR_Coverage, 22259,
     /* 1377127 */     GIR_EraseRootFromParent_Done,
     /* 1377128 */   // Label 19579: @1377128
     /* 1377128 */   GIM_Try, /*On fail goto*//*Label 19580*/ GIMT_Encode4(1377212), // Rule ID 22262 //
     /* 1377133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1377189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377211 */     // GIR_Coverage, 22262,
     /* 1377211 */     GIR_EraseRootFromParent_Done,
     /* 1377212 */   // Label 19580: @1377212
     /* 1377212 */   GIM_Try, /*On fail goto*//*Label 19581*/ GIMT_Encode4(1377296), // Rule ID 22263 //
     /* 1377217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1377234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E16_MASK),
     /* 1377273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377295 */     // GIR_Coverage, 22263,
     /* 1377295 */     GIR_EraseRootFromParent_Done,
     /* 1377296 */   // Label 19581: @1377296
     /* 1377296 */   GIM_Try, /*On fail goto*//*Label 19582*/ GIMT_Encode4(1377380), // Rule ID 22266 //
     /* 1377301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1377357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377379 */     // GIR_Coverage, 22266,
     /* 1377379 */     GIR_EraseRootFromParent_Done,
     /* 1377380 */   // Label 19582: @1377380
     /* 1377380 */   GIM_Try, /*On fail goto*//*Label 19583*/ GIMT_Encode4(1377464), // Rule ID 22267 //
     /* 1377385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1377402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_MF2_E32_MASK),
     /* 1377441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377463 */     // GIR_Coverage, 22267,
     /* 1377463 */     GIR_EraseRootFromParent_Done,
     /* 1377464 */   // Label 19583: @1377464
     /* 1377464 */   GIM_Try, /*On fail goto*//*Label 19584*/ GIMT_Encode4(1377548), // Rule ID 22270 //
     /* 1377469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377522 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1377525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377547 */     // GIR_Coverage, 22270,
     /* 1377547 */     GIR_EraseRootFromParent_Done,
     /* 1377548 */   // Label 19584: @1377548
     /* 1377548 */   GIM_Try, /*On fail goto*//*Label 19585*/ GIMT_Encode4(1377632), // Rule ID 22271 //
     /* 1377553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1377564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1377567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1377570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1377573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1377576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377606 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E8_MASK),
     /* 1377609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1377627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377631 */     // GIR_Coverage, 22271,
     /* 1377631 */     GIR_EraseRootFromParent_Done,
     /* 1377632 */   // Label 19585: @1377632
     /* 1377632 */   GIM_Try, /*On fail goto*//*Label 19586*/ GIMT_Encode4(1377716), // Rule ID 22274 //
     /* 1377637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377690 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1377693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377715 */     // GIR_Coverage, 22274,
     /* 1377715 */     GIR_EraseRootFromParent_Done,
     /* 1377716 */   // Label 19586: @1377716
     /* 1377716 */   GIM_Try, /*On fail goto*//*Label 19587*/ GIMT_Encode4(1377800), // Rule ID 22275 //
     /* 1377721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1377732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1377735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1377738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1377741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1377744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377774 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E16_MASK),
     /* 1377777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1377795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377799 */     // GIR_Coverage, 22275,
     /* 1377799 */     GIR_EraseRootFromParent_Done,
     /* 1377800 */   // Label 19587: @1377800
     /* 1377800 */   GIM_Try, /*On fail goto*//*Label 19588*/ GIMT_Encode4(1377884), // Rule ID 22278 //
     /* 1377805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1377808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1377858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1377861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377883 */     // GIR_Coverage, 22278,
     /* 1377883 */     GIR_EraseRootFromParent_Done,
     /* 1377884 */   // Label 19588: @1377884
     /* 1377884 */   GIM_Try, /*On fail goto*//*Label 19589*/ GIMT_Encode4(1377968), // Rule ID 22279 //
     /* 1377889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1377892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1377900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1377903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1377906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1377909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1377912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1377915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1377919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1377931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1377935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1377942 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1377942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E32_MASK),
     /* 1377945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1377947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1377949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1377951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1377953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1377955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1377960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1377963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1377966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1377967 */     // GIR_Coverage, 22279,
     /* 1377967 */     GIR_EraseRootFromParent_Done,
     /* 1377968 */   // Label 19589: @1377968
     /* 1377968 */   GIM_Try, /*On fail goto*//*Label 19590*/ GIMT_Encode4(1378052), // Rule ID 22282 //
     /* 1377973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1377976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1377981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1377984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1377987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1377990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1377993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1377996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1377999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1378029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378051 */     // GIR_Coverage, 22282,
     /* 1378051 */     GIR_EraseRootFromParent_Done,
     /* 1378052 */   // Label 19590: @1378052
     /* 1378052 */   GIM_Try, /*On fail goto*//*Label 19591*/ GIMT_Encode4(1378136), // Rule ID 22283 //
     /* 1378057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1378060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1378068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1378071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1378074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1378077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1378080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378110 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M1_E64_MASK),
     /* 1378113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1378131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378135 */     // GIR_Coverage, 22283,
     /* 1378135 */     GIR_EraseRootFromParent_Done,
     /* 1378136 */   // Label 19591: @1378136
     /* 1378136 */   GIM_Try, /*On fail goto*//*Label 19592*/ GIMT_Encode4(1378220), // Rule ID 22286 //
     /* 1378141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1378197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378219 */     // GIR_Coverage, 22286,
     /* 1378219 */     GIR_EraseRootFromParent_Done,
     /* 1378220 */   // Label 19592: @1378220
     /* 1378220 */   GIM_Try, /*On fail goto*//*Label 19593*/ GIMT_Encode4(1378304), // Rule ID 22287 //
     /* 1378225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1378242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378278 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E8_MASK),
     /* 1378281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378303 */     // GIR_Coverage, 22287,
     /* 1378303 */     GIR_EraseRootFromParent_Done,
     /* 1378304 */   // Label 19593: @1378304
     /* 1378304 */   GIM_Try, /*On fail goto*//*Label 19594*/ GIMT_Encode4(1378388), // Rule ID 22290 //
     /* 1378309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378362 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1378365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378387 */     // GIR_Coverage, 22290,
     /* 1378387 */     GIR_EraseRootFromParent_Done,
     /* 1378388 */   // Label 19594: @1378388
     /* 1378388 */   GIM_Try, /*On fail goto*//*Label 19595*/ GIMT_Encode4(1378472), // Rule ID 22291 //
     /* 1378393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1378410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1378416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378446 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E8_MASK),
     /* 1378449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378471 */     // GIR_Coverage, 22291,
     /* 1378471 */     GIR_EraseRootFromParent_Done,
     /* 1378472 */   // Label 19595: @1378472
     /* 1378472 */   GIM_Try, /*On fail goto*//*Label 19596*/ GIMT_Encode4(1378556), // Rule ID 22294 //
     /* 1378477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378530 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1378533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378555 */     // GIR_Coverage, 22294,
     /* 1378555 */     GIR_EraseRootFromParent_Done,
     /* 1378556 */   // Label 19596: @1378556
     /* 1378556 */   GIM_Try, /*On fail goto*//*Label 19597*/ GIMT_Encode4(1378640), // Rule ID 22295 //
     /* 1378561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1378572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1378575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1378578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1378581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1378584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1378599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11512:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E8_MASK),
     /* 1378617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1378635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378639 */     // GIR_Coverage, 22295,
     /* 1378639 */     GIR_EraseRootFromParent_Done,
     /* 1378640 */   // Label 19597: @1378640
     /* 1378640 */   GIM_Try, /*On fail goto*//*Label 19598*/ GIMT_Encode4(1378724), // Rule ID 22298 //
     /* 1378645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1378701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378723 */     // GIR_Coverage, 22298,
     /* 1378723 */     GIR_EraseRootFromParent_Done,
     /* 1378724 */   // Label 19598: @1378724
     /* 1378724 */   GIM_Try, /*On fail goto*//*Label 19599*/ GIMT_Encode4(1378808), // Rule ID 22299 //
     /* 1378729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1378746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1378752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1378767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E16_MASK),
     /* 1378785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378807 */     // GIR_Coverage, 22299,
     /* 1378807 */     GIR_EraseRootFromParent_Done,
     /* 1378808 */   // Label 19599: @1378808
     /* 1378808 */   GIM_Try, /*On fail goto*//*Label 19600*/ GIMT_Encode4(1378892), // Rule ID 22302 //
     /* 1378813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1378839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1378866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1378869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378891 */     // GIR_Coverage, 22302,
     /* 1378891 */     GIR_EraseRootFromParent_Done,
     /* 1378892 */   // Label 19600: @1378892
     /* 1378892 */   GIM_Try, /*On fail goto*//*Label 19601*/ GIMT_Encode4(1378976), // Rule ID 22303 //
     /* 1378897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1378900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1378914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1378917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1378920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1378923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1378927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1378935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1378939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1378943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1378950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1378950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E16_MASK),
     /* 1378953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1378955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1378957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1378959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1378961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1378963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1378968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1378971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1378974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1378975 */     // GIR_Coverage, 22303,
     /* 1378975 */     GIR_EraseRootFromParent_Done,
     /* 1378976 */   // Label 19601: @1378976
     /* 1378976 */   GIM_Try, /*On fail goto*//*Label 19602*/ GIMT_Encode4(1379060), // Rule ID 22306 //
     /* 1378981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1378984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1378989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1378992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1378995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1378998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1379037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379059 */     // GIR_Coverage, 22306,
     /* 1379059 */     GIR_EraseRootFromParent_Done,
     /* 1379060 */   // Label 19602: @1379060
     /* 1379060 */   GIM_Try, /*On fail goto*//*Label 19603*/ GIMT_Encode4(1379144), // Rule ID 22307 //
     /* 1379065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1379076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1379079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1379082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1379085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1379088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379118 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11512:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E16_MASK),
     /* 1379121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1379139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379143 */     // GIR_Coverage, 22307,
     /* 1379143 */     GIR_EraseRootFromParent_Done,
     /* 1379144 */   // Label 19603: @1379144
     /* 1379144 */   GIM_Try, /*On fail goto*//*Label 19604*/ GIMT_Encode4(1379228), // Rule ID 22310 //
     /* 1379149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1379205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379227 */     // GIR_Coverage, 22310,
     /* 1379227 */     GIR_EraseRootFromParent_Done,
     /* 1379228 */   // Label 19604: @1379228
     /* 1379228 */   GIM_Try, /*On fail goto*//*Label 19605*/ GIMT_Encode4(1379312), // Rule ID 22311 //
     /* 1379233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1379250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E32_MASK),
     /* 1379289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379311 */     // GIR_Coverage, 22311,
     /* 1379311 */     GIR_EraseRootFromParent_Done,
     /* 1379312 */   // Label 19605: @1379312
     /* 1379312 */   GIM_Try, /*On fail goto*//*Label 19606*/ GIMT_Encode4(1379396), // Rule ID 22314 //
     /* 1379317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1379373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379395 */     // GIR_Coverage, 22314,
     /* 1379395 */     GIR_EraseRootFromParent_Done,
     /* 1379396 */   // Label 19606: @1379396
     /* 1379396 */   GIM_Try, /*On fail goto*//*Label 19607*/ GIMT_Encode4(1379480), // Rule ID 22315 //
     /* 1379401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1379418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1379424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E32_MASK),
     /* 1379457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379479 */     // GIR_Coverage, 22315,
     /* 1379479 */     GIR_EraseRootFromParent_Done,
     /* 1379480 */   // Label 19607: @1379480
     /* 1379480 */   GIM_Try, /*On fail goto*//*Label 19608*/ GIMT_Encode4(1379564), // Rule ID 22318 //
     /* 1379485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1379488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379538 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1379541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379563 */     // GIR_Coverage, 22318,
     /* 1379563 */     GIR_EraseRootFromParent_Done,
     /* 1379564 */   // Label 19608: @1379564
     /* 1379564 */   GIM_Try, /*On fail goto*//*Label 19609*/ GIMT_Encode4(1379648), // Rule ID 22319 //
     /* 1379569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1379572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1379580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1379583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1379586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1379589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1379592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1379607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379622 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11512:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E32_MASK),
     /* 1379625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1379643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379647 */     // GIR_Coverage, 22319,
     /* 1379647 */     GIR_EraseRootFromParent_Done,
     /* 1379648 */   // Label 19609: @1379648
     /* 1379648 */   GIM_Try, /*On fail goto*//*Label 19610*/ GIMT_Encode4(1379732), // Rule ID 22322 //
     /* 1379653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1379709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379731 */     // GIR_Coverage, 22322,
     /* 1379731 */     GIR_EraseRootFromParent_Done,
     /* 1379732 */   // Label 19610: @1379732
     /* 1379732 */   GIM_Try, /*On fail goto*//*Label 19611*/ GIMT_Encode4(1379816), // Rule ID 22323 //
     /* 1379737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1379754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1379760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1379775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M2_E64_MASK),
     /* 1379793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379815 */     // GIR_Coverage, 22323,
     /* 1379815 */     GIR_EraseRootFromParent_Done,
     /* 1379816 */   // Label 19611: @1379816
     /* 1379816 */   GIM_Try, /*On fail goto*//*Label 19612*/ GIMT_Encode4(1379900), // Rule ID 22326 //
     /* 1379821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1379838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1379847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1379874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1379877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379899 */     // GIR_Coverage, 22326,
     /* 1379899 */     GIR_EraseRootFromParent_Done,
     /* 1379900 */   // Label 19612: @1379900
     /* 1379900 */   GIM_Try, /*On fail goto*//*Label 19613*/ GIMT_Encode4(1379984), // Rule ID 22327 //
     /* 1379905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1379908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1379916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1379919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1379922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1379925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1379928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1379931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1379935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1379943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1379947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1379951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1379958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1379958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M4_E64_MASK),
     /* 1379961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1379963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1379965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1379967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1379969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1379971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1379976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1379979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1379982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1379983 */     // GIR_Coverage, 22327,
     /* 1379983 */     GIR_EraseRootFromParent_Done,
     /* 1379984 */   // Label 19613: @1379984
     /* 1379984 */   GIM_Try, /*On fail goto*//*Label 19614*/ GIMT_Encode4(1380068), // Rule ID 22330 //
     /* 1379989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1379992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1379997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1380006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1380045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380067 */     // GIR_Coverage, 22330,
     /* 1380067 */     GIR_EraseRootFromParent_Done,
     /* 1380068 */   // Label 19614: @1380068
     /* 1380068 */   GIM_Try, /*On fail goto*//*Label 19615*/ GIMT_Encode4(1380152), // Rule ID 22331 //
     /* 1380073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1380076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredxor_mask),
     /* 1380081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1380084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1380087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1380090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1380093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1380096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1380111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380126 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11512:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDXOR_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDXOR_VS_M8_E64_MASK),
     /* 1380129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1380147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380151 */     // GIR_Coverage, 22331,
     /* 1380151 */     GIR_EraseRootFromParent_Done,
     /* 1380152 */   // Label 19615: @1380152
     /* 1380152 */   GIM_Try, /*On fail goto*//*Label 19616*/ GIMT_Encode4(1380236), // Rule ID 22334 //
     /* 1380157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380210 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1380213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380235 */     // GIR_Coverage, 22334,
     /* 1380235 */     GIR_EraseRootFromParent_Done,
     /* 1380236 */   // Label 19616: @1380236
     /* 1380236 */   GIM_Try, /*On fail goto*//*Label 19617*/ GIMT_Encode4(1380320), // Rule ID 22335 //
     /* 1380241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1380258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF8_E8_MASK),
     /* 1380297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380319 */     // GIR_Coverage, 22335,
     /* 1380319 */     GIR_EraseRootFromParent_Done,
     /* 1380320 */   // Label 19617: @1380320
     /* 1380320 */   GIM_Try, /*On fail goto*//*Label 19618*/ GIMT_Encode4(1380404), // Rule ID 22338 //
     /* 1380325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380378 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1380381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380403 */     // GIR_Coverage, 22338,
     /* 1380403 */     GIR_EraseRootFromParent_Done,
     /* 1380404 */   // Label 19618: @1380404
     /* 1380404 */   GIM_Try, /*On fail goto*//*Label 19619*/ GIMT_Encode4(1380488), // Rule ID 22339 //
     /* 1380409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1380426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380462 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E8_MASK),
     /* 1380465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380487 */     // GIR_Coverage, 22339,
     /* 1380487 */     GIR_EraseRootFromParent_Done,
     /* 1380488 */   // Label 19619: @1380488
     /* 1380488 */   GIM_Try, /*On fail goto*//*Label 19620*/ GIMT_Encode4(1380572), // Rule ID 22342 //
     /* 1380493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380546 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1380549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380571 */     // GIR_Coverage, 22342,
     /* 1380571 */     GIR_EraseRootFromParent_Done,
     /* 1380572 */   // Label 19620: @1380572
     /* 1380572 */   GIM_Try, /*On fail goto*//*Label 19621*/ GIMT_Encode4(1380656), // Rule ID 22343 //
     /* 1380577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1380588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1380591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1380594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1380597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1380600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380630 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E8_MASK),
     /* 1380633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1380651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380655 */     // GIR_Coverage, 22343,
     /* 1380655 */     GIR_EraseRootFromParent_Done,
     /* 1380656 */   // Label 19621: @1380656
     /* 1380656 */   GIM_Try, /*On fail goto*//*Label 19622*/ GIMT_Encode4(1380740), // Rule ID 22346 //
     /* 1380661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1380717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380739 */     // GIR_Coverage, 22346,
     /* 1380739 */     GIR_EraseRootFromParent_Done,
     /* 1380740 */   // Label 19622: @1380740
     /* 1380740 */   GIM_Try, /*On fail goto*//*Label 19623*/ GIMT_Encode4(1380824), // Rule ID 22347 //
     /* 1380745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1380762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1380768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF4_E16_MASK),
     /* 1380801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380823 */     // GIR_Coverage, 22347,
     /* 1380823 */     GIR_EraseRootFromParent_Done,
     /* 1380824 */   // Label 19623: @1380824
     /* 1380824 */   GIM_Try, /*On fail goto*//*Label 19624*/ GIMT_Encode4(1380908), // Rule ID 22350 //
     /* 1380829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1380832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1380846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1380855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380882 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1380882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1380885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380907 */     // GIR_Coverage, 22350,
     /* 1380907 */     GIR_EraseRootFromParent_Done,
     /* 1380908 */   // Label 19624: @1380908
     /* 1380908 */   GIM_Try, /*On fail goto*//*Label 19625*/ GIMT_Encode4(1380992), // Rule ID 22351 //
     /* 1380913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1380916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1380921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1380924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1380927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1380930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1380933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1380936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1380939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1380943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1380955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1380959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1380966 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1380966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E16_MASK),
     /* 1380969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1380971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1380973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1380975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1380977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1380979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1380984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1380987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1380990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1380991 */     // GIR_Coverage, 22351,
     /* 1380991 */     GIR_EraseRootFromParent_Done,
     /* 1380992 */   // Label 19625: @1380992
     /* 1380992 */   GIM_Try, /*On fail goto*//*Label 19626*/ GIMT_Encode4(1381076), // Rule ID 22354 //
     /* 1380997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381050 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1381053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381075 */     // GIR_Coverage, 22354,
     /* 1381075 */     GIR_EraseRootFromParent_Done,
     /* 1381076 */   // Label 19626: @1381076
     /* 1381076 */   GIM_Try, /*On fail goto*//*Label 19627*/ GIMT_Encode4(1381160), // Rule ID 22355 //
     /* 1381081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1381098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_MF2_E32_MASK),
     /* 1381137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381159 */     // GIR_Coverage, 22355,
     /* 1381159 */     GIR_EraseRootFromParent_Done,
     /* 1381160 */   // Label 19627: @1381160
     /* 1381160 */   GIM_Try, /*On fail goto*//*Label 19628*/ GIMT_Encode4(1381244), // Rule ID 22358 //
     /* 1381165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381218 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1381221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381243 */     // GIR_Coverage, 22358,
     /* 1381243 */     GIR_EraseRootFromParent_Done,
     /* 1381244 */   // Label 19628: @1381244
     /* 1381244 */   GIM_Try, /*On fail goto*//*Label 19629*/ GIMT_Encode4(1381328), // Rule ID 22359 //
     /* 1381249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1381266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1381272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381302 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E8_MASK),
     /* 1381305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381327 */     // GIR_Coverage, 22359,
     /* 1381327 */     GIR_EraseRootFromParent_Done,
     /* 1381328 */   // Label 19629: @1381328
     /* 1381328 */   GIM_Try, /*On fail goto*//*Label 19630*/ GIMT_Encode4(1381412), // Rule ID 22362 //
     /* 1381333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1381389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381411 */     // GIR_Coverage, 22362,
     /* 1381411 */     GIR_EraseRootFromParent_Done,
     /* 1381412 */   // Label 19630: @1381412
     /* 1381412 */   GIM_Try, /*On fail goto*//*Label 19631*/ GIMT_Encode4(1381496), // Rule ID 22363 //
     /* 1381417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1381428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1381431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1381434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1381437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1381440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381470 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E16_MASK),
     /* 1381473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1381491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381495 */     // GIR_Coverage, 22363,
     /* 1381495 */     GIR_EraseRootFromParent_Done,
     /* 1381496 */   // Label 19631: @1381496
     /* 1381496 */   GIM_Try, /*On fail goto*//*Label 19632*/ GIMT_Encode4(1381580), // Rule ID 22366 //
     /* 1381501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1381557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381579 */     // GIR_Coverage, 22366,
     /* 1381579 */     GIR_EraseRootFromParent_Done,
     /* 1381580 */   // Label 19632: @1381580
     /* 1381580 */   GIM_Try, /*On fail goto*//*Label 19633*/ GIMT_Encode4(1381664), // Rule ID 22367 //
     /* 1381585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1381596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1381599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1381602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1381605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1381608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E32_MASK),
     /* 1381641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1381659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381663 */     // GIR_Coverage, 22367,
     /* 1381663 */     GIR_EraseRootFromParent_Done,
     /* 1381664 */   // Label 19633: @1381664
     /* 1381664 */   GIM_Try, /*On fail goto*//*Label 19634*/ GIMT_Encode4(1381748), // Rule ID 22370 //
     /* 1381669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1381672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1381725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381747 */     // GIR_Coverage, 22370,
     /* 1381747 */     GIR_EraseRootFromParent_Done,
     /* 1381748 */   // Label 19634: @1381748
     /* 1381748 */   GIM_Try, /*On fail goto*//*Label 19635*/ GIMT_Encode4(1381832), // Rule ID 22371 //
     /* 1381753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1381756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1381764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1381767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1381770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1381773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1381776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M1_E64_MASK),
     /* 1381809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1381827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381831 */     // GIR_Coverage, 22371,
     /* 1381831 */     GIR_EraseRootFromParent_Done,
     /* 1381832 */   // Label 19635: @1381832
     /* 1381832 */   GIM_Try, /*On fail goto*//*Label 19636*/ GIMT_Encode4(1381916), // Rule ID 22374 //
     /* 1381837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1381840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1381863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381890 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1381890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1381893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381915 */     // GIR_Coverage, 22374,
     /* 1381915 */     GIR_EraseRootFromParent_Done,
     /* 1381916 */   // Label 19636: @1381916
     /* 1381916 */   GIM_Try, /*On fail goto*//*Label 19637*/ GIMT_Encode4(1382000), // Rule ID 22375 //
     /* 1381921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1381924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1381929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1381932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1381935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1381938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1381941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1381944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1381947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1381951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1381959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1381963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1381967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1381974 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1381974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E8_MASK),
     /* 1381977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1381979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1381981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1381983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1381985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1381987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1381992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1381995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1381998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1381999 */     // GIR_Coverage, 22375,
     /* 1381999 */     GIR_EraseRootFromParent_Done,
     /* 1382000 */   // Label 19637: @1382000
     /* 1382000 */   GIM_Try, /*On fail goto*//*Label 19638*/ GIMT_Encode4(1382084), // Rule ID 22378 //
     /* 1382005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382058 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1382061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382083 */     // GIR_Coverage, 22378,
     /* 1382083 */     GIR_EraseRootFromParent_Done,
     /* 1382084 */   // Label 19638: @1382084
     /* 1382084 */   GIM_Try, /*On fail goto*//*Label 19639*/ GIMT_Encode4(1382168), // Rule ID 22379 //
     /* 1382089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1382106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382142 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E8_MASK),
     /* 1382145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382167 */     // GIR_Coverage, 22379,
     /* 1382167 */     GIR_EraseRootFromParent_Done,
     /* 1382168 */   // Label 19639: @1382168
     /* 1382168 */   GIM_Try, /*On fail goto*//*Label 19640*/ GIMT_Encode4(1382252), // Rule ID 22382 //
     /* 1382173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382226 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1382229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382251 */     // GIR_Coverage, 22382,
     /* 1382251 */     GIR_EraseRootFromParent_Done,
     /* 1382252 */   // Label 19640: @1382252
     /* 1382252 */   GIM_Try, /*On fail goto*//*Label 19641*/ GIMT_Encode4(1382336), // Rule ID 22383 //
     /* 1382257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1382268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1382271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1382274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1382277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1382280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382310 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11506:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E8_MASK),
     /* 1382313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1382331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382335 */     // GIR_Coverage, 22383,
     /* 1382335 */     GIR_EraseRootFromParent_Done,
     /* 1382336 */   // Label 19641: @1382336
     /* 1382336 */   GIM_Try, /*On fail goto*//*Label 19642*/ GIMT_Encode4(1382420), // Rule ID 22386 //
     /* 1382341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382394 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1382397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382419 */     // GIR_Coverage, 22386,
     /* 1382419 */     GIR_EraseRootFromParent_Done,
     /* 1382420 */   // Label 19642: @1382420
     /* 1382420 */   GIM_Try, /*On fail goto*//*Label 19643*/ GIMT_Encode4(1382504), // Rule ID 22387 //
     /* 1382425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1382442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1382448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E16_MASK),
     /* 1382481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382503 */     // GIR_Coverage, 22387,
     /* 1382503 */     GIR_EraseRootFromParent_Done,
     /* 1382504 */   // Label 19643: @1382504
     /* 1382504 */   GIM_Try, /*On fail goto*//*Label 19644*/ GIMT_Encode4(1382588), // Rule ID 22390 //
     /* 1382509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382562 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1382565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382587 */     // GIR_Coverage, 22390,
     /* 1382587 */     GIR_EraseRootFromParent_Done,
     /* 1382588 */   // Label 19644: @1382588
     /* 1382588 */   GIM_Try, /*On fail goto*//*Label 19645*/ GIMT_Encode4(1382672), // Rule ID 22391 //
     /* 1382593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1382610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1382616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1382631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382646 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E16_MASK),
     /* 1382649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382671 */     // GIR_Coverage, 22391,
     /* 1382671 */     GIR_EraseRootFromParent_Done,
     /* 1382672 */   // Label 19645: @1382672
     /* 1382672 */   GIM_Try, /*On fail goto*//*Label 19646*/ GIMT_Encode4(1382756), // Rule ID 22394 //
     /* 1382677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1382733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382755 */     // GIR_Coverage, 22394,
     /* 1382755 */     GIR_EraseRootFromParent_Done,
     /* 1382756 */   // Label 19646: @1382756
     /* 1382756 */   GIM_Try, /*On fail goto*//*Label 19647*/ GIMT_Encode4(1382840), // Rule ID 22395 //
     /* 1382761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1382772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1382775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1382778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1382781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1382784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1382799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382814 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11506:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E16_MASK),
     /* 1382817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1382835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382839 */     // GIR_Coverage, 22395,
     /* 1382839 */     GIR_EraseRootFromParent_Done,
     /* 1382840 */   // Label 19647: @1382840
     /* 1382840 */   GIM_Try, /*On fail goto*//*Label 19648*/ GIMT_Encode4(1382924), // Rule ID 22398 //
     /* 1382845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1382848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1382871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382898 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1382898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1382901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1382916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1382919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1382922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1382923 */     // GIR_Coverage, 22398,
     /* 1382923 */     GIR_EraseRootFromParent_Done,
     /* 1382924 */   // Label 19648: @1382924
     /* 1382924 */   GIM_Try, /*On fail goto*//*Label 19649*/ GIMT_Encode4(1383008), // Rule ID 22399 //
     /* 1382929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1382932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1382937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1382940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1382943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1382946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1382949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1382952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1382955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1382959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1382967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1382971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1382975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1382982 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1382982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E32_MASK),
     /* 1382985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1382987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1382989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1382991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1382993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1382995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383007 */     // GIR_Coverage, 22399,
     /* 1383007 */     GIR_EraseRootFromParent_Done,
     /* 1383008 */   // Label 19649: @1383008
     /* 1383008 */   GIM_Try, /*On fail goto*//*Label 19650*/ GIMT_Encode4(1383092), // Rule ID 22402 //
     /* 1383013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1383069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383091 */     // GIR_Coverage, 22402,
     /* 1383091 */     GIR_EraseRootFromParent_Done,
     /* 1383092 */   // Label 19650: @1383092
     /* 1383092 */   GIM_Try, /*On fail goto*//*Label 19651*/ GIMT_Encode4(1383176), // Rule ID 22403 //
     /* 1383097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1383114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E32_MASK),
     /* 1383153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383175 */     // GIR_Coverage, 22403,
     /* 1383175 */     GIR_EraseRootFromParent_Done,
     /* 1383176 */   // Label 19651: @1383176
     /* 1383176 */   GIM_Try, /*On fail goto*//*Label 19652*/ GIMT_Encode4(1383260), // Rule ID 22406 //
     /* 1383181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383234 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1383237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383259 */     // GIR_Coverage, 22406,
     /* 1383259 */     GIR_EraseRootFromParent_Done,
     /* 1383260 */   // Label 19652: @1383260
     /* 1383260 */   GIM_Try, /*On fail goto*//*Label 19653*/ GIMT_Encode4(1383344), // Rule ID 22407 //
     /* 1383265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1383276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1383279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1383282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1383285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1383288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383318 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11506:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E32_MASK),
     /* 1383321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1383339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383343 */     // GIR_Coverage, 22407,
     /* 1383343 */     GIR_EraseRootFromParent_Done,
     /* 1383344 */   // Label 19653: @1383344
     /* 1383344 */   GIM_Try, /*On fail goto*//*Label 19654*/ GIMT_Encode4(1383428), // Rule ID 22410 //
     /* 1383349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1383405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383427 */     // GIR_Coverage, 22410,
     /* 1383427 */     GIR_EraseRootFromParent_Done,
     /* 1383428 */   // Label 19654: @1383428
     /* 1383428 */   GIM_Try, /*On fail goto*//*Label 19655*/ GIMT_Encode4(1383512), // Rule ID 22411 //
     /* 1383433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1383450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1383456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1383471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383486 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M2_E64_MASK),
     /* 1383489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383511 */     // GIR_Coverage, 22411,
     /* 1383511 */     GIR_EraseRootFromParent_Done,
     /* 1383512 */   // Label 19655: @1383512
     /* 1383512 */   GIM_Try, /*On fail goto*//*Label 19656*/ GIMT_Encode4(1383596), // Rule ID 22414 //
     /* 1383517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1383573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383595 */     // GIR_Coverage, 22414,
     /* 1383595 */     GIR_EraseRootFromParent_Done,
     /* 1383596 */   // Label 19656: @1383596
     /* 1383596 */   GIM_Try, /*On fail goto*//*Label 19657*/ GIMT_Encode4(1383680), // Rule ID 22415 //
     /* 1383601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1383618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1383624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1383639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383654 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M4_E64_MASK),
     /* 1383657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383679 */     // GIR_Coverage, 22415,
     /* 1383679 */     GIR_EraseRootFromParent_Done,
     /* 1383680 */   // Label 19657: @1383680
     /* 1383680 */   GIM_Try, /*On fail goto*//*Label 19658*/ GIMT_Encode4(1383764), // Rule ID 22418 //
     /* 1383685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1383688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383738 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1383741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383763 */     // GIR_Coverage, 22418,
     /* 1383763 */     GIR_EraseRootFromParent_Done,
     /* 1383764 */   // Label 19658: @1383764
     /* 1383764 */   GIM_Try, /*On fail goto*//*Label 19659*/ GIMT_Encode4(1383848), // Rule ID 22419 //
     /* 1383769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1383772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredminu_mask),
     /* 1383777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1383780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1383783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1383786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1383789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1383792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1383807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11506:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMINU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMINU_VS_M8_E64_MASK),
     /* 1383825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1383843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383847 */     // GIR_Coverage, 22419,
     /* 1383847 */     GIR_EraseRootFromParent_Done,
     /* 1383848 */   // Label 19659: @1383848
     /* 1383848 */   GIM_Try, /*On fail goto*//*Label 19660*/ GIMT_Encode4(1383932), // Rule ID 22422 //
     /* 1383853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1383856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1383861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1383879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383906 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1383906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1383909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1383917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1383919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1383924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1383927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1383930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1383931 */     // GIR_Coverage, 22422,
     /* 1383931 */     GIR_EraseRootFromParent_Done,
     /* 1383932 */   // Label 19660: @1383932
     /* 1383932 */   GIM_Try, /*On fail goto*//*Label 19661*/ GIMT_Encode4(1384016), // Rule ID 22423 //
     /* 1383937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1383940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1383945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1383948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1383951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1383954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1383957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1383960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1383963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1383967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1383979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1383983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1383990 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1383990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF8_E8_MASK),
     /* 1383993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1383995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1383997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1383999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384015 */     // GIR_Coverage, 22423,
     /* 1384015 */     GIR_EraseRootFromParent_Done,
     /* 1384016 */   // Label 19661: @1384016
     /* 1384016 */   GIM_Try, /*On fail goto*//*Label 19662*/ GIMT_Encode4(1384100), // Rule ID 22426 //
     /* 1384021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1384077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384099 */     // GIR_Coverage, 22426,
     /* 1384099 */     GIR_EraseRootFromParent_Done,
     /* 1384100 */   // Label 19662: @1384100
     /* 1384100 */   GIM_Try, /*On fail goto*//*Label 19663*/ GIMT_Encode4(1384184), // Rule ID 22427 //
     /* 1384105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1384122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384158 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E8_MASK),
     /* 1384161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384183 */     // GIR_Coverage, 22427,
     /* 1384183 */     GIR_EraseRootFromParent_Done,
     /* 1384184 */   // Label 19663: @1384184
     /* 1384184 */   GIM_Try, /*On fail goto*//*Label 19664*/ GIMT_Encode4(1384268), // Rule ID 22430 //
     /* 1384189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384242 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1384245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384267 */     // GIR_Coverage, 22430,
     /* 1384267 */     GIR_EraseRootFromParent_Done,
     /* 1384268 */   // Label 19664: @1384268
     /* 1384268 */   GIM_Try, /*On fail goto*//*Label 19665*/ GIMT_Encode4(1384352), // Rule ID 22431 //
     /* 1384273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1384290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1384296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E8_MASK),
     /* 1384329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384351 */     // GIR_Coverage, 22431,
     /* 1384351 */     GIR_EraseRootFromParent_Done,
     /* 1384352 */   // Label 19665: @1384352
     /* 1384352 */   GIM_Try, /*On fail goto*//*Label 19666*/ GIMT_Encode4(1384436), // Rule ID 22434 //
     /* 1384357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1384413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384435 */     // GIR_Coverage, 22434,
     /* 1384435 */     GIR_EraseRootFromParent_Done,
     /* 1384436 */   // Label 19666: @1384436
     /* 1384436 */   GIM_Try, /*On fail goto*//*Label 19667*/ GIMT_Encode4(1384520), // Rule ID 22435 //
     /* 1384441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1384458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384494 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF4_E16_MASK),
     /* 1384497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384519 */     // GIR_Coverage, 22435,
     /* 1384519 */     GIR_EraseRootFromParent_Done,
     /* 1384520 */   // Label 19667: @1384520
     /* 1384520 */   GIM_Try, /*On fail goto*//*Label 19668*/ GIMT_Encode4(1384604), // Rule ID 22438 //
     /* 1384525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1384581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384603 */     // GIR_Coverage, 22438,
     /* 1384603 */     GIR_EraseRootFromParent_Done,
     /* 1384604 */   // Label 19668: @1384604
     /* 1384604 */   GIM_Try, /*On fail goto*//*Label 19669*/ GIMT_Encode4(1384688), // Rule ID 22439 //
     /* 1384609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1384620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1384623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1384626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1384629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1384632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384662 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E16_MASK),
     /* 1384665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1384683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384687 */     // GIR_Coverage, 22439,
     /* 1384687 */     GIR_EraseRootFromParent_Done,
     /* 1384688 */   // Label 19669: @1384688
     /* 1384688 */   GIM_Try, /*On fail goto*//*Label 19670*/ GIMT_Encode4(1384772), // Rule ID 22442 //
     /* 1384693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384746 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1384749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384771 */     // GIR_Coverage, 22442,
     /* 1384771 */     GIR_EraseRootFromParent_Done,
     /* 1384772 */   // Label 19670: @1384772
     /* 1384772 */   GIM_Try, /*On fail goto*//*Label 19671*/ GIMT_Encode4(1384856), // Rule ID 22443 //
     /* 1384777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1384788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1384791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1384794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1384797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1384800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384830 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_MF2_E32_MASK),
     /* 1384833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1384851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384855 */     // GIR_Coverage, 22443,
     /* 1384855 */     GIR_EraseRootFromParent_Done,
     /* 1384856 */   // Label 19671: @1384856
     /* 1384856 */   GIM_Try, /*On fail goto*//*Label 19672*/ GIMT_Encode4(1384940), // Rule ID 22446 //
     /* 1384861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1384864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1384887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1384914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1384917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1384919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1384921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1384923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1384925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1384927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1384932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1384935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1384938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1384939 */     // GIR_Coverage, 22446,
     /* 1384939 */     GIR_EraseRootFromParent_Done,
     /* 1384940 */   // Label 19672: @1384940
     /* 1384940 */   GIM_Try, /*On fail goto*//*Label 19673*/ GIMT_Encode4(1385024), // Rule ID 22447 //
     /* 1384945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1384948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1384953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1384956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1384959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1384962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1384965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1384968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1384971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1384975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1384987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1384991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1384998 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1384998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E8_MASK),
     /* 1385001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385023 */     // GIR_Coverage, 22447,
     /* 1385023 */     GIR_EraseRootFromParent_Done,
     /* 1385024 */   // Label 19673: @1385024
     /* 1385024 */   GIM_Try, /*On fail goto*//*Label 19674*/ GIMT_Encode4(1385108), // Rule ID 22450 //
     /* 1385029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1385085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385107 */     // GIR_Coverage, 22450,
     /* 1385107 */     GIR_EraseRootFromParent_Done,
     /* 1385108 */   // Label 19674: @1385108
     /* 1385108 */   GIM_Try, /*On fail goto*//*Label 19675*/ GIMT_Encode4(1385192), // Rule ID 22451 //
     /* 1385113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1385124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1385127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1385130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1385133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1385136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385166 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E16_MASK),
     /* 1385169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1385187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385191 */     // GIR_Coverage, 22451,
     /* 1385191 */     GIR_EraseRootFromParent_Done,
     /* 1385192 */   // Label 19675: @1385192
     /* 1385192 */   GIM_Try, /*On fail goto*//*Label 19676*/ GIMT_Encode4(1385276), // Rule ID 22454 //
     /* 1385197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385250 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1385253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385275 */     // GIR_Coverage, 22454,
     /* 1385275 */     GIR_EraseRootFromParent_Done,
     /* 1385276 */   // Label 19676: @1385276
     /* 1385276 */   GIM_Try, /*On fail goto*//*Label 19677*/ GIMT_Encode4(1385360), // Rule ID 22455 //
     /* 1385281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1385292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1385295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1385298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1385301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1385304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E32_MASK),
     /* 1385337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1385355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385359 */     // GIR_Coverage, 22455,
     /* 1385359 */     GIR_EraseRootFromParent_Done,
     /* 1385360 */   // Label 19677: @1385360
     /* 1385360 */   GIM_Try, /*On fail goto*//*Label 19678*/ GIMT_Encode4(1385444), // Rule ID 22458 //
     /* 1385365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1385368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1385382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1385421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385443 */     // GIR_Coverage, 22458,
     /* 1385443 */     GIR_EraseRootFromParent_Done,
     /* 1385444 */   // Label 19678: @1385444
     /* 1385444 */   GIM_Try, /*On fail goto*//*Label 19679*/ GIMT_Encode4(1385528), // Rule ID 22459 //
     /* 1385449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1385452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1385460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1385463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1385466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1385469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1385472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385502 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M1_E64_MASK),
     /* 1385505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1385523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385527 */     // GIR_Coverage, 22459,
     /* 1385527 */     GIR_EraseRootFromParent_Done,
     /* 1385528 */   // Label 19679: @1385528
     /* 1385528 */   GIM_Try, /*On fail goto*//*Label 19680*/ GIMT_Encode4(1385612), // Rule ID 22462 //
     /* 1385533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1385589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385611 */     // GIR_Coverage, 22462,
     /* 1385611 */     GIR_EraseRootFromParent_Done,
     /* 1385612 */   // Label 19680: @1385612
     /* 1385612 */   GIM_Try, /*On fail goto*//*Label 19681*/ GIMT_Encode4(1385696), // Rule ID 22463 //
     /* 1385617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1385634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1385640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1385655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385670 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E8_MASK),
     /* 1385673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385695 */     // GIR_Coverage, 22463,
     /* 1385695 */     GIR_EraseRootFromParent_Done,
     /* 1385696 */   // Label 19681: @1385696
     /* 1385696 */   GIM_Try, /*On fail goto*//*Label 19682*/ GIMT_Encode4(1385780), // Rule ID 22466 //
     /* 1385701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385754 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1385757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385778 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385779 */     // GIR_Coverage, 22466,
     /* 1385779 */     GIR_EraseRootFromParent_Done,
     /* 1385780 */   // Label 19682: @1385780
     /* 1385780 */   GIM_Try, /*On fail goto*//*Label 19683*/ GIMT_Encode4(1385864), // Rule ID 22467 //
     /* 1385785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1385802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1385808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1385823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385838 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1385838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E8_MASK),
     /* 1385841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385863 */     // GIR_Coverage, 22467,
     /* 1385863 */     GIR_EraseRootFromParent_Done,
     /* 1385864 */   // Label 19683: @1385864
     /* 1385864 */   GIM_Try, /*On fail goto*//*Label 19684*/ GIMT_Encode4(1385948), // Rule ID 22470 //
     /* 1385869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1385872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1385895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1385922 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1385922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1385925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1385927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1385929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1385931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1385933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1385935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1385940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1385943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1385946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1385947 */     // GIR_Coverage, 22470,
     /* 1385947 */     GIR_EraseRootFromParent_Done,
     /* 1385948 */   // Label 19684: @1385948
     /* 1385948 */   GIM_Try, /*On fail goto*//*Label 19685*/ GIMT_Encode4(1386032), // Rule ID 22471 //
     /* 1385953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1385956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1385961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1385964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1385967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1385970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1385973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1385976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1385979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1385983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1385991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1385995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1385999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386006 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11504:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E8_MASK),
     /* 1386009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1386027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386030 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386031 */     // GIR_Coverage, 22471,
     /* 1386031 */     GIR_EraseRootFromParent_Done,
     /* 1386032 */   // Label 19685: @1386032
     /* 1386032 */   GIM_Try, /*On fail goto*//*Label 19686*/ GIMT_Encode4(1386116), // Rule ID 22474 //
     /* 1386037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1386054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386090 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1386093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386115 */     // GIR_Coverage, 22474,
     /* 1386115 */     GIR_EraseRootFromParent_Done,
     /* 1386116 */   // Label 19686: @1386116
     /* 1386116 */   GIM_Try, /*On fail goto*//*Label 19687*/ GIMT_Encode4(1386200), // Rule ID 22475 //
     /* 1386121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1386138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386174 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E16_MASK),
     /* 1386177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386198 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386199 */     // GIR_Coverage, 22475,
     /* 1386199 */     GIR_EraseRootFromParent_Done,
     /* 1386200 */   // Label 19687: @1386200
     /* 1386200 */   GIM_Try, /*On fail goto*//*Label 19688*/ GIMT_Encode4(1386284), // Rule ID 22478 //
     /* 1386205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1386222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386258 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1386261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386283 */     // GIR_Coverage, 22478,
     /* 1386283 */     GIR_EraseRootFromParent_Done,
     /* 1386284 */   // Label 19688: @1386284
     /* 1386284 */   GIM_Try, /*On fail goto*//*Label 19689*/ GIMT_Encode4(1386368), // Rule ID 22479 //
     /* 1386289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1386306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386342 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E16_MASK),
     /* 1386345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386367 */     // GIR_Coverage, 22479,
     /* 1386367 */     GIR_EraseRootFromParent_Done,
     /* 1386368 */   // Label 19689: @1386368
     /* 1386368 */   GIM_Try, /*On fail goto*//*Label 19690*/ GIMT_Encode4(1386452), // Rule ID 22482 //
     /* 1386373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386426 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1386429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386450 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386451 */     // GIR_Coverage, 22482,
     /* 1386451 */     GIR_EraseRootFromParent_Done,
     /* 1386452 */   // Label 19690: @1386452
     /* 1386452 */   GIM_Try, /*On fail goto*//*Label 19691*/ GIMT_Encode4(1386536), // Rule ID 22483 //
     /* 1386457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1386468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1386471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1386474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1386477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1386480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386510 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11504:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E16_MASK),
     /* 1386513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1386531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386535 */     // GIR_Coverage, 22483,
     /* 1386535 */     GIR_EraseRootFromParent_Done,
     /* 1386536 */   // Label 19691: @1386536
     /* 1386536 */   GIM_Try, /*On fail goto*//*Label 19692*/ GIMT_Encode4(1386620), // Rule ID 22486 //
     /* 1386541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1386597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386619 */     // GIR_Coverage, 22486,
     /* 1386619 */     GIR_EraseRootFromParent_Done,
     /* 1386620 */   // Label 19692: @1386620
     /* 1386620 */   GIM_Try, /*On fail goto*//*Label 19693*/ GIMT_Encode4(1386704), // Rule ID 22487 //
     /* 1386625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1386642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1386648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1386663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386678 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E32_MASK),
     /* 1386681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386702 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386703 */     // GIR_Coverage, 22487,
     /* 1386703 */     GIR_EraseRootFromParent_Done,
     /* 1386704 */   // Label 19693: @1386704
     /* 1386704 */   GIM_Try, /*On fail goto*//*Label 19694*/ GIMT_Encode4(1386788), // Rule ID 22490 //
     /* 1386709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386762 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1386765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386787 */     // GIR_Coverage, 22490,
     /* 1386787 */     GIR_EraseRootFromParent_Done,
     /* 1386788 */   // Label 19694: @1386788
     /* 1386788 */   GIM_Try, /*On fail goto*//*Label 19695*/ GIMT_Encode4(1386872), // Rule ID 22491 //
     /* 1386793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1386810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1386816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1386831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386846 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1386846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E32_MASK),
     /* 1386849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386870 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386871 */     // GIR_Coverage, 22491,
     /* 1386871 */     GIR_EraseRootFromParent_Done,
     /* 1386872 */   // Label 19695: @1386872
     /* 1386872 */   GIM_Try, /*On fail goto*//*Label 19696*/ GIMT_Encode4(1386956), // Rule ID 22494 //
     /* 1386877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1386880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1386903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1386923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1386930 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1386930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1386933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1386935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1386937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1386939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1386941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1386943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1386948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1386951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1386954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1386955 */     // GIR_Coverage, 22494,
     /* 1386955 */     GIR_EraseRootFromParent_Done,
     /* 1386956 */   // Label 19696: @1386956
     /* 1386956 */   GIM_Try, /*On fail goto*//*Label 19697*/ GIMT_Encode4(1387040), // Rule ID 22495 //
     /* 1386961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1386964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1386969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1386972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1386975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1386978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1386981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1386984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1386987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1386991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1386995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1386999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11504:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E32_MASK),
     /* 1387017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1387035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387039 */     // GIR_Coverage, 22495,
     /* 1387039 */     GIR_EraseRootFromParent_Done,
     /* 1387040 */   // Label 19697: @1387040
     /* 1387040 */   GIM_Try, /*On fail goto*//*Label 19698*/ GIMT_Encode4(1387124), // Rule ID 22498 //
     /* 1387045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1387048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1387053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1387062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1387101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387123 */     // GIR_Coverage, 22498,
     /* 1387123 */     GIR_EraseRootFromParent_Done,
     /* 1387124 */   // Label 19698: @1387124
     /* 1387124 */   GIM_Try, /*On fail goto*//*Label 19699*/ GIMT_Encode4(1387208), // Rule ID 22499 //
     /* 1387129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1387132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1387137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1387146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1387167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M2_E64_MASK),
     /* 1387185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387207 */     // GIR_Coverage, 22499,
     /* 1387207 */     GIR_EraseRootFromParent_Done,
     /* 1387208 */   // Label 19699: @1387208
     /* 1387208 */   GIM_Try, /*On fail goto*//*Label 19700*/ GIMT_Encode4(1387292), // Rule ID 22502 //
     /* 1387213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1387216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1387221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1387230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1387269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387291 */     // GIR_Coverage, 22502,
     /* 1387291 */     GIR_EraseRootFromParent_Done,
     /* 1387292 */   // Label 19700: @1387292
     /* 1387292 */   GIM_Try, /*On fail goto*//*Label 19701*/ GIMT_Encode4(1387376), // Rule ID 22503 //
     /* 1387297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1387300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1387305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1387314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1387335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387350 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M4_E64_MASK),
     /* 1387353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387375 */     // GIR_Coverage, 22503,
     /* 1387375 */     GIR_EraseRootFromParent_Done,
     /* 1387376 */   // Label 19701: @1387376
     /* 1387376 */   GIM_Try, /*On fail goto*//*Label 19702*/ GIMT_Encode4(1387460), // Rule ID 22506 //
     /* 1387381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1387384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1387389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1387398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387434 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1387437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387459 */     // GIR_Coverage, 22506,
     /* 1387459 */     GIR_EraseRootFromParent_Done,
     /* 1387460 */   // Label 19702: @1387460
     /* 1387460 */   GIM_Try, /*On fail goto*//*Label 19703*/ GIMT_Encode4(1387544), // Rule ID 22507 //
     /* 1387465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1387468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmin_mask),
     /* 1387473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1387476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1387479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1387482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1387485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1387488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1387503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387518 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11504:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMIN_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMIN_VS_M8_E64_MASK),
     /* 1387521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1387539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387543 */     // GIR_Coverage, 22507,
     /* 1387543 */     GIR_EraseRootFromParent_Done,
     /* 1387544 */   // Label 19703: @1387544
     /* 1387544 */   GIM_Try, /*On fail goto*//*Label 19704*/ GIMT_Encode4(1387628), // Rule ID 22510 //
     /* 1387549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1387557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1387566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387602 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1387605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387626 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387627 */     // GIR_Coverage, 22510,
     /* 1387627 */     GIR_EraseRootFromParent_Done,
     /* 1387628 */   // Label 19704: @1387628
     /* 1387628 */   GIM_Try, /*On fail goto*//*Label 19705*/ GIMT_Encode4(1387712), // Rule ID 22511 //
     /* 1387633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1387641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1387650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1387656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387686 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF8_E8_MASK),
     /* 1387689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387711 */     // GIR_Coverage, 22511,
     /* 1387711 */     GIR_EraseRootFromParent_Done,
     /* 1387712 */   // Label 19705: @1387712
     /* 1387712 */   GIM_Try, /*On fail goto*//*Label 19706*/ GIMT_Encode4(1387796), // Rule ID 22514 //
     /* 1387717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1387725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1387734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1387773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387794 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387795 */     // GIR_Coverage, 22514,
     /* 1387795 */     GIR_EraseRootFromParent_Done,
     /* 1387796 */   // Label 19706: @1387796
     /* 1387796 */   GIM_Try, /*On fail goto*//*Label 19707*/ GIMT_Encode4(1387880), // Rule ID 22515 //
     /* 1387801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1387809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1387818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1387824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387854 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1387854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E8_MASK),
     /* 1387857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387879 */     // GIR_Coverage, 22515,
     /* 1387879 */     GIR_EraseRootFromParent_Done,
     /* 1387880 */   // Label 19707: @1387880
     /* 1387880 */   GIM_Try, /*On fail goto*//*Label 19708*/ GIMT_Encode4(1387964), // Rule ID 22518 //
     /* 1387885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1387888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1387893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1387911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1387927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1387931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1387938 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1387938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1387941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1387943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1387945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1387947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1387949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1387951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1387956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1387959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1387962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1387963 */     // GIR_Coverage, 22518,
     /* 1387963 */     GIR_EraseRootFromParent_Done,
     /* 1387964 */   // Label 19708: @1387964
     /* 1387964 */   GIM_Try, /*On fail goto*//*Label 19709*/ GIMT_Encode4(1388048), // Rule ID 22519 //
     /* 1387969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1387972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1387977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1387980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1387983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1387986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1387989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1387992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1387995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1387999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388022 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E8_MASK),
     /* 1388025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388046 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388047 */     // GIR_Coverage, 22519,
     /* 1388047 */     GIR_EraseRootFromParent_Done,
     /* 1388048 */   // Label 19709: @1388048
     /* 1388048 */   GIM_Try, /*On fail goto*//*Label 19710*/ GIMT_Encode4(1388132), // Rule ID 22522 //
     /* 1388053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1388070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1388109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388131 */     // GIR_Coverage, 22522,
     /* 1388131 */     GIR_EraseRootFromParent_Done,
     /* 1388132 */   // Label 19710: @1388132
     /* 1388132 */   GIM_Try, /*On fail goto*//*Label 19711*/ GIMT_Encode4(1388216), // Rule ID 22523 //
     /* 1388137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1388154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF4_E16_MASK),
     /* 1388193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388215 */     // GIR_Coverage, 22523,
     /* 1388215 */     GIR_EraseRootFromParent_Done,
     /* 1388216 */   // Label 19711: @1388216
     /* 1388216 */   GIM_Try, /*On fail goto*//*Label 19712*/ GIMT_Encode4(1388300), // Rule ID 22526 //
     /* 1388221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1388238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1388277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388298 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388299 */     // GIR_Coverage, 22526,
     /* 1388299 */     GIR_EraseRootFromParent_Done,
     /* 1388300 */   // Label 19712: @1388300
     /* 1388300 */   GIM_Try, /*On fail goto*//*Label 19713*/ GIMT_Encode4(1388384), // Rule ID 22527 //
     /* 1388305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1388322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388358 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E16_MASK),
     /* 1388361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388383 */     // GIR_Coverage, 22527,
     /* 1388383 */     GIR_EraseRootFromParent_Done,
     /* 1388384 */   // Label 19713: @1388384
     /* 1388384 */   GIM_Try, /*On fail goto*//*Label 19714*/ GIMT_Encode4(1388468), // Rule ID 22530 //
     /* 1388389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1388406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1388445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388466 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388467 */     // GIR_Coverage, 22530,
     /* 1388467 */     GIR_EraseRootFromParent_Done,
     /* 1388468 */   // Label 19714: @1388468
     /* 1388468 */   GIM_Try, /*On fail goto*//*Label 19715*/ GIMT_Encode4(1388552), // Rule ID 22531 //
     /* 1388473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1388490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1388496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_MF2_E32_MASK),
     /* 1388529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388551 */     // GIR_Coverage, 22531,
     /* 1388551 */     GIR_EraseRootFromParent_Done,
     /* 1388552 */   // Label 19715: @1388552
     /* 1388552 */   GIM_Try, /*On fail goto*//*Label 19716*/ GIMT_Encode4(1388636), // Rule ID 22534 //
     /* 1388557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1388574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388610 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1388613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388635 */     // GIR_Coverage, 22534,
     /* 1388635 */     GIR_EraseRootFromParent_Done,
     /* 1388636 */   // Label 19716: @1388636
     /* 1388636 */   GIM_Try, /*On fail goto*//*Label 19717*/ GIMT_Encode4(1388720), // Rule ID 22535 //
     /* 1388641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1388652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1388655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1388658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1388661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1388664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E8_MASK),
     /* 1388697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1388715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388718 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388719 */     // GIR_Coverage, 22535,
     /* 1388719 */     GIR_EraseRootFromParent_Done,
     /* 1388720 */   // Label 19717: @1388720
     /* 1388720 */   GIM_Try, /*On fail goto*//*Label 19718*/ GIMT_Encode4(1388804), // Rule ID 22538 //
     /* 1388725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388778 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1388781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388803 */     // GIR_Coverage, 22538,
     /* 1388803 */     GIR_EraseRootFromParent_Done,
     /* 1388804 */   // Label 19718: @1388804
     /* 1388804 */   GIM_Try, /*On fail goto*//*Label 19719*/ GIMT_Encode4(1388888), // Rule ID 22539 //
     /* 1388809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1388820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1388823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1388826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1388829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1388832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1388835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388862 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1388862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E16_MASK),
     /* 1388865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1388883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388887 */     // GIR_Coverage, 22539,
     /* 1388887 */     GIR_EraseRootFromParent_Done,
     /* 1388888 */   // Label 19719: @1388888
     /* 1388888 */   GIM_Try, /*On fail goto*//*Label 19720*/ GIMT_Encode4(1388972), // Rule ID 22542 //
     /* 1388893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1388896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1388916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1388919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1388923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1388935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1388939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1388946 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1388946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1388949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1388951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1388953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1388955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1388957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1388959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1388964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1388967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1388970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1388971 */     // GIR_Coverage, 22542,
     /* 1388971 */     GIR_EraseRootFromParent_Done,
     /* 1388972 */   // Label 19720: @1388972
     /* 1388972 */   GIM_Try, /*On fail goto*//*Label 19721*/ GIMT_Encode4(1389056), // Rule ID 22543 //
     /* 1388977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1388980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1388985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1388988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1388991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1388994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1388997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1389000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389030 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E32_MASK),
     /* 1389033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1389051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389055 */     // GIR_Coverage, 22543,
     /* 1389055 */     GIR_EraseRootFromParent_Done,
     /* 1389056 */   // Label 19721: @1389056
     /* 1389056 */   GIM_Try, /*On fail goto*//*Label 19722*/ GIMT_Encode4(1389140), // Rule ID 22546 //
     /* 1389061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1389064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1389078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389114 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1389117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1389135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389139 */     // GIR_Coverage, 22546,
     /* 1389139 */     GIR_EraseRootFromParent_Done,
     /* 1389140 */   // Label 19722: @1389140
     /* 1389140 */   GIM_Try, /*On fail goto*//*Label 19723*/ GIMT_Encode4(1389224), // Rule ID 22547 //
     /* 1389145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1389148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1389156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1389159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1389162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1389165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1389168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M1_E64_MASK),
     /* 1389201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1389219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389223 */     // GIR_Coverage, 22547,
     /* 1389223 */     GIR_EraseRootFromParent_Done,
     /* 1389224 */   // Label 19723: @1389224
     /* 1389224 */   GIM_Try, /*On fail goto*//*Label 19724*/ GIMT_Encode4(1389308), // Rule ID 22550 //
     /* 1389229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1389246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389282 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1389285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389307 */     // GIR_Coverage, 22550,
     /* 1389307 */     GIR_EraseRootFromParent_Done,
     /* 1389308 */   // Label 19724: @1389308
     /* 1389308 */   GIM_Try, /*On fail goto*//*Label 19725*/ GIMT_Encode4(1389392), // Rule ID 22551 //
     /* 1389313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1389330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389366 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E8_MASK),
     /* 1389369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389391 */     // GIR_Coverage, 22551,
     /* 1389391 */     GIR_EraseRootFromParent_Done,
     /* 1389392 */   // Label 19725: @1389392
     /* 1389392 */   GIM_Try, /*On fail goto*//*Label 19726*/ GIMT_Encode4(1389476), // Rule ID 22554 //
     /* 1389397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1389414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1389453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389475 */     // GIR_Coverage, 22554,
     /* 1389475 */     GIR_EraseRootFromParent_Done,
     /* 1389476 */   // Label 19726: @1389476
     /* 1389476 */   GIM_Try, /*On fail goto*//*Label 19727*/ GIMT_Encode4(1389560), // Rule ID 22555 //
     /* 1389481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1389498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1389504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E8_MASK),
     /* 1389537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389559 */     // GIR_Coverage, 22555,
     /* 1389559 */     GIR_EraseRootFromParent_Done,
     /* 1389560 */   // Label 19727: @1389560
     /* 1389560 */   GIM_Try, /*On fail goto*//*Label 19728*/ GIMT_Encode4(1389644), // Rule ID 22558 //
     /* 1389565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1389582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1389588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389618 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1389621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389643 */     // GIR_Coverage, 22558,
     /* 1389643 */     GIR_EraseRootFromParent_Done,
     /* 1389644 */   // Label 19728: @1389644
     /* 1389644 */   GIM_Try, /*On fail goto*//*Label 19729*/ GIMT_Encode4(1389728), // Rule ID 22559 //
     /* 1389649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1389660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1389663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1389666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1389669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1389672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1389687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389702 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11502:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E8_MASK),
     /* 1389705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1389723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389727 */     // GIR_Coverage, 22559,
     /* 1389727 */     GIR_EraseRootFromParent_Done,
     /* 1389728 */   // Label 19729: @1389728
     /* 1389728 */   GIM_Try, /*On fail goto*//*Label 19730*/ GIMT_Encode4(1389812), // Rule ID 22562 //
     /* 1389733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1389789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389811 */     // GIR_Coverage, 22562,
     /* 1389811 */     GIR_EraseRootFromParent_Done,
     /* 1389812 */   // Label 19730: @1389812
     /* 1389812 */   GIM_Try, /*On fail goto*//*Label 19731*/ GIMT_Encode4(1389896), // Rule ID 22563 //
     /* 1389817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1389834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1389840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1389843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1389855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1389870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E16_MASK),
     /* 1389873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389895 */     // GIR_Coverage, 22563,
     /* 1389895 */     GIR_EraseRootFromParent_Done,
     /* 1389896 */   // Label 19731: @1389896
     /* 1389896 */   GIM_Try, /*On fail goto*//*Label 19732*/ GIMT_Encode4(1389980), // Rule ID 22566 //
     /* 1389901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1389904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1389918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1389921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1389924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1389927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1389931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1389939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1389943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1389947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1389954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1389954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1389957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1389959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1389961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1389963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1389965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1389967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1389972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1389975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1389978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1389979 */     // GIR_Coverage, 22566,
     /* 1389979 */     GIR_EraseRootFromParent_Done,
     /* 1389980 */   // Label 19732: @1389980
     /* 1389980 */   GIM_Try, /*On fail goto*//*Label 19733*/ GIMT_Encode4(1390064), // Rule ID 22567 //
     /* 1389985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1389988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1389993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1389996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1389999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1390002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390038 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E16_MASK),
     /* 1390041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390062 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390063 */     // GIR_Coverage, 22567,
     /* 1390063 */     GIR_EraseRootFromParent_Done,
     /* 1390064 */   // Label 19733: @1390064
     /* 1390064 */   GIM_Try, /*On fail goto*//*Label 19734*/ GIMT_Encode4(1390148), // Rule ID 22570 //
     /* 1390069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1390086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1390092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390122 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1390125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390147 */     // GIR_Coverage, 22570,
     /* 1390147 */     GIR_EraseRootFromParent_Done,
     /* 1390148 */   // Label 19734: @1390148
     /* 1390148 */   GIM_Try, /*On fail goto*//*Label 19735*/ GIMT_Encode4(1390232), // Rule ID 22571 //
     /* 1390153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1390164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1390167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1390170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1390173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1390176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11502:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E16_MASK),
     /* 1390209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1390227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390231 */     // GIR_Coverage, 22571,
     /* 1390231 */     GIR_EraseRootFromParent_Done,
     /* 1390232 */   // Label 19735: @1390232
     /* 1390232 */   GIM_Try, /*On fail goto*//*Label 19736*/ GIMT_Encode4(1390316), // Rule ID 22574 //
     /* 1390237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1390254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390290 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1390293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390314 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390315 */     // GIR_Coverage, 22574,
     /* 1390315 */     GIR_EraseRootFromParent_Done,
     /* 1390316 */   // Label 19736: @1390316
     /* 1390316 */   GIM_Try, /*On fail goto*//*Label 19737*/ GIMT_Encode4(1390400), // Rule ID 22575 //
     /* 1390321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1390338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E32_MASK),
     /* 1390377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390399 */     // GIR_Coverage, 22575,
     /* 1390399 */     GIR_EraseRootFromParent_Done,
     /* 1390400 */   // Label 19737: @1390400
     /* 1390400 */   GIM_Try, /*On fail goto*//*Label 19738*/ GIMT_Encode4(1390484), // Rule ID 22578 //
     /* 1390405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1390422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1390461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390482 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390483 */     // GIR_Coverage, 22578,
     /* 1390483 */     GIR_EraseRootFromParent_Done,
     /* 1390484 */   // Label 19738: @1390484
     /* 1390484 */   GIM_Try, /*On fail goto*//*Label 19739*/ GIMT_Encode4(1390568), // Rule ID 22579 //
     /* 1390489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1390506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1390512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390542 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E32_MASK),
     /* 1390545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390566 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390567 */     // GIR_Coverage, 22579,
     /* 1390567 */     GIR_EraseRootFromParent_Done,
     /* 1390568 */   // Label 19739: @1390568
     /* 1390568 */   GIM_Try, /*On fail goto*//*Label 19740*/ GIMT_Encode4(1390652), // Rule ID 22582 //
     /* 1390573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1390576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1390590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390626 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1390629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390651 */     // GIR_Coverage, 22582,
     /* 1390651 */     GIR_EraseRootFromParent_Done,
     /* 1390652 */   // Label 19740: @1390652
     /* 1390652 */   GIM_Try, /*On fail goto*//*Label 19741*/ GIMT_Encode4(1390736), // Rule ID 22583 //
     /* 1390657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1390660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1390668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1390671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1390674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1390677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1390680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1390695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390710 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11502:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E32_MASK),
     /* 1390713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1390731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390734 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390735 */     // GIR_Coverage, 22583,
     /* 1390735 */     GIR_EraseRootFromParent_Done,
     /* 1390736 */   // Label 19741: @1390736
     /* 1390736 */   GIM_Try, /*On fail goto*//*Label 19742*/ GIMT_Encode4(1390820), // Rule ID 22586 //
     /* 1390741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1390744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1390758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390794 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1390797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390819 */     // GIR_Coverage, 22586,
     /* 1390819 */     GIR_EraseRootFromParent_Done,
     /* 1390820 */   // Label 19742: @1390820
     /* 1390820 */   GIM_Try, /*On fail goto*//*Label 19743*/ GIMT_Encode4(1390904), // Rule ID 22587 //
     /* 1390825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1390828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1390842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1390848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1390851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1390863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390878 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1390878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M2_E64_MASK),
     /* 1390881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390903 */     // GIR_Coverage, 22587,
     /* 1390903 */     GIR_EraseRootFromParent_Done,
     /* 1390904 */   // Label 19743: @1390904
     /* 1390904 */   GIM_Try, /*On fail goto*//*Label 19744*/ GIMT_Encode4(1390988), // Rule ID 22590 //
     /* 1390909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1390912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1390917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1390920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1390923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1390926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1390929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1390932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1390935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1390939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1390947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1390951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1390955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1390962 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1390962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1390965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1390967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1390969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1390971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1390973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1390975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1390980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1390983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1390986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1390987 */     // GIR_Coverage, 22590,
     /* 1390987 */     GIR_EraseRootFromParent_Done,
     /* 1390988 */   // Label 19744: @1390988
     /* 1390988 */   GIM_Try, /*On fail goto*//*Label 19745*/ GIMT_Encode4(1391072), // Rule ID 22591 //
     /* 1390993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1390996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1391001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1391010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1391031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391046 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M4_E64_MASK),
     /* 1391049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391071 */     // GIR_Coverage, 22591,
     /* 1391071 */     GIR_EraseRootFromParent_Done,
     /* 1391072 */   // Label 19745: @1391072
     /* 1391072 */   GIM_Try, /*On fail goto*//*Label 19746*/ GIMT_Encode4(1391156), // Rule ID 22594 //
     /* 1391077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1391080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1391085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1391094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1391133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391155 */     // GIR_Coverage, 22594,
     /* 1391155 */     GIR_EraseRootFromParent_Done,
     /* 1391156 */   // Label 19746: @1391156
     /* 1391156 */   GIM_Try, /*On fail goto*//*Label 19747*/ GIMT_Encode4(1391240), // Rule ID 22595 //
     /* 1391161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1391164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmaxu_mask),
     /* 1391169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1391172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1391175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1391178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1391181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1391184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1391199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391214 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11502:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAXU_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAXU_VS_M8_E64_MASK),
     /* 1391217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1391235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391239 */     // GIR_Coverage, 22595,
     /* 1391239 */     GIR_EraseRootFromParent_Done,
     /* 1391240 */   // Label 19747: @1391240
     /* 1391240 */   GIM_Try, /*On fail goto*//*Label 19748*/ GIMT_Encode4(1391324), // Rule ID 22598 //
     /* 1391245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1391256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1391259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1391262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1391265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391298 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1391301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391323 */     // GIR_Coverage, 22598,
     /* 1391323 */     GIR_EraseRootFromParent_Done,
     /* 1391324 */   // Label 19748: @1391324
     /* 1391324 */   GIM_Try, /*On fail goto*//*Label 19749*/ GIMT_Encode4(1391408), // Rule ID 22599 //
     /* 1391329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1391340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1391343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1391346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1391349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391382 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF8_E8_MASK),
     /* 1391385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391407 */     // GIR_Coverage, 22599,
     /* 1391407 */     GIR_EraseRootFromParent_Done,
     /* 1391408 */   // Label 19749: @1391408
     /* 1391408 */   GIM_Try, /*On fail goto*//*Label 19750*/ GIMT_Encode4(1391492), // Rule ID 22602 //
     /* 1391413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1391424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1391427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1391430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1391433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391466 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1391469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391491 */     // GIR_Coverage, 22602,
     /* 1391491 */     GIR_EraseRootFromParent_Done,
     /* 1391492 */   // Label 19750: @1391492
     /* 1391492 */   GIM_Try, /*On fail goto*//*Label 19751*/ GIMT_Encode4(1391576), // Rule ID 22603 //
     /* 1391497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1391508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1391511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1391514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1391517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E8_MASK),
     /* 1391553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391575 */     // GIR_Coverage, 22603,
     /* 1391575 */     GIR_EraseRootFromParent_Done,
     /* 1391576 */   // Label 19751: @1391576
     /* 1391576 */   GIM_Try, /*On fail goto*//*Label 19752*/ GIMT_Encode4(1391660), // Rule ID 22606 //
     /* 1391581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1391592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1391595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1391598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1391601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391634 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1391637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391658 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391659 */     // GIR_Coverage, 22606,
     /* 1391659 */     GIR_EraseRootFromParent_Done,
     /* 1391660 */   // Label 19752: @1391660
     /* 1391660 */   GIM_Try, /*On fail goto*//*Label 19753*/ GIMT_Encode4(1391744), // Rule ID 22607 //
     /* 1391665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1391676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1391679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1391682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1391685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1391688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391718 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E8_MASK),
     /* 1391721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1391739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391743 */     // GIR_Coverage, 22607,
     /* 1391743 */     GIR_EraseRootFromParent_Done,
     /* 1391744 */   // Label 19753: @1391744
     /* 1391744 */   GIM_Try, /*On fail goto*//*Label 19754*/ GIMT_Encode4(1391828), // Rule ID 22610 //
     /* 1391749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1391766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391802 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1391805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391827 */     // GIR_Coverage, 22610,
     /* 1391827 */     GIR_EraseRootFromParent_Done,
     /* 1391828 */   // Label 19754: @1391828
     /* 1391828 */   GIM_Try, /*On fail goto*//*Label 19755*/ GIMT_Encode4(1391912), // Rule ID 22611 //
     /* 1391833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1391836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1391850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1391856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1391859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391886 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1391886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF4_E16_MASK),
     /* 1391889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391910 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391911 */     // GIR_Coverage, 22611,
     /* 1391911 */     GIR_EraseRootFromParent_Done,
     /* 1391912 */   // Label 19755: @1391912
     /* 1391912 */   GIM_Try, /*On fail goto*//*Label 19756*/ GIMT_Encode4(1391996), // Rule ID 22614 //
     /* 1391917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1391920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1391925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1391928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1391931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1391934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1391937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1391940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1391943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1391947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1391959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1391963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1391970 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1391970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1391973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1391975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1391977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1391979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1391981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1391983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1391988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1391991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1391994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1391995 */     // GIR_Coverage, 22614,
     /* 1391995 */     GIR_EraseRootFromParent_Done,
     /* 1391996 */   // Label 19756: @1391996
     /* 1391996 */   GIM_Try, /*On fail goto*//*Label 19757*/ GIMT_Encode4(1392080), // Rule ID 22615 //
     /* 1392001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1392018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392054 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E16_MASK),
     /* 1392057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392078 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392079 */     // GIR_Coverage, 22615,
     /* 1392079 */     GIR_EraseRootFromParent_Done,
     /* 1392080 */   // Label 19757: @1392080
     /* 1392080 */   GIM_Try, /*On fail goto*//*Label 19758*/ GIMT_Encode4(1392164), // Rule ID 22618 //
     /* 1392085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1392141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392163 */     // GIR_Coverage, 22618,
     /* 1392163 */     GIR_EraseRootFromParent_Done,
     /* 1392164 */   // Label 19758: @1392164
     /* 1392164 */   GIM_Try, /*On fail goto*//*Label 19759*/ GIMT_Encode4(1392248), // Rule ID 22619 //
     /* 1392169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1392186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392222 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_MF2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_MF2_E32_MASK),
     /* 1392225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392247 */     // GIR_Coverage, 22619,
     /* 1392247 */     GIR_EraseRootFromParent_Done,
     /* 1392248 */   // Label 19759: @1392248
     /* 1392248 */   GIM_Try, /*On fail goto*//*Label 19760*/ GIMT_Encode4(1392332), // Rule ID 22622 //
     /* 1392253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1392264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1392267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1392270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1392273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392306 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1392309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392330 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392331 */     // GIR_Coverage, 22622,
     /* 1392331 */     GIR_EraseRootFromParent_Done,
     /* 1392332 */   // Label 19760: @1392332
     /* 1392332 */   GIM_Try, /*On fail goto*//*Label 19761*/ GIMT_Encode4(1392416), // Rule ID 22623 //
     /* 1392337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1392348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1392351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1392354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1392357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1392360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392390 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E8_MASK),
     /* 1392393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392415 */     // GIR_Coverage, 22623,
     /* 1392415 */     GIR_EraseRootFromParent_Done,
     /* 1392416 */   // Label 19761: @1392416
     /* 1392416 */   GIM_Try, /*On fail goto*//*Label 19762*/ GIMT_Encode4(1392500), // Rule ID 22626 //
     /* 1392421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1392477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392499 */     // GIR_Coverage, 22626,
     /* 1392499 */     GIR_EraseRootFromParent_Done,
     /* 1392500 */   // Label 19762: @1392500
     /* 1392500 */   GIM_Try, /*On fail goto*//*Label 19763*/ GIMT_Encode4(1392584), // Rule ID 22627 //
     /* 1392505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1392516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1392519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1392522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1392525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1392528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392558 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E16_MASK),
     /* 1392561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1392579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392582 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392583 */     // GIR_Coverage, 22627,
     /* 1392583 */     GIR_EraseRootFromParent_Done,
     /* 1392584 */   // Label 19763: @1392584
     /* 1392584 */   GIM_Try, /*On fail goto*//*Label 19764*/ GIMT_Encode4(1392668), // Rule ID 22630 //
     /* 1392589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1392645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392667 */     // GIR_Coverage, 22630,
     /* 1392667 */     GIR_EraseRootFromParent_Done,
     /* 1392668 */   // Label 19764: @1392668
     /* 1392668 */   GIM_Try, /*On fail goto*//*Label 19765*/ GIMT_Encode4(1392752), // Rule ID 22631 //
     /* 1392673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1392676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1392684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1392687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1392690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1392693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1392696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392726 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E32_MASK),
     /* 1392729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1392747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392751 */     // GIR_Coverage, 22631,
     /* 1392751 */     GIR_EraseRootFromParent_Done,
     /* 1392752 */   // Label 19765: @1392752
     /* 1392752 */   GIM_Try, /*On fail goto*//*Label 19766*/ GIMT_Encode4(1392836), // Rule ID 22634 //
     /* 1392757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1392760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1392774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1392813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392835 */     // GIR_Coverage, 22634,
     /* 1392835 */     GIR_EraseRootFromParent_Done,
     /* 1392836 */   // Label 19766: @1392836
     /* 1392836 */   GIM_Try, /*On fail goto*//*Label 19767*/ GIMT_Encode4(1392920), // Rule ID 22635 //
     /* 1392841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1392844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1392852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1392855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1392858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1392861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1392864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1392867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392894 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1392894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M1_E64_MASK),
     /* 1392897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1392915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1392918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1392919 */     // GIR_Coverage, 22635,
     /* 1392919 */     GIR_EraseRootFromParent_Done,
     /* 1392920 */   // Label 19767: @1392920
     /* 1392920 */   GIM_Try, /*On fail goto*//*Label 19768*/ GIMT_Encode4(1393004), // Rule ID 22638 //
     /* 1392925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1392928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1392933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1392936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1392939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1392942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1392945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1392948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1392951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1392955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1392963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1392967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1392971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1392978 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1392978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1392981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1392983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1392985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1392987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1392989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1392991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1392996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1392999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393003 */     // GIR_Coverage, 22638,
     /* 1393003 */     GIR_EraseRootFromParent_Done,
     /* 1393004 */   // Label 19768: @1393004
     /* 1393004 */   GIM_Try, /*On fail goto*//*Label 19769*/ GIMT_Encode4(1393088), // Rule ID 22639 //
     /* 1393009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1393020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1393023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1393026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1393029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393062 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E8_MASK),
     /* 1393065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393087 */     // GIR_Coverage, 22639,
     /* 1393087 */     GIR_EraseRootFromParent_Done,
     /* 1393088 */   // Label 19769: @1393088
     /* 1393088 */   GIM_Try, /*On fail goto*//*Label 19770*/ GIMT_Encode4(1393172), // Rule ID 22642 //
     /* 1393093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1393104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1393107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1393110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1393113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393146 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1393149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393171 */     // GIR_Coverage, 22642,
     /* 1393171 */     GIR_EraseRootFromParent_Done,
     /* 1393172 */   // Label 19770: @1393172
     /* 1393172 */   GIM_Try, /*On fail goto*//*Label 19771*/ GIMT_Encode4(1393256), // Rule ID 22643 //
     /* 1393177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1393188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1393191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1393194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1393197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393230 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E8_MASK),
     /* 1393233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393255 */     // GIR_Coverage, 22643,
     /* 1393255 */     GIR_EraseRootFromParent_Done,
     /* 1393256 */   // Label 19771: @1393256
     /* 1393256 */   GIM_Try, /*On fail goto*//*Label 19772*/ GIMT_Encode4(1393340), // Rule ID 22646 //
     /* 1393261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1393272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1393275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1393278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1393281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1393284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393314 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1393317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393339 */     // GIR_Coverage, 22646,
     /* 1393339 */     GIR_EraseRootFromParent_Done,
     /* 1393340 */   // Label 19772: @1393340
     /* 1393340 */   GIM_Try, /*On fail goto*//*Label 19773*/ GIMT_Encode4(1393424), // Rule ID 22647 //
     /* 1393345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1393356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1393359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1393362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1393365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1393368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11500:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E8_MASK),
     /* 1393401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1393419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393422 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393423 */     // GIR_Coverage, 22647,
     /* 1393423 */     GIR_EraseRootFromParent_Done,
     /* 1393424 */   // Label 19773: @1393424
     /* 1393424 */   GIM_Try, /*On fail goto*//*Label 19774*/ GIMT_Encode4(1393508), // Rule ID 22650 //
     /* 1393429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393482 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1393485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393507 */     // GIR_Coverage, 22650,
     /* 1393507 */     GIR_EraseRootFromParent_Done,
     /* 1393508 */   // Label 19774: @1393508
     /* 1393508 */   GIM_Try, /*On fail goto*//*Label 19775*/ GIMT_Encode4(1393592), // Rule ID 22651 //
     /* 1393513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1393530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1393536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393566 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E16_MASK),
     /* 1393569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393591 */     // GIR_Coverage, 22651,
     /* 1393591 */     GIR_EraseRootFromParent_Done,
     /* 1393592 */   // Label 19775: @1393592
     /* 1393592 */   GIM_Try, /*On fail goto*//*Label 19776*/ GIMT_Encode4(1393676), // Rule ID 22654 //
     /* 1393597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1393653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393674 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393675 */     // GIR_Coverage, 22654,
     /* 1393675 */     GIR_EraseRootFromParent_Done,
     /* 1393676 */   // Label 19776: @1393676
     /* 1393676 */   GIM_Try, /*On fail goto*//*Label 19777*/ GIMT_Encode4(1393760), // Rule ID 22655 //
     /* 1393681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1393698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1393704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1393719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393734 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E16_MASK),
     /* 1393737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393759 */     // GIR_Coverage, 22655,
     /* 1393759 */     GIR_EraseRootFromParent_Done,
     /* 1393760 */   // Label 19777: @1393760
     /* 1393760 */   GIM_Try, /*On fail goto*//*Label 19778*/ GIMT_Encode4(1393844), // Rule ID 22658 //
     /* 1393765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1393821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393843 */     // GIR_Coverage, 22658,
     /* 1393843 */     GIR_EraseRootFromParent_Done,
     /* 1393844 */   // Label 19778: @1393844
     /* 1393844 */   GIM_Try, /*On fail goto*//*Label 19779*/ GIMT_Encode4(1393928), // Rule ID 22659 //
     /* 1393849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1393852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1393860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1393863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1393866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1393869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1393872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1393875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1393887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393902 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11500:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1393902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E16_MASK),
     /* 1393905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1393920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1393923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1393926 */     GIR_RootConstrainSelectedInstOperands,
     /* 1393927 */     // GIR_Coverage, 22659,
     /* 1393927 */     GIR_EraseRootFromParent_Done,
     /* 1393928 */   // Label 19779: @1393928
     /* 1393928 */   GIM_Try, /*On fail goto*//*Label 19780*/ GIMT_Encode4(1394012), // Rule ID 22662 //
     /* 1393933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1393936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1393941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1393944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1393947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1393950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1393953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1393956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1393959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1393963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1393971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1393975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1393979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1393986 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1393986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1393989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1393991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1393993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1393995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1393997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1393999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394011 */     // GIR_Coverage, 22662,
     /* 1394011 */     GIR_EraseRootFromParent_Done,
     /* 1394012 */   // Label 19780: @1394012
     /* 1394012 */   GIM_Try, /*On fail goto*//*Label 19781*/ GIMT_Encode4(1394096), // Rule ID 22663 //
     /* 1394017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1394034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394070 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E32_MASK),
     /* 1394073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394094 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394095 */     // GIR_Coverage, 22663,
     /* 1394095 */     GIR_EraseRootFromParent_Done,
     /* 1394096 */   // Label 19781: @1394096
     /* 1394096 */   GIM_Try, /*On fail goto*//*Label 19782*/ GIMT_Encode4(1394180), // Rule ID 22666 //
     /* 1394101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1394118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1394157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394178 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394179 */     // GIR_Coverage, 22666,
     /* 1394179 */     GIR_EraseRootFromParent_Done,
     /* 1394180 */   // Label 19782: @1394180
     /* 1394180 */   GIM_Try, /*On fail goto*//*Label 19783*/ GIMT_Encode4(1394264), // Rule ID 22667 //
     /* 1394185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1394202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394238 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E32_MASK),
     /* 1394241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394263 */     // GIR_Coverage, 22667,
     /* 1394263 */     GIR_EraseRootFromParent_Done,
     /* 1394264 */   // Label 19783: @1394264
     /* 1394264 */   GIM_Try, /*On fail goto*//*Label 19784*/ GIMT_Encode4(1394348), // Rule ID 22670 //
     /* 1394269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394322 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1394325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394346 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394347 */     // GIR_Coverage, 22670,
     /* 1394347 */     GIR_EraseRootFromParent_Done,
     /* 1394348 */   // Label 19784: @1394348
     /* 1394348 */   GIM_Try, /*On fail goto*//*Label 19785*/ GIMT_Encode4(1394432), // Rule ID 22671 //
     /* 1394353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1394356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1394364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1394367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1394370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1394373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1394376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394406 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11500:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E32_MASK),
     /* 1394409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1394427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394431 */     // GIR_Coverage, 22671,
     /* 1394431 */     GIR_EraseRootFromParent_Done,
     /* 1394432 */   // Label 19785: @1394432
     /* 1394432 */   GIM_Try, /*On fail goto*//*Label 19786*/ GIMT_Encode4(1394516), // Rule ID 22674 //
     /* 1394437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1394440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1394493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394515 */     // GIR_Coverage, 22674,
     /* 1394515 */     GIR_EraseRootFromParent_Done,
     /* 1394516 */   // Label 19786: @1394516
     /* 1394516 */   GIM_Try, /*On fail goto*//*Label 19787*/ GIMT_Encode4(1394600), // Rule ID 22675 //
     /* 1394521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1394524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1394538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1394544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1394559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M2_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M2_E64_MASK),
     /* 1394577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394599 */     // GIR_Coverage, 22675,
     /* 1394599 */     GIR_EraseRootFromParent_Done,
     /* 1394600 */   // Label 19787: @1394600
     /* 1394600 */   GIM_Try, /*On fail goto*//*Label 19788*/ GIMT_Encode4(1394684), // Rule ID 22678 //
     /* 1394605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1394608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1394661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394683 */     // GIR_Coverage, 22678,
     /* 1394683 */     GIR_EraseRootFromParent_Done,
     /* 1394684 */   // Label 19788: @1394684
     /* 1394684 */   GIM_Try, /*On fail goto*//*Label 19789*/ GIMT_Encode4(1394768), // Rule ID 22679 //
     /* 1394689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1394692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1394706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1394712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1394727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394742 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M4_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M4_E64_MASK),
     /* 1394745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394767 */     // GIR_Coverage, 22679,
     /* 1394767 */     GIR_EraseRootFromParent_Done,
     /* 1394768 */   // Label 19789: @1394768
     /* 1394768 */   GIM_Try, /*On fail goto*//*Label 19790*/ GIMT_Encode4(1394852), // Rule ID 22682 //
     /* 1394773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1394776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394826 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1394829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394851 */     // GIR_Coverage, 22682,
     /* 1394851 */     GIR_EraseRootFromParent_Done,
     /* 1394852 */   // Label 19790: @1394852
     /* 1394852 */   GIM_Try, /*On fail goto*//*Label 19791*/ GIMT_Encode4(1394936), // Rule ID 22683 //
     /* 1394857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1394860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vredmax_mask),
     /* 1394865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1394868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1394871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1394874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1394877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1394880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1394883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1394895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394910 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11500:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVREDMAX_VS_M8_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1394910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREDMAX_VS_M8_E64_MASK),
     /* 1394913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1394917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1394919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1394921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1394923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1394928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1394931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1394934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1394935 */     // GIR_Coverage, 22683,
     /* 1394935 */     GIR_EraseRootFromParent_Done,
     /* 1394936 */   // Label 19791: @1394936
     /* 1394936 */   GIM_Try, /*On fail goto*//*Label 19792*/ GIMT_Encode4(1395020), // Rule ID 22686 //
     /* 1394941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1394944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1394949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1394952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1394955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1394958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1394961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1394964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1394967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1394971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1394983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1394987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1394994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1394994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1394997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1394999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395019 */     // GIR_Coverage, 22686,
     /* 1395019 */     GIR_EraseRootFromParent_Done,
     /* 1395020 */   // Label 19792: @1395020
     /* 1395020 */   GIM_Try, /*On fail goto*//*Label 19793*/ GIMT_Encode4(1395104), // Rule ID 22687 //
     /* 1395025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1395042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395078 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF8_E8_MASK),
     /* 1395081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395103 */     // GIR_Coverage, 22687,
     /* 1395103 */     GIR_EraseRootFromParent_Done,
     /* 1395104 */   // Label 19793: @1395104
     /* 1395104 */   GIM_Try, /*On fail goto*//*Label 19794*/ GIMT_Encode4(1395188), // Rule ID 22690 //
     /* 1395109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1395126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1395165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395187 */     // GIR_Coverage, 22690,
     /* 1395187 */     GIR_EraseRootFromParent_Done,
     /* 1395188 */   // Label 19794: @1395188
     /* 1395188 */   GIM_Try, /*On fail goto*//*Label 19795*/ GIMT_Encode4(1395272), // Rule ID 22691 //
     /* 1395193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1395210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395246 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E8_MASK),
     /* 1395249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395270 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395271 */     // GIR_Coverage, 22691,
     /* 1395271 */     GIR_EraseRootFromParent_Done,
     /* 1395272 */   // Label 19795: @1395272
     /* 1395272 */   GIM_Try, /*On fail goto*//*Label 19796*/ GIMT_Encode4(1395356), // Rule ID 22694 //
     /* 1395277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1395333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395355 */     // GIR_Coverage, 22694,
     /* 1395355 */     GIR_EraseRootFromParent_Done,
     /* 1395356 */   // Label 19796: @1395356
     /* 1395356 */   GIM_Try, /*On fail goto*//*Label 19797*/ GIMT_Encode4(1395440), // Rule ID 22695 //
     /* 1395361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1395378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1395384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395414 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E8_MASK),
     /* 1395417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1395435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395439 */     // GIR_Coverage, 22695,
     /* 1395439 */     GIR_EraseRootFromParent_Done,
     /* 1395440 */   // Label 19797: @1395440
     /* 1395440 */   GIM_Try, /*On fail goto*//*Label 19798*/ GIMT_Encode4(1395524), // Rule ID 22698 //
     /* 1395445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1395501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395522 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395523 */     // GIR_Coverage, 22698,
     /* 1395523 */     GIR_EraseRootFromParent_Done,
     /* 1395524 */   // Label 19798: @1395524
     /* 1395524 */   GIM_Try, /*On fail goto*//*Label 19799*/ GIMT_Encode4(1395608), // Rule ID 22699 //
     /* 1395529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1395546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395582 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF4_E16_MASK),
     /* 1395585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395607 */     // GIR_Coverage, 22699,
     /* 1395607 */     GIR_EraseRootFromParent_Done,
     /* 1395608 */   // Label 19799: @1395608
     /* 1395608 */   GIM_Try, /*On fail goto*//*Label 19800*/ GIMT_Encode4(1395692), // Rule ID 22702 //
     /* 1395613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395666 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1395669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395690 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395691 */     // GIR_Coverage, 22702,
     /* 1395691 */     GIR_EraseRootFromParent_Done,
     /* 1395692 */   // Label 19800: @1395692
     /* 1395692 */   GIM_Try, /*On fail goto*//*Label 19801*/ GIMT_Encode4(1395776), // Rule ID 22703 //
     /* 1395697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1395708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1395711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1395714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1395717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1395720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395750 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E16_MASK),
     /* 1395753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1395771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395775 */     // GIR_Coverage, 22703,
     /* 1395775 */     GIR_EraseRootFromParent_Done,
     /* 1395776 */   // Label 19801: @1395776
     /* 1395776 */   GIM_Try, /*On fail goto*//*Label 19802*/ GIMT_Encode4(1395860), // Rule ID 22706 //
     /* 1395781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1395834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1395837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395859 */     // GIR_Coverage, 22706,
     /* 1395859 */     GIR_EraseRootFromParent_Done,
     /* 1395860 */   // Label 19802: @1395860
     /* 1395860 */   GIM_Try, /*On fail goto*//*Label 19803*/ GIMT_Encode4(1395944), // Rule ID 22707 //
     /* 1395865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1395868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1395876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1395879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1395882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1395885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1395888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1395891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1395918 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1395918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_MF2_E32_MASK),
     /* 1395921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1395923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1395925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1395927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1395929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1395931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1395936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1395939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1395942 */     GIR_RootConstrainSelectedInstOperands,
     /* 1395943 */     // GIR_Coverage, 22707,
     /* 1395943 */     GIR_EraseRootFromParent_Done,
     /* 1395944 */   // Label 19803: @1395944
     /* 1395944 */   GIM_Try, /*On fail goto*//*Label 19804*/ GIMT_Encode4(1396028), // Rule ID 22710 //
     /* 1395949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1395952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1395957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1395960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1395963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1395966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1395969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1395972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1395975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1395979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1395991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1395995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1396005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396027 */     // GIR_Coverage, 22710,
     /* 1396027 */     GIR_EraseRootFromParent_Done,
     /* 1396028 */   // Label 19804: @1396028
     /* 1396028 */   GIM_Try, /*On fail goto*//*Label 19805*/ GIMT_Encode4(1396112), // Rule ID 22711 //
     /* 1396033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1396050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E8_MASK),
     /* 1396089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396111 */     // GIR_Coverage, 22711,
     /* 1396111 */     GIR_EraseRootFromParent_Done,
     /* 1396112 */   // Label 19805: @1396112
     /* 1396112 */   GIM_Try, /*On fail goto*//*Label 19806*/ GIMT_Encode4(1396196), // Rule ID 22714 //
     /* 1396117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1396173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396194 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396195 */     // GIR_Coverage, 22714,
     /* 1396195 */     GIR_EraseRootFromParent_Done,
     /* 1396196 */   // Label 19806: @1396196
     /* 1396196 */   GIM_Try, /*On fail goto*//*Label 19807*/ GIMT_Encode4(1396280), // Rule ID 22715 //
     /* 1396201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1396218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1396224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E16_MASK),
     /* 1396257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1396275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396279 */     // GIR_Coverage, 22715,
     /* 1396279 */     GIR_EraseRootFromParent_Done,
     /* 1396280 */   // Label 19807: @1396280
     /* 1396280 */   GIM_Try, /*On fail goto*//*Label 19808*/ GIMT_Encode4(1396364), // Rule ID 22718 //
     /* 1396285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396338 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1396341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396362 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396363 */     // GIR_Coverage, 22718,
     /* 1396363 */     GIR_EraseRootFromParent_Done,
     /* 1396364 */   // Label 19808: @1396364
     /* 1396364 */   GIM_Try, /*On fail goto*//*Label 19809*/ GIMT_Encode4(1396448), // Rule ID 22719 //
     /* 1396369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1396380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1396383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1396386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1396389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1396392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396422 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M1_E32_MASK),
     /* 1396425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1396443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396447 */     // GIR_Coverage, 22719,
     /* 1396447 */     GIR_EraseRootFromParent_Done,
     /* 1396448 */   // Label 19809: @1396448
     /* 1396448 */   GIM_Try, /*On fail goto*//*Label 19810*/ GIMT_Encode4(1396532), // Rule ID 22722 //
     /* 1396453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396506 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1396509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396531 */     // GIR_Coverage, 22722,
     /* 1396531 */     GIR_EraseRootFromParent_Done,
     /* 1396532 */   // Label 19810: @1396532
     /* 1396532 */   GIM_Try, /*On fail goto*//*Label 19811*/ GIMT_Encode4(1396616), // Rule ID 22723 //
     /* 1396537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1396554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1396560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396590 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E8_MASK),
     /* 1396593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396615 */     // GIR_Coverage, 22723,
     /* 1396615 */     GIR_EraseRootFromParent_Done,
     /* 1396616 */   // Label 19811: @1396616
     /* 1396616 */   GIM_Try, /*On fail goto*//*Label 19812*/ GIMT_Encode4(1396700), // Rule ID 22726 //
     /* 1396621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1396638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396674 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1396677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396699 */     // GIR_Coverage, 22726,
     /* 1396699 */     GIR_EraseRootFromParent_Done,
     /* 1396700 */   // Label 19812: @1396700
     /* 1396700 */   GIM_Try, /*On fail goto*//*Label 19813*/ GIMT_Encode4(1396784), // Rule ID 22727 //
     /* 1396705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1396722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1396728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1396743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396758 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E8_MASK),
     /* 1396761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396783 */     // GIR_Coverage, 22727,
     /* 1396783 */     GIR_EraseRootFromParent_Done,
     /* 1396784 */   // Label 19813: @1396784
     /* 1396784 */   GIM_Try, /*On fail goto*//*Label 19814*/ GIMT_Encode4(1396868), // Rule ID 22730 //
     /* 1396789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1396806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1396812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1396842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1396845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396867 */     // GIR_Coverage, 22730,
     /* 1396867 */     GIR_EraseRootFromParent_Done,
     /* 1396868 */   // Label 19814: @1396868
     /* 1396868 */   GIM_Try, /*On fail goto*//*Label 19815*/ GIMT_Encode4(1396952), // Rule ID 22731 //
     /* 1396873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1396876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1396884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1396887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1396890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1396893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1396896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1396899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1396911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1396919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1396926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11664:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1396926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E8_MASK),
     /* 1396929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1396931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1396933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1396935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1396937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1396939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1396944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1396947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1396950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1396951 */     // GIR_Coverage, 22731,
     /* 1396951 */     GIR_EraseRootFromParent_Done,
     /* 1396952 */   // Label 19815: @1396952
     /* 1396952 */   GIM_Try, /*On fail goto*//*Label 19816*/ GIMT_Encode4(1397036), // Rule ID 22734 //
     /* 1396957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1396960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1396965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1396968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1396971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1396974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1396977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1396980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1396983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1396987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1396995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1396999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1397013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397035 */     // GIR_Coverage, 22734,
     /* 1397035 */     GIR_EraseRootFromParent_Done,
     /* 1397036 */   // Label 19816: @1397036
     /* 1397036 */   GIM_Try, /*On fail goto*//*Label 19817*/ GIMT_Encode4(1397120), // Rule ID 22735 //
     /* 1397041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1397058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E16_MASK),
     /* 1397097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397119 */     // GIR_Coverage, 22735,
     /* 1397119 */     GIR_EraseRootFromParent_Done,
     /* 1397120 */   // Label 19817: @1397120
     /* 1397120 */   GIM_Try, /*On fail goto*//*Label 19818*/ GIMT_Encode4(1397204), // Rule ID 22738 //
     /* 1397125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1397181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397203 */     // GIR_Coverage, 22738,
     /* 1397203 */     GIR_EraseRootFromParent_Done,
     /* 1397204 */   // Label 19818: @1397204
     /* 1397204 */   GIM_Try, /*On fail goto*//*Label 19819*/ GIMT_Encode4(1397288), // Rule ID 22739 //
     /* 1397209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1397226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397262 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E16_MASK),
     /* 1397265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397286 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397287 */     // GIR_Coverage, 22739,
     /* 1397287 */     GIR_EraseRootFromParent_Done,
     /* 1397288 */   // Label 19819: @1397288
     /* 1397288 */   GIM_Try, /*On fail goto*//*Label 19820*/ GIMT_Encode4(1397372), // Rule ID 22742 //
     /* 1397293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397346 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1397349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397371 */     // GIR_Coverage, 22742,
     /* 1397371 */     GIR_EraseRootFromParent_Done,
     /* 1397372 */   // Label 19820: @1397372
     /* 1397372 */   GIM_Try, /*On fail goto*//*Label 19821*/ GIMT_Encode4(1397456), // Rule ID 22743 //
     /* 1397377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1397388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1397391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1397394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1397397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1397400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11664:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E16_MASK),
     /* 1397433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1397451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397455 */     // GIR_Coverage, 22743,
     /* 1397455 */     GIR_EraseRootFromParent_Done,
     /* 1397456 */   // Label 19821: @1397456
     /* 1397456 */   GIM_Try, /*On fail goto*//*Label 19822*/ GIMT_Encode4(1397540), // Rule ID 22746 //
     /* 1397461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397514 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1397517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397538 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397539 */     // GIR_Coverage, 22746,
     /* 1397539 */     GIR_EraseRootFromParent_Done,
     /* 1397540 */   // Label 19822: @1397540
     /* 1397540 */   GIM_Try, /*On fail goto*//*Label 19823*/ GIMT_Encode4(1397624), // Rule ID 22747 //
     /* 1397545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1397562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1397568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1397583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397598 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M2_E32_MASK),
     /* 1397601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397623 */     // GIR_Coverage, 22747,
     /* 1397623 */     GIR_EraseRootFromParent_Done,
     /* 1397624 */   // Label 19823: @1397624
     /* 1397624 */   GIM_Try, /*On fail goto*//*Label 19824*/ GIMT_Encode4(1397708), // Rule ID 22750 //
     /* 1397629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1397646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397682 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1397685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397706 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397707 */     // GIR_Coverage, 22750,
     /* 1397707 */     GIR_EraseRootFromParent_Done,
     /* 1397708 */   // Label 19824: @1397708
     /* 1397708 */   GIM_Try, /*On fail goto*//*Label 19825*/ GIMT_Encode4(1397792), // Rule ID 22751 //
     /* 1397713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1397730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1397736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1397751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M4_E32_MASK),
     /* 1397769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397790 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397791 */     // GIR_Coverage, 22751,
     /* 1397791 */     GIR_EraseRootFromParent_Done,
     /* 1397792 */   // Label 19825: @1397792
     /* 1397792 */   GIM_Try, /*On fail goto*//*Label 19826*/ GIMT_Encode4(1397876), // Rule ID 22754 //
     /* 1397797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1397814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1397850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1397853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397875 */     // GIR_Coverage, 22754,
     /* 1397875 */     GIR_EraseRootFromParent_Done,
     /* 1397876 */   // Label 19826: @1397876
     /* 1397876 */   GIM_Try, /*On fail goto*//*Label 19827*/ GIMT_Encode4(1397960), // Rule ID 22755 //
     /* 1397881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1397884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsumu_mask),
     /* 1397889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1397892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1397895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1397898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1397901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1397904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1397907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1397919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1397927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1397934 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11664:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUMU_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1397934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUMU_VS_M8_E32_MASK),
     /* 1397937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1397939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1397941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1397943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1397945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1397947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1397952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1397955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1397958 */     GIR_RootConstrainSelectedInstOperands,
     /* 1397959 */     // GIR_Coverage, 22755,
     /* 1397959 */     GIR_EraseRootFromParent_Done,
     /* 1397960 */   // Label 19827: @1397960
     /* 1397960 */   GIM_Try, /*On fail goto*//*Label 19828*/ GIMT_Encode4(1398044), // Rule ID 22758 //
     /* 1397965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1397968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1397973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1397976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1397979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1397982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1397985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1397988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1397991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1397995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1397999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1398021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1398039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398043 */     // GIR_Coverage, 22758,
     /* 1398043 */     GIR_EraseRootFromParent_Done,
     /* 1398044 */   // Label 19828: @1398044
     /* 1398044 */   GIM_Try, /*On fail goto*//*Label 19829*/ GIMT_Encode4(1398128), // Rule ID 22759 //
     /* 1398049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1398066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1398072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398102 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF8_E8_MASK),
     /* 1398105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1398123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398127 */     // GIR_Coverage, 22759,
     /* 1398127 */     GIR_EraseRootFromParent_Done,
     /* 1398128 */   // Label 19829: @1398128
     /* 1398128 */   GIM_Try, /*On fail goto*//*Label 19830*/ GIMT_Encode4(1398212), // Rule ID 22762 //
     /* 1398133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1398150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1398189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1398207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398210 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398211 */     // GIR_Coverage, 22762,
     /* 1398211 */     GIR_EraseRootFromParent_Done,
     /* 1398212 */   // Label 19830: @1398212
     /* 1398212 */   GIM_Try, /*On fail goto*//*Label 19831*/ GIMT_Encode4(1398296), // Rule ID 22763 //
     /* 1398217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1398234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398270 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E8_MASK),
     /* 1398273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1398291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398295 */     // GIR_Coverage, 22763,
     /* 1398295 */     GIR_EraseRootFromParent_Done,
     /* 1398296 */   // Label 19831: @1398296
     /* 1398296 */   GIM_Try, /*On fail goto*//*Label 19832*/ GIMT_Encode4(1398380), // Rule ID 22766 //
     /* 1398301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1398318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1398357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1398375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398379 */     // GIR_Coverage, 22766,
     /* 1398379 */     GIR_EraseRootFromParent_Done,
     /* 1398380 */   // Label 19832: @1398380
     /* 1398380 */   GIM_Try, /*On fail goto*//*Label 19833*/ GIMT_Encode4(1398464), // Rule ID 22767 //
     /* 1398385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1398402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1398408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E8_MASK),
     /* 1398441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1398459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398463 */     // GIR_Coverage, 22767,
     /* 1398463 */     GIR_EraseRootFromParent_Done,
     /* 1398464 */   // Label 19833: @1398464
     /* 1398464 */   GIM_Try, /*On fail goto*//*Label 19834*/ GIMT_Encode4(1398548), // Rule ID 22770 //
     /* 1398469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1398492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398522 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1398525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398547 */     // GIR_Coverage, 22770,
     /* 1398547 */     GIR_EraseRootFromParent_Done,
     /* 1398548 */   // Label 19834: @1398548
     /* 1398548 */   GIM_Try, /*On fail goto*//*Label 19835*/ GIMT_Encode4(1398632), // Rule ID 22771 //
     /* 1398553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1398570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1398576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF4_E16_MASK),
     /* 1398609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398631 */     // GIR_Coverage, 22771,
     /* 1398631 */     GIR_EraseRootFromParent_Done,
     /* 1398632 */   // Label 19835: @1398632
     /* 1398632 */   GIM_Try, /*On fail goto*//*Label 19836*/ GIMT_Encode4(1398716), // Rule ID 22774 //
     /* 1398637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1398654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398690 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1398693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398715 */     // GIR_Coverage, 22774,
     /* 1398715 */     GIR_EraseRootFromParent_Done,
     /* 1398716 */   // Label 19836: @1398716
     /* 1398716 */   GIM_Try, /*On fail goto*//*Label 19837*/ GIMT_Encode4(1398800), // Rule ID 22775 //
     /* 1398721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1398732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1398735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1398738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1398741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1398744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E16_MASK),
     /* 1398777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1398795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398799 */     // GIR_Coverage, 22775,
     /* 1398799 */     GIR_EraseRootFromParent_Done,
     /* 1398800 */   // Label 19837: @1398800
     /* 1398800 */   GIM_Try, /*On fail goto*//*Label 19838*/ GIMT_Encode4(1398884), // Rule ID 22778 //
     /* 1398805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1398822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1398828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1398858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1398861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398883 */     // GIR_Coverage, 22778,
     /* 1398883 */     GIR_EraseRootFromParent_Done,
     /* 1398884 */   // Label 19838: @1398884
     /* 1398884 */   GIM_Try, /*On fail goto*//*Label 19839*/ GIMT_Encode4(1398968), // Rule ID 22779 //
     /* 1398889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1398892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1398900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1398903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1398906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1398909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1398912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1398915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1398919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1398931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1398935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1398942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_MF2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1398942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_MF2_E32_MASK),
     /* 1398945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1398947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1398949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1398951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1398953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1398955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1398960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1398963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1398966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1398967 */     // GIR_Coverage, 22779,
     /* 1398967 */     GIR_EraseRootFromParent_Done,
     /* 1398968 */   // Label 19839: @1398968
     /* 1398968 */   GIM_Try, /*On fail goto*//*Label 19840*/ GIMT_Encode4(1399052), // Rule ID 22782 //
     /* 1398973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1398976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1398981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1398984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1398987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1398990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1398993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1398996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1398999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1399029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399051 */     // GIR_Coverage, 22782,
     /* 1399051 */     GIR_EraseRootFromParent_Done,
     /* 1399052 */   // Label 19840: @1399052
     /* 1399052 */   GIM_Try, /*On fail goto*//*Label 19841*/ GIMT_Encode4(1399136), // Rule ID 22783 //
     /* 1399057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1399074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1399080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399110 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E8_MASK),
     /* 1399113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399134 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399135 */     // GIR_Coverage, 22783,
     /* 1399135 */     GIR_EraseRootFromParent_Done,
     /* 1399136 */   // Label 19841: @1399136
     /* 1399136 */   GIM_Try, /*On fail goto*//*Label 19842*/ GIMT_Encode4(1399220), // Rule ID 22786 //
     /* 1399141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399194 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1399197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399219 */     // GIR_Coverage, 22786,
     /* 1399219 */     GIR_EraseRootFromParent_Done,
     /* 1399220 */   // Label 19842: @1399220
     /* 1399220 */   GIM_Try, /*On fail goto*//*Label 19843*/ GIMT_Encode4(1399304), // Rule ID 22787 //
     /* 1399225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1399242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1399245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1399248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399278 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E16_MASK),
     /* 1399281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1399299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399302 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399303 */     // GIR_Coverage, 22787,
     /* 1399303 */     GIR_EraseRootFromParent_Done,
     /* 1399304 */   // Label 19843: @1399304
     /* 1399304 */   GIM_Try, /*On fail goto*//*Label 19844*/ GIMT_Encode4(1399388), // Rule ID 22790 //
     /* 1399309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399362 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1399365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399387 */     // GIR_Coverage, 22790,
     /* 1399387 */     GIR_EraseRootFromParent_Done,
     /* 1399388 */   // Label 19844: @1399388
     /* 1399388 */   GIM_Try, /*On fail goto*//*Label 19845*/ GIMT_Encode4(1399472), // Rule ID 22791 //
     /* 1399393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1399404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1399407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1399410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1399413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1399416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M1_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M1_E32_MASK),
     /* 1399449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1399467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399471 */     // GIR_Coverage, 22791,
     /* 1399471 */     GIR_EraseRootFromParent_Done,
     /* 1399472 */   // Label 19845: @1399472
     /* 1399472 */   GIM_Try, /*On fail goto*//*Label 19846*/ GIMT_Encode4(1399556), // Rule ID 22794 //
     /* 1399477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1399494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1399500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1399533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399554 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399555 */     // GIR_Coverage, 22794,
     /* 1399555 */     GIR_EraseRootFromParent_Done,
     /* 1399556 */   // Label 19846: @1399556
     /* 1399556 */   GIM_Try, /*On fail goto*//*Label 19847*/ GIMT_Encode4(1399640), // Rule ID 22795 //
     /* 1399561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1399578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1399584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1399599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399614 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E8_MASK),
     /* 1399617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399639 */     // GIR_Coverage, 22795,
     /* 1399639 */     GIR_EraseRootFromParent_Done,
     /* 1399640 */   // Label 19847: @1399640
     /* 1399640 */   GIM_Try, /*On fail goto*//*Label 19848*/ GIMT_Encode4(1399724), // Rule ID 22798 //
     /* 1399645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1399662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1399668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399698 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1399701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399723 */     // GIR_Coverage, 22798,
     /* 1399723 */     GIR_EraseRootFromParent_Done,
     /* 1399724 */   // Label 19848: @1399724
     /* 1399724 */   GIM_Try, /*On fail goto*//*Label 19849*/ GIMT_Encode4(1399808), // Rule ID 22799 //
     /* 1399729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1399746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1399752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1399767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399782 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E8_MASK),
     /* 1399785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399806 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399807 */     // GIR_Coverage, 22799,
     /* 1399807 */     GIR_EraseRootFromParent_Done,
     /* 1399808 */   // Label 19849: @1399808
     /* 1399808 */   GIM_Try, /*On fail goto*//*Label 19850*/ GIMT_Encode4(1399892), // Rule ID 22802 //
     /* 1399813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1399830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1399836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1399839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 1399866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1399869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399891 */     // GIR_Coverage, 22802,
     /* 1399891 */     GIR_EraseRootFromParent_Done,
     /* 1399892 */   // Label 19850: @1399892
     /* 1399892 */   GIM_Try, /*On fail goto*//*Label 19851*/ GIMT_Encode4(1399976), // Rule ID 22803 //
     /* 1399897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1399900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1399908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1399911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1399914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1399917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1399920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1399923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1399927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1399935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1399939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1399943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1399950 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11662:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E8_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 1399950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E8_MASK),
     /* 1399953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1399955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1399957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1399959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1399961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1399963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1399968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1399971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1399974 */     GIR_RootConstrainSelectedInstOperands,
     /* 1399975 */     // GIR_Coverage, 22803,
     /* 1399975 */     GIR_EraseRootFromParent_Done,
     /* 1399976 */   // Label 19851: @1399976
     /* 1399976 */   GIM_Try, /*On fail goto*//*Label 19852*/ GIMT_Encode4(1400060), // Rule ID 22806 //
     /* 1399981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1399984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1399989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1399992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1399995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1399998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400034 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1400037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400059 */     // GIR_Coverage, 22806,
     /* 1400059 */     GIR_EraseRootFromParent_Done,
     /* 1400060 */   // Label 19852: @1400060
     /* 1400060 */   GIM_Try, /*On fail goto*//*Label 19853*/ GIMT_Encode4(1400144), // Rule ID 22807 //
     /* 1400065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1400082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E16_MASK),
     /* 1400121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400143 */     // GIR_Coverage, 22807,
     /* 1400143 */     GIR_EraseRootFromParent_Done,
     /* 1400144 */   // Label 19853: @1400144
     /* 1400144 */   GIM_Try, /*On fail goto*//*Label 19854*/ GIMT_Encode4(1400228), // Rule ID 22810 //
     /* 1400149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400202 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1400205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400227 */     // GIR_Coverage, 22810,
     /* 1400227 */     GIR_EraseRootFromParent_Done,
     /* 1400228 */   // Label 19854: @1400228
     /* 1400228 */   GIM_Try, /*On fail goto*//*Label 19855*/ GIMT_Encode4(1400312), // Rule ID 22811 //
     /* 1400233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1400250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E16_MASK),
     /* 1400289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400311 */     // GIR_Coverage, 22811,
     /* 1400311 */     GIR_EraseRootFromParent_Done,
     /* 1400312 */   // Label 19855: @1400312
     /* 1400312 */   GIM_Try, /*On fail goto*//*Label 19856*/ GIMT_Encode4(1400396), // Rule ID 22814 //
     /* 1400317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1400340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400370 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1400373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400395 */     // GIR_Coverage, 22814,
     /* 1400395 */     GIR_EraseRootFromParent_Done,
     /* 1400396 */   // Label 19856: @1400396
     /* 1400396 */   GIM_Try, /*On fail goto*//*Label 19857*/ GIMT_Encode4(1400480), // Rule ID 22815 //
     /* 1400401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1400412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1400415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1400418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1400421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1400424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400454 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11662:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E16_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E16_MASK),
     /* 1400457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1400475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400479 */     // GIR_Coverage, 22815,
     /* 1400479 */     GIR_EraseRootFromParent_Done,
     /* 1400480 */   // Label 19857: @1400480
     /* 1400480 */   GIM_Try, /*On fail goto*//*Label 19858*/ GIMT_Encode4(1400564), // Rule ID 22818 //
     /* 1400485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400538 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1400541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400563 */     // GIR_Coverage, 22818,
     /* 1400563 */     GIR_EraseRootFromParent_Done,
     /* 1400564 */   // Label 19858: @1400564
     /* 1400564 */   GIM_Try, /*On fail goto*//*Label 19859*/ GIMT_Encode4(1400648), // Rule ID 22819 //
     /* 1400569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1400586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1400592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1400607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400622 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M2_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M2_E32_MASK),
     /* 1400625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400647 */     // GIR_Coverage, 22819,
     /* 1400647 */     GIR_EraseRootFromParent_Done,
     /* 1400648 */   // Label 19859: @1400648
     /* 1400648 */   GIM_Try, /*On fail goto*//*Label 19860*/ GIMT_Encode4(1400732), // Rule ID 22822 //
     /* 1400653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400706 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1400709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400731 */     // GIR_Coverage, 22822,
     /* 1400731 */     GIR_EraseRootFromParent_Done,
     /* 1400732 */   // Label 19860: @1400732
     /* 1400732 */   GIM_Try, /*On fail goto*//*Label 19861*/ GIMT_Encode4(1400816), // Rule ID 22823 //
     /* 1400737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1400754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1400760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1400775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M4_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M4_E32_MASK),
     /* 1400793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400815 */     // GIR_Coverage, 22823,
     /* 1400815 */     GIR_EraseRootFromParent_Done,
     /* 1400816 */   // Label 19861: @1400816
     /* 1400816 */   GIM_Try, /*On fail goto*//*Label 19862*/ GIMT_Encode4(1400900), // Rule ID 22826 //
     /* 1400821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1400824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1400847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1400874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1400877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400899 */     // GIR_Coverage, 22826,
     /* 1400899 */     GIR_EraseRootFromParent_Done,
     /* 1400900 */   // Label 19862: @1400900
     /* 1400900 */   GIM_Try, /*On fail goto*//*Label 19863*/ GIMT_Encode4(1400984), // Rule ID 22827 //
     /* 1400905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1400908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwredsum_mask),
     /* 1400913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1400916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1400919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1400922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1400925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1400928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1400931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1400935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1400943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1400947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1400951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1400958 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11662:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVWREDSUM_VS_M8_E32_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1400958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWREDSUM_VS_M8_E32_MASK),
     /* 1400961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1400963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1400965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1400967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1400969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1400971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1400976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1400979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1400982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1400983 */     // GIR_Coverage, 22827,
     /* 1400983 */     GIR_EraseRootFromParent_Done,
     /* 1400984 */   // Label 19863: @1400984
     /* 1400984 */   GIM_Try, /*On fail goto*//*Label 19864*/ GIMT_Encode4(1401068), // Rule ID 22946 //
     /* 1400989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1400992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1400997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1401009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401042 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1401045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401067 */     // GIR_Coverage, 22946,
     /* 1401067 */     GIR_EraseRootFromParent_Done,
     /* 1401068 */   // Label 19864: @1401068
     /* 1401068 */   GIM_Try, /*On fail goto*//*Label 19865*/ GIMT_Encode4(1401152), // Rule ID 22947 //
     /* 1401073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1401076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1401090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1401093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401126 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF4_E16_MASK),
     /* 1401129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401150 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401151 */     // GIR_Coverage, 22947,
     /* 1401151 */     GIR_EraseRootFromParent_Done,
     /* 1401152 */   // Label 19865: @1401152
     /* 1401152 */   GIM_Try, /*On fail goto*//*Label 19866*/ GIMT_Encode4(1401236), // Rule ID 22950 //
     /* 1401157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1401160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1401177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401210 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1401213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401235 */     // GIR_Coverage, 22950,
     /* 1401235 */     GIR_EraseRootFromParent_Done,
     /* 1401236 */   // Label 19866: @1401236
     /* 1401236 */   GIM_Try, /*On fail goto*//*Label 19867*/ GIMT_Encode4(1401320), // Rule ID 22951 //
     /* 1401241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1401244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1401258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1401261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401294 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E16_MASK),
     /* 1401297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401318 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401319 */     // GIR_Coverage, 22951,
     /* 1401319 */     GIR_EraseRootFromParent_Done,
     /* 1401320 */   // Label 19867: @1401320
     /* 1401320 */   GIM_Try, /*On fail goto*//*Label 19868*/ GIMT_Encode4(1401404), // Rule ID 22954 //
     /* 1401325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1401328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1401345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1401381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401402 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401403 */     // GIR_Coverage, 22954,
     /* 1401403 */     GIR_EraseRootFromParent_Done,
     /* 1401404 */   // Label 19868: @1401404
     /* 1401404 */   GIM_Try, /*On fail goto*//*Label 19869*/ GIMT_Encode4(1401488), // Rule ID 22955 //
     /* 1401409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1401412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1401426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1401429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401462 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_MF2_E32_MASK),
     /* 1401465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401487 */     // GIR_Coverage, 22955,
     /* 1401487 */     GIR_EraseRootFromParent_Done,
     /* 1401488 */   // Label 19869: @1401488
     /* 1401488 */   GIM_Try, /*On fail goto*//*Label 19870*/ GIMT_Encode4(1401572), // Rule ID 22958 //
     /* 1401493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1401496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1401510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1401513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1401516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401546 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1401549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401570 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401571 */     // GIR_Coverage, 22958,
     /* 1401571 */     GIR_EraseRootFromParent_Done,
     /* 1401572 */   // Label 19870: @1401572
     /* 1401572 */   GIM_Try, /*On fail goto*//*Label 19871*/ GIMT_Encode4(1401656), // Rule ID 22959 //
     /* 1401577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1401580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1401588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1401591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1401594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1401597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1401600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401630 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E16_MASK),
     /* 1401633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1401651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401655 */     // GIR_Coverage, 22959,
     /* 1401655 */     GIR_EraseRootFromParent_Done,
     /* 1401656 */   // Label 19871: @1401656
     /* 1401656 */   GIM_Try, /*On fail goto*//*Label 19872*/ GIMT_Encode4(1401740), // Rule ID 22962 //
     /* 1401661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1401664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1401678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1401681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401714 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1401717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401739 */     // GIR_Coverage, 22962,
     /* 1401739 */     GIR_EraseRootFromParent_Done,
     /* 1401740 */   // Label 19872: @1401740
     /* 1401740 */   GIM_Try, /*On fail goto*//*Label 19873*/ GIMT_Encode4(1401824), // Rule ID 22963 //
     /* 1401745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1401748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1401756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1401759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1401762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1401765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1401768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E32_MASK),
     /* 1401801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1401819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401822 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401823 */     // GIR_Coverage, 22963,
     /* 1401823 */     GIR_EraseRootFromParent_Done,
     /* 1401824 */   // Label 19873: @1401824
     /* 1401824 */   GIM_Try, /*On fail goto*//*Label 19874*/ GIMT_Encode4(1401908), // Rule ID 22966 //
     /* 1401829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1401832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1401846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1401855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1401882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1401885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401907 */     // GIR_Coverage, 22966,
     /* 1401907 */     GIR_EraseRootFromParent_Done,
     /* 1401908 */   // Label 19874: @1401908
     /* 1401908 */   GIM_Try, /*On fail goto*//*Label 19875*/ GIMT_Encode4(1401992), // Rule ID 22967 //
     /* 1401913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1401916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1401921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1401924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1401927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1401930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1401933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1401936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1401939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1401943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1401955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1401959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1401966 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1401966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M1_E64_MASK),
     /* 1401969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1401971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1401973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1401975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1401977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1401979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1401984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1401987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1401990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1401991 */     // GIR_Coverage, 22967,
     /* 1401991 */     GIR_EraseRootFromParent_Done,
     /* 1401992 */   // Label 19875: @1401992
     /* 1401992 */   GIM_Try, /*On fail goto*//*Label 19876*/ GIMT_Encode4(1402076), // Rule ID 22970 //
     /* 1401997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1402000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1402017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402050 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1402050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1402053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402074 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402075 */     // GIR_Coverage, 22970,
     /* 1402075 */     GIR_EraseRootFromParent_Done,
     /* 1402076 */   // Label 19876: @1402076
     /* 1402076 */   GIM_Try, /*On fail goto*//*Label 19877*/ GIMT_Encode4(1402160), // Rule ID 22971 //
     /* 1402081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1402084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1402098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1402101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402134 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1402134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E16_MASK),
     /* 1402137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402159 */     // GIR_Coverage, 22971,
     /* 1402159 */     GIR_EraseRootFromParent_Done,
     /* 1402160 */   // Label 19877: @1402160
     /* 1402160 */   GIM_Try, /*On fail goto*//*Label 19878*/ GIMT_Encode4(1402244), // Rule ID 22974 //
     /* 1402165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1402168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1402185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1402188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402218 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1402218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1402221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402243 */     // GIR_Coverage, 22974,
     /* 1402243 */     GIR_EraseRootFromParent_Done,
     /* 1402244 */   // Label 19878: @1402244
     /* 1402244 */   GIM_Try, /*On fail goto*//*Label 19879*/ GIMT_Encode4(1402328), // Rule ID 22975 //
     /* 1402249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1402252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1402266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1402269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1402272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402302 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1402302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E16_MASK),
     /* 1402305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402327 */     // GIR_Coverage, 22975,
     /* 1402327 */     GIR_EraseRootFromParent_Done,
     /* 1402328 */   // Label 19879: @1402328
     /* 1402328 */   GIM_Try, /*On fail goto*//*Label 19880*/ GIMT_Encode4(1402412), // Rule ID 22978 //
     /* 1402333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1402336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1402353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1402356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402386 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1402386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1402389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402411 */     // GIR_Coverage, 22978,
     /* 1402411 */     GIR_EraseRootFromParent_Done,
     /* 1402412 */   // Label 19880: @1402412
     /* 1402412 */   GIM_Try, /*On fail goto*//*Label 19881*/ GIMT_Encode4(1402496), // Rule ID 22979 //
     /* 1402417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1402420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1402428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1402431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1402434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1402437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1402440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402470 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11256:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1402470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E16_MASK),
     /* 1402473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1402491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402495 */     // GIR_Coverage, 22979,
     /* 1402495 */     GIR_EraseRootFromParent_Done,
     /* 1402496 */   // Label 19881: @1402496
     /* 1402496 */   GIM_Try, /*On fail goto*//*Label 19882*/ GIMT_Encode4(1402580), // Rule ID 22982 //
     /* 1402501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1402504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1402521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402554 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1402554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1402557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402579 */     // GIR_Coverage, 22982,
     /* 1402579 */     GIR_EraseRootFromParent_Done,
     /* 1402580 */   // Label 19882: @1402580
     /* 1402580 */   GIM_Try, /*On fail goto*//*Label 19883*/ GIMT_Encode4(1402664), // Rule ID 22983 //
     /* 1402585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1402588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1402602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1402605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1402608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1402623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402638 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1402638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E32_MASK),
     /* 1402641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402663 */     // GIR_Coverage, 22983,
     /* 1402663 */     GIR_EraseRootFromParent_Done,
     /* 1402664 */   // Label 19883: @1402664
     /* 1402664 */   GIM_Try, /*On fail goto*//*Label 19884*/ GIMT_Encode4(1402748), // Rule ID 22986 //
     /* 1402669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1402672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1402689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402722 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1402722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1402725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402747 */     // GIR_Coverage, 22986,
     /* 1402747 */     GIR_EraseRootFromParent_Done,
     /* 1402748 */   // Label 19884: @1402748
     /* 1402748 */   GIM_Try, /*On fail goto*//*Label 19885*/ GIMT_Encode4(1402832), // Rule ID 22987 //
     /* 1402753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1402756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1402770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1402773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1402776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1402791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402806 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1402806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E32_MASK),
     /* 1402809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402831 */     // GIR_Coverage, 22987,
     /* 1402831 */     GIR_EraseRootFromParent_Done,
     /* 1402832 */   // Label 19885: @1402832
     /* 1402832 */   GIM_Try, /*On fail goto*//*Label 19886*/ GIMT_Encode4(1402916), // Rule ID 22990 //
     /* 1402837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1402840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1402854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1402857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1402860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1402863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402890 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1402890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1402893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402914 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402915 */     // GIR_Coverage, 22990,
     /* 1402915 */     GIR_EraseRootFromParent_Done,
     /* 1402916 */   // Label 19886: @1402916
     /* 1402916 */   GIM_Try, /*On fail goto*//*Label 19887*/ GIMT_Encode4(1403000), // Rule ID 22991 //
     /* 1402921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1402924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1402929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1402932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1402935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1402938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1402941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1402944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1402947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1402951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1402959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1402963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1402967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1402974 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11256:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1402974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E32_MASK),
     /* 1402977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1402979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1402981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1402983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1402985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1402987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1402992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1402995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1402998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1402999 */     // GIR_Coverage, 22991,
     /* 1402999 */     GIR_EraseRootFromParent_Done,
     /* 1403000 */   // Label 19887: @1403000
     /* 1403000 */   GIM_Try, /*On fail goto*//*Label 19888*/ GIMT_Encode4(1403084), // Rule ID 22994 //
     /* 1403005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1403008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1403013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1403025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1403028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403058 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1403058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1403061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403083 */     // GIR_Coverage, 22994,
     /* 1403083 */     GIR_EraseRootFromParent_Done,
     /* 1403084 */   // Label 19888: @1403084
     /* 1403084 */   GIM_Try, /*On fail goto*//*Label 19889*/ GIMT_Encode4(1403168), // Rule ID 22995 //
     /* 1403089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1403092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1403097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1403106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1403109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1403112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1403127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403142 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1403142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M2_E64_MASK),
     /* 1403145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403166 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403167 */     // GIR_Coverage, 22995,
     /* 1403167 */     GIR_EraseRootFromParent_Done,
     /* 1403168 */   // Label 19889: @1403168
     /* 1403168 */   GIM_Try, /*On fail goto*//*Label 19890*/ GIMT_Encode4(1403252), // Rule ID 22998 //
     /* 1403173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1403176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1403181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1403193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1403196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403226 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1403226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1403229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403251 */     // GIR_Coverage, 22998,
     /* 1403251 */     GIR_EraseRootFromParent_Done,
     /* 1403252 */   // Label 19890: @1403252
     /* 1403252 */   GIM_Try, /*On fail goto*//*Label 19891*/ GIMT_Encode4(1403336), // Rule ID 22999 //
     /* 1403257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1403260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1403265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1403274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1403277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1403280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1403295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403310 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1403310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M4_E64_MASK),
     /* 1403313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403335 */     // GIR_Coverage, 22999,
     /* 1403335 */     GIR_EraseRootFromParent_Done,
     /* 1403336 */   // Label 19891: @1403336
     /* 1403336 */   GIM_Try, /*On fail goto*//*Label 19892*/ GIMT_Encode4(1403420), // Rule ID 23002 //
     /* 1403341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1403344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1403349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1403361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1403364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403394 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1403394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1403397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403418 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403419 */     // GIR_Coverage, 23002,
     /* 1403419 */     GIR_EraseRootFromParent_Done,
     /* 1403420 */   // Label 19892: @1403420
     /* 1403420 */   GIM_Try, /*On fail goto*//*Label 19893*/ GIMT_Encode4(1403504), // Rule ID 23003 //
     /* 1403425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1403428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmin_mask),
     /* 1403433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1403436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1403439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1403442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1403445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1403448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1403463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403478 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11256:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMIN_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1403478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMIN_VS_M8_E64_MASK),
     /* 1403481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1403499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403503 */     // GIR_Coverage, 23003,
     /* 1403503 */     GIR_EraseRootFromParent_Done,
     /* 1403504 */   // Label 19893: @1403504
     /* 1403504 */   GIM_Try, /*On fail goto*//*Label 19894*/ GIMT_Encode4(1403588), // Rule ID 23006 //
     /* 1403509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1403512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1403517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1403520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1403523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1403529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1403532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403562 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1403562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1403565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403586 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403587 */     // GIR_Coverage, 23006,
     /* 1403587 */     GIR_EraseRootFromParent_Done,
     /* 1403588 */   // Label 19894: @1403588
     /* 1403588 */   GIM_Try, /*On fail goto*//*Label 19895*/ GIMT_Encode4(1403672), // Rule ID 23007 //
     /* 1403593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1403596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1403601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1403604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1403607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1403610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1403613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1403616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403646 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1403646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF4_E16_MASK),
     /* 1403649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403671 */     // GIR_Coverage, 23007,
     /* 1403671 */     GIR_EraseRootFromParent_Done,
     /* 1403672 */   // Label 19895: @1403672
     /* 1403672 */   GIM_Try, /*On fail goto*//*Label 19896*/ GIMT_Encode4(1403756), // Rule ID 23010 //
     /* 1403677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1403680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1403685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1403688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1403691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1403694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1403697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1403700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403730 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1403730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1403733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403755 */     // GIR_Coverage, 23010,
     /* 1403755 */     GIR_EraseRootFromParent_Done,
     /* 1403756 */   // Label 19896: @1403756
     /* 1403756 */   GIM_Try, /*On fail goto*//*Label 19897*/ GIMT_Encode4(1403840), // Rule ID 23011 //
     /* 1403761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1403764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1403769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1403772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1403775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1403778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1403781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1403784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403814 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1403814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E16_MASK),
     /* 1403817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1403835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403838 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403839 */     // GIR_Coverage, 23011,
     /* 1403839 */     GIR_EraseRootFromParent_Done,
     /* 1403840 */   // Label 19897: @1403840
     /* 1403840 */   GIM_Try, /*On fail goto*//*Label 19898*/ GIMT_Encode4(1403924), // Rule ID 23014 //
     /* 1403845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1403848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1403853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1403862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1403865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1403868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1403871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403898 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1403898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1403901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1403916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1403919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1403922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1403923 */     // GIR_Coverage, 23014,
     /* 1403923 */     GIR_EraseRootFromParent_Done,
     /* 1403924 */   // Label 19898: @1403924
     /* 1403924 */   GIM_Try, /*On fail goto*//*Label 19899*/ GIMT_Encode4(1404008), // Rule ID 23015 //
     /* 1403929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1403932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1403937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1403940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1403943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1403946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1403949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1403952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1403955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1403959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1403971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1403975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1403982 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1403982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_MF2_E32_MASK),
     /* 1403985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1403987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1403989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1403991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1403993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1403995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404007 */     // GIR_Coverage, 23015,
     /* 1404007 */     GIR_EraseRootFromParent_Done,
     /* 1404008 */   // Label 19899: @1404008
     /* 1404008 */   GIM_Try, /*On fail goto*//*Label 19900*/ GIMT_Encode4(1404092), // Rule ID 23018 //
     /* 1404013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1404016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404066 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1404066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1404069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404090 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404091 */     // GIR_Coverage, 23018,
     /* 1404091 */     GIR_EraseRootFromParent_Done,
     /* 1404092 */   // Label 19900: @1404092
     /* 1404092 */   GIM_Try, /*On fail goto*//*Label 19901*/ GIMT_Encode4(1404176), // Rule ID 23019 //
     /* 1404097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1404100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1404114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1404120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404150 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1404150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E16_MASK),
     /* 1404153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404175 */     // GIR_Coverage, 23019,
     /* 1404175 */     GIR_EraseRootFromParent_Done,
     /* 1404176 */   // Label 19901: @1404176
     /* 1404176 */   GIM_Try, /*On fail goto*//*Label 19902*/ GIMT_Encode4(1404260), // Rule ID 23022 //
     /* 1404181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1404184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1404198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1404201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1404204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404234 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1404234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1404237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404259 */     // GIR_Coverage, 23022,
     /* 1404259 */     GIR_EraseRootFromParent_Done,
     /* 1404260 */   // Label 19902: @1404260
     /* 1404260 */   GIM_Try, /*On fail goto*//*Label 19903*/ GIMT_Encode4(1404344), // Rule ID 23023 //
     /* 1404265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1404268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1404276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1404279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1404282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1404285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1404288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404318 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1404318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E32_MASK),
     /* 1404321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1404339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404343 */     // GIR_Coverage, 23023,
     /* 1404343 */     GIR_EraseRootFromParent_Done,
     /* 1404344 */   // Label 19903: @1404344
     /* 1404344 */   GIM_Try, /*On fail goto*//*Label 19904*/ GIMT_Encode4(1404428), // Rule ID 23026 //
     /* 1404349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1404352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1404366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1404369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1404372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404402 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1404402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1404405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404427 */     // GIR_Coverage, 23026,
     /* 1404427 */     GIR_EraseRootFromParent_Done,
     /* 1404428 */   // Label 19904: @1404428
     /* 1404428 */   GIM_Try, /*On fail goto*//*Label 19905*/ GIMT_Encode4(1404512), // Rule ID 23027 //
     /* 1404433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1404436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1404444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1404447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1404450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1404453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1404456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404486 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1404486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M1_E64_MASK),
     /* 1404489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1404507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404511 */     // GIR_Coverage, 23027,
     /* 1404511 */     GIR_EraseRootFromParent_Done,
     /* 1404512 */   // Label 19905: @1404512
     /* 1404512 */   GIM_Try, /*On fail goto*//*Label 19906*/ GIMT_Encode4(1404596), // Rule ID 23030 //
     /* 1404517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1404520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404570 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1404570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1404573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404595 */     // GIR_Coverage, 23030,
     /* 1404595 */     GIR_EraseRootFromParent_Done,
     /* 1404596 */   // Label 19906: @1404596
     /* 1404596 */   GIM_Try, /*On fail goto*//*Label 19907*/ GIMT_Encode4(1404680), // Rule ID 23031 //
     /* 1404601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1404604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1404618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1404624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1404639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404654 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1404654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E16_MASK),
     /* 1404657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404679 */     // GIR_Coverage, 23031,
     /* 1404679 */     GIR_EraseRootFromParent_Done,
     /* 1404680 */   // Label 19907: @1404680
     /* 1404680 */   GIM_Try, /*On fail goto*//*Label 19908*/ GIMT_Encode4(1404764), // Rule ID 23034 //
     /* 1404685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1404688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1404708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404738 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1404738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1404741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404763 */     // GIR_Coverage, 23034,
     /* 1404763 */     GIR_EraseRootFromParent_Done,
     /* 1404764 */   // Label 19908: @1404764
     /* 1404764 */   GIM_Try, /*On fail goto*//*Label 19909*/ GIMT_Encode4(1404848), // Rule ID 23035 //
     /* 1404769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1404772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1404786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1404792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1404807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404822 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1404822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E16_MASK),
     /* 1404825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404847 */     // GIR_Coverage, 23035,
     /* 1404847 */     GIR_EraseRootFromParent_Done,
     /* 1404848 */   // Label 19909: @1404848
     /* 1404848 */   GIM_Try, /*On fail goto*//*Label 19910*/ GIMT_Encode4(1404932), // Rule ID 23038 //
     /* 1404853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1404856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1404876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1404879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404906 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 1404906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1404909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1404917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1404919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1404924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1404927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1404930 */     GIR_RootConstrainSelectedInstOperands,
     /* 1404931 */     // GIR_Coverage, 23038,
     /* 1404931 */     GIR_EraseRootFromParent_Done,
     /* 1404932 */   // Label 19910: @1404932
     /* 1404932 */   GIM_Try, /*On fail goto*//*Label 19911*/ GIMT_Encode4(1405016), // Rule ID 23039 //
     /* 1404937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1404940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1404945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1404948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1404951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1404954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1404957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1404960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1404963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1404967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1404975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1404979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1404983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1404990 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11254:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 1404990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E16_MASK),
     /* 1404993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1404995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1404997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1404999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1405011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405014 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405015 */     // GIR_Coverage, 23039,
     /* 1405015 */     GIR_EraseRootFromParent_Done,
     /* 1405016 */   // Label 19911: @1405016
     /* 1405016 */   GIM_Try, /*On fail goto*//*Label 19912*/ GIMT_Encode4(1405100), // Rule ID 23042 //
     /* 1405021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1405024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1405041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1405044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405074 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1405074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1405077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405099 */     // GIR_Coverage, 23042,
     /* 1405099 */     GIR_EraseRootFromParent_Done,
     /* 1405100 */   // Label 19912: @1405100
     /* 1405100 */   GIM_Try, /*On fail goto*//*Label 19913*/ GIMT_Encode4(1405184), // Rule ID 23043 //
     /* 1405105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1405108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1405122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1405125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1405128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405158 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1405158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E32_MASK),
     /* 1405161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405182 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405183 */     // GIR_Coverage, 23043,
     /* 1405183 */     GIR_EraseRootFromParent_Done,
     /* 1405184 */   // Label 19913: @1405184
     /* 1405184 */   GIM_Try, /*On fail goto*//*Label 19914*/ GIMT_Encode4(1405268), // Rule ID 23046 //
     /* 1405189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1405192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1405209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405242 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1405242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1405245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405267 */     // GIR_Coverage, 23046,
     /* 1405267 */     GIR_EraseRootFromParent_Done,
     /* 1405268 */   // Label 19914: @1405268
     /* 1405268 */   GIM_Try, /*On fail goto*//*Label 19915*/ GIMT_Encode4(1405352), // Rule ID 23047 //
     /* 1405273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1405276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1405290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1405293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405326 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1405326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E32_MASK),
     /* 1405329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405351 */     // GIR_Coverage, 23047,
     /* 1405351 */     GIR_EraseRootFromParent_Done,
     /* 1405352 */   // Label 19915: @1405352
     /* 1405352 */   GIM_Try, /*On fail goto*//*Label 19916*/ GIMT_Encode4(1405436), // Rule ID 23050 //
     /* 1405357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1405360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1405374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1405377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1405380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 1405410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1405413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405435 */     // GIR_Coverage, 23050,
     /* 1405435 */     GIR_EraseRootFromParent_Done,
     /* 1405436 */   // Label 19916: @1405436
     /* 1405436 */   GIM_Try, /*On fail goto*//*Label 19917*/ GIMT_Encode4(1405520), // Rule ID 23051 //
     /* 1405441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1405444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1405452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1405455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1405458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1405461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1405464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405494 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11254:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 1405494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E32_MASK),
     /* 1405497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1405515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405519 */     // GIR_Coverage, 23051,
     /* 1405519 */     GIR_EraseRootFromParent_Done,
     /* 1405520 */   // Label 19917: @1405520
     /* 1405520 */   GIM_Try, /*On fail goto*//*Label 19918*/ GIMT_Encode4(1405604), // Rule ID 23054 //
     /* 1405525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1405528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1405542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1405545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1405548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405578 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1405578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1405581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405603 */     // GIR_Coverage, 23054,
     /* 1405603 */     GIR_EraseRootFromParent_Done,
     /* 1405604 */   // Label 19918: @1405604
     /* 1405604 */   GIM_Try, /*On fail goto*//*Label 19919*/ GIMT_Encode4(1405688), // Rule ID 23055 //
     /* 1405609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1405612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1405626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1405629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1405632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1405647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405662 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1405662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M2_E64_MASK),
     /* 1405665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405686 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405687 */     // GIR_Coverage, 23055,
     /* 1405687 */     GIR_EraseRootFromParent_Done,
     /* 1405688 */   // Label 19919: @1405688
     /* 1405688 */   GIM_Try, /*On fail goto*//*Label 19920*/ GIMT_Encode4(1405772), // Rule ID 23058 //
     /* 1405693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1405696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1405710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1405713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1405716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405746 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1405746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1405749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405771 */     // GIR_Coverage, 23058,
     /* 1405771 */     GIR_EraseRootFromParent_Done,
     /* 1405772 */   // Label 19920: @1405772
     /* 1405772 */   GIM_Try, /*On fail goto*//*Label 19921*/ GIMT_Encode4(1405856), // Rule ID 23059 //
     /* 1405777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1405780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1405794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1405797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1405800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1405815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405830 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1405830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M4_E64_MASK),
     /* 1405833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405854 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405855 */     // GIR_Coverage, 23059,
     /* 1405855 */     GIR_EraseRootFromParent_Done,
     /* 1405856 */   // Label 19921: @1405856
     /* 1405856 */   GIM_Try, /*On fail goto*//*Label 19922*/ GIMT_Encode4(1405940), // Rule ID 23062 //
     /* 1405861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1405864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1405878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1405881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1405887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405914 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 1405914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1405917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1405919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1405921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1405923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1405925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1405927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1405932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1405935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1405938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1405939 */     // GIR_Coverage, 23062,
     /* 1405939 */     GIR_EraseRootFromParent_Done,
     /* 1405940 */   // Label 19922: @1405940
     /* 1405940 */   GIM_Try, /*On fail goto*//*Label 19923*/ GIMT_Encode4(1406024), // Rule ID 23063 //
     /* 1405945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1405948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredmax_mask),
     /* 1405953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1405956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1405959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1405962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1405965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1405968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1405971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1405975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1405983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1405987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1405991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1405998 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11254:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDMAX_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 1405998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDMAX_VS_M8_E64_MASK),
     /* 1406001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1406005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1406009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1406019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 1406022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406023 */     // GIR_Coverage, 23063,
     /* 1406023 */     GIR_EraseRootFromParent_Done,
     /* 1406024 */   // Label 19923: @1406024
     /* 1406024 */   GIM_Reject,
     /* 1406025 */ // Label 13865: @1406025
     /* 1406025 */ GIM_Try, /*On fail goto*//*Label 19924*/ GIMT_Encode4(2019826),
     /* 1406030 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/8,
     /* 1406033 */   GIM_Try, /*On fail goto*//*Label 19925*/ GIMT_Encode4(1406119), // Rule ID 7356 //
     /* 1406038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1406049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1406052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1406055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406076 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406084 */     // MIs[0] policy
     /* 1406084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1406097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406118 */     // GIR_Coverage, 7356,
     /* 1406118 */     GIR_EraseRootFromParent_Done,
     /* 1406119 */   // Label 19925: @1406119
     /* 1406119 */   GIM_Try, /*On fail goto*//*Label 19926*/ GIMT_Encode4(1406205), // Rule ID 7357 //
     /* 1406124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1406135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1406138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1406141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406162 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406170 */     // MIs[0] policy
     /* 1406170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406180 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1406183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406204 */     // GIR_Coverage, 7357,
     /* 1406204 */     GIR_EraseRootFromParent_Done,
     /* 1406205 */   // Label 19926: @1406205
     /* 1406205 */   GIM_Try, /*On fail goto*//*Label 19927*/ GIMT_Encode4(1406291), // Rule ID 7360 //
     /* 1406210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1406221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1406224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1406227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1406233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406248 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406256 */     // MIs[0] policy
     /* 1406256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1406269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406290 */     // GIR_Coverage, 7360,
     /* 1406290 */     GIR_EraseRootFromParent_Done,
     /* 1406291 */   // Label 19927: @1406291
     /* 1406291 */   GIM_Try, /*On fail goto*//*Label 19928*/ GIMT_Encode4(1406377), // Rule ID 7361 //
     /* 1406296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1406307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1406310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1406313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1406319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406334 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406342 */     // MIs[0] policy
     /* 1406342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1406355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406376 */     // GIR_Coverage, 7361,
     /* 1406376 */     GIR_EraseRootFromParent_Done,
     /* 1406377 */   // Label 19928: @1406377
     /* 1406377 */   GIM_Try, /*On fail goto*//*Label 19929*/ GIMT_Encode4(1406463), // Rule ID 7364 //
     /* 1406382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1406393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1406396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1406399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1406405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406420 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406428 */     // MIs[0] policy
     /* 1406428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406438 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1406441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406462 */     // GIR_Coverage, 7364,
     /* 1406462 */     GIR_EraseRootFromParent_Done,
     /* 1406463 */   // Label 19929: @1406463
     /* 1406463 */   GIM_Try, /*On fail goto*//*Label 19930*/ GIMT_Encode4(1406549), // Rule ID 7365 //
     /* 1406468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1406479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1406482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1406485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1406491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406506 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406514 */     // MIs[0] policy
     /* 1406514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1406527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1406545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406548 */     // GIR_Coverage, 7365,
     /* 1406548 */     GIR_EraseRootFromParent_Done,
     /* 1406549 */   // Label 19930: @1406549
     /* 1406549 */   GIM_Try, /*On fail goto*//*Label 19931*/ GIMT_Encode4(1406635), // Rule ID 7368 //
     /* 1406554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1406565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1406568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1406571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406592 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406600 */     // MIs[0] policy
     /* 1406600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406610 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1406613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406634 */     // GIR_Coverage, 7368,
     /* 1406634 */     GIR_EraseRootFromParent_Done,
     /* 1406635 */   // Label 19931: @1406635
     /* 1406635 */   GIM_Try, /*On fail goto*//*Label 19932*/ GIMT_Encode4(1406721), // Rule ID 7369 //
     /* 1406640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1406651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1406654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1406657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406678 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406686 */     // MIs[0] policy
     /* 1406686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1406699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406720 */     // GIR_Coverage, 7369,
     /* 1406720 */     GIR_EraseRootFromParent_Done,
     /* 1406721 */   // Label 19932: @1406721
     /* 1406721 */   GIM_Try, /*On fail goto*//*Label 19933*/ GIMT_Encode4(1406807), // Rule ID 7372 //
     /* 1406726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1406737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1406740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1406743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1406749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406764 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406772 */     // MIs[0] policy
     /* 1406772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406782 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1406785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406806 */     // GIR_Coverage, 7372,
     /* 1406806 */     GIR_EraseRootFromParent_Done,
     /* 1406807 */   // Label 19933: @1406807
     /* 1406807 */   GIM_Try, /*On fail goto*//*Label 19934*/ GIMT_Encode4(1406893), // Rule ID 7373 //
     /* 1406812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1406823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1406826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1406829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1406832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1406835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1406838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406850 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406858 */     // MIs[0] policy
     /* 1406858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1406868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1406871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1406889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406892 */     // GIR_Coverage, 7373,
     /* 1406892 */     GIR_EraseRootFromParent_Done,
     /* 1406893 */   // Label 19934: @1406893
     /* 1406893 */   GIM_Try, /*On fail goto*//*Label 19935*/ GIMT_Encode4(1406979), // Rule ID 7376 //
     /* 1406898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1406901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1406909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1406912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1406915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1406918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1406921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1406924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1406928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1406936 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1406940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1406944 */     // MIs[0] policy
     /* 1406944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1406947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1406954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1406954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1406957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1406959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1406961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1406965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1406967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1406972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1406975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1406977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1406978 */     // GIR_Coverage, 7376,
     /* 1406978 */     GIR_EraseRootFromParent_Done,
     /* 1406979 */   // Label 19935: @1406979
     /* 1406979 */   GIM_Try, /*On fail goto*//*Label 19936*/ GIMT_Encode4(1407065), // Rule ID 7377 //
     /* 1406984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1406987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1406992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1406995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1406998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1407001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1407007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407022 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407030 */     // MIs[0] policy
     /* 1407030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1407043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407064 */     // GIR_Coverage, 7377,
     /* 1407064 */     GIR_EraseRootFromParent_Done,
     /* 1407065 */   // Label 19936: @1407065
     /* 1407065 */   GIM_Try, /*On fail goto*//*Label 19937*/ GIMT_Encode4(1407151), // Rule ID 7380 //
     /* 1407070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1407087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1407093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407108 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407116 */     // MIs[0] policy
     /* 1407116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407126 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1407129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407150 */     // GIR_Coverage, 7380,
     /* 1407150 */     GIR_EraseRootFromParent_Done,
     /* 1407151 */   // Label 19937: @1407151
     /* 1407151 */   GIM_Try, /*On fail goto*//*Label 19938*/ GIMT_Encode4(1407237), // Rule ID 7381 //
     /* 1407156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1407167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1407170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1407173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1407179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407194 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407202 */     // MIs[0] policy
     /* 1407202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1407215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407236 */     // GIR_Coverage, 7381,
     /* 1407236 */     GIR_EraseRootFromParent_Done,
     /* 1407237 */   // Label 19938: @1407237
     /* 1407237 */   GIM_Try, /*On fail goto*//*Label 19939*/ GIMT_Encode4(1407323), // Rule ID 7384 //
     /* 1407242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1407253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1407256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1407265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407280 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407288 */     // MIs[0] policy
     /* 1407288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1407301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407322 */     // GIR_Coverage, 7384,
     /* 1407322 */     GIR_EraseRootFromParent_Done,
     /* 1407323 */   // Label 19939: @1407323
     /* 1407323 */   GIM_Try, /*On fail goto*//*Label 19940*/ GIMT_Encode4(1407409), // Rule ID 7385 //
     /* 1407328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1407339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1407342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1407345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1407351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407366 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407374 */     // MIs[0] policy
     /* 1407374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1407387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1407405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407408 */     // GIR_Coverage, 7385,
     /* 1407408 */     GIR_EraseRootFromParent_Done,
     /* 1407409 */   // Label 19940: @1407409
     /* 1407409 */   GIM_Try, /*On fail goto*//*Label 19941*/ GIMT_Encode4(1407495), // Rule ID 7388 //
     /* 1407414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1407425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1407428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1407431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1407437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407452 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407460 */     // MIs[0] policy
     /* 1407460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1407473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407494 */     // GIR_Coverage, 7388,
     /* 1407494 */     GIR_EraseRootFromParent_Done,
     /* 1407495 */   // Label 19941: @1407495
     /* 1407495 */   GIM_Try, /*On fail goto*//*Label 19942*/ GIMT_Encode4(1407581), // Rule ID 7389 //
     /* 1407500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1407511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1407514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1407517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1407523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407538 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407546 */     // MIs[0] policy
     /* 1407546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1407559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1407577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407580 */     // GIR_Coverage, 7389,
     /* 1407580 */     GIR_EraseRootFromParent_Done,
     /* 1407581 */   // Label 19942: @1407581
     /* 1407581 */   GIM_Try, /*On fail goto*//*Label 19943*/ GIMT_Encode4(1407667), // Rule ID 7392 //
     /* 1407586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1407589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1407597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1407600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1407603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1407609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407624 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407632 */     // MIs[0] policy
     /* 1407632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1407645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407666 */     // GIR_Coverage, 7392,
     /* 1407666 */     GIR_EraseRootFromParent_Done,
     /* 1407667 */   // Label 19943: @1407667
     /* 1407667 */   GIM_Try, /*On fail goto*//*Label 19944*/ GIMT_Encode4(1407753), // Rule ID 7393 //
     /* 1407672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1407675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1407683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1407686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1407689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1407695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1407702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1407710 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407718 */     // MIs[0] policy
     /* 1407718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1407731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1407749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407752 */     // GIR_Coverage, 7393,
     /* 1407752 */     GIR_EraseRootFromParent_Done,
     /* 1407753 */   // Label 19944: @1407753
     /* 1407753 */   GIM_Try, /*On fail goto*//*Label 19945*/ GIMT_Encode4(1407839), // Rule ID 7396 //
     /* 1407758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1407769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1407772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1407775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1407781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407796 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407804 */     // MIs[0] policy
     /* 1407804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407814 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1407817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407838 */     // GIR_Coverage, 7396,
     /* 1407838 */     GIR_EraseRootFromParent_Done,
     /* 1407839 */   // Label 19945: @1407839
     /* 1407839 */   GIM_Try, /*On fail goto*//*Label 19946*/ GIMT_Encode4(1407925), // Rule ID 7397 //
     /* 1407844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1407847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1407855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1407858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1407861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1407864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1407867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1407870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1407874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1407882 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407890 */     // MIs[0] policy
     /* 1407890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1407900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1407903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1407918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1407921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1407923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1407924 */     // GIR_Coverage, 7397,
     /* 1407924 */     GIR_EraseRootFromParent_Done,
     /* 1407925 */   // Label 19946: @1407925
     /* 1407925 */   GIM_Try, /*On fail goto*//*Label 19947*/ GIMT_Encode4(1408011), // Rule ID 7400 //
     /* 1407930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1407933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1407938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1407941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1407944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1407947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1407950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1407953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1407956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1407960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1407968 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1407972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1407976 */     // MIs[0] policy
     /* 1407976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1407979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1407986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1407986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1407989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1407991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1407993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1407997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1407999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408010 */     // GIR_Coverage, 7400,
     /* 1408010 */     GIR_EraseRootFromParent_Done,
     /* 1408011 */   // Label 19947: @1408011
     /* 1408011 */   GIM_Try, /*On fail goto*//*Label 19948*/ GIMT_Encode4(1408097), // Rule ID 7401 //
     /* 1408016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1408027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1408030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1408033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1408039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408054 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408062 */     // MIs[0] policy
     /* 1408062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1408075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408096 */     // GIR_Coverage, 7401,
     /* 1408096 */     GIR_EraseRootFromParent_Done,
     /* 1408097 */   // Label 19948: @1408097
     /* 1408097 */   GIM_Try, /*On fail goto*//*Label 19949*/ GIMT_Encode4(1408183), // Rule ID 7404 //
     /* 1408102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1408113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1408116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1408119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1408125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408140 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408148 */     // MIs[0] policy
     /* 1408148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1408161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408182 */     // GIR_Coverage, 7404,
     /* 1408182 */     GIR_EraseRootFromParent_Done,
     /* 1408183 */   // Label 19949: @1408183
     /* 1408183 */   GIM_Try, /*On fail goto*//*Label 19950*/ GIMT_Encode4(1408269), // Rule ID 7405 //
     /* 1408188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1408199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1408202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1408205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1408211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408226 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408234 */     // MIs[0] policy
     /* 1408234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408244 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1408247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1408265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408268 */     // GIR_Coverage, 7405,
     /* 1408268 */     GIR_EraseRootFromParent_Done,
     /* 1408269 */   // Label 19950: @1408269
     /* 1408269 */   GIM_Try, /*On fail goto*//*Label 19951*/ GIMT_Encode4(1408355), // Rule ID 7408 //
     /* 1408274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1408297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408312 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408320 */     // MIs[0] policy
     /* 1408320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1408333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408354 */     // GIR_Coverage, 7408,
     /* 1408354 */     GIR_EraseRootFromParent_Done,
     /* 1408355 */   // Label 19951: @1408355
     /* 1408355 */   GIM_Try, /*On fail goto*//*Label 19952*/ GIMT_Encode4(1408441), // Rule ID 7409 //
     /* 1408360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1408371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1408374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1408377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1408383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408398 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408406 */     // MIs[0] policy
     /* 1408406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1408419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408440 */     // GIR_Coverage, 7409,
     /* 1408440 */     GIR_EraseRootFromParent_Done,
     /* 1408441 */   // Label 19952: @1408441
     /* 1408441 */   GIM_Try, /*On fail goto*//*Label 19953*/ GIMT_Encode4(1408527), // Rule ID 7412 //
     /* 1408446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1408457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1408460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1408463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1408469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408484 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408492 */     // MIs[0] policy
     /* 1408492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1408505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408526 */     // GIR_Coverage, 7412,
     /* 1408526 */     GIR_EraseRootFromParent_Done,
     /* 1408527 */   // Label 19953: @1408527
     /* 1408527 */   GIM_Try, /*On fail goto*//*Label 19954*/ GIMT_Encode4(1408613), // Rule ID 7413 //
     /* 1408532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1408543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1408546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1408549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1408555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408570 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408578 */     // MIs[0] policy
     /* 1408578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1408591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408612 */     // GIR_Coverage, 7413,
     /* 1408612 */     GIR_EraseRootFromParent_Done,
     /* 1408613 */   // Label 19954: @1408613
     /* 1408613 */   GIM_Try, /*On fail goto*//*Label 19955*/ GIMT_Encode4(1408699), // Rule ID 7416 //
     /* 1408618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1408629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1408632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1408635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1408641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408656 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408664 */     // MIs[0] policy
     /* 1408664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1408677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408698 */     // GIR_Coverage, 7416,
     /* 1408698 */     GIR_EraseRootFromParent_Done,
     /* 1408699 */   // Label 19955: @1408699
     /* 1408699 */   GIM_Try, /*On fail goto*//*Label 19956*/ GIMT_Encode4(1408785), // Rule ID 7417 //
     /* 1408704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1408715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1408718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1408721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1408727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1408734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1408742 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408750 */     // MIs[0] policy
     /* 1408750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1408763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1408781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408784 */     // GIR_Coverage, 7417,
     /* 1408784 */     GIR_EraseRootFromParent_Done,
     /* 1408785 */   // Label 19956: @1408785
     /* 1408785 */   GIM_Try, /*On fail goto*//*Label 19957*/ GIMT_Encode4(1408871), // Rule ID 7420 //
     /* 1408790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1408801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1408813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408828 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408836 */     // MIs[0] policy
     /* 1408836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1408846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1408849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408870 */     // GIR_Coverage, 7420,
     /* 1408870 */     GIR_EraseRootFromParent_Done,
     /* 1408871 */   // Label 19957: @1408871
     /* 1408871 */   GIM_Try, /*On fail goto*//*Label 19958*/ GIMT_Encode4(1408957), // Rule ID 7421 //
     /* 1408876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1408879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1408887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1408890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1408893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1408896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1408899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1408902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1408906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1408914 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1408918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1408922 */     // MIs[0] policy
     /* 1408922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1408925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1408932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1408932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1408935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1408937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1408939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1408943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1408945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1408950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1408953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1408955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1408956 */     // GIR_Coverage, 7421,
     /* 1408956 */     GIR_EraseRootFromParent_Done,
     /* 1408957 */   // Label 19958: @1408957
     /* 1408957 */   GIM_Try, /*On fail goto*//*Label 19959*/ GIMT_Encode4(1409043), // Rule ID 7424 //
     /* 1408962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1408965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1408970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1408973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1408976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1408979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1408982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1408985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1408988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1408992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1408996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409000 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409008 */     // MIs[0] policy
     /* 1409008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1409021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409042 */     // GIR_Coverage, 7424,
     /* 1409042 */     GIR_EraseRootFromParent_Done,
     /* 1409043 */   // Label 19959: @1409043
     /* 1409043 */   GIM_Try, /*On fail goto*//*Label 19960*/ GIMT_Encode4(1409129), // Rule ID 7425 //
     /* 1409048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1409059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1409062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1409065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1409071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409086 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409094 */     // MIs[0] policy
     /* 1409094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1409107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409128 */     // GIR_Coverage, 7425,
     /* 1409128 */     GIR_EraseRootFromParent_Done,
     /* 1409129 */   // Label 19960: @1409129
     /* 1409129 */   GIM_Try, /*On fail goto*//*Label 19961*/ GIMT_Encode4(1409215), // Rule ID 7428 //
     /* 1409134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1409137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1409145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1409148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1409157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409172 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409180 */     // MIs[0] policy
     /* 1409180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1409193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409214 */     // GIR_Coverage, 7428,
     /* 1409214 */     GIR_EraseRootFromParent_Done,
     /* 1409215 */   // Label 19961: @1409215
     /* 1409215 */   GIM_Try, /*On fail goto*//*Label 19962*/ GIMT_Encode4(1409301), // Rule ID 7429 //
     /* 1409220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1409223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1409231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1409234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1409237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1409243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409258 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409266 */     // MIs[0] policy
     /* 1409266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409276 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1409279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1409297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409300 */     // GIR_Coverage, 7429,
     /* 1409300 */     GIR_EraseRootFromParent_Done,
     /* 1409301 */   // Label 19962: @1409301
     /* 1409301 */   GIM_Try, /*On fail goto*//*Label 19963*/ GIMT_Encode4(1409387), // Rule ID 7432 //
     /* 1409306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1409309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1409317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1409320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1409329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409344 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409352 */     // MIs[0] policy
     /* 1409352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1409365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409386 */     // GIR_Coverage, 7432,
     /* 1409386 */     GIR_EraseRootFromParent_Done,
     /* 1409387 */   // Label 19963: @1409387
     /* 1409387 */   GIM_Try, /*On fail goto*//*Label 19964*/ GIMT_Encode4(1409473), // Rule ID 7433 //
     /* 1409392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1409395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1409403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1409406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1409409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1409415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1409422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1409430 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409438 */     // MIs[0] policy
     /* 1409438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1409451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409472 */     // GIR_Coverage, 7433,
     /* 1409472 */     GIR_EraseRootFromParent_Done,
     /* 1409473 */   // Label 19964: @1409473
     /* 1409473 */   GIM_Try, /*On fail goto*//*Label 19965*/ GIMT_Encode4(1409559), // Rule ID 7436 //
     /* 1409478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1409481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1409489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1409492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1409501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409516 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409524 */     // MIs[0] policy
     /* 1409524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409534 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1409537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409558 */     // GIR_Coverage, 7436,
     /* 1409558 */     GIR_EraseRootFromParent_Done,
     /* 1409559 */   // Label 19965: @1409559
     /* 1409559 */   GIM_Try, /*On fail goto*//*Label 19966*/ GIMT_Encode4(1409645), // Rule ID 7437 //
     /* 1409564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1409567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1409575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1409578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1409581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1409587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1409594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1409602 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409610 */     // MIs[0] policy
     /* 1409610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1409623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409644 */     // GIR_Coverage, 7437,
     /* 1409644 */     GIR_EraseRootFromParent_Done,
     /* 1409645 */   // Label 19966: @1409645
     /* 1409645 */   GIM_Try, /*On fail goto*//*Label 19967*/ GIMT_Encode4(1409731), // Rule ID 7440 //
     /* 1409650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1409653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1409661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1409664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1409670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1409673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409688 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409696 */     // MIs[0] policy
     /* 1409696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i64] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1409709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409730 */     // GIR_Coverage, 7440,
     /* 1409730 */     GIR_EraseRootFromParent_Done,
     /* 1409731 */   // Label 19967: @1409731
     /* 1409731 */   GIM_Try, /*On fail goto*//*Label 19968*/ GIMT_Encode4(1409817), // Rule ID 7441 //
     /* 1409736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1409739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1409744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1409747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1409750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1409753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1409756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1409759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1409766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1409774 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/4, 1,
     /* 1409778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409782 */     // MIs[0] policy
     /* 1409782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, 1:{ *:[i32] }, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1409795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1409803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1409805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1409813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409816 */     // GIR_Coverage, 7441,
     /* 1409816 */     GIR_EraseRootFromParent_Done,
     /* 1409817 */   // Label 19968: @1409817
     /* 1409817 */   GIM_Try, /*On fail goto*//*Label 19969*/ GIMT_Encode4(1409905), // Rule ID 2746 //
     /* 1409822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1409825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1409830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1409833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1409836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1409839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1409845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409861 */     // MIs[0] Operand 5
     /* 1409861 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409872 */     // MIs[0] policy
     /* 1409872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409882 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1409882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1409885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409904 */     // GIR_Coverage, 2746,
     /* 1409904 */     GIR_EraseRootFromParent_Done,
     /* 1409905 */   // Label 19969: @1409905
     /* 1409905 */   GIM_Try, /*On fail goto*//*Label 19970*/ GIMT_Encode4(1409993), // Rule ID 2747 //
     /* 1409910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1409913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1409918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1409921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1409924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1409927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1409930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1409933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1409937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1409945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1409949 */     // MIs[0] Operand 5
     /* 1409949 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1409960 */     // MIs[0] policy
     /* 1409960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1409963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1409970 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1409970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4_MASK),
     /* 1409973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1409975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1409977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1409979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1409981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1409986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1409989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1409991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1409992 */     // GIR_Coverage, 2747,
     /* 1409992 */     GIR_EraseRootFromParent_Done,
     /* 1409993 */   // Label 19970: @1409993
     /* 1409993 */   GIM_Try, /*On fail goto*//*Label 19971*/ GIMT_Encode4(1410081), // Rule ID 20638 //
     /* 1409998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1410009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1410012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410037 */     // MIs[0] Operand 5
     /* 1410037 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410048 */     // MIs[0] policy
     /* 1410048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410058 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1410061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410080 */     // GIR_Coverage, 20638,
     /* 1410080 */     GIR_EraseRootFromParent_Done,
     /* 1410081 */   // Label 19971: @1410081
     /* 1410081 */   GIM_Try, /*On fail goto*//*Label 19972*/ GIMT_Encode4(1410169), // Rule ID 20639 //
     /* 1410086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1410097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1410100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1410103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410125 */     // MIs[0] Operand 5
     /* 1410125 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410136 */     // MIs[0] policy
     /* 1410136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1410149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410168 */     // GIR_Coverage, 20639,
     /* 1410168 */     GIR_EraseRootFromParent_Done,
     /* 1410169 */   // Label 19972: @1410169
     /* 1410169 */   GIM_Try, /*On fail goto*//*Label 19973*/ GIMT_Encode4(1410257), // Rule ID 20642 //
     /* 1410174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410213 */     // MIs[0] Operand 5
     /* 1410213 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410224 */     // MIs[0] policy
     /* 1410224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410234 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1410237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410256 */     // GIR_Coverage, 20642,
     /* 1410256 */     GIR_EraseRootFromParent_Done,
     /* 1410257 */   // Label 19973: @1410257
     /* 1410257 */   GIM_Try, /*On fail goto*//*Label 19974*/ GIMT_Encode4(1410345), // Rule ID 20643 //
     /* 1410262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1410273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1410276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1410279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410301 */     // MIs[0] Operand 5
     /* 1410301 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410312 */     // MIs[0] policy
     /* 1410312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410322 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2_MASK),
     /* 1410325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410344 */     // GIR_Coverage, 20643,
     /* 1410344 */     GIR_EraseRootFromParent_Done,
     /* 1410345 */   // Label 19974: @1410345
     /* 1410345 */   GIM_Try, /*On fail goto*//*Label 19975*/ GIMT_Encode4(1410433), // Rule ID 20646 //
     /* 1410350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1410361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1410364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410389 */     // MIs[0] Operand 5
     /* 1410389 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410400 */     // MIs[0] policy
     /* 1410400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410410 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1410413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410432 */     // GIR_Coverage, 20646,
     /* 1410432 */     GIR_EraseRootFromParent_Done,
     /* 1410433 */   // Label 19975: @1410433
     /* 1410433 */   GIM_Try, /*On fail goto*//*Label 19976*/ GIMT_Encode4(1410521), // Rule ID 20647 //
     /* 1410438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1410449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1410452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1410455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1410458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410477 */     // MIs[0] Operand 5
     /* 1410477 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410488 */     // MIs[0] policy
     /* 1410488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410498 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1410501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410520 */     // GIR_Coverage, 20647,
     /* 1410520 */     GIR_EraseRootFromParent_Done,
     /* 1410521 */   // Label 19976: @1410521
     /* 1410521 */   GIM_Try, /*On fail goto*//*Label 19977*/ GIMT_Encode4(1410609), // Rule ID 20650 //
     /* 1410526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1410529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1410537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1410540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1410543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410565 */     // MIs[0] Operand 5
     /* 1410565 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410576 */     // MIs[0] policy
     /* 1410576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410586 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1410589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410608 */     // GIR_Coverage, 20650,
     /* 1410608 */     GIR_EraseRootFromParent_Done,
     /* 1410609 */   // Label 19977: @1410609
     /* 1410609 */   GIM_Try, /*On fail goto*//*Label 19978*/ GIMT_Encode4(1410697), // Rule ID 20651 //
     /* 1410614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1410617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1410625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1410628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1410631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1410634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410653 */     // MIs[0] Operand 5
     /* 1410653 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410664 */     // MIs[0] policy
     /* 1410664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1410677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1410693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410696 */     // GIR_Coverage, 20651,
     /* 1410696 */     GIR_EraseRootFromParent_Done,
     /* 1410697 */   // Label 19978: @1410697
     /* 1410697 */   GIM_Try, /*On fail goto*//*Label 19979*/ GIMT_Encode4(1410785), // Rule ID 20654 //
     /* 1410702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1410705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1410713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1410716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1410719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410741 */     // MIs[0] Operand 5
     /* 1410741 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410752 */     // MIs[0] policy
     /* 1410752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1410765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410784 */     // GIR_Coverage, 20654,
     /* 1410784 */     GIR_EraseRootFromParent_Done,
     /* 1410785 */   // Label 19979: @1410785
     /* 1410785 */   GIM_Try, /*On fail goto*//*Label 19980*/ GIMT_Encode4(1410873), // Rule ID 20655 //
     /* 1410790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1410793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1410801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1410804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1410807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1410810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1410817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1410825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410829 */     // MIs[0] Operand 5
     /* 1410829 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410840 */     // MIs[0] policy
     /* 1410840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410850 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1410850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1_MASK),
     /* 1410853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1410869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410872 */     // GIR_Coverage, 20655,
     /* 1410872 */     GIR_EraseRootFromParent_Done,
     /* 1410873 */   // Label 19980: @1410873
     /* 1410873 */   GIM_Try, /*On fail goto*//*Label 19981*/ GIMT_Encode4(1410961), // Rule ID 20658 //
     /* 1410878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1410881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1410889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1410892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1410901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1410917 */     // MIs[0] Operand 5
     /* 1410917 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1410928 */     // MIs[0] policy
     /* 1410928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1410931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1410938 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1410938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1410941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1410943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1410945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1410947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1410949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1410954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1410957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1410959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1410960 */     // GIR_Coverage, 20658,
     /* 1410960 */     GIR_EraseRootFromParent_Done,
     /* 1410961 */   // Label 19981: @1410961
     /* 1410961 */   GIM_Try, /*On fail goto*//*Label 19982*/ GIMT_Encode4(1411049), // Rule ID 20659 //
     /* 1410966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1410969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1410974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1410977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1410980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1410983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1410986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1410989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1410993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1410997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411005 */     // MIs[0] Operand 5
     /* 1411005 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411016 */     // MIs[0] policy
     /* 1411016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411026 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1411029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411048 */     // GIR_Coverage, 20659,
     /* 1411048 */     GIR_EraseRootFromParent_Done,
     /* 1411049 */   // Label 19982: @1411049
     /* 1411049 */   GIM_Try, /*On fail goto*//*Label 19983*/ GIMT_Encode4(1411137), // Rule ID 20662 //
     /* 1411054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1411071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411093 */     // MIs[0] Operand 5
     /* 1411093 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411104 */     // MIs[0] policy
     /* 1411104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411114 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1411117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411136 */     // GIR_Coverage, 20662,
     /* 1411136 */     GIR_EraseRootFromParent_Done,
     /* 1411137 */   // Label 19983: @1411137
     /* 1411137 */   GIM_Try, /*On fail goto*//*Label 19984*/ GIMT_Encode4(1411225), // Rule ID 20663 //
     /* 1411142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1411153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1411156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1411159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411181 */     // MIs[0] Operand 5
     /* 1411181 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411192 */     // MIs[0] policy
     /* 1411192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411202 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1411205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411224 */     // GIR_Coverage, 20663,
     /* 1411224 */     GIR_EraseRootFromParent_Done,
     /* 1411225 */   // Label 19984: @1411225
     /* 1411225 */   GIM_Try, /*On fail goto*//*Label 19985*/ GIMT_Encode4(1411313), // Rule ID 20666 //
     /* 1411230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1411233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1411241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1411244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1411247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1411250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411269 */     // MIs[0] Operand 5
     /* 1411269 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411280 */     // MIs[0] policy
     /* 1411280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411290 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1411293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411312 */     // GIR_Coverage, 20666,
     /* 1411312 */     GIR_EraseRootFromParent_Done,
     /* 1411313 */   // Label 19985: @1411313
     /* 1411313 */   GIM_Try, /*On fail goto*//*Label 19986*/ GIMT_Encode4(1411401), // Rule ID 20667 //
     /* 1411318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1411321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1411329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1411332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1411335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1411338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411357 */     // MIs[0] Operand 5
     /* 1411357 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411368 */     // MIs[0] policy
     /* 1411368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1411381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1411397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411400 */     // GIR_Coverage, 20667,
     /* 1411400 */     GIR_EraseRootFromParent_Done,
     /* 1411401 */   // Label 19986: @1411401
     /* 1411401 */   GIM_Try, /*On fail goto*//*Label 19987*/ GIMT_Encode4(1411489), // Rule ID 20670 //
     /* 1411406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1411417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1411420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411445 */     // MIs[0] Operand 5
     /* 1411445 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411456 */     // MIs[0] policy
     /* 1411456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1411469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411488 */     // GIR_Coverage, 20670,
     /* 1411488 */     GIR_EraseRootFromParent_Done,
     /* 1411489 */   // Label 19987: @1411489
     /* 1411489 */   GIM_Try, /*On fail goto*//*Label 19988*/ GIMT_Encode4(1411577), // Rule ID 20671 //
     /* 1411494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1411505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1411508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1411511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1411514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411533 */     // MIs[0] Operand 5
     /* 1411533 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411544 */     // MIs[0] policy
     /* 1411544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411554 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1411557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411576 */     // GIR_Coverage, 20671,
     /* 1411576 */     GIR_EraseRootFromParent_Done,
     /* 1411577 */   // Label 19988: @1411577
     /* 1411577 */   GIM_Try, /*On fail goto*//*Label 19989*/ GIMT_Encode4(1411665), // Rule ID 20674 //
     /* 1411582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1411593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1411596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411621 */     // MIs[0] Operand 5
     /* 1411621 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411632 */     // MIs[0] policy
     /* 1411632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1411645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411664 */     // GIR_Coverage, 20674,
     /* 1411664 */     GIR_EraseRootFromParent_Done,
     /* 1411665 */   // Label 19989: @1411665
     /* 1411665 */   GIM_Try, /*On fail goto*//*Label 19990*/ GIMT_Encode4(1411753), // Rule ID 20675 //
     /* 1411670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1411681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1411684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1411687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1411690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1411697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1411705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411709 */     // MIs[0] Operand 5
     /* 1411709 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411720 */     // MIs[0] policy
     /* 1411720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1411733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411752 */     // GIR_Coverage, 20675,
     /* 1411752 */     GIR_EraseRootFromParent_Done,
     /* 1411753 */   // Label 19990: @1411753
     /* 1411753 */   GIM_Try, /*On fail goto*//*Label 19991*/ GIMT_Encode4(1411841), // Rule ID 20678 //
     /* 1411758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1411761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1411769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1411772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411797 */     // MIs[0] Operand 5
     /* 1411797 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411808 */     // MIs[0] policy
     /* 1411808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411818 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1411821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411840 */     // GIR_Coverage, 20678,
     /* 1411840 */     GIR_EraseRootFromParent_Done,
     /* 1411841 */   // Label 19991: @1411841
     /* 1411841 */   GIM_Try, /*On fail goto*//*Label 19992*/ GIMT_Encode4(1411929), // Rule ID 20679 //
     /* 1411846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1411849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1411857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1411860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1411863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1411866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1411869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1411873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1411881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411885 */     // MIs[0] Operand 5
     /* 1411885 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411896 */     // MIs[0] policy
     /* 1411896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411906 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1411906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1411909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1411913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1411915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1411917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1411922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1411925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1411927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1411928 */     // GIR_Coverage, 20679,
     /* 1411928 */     GIR_EraseRootFromParent_Done,
     /* 1411929 */   // Label 19992: @1411929
     /* 1411929 */   GIM_Try, /*On fail goto*//*Label 19993*/ GIMT_Encode4(1412017), // Rule ID 20682 //
     /* 1411934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1411937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1411942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1411945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1411948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1411951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1411954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1411957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1411961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1411969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1411973 */     // MIs[0] Operand 5
     /* 1411973 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1411984 */     // MIs[0] policy
     /* 1411984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1411987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1411994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1411994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1411997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1411999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412016 */     // GIR_Coverage, 20682,
     /* 1412016 */     GIR_EraseRootFromParent_Done,
     /* 1412017 */   // Label 19993: @1412017
     /* 1412017 */   GIM_Try, /*On fail goto*//*Label 19994*/ GIMT_Encode4(1412105), // Rule ID 20683 //
     /* 1412022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1412025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1412030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1412033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1412036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1412039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1412049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1412057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412061 */     // MIs[0] Operand 5
     /* 1412061 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412072 */     // MIs[0] policy
     /* 1412072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412082 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2_MASK),
     /* 1412085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412104 */     // GIR_Coverage, 20683,
     /* 1412104 */     GIR_EraseRootFromParent_Done,
     /* 1412105 */   // Label 19994: @1412105
     /* 1412105 */   GIM_Try, /*On fail goto*//*Label 19995*/ GIMT_Encode4(1412193), // Rule ID 20686 //
     /* 1412110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1412113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1412118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1412121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1412124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1412127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412149 */     // MIs[0] Operand 5
     /* 1412149 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412160 */     // MIs[0] policy
     /* 1412160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412170 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1412173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412192 */     // GIR_Coverage, 20686,
     /* 1412192 */     GIR_EraseRootFromParent_Done,
     /* 1412193 */   // Label 19995: @1412193
     /* 1412193 */   GIM_Try, /*On fail goto*//*Label 19996*/ GIMT_Encode4(1412281), // Rule ID 20687 //
     /* 1412198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1412201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1412206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1412209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1412212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1412215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1412218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1412225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1412233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412237 */     // MIs[0] Operand 5
     /* 1412237 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412248 */     // MIs[0] policy
     /* 1412248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4_MASK),
     /* 1412261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412280 */     // GIR_Coverage, 20687,
     /* 1412280 */     GIR_EraseRootFromParent_Done,
     /* 1412281 */   // Label 19996: @1412281
     /* 1412281 */   GIM_Try, /*On fail goto*//*Label 19997*/ GIMT_Encode4(1412369), // Rule ID 20690 //
     /* 1412286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1412289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1412294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1412297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1412300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412325 */     // MIs[0] Operand 5
     /* 1412325 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412336 */     // MIs[0] policy
     /* 1412336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412346 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1412349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412368 */     // GIR_Coverage, 20690,
     /* 1412368 */     GIR_EraseRootFromParent_Done,
     /* 1412369 */   // Label 19997: @1412369
     /* 1412369 */   GIM_Try, /*On fail goto*//*Label 19998*/ GIMT_Encode4(1412457), // Rule ID 20691 //
     /* 1412374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1412377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1412382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1412385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1412388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1412391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1412394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1412401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1412409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412413 */     // MIs[0] Operand 5
     /* 1412413 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412424 */     // MIs[0] policy
     /* 1412424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412434 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8_MASK),
     /* 1412437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1412453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412456 */     // GIR_Coverage, 20691,
     /* 1412456 */     GIR_EraseRootFromParent_Done,
     /* 1412457 */   // Label 19998: @1412457
     /* 1412457 */   GIM_Try, /*On fail goto*//*Label 19999*/ GIMT_Encode4(1412545), // Rule ID 20694 //
     /* 1412462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1412470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1412473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1412476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412501 */     // MIs[0] Operand 5
     /* 1412501 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412512 */     // MIs[0] policy
     /* 1412512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412522 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1412525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412544 */     // GIR_Coverage, 20694,
     /* 1412544 */     GIR_EraseRootFromParent_Done,
     /* 1412545 */   // Label 19999: @1412545
     /* 1412545 */   GIM_Try, /*On fail goto*//*Label 20000*/ GIMT_Encode4(1412633), // Rule ID 20695 //
     /* 1412550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1412558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1412561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1412564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1412567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412589 */     // MIs[0] Operand 5
     /* 1412589 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412600 */     // MIs[0] policy
     /* 1412600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412610 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1412613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412632 */     // GIR_Coverage, 20695,
     /* 1412632 */     GIR_EraseRootFromParent_Done,
     /* 1412633 */   // Label 20000: @1412633
     /* 1412633 */   GIM_Try, /*On fail goto*//*Label 20001*/ GIMT_Encode4(1412721), // Rule ID 20698 //
     /* 1412638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1412646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1412649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1412652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1412655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412677 */     // MIs[0] Operand 5
     /* 1412677 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412688 */     // MIs[0] policy
     /* 1412688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1412701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412707 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412720 */     // GIR_Coverage, 20698,
     /* 1412720 */     GIR_EraseRootFromParent_Done,
     /* 1412721 */   // Label 20001: @1412721
     /* 1412721 */   GIM_Try, /*On fail goto*//*Label 20002*/ GIMT_Encode4(1412809), // Rule ID 20699 //
     /* 1412726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1412729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1412734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1412737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1412740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1412743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1412746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412765 */     // MIs[0] Operand 5
     /* 1412765 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412776 */     // MIs[0] policy
     /* 1412776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1412789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1412805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412808 */     // GIR_Coverage, 20699,
     /* 1412808 */     GIR_EraseRootFromParent_Done,
     /* 1412809 */   // Label 20002: @1412809
     /* 1412809 */   GIM_Try, /*On fail goto*//*Label 20003*/ GIMT_Encode4(1412897), // Rule ID 20702 //
     /* 1412814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1412817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1412822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1412831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1412837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412853 */     // MIs[0] Operand 5
     /* 1412853 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412864 */     // MIs[0] policy
     /* 1412864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1412874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1412877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412896 */     // GIR_Coverage, 20702,
     /* 1412896 */     GIR_EraseRootFromParent_Done,
     /* 1412897 */   // Label 20003: @1412897
     /* 1412897 */   GIM_Try, /*On fail goto*//*Label 20004*/ GIMT_Encode4(1412985), // Rule ID 20703 //
     /* 1412902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1412905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1412910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1412913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1412916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1412919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1412922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1412925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1412929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1412937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1412941 */     // MIs[0] Operand 5
     /* 1412941 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1412952 */     // MIs[0] policy
     /* 1412952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1412955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1412962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1412962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1412965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1412967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1412969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1412971 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1412973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1412978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1412981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1412983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1412984 */     // GIR_Coverage, 20703,
     /* 1412984 */     GIR_EraseRootFromParent_Done,
     /* 1412985 */   // Label 20004: @1412985
     /* 1412985 */   GIM_Try, /*On fail goto*//*Label 20005*/ GIMT_Encode4(1413073), // Rule ID 20706 //
     /* 1412990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1412993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1412998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1413001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1413004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1413007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413029 */     // MIs[0] Operand 5
     /* 1413029 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413040 */     // MIs[0] policy
     /* 1413040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413050 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1413053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413072 */     // GIR_Coverage, 20706,
     /* 1413072 */     GIR_EraseRootFromParent_Done,
     /* 1413073 */   // Label 20005: @1413073
     /* 1413073 */   GIM_Try, /*On fail goto*//*Label 20006*/ GIMT_Encode4(1413161), // Rule ID 20707 //
     /* 1413078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1413081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1413089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1413092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1413095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1413098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413117 */     // MIs[0] Operand 5
     /* 1413117 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413128 */     // MIs[0] policy
     /* 1413128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1413141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413147 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413160 */     // GIR_Coverage, 20707,
     /* 1413160 */     GIR_EraseRootFromParent_Done,
     /* 1413161 */   // Label 20006: @1413161
     /* 1413161 */   GIM_Try, /*On fail goto*//*Label 20007*/ GIMT_Encode4(1413249), // Rule ID 20710 //
     /* 1413166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1413169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1413177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1413180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413205 */     // MIs[0] Operand 5
     /* 1413205 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413216 */     // MIs[0] policy
     /* 1413216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1413229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413248 */     // GIR_Coverage, 20710,
     /* 1413248 */     GIR_EraseRootFromParent_Done,
     /* 1413249 */   // Label 20007: @1413249
     /* 1413249 */   GIM_Try, /*On fail goto*//*Label 20008*/ GIMT_Encode4(1413337), // Rule ID 20711 //
     /* 1413254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1413257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1413265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1413268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1413271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1413274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413293 */     // MIs[0] Operand 5
     /* 1413293 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413304 */     // MIs[0] policy
     /* 1413304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413314 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1413317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1413333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413336 */     // GIR_Coverage, 20711,
     /* 1413336 */     GIR_EraseRootFromParent_Done,
     /* 1413337 */   // Label 20008: @1413337
     /* 1413337 */   GIM_Try, /*On fail goto*//*Label 20009*/ GIMT_Encode4(1413425), // Rule ID 20714 //
     /* 1413342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1413345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1413353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1413356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1413359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413381 */     // MIs[0] Operand 5
     /* 1413381 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413392 */     // MIs[0] policy
     /* 1413392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1413405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413424 */     // GIR_Coverage, 20714,
     /* 1413424 */     GIR_EraseRootFromParent_Done,
     /* 1413425 */   // Label 20009: @1413425
     /* 1413425 */   GIM_Try, /*On fail goto*//*Label 20010*/ GIMT_Encode4(1413513), // Rule ID 20715 //
     /* 1413430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1413433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1413441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1413444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1413447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1413450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1413457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1413465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413469 */     // MIs[0] Operand 5
     /* 1413469 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413480 */     // MIs[0] policy
     /* 1413480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413490 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1_MASK),
     /* 1413493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1413509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413512 */     // GIR_Coverage, 20715,
     /* 1413512 */     GIR_EraseRootFromParent_Done,
     /* 1413513 */   // Label 20010: @1413513
     /* 1413513 */   GIM_Try, /*On fail goto*//*Label 20011*/ GIMT_Encode4(1413601), // Rule ID 20718 //
     /* 1413518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1413521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1413529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1413532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1413535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413557 */     // MIs[0] Operand 5
     /* 1413557 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413568 */     // MIs[0] policy
     /* 1413568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413578 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1413581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413600 */     // GIR_Coverage, 20718,
     /* 1413600 */     GIR_EraseRootFromParent_Done,
     /* 1413601 */   // Label 20011: @1413601
     /* 1413601 */   GIM_Try, /*On fail goto*//*Label 20012*/ GIMT_Encode4(1413689), // Rule ID 20719 //
     /* 1413606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1413609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1413617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1413620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1413623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1413626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1413633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1413641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413645 */     // MIs[0] Operand 5
     /* 1413645 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413656 */     // MIs[0] policy
     /* 1413656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1413669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413675 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413688 */     // GIR_Coverage, 20719,
     /* 1413688 */     GIR_EraseRootFromParent_Done,
     /* 1413689 */   // Label 20012: @1413689
     /* 1413689 */   GIM_Try, /*On fail goto*//*Label 20013*/ GIMT_Encode4(1413777), // Rule ID 20722 //
     /* 1413694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1413697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1413705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1413708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1413711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1413714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413733 */     // MIs[0] Operand 5
     /* 1413733 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413744 */     // MIs[0] policy
     /* 1413744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1413757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413776 */     // GIR_Coverage, 20722,
     /* 1413776 */     GIR_EraseRootFromParent_Done,
     /* 1413777 */   // Label 20013: @1413777
     /* 1413777 */   GIM_Try, /*On fail goto*//*Label 20014*/ GIMT_Encode4(1413865), // Rule ID 20723 //
     /* 1413782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1413785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1413793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1413796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1413799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1413802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1413809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1413817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413821 */     // MIs[0] Operand 5
     /* 1413821 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413832 */     // MIs[0] policy
     /* 1413832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413842 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1413842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1413845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413864 */     // GIR_Coverage, 20723,
     /* 1413864 */     GIR_EraseRootFromParent_Done,
     /* 1413865 */   // Label 20014: @1413865
     /* 1413865 */   GIM_Try, /*On fail goto*//*Label 20015*/ GIMT_Encode4(1413953), // Rule ID 20726 //
     /* 1413870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1413873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1413881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1413884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1413887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1413890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1413893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413909 */     // MIs[0] Operand 5
     /* 1413909 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1413920 */     // MIs[0] policy
     /* 1413920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1413923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1413930 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1413930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1413933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1413935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1413937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1413939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1413941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1413946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1413949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1413951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1413952 */     // GIR_Coverage, 20726,
     /* 1413952 */     GIR_EraseRootFromParent_Done,
     /* 1413953 */   // Label 20015: @1413953
     /* 1413953 */   GIM_Try, /*On fail goto*//*Label 20016*/ GIMT_Encode4(1414041), // Rule ID 20727 //
     /* 1413958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1413961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1413966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1413969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1413972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1413975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1413978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1413981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1413985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1413993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1413997 */     // MIs[0] Operand 5
     /* 1413997 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414008 */     // MIs[0] policy
     /* 1414008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414018 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1414021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1414037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414040 */     // GIR_Coverage, 20727,
     /* 1414040 */     GIR_EraseRootFromParent_Done,
     /* 1414041 */   // Label 20016: @1414041
     /* 1414041 */   GIM_Try, /*On fail goto*//*Label 20017*/ GIMT_Encode4(1414129), // Rule ID 20730 //
     /* 1414046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1414049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1414057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1414060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1414063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414085 */     // MIs[0] Operand 5
     /* 1414085 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414096 */     // MIs[0] policy
     /* 1414096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1414109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414115 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414128 */     // GIR_Coverage, 20730,
     /* 1414128 */     GIR_EraseRootFromParent_Done,
     /* 1414129 */   // Label 20017: @1414129
     /* 1414129 */   GIM_Try, /*On fail goto*//*Label 20018*/ GIMT_Encode4(1414217), // Rule ID 20731 //
     /* 1414134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1414137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1414145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1414148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1414151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414173 */     // MIs[0] Operand 5
     /* 1414173 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414184 */     // MIs[0] policy
     /* 1414184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1414197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414216 */     // GIR_Coverage, 20731,
     /* 1414216 */     GIR_EraseRootFromParent_Done,
     /* 1414217 */   // Label 20018: @1414217
     /* 1414217 */   GIM_Try, /*On fail goto*//*Label 20019*/ GIMT_Encode4(1414305), // Rule ID 20734 //
     /* 1414222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1414225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1414233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1414236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1414239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414261 */     // MIs[0] Operand 5
     /* 1414261 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414272 */     // MIs[0] policy
     /* 1414272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414282 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1414285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414304 */     // GIR_Coverage, 20734,
     /* 1414304 */     GIR_EraseRootFromParent_Done,
     /* 1414305 */   // Label 20019: @1414305
     /* 1414305 */   GIM_Try, /*On fail goto*//*Label 20020*/ GIMT_Encode4(1414393), // Rule ID 20735 //
     /* 1414310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1414313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1414321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1414324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1414327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414349 */     // MIs[0] Operand 5
     /* 1414349 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414360 */     // MIs[0] policy
     /* 1414360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1414373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414379 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414392 */     // GIR_Coverage, 20735,
     /* 1414392 */     GIR_EraseRootFromParent_Done,
     /* 1414393 */   // Label 20020: @1414393
     /* 1414393 */   GIM_Try, /*On fail goto*//*Label 20021*/ GIMT_Encode4(1414481), // Rule ID 20738 //
     /* 1414398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1414401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1414409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1414412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1414415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1414418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414437 */     // MIs[0] Operand 5
     /* 1414437 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414448 */     // MIs[0] policy
     /* 1414448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414458 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1414461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414480 */     // GIR_Coverage, 20738,
     /* 1414480 */     GIR_EraseRootFromParent_Done,
     /* 1414481 */   // Label 20021: @1414481
     /* 1414481 */   GIM_Try, /*On fail goto*//*Label 20022*/ GIMT_Encode4(1414569), // Rule ID 20739 //
     /* 1414486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1414489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1414497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1414500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1414503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1414506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414525 */     // MIs[0] Operand 5
     /* 1414525 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414536 */     // MIs[0] policy
     /* 1414536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1414549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1414565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414568 */     // GIR_Coverage, 20739,
     /* 1414568 */     GIR_EraseRootFromParent_Done,
     /* 1414569 */   // Label 20022: @1414569
     /* 1414569 */   GIM_Try, /*On fail goto*//*Label 20023*/ GIMT_Encode4(1414657), // Rule ID 20742 //
     /* 1414574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1414577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1414585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1414588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1414591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1414594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414613 */     // MIs[0] Operand 5
     /* 1414613 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414624 */     // MIs[0] policy
     /* 1414624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414634 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1414637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414643 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414656 */     // GIR_Coverage, 20742,
     /* 1414656 */     GIR_EraseRootFromParent_Done,
     /* 1414657 */   // Label 20023: @1414657
     /* 1414657 */   GIM_Try, /*On fail goto*//*Label 20024*/ GIMT_Encode4(1414745), // Rule ID 20743 //
     /* 1414662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1414665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1414673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1414676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1414679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1414682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1414689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1414697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414701 */     // MIs[0] Operand 5
     /* 1414701 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414712 */     // MIs[0] policy
     /* 1414712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414722 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2_MASK),
     /* 1414725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414744 */     // GIR_Coverage, 20743,
     /* 1414744 */     GIR_EraseRootFromParent_Done,
     /* 1414745 */   // Label 20024: @1414745
     /* 1414745 */   GIM_Try, /*On fail goto*//*Label 20025*/ GIMT_Encode4(1414833), // Rule ID 20746 //
     /* 1414750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1414753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1414761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1414764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1414767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414789 */     // MIs[0] Operand 5
     /* 1414789 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414800 */     // MIs[0] policy
     /* 1414800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414810 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1414813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414819 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414832 */     // GIR_Coverage, 20746,
     /* 1414832 */     GIR_EraseRootFromParent_Done,
     /* 1414833 */   // Label 20025: @1414833
     /* 1414833 */   GIM_Try, /*On fail goto*//*Label 20026*/ GIMT_Encode4(1414921), // Rule ID 20747 //
     /* 1414838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1414841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1414849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1414852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1414855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1414858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1414861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1414865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1414873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414877 */     // MIs[0] Operand 5
     /* 1414877 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414888 */     // MIs[0] policy
     /* 1414888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414898 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1414898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4_MASK),
     /* 1414901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1414914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1414917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1414919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1414920 */     // GIR_Coverage, 20747,
     /* 1414920 */     GIR_EraseRootFromParent_Done,
     /* 1414921 */   // Label 20026: @1414921
     /* 1414921 */   GIM_Try, /*On fail goto*//*Label 20027*/ GIMT_Encode4(1415009), // Rule ID 20750 //
     /* 1414926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1414929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1414934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1414937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1414940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1414943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1414946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1414949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1414953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1414961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1414965 */     // MIs[0] Operand 5
     /* 1414965 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1414976 */     // MIs[0] policy
     /* 1414976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1414979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1414986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1414986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1414989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1414991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1414993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1414995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1414997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1415005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415008 */     // GIR_Coverage, 20750,
     /* 1415008 */     GIR_EraseRootFromParent_Done,
     /* 1415009 */   // Label 20027: @1415009
     /* 1415009 */   GIM_Try, /*On fail goto*//*Label 20028*/ GIMT_Encode4(1415097), // Rule ID 20751 //
     /* 1415014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1415017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1415022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1415025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1415028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1415031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415053 */     // MIs[0] Operand 5
     /* 1415053 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415064 */     // MIs[0] policy
     /* 1415064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8_MASK),
     /* 1415077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1415093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415096 */     // GIR_Coverage, 20751,
     /* 1415096 */     GIR_EraseRootFromParent_Done,
     /* 1415097 */   // Label 20028: @1415097
     /* 1415097 */   GIM_Try, /*On fail goto*//*Label 20029*/ GIMT_Encode4(1415185), // Rule ID 21110 //
     /* 1415102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1415105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1415113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1415116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1415119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1415122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415141 */     // MIs[0] Operand 5
     /* 1415141 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415152 */     // MIs[0] policy
     /* 1415152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415162 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1415165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415184 */     // GIR_Coverage, 21110,
     /* 1415184 */     GIR_EraseRootFromParent_Done,
     /* 1415185 */   // Label 20029: @1415185
     /* 1415185 */   GIM_Try, /*On fail goto*//*Label 20030*/ GIMT_Encode4(1415273), // Rule ID 21111 //
     /* 1415190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1415193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1415201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1415204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1415207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1415210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415229 */     // MIs[0] Operand 5
     /* 1415229 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415240 */     // MIs[0] policy
     /* 1415240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415250 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4_MASK),
     /* 1415253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415272 */     // GIR_Coverage, 21111,
     /* 1415272 */     GIR_EraseRootFromParent_Done,
     /* 1415273 */   // Label 20030: @1415273
     /* 1415273 */   GIM_Try, /*On fail goto*//*Label 20031*/ GIMT_Encode4(1415361), // Rule ID 21114 //
     /* 1415278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1415281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1415289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1415292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1415295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1415298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415317 */     // MIs[0] Operand 5
     /* 1415317 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415328 */     // MIs[0] policy
     /* 1415328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1415341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415360 */     // GIR_Coverage, 21114,
     /* 1415360 */     GIR_EraseRootFromParent_Done,
     /* 1415361 */   // Label 20031: @1415361
     /* 1415361 */   GIM_Try, /*On fail goto*//*Label 20032*/ GIMT_Encode4(1415449), // Rule ID 21115 //
     /* 1415366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1415369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1415377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1415380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1415383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1415386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1415393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415405 */     // MIs[0] Operand 5
     /* 1415405 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415416 */     // MIs[0] policy
     /* 1415416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415426 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1415429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415448 */     // GIR_Coverage, 21115,
     /* 1415448 */     GIR_EraseRootFromParent_Done,
     /* 1415449 */   // Label 20032: @1415449
     /* 1415449 */   GIM_Try, /*On fail goto*//*Label 20033*/ GIMT_Encode4(1415537), // Rule ID 21118 //
     /* 1415454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1415457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1415471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415493 */     // MIs[0] Operand 5
     /* 1415493 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415504 */     // MIs[0] policy
     /* 1415504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415514 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1415517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415536 */     // GIR_Coverage, 21118,
     /* 1415536 */     GIR_EraseRootFromParent_Done,
     /* 1415537 */   // Label 20033: @1415537
     /* 1415537 */   GIM_Try, /*On fail goto*//*Label 20034*/ GIMT_Encode4(1415625), // Rule ID 21119 //
     /* 1415542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1415545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1415553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1415556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1415559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1415562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1415569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1415577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415581 */     // MIs[0] Operand 5
     /* 1415581 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415592 */     // MIs[0] policy
     /* 1415592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1415605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415611 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415624 */     // GIR_Coverage, 21119,
     /* 1415624 */     GIR_EraseRootFromParent_Done,
     /* 1415625 */   // Label 20034: @1415625
     /* 1415625 */   GIM_Try, /*On fail goto*//*Label 20035*/ GIMT_Encode4(1415713), // Rule ID 21122 //
     /* 1415630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1415633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1415641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1415644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1415647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415669 */     // MIs[0] Operand 5
     /* 1415669 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415680 */     // MIs[0] policy
     /* 1415680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415690 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1415693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415712 */     // GIR_Coverage, 21122,
     /* 1415712 */     GIR_EraseRootFromParent_Done,
     /* 1415713 */   // Label 20035: @1415713
     /* 1415713 */   GIM_Try, /*On fail goto*//*Label 20036*/ GIMT_Encode4(1415801), // Rule ID 21123 //
     /* 1415718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1415721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1415729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1415732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1415735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1415738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1415745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1415753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415757 */     // MIs[0] Operand 5
     /* 1415757 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415768 */     // MIs[0] policy
     /* 1415768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1415781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415787 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415800 */     // GIR_Coverage, 21123,
     /* 1415800 */     GIR_EraseRootFromParent_Done,
     /* 1415801 */   // Label 20036: @1415801
     /* 1415801 */   GIM_Try, /*On fail goto*//*Label 20037*/ GIMT_Encode4(1415889), // Rule ID 21126 //
     /* 1415806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1415809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1415817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1415820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1415826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1415829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415845 */     // MIs[0] Operand 5
     /* 1415845 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415856 */     // MIs[0] policy
     /* 1415856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1415866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1415869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415888 */     // GIR_Coverage, 21126,
     /* 1415888 */     GIR_EraseRootFromParent_Done,
     /* 1415889 */   // Label 20037: @1415889
     /* 1415889 */   GIM_Try, /*On fail goto*//*Label 20038*/ GIMT_Encode4(1415977), // Rule ID 21127 //
     /* 1415894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1415897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1415905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1415908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1415911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1415914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1415917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1415921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1415925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1415929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1415933 */     // MIs[0] Operand 5
     /* 1415933 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1415944 */     // MIs[0] policy
     /* 1415944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1415947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1415954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1415954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1415957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1415959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1415961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1415963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1415965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1415970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1415973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1415975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1415976 */     // GIR_Coverage, 21127,
     /* 1415976 */     GIR_EraseRootFromParent_Done,
     /* 1415977 */   // Label 20038: @1415977
     /* 1415977 */   GIM_Try, /*On fail goto*//*Label 20039*/ GIMT_Encode4(1416065), // Rule ID 21130 //
     /* 1415982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1415985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1415990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1415993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1415996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1415999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416021 */     // MIs[0] Operand 5
     /* 1416021 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416032 */     // MIs[0] policy
     /* 1416032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416042 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1416045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416051 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416064 */     // GIR_Coverage, 21130,
     /* 1416064 */     GIR_EraseRootFromParent_Done,
     /* 1416065 */   // Label 20039: @1416065
     /* 1416065 */   GIM_Try, /*On fail goto*//*Label 20040*/ GIMT_Encode4(1416153), // Rule ID 21131 //
     /* 1416070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1416073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1416078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1416081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1416084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1416087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416109 */     // MIs[0] Operand 5
     /* 1416109 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416120 */     // MIs[0] policy
     /* 1416120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2_MASK),
     /* 1416133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416152 */     // GIR_Coverage, 21131,
     /* 1416152 */     GIR_EraseRootFromParent_Done,
     /* 1416153 */   // Label 20040: @1416153
     /* 1416153 */   GIM_Try, /*On fail goto*//*Label 20041*/ GIMT_Encode4(1416241), // Rule ID 21134 //
     /* 1416158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1416161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1416166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1416175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416197 */     // MIs[0] Operand 5
     /* 1416197 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416208 */     // MIs[0] policy
     /* 1416208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416218 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1416221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416240 */     // GIR_Coverage, 21134,
     /* 1416240 */     GIR_EraseRootFromParent_Done,
     /* 1416241 */   // Label 20041: @1416241
     /* 1416241 */   GIM_Try, /*On fail goto*//*Label 20042*/ GIMT_Encode4(1416329), // Rule ID 21135 //
     /* 1416246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1416249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1416254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1416257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1416260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1416263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1416273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416285 */     // MIs[0] Operand 5
     /* 1416285 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416296 */     // MIs[0] policy
     /* 1416296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416306 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1_MASK),
     /* 1416309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416315 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416328 */     // GIR_Coverage, 21135,
     /* 1416328 */     GIR_EraseRootFromParent_Done,
     /* 1416329 */   // Label 20042: @1416329
     /* 1416329 */   GIM_Try, /*On fail goto*//*Label 20043*/ GIMT_Encode4(1416417), // Rule ID 21138 //
     /* 1416334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1416337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1416342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1416351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416373 */     // MIs[0] Operand 5
     /* 1416373 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416384 */     // MIs[0] policy
     /* 1416384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416394 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1416397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416416 */     // GIR_Coverage, 21138,
     /* 1416416 */     GIR_EraseRootFromParent_Done,
     /* 1416417 */   // Label 20043: @1416417
     /* 1416417 */   GIM_Try, /*On fail goto*//*Label 20044*/ GIMT_Encode4(1416505), // Rule ID 21139 //
     /* 1416422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1416425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1416430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1416433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1416436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1416439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1416442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1416449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1416457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416461 */     // MIs[0] Operand 5
     /* 1416461 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416472 */     // MIs[0] policy
     /* 1416472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416482 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2_MASK),
     /* 1416485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416491 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416504 */     // GIR_Coverage, 21139,
     /* 1416504 */     GIR_EraseRootFromParent_Done,
     /* 1416505 */   // Label 20044: @1416505
     /* 1416505 */   GIM_Try, /*On fail goto*//*Label 20045*/ GIMT_Encode4(1416593), // Rule ID 21142 //
     /* 1416510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1416513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1416518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1416527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416549 */     // MIs[0] Operand 5
     /* 1416549 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416560 */     // MIs[0] policy
     /* 1416560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416570 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1416573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416592 */     // GIR_Coverage, 21142,
     /* 1416592 */     GIR_EraseRootFromParent_Done,
     /* 1416593 */   // Label 20045: @1416593
     /* 1416593 */   GIM_Try, /*On fail goto*//*Label 20046*/ GIMT_Encode4(1416681), // Rule ID 21143 //
     /* 1416598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1416601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1416606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1416609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1416612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1416615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1416618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1416625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1416629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1416633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416637 */     // MIs[0] Operand 5
     /* 1416637 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416648 */     // MIs[0] policy
     /* 1416648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4_MASK),
     /* 1416661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1416677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416680 */     // GIR_Coverage, 21143,
     /* 1416680 */     GIR_EraseRootFromParent_Done,
     /* 1416681 */   // Label 20046: @1416681
     /* 1416681 */   GIM_Try, /*On fail goto*//*Label 20047*/ GIMT_Encode4(1416769), // Rule ID 21146 //
     /* 1416686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1416694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416725 */     // MIs[0] Operand 5
     /* 1416725 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416736 */     // MIs[0] policy
     /* 1416736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1416749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416755 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416768 */     // GIR_Coverage, 21146,
     /* 1416768 */     GIR_EraseRootFromParent_Done,
     /* 1416769 */   // Label 20047: @1416769
     /* 1416769 */   GIM_Try, /*On fail goto*//*Label 20048*/ GIMT_Encode4(1416857), // Rule ID 21147 //
     /* 1416774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1416777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1416782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1416785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1416788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1416791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1416794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416813 */     // MIs[0] Operand 5
     /* 1416813 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416824 */     // MIs[0] policy
     /* 1416824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416834 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1416834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4_MASK),
     /* 1416837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416856 */     // GIR_Coverage, 21147,
     /* 1416856 */     GIR_EraseRootFromParent_Done,
     /* 1416857 */   // Label 20048: @1416857
     /* 1416857 */   GIM_Try, /*On fail goto*//*Label 20049*/ GIMT_Encode4(1416945), // Rule ID 21150 //
     /* 1416862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1416865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1416870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1416885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416901 */     // MIs[0] Operand 5
     /* 1416901 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1416912 */     // MIs[0] policy
     /* 1416912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1416915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1416922 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1416922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1416925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1416927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1416929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1416931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1416933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1416938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1416941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1416943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1416944 */     // GIR_Coverage, 21150,
     /* 1416944 */     GIR_EraseRootFromParent_Done,
     /* 1416945 */   // Label 20049: @1416945
     /* 1416945 */   GIM_Try, /*On fail goto*//*Label 20050*/ GIMT_Encode4(1417033), // Rule ID 21151 //
     /* 1416950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1416953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1416958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1416961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1416964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1416967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1416970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1416973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1416977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1416985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1416989 */     // MIs[0] Operand 5
     /* 1416989 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417000 */     // MIs[0] policy
     /* 1417000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1417013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417032 */     // GIR_Coverage, 21151,
     /* 1417032 */     GIR_EraseRootFromParent_Done,
     /* 1417033 */   // Label 20050: @1417033
     /* 1417033 */   GIM_Try, /*On fail goto*//*Label 20051*/ GIMT_Encode4(1417121), // Rule ID 21154 //
     /* 1417038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1417041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1417049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1417052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1417055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1417058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417077 */     // MIs[0] Operand 5
     /* 1417077 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417088 */     // MIs[0] policy
     /* 1417088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1417101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417120 */     // GIR_Coverage, 21154,
     /* 1417120 */     GIR_EraseRootFromParent_Done,
     /* 1417121 */   // Label 20051: @1417121
     /* 1417121 */   GIM_Try, /*On fail goto*//*Label 20052*/ GIMT_Encode4(1417209), // Rule ID 21155 //
     /* 1417126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1417137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1417140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1417143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1417146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417165 */     // MIs[0] Operand 5
     /* 1417165 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417176 */     // MIs[0] policy
     /* 1417176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1417189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417208 */     // GIR_Coverage, 21155,
     /* 1417208 */     GIR_EraseRootFromParent_Done,
     /* 1417209 */   // Label 20052: @1417209
     /* 1417209 */   GIM_Try, /*On fail goto*//*Label 20053*/ GIMT_Encode4(1417297), // Rule ID 21158 //
     /* 1417214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1417217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1417225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1417228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1417234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417253 */     // MIs[0] Operand 5
     /* 1417253 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417264 */     // MIs[0] policy
     /* 1417264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417274 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1417277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417283 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417296 */     // GIR_Coverage, 21158,
     /* 1417296 */     GIR_EraseRootFromParent_Done,
     /* 1417297 */   // Label 20053: @1417297
     /* 1417297 */   GIM_Try, /*On fail goto*//*Label 20054*/ GIMT_Encode4(1417385), // Rule ID 21159 //
     /* 1417302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1417313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1417316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1417319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1417322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417341 */     // MIs[0] Operand 5
     /* 1417341 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417352 */     // MIs[0] policy
     /* 1417352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417362 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1417365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417384 */     // GIR_Coverage, 21159,
     /* 1417384 */     GIR_EraseRootFromParent_Done,
     /* 1417385 */   // Label 20054: @1417385
     /* 1417385 */   GIM_Try, /*On fail goto*//*Label 20055*/ GIMT_Encode4(1417473), // Rule ID 21162 //
     /* 1417390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1417393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1417401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1417404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1417410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417429 */     // MIs[0] Operand 5
     /* 1417429 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417440 */     // MIs[0] policy
     /* 1417440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417450 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1417453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417459 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417472 */     // GIR_Coverage, 21162,
     /* 1417472 */     GIR_EraseRootFromParent_Done,
     /* 1417473 */   // Label 20055: @1417473
     /* 1417473 */   GIM_Try, /*On fail goto*//*Label 20056*/ GIMT_Encode4(1417561), // Rule ID 21163 //
     /* 1417478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1417481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1417489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1417492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1417495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1417498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1417505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1417509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417517 */     // MIs[0] Operand 5
     /* 1417517 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417528 */     // MIs[0] policy
     /* 1417528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1417541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1417557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417560 */     // GIR_Coverage, 21163,
     /* 1417560 */     GIR_EraseRootFromParent_Done,
     /* 1417561 */   // Label 20056: @1417561
     /* 1417561 */   GIM_Try, /*On fail goto*//*Label 20057*/ GIMT_Encode4(1417649), // Rule ID 21166 //
     /* 1417566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1417569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1417577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1417580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1417586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417605 */     // MIs[0] Operand 5
     /* 1417605 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417616 */     // MIs[0] policy
     /* 1417616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417626 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1417629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417648 */     // GIR_Coverage, 21166,
     /* 1417648 */     GIR_EraseRootFromParent_Done,
     /* 1417649 */   // Label 20057: @1417649
     /* 1417649 */   GIM_Try, /*On fail goto*//*Label 20058*/ GIMT_Encode4(1417737), // Rule ID 21167 //
     /* 1417654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1417657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1417665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1417668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1417671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1417674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1417681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417693 */     // MIs[0] Operand 5
     /* 1417693 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417704 */     // MIs[0] policy
     /* 1417704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417714 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2_MASK),
     /* 1417717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417723 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417736 */     // GIR_Coverage, 21167,
     /* 1417736 */     GIR_EraseRootFromParent_Done,
     /* 1417737 */   // Label 20058: @1417737
     /* 1417737 */   GIM_Try, /*On fail goto*//*Label 20059*/ GIMT_Encode4(1417825), // Rule ID 21170 //
     /* 1417742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1417745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1417753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1417756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1417759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1417762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417781 */     // MIs[0] Operand 5
     /* 1417781 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417792 */     // MIs[0] policy
     /* 1417792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417802 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1417805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417824 */     // GIR_Coverage, 21170,
     /* 1417824 */     GIR_EraseRootFromParent_Done,
     /* 1417825 */   // Label 20059: @1417825
     /* 1417825 */   GIM_Try, /*On fail goto*//*Label 20060*/ GIMT_Encode4(1417913), // Rule ID 21171 //
     /* 1417830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1417833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1417841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1417844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1417847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1417850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1417853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1417857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1417865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417869 */     // MIs[0] Operand 5
     /* 1417869 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417880 */     // MIs[0] policy
     /* 1417880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417890 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1417890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1_MASK),
     /* 1417893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1417912 */     // GIR_Coverage, 21171,
     /* 1417912 */     GIR_EraseRootFromParent_Done,
     /* 1417913 */   // Label 20060: @1417913
     /* 1417913 */   GIM_Try, /*On fail goto*//*Label 20061*/ GIMT_Encode4(1418001), // Rule ID 21174 //
     /* 1417918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1417921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1417926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1417929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1417932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1417935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1417938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1417941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1417945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1417949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1417953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1417957 */     // MIs[0] Operand 5
     /* 1417957 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1417968 */     // MIs[0] policy
     /* 1417968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1417971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1417978 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1417978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1417981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1417983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1417985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1417987 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1417989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1417994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1417997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1417999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418000 */     // GIR_Coverage, 21174,
     /* 1418000 */     GIR_EraseRootFromParent_Done,
     /* 1418001 */   // Label 20061: @1418001
     /* 1418001 */   GIM_Try, /*On fail goto*//*Label 20062*/ GIMT_Encode4(1418089), // Rule ID 21175 //
     /* 1418006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1418009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1418014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1418017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1418020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1418023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1418026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1418033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418045 */     // MIs[0] Operand 5
     /* 1418045 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418056 */     // MIs[0] policy
     /* 1418056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418066 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2_MASK),
     /* 1418069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418088 */     // GIR_Coverage, 21175,
     /* 1418088 */     GIR_EraseRootFromParent_Done,
     /* 1418089 */   // Label 20062: @1418089
     /* 1418089 */   GIM_Try, /*On fail goto*//*Label 20063*/ GIMT_Encode4(1418177), // Rule ID 21178 //
     /* 1418094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1418097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1418102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1418105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1418108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1418114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418133 */     // MIs[0] Operand 5
     /* 1418133 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418144 */     // MIs[0] policy
     /* 1418144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418154 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1418157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418163 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418176 */     // GIR_Coverage, 21178,
     /* 1418176 */     GIR_EraseRootFromParent_Done,
     /* 1418177 */   // Label 20063: @1418177
     /* 1418177 */   GIM_Try, /*On fail goto*//*Label 20064*/ GIMT_Encode4(1418265), // Rule ID 21179 //
     /* 1418182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1418185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1418190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1418193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1418196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1418199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1418202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1418209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1418213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1418217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418221 */     // MIs[0] Operand 5
     /* 1418221 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418232 */     // MIs[0] policy
     /* 1418232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418242 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4_MASK),
     /* 1418245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1418261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418264 */     // GIR_Coverage, 21179,
     /* 1418264 */     GIR_EraseRootFromParent_Done,
     /* 1418265 */   // Label 20064: @1418265
     /* 1418265 */   GIM_Try, /*On fail goto*//*Label 20065*/ GIMT_Encode4(1418353), // Rule ID 21482 //
     /* 1418270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1418273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1418281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1418284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1418287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1418290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418309 */     // MIs[0] Operand 5
     /* 1418309 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418320 */     // MIs[0] policy
     /* 1418320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418330 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1418333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418352 */     // GIR_Coverage, 21482,
     /* 1418352 */     GIR_EraseRootFromParent_Done,
     /* 1418353 */   // Label 20065: @1418353
     /* 1418353 */   GIM_Try, /*On fail goto*//*Label 20066*/ GIMT_Encode4(1418441), // Rule ID 21483 //
     /* 1418358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1418361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1418369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1418372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1418375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1418378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418397 */     // MIs[0] Operand 5
     /* 1418397 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418408 */     // MIs[0] policy
     /* 1418408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418418 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8_MASK),
     /* 1418421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418427 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418440 */     // GIR_Coverage, 21483,
     /* 1418440 */     GIR_EraseRootFromParent_Done,
     /* 1418441 */   // Label 20066: @1418441
     /* 1418441 */   GIM_Try, /*On fail goto*//*Label 20067*/ GIMT_Encode4(1418529), // Rule ID 21486 //
     /* 1418446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1418449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1418457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1418460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1418463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1418466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418485 */     // MIs[0] Operand 5
     /* 1418485 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418496 */     // MIs[0] policy
     /* 1418496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418506 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1418509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418528 */     // GIR_Coverage, 21486,
     /* 1418528 */     GIR_EraseRootFromParent_Done,
     /* 1418529 */   // Label 20067: @1418529
     /* 1418529 */   GIM_Try, /*On fail goto*//*Label 20068*/ GIMT_Encode4(1418617), // Rule ID 21487 //
     /* 1418534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1418537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1418545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1418548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1418551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1418554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418573 */     // MIs[0] Operand 5
     /* 1418573 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418584 */     // MIs[0] policy
     /* 1418584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1418597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418616 */     // GIR_Coverage, 21487,
     /* 1418616 */     GIR_EraseRootFromParent_Done,
     /* 1418617 */   // Label 20068: @1418617
     /* 1418617 */   GIM_Try, /*On fail goto*//*Label 20069*/ GIMT_Encode4(1418705), // Rule ID 21490 //
     /* 1418622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1418625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1418633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1418636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1418642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418661 */     // MIs[0] Operand 5
     /* 1418661 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418672 */     // MIs[0] policy
     /* 1418672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418682 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1418685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418704 */     // GIR_Coverage, 21490,
     /* 1418704 */     GIR_EraseRootFromParent_Done,
     /* 1418705 */   // Label 20069: @1418705
     /* 1418705 */   GIM_Try, /*On fail goto*//*Label 20070*/ GIMT_Encode4(1418793), // Rule ID 21491 //
     /* 1418710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1418713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1418721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1418724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1418727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1418730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418749 */     // MIs[0] Operand 5
     /* 1418749 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418760 */     // MIs[0] policy
     /* 1418760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418770 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1418773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418792 */     // GIR_Coverage, 21491,
     /* 1418792 */     GIR_EraseRootFromParent_Done,
     /* 1418793 */   // Label 20070: @1418793
     /* 1418793 */   GIM_Try, /*On fail goto*//*Label 20071*/ GIMT_Encode4(1418881), // Rule ID 21494 //
     /* 1418798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1418801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1418809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1418812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1418815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1418818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418837 */     // MIs[0] Operand 5
     /* 1418837 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418848 */     // MIs[0] policy
     /* 1418848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418858 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1418858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1418861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418880 */     // GIR_Coverage, 21494,
     /* 1418880 */     GIR_EraseRootFromParent_Done,
     /* 1418881 */   // Label 20071: @1418881
     /* 1418881 */   GIM_Try, /*On fail goto*//*Label 20072*/ GIMT_Encode4(1418969), // Rule ID 21495 //
     /* 1418886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1418889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1418897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1418900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1418903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1418906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1418909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1418913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1418917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1418921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1418925 */     // MIs[0] Operand 5
     /* 1418925 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1418936 */     // MIs[0] policy
     /* 1418936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1418939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1418946 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1418946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1418949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1418951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1418953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1418955 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1418957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1418962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1418965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1418967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1418968 */     // GIR_Coverage, 21495,
     /* 1418968 */     GIR_EraseRootFromParent_Done,
     /* 1418969 */   // Label 20072: @1418969
     /* 1418969 */   GIM_Try, /*On fail goto*//*Label 20073*/ GIMT_Encode4(1419057), // Rule ID 21498 //
     /* 1418974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1418977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1418982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1418985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1418988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1418991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1418994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1418997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419013 */     // MIs[0] Operand 5
     /* 1419013 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419024 */     // MIs[0] policy
     /* 1419024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419034 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1419037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419056 */     // GIR_Coverage, 21498,
     /* 1419056 */     GIR_EraseRootFromParent_Done,
     /* 1419057 */   // Label 20073: @1419057
     /* 1419057 */   GIM_Try, /*On fail goto*//*Label 20074*/ GIMT_Encode4(1419145), // Rule ID 21499 //
     /* 1419062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1419065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1419073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1419076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1419079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1419082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419101 */     // MIs[0] Operand 5
     /* 1419101 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419112 */     // MIs[0] policy
     /* 1419112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419122 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1419125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419131 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419144 */     // GIR_Coverage, 21499,
     /* 1419144 */     GIR_EraseRootFromParent_Done,
     /* 1419145 */   // Label 20074: @1419145
     /* 1419145 */   GIM_Try, /*On fail goto*//*Label 20075*/ GIMT_Encode4(1419233), // Rule ID 21502 //
     /* 1419150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1419153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1419161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1419164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1419170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419189 */     // MIs[0] Operand 5
     /* 1419189 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419200 */     // MIs[0] policy
     /* 1419200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419210 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1419213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419232 */     // GIR_Coverage, 21502,
     /* 1419232 */     GIR_EraseRootFromParent_Done,
     /* 1419233 */   // Label 20075: @1419233
     /* 1419233 */   GIM_Try, /*On fail goto*//*Label 20076*/ GIMT_Encode4(1419321), // Rule ID 21503 //
     /* 1419238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1419241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1419249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1419252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1419255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1419258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1419265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1419273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419277 */     // MIs[0] Operand 5
     /* 1419277 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419288 */     // MIs[0] policy
     /* 1419288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419298 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1419301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1419317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419320 */     // GIR_Coverage, 21503,
     /* 1419320 */     GIR_EraseRootFromParent_Done,
     /* 1419321 */   // Label 20076: @1419321
     /* 1419321 */   GIM_Try, /*On fail goto*//*Label 20077*/ GIMT_Encode4(1419409), // Rule ID 21506 //
     /* 1419326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1419329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1419337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1419340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1419343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1419346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419365 */     // MIs[0] Operand 5
     /* 1419365 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419376 */     // MIs[0] policy
     /* 1419376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419386 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1419389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419395 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419408 */     // GIR_Coverage, 21506,
     /* 1419408 */     GIR_EraseRootFromParent_Done,
     /* 1419409 */   // Label 20077: @1419409
     /* 1419409 */   GIM_Try, /*On fail goto*//*Label 20078*/ GIMT_Encode4(1419497), // Rule ID 21507 //
     /* 1419414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1419417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1419425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1419428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1419431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1419434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419453 */     // MIs[0] Operand 5
     /* 1419453 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419464 */     // MIs[0] policy
     /* 1419464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4_MASK),
     /* 1419477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419496 */     // GIR_Coverage, 21507,
     /* 1419496 */     GIR_EraseRootFromParent_Done,
     /* 1419497 */   // Label 20078: @1419497
     /* 1419497 */   GIM_Try, /*On fail goto*//*Label 20079*/ GIMT_Encode4(1419585), // Rule ID 21510 //
     /* 1419502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1419505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1419513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1419516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1419519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1419522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419541 */     // MIs[0] Operand 5
     /* 1419541 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419552 */     // MIs[0] policy
     /* 1419552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419562 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1419565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419584 */     // GIR_Coverage, 21510,
     /* 1419584 */     GIR_EraseRootFromParent_Done,
     /* 1419585 */   // Label 20079: @1419585
     /* 1419585 */   GIM_Try, /*On fail goto*//*Label 20080*/ GIMT_Encode4(1419673), // Rule ID 21511 //
     /* 1419590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1419593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1419601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1419604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1419607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1419610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419629 */     // MIs[0] Operand 5
     /* 1419629 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419640 */     // MIs[0] policy
     /* 1419640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419650 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1419653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419659 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419672 */     // GIR_Coverage, 21511,
     /* 1419672 */     GIR_EraseRootFromParent_Done,
     /* 1419673 */   // Label 20080: @1419673
     /* 1419673 */   GIM_Try, /*On fail goto*//*Label 20081*/ GIMT_Encode4(1419761), // Rule ID 21514 //
     /* 1419678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1419681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1419689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1419692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1419695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1419698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419717 */     // MIs[0] Operand 5
     /* 1419717 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419728 */     // MIs[0] policy
     /* 1419728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419738 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1419741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419760 */     // GIR_Coverage, 21514,
     /* 1419760 */     GIR_EraseRootFromParent_Done,
     /* 1419761 */   // Label 20081: @1419761
     /* 1419761 */   GIM_Try, /*On fail goto*//*Label 20082*/ GIMT_Encode4(1419849), // Rule ID 21515 //
     /* 1419766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1419769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1419777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1419780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1419783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1419786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1419793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1419797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419805 */     // MIs[0] Operand 5
     /* 1419805 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419816 */     // MIs[0] policy
     /* 1419816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419826 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1419826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1419829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419835 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419848 */     // GIR_Coverage, 21515,
     /* 1419848 */     GIR_EraseRootFromParent_Done,
     /* 1419849 */   // Label 20082: @1419849
     /* 1419849 */   GIM_Try, /*On fail goto*//*Label 20083*/ GIMT_Encode4(1419937), // Rule ID 21518 //
     /* 1419854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1419857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1419871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1419874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1419877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419893 */     // MIs[0] Operand 5
     /* 1419893 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419904 */     // MIs[0] policy
     /* 1419904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1419914 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1419914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1419917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1419919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1419921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1419923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1419925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1419930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1419933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1419935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1419936 */     // GIR_Coverage, 21518,
     /* 1419936 */     GIR_EraseRootFromParent_Done,
     /* 1419937 */   // Label 20083: @1419937
     /* 1419937 */   GIM_Try, /*On fail goto*//*Label 20084*/ GIMT_Encode4(1420025), // Rule ID 21519 //
     /* 1419942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1419945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1419950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1419953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1419956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1419959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1419962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1419965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1419969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1419973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1419977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1419981 */     // MIs[0] Operand 5
     /* 1419981 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1419992 */     // MIs[0] policy
     /* 1419992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1419995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420002 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1420005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420024 */     // GIR_Coverage, 21519,
     /* 1420024 */     GIR_EraseRootFromParent_Done,
     /* 1420025 */   // Label 20084: @1420025
     /* 1420025 */   GIM_Try, /*On fail goto*//*Label 20085*/ GIMT_Encode4(1420113), // Rule ID 21522 //
     /* 1420030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1420033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1420041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1420044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1420050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420069 */     // MIs[0] Operand 5
     /* 1420069 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420080 */     // MIs[0] policy
     /* 1420080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420090 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1420093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420099 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420112 */     // GIR_Coverage, 21522,
     /* 1420112 */     GIR_EraseRootFromParent_Done,
     /* 1420113 */   // Label 20085: @1420113
     /* 1420113 */   GIM_Try, /*On fail goto*//*Label 20086*/ GIMT_Encode4(1420201), // Rule ID 21523 //
     /* 1420118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1420121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1420129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1420132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1420135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1420138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420157 */     // MIs[0] Operand 5
     /* 1420157 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420168 */     // MIs[0] policy
     /* 1420168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1420181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1420197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420200 */     // GIR_Coverage, 21523,
     /* 1420200 */     GIR_EraseRootFromParent_Done,
     /* 1420201 */   // Label 20086: @1420201
     /* 1420201 */   GIM_Try, /*On fail goto*//*Label 20087*/ GIMT_Encode4(1420289), // Rule ID 21526 //
     /* 1420206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1420209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1420223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1420226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420245 */     // MIs[0] Operand 5
     /* 1420245 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420256 */     // MIs[0] policy
     /* 1420256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1420269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420288 */     // GIR_Coverage, 21526,
     /* 1420288 */     GIR_EraseRootFromParent_Done,
     /* 1420289 */   // Label 20087: @1420289
     /* 1420289 */   GIM_Try, /*On fail goto*//*Label 20088*/ GIMT_Encode4(1420377), // Rule ID 21527 //
     /* 1420294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1420297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1420305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1420308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1420311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1420314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420333 */     // MIs[0] Operand 5
     /* 1420333 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420344 */     // MIs[0] policy
     /* 1420344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420354 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2_MASK),
     /* 1420357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420376 */     // GIR_Coverage, 21527,
     /* 1420376 */     GIR_EraseRootFromParent_Done,
     /* 1420377 */   // Label 20088: @1420377
     /* 1420377 */   GIM_Try, /*On fail goto*//*Label 20089*/ GIMT_Encode4(1420465), // Rule ID 21530 //
     /* 1420382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1420385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1420393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1420396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1420402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420421 */     // MIs[0] Operand 5
     /* 1420421 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420432 */     // MIs[0] policy
     /* 1420432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1420445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420464 */     // GIR_Coverage, 21530,
     /* 1420464 */     GIR_EraseRootFromParent_Done,
     /* 1420465 */   // Label 20089: @1420465
     /* 1420465 */   GIM_Try, /*On fail goto*//*Label 20090*/ GIMT_Encode4(1420553), // Rule ID 21531 //
     /* 1420470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1420473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1420481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1420484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1420487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1420490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420509 */     // MIs[0] Operand 5
     /* 1420509 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420520 */     // MIs[0] policy
     /* 1420520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420530 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1_MASK),
     /* 1420533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420552 */     // GIR_Coverage, 21531,
     /* 1420552 */     GIR_EraseRootFromParent_Done,
     /* 1420553 */   // Label 20090: @1420553
     /* 1420553 */   GIM_Try, /*On fail goto*//*Label 20091*/ GIMT_Encode4(1420641), // Rule ID 21534 //
     /* 1420558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1420561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1420578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420597 */     // MIs[0] Operand 5
     /* 1420597 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420608 */     // MIs[0] policy
     /* 1420608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1420621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420640 */     // GIR_Coverage, 21534,
     /* 1420640 */     GIR_EraseRootFromParent_Done,
     /* 1420641 */   // Label 20091: @1420641
     /* 1420641 */   GIM_Try, /*On fail goto*//*Label 20092*/ GIMT_Encode4(1420729), // Rule ID 21535 //
     /* 1420646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1420649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1420657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1420660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1420663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1420666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1420673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1420677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420685 */     // MIs[0] Operand 5
     /* 1420685 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420696 */     // MIs[0] policy
     /* 1420696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420706 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2_MASK),
     /* 1420709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420728 */     // GIR_Coverage, 21535,
     /* 1420728 */     GIR_EraseRootFromParent_Done,
     /* 1420729 */   // Label 20092: @1420729
     /* 1420729 */   GIM_Try, /*On fail goto*//*Label 20093*/ GIMT_Encode4(1420817), // Rule ID 21538 //
     /* 1420734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1420737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1420751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1420754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420773 */     // MIs[0] Operand 5
     /* 1420773 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420784 */     // MIs[0] policy
     /* 1420784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420794 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1420797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420816 */     // GIR_Coverage, 21538,
     /* 1420816 */     GIR_EraseRootFromParent_Done,
     /* 1420817 */   // Label 20093: @1420817
     /* 1420817 */   GIM_Try, /*On fail goto*//*Label 20094*/ GIMT_Encode4(1420905), // Rule ID 21539 //
     /* 1420822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1420825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1420830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1420833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1420836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1420839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1420842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1420845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1420849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1420853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1420857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420861 */     // MIs[0] Operand 5
     /* 1420861 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420872 */     // MIs[0] policy
     /* 1420872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1420882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4_MASK),
     /* 1420885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1420901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420904 */     // GIR_Coverage, 21539,
     /* 1420904 */     GIR_EraseRootFromParent_Done,
     /* 1420905 */   // Label 20094: @1420905
     /* 1420905 */   GIM_Try, /*On fail goto*//*Label 20095*/ GIMT_Encode4(1420993), // Rule ID 21542 //
     /* 1420910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1420913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1420918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1420921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1420924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1420927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1420930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1420933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1420937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1420945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1420949 */     // MIs[0] Operand 5
     /* 1420949 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1420960 */     // MIs[0] policy
     /* 1420960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1420963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1420970 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1420970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1420973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1420975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1420977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1420979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1420981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1420986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1420989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1420991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1420992 */     // GIR_Coverage, 21542,
     /* 1420992 */     GIR_EraseRootFromParent_Done,
     /* 1420993 */   // Label 20095: @1420993
     /* 1420993 */   GIM_Try, /*On fail goto*//*Label 20096*/ GIMT_Encode4(1421081), // Rule ID 21543 //
     /* 1420998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1421001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1421009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1421012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1421015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1421018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421037 */     // MIs[0] Operand 5
     /* 1421037 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421048 */     // MIs[0] policy
     /* 1421048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421058 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8_MASK),
     /* 1421061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421067 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421080 */     // GIR_Coverage, 21543,
     /* 1421080 */     GIR_EraseRootFromParent_Done,
     /* 1421081 */   // Label 20096: @1421081
     /* 1421081 */   GIM_Try, /*On fail goto*//*Label 20097*/ GIMT_Encode4(1421169), // Rule ID 21546 //
     /* 1421086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1421089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1421106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421125 */     // MIs[0] Operand 5
     /* 1421125 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421136 */     // MIs[0] policy
     /* 1421136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1421149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421168 */     // GIR_Coverage, 21546,
     /* 1421168 */     GIR_EraseRootFromParent_Done,
     /* 1421169 */   // Label 20097: @1421169
     /* 1421169 */   GIM_Try, /*On fail goto*//*Label 20098*/ GIMT_Encode4(1421257), // Rule ID 21547 //
     /* 1421174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1421177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1421185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1421188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1421191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1421194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421213 */     // MIs[0] Operand 5
     /* 1421213 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421224 */     // MIs[0] policy
     /* 1421224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421234 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1421237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421256 */     // GIR_Coverage, 21547,
     /* 1421256 */     GIR_EraseRootFromParent_Done,
     /* 1421257 */   // Label 20098: @1421257
     /* 1421257 */   GIM_Try, /*On fail goto*//*Label 20099*/ GIMT_Encode4(1421345), // Rule ID 21550 //
     /* 1421262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1421265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1421279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1421282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421301 */     // MIs[0] Operand 5
     /* 1421301 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421312 */     // MIs[0] policy
     /* 1421312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421322 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1421325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421331 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421344 */     // GIR_Coverage, 21550,
     /* 1421344 */     GIR_EraseRootFromParent_Done,
     /* 1421345 */   // Label 20099: @1421345
     /* 1421345 */   GIM_Try, /*On fail goto*//*Label 20100*/ GIMT_Encode4(1421433), // Rule ID 21551 //
     /* 1421350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1421353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1421361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1421364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1421367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1421370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421389 */     // MIs[0] Operand 5
     /* 1421389 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421400 */     // MIs[0] policy
     /* 1421400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421410 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1421413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421432 */     // GIR_Coverage, 21551,
     /* 1421432 */     GIR_EraseRootFromParent_Done,
     /* 1421433 */   // Label 20100: @1421433
     /* 1421433 */   GIM_Try, /*On fail goto*//*Label 20101*/ GIMT_Encode4(1421521), // Rule ID 21554 //
     /* 1421438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1421441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1421449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1421452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1421455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1421458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421477 */     // MIs[0] Operand 5
     /* 1421477 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421488 */     // MIs[0] policy
     /* 1421488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421498 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1421501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421520 */     // GIR_Coverage, 21554,
     /* 1421520 */     GIR_EraseRootFromParent_Done,
     /* 1421521 */   // Label 20101: @1421521
     /* 1421521 */   GIM_Try, /*On fail goto*//*Label 20102*/ GIMT_Encode4(1421609), // Rule ID 21555 //
     /* 1421526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1421529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1421537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1421540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1421543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1421546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421565 */     // MIs[0] Operand 5
     /* 1421565 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421576 */     // MIs[0] policy
     /* 1421576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1421589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421608 */     // GIR_Coverage, 21555,
     /* 1421608 */     GIR_EraseRootFromParent_Done,
     /* 1421609 */   // Label 20102: @1421609
     /* 1421609 */   GIM_Try, /*On fail goto*//*Label 20103*/ GIMT_Encode4(1421697), // Rule ID 21558 //
     /* 1421614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1421617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1421631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1421634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421653 */     // MIs[0] Operand 5
     /* 1421653 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421664 */     // MIs[0] policy
     /* 1421664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421674 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1421677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421696 */     // GIR_Coverage, 21558,
     /* 1421696 */     GIR_EraseRootFromParent_Done,
     /* 1421697 */   // Label 20103: @1421697
     /* 1421697 */   GIM_Try, /*On fail goto*//*Label 20104*/ GIMT_Encode4(1421785), // Rule ID 21559 //
     /* 1421702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1421705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1421713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1421716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1421719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1421722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1421729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1421733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421741 */     // MIs[0] Operand 5
     /* 1421741 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421752 */     // MIs[0] policy
     /* 1421752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421762 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1421765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421784 */     // GIR_Coverage, 21559,
     /* 1421784 */     GIR_EraseRootFromParent_Done,
     /* 1421785 */   // Label 20104: @1421785
     /* 1421785 */   GIM_Try, /*On fail goto*//*Label 20105*/ GIMT_Encode4(1421873), // Rule ID 21562 //
     /* 1421790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1421793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1421807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1421810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421829 */     // MIs[0] Operand 5
     /* 1421829 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421840 */     // MIs[0] policy
     /* 1421840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1421850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1421853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421872 */     // GIR_Coverage, 21562,
     /* 1421872 */     GIR_EraseRootFromParent_Done,
     /* 1421873 */   // Label 20105: @1421873
     /* 1421873 */   GIM_Try, /*On fail goto*//*Label 20106*/ GIMT_Encode4(1421961), // Rule ID 21563 //
     /* 1421878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1421881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1421889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1421892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1421895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1421898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1421901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1421905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1421909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1421913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1421917 */     // MIs[0] Operand 5
     /* 1421917 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1421928 */     // MIs[0] policy
     /* 1421928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1421931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1421938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1421938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1421941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1421943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1421945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1421947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1421949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1421954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1421957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1421959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1421960 */     // GIR_Coverage, 21563,
     /* 1421960 */     GIR_EraseRootFromParent_Done,
     /* 1421961 */   // Label 20106: @1421961
     /* 1421961 */   GIM_Try, /*On fail goto*//*Label 20107*/ GIMT_Encode4(1422049), // Rule ID 21566 //
     /* 1421966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1421969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1421974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1421977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1421980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1421983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1421986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1421989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1421993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1421997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422005 */     // MIs[0] Operand 5
     /* 1422005 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422016 */     // MIs[0] policy
     /* 1422016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422026 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1422029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422048 */     // GIR_Coverage, 21566,
     /* 1422048 */     GIR_EraseRootFromParent_Done,
     /* 1422049 */   // Label 20107: @1422049
     /* 1422049 */   GIM_Try, /*On fail goto*//*Label 20108*/ GIMT_Encode4(1422137), // Rule ID 21567 //
     /* 1422054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1422057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1422065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1422068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1422071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1422074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422093 */     // MIs[0] Operand 5
     /* 1422093 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422104 */     // MIs[0] policy
     /* 1422104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422114 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4_MASK),
     /* 1422117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422136 */     // GIR_Coverage, 21567,
     /* 1422136 */     GIR_EraseRootFromParent_Done,
     /* 1422137 */   // Label 20108: @1422137
     /* 1422137 */   GIM_Try, /*On fail goto*//*Label 20109*/ GIMT_Encode4(1422225), // Rule ID 21570 //
     /* 1422142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1422145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1422153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1422156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1422162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422181 */     // MIs[0] Operand 5
     /* 1422181 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422192 */     // MIs[0] policy
     /* 1422192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1422205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422224 */     // GIR_Coverage, 21570,
     /* 1422224 */     GIR_EraseRootFromParent_Done,
     /* 1422225 */   // Label 20109: @1422225
     /* 1422225 */   GIM_Try, /*On fail goto*//*Label 20110*/ GIMT_Encode4(1422313), // Rule ID 21571 //
     /* 1422230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1422233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1422241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1422244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1422247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1422250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422269 */     // MIs[0] Operand 5
     /* 1422269 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422280 */     // MIs[0] policy
     /* 1422280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1422293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422312 */     // GIR_Coverage, 21571,
     /* 1422312 */     GIR_EraseRootFromParent_Done,
     /* 1422313 */   // Label 20110: @1422313
     /* 1422313 */   GIM_Try, /*On fail goto*//*Label 20111*/ GIMT_Encode4(1422401), // Rule ID 21574 //
     /* 1422318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1422321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1422338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422357 */     // MIs[0] Operand 5
     /* 1422357 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422368 */     // MIs[0] policy
     /* 1422368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1422381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422400 */     // GIR_Coverage, 21574,
     /* 1422400 */     GIR_EraseRootFromParent_Done,
     /* 1422401 */   // Label 20111: @1422401
     /* 1422401 */   GIM_Try, /*On fail goto*//*Label 20112*/ GIMT_Encode4(1422489), // Rule ID 21575 //
     /* 1422406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1422409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1422417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1422420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1422423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1422426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422445 */     // MIs[0] Operand 5
     /* 1422445 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422456 */     // MIs[0] policy
     /* 1422456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1422469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422475 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422488 */     // GIR_Coverage, 21575,
     /* 1422488 */     GIR_EraseRootFromParent_Done,
     /* 1422489 */   // Label 20112: @1422489
     /* 1422489 */   GIM_Try, /*On fail goto*//*Label 20113*/ GIMT_Encode4(1422577), // Rule ID 21578 //
     /* 1422494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1422497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1422514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422533 */     // MIs[0] Operand 5
     /* 1422533 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422544 */     // MIs[0] policy
     /* 1422544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422554 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1422557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422576 */     // GIR_Coverage, 21578,
     /* 1422576 */     GIR_EraseRootFromParent_Done,
     /* 1422577 */   // Label 20113: @1422577
     /* 1422577 */   GIM_Try, /*On fail goto*//*Label 20114*/ GIMT_Encode4(1422665), // Rule ID 21579 //
     /* 1422582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1422585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1422593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1422596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1422599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1422602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1422609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1422613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422621 */     // MIs[0] Operand 5
     /* 1422621 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422632 */     // MIs[0] policy
     /* 1422632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422642 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1422645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422664 */     // GIR_Coverage, 21579,
     /* 1422664 */     GIR_EraseRootFromParent_Done,
     /* 1422665 */   // Label 20114: @1422665
     /* 1422665 */   GIM_Try, /*On fail goto*//*Label 20115*/ GIMT_Encode4(1422753), // Rule ID 21582 //
     /* 1422670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1422673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1422687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1422690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422709 */     // MIs[0] Operand 5
     /* 1422709 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422720 */     // MIs[0] policy
     /* 1422720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422730 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1422733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422752 */     // GIR_Coverage, 21582,
     /* 1422752 */     GIR_EraseRootFromParent_Done,
     /* 1422753 */   // Label 20115: @1422753
     /* 1422753 */   GIM_Try, /*On fail goto*//*Label 20116*/ GIMT_Encode4(1422841), // Rule ID 21583 //
     /* 1422758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1422761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1422769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1422772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1422775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1422778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1422785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1422789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1422793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422797 */     // MIs[0] Operand 5
     /* 1422797 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422808 */     // MIs[0] policy
     /* 1422808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422818 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1422821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1422837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422840 */     // GIR_Coverage, 21583,
     /* 1422840 */     GIR_EraseRootFromParent_Done,
     /* 1422841 */   // Label 20116: @1422841
     /* 1422841 */   GIM_Try, /*On fail goto*//*Label 20117*/ GIMT_Encode4(1422929), // Rule ID 21586 //
     /* 1422846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1422849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1422857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1422860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1422866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1422869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422885 */     // MIs[0] Operand 5
     /* 1422885 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422896 */     // MIs[0] policy
     /* 1422896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1422906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1422909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1422913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1422915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1422917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1422922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1422925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1422927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1422928 */     // GIR_Coverage, 21586,
     /* 1422928 */     GIR_EraseRootFromParent_Done,
     /* 1422929 */   // Label 20117: @1422929
     /* 1422929 */   GIM_Try, /*On fail goto*//*Label 20118*/ GIMT_Encode4(1423017), // Rule ID 21587 //
     /* 1422934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1422937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1422942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1422945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1422948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1422951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1422954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1422957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1422961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1422969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1422973 */     // MIs[0] Operand 5
     /* 1422973 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1422984 */     // MIs[0] policy
     /* 1422984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1422987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1422994 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1422994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2_MASK),
     /* 1422997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1422999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1423003 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1423005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423016 */     // GIR_Coverage, 21587,
     /* 1423016 */     GIR_EraseRootFromParent_Done,
     /* 1423017 */   // Label 20118: @1423017
     /* 1423017 */   GIM_Try, /*On fail goto*//*Label 20119*/ GIMT_Encode4(1423105), // Rule ID 21590 //
     /* 1423022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1423025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1423030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1423033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1423036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1423042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423061 */     // MIs[0] Operand 5
     /* 1423061 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1423072 */     // MIs[0] policy
     /* 1423072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423082 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1423085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1423091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1423093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423104 */     // GIR_Coverage, 21590,
     /* 1423104 */     GIR_EraseRootFromParent_Done,
     /* 1423105 */   // Label 20119: @1423105
     /* 1423105 */   GIM_Try, /*On fail goto*//*Label 20120*/ GIMT_Encode4(1423193), // Rule ID 21591 //
     /* 1423110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1423113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1423118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1423121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1423124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1423127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1423130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423149 */     // MIs[0] Operand 5
     /* 1423149 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1423160 */     // MIs[0] policy
     /* 1423160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423170 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1_MASK),
     /* 1423173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1423179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1423181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423192 */     // GIR_Coverage, 21591,
     /* 1423192 */     GIR_EraseRootFromParent_Done,
     /* 1423193 */   // Label 20120: @1423193
     /* 1423193 */   GIM_Try, /*On fail goto*//*Label 20121*/ GIMT_Encode4(1423281), // Rule ID 21594 //
     /* 1423198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1423201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1423206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1423209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1423212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1423218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423237 */     // MIs[0] Operand 5
     /* 1423237 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1423248 */     // MIs[0] policy
     /* 1423248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423258 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1423261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1423267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1423269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423280 */     // GIR_Coverage, 21594,
     /* 1423280 */     GIR_EraseRootFromParent_Done,
     /* 1423281 */   // Label 20121: @1423281
     /* 1423281 */   GIM_Try, /*On fail goto*//*Label 20122*/ GIMT_Encode4(1423369), // Rule ID 21595 //
     /* 1423286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1423289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1423294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1423297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1423300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1423303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1423306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1423313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1423317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423325 */     // MIs[0] Operand 5
     /* 1423325 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1423336 */     // MIs[0] policy
     /* 1423336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423346 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2_MASK),
     /* 1423349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1423355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1423357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423368 */     // GIR_Coverage, 21595,
     /* 1423368 */     GIR_EraseRootFromParent_Done,
     /* 1423369 */   // Label 20122: @1423369
     /* 1423369 */   GIM_Try, /*On fail goto*//*Label 20123*/ GIMT_Encode4(1423457), // Rule ID 21598 //
     /* 1423374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1423377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1423382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1423385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1423388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1423394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423413 */     // MIs[0] Operand 5
     /* 1423413 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1423424 */     // MIs[0] policy
     /* 1423424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423434 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i64] }, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1423437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1423443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1423445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423456 */     // GIR_Coverage, 21598,
     /* 1423456 */     GIR_EraseRootFromParent_Done,
     /* 1423457 */   // Label 20123: @1423457
     /* 1423457 */   GIM_Try, /*On fail goto*//*Label 20124*/ GIMT_Encode4(1423545), // Rule ID 21599 //
     /* 1423462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1423465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1423470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1423473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1423476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1423479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1423482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1423489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1423493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1423497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423501 */     // MIs[0] Operand 5
     /* 1423501 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/5, GIMT_Encode8(1),
     /* 1423512 */     // MIs[0] policy
     /* 1423512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423522 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, 1:{ *:[i32] }, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4_MASK),
     /* 1423525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1423531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1423533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1423541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423544 */     // GIR_Coverage, 21599,
     /* 1423544 */     GIR_EraseRootFromParent_Done,
     /* 1423545 */   // Label 20124: @1423545
     /* 1423545 */   GIM_Try, /*On fail goto*//*Label 20125*/ GIMT_Encode4(1423644), // Rule ID 2796 //
     /* 1423550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423600 */     // MIs[1] Operand 1
     /* 1423600 */     // No operand predicates
     /* 1423600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423604 */     // MIs[0] policy
     /* 1423604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423616 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1423619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423625 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423640 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423642 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423643 */     // GIR_Coverage, 2796,
     /* 1423643 */     GIR_EraseRootFromParent_Done,
     /* 1423644 */   // Label 20125: @1423644
     /* 1423644 */   GIM_Try, /*On fail goto*//*Label 20126*/ GIMT_Encode4(1423743), // Rule ID 2797 //
     /* 1423649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1423660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1423663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1423666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1423672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423695 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423699 */     // MIs[1] Operand 1
     /* 1423699 */     // No operand predicates
     /* 1423699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423703 */     // MIs[0] policy
     /* 1423703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423715 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1423718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423724 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423742 */     // GIR_Coverage, 2797,
     /* 1423742 */     GIR_EraseRootFromParent_Done,
     /* 1423743 */   // Label 20126: @1423743
     /* 1423743 */   GIM_Try, /*On fail goto*//*Label 20127*/ GIMT_Encode4(1423842), // Rule ID 2804 //
     /* 1423748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1423759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1423762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1423765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423786 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423790 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423794 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423798 */     // MIs[1] Operand 1
     /* 1423798 */     // No operand predicates
     /* 1423798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423802 */     // MIs[0] policy
     /* 1423802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423805 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423814 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1423814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1423817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423823 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423838 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423841 */     // GIR_Coverage, 2804,
     /* 1423841 */     GIR_EraseRootFromParent_Done,
     /* 1423842 */   // Label 20127: @1423842
     /* 1423842 */   GIM_Try, /*On fail goto*//*Label 20128*/ GIMT_Encode4(1423941), // Rule ID 2805 //
     /* 1423847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1423850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1423858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1423861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1423864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1423867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1423870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1423873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423885 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423889 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423893 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423897 */     // MIs[1] Operand 1
     /* 1423897 */     // No operand predicates
     /* 1423897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1423901 */     // MIs[0] policy
     /* 1423901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1423904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1423906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1423913 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1423913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1423916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1423918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1423920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1423922 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1423927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1423929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1423934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1423937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1423939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1423940 */     // GIR_Coverage, 2805,
     /* 1423940 */     GIR_EraseRootFromParent_Done,
     /* 1423941 */   // Label 20128: @1423941
     /* 1423941 */   GIM_Try, /*On fail goto*//*Label 20129*/ GIMT_Encode4(1424040), // Rule ID 2812 //
     /* 1423946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1423949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1423954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1423957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1423960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1423963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1423966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1423969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1423972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1423976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1423984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1423988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1423992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1423996 */     // MIs[1] Operand 1
     /* 1423996 */     // No operand predicates
     /* 1423996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424000 */     // MIs[0] policy
     /* 1424000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424021 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424039 */     // GIR_Coverage, 2812,
     /* 1424039 */     GIR_EraseRootFromParent_Done,
     /* 1424040 */   // Label 20129: @1424040
     /* 1424040 */   GIM_Try, /*On fail goto*//*Label 20130*/ GIMT_Encode4(1424139), // Rule ID 2813 //
     /* 1424045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1424056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1424059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1424062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424095 */     // MIs[1] Operand 1
     /* 1424095 */     // No operand predicates
     /* 1424095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424099 */     // MIs[0] policy
     /* 1424099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424111 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424120 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424138 */     // GIR_Coverage, 2813,
     /* 1424138 */     GIR_EraseRootFromParent_Done,
     /* 1424139 */   // Label 20130: @1424139
     /* 1424139 */   GIM_Try, /*On fail goto*//*Label 20131*/ GIMT_Encode4(1424238), // Rule ID 2820 //
     /* 1424144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1424155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1424158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424194 */     // MIs[1] Operand 1
     /* 1424194 */     // No operand predicates
     /* 1424194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424198 */     // MIs[0] policy
     /* 1424198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424210 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1424213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424219 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424237 */     // GIR_Coverage, 2820,
     /* 1424237 */     GIR_EraseRootFromParent_Done,
     /* 1424238 */   // Label 20131: @1424238
     /* 1424238 */   GIM_Try, /*On fail goto*//*Label 20132*/ GIMT_Encode4(1424337), // Rule ID 2821 //
     /* 1424243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1424254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1424257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1424260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424293 */     // MIs[1] Operand 1
     /* 1424293 */     // No operand predicates
     /* 1424293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424297 */     // MIs[0] policy
     /* 1424297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424309 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1424312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424318 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424336 */     // GIR_Coverage, 2821,
     /* 1424336 */     GIR_EraseRootFromParent_Done,
     /* 1424337 */   // Label 20132: @1424337
     /* 1424337 */   GIM_Try, /*On fail goto*//*Label 20133*/ GIMT_Encode4(1424436), // Rule ID 2828 //
     /* 1424342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424380 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424384 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424388 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424392 */     // MIs[1] Operand 1
     /* 1424392 */     // No operand predicates
     /* 1424392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424396 */     // MIs[0] policy
     /* 1424396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424399 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424417 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424434 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424435 */     // GIR_Coverage, 2828,
     /* 1424435 */     GIR_EraseRootFromParent_Done,
     /* 1424436 */   // Label 20133: @1424436
     /* 1424436 */   GIM_Try, /*On fail goto*//*Label 20134*/ GIMT_Encode4(1424535), // Rule ID 2829 //
     /* 1424441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1424452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1424455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1424458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1424464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424491 */     // MIs[1] Operand 1
     /* 1424491 */     // No operand predicates
     /* 1424491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424495 */     // MIs[0] policy
     /* 1424495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424507 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424516 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1424531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424534 */     // GIR_Coverage, 2829,
     /* 1424534 */     GIR_EraseRootFromParent_Done,
     /* 1424535 */   // Label 20134: @1424535
     /* 1424535 */   GIM_Try, /*On fail goto*//*Label 20135*/ GIMT_Encode4(1424634), // Rule ID 2836 //
     /* 1424540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424590 */     // MIs[1] Operand 1
     /* 1424590 */     // No operand predicates
     /* 1424590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424594 */     // MIs[0] policy
     /* 1424594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424597 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424606 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424615 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424633 */     // GIR_Coverage, 2836,
     /* 1424633 */     GIR_EraseRootFromParent_Done,
     /* 1424634 */   // Label 20135: @1424634
     /* 1424634 */   GIM_Try, /*On fail goto*//*Label 20136*/ GIMT_Encode4(1424733), // Rule ID 2837 //
     /* 1424639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1424650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1424653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1424656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1424662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424689 */     // MIs[1] Operand 1
     /* 1424689 */     // No operand predicates
     /* 1424689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424693 */     // MIs[0] policy
     /* 1424693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424705 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1424708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424714 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1424729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424732 */     // GIR_Coverage, 2837,
     /* 1424732 */     GIR_EraseRootFromParent_Done,
     /* 1424733 */   // Label 20136: @1424733
     /* 1424733 */   GIM_Try, /*On fail goto*//*Label 20137*/ GIMT_Encode4(1424832), // Rule ID 2844 //
     /* 1424738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1424749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1424752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1424755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424788 */     // MIs[1] Operand 1
     /* 1424788 */     // No operand predicates
     /* 1424788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424792 */     // MIs[0] policy
     /* 1424792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424804 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1424804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424813 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424831 */     // GIR_Coverage, 2844,
     /* 1424831 */     GIR_EraseRootFromParent_Done,
     /* 1424832 */   // Label 20137: @1424832
     /* 1424832 */   GIM_Try, /*On fail goto*//*Label 20138*/ GIMT_Encode4(1424931), // Rule ID 2845 //
     /* 1424837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1424840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1424848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1424851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1424854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1424857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1424860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1424863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424887 */     // MIs[1] Operand 1
     /* 1424887 */     // No operand predicates
     /* 1424887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424891 */     // MIs[0] policy
     /* 1424891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1424903 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1424903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1424906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1424908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1424910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1424912 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1424917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1424919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1424924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1424927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1424929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1424930 */     // GIR_Coverage, 2845,
     /* 1424930 */     GIR_EraseRootFromParent_Done,
     /* 1424931 */   // Label 20138: @1424931
     /* 1424931 */   GIM_Try, /*On fail goto*//*Label 20139*/ GIMT_Encode4(1425030), // Rule ID 2852 //
     /* 1424936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1424939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1424944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1424947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1424950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1424953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1424956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1424959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1424962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1424966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1424974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1424978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1424982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1424986 */     // MIs[1] Operand 1
     /* 1424986 */     // No operand predicates
     /* 1424986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1424990 */     // MIs[0] policy
     /* 1424990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1424993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1424995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425011 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425029 */     // GIR_Coverage, 2852,
     /* 1425029 */     GIR_EraseRootFromParent_Done,
     /* 1425030 */   // Label 20139: @1425030
     /* 1425030 */   GIM_Try, /*On fail goto*//*Label 20140*/ GIMT_Encode4(1425129), // Rule ID 2853 //
     /* 1425035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1425046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1425049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1425052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1425058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425085 */     // MIs[1] Operand 1
     /* 1425085 */     // No operand predicates
     /* 1425085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425089 */     // MIs[0] policy
     /* 1425089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425101 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425110 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1425125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425128 */     // GIR_Coverage, 2853,
     /* 1425128 */     GIR_EraseRootFromParent_Done,
     /* 1425129 */   // Label 20140: @1425129
     /* 1425129 */   GIM_Try, /*On fail goto*//*Label 20141*/ GIMT_Encode4(1425228), // Rule ID 2860 //
     /* 1425134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1425145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1425148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1425151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425172 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425176 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425180 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425184 */     // MIs[1] Operand 1
     /* 1425184 */     // No operand predicates
     /* 1425184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425188 */     // MIs[0] policy
     /* 1425188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425191 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425200 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425209 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425224 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425226 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425227 */     // GIR_Coverage, 2860,
     /* 1425227 */     GIR_EraseRootFromParent_Done,
     /* 1425228 */   // Label 20141: @1425228
     /* 1425228 */   GIM_Try, /*On fail goto*//*Label 20142*/ GIMT_Encode4(1425327), // Rule ID 2861 //
     /* 1425233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1425244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1425247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1425250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1425256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425271 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425275 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425279 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425283 */     // MIs[1] Operand 1
     /* 1425283 */     // No operand predicates
     /* 1425283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425287 */     // MIs[0] policy
     /* 1425287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425299 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425308 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1425323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425326 */     // GIR_Coverage, 2861,
     /* 1425326 */     GIR_EraseRootFromParent_Done,
     /* 1425327 */   // Label 20142: @1425327
     /* 1425327 */   GIM_Try, /*On fail goto*//*Label 20143*/ GIMT_Encode4(1425426), // Rule ID 2868 //
     /* 1425332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1425335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425370 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425374 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425378 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425382 */     // MIs[1] Operand 1
     /* 1425382 */     // No operand predicates
     /* 1425382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425386 */     // MIs[0] policy
     /* 1425386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425389 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425398 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425407 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425425 */     // GIR_Coverage, 2868,
     /* 1425425 */     GIR_EraseRootFromParent_Done,
     /* 1425426 */   // Label 20143: @1425426
     /* 1425426 */   GIM_Try, /*On fail goto*//*Label 20144*/ GIMT_Encode4(1425525), // Rule ID 2869 //
     /* 1425431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1425434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1425442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1425445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1425448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1425454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1425461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1425469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425481 */     // MIs[1] Operand 1
     /* 1425481 */     // No operand predicates
     /* 1425481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425485 */     // MIs[0] policy
     /* 1425485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425497 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1425500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425506 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1425521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425524 */     // GIR_Coverage, 2869,
     /* 1425524 */     GIR_EraseRootFromParent_Done,
     /* 1425525 */   // Label 20144: @1425525
     /* 1425525 */   GIM_Try, /*On fail goto*//*Label 20145*/ GIMT_Encode4(1425624), // Rule ID 2876 //
     /* 1425530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425580 */     // MIs[1] Operand 1
     /* 1425580 */     // No operand predicates
     /* 1425580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425584 */     // MIs[0] policy
     /* 1425584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425596 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425605 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425623 */     // GIR_Coverage, 2876,
     /* 1425623 */     GIR_EraseRootFromParent_Done,
     /* 1425624 */   // Label 20145: @1425624
     /* 1425624 */   GIM_Try, /*On fail goto*//*Label 20146*/ GIMT_Encode4(1425723), // Rule ID 2877 //
     /* 1425629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1425640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1425643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1425646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1425652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1425659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1425667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425679 */     // MIs[1] Operand 1
     /* 1425679 */     // No operand predicates
     /* 1425679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425683 */     // MIs[0] policy
     /* 1425683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425695 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1425698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425704 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425722 */     // GIR_Coverage, 2877,
     /* 1425722 */     GIR_EraseRootFromParent_Done,
     /* 1425723 */   // Label 20146: @1425723
     /* 1425723 */   GIM_Try, /*On fail goto*//*Label 20147*/ GIMT_Encode4(1425822), // Rule ID 2884 //
     /* 1425728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1425745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425778 */     // MIs[1] Operand 1
     /* 1425778 */     // No operand predicates
     /* 1425778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425782 */     // MIs[0] policy
     /* 1425782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425794 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1425797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425803 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425818 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425820 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425821 */     // GIR_Coverage, 2884,
     /* 1425821 */     GIR_EraseRootFromParent_Done,
     /* 1425822 */   // Label 20147: @1425822
     /* 1425822 */   GIM_Try, /*On fail goto*//*Label 20148*/ GIMT_Encode4(1425921), // Rule ID 2885 //
     /* 1425827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1425830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1425838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1425841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1425844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1425847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1425850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1425853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1425857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1425865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425873 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425877 */     // MIs[1] Operand 1
     /* 1425877 */     // No operand predicates
     /* 1425877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425881 */     // MIs[0] policy
     /* 1425881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425884 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1425893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1425896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1425902 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1425907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1425909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1425914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1425917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1425919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1425920 */     // GIR_Coverage, 2885,
     /* 1425920 */     GIR_EraseRootFromParent_Done,
     /* 1425921 */   // Label 20148: @1425921
     /* 1425921 */   GIM_Try, /*On fail goto*//*Label 20149*/ GIMT_Encode4(1426020), // Rule ID 2892 //
     /* 1425926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1425929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1425934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1425937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1425940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1425943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1425946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1425949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1425952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1425956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1425964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1425968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1425972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1425976 */     // MIs[1] Operand 1
     /* 1425976 */     // No operand predicates
     /* 1425976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1425980 */     // MIs[0] policy
     /* 1425980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1425983 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1425985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1425992 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1425992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1425995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1425997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1425999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426001 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426016 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426019 */     // GIR_Coverage, 2892,
     /* 1426019 */     GIR_EraseRootFromParent_Done,
     /* 1426020 */   // Label 20149: @1426020
     /* 1426020 */   GIM_Try, /*On fail goto*//*Label 20150*/ GIMT_Encode4(1426119), // Rule ID 2893 //
     /* 1426025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1426036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1426039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1426042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1426048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426075 */     // MIs[1] Operand 1
     /* 1426075 */     // No operand predicates
     /* 1426075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426079 */     // MIs[0] policy
     /* 1426079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426082 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426091 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426100 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1426115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426118 */     // GIR_Coverage, 2893,
     /* 1426118 */     GIR_EraseRootFromParent_Done,
     /* 1426119 */   // Label 20150: @1426119
     /* 1426119 */   GIM_Try, /*On fail goto*//*Label 20151*/ GIMT_Encode4(1426218), // Rule ID 2900 //
     /* 1426124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1426141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426174 */     // MIs[1] Operand 1
     /* 1426174 */     // No operand predicates
     /* 1426174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426178 */     // MIs[0] policy
     /* 1426178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426190 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426199 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426217 */     // GIR_Coverage, 2900,
     /* 1426217 */     GIR_EraseRootFromParent_Done,
     /* 1426218 */   // Label 20151: @1426218
     /* 1426218 */   GIM_Try, /*On fail goto*//*Label 20152*/ GIMT_Encode4(1426317), // Rule ID 2901 //
     /* 1426223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1426234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1426237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1426240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426273 */     // MIs[1] Operand 1
     /* 1426273 */     // No operand predicates
     /* 1426273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426277 */     // MIs[0] policy
     /* 1426277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426289 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426298 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426316 */     // GIR_Coverage, 2901,
     /* 1426316 */     GIR_EraseRootFromParent_Done,
     /* 1426317 */   // Label 20152: @1426317
     /* 1426317 */   GIM_Try, /*On fail goto*//*Label 20153*/ GIMT_Encode4(1426416), // Rule ID 2908 //
     /* 1426322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426372 */     // MIs[1] Operand 1
     /* 1426372 */     // No operand predicates
     /* 1426372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426376 */     // MIs[0] policy
     /* 1426376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426397 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426415 */     // GIR_Coverage, 2908,
     /* 1426415 */     GIR_EraseRootFromParent_Done,
     /* 1426416 */   // Label 20153: @1426416
     /* 1426416 */   GIM_Try, /*On fail goto*//*Label 20154*/ GIMT_Encode4(1426515), // Rule ID 2909 //
     /* 1426421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1426432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1426435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1426438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1426444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426471 */     // MIs[1] Operand 1
     /* 1426471 */     // No operand predicates
     /* 1426471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426475 */     // MIs[0] policy
     /* 1426475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426487 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426496 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426514 */     // GIR_Coverage, 2909,
     /* 1426514 */     GIR_EraseRootFromParent_Done,
     /* 1426515 */   // Label 20154: @1426515
     /* 1426515 */   GIM_Try, /*On fail goto*//*Label 20155*/ GIMT_Encode4(1426614), // Rule ID 2916 //
     /* 1426520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426570 */     // MIs[1] Operand 1
     /* 1426570 */     // No operand predicates
     /* 1426570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426574 */     // MIs[0] policy
     /* 1426574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426586 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426595 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426612 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426613 */     // GIR_Coverage, 2916,
     /* 1426613 */     GIR_EraseRootFromParent_Done,
     /* 1426614 */   // Label 20155: @1426614
     /* 1426614 */   GIM_Try, /*On fail goto*//*Label 20156*/ GIMT_Encode4(1426713), // Rule ID 2917 //
     /* 1426619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1426630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1426633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1426636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1426642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1426649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1426657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426665 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426669 */     // MIs[1] Operand 1
     /* 1426669 */     // No operand predicates
     /* 1426669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426673 */     // MIs[0] policy
     /* 1426673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426685 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1426688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426694 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1426709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426712 */     // GIR_Coverage, 2917,
     /* 1426712 */     GIR_EraseRootFromParent_Done,
     /* 1426713 */   // Label 20156: @1426713
     /* 1426713 */   GIM_Try, /*On fail goto*//*Label 20157*/ GIMT_Encode4(1426812), // Rule ID 2924 //
     /* 1426718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1426729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1426732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426756 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426760 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426764 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426768 */     // MIs[1] Operand 1
     /* 1426768 */     // No operand predicates
     /* 1426768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426772 */     // MIs[0] policy
     /* 1426772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426784 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426793 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426810 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426811 */     // GIR_Coverage, 2924,
     /* 1426811 */     GIR_EraseRootFromParent_Done,
     /* 1426812 */   // Label 20157: @1426812
     /* 1426812 */   GIM_Try, /*On fail goto*//*Label 20158*/ GIMT_Encode4(1426911), // Rule ID 2925 //
     /* 1426817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1426820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1426828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1426831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1426834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1426837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1426840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1426843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1426847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1426855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426867 */     // MIs[1] Operand 1
     /* 1426867 */     // No operand predicates
     /* 1426867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426871 */     // MIs[0] policy
     /* 1426871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426883 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1426883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1426886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426892 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1426904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1426907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1426909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1426910 */     // GIR_Coverage, 2925,
     /* 1426910 */     GIR_EraseRootFromParent_Done,
     /* 1426911 */   // Label 20158: @1426911
     /* 1426911 */   GIM_Try, /*On fail goto*//*Label 20159*/ GIMT_Encode4(1427010), // Rule ID 2932 //
     /* 1426916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1426919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1426924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1426927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1426930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1426933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1426936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1426939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1426942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1426946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1426954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1426958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1426962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1426966 */     // MIs[1] Operand 1
     /* 1426966 */     // No operand predicates
     /* 1426966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1426970 */     // MIs[0] policy
     /* 1426970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1426973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1426975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1426982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1426982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1426985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1426987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1426989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1426991 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1426996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1426998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427009 */     // GIR_Coverage, 2932,
     /* 1427009 */     GIR_EraseRootFromParent_Done,
     /* 1427010 */   // Label 20159: @1427010
     /* 1427010 */   GIM_Try, /*On fail goto*//*Label 20160*/ GIMT_Encode4(1427109), // Rule ID 2933 //
     /* 1427015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1427026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1427029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1427032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427065 */     // MIs[1] Operand 1
     /* 1427065 */     // No operand predicates
     /* 1427065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427069 */     // MIs[0] policy
     /* 1427069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427081 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427090 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427108 */     // GIR_Coverage, 2933,
     /* 1427108 */     GIR_EraseRootFromParent_Done,
     /* 1427109 */   // Label 20160: @1427109
     /* 1427109 */   GIM_Try, /*On fail goto*//*Label 20161*/ GIMT_Encode4(1427208), // Rule ID 2940 //
     /* 1427114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1427125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1427128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1427131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427164 */     // MIs[1] Operand 1
     /* 1427164 */     // No operand predicates
     /* 1427164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427168 */     // MIs[0] policy
     /* 1427168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427189 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427207 */     // GIR_Coverage, 2940,
     /* 1427207 */     GIR_EraseRootFromParent_Done,
     /* 1427208 */   // Label 20161: @1427208
     /* 1427208 */   GIM_Try, /*On fail goto*//*Label 20162*/ GIMT_Encode4(1427307), // Rule ID 2941 //
     /* 1427213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1427216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1427224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1427227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1427230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1427236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427263 */     // MIs[1] Operand 1
     /* 1427263 */     // No operand predicates
     /* 1427263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427267 */     // MIs[0] policy
     /* 1427267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427279 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427288 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1427303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427306 */     // GIR_Coverage, 2941,
     /* 1427306 */     GIR_EraseRootFromParent_Done,
     /* 1427307 */   // Label 20162: @1427307
     /* 1427307 */   GIM_Try, /*On fail goto*//*Label 20163*/ GIMT_Encode4(1427406), // Rule ID 2948 //
     /* 1427312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427362 */     // MIs[1] Operand 1
     /* 1427362 */     // No operand predicates
     /* 1427362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427366 */     // MIs[0] policy
     /* 1427366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427378 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1427381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427387 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427402 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427404 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427405 */     // GIR_Coverage, 2948,
     /* 1427405 */     GIR_EraseRootFromParent_Done,
     /* 1427406 */   // Label 20163: @1427406
     /* 1427406 */   GIM_Try, /*On fail goto*//*Label 20164*/ GIMT_Encode4(1427505), // Rule ID 2949 //
     /* 1427411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1427422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1427425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1427428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1427434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1427441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1427449 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427453 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427457 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427461 */     // MIs[1] Operand 1
     /* 1427461 */     // No operand predicates
     /* 1427461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427465 */     // MIs[0] policy
     /* 1427465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427477 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1427480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427486 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427504 */     // GIR_Coverage, 2949,
     /* 1427504 */     GIR_EraseRootFromParent_Done,
     /* 1427505 */   // Label 20164: @1427505
     /* 1427505 */   GIM_Try, /*On fail goto*//*Label 20165*/ GIMT_Encode4(1427604), // Rule ID 2956 //
     /* 1427510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427556 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427560 */     // MIs[1] Operand 1
     /* 1427560 */     // No operand predicates
     /* 1427560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427564 */     // MIs[0] policy
     /* 1427564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427567 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427576 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427585 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427603 */     // GIR_Coverage, 2956,
     /* 1427603 */     GIR_EraseRootFromParent_Done,
     /* 1427604 */   // Label 20165: @1427604
     /* 1427604 */   GIM_Try, /*On fail goto*//*Label 20166*/ GIMT_Encode4(1427703), // Rule ID 2957 //
     /* 1427609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1427620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1427623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1427626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1427632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1427639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1427647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427659 */     // MIs[1] Operand 1
     /* 1427659 */     // No operand predicates
     /* 1427659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427663 */     // MIs[0] policy
     /* 1427663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427675 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1427678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427684 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427702 */     // GIR_Coverage, 2957,
     /* 1427702 */     GIR_EraseRootFromParent_Done,
     /* 1427703 */   // Label 20166: @1427703
     /* 1427703 */   GIM_Try, /*On fail goto*//*Label 20167*/ GIMT_Encode4(1427802), // Rule ID 2964 //
     /* 1427708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1427711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427758 */     // MIs[1] Operand 1
     /* 1427758 */     // No operand predicates
     /* 1427758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427762 */     // MIs[0] policy
     /* 1427762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427783 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427801 */     // GIR_Coverage, 2964,
     /* 1427801 */     GIR_EraseRootFromParent_Done,
     /* 1427802 */   // Label 20167: @1427802
     /* 1427802 */   GIM_Try, /*On fail goto*//*Label 20168*/ GIMT_Encode4(1427901), // Rule ID 2965 //
     /* 1427807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1427810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1427815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1427818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1427821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1427824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1427827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1427830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1427833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1427837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1427845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5_plus1),
     /* 1427857 */     // MIs[1] Operand 1
     /* 1427857 */     // No operand predicates
     /* 1427857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427861 */     // MIs[0] policy
     /* 1427861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427873 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm5_plus1>>:$rs2), VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1427873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1427876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427882 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // rs2
     /* 1427887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1427897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427900 */     // GIR_Coverage, 2965,
     /* 1427900 */     GIR_EraseRootFromParent_Done,
     /* 1427901 */   // Label 20168: @1427901
     /* 1427901 */   GIM_Try, /*On fail goto*//*Label 20169*/ GIMT_Encode4(1427998), // Rule ID 3148 //
     /* 1427906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1427909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1427914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1427917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1427920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1427923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1427926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1427929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1427932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1427936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1427944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1427948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1427952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1427956 */     // MIs[1] Operand 1
     /* 1427956 */     // No operand predicates
     /* 1427956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1427960 */     // MIs[0] policy
     /* 1427960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1427963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1427965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1427972 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1427972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1427975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1427977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1427979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1427981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1427984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1427986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1427991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1427994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1427996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1427997 */     // GIR_Coverage, 3148,
     /* 1427997 */     GIR_EraseRootFromParent_Done,
     /* 1427998 */   // Label 20169: @1427998
     /* 1427998 */   GIM_Try, /*On fail goto*//*Label 20170*/ GIMT_Encode4(1428095), // Rule ID 3149 //
     /* 1428003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1428014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1428017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1428020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428053 */     // MIs[1] Operand 1
     /* 1428053 */     // No operand predicates
     /* 1428053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428057 */     // MIs[0] policy
     /* 1428057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF8_MASK),
     /* 1428072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428094 */     // GIR_Coverage, 3149,
     /* 1428094 */     GIR_EraseRootFromParent_Done,
     /* 1428095 */   // Label 20170: @1428095
     /* 1428095 */   GIM_Try, /*On fail goto*//*Label 20171*/ GIMT_Encode4(1428192), // Rule ID 3152 //
     /* 1428100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1428117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428150 */     // MIs[1] Operand 1
     /* 1428150 */     // No operand predicates
     /* 1428150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428154 */     // MIs[0] policy
     /* 1428154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428166 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1428169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428191 */     // GIR_Coverage, 3152,
     /* 1428191 */     GIR_EraseRootFromParent_Done,
     /* 1428192 */   // Label 20171: @1428192
     /* 1428192 */   GIM_Try, /*On fail goto*//*Label 20172*/ GIMT_Encode4(1428289), // Rule ID 3153 //
     /* 1428197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1428208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1428211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1428214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428247 */     // MIs[1] Operand 1
     /* 1428247 */     // No operand predicates
     /* 1428247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428251 */     // MIs[0] policy
     /* 1428251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428263 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1428266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428288 */     // GIR_Coverage, 3153,
     /* 1428288 */     GIR_EraseRootFromParent_Done,
     /* 1428289 */   // Label 20172: @1428289
     /* 1428289 */   GIM_Try, /*On fail goto*//*Label 20173*/ GIMT_Encode4(1428386), // Rule ID 3156 //
     /* 1428294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428344 */     // MIs[1] Operand 1
     /* 1428344 */     // No operand predicates
     /* 1428344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428348 */     // MIs[0] policy
     /* 1428348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428360 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1428363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428385 */     // GIR_Coverage, 3156,
     /* 1428385 */     GIR_EraseRootFromParent_Done,
     /* 1428386 */   // Label 20173: @1428386
     /* 1428386 */   GIM_Try, /*On fail goto*//*Label 20174*/ GIMT_Encode4(1428483), // Rule ID 3157 //
     /* 1428391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1428402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1428405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1428408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1428414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428441 */     // MIs[1] Operand 1
     /* 1428441 */     // No operand predicates
     /* 1428441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428445 */     // MIs[0] policy
     /* 1428445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428457 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1428460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1428479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428482 */     // GIR_Coverage, 3157,
     /* 1428482 */     GIR_EraseRootFromParent_Done,
     /* 1428483 */   // Label 20174: @1428483
     /* 1428483 */   GIM_Try, /*On fail goto*//*Label 20175*/ GIMT_Encode4(1428580), // Rule ID 3160 //
     /* 1428488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428538 */     // MIs[1] Operand 1
     /* 1428538 */     // No operand predicates
     /* 1428538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428542 */     // MIs[0] policy
     /* 1428542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1428557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428579 */     // GIR_Coverage, 3160,
     /* 1428579 */     GIR_EraseRootFromParent_Done,
     /* 1428580 */   // Label 20175: @1428580
     /* 1428580 */   GIM_Try, /*On fail goto*//*Label 20176*/ GIMT_Encode4(1428677), // Rule ID 3161 //
     /* 1428585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1428596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1428599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1428602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428635 */     // MIs[1] Operand 1
     /* 1428635 */     // No operand predicates
     /* 1428635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428639 */     // MIs[0] policy
     /* 1428639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428651 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF4_MASK),
     /* 1428654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428676 */     // GIR_Coverage, 3161,
     /* 1428676 */     GIR_EraseRootFromParent_Done,
     /* 1428677 */   // Label 20176: @1428677
     /* 1428677 */   GIM_Try, /*On fail goto*//*Label 20177*/ GIMT_Encode4(1428774), // Rule ID 3164 //
     /* 1428682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428732 */     // MIs[1] Operand 1
     /* 1428732 */     // No operand predicates
     /* 1428732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428736 */     // MIs[0] policy
     /* 1428736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1428751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428773 */     // GIR_Coverage, 3164,
     /* 1428773 */     GIR_EraseRootFromParent_Done,
     /* 1428774 */   // Label 20177: @1428774
     /* 1428774 */   GIM_Try, /*On fail goto*//*Label 20178*/ GIMT_Encode4(1428871), // Rule ID 3165 //
     /* 1428779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1428790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1428793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1428796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1428802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428829 */     // MIs[1] Operand 1
     /* 1428829 */     // No operand predicates
     /* 1428829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428833 */     // MIs[0] policy
     /* 1428833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428845 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1428845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1428848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1428867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428870 */     // GIR_Coverage, 3165,
     /* 1428870 */     GIR_EraseRootFromParent_Done,
     /* 1428871 */   // Label 20178: @1428871
     /* 1428871 */   GIM_Try, /*On fail goto*//*Label 20179*/ GIMT_Encode4(1428968), // Rule ID 3168 //
     /* 1428876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1428879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1428887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1428890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1428893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1428896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1428902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1428906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1428914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1428918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1428922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1428926 */     // MIs[1] Operand 1
     /* 1428926 */     // No operand predicates
     /* 1428926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1428930 */     // MIs[0] policy
     /* 1428930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1428933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1428935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1428942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1428942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1428945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1428947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1428949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1428951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1428954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1428956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1428961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1428964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1428966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1428967 */     // GIR_Coverage, 3168,
     /* 1428967 */     GIR_EraseRootFromParent_Done,
     /* 1428968 */   // Label 20179: @1428968
     /* 1428968 */   GIM_Try, /*On fail goto*//*Label 20180*/ GIMT_Encode4(1429065), // Rule ID 3169 //
     /* 1428973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1428976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1428981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1428984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1428987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1428990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1428993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1428996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1428999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429023 */     // MIs[1] Operand 1
     /* 1429023 */     // No operand predicates
     /* 1429023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429027 */     // MIs[0] policy
     /* 1429027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429039 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_MF2_MASK),
     /* 1429042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429064 */     // GIR_Coverage, 3169,
     /* 1429064 */     GIR_EraseRootFromParent_Done,
     /* 1429065 */   // Label 20180: @1429065
     /* 1429065 */   GIM_Try, /*On fail goto*//*Label 20181*/ GIMT_Encode4(1429162), // Rule ID 3172 //
     /* 1429070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1429081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1429084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1429087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429120 */     // MIs[1] Operand 1
     /* 1429120 */     // No operand predicates
     /* 1429120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429124 */     // MIs[0] policy
     /* 1429124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1429139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429161 */     // GIR_Coverage, 3172,
     /* 1429161 */     GIR_EraseRootFromParent_Done,
     /* 1429162 */   // Label 20181: @1429162
     /* 1429162 */   GIM_Try, /*On fail goto*//*Label 20182*/ GIMT_Encode4(1429259), // Rule ID 3173 //
     /* 1429167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1429178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1429181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1429184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1429190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429217 */     // MIs[1] Operand 1
     /* 1429217 */     // No operand predicates
     /* 1429217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429221 */     // MIs[0] policy
     /* 1429221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429233 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1429236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429258 */     // GIR_Coverage, 3173,
     /* 1429258 */     GIR_EraseRootFromParent_Done,
     /* 1429259 */   // Label 20182: @1429259
     /* 1429259 */   GIM_Try, /*On fail goto*//*Label 20183*/ GIMT_Encode4(1429356), // Rule ID 3176 //
     /* 1429264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429314 */     // MIs[1] Operand 1
     /* 1429314 */     // No operand predicates
     /* 1429314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429318 */     // MIs[0] policy
     /* 1429318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429330 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1429333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429355 */     // GIR_Coverage, 3176,
     /* 1429355 */     GIR_EraseRootFromParent_Done,
     /* 1429356 */   // Label 20183: @1429356
     /* 1429356 */   GIM_Try, /*On fail goto*//*Label 20184*/ GIMT_Encode4(1429453), // Rule ID 3177 //
     /* 1429361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1429372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1429375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1429378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1429384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429411 */     // MIs[1] Operand 1
     /* 1429411 */     // No operand predicates
     /* 1429411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429415 */     // MIs[0] policy
     /* 1429415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429427 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1429430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1429449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429452 */     // GIR_Coverage, 3177,
     /* 1429452 */     GIR_EraseRootFromParent_Done,
     /* 1429453 */   // Label 20184: @1429453
     /* 1429453 */   GIM_Try, /*On fail goto*//*Label 20185*/ GIMT_Encode4(1429550), // Rule ID 3180 //
     /* 1429458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429508 */     // MIs[1] Operand 1
     /* 1429508 */     // No operand predicates
     /* 1429508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429512 */     // MIs[0] policy
     /* 1429512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1429527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429549 */     // GIR_Coverage, 3180,
     /* 1429549 */     GIR_EraseRootFromParent_Done,
     /* 1429550 */   // Label 20185: @1429550
     /* 1429550 */   GIM_Try, /*On fail goto*//*Label 20186*/ GIMT_Encode4(1429647), // Rule ID 3181 //
     /* 1429555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1429566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1429569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1429572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1429578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429605 */     // MIs[1] Operand 1
     /* 1429605 */     // No operand predicates
     /* 1429605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429609 */     // MIs[0] policy
     /* 1429609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429621 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1429624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1429643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429646 */     // GIR_Coverage, 3181,
     /* 1429646 */     GIR_EraseRootFromParent_Done,
     /* 1429647 */   // Label 20186: @1429647
     /* 1429647 */   GIM_Try, /*On fail goto*//*Label 20187*/ GIMT_Encode4(1429744), // Rule ID 3184 //
     /* 1429652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1429655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429702 */     // MIs[1] Operand 1
     /* 1429702 */     // No operand predicates
     /* 1429702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429706 */     // MIs[0] policy
     /* 1429706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429718 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1429721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429743 */     // GIR_Coverage, 3184,
     /* 1429743 */     GIR_EraseRootFromParent_Done,
     /* 1429744 */   // Label 20187: @1429744
     /* 1429744 */   GIM_Try, /*On fail goto*//*Label 20188*/ GIMT_Encode4(1429841), // Rule ID 3185 //
     /* 1429749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1429752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1429760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1429763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1429766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1429772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1429779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1429787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429799 */     // MIs[1] Operand 1
     /* 1429799 */     // No operand predicates
     /* 1429799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429803 */     // MIs[0] policy
     /* 1429803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429815 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1429815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M1_MASK),
     /* 1429818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1429837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429840 */     // GIR_Coverage, 3185,
     /* 1429840 */     GIR_EraseRootFromParent_Done,
     /* 1429841 */   // Label 20188: @1429841
     /* 1429841 */   GIM_Try, /*On fail goto*//*Label 20189*/ GIMT_Encode4(1429938), // Rule ID 3188 //
     /* 1429846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1429849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1429857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1429860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1429863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1429866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1429872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429896 */     // MIs[1] Operand 1
     /* 1429896 */     // No operand predicates
     /* 1429896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429900 */     // MIs[0] policy
     /* 1429900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1429903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1429905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1429912 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1429912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1429915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1429917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1429919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1429921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1429924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1429926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1429931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1429934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1429936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1429937 */     // GIR_Coverage, 3188,
     /* 1429937 */     GIR_EraseRootFromParent_Done,
     /* 1429938 */   // Label 20189: @1429938
     /* 1429938 */   GIM_Try, /*On fail goto*//*Label 20190*/ GIMT_Encode4(1430035), // Rule ID 3189 //
     /* 1429943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1429946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1429951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1429954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1429957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1429960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1429963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1429966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1429969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1429973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1429981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1429985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1429989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1429993 */     // MIs[1] Operand 1
     /* 1429993 */     // No operand predicates
     /* 1429993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1429997 */     // MIs[0] policy
     /* 1429997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430009 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1430012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430034 */     // GIR_Coverage, 3189,
     /* 1430034 */     GIR_EraseRootFromParent_Done,
     /* 1430035 */   // Label 20190: @1430035
     /* 1430035 */   GIM_Try, /*On fail goto*//*Label 20191*/ GIMT_Encode4(1430132), // Rule ID 3192 //
     /* 1430040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1430051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1430054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1430057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430090 */     // MIs[1] Operand 1
     /* 1430090 */     // No operand predicates
     /* 1430090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430094 */     // MIs[0] policy
     /* 1430094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1430109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430131 */     // GIR_Coverage, 3192,
     /* 1430131 */     GIR_EraseRootFromParent_Done,
     /* 1430132 */   // Label 20191: @1430132
     /* 1430132 */   GIM_Try, /*On fail goto*//*Label 20192*/ GIMT_Encode4(1430229), // Rule ID 3193 //
     /* 1430137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1430148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1430151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1430154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430187 */     // MIs[1] Operand 1
     /* 1430187 */     // No operand predicates
     /* 1430187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430191 */     // MIs[0] policy
     /* 1430191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430203 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1430206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430228 */     // GIR_Coverage, 3193,
     /* 1430228 */     GIR_EraseRootFromParent_Done,
     /* 1430229 */   // Label 20192: @1430229
     /* 1430229 */   GIM_Try, /*On fail goto*//*Label 20193*/ GIMT_Encode4(1430326), // Rule ID 3196 //
     /* 1430234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1430245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1430248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1430251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1430257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430284 */     // MIs[1] Operand 1
     /* 1430284 */     // No operand predicates
     /* 1430284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430288 */     // MIs[0] policy
     /* 1430288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1430303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430325 */     // GIR_Coverage, 3196,
     /* 1430325 */     GIR_EraseRootFromParent_Done,
     /* 1430326 */   // Label 20193: @1430326
     /* 1430326 */   GIM_Try, /*On fail goto*//*Label 20194*/ GIMT_Encode4(1430423), // Rule ID 3197 //
     /* 1430331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1430342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1430345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1430348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1430354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430381 */     // MIs[1] Operand 1
     /* 1430381 */     // No operand predicates
     /* 1430381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430385 */     // MIs[0] policy
     /* 1430385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430397 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1430400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1430419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430422 */     // GIR_Coverage, 3197,
     /* 1430422 */     GIR_EraseRootFromParent_Done,
     /* 1430423 */   // Label 20194: @1430423
     /* 1430423 */   GIM_Try, /*On fail goto*//*Label 20195*/ GIMT_Encode4(1430520), // Rule ID 3200 //
     /* 1430428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430478 */     // MIs[1] Operand 1
     /* 1430478 */     // No operand predicates
     /* 1430478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430482 */     // MIs[0] policy
     /* 1430482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430494 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1430497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430519 */     // GIR_Coverage, 3200,
     /* 1430519 */     GIR_EraseRootFromParent_Done,
     /* 1430520 */   // Label 20195: @1430520
     /* 1430520 */   GIM_Try, /*On fail goto*//*Label 20196*/ GIMT_Encode4(1430617), // Rule ID 3201 //
     /* 1430525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1430536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1430539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1430542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1430548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1430555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1430563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430575 */     // MIs[1] Operand 1
     /* 1430575 */     // No operand predicates
     /* 1430575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430579 */     // MIs[0] policy
     /* 1430579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430591 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1430594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430616 */     // GIR_Coverage, 3201,
     /* 1430616 */     GIR_EraseRootFromParent_Done,
     /* 1430617 */   // Label 20196: @1430617
     /* 1430617 */   GIM_Try, /*On fail goto*//*Label 20197*/ GIMT_Encode4(1430714), // Rule ID 3204 //
     /* 1430622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430672 */     // MIs[1] Operand 1
     /* 1430672 */     // No operand predicates
     /* 1430672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430676 */     // MIs[0] policy
     /* 1430676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430688 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1430691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430713 */     // GIR_Coverage, 3204,
     /* 1430713 */     GIR_EraseRootFromParent_Done,
     /* 1430714 */   // Label 20197: @1430714
     /* 1430714 */   GIM_Try, /*On fail goto*//*Label 20198*/ GIMT_Encode4(1430811), // Rule ID 3205 //
     /* 1430719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1430730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1430733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1430736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1430742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1430749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1430757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430769 */     // MIs[1] Operand 1
     /* 1430769 */     // No operand predicates
     /* 1430769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430773 */     // MIs[0] policy
     /* 1430773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430785 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1430788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430810 */     // GIR_Coverage, 3205,
     /* 1430810 */     GIR_EraseRootFromParent_Done,
     /* 1430811 */   // Label 20198: @1430811
     /* 1430811 */   GIM_Try, /*On fail goto*//*Label 20199*/ GIMT_Encode4(1430908), // Rule ID 3208 //
     /* 1430816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1430819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1430827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1430830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1430833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1430836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1430842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430866 */     // MIs[1] Operand 1
     /* 1430866 */     // No operand predicates
     /* 1430866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430870 */     // MIs[0] policy
     /* 1430870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1430882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1430885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1430904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1430906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1430907 */     // GIR_Coverage, 3208,
     /* 1430907 */     GIR_EraseRootFromParent_Done,
     /* 1430908 */   // Label 20199: @1430908
     /* 1430908 */   GIM_Try, /*On fail goto*//*Label 20200*/ GIMT_Encode4(1431005), // Rule ID 3209 //
     /* 1430913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1430916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1430921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1430924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1430927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1430930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1430933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1430936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1430939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1430943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1430951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1430955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1430959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1430963 */     // MIs[1] Operand 1
     /* 1430963 */     // No operand predicates
     /* 1430963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1430967 */     // MIs[0] policy
     /* 1430967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1430970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1430972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1430979 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1430979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1430982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1430984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1430986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1430988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1430991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1430993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1430998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1431001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431004 */     // GIR_Coverage, 3209,
     /* 1431004 */     GIR_EraseRootFromParent_Done,
     /* 1431005 */   // Label 20200: @1431005
     /* 1431005 */   GIM_Try, /*On fail goto*//*Label 20201*/ GIMT_Encode4(1431102), // Rule ID 3212 //
     /* 1431010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1431021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1431024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1431027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431060 */     // MIs[1] Operand 1
     /* 1431060 */     // No operand predicates
     /* 1431060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431064 */     // MIs[0] policy
     /* 1431064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1431079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431101 */     // GIR_Coverage, 3212,
     /* 1431101 */     GIR_EraseRootFromParent_Done,
     /* 1431102 */   // Label 20201: @1431102
     /* 1431102 */   GIM_Try, /*On fail goto*//*Label 20202*/ GIMT_Encode4(1431199), // Rule ID 3213 //
     /* 1431107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1431118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1431121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1431124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431157 */     // MIs[1] Operand 1
     /* 1431157 */     // No operand predicates
     /* 1431157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431161 */     // MIs[0] policy
     /* 1431161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431173 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1431176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431198 */     // GIR_Coverage, 3213,
     /* 1431198 */     GIR_EraseRootFromParent_Done,
     /* 1431199 */   // Label 20202: @1431199
     /* 1431199 */   GIM_Try, /*On fail goto*//*Label 20203*/ GIMT_Encode4(1431296), // Rule ID 3216 //
     /* 1431204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1431221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431254 */     // MIs[1] Operand 1
     /* 1431254 */     // No operand predicates
     /* 1431254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431258 */     // MIs[0] policy
     /* 1431258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1431273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431295 */     // GIR_Coverage, 3216,
     /* 1431295 */     GIR_EraseRootFromParent_Done,
     /* 1431296 */   // Label 20203: @1431296
     /* 1431296 */   GIM_Try, /*On fail goto*//*Label 20204*/ GIMT_Encode4(1431393), // Rule ID 3217 //
     /* 1431301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1431312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1431315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1431318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1431324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431351 */     // MIs[1] Operand 1
     /* 1431351 */     // No operand predicates
     /* 1431351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431355 */     // MIs[0] policy
     /* 1431355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431367 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1431370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431392 */     // GIR_Coverage, 3217,
     /* 1431392 */     GIR_EraseRootFromParent_Done,
     /* 1431393 */   // Label 20204: @1431393
     /* 1431393 */   GIM_Try, /*On fail goto*//*Label 20205*/ GIMT_Encode4(1431490), // Rule ID 3220 //
     /* 1431398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1431401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431448 */     // MIs[1] Operand 1
     /* 1431448 */     // No operand predicates
     /* 1431448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431452 */     // MIs[0] policy
     /* 1431452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431464 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1431467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431489 */     // GIR_Coverage, 3220,
     /* 1431489 */     GIR_EraseRootFromParent_Done,
     /* 1431490 */   // Label 20205: @1431490
     /* 1431490 */   GIM_Try, /*On fail goto*//*Label 20206*/ GIMT_Encode4(1431587), // Rule ID 3221 //
     /* 1431495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1431498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1431506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1431509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1431512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1431518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1431525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1431533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431545 */     // MIs[1] Operand 1
     /* 1431545 */     // No operand predicates
     /* 1431545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431549 */     // MIs[0] policy
     /* 1431549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431561 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1431564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1431583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431586 */     // GIR_Coverage, 3221,
     /* 1431586 */     GIR_EraseRootFromParent_Done,
     /* 1431587 */   // Label 20206: @1431587
     /* 1431587 */   GIM_Try, /*On fail goto*//*Label 20207*/ GIMT_Encode4(1431684), // Rule ID 3224 //
     /* 1431592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431642 */     // MIs[1] Operand 1
     /* 1431642 */     // No operand predicates
     /* 1431642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431646 */     // MIs[0] policy
     /* 1431646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1431661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431683 */     // GIR_Coverage, 3224,
     /* 1431683 */     GIR_EraseRootFromParent_Done,
     /* 1431684 */   // Label 20207: @1431684
     /* 1431684 */   GIM_Try, /*On fail goto*//*Label 20208*/ GIMT_Encode4(1431781), // Rule ID 3225 //
     /* 1431689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1431700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1431703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1431706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1431712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1431719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1431727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431739 */     // MIs[1] Operand 1
     /* 1431739 */     // No operand predicates
     /* 1431739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431743 */     // MIs[0] policy
     /* 1431743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431755 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M2_MASK),
     /* 1431758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431780 */     // GIR_Coverage, 3225,
     /* 1431780 */     GIR_EraseRootFromParent_Done,
     /* 1431781 */   // Label 20208: @1431781
     /* 1431781 */   GIM_Try, /*On fail goto*//*Label 20209*/ GIMT_Encode4(1431878), // Rule ID 3228 //
     /* 1431786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1431797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1431800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1431806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1431812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431836 */     // MIs[1] Operand 1
     /* 1431836 */     // No operand predicates
     /* 1431836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431840 */     // MIs[0] policy
     /* 1431840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1431852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1431855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431877 */     // GIR_Coverage, 3228,
     /* 1431877 */     GIR_EraseRootFromParent_Done,
     /* 1431878 */   // Label 20209: @1431878
     /* 1431878 */   GIM_Try, /*On fail goto*//*Label 20210*/ GIMT_Encode4(1431975), // Rule ID 3229 //
     /* 1431883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1431886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1431894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1431897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1431900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1431903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1431906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1431909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1431913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1431921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1431925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1431929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1431933 */     // MIs[1] Operand 1
     /* 1431933 */     // No operand predicates
     /* 1431933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1431937 */     // MIs[0] policy
     /* 1431937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1431940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1431942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1431949 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1431949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M4_MASK),
     /* 1431952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1431954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1431956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1431958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1431961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1431963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1431968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1431971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1431973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1431974 */     // GIR_Coverage, 3229,
     /* 1431974 */     GIR_EraseRootFromParent_Done,
     /* 1431975 */   // Label 20210: @1431975
     /* 1431975 */   GIM_Try, /*On fail goto*//*Label 20211*/ GIMT_Encode4(1432072), // Rule ID 3232 //
     /* 1431980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1431983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1431988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1431991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1431994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1431997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432030 */     // MIs[1] Operand 1
     /* 1432030 */     // No operand predicates
     /* 1432030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432034 */     // MIs[0] policy
     /* 1432034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1432049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432071 */     // GIR_Coverage, 3232,
     /* 1432071 */     GIR_EraseRootFromParent_Done,
     /* 1432072 */   // Label 20211: @1432072
     /* 1432072 */   GIM_Try, /*On fail goto*//*Label 20212*/ GIMT_Encode4(1432169), // Rule ID 3233 //
     /* 1432077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1432080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1432085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1432088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1432091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1432094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1432100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1432107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1432115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432127 */     // MIs[1] Operand 1
     /* 1432127 */     // No operand predicates
     /* 1432127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432131 */     // MIs[0] policy
     /* 1432131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432143 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VI_M8_MASK),
     /* 1432146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1432165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432168 */     // GIR_Coverage, 3233,
     /* 1432168 */     GIR_EraseRootFromParent_Done,
     /* 1432169 */   // Label 20212: @1432169
     /* 1432169 */   GIM_Try, /*On fail goto*//*Label 20213*/ GIMT_Encode4(1432266), // Rule ID 3500 //
     /* 1432174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1432185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1432188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1432191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432224 */     // MIs[1] Operand 1
     /* 1432224 */     // No operand predicates
     /* 1432224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432228 */     // MIs[0] policy
     /* 1432228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432240 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1432243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432265 */     // GIR_Coverage, 3500,
     /* 1432265 */     GIR_EraseRootFromParent_Done,
     /* 1432266 */   // Label 20213: @1432266
     /* 1432266 */   GIM_Try, /*On fail goto*//*Label 20214*/ GIMT_Encode4(1432363), // Rule ID 3501 //
     /* 1432271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1432282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1432285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1432288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432321 */     // MIs[1] Operand 1
     /* 1432321 */     // No operand predicates
     /* 1432321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432325 */     // MIs[0] policy
     /* 1432325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432337 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF8_MASK),
     /* 1432340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432362 */     // GIR_Coverage, 3501,
     /* 1432362 */     GIR_EraseRootFromParent_Done,
     /* 1432363 */   // Label 20214: @1432363
     /* 1432363 */   GIM_Try, /*On fail goto*//*Label 20215*/ GIMT_Encode4(1432460), // Rule ID 3504 //
     /* 1432368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432418 */     // MIs[1] Operand 1
     /* 1432418 */     // No operand predicates
     /* 1432418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432422 */     // MIs[0] policy
     /* 1432422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1432437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432459 */     // GIR_Coverage, 3504,
     /* 1432459 */     GIR_EraseRootFromParent_Done,
     /* 1432460 */   // Label 20215: @1432460
     /* 1432460 */   GIM_Try, /*On fail goto*//*Label 20216*/ GIMT_Encode4(1432557), // Rule ID 3505 //
     /* 1432465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1432476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1432479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1432482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432515 */     // MIs[1] Operand 1
     /* 1432515 */     // No operand predicates
     /* 1432515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432519 */     // MIs[0] policy
     /* 1432519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432531 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1432534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432556 */     // GIR_Coverage, 3505,
     /* 1432556 */     GIR_EraseRootFromParent_Done,
     /* 1432557 */   // Label 20216: @1432557
     /* 1432557 */   GIM_Try, /*On fail goto*//*Label 20217*/ GIMT_Encode4(1432654), // Rule ID 3508 //
     /* 1432562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432612 */     // MIs[1] Operand 1
     /* 1432612 */     // No operand predicates
     /* 1432612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432616 */     // MIs[0] policy
     /* 1432616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432628 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1432631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432653 */     // GIR_Coverage, 3508,
     /* 1432653 */     GIR_EraseRootFromParent_Done,
     /* 1432654 */   // Label 20217: @1432654
     /* 1432654 */   GIM_Try, /*On fail goto*//*Label 20218*/ GIMT_Encode4(1432751), // Rule ID 3509 //
     /* 1432659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1432670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1432673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1432676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1432682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432709 */     // MIs[1] Operand 1
     /* 1432709 */     // No operand predicates
     /* 1432709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432713 */     // MIs[0] policy
     /* 1432713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432725 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1432728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1432747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432750 */     // GIR_Coverage, 3509,
     /* 1432750 */     GIR_EraseRootFromParent_Done,
     /* 1432751 */   // Label 20218: @1432751
     /* 1432751 */   GIM_Try, /*On fail goto*//*Label 20219*/ GIMT_Encode4(1432848), // Rule ID 3512 //
     /* 1432756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432806 */     // MIs[1] Operand 1
     /* 1432806 */     // No operand predicates
     /* 1432806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432810 */     // MIs[0] policy
     /* 1432810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432822 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1432822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1432825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432847 */     // GIR_Coverage, 3512,
     /* 1432847 */     GIR_EraseRootFromParent_Done,
     /* 1432848 */   // Label 20219: @1432848
     /* 1432848 */   GIM_Try, /*On fail goto*//*Label 20220*/ GIMT_Encode4(1432945), // Rule ID 3513 //
     /* 1432853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1432856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1432864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1432867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1432870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1432873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1432876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1432879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1432903 */     // MIs[1] Operand 1
     /* 1432903 */     // No operand predicates
     /* 1432903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1432907 */     // MIs[0] policy
     /* 1432907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1432910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1432912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1432919 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1432919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF4_MASK),
     /* 1432922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1432924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1432926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1432928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1432931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1432933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1432938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1432941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1432943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1432944 */     // GIR_Coverage, 3513,
     /* 1432944 */     GIR_EraseRootFromParent_Done,
     /* 1432945 */   // Label 20220: @1432945
     /* 1432945 */   GIM_Try, /*On fail goto*//*Label 20221*/ GIMT_Encode4(1433042), // Rule ID 3516 //
     /* 1432950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1432953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1432958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1432961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1432964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1432967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1432970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1432973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1432976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1432980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1432988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1432992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1432996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433000 */     // MIs[1] Operand 1
     /* 1433000 */     // No operand predicates
     /* 1433000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433004 */     // MIs[0] policy
     /* 1433004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433016 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1433019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433041 */     // GIR_Coverage, 3516,
     /* 1433041 */     GIR_EraseRootFromParent_Done,
     /* 1433042 */   // Label 20221: @1433042
     /* 1433042 */   GIM_Try, /*On fail goto*//*Label 20222*/ GIMT_Encode4(1433139), // Rule ID 3517 //
     /* 1433047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1433058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1433061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1433064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433097 */     // MIs[1] Operand 1
     /* 1433097 */     // No operand predicates
     /* 1433097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433101 */     // MIs[0] policy
     /* 1433101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433113 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1433116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433138 */     // GIR_Coverage, 3517,
     /* 1433138 */     GIR_EraseRootFromParent_Done,
     /* 1433139 */   // Label 20222: @1433139
     /* 1433139 */   GIM_Try, /*On fail goto*//*Label 20223*/ GIMT_Encode4(1433236), // Rule ID 3520 //
     /* 1433144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1433161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433194 */     // MIs[1] Operand 1
     /* 1433194 */     // No operand predicates
     /* 1433194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433198 */     // MIs[0] policy
     /* 1433198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433210 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1433213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433235 */     // GIR_Coverage, 3520,
     /* 1433235 */     GIR_EraseRootFromParent_Done,
     /* 1433236 */   // Label 20223: @1433236
     /* 1433236 */   GIM_Try, /*On fail goto*//*Label 20224*/ GIMT_Encode4(1433333), // Rule ID 3521 //
     /* 1433241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1433252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1433255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1433258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433291 */     // MIs[1] Operand 1
     /* 1433291 */     // No operand predicates
     /* 1433291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433295 */     // MIs[0] policy
     /* 1433295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433307 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_MF2_MASK),
     /* 1433310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433332 */     // GIR_Coverage, 3521,
     /* 1433332 */     GIR_EraseRootFromParent_Done,
     /* 1433333 */   // Label 20224: @1433333
     /* 1433333 */   GIM_Try, /*On fail goto*//*Label 20225*/ GIMT_Encode4(1433430), // Rule ID 3524 //
     /* 1433338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433388 */     // MIs[1] Operand 1
     /* 1433388 */     // No operand predicates
     /* 1433388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433392 */     // MIs[0] policy
     /* 1433392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1433407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433429 */     // GIR_Coverage, 3524,
     /* 1433429 */     GIR_EraseRootFromParent_Done,
     /* 1433430 */   // Label 20225: @1433430
     /* 1433430 */   GIM_Try, /*On fail goto*//*Label 20226*/ GIMT_Encode4(1433527), // Rule ID 3525 //
     /* 1433435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1433446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1433449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1433452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1433458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433485 */     // MIs[1] Operand 1
     /* 1433485 */     // No operand predicates
     /* 1433485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433489 */     // MIs[0] policy
     /* 1433489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433501 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1433504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1433523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433526 */     // GIR_Coverage, 3525,
     /* 1433526 */     GIR_EraseRootFromParent_Done,
     /* 1433527 */   // Label 20226: @1433527
     /* 1433527 */   GIM_Try, /*On fail goto*//*Label 20227*/ GIMT_Encode4(1433624), // Rule ID 3528 //
     /* 1433532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433582 */     // MIs[1] Operand 1
     /* 1433582 */     // No operand predicates
     /* 1433582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433586 */     // MIs[0] policy
     /* 1433586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433598 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1433601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433623 */     // GIR_Coverage, 3528,
     /* 1433623 */     GIR_EraseRootFromParent_Done,
     /* 1433624 */   // Label 20227: @1433624
     /* 1433624 */   GIM_Try, /*On fail goto*//*Label 20228*/ GIMT_Encode4(1433721), // Rule ID 3529 //
     /* 1433629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1433640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1433643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1433646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1433652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433679 */     // MIs[1] Operand 1
     /* 1433679 */     // No operand predicates
     /* 1433679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433683 */     // MIs[0] policy
     /* 1433683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433695 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1433698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1433717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433720 */     // GIR_Coverage, 3529,
     /* 1433720 */     GIR_EraseRootFromParent_Done,
     /* 1433721 */   // Label 20228: @1433721
     /* 1433721 */   GIM_Try, /*On fail goto*//*Label 20229*/ GIMT_Encode4(1433818), // Rule ID 3532 //
     /* 1433726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1433729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433776 */     // MIs[1] Operand 1
     /* 1433776 */     // No operand predicates
     /* 1433776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433780 */     // MIs[0] policy
     /* 1433780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1433795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433817 */     // GIR_Coverage, 3532,
     /* 1433817 */     GIR_EraseRootFromParent_Done,
     /* 1433818 */   // Label 20229: @1433818
     /* 1433818 */   GIM_Try, /*On fail goto*//*Label 20230*/ GIMT_Encode4(1433915), // Rule ID 3533 //
     /* 1433823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1433826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1433834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1433837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1433840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1433843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1433846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1433849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433873 */     // MIs[1] Operand 1
     /* 1433873 */     // No operand predicates
     /* 1433873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433877 */     // MIs[0] policy
     /* 1433877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433889 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1433889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1433892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1433903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1433908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1433911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1433913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1433914 */     // GIR_Coverage, 3533,
     /* 1433914 */     GIR_EraseRootFromParent_Done,
     /* 1433915 */   // Label 20230: @1433915
     /* 1433915 */   GIM_Try, /*On fail goto*//*Label 20231*/ GIMT_Encode4(1434012), // Rule ID 3536 //
     /* 1433920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1433923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1433928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1433931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1433934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1433937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1433940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1433943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1433946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1433950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1433958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1433962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1433966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1433970 */     // MIs[1] Operand 1
     /* 1433970 */     // No operand predicates
     /* 1433970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1433974 */     // MIs[0] policy
     /* 1433974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1433977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1433979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1433986 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1433986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1433989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1433991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1433993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1433995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1433998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434011 */     // GIR_Coverage, 3536,
     /* 1434011 */     GIR_EraseRootFromParent_Done,
     /* 1434012 */   // Label 20231: @1434012
     /* 1434012 */   GIM_Try, /*On fail goto*//*Label 20232*/ GIMT_Encode4(1434109), // Rule ID 3537 //
     /* 1434017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1434020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1434028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1434031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1434034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1434040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1434047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1434055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434067 */     // MIs[1] Operand 1
     /* 1434067 */     // No operand predicates
     /* 1434067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434071 */     // MIs[0] policy
     /* 1434071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434083 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M1_MASK),
     /* 1434086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1434105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434108 */     // GIR_Coverage, 3537,
     /* 1434108 */     GIR_EraseRootFromParent_Done,
     /* 1434109 */   // Label 20232: @1434109
     /* 1434109 */   GIM_Try, /*On fail goto*//*Label 20233*/ GIMT_Encode4(1434206), // Rule ID 3540 //
     /* 1434114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1434125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1434128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1434131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434164 */     // MIs[1] Operand 1
     /* 1434164 */     // No operand predicates
     /* 1434164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434168 */     // MIs[0] policy
     /* 1434168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434180 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1434183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434205 */     // GIR_Coverage, 3540,
     /* 1434205 */     GIR_EraseRootFromParent_Done,
     /* 1434206 */   // Label 20233: @1434206
     /* 1434206 */   GIM_Try, /*On fail goto*//*Label 20234*/ GIMT_Encode4(1434303), // Rule ID 3541 //
     /* 1434211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1434222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1434225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1434228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434261 */     // MIs[1] Operand 1
     /* 1434261 */     // No operand predicates
     /* 1434261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434265 */     // MIs[0] policy
     /* 1434265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434277 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1434280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434302 */     // GIR_Coverage, 3541,
     /* 1434302 */     GIR_EraseRootFromParent_Done,
     /* 1434303 */   // Label 20234: @1434303
     /* 1434303 */   GIM_Try, /*On fail goto*//*Label 20235*/ GIMT_Encode4(1434400), // Rule ID 3544 //
     /* 1434308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434358 */     // MIs[1] Operand 1
     /* 1434358 */     // No operand predicates
     /* 1434358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434362 */     // MIs[0] policy
     /* 1434362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434374 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1434377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434399 */     // GIR_Coverage, 3544,
     /* 1434399 */     GIR_EraseRootFromParent_Done,
     /* 1434400 */   // Label 20235: @1434400
     /* 1434400 */   GIM_Try, /*On fail goto*//*Label 20236*/ GIMT_Encode4(1434497), // Rule ID 3545 //
     /* 1434405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1434416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1434419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1434422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1434428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434455 */     // MIs[1] Operand 1
     /* 1434455 */     // No operand predicates
     /* 1434455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434459 */     // MIs[0] policy
     /* 1434459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434471 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1434474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434496 */     // GIR_Coverage, 3545,
     /* 1434496 */     GIR_EraseRootFromParent_Done,
     /* 1434497 */   // Label 20236: @1434497
     /* 1434497 */   GIM_Try, /*On fail goto*//*Label 20237*/ GIMT_Encode4(1434594), // Rule ID 3548 //
     /* 1434502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434552 */     // MIs[1] Operand 1
     /* 1434552 */     // No operand predicates
     /* 1434552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434556 */     // MIs[0] policy
     /* 1434556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1434571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434593 */     // GIR_Coverage, 3548,
     /* 1434593 */     GIR_EraseRootFromParent_Done,
     /* 1434594 */   // Label 20237: @1434594
     /* 1434594 */   GIM_Try, /*On fail goto*//*Label 20238*/ GIMT_Encode4(1434691), // Rule ID 3549 //
     /* 1434599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1434610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1434613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1434616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1434622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1434629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1434637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434649 */     // MIs[1] Operand 1
     /* 1434649 */     // No operand predicates
     /* 1434649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434653 */     // MIs[0] policy
     /* 1434653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434665 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1434668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1434687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434690 */     // GIR_Coverage, 3549,
     /* 1434690 */     GIR_EraseRootFromParent_Done,
     /* 1434691 */   // Label 20238: @1434691
     /* 1434691 */   GIM_Try, /*On fail goto*//*Label 20239*/ GIMT_Encode4(1434788), // Rule ID 3552 //
     /* 1434696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434746 */     // MIs[1] Operand 1
     /* 1434746 */     // No operand predicates
     /* 1434746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434750 */     // MIs[0] policy
     /* 1434750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1434765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434787 */     // GIR_Coverage, 3552,
     /* 1434787 */     GIR_EraseRootFromParent_Done,
     /* 1434788 */   // Label 20239: @1434788
     /* 1434788 */   GIM_Try, /*On fail goto*//*Label 20240*/ GIMT_Encode4(1434885), // Rule ID 3553 //
     /* 1434793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1434804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1434807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1434810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1434813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1434816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1434819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1434823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1434831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434843 */     // MIs[1] Operand 1
     /* 1434843 */     // No operand predicates
     /* 1434843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434847 */     // MIs[0] policy
     /* 1434847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434859 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1434859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1434862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434884 */     // GIR_Coverage, 3553,
     /* 1434884 */     GIR_EraseRootFromParent_Done,
     /* 1434885 */   // Label 20240: @1434885
     /* 1434885 */   GIM_Try, /*On fail goto*//*Label 20241*/ GIMT_Encode4(1434982), // Rule ID 3556 //
     /* 1434890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1434893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1434904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1434907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1434910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1434913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1434916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1434920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1434928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1434932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1434936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1434940 */     // MIs[1] Operand 1
     /* 1434940 */     // No operand predicates
     /* 1434940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1434944 */     // MIs[0] policy
     /* 1434944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1434947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1434949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1434956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1434956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1434959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1434961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1434963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1434965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1434968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1434970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1434975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1434978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1434980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1434981 */     // GIR_Coverage, 3556,
     /* 1434981 */     GIR_EraseRootFromParent_Done,
     /* 1434982 */   // Label 20241: @1434982
     /* 1434982 */   GIM_Try, /*On fail goto*//*Label 20242*/ GIMT_Encode4(1435079), // Rule ID 3557 //
     /* 1434987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1434990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1434995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1434998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1435001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1435004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435037 */     // MIs[1] Operand 1
     /* 1435037 */     // No operand predicates
     /* 1435037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435041 */     // MIs[0] policy
     /* 1435041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435053 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1435056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435078 */     // GIR_Coverage, 3557,
     /* 1435078 */     GIR_EraseRootFromParent_Done,
     /* 1435079 */   // Label 20242: @1435079
     /* 1435079 */   GIM_Try, /*On fail goto*//*Label 20243*/ GIMT_Encode4(1435176), // Rule ID 3560 //
     /* 1435084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1435095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1435098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435134 */     // MIs[1] Operand 1
     /* 1435134 */     // No operand predicates
     /* 1435134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435138 */     // MIs[0] policy
     /* 1435138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435150 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1435153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435175 */     // GIR_Coverage, 3560,
     /* 1435175 */     GIR_EraseRootFromParent_Done,
     /* 1435176 */   // Label 20243: @1435176
     /* 1435176 */   GIM_Try, /*On fail goto*//*Label 20244*/ GIMT_Encode4(1435273), // Rule ID 3561 //
     /* 1435181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1435192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1435195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1435198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1435204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435231 */     // MIs[1] Operand 1
     /* 1435231 */     // No operand predicates
     /* 1435231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435235 */     // MIs[0] policy
     /* 1435235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435247 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1435250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1435269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435272 */     // GIR_Coverage, 3561,
     /* 1435272 */     GIR_EraseRootFromParent_Done,
     /* 1435273 */   // Label 20244: @1435273
     /* 1435273 */   GIM_Try, /*On fail goto*//*Label 20245*/ GIMT_Encode4(1435370), // Rule ID 3564 //
     /* 1435278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435328 */     // MIs[1] Operand 1
     /* 1435328 */     // No operand predicates
     /* 1435328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435332 */     // MIs[0] policy
     /* 1435332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435344 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1435347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435369 */     // GIR_Coverage, 3564,
     /* 1435369 */     GIR_EraseRootFromParent_Done,
     /* 1435370 */   // Label 20245: @1435370
     /* 1435370 */   GIM_Try, /*On fail goto*//*Label 20246*/ GIMT_Encode4(1435467), // Rule ID 3565 //
     /* 1435375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1435386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1435389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1435392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1435398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435425 */     // MIs[1] Operand 1
     /* 1435425 */     // No operand predicates
     /* 1435425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435429 */     // MIs[0] policy
     /* 1435429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435441 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1435444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435466 */     // GIR_Coverage, 3565,
     /* 1435466 */     GIR_EraseRootFromParent_Done,
     /* 1435467 */   // Label 20246: @1435467
     /* 1435467 */   GIM_Try, /*On fail goto*//*Label 20247*/ GIMT_Encode4(1435564), // Rule ID 3568 //
     /* 1435472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435522 */     // MIs[1] Operand 1
     /* 1435522 */     // No operand predicates
     /* 1435522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435526 */     // MIs[0] policy
     /* 1435526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1435541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435563 */     // GIR_Coverage, 3568,
     /* 1435563 */     GIR_EraseRootFromParent_Done,
     /* 1435564 */   // Label 20247: @1435564
     /* 1435564 */   GIM_Try, /*On fail goto*//*Label 20248*/ GIMT_Encode4(1435661), // Rule ID 3569 //
     /* 1435569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1435580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1435583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1435586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1435592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1435599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1435607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435619 */     // MIs[1] Operand 1
     /* 1435619 */     // No operand predicates
     /* 1435619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435623 */     // MIs[0] policy
     /* 1435623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435635 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1435638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435660 */     // GIR_Coverage, 3569,
     /* 1435660 */     GIR_EraseRootFromParent_Done,
     /* 1435661 */   // Label 20248: @1435661
     /* 1435661 */   GIM_Try, /*On fail goto*//*Label 20249*/ GIMT_Encode4(1435758), // Rule ID 3572 //
     /* 1435666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1435669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435716 */     // MIs[1] Operand 1
     /* 1435716 */     // No operand predicates
     /* 1435716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435720 */     // MIs[0] policy
     /* 1435720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435732 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1435735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435757 */     // GIR_Coverage, 3572,
     /* 1435757 */     GIR_EraseRootFromParent_Done,
     /* 1435758 */   // Label 20249: @1435758
     /* 1435758 */   GIM_Try, /*On fail goto*//*Label 20250*/ GIMT_Encode4(1435855), // Rule ID 3573 //
     /* 1435763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1435766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1435774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1435777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1435780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1435786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1435793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1435801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435813 */     // MIs[1] Operand 1
     /* 1435813 */     // No operand predicates
     /* 1435813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435817 */     // MIs[0] policy
     /* 1435817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435829 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1435829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1435832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1435851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435854 */     // GIR_Coverage, 3573,
     /* 1435854 */     GIR_EraseRootFromParent_Done,
     /* 1435855 */   // Label 20250: @1435855
     /* 1435855 */   GIM_Try, /*On fail goto*//*Label 20251*/ GIMT_Encode4(1435952), // Rule ID 3576 //
     /* 1435860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1435863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1435877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1435880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1435886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1435906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1435910 */     // MIs[1] Operand 1
     /* 1435910 */     // No operand predicates
     /* 1435910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1435914 */     // MIs[0] policy
     /* 1435914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1435917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1435919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1435926 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1435926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1435929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1435931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1435933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1435935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1435938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1435940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1435945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1435948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1435950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1435951 */     // GIR_Coverage, 3576,
     /* 1435951 */     GIR_EraseRootFromParent_Done,
     /* 1435952 */   // Label 20251: @1435952
     /* 1435952 */   GIM_Try, /*On fail goto*//*Label 20252*/ GIMT_Encode4(1436049), // Rule ID 3577 //
     /* 1435957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1435960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1435965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1435968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1435971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1435974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1435977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1435980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1435983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1435987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1435995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1435999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436007 */     // MIs[1] Operand 1
     /* 1436007 */     // No operand predicates
     /* 1436007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436011 */     // MIs[0] policy
     /* 1436011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436023 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M2_MASK),
     /* 1436026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436048 */     // GIR_Coverage, 3577,
     /* 1436048 */     GIR_EraseRootFromParent_Done,
     /* 1436049 */   // Label 20252: @1436049
     /* 1436049 */   GIM_Try, /*On fail goto*//*Label 20253*/ GIMT_Encode4(1436146), // Rule ID 3580 //
     /* 1436054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1436062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1436065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1436068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1436071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436104 */     // MIs[1] Operand 1
     /* 1436104 */     // No operand predicates
     /* 1436104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436108 */     // MIs[0] policy
     /* 1436108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436120 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1436123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436145 */     // GIR_Coverage, 3580,
     /* 1436145 */     GIR_EraseRootFromParent_Done,
     /* 1436146 */   // Label 20253: @1436146
     /* 1436146 */   GIM_Try, /*On fail goto*//*Label 20254*/ GIMT_Encode4(1436243), // Rule ID 3581 //
     /* 1436151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1436159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1436162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1436165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1436168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1436181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1436189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436201 */     // MIs[1] Operand 1
     /* 1436201 */     // No operand predicates
     /* 1436201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436205 */     // MIs[0] policy
     /* 1436205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436217 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M4_MASK),
     /* 1436220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436242 */     // GIR_Coverage, 3581,
     /* 1436242 */     GIR_EraseRootFromParent_Done,
     /* 1436243 */   // Label 20254: @1436243
     /* 1436243 */   GIM_Try, /*On fail goto*//*Label 20255*/ GIMT_Encode4(1436340), // Rule ID 3584 //
     /* 1436248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1436251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1436256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436298 */     // MIs[1] Operand 1
     /* 1436298 */     // No operand predicates
     /* 1436298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436302 */     // MIs[0] policy
     /* 1436302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436314 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1436317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436339 */     // GIR_Coverage, 3584,
     /* 1436339 */     GIR_EraseRootFromParent_Done,
     /* 1436340 */   // Label 20255: @1436340
     /* 1436340 */   GIM_Try, /*On fail goto*//*Label 20256*/ GIMT_Encode4(1436437), // Rule ID 3585 //
     /* 1436345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1436348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1436353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1436356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1436359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1436362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1436368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1436375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1436383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436395 */     // MIs[1] Operand 1
     /* 1436395 */     // No operand predicates
     /* 1436395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436399 */     // MIs[0] policy
     /* 1436399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436411 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VI_M8_MASK),
     /* 1436414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1436433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436436 */     // GIR_Coverage, 3585,
     /* 1436436 */     GIR_EraseRootFromParent_Done,
     /* 1436437 */   // Label 20256: @1436437
     /* 1436437 */   GIM_Try, /*On fail goto*//*Label 20257*/ GIMT_Encode4(1436534), // Rule ID 5948 //
     /* 1436442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436492 */     // MIs[1] Operand 1
     /* 1436492 */     // No operand predicates
     /* 1436492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436496 */     // MIs[0] policy
     /* 1436496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1436511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436533 */     // GIR_Coverage, 5948,
     /* 1436533 */     GIR_EraseRootFromParent_Done,
     /* 1436534 */   // Label 20257: @1436534
     /* 1436534 */   GIM_Try, /*On fail goto*//*Label 20258*/ GIMT_Encode4(1436631), // Rule ID 5949 //
     /* 1436539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1436550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1436553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1436556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1436562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436589 */     // MIs[1] Operand 1
     /* 1436589 */     // No operand predicates
     /* 1436589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436593 */     // MIs[0] policy
     /* 1436593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436605 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF8_MASK),
     /* 1436608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436630 */     // GIR_Coverage, 5949,
     /* 1436630 */     GIR_EraseRootFromParent_Done,
     /* 1436631 */   // Label 20258: @1436631
     /* 1436631 */   GIM_Try, /*On fail goto*//*Label 20259*/ GIMT_Encode4(1436728), // Rule ID 5952 //
     /* 1436636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436686 */     // MIs[1] Operand 1
     /* 1436686 */     // No operand predicates
     /* 1436686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436690 */     // MIs[0] policy
     /* 1436690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1436705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436727 */     // GIR_Coverage, 5952,
     /* 1436727 */     GIR_EraseRootFromParent_Done,
     /* 1436728 */   // Label 20259: @1436728
     /* 1436728 */   GIM_Try, /*On fail goto*//*Label 20260*/ GIMT_Encode4(1436825), // Rule ID 5953 //
     /* 1436733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1436744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1436747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1436750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1436756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436783 */     // MIs[1] Operand 1
     /* 1436783 */     // No operand predicates
     /* 1436783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436787 */     // MIs[0] policy
     /* 1436787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436799 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1436802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436824 */     // GIR_Coverage, 5953,
     /* 1436824 */     GIR_EraseRootFromParent_Done,
     /* 1436825 */   // Label 20260: @1436825
     /* 1436825 */   GIM_Try, /*On fail goto*//*Label 20261*/ GIMT_Encode4(1436922), // Rule ID 5956 //
     /* 1436830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1436833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1436841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1436844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1436847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1436850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1436856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436880 */     // MIs[1] Operand 1
     /* 1436880 */     // No operand predicates
     /* 1436880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436884 */     // MIs[0] policy
     /* 1436884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436896 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1436896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1436899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1436903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1436905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1436908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1436910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1436915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1436918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1436920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1436921 */     // GIR_Coverage, 5956,
     /* 1436921 */     GIR_EraseRootFromParent_Done,
     /* 1436922 */   // Label 20261: @1436922
     /* 1436922 */   GIM_Try, /*On fail goto*//*Label 20262*/ GIMT_Encode4(1437019), // Rule ID 5957 //
     /* 1436927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1436930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1436935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1436938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1436941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1436944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1436947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1436950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1436953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1436957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1436965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1436969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1436973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1436977 */     // MIs[1] Operand 1
     /* 1436977 */     // No operand predicates
     /* 1436977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1436981 */     // MIs[0] policy
     /* 1436981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1436984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1436986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1436993 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1436993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1436996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1436998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437018 */     // GIR_Coverage, 5957,
     /* 1437018 */     GIR_EraseRootFromParent_Done,
     /* 1437019 */   // Label 20262: @1437019
     /* 1437019 */   GIM_Try, /*On fail goto*//*Label 20263*/ GIMT_Encode4(1437116), // Rule ID 5960 //
     /* 1437024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1437035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1437038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1437041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437074 */     // MIs[1] Operand 1
     /* 1437074 */     // No operand predicates
     /* 1437074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437078 */     // MIs[0] policy
     /* 1437078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437090 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1437093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437115 */     // GIR_Coverage, 5960,
     /* 1437115 */     GIR_EraseRootFromParent_Done,
     /* 1437116 */   // Label 20263: @1437116
     /* 1437116 */   GIM_Try, /*On fail goto*//*Label 20264*/ GIMT_Encode4(1437213), // Rule ID 5961 //
     /* 1437121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1437132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1437135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1437138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437171 */     // MIs[1] Operand 1
     /* 1437171 */     // No operand predicates
     /* 1437171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437175 */     // MIs[0] policy
     /* 1437175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437187 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF4_MASK),
     /* 1437190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437212 */     // GIR_Coverage, 5961,
     /* 1437212 */     GIR_EraseRootFromParent_Done,
     /* 1437213 */   // Label 20264: @1437213
     /* 1437213 */   GIM_Try, /*On fail goto*//*Label 20265*/ GIMT_Encode4(1437310), // Rule ID 5964 //
     /* 1437218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437268 */     // MIs[1] Operand 1
     /* 1437268 */     // No operand predicates
     /* 1437268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437272 */     // MIs[0] policy
     /* 1437272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437284 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1437287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437309 */     // GIR_Coverage, 5964,
     /* 1437309 */     GIR_EraseRootFromParent_Done,
     /* 1437310 */   // Label 20265: @1437310
     /* 1437310 */   GIM_Try, /*On fail goto*//*Label 20266*/ GIMT_Encode4(1437407), // Rule ID 5965 //
     /* 1437315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1437326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1437329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1437332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1437338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437365 */     // MIs[1] Operand 1
     /* 1437365 */     // No operand predicates
     /* 1437365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437369 */     // MIs[0] policy
     /* 1437369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437381 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1437384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437406 */     // GIR_Coverage, 5965,
     /* 1437406 */     GIR_EraseRootFromParent_Done,
     /* 1437407 */   // Label 20266: @1437407
     /* 1437407 */   GIM_Try, /*On fail goto*//*Label 20267*/ GIMT_Encode4(1437504), // Rule ID 5968 //
     /* 1437412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437462 */     // MIs[1] Operand 1
     /* 1437462 */     // No operand predicates
     /* 1437462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437466 */     // MIs[0] policy
     /* 1437466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437478 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1437481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437503 */     // GIR_Coverage, 5968,
     /* 1437503 */     GIR_EraseRootFromParent_Done,
     /* 1437504 */   // Label 20267: @1437504
     /* 1437504 */   GIM_Try, /*On fail goto*//*Label 20268*/ GIMT_Encode4(1437601), // Rule ID 5969 //
     /* 1437509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1437520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1437523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1437526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1437532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437559 */     // MIs[1] Operand 1
     /* 1437559 */     // No operand predicates
     /* 1437559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437563 */     // MIs[0] policy
     /* 1437563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437575 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_MF2_MASK),
     /* 1437578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1437597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437600 */     // GIR_Coverage, 5969,
     /* 1437600 */     GIR_EraseRootFromParent_Done,
     /* 1437601 */   // Label 20268: @1437601
     /* 1437601 */   GIM_Try, /*On fail goto*//*Label 20269*/ GIMT_Encode4(1437698), // Rule ID 5972 //
     /* 1437606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437656 */     // MIs[1] Operand 1
     /* 1437656 */     // No operand predicates
     /* 1437656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437660 */     // MIs[0] policy
     /* 1437660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1437675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437697 */     // GIR_Coverage, 5972,
     /* 1437697 */     GIR_EraseRootFromParent_Done,
     /* 1437698 */   // Label 20269: @1437698
     /* 1437698 */   GIM_Try, /*On fail goto*//*Label 20270*/ GIMT_Encode4(1437795), // Rule ID 5973 //
     /* 1437703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1437714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1437717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1437720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1437726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437753 */     // MIs[1] Operand 1
     /* 1437753 */     // No operand predicates
     /* 1437753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437757 */     // MIs[0] policy
     /* 1437757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437769 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1437772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1437791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437794 */     // GIR_Coverage, 5973,
     /* 1437794 */     GIR_EraseRootFromParent_Done,
     /* 1437795 */   // Label 20270: @1437795
     /* 1437795 */   GIM_Try, /*On fail goto*//*Label 20271*/ GIMT_Encode4(1437892), // Rule ID 5976 //
     /* 1437800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1437811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1437814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1437817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1437820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1437826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437850 */     // MIs[1] Operand 1
     /* 1437850 */     // No operand predicates
     /* 1437850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437854 */     // MIs[0] policy
     /* 1437854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1437866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1437869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437891 */     // GIR_Coverage, 5976,
     /* 1437891 */     GIR_EraseRootFromParent_Done,
     /* 1437892 */   // Label 20271: @1437892
     /* 1437892 */   GIM_Try, /*On fail goto*//*Label 20272*/ GIMT_Encode4(1437989), // Rule ID 5977 //
     /* 1437897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1437900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1437905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1437908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1437911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1437914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1437917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1437920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1437923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1437927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1437935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1437939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1437943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1437947 */     // MIs[1] Operand 1
     /* 1437947 */     // No operand predicates
     /* 1437947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1437951 */     // MIs[0] policy
     /* 1437951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1437954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1437956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1437963 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1437963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1437966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1437968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1437970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1437972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1437975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1437977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1437982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1437985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1437987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1437988 */     // GIR_Coverage, 5977,
     /* 1437988 */     GIR_EraseRootFromParent_Done,
     /* 1437989 */   // Label 20272: @1437989
     /* 1437989 */   GIM_Try, /*On fail goto*//*Label 20273*/ GIMT_Encode4(1438086), // Rule ID 5980 //
     /* 1437994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1437997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1438005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1438008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1438011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438044 */     // MIs[1] Operand 1
     /* 1438044 */     // No operand predicates
     /* 1438044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438048 */     // MIs[0] policy
     /* 1438048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438060 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1438063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438085 */     // GIR_Coverage, 5980,
     /* 1438085 */     GIR_EraseRootFromParent_Done,
     /* 1438086 */   // Label 20273: @1438086
     /* 1438086 */   GIM_Try, /*On fail goto*//*Label 20274*/ GIMT_Encode4(1438183), // Rule ID 5981 //
     /* 1438091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1438102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1438105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1438108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1438114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438141 */     // MIs[1] Operand 1
     /* 1438141 */     // No operand predicates
     /* 1438141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438145 */     // MIs[0] policy
     /* 1438145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438157 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1438160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1438179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438182 */     // GIR_Coverage, 5981,
     /* 1438182 */     GIR_EraseRootFromParent_Done,
     /* 1438183 */   // Label 20274: @1438183
     /* 1438183 */   GIM_Try, /*On fail goto*//*Label 20275*/ GIMT_Encode4(1438280), // Rule ID 5984 //
     /* 1438188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1438191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438238 */     // MIs[1] Operand 1
     /* 1438238 */     // No operand predicates
     /* 1438238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438242 */     // MIs[0] policy
     /* 1438242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438254 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1438257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438279 */     // GIR_Coverage, 5984,
     /* 1438279 */     GIR_EraseRootFromParent_Done,
     /* 1438280 */   // Label 20275: @1438280
     /* 1438280 */   GIM_Try, /*On fail goto*//*Label 20276*/ GIMT_Encode4(1438377), // Rule ID 5985 //
     /* 1438285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1438288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1438296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1438299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1438302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1438308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1438315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1438323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438335 */     // MIs[1] Operand 1
     /* 1438335 */     // No operand predicates
     /* 1438335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438339 */     // MIs[0] policy
     /* 1438339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438351 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M1_MASK),
     /* 1438354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1438373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438376 */     // GIR_Coverage, 5985,
     /* 1438376 */     GIR_EraseRootFromParent_Done,
     /* 1438377 */   // Label 20276: @1438377
     /* 1438377 */   GIM_Try, /*On fail goto*//*Label 20277*/ GIMT_Encode4(1438474), // Rule ID 5988 //
     /* 1438382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438420 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438424 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438428 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438432 */     // MIs[1] Operand 1
     /* 1438432 */     // No operand predicates
     /* 1438432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438436 */     // MIs[0] policy
     /* 1438436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438439 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438448 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1438451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438457 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438470 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438472 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438473 */     // GIR_Coverage, 5988,
     /* 1438473 */     GIR_EraseRootFromParent_Done,
     /* 1438474 */   // Label 20277: @1438474
     /* 1438474 */   GIM_Try, /*On fail goto*//*Label 20278*/ GIMT_Encode4(1438571), // Rule ID 5989 //
     /* 1438479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1438490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1438493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1438496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1438502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438525 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438529 */     // MIs[1] Operand 1
     /* 1438529 */     // No operand predicates
     /* 1438529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438533 */     // MIs[0] policy
     /* 1438533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438536 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438545 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1438548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438554 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438570 */     // GIR_Coverage, 5989,
     /* 1438570 */     GIR_EraseRootFromParent_Done,
     /* 1438571 */   // Label 20278: @1438571
     /* 1438571 */   GIM_Try, /*On fail goto*//*Label 20279*/ GIMT_Encode4(1438668), // Rule ID 5992 //
     /* 1438576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438614 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438618 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438622 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438626 */     // MIs[1] Operand 1
     /* 1438626 */     // No operand predicates
     /* 1438626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438630 */     // MIs[0] policy
     /* 1438630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438642 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1438645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438664 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438667 */     // GIR_Coverage, 5992,
     /* 1438667 */     GIR_EraseRootFromParent_Done,
     /* 1438668 */   // Label 20279: @1438668
     /* 1438668 */   GIM_Try, /*On fail goto*//*Label 20280*/ GIMT_Encode4(1438765), // Rule ID 5993 //
     /* 1438673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1438684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1438687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1438690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1438696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1438703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1438711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438723 */     // MIs[1] Operand 1
     /* 1438723 */     // No operand predicates
     /* 1438723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438727 */     // MIs[0] policy
     /* 1438727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438730 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438739 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1438742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438748 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438764 */     // GIR_Coverage, 5993,
     /* 1438764 */     GIR_EraseRootFromParent_Done,
     /* 1438765 */   // Label 20280: @1438765
     /* 1438765 */   GIM_Try, /*On fail goto*//*Label 20281*/ GIMT_Encode4(1438862), // Rule ID 5996 //
     /* 1438770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1438781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1438784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1438787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1438793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438820 */     // MIs[1] Operand 1
     /* 1438820 */     // No operand predicates
     /* 1438820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438824 */     // MIs[0] policy
     /* 1438824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1438836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1438839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438861 */     // GIR_Coverage, 5996,
     /* 1438861 */     GIR_EraseRootFromParent_Done,
     /* 1438862 */   // Label 20281: @1438862
     /* 1438862 */   GIM_Try, /*On fail goto*//*Label 20282*/ GIMT_Encode4(1438959), // Rule ID 5997 //
     /* 1438867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1438870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1438878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1438881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1438884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1438887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1438890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1438893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1438897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1438905 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1438909 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1438913 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1438917 */     // MIs[1] Operand 1
     /* 1438917 */     // No operand predicates
     /* 1438917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1438921 */     // MIs[0] policy
     /* 1438921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1438924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1438926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1438933 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1438933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1438936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1438938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1438940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1438942 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1438945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1438947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1438952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1438955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1438957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1438958 */     // GIR_Coverage, 5997,
     /* 1438958 */     GIR_EraseRootFromParent_Done,
     /* 1438959 */   // Label 20282: @1438959
     /* 1438959 */   GIM_Try, /*On fail goto*//*Label 20283*/ GIMT_Encode4(1439056), // Rule ID 6000 //
     /* 1438964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1438967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1438972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1438975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1438978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1438981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1438984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1438987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1438990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1438994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1438998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439002 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439006 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439010 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439014 */     // MIs[1] Operand 1
     /* 1439014 */     // No operand predicates
     /* 1439014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439018 */     // MIs[0] policy
     /* 1439018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439030 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1439033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439052 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439055 */     // GIR_Coverage, 6000,
     /* 1439055 */     GIR_EraseRootFromParent_Done,
     /* 1439056 */   // Label 20283: @1439056
     /* 1439056 */   GIM_Try, /*On fail goto*//*Label 20284*/ GIMT_Encode4(1439153), // Rule ID 6001 //
     /* 1439061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1439072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1439075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1439078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439111 */     // MIs[1] Operand 1
     /* 1439111 */     // No operand predicates
     /* 1439111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439115 */     // MIs[0] policy
     /* 1439115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1439130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439152 */     // GIR_Coverage, 6001,
     /* 1439152 */     GIR_EraseRootFromParent_Done,
     /* 1439153 */   // Label 20284: @1439153
     /* 1439153 */   GIM_Try, /*On fail goto*//*Label 20285*/ GIMT_Encode4(1439250), // Rule ID 6004 //
     /* 1439158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1439169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1439172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439196 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439200 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439204 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439208 */     // MIs[1] Operand 1
     /* 1439208 */     // No operand predicates
     /* 1439208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439212 */     // MIs[0] policy
     /* 1439212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439215 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439224 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1439227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439233 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439246 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439249 */     // GIR_Coverage, 6004,
     /* 1439249 */     GIR_EraseRootFromParent_Done,
     /* 1439250 */   // Label 20285: @1439250
     /* 1439250 */   GIM_Try, /*On fail goto*//*Label 20286*/ GIMT_Encode4(1439347), // Rule ID 6005 //
     /* 1439255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1439266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1439269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1439272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439301 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439305 */     // MIs[1] Operand 1
     /* 1439305 */     // No operand predicates
     /* 1439305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439309 */     // MIs[0] policy
     /* 1439309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439321 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1439324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439330 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439346 */     // GIR_Coverage, 6005,
     /* 1439346 */     GIR_EraseRootFromParent_Done,
     /* 1439347 */   // Label 20286: @1439347
     /* 1439347 */   GIM_Try, /*On fail goto*//*Label 20287*/ GIMT_Encode4(1439444), // Rule ID 6008 //
     /* 1439352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439402 */     // MIs[1] Operand 1
     /* 1439402 */     // No operand predicates
     /* 1439402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439406 */     // MIs[0] policy
     /* 1439406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439418 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1439421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439440 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439443 */     // GIR_Coverage, 6008,
     /* 1439443 */     GIR_EraseRootFromParent_Done,
     /* 1439444 */   // Label 20287: @1439444
     /* 1439444 */   GIM_Try, /*On fail goto*//*Label 20288*/ GIMT_Encode4(1439541), // Rule ID 6009 //
     /* 1439449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1439460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1439463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1439466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1439472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439499 */     // MIs[1] Operand 1
     /* 1439499 */     // No operand predicates
     /* 1439499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439503 */     // MIs[0] policy
     /* 1439503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1439518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1439537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439540 */     // GIR_Coverage, 6009,
     /* 1439540 */     GIR_EraseRootFromParent_Done,
     /* 1439541 */   // Label 20288: @1439541
     /* 1439541 */   GIM_Try, /*On fail goto*//*Label 20289*/ GIMT_Encode4(1439638), // Rule ID 6012 //
     /* 1439546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439592 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439596 */     // MIs[1] Operand 1
     /* 1439596 */     // No operand predicates
     /* 1439596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439600 */     // MIs[0] policy
     /* 1439600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439612 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1439615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439621 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439634 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439637 */     // GIR_Coverage, 6012,
     /* 1439637 */     GIR_EraseRootFromParent_Done,
     /* 1439638 */   // Label 20289: @1439638
     /* 1439638 */   GIM_Try, /*On fail goto*//*Label 20290*/ GIMT_Encode4(1439735), // Rule ID 6013 //
     /* 1439643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1439654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1439657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1439660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1439666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1439673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1439681 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439685 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439689 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439693 */     // MIs[1] Operand 1
     /* 1439693 */     // No operand predicates
     /* 1439693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439697 */     // MIs[0] policy
     /* 1439697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439700 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439709 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1439712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439718 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439734 */     // GIR_Coverage, 6013,
     /* 1439734 */     GIR_EraseRootFromParent_Done,
     /* 1439735 */   // Label 20290: @1439735
     /* 1439735 */   GIM_Try, /*On fail goto*//*Label 20291*/ GIMT_Encode4(1439832), // Rule ID 6016 //
     /* 1439740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1439757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439790 */     // MIs[1] Operand 1
     /* 1439790 */     // No operand predicates
     /* 1439790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439794 */     // MIs[0] policy
     /* 1439794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439806 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1439806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1439809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439828 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439831 */     // GIR_Coverage, 6016,
     /* 1439831 */     GIR_EraseRootFromParent_Done,
     /* 1439832 */   // Label 20291: @1439832
     /* 1439832 */   GIM_Try, /*On fail goto*//*Label 20292*/ GIMT_Encode4(1439929), // Rule ID 6017 //
     /* 1439837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1439840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1439848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1439851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1439854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1439857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1439860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1439863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1439867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1439875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439887 */     // MIs[1] Operand 1
     /* 1439887 */     // No operand predicates
     /* 1439887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439891 */     // MIs[0] policy
     /* 1439891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439894 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1439903 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1439903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1439906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1439908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1439910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1439912 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1439915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1439917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1439922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1439925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1439927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1439928 */     // GIR_Coverage, 6017,
     /* 1439928 */     GIR_EraseRootFromParent_Done,
     /* 1439929 */   // Label 20292: @1439929
     /* 1439929 */   GIM_Try, /*On fail goto*//*Label 20293*/ GIMT_Encode4(1440026), // Rule ID 6020 //
     /* 1439934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1439937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1439942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1439945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1439948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1439951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1439954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1439957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1439960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1439964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1439972 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1439976 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1439980 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1439984 */     // MIs[1] Operand 1
     /* 1439984 */     // No operand predicates
     /* 1439984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1439988 */     // MIs[0] policy
     /* 1439988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1439991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1439993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440000 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1440003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440009 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440022 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440024 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440025 */     // GIR_Coverage, 6020,
     /* 1440025 */     GIR_EraseRootFromParent_Done,
     /* 1440026 */   // Label 20293: @1440026
     /* 1440026 */   GIM_Try, /*On fail goto*//*Label 20294*/ GIMT_Encode4(1440123), // Rule ID 6021 //
     /* 1440031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1440039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1440042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1440045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1440048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1440054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440077 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440081 */     // MIs[1] Operand 1
     /* 1440081 */     // No operand predicates
     /* 1440081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440085 */     // MIs[0] policy
     /* 1440085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440088 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440097 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1440100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440106 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1440119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440122 */     // GIR_Coverage, 6021,
     /* 1440122 */     GIR_EraseRootFromParent_Done,
     /* 1440123 */   // Label 20294: @1440123
     /* 1440123 */   GIM_Try, /*On fail goto*//*Label 20295*/ GIMT_Encode4(1440220), // Rule ID 6024 //
     /* 1440128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1440136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1440139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1440142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1440145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440174 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440178 */     // MIs[1] Operand 1
     /* 1440178 */     // No operand predicates
     /* 1440178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440182 */     // MIs[0] policy
     /* 1440182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440194 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1440197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440218 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440219 */     // GIR_Coverage, 6024,
     /* 1440219 */     GIR_EraseRootFromParent_Done,
     /* 1440220 */   // Label 20295: @1440220
     /* 1440220 */   GIM_Try, /*On fail goto*//*Label 20296*/ GIMT_Encode4(1440317), // Rule ID 6025 //
     /* 1440225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1440233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1440236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1440239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1440242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1440255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1440263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440275 */     // MIs[1] Operand 1
     /* 1440275 */     // No operand predicates
     /* 1440275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440279 */     // MIs[0] policy
     /* 1440279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440291 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M2_MASK),
     /* 1440294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440316 */     // GIR_Coverage, 6025,
     /* 1440316 */     GIR_EraseRootFromParent_Done,
     /* 1440317 */   // Label 20296: @1440317
     /* 1440317 */   GIM_Try, /*On fail goto*//*Label 20297*/ GIMT_Encode4(1440414), // Rule ID 6028 //
     /* 1440322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1440330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440372 */     // MIs[1] Operand 1
     /* 1440372 */     // No operand predicates
     /* 1440372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440376 */     // MIs[0] policy
     /* 1440376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440388 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1440391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440412 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440413 */     // GIR_Coverage, 6028,
     /* 1440413 */     GIR_EraseRootFromParent_Done,
     /* 1440414 */   // Label 20297: @1440414
     /* 1440414 */   GIM_Try, /*On fail goto*//*Label 20298*/ GIMT_Encode4(1440511), // Rule ID 6029 //
     /* 1440419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1440427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1440430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1440433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1440436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1440442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1440449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1440457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440465 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440469 */     // MIs[1] Operand 1
     /* 1440469 */     // No operand predicates
     /* 1440469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440473 */     // MIs[0] policy
     /* 1440473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440476 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440485 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M4_MASK),
     /* 1440488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440494 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440510 */     // GIR_Coverage, 6029,
     /* 1440510 */     GIR_EraseRootFromParent_Done,
     /* 1440511 */   // Label 20298: @1440511
     /* 1440511 */   GIM_Try, /*On fail goto*//*Label 20299*/ GIMT_Encode4(1440608), // Rule ID 6032 //
     /* 1440516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1440519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1440524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440562 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440566 */     // MIs[1] Operand 1
     /* 1440566 */     // No operand predicates
     /* 1440566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440570 */     // MIs[0] policy
     /* 1440570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440573 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440582 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1440585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440591 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440606 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440607 */     // GIR_Coverage, 6032,
     /* 1440607 */     GIR_EraseRootFromParent_Done,
     /* 1440608 */   // Label 20299: @1440608
     /* 1440608 */   GIM_Try, /*On fail goto*//*Label 20300*/ GIMT_Encode4(1440705), // Rule ID 6033 //
     /* 1440613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1440616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1440621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1440624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1440627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1440630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1440636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1440643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1440651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440663 */     // MIs[1] Operand 1
     /* 1440663 */     // No operand predicates
     /* 1440663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440667 */     // MIs[0] policy
     /* 1440667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440679 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VI_M8_MASK),
     /* 1440682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1440701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440704 */     // GIR_Coverage, 6033,
     /* 1440704 */     GIR_EraseRootFromParent_Done,
     /* 1440705 */   // Label 20300: @1440705
     /* 1440705 */   GIM_Try, /*On fail goto*//*Label 20301*/ GIMT_Encode4(1440802), // Rule ID 6212 //
     /* 1440710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440748 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440752 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440756 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440760 */     // MIs[1] Operand 1
     /* 1440760 */     // No operand predicates
     /* 1440760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440764 */     // MIs[0] policy
     /* 1440764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440767 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440776 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1440779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440785 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440800 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440801 */     // GIR_Coverage, 6212,
     /* 1440801 */     GIR_EraseRootFromParent_Done,
     /* 1440802 */   // Label 20301: @1440802
     /* 1440802 */   GIM_Try, /*On fail goto*//*Label 20302*/ GIMT_Encode4(1440899), // Rule ID 6213 //
     /* 1440807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1440810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1440818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1440821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1440824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1440827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1440830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1440833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440845 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440849 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440853 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440857 */     // MIs[1] Operand 1
     /* 1440857 */     // No operand predicates
     /* 1440857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440861 */     // MIs[0] policy
     /* 1440861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440873 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1440873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF8_MASK),
     /* 1440876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440882 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440898 */     // GIR_Coverage, 6213,
     /* 1440898 */     GIR_EraseRootFromParent_Done,
     /* 1440899 */   // Label 20302: @1440899
     /* 1440899 */   GIM_Try, /*On fail goto*//*Label 20303*/ GIMT_Encode4(1440996), // Rule ID 6216 //
     /* 1440904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1440907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1440912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1440915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1440918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1440921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1440924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1440927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1440930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1440934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1440942 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1440946 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1440950 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1440954 */     // MIs[1] Operand 1
     /* 1440954 */     // No operand predicates
     /* 1440954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1440958 */     // MIs[0] policy
     /* 1440958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1440961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1440963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1440970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1440970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1440973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1440975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1440977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1440979 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1440982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1440984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1440989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1440992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1440994 */     GIR_RootConstrainSelectedInstOperands,
     /* 1440995 */     // GIR_Coverage, 6216,
     /* 1440995 */     GIR_EraseRootFromParent_Done,
     /* 1440996 */   // Label 20303: @1440996
     /* 1440996 */   GIM_Try, /*On fail goto*//*Label 20304*/ GIMT_Encode4(1441093), // Rule ID 6217 //
     /* 1441001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1441012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1441015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1441018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441051 */     // MIs[1] Operand 1
     /* 1441051 */     // No operand predicates
     /* 1441051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441055 */     // MIs[0] policy
     /* 1441055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441058 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441067 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1441070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441076 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441092 */     // GIR_Coverage, 6217,
     /* 1441092 */     GIR_EraseRootFromParent_Done,
     /* 1441093 */   // Label 20304: @1441093
     /* 1441093 */   GIM_Try, /*On fail goto*//*Label 20305*/ GIMT_Encode4(1441190), // Rule ID 6220 //
     /* 1441098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1441109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1441112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1441115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441144 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441148 */     // MIs[1] Operand 1
     /* 1441148 */     // No operand predicates
     /* 1441148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441152 */     // MIs[0] policy
     /* 1441152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441155 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441164 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1441167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441173 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441188 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441189 */     // GIR_Coverage, 6220,
     /* 1441189 */     GIR_EraseRootFromParent_Done,
     /* 1441190 */   // Label 20305: @1441190
     /* 1441190 */   GIM_Try, /*On fail goto*//*Label 20306*/ GIMT_Encode4(1441287), // Rule ID 6221 //
     /* 1441195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1441206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1441209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1441212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1441218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441233 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441237 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441241 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441245 */     // MIs[1] Operand 1
     /* 1441245 */     // No operand predicates
     /* 1441245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441249 */     // MIs[0] policy
     /* 1441249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441261 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1441264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441270 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441286 */     // GIR_Coverage, 6221,
     /* 1441286 */     GIR_EraseRootFromParent_Done,
     /* 1441287 */   // Label 20306: @1441287
     /* 1441287 */   GIM_Try, /*On fail goto*//*Label 20307*/ GIMT_Encode4(1441384), // Rule ID 6224 //
     /* 1441292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441330 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441334 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441338 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441342 */     // MIs[1] Operand 1
     /* 1441342 */     // No operand predicates
     /* 1441342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441346 */     // MIs[0] policy
     /* 1441346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441349 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441358 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1441361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441367 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441382 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441383 */     // GIR_Coverage, 6224,
     /* 1441383 */     GIR_EraseRootFromParent_Done,
     /* 1441384 */   // Label 20307: @1441384
     /* 1441384 */   GIM_Try, /*On fail goto*//*Label 20308*/ GIMT_Encode4(1441481), // Rule ID 6225 //
     /* 1441389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1441400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1441403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1441406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441439 */     // MIs[1] Operand 1
     /* 1441439 */     // No operand predicates
     /* 1441439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441443 */     // MIs[0] policy
     /* 1441443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441455 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF4_MASK),
     /* 1441458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441480 */     // GIR_Coverage, 6225,
     /* 1441480 */     GIR_EraseRootFromParent_Done,
     /* 1441481 */   // Label 20308: @1441481
     /* 1441481 */   GIM_Try, /*On fail goto*//*Label 20309*/ GIMT_Encode4(1441578), // Rule ID 6228 //
     /* 1441486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441524 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441528 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441532 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441536 */     // MIs[1] Operand 1
     /* 1441536 */     // No operand predicates
     /* 1441536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441540 */     // MIs[0] policy
     /* 1441540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441543 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1441555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441561 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441574 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441576 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441577 */     // GIR_Coverage, 6228,
     /* 1441577 */     GIR_EraseRootFromParent_Done,
     /* 1441578 */   // Label 20309: @1441578
     /* 1441578 */   GIM_Try, /*On fail goto*//*Label 20310*/ GIMT_Encode4(1441675), // Rule ID 6229 //
     /* 1441583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1441594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1441597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1441600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1441606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441629 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441633 */     // MIs[1] Operand 1
     /* 1441633 */     // No operand predicates
     /* 1441633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441637 */     // MIs[0] policy
     /* 1441637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441649 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1441652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441658 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1441671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441674 */     // GIR_Coverage, 6229,
     /* 1441674 */     GIR_EraseRootFromParent_Done,
     /* 1441675 */   // Label 20310: @1441675
     /* 1441675 */   GIM_Try, /*On fail goto*//*Label 20311*/ GIMT_Encode4(1441772), // Rule ID 6232 //
     /* 1441680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441730 */     // MIs[1] Operand 1
     /* 1441730 */     // No operand predicates
     /* 1441730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441734 */     // MIs[0] policy
     /* 1441734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1441749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441768 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441770 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441771 */     // GIR_Coverage, 6232,
     /* 1441771 */     GIR_EraseRootFromParent_Done,
     /* 1441772 */   // Label 20311: @1441772
     /* 1441772 */   GIM_Try, /*On fail goto*//*Label 20312*/ GIMT_Encode4(1441869), // Rule ID 6233 //
     /* 1441777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1441788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1441791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1441794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1441800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441827 */     // MIs[1] Operand 1
     /* 1441827 */     // No operand predicates
     /* 1441827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441831 */     // MIs[0] policy
     /* 1441831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441843 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1441843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_MF2_MASK),
     /* 1441846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1441865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441868 */     // GIR_Coverage, 6233,
     /* 1441868 */     GIR_EraseRootFromParent_Done,
     /* 1441869 */   // Label 20312: @1441869
     /* 1441869 */   GIM_Try, /*On fail goto*//*Label 20313*/ GIMT_Encode4(1441966), // Rule ID 6236 //
     /* 1441874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1441877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1441885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1441888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1441891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1441894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1441900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1441904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1441912 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1441916 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1441920 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1441924 */     // MIs[1] Operand 1
     /* 1441924 */     // No operand predicates
     /* 1441924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1441928 */     // MIs[0] policy
     /* 1441928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1441931 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1441933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1441940 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1441940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1441943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1441945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1441947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1441949 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1441952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1441954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1441959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1441962 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1441964 */     GIR_RootConstrainSelectedInstOperands,
     /* 1441965 */     // GIR_Coverage, 6236,
     /* 1441965 */     GIR_EraseRootFromParent_Done,
     /* 1441966 */   // Label 20313: @1441966
     /* 1441966 */   GIM_Try, /*On fail goto*//*Label 20314*/ GIMT_Encode4(1442063), // Rule ID 6237 //
     /* 1441971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1441974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1441979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1441982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1441985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1441988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1441991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1441994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1441997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442009 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442013 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442017 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442021 */     // MIs[1] Operand 1
     /* 1442021 */     // No operand predicates
     /* 1442021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442025 */     // MIs[0] policy
     /* 1442025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442037 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1442040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442046 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442062 */     // GIR_Coverage, 6237,
     /* 1442062 */     GIR_EraseRootFromParent_Done,
     /* 1442063 */   // Label 20314: @1442063
     /* 1442063 */   GIM_Try, /*On fail goto*//*Label 20315*/ GIMT_Encode4(1442160), // Rule ID 6240 //
     /* 1442068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1442079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1442082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442114 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442118 */     // MIs[1] Operand 1
     /* 1442118 */     // No operand predicates
     /* 1442118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442122 */     // MIs[0] policy
     /* 1442122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442134 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1442137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442156 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442158 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442159 */     // GIR_Coverage, 6240,
     /* 1442159 */     GIR_EraseRootFromParent_Done,
     /* 1442160 */   // Label 20315: @1442160
     /* 1442160 */   GIM_Try, /*On fail goto*//*Label 20316*/ GIMT_Encode4(1442257), // Rule ID 6241 //
     /* 1442165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1442176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1442179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1442182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1442188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442215 */     // MIs[1] Operand 1
     /* 1442215 */     // No operand predicates
     /* 1442215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442219 */     // MIs[0] policy
     /* 1442219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442231 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1442234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442240 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1442253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442256 */     // GIR_Coverage, 6241,
     /* 1442256 */     GIR_EraseRootFromParent_Done,
     /* 1442257 */   // Label 20316: @1442257
     /* 1442257 */   GIM_Try, /*On fail goto*//*Label 20317*/ GIMT_Encode4(1442354), // Rule ID 6244 //
     /* 1442262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442300 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442304 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442308 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442312 */     // MIs[1] Operand 1
     /* 1442312 */     // No operand predicates
     /* 1442312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442316 */     // MIs[0] policy
     /* 1442316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442319 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1442331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442337 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442350 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442353 */     // GIR_Coverage, 6244,
     /* 1442353 */     GIR_EraseRootFromParent_Done,
     /* 1442354 */   // Label 20317: @1442354
     /* 1442354 */   GIM_Try, /*On fail goto*//*Label 20318*/ GIMT_Encode4(1442451), // Rule ID 6245 //
     /* 1442359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1442370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1442373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1442376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1442382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442405 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442409 */     // MIs[1] Operand 1
     /* 1442409 */     // No operand predicates
     /* 1442409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442413 */     // MIs[0] policy
     /* 1442413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442416 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442425 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1442428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442434 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1442447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442450 */     // GIR_Coverage, 6245,
     /* 1442450 */     GIR_EraseRootFromParent_Done,
     /* 1442451 */   // Label 20318: @1442451
     /* 1442451 */   GIM_Try, /*On fail goto*//*Label 20319*/ GIMT_Encode4(1442548), // Rule ID 6248 //
     /* 1442456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1442459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442494 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442498 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442502 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442506 */     // MIs[1] Operand 1
     /* 1442506 */     // No operand predicates
     /* 1442506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442510 */     // MIs[0] policy
     /* 1442510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442513 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1442525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442531 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442544 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442547 */     // GIR_Coverage, 6248,
     /* 1442547 */     GIR_EraseRootFromParent_Done,
     /* 1442548 */   // Label 20319: @1442548
     /* 1442548 */   GIM_Try, /*On fail goto*//*Label 20320*/ GIMT_Encode4(1442645), // Rule ID 6249 //
     /* 1442553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1442556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1442564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1442567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1442570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1442576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1442583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1442591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442603 */     // MIs[1] Operand 1
     /* 1442603 */     // No operand predicates
     /* 1442603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442607 */     // MIs[0] policy
     /* 1442607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442619 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M1_MASK),
     /* 1442622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1442641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442644 */     // GIR_Coverage, 6249,
     /* 1442644 */     GIR_EraseRootFromParent_Done,
     /* 1442645 */   // Label 20320: @1442645
     /* 1442645 */   GIM_Try, /*On fail goto*//*Label 20321*/ GIMT_Encode4(1442742), // Rule ID 6252 //
     /* 1442650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442700 */     // MIs[1] Operand 1
     /* 1442700 */     // No operand predicates
     /* 1442700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442704 */     // MIs[0] policy
     /* 1442704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442716 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1442719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442738 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442741 */     // GIR_Coverage, 6252,
     /* 1442741 */     GIR_EraseRootFromParent_Done,
     /* 1442742 */   // Label 20321: @1442742
     /* 1442742 */   GIM_Try, /*On fail goto*//*Label 20322*/ GIMT_Encode4(1442839), // Rule ID 6253 //
     /* 1442747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1442758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1442761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1442764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1442770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1442777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1442785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442793 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442797 */     // MIs[1] Operand 1
     /* 1442797 */     // No operand predicates
     /* 1442797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442801 */     // MIs[0] policy
     /* 1442801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442813 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1442813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1442816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442822 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442838 */     // GIR_Coverage, 6253,
     /* 1442838 */     GIR_EraseRootFromParent_Done,
     /* 1442839 */   // Label 20322: @1442839
     /* 1442839 */   GIM_Try, /*On fail goto*//*Label 20323*/ GIMT_Encode4(1442936), // Rule ID 6256 //
     /* 1442844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1442847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1442855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1442858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1442861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1442864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1442867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1442870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442882 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442886 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442890 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442894 */     // MIs[1] Operand 1
     /* 1442894 */     // No operand predicates
     /* 1442894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442898 */     // MIs[0] policy
     /* 1442898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442901 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1442903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1442910 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1442910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1442913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1442915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1442917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1442919 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1442922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1442924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1442929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1442932 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1442934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1442935 */     // GIR_Coverage, 6256,
     /* 1442935 */     GIR_EraseRootFromParent_Done,
     /* 1442936 */   // Label 20323: @1442936
     /* 1442936 */   GIM_Try, /*On fail goto*//*Label 20324*/ GIMT_Encode4(1443033), // Rule ID 6257 //
     /* 1442941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1442944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1442949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1442952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1442955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1442958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1442961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1442964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1442967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1442971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1442979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1442983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1442987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1442991 */     // MIs[1] Operand 1
     /* 1442991 */     // No operand predicates
     /* 1442991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1442995 */     // MIs[0] policy
     /* 1442995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1442998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443007 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1443010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443032 */     // GIR_Coverage, 6257,
     /* 1443032 */     GIR_EraseRootFromParent_Done,
     /* 1443033 */   // Label 20324: @1443033
     /* 1443033 */   GIM_Try, /*On fail goto*//*Label 20325*/ GIMT_Encode4(1443130), // Rule ID 6260 //
     /* 1443038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1443049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1443052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1443055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1443061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443084 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443088 */     // MIs[1] Operand 1
     /* 1443088 */     // No operand predicates
     /* 1443088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443092 */     // MIs[0] policy
     /* 1443092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443095 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443104 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1443107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443113 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443126 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443129 */     // GIR_Coverage, 6260,
     /* 1443129 */     GIR_EraseRootFromParent_Done,
     /* 1443130 */   // Label 20325: @1443130
     /* 1443130 */   GIM_Try, /*On fail goto*//*Label 20326*/ GIMT_Encode4(1443227), // Rule ID 6261 //
     /* 1443135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1443146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1443149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1443152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1443158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443181 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443185 */     // MIs[1] Operand 1
     /* 1443185 */     // No operand predicates
     /* 1443185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443189 */     // MIs[0] policy
     /* 1443189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443201 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1443204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443210 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1443223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443226 */     // GIR_Coverage, 6261,
     /* 1443226 */     GIR_EraseRootFromParent_Done,
     /* 1443227 */   // Label 20326: @1443227
     /* 1443227 */   GIM_Try, /*On fail goto*//*Label 20327*/ GIMT_Encode4(1443324), // Rule ID 6264 //
     /* 1443232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1443243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1443246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1443249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443270 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443274 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443278 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443282 */     // MIs[1] Operand 1
     /* 1443282 */     // No operand predicates
     /* 1443282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443286 */     // MIs[0] policy
     /* 1443286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443289 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443298 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1443301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443307 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443320 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443323 */     // GIR_Coverage, 6264,
     /* 1443323 */     GIR_EraseRootFromParent_Done,
     /* 1443324 */   // Label 20327: @1443324
     /* 1443324 */   GIM_Try, /*On fail goto*//*Label 20328*/ GIMT_Encode4(1443421), // Rule ID 6265 //
     /* 1443329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1443340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1443343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1443346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1443352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443379 */     // MIs[1] Operand 1
     /* 1443379 */     // No operand predicates
     /* 1443379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443383 */     // MIs[0] policy
     /* 1443383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443395 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1443398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443420 */     // GIR_Coverage, 6265,
     /* 1443420 */     GIR_EraseRootFromParent_Done,
     /* 1443421 */   // Label 20328: @1443421
     /* 1443421 */   GIM_Try, /*On fail goto*//*Label 20329*/ GIMT_Encode4(1443518), // Rule ID 6268 //
     /* 1443426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443464 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443468 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443472 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443476 */     // MIs[1] Operand 1
     /* 1443476 */     // No operand predicates
     /* 1443476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443480 */     // MIs[0] policy
     /* 1443480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443483 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443492 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1443495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443501 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443514 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443516 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443517 */     // GIR_Coverage, 6268,
     /* 1443517 */     GIR_EraseRootFromParent_Done,
     /* 1443518 */   // Label 20329: @1443518
     /* 1443518 */   GIM_Try, /*On fail goto*//*Label 20330*/ GIMT_Encode4(1443615), // Rule ID 6269 //
     /* 1443523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1443534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1443537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1443540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1443546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1443553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1443561 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443565 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443569 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443573 */     // MIs[1] Operand 1
     /* 1443573 */     // No operand predicates
     /* 1443573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443577 */     // MIs[0] policy
     /* 1443577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443589 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1443592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443598 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443614 */     // GIR_Coverage, 6269,
     /* 1443614 */     GIR_EraseRootFromParent_Done,
     /* 1443615 */   // Label 20330: @1443615
     /* 1443615 */   GIM_Try, /*On fail goto*//*Label 20331*/ GIMT_Encode4(1443712), // Rule ID 6272 //
     /* 1443620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443666 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443670 */     // MIs[1] Operand 1
     /* 1443670 */     // No operand predicates
     /* 1443670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443674 */     // MIs[0] policy
     /* 1443674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443677 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443686 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1443689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443695 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443708 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443710 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443711 */     // GIR_Coverage, 6272,
     /* 1443711 */     GIR_EraseRootFromParent_Done,
     /* 1443712 */   // Label 20331: @1443712
     /* 1443712 */   GIM_Try, /*On fail goto*//*Label 20332*/ GIMT_Encode4(1443809), // Rule ID 6273 //
     /* 1443717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1443728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1443731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1443734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1443740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1443747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1443755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443763 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443767 */     // MIs[1] Operand 1
     /* 1443767 */     // No operand predicates
     /* 1443767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443771 */     // MIs[0] policy
     /* 1443771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443783 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1443786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443792 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1443805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443808 */     // GIR_Coverage, 6273,
     /* 1443808 */     GIR_EraseRootFromParent_Done,
     /* 1443809 */   // Label 20332: @1443809
     /* 1443809 */   GIM_Try, /*On fail goto*//*Label 20333*/ GIMT_Encode4(1443906), // Rule ID 6276 //
     /* 1443814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1443817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1443834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1443840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443852 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443856 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443860 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443864 */     // MIs[1] Operand 1
     /* 1443864 */     // No operand predicates
     /* 1443864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443868 */     // MIs[0] policy
     /* 1443868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443871 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443880 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1443880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1443883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443889 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1443904 */     GIR_RootConstrainSelectedInstOperands,
     /* 1443905 */     // GIR_Coverage, 6276,
     /* 1443905 */     GIR_EraseRootFromParent_Done,
     /* 1443906 */   // Label 20333: @1443906
     /* 1443906 */   GIM_Try, /*On fail goto*//*Label 20334*/ GIMT_Encode4(1444003), // Rule ID 6277 //
     /* 1443911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1443914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1443919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1443922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1443925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1443928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1443931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1443934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1443937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1443941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1443949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1443953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1443957 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1443961 */     // MIs[1] Operand 1
     /* 1443961 */     // No operand predicates
     /* 1443961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1443965 */     // MIs[0] policy
     /* 1443965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1443968 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1443970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1443977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1443977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1443980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1443982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1443984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1443986 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1443989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1443991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1443996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1443999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444002 */     // GIR_Coverage, 6277,
     /* 1444002 */     GIR_EraseRootFromParent_Done,
     /* 1444003 */   // Label 20334: @1444003
     /* 1444003 */   GIM_Try, /*On fail goto*//*Label 20335*/ GIMT_Encode4(1444100), // Rule ID 6280 //
     /* 1444008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1444019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1444022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1444025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444046 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444050 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444054 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444058 */     // MIs[1] Operand 1
     /* 1444058 */     // No operand predicates
     /* 1444058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444062 */     // MIs[0] policy
     /* 1444062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444065 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1444077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444083 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444098 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444099 */     // GIR_Coverage, 6280,
     /* 1444099 */     GIR_EraseRootFromParent_Done,
     /* 1444100 */   // Label 20335: @1444100
     /* 1444100 */   GIM_Try, /*On fail goto*//*Label 20336*/ GIMT_Encode4(1444197), // Rule ID 6281 //
     /* 1444105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1444116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1444119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1444122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444155 */     // MIs[1] Operand 1
     /* 1444155 */     // No operand predicates
     /* 1444155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444159 */     // MIs[0] policy
     /* 1444159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1444174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444196 */     // GIR_Coverage, 6281,
     /* 1444196 */     GIR_EraseRootFromParent_Done,
     /* 1444197 */   // Label 20336: @1444197
     /* 1444197 */   GIM_Try, /*On fail goto*//*Label 20337*/ GIMT_Encode4(1444294), // Rule ID 6284 //
     /* 1444202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1444219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444252 */     // MIs[1] Operand 1
     /* 1444252 */     // No operand predicates
     /* 1444252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444256 */     // MIs[0] policy
     /* 1444256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444268 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1444271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444292 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444293 */     // GIR_Coverage, 6284,
     /* 1444293 */     GIR_EraseRootFromParent_Done,
     /* 1444294 */   // Label 20337: @1444294
     /* 1444294 */   GIM_Try, /*On fail goto*//*Label 20338*/ GIMT_Encode4(1444391), // Rule ID 6285 //
     /* 1444299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1444302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1444310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1444313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1444316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1444322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444345 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444349 */     // MIs[1] Operand 1
     /* 1444349 */     // No operand predicates
     /* 1444349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444353 */     // MIs[0] policy
     /* 1444353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444365 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1444368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444374 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1444387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444390 */     // GIR_Coverage, 6285,
     /* 1444390 */     GIR_EraseRootFromParent_Done,
     /* 1444391 */   // Label 20338: @1444391
     /* 1444391 */   GIM_Try, /*On fail goto*//*Label 20339*/ GIMT_Encode4(1444488), // Rule ID 6288 //
     /* 1444396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444434 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444438 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444442 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444446 */     // MIs[1] Operand 1
     /* 1444446 */     // No operand predicates
     /* 1444446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444450 */     // MIs[0] policy
     /* 1444450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444453 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444462 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1444465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444471 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444486 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444487 */     // GIR_Coverage, 6288,
     /* 1444487 */     GIR_EraseRootFromParent_Done,
     /* 1444488 */   // Label 20339: @1444488
     /* 1444488 */   GIM_Try, /*On fail goto*//*Label 20340*/ GIMT_Encode4(1444585), // Rule ID 6289 //
     /* 1444493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1444504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1444507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1444510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1444516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1444523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1444531 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444535 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444539 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444543 */     // MIs[1] Operand 1
     /* 1444543 */     // No operand predicates
     /* 1444543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444547 */     // MIs[0] policy
     /* 1444547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444559 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M2_MASK),
     /* 1444562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444584 */     // GIR_Coverage, 6289,
     /* 1444584 */     GIR_EraseRootFromParent_Done,
     /* 1444585 */   // Label 20340: @1444585
     /* 1444585 */   GIM_Try, /*On fail goto*//*Label 20341*/ GIMT_Encode4(1444682), // Rule ID 6292 //
     /* 1444590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444640 */     // MIs[1] Operand 1
     /* 1444640 */     // No operand predicates
     /* 1444640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444644 */     // MIs[0] policy
     /* 1444644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444647 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444656 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1444659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444665 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444680 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444681 */     // GIR_Coverage, 6292,
     /* 1444681 */     GIR_EraseRootFromParent_Done,
     /* 1444682 */   // Label 20341: @1444682
     /* 1444682 */   GIM_Try, /*On fail goto*//*Label 20342*/ GIMT_Encode4(1444779), // Rule ID 6293 //
     /* 1444687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1444698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1444701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1444704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1444710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1444717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1444725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444733 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444737 */     // MIs[1] Operand 1
     /* 1444737 */     // No operand predicates
     /* 1444737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444741 */     // MIs[0] policy
     /* 1444741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444753 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M4_MASK),
     /* 1444756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444762 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444778 */     // GIR_Coverage, 6293,
     /* 1444778 */     GIR_EraseRootFromParent_Done,
     /* 1444779 */   // Label 20342: @1444779
     /* 1444779 */   GIM_Try, /*On fail goto*//*Label 20343*/ GIMT_Encode4(1444876), // Rule ID 6296 //
     /* 1444784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1444787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1444801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1444810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444822 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444826 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444830 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444834 */     // MIs[1] Operand 1
     /* 1444834 */     // No operand predicates
     /* 1444834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444838 */     // MIs[0] policy
     /* 1444838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444850 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1444850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1444853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444859 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444874 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444875 */     // GIR_Coverage, 6296,
     /* 1444875 */     GIR_EraseRootFromParent_Done,
     /* 1444876 */   // Label 20343: @1444876
     /* 1444876 */   GIM_Try, /*On fail goto*//*Label 20344*/ GIMT_Encode4(1444973), // Rule ID 6297 //
     /* 1444881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1444884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1444889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1444892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1444895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1444898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1444901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1444904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1444907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1444911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1444919 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1444923 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1444927 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1444931 */     // MIs[1] Operand 1
     /* 1444931 */     // No operand predicates
     /* 1444931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1444935 */     // MIs[0] policy
     /* 1444935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1444938 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1444940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1444947 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1444947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VI_M8_MASK),
     /* 1444950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1444952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1444954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1444956 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1444959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1444961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1444966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1444969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1444971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1444972 */     // GIR_Coverage, 6297,
     /* 1444972 */     GIR_EraseRootFromParent_Done,
     /* 1444973 */   // Label 20344: @1444973
     /* 1444973 */   GIM_Try, /*On fail goto*//*Label 20345*/ GIMT_Encode4(1445070), // Rule ID 6476 //
     /* 1444978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1444981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1444986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1444989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1444992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1444995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1444998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445028 */     // MIs[1] Operand 1
     /* 1445028 */     // No operand predicates
     /* 1445028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445032 */     // MIs[0] policy
     /* 1445032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1445047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445066 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445068 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445069 */     // GIR_Coverage, 6476,
     /* 1445069 */     GIR_EraseRootFromParent_Done,
     /* 1445070 */   // Label 20345: @1445070
     /* 1445070 */   GIM_Try, /*On fail goto*//*Label 20346*/ GIMT_Encode4(1445167), // Rule ID 6477 //
     /* 1445075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1445086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1445089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1445092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445125 */     // MIs[1] Operand 1
     /* 1445125 */     // No operand predicates
     /* 1445125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445129 */     // MIs[0] policy
     /* 1445129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445132 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445141 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF8_MASK),
     /* 1445144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445150 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445166 */     // GIR_Coverage, 6477,
     /* 1445166 */     GIR_EraseRootFromParent_Done,
     /* 1445167 */   // Label 20346: @1445167
     /* 1445167 */   GIM_Try, /*On fail goto*//*Label 20347*/ GIMT_Encode4(1445264), // Rule ID 6480 //
     /* 1445172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1445183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1445186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1445189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445210 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445214 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445218 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445222 */     // MIs[1] Operand 1
     /* 1445222 */     // No operand predicates
     /* 1445222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445226 */     // MIs[0] policy
     /* 1445226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445229 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445238 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1445241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445247 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445260 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445262 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445263 */     // GIR_Coverage, 6480,
     /* 1445263 */     GIR_EraseRootFromParent_Done,
     /* 1445264 */   // Label 20347: @1445264
     /* 1445264 */   GIM_Try, /*On fail goto*//*Label 20348*/ GIMT_Encode4(1445361), // Rule ID 6481 //
     /* 1445269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1445280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1445283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1445286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445319 */     // MIs[1] Operand 1
     /* 1445319 */     // No operand predicates
     /* 1445319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445323 */     // MIs[0] policy
     /* 1445323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445335 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1445338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445360 */     // GIR_Coverage, 6481,
     /* 1445360 */     GIR_EraseRootFromParent_Done,
     /* 1445361 */   // Label 20348: @1445361
     /* 1445361 */   GIM_Try, /*On fail goto*//*Label 20349*/ GIMT_Encode4(1445458), // Rule ID 6484 //
     /* 1445366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1445383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445416 */     // MIs[1] Operand 1
     /* 1445416 */     // No operand predicates
     /* 1445416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445420 */     // MIs[0] policy
     /* 1445420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445432 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1445435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445454 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445456 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445457 */     // GIR_Coverage, 6484,
     /* 1445457 */     GIR_EraseRootFromParent_Done,
     /* 1445458 */   // Label 20349: @1445458
     /* 1445458 */   GIM_Try, /*On fail goto*//*Label 20350*/ GIMT_Encode4(1445555), // Rule ID 6485 //
     /* 1445463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1445474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1445477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1445480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1445486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445509 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445513 */     // MIs[1] Operand 1
     /* 1445513 */     // No operand predicates
     /* 1445513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445517 */     // MIs[0] policy
     /* 1445517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445520 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445529 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1445532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445538 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1445551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445554 */     // GIR_Coverage, 6485,
     /* 1445554 */     GIR_EraseRootFromParent_Done,
     /* 1445555 */   // Label 20350: @1445555
     /* 1445555 */   GIM_Try, /*On fail goto*//*Label 20351*/ GIMT_Encode4(1445652), // Rule ID 6488 //
     /* 1445560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1445577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445606 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445610 */     // MIs[1] Operand 1
     /* 1445610 */     // No operand predicates
     /* 1445610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445614 */     // MIs[0] policy
     /* 1445614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445626 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1445629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445635 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445648 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445650 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445651 */     // GIR_Coverage, 6488,
     /* 1445651 */     GIR_EraseRootFromParent_Done,
     /* 1445652 */   // Label 20351: @1445652
     /* 1445652 */   GIM_Try, /*On fail goto*//*Label 20352*/ GIMT_Encode4(1445749), // Rule ID 6489 //
     /* 1445657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1445668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1445671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1445674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445707 */     // MIs[1] Operand 1
     /* 1445707 */     // No operand predicates
     /* 1445707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445711 */     // MIs[0] policy
     /* 1445711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445723 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF4_MASK),
     /* 1445726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445728 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445748 */     // GIR_Coverage, 6489,
     /* 1445748 */     GIR_EraseRootFromParent_Done,
     /* 1445749 */   // Label 20352: @1445749
     /* 1445749 */   GIM_Try, /*On fail goto*//*Label 20353*/ GIMT_Encode4(1445846), // Rule ID 6492 //
     /* 1445754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1445765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1445768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445800 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445804 */     // MIs[1] Operand 1
     /* 1445804 */     // No operand predicates
     /* 1445804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445808 */     // MIs[0] policy
     /* 1445808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1445820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1445823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445829 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445842 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445845 */     // GIR_Coverage, 6492,
     /* 1445845 */     GIR_EraseRootFromParent_Done,
     /* 1445846 */   // Label 20353: @1445846
     /* 1445846 */   GIM_Try, /*On fail goto*//*Label 20354*/ GIMT_Encode4(1445943), // Rule ID 6493 //
     /* 1445851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1445854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1445862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1445865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1445868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1445871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1445874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1445877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445889 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445893 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445897 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445901 */     // MIs[1] Operand 1
     /* 1445901 */     // No operand predicates
     /* 1445901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1445905 */     // MIs[0] policy
     /* 1445905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1445908 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1445910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1445917 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1445917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1445920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1445922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1445924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1445926 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1445929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1445931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1445936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1445939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1445941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1445942 */     // GIR_Coverage, 6493,
     /* 1445942 */     GIR_EraseRootFromParent_Done,
     /* 1445943 */   // Label 20354: @1445943
     /* 1445943 */   GIM_Try, /*On fail goto*//*Label 20355*/ GIMT_Encode4(1446040), // Rule ID 6496 //
     /* 1445948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1445951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1445956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1445959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1445962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1445965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1445968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1445971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1445974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1445978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1445986 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1445990 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1445994 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1445998 */     // MIs[1] Operand 1
     /* 1445998 */     // No operand predicates
     /* 1445998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446002 */     // MIs[0] policy
     /* 1446002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446005 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446014 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1446017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446023 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446036 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446039 */     // GIR_Coverage, 6496,
     /* 1446039 */     GIR_EraseRootFromParent_Done,
     /* 1446040 */   // Label 20355: @1446040
     /* 1446040 */   GIM_Try, /*On fail goto*//*Label 20356*/ GIMT_Encode4(1446137), // Rule ID 6497 //
     /* 1446045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1446056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1446059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1446062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446083 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446087 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446091 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446095 */     // MIs[1] Operand 1
     /* 1446095 */     // No operand predicates
     /* 1446095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446099 */     // MIs[0] policy
     /* 1446099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446111 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_MF2_MASK),
     /* 1446114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446120 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446136 */     // GIR_Coverage, 6497,
     /* 1446136 */     GIR_EraseRootFromParent_Done,
     /* 1446137 */   // Label 20356: @1446137
     /* 1446137 */   GIM_Try, /*On fail goto*//*Label 20357*/ GIMT_Encode4(1446234), // Rule ID 6500 //
     /* 1446142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1446153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1446156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1446159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446192 */     // MIs[1] Operand 1
     /* 1446192 */     // No operand predicates
     /* 1446192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446196 */     // MIs[0] policy
     /* 1446196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446199 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446208 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1446211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446217 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446230 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446233 */     // GIR_Coverage, 6500,
     /* 1446233 */     GIR_EraseRootFromParent_Done,
     /* 1446234 */   // Label 20357: @1446234
     /* 1446234 */   GIM_Try, /*On fail goto*//*Label 20358*/ GIMT_Encode4(1446331), // Rule ID 6501 //
     /* 1446239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1446250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1446253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1446256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1446262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446289 */     // MIs[1] Operand 1
     /* 1446289 */     // No operand predicates
     /* 1446289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446293 */     // MIs[0] policy
     /* 1446293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446305 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1446308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1446327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446330 */     // GIR_Coverage, 6501,
     /* 1446330 */     GIR_EraseRootFromParent_Done,
     /* 1446331 */   // Label 20358: @1446331
     /* 1446331 */   GIM_Try, /*On fail goto*//*Label 20359*/ GIMT_Encode4(1446428), // Rule ID 6504 //
     /* 1446336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1446353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446382 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446386 */     // MIs[1] Operand 1
     /* 1446386 */     // No operand predicates
     /* 1446386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446390 */     // MIs[0] policy
     /* 1446390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446393 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1446405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446411 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446424 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446427 */     // GIR_Coverage, 6504,
     /* 1446427 */     GIR_EraseRootFromParent_Done,
     /* 1446428 */   // Label 20359: @1446428
     /* 1446428 */   GIM_Try, /*On fail goto*//*Label 20360*/ GIMT_Encode4(1446525), // Rule ID 6505 //
     /* 1446433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1446444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1446447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1446450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1446456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446471 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446475 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446479 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446483 */     // MIs[1] Operand 1
     /* 1446483 */     // No operand predicates
     /* 1446483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446487 */     // MIs[0] policy
     /* 1446487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446490 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446499 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1446502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446508 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1446521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446524 */     // GIR_Coverage, 6505,
     /* 1446524 */     GIR_EraseRootFromParent_Done,
     /* 1446525 */   // Label 20360: @1446525
     /* 1446525 */   GIM_Try, /*On fail goto*//*Label 20361*/ GIMT_Encode4(1446622), // Rule ID 6508 //
     /* 1446530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446580 */     // MIs[1] Operand 1
     /* 1446580 */     // No operand predicates
     /* 1446580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446584 */     // MIs[0] policy
     /* 1446584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446596 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1446599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446618 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446621 */     // GIR_Coverage, 6508,
     /* 1446621 */     GIR_EraseRootFromParent_Done,
     /* 1446622 */   // Label 20361: @1446622
     /* 1446622 */   GIM_Try, /*On fail goto*//*Label 20362*/ GIMT_Encode4(1446719), // Rule ID 6509 //
     /* 1446627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1446630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1446638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1446641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1446644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1446650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446665 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446669 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446673 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446677 */     // MIs[1] Operand 1
     /* 1446677 */     // No operand predicates
     /* 1446677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446681 */     // MIs[0] policy
     /* 1446681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446684 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446693 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1446696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446702 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1446715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446718 */     // GIR_Coverage, 6509,
     /* 1446718 */     GIR_EraseRootFromParent_Done,
     /* 1446719 */   // Label 20362: @1446719
     /* 1446719 */   GIM_Try, /*On fail goto*//*Label 20363*/ GIMT_Encode4(1446816), // Rule ID 6512 //
     /* 1446724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1446727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1446735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1446738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1446741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446770 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446774 */     // MIs[1] Operand 1
     /* 1446774 */     // No operand predicates
     /* 1446774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446778 */     // MIs[0] policy
     /* 1446778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446781 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446790 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1446793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446799 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446812 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446815 */     // GIR_Coverage, 6512,
     /* 1446815 */     GIR_EraseRootFromParent_Done,
     /* 1446816 */   // Label 20363: @1446816
     /* 1446816 */   GIM_Try, /*On fail goto*//*Label 20364*/ GIMT_Encode4(1446913), // Rule ID 6513 //
     /* 1446821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1446824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1446832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1446835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1446838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1446841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1446844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1446847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1446851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1446859 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446863 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446867 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446871 */     // MIs[1] Operand 1
     /* 1446871 */     // No operand predicates
     /* 1446871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446875 */     // MIs[0] policy
     /* 1446875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446878 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446887 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1446887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M1_MASK),
     /* 1446890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446896 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1446906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1446909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1446911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1446912 */     // GIR_Coverage, 6513,
     /* 1446912 */     GIR_EraseRootFromParent_Done,
     /* 1446913 */   // Label 20364: @1446913
     /* 1446913 */   GIM_Try, /*On fail goto*//*Label 20365*/ GIMT_Encode4(1447010), // Rule ID 6516 //
     /* 1446918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1446921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1446926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1446929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1446932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1446935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1446938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1446941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1446944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1446948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1446956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1446960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1446964 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1446968 */     // MIs[1] Operand 1
     /* 1446968 */     // No operand predicates
     /* 1446968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1446972 */     // MIs[0] policy
     /* 1446972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1446975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1446977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1446984 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1446984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1446987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1446989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1446991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1446993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1446996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1446998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447006 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447009 */     // GIR_Coverage, 6516,
     /* 1447009 */     GIR_EraseRootFromParent_Done,
     /* 1447010 */   // Label 20365: @1447010
     /* 1447010 */   GIM_Try, /*On fail goto*//*Label 20366*/ GIMT_Encode4(1447107), // Rule ID 6517 //
     /* 1447015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1447026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1447029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1447032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447065 */     // MIs[1] Operand 1
     /* 1447065 */     // No operand predicates
     /* 1447065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447069 */     // MIs[0] policy
     /* 1447069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447081 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1447084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447090 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447106 */     // GIR_Coverage, 6517,
     /* 1447106 */     GIR_EraseRootFromParent_Done,
     /* 1447107 */   // Label 20366: @1447107
     /* 1447107 */   GIM_Try, /*On fail goto*//*Label 20367*/ GIMT_Encode4(1447204), // Rule ID 6520 //
     /* 1447112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1447123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1447126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1447129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447150 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447154 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447158 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447162 */     // MIs[1] Operand 1
     /* 1447162 */     // No operand predicates
     /* 1447162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447166 */     // MIs[0] policy
     /* 1447166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447169 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1447181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447187 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447200 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447202 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447203 */     // GIR_Coverage, 6520,
     /* 1447203 */     GIR_EraseRootFromParent_Done,
     /* 1447204 */   // Label 20367: @1447204
     /* 1447204 */   GIM_Try, /*On fail goto*//*Label 20368*/ GIMT_Encode4(1447301), // Rule ID 6521 //
     /* 1447209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1447220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1447223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1447226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447255 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447259 */     // MIs[1] Operand 1
     /* 1447259 */     // No operand predicates
     /* 1447259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447263 */     // MIs[0] policy
     /* 1447263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447266 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447275 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1447278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447284 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447300 */     // GIR_Coverage, 6521,
     /* 1447300 */     GIR_EraseRootFromParent_Done,
     /* 1447301 */   // Label 20368: @1447301
     /* 1447301 */   GIM_Try, /*On fail goto*//*Label 20369*/ GIMT_Encode4(1447398), // Rule ID 6524 //
     /* 1447306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1447317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1447320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1447323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1447329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447352 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447356 */     // MIs[1] Operand 1
     /* 1447356 */     // No operand predicates
     /* 1447356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447360 */     // MIs[0] policy
     /* 1447360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447363 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447372 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1447375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447381 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447396 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447397 */     // GIR_Coverage, 6524,
     /* 1447397 */     GIR_EraseRootFromParent_Done,
     /* 1447398 */   // Label 20369: @1447398
     /* 1447398 */   GIM_Try, /*On fail goto*//*Label 20370*/ GIMT_Encode4(1447495), // Rule ID 6525 //
     /* 1447403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1447414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1447417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1447420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1447426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447449 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447453 */     // MIs[1] Operand 1
     /* 1447453 */     // No operand predicates
     /* 1447453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447457 */     // MIs[0] policy
     /* 1447457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447460 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447469 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1447472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447478 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1447491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447494 */     // GIR_Coverage, 6525,
     /* 1447494 */     GIR_EraseRootFromParent_Done,
     /* 1447495 */   // Label 20370: @1447495
     /* 1447495 */   GIM_Try, /*On fail goto*//*Label 20371*/ GIMT_Encode4(1447592), // Rule ID 6528 //
     /* 1447500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1447511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1447514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1447517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447538 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447542 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447546 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447550 */     // MIs[1] Operand 1
     /* 1447550 */     // No operand predicates
     /* 1447550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447554 */     // MIs[0] policy
     /* 1447554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447557 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447566 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1447569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447575 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447590 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447591 */     // GIR_Coverage, 6528,
     /* 1447591 */     GIR_EraseRootFromParent_Done,
     /* 1447592 */   // Label 20371: @1447592
     /* 1447592 */   GIM_Try, /*On fail goto*//*Label 20372*/ GIMT_Encode4(1447689), // Rule ID 6529 //
     /* 1447597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1447608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1447611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1447614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1447620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1447627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1447635 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447639 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447643 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447647 */     // MIs[1] Operand 1
     /* 1447647 */     // No operand predicates
     /* 1447647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447651 */     // MIs[0] policy
     /* 1447651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447654 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447663 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1447666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447672 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447688 */     // GIR_Coverage, 6529,
     /* 1447688 */     GIR_EraseRootFromParent_Done,
     /* 1447689 */   // Label 20372: @1447689
     /* 1447689 */   GIM_Try, /*On fail goto*//*Label 20373*/ GIMT_Encode4(1447786), // Rule ID 6532 //
     /* 1447694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1447705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1447708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1447711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447744 */     // MIs[1] Operand 1
     /* 1447744 */     // No operand predicates
     /* 1447744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447748 */     // MIs[0] policy
     /* 1447748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447760 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1447763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447784 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447785 */     // GIR_Coverage, 6532,
     /* 1447785 */     GIR_EraseRootFromParent_Done,
     /* 1447786 */   // Label 20373: @1447786
     /* 1447786 */   GIM_Try, /*On fail goto*//*Label 20374*/ GIMT_Encode4(1447883), // Rule ID 6533 //
     /* 1447791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1447802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1447805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1447808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1447811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1447814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1447817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1447821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1447829 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447833 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447837 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447841 */     // MIs[1] Operand 1
     /* 1447841 */     // No operand predicates
     /* 1447841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447845 */     // MIs[0] policy
     /* 1447845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447848 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447857 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1447857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1447860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447866 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447882 */     // GIR_Coverage, 6533,
     /* 1447882 */     GIR_EraseRootFromParent_Done,
     /* 1447883 */   // Label 20374: @1447883
     /* 1447883 */   GIM_Try, /*On fail goto*//*Label 20375*/ GIMT_Encode4(1447980), // Rule ID 6536 //
     /* 1447888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1447891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1447899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1447902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1447905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1447908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1447911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1447914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1447918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1447926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1447930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1447934 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1447938 */     // MIs[1] Operand 1
     /* 1447938 */     // No operand predicates
     /* 1447938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1447942 */     // MIs[0] policy
     /* 1447942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1447945 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1447947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1447954 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1447954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1447957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1447959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1447961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1447963 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1447966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1447968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1447973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1447976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1447978 */     GIR_RootConstrainSelectedInstOperands,
     /* 1447979 */     // GIR_Coverage, 6536,
     /* 1447979 */     GIR_EraseRootFromParent_Done,
     /* 1447980 */   // Label 20375: @1447980
     /* 1447980 */   GIM_Try, /*On fail goto*//*Label 20376*/ GIMT_Encode4(1448077), // Rule ID 6537 //
     /* 1447985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1447988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1447993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1447996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1447999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1448002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1448008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448035 */     // MIs[1] Operand 1
     /* 1448035 */     // No operand predicates
     /* 1448035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448039 */     // MIs[0] policy
     /* 1448039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448051 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1448054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1448073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448076 */     // GIR_Coverage, 6537,
     /* 1448076 */     GIR_EraseRootFromParent_Done,
     /* 1448077 */   // Label 20376: @1448077
     /* 1448077 */   GIM_Try, /*On fail goto*//*Label 20377*/ GIMT_Encode4(1448174), // Rule ID 6540 //
     /* 1448082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1448093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1448096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1448099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448120 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448124 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448128 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448132 */     // MIs[1] Operand 1
     /* 1448132 */     // No operand predicates
     /* 1448132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448136 */     // MIs[0] policy
     /* 1448136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448139 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1448151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448157 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448172 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448173 */     // GIR_Coverage, 6540,
     /* 1448173 */     GIR_EraseRootFromParent_Done,
     /* 1448174 */   // Label 20377: @1448174
     /* 1448174 */   GIM_Try, /*On fail goto*//*Label 20378*/ GIMT_Encode4(1448271), // Rule ID 6541 //
     /* 1448179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1448190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1448193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1448196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448225 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448229 */     // MIs[1] Operand 1
     /* 1448229 */     // No operand predicates
     /* 1448229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448233 */     // MIs[0] policy
     /* 1448233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448236 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448245 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1448248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448254 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448270 */     // GIR_Coverage, 6541,
     /* 1448270 */     GIR_EraseRootFromParent_Done,
     /* 1448271 */   // Label 20378: @1448271
     /* 1448271 */   GIM_Try, /*On fail goto*//*Label 20379*/ GIMT_Encode4(1448368), // Rule ID 6544 //
     /* 1448276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1448287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1448290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1448293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448314 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448318 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448322 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448326 */     // MIs[1] Operand 1
     /* 1448326 */     // No operand predicates
     /* 1448326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448330 */     // MIs[0] policy
     /* 1448330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448333 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1448345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448351 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448366 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448367 */     // GIR_Coverage, 6544,
     /* 1448367 */     GIR_EraseRootFromParent_Done,
     /* 1448368 */   // Label 20379: @1448368
     /* 1448368 */   GIM_Try, /*On fail goto*//*Label 20380*/ GIMT_Encode4(1448465), // Rule ID 6545 //
     /* 1448373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1448384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1448387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1448390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1448396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448419 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448423 */     // MIs[1] Operand 1
     /* 1448423 */     // No operand predicates
     /* 1448423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448427 */     // MIs[0] policy
     /* 1448427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448430 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448439 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1448442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448448 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448464 */     // GIR_Coverage, 6545,
     /* 1448464 */     GIR_EraseRootFromParent_Done,
     /* 1448465 */   // Label 20380: @1448465
     /* 1448465 */   GIM_Try, /*On fail goto*//*Label 20381*/ GIMT_Encode4(1448562), // Rule ID 6548 //
     /* 1448470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1448473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1448481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1448484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1448487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448520 */     // MIs[1] Operand 1
     /* 1448520 */     // No operand predicates
     /* 1448520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448524 */     // MIs[0] policy
     /* 1448524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1448539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448560 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448561 */     // GIR_Coverage, 6548,
     /* 1448561 */     GIR_EraseRootFromParent_Done,
     /* 1448562 */   // Label 20381: @1448562
     /* 1448562 */   GIM_Try, /*On fail goto*//*Label 20382*/ GIMT_Encode4(1448659), // Rule ID 6549 //
     /* 1448567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1448570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1448578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1448581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1448584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1448590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1448597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1448605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448617 */     // MIs[1] Operand 1
     /* 1448617 */     // No operand predicates
     /* 1448617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448621 */     // MIs[0] policy
     /* 1448621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448633 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1448636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448638 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1448655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448658 */     // GIR_Coverage, 6549,
     /* 1448658 */     GIR_EraseRootFromParent_Done,
     /* 1448659 */   // Label 20382: @1448659
     /* 1448659 */   GIM_Try, /*On fail goto*//*Label 20383*/ GIMT_Encode4(1448756), // Rule ID 6552 //
     /* 1448664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1448675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1448678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1448681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448710 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448714 */     // MIs[1] Operand 1
     /* 1448714 */     // No operand predicates
     /* 1448714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448718 */     // MIs[0] policy
     /* 1448718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448721 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448730 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1448733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448739 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448752 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448754 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448755 */     // GIR_Coverage, 6552,
     /* 1448755 */     GIR_EraseRootFromParent_Done,
     /* 1448756 */   // Label 20383: @1448756
     /* 1448756 */   GIM_Try, /*On fail goto*//*Label 20384*/ GIMT_Encode4(1448853), // Rule ID 6553 //
     /* 1448761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1448772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1448775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1448778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1448784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1448791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1448799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448807 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448811 */     // MIs[1] Operand 1
     /* 1448811 */     // No operand predicates
     /* 1448811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448815 */     // MIs[0] policy
     /* 1448815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448827 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1448827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M2_MASK),
     /* 1448830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448836 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448852 */     // GIR_Coverage, 6553,
     /* 1448852 */     GIR_EraseRootFromParent_Done,
     /* 1448853 */   // Label 20384: @1448853
     /* 1448853 */   GIM_Try, /*On fail goto*//*Label 20385*/ GIMT_Encode4(1448950), // Rule ID 6556 //
     /* 1448858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1448861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1448869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1448872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1448875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1448878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1448884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1448904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1448908 */     // MIs[1] Operand 1
     /* 1448908 */     // No operand predicates
     /* 1448908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1448912 */     // MIs[0] policy
     /* 1448912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1448915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1448917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1448924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1448924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1448927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1448929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1448931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1448933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1448936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1448938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1448943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1448946 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1448948 */     GIR_RootConstrainSelectedInstOperands,
     /* 1448949 */     // GIR_Coverage, 6556,
     /* 1448949 */     GIR_EraseRootFromParent_Done,
     /* 1448950 */   // Label 20385: @1448950
     /* 1448950 */   GIM_Try, /*On fail goto*//*Label 20386*/ GIMT_Encode4(1449047), // Rule ID 6557 //
     /* 1448955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1448958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1448963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1448966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1448969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1448972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1448975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1448978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1448981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1448985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1448993 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1448997 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449001 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1449005 */     // MIs[1] Operand 1
     /* 1449005 */     // No operand predicates
     /* 1449005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449009 */     // MIs[0] policy
     /* 1449009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449021 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M4_MASK),
     /* 1449024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449030 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449046 */     // GIR_Coverage, 6557,
     /* 1449046 */     GIR_EraseRootFromParent_Done,
     /* 1449047 */   // Label 20386: @1449047
     /* 1449047 */   GIM_Try, /*On fail goto*//*Label 20387*/ GIMT_Encode4(1449144), // Rule ID 6560 //
     /* 1449052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1449055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1449060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1449063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1449066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1449069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449098 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1449102 */     // MIs[1] Operand 1
     /* 1449102 */     // No operand predicates
     /* 1449102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449106 */     // MIs[0] policy
     /* 1449106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449109 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449118 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1449121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449127 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449140 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449142 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449143 */     // GIR_Coverage, 6560,
     /* 1449143 */     GIR_EraseRootFromParent_Done,
     /* 1449144 */   // Label 20387: @1449144
     /* 1449144 */   GIM_Try, /*On fail goto*//*Label 20388*/ GIMT_Encode4(1449241), // Rule ID 6561 //
     /* 1449149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1449152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1449157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1449160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1449163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1449166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1449172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1449179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1449187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449195 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1449199 */     // MIs[1] Operand 1
     /* 1449199 */     // No operand predicates
     /* 1449199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449203 */     // MIs[0] policy
     /* 1449203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449206 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449215 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VI_M8_MASK),
     /* 1449218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449224 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1449237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449240 */     // GIR_Coverage, 6561,
     /* 1449240 */     GIR_EraseRootFromParent_Done,
     /* 1449241 */   // Label 20388: @1449241
     /* 1449241 */   GIM_Try, /*On fail goto*//*Label 20389*/ GIMT_Encode4(1449338), // Rule ID 6740 //
     /* 1449246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1449257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1449260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1449263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449296 */     // MIs[1] Operand 1
     /* 1449296 */     // No operand predicates
     /* 1449296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449300 */     // MIs[0] policy
     /* 1449300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449312 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1449315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449334 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449336 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449337 */     // GIR_Coverage, 6740,
     /* 1449337 */     GIR_EraseRootFromParent_Done,
     /* 1449338 */   // Label 20389: @1449338
     /* 1449338 */   GIM_Try, /*On fail goto*//*Label 20390*/ GIMT_Encode4(1449435), // Rule ID 6741 //
     /* 1449343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1449354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1449357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1449360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449381 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449385 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449389 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449393 */     // MIs[1] Operand 1
     /* 1449393 */     // No operand predicates
     /* 1449393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449397 */     // MIs[0] policy
     /* 1449397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449409 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF8_MASK),
     /* 1449412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449434 */     // GIR_Coverage, 6741,
     /* 1449434 */     GIR_EraseRootFromParent_Done,
     /* 1449435 */   // Label 20390: @1449435
     /* 1449435 */   GIM_Try, /*On fail goto*//*Label 20391*/ GIMT_Encode4(1449532), // Rule ID 6744 //
     /* 1449440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1449451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1449454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1449457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449490 */     // MIs[1] Operand 1
     /* 1449490 */     // No operand predicates
     /* 1449490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449494 */     // MIs[0] policy
     /* 1449494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449497 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449506 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1449509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449515 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449528 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449531 */     // GIR_Coverage, 6744,
     /* 1449531 */     GIR_EraseRootFromParent_Done,
     /* 1449532 */   // Label 20391: @1449532
     /* 1449532 */   GIM_Try, /*On fail goto*//*Label 20392*/ GIMT_Encode4(1449629), // Rule ID 6745 //
     /* 1449537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1449548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1449551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1449554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1449560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449583 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449587 */     // MIs[1] Operand 1
     /* 1449587 */     // No operand predicates
     /* 1449587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449591 */     // MIs[0] policy
     /* 1449591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449594 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449603 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1449606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449612 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449628 */     // GIR_Coverage, 6745,
     /* 1449628 */     GIR_EraseRootFromParent_Done,
     /* 1449629 */   // Label 20392: @1449629
     /* 1449629 */   GIM_Try, /*On fail goto*//*Label 20393*/ GIMT_Encode4(1449726), // Rule ID 6748 //
     /* 1449634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1449645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1449648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1449651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449680 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449684 */     // MIs[1] Operand 1
     /* 1449684 */     // No operand predicates
     /* 1449684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449688 */     // MIs[0] policy
     /* 1449688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449691 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449700 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1449703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449709 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449722 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449725 */     // GIR_Coverage, 6748,
     /* 1449725 */     GIR_EraseRootFromParent_Done,
     /* 1449726 */   // Label 20393: @1449726
     /* 1449726 */   GIM_Try, /*On fail goto*//*Label 20394*/ GIMT_Encode4(1449823), // Rule ID 6749 //
     /* 1449731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1449742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1449745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1449748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1449754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449777 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449781 */     // MIs[1] Operand 1
     /* 1449781 */     // No operand predicates
     /* 1449781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449785 */     // MIs[0] policy
     /* 1449785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449797 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1449800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449806 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1449819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449822 */     // GIR_Coverage, 6749,
     /* 1449822 */     GIR_EraseRootFromParent_Done,
     /* 1449823 */   // Label 20394: @1449823
     /* 1449823 */   GIM_Try, /*On fail goto*//*Label 20395*/ GIMT_Encode4(1449920), // Rule ID 6752 //
     /* 1449828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1449831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1449839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1449842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1449845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1449848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1449854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449874 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449878 */     // MIs[1] Operand 1
     /* 1449878 */     // No operand predicates
     /* 1449878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449882 */     // MIs[0] policy
     /* 1449882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449885 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449894 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1449894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1449897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1449903 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1449906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1449908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1449913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1449916 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1449918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1449919 */     // GIR_Coverage, 6752,
     /* 1449919 */     GIR_EraseRootFromParent_Done,
     /* 1449920 */   // Label 20395: @1449920
     /* 1449920 */   GIM_Try, /*On fail goto*//*Label 20396*/ GIMT_Encode4(1450017), // Rule ID 6753 //
     /* 1449925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1449928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1449933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1449936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1449939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1449942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1449945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1449948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1449951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1449955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1449963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1449967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1449971 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1449975 */     // MIs[1] Operand 1
     /* 1449975 */     // No operand predicates
     /* 1449975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1449979 */     // MIs[0] policy
     /* 1449979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1449982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1449984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1449991 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1449991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF4_MASK),
     /* 1449994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1449996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1449998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450000 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450016 */     // GIR_Coverage, 6753,
     /* 1450016 */     GIR_EraseRootFromParent_Done,
     /* 1450017 */   // Label 20396: @1450017
     /* 1450017 */   GIM_Try, /*On fail goto*//*Label 20397*/ GIMT_Encode4(1450114), // Rule ID 6756 //
     /* 1450022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1450033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1450036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1450039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450072 */     // MIs[1] Operand 1
     /* 1450072 */     // No operand predicates
     /* 1450072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450076 */     // MIs[0] policy
     /* 1450076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450088 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1450091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450110 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450113 */     // GIR_Coverage, 6756,
     /* 1450113 */     GIR_EraseRootFromParent_Done,
     /* 1450114 */   // Label 20397: @1450114
     /* 1450114 */   GIM_Try, /*On fail goto*//*Label 20398*/ GIMT_Encode4(1450211), // Rule ID 6757 //
     /* 1450119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1450130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1450133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1450136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450169 */     // MIs[1] Operand 1
     /* 1450169 */     // No operand predicates
     /* 1450169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450173 */     // MIs[0] policy
     /* 1450173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450185 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1450188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450210 */     // GIR_Coverage, 6757,
     /* 1450210 */     GIR_EraseRootFromParent_Done,
     /* 1450211 */   // Label 20398: @1450211
     /* 1450211 */   GIM_Try, /*On fail goto*//*Label 20399*/ GIMT_Encode4(1450308), // Rule ID 6760 //
     /* 1450216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1450227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1450230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1450233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450254 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450258 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450262 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450266 */     // MIs[1] Operand 1
     /* 1450266 */     // No operand predicates
     /* 1450266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450270 */     // MIs[0] policy
     /* 1450270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450273 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1450285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450291 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450304 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450307 */     // GIR_Coverage, 6760,
     /* 1450307 */     GIR_EraseRootFromParent_Done,
     /* 1450308 */   // Label 20399: @1450308
     /* 1450308 */   GIM_Try, /*On fail goto*//*Label 20400*/ GIMT_Encode4(1450405), // Rule ID 6761 //
     /* 1450313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1450324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1450327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1450330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1450336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450359 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450363 */     // MIs[1] Operand 1
     /* 1450363 */     // No operand predicates
     /* 1450363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450367 */     // MIs[0] policy
     /* 1450367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450379 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_MF2_MASK),
     /* 1450382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450388 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450404 */     // GIR_Coverage, 6761,
     /* 1450404 */     GIR_EraseRootFromParent_Done,
     /* 1450405 */   // Label 20400: @1450405
     /* 1450405 */   GIM_Try, /*On fail goto*//*Label 20401*/ GIMT_Encode4(1450502), // Rule ID 6764 //
     /* 1450410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1450421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1450424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1450427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450456 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450460 */     // MIs[1] Operand 1
     /* 1450460 */     // No operand predicates
     /* 1450460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450464 */     // MIs[0] policy
     /* 1450464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450476 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1450479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450498 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450501 */     // GIR_Coverage, 6764,
     /* 1450501 */     GIR_EraseRootFromParent_Done,
     /* 1450502 */   // Label 20401: @1450502
     /* 1450502 */   GIM_Try, /*On fail goto*//*Label 20402*/ GIMT_Encode4(1450599), // Rule ID 6765 //
     /* 1450507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1450518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1450521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1450524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1450530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450553 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450557 */     // MIs[1] Operand 1
     /* 1450557 */     // No operand predicates
     /* 1450557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450561 */     // MIs[0] policy
     /* 1450561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450564 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450573 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1450576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450582 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1450595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450598 */     // GIR_Coverage, 6765,
     /* 1450598 */     GIR_EraseRootFromParent_Done,
     /* 1450599 */   // Label 20402: @1450599
     /* 1450599 */   GIM_Try, /*On fail goto*//*Label 20403*/ GIMT_Encode4(1450696), // Rule ID 6768 //
     /* 1450604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1450615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1450618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450642 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450646 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450650 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450654 */     // MIs[1] Operand 1
     /* 1450654 */     // No operand predicates
     /* 1450654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450658 */     // MIs[0] policy
     /* 1450658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450661 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450670 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1450673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450679 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450692 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450694 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450695 */     // GIR_Coverage, 6768,
     /* 1450695 */     GIR_EraseRootFromParent_Done,
     /* 1450696 */   // Label 20403: @1450696
     /* 1450696 */   GIM_Try, /*On fail goto*//*Label 20404*/ GIMT_Encode4(1450793), // Rule ID 6769 //
     /* 1450701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1450712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1450715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1450718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1450724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450747 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450751 */     // MIs[1] Operand 1
     /* 1450751 */     // No operand predicates
     /* 1450751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450755 */     // MIs[0] policy
     /* 1450755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450767 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1450770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450776 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1450789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450792 */     // GIR_Coverage, 6769,
     /* 1450792 */     GIR_EraseRootFromParent_Done,
     /* 1450793 */   // Label 20404: @1450793
     /* 1450793 */   GIM_Try, /*On fail goto*//*Label 20405*/ GIMT_Encode4(1450890), // Rule ID 6772 //
     /* 1450798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1450801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1450818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1450824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450836 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450840 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450844 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450848 */     // MIs[1] Operand 1
     /* 1450848 */     // No operand predicates
     /* 1450848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450852 */     // MIs[0] policy
     /* 1450852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450864 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1450864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1450867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450886 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450888 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450889 */     // GIR_Coverage, 6772,
     /* 1450889 */     GIR_EraseRootFromParent_Done,
     /* 1450890 */   // Label 20405: @1450890
     /* 1450890 */   GIM_Try, /*On fail goto*//*Label 20406*/ GIMT_Encode4(1450987), // Rule ID 6773 //
     /* 1450895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1450898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1450903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1450906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1450909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1450912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1450915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1450918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1450921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1450925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1450933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1450937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1450941 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1450945 */     // MIs[1] Operand 1
     /* 1450945 */     // No operand predicates
     /* 1450945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1450949 */     // MIs[0] policy
     /* 1450949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1450952 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1450954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1450961 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1450961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1450964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1450966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1450968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1450970 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1450973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1450975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1450980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1450983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1450985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1450986 */     // GIR_Coverage, 6773,
     /* 1450986 */     GIR_EraseRootFromParent_Done,
     /* 1450987 */   // Label 20406: @1450987
     /* 1450987 */   GIM_Try, /*On fail goto*//*Label 20407*/ GIMT_Encode4(1451084), // Rule ID 6776 //
     /* 1450992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1450995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1451003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1451006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1451009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451030 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451034 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451038 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451042 */     // MIs[1] Operand 1
     /* 1451042 */     // No operand predicates
     /* 1451042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451046 */     // MIs[0] policy
     /* 1451046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451049 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451058 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1451061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451067 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451082 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451083 */     // GIR_Coverage, 6776,
     /* 1451083 */     GIR_EraseRootFromParent_Done,
     /* 1451084 */   // Label 20407: @1451084
     /* 1451084 */   GIM_Try, /*On fail goto*//*Label 20408*/ GIMT_Encode4(1451181), // Rule ID 6777 //
     /* 1451089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1451092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1451100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1451103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1451106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1451112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1451119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1451127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451135 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451139 */     // MIs[1] Operand 1
     /* 1451139 */     // No operand predicates
     /* 1451139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451143 */     // MIs[0] policy
     /* 1451143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451155 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M1_MASK),
     /* 1451158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451164 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1451177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451180 */     // GIR_Coverage, 6777,
     /* 1451180 */     GIR_EraseRootFromParent_Done,
     /* 1451181 */   // Label 20408: @1451181
     /* 1451181 */   GIM_Try, /*On fail goto*//*Label 20409*/ GIMT_Encode4(1451278), // Rule ID 6780 //
     /* 1451186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1451203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451224 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451228 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451232 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451236 */     // MIs[1] Operand 1
     /* 1451236 */     // No operand predicates
     /* 1451236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451240 */     // MIs[0] policy
     /* 1451240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1451255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451276 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451277 */     // GIR_Coverage, 6780,
     /* 1451277 */     GIR_EraseRootFromParent_Done,
     /* 1451278 */   // Label 20409: @1451278
     /* 1451278 */   GIM_Try, /*On fail goto*//*Label 20410*/ GIMT_Encode4(1451375), // Rule ID 6781 //
     /* 1451283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1451294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1451297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1451300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451333 */     // MIs[1] Operand 1
     /* 1451333 */     // No operand predicates
     /* 1451333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451337 */     // MIs[0] policy
     /* 1451337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451349 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1451352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451374 */     // GIR_Coverage, 6781,
     /* 1451374 */     GIR_EraseRootFromParent_Done,
     /* 1451375 */   // Label 20410: @1451375
     /* 1451375 */   GIM_Try, /*On fail goto*//*Label 20411*/ GIMT_Encode4(1451472), // Rule ID 6784 //
     /* 1451380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1451397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451430 */     // MIs[1] Operand 1
     /* 1451430 */     // No operand predicates
     /* 1451430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451434 */     // MIs[0] policy
     /* 1451434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451437 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451446 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1451449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451455 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451470 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451471 */     // GIR_Coverage, 6784,
     /* 1451471 */     GIR_EraseRootFromParent_Done,
     /* 1451472 */   // Label 20411: @1451472
     /* 1451472 */   GIM_Try, /*On fail goto*//*Label 20412*/ GIMT_Encode4(1451569), // Rule ID 6785 //
     /* 1451477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1451488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1451491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1451494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1451500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451515 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451519 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451523 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451527 */     // MIs[1] Operand 1
     /* 1451527 */     // No operand predicates
     /* 1451527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451531 */     // MIs[0] policy
     /* 1451531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451543 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1451546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451552 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451568 */     // GIR_Coverage, 6785,
     /* 1451568 */     GIR_EraseRootFromParent_Done,
     /* 1451569 */   // Label 20412: @1451569
     /* 1451569 */   GIM_Try, /*On fail goto*//*Label 20413*/ GIMT_Encode4(1451666), // Rule ID 6788 //
     /* 1451574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1451585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1451588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1451591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1451597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451624 */     // MIs[1] Operand 1
     /* 1451624 */     // No operand predicates
     /* 1451624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451628 */     // MIs[0] policy
     /* 1451628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451640 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1451643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451664 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451665 */     // GIR_Coverage, 6788,
     /* 1451665 */     GIR_EraseRootFromParent_Done,
     /* 1451666 */   // Label 20413: @1451666
     /* 1451666 */   GIM_Try, /*On fail goto*//*Label 20414*/ GIMT_Encode4(1451763), // Rule ID 6789 //
     /* 1451671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1451682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1451685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1451688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1451694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1451701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1451709 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451713 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451717 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451721 */     // MIs[1] Operand 1
     /* 1451721 */     // No operand predicates
     /* 1451721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451725 */     // MIs[0] policy
     /* 1451725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451737 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1451740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451746 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1451759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451762 */     // GIR_Coverage, 6789,
     /* 1451762 */     GIR_EraseRootFromParent_Done,
     /* 1451763 */   // Label 20414: @1451763
     /* 1451763 */   GIM_Try, /*On fail goto*//*Label 20415*/ GIMT_Encode4(1451860), // Rule ID 6792 //
     /* 1451768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451806 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451810 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451814 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451818 */     // MIs[1] Operand 1
     /* 1451818 */     // No operand predicates
     /* 1451818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451822 */     // MIs[0] policy
     /* 1451822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451825 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451834 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1451834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1451837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451843 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451858 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451859 */     // GIR_Coverage, 6792,
     /* 1451859 */     GIR_EraseRootFromParent_Done,
     /* 1451860 */   // Label 20415: @1451860
     /* 1451860 */   GIM_Try, /*On fail goto*//*Label 20416*/ GIMT_Encode4(1451957), // Rule ID 6793 //
     /* 1451865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1451868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1451876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1451879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1451882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1451885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1451888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1451891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1451895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1451903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1451907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1451911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1451915 */     // MIs[1] Operand 1
     /* 1451915 */     // No operand predicates
     /* 1451915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1451919 */     // MIs[0] policy
     /* 1451919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1451922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1451924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1451931 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1451931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1451934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1451936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1451938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1451940 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1451943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1451945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1451950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1451953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1451955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1451956 */     // GIR_Coverage, 6793,
     /* 1451956 */     GIR_EraseRootFromParent_Done,
     /* 1451957 */   // Label 20416: @1451957
     /* 1451957 */   GIM_Try, /*On fail goto*//*Label 20417*/ GIMT_Encode4(1452054), // Rule ID 6796 //
     /* 1451962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1451965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1451970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1451973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1451976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1451979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1451982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1451985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1451988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1451992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1451996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452000 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452004 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452008 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452012 */     // MIs[1] Operand 1
     /* 1452012 */     // No operand predicates
     /* 1452012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452016 */     // MIs[0] policy
     /* 1452016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452028 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1452031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452052 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452053 */     // GIR_Coverage, 6796,
     /* 1452053 */     GIR_EraseRootFromParent_Done,
     /* 1452054 */   // Label 20417: @1452054
     /* 1452054 */   GIM_Try, /*On fail goto*//*Label 20418*/ GIMT_Encode4(1452151), // Rule ID 6797 //
     /* 1452059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1452070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1452073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1452076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452105 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452109 */     // MIs[1] Operand 1
     /* 1452109 */     // No operand predicates
     /* 1452109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452113 */     // MIs[0] policy
     /* 1452113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452116 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452125 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1452128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452134 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452150 */     // GIR_Coverage, 6797,
     /* 1452150 */     GIR_EraseRootFromParent_Done,
     /* 1452151 */   // Label 20418: @1452151
     /* 1452151 */   GIM_Try, /*On fail goto*//*Label 20419*/ GIMT_Encode4(1452248), // Rule ID 6800 //
     /* 1452156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1452167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1452170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1452173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452206 */     // MIs[1] Operand 1
     /* 1452206 */     // No operand predicates
     /* 1452206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452210 */     // MIs[0] policy
     /* 1452210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452222 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1452225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452244 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452246 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452247 */     // GIR_Coverage, 6800,
     /* 1452247 */     GIR_EraseRootFromParent_Done,
     /* 1452248 */   // Label 20419: @1452248
     /* 1452248 */   GIM_Try, /*On fail goto*//*Label 20420*/ GIMT_Encode4(1452345), // Rule ID 6801 //
     /* 1452253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1452264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1452267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1452270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1452276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452291 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452295 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452299 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452303 */     // MIs[1] Operand 1
     /* 1452303 */     // No operand predicates
     /* 1452303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452307 */     // MIs[0] policy
     /* 1452307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452310 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452319 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1452322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452328 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1452341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452344 */     // GIR_Coverage, 6801,
     /* 1452344 */     GIR_EraseRootFromParent_Done,
     /* 1452345 */   // Label 20420: @1452345
     /* 1452345 */   GIM_Try, /*On fail goto*//*Label 20421*/ GIMT_Encode4(1452442), // Rule ID 6804 //
     /* 1452350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1452361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1452364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452388 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452392 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452396 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452400 */     // MIs[1] Operand 1
     /* 1452400 */     // No operand predicates
     /* 1452400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452404 */     // MIs[0] policy
     /* 1452404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1452419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452438 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452440 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452441 */     // GIR_Coverage, 6804,
     /* 1452441 */     GIR_EraseRootFromParent_Done,
     /* 1452442 */   // Label 20421: @1452442
     /* 1452442 */   GIM_Try, /*On fail goto*//*Label 20422*/ GIMT_Encode4(1452539), // Rule ID 6805 //
     /* 1452447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1452458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1452461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1452464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1452470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452497 */     // MIs[1] Operand 1
     /* 1452497 */     // No operand predicates
     /* 1452497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452501 */     // MIs[0] policy
     /* 1452501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452513 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1452516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452538 */     // GIR_Coverage, 6805,
     /* 1452538 */     GIR_EraseRootFromParent_Done,
     /* 1452539 */   // Label 20422: @1452539
     /* 1452539 */   GIM_Try, /*On fail goto*//*Label 20423*/ GIMT_Encode4(1452636), // Rule ID 6808 //
     /* 1452544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1452555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1452558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452582 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452586 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452590 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452594 */     // MIs[1] Operand 1
     /* 1452594 */     // No operand predicates
     /* 1452594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452598 */     // MIs[0] policy
     /* 1452598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452601 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1452613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452619 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452632 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452634 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452635 */     // GIR_Coverage, 6808,
     /* 1452635 */     GIR_EraseRootFromParent_Done,
     /* 1452636 */   // Label 20423: @1452636
     /* 1452636 */   GIM_Try, /*On fail goto*//*Label 20424*/ GIMT_Encode4(1452733), // Rule ID 6809 //
     /* 1452641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1452652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1452655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1452658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1452664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1452671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1452679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452687 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452691 */     // MIs[1] Operand 1
     /* 1452691 */     // No operand predicates
     /* 1452691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452695 */     // MIs[0] policy
     /* 1452695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452698 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452707 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1452710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452716 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452732 */     // GIR_Coverage, 6809,
     /* 1452732 */     GIR_EraseRootFromParent_Done,
     /* 1452733 */   // Label 20424: @1452733
     /* 1452733 */   GIM_Try, /*On fail goto*//*Label 20425*/ GIMT_Encode4(1452830), // Rule ID 6812 //
     /* 1452738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1452741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1452749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1452752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452776 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452780 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452784 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452788 */     // MIs[1] Operand 1
     /* 1452788 */     // No operand predicates
     /* 1452788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452792 */     // MIs[0] policy
     /* 1452792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452804 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1452807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452826 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452828 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452829 */     // GIR_Coverage, 6812,
     /* 1452829 */     GIR_EraseRootFromParent_Done,
     /* 1452830 */   // Label 20425: @1452830
     /* 1452830 */   GIM_Try, /*On fail goto*//*Label 20426*/ GIMT_Encode4(1452927), // Rule ID 6813 //
     /* 1452835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1452838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1452846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1452849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1452852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1452855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1452858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1452861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1452865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1452873 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452877 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452881 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452885 */     // MIs[1] Operand 1
     /* 1452885 */     // No operand predicates
     /* 1452885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452889 */     // MIs[0] policy
     /* 1452889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452901 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1452901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1452904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1452906 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1452908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1452910 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1452913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1452915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1452920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1452923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1452925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1452926 */     // GIR_Coverage, 6813,
     /* 1452926 */     GIR_EraseRootFromParent_Done,
     /* 1452927 */   // Label 20426: @1452927
     /* 1452927 */   GIM_Try, /*On fail goto*//*Label 20427*/ GIMT_Encode4(1453024), // Rule ID 6816 //
     /* 1452932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1452935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1452940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1452943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1452946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1452949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1452952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1452955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1452958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1452962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1452970 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1452974 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1452978 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1452982 */     // MIs[1] Operand 1
     /* 1452982 */     // No operand predicates
     /* 1452982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1452986 */     // MIs[0] policy
     /* 1452986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1452989 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1452991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1452998 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1452998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1453001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453007 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453020 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453023 */     // GIR_Coverage, 6816,
     /* 1453023 */     GIR_EraseRootFromParent_Done,
     /* 1453024 */   // Label 20427: @1453024
     /* 1453024 */   GIM_Try, /*On fail goto*//*Label 20428*/ GIMT_Encode4(1453121), // Rule ID 6817 //
     /* 1453029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1453032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1453037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1453040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1453043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1453046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1453059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1453067 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453071 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453075 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453079 */     // MIs[1] Operand 1
     /* 1453079 */     // No operand predicates
     /* 1453079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453083 */     // MIs[0] policy
     /* 1453083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453086 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453095 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M2_MASK),
     /* 1453098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453104 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453120 */     // GIR_Coverage, 6817,
     /* 1453120 */     GIR_EraseRootFromParent_Done,
     /* 1453121 */   // Label 20428: @1453121
     /* 1453121 */   GIM_Try, /*On fail goto*//*Label 20429*/ GIMT_Encode4(1453218), // Rule ID 6820 //
     /* 1453126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1453129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1453134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1453137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1453140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453172 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453176 */     // MIs[1] Operand 1
     /* 1453176 */     // No operand predicates
     /* 1453176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453180 */     // MIs[0] policy
     /* 1453180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453192 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1453195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453214 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453217 */     // GIR_Coverage, 6820,
     /* 1453217 */     GIR_EraseRootFromParent_Done,
     /* 1453218 */   // Label 20429: @1453218
     /* 1453218 */   GIM_Try, /*On fail goto*//*Label 20430*/ GIMT_Encode4(1453315), // Rule ID 6821 //
     /* 1453223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1453226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1453231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1453234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1453237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1453240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1453253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1453261 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453265 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453269 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453273 */     // MIs[1] Operand 1
     /* 1453273 */     // No operand predicates
     /* 1453273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453277 */     // MIs[0] policy
     /* 1453277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453280 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453289 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M4_MASK),
     /* 1453292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453298 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453314 */     // GIR_Coverage, 6821,
     /* 1453314 */     GIR_EraseRootFromParent_Done,
     /* 1453315 */   // Label 20430: @1453315
     /* 1453315 */   GIM_Try, /*On fail goto*//*Label 20431*/ GIMT_Encode4(1453412), // Rule ID 6824 //
     /* 1453320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1453323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1453328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1453331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1453334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453358 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453362 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453366 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453370 */     // MIs[1] Operand 1
     /* 1453370 */     // No operand predicates
     /* 1453370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453374 */     // MIs[0] policy
     /* 1453374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453377 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1453389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453395 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453408 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453411 */     // GIR_Coverage, 6824,
     /* 1453411 */     GIR_EraseRootFromParent_Done,
     /* 1453412 */   // Label 20431: @1453412
     /* 1453412 */   GIM_Try, /*On fail goto*//*Label 20432*/ GIMT_Encode4(1453509), // Rule ID 6825 //
     /* 1453417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1453420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1453425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1453428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1453431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1453434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1453440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1453447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1453455 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453459 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453463 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453467 */     // MIs[1] Operand 1
     /* 1453467 */     // No operand predicates
     /* 1453467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453471 */     // MIs[0] policy
     /* 1453471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453474 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453483 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VI_M8_MASK),
     /* 1453486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453492 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1453505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453508 */     // GIR_Coverage, 6825,
     /* 1453508 */     GIR_EraseRootFromParent_Done,
     /* 1453509 */   // Label 20432: @1453509
     /* 1453509 */   GIM_Try, /*On fail goto*//*Label 20433*/ GIMT_Encode4(1453606), // Rule ID 7004 //
     /* 1453514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1453531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453552 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453556 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453560 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453564 */     // MIs[1] Operand 1
     /* 1453564 */     // No operand predicates
     /* 1453564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453568 */     // MIs[0] policy
     /* 1453568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453580 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1453583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453602 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453605 */     // GIR_Coverage, 7004,
     /* 1453605 */     GIR_EraseRootFromParent_Done,
     /* 1453606 */   // Label 20433: @1453606
     /* 1453606 */   GIM_Try, /*On fail goto*//*Label 20434*/ GIMT_Encode4(1453703), // Rule ID 7005 //
     /* 1453611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1453622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1453625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1453628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1453634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453661 */     // MIs[1] Operand 1
     /* 1453661 */     // No operand predicates
     /* 1453661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453665 */     // MIs[0] policy
     /* 1453665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453677 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF8_MASK),
     /* 1453680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453702 */     // GIR_Coverage, 7005,
     /* 1453702 */     GIR_EraseRootFromParent_Done,
     /* 1453703 */   // Label 20434: @1453703
     /* 1453703 */   GIM_Try, /*On fail goto*//*Label 20435*/ GIMT_Encode4(1453800), // Rule ID 7008 //
     /* 1453708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1453725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453758 */     // MIs[1] Operand 1
     /* 1453758 */     // No operand predicates
     /* 1453758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453762 */     // MIs[0] policy
     /* 1453762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453774 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1453777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453796 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453799 */     // GIR_Coverage, 7008,
     /* 1453799 */     GIR_EraseRootFromParent_Done,
     /* 1453800 */   // Label 20435: @1453800
     /* 1453800 */   GIM_Try, /*On fail goto*//*Label 20436*/ GIMT_Encode4(1453897), // Rule ID 7009 //
     /* 1453805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1453808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1453816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1453819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1453822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1453825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1453828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1453831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453855 */     // MIs[1] Operand 1
     /* 1453855 */     // No operand predicates
     /* 1453855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453859 */     // MIs[0] policy
     /* 1453859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453871 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1453871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1453874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453880 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453896 */     // GIR_Coverage, 7009,
     /* 1453896 */     GIR_EraseRootFromParent_Done,
     /* 1453897 */   // Label 20436: @1453897
     /* 1453897 */   GIM_Try, /*On fail goto*//*Label 20437*/ GIMT_Encode4(1453994), // Rule ID 7012 //
     /* 1453902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1453905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1453910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1453913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1453916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1453919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1453922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1453925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1453928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1453932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1453940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1453944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1453948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1453952 */     // MIs[1] Operand 1
     /* 1453952 */     // No operand predicates
     /* 1453952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1453956 */     // MIs[0] policy
     /* 1453956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1453959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1453961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1453968 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1453968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1453971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1453973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1453975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1453977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1453980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1453982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1453987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1453990 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1453992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1453993 */     // GIR_Coverage, 7012,
     /* 1453993 */     GIR_EraseRootFromParent_Done,
     /* 1453994 */   // Label 20437: @1453994
     /* 1453994 */   GIM_Try, /*On fail goto*//*Label 20438*/ GIMT_Encode4(1454091), // Rule ID 7013 //
     /* 1453999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1454010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1454013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1454016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454049 */     // MIs[1] Operand 1
     /* 1454049 */     // No operand predicates
     /* 1454049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454053 */     // MIs[0] policy
     /* 1454053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454056 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454065 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1454068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454074 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454090 */     // GIR_Coverage, 7013,
     /* 1454090 */     GIR_EraseRootFromParent_Done,
     /* 1454091 */   // Label 20438: @1454091
     /* 1454091 */   GIM_Try, /*On fail goto*//*Label 20439*/ GIMT_Encode4(1454188), // Rule ID 7016 //
     /* 1454096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454142 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454146 */     // MIs[1] Operand 1
     /* 1454146 */     // No operand predicates
     /* 1454146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454150 */     // MIs[0] policy
     /* 1454150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454162 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1454165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454171 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454184 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454187 */     // GIR_Coverage, 7016,
     /* 1454187 */     GIR_EraseRootFromParent_Done,
     /* 1454188 */   // Label 20439: @1454188
     /* 1454188 */   GIM_Try, /*On fail goto*//*Label 20440*/ GIMT_Encode4(1454285), // Rule ID 7017 //
     /* 1454193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1454204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1454207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1454210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454239 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454243 */     // MIs[1] Operand 1
     /* 1454243 */     // No operand predicates
     /* 1454243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454247 */     // MIs[0] policy
     /* 1454247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454259 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF4_MASK),
     /* 1454262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454268 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454284 */     // GIR_Coverage, 7017,
     /* 1454284 */     GIR_EraseRootFromParent_Done,
     /* 1454285 */   // Label 20440: @1454285
     /* 1454285 */   GIM_Try, /*On fail goto*//*Label 20441*/ GIMT_Encode4(1454382), // Rule ID 7020 //
     /* 1454290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1454301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1454304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454336 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454340 */     // MIs[1] Operand 1
     /* 1454340 */     // No operand predicates
     /* 1454340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454344 */     // MIs[0] policy
     /* 1454344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1454359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454378 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454380 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454381 */     // GIR_Coverage, 7020,
     /* 1454381 */     GIR_EraseRootFromParent_Done,
     /* 1454382 */   // Label 20441: @1454382
     /* 1454382 */   GIM_Try, /*On fail goto*//*Label 20442*/ GIMT_Encode4(1454479), // Rule ID 7021 //
     /* 1454387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1454398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1454401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1454404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1454410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454437 */     // MIs[1] Operand 1
     /* 1454437 */     // No operand predicates
     /* 1454437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454441 */     // MIs[0] policy
     /* 1454441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454444 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454453 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1454456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454462 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454478 */     // GIR_Coverage, 7021,
     /* 1454478 */     GIR_EraseRootFromParent_Done,
     /* 1454479 */   // Label 20442: @1454479
     /* 1454479 */   GIM_Try, /*On fail goto*//*Label 20443*/ GIMT_Encode4(1454576), // Rule ID 7024 //
     /* 1454484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1454495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1454498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454522 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454526 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454530 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454534 */     // MIs[1] Operand 1
     /* 1454534 */     // No operand predicates
     /* 1454534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454538 */     // MIs[0] policy
     /* 1454538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454541 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454550 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1454553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454559 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454574 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454575 */     // GIR_Coverage, 7024,
     /* 1454575 */     GIR_EraseRootFromParent_Done,
     /* 1454576 */   // Label 20443: @1454576
     /* 1454576 */   GIM_Try, /*On fail goto*//*Label 20444*/ GIMT_Encode4(1454673), // Rule ID 7025 //
     /* 1454581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1454592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1454595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1454598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1454604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454619 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454623 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454627 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454631 */     // MIs[1] Operand 1
     /* 1454631 */     // No operand predicates
     /* 1454631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454635 */     // MIs[0] policy
     /* 1454635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454638 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454647 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_MF2_MASK),
     /* 1454650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454656 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1454669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454672 */     // GIR_Coverage, 7025,
     /* 1454672 */     GIR_EraseRootFromParent_Done,
     /* 1454673 */   // Label 20444: @1454673
     /* 1454673 */   GIM_Try, /*On fail goto*//*Label 20445*/ GIMT_Encode4(1454770), // Rule ID 7028 //
     /* 1454678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1454695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454724 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454728 */     // MIs[1] Operand 1
     /* 1454728 */     // No operand predicates
     /* 1454728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454732 */     // MIs[0] policy
     /* 1454732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454744 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1454747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454768 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454769 */     // GIR_Coverage, 7028,
     /* 1454769 */     GIR_EraseRootFromParent_Done,
     /* 1454770 */   // Label 20445: @1454770
     /* 1454770 */   GIM_Try, /*On fail goto*//*Label 20446*/ GIMT_Encode4(1454867), // Rule ID 7029 //
     /* 1454775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1454786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1454789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1454792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1454798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454825 */     // MIs[1] Operand 1
     /* 1454825 */     // No operand predicates
     /* 1454825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454829 */     // MIs[0] policy
     /* 1454829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454841 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1454841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1454844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454850 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1454863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454866 */     // GIR_Coverage, 7029,
     /* 1454866 */     GIR_EraseRootFromParent_Done,
     /* 1454867 */   // Label 20446: @1454867
     /* 1454867 */   GIM_Try, /*On fail goto*//*Label 20447*/ GIMT_Encode4(1454964), // Rule ID 7032 //
     /* 1454872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1454875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1454883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1454886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1454892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1454898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1454910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1454914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1454918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1454922 */     // MIs[1] Operand 1
     /* 1454922 */     // No operand predicates
     /* 1454922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1454926 */     // MIs[0] policy
     /* 1454926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1454929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1454931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1454938 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1454938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1454941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1454943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1454945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1454947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1454950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1454952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1454957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1454960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1454962 */     GIR_RootConstrainSelectedInstOperands,
     /* 1454963 */     // GIR_Coverage, 7032,
     /* 1454963 */     GIR_EraseRootFromParent_Done,
     /* 1454964 */   // Label 20447: @1454964
     /* 1454964 */   GIM_Try, /*On fail goto*//*Label 20448*/ GIMT_Encode4(1455061), // Rule ID 7033 //
     /* 1454969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1454972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1454977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1454980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1454983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1454986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1454989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1454992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1454995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1454999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455015 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455019 */     // MIs[1] Operand 1
     /* 1455019 */     // No operand predicates
     /* 1455019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455023 */     // MIs[0] policy
     /* 1455023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455026 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455035 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1455038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455044 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1455057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455060 */     // GIR_Coverage, 7033,
     /* 1455060 */     GIR_EraseRootFromParent_Done,
     /* 1455061 */   // Label 20448: @1455061
     /* 1455061 */   GIM_Try, /*On fail goto*//*Label 20449*/ GIMT_Encode4(1455158), // Rule ID 7036 //
     /* 1455066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1455077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1455080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455104 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455108 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455112 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455116 */     // MIs[1] Operand 1
     /* 1455116 */     // No operand predicates
     /* 1455116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455120 */     // MIs[0] policy
     /* 1455120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455132 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1455135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455156 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455157 */     // GIR_Coverage, 7036,
     /* 1455157 */     GIR_EraseRootFromParent_Done,
     /* 1455158 */   // Label 20449: @1455158
     /* 1455158 */   GIM_Try, /*On fail goto*//*Label 20450*/ GIMT_Encode4(1455255), // Rule ID 7037 //
     /* 1455163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1455174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1455177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1455180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1455186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455213 */     // MIs[1] Operand 1
     /* 1455213 */     // No operand predicates
     /* 1455213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455217 */     // MIs[0] policy
     /* 1455217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1455232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1455251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455254 */     // GIR_Coverage, 7037,
     /* 1455254 */     GIR_EraseRootFromParent_Done,
     /* 1455255 */   // Label 20450: @1455255
     /* 1455255 */   GIM_Try, /*On fail goto*//*Label 20451*/ GIMT_Encode4(1455352), // Rule ID 7040 //
     /* 1455260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1455263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1455271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1455274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455298 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455302 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455306 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455310 */     // MIs[1] Operand 1
     /* 1455310 */     // No operand predicates
     /* 1455310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455314 */     // MIs[0] policy
     /* 1455314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455317 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455326 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1455329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455335 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455350 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455351 */     // GIR_Coverage, 7040,
     /* 1455351 */     GIR_EraseRootFromParent_Done,
     /* 1455352 */   // Label 20451: @1455352
     /* 1455352 */   GIM_Try, /*On fail goto*//*Label 20452*/ GIMT_Encode4(1455449), // Rule ID 7041 //
     /* 1455357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1455360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1455368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1455371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1455374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1455380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1455387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1455395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455403 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455407 */     // MIs[1] Operand 1
     /* 1455407 */     // No operand predicates
     /* 1455407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455411 */     // MIs[0] policy
     /* 1455411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455414 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455423 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M1_MASK),
     /* 1455426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455432 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1455445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455448 */     // GIR_Coverage, 7041,
     /* 1455448 */     GIR_EraseRootFromParent_Done,
     /* 1455449 */   // Label 20452: @1455449
     /* 1455449 */   GIM_Try, /*On fail goto*//*Label 20453*/ GIMT_Encode4(1455546), // Rule ID 7044 //
     /* 1455454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1455465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1455468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1455471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455492 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455496 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455500 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455504 */     // MIs[1] Operand 1
     /* 1455504 */     // No operand predicates
     /* 1455504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455508 */     // MIs[0] policy
     /* 1455508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455520 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1455523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455544 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455545 */     // GIR_Coverage, 7044,
     /* 1455545 */     GIR_EraseRootFromParent_Done,
     /* 1455546 */   // Label 20453: @1455546
     /* 1455546 */   GIM_Try, /*On fail goto*//*Label 20454*/ GIMT_Encode4(1455643), // Rule ID 7045 //
     /* 1455551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1455562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1455565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1455568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1455574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1455581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1455589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455601 */     // MIs[1] Operand 1
     /* 1455601 */     // No operand predicates
     /* 1455601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455605 */     // MIs[0] policy
     /* 1455605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455608 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455617 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1455620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455626 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455642 */     // GIR_Coverage, 7045,
     /* 1455642 */     GIR_EraseRootFromParent_Done,
     /* 1455643 */   // Label 20454: @1455643
     /* 1455643 */   GIM_Try, /*On fail goto*//*Label 20455*/ GIMT_Encode4(1455740), // Rule ID 7048 //
     /* 1455648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1455665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455694 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455698 */     // MIs[1] Operand 1
     /* 1455698 */     // No operand predicates
     /* 1455698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455702 */     // MIs[0] policy
     /* 1455702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455714 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1455717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455738 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455739 */     // GIR_Coverage, 7048,
     /* 1455739 */     GIR_EraseRootFromParent_Done,
     /* 1455740 */   // Label 20455: @1455740
     /* 1455740 */   GIM_Try, /*On fail goto*//*Label 20456*/ GIMT_Encode4(1455837), // Rule ID 7049 //
     /* 1455745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1455756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1455759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1455762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1455768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1455775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1455783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455791 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455795 */     // MIs[1] Operand 1
     /* 1455795 */     // No operand predicates
     /* 1455795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455799 */     // MIs[0] policy
     /* 1455799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455811 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1455811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1455814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455816 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455820 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455836 */     // GIR_Coverage, 7049,
     /* 1455836 */     GIR_EraseRootFromParent_Done,
     /* 1455837 */   // Label 20456: @1455837
     /* 1455837 */   GIM_Try, /*On fail goto*//*Label 20457*/ GIMT_Encode4(1455934), // Rule ID 7052 //
     /* 1455842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1455845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1455853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1455856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1455859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1455862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1455865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1455868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455880 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455884 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455888 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455892 */     // MIs[1] Operand 1
     /* 1455892 */     // No operand predicates
     /* 1455892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455896 */     // MIs[0] policy
     /* 1455896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1455908 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1455908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1455911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1455913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1455915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1455917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1455920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1455922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1455927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1455930 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1455932 */     GIR_RootConstrainSelectedInstOperands,
     /* 1455933 */     // GIR_Coverage, 7052,
     /* 1455933 */     GIR_EraseRootFromParent_Done,
     /* 1455934 */   // Label 20457: @1455934
     /* 1455934 */   GIM_Try, /*On fail goto*//*Label 20458*/ GIMT_Encode4(1456031), // Rule ID 7053 //
     /* 1455939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1455942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1455947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1455950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1455953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1455956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1455959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1455962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1455965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1455969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1455977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1455981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1455985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1455989 */     // MIs[1] Operand 1
     /* 1455989 */     // No operand predicates
     /* 1455989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1455993 */     // MIs[0] policy
     /* 1455993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1455996 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1455998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456005 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1456008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456014 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1456027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456030 */     // GIR_Coverage, 7053,
     /* 1456030 */     GIR_EraseRootFromParent_Done,
     /* 1456031 */   // Label 20458: @1456031
     /* 1456031 */   GIM_Try, /*On fail goto*//*Label 20459*/ GIMT_Encode4(1456128), // Rule ID 7056 //
     /* 1456036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1456047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1456050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1456053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456086 */     // MIs[1] Operand 1
     /* 1456086 */     // No operand predicates
     /* 1456086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456090 */     // MIs[0] policy
     /* 1456090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1456105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456124 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456126 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456127 */     // GIR_Coverage, 7056,
     /* 1456127 */     GIR_EraseRootFromParent_Done,
     /* 1456128 */   // Label 20459: @1456128
     /* 1456128 */   GIM_Try, /*On fail goto*//*Label 20460*/ GIMT_Encode4(1456225), // Rule ID 7057 //
     /* 1456133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1456144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1456147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1456150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456171 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456175 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456179 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456183 */     // MIs[1] Operand 1
     /* 1456183 */     // No operand predicates
     /* 1456183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456187 */     // MIs[0] policy
     /* 1456187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456199 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1456202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456224 */     // GIR_Coverage, 7057,
     /* 1456224 */     GIR_EraseRootFromParent_Done,
     /* 1456225 */   // Label 20460: @1456225
     /* 1456225 */   GIM_Try, /*On fail goto*//*Label 20461*/ GIMT_Encode4(1456322), // Rule ID 7060 //
     /* 1456230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1456241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1456247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456280 */     // MIs[1] Operand 1
     /* 1456280 */     // No operand predicates
     /* 1456280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456284 */     // MIs[0] policy
     /* 1456284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456287 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456296 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1456299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456305 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456318 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456320 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456321 */     // GIR_Coverage, 7060,
     /* 1456321 */     GIR_EraseRootFromParent_Done,
     /* 1456322 */   // Label 20461: @1456322
     /* 1456322 */   GIM_Try, /*On fail goto*//*Label 20462*/ GIMT_Encode4(1456419), // Rule ID 7061 //
     /* 1456327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1456338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1456341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1456344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1456350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456377 */     // MIs[1] Operand 1
     /* 1456377 */     // No operand predicates
     /* 1456377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456381 */     // MIs[0] policy
     /* 1456381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456393 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1456396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456418 */     // GIR_Coverage, 7061,
     /* 1456418 */     GIR_EraseRootFromParent_Done,
     /* 1456419 */   // Label 20462: @1456419
     /* 1456419 */   GIM_Try, /*On fail goto*//*Label 20463*/ GIMT_Encode4(1456516), // Rule ID 7064 //
     /* 1456424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1456435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1456438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1456447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456470 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456474 */     // MIs[1] Operand 1
     /* 1456474 */     // No operand predicates
     /* 1456474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456478 */     // MIs[0] policy
     /* 1456478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456481 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456490 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1456493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456499 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456512 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456514 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456515 */     // GIR_Coverage, 7064,
     /* 1456515 */     GIR_EraseRootFromParent_Done,
     /* 1456516 */   // Label 20463: @1456516
     /* 1456516 */   GIM_Try, /*On fail goto*//*Label 20464*/ GIMT_Encode4(1456613), // Rule ID 7065 //
     /* 1456521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1456532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1456535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1456538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1456544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1456551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1456559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456567 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456571 */     // MIs[1] Operand 1
     /* 1456571 */     // No operand predicates
     /* 1456571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456575 */     // MIs[0] policy
     /* 1456575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456578 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456587 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1456590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456596 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1456609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456612 */     // GIR_Coverage, 7065,
     /* 1456612 */     GIR_EraseRootFromParent_Done,
     /* 1456613 */   // Label 20464: @1456613
     /* 1456613 */   GIM_Try, /*On fail goto*//*Label 20465*/ GIMT_Encode4(1456710), // Rule ID 7068 //
     /* 1456618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456664 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456668 */     // MIs[1] Operand 1
     /* 1456668 */     // No operand predicates
     /* 1456668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456672 */     // MIs[0] policy
     /* 1456672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456684 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1456687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456693 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456706 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456709 */     // GIR_Coverage, 7068,
     /* 1456709 */     GIR_EraseRootFromParent_Done,
     /* 1456710 */   // Label 20465: @1456710
     /* 1456710 */   GIM_Try, /*On fail goto*//*Label 20466*/ GIMT_Encode4(1456807), // Rule ID 7069 //
     /* 1456715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1456726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1456729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1456732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1456738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1456745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1456753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456765 */     // MIs[1] Operand 1
     /* 1456765 */     // No operand predicates
     /* 1456765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456769 */     // MIs[0] policy
     /* 1456769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456772 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456781 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1456784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456790 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456806 */     // GIR_Coverage, 7069,
     /* 1456806 */     GIR_EraseRootFromParent_Done,
     /* 1456807 */   // Label 20466: @1456807
     /* 1456807 */   GIM_Try, /*On fail goto*//*Label 20467*/ GIMT_Encode4(1456904), // Rule ID 7072 //
     /* 1456812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1456815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1456829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1456832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1456838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456850 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456854 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456858 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456862 */     // MIs[1] Operand 1
     /* 1456862 */     // No operand predicates
     /* 1456862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456866 */     // MIs[0] policy
     /* 1456866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456869 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456878 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1456878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1456881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456887 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456900 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1456903 */     // GIR_Coverage, 7072,
     /* 1456903 */     GIR_EraseRootFromParent_Done,
     /* 1456904 */   // Label 20467: @1456904
     /* 1456904 */   GIM_Try, /*On fail goto*//*Label 20468*/ GIMT_Encode4(1457001), // Rule ID 7073 //
     /* 1456909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1456912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1456917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1456920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1456923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1456926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1456929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1456932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1456935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1456939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1456947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1456951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1456955 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1456959 */     // MIs[1] Operand 1
     /* 1456959 */     // No operand predicates
     /* 1456959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1456963 */     // MIs[0] policy
     /* 1456963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1456966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1456968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1456975 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1456975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1456978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1456980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1456982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1456984 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1456987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1456989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1456994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1456997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1456999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457000 */     // GIR_Coverage, 7073,
     /* 1457000 */     GIR_EraseRootFromParent_Done,
     /* 1457001 */   // Label 20468: @1457001
     /* 1457001 */   GIM_Try, /*On fail goto*//*Label 20469*/ GIMT_Encode4(1457098), // Rule ID 7076 //
     /* 1457006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1457014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1457017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1457020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1457023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457052 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457056 */     // MIs[1] Operand 1
     /* 1457056 */     // No operand predicates
     /* 1457056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457060 */     // MIs[0] policy
     /* 1457060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457063 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1457075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457081 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457094 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457097 */     // GIR_Coverage, 7076,
     /* 1457097 */     GIR_EraseRootFromParent_Done,
     /* 1457098 */   // Label 20469: @1457098
     /* 1457098 */   GIM_Try, /*On fail goto*//*Label 20470*/ GIMT_Encode4(1457195), // Rule ID 7077 //
     /* 1457103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1457111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1457114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1457117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1457120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1457126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457153 */     // MIs[1] Operand 1
     /* 1457153 */     // No operand predicates
     /* 1457153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457157 */     // MIs[0] policy
     /* 1457157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457169 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1457172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457178 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1457191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457194 */     // GIR_Coverage, 7077,
     /* 1457194 */     GIR_EraseRootFromParent_Done,
     /* 1457195 */   // Label 20470: @1457195
     /* 1457195 */   GIM_Try, /*On fail goto*//*Label 20471*/ GIMT_Encode4(1457292), // Rule ID 7080 //
     /* 1457200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1457208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1457211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1457214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1457217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457250 */     // MIs[1] Operand 1
     /* 1457250 */     // No operand predicates
     /* 1457250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457254 */     // MIs[0] policy
     /* 1457254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457266 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1457269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457288 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457291 */     // GIR_Coverage, 7080,
     /* 1457291 */     GIR_EraseRootFromParent_Done,
     /* 1457292 */   // Label 20471: @1457292
     /* 1457292 */   GIM_Try, /*On fail goto*//*Label 20472*/ GIMT_Encode4(1457389), // Rule ID 7081 //
     /* 1457297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1457305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1457308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1457311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1457314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1457327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1457335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457343 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457347 */     // MIs[1] Operand 1
     /* 1457347 */     // No operand predicates
     /* 1457347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457351 */     // MIs[0] policy
     /* 1457351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457354 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457363 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M2_MASK),
     /* 1457366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457372 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457388 */     // GIR_Coverage, 7081,
     /* 1457388 */     GIR_EraseRootFromParent_Done,
     /* 1457389 */   // Label 20472: @1457389
     /* 1457389 */   GIM_Try, /*On fail goto*//*Label 20473*/ GIMT_Encode4(1457486), // Rule ID 7084 //
     /* 1457394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1457402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1457405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1457408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457432 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457436 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457440 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457444 */     // MIs[1] Operand 1
     /* 1457444 */     // No operand predicates
     /* 1457444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457448 */     // MIs[0] policy
     /* 1457448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457451 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457460 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1457463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457469 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457482 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457485 */     // GIR_Coverage, 7084,
     /* 1457485 */     GIR_EraseRootFromParent_Done,
     /* 1457486 */   // Label 20473: @1457486
     /* 1457486 */   GIM_Try, /*On fail goto*//*Label 20474*/ GIMT_Encode4(1457583), // Rule ID 7085 //
     /* 1457491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1457499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1457502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1457505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1457508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1457514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1457521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1457529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457541 */     // MIs[1] Operand 1
     /* 1457541 */     // No operand predicates
     /* 1457541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457545 */     // MIs[0] policy
     /* 1457545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457557 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M4_MASK),
     /* 1457560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457582 */     // GIR_Coverage, 7085,
     /* 1457582 */     GIR_EraseRootFromParent_Done,
     /* 1457583 */   // Label 20474: @1457583
     /* 1457583 */   GIM_Try, /*On fail goto*//*Label 20475*/ GIMT_Encode4(1457680), // Rule ID 7088 //
     /* 1457588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1457591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1457596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1457599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1457602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1457605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457626 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457630 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457634 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457638 */     // MIs[1] Operand 1
     /* 1457638 */     // No operand predicates
     /* 1457638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457642 */     // MIs[0] policy
     /* 1457642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457645 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457654 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1457657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457663 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457676 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457679 */     // GIR_Coverage, 7088,
     /* 1457679 */     GIR_EraseRootFromParent_Done,
     /* 1457680 */   // Label 20475: @1457680
     /* 1457680 */   GIM_Try, /*On fail goto*//*Label 20476*/ GIMT_Encode4(1457777), // Rule ID 7089 //
     /* 1457685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1457688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1457693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1457696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1457699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1457702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1457708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1457715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1457723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457731 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457735 */     // MIs[1] Operand 1
     /* 1457735 */     // No operand predicates
     /* 1457735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457739 */     // MIs[0] policy
     /* 1457739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457742 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457751 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VI_M8_MASK),
     /* 1457754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457760 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1457773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457776 */     // GIR_Coverage, 7089,
     /* 1457776 */     GIR_EraseRootFromParent_Done,
     /* 1457777 */   // Label 20476: @1457777
     /* 1457777 */   GIM_Try, /*On fail goto*//*Label 20477*/ GIMT_Encode4(1457874), // Rule ID 7268 //
     /* 1457782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1457793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1457796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1457799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1457808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457828 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457832 */     // MIs[1] Operand 1
     /* 1457832 */     // No operand predicates
     /* 1457832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457836 */     // MIs[0] policy
     /* 1457836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457839 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457848 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1457848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1457851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457857 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457870 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457873 */     // GIR_Coverage, 7268,
     /* 1457873 */     GIR_EraseRootFromParent_Done,
     /* 1457874 */   // Label 20477: @1457874
     /* 1457874 */   GIM_Try, /*On fail goto*//*Label 20478*/ GIMT_Encode4(1457971), // Rule ID 7269 //
     /* 1457879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1457882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1457890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1457893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1457896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1457899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1457902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1457905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1457909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1457917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1457921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1457925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1457929 */     // MIs[1] Operand 1
     /* 1457929 */     // No operand predicates
     /* 1457929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1457933 */     // MIs[0] policy
     /* 1457933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1457936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1457938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1457945 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1457945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF8_MASK),
     /* 1457948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1457950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1457952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1457954 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1457957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1457959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1457964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1457967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1457969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1457970 */     // GIR_Coverage, 7269,
     /* 1457970 */     GIR_EraseRootFromParent_Done,
     /* 1457971 */   // Label 20478: @1457971
     /* 1457971 */   GIM_Try, /*On fail goto*//*Label 20479*/ GIMT_Encode4(1458068), // Rule ID 7272 //
     /* 1457976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1457979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1457984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1457987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1457990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1457993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1457996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1457999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458014 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458018 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458022 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458026 */     // MIs[1] Operand 1
     /* 1458026 */     // No operand predicates
     /* 1458026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458030 */     // MIs[0] policy
     /* 1458030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458033 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458042 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1458045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458051 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458064 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458066 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458067 */     // GIR_Coverage, 7272,
     /* 1458067 */     GIR_EraseRootFromParent_Done,
     /* 1458068 */   // Label 20479: @1458068
     /* 1458068 */   GIM_Try, /*On fail goto*//*Label 20480*/ GIMT_Encode4(1458165), // Rule ID 7273 //
     /* 1458073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1458084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1458087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1458090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458111 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458115 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458119 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458123 */     // MIs[1] Operand 1
     /* 1458123 */     // No operand predicates
     /* 1458123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458127 */     // MIs[0] policy
     /* 1458127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458139 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1458142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458164 */     // GIR_Coverage, 7273,
     /* 1458164 */     GIR_EraseRootFromParent_Done,
     /* 1458165 */   // Label 20480: @1458165
     /* 1458165 */   GIM_Try, /*On fail goto*//*Label 20481*/ GIMT_Encode4(1458262), // Rule ID 7276 //
     /* 1458170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1458181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1458184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1458187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458220 */     // MIs[1] Operand 1
     /* 1458220 */     // No operand predicates
     /* 1458220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458224 */     // MIs[0] policy
     /* 1458224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458236 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1458239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458260 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458261 */     // GIR_Coverage, 7276,
     /* 1458261 */     GIR_EraseRootFromParent_Done,
     /* 1458262 */   // Label 20481: @1458262
     /* 1458262 */   GIM_Try, /*On fail goto*//*Label 20482*/ GIMT_Encode4(1458359), // Rule ID 7277 //
     /* 1458267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1458278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1458281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1458284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1458290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458317 */     // MIs[1] Operand 1
     /* 1458317 */     // No operand predicates
     /* 1458317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458321 */     // MIs[0] policy
     /* 1458321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458333 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1458336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458342 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1458355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458358 */     // GIR_Coverage, 7277,
     /* 1458358 */     GIR_EraseRootFromParent_Done,
     /* 1458359 */   // Label 20482: @1458359
     /* 1458359 */   GIM_Try, /*On fail goto*//*Label 20483*/ GIMT_Encode4(1458456), // Rule ID 7280 //
     /* 1458364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1458375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1458378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1458381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458402 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458406 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458410 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458414 */     // MIs[1] Operand 1
     /* 1458414 */     // No operand predicates
     /* 1458414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458418 */     // MIs[0] policy
     /* 1458418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458430 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1458433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458439 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458454 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458455 */     // GIR_Coverage, 7280,
     /* 1458455 */     GIR_EraseRootFromParent_Done,
     /* 1458456 */   // Label 20483: @1458456
     /* 1458456 */   GIM_Try, /*On fail goto*//*Label 20484*/ GIMT_Encode4(1458553), // Rule ID 7281 //
     /* 1458461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1458472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1458475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1458478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458499 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458503 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458507 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458511 */     // MIs[1] Operand 1
     /* 1458511 */     // No operand predicates
     /* 1458511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458515 */     // MIs[0] policy
     /* 1458515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458527 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF4_MASK),
     /* 1458530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458536 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458552 */     // GIR_Coverage, 7281,
     /* 1458552 */     GIR_EraseRootFromParent_Done,
     /* 1458553 */   // Label 20484: @1458553
     /* 1458553 */   GIM_Try, /*On fail goto*//*Label 20485*/ GIMT_Encode4(1458650), // Rule ID 7284 //
     /* 1458558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1458569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1458572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1458575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458604 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458608 */     // MIs[1] Operand 1
     /* 1458608 */     // No operand predicates
     /* 1458608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458612 */     // MIs[0] policy
     /* 1458612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458615 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1458627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458633 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458648 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458649 */     // GIR_Coverage, 7284,
     /* 1458649 */     GIR_EraseRootFromParent_Done,
     /* 1458650 */   // Label 20485: @1458650
     /* 1458650 */   GIM_Try, /*On fail goto*//*Label 20486*/ GIMT_Encode4(1458747), // Rule ID 7285 //
     /* 1458655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1458666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1458669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1458672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1458678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458705 */     // MIs[1] Operand 1
     /* 1458705 */     // No operand predicates
     /* 1458705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458709 */     // MIs[0] policy
     /* 1458709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458712 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458721 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1458724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458726 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458730 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1458743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458746 */     // GIR_Coverage, 7285,
     /* 1458746 */     GIR_EraseRootFromParent_Done,
     /* 1458747 */   // Label 20486: @1458747
     /* 1458747 */   GIM_Try, /*On fail goto*//*Label 20487*/ GIMT_Encode4(1458844), // Rule ID 7288 //
     /* 1458752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1458763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1458766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1458769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458802 */     // MIs[1] Operand 1
     /* 1458802 */     // No operand predicates
     /* 1458802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458806 */     // MIs[0] policy
     /* 1458806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1458818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1458821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458842 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458843 */     // GIR_Coverage, 7288,
     /* 1458843 */     GIR_EraseRootFromParent_Done,
     /* 1458844 */   // Label 20487: @1458844
     /* 1458844 */   GIM_Try, /*On fail goto*//*Label 20488*/ GIMT_Encode4(1458941), // Rule ID 7289 //
     /* 1458849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1458852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1458860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1458863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1458866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1458869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1458872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1458875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458895 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458899 */     // MIs[1] Operand 1
     /* 1458899 */     // No operand predicates
     /* 1458899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1458903 */     // MIs[0] policy
     /* 1458903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1458906 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1458908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1458915 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1458915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_MF2_MASK),
     /* 1458918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1458920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1458922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1458924 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1458927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1458929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1458934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1458937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1458939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1458940 */     // GIR_Coverage, 7289,
     /* 1458940 */     GIR_EraseRootFromParent_Done,
     /* 1458941 */   // Label 20488: @1458941
     /* 1458941 */   GIM_Try, /*On fail goto*//*Label 20489*/ GIMT_Encode4(1459038), // Rule ID 7292 //
     /* 1458946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1458949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1458954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1458957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1458960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1458963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1458966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1458969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1458972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1458976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1458984 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1458988 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1458992 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1458996 */     // MIs[1] Operand 1
     /* 1458996 */     // No operand predicates
     /* 1458996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459000 */     // MIs[0] policy
     /* 1459000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459003 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459012 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1459015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459021 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459036 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459037 */     // GIR_Coverage, 7292,
     /* 1459037 */     GIR_EraseRootFromParent_Done,
     /* 1459038 */   // Label 20489: @1459038
     /* 1459038 */   GIM_Try, /*On fail goto*//*Label 20490*/ GIMT_Encode4(1459135), // Rule ID 7293 //
     /* 1459043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1459054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1459057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1459060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1459066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459093 */     // MIs[1] Operand 1
     /* 1459093 */     // No operand predicates
     /* 1459093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459097 */     // MIs[0] policy
     /* 1459097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459100 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459109 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1459112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459118 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459134 */     // GIR_Coverage, 7293,
     /* 1459134 */     GIR_EraseRootFromParent_Done,
     /* 1459135 */   // Label 20490: @1459135
     /* 1459135 */   GIM_Try, /*On fail goto*//*Label 20491*/ GIMT_Encode4(1459232), // Rule ID 7296 //
     /* 1459140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1459151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1459154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1459157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459178 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459182 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459186 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459190 */     // MIs[1] Operand 1
     /* 1459190 */     // No operand predicates
     /* 1459190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459194 */     // MIs[0] policy
     /* 1459194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459197 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1459209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459215 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459230 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459231 */     // GIR_Coverage, 7296,
     /* 1459231 */     GIR_EraseRootFromParent_Done,
     /* 1459232 */   // Label 20491: @1459232
     /* 1459232 */   GIM_Try, /*On fail goto*//*Label 20492*/ GIMT_Encode4(1459329), // Rule ID 7297 //
     /* 1459237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1459248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1459251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1459254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1459260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459275 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459279 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459283 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459287 */     // MIs[1] Operand 1
     /* 1459287 */     // No operand predicates
     /* 1459287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459291 */     // MIs[0] policy
     /* 1459291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459303 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1459306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459312 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1459325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459328 */     // GIR_Coverage, 7297,
     /* 1459328 */     GIR_EraseRootFromParent_Done,
     /* 1459329 */   // Label 20492: @1459329
     /* 1459329 */   GIM_Try, /*On fail goto*//*Label 20493*/ GIMT_Encode4(1459426), // Rule ID 7300 //
     /* 1459334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1459345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1459348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1459351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459372 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459376 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459380 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459384 */     // MIs[1] Operand 1
     /* 1459384 */     // No operand predicates
     /* 1459384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459388 */     // MIs[0] policy
     /* 1459388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459400 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1459403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459409 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459422 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459424 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459425 */     // GIR_Coverage, 7300,
     /* 1459425 */     GIR_EraseRootFromParent_Done,
     /* 1459426 */   // Label 20493: @1459426
     /* 1459426 */   GIM_Try, /*On fail goto*//*Label 20494*/ GIMT_Encode4(1459523), // Rule ID 7301 //
     /* 1459431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1459442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1459445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1459448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1459454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459469 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459473 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459477 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459481 */     // MIs[1] Operand 1
     /* 1459481 */     // No operand predicates
     /* 1459481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459485 */     // MIs[0] policy
     /* 1459485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459488 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459497 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1459500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459506 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1459519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459522 */     // GIR_Coverage, 7301,
     /* 1459522 */     GIR_EraseRootFromParent_Done,
     /* 1459523 */   // Label 20494: @1459523
     /* 1459523 */   GIM_Try, /*On fail goto*//*Label 20495*/ GIMT_Encode4(1459620), // Rule ID 7304 //
     /* 1459528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1459531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1459539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1459542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1459545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459566 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459570 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459574 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459578 */     // MIs[1] Operand 1
     /* 1459578 */     // No operand predicates
     /* 1459578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459582 */     // MIs[0] policy
     /* 1459582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459585 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1459597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459603 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459616 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459618 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459619 */     // GIR_Coverage, 7304,
     /* 1459619 */     GIR_EraseRootFromParent_Done,
     /* 1459620 */   // Label 20495: @1459620
     /* 1459620 */   GIM_Try, /*On fail goto*//*Label 20496*/ GIMT_Encode4(1459717), // Rule ID 7305 //
     /* 1459625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1459628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1459636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1459639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1459642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1459648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1459655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1459663 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459667 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459671 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459675 */     // MIs[1] Operand 1
     /* 1459675 */     // No operand predicates
     /* 1459675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459679 */     // MIs[0] policy
     /* 1459679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459691 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M1_MASK),
     /* 1459694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459700 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1459713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459716 */     // GIR_Coverage, 7305,
     /* 1459716 */     GIR_EraseRootFromParent_Done,
     /* 1459717 */   // Label 20496: @1459717
     /* 1459717 */   GIM_Try, /*On fail goto*//*Label 20497*/ GIMT_Encode4(1459814), // Rule ID 7308 //
     /* 1459722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1459733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1459736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1459739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459760 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459764 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459768 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459772 */     // MIs[1] Operand 1
     /* 1459772 */     // No operand predicates
     /* 1459772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459776 */     // MIs[0] policy
     /* 1459776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459779 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459788 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1459791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459797 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459810 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459812 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459813 */     // GIR_Coverage, 7308,
     /* 1459813 */     GIR_EraseRootFromParent_Done,
     /* 1459814 */   // Label 20497: @1459814
     /* 1459814 */   GIM_Try, /*On fail goto*//*Label 20498*/ GIMT_Encode4(1459911), // Rule ID 7309 //
     /* 1459819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1459822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1459830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1459833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1459836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1459839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1459842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1459845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1459849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1459857 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459861 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459865 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459869 */     // MIs[1] Operand 1
     /* 1459869 */     // No operand predicates
     /* 1459869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459873 */     // MIs[0] policy
     /* 1459873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459876 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459885 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1459885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1459888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459894 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1459904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1459907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1459909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1459910 */     // GIR_Coverage, 7309,
     /* 1459910 */     GIR_EraseRootFromParent_Done,
     /* 1459911 */   // Label 20498: @1459911
     /* 1459911 */   GIM_Try, /*On fail goto*//*Label 20499*/ GIMT_Encode4(1460008), // Rule ID 7312 //
     /* 1459916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1459919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1459924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1459927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1459930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1459933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1459936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1459939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1459942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1459946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1459954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1459958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1459962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1459966 */     // MIs[1] Operand 1
     /* 1459966 */     // No operand predicates
     /* 1459966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1459970 */     // MIs[0] policy
     /* 1459970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1459973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1459975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1459982 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1459982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1459985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1459987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1459989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1459991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1459994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1459996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460004 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460006 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460007 */     // GIR_Coverage, 7312,
     /* 1460007 */     GIR_EraseRootFromParent_Done,
     /* 1460008 */   // Label 20499: @1460008
     /* 1460008 */   GIM_Try, /*On fail goto*//*Label 20500*/ GIMT_Encode4(1460105), // Rule ID 7313 //
     /* 1460013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1460024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1460027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1460030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1460036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460051 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460055 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460059 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460063 */     // MIs[1] Operand 1
     /* 1460063 */     // No operand predicates
     /* 1460063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460067 */     // MIs[0] policy
     /* 1460067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460079 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1460082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460104 */     // GIR_Coverage, 7313,
     /* 1460104 */     GIR_EraseRootFromParent_Done,
     /* 1460105 */   // Label 20500: @1460105
     /* 1460105 */   GIM_Try, /*On fail goto*//*Label 20501*/ GIMT_Encode4(1460202), // Rule ID 7316 //
     /* 1460110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1460121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1460124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1460127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1460133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460148 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460152 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460156 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460160 */     // MIs[1] Operand 1
     /* 1460160 */     // No operand predicates
     /* 1460160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460164 */     // MIs[0] policy
     /* 1460164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460167 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460176 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1460179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460185 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460198 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460200 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460201 */     // GIR_Coverage, 7316,
     /* 1460201 */     GIR_EraseRootFromParent_Done,
     /* 1460202 */   // Label 20501: @1460202
     /* 1460202 */   GIM_Try, /*On fail goto*//*Label 20502*/ GIMT_Encode4(1460299), // Rule ID 7317 //
     /* 1460207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1460218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1460221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1460224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1460230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460257 */     // MIs[1] Operand 1
     /* 1460257 */     // No operand predicates
     /* 1460257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460261 */     // MIs[0] policy
     /* 1460261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460273 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1460276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1460295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460298 */     // GIR_Coverage, 7317,
     /* 1460298 */     GIR_EraseRootFromParent_Done,
     /* 1460299 */   // Label 20502: @1460299
     /* 1460299 */   GIM_Try, /*On fail goto*//*Label 20503*/ GIMT_Encode4(1460396), // Rule ID 7320 //
     /* 1460304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1460315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1460318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1460321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460342 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460346 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460350 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460354 */     // MIs[1] Operand 1
     /* 1460354 */     // No operand predicates
     /* 1460354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460358 */     // MIs[0] policy
     /* 1460358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460361 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460370 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1460373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460379 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460392 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460395 */     // GIR_Coverage, 7320,
     /* 1460395 */     GIR_EraseRootFromParent_Done,
     /* 1460396 */   // Label 20503: @1460396
     /* 1460396 */   GIM_Try, /*On fail goto*//*Label 20504*/ GIMT_Encode4(1460493), // Rule ID 7321 //
     /* 1460401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1460412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1460415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1460418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1460424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460439 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460443 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460447 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460451 */     // MIs[1] Operand 1
     /* 1460451 */     // No operand predicates
     /* 1460451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460455 */     // MIs[0] policy
     /* 1460455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460458 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460467 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1460470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460476 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460492 */     // GIR_Coverage, 7321,
     /* 1460492 */     GIR_EraseRootFromParent_Done,
     /* 1460493 */   // Label 20504: @1460493
     /* 1460493 */   GIM_Try, /*On fail goto*//*Label 20505*/ GIMT_Encode4(1460590), // Rule ID 7324 //
     /* 1460498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1460509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1460512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1460515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460536 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460540 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460544 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460548 */     // MIs[1] Operand 1
     /* 1460548 */     // No operand predicates
     /* 1460548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460552 */     // MIs[0] policy
     /* 1460552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1460567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460586 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460589 */     // GIR_Coverage, 7324,
     /* 1460589 */     GIR_EraseRootFromParent_Done,
     /* 1460590 */   // Label 20505: @1460590
     /* 1460590 */   GIM_Try, /*On fail goto*//*Label 20506*/ GIMT_Encode4(1460687), // Rule ID 7325 //
     /* 1460595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1460606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1460609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1460612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1460618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1460625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1460633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460645 */     // MIs[1] Operand 1
     /* 1460645 */     // No operand predicates
     /* 1460645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460649 */     // MIs[0] policy
     /* 1460649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460661 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1460664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460670 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460686 */     // GIR_Coverage, 7325,
     /* 1460686 */     GIR_EraseRootFromParent_Done,
     /* 1460687 */   // Label 20506: @1460687
     /* 1460687 */   GIM_Try, /*On fail goto*//*Label 20507*/ GIMT_Encode4(1460784), // Rule ID 7328 //
     /* 1460692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1460703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1460706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1460709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1460715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460738 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460742 */     // MIs[1] Operand 1
     /* 1460742 */     // No operand predicates
     /* 1460742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460746 */     // MIs[0] policy
     /* 1460746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460749 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460758 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1460761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460780 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460783 */     // GIR_Coverage, 7328,
     /* 1460783 */     GIR_EraseRootFromParent_Done,
     /* 1460784 */   // Label 20507: @1460784
     /* 1460784 */   GIM_Try, /*On fail goto*//*Label 20508*/ GIMT_Encode4(1460881), // Rule ID 7329 //
     /* 1460789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1460800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1460803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1460806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1460809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1460812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1460815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1460819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1460827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460839 */     // MIs[1] Operand 1
     /* 1460839 */     // No operand predicates
     /* 1460839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460843 */     // MIs[0] policy
     /* 1460843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460855 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1460855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1460858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1460877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460880 */     // GIR_Coverage, 7329,
     /* 1460880 */     GIR_EraseRootFromParent_Done,
     /* 1460881 */   // Label 20508: @1460881
     /* 1460881 */   GIM_Try, /*On fail goto*//*Label 20509*/ GIMT_Encode4(1460978), // Rule ID 7332 //
     /* 1460886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1460889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1460903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1460906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1460909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1460912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1460916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1460924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1460928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1460932 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1460936 */     // MIs[1] Operand 1
     /* 1460936 */     // No operand predicates
     /* 1460936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1460940 */     // MIs[0] policy
     /* 1460940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1460943 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1460945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1460952 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1460952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1460955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1460957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1460959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1460961 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1460964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1460966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1460971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1460974 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1460976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1460977 */     // GIR_Coverage, 7332,
     /* 1460977 */     GIR_EraseRootFromParent_Done,
     /* 1460978 */   // Label 20509: @1460978
     /* 1460978 */   GIM_Try, /*On fail goto*//*Label 20510*/ GIMT_Encode4(1461075), // Rule ID 7333 //
     /* 1460983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1460986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1460991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1460994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1460997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1461000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461021 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461025 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461029 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461033 */     // MIs[1] Operand 1
     /* 1461033 */     // No operand predicates
     /* 1461033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461037 */     // MIs[0] policy
     /* 1461037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461040 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461049 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1461052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461058 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461074 */     // GIR_Coverage, 7333,
     /* 1461074 */     GIR_EraseRootFromParent_Done,
     /* 1461075 */   // Label 20510: @1461075
     /* 1461075 */   GIM_Try, /*On fail goto*//*Label 20511*/ GIMT_Encode4(1461172), // Rule ID 7336 //
     /* 1461080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1461091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1461094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1461097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461130 */     // MIs[1] Operand 1
     /* 1461130 */     // No operand predicates
     /* 1461130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461134 */     // MIs[0] policy
     /* 1461134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461146 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1461149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461168 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461171 */     // GIR_Coverage, 7336,
     /* 1461171 */     GIR_EraseRootFromParent_Done,
     /* 1461172 */   // Label 20511: @1461172
     /* 1461172 */   GIM_Try, /*On fail goto*//*Label 20512*/ GIMT_Encode4(1461269), // Rule ID 7337 //
     /* 1461177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1461188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1461191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1461194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461215 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461219 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461223 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461227 */     // MIs[1] Operand 1
     /* 1461227 */     // No operand predicates
     /* 1461227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461231 */     // MIs[0] policy
     /* 1461231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461243 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1461246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461252 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461268 */     // GIR_Coverage, 7337,
     /* 1461268 */     GIR_EraseRootFromParent_Done,
     /* 1461269 */   // Label 20512: @1461269
     /* 1461269 */   GIM_Try, /*On fail goto*//*Label 20513*/ GIMT_Encode4(1461366), // Rule ID 7340 //
     /* 1461274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1461277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1461285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1461288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1461291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461312 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461316 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461320 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461324 */     // MIs[1] Operand 1
     /* 1461324 */     // No operand predicates
     /* 1461324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461328 */     // MIs[0] policy
     /* 1461328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461331 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461340 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1461343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461349 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461362 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461365 */     // GIR_Coverage, 7340,
     /* 1461365 */     GIR_EraseRootFromParent_Done,
     /* 1461366 */   // Label 20513: @1461366
     /* 1461366 */   GIM_Try, /*On fail goto*//*Label 20514*/ GIMT_Encode4(1461463), // Rule ID 7341 //
     /* 1461371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1461374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1461382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1461385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1461388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1461394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461409 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461413 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461417 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461421 */     // MIs[1] Operand 1
     /* 1461421 */     // No operand predicates
     /* 1461421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461425 */     // MIs[0] policy
     /* 1461425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461437 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1461440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461446 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1461459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461462 */     // GIR_Coverage, 7341,
     /* 1461462 */     GIR_EraseRootFromParent_Done,
     /* 1461463 */   // Label 20514: @1461463
     /* 1461463 */   GIM_Try, /*On fail goto*//*Label 20515*/ GIMT_Encode4(1461560), // Rule ID 7344 //
     /* 1461468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1461471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1461479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1461482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1461485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461506 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461510 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461514 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461518 */     // MIs[1] Operand 1
     /* 1461518 */     // No operand predicates
     /* 1461518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461522 */     // MIs[0] policy
     /* 1461522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461525 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461534 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1461537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461543 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461556 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461558 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461559 */     // GIR_Coverage, 7344,
     /* 1461559 */     GIR_EraseRootFromParent_Done,
     /* 1461560 */   // Label 20515: @1461560
     /* 1461560 */   GIM_Try, /*On fail goto*//*Label 20516*/ GIMT_Encode4(1461657), // Rule ID 7345 //
     /* 1461565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1461576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1461579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1461582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1461588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1461595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1461603 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461607 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461611 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461615 */     // MIs[1] Operand 1
     /* 1461615 */     // No operand predicates
     /* 1461615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461619 */     // MIs[0] policy
     /* 1461619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461631 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M2_MASK),
     /* 1461634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461640 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461656 */     // GIR_Coverage, 7345,
     /* 1461656 */     GIR_EraseRootFromParent_Done,
     /* 1461657 */   // Label 20516: @1461657
     /* 1461657 */   GIM_Try, /*On fail goto*//*Label 20517*/ GIMT_Encode4(1461754), // Rule ID 7348 //
     /* 1461662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1461665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1461673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1461676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1461679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461712 */     // MIs[1] Operand 1
     /* 1461712 */     // No operand predicates
     /* 1461712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461716 */     // MIs[0] policy
     /* 1461716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461719 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1461731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461737 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461752 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461753 */     // GIR_Coverage, 7348,
     /* 1461753 */     GIR_EraseRootFromParent_Done,
     /* 1461754 */   // Label 20517: @1461754
     /* 1461754 */   GIM_Try, /*On fail goto*//*Label 20518*/ GIMT_Encode4(1461851), // Rule ID 7349 //
     /* 1461759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1461770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1461773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1461776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1461782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1461789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1461797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461805 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461809 */     // MIs[1] Operand 1
     /* 1461809 */     // No operand predicates
     /* 1461809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461813 */     // MIs[0] policy
     /* 1461813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461816 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461825 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1461825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M4_MASK),
     /* 1461828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461834 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461850 */     // GIR_Coverage, 7349,
     /* 1461850 */     GIR_EraseRootFromParent_Done,
     /* 1461851 */   // Label 20518: @1461851
     /* 1461851 */   GIM_Try, /*On fail goto*//*Label 20519*/ GIMT_Encode4(1461948), // Rule ID 7352 //
     /* 1461856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1461859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1461867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1461870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1461873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1461876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1461882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461894 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461898 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461902 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1461906 */     // MIs[1] Operand 1
     /* 1461906 */     // No operand predicates
     /* 1461906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1461910 */     // MIs[0] policy
     /* 1461910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1461913 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1461915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1461922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1461922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1461925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1461927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1461929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1461931 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1461934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1461936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1461941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1461944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1461946 */     GIR_RootConstrainSelectedInstOperands,
     /* 1461947 */     // GIR_Coverage, 7352,
     /* 1461947 */     GIR_EraseRootFromParent_Done,
     /* 1461948 */   // Label 20519: @1461948
     /* 1461948 */   GIM_Try, /*On fail goto*//*Label 20520*/ GIMT_Encode4(1462045), // Rule ID 7353 //
     /* 1461953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1461956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1461961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1461964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1461967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1461970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1461973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1461976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1461979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1461983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1461991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1461995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1461999 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462003 */     // MIs[1] Operand 1
     /* 1462003 */     // No operand predicates
     /* 1462003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462007 */     // MIs[0] policy
     /* 1462007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462010 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462019 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VI_M8_MASK),
     /* 1462022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462028 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1462041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462044 */     // GIR_Coverage, 7353,
     /* 1462044 */     GIR_EraseRootFromParent_Done,
     /* 1462045 */   // Label 20520: @1462045
     /* 1462045 */   GIM_Try, /*On fail goto*//*Label 20521*/ GIMT_Encode4(1462142), // Rule ID 7564 //
     /* 1462050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1462061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1462064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1462067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462088 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462092 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462096 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462100 */     // MIs[1] Operand 1
     /* 1462100 */     // No operand predicates
     /* 1462100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462104 */     // MIs[0] policy
     /* 1462104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462116 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1462119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462125 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462140 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462141 */     // GIR_Coverage, 7564,
     /* 1462141 */     GIR_EraseRootFromParent_Done,
     /* 1462142 */   // Label 20521: @1462142
     /* 1462142 */   GIM_Try, /*On fail goto*//*Label 20522*/ GIMT_Encode4(1462239), // Rule ID 7565 //
     /* 1462147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1462158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1462161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1462164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1462170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462193 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462197 */     // MIs[1] Operand 1
     /* 1462197 */     // No operand predicates
     /* 1462197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462201 */     // MIs[0] policy
     /* 1462201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462213 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF8_MASK),
     /* 1462216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462222 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462238 */     // GIR_Coverage, 7565,
     /* 1462238 */     GIR_EraseRootFromParent_Done,
     /* 1462239 */   // Label 20522: @1462239
     /* 1462239 */   GIM_Try, /*On fail goto*//*Label 20523*/ GIMT_Encode4(1462336), // Rule ID 7568 //
     /* 1462244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1462255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1462258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462294 */     // MIs[1] Operand 1
     /* 1462294 */     // No operand predicates
     /* 1462294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462298 */     // MIs[0] policy
     /* 1462298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462310 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1462313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462334 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462335 */     // GIR_Coverage, 7568,
     /* 1462335 */     GIR_EraseRootFromParent_Done,
     /* 1462336 */   // Label 20523: @1462336
     /* 1462336 */   GIM_Try, /*On fail goto*//*Label 20524*/ GIMT_Encode4(1462433), // Rule ID 7569 //
     /* 1462341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1462352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1462355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1462358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1462364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462387 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462391 */     // MIs[1] Operand 1
     /* 1462391 */     // No operand predicates
     /* 1462391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462395 */     // MIs[0] policy
     /* 1462395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462398 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462407 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1462410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462416 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462432 */     // GIR_Coverage, 7569,
     /* 1462432 */     GIR_EraseRootFromParent_Done,
     /* 1462433 */   // Label 20524: @1462433
     /* 1462433 */   GIM_Try, /*On fail goto*//*Label 20525*/ GIMT_Encode4(1462530), // Rule ID 7572 //
     /* 1462438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1462449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1462452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462484 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462488 */     // MIs[1] Operand 1
     /* 1462488 */     // No operand predicates
     /* 1462488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462492 */     // MIs[0] policy
     /* 1462492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462504 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1462507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462528 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462529 */     // GIR_Coverage, 7572,
     /* 1462529 */     GIR_EraseRootFromParent_Done,
     /* 1462530 */   // Label 20525: @1462530
     /* 1462530 */   GIM_Try, /*On fail goto*//*Label 20526*/ GIMT_Encode4(1462627), // Rule ID 7573 //
     /* 1462535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1462546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1462549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1462552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1462558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462573 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462577 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462581 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462585 */     // MIs[1] Operand 1
     /* 1462585 */     // No operand predicates
     /* 1462585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462589 */     // MIs[0] policy
     /* 1462589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462601 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1462604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462610 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462626 */     // GIR_Coverage, 7573,
     /* 1462626 */     GIR_EraseRootFromParent_Done,
     /* 1462627 */   // Label 20526: @1462627
     /* 1462627 */   GIM_Try, /*On fail goto*//*Label 20527*/ GIMT_Encode4(1462724), // Rule ID 7576 //
     /* 1462632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1462649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462678 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462682 */     // MIs[1] Operand 1
     /* 1462682 */     // No operand predicates
     /* 1462682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462686 */     // MIs[0] policy
     /* 1462686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462689 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462698 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1462701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462707 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462722 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462723 */     // GIR_Coverage, 7576,
     /* 1462723 */     GIR_EraseRootFromParent_Done,
     /* 1462724 */   // Label 20527: @1462724
     /* 1462724 */   GIM_Try, /*On fail goto*//*Label 20528*/ GIMT_Encode4(1462821), // Rule ID 7577 //
     /* 1462729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1462740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1462743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1462746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1462752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1462759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1462763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462775 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462779 */     // MIs[1] Operand 1
     /* 1462779 */     // No operand predicates
     /* 1462779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462783 */     // MIs[0] policy
     /* 1462783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462786 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462795 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1462798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462804 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462820 */     // GIR_Coverage, 7577,
     /* 1462820 */     GIR_EraseRootFromParent_Done,
     /* 1462821 */   // Label 20528: @1462821
     /* 1462821 */   GIM_Try, /*On fail goto*//*Label 20529*/ GIMT_Encode4(1462918), // Rule ID 7580 //
     /* 1462826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1462829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1462837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1462840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1462846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1462852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462864 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462868 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462872 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462876 */     // MIs[1] Operand 1
     /* 1462876 */     // No operand predicates
     /* 1462876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462880 */     // MIs[0] policy
     /* 1462880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462883 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462892 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1462892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1462895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462901 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1462904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1462906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1462911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1462914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1462916 */     GIR_RootConstrainSelectedInstOperands,
     /* 1462917 */     // GIR_Coverage, 7580,
     /* 1462917 */     GIR_EraseRootFromParent_Done,
     /* 1462918 */   // Label 20529: @1462918
     /* 1462918 */   GIM_Try, /*On fail goto*//*Label 20530*/ GIMT_Encode4(1463015), // Rule ID 7581 //
     /* 1462923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1462926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1462931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1462934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1462937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1462940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1462943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1462946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1462949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1462953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1462957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1462961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1462965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1462969 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1462973 */     // MIs[1] Operand 1
     /* 1462973 */     // No operand predicates
     /* 1462973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1462977 */     // MIs[0] policy
     /* 1462977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1462980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1462982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1462989 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1462989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1462992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1462994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1462996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1462998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463014 */     // GIR_Coverage, 7581,
     /* 1463014 */     GIR_EraseRootFromParent_Done,
     /* 1463015 */   // Label 20530: @1463015
     /* 1463015 */   GIM_Try, /*On fail goto*//*Label 20531*/ GIMT_Encode4(1463112), // Rule ID 7584 //
     /* 1463020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1463037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463070 */     // MIs[1] Operand 1
     /* 1463070 */     // No operand predicates
     /* 1463070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463074 */     // MIs[0] policy
     /* 1463074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463077 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463086 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1463089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463095 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463108 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463110 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463111 */     // GIR_Coverage, 7584,
     /* 1463111 */     GIR_EraseRootFromParent_Done,
     /* 1463112 */   // Label 20531: @1463112
     /* 1463112 */   GIM_Try, /*On fail goto*//*Label 20532*/ GIMT_Encode4(1463209), // Rule ID 7585 //
     /* 1463117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1463128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1463131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1463134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1463140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1463147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1463155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463163 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463167 */     // MIs[1] Operand 1
     /* 1463167 */     // No operand predicates
     /* 1463167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463171 */     // MIs[0] policy
     /* 1463171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463174 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463183 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1463186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463192 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1463205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463208 */     // GIR_Coverage, 7585,
     /* 1463208 */     GIR_EraseRootFromParent_Done,
     /* 1463209 */   // Label 20532: @1463209
     /* 1463209 */   GIM_Try, /*On fail goto*//*Label 20533*/ GIMT_Encode4(1463306), // Rule ID 7588 //
     /* 1463214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1463225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1463228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1463231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463260 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463264 */     // MIs[1] Operand 1
     /* 1463264 */     // No operand predicates
     /* 1463264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463268 */     // MIs[0] policy
     /* 1463268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463271 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463280 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1463283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463289 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463302 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463304 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463305 */     // GIR_Coverage, 7588,
     /* 1463305 */     GIR_EraseRootFromParent_Done,
     /* 1463306 */   // Label 20533: @1463306
     /* 1463306 */   GIM_Try, /*On fail goto*//*Label 20534*/ GIMT_Encode4(1463403), // Rule ID 7589 //
     /* 1463311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1463322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1463325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1463328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1463334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463357 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463361 */     // MIs[1] Operand 1
     /* 1463361 */     // No operand predicates
     /* 1463361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463365 */     // MIs[0] policy
     /* 1463365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463368 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463377 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF4_MASK),
     /* 1463380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463386 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463402 */     // GIR_Coverage, 7589,
     /* 1463402 */     GIR_EraseRootFromParent_Done,
     /* 1463403 */   // Label 20534: @1463403
     /* 1463403 */   GIM_Try, /*On fail goto*//*Label 20535*/ GIMT_Encode4(1463500), // Rule ID 7592 //
     /* 1463408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1463419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1463422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1463425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463454 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463458 */     // MIs[1] Operand 1
     /* 1463458 */     // No operand predicates
     /* 1463458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463462 */     // MIs[0] policy
     /* 1463462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463465 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1463477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463483 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463496 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463498 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463499 */     // GIR_Coverage, 7592,
     /* 1463499 */     GIR_EraseRootFromParent_Done,
     /* 1463500 */   // Label 20535: @1463500
     /* 1463500 */   GIM_Try, /*On fail goto*//*Label 20536*/ GIMT_Encode4(1463597), // Rule ID 7593 //
     /* 1463505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1463516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1463519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1463522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1463528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463551 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463555 */     // MIs[1] Operand 1
     /* 1463555 */     // No operand predicates
     /* 1463555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463559 */     // MIs[0] policy
     /* 1463559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463571 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1463574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463580 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463596 */     // GIR_Coverage, 7593,
     /* 1463596 */     GIR_EraseRootFromParent_Done,
     /* 1463597 */   // Label 20536: @1463597
     /* 1463597 */   GIM_Try, /*On fail goto*//*Label 20537*/ GIMT_Encode4(1463694), // Rule ID 7596 //
     /* 1463602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1463613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1463616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1463619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463640 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463644 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463648 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463652 */     // MIs[1] Operand 1
     /* 1463652 */     // No operand predicates
     /* 1463652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463656 */     // MIs[0] policy
     /* 1463656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463659 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463668 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1463671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463677 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463690 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463692 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463693 */     // GIR_Coverage, 7596,
     /* 1463693 */     GIR_EraseRootFromParent_Done,
     /* 1463694 */   // Label 20537: @1463694
     /* 1463694 */   GIM_Try, /*On fail goto*//*Label 20538*/ GIMT_Encode4(1463791), // Rule ID 7597 //
     /* 1463699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1463710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1463713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1463716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1463722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1463729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1463733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463745 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463749 */     // MIs[1] Operand 1
     /* 1463749 */     // No operand predicates
     /* 1463749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463753 */     // MIs[0] policy
     /* 1463753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463765 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1463768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463774 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463790 */     // GIR_Coverage, 7597,
     /* 1463790 */     GIR_EraseRootFromParent_Done,
     /* 1463791 */   // Label 20538: @1463791
     /* 1463791 */   GIM_Try, /*On fail goto*//*Label 20539*/ GIMT_Encode4(1463888), // Rule ID 7600 //
     /* 1463796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1463813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1463816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1463822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463846 */     // MIs[1] Operand 1
     /* 1463846 */     // No operand predicates
     /* 1463846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463850 */     // MIs[0] policy
     /* 1463850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463862 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1463862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1463865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463884 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463887 */     // GIR_Coverage, 7600,
     /* 1463887 */     GIR_EraseRootFromParent_Done,
     /* 1463888 */   // Label 20539: @1463888
     /* 1463888 */   GIM_Try, /*On fail goto*//*Label 20540*/ GIMT_Encode4(1463985), // Rule ID 7601 //
     /* 1463893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1463896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1463904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1463907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1463910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1463913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1463916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1463919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1463923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1463927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1463931 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1463935 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1463939 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1463943 */     // MIs[1] Operand 1
     /* 1463943 */     // No operand predicates
     /* 1463943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1463947 */     // MIs[0] policy
     /* 1463947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1463950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1463952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1463959 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1463959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1463962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1463964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1463966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1463968 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1463971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1463973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1463978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1463981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1463983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1463984 */     // GIR_Coverage, 7601,
     /* 1463984 */     GIR_EraseRootFromParent_Done,
     /* 1463985 */   // Label 20540: @1463985
     /* 1463985 */   GIM_Try, /*On fail goto*//*Label 20541*/ GIMT_Encode4(1464082), // Rule ID 7604 //
     /* 1463990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1463993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1463998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1464001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1464004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464036 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464040 */     // MIs[1] Operand 1
     /* 1464040 */     // No operand predicates
     /* 1464040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464044 */     // MIs[0] policy
     /* 1464044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464047 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464056 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1464059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464065 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464078 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464081 */     // GIR_Coverage, 7604,
     /* 1464081 */     GIR_EraseRootFromParent_Done,
     /* 1464082 */   // Label 20541: @1464082
     /* 1464082 */   GIM_Try, /*On fail goto*//*Label 20542*/ GIMT_Encode4(1464179), // Rule ID 7605 //
     /* 1464087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1464090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1464098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1464101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1464104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1464110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464133 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464137 */     // MIs[1] Operand 1
     /* 1464137 */     // No operand predicates
     /* 1464137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464141 */     // MIs[0] policy
     /* 1464141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464144 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464153 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1464156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464162 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1464175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464178 */     // GIR_Coverage, 7605,
     /* 1464178 */     GIR_EraseRootFromParent_Done,
     /* 1464179 */   // Label 20542: @1464179
     /* 1464179 */   GIM_Try, /*On fail goto*//*Label 20543*/ GIMT_Encode4(1464276), // Rule ID 7608 //
     /* 1464184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1464187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1464201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464222 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464226 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464230 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464234 */     // MIs[1] Operand 1
     /* 1464234 */     // No operand predicates
     /* 1464234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464238 */     // MIs[0] policy
     /* 1464238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464241 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464250 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1464253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464259 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464272 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464275 */     // GIR_Coverage, 7608,
     /* 1464275 */     GIR_EraseRootFromParent_Done,
     /* 1464276 */   // Label 20543: @1464276
     /* 1464276 */   GIM_Try, /*On fail goto*//*Label 20544*/ GIMT_Encode4(1464373), // Rule ID 7609 //
     /* 1464281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1464284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1464292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1464295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1464298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464327 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464331 */     // MIs[1] Operand 1
     /* 1464331 */     // No operand predicates
     /* 1464331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464335 */     // MIs[0] policy
     /* 1464335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464347 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_MF2_MASK),
     /* 1464350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464356 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464372 */     // GIR_Coverage, 7609,
     /* 1464372 */     GIR_EraseRootFromParent_Done,
     /* 1464373 */   // Label 20544: @1464373
     /* 1464373 */   GIM_Try, /*On fail goto*//*Label 20545*/ GIMT_Encode4(1464470), // Rule ID 7612 //
     /* 1464378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1464381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1464389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1464392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1464395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464416 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464420 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464424 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464428 */     // MIs[1] Operand 1
     /* 1464428 */     // No operand predicates
     /* 1464428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464432 */     // MIs[0] policy
     /* 1464432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464435 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464444 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1464447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464453 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464466 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464469 */     // GIR_Coverage, 7612,
     /* 1464469 */     GIR_EraseRootFromParent_Done,
     /* 1464470 */   // Label 20545: @1464470
     /* 1464470 */   GIM_Try, /*On fail goto*//*Label 20546*/ GIMT_Encode4(1464567), // Rule ID 7613 //
     /* 1464475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1464478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1464486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1464489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1464492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1464498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464521 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464525 */     // MIs[1] Operand 1
     /* 1464525 */     // No operand predicates
     /* 1464525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464529 */     // MIs[0] policy
     /* 1464529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464532 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464541 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M1_MASK),
     /* 1464544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464550 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464566 */     // GIR_Coverage, 7613,
     /* 1464566 */     GIR_EraseRootFromParent_Done,
     /* 1464567 */   // Label 20546: @1464567
     /* 1464567 */   GIM_Try, /*On fail goto*//*Label 20547*/ GIMT_Encode4(1464664), // Rule ID 7616 //
     /* 1464572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1464575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1464589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464610 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464614 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464618 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464622 */     // MIs[1] Operand 1
     /* 1464622 */     // No operand predicates
     /* 1464622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464626 */     // MIs[0] policy
     /* 1464626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464629 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464638 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1464641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464647 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464660 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464663 */     // GIR_Coverage, 7616,
     /* 1464663 */     GIR_EraseRootFromParent_Done,
     /* 1464664 */   // Label 20547: @1464664
     /* 1464664 */   GIM_Try, /*On fail goto*//*Label 20548*/ GIMT_Encode4(1464761), // Rule ID 7617 //
     /* 1464669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1464672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1464680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1464683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1464686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1464692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1464699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1464703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464719 */     // MIs[1] Operand 1
     /* 1464719 */     // No operand predicates
     /* 1464719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464723 */     // MIs[0] policy
     /* 1464723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464735 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M2_MASK),
     /* 1464738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464760 */     // GIR_Coverage, 7617,
     /* 1464760 */     GIR_EraseRootFromParent_Done,
     /* 1464761 */   // Label 20548: @1464761
     /* 1464761 */   GIM_Try, /*On fail goto*//*Label 20549*/ GIMT_Encode4(1464858), // Rule ID 7620 //
     /* 1464766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1464769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1464783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464804 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464808 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464812 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464816 */     // MIs[1] Operand 1
     /* 1464816 */     // No operand predicates
     /* 1464816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464820 */     // MIs[0] policy
     /* 1464820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464823 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464832 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1464832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1464835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464841 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464854 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464857 */     // GIR_Coverage, 7620,
     /* 1464857 */     GIR_EraseRootFromParent_Done,
     /* 1464858 */   // Label 20549: @1464858
     /* 1464858 */   GIM_Try, /*On fail goto*//*Label 20550*/ GIMT_Encode4(1464955), // Rule ID 7621 //
     /* 1464863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1464866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1464871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1464874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1464877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1464880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1464883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1464886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1464889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1464893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1464897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1464901 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1464905 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1464909 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1464913 */     // MIs[1] Operand 1
     /* 1464913 */     // No operand predicates
     /* 1464913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1464917 */     // MIs[0] policy
     /* 1464917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1464920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1464922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1464929 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1464929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WI_M4_MASK),
     /* 1464932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1464934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1464936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1464938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1464941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1464943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1464948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1464951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1464953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1464954 */     // GIR_Coverage, 7621,
     /* 1464954 */     GIR_EraseRootFromParent_Done,
     /* 1464955 */   // Label 20550: @1464955
     /* 1464955 */   GIM_Try, /*On fail goto*//*Label 20551*/ GIMT_Encode4(1465052), // Rule ID 7744 //
     /* 1464960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1464963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1464968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1464971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1464974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1464977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1464980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1464983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1464986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1464990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1464998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465010 */     // MIs[1] Operand 1
     /* 1465010 */     // No operand predicates
     /* 1465010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465014 */     // MIs[0] policy
     /* 1465014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465017 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465026 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1465029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465035 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465048 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465051 */     // GIR_Coverage, 7744,
     /* 1465051 */     GIR_EraseRootFromParent_Done,
     /* 1465052 */   // Label 20551: @1465052
     /* 1465052 */   GIM_Try, /*On fail goto*//*Label 20552*/ GIMT_Encode4(1465149), // Rule ID 7745 //
     /* 1465057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1465068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1465071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1465074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1465080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465095 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465099 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465103 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465107 */     // MIs[1] Operand 1
     /* 1465107 */     // No operand predicates
     /* 1465107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465111 */     // MIs[0] policy
     /* 1465111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465123 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF8_MASK),
     /* 1465126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465132 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465148 */     // GIR_Coverage, 7745,
     /* 1465148 */     GIR_EraseRootFromParent_Done,
     /* 1465149 */   // Label 20552: @1465149
     /* 1465149 */   GIM_Try, /*On fail goto*//*Label 20553*/ GIMT_Encode4(1465246), // Rule ID 7748 //
     /* 1465154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1465171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465192 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465196 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465200 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465204 */     // MIs[1] Operand 1
     /* 1465204 */     // No operand predicates
     /* 1465204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465208 */     // MIs[0] policy
     /* 1465208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465211 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465220 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1465223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465229 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465242 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465244 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465245 */     // GIR_Coverage, 7748,
     /* 1465245 */     GIR_EraseRootFromParent_Done,
     /* 1465246 */   // Label 20553: @1465246
     /* 1465246 */   GIM_Try, /*On fail goto*//*Label 20554*/ GIMT_Encode4(1465343), // Rule ID 7749 //
     /* 1465251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1465262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1465265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1465268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1465274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465289 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465293 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465297 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465301 */     // MIs[1] Operand 1
     /* 1465301 */     // No operand predicates
     /* 1465301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465305 */     // MIs[0] policy
     /* 1465305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465317 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1465320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465326 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465342 */     // GIR_Coverage, 7749,
     /* 1465342 */     GIR_EraseRootFromParent_Done,
     /* 1465343 */   // Label 20554: @1465343
     /* 1465343 */   GIM_Try, /*On fail goto*//*Label 20555*/ GIMT_Encode4(1465440), // Rule ID 7752 //
     /* 1465348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465386 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465390 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465394 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465398 */     // MIs[1] Operand 1
     /* 1465398 */     // No operand predicates
     /* 1465398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465402 */     // MIs[0] policy
     /* 1465402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1465417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465423 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465438 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465439 */     // GIR_Coverage, 7752,
     /* 1465439 */     GIR_EraseRootFromParent_Done,
     /* 1465440 */   // Label 20555: @1465440
     /* 1465440 */   GIM_Try, /*On fail goto*//*Label 20556*/ GIMT_Encode4(1465537), // Rule ID 7753 //
     /* 1465445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1465456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1465459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1465462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1465468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465495 */     // MIs[1] Operand 1
     /* 1465495 */     // No operand predicates
     /* 1465495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465499 */     // MIs[0] policy
     /* 1465499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465502 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465511 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1465514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465520 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465536 */     // GIR_Coverage, 7753,
     /* 1465536 */     GIR_EraseRootFromParent_Done,
     /* 1465537 */   // Label 20556: @1465537
     /* 1465537 */   GIM_Try, /*On fail goto*//*Label 20557*/ GIMT_Encode4(1465634), // Rule ID 7756 //
     /* 1465542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1465553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1465556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1465559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465580 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465584 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465588 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465592 */     // MIs[1] Operand 1
     /* 1465592 */     // No operand predicates
     /* 1465592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465596 */     // MIs[0] policy
     /* 1465596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465599 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465608 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1465611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465617 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465632 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465633 */     // GIR_Coverage, 7756,
     /* 1465633 */     GIR_EraseRootFromParent_Done,
     /* 1465634 */   // Label 20557: @1465634
     /* 1465634 */   GIM_Try, /*On fail goto*//*Label 20558*/ GIMT_Encode4(1465731), // Rule ID 7757 //
     /* 1465639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1465650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1465653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1465656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1465662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1465669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1465673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465685 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465689 */     // MIs[1] Operand 1
     /* 1465689 */     // No operand predicates
     /* 1465689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465693 */     // MIs[0] policy
     /* 1465693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465705 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1465708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465714 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465730 */     // GIR_Coverage, 7757,
     /* 1465730 */     GIR_EraseRootFromParent_Done,
     /* 1465731 */   // Label 20558: @1465731
     /* 1465731 */   GIM_Try, /*On fail goto*//*Label 20559*/ GIMT_Encode4(1465828), // Rule ID 7760 //
     /* 1465736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1465753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465774 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465778 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465782 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465786 */     // MIs[1] Operand 1
     /* 1465786 */     // No operand predicates
     /* 1465786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465790 */     // MIs[0] policy
     /* 1465790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465793 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1465805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465811 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465826 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465827 */     // GIR_Coverage, 7760,
     /* 1465827 */     GIR_EraseRootFromParent_Done,
     /* 1465828 */   // Label 20559: @1465828
     /* 1465828 */   GIM_Try, /*On fail goto*//*Label 20560*/ GIMT_Encode4(1465925), // Rule ID 7761 //
     /* 1465833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1465836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1465844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1465847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1465850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1465853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1465856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1465859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1465863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1465867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465883 */     // MIs[1] Operand 1
     /* 1465883 */     // No operand predicates
     /* 1465883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465887 */     // MIs[0] policy
     /* 1465887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465899 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1465899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1465902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1465904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1465906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1465908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1465911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1465913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1465918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1465921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1465923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1465924 */     // GIR_Coverage, 7761,
     /* 1465924 */     GIR_EraseRootFromParent_Done,
     /* 1465925 */   // Label 20560: @1465925
     /* 1465925 */   GIM_Try, /*On fail goto*//*Label 20561*/ GIMT_Encode4(1466022), // Rule ID 7764 //
     /* 1465930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1465933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1465938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1465941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1465944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1465947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1465950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1465953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1465956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1465960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1465964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1465968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1465972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1465976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1465980 */     // MIs[1] Operand 1
     /* 1465980 */     // No operand predicates
     /* 1465980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1465984 */     // MIs[0] policy
     /* 1465984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1465987 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1465989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1465996 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1465996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1465999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466005 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466020 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466021 */     // GIR_Coverage, 7764,
     /* 1466021 */     GIR_EraseRootFromParent_Done,
     /* 1466022 */   // Label 20561: @1466022
     /* 1466022 */   GIM_Try, /*On fail goto*//*Label 20562*/ GIMT_Encode4(1466119), // Rule ID 7765 //
     /* 1466027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1466038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1466041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1466044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1466050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466065 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466069 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466073 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466077 */     // MIs[1] Operand 1
     /* 1466077 */     // No operand predicates
     /* 1466077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466081 */     // MIs[0] policy
     /* 1466081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466093 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1466096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466102 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1466115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466118 */     // GIR_Coverage, 7765,
     /* 1466118 */     GIR_EraseRootFromParent_Done,
     /* 1466119 */   // Label 20562: @1466119
     /* 1466119 */   GIM_Try, /*On fail goto*//*Label 20563*/ GIMT_Encode4(1466216), // Rule ID 7768 //
     /* 1466124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466174 */     // MIs[1] Operand 1
     /* 1466174 */     // No operand predicates
     /* 1466174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466178 */     // MIs[0] policy
     /* 1466178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466190 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1466193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466214 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466215 */     // GIR_Coverage, 7768,
     /* 1466215 */     GIR_EraseRootFromParent_Done,
     /* 1466216 */   // Label 20563: @1466216
     /* 1466216 */   GIM_Try, /*On fail goto*//*Label 20564*/ GIMT_Encode4(1466313), // Rule ID 7769 //
     /* 1466221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1466232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1466235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1466238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1466244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466259 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466263 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466267 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466271 */     // MIs[1] Operand 1
     /* 1466271 */     // No operand predicates
     /* 1466271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466275 */     // MIs[0] policy
     /* 1466275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466278 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466287 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF4_MASK),
     /* 1466290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466296 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466312 */     // GIR_Coverage, 7769,
     /* 1466312 */     GIR_EraseRootFromParent_Done,
     /* 1466313 */   // Label 20564: @1466313
     /* 1466313 */   GIM_Try, /*On fail goto*//*Label 20565*/ GIMT_Encode4(1466410), // Rule ID 7772 //
     /* 1466318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1466335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466356 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466360 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466364 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466368 */     // MIs[1] Operand 1
     /* 1466368 */     // No operand predicates
     /* 1466368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466372 */     // MIs[0] policy
     /* 1466372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466384 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1466387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466393 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466408 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466409 */     // GIR_Coverage, 7772,
     /* 1466409 */     GIR_EraseRootFromParent_Done,
     /* 1466410 */   // Label 20565: @1466410
     /* 1466410 */   GIM_Try, /*On fail goto*//*Label 20566*/ GIMT_Encode4(1466507), // Rule ID 7773 //
     /* 1466415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1466426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1466429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1466432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1466438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466453 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466457 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466461 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466465 */     // MIs[1] Operand 1
     /* 1466465 */     // No operand predicates
     /* 1466465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466469 */     // MIs[0] policy
     /* 1466469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466481 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1466484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466490 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466506 */     // GIR_Coverage, 7773,
     /* 1466506 */     GIR_EraseRootFromParent_Done,
     /* 1466507 */   // Label 20566: @1466507
     /* 1466507 */   GIM_Try, /*On fail goto*//*Label 20567*/ GIMT_Encode4(1466604), // Rule ID 7776 //
     /* 1466512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466550 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466554 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466558 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466562 */     // MIs[1] Operand 1
     /* 1466562 */     // No operand predicates
     /* 1466562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466566 */     // MIs[0] policy
     /* 1466566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466578 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1466581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466600 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466602 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466603 */     // GIR_Coverage, 7776,
     /* 1466603 */     GIR_EraseRootFromParent_Done,
     /* 1466604 */   // Label 20567: @1466604
     /* 1466604 */   GIM_Try, /*On fail goto*//*Label 20568*/ GIMT_Encode4(1466701), // Rule ID 7777 //
     /* 1466609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1466620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1466623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1466626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1466632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1466639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1466643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466647 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466651 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466655 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466659 */     // MIs[1] Operand 1
     /* 1466659 */     // No operand predicates
     /* 1466659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466663 */     // MIs[0] policy
     /* 1466663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466675 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1466678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466684 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466700 */     // GIR_Coverage, 7777,
     /* 1466700 */     GIR_EraseRootFromParent_Done,
     /* 1466701 */   // Label 20568: @1466701
     /* 1466701 */   GIM_Try, /*On fail goto*//*Label 20569*/ GIMT_Encode4(1466798), // Rule ID 7780 //
     /* 1466706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1466723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466752 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466756 */     // MIs[1] Operand 1
     /* 1466756 */     // No operand predicates
     /* 1466756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466760 */     // MIs[0] policy
     /* 1466760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466772 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1466775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466781 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466794 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466796 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466797 */     // GIR_Coverage, 7780,
     /* 1466797 */     GIR_EraseRootFromParent_Done,
     /* 1466798 */   // Label 20569: @1466798
     /* 1466798 */   GIM_Try, /*On fail goto*//*Label 20570*/ GIMT_Encode4(1466895), // Rule ID 7781 //
     /* 1466803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1466806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1466814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1466817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1466820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1466823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1466826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1466829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1466833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1466837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466841 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466845 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466849 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466853 */     // MIs[1] Operand 1
     /* 1466853 */     // No operand predicates
     /* 1466853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466857 */     // MIs[0] policy
     /* 1466857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466869 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1466869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1466872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466894 */     // GIR_Coverage, 7781,
     /* 1466894 */     GIR_EraseRootFromParent_Done,
     /* 1466895 */   // Label 20570: @1466895
     /* 1466895 */   GIM_Try, /*On fail goto*//*Label 20571*/ GIMT_Encode4(1466992), // Rule ID 7784 //
     /* 1466900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1466903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1466908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1466911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1466914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1466917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1466920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1466923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1466926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1466930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1466934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1466938 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1466942 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1466946 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1466950 */     // MIs[1] Operand 1
     /* 1466950 */     // No operand predicates
     /* 1466950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1466954 */     // MIs[0] policy
     /* 1466954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1466957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1466959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1466966 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1466966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1466969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1466971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1466973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1466975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1466978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1466980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1466985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1466988 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1466990 */     GIR_RootConstrainSelectedInstOperands,
     /* 1466991 */     // GIR_Coverage, 7784,
     /* 1466991 */     GIR_EraseRootFromParent_Done,
     /* 1466992 */   // Label 20571: @1466992
     /* 1466992 */   GIM_Try, /*On fail goto*//*Label 20572*/ GIMT_Encode4(1467089), // Rule ID 7785 //
     /* 1466997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1467008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1467011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1467014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1467020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467035 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467039 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467043 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467047 */     // MIs[1] Operand 1
     /* 1467047 */     // No operand predicates
     /* 1467047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467051 */     // MIs[0] policy
     /* 1467051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467054 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467063 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1467066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467072 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1467085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467088 */     // GIR_Coverage, 7785,
     /* 1467088 */     GIR_EraseRootFromParent_Done,
     /* 1467089 */   // Label 20572: @1467089
     /* 1467089 */   GIM_Try, /*On fail goto*//*Label 20573*/ GIMT_Encode4(1467186), // Rule ID 7788 //
     /* 1467094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1467097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1467105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1467108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467132 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467136 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467140 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467144 */     // MIs[1] Operand 1
     /* 1467144 */     // No operand predicates
     /* 1467144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467148 */     // MIs[0] policy
     /* 1467148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467151 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1467163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467169 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467182 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467184 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467185 */     // GIR_Coverage, 7788,
     /* 1467185 */     GIR_EraseRootFromParent_Done,
     /* 1467186 */   // Label 20573: @1467186
     /* 1467186 */   GIM_Try, /*On fail goto*//*Label 20574*/ GIMT_Encode4(1467283), // Rule ID 7789 //
     /* 1467191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1467194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1467202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1467205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1467208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467229 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467233 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467237 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467241 */     // MIs[1] Operand 1
     /* 1467241 */     // No operand predicates
     /* 1467241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467245 */     // MIs[0] policy
     /* 1467245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467248 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467257 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_MF2_MASK),
     /* 1467260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467266 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467282 */     // GIR_Coverage, 7789,
     /* 1467282 */     GIR_EraseRootFromParent_Done,
     /* 1467283 */   // Label 20574: @1467283
     /* 1467283 */   GIM_Try, /*On fail goto*//*Label 20575*/ GIMT_Encode4(1467380), // Rule ID 7792 //
     /* 1467288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1467291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467326 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467330 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467334 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467338 */     // MIs[1] Operand 1
     /* 1467338 */     // No operand predicates
     /* 1467338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467342 */     // MIs[0] policy
     /* 1467342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1467357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467376 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467378 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467379 */     // GIR_Coverage, 7792,
     /* 1467379 */     GIR_EraseRootFromParent_Done,
     /* 1467380 */   // Label 20575: @1467380
     /* 1467380 */   GIM_Try, /*On fail goto*//*Label 20576*/ GIMT_Encode4(1467477), // Rule ID 7793 //
     /* 1467385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1467388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1467396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1467399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1467402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1467408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467435 */     // MIs[1] Operand 1
     /* 1467435 */     // No operand predicates
     /* 1467435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467439 */     // MIs[0] policy
     /* 1467439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467451 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M1_MASK),
     /* 1467454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467456 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467460 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467476 */     // GIR_Coverage, 7793,
     /* 1467476 */     GIR_EraseRootFromParent_Done,
     /* 1467477 */   // Label 20576: @1467477
     /* 1467477 */   GIM_Try, /*On fail goto*//*Label 20577*/ GIMT_Encode4(1467574), // Rule ID 7796 //
     /* 1467482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1467485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1467493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1467496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467528 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467532 */     // MIs[1] Operand 1
     /* 1467532 */     // No operand predicates
     /* 1467532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467536 */     // MIs[0] policy
     /* 1467536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467539 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467548 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1467551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467557 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467570 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467573 */     // GIR_Coverage, 7796,
     /* 1467573 */     GIR_EraseRootFromParent_Done,
     /* 1467574 */   // Label 20577: @1467574
     /* 1467574 */   GIM_Try, /*On fail goto*//*Label 20578*/ GIMT_Encode4(1467671), // Rule ID 7797 //
     /* 1467579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1467582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1467590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1467593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1467596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1467602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1467609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1467613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467617 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467621 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467625 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467629 */     // MIs[1] Operand 1
     /* 1467629 */     // No operand predicates
     /* 1467629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467633 */     // MIs[0] policy
     /* 1467633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467636 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467645 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M2_MASK),
     /* 1467648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467654 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467670 */     // GIR_Coverage, 7797,
     /* 1467670 */     GIR_EraseRootFromParent_Done,
     /* 1467671 */   // Label 20578: @1467671
     /* 1467671 */   GIM_Try, /*On fail goto*//*Label 20579*/ GIMT_Encode4(1467768), // Rule ID 7800 //
     /* 1467676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1467679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467722 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467726 */     // MIs[1] Operand 1
     /* 1467726 */     // No operand predicates
     /* 1467726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467730 */     // MIs[0] policy
     /* 1467730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467742 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1467745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467764 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467767 */     // GIR_Coverage, 7800,
     /* 1467767 */     GIR_EraseRootFromParent_Done,
     /* 1467768 */   // Label 20579: @1467768
     /* 1467768 */   GIM_Try, /*On fail goto*//*Label 20580*/ GIMT_Encode4(1467865), // Rule ID 7801 //
     /* 1467773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1467776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1467781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1467784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1467787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1467790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1467796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1467803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1467807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1467811 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467815 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467819 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1467823 */     // MIs[1] Operand 1
     /* 1467823 */     // No operand predicates
     /* 1467823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467827 */     // MIs[0] policy
     /* 1467827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467830 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467839 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1467839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WI_M4_MASK),
     /* 1467842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467848 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1467861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467864 */     // GIR_Coverage, 7801,
     /* 1467864 */     GIR_EraseRootFromParent_Done,
     /* 1467865 */   // Label 20580: @1467865
     /* 1467865 */   GIM_Try, /*On fail goto*//*Label 20581*/ GIMT_Encode4(1467965), // Rule ID 14230 //
     /* 1467870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1467873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1467881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1467884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1467887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1467890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1467896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1467900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1467908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1467912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1467916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1467920 */     // MIs[1] Operand 1
     /* 1467920 */     // No operand predicates
     /* 1467920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1467924 */     // MIs[0] policy
     /* 1467924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1467927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1467929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1467936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1467936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1467939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1467941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1467943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1467945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1467948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1467950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1467955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1467958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1467960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1467963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1467964 */     // GIR_Coverage, 14230,
     /* 1467964 */     GIR_EraseRootFromParent_Done,
     /* 1467965 */   // Label 20581: @1467965
     /* 1467965 */   GIM_Try, /*On fail goto*//*Label 20582*/ GIMT_Encode4(1468065), // Rule ID 14231 //
     /* 1467970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1467973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1467978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1467981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1467984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1467987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1467990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1467993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1467996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468020 */     // MIs[1] Operand 1
     /* 1468020 */     // No operand predicates
     /* 1468020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468024 */     // MIs[0] policy
     /* 1468024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468036 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF8_MASK),
     /* 1468039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468064 */     // GIR_Coverage, 14231,
     /* 1468064 */     GIR_EraseRootFromParent_Done,
     /* 1468065 */   // Label 20582: @1468065
     /* 1468065 */   GIM_Try, /*On fail goto*//*Label 20583*/ GIMT_Encode4(1468165), // Rule ID 14234 //
     /* 1468070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1468081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1468084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1468087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468120 */     // MIs[1] Operand 1
     /* 1468120 */     // No operand predicates
     /* 1468120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468124 */     // MIs[0] policy
     /* 1468124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1468139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468164 */     // GIR_Coverage, 14234,
     /* 1468164 */     GIR_EraseRootFromParent_Done,
     /* 1468165 */   // Label 20583: @1468165
     /* 1468165 */   GIM_Try, /*On fail goto*//*Label 20584*/ GIMT_Encode4(1468265), // Rule ID 14235 //
     /* 1468170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1468181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1468184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1468187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468220 */     // MIs[1] Operand 1
     /* 1468220 */     // No operand predicates
     /* 1468220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468224 */     // MIs[0] policy
     /* 1468224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468236 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1468239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468264 */     // GIR_Coverage, 14235,
     /* 1468264 */     GIR_EraseRootFromParent_Done,
     /* 1468265 */   // Label 20584: @1468265
     /* 1468265 */   GIM_Try, /*On fail goto*//*Label 20585*/ GIMT_Encode4(1468365), // Rule ID 14238 //
     /* 1468270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1468287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468320 */     // MIs[1] Operand 1
     /* 1468320 */     // No operand predicates
     /* 1468320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468324 */     // MIs[0] policy
     /* 1468324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468336 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1468339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468364 */     // GIR_Coverage, 14238,
     /* 1468364 */     GIR_EraseRootFromParent_Done,
     /* 1468365 */   // Label 20585: @1468365
     /* 1468365 */   GIM_Try, /*On fail goto*//*Label 20586*/ GIMT_Encode4(1468465), // Rule ID 14239 //
     /* 1468370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1468381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1468384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1468387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1468393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468420 */     // MIs[1] Operand 1
     /* 1468420 */     // No operand predicates
     /* 1468420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468424 */     // MIs[0] policy
     /* 1468424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468436 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1468439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1468458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468464 */     // GIR_Coverage, 14239,
     /* 1468464 */     GIR_EraseRootFromParent_Done,
     /* 1468465 */   // Label 20586: @1468465
     /* 1468465 */   GIM_Try, /*On fail goto*//*Label 20587*/ GIMT_Encode4(1468565), // Rule ID 14242 //
     /* 1468470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468520 */     // MIs[1] Operand 1
     /* 1468520 */     // No operand predicates
     /* 1468520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468524 */     // MIs[0] policy
     /* 1468524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1468539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468564 */     // GIR_Coverage, 14242,
     /* 1468564 */     GIR_EraseRootFromParent_Done,
     /* 1468565 */   // Label 20587: @1468565
     /* 1468565 */   GIM_Try, /*On fail goto*//*Label 20588*/ GIMT_Encode4(1468665), // Rule ID 14243 //
     /* 1468570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1468581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1468584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1468587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468620 */     // MIs[1] Operand 1
     /* 1468620 */     // No operand predicates
     /* 1468620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468624 */     // MIs[0] policy
     /* 1468624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468636 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF4_MASK),
     /* 1468639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468664 */     // GIR_Coverage, 14243,
     /* 1468664 */     GIR_EraseRootFromParent_Done,
     /* 1468665 */   // Label 20588: @1468665
     /* 1468665 */   GIM_Try, /*On fail goto*//*Label 20589*/ GIMT_Encode4(1468765), // Rule ID 14246 //
     /* 1468670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1468687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468720 */     // MIs[1] Operand 1
     /* 1468720 */     // No operand predicates
     /* 1468720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468724 */     // MIs[0] policy
     /* 1468724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468736 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1468739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468764 */     // GIR_Coverage, 14246,
     /* 1468764 */     GIR_EraseRootFromParent_Done,
     /* 1468765 */   // Label 20589: @1468765
     /* 1468765 */   GIM_Try, /*On fail goto*//*Label 20590*/ GIMT_Encode4(1468865), // Rule ID 14247 //
     /* 1468770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1468781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1468784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1468787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1468793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468820 */     // MIs[1] Operand 1
     /* 1468820 */     // No operand predicates
     /* 1468820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468824 */     // MIs[0] policy
     /* 1468824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468836 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1468836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1468839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1468858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468864 */     // GIR_Coverage, 14247,
     /* 1468864 */     GIR_EraseRootFromParent_Done,
     /* 1468865 */   // Label 20590: @1468865
     /* 1468865 */   GIM_Try, /*On fail goto*//*Label 20591*/ GIMT_Encode4(1468965), // Rule ID 14250 //
     /* 1468870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1468873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1468881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1468884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1468887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1468890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1468896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1468900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1468908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1468912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1468916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1468920 */     // MIs[1] Operand 1
     /* 1468920 */     // No operand predicates
     /* 1468920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1468924 */     // MIs[0] policy
     /* 1468924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1468927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1468929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1468936 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1468936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1468939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1468941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1468943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1468945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1468948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1468950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1468955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1468958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1468960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1468963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1468964 */     // GIR_Coverage, 14250,
     /* 1468964 */     GIR_EraseRootFromParent_Done,
     /* 1468965 */   // Label 20591: @1468965
     /* 1468965 */   GIM_Try, /*On fail goto*//*Label 20592*/ GIMT_Encode4(1469065), // Rule ID 14251 //
     /* 1468970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1468973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1468978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1468981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1468984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1468987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1468990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1468993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1468996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469020 */     // MIs[1] Operand 1
     /* 1469020 */     // No operand predicates
     /* 1469020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469024 */     // MIs[0] policy
     /* 1469024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469036 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_MF2_MASK),
     /* 1469039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469064 */     // GIR_Coverage, 14251,
     /* 1469064 */     GIR_EraseRootFromParent_Done,
     /* 1469065 */   // Label 20592: @1469065
     /* 1469065 */   GIM_Try, /*On fail goto*//*Label 20593*/ GIMT_Encode4(1469165), // Rule ID 14254 //
     /* 1469070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1469081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1469084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1469087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469120 */     // MIs[1] Operand 1
     /* 1469120 */     // No operand predicates
     /* 1469120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469124 */     // MIs[0] policy
     /* 1469124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469136 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1469139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469164 */     // GIR_Coverage, 14254,
     /* 1469164 */     GIR_EraseRootFromParent_Done,
     /* 1469165 */   // Label 20593: @1469165
     /* 1469165 */   GIM_Try, /*On fail goto*//*Label 20594*/ GIMT_Encode4(1469265), // Rule ID 14255 //
     /* 1469170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1469181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1469184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1469187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1469193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469220 */     // MIs[1] Operand 1
     /* 1469220 */     // No operand predicates
     /* 1469220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469224 */     // MIs[0] policy
     /* 1469224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469236 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1469239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469264 */     // GIR_Coverage, 14255,
     /* 1469264 */     GIR_EraseRootFromParent_Done,
     /* 1469265 */   // Label 20594: @1469265
     /* 1469265 */   GIM_Try, /*On fail goto*//*Label 20595*/ GIMT_Encode4(1469365), // Rule ID 14258 //
     /* 1469270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469320 */     // MIs[1] Operand 1
     /* 1469320 */     // No operand predicates
     /* 1469320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469324 */     // MIs[0] policy
     /* 1469324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1469339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469364 */     // GIR_Coverage, 14258,
     /* 1469364 */     GIR_EraseRootFromParent_Done,
     /* 1469365 */   // Label 20595: @1469365
     /* 1469365 */   GIM_Try, /*On fail goto*//*Label 20596*/ GIMT_Encode4(1469465), // Rule ID 14259 //
     /* 1469370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1469381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1469384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1469387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1469393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469420 */     // MIs[1] Operand 1
     /* 1469420 */     // No operand predicates
     /* 1469420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469424 */     // MIs[0] policy
     /* 1469424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469436 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1469439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1469458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469464 */     // GIR_Coverage, 14259,
     /* 1469464 */     GIR_EraseRootFromParent_Done,
     /* 1469465 */   // Label 20596: @1469465
     /* 1469465 */   GIM_Try, /*On fail goto*//*Label 20597*/ GIMT_Encode4(1469565), // Rule ID 14262 //
     /* 1469470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1469487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469520 */     // MIs[1] Operand 1
     /* 1469520 */     // No operand predicates
     /* 1469520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469524 */     // MIs[0] policy
     /* 1469524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469536 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1469539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469564 */     // GIR_Coverage, 14262,
     /* 1469564 */     GIR_EraseRootFromParent_Done,
     /* 1469565 */   // Label 20597: @1469565
     /* 1469565 */   GIM_Try, /*On fail goto*//*Label 20598*/ GIMT_Encode4(1469665), // Rule ID 14263 //
     /* 1469570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1469581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1469584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1469587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1469593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469620 */     // MIs[1] Operand 1
     /* 1469620 */     // No operand predicates
     /* 1469620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469624 */     // MIs[0] policy
     /* 1469624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1469639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1469658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469664 */     // GIR_Coverage, 14263,
     /* 1469664 */     GIR_EraseRootFromParent_Done,
     /* 1469665 */   // Label 20598: @1469665
     /* 1469665 */   GIM_Try, /*On fail goto*//*Label 20599*/ GIMT_Encode4(1469765), // Rule ID 14266 //
     /* 1469670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1469673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1469681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1469684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1469687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469720 */     // MIs[1] Operand 1
     /* 1469720 */     // No operand predicates
     /* 1469720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469724 */     // MIs[0] policy
     /* 1469724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469736 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1469739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469764 */     // GIR_Coverage, 14266,
     /* 1469764 */     GIR_EraseRootFromParent_Done,
     /* 1469765 */   // Label 20599: @1469765
     /* 1469765 */   GIM_Try, /*On fail goto*//*Label 20600*/ GIMT_Encode4(1469865), // Rule ID 14267 //
     /* 1469770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1469773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1469781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1469784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1469787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1469793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1469800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1469808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469820 */     // MIs[1] Operand 1
     /* 1469820 */     // No operand predicates
     /* 1469820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469824 */     // MIs[0] policy
     /* 1469824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1469836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M1_MASK),
     /* 1469839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1469858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469864 */     // GIR_Coverage, 14267,
     /* 1469864 */     GIR_EraseRootFromParent_Done,
     /* 1469865 */   // Label 20600: @1469865
     /* 1469865 */   GIM_Try, /*On fail goto*//*Label 20601*/ GIMT_Encode4(1469965), // Rule ID 14270 //
     /* 1469870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1469873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1469881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1469884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1469887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1469890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1469896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1469900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1469908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1469912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1469916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1469920 */     // MIs[1] Operand 1
     /* 1469920 */     // No operand predicates
     /* 1469920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1469924 */     // MIs[0] policy
     /* 1469924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1469927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1469929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1469936 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1469936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1469939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1469941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1469943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1469945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1469948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1469950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1469955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1469958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1469960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1469963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1469964 */     // GIR_Coverage, 14270,
     /* 1469964 */     GIR_EraseRootFromParent_Done,
     /* 1469965 */   // Label 20601: @1469965
     /* 1469965 */   GIM_Try, /*On fail goto*//*Label 20602*/ GIMT_Encode4(1470065), // Rule ID 14271 //
     /* 1469970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1469973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1469978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1469981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1469984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1469987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1469990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1469993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1469996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470020 */     // MIs[1] Operand 1
     /* 1470020 */     // No operand predicates
     /* 1470020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470024 */     // MIs[0] policy
     /* 1470024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1470039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470064 */     // GIR_Coverage, 14271,
     /* 1470064 */     GIR_EraseRootFromParent_Done,
     /* 1470065 */   // Label 20602: @1470065
     /* 1470065 */   GIM_Try, /*On fail goto*//*Label 20603*/ GIMT_Encode4(1470165), // Rule ID 14274 //
     /* 1470070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1470081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1470084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1470087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470120 */     // MIs[1] Operand 1
     /* 1470120 */     // No operand predicates
     /* 1470120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470124 */     // MIs[0] policy
     /* 1470124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470136 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1470139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470164 */     // GIR_Coverage, 14274,
     /* 1470164 */     GIR_EraseRootFromParent_Done,
     /* 1470165 */   // Label 20603: @1470165
     /* 1470165 */   GIM_Try, /*On fail goto*//*Label 20604*/ GIMT_Encode4(1470265), // Rule ID 14275 //
     /* 1470170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1470181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1470184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1470187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470220 */     // MIs[1] Operand 1
     /* 1470220 */     // No operand predicates
     /* 1470220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470224 */     // MIs[0] policy
     /* 1470224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470236 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1470239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470264 */     // GIR_Coverage, 14275,
     /* 1470264 */     GIR_EraseRootFromParent_Done,
     /* 1470265 */   // Label 20604: @1470265
     /* 1470265 */   GIM_Try, /*On fail goto*//*Label 20605*/ GIMT_Encode4(1470365), // Rule ID 14278 //
     /* 1470270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1470281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1470284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1470287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1470293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470320 */     // MIs[1] Operand 1
     /* 1470320 */     // No operand predicates
     /* 1470320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470324 */     // MIs[0] policy
     /* 1470324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470336 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1470339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470364 */     // GIR_Coverage, 14278,
     /* 1470364 */     GIR_EraseRootFromParent_Done,
     /* 1470365 */   // Label 20605: @1470365
     /* 1470365 */   GIM_Try, /*On fail goto*//*Label 20606*/ GIMT_Encode4(1470465), // Rule ID 14279 //
     /* 1470370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1470381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1470384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1470387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1470393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470420 */     // MIs[1] Operand 1
     /* 1470420 */     // No operand predicates
     /* 1470420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470424 */     // MIs[0] policy
     /* 1470424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1470439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1470458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470464 */     // GIR_Coverage, 14279,
     /* 1470464 */     GIR_EraseRootFromParent_Done,
     /* 1470465 */   // Label 20606: @1470465
     /* 1470465 */   GIM_Try, /*On fail goto*//*Label 20607*/ GIMT_Encode4(1470565), // Rule ID 14282 //
     /* 1470470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1470487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470520 */     // MIs[1] Operand 1
     /* 1470520 */     // No operand predicates
     /* 1470520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470524 */     // MIs[0] policy
     /* 1470524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1470539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470564 */     // GIR_Coverage, 14282,
     /* 1470564 */     GIR_EraseRootFromParent_Done,
     /* 1470565 */   // Label 20607: @1470565
     /* 1470565 */   GIM_Try, /*On fail goto*//*Label 20608*/ GIMT_Encode4(1470665), // Rule ID 14283 //
     /* 1470570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1470581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1470584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1470587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1470593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1470600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1470608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470620 */     // MIs[1] Operand 1
     /* 1470620 */     // No operand predicates
     /* 1470620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470624 */     // MIs[0] policy
     /* 1470624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470636 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1470639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470664 */     // GIR_Coverage, 14283,
     /* 1470664 */     GIR_EraseRootFromParent_Done,
     /* 1470665 */   // Label 20608: @1470665
     /* 1470665 */   GIM_Try, /*On fail goto*//*Label 20609*/ GIMT_Encode4(1470765), // Rule ID 14286 //
     /* 1470670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1470681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1470684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1470687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470720 */     // MIs[1] Operand 1
     /* 1470720 */     // No operand predicates
     /* 1470720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470724 */     // MIs[0] policy
     /* 1470724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470736 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1470739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470764 */     // GIR_Coverage, 14286,
     /* 1470764 */     GIR_EraseRootFromParent_Done,
     /* 1470765 */   // Label 20609: @1470765
     /* 1470765 */   GIM_Try, /*On fail goto*//*Label 20610*/ GIMT_Encode4(1470865), // Rule ID 14287 //
     /* 1470770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1470781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1470784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1470787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1470793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1470800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1470808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470820 */     // MIs[1] Operand 1
     /* 1470820 */     // No operand predicates
     /* 1470820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470824 */     // MIs[0] policy
     /* 1470824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470836 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1470836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1470839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470864 */     // GIR_Coverage, 14287,
     /* 1470864 */     GIR_EraseRootFromParent_Done,
     /* 1470865 */   // Label 20610: @1470865
     /* 1470865 */   GIM_Try, /*On fail goto*//*Label 20611*/ GIMT_Encode4(1470965), // Rule ID 14290 //
     /* 1470870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1470873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1470881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1470884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1470887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1470890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1470896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1470900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1470908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1470912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1470916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1470920 */     // MIs[1] Operand 1
     /* 1470920 */     // No operand predicates
     /* 1470920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1470924 */     // MIs[0] policy
     /* 1470924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1470927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1470929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1470936 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1470936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1470939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1470941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1470943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1470945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1470948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1470950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1470955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1470958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1470960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1470963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1470964 */     // GIR_Coverage, 14290,
     /* 1470964 */     GIR_EraseRootFromParent_Done,
     /* 1470965 */   // Label 20611: @1470965
     /* 1470965 */   GIM_Try, /*On fail goto*//*Label 20612*/ GIMT_Encode4(1471065), // Rule ID 14291 //
     /* 1470970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1470973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1470978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1470981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1470984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1470987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1470990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1470993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1470996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471020 */     // MIs[1] Operand 1
     /* 1471020 */     // No operand predicates
     /* 1471020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471024 */     // MIs[0] policy
     /* 1471024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471036 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1471039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1471058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471064 */     // GIR_Coverage, 14291,
     /* 1471064 */     GIR_EraseRootFromParent_Done,
     /* 1471065 */   // Label 20612: @1471065
     /* 1471065 */   GIM_Try, /*On fail goto*//*Label 20613*/ GIMT_Encode4(1471165), // Rule ID 14294 //
     /* 1471070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1471081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1471084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1471087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471120 */     // MIs[1] Operand 1
     /* 1471120 */     // No operand predicates
     /* 1471120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471124 */     // MIs[0] policy
     /* 1471124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1471139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471164 */     // GIR_Coverage, 14294,
     /* 1471164 */     GIR_EraseRootFromParent_Done,
     /* 1471165 */   // Label 20613: @1471165
     /* 1471165 */   GIM_Try, /*On fail goto*//*Label 20614*/ GIMT_Encode4(1471265), // Rule ID 14295 //
     /* 1471170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1471181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1471184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1471187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471220 */     // MIs[1] Operand 1
     /* 1471220 */     // No operand predicates
     /* 1471220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471224 */     // MIs[0] policy
     /* 1471224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1471239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471264 */     // GIR_Coverage, 14295,
     /* 1471264 */     GIR_EraseRootFromParent_Done,
     /* 1471265 */   // Label 20614: @1471265
     /* 1471265 */   GIM_Try, /*On fail goto*//*Label 20615*/ GIMT_Encode4(1471365), // Rule ID 14298 //
     /* 1471270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1471287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471320 */     // MIs[1] Operand 1
     /* 1471320 */     // No operand predicates
     /* 1471320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471324 */     // MIs[0] policy
     /* 1471324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1471339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471364 */     // GIR_Coverage, 14298,
     /* 1471364 */     GIR_EraseRootFromParent_Done,
     /* 1471365 */   // Label 20615: @1471365
     /* 1471365 */   GIM_Try, /*On fail goto*//*Label 20616*/ GIMT_Encode4(1471465), // Rule ID 14299 //
     /* 1471370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1471381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1471384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1471387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1471393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471420 */     // MIs[1] Operand 1
     /* 1471420 */     // No operand predicates
     /* 1471420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471424 */     // MIs[0] policy
     /* 1471424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471436 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1471439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471464 */     // GIR_Coverage, 14299,
     /* 1471464 */     GIR_EraseRootFromParent_Done,
     /* 1471465 */   // Label 20616: @1471465
     /* 1471465 */   GIM_Try, /*On fail goto*//*Label 20617*/ GIMT_Encode4(1471565), // Rule ID 14302 //
     /* 1471470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1471473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1471481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1471484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1471487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471520 */     // MIs[1] Operand 1
     /* 1471520 */     // No operand predicates
     /* 1471520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471524 */     // MIs[0] policy
     /* 1471524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471536 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1471539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471564 */     // GIR_Coverage, 14302,
     /* 1471564 */     GIR_EraseRootFromParent_Done,
     /* 1471565 */   // Label 20617: @1471565
     /* 1471565 */   GIM_Try, /*On fail goto*//*Label 20618*/ GIMT_Encode4(1471665), // Rule ID 14303 //
     /* 1471570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1471573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1471581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1471584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1471587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1471593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1471600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1471608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471620 */     // MIs[1] Operand 1
     /* 1471620 */     // No operand predicates
     /* 1471620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471624 */     // MIs[0] policy
     /* 1471624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471636 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1471639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1471658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471664 */     // GIR_Coverage, 14303,
     /* 1471664 */     GIR_EraseRootFromParent_Done,
     /* 1471665 */   // Label 20618: @1471665
     /* 1471665 */   GIM_Try, /*On fail goto*//*Label 20619*/ GIMT_Encode4(1471765), // Rule ID 14306 //
     /* 1471670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1471681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1471684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1471687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471720 */     // MIs[1] Operand 1
     /* 1471720 */     // No operand predicates
     /* 1471720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471724 */     // MIs[0] policy
     /* 1471724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471736 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1471739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471764 */     // GIR_Coverage, 14306,
     /* 1471764 */     GIR_EraseRootFromParent_Done,
     /* 1471765 */   // Label 20619: @1471765
     /* 1471765 */   GIM_Try, /*On fail goto*//*Label 20620*/ GIMT_Encode4(1471865), // Rule ID 14307 //
     /* 1471770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1471781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1471784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1471787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1471793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1471800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1471808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471820 */     // MIs[1] Operand 1
     /* 1471820 */     // No operand predicates
     /* 1471820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471824 */     // MIs[0] policy
     /* 1471824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1471836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M2_MASK),
     /* 1471839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471864 */     // GIR_Coverage, 14307,
     /* 1471864 */     GIR_EraseRootFromParent_Done,
     /* 1471865 */   // Label 20620: @1471865
     /* 1471865 */   GIM_Try, /*On fail goto*//*Label 20621*/ GIMT_Encode4(1471965), // Rule ID 14310 //
     /* 1471870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1471873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1471881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1471884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1471887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1471890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1471896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1471900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1471908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1471912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1471916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1471920 */     // MIs[1] Operand 1
     /* 1471920 */     // No operand predicates
     /* 1471920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1471924 */     // MIs[0] policy
     /* 1471924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1471927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1471929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1471936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1471936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1471939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1471941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1471943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1471945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1471948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1471950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1471955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1471958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1471960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1471963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1471964 */     // GIR_Coverage, 14310,
     /* 1471964 */     GIR_EraseRootFromParent_Done,
     /* 1471965 */   // Label 20621: @1471965
     /* 1471965 */   GIM_Try, /*On fail goto*//*Label 20622*/ GIMT_Encode4(1472065), // Rule ID 14311 //
     /* 1471970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1471973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1471978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1471981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1471984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1471987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1471990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1471993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1471996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1472000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1472008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472020 */     // MIs[1] Operand 1
     /* 1472020 */     // No operand predicates
     /* 1472020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472024 */     // MIs[0] policy
     /* 1472024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M4_MASK),
     /* 1472039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472064 */     // GIR_Coverage, 14311,
     /* 1472064 */     GIR_EraseRootFromParent_Done,
     /* 1472065 */   // Label 20622: @1472065
     /* 1472065 */   GIM_Try, /*On fail goto*//*Label 20623*/ GIMT_Encode4(1472165), // Rule ID 14314 //
     /* 1472070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1472073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1472078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1472081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1472084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1472087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472120 */     // MIs[1] Operand 1
     /* 1472120 */     // No operand predicates
     /* 1472120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472124 */     // MIs[0] policy
     /* 1472124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472136 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1472139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472164 */     // GIR_Coverage, 14314,
     /* 1472164 */     GIR_EraseRootFromParent_Done,
     /* 1472165 */   // Label 20623: @1472165
     /* 1472165 */   GIM_Try, /*On fail goto*//*Label 20624*/ GIMT_Encode4(1472265), // Rule ID 14315 //
     /* 1472170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1472173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1472178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1472181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1472184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1472187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1472193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1472200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1472208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472220 */     // MIs[1] Operand 1
     /* 1472220 */     // No operand predicates
     /* 1472220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472224 */     // MIs[0] policy
     /* 1472224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472236 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VI_M8_MASK),
     /* 1472239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1472258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472264 */     // GIR_Coverage, 14315,
     /* 1472264 */     GIR_EraseRootFromParent_Done,
     /* 1472265 */   // Label 20624: @1472265
     /* 1472265 */   GIM_Try, /*On fail goto*//*Label 20625*/ GIMT_Encode4(1472365), // Rule ID 14494 //
     /* 1472270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1472281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1472284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1472287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472320 */     // MIs[1] Operand 1
     /* 1472320 */     // No operand predicates
     /* 1472320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472324 */     // MIs[0] policy
     /* 1472324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472336 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1472339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472364 */     // GIR_Coverage, 14494,
     /* 1472364 */     GIR_EraseRootFromParent_Done,
     /* 1472365 */   // Label 20625: @1472365
     /* 1472365 */   GIM_Try, /*On fail goto*//*Label 20626*/ GIMT_Encode4(1472465), // Rule ID 14495 //
     /* 1472370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1472381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1472384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1472387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472420 */     // MIs[1] Operand 1
     /* 1472420 */     // No operand predicates
     /* 1472420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472424 */     // MIs[0] policy
     /* 1472424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472436 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF8_MASK),
     /* 1472439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472464 */     // GIR_Coverage, 14495,
     /* 1472464 */     GIR_EraseRootFromParent_Done,
     /* 1472465 */   // Label 20626: @1472465
     /* 1472465 */   GIM_Try, /*On fail goto*//*Label 20627*/ GIMT_Encode4(1472565), // Rule ID 14498 //
     /* 1472470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1472481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1472484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1472487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472520 */     // MIs[1] Operand 1
     /* 1472520 */     // No operand predicates
     /* 1472520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472524 */     // MIs[0] policy
     /* 1472524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472536 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1472539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472564 */     // GIR_Coverage, 14498,
     /* 1472564 */     GIR_EraseRootFromParent_Done,
     /* 1472565 */   // Label 20627: @1472565
     /* 1472565 */   GIM_Try, /*On fail goto*//*Label 20628*/ GIMT_Encode4(1472665), // Rule ID 14499 //
     /* 1472570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1472581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1472584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1472587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1472593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472620 */     // MIs[1] Operand 1
     /* 1472620 */     // No operand predicates
     /* 1472620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472624 */     // MIs[0] policy
     /* 1472624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472636 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1472639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472664 */     // GIR_Coverage, 14499,
     /* 1472664 */     GIR_EraseRootFromParent_Done,
     /* 1472665 */   // Label 20628: @1472665
     /* 1472665 */   GIM_Try, /*On fail goto*//*Label 20629*/ GIMT_Encode4(1472765), // Rule ID 14502 //
     /* 1472670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1472681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1472684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1472687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472720 */     // MIs[1] Operand 1
     /* 1472720 */     // No operand predicates
     /* 1472720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472724 */     // MIs[0] policy
     /* 1472724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472736 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1472739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472764 */     // GIR_Coverage, 14502,
     /* 1472764 */     GIR_EraseRootFromParent_Done,
     /* 1472765 */   // Label 20629: @1472765
     /* 1472765 */   GIM_Try, /*On fail goto*//*Label 20630*/ GIMT_Encode4(1472865), // Rule ID 14503 //
     /* 1472770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1472781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1472784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1472787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1472793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472820 */     // MIs[1] Operand 1
     /* 1472820 */     // No operand predicates
     /* 1472820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472824 */     // MIs[0] policy
     /* 1472824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472836 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1472836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1472839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1472858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472864 */     // GIR_Coverage, 14503,
     /* 1472864 */     GIR_EraseRootFromParent_Done,
     /* 1472865 */   // Label 20630: @1472865
     /* 1472865 */   GIM_Try, /*On fail goto*//*Label 20631*/ GIMT_Encode4(1472965), // Rule ID 14506 //
     /* 1472870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1472873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1472881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1472884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1472887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1472890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1472896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1472900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1472908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1472912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1472916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1472920 */     // MIs[1] Operand 1
     /* 1472920 */     // No operand predicates
     /* 1472920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1472924 */     // MIs[0] policy
     /* 1472924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1472927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1472929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1472936 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1472936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1472939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1472941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1472943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1472945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1472948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1472950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1472955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1472958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1472960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1472963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1472964 */     // GIR_Coverage, 14506,
     /* 1472964 */     GIR_EraseRootFromParent_Done,
     /* 1472965 */   // Label 20631: @1472965
     /* 1472965 */   GIM_Try, /*On fail goto*//*Label 20632*/ GIMT_Encode4(1473065), // Rule ID 14507 //
     /* 1472970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1472973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1472978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1472981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1472984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1472987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1472990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1472993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1472996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473020 */     // MIs[1] Operand 1
     /* 1473020 */     // No operand predicates
     /* 1473020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473024 */     // MIs[0] policy
     /* 1473024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF4_MASK),
     /* 1473039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473064 */     // GIR_Coverage, 14507,
     /* 1473064 */     GIR_EraseRootFromParent_Done,
     /* 1473065 */   // Label 20632: @1473065
     /* 1473065 */   GIM_Try, /*On fail goto*//*Label 20633*/ GIMT_Encode4(1473165), // Rule ID 14510 //
     /* 1473070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1473081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1473084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1473087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473120 */     // MIs[1] Operand 1
     /* 1473120 */     // No operand predicates
     /* 1473120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473124 */     // MIs[0] policy
     /* 1473124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473136 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1473139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473164 */     // GIR_Coverage, 14510,
     /* 1473164 */     GIR_EraseRootFromParent_Done,
     /* 1473165 */   // Label 20633: @1473165
     /* 1473165 */   GIM_Try, /*On fail goto*//*Label 20634*/ GIMT_Encode4(1473265), // Rule ID 14511 //
     /* 1473170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1473181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1473184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1473187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473220 */     // MIs[1] Operand 1
     /* 1473220 */     // No operand predicates
     /* 1473220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473224 */     // MIs[0] policy
     /* 1473224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473236 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1473239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473264 */     // GIR_Coverage, 14511,
     /* 1473264 */     GIR_EraseRootFromParent_Done,
     /* 1473265 */   // Label 20634: @1473265
     /* 1473265 */   GIM_Try, /*On fail goto*//*Label 20635*/ GIMT_Encode4(1473365), // Rule ID 14514 //
     /* 1473270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473320 */     // MIs[1] Operand 1
     /* 1473320 */     // No operand predicates
     /* 1473320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473324 */     // MIs[0] policy
     /* 1473324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1473339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473364 */     // GIR_Coverage, 14514,
     /* 1473364 */     GIR_EraseRootFromParent_Done,
     /* 1473365 */   // Label 20635: @1473365
     /* 1473365 */   GIM_Try, /*On fail goto*//*Label 20636*/ GIMT_Encode4(1473465), // Rule ID 14515 //
     /* 1473370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1473381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1473384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1473387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1473393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473420 */     // MIs[1] Operand 1
     /* 1473420 */     // No operand predicates
     /* 1473420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473424 */     // MIs[0] policy
     /* 1473424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473436 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_MF2_MASK),
     /* 1473439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473464 */     // GIR_Coverage, 14515,
     /* 1473464 */     GIR_EraseRootFromParent_Done,
     /* 1473465 */   // Label 20636: @1473465
     /* 1473465 */   GIM_Try, /*On fail goto*//*Label 20637*/ GIMT_Encode4(1473565), // Rule ID 14518 //
     /* 1473470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1473481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1473484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1473487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473520 */     // MIs[1] Operand 1
     /* 1473520 */     // No operand predicates
     /* 1473520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473524 */     // MIs[0] policy
     /* 1473524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1473539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473564 */     // GIR_Coverage, 14518,
     /* 1473564 */     GIR_EraseRootFromParent_Done,
     /* 1473565 */   // Label 20637: @1473565
     /* 1473565 */   GIM_Try, /*On fail goto*//*Label 20638*/ GIMT_Encode4(1473665), // Rule ID 14519 //
     /* 1473570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1473581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1473584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1473587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1473593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473620 */     // MIs[1] Operand 1
     /* 1473620 */     // No operand predicates
     /* 1473620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473624 */     // MIs[0] policy
     /* 1473624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1473639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1473658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473664 */     // GIR_Coverage, 14519,
     /* 1473664 */     GIR_EraseRootFromParent_Done,
     /* 1473665 */   // Label 20638: @1473665
     /* 1473665 */   GIM_Try, /*On fail goto*//*Label 20639*/ GIMT_Encode4(1473765), // Rule ID 14522 //
     /* 1473670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1473681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1473684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1473687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473720 */     // MIs[1] Operand 1
     /* 1473720 */     // No operand predicates
     /* 1473720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473724 */     // MIs[0] policy
     /* 1473724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1473739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473764 */     // GIR_Coverage, 14522,
     /* 1473764 */     GIR_EraseRootFromParent_Done,
     /* 1473765 */   // Label 20639: @1473765
     /* 1473765 */   GIM_Try, /*On fail goto*//*Label 20640*/ GIMT_Encode4(1473865), // Rule ID 14523 //
     /* 1473770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1473781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1473784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1473787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1473793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473820 */     // MIs[1] Operand 1
     /* 1473820 */     // No operand predicates
     /* 1473820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473824 */     // MIs[0] policy
     /* 1473824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473836 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1473836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1473839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1473858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473864 */     // GIR_Coverage, 14523,
     /* 1473864 */     GIR_EraseRootFromParent_Done,
     /* 1473865 */   // Label 20640: @1473865
     /* 1473865 */   GIM_Try, /*On fail goto*//*Label 20641*/ GIMT_Encode4(1473965), // Rule ID 14526 //
     /* 1473870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1473873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1473881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1473884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1473887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1473890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1473896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1473900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1473908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1473912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1473916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1473920 */     // MIs[1] Operand 1
     /* 1473920 */     // No operand predicates
     /* 1473920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1473924 */     // MIs[0] policy
     /* 1473924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1473927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1473929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1473936 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1473936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1473939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1473941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1473943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1473945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1473948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1473950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1473955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1473958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1473960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1473963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1473964 */     // GIR_Coverage, 14526,
     /* 1473964 */     GIR_EraseRootFromParent_Done,
     /* 1473965 */   // Label 20641: @1473965
     /* 1473965 */   GIM_Try, /*On fail goto*//*Label 20642*/ GIMT_Encode4(1474065), // Rule ID 14527 //
     /* 1473970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1473973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1473978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1473981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1473984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1473987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1473990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1473993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1473996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474020 */     // MIs[1] Operand 1
     /* 1474020 */     // No operand predicates
     /* 1474020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474024 */     // MIs[0] policy
     /* 1474024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474036 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1474039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1474058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474064 */     // GIR_Coverage, 14527,
     /* 1474064 */     GIR_EraseRootFromParent_Done,
     /* 1474065 */   // Label 20642: @1474065
     /* 1474065 */   GIM_Try, /*On fail goto*//*Label 20643*/ GIMT_Encode4(1474165), // Rule ID 14530 //
     /* 1474070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1474073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1474081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1474084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1474087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474120 */     // MIs[1] Operand 1
     /* 1474120 */     // No operand predicates
     /* 1474120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474124 */     // MIs[0] policy
     /* 1474124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1474139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474164 */     // GIR_Coverage, 14530,
     /* 1474164 */     GIR_EraseRootFromParent_Done,
     /* 1474165 */   // Label 20643: @1474165
     /* 1474165 */   GIM_Try, /*On fail goto*//*Label 20644*/ GIMT_Encode4(1474265), // Rule ID 14531 //
     /* 1474170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1474173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1474181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1474184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1474187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1474193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1474200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1474208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474220 */     // MIs[1] Operand 1
     /* 1474220 */     // No operand predicates
     /* 1474220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474224 */     // MIs[0] policy
     /* 1474224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474236 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M1_MASK),
     /* 1474239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1474258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474264 */     // GIR_Coverage, 14531,
     /* 1474264 */     GIR_EraseRootFromParent_Done,
     /* 1474265 */   // Label 20644: @1474265
     /* 1474265 */   GIM_Try, /*On fail goto*//*Label 20645*/ GIMT_Encode4(1474365), // Rule ID 14534 //
     /* 1474270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1474281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1474284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1474287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474320 */     // MIs[1] Operand 1
     /* 1474320 */     // No operand predicates
     /* 1474320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474324 */     // MIs[0] policy
     /* 1474324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474336 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1474339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474364 */     // GIR_Coverage, 14534,
     /* 1474364 */     GIR_EraseRootFromParent_Done,
     /* 1474365 */   // Label 20645: @1474365
     /* 1474365 */   GIM_Try, /*On fail goto*//*Label 20646*/ GIMT_Encode4(1474465), // Rule ID 14535 //
     /* 1474370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1474381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1474384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1474387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1474393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474420 */     // MIs[1] Operand 1
     /* 1474420 */     // No operand predicates
     /* 1474420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474424 */     // MIs[0] policy
     /* 1474424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1474439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474464 */     // GIR_Coverage, 14535,
     /* 1474464 */     GIR_EraseRootFromParent_Done,
     /* 1474465 */   // Label 20646: @1474465
     /* 1474465 */   GIM_Try, /*On fail goto*//*Label 20647*/ GIMT_Encode4(1474565), // Rule ID 14538 //
     /* 1474470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1474481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1474484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1474487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474520 */     // MIs[1] Operand 1
     /* 1474520 */     // No operand predicates
     /* 1474520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474524 */     // MIs[0] policy
     /* 1474524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474536 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1474539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474564 */     // GIR_Coverage, 14538,
     /* 1474564 */     GIR_EraseRootFromParent_Done,
     /* 1474565 */   // Label 20647: @1474565
     /* 1474565 */   GIM_Try, /*On fail goto*//*Label 20648*/ GIMT_Encode4(1474665), // Rule ID 14539 //
     /* 1474570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1474581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1474584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1474587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1474593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1474600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1474608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474620 */     // MIs[1] Operand 1
     /* 1474620 */     // No operand predicates
     /* 1474620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474624 */     // MIs[0] policy
     /* 1474624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1474639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474664 */     // GIR_Coverage, 14539,
     /* 1474664 */     GIR_EraseRootFromParent_Done,
     /* 1474665 */   // Label 20648: @1474665
     /* 1474665 */   GIM_Try, /*On fail goto*//*Label 20649*/ GIMT_Encode4(1474765), // Rule ID 14542 //
     /* 1474670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1474681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1474684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1474687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1474693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474720 */     // MIs[1] Operand 1
     /* 1474720 */     // No operand predicates
     /* 1474720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474724 */     // MIs[0] policy
     /* 1474724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474736 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1474739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474764 */     // GIR_Coverage, 14542,
     /* 1474764 */     GIR_EraseRootFromParent_Done,
     /* 1474765 */   // Label 20649: @1474765
     /* 1474765 */   GIM_Try, /*On fail goto*//*Label 20650*/ GIMT_Encode4(1474865), // Rule ID 14543 //
     /* 1474770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1474781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1474784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1474787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1474793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1474800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1474808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474820 */     // MIs[1] Operand 1
     /* 1474820 */     // No operand predicates
     /* 1474820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474824 */     // MIs[0] policy
     /* 1474824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474836 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1474836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1474839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1474858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474864 */     // GIR_Coverage, 14543,
     /* 1474864 */     GIR_EraseRootFromParent_Done,
     /* 1474865 */   // Label 20650: @1474865
     /* 1474865 */   GIM_Try, /*On fail goto*//*Label 20651*/ GIMT_Encode4(1474965), // Rule ID 14546 //
     /* 1474870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1474873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1474881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1474884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1474887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1474890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1474896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1474900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1474908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1474912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1474916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1474920 */     // MIs[1] Operand 1
     /* 1474920 */     // No operand predicates
     /* 1474920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1474924 */     // MIs[0] policy
     /* 1474924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1474927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1474929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1474936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1474936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1474939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1474941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1474943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1474945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1474948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1474950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1474955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1474958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1474960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1474963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1474964 */     // GIR_Coverage, 14546,
     /* 1474964 */     GIR_EraseRootFromParent_Done,
     /* 1474965 */   // Label 20651: @1474965
     /* 1474965 */   GIM_Try, /*On fail goto*//*Label 20652*/ GIMT_Encode4(1475065), // Rule ID 14547 //
     /* 1474970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1474973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1474978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1474981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1474984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1474987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1474990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1474993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1474996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475020 */     // MIs[1] Operand 1
     /* 1475020 */     // No operand predicates
     /* 1475020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475024 */     // MIs[0] policy
     /* 1475024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1475039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475064 */     // GIR_Coverage, 14547,
     /* 1475064 */     GIR_EraseRootFromParent_Done,
     /* 1475065 */   // Label 20652: @1475065
     /* 1475065 */   GIM_Try, /*On fail goto*//*Label 20653*/ GIMT_Encode4(1475165), // Rule ID 14550 //
     /* 1475070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475120 */     // MIs[1] Operand 1
     /* 1475120 */     // No operand predicates
     /* 1475120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475124 */     // MIs[0] policy
     /* 1475124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475136 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1475139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475164 */     // GIR_Coverage, 14550,
     /* 1475164 */     GIR_EraseRootFromParent_Done,
     /* 1475165 */   // Label 20653: @1475165
     /* 1475165 */   GIM_Try, /*On fail goto*//*Label 20654*/ GIMT_Encode4(1475265), // Rule ID 14551 //
     /* 1475170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1475181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1475184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1475187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475220 */     // MIs[1] Operand 1
     /* 1475220 */     // No operand predicates
     /* 1475220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475224 */     // MIs[0] policy
     /* 1475224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1475239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475264 */     // GIR_Coverage, 14551,
     /* 1475264 */     GIR_EraseRootFromParent_Done,
     /* 1475265 */   // Label 20654: @1475265
     /* 1475265 */   GIM_Try, /*On fail goto*//*Label 20655*/ GIMT_Encode4(1475365), // Rule ID 14554 //
     /* 1475270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475320 */     // MIs[1] Operand 1
     /* 1475320 */     // No operand predicates
     /* 1475320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475324 */     // MIs[0] policy
     /* 1475324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475336 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1475339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475364 */     // GIR_Coverage, 14554,
     /* 1475364 */     GIR_EraseRootFromParent_Done,
     /* 1475365 */   // Label 20655: @1475365
     /* 1475365 */   GIM_Try, /*On fail goto*//*Label 20656*/ GIMT_Encode4(1475465), // Rule ID 14555 //
     /* 1475370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1475381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1475384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1475387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1475393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475420 */     // MIs[1] Operand 1
     /* 1475420 */     // No operand predicates
     /* 1475420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475424 */     // MIs[0] policy
     /* 1475424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1475439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1475458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475464 */     // GIR_Coverage, 14555,
     /* 1475464 */     GIR_EraseRootFromParent_Done,
     /* 1475465 */   // Label 20656: @1475465
     /* 1475465 */   GIM_Try, /*On fail goto*//*Label 20657*/ GIMT_Encode4(1475565), // Rule ID 14558 //
     /* 1475470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475520 */     // MIs[1] Operand 1
     /* 1475520 */     // No operand predicates
     /* 1475520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475524 */     // MIs[0] policy
     /* 1475524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475536 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1475539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475564 */     // GIR_Coverage, 14558,
     /* 1475564 */     GIR_EraseRootFromParent_Done,
     /* 1475565 */   // Label 20657: @1475565
     /* 1475565 */   GIM_Try, /*On fail goto*//*Label 20658*/ GIMT_Encode4(1475665), // Rule ID 14559 //
     /* 1475570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1475581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1475584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1475587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1475593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1475600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1475608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475620 */     // MIs[1] Operand 1
     /* 1475620 */     // No operand predicates
     /* 1475620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475624 */     // MIs[0] policy
     /* 1475624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1475639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475664 */     // GIR_Coverage, 14559,
     /* 1475664 */     GIR_EraseRootFromParent_Done,
     /* 1475665 */   // Label 20658: @1475665
     /* 1475665 */   GIM_Try, /*On fail goto*//*Label 20659*/ GIMT_Encode4(1475765), // Rule ID 14562 //
     /* 1475670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475720 */     // MIs[1] Operand 1
     /* 1475720 */     // No operand predicates
     /* 1475720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475724 */     // MIs[0] policy
     /* 1475724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475736 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1475739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475760 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475764 */     // GIR_Coverage, 14562,
     /* 1475764 */     GIR_EraseRootFromParent_Done,
     /* 1475765 */   // Label 20659: @1475765
     /* 1475765 */   GIM_Try, /*On fail goto*//*Label 20660*/ GIMT_Encode4(1475865), // Rule ID 14563 //
     /* 1475770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1475781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1475784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1475787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1475793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1475800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1475808 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475812 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475816 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475820 */     // MIs[1] Operand 1
     /* 1475820 */     // No operand predicates
     /* 1475820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475824 */     // MIs[0] policy
     /* 1475824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475827 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1475836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1475839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475845 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475858 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475860 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475864 */     // GIR_Coverage, 14563,
     /* 1475864 */     GIR_EraseRootFromParent_Done,
     /* 1475865 */   // Label 20660: @1475865
     /* 1475865 */   GIM_Try, /*On fail goto*//*Label 20661*/ GIMT_Encode4(1475965), // Rule ID 14566 //
     /* 1475870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1475873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1475881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1475884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1475887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1475890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1475896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1475900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1475908 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1475912 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1475916 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1475920 */     // MIs[1] Operand 1
     /* 1475920 */     // No operand predicates
     /* 1475920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1475924 */     // MIs[0] policy
     /* 1475924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1475927 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1475929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1475936 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1475936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1475939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1475941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1475943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1475945 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1475948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1475950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1475955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1475958 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1475960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1475963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1475964 */     // GIR_Coverage, 14566,
     /* 1475964 */     GIR_EraseRootFromParent_Done,
     /* 1475965 */   // Label 20661: @1475965
     /* 1475965 */   GIM_Try, /*On fail goto*//*Label 20662*/ GIMT_Encode4(1476065), // Rule ID 14567 //
     /* 1475970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1475973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1475978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1475981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1475984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1475987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1475990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1475993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1475996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1476020 */     // MIs[1] Operand 1
     /* 1476020 */     // No operand predicates
     /* 1476020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476024 */     // MIs[0] policy
     /* 1476024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476027 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1476039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476045 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1476058 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1476063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476064 */     // GIR_Coverage, 14567,
     /* 1476064 */     GIR_EraseRootFromParent_Done,
     /* 1476065 */   // Label 20662: @1476065
     /* 1476065 */   GIM_Try, /*On fail goto*//*Label 20663*/ GIMT_Encode4(1476165), // Rule ID 14570 //
     /* 1476070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1476073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1476078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1476120 */     // MIs[1] Operand 1
     /* 1476120 */     // No operand predicates
     /* 1476120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476124 */     // MIs[0] policy
     /* 1476124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1476139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1476163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476164 */     // GIR_Coverage, 14570,
     /* 1476164 */     GIR_EraseRootFromParent_Done,
     /* 1476165 */   // Label 20663: @1476165
     /* 1476165 */   GIM_Try, /*On fail goto*//*Label 20664*/ GIMT_Encode4(1476265), // Rule ID 14571 //
     /* 1476170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1476178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1476181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1476184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1476187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1476200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1476208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1476220 */     // MIs[1] Operand 1
     /* 1476220 */     // No operand predicates
     /* 1476220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476224 */     // MIs[0] policy
     /* 1476224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476227 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476236 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M2_MASK),
     /* 1476239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476245 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1476263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476264 */     // GIR_Coverage, 14571,
     /* 1476264 */     GIR_EraseRootFromParent_Done,
     /* 1476265 */   // Label 20664: @1476265
     /* 1476265 */   GIM_Try, /*On fail goto*//*Label 20665*/ GIMT_Encode4(1476365), // Rule ID 14574 //
     /* 1476270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1476273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1476278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476308 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476312 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476316 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1476320 */     // MIs[1] Operand 1
     /* 1476320 */     // No operand predicates
     /* 1476320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476324 */     // MIs[0] policy
     /* 1476324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476336 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1476339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1476363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476364 */     // GIR_Coverage, 14574,
     /* 1476364 */     GIR_EraseRootFromParent_Done,
     /* 1476365 */   // Label 20665: @1476365
     /* 1476365 */   GIM_Try, /*On fail goto*//*Label 20666*/ GIMT_Encode4(1476465), // Rule ID 14575 //
     /* 1476370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1476378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1476381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1476384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1476387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1476393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1476400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1476408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1476420 */     // MIs[1] Operand 1
     /* 1476420 */     // No operand predicates
     /* 1476420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476424 */     // MIs[0] policy
     /* 1476424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476436 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M4_MASK),
     /* 1476439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1476463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476464 */     // GIR_Coverage, 14575,
     /* 1476464 */     GIR_EraseRootFromParent_Done,
     /* 1476465 */   // Label 20666: @1476465
     /* 1476465 */   GIM_Try, /*On fail goto*//*Label 20667*/ GIMT_Encode4(1476565), // Rule ID 14578 //
     /* 1476470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1476473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1476478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476508 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476512 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476516 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1476520 */     // MIs[1] Operand 1
     /* 1476520 */     // No operand predicates
     /* 1476520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476524 */     // MIs[0] policy
     /* 1476524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476527 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476536 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1476539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476545 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1476563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476564 */     // GIR_Coverage, 14578,
     /* 1476564 */     GIR_EraseRootFromParent_Done,
     /* 1476565 */   // Label 20667: @1476565
     /* 1476565 */   GIM_Try, /*On fail goto*//*Label 20668*/ GIMT_Encode4(1476665), // Rule ID 14579 //
     /* 1476570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1476573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1476578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1476581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1476584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1476587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1476593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1476600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1476608 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476612 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476616 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm5),
     /* 1476620 */     // MIs[1] Operand 1
     /* 1476620 */     // No operand predicates
     /* 1476620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476624 */     // MIs[0] policy
     /* 1476624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476627 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476636 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VI_M8_MASK),
     /* 1476639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1476643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476645 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1476658 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476660 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1476663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476664 */     // GIR_Coverage, 14579,
     /* 1476664 */     GIR_EraseRootFromParent_Done,
     /* 1476665 */   // Label 20668: @1476665
     /* 1476665 */   GIM_Try, /*On fail goto*//*Label 20669*/ GIMT_Encode4(1476762), // Rule ID 23698 //
     /* 1476670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1476681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1476684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1476687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476708 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476712 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476716 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476720 */     // MIs[1] Operand 1
     /* 1476720 */     // No operand predicates
     /* 1476720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476724 */     // MIs[0] policy
     /* 1476724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1476739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476745 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476758 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476760 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476761 */     // GIR_Coverage, 23698,
     /* 1476761 */     GIR_EraseRootFromParent_Done,
     /* 1476762 */   // Label 20669: @1476762
     /* 1476762 */   GIM_Try, /*On fail goto*//*Label 20670*/ GIMT_Encode4(1476859), // Rule ID 23699 //
     /* 1476767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1476778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1476781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1476784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1476790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476813 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476817 */     // MIs[1] Operand 1
     /* 1476817 */     // No operand predicates
     /* 1476817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476821 */     // MIs[0] policy
     /* 1476821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476824 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476833 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1476833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 1476836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476842 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476858 */     // GIR_Coverage, 23699,
     /* 1476858 */     GIR_EraseRootFromParent_Done,
     /* 1476859 */   // Label 20670: @1476859
     /* 1476859 */   GIM_Try, /*On fail goto*//*Label 20671*/ GIMT_Encode4(1476956), // Rule ID 23702 //
     /* 1476864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1476867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1476875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1476878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1476881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1476884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1476890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1476906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1476910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1476914 */     // MIs[1] Operand 1
     /* 1476914 */     // No operand predicates
     /* 1476914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1476918 */     // MIs[0] policy
     /* 1476918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1476921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1476923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1476930 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1476930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1476933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1476935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1476937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1476939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1476942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1476944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1476949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1476952 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1476954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1476955 */     // GIR_Coverage, 23702,
     /* 1476955 */     GIR_EraseRootFromParent_Done,
     /* 1476956 */   // Label 20671: @1476956
     /* 1476956 */   GIM_Try, /*On fail goto*//*Label 20672*/ GIMT_Encode4(1477053), // Rule ID 23703 //
     /* 1476961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1476964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1476969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1476972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1476975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1476978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1476981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1476984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1476987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1476991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1476999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477011 */     // MIs[1] Operand 1
     /* 1477011 */     // No operand predicates
     /* 1477011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477015 */     // MIs[0] policy
     /* 1477015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477018 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477027 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1477030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477036 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477052 */     // GIR_Coverage, 23703,
     /* 1477052 */     GIR_EraseRootFromParent_Done,
     /* 1477053 */   // Label 20672: @1477053
     /* 1477053 */   GIM_Try, /*On fail goto*//*Label 20673*/ GIMT_Encode4(1477150), // Rule ID 23706 //
     /* 1477058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1477069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1477072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1477075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477096 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477100 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477104 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477108 */     // MIs[1] Operand 1
     /* 1477108 */     // No operand predicates
     /* 1477108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477112 */     // MIs[0] policy
     /* 1477112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477124 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1477127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477133 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477146 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477149 */     // GIR_Coverage, 23706,
     /* 1477149 */     GIR_EraseRootFromParent_Done,
     /* 1477150 */   // Label 20673: @1477150
     /* 1477150 */   GIM_Try, /*On fail goto*//*Label 20674*/ GIMT_Encode4(1477247), // Rule ID 23707 //
     /* 1477155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1477166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1477169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1477172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1477178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477201 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477205 */     // MIs[1] Operand 1
     /* 1477205 */     // No operand predicates
     /* 1477205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477209 */     // MIs[0] policy
     /* 1477209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477212 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477221 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1477224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477230 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477246 */     // GIR_Coverage, 23707,
     /* 1477246 */     GIR_EraseRootFromParent_Done,
     /* 1477247 */   // Label 20674: @1477247
     /* 1477247 */   GIM_Try, /*On fail goto*//*Label 20675*/ GIMT_Encode4(1477344), // Rule ID 23710 //
     /* 1477252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477302 */     // MIs[1] Operand 1
     /* 1477302 */     // No operand predicates
     /* 1477302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477306 */     // MIs[0] policy
     /* 1477306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477318 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1477321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477340 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477343 */     // GIR_Coverage, 23710,
     /* 1477343 */     GIR_EraseRootFromParent_Done,
     /* 1477344 */   // Label 20675: @1477344
     /* 1477344 */   GIM_Try, /*On fail goto*//*Label 20676*/ GIMT_Encode4(1477441), // Rule ID 23711 //
     /* 1477349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1477360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1477363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1477366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477399 */     // MIs[1] Operand 1
     /* 1477399 */     // No operand predicates
     /* 1477399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477403 */     // MIs[0] policy
     /* 1477403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477415 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1477418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477424 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477440 */     // GIR_Coverage, 23711,
     /* 1477440 */     GIR_EraseRootFromParent_Done,
     /* 1477441 */   // Label 20676: @1477441
     /* 1477441 */   GIM_Try, /*On fail goto*//*Label 20677*/ GIMT_Encode4(1477538), // Rule ID 23714 //
     /* 1477446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477492 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477496 */     // MIs[1] Operand 1
     /* 1477496 */     // No operand predicates
     /* 1477496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477500 */     // MIs[0] policy
     /* 1477500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477503 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477512 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1477515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477521 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477534 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477537 */     // GIR_Coverage, 23714,
     /* 1477537 */     GIR_EraseRootFromParent_Done,
     /* 1477538 */   // Label 20677: @1477538
     /* 1477538 */   GIM_Try, /*On fail goto*//*Label 20678*/ GIMT_Encode4(1477635), // Rule ID 23715 //
     /* 1477543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1477554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1477557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1477560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1477566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477581 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477585 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477589 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477593 */     // MIs[1] Operand 1
     /* 1477593 */     // No operand predicates
     /* 1477593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477597 */     // MIs[0] policy
     /* 1477597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1477612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1477631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477634 */     // GIR_Coverage, 23715,
     /* 1477634 */     GIR_EraseRootFromParent_Done,
     /* 1477635 */   // Label 20678: @1477635
     /* 1477635 */   GIM_Try, /*On fail goto*//*Label 20679*/ GIMT_Encode4(1477732), // Rule ID 23718 //
     /* 1477640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477678 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477682 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477686 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477690 */     // MIs[1] Operand 1
     /* 1477690 */     // No operand predicates
     /* 1477690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477694 */     // MIs[0] policy
     /* 1477694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477706 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1477709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477715 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477728 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477731 */     // GIR_Coverage, 23718,
     /* 1477731 */     GIR_EraseRootFromParent_Done,
     /* 1477732 */   // Label 20679: @1477732
     /* 1477732 */   GIM_Try, /*On fail goto*//*Label 20680*/ GIMT_Encode4(1477829), // Rule ID 23719 //
     /* 1477737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1477748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1477751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1477754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1477760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477775 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477779 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477783 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477787 */     // MIs[1] Operand 1
     /* 1477787 */     // No operand predicates
     /* 1477787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477791 */     // MIs[0] policy
     /* 1477791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477803 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1477806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477812 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1477825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477828 */     // GIR_Coverage, 23719,
     /* 1477828 */     GIR_EraseRootFromParent_Done,
     /* 1477829 */   // Label 20680: @1477829
     /* 1477829 */   GIM_Try, /*On fail goto*//*Label 20681*/ GIMT_Encode4(1477926), // Rule ID 23722 //
     /* 1477834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1477837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1477845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1477848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1477851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1477854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1477860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477880 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477884 */     // MIs[1] Operand 1
     /* 1477884 */     // No operand predicates
     /* 1477884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477888 */     // MIs[0] policy
     /* 1477888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477891 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477900 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1477900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1477903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1477905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1477907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1477909 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1477912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1477914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1477919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1477922 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1477924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1477925 */     // GIR_Coverage, 23722,
     /* 1477925 */     GIR_EraseRootFromParent_Done,
     /* 1477926 */   // Label 20681: @1477926
     /* 1477926 */   GIM_Try, /*On fail goto*//*Label 20682*/ GIMT_Encode4(1478023), // Rule ID 23723 //
     /* 1477931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1477934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1477939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1477942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1477945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1477948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1477951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1477954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1477957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1477961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1477969 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1477973 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1477977 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1477981 */     // MIs[1] Operand 1
     /* 1477981 */     // No operand predicates
     /* 1477981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1477985 */     // MIs[0] policy
     /* 1477985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1477988 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1477990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1477997 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1477997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1478000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478006 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478022 */     // GIR_Coverage, 23723,
     /* 1478022 */     GIR_EraseRootFromParent_Done,
     /* 1478023 */   // Label 20682: @1478023
     /* 1478023 */   GIM_Try, /*On fail goto*//*Label 20683*/ GIMT_Encode4(1478120), // Rule ID 23726 //
     /* 1478028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1478039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1478042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1478045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478078 */     // MIs[1] Operand 1
     /* 1478078 */     // No operand predicates
     /* 1478078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478082 */     // MIs[0] policy
     /* 1478082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478094 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1478097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478116 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478119 */     // GIR_Coverage, 23726,
     /* 1478119 */     GIR_EraseRootFromParent_Done,
     /* 1478120 */   // Label 20683: @1478120
     /* 1478120 */   GIM_Try, /*On fail goto*//*Label 20684*/ GIMT_Encode4(1478217), // Rule ID 23727 //
     /* 1478125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1478136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1478139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1478142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1478148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478175 */     // MIs[1] Operand 1
     /* 1478175 */     // No operand predicates
     /* 1478175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478179 */     // MIs[0] policy
     /* 1478179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478182 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478191 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1478194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478200 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1478213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478216 */     // GIR_Coverage, 23727,
     /* 1478216 */     GIR_EraseRootFromParent_Done,
     /* 1478217 */   // Label 20684: @1478217
     /* 1478217 */   GIM_Try, /*On fail goto*//*Label 20685*/ GIMT_Encode4(1478314), // Rule ID 23730 //
     /* 1478222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1478239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478260 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478264 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478268 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478272 */     // MIs[1] Operand 1
     /* 1478272 */     // No operand predicates
     /* 1478272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478276 */     // MIs[0] policy
     /* 1478276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478279 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478288 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1478291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478297 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478310 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478312 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478313 */     // GIR_Coverage, 23730,
     /* 1478313 */     GIR_EraseRootFromParent_Done,
     /* 1478314 */   // Label 20685: @1478314
     /* 1478314 */   GIM_Try, /*On fail goto*//*Label 20686*/ GIMT_Encode4(1478411), // Rule ID 23731 //
     /* 1478319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1478330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1478333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1478336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1478342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478369 */     // MIs[1] Operand 1
     /* 1478369 */     // No operand predicates
     /* 1478369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478373 */     // MIs[0] policy
     /* 1478373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478385 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1478388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1478407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478410 */     // GIR_Coverage, 23731,
     /* 1478410 */     GIR_EraseRootFromParent_Done,
     /* 1478411 */   // Label 20686: @1478411
     /* 1478411 */   GIM_Try, /*On fail goto*//*Label 20687*/ GIMT_Encode4(1478508), // Rule ID 23734 //
     /* 1478416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1478419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478466 */     // MIs[1] Operand 1
     /* 1478466 */     // No operand predicates
     /* 1478466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478470 */     // MIs[0] policy
     /* 1478470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1478485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478506 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478507 */     // GIR_Coverage, 23734,
     /* 1478507 */     GIR_EraseRootFromParent_Done,
     /* 1478508 */   // Label 20687: @1478508
     /* 1478508 */   GIM_Try, /*On fail goto*//*Label 20688*/ GIMT_Encode4(1478605), // Rule ID 23735 //
     /* 1478513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1478516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1478524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1478527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1478530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1478536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1478543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1478551 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478555 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478559 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478563 */     // MIs[1] Operand 1
     /* 1478563 */     // No operand predicates
     /* 1478563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478567 */     // MIs[0] policy
     /* 1478567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478570 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478579 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1478582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478588 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1478601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478604 */     // GIR_Coverage, 23735,
     /* 1478604 */     GIR_EraseRootFromParent_Done,
     /* 1478605 */   // Label 20688: @1478605
     /* 1478605 */   GIM_Try, /*On fail goto*//*Label 20689*/ GIMT_Encode4(1478702), // Rule ID 23738 //
     /* 1478610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1478621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1478624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1478627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478656 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478660 */     // MIs[1] Operand 1
     /* 1478660 */     // No operand predicates
     /* 1478660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478664 */     // MIs[0] policy
     /* 1478664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478667 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478676 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1478679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478685 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478700 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478701 */     // GIR_Coverage, 23738,
     /* 1478701 */     GIR_EraseRootFromParent_Done,
     /* 1478702 */   // Label 20689: @1478702
     /* 1478702 */   GIM_Try, /*On fail goto*//*Label 20690*/ GIMT_Encode4(1478799), // Rule ID 23739 //
     /* 1478707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1478718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1478721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1478724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1478730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1478737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1478745 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478749 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478753 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478757 */     // MIs[1] Operand 1
     /* 1478757 */     // No operand predicates
     /* 1478757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478761 */     // MIs[0] policy
     /* 1478761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478773 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1478776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478782 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478798 */     // GIR_Coverage, 23739,
     /* 1478798 */     GIR_EraseRootFromParent_Done,
     /* 1478799 */   // Label 20690: @1478799
     /* 1478799 */   GIM_Try, /*On fail goto*//*Label 20691*/ GIMT_Encode4(1478896), // Rule ID 23742 //
     /* 1478804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1478807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1478815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1478818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1478821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1478824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1478830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478842 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478846 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478850 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478854 */     // MIs[1] Operand 1
     /* 1478854 */     // No operand predicates
     /* 1478854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478858 */     // MIs[0] policy
     /* 1478858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478861 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478870 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1478870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1478873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478879 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478894 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478895 */     // GIR_Coverage, 23742,
     /* 1478895 */     GIR_EraseRootFromParent_Done,
     /* 1478896 */   // Label 20691: @1478896
     /* 1478896 */   GIM_Try, /*On fail goto*//*Label 20692*/ GIMT_Encode4(1478993), // Rule ID 23743 //
     /* 1478901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1478904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1478909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1478912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1478915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1478918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1478921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1478924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1478927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1478931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1478939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1478943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1478947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1478951 */     // MIs[1] Operand 1
     /* 1478951 */     // No operand predicates
     /* 1478951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1478955 */     // MIs[0] policy
     /* 1478955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1478958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1478960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1478967 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1478967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1478970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1478972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1478974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1478976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1478979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1478981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1478986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1478989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1478991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1478992 */     // GIR_Coverage, 23743,
     /* 1478992 */     GIR_EraseRootFromParent_Done,
     /* 1478993 */   // Label 20692: @1478993
     /* 1478993 */   GIM_Try, /*On fail goto*//*Label 20693*/ GIMT_Encode4(1479090), // Rule ID 23746 //
     /* 1478998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1479009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1479012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1479015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1479021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479036 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479040 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479044 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479048 */     // MIs[1] Operand 1
     /* 1479048 */     // No operand predicates
     /* 1479048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479052 */     // MIs[0] policy
     /* 1479052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479055 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479064 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1479067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479073 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479088 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479089 */     // GIR_Coverage, 23746,
     /* 1479089 */     GIR_EraseRootFromParent_Done,
     /* 1479090 */   // Label 20693: @1479090
     /* 1479090 */   GIM_Try, /*On fail goto*//*Label 20694*/ GIMT_Encode4(1479187), // Rule ID 23747 //
     /* 1479095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1479106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1479109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1479112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1479118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479133 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479137 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479141 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479145 */     // MIs[1] Operand 1
     /* 1479145 */     // No operand predicates
     /* 1479145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479149 */     // MIs[0] policy
     /* 1479149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479161 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1479164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479170 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1479183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479186 */     // GIR_Coverage, 23747,
     /* 1479186 */     GIR_EraseRootFromParent_Done,
     /* 1479187 */   // Label 20694: @1479187
     /* 1479187 */   GIM_Try, /*On fail goto*//*Label 20695*/ GIMT_Encode4(1479284), // Rule ID 23750 //
     /* 1479192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1479209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479242 */     // MIs[1] Operand 1
     /* 1479242 */     // No operand predicates
     /* 1479242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479246 */     // MIs[0] policy
     /* 1479246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479258 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1479261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479282 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479283 */     // GIR_Coverage, 23750,
     /* 1479283 */     GIR_EraseRootFromParent_Done,
     /* 1479284 */   // Label 20695: @1479284
     /* 1479284 */   GIM_Try, /*On fail goto*//*Label 20696*/ GIMT_Encode4(1479381), // Rule ID 23751 //
     /* 1479289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1479300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1479303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1479306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479339 */     // MIs[1] Operand 1
     /* 1479339 */     // No operand predicates
     /* 1479339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479343 */     // MIs[0] policy
     /* 1479343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479355 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1479358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479380 */     // GIR_Coverage, 23751,
     /* 1479380 */     GIR_EraseRootFromParent_Done,
     /* 1479381 */   // Label 20696: @1479381
     /* 1479381 */   GIM_Try, /*On fail goto*//*Label 20697*/ GIMT_Encode4(1479478), // Rule ID 23754 //
     /* 1479386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1479403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479432 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479436 */     // MIs[1] Operand 1
     /* 1479436 */     // No operand predicates
     /* 1479436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479440 */     // MIs[0] policy
     /* 1479440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479443 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1479455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479461 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479476 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479477 */     // GIR_Coverage, 23754,
     /* 1479477 */     GIR_EraseRootFromParent_Done,
     /* 1479478 */   // Label 20697: @1479478
     /* 1479478 */   GIM_Try, /*On fail goto*//*Label 20698*/ GIMT_Encode4(1479575), // Rule ID 23755 //
     /* 1479483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1479494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1479497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1479500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1479506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1479521 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479525 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479529 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479533 */     // MIs[1] Operand 1
     /* 1479533 */     // No operand predicates
     /* 1479533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479537 */     // MIs[0] policy
     /* 1479537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479540 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479549 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1479552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479558 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479574 */     // GIR_Coverage, 23755,
     /* 1479574 */     GIR_EraseRootFromParent_Done,
     /* 1479575 */   // Label 20698: @1479575
     /* 1479575 */   GIM_Try, /*On fail goto*//*Label 20699*/ GIMT_Encode4(1479672), // Rule ID 23758 //
     /* 1479580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1479591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1479594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1479597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1479603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479630 */     // MIs[1] Operand 1
     /* 1479630 */     // No operand predicates
     /* 1479630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479634 */     // MIs[0] policy
     /* 1479634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1479649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479670 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479671 */     // GIR_Coverage, 23758,
     /* 1479671 */     GIR_EraseRootFromParent_Done,
     /* 1479672 */   // Label 20699: @1479672
     /* 1479672 */   GIM_Try, /*On fail goto*//*Label 20700*/ GIMT_Encode4(1479769), // Rule ID 23759 //
     /* 1479677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1479688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1479691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1479694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1479700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1479707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1479715 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479719 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479723 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479727 */     // MIs[1] Operand 1
     /* 1479727 */     // No operand predicates
     /* 1479727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479731 */     // MIs[0] policy
     /* 1479731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479734 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479743 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1479746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479752 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1479765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479768 */     // GIR_Coverage, 23759,
     /* 1479768 */     GIR_EraseRootFromParent_Done,
     /* 1479769 */   // Label 20700: @1479769
     /* 1479769 */   GIM_Try, /*On fail goto*//*Label 20701*/ GIMT_Encode4(1479866), // Rule ID 23762 //
     /* 1479774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1479785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1479788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1479791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479820 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479824 */     // MIs[1] Operand 1
     /* 1479824 */     // No operand predicates
     /* 1479824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479828 */     // MIs[0] policy
     /* 1479828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479831 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1479840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1479843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479849 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479862 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479864 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479865 */     // GIR_Coverage, 23762,
     /* 1479865 */     GIR_EraseRootFromParent_Done,
     /* 1479866 */   // Label 20701: @1479866
     /* 1479866 */   GIM_Try, /*On fail goto*//*Label 20702*/ GIMT_Encode4(1479963), // Rule ID 23763 //
     /* 1479871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1479874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1479882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1479885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1479888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1479891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1479894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1479897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1479901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1479909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1479913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1479917 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1479921 */     // MIs[1] Operand 1
     /* 1479921 */     // No operand predicates
     /* 1479921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1479925 */     // MIs[0] policy
     /* 1479925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1479928 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1479930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1479937 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1479937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1479940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1479942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1479944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1479946 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1479949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1479951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1479956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1479959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1479961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1479962 */     // GIR_Coverage, 23763,
     /* 1479962 */     GIR_EraseRootFromParent_Done,
     /* 1479963 */   // Label 20702: @1479963
     /* 1479963 */   GIM_Try, /*On fail goto*//*Label 20703*/ GIMT_Encode4(1480060), // Rule ID 23766 //
     /* 1479968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1479971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1479976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1479979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1479982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1479985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1479988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1479991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1479994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1479998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480014 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480018 */     // MIs[1] Operand 1
     /* 1480018 */     // No operand predicates
     /* 1480018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480022 */     // MIs[0] policy
     /* 1480022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480034 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1480037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480056 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480058 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480059 */     // GIR_Coverage, 23766,
     /* 1480059 */     GIR_EraseRootFromParent_Done,
     /* 1480060 */   // Label 20703: @1480060
     /* 1480060 */   GIM_Try, /*On fail goto*//*Label 20704*/ GIMT_Encode4(1480157), // Rule ID 23767 //
     /* 1480065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1480076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1480079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1480082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480115 */     // MIs[1] Operand 1
     /* 1480115 */     // No operand predicates
     /* 1480115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480119 */     // MIs[0] policy
     /* 1480119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480131 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1480134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480140 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480156 */     // GIR_Coverage, 23767,
     /* 1480156 */     GIR_EraseRootFromParent_Done,
     /* 1480157 */   // Label 20704: @1480157
     /* 1480157 */   GIM_Try, /*On fail goto*//*Label 20705*/ GIMT_Encode4(1480254), // Rule ID 23770 //
     /* 1480162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1480173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1480176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1480179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480200 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480204 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480208 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480212 */     // MIs[1] Operand 1
     /* 1480212 */     // No operand predicates
     /* 1480212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480216 */     // MIs[0] policy
     /* 1480216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480219 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1480231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480237 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480250 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480252 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480253 */     // GIR_Coverage, 23770,
     /* 1480253 */     GIR_EraseRootFromParent_Done,
     /* 1480254 */   // Label 20705: @1480254
     /* 1480254 */   GIM_Try, /*On fail goto*//*Label 20706*/ GIMT_Encode4(1480351), // Rule ID 23771 //
     /* 1480259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1480262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1480270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1480273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1480276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1480282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480305 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480309 */     // MIs[1] Operand 1
     /* 1480309 */     // No operand predicates
     /* 1480309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480313 */     // MIs[0] policy
     /* 1480313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480316 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480325 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1480328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480334 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1480347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480350 */     // GIR_Coverage, 23771,
     /* 1480350 */     GIR_EraseRootFromParent_Done,
     /* 1480351 */   // Label 20706: @1480351
     /* 1480351 */   GIM_Try, /*On fail goto*//*Label 20707*/ GIMT_Encode4(1480448), // Rule ID 23774 //
     /* 1480356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1480373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480406 */     // MIs[1] Operand 1
     /* 1480406 */     // No operand predicates
     /* 1480406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480410 */     // MIs[0] policy
     /* 1480410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480422 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1480425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480444 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480446 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480447 */     // GIR_Coverage, 23774,
     /* 1480447 */     GIR_EraseRootFromParent_Done,
     /* 1480448 */   // Label 20707: @1480448
     /* 1480448 */   GIM_Try, /*On fail goto*//*Label 20708*/ GIMT_Encode4(1480545), // Rule ID 23775 //
     /* 1480453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1480464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1480467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1480470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1480476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1480483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1480491 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480495 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480499 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480503 */     // MIs[1] Operand 1
     /* 1480503 */     // No operand predicates
     /* 1480503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480507 */     // MIs[0] policy
     /* 1480507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480519 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1480522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480528 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480544 */     // GIR_Coverage, 23775,
     /* 1480544 */     GIR_EraseRootFromParent_Done,
     /* 1480545 */   // Label 20708: @1480545
     /* 1480545 */   GIM_Try, /*On fail goto*//*Label 20709*/ GIMT_Encode4(1480642), // Rule ID 23778 //
     /* 1480550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1480567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480600 */     // MIs[1] Operand 1
     /* 1480600 */     // No operand predicates
     /* 1480600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480604 */     // MIs[0] policy
     /* 1480604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480607 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1480619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480625 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480638 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480641 */     // GIR_Coverage, 23778,
     /* 1480641 */     GIR_EraseRootFromParent_Done,
     /* 1480642 */   // Label 20709: @1480642
     /* 1480642 */   GIM_Try, /*On fail goto*//*Label 20710*/ GIMT_Encode4(1480739), // Rule ID 23779 //
     /* 1480647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1480658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1480661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1480664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1480670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1480677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1480685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480693 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480697 */     // MIs[1] Operand 1
     /* 1480697 */     // No operand predicates
     /* 1480697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480701 */     // MIs[0] policy
     /* 1480701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480704 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480713 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1480716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480722 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480738 */     // GIR_Coverage, 23779,
     /* 1480738 */     GIR_EraseRootFromParent_Done,
     /* 1480739 */   // Label 20710: @1480739
     /* 1480739 */   GIM_Try, /*On fail goto*//*Label 20711*/ GIMT_Encode4(1480836), // Rule ID 23782 //
     /* 1480744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1480747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1480755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1480758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1480761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480790 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480794 */     // MIs[1] Operand 1
     /* 1480794 */     // No operand predicates
     /* 1480794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480798 */     // MIs[0] policy
     /* 1480798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480801 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480810 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1480810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1480813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480819 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480832 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480835 */     // GIR_Coverage, 23782,
     /* 1480835 */     GIR_EraseRootFromParent_Done,
     /* 1480836 */   // Label 20711: @1480836
     /* 1480836 */   GIM_Try, /*On fail goto*//*Label 20712*/ GIMT_Encode4(1480933), // Rule ID 23783 //
     /* 1480841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1480844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1480849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1480852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1480855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1480858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1480861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1480864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1480867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1480871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1480879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480887 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480891 */     // MIs[1] Operand 1
     /* 1480891 */     // No operand predicates
     /* 1480891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480895 */     // MIs[0] policy
     /* 1480895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1480907 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1480907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1480910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1480912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1480914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1480916 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1480919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1480921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1480926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1480929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1480931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1480932 */     // GIR_Coverage, 23783,
     /* 1480932 */     GIR_EraseRootFromParent_Done,
     /* 1480933 */   // Label 20712: @1480933
     /* 1480933 */   GIM_Try, /*On fail goto*//*Label 20713*/ GIMT_Encode4(1481030), // Rule ID 23874 //
     /* 1480938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1480941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1480946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1480949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1480952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1480955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1480958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1480961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1480964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1480968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1480976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1480980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1480984 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1480988 */     // MIs[1] Operand 1
     /* 1480988 */     // No operand predicates
     /* 1480988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1480992 */     // MIs[0] policy
     /* 1480992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1480995 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1480997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481004 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1481007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481013 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481026 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481029 */     // GIR_Coverage, 23874,
     /* 1481029 */     GIR_EraseRootFromParent_Done,
     /* 1481030 */   // Label 20713: @1481030
     /* 1481030 */   GIM_Try, /*On fail goto*//*Label 20714*/ GIMT_Encode4(1481127), // Rule ID 23875 //
     /* 1481035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1481046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1481049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1481052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481081 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481085 */     // MIs[1] Operand 1
     /* 1481085 */     // No operand predicates
     /* 1481085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481089 */     // MIs[0] policy
     /* 1481089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481092 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481101 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 1481104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481110 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481126 */     // GIR_Coverage, 23875,
     /* 1481126 */     GIR_EraseRootFromParent_Done,
     /* 1481127 */   // Label 20714: @1481127
     /* 1481127 */   GIM_Try, /*On fail goto*//*Label 20715*/ GIMT_Encode4(1481224), // Rule ID 23878 //
     /* 1481132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1481143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1481146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1481149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481170 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481174 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481178 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481182 */     // MIs[1] Operand 1
     /* 1481182 */     // No operand predicates
     /* 1481182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481186 */     // MIs[0] policy
     /* 1481186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481189 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481198 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1481201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481207 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481220 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481223 */     // GIR_Coverage, 23878,
     /* 1481223 */     GIR_EraseRootFromParent_Done,
     /* 1481224 */   // Label 20715: @1481224
     /* 1481224 */   GIM_Try, /*On fail goto*//*Label 20716*/ GIMT_Encode4(1481321), // Rule ID 23879 //
     /* 1481229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1481240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1481243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1481246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481275 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481279 */     // MIs[1] Operand 1
     /* 1481279 */     // No operand predicates
     /* 1481279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481283 */     // MIs[0] policy
     /* 1481283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481286 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481295 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1481298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481304 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481320 */     // GIR_Coverage, 23879,
     /* 1481320 */     GIR_EraseRootFromParent_Done,
     /* 1481321 */   // Label 20716: @1481321
     /* 1481321 */   GIM_Try, /*On fail goto*//*Label 20717*/ GIMT_Encode4(1481418), // Rule ID 23882 //
     /* 1481326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1481337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1481340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1481343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481364 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481368 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481372 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481376 */     // MIs[1] Operand 1
     /* 1481376 */     // No operand predicates
     /* 1481376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481380 */     // MIs[0] policy
     /* 1481380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481383 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481392 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481401 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481414 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481417 */     // GIR_Coverage, 23882,
     /* 1481417 */     GIR_EraseRootFromParent_Done,
     /* 1481418 */   // Label 20717: @1481418
     /* 1481418 */   GIM_Try, /*On fail goto*//*Label 20718*/ GIMT_Encode4(1481515), // Rule ID 23883 //
     /* 1481423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1481434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1481437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1481440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1481446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481461 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481465 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481469 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481473 */     // MIs[1] Operand 1
     /* 1481473 */     // No operand predicates
     /* 1481473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481477 */     // MIs[0] policy
     /* 1481477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481489 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1481511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481514 */     // GIR_Coverage, 23883,
     /* 1481514 */     GIR_EraseRootFromParent_Done,
     /* 1481515 */   // Label 20718: @1481515
     /* 1481515 */   GIM_Try, /*On fail goto*//*Label 20719*/ GIMT_Encode4(1481612), // Rule ID 23886 //
     /* 1481520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1481537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481566 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481570 */     // MIs[1] Operand 1
     /* 1481570 */     // No operand predicates
     /* 1481570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481574 */     // MIs[0] policy
     /* 1481574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481577 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1481589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481595 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481608 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481611 */     // GIR_Coverage, 23886,
     /* 1481611 */     GIR_EraseRootFromParent_Done,
     /* 1481612 */   // Label 20719: @1481612
     /* 1481612 */   GIM_Try, /*On fail goto*//*Label 20720*/ GIMT_Encode4(1481709), // Rule ID 23887 //
     /* 1481617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1481628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1481631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1481634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481667 */     // MIs[1] Operand 1
     /* 1481667 */     // No operand predicates
     /* 1481667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481671 */     // MIs[0] policy
     /* 1481671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481683 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1481686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481708 */     // GIR_Coverage, 23887,
     /* 1481708 */     GIR_EraseRootFromParent_Done,
     /* 1481709 */   // Label 20720: @1481709
     /* 1481709 */   GIM_Try, /*On fail goto*//*Label 20721*/ GIMT_Encode4(1481806), // Rule ID 23890 //
     /* 1481714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481752 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481756 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481760 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481764 */     // MIs[1] Operand 1
     /* 1481764 */     // No operand predicates
     /* 1481764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481768 */     // MIs[0] policy
     /* 1481768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481771 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481780 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481789 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481802 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481804 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481805 */     // GIR_Coverage, 23890,
     /* 1481805 */     GIR_EraseRootFromParent_Done,
     /* 1481806 */   // Label 20721: @1481806
     /* 1481806 */   GIM_Try, /*On fail goto*//*Label 20722*/ GIMT_Encode4(1481903), // Rule ID 23891 //
     /* 1481811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1481814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1481822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1481825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1481828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1481831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1481834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1481837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481857 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481861 */     // MIs[1] Operand 1
     /* 1481861 */     // No operand predicates
     /* 1481861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481865 */     // MIs[0] policy
     /* 1481865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481877 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1481877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481886 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1481899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481902 */     // GIR_Coverage, 23891,
     /* 1481902 */     GIR_EraseRootFromParent_Done,
     /* 1481903 */   // Label 20722: @1481903
     /* 1481903 */   GIM_Try, /*On fail goto*//*Label 20723*/ GIMT_Encode4(1482000), // Rule ID 23894 //
     /* 1481908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1481911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1481916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1481919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1481922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1481925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1481928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1481931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1481934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1481938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1481946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1481950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1481954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1481958 */     // MIs[1] Operand 1
     /* 1481958 */     // No operand predicates
     /* 1481958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1481962 */     // MIs[0] policy
     /* 1481962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1481965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1481967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1481974 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1481974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1481977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1481979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1481981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1481983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1481986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1481988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1481993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1481996 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1481998 */     GIR_RootConstrainSelectedInstOperands,
     /* 1481999 */     // GIR_Coverage, 23894,
     /* 1481999 */     GIR_EraseRootFromParent_Done,
     /* 1482000 */   // Label 20723: @1482000
     /* 1482000 */   GIM_Try, /*On fail goto*//*Label 20724*/ GIMT_Encode4(1482097), // Rule ID 23895 //
     /* 1482005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1482016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1482019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1482022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482055 */     // MIs[1] Operand 1
     /* 1482055 */     // No operand predicates
     /* 1482055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482059 */     // MIs[0] policy
     /* 1482059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482071 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1482074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482096 */     // GIR_Coverage, 23895,
     /* 1482096 */     GIR_EraseRootFromParent_Done,
     /* 1482097 */   // Label 20724: @1482097
     /* 1482097 */   GIM_Try, /*On fail goto*//*Label 20725*/ GIMT_Encode4(1482194), // Rule ID 23898 //
     /* 1482102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1482113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1482116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1482119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482140 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482144 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482148 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482152 */     // MIs[1] Operand 1
     /* 1482152 */     // No operand predicates
     /* 1482152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482156 */     // MIs[0] policy
     /* 1482156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482159 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482168 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482177 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482192 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482193 */     // GIR_Coverage, 23898,
     /* 1482193 */     GIR_EraseRootFromParent_Done,
     /* 1482194 */   // Label 20725: @1482194
     /* 1482194 */   GIM_Try, /*On fail goto*//*Label 20726*/ GIMT_Encode4(1482291), // Rule ID 23899 //
     /* 1482199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1482210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1482213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1482216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1482222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482249 */     // MIs[1] Operand 1
     /* 1482249 */     // No operand predicates
     /* 1482249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482253 */     // MIs[0] policy
     /* 1482253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482256 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482265 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482274 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482290 */     // GIR_Coverage, 23899,
     /* 1482290 */     GIR_EraseRootFromParent_Done,
     /* 1482291 */   // Label 20726: @1482291
     /* 1482291 */   GIM_Try, /*On fail goto*//*Label 20727*/ GIMT_Encode4(1482388), // Rule ID 23902 //
     /* 1482296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1482307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1482310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1482313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482346 */     // MIs[1] Operand 1
     /* 1482346 */     // No operand predicates
     /* 1482346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482350 */     // MIs[0] policy
     /* 1482350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482362 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482386 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482387 */     // GIR_Coverage, 23902,
     /* 1482387 */     GIR_EraseRootFromParent_Done,
     /* 1482388 */   // Label 20727: @1482388
     /* 1482388 */   GIM_Try, /*On fail goto*//*Label 20728*/ GIMT_Encode4(1482485), // Rule ID 23903 //
     /* 1482393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1482404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1482407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1482410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1482416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482431 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482435 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482439 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482443 */     // MIs[1] Operand 1
     /* 1482443 */     // No operand predicates
     /* 1482443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482447 */     // MIs[0] policy
     /* 1482447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482459 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1482481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482484 */     // GIR_Coverage, 23903,
     /* 1482484 */     GIR_EraseRootFromParent_Done,
     /* 1482485 */   // Label 20728: @1482485
     /* 1482485 */   GIM_Try, /*On fail goto*//*Label 20729*/ GIMT_Encode4(1482582), // Rule ID 23906 //
     /* 1482490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1482501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1482504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1482507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482540 */     // MIs[1] Operand 1
     /* 1482540 */     // No operand predicates
     /* 1482540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482544 */     // MIs[0] policy
     /* 1482544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482547 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482565 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482580 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482581 */     // GIR_Coverage, 23906,
     /* 1482581 */     GIR_EraseRootFromParent_Done,
     /* 1482582 */   // Label 20729: @1482582
     /* 1482582 */   GIM_Try, /*On fail goto*//*Label 20730*/ GIMT_Encode4(1482679), // Rule ID 23907 //
     /* 1482587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1482598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1482601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1482604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1482610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482633 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482637 */     // MIs[1] Operand 1
     /* 1482637 */     // No operand predicates
     /* 1482637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482641 */     // MIs[0] policy
     /* 1482641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482644 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482653 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482662 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1482675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482678 */     // GIR_Coverage, 23907,
     /* 1482678 */     GIR_EraseRootFromParent_Done,
     /* 1482679 */   // Label 20730: @1482679
     /* 1482679 */   GIM_Try, /*On fail goto*//*Label 20731*/ GIMT_Encode4(1482776), // Rule ID 23910 //
     /* 1482684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1482687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1482695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1482698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1482701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482722 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482726 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482730 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482734 */     // MIs[1] Operand 1
     /* 1482734 */     // No operand predicates
     /* 1482734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482738 */     // MIs[0] policy
     /* 1482738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482741 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482759 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482774 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482775 */     // GIR_Coverage, 23910,
     /* 1482775 */     GIR_EraseRootFromParent_Done,
     /* 1482776 */   // Label 20731: @1482776
     /* 1482776 */   GIM_Try, /*On fail goto*//*Label 20732*/ GIMT_Encode4(1482873), // Rule ID 23911 //
     /* 1482781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1482784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1482792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1482795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1482798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1482804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1482807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1482811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1482819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482831 */     // MIs[1] Operand 1
     /* 1482831 */     // No operand predicates
     /* 1482831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482835 */     // MIs[0] policy
     /* 1482835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482847 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1482847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1482850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1482869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482872 */     // GIR_Coverage, 23911,
     /* 1482872 */     GIR_EraseRootFromParent_Done,
     /* 1482873 */   // Label 20732: @1482873
     /* 1482873 */   GIM_Try, /*On fail goto*//*Label 20733*/ GIMT_Encode4(1482970), // Rule ID 23914 //
     /* 1482878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1482881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1482889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1482892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1482895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1482898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1482904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1482908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1482916 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1482920 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1482924 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1482928 */     // MIs[1] Operand 1
     /* 1482928 */     // No operand predicates
     /* 1482928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1482932 */     // MIs[0] policy
     /* 1482932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1482935 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1482937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1482944 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1482944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1482947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1482949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1482951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1482953 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1482956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1482958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1482963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1482966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1482968 */     GIR_RootConstrainSelectedInstOperands,
     /* 1482969 */     // GIR_Coverage, 23914,
     /* 1482969 */     GIR_EraseRootFromParent_Done,
     /* 1482970 */   // Label 20733: @1482970
     /* 1482970 */   GIM_Try, /*On fail goto*//*Label 20734*/ GIMT_Encode4(1483067), // Rule ID 23915 //
     /* 1482975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1482978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1482983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1482986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1482989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1482992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1482995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1482998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483013 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483017 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483021 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483025 */     // MIs[1] Operand 1
     /* 1483025 */     // No operand predicates
     /* 1483025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483029 */     // MIs[0] policy
     /* 1483029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483032 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483041 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1483044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483050 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1483063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483066 */     // GIR_Coverage, 23915,
     /* 1483066 */     GIR_EraseRootFromParent_Done,
     /* 1483067 */   // Label 20734: @1483067
     /* 1483067 */   GIM_Try, /*On fail goto*//*Label 20735*/ GIMT_Encode4(1483164), // Rule ID 23918 //
     /* 1483072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1483083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1483086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1483089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483110 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483114 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483118 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483122 */     // MIs[1] Operand 1
     /* 1483122 */     // No operand predicates
     /* 1483122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483126 */     // MIs[0] policy
     /* 1483126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483129 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483138 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1483141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483147 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1483160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483162 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483163 */     // GIR_Coverage, 23918,
     /* 1483163 */     GIR_EraseRootFromParent_Done,
     /* 1483164 */   // Label 20735: @1483164
     /* 1483164 */   GIM_Try, /*On fail goto*//*Label 20736*/ GIMT_Encode4(1483261), // Rule ID 23919 //
     /* 1483169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1483180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1483183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1483186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483219 */     // MIs[1] Operand 1
     /* 1483219 */     // No operand predicates
     /* 1483219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483223 */     // MIs[0] policy
     /* 1483223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483235 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1483238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1483257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483260 */     // GIR_Coverage, 23919,
     /* 1483260 */     GIR_EraseRootFromParent_Done,
     /* 1483261 */   // Label 20736: @1483261
     /* 1483261 */   GIM_Try, /*On fail goto*//*Label 20737*/ GIMT_Encode4(1483358), // Rule ID 23922 //
     /* 1483266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1483277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1483280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1483283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1483289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483312 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483316 */     // MIs[1] Operand 1
     /* 1483316 */     // No operand predicates
     /* 1483316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483320 */     // MIs[0] policy
     /* 1483320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483323 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483332 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1483335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483341 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1483354 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483356 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483357 */     // GIR_Coverage, 23922,
     /* 1483357 */     GIR_EraseRootFromParent_Done,
     /* 1483358 */   // Label 20737: @1483358
     /* 1483358 */   GIM_Try, /*On fail goto*//*Label 20738*/ GIMT_Encode4(1483455), // Rule ID 23923 //
     /* 1483363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1483374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1483377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1483380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1483386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483401 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483405 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483409 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483413 */     // MIs[1] Operand 1
     /* 1483413 */     // No operand predicates
     /* 1483413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483417 */     // MIs[0] policy
     /* 1483417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483420 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483429 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1483432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483438 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1483451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483454 */     // GIR_Coverage, 23923,
     /* 1483454 */     GIR_EraseRootFromParent_Done,
     /* 1483455 */   // Label 20738: @1483455
     /* 1483455 */   GIM_Try, /*On fail goto*//*Label 20739*/ GIMT_Encode4(1483552), // Rule ID 23926 //
     /* 1483460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1483471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1483474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1483477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483506 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483510 */     // MIs[1] Operand 1
     /* 1483510 */     // No operand predicates
     /* 1483510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483514 */     // MIs[0] policy
     /* 1483514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483517 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483526 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1483529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483535 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483548 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483550 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483551 */     // GIR_Coverage, 23926,
     /* 1483551 */     GIR_EraseRootFromParent_Done,
     /* 1483552 */   // Label 20739: @1483552
     /* 1483552 */   GIM_Try, /*On fail goto*//*Label 20740*/ GIMT_Encode4(1483649), // Rule ID 23927 //
     /* 1483557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1483568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1483571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1483574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1483580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1483587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1483595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483603 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483607 */     // MIs[1] Operand 1
     /* 1483607 */     // No operand predicates
     /* 1483607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483611 */     // MIs[0] policy
     /* 1483611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483614 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483623 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1483626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483632 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483648 */     // GIR_Coverage, 23927,
     /* 1483648 */     GIR_EraseRootFromParent_Done,
     /* 1483649 */   // Label 20740: @1483649
     /* 1483649 */   GIM_Try, /*On fail goto*//*Label 20741*/ GIMT_Encode4(1483746), // Rule ID 23930 //
     /* 1483654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1483665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1483668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1483671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483692 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483696 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483700 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483704 */     // MIs[1] Operand 1
     /* 1483704 */     // No operand predicates
     /* 1483704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483708 */     // MIs[0] policy
     /* 1483708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483711 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1483723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483729 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483742 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483744 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483745 */     // GIR_Coverage, 23930,
     /* 1483745 */     GIR_EraseRootFromParent_Done,
     /* 1483746 */   // Label 20741: @1483746
     /* 1483746 */   GIM_Try, /*On fail goto*//*Label 20742*/ GIMT_Encode4(1483843), // Rule ID 23931 //
     /* 1483751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1483762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1483765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1483768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1483774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1483781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1483789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483797 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483801 */     // MIs[1] Operand 1
     /* 1483801 */     // No operand predicates
     /* 1483801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483805 */     // MIs[0] policy
     /* 1483805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483808 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483817 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1483817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1483820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483826 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483842 */     // GIR_Coverage, 23931,
     /* 1483842 */     GIR_EraseRootFromParent_Done,
     /* 1483843 */   // Label 20742: @1483843
     /* 1483843 */   GIM_Try, /*On fail goto*//*Label 20743*/ GIMT_Encode4(1483940), // Rule ID 23934 //
     /* 1483848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1483851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1483859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1483862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1483865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1483868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1483874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483886 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483890 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483894 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483898 */     // MIs[1] Operand 1
     /* 1483898 */     // No operand predicates
     /* 1483898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483902 */     // MIs[0] policy
     /* 1483902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1483905 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1483907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1483914 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1483914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1483917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1483919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1483921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1483923 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1483926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1483928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1483933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1483936 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1483938 */     GIR_RootConstrainSelectedInstOperands,
     /* 1483939 */     // GIR_Coverage, 23934,
     /* 1483939 */     GIR_EraseRootFromParent_Done,
     /* 1483940 */   // Label 20743: @1483940
     /* 1483940 */   GIM_Try, /*On fail goto*//*Label 20744*/ GIMT_Encode4(1484037), // Rule ID 23935 //
     /* 1483945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1483948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1483953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1483956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1483959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1483962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1483965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1483968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1483971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1483975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1483983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1483987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1483991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1483995 */     // MIs[1] Operand 1
     /* 1483995 */     // No operand predicates
     /* 1483995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1483999 */     // MIs[0] policy
     /* 1483999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484011 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1484014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1484033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484036 */     // GIR_Coverage, 23935,
     /* 1484036 */     GIR_EraseRootFromParent_Done,
     /* 1484037 */   // Label 20744: @1484037
     /* 1484037 */   GIM_Try, /*On fail goto*//*Label 20745*/ GIMT_Encode4(1484134), // Rule ID 23938 //
     /* 1484042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1484053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1484056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1484059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484080 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484084 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484088 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484092 */     // MIs[1] Operand 1
     /* 1484092 */     // No operand predicates
     /* 1484092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484096 */     // MIs[0] policy
     /* 1484096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484099 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484108 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1484111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484117 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484130 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484133 */     // GIR_Coverage, 23938,
     /* 1484133 */     GIR_EraseRootFromParent_Done,
     /* 1484134 */   // Label 20745: @1484134
     /* 1484134 */   GIM_Try, /*On fail goto*//*Label 20746*/ GIMT_Encode4(1484231), // Rule ID 23939 //
     /* 1484139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1484150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1484153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1484156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484177 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484181 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484185 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484189 */     // MIs[1] Operand 1
     /* 1484189 */     // No operand predicates
     /* 1484189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484193 */     // MIs[0] policy
     /* 1484193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484205 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1484208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484210 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484214 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484230 */     // GIR_Coverage, 23939,
     /* 1484230 */     GIR_EraseRootFromParent_Done,
     /* 1484231 */   // Label 20746: @1484231
     /* 1484231 */   GIM_Try, /*On fail goto*//*Label 20747*/ GIMT_Encode4(1484328), // Rule ID 23942 //
     /* 1484236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1484247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1484250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1484253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484286 */     // MIs[1] Operand 1
     /* 1484286 */     // No operand predicates
     /* 1484286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484290 */     // MIs[0] policy
     /* 1484290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484302 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1484305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484324 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484327 */     // GIR_Coverage, 23942,
     /* 1484327 */     GIR_EraseRootFromParent_Done,
     /* 1484328 */   // Label 20747: @1484328
     /* 1484328 */   GIM_Try, /*On fail goto*//*Label 20748*/ GIMT_Encode4(1484425), // Rule ID 23943 //
     /* 1484333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1484344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1484347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1484350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1484356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484383 */     // MIs[1] Operand 1
     /* 1484383 */     // No operand predicates
     /* 1484383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484387 */     // MIs[0] policy
     /* 1484387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484399 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1484402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484424 */     // GIR_Coverage, 23943,
     /* 1484424 */     GIR_EraseRootFromParent_Done,
     /* 1484425 */   // Label 20748: @1484425
     /* 1484425 */   GIM_Try, /*On fail goto*//*Label 20749*/ GIMT_Encode4(1484522), // Rule ID 23946 //
     /* 1484430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1484433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1484441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1484444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1484447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1484453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484476 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484480 */     // MIs[1] Operand 1
     /* 1484480 */     // No operand predicates
     /* 1484480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484484 */     // MIs[0] policy
     /* 1484484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484496 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1484499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484505 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484518 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484521 */     // GIR_Coverage, 23946,
     /* 1484521 */     GIR_EraseRootFromParent_Done,
     /* 1484522 */   // Label 20749: @1484522
     /* 1484522 */   GIM_Try, /*On fail goto*//*Label 20750*/ GIMT_Encode4(1484619), // Rule ID 23947 //
     /* 1484527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1484530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1484538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1484541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1484544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1484550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1484557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1484565 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484569 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484573 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484577 */     // MIs[1] Operand 1
     /* 1484577 */     // No operand predicates
     /* 1484577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484581 */     // MIs[0] policy
     /* 1484581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484593 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1484596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484602 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1484615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484618 */     // GIR_Coverage, 23947,
     /* 1484618 */     GIR_EraseRootFromParent_Done,
     /* 1484619 */   // Label 20750: @1484619
     /* 1484619 */   GIM_Try, /*On fail goto*//*Label 20751*/ GIMT_Encode4(1484716), // Rule ID 23950 //
     /* 1484624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1484627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1484635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1484638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1484641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484670 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484674 */     // MIs[1] Operand 1
     /* 1484674 */     // No operand predicates
     /* 1484674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484678 */     // MIs[0] policy
     /* 1484678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484681 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1484693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484699 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484712 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484715 */     // GIR_Coverage, 23950,
     /* 1484715 */     GIR_EraseRootFromParent_Done,
     /* 1484716 */   // Label 20751: @1484716
     /* 1484716 */   GIM_Try, /*On fail goto*//*Label 20752*/ GIMT_Encode4(1484813), // Rule ID 23951 //
     /* 1484721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1484724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1484732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1484735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1484738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1484744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1484751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1484759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484767 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484771 */     // MIs[1] Operand 1
     /* 1484771 */     // No operand predicates
     /* 1484771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484775 */     // MIs[0] policy
     /* 1484775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484778 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484787 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1484790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484796 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484812 */     // GIR_Coverage, 23951,
     /* 1484812 */     GIR_EraseRootFromParent_Done,
     /* 1484813 */   // Label 20752: @1484813
     /* 1484813 */   GIM_Try, /*On fail goto*//*Label 20753*/ GIMT_Encode4(1484910), // Rule ID 23954 //
     /* 1484818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1484821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1484835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1484838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1484844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484856 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484860 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484864 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484868 */     // MIs[1] Operand 1
     /* 1484868 */     // No operand predicates
     /* 1484868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484872 */     // MIs[0] policy
     /* 1484872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484884 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1484884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1484887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1484903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1484906 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1484908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1484909 */     // GIR_Coverage, 23954,
     /* 1484909 */     GIR_EraseRootFromParent_Done,
     /* 1484910 */   // Label 20753: @1484910
     /* 1484910 */   GIM_Try, /*On fail goto*//*Label 20754*/ GIMT_Encode4(1485007), // Rule ID 23955 //
     /* 1484915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1484918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1484923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1484926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1484929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1484932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1484935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1484938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1484941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1484945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1484953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1484957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1484961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1484965 */     // MIs[1] Operand 1
     /* 1484965 */     // No operand predicates
     /* 1484965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1484969 */     // MIs[0] policy
     /* 1484969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1484972 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1484974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1484981 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1484981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1484984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1484986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1484988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1484990 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1484993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1484995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485006 */     // GIR_Coverage, 23955,
     /* 1485006 */     GIR_EraseRootFromParent_Done,
     /* 1485007 */   // Label 20754: @1485007
     /* 1485007 */   GIM_Try, /*On fail goto*//*Label 20755*/ GIMT_Encode4(1485104), // Rule ID 23958 //
     /* 1485012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1485015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1485029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485050 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485054 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485058 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485062 */     // MIs[1] Operand 1
     /* 1485062 */     // No operand predicates
     /* 1485062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485066 */     // MIs[0] policy
     /* 1485066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485078 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1485081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485087 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485100 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485103 */     // GIR_Coverage, 23958,
     /* 1485103 */     GIR_EraseRootFromParent_Done,
     /* 1485104 */   // Label 20755: @1485104
     /* 1485104 */   GIM_Try, /*On fail goto*//*Label 20756*/ GIMT_Encode4(1485201), // Rule ID 23959 //
     /* 1485109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1485112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1485117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1485120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1485123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1485126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1485132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1485139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1485147 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485151 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485155 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485159 */     // MIs[1] Operand 1
     /* 1485159 */     // No operand predicates
     /* 1485159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485163 */     // MIs[0] policy
     /* 1485163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485166 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485175 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1485178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485184 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1485197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485200 */     // GIR_Coverage, 23959,
     /* 1485200 */     GIR_EraseRootFromParent_Done,
     /* 1485201 */   // Label 20756: @1485201
     /* 1485201 */   GIM_Try, /*On fail goto*//*Label 20757*/ GIMT_Encode4(1485298), // Rule ID 24198 //
     /* 1485206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1485223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485256 */     // MIs[1] Operand 1
     /* 1485256 */     // No operand predicates
     /* 1485256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485260 */     // MIs[0] policy
     /* 1485260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485272 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1485275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485294 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485297 */     // GIR_Coverage, 24198,
     /* 1485297 */     GIR_EraseRootFromParent_Done,
     /* 1485298 */   // Label 20757: @1485298
     /* 1485298 */   GIM_Try, /*On fail goto*//*Label 20758*/ GIMT_Encode4(1485395), // Rule ID 24199 //
     /* 1485303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1485314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1485317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1485320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485349 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485353 */     // MIs[1] Operand 1
     /* 1485353 */     // No operand predicates
     /* 1485353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485357 */     // MIs[0] policy
     /* 1485357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485360 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485369 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 1485372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485378 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485394 */     // GIR_Coverage, 24199,
     /* 1485394 */     GIR_EraseRootFromParent_Done,
     /* 1485395 */   // Label 20758: @1485395
     /* 1485395 */   GIM_Try, /*On fail goto*//*Label 20759*/ GIMT_Encode4(1485492), // Rule ID 24202 //
     /* 1485400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485438 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485442 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485446 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485450 */     // MIs[1] Operand 1
     /* 1485450 */     // No operand predicates
     /* 1485450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485454 */     // MIs[0] policy
     /* 1485454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485457 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485466 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1485469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485475 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485488 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485490 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485491 */     // GIR_Coverage, 24202,
     /* 1485491 */     GIR_EraseRootFromParent_Done,
     /* 1485492 */   // Label 20759: @1485492
     /* 1485492 */   GIM_Try, /*On fail goto*//*Label 20760*/ GIMT_Encode4(1485589), // Rule ID 24203 //
     /* 1485497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1485508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1485511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1485514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1485520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485547 */     // MIs[1] Operand 1
     /* 1485547 */     // No operand predicates
     /* 1485547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485551 */     // MIs[0] policy
     /* 1485551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485563 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1485566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485588 */     // GIR_Coverage, 24203,
     /* 1485588 */     GIR_EraseRootFromParent_Done,
     /* 1485589 */   // Label 20760: @1485589
     /* 1485589 */   GIM_Try, /*On fail goto*//*Label 20761*/ GIMT_Encode4(1485686), // Rule ID 24206 //
     /* 1485594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1485605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1485608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1485611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485644 */     // MIs[1] Operand 1
     /* 1485644 */     // No operand predicates
     /* 1485644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485648 */     // MIs[0] policy
     /* 1485648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485660 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1485663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485684 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485685 */     // GIR_Coverage, 24206,
     /* 1485685 */     GIR_EraseRootFromParent_Done,
     /* 1485686 */   // Label 20761: @1485686
     /* 1485686 */   GIM_Try, /*On fail goto*//*Label 20762*/ GIMT_Encode4(1485783), // Rule ID 24207 //
     /* 1485691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1485694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1485702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1485705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1485708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1485714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485737 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485741 */     // MIs[1] Operand 1
     /* 1485741 */     // No operand predicates
     /* 1485741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485745 */     // MIs[0] policy
     /* 1485745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485748 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485757 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 1485760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485766 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1485779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485782 */     // GIR_Coverage, 24207,
     /* 1485782 */     GIR_EraseRootFromParent_Done,
     /* 1485783 */   // Label 20762: @1485783
     /* 1485783 */   GIM_Try, /*On fail goto*//*Label 20763*/ GIMT_Encode4(1485880), // Rule ID 24210 //
     /* 1485788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1485791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1485799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1485802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1485805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1485808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1485814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485826 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485830 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485834 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485838 */     // MIs[1] Operand 1
     /* 1485838 */     // No operand predicates
     /* 1485838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485842 */     // MIs[0] policy
     /* 1485842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485845 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485854 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1485854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1485857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485863 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485878 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485879 */     // GIR_Coverage, 24210,
     /* 1485879 */     GIR_EraseRootFromParent_Done,
     /* 1485880 */   // Label 20763: @1485880
     /* 1485880 */   GIM_Try, /*On fail goto*//*Label 20764*/ GIMT_Encode4(1485977), // Rule ID 24211 //
     /* 1485885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1485888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1485896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1485899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1485902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1485905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1485908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1485911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1485915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1485923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1485927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1485931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1485935 */     // MIs[1] Operand 1
     /* 1485935 */     // No operand predicates
     /* 1485935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1485939 */     // MIs[0] policy
     /* 1485939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1485942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1485944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1485951 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1485951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1485954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1485956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1485958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1485960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1485963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1485965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1485970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1485973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1485975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1485976 */     // GIR_Coverage, 24211,
     /* 1485976 */     GIR_EraseRootFromParent_Done,
     /* 1485977 */   // Label 20764: @1485977
     /* 1485977 */   GIM_Try, /*On fail goto*//*Label 20765*/ GIMT_Encode4(1486074), // Rule ID 24214 //
     /* 1485982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1485985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1485990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1485993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1485996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1485999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486020 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486024 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486028 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486032 */     // MIs[1] Operand 1
     /* 1486032 */     // No operand predicates
     /* 1486032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486036 */     // MIs[0] policy
     /* 1486036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486048 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1486051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486072 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486073 */     // GIR_Coverage, 24214,
     /* 1486073 */     GIR_EraseRootFromParent_Done,
     /* 1486074 */   // Label 20765: @1486074
     /* 1486074 */   GIM_Try, /*On fail goto*//*Label 20766*/ GIMT_Encode4(1486171), // Rule ID 24215 //
     /* 1486079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1486082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1486090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1486093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1486096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1486102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486117 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486121 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486125 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486129 */     // MIs[1] Operand 1
     /* 1486129 */     // No operand predicates
     /* 1486129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486133 */     // MIs[0] policy
     /* 1486133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486145 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1486148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486154 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1486167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486170 */     // GIR_Coverage, 24215,
     /* 1486170 */     GIR_EraseRootFromParent_Done,
     /* 1486171 */   // Label 20766: @1486171
     /* 1486171 */   GIM_Try, /*On fail goto*//*Label 20767*/ GIMT_Encode4(1486268), // Rule ID 24218 //
     /* 1486176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1486179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1486187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1486190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1486193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486222 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486226 */     // MIs[1] Operand 1
     /* 1486226 */     // No operand predicates
     /* 1486226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486230 */     // MIs[0] policy
     /* 1486230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486233 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486242 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1486245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486251 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486266 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486267 */     // GIR_Coverage, 24218,
     /* 1486267 */     GIR_EraseRootFromParent_Done,
     /* 1486268 */   // Label 20767: @1486268
     /* 1486268 */   GIM_Try, /*On fail goto*//*Label 20768*/ GIMT_Encode4(1486365), // Rule ID 24219 //
     /* 1486273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1486276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1486284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1486287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1486290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1486296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1486303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1486311 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486315 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486319 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486323 */     // MIs[1] Operand 1
     /* 1486323 */     // No operand predicates
     /* 1486323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486327 */     // MIs[0] policy
     /* 1486327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486339 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 1486342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486348 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1486361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486364 */     // GIR_Coverage, 24219,
     /* 1486364 */     GIR_EraseRootFromParent_Done,
     /* 1486365 */   // Label 20768: @1486365
     /* 1486365 */   GIM_Try, /*On fail goto*//*Label 20769*/ GIMT_Encode4(1486462), // Rule ID 24222 //
     /* 1486370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486416 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486420 */     // MIs[1] Operand 1
     /* 1486420 */     // No operand predicates
     /* 1486420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486424 */     // MIs[0] policy
     /* 1486424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486436 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1486439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486460 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486461 */     // GIR_Coverage, 24222,
     /* 1486461 */     GIR_EraseRootFromParent_Done,
     /* 1486462 */   // Label 20769: @1486462
     /* 1486462 */   GIM_Try, /*On fail goto*//*Label 20770*/ GIMT_Encode4(1486559), // Rule ID 24223 //
     /* 1486467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1486478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1486481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1486484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1486490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486505 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486509 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486513 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486517 */     // MIs[1] Operand 1
     /* 1486517 */     // No operand predicates
     /* 1486517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486521 */     // MIs[0] policy
     /* 1486521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486524 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486533 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1486536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486542 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486558 */     // GIR_Coverage, 24223,
     /* 1486558 */     GIR_EraseRootFromParent_Done,
     /* 1486559 */   // Label 20770: @1486559
     /* 1486559 */   GIM_Try, /*On fail goto*//*Label 20771*/ GIMT_Encode4(1486656), // Rule ID 24226 //
     /* 1486564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486602 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486606 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486610 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486614 */     // MIs[1] Operand 1
     /* 1486614 */     // No operand predicates
     /* 1486614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486618 */     // MIs[0] policy
     /* 1486618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486630 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1486633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486639 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486654 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486655 */     // GIR_Coverage, 24226,
     /* 1486655 */     GIR_EraseRootFromParent_Done,
     /* 1486656 */   // Label 20771: @1486656
     /* 1486656 */   GIM_Try, /*On fail goto*//*Label 20772*/ GIMT_Encode4(1486753), // Rule ID 24227 //
     /* 1486661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1486672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1486675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1486678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1486684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1486691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1486699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486711 */     // MIs[1] Operand 1
     /* 1486711 */     // No operand predicates
     /* 1486711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486715 */     // MIs[0] policy
     /* 1486715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486727 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1486730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486752 */     // GIR_Coverage, 24227,
     /* 1486752 */     GIR_EraseRootFromParent_Done,
     /* 1486753 */   // Label 20772: @1486753
     /* 1486753 */   GIM_Try, /*On fail goto*//*Label 20773*/ GIMT_Encode4(1486850), // Rule ID 24230 //
     /* 1486758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1486761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1486775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486804 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486808 */     // MIs[1] Operand 1
     /* 1486808 */     // No operand predicates
     /* 1486808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486812 */     // MIs[0] policy
     /* 1486812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486824 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1486824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1486827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486848 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486849 */     // GIR_Coverage, 24230,
     /* 1486849 */     GIR_EraseRootFromParent_Done,
     /* 1486850 */   // Label 20773: @1486850
     /* 1486850 */   GIM_Try, /*On fail goto*//*Label 20774*/ GIMT_Encode4(1486947), // Rule ID 24231 //
     /* 1486855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1486858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1486866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1486869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1486872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1486875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1486878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1486881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1486885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1486893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1486905 */     // MIs[1] Operand 1
     /* 1486905 */     // No operand predicates
     /* 1486905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1486909 */     // MIs[0] policy
     /* 1486909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1486912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1486914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1486921 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1486921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1486924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1486926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1486928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1486930 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1486933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1486935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1486940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1486943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1486945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1486946 */     // GIR_Coverage, 24231,
     /* 1486946 */     GIR_EraseRootFromParent_Done,
     /* 1486947 */   // Label 20774: @1486947
     /* 1486947 */   GIM_Try, /*On fail goto*//*Label 20775*/ GIMT_Encode4(1487044), // Rule ID 24234 //
     /* 1486952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1486955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1486960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1486963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1486966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1486969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1486972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1486975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1486978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1486982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1486990 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1486994 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1486998 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487002 */     // MIs[1] Operand 1
     /* 1487002 */     // No operand predicates
     /* 1487002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487006 */     // MIs[0] policy
     /* 1487006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487009 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487018 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1487021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487027 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487040 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487042 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487043 */     // GIR_Coverage, 24234,
     /* 1487043 */     GIR_EraseRootFromParent_Done,
     /* 1487044 */   // Label 20775: @1487044
     /* 1487044 */   GIM_Try, /*On fail goto*//*Label 20776*/ GIMT_Encode4(1487141), // Rule ID 24235 //
     /* 1487049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1487052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1487060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1487063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1487066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487095 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487099 */     // MIs[1] Operand 1
     /* 1487099 */     // No operand predicates
     /* 1487099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487103 */     // MIs[0] policy
     /* 1487103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487106 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487115 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1487118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487124 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487140 */     // GIR_Coverage, 24235,
     /* 1487140 */     GIR_EraseRootFromParent_Done,
     /* 1487141 */   // Label 20776: @1487141
     /* 1487141 */   GIM_Try, /*On fail goto*//*Label 20777*/ GIMT_Encode4(1487238), // Rule ID 24238 //
     /* 1487146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1487149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487192 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487196 */     // MIs[1] Operand 1
     /* 1487196 */     // No operand predicates
     /* 1487196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487200 */     // MIs[0] policy
     /* 1487200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487212 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1487215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487234 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487236 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487237 */     // GIR_Coverage, 24238,
     /* 1487237 */     GIR_EraseRootFromParent_Done,
     /* 1487238 */   // Label 20777: @1487238
     /* 1487238 */   GIM_Try, /*On fail goto*//*Label 20778*/ GIMT_Encode4(1487335), // Rule ID 24239 //
     /* 1487243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1487246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1487254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1487257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1487260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487281 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487285 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487289 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487293 */     // MIs[1] Operand 1
     /* 1487293 */     // No operand predicates
     /* 1487293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487297 */     // MIs[0] policy
     /* 1487297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487309 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1487312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487318 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487334 */     // GIR_Coverage, 24239,
     /* 1487334 */     GIR_EraseRootFromParent_Done,
     /* 1487335 */   // Label 20778: @1487335
     /* 1487335 */   GIM_Try, /*On fail goto*//*Label 20779*/ GIMT_Encode4(1487432), // Rule ID 24242 //
     /* 1487340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1487343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1487357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487390 */     // MIs[1] Operand 1
     /* 1487390 */     // No operand predicates
     /* 1487390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487394 */     // MIs[0] policy
     /* 1487394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487397 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487406 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1487409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487415 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487428 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487430 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487431 */     // GIR_Coverage, 24242,
     /* 1487431 */     GIR_EraseRootFromParent_Done,
     /* 1487432 */   // Label 20779: @1487432
     /* 1487432 */   GIM_Try, /*On fail goto*//*Label 20780*/ GIMT_Encode4(1487529), // Rule ID 24243 //
     /* 1487437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1487440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1487448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1487451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1487454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1487460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487475 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487479 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487483 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487487 */     // MIs[1] Operand 1
     /* 1487487 */     // No operand predicates
     /* 1487487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487491 */     // MIs[0] policy
     /* 1487491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487494 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487503 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1487506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487512 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1487525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487528 */     // GIR_Coverage, 24243,
     /* 1487528 */     GIR_EraseRootFromParent_Done,
     /* 1487529 */   // Label 20780: @1487529
     /* 1487529 */   GIM_Try, /*On fail goto*//*Label 20781*/ GIMT_Encode4(1487626), // Rule ID 24246 //
     /* 1487534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1487537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1487545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1487548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1487551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487584 */     // MIs[1] Operand 1
     /* 1487584 */     // No operand predicates
     /* 1487584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487588 */     // MIs[0] policy
     /* 1487588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487600 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1487603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487622 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487624 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487625 */     // GIR_Coverage, 24246,
     /* 1487625 */     GIR_EraseRootFromParent_Done,
     /* 1487626 */   // Label 20781: @1487626
     /* 1487626 */   GIM_Try, /*On fail goto*//*Label 20782*/ GIMT_Encode4(1487723), // Rule ID 24247 //
     /* 1487631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1487634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1487642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1487645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1487648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1487654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1487661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1487669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487677 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487681 */     // MIs[1] Operand 1
     /* 1487681 */     // No operand predicates
     /* 1487681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487685 */     // MIs[0] policy
     /* 1487685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487688 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487697 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 1487700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487706 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487722 */     // GIR_Coverage, 24247,
     /* 1487722 */     GIR_EraseRootFromParent_Done,
     /* 1487723 */   // Label 20782: @1487723
     /* 1487723 */   GIM_Try, /*On fail goto*//*Label 20783*/ GIMT_Encode4(1487820), // Rule ID 24250 //
     /* 1487728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1487731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1487739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1487742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1487745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487774 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487778 */     // MIs[1] Operand 1
     /* 1487778 */     // No operand predicates
     /* 1487778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487782 */     // MIs[0] policy
     /* 1487782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487785 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487794 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1487797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487803 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487816 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487819 */     // GIR_Coverage, 24250,
     /* 1487819 */     GIR_EraseRootFromParent_Done,
     /* 1487820 */   // Label 20783: @1487820
     /* 1487820 */   GIM_Try, /*On fail goto*//*Label 20784*/ GIMT_Encode4(1487917), // Rule ID 24251 //
     /* 1487825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1487828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1487836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1487839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1487842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1487845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1487848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1487851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1487855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1487863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487875 */     // MIs[1] Operand 1
     /* 1487875 */     // No operand predicates
     /* 1487875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487879 */     // MIs[0] policy
     /* 1487879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487891 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1487891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 1487894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1487903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1487905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1487910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1487913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1487915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1487916 */     // GIR_Coverage, 24251,
     /* 1487916 */     GIR_EraseRootFromParent_Done,
     /* 1487917 */   // Label 20784: @1487917
     /* 1487917 */   GIM_Try, /*On fail goto*//*Label 20785*/ GIMT_Encode4(1488014), // Rule ID 24254 //
     /* 1487922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1487925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1487930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1487933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1487936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1487939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1487942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1487945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1487948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1487952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1487960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1487964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1487968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1487972 */     // MIs[1] Operand 1
     /* 1487972 */     // No operand predicates
     /* 1487972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1487976 */     // MIs[0] policy
     /* 1487976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1487979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1487981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1487988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1487988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1487991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1487993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1487995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1487997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488010 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488013 */     // GIR_Coverage, 24254,
     /* 1488013 */     GIR_EraseRootFromParent_Done,
     /* 1488014 */   // Label 20785: @1488014
     /* 1488014 */   GIM_Try, /*On fail goto*//*Label 20786*/ GIMT_Encode4(1488111), // Rule ID 24255 //
     /* 1488019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1488022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1488027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1488030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1488033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1488036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1488042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1488049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1488057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488065 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488069 */     // MIs[1] Operand 1
     /* 1488069 */     // No operand predicates
     /* 1488069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488073 */     // MIs[0] policy
     /* 1488073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488076 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488085 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 1488088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488094 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1488107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488110 */     // GIR_Coverage, 24255,
     /* 1488110 */     GIR_EraseRootFromParent_Done,
     /* 1488111 */   // Label 20786: @1488111
     /* 1488111 */   GIM_Try, /*On fail goto*//*Label 20787*/ GIMT_Encode4(1488208), // Rule ID 24318 //
     /* 1488116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1488119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488154 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488158 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488162 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488166 */     // MIs[1] Operand 1
     /* 1488166 */     // No operand predicates
     /* 1488166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488170 */     // MIs[0] policy
     /* 1488170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488182 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1488185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488191 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488204 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488207 */     // GIR_Coverage, 24318,
     /* 1488207 */     GIR_EraseRootFromParent_Done,
     /* 1488208 */   // Label 20787: @1488208
     /* 1488208 */   GIM_Try, /*On fail goto*//*Label 20788*/ GIMT_Encode4(1488305), // Rule ID 24319 //
     /* 1488213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1488216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1488224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1488227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1488230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488263 */     // MIs[1] Operand 1
     /* 1488263 */     // No operand predicates
     /* 1488263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488267 */     // MIs[0] policy
     /* 1488267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488279 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 1488282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488304 */     // GIR_Coverage, 24319,
     /* 1488304 */     GIR_EraseRootFromParent_Done,
     /* 1488305 */   // Label 20788: @1488305
     /* 1488305 */   GIM_Try, /*On fail goto*//*Label 20789*/ GIMT_Encode4(1488402), // Rule ID 24322 //
     /* 1488310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1488313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1488321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1488324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488348 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488352 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488356 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488360 */     // MIs[1] Operand 1
     /* 1488360 */     // No operand predicates
     /* 1488360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488364 */     // MIs[0] policy
     /* 1488364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488376 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1488379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488398 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488401 */     // GIR_Coverage, 24322,
     /* 1488401 */     GIR_EraseRootFromParent_Done,
     /* 1488402 */   // Label 20789: @1488402
     /* 1488402 */   GIM_Try, /*On fail goto*//*Label 20790*/ GIMT_Encode4(1488499), // Rule ID 24323 //
     /* 1488407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1488410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1488418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1488421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1488424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488457 */     // MIs[1] Operand 1
     /* 1488457 */     // No operand predicates
     /* 1488457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488461 */     // MIs[0] policy
     /* 1488461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488464 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488473 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1488476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488482 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488498 */     // GIR_Coverage, 24323,
     /* 1488498 */     GIR_EraseRootFromParent_Done,
     /* 1488499 */   // Label 20790: @1488499
     /* 1488499 */   GIM_Try, /*On fail goto*//*Label 20791*/ GIMT_Encode4(1488596), // Rule ID 24326 //
     /* 1488504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1488507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1488521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488542 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488546 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488550 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488554 */     // MIs[1] Operand 1
     /* 1488554 */     // No operand predicates
     /* 1488554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488558 */     // MIs[0] policy
     /* 1488558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488561 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488570 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1488573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488579 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488592 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488595 */     // GIR_Coverage, 24326,
     /* 1488595 */     GIR_EraseRootFromParent_Done,
     /* 1488596 */   // Label 20791: @1488596
     /* 1488596 */   GIM_Try, /*On fail goto*//*Label 20792*/ GIMT_Encode4(1488693), // Rule ID 24327 //
     /* 1488601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1488604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1488612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1488615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1488618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1488624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488647 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488651 */     // MIs[1] Operand 1
     /* 1488651 */     // No operand predicates
     /* 1488651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488655 */     // MIs[0] policy
     /* 1488655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488667 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 1488670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488676 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488692 */     // GIR_Coverage, 24327,
     /* 1488692 */     GIR_EraseRootFromParent_Done,
     /* 1488693 */   // Label 20792: @1488693
     /* 1488693 */   GIM_Try, /*On fail goto*//*Label 20793*/ GIMT_Encode4(1488790), // Rule ID 24330 //
     /* 1488698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1488701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1488709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1488712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488744 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488748 */     // MIs[1] Operand 1
     /* 1488748 */     // No operand predicates
     /* 1488748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488752 */     // MIs[0] policy
     /* 1488752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488764 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1488767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488786 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488789 */     // GIR_Coverage, 24330,
     /* 1488789 */     GIR_EraseRootFromParent_Done,
     /* 1488790 */   // Label 20793: @1488790
     /* 1488790 */   GIM_Try, /*On fail goto*//*Label 20794*/ GIMT_Encode4(1488887), // Rule ID 24331 //
     /* 1488795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1488798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1488806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1488809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1488812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1488815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1488818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1488821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488845 */     // MIs[1] Operand 1
     /* 1488845 */     // No operand predicates
     /* 1488845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488849 */     // MIs[0] policy
     /* 1488849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488861 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1488861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1488864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488870 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1488883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488886 */     // GIR_Coverage, 24331,
     /* 1488886 */     GIR_EraseRootFromParent_Done,
     /* 1488887 */   // Label 20794: @1488887
     /* 1488887 */   GIM_Try, /*On fail goto*//*Label 20795*/ GIMT_Encode4(1488984), // Rule ID 24334 //
     /* 1488892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1488895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1488903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1488906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1488909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1488912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1488915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1488918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1488922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1488930 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1488934 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1488938 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1488942 */     // MIs[1] Operand 1
     /* 1488942 */     // No operand predicates
     /* 1488942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1488946 */     // MIs[0] policy
     /* 1488946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1488949 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1488951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1488958 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1488958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1488961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1488963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1488965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1488967 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1488970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1488972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1488977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1488980 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1488982 */     GIR_RootConstrainSelectedInstOperands,
     /* 1488983 */     // GIR_Coverage, 24334,
     /* 1488983 */     GIR_EraseRootFromParent_Done,
     /* 1488984 */   // Label 20795: @1488984
     /* 1488984 */   GIM_Try, /*On fail goto*//*Label 20796*/ GIMT_Encode4(1489081), // Rule ID 24335 //
     /* 1488989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1488992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1488997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1489000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1489003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1489006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1489012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489035 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489039 */     // MIs[1] Operand 1
     /* 1489039 */     // No operand predicates
     /* 1489039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489043 */     // MIs[0] policy
     /* 1489043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489046 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489055 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1489058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489064 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489080 */     // GIR_Coverage, 24335,
     /* 1489080 */     GIR_EraseRootFromParent_Done,
     /* 1489081 */   // Label 20796: @1489081
     /* 1489081 */   GIM_Try, /*On fail goto*//*Label 20797*/ GIMT_Encode4(1489178), // Rule ID 24338 //
     /* 1489086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1489089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1489103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489136 */     // MIs[1] Operand 1
     /* 1489136 */     // No operand predicates
     /* 1489136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489140 */     // MIs[0] policy
     /* 1489140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489152 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1489155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489174 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489176 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489177 */     // GIR_Coverage, 24338,
     /* 1489177 */     GIR_EraseRootFromParent_Done,
     /* 1489178 */   // Label 20797: @1489178
     /* 1489178 */   GIM_Try, /*On fail goto*//*Label 20798*/ GIMT_Encode4(1489275), // Rule ID 24339 //
     /* 1489183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1489186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1489194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1489197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1489200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1489206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1489213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1489221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489233 */     // MIs[1] Operand 1
     /* 1489233 */     // No operand predicates
     /* 1489233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489237 */     // MIs[0] policy
     /* 1489237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489249 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 1489252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1489271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489274 */     // GIR_Coverage, 24339,
     /* 1489274 */     GIR_EraseRootFromParent_Done,
     /* 1489275 */   // Label 20798: @1489275
     /* 1489275 */   GIM_Try, /*On fail goto*//*Label 20799*/ GIMT_Encode4(1489372), // Rule ID 24342 //
     /* 1489280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1489283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489330 */     // MIs[1] Operand 1
     /* 1489330 */     // No operand predicates
     /* 1489330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489334 */     // MIs[0] policy
     /* 1489334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489337 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489346 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1489349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489355 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489370 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489371 */     // GIR_Coverage, 24342,
     /* 1489371 */     GIR_EraseRootFromParent_Done,
     /* 1489372 */   // Label 20799: @1489372
     /* 1489372 */   GIM_Try, /*On fail goto*//*Label 20800*/ GIMT_Encode4(1489469), // Rule ID 24343 //
     /* 1489377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1489380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1489388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1489391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1489394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1489400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489423 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489427 */     // MIs[1] Operand 1
     /* 1489427 */     // No operand predicates
     /* 1489427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489431 */     // MIs[0] policy
     /* 1489431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489434 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489443 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1489446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489452 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489468 */     // GIR_Coverage, 24343,
     /* 1489468 */     GIR_EraseRootFromParent_Done,
     /* 1489469 */   // Label 20800: @1489469
     /* 1489469 */   GIM_Try, /*On fail goto*//*Label 20801*/ GIMT_Encode4(1489566), // Rule ID 24346 //
     /* 1489474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1489477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489524 */     // MIs[1] Operand 1
     /* 1489524 */     // No operand predicates
     /* 1489524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489528 */     // MIs[0] policy
     /* 1489528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489540 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1489543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489564 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489565 */     // GIR_Coverage, 24346,
     /* 1489565 */     GIR_EraseRootFromParent_Done,
     /* 1489566 */   // Label 20801: @1489566
     /* 1489566 */   GIM_Try, /*On fail goto*//*Label 20802*/ GIMT_Encode4(1489663), // Rule ID 24347 //
     /* 1489571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1489574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1489582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1489585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1489588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1489594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1489601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1489609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489621 */     // MIs[1] Operand 1
     /* 1489621 */     // No operand predicates
     /* 1489621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489625 */     // MIs[0] policy
     /* 1489625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489637 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1489640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489646 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489662 */     // GIR_Coverage, 24347,
     /* 1489662 */     GIR_EraseRootFromParent_Done,
     /* 1489663 */   // Label 20802: @1489663
     /* 1489663 */   GIM_Try, /*On fail goto*//*Label 20803*/ GIMT_Encode4(1489760), // Rule ID 24350 //
     /* 1489668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1489671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1489685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1489691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489714 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489718 */     // MIs[1] Operand 1
     /* 1489718 */     // No operand predicates
     /* 1489718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489722 */     // MIs[0] policy
     /* 1489722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489725 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489734 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1489737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489743 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489758 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489759 */     // GIR_Coverage, 24350,
     /* 1489759 */     GIR_EraseRootFromParent_Done,
     /* 1489760 */   // Label 20803: @1489760
     /* 1489760 */   GIM_Try, /*On fail goto*//*Label 20804*/ GIMT_Encode4(1489857), // Rule ID 24351 //
     /* 1489765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1489768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1489776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1489779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1489782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1489788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1489795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1489803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489811 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489815 */     // MIs[1] Operand 1
     /* 1489815 */     // No operand predicates
     /* 1489815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489819 */     // MIs[0] policy
     /* 1489819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489822 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489831 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1489831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1489834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489840 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1489853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489856 */     // GIR_Coverage, 24351,
     /* 1489856 */     GIR_EraseRootFromParent_Done,
     /* 1489857 */   // Label 20804: @1489857
     /* 1489857 */   GIM_Try, /*On fail goto*//*Label 20805*/ GIMT_Encode4(1489954), // Rule ID 24354 //
     /* 1489862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1489865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1489873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1489876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1489882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1489888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489900 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1489904 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1489908 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1489912 */     // MIs[1] Operand 1
     /* 1489912 */     // No operand predicates
     /* 1489912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1489916 */     // MIs[0] policy
     /* 1489916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1489919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1489921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1489928 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1489928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1489931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1489933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1489935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1489937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1489940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1489942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1489947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1489950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1489952 */     GIR_RootConstrainSelectedInstOperands,
     /* 1489953 */     // GIR_Coverage, 24354,
     /* 1489953 */     GIR_EraseRootFromParent_Done,
     /* 1489954 */   // Label 20805: @1489954
     /* 1489954 */   GIM_Try, /*On fail goto*//*Label 20806*/ GIMT_Encode4(1490051), // Rule ID 24355 //
     /* 1489959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1489962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1489967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1489970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1489973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1489976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1489979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1489982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1489985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1489989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1489997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490009 */     // MIs[1] Operand 1
     /* 1490009 */     // No operand predicates
     /* 1490009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490013 */     // MIs[0] policy
     /* 1490013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490025 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1490028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490034 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490050 */     // GIR_Coverage, 24355,
     /* 1490050 */     GIR_EraseRootFromParent_Done,
     /* 1490051 */   // Label 20806: @1490051
     /* 1490051 */   GIM_Try, /*On fail goto*//*Label 20807*/ GIMT_Encode4(1490148), // Rule ID 24358 //
     /* 1490056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1490067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1490070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490102 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490106 */     // MIs[1] Operand 1
     /* 1490106 */     // No operand predicates
     /* 1490106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490110 */     // MIs[0] policy
     /* 1490110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490113 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490122 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1490125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490131 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490146 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490147 */     // GIR_Coverage, 24358,
     /* 1490147 */     GIR_EraseRootFromParent_Done,
     /* 1490148 */   // Label 20807: @1490148
     /* 1490148 */   GIM_Try, /*On fail goto*//*Label 20808*/ GIMT_Encode4(1490245), // Rule ID 24359 //
     /* 1490153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1490164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1490167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1490170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490191 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490195 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490199 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490203 */     // MIs[1] Operand 1
     /* 1490203 */     // No operand predicates
     /* 1490203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490207 */     // MIs[0] policy
     /* 1490207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490219 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1490222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490228 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490244 */     // GIR_Coverage, 24359,
     /* 1490244 */     GIR_EraseRootFromParent_Done,
     /* 1490245 */   // Label 20808: @1490245
     /* 1490245 */   GIM_Try, /*On fail goto*//*Label 20809*/ GIMT_Encode4(1490342), // Rule ID 24362 //
     /* 1490250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1490253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1490261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1490264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1490267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490300 */     // MIs[1] Operand 1
     /* 1490300 */     // No operand predicates
     /* 1490300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490304 */     // MIs[0] policy
     /* 1490304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490316 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1490319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490340 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490341 */     // GIR_Coverage, 24362,
     /* 1490341 */     GIR_EraseRootFromParent_Done,
     /* 1490342 */   // Label 20809: @1490342
     /* 1490342 */   GIM_Try, /*On fail goto*//*Label 20810*/ GIMT_Encode4(1490439), // Rule ID 24363 //
     /* 1490347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1490350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1490358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1490361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1490364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1490370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490397 */     // MIs[1] Operand 1
     /* 1490397 */     // No operand predicates
     /* 1490397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490401 */     // MIs[0] policy
     /* 1490401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490404 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490413 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1490416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490422 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1490435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490438 */     // GIR_Coverage, 24363,
     /* 1490438 */     GIR_EraseRootFromParent_Done,
     /* 1490439 */   // Label 20810: @1490439
     /* 1490439 */   GIM_Try, /*On fail goto*//*Label 20811*/ GIMT_Encode4(1490536), // Rule ID 24366 //
     /* 1490444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1490461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490482 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490486 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490490 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490494 */     // MIs[1] Operand 1
     /* 1490494 */     // No operand predicates
     /* 1490494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490498 */     // MIs[0] policy
     /* 1490498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490501 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490510 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1490513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490519 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490532 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490534 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490535 */     // GIR_Coverage, 24366,
     /* 1490535 */     GIR_EraseRootFromParent_Done,
     /* 1490536 */   // Label 20811: @1490536
     /* 1490536 */   GIM_Try, /*On fail goto*//*Label 20812*/ GIMT_Encode4(1490633), // Rule ID 24367 //
     /* 1490541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1490552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1490555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1490558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1490564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1490571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1490579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490591 */     // MIs[1] Operand 1
     /* 1490591 */     // No operand predicates
     /* 1490591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490595 */     // MIs[0] policy
     /* 1490595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490607 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 1490610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490632 */     // GIR_Coverage, 24367,
     /* 1490632 */     GIR_EraseRootFromParent_Done,
     /* 1490633 */   // Label 20812: @1490633
     /* 1490633 */   GIM_Try, /*On fail goto*//*Label 20813*/ GIMT_Encode4(1490730), // Rule ID 24370 //
     /* 1490638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490688 */     // MIs[1] Operand 1
     /* 1490688 */     // No operand predicates
     /* 1490688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490692 */     // MIs[0] policy
     /* 1490692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490704 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1490707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490726 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490728 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490729 */     // GIR_Coverage, 24370,
     /* 1490729 */     GIR_EraseRootFromParent_Done,
     /* 1490730 */   // Label 20813: @1490730
     /* 1490730 */   GIM_Try, /*On fail goto*//*Label 20814*/ GIMT_Encode4(1490827), // Rule ID 24371 //
     /* 1490735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1490746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1490749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1490752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1490758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1490765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1490773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490785 */     // MIs[1] Operand 1
     /* 1490785 */     // No operand predicates
     /* 1490785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490789 */     // MIs[0] policy
     /* 1490789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490792 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490801 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 1490804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490810 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490826 */     // GIR_Coverage, 24371,
     /* 1490826 */     GIR_EraseRootFromParent_Done,
     /* 1490827 */   // Label 20814: @1490827
     /* 1490827 */   GIM_Try, /*On fail goto*//*Label 20815*/ GIMT_Encode4(1490924), // Rule ID 24374 //
     /* 1490832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1490835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1490852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1490858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490870 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490874 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490878 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490882 */     // MIs[1] Operand 1
     /* 1490882 */     // No operand predicates
     /* 1490882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490886 */     // MIs[0] policy
     /* 1490886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490889 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490898 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1490898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1490901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1490903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1490905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1490907 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1490910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1490912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1490917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1490920 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1490922 */     GIR_RootConstrainSelectedInstOperands,
     /* 1490923 */     // GIR_Coverage, 24374,
     /* 1490923 */     GIR_EraseRootFromParent_Done,
     /* 1490924 */   // Label 20815: @1490924
     /* 1490924 */   GIM_Try, /*On fail goto*//*Label 20816*/ GIMT_Encode4(1491021), // Rule ID 24375 //
     /* 1490929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1490932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1490937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1490940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1490943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1490946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1490949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1490952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1490955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1490959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1490967 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1490971 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1490975 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1490979 */     // MIs[1] Operand 1
     /* 1490979 */     // No operand predicates
     /* 1490979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1490983 */     // MIs[0] policy
     /* 1490983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1490986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1490988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1490995 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1490995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 1490998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1491002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491004 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1491017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491020 */     // GIR_Coverage, 24375,
     /* 1491020 */     GIR_EraseRootFromParent_Done,
     /* 1491021 */   // Label 20816: @1491021
     /* 1491021 */   GIM_Try, /*On fail goto*//*Label 20817*/ GIMT_Encode4(1491118), // Rule ID 24674 //
     /* 1491026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1491037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1491040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1491043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491064 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491068 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491072 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491076 */     // MIs[1] Operand 1
     /* 1491076 */     // No operand predicates
     /* 1491076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491080 */     // MIs[0] policy
     /* 1491080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491092 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1491095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491101 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491114 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491116 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491117 */     // GIR_Coverage, 24674,
     /* 1491117 */     GIR_EraseRootFromParent_Done,
     /* 1491118 */   // Label 20817: @1491118
     /* 1491118 */   GIM_Try, /*On fail goto*//*Label 20818*/ GIMT_Encode4(1491215), // Rule ID 24675 //
     /* 1491123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1491134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1491137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1491140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491173 */     // MIs[1] Operand 1
     /* 1491173 */     // No operand predicates
     /* 1491173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491177 */     // MIs[0] policy
     /* 1491177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491189 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF8_MASK),
     /* 1491192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491214 */     // GIR_Coverage, 24675,
     /* 1491214 */     GIR_EraseRootFromParent_Done,
     /* 1491215 */   // Label 20818: @1491215
     /* 1491215 */   GIM_Try, /*On fail goto*//*Label 20819*/ GIMT_Encode4(1491312), // Rule ID 24678 //
     /* 1491220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1491231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1491234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1491237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491258 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491262 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491266 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491270 */     // MIs[1] Operand 1
     /* 1491270 */     // No operand predicates
     /* 1491270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491274 */     // MIs[0] policy
     /* 1491274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491286 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1491289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491295 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491308 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491311 */     // GIR_Coverage, 24678,
     /* 1491311 */     GIR_EraseRootFromParent_Done,
     /* 1491312 */   // Label 20819: @1491312
     /* 1491312 */   GIM_Try, /*On fail goto*//*Label 20820*/ GIMT_Encode4(1491409), // Rule ID 24679 //
     /* 1491317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1491328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1491331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1491334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491355 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491359 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491363 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491367 */     // MIs[1] Operand 1
     /* 1491367 */     // No operand predicates
     /* 1491367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491371 */     // MIs[0] policy
     /* 1491371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491383 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1491386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491392 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491408 */     // GIR_Coverage, 24679,
     /* 1491408 */     GIR_EraseRootFromParent_Done,
     /* 1491409 */   // Label 20820: @1491409
     /* 1491409 */   GIM_Try, /*On fail goto*//*Label 20821*/ GIMT_Encode4(1491506), // Rule ID 24682 //
     /* 1491414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1491425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1491428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1491431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491464 */     // MIs[1] Operand 1
     /* 1491464 */     // No operand predicates
     /* 1491464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491468 */     // MIs[0] policy
     /* 1491468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491480 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1491483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491502 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491505 */     // GIR_Coverage, 24682,
     /* 1491505 */     GIR_EraseRootFromParent_Done,
     /* 1491506 */   // Label 20821: @1491506
     /* 1491506 */   GIM_Try, /*On fail goto*//*Label 20822*/ GIMT_Encode4(1491603), // Rule ID 24683 //
     /* 1491511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1491522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1491525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1491528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1491534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491561 */     // MIs[1] Operand 1
     /* 1491561 */     // No operand predicates
     /* 1491561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491565 */     // MIs[0] policy
     /* 1491565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491577 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1491580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1491599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491602 */     // GIR_Coverage, 24683,
     /* 1491602 */     GIR_EraseRootFromParent_Done,
     /* 1491603 */   // Label 20822: @1491603
     /* 1491603 */   GIM_Try, /*On fail goto*//*Label 20823*/ GIMT_Encode4(1491700), // Rule ID 24686 //
     /* 1491608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1491625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491646 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491650 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491654 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491658 */     // MIs[1] Operand 1
     /* 1491658 */     // No operand predicates
     /* 1491658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491662 */     // MIs[0] policy
     /* 1491662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491665 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491674 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1491677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491683 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491696 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491699 */     // GIR_Coverage, 24686,
     /* 1491699 */     GIR_EraseRootFromParent_Done,
     /* 1491700 */   // Label 20823: @1491700
     /* 1491700 */   GIM_Try, /*On fail goto*//*Label 20824*/ GIMT_Encode4(1491797), // Rule ID 24687 //
     /* 1491705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1491716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1491719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1491722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1491728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491755 */     // MIs[1] Operand 1
     /* 1491755 */     // No operand predicates
     /* 1491755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491759 */     // MIs[0] policy
     /* 1491759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491762 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491771 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1491774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491780 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491796 */     // GIR_Coverage, 24687,
     /* 1491796 */     GIR_EraseRootFromParent_Done,
     /* 1491797 */   // Label 20824: @1491797
     /* 1491797 */   GIM_Try, /*On fail goto*//*Label 20825*/ GIMT_Encode4(1491894), // Rule ID 24690 //
     /* 1491802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1491819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1491822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1491828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491852 */     // MIs[1] Operand 1
     /* 1491852 */     // No operand predicates
     /* 1491852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491856 */     // MIs[0] policy
     /* 1491856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1491868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1491871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491890 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491893 */     // GIR_Coverage, 24690,
     /* 1491893 */     GIR_EraseRootFromParent_Done,
     /* 1491894 */   // Label 20825: @1491894
     /* 1491894 */   GIM_Try, /*On fail goto*//*Label 20826*/ GIMT_Encode4(1491991), // Rule ID 24691 //
     /* 1491899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1491902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1491907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1491910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1491913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1491916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1491919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1491922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1491925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1491929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1491937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1491941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1491945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1491949 */     // MIs[1] Operand 1
     /* 1491949 */     // No operand predicates
     /* 1491949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1491953 */     // MIs[0] policy
     /* 1491953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1491956 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1491958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1491965 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1491965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1491968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1491970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1491972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1491974 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1491977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1491979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1491984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1491987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1491989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1491990 */     // GIR_Coverage, 24691,
     /* 1491990 */     GIR_EraseRootFromParent_Done,
     /* 1491991 */   // Label 20826: @1491991
     /* 1491991 */   GIM_Try, /*On fail goto*//*Label 20827*/ GIMT_Encode4(1492088), // Rule ID 24694 //
     /* 1491996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1491999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1492007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1492010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1492013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492034 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492038 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492042 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492046 */     // MIs[1] Operand 1
     /* 1492046 */     // No operand predicates
     /* 1492046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492050 */     // MIs[0] policy
     /* 1492050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492053 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1492065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492071 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492084 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492087 */     // GIR_Coverage, 24694,
     /* 1492087 */     GIR_EraseRootFromParent_Done,
     /* 1492088 */   // Label 20827: @1492088
     /* 1492088 */   GIM_Try, /*On fail goto*//*Label 20828*/ GIMT_Encode4(1492185), // Rule ID 24695 //
     /* 1492093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1492104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1492107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1492110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492131 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492135 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492139 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492143 */     // MIs[1] Operand 1
     /* 1492143 */     // No operand predicates
     /* 1492143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492147 */     // MIs[0] policy
     /* 1492147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492150 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492159 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1492162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492168 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492184 */     // GIR_Coverage, 24695,
     /* 1492184 */     GIR_EraseRootFromParent_Done,
     /* 1492185 */   // Label 20828: @1492185
     /* 1492185 */   GIM_Try, /*On fail goto*//*Label 20829*/ GIMT_Encode4(1492282), // Rule ID 24698 //
     /* 1492190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1492201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1492204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1492207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492236 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492240 */     // MIs[1] Operand 1
     /* 1492240 */     // No operand predicates
     /* 1492240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492244 */     // MIs[0] policy
     /* 1492244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492247 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492256 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492265 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492278 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492281 */     // GIR_Coverage, 24698,
     /* 1492281 */     GIR_EraseRootFromParent_Done,
     /* 1492282 */   // Label 20829: @1492282
     /* 1492282 */   GIM_Try, /*On fail goto*//*Label 20830*/ GIMT_Encode4(1492379), // Rule ID 24699 //
     /* 1492287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1492298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1492301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1492304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1492310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492337 */     // MIs[1] Operand 1
     /* 1492337 */     // No operand predicates
     /* 1492337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492341 */     // MIs[0] policy
     /* 1492341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492353 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492362 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1492375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492378 */     // GIR_Coverage, 24699,
     /* 1492378 */     GIR_EraseRootFromParent_Done,
     /* 1492379 */   // Label 20830: @1492379
     /* 1492379 */   GIM_Try, /*On fail goto*//*Label 20831*/ GIMT_Encode4(1492476), // Rule ID 24702 //
     /* 1492384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1492395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1492398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1492401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492422 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492426 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492430 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492434 */     // MIs[1] Operand 1
     /* 1492434 */     // No operand predicates
     /* 1492434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492438 */     // MIs[0] policy
     /* 1492438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492441 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492450 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492459 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492472 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492475 */     // GIR_Coverage, 24702,
     /* 1492475 */     GIR_EraseRootFromParent_Done,
     /* 1492476 */   // Label 20831: @1492476
     /* 1492476 */   GIM_Try, /*On fail goto*//*Label 20832*/ GIMT_Encode4(1492573), // Rule ID 24703 //
     /* 1492481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1492492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1492495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1492498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1492504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492519 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492523 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492527 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492531 */     // MIs[1] Operand 1
     /* 1492531 */     // No operand predicates
     /* 1492531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492535 */     // MIs[0] policy
     /* 1492535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492538 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492547 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492556 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1492569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492572 */     // GIR_Coverage, 24703,
     /* 1492572 */     GIR_EraseRootFromParent_Done,
     /* 1492573 */   // Label 20832: @1492573
     /* 1492573 */   GIM_Try, /*On fail goto*//*Label 20833*/ GIMT_Encode4(1492670), // Rule ID 24706 //
     /* 1492578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1492589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1492592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1492595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492628 */     // MIs[1] Operand 1
     /* 1492628 */     // No operand predicates
     /* 1492628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492632 */     // MIs[0] policy
     /* 1492632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492666 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492668 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492669 */     // GIR_Coverage, 24706,
     /* 1492669 */     GIR_EraseRootFromParent_Done,
     /* 1492670 */   // Label 20833: @1492670
     /* 1492670 */   GIM_Try, /*On fail goto*//*Label 20834*/ GIMT_Encode4(1492767), // Rule ID 24707 //
     /* 1492675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1492678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1492686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1492689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1492692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1492698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492725 */     // MIs[1] Operand 1
     /* 1492725 */     // No operand predicates
     /* 1492725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492729 */     // MIs[0] policy
     /* 1492729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492741 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492750 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1492763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492766 */     // GIR_Coverage, 24707,
     /* 1492766 */     GIR_EraseRootFromParent_Done,
     /* 1492767 */   // Label 20834: @1492767
     /* 1492767 */   GIM_Try, /*On fail goto*//*Label 20835*/ GIMT_Encode4(1492864), // Rule ID 24710 //
     /* 1492772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1492775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1492783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1492786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1492789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492810 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492814 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492818 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492822 */     // MIs[1] Operand 1
     /* 1492822 */     // No operand predicates
     /* 1492822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492826 */     // MIs[0] policy
     /* 1492826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492829 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492838 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1492838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492847 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492862 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492863 */     // GIR_Coverage, 24710,
     /* 1492863 */     GIR_EraseRootFromParent_Done,
     /* 1492864 */   // Label 20835: @1492864
     /* 1492864 */   GIM_Try, /*On fail goto*//*Label 20836*/ GIMT_Encode4(1492961), // Rule ID 24711 //
     /* 1492869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1492872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1492880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1492883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1492886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1492889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1492892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1492895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1492899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1492907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1492911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1492915 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1492919 */     // MIs[1] Operand 1
     /* 1492919 */     // No operand predicates
     /* 1492919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1492923 */     // MIs[0] policy
     /* 1492923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1492926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1492928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1492935 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1492935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1492938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1492940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1492942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1492944 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1492947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1492949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1492954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1492957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1492959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1492960 */     // GIR_Coverage, 24711,
     /* 1492960 */     GIR_EraseRootFromParent_Done,
     /* 1492961 */   // Label 20836: @1492961
     /* 1492961 */   GIM_Try, /*On fail goto*//*Label 20837*/ GIMT_Encode4(1493058), // Rule ID 24714 //
     /* 1492966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1492969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1492974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1492977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1492980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1492983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1492986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1492989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1492992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1492996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493012 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493016 */     // MIs[1] Operand 1
     /* 1493016 */     // No operand predicates
     /* 1493016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493020 */     // MIs[0] policy
     /* 1493020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493023 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493032 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493041 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493056 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493057 */     // GIR_Coverage, 24714,
     /* 1493057 */     GIR_EraseRootFromParent_Done,
     /* 1493058 */   // Label 20837: @1493058
     /* 1493058 */   GIM_Try, /*On fail goto*//*Label 20838*/ GIMT_Encode4(1493155), // Rule ID 24715 //
     /* 1493063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1493074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1493077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1493080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493113 */     // MIs[1] Operand 1
     /* 1493113 */     // No operand predicates
     /* 1493113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493117 */     // MIs[0] policy
     /* 1493117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493120 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493129 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493138 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493154 */     // GIR_Coverage, 24715,
     /* 1493154 */     GIR_EraseRootFromParent_Done,
     /* 1493155 */   // Label 20838: @1493155
     /* 1493155 */   GIM_Try, /*On fail goto*//*Label 20839*/ GIMT_Encode4(1493252), // Rule ID 24718 //
     /* 1493160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1493171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1493174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1493177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493206 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493210 */     // MIs[1] Operand 1
     /* 1493210 */     // No operand predicates
     /* 1493210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493214 */     // MIs[0] policy
     /* 1493214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493217 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493226 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493235 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493250 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493251 */     // GIR_Coverage, 24718,
     /* 1493251 */     GIR_EraseRootFromParent_Done,
     /* 1493252 */   // Label 20839: @1493252
     /* 1493252 */   GIM_Try, /*On fail goto*//*Label 20840*/ GIMT_Encode4(1493349), // Rule ID 24719 //
     /* 1493257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1493268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1493271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1493274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493295 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493299 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493303 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493307 */     // MIs[1] Operand 1
     /* 1493307 */     // No operand predicates
     /* 1493307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493311 */     // MIs[0] policy
     /* 1493311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493314 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493323 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493332 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493348 */     // GIR_Coverage, 24719,
     /* 1493348 */     GIR_EraseRootFromParent_Done,
     /* 1493349 */   // Label 20840: @1493349
     /* 1493349 */   GIM_Try, /*On fail goto*//*Label 20841*/ GIMT_Encode4(1493446), // Rule ID 24722 //
     /* 1493354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1493365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1493368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1493371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1493377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493392 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493396 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493400 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493404 */     // MIs[1] Operand 1
     /* 1493404 */     // No operand predicates
     /* 1493404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493408 */     // MIs[0] policy
     /* 1493408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493411 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493420 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1493423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493429 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493444 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493445 */     // GIR_Coverage, 24722,
     /* 1493445 */     GIR_EraseRootFromParent_Done,
     /* 1493446 */   // Label 20841: @1493446
     /* 1493446 */   GIM_Try, /*On fail goto*//*Label 20842*/ GIMT_Encode4(1493543), // Rule ID 24723 //
     /* 1493451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1493462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1493465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1493468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1493474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493501 */     // MIs[1] Operand 1
     /* 1493501 */     // No operand predicates
     /* 1493501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493505 */     // MIs[0] policy
     /* 1493505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493508 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493517 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1493520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493526 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1493539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493542 */     // GIR_Coverage, 24723,
     /* 1493542 */     GIR_EraseRootFromParent_Done,
     /* 1493543 */   // Label 20842: @1493543
     /* 1493543 */   GIM_Try, /*On fail goto*//*Label 20843*/ GIMT_Encode4(1493640), // Rule ID 24726 //
     /* 1493548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1493559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1493562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1493565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493594 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493598 */     // MIs[1] Operand 1
     /* 1493598 */     // No operand predicates
     /* 1493598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493602 */     // MIs[0] policy
     /* 1493602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493614 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493638 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493639 */     // GIR_Coverage, 24726,
     /* 1493639 */     GIR_EraseRootFromParent_Done,
     /* 1493640 */   // Label 20843: @1493640
     /* 1493640 */   GIM_Try, /*On fail goto*//*Label 20844*/ GIMT_Encode4(1493737), // Rule ID 24727 //
     /* 1493645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1493656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1493659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1493662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1493668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1493675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1493683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493695 */     // MIs[1] Operand 1
     /* 1493695 */     // No operand predicates
     /* 1493695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493699 */     // MIs[0] policy
     /* 1493699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493711 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1493714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493720 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493736 */     // GIR_Coverage, 24727,
     /* 1493736 */     GIR_EraseRootFromParent_Done,
     /* 1493737 */   // Label 20844: @1493737
     /* 1493737 */   GIM_Try, /*On fail goto*//*Label 20845*/ GIMT_Encode4(1493834), // Rule ID 24730 //
     /* 1493742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1493753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1493756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1493759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493780 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493784 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493788 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493792 */     // MIs[1] Operand 1
     /* 1493792 */     // No operand predicates
     /* 1493792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493796 */     // MIs[0] policy
     /* 1493796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493799 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1493808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493817 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493832 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493833 */     // GIR_Coverage, 24730,
     /* 1493833 */     GIR_EraseRootFromParent_Done,
     /* 1493834 */   // Label 20845: @1493834
     /* 1493834 */   GIM_Try, /*On fail goto*//*Label 20846*/ GIMT_Encode4(1493931), // Rule ID 24731 //
     /* 1493839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1493842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1493850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1493853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1493856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1493859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1493862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1493865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1493869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1493877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493889 */     // MIs[1] Operand 1
     /* 1493889 */     // No operand predicates
     /* 1493889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493893 */     // MIs[0] policy
     /* 1493893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1493905 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1493905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1493908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1493910 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1493912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1493914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1493917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1493919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1493924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1493927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1493929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1493930 */     // GIR_Coverage, 24731,
     /* 1493930 */     GIR_EraseRootFromParent_Done,
     /* 1493931 */   // Label 20846: @1493931
     /* 1493931 */   GIM_Try, /*On fail goto*//*Label 20847*/ GIMT_Encode4(1494028), // Rule ID 24734 //
     /* 1493936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1493939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1493944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1493947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1493950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1493953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1493956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1493959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1493962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1493966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1493974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1493978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1493982 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1493986 */     // MIs[1] Operand 1
     /* 1493986 */     // No operand predicates
     /* 1493986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1493990 */     // MIs[0] policy
     /* 1493990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1493993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1493995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1494005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494011 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494026 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494027 */     // GIR_Coverage, 24734,
     /* 1494027 */     GIR_EraseRootFromParent_Done,
     /* 1494028 */   // Label 20847: @1494028
     /* 1494028 */   GIM_Try, /*On fail goto*//*Label 20848*/ GIMT_Encode4(1494125), // Rule ID 24735 //
     /* 1494033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1494044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1494047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1494050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1494056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494083 */     // MIs[1] Operand 1
     /* 1494083 */     // No operand predicates
     /* 1494083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494087 */     // MIs[0] policy
     /* 1494087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494099 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1494102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494108 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1494121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494124 */     // GIR_Coverage, 24735,
     /* 1494124 */     GIR_EraseRootFromParent_Done,
     /* 1494125 */   // Label 20848: @1494125
     /* 1494125 */   GIM_Try, /*On fail goto*//*Label 20849*/ GIMT_Encode4(1494222), // Rule ID 24738 //
     /* 1494130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1494141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1494144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1494147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494180 */     // MIs[1] Operand 1
     /* 1494180 */     // No operand predicates
     /* 1494180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494184 */     // MIs[0] policy
     /* 1494184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494196 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1494199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494218 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494220 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494221 */     // GIR_Coverage, 24738,
     /* 1494221 */     GIR_EraseRootFromParent_Done,
     /* 1494222 */   // Label 20849: @1494222
     /* 1494222 */   GIM_Try, /*On fail goto*//*Label 20850*/ GIMT_Encode4(1494319), // Rule ID 24739 //
     /* 1494227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1494238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1494241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1494244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494277 */     // MIs[1] Operand 1
     /* 1494277 */     // No operand predicates
     /* 1494277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494281 */     // MIs[0] policy
     /* 1494281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494293 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1494296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494318 */     // GIR_Coverage, 24739,
     /* 1494318 */     GIR_EraseRootFromParent_Done,
     /* 1494319 */   // Label 20850: @1494319
     /* 1494319 */   GIM_Try, /*On fail goto*//*Label 20851*/ GIMT_Encode4(1494416), // Rule ID 24742 //
     /* 1494324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1494335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1494338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1494341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494362 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494366 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494370 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494374 */     // MIs[1] Operand 1
     /* 1494374 */     // No operand predicates
     /* 1494374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494378 */     // MIs[0] policy
     /* 1494378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494381 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494390 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1494393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494399 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494412 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494414 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494415 */     // GIR_Coverage, 24742,
     /* 1494415 */     GIR_EraseRootFromParent_Done,
     /* 1494416 */   // Label 20851: @1494416
     /* 1494416 */   GIM_Try, /*On fail goto*//*Label 20852*/ GIMT_Encode4(1494513), // Rule ID 24743 //
     /* 1494421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1494432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1494435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1494438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1494444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494467 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494471 */     // MIs[1] Operand 1
     /* 1494471 */     // No operand predicates
     /* 1494471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494475 */     // MIs[0] policy
     /* 1494475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494487 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1494490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494496 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494512 */     // GIR_Coverage, 24743,
     /* 1494512 */     GIR_EraseRootFromParent_Done,
     /* 1494513 */   // Label 20852: @1494513
     /* 1494513 */   GIM_Try, /*On fail goto*//*Label 20853*/ GIMT_Encode4(1494610), // Rule ID 24746 //
     /* 1494518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1494521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1494529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1494532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1494535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494568 */     // MIs[1] Operand 1
     /* 1494568 */     // No operand predicates
     /* 1494568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494572 */     // MIs[0] policy
     /* 1494572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494584 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1494587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494606 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494608 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494609 */     // GIR_Coverage, 24746,
     /* 1494609 */     GIR_EraseRootFromParent_Done,
     /* 1494610 */   // Label 20853: @1494610
     /* 1494610 */   GIM_Try, /*On fail goto*//*Label 20854*/ GIMT_Encode4(1494707), // Rule ID 24747 //
     /* 1494615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1494618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1494626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1494629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1494632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1494638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1494645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1494653 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494657 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494661 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494665 */     // MIs[1] Operand 1
     /* 1494665 */     // No operand predicates
     /* 1494665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494669 */     // MIs[0] policy
     /* 1494669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494681 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1494684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494690 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1494703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494706 */     // GIR_Coverage, 24747,
     /* 1494706 */     GIR_EraseRootFromParent_Done,
     /* 1494707 */   // Label 20854: @1494707
     /* 1494707 */   GIM_Try, /*On fail goto*//*Label 20855*/ GIMT_Encode4(1494804), // Rule ID 24750 //
     /* 1494712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1494715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1494723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1494726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1494729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1494735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494750 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494754 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494758 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494762 */     // MIs[1] Operand 1
     /* 1494762 */     // No operand predicates
     /* 1494762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494766 */     // MIs[0] policy
     /* 1494766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494769 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1494781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494787 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494800 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494802 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494803 */     // GIR_Coverage, 24750,
     /* 1494803 */     GIR_EraseRootFromParent_Done,
     /* 1494804 */   // Label 20855: @1494804
     /* 1494804 */   GIM_Try, /*On fail goto*//*Label 20856*/ GIMT_Encode4(1494901), // Rule ID 24751 //
     /* 1494809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1494812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1494820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1494823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1494826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1494829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1494832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1494835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1494839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1494847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494855 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494859 */     // MIs[1] Operand 1
     /* 1494859 */     // No operand predicates
     /* 1494859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494863 */     // MIs[0] policy
     /* 1494863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494866 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494875 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1494875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1494878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494884 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494900 */     // GIR_Coverage, 24751,
     /* 1494900 */     GIR_EraseRootFromParent_Done,
     /* 1494901 */   // Label 20856: @1494901
     /* 1494901 */   GIM_Try, /*On fail goto*//*Label 20857*/ GIMT_Encode4(1494998), // Rule ID 24754 //
     /* 1494906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1494909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1494914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1494917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1494920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1494923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1494926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1494929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1494932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1494936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1494944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1494948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1494952 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1494956 */     // MIs[1] Operand 1
     /* 1494956 */     // No operand predicates
     /* 1494956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1494960 */     // MIs[0] policy
     /* 1494960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1494963 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1494965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1494972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1494972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1494975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1494977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1494979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1494981 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1494984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1494986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1494991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1494994 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1494996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1494997 */     // GIR_Coverage, 24754,
     /* 1494997 */     GIR_EraseRootFromParent_Done,
     /* 1494998 */   // Label 20857: @1494998
     /* 1494998 */   GIM_Try, /*On fail goto*//*Label 20858*/ GIMT_Encode4(1495095), // Rule ID 24755 //
     /* 1495003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1495006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1495014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1495017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1495020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1495033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1495041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495053 */     // MIs[1] Operand 1
     /* 1495053 */     // No operand predicates
     /* 1495053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495057 */     // MIs[0] policy
     /* 1495057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495069 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1495072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495094 */     // GIR_Coverage, 24755,
     /* 1495094 */     GIR_EraseRootFromParent_Done,
     /* 1495095 */   // Label 20858: @1495095
     /* 1495095 */   GIM_Try, /*On fail goto*//*Label 20859*/ GIMT_Encode4(1495192), // Rule ID 24758 //
     /* 1495100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1495103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1495117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495146 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495150 */     // MIs[1] Operand 1
     /* 1495150 */     // No operand predicates
     /* 1495150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495154 */     // MIs[0] policy
     /* 1495154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495157 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495166 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1495169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495175 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495188 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495191 */     // GIR_Coverage, 24758,
     /* 1495191 */     GIR_EraseRootFromParent_Done,
     /* 1495192 */   // Label 20859: @1495192
     /* 1495192 */   GIM_Try, /*On fail goto*//*Label 20860*/ GIMT_Encode4(1495289), // Rule ID 24759 //
     /* 1495197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1495200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1495208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1495211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1495214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1495220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1495227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1495235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495243 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495247 */     // MIs[1] Operand 1
     /* 1495247 */     // No operand predicates
     /* 1495247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495251 */     // MIs[0] policy
     /* 1495251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495254 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495263 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1495266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495268 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495272 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1495285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495288 */     // GIR_Coverage, 24759,
     /* 1495288 */     GIR_EraseRootFromParent_Done,
     /* 1495289 */   // Label 20860: @1495289
     /* 1495289 */   GIM_Try, /*On fail goto*//*Label 20861*/ GIMT_Encode4(1495386), // Rule ID 24966 //
     /* 1495294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1495297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1495305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1495308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1495311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495332 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495336 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495340 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495344 */     // MIs[1] Operand 1
     /* 1495344 */     // No operand predicates
     /* 1495344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495348 */     // MIs[0] policy
     /* 1495348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495351 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495360 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1495363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495369 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495382 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495385 */     // GIR_Coverage, 24966,
     /* 1495385 */     GIR_EraseRootFromParent_Done,
     /* 1495386 */   // Label 20861: @1495386
     /* 1495386 */   GIM_Try, /*On fail goto*//*Label 20862*/ GIMT_Encode4(1495483), // Rule ID 24967 //
     /* 1495391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1495394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1495402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1495405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1495408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495441 */     // MIs[1] Operand 1
     /* 1495441 */     // No operand predicates
     /* 1495441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495445 */     // MIs[0] policy
     /* 1495445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495457 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF4_MASK),
     /* 1495460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495482 */     // GIR_Coverage, 24967,
     /* 1495482 */     GIR_EraseRootFromParent_Done,
     /* 1495483 */   // Label 20862: @1495483
     /* 1495483 */   GIM_Try, /*On fail goto*//*Label 20863*/ GIMT_Encode4(1495580), // Rule ID 24970 //
     /* 1495488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1495491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1495499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1495502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495526 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495530 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495534 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495538 */     // MIs[1] Operand 1
     /* 1495538 */     // No operand predicates
     /* 1495538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495542 */     // MIs[0] policy
     /* 1495542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495554 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1495557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495576 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495579 */     // GIR_Coverage, 24970,
     /* 1495579 */     GIR_EraseRootFromParent_Done,
     /* 1495580 */   // Label 20863: @1495580
     /* 1495580 */   GIM_Try, /*On fail goto*//*Label 20864*/ GIMT_Encode4(1495677), // Rule ID 24971 //
     /* 1495585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1495588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1495596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1495599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1495602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1495608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495623 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495627 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495631 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495635 */     // MIs[1] Operand 1
     /* 1495635 */     // No operand predicates
     /* 1495635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495639 */     // MIs[0] policy
     /* 1495639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495651 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1495654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495660 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495676 */     // GIR_Coverage, 24971,
     /* 1495676 */     GIR_EraseRootFromParent_Done,
     /* 1495677 */   // Label 20864: @1495677
     /* 1495677 */   GIM_Try, /*On fail goto*//*Label 20865*/ GIMT_Encode4(1495774), // Rule ID 24974 //
     /* 1495682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1495685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495728 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495732 */     // MIs[1] Operand 1
     /* 1495732 */     // No operand predicates
     /* 1495732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495736 */     // MIs[0] policy
     /* 1495736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495739 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495748 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1495751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495757 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495770 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495773 */     // GIR_Coverage, 24974,
     /* 1495773 */     GIR_EraseRootFromParent_Done,
     /* 1495774 */   // Label 20865: @1495774
     /* 1495774 */   GIM_Try, /*On fail goto*//*Label 20866*/ GIMT_Encode4(1495871), // Rule ID 24975 //
     /* 1495779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1495782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1495790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1495793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1495796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1495802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495825 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495829 */     // MIs[1] Operand 1
     /* 1495829 */     // No operand predicates
     /* 1495829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495833 */     // MIs[0] policy
     /* 1495833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495836 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495845 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1495845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_MF2_MASK),
     /* 1495848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495854 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1495867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495870 */     // GIR_Coverage, 24975,
     /* 1495870 */     GIR_EraseRootFromParent_Done,
     /* 1495871 */   // Label 20866: @1495871
     /* 1495871 */   GIM_Try, /*On fail goto*//*Label 20867*/ GIMT_Encode4(1495968), // Rule ID 24978 //
     /* 1495876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1495879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1495887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1495890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1495896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1495902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1495906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1495914 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1495918 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1495922 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1495926 */     // MIs[1] Operand 1
     /* 1495926 */     // No operand predicates
     /* 1495926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1495930 */     // MIs[0] policy
     /* 1495930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1495933 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1495935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1495942 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1495942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1495945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1495947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1495949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1495951 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1495954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1495956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1495961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1495964 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1495966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1495967 */     // GIR_Coverage, 24978,
     /* 1495967 */     GIR_EraseRootFromParent_Done,
     /* 1495968 */   // Label 20867: @1495968
     /* 1495968 */   GIM_Try, /*On fail goto*//*Label 20868*/ GIMT_Encode4(1496065), // Rule ID 24979 //
     /* 1495973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1495976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1495981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1495984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1495987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1495990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1495993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1495996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1495999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496019 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496023 */     // MIs[1] Operand 1
     /* 1496023 */     // No operand predicates
     /* 1496023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496027 */     // MIs[0] policy
     /* 1496027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496039 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1496042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496064 */     // GIR_Coverage, 24979,
     /* 1496064 */     GIR_EraseRootFromParent_Done,
     /* 1496065 */   // Label 20868: @1496065
     /* 1496065 */   GIM_Try, /*On fail goto*//*Label 20869*/ GIMT_Encode4(1496162), // Rule ID 24982 //
     /* 1496070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1496073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1496087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496120 */     // MIs[1] Operand 1
     /* 1496120 */     // No operand predicates
     /* 1496120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496124 */     // MIs[0] policy
     /* 1496124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496127 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496136 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1496139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496145 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496158 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496160 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496161 */     // GIR_Coverage, 24982,
     /* 1496161 */     GIR_EraseRootFromParent_Done,
     /* 1496162 */   // Label 20869: @1496162
     /* 1496162 */   GIM_Try, /*On fail goto*//*Label 20870*/ GIMT_Encode4(1496259), // Rule ID 24983 //
     /* 1496167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1496170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1496178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1496181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1496184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1496190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496217 */     // MIs[1] Operand 1
     /* 1496217 */     // No operand predicates
     /* 1496217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496221 */     // MIs[0] policy
     /* 1496221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496233 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1496236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1496255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496258 */     // GIR_Coverage, 24983,
     /* 1496258 */     GIR_EraseRootFromParent_Done,
     /* 1496259 */   // Label 20870: @1496259
     /* 1496259 */   GIM_Try, /*On fail goto*//*Label 20871*/ GIMT_Encode4(1496356), // Rule ID 24986 //
     /* 1496264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1496267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1496281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496302 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496306 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496310 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496314 */     // MIs[1] Operand 1
     /* 1496314 */     // No operand predicates
     /* 1496314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496318 */     // MIs[0] policy
     /* 1496318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496321 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496330 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1496333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496339 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496352 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496354 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496355 */     // GIR_Coverage, 24986,
     /* 1496355 */     GIR_EraseRootFromParent_Done,
     /* 1496356 */   // Label 20871: @1496356
     /* 1496356 */   GIM_Try, /*On fail goto*//*Label 20872*/ GIMT_Encode4(1496453), // Rule ID 24987 //
     /* 1496361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1496364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1496372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1496375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1496378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1496384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1496391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1496399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496407 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496411 */     // MIs[1] Operand 1
     /* 1496411 */     // No operand predicates
     /* 1496411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496415 */     // MIs[0] policy
     /* 1496415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496427 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M1_MASK),
     /* 1496430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496436 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1496449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496452 */     // GIR_Coverage, 24987,
     /* 1496452 */     GIR_EraseRootFromParent_Done,
     /* 1496453 */   // Label 20872: @1496453
     /* 1496453 */   GIM_Try, /*On fail goto*//*Label 20873*/ GIMT_Encode4(1496550), // Rule ID 24990 //
     /* 1496458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1496461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1496475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1496488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496508 */     // MIs[1] Operand 1
     /* 1496508 */     // No operand predicates
     /* 1496508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496512 */     // MIs[0] policy
     /* 1496512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496524 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1496527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496548 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496549 */     // GIR_Coverage, 24990,
     /* 1496549 */     GIR_EraseRootFromParent_Done,
     /* 1496550 */   // Label 20873: @1496550
     /* 1496550 */   GIM_Try, /*On fail goto*//*Label 20874*/ GIMT_Encode4(1496647), // Rule ID 24991 //
     /* 1496555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1496558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1496566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1496569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1496572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1496578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1496585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1496593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496605 */     // MIs[1] Operand 1
     /* 1496605 */     // No operand predicates
     /* 1496605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496609 */     // MIs[0] policy
     /* 1496609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496621 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1496624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496646 */     // GIR_Coverage, 24991,
     /* 1496646 */     GIR_EraseRootFromParent_Done,
     /* 1496647 */   // Label 20874: @1496647
     /* 1496647 */   GIM_Try, /*On fail goto*//*Label 20875*/ GIMT_Encode4(1496744), // Rule ID 24994 //
     /* 1496652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1496655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1496663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1496666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1496669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1496675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1496682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496698 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496702 */     // MIs[1] Operand 1
     /* 1496702 */     // No operand predicates
     /* 1496702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496706 */     // MIs[0] policy
     /* 1496706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496709 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496718 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1496721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496727 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496742 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496743 */     // GIR_Coverage, 24994,
     /* 1496743 */     GIR_EraseRootFromParent_Done,
     /* 1496744 */   // Label 20875: @1496744
     /* 1496744 */   GIM_Try, /*On fail goto*//*Label 20876*/ GIMT_Encode4(1496841), // Rule ID 24995 //
     /* 1496749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1496752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1496760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1496763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1496766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1496772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1496779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1496787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496795 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496799 */     // MIs[1] Operand 1
     /* 1496799 */     // No operand predicates
     /* 1496799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496803 */     // MIs[0] policy
     /* 1496803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496815 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1496815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1496818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496820 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496824 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496840 */     // GIR_Coverage, 24995,
     /* 1496840 */     GIR_EraseRootFromParent_Done,
     /* 1496841 */   // Label 20876: @1496841
     /* 1496841 */   GIM_Try, /*On fail goto*//*Label 20877*/ GIMT_Encode4(1496938), // Rule ID 24998 //
     /* 1496846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1496849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1496857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1496860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1496863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1496866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1496869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1496872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496892 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496896 */     // MIs[1] Operand 1
     /* 1496896 */     // No operand predicates
     /* 1496896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496900 */     // MIs[0] policy
     /* 1496900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1496903 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1496905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1496912 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1496912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1496915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1496917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1496919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1496921 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1496924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1496926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1496931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1496934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1496936 */     GIR_RootConstrainSelectedInstOperands,
     /* 1496937 */     // GIR_Coverage, 24998,
     /* 1496937 */     GIR_EraseRootFromParent_Done,
     /* 1496938 */   // Label 20877: @1496938
     /* 1496938 */   GIM_Try, /*On fail goto*//*Label 20878*/ GIMT_Encode4(1497035), // Rule ID 24999 //
     /* 1496943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1496946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1496951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1496954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1496957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1496960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1496963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1496966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1496969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1496973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1496981 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1496985 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1496989 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1496993 */     // MIs[1] Operand 1
     /* 1496993 */     // No operand predicates
     /* 1496993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1496997 */     // MIs[0] policy
     /* 1496997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497000 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497009 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1497012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497018 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1497031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497034 */     // GIR_Coverage, 24999,
     /* 1497034 */     GIR_EraseRootFromParent_Done,
     /* 1497035 */   // Label 20878: @1497035
     /* 1497035 */   GIM_Try, /*On fail goto*//*Label 20879*/ GIMT_Encode4(1497132), // Rule ID 25002 //
     /* 1497040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1497057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497078 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497082 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497086 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497090 */     // MIs[1] Operand 1
     /* 1497090 */     // No operand predicates
     /* 1497090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497094 */     // MIs[0] policy
     /* 1497094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497097 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497106 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1497109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497115 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497130 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497131 */     // GIR_Coverage, 25002,
     /* 1497131 */     GIR_EraseRootFromParent_Done,
     /* 1497132 */   // Label 20879: @1497132
     /* 1497132 */   GIM_Try, /*On fail goto*//*Label 20880*/ GIMT_Encode4(1497229), // Rule ID 25003 //
     /* 1497137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1497148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1497151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1497154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497183 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497187 */     // MIs[1] Operand 1
     /* 1497187 */     // No operand predicates
     /* 1497187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497191 */     // MIs[0] policy
     /* 1497191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497194 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497203 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1497206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497212 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497228 */     // GIR_Coverage, 25003,
     /* 1497228 */     GIR_EraseRootFromParent_Done,
     /* 1497229 */   // Label 20880: @1497229
     /* 1497229 */   GIM_Try, /*On fail goto*//*Label 20881*/ GIMT_Encode4(1497326), // Rule ID 25006 //
     /* 1497234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1497251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1497257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1497264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497272 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497276 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497280 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497284 */     // MIs[1] Operand 1
     /* 1497284 */     // No operand predicates
     /* 1497284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497288 */     // MIs[0] policy
     /* 1497288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497300 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1497303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497309 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497324 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497325 */     // GIR_Coverage, 25006,
     /* 1497325 */     GIR_EraseRootFromParent_Done,
     /* 1497326 */   // Label 20881: @1497326
     /* 1497326 */   GIM_Try, /*On fail goto*//*Label 20882*/ GIMT_Encode4(1497423), // Rule ID 25007 //
     /* 1497331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1497342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1497345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1497348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1497354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1497361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497377 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497381 */     // MIs[1] Operand 1
     /* 1497381 */     // No operand predicates
     /* 1497381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497385 */     // MIs[0] policy
     /* 1497385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497388 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497397 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1497400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497406 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497422 */     // GIR_Coverage, 25007,
     /* 1497422 */     GIR_EraseRootFromParent_Done,
     /* 1497423 */   // Label 20882: @1497423
     /* 1497423 */   GIM_Try, /*On fail goto*//*Label 20883*/ GIMT_Encode4(1497520), // Rule ID 25010 //
     /* 1497428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1497431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1497445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1497451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1497458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497478 */     // MIs[1] Operand 1
     /* 1497478 */     // No operand predicates
     /* 1497478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497482 */     // MIs[0] policy
     /* 1497482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497494 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1497497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497518 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497519 */     // GIR_Coverage, 25010,
     /* 1497519 */     GIR_EraseRootFromParent_Done,
     /* 1497520 */   // Label 20883: @1497520
     /* 1497520 */   GIM_Try, /*On fail goto*//*Label 20884*/ GIMT_Encode4(1497617), // Rule ID 25011 //
     /* 1497525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1497528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1497536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1497539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1497542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1497548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1497555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1497563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497571 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497575 */     // MIs[1] Operand 1
     /* 1497575 */     // No operand predicates
     /* 1497575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497579 */     // MIs[0] policy
     /* 1497579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497582 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497591 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1497594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497600 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1497613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497616 */     // GIR_Coverage, 25011,
     /* 1497616 */     GIR_EraseRootFromParent_Done,
     /* 1497617 */   // Label 20884: @1497617
     /* 1497617 */   GIM_Try, /*On fail goto*//*Label 20885*/ GIMT_Encode4(1497714), // Rule ID 25014 //
     /* 1497622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1497633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1497636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1497639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497660 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497664 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497668 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497672 */     // MIs[1] Operand 1
     /* 1497672 */     // No operand predicates
     /* 1497672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497676 */     // MIs[0] policy
     /* 1497676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497688 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1497691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497697 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497710 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497712 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497713 */     // GIR_Coverage, 25014,
     /* 1497713 */     GIR_EraseRootFromParent_Done,
     /* 1497714 */   // Label 20885: @1497714
     /* 1497714 */   GIM_Try, /*On fail goto*//*Label 20886*/ GIMT_Encode4(1497811), // Rule ID 25015 //
     /* 1497719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1497730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1497733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1497736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1497742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1497749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1497757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497769 */     // MIs[1] Operand 1
     /* 1497769 */     // No operand predicates
     /* 1497769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497773 */     // MIs[0] policy
     /* 1497773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497785 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M2_MASK),
     /* 1497788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497810 */     // GIR_Coverage, 25015,
     /* 1497810 */     GIR_EraseRootFromParent_Done,
     /* 1497811 */   // Label 20886: @1497811
     /* 1497811 */   GIM_Try, /*On fail goto*//*Label 20887*/ GIMT_Encode4(1497908), // Rule ID 25018 //
     /* 1497816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1497819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1497827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1497830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1497833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1497836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1497842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1497846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497866 */     // MIs[1] Operand 1
     /* 1497866 */     // No operand predicates
     /* 1497866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497870 */     // MIs[0] policy
     /* 1497870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497882 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1497882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1497885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1497904 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1497906 */     GIR_RootConstrainSelectedInstOperands,
     /* 1497907 */     // GIR_Coverage, 25018,
     /* 1497907 */     GIR_EraseRootFromParent_Done,
     /* 1497908 */   // Label 20887: @1497908
     /* 1497908 */   GIM_Try, /*On fail goto*//*Label 20888*/ GIMT_Encode4(1498005), // Rule ID 25019 //
     /* 1497913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1497916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1497921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1497924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1497927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1497930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1497933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1497936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1497939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1497943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1497951 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1497955 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1497959 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1497963 */     // MIs[1] Operand 1
     /* 1497963 */     // No operand predicates
     /* 1497963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1497967 */     // MIs[0] policy
     /* 1497967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1497970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1497972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1497979 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1497979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M4_MASK),
     /* 1497982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1497984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1497986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1497988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1497991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1497993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1497998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498004 */     // GIR_Coverage, 25019,
     /* 1498004 */     GIR_EraseRootFromParent_Done,
     /* 1498005 */   // Label 20888: @1498005
     /* 1498005 */   GIM_Try, /*On fail goto*//*Label 20889*/ GIMT_Encode4(1498102), // Rule ID 25022 //
     /* 1498010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1498013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1498018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1498027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498060 */     // MIs[1] Operand 1
     /* 1498060 */     // No operand predicates
     /* 1498060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498064 */     // MIs[0] policy
     /* 1498064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498067 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498076 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1498079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498085 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498098 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498100 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498101 */     // GIR_Coverage, 25022,
     /* 1498101 */     GIR_EraseRootFromParent_Done,
     /* 1498102 */   // Label 20889: @1498102
     /* 1498102 */   GIM_Try, /*On fail goto*//*Label 20890*/ GIMT_Encode4(1498199), // Rule ID 25023 //
     /* 1498107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1498110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1498115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1498118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1498121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1498124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1498137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1498145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498157 */     // MIs[1] Operand 1
     /* 1498157 */     // No operand predicates
     /* 1498157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498161 */     // MIs[0] policy
     /* 1498161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498173 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VI_M8_MASK),
     /* 1498176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1498195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498198 */     // GIR_Coverage, 25023,
     /* 1498198 */     GIR_EraseRootFromParent_Done,
     /* 1498199 */   // Label 20890: @1498199
     /* 1498199 */   GIM_Try, /*On fail goto*//*Label 20891*/ GIMT_Encode4(1498296), // Rule ID 61034 //
     /* 1498204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1498207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1498221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1498227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498242 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498246 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498250 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498254 */     // MIs[1] Operand 1
     /* 1498254 */     // No operand predicates
     /* 1498254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498258 */     // MIs[0] policy
     /* 1498258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498270 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1498273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498279 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498292 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498294 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498295 */     // GIR_Coverage, 61034,
     /* 1498295 */     GIR_EraseRootFromParent_Done,
     /* 1498296 */   // Label 20891: @1498296
     /* 1498296 */   GIM_Try, /*On fail goto*//*Label 20892*/ GIMT_Encode4(1498393), // Rule ID 61035 //
     /* 1498301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1498304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1498312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1498315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1498318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1498324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498347 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498351 */     // MIs[1] Operand 1
     /* 1498351 */     // No operand predicates
     /* 1498351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498355 */     // MIs[0] policy
     /* 1498355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498367 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF8_MASK),
     /* 1498370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498376 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498392 */     // GIR_Coverage, 61035,
     /* 1498392 */     GIR_EraseRootFromParent_Done,
     /* 1498393 */   // Label 20892: @1498393
     /* 1498393 */   GIM_Try, /*On fail goto*//*Label 20893*/ GIMT_Encode4(1498490), // Rule ID 61042 //
     /* 1498398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1498401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1498409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1498412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1498415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1498421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498436 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498440 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498444 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498448 */     // MIs[1] Operand 1
     /* 1498448 */     // No operand predicates
     /* 1498448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498452 */     // MIs[0] policy
     /* 1498452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1498467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498473 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498486 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498489 */     // GIR_Coverage, 61042,
     /* 1498489 */     GIR_EraseRootFromParent_Done,
     /* 1498490 */   // Label 20893: @1498490
     /* 1498490 */   GIM_Try, /*On fail goto*//*Label 20894*/ GIMT_Encode4(1498587), // Rule ID 61043 //
     /* 1498495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1498498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1498506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1498509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1498512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1498518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498545 */     // MIs[1] Operand 1
     /* 1498545 */     // No operand predicates
     /* 1498545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498549 */     // MIs[0] policy
     /* 1498549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498552 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498561 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1498564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498570 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498586 */     // GIR_Coverage, 61043,
     /* 1498586 */     GIR_EraseRootFromParent_Done,
     /* 1498587 */   // Label 20894: @1498587
     /* 1498587 */   GIM_Try, /*On fail goto*//*Label 20895*/ GIMT_Encode4(1498684), // Rule ID 61050 //
     /* 1498592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1498595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1498609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1498615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498630 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498634 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498638 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498642 */     // MIs[1] Operand 1
     /* 1498642 */     // No operand predicates
     /* 1498642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498646 */     // MIs[0] policy
     /* 1498646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498658 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1498661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498667 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498680 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498683 */     // GIR_Coverage, 61050,
     /* 1498683 */     GIR_EraseRootFromParent_Done,
     /* 1498684 */   // Label 20895: @1498684
     /* 1498684 */   GIM_Try, /*On fail goto*//*Label 20896*/ GIMT_Encode4(1498781), // Rule ID 61051 //
     /* 1498689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1498692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1498700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1498703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1498706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1498712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1498719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498727 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498731 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498735 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498739 */     // MIs[1] Operand 1
     /* 1498739 */     // No operand predicates
     /* 1498739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498743 */     // MIs[0] policy
     /* 1498743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498746 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498755 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1498758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498764 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498780 */     // GIR_Coverage, 61051,
     /* 1498780 */     GIR_EraseRootFromParent_Done,
     /* 1498781 */   // Label 20896: @1498781
     /* 1498781 */   GIM_Try, /*On fail goto*//*Label 20897*/ GIMT_Encode4(1498878), // Rule ID 61058 //
     /* 1498786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1498789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1498797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1498800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1498803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1498806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1498812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498824 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498828 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498832 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498836 */     // MIs[1] Operand 1
     /* 1498836 */     // No operand predicates
     /* 1498836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498840 */     // MIs[0] policy
     /* 1498840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498843 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498852 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1498852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1498855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498861 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498874 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498877 */     // GIR_Coverage, 61058,
     /* 1498877 */     GIR_EraseRootFromParent_Done,
     /* 1498878 */   // Label 20897: @1498878
     /* 1498878 */   GIM_Try, /*On fail goto*//*Label 20898*/ GIMT_Encode4(1498975), // Rule ID 61059 //
     /* 1498883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1498886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1498894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1498897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1498900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1498903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1498906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1498909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1498913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1498917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1498921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1498925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1498929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1498933 */     // MIs[1] Operand 1
     /* 1498933 */     // No operand predicates
     /* 1498933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1498937 */     // MIs[0] policy
     /* 1498937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1498940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1498942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1498949 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1498949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1498952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1498954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1498956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1498958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1498961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1498963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1498968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1498971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1498973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1498974 */     // GIR_Coverage, 61059,
     /* 1498974 */     GIR_EraseRootFromParent_Done,
     /* 1498975 */   // Label 20898: @1498975
     /* 1498975 */   GIM_Try, /*On fail goto*//*Label 20899*/ GIMT_Encode4(1499072), // Rule ID 61066 //
     /* 1498980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1498983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1498988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1498991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1498994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1498997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499018 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499022 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499026 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499030 */     // MIs[1] Operand 1
     /* 1499030 */     // No operand predicates
     /* 1499030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499034 */     // MIs[0] policy
     /* 1499034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499037 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1499049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499055 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499068 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499071 */     // GIR_Coverage, 61066,
     /* 1499071 */     GIR_EraseRootFromParent_Done,
     /* 1499072 */   // Label 20899: @1499072
     /* 1499072 */   GIM_Try, /*On fail goto*//*Label 20900*/ GIMT_Encode4(1499169), // Rule ID 61067 //
     /* 1499077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1499080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1499088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1499091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1499094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1499100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499115 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499119 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499123 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499127 */     // MIs[1] Operand 1
     /* 1499127 */     // No operand predicates
     /* 1499127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499131 */     // MIs[0] policy
     /* 1499131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499143 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1499146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499152 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499168 */     // GIR_Coverage, 61067,
     /* 1499168 */     GIR_EraseRootFromParent_Done,
     /* 1499169 */   // Label 20900: @1499169
     /* 1499169 */   GIM_Try, /*On fail goto*//*Label 20901*/ GIMT_Encode4(1499266), // Rule ID 61074 //
     /* 1499174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1499177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1499191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1499197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499212 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499216 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499220 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499224 */     // MIs[1] Operand 1
     /* 1499224 */     // No operand predicates
     /* 1499224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499228 */     // MIs[0] policy
     /* 1499228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499231 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1499243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499249 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499262 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499265 */     // GIR_Coverage, 61074,
     /* 1499265 */     GIR_EraseRootFromParent_Done,
     /* 1499266 */   // Label 20901: @1499266
     /* 1499266 */   GIM_Try, /*On fail goto*//*Label 20902*/ GIMT_Encode4(1499363), // Rule ID 61075 //
     /* 1499271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1499274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1499282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1499285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1499288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1499294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1499301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1499305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499317 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499321 */     // MIs[1] Operand 1
     /* 1499321 */     // No operand predicates
     /* 1499321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499325 */     // MIs[0] policy
     /* 1499325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499328 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499337 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1499340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499346 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1499359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499362 */     // GIR_Coverage, 61075,
     /* 1499362 */     GIR_EraseRootFromParent_Done,
     /* 1499363 */   // Label 20902: @1499363
     /* 1499363 */   GIM_Try, /*On fail goto*//*Label 20903*/ GIMT_Encode4(1499460), // Rule ID 61082 //
     /* 1499368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1499371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1499379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1499382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1499391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1499398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499406 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499410 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499414 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499418 */     // MIs[1] Operand 1
     /* 1499418 */     // No operand predicates
     /* 1499418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499422 */     // MIs[0] policy
     /* 1499422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499425 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499434 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1499437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499443 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499456 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499459 */     // GIR_Coverage, 61082,
     /* 1499459 */     GIR_EraseRootFromParent_Done,
     /* 1499460 */   // Label 20903: @1499460
     /* 1499460 */   GIM_Try, /*On fail goto*//*Label 20904*/ GIMT_Encode4(1499557), // Rule ID 61083 //
     /* 1499465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1499468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1499476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1499479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1499482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1499488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1499495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499503 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499507 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499511 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499515 */     // MIs[1] Operand 1
     /* 1499515 */     // No operand predicates
     /* 1499515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499519 */     // MIs[0] policy
     /* 1499519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499531 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF4_MASK),
     /* 1499534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499540 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499556 */     // GIR_Coverage, 61083,
     /* 1499556 */     GIR_EraseRootFromParent_Done,
     /* 1499557 */   // Label 20904: @1499557
     /* 1499557 */   GIM_Try, /*On fail goto*//*Label 20905*/ GIMT_Encode4(1499654), // Rule ID 61090 //
     /* 1499562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1499565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1499585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1499592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499608 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499612 */     // MIs[1] Operand 1
     /* 1499612 */     // No operand predicates
     /* 1499612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499616 */     // MIs[0] policy
     /* 1499616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499628 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1499631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499637 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499650 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499653 */     // GIR_Coverage, 61090,
     /* 1499653 */     GIR_EraseRootFromParent_Done,
     /* 1499654 */   // Label 20905: @1499654
     /* 1499654 */   GIM_Try, /*On fail goto*//*Label 20906*/ GIMT_Encode4(1499751), // Rule ID 61091 //
     /* 1499659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1499662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1499670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1499673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1499676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1499682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1499689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499697 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499701 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499705 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499709 */     // MIs[1] Operand 1
     /* 1499709 */     // No operand predicates
     /* 1499709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499713 */     // MIs[0] policy
     /* 1499713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499725 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1499728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499734 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499750 */     // GIR_Coverage, 61091,
     /* 1499750 */     GIR_EraseRootFromParent_Done,
     /* 1499751 */   // Label 20906: @1499751
     /* 1499751 */   GIM_Try, /*On fail goto*//*Label 20907*/ GIMT_Encode4(1499848), // Rule ID 61098 //
     /* 1499756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1499759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1499773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1499779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499806 */     // MIs[1] Operand 1
     /* 1499806 */     // No operand predicates
     /* 1499806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499810 */     // MIs[0] policy
     /* 1499810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1499822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1499825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499844 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499846 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499847 */     // GIR_Coverage, 61098,
     /* 1499847 */     GIR_EraseRootFromParent_Done,
     /* 1499848 */   // Label 20907: @1499848
     /* 1499848 */   GIM_Try, /*On fail goto*//*Label 20908*/ GIMT_Encode4(1499945), // Rule ID 61099 //
     /* 1499853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1499856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1499864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1499867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1499870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1499873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1499876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1499879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1499883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1499891 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499895 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499899 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1499903 */     // MIs[1] Operand 1
     /* 1499903 */     // No operand predicates
     /* 1499903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1499907 */     // MIs[0] policy
     /* 1499907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1499910 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1499912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1499919 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1499919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1499922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1499924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1499926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1499928 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1499931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1499933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1499938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1499941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1499943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1499944 */     // GIR_Coverage, 61099,
     /* 1499944 */     GIR_EraseRootFromParent_Done,
     /* 1499945 */   // Label 20908: @1499945
     /* 1499945 */   GIM_Try, /*On fail goto*//*Label 20909*/ GIMT_Encode4(1500042), // Rule ID 61106 //
     /* 1499950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1499953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1499958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1499961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1499964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1499967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1499970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1499973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1499976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1499980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1499984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1499988 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1499992 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1499996 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500000 */     // MIs[1] Operand 1
     /* 1500000 */     // No operand predicates
     /* 1500000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500004 */     // MIs[0] policy
     /* 1500004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500016 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1500019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500025 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500040 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500041 */     // GIR_Coverage, 61106,
     /* 1500041 */     GIR_EraseRootFromParent_Done,
     /* 1500042 */   // Label 20909: @1500042
     /* 1500042 */   GIM_Try, /*On fail goto*//*Label 20910*/ GIMT_Encode4(1500139), // Rule ID 61107 //
     /* 1500047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1500050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1500058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1500061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1500064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1500070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500097 */     // MIs[1] Operand 1
     /* 1500097 */     // No operand predicates
     /* 1500097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500101 */     // MIs[0] policy
     /* 1500101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500113 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1500116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500138 */     // GIR_Coverage, 61107,
     /* 1500138 */     GIR_EraseRootFromParent_Done,
     /* 1500139 */   // Label 20910: @1500139
     /* 1500139 */   GIM_Try, /*On fail goto*//*Label 20911*/ GIMT_Encode4(1500236), // Rule ID 61114 //
     /* 1500144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1500147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1500167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500194 */     // MIs[1] Operand 1
     /* 1500194 */     // No operand predicates
     /* 1500194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500198 */     // MIs[0] policy
     /* 1500198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500210 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1500213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500234 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500235 */     // GIR_Coverage, 61114,
     /* 1500235 */     GIR_EraseRootFromParent_Done,
     /* 1500236 */   // Label 20911: @1500236
     /* 1500236 */   GIM_Try, /*On fail goto*//*Label 20912*/ GIMT_Encode4(1500333), // Rule ID 61115 //
     /* 1500241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1500244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1500252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1500255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1500258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1500264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500279 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500283 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500287 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500291 */     // MIs[1] Operand 1
     /* 1500291 */     // No operand predicates
     /* 1500291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500295 */     // MIs[0] policy
     /* 1500295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500298 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500307 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1500310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500316 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1500329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500332 */     // GIR_Coverage, 61115,
     /* 1500332 */     GIR_EraseRootFromParent_Done,
     /* 1500333 */   // Label 20912: @1500333
     /* 1500333 */   GIM_Try, /*On fail goto*//*Label 20913*/ GIMT_Encode4(1500430), // Rule ID 61122 //
     /* 1500338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1500341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1500355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1500361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500384 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500388 */     // MIs[1] Operand 1
     /* 1500388 */     // No operand predicates
     /* 1500388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500392 */     // MIs[0] policy
     /* 1500392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1500407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500428 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500429 */     // GIR_Coverage, 61122,
     /* 1500429 */     GIR_EraseRootFromParent_Done,
     /* 1500430 */   // Label 20913: @1500430
     /* 1500430 */   GIM_Try, /*On fail goto*//*Label 20914*/ GIMT_Encode4(1500527), // Rule ID 61123 //
     /* 1500435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1500438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1500446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1500449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1500452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1500458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1500465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500485 */     // MIs[1] Operand 1
     /* 1500485 */     // No operand predicates
     /* 1500485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500489 */     // MIs[0] policy
     /* 1500489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500501 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_MF2_MASK),
     /* 1500504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500526 */     // GIR_Coverage, 61123,
     /* 1500526 */     GIR_EraseRootFromParent_Done,
     /* 1500527 */   // Label 20914: @1500527
     /* 1500527 */   GIM_Try, /*On fail goto*//*Label 20915*/ GIMT_Encode4(1500624), // Rule ID 61130 //
     /* 1500532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1500535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1500562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500570 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500574 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500578 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500582 */     // MIs[1] Operand 1
     /* 1500582 */     // No operand predicates
     /* 1500582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500586 */     // MIs[0] policy
     /* 1500586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500589 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500598 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1500601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500607 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500622 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500623 */     // GIR_Coverage, 61130,
     /* 1500623 */     GIR_EraseRootFromParent_Done,
     /* 1500624 */   // Label 20915: @1500624
     /* 1500624 */   GIM_Try, /*On fail goto*//*Label 20916*/ GIMT_Encode4(1500721), // Rule ID 61131 //
     /* 1500629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1500632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1500640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1500643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1500646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1500652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1500659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1500667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500675 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500679 */     // MIs[1] Operand 1
     /* 1500679 */     // No operand predicates
     /* 1500679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500683 */     // MIs[0] policy
     /* 1500683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500686 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500695 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M1_MASK),
     /* 1500698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500704 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500720 */     // GIR_Coverage, 61131,
     /* 1500720 */     GIR_EraseRootFromParent_Done,
     /* 1500721 */   // Label 20916: @1500721
     /* 1500721 */   GIM_Try, /*On fail goto*//*Label 20917*/ GIMT_Encode4(1500818), // Rule ID 61138 //
     /* 1500726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1500729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500772 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500776 */     // MIs[1] Operand 1
     /* 1500776 */     // No operand predicates
     /* 1500776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500780 */     // MIs[0] policy
     /* 1500780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500783 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500792 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1500795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500801 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500816 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500817 */     // GIR_Coverage, 61138,
     /* 1500817 */     GIR_EraseRootFromParent_Done,
     /* 1500818 */   // Label 20917: @1500818
     /* 1500818 */   GIM_Try, /*On fail goto*//*Label 20918*/ GIMT_Encode4(1500915), // Rule ID 61139 //
     /* 1500823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1500826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1500834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1500837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1500840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1500843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1500846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1500849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1500853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1500861 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500865 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500869 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500873 */     // MIs[1] Operand 1
     /* 1500873 */     // No operand predicates
     /* 1500873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500877 */     // MIs[0] policy
     /* 1500877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500889 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1500889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M2_MASK),
     /* 1500892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500898 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1500903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1500908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1500911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1500913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1500914 */     // GIR_Coverage, 61139,
     /* 1500914 */     GIR_EraseRootFromParent_Done,
     /* 1500915 */   // Label 20918: @1500915
     /* 1500915 */   GIM_Try, /*On fail goto*//*Label 20919*/ GIMT_Encode4(1501012), // Rule ID 61146 //
     /* 1500920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1500923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1500928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1500931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1500934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1500937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1500940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1500943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1500946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1500950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1500954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1500958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1500962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1500966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1500970 */     // MIs[1] Operand 1
     /* 1500970 */     // No operand predicates
     /* 1500970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1500974 */     // MIs[0] policy
     /* 1500974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1500977 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1500979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1500986 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1500986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1500989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1500991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1500993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1500995 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1500998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501010 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501011 */     // GIR_Coverage, 61146,
     /* 1501011 */     GIR_EraseRootFromParent_Done,
     /* 1501012 */   // Label 20919: @1501012
     /* 1501012 */   GIM_Try, /*On fail goto*//*Label 20920*/ GIMT_Encode4(1501109), // Rule ID 61147 //
     /* 1501017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1501020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1501025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1501028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1501031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1501034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1501040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1501047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1501051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1501055 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501059 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501063 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 1501067 */     // MIs[1] Operand 1
     /* 1501067 */     // No operand predicates
     /* 1501067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501071 */     // MIs[0] policy
     /* 1501071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501074 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501083 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VI_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VI_M4_MASK),
     /* 1501086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501088 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1501105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501108 */     // GIR_Coverage, 61147,
     /* 1501108 */     GIR_EraseRootFromParent_Done,
     /* 1501109 */   // Label 20920: @1501109
     /* 1501109 */   GIM_Try, /*On fail goto*//*Label 20921*/ GIMT_Encode4(1501206), // Rule ID 62002 //
     /* 1501114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1501117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1501125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1501128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1501131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1501137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501160 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501164 */     // MIs[1] Operand 1
     /* 1501164 */     // No operand predicates
     /* 1501164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501168 */     // MIs[0] policy
     /* 1501168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501171 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501180 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1501183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501189 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501204 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501205 */     // GIR_Coverage, 62002,
     /* 1501205 */     GIR_EraseRootFromParent_Done,
     /* 1501206 */   // Label 20921: @1501206
     /* 1501206 */   GIM_Try, /*On fail goto*//*Label 20922*/ GIMT_Encode4(1501303), // Rule ID 62003 //
     /* 1501211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1501214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1501222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1501225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1501228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1501234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501249 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501253 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501257 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501261 */     // MIs[1] Operand 1
     /* 1501261 */     // No operand predicates
     /* 1501261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501265 */     // MIs[0] policy
     /* 1501265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501268 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501277 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF8_MASK),
     /* 1501280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501286 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501302 */     // GIR_Coverage, 62003,
     /* 1501302 */     GIR_EraseRootFromParent_Done,
     /* 1501303 */   // Label 20922: @1501303
     /* 1501303 */   GIM_Try, /*On fail goto*//*Label 20923*/ GIMT_Encode4(1501400), // Rule ID 62006 //
     /* 1501308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1501311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1501319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1501322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1501325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1501331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501358 */     // MIs[1] Operand 1
     /* 1501358 */     // No operand predicates
     /* 1501358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501362 */     // MIs[0] policy
     /* 1501362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1501377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501396 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501398 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501399 */     // GIR_Coverage, 62006,
     /* 1501399 */     GIR_EraseRootFromParent_Done,
     /* 1501400 */   // Label 20923: @1501400
     /* 1501400 */   GIM_Try, /*On fail goto*//*Label 20924*/ GIMT_Encode4(1501497), // Rule ID 62007 //
     /* 1501405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1501408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1501416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1501419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1501422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1501428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501455 */     // MIs[1] Operand 1
     /* 1501455 */     // No operand predicates
     /* 1501455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501459 */     // MIs[0] policy
     /* 1501459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501471 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1501474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501496 */     // GIR_Coverage, 62007,
     /* 1501496 */     GIR_EraseRootFromParent_Done,
     /* 1501497 */   // Label 20924: @1501497
     /* 1501497 */   GIM_Try, /*On fail goto*//*Label 20925*/ GIMT_Encode4(1501594), // Rule ID 62010 //
     /* 1501502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1501505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1501513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1501516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1501519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1501525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501540 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501544 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501548 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501552 */     // MIs[1] Operand 1
     /* 1501552 */     // No operand predicates
     /* 1501552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501556 */     // MIs[0] policy
     /* 1501556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501559 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501568 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1501571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501577 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501590 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501592 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501593 */     // GIR_Coverage, 62010,
     /* 1501593 */     GIR_EraseRootFromParent_Done,
     /* 1501594 */   // Label 20925: @1501594
     /* 1501594 */   GIM_Try, /*On fail goto*//*Label 20926*/ GIMT_Encode4(1501691), // Rule ID 62011 //
     /* 1501599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1501602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1501610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1501613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1501616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1501622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501645 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501649 */     // MIs[1] Operand 1
     /* 1501649 */     // No operand predicates
     /* 1501649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501653 */     // MIs[0] policy
     /* 1501653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501656 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501665 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1501668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501674 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1501687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501690 */     // GIR_Coverage, 62011,
     /* 1501690 */     GIR_EraseRootFromParent_Done,
     /* 1501691 */   // Label 20926: @1501691
     /* 1501691 */   GIM_Try, /*On fail goto*//*Label 20927*/ GIMT_Encode4(1501788), // Rule ID 62014 //
     /* 1501696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1501699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1501719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501746 */     // MIs[1] Operand 1
     /* 1501746 */     // No operand predicates
     /* 1501746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501750 */     // MIs[0] policy
     /* 1501750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1501765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501784 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501786 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501787 */     // GIR_Coverage, 62014,
     /* 1501787 */     GIR_EraseRootFromParent_Done,
     /* 1501788 */   // Label 20927: @1501788
     /* 1501788 */   GIM_Try, /*On fail goto*//*Label 20928*/ GIMT_Encode4(1501885), // Rule ID 62015 //
     /* 1501793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1501796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1501804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1501807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1501810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1501813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1501816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1501819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501831 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501835 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501839 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501843 */     // MIs[1] Operand 1
     /* 1501843 */     // No operand predicates
     /* 1501843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501847 */     // MIs[0] policy
     /* 1501847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501859 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1501859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF4_MASK),
     /* 1501862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501868 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501884 */     // GIR_Coverage, 62015,
     /* 1501884 */     GIR_EraseRootFromParent_Done,
     /* 1501885 */   // Label 20928: @1501885
     /* 1501885 */   GIM_Try, /*On fail goto*//*Label 20929*/ GIMT_Encode4(1501982), // Rule ID 62018 //
     /* 1501890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1501893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1501904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1501907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1501910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1501913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1501916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1501920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1501928 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1501932 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1501936 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1501940 */     // MIs[1] Operand 1
     /* 1501940 */     // No operand predicates
     /* 1501940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1501944 */     // MIs[0] policy
     /* 1501944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1501947 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1501949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1501956 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1501956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1501959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1501961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1501963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1501965 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1501968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1501970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1501975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1501978 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1501980 */     GIR_RootConstrainSelectedInstOperands,
     /* 1501981 */     // GIR_Coverage, 62018,
     /* 1501981 */     GIR_EraseRootFromParent_Done,
     /* 1501982 */   // Label 20929: @1501982
     /* 1501982 */   GIM_Try, /*On fail goto*//*Label 20930*/ GIMT_Encode4(1502079), // Rule ID 62019 //
     /* 1501987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1501990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1501995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1501998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1502001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1502004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1502010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502033 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502037 */     // MIs[1] Operand 1
     /* 1502037 */     // No operand predicates
     /* 1502037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502041 */     // MIs[0] policy
     /* 1502041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502053 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1502056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502062 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502078 */     // GIR_Coverage, 62019,
     /* 1502078 */     GIR_EraseRootFromParent_Done,
     /* 1502079 */   // Label 20930: @1502079
     /* 1502079 */   GIM_Try, /*On fail goto*//*Label 20931*/ GIMT_Encode4(1502176), // Rule ID 62022 //
     /* 1502084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1502087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1502101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1502107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502130 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502134 */     // MIs[1] Operand 1
     /* 1502134 */     // No operand predicates
     /* 1502134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502138 */     // MIs[0] policy
     /* 1502138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502150 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1502153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502172 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502175 */     // GIR_Coverage, 62022,
     /* 1502175 */     GIR_EraseRootFromParent_Done,
     /* 1502176 */   // Label 20931: @1502176
     /* 1502176 */   GIM_Try, /*On fail goto*//*Label 20932*/ GIMT_Encode4(1502273), // Rule ID 62023 //
     /* 1502181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1502184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1502192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1502195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1502198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1502204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502219 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502223 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502227 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502231 */     // MIs[1] Operand 1
     /* 1502231 */     // No operand predicates
     /* 1502231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502235 */     // MIs[0] policy
     /* 1502235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502247 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_MF2_MASK),
     /* 1502250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502256 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502272 */     // GIR_Coverage, 62023,
     /* 1502272 */     GIR_EraseRootFromParent_Done,
     /* 1502273 */   // Label 20932: @1502273
     /* 1502273 */   GIM_Try, /*On fail goto*//*Label 20933*/ GIMT_Encode4(1502370), // Rule ID 62026 //
     /* 1502278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1502281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1502289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1502292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1502295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1502301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502324 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502328 */     // MIs[1] Operand 1
     /* 1502328 */     // No operand predicates
     /* 1502328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502332 */     // MIs[0] policy
     /* 1502332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502344 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1502347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1502366 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502369 */     // GIR_Coverage, 62026,
     /* 1502369 */     GIR_EraseRootFromParent_Done,
     /* 1502370 */   // Label 20933: @1502370
     /* 1502370 */   GIM_Try, /*On fail goto*//*Label 20934*/ GIMT_Encode4(1502467), // Rule ID 62027 //
     /* 1502375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1502378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1502386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1502389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1502392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1502398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502413 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502417 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502421 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502425 */     // MIs[1] Operand 1
     /* 1502425 */     // No operand predicates
     /* 1502425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502429 */     // MIs[0] policy
     /* 1502429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502441 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1502444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502450 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1502463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502466 */     // GIR_Coverage, 62027,
     /* 1502466 */     GIR_EraseRootFromParent_Done,
     /* 1502467 */   // Label 20934: @1502467
     /* 1502467 */   GIM_Try, /*On fail goto*//*Label 20935*/ GIMT_Encode4(1502564), // Rule ID 62030 //
     /* 1502472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1502475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1502489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1502495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502522 */     // MIs[1] Operand 1
     /* 1502522 */     // No operand predicates
     /* 1502522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502526 */     // MIs[0] policy
     /* 1502526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502538 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1502541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502560 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502563 */     // GIR_Coverage, 62030,
     /* 1502563 */     GIR_EraseRootFromParent_Done,
     /* 1502564 */   // Label 20935: @1502564
     /* 1502564 */   GIM_Try, /*On fail goto*//*Label 20936*/ GIMT_Encode4(1502661), // Rule ID 62031 //
     /* 1502569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1502572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1502580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1502583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1502586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1502592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502615 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502619 */     // MIs[1] Operand 1
     /* 1502619 */     // No operand predicates
     /* 1502619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502623 */     // MIs[0] policy
     /* 1502623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502626 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502635 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1502638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502644 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1502657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502660 */     // GIR_Coverage, 62031,
     /* 1502660 */     GIR_EraseRootFromParent_Done,
     /* 1502661 */   // Label 20936: @1502661
     /* 1502661 */   GIM_Try, /*On fail goto*//*Label 20937*/ GIMT_Encode4(1502758), // Rule ID 62034 //
     /* 1502666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1502669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1502683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1502689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502704 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502708 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502712 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502716 */     // MIs[1] Operand 1
     /* 1502716 */     // No operand predicates
     /* 1502716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502720 */     // MIs[0] policy
     /* 1502720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502723 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1502735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502741 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502754 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502757 */     // GIR_Coverage, 62034,
     /* 1502757 */     GIR_EraseRootFromParent_Done,
     /* 1502758 */   // Label 20937: @1502758
     /* 1502758 */   GIM_Try, /*On fail goto*//*Label 20938*/ GIMT_Encode4(1502855), // Rule ID 62035 //
     /* 1502763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1502766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1502774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1502777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1502780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1502786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502813 */     // MIs[1] Operand 1
     /* 1502813 */     // No operand predicates
     /* 1502813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502817 */     // MIs[0] policy
     /* 1502817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502829 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1502829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1502832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1502851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502854 */     // GIR_Coverage, 62035,
     /* 1502854 */     GIR_EraseRootFromParent_Done,
     /* 1502855 */   // Label 20938: @1502855
     /* 1502855 */   GIM_Try, /*On fail goto*//*Label 20939*/ GIMT_Encode4(1502952), // Rule ID 62038 //
     /* 1502860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1502863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1502877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1502880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1502883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1502886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1502906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1502910 */     // MIs[1] Operand 1
     /* 1502910 */     // No operand predicates
     /* 1502910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1502914 */     // MIs[0] policy
     /* 1502914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1502917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1502919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1502926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1502926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1502929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1502931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1502933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1502935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1502938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1502940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1502945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1502948 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1502950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1502951 */     // GIR_Coverage, 62038,
     /* 1502951 */     GIR_EraseRootFromParent_Done,
     /* 1502952 */   // Label 20939: @1502952
     /* 1502952 */   GIM_Try, /*On fail goto*//*Label 20940*/ GIMT_Encode4(1503049), // Rule ID 62039 //
     /* 1502957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1502960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1502965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1502968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1502971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1502974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1502977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1502980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1502983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1502987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1502995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1502999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503007 */     // MIs[1] Operand 1
     /* 1503007 */     // No operand predicates
     /* 1503007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503011 */     // MIs[0] policy
     /* 1503011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503014 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503023 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M1_MASK),
     /* 1503026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503032 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1503045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503048 */     // GIR_Coverage, 62039,
     /* 1503048 */     GIR_EraseRootFromParent_Done,
     /* 1503049 */   // Label 20940: @1503049
     /* 1503049 */   GIM_Try, /*On fail goto*//*Label 20941*/ GIMT_Encode4(1503146), // Rule ID 62042 //
     /* 1503054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1503057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1503065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1503068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1503071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1503077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1503084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503092 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503096 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503100 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503104 */     // MIs[1] Operand 1
     /* 1503104 */     // No operand predicates
     /* 1503104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503108 */     // MIs[0] policy
     /* 1503108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503120 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1503123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503129 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503142 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503145 */     // GIR_Coverage, 62042,
     /* 1503145 */     GIR_EraseRootFromParent_Done,
     /* 1503146 */   // Label 20941: @1503146
     /* 1503146 */   GIM_Try, /*On fail goto*//*Label 20942*/ GIMT_Encode4(1503243), // Rule ID 62043 //
     /* 1503151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1503154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1503162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1503165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1503168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1503174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1503181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503197 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503201 */     // MIs[1] Operand 1
     /* 1503201 */     // No operand predicates
     /* 1503201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503205 */     // MIs[0] policy
     /* 1503205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503217 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1503220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503226 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503242 */     // GIR_Coverage, 62043,
     /* 1503242 */     GIR_EraseRootFromParent_Done,
     /* 1503243 */   // Label 20942: @1503243
     /* 1503243 */   GIM_Try, /*On fail goto*//*Label 20943*/ GIMT_Encode4(1503340), // Rule ID 62046 //
     /* 1503248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1503251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1503259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1503262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1503265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1503271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1503278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503294 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503298 */     // MIs[1] Operand 1
     /* 1503298 */     // No operand predicates
     /* 1503298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503302 */     // MIs[0] policy
     /* 1503302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1503317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503336 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503338 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503339 */     // GIR_Coverage, 62046,
     /* 1503339 */     GIR_EraseRootFromParent_Done,
     /* 1503340 */   // Label 20943: @1503340
     /* 1503340 */   GIM_Try, /*On fail goto*//*Label 20944*/ GIMT_Encode4(1503437), // Rule ID 62047 //
     /* 1503345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1503348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1503356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1503359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1503362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1503368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1503375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503395 */     // MIs[1] Operand 1
     /* 1503395 */     // No operand predicates
     /* 1503395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503399 */     // MIs[0] policy
     /* 1503399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503411 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1503414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503436 */     // GIR_Coverage, 62047,
     /* 1503436 */     GIR_EraseRootFromParent_Done,
     /* 1503437 */   // Label 20944: @1503437
     /* 1503437 */   GIM_Try, /*On fail goto*//*Label 20945*/ GIMT_Encode4(1503534), // Rule ID 62050 //
     /* 1503442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1503445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1503453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1503456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1503459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1503465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1503472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503480 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503484 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503488 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503492 */     // MIs[1] Operand 1
     /* 1503492 */     // No operand predicates
     /* 1503492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503496 */     // MIs[0] policy
     /* 1503496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503499 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503508 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1503511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503517 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503530 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503532 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503533 */     // GIR_Coverage, 62050,
     /* 1503533 */     GIR_EraseRootFromParent_Done,
     /* 1503534 */   // Label 20945: @1503534
     /* 1503534 */   GIM_Try, /*On fail goto*//*Label 20946*/ GIMT_Encode4(1503631), // Rule ID 62051 //
     /* 1503539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1503542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1503550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1503553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1503556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1503562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1503569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1503577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503585 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503589 */     // MIs[1] Operand 1
     /* 1503589 */     // No operand predicates
     /* 1503589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503593 */     // MIs[0] policy
     /* 1503593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503605 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1503608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503614 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1503627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503630 */     // GIR_Coverage, 62051,
     /* 1503630 */     GIR_EraseRootFromParent_Done,
     /* 1503631 */   // Label 20946: @1503631
     /* 1503631 */   GIM_Try, /*On fail goto*//*Label 20947*/ GIMT_Encode4(1503728), // Rule ID 62054 //
     /* 1503636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1503639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1503647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1503650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1503653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1503659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1503666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503686 */     // MIs[1] Operand 1
     /* 1503686 */     // No operand predicates
     /* 1503686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503690 */     // MIs[0] policy
     /* 1503690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503702 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1503705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503726 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503727 */     // GIR_Coverage, 62054,
     /* 1503727 */     GIR_EraseRootFromParent_Done,
     /* 1503728 */   // Label 20947: @1503728
     /* 1503728 */   GIM_Try, /*On fail goto*//*Label 20948*/ GIMT_Encode4(1503825), // Rule ID 62055 //
     /* 1503733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1503736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1503744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1503747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1503750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1503756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1503763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1503771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503783 */     // MIs[1] Operand 1
     /* 1503783 */     // No operand predicates
     /* 1503783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503787 */     // MIs[0] policy
     /* 1503787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503799 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1503802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503824 */     // GIR_Coverage, 62055,
     /* 1503824 */     GIR_EraseRootFromParent_Done,
     /* 1503825 */   // Label 20948: @1503825
     /* 1503825 */   GIM_Try, /*On fail goto*//*Label 20949*/ GIMT_Encode4(1503922), // Rule ID 62058 //
     /* 1503830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1503833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1503841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1503844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1503847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1503850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1503853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1503856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1503860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503876 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503880 */     // MIs[1] Operand 1
     /* 1503880 */     // No operand predicates
     /* 1503880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503884 */     // MIs[0] policy
     /* 1503884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503887 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503896 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1503896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1503899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1503903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1503905 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1503908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1503910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1503915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1503918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1503920 */     GIR_RootConstrainSelectedInstOperands,
     /* 1503921 */     // GIR_Coverage, 62058,
     /* 1503921 */     GIR_EraseRootFromParent_Done,
     /* 1503922 */   // Label 20949: @1503922
     /* 1503922 */   GIM_Try, /*On fail goto*//*Label 20950*/ GIMT_Encode4(1504019), // Rule ID 62059 //
     /* 1503927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1503930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1503935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1503938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1503941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1503944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1503947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1503950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1503953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1503957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1503965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1503969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1503973 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1503977 */     // MIs[1] Operand 1
     /* 1503977 */     // No operand predicates
     /* 1503977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1503981 */     // MIs[0] policy
     /* 1503981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1503984 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1503986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1503993 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1503993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1503996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1503998 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504002 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504018 */     // GIR_Coverage, 62059,
     /* 1504018 */     GIR_EraseRootFromParent_Done,
     /* 1504019 */   // Label 20950: @1504019
     /* 1504019 */   GIM_Try, /*On fail goto*//*Label 20951*/ GIMT_Encode4(1504116), // Rule ID 62062 //
     /* 1504024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1504027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1504041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1504047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1504054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504074 */     // MIs[1] Operand 1
     /* 1504074 */     // No operand predicates
     /* 1504074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504078 */     // MIs[0] policy
     /* 1504078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504090 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1504093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504114 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504115 */     // GIR_Coverage, 62062,
     /* 1504115 */     GIR_EraseRootFromParent_Done,
     /* 1504116 */   // Label 20951: @1504116
     /* 1504116 */   GIM_Try, /*On fail goto*//*Label 20952*/ GIMT_Encode4(1504213), // Rule ID 62063 //
     /* 1504121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1504124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1504132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1504135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1504138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1504144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1504151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504167 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504171 */     // MIs[1] Operand 1
     /* 1504171 */     // No operand predicates
     /* 1504171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504175 */     // MIs[0] policy
     /* 1504175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504178 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504187 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1504190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504196 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1504209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504212 */     // GIR_Coverage, 62063,
     /* 1504212 */     GIR_EraseRootFromParent_Done,
     /* 1504213 */   // Label 20952: @1504213
     /* 1504213 */   GIM_Try, /*On fail goto*//*Label 20953*/ GIMT_Encode4(1504310), // Rule ID 62066 //
     /* 1504218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1504221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1504229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1504232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1504235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1504241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1504248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504256 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504260 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504264 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504268 */     // MIs[1] Operand 1
     /* 1504268 */     // No operand predicates
     /* 1504268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504272 */     // MIs[0] policy
     /* 1504272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504275 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1504287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504293 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504308 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504309 */     // GIR_Coverage, 62066,
     /* 1504309 */     GIR_EraseRootFromParent_Done,
     /* 1504310 */   // Label 20953: @1504310
     /* 1504310 */   GIM_Try, /*On fail goto*//*Label 20954*/ GIMT_Encode4(1504407), // Rule ID 62067 //
     /* 1504315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1504318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1504326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1504329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1504332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1504338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1504345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504361 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504365 */     // MIs[1] Operand 1
     /* 1504365 */     // No operand predicates
     /* 1504365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504369 */     // MIs[0] policy
     /* 1504369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504372 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504381 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1504384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504390 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504406 */     // GIR_Coverage, 62067,
     /* 1504406 */     GIR_EraseRootFromParent_Done,
     /* 1504407 */   // Label 20954: @1504407
     /* 1504407 */   GIM_Try, /*On fail goto*//*Label 20955*/ GIMT_Encode4(1504504), // Rule ID 62070 //
     /* 1504412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1504415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1504423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1504426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1504429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1504435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1504442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504450 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504454 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504458 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504462 */     // MIs[1] Operand 1
     /* 1504462 */     // No operand predicates
     /* 1504462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504466 */     // MIs[0] policy
     /* 1504466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1504481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504502 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504503 */     // GIR_Coverage, 62070,
     /* 1504503 */     GIR_EraseRootFromParent_Done,
     /* 1504504 */   // Label 20955: @1504504
     /* 1504504 */   GIM_Try, /*On fail goto*//*Label 20956*/ GIMT_Encode4(1504601), // Rule ID 62071 //
     /* 1504509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1504512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1504520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1504523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1504526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1504532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1504539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1504547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504559 */     // MIs[1] Operand 1
     /* 1504559 */     // No operand predicates
     /* 1504559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504563 */     // MIs[0] policy
     /* 1504563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504575 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1504578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504584 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504600 */     // GIR_Coverage, 62071,
     /* 1504600 */     GIR_EraseRootFromParent_Done,
     /* 1504601 */   // Label 20956: @1504601
     /* 1504601 */   GIM_Try, /*On fail goto*//*Label 20957*/ GIMT_Encode4(1504698), // Rule ID 62074 //
     /* 1504606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1504609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1504617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1504620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1504623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1504629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1504636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504644 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504648 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504652 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504656 */     // MIs[1] Operand 1
     /* 1504656 */     // No operand predicates
     /* 1504656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504660 */     // MIs[0] policy
     /* 1504660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504663 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504672 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1504675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504681 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504696 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504697 */     // GIR_Coverage, 62074,
     /* 1504697 */     GIR_EraseRootFromParent_Done,
     /* 1504698 */   // Label 20957: @1504698
     /* 1504698 */   GIM_Try, /*On fail goto*//*Label 20958*/ GIMT_Encode4(1504795), // Rule ID 62075 //
     /* 1504703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1504706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1504714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1504717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1504720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1504726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1504733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1504741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504749 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504753 */     // MIs[1] Operand 1
     /* 1504753 */     // No operand predicates
     /* 1504753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504757 */     // MIs[0] policy
     /* 1504757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504769 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1504772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1504791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504794 */     // GIR_Coverage, 62075,
     /* 1504794 */     GIR_EraseRootFromParent_Done,
     /* 1504795 */   // Label 20958: @1504795
     /* 1504795 */   GIM_Try, /*On fail goto*//*Label 20959*/ GIMT_Encode4(1504892), // Rule ID 62078 //
     /* 1504800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1504803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1504811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1504814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1504817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1504820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1504823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1504826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1504830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504850 */     // MIs[1] Operand 1
     /* 1504850 */     // No operand predicates
     /* 1504850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504854 */     // MIs[0] policy
     /* 1504854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504866 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1504866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1504869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504888 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504890 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504891 */     // GIR_Coverage, 62078,
     /* 1504891 */     GIR_EraseRootFromParent_Done,
     /* 1504892 */   // Label 20959: @1504892
     /* 1504892 */   GIM_Try, /*On fail goto*//*Label 20960*/ GIMT_Encode4(1504989), // Rule ID 62079 //
     /* 1504897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1504900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1504905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1504908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1504911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1504914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1504917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1504920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1504923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1504927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1504935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1504939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1504943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1504947 */     // MIs[1] Operand 1
     /* 1504947 */     // No operand predicates
     /* 1504947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1504951 */     // MIs[0] policy
     /* 1504951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1504954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1504956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1504963 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1504963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M2_MASK),
     /* 1504966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1504968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1504970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1504972 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1504975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1504977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1504982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1504985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1504987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1504988 */     // GIR_Coverage, 62079,
     /* 1504988 */     GIR_EraseRootFromParent_Done,
     /* 1504989 */   // Label 20960: @1504989
     /* 1504989 */   GIM_Try, /*On fail goto*//*Label 20961*/ GIMT_Encode4(1505086), // Rule ID 62082 //
     /* 1504994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1504997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1505002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1505011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1505014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1505017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1505024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1505036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1505040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1505044 */     // MIs[1] Operand 1
     /* 1505044 */     // No operand predicates
     /* 1505044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505048 */     // MIs[0] policy
     /* 1505048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505051 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1505053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505060 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1505063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505069 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1505072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505082 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505084 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505085 */     // GIR_Coverage, 62082,
     /* 1505085 */     GIR_EraseRootFromParent_Done,
     /* 1505086 */   // Label 20961: @1505086
     /* 1505086 */   GIM_Try, /*On fail goto*//*Label 20962*/ GIMT_Encode4(1505183), // Rule ID 62083 //
     /* 1505091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1505094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1505099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1505102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1505105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1505108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1505111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1505114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1505121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1505129 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1505133 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1505137 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1505141 */     // MIs[1] Operand 1
     /* 1505141 */     // No operand predicates
     /* 1505141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505145 */     // MIs[0] policy
     /* 1505145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505148 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1505150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505157 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M4_MASK),
     /* 1505160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505166 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1505169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505182 */     // GIR_Coverage, 62083,
     /* 1505182 */     GIR_EraseRootFromParent_Done,
     /* 1505183 */   // Label 20962: @1505183
     /* 1505183 */   GIM_Try, /*On fail goto*//*Label 20963*/ GIMT_Encode4(1505280), // Rule ID 62086 //
     /* 1505188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1505191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1505196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1505205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1505208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1505211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1505218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505226 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1505230 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1505234 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1505238 */     // MIs[1] Operand 1
     /* 1505238 */     // No operand predicates
     /* 1505238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505242 */     // MIs[0] policy
     /* 1505242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1505247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505254 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1505257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1505266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505276 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505278 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505279 */     // GIR_Coverage, 62086,
     /* 1505279 */     GIR_EraseRootFromParent_Done,
     /* 1505280 */   // Label 20963: @1505280
     /* 1505280 */   GIM_Try, /*On fail goto*//*Label 20964*/ GIMT_Encode4(1505377), // Rule ID 62087 //
     /* 1505285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1505288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1505293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1505296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1505299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1505302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1505305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1505308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1505315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1505323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 1505327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 1505331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm6),
     /* 1505335 */     // MIs[1] Operand 1
     /* 1505335 */     // No operand predicates
     /* 1505335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505339 */     // MIs[0] policy
     /* 1505339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 1505344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505351 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm6>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VI_M8_MASK),
     /* 1505354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 1505363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1505365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1505373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505376 */     // GIR_Coverage, 62087,
     /* 1505376 */     GIR_EraseRootFromParent_Done,
     /* 1505377 */   // Label 20964: @1505377
     /* 1505377 */   GIM_Try, /*On fail goto*//*Label 20965*/ GIMT_Encode4(1505459), // Rule ID 2706 //
     /* 1505382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1505390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1505399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1505402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1505409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505421 */     // MIs[0] round
     /* 1505421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505424 */     // MIs[0] policy
     /* 1505424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505434 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1505437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1505443 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1505445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505458 */     // GIR_Coverage, 2706,
     /* 1505458 */     GIR_EraseRootFromParent_Done,
     /* 1505459 */   // Label 20965: @1505459
     /* 1505459 */   GIM_Try, /*On fail goto*//*Label 20966*/ GIMT_Encode4(1505541), // Rule ID 2707 //
     /* 1505464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1505472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1505481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1505484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1505491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505503 */     // MIs[0] round
     /* 1505503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505506 */     // MIs[0] policy
     /* 1505506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505516 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16_MASK),
     /* 1505519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1505525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1505527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505540 */     // GIR_Coverage, 2707,
     /* 1505540 */     GIR_EraseRootFromParent_Done,
     /* 1505541 */   // Label 20966: @1505541
     /* 1505541 */   GIM_Try, /*On fail goto*//*Label 20967*/ GIMT_Encode4(1505623), // Rule ID 2742 //
     /* 1505546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1505549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1505554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1505563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1505566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1505573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505585 */     // MIs[0] round
     /* 1505585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505588 */     // MIs[0] policy
     /* 1505588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505598 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1505601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1505607 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1505609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505622 */     // GIR_Coverage, 2742,
     /* 1505622 */     GIR_EraseRootFromParent_Done,
     /* 1505623 */   // Label 20967: @1505623
     /* 1505623 */   GIM_Try, /*On fail goto*//*Label 20968*/ GIMT_Encode4(1505705), // Rule ID 2743 //
     /* 1505628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1505631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1505636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1505645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1505648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1505655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1505667 */     // MIs[0] round
     /* 1505667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505670 */     // MIs[0] policy
     /* 1505670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505680 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF4_MASK),
     /* 1505683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1505687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1505689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1505691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505704 */     // GIR_Coverage, 2743,
     /* 1505704 */     GIR_EraseRootFromParent_Done,
     /* 1505705 */   // Label 20968: @1505705
     /* 1505705 */   GIM_Try, /*On fail goto*//*Label 20969*/ GIMT_Encode4(1505787), // Rule ID 2774 //
     /* 1505710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1505727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1505730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505749 */     // MIs[0] round
     /* 1505749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505752 */     // MIs[0] policy
     /* 1505752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505762 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1505765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505786 */     // GIR_Coverage, 2774,
     /* 1505786 */     GIR_EraseRootFromParent_Done,
     /* 1505787 */   // Label 20969: @1505787
     /* 1505787 */   GIM_Try, /*On fail goto*//*Label 20970*/ GIMT_Encode4(1505869), // Rule ID 2775 //
     /* 1505792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1505803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1505806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1505809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1505812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505831 */     // MIs[0] round
     /* 1505831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505834 */     // MIs[0] policy
     /* 1505834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505844 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1505844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16),
     /* 1505847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505868 */     // GIR_Coverage, 2775,
     /* 1505868 */     GIR_EraseRootFromParent_Done,
     /* 1505869 */   // Label 20970: @1505869
     /* 1505869 */   GIM_Try, /*On fail goto*//*Label 20971*/ GIMT_Encode4(1505951), // Rule ID 17754 //
     /* 1505874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1505877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1505885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1505888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1505891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1505894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1505897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505913 */     // MIs[0] round
     /* 1505913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505916 */     // MIs[0] policy
     /* 1505916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1505919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1505926 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1505926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1505929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1505931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1505933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1505935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1505937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1505939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1505944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1505947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1505949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1505950 */     // GIR_Coverage, 17754,
     /* 1505950 */     GIR_EraseRootFromParent_Done,
     /* 1505951 */   // Label 20971: @1505951
     /* 1505951 */   GIM_Try, /*On fail goto*//*Label 20972*/ GIMT_Encode4(1506033), // Rule ID 17755 //
     /* 1505956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1505959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1505964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1505967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1505970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1505973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1505976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1505979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1505995 */     // MIs[0] round
     /* 1505995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1505998 */     // MIs[0] policy
     /* 1505998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506008 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16),
     /* 1506011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506032 */     // GIR_Coverage, 17755,
     /* 1506032 */     GIR_EraseRootFromParent_Done,
     /* 1506033 */   // Label 20972: @1506033
     /* 1506033 */   GIM_Try, /*On fail goto*//*Label 20973*/ GIMT_Encode4(1506115), // Rule ID 17758 //
     /* 1506038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1506055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506077 */     // MIs[0] round
     /* 1506077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506080 */     // MIs[0] policy
     /* 1506080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506090 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1506093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506114 */     // GIR_Coverage, 17758,
     /* 1506114 */     GIR_EraseRootFromParent_Done,
     /* 1506115 */   // Label 20973: @1506115
     /* 1506115 */   GIM_Try, /*On fail goto*//*Label 20974*/ GIMT_Encode4(1506197), // Rule ID 17759 //
     /* 1506120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1506131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1506134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1506137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1506140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506159 */     // MIs[0] round
     /* 1506159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506162 */     // MIs[0] policy
     /* 1506162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506172 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32),
     /* 1506175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506196 */     // GIR_Coverage, 17759,
     /* 1506196 */     GIR_EraseRootFromParent_Done,
     /* 1506197 */   // Label 20974: @1506197
     /* 1506197 */   GIM_Try, /*On fail goto*//*Label 20975*/ GIMT_Encode4(1506279), // Rule ID 17762 //
     /* 1506202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1506219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506241 */     // MIs[0] round
     /* 1506241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506244 */     // MIs[0] policy
     /* 1506244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506254 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1506257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506278 */     // GIR_Coverage, 17762,
     /* 1506278 */     GIR_EraseRootFromParent_Done,
     /* 1506279 */   // Label 20975: @1506279
     /* 1506279 */   GIM_Try, /*On fail goto*//*Label 20976*/ GIMT_Encode4(1506361), // Rule ID 17763 //
     /* 1506284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1506295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1506298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1506301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1506304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506323 */     // MIs[0] round
     /* 1506323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506326 */     // MIs[0] policy
     /* 1506326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506336 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16),
     /* 1506339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506360 */     // GIR_Coverage, 17763,
     /* 1506360 */     GIR_EraseRootFromParent_Done,
     /* 1506361 */   // Label 20976: @1506361
     /* 1506361 */   GIM_Try, /*On fail goto*//*Label 20977*/ GIMT_Encode4(1506443), // Rule ID 17766 //
     /* 1506366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1506369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1506383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506405 */     // MIs[0] round
     /* 1506405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506408 */     // MIs[0] policy
     /* 1506408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506418 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1506421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506442 */     // GIR_Coverage, 17766,
     /* 1506442 */     GIR_EraseRootFromParent_Done,
     /* 1506443 */   // Label 20977: @1506443
     /* 1506443 */   GIM_Try, /*On fail goto*//*Label 20978*/ GIMT_Encode4(1506525), // Rule ID 17767 //
     /* 1506448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1506451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1506459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1506462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1506465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1506468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506487 */     // MIs[0] round
     /* 1506487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506490 */     // MIs[0] policy
     /* 1506490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506500 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32),
     /* 1506503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1506521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506524 */     // GIR_Coverage, 17767,
     /* 1506524 */     GIR_EraseRootFromParent_Done,
     /* 1506525 */   // Label 20978: @1506525
     /* 1506525 */   GIM_Try, /*On fail goto*//*Label 20979*/ GIMT_Encode4(1506607), // Rule ID 17770 //
     /* 1506530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1506533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1506547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506569 */     // MIs[0] round
     /* 1506569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506572 */     // MIs[0] policy
     /* 1506572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506582 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1506585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506606 */     // GIR_Coverage, 17770,
     /* 1506606 */     GIR_EraseRootFromParent_Done,
     /* 1506607 */   // Label 20979: @1506607
     /* 1506607 */   GIM_Try, /*On fail goto*//*Label 20980*/ GIMT_Encode4(1506689), // Rule ID 17771 //
     /* 1506612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1506615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1506623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1506626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1506629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1506632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1506651 */     // MIs[0] round
     /* 1506651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506654 */     // MIs[0] policy
     /* 1506654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506664 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64),
     /* 1506667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1506685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506688 */     // GIR_Coverage, 17771,
     /* 1506688 */     GIR_EraseRootFromParent_Done,
     /* 1506689 */   // Label 20980: @1506689
     /* 1506689 */   GIM_Try, /*On fail goto*//*Label 20981*/ GIMT_Encode4(1506771), // Rule ID 17774 //
     /* 1506694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1506711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1506714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506733 */     // MIs[0] round
     /* 1506733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506736 */     // MIs[0] policy
     /* 1506736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506746 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1506749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506770 */     // GIR_Coverage, 17774,
     /* 1506770 */     GIR_EraseRootFromParent_Done,
     /* 1506771 */   // Label 20981: @1506771
     /* 1506771 */   GIM_Try, /*On fail goto*//*Label 20982*/ GIMT_Encode4(1506853), // Rule ID 17775 //
     /* 1506776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1506787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1506790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1506793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1506796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1506815 */     // MIs[0] round
     /* 1506815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506818 */     // MIs[0] policy
     /* 1506818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16),
     /* 1506831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506852 */     // GIR_Coverage, 17775,
     /* 1506852 */     GIR_EraseRootFromParent_Done,
     /* 1506853 */   // Label 20982: @1506853
     /* 1506853 */   GIM_Try, /*On fail goto*//*Label 20983*/ GIMT_Encode4(1506935), // Rule ID 17778 //
     /* 1506858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1506861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1506875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1506878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1506881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506897 */     // MIs[0] round
     /* 1506897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506900 */     // MIs[0] policy
     /* 1506900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506910 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1506910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1506913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1506919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1506921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1506923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1506928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1506931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1506933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1506934 */     // GIR_Coverage, 17778,
     /* 1506934 */     GIR_EraseRootFromParent_Done,
     /* 1506935 */   // Label 20983: @1506935
     /* 1506935 */   GIM_Try, /*On fail goto*//*Label 20984*/ GIMT_Encode4(1507017), // Rule ID 17779 //
     /* 1506940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1506943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1506948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1506951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1506954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1506957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1506960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1506963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1506979 */     // MIs[0] round
     /* 1506979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1506982 */     // MIs[0] policy
     /* 1506982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1506985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1506992 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1506992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16),
     /* 1506995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1506997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1506999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507016 */     // GIR_Coverage, 17779,
     /* 1507016 */     GIR_EraseRootFromParent_Done,
     /* 1507017 */   // Label 20984: @1507017
     /* 1507017 */   GIM_Try, /*On fail goto*//*Label 20985*/ GIMT_Encode4(1507099), // Rule ID 17782 //
     /* 1507022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1507025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1507039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507061 */     // MIs[0] round
     /* 1507061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507064 */     // MIs[0] policy
     /* 1507064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507074 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1507077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507098 */     // GIR_Coverage, 17782,
     /* 1507098 */     GIR_EraseRootFromParent_Done,
     /* 1507099 */   // Label 20985: @1507099
     /* 1507099 */   GIM_Try, /*On fail goto*//*Label 20986*/ GIMT_Encode4(1507181), // Rule ID 17783 //
     /* 1507104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1507107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1507115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1507118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1507121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1507124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507143 */     // MIs[0] round
     /* 1507143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507146 */     // MIs[0] policy
     /* 1507146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507156 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16),
     /* 1507159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1507177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507180 */     // GIR_Coverage, 17783,
     /* 1507180 */     GIR_EraseRootFromParent_Done,
     /* 1507181 */   // Label 20986: @1507181
     /* 1507181 */   GIM_Try, /*On fail goto*//*Label 20987*/ GIMT_Encode4(1507263), // Rule ID 17786 //
     /* 1507186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1507203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507225 */     // MIs[0] round
     /* 1507225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507228 */     // MIs[0] policy
     /* 1507228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507238 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1507241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507262 */     // GIR_Coverage, 17786,
     /* 1507262 */     GIR_EraseRootFromParent_Done,
     /* 1507263 */   // Label 20987: @1507263
     /* 1507263 */   GIM_Try, /*On fail goto*//*Label 20988*/ GIMT_Encode4(1507345), // Rule ID 17787 //
     /* 1507268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1507279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1507282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1507285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1507288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507307 */     // MIs[0] round
     /* 1507307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507310 */     // MIs[0] policy
     /* 1507310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507320 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32),
     /* 1507323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507344 */     // GIR_Coverage, 17787,
     /* 1507344 */     GIR_EraseRootFromParent_Done,
     /* 1507345 */   // Label 20988: @1507345
     /* 1507345 */   GIM_Try, /*On fail goto*//*Label 20989*/ GIMT_Encode4(1507427), // Rule ID 17790 //
     /* 1507350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1507367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507389 */     // MIs[0] round
     /* 1507389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507392 */     // MIs[0] policy
     /* 1507392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507402 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1507405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507426 */     // GIR_Coverage, 17790,
     /* 1507426 */     GIR_EraseRootFromParent_Done,
     /* 1507427 */   // Label 20989: @1507427
     /* 1507427 */   GIM_Try, /*On fail goto*//*Label 20990*/ GIMT_Encode4(1507509), // Rule ID 17791 //
     /* 1507432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1507443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1507446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1507449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1507452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507471 */     // MIs[0] round
     /* 1507471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507474 */     // MIs[0] policy
     /* 1507474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507484 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32),
     /* 1507487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507508 */     // GIR_Coverage, 17791,
     /* 1507508 */     GIR_EraseRootFromParent_Done,
     /* 1507509 */   // Label 20990: @1507509
     /* 1507509 */   GIM_Try, /*On fail goto*//*Label 20991*/ GIMT_Encode4(1507591), // Rule ID 17794 //
     /* 1507514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1507517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1507531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507553 */     // MIs[0] round
     /* 1507553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507556 */     // MIs[0] policy
     /* 1507556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507566 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1507569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507590 */     // GIR_Coverage, 17794,
     /* 1507590 */     GIR_EraseRootFromParent_Done,
     /* 1507591 */   // Label 20991: @1507591
     /* 1507591 */   GIM_Try, /*On fail goto*//*Label 20992*/ GIMT_Encode4(1507673), // Rule ID 17795 //
     /* 1507596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1507599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1507607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1507610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1507613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1507616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1507635 */     // MIs[0] round
     /* 1507635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507638 */     // MIs[0] policy
     /* 1507638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32),
     /* 1507651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1507669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507672 */     // GIR_Coverage, 17795,
     /* 1507672 */     GIR_EraseRootFromParent_Done,
     /* 1507673 */   // Label 20992: @1507673
     /* 1507673 */   GIM_Try, /*On fail goto*//*Label 20993*/ GIMT_Encode4(1507755), // Rule ID 17798 //
     /* 1507678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1507695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507717 */     // MIs[0] round
     /* 1507717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507720 */     // MIs[0] policy
     /* 1507720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507730 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1507733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507754 */     // GIR_Coverage, 17798,
     /* 1507754 */     GIR_EraseRootFromParent_Done,
     /* 1507755 */   // Label 20993: @1507755
     /* 1507755 */   GIM_Try, /*On fail goto*//*Label 20994*/ GIMT_Encode4(1507837), // Rule ID 17799 //
     /* 1507760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1507771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1507774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1507777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1507780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1507799 */     // MIs[0] round
     /* 1507799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507802 */     // MIs[0] policy
     /* 1507802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507812 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64),
     /* 1507815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507836 */     // GIR_Coverage, 17799,
     /* 1507836 */     GIR_EraseRootFromParent_Done,
     /* 1507837 */   // Label 20994: @1507837
     /* 1507837 */   GIM_Try, /*On fail goto*//*Label 20995*/ GIMT_Encode4(1507919), // Rule ID 17802 //
     /* 1507842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1507845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1507859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1507862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1507865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507881 */     // MIs[0] round
     /* 1507881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507884 */     // MIs[0] policy
     /* 1507884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507894 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1507894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1507897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1507918 */     // GIR_Coverage, 17802,
     /* 1507918 */     GIR_EraseRootFromParent_Done,
     /* 1507919 */   // Label 20995: @1507919
     /* 1507919 */   GIM_Try, /*On fail goto*//*Label 20996*/ GIMT_Encode4(1508001), // Rule ID 17803 //
     /* 1507924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1507927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1507932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1507935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1507938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1507941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1507944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1507947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1507963 */     // MIs[0] round
     /* 1507963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1507966 */     // MIs[0] policy
     /* 1507966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1507969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1507976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1507976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64),
     /* 1507979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1507981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1507983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1507985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1507987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1507989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1507994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1507997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1507999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508000 */     // GIR_Coverage, 17803,
     /* 1508000 */     GIR_EraseRootFromParent_Done,
     /* 1508001 */   // Label 20996: @1508001
     /* 1508001 */   GIM_Try, /*On fail goto*//*Label 20997*/ GIMT_Encode4(1508083), // Rule ID 17806 //
     /* 1508006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1508023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508045 */     // MIs[0] round
     /* 1508045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508048 */     // MIs[0] policy
     /* 1508048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508058 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1508061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508082 */     // GIR_Coverage, 17806,
     /* 1508082 */     GIR_EraseRootFromParent_Done,
     /* 1508083 */   // Label 20997: @1508083
     /* 1508083 */   GIM_Try, /*On fail goto*//*Label 20998*/ GIMT_Encode4(1508165), // Rule ID 17807 //
     /* 1508088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1508091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1508099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1508102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1508105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1508108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1508127 */     // MIs[0] round
     /* 1508127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508130 */     // MIs[0] policy
     /* 1508130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508140 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64),
     /* 1508143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1508161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508164 */     // GIR_Coverage, 17807,
     /* 1508164 */     GIR_EraseRootFromParent_Done,
     /* 1508165 */   // Label 20998: @1508165
     /* 1508165 */   GIM_Try, /*On fail goto*//*Label 20999*/ GIMT_Encode4(1508247), // Rule ID 17810 //
     /* 1508170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508209 */     // MIs[0] round
     /* 1508209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508212 */     // MIs[0] policy
     /* 1508212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508222 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1508225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508246 */     // GIR_Coverage, 17810,
     /* 1508246 */     GIR_EraseRootFromParent_Done,
     /* 1508247 */   // Label 20999: @1508247
     /* 1508247 */   GIM_Try, /*On fail goto*//*Label 21000*/ GIMT_Encode4(1508329), // Rule ID 17811 //
     /* 1508252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1508263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1508266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1508272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508291 */     // MIs[0] round
     /* 1508291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508294 */     // MIs[0] policy
     /* 1508294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508304 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16),
     /* 1508307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508328 */     // GIR_Coverage, 17811,
     /* 1508328 */     GIR_EraseRootFromParent_Done,
     /* 1508329 */   // Label 21000: @1508329
     /* 1508329 */   GIM_Try, /*On fail goto*//*Label 21001*/ GIMT_Encode4(1508411), // Rule ID 17814 //
     /* 1508334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508373 */     // MIs[0] round
     /* 1508373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508376 */     // MIs[0] policy
     /* 1508376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508386 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1508389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508410 */     // GIR_Coverage, 17814,
     /* 1508410 */     GIR_EraseRootFromParent_Done,
     /* 1508411 */   // Label 21001: @1508411
     /* 1508411 */   GIM_Try, /*On fail goto*//*Label 21002*/ GIMT_Encode4(1508493), // Rule ID 17815 //
     /* 1508416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1508427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1508430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1508436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508455 */     // MIs[0] round
     /* 1508455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508458 */     // MIs[0] policy
     /* 1508458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508468 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16),
     /* 1508471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508492 */     // GIR_Coverage, 17815,
     /* 1508492 */     GIR_EraseRootFromParent_Done,
     /* 1508493 */   // Label 21002: @1508493
     /* 1508493 */   GIM_Try, /*On fail goto*//*Label 21003*/ GIMT_Encode4(1508575), // Rule ID 17818 //
     /* 1508498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508537 */     // MIs[0] round
     /* 1508537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508540 */     // MIs[0] policy
     /* 1508540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508550 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1508553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508574 */     // GIR_Coverage, 17818,
     /* 1508574 */     GIR_EraseRootFromParent_Done,
     /* 1508575 */   // Label 21003: @1508575
     /* 1508575 */   GIM_Try, /*On fail goto*//*Label 21004*/ GIMT_Encode4(1508657), // Rule ID 17819 //
     /* 1508580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1508591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1508594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1508600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508619 */     // MIs[0] round
     /* 1508619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508622 */     // MIs[0] policy
     /* 1508622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508632 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32),
     /* 1508635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508656 */     // GIR_Coverage, 17819,
     /* 1508656 */     GIR_EraseRootFromParent_Done,
     /* 1508657 */   // Label 21004: @1508657
     /* 1508657 */   GIM_Try, /*On fail goto*//*Label 21005*/ GIMT_Encode4(1508739), // Rule ID 17822 //
     /* 1508662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1508665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508701 */     // MIs[0] round
     /* 1508701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508704 */     // MIs[0] policy
     /* 1508704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508714 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1508717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508738 */     // GIR_Coverage, 17822,
     /* 1508738 */     GIR_EraseRootFromParent_Done,
     /* 1508739 */   // Label 21005: @1508739
     /* 1508739 */   GIM_Try, /*On fail goto*//*Label 21006*/ GIMT_Encode4(1508821), // Rule ID 17823 //
     /* 1508744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1508747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1508755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1508758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1508761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1508764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1508779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508783 */     // MIs[0] round
     /* 1508783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508786 */     // MIs[0] policy
     /* 1508786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508796 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11205:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16),
     /* 1508799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1508817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508820 */     // GIR_Coverage, 17823,
     /* 1508820 */     GIR_EraseRootFromParent_Done,
     /* 1508821 */   // Label 21006: @1508821
     /* 1508821 */   GIM_Try, /*On fail goto*//*Label 21007*/ GIMT_Encode4(1508903), // Rule ID 17826 //
     /* 1508826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1508829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1508846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1508849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508865 */     // MIs[0] round
     /* 1508865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508868 */     // MIs[0] policy
     /* 1508868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508878 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1508878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1508881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508902 */     // GIR_Coverage, 17826,
     /* 1508902 */     GIR_EraseRootFromParent_Done,
     /* 1508903 */   // Label 21007: @1508903
     /* 1508903 */   GIM_Try, /*On fail goto*//*Label 21008*/ GIMT_Encode4(1508985), // Rule ID 17827 //
     /* 1508908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1508911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1508919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1508922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1508925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1508928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1508931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1508943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1508947 */     // MIs[0] round
     /* 1508947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1508950 */     // MIs[0] policy
     /* 1508950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1508953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1508960 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11205:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1508960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32),
     /* 1508963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1508965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1508967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1508969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1508971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1508973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1508978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1508981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1508983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1508984 */     // GIR_Coverage, 17827,
     /* 1508984 */     GIR_EraseRootFromParent_Done,
     /* 1508985 */   // Label 21008: @1508985
     /* 1508985 */   GIM_Try, /*On fail goto*//*Label 21009*/ GIMT_Encode4(1509067), // Rule ID 17830 //
     /* 1508990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1508993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1508998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509029 */     // MIs[0] round
     /* 1509029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509032 */     // MIs[0] policy
     /* 1509032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1509045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509066 */     // GIR_Coverage, 17830,
     /* 1509066 */     GIR_EraseRootFromParent_Done,
     /* 1509067 */   // Label 21009: @1509067
     /* 1509067 */   GIM_Try, /*On fail goto*//*Label 21010*/ GIMT_Encode4(1509149), // Rule ID 17831 //
     /* 1509072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1509075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1509083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1509086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1509089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1509092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1509107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1509111 */     // MIs[0] round
     /* 1509111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509114 */     // MIs[0] policy
     /* 1509114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509124 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11205:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64),
     /* 1509127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1509145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509148 */     // GIR_Coverage, 17831,
     /* 1509148 */     GIR_EraseRootFromParent_Done,
     /* 1509149 */   // Label 21010: @1509149
     /* 1509149 */   GIM_Try, /*On fail goto*//*Label 21011*/ GIMT_Encode4(1509231), // Rule ID 17834 //
     /* 1509154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509193 */     // MIs[0] round
     /* 1509193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509196 */     // MIs[0] policy
     /* 1509196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509206 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1509209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509230 */     // GIR_Coverage, 17834,
     /* 1509230 */     GIR_EraseRootFromParent_Done,
     /* 1509231 */   // Label 21011: @1509231
     /* 1509231 */   GIM_Try, /*On fail goto*//*Label 21012*/ GIMT_Encode4(1509313), // Rule ID 17835 //
     /* 1509236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1509247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1509250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1509256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509275 */     // MIs[0] round
     /* 1509275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509278 */     // MIs[0] policy
     /* 1509278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509288 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16),
     /* 1509291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509312 */     // GIR_Coverage, 17835,
     /* 1509312 */     GIR_EraseRootFromParent_Done,
     /* 1509313 */   // Label 21012: @1509313
     /* 1509313 */   GIM_Try, /*On fail goto*//*Label 21013*/ GIMT_Encode4(1509395), // Rule ID 17838 //
     /* 1509318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509357 */     // MIs[0] round
     /* 1509357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509360 */     // MIs[0] policy
     /* 1509360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509370 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1509373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509394 */     // GIR_Coverage, 17838,
     /* 1509394 */     GIR_EraseRootFromParent_Done,
     /* 1509395 */   // Label 21013: @1509395
     /* 1509395 */   GIM_Try, /*On fail goto*//*Label 21014*/ GIMT_Encode4(1509477), // Rule ID 17839 //
     /* 1509400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1509411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1509414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1509420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509439 */     // MIs[0] round
     /* 1509439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509442 */     // MIs[0] policy
     /* 1509442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509452 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16),
     /* 1509455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509476 */     // GIR_Coverage, 17839,
     /* 1509476 */     GIR_EraseRootFromParent_Done,
     /* 1509477 */   // Label 21014: @1509477
     /* 1509477 */   GIM_Try, /*On fail goto*//*Label 21015*/ GIMT_Encode4(1509559), // Rule ID 17842 //
     /* 1509482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1509485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509521 */     // MIs[0] round
     /* 1509521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509524 */     // MIs[0] policy
     /* 1509524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509534 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1509537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509558 */     // GIR_Coverage, 17842,
     /* 1509558 */     GIR_EraseRootFromParent_Done,
     /* 1509559 */   // Label 21015: @1509559
     /* 1509559 */   GIM_Try, /*On fail goto*//*Label 21016*/ GIMT_Encode4(1509641), // Rule ID 17843 //
     /* 1509564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1509567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1509575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1509578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1509581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1509584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1509599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1509603 */     // MIs[0] round
     /* 1509603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509606 */     // MIs[0] policy
     /* 1509606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509616 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16),
     /* 1509619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1509637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509640 */     // GIR_Coverage, 17843,
     /* 1509640 */     GIR_EraseRootFromParent_Done,
     /* 1509641 */   // Label 21016: @1509641
     /* 1509641 */   GIM_Try, /*On fail goto*//*Label 21017*/ GIMT_Encode4(1509723), // Rule ID 17846 //
     /* 1509646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509685 */     // MIs[0] round
     /* 1509685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509688 */     // MIs[0] policy
     /* 1509688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509698 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1509701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509722 */     // GIR_Coverage, 17846,
     /* 1509722 */     GIR_EraseRootFromParent_Done,
     /* 1509723 */   // Label 21017: @1509723
     /* 1509723 */   GIM_Try, /*On fail goto*//*Label 21018*/ GIMT_Encode4(1509805), // Rule ID 17847 //
     /* 1509728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1509739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1509742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1509748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1509767 */     // MIs[0] round
     /* 1509767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509770 */     // MIs[0] policy
     /* 1509770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509780 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32),
     /* 1509783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509804 */     // GIR_Coverage, 17847,
     /* 1509804 */     GIR_EraseRootFromParent_Done,
     /* 1509805 */   // Label 21018: @1509805
     /* 1509805 */   GIM_Try, /*On fail goto*//*Label 21019*/ GIMT_Encode4(1509887), // Rule ID 17850 //
     /* 1509810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509849 */     // MIs[0] round
     /* 1509849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509852 */     // MIs[0] policy
     /* 1509852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509862 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1509862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1509865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509886 */     // GIR_Coverage, 17850,
     /* 1509886 */     GIR_EraseRootFromParent_Done,
     /* 1509887 */   // Label 21019: @1509887
     /* 1509887 */   GIM_Try, /*On fail goto*//*Label 21020*/ GIMT_Encode4(1509969), // Rule ID 17851 //
     /* 1509892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1509895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1509903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1509906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1509912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1509915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1509927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1509931 */     // MIs[0] round
     /* 1509931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1509934 */     // MIs[0] policy
     /* 1509934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1509937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1509944 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1509944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32),
     /* 1509947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1509949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1509951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1509953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1509955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1509957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1509962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1509965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1509967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1509968 */     // GIR_Coverage, 17851,
     /* 1509968 */     GIR_EraseRootFromParent_Done,
     /* 1509969 */   // Label 21020: @1509969
     /* 1509969 */   GIM_Try, /*On fail goto*//*Label 21021*/ GIMT_Encode4(1510051), // Rule ID 17854 //
     /* 1509974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1509977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1509982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1509985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1509988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1509991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1509994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1509997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510013 */     // MIs[0] round
     /* 1510013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510016 */     // MIs[0] policy
     /* 1510016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510026 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1510029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510050 */     // GIR_Coverage, 17854,
     /* 1510050 */     GIR_EraseRootFromParent_Done,
     /* 1510051 */   // Label 21021: @1510051
     /* 1510051 */   GIM_Try, /*On fail goto*//*Label 21022*/ GIMT_Encode4(1510133), // Rule ID 17855 //
     /* 1510056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1510059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1510064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1510067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1510070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1510073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1510076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1510091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510095 */     // MIs[0] round
     /* 1510095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510098 */     // MIs[0] policy
     /* 1510098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510108 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32),
     /* 1510111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1510129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510132 */     // GIR_Coverage, 17855,
     /* 1510132 */     GIR_EraseRootFromParent_Done,
     /* 1510133 */   // Label 21022: @1510133
     /* 1510133 */   GIM_Try, /*On fail goto*//*Label 21023*/ GIMT_Encode4(1510215), // Rule ID 17858 //
     /* 1510138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1510146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510177 */     // MIs[0] round
     /* 1510177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510180 */     // MIs[0] policy
     /* 1510180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510190 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1510193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510214 */     // GIR_Coverage, 17858,
     /* 1510214 */     GIR_EraseRootFromParent_Done,
     /* 1510215 */   // Label 21023: @1510215
     /* 1510215 */   GIM_Try, /*On fail goto*//*Label 21024*/ GIMT_Encode4(1510297), // Rule ID 17859 //
     /* 1510220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1510228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1510231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1510234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1510240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1510259 */     // MIs[0] round
     /* 1510259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510262 */     // MIs[0] policy
     /* 1510262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510272 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11205:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64),
     /* 1510275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510296 */     // GIR_Coverage, 17859,
     /* 1510296 */     GIR_EraseRootFromParent_Done,
     /* 1510297 */   // Label 21024: @1510297
     /* 1510297 */   GIM_Try, /*On fail goto*//*Label 21025*/ GIMT_Encode4(1510379), // Rule ID 17862 //
     /* 1510302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1510310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510341 */     // MIs[0] round
     /* 1510341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510344 */     // MIs[0] policy
     /* 1510344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510354 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1510357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510378 */     // GIR_Coverage, 17862,
     /* 1510378 */     GIR_EraseRootFromParent_Done,
     /* 1510379 */   // Label 21025: @1510379
     /* 1510379 */   GIM_Try, /*On fail goto*//*Label 21026*/ GIMT_Encode4(1510461), // Rule ID 17863 //
     /* 1510384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1510392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1510395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1510398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1510404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1510423 */     // MIs[0] round
     /* 1510423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510426 */     // MIs[0] policy
     /* 1510426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510436 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11205:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64),
     /* 1510439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510460 */     // GIR_Coverage, 17863,
     /* 1510460 */     GIR_EraseRootFromParent_Done,
     /* 1510461 */   // Label 21026: @1510461
     /* 1510461 */   GIM_Try, /*On fail goto*//*Label 21027*/ GIMT_Encode4(1510543), // Rule ID 17866 //
     /* 1510466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1510469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1510474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510505 */     // MIs[0] round
     /* 1510505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510508 */     // MIs[0] policy
     /* 1510508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510518 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1510521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510542 */     // GIR_Coverage, 17866,
     /* 1510542 */     GIR_EraseRootFromParent_Done,
     /* 1510543 */   // Label 21027: @1510543
     /* 1510543 */   GIM_Try, /*On fail goto*//*Label 21028*/ GIMT_Encode4(1510625), // Rule ID 17867 //
     /* 1510548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1510551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc),
     /* 1510556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1510559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1510562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1510565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1510568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1510583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1510587 */     // MIs[0] round
     /* 1510587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510590 */     // MIs[0] policy
     /* 1510590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510600 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11205:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64),
     /* 1510603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1510621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510624 */     // GIR_Coverage, 17867,
     /* 1510624 */     GIR_EraseRootFromParent_Done,
     /* 1510625 */   // Label 21028: @1510625
     /* 1510625 */   GIM_Try, /*On fail goto*//*Label 21029*/ GIMT_Encode4(1510707), // Rule ID 17870 //
     /* 1510630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1510647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510669 */     // MIs[0] round
     /* 1510669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510672 */     // MIs[0] policy
     /* 1510672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510682 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1510685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510706 */     // GIR_Coverage, 17870,
     /* 1510706 */     GIR_EraseRootFromParent_Done,
     /* 1510707 */   // Label 21029: @1510707
     /* 1510707 */   GIM_Try, /*On fail goto*//*Label 21030*/ GIMT_Encode4(1510789), // Rule ID 17871 //
     /* 1510712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1510723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1510726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1510729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1510732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510751 */     // MIs[0] round
     /* 1510751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510754 */     // MIs[0] policy
     /* 1510754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510764 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16),
     /* 1510767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510788 */     // GIR_Coverage, 17871,
     /* 1510788 */     GIR_EraseRootFromParent_Done,
     /* 1510789 */   // Label 21030: @1510789
     /* 1510789 */   GIM_Try, /*On fail goto*//*Label 21031*/ GIMT_Encode4(1510871), // Rule ID 17874 //
     /* 1510794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1510797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1510811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1510814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510833 */     // MIs[0] round
     /* 1510833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510836 */     // MIs[0] policy
     /* 1510836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510846 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1510846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1510849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510870 */     // GIR_Coverage, 17874,
     /* 1510870 */     GIR_EraseRootFromParent_Done,
     /* 1510871 */   // Label 21031: @1510871
     /* 1510871 */   GIM_Try, /*On fail goto*//*Label 21032*/ GIMT_Encode4(1510953), // Rule ID 17875 //
     /* 1510876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1510879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1510887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1510890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1510893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1510896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1510899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510915 */     // MIs[0] round
     /* 1510915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1510918 */     // MIs[0] policy
     /* 1510918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1510921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1510928 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1510928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16),
     /* 1510931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1510933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1510935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1510937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1510939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1510941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1510946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1510949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1510951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1510952 */     // GIR_Coverage, 17875,
     /* 1510952 */     GIR_EraseRootFromParent_Done,
     /* 1510953 */   // Label 21032: @1510953
     /* 1510953 */   GIM_Try, /*On fail goto*//*Label 21033*/ GIMT_Encode4(1511035), // Rule ID 17878 //
     /* 1510958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1510961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1510966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1510969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1510972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1510975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1510978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1510981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1510997 */     // MIs[0] round
     /* 1510997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511000 */     // MIs[0] policy
     /* 1511000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511010 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1511013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511034 */     // GIR_Coverage, 17878,
     /* 1511034 */     GIR_EraseRootFromParent_Done,
     /* 1511035 */   // Label 21033: @1511035
     /* 1511035 */   GIM_Try, /*On fail goto*//*Label 21034*/ GIMT_Encode4(1511117), // Rule ID 17879 //
     /* 1511040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1511051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1511054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1511057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1511060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511079 */     // MIs[0] round
     /* 1511079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511082 */     // MIs[0] policy
     /* 1511082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511092 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32),
     /* 1511095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511116 */     // GIR_Coverage, 17879,
     /* 1511116 */     GIR_EraseRootFromParent_Done,
     /* 1511117 */   // Label 21034: @1511117
     /* 1511117 */   GIM_Try, /*On fail goto*//*Label 21035*/ GIMT_Encode4(1511199), // Rule ID 17882 //
     /* 1511122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511161 */     // MIs[0] round
     /* 1511161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511164 */     // MIs[0] policy
     /* 1511164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511174 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1511177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511198 */     // GIR_Coverage, 17882,
     /* 1511198 */     GIR_EraseRootFromParent_Done,
     /* 1511199 */   // Label 21035: @1511199
     /* 1511199 */   GIM_Try, /*On fail goto*//*Label 21036*/ GIMT_Encode4(1511281), // Rule ID 17883 //
     /* 1511204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1511215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1511218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1511221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1511224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511243 */     // MIs[0] round
     /* 1511243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511246 */     // MIs[0] policy
     /* 1511246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16),
     /* 1511259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511280 */     // GIR_Coverage, 17883,
     /* 1511280 */     GIR_EraseRootFromParent_Done,
     /* 1511281 */   // Label 21036: @1511281
     /* 1511281 */   GIM_Try, /*On fail goto*//*Label 21037*/ GIMT_Encode4(1511363), // Rule ID 17886 //
     /* 1511286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1511289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1511303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511325 */     // MIs[0] round
     /* 1511325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511328 */     // MIs[0] policy
     /* 1511328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511338 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1511341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511362 */     // GIR_Coverage, 17886,
     /* 1511362 */     GIR_EraseRootFromParent_Done,
     /* 1511363 */   // Label 21037: @1511363
     /* 1511363 */   GIM_Try, /*On fail goto*//*Label 21038*/ GIMT_Encode4(1511445), // Rule ID 17887 //
     /* 1511368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1511371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1511379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1511382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1511385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1511388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511407 */     // MIs[0] round
     /* 1511407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511410 */     // MIs[0] policy
     /* 1511410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511420 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32),
     /* 1511423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1511441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511444 */     // GIR_Coverage, 17887,
     /* 1511444 */     GIR_EraseRootFromParent_Done,
     /* 1511445 */   // Label 21038: @1511445
     /* 1511445 */   GIM_Try, /*On fail goto*//*Label 21039*/ GIMT_Encode4(1511527), // Rule ID 17890 //
     /* 1511450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1511453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1511467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511489 */     // MIs[0] round
     /* 1511489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511492 */     // MIs[0] policy
     /* 1511492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511502 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1511505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511526 */     // GIR_Coverage, 17890,
     /* 1511526 */     GIR_EraseRootFromParent_Done,
     /* 1511527 */   // Label 21039: @1511527
     /* 1511527 */   GIM_Try, /*On fail goto*//*Label 21040*/ GIMT_Encode4(1511609), // Rule ID 17891 //
     /* 1511532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1511535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1511543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1511546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1511549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1511552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1511571 */     // MIs[0] round
     /* 1511571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511574 */     // MIs[0] policy
     /* 1511574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511584 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64),
     /* 1511587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1511605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511608 */     // GIR_Coverage, 17891,
     /* 1511608 */     GIR_EraseRootFromParent_Done,
     /* 1511609 */   // Label 21040: @1511609
     /* 1511609 */   GIM_Try, /*On fail goto*//*Label 21041*/ GIMT_Encode4(1511691), // Rule ID 17894 //
     /* 1511614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1511631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511653 */     // MIs[0] round
     /* 1511653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511656 */     // MIs[0] policy
     /* 1511656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511666 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1511669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511690 */     // GIR_Coverage, 17894,
     /* 1511690 */     GIR_EraseRootFromParent_Done,
     /* 1511691 */   // Label 21041: @1511691
     /* 1511691 */   GIM_Try, /*On fail goto*//*Label 21042*/ GIMT_Encode4(1511773), // Rule ID 17895 //
     /* 1511696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1511707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1511710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1511713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1511716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1511735 */     // MIs[0] round
     /* 1511735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511738 */     // MIs[0] policy
     /* 1511738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511748 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16),
     /* 1511751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511772 */     // GIR_Coverage, 17895,
     /* 1511772 */     GIR_EraseRootFromParent_Done,
     /* 1511773 */   // Label 21042: @1511773
     /* 1511773 */   GIM_Try, /*On fail goto*//*Label 21043*/ GIMT_Encode4(1511855), // Rule ID 17898 //
     /* 1511778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1511789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1511792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1511795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1511798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511817 */     // MIs[0] round
     /* 1511817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511820 */     // MIs[0] policy
     /* 1511820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511830 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1511833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511854 */     // GIR_Coverage, 17898,
     /* 1511854 */     GIR_EraseRootFromParent_Done,
     /* 1511855 */   // Label 21043: @1511855
     /* 1511855 */   GIM_Try, /*On fail goto*//*Label 21044*/ GIMT_Encode4(1511937), // Rule ID 17899 //
     /* 1511860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1511863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1511871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1511874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1511877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1511880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1511883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1511899 */     // MIs[0] round
     /* 1511899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511902 */     // MIs[0] policy
     /* 1511902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511912 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1511912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16),
     /* 1511915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1511919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1511921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1511923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1511925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1511930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1511933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1511935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1511936 */     // GIR_Coverage, 17899,
     /* 1511936 */     GIR_EraseRootFromParent_Done,
     /* 1511937 */   // Label 21044: @1511937
     /* 1511937 */   GIM_Try, /*On fail goto*//*Label 21045*/ GIMT_Encode4(1512019), // Rule ID 17902 //
     /* 1511942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1511945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1511950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1511953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1511956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1511959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1511962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1511965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1511981 */     // MIs[0] round
     /* 1511981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1511984 */     // MIs[0] policy
     /* 1511984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1511987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1511994 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1511994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1511997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1511999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512018 */     // GIR_Coverage, 17902,
     /* 1512018 */     GIR_EraseRootFromParent_Done,
     /* 1512019 */   // Label 21045: @1512019
     /* 1512019 */   GIM_Try, /*On fail goto*//*Label 21046*/ GIMT_Encode4(1512101), // Rule ID 17903 //
     /* 1512024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1512027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1512035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1512038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1512041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1512044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512063 */     // MIs[0] round
     /* 1512063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512066 */     // MIs[0] policy
     /* 1512066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512076 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16),
     /* 1512079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1512097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512100 */     // GIR_Coverage, 17903,
     /* 1512100 */     GIR_EraseRootFromParent_Done,
     /* 1512101 */   // Label 21046: @1512101
     /* 1512101 */   GIM_Try, /*On fail goto*//*Label 21047*/ GIMT_Encode4(1512183), // Rule ID 17906 //
     /* 1512106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512145 */     // MIs[0] round
     /* 1512145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512148 */     // MIs[0] policy
     /* 1512148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512158 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1512161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512182 */     // GIR_Coverage, 17906,
     /* 1512182 */     GIR_EraseRootFromParent_Done,
     /* 1512183 */   // Label 21047: @1512183
     /* 1512183 */   GIM_Try, /*On fail goto*//*Label 21048*/ GIMT_Encode4(1512265), // Rule ID 17907 //
     /* 1512188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1512199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1512202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1512205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1512208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512227 */     // MIs[0] round
     /* 1512227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512230 */     // MIs[0] policy
     /* 1512230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512240 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32),
     /* 1512243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512264 */     // GIR_Coverage, 17907,
     /* 1512264 */     GIR_EraseRootFromParent_Done,
     /* 1512265 */   // Label 21048: @1512265
     /* 1512265 */   GIM_Try, /*On fail goto*//*Label 21049*/ GIMT_Encode4(1512347), // Rule ID 17910 //
     /* 1512270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1512287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512309 */     // MIs[0] round
     /* 1512309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512312 */     // MIs[0] policy
     /* 1512312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512322 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1512325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512346 */     // GIR_Coverage, 17910,
     /* 1512346 */     GIR_EraseRootFromParent_Done,
     /* 1512347 */   // Label 21049: @1512347
     /* 1512347 */   GIM_Try, /*On fail goto*//*Label 21050*/ GIMT_Encode4(1512429), // Rule ID 17911 //
     /* 1512352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1512363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1512366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1512369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1512372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512391 */     // MIs[0] round
     /* 1512391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512394 */     // MIs[0] policy
     /* 1512394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512404 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32),
     /* 1512407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512428 */     // GIR_Coverage, 17911,
     /* 1512428 */     GIR_EraseRootFromParent_Done,
     /* 1512429 */   // Label 21050: @1512429
     /* 1512429 */   GIM_Try, /*On fail goto*//*Label 21051*/ GIMT_Encode4(1512511), // Rule ID 17914 //
     /* 1512434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1512437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1512451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512473 */     // MIs[0] round
     /* 1512473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512476 */     // MIs[0] policy
     /* 1512476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512486 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1512489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512510 */     // GIR_Coverage, 17914,
     /* 1512510 */     GIR_EraseRootFromParent_Done,
     /* 1512511 */   // Label 21051: @1512511
     /* 1512511 */   GIM_Try, /*On fail goto*//*Label 21052*/ GIMT_Encode4(1512593), // Rule ID 17915 //
     /* 1512516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1512519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1512527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1512530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1512533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1512536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512555 */     // MIs[0] round
     /* 1512555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512558 */     // MIs[0] policy
     /* 1512558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512568 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32),
     /* 1512571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1512589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512592 */     // GIR_Coverage, 17915,
     /* 1512592 */     GIR_EraseRootFromParent_Done,
     /* 1512593 */   // Label 21052: @1512593
     /* 1512593 */   GIM_Try, /*On fail goto*//*Label 21053*/ GIMT_Encode4(1512675), // Rule ID 17918 //
     /* 1512598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1512615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512637 */     // MIs[0] round
     /* 1512637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512640 */     // MIs[0] policy
     /* 1512640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1512653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512674 */     // GIR_Coverage, 17918,
     /* 1512674 */     GIR_EraseRootFromParent_Done,
     /* 1512675 */   // Label 21053: @1512675
     /* 1512675 */   GIM_Try, /*On fail goto*//*Label 21054*/ GIMT_Encode4(1512757), // Rule ID 17919 //
     /* 1512680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1512691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1512694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1512697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1512700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1512719 */     // MIs[0] round
     /* 1512719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512722 */     // MIs[0] policy
     /* 1512722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512732 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64),
     /* 1512735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512756 */     // GIR_Coverage, 17919,
     /* 1512756 */     GIR_EraseRootFromParent_Done,
     /* 1512757 */   // Label 21054: @1512757
     /* 1512757 */   GIM_Try, /*On fail goto*//*Label 21055*/ GIMT_Encode4(1512839), // Rule ID 17922 //
     /* 1512762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1512779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1512782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512801 */     // MIs[0] round
     /* 1512801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512804 */     // MIs[0] policy
     /* 1512804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512814 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1512817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512838 */     // GIR_Coverage, 17922,
     /* 1512838 */     GIR_EraseRootFromParent_Done,
     /* 1512839 */   // Label 21055: @1512839
     /* 1512839 */   GIM_Try, /*On fail goto*//*Label 21056*/ GIMT_Encode4(1512921), // Rule ID 17923 //
     /* 1512844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1512847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1512855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1512858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1512861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1512864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1512867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1512883 */     // MIs[0] round
     /* 1512883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512886 */     // MIs[0] policy
     /* 1512886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512896 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1512896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64),
     /* 1512899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1512919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1512920 */     // GIR_Coverage, 17923,
     /* 1512920 */     GIR_EraseRootFromParent_Done,
     /* 1512921 */   // Label 21056: @1512921
     /* 1512921 */   GIM_Try, /*On fail goto*//*Label 21057*/ GIMT_Encode4(1513003), // Rule ID 17926 //
     /* 1512926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1512929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1512934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1512937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1512940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1512943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1512946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1512949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1512965 */     // MIs[0] round
     /* 1512965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1512968 */     // MIs[0] policy
     /* 1512968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1512971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1512978 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1512978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1512981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1512983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1512985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1512987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1512989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1512991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1512996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1512999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513002 */     // GIR_Coverage, 17926,
     /* 1513002 */     GIR_EraseRootFromParent_Done,
     /* 1513003 */   // Label 21057: @1513003
     /* 1513003 */   GIM_Try, /*On fail goto*//*Label 21058*/ GIMT_Encode4(1513085), // Rule ID 17927 //
     /* 1513008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1513019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1513022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1513025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1513028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1513047 */     // MIs[0] round
     /* 1513047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513050 */     // MIs[0] policy
     /* 1513050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513060 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64),
     /* 1513063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513084 */     // GIR_Coverage, 17927,
     /* 1513084 */     GIR_EraseRootFromParent_Done,
     /* 1513085 */   // Label 21058: @1513085
     /* 1513085 */   GIM_Try, /*On fail goto*//*Label 21059*/ GIMT_Encode4(1513167), // Rule ID 17930 //
     /* 1513090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513129 */     // MIs[0] round
     /* 1513129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513132 */     // MIs[0] policy
     /* 1513132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513142 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1513145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513166 */     // GIR_Coverage, 17930,
     /* 1513166 */     GIR_EraseRootFromParent_Done,
     /* 1513167 */   // Label 21059: @1513167
     /* 1513167 */   GIM_Try, /*On fail goto*//*Label 21060*/ GIMT_Encode4(1513249), // Rule ID 17931 //
     /* 1513172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1513183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1513186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1513192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513211 */     // MIs[0] round
     /* 1513211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513214 */     // MIs[0] policy
     /* 1513214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513224 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16),
     /* 1513227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513248 */     // GIR_Coverage, 17931,
     /* 1513248 */     GIR_EraseRootFromParent_Done,
     /* 1513249 */   // Label 21060: @1513249
     /* 1513249 */   GIM_Try, /*On fail goto*//*Label 21061*/ GIMT_Encode4(1513331), // Rule ID 17934 //
     /* 1513254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513293 */     // MIs[0] round
     /* 1513293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513296 */     // MIs[0] policy
     /* 1513296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513306 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1513309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513330 */     // GIR_Coverage, 17934,
     /* 1513330 */     GIR_EraseRootFromParent_Done,
     /* 1513331 */   // Label 21061: @1513331
     /* 1513331 */   GIM_Try, /*On fail goto*//*Label 21062*/ GIMT_Encode4(1513413), // Rule ID 17935 //
     /* 1513336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1513347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1513350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1513356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513375 */     // MIs[0] round
     /* 1513375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513378 */     // MIs[0] policy
     /* 1513378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513388 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16),
     /* 1513391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513412 */     // GIR_Coverage, 17935,
     /* 1513412 */     GIR_EraseRootFromParent_Done,
     /* 1513413 */   // Label 21062: @1513413
     /* 1513413 */   GIM_Try, /*On fail goto*//*Label 21063*/ GIMT_Encode4(1513495), // Rule ID 17938 //
     /* 1513418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513457 */     // MIs[0] round
     /* 1513457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513460 */     // MIs[0] policy
     /* 1513460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513470 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1513473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513494 */     // GIR_Coverage, 17938,
     /* 1513494 */     GIR_EraseRootFromParent_Done,
     /* 1513495 */   // Label 21063: @1513495
     /* 1513495 */   GIM_Try, /*On fail goto*//*Label 21064*/ GIMT_Encode4(1513577), // Rule ID 17939 //
     /* 1513500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1513511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1513514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1513520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513539 */     // MIs[0] round
     /* 1513539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513542 */     // MIs[0] policy
     /* 1513542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513552 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32),
     /* 1513555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513576 */     // GIR_Coverage, 17939,
     /* 1513576 */     GIR_EraseRootFromParent_Done,
     /* 1513577 */   // Label 21064: @1513577
     /* 1513577 */   GIM_Try, /*On fail goto*//*Label 21065*/ GIMT_Encode4(1513659), // Rule ID 17942 //
     /* 1513582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1513585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513621 */     // MIs[0] round
     /* 1513621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513624 */     // MIs[0] policy
     /* 1513624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513634 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1513637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513658 */     // GIR_Coverage, 17942,
     /* 1513658 */     GIR_EraseRootFromParent_Done,
     /* 1513659 */   // Label 21065: @1513659
     /* 1513659 */   GIM_Try, /*On fail goto*//*Label 21066*/ GIMT_Encode4(1513741), // Rule ID 17943 //
     /* 1513664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1513667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1513675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1513678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1513681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1513684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1513699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513703 */     // MIs[0] round
     /* 1513703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513706 */     // MIs[0] policy
     /* 1513706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513716 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11241:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16),
     /* 1513719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1513737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513740 */     // GIR_Coverage, 17943,
     /* 1513740 */     GIR_EraseRootFromParent_Done,
     /* 1513741 */   // Label 21066: @1513741
     /* 1513741 */   GIM_Try, /*On fail goto*//*Label 21067*/ GIMT_Encode4(1513823), // Rule ID 17946 //
     /* 1513746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1513749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1513766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513785 */     // MIs[0] round
     /* 1513785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513788 */     // MIs[0] policy
     /* 1513788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1513801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513822 */     // GIR_Coverage, 17946,
     /* 1513822 */     GIR_EraseRootFromParent_Done,
     /* 1513823 */   // Label 21067: @1513823
     /* 1513823 */   GIM_Try, /*On fail goto*//*Label 21068*/ GIMT_Encode4(1513905), // Rule ID 17947 //
     /* 1513828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1513831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1513839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1513842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1513845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1513848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1513851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1513863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513867 */     // MIs[0] round
     /* 1513867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513870 */     // MIs[0] policy
     /* 1513870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513880 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11241:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1513880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32),
     /* 1513883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1513901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513904 */     // GIR_Coverage, 17947,
     /* 1513904 */     GIR_EraseRootFromParent_Done,
     /* 1513905 */   // Label 21068: @1513905
     /* 1513905 */   GIM_Try, /*On fail goto*//*Label 21069*/ GIMT_Encode4(1513987), // Rule ID 17950 //
     /* 1513910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1513913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1513918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1513921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1513924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1513927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1513930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1513933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1513945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1513949 */     // MIs[0] round
     /* 1513949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1513952 */     // MIs[0] policy
     /* 1513952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1513955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1513962 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1513962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1513965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1513967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1513969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1513971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1513973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1513975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1513980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1513983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1513985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1513986 */     // GIR_Coverage, 17950,
     /* 1513986 */     GIR_EraseRootFromParent_Done,
     /* 1513987 */   // Label 21069: @1513987
     /* 1513987 */   GIM_Try, /*On fail goto*//*Label 21070*/ GIMT_Encode4(1514069), // Rule ID 17951 //
     /* 1513992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1513995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1514003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1514006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1514009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1514012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1514027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1514031 */     // MIs[0] round
     /* 1514031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514034 */     // MIs[0] policy
     /* 1514034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514044 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11241:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64),
     /* 1514047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1514065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514068 */     // GIR_Coverage, 17951,
     /* 1514068 */     GIR_EraseRootFromParent_Done,
     /* 1514069 */   // Label 21070: @1514069
     /* 1514069 */   GIM_Try, /*On fail goto*//*Label 21071*/ GIMT_Encode4(1514151), // Rule ID 17954 //
     /* 1514074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514113 */     // MIs[0] round
     /* 1514113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514116 */     // MIs[0] policy
     /* 1514116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514126 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1514129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514150 */     // GIR_Coverage, 17954,
     /* 1514150 */     GIR_EraseRootFromParent_Done,
     /* 1514151 */   // Label 21071: @1514151
     /* 1514151 */   GIM_Try, /*On fail goto*//*Label 21072*/ GIMT_Encode4(1514233), // Rule ID 17955 //
     /* 1514156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1514167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1514170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1514176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514195 */     // MIs[0] round
     /* 1514195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514198 */     // MIs[0] policy
     /* 1514198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514208 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16),
     /* 1514211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514232 */     // GIR_Coverage, 17955,
     /* 1514232 */     GIR_EraseRootFromParent_Done,
     /* 1514233 */   // Label 21072: @1514233
     /* 1514233 */   GIM_Try, /*On fail goto*//*Label 21073*/ GIMT_Encode4(1514315), // Rule ID 17958 //
     /* 1514238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514277 */     // MIs[0] round
     /* 1514277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514280 */     // MIs[0] policy
     /* 1514280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514290 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1514293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514314 */     // GIR_Coverage, 17958,
     /* 1514314 */     GIR_EraseRootFromParent_Done,
     /* 1514315 */   // Label 21073: @1514315
     /* 1514315 */   GIM_Try, /*On fail goto*//*Label 21074*/ GIMT_Encode4(1514397), // Rule ID 17959 //
     /* 1514320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1514331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1514334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1514340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514359 */     // MIs[0] round
     /* 1514359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514362 */     // MIs[0] policy
     /* 1514362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514372 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16),
     /* 1514375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514396 */     // GIR_Coverage, 17959,
     /* 1514396 */     GIR_EraseRootFromParent_Done,
     /* 1514397 */   // Label 21074: @1514397
     /* 1514397 */   GIM_Try, /*On fail goto*//*Label 21075*/ GIMT_Encode4(1514479), // Rule ID 17962 //
     /* 1514402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1514405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514441 */     // MIs[0] round
     /* 1514441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514444 */     // MIs[0] policy
     /* 1514444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514454 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1514457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514478 */     // GIR_Coverage, 17962,
     /* 1514478 */     GIR_EraseRootFromParent_Done,
     /* 1514479 */   // Label 21075: @1514479
     /* 1514479 */   GIM_Try, /*On fail goto*//*Label 21076*/ GIMT_Encode4(1514561), // Rule ID 17963 //
     /* 1514484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1514487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1514495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1514498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1514501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1514504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1514519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514523 */     // MIs[0] round
     /* 1514523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514526 */     // MIs[0] policy
     /* 1514526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514536 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16),
     /* 1514539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1514557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514560 */     // GIR_Coverage, 17963,
     /* 1514560 */     GIR_EraseRootFromParent_Done,
     /* 1514561 */   // Label 21076: @1514561
     /* 1514561 */   GIM_Try, /*On fail goto*//*Label 21077*/ GIMT_Encode4(1514643), // Rule ID 17966 //
     /* 1514566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514605 */     // MIs[0] round
     /* 1514605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514608 */     // MIs[0] policy
     /* 1514608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514618 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1514621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514642 */     // GIR_Coverage, 17966,
     /* 1514642 */     GIR_EraseRootFromParent_Done,
     /* 1514643 */   // Label 21077: @1514643
     /* 1514643 */   GIM_Try, /*On fail goto*//*Label 21078*/ GIMT_Encode4(1514725), // Rule ID 17967 //
     /* 1514648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1514659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1514662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1514668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1514687 */     // MIs[0] round
     /* 1514687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514690 */     // MIs[0] policy
     /* 1514690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514700 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32),
     /* 1514703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514724 */     // GIR_Coverage, 17967,
     /* 1514724 */     GIR_EraseRootFromParent_Done,
     /* 1514725 */   // Label 21078: @1514725
     /* 1514725 */   GIM_Try, /*On fail goto*//*Label 21079*/ GIMT_Encode4(1514807), // Rule ID 17970 //
     /* 1514730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1514750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514769 */     // MIs[0] round
     /* 1514769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514772 */     // MIs[0] policy
     /* 1514772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514782 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1514785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514806 */     // GIR_Coverage, 17970,
     /* 1514806 */     GIR_EraseRootFromParent_Done,
     /* 1514807 */   // Label 21079: @1514807
     /* 1514807 */   GIM_Try, /*On fail goto*//*Label 21080*/ GIMT_Encode4(1514889), // Rule ID 17971 //
     /* 1514812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1514823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1514826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1514832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1514851 */     // MIs[0] round
     /* 1514851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514854 */     // MIs[0] policy
     /* 1514854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514864 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1514864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32),
     /* 1514867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514888 */     // GIR_Coverage, 17971,
     /* 1514888 */     GIR_EraseRootFromParent_Done,
     /* 1514889 */   // Label 21080: @1514889
     /* 1514889 */   GIM_Try, /*On fail goto*//*Label 21081*/ GIMT_Encode4(1514971), // Rule ID 17974 //
     /* 1514894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1514897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1514914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1514917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1514929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1514933 */     // MIs[0] round
     /* 1514933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1514936 */     // MIs[0] policy
     /* 1514936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1514939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1514946 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1514946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1514949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1514951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1514953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1514955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1514957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1514959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1514964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1514967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1514969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1514970 */     // GIR_Coverage, 17974,
     /* 1514970 */     GIR_EraseRootFromParent_Done,
     /* 1514971 */   // Label 21081: @1514971
     /* 1514971 */   GIM_Try, /*On fail goto*//*Label 21082*/ GIMT_Encode4(1515053), // Rule ID 17975 //
     /* 1514976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1514979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1514984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1514987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1514990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1514993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1514996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1514999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1515011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515015 */     // MIs[0] round
     /* 1515015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515018 */     // MIs[0] policy
     /* 1515018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515028 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32),
     /* 1515031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515052 */     // GIR_Coverage, 17975,
     /* 1515052 */     GIR_EraseRootFromParent_Done,
     /* 1515053 */   // Label 21082: @1515053
     /* 1515053 */   GIM_Try, /*On fail goto*//*Label 21083*/ GIMT_Encode4(1515135), // Rule ID 17978 //
     /* 1515058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1515066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515097 */     // MIs[0] round
     /* 1515097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515100 */     // MIs[0] policy
     /* 1515100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515110 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1515113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515134 */     // GIR_Coverage, 17978,
     /* 1515134 */     GIR_EraseRootFromParent_Done,
     /* 1515135 */   // Label 21083: @1515135
     /* 1515135 */   GIM_Try, /*On fail goto*//*Label 21084*/ GIMT_Encode4(1515217), // Rule ID 17979 //
     /* 1515140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1515148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1515151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1515154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1515160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1515179 */     // MIs[0] round
     /* 1515179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515182 */     // MIs[0] policy
     /* 1515182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515192 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11241:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64),
     /* 1515195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515216 */     // GIR_Coverage, 17979,
     /* 1515216 */     GIR_EraseRootFromParent_Done,
     /* 1515217 */   // Label 21084: @1515217
     /* 1515217 */   GIM_Try, /*On fail goto*//*Label 21085*/ GIMT_Encode4(1515299), // Rule ID 17982 //
     /* 1515222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1515230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515261 */     // MIs[0] round
     /* 1515261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515264 */     // MIs[0] policy
     /* 1515264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515274 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1515277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515298 */     // GIR_Coverage, 17982,
     /* 1515298 */     GIR_EraseRootFromParent_Done,
     /* 1515299 */   // Label 21085: @1515299
     /* 1515299 */   GIM_Try, /*On fail goto*//*Label 21086*/ GIMT_Encode4(1515381), // Rule ID 17983 //
     /* 1515304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1515312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1515315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1515318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1515324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1515343 */     // MIs[0] round
     /* 1515343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515346 */     // MIs[0] policy
     /* 1515346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515356 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11241:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64),
     /* 1515359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515380 */     // GIR_Coverage, 17983,
     /* 1515380 */     GIR_EraseRootFromParent_Done,
     /* 1515381 */   // Label 21086: @1515381
     /* 1515381 */   GIM_Try, /*On fail goto*//*Label 21087*/ GIMT_Encode4(1515463), // Rule ID 17986 //
     /* 1515386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1515389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1515394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515425 */     // MIs[0] round
     /* 1515425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515428 */     // MIs[0] policy
     /* 1515428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515438 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1515441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515462 */     // GIR_Coverage, 17986,
     /* 1515462 */     GIR_EraseRootFromParent_Done,
     /* 1515463 */   // Label 21087: @1515463
     /* 1515463 */   GIM_Try, /*On fail goto*//*Label 21088*/ GIMT_Encode4(1515545), // Rule ID 17987 //
     /* 1515468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1515471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc),
     /* 1515476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1515479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1515482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1515485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1515488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1515503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1515507 */     // MIs[0] round
     /* 1515507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515510 */     // MIs[0] policy
     /* 1515510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515520 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11241:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64),
     /* 1515523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1515541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515544 */     // GIR_Coverage, 17987,
     /* 1515544 */     GIR_EraseRootFromParent_Done,
     /* 1515545 */   // Label 21088: @1515545
     /* 1515545 */   GIM_Try, /*On fail goto*//*Label 21089*/ GIMT_Encode4(1515627), // Rule ID 17990 //
     /* 1515550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1515567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515589 */     // MIs[0] round
     /* 1515589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515592 */     // MIs[0] policy
     /* 1515592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515602 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1515605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515626 */     // GIR_Coverage, 17990,
     /* 1515626 */     GIR_EraseRootFromParent_Done,
     /* 1515627 */   // Label 21089: @1515627
     /* 1515627 */   GIM_Try, /*On fail goto*//*Label 21090*/ GIMT_Encode4(1515709), // Rule ID 17991 //
     /* 1515632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1515643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1515646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1515649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1515652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515671 */     // MIs[0] round
     /* 1515671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515674 */     // MIs[0] policy
     /* 1515674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515684 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16),
     /* 1515687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515708 */     // GIR_Coverage, 17991,
     /* 1515708 */     GIR_EraseRootFromParent_Done,
     /* 1515709 */   // Label 21090: @1515709
     /* 1515709 */   GIM_Try, /*On fail goto*//*Label 21091*/ GIMT_Encode4(1515791), // Rule ID 17994 //
     /* 1515714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1515717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1515725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1515728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1515731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1515734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515753 */     // MIs[0] round
     /* 1515753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515756 */     // MIs[0] policy
     /* 1515756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515766 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1515769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515790 */     // GIR_Coverage, 17994,
     /* 1515790 */     GIR_EraseRootFromParent_Done,
     /* 1515791 */   // Label 21091: @1515791
     /* 1515791 */   GIM_Try, /*On fail goto*//*Label 21092*/ GIMT_Encode4(1515873), // Rule ID 17995 //
     /* 1515796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1515799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1515807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1515810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1515813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1515816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515835 */     // MIs[0] round
     /* 1515835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515838 */     // MIs[0] policy
     /* 1515838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515848 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1515848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16),
     /* 1515851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1515869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515872 */     // GIR_Coverage, 17995,
     /* 1515872 */     GIR_EraseRootFromParent_Done,
     /* 1515873 */   // Label 21092: @1515873
     /* 1515873 */   GIM_Try, /*On fail goto*//*Label 21093*/ GIMT_Encode4(1515955), // Rule ID 17998 //
     /* 1515878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1515881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1515889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1515892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1515895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1515898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1515901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515917 */     // MIs[0] round
     /* 1515917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1515920 */     // MIs[0] policy
     /* 1515920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1515923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1515930 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1515930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1515933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1515935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1515937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1515939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1515941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1515943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1515948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1515951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1515953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1515954 */     // GIR_Coverage, 17998,
     /* 1515954 */     GIR_EraseRootFromParent_Done,
     /* 1515955 */   // Label 21093: @1515955
     /* 1515955 */   GIM_Try, /*On fail goto*//*Label 21094*/ GIMT_Encode4(1516037), // Rule ID 17999 //
     /* 1515960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1515963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1515968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1515971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1515974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1515977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1515980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1515983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1515999 */     // MIs[0] round
     /* 1515999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516002 */     // MIs[0] policy
     /* 1516002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516012 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32),
     /* 1516015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516036 */     // GIR_Coverage, 17999,
     /* 1516036 */     GIR_EraseRootFromParent_Done,
     /* 1516037 */   // Label 21094: @1516037
     /* 1516037 */   GIM_Try, /*On fail goto*//*Label 21095*/ GIMT_Encode4(1516119), // Rule ID 18002 //
     /* 1516042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516081 */     // MIs[0] round
     /* 1516081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516084 */     // MIs[0] policy
     /* 1516084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516094 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1516097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516118 */     // GIR_Coverage, 18002,
     /* 1516118 */     GIR_EraseRootFromParent_Done,
     /* 1516119 */   // Label 21095: @1516119
     /* 1516119 */   GIM_Try, /*On fail goto*//*Label 21096*/ GIMT_Encode4(1516201), // Rule ID 18003 //
     /* 1516124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1516135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1516138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1516141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1516144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516163 */     // MIs[0] round
     /* 1516163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516166 */     // MIs[0] policy
     /* 1516166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516176 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16),
     /* 1516179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516200 */     // GIR_Coverage, 18003,
     /* 1516200 */     GIR_EraseRootFromParent_Done,
     /* 1516201 */   // Label 21096: @1516201
     /* 1516201 */   GIM_Try, /*On fail goto*//*Label 21097*/ GIMT_Encode4(1516283), // Rule ID 18006 //
     /* 1516206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1516209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1516223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516245 */     // MIs[0] round
     /* 1516245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516248 */     // MIs[0] policy
     /* 1516248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516258 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1516261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516282 */     // GIR_Coverage, 18006,
     /* 1516282 */     GIR_EraseRootFromParent_Done,
     /* 1516283 */   // Label 21097: @1516283
     /* 1516283 */   GIM_Try, /*On fail goto*//*Label 21098*/ GIMT_Encode4(1516365), // Rule ID 18007 //
     /* 1516288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1516291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1516299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1516302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1516305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1516308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516327 */     // MIs[0] round
     /* 1516327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516330 */     // MIs[0] policy
     /* 1516330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516340 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32),
     /* 1516343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1516361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516364 */     // GIR_Coverage, 18007,
     /* 1516364 */     GIR_EraseRootFromParent_Done,
     /* 1516365 */   // Label 21098: @1516365
     /* 1516365 */   GIM_Try, /*On fail goto*//*Label 21099*/ GIMT_Encode4(1516447), // Rule ID 18010 //
     /* 1516370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1516373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1516387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1516390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516409 */     // MIs[0] round
     /* 1516409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516412 */     // MIs[0] policy
     /* 1516412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516422 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1516425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516446 */     // GIR_Coverage, 18010,
     /* 1516446 */     GIR_EraseRootFromParent_Done,
     /* 1516447 */   // Label 21099: @1516447
     /* 1516447 */   GIM_Try, /*On fail goto*//*Label 21100*/ GIMT_Encode4(1516529), // Rule ID 18011 //
     /* 1516452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1516455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1516463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1516466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1516469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1516472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1516491 */     // MIs[0] round
     /* 1516491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516494 */     // MIs[0] policy
     /* 1516494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516504 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64),
     /* 1516507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1516525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516528 */     // GIR_Coverage, 18011,
     /* 1516528 */     GIR_EraseRootFromParent_Done,
     /* 1516529 */   // Label 21100: @1516529
     /* 1516529 */   GIM_Try, /*On fail goto*//*Label 21101*/ GIMT_Encode4(1516611), // Rule ID 18014 //
     /* 1516534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1516545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1516548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1516551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516573 */     // MIs[0] round
     /* 1516573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516576 */     // MIs[0] policy
     /* 1516576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516586 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1516589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516610 */     // GIR_Coverage, 18014,
     /* 1516610 */     GIR_EraseRootFromParent_Done,
     /* 1516611 */   // Label 21101: @1516611
     /* 1516611 */   GIM_Try, /*On fail goto*//*Label 21102*/ GIMT_Encode4(1516693), // Rule ID 18015 //
     /* 1516616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1516627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1516630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1516633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1516636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1516655 */     // MIs[0] round
     /* 1516655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516658 */     // MIs[0] policy
     /* 1516658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516668 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16),
     /* 1516671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516692 */     // GIR_Coverage, 18015,
     /* 1516692 */     GIR_EraseRootFromParent_Done,
     /* 1516693 */   // Label 21102: @1516693
     /* 1516693 */   GIM_Try, /*On fail goto*//*Label 21103*/ GIMT_Encode4(1516775), // Rule ID 18018 //
     /* 1516698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1516709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1516712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1516715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1516718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516737 */     // MIs[0] round
     /* 1516737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516740 */     // MIs[0] policy
     /* 1516740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516750 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1516753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516774 */     // GIR_Coverage, 18018,
     /* 1516774 */     GIR_EraseRootFromParent_Done,
     /* 1516775 */   // Label 21103: @1516775
     /* 1516775 */   GIM_Try, /*On fail goto*//*Label 21104*/ GIMT_Encode4(1516857), // Rule ID 18019 //
     /* 1516780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1516791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1516794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1516797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1516800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1516819 */     // MIs[0] round
     /* 1516819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516822 */     // MIs[0] policy
     /* 1516822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516832 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16),
     /* 1516835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516856 */     // GIR_Coverage, 18019,
     /* 1516856 */     GIR_EraseRootFromParent_Done,
     /* 1516857 */   // Label 21104: @1516857
     /* 1516857 */   GIM_Try, /*On fail goto*//*Label 21105*/ GIMT_Encode4(1516939), // Rule ID 18022 //
     /* 1516862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1516865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1516873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1516876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1516879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1516882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1516885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516901 */     // MIs[0] round
     /* 1516901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516904 */     // MIs[0] policy
     /* 1516904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516914 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1516914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1516917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1516919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1516921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1516923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1516925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1516927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1516932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1516935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1516937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1516938 */     // GIR_Coverage, 18022,
     /* 1516938 */     GIR_EraseRootFromParent_Done,
     /* 1516939 */   // Label 21105: @1516939
     /* 1516939 */   GIM_Try, /*On fail goto*//*Label 21106*/ GIMT_Encode4(1517021), // Rule ID 18023 //
     /* 1516944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1516947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1516952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1516955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1516958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1516961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1516964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1516967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1516983 */     // MIs[0] round
     /* 1516983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1516986 */     // MIs[0] policy
     /* 1516986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1516989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1516996 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1516996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16),
     /* 1516999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1517017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517020 */     // GIR_Coverage, 18023,
     /* 1517020 */     GIR_EraseRootFromParent_Done,
     /* 1517021 */   // Label 21106: @1517021
     /* 1517021 */   GIM_Try, /*On fail goto*//*Label 21107*/ GIMT_Encode4(1517103), // Rule ID 18026 //
     /* 1517026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1517043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517065 */     // MIs[0] round
     /* 1517065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517068 */     // MIs[0] policy
     /* 1517068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517078 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1517081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517102 */     // GIR_Coverage, 18026,
     /* 1517102 */     GIR_EraseRootFromParent_Done,
     /* 1517103 */   // Label 21107: @1517103
     /* 1517103 */   GIM_Try, /*On fail goto*//*Label 21108*/ GIMT_Encode4(1517185), // Rule ID 18027 //
     /* 1517108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1517119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1517122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1517125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1517128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517147 */     // MIs[0] round
     /* 1517147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517150 */     // MIs[0] policy
     /* 1517150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517160 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32),
     /* 1517163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517184 */     // GIR_Coverage, 18027,
     /* 1517184 */     GIR_EraseRootFromParent_Done,
     /* 1517185 */   // Label 21108: @1517185
     /* 1517185 */   GIM_Try, /*On fail goto*//*Label 21109*/ GIMT_Encode4(1517267), // Rule ID 18030 //
     /* 1517190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1517207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517229 */     // MIs[0] round
     /* 1517229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517232 */     // MIs[0] policy
     /* 1517232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517242 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1517245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517266 */     // GIR_Coverage, 18030,
     /* 1517266 */     GIR_EraseRootFromParent_Done,
     /* 1517267 */   // Label 21109: @1517267
     /* 1517267 */   GIM_Try, /*On fail goto*//*Label 21110*/ GIMT_Encode4(1517349), // Rule ID 18031 //
     /* 1517272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1517283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1517286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1517289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1517292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517311 */     // MIs[0] round
     /* 1517311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517314 */     // MIs[0] policy
     /* 1517314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517324 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32),
     /* 1517327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517348 */     // GIR_Coverage, 18031,
     /* 1517348 */     GIR_EraseRootFromParent_Done,
     /* 1517349 */   // Label 21110: @1517349
     /* 1517349 */   GIM_Try, /*On fail goto*//*Label 21111*/ GIMT_Encode4(1517431), // Rule ID 18034 //
     /* 1517354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1517357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1517371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517393 */     // MIs[0] round
     /* 1517393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517396 */     // MIs[0] policy
     /* 1517396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517406 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1517409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517430 */     // GIR_Coverage, 18034,
     /* 1517430 */     GIR_EraseRootFromParent_Done,
     /* 1517431 */   // Label 21111: @1517431
     /* 1517431 */   GIM_Try, /*On fail goto*//*Label 21112*/ GIMT_Encode4(1517513), // Rule ID 18035 //
     /* 1517436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1517439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1517447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1517450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1517453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1517456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517475 */     // MIs[0] round
     /* 1517475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517478 */     // MIs[0] policy
     /* 1517478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517488 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32),
     /* 1517491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1517509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517512 */     // GIR_Coverage, 18035,
     /* 1517512 */     GIR_EraseRootFromParent_Done,
     /* 1517513 */   // Label 21112: @1517513
     /* 1517513 */   GIM_Try, /*On fail goto*//*Label 21113*/ GIMT_Encode4(1517595), // Rule ID 18038 //
     /* 1517518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1517535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1517538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517557 */     // MIs[0] round
     /* 1517557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517560 */     // MIs[0] policy
     /* 1517560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517570 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1517573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517594 */     // GIR_Coverage, 18038,
     /* 1517594 */     GIR_EraseRootFromParent_Done,
     /* 1517595 */   // Label 21113: @1517595
     /* 1517595 */   GIM_Try, /*On fail goto*//*Label 21114*/ GIMT_Encode4(1517677), // Rule ID 18039 //
     /* 1517600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1517611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1517614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1517617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1517620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1517639 */     // MIs[0] round
     /* 1517639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517642 */     // MIs[0] policy
     /* 1517642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517652 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64),
     /* 1517655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517676 */     // GIR_Coverage, 18039,
     /* 1517676 */     GIR_EraseRootFromParent_Done,
     /* 1517677 */   // Label 21114: @1517677
     /* 1517677 */   GIM_Try, /*On fail goto*//*Label 21115*/ GIMT_Encode4(1517759), // Rule ID 18042 //
     /* 1517682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1517699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1517702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517721 */     // MIs[0] round
     /* 1517721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517724 */     // MIs[0] policy
     /* 1517724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517734 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1517737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517758 */     // GIR_Coverage, 18042,
     /* 1517758 */     GIR_EraseRootFromParent_Done,
     /* 1517759 */   // Label 21115: @1517759
     /* 1517759 */   GIM_Try, /*On fail goto*//*Label 21116*/ GIMT_Encode4(1517841), // Rule ID 18043 //
     /* 1517764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1517775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1517778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1517781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1517784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1517803 */     // MIs[0] round
     /* 1517803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517806 */     // MIs[0] policy
     /* 1517806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64),
     /* 1517819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517840 */     // GIR_Coverage, 18043,
     /* 1517840 */     GIR_EraseRootFromParent_Done,
     /* 1517841 */   // Label 21116: @1517841
     /* 1517841 */   GIM_Try, /*On fail goto*//*Label 21117*/ GIMT_Encode4(1517923), // Rule ID 18046 //
     /* 1517846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1517849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1517863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1517866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1517869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517885 */     // MIs[0] round
     /* 1517885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517888 */     // MIs[0] policy
     /* 1517888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517898 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1517898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1517901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1517919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1517921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1517922 */     // GIR_Coverage, 18046,
     /* 1517922 */     GIR_EraseRootFromParent_Done,
     /* 1517923 */   // Label 21117: @1517923
     /* 1517923 */   GIM_Try, /*On fail goto*//*Label 21118*/ GIMT_Encode4(1518005), // Rule ID 18047 //
     /* 1517928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1517931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1517936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1517939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1517942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1517945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1517948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1517951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1517967 */     // MIs[0] round
     /* 1517967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1517970 */     // MIs[0] policy
     /* 1517970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1517973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1517980 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1517980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64),
     /* 1517983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1517985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1517987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1517989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1517991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1517993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1517998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518004 */     // GIR_Coverage, 18047,
     /* 1518004 */     GIR_EraseRootFromParent_Done,
     /* 1518005 */   // Label 21118: @1518005
     /* 1518005 */   GIM_Try, /*On fail goto*//*Label 21119*/ GIMT_Encode4(1518087), // Rule ID 18050 //
     /* 1518010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518049 */     // MIs[0] round
     /* 1518049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518052 */     // MIs[0] policy
     /* 1518052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518062 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1518065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518086 */     // GIR_Coverage, 18050,
     /* 1518086 */     GIR_EraseRootFromParent_Done,
     /* 1518087 */   // Label 21119: @1518087
     /* 1518087 */   GIM_Try, /*On fail goto*//*Label 21120*/ GIMT_Encode4(1518169), // Rule ID 18051 //
     /* 1518092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1518103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1518106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1518112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518131 */     // MIs[0] round
     /* 1518131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518134 */     // MIs[0] policy
     /* 1518134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518144 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16),
     /* 1518147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518168 */     // GIR_Coverage, 18051,
     /* 1518168 */     GIR_EraseRootFromParent_Done,
     /* 1518169 */   // Label 21120: @1518169
     /* 1518169 */   GIM_Try, /*On fail goto*//*Label 21121*/ GIMT_Encode4(1518251), // Rule ID 18054 //
     /* 1518174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518213 */     // MIs[0] round
     /* 1518213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518216 */     // MIs[0] policy
     /* 1518216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518226 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1518229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518250 */     // GIR_Coverage, 18054,
     /* 1518250 */     GIR_EraseRootFromParent_Done,
     /* 1518251 */   // Label 21121: @1518251
     /* 1518251 */   GIM_Try, /*On fail goto*//*Label 21122*/ GIMT_Encode4(1518333), // Rule ID 18055 //
     /* 1518256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1518267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1518270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1518276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518295 */     // MIs[0] round
     /* 1518295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518298 */     // MIs[0] policy
     /* 1518298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518308 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16),
     /* 1518311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518332 */     // GIR_Coverage, 18055,
     /* 1518332 */     GIR_EraseRootFromParent_Done,
     /* 1518333 */   // Label 21122: @1518333
     /* 1518333 */   GIM_Try, /*On fail goto*//*Label 21123*/ GIMT_Encode4(1518415), // Rule ID 18058 //
     /* 1518338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518377 */     // MIs[0] round
     /* 1518377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518380 */     // MIs[0] policy
     /* 1518380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518390 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1518393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518414 */     // GIR_Coverage, 18058,
     /* 1518414 */     GIR_EraseRootFromParent_Done,
     /* 1518415 */   // Label 21123: @1518415
     /* 1518415 */   GIM_Try, /*On fail goto*//*Label 21124*/ GIMT_Encode4(1518497), // Rule ID 18059 //
     /* 1518420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1518431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1518434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1518440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518459 */     // MIs[0] round
     /* 1518459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518462 */     // MIs[0] policy
     /* 1518462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518472 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32),
     /* 1518475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518496 */     // GIR_Coverage, 18059,
     /* 1518496 */     GIR_EraseRootFromParent_Done,
     /* 1518497 */   // Label 21124: @1518497
     /* 1518497 */   GIM_Try, /*On fail goto*//*Label 21125*/ GIMT_Encode4(1518579), // Rule ID 18062 //
     /* 1518502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518541 */     // MIs[0] round
     /* 1518541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518544 */     // MIs[0] policy
     /* 1518544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518554 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1518557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518578 */     // GIR_Coverage, 18062,
     /* 1518578 */     GIR_EraseRootFromParent_Done,
     /* 1518579 */   // Label 21125: @1518579
     /* 1518579 */   GIM_Try, /*On fail goto*//*Label 21126*/ GIMT_Encode4(1518661), // Rule ID 18063 //
     /* 1518584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1518587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1518595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1518598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1518601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1518604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1518619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518623 */     // MIs[0] round
     /* 1518623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518626 */     // MIs[0] policy
     /* 1518626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518636 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11214:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16),
     /* 1518639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1518657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518660 */     // GIR_Coverage, 18063,
     /* 1518660 */     GIR_EraseRootFromParent_Done,
     /* 1518661 */   // Label 21126: @1518661
     /* 1518661 */   GIM_Try, /*On fail goto*//*Label 21127*/ GIMT_Encode4(1518743), // Rule ID 18066 //
     /* 1518666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1518669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518705 */     // MIs[0] round
     /* 1518705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518708 */     // MIs[0] policy
     /* 1518708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518718 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1518721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518742 */     // GIR_Coverage, 18066,
     /* 1518742 */     GIR_EraseRootFromParent_Done,
     /* 1518743 */   // Label 21127: @1518743
     /* 1518743 */   GIM_Try, /*On fail goto*//*Label 21128*/ GIMT_Encode4(1518825), // Rule ID 18067 //
     /* 1518748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1518751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1518759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1518762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1518765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1518768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1518783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518787 */     // MIs[0] round
     /* 1518787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518790 */     // MIs[0] policy
     /* 1518790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518800 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11214:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32),
     /* 1518803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1518821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518824 */     // GIR_Coverage, 18067,
     /* 1518824 */     GIR_EraseRootFromParent_Done,
     /* 1518825 */   // Label 21128: @1518825
     /* 1518825 */   GIM_Try, /*On fail goto*//*Label 21129*/ GIMT_Encode4(1518907), // Rule ID 18070 //
     /* 1518830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1518833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1518841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1518844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1518850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1518853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518869 */     // MIs[0] round
     /* 1518869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518872 */     // MIs[0] policy
     /* 1518872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518882 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1518882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1518885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518906 */     // GIR_Coverage, 18070,
     /* 1518906 */     GIR_EraseRootFromParent_Done,
     /* 1518907 */   // Label 21129: @1518907
     /* 1518907 */   GIM_Try, /*On fail goto*//*Label 21130*/ GIMT_Encode4(1518989), // Rule ID 18071 //
     /* 1518912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1518915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1518920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1518923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1518926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1518929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1518932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1518935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1518947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1518951 */     // MIs[0] round
     /* 1518951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1518954 */     // MIs[0] policy
     /* 1518954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1518957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1518964 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11214:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1518964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64),
     /* 1518967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1518969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1518971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1518973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1518975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1518977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1518982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1518985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1518987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1518988 */     // GIR_Coverage, 18071,
     /* 1518988 */     GIR_EraseRootFromParent_Done,
     /* 1518989 */   // Label 21130: @1518989
     /* 1518989 */   GIM_Try, /*On fail goto*//*Label 21131*/ GIMT_Encode4(1519071), // Rule ID 18074 //
     /* 1518994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1518997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519033 */     // MIs[0] round
     /* 1519033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519036 */     // MIs[0] policy
     /* 1519036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519046 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1519049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519070 */     // GIR_Coverage, 18074,
     /* 1519070 */     GIR_EraseRootFromParent_Done,
     /* 1519071 */   // Label 21131: @1519071
     /* 1519071 */   GIM_Try, /*On fail goto*//*Label 21132*/ GIMT_Encode4(1519153), // Rule ID 18075 //
     /* 1519076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1519087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1519090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1519096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519115 */     // MIs[0] round
     /* 1519115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519118 */     // MIs[0] policy
     /* 1519118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519128 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16),
     /* 1519131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519152 */     // GIR_Coverage, 18075,
     /* 1519152 */     GIR_EraseRootFromParent_Done,
     /* 1519153 */   // Label 21132: @1519153
     /* 1519153 */   GIM_Try, /*On fail goto*//*Label 21133*/ GIMT_Encode4(1519235), // Rule ID 18078 //
     /* 1519158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519197 */     // MIs[0] round
     /* 1519197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519200 */     // MIs[0] policy
     /* 1519200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519210 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1519213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519234 */     // GIR_Coverage, 18078,
     /* 1519234 */     GIR_EraseRootFromParent_Done,
     /* 1519235 */   // Label 21133: @1519235
     /* 1519235 */   GIM_Try, /*On fail goto*//*Label 21134*/ GIMT_Encode4(1519317), // Rule ID 18079 //
     /* 1519240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1519251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1519254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1519260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519279 */     // MIs[0] round
     /* 1519279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519282 */     // MIs[0] policy
     /* 1519282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519292 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16),
     /* 1519295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519316 */     // GIR_Coverage, 18079,
     /* 1519316 */     GIR_EraseRootFromParent_Done,
     /* 1519317 */   // Label 21134: @1519317
     /* 1519317 */   GIM_Try, /*On fail goto*//*Label 21135*/ GIMT_Encode4(1519399), // Rule ID 18082 //
     /* 1519322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1519325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519361 */     // MIs[0] round
     /* 1519361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519364 */     // MIs[0] policy
     /* 1519364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519374 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1519377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519398 */     // GIR_Coverage, 18082,
     /* 1519398 */     GIR_EraseRootFromParent_Done,
     /* 1519399 */   // Label 21135: @1519399
     /* 1519399 */   GIM_Try, /*On fail goto*//*Label 21136*/ GIMT_Encode4(1519481), // Rule ID 18083 //
     /* 1519404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1519407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1519415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1519418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1519421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1519424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1519439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519443 */     // MIs[0] round
     /* 1519443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519446 */     // MIs[0] policy
     /* 1519446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519456 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16),
     /* 1519459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1519477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519480 */     // GIR_Coverage, 18083,
     /* 1519480 */     GIR_EraseRootFromParent_Done,
     /* 1519481 */   // Label 21136: @1519481
     /* 1519481 */   GIM_Try, /*On fail goto*//*Label 21137*/ GIMT_Encode4(1519563), // Rule ID 18086 //
     /* 1519486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519525 */     // MIs[0] round
     /* 1519525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519528 */     // MIs[0] policy
     /* 1519528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519538 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1519541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519562 */     // GIR_Coverage, 18086,
     /* 1519562 */     GIR_EraseRootFromParent_Done,
     /* 1519563 */   // Label 21137: @1519563
     /* 1519563 */   GIM_Try, /*On fail goto*//*Label 21138*/ GIMT_Encode4(1519645), // Rule ID 18087 //
     /* 1519568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1519579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1519582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1519588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1519607 */     // MIs[0] round
     /* 1519607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519610 */     // MIs[0] policy
     /* 1519610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519620 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32),
     /* 1519623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519644 */     // GIR_Coverage, 18087,
     /* 1519644 */     GIR_EraseRootFromParent_Done,
     /* 1519645 */   // Label 21138: @1519645
     /* 1519645 */   GIM_Try, /*On fail goto*//*Label 21139*/ GIMT_Encode4(1519727), // Rule ID 18090 //
     /* 1519650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519689 */     // MIs[0] round
     /* 1519689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519692 */     // MIs[0] policy
     /* 1519692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519702 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1519705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519726 */     // GIR_Coverage, 18090,
     /* 1519726 */     GIR_EraseRootFromParent_Done,
     /* 1519727 */   // Label 21139: @1519727
     /* 1519727 */   GIM_Try, /*On fail goto*//*Label 21140*/ GIMT_Encode4(1519809), // Rule ID 18091 //
     /* 1519732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1519743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1519746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1519752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1519771 */     // MIs[0] round
     /* 1519771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519774 */     // MIs[0] policy
     /* 1519774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519784 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32),
     /* 1519787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519808 */     // GIR_Coverage, 18091,
     /* 1519808 */     GIR_EraseRootFromParent_Done,
     /* 1519809 */   // Label 21140: @1519809
     /* 1519809 */   GIM_Try, /*On fail goto*//*Label 21141*/ GIMT_Encode4(1519891), // Rule ID 18094 //
     /* 1519814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1519817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1519834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1519837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519853 */     // MIs[0] round
     /* 1519853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519856 */     // MIs[0] policy
     /* 1519856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519866 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1519866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1519869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519890 */     // GIR_Coverage, 18094,
     /* 1519890 */     GIR_EraseRootFromParent_Done,
     /* 1519891 */   // Label 21141: @1519891
     /* 1519891 */   GIM_Try, /*On fail goto*//*Label 21142*/ GIMT_Encode4(1519973), // Rule ID 18095 //
     /* 1519896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1519899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1519907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1519910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1519913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1519916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1519919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1519931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1519935 */     // MIs[0] round
     /* 1519935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1519938 */     // MIs[0] policy
     /* 1519938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1519941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1519948 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1519948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32),
     /* 1519951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1519953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1519955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1519957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1519959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1519961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1519966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1519969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1519971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1519972 */     // GIR_Coverage, 18095,
     /* 1519972 */     GIR_EraseRootFromParent_Done,
     /* 1519973 */   // Label 21142: @1519973
     /* 1519973 */   GIM_Try, /*On fail goto*//*Label 21143*/ GIMT_Encode4(1520055), // Rule ID 18098 //
     /* 1519978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1519981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1519986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1519989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1519992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1519995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1519998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520017 */     // MIs[0] round
     /* 1520017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520020 */     // MIs[0] policy
     /* 1520020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520030 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1520033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520054 */     // GIR_Coverage, 18098,
     /* 1520054 */     GIR_EraseRootFromParent_Done,
     /* 1520055 */   // Label 21143: @1520055
     /* 1520055 */   GIM_Try, /*On fail goto*//*Label 21144*/ GIMT_Encode4(1520137), // Rule ID 18099 //
     /* 1520060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1520068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1520071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1520074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1520080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1520099 */     // MIs[0] round
     /* 1520099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520102 */     // MIs[0] policy
     /* 1520102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520112 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11214:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64),
     /* 1520115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520136 */     // GIR_Coverage, 18099,
     /* 1520136 */     GIR_EraseRootFromParent_Done,
     /* 1520137 */   // Label 21144: @1520137
     /* 1520137 */   GIM_Try, /*On fail goto*//*Label 21145*/ GIMT_Encode4(1520219), // Rule ID 18102 //
     /* 1520142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1520150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520181 */     // MIs[0] round
     /* 1520181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520184 */     // MIs[0] policy
     /* 1520184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1520197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520218 */     // GIR_Coverage, 18102,
     /* 1520218 */     GIR_EraseRootFromParent_Done,
     /* 1520219 */   // Label 21145: @1520219
     /* 1520219 */   GIM_Try, /*On fail goto*//*Label 21146*/ GIMT_Encode4(1520301), // Rule ID 18103 //
     /* 1520224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1520232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1520235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1520238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1520244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1520263 */     // MIs[0] round
     /* 1520263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520266 */     // MIs[0] policy
     /* 1520266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520276 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11214:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64),
     /* 1520279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520300 */     // GIR_Coverage, 18103,
     /* 1520300 */     GIR_EraseRootFromParent_Done,
     /* 1520301 */   // Label 21146: @1520301
     /* 1520301 */   GIM_Try, /*On fail goto*//*Label 21147*/ GIMT_Encode4(1520383), // Rule ID 18106 //
     /* 1520306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1520309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1520314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520345 */     // MIs[0] round
     /* 1520345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520348 */     // MIs[0] policy
     /* 1520348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520358 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1520361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520382 */     // GIR_Coverage, 18106,
     /* 1520382 */     GIR_EraseRootFromParent_Done,
     /* 1520383 */   // Label 21147: @1520383
     /* 1520383 */   GIM_Try, /*On fail goto*//*Label 21148*/ GIMT_Encode4(1520465), // Rule ID 18107 //
     /* 1520388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1520391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac),
     /* 1520396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1520399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1520402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1520405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1520408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1520423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1520427 */     // MIs[0] round
     /* 1520427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520430 */     // MIs[0] policy
     /* 1520430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520440 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11214:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64),
     /* 1520443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1520461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520464 */     // GIR_Coverage, 18107,
     /* 1520464 */     GIR_EraseRootFromParent_Done,
     /* 1520465 */   // Label 21148: @1520465
     /* 1520465 */   GIM_Try, /*On fail goto*//*Label 21149*/ GIMT_Encode4(1520547), // Rule ID 18110 //
     /* 1520470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1520487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520509 */     // MIs[0] round
     /* 1520509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520512 */     // MIs[0] policy
     /* 1520512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520522 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1520525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520546 */     // GIR_Coverage, 18110,
     /* 1520546 */     GIR_EraseRootFromParent_Done,
     /* 1520547 */   // Label 21149: @1520547
     /* 1520547 */   GIM_Try, /*On fail goto*//*Label 21150*/ GIMT_Encode4(1520629), // Rule ID 18111 //
     /* 1520552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1520563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1520566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1520569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1520572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520591 */     // MIs[0] round
     /* 1520591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520594 */     // MIs[0] policy
     /* 1520594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520604 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16),
     /* 1520607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520628 */     // GIR_Coverage, 18111,
     /* 1520628 */     GIR_EraseRootFromParent_Done,
     /* 1520629 */   // Label 21150: @1520629
     /* 1520629 */   GIM_Try, /*On fail goto*//*Label 21151*/ GIMT_Encode4(1520711), // Rule ID 18114 //
     /* 1520634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1520651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520673 */     // MIs[0] round
     /* 1520673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520676 */     // MIs[0] policy
     /* 1520676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520686 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1520689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520710 */     // GIR_Coverage, 18114,
     /* 1520710 */     GIR_EraseRootFromParent_Done,
     /* 1520711 */   // Label 21151: @1520711
     /* 1520711 */   GIM_Try, /*On fail goto*//*Label 21152*/ GIMT_Encode4(1520793), // Rule ID 18115 //
     /* 1520716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1520719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1520727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1520730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1520733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1520736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520755 */     // MIs[0] round
     /* 1520755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520758 */     // MIs[0] policy
     /* 1520758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520768 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16),
     /* 1520771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1520789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520792 */     // GIR_Coverage, 18115,
     /* 1520792 */     GIR_EraseRootFromParent_Done,
     /* 1520793 */   // Label 21152: @1520793
     /* 1520793 */   GIM_Try, /*On fail goto*//*Label 21153*/ GIMT_Encode4(1520875), // Rule ID 18118 //
     /* 1520798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1520801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1520809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1520812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1520815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1520818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520837 */     // MIs[0] round
     /* 1520837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520840 */     // MIs[0] policy
     /* 1520840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520850 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1520850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1520853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520874 */     // GIR_Coverage, 18118,
     /* 1520874 */     GIR_EraseRootFromParent_Done,
     /* 1520875 */   // Label 21153: @1520875
     /* 1520875 */   GIM_Try, /*On fail goto*//*Label 21154*/ GIMT_Encode4(1520957), // Rule ID 18119 //
     /* 1520880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1520883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1520891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1520894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1520897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1520900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1520903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520919 */     // MIs[0] round
     /* 1520919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1520922 */     // MIs[0] policy
     /* 1520922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1520925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1520932 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1520932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32),
     /* 1520935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1520937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1520939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1520941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1520943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1520945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1520950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1520953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1520955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1520956 */     // GIR_Coverage, 18119,
     /* 1520956 */     GIR_EraseRootFromParent_Done,
     /* 1520957 */   // Label 21154: @1520957
     /* 1520957 */   GIM_Try, /*On fail goto*//*Label 21155*/ GIMT_Encode4(1521039), // Rule ID 18122 //
     /* 1520962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1520965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1520970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1520973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1520976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1520979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1520982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1520985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1520997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521001 */     // MIs[0] round
     /* 1521001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521004 */     // MIs[0] policy
     /* 1521004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521014 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1521017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521038 */     // GIR_Coverage, 18122,
     /* 1521038 */     GIR_EraseRootFromParent_Done,
     /* 1521039 */   // Label 21155: @1521039
     /* 1521039 */   GIM_Try, /*On fail goto*//*Label 21156*/ GIMT_Encode4(1521121), // Rule ID 18123 //
     /* 1521044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1521055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1521058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1521061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1521064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521083 */     // MIs[0] round
     /* 1521083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521086 */     // MIs[0] policy
     /* 1521086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16),
     /* 1521099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521120 */     // GIR_Coverage, 18123,
     /* 1521120 */     GIR_EraseRootFromParent_Done,
     /* 1521121 */   // Label 21156: @1521121
     /* 1521121 */   GIM_Try, /*On fail goto*//*Label 21157*/ GIMT_Encode4(1521203), // Rule ID 18126 //
     /* 1521126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1521143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521165 */     // MIs[0] round
     /* 1521165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521168 */     // MIs[0] policy
     /* 1521168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521178 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1521181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521202 */     // GIR_Coverage, 18126,
     /* 1521202 */     GIR_EraseRootFromParent_Done,
     /* 1521203 */   // Label 21157: @1521203
     /* 1521203 */   GIM_Try, /*On fail goto*//*Label 21158*/ GIMT_Encode4(1521285), // Rule ID 18127 //
     /* 1521208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1521211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1521219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1521222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1521225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1521228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521247 */     // MIs[0] round
     /* 1521247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521250 */     // MIs[0] policy
     /* 1521250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521260 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32),
     /* 1521263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1521281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521284 */     // GIR_Coverage, 18127,
     /* 1521284 */     GIR_EraseRootFromParent_Done,
     /* 1521285 */   // Label 21158: @1521285
     /* 1521285 */   GIM_Try, /*On fail goto*//*Label 21159*/ GIMT_Encode4(1521367), // Rule ID 18130 //
     /* 1521290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1521293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1521307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521329 */     // MIs[0] round
     /* 1521329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521332 */     // MIs[0] policy
     /* 1521332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521342 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1521345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521366 */     // GIR_Coverage, 18130,
     /* 1521366 */     GIR_EraseRootFromParent_Done,
     /* 1521367 */   // Label 21159: @1521367
     /* 1521367 */   GIM_Try, /*On fail goto*//*Label 21160*/ GIMT_Encode4(1521449), // Rule ID 18131 //
     /* 1521372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1521375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1521383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1521386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1521389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1521392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1521411 */     // MIs[0] round
     /* 1521411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521414 */     // MIs[0] policy
     /* 1521414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521424 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64),
     /* 1521427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1521445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521448 */     // GIR_Coverage, 18131,
     /* 1521448 */     GIR_EraseRootFromParent_Done,
     /* 1521449 */   // Label 21160: @1521449
     /* 1521449 */   GIM_Try, /*On fail goto*//*Label 21161*/ GIMT_Encode4(1521531), // Rule ID 18134 //
     /* 1521454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1521465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1521468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1521471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1521474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521493 */     // MIs[0] round
     /* 1521493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521496 */     // MIs[0] policy
     /* 1521496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521506 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1521509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521530 */     // GIR_Coverage, 18134,
     /* 1521530 */     GIR_EraseRootFromParent_Done,
     /* 1521531 */   // Label 21161: @1521531
     /* 1521531 */   GIM_Try, /*On fail goto*//*Label 21162*/ GIMT_Encode4(1521613), // Rule ID 18135 //
     /* 1521536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1521547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1521550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1521553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1521556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521575 */     // MIs[0] round
     /* 1521575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521578 */     // MIs[0] policy
     /* 1521578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521588 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16),
     /* 1521591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521612 */     // GIR_Coverage, 18135,
     /* 1521612 */     GIR_EraseRootFromParent_Done,
     /* 1521613 */   // Label 21162: @1521613
     /* 1521613 */   GIM_Try, /*On fail goto*//*Label 21163*/ GIMT_Encode4(1521695), // Rule ID 18138 //
     /* 1521618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1521635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1521638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521657 */     // MIs[0] round
     /* 1521657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521660 */     // MIs[0] policy
     /* 1521660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521670 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1521673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521694 */     // GIR_Coverage, 18138,
     /* 1521694 */     GIR_EraseRootFromParent_Done,
     /* 1521695 */   // Label 21163: @1521695
     /* 1521695 */   GIM_Try, /*On fail goto*//*Label 21164*/ GIMT_Encode4(1521777), // Rule ID 18139 //
     /* 1521700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1521711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1521714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1521717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1521720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1521739 */     // MIs[0] round
     /* 1521739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521742 */     // MIs[0] policy
     /* 1521742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521752 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16),
     /* 1521755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521776 */     // GIR_Coverage, 18139,
     /* 1521776 */     GIR_EraseRootFromParent_Done,
     /* 1521777 */   // Label 21164: @1521777
     /* 1521777 */   GIM_Try, /*On fail goto*//*Label 21165*/ GIMT_Encode4(1521859), // Rule ID 18142 //
     /* 1521782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1521785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1521793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1521796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1521799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1521802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521821 */     // MIs[0] round
     /* 1521821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521824 */     // MIs[0] policy
     /* 1521824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521834 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1521837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521858 */     // GIR_Coverage, 18142,
     /* 1521858 */     GIR_EraseRootFromParent_Done,
     /* 1521859 */   // Label 21165: @1521859
     /* 1521859 */   GIM_Try, /*On fail goto*//*Label 21166*/ GIMT_Encode4(1521941), // Rule ID 18143 //
     /* 1521864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1521867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1521875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1521878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1521881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1521884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1521887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1521903 */     // MIs[0] round
     /* 1521903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521906 */     // MIs[0] policy
     /* 1521906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521916 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1521916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16),
     /* 1521919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1521921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1521923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1521925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1521927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1521929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1521934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1521937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1521939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1521940 */     // GIR_Coverage, 18143,
     /* 1521940 */     GIR_EraseRootFromParent_Done,
     /* 1521941 */   // Label 21166: @1521941
     /* 1521941 */   GIM_Try, /*On fail goto*//*Label 21167*/ GIMT_Encode4(1522023), // Rule ID 18146 //
     /* 1521946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1521949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1521954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1521957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1521960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1521963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1521966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1521969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1521985 */     // MIs[0] round
     /* 1521985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1521988 */     // MIs[0] policy
     /* 1521988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1521991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1521998 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1521998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1522001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522022 */     // GIR_Coverage, 18146,
     /* 1522022 */     GIR_EraseRootFromParent_Done,
     /* 1522023 */   // Label 21167: @1522023
     /* 1522023 */   GIM_Try, /*On fail goto*//*Label 21168*/ GIMT_Encode4(1522105), // Rule ID 18147 //
     /* 1522028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1522039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1522042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1522045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1522048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522067 */     // MIs[0] round
     /* 1522067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522070 */     // MIs[0] policy
     /* 1522070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522080 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32),
     /* 1522083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522104 */     // GIR_Coverage, 18147,
     /* 1522104 */     GIR_EraseRootFromParent_Done,
     /* 1522105 */   // Label 21168: @1522105
     /* 1522105 */   GIM_Try, /*On fail goto*//*Label 21169*/ GIMT_Encode4(1522187), // Rule ID 18150 //
     /* 1522110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522149 */     // MIs[0] round
     /* 1522149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522152 */     // MIs[0] policy
     /* 1522152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522162 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1522165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522186 */     // GIR_Coverage, 18150,
     /* 1522186 */     GIR_EraseRootFromParent_Done,
     /* 1522187 */   // Label 21169: @1522187
     /* 1522187 */   GIM_Try, /*On fail goto*//*Label 21170*/ GIMT_Encode4(1522269), // Rule ID 18151 //
     /* 1522192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1522203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1522206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1522209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1522212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522231 */     // MIs[0] round
     /* 1522231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522234 */     // MIs[0] policy
     /* 1522234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522244 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32),
     /* 1522247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522268 */     // GIR_Coverage, 18151,
     /* 1522268 */     GIR_EraseRootFromParent_Done,
     /* 1522269 */   // Label 21170: @1522269
     /* 1522269 */   GIM_Try, /*On fail goto*//*Label 21171*/ GIMT_Encode4(1522351), // Rule ID 18154 //
     /* 1522274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1522277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1522291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522313 */     // MIs[0] round
     /* 1522313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522316 */     // MIs[0] policy
     /* 1522316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522326 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1522329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522350 */     // GIR_Coverage, 18154,
     /* 1522350 */     GIR_EraseRootFromParent_Done,
     /* 1522351 */   // Label 21171: @1522351
     /* 1522351 */   GIM_Try, /*On fail goto*//*Label 21172*/ GIMT_Encode4(1522433), // Rule ID 18155 //
     /* 1522356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1522359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1522367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1522370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1522373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1522376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522395 */     // MIs[0] round
     /* 1522395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522398 */     // MIs[0] policy
     /* 1522398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522408 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32),
     /* 1522411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1522429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522432 */     // GIR_Coverage, 18155,
     /* 1522432 */     GIR_EraseRootFromParent_Done,
     /* 1522433 */   // Label 21172: @1522433
     /* 1522433 */   GIM_Try, /*On fail goto*//*Label 21173*/ GIMT_Encode4(1522515), // Rule ID 18158 //
     /* 1522438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1522455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1522458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522477 */     // MIs[0] round
     /* 1522477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522480 */     // MIs[0] policy
     /* 1522480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522490 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1522493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522514 */     // GIR_Coverage, 18158,
     /* 1522514 */     GIR_EraseRootFromParent_Done,
     /* 1522515 */   // Label 21173: @1522515
     /* 1522515 */   GIM_Try, /*On fail goto*//*Label 21174*/ GIMT_Encode4(1522597), // Rule ID 18159 //
     /* 1522520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1522531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1522534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1522537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1522540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1522559 */     // MIs[0] round
     /* 1522559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522562 */     // MIs[0] policy
     /* 1522562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522572 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64),
     /* 1522575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522596 */     // GIR_Coverage, 18159,
     /* 1522596 */     GIR_EraseRootFromParent_Done,
     /* 1522597 */   // Label 21174: @1522597
     /* 1522597 */   GIM_Try, /*On fail goto*//*Label 21175*/ GIMT_Encode4(1522679), // Rule ID 18162 //
     /* 1522602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1522619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1522622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522641 */     // MIs[0] round
     /* 1522641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522644 */     // MIs[0] policy
     /* 1522644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522654 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1522657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522678 */     // GIR_Coverage, 18162,
     /* 1522678 */     GIR_EraseRootFromParent_Done,
     /* 1522679 */   // Label 21175: @1522679
     /* 1522679 */   GIM_Try, /*On fail goto*//*Label 21176*/ GIMT_Encode4(1522761), // Rule ID 18163 //
     /* 1522684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1522695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1522698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1522701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1522704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1522723 */     // MIs[0] round
     /* 1522723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522726 */     // MIs[0] policy
     /* 1522726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522736 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64),
     /* 1522739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522760 */     // GIR_Coverage, 18163,
     /* 1522760 */     GIR_EraseRootFromParent_Done,
     /* 1522761 */   // Label 21176: @1522761
     /* 1522761 */   GIM_Try, /*On fail goto*//*Label 21177*/ GIMT_Encode4(1522843), // Rule ID 18166 //
     /* 1522766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1522769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1522783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1522786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522805 */     // MIs[0] round
     /* 1522805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522808 */     // MIs[0] policy
     /* 1522808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1522821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522842 */     // GIR_Coverage, 18166,
     /* 1522842 */     GIR_EraseRootFromParent_Done,
     /* 1522843 */   // Label 21177: @1522843
     /* 1522843 */   GIM_Try, /*On fail goto*//*Label 21178*/ GIMT_Encode4(1522925), // Rule ID 18167 //
     /* 1522848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1522851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1522859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1522862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1522865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1522868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1522871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1522887 */     // MIs[0] round
     /* 1522887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522890 */     // MIs[0] policy
     /* 1522890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522900 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1522900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64),
     /* 1522903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1522918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1522921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1522923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1522924 */     // GIR_Coverage, 18167,
     /* 1522924 */     GIR_EraseRootFromParent_Done,
     /* 1522925 */   // Label 21178: @1522925
     /* 1522925 */   GIM_Try, /*On fail goto*//*Label 21179*/ GIMT_Encode4(1523007), // Rule ID 18170 //
     /* 1522930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1522933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1522938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1522941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1522944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1522947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1522950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1522953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1522965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1522969 */     // MIs[0] round
     /* 1522969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1522972 */     // MIs[0] policy
     /* 1522972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1522975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1522982 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1522982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1522985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1522987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1522989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1522991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1522993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1522995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523006 */     // GIR_Coverage, 18170,
     /* 1523006 */     GIR_EraseRootFromParent_Done,
     /* 1523007 */   // Label 21179: @1523007
     /* 1523007 */   GIM_Try, /*On fail goto*//*Label 21180*/ GIMT_Encode4(1523089), // Rule ID 18171 //
     /* 1523012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1523023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1523026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1523032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523051 */     // MIs[0] round
     /* 1523051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523054 */     // MIs[0] policy
     /* 1523054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523064 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16),
     /* 1523067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523088 */     // GIR_Coverage, 18171,
     /* 1523088 */     GIR_EraseRootFromParent_Done,
     /* 1523089 */   // Label 21180: @1523089
     /* 1523089 */   GIM_Try, /*On fail goto*//*Label 21181*/ GIMT_Encode4(1523171), // Rule ID 18174 //
     /* 1523094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523133 */     // MIs[0] round
     /* 1523133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523136 */     // MIs[0] policy
     /* 1523136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523146 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1523149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523170 */     // GIR_Coverage, 18174,
     /* 1523170 */     GIR_EraseRootFromParent_Done,
     /* 1523171 */   // Label 21181: @1523171
     /* 1523171 */   GIM_Try, /*On fail goto*//*Label 21182*/ GIMT_Encode4(1523253), // Rule ID 18175 //
     /* 1523176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1523187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1523190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1523196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523215 */     // MIs[0] round
     /* 1523215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523218 */     // MIs[0] policy
     /* 1523218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523228 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16),
     /* 1523231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523252 */     // GIR_Coverage, 18175,
     /* 1523252 */     GIR_EraseRootFromParent_Done,
     /* 1523253 */   // Label 21182: @1523253
     /* 1523253 */   GIM_Try, /*On fail goto*//*Label 21183*/ GIMT_Encode4(1523335), // Rule ID 18178 //
     /* 1523258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523297 */     // MIs[0] round
     /* 1523297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523300 */     // MIs[0] policy
     /* 1523300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523310 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1523313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523334 */     // GIR_Coverage, 18178,
     /* 1523334 */     GIR_EraseRootFromParent_Done,
     /* 1523335 */   // Label 21183: @1523335
     /* 1523335 */   GIM_Try, /*On fail goto*//*Label 21184*/ GIMT_Encode4(1523417), // Rule ID 18179 //
     /* 1523340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1523351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1523354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1523360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523379 */     // MIs[0] round
     /* 1523379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523382 */     // MIs[0] policy
     /* 1523382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523392 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32),
     /* 1523395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523416 */     // GIR_Coverage, 18179,
     /* 1523416 */     GIR_EraseRootFromParent_Done,
     /* 1523417 */   // Label 21184: @1523417
     /* 1523417 */   GIM_Try, /*On fail goto*//*Label 21185*/ GIMT_Encode4(1523499), // Rule ID 18182 //
     /* 1523422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523461 */     // MIs[0] round
     /* 1523461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523464 */     // MIs[0] policy
     /* 1523464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523474 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1523477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523498 */     // GIR_Coverage, 18182,
     /* 1523498 */     GIR_EraseRootFromParent_Done,
     /* 1523499 */   // Label 21185: @1523499
     /* 1523499 */   GIM_Try, /*On fail goto*//*Label 21186*/ GIMT_Encode4(1523581), // Rule ID 18183 //
     /* 1523504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1523515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1523518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1523524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523543 */     // MIs[0] round
     /* 1523543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523546 */     // MIs[0] policy
     /* 1523546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523556 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11245:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16),
     /* 1523559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523580 */     // GIR_Coverage, 18183,
     /* 1523580 */     GIR_EraseRootFromParent_Done,
     /* 1523581 */   // Label 21186: @1523581
     /* 1523581 */   GIM_Try, /*On fail goto*//*Label 21187*/ GIMT_Encode4(1523663), // Rule ID 18186 //
     /* 1523586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1523589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1523606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523625 */     // MIs[0] round
     /* 1523625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523628 */     // MIs[0] policy
     /* 1523628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523638 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1523641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523662 */     // GIR_Coverage, 18186,
     /* 1523662 */     GIR_EraseRootFromParent_Done,
     /* 1523663 */   // Label 21187: @1523663
     /* 1523663 */   GIM_Try, /*On fail goto*//*Label 21188*/ GIMT_Encode4(1523745), // Rule ID 18187 //
     /* 1523668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1523671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1523679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1523682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1523685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1523688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1523703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523707 */     // MIs[0] round
     /* 1523707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523710 */     // MIs[0] policy
     /* 1523710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523720 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11245:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32),
     /* 1523723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1523741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523744 */     // GIR_Coverage, 18187,
     /* 1523744 */     GIR_EraseRootFromParent_Done,
     /* 1523745 */   // Label 21188: @1523745
     /* 1523745 */   GIM_Try, /*On fail goto*//*Label 21189*/ GIMT_Encode4(1523827), // Rule ID 18190 //
     /* 1523750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1523753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1523761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1523764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1523770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523789 */     // MIs[0] round
     /* 1523789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523792 */     // MIs[0] policy
     /* 1523792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523802 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1523805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523826 */     // GIR_Coverage, 18190,
     /* 1523826 */     GIR_EraseRootFromParent_Done,
     /* 1523827 */   // Label 21189: @1523827
     /* 1523827 */   GIM_Try, /*On fail goto*//*Label 21190*/ GIMT_Encode4(1523909), // Rule ID 18191 //
     /* 1523832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1523835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1523843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1523846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1523849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1523852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1523855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1523867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1523871 */     // MIs[0] round
     /* 1523871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523874 */     // MIs[0] policy
     /* 1523874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523884 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11245:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1523884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64),
     /* 1523887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1523905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523908 */     // GIR_Coverage, 18191,
     /* 1523908 */     GIR_EraseRootFromParent_Done,
     /* 1523909 */   // Label 21190: @1523909
     /* 1523909 */   GIM_Try, /*On fail goto*//*Label 21191*/ GIMT_Encode4(1523991), // Rule ID 18194 //
     /* 1523914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1523917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1523922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1523925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1523928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1523931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1523934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1523937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1523949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1523953 */     // MIs[0] round
     /* 1523953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1523956 */     // MIs[0] policy
     /* 1523956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1523959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1523966 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1523966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1523969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1523971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1523973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1523975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1523977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1523979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1523984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1523987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1523989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1523990 */     // GIR_Coverage, 18194,
     /* 1523990 */     GIR_EraseRootFromParent_Done,
     /* 1523991 */   // Label 21191: @1523991
     /* 1523991 */   GIM_Try, /*On fail goto*//*Label 21192*/ GIMT_Encode4(1524073), // Rule ID 18195 //
     /* 1523996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1523999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1524007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1524010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1524016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524035 */     // MIs[0] round
     /* 1524035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524038 */     // MIs[0] policy
     /* 1524038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524048 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16),
     /* 1524051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524072 */     // GIR_Coverage, 18195,
     /* 1524072 */     GIR_EraseRootFromParent_Done,
     /* 1524073 */   // Label 21192: @1524073
     /* 1524073 */   GIM_Try, /*On fail goto*//*Label 21193*/ GIMT_Encode4(1524155), // Rule ID 18198 //
     /* 1524078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524117 */     // MIs[0] round
     /* 1524117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524120 */     // MIs[0] policy
     /* 1524120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524130 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1524133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524154 */     // GIR_Coverage, 18198,
     /* 1524154 */     GIR_EraseRootFromParent_Done,
     /* 1524155 */   // Label 21193: @1524155
     /* 1524155 */   GIM_Try, /*On fail goto*//*Label 21194*/ GIMT_Encode4(1524237), // Rule ID 18199 //
     /* 1524160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1524171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1524174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1524180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524199 */     // MIs[0] round
     /* 1524199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524202 */     // MIs[0] policy
     /* 1524202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524212 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16),
     /* 1524215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524236 */     // GIR_Coverage, 18199,
     /* 1524236 */     GIR_EraseRootFromParent_Done,
     /* 1524237 */   // Label 21194: @1524237
     /* 1524237 */   GIM_Try, /*On fail goto*//*Label 21195*/ GIMT_Encode4(1524319), // Rule ID 18202 //
     /* 1524242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1524245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524281 */     // MIs[0] round
     /* 1524281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524284 */     // MIs[0] policy
     /* 1524284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524294 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1524297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524318 */     // GIR_Coverage, 18202,
     /* 1524318 */     GIR_EraseRootFromParent_Done,
     /* 1524319 */   // Label 21195: @1524319
     /* 1524319 */   GIM_Try, /*On fail goto*//*Label 21196*/ GIMT_Encode4(1524401), // Rule ID 18203 //
     /* 1524324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1524327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1524335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1524338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1524341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1524344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1524359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524363 */     // MIs[0] round
     /* 1524363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524366 */     // MIs[0] policy
     /* 1524366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524376 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16),
     /* 1524379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1524397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524400 */     // GIR_Coverage, 18203,
     /* 1524400 */     GIR_EraseRootFromParent_Done,
     /* 1524401 */   // Label 21196: @1524401
     /* 1524401 */   GIM_Try, /*On fail goto*//*Label 21197*/ GIMT_Encode4(1524483), // Rule ID 18206 //
     /* 1524406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524445 */     // MIs[0] round
     /* 1524445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524448 */     // MIs[0] policy
     /* 1524448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524458 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1524461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524482 */     // GIR_Coverage, 18206,
     /* 1524482 */     GIR_EraseRootFromParent_Done,
     /* 1524483 */   // Label 21197: @1524483
     /* 1524483 */   GIM_Try, /*On fail goto*//*Label 21198*/ GIMT_Encode4(1524565), // Rule ID 18207 //
     /* 1524488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1524499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1524502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1524508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524527 */     // MIs[0] round
     /* 1524527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524530 */     // MIs[0] policy
     /* 1524530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524540 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32),
     /* 1524543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524564 */     // GIR_Coverage, 18207,
     /* 1524564 */     GIR_EraseRootFromParent_Done,
     /* 1524565 */   // Label 21198: @1524565
     /* 1524565 */   GIM_Try, /*On fail goto*//*Label 21199*/ GIMT_Encode4(1524647), // Rule ID 18210 //
     /* 1524570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524609 */     // MIs[0] round
     /* 1524609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524612 */     // MIs[0] policy
     /* 1524612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524622 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1524625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524646 */     // GIR_Coverage, 18210,
     /* 1524646 */     GIR_EraseRootFromParent_Done,
     /* 1524647 */   // Label 21199: @1524647
     /* 1524647 */   GIM_Try, /*On fail goto*//*Label 21200*/ GIMT_Encode4(1524729), // Rule ID 18211 //
     /* 1524652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1524663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1524666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1524672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1524691 */     // MIs[0] round
     /* 1524691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524694 */     // MIs[0] policy
     /* 1524694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524704 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32),
     /* 1524707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524728 */     // GIR_Coverage, 18211,
     /* 1524728 */     GIR_EraseRootFromParent_Done,
     /* 1524729 */   // Label 21200: @1524729
     /* 1524729 */   GIM_Try, /*On fail goto*//*Label 21201*/ GIMT_Encode4(1524811), // Rule ID 18214 //
     /* 1524734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1524737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1524745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1524748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1524754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524773 */     // MIs[0] round
     /* 1524773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524776 */     // MIs[0] policy
     /* 1524776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524786 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1524789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524810 */     // GIR_Coverage, 18214,
     /* 1524810 */     GIR_EraseRootFromParent_Done,
     /* 1524811 */   // Label 21201: @1524811
     /* 1524811 */   GIM_Try, /*On fail goto*//*Label 21202*/ GIMT_Encode4(1524893), // Rule ID 18215 //
     /* 1524816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1524819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1524827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1524830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1524833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1524836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1524839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1524851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1524855 */     // MIs[0] round
     /* 1524855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524858 */     // MIs[0] policy
     /* 1524858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524868 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1524868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32),
     /* 1524871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1524889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524892 */     // GIR_Coverage, 18215,
     /* 1524892 */     GIR_EraseRootFromParent_Done,
     /* 1524893 */   // Label 21202: @1524893
     /* 1524893 */   GIM_Try, /*On fail goto*//*Label 21203*/ GIMT_Encode4(1524975), // Rule ID 18218 //
     /* 1524898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1524901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1524909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1524912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1524918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1524921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1524933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1524937 */     // MIs[0] round
     /* 1524937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1524940 */     // MIs[0] policy
     /* 1524940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1524943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1524950 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1524950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1524953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1524955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1524957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1524959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1524961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1524963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1524968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1524971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1524973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1524974 */     // GIR_Coverage, 18218,
     /* 1524974 */     GIR_EraseRootFromParent_Done,
     /* 1524975 */   // Label 21203: @1524975
     /* 1524975 */   GIM_Try, /*On fail goto*//*Label 21204*/ GIMT_Encode4(1525057), // Rule ID 18219 //
     /* 1524980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1524983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1524988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1524991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1524994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1524997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1525000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1525019 */     // MIs[0] round
     /* 1525019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525022 */     // MIs[0] policy
     /* 1525022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525032 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11245:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64),
     /* 1525035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525056 */     // GIR_Coverage, 18219,
     /* 1525056 */     GIR_EraseRootFromParent_Done,
     /* 1525057 */   // Label 21204: @1525057
     /* 1525057 */   GIM_Try, /*On fail goto*//*Label 21205*/ GIMT_Encode4(1525139), // Rule ID 18222 //
     /* 1525062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1525070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525101 */     // MIs[0] round
     /* 1525101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525104 */     // MIs[0] policy
     /* 1525104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525114 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1525117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525138 */     // GIR_Coverage, 18222,
     /* 1525138 */     GIR_EraseRootFromParent_Done,
     /* 1525139 */   // Label 21205: @1525139
     /* 1525139 */   GIM_Try, /*On fail goto*//*Label 21206*/ GIMT_Encode4(1525221), // Rule ID 18223 //
     /* 1525144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1525152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1525155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1525158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1525164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1525183 */     // MIs[0] round
     /* 1525183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525186 */     // MIs[0] policy
     /* 1525186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525196 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11245:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64),
     /* 1525199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525220 */     // GIR_Coverage, 18223,
     /* 1525220 */     GIR_EraseRootFromParent_Done,
     /* 1525221 */   // Label 21206: @1525221
     /* 1525221 */   GIM_Try, /*On fail goto*//*Label 21207*/ GIMT_Encode4(1525303), // Rule ID 18226 //
     /* 1525226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1525229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1525234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525265 */     // MIs[0] round
     /* 1525265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525268 */     // MIs[0] policy
     /* 1525268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1525281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525302 */     // GIR_Coverage, 18226,
     /* 1525302 */     GIR_EraseRootFromParent_Done,
     /* 1525303 */   // Label 21207: @1525303
     /* 1525303 */   GIM_Try, /*On fail goto*//*Label 21208*/ GIMT_Encode4(1525385), // Rule ID 18227 //
     /* 1525308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1525311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac),
     /* 1525316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1525319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1525322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1525325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1525328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1525343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1525347 */     // MIs[0] round
     /* 1525347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525350 */     // MIs[0] policy
     /* 1525350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525360 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11245:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64),
     /* 1525363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1525381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525384 */     // GIR_Coverage, 18227,
     /* 1525384 */     GIR_EraseRootFromParent_Done,
     /* 1525385 */   // Label 21208: @1525385
     /* 1525385 */   GIM_Try, /*On fail goto*//*Label 21209*/ GIMT_Encode4(1525467), // Rule ID 18230 //
     /* 1525390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1525407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525429 */     // MIs[0] round
     /* 1525429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525432 */     // MIs[0] policy
     /* 1525432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525442 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1525445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525466 */     // GIR_Coverage, 18230,
     /* 1525466 */     GIR_EraseRootFromParent_Done,
     /* 1525467 */   // Label 21209: @1525467
     /* 1525467 */   GIM_Try, /*On fail goto*//*Label 21210*/ GIMT_Encode4(1525549), // Rule ID 18231 //
     /* 1525472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1525483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1525486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1525489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1525492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525511 */     // MIs[0] round
     /* 1525511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525514 */     // MIs[0] policy
     /* 1525514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525524 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 1525527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525548 */     // GIR_Coverage, 18231,
     /* 1525548 */     GIR_EraseRootFromParent_Done,
     /* 1525549 */   // Label 21210: @1525549
     /* 1525549 */   GIM_Try, /*On fail goto*//*Label 21211*/ GIMT_Encode4(1525631), // Rule ID 18234 //
     /* 1525554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1525571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1525574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525593 */     // MIs[0] round
     /* 1525593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525596 */     // MIs[0] policy
     /* 1525596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525606 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1525609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525630 */     // GIR_Coverage, 18234,
     /* 1525630 */     GIR_EraseRootFromParent_Done,
     /* 1525631 */   // Label 21211: @1525631
     /* 1525631 */   GIM_Try, /*On fail goto*//*Label 21212*/ GIMT_Encode4(1525713), // Rule ID 18235 //
     /* 1525636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1525647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1525650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1525653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1525656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525675 */     // MIs[0] round
     /* 1525675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525678 */     // MIs[0] policy
     /* 1525678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525688 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 1525691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525712 */     // GIR_Coverage, 18235,
     /* 1525712 */     GIR_EraseRootFromParent_Done,
     /* 1525713 */   // Label 21212: @1525713
     /* 1525713 */   GIM_Try, /*On fail goto*//*Label 21213*/ GIMT_Encode4(1525795), // Rule ID 18238 //
     /* 1525718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1525721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1525729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1525732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1525735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1525738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525757 */     // MIs[0] round
     /* 1525757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525760 */     // MIs[0] policy
     /* 1525760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1525773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525794 */     // GIR_Coverage, 18238,
     /* 1525794 */     GIR_EraseRootFromParent_Done,
     /* 1525795 */   // Label 21213: @1525795
     /* 1525795 */   GIM_Try, /*On fail goto*//*Label 21214*/ GIMT_Encode4(1525877), // Rule ID 18239 //
     /* 1525800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1525803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1525811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1525814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1525817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1525820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525839 */     // MIs[0] round
     /* 1525839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525842 */     // MIs[0] policy
     /* 1525842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525852 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1525852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 1525855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1525873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525876 */     // GIR_Coverage, 18239,
     /* 1525876 */     GIR_EraseRootFromParent_Done,
     /* 1525877 */   // Label 21214: @1525877
     /* 1525877 */   GIM_Try, /*On fail goto*//*Label 21215*/ GIMT_Encode4(1525959), // Rule ID 18242 //
     /* 1525882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1525885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1525893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1525896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1525899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1525902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1525905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525921 */     // MIs[0] round
     /* 1525921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1525924 */     // MIs[0] policy
     /* 1525924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1525927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1525934 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1525934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1525937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1525939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1525941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1525943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1525945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1525947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1525952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1525955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1525957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1525958 */     // GIR_Coverage, 18242,
     /* 1525958 */     GIR_EraseRootFromParent_Done,
     /* 1525959 */   // Label 21215: @1525959
     /* 1525959 */   GIM_Try, /*On fail goto*//*Label 21216*/ GIMT_Encode4(1526041), // Rule ID 18243 //
     /* 1525964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1525967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1525972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1525975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1525978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1525981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1525984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1525987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1525999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526003 */     // MIs[0] round
     /* 1526003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526006 */     // MIs[0] policy
     /* 1526006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526016 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 1526019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526040 */     // GIR_Coverage, 18243,
     /* 1526040 */     GIR_EraseRootFromParent_Done,
     /* 1526041 */   // Label 21216: @1526041
     /* 1526041 */   GIM_Try, /*On fail goto*//*Label 21217*/ GIMT_Encode4(1526123), // Rule ID 18246 //
     /* 1526046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1526063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526085 */     // MIs[0] round
     /* 1526085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526088 */     // MIs[0] policy
     /* 1526088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1526101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526122 */     // GIR_Coverage, 18246,
     /* 1526122 */     GIR_EraseRootFromParent_Done,
     /* 1526123 */   // Label 21217: @1526123
     /* 1526123 */   GIM_Try, /*On fail goto*//*Label 21218*/ GIMT_Encode4(1526205), // Rule ID 18247 //
     /* 1526128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1526139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1526142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1526145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1526148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526167 */     // MIs[0] round
     /* 1526167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526170 */     // MIs[0] policy
     /* 1526170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526180 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 1526183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526204 */     // GIR_Coverage, 18247,
     /* 1526204 */     GIR_EraseRootFromParent_Done,
     /* 1526205 */   // Label 21218: @1526205
     /* 1526205 */   GIM_Try, /*On fail goto*//*Label 21219*/ GIMT_Encode4(1526287), // Rule ID 18250 //
     /* 1526210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1526213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1526227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526249 */     // MIs[0] round
     /* 1526249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526252 */     // MIs[0] policy
     /* 1526252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526262 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1526265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526286 */     // GIR_Coverage, 18250,
     /* 1526286 */     GIR_EraseRootFromParent_Done,
     /* 1526287 */   // Label 21219: @1526287
     /* 1526287 */   GIM_Try, /*On fail goto*//*Label 21220*/ GIMT_Encode4(1526369), // Rule ID 18251 //
     /* 1526292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1526295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1526303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1526306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1526309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1526312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1526331 */     // MIs[0] round
     /* 1526331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526334 */     // MIs[0] policy
     /* 1526334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526344 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 1526347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1526365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526368 */     // GIR_Coverage, 18251,
     /* 1526368 */     GIR_EraseRootFromParent_Done,
     /* 1526369 */   // Label 21220: @1526369
     /* 1526369 */   GIM_Try, /*On fail goto*//*Label 21221*/ GIMT_Encode4(1526451), // Rule ID 18254 //
     /* 1526374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1526391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526413 */     // MIs[0] round
     /* 1526413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526416 */     // MIs[0] policy
     /* 1526416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526426 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1526429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526450 */     // GIR_Coverage, 18254,
     /* 1526450 */     GIR_EraseRootFromParent_Done,
     /* 1526451 */   // Label 21221: @1526451
     /* 1526451 */   GIM_Try, /*On fail goto*//*Label 21222*/ GIMT_Encode4(1526533), // Rule ID 18255 //
     /* 1526456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1526467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1526470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1526473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1526476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526495 */     // MIs[0] round
     /* 1526495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526498 */     // MIs[0] policy
     /* 1526498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 1526511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526532 */     // GIR_Coverage, 18255,
     /* 1526532 */     GIR_EraseRootFromParent_Done,
     /* 1526533 */   // Label 21222: @1526533
     /* 1526533 */   GIM_Try, /*On fail goto*//*Label 21223*/ GIMT_Encode4(1526615), // Rule ID 18258 //
     /* 1526538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1526555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526577 */     // MIs[0] round
     /* 1526577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526580 */     // MIs[0] policy
     /* 1526580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526590 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1526593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526614 */     // GIR_Coverage, 18258,
     /* 1526614 */     GIR_EraseRootFromParent_Done,
     /* 1526615 */   // Label 21223: @1526615
     /* 1526615 */   GIM_Try, /*On fail goto*//*Label 21224*/ GIMT_Encode4(1526697), // Rule ID 18259 //
     /* 1526620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1526631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1526634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1526637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1526640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1526659 */     // MIs[0] round
     /* 1526659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526662 */     // MIs[0] policy
     /* 1526662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526672 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 1526675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526696 */     // GIR_Coverage, 18259,
     /* 1526696 */     GIR_EraseRootFromParent_Done,
     /* 1526697 */   // Label 21224: @1526697
     /* 1526697 */   GIM_Try, /*On fail goto*//*Label 21225*/ GIMT_Encode4(1526779), // Rule ID 18262 //
     /* 1526702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1526705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1526716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1526719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1526722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526741 */     // MIs[0] round
     /* 1526741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526744 */     // MIs[0] policy
     /* 1526744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526754 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1526757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526778 */     // GIR_Coverage, 18262,
     /* 1526778 */     GIR_EraseRootFromParent_Done,
     /* 1526779 */   // Label 21225: @1526779
     /* 1526779 */   GIM_Try, /*On fail goto*//*Label 21226*/ GIMT_Encode4(1526861), // Rule ID 18263 //
     /* 1526784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1526787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1526795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1526798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1526801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1526804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1526823 */     // MIs[0] round
     /* 1526823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526826 */     // MIs[0] policy
     /* 1526826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526836 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1526836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 1526839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1526857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526860 */     // GIR_Coverage, 18263,
     /* 1526860 */     GIR_EraseRootFromParent_Done,
     /* 1526861 */   // Label 21226: @1526861
     /* 1526861 */   GIM_Try, /*On fail goto*//*Label 21227*/ GIMT_Encode4(1526943), // Rule ID 18266 //
     /* 1526866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1526869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1526883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1526886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1526889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526905 */     // MIs[0] round
     /* 1526905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526908 */     // MIs[0] policy
     /* 1526908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1526918 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1526918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1526921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1526923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1526925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1526927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1526929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1526931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1526936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1526939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1526941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1526942 */     // GIR_Coverage, 18266,
     /* 1526942 */     GIR_EraseRootFromParent_Done,
     /* 1526943 */   // Label 21227: @1526943
     /* 1526943 */   GIM_Try, /*On fail goto*//*Label 21228*/ GIMT_Encode4(1527025), // Rule ID 18267 //
     /* 1526948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1526951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1526956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1526959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1526962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1526965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1526968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1526971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1526987 */     // MIs[0] round
     /* 1526987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1526990 */     // MIs[0] policy
     /* 1526990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1526993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527000 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 1527003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527024 */     // GIR_Coverage, 18267,
     /* 1527024 */     GIR_EraseRootFromParent_Done,
     /* 1527025 */   // Label 21228: @1527025
     /* 1527025 */   GIM_Try, /*On fail goto*//*Label 21229*/ GIMT_Encode4(1527107), // Rule ID 18270 //
     /* 1527030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1527047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527069 */     // MIs[0] round
     /* 1527069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527072 */     // MIs[0] policy
     /* 1527072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527082 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1527085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527106 */     // GIR_Coverage, 18270,
     /* 1527106 */     GIR_EraseRootFromParent_Done,
     /* 1527107 */   // Label 21229: @1527107
     /* 1527107 */   GIM_Try, /*On fail goto*//*Label 21230*/ GIMT_Encode4(1527189), // Rule ID 18271 //
     /* 1527112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1527123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1527126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1527129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1527132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527151 */     // MIs[0] round
     /* 1527151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527154 */     // MIs[0] policy
     /* 1527154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527164 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 1527167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527188 */     // GIR_Coverage, 18271,
     /* 1527188 */     GIR_EraseRootFromParent_Done,
     /* 1527189 */   // Label 21230: @1527189
     /* 1527189 */   GIM_Try, /*On fail goto*//*Label 21231*/ GIMT_Encode4(1527271), // Rule ID 18274 //
     /* 1527194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1527197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1527211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527233 */     // MIs[0] round
     /* 1527233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527236 */     // MIs[0] policy
     /* 1527236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527246 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1527249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527270 */     // GIR_Coverage, 18274,
     /* 1527270 */     GIR_EraseRootFromParent_Done,
     /* 1527271 */   // Label 21231: @1527271
     /* 1527271 */   GIM_Try, /*On fail goto*//*Label 21232*/ GIMT_Encode4(1527353), // Rule ID 18275 //
     /* 1527276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1527279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1527287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1527290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1527293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1527296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527315 */     // MIs[0] round
     /* 1527315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527318 */     // MIs[0] policy
     /* 1527318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527328 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 1527331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1527349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527352 */     // GIR_Coverage, 18275,
     /* 1527352 */     GIR_EraseRootFromParent_Done,
     /* 1527353 */   // Label 21232: @1527353
     /* 1527353 */   GIM_Try, /*On fail goto*//*Label 21233*/ GIMT_Encode4(1527435), // Rule ID 18278 //
     /* 1527358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1527375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1527378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527397 */     // MIs[0] round
     /* 1527397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527400 */     // MIs[0] policy
     /* 1527400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1527413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527434 */     // GIR_Coverage, 18278,
     /* 1527434 */     GIR_EraseRootFromParent_Done,
     /* 1527435 */   // Label 21233: @1527435
     /* 1527435 */   GIM_Try, /*On fail goto*//*Label 21234*/ GIMT_Encode4(1527517), // Rule ID 18279 //
     /* 1527440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1527451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1527454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1527457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1527460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1527479 */     // MIs[0] round
     /* 1527479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527482 */     // MIs[0] policy
     /* 1527482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527492 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 1527495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527516 */     // GIR_Coverage, 18279,
     /* 1527516 */     GIR_EraseRootFromParent_Done,
     /* 1527517 */   // Label 21234: @1527517
     /* 1527517 */   GIM_Try, /*On fail goto*//*Label 21235*/ GIMT_Encode4(1527599), // Rule ID 18282 //
     /* 1527522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1527539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1527542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527561 */     // MIs[0] round
     /* 1527561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527564 */     // MIs[0] policy
     /* 1527564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1527577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527598 */     // GIR_Coverage, 18282,
     /* 1527598 */     GIR_EraseRootFromParent_Done,
     /* 1527599 */   // Label 21235: @1527599
     /* 1527599 */   GIM_Try, /*On fail goto*//*Label 21236*/ GIMT_Encode4(1527681), // Rule ID 18283 //
     /* 1527604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1527615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1527618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1527621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1527624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1527643 */     // MIs[0] round
     /* 1527643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527646 */     // MIs[0] policy
     /* 1527646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 1527659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527680 */     // GIR_Coverage, 18283,
     /* 1527680 */     GIR_EraseRootFromParent_Done,
     /* 1527681 */   // Label 21236: @1527681
     /* 1527681 */   GIM_Try, /*On fail goto*//*Label 21237*/ GIMT_Encode4(1527763), // Rule ID 18286 //
     /* 1527686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1527689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1527703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1527706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527725 */     // MIs[0] round
     /* 1527725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527728 */     // MIs[0] policy
     /* 1527728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1527741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527762 */     // GIR_Coverage, 18286,
     /* 1527762 */     GIR_EraseRootFromParent_Done,
     /* 1527763 */   // Label 21237: @1527763
     /* 1527763 */   GIM_Try, /*On fail goto*//*Label 21238*/ GIMT_Encode4(1527845), // Rule ID 18287 //
     /* 1527768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1527771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1527779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1527782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1527785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1527788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1527807 */     // MIs[0] round
     /* 1527807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527810 */     // MIs[0] policy
     /* 1527810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527820 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 1527823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1527841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527844 */     // GIR_Coverage, 18287,
     /* 1527844 */     GIR_EraseRootFromParent_Done,
     /* 1527845 */   // Label 21238: @1527845
     /* 1527845 */   GIM_Try, /*On fail goto*//*Label 21239*/ GIMT_Encode4(1527927), // Rule ID 18290 //
     /* 1527850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1527853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1527861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1527864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1527870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1527873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527889 */     // MIs[0] round
     /* 1527889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527892 */     // MIs[0] policy
     /* 1527892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1527902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1527905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1527920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1527923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1527925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1527926 */     // GIR_Coverage, 18290,
     /* 1527926 */     GIR_EraseRootFromParent_Done,
     /* 1527927 */   // Label 21239: @1527927
     /* 1527927 */   GIM_Try, /*On fail goto*//*Label 21240*/ GIMT_Encode4(1528009), // Rule ID 18291 //
     /* 1527932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1527935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1527940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1527943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1527946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1527949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1527952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1527955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1527967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1527971 */     // MIs[0] round
     /* 1527971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1527974 */     // MIs[0] policy
     /* 1527974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1527977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1527984 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1527984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16),
     /* 1527987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1527989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1527991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1527993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1527995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1527997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528008 */     // GIR_Coverage, 18291,
     /* 1528008 */     GIR_EraseRootFromParent_Done,
     /* 1528009 */   // Label 21240: @1528009
     /* 1528009 */   GIM_Try, /*On fail goto*//*Label 21241*/ GIMT_Encode4(1528091), // Rule ID 18294 //
     /* 1528014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528053 */     // MIs[0] round
     /* 1528053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528056 */     // MIs[0] policy
     /* 1528056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528066 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1528069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528090 */     // GIR_Coverage, 18294,
     /* 1528090 */     GIR_EraseRootFromParent_Done,
     /* 1528091 */   // Label 21241: @1528091
     /* 1528091 */   GIM_Try, /*On fail goto*//*Label 21242*/ GIMT_Encode4(1528173), // Rule ID 18295 //
     /* 1528096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1528107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1528110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1528116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528135 */     // MIs[0] round
     /* 1528135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528138 */     // MIs[0] policy
     /* 1528138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528148 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16),
     /* 1528151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528172 */     // GIR_Coverage, 18295,
     /* 1528172 */     GIR_EraseRootFromParent_Done,
     /* 1528173 */   // Label 21242: @1528173
     /* 1528173 */   GIM_Try, /*On fail goto*//*Label 21243*/ GIMT_Encode4(1528255), // Rule ID 18298 //
     /* 1528178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528217 */     // MIs[0] round
     /* 1528217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528220 */     // MIs[0] policy
     /* 1528220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528230 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1528233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528254 */     // GIR_Coverage, 18298,
     /* 1528254 */     GIR_EraseRootFromParent_Done,
     /* 1528255 */   // Label 21243: @1528255
     /* 1528255 */   GIM_Try, /*On fail goto*//*Label 21244*/ GIMT_Encode4(1528337), // Rule ID 18299 //
     /* 1528260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1528271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1528274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1528280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528299 */     // MIs[0] round
     /* 1528299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528302 */     // MIs[0] policy
     /* 1528302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528312 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32),
     /* 1528315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528336 */     // GIR_Coverage, 18299,
     /* 1528336 */     GIR_EraseRootFromParent_Done,
     /* 1528337 */   // Label 21244: @1528337
     /* 1528337 */   GIM_Try, /*On fail goto*//*Label 21245*/ GIMT_Encode4(1528419), // Rule ID 18302 //
     /* 1528342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528381 */     // MIs[0] round
     /* 1528381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528384 */     // MIs[0] policy
     /* 1528384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528394 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1528397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528418 */     // GIR_Coverage, 18302,
     /* 1528418 */     GIR_EraseRootFromParent_Done,
     /* 1528419 */   // Label 21245: @1528419
     /* 1528419 */   GIM_Try, /*On fail goto*//*Label 21246*/ GIMT_Encode4(1528501), // Rule ID 18303 //
     /* 1528424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1528435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1528438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1528444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528463 */     // MIs[0] round
     /* 1528463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528466 */     // MIs[0] policy
     /* 1528466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528476 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11207:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16),
     /* 1528479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528500 */     // GIR_Coverage, 18303,
     /* 1528500 */     GIR_EraseRootFromParent_Done,
     /* 1528501 */   // Label 21246: @1528501
     /* 1528501 */   GIM_Try, /*On fail goto*//*Label 21247*/ GIMT_Encode4(1528583), // Rule ID 18306 //
     /* 1528506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1528509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1528526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528545 */     // MIs[0] round
     /* 1528545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528548 */     // MIs[0] policy
     /* 1528548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1528561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528582 */     // GIR_Coverage, 18306,
     /* 1528582 */     GIR_EraseRootFromParent_Done,
     /* 1528583 */   // Label 21247: @1528583
     /* 1528583 */   GIM_Try, /*On fail goto*//*Label 21248*/ GIMT_Encode4(1528665), // Rule ID 18307 //
     /* 1528588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1528591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1528599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1528602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1528605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1528608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1528623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528627 */     // MIs[0] round
     /* 1528627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528630 */     // MIs[0] policy
     /* 1528630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11207:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32),
     /* 1528643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1528661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528664 */     // GIR_Coverage, 18307,
     /* 1528664 */     GIR_EraseRootFromParent_Done,
     /* 1528665 */   // Label 21248: @1528665
     /* 1528665 */   GIM_Try, /*On fail goto*//*Label 21249*/ GIMT_Encode4(1528747), // Rule ID 18310 //
     /* 1528670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1528673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1528690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528709 */     // MIs[0] round
     /* 1528709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528712 */     // MIs[0] policy
     /* 1528712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528722 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1528725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528746 */     // GIR_Coverage, 18310,
     /* 1528746 */     GIR_EraseRootFromParent_Done,
     /* 1528747 */   // Label 21249: @1528747
     /* 1528747 */   GIM_Try, /*On fail goto*//*Label 21250*/ GIMT_Encode4(1528829), // Rule ID 18311 //
     /* 1528752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1528755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1528763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1528766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1528769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1528772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1528787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1528791 */     // MIs[0] round
     /* 1528791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528794 */     // MIs[0] policy
     /* 1528794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528804 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11207:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64),
     /* 1528807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1528825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528828 */     // GIR_Coverage, 18311,
     /* 1528828 */     GIR_EraseRootFromParent_Done,
     /* 1528829 */   // Label 21250: @1528829
     /* 1528829 */   GIM_Try, /*On fail goto*//*Label 21251*/ GIMT_Encode4(1528911), // Rule ID 18314 //
     /* 1528834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1528837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1528845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1528848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1528854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1528857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528873 */     // MIs[0] round
     /* 1528873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528876 */     // MIs[0] policy
     /* 1528876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528886 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1528886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1528889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528910 */     // GIR_Coverage, 18314,
     /* 1528910 */     GIR_EraseRootFromParent_Done,
     /* 1528911 */   // Label 21251: @1528911
     /* 1528911 */   GIM_Try, /*On fail goto*//*Label 21252*/ GIMT_Encode4(1528993), // Rule ID 18315 //
     /* 1528916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1528919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1528924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1528927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1528930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1528933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1528936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1528939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1528951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1528955 */     // MIs[0] round
     /* 1528955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1528958 */     // MIs[0] policy
     /* 1528958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1528961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1528968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1528968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16),
     /* 1528971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1528973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1528975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1528977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1528979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1528981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1528986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1528989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1528991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1528992 */     // GIR_Coverage, 18315,
     /* 1528992 */     GIR_EraseRootFromParent_Done,
     /* 1528993 */   // Label 21252: @1528993
     /* 1528993 */   GIM_Try, /*On fail goto*//*Label 21253*/ GIMT_Encode4(1529075), // Rule ID 18318 //
     /* 1528998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529037 */     // MIs[0] round
     /* 1529037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529040 */     // MIs[0] policy
     /* 1529040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1529053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529074 */     // GIR_Coverage, 18318,
     /* 1529074 */     GIR_EraseRootFromParent_Done,
     /* 1529075 */   // Label 21253: @1529075
     /* 1529075 */   GIM_Try, /*On fail goto*//*Label 21254*/ GIMT_Encode4(1529157), // Rule ID 18319 //
     /* 1529080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1529091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1529094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1529100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529119 */     // MIs[0] round
     /* 1529119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529122 */     // MIs[0] policy
     /* 1529122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529132 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16),
     /* 1529135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529156 */     // GIR_Coverage, 18319,
     /* 1529156 */     GIR_EraseRootFromParent_Done,
     /* 1529157 */   // Label 21254: @1529157
     /* 1529157 */   GIM_Try, /*On fail goto*//*Label 21255*/ GIMT_Encode4(1529239), // Rule ID 18322 //
     /* 1529162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1529165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1529173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1529176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1529182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529201 */     // MIs[0] round
     /* 1529201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529204 */     // MIs[0] policy
     /* 1529204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529214 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1529217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529238 */     // GIR_Coverage, 18322,
     /* 1529238 */     GIR_EraseRootFromParent_Done,
     /* 1529239 */   // Label 21255: @1529239
     /* 1529239 */   GIM_Try, /*On fail goto*//*Label 21256*/ GIMT_Encode4(1529321), // Rule ID 18323 //
     /* 1529244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1529247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1529255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1529258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1529261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1529264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1529279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529283 */     // MIs[0] round
     /* 1529283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529286 */     // MIs[0] policy
     /* 1529286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529296 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16),
     /* 1529299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1529317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529320 */     // GIR_Coverage, 18323,
     /* 1529320 */     GIR_EraseRootFromParent_Done,
     /* 1529321 */   // Label 21256: @1529321
     /* 1529321 */   GIM_Try, /*On fail goto*//*Label 21257*/ GIMT_Encode4(1529403), // Rule ID 18326 //
     /* 1529326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1529346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529365 */     // MIs[0] round
     /* 1529365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529368 */     // MIs[0] policy
     /* 1529368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1529381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529402 */     // GIR_Coverage, 18326,
     /* 1529402 */     GIR_EraseRootFromParent_Done,
     /* 1529403 */   // Label 21257: @1529403
     /* 1529403 */   GIM_Try, /*On fail goto*//*Label 21258*/ GIMT_Encode4(1529485), // Rule ID 18327 //
     /* 1529408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1529419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1529422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1529428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529447 */     // MIs[0] round
     /* 1529447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529450 */     // MIs[0] policy
     /* 1529450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529460 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32),
     /* 1529463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529484 */     // GIR_Coverage, 18327,
     /* 1529484 */     GIR_EraseRootFromParent_Done,
     /* 1529485 */   // Label 21258: @1529485
     /* 1529485 */   GIM_Try, /*On fail goto*//*Label 21259*/ GIMT_Encode4(1529567), // Rule ID 18330 //
     /* 1529490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1529510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529529 */     // MIs[0] round
     /* 1529529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529532 */     // MIs[0] policy
     /* 1529532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1529545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529566 */     // GIR_Coverage, 18330,
     /* 1529566 */     GIR_EraseRootFromParent_Done,
     /* 1529567 */   // Label 21259: @1529567
     /* 1529567 */   GIM_Try, /*On fail goto*//*Label 21260*/ GIMT_Encode4(1529649), // Rule ID 18331 //
     /* 1529572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1529583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1529586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1529592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1529611 */     // MIs[0] round
     /* 1529611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529614 */     // MIs[0] policy
     /* 1529614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529624 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32),
     /* 1529627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529648 */     // GIR_Coverage, 18331,
     /* 1529648 */     GIR_EraseRootFromParent_Done,
     /* 1529649 */   // Label 21260: @1529649
     /* 1529649 */   GIM_Try, /*On fail goto*//*Label 21261*/ GIMT_Encode4(1529731), // Rule ID 18334 //
     /* 1529654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1529657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1529674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529693 */     // MIs[0] round
     /* 1529693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529696 */     // MIs[0] policy
     /* 1529696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1529709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529730 */     // GIR_Coverage, 18334,
     /* 1529730 */     GIR_EraseRootFromParent_Done,
     /* 1529731 */   // Label 21261: @1529731
     /* 1529731 */   GIM_Try, /*On fail goto*//*Label 21262*/ GIMT_Encode4(1529813), // Rule ID 18335 //
     /* 1529736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1529739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1529747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1529750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1529753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1529756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1529771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1529775 */     // MIs[0] round
     /* 1529775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529778 */     // MIs[0] policy
     /* 1529778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32),
     /* 1529791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1529809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529812 */     // GIR_Coverage, 18335,
     /* 1529812 */     GIR_EraseRootFromParent_Done,
     /* 1529813 */   // Label 21262: @1529813
     /* 1529813 */   GIM_Try, /*On fail goto*//*Label 21263*/ GIMT_Encode4(1529895), // Rule ID 18338 //
     /* 1529818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1529829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1529832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1529838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1529841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529857 */     // MIs[0] round
     /* 1529857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529860 */     // MIs[0] policy
     /* 1529860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529870 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1529870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1529873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529894 */     // GIR_Coverage, 18338,
     /* 1529894 */     GIR_EraseRootFromParent_Done,
     /* 1529895 */   // Label 21263: @1529895
     /* 1529895 */   GIM_Try, /*On fail goto*//*Label 21264*/ GIMT_Encode4(1529977), // Rule ID 18339 //
     /* 1529900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1529903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1529911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1529914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1529920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1529923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1529935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1529939 */     // MIs[0] round
     /* 1529939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1529942 */     // MIs[0] policy
     /* 1529942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1529945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1529952 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11207:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1529952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64),
     /* 1529955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1529957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1529959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1529961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1529963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1529965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1529970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1529973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1529975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1529976 */     // GIR_Coverage, 18339,
     /* 1529976 */     GIR_EraseRootFromParent_Done,
     /* 1529977 */   // Label 21264: @1529977
     /* 1529977 */   GIM_Try, /*On fail goto*//*Label 21265*/ GIMT_Encode4(1530059), // Rule ID 18342 //
     /* 1529982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1529985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1529990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1529993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1529996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1529999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530021 */     // MIs[0] round
     /* 1530021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530024 */     // MIs[0] policy
     /* 1530024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530034 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1530037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530058 */     // GIR_Coverage, 18342,
     /* 1530058 */     GIR_EraseRootFromParent_Done,
     /* 1530059 */   // Label 21265: @1530059
     /* 1530059 */   GIM_Try, /*On fail goto*//*Label 21266*/ GIMT_Encode4(1530141), // Rule ID 18343 //
     /* 1530064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1530072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1530075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1530078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1530084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1530103 */     // MIs[0] round
     /* 1530103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530106 */     // MIs[0] policy
     /* 1530106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530116 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11207:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64),
     /* 1530119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530140 */     // GIR_Coverage, 18343,
     /* 1530140 */     GIR_EraseRootFromParent_Done,
     /* 1530141 */   // Label 21266: @1530141
     /* 1530141 */   GIM_Try, /*On fail goto*//*Label 21267*/ GIMT_Encode4(1530223), // Rule ID 18346 //
     /* 1530146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1530149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1530154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530185 */     // MIs[0] round
     /* 1530185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530188 */     // MIs[0] policy
     /* 1530188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530198 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1530201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530222 */     // GIR_Coverage, 18346,
     /* 1530222 */     GIR_EraseRootFromParent_Done,
     /* 1530223 */   // Label 21267: @1530223
     /* 1530223 */   GIM_Try, /*On fail goto*//*Label 21268*/ GIMT_Encode4(1530305), // Rule ID 18347 //
     /* 1530228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1530231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd),
     /* 1530236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1530239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1530242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1530245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1530248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1530263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1530267 */     // MIs[0] round
     /* 1530267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530270 */     // MIs[0] policy
     /* 1530270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530280 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11207:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64),
     /* 1530283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1530301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530304 */     // GIR_Coverage, 18347,
     /* 1530304 */     GIR_EraseRootFromParent_Done,
     /* 1530305 */   // Label 21268: @1530305
     /* 1530305 */   GIM_Try, /*On fail goto*//*Label 21269*/ GIMT_Encode4(1530387), // Rule ID 18350 //
     /* 1530310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530349 */     // MIs[0] round
     /* 1530349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530352 */     // MIs[0] policy
     /* 1530352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530362 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1530365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530386 */     // GIR_Coverage, 18350,
     /* 1530386 */     GIR_EraseRootFromParent_Done,
     /* 1530387 */   // Label 21269: @1530387
     /* 1530387 */   GIM_Try, /*On fail goto*//*Label 21270*/ GIMT_Encode4(1530469), // Rule ID 18351 //
     /* 1530392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1530403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1530406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1530409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1530412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530431 */     // MIs[0] round
     /* 1530431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530434 */     // MIs[0] policy
     /* 1530434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530444 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 1530447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530468 */     // GIR_Coverage, 18351,
     /* 1530468 */     GIR_EraseRootFromParent_Done,
     /* 1530469 */   // Label 21270: @1530469
     /* 1530469 */   GIM_Try, /*On fail goto*//*Label 21271*/ GIMT_Encode4(1530551), // Rule ID 18354 //
     /* 1530474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1530494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530513 */     // MIs[0] round
     /* 1530513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530516 */     // MIs[0] policy
     /* 1530516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530526 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1530529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530550 */     // GIR_Coverage, 18354,
     /* 1530550 */     GIR_EraseRootFromParent_Done,
     /* 1530551 */   // Label 21271: @1530551
     /* 1530551 */   GIM_Try, /*On fail goto*//*Label 21272*/ GIMT_Encode4(1530633), // Rule ID 18355 //
     /* 1530556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1530567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1530570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1530573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1530576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530595 */     // MIs[0] round
     /* 1530595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530598 */     // MIs[0] policy
     /* 1530598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 1530611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530632 */     // GIR_Coverage, 18355,
     /* 1530632 */     GIR_EraseRootFromParent_Done,
     /* 1530633 */   // Label 21272: @1530633
     /* 1530633 */   GIM_Try, /*On fail goto*//*Label 21273*/ GIMT_Encode4(1530715), // Rule ID 18358 //
     /* 1530638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1530655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1530658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530677 */     // MIs[0] round
     /* 1530677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530680 */     // MIs[0] policy
     /* 1530680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530690 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1530693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530714 */     // GIR_Coverage, 18358,
     /* 1530714 */     GIR_EraseRootFromParent_Done,
     /* 1530715 */   // Label 21273: @1530715
     /* 1530715 */   GIM_Try, /*On fail goto*//*Label 21274*/ GIMT_Encode4(1530797), // Rule ID 18359 //
     /* 1530720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1530723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1530731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1530734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1530737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1530740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530759 */     // MIs[0] round
     /* 1530759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530762 */     // MIs[0] policy
     /* 1530762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530772 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 1530775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1530793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530796 */     // GIR_Coverage, 18359,
     /* 1530796 */     GIR_EraseRootFromParent_Done,
     /* 1530797 */   // Label 21274: @1530797
     /* 1530797 */   GIM_Try, /*On fail goto*//*Label 21275*/ GIMT_Encode4(1530879), // Rule ID 18362 //
     /* 1530802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1530805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1530813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1530816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1530819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1530822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530841 */     // MIs[0] round
     /* 1530841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530844 */     // MIs[0] policy
     /* 1530844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530854 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1530854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1530857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530878 */     // GIR_Coverage, 18362,
     /* 1530878 */     GIR_EraseRootFromParent_Done,
     /* 1530879 */   // Label 21275: @1530879
     /* 1530879 */   GIM_Try, /*On fail goto*//*Label 21276*/ GIMT_Encode4(1530961), // Rule ID 18363 //
     /* 1530884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1530887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1530895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1530898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1530901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1530904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1530907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530923 */     // MIs[0] round
     /* 1530923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1530926 */     // MIs[0] policy
     /* 1530926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1530929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1530936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1530936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 1530939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1530941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1530943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1530945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1530947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1530949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1530954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1530957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1530959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1530960 */     // GIR_Coverage, 18363,
     /* 1530960 */     GIR_EraseRootFromParent_Done,
     /* 1530961 */   // Label 21276: @1530961
     /* 1530961 */   GIM_Try, /*On fail goto*//*Label 21277*/ GIMT_Encode4(1531043), // Rule ID 18366 //
     /* 1530966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1530969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1530974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1530977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1530980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1530983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1530986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1530989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1530997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531005 */     // MIs[0] round
     /* 1531005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531008 */     // MIs[0] policy
     /* 1531008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531018 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1531021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531042 */     // GIR_Coverage, 18366,
     /* 1531042 */     GIR_EraseRootFromParent_Done,
     /* 1531043 */   // Label 21277: @1531043
     /* 1531043 */   GIM_Try, /*On fail goto*//*Label 21278*/ GIMT_Encode4(1531125), // Rule ID 18367 //
     /* 1531048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1531059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1531062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1531065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1531068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531087 */     // MIs[0] round
     /* 1531087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531090 */     // MIs[0] policy
     /* 1531090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531100 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 1531103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531124 */     // GIR_Coverage, 18367,
     /* 1531124 */     GIR_EraseRootFromParent_Done,
     /* 1531125 */   // Label 21278: @1531125
     /* 1531125 */   GIM_Try, /*On fail goto*//*Label 21279*/ GIMT_Encode4(1531207), // Rule ID 18370 //
     /* 1531130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1531133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1531147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1531150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531169 */     // MIs[0] round
     /* 1531169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531172 */     // MIs[0] policy
     /* 1531172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531182 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1531185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531206 */     // GIR_Coverage, 18370,
     /* 1531206 */     GIR_EraseRootFromParent_Done,
     /* 1531207 */   // Label 21279: @1531207
     /* 1531207 */   GIM_Try, /*On fail goto*//*Label 21280*/ GIMT_Encode4(1531289), // Rule ID 18371 //
     /* 1531212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1531215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1531223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1531226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1531229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1531232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1531251 */     // MIs[0] round
     /* 1531251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531254 */     // MIs[0] policy
     /* 1531254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531264 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 1531267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1531285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531288 */     // GIR_Coverage, 18371,
     /* 1531288 */     GIR_EraseRootFromParent_Done,
     /* 1531289 */   // Label 21280: @1531289
     /* 1531289 */   GIM_Try, /*On fail goto*//*Label 21281*/ GIMT_Encode4(1531371), // Rule ID 18374 //
     /* 1531294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531333 */     // MIs[0] round
     /* 1531333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531336 */     // MIs[0] policy
     /* 1531336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531346 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1531349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531370 */     // GIR_Coverage, 18374,
     /* 1531370 */     GIR_EraseRootFromParent_Done,
     /* 1531371 */   // Label 21281: @1531371
     /* 1531371 */   GIM_Try, /*On fail goto*//*Label 21282*/ GIMT_Encode4(1531453), // Rule ID 18375 //
     /* 1531376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1531387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1531390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1531393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1531396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531415 */     // MIs[0] round
     /* 1531415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531418 */     // MIs[0] policy
     /* 1531418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531428 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 1531431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531452 */     // GIR_Coverage, 18375,
     /* 1531452 */     GIR_EraseRootFromParent_Done,
     /* 1531453 */   // Label 21282: @1531453
     /* 1531453 */   GIM_Try, /*On fail goto*//*Label 21283*/ GIMT_Encode4(1531535), // Rule ID 18378 //
     /* 1531458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1531478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531497 */     // MIs[0] round
     /* 1531497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531500 */     // MIs[0] policy
     /* 1531500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531510 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1531513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531534 */     // GIR_Coverage, 18378,
     /* 1531534 */     GIR_EraseRootFromParent_Done,
     /* 1531535 */   // Label 21283: @1531535
     /* 1531535 */   GIM_Try, /*On fail goto*//*Label 21284*/ GIMT_Encode4(1531617), // Rule ID 18379 //
     /* 1531540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1531551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1531554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1531557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1531560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531579 */     // MIs[0] round
     /* 1531579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531582 */     // MIs[0] policy
     /* 1531582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531592 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 1531595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531616 */     // GIR_Coverage, 18379,
     /* 1531616 */     GIR_EraseRootFromParent_Done,
     /* 1531617 */   // Label 21284: @1531617
     /* 1531617 */   GIM_Try, /*On fail goto*//*Label 21285*/ GIMT_Encode4(1531699), // Rule ID 18382 //
     /* 1531622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1531625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1531639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1531642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531661 */     // MIs[0] round
     /* 1531661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531664 */     // MIs[0] policy
     /* 1531664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531674 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1531677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531698 */     // GIR_Coverage, 18382,
     /* 1531698 */     GIR_EraseRootFromParent_Done,
     /* 1531699 */   // Label 21285: @1531699
     /* 1531699 */   GIM_Try, /*On fail goto*//*Label 21286*/ GIMT_Encode4(1531781), // Rule ID 18383 //
     /* 1531704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1531707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1531715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1531718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1531721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1531724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1531743 */     // MIs[0] round
     /* 1531743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531746 */     // MIs[0] policy
     /* 1531746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531756 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 1531759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1531777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531780 */     // GIR_Coverage, 18383,
     /* 1531780 */     GIR_EraseRootFromParent_Done,
     /* 1531781 */   // Label 21286: @1531781
     /* 1531781 */   GIM_Try, /*On fail goto*//*Label 21287*/ GIMT_Encode4(1531863), // Rule ID 18386 //
     /* 1531786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1531797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1531800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1531803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1531806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531825 */     // MIs[0] round
     /* 1531825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531828 */     // MIs[0] policy
     /* 1531828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531838 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1531838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1531841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531862 */     // GIR_Coverage, 18386,
     /* 1531862 */     GIR_EraseRootFromParent_Done,
     /* 1531863 */   // Label 21287: @1531863
     /* 1531863 */   GIM_Try, /*On fail goto*//*Label 21288*/ GIMT_Encode4(1531945), // Rule ID 18387 //
     /* 1531868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1531871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1531879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1531882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1531885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1531888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1531891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1531907 */     // MIs[0] round
     /* 1531907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531910 */     // MIs[0] policy
     /* 1531910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1531920 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1531920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 1531923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1531925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1531927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1531929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1531931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1531933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1531938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1531941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1531943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1531944 */     // GIR_Coverage, 18387,
     /* 1531944 */     GIR_EraseRootFromParent_Done,
     /* 1531945 */   // Label 21288: @1531945
     /* 1531945 */   GIM_Try, /*On fail goto*//*Label 21289*/ GIMT_Encode4(1532027), // Rule ID 18390 //
     /* 1531950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1531953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1531958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1531961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1531964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1531967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1531970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1531973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1531989 */     // MIs[0] round
     /* 1531989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1531992 */     // MIs[0] policy
     /* 1531992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1531995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1532005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532026 */     // GIR_Coverage, 18390,
     /* 1532026 */     GIR_EraseRootFromParent_Done,
     /* 1532027 */   // Label 21289: @1532027
     /* 1532027 */   GIM_Try, /*On fail goto*//*Label 21290*/ GIMT_Encode4(1532109), // Rule ID 18391 //
     /* 1532032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1532043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1532046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1532049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1532052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532071 */     // MIs[0] round
     /* 1532071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532074 */     // MIs[0] policy
     /* 1532074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532084 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 1532087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532108 */     // GIR_Coverage, 18391,
     /* 1532108 */     GIR_EraseRootFromParent_Done,
     /* 1532109 */   // Label 21290: @1532109
     /* 1532109 */   GIM_Try, /*On fail goto*//*Label 21291*/ GIMT_Encode4(1532191), // Rule ID 18394 //
     /* 1532114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1532117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1532134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532153 */     // MIs[0] round
     /* 1532153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532156 */     // MIs[0] policy
     /* 1532156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532166 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1532169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532190 */     // GIR_Coverage, 18394,
     /* 1532190 */     GIR_EraseRootFromParent_Done,
     /* 1532191 */   // Label 21291: @1532191
     /* 1532191 */   GIM_Try, /*On fail goto*//*Label 21292*/ GIMT_Encode4(1532273), // Rule ID 18395 //
     /* 1532196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1532199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1532207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1532210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1532213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1532216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532235 */     // MIs[0] round
     /* 1532235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532238 */     // MIs[0] policy
     /* 1532238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532248 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 1532251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1532269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532272 */     // GIR_Coverage, 18395,
     /* 1532272 */     GIR_EraseRootFromParent_Done,
     /* 1532273 */   // Label 21292: @1532273
     /* 1532273 */   GIM_Try, /*On fail goto*//*Label 21293*/ GIMT_Encode4(1532355), // Rule ID 18398 //
     /* 1532278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1532295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1532298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532317 */     // MIs[0] round
     /* 1532317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532320 */     // MIs[0] policy
     /* 1532320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532330 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1532333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532354 */     // GIR_Coverage, 18398,
     /* 1532354 */     GIR_EraseRootFromParent_Done,
     /* 1532355 */   // Label 21293: @1532355
     /* 1532355 */   GIM_Try, /*On fail goto*//*Label 21294*/ GIMT_Encode4(1532437), // Rule ID 18399 //
     /* 1532360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1532371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1532374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1532377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1532380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1532399 */     // MIs[0] round
     /* 1532399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532402 */     // MIs[0] policy
     /* 1532402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532412 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 1532415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532436 */     // GIR_Coverage, 18399,
     /* 1532436 */     GIR_EraseRootFromParent_Done,
     /* 1532437 */   // Label 21294: @1532437
     /* 1532437 */   GIM_Try, /*On fail goto*//*Label 21295*/ GIMT_Encode4(1532519), // Rule ID 18402 //
     /* 1532442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1532459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1532462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532481 */     // MIs[0] round
     /* 1532481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532484 */     // MIs[0] policy
     /* 1532484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532494 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1532497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532518 */     // GIR_Coverage, 18402,
     /* 1532518 */     GIR_EraseRootFromParent_Done,
     /* 1532519 */   // Label 21295: @1532519
     /* 1532519 */   GIM_Try, /*On fail goto*//*Label 21296*/ GIMT_Encode4(1532601), // Rule ID 18403 //
     /* 1532524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1532535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1532538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1532541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1532544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1532563 */     // MIs[0] round
     /* 1532563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532566 */     // MIs[0] policy
     /* 1532566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532576 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 1532579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532600 */     // GIR_Coverage, 18403,
     /* 1532600 */     GIR_EraseRootFromParent_Done,
     /* 1532601 */   // Label 21296: @1532601
     /* 1532601 */   GIM_Try, /*On fail goto*//*Label 21297*/ GIMT_Encode4(1532683), // Rule ID 18406 //
     /* 1532606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1532609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1532623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1532626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532645 */     // MIs[0] round
     /* 1532645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532648 */     // MIs[0] policy
     /* 1532648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532658 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1532661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532682 */     // GIR_Coverage, 18406,
     /* 1532682 */     GIR_EraseRootFromParent_Done,
     /* 1532683 */   // Label 21297: @1532683
     /* 1532683 */   GIM_Try, /*On fail goto*//*Label 21298*/ GIMT_Encode4(1532765), // Rule ID 18407 //
     /* 1532688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1532691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1532699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1532702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1532705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1532708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1532727 */     // MIs[0] round
     /* 1532727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532730 */     // MIs[0] policy
     /* 1532730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532740 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 1532743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1532761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532764 */     // GIR_Coverage, 18407,
     /* 1532764 */     GIR_EraseRootFromParent_Done,
     /* 1532765 */   // Label 21298: @1532765
     /* 1532765 */   GIM_Try, /*On fail goto*//*Label 21299*/ GIMT_Encode4(1532847), // Rule ID 18410 //
     /* 1532770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1532781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1532784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1532790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532809 */     // MIs[0] round
     /* 1532809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532812 */     // MIs[0] policy
     /* 1532812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532822 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1532825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532846 */     // GIR_Coverage, 18410,
     /* 1532846 */     GIR_EraseRootFromParent_Done,
     /* 1532847 */   // Label 21299: @1532847
     /* 1532847 */   GIM_Try, /*On fail goto*//*Label 21300*/ GIMT_Encode4(1532929), // Rule ID 18411 //
     /* 1532852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1532855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1532863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1532866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1532872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1532875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532891 */     // MIs[0] round
     /* 1532891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532894 */     // MIs[0] policy
     /* 1532894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532904 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1532904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16),
     /* 1532907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1532922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1532925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1532927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1532928 */     // GIR_Coverage, 18411,
     /* 1532928 */     GIR_EraseRootFromParent_Done,
     /* 1532929 */   // Label 21300: @1532929
     /* 1532929 */   GIM_Try, /*On fail goto*//*Label 21301*/ GIMT_Encode4(1533011), // Rule ID 18414 //
     /* 1532934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1532937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1532942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1532945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1532948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1532951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1532954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1532957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1532969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1532973 */     // MIs[0] round
     /* 1532973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1532976 */     // MIs[0] policy
     /* 1532976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1532979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1532986 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1532986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1532989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1532991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1532993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1532995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1532997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1532999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533010 */     // GIR_Coverage, 18414,
     /* 1533010 */     GIR_EraseRootFromParent_Done,
     /* 1533011 */   // Label 21301: @1533011
     /* 1533011 */   GIM_Try, /*On fail goto*//*Label 21302*/ GIMT_Encode4(1533093), // Rule ID 18415 //
     /* 1533016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1533027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1533030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1533036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533055 */     // MIs[0] round
     /* 1533055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533058 */     // MIs[0] policy
     /* 1533058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533068 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16),
     /* 1533071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533092 */     // GIR_Coverage, 18415,
     /* 1533092 */     GIR_EraseRootFromParent_Done,
     /* 1533093 */   // Label 21302: @1533093
     /* 1533093 */   GIM_Try, /*On fail goto*//*Label 21303*/ GIMT_Encode4(1533175), // Rule ID 18418 //
     /* 1533098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533137 */     // MIs[0] round
     /* 1533137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533140 */     // MIs[0] policy
     /* 1533140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533150 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1533153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533174 */     // GIR_Coverage, 18418,
     /* 1533174 */     GIR_EraseRootFromParent_Done,
     /* 1533175 */   // Label 21303: @1533175
     /* 1533175 */   GIM_Try, /*On fail goto*//*Label 21304*/ GIMT_Encode4(1533257), // Rule ID 18419 //
     /* 1533180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1533191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1533194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1533200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533219 */     // MIs[0] round
     /* 1533219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533222 */     // MIs[0] policy
     /* 1533222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533232 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32),
     /* 1533235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533256 */     // GIR_Coverage, 18419,
     /* 1533256 */     GIR_EraseRootFromParent_Done,
     /* 1533257 */   // Label 21304: @1533257
     /* 1533257 */   GIM_Try, /*On fail goto*//*Label 21305*/ GIMT_Encode4(1533339), // Rule ID 18422 //
     /* 1533262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1533282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533301 */     // MIs[0] round
     /* 1533301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533304 */     // MIs[0] policy
     /* 1533304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533314 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1533317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533338 */     // GIR_Coverage, 18422,
     /* 1533338 */     GIR_EraseRootFromParent_Done,
     /* 1533339 */   // Label 21305: @1533339
     /* 1533339 */   GIM_Try, /*On fail goto*//*Label 21306*/ GIMT_Encode4(1533421), // Rule ID 18423 //
     /* 1533344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1533355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1533358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1533364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533383 */     // MIs[0] round
     /* 1533383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533386 */     // MIs[0] policy
     /* 1533386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533396 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11243:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16),
     /* 1533399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533420 */     // GIR_Coverage, 18423,
     /* 1533420 */     GIR_EraseRootFromParent_Done,
     /* 1533421 */   // Label 21306: @1533421
     /* 1533421 */   GIM_Try, /*On fail goto*//*Label 21307*/ GIMT_Encode4(1533503), // Rule ID 18426 //
     /* 1533426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1533429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1533446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533465 */     // MIs[0] round
     /* 1533465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533468 */     // MIs[0] policy
     /* 1533468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533478 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1533481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533502 */     // GIR_Coverage, 18426,
     /* 1533502 */     GIR_EraseRootFromParent_Done,
     /* 1533503 */   // Label 21307: @1533503
     /* 1533503 */   GIM_Try, /*On fail goto*//*Label 21308*/ GIMT_Encode4(1533585), // Rule ID 18427 //
     /* 1533508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1533511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1533519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1533522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1533525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1533528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1533543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533547 */     // MIs[0] round
     /* 1533547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533550 */     // MIs[0] policy
     /* 1533550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533560 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11243:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32),
     /* 1533563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1533581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533584 */     // GIR_Coverage, 18427,
     /* 1533584 */     GIR_EraseRootFromParent_Done,
     /* 1533585 */   // Label 21308: @1533585
     /* 1533585 */   GIM_Try, /*On fail goto*//*Label 21309*/ GIMT_Encode4(1533667), // Rule ID 18430 //
     /* 1533590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1533593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1533601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1533604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1533610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533629 */     // MIs[0] round
     /* 1533629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533632 */     // MIs[0] policy
     /* 1533632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533642 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1533645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533666 */     // GIR_Coverage, 18430,
     /* 1533666 */     GIR_EraseRootFromParent_Done,
     /* 1533667 */   // Label 21309: @1533667
     /* 1533667 */   GIM_Try, /*On fail goto*//*Label 21310*/ GIMT_Encode4(1533749), // Rule ID 18431 //
     /* 1533672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1533675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1533683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1533686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1533689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1533692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1533707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1533711 */     // MIs[0] round
     /* 1533711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533714 */     // MIs[0] policy
     /* 1533714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533724 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11243:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64),
     /* 1533727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1533745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533748 */     // GIR_Coverage, 18431,
     /* 1533748 */     GIR_EraseRootFromParent_Done,
     /* 1533749 */   // Label 21310: @1533749
     /* 1533749 */   GIM_Try, /*On fail goto*//*Label 21311*/ GIMT_Encode4(1533831), // Rule ID 18434 //
     /* 1533754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1533765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1533768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1533774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533793 */     // MIs[0] round
     /* 1533793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533796 */     // MIs[0] policy
     /* 1533796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533806 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1533809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533830 */     // GIR_Coverage, 18434,
     /* 1533830 */     GIR_EraseRootFromParent_Done,
     /* 1533831 */   // Label 21311: @1533831
     /* 1533831 */   GIM_Try, /*On fail goto*//*Label 21312*/ GIMT_Encode4(1533913), // Rule ID 18435 //
     /* 1533836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1533839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1533847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1533850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1533856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1533859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1533875 */     // MIs[0] round
     /* 1533875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533878 */     // MIs[0] policy
     /* 1533878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533888 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1533888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16),
     /* 1533891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533912 */     // GIR_Coverage, 18435,
     /* 1533912 */     GIR_EraseRootFromParent_Done,
     /* 1533913 */   // Label 21312: @1533913
     /* 1533913 */   GIM_Try, /*On fail goto*//*Label 21313*/ GIMT_Encode4(1533995), // Rule ID 18438 //
     /* 1533918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1533921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1533926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1533929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1533932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1533935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1533938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1533941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1533953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1533957 */     // MIs[0] round
     /* 1533957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1533960 */     // MIs[0] policy
     /* 1533960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1533963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1533970 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1533970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1533973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1533975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1533977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1533979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1533981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1533983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1533988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1533991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1533993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1533994 */     // GIR_Coverage, 18438,
     /* 1533994 */     GIR_EraseRootFromParent_Done,
     /* 1533995 */   // Label 21313: @1533995
     /* 1533995 */   GIM_Try, /*On fail goto*//*Label 21314*/ GIMT_Encode4(1534077), // Rule ID 18439 //
     /* 1534000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1534011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1534014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1534020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534039 */     // MIs[0] round
     /* 1534039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534042 */     // MIs[0] policy
     /* 1534042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534052 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16),
     /* 1534055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534076 */     // GIR_Coverage, 18439,
     /* 1534076 */     GIR_EraseRootFromParent_Done,
     /* 1534077 */   // Label 21314: @1534077
     /* 1534077 */   GIM_Try, /*On fail goto*//*Label 21315*/ GIMT_Encode4(1534159), // Rule ID 18442 //
     /* 1534082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1534085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1534102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534121 */     // MIs[0] round
     /* 1534121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534124 */     // MIs[0] policy
     /* 1534124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534134 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1534137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534158 */     // GIR_Coverage, 18442,
     /* 1534158 */     GIR_EraseRootFromParent_Done,
     /* 1534159 */   // Label 21315: @1534159
     /* 1534159 */   GIM_Try, /*On fail goto*//*Label 21316*/ GIMT_Encode4(1534241), // Rule ID 18443 //
     /* 1534164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1534167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1534175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1534178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1534181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1534184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1534199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534203 */     // MIs[0] round
     /* 1534203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534206 */     // MIs[0] policy
     /* 1534206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534216 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16),
     /* 1534219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1534237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534240 */     // GIR_Coverage, 18443,
     /* 1534240 */     GIR_EraseRootFromParent_Done,
     /* 1534241 */   // Label 21316: @1534241
     /* 1534241 */   GIM_Try, /*On fail goto*//*Label 21317*/ GIMT_Encode4(1534323), // Rule ID 18446 //
     /* 1534246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534285 */     // MIs[0] round
     /* 1534285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534288 */     // MIs[0] policy
     /* 1534288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534298 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1534301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534322 */     // GIR_Coverage, 18446,
     /* 1534322 */     GIR_EraseRootFromParent_Done,
     /* 1534323 */   // Label 21317: @1534323
     /* 1534323 */   GIM_Try, /*On fail goto*//*Label 21318*/ GIMT_Encode4(1534405), // Rule ID 18447 //
     /* 1534328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1534339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1534342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1534348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534367 */     // MIs[0] round
     /* 1534367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534370 */     // MIs[0] policy
     /* 1534370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534380 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32),
     /* 1534383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534404 */     // GIR_Coverage, 18447,
     /* 1534404 */     GIR_EraseRootFromParent_Done,
     /* 1534405 */   // Label 21318: @1534405
     /* 1534405 */   GIM_Try, /*On fail goto*//*Label 21319*/ GIMT_Encode4(1534487), // Rule ID 18450 //
     /* 1534410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1534430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534449 */     // MIs[0] round
     /* 1534449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534452 */     // MIs[0] policy
     /* 1534452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534462 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1534465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534486 */     // GIR_Coverage, 18450,
     /* 1534486 */     GIR_EraseRootFromParent_Done,
     /* 1534487 */   // Label 21319: @1534487
     /* 1534487 */   GIM_Try, /*On fail goto*//*Label 21320*/ GIMT_Encode4(1534569), // Rule ID 18451 //
     /* 1534492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1534503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1534506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1534512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534531 */     // MIs[0] round
     /* 1534531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534534 */     // MIs[0] policy
     /* 1534534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534544 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32),
     /* 1534547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534568 */     // GIR_Coverage, 18451,
     /* 1534568 */     GIR_EraseRootFromParent_Done,
     /* 1534569 */   // Label 21320: @1534569
     /* 1534569 */   GIM_Try, /*On fail goto*//*Label 21321*/ GIMT_Encode4(1534651), // Rule ID 18454 //
     /* 1534574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1534577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1534594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534613 */     // MIs[0] round
     /* 1534613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534616 */     // MIs[0] policy
     /* 1534616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534626 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1534629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534650 */     // GIR_Coverage, 18454,
     /* 1534650 */     GIR_EraseRootFromParent_Done,
     /* 1534651 */   // Label 21321: @1534651
     /* 1534651 */   GIM_Try, /*On fail goto*//*Label 21322*/ GIMT_Encode4(1534733), // Rule ID 18455 //
     /* 1534656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1534659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1534667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1534670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1534673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1534676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1534691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1534695 */     // MIs[0] round
     /* 1534695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534698 */     // MIs[0] policy
     /* 1534698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534708 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32),
     /* 1534711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1534729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534732 */     // GIR_Coverage, 18455,
     /* 1534732 */     GIR_EraseRootFromParent_Done,
     /* 1534733 */   // Label 21322: @1534733
     /* 1534733 */   GIM_Try, /*On fail goto*//*Label 21323*/ GIMT_Encode4(1534815), // Rule ID 18458 //
     /* 1534738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1534741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1534752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1534758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534777 */     // MIs[0] round
     /* 1534777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534780 */     // MIs[0] policy
     /* 1534780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534790 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1534793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534814 */     // GIR_Coverage, 18458,
     /* 1534814 */     GIR_EraseRootFromParent_Done,
     /* 1534815 */   // Label 21323: @1534815
     /* 1534815 */   GIM_Try, /*On fail goto*//*Label 21324*/ GIMT_Encode4(1534897), // Rule ID 18459 //
     /* 1534820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1534823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1534831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1534834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1534840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1534843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1534859 */     // MIs[0] round
     /* 1534859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534862 */     // MIs[0] policy
     /* 1534862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534872 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11243:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1534872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64),
     /* 1534875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534896 */     // GIR_Coverage, 18459,
     /* 1534896 */     GIR_EraseRootFromParent_Done,
     /* 1534897 */   // Label 21324: @1534897
     /* 1534897 */   GIM_Try, /*On fail goto*//*Label 21325*/ GIMT_Encode4(1534979), // Rule ID 18462 //
     /* 1534902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1534905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1534913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1534916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1534919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1534922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1534925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1534937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1534941 */     // MIs[0] round
     /* 1534941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1534944 */     // MIs[0] policy
     /* 1534944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1534947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1534954 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1534954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1534957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1534959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1534961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1534963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1534965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1534967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1534972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1534975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1534977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1534978 */     // GIR_Coverage, 18462,
     /* 1534978 */     GIR_EraseRootFromParent_Done,
     /* 1534979 */   // Label 21325: @1534979
     /* 1534979 */   GIM_Try, /*On fail goto*//*Label 21326*/ GIMT_Encode4(1535061), // Rule ID 18463 //
     /* 1534984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1534987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1534992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1534995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1534998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1535004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1535023 */     // MIs[0] round
     /* 1535023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535026 */     // MIs[0] policy
     /* 1535026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535036 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11243:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64),
     /* 1535039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535060 */     // GIR_Coverage, 18463,
     /* 1535060 */     GIR_EraseRootFromParent_Done,
     /* 1535061 */   // Label 21326: @1535061
     /* 1535061 */   GIM_Try, /*On fail goto*//*Label 21327*/ GIMT_Encode4(1535143), // Rule ID 18466 //
     /* 1535066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1535069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1535074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1535086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535105 */     // MIs[0] round
     /* 1535105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535108 */     // MIs[0] policy
     /* 1535108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535118 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1535121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535142 */     // GIR_Coverage, 18466,
     /* 1535142 */     GIR_EraseRootFromParent_Done,
     /* 1535143 */   // Label 21327: @1535143
     /* 1535143 */   GIM_Try, /*On fail goto*//*Label 21328*/ GIMT_Encode4(1535225), // Rule ID 18467 //
     /* 1535148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1535151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd),
     /* 1535156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1535159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1535162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1535165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1535168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1535183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1535187 */     // MIs[0] round
     /* 1535187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535190 */     // MIs[0] policy
     /* 1535190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535200 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11243:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64),
     /* 1535203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1535221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535224 */     // GIR_Coverage, 18467,
     /* 1535224 */     GIR_EraseRootFromParent_Done,
     /* 1535225 */   // Label 21328: @1535225
     /* 1535225 */   GIM_Try, /*On fail goto*//*Label 21329*/ GIMT_Encode4(1535307), // Rule ID 18470 //
     /* 1535230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1535233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535269 */     // MIs[0] round
     /* 1535269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535272 */     // MIs[0] policy
     /* 1535272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535282 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1535285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535306 */     // GIR_Coverage, 18470,
     /* 1535306 */     GIR_EraseRootFromParent_Done,
     /* 1535307 */   // Label 21329: @1535307
     /* 1535307 */   GIM_Try, /*On fail goto*//*Label 21330*/ GIMT_Encode4(1535389), // Rule ID 18471 //
     /* 1535312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1535315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1535323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1535326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1535329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1535332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535351 */     // MIs[0] round
     /* 1535351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535354 */     // MIs[0] policy
     /* 1535354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535364 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 1535367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535388 */     // GIR_Coverage, 18471,
     /* 1535388 */     GIR_EraseRootFromParent_Done,
     /* 1535389 */   // Label 21330: @1535389
     /* 1535389 */   GIM_Try, /*On fail goto*//*Label 21331*/ GIMT_Encode4(1535471), // Rule ID 18474 //
     /* 1535394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1535397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1535405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1535408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1535411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535433 */     // MIs[0] round
     /* 1535433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535436 */     // MIs[0] policy
     /* 1535436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535446 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1535449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535470 */     // GIR_Coverage, 18474,
     /* 1535470 */     GIR_EraseRootFromParent_Done,
     /* 1535471 */   // Label 21331: @1535471
     /* 1535471 */   GIM_Try, /*On fail goto*//*Label 21332*/ GIMT_Encode4(1535553), // Rule ID 18475 //
     /* 1535476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1535479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1535487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1535490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1535493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1535496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535515 */     // MIs[0] round
     /* 1535515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535518 */     // MIs[0] policy
     /* 1535518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 1535531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535552 */     // GIR_Coverage, 18475,
     /* 1535552 */     GIR_EraseRootFromParent_Done,
     /* 1535553 */   // Label 21332: @1535553
     /* 1535553 */   GIM_Try, /*On fail goto*//*Label 21333*/ GIMT_Encode4(1535635), // Rule ID 18478 //
     /* 1535558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1535561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1535575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1535578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535597 */     // MIs[0] round
     /* 1535597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535600 */     // MIs[0] policy
     /* 1535600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535610 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1535613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535634 */     // GIR_Coverage, 18478,
     /* 1535634 */     GIR_EraseRootFromParent_Done,
     /* 1535635 */   // Label 21333: @1535635
     /* 1535635 */   GIM_Try, /*On fail goto*//*Label 21334*/ GIMT_Encode4(1535717), // Rule ID 18479 //
     /* 1535640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1535643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1535651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1535654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1535657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1535660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535679 */     // MIs[0] round
     /* 1535679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535682 */     // MIs[0] policy
     /* 1535682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535692 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 1535695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535716 */     // GIR_Coverage, 18479,
     /* 1535716 */     GIR_EraseRootFromParent_Done,
     /* 1535717 */   // Label 21334: @1535717
     /* 1535717 */   GIM_Try, /*On fail goto*//*Label 21335*/ GIMT_Encode4(1535799), // Rule ID 18482 //
     /* 1535722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1535725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1535733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1535736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1535739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535761 */     // MIs[0] round
     /* 1535761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535764 */     // MIs[0] policy
     /* 1535764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535774 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1535777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535798 */     // GIR_Coverage, 18482,
     /* 1535798 */     GIR_EraseRootFromParent_Done,
     /* 1535799 */   // Label 21335: @1535799
     /* 1535799 */   GIM_Try, /*On fail goto*//*Label 21336*/ GIMT_Encode4(1535881), // Rule ID 18483 //
     /* 1535804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1535807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1535815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1535818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1535821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1535824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535843 */     // MIs[0] round
     /* 1535843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535846 */     // MIs[0] policy
     /* 1535846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535856 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1535856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 1535859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1535877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535880 */     // GIR_Coverage, 18483,
     /* 1535880 */     GIR_EraseRootFromParent_Done,
     /* 1535881 */   // Label 21336: @1535881
     /* 1535881 */   GIM_Try, /*On fail goto*//*Label 21337*/ GIMT_Encode4(1535963), // Rule ID 18486 //
     /* 1535886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1535889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1535903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1535909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535925 */     // MIs[0] round
     /* 1535925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1535928 */     // MIs[0] policy
     /* 1535928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1535931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1535938 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1535938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1535941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1535943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1535945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1535947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1535949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1535951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1535956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1535959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1535961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1535962 */     // GIR_Coverage, 18486,
     /* 1535962 */     GIR_EraseRootFromParent_Done,
     /* 1535963 */   // Label 21337: @1535963
     /* 1535963 */   GIM_Try, /*On fail goto*//*Label 21338*/ GIMT_Encode4(1536045), // Rule ID 18487 //
     /* 1535968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1535971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1535976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1535979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1535982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1535985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1535988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1535991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1535999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536007 */     // MIs[0] round
     /* 1536007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536010 */     // MIs[0] policy
     /* 1536010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536020 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 1536023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536044 */     // GIR_Coverage, 18487,
     /* 1536044 */     GIR_EraseRootFromParent_Done,
     /* 1536045 */   // Label 21338: @1536045
     /* 1536045 */   GIM_Try, /*On fail goto*//*Label 21339*/ GIMT_Encode4(1536127), // Rule ID 18490 //
     /* 1536050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1536053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1536067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1536070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536089 */     // MIs[0] round
     /* 1536089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536092 */     // MIs[0] policy
     /* 1536092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536102 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1536105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536126 */     // GIR_Coverage, 18490,
     /* 1536126 */     GIR_EraseRootFromParent_Done,
     /* 1536127 */   // Label 21339: @1536127
     /* 1536127 */   GIM_Try, /*On fail goto*//*Label 21340*/ GIMT_Encode4(1536209), // Rule ID 18491 //
     /* 1536132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1536135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1536143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1536146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1536149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1536152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1536171 */     // MIs[0] round
     /* 1536171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536174 */     // MIs[0] policy
     /* 1536174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536184 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 1536187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1536205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536208 */     // GIR_Coverage, 18491,
     /* 1536208 */     GIR_EraseRootFromParent_Done,
     /* 1536209 */   // Label 21340: @1536209
     /* 1536209 */   GIM_Try, /*On fail goto*//*Label 21341*/ GIMT_Encode4(1536291), // Rule ID 18494 //
     /* 1536214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1536231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536253 */     // MIs[0] round
     /* 1536253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536256 */     // MIs[0] policy
     /* 1536256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536266 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1536269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536290 */     // GIR_Coverage, 18494,
     /* 1536290 */     GIR_EraseRootFromParent_Done,
     /* 1536291 */   // Label 21341: @1536291
     /* 1536291 */   GIM_Try, /*On fail goto*//*Label 21342*/ GIMT_Encode4(1536373), // Rule ID 18495 //
     /* 1536296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1536307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1536310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1536313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1536316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536335 */     // MIs[0] round
     /* 1536335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536338 */     // MIs[0] policy
     /* 1536338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536348 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 1536351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536372 */     // GIR_Coverage, 18495,
     /* 1536372 */     GIR_EraseRootFromParent_Done,
     /* 1536373 */   // Label 21342: @1536373
     /* 1536373 */   GIM_Try, /*On fail goto*//*Label 21343*/ GIMT_Encode4(1536455), // Rule ID 18498 //
     /* 1536378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1536389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1536392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1536395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536417 */     // MIs[0] round
     /* 1536417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536420 */     // MIs[0] policy
     /* 1536420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536430 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1536433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536454 */     // GIR_Coverage, 18498,
     /* 1536454 */     GIR_EraseRootFromParent_Done,
     /* 1536455 */   // Label 21343: @1536455
     /* 1536455 */   GIM_Try, /*On fail goto*//*Label 21344*/ GIMT_Encode4(1536537), // Rule ID 18499 //
     /* 1536460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1536471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1536474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1536477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1536480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536499 */     // MIs[0] round
     /* 1536499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536502 */     // MIs[0] policy
     /* 1536502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536512 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 1536515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536536 */     // GIR_Coverage, 18499,
     /* 1536536 */     GIR_EraseRootFromParent_Done,
     /* 1536537 */   // Label 21344: @1536537
     /* 1536537 */   GIM_Try, /*On fail goto*//*Label 21345*/ GIMT_Encode4(1536619), // Rule ID 18502 //
     /* 1536542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1536545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1536553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1536556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1536559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1536562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536581 */     // MIs[0] round
     /* 1536581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536584 */     // MIs[0] policy
     /* 1536584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536594 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1536597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536618 */     // GIR_Coverage, 18502,
     /* 1536618 */     GIR_EraseRootFromParent_Done,
     /* 1536619 */   // Label 21345: @1536619
     /* 1536619 */   GIM_Try, /*On fail goto*//*Label 21346*/ GIMT_Encode4(1536701), // Rule ID 18503 //
     /* 1536624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1536627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1536635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1536638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1536641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1536644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1536663 */     // MIs[0] round
     /* 1536663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536666 */     // MIs[0] policy
     /* 1536666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536676 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 1536679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1536697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536700 */     // GIR_Coverage, 18503,
     /* 1536700 */     GIR_EraseRootFromParent_Done,
     /* 1536701 */   // Label 21346: @1536701
     /* 1536701 */   GIM_Try, /*On fail goto*//*Label 21347*/ GIMT_Encode4(1536783), // Rule ID 18506 //
     /* 1536706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1536709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1536717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1536720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1536723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536745 */     // MIs[0] round
     /* 1536745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536748 */     // MIs[0] policy
     /* 1536748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536758 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1536761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536782 */     // GIR_Coverage, 18506,
     /* 1536782 */     GIR_EraseRootFromParent_Done,
     /* 1536783 */   // Label 21347: @1536783
     /* 1536783 */   GIM_Try, /*On fail goto*//*Label 21348*/ GIMT_Encode4(1536865), // Rule ID 18507 //
     /* 1536788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1536791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1536799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1536802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1536805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1536808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1536827 */     // MIs[0] round
     /* 1536827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536830 */     // MIs[0] policy
     /* 1536830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536840 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1536840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 1536843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536864 */     // GIR_Coverage, 18507,
     /* 1536864 */     GIR_EraseRootFromParent_Done,
     /* 1536865 */   // Label 21348: @1536865
     /* 1536865 */   GIM_Try, /*On fail goto*//*Label 21349*/ GIMT_Encode4(1536947), // Rule ID 18510 //
     /* 1536870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1536873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1536881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1536884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1536887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1536893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536909 */     // MIs[0] round
     /* 1536909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536912 */     // MIs[0] policy
     /* 1536912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1536922 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1536922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1536925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1536927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1536929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1536931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1536933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1536935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1536940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1536943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1536945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1536946 */     // GIR_Coverage, 18510,
     /* 1536946 */     GIR_EraseRootFromParent_Done,
     /* 1536947 */   // Label 21349: @1536947
     /* 1536947 */   GIM_Try, /*On fail goto*//*Label 21350*/ GIMT_Encode4(1537029), // Rule ID 18511 //
     /* 1536952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1536955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1536960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1536963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1536966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1536969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1536972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1536975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1536991 */     // MIs[0] round
     /* 1536991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1536994 */     // MIs[0] policy
     /* 1536994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1536997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537004 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 1537007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537028 */     // GIR_Coverage, 18511,
     /* 1537028 */     GIR_EraseRootFromParent_Done,
     /* 1537029 */   // Label 21350: @1537029
     /* 1537029 */   GIM_Try, /*On fail goto*//*Label 21351*/ GIMT_Encode4(1537111), // Rule ID 18514 //
     /* 1537034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1537037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1537051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1537054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537073 */     // MIs[0] round
     /* 1537073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537076 */     // MIs[0] policy
     /* 1537076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537086 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1537089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537110 */     // GIR_Coverage, 18514,
     /* 1537110 */     GIR_EraseRootFromParent_Done,
     /* 1537111 */   // Label 21351: @1537111
     /* 1537111 */   GIM_Try, /*On fail goto*//*Label 21352*/ GIMT_Encode4(1537193), // Rule ID 18515 //
     /* 1537116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1537119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1537127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1537130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1537133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1537136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537155 */     // MIs[0] round
     /* 1537155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537158 */     // MIs[0] policy
     /* 1537158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537168 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 1537171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1537189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537192 */     // GIR_Coverage, 18515,
     /* 1537192 */     GIR_EraseRootFromParent_Done,
     /* 1537193 */   // Label 21352: @1537193
     /* 1537193 */   GIM_Try, /*On fail goto*//*Label 21353*/ GIMT_Encode4(1537275), // Rule ID 18518 //
     /* 1537198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1537215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1537218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537237 */     // MIs[0] round
     /* 1537237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537240 */     // MIs[0] policy
     /* 1537240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537250 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1537253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537274 */     // GIR_Coverage, 18518,
     /* 1537274 */     GIR_EraseRootFromParent_Done,
     /* 1537275 */   // Label 21353: @1537275
     /* 1537275 */   GIM_Try, /*On fail goto*//*Label 21354*/ GIMT_Encode4(1537357), // Rule ID 18519 //
     /* 1537280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1537283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1537291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1537294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1537297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1537300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1537319 */     // MIs[0] round
     /* 1537319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537322 */     // MIs[0] policy
     /* 1537322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537332 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 1537335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537356 */     // GIR_Coverage, 18519,
     /* 1537356 */     GIR_EraseRootFromParent_Done,
     /* 1537357 */   // Label 21354: @1537357
     /* 1537357 */   GIM_Try, /*On fail goto*//*Label 21355*/ GIMT_Encode4(1537439), // Rule ID 18522 //
     /* 1537362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1537379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1537382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537401 */     // MIs[0] round
     /* 1537401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537404 */     // MIs[0] policy
     /* 1537404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537414 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1537417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537438 */     // GIR_Coverage, 18522,
     /* 1537438 */     GIR_EraseRootFromParent_Done,
     /* 1537439 */   // Label 21355: @1537439
     /* 1537439 */   GIM_Try, /*On fail goto*//*Label 21356*/ GIMT_Encode4(1537521), // Rule ID 18523 //
     /* 1537444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1537447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1537455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1537458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1537461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1537464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1537483 */     // MIs[0] round
     /* 1537483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537486 */     // MIs[0] policy
     /* 1537486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 1537499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537520 */     // GIR_Coverage, 18523,
     /* 1537520 */     GIR_EraseRootFromParent_Done,
     /* 1537521 */   // Label 21356: @1537521
     /* 1537521 */   GIM_Try, /*On fail goto*//*Label 21357*/ GIMT_Encode4(1537603), // Rule ID 18526 //
     /* 1537526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1537529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1537537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1537540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1537543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1537546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537565 */     // MIs[0] round
     /* 1537565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537568 */     // MIs[0] policy
     /* 1537568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537578 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1537581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537602 */     // GIR_Coverage, 18526,
     /* 1537602 */     GIR_EraseRootFromParent_Done,
     /* 1537603 */   // Label 21357: @1537603
     /* 1537603 */   GIM_Try, /*On fail goto*//*Label 21358*/ GIMT_Encode4(1537685), // Rule ID 18527 //
     /* 1537608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1537611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1537619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1537622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1537625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1537628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1537647 */     // MIs[0] round
     /* 1537647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537650 */     // MIs[0] policy
     /* 1537650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537660 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 1537663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1537681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537684 */     // GIR_Coverage, 18527,
     /* 1537684 */     GIR_EraseRootFromParent_Done,
     /* 1537685 */   // Label 21358: @1537685
     /* 1537685 */   GIM_Try, /*On fail goto*//*Label 21359*/ GIMT_Encode4(1537767), // Rule ID 18530 //
     /* 1537690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1537693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1537701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1537704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1537710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537729 */     // MIs[0] round
     /* 1537729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537732 */     // MIs[0] policy
     /* 1537732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537742 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1537745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537766 */     // GIR_Coverage, 18530,
     /* 1537766 */     GIR_EraseRootFromParent_Done,
     /* 1537767 */   // Label 21359: @1537767
     /* 1537767 */   GIM_Try, /*On fail goto*//*Label 21360*/ GIMT_Encode4(1537849), // Rule ID 18531 //
     /* 1537772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1537775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1537783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1537786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1537792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537811 */     // MIs[0] round
     /* 1537811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537814 */     // MIs[0] policy
     /* 1537814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537824 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16),
     /* 1537827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537848 */     // GIR_Coverage, 18531,
     /* 1537848 */     GIR_EraseRootFromParent_Done,
     /* 1537849 */   // Label 21360: @1537849
     /* 1537849 */   GIM_Try, /*On fail goto*//*Label 21361*/ GIMT_Encode4(1537931), // Rule ID 18534 //
     /* 1537854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1537857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1537865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1537868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1537874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1537877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537893 */     // MIs[0] round
     /* 1537893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537896 */     // MIs[0] policy
     /* 1537896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537906 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1537906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1537909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1537919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1537924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1537927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1537929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1537930 */     // GIR_Coverage, 18534,
     /* 1537930 */     GIR_EraseRootFromParent_Done,
     /* 1537931 */   // Label 21361: @1537931
     /* 1537931 */   GIM_Try, /*On fail goto*//*Label 21362*/ GIMT_Encode4(1538013), // Rule ID 18535 //
     /* 1537936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1537939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1537944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1537947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1537950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1537953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1537956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1537959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1537971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1537975 */     // MIs[0] round
     /* 1537975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1537978 */     // MIs[0] policy
     /* 1537978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1537981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1537988 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1537988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16),
     /* 1537991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1537993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1537995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1537997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1537999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538012 */     // GIR_Coverage, 18535,
     /* 1538012 */     GIR_EraseRootFromParent_Done,
     /* 1538013 */   // Label 21362: @1538013
     /* 1538013 */   GIM_Try, /*On fail goto*//*Label 21363*/ GIMT_Encode4(1538095), // Rule ID 18538 //
     /* 1538018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1538021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538057 */     // MIs[0] round
     /* 1538057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538060 */     // MIs[0] policy
     /* 1538060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538070 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1538073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538094 */     // GIR_Coverage, 18538,
     /* 1538094 */     GIR_EraseRootFromParent_Done,
     /* 1538095 */   // Label 21363: @1538095
     /* 1538095 */   GIM_Try, /*On fail goto*//*Label 21364*/ GIMT_Encode4(1538177), // Rule ID 18539 //
     /* 1538100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1538103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1538111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1538114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1538120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538139 */     // MIs[0] round
     /* 1538139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538142 */     // MIs[0] policy
     /* 1538142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538152 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32),
     /* 1538155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538176 */     // GIR_Coverage, 18539,
     /* 1538176 */     GIR_EraseRootFromParent_Done,
     /* 1538177 */   // Label 21364: @1538177
     /* 1538177 */   GIM_Try, /*On fail goto*//*Label 21365*/ GIMT_Encode4(1538259), // Rule ID 18542 //
     /* 1538182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1538193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1538196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538221 */     // MIs[0] round
     /* 1538221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538224 */     // MIs[0] policy
     /* 1538224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538234 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1538237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538258 */     // GIR_Coverage, 18542,
     /* 1538258 */     GIR_EraseRootFromParent_Done,
     /* 1538259 */   // Label 21365: @1538259
     /* 1538259 */   GIM_Try, /*On fail goto*//*Label 21366*/ GIMT_Encode4(1538341), // Rule ID 18543 //
     /* 1538264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1538267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1538275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1538278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1538284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538303 */     // MIs[0] round
     /* 1538303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538306 */     // MIs[0] policy
     /* 1538306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538316 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11216:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16),
     /* 1538319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538340 */     // GIR_Coverage, 18543,
     /* 1538340 */     GIR_EraseRootFromParent_Done,
     /* 1538341 */   // Label 21366: @1538341
     /* 1538341 */   GIM_Try, /*On fail goto*//*Label 21367*/ GIMT_Encode4(1538423), // Rule ID 18546 //
     /* 1538346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1538349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538385 */     // MIs[0] round
     /* 1538385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538388 */     // MIs[0] policy
     /* 1538388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538398 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1538401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538422 */     // GIR_Coverage, 18546,
     /* 1538422 */     GIR_EraseRootFromParent_Done,
     /* 1538423 */   // Label 21367: @1538423
     /* 1538423 */   GIM_Try, /*On fail goto*//*Label 21368*/ GIMT_Encode4(1538505), // Rule ID 18547 //
     /* 1538428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1538431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1538439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1538442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1538445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1538448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1538463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538467 */     // MIs[0] round
     /* 1538467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538470 */     // MIs[0] policy
     /* 1538470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538480 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11216:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32),
     /* 1538483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1538501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538504 */     // GIR_Coverage, 18547,
     /* 1538504 */     GIR_EraseRootFromParent_Done,
     /* 1538505 */   // Label 21368: @1538505
     /* 1538505 */   GIM_Try, /*On fail goto*//*Label 21369*/ GIMT_Encode4(1538587), // Rule ID 18550 //
     /* 1538510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1538513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1538521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1538524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1538527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1538530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1538545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538549 */     // MIs[0] round
     /* 1538549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538552 */     // MIs[0] policy
     /* 1538552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538562 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1538565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538586 */     // GIR_Coverage, 18550,
     /* 1538586 */     GIR_EraseRootFromParent_Done,
     /* 1538587 */   // Label 21369: @1538587
     /* 1538587 */   GIM_Try, /*On fail goto*//*Label 21370*/ GIMT_Encode4(1538669), // Rule ID 18551 //
     /* 1538592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1538595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1538603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1538606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1538609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1538612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1538627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1538631 */     // MIs[0] round
     /* 1538631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538634 */     // MIs[0] policy
     /* 1538634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538644 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11216:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64),
     /* 1538647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1538665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538668 */     // GIR_Coverage, 18551,
     /* 1538668 */     GIR_EraseRootFromParent_Done,
     /* 1538669 */   // Label 21370: @1538669
     /* 1538669 */   GIM_Try, /*On fail goto*//*Label 21371*/ GIMT_Encode4(1538751), // Rule ID 18554 //
     /* 1538674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1538685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1538688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538713 */     // MIs[0] round
     /* 1538713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538716 */     // MIs[0] policy
     /* 1538716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538726 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1538729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538750 */     // GIR_Coverage, 18554,
     /* 1538750 */     GIR_EraseRootFromParent_Done,
     /* 1538751 */   // Label 21371: @1538751
     /* 1538751 */   GIM_Try, /*On fail goto*//*Label 21372*/ GIMT_Encode4(1538833), // Rule ID 18555 //
     /* 1538756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1538759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1538767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1538770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1538776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1538795 */     // MIs[0] round
     /* 1538795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538798 */     // MIs[0] policy
     /* 1538798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538808 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16),
     /* 1538811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538832 */     // GIR_Coverage, 18555,
     /* 1538832 */     GIR_EraseRootFromParent_Done,
     /* 1538833 */   // Label 21372: @1538833
     /* 1538833 */   GIM_Try, /*On fail goto*//*Label 21373*/ GIMT_Encode4(1538915), // Rule ID 18558 //
     /* 1538838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1538841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1538849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1538852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1538861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538877 */     // MIs[0] round
     /* 1538877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538880 */     // MIs[0] policy
     /* 1538880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538890 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1538890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1538893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538914 */     // GIR_Coverage, 18558,
     /* 1538914 */     GIR_EraseRootFromParent_Done,
     /* 1538915 */   // Label 21373: @1538915
     /* 1538915 */   GIM_Try, /*On fail goto*//*Label 21374*/ GIMT_Encode4(1538997), // Rule ID 18559 //
     /* 1538920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1538923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1538928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1538931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1538934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1538937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1538940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1538943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1538955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1538959 */     // MIs[0] round
     /* 1538959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1538962 */     // MIs[0] policy
     /* 1538962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1538965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1538972 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1538972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16),
     /* 1538975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1538977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1538979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1538981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1538983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1538985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1538990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1538993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1538995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1538996 */     // GIR_Coverage, 18559,
     /* 1538996 */     GIR_EraseRootFromParent_Done,
     /* 1538997 */   // Label 21374: @1538997
     /* 1538997 */   GIM_Try, /*On fail goto*//*Label 21375*/ GIMT_Encode4(1539079), // Rule ID 18562 //
     /* 1539002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1539005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1539013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1539016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1539022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539041 */     // MIs[0] round
     /* 1539041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539044 */     // MIs[0] policy
     /* 1539044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539054 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1539057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539078 */     // GIR_Coverage, 18562,
     /* 1539078 */     GIR_EraseRootFromParent_Done,
     /* 1539079 */   // Label 21375: @1539079
     /* 1539079 */   GIM_Try, /*On fail goto*//*Label 21376*/ GIMT_Encode4(1539161), // Rule ID 18563 //
     /* 1539084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1539087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1539095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1539098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1539101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1539104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1539119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539123 */     // MIs[0] round
     /* 1539123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539126 */     // MIs[0] policy
     /* 1539126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539136 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16),
     /* 1539139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1539157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539160 */     // GIR_Coverage, 18563,
     /* 1539160 */     GIR_EraseRootFromParent_Done,
     /* 1539161 */   // Label 21376: @1539161
     /* 1539161 */   GIM_Try, /*On fail goto*//*Label 21377*/ GIMT_Encode4(1539243), // Rule ID 18566 //
     /* 1539166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539205 */     // MIs[0] round
     /* 1539205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539208 */     // MIs[0] policy
     /* 1539208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539218 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1539221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539242 */     // GIR_Coverage, 18566,
     /* 1539242 */     GIR_EraseRootFromParent_Done,
     /* 1539243 */   // Label 21377: @1539243
     /* 1539243 */   GIM_Try, /*On fail goto*//*Label 21378*/ GIMT_Encode4(1539325), // Rule ID 18567 //
     /* 1539248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1539251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1539259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1539262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1539268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539287 */     // MIs[0] round
     /* 1539287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539290 */     // MIs[0] policy
     /* 1539290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539300 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32),
     /* 1539303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539324 */     // GIR_Coverage, 18567,
     /* 1539324 */     GIR_EraseRootFromParent_Done,
     /* 1539325 */   // Label 21378: @1539325
     /* 1539325 */   GIM_Try, /*On fail goto*//*Label 21379*/ GIMT_Encode4(1539407), // Rule ID 18570 //
     /* 1539330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539369 */     // MIs[0] round
     /* 1539369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539372 */     // MIs[0] policy
     /* 1539372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539382 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1539385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539406 */     // GIR_Coverage, 18570,
     /* 1539406 */     GIR_EraseRootFromParent_Done,
     /* 1539407 */   // Label 21379: @1539407
     /* 1539407 */   GIM_Try, /*On fail goto*//*Label 21380*/ GIMT_Encode4(1539489), // Rule ID 18571 //
     /* 1539412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1539415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1539423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1539426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1539432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539451 */     // MIs[0] round
     /* 1539451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539454 */     // MIs[0] policy
     /* 1539454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539464 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32),
     /* 1539467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539488 */     // GIR_Coverage, 18571,
     /* 1539488 */     GIR_EraseRootFromParent_Done,
     /* 1539489 */   // Label 21380: @1539489
     /* 1539489 */   GIM_Try, /*On fail goto*//*Label 21381*/ GIMT_Encode4(1539571), // Rule ID 18574 //
     /* 1539494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1539497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1539514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539533 */     // MIs[0] round
     /* 1539533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539536 */     // MIs[0] policy
     /* 1539536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539546 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1539549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539570 */     // GIR_Coverage, 18574,
     /* 1539570 */     GIR_EraseRootFromParent_Done,
     /* 1539571 */   // Label 21381: @1539571
     /* 1539571 */   GIM_Try, /*On fail goto*//*Label 21382*/ GIMT_Encode4(1539653), // Rule ID 18575 //
     /* 1539576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1539579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1539587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1539590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1539593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1539596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1539611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1539615 */     // MIs[0] round
     /* 1539615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539618 */     // MIs[0] policy
     /* 1539618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539628 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32),
     /* 1539631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1539649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539652 */     // GIR_Coverage, 18575,
     /* 1539652 */     GIR_EraseRootFromParent_Done,
     /* 1539653 */   // Label 21382: @1539653
     /* 1539653 */   GIM_Try, /*On fail goto*//*Label 21383*/ GIMT_Encode4(1539735), // Rule ID 18578 //
     /* 1539658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1539661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1539675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1539678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1539693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539697 */     // MIs[0] round
     /* 1539697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539700 */     // MIs[0] policy
     /* 1539700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539710 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1539713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1539731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539734 */     // GIR_Coverage, 18578,
     /* 1539734 */     GIR_EraseRootFromParent_Done,
     /* 1539735 */   // Label 21383: @1539735
     /* 1539735 */   GIM_Try, /*On fail goto*//*Label 21384*/ GIMT_Encode4(1539817), // Rule ID 18579 //
     /* 1539740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1539743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1539751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1539754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1539757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1539760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1539775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1539779 */     // MIs[0] round
     /* 1539779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539782 */     // MIs[0] policy
     /* 1539782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539792 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11216:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64),
     /* 1539795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1539813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539816 */     // GIR_Coverage, 18579,
     /* 1539816 */     GIR_EraseRootFromParent_Done,
     /* 1539817 */   // Label 21384: @1539817
     /* 1539817 */   GIM_Try, /*On fail goto*//*Label 21385*/ GIMT_Encode4(1539899), // Rule ID 18582 //
     /* 1539822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1539825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1539839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1539842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1539845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1539857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539861 */     // MIs[0] round
     /* 1539861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539864 */     // MIs[0] policy
     /* 1539864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539874 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1539874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1539877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1539895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539898 */     // GIR_Coverage, 18582,
     /* 1539898 */     GIR_EraseRootFromParent_Done,
     /* 1539899 */   // Label 21385: @1539899
     /* 1539899 */   GIM_Try, /*On fail goto*//*Label 21386*/ GIMT_Encode4(1539981), // Rule ID 18583 //
     /* 1539904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1539907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1539915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1539918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1539921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1539924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1539927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1539939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1539943 */     // MIs[0] round
     /* 1539943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1539946 */     // MIs[0] policy
     /* 1539946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1539949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1539956 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11216:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1539956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64),
     /* 1539959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1539961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1539963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1539965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1539967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1539969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1539974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1539977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1539979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1539980 */     // GIR_Coverage, 18583,
     /* 1539980 */     GIR_EraseRootFromParent_Done,
     /* 1539981 */   // Label 21386: @1539981
     /* 1539981 */   GIM_Try, /*On fail goto*//*Label 21387*/ GIMT_Encode4(1540063), // Rule ID 18586 //
     /* 1539986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1539989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1539994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1539997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1540006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540025 */     // MIs[0] round
     /* 1540025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540028 */     // MIs[0] policy
     /* 1540028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540038 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1540041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540062 */     // GIR_Coverage, 18586,
     /* 1540062 */     GIR_EraseRootFromParent_Done,
     /* 1540063 */   // Label 21387: @1540063
     /* 1540063 */   GIM_Try, /*On fail goto*//*Label 21388*/ GIMT_Encode4(1540145), // Rule ID 18587 //
     /* 1540068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1540071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub),
     /* 1540076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1540079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1540082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1540085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1540088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1540103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1540107 */     // MIs[0] round
     /* 1540107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540110 */     // MIs[0] policy
     /* 1540110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540120 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11216:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64),
     /* 1540123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1540141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540144 */     // GIR_Coverage, 18587,
     /* 1540144 */     GIR_EraseRootFromParent_Done,
     /* 1540145 */   // Label 21388: @1540145
     /* 1540145 */   GIM_Try, /*On fail goto*//*Label 21389*/ GIMT_Encode4(1540227), // Rule ID 18590 //
     /* 1540150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1540153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1540161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1540164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540189 */     // MIs[0] round
     /* 1540189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540192 */     // MIs[0] policy
     /* 1540192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540202 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1540205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540226 */     // GIR_Coverage, 18590,
     /* 1540226 */     GIR_EraseRootFromParent_Done,
     /* 1540227 */   // Label 21389: @1540227
     /* 1540227 */   GIM_Try, /*On fail goto*//*Label 21390*/ GIMT_Encode4(1540309), // Rule ID 18591 //
     /* 1540232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1540235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1540243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1540246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1540249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1540252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540271 */     // MIs[0] round
     /* 1540271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540274 */     // MIs[0] policy
     /* 1540274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540284 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 1540287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540308 */     // GIR_Coverage, 18591,
     /* 1540308 */     GIR_EraseRootFromParent_Done,
     /* 1540309 */   // Label 21390: @1540309
     /* 1540309 */   GIM_Try, /*On fail goto*//*Label 21391*/ GIMT_Encode4(1540391), // Rule ID 18594 //
     /* 1540314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1540317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1540325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1540328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1540331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540353 */     // MIs[0] round
     /* 1540353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540356 */     // MIs[0] policy
     /* 1540356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540366 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1540369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540390 */     // GIR_Coverage, 18594,
     /* 1540390 */     GIR_EraseRootFromParent_Done,
     /* 1540391 */   // Label 21391: @1540391
     /* 1540391 */   GIM_Try, /*On fail goto*//*Label 21392*/ GIMT_Encode4(1540473), // Rule ID 18595 //
     /* 1540396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1540399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1540407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1540410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1540413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1540416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540435 */     // MIs[0] round
     /* 1540435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540438 */     // MIs[0] policy
     /* 1540438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540448 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 1540451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540472 */     // GIR_Coverage, 18595,
     /* 1540472 */     GIR_EraseRootFromParent_Done,
     /* 1540473 */   // Label 21392: @1540473
     /* 1540473 */   GIM_Try, /*On fail goto*//*Label 21393*/ GIMT_Encode4(1540555), // Rule ID 18598 //
     /* 1540478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1540481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540517 */     // MIs[0] round
     /* 1540517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540520 */     // MIs[0] policy
     /* 1540520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1540533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540554 */     // GIR_Coverage, 18598,
     /* 1540554 */     GIR_EraseRootFromParent_Done,
     /* 1540555 */   // Label 21393: @1540555
     /* 1540555 */   GIM_Try, /*On fail goto*//*Label 21394*/ GIMT_Encode4(1540637), // Rule ID 18599 //
     /* 1540560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1540563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1540571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1540574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1540577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1540580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540599 */     // MIs[0] round
     /* 1540599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540602 */     // MIs[0] policy
     /* 1540602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540612 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 1540615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540636 */     // GIR_Coverage, 18599,
     /* 1540636 */     GIR_EraseRootFromParent_Done,
     /* 1540637 */   // Label 21394: @1540637
     /* 1540637 */   GIM_Try, /*On fail goto*//*Label 21395*/ GIMT_Encode4(1540719), // Rule ID 18602 //
     /* 1540642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1540645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1540653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1540656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540681 */     // MIs[0] round
     /* 1540681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540684 */     // MIs[0] policy
     /* 1540684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540694 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1540697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540718 */     // GIR_Coverage, 18602,
     /* 1540718 */     GIR_EraseRootFromParent_Done,
     /* 1540719 */   // Label 21395: @1540719
     /* 1540719 */   GIM_Try, /*On fail goto*//*Label 21396*/ GIMT_Encode4(1540801), // Rule ID 18603 //
     /* 1540724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1540727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1540735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1540738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1540741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1540744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540763 */     // MIs[0] round
     /* 1540763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540766 */     // MIs[0] policy
     /* 1540766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540776 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 1540779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1540797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540800 */     // GIR_Coverage, 18603,
     /* 1540800 */     GIR_EraseRootFromParent_Done,
     /* 1540801 */   // Label 21396: @1540801
     /* 1540801 */   GIM_Try, /*On fail goto*//*Label 21397*/ GIMT_Encode4(1540883), // Rule ID 18606 //
     /* 1540806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1540809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1540823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540845 */     // MIs[0] round
     /* 1540845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540848 */     // MIs[0] policy
     /* 1540848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540858 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1540858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1540861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540882 */     // GIR_Coverage, 18606,
     /* 1540882 */     GIR_EraseRootFromParent_Done,
     /* 1540883 */   // Label 21397: @1540883
     /* 1540883 */   GIM_Try, /*On fail goto*//*Label 21398*/ GIMT_Encode4(1540965), // Rule ID 18607 //
     /* 1540888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1540891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1540899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1540902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1540905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1540908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1540911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540927 */     // MIs[0] round
     /* 1540927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1540930 */     // MIs[0] policy
     /* 1540930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1540933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1540940 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1540940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 1540943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1540945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1540947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1540949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1540951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1540953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1540958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1540961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1540963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1540964 */     // GIR_Coverage, 18607,
     /* 1540964 */     GIR_EraseRootFromParent_Done,
     /* 1540965 */   // Label 21398: @1540965
     /* 1540965 */   GIM_Try, /*On fail goto*//*Label 21399*/ GIMT_Encode4(1541047), // Rule ID 18610 //
     /* 1540970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1540973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1540978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1540981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1540984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1540987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1540990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1540993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1540997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541009 */     // MIs[0] round
     /* 1541009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541012 */     // MIs[0] policy
     /* 1541012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541022 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1541025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541046 */     // GIR_Coverage, 18610,
     /* 1541046 */     GIR_EraseRootFromParent_Done,
     /* 1541047 */   // Label 21399: @1541047
     /* 1541047 */   GIM_Try, /*On fail goto*//*Label 21400*/ GIMT_Encode4(1541129), // Rule ID 18611 //
     /* 1541052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1541055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1541063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1541066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1541069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1541072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1541091 */     // MIs[0] round
     /* 1541091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541094 */     // MIs[0] policy
     /* 1541094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541104 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 1541107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1541125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541128 */     // GIR_Coverage, 18611,
     /* 1541128 */     GIR_EraseRootFromParent_Done,
     /* 1541129 */   // Label 21400: @1541129
     /* 1541129 */   GIM_Try, /*On fail goto*//*Label 21401*/ GIMT_Encode4(1541211), // Rule ID 18614 //
     /* 1541134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1541137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1541145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1541148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541173 */     // MIs[0] round
     /* 1541173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541176 */     // MIs[0] policy
     /* 1541176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541186 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1541189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541210 */     // GIR_Coverage, 18614,
     /* 1541210 */     GIR_EraseRootFromParent_Done,
     /* 1541211 */   // Label 21401: @1541211
     /* 1541211 */   GIM_Try, /*On fail goto*//*Label 21402*/ GIMT_Encode4(1541293), // Rule ID 18615 //
     /* 1541216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1541219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1541227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1541230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1541233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1541236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541255 */     // MIs[0] round
     /* 1541255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541258 */     // MIs[0] policy
     /* 1541258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541268 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 1541271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541292 */     // GIR_Coverage, 18615,
     /* 1541292 */     GIR_EraseRootFromParent_Done,
     /* 1541293 */   // Label 21402: @1541293
     /* 1541293 */   GIM_Try, /*On fail goto*//*Label 21403*/ GIMT_Encode4(1541375), // Rule ID 18618 //
     /* 1541298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1541301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1541309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1541312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541337 */     // MIs[0] round
     /* 1541337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541340 */     // MIs[0] policy
     /* 1541340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541350 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1541353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541374 */     // GIR_Coverage, 18618,
     /* 1541374 */     GIR_EraseRootFromParent_Done,
     /* 1541375 */   // Label 21403: @1541375
     /* 1541375 */   GIM_Try, /*On fail goto*//*Label 21404*/ GIMT_Encode4(1541457), // Rule ID 18619 //
     /* 1541380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1541383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1541391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1541394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1541397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1541400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541419 */     // MIs[0] round
     /* 1541419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541422 */     // MIs[0] policy
     /* 1541422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541432 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 1541435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541456 */     // GIR_Coverage, 18619,
     /* 1541456 */     GIR_EraseRootFromParent_Done,
     /* 1541457 */   // Label 21404: @1541457
     /* 1541457 */   GIM_Try, /*On fail goto*//*Label 21405*/ GIMT_Encode4(1541539), // Rule ID 18622 //
     /* 1541462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1541465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1541473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1541476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1541479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1541482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541501 */     // MIs[0] round
     /* 1541501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541504 */     // MIs[0] policy
     /* 1541504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541514 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1541517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541538 */     // GIR_Coverage, 18622,
     /* 1541538 */     GIR_EraseRootFromParent_Done,
     /* 1541539 */   // Label 21405: @1541539
     /* 1541539 */   GIM_Try, /*On fail goto*//*Label 21406*/ GIMT_Encode4(1541621), // Rule ID 18623 //
     /* 1541544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1541547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1541555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1541558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1541561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1541564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541583 */     // MIs[0] round
     /* 1541583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541586 */     // MIs[0] policy
     /* 1541586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541596 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 1541599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1541617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541620 */     // GIR_Coverage, 18623,
     /* 1541620 */     GIR_EraseRootFromParent_Done,
     /* 1541621 */   // Label 21406: @1541621
     /* 1541621 */   GIM_Try, /*On fail goto*//*Label 21407*/ GIMT_Encode4(1541703), // Rule ID 18626 //
     /* 1541626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1541629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541665 */     // MIs[0] round
     /* 1541665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541668 */     // MIs[0] policy
     /* 1541668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541678 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1541681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541702 */     // GIR_Coverage, 18626,
     /* 1541702 */     GIR_EraseRootFromParent_Done,
     /* 1541703 */   // Label 21407: @1541703
     /* 1541703 */   GIM_Try, /*On fail goto*//*Label 21408*/ GIMT_Encode4(1541785), // Rule ID 18627 //
     /* 1541708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1541711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1541719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1541722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1541725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1541728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1541747 */     // MIs[0] round
     /* 1541747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541750 */     // MIs[0] policy
     /* 1541750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541760 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 1541763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541784 */     // GIR_Coverage, 18627,
     /* 1541784 */     GIR_EraseRootFromParent_Done,
     /* 1541785 */   // Label 21408: @1541785
     /* 1541785 */   GIM_Try, /*On fail goto*//*Label 21409*/ GIMT_Encode4(1541867), // Rule ID 18630 //
     /* 1541790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1541793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541829 */     // MIs[0] round
     /* 1541829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541832 */     // MIs[0] policy
     /* 1541832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541842 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1541842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1541845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541866 */     // GIR_Coverage, 18630,
     /* 1541866 */     GIR_EraseRootFromParent_Done,
     /* 1541867 */   // Label 21409: @1541867
     /* 1541867 */   GIM_Try, /*On fail goto*//*Label 21410*/ GIMT_Encode4(1541949), // Rule ID 18631 //
     /* 1541872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1541875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1541883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1541886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1541889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1541892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1541895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1541911 */     // MIs[0] round
     /* 1541911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541914 */     // MIs[0] policy
     /* 1541914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1541924 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1541924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 1541927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1541929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1541931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1541933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1541935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1541937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1541942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1541945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1541947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1541948 */     // GIR_Coverage, 18631,
     /* 1541948 */     GIR_EraseRootFromParent_Done,
     /* 1541949 */   // Label 21410: @1541949
     /* 1541949 */   GIM_Try, /*On fail goto*//*Label 21411*/ GIMT_Encode4(1542031), // Rule ID 18634 //
     /* 1541954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1541957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1541962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1541965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1541968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1541971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1541974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1541977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1541993 */     // MIs[0] round
     /* 1541993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1541996 */     // MIs[0] policy
     /* 1541996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1541999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542006 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1542009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542030 */     // GIR_Coverage, 18634,
     /* 1542030 */     GIR_EraseRootFromParent_Done,
     /* 1542031 */   // Label 21411: @1542031
     /* 1542031 */   GIM_Try, /*On fail goto*//*Label 21412*/ GIMT_Encode4(1542113), // Rule ID 18635 //
     /* 1542036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1542039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1542047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1542050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1542053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1542056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542075 */     // MIs[0] round
     /* 1542075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542078 */     // MIs[0] policy
     /* 1542078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542088 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 1542091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1542109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542112 */     // GIR_Coverage, 18635,
     /* 1542112 */     GIR_EraseRootFromParent_Done,
     /* 1542113 */   // Label 21412: @1542113
     /* 1542113 */   GIM_Try, /*On fail goto*//*Label 21413*/ GIMT_Encode4(1542195), // Rule ID 18638 //
     /* 1542118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1542121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1542135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1542138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542157 */     // MIs[0] round
     /* 1542157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542160 */     // MIs[0] policy
     /* 1542160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542170 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1542173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542194 */     // GIR_Coverage, 18638,
     /* 1542194 */     GIR_EraseRootFromParent_Done,
     /* 1542195 */   // Label 21413: @1542195
     /* 1542195 */   GIM_Try, /*On fail goto*//*Label 21414*/ GIMT_Encode4(1542277), // Rule ID 18639 //
     /* 1542200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1542203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1542211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1542214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1542217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1542220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1542239 */     // MIs[0] round
     /* 1542239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542242 */     // MIs[0] policy
     /* 1542242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542252 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 1542255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542276 */     // GIR_Coverage, 18639,
     /* 1542276 */     GIR_EraseRootFromParent_Done,
     /* 1542277 */   // Label 21414: @1542277
     /* 1542277 */   GIM_Try, /*On fail goto*//*Label 21415*/ GIMT_Encode4(1542359), // Rule ID 18642 //
     /* 1542282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1542285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1542299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1542302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542321 */     // MIs[0] round
     /* 1542321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542324 */     // MIs[0] policy
     /* 1542324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542334 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1542337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542358 */     // GIR_Coverage, 18642,
     /* 1542358 */     GIR_EraseRootFromParent_Done,
     /* 1542359 */   // Label 21415: @1542359
     /* 1542359 */   GIM_Try, /*On fail goto*//*Label 21416*/ GIMT_Encode4(1542441), // Rule ID 18643 //
     /* 1542364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1542367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1542375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1542378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1542381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1542384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1542403 */     // MIs[0] round
     /* 1542403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542406 */     // MIs[0] policy
     /* 1542406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542416 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 1542419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542440 */     // GIR_Coverage, 18643,
     /* 1542440 */     GIR_EraseRootFromParent_Done,
     /* 1542441 */   // Label 21416: @1542441
     /* 1542441 */   GIM_Try, /*On fail goto*//*Label 21417*/ GIMT_Encode4(1542523), // Rule ID 18646 //
     /* 1542446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1542449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1542463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1542466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542485 */     // MIs[0] round
     /* 1542485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542488 */     // MIs[0] policy
     /* 1542488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542498 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1542501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542522 */     // GIR_Coverage, 18646,
     /* 1542522 */     GIR_EraseRootFromParent_Done,
     /* 1542523 */   // Label 21417: @1542523
     /* 1542523 */   GIM_Try, /*On fail goto*//*Label 21418*/ GIMT_Encode4(1542605), // Rule ID 18647 //
     /* 1542528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1542531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1542539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1542542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1542545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1542548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1542567 */     // MIs[0] round
     /* 1542567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542570 */     // MIs[0] policy
     /* 1542570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542580 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 1542583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1542601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542604 */     // GIR_Coverage, 18647,
     /* 1542604 */     GIR_EraseRootFromParent_Done,
     /* 1542605 */   // Label 21418: @1542605
     /* 1542605 */   GIM_Try, /*On fail goto*//*Label 21419*/ GIMT_Encode4(1542687), // Rule ID 18650 //
     /* 1542610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1542613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1542621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1542624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542649 */     // MIs[0] round
     /* 1542649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542652 */     // MIs[0] policy
     /* 1542652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542662 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1542665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542673 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542686 */     // GIR_Coverage, 18650,
     /* 1542686 */     GIR_EraseRootFromParent_Done,
     /* 1542687 */   // Label 21419: @1542687
     /* 1542687 */   GIM_Try, /*On fail goto*//*Label 21420*/ GIMT_Encode4(1542769), // Rule ID 18651 //
     /* 1542692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1542695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1542703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1542706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1542712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542731 */     // MIs[0] round
     /* 1542731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542734 */     // MIs[0] policy
     /* 1542734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542744 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16),
     /* 1542747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542755 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542768 */     // GIR_Coverage, 18651,
     /* 1542768 */     GIR_EraseRootFromParent_Done,
     /* 1542769 */   // Label 21420: @1542769
     /* 1542769 */   GIM_Try, /*On fail goto*//*Label 21421*/ GIMT_Encode4(1542851), // Rule ID 18654 //
     /* 1542774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1542777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1542785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1542788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542813 */     // MIs[0] round
     /* 1542813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542816 */     // MIs[0] policy
     /* 1542816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542826 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1542829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542837 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542850 */     // GIR_Coverage, 18654,
     /* 1542850 */     GIR_EraseRootFromParent_Done,
     /* 1542851 */   // Label 21421: @1542851
     /* 1542851 */   GIM_Try, /*On fail goto*//*Label 21422*/ GIMT_Encode4(1542933), // Rule ID 18655 //
     /* 1542856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1542859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1542867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1542870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1542873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1542876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1542879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1542891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542895 */     // MIs[0] round
     /* 1542895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542898 */     // MIs[0] policy
     /* 1542898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542908 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1542908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16),
     /* 1542911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1542919 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1542921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1542926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1542929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1542931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1542932 */     // GIR_Coverage, 18655,
     /* 1542932 */     GIR_EraseRootFromParent_Done,
     /* 1542933 */   // Label 21422: @1542933
     /* 1542933 */   GIM_Try, /*On fail goto*//*Label 21423*/ GIMT_Encode4(1543015), // Rule ID 18658 //
     /* 1542938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1542941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1542946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1542949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1542952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1542955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1542958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1542961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1542973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1542977 */     // MIs[0] round
     /* 1542977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1542980 */     // MIs[0] policy
     /* 1542980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1542983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1542990 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1542990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1542993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1542995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1542997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1542999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543001 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543014 */     // GIR_Coverage, 18658,
     /* 1543014 */     GIR_EraseRootFromParent_Done,
     /* 1543015 */   // Label 21423: @1543015
     /* 1543015 */   GIM_Try, /*On fail goto*//*Label 21424*/ GIMT_Encode4(1543097), // Rule ID 18659 //
     /* 1543020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1543023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1543031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1543034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1543040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543059 */     // MIs[0] round
     /* 1543059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543062 */     // MIs[0] policy
     /* 1543062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543072 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32),
     /* 1543075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543083 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543096 */     // GIR_Coverage, 18659,
     /* 1543096 */     GIR_EraseRootFromParent_Done,
     /* 1543097 */   // Label 21424: @1543097
     /* 1543097 */   GIM_Try, /*On fail goto*//*Label 21425*/ GIMT_Encode4(1543179), // Rule ID 18662 //
     /* 1543102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1543105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1543113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1543116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543141 */     // MIs[0] round
     /* 1543141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543144 */     // MIs[0] policy
     /* 1543144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543154 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1543157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543165 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543178 */     // GIR_Coverage, 18662,
     /* 1543178 */     GIR_EraseRootFromParent_Done,
     /* 1543179 */   // Label 21425: @1543179
     /* 1543179 */   GIM_Try, /*On fail goto*//*Label 21426*/ GIMT_Encode4(1543261), // Rule ID 18663 //
     /* 1543184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1543187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1543195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1543198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1543204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543223 */     // MIs[0] round
     /* 1543223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543226 */     // MIs[0] policy
     /* 1543226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543236 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11247:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16),
     /* 1543239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543247 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543260 */     // GIR_Coverage, 18663,
     /* 1543260 */     GIR_EraseRootFromParent_Done,
     /* 1543261 */   // Label 21426: @1543261
     /* 1543261 */   GIM_Try, /*On fail goto*//*Label 21427*/ GIMT_Encode4(1543343), // Rule ID 18666 //
     /* 1543266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1543269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543305 */     // MIs[0] round
     /* 1543305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543308 */     // MIs[0] policy
     /* 1543308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543318 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1543321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543329 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543342 */     // GIR_Coverage, 18666,
     /* 1543342 */     GIR_EraseRootFromParent_Done,
     /* 1543343 */   // Label 21427: @1543343
     /* 1543343 */   GIM_Try, /*On fail goto*//*Label 21428*/ GIMT_Encode4(1543425), // Rule ID 18667 //
     /* 1543348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1543351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1543359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1543362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1543365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1543368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1543383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543387 */     // MIs[0] round
     /* 1543387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543390 */     // MIs[0] policy
     /* 1543390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543400 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11247:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32),
     /* 1543403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543411 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1543421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543424 */     // GIR_Coverage, 18667,
     /* 1543424 */     GIR_EraseRootFromParent_Done,
     /* 1543425 */   // Label 21428: @1543425
     /* 1543425 */   GIM_Try, /*On fail goto*//*Label 21429*/ GIMT_Encode4(1543507), // Rule ID 18670 //
     /* 1543430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1543433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1543447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1543450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1543465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543469 */     // MIs[0] round
     /* 1543469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543472 */     // MIs[0] policy
     /* 1543472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543482 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1543485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543493 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1543503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543506 */     // GIR_Coverage, 18670,
     /* 1543506 */     GIR_EraseRootFromParent_Done,
     /* 1543507 */   // Label 21429: @1543507
     /* 1543507 */   GIM_Try, /*On fail goto*//*Label 21430*/ GIMT_Encode4(1543589), // Rule ID 18671 //
     /* 1543512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1543515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1543523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1543526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1543529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1543532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1543547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1543551 */     // MIs[0] round
     /* 1543551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543554 */     // MIs[0] policy
     /* 1543554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543564 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11247:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64),
     /* 1543567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543575 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1543585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543588 */     // GIR_Coverage, 18671,
     /* 1543588 */     GIR_EraseRootFromParent_Done,
     /* 1543589 */   // Label 21430: @1543589
     /* 1543589 */   GIM_Try, /*On fail goto*//*Label 21431*/ GIMT_Encode4(1543671), // Rule ID 18674 //
     /* 1543594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1543597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1543605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1543608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543633 */     // MIs[0] round
     /* 1543633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543636 */     // MIs[0] policy
     /* 1543636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543646 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1543649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543657 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543670 */     // GIR_Coverage, 18674,
     /* 1543670 */     GIR_EraseRootFromParent_Done,
     /* 1543671 */   // Label 21431: @1543671
     /* 1543671 */   GIM_Try, /*On fail goto*//*Label 21432*/ GIMT_Encode4(1543753), // Rule ID 18675 //
     /* 1543676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1543679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1543687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1543690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1543696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1543715 */     // MIs[0] round
     /* 1543715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543718 */     // MIs[0] policy
     /* 1543718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543728 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16),
     /* 1543731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543739 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543752 */     // GIR_Coverage, 18675,
     /* 1543752 */     GIR_EraseRootFromParent_Done,
     /* 1543753 */   // Label 21432: @1543753
     /* 1543753 */   GIM_Try, /*On fail goto*//*Label 21433*/ GIMT_Encode4(1543835), // Rule ID 18678 //
     /* 1543758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1543761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1543769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1543772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543797 */     // MIs[0] round
     /* 1543797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543800 */     // MIs[0] policy
     /* 1543800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543810 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1543813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543821 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543834 */     // GIR_Coverage, 18678,
     /* 1543834 */     GIR_EraseRootFromParent_Done,
     /* 1543835 */   // Label 21433: @1543835
     /* 1543835 */   GIM_Try, /*On fail goto*//*Label 21434*/ GIMT_Encode4(1543917), // Rule ID 18679 //
     /* 1543840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1543843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1543851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1543854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1543860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1543863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1543879 */     // MIs[0] round
     /* 1543879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543882 */     // MIs[0] policy
     /* 1543882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543892 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1543892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16),
     /* 1543895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543903 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543916 */     // GIR_Coverage, 18679,
     /* 1543916 */     GIR_EraseRootFromParent_Done,
     /* 1543917 */   // Label 21434: @1543917
     /* 1543917 */   GIM_Try, /*On fail goto*//*Label 21435*/ GIMT_Encode4(1543999), // Rule ID 18682 //
     /* 1543922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1543925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1543930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1543933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1543936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1543939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1543942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1543945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1543957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1543961 */     // MIs[0] round
     /* 1543961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1543964 */     // MIs[0] policy
     /* 1543964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1543967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1543974 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1543974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1543977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1543979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1543981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1543983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1543985 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1543987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1543992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1543995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1543997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1543998 */     // GIR_Coverage, 18682,
     /* 1543998 */     GIR_EraseRootFromParent_Done,
     /* 1543999 */   // Label 21435: @1543999
     /* 1543999 */   GIM_Try, /*On fail goto*//*Label 21436*/ GIMT_Encode4(1544081), // Rule ID 18683 //
     /* 1544004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1544007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1544015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1544018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1544021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1544024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1544039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544043 */     // MIs[0] round
     /* 1544043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544046 */     // MIs[0] policy
     /* 1544046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544056 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16),
     /* 1544059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544067 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1544077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544080 */     // GIR_Coverage, 18683,
     /* 1544080 */     GIR_EraseRootFromParent_Done,
     /* 1544081 */   // Label 21436: @1544081
     /* 1544081 */   GIM_Try, /*On fail goto*//*Label 21437*/ GIMT_Encode4(1544163), // Rule ID 18686 //
     /* 1544086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1544089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544125 */     // MIs[0] round
     /* 1544125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544128 */     // MIs[0] policy
     /* 1544128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544138 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1544141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544149 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544162 */     // GIR_Coverage, 18686,
     /* 1544162 */     GIR_EraseRootFromParent_Done,
     /* 1544163 */   // Label 21437: @1544163
     /* 1544163 */   GIM_Try, /*On fail goto*//*Label 21438*/ GIMT_Encode4(1544245), // Rule ID 18687 //
     /* 1544168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1544171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1544179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1544182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1544188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544207 */     // MIs[0] round
     /* 1544207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544210 */     // MIs[0] policy
     /* 1544210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544220 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32),
     /* 1544223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544231 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544244 */     // GIR_Coverage, 18687,
     /* 1544244 */     GIR_EraseRootFromParent_Done,
     /* 1544245 */   // Label 21438: @1544245
     /* 1544245 */   GIM_Try, /*On fail goto*//*Label 21439*/ GIMT_Encode4(1544327), // Rule ID 18690 //
     /* 1544250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1544253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544289 */     // MIs[0] round
     /* 1544289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544292 */     // MIs[0] policy
     /* 1544292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544302 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1544305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544313 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544326 */     // GIR_Coverage, 18690,
     /* 1544326 */     GIR_EraseRootFromParent_Done,
     /* 1544327 */   // Label 21439: @1544327
     /* 1544327 */   GIM_Try, /*On fail goto*//*Label 21440*/ GIMT_Encode4(1544409), // Rule ID 18691 //
     /* 1544332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1544335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1544343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1544346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1544352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544371 */     // MIs[0] round
     /* 1544371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544374 */     // MIs[0] policy
     /* 1544374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544384 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32),
     /* 1544387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544395 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544408 */     // GIR_Coverage, 18691,
     /* 1544408 */     GIR_EraseRootFromParent_Done,
     /* 1544409 */   // Label 21440: @1544409
     /* 1544409 */   GIM_Try, /*On fail goto*//*Label 21441*/ GIMT_Encode4(1544491), // Rule ID 18694 //
     /* 1544414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1544417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1544434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544453 */     // MIs[0] round
     /* 1544453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544456 */     // MIs[0] policy
     /* 1544456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544466 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1544469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544477 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544490 */     // GIR_Coverage, 18694,
     /* 1544490 */     GIR_EraseRootFromParent_Done,
     /* 1544491 */   // Label 21441: @1544491
     /* 1544491 */   GIM_Try, /*On fail goto*//*Label 21442*/ GIMT_Encode4(1544573), // Rule ID 18695 //
     /* 1544496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1544499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1544507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1544510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1544513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1544516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1544531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544535 */     // MIs[0] round
     /* 1544535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544538 */     // MIs[0] policy
     /* 1544538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544548 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32),
     /* 1544551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544559 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1544569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544572 */     // GIR_Coverage, 18695,
     /* 1544572 */     GIR_EraseRootFromParent_Done,
     /* 1544573 */   // Label 21442: @1544573
     /* 1544573 */   GIM_Try, /*On fail goto*//*Label 21443*/ GIMT_Encode4(1544655), // Rule ID 18698 //
     /* 1544578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1544581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1544595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1544598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1544613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544617 */     // MIs[0] round
     /* 1544617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544620 */     // MIs[0] policy
     /* 1544620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544630 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1544633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544641 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544654 */     // GIR_Coverage, 18698,
     /* 1544654 */     GIR_EraseRootFromParent_Done,
     /* 1544655 */   // Label 21443: @1544655
     /* 1544655 */   GIM_Try, /*On fail goto*//*Label 21444*/ GIMT_Encode4(1544737), // Rule ID 18699 //
     /* 1544660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1544663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1544671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1544674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1544677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1544680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1544695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1544699 */     // MIs[0] round
     /* 1544699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544702 */     // MIs[0] policy
     /* 1544702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544712 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11247:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64),
     /* 1544715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544723 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544736 */     // GIR_Coverage, 18699,
     /* 1544736 */     GIR_EraseRootFromParent_Done,
     /* 1544737 */   // Label 21444: @1544737
     /* 1544737 */   GIM_Try, /*On fail goto*//*Label 21445*/ GIMT_Encode4(1544819), // Rule ID 18702 //
     /* 1544742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1544745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1544759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1544762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1544777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544781 */     // MIs[0] round
     /* 1544781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544784 */     // MIs[0] policy
     /* 1544784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544794 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1544797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544805 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544818 */     // GIR_Coverage, 18702,
     /* 1544818 */     GIR_EraseRootFromParent_Done,
     /* 1544819 */   // Label 21445: @1544819
     /* 1544819 */   GIM_Try, /*On fail goto*//*Label 21446*/ GIMT_Encode4(1544901), // Rule ID 18703 //
     /* 1544824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1544827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1544835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1544838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1544841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1544844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1544847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1544859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1544863 */     // MIs[0] round
     /* 1544863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544866 */     // MIs[0] policy
     /* 1544866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544876 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11247:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1544876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64),
     /* 1544879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544887 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544900 */     // GIR_Coverage, 18703,
     /* 1544900 */     GIR_EraseRootFromParent_Done,
     /* 1544901 */   // Label 21446: @1544901
     /* 1544901 */   GIM_Try, /*On fail goto*//*Label 21447*/ GIMT_Encode4(1544983), // Rule ID 18706 //
     /* 1544906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1544909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1544920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1544923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1544926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1544929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1544941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1544945 */     // MIs[0] round
     /* 1544945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1544948 */     // MIs[0] policy
     /* 1544948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1544951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1544958 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1544958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1544961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1544963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1544965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1544967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1544969 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1544971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1544976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1544979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1544981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1544982 */     // GIR_Coverage, 18706,
     /* 1544982 */     GIR_EraseRootFromParent_Done,
     /* 1544983 */   // Label 21447: @1544983
     /* 1544983 */   GIM_Try, /*On fail goto*//*Label 21448*/ GIMT_Encode4(1545065), // Rule ID 18707 //
     /* 1544988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1544991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub),
     /* 1544996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1544999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1545002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1545005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1545008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1545023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545027 */     // MIs[0] round
     /* 1545027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545030 */     // MIs[0] policy
     /* 1545030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545040 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11247:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64),
     /* 1545043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545051 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1545061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545064 */     // GIR_Coverage, 18707,
     /* 1545064 */     GIR_EraseRootFromParent_Done,
     /* 1545065 */   // Label 21448: @1545065
     /* 1545065 */   GIM_Try, /*On fail goto*//*Label 21449*/ GIMT_Encode4(1545147), // Rule ID 18710 //
     /* 1545070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1545087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1545090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545109 */     // MIs[0] round
     /* 1545109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545112 */     // MIs[0] policy
     /* 1545112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545122 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1545125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545133 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545146 */     // GIR_Coverage, 18710,
     /* 1545146 */     GIR_EraseRootFromParent_Done,
     /* 1545147 */   // Label 21449: @1545147
     /* 1545147 */   GIM_Try, /*On fail goto*//*Label 21450*/ GIMT_Encode4(1545229), // Rule ID 18711 //
     /* 1545152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1545163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1545166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1545169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1545172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545191 */     // MIs[0] round
     /* 1545191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545194 */     // MIs[0] policy
     /* 1545194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545204 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16),
     /* 1545207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545215 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545228 */     // GIR_Coverage, 18711,
     /* 1545228 */     GIR_EraseRootFromParent_Done,
     /* 1545229 */   // Label 21450: @1545229
     /* 1545229 */   GIM_Try, /*On fail goto*//*Label 21451*/ GIMT_Encode4(1545311), // Rule ID 18714 //
     /* 1545234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1545254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545273 */     // MIs[0] round
     /* 1545273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545276 */     // MIs[0] policy
     /* 1545276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545286 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1545289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545297 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545310 */     // GIR_Coverage, 18714,
     /* 1545310 */     GIR_EraseRootFromParent_Done,
     /* 1545311 */   // Label 21451: @1545311
     /* 1545311 */   GIM_Try, /*On fail goto*//*Label 21452*/ GIMT_Encode4(1545393), // Rule ID 18715 //
     /* 1545316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1545327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1545330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1545333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1545336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545355 */     // MIs[0] round
     /* 1545355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545358 */     // MIs[0] policy
     /* 1545358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545368 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16),
     /* 1545371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545379 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545392 */     // GIR_Coverage, 18715,
     /* 1545392 */     GIR_EraseRootFromParent_Done,
     /* 1545393 */   // Label 21452: @1545393
     /* 1545393 */   GIM_Try, /*On fail goto*//*Label 21453*/ GIMT_Encode4(1545475), // Rule ID 18718 //
     /* 1545398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1545415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1545418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545437 */     // MIs[0] round
     /* 1545437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545440 */     // MIs[0] policy
     /* 1545440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545450 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1545453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545461 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545474 */     // GIR_Coverage, 18718,
     /* 1545474 */     GIR_EraseRootFromParent_Done,
     /* 1545475 */   // Label 21453: @1545475
     /* 1545475 */   GIM_Try, /*On fail goto*//*Label 21454*/ GIMT_Encode4(1545557), // Rule ID 18719 //
     /* 1545480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1545491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1545494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1545497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1545500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545519 */     // MIs[0] round
     /* 1545519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545522 */     // MIs[0] policy
     /* 1545522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545532 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16),
     /* 1545535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545543 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545556 */     // GIR_Coverage, 18719,
     /* 1545556 */     GIR_EraseRootFromParent_Done,
     /* 1545557 */   // Label 21454: @1545557
     /* 1545557 */   GIM_Try, /*On fail goto*//*Label 21455*/ GIMT_Encode4(1545639), // Rule ID 18722 //
     /* 1545562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1545579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545601 */     // MIs[0] round
     /* 1545601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545604 */     // MIs[0] policy
     /* 1545604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545614 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1545617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545625 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545638 */     // GIR_Coverage, 18722,
     /* 1545638 */     GIR_EraseRootFromParent_Done,
     /* 1545639 */   // Label 21455: @1545639
     /* 1545639 */   GIM_Try, /*On fail goto*//*Label 21456*/ GIMT_Encode4(1545721), // Rule ID 18723 //
     /* 1545644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1545655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1545658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1545661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1545664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1545683 */     // MIs[0] round
     /* 1545683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545686 */     // MIs[0] policy
     /* 1545686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545696 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16),
     /* 1545699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545707 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545720 */     // GIR_Coverage, 18723,
     /* 1545720 */     GIR_EraseRootFromParent_Done,
     /* 1545721 */   // Label 21456: @1545721
     /* 1545721 */   GIM_Try, /*On fail goto*//*Label 21457*/ GIMT_Encode4(1545803), // Rule ID 18726 //
     /* 1545726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1545729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1545743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545765 */     // MIs[0] round
     /* 1545765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545768 */     // MIs[0] policy
     /* 1545768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545778 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1545781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545789 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545802 */     // GIR_Coverage, 18726,
     /* 1545802 */     GIR_EraseRootFromParent_Done,
     /* 1545803 */   // Label 21457: @1545803
     /* 1545803 */   GIM_Try, /*On fail goto*//*Label 21458*/ GIMT_Encode4(1545885), // Rule ID 18727 //
     /* 1545808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1545811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1545819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1545822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1545825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1545828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1545839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1545847 */     // MIs[0] round
     /* 1545847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545850 */     // MIs[0] policy
     /* 1545850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545860 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1545860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16),
     /* 1545863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545871 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1545881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545884 */     // GIR_Coverage, 18727,
     /* 1545884 */     GIR_EraseRootFromParent_Done,
     /* 1545885 */   // Label 21458: @1545885
     /* 1545885 */   GIM_Try, /*On fail goto*//*Label 21459*/ GIMT_Encode4(1545967), // Rule ID 18730 //
     /* 1545890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1545893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1545907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1545913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545929 */     // MIs[0] round
     /* 1545929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1545932 */     // MIs[0] policy
     /* 1545932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1545935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1545942 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1545942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1545945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1545947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1545949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1545951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1545953 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1545955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1545960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1545963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1545965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1545966 */     // GIR_Coverage, 18730,
     /* 1545966 */     GIR_EraseRootFromParent_Done,
     /* 1545967 */   // Label 21459: @1545967
     /* 1545967 */   GIM_Try, /*On fail goto*//*Label 21460*/ GIMT_Encode4(1546049), // Rule ID 18731 //
     /* 1545972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1545975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1545980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1545983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1545986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1545989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1545992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1545995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1545999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546011 */     // MIs[0] round
     /* 1546011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546014 */     // MIs[0] policy
     /* 1546014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546024 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32),
     /* 1546027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546035 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546048 */     // GIR_Coverage, 18731,
     /* 1546048 */     GIR_EraseRootFromParent_Done,
     /* 1546049 */   // Label 21460: @1546049
     /* 1546049 */   GIM_Try, /*On fail goto*//*Label 21461*/ GIMT_Encode4(1546131), // Rule ID 18734 //
     /* 1546054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1546074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546093 */     // MIs[0] round
     /* 1546093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546096 */     // MIs[0] policy
     /* 1546096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546106 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1546109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546117 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546130 */     // GIR_Coverage, 18734,
     /* 1546130 */     GIR_EraseRootFromParent_Done,
     /* 1546131 */   // Label 21461: @1546131
     /* 1546131 */   GIM_Try, /*On fail goto*//*Label 21462*/ GIMT_Encode4(1546213), // Rule ID 18735 //
     /* 1546136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1546147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1546150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1546153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1546156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546175 */     // MIs[0] round
     /* 1546175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546178 */     // MIs[0] policy
     /* 1546178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546188 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32),
     /* 1546191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546199 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546212 */     // GIR_Coverage, 18735,
     /* 1546212 */     GIR_EraseRootFromParent_Done,
     /* 1546213 */   // Label 21462: @1546213
     /* 1546213 */   GIM_Try, /*On fail goto*//*Label 21463*/ GIMT_Encode4(1546295), // Rule ID 18738 //
     /* 1546218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1546235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1546238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546257 */     // MIs[0] round
     /* 1546257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546260 */     // MIs[0] policy
     /* 1546260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546270 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1546273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546281 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546294 */     // GIR_Coverage, 18738,
     /* 1546294 */     GIR_EraseRootFromParent_Done,
     /* 1546295 */   // Label 21463: @1546295
     /* 1546295 */   GIM_Try, /*On fail goto*//*Label 21464*/ GIMT_Encode4(1546377), // Rule ID 18739 //
     /* 1546300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1546311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1546314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1546317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1546320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546339 */     // MIs[0] round
     /* 1546339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546342 */     // MIs[0] policy
     /* 1546342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546352 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32),
     /* 1546355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546363 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546376 */     // GIR_Coverage, 18739,
     /* 1546376 */     GIR_EraseRootFromParent_Done,
     /* 1546377 */   // Label 21464: @1546377
     /* 1546377 */   GIM_Try, /*On fail goto*//*Label 21465*/ GIMT_Encode4(1546459), // Rule ID 18742 //
     /* 1546382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1546385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1546399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1546402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546421 */     // MIs[0] round
     /* 1546421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546424 */     // MIs[0] policy
     /* 1546424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546434 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1546437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546445 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546458 */     // GIR_Coverage, 18742,
     /* 1546458 */     GIR_EraseRootFromParent_Done,
     /* 1546459 */   // Label 21465: @1546459
     /* 1546459 */   GIM_Try, /*On fail goto*//*Label 21466*/ GIMT_Encode4(1546541), // Rule ID 18743 //
     /* 1546464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1546467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1546475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1546478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1546481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1546484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1546495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1546503 */     // MIs[0] round
     /* 1546503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546506 */     // MIs[0] policy
     /* 1546506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546516 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32),
     /* 1546519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546527 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1546537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546540 */     // GIR_Coverage, 18743,
     /* 1546540 */     GIR_EraseRootFromParent_Done,
     /* 1546541 */   // Label 21466: @1546541
     /* 1546541 */   GIM_Try, /*On fail goto*//*Label 21467*/ GIMT_Encode4(1546623), // Rule ID 18746 //
     /* 1546546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1546566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546585 */     // MIs[0] round
     /* 1546585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546588 */     // MIs[0] policy
     /* 1546588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546598 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1546601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546609 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546622 */     // GIR_Coverage, 18746,
     /* 1546622 */     GIR_EraseRootFromParent_Done,
     /* 1546623 */   // Label 21467: @1546623
     /* 1546623 */   GIM_Try, /*On fail goto*//*Label 21468*/ GIMT_Encode4(1546705), // Rule ID 18747 //
     /* 1546628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1546639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1546642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1546648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546667 */     // MIs[0] round
     /* 1546667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546670 */     // MIs[0] policy
     /* 1546670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546680 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16),
     /* 1546683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546691 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546704 */     // GIR_Coverage, 18747,
     /* 1546704 */     GIR_EraseRootFromParent_Done,
     /* 1546705 */   // Label 21468: @1546705
     /* 1546705 */   GIM_Try, /*On fail goto*//*Label 21469*/ GIMT_Encode4(1546787), // Rule ID 18750 //
     /* 1546710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1546730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546749 */     // MIs[0] round
     /* 1546749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546752 */     // MIs[0] policy
     /* 1546752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546762 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1546765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546773 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546786 */     // GIR_Coverage, 18750,
     /* 1546786 */     GIR_EraseRootFromParent_Done,
     /* 1546787 */   // Label 21469: @1546787
     /* 1546787 */   GIM_Try, /*On fail goto*//*Label 21470*/ GIMT_Encode4(1546869), // Rule ID 18751 //
     /* 1546792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1546803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1546806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1546812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546831 */     // MIs[0] round
     /* 1546831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546834 */     // MIs[0] policy
     /* 1546834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546844 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11299:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1546844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16),
     /* 1546847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546855 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546868 */     // GIR_Coverage, 18751,
     /* 1546868 */     GIR_EraseRootFromParent_Done,
     /* 1546869 */   // Label 21470: @1546869
     /* 1546869 */   GIM_Try, /*On fail goto*//*Label 21471*/ GIMT_Encode4(1546951), // Rule ID 18754 //
     /* 1546874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1546877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1546894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1546897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546913 */     // MIs[0] round
     /* 1546913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546916 */     // MIs[0] policy
     /* 1546916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1546919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1546926 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1546926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1546929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1546931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1546933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1546935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1546937 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1546939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1546944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1546947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1546949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1546950 */     // GIR_Coverage, 18754,
     /* 1546950 */     GIR_EraseRootFromParent_Done,
     /* 1546951 */   // Label 21471: @1546951
     /* 1546951 */   GIM_Try, /*On fail goto*//*Label 21472*/ GIMT_Encode4(1547033), // Rule ID 18755 //
     /* 1546956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1546959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1546964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1546967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1546970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1546973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1546976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1546979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1546987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1546991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1546995 */     // MIs[0] round
     /* 1546995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1546998 */     // MIs[0] policy
     /* 1546998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547008 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16),
     /* 1547011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547019 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547032 */     // GIR_Coverage, 18755,
     /* 1547032 */     GIR_EraseRootFromParent_Done,
     /* 1547033 */   // Label 21472: @1547033
     /* 1547033 */   GIM_Try, /*On fail goto*//*Label 21473*/ GIMT_Encode4(1547115), // Rule ID 18758 //
     /* 1547038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1547055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1547058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1547073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547077 */     // MIs[0] round
     /* 1547077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547080 */     // MIs[0] policy
     /* 1547080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547090 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1547093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547101 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547114 */     // GIR_Coverage, 18758,
     /* 1547114 */     GIR_EraseRootFromParent_Done,
     /* 1547115 */   // Label 21473: @1547115
     /* 1547115 */   GIM_Try, /*On fail goto*//*Label 21474*/ GIMT_Encode4(1547197), // Rule ID 18759 //
     /* 1547120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1547131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1547134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1547137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1547140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1547155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547159 */     // MIs[0] round
     /* 1547159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547162 */     // MIs[0] policy
     /* 1547162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547172 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16),
     /* 1547175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547183 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547196 */     // GIR_Coverage, 18759,
     /* 1547196 */     GIR_EraseRootFromParent_Done,
     /* 1547197 */   // Label 21474: @1547197
     /* 1547197 */   GIM_Try, /*On fail goto*//*Label 21475*/ GIMT_Encode4(1547279), // Rule ID 18762 //
     /* 1547202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1547205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1547219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1547222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1547237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547241 */     // MIs[0] round
     /* 1547241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547244 */     // MIs[0] policy
     /* 1547244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547254 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1547257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547265 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547278 */     // GIR_Coverage, 18762,
     /* 1547278 */     GIR_EraseRootFromParent_Done,
     /* 1547279 */   // Label 21475: @1547279
     /* 1547279 */   GIM_Try, /*On fail goto*//*Label 21476*/ GIMT_Encode4(1547361), // Rule ID 18763 //
     /* 1547284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1547287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1547295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1547298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1547301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1547304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1547319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547323 */     // MIs[0] round
     /* 1547323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547326 */     // MIs[0] policy
     /* 1547326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547336 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16),
     /* 1547339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547347 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1547357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547360 */     // GIR_Coverage, 18763,
     /* 1547360 */     GIR_EraseRootFromParent_Done,
     /* 1547361 */   // Label 21476: @1547361
     /* 1547361 */   GIM_Try, /*On fail goto*//*Label 21477*/ GIMT_Encode4(1547443), // Rule ID 18766 //
     /* 1547366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1547386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547405 */     // MIs[0] round
     /* 1547405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547408 */     // MIs[0] policy
     /* 1547408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547418 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1547421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547429 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547442 */     // GIR_Coverage, 18766,
     /* 1547442 */     GIR_EraseRootFromParent_Done,
     /* 1547443 */   // Label 21477: @1547443
     /* 1547443 */   GIM_Try, /*On fail goto*//*Label 21478*/ GIMT_Encode4(1547525), // Rule ID 18767 //
     /* 1547448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1547459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1547462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1547468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547487 */     // MIs[0] round
     /* 1547487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547490 */     // MIs[0] policy
     /* 1547490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547500 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11299:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32),
     /* 1547503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547511 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547524 */     // GIR_Coverage, 18767,
     /* 1547524 */     GIR_EraseRootFromParent_Done,
     /* 1547525 */   // Label 21478: @1547525
     /* 1547525 */   GIM_Try, /*On fail goto*//*Label 21479*/ GIMT_Encode4(1547607), // Rule ID 18770 //
     /* 1547530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1547550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547569 */     // MIs[0] round
     /* 1547569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547572 */     // MIs[0] policy
     /* 1547572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547582 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1547585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547593 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547606 */     // GIR_Coverage, 18770,
     /* 1547606 */     GIR_EraseRootFromParent_Done,
     /* 1547607 */   // Label 21479: @1547607
     /* 1547607 */   GIM_Try, /*On fail goto*//*Label 21480*/ GIMT_Encode4(1547689), // Rule ID 18771 //
     /* 1547612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1547623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1547626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1547632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1547651 */     // MIs[0] round
     /* 1547651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547654 */     // MIs[0] policy
     /* 1547654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547664 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11299:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32),
     /* 1547667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547675 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547688 */     // GIR_Coverage, 18771,
     /* 1547688 */     GIR_EraseRootFromParent_Done,
     /* 1547689 */   // Label 21480: @1547689
     /* 1547689 */   GIM_Try, /*On fail goto*//*Label 21481*/ GIMT_Encode4(1547771), // Rule ID 18774 //
     /* 1547694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1547714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547733 */     // MIs[0] round
     /* 1547733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547736 */     // MIs[0] policy
     /* 1547736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547746 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1547749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547757 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547770 */     // GIR_Coverage, 18774,
     /* 1547770 */     GIR_EraseRootFromParent_Done,
     /* 1547771 */   // Label 21481: @1547771
     /* 1547771 */   GIM_Try, /*On fail goto*//*Label 21482*/ GIMT_Encode4(1547853), // Rule ID 18775 //
     /* 1547776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1547787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1547790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1547796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1547815 */     // MIs[0] round
     /* 1547815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547818 */     // MIs[0] policy
     /* 1547818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547828 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11299:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32),
     /* 1547831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547839 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547852 */     // GIR_Coverage, 18775,
     /* 1547852 */     GIR_EraseRootFromParent_Done,
     /* 1547853 */   // Label 21482: @1547853
     /* 1547853 */   GIM_Try, /*On fail goto*//*Label 21483*/ GIMT_Encode4(1547935), // Rule ID 18778 //
     /* 1547858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1547861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1547878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1547881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547897 */     // MIs[0] round
     /* 1547897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547900 */     // MIs[0] policy
     /* 1547900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547910 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1547910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1547913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1547919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1547921 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1547923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1547928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1547931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1547933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1547934 */     // GIR_Coverage, 18778,
     /* 1547934 */     GIR_EraseRootFromParent_Done,
     /* 1547935 */   // Label 21483: @1547935
     /* 1547935 */   GIM_Try, /*On fail goto*//*Label 21484*/ GIMT_Encode4(1548017), // Rule ID 18779 //
     /* 1547940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1547943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc),
     /* 1547948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1547951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1547954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1547957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1547960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1547963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1547971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1547975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1547979 */     // MIs[0] round
     /* 1547979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1547982 */     // MIs[0] policy
     /* 1547982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1547985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1547992 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11299:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1547992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32),
     /* 1547995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1547997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1547999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548003 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548016 */     // GIR_Coverage, 18779,
     /* 1548016 */     GIR_EraseRootFromParent_Done,
     /* 1548017 */   // Label 21484: @1548017
     /* 1548017 */   GIM_Try, /*On fail goto*//*Label 21485*/ GIMT_Encode4(1548099), // Rule ID 18782 //
     /* 1548022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1548039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1548042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548061 */     // MIs[0] round
     /* 1548061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548064 */     // MIs[0] policy
     /* 1548064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548074 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1548077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548085 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548098 */     // GIR_Coverage, 18782,
     /* 1548098 */     GIR_EraseRootFromParent_Done,
     /* 1548099 */   // Label 21485: @1548099
     /* 1548099 */   GIM_Try, /*On fail goto*//*Label 21486*/ GIMT_Encode4(1548181), // Rule ID 18783 //
     /* 1548104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1548115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1548118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1548121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1548124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548143 */     // MIs[0] round
     /* 1548143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548146 */     // MIs[0] policy
     /* 1548146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548156 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16),
     /* 1548159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548167 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548180 */     // GIR_Coverage, 18783,
     /* 1548180 */     GIR_EraseRootFromParent_Done,
     /* 1548181 */   // Label 21486: @1548181
     /* 1548181 */   GIM_Try, /*On fail goto*//*Label 21487*/ GIMT_Encode4(1548263), // Rule ID 18786 //
     /* 1548186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1548206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548225 */     // MIs[0] round
     /* 1548225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548228 */     // MIs[0] policy
     /* 1548228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548238 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1548241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548249 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548262 */     // GIR_Coverage, 18786,
     /* 1548262 */     GIR_EraseRootFromParent_Done,
     /* 1548263 */   // Label 21487: @1548263
     /* 1548263 */   GIM_Try, /*On fail goto*//*Label 21488*/ GIMT_Encode4(1548345), // Rule ID 18787 //
     /* 1548268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1548279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1548282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1548285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1548288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548307 */     // MIs[0] round
     /* 1548307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548310 */     // MIs[0] policy
     /* 1548310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548320 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16),
     /* 1548323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548331 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548344 */     // GIR_Coverage, 18787,
     /* 1548344 */     GIR_EraseRootFromParent_Done,
     /* 1548345 */   // Label 21488: @1548345
     /* 1548345 */   GIM_Try, /*On fail goto*//*Label 21489*/ GIMT_Encode4(1548427), // Rule ID 18790 //
     /* 1548350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1548370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548389 */     // MIs[0] round
     /* 1548389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548392 */     // MIs[0] policy
     /* 1548392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548402 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1548405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548413 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548426 */     // GIR_Coverage, 18790,
     /* 1548426 */     GIR_EraseRootFromParent_Done,
     /* 1548427 */   // Label 21489: @1548427
     /* 1548427 */   GIM_Try, /*On fail goto*//*Label 21490*/ GIMT_Encode4(1548509), // Rule ID 18791 //
     /* 1548432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1548443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1548446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1548449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1548452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548471 */     // MIs[0] round
     /* 1548471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548474 */     // MIs[0] policy
     /* 1548474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548484 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16),
     /* 1548487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548495 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548508 */     // GIR_Coverage, 18791,
     /* 1548508 */     GIR_EraseRootFromParent_Done,
     /* 1548509 */   // Label 21490: @1548509
     /* 1548509 */   GIM_Try, /*On fail goto*//*Label 21491*/ GIMT_Encode4(1548591), // Rule ID 18794 //
     /* 1548514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1548531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1548534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548553 */     // MIs[0] round
     /* 1548553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548556 */     // MIs[0] policy
     /* 1548556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548566 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1548569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548577 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548590 */     // GIR_Coverage, 18794,
     /* 1548590 */     GIR_EraseRootFromParent_Done,
     /* 1548591 */   // Label 21491: @1548591
     /* 1548591 */   GIM_Try, /*On fail goto*//*Label 21492*/ GIMT_Encode4(1548673), // Rule ID 18795 //
     /* 1548596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1548607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1548610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1548613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1548616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1548635 */     // MIs[0] round
     /* 1548635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548638 */     // MIs[0] policy
     /* 1548638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548648 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16),
     /* 1548651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548659 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548672 */     // GIR_Coverage, 18795,
     /* 1548672 */     GIR_EraseRootFromParent_Done,
     /* 1548673 */   // Label 21492: @1548673
     /* 1548673 */   GIM_Try, /*On fail goto*//*Label 21493*/ GIMT_Encode4(1548755), // Rule ID 18798 //
     /* 1548678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1548681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1548695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1548698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548717 */     // MIs[0] round
     /* 1548717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548720 */     // MIs[0] policy
     /* 1548720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548730 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1548733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548741 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548754 */     // GIR_Coverage, 18798,
     /* 1548754 */     GIR_EraseRootFromParent_Done,
     /* 1548755 */   // Label 21493: @1548755
     /* 1548755 */   GIM_Try, /*On fail goto*//*Label 21494*/ GIMT_Encode4(1548837), // Rule ID 18799 //
     /* 1548760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1548763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1548771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1548774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1548777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1548780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1548791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1548799 */     // MIs[0] round
     /* 1548799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548802 */     // MIs[0] policy
     /* 1548802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548812 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16),
     /* 1548815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548823 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1548833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548836 */     // GIR_Coverage, 18799,
     /* 1548836 */     GIR_EraseRootFromParent_Done,
     /* 1548837 */   // Label 21494: @1548837
     /* 1548837 */   GIM_Try, /*On fail goto*//*Label 21495*/ GIMT_Encode4(1548919), // Rule ID 18802 //
     /* 1548842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1548845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1548862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1548865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548881 */     // MIs[0] round
     /* 1548881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548884 */     // MIs[0] policy
     /* 1548884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548894 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1548894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1548897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548905 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1548918 */     // GIR_Coverage, 18802,
     /* 1548918 */     GIR_EraseRootFromParent_Done,
     /* 1548919 */   // Label 21495: @1548919
     /* 1548919 */   GIM_Try, /*On fail goto*//*Label 21496*/ GIMT_Encode4(1549001), // Rule ID 18803 //
     /* 1548924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1548927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1548932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1548935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1548938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1548941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1548944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1548947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1548963 */     // MIs[0] round
     /* 1548963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1548966 */     // MIs[0] policy
     /* 1548966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1548969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1548976 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1548976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32),
     /* 1548979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1548981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1548983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1548985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1548987 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1548989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1548994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1548997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1548999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549000 */     // GIR_Coverage, 18803,
     /* 1549000 */     GIR_EraseRootFromParent_Done,
     /* 1549001 */   // Label 21496: @1549001
     /* 1549001 */   GIM_Try, /*On fail goto*//*Label 21497*/ GIMT_Encode4(1549083), // Rule ID 18806 //
     /* 1549006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1549026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549045 */     // MIs[0] round
     /* 1549045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549048 */     // MIs[0] policy
     /* 1549048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549058 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1549061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549069 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549082 */     // GIR_Coverage, 18806,
     /* 1549082 */     GIR_EraseRootFromParent_Done,
     /* 1549083 */   // Label 21497: @1549083
     /* 1549083 */   GIM_Try, /*On fail goto*//*Label 21498*/ GIMT_Encode4(1549165), // Rule ID 18807 //
     /* 1549088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1549099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1549102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1549105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1549108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549127 */     // MIs[0] round
     /* 1549127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549130 */     // MIs[0] policy
     /* 1549130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549140 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32),
     /* 1549143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549151 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549164 */     // GIR_Coverage, 18807,
     /* 1549164 */     GIR_EraseRootFromParent_Done,
     /* 1549165 */   // Label 21498: @1549165
     /* 1549165 */   GIM_Try, /*On fail goto*//*Label 21499*/ GIMT_Encode4(1549247), // Rule ID 18810 //
     /* 1549170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1549181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1549184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1549190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549209 */     // MIs[0] round
     /* 1549209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549212 */     // MIs[0] policy
     /* 1549212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549222 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1549225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549233 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549246 */     // GIR_Coverage, 18810,
     /* 1549246 */     GIR_EraseRootFromParent_Done,
     /* 1549247 */   // Label 21499: @1549247
     /* 1549247 */   GIM_Try, /*On fail goto*//*Label 21500*/ GIMT_Encode4(1549329), // Rule ID 18811 //
     /* 1549252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1549263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1549266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1549269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1549272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549291 */     // MIs[0] round
     /* 1549291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549294 */     // MIs[0] policy
     /* 1549294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549304 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32),
     /* 1549307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549315 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549328 */     // GIR_Coverage, 18811,
     /* 1549328 */     GIR_EraseRootFromParent_Done,
     /* 1549329 */   // Label 21500: @1549329
     /* 1549329 */   GIM_Try, /*On fail goto*//*Label 21501*/ GIMT_Encode4(1549411), // Rule ID 18814 //
     /* 1549334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1549337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1549354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549373 */     // MIs[0] round
     /* 1549373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549376 */     // MIs[0] policy
     /* 1549376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549386 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1549389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549397 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549410 */     // GIR_Coverage, 18814,
     /* 1549410 */     GIR_EraseRootFromParent_Done,
     /* 1549411 */   // Label 21501: @1549411
     /* 1549411 */   GIM_Try, /*On fail goto*//*Label 21502*/ GIMT_Encode4(1549493), // Rule ID 18815 //
     /* 1549416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1549419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1549427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1549430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1549433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1549436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1549447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1549455 */     // MIs[0] round
     /* 1549455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549458 */     // MIs[0] policy
     /* 1549458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549468 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32),
     /* 1549471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549479 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1549489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549492 */     // GIR_Coverage, 18815,
     /* 1549492 */     GIR_EraseRootFromParent_Done,
     /* 1549493 */   // Label 21502: @1549493
     /* 1549493 */   GIM_Try, /*On fail goto*//*Label 21503*/ GIMT_Encode4(1549575), // Rule ID 18818 //
     /* 1549498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1549518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549537 */     // MIs[0] round
     /* 1549537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549540 */     // MIs[0] policy
     /* 1549540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549550 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1549553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549561 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549574 */     // GIR_Coverage, 18818,
     /* 1549574 */     GIR_EraseRootFromParent_Done,
     /* 1549575 */   // Label 21503: @1549575
     /* 1549575 */   GIM_Try, /*On fail goto*//*Label 21504*/ GIMT_Encode4(1549657), // Rule ID 18819 //
     /* 1549580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1549591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1549594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1549600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549619 */     // MIs[0] round
     /* 1549619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549622 */     // MIs[0] policy
     /* 1549622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549632 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16),
     /* 1549635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549643 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549656 */     // GIR_Coverage, 18819,
     /* 1549656 */     GIR_EraseRootFromParent_Done,
     /* 1549657 */   // Label 21504: @1549657
     /* 1549657 */   GIM_Try, /*On fail goto*//*Label 21505*/ GIMT_Encode4(1549739), // Rule ID 18822 //
     /* 1549662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1549682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549701 */     // MIs[0] round
     /* 1549701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549704 */     // MIs[0] policy
     /* 1549704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549714 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1549717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549725 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549738 */     // GIR_Coverage, 18822,
     /* 1549738 */     GIR_EraseRootFromParent_Done,
     /* 1549739 */   // Label 21505: @1549739
     /* 1549739 */   GIM_Try, /*On fail goto*//*Label 21506*/ GIMT_Encode4(1549821), // Rule ID 18823 //
     /* 1549744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1549755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1549758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1549764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549783 */     // MIs[0] round
     /* 1549783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549786 */     // MIs[0] policy
     /* 1549786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549796 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11307:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16),
     /* 1549799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549807 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549820 */     // GIR_Coverage, 18823,
     /* 1549820 */     GIR_EraseRootFromParent_Done,
     /* 1549821 */   // Label 21506: @1549821
     /* 1549821 */   GIM_Try, /*On fail goto*//*Label 21507*/ GIMT_Encode4(1549903), // Rule ID 18826 //
     /* 1549826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1549846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1549849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549865 */     // MIs[0] round
     /* 1549865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549868 */     // MIs[0] policy
     /* 1549868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549878 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1549878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1549881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549889 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549902 */     // GIR_Coverage, 18826,
     /* 1549902 */     GIR_EraseRootFromParent_Done,
     /* 1549903 */   // Label 21507: @1549903
     /* 1549903 */   GIM_Try, /*On fail goto*//*Label 21508*/ GIMT_Encode4(1549985), // Rule ID 18827 //
     /* 1549908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1549911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1549919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1549922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1549925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1549928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1549931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1549939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1549943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1549947 */     // MIs[0] round
     /* 1549947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1549950 */     // MIs[0] policy
     /* 1549950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1549953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1549960 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1549960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16),
     /* 1549963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1549965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1549967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1549969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1549971 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1549973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1549978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1549981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1549983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1549984 */     // GIR_Coverage, 18827,
     /* 1549984 */     GIR_EraseRootFromParent_Done,
     /* 1549985 */   // Label 21508: @1549985
     /* 1549985 */   GIM_Try, /*On fail goto*//*Label 21509*/ GIMT_Encode4(1550067), // Rule ID 18830 //
     /* 1549990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1549993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1549998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1550001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1550004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1550007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1550010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1550025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550029 */     // MIs[0] round
     /* 1550029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550032 */     // MIs[0] policy
     /* 1550032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550042 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1550045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550053 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550066 */     // GIR_Coverage, 18830,
     /* 1550066 */     GIR_EraseRootFromParent_Done,
     /* 1550067 */   // Label 21509: @1550067
     /* 1550067 */   GIM_Try, /*On fail goto*//*Label 21510*/ GIMT_Encode4(1550149), // Rule ID 18831 //
     /* 1550072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1550075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1550083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1550086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1550089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1550092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1550107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550111 */     // MIs[0] round
     /* 1550111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550114 */     // MIs[0] policy
     /* 1550114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550124 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16),
     /* 1550127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550135 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550148 */     // GIR_Coverage, 18831,
     /* 1550148 */     GIR_EraseRootFromParent_Done,
     /* 1550149 */   // Label 21510: @1550149
     /* 1550149 */   GIM_Try, /*On fail goto*//*Label 21511*/ GIMT_Encode4(1550231), // Rule ID 18834 //
     /* 1550154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1550157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1550171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1550174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1550189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550193 */     // MIs[0] round
     /* 1550193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550196 */     // MIs[0] policy
     /* 1550196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550206 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1550209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550217 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550230 */     // GIR_Coverage, 18834,
     /* 1550230 */     GIR_EraseRootFromParent_Done,
     /* 1550231 */   // Label 21511: @1550231
     /* 1550231 */   GIM_Try, /*On fail goto*//*Label 21512*/ GIMT_Encode4(1550313), // Rule ID 18835 //
     /* 1550236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1550239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1550247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1550250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1550253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1550256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1550271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550275 */     // MIs[0] round
     /* 1550275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550278 */     // MIs[0] policy
     /* 1550278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550288 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16),
     /* 1550291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550299 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1550309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550312 */     // GIR_Coverage, 18835,
     /* 1550312 */     GIR_EraseRootFromParent_Done,
     /* 1550313 */   // Label 21512: @1550313
     /* 1550313 */   GIM_Try, /*On fail goto*//*Label 21513*/ GIMT_Encode4(1550395), // Rule ID 18838 //
     /* 1550318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1550338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550357 */     // MIs[0] round
     /* 1550357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550360 */     // MIs[0] policy
     /* 1550360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550370 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1550373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550381 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550394 */     // GIR_Coverage, 18838,
     /* 1550394 */     GIR_EraseRootFromParent_Done,
     /* 1550395 */   // Label 21513: @1550395
     /* 1550395 */   GIM_Try, /*On fail goto*//*Label 21514*/ GIMT_Encode4(1550477), // Rule ID 18839 //
     /* 1550400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1550411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1550414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1550420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550439 */     // MIs[0] round
     /* 1550439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550442 */     // MIs[0] policy
     /* 1550442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11307:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32),
     /* 1550455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550463 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550476 */     // GIR_Coverage, 18839,
     /* 1550476 */     GIR_EraseRootFromParent_Done,
     /* 1550477 */   // Label 21514: @1550477
     /* 1550477 */   GIM_Try, /*On fail goto*//*Label 21515*/ GIMT_Encode4(1550559), // Rule ID 18842 //
     /* 1550482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1550502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550521 */     // MIs[0] round
     /* 1550521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550524 */     // MIs[0] policy
     /* 1550524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550534 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1550537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550545 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550558 */     // GIR_Coverage, 18842,
     /* 1550558 */     GIR_EraseRootFromParent_Done,
     /* 1550559 */   // Label 21515: @1550559
     /* 1550559 */   GIM_Try, /*On fail goto*//*Label 21516*/ GIMT_Encode4(1550641), // Rule ID 18843 //
     /* 1550564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1550575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1550578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1550584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1550603 */     // MIs[0] round
     /* 1550603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550606 */     // MIs[0] policy
     /* 1550606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550616 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11307:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32),
     /* 1550619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550627 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550640 */     // GIR_Coverage, 18843,
     /* 1550640 */     GIR_EraseRootFromParent_Done,
     /* 1550641 */   // Label 21516: @1550641
     /* 1550641 */   GIM_Try, /*On fail goto*//*Label 21517*/ GIMT_Encode4(1550723), // Rule ID 18846 //
     /* 1550646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1550666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550685 */     // MIs[0] round
     /* 1550685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550688 */     // MIs[0] policy
     /* 1550688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550698 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1550701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550709 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550722 */     // GIR_Coverage, 18846,
     /* 1550722 */     GIR_EraseRootFromParent_Done,
     /* 1550723 */   // Label 21517: @1550723
     /* 1550723 */   GIM_Try, /*On fail goto*//*Label 21518*/ GIMT_Encode4(1550805), // Rule ID 18847 //
     /* 1550728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1550739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1550742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1550748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1550767 */     // MIs[0] round
     /* 1550767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550770 */     // MIs[0] policy
     /* 1550770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550780 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11307:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32),
     /* 1550783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550791 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550804 */     // GIR_Coverage, 18847,
     /* 1550804 */     GIR_EraseRootFromParent_Done,
     /* 1550805 */   // Label 21518: @1550805
     /* 1550805 */   GIM_Try, /*On fail goto*//*Label 21519*/ GIMT_Encode4(1550887), // Rule ID 18850 //
     /* 1550810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1550813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1550830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550849 */     // MIs[0] round
     /* 1550849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550852 */     // MIs[0] policy
     /* 1550852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550862 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1550862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1550865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550873 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550886 */     // GIR_Coverage, 18850,
     /* 1550886 */     GIR_EraseRootFromParent_Done,
     /* 1550887 */   // Label 21519: @1550887
     /* 1550887 */   GIM_Try, /*On fail goto*//*Label 21520*/ GIMT_Encode4(1550969), // Rule ID 18851 //
     /* 1550892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1550895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc),
     /* 1550900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1550903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1550906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1550909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1550912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1550915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1550923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1550927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1550931 */     // MIs[0] round
     /* 1550931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1550934 */     // MIs[0] policy
     /* 1550934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1550937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1550944 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11307:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1550944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32),
     /* 1550947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1550949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1550951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1550953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1550955 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1550957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1550962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1550965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1550967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1550968 */     // GIR_Coverage, 18851,
     /* 1550968 */     GIR_EraseRootFromParent_Done,
     /* 1550969 */   // Label 21520: @1550969
     /* 1550969 */   GIM_Try, /*On fail goto*//*Label 21521*/ GIMT_Encode4(1551051), // Rule ID 18854 //
     /* 1550974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1550977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1550982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1550985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1550988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1550991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1550994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1550997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551013 */     // MIs[0] round
     /* 1551013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551016 */     // MIs[0] policy
     /* 1551016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551026 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1551029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551037 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551050 */     // GIR_Coverage, 18854,
     /* 1551050 */     GIR_EraseRootFromParent_Done,
     /* 1551051 */   // Label 21521: @1551051
     /* 1551051 */   GIM_Try, /*On fail goto*//*Label 21522*/ GIMT_Encode4(1551133), // Rule ID 18855 //
     /* 1551056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1551067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1551070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1551073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1551076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551095 */     // MIs[0] round
     /* 1551095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551098 */     // MIs[0] policy
     /* 1551098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551108 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16),
     /* 1551111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551119 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551132 */     // GIR_Coverage, 18855,
     /* 1551132 */     GIR_EraseRootFromParent_Done,
     /* 1551133 */   // Label 21522: @1551133
     /* 1551133 */   GIM_Try, /*On fail goto*//*Label 21523*/ GIMT_Encode4(1551215), // Rule ID 18858 //
     /* 1551138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1551155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1551158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551177 */     // MIs[0] round
     /* 1551177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551180 */     // MIs[0] policy
     /* 1551180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551190 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1551193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551201 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551214 */     // GIR_Coverage, 18858,
     /* 1551214 */     GIR_EraseRootFromParent_Done,
     /* 1551215 */   // Label 21523: @1551215
     /* 1551215 */   GIM_Try, /*On fail goto*//*Label 21524*/ GIMT_Encode4(1551297), // Rule ID 18859 //
     /* 1551220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1551231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1551234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1551237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1551240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551259 */     // MIs[0] round
     /* 1551259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551262 */     // MIs[0] policy
     /* 1551262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551272 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16),
     /* 1551275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551283 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551296 */     // GIR_Coverage, 18859,
     /* 1551296 */     GIR_EraseRootFromParent_Done,
     /* 1551297 */   // Label 21524: @1551297
     /* 1551297 */   GIM_Try, /*On fail goto*//*Label 21525*/ GIMT_Encode4(1551379), // Rule ID 18862 //
     /* 1551302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1551319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1551322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551341 */     // MIs[0] round
     /* 1551341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551344 */     // MIs[0] policy
     /* 1551344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551354 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1551357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551365 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551378 */     // GIR_Coverage, 18862,
     /* 1551378 */     GIR_EraseRootFromParent_Done,
     /* 1551379 */   // Label 21525: @1551379
     /* 1551379 */   GIM_Try, /*On fail goto*//*Label 21526*/ GIMT_Encode4(1551461), // Rule ID 18863 //
     /* 1551384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1551395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1551398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1551401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1551404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551423 */     // MIs[0] round
     /* 1551423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551426 */     // MIs[0] policy
     /* 1551426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551436 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16),
     /* 1551439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551447 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551460 */     // GIR_Coverage, 18863,
     /* 1551460 */     GIR_EraseRootFromParent_Done,
     /* 1551461 */   // Label 21526: @1551461
     /* 1551461 */   GIM_Try, /*On fail goto*//*Label 21527*/ GIMT_Encode4(1551543), // Rule ID 18866 //
     /* 1551466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1551486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551505 */     // MIs[0] round
     /* 1551505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551508 */     // MIs[0] policy
     /* 1551508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551518 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1551521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551529 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551542 */     // GIR_Coverage, 18866,
     /* 1551542 */     GIR_EraseRootFromParent_Done,
     /* 1551543 */   // Label 21527: @1551543
     /* 1551543 */   GIM_Try, /*On fail goto*//*Label 21528*/ GIMT_Encode4(1551625), // Rule ID 18867 //
     /* 1551548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1551559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1551562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1551565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1551568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551587 */     // MIs[0] round
     /* 1551587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551590 */     // MIs[0] policy
     /* 1551590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551600 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16),
     /* 1551603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551611 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551624 */     // GIR_Coverage, 18867,
     /* 1551624 */     GIR_EraseRootFromParent_Done,
     /* 1551625 */   // Label 21528: @1551625
     /* 1551625 */   GIM_Try, /*On fail goto*//*Label 21529*/ GIMT_Encode4(1551707), // Rule ID 18870 //
     /* 1551630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1551633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1551650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551669 */     // MIs[0] round
     /* 1551669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551672 */     // MIs[0] policy
     /* 1551672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551682 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1551685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551693 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551706 */     // GIR_Coverage, 18870,
     /* 1551706 */     GIR_EraseRootFromParent_Done,
     /* 1551707 */   // Label 21529: @1551707
     /* 1551707 */   GIM_Try, /*On fail goto*//*Label 21530*/ GIMT_Encode4(1551789), // Rule ID 18871 //
     /* 1551712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1551715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1551723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1551726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1551729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1551732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1551743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1551751 */     // MIs[0] round
     /* 1551751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551754 */     // MIs[0] policy
     /* 1551754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551764 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16),
     /* 1551767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551775 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1551785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551788 */     // GIR_Coverage, 18871,
     /* 1551788 */     GIR_EraseRootFromParent_Done,
     /* 1551789 */   // Label 21530: @1551789
     /* 1551789 */   GIM_Try, /*On fail goto*//*Label 21531*/ GIMT_Encode4(1551871), // Rule ID 18874 //
     /* 1551794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1551797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1551811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1551814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551833 */     // MIs[0] round
     /* 1551833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551836 */     // MIs[0] policy
     /* 1551836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551846 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1551846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1551849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551857 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551870 */     // GIR_Coverage, 18874,
     /* 1551870 */     GIR_EraseRootFromParent_Done,
     /* 1551871 */   // Label 21531: @1551871
     /* 1551871 */   GIM_Try, /*On fail goto*//*Label 21532*/ GIMT_Encode4(1551953), // Rule ID 18875 //
     /* 1551876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1551879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1551887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1551890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1551893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1551896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1551899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551915 */     // MIs[0] round
     /* 1551915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1551918 */     // MIs[0] policy
     /* 1551918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1551921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1551928 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1551928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32),
     /* 1551931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1551933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1551935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1551937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1551939 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1551941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1551946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1551949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1551951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1551952 */     // GIR_Coverage, 18875,
     /* 1551952 */     GIR_EraseRootFromParent_Done,
     /* 1551953 */   // Label 21532: @1551953
     /* 1551953 */   GIM_Try, /*On fail goto*//*Label 21533*/ GIMT_Encode4(1552035), // Rule ID 18878 //
     /* 1551958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1551961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1551966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1551969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1551972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1551975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1551978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1551981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1551989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1551997 */     // MIs[0] round
     /* 1551997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552000 */     // MIs[0] policy
     /* 1552000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552010 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1552013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552021 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552034 */     // GIR_Coverage, 18878,
     /* 1552034 */     GIR_EraseRootFromParent_Done,
     /* 1552035 */   // Label 21533: @1552035
     /* 1552035 */   GIM_Try, /*On fail goto*//*Label 21534*/ GIMT_Encode4(1552117), // Rule ID 18879 //
     /* 1552040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1552051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1552054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1552057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1552060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552079 */     // MIs[0] round
     /* 1552079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552082 */     // MIs[0] policy
     /* 1552082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552092 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32),
     /* 1552095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552103 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552116 */     // GIR_Coverage, 18879,
     /* 1552116 */     GIR_EraseRootFromParent_Done,
     /* 1552117 */   // Label 21534: @1552117
     /* 1552117 */   GIM_Try, /*On fail goto*//*Label 21535*/ GIMT_Encode4(1552199), // Rule ID 18882 //
     /* 1552122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1552125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1552139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1552142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552161 */     // MIs[0] round
     /* 1552161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552164 */     // MIs[0] policy
     /* 1552164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552174 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1552177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552185 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552198 */     // GIR_Coverage, 18882,
     /* 1552198 */     GIR_EraseRootFromParent_Done,
     /* 1552199 */   // Label 21535: @1552199
     /* 1552199 */   GIM_Try, /*On fail goto*//*Label 21536*/ GIMT_Encode4(1552281), // Rule ID 18883 //
     /* 1552204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1552215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1552218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1552221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1552224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552243 */     // MIs[0] round
     /* 1552243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552246 */     // MIs[0] policy
     /* 1552246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552256 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32),
     /* 1552259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552267 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552280 */     // GIR_Coverage, 18883,
     /* 1552280 */     GIR_EraseRootFromParent_Done,
     /* 1552281 */   // Label 21536: @1552281
     /* 1552281 */   GIM_Try, /*On fail goto*//*Label 21537*/ GIMT_Encode4(1552363), // Rule ID 18886 //
     /* 1552286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1552289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1552303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1552306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552325 */     // MIs[0] round
     /* 1552325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552328 */     // MIs[0] policy
     /* 1552328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552338 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1552341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552349 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552362 */     // GIR_Coverage, 18886,
     /* 1552362 */     GIR_EraseRootFromParent_Done,
     /* 1552363 */   // Label 21537: @1552363
     /* 1552363 */   GIM_Try, /*On fail goto*//*Label 21538*/ GIMT_Encode4(1552445), // Rule ID 18887 //
     /* 1552368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1552371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1552379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1552382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1552385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1552388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1552399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552407 */     // MIs[0] round
     /* 1552407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552410 */     // MIs[0] policy
     /* 1552410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552420 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32),
     /* 1552423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552431 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1552441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552444 */     // GIR_Coverage, 18887,
     /* 1552444 */     GIR_EraseRootFromParent_Done,
     /* 1552445 */   // Label 21538: @1552445
     /* 1552445 */   GIM_Try, /*On fail goto*//*Label 21539*/ GIMT_Encode4(1552527), // Rule ID 18890 //
     /* 1552450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1552453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1552467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1552470 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1552485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552489 */     // MIs[0] round
     /* 1552489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552492 */     // MIs[0] policy
     /* 1552492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552502 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1552505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552513 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552526 */     // GIR_Coverage, 18890,
     /* 1552526 */     GIR_EraseRootFromParent_Done,
     /* 1552527 */   // Label 21539: @1552527
     /* 1552527 */   GIM_Try, /*On fail goto*//*Label 21540*/ GIMT_Encode4(1552609), // Rule ID 18891 //
     /* 1552532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1552535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1552543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1552546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1552549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1552552 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1552567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552571 */     // MIs[0] round
     /* 1552571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552574 */     // MIs[0] policy
     /* 1552574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552584 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16),
     /* 1552587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552595 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552608 */     // GIR_Coverage, 18891,
     /* 1552608 */     GIR_EraseRootFromParent_Done,
     /* 1552609 */   // Label 21540: @1552609
     /* 1552609 */   GIM_Try, /*On fail goto*//*Label 21541*/ GIMT_Encode4(1552691), // Rule ID 18894 //
     /* 1552614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1552617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1552625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1552628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1552631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1552634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1552649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552653 */     // MIs[0] round
     /* 1552653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552656 */     // MIs[0] policy
     /* 1552656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552666 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1552669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552677 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552690 */     // GIR_Coverage, 18894,
     /* 1552690 */     GIR_EraseRootFromParent_Done,
     /* 1552691 */   // Label 21541: @1552691
     /* 1552691 */   GIM_Try, /*On fail goto*//*Label 21542*/ GIMT_Encode4(1552773), // Rule ID 18895 //
     /* 1552696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1552699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1552707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1552710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1552713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1552716 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1552731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552735 */     // MIs[0] round
     /* 1552735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552738 */     // MIs[0] policy
     /* 1552738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11303:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16),
     /* 1552751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552759 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552772 */     // GIR_Coverage, 18895,
     /* 1552772 */     GIR_EraseRootFromParent_Done,
     /* 1552773 */   // Label 21542: @1552773
     /* 1552773 */   GIM_Try, /*On fail goto*//*Label 21543*/ GIMT_Encode4(1552855), // Rule ID 18898 //
     /* 1552778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1552781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1552789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1552792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1552795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1552798 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1552813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552817 */     // MIs[0] round
     /* 1552817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552820 */     // MIs[0] policy
     /* 1552820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552830 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1552833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552841 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552854 */     // GIR_Coverage, 18898,
     /* 1552854 */     GIR_EraseRootFromParent_Done,
     /* 1552855 */   // Label 21543: @1552855
     /* 1552855 */   GIM_Try, /*On fail goto*//*Label 21544*/ GIMT_Encode4(1552937), // Rule ID 18899 //
     /* 1552860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1552863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1552871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1552874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1552877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1552880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1552883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1552895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1552899 */     // MIs[0] round
     /* 1552899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552902 */     // MIs[0] policy
     /* 1552902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552912 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1552912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16),
     /* 1552915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1552919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1552921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1552923 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1552925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1552930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1552933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1552935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1552936 */     // GIR_Coverage, 18899,
     /* 1552936 */     GIR_EraseRootFromParent_Done,
     /* 1552937 */   // Label 21544: @1552937
     /* 1552937 */   GIM_Try, /*On fail goto*//*Label 21545*/ GIMT_Encode4(1553019), // Rule ID 18902 //
     /* 1552942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1552945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1552950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1552953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1552956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1552959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1552962 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1552965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1552973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1552977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1552981 */     // MIs[0] round
     /* 1552981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1552984 */     // MIs[0] policy
     /* 1552984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1552987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1552994 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1552994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1552997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1552999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553005 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553018 */     // GIR_Coverage, 18902,
     /* 1553018 */     GIR_EraseRootFromParent_Done,
     /* 1553019 */   // Label 21545: @1553019
     /* 1553019 */   GIM_Try, /*On fail goto*//*Label 21546*/ GIMT_Encode4(1553101), // Rule ID 18903 //
     /* 1553024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1553027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1553035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1553038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1553041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1553044 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1553059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553063 */     // MIs[0] round
     /* 1553063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553066 */     // MIs[0] policy
     /* 1553066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553076 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16),
     /* 1553079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553087 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553100 */     // GIR_Coverage, 18903,
     /* 1553100 */     GIR_EraseRootFromParent_Done,
     /* 1553101 */   // Label 21546: @1553101
     /* 1553101 */   GIM_Try, /*On fail goto*//*Label 21547*/ GIMT_Encode4(1553183), // Rule ID 18906 //
     /* 1553106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1553109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1553117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1553120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1553123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1553126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1553141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553145 */     // MIs[0] round
     /* 1553145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553148 */     // MIs[0] policy
     /* 1553148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553158 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1553161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553169 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553182 */     // GIR_Coverage, 18906,
     /* 1553182 */     GIR_EraseRootFromParent_Done,
     /* 1553183 */   // Label 21547: @1553183
     /* 1553183 */   GIM_Try, /*On fail goto*//*Label 21548*/ GIMT_Encode4(1553265), // Rule ID 18907 //
     /* 1553188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1553191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1553199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1553202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1553205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1553208 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1553223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553227 */     // MIs[0] round
     /* 1553227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553230 */     // MIs[0] policy
     /* 1553230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553240 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16),
     /* 1553243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553251 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553264 */     // GIR_Coverage, 18907,
     /* 1553264 */     GIR_EraseRootFromParent_Done,
     /* 1553265 */   // Label 21548: @1553265
     /* 1553265 */   GIM_Try, /*On fail goto*//*Label 21549*/ GIMT_Encode4(1553347), // Rule ID 18910 //
     /* 1553270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1553273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1553287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1553290 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1553305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553309 */     // MIs[0] round
     /* 1553309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553312 */     // MIs[0] policy
     /* 1553312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553322 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1553325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553333 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553346 */     // GIR_Coverage, 18910,
     /* 1553346 */     GIR_EraseRootFromParent_Done,
     /* 1553347 */   // Label 21549: @1553347
     /* 1553347 */   GIM_Try, /*On fail goto*//*Label 21550*/ GIMT_Encode4(1553429), // Rule ID 18911 //
     /* 1553352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1553355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1553363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1553366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1553369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1553372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1553387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553391 */     // MIs[0] round
     /* 1553391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553394 */     // MIs[0] policy
     /* 1553394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553404 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11303:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32),
     /* 1553407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553415 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553428 */     // GIR_Coverage, 18911,
     /* 1553428 */     GIR_EraseRootFromParent_Done,
     /* 1553429 */   // Label 21550: @1553429
     /* 1553429 */   GIM_Try, /*On fail goto*//*Label 21551*/ GIMT_Encode4(1553511), // Rule ID 18914 //
     /* 1553434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1553437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1553445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1553448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1553451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1553454 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1553469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553473 */     // MIs[0] round
     /* 1553473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553476 */     // MIs[0] policy
     /* 1553476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553486 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1553489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553497 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553510 */     // GIR_Coverage, 18914,
     /* 1553510 */     GIR_EraseRootFromParent_Done,
     /* 1553511 */   // Label 21551: @1553511
     /* 1553511 */   GIM_Try, /*On fail goto*//*Label 21552*/ GIMT_Encode4(1553593), // Rule ID 18915 //
     /* 1553516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1553519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1553527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1553530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1553533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1553536 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1553551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553555 */     // MIs[0] round
     /* 1553555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553558 */     // MIs[0] policy
     /* 1553558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553568 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11303:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32),
     /* 1553571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553579 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553592 */     // GIR_Coverage, 18915,
     /* 1553592 */     GIR_EraseRootFromParent_Done,
     /* 1553593 */   // Label 21552: @1553593
     /* 1553593 */   GIM_Try, /*On fail goto*//*Label 21553*/ GIMT_Encode4(1553675), // Rule ID 18918 //
     /* 1553598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1553601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1553609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1553612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1553615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1553618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1553633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553637 */     // MIs[0] round
     /* 1553637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553640 */     // MIs[0] policy
     /* 1553640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553650 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1553653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553661 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553674 */     // GIR_Coverage, 18918,
     /* 1553674 */     GIR_EraseRootFromParent_Done,
     /* 1553675 */   // Label 21553: @1553675
     /* 1553675 */   GIM_Try, /*On fail goto*//*Label 21554*/ GIMT_Encode4(1553757), // Rule ID 18919 //
     /* 1553680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1553683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1553691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1553694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1553697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1553700 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1553715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1553719 */     // MIs[0] round
     /* 1553719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553722 */     // MIs[0] policy
     /* 1553722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553732 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11303:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32),
     /* 1553735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553743 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553756 */     // GIR_Coverage, 18919,
     /* 1553756 */     GIR_EraseRootFromParent_Done,
     /* 1553757 */   // Label 21554: @1553757
     /* 1553757 */   GIM_Try, /*On fail goto*//*Label 21555*/ GIMT_Encode4(1553839), // Rule ID 18922 //
     /* 1553762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1553765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1553773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1553776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1553779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1553782 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1553797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553801 */     // MIs[0] round
     /* 1553801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553804 */     // MIs[0] policy
     /* 1553804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553814 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1553817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553825 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553838 */     // GIR_Coverage, 18922,
     /* 1553838 */     GIR_EraseRootFromParent_Done,
     /* 1553839 */   // Label 21555: @1553839
     /* 1553839 */   GIM_Try, /*On fail goto*//*Label 21556*/ GIMT_Encode4(1553921), // Rule ID 18923 //
     /* 1553844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1553847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac),
     /* 1553852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1553855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1553858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1553861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1553864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1553867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1553875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1553879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1553883 */     // MIs[0] round
     /* 1553883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553886 */     // MIs[0] policy
     /* 1553886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553896 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11303:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1553896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32),
     /* 1553899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553907 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1553917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1553919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1553920 */     // GIR_Coverage, 18923,
     /* 1553920 */     GIR_EraseRootFromParent_Done,
     /* 1553921 */   // Label 21556: @1553921
     /* 1553921 */   GIM_Try, /*On fail goto*//*Label 21557*/ GIMT_Encode4(1554003), // Rule ID 18926 //
     /* 1553926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1553929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1553934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1553937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1553940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1553943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1553946 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1553949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1553965 */     // MIs[0] round
     /* 1553965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1553968 */     // MIs[0] policy
     /* 1553968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1553971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1553978 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1553978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1553981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1553983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1553985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1553987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1553989 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1553991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1553996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1553999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554002 */     // GIR_Coverage, 18926,
     /* 1554002 */     GIR_EraseRootFromParent_Done,
     /* 1554003 */   // Label 21557: @1554003
     /* 1554003 */   GIM_Try, /*On fail goto*//*Label 21558*/ GIMT_Encode4(1554085), // Rule ID 18927 //
     /* 1554008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1554011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1554019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1554022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1554025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1554028 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554047 */     // MIs[0] round
     /* 1554047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554050 */     // MIs[0] policy
     /* 1554050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554060 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16),
     /* 1554063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554071 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554084 */     // GIR_Coverage, 18927,
     /* 1554084 */     GIR_EraseRootFromParent_Done,
     /* 1554085 */   // Label 21558: @1554085
     /* 1554085 */   GIM_Try, /*On fail goto*//*Label 21559*/ GIMT_Encode4(1554167), // Rule ID 18930 //
     /* 1554090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1554093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1554101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1554104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1554110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554129 */     // MIs[0] round
     /* 1554129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554132 */     // MIs[0] policy
     /* 1554132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554142 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1554145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554153 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554166 */     // GIR_Coverage, 18930,
     /* 1554166 */     GIR_EraseRootFromParent_Done,
     /* 1554167 */   // Label 21559: @1554167
     /* 1554167 */   GIM_Try, /*On fail goto*//*Label 21560*/ GIMT_Encode4(1554249), // Rule ID 18931 //
     /* 1554172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1554175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1554183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1554186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1554189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1554192 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554211 */     // MIs[0] round
     /* 1554211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554214 */     // MIs[0] policy
     /* 1554214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554224 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16),
     /* 1554227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554235 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554248 */     // GIR_Coverage, 18931,
     /* 1554248 */     GIR_EraseRootFromParent_Done,
     /* 1554249 */   // Label 21560: @1554249
     /* 1554249 */   GIM_Try, /*On fail goto*//*Label 21561*/ GIMT_Encode4(1554331), // Rule ID 18934 //
     /* 1554254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1554257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1554271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1554274 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554293 */     // MIs[0] round
     /* 1554293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554296 */     // MIs[0] policy
     /* 1554296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554306 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1554309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554317 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554330 */     // GIR_Coverage, 18934,
     /* 1554330 */     GIR_EraseRootFromParent_Done,
     /* 1554331 */   // Label 21561: @1554331
     /* 1554331 */   GIM_Try, /*On fail goto*//*Label 21562*/ GIMT_Encode4(1554413), // Rule ID 18935 //
     /* 1554336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1554339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1554347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1554350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1554353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1554356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554375 */     // MIs[0] round
     /* 1554375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554378 */     // MIs[0] policy
     /* 1554378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554388 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16),
     /* 1554391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554399 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554412 */     // GIR_Coverage, 18935,
     /* 1554412 */     GIR_EraseRootFromParent_Done,
     /* 1554413 */   // Label 21562: @1554413
     /* 1554413 */   GIM_Try, /*On fail goto*//*Label 21563*/ GIMT_Encode4(1554495), // Rule ID 18938 //
     /* 1554418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1554421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1554438 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554457 */     // MIs[0] round
     /* 1554457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554460 */     // MIs[0] policy
     /* 1554460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554470 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1554473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554481 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554494 */     // GIR_Coverage, 18938,
     /* 1554494 */     GIR_EraseRootFromParent_Done,
     /* 1554495 */   // Label 21563: @1554495
     /* 1554495 */   GIM_Try, /*On fail goto*//*Label 21564*/ GIMT_Encode4(1554577), // Rule ID 18939 //
     /* 1554500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1554503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1554511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1554514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1554517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1554520 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554539 */     // MIs[0] round
     /* 1554539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554542 */     // MIs[0] policy
     /* 1554542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554552 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16),
     /* 1554555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554563 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554576 */     // GIR_Coverage, 18939,
     /* 1554576 */     GIR_EraseRootFromParent_Done,
     /* 1554577 */   // Label 21564: @1554577
     /* 1554577 */   GIM_Try, /*On fail goto*//*Label 21565*/ GIMT_Encode4(1554659), // Rule ID 18942 //
     /* 1554582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1554585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1554602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554621 */     // MIs[0] round
     /* 1554621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554624 */     // MIs[0] policy
     /* 1554624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554634 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1554637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554645 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554658 */     // GIR_Coverage, 18942,
     /* 1554658 */     GIR_EraseRootFromParent_Done,
     /* 1554659 */   // Label 21565: @1554659
     /* 1554659 */   GIM_Try, /*On fail goto*//*Label 21566*/ GIMT_Encode4(1554741), // Rule ID 18943 //
     /* 1554664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1554667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1554675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1554678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1554681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1554684 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1554695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1554703 */     // MIs[0] round
     /* 1554703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554706 */     // MIs[0] policy
     /* 1554706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554716 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16),
     /* 1554719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554727 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1554737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554740 */     // GIR_Coverage, 18943,
     /* 1554740 */     GIR_EraseRootFromParent_Done,
     /* 1554741 */   // Label 21566: @1554741
     /* 1554741 */   GIM_Try, /*On fail goto*//*Label 21567*/ GIMT_Encode4(1554823), // Rule ID 18946 //
     /* 1554746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1554749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1554757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1554760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1554766 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554785 */     // MIs[0] round
     /* 1554785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554788 */     // MIs[0] policy
     /* 1554788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554798 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1554801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554809 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554822 */     // GIR_Coverage, 18946,
     /* 1554822 */     GIR_EraseRootFromParent_Done,
     /* 1554823 */   // Label 21567: @1554823
     /* 1554823 */   GIM_Try, /*On fail goto*//*Label 21568*/ GIMT_Encode4(1554905), // Rule ID 18947 //
     /* 1554828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1554831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1554839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1554842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1554845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1554848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1554851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554867 */     // MIs[0] round
     /* 1554867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554870 */     // MIs[0] policy
     /* 1554870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554880 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1554880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32),
     /* 1554883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554891 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554904 */     // GIR_Coverage, 18947,
     /* 1554904 */     GIR_EraseRootFromParent_Done,
     /* 1554905 */   // Label 21568: @1554905
     /* 1554905 */   GIM_Try, /*On fail goto*//*Label 21569*/ GIMT_Encode4(1554987), // Rule ID 18950 //
     /* 1554910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1554913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1554918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1554921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1554924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1554927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1554930 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1554933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1554941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1554949 */     // MIs[0] round
     /* 1554949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1554952 */     // MIs[0] policy
     /* 1554952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1554955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1554962 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1554962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1554965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1554967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1554969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1554971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1554973 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1554975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1554980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1554983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1554985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1554986 */     // GIR_Coverage, 18950,
     /* 1554986 */     GIR_EraseRootFromParent_Done,
     /* 1554987 */   // Label 21569: @1554987
     /* 1554987 */   GIM_Try, /*On fail goto*//*Label 21570*/ GIMT_Encode4(1555069), // Rule ID 18951 //
     /* 1554992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1554995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1555003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1555006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1555009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1555012 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555031 */     // MIs[0] round
     /* 1555031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555034 */     // MIs[0] policy
     /* 1555034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555044 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32),
     /* 1555047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555055 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555068 */     // GIR_Coverage, 18951,
     /* 1555068 */     GIR_EraseRootFromParent_Done,
     /* 1555069 */   // Label 21570: @1555069
     /* 1555069 */   GIM_Try, /*On fail goto*//*Label 21571*/ GIMT_Encode4(1555151), // Rule ID 18954 //
     /* 1555074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1555077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1555094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555113 */     // MIs[0] round
     /* 1555113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555116 */     // MIs[0] policy
     /* 1555116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555126 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1555129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555137 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555150 */     // GIR_Coverage, 18954,
     /* 1555150 */     GIR_EraseRootFromParent_Done,
     /* 1555151 */   // Label 21571: @1555151
     /* 1555151 */   GIM_Try, /*On fail goto*//*Label 21572*/ GIMT_Encode4(1555233), // Rule ID 18955 //
     /* 1555156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1555159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1555167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1555170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1555173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1555176 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555195 */     // MIs[0] round
     /* 1555195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555198 */     // MIs[0] policy
     /* 1555198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555208 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32),
     /* 1555211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555219 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555232 */     // GIR_Coverage, 18955,
     /* 1555232 */     GIR_EraseRootFromParent_Done,
     /* 1555233 */   // Label 21572: @1555233
     /* 1555233 */   GIM_Try, /*On fail goto*//*Label 21573*/ GIMT_Encode4(1555315), // Rule ID 18958 //
     /* 1555238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1555241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1555258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555277 */     // MIs[0] round
     /* 1555277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555280 */     // MIs[0] policy
     /* 1555280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555290 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1555293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555301 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555314 */     // GIR_Coverage, 18958,
     /* 1555314 */     GIR_EraseRootFromParent_Done,
     /* 1555315 */   // Label 21573: @1555315
     /* 1555315 */   GIM_Try, /*On fail goto*//*Label 21574*/ GIMT_Encode4(1555397), // Rule ID 18959 //
     /* 1555320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1555323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1555331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1555334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1555337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1555340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1555351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555359 */     // MIs[0] round
     /* 1555359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555362 */     // MIs[0] policy
     /* 1555362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555372 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32),
     /* 1555375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555383 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1555393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555396 */     // GIR_Coverage, 18959,
     /* 1555396 */     GIR_EraseRootFromParent_Done,
     /* 1555397 */   // Label 21574: @1555397
     /* 1555397 */   GIM_Try, /*On fail goto*//*Label 21575*/ GIMT_Encode4(1555479), // Rule ID 18962 //
     /* 1555402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1555405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1555419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1555422 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1555437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555441 */     // MIs[0] round
     /* 1555441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555444 */     // MIs[0] policy
     /* 1555444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555454 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1555457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555465 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555478 */     // GIR_Coverage, 18962,
     /* 1555478 */     GIR_EraseRootFromParent_Done,
     /* 1555479 */   // Label 21575: @1555479
     /* 1555479 */   GIM_Try, /*On fail goto*//*Label 21576*/ GIMT_Encode4(1555561), // Rule ID 18963 //
     /* 1555484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1555487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1555495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1555498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1555501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1555504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1555519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555523 */     // MIs[0] round
     /* 1555523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555526 */     // MIs[0] policy
     /* 1555526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555536 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16),
     /* 1555539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555547 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555560 */     // GIR_Coverage, 18963,
     /* 1555560 */     GIR_EraseRootFromParent_Done,
     /* 1555561 */   // Label 21576: @1555561
     /* 1555561 */   GIM_Try, /*On fail goto*//*Label 21577*/ GIMT_Encode4(1555643), // Rule ID 18966 //
     /* 1555566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1555569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1555583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1555586 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1555601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555605 */     // MIs[0] round
     /* 1555605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555608 */     // MIs[0] policy
     /* 1555608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555618 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1555621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555629 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555642 */     // GIR_Coverage, 18966,
     /* 1555642 */     GIR_EraseRootFromParent_Done,
     /* 1555643 */   // Label 21577: @1555643
     /* 1555643 */   GIM_Try, /*On fail goto*//*Label 21578*/ GIMT_Encode4(1555725), // Rule ID 18967 //
     /* 1555648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1555651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1555659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1555662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1555665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1555668 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1555683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555687 */     // MIs[0] round
     /* 1555687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555690 */     // MIs[0] policy
     /* 1555690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555700 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11309:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16),
     /* 1555703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555711 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555724 */     // GIR_Coverage, 18967,
     /* 1555724 */     GIR_EraseRootFromParent_Done,
     /* 1555725 */   // Label 21578: @1555725
     /* 1555725 */   GIM_Try, /*On fail goto*//*Label 21579*/ GIMT_Encode4(1555807), // Rule ID 18970 //
     /* 1555730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1555733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1555741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1555744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1555747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1555750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1555765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555769 */     // MIs[0] round
     /* 1555769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555772 */     // MIs[0] policy
     /* 1555772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555782 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1555785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555793 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555806 */     // GIR_Coverage, 18970,
     /* 1555806 */     GIR_EraseRootFromParent_Done,
     /* 1555807 */   // Label 21579: @1555807
     /* 1555807 */   GIM_Try, /*On fail goto*//*Label 21580*/ GIMT_Encode4(1555889), // Rule ID 18971 //
     /* 1555812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1555815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1555823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1555826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1555829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1555832 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1555847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1555851 */     // MIs[0] round
     /* 1555851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555854 */     // MIs[0] policy
     /* 1555854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555864 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1555864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16),
     /* 1555867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555875 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555888 */     // GIR_Coverage, 18971,
     /* 1555888 */     GIR_EraseRootFromParent_Done,
     /* 1555889 */   // Label 21580: @1555889
     /* 1555889 */   GIM_Try, /*On fail goto*//*Label 21581*/ GIMT_Encode4(1555971), // Rule ID 18974 //
     /* 1555894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1555897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1555905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1555908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1555911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1555914 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1555917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1555925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1555929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1555933 */     // MIs[0] round
     /* 1555933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1555936 */     // MIs[0] policy
     /* 1555936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1555939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1555946 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1555946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1555949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1555951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1555953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1555955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1555957 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1555959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1555964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1555967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1555969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1555970 */     // GIR_Coverage, 18974,
     /* 1555970 */     GIR_EraseRootFromParent_Done,
     /* 1555971 */   // Label 21581: @1555971
     /* 1555971 */   GIM_Try, /*On fail goto*//*Label 21582*/ GIMT_Encode4(1556053), // Rule ID 18975 //
     /* 1555976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1555979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1555984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1555987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1555990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1555993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1555996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1555999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1556011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556015 */     // MIs[0] round
     /* 1556015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556018 */     // MIs[0] policy
     /* 1556018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556028 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16),
     /* 1556031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556039 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556052 */     // GIR_Coverage, 18975,
     /* 1556052 */     GIR_EraseRootFromParent_Done,
     /* 1556053 */   // Label 21582: @1556053
     /* 1556053 */   GIM_Try, /*On fail goto*//*Label 21583*/ GIMT_Encode4(1556135), // Rule ID 18978 //
     /* 1556058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 1556061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1556075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1556078 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1556093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556097 */     // MIs[0] round
     /* 1556097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556100 */     // MIs[0] policy
     /* 1556100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556110 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1556113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556121 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556134 */     // GIR_Coverage, 18978,
     /* 1556134 */     GIR_EraseRootFromParent_Done,
     /* 1556135 */   // Label 21583: @1556135
     /* 1556135 */   GIM_Try, /*On fail goto*//*Label 21584*/ GIMT_Encode4(1556217), // Rule ID 18979 //
     /* 1556140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 1556143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1556151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1556154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 1556157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1556160 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1556175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556179 */     // MIs[0] round
     /* 1556179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556182 */     // MIs[0] policy
     /* 1556182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556192 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16),
     /* 1556195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556203 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556216 */     // GIR_Coverage, 18979,
     /* 1556216 */     GIR_EraseRootFromParent_Done,
     /* 1556217 */   // Label 21584: @1556217
     /* 1556217 */   GIM_Try, /*On fail goto*//*Label 21585*/ GIMT_Encode4(1556299), // Rule ID 18982 //
     /* 1556222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1556225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1556239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1556242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1556257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556261 */     // MIs[0] round
     /* 1556261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556264 */     // MIs[0] policy
     /* 1556264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556274 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1556277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556285 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556298 */     // GIR_Coverage, 18982,
     /* 1556298 */     GIR_EraseRootFromParent_Done,
     /* 1556299 */   // Label 21585: @1556299
     /* 1556299 */   GIM_Try, /*On fail goto*//*Label 21586*/ GIMT_Encode4(1556381), // Rule ID 18983 //
     /* 1556304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1556307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1556315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1556318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1556321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1556324 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1556339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556343 */     // MIs[0] round
     /* 1556343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556346 */     // MIs[0] policy
     /* 1556346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556356 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11309:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32),
     /* 1556359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556367 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556380 */     // GIR_Coverage, 18983,
     /* 1556380 */     GIR_EraseRootFromParent_Done,
     /* 1556381 */   // Label 21586: @1556381
     /* 1556381 */   GIM_Try, /*On fail goto*//*Label 21587*/ GIMT_Encode4(1556463), // Rule ID 18986 //
     /* 1556386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1556389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1556403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1556406 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1556421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556425 */     // MIs[0] round
     /* 1556425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556428 */     // MIs[0] policy
     /* 1556428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556438 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1556441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556449 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556462 */     // GIR_Coverage, 18986,
     /* 1556462 */     GIR_EraseRootFromParent_Done,
     /* 1556463 */   // Label 21587: @1556463
     /* 1556463 */   GIM_Try, /*On fail goto*//*Label 21588*/ GIMT_Encode4(1556545), // Rule ID 18987 //
     /* 1556468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1556471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1556479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1556482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1556485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1556488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1556503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556507 */     // MIs[0] round
     /* 1556507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556510 */     // MIs[0] policy
     /* 1556510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556520 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11309:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32),
     /* 1556523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556531 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556544 */     // GIR_Coverage, 18987,
     /* 1556544 */     GIR_EraseRootFromParent_Done,
     /* 1556545 */   // Label 21588: @1556545
     /* 1556545 */   GIM_Try, /*On fail goto*//*Label 21589*/ GIMT_Encode4(1556627), // Rule ID 18990 //
     /* 1556550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1556553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1556567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1556570 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1556585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556589 */     // MIs[0] round
     /* 1556589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556592 */     // MIs[0] policy
     /* 1556592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1556605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556613 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556626 */     // GIR_Coverage, 18990,
     /* 1556626 */     GIR_EraseRootFromParent_Done,
     /* 1556627 */   // Label 21589: @1556627
     /* 1556627 */   GIM_Try, /*On fail goto*//*Label 21590*/ GIMT_Encode4(1556709), // Rule ID 18991 //
     /* 1556632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1556635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1556643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1556646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1556649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1556652 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1556667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1556671 */     // MIs[0] round
     /* 1556671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556674 */     // MIs[0] policy
     /* 1556674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556684 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11309:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32),
     /* 1556687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556695 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556708 */     // GIR_Coverage, 18991,
     /* 1556708 */     GIR_EraseRootFromParent_Done,
     /* 1556709 */   // Label 21590: @1556709
     /* 1556709 */   GIM_Try, /*On fail goto*//*Label 21591*/ GIMT_Encode4(1556791), // Rule ID 18994 //
     /* 1556714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1556717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1556731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1556734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1556749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556753 */     // MIs[0] round
     /* 1556753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556756 */     // MIs[0] policy
     /* 1556756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556766 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1556769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556777 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556790 */     // GIR_Coverage, 18994,
     /* 1556790 */     GIR_EraseRootFromParent_Done,
     /* 1556791 */   // Label 21591: @1556791
     /* 1556791 */   GIM_Try, /*On fail goto*//*Label 21592*/ GIMT_Encode4(1556873), // Rule ID 18995 //
     /* 1556796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1556799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac),
     /* 1556804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1556807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1556810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1556813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1556816 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1556827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1556831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1556835 */     // MIs[0] round
     /* 1556835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556838 */     // MIs[0] policy
     /* 1556838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556848 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11309:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1556848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32),
     /* 1556851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1556855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1556857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1556859 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1556869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556872 */     // GIR_Coverage, 18995,
     /* 1556872 */     GIR_EraseRootFromParent_Done,
     /* 1556873 */   // Label 21592: @1556873
     /* 1556873 */   GIM_Try, /*On fail goto*//*Label 21593*/ GIMT_Encode4(1556955), // Rule ID 19000 //
     /* 1556878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1556881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1556886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1556889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1556892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1556895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556898 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1556901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556917 */     // MIs[0] round
     /* 1556917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1556920 */     // MIs[0] policy
     /* 1556920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1556923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1556930 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1556930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1556933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1556935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1556937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1556939 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1556941 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1556943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1556948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1556951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1556953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1556954 */     // GIR_Coverage, 19000,
     /* 1556954 */     GIR_EraseRootFromParent_Done,
     /* 1556955 */   // Label 21593: @1556955
     /* 1556955 */   GIM_Try, /*On fail goto*//*Label 21594*/ GIMT_Encode4(1557037), // Rule ID 19001 //
     /* 1556960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1556963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1556968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1556971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1556974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1556977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1556980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1556983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1556987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1556995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1556999 */     // MIs[0] round
     /* 1556999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557002 */     // MIs[0] policy
     /* 1557002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557012 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16_MASK),
     /* 1557015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557021 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557023 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557036 */     // GIR_Coverage, 19001,
     /* 1557036 */     GIR_EraseRootFromParent_Done,
     /* 1557037 */   // Label 21594: @1557037
     /* 1557037 */   GIM_Try, /*On fail goto*//*Label 21595*/ GIMT_Encode4(1557119), // Rule ID 19004 //
     /* 1557042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1557045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557062 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557081 */     // MIs[0] round
     /* 1557081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557084 */     // MIs[0] policy
     /* 1557084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557094 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1557097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557103 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557105 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557118 */     // GIR_Coverage, 19004,
     /* 1557118 */     GIR_EraseRootFromParent_Done,
     /* 1557119 */   // Label 21595: @1557119
     /* 1557119 */   GIM_Try, /*On fail goto*//*Label 21596*/ GIMT_Encode4(1557201), // Rule ID 19005 //
     /* 1557124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1557127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1557135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1557138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1557141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557144 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557163 */     // MIs[0] round
     /* 1557163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557166 */     // MIs[0] policy
     /* 1557166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557176 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32_MASK),
     /* 1557179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557187 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557200 */     // GIR_Coverage, 19005,
     /* 1557200 */     GIR_EraseRootFromParent_Done,
     /* 1557201 */   // Label 21596: @1557201
     /* 1557201 */   GIM_Try, /*On fail goto*//*Label 21597*/ GIMT_Encode4(1557283), // Rule ID 19008 //
     /* 1557206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1557209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557245 */     // MIs[0] round
     /* 1557245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557248 */     // MIs[0] policy
     /* 1557248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557258 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1557261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557267 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557269 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557282 */     // GIR_Coverage, 19008,
     /* 1557282 */     GIR_EraseRootFromParent_Done,
     /* 1557283 */   // Label 21597: @1557283
     /* 1557283 */   GIM_Try, /*On fail goto*//*Label 21598*/ GIMT_Encode4(1557365), // Rule ID 19009 //
     /* 1557288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1557291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1557299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1557302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1557305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1557308 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557327 */     // MIs[0] round
     /* 1557327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557330 */     // MIs[0] policy
     /* 1557330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557340 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11276:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16_MASK),
     /* 1557343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557349 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557351 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557364 */     // GIR_Coverage, 19009,
     /* 1557364 */     GIR_EraseRootFromParent_Done,
     /* 1557365 */   // Label 21598: @1557365
     /* 1557365 */   GIM_Try, /*On fail goto*//*Label 21599*/ GIMT_Encode4(1557447), // Rule ID 19012 //
     /* 1557370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1557373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557390 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557409 */     // MIs[0] round
     /* 1557409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557412 */     // MIs[0] policy
     /* 1557412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557422 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1557425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557431 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557433 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557446 */     // GIR_Coverage, 19012,
     /* 1557446 */     GIR_EraseRootFromParent_Done,
     /* 1557447 */   // Label 21599: @1557447
     /* 1557447 */   GIM_Try, /*On fail goto*//*Label 21600*/ GIMT_Encode4(1557529), // Rule ID 19013 //
     /* 1557452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1557455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1557463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1557466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1557469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1557472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557491 */     // MIs[0] round
     /* 1557491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557494 */     // MIs[0] policy
     /* 1557494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557504 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11276:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32_MASK),
     /* 1557507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557515 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1557525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557528 */     // GIR_Coverage, 19013,
     /* 1557528 */     GIR_EraseRootFromParent_Done,
     /* 1557529 */   // Label 21600: @1557529
     /* 1557529 */   GIM_Try, /*On fail goto*//*Label 21601*/ GIMT_Encode4(1557611), // Rule ID 19016 //
     /* 1557534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1557537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1557545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1557548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557554 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557573 */     // MIs[0] round
     /* 1557573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557576 */     // MIs[0] policy
     /* 1557576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557586 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1557589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557595 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557597 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557610 */     // GIR_Coverage, 19016,
     /* 1557610 */     GIR_EraseRootFromParent_Done,
     /* 1557611 */   // Label 21601: @1557611
     /* 1557611 */   GIM_Try, /*On fail goto*//*Label 21602*/ GIMT_Encode4(1557693), // Rule ID 19017 //
     /* 1557616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1557619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1557627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1557630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1557633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1557636 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1557643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1557651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557655 */     // MIs[0] round
     /* 1557655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557658 */     // MIs[0] policy
     /* 1557658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557668 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11276:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64_MASK),
     /* 1557671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557677 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557679 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1557689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557692 */     // GIR_Coverage, 19017,
     /* 1557692 */     GIR_EraseRootFromParent_Done,
     /* 1557693 */   // Label 21602: @1557693
     /* 1557693 */   GIM_Try, /*On fail goto*//*Label 21603*/ GIMT_Encode4(1557775), // Rule ID 19020 //
     /* 1557698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1557701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1557709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1557712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1557715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557737 */     // MIs[0] round
     /* 1557737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557740 */     // MIs[0] policy
     /* 1557740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557750 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1557753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557759 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557761 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557774 */     // GIR_Coverage, 19020,
     /* 1557774 */     GIR_EraseRootFromParent_Done,
     /* 1557775 */   // Label 21603: @1557775
     /* 1557775 */   GIM_Try, /*On fail goto*//*Label 21604*/ GIMT_Encode4(1557857), // Rule ID 19021 //
     /* 1557780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1557783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1557791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1557794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1557797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1557800 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1557807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1557815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557819 */     // MIs[0] round
     /* 1557819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557822 */     // MIs[0] policy
     /* 1557822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557832 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16_MASK),
     /* 1557835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557843 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557856 */     // GIR_Coverage, 19021,
     /* 1557856 */     GIR_EraseRootFromParent_Done,
     /* 1557857 */   // Label 21604: @1557857
     /* 1557857 */   GIM_Try, /*On fail goto*//*Label 21605*/ GIMT_Encode4(1557939), // Rule ID 19024 //
     /* 1557862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1557865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1557873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1557876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1557879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557882 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1557885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557901 */     // MIs[0] round
     /* 1557901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557904 */     // MIs[0] policy
     /* 1557904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557914 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1557914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1557917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1557919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1557921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1557923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1557925 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1557927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1557932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1557935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1557937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1557938 */     // GIR_Coverage, 19024,
     /* 1557938 */     GIR_EraseRootFromParent_Done,
     /* 1557939 */   // Label 21605: @1557939
     /* 1557939 */   GIM_Try, /*On fail goto*//*Label 21606*/ GIMT_Encode4(1558021), // Rule ID 19025 //
     /* 1557944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1557947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1557952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1557955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1557958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1557961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1557964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1557967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1557971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1557979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1557983 */     // MIs[0] round
     /* 1557983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1557986 */     // MIs[0] policy
     /* 1557986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1557989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1557996 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1557996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16_MASK),
     /* 1557999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558007 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558020 */     // GIR_Coverage, 19025,
     /* 1558020 */     GIR_EraseRootFromParent_Done,
     /* 1558021 */   // Label 21606: @1558021
     /* 1558021 */   GIM_Try, /*On fail goto*//*Label 21607*/ GIMT_Encode4(1558103), // Rule ID 19028 //
     /* 1558026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1558029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558046 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558065 */     // MIs[0] round
     /* 1558065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558068 */     // MIs[0] policy
     /* 1558068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558078 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1558081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558087 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558089 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558102 */     // GIR_Coverage, 19028,
     /* 1558102 */     GIR_EraseRootFromParent_Done,
     /* 1558103 */   // Label 21607: @1558103
     /* 1558103 */   GIM_Try, /*On fail goto*//*Label 21608*/ GIMT_Encode4(1558185), // Rule ID 19029 //
     /* 1558108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1558111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1558119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1558122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1558125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1558128 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558147 */     // MIs[0] round
     /* 1558147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558150 */     // MIs[0] policy
     /* 1558150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558160 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16_MASK),
     /* 1558163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558169 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558171 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1558181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558184 */     // GIR_Coverage, 19029,
     /* 1558184 */     GIR_EraseRootFromParent_Done,
     /* 1558185 */   // Label 21608: @1558185
     /* 1558185 */   GIM_Try, /*On fail goto*//*Label 21609*/ GIMT_Encode4(1558267), // Rule ID 19032 //
     /* 1558190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1558193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558229 */     // MIs[0] round
     /* 1558229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558232 */     // MIs[0] policy
     /* 1558232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558242 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1558245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558253 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558266 */     // GIR_Coverage, 19032,
     /* 1558266 */     GIR_EraseRootFromParent_Done,
     /* 1558267 */   // Label 21609: @1558267
     /* 1558267 */   GIM_Try, /*On fail goto*//*Label 21610*/ GIMT_Encode4(1558349), // Rule ID 19033 //
     /* 1558272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1558275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1558283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1558286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1558289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558292 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558311 */     // MIs[0] round
     /* 1558311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558314 */     // MIs[0] policy
     /* 1558314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558324 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32_MASK),
     /* 1558327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558333 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558335 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558348 */     // GIR_Coverage, 19033,
     /* 1558348 */     GIR_EraseRootFromParent_Done,
     /* 1558349 */   // Label 21610: @1558349
     /* 1558349 */   GIM_Try, /*On fail goto*//*Label 21611*/ GIMT_Encode4(1558431), // Rule ID 19036 //
     /* 1558354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1558357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558374 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558393 */     // MIs[0] round
     /* 1558393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558396 */     // MIs[0] policy
     /* 1558396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558406 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1558409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558415 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558417 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558430 */     // GIR_Coverage, 19036,
     /* 1558430 */     GIR_EraseRootFromParent_Done,
     /* 1558431 */   // Label 21611: @1558431
     /* 1558431 */   GIM_Try, /*On fail goto*//*Label 21612*/ GIMT_Encode4(1558513), // Rule ID 19037 //
     /* 1558436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1558439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1558447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1558450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1558453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1558456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558475 */     // MIs[0] round
     /* 1558475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558478 */     // MIs[0] policy
     /* 1558478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558488 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32_MASK),
     /* 1558491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558497 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558499 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558512 */     // GIR_Coverage, 19037,
     /* 1558512 */     GIR_EraseRootFromParent_Done,
     /* 1558513 */   // Label 21612: @1558513
     /* 1558513 */   GIM_Try, /*On fail goto*//*Label 21613*/ GIMT_Encode4(1558595), // Rule ID 19040 //
     /* 1558518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1558521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1558529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1558532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558538 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558557 */     // MIs[0] round
     /* 1558557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558560 */     // MIs[0] policy
     /* 1558560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558570 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1558573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558581 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558594 */     // GIR_Coverage, 19040,
     /* 1558594 */     GIR_EraseRootFromParent_Done,
     /* 1558595 */   // Label 21613: @1558595
     /* 1558595 */   GIM_Try, /*On fail goto*//*Label 21614*/ GIMT_Encode4(1558677), // Rule ID 19041 //
     /* 1558600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1558603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1558611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1558614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1558617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1558620 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1558627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1558635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558639 */     // MIs[0] round
     /* 1558639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558642 */     // MIs[0] policy
     /* 1558642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558652 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32_MASK),
     /* 1558655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558663 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1558673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558676 */     // GIR_Coverage, 19041,
     /* 1558676 */     GIR_EraseRootFromParent_Done,
     /* 1558677 */   // Label 21614: @1558677
     /* 1558677 */   GIM_Try, /*On fail goto*//*Label 21615*/ GIMT_Encode4(1558759), // Rule ID 19044 //
     /* 1558682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1558685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1558693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1558696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558721 */     // MIs[0] round
     /* 1558721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558724 */     // MIs[0] policy
     /* 1558724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558734 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1558737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558745 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558758 */     // GIR_Coverage, 19044,
     /* 1558758 */     GIR_EraseRootFromParent_Done,
     /* 1558759 */   // Label 21615: @1558759
     /* 1558759 */   GIM_Try, /*On fail goto*//*Label 21616*/ GIMT_Encode4(1558841), // Rule ID 19045 //
     /* 1558764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1558767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1558775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1558778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1558781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1558784 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1558791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1558799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558803 */     // MIs[0] round
     /* 1558803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558806 */     // MIs[0] policy
     /* 1558806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558816 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11276:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64_MASK),
     /* 1558819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558825 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558827 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558840 */     // GIR_Coverage, 19045,
     /* 1558840 */     GIR_EraseRootFromParent_Done,
     /* 1558841 */   // Label 21616: @1558841
     /* 1558841 */   GIM_Try, /*On fail goto*//*Label 21617*/ GIMT_Encode4(1558923), // Rule ID 19048 //
     /* 1558846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1558849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1558857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1558860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1558863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558866 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1558869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558885 */     // MIs[0] round
     /* 1558885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558888 */     // MIs[0] policy
     /* 1558888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558898 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1558898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1558901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558907 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558909 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1558919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1558921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1558922 */     // GIR_Coverage, 19048,
     /* 1558922 */     GIR_EraseRootFromParent_Done,
     /* 1558923 */   // Label 21617: @1558923
     /* 1558923 */   GIM_Try, /*On fail goto*//*Label 21618*/ GIMT_Encode4(1559005), // Rule ID 19049 //
     /* 1558928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1558931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1558936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1558939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1558942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1558945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1558948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1558951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1558955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1558963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1558967 */     // MIs[0] round
     /* 1558967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1558970 */     // MIs[0] policy
     /* 1558970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1558973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1558980 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11276:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1558980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64_MASK),
     /* 1558983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1558985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1558987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1558989 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1558991 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1558993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1558998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559004 */     // GIR_Coverage, 19049,
     /* 1559004 */     GIR_EraseRootFromParent_Done,
     /* 1559005 */   // Label 21618: @1559005
     /* 1559005 */   GIM_Try, /*On fail goto*//*Label 21619*/ GIMT_Encode4(1559087), // Rule ID 19052 //
     /* 1559010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1559013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1559018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559030 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559049 */     // MIs[0] round
     /* 1559049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559052 */     // MIs[0] policy
     /* 1559052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559062 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1559065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559071 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559073 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559086 */     // GIR_Coverage, 19052,
     /* 1559086 */     GIR_EraseRootFromParent_Done,
     /* 1559087 */   // Label 21619: @1559087
     /* 1559087 */   GIM_Try, /*On fail goto*//*Label 21620*/ GIMT_Encode4(1559169), // Rule ID 19053 //
     /* 1559092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1559095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsqrt_mask),
     /* 1559100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1559103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1559106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1559109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1559112 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1559119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1559127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559131 */     // MIs[0] round
     /* 1559131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559134 */     // MIs[0] policy
     /* 1559134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559144 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11276:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSQRT_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64_MASK),
     /* 1559147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559153 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559155 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1559165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559168 */     // GIR_Coverage, 19053,
     /* 1559168 */     GIR_EraseRootFromParent_Done,
     /* 1559169 */   // Label 21620: @1559169
     /* 1559169 */   GIM_Try, /*On fail goto*//*Label 21621*/ GIMT_Encode4(1559251), // Rule ID 19112 //
     /* 1559174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1559177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559213 */     // MIs[0] round
     /* 1559213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559216 */     // MIs[0] policy
     /* 1559216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559226 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1559229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559235 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559237 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559250 */     // GIR_Coverage, 19112,
     /* 1559250 */     GIR_EraseRootFromParent_Done,
     /* 1559251 */   // Label 21621: @1559251
     /* 1559251 */   GIM_Try, /*On fail goto*//*Label 21622*/ GIMT_Encode4(1559333), // Rule ID 19113 //
     /* 1559256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1559259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1559267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1559270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1559273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559276 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559295 */     // MIs[0] round
     /* 1559295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559298 */     // MIs[0] policy
     /* 1559298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559308 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF4_E16_MASK),
     /* 1559311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559319 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559332 */     // GIR_Coverage, 19113,
     /* 1559332 */     GIR_EraseRootFromParent_Done,
     /* 1559333 */   // Label 21622: @1559333
     /* 1559333 */   GIM_Try, /*On fail goto*//*Label 21623*/ GIMT_Encode4(1559415), // Rule ID 19116 //
     /* 1559338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1559341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559358 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559377 */     // MIs[0] round
     /* 1559377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559380 */     // MIs[0] policy
     /* 1559380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559390 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1559393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559399 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559401 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559414 */     // GIR_Coverage, 19116,
     /* 1559414 */     GIR_EraseRootFromParent_Done,
     /* 1559415 */   // Label 21623: @1559415
     /* 1559415 */   GIM_Try, /*On fail goto*//*Label 21624*/ GIMT_Encode4(1559497), // Rule ID 19117 //
     /* 1559420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1559423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1559431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1559434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1559437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559459 */     // MIs[0] round
     /* 1559459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559462 */     // MIs[0] policy
     /* 1559462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559472 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E16_MASK),
     /* 1559475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559481 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559483 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559496 */     // GIR_Coverage, 19117,
     /* 1559496 */     GIR_EraseRootFromParent_Done,
     /* 1559497 */   // Label 21624: @1559497
     /* 1559497 */   GIM_Try, /*On fail goto*//*Label 21625*/ GIMT_Encode4(1559579), // Rule ID 19120 //
     /* 1559502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1559505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1559513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1559516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559522 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559541 */     // MIs[0] round
     /* 1559541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559544 */     // MIs[0] policy
     /* 1559544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559554 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1559557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559563 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559565 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559578 */     // GIR_Coverage, 19120,
     /* 1559578 */     GIR_EraseRootFromParent_Done,
     /* 1559579 */   // Label 21625: @1559579
     /* 1559579 */   GIM_Try, /*On fail goto*//*Label 21626*/ GIMT_Encode4(1559661), // Rule ID 19121 //
     /* 1559584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1559587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1559595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1559598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1559601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1559604 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559623 */     // MIs[0] round
     /* 1559623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559626 */     // MIs[0] policy
     /* 1559626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559636 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_MF2_E32_MASK),
     /* 1559639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559647 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559660 */     // GIR_Coverage, 19121,
     /* 1559660 */     GIR_EraseRootFromParent_Done,
     /* 1559661 */   // Label 21626: @1559661
     /* 1559661 */   GIM_Try, /*On fail goto*//*Label 21627*/ GIMT_Encode4(1559743), // Rule ID 19124 //
     /* 1559666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1559669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1559677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1559680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1559683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559705 */     // MIs[0] round
     /* 1559705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559708 */     // MIs[0] policy
     /* 1559708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559718 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1559721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559727 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559729 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559742 */     // GIR_Coverage, 19124,
     /* 1559742 */     GIR_EraseRootFromParent_Done,
     /* 1559743 */   // Label 21627: @1559743
     /* 1559743 */   GIM_Try, /*On fail goto*//*Label 21628*/ GIMT_Encode4(1559825), // Rule ID 19125 //
     /* 1559748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1559751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1559759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1559762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1559765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1559768 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559787 */     // MIs[0] round
     /* 1559787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559790 */     // MIs[0] policy
     /* 1559790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559800 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11252:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E16_MASK),
     /* 1559803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559809 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559811 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1559821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559824 */     // GIR_Coverage, 19125,
     /* 1559824 */     GIR_EraseRootFromParent_Done,
     /* 1559825 */   // Label 21628: @1559825
     /* 1559825 */   GIM_Try, /*On fail goto*//*Label 21629*/ GIMT_Encode4(1559907), // Rule ID 19128 //
     /* 1559830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1559833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1559841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1559844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1559847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559850 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1559853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559869 */     // MIs[0] round
     /* 1559869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559872 */     // MIs[0] policy
     /* 1559872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559882 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1559882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1559885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559891 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559893 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559906 */     // GIR_Coverage, 19128,
     /* 1559906 */     GIR_EraseRootFromParent_Done,
     /* 1559907 */   // Label 21629: @1559907
     /* 1559907 */   GIM_Try, /*On fail goto*//*Label 21630*/ GIMT_Encode4(1559989), // Rule ID 19129 //
     /* 1559912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1559915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1559920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1559923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1559926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1559929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1559932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1559935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1559939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1559947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1559951 */     // MIs[0] round
     /* 1559951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1559954 */     // MIs[0] policy
     /* 1559954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1559957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1559964 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11252:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1559964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E32_MASK),
     /* 1559967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1559969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1559971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1559973 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1559975 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1559977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1559982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1559985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1559987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1559988 */     // GIR_Coverage, 19129,
     /* 1559988 */     GIR_EraseRootFromParent_Done,
     /* 1559989 */   // Label 21630: @1559989
     /* 1559989 */   GIM_Try, /*On fail goto*//*Label 21631*/ GIMT_Encode4(1560071), // Rule ID 19132 //
     /* 1559994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1559997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1560011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560014 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560033 */     // MIs[0] round
     /* 1560033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560036 */     // MIs[0] policy
     /* 1560036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560046 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1560049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560055 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560057 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560070 */     // GIR_Coverage, 19132,
     /* 1560070 */     GIR_EraseRootFromParent_Done,
     /* 1560071 */   // Label 21631: @1560071
     /* 1560071 */   GIM_Try, /*On fail goto*//*Label 21632*/ GIMT_Encode4(1560153), // Rule ID 19133 //
     /* 1560076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1560079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1560087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1560090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1560093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1560096 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1560103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1560111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560115 */     // MIs[0] round
     /* 1560115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560118 */     // MIs[0] policy
     /* 1560118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560128 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11252:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M1_E64_MASK),
     /* 1560131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560137 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560139 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1560149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560152 */     // GIR_Coverage, 19133,
     /* 1560152 */     GIR_EraseRootFromParent_Done,
     /* 1560153 */   // Label 21632: @1560153
     /* 1560153 */   GIM_Try, /*On fail goto*//*Label 21633*/ GIMT_Encode4(1560235), // Rule ID 19136 //
     /* 1560158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1560161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560197 */     // MIs[0] round
     /* 1560197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560200 */     // MIs[0] policy
     /* 1560200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560210 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1560213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560219 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560221 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560234 */     // GIR_Coverage, 19136,
     /* 1560234 */     GIR_EraseRootFromParent_Done,
     /* 1560235 */   // Label 21633: @1560235
     /* 1560235 */   GIM_Try, /*On fail goto*//*Label 21634*/ GIMT_Encode4(1560317), // Rule ID 19137 //
     /* 1560240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1560243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1560251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1560254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1560257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560260 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560279 */     // MIs[0] round
     /* 1560279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560282 */     // MIs[0] policy
     /* 1560282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560292 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E16_MASK),
     /* 1560295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560301 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560303 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560316 */     // GIR_Coverage, 19137,
     /* 1560316 */     GIR_EraseRootFromParent_Done,
     /* 1560317 */   // Label 21634: @1560317
     /* 1560317 */   GIM_Try, /*On fail goto*//*Label 21635*/ GIMT_Encode4(1560399), // Rule ID 19140 //
     /* 1560322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1560325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560342 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560361 */     // MIs[0] round
     /* 1560361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560364 */     // MIs[0] policy
     /* 1560364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560374 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1560377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560383 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560385 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560398 */     // GIR_Coverage, 19140,
     /* 1560398 */     GIR_EraseRootFromParent_Done,
     /* 1560399 */   // Label 21635: @1560399
     /* 1560399 */   GIM_Try, /*On fail goto*//*Label 21636*/ GIMT_Encode4(1560481), // Rule ID 19141 //
     /* 1560404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1560407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1560415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1560418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1560421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560443 */     // MIs[0] round
     /* 1560443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560446 */     // MIs[0] policy
     /* 1560446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560456 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E16_MASK),
     /* 1560459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560465 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560467 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560480 */     // GIR_Coverage, 19141,
     /* 1560480 */     GIR_EraseRootFromParent_Done,
     /* 1560481 */   // Label 21636: @1560481
     /* 1560481 */   GIM_Try, /*On fail goto*//*Label 21637*/ GIMT_Encode4(1560563), // Rule ID 19144 //
     /* 1560486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1560489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1560497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1560500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1560503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1560506 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560525 */     // MIs[0] round
     /* 1560525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560528 */     // MIs[0] policy
     /* 1560528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560538 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1560541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560547 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560549 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560562 */     // GIR_Coverage, 19144,
     /* 1560562 */     GIR_EraseRootFromParent_Done,
     /* 1560563 */   // Label 21637: @1560563
     /* 1560563 */   GIM_Try, /*On fail goto*//*Label 21638*/ GIMT_Encode4(1560645), // Rule ID 19145 //
     /* 1560568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1560571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1560579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1560582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1560585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1560588 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1560595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1560603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560607 */     // MIs[0] round
     /* 1560607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560610 */     // MIs[0] policy
     /* 1560610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560620 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E16_MASK),
     /* 1560623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560629 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560631 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1560641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560644 */     // GIR_Coverage, 19145,
     /* 1560644 */     GIR_EraseRootFromParent_Done,
     /* 1560645 */   // Label 21638: @1560645
     /* 1560645 */   GIM_Try, /*On fail goto*//*Label 21639*/ GIMT_Encode4(1560727), // Rule ID 19148 //
     /* 1560650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1560653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1560667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560689 */     // MIs[0] round
     /* 1560689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560692 */     // MIs[0] policy
     /* 1560692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560702 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1560705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560713 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560726 */     // GIR_Coverage, 19148,
     /* 1560726 */     GIR_EraseRootFromParent_Done,
     /* 1560727 */   // Label 21639: @1560727
     /* 1560727 */   GIM_Try, /*On fail goto*//*Label 21640*/ GIMT_Encode4(1560809), // Rule ID 19149 //
     /* 1560732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1560735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1560743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1560746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1560749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1560752 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1560759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1560767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560771 */     // MIs[0] round
     /* 1560771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560774 */     // MIs[0] policy
     /* 1560774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560784 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E32_MASK),
     /* 1560787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560793 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560795 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560808 */     // GIR_Coverage, 19149,
     /* 1560808 */     GIR_EraseRootFromParent_Done,
     /* 1560809 */   // Label 21640: @1560809
     /* 1560809 */   GIM_Try, /*On fail goto*//*Label 21641*/ GIMT_Encode4(1560891), // Rule ID 19152 //
     /* 1560814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1560817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1560831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560834 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1560837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560853 */     // MIs[0] round
     /* 1560853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560856 */     // MIs[0] policy
     /* 1560856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560866 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1560866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1560869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560875 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560877 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560890 */     // GIR_Coverage, 19152,
     /* 1560890 */     GIR_EraseRootFromParent_Done,
     /* 1560891 */   // Label 21641: @1560891
     /* 1560891 */   GIM_Try, /*On fail goto*//*Label 21642*/ GIMT_Encode4(1560973), // Rule ID 19153 //
     /* 1560896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1560899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1560907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1560910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1560913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1560916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1560919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1560923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1560931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1560935 */     // MIs[0] round
     /* 1560935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1560938 */     // MIs[0] policy
     /* 1560938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1560941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1560948 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1560948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E32_MASK),
     /* 1560951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1560953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1560955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1560957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1560959 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1560961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1560966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1560969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1560971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1560972 */     // GIR_Coverage, 19153,
     /* 1560972 */     GIR_EraseRootFromParent_Done,
     /* 1560973 */   // Label 21642: @1560973
     /* 1560973 */   GIM_Try, /*On fail goto*//*Label 21643*/ GIMT_Encode4(1561055), // Rule ID 19156 //
     /* 1560978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1560981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1560986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1560989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1560992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1560995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1560998 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561017 */     // MIs[0] round
     /* 1561017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561020 */     // MIs[0] policy
     /* 1561020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561030 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1561033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561039 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561041 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561054 */     // GIR_Coverage, 19156,
     /* 1561054 */     GIR_EraseRootFromParent_Done,
     /* 1561055 */   // Label 21643: @1561055
     /* 1561055 */   GIM_Try, /*On fail goto*//*Label 21644*/ GIMT_Encode4(1561137), // Rule ID 19157 //
     /* 1561060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1561063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1561068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1561071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1561074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1561077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1561080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561099 */     // MIs[0] round
     /* 1561099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561102 */     // MIs[0] policy
     /* 1561102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561112 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E32_MASK),
     /* 1561115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561121 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561123 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561136 */     // GIR_Coverage, 19157,
     /* 1561136 */     GIR_EraseRootFromParent_Done,
     /* 1561137 */   // Label 21644: @1561137
     /* 1561137 */   GIM_Try, /*On fail goto*//*Label 21645*/ GIMT_Encode4(1561219), // Rule ID 19160 //
     /* 1561142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1561145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1561150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561181 */     // MIs[0] round
     /* 1561181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561184 */     // MIs[0] policy
     /* 1561184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561194 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1561197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561203 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561205 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561218 */     // GIR_Coverage, 19160,
     /* 1561218 */     GIR_EraseRootFromParent_Done,
     /* 1561219 */   // Label 21645: @1561219
     /* 1561219 */   GIM_Try, /*On fail goto*//*Label 21646*/ GIMT_Encode4(1561301), // Rule ID 19161 //
     /* 1561224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1561227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1561232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1561235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1561238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1561241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561244 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1561251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1561259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561263 */     // MIs[0] round
     /* 1561263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561266 */     // MIs[0] policy
     /* 1561266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561276 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11252:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M2_E64_MASK),
     /* 1561279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561287 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561300 */     // GIR_Coverage, 19161,
     /* 1561300 */     GIR_EraseRootFromParent_Done,
     /* 1561301 */   // Label 21646: @1561301
     /* 1561301 */   GIM_Try, /*On fail goto*//*Label 21647*/ GIMT_Encode4(1561383), // Rule ID 19164 //
     /* 1561306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1561309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1561314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561345 */     // MIs[0] round
     /* 1561345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561348 */     // MIs[0] policy
     /* 1561348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561358 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1561361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561369 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561382 */     // GIR_Coverage, 19164,
     /* 1561382 */     GIR_EraseRootFromParent_Done,
     /* 1561383 */   // Label 21647: @1561383
     /* 1561383 */   GIM_Try, /*On fail goto*//*Label 21648*/ GIMT_Encode4(1561465), // Rule ID 19165 //
     /* 1561388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1561391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1561396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1561399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1561402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1561405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561408 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1561415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1561423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561427 */     // MIs[0] round
     /* 1561427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561430 */     // MIs[0] policy
     /* 1561430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561440 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11252:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M4_E64_MASK),
     /* 1561443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561451 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561464 */     // GIR_Coverage, 19165,
     /* 1561464 */     GIR_EraseRootFromParent_Done,
     /* 1561465 */   // Label 21648: @1561465
     /* 1561465 */   GIM_Try, /*On fail goto*//*Label 21649*/ GIMT_Encode4(1561547), // Rule ID 19168 //
     /* 1561470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1561473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1561478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1561487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561490 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561509 */     // MIs[0] round
     /* 1561509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561512 */     // MIs[0] policy
     /* 1561512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561522 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1561525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561531 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561533 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561546 */     // GIR_Coverage, 19168,
     /* 1561546 */     GIR_EraseRootFromParent_Done,
     /* 1561547 */   // Label 21649: @1561547
     /* 1561547 */   GIM_Try, /*On fail goto*//*Label 21650*/ GIMT_Encode4(1561629), // Rule ID 19169 //
     /* 1561552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1561555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrec7_mask),
     /* 1561560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1561563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1561566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1561569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1561572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1561579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1561587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561591 */     // MIs[0] round
     /* 1561591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561594 */     // MIs[0] policy
     /* 1561594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561604 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11252:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFREC7_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREC7_V_M8_E64_MASK),
     /* 1561607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561613 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561615 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1561625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561628 */     // GIR_Coverage, 19169,
     /* 1561628 */     GIR_EraseRootFromParent_Done,
     /* 1561629 */   // Label 21650: @1561629
     /* 1561629 */   GIM_Try, /*On fail goto*//*Label 21651*/ GIMT_Encode4(1561711), // Rule ID 20754 //
     /* 1561634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1561642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1561645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1561648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561654 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561673 */     // MIs[0] round
     /* 1561673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561676 */     // MIs[0] policy
     /* 1561676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1561689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561697 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561710 */     // GIR_Coverage, 20754,
     /* 1561710 */     GIR_EraseRootFromParent_Done,
     /* 1561711 */   // Label 21651: @1561711
     /* 1561711 */   GIM_Try, /*On fail goto*//*Label 21652*/ GIMT_Encode4(1561793), // Rule ID 20755 //
     /* 1561716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1561719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1561724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1561727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1561730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1561733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1561736 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561755 */     // MIs[0] round
     /* 1561755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561758 */     // MIs[0] policy
     /* 1561758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561768 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1561771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561777 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561779 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1561789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561792 */     // GIR_Coverage, 20755,
     /* 1561792 */     GIR_EraseRootFromParent_Done,
     /* 1561793 */   // Label 21652: @1561793
     /* 1561793 */   GIM_Try, /*On fail goto*//*Label 21653*/ GIMT_Encode4(1561875), // Rule ID 20758 //
     /* 1561798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1561801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1561806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561837 */     // MIs[0] round
     /* 1561837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561840 */     // MIs[0] policy
     /* 1561840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561850 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1561850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1561853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561861 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561874 */     // GIR_Coverage, 20758,
     /* 1561874 */     GIR_EraseRootFromParent_Done,
     /* 1561875 */   // Label 21653: @1561875
     /* 1561875 */   GIM_Try, /*On fail goto*//*Label 21654*/ GIMT_Encode4(1561957), // Rule ID 20759 //
     /* 1561880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1561883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1561888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1561891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1561894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1561897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1561900 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1561903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1561919 */     // MIs[0] round
     /* 1561919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1561922 */     // MIs[0] policy
     /* 1561922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1561925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1561932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1561932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_MF2_MASK),
     /* 1561935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1561937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1561939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1561941 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1561943 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1561945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1561950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1561953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1561955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1561956 */     // GIR_Coverage, 20759,
     /* 1561956 */     GIR_EraseRootFromParent_Done,
     /* 1561957 */   // Label 21654: @1561957
     /* 1561957 */   GIM_Try, /*On fail goto*//*Label 21655*/ GIMT_Encode4(1562039), // Rule ID 20762 //
     /* 1561962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1561965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1561970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1561973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1561976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1561979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1561982 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1561985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1561989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1561997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562001 */     // MIs[0] round
     /* 1562001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562004 */     // MIs[0] policy
     /* 1562004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562014 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1562017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562025 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562038 */     // GIR_Coverage, 20762,
     /* 1562038 */     GIR_EraseRootFromParent_Done,
     /* 1562039 */   // Label 21655: @1562039
     /* 1562039 */   GIM_Try, /*On fail goto*//*Label 21656*/ GIMT_Encode4(1562121), // Rule ID 20763 //
     /* 1562044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1562055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1562058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1562061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562083 */     // MIs[0] round
     /* 1562083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562086 */     // MIs[0] policy
     /* 1562086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562096 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11198:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1562099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562107 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562120 */     // GIR_Coverage, 20763,
     /* 1562120 */     GIR_EraseRootFromParent_Done,
     /* 1562121 */   // Label 21656: @1562121
     /* 1562121 */   GIM_Try, /*On fail goto*//*Label 21657*/ GIMT_Encode4(1562203), // Rule ID 20766 //
     /* 1562126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562146 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562165 */     // MIs[0] round
     /* 1562165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562168 */     // MIs[0] policy
     /* 1562168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562178 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1562181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562187 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562189 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562202 */     // GIR_Coverage, 20766,
     /* 1562202 */     GIR_EraseRootFromParent_Done,
     /* 1562203 */   // Label 21657: @1562203
     /* 1562203 */   GIM_Try, /*On fail goto*//*Label 21658*/ GIMT_Encode4(1562285), // Rule ID 20767 //
     /* 1562208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1562211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1562219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1562222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1562225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1562228 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562247 */     // MIs[0] round
     /* 1562247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562250 */     // MIs[0] policy
     /* 1562250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11198:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1562263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562269 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562271 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1562281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562284 */     // GIR_Coverage, 20767,
     /* 1562284 */     GIR_EraseRootFromParent_Done,
     /* 1562285 */   // Label 21658: @1562285
     /* 1562285 */   GIM_Try, /*On fail goto*//*Label 21659*/ GIMT_Encode4(1562367), // Rule ID 20770 //
     /* 1562290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1562293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1562307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562329 */     // MIs[0] round
     /* 1562329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562332 */     // MIs[0] policy
     /* 1562332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562342 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1562345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562351 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562353 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562366 */     // GIR_Coverage, 20770,
     /* 1562366 */     GIR_EraseRootFromParent_Done,
     /* 1562367 */   // Label 21659: @1562367
     /* 1562367 */   GIM_Try, /*On fail goto*//*Label 21660*/ GIMT_Encode4(1562449), // Rule ID 20771 //
     /* 1562372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1562375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1562383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1562386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1562389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1562392 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1562399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1562407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562411 */     // MIs[0] round
     /* 1562411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562414 */     // MIs[0] policy
     /* 1562414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562424 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11198:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M1_MASK),
     /* 1562427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562433 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562435 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1562445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562448 */     // GIR_Coverage, 20771,
     /* 1562448 */     GIR_EraseRootFromParent_Done,
     /* 1562449 */   // Label 21660: @1562449
     /* 1562449 */   GIM_Try, /*On fail goto*//*Label 21661*/ GIMT_Encode4(1562531), // Rule ID 20774 //
     /* 1562454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1562465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1562468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562474 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562493 */     // MIs[0] round
     /* 1562493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562496 */     // MIs[0] policy
     /* 1562496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562506 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1562509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562515 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562517 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562530 */     // GIR_Coverage, 20774,
     /* 1562530 */     GIR_EraseRootFromParent_Done,
     /* 1562531 */   // Label 21661: @1562531
     /* 1562531 */   GIM_Try, /*On fail goto*//*Label 21662*/ GIMT_Encode4(1562613), // Rule ID 20775 //
     /* 1562536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1562547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1562550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1562553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1562556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562575 */     // MIs[0] round
     /* 1562575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562578 */     // MIs[0] policy
     /* 1562578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562588 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1562591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562597 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562599 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562612 */     // GIR_Coverage, 20775,
     /* 1562612 */     GIR_EraseRootFromParent_Done,
     /* 1562613 */   // Label 21662: @1562613
     /* 1562613 */   GIM_Try, /*On fail goto*//*Label 21663*/ GIMT_Encode4(1562695), // Rule ID 20778 //
     /* 1562618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1562629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1562632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562638 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562657 */     // MIs[0] round
     /* 1562657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562660 */     // MIs[0] policy
     /* 1562660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1562673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562679 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562681 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562694 */     // GIR_Coverage, 20778,
     /* 1562694 */     GIR_EraseRootFromParent_Done,
     /* 1562695 */   // Label 21663: @1562695
     /* 1562695 */   GIM_Try, /*On fail goto*//*Label 21664*/ GIMT_Encode4(1562777), // Rule ID 20779 //
     /* 1562700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1562711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1562714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1562717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1562720 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1562727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1562735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562739 */     // MIs[0] round
     /* 1562739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562742 */     // MIs[0] policy
     /* 1562742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562752 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1562755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562761 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562763 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562776 */     // GIR_Coverage, 20779,
     /* 1562776 */     GIR_EraseRootFromParent_Done,
     /* 1562777 */   // Label 21664: @1562777
     /* 1562777 */   GIM_Try, /*On fail goto*//*Label 21665*/ GIMT_Encode4(1562859), // Rule ID 20782 //
     /* 1562782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1562785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1562793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1562796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1562799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1562802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562821 */     // MIs[0] round
     /* 1562821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562824 */     // MIs[0] policy
     /* 1562824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562834 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1562837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562843 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562845 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562858 */     // GIR_Coverage, 20782,
     /* 1562858 */     GIR_EraseRootFromParent_Done,
     /* 1562859 */   // Label 21665: @1562859
     /* 1562859 */   GIM_Try, /*On fail goto*//*Label 21666*/ GIMT_Encode4(1562941), // Rule ID 20783 //
     /* 1562864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1562867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1562875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1562878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1562881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1562884 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1562887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1562891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1562899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562903 */     // MIs[0] round
     /* 1562903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562906 */     // MIs[0] policy
     /* 1562906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1562916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1562919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1562921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1562923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1562925 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1562927 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1562929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1562934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1562937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1562939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1562940 */     // GIR_Coverage, 20783,
     /* 1562940 */     GIR_EraseRootFromParent_Done,
     /* 1562941 */   // Label 21666: @1562941
     /* 1562941 */   GIM_Try, /*On fail goto*//*Label 21667*/ GIMT_Encode4(1563023), // Rule ID 20786 //
     /* 1562946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1562949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1562954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1562957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1562960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1562963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1562966 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1562969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1562973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1562981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1562985 */     // MIs[0] round
     /* 1562985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1562988 */     // MIs[0] policy
     /* 1562988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1562991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1562998 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1562998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1563001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563007 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563009 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563022 */     // GIR_Coverage, 20786,
     /* 1563022 */     GIR_EraseRootFromParent_Done,
     /* 1563023 */   // Label 21667: @1563023
     /* 1563023 */   GIM_Try, /*On fail goto*//*Label 21668*/ GIMT_Encode4(1563105), // Rule ID 20787 //
     /* 1563028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1563039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1563042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1563045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563067 */     // MIs[0] round
     /* 1563067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563070 */     // MIs[0] policy
     /* 1563070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563080 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1563083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563089 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563091 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563104 */     // GIR_Coverage, 20787,
     /* 1563104 */     GIR_EraseRootFromParent_Done,
     /* 1563105 */   // Label 21668: @1563105
     /* 1563105 */   GIM_Try, /*On fail goto*//*Label 21669*/ GIMT_Encode4(1563187), // Rule ID 20790 //
     /* 1563110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563130 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563149 */     // MIs[0] round
     /* 1563149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563152 */     // MIs[0] policy
     /* 1563152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1563165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563171 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563173 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563186 */     // GIR_Coverage, 20790,
     /* 1563186 */     GIR_EraseRootFromParent_Done,
     /* 1563187 */   // Label 21669: @1563187
     /* 1563187 */   GIM_Try, /*On fail goto*//*Label 21670*/ GIMT_Encode4(1563269), // Rule ID 20791 //
     /* 1563192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1563203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1563206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1563209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563212 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563231 */     // MIs[0] round
     /* 1563231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563234 */     // MIs[0] policy
     /* 1563234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563244 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1563247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563253 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563255 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563268 */     // GIR_Coverage, 20791,
     /* 1563268 */     GIR_EraseRootFromParent_Done,
     /* 1563269 */   // Label 21670: @1563269
     /* 1563269 */   GIM_Try, /*On fail goto*//*Label 21671*/ GIMT_Encode4(1563351), // Rule ID 20794 //
     /* 1563274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1563277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1563285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1563288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563313 */     // MIs[0] round
     /* 1563313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563316 */     // MIs[0] policy
     /* 1563316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1563329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563335 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563337 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563350 */     // GIR_Coverage, 20794,
     /* 1563350 */     GIR_EraseRootFromParent_Done,
     /* 1563351 */   // Label 21671: @1563351
     /* 1563351 */   GIM_Try, /*On fail goto*//*Label 21672*/ GIMT_Encode4(1563433), // Rule ID 20795 //
     /* 1563356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1563359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1563367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1563370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1563373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1563376 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563395 */     // MIs[0] round
     /* 1563395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563398 */     // MIs[0] policy
     /* 1563398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1563411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563417 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563419 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1563429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563432 */     // GIR_Coverage, 20795,
     /* 1563432 */     GIR_EraseRootFromParent_Done,
     /* 1563433 */   // Label 21672: @1563433
     /* 1563433 */   GIM_Try, /*On fail goto*//*Label 21673*/ GIMT_Encode4(1563515), // Rule ID 20798 //
     /* 1563438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1563441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1563449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1563452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563458 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563477 */     // MIs[0] round
     /* 1563477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563480 */     // MIs[0] policy
     /* 1563480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563490 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1563493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563499 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563501 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563514 */     // GIR_Coverage, 20798,
     /* 1563514 */     GIR_EraseRootFromParent_Done,
     /* 1563515 */   // Label 21673: @1563515
     /* 1563515 */   GIM_Try, /*On fail goto*//*Label 21674*/ GIMT_Encode4(1563597), // Rule ID 20799 //
     /* 1563520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1563523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1563531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1563534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1563537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1563540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1563547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1563555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563559 */     // MIs[0] round
     /* 1563559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563562 */     // MIs[0] policy
     /* 1563562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11198:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M2_MASK),
     /* 1563575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563581 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563583 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563596 */     // GIR_Coverage, 20799,
     /* 1563596 */     GIR_EraseRootFromParent_Done,
     /* 1563597 */   // Label 21674: @1563597
     /* 1563597 */   GIM_Try, /*On fail goto*//*Label 21675*/ GIMT_Encode4(1563679), // Rule ID 20802 //
     /* 1563602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1563605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563622 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563641 */     // MIs[0] round
     /* 1563641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563644 */     // MIs[0] policy
     /* 1563644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1563657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563665 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563678 */     // GIR_Coverage, 20802,
     /* 1563678 */     GIR_EraseRootFromParent_Done,
     /* 1563679 */   // Label 21675: @1563679
     /* 1563679 */   GIM_Try, /*On fail goto*//*Label 21676*/ GIMT_Encode4(1563761), // Rule ID 20803 //
     /* 1563684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1563687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1563695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1563698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1563701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1563704 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1563711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1563719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563723 */     // MIs[0] round
     /* 1563723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563726 */     // MIs[0] policy
     /* 1563726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563736 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11198:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M4_MASK),
     /* 1563739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563745 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563747 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563760 */     // GIR_Coverage, 20803,
     /* 1563760 */     GIR_EraseRootFromParent_Done,
     /* 1563761 */   // Label 21676: @1563761
     /* 1563761 */   GIM_Try, /*On fail goto*//*Label 21677*/ GIMT_Encode4(1563843), // Rule ID 20806 //
     /* 1563766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1563769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1563777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1563780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1563783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563805 */     // MIs[0] round
     /* 1563805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563808 */     // MIs[0] policy
     /* 1563808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563818 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1563821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563827 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563829 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563842 */     // GIR_Coverage, 20806,
     /* 1563842 */     GIR_EraseRootFromParent_Done,
     /* 1563843 */   // Label 21677: @1563843
     /* 1563843 */   GIM_Try, /*On fail goto*//*Label 21678*/ GIMT_Encode4(1563925), // Rule ID 20807 //
     /* 1563848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1563851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_x_f_v_mask),
     /* 1563856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1563859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1563862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1563865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1563868 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1563871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1563875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1563883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563887 */     // MIs[0] round
     /* 1563887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563890 */     // MIs[0] policy
     /* 1563890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11198:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_X_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1563900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_X_F_V_M8_MASK),
     /* 1563903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563909 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563911 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1563918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1563921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1563923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1563924 */     // GIR_Coverage, 20807,
     /* 1563924 */     GIR_EraseRootFromParent_Done,
     /* 1563925 */   // Label 21678: @1563925
     /* 1563925 */   GIM_Try, /*On fail goto*//*Label 21679*/ GIMT_Encode4(1564007), // Rule ID 20810 //
     /* 1563930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1563933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1563938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1563941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1563944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1563947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1563950 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1563953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1563957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1563965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1563969 */     // MIs[0] round
     /* 1563969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1563972 */     // MIs[0] policy
     /* 1563972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1563975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1563982 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1563982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1563985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1563987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1563989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1563991 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1563993 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1563995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564006 */     // GIR_Coverage, 20810,
     /* 1564006 */     GIR_EraseRootFromParent_Done,
     /* 1564007 */   // Label 21679: @1564007
     /* 1564007 */   GIM_Try, /*On fail goto*//*Label 21680*/ GIMT_Encode4(1564089), // Rule ID 20811 //
     /* 1564012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1564023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1564026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1564029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564051 */     // MIs[0] round
     /* 1564051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564054 */     // MIs[0] policy
     /* 1564054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564064 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF4_MASK),
     /* 1564067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564073 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564075 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564088 */     // GIR_Coverage, 20811,
     /* 1564088 */     GIR_EraseRootFromParent_Done,
     /* 1564089 */   // Label 21680: @1564089
     /* 1564089 */   GIM_Try, /*On fail goto*//*Label 21681*/ GIMT_Encode4(1564171), // Rule ID 20814 //
     /* 1564094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564114 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564133 */     // MIs[0] round
     /* 1564133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564136 */     // MIs[0] policy
     /* 1564136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564146 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1564149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564157 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564170 */     // GIR_Coverage, 20814,
     /* 1564170 */     GIR_EraseRootFromParent_Done,
     /* 1564171 */   // Label 21681: @1564171
     /* 1564171 */   GIM_Try, /*On fail goto*//*Label 21682*/ GIMT_Encode4(1564253), // Rule ID 20815 //
     /* 1564176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1564187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1564190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1564193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564196 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564215 */     // MIs[0] round
     /* 1564215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564218 */     // MIs[0] policy
     /* 1564218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564228 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1564231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564237 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564239 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564252 */     // GIR_Coverage, 20815,
     /* 1564252 */     GIR_EraseRootFromParent_Done,
     /* 1564253 */   // Label 21682: @1564253
     /* 1564253 */   GIM_Try, /*On fail goto*//*Label 21683*/ GIMT_Encode4(1564335), // Rule ID 20818 //
     /* 1564258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564297 */     // MIs[0] round
     /* 1564297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564300 */     // MIs[0] policy
     /* 1564300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564310 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1564313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564319 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564321 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564334 */     // GIR_Coverage, 20818,
     /* 1564334 */     GIR_EraseRootFromParent_Done,
     /* 1564335 */   // Label 21683: @1564335
     /* 1564335 */   GIM_Try, /*On fail goto*//*Label 21684*/ GIMT_Encode4(1564417), // Rule ID 20819 //
     /* 1564340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1564351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1564354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1564357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564360 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564379 */     // MIs[0] round
     /* 1564379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564382 */     // MIs[0] policy
     /* 1564382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_MF2_MASK),
     /* 1564395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564403 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564416 */     // GIR_Coverage, 20819,
     /* 1564416 */     GIR_EraseRootFromParent_Done,
     /* 1564417 */   // Label 21684: @1564417
     /* 1564417 */   GIM_Try, /*On fail goto*//*Label 21685*/ GIMT_Encode4(1564499), // Rule ID 20822 //
     /* 1564422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564442 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564461 */     // MIs[0] round
     /* 1564461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564464 */     // MIs[0] policy
     /* 1564464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564474 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1564477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564485 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564498 */     // GIR_Coverage, 20822,
     /* 1564498 */     GIR_EraseRootFromParent_Done,
     /* 1564499 */   // Label 21685: @1564499
     /* 1564499 */   GIM_Try, /*On fail goto*//*Label 21686*/ GIMT_Encode4(1564581), // Rule ID 20823 //
     /* 1564504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1564515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1564518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1564521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1564524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564543 */     // MIs[0] round
     /* 1564543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564546 */     // MIs[0] policy
     /* 1564546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564556 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11200:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1564559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564565 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564567 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564580 */     // GIR_Coverage, 20823,
     /* 1564580 */     GIR_EraseRootFromParent_Done,
     /* 1564581 */   // Label 21686: @1564581
     /* 1564581 */   GIM_Try, /*On fail goto*//*Label 21687*/ GIMT_Encode4(1564663), // Rule ID 20826 //
     /* 1564586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1564589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564606 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564625 */     // MIs[0] round
     /* 1564625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564628 */     // MIs[0] policy
     /* 1564628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1564641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564647 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564649 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564662 */     // GIR_Coverage, 20826,
     /* 1564662 */     GIR_EraseRootFromParent_Done,
     /* 1564663 */   // Label 21687: @1564663
     /* 1564663 */   GIM_Try, /*On fail goto*//*Label 21688*/ GIMT_Encode4(1564745), // Rule ID 20827 //
     /* 1564668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1564671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1564679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1564682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1564685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1564688 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564707 */     // MIs[0] round
     /* 1564707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564710 */     // MIs[0] policy
     /* 1564710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564720 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11200:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1564723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564729 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564731 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1564741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564744 */     // GIR_Coverage, 20827,
     /* 1564744 */     GIR_EraseRootFromParent_Done,
     /* 1564745 */   // Label 21688: @1564745
     /* 1564745 */   GIM_Try, /*On fail goto*//*Label 21689*/ GIMT_Encode4(1564827), // Rule ID 20830 //
     /* 1564750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1564753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1564761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1564764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564789 */     // MIs[0] round
     /* 1564789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564792 */     // MIs[0] policy
     /* 1564792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564802 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1564805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564813 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564826 */     // GIR_Coverage, 20830,
     /* 1564826 */     GIR_EraseRootFromParent_Done,
     /* 1564827 */   // Label 21689: @1564827
     /* 1564827 */   GIM_Try, /*On fail goto*//*Label 21690*/ GIMT_Encode4(1564909), // Rule ID 20831 //
     /* 1564832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1564835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1564843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1564846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1564849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1564852 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1564855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1564859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1564867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564871 */     // MIs[0] round
     /* 1564871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564874 */     // MIs[0] policy
     /* 1564874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564884 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11200:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1564884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M1_MASK),
     /* 1564887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564893 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564895 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1564905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564908 */     // GIR_Coverage, 20831,
     /* 1564908 */     GIR_EraseRootFromParent_Done,
     /* 1564909 */   // Label 21690: @1564909
     /* 1564909 */   GIM_Try, /*On fail goto*//*Label 21691*/ GIMT_Encode4(1564991), // Rule ID 20834 //
     /* 1564914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1564917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1564922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1564925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1564928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1564931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1564934 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1564937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1564941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1564949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1564953 */     // MIs[0] round
     /* 1564953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1564956 */     // MIs[0] policy
     /* 1564956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1564959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1564966 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1564966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1564969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1564971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1564973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1564975 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1564977 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1564979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1564984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1564987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1564989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1564990 */     // GIR_Coverage, 20834,
     /* 1564990 */     GIR_EraseRootFromParent_Done,
     /* 1564991 */   // Label 21691: @1564991
     /* 1564991 */   GIM_Try, /*On fail goto*//*Label 21692*/ GIMT_Encode4(1565073), // Rule ID 20835 //
     /* 1564996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1564999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1565007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1565010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1565013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565035 */     // MIs[0] round
     /* 1565035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565038 */     // MIs[0] policy
     /* 1565038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1565051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565057 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565059 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565072 */     // GIR_Coverage, 20835,
     /* 1565072 */     GIR_EraseRootFromParent_Done,
     /* 1565073 */   // Label 21692: @1565073
     /* 1565073 */   GIM_Try, /*On fail goto*//*Label 21693*/ GIMT_Encode4(1565155), // Rule ID 20838 //
     /* 1565078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1565095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565098 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565117 */     // MIs[0] round
     /* 1565117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565120 */     // MIs[0] policy
     /* 1565120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565130 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1565133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565141 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565154 */     // GIR_Coverage, 20838,
     /* 1565154 */     GIR_EraseRootFromParent_Done,
     /* 1565155 */   // Label 21693: @1565155
     /* 1565155 */   GIM_Try, /*On fail goto*//*Label 21694*/ GIMT_Encode4(1565237), // Rule ID 20839 //
     /* 1565160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1565171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1565174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1565177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565180 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565199 */     // MIs[0] round
     /* 1565199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565202 */     // MIs[0] policy
     /* 1565202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1565215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565221 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565223 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565236 */     // GIR_Coverage, 20839,
     /* 1565236 */     GIR_EraseRootFromParent_Done,
     /* 1565237 */   // Label 21694: @1565237
     /* 1565237 */   GIM_Try, /*On fail goto*//*Label 21695*/ GIMT_Encode4(1565319), // Rule ID 20842 //
     /* 1565242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1565245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1565253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1565256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1565259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1565262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565281 */     // MIs[0] round
     /* 1565281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565284 */     // MIs[0] policy
     /* 1565284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565294 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1565297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565305 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565318 */     // GIR_Coverage, 20842,
     /* 1565318 */     GIR_EraseRootFromParent_Done,
     /* 1565319 */   // Label 21695: @1565319
     /* 1565319 */   GIM_Try, /*On fail goto*//*Label 21696*/ GIMT_Encode4(1565401), // Rule ID 20843 //
     /* 1565324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1565327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1565335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1565338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1565341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1565344 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565363 */     // MIs[0] round
     /* 1565363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565366 */     // MIs[0] policy
     /* 1565366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565376 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1565379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565385 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565387 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1565397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565400 */     // GIR_Coverage, 20843,
     /* 1565400 */     GIR_EraseRootFromParent_Done,
     /* 1565401 */   // Label 21696: @1565401
     /* 1565401 */   GIM_Try, /*On fail goto*//*Label 21697*/ GIMT_Encode4(1565483), // Rule ID 20846 //
     /* 1565406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565426 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565445 */     // MIs[0] round
     /* 1565445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565448 */     // MIs[0] policy
     /* 1565448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1565461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565469 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565482 */     // GIR_Coverage, 20846,
     /* 1565482 */     GIR_EraseRootFromParent_Done,
     /* 1565483 */   // Label 21697: @1565483
     /* 1565483 */   GIM_Try, /*On fail goto*//*Label 21698*/ GIMT_Encode4(1565565), // Rule ID 20847 //
     /* 1565488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1565499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1565502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1565505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1565508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565527 */     // MIs[0] round
     /* 1565527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565530 */     // MIs[0] policy
     /* 1565530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565540 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1565543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565551 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565564 */     // GIR_Coverage, 20847,
     /* 1565564 */     GIR_EraseRootFromParent_Done,
     /* 1565565 */   // Label 21698: @1565565
     /* 1565565 */   GIM_Try, /*On fail goto*//*Label 21699*/ GIMT_Encode4(1565647), // Rule ID 20850 //
     /* 1565570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1565587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565590 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565609 */     // MIs[0] round
     /* 1565609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565612 */     // MIs[0] policy
     /* 1565612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1565625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565631 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565633 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565646 */     // GIR_Coverage, 20850,
     /* 1565646 */     GIR_EraseRootFromParent_Done,
     /* 1565647 */   // Label 21699: @1565647
     /* 1565647 */   GIM_Try, /*On fail goto*//*Label 21700*/ GIMT_Encode4(1565729), // Rule ID 20851 //
     /* 1565652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1565663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1565666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1565669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1565672 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1565679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1565687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565691 */     // MIs[0] round
     /* 1565691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565694 */     // MIs[0] policy
     /* 1565694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1565707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565713 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565715 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565728 */     // GIR_Coverage, 20851,
     /* 1565728 */     GIR_EraseRootFromParent_Done,
     /* 1565729 */   // Label 21700: @1565729
     /* 1565729 */   GIM_Try, /*On fail goto*//*Label 21701*/ GIMT_Encode4(1565811), // Rule ID 20854 //
     /* 1565734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1565737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1565745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1565748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1565751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565773 */     // MIs[0] round
     /* 1565773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565776 */     // MIs[0] policy
     /* 1565776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565786 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1565789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565795 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565797 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565810 */     // GIR_Coverage, 20854,
     /* 1565810 */     GIR_EraseRootFromParent_Done,
     /* 1565811 */   // Label 21701: @1565811
     /* 1565811 */   GIM_Try, /*On fail goto*//*Label 21702*/ GIMT_Encode4(1565893), // Rule ID 20855 //
     /* 1565816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1565819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1565827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1565830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1565833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1565836 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1565839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1565843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1565851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565855 */     // MIs[0] round
     /* 1565855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565858 */     // MIs[0] policy
     /* 1565858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565868 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1565868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1565871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565877 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565879 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1565889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565892 */     // GIR_Coverage, 20855,
     /* 1565892 */     GIR_EraseRootFromParent_Done,
     /* 1565893 */   // Label 21702: @1565893
     /* 1565893 */   GIM_Try, /*On fail goto*//*Label 21703*/ GIMT_Encode4(1565975), // Rule ID 20858 //
     /* 1565898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1565901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1565909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1565912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1565918 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1565921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1565925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1565933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1565937 */     // MIs[0] round
     /* 1565937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1565940 */     // MIs[0] policy
     /* 1565940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1565943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1565950 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1565950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1565953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1565955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1565957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1565959 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1565961 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1565963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1565968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1565971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1565973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1565974 */     // GIR_Coverage, 20858,
     /* 1565974 */     GIR_EraseRootFromParent_Done,
     /* 1565975 */   // Label 21703: @1565975
     /* 1565975 */   GIM_Try, /*On fail goto*//*Label 21704*/ GIMT_Encode4(1566057), // Rule ID 20859 //
     /* 1565980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1565983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1565988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1565991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1565994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1565997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1566007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1566015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566019 */     // MIs[0] round
     /* 1566019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566022 */     // MIs[0] policy
     /* 1566022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566032 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11200:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M2_MASK),
     /* 1566035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566041 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566043 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566056 */     // GIR_Coverage, 20859,
     /* 1566056 */     GIR_EraseRootFromParent_Done,
     /* 1566057 */   // Label 21704: @1566057
     /* 1566057 */   GIM_Try, /*On fail goto*//*Label 21705*/ GIMT_Encode4(1566139), // Rule ID 20862 //
     /* 1566062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1566065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1566070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1566073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1566076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1566079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566082 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566101 */     // MIs[0] round
     /* 1566101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566104 */     // MIs[0] policy
     /* 1566104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566114 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1566117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566123 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566125 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566138 */     // GIR_Coverage, 20862,
     /* 1566138 */     GIR_EraseRootFromParent_Done,
     /* 1566139 */   // Label 21705: @1566139
     /* 1566139 */   GIM_Try, /*On fail goto*//*Label 21706*/ GIMT_Encode4(1566221), // Rule ID 20863 //
     /* 1566144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1566147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1566152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1566155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1566158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1566161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566164 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1566171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1566179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566183 */     // MIs[0] round
     /* 1566183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566186 */     // MIs[0] policy
     /* 1566186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11200:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M4_MASK),
     /* 1566199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566205 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566207 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566220 */     // GIR_Coverage, 20863,
     /* 1566220 */     GIR_EraseRootFromParent_Done,
     /* 1566221 */   // Label 21706: @1566221
     /* 1566221 */   GIM_Try, /*On fail goto*//*Label 21707*/ GIMT_Encode4(1566303), // Rule ID 20866 //
     /* 1566226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1566229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1566234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1566237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1566240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1566243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566265 */     // MIs[0] round
     /* 1566265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566268 */     // MIs[0] policy
     /* 1566268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566278 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1566281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566287 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566289 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566302 */     // GIR_Coverage, 20866,
     /* 1566302 */     GIR_EraseRootFromParent_Done,
     /* 1566303 */   // Label 21707: @1566303
     /* 1566303 */   GIM_Try, /*On fail goto*//*Label 21708*/ GIMT_Encode4(1566385), // Rule ID 20867 //
     /* 1566308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1566311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_xu_f_v_mask),
     /* 1566316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1566319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1566322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1566325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1566328 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1566335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1566343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566347 */     // MIs[0] round
     /* 1566347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566350 */     // MIs[0] policy
     /* 1566350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11200:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_XU_F_V_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_XU_F_V_M8_MASK),
     /* 1566363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566369 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566371 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1566381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566384 */     // GIR_Coverage, 20867,
     /* 1566384 */     GIR_EraseRootFromParent_Done,
     /* 1566385 */   // Label 21708: @1566385
     /* 1566385 */   GIM_Try, /*On fail goto*//*Label 21709*/ GIMT_Encode4(1566467), // Rule ID 20990 //
     /* 1566390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1566398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1566407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566410 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566429 */     // MIs[0] round
     /* 1566429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566432 */     // MIs[0] policy
     /* 1566432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566442 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1566445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566451 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566453 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566466 */     // GIR_Coverage, 20990,
     /* 1566466 */     GIR_EraseRootFromParent_Done,
     /* 1566467 */   // Label 21709: @1566467
     /* 1566467 */   GIM_Try, /*On fail goto*//*Label 21710*/ GIMT_Encode4(1566549), // Rule ID 20991 //
     /* 1566472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1566480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1566483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1566486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1566489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566511 */     // MIs[0] round
     /* 1566511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566514 */     // MIs[0] policy
     /* 1566514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566524 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16_MASK),
     /* 1566527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566533 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566535 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566548 */     // GIR_Coverage, 20991,
     /* 1566548 */     GIR_EraseRootFromParent_Done,
     /* 1566549 */   // Label 21710: @1566549
     /* 1566549 */   GIM_Try, /*On fail goto*//*Label 21711*/ GIMT_Encode4(1566631), // Rule ID 20994 //
     /* 1566554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1566562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1566571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566574 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566593 */     // MIs[0] round
     /* 1566593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566596 */     // MIs[0] policy
     /* 1566596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566606 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1566609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566615 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566617 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566630 */     // GIR_Coverage, 20994,
     /* 1566630 */     GIR_EraseRootFromParent_Done,
     /* 1566631 */   // Label 21711: @1566631
     /* 1566631 */   GIM_Try, /*On fail goto*//*Label 21712*/ GIMT_Encode4(1566713), // Rule ID 20995 //
     /* 1566636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1566644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1566647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1566650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1566653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1566656 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566675 */     // MIs[0] round
     /* 1566675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566678 */     // MIs[0] policy
     /* 1566678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566688 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16_MASK),
     /* 1566691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566697 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566699 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566712 */     // GIR_Coverage, 20995,
     /* 1566712 */     GIR_EraseRootFromParent_Done,
     /* 1566713 */   // Label 21712: @1566713
     /* 1566713 */   GIM_Try, /*On fail goto*//*Label 21713*/ GIMT_Encode4(1566795), // Rule ID 20998 //
     /* 1566718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1566721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1566726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1566729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1566732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566757 */     // MIs[0] round
     /* 1566757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566760 */     // MIs[0] policy
     /* 1566760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566770 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1566773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566779 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566781 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566794 */     // GIR_Coverage, 20998,
     /* 1566794 */     GIR_EraseRootFromParent_Done,
     /* 1566795 */   // Label 21713: @1566795
     /* 1566795 */   GIM_Try, /*On fail goto*//*Label 21714*/ GIMT_Encode4(1566877), // Rule ID 20999 //
     /* 1566800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1566803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1566808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1566811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1566814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1566817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1566820 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566839 */     // MIs[0] round
     /* 1566839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566842 */     // MIs[0] policy
     /* 1566842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566852 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1566852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32_MASK),
     /* 1566855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566863 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1566873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566876 */     // GIR_Coverage, 20999,
     /* 1566876 */     GIR_EraseRootFromParent_Done,
     /* 1566877 */   // Label 21714: @1566877
     /* 1566877 */   GIM_Try, /*On fail goto*//*Label 21715*/ GIMT_Encode4(1566959), // Rule ID 21002 //
     /* 1566882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1566885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1566890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1566899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1566905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1566921 */     // MIs[0] round
     /* 1566921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1566924 */     // MIs[0] policy
     /* 1566924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1566927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1566934 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1566934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1566937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1566939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1566941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1566943 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1566945 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1566947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1566952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1566955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1566957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1566958 */     // GIR_Coverage, 21002,
     /* 1566958 */     GIR_EraseRootFromParent_Done,
     /* 1566959 */   // Label 21715: @1566959
     /* 1566959 */   GIM_Try, /*On fail goto*//*Label 21716*/ GIMT_Encode4(1567041), // Rule ID 21003 //
     /* 1566964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1566967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1566972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1566975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1566978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1566981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1566984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1566987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1566991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1566999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567003 */     // MIs[0] round
     /* 1567003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567006 */     // MIs[0] policy
     /* 1567006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567016 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11190:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16_MASK),
     /* 1567019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567027 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567040 */     // GIR_Coverage, 21003,
     /* 1567040 */     GIR_EraseRootFromParent_Done,
     /* 1567041 */   // Label 21716: @1567041
     /* 1567041 */   GIM_Try, /*On fail goto*//*Label 21717*/ GIMT_Encode4(1567123), // Rule ID 21006 //
     /* 1567046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1567063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567066 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567085 */     // MIs[0] round
     /* 1567085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567088 */     // MIs[0] policy
     /* 1567088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567098 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1567101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567109 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567122 */     // GIR_Coverage, 21006,
     /* 1567122 */     GIR_EraseRootFromParent_Done,
     /* 1567123 */   // Label 21717: @1567123
     /* 1567123 */   GIM_Try, /*On fail goto*//*Label 21718*/ GIMT_Encode4(1567205), // Rule ID 21007 //
     /* 1567128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1567139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1567142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1567145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1567148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567167 */     // MIs[0] round
     /* 1567167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567170 */     // MIs[0] policy
     /* 1567170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567180 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11190:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32_MASK),
     /* 1567183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567191 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567204 */     // GIR_Coverage, 21007,
     /* 1567204 */     GIR_EraseRootFromParent_Done,
     /* 1567205 */   // Label 21718: @1567205
     /* 1567205 */   GIM_Try, /*On fail goto*//*Label 21719*/ GIMT_Encode4(1567287), // Rule ID 21010 //
     /* 1567210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1567213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1567221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1567224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567230 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567249 */     // MIs[0] round
     /* 1567249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567252 */     // MIs[0] policy
     /* 1567252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567262 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1567265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567271 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567273 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567286 */     // GIR_Coverage, 21010,
     /* 1567286 */     GIR_EraseRootFromParent_Done,
     /* 1567287 */   // Label 21719: @1567287
     /* 1567287 */   GIM_Try, /*On fail goto*//*Label 21720*/ GIMT_Encode4(1567369), // Rule ID 21011 //
     /* 1567292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1567295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1567303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1567306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1567309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1567312 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1567319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1567327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567331 */     // MIs[0] round
     /* 1567331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567334 */     // MIs[0] policy
     /* 1567334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567344 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11190:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64_MASK),
     /* 1567347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567355 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1567365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567368 */     // GIR_Coverage, 21011,
     /* 1567368 */     GIR_EraseRootFromParent_Done,
     /* 1567369 */   // Label 21720: @1567369
     /* 1567369 */   GIM_Try, /*On fail goto*//*Label 21721*/ GIMT_Encode4(1567451), // Rule ID 21014 //
     /* 1567374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1567385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1567388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1567391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567413 */     // MIs[0] round
     /* 1567413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567416 */     // MIs[0] policy
     /* 1567416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567426 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1567429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567437 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567450 */     // GIR_Coverage, 21014,
     /* 1567450 */     GIR_EraseRootFromParent_Done,
     /* 1567451 */   // Label 21721: @1567451
     /* 1567451 */   GIM_Try, /*On fail goto*//*Label 21722*/ GIMT_Encode4(1567533), // Rule ID 21015 //
     /* 1567456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1567467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1567470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1567473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1567476 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567495 */     // MIs[0] round
     /* 1567495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567498 */     // MIs[0] policy
     /* 1567498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567508 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16_MASK),
     /* 1567511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567519 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567532 */     // GIR_Coverage, 21015,
     /* 1567532 */     GIR_EraseRootFromParent_Done,
     /* 1567533 */   // Label 21722: @1567533
     /* 1567533 */   GIM_Try, /*On fail goto*//*Label 21723*/ GIMT_Encode4(1567615), // Rule ID 21018 //
     /* 1567538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1567555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567558 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567577 */     // MIs[0] round
     /* 1567577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567580 */     // MIs[0] policy
     /* 1567580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567590 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1567593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567601 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567614 */     // GIR_Coverage, 21018,
     /* 1567614 */     GIR_EraseRootFromParent_Done,
     /* 1567615 */   // Label 21723: @1567615
     /* 1567615 */   GIM_Try, /*On fail goto*//*Label 21724*/ GIMT_Encode4(1567697), // Rule ID 21019 //
     /* 1567620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1567631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1567634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1567637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1567640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1567647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1567655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567659 */     // MIs[0] round
     /* 1567659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567662 */     // MIs[0] policy
     /* 1567662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567672 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16_MASK),
     /* 1567675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567681 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567683 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567696 */     // GIR_Coverage, 21019,
     /* 1567696 */     GIR_EraseRootFromParent_Done,
     /* 1567697 */   // Label 21724: @1567697
     /* 1567697 */   GIM_Try, /*On fail goto*//*Label 21725*/ GIMT_Encode4(1567779), // Rule ID 21022 //
     /* 1567702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1567705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1567713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1567716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1567719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1567722 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567741 */     // MIs[0] round
     /* 1567741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567744 */     // MIs[0] policy
     /* 1567744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567754 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1567757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567765 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567778 */     // GIR_Coverage, 21022,
     /* 1567778 */     GIR_EraseRootFromParent_Done,
     /* 1567779 */   // Label 21725: @1567779
     /* 1567779 */   GIM_Try, /*On fail goto*//*Label 21726*/ GIMT_Encode4(1567861), // Rule ID 21023 //
     /* 1567784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1567787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1567795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1567798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1567801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1567804 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1567811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1567819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567823 */     // MIs[0] round
     /* 1567823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567826 */     // MIs[0] policy
     /* 1567826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567836 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1567836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16_MASK),
     /* 1567839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567845 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567847 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1567857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567860 */     // GIR_Coverage, 21023,
     /* 1567860 */     GIR_EraseRootFromParent_Done,
     /* 1567861 */   // Label 21726: @1567861
     /* 1567861 */   GIM_Try, /*On fail goto*//*Label 21727*/ GIMT_Encode4(1567943), // Rule ID 21026 //
     /* 1567866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1567869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1567889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567905 */     // MIs[0] round
     /* 1567905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567908 */     // MIs[0] policy
     /* 1567908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1567918 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1567918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1567921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1567923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1567925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1567927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1567929 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1567931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1567936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1567939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1567941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1567942 */     // GIR_Coverage, 21026,
     /* 1567942 */     GIR_EraseRootFromParent_Done,
     /* 1567943 */   // Label 21727: @1567943
     /* 1567943 */   GIM_Try, /*On fail goto*//*Label 21728*/ GIMT_Encode4(1568025), // Rule ID 21027 //
     /* 1567948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1567951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1567956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1567959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1567962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1567965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1567968 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1567971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1567975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1567983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1567987 */     // MIs[0] round
     /* 1567987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1567990 */     // MIs[0] policy
     /* 1567990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1567993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568000 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32_MASK),
     /* 1568003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568009 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568011 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568024 */     // GIR_Coverage, 21027,
     /* 1568024 */     GIR_EraseRootFromParent_Done,
     /* 1568025 */   // Label 21728: @1568025
     /* 1568025 */   GIM_Try, /*On fail goto*//*Label 21729*/ GIMT_Encode4(1568107), // Rule ID 21030 //
     /* 1568030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1568033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568050 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568069 */     // MIs[0] round
     /* 1568069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568072 */     // MIs[0] policy
     /* 1568072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568082 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1568085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568091 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568093 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568106 */     // GIR_Coverage, 21030,
     /* 1568106 */     GIR_EraseRootFromParent_Done,
     /* 1568107 */   // Label 21729: @1568107
     /* 1568107 */   GIM_Try, /*On fail goto*//*Label 21730*/ GIMT_Encode4(1568189), // Rule ID 21031 //
     /* 1568112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1568115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1568123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1568126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1568129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568151 */     // MIs[0] round
     /* 1568151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568154 */     // MIs[0] policy
     /* 1568154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568164 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32_MASK),
     /* 1568167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568173 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568175 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568188 */     // GIR_Coverage, 21031,
     /* 1568188 */     GIR_EraseRootFromParent_Done,
     /* 1568189 */   // Label 21730: @1568189
     /* 1568189 */   GIM_Try, /*On fail goto*//*Label 21731*/ GIMT_Encode4(1568271), // Rule ID 21034 //
     /* 1568194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1568197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1568205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1568208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568214 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568233 */     // MIs[0] round
     /* 1568233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568236 */     // MIs[0] policy
     /* 1568236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568246 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1568249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568257 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568270 */     // GIR_Coverage, 21034,
     /* 1568270 */     GIR_EraseRootFromParent_Done,
     /* 1568271 */   // Label 21731: @1568271
     /* 1568271 */   GIM_Try, /*On fail goto*//*Label 21732*/ GIMT_Encode4(1568353), // Rule ID 21035 //
     /* 1568276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1568279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1568287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1568290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1568293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1568296 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568315 */     // MIs[0] round
     /* 1568315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568318 */     // MIs[0] policy
     /* 1568318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568328 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32_MASK),
     /* 1568331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568337 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568339 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1568349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568352 */     // GIR_Coverage, 21035,
     /* 1568352 */     GIR_EraseRootFromParent_Done,
     /* 1568353 */   // Label 21732: @1568353
     /* 1568353 */   GIM_Try, /*On fail goto*//*Label 21733*/ GIMT_Encode4(1568435), // Rule ID 21038 //
     /* 1568358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1568361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1568369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1568372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1568375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568397 */     // MIs[0] round
     /* 1568397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568400 */     // MIs[0] policy
     /* 1568400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568410 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1568413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568419 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568421 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1568431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568434 */     // GIR_Coverage, 21038,
     /* 1568434 */     GIR_EraseRootFromParent_Done,
     /* 1568435 */   // Label 21733: @1568435
     /* 1568435 */   GIM_Try, /*On fail goto*//*Label 21734*/ GIMT_Encode4(1568517), // Rule ID 21039 //
     /* 1568440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1568443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1568451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1568454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1568457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1568460 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1568467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1568475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568479 */     // MIs[0] round
     /* 1568479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568482 */     // MIs[0] policy
     /* 1568482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568492 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11190:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64_MASK),
     /* 1568495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568501 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568503 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1568513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568516 */     // GIR_Coverage, 21039,
     /* 1568516 */     GIR_EraseRootFromParent_Done,
     /* 1568517 */   // Label 21734: @1568517
     /* 1568517 */   GIM_Try, /*On fail goto*//*Label 21735*/ GIMT_Encode4(1568599), // Rule ID 21042 //
     /* 1568522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1568525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1568533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1568536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1568539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568542 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568561 */     // MIs[0] round
     /* 1568561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568564 */     // MIs[0] policy
     /* 1568564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568574 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1568577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568583 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568585 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1568595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568598 */     // GIR_Coverage, 21042,
     /* 1568598 */     GIR_EraseRootFromParent_Done,
     /* 1568599 */   // Label 21735: @1568599
     /* 1568599 */   GIM_Try, /*On fail goto*//*Label 21736*/ GIMT_Encode4(1568681), // Rule ID 21043 //
     /* 1568604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1568607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1568615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1568618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1568621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1568624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1568631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1568639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568643 */     // MIs[0] round
     /* 1568643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568646 */     // MIs[0] policy
     /* 1568646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11190:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64_MASK),
     /* 1568659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568665 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568667 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1568677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568680 */     // GIR_Coverage, 21043,
     /* 1568680 */     GIR_EraseRootFromParent_Done,
     /* 1568681 */   // Label 21736: @1568681
     /* 1568681 */   GIM_Try, /*On fail goto*//*Label 21737*/ GIMT_Encode4(1568763), // Rule ID 21046 //
     /* 1568686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1568689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1568703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568706 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568725 */     // MIs[0] round
     /* 1568725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568728 */     // MIs[0] policy
     /* 1568728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1568741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568749 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1568759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568762 */     // GIR_Coverage, 21046,
     /* 1568762 */     GIR_EraseRootFromParent_Done,
     /* 1568763 */   // Label 21737: @1568763
     /* 1568763 */   GIM_Try, /*On fail goto*//*Label 21738*/ GIMT_Encode4(1568845), // Rule ID 21047 //
     /* 1568768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1568771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_x_v_mask),
     /* 1568776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1568779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1568782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1568785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1568788 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1568795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1568803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568807 */     // MIs[0] round
     /* 1568807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568810 */     // MIs[0] policy
     /* 1568810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568820 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11190:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_X_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64_MASK),
     /* 1568823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568829 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568831 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1568841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568844 */     // GIR_Coverage, 21047,
     /* 1568844 */     GIR_EraseRootFromParent_Done,
     /* 1568845 */   // Label 21738: @1568845
     /* 1568845 */   GIM_Try, /*On fail goto*//*Label 21739*/ GIMT_Encode4(1568927), // Rule ID 21050 //
     /* 1568850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1568853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1568858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1568867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1568873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568889 */     // MIs[0] round
     /* 1568889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568892 */     // MIs[0] policy
     /* 1568892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568902 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1568902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1568905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568913 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1568920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1568923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1568925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1568926 */     // GIR_Coverage, 21050,
     /* 1568926 */     GIR_EraseRootFromParent_Done,
     /* 1568927 */   // Label 21739: @1568927
     /* 1568927 */   GIM_Try, /*On fail goto*//*Label 21740*/ GIMT_Encode4(1569009), // Rule ID 21051 //
     /* 1568932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1568935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1568940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1568943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1568946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1568949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1568952 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1568955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1568959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1568967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1568971 */     // MIs[0] round
     /* 1568971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1568974 */     // MIs[0] policy
     /* 1568974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1568977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1568984 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1568984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16_MASK),
     /* 1568987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1568989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1568991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1568993 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1568995 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1568997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569008 */     // GIR_Coverage, 21051,
     /* 1569008 */     GIR_EraseRootFromParent_Done,
     /* 1569009 */   // Label 21740: @1569009
     /* 1569009 */   GIM_Try, /*On fail goto*//*Label 21741*/ GIMT_Encode4(1569091), // Rule ID 21054 //
     /* 1569014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1569031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569034 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569053 */     // MIs[0] round
     /* 1569053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569056 */     // MIs[0] policy
     /* 1569056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569066 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1569069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569075 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569077 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569090 */     // GIR_Coverage, 21054,
     /* 1569090 */     GIR_EraseRootFromParent_Done,
     /* 1569091 */   // Label 21741: @1569091
     /* 1569091 */   GIM_Try, /*On fail goto*//*Label 21742*/ GIMT_Encode4(1569173), // Rule ID 21055 //
     /* 1569096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1569107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1569110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1569113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569135 */     // MIs[0] round
     /* 1569135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569138 */     // MIs[0] policy
     /* 1569138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569148 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16_MASK),
     /* 1569151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569157 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569159 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569172 */     // GIR_Coverage, 21055,
     /* 1569172 */     GIR_EraseRootFromParent_Done,
     /* 1569173 */   // Label 21742: @1569173
     /* 1569173 */   GIM_Try, /*On fail goto*//*Label 21743*/ GIMT_Encode4(1569255), // Rule ID 21058 //
     /* 1569178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1569181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569198 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569217 */     // MIs[0] round
     /* 1569217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569220 */     // MIs[0] policy
     /* 1569220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569230 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1569233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569239 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569241 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569254 */     // GIR_Coverage, 21058,
     /* 1569254 */     GIR_EraseRootFromParent_Done,
     /* 1569255 */   // Label 21743: @1569255
     /* 1569255 */   GIM_Try, /*On fail goto*//*Label 21744*/ GIMT_Encode4(1569337), // Rule ID 21059 //
     /* 1569260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1569263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1569271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1569274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1569277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569280 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569299 */     // MIs[0] round
     /* 1569299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569302 */     // MIs[0] policy
     /* 1569302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569312 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32_MASK),
     /* 1569315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569321 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569323 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569336 */     // GIR_Coverage, 21059,
     /* 1569336 */     GIR_EraseRootFromParent_Done,
     /* 1569337 */   // Label 21744: @1569337
     /* 1569337 */   GIM_Try, /*On fail goto*//*Label 21745*/ GIMT_Encode4(1569419), // Rule ID 21062 //
     /* 1569342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1569359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569381 */     // MIs[0] round
     /* 1569381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569384 */     // MIs[0] policy
     /* 1569384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569394 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1569397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569403 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569405 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569418 */     // GIR_Coverage, 21062,
     /* 1569418 */     GIR_EraseRootFromParent_Done,
     /* 1569419 */   // Label 21745: @1569419
     /* 1569419 */   GIM_Try, /*On fail goto*//*Label 21746*/ GIMT_Encode4(1569501), // Rule ID 21063 //
     /* 1569424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1569435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1569438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1569441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1569444 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569463 */     // MIs[0] round
     /* 1569463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569466 */     // MIs[0] policy
     /* 1569466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569476 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11192:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16_MASK),
     /* 1569479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569485 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569487 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569500 */     // GIR_Coverage, 21063,
     /* 1569500 */     GIR_EraseRootFromParent_Done,
     /* 1569501 */   // Label 21746: @1569501
     /* 1569501 */   GIM_Try, /*On fail goto*//*Label 21747*/ GIMT_Encode4(1569583), // Rule ID 21066 //
     /* 1569506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1569509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569526 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569545 */     // MIs[0] round
     /* 1569545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569548 */     // MIs[0] policy
     /* 1569548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569558 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1569561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569567 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569569 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569582 */     // GIR_Coverage, 21066,
     /* 1569582 */     GIR_EraseRootFromParent_Done,
     /* 1569583 */   // Label 21747: @1569583
     /* 1569583 */   GIM_Try, /*On fail goto*//*Label 21748*/ GIMT_Encode4(1569665), // Rule ID 21067 //
     /* 1569588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1569591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1569599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1569602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1569605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1569608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569627 */     // MIs[0] round
     /* 1569627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569630 */     // MIs[0] policy
     /* 1569630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569640 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11192:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32_MASK),
     /* 1569643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569649 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569651 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1569661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569664 */     // GIR_Coverage, 21067,
     /* 1569664 */     GIR_EraseRootFromParent_Done,
     /* 1569665 */   // Label 21748: @1569665
     /* 1569665 */   GIM_Try, /*On fail goto*//*Label 21749*/ GIMT_Encode4(1569747), // Rule ID 21070 //
     /* 1569670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1569673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1569681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1569684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569690 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569709 */     // MIs[0] round
     /* 1569709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569712 */     // MIs[0] policy
     /* 1569712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569722 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1569725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569731 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569733 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1569743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569746 */     // GIR_Coverage, 21070,
     /* 1569746 */     GIR_EraseRootFromParent_Done,
     /* 1569747 */   // Label 21749: @1569747
     /* 1569747 */   GIM_Try, /*On fail goto*//*Label 21750*/ GIMT_Encode4(1569829), // Rule ID 21071 //
     /* 1569752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1569755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1569763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1569766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1569769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1569772 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1569779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1569787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569791 */     // MIs[0] round
     /* 1569791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569794 */     // MIs[0] policy
     /* 1569794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569804 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11192:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64_MASK),
     /* 1569807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569815 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1569825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569828 */     // GIR_Coverage, 21071,
     /* 1569828 */     GIR_EraseRootFromParent_Done,
     /* 1569829 */   // Label 21750: @1569829
     /* 1569829 */   GIM_Try, /*On fail goto*//*Label 21751*/ GIMT_Encode4(1569911), // Rule ID 21074 //
     /* 1569834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1569837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1569851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1569857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569873 */     // MIs[0] round
     /* 1569873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569876 */     // MIs[0] policy
     /* 1569876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569886 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1569886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1569889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569895 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569897 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569910 */     // GIR_Coverage, 21074,
     /* 1569910 */     GIR_EraseRootFromParent_Done,
     /* 1569911 */   // Label 21751: @1569911
     /* 1569911 */   GIM_Try, /*On fail goto*//*Label 21752*/ GIMT_Encode4(1569993), // Rule ID 21075 //
     /* 1569916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1569919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1569924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1569927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1569930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1569933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1569936 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1569939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1569943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1569951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1569955 */     // MIs[0] round
     /* 1569955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1569958 */     // MIs[0] policy
     /* 1569958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1569961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1569968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1569968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16_MASK),
     /* 1569971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1569973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1569975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1569977 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1569979 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1569981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1569986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1569989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1569991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1569992 */     // GIR_Coverage, 21075,
     /* 1569992 */     GIR_EraseRootFromParent_Done,
     /* 1569993 */   // Label 21752: @1569993
     /* 1569993 */   GIM_Try, /*On fail goto*//*Label 21753*/ GIMT_Encode4(1570075), // Rule ID 21078 //
     /* 1569998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1570015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570018 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570037 */     // MIs[0] round
     /* 1570037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570040 */     // MIs[0] policy
     /* 1570040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1570053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570059 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570061 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570074 */     // GIR_Coverage, 21078,
     /* 1570074 */     GIR_EraseRootFromParent_Done,
     /* 1570075 */   // Label 21753: @1570075
     /* 1570075 */   GIM_Try, /*On fail goto*//*Label 21754*/ GIMT_Encode4(1570157), // Rule ID 21079 //
     /* 1570080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1570091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1570094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1570097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570119 */     // MIs[0] round
     /* 1570119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570122 */     // MIs[0] policy
     /* 1570122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570132 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16_MASK),
     /* 1570135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570141 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570143 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570156 */     // GIR_Coverage, 21079,
     /* 1570156 */     GIR_EraseRootFromParent_Done,
     /* 1570157 */   // Label 21754: @1570157
     /* 1570157 */   GIM_Try, /*On fail goto*//*Label 21755*/ GIMT_Encode4(1570239), // Rule ID 21082 //
     /* 1570162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1570165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1570173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1570176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1570182 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570201 */     // MIs[0] round
     /* 1570201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570204 */     // MIs[0] policy
     /* 1570204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570214 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1570217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570223 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570225 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570238 */     // GIR_Coverage, 21082,
     /* 1570238 */     GIR_EraseRootFromParent_Done,
     /* 1570239 */   // Label 21755: @1570239
     /* 1570239 */   GIM_Try, /*On fail goto*//*Label 21756*/ GIMT_Encode4(1570321), // Rule ID 21083 //
     /* 1570244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1570247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1570255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1570258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1570261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1570264 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570283 */     // MIs[0] round
     /* 1570283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570286 */     // MIs[0] policy
     /* 1570286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570296 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16_MASK),
     /* 1570299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570307 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1570317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570320 */     // GIR_Coverage, 21083,
     /* 1570320 */     GIR_EraseRootFromParent_Done,
     /* 1570321 */   // Label 21756: @1570321
     /* 1570321 */   GIM_Try, /*On fail goto*//*Label 21757*/ GIMT_Encode4(1570403), // Rule ID 21086 //
     /* 1570326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1570329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570365 */     // MIs[0] round
     /* 1570365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570368 */     // MIs[0] policy
     /* 1570368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570378 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1570381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570387 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570389 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570402 */     // GIR_Coverage, 21086,
     /* 1570402 */     GIR_EraseRootFromParent_Done,
     /* 1570403 */   // Label 21757: @1570403
     /* 1570403 */   GIM_Try, /*On fail goto*//*Label 21758*/ GIMT_Encode4(1570485), // Rule ID 21087 //
     /* 1570408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1570411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1570419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1570422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1570425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1570428 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570447 */     // MIs[0] round
     /* 1570447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570450 */     // MIs[0] policy
     /* 1570450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570460 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32_MASK),
     /* 1570463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570471 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570484 */     // GIR_Coverage, 21087,
     /* 1570484 */     GIR_EraseRootFromParent_Done,
     /* 1570485 */   // Label 21758: @1570485
     /* 1570485 */   GIM_Try, /*On fail goto*//*Label 21759*/ GIMT_Encode4(1570567), // Rule ID 21090 //
     /* 1570490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1570493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570510 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570529 */     // MIs[0] round
     /* 1570529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570532 */     // MIs[0] policy
     /* 1570532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570542 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1570545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570553 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570566 */     // GIR_Coverage, 21090,
     /* 1570566 */     GIR_EraseRootFromParent_Done,
     /* 1570567 */   // Label 21759: @1570567
     /* 1570567 */   GIM_Try, /*On fail goto*//*Label 21760*/ GIMT_Encode4(1570649), // Rule ID 21091 //
     /* 1570572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1570575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1570583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1570586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1570589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1570592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1570599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1570607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570611 */     // MIs[0] round
     /* 1570611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570614 */     // MIs[0] policy
     /* 1570614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570624 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32_MASK),
     /* 1570627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570635 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570648 */     // GIR_Coverage, 21091,
     /* 1570648 */     GIR_EraseRootFromParent_Done,
     /* 1570649 */   // Label 21760: @1570649
     /* 1570649 */   GIM_Try, /*On fail goto*//*Label 21761*/ GIMT_Encode4(1570731), // Rule ID 21094 //
     /* 1570654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1570657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1570665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1570668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570674 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570693 */     // MIs[0] round
     /* 1570693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570696 */     // MIs[0] policy
     /* 1570696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1570709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570715 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570717 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570730 */     // GIR_Coverage, 21094,
     /* 1570730 */     GIR_EraseRootFromParent_Done,
     /* 1570731 */   // Label 21761: @1570731
     /* 1570731 */   GIM_Try, /*On fail goto*//*Label 21762*/ GIMT_Encode4(1570813), // Rule ID 21095 //
     /* 1570736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1570739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1570747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1570750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1570753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1570756 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1570763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1570771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570775 */     // MIs[0] round
     /* 1570775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570778 */     // MIs[0] policy
     /* 1570778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570788 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32_MASK),
     /* 1570791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570799 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1570809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570812 */     // GIR_Coverage, 21095,
     /* 1570812 */     GIR_EraseRootFromParent_Done,
     /* 1570813 */   // Label 21762: @1570813
     /* 1570813 */   GIM_Try, /*On fail goto*//*Label 21763*/ GIMT_Encode4(1570895), // Rule ID 21098 //
     /* 1570818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1570821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1570829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1570832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1570841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570857 */     // MIs[0] round
     /* 1570857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570860 */     // MIs[0] policy
     /* 1570860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570870 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1570870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1570873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570879 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570881 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1570891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570894 */     // GIR_Coverage, 21098,
     /* 1570894 */     GIR_EraseRootFromParent_Done,
     /* 1570895 */   // Label 21763: @1570895
     /* 1570895 */   GIM_Try, /*On fail goto*//*Label 21764*/ GIMT_Encode4(1570977), // Rule ID 21099 //
     /* 1570900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1570903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1570911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1570914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1570917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1570920 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1570923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1570927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1570935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1570939 */     // MIs[0] round
     /* 1570939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1570942 */     // MIs[0] policy
     /* 1570942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1570945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1570952 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11192:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1570952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64_MASK),
     /* 1570955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1570957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1570959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1570961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1570963 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1570965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1570970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1570973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1570975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1570976 */     // GIR_Coverage, 21099,
     /* 1570976 */     GIR_EraseRootFromParent_Done,
     /* 1570977 */   // Label 21764: @1570977
     /* 1570977 */   GIM_Try, /*On fail goto*//*Label 21765*/ GIMT_Encode4(1571059), // Rule ID 21102 //
     /* 1570982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1570985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1570990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1570993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1570996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1570999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571002 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571021 */     // MIs[0] round
     /* 1571021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571024 */     // MIs[0] policy
     /* 1571024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571034 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1571037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571043 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571045 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1571055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571058 */     // GIR_Coverage, 21102,
     /* 1571058 */     GIR_EraseRootFromParent_Done,
     /* 1571059 */   // Label 21765: @1571059
     /* 1571059 */   GIM_Try, /*On fail goto*//*Label 21766*/ GIMT_Encode4(1571141), // Rule ID 21103 //
     /* 1571064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1571067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1571072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1571075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1571078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1571081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571103 */     // MIs[0] round
     /* 1571103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571106 */     // MIs[0] policy
     /* 1571106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571116 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11192:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64_MASK),
     /* 1571119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571127 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1571137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571140 */     // GIR_Coverage, 21103,
     /* 1571140 */     GIR_EraseRootFromParent_Done,
     /* 1571141 */   // Label 21766: @1571141
     /* 1571141 */   GIM_Try, /*On fail goto*//*Label 21767*/ GIMT_Encode4(1571223), // Rule ID 21106 //
     /* 1571146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 1571149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1571154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1571157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1571160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571166 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571185 */     // MIs[0] round
     /* 1571185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571188 */     // MIs[0] policy
     /* 1571188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571198 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1571201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571209 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1571219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571222 */     // GIR_Coverage, 21106,
     /* 1571222 */     GIR_EraseRootFromParent_Done,
     /* 1571223 */   // Label 21767: @1571223
     /* 1571223 */   GIM_Try, /*On fail goto*//*Label 21768*/ GIMT_Encode4(1571305), // Rule ID 21107 //
     /* 1571228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 1571231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfcvt_f_xu_v_mask),
     /* 1571236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1571239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1571242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1571245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571248 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571267 */     // MIs[0] round
     /* 1571267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571270 */     // MIs[0] policy
     /* 1571270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571280 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11192:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFCVT_F_XU_V_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64_MASK),
     /* 1571283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571289 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571291 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1571301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571304 */     // GIR_Coverage, 21107,
     /* 1571304 */     GIR_EraseRootFromParent_Done,
     /* 1571305 */   // Label 21768: @1571305
     /* 1571305 */   GIM_Try, /*On fail goto*//*Label 21769*/ GIMT_Encode4(1571387), // Rule ID 21182 //
     /* 1571310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1571313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1571327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571349 */     // MIs[0] round
     /* 1571349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571352 */     // MIs[0] policy
     /* 1571352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1571365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571373 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571386 */     // GIR_Coverage, 21182,
     /* 1571386 */     GIR_EraseRootFromParent_Done,
     /* 1571387 */   // Label 21769: @1571387
     /* 1571387 */   GIM_Try, /*On fail goto*//*Label 21770*/ GIMT_Encode4(1571469), // Rule ID 21183 //
     /* 1571392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1571395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1571403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1571406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1571409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1571412 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571431 */     // MIs[0] round
     /* 1571431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571434 */     // MIs[0] policy
     /* 1571434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571444 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF4_MASK),
     /* 1571447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571453 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571455 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571468 */     // GIR_Coverage, 21183,
     /* 1571468 */     GIR_EraseRootFromParent_Done,
     /* 1571469 */   // Label 21770: @1571469
     /* 1571469 */   GIM_Try, /*On fail goto*//*Label 21771*/ GIMT_Encode4(1571551), // Rule ID 21186 //
     /* 1571474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1571477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1571491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571494 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571513 */     // MIs[0] round
     /* 1571513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571516 */     // MIs[0] policy
     /* 1571516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1571529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571535 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571537 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571550 */     // GIR_Coverage, 21186,
     /* 1571550 */     GIR_EraseRootFromParent_Done,
     /* 1571551 */   // Label 21771: @1571551
     /* 1571551 */   GIM_Try, /*On fail goto*//*Label 21772*/ GIMT_Encode4(1571633), // Rule ID 21187 //
     /* 1571556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1571559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1571567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1571570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1571573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1571576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1571583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571595 */     // MIs[0] round
     /* 1571595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571598 */     // MIs[0] policy
     /* 1571598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571608 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11296:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1571611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571617 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571619 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571632 */     // GIR_Coverage, 21187,
     /* 1571632 */     GIR_EraseRootFromParent_Done,
     /* 1571633 */   // Label 21772: @1571633
     /* 1571633 */   GIM_Try, /*On fail goto*//*Label 21773*/ GIMT_Encode4(1571715), // Rule ID 21190 //
     /* 1571638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1571641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1571655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571658 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571677 */     // MIs[0] round
     /* 1571677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571680 */     // MIs[0] policy
     /* 1571680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571690 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1571693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571701 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571714 */     // GIR_Coverage, 21190,
     /* 1571714 */     GIR_EraseRootFromParent_Done,
     /* 1571715 */   // Label 21773: @1571715
     /* 1571715 */   GIM_Try, /*On fail goto*//*Label 21774*/ GIMT_Encode4(1571797), // Rule ID 21191 //
     /* 1571720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1571723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1571731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1571734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1571737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1571740 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1571747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1571755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571759 */     // MIs[0] round
     /* 1571759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571762 */     // MIs[0] policy
     /* 1571762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1571775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571781 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571783 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571796 */     // GIR_Coverage, 21191,
     /* 1571796 */     GIR_EraseRootFromParent_Done,
     /* 1571797 */   // Label 21774: @1571797
     /* 1571797 */   GIM_Try, /*On fail goto*//*Label 21775*/ GIMT_Encode4(1571879), // Rule ID 21194 //
     /* 1571802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1571805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1571819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571841 */     // MIs[0] round
     /* 1571841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571844 */     // MIs[0] policy
     /* 1571844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571854 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1571854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1571857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571863 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571865 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571878 */     // GIR_Coverage, 21194,
     /* 1571878 */     GIR_EraseRootFromParent_Done,
     /* 1571879 */   // Label 21775: @1571879
     /* 1571879 */   GIM_Try, /*On fail goto*//*Label 21776*/ GIMT_Encode4(1571961), // Rule ID 21195 //
     /* 1571884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1571887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1571895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1571898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1571901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1571904 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1571907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1571911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1571915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1571919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1571923 */     // MIs[0] round
     /* 1571923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1571926 */     // MIs[0] policy
     /* 1571926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1571929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1571936 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1571936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1571939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1571941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1571943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1571945 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1571947 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1571949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1571954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1571957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1571959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1571960 */     // GIR_Coverage, 21195,
     /* 1571960 */     GIR_EraseRootFromParent_Done,
     /* 1571961 */   // Label 21776: @1571961
     /* 1571961 */   GIM_Try, /*On fail goto*//*Label 21777*/ GIMT_Encode4(1572043), // Rule ID 21198 //
     /* 1571966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1571969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1571974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1571977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1571980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1571983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1571986 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1571989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1571993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1571997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572005 */     // MIs[0] round
     /* 1572005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572008 */     // MIs[0] policy
     /* 1572008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572018 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1572021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572027 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572029 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572042 */     // GIR_Coverage, 21198,
     /* 1572042 */     GIR_EraseRootFromParent_Done,
     /* 1572043 */   // Label 21777: @1572043
     /* 1572043 */   GIM_Try, /*On fail goto*//*Label 21778*/ GIMT_Encode4(1572125), // Rule ID 21199 //
     /* 1572048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1572059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1572062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1572065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1572068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1572075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572087 */     // MIs[0] round
     /* 1572087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572090 */     // MIs[0] policy
     /* 1572090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1572103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572109 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572111 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572124 */     // GIR_Coverage, 21199,
     /* 1572124 */     GIR_EraseRootFromParent_Done,
     /* 1572125 */   // Label 21778: @1572125
     /* 1572125 */   GIM_Try, /*On fail goto*//*Label 21779*/ GIMT_Encode4(1572207), // Rule ID 21202 //
     /* 1572130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1572133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1572141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1572144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1572147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572150 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572169 */     // MIs[0] round
     /* 1572169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572172 */     // MIs[0] policy
     /* 1572172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1572185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572191 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572193 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572206 */     // GIR_Coverage, 21202,
     /* 1572206 */     GIR_EraseRootFromParent_Done,
     /* 1572207 */   // Label 21779: @1572207
     /* 1572207 */   GIM_Try, /*On fail goto*//*Label 21780*/ GIMT_Encode4(1572289), // Rule ID 21203 //
     /* 1572212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1572215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1572223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1572226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1572229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572232 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572251 */     // MIs[0] round
     /* 1572251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572254 */     // MIs[0] policy
     /* 1572254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572264 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11296:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_MF2_MASK),
     /* 1572267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572273 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572275 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572288 */     // GIR_Coverage, 21203,
     /* 1572288 */     GIR_EraseRootFromParent_Done,
     /* 1572289 */   // Label 21780: @1572289
     /* 1572289 */   GIM_Try, /*On fail goto*//*Label 21781*/ GIMT_Encode4(1572371), // Rule ID 21206 //
     /* 1572294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1572297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1572305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1572308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572333 */     // MIs[0] round
     /* 1572333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572336 */     // MIs[0] policy
     /* 1572336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572346 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1572349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572355 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572357 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572370 */     // GIR_Coverage, 21206,
     /* 1572370 */     GIR_EraseRootFromParent_Done,
     /* 1572371 */   // Label 21781: @1572371
     /* 1572371 */   GIM_Try, /*On fail goto*//*Label 21782*/ GIMT_Encode4(1572453), // Rule ID 21207 //
     /* 1572376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1572379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1572387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1572390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1572393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572396 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1572403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572415 */     // MIs[0] round
     /* 1572415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572418 */     // MIs[0] policy
     /* 1572418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572428 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11296:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M1_MASK),
     /* 1572431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572437 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572439 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572452 */     // GIR_Coverage, 21207,
     /* 1572452 */     GIR_EraseRootFromParent_Done,
     /* 1572453 */   // Label 21782: @1572453
     /* 1572453 */   GIM_Try, /*On fail goto*//*Label 21783*/ GIMT_Encode4(1572535), // Rule ID 21210 //
     /* 1572458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1572461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1572469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1572472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1572475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572478 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572497 */     // MIs[0] round
     /* 1572497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572500 */     // MIs[0] policy
     /* 1572500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572510 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1572513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572521 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572534 */     // GIR_Coverage, 21210,
     /* 1572534 */     GIR_EraseRootFromParent_Done,
     /* 1572535 */   // Label 21783: @1572535
     /* 1572535 */   GIM_Try, /*On fail goto*//*Label 21784*/ GIMT_Encode4(1572617), // Rule ID 21211 //
     /* 1572540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1572543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1572551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1572554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1572557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1572560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1572567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1572575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572579 */     // MIs[0] round
     /* 1572579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572582 */     // MIs[0] policy
     /* 1572582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572592 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11296:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M2_MASK),
     /* 1572595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572601 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572603 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572616 */     // GIR_Coverage, 21211,
     /* 1572616 */     GIR_EraseRootFromParent_Done,
     /* 1572617 */   // Label 21784: @1572617
     /* 1572617 */   GIM_Try, /*On fail goto*//*Label 21785*/ GIMT_Encode4(1572699), // Rule ID 21214 //
     /* 1572622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1572625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1572633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1572636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572642 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1572649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572661 */     // MIs[0] round
     /* 1572661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572664 */     // MIs[0] policy
     /* 1572664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1572677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572683 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572685 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572698 */     // GIR_Coverage, 21214,
     /* 1572698 */     GIR_EraseRootFromParent_Done,
     /* 1572699 */   // Label 21785: @1572699
     /* 1572699 */   GIM_Try, /*On fail goto*//*Label 21786*/ GIMT_Encode4(1572781), // Rule ID 21215 //
     /* 1572704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1572707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_xu_f_v_mask),
     /* 1572712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1572715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1572718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1572721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1572724 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1572731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1572735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1572739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572743 */     // MIs[0] round
     /* 1572743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572746 */     // MIs[0] policy
     /* 1572746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572756 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11296:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_XU_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_XU_F_V_M4_MASK),
     /* 1572759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572765 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572767 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1572777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572780 */     // GIR_Coverage, 21215,
     /* 1572780 */     GIR_EraseRootFromParent_Done,
     /* 1572781 */   // Label 21786: @1572781
     /* 1572781 */   GIM_Try, /*On fail goto*//*Label 21787*/ GIMT_Encode4(1572863), // Rule ID 21218 //
     /* 1572786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1572794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1572797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1572800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1572803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572825 */     // MIs[0] round
     /* 1572825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572828 */     // MIs[0] policy
     /* 1572828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572838 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1572838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1572841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572847 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572849 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572862 */     // GIR_Coverage, 21218,
     /* 1572862 */     GIR_EraseRootFromParent_Done,
     /* 1572863 */   // Label 21787: @1572863
     /* 1572863 */   GIM_Try, /*On fail goto*//*Label 21788*/ GIMT_Encode4(1572945), // Rule ID 21219 //
     /* 1572868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1572871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1572876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1572879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1572882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1572885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1572888 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1572891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572907 */     // MIs[0] round
     /* 1572907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572910 */     // MIs[0] policy
     /* 1572910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1572920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1572920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF4_MASK),
     /* 1572923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1572925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1572927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1572929 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1572931 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1572933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1572938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1572941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1572943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1572944 */     // GIR_Coverage, 21219,
     /* 1572944 */     GIR_EraseRootFromParent_Done,
     /* 1572945 */   // Label 21788: @1572945
     /* 1572945 */   GIM_Try, /*On fail goto*//*Label 21789*/ GIMT_Encode4(1573027), // Rule ID 21222 //
     /* 1572950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1572953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1572958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1572961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1572964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1572967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1572970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1572973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1572977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1572985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1572989 */     // MIs[0] round
     /* 1572989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1572992 */     // MIs[0] policy
     /* 1572992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1572995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573002 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1573005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573011 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573013 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573026 */     // GIR_Coverage, 21222,
     /* 1573026 */     GIR_EraseRootFromParent_Done,
     /* 1573027 */   // Label 21789: @1573027
     /* 1573027 */   GIM_Try, /*On fail goto*//*Label 21790*/ GIMT_Encode4(1573109), // Rule ID 21223 //
     /* 1573032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1573043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1573046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1573049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573071 */     // MIs[0] round
     /* 1573071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573074 */     // MIs[0] policy
     /* 1573074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11294:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1573087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573093 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573095 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573108 */     // GIR_Coverage, 21223,
     /* 1573108 */     GIR_EraseRootFromParent_Done,
     /* 1573109 */   // Label 21790: @1573109
     /* 1573109 */   GIM_Try, /*On fail goto*//*Label 21791*/ GIMT_Encode4(1573191), // Rule ID 21226 //
     /* 1573114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1573117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1573125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1573128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1573131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573134 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573153 */     // MIs[0] round
     /* 1573153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573156 */     // MIs[0] policy
     /* 1573156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573166 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1573169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573175 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573177 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573190 */     // GIR_Coverage, 21226,
     /* 1573190 */     GIR_EraseRootFromParent_Done,
     /* 1573191 */   // Label 21791: @1573191
     /* 1573191 */   GIM_Try, /*On fail goto*//*Label 21792*/ GIMT_Encode4(1573273), // Rule ID 21227 //
     /* 1573196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1573207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1573210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1573213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573235 */     // MIs[0] round
     /* 1573235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573238 */     // MIs[0] policy
     /* 1573238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1573251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573259 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573272 */     // GIR_Coverage, 21227,
     /* 1573272 */     GIR_EraseRootFromParent_Done,
     /* 1573273 */   // Label 21792: @1573273
     /* 1573273 */   GIM_Try, /*On fail goto*//*Label 21793*/ GIMT_Encode4(1573355), // Rule ID 21230 //
     /* 1573278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1573281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1573289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1573292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1573295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573298 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573317 */     // MIs[0] round
     /* 1573317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573320 */     // MIs[0] policy
     /* 1573320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573330 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1573333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573339 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573341 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573354 */     // GIR_Coverage, 21230,
     /* 1573354 */     GIR_EraseRootFromParent_Done,
     /* 1573355 */   // Label 21793: @1573355
     /* 1573355 */   GIM_Try, /*On fail goto*//*Label 21794*/ GIMT_Encode4(1573437), // Rule ID 21231 //
     /* 1573360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1573371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1573374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1573377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1573380 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573399 */     // MIs[0] round
     /* 1573399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573402 */     // MIs[0] policy
     /* 1573402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573412 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1573415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573421 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573423 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573436 */     // GIR_Coverage, 21231,
     /* 1573436 */     GIR_EraseRootFromParent_Done,
     /* 1573437 */   // Label 21794: @1573437
     /* 1573437 */   GIM_Try, /*On fail goto*//*Label 21795*/ GIMT_Encode4(1573519), // Rule ID 21234 //
     /* 1573442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1573445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1573453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1573456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1573459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1573462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573481 */     // MIs[0] round
     /* 1573481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573484 */     // MIs[0] policy
     /* 1573484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1573497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573503 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573505 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573518 */     // GIR_Coverage, 21234,
     /* 1573518 */     GIR_EraseRootFromParent_Done,
     /* 1573519 */   // Label 21795: @1573519
     /* 1573519 */   GIM_Try, /*On fail goto*//*Label 21796*/ GIMT_Encode4(1573601), // Rule ID 21235 //
     /* 1573524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1573527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1573535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1573538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1573541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1573544 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1573551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1573555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573563 */     // MIs[0] round
     /* 1573563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573566 */     // MIs[0] policy
     /* 1573566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573576 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1573579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573585 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573587 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1573597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573600 */     // GIR_Coverage, 21235,
     /* 1573600 */     GIR_EraseRootFromParent_Done,
     /* 1573601 */   // Label 21796: @1573601
     /* 1573601 */   GIM_Try, /*On fail goto*//*Label 21797*/ GIMT_Encode4(1573683), // Rule ID 21238 //
     /* 1573606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1573609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1573617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1573620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573626 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573645 */     // MIs[0] round
     /* 1573645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573648 */     // MIs[0] policy
     /* 1573648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573658 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1573661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573667 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573669 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573682 */     // GIR_Coverage, 21238,
     /* 1573682 */     GIR_EraseRootFromParent_Done,
     /* 1573683 */   // Label 21797: @1573683
     /* 1573683 */   GIM_Try, /*On fail goto*//*Label 21798*/ GIMT_Encode4(1573765), // Rule ID 21239 //
     /* 1573688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1573691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1573699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1573702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1573705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1573708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1573715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573727 */     // MIs[0] round
     /* 1573727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573730 */     // MIs[0] policy
     /* 1573730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11294:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_MF2_MASK),
     /* 1573743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573749 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573751 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573764 */     // GIR_Coverage, 21239,
     /* 1573764 */     GIR_EraseRootFromParent_Done,
     /* 1573765 */   // Label 21798: @1573765
     /* 1573765 */   GIM_Try, /*On fail goto*//*Label 21799*/ GIMT_Encode4(1573847), // Rule ID 21242 //
     /* 1573770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1573773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1573781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1573784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1573787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573790 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573809 */     // MIs[0] round
     /* 1573809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573812 */     // MIs[0] policy
     /* 1573812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573822 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1573825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573831 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573833 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573846 */     // GIR_Coverage, 21242,
     /* 1573846 */     GIR_EraseRootFromParent_Done,
     /* 1573847 */   // Label 21799: @1573847
     /* 1573847 */   GIM_Try, /*On fail goto*//*Label 21800*/ GIMT_Encode4(1573929), // Rule ID 21243 //
     /* 1573852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1573855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1573863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1573866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1573869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1573872 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1573875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1573879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1573887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573891 */     // MIs[0] round
     /* 1573891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573894 */     // MIs[0] policy
     /* 1573894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573904 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11294:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1573904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M1_MASK),
     /* 1573907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573915 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1573922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1573925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1573927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1573928 */     // GIR_Coverage, 21243,
     /* 1573928 */     GIR_EraseRootFromParent_Done,
     /* 1573929 */   // Label 21800: @1573929
     /* 1573929 */   GIM_Try, /*On fail goto*//*Label 21801*/ GIMT_Encode4(1574011), // Rule ID 21246 //
     /* 1573934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1573937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1573942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1573945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1573948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1573951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1573954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1573957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1573961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1573965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1573969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1573973 */     // MIs[0] round
     /* 1573973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1573976 */     // MIs[0] policy
     /* 1573976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1573979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1573986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1573986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1573989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1573991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1573993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1573995 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1573997 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1573999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574010 */     // GIR_Coverage, 21246,
     /* 1574010 */     GIR_EraseRootFromParent_Done,
     /* 1574011 */   // Label 21801: @1574011
     /* 1574011 */   GIM_Try, /*On fail goto*//*Label 21802*/ GIMT_Encode4(1574093), // Rule ID 21247 //
     /* 1574016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1574019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1574024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1574027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1574030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1574033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574036 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1574043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574055 */     // MIs[0] round
     /* 1574055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574058 */     // MIs[0] policy
     /* 1574058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11294:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M2_MASK),
     /* 1574071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574079 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574092 */     // GIR_Coverage, 21247,
     /* 1574092 */     GIR_EraseRootFromParent_Done,
     /* 1574093 */   // Label 21802: @1574093
     /* 1574093 */   GIM_Try, /*On fail goto*//*Label 21803*/ GIMT_Encode4(1574175), // Rule ID 21250 //
     /* 1574098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1574101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1574106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1574115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574118 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574137 */     // MIs[0] round
     /* 1574137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574140 */     // MIs[0] policy
     /* 1574140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574150 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1574153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574159 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574161 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574174 */     // GIR_Coverage, 21250,
     /* 1574174 */     GIR_EraseRootFromParent_Done,
     /* 1574175 */   // Label 21803: @1574175
     /* 1574175 */   GIM_Try, /*On fail goto*//*Label 21804*/ GIMT_Encode4(1574257), // Rule ID 21251 //
     /* 1574180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1574183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwcvt_x_f_v_mask),
     /* 1574188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1574191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1574194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1574197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1574207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1574211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574219 */     // MIs[0] round
     /* 1574219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574222 */     // MIs[0] policy
     /* 1574222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574232 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11294:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWCVT_X_F_V_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_X_F_V_M4_MASK),
     /* 1574235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574243 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1574253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574256 */     // GIR_Coverage, 21251,
     /* 1574256 */     GIR_EraseRootFromParent_Done,
     /* 1574257 */   // Label 21804: @1574257
     /* 1574257 */   GIM_Try, /*On fail goto*//*Label 21805*/ GIMT_Encode4(1574339), // Rule ID 21602 //
     /* 1574262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1574273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1574276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1574279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574282 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574301 */     // MIs[0] round
     /* 1574301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574304 */     // MIs[0] policy
     /* 1574304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574314 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1574317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574323 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574325 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574338 */     // GIR_Coverage, 21602,
     /* 1574338 */     GIR_EraseRootFromParent_Done,
     /* 1574339 */   // Label 21805: @1574339
     /* 1574339 */   GIM_Try, /*On fail goto*//*Label 21806*/ GIMT_Encode4(1574421), // Rule ID 21603 //
     /* 1574344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1574355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1574358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1574361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1574364 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574383 */     // MIs[0] round
     /* 1574383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574386 */     // MIs[0] policy
     /* 1574386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF8_MASK),
     /* 1574399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574407 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574420 */     // GIR_Coverage, 21603,
     /* 1574420 */     GIR_EraseRootFromParent_Done,
     /* 1574421 */   // Label 21806: @1574421
     /* 1574421 */   GIM_Try, /*On fail goto*//*Label 21807*/ GIMT_Encode4(1574503), // Rule ID 21606 //
     /* 1574426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1574437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1574440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1574443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574465 */     // MIs[0] round
     /* 1574465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574468 */     // MIs[0] policy
     /* 1574468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574478 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1574481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574487 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574489 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574502 */     // GIR_Coverage, 21606,
     /* 1574502 */     GIR_EraseRootFromParent_Done,
     /* 1574503 */   // Label 21807: @1574503
     /* 1574503 */   GIM_Try, /*On fail goto*//*Label 21808*/ GIMT_Encode4(1574585), // Rule ID 21607 //
     /* 1574508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1574519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1574522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1574525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1574528 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574547 */     // MIs[0] round
     /* 1574547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574550 */     // MIs[0] policy
     /* 1574550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574560 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1574563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574571 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574584 */     // GIR_Coverage, 21607,
     /* 1574584 */     GIR_EraseRootFromParent_Done,
     /* 1574585 */   // Label 21808: @1574585
     /* 1574585 */   GIM_Try, /*On fail goto*//*Label 21809*/ GIMT_Encode4(1574667), // Rule ID 21610 //
     /* 1574590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1574601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1574604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1574607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574610 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574629 */     // MIs[0] round
     /* 1574629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574632 */     // MIs[0] policy
     /* 1574632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574642 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1574645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574653 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574666 */     // GIR_Coverage, 21610,
     /* 1574666 */     GIR_EraseRootFromParent_Done,
     /* 1574667 */   // Label 21809: @1574667
     /* 1574667 */   GIM_Try, /*On fail goto*//*Label 21810*/ GIMT_Encode4(1574749), // Rule ID 21611 //
     /* 1574672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1574683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1574686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1574689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1574692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574711 */     // MIs[0] round
     /* 1574711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574714 */     // MIs[0] policy
     /* 1574714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574724 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1574727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574733 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574735 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574748 */     // GIR_Coverage, 21611,
     /* 1574748 */     GIR_EraseRootFromParent_Done,
     /* 1574749 */   // Label 21810: @1574749
     /* 1574749 */   GIM_Try, /*On fail goto*//*Label 21811*/ GIMT_Encode4(1574831), // Rule ID 21614 //
     /* 1574754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1574765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1574768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1574771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574774 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574793 */     // MIs[0] round
     /* 1574793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574796 */     // MIs[0] policy
     /* 1574796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574806 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1574809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574817 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574830 */     // GIR_Coverage, 21614,
     /* 1574830 */     GIR_EraseRootFromParent_Done,
     /* 1574831 */   // Label 21811: @1574831
     /* 1574831 */   GIM_Try, /*On fail goto*//*Label 21812*/ GIMT_Encode4(1574913), // Rule ID 21615 //
     /* 1574836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1574839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1574847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1574850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1574853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1574856 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1574859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1574863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1574867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574875 */     // MIs[0] round
     /* 1574875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574878 */     // MIs[0] policy
     /* 1574878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11238:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1574888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1574891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574897 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574899 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574912 */     // GIR_Coverage, 21615,
     /* 1574912 */     GIR_EraseRootFromParent_Done,
     /* 1574913 */   // Label 21812: @1574913
     /* 1574913 */   GIM_Try, /*On fail goto*//*Label 21813*/ GIMT_Encode4(1574995), // Rule ID 21618 //
     /* 1574918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1574921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1574926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1574929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1574932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1574935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1574938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1574941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1574945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1574949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1574953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1574957 */     // MIs[0] round
     /* 1574957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1574960 */     // MIs[0] policy
     /* 1574960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1574963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1574970 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1574970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1574973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1574975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1574977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1574979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1574981 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1574983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1574988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1574991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1574993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1574994 */     // GIR_Coverage, 21618,
     /* 1574994 */     GIR_EraseRootFromParent_Done,
     /* 1574995 */   // Label 21813: @1574995
     /* 1574995 */   GIM_Try, /*On fail goto*//*Label 21814*/ GIMT_Encode4(1575077), // Rule ID 21619 //
     /* 1575000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1575011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1575014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1575017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1575020 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575039 */     // MIs[0] round
     /* 1575039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575042 */     // MIs[0] policy
     /* 1575042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575052 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1575055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575061 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575063 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575076 */     // GIR_Coverage, 21619,
     /* 1575076 */     GIR_EraseRootFromParent_Done,
     /* 1575077 */   // Label 21814: @1575077
     /* 1575077 */   GIM_Try, /*On fail goto*//*Label 21815*/ GIMT_Encode4(1575159), // Rule ID 21622 //
     /* 1575082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1575085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1575093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1575096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1575099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1575102 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575121 */     // MIs[0] round
     /* 1575121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575124 */     // MIs[0] policy
     /* 1575124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575134 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1575137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575143 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575145 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575158 */     // GIR_Coverage, 21622,
     /* 1575158 */     GIR_EraseRootFromParent_Done,
     /* 1575159 */   // Label 21815: @1575159
     /* 1575159 */   GIM_Try, /*On fail goto*//*Label 21816*/ GIMT_Encode4(1575241), // Rule ID 21623 //
     /* 1575164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1575167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1575175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1575178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1575181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1575184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575203 */     // MIs[0] round
     /* 1575203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575206 */     // MIs[0] policy
     /* 1575206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1575219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575225 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575227 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1575237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575240 */     // GIR_Coverage, 21623,
     /* 1575240 */     GIR_EraseRootFromParent_Done,
     /* 1575241 */   // Label 21816: @1575241
     /* 1575241 */   GIM_Try, /*On fail goto*//*Label 21817*/ GIMT_Encode4(1575323), // Rule ID 21626 //
     /* 1575246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1575249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1575263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575266 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575285 */     // MIs[0] round
     /* 1575285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575288 */     // MIs[0] policy
     /* 1575288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575298 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1575301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575307 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575309 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575322 */     // GIR_Coverage, 21626,
     /* 1575322 */     GIR_EraseRootFromParent_Done,
     /* 1575323 */   // Label 21817: @1575323
     /* 1575323 */   GIM_Try, /*On fail goto*//*Label 21818*/ GIMT_Encode4(1575405), // Rule ID 21627 //
     /* 1575328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1575331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1575339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1575342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1575345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1575348 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575367 */     // MIs[0] round
     /* 1575367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575370 */     // MIs[0] policy
     /* 1575370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF4_MASK),
     /* 1575383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575389 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575391 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575404 */     // GIR_Coverage, 21627,
     /* 1575404 */     GIR_EraseRootFromParent_Done,
     /* 1575405 */   // Label 21818: @1575405
     /* 1575405 */   GIM_Try, /*On fail goto*//*Label 21819*/ GIMT_Encode4(1575487), // Rule ID 21630 //
     /* 1575410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1575413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1575427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1575430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575449 */     // MIs[0] round
     /* 1575449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575452 */     // MIs[0] policy
     /* 1575452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575462 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1575465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575471 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575473 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575486 */     // GIR_Coverage, 21630,
     /* 1575486 */     GIR_EraseRootFromParent_Done,
     /* 1575487 */   // Label 21819: @1575487
     /* 1575487 */   GIM_Try, /*On fail goto*//*Label 21820*/ GIMT_Encode4(1575569), // Rule ID 21631 //
     /* 1575492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1575495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1575503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1575506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1575509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1575512 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575531 */     // MIs[0] round
     /* 1575531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575534 */     // MIs[0] policy
     /* 1575534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1575547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575553 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575555 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575568 */     // GIR_Coverage, 21631,
     /* 1575568 */     GIR_EraseRootFromParent_Done,
     /* 1575569 */   // Label 21820: @1575569
     /* 1575569 */   GIM_Try, /*On fail goto*//*Label 21821*/ GIMT_Encode4(1575651), // Rule ID 21634 //
     /* 1575574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1575577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1575591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575594 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575613 */     // MIs[0] round
     /* 1575613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575616 */     // MIs[0] policy
     /* 1575616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1575629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575635 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575637 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575650 */     // GIR_Coverage, 21634,
     /* 1575650 */     GIR_EraseRootFromParent_Done,
     /* 1575651 */   // Label 21821: @1575651
     /* 1575651 */   GIM_Try, /*On fail goto*//*Label 21822*/ GIMT_Encode4(1575733), // Rule ID 21635 //
     /* 1575656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1575659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1575667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1575670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1575673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1575676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1575683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1575687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575695 */     // MIs[0] round
     /* 1575695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575698 */     // MIs[0] policy
     /* 1575698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11238:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1575711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575717 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575719 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575732 */     // GIR_Coverage, 21635,
     /* 1575732 */     GIR_EraseRootFromParent_Done,
     /* 1575733 */   // Label 21822: @1575733
     /* 1575733 */   GIM_Try, /*On fail goto*//*Label 21823*/ GIMT_Encode4(1575815), // Rule ID 21638 //
     /* 1575738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1575741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1575755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575758 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575777 */     // MIs[0] round
     /* 1575777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575780 */     // MIs[0] policy
     /* 1575780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575790 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1575793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575799 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575801 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575814 */     // GIR_Coverage, 21638,
     /* 1575814 */     GIR_EraseRootFromParent_Done,
     /* 1575815 */   // Label 21823: @1575815
     /* 1575815 */   GIM_Try, /*On fail goto*//*Label 21824*/ GIMT_Encode4(1575897), // Rule ID 21639 //
     /* 1575820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1575823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1575831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1575834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1575837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1575840 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1575843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1575847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1575851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575859 */     // MIs[0] round
     /* 1575859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575862 */     // MIs[0] policy
     /* 1575862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575872 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1575872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1575875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575881 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575883 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575896 */     // GIR_Coverage, 21639,
     /* 1575896 */     GIR_EraseRootFromParent_Done,
     /* 1575897 */   // Label 21824: @1575897
     /* 1575897 */   GIM_Try, /*On fail goto*//*Label 21825*/ GIMT_Encode4(1575979), // Rule ID 21642 //
     /* 1575902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1575905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1575919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1575922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1575925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1575929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1575933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1575937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1575941 */     // MIs[0] round
     /* 1575941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1575944 */     // MIs[0] policy
     /* 1575944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1575947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1575954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1575954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1575957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1575959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1575961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1575963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1575965 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1575967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1575972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1575975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1575977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1575978 */     // GIR_Coverage, 21642,
     /* 1575978 */     GIR_EraseRootFromParent_Done,
     /* 1575979 */   // Label 21825: @1575979
     /* 1575979 */   GIM_Try, /*On fail goto*//*Label 21826*/ GIMT_Encode4(1576061), // Rule ID 21643 //
     /* 1575984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1575987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1575992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1575995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1575998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1576001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1576004 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576023 */     // MIs[0] round
     /* 1576023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576026 */     // MIs[0] policy
     /* 1576026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1576039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576045 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576047 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1576057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576060 */     // GIR_Coverage, 21643,
     /* 1576060 */     GIR_EraseRootFromParent_Done,
     /* 1576061 */   // Label 21826: @1576061
     /* 1576061 */   GIM_Try, /*On fail goto*//*Label 21827*/ GIMT_Encode4(1576143), // Rule ID 21646 //
     /* 1576066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1576069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1576074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1576083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576086 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576105 */     // MIs[0] round
     /* 1576105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576108 */     // MIs[0] policy
     /* 1576108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576118 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1576121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576127 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576129 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576142 */     // GIR_Coverage, 21646,
     /* 1576142 */     GIR_EraseRootFromParent_Done,
     /* 1576143 */   // Label 21827: @1576143
     /* 1576143 */   GIM_Try, /*On fail goto*//*Label 21828*/ GIMT_Encode4(1576225), // Rule ID 21647 //
     /* 1576148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1576151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1576156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1576159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1576162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1576165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576187 */     // MIs[0] round
     /* 1576187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576190 */     // MIs[0] policy
     /* 1576190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_MF2_MASK),
     /* 1576203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576209 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576211 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576224 */     // GIR_Coverage, 21647,
     /* 1576224 */     GIR_EraseRootFromParent_Done,
     /* 1576225 */   // Label 21828: @1576225
     /* 1576225 */   GIM_Try, /*On fail goto*//*Label 21829*/ GIMT_Encode4(1576307), // Rule ID 21650 //
     /* 1576230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1576233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1576238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1576247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576250 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576269 */     // MIs[0] round
     /* 1576269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576272 */     // MIs[0] policy
     /* 1576272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576282 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1576285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576293 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576306 */     // GIR_Coverage, 21650,
     /* 1576306 */     GIR_EraseRootFromParent_Done,
     /* 1576307 */   // Label 21829: @1576307
     /* 1576307 */   GIM_Try, /*On fail goto*//*Label 21830*/ GIMT_Encode4(1576389), // Rule ID 21651 //
     /* 1576312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1576315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1576320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1576323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1576326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1576329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576332 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576351 */     // MIs[0] round
     /* 1576351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576354 */     // MIs[0] policy
     /* 1576354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576364 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11238:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M1_MASK),
     /* 1576367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576373 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576375 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576388 */     // GIR_Coverage, 21651,
     /* 1576388 */     GIR_EraseRootFromParent_Done,
     /* 1576389 */   // Label 21830: @1576389
     /* 1576389 */   GIM_Try, /*On fail goto*//*Label 21831*/ GIMT_Encode4(1576471), // Rule ID 21654 //
     /* 1576394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1576397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1576402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1576411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576433 */     // MIs[0] round
     /* 1576433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576436 */     // MIs[0] policy
     /* 1576436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576446 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1576449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576455 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576457 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576470 */     // GIR_Coverage, 21654,
     /* 1576470 */     GIR_EraseRootFromParent_Done,
     /* 1576471 */   // Label 21831: @1576471
     /* 1576471 */   GIM_Try, /*On fail goto*//*Label 21832*/ GIMT_Encode4(1576553), // Rule ID 21655 //
     /* 1576476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1576479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1576484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1576487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1576490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1576493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1576496 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1576503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1576507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576515 */     // MIs[0] round
     /* 1576515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576518 */     // MIs[0] policy
     /* 1576518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11238:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M2_MASK),
     /* 1576531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576537 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576539 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576552 */     // GIR_Coverage, 21655,
     /* 1576552 */     GIR_EraseRootFromParent_Done,
     /* 1576553 */   // Label 21832: @1576553
     /* 1576553 */   GIM_Try, /*On fail goto*//*Label 21833*/ GIMT_Encode4(1576635), // Rule ID 21658 //
     /* 1576558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1576561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1576566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1576575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1576578 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576597 */     // MIs[0] round
     /* 1576597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576600 */     // MIs[0] policy
     /* 1576600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576610 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1576613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576621 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576634 */     // GIR_Coverage, 21658,
     /* 1576634 */     GIR_EraseRootFromParent_Done,
     /* 1576635 */   // Label 21833: @1576635
     /* 1576635 */   GIM_Try, /*On fail goto*//*Label 21834*/ GIMT_Encode4(1576717), // Rule ID 21659 //
     /* 1576640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1576643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_xu_f_w_mask),
     /* 1576648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1576651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1576654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1576657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1576660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1576667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1576671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1576675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576679 */     // MIs[0] round
     /* 1576679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576682 */     // MIs[0] policy
     /* 1576682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576692 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11238:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_XU_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_XU_F_W_M4_MASK),
     /* 1576695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576701 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576703 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1576713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576716 */     // GIR_Coverage, 21659,
     /* 1576716 */     GIR_EraseRootFromParent_Done,
     /* 1576717 */   // Label 21834: @1576717
     /* 1576717 */   GIM_Try, /*On fail goto*//*Label 21835*/ GIMT_Encode4(1576799), // Rule ID 21662 //
     /* 1576722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1576730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1576733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1576736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1576739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576742 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576761 */     // MIs[0] round
     /* 1576761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576764 */     // MIs[0] policy
     /* 1576764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576774 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1576777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576785 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576798 */     // GIR_Coverage, 21662,
     /* 1576798 */     GIR_EraseRootFromParent_Done,
     /* 1576799 */   // Label 21835: @1576799
     /* 1576799 */   GIM_Try, /*On fail goto*//*Label 21836*/ GIMT_Encode4(1576881), // Rule ID 21663 //
     /* 1576804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1576812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1576815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1576818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1576821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1576824 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576843 */     // MIs[0] round
     /* 1576843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576846 */     // MIs[0] policy
     /* 1576846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1576856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF8_MASK),
     /* 1576859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576865 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576867 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576880 */     // GIR_Coverage, 21663,
     /* 1576880 */     GIR_EraseRootFromParent_Done,
     /* 1576881 */   // Label 21836: @1576881
     /* 1576881 */   GIM_Try, /*On fail goto*//*Label 21837*/ GIMT_Encode4(1576963), // Rule ID 21666 //
     /* 1576886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1576889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1576894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1576897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1576900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1576903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1576909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1576925 */     // MIs[0] round
     /* 1576925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1576928 */     // MIs[0] policy
     /* 1576928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1576931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1576938 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1576938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1576941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1576943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1576945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1576947 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1576949 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1576951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1576956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1576959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1576961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1576962 */     // GIR_Coverage, 21666,
     /* 1576962 */     GIR_EraseRootFromParent_Done,
     /* 1576963 */   // Label 21837: @1576963
     /* 1576963 */   GIM_Try, /*On fail goto*//*Label 21838*/ GIMT_Encode4(1577045), // Rule ID 21667 //
     /* 1576968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1576971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1576976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1576979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1576982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1576985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1576988 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1576991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1576995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1576999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577007 */     // MIs[0] round
     /* 1577007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577010 */     // MIs[0] policy
     /* 1577010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577020 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1577023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577031 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577044 */     // GIR_Coverage, 21667,
     /* 1577044 */     GIR_EraseRootFromParent_Done,
     /* 1577045 */   // Label 21838: @1577045
     /* 1577045 */   GIM_Try, /*On fail goto*//*Label 21839*/ GIMT_Encode4(1577127), // Rule ID 21670 //
     /* 1577050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1577053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1577061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1577064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1577067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1577070 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577089 */     // MIs[0] round
     /* 1577089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577092 */     // MIs[0] policy
     /* 1577092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1577105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577111 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577113 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577126 */     // GIR_Coverage, 21670,
     /* 1577126 */     GIR_EraseRootFromParent_Done,
     /* 1577127 */   // Label 21839: @1577127
     /* 1577127 */   GIM_Try, /*On fail goto*//*Label 21840*/ GIMT_Encode4(1577209), // Rule ID 21671 //
     /* 1577132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1577135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1577143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1577146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1577149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1577152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577171 */     // MIs[0] round
     /* 1577171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577174 */     // MIs[0] policy
     /* 1577174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577184 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1577187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577193 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577195 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577208 */     // GIR_Coverage, 21671,
     /* 1577208 */     GIR_EraseRootFromParent_Done,
     /* 1577209 */   // Label 21840: @1577209
     /* 1577209 */   GIM_Try, /*On fail goto*//*Label 21841*/ GIMT_Encode4(1577291), // Rule ID 21674 //
     /* 1577214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1577217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1577225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1577228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1577231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1577234 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577253 */     // MIs[0] round
     /* 1577253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577256 */     // MIs[0] policy
     /* 1577256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577266 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1577269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577275 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577277 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577290 */     // GIR_Coverage, 21674,
     /* 1577290 */     GIR_EraseRootFromParent_Done,
     /* 1577291 */   // Label 21841: @1577291
     /* 1577291 */   GIM_Try, /*On fail goto*//*Label 21842*/ GIMT_Encode4(1577373), // Rule ID 21675 //
     /* 1577296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1577299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1577307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1577310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1577313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1577316 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577335 */     // MIs[0] round
     /* 1577335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577338 */     // MIs[0] policy
     /* 1577338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11236:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1577351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577359 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577372 */     // GIR_Coverage, 21675,
     /* 1577372 */     GIR_EraseRootFromParent_Done,
     /* 1577373 */   // Label 21842: @1577373
     /* 1577373 */   GIM_Try, /*On fail goto*//*Label 21843*/ GIMT_Encode4(1577455), // Rule ID 21678 //
     /* 1577378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1577381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1577389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1577392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1577395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1577398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577417 */     // MIs[0] round
     /* 1577417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577420 */     // MIs[0] policy
     /* 1577420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577430 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1577433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577439 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577441 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577454 */     // GIR_Coverage, 21678,
     /* 1577454 */     GIR_EraseRootFromParent_Done,
     /* 1577455 */   // Label 21843: @1577455
     /* 1577455 */   GIM_Try, /*On fail goto*//*Label 21844*/ GIMT_Encode4(1577537), // Rule ID 21679 //
     /* 1577460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1577463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1577471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1577474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1577477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1577480 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1577487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1577491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577499 */     // MIs[0] round
     /* 1577499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577502 */     // MIs[0] policy
     /* 1577502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577512 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1577515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577523 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577536 */     // GIR_Coverage, 21679,
     /* 1577536 */     GIR_EraseRootFromParent_Done,
     /* 1577537 */   // Label 21844: @1577537
     /* 1577537 */   GIM_Try, /*On fail goto*//*Label 21845*/ GIMT_Encode4(1577619), // Rule ID 21682 //
     /* 1577542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1577545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1577553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1577556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1577559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1577562 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577581 */     // MIs[0] round
     /* 1577581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577584 */     // MIs[0] policy
     /* 1577584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577594 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1577597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577603 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577605 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577618 */     // GIR_Coverage, 21682,
     /* 1577618 */     GIR_EraseRootFromParent_Done,
     /* 1577619 */   // Label 21845: @1577619
     /* 1577619 */   GIM_Try, /*On fail goto*//*Label 21846*/ GIMT_Encode4(1577701), // Rule ID 21683 //
     /* 1577624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1577627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1577635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1577638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1577641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 1577644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1577651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1577655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1577659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577663 */     // MIs[0] round
     /* 1577663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577666 */     // MIs[0] policy
     /* 1577666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1577679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577685 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577687 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1577697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577700 */     // GIR_Coverage, 21683,
     /* 1577700 */     GIR_EraseRootFromParent_Done,
     /* 1577701 */   // Label 21846: @1577701
     /* 1577701 */   GIM_Try, /*On fail goto*//*Label 21847*/ GIMT_Encode4(1577783), // Rule ID 21686 //
     /* 1577706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1577709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1577723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1577726 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577745 */     // MIs[0] round
     /* 1577745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577748 */     // MIs[0] policy
     /* 1577748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1577761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577767 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577769 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577782 */     // GIR_Coverage, 21686,
     /* 1577782 */     GIR_EraseRootFromParent_Done,
     /* 1577783 */   // Label 21847: @1577783
     /* 1577783 */   GIM_Try, /*On fail goto*//*Label 21848*/ GIMT_Encode4(1577865), // Rule ID 21687 //
     /* 1577788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1577791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1577799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1577802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1577805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1577808 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577827 */     // MIs[0] round
     /* 1577827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577830 */     // MIs[0] policy
     /* 1577830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577840 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1577840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF4_MASK),
     /* 1577843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577849 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577851 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577864 */     // GIR_Coverage, 21687,
     /* 1577864 */     GIR_EraseRootFromParent_Done,
     /* 1577865 */   // Label 21848: @1577865
     /* 1577865 */   GIM_Try, /*On fail goto*//*Label 21849*/ GIMT_Encode4(1577947), // Rule ID 21690 //
     /* 1577870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1577873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1577887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1577890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1577893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577909 */     // MIs[0] round
     /* 1577909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577912 */     // MIs[0] policy
     /* 1577912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1577922 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1577922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1577925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1577927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1577929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1577931 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1577933 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1577935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1577940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1577943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1577945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1577946 */     // GIR_Coverage, 21690,
     /* 1577946 */     GIR_EraseRootFromParent_Done,
     /* 1577947 */   // Label 21849: @1577947
     /* 1577947 */   GIM_Try, /*On fail goto*//*Label 21850*/ GIMT_Encode4(1578029), // Rule ID 21691 //
     /* 1577952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1577955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1577960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1577963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1577966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1577969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1577972 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1577975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1577979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1577987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1577991 */     // MIs[0] round
     /* 1577991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1577994 */     // MIs[0] policy
     /* 1577994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1577997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1578007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578013 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578015 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578028 */     // GIR_Coverage, 21691,
     /* 1578028 */     GIR_EraseRootFromParent_Done,
     /* 1578029 */   // Label 21850: @1578029
     /* 1578029 */   GIM_Try, /*On fail goto*//*Label 21851*/ GIMT_Encode4(1578111), // Rule ID 21694 //
     /* 1578034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1578037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1578051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1578054 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578073 */     // MIs[0] round
     /* 1578073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578076 */     // MIs[0] policy
     /* 1578076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578086 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1578089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578095 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578097 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578110 */     // GIR_Coverage, 21694,
     /* 1578110 */     GIR_EraseRootFromParent_Done,
     /* 1578111 */   // Label 21851: @1578111
     /* 1578111 */   GIM_Try, /*On fail goto*//*Label 21852*/ GIMT_Encode4(1578193), // Rule ID 21695 //
     /* 1578116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1578119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1578127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1578130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1578133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1578136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578155 */     // MIs[0] round
     /* 1578155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578158 */     // MIs[0] policy
     /* 1578158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11236:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1578171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578177 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578179 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578192 */     // GIR_Coverage, 21695,
     /* 1578192 */     GIR_EraseRootFromParent_Done,
     /* 1578193 */   // Label 21852: @1578193
     /* 1578193 */   GIM_Try, /*On fail goto*//*Label 21853*/ GIMT_Encode4(1578275), // Rule ID 21698 //
     /* 1578198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1578201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1578215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1578218 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578237 */     // MIs[0] round
     /* 1578237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578240 */     // MIs[0] policy
     /* 1578240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578250 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1578253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578259 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578261 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578274 */     // GIR_Coverage, 21698,
     /* 1578274 */     GIR_EraseRootFromParent_Done,
     /* 1578275 */   // Label 21853: @1578275
     /* 1578275 */   GIM_Try, /*On fail goto*//*Label 21854*/ GIMT_Encode4(1578357), // Rule ID 21699 //
     /* 1578280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1578283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1578291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1578294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1578297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1578300 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578319 */     // MIs[0] round
     /* 1578319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578322 */     // MIs[0] policy
     /* 1578322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578332 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1578335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578341 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578343 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578356 */     // GIR_Coverage, 21699,
     /* 1578356 */     GIR_EraseRootFromParent_Done,
     /* 1578357 */   // Label 21854: @1578357
     /* 1578357 */   GIM_Try, /*On fail goto*//*Label 21855*/ GIMT_Encode4(1578439), // Rule ID 21702 //
     /* 1578362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1578365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1578379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1578382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578401 */     // MIs[0] round
     /* 1578401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578404 */     // MIs[0] policy
     /* 1578404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578414 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1578417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578425 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578438 */     // GIR_Coverage, 21702,
     /* 1578438 */     GIR_EraseRootFromParent_Done,
     /* 1578439 */   // Label 21855: @1578439
     /* 1578439 */   GIM_Try, /*On fail goto*//*Label 21856*/ GIMT_Encode4(1578521), // Rule ID 21703 //
     /* 1578444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1578447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1578455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1578458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1578461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1578464 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1578471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1578479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578483 */     // MIs[0] round
     /* 1578483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578486 */     // MIs[0] policy
     /* 1578486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1578499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578505 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578507 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1578517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578520 */     // GIR_Coverage, 21703,
     /* 1578520 */     GIR_EraseRootFromParent_Done,
     /* 1578521 */   // Label 21856: @1578521
     /* 1578521 */   GIM_Try, /*On fail goto*//*Label 21857*/ GIMT_Encode4(1578603), // Rule ID 21706 //
     /* 1578526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1578529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1578543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1578546 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578565 */     // MIs[0] round
     /* 1578565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578568 */     // MIs[0] policy
     /* 1578568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1578581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578587 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578589 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578602 */     // GIR_Coverage, 21706,
     /* 1578602 */     GIR_EraseRootFromParent_Done,
     /* 1578603 */   // Label 21857: @1578603
     /* 1578603 */   GIM_Try, /*On fail goto*//*Label 21858*/ GIMT_Encode4(1578685), // Rule ID 21707 //
     /* 1578608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1578611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1578619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1578622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1578625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1578628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578647 */     // MIs[0] round
     /* 1578647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578650 */     // MIs[0] policy
     /* 1578650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578660 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_MF2_MASK),
     /* 1578663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578669 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578671 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578684 */     // GIR_Coverage, 21707,
     /* 1578684 */     GIR_EraseRootFromParent_Done,
     /* 1578685 */   // Label 21858: @1578685
     /* 1578685 */   GIM_Try, /*On fail goto*//*Label 21859*/ GIMT_Encode4(1578767), // Rule ID 21710 //
     /* 1578690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1578693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1578707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1578710 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578729 */     // MIs[0] round
     /* 1578729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578732 */     // MIs[0] policy
     /* 1578732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1578745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578751 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578753 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578766 */     // GIR_Coverage, 21710,
     /* 1578766 */     GIR_EraseRootFromParent_Done,
     /* 1578767 */   // Label 21859: @1578767
     /* 1578767 */   GIM_Try, /*On fail goto*//*Label 21860*/ GIMT_Encode4(1578849), // Rule ID 21711 //
     /* 1578772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1578775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1578783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1578786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1578789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1578792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1578799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1578803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578811 */     // MIs[0] round
     /* 1578811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578814 */     // MIs[0] policy
     /* 1578814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578824 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11236:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M1_MASK),
     /* 1578827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578833 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578835 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578848 */     // GIR_Coverage, 21711,
     /* 1578848 */     GIR_EraseRootFromParent_Done,
     /* 1578849 */   // Label 21860: @1578849
     /* 1578849 */   GIM_Try, /*On fail goto*//*Label 21861*/ GIMT_Encode4(1578931), // Rule ID 21714 //
     /* 1578854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1578857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1578871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1578874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1578877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578893 */     // MIs[0] round
     /* 1578893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578896 */     // MIs[0] policy
     /* 1578896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1578906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1578909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578915 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578917 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1578919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1578924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1578927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1578929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1578930 */     // GIR_Coverage, 21714,
     /* 1578930 */     GIR_EraseRootFromParent_Done,
     /* 1578931 */   // Label 21861: @1578931
     /* 1578931 */   GIM_Try, /*On fail goto*//*Label 21862*/ GIMT_Encode4(1579013), // Rule ID 21715 //
     /* 1578936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1578939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1578944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1578947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1578950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1578953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1578956 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1578959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1578963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1578967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1578971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1578975 */     // MIs[0] round
     /* 1578975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1578978 */     // MIs[0] policy
     /* 1578978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1578981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1578988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11236:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1578988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M2_MASK),
     /* 1578991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1578993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1578995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1578997 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1578999 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579012 */     // GIR_Coverage, 21715,
     /* 1579012 */     GIR_EraseRootFromParent_Done,
     /* 1579013 */   // Label 21862: @1579013
     /* 1579013 */   GIM_Try, /*On fail goto*//*Label 21863*/ GIMT_Encode4(1579095), // Rule ID 21718 //
     /* 1579018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1579021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1579026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1579035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1579038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579057 */     // MIs[0] round
     /* 1579057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579060 */     // MIs[0] policy
     /* 1579060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579070 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1579073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579079 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579081 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579094 */     // GIR_Coverage, 21718,
     /* 1579094 */     GIR_EraseRootFromParent_Done,
     /* 1579095 */   // Label 21863: @1579095
     /* 1579095 */   GIM_Try, /*On fail goto*//*Label 21864*/ GIMT_Encode4(1579177), // Rule ID 21719 //
     /* 1579100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1579103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_x_f_w_mask),
     /* 1579108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1579111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1579114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1579117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1579120 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579139 */     // MIs[0] round
     /* 1579139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579142 */     // MIs[0] policy
     /* 1579142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579152 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11236:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_X_F_W_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_X_F_W_M4_MASK),
     /* 1579155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579161 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579163 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1579173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579176 */     // GIR_Coverage, 21719,
     /* 1579176 */     GIR_EraseRootFromParent_Done,
     /* 1579177 */   // Label 21864: @1579177
     /* 1579177 */   GIM_Try, /*On fail goto*//*Label 21865*/ GIMT_Encode4(1579259), // Rule ID 21842 //
     /* 1579182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1579185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1579199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1579202 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579221 */     // MIs[0] round
     /* 1579221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579224 */     // MIs[0] policy
     /* 1579224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579234 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1579237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579243 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579245 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579258 */     // GIR_Coverage, 21842,
     /* 1579258 */     GIR_EraseRootFromParent_Done,
     /* 1579259 */   // Label 21865: @1579259
     /* 1579259 */   GIM_Try, /*On fail goto*//*Label 21866*/ GIMT_Encode4(1579341), // Rule ID 21843 //
     /* 1579264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1579267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1579275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1579278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1579281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1579284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579303 */     // MIs[0] round
     /* 1579303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579306 */     // MIs[0] policy
     /* 1579306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579316 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16_MASK),
     /* 1579319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579325 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579327 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579340 */     // GIR_Coverage, 21843,
     /* 1579340 */     GIR_EraseRootFromParent_Done,
     /* 1579341 */   // Label 21866: @1579341
     /* 1579341 */   GIM_Try, /*On fail goto*//*Label 21867*/ GIMT_Encode4(1579423), // Rule ID 21846 //
     /* 1579346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1579349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1579363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1579366 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579385 */     // MIs[0] round
     /* 1579385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579388 */     // MIs[0] policy
     /* 1579388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579398 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1579401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579409 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579422 */     // GIR_Coverage, 21846,
     /* 1579422 */     GIR_EraseRootFromParent_Done,
     /* 1579423 */   // Label 21867: @1579423
     /* 1579423 */   GIM_Try, /*On fail goto*//*Label 21868*/ GIMT_Encode4(1579505), // Rule ID 21847 //
     /* 1579428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1579431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1579439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1579442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1579445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1579448 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579467 */     // MIs[0] round
     /* 1579467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579470 */     // MIs[0] policy
     /* 1579470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579480 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16_MASK),
     /* 1579483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579489 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579491 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579504 */     // GIR_Coverage, 21847,
     /* 1579504 */     GIR_EraseRootFromParent_Done,
     /* 1579505 */   // Label 21868: @1579505
     /* 1579505 */   GIM_Try, /*On fail goto*//*Label 21869*/ GIMT_Encode4(1579587), // Rule ID 21850 //
     /* 1579510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1579513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1579527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1579530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579549 */     // MIs[0] round
     /* 1579549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579552 */     // MIs[0] policy
     /* 1579552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579562 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1579565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579571 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579573 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579586 */     // GIR_Coverage, 21850,
     /* 1579586 */     GIR_EraseRootFromParent_Done,
     /* 1579587 */   // Label 21869: @1579587
     /* 1579587 */   GIM_Try, /*On fail goto*//*Label 21870*/ GIMT_Encode4(1579669), // Rule ID 21851 //
     /* 1579592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1579595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1579603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1579606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1579609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1579612 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1579619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1579623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579631 */     // MIs[0] round
     /* 1579631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579634 */     // MIs[0] policy
     /* 1579634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579644 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11228:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16_MASK),
     /* 1579647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579653 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579655 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579668 */     // GIR_Coverage, 21851,
     /* 1579668 */     GIR_EraseRootFromParent_Done,
     /* 1579669 */   // Label 21870: @1579669
     /* 1579669 */   GIM_Try, /*On fail goto*//*Label 21871*/ GIMT_Encode4(1579751), // Rule ID 21854 //
     /* 1579674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1579677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1579691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1579694 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579713 */     // MIs[0] round
     /* 1579713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579716 */     // MIs[0] policy
     /* 1579716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579726 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1579729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579737 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579750 */     // GIR_Coverage, 21854,
     /* 1579750 */     GIR_EraseRootFromParent_Done,
     /* 1579751 */   // Label 21871: @1579751
     /* 1579751 */   GIM_Try, /*On fail goto*//*Label 21872*/ GIMT_Encode4(1579833), // Rule ID 21855 //
     /* 1579756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1579759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1579767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1579770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1579773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1579776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1579783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1579787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579795 */     // MIs[0] round
     /* 1579795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579798 */     // MIs[0] policy
     /* 1579798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579808 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16_MASK),
     /* 1579811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579817 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579819 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579832 */     // GIR_Coverage, 21855,
     /* 1579832 */     GIR_EraseRootFromParent_Done,
     /* 1579833 */   // Label 21872: @1579833
     /* 1579833 */   GIM_Try, /*On fail goto*//*Label 21873*/ GIMT_Encode4(1579915), // Rule ID 21858 //
     /* 1579838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1579841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1579855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1579858 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1579861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579877 */     // MIs[0] round
     /* 1579877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579880 */     // MIs[0] policy
     /* 1579880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579890 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1579890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1579893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579899 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579901 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579914 */     // GIR_Coverage, 21858,
     /* 1579914 */     GIR_EraseRootFromParent_Done,
     /* 1579915 */   // Label 21873: @1579915
     /* 1579915 */   GIM_Try, /*On fail goto*//*Label 21874*/ GIMT_Encode4(1579997), // Rule ID 21859 //
     /* 1579920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1579923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1579928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1579931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1579934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1579937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1579940 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1579943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1579947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1579951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1579955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1579959 */     // MIs[0] round
     /* 1579959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1579962 */     // MIs[0] policy
     /* 1579962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1579965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1579972 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1579972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16_MASK),
     /* 1579975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1579977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1579979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1579981 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1579983 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1579985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1579990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1579993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1579995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1579996 */     // GIR_Coverage, 21859,
     /* 1579996 */     GIR_EraseRootFromParent_Done,
     /* 1579997 */   // Label 21874: @1579997
     /* 1579997 */   GIM_Try, /*On fail goto*//*Label 21875*/ GIMT_Encode4(1580079), // Rule ID 21862 //
     /* 1580002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1580005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1580010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1580019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1580022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580041 */     // MIs[0] round
     /* 1580041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580044 */     // MIs[0] policy
     /* 1580044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580054 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1580057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580065 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580078 */     // GIR_Coverage, 21862,
     /* 1580078 */     GIR_EraseRootFromParent_Done,
     /* 1580079 */   // Label 21875: @1580079
     /* 1580079 */   GIM_Try, /*On fail goto*//*Label 21876*/ GIMT_Encode4(1580161), // Rule ID 21863 //
     /* 1580084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1580087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1580092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1580095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1580098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1580101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1580104 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580123 */     // MIs[0] round
     /* 1580123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580126 */     // MIs[0] policy
     /* 1580126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580136 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32_MASK),
     /* 1580139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580147 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580160 */     // GIR_Coverage, 21863,
     /* 1580160 */     GIR_EraseRootFromParent_Done,
     /* 1580161 */   // Label 21876: @1580161
     /* 1580161 */   GIM_Try, /*On fail goto*//*Label 21877*/ GIMT_Encode4(1580243), // Rule ID 21866 //
     /* 1580166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1580169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1580174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1580183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1580186 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580205 */     // MIs[0] round
     /* 1580205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580208 */     // MIs[0] policy
     /* 1580208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580218 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1580221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580229 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580242 */     // GIR_Coverage, 21866,
     /* 1580242 */     GIR_EraseRootFromParent_Done,
     /* 1580243 */   // Label 21877: @1580243
     /* 1580243 */   GIM_Try, /*On fail goto*//*Label 21878*/ GIMT_Encode4(1580325), // Rule ID 21867 //
     /* 1580248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1580251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1580256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1580259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1580262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1580265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1580268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580287 */     // MIs[0] round
     /* 1580287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580290 */     // MIs[0] policy
     /* 1580290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580300 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11228:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32_MASK),
     /* 1580303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580309 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580311 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580324 */     // GIR_Coverage, 21867,
     /* 1580324 */     GIR_EraseRootFromParent_Done,
     /* 1580325 */   // Label 21878: @1580325
     /* 1580325 */   GIM_Try, /*On fail goto*//*Label 21879*/ GIMT_Encode4(1580407), // Rule ID 21870 //
     /* 1580330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1580333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1580338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1580347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1580350 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580369 */     // MIs[0] round
     /* 1580369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580372 */     // MIs[0] policy
     /* 1580372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580382 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1580385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580391 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580393 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580406 */     // GIR_Coverage, 21870,
     /* 1580406 */     GIR_EraseRootFromParent_Done,
     /* 1580407 */   // Label 21879: @1580407
     /* 1580407 */   GIM_Try, /*On fail goto*//*Label 21880*/ GIMT_Encode4(1580489), // Rule ID 21871 //
     /* 1580412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1580415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1580420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1580423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1580426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1580429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1580432 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1580439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1580443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580451 */     // MIs[0] round
     /* 1580451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580454 */     // MIs[0] policy
     /* 1580454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580464 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11228:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32_MASK),
     /* 1580467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580475 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580488 */     // GIR_Coverage, 21871,
     /* 1580488 */     GIR_EraseRootFromParent_Done,
     /* 1580489 */   // Label 21880: @1580489
     /* 1580489 */   GIM_Try, /*On fail goto*//*Label 21881*/ GIMT_Encode4(1580571), // Rule ID 21874 //
     /* 1580494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1580497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1580502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1580511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1580514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580533 */     // MIs[0] round
     /* 1580533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580536 */     // MIs[0] policy
     /* 1580536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580546 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1580549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580557 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580570 */     // GIR_Coverage, 21874,
     /* 1580570 */     GIR_EraseRootFromParent_Done,
     /* 1580571 */   // Label 21881: @1580571
     /* 1580571 */   GIM_Try, /*On fail goto*//*Label 21882*/ GIMT_Encode4(1580653), // Rule ID 21875 //
     /* 1580576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1580579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_xu_w_mask),
     /* 1580584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1580587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1580590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1580593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1580596 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1580603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1580607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1580611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580615 */     // MIs[0] round
     /* 1580615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580618 */     // MIs[0] policy
     /* 1580618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580628 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11228:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_XU_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32_MASK),
     /* 1580631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580639 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1580649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580652 */     // GIR_Coverage, 21875,
     /* 1580652 */     GIR_EraseRootFromParent_Done,
     /* 1580653 */   // Label 21882: @1580653
     /* 1580653 */   GIM_Try, /*On fail goto*//*Label 21883*/ GIMT_Encode4(1580735), // Rule ID 21878 //
     /* 1580658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1580661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1580666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1580669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1580672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1580675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1580678 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580697 */     // MIs[0] round
     /* 1580697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580700 */     // MIs[0] policy
     /* 1580700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580710 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1580713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580719 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580721 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580734 */     // GIR_Coverage, 21878,
     /* 1580734 */     GIR_EraseRootFromParent_Done,
     /* 1580735 */   // Label 21883: @1580735
     /* 1580735 */   GIM_Try, /*On fail goto*//*Label 21884*/ GIMT_Encode4(1580817), // Rule ID 21879 //
     /* 1580740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1580743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1580748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1580751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1580754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1580757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1580760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580779 */     // MIs[0] round
     /* 1580779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580782 */     // MIs[0] policy
     /* 1580782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580792 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16_MASK),
     /* 1580795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580801 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580803 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580816 */     // GIR_Coverage, 21879,
     /* 1580816 */     GIR_EraseRootFromParent_Done,
     /* 1580817 */   // Label 21884: @1580817
     /* 1580817 */   GIM_Try, /*On fail goto*//*Label 21885*/ GIMT_Encode4(1580899), // Rule ID 21882 //
     /* 1580822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1580825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1580830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1580833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1580836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1580839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1580842 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1580845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580861 */     // MIs[0] round
     /* 1580861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580864 */     // MIs[0] policy
     /* 1580864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580874 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1580874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1580877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580885 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580898 */     // GIR_Coverage, 21882,
     /* 1580898 */     GIR_EraseRootFromParent_Done,
     /* 1580899 */   // Label 21885: @1580899
     /* 1580899 */   GIM_Try, /*On fail goto*//*Label 21886*/ GIMT_Encode4(1580981), // Rule ID 21883 //
     /* 1580904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1580907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1580912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1580915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1580918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1580921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1580924 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1580927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1580931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1580939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1580943 */     // MIs[0] round
     /* 1580943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1580946 */     // MIs[0] policy
     /* 1580946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1580949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1580956 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1580956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16_MASK),
     /* 1580959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1580961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1580963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1580965 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1580967 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1580969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1580974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1580977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1580979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1580980 */     // GIR_Coverage, 21883,
     /* 1580980 */     GIR_EraseRootFromParent_Done,
     /* 1580981 */   // Label 21886: @1580981
     /* 1580981 */   GIM_Try, /*On fail goto*//*Label 21887*/ GIMT_Encode4(1581063), // Rule ID 21886 //
     /* 1580986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1580989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1580994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1580997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1581000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1581003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1581006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581025 */     // MIs[0] round
     /* 1581025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581028 */     // MIs[0] policy
     /* 1581028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581038 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1581041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581047 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581049 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581062 */     // GIR_Coverage, 21886,
     /* 1581062 */     GIR_EraseRootFromParent_Done,
     /* 1581063 */   // Label 21887: @1581063
     /* 1581063 */   GIM_Try, /*On fail goto*//*Label 21888*/ GIMT_Encode4(1581145), // Rule ID 21887 //
     /* 1581068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1581071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1581079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1581082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1581085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1581088 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581107 */     // MIs[0] round
     /* 1581107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581110 */     // MIs[0] policy
     /* 1581110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581120 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11226:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16_MASK),
     /* 1581123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581129 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581131 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581144 */     // GIR_Coverage, 21887,
     /* 1581144 */     GIR_EraseRootFromParent_Done,
     /* 1581145 */   // Label 21888: @1581145
     /* 1581145 */   GIM_Try, /*On fail goto*//*Label 21889*/ GIMT_Encode4(1581227), // Rule ID 21890 //
     /* 1581150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1581153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1581161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1581164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1581167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1581170 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581189 */     // MIs[0] round
     /* 1581189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581192 */     // MIs[0] policy
     /* 1581192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581202 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1581205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581211 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581213 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581226 */     // GIR_Coverage, 21890,
     /* 1581226 */     GIR_EraseRootFromParent_Done,
     /* 1581227 */   // Label 21889: @1581227
     /* 1581227 */   GIM_Try, /*On fail goto*//*Label 21890*/ GIMT_Encode4(1581309), // Rule ID 21891 //
     /* 1581232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1581235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1581243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1581246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1581249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1581252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581271 */     // MIs[0] round
     /* 1581271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581274 */     // MIs[0] policy
     /* 1581274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581284 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16_MASK),
     /* 1581287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581293 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581295 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581308 */     // GIR_Coverage, 21891,
     /* 1581308 */     GIR_EraseRootFromParent_Done,
     /* 1581309 */   // Label 21890: @1581309
     /* 1581309 */   GIM_Try, /*On fail goto*//*Label 21891*/ GIMT_Encode4(1581391), // Rule ID 21894 //
     /* 1581314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 1581317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1581325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1581328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1581331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1581334 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581353 */     // MIs[0] round
     /* 1581353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581356 */     // MIs[0] policy
     /* 1581356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581366 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1581369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581375 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581377 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581390 */     // GIR_Coverage, 21894,
     /* 1581390 */     GIR_EraseRootFromParent_Done,
     /* 1581391 */   // Label 21891: @1581391
     /* 1581391 */   GIM_Try, /*On fail goto*//*Label 21892*/ GIMT_Encode4(1581473), // Rule ID 21895 //
     /* 1581396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 1581399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1581407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1581410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1581413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1581416 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1581431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581435 */     // MIs[0] round
     /* 1581435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581438 */     // MIs[0] policy
     /* 1581438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581448 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16_MASK),
     /* 1581451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581457 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581459 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1581469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581472 */     // GIR_Coverage, 21895,
     /* 1581472 */     GIR_EraseRootFromParent_Done,
     /* 1581473 */   // Label 21892: @1581473
     /* 1581473 */   GIM_Try, /*On fail goto*//*Label 21893*/ GIMT_Encode4(1581555), // Rule ID 21898 //
     /* 1581478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1581481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1581489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1581492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1581495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1581498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581517 */     // MIs[0] round
     /* 1581517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581520 */     // MIs[0] policy
     /* 1581520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581530 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1581533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581539 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581541 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581554 */     // GIR_Coverage, 21898,
     /* 1581554 */     GIR_EraseRootFromParent_Done,
     /* 1581555 */   // Label 21893: @1581555
     /* 1581555 */   GIM_Try, /*On fail goto*//*Label 21894*/ GIMT_Encode4(1581637), // Rule ID 21899 //
     /* 1581560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1581563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1581571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1581574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1581577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1581580 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581599 */     // MIs[0] round
     /* 1581599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581602 */     // MIs[0] policy
     /* 1581602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581612 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32_MASK),
     /* 1581615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581621 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581623 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581636 */     // GIR_Coverage, 21899,
     /* 1581636 */     GIR_EraseRootFromParent_Done,
     /* 1581637 */   // Label 21894: @1581637
     /* 1581637 */   GIM_Try, /*On fail goto*//*Label 21895*/ GIMT_Encode4(1581719), // Rule ID 21902 //
     /* 1581642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1581645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1581653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1581656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1581659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1581662 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581681 */     // MIs[0] round
     /* 1581681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581684 */     // MIs[0] policy
     /* 1581684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581694 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1581697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581703 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581705 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581718 */     // GIR_Coverage, 21902,
     /* 1581718 */     GIR_EraseRootFromParent_Done,
     /* 1581719 */   // Label 21895: @1581719
     /* 1581719 */   GIM_Try, /*On fail goto*//*Label 21896*/ GIMT_Encode4(1581801), // Rule ID 21903 //
     /* 1581724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1581727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1581735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1581738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1581741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1581744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1581751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1581755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581763 */     // MIs[0] round
     /* 1581763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581766 */     // MIs[0] policy
     /* 1581766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581776 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11226:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32_MASK),
     /* 1581779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581785 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581787 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581800 */     // GIR_Coverage, 21903,
     /* 1581800 */     GIR_EraseRootFromParent_Done,
     /* 1581801 */   // Label 21896: @1581801
     /* 1581801 */   GIM_Try, /*On fail goto*//*Label 21897*/ GIMT_Encode4(1581883), // Rule ID 21906 //
     /* 1581806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1581809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1581823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1581826 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581845 */     // MIs[0] round
     /* 1581845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581848 */     // MIs[0] policy
     /* 1581848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581858 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1581858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1581861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581869 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581882 */     // GIR_Coverage, 21906,
     /* 1581882 */     GIR_EraseRootFromParent_Done,
     /* 1581883 */   // Label 21897: @1581883
     /* 1581883 */   GIM_Try, /*On fail goto*//*Label 21898*/ GIMT_Encode4(1581965), // Rule ID 21907 //
     /* 1581888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1581891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1581899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1581902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1581905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1581908 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1581911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1581915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1581919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1581923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1581927 */     // MIs[0] round
     /* 1581927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1581930 */     // MIs[0] policy
     /* 1581930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1581933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1581940 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11226:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1581940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32_MASK),
     /* 1581943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1581945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1581947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1581949 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1581951 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1581953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1581958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1581961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1581963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1581964 */     // GIR_Coverage, 21907,
     /* 1581964 */     GIR_EraseRootFromParent_Done,
     /* 1581965 */   // Label 21898: @1581965
     /* 1581965 */   GIM_Try, /*On fail goto*//*Label 21899*/ GIMT_Encode4(1582047), // Rule ID 21910 //
     /* 1581970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 1581973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1581978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1581981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1581984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1581987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1581990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1581993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1581997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582009 */     // MIs[0] round
     /* 1582009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582012 */     // MIs[0] policy
     /* 1582012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582022 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1582025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582031 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582033 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582046 */     // GIR_Coverage, 21910,
     /* 1582046 */     GIR_EraseRootFromParent_Done,
     /* 1582047 */   // Label 21899: @1582047
     /* 1582047 */   GIM_Try, /*On fail goto*//*Label 21900*/ GIMT_Encode4(1582129), // Rule ID 21911 //
     /* 1582052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 1582055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_x_w_mask),
     /* 1582060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1582063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1582066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1582069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1582072 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582091 */     // MIs[0] round
     /* 1582091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582094 */     // MIs[0] policy
     /* 1582094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582104 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11226:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_X_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32_MASK),
     /* 1582107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582113 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582115 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1582125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582128 */     // GIR_Coverage, 21911,
     /* 1582128 */     GIR_EraseRootFromParent_Done,
     /* 1582129 */   // Label 21900: @1582129
     /* 1582129 */   GIM_Try, /*On fail goto*//*Label 21901*/ GIMT_Encode4(1582211), // Rule ID 21914 //
     /* 1582134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1582137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1582151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1582154 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582173 */     // MIs[0] round
     /* 1582173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582176 */     // MIs[0] policy
     /* 1582176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582186 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1582189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582195 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582197 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582210 */     // GIR_Coverage, 21914,
     /* 1582210 */     GIR_EraseRootFromParent_Done,
     /* 1582211 */   // Label 21901: @1582211
     /* 1582211 */   GIM_Try, /*On fail goto*//*Label 21902*/ GIMT_Encode4(1582293), // Rule ID 21915 //
     /* 1582216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1582219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1582227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1582230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1582233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1582236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582255 */     // MIs[0] round
     /* 1582255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582258 */     // MIs[0] policy
     /* 1582258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582268 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16_MASK),
     /* 1582271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582277 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582279 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582292 */     // GIR_Coverage, 21915,
     /* 1582292 */     GIR_EraseRootFromParent_Done,
     /* 1582293 */   // Label 21902: @1582293
     /* 1582293 */   GIM_Try, /*On fail goto*//*Label 21903*/ GIMT_Encode4(1582375), // Rule ID 21918 //
     /* 1582298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1582301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1582315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1582318 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582337 */     // MIs[0] round
     /* 1582337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582340 */     // MIs[0] policy
     /* 1582340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582350 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1582353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582359 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582361 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582374 */     // GIR_Coverage, 21918,
     /* 1582374 */     GIR_EraseRootFromParent_Done,
     /* 1582375 */   // Label 21903: @1582375
     /* 1582375 */   GIM_Try, /*On fail goto*//*Label 21904*/ GIMT_Encode4(1582457), // Rule ID 21919 //
     /* 1582380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1582383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1582391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1582394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1582397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1582400 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582419 */     // MIs[0] round
     /* 1582419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582422 */     // MIs[0] policy
     /* 1582422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16_MASK),
     /* 1582435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582441 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582443 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582456 */     // GIR_Coverage, 21919,
     /* 1582456 */     GIR_EraseRootFromParent_Done,
     /* 1582457 */   // Label 21904: @1582457
     /* 1582457 */   GIM_Try, /*On fail goto*//*Label 21905*/ GIMT_Encode4(1582539), // Rule ID 21922 //
     /* 1582462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1582465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1582473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1582476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1582479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1582482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582501 */     // MIs[0] round
     /* 1582501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582504 */     // MIs[0] policy
     /* 1582504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582514 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1582517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582523 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582525 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582538 */     // GIR_Coverage, 21922,
     /* 1582538 */     GIR_EraseRootFromParent_Done,
     /* 1582539 */   // Label 21905: @1582539
     /* 1582539 */   GIM_Try, /*On fail goto*//*Label 21906*/ GIMT_Encode4(1582621), // Rule ID 21923 //
     /* 1582544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1582547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1582555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1582558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1582561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1582564 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582583 */     // MIs[0] round
     /* 1582583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582586 */     // MIs[0] policy
     /* 1582586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582596 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11224:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16_MASK),
     /* 1582599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582605 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582607 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582620 */     // GIR_Coverage, 21923,
     /* 1582620 */     GIR_EraseRootFromParent_Done,
     /* 1582621 */   // Label 21906: @1582621
     /* 1582621 */   GIM_Try, /*On fail goto*//*Label 21907*/ GIMT_Encode4(1582703), // Rule ID 21926 //
     /* 1582626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1582629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1582643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1582646 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582665 */     // MIs[0] round
     /* 1582665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582668 */     // MIs[0] policy
     /* 1582668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582678 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1582681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582687 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582689 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582702 */     // GIR_Coverage, 21926,
     /* 1582702 */     GIR_EraseRootFromParent_Done,
     /* 1582703 */   // Label 21907: @1582703
     /* 1582703 */   GIM_Try, /*On fail goto*//*Label 21908*/ GIMT_Encode4(1582785), // Rule ID 21927 //
     /* 1582708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1582711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1582719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1582722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1582725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1582728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1582735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1582739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582747 */     // MIs[0] round
     /* 1582747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582750 */     // MIs[0] policy
     /* 1582750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582760 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16_MASK),
     /* 1582763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582769 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582771 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582784 */     // GIR_Coverage, 21927,
     /* 1582784 */     GIR_EraseRootFromParent_Done,
     /* 1582785 */   // Label 21908: @1582785
     /* 1582785 */   GIM_Try, /*On fail goto*//*Label 21909*/ GIMT_Encode4(1582867), // Rule ID 21930 //
     /* 1582790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 1582793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1582807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1582810 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582829 */     // MIs[0] round
     /* 1582829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582832 */     // MIs[0] policy
     /* 1582832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582842 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1582842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1582845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582851 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582853 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582866 */     // GIR_Coverage, 21930,
     /* 1582866 */     GIR_EraseRootFromParent_Done,
     /* 1582867 */   // Label 21909: @1582867
     /* 1582867 */   GIM_Try, /*On fail goto*//*Label 21910*/ GIMT_Encode4(1582949), // Rule ID 21931 //
     /* 1582872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 1582875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1582883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1582886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1582889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 1582892 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1582895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1582899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1582903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1582907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582911 */     // MIs[0] round
     /* 1582911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582914 */     // MIs[0] policy
     /* 1582914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1582924 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1582924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16_MASK),
     /* 1582927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1582929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1582931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1582933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1582935 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1582937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1582942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1582945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1582947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1582948 */     // GIR_Coverage, 21931,
     /* 1582948 */     GIR_EraseRootFromParent_Done,
     /* 1582949 */   // Label 21910: @1582949
     /* 1582949 */   GIM_Try, /*On fail goto*//*Label 21911*/ GIMT_Encode4(1583031), // Rule ID 21934 //
     /* 1582954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1582957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1582962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1582965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1582968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1582971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1582974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1582977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1582981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1582989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1582993 */     // MIs[0] round
     /* 1582993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1582996 */     // MIs[0] policy
     /* 1582996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1582999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583006 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1583009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583015 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1583017 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1583019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583030 */     // GIR_Coverage, 21934,
     /* 1583030 */     GIR_EraseRootFromParent_Done,
     /* 1583031 */   // Label 21911: @1583031
     /* 1583031 */   GIM_Try, /*On fail goto*//*Label 21912*/ GIMT_Encode4(1583113), // Rule ID 21935 //
     /* 1583036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1583039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1583044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1583047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1583050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1583053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 1583056 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583075 */     // MIs[0] round
     /* 1583075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1583078 */     // MIs[0] policy
     /* 1583078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583088 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32_MASK),
     /* 1583091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583097 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1583099 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1583101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583112 */     // GIR_Coverage, 21935,
     /* 1583112 */     GIR_EraseRootFromParent_Done,
     /* 1583113 */   // Label 21912: @1583113
     /* 1583113 */   GIM_Try, /*On fail goto*//*Label 21913*/ GIMT_Encode4(1583195), // Rule ID 21938 //
     /* 1583118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1583121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1583126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1583129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1583132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1583135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1583138 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583157 */     // MIs[0] round
     /* 1583157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1583160 */     // MIs[0] policy
     /* 1583160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583170 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1583173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1583181 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1583183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583194 */     // GIR_Coverage, 21938,
     /* 1583194 */     GIR_EraseRootFromParent_Done,
     /* 1583195 */   // Label 21913: @1583195
     /* 1583195 */   GIM_Try, /*On fail goto*//*Label 21914*/ GIMT_Encode4(1583277), // Rule ID 21939 //
     /* 1583200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1583203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1583208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1583211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1583214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1583217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 1583220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583239 */     // MIs[0] round
     /* 1583239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1583242 */     // MIs[0] policy
     /* 1583242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583252 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11224:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32_MASK),
     /* 1583255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583261 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1583263 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1583265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583276 */     // GIR_Coverage, 21939,
     /* 1583276 */     GIR_EraseRootFromParent_Done,
     /* 1583277 */   // Label 21914: @1583277
     /* 1583277 */   GIM_Try, /*On fail goto*//*Label 21915*/ GIMT_Encode4(1583359), // Rule ID 21942 //
     /* 1583282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1583285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1583290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1583293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1583296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1583299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1583302 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583321 */     // MIs[0] round
     /* 1583321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1583324 */     // MIs[0] policy
     /* 1583324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583334 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1583337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583343 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1583345 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1583347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583358 */     // GIR_Coverage, 21942,
     /* 1583358 */     GIR_EraseRootFromParent_Done,
     /* 1583359 */   // Label 21915: @1583359
     /* 1583359 */   GIM_Try, /*On fail goto*//*Label 21916*/ GIMT_Encode4(1583441), // Rule ID 21943 //
     /* 1583364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1583367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1583372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1583375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1583378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1583381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 1583384 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1583391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1583395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583403 */     // MIs[0] round
     /* 1583403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1583406 */     // MIs[0] policy
     /* 1583406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583416 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11224:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32_MASK),
     /* 1583419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583425 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1583427 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1583429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583440 */     // GIR_Coverage, 21943,
     /* 1583440 */     GIR_EraseRootFromParent_Done,
     /* 1583441 */   // Label 21916: @1583441
     /* 1583441 */   GIM_Try, /*On fail goto*//*Label 21917*/ GIMT_Encode4(1583523), // Rule ID 21946 //
     /* 1583446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 1583449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1583454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1583463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1583466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583485 */     // MIs[0] round
     /* 1583485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1583488 */     // MIs[0] policy
     /* 1583488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583498 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1583501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1583509 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1583511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583522 */     // GIR_Coverage, 21946,
     /* 1583522 */     GIR_EraseRootFromParent_Done,
     /* 1583523 */   // Label 21917: @1583523
     /* 1583523 */   GIM_Try, /*On fail goto*//*Label 21918*/ GIMT_Encode4(1583605), // Rule ID 21947 //
     /* 1583528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 1583531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfncvt_f_f_w_mask),
     /* 1583536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1583539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1583542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1583545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 1583548 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1583555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1583559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1583563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583567 */     // MIs[0] round
     /* 1583567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 1583570 */     // MIs[0] policy
     /* 1583570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583580 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11224:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNCVT_F_F_W_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32_MASK),
     /* 1583583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1583589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 1583591 */     GIR_RootToRootCopy, /*OpIdx*/5, // round
     /* 1583593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1583601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583604 */     // GIR_Coverage, 21947,
     /* 1583604 */     GIR_EraseRootFromParent_Done,
     /* 1583605 */   // Label 21918: @1583605
     /* 1583605 */   GIM_Try, /*On fail goto*//*Label 21919*/ GIMT_Encode4(1583687), // Rule ID 2756 //
     /* 1583610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1583618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1583627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583630 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583641 */     // MIs[0] passthru
     /* 1583641 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583654 */     // MIs[0] policy
     /* 1583654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583664 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1583667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583686 */     // GIR_Coverage, 2756,
     /* 1583686 */     GIR_EraseRootFromParent_Done,
     /* 1583687 */   // Label 21919: @1583687
     /* 1583687 */   GIM_Try, /*On fail goto*//*Label 21920*/ GIMT_Encode4(1583769), // Rule ID 2757 //
     /* 1583692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1583700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1583703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1583706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1583709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1583712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583723 */     // MIs[0] passthru
     /* 1583723 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583736 */     // MIs[0] policy
     /* 1583736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK_TIED),
     /* 1583749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583768 */     // GIR_Coverage, 2757,
     /* 1583768 */     GIR_EraseRootFromParent_Done,
     /* 1583769 */   // Label 21920: @1583769
     /* 1583769 */   GIM_Try, /*On fail goto*//*Label 21921*/ GIMT_Encode4(1583851), // Rule ID 4072 //
     /* 1583774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1583782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1583791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583794 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583805 */     // MIs[0] passthru
     /* 1583805 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583818 */     // MIs[0] policy
     /* 1583818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583828 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1583831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583850 */     // GIR_Coverage, 4072,
     /* 1583850 */     GIR_EraseRootFromParent_Done,
     /* 1583851 */   // Label 21921: @1583851
     /* 1583851 */   GIM_Try, /*On fail goto*//*Label 21922*/ GIMT_Encode4(1583933), // Rule ID 4073 //
     /* 1583856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1583859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1583864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1583867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1583870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1583873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1583876 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1583879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583887 */     // MIs[0] passthru
     /* 1583887 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583900 */     // MIs[0] policy
     /* 1583900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583910 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1583910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1583913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1583919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1583921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1583926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1583929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1583931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1583932 */     // GIR_Coverage, 4073,
     /* 1583932 */     GIR_EraseRootFromParent_Done,
     /* 1583933 */   // Label 21922: @1583933
     /* 1583933 */   GIM_Try, /*On fail goto*//*Label 21923*/ GIMT_Encode4(1584015), // Rule ID 4082 //
     /* 1583938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1583941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1583946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1583949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1583952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1583955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1583958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1583961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1583965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583969 */     // MIs[0] passthru
     /* 1583969 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1583974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1583978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1583982 */     // MIs[0] policy
     /* 1583982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1583985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1583992 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1583992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1583995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1583997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1583999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584014 */     // GIR_Coverage, 4082,
     /* 1584014 */     GIR_EraseRootFromParent_Done,
     /* 1584015 */   // Label 21923: @1584015
     /* 1584015 */   GIM_Try, /*On fail goto*//*Label 21924*/ GIMT_Encode4(1584097), // Rule ID 4083 //
     /* 1584020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1584031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1584034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1584037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584040 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584051 */     // MIs[0] passthru
     /* 1584051 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584064 */     // MIs[0] policy
     /* 1584064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584074 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1584077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584096 */     // GIR_Coverage, 4083,
     /* 1584096 */     GIR_EraseRootFromParent_Done,
     /* 1584097 */   // Label 21924: @1584097
     /* 1584097 */   GIM_Try, /*On fail goto*//*Label 21925*/ GIMT_Encode4(1584179), // Rule ID 4092 //
     /* 1584102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584122 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584133 */     // MIs[0] passthru
     /* 1584133 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584146 */     // MIs[0] policy
     /* 1584146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1584159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584178 */     // GIR_Coverage, 4092,
     /* 1584178 */     GIR_EraseRootFromParent_Done,
     /* 1584179 */   // Label 21925: @1584179
     /* 1584179 */   GIM_Try, /*On fail goto*//*Label 21926*/ GIMT_Encode4(1584261), // Rule ID 4093 //
     /* 1584184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1584195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1584198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1584201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1584204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584215 */     // MIs[0] passthru
     /* 1584215 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584228 */     // MIs[0] policy
     /* 1584228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1584241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584260 */     // GIR_Coverage, 4093,
     /* 1584260 */     GIR_EraseRootFromParent_Done,
     /* 1584261 */   // Label 21926: @1584261
     /* 1584261 */   GIM_Try, /*On fail goto*//*Label 21927*/ GIMT_Encode4(1584343), // Rule ID 4102 //
     /* 1584266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1584277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1584280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584286 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584297 */     // MIs[0] passthru
     /* 1584297 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584310 */     // MIs[0] policy
     /* 1584310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1584323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584342 */     // GIR_Coverage, 4102,
     /* 1584342 */     GIR_EraseRootFromParent_Done,
     /* 1584343 */   // Label 21927: @1584343
     /* 1584343 */   GIM_Try, /*On fail goto*//*Label 21928*/ GIMT_Encode4(1584425), // Rule ID 4103 //
     /* 1584348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1584359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1584362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1584365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1584368 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1584375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584379 */     // MIs[0] passthru
     /* 1584379 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584392 */     // MIs[0] policy
     /* 1584392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1584405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584424 */     // GIR_Coverage, 4103,
     /* 1584424 */     GIR_EraseRootFromParent_Done,
     /* 1584425 */   // Label 21928: @1584425
     /* 1584425 */   GIM_Try, /*On fail goto*//*Label 21929*/ GIMT_Encode4(1584507), // Rule ID 4112 //
     /* 1584430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1584441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1584444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584461 */     // MIs[0] passthru
     /* 1584461 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584474 */     // MIs[0] policy
     /* 1584474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584484 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1584487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584506 */     // GIR_Coverage, 4112,
     /* 1584506 */     GIR_EraseRootFromParent_Done,
     /* 1584507 */   // Label 21929: @1584507
     /* 1584507 */   GIM_Try, /*On fail goto*//*Label 21930*/ GIMT_Encode4(1584589), // Rule ID 4113 //
     /* 1584512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1584523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1584526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1584529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1584532 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1584539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1584543 */     // MIs[0] passthru
     /* 1584543 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1584552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584556 */     // MIs[0] policy
     /* 1584556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1584569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1584585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584588 */     // GIR_Coverage, 4113,
     /* 1584588 */     GIR_EraseRootFromParent_Done,
     /* 1584589 */   // Label 21930: @1584589
     /* 1584589 */   GIM_Try, /*On fail goto*//*Label 21931*/ GIMT_Encode4(1584671), // Rule ID 4122 //
     /* 1584594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1584605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1584608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1584611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584625 */     // MIs[0] passthru
     /* 1584625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584638 */     // MIs[0] policy
     /* 1584638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584648 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1584651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584670 */     // GIR_Coverage, 4122,
     /* 1584670 */     GIR_EraseRootFromParent_Done,
     /* 1584671 */   // Label 21931: @1584671
     /* 1584671 */   GIM_Try, /*On fail goto*//*Label 21932*/ GIMT_Encode4(1584753), // Rule ID 4123 //
     /* 1584676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1584687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1584690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1584693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1584696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584707 */     // MIs[0] passthru
     /* 1584707 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584720 */     // MIs[0] policy
     /* 1584720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584730 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK_TIED),
     /* 1584733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584752 */     // GIR_Coverage, 4123,
     /* 1584752 */     GIR_EraseRootFromParent_Done,
     /* 1584753 */   // Label 21932: @1584753
     /* 1584753 */   GIM_Try, /*On fail goto*//*Label 21933*/ GIMT_Encode4(1584835), // Rule ID 4132 //
     /* 1584758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1584775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584778 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584789 */     // MIs[0] passthru
     /* 1584789 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584802 */     // MIs[0] policy
     /* 1584802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584812 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1584815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584834 */     // GIR_Coverage, 4132,
     /* 1584834 */     GIR_EraseRootFromParent_Done,
     /* 1584835 */   // Label 21933: @1584835
     /* 1584835 */   GIM_Try, /*On fail goto*//*Label 21934*/ GIMT_Encode4(1584917), // Rule ID 4133 //
     /* 1584840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1584843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1584851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1584854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1584857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1584860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1584863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1584867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584871 */     // MIs[0] passthru
     /* 1584871 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584884 */     // MIs[0] policy
     /* 1584884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1584894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1584897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584916 */     // GIR_Coverage, 4133,
     /* 1584916 */     GIR_EraseRootFromParent_Done,
     /* 1584917 */   // Label 21934: @1584917
     /* 1584917 */   GIM_Try, /*On fail goto*//*Label 21935*/ GIMT_Encode4(1584999), // Rule ID 4142 //
     /* 1584922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1584925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1584930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1584933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1584936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1584939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1584942 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1584945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1584949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1584953 */     // MIs[0] passthru
     /* 1584953 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1584958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1584962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1584966 */     // MIs[0] policy
     /* 1584966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1584969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1584976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1584976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1584979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1584981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1584983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1584985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1584987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1584992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1584995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1584997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1584998 */     // GIR_Coverage, 4142,
     /* 1584998 */     GIR_EraseRootFromParent_Done,
     /* 1584999 */   // Label 21935: @1584999
     /* 1584999 */   GIM_Try, /*On fail goto*//*Label 21936*/ GIMT_Encode4(1585081), // Rule ID 4143 //
     /* 1585004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1585015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1585018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1585021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585024 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585035 */     // MIs[0] passthru
     /* 1585035 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585048 */     // MIs[0] policy
     /* 1585048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585058 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1585061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585080 */     // GIR_Coverage, 4143,
     /* 1585080 */     GIR_EraseRootFromParent_Done,
     /* 1585081 */   // Label 21936: @1585081
     /* 1585081 */   GIM_Try, /*On fail goto*//*Label 21937*/ GIMT_Encode4(1585163), // Rule ID 4152 //
     /* 1585086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585117 */     // MIs[0] passthru
     /* 1585117 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585130 */     // MIs[0] policy
     /* 1585130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585140 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1585143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585162 */     // GIR_Coverage, 4152,
     /* 1585162 */     GIR_EraseRootFromParent_Done,
     /* 1585163 */   // Label 21937: @1585163
     /* 1585163 */   GIM_Try, /*On fail goto*//*Label 21938*/ GIMT_Encode4(1585245), // Rule ID 4153 //
     /* 1585168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1585179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1585182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1585185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585188 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585199 */     // MIs[0] passthru
     /* 1585199 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585212 */     // MIs[0] policy
     /* 1585212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1585225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585244 */     // GIR_Coverage, 4153,
     /* 1585244 */     GIR_EraseRootFromParent_Done,
     /* 1585245 */   // Label 21938: @1585245
     /* 1585245 */   GIM_Try, /*On fail goto*//*Label 21939*/ GIMT_Encode4(1585327), // Rule ID 4162 //
     /* 1585250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1585253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585270 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585281 */     // MIs[0] passthru
     /* 1585281 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585294 */     // MIs[0] policy
     /* 1585294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585304 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1585307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585326 */     // GIR_Coverage, 4162,
     /* 1585326 */     GIR_EraseRootFromParent_Done,
     /* 1585327 */   // Label 21939: @1585327
     /* 1585327 */   GIM_Try, /*On fail goto*//*Label 21940*/ GIMT_Encode4(1585409), // Rule ID 4163 //
     /* 1585332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1585335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1585343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1585346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1585349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1585352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585363 */     // MIs[0] passthru
     /* 1585363 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585376 */     // MIs[0] policy
     /* 1585376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585386 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1585389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1585405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585408 */     // GIR_Coverage, 4163,
     /* 1585408 */     GIR_EraseRootFromParent_Done,
     /* 1585409 */   // Label 21940: @1585409
     /* 1585409 */   GIM_Try, /*On fail goto*//*Label 21941*/ GIMT_Encode4(1585491), // Rule ID 4172 //
     /* 1585414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1585417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1585425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1585428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1585431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585434 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585445 */     // MIs[0] passthru
     /* 1585445 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585458 */     // MIs[0] policy
     /* 1585458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585468 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1585471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585490 */     // GIR_Coverage, 4172,
     /* 1585490 */     GIR_EraseRootFromParent_Done,
     /* 1585491 */   // Label 21941: @1585491
     /* 1585491 */   GIM_Try, /*On fail goto*//*Label 21942*/ GIMT_Encode4(1585573), // Rule ID 4173 //
     /* 1585496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1585499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1585507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1585510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1585513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1585516 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1585523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585527 */     // MIs[0] passthru
     /* 1585527 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585540 */     // MIs[0] policy
     /* 1585540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK_TIED),
     /* 1585553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585572 */     // GIR_Coverage, 4173,
     /* 1585572 */     GIR_EraseRootFromParent_Done,
     /* 1585573 */   // Label 21942: @1585573
     /* 1585573 */   GIM_Try, /*On fail goto*//*Label 21943*/ GIMT_Encode4(1585655), // Rule ID 4182 //
     /* 1585578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1585581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1585595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585609 */     // MIs[0] passthru
     /* 1585609 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585622 */     // MIs[0] policy
     /* 1585622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585632 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1585635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585654 */     // GIR_Coverage, 4182,
     /* 1585654 */     GIR_EraseRootFromParent_Done,
     /* 1585655 */   // Label 21943: @1585655
     /* 1585655 */   GIM_Try, /*On fail goto*//*Label 21944*/ GIMT_Encode4(1585737), // Rule ID 4183 //
     /* 1585660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1585663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1585671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1585674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1585677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1585680 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1585687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585691 */     // MIs[0] passthru
     /* 1585691 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1585700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585704 */     // MIs[0] policy
     /* 1585704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK_TIED),
     /* 1585717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585736 */     // GIR_Coverage, 4183,
     /* 1585736 */     GIR_EraseRootFromParent_Done,
     /* 1585737 */   // Label 21944: @1585737
     /* 1585737 */   GIM_Try, /*On fail goto*//*Label 21945*/ GIMT_Encode4(1585819), // Rule ID 4192 //
     /* 1585742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1585745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1585753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1585756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585762 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585773 */     // MIs[0] passthru
     /* 1585773 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585786 */     // MIs[0] policy
     /* 1585786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585796 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1585799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585818 */     // GIR_Coverage, 4192,
     /* 1585818 */     GIR_EraseRootFromParent_Done,
     /* 1585819 */   // Label 21945: @1585819
     /* 1585819 */   GIM_Try, /*On fail goto*//*Label 21946*/ GIMT_Encode4(1585901), // Rule ID 4193 //
     /* 1585824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1585827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1585835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1585838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1585841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1585844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1585847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1585851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585855 */     // MIs[0] passthru
     /* 1585855 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1585864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585868 */     // MIs[0] policy
     /* 1585868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585878 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1585878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK_TIED),
     /* 1585881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585900 */     // GIR_Coverage, 4193,
     /* 1585900 */     GIR_EraseRootFromParent_Done,
     /* 1585901 */   // Label 21946: @1585901
     /* 1585901 */   GIM_Try, /*On fail goto*//*Label 21947*/ GIMT_Encode4(1585983), // Rule ID 4202 //
     /* 1585906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1585909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1585917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1585920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1585923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1585926 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1585929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1585933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1585937 */     // MIs[0] passthru
     /* 1585937 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1585942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1585946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1585950 */     // MIs[0] policy
     /* 1585950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1585953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1585960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1585960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1585963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1585965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1585967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1585969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1585971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1585976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1585979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1585981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1585982 */     // GIR_Coverage, 4202,
     /* 1585982 */     GIR_EraseRootFromParent_Done,
     /* 1585983 */   // Label 21947: @1585983
     /* 1585983 */   GIM_Try, /*On fail goto*//*Label 21948*/ GIMT_Encode4(1586065), // Rule ID 4203 //
     /* 1585988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1585991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1585996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1585999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1586002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1586005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586008 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586019 */     // MIs[0] passthru
     /* 1586019 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586032 */     // MIs[0] policy
     /* 1586032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK_TIED),
     /* 1586045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1586061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586064 */     // GIR_Coverage, 4203,
     /* 1586064 */     GIR_EraseRootFromParent_Done,
     /* 1586065 */   // Label 21948: @1586065
     /* 1586065 */   GIM_Try, /*On fail goto*//*Label 21949*/ GIMT_Encode4(1586147), // Rule ID 4272 //
     /* 1586070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586101 */     // MIs[0] passthru
     /* 1586101 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586114 */     // MIs[0] policy
     /* 1586114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586124 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1586127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586146 */     // GIR_Coverage, 4272,
     /* 1586146 */     GIR_EraseRootFromParent_Done,
     /* 1586147 */   // Label 21949: @1586147
     /* 1586147 */   GIM_Try, /*On fail goto*//*Label 21950*/ GIMT_Encode4(1586229), // Rule ID 4273 //
     /* 1586152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1586163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1586166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1586169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1586172 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586183 */     // MIs[0] passthru
     /* 1586183 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586196 */     // MIs[0] policy
     /* 1586196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK_TIED),
     /* 1586209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586228 */     // GIR_Coverage, 4273,
     /* 1586228 */     GIR_EraseRootFromParent_Done,
     /* 1586229 */   // Label 21950: @1586229
     /* 1586229 */   GIM_Try, /*On fail goto*//*Label 21951*/ GIMT_Encode4(1586311), // Rule ID 4282 //
     /* 1586234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1586245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1586248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586254 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586265 */     // MIs[0] passthru
     /* 1586265 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586278 */     // MIs[0] policy
     /* 1586278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1586291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586310 */     // GIR_Coverage, 4282,
     /* 1586310 */     GIR_EraseRootFromParent_Done,
     /* 1586311 */   // Label 21951: @1586311
     /* 1586311 */   GIM_Try, /*On fail goto*//*Label 21952*/ GIMT_Encode4(1586393), // Rule ID 4283 //
     /* 1586316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1586327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1586330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1586333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1586336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586347 */     // MIs[0] passthru
     /* 1586347 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586360 */     // MIs[0] policy
     /* 1586360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586370 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1586373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586392 */     // GIR_Coverage, 4283,
     /* 1586392 */     GIR_EraseRootFromParent_Done,
     /* 1586393 */   // Label 21952: @1586393
     /* 1586393 */   GIM_Try, /*On fail goto*//*Label 21953*/ GIMT_Encode4(1586475), // Rule ID 4292 //
     /* 1586398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1586409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1586412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586418 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586429 */     // MIs[0] passthru
     /* 1586429 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586442 */     // MIs[0] policy
     /* 1586442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1586455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586474 */     // GIR_Coverage, 4292,
     /* 1586474 */     GIR_EraseRootFromParent_Done,
     /* 1586475 */   // Label 21953: @1586475
     /* 1586475 */   GIM_Try, /*On fail goto*//*Label 21954*/ GIMT_Encode4(1586557), // Rule ID 4293 //
     /* 1586480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1586491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1586494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1586497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1586500 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1586507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586511 */     // MIs[0] passthru
     /* 1586511 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586524 */     // MIs[0] policy
     /* 1586524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586534 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1586537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586556 */     // GIR_Coverage, 4293,
     /* 1586556 */     GIR_EraseRootFromParent_Done,
     /* 1586557 */   // Label 21954: @1586557
     /* 1586557 */   GIM_Try, /*On fail goto*//*Label 21955*/ GIMT_Encode4(1586639), // Rule ID 4302 //
     /* 1586562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1586573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1586576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1586579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586593 */     // MIs[0] passthru
     /* 1586593 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586606 */     // MIs[0] policy
     /* 1586606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586616 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1586619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586638 */     // GIR_Coverage, 4302,
     /* 1586638 */     GIR_EraseRootFromParent_Done,
     /* 1586639 */   // Label 21955: @1586639
     /* 1586639 */   GIM_Try, /*On fail goto*//*Label 21956*/ GIMT_Encode4(1586721), // Rule ID 4303 //
     /* 1586644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1586655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1586658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1586661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1586664 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1586671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586675 */     // MIs[0] passthru
     /* 1586675 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1586684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586688 */     // MIs[0] policy
     /* 1586688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1586701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586720 */     // GIR_Coverage, 4303,
     /* 1586720 */     GIR_EraseRootFromParent_Done,
     /* 1586721 */   // Label 21956: @1586721
     /* 1586721 */   GIM_Try, /*On fail goto*//*Label 21957*/ GIMT_Encode4(1586803), // Rule ID 4312 //
     /* 1586726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1586737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1586740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1586743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586746 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586757 */     // MIs[0] passthru
     /* 1586757 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586770 */     // MIs[0] policy
     /* 1586770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1586783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586802 */     // GIR_Coverage, 4312,
     /* 1586802 */     GIR_EraseRootFromParent_Done,
     /* 1586803 */   // Label 21957: @1586803
     /* 1586803 */   GIM_Try, /*On fail goto*//*Label 21958*/ GIMT_Encode4(1586885), // Rule ID 4313 //
     /* 1586808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1586819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1586822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1586825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1586828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1586835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586839 */     // MIs[0] passthru
     /* 1586839 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1586848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586852 */     // MIs[0] policy
     /* 1586852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586862 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1586862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1586865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586884 */     // GIR_Coverage, 4313,
     /* 1586884 */     GIR_EraseRootFromParent_Done,
     /* 1586885 */   // Label 21958: @1586885
     /* 1586885 */   GIM_Try, /*On fail goto*//*Label 21959*/ GIMT_Encode4(1586967), // Rule ID 4322 //
     /* 1586890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1586893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1586901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1586904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1586907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1586910 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1586913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1586921 */     // MIs[0] passthru
     /* 1586921 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1586926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1586930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1586934 */     // MIs[0] policy
     /* 1586934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1586937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1586944 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1586944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1586947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1586949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1586951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1586953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1586955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1586960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1586963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1586965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1586966 */     // GIR_Coverage, 4322,
     /* 1586966 */     GIR_EraseRootFromParent_Done,
     /* 1586967 */   // Label 21959: @1586967
     /* 1586967 */   GIM_Try, /*On fail goto*//*Label 21960*/ GIMT_Encode4(1587049), // Rule ID 4323 //
     /* 1586972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1586975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1586980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1586983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1586986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1586989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1586992 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1586995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1586999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587003 */     // MIs[0] passthru
     /* 1587003 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587016 */     // MIs[0] policy
     /* 1587016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1587029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1587045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587048 */     // GIR_Coverage, 4323,
     /* 1587048 */     GIR_EraseRootFromParent_Done,
     /* 1587049 */   // Label 21960: @1587049
     /* 1587049 */   GIM_Try, /*On fail goto*//*Label 21961*/ GIMT_Encode4(1587131), // Rule ID 4332 //
     /* 1587054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587085 */     // MIs[0] passthru
     /* 1587085 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587098 */     // MIs[0] policy
     /* 1587098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587108 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1587111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587130 */     // GIR_Coverage, 4332,
     /* 1587130 */     GIR_EraseRootFromParent_Done,
     /* 1587131 */   // Label 21961: @1587131
     /* 1587131 */   GIM_Try, /*On fail goto*//*Label 21962*/ GIMT_Encode4(1587213), // Rule ID 4333 //
     /* 1587136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1587147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1587150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1587153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587156 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587167 */     // MIs[0] passthru
     /* 1587167 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587180 */     // MIs[0] policy
     /* 1587180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587190 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK_TIED),
     /* 1587193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587212 */     // GIR_Coverage, 4333,
     /* 1587212 */     GIR_EraseRootFromParent_Done,
     /* 1587213 */   // Label 21962: @1587213
     /* 1587213 */   GIM_Try, /*On fail goto*//*Label 21963*/ GIMT_Encode4(1587295), // Rule ID 4342 //
     /* 1587218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587238 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587249 */     // MIs[0] passthru
     /* 1587249 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587262 */     // MIs[0] policy
     /* 1587262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587272 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1587275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587294 */     // GIR_Coverage, 4342,
     /* 1587294 */     GIR_EraseRootFromParent_Done,
     /* 1587295 */   // Label 21963: @1587295
     /* 1587295 */   GIM_Try, /*On fail goto*//*Label 21964*/ GIMT_Encode4(1587377), // Rule ID 4343 //
     /* 1587300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1587311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1587314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1587317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1587320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587331 */     // MIs[0] passthru
     /* 1587331 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587344 */     // MIs[0] policy
     /* 1587344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587354 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1587357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587376 */     // GIR_Coverage, 4343,
     /* 1587376 */     GIR_EraseRootFromParent_Done,
     /* 1587377 */   // Label 21964: @1587377
     /* 1587377 */   GIM_Try, /*On fail goto*//*Label 21965*/ GIMT_Encode4(1587459), // Rule ID 4352 //
     /* 1587382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1587393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1587396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587402 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587413 */     // MIs[0] passthru
     /* 1587413 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587426 */     // MIs[0] policy
     /* 1587426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587436 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1587439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587458 */     // GIR_Coverage, 4352,
     /* 1587458 */     GIR_EraseRootFromParent_Done,
     /* 1587459 */   // Label 21965: @1587459
     /* 1587459 */   GIM_Try, /*On fail goto*//*Label 21966*/ GIMT_Encode4(1587541), // Rule ID 4353 //
     /* 1587464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1587475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1587478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1587481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1587484 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1587491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587495 */     // MIs[0] passthru
     /* 1587495 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587508 */     // MIs[0] policy
     /* 1587508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587518 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1587521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587540 */     // GIR_Coverage, 4353,
     /* 1587540 */     GIR_EraseRootFromParent_Done,
     /* 1587541 */   // Label 21966: @1587541
     /* 1587541 */   GIM_Try, /*On fail goto*//*Label 21967*/ GIMT_Encode4(1587623), // Rule ID 4362 //
     /* 1587546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1587557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1587560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1587563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587577 */     // MIs[0] passthru
     /* 1587577 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587590 */     // MIs[0] policy
     /* 1587590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587600 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1587603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587622 */     // GIR_Coverage, 4362,
     /* 1587622 */     GIR_EraseRootFromParent_Done,
     /* 1587623 */   // Label 21967: @1587623
     /* 1587623 */   GIM_Try, /*On fail goto*//*Label 21968*/ GIMT_Encode4(1587705), // Rule ID 4363 //
     /* 1587628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1587639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1587642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1587645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1587648 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1587655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587659 */     // MIs[0] passthru
     /* 1587659 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1587668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587672 */     // MIs[0] policy
     /* 1587672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1587685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587704 */     // GIR_Coverage, 4363,
     /* 1587704 */     GIR_EraseRootFromParent_Done,
     /* 1587705 */   // Label 21968: @1587705
     /* 1587705 */   GIM_Try, /*On fail goto*//*Label 21969*/ GIMT_Encode4(1587787), // Rule ID 4372 //
     /* 1587710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1587713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1587721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1587724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1587727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587730 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587741 */     // MIs[0] passthru
     /* 1587741 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587754 */     // MIs[0] policy
     /* 1587754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1587767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587786 */     // GIR_Coverage, 4372,
     /* 1587786 */     GIR_EraseRootFromParent_Done,
     /* 1587787 */   // Label 21969: @1587787
     /* 1587787 */   GIM_Try, /*On fail goto*//*Label 21970*/ GIMT_Encode4(1587869), // Rule ID 4373 //
     /* 1587792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1587795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1587803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1587806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1587809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1587812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1587819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1587823 */     // MIs[0] passthru
     /* 1587823 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1587832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587836 */     // MIs[0] policy
     /* 1587836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587846 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1587846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1587849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1587865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587868 */     // GIR_Coverage, 4373,
     /* 1587868 */     GIR_EraseRootFromParent_Done,
     /* 1587869 */   // Label 21970: @1587869
     /* 1587869 */   GIM_Try, /*On fail goto*//*Label 21971*/ GIMT_Encode4(1587951), // Rule ID 4382 //
     /* 1587874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1587877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1587885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1587888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587894 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1587897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587905 */     // MIs[0] passthru
     /* 1587905 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1587918 */     // MIs[0] policy
     /* 1587918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1587921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1587928 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1587928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1587931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1587933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1587935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1587937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1587939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1587944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1587947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1587949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1587950 */     // GIR_Coverage, 4382,
     /* 1587950 */     GIR_EraseRootFromParent_Done,
     /* 1587951 */   // Label 21971: @1587951
     /* 1587951 */   GIM_Try, /*On fail goto*//*Label 21972*/ GIMT_Encode4(1588033), // Rule ID 4383 //
     /* 1587956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1587959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1587964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1587967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1587970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1587973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1587976 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1587979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1587983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587987 */     // MIs[0] passthru
     /* 1587987 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1587992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1587996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588000 */     // MIs[0] policy
     /* 1588000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588010 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK_TIED),
     /* 1588013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588032 */     // GIR_Coverage, 4383,
     /* 1588032 */     GIR_EraseRootFromParent_Done,
     /* 1588033 */   // Label 21972: @1588033
     /* 1588033 */   GIM_Try, /*On fail goto*//*Label 21973*/ GIMT_Encode4(1588115), // Rule ID 4392 //
     /* 1588038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1588046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1588049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1588052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588069 */     // MIs[0] passthru
     /* 1588069 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588082 */     // MIs[0] policy
     /* 1588082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588092 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1588095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588114 */     // GIR_Coverage, 4392,
     /* 1588114 */     GIR_EraseRootFromParent_Done,
     /* 1588115 */   // Label 21973: @1588115
     /* 1588115 */   GIM_Try, /*On fail goto*//*Label 21974*/ GIMT_Encode4(1588197), // Rule ID 4393 //
     /* 1588120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1588128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1588131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1588134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1588137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588140 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1588147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588151 */     // MIs[0] passthru
     /* 1588151 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588164 */     // MIs[0] policy
     /* 1588164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588174 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK_TIED),
     /* 1588177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588196 */     // GIR_Coverage, 4393,
     /* 1588196 */     GIR_EraseRootFromParent_Done,
     /* 1588197 */   // Label 21974: @1588197
     /* 1588197 */   GIM_Try, /*On fail goto*//*Label 21975*/ GIMT_Encode4(1588279), // Rule ID 4402 //
     /* 1588202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1588210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1588213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1588216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1588219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588222 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588233 */     // MIs[0] passthru
     /* 1588233 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588246 */     // MIs[0] policy
     /* 1588246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588256 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1588259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588278 */     // GIR_Coverage, 4402,
     /* 1588278 */     GIR_EraseRootFromParent_Done,
     /* 1588279 */   // Label 21975: @1588279
     /* 1588279 */   GIM_Try, /*On fail goto*//*Label 21976*/ GIMT_Encode4(1588361), // Rule ID 4403 //
     /* 1588284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1588292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1588295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1588298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1588301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1588311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588315 */     // MIs[0] passthru
     /* 1588315 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1588324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588328 */     // MIs[0] policy
     /* 1588328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK_TIED),
     /* 1588341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588360 */     // GIR_Coverage, 4403,
     /* 1588360 */     GIR_EraseRootFromParent_Done,
     /* 1588361 */   // Label 21976: @1588361
     /* 1588361 */   GIM_Try, /*On fail goto*//*Label 21977*/ GIMT_Encode4(1588443), // Rule ID 4412 //
     /* 1588366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1588369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1588374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1588377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1588380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1588383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588386 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588397 */     // MIs[0] passthru
     /* 1588397 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588410 */     // MIs[0] policy
     /* 1588410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588420 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1588423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588442 */     // GIR_Coverage, 4412,
     /* 1588442 */     GIR_EraseRootFromParent_Done,
     /* 1588443 */   // Label 21977: @1588443
     /* 1588443 */   GIM_Try, /*On fail goto*//*Label 21978*/ GIMT_Encode4(1588525), // Rule ID 4413 //
     /* 1588448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1588451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1588456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1588459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1588462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1588465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1588468 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1588475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1588479 */     // MIs[0] passthru
     /* 1588479 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1588488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588492 */     // MIs[0] policy
     /* 1588492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588502 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK_TIED),
     /* 1588505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1588521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588524 */     // GIR_Coverage, 4413,
     /* 1588524 */     GIR_EraseRootFromParent_Done,
     /* 1588525 */   // Label 21978: @1588525
     /* 1588525 */   GIM_Try, /*On fail goto*//*Label 21979*/ GIMT_Encode4(1588607), // Rule ID 4482 //
     /* 1588530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1588538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1588541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1588544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1588547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588561 */     // MIs[0] passthru
     /* 1588561 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588574 */     // MIs[0] policy
     /* 1588574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588584 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1588587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588606 */     // GIR_Coverage, 4482,
     /* 1588606 */     GIR_EraseRootFromParent_Done,
     /* 1588607 */   // Label 21979: @1588607
     /* 1588607 */   GIM_Try, /*On fail goto*//*Label 21980*/ GIMT_Encode4(1588689), // Rule ID 4483 //
     /* 1588612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1588620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1588623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1588626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1588629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1588632 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588643 */     // MIs[0] passthru
     /* 1588643 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588656 */     // MIs[0] policy
     /* 1588656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK_TIED),
     /* 1588669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588688 */     // GIR_Coverage, 4483,
     /* 1588688 */     GIR_EraseRootFromParent_Done,
     /* 1588689 */   // Label 21980: @1588689
     /* 1588689 */   GIM_Try, /*On fail goto*//*Label 21981*/ GIMT_Encode4(1588771), // Rule ID 4492 //
     /* 1588694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1588702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1588705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1588708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1588711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588714 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588725 */     // MIs[0] passthru
     /* 1588725 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588738 */     // MIs[0] policy
     /* 1588738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1588751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588770 */     // GIR_Coverage, 4492,
     /* 1588770 */     GIR_EraseRootFromParent_Done,
     /* 1588771 */   // Label 21981: @1588771
     /* 1588771 */   GIM_Try, /*On fail goto*//*Label 21982*/ GIMT_Encode4(1588853), // Rule ID 4493 //
     /* 1588776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1588784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1588787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1588790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1588793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1588796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588807 */     // MIs[0] passthru
     /* 1588807 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588820 */     // MIs[0] policy
     /* 1588820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588830 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1588833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588852 */     // GIR_Coverage, 4493,
     /* 1588852 */     GIR_EraseRootFromParent_Done,
     /* 1588853 */   // Label 21982: @1588853
     /* 1588853 */   GIM_Try, /*On fail goto*//*Label 21983*/ GIMT_Encode4(1588935), // Rule ID 4502 //
     /* 1588858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1588861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1588866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1588869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1588872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1588875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588878 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1588881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588889 */     // MIs[0] passthru
     /* 1588889 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588902 */     // MIs[0] policy
     /* 1588902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588912 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1588912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1588915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1588919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1588921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1588923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1588928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1588931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1588933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1588934 */     // GIR_Coverage, 4502,
     /* 1588934 */     GIR_EraseRootFromParent_Done,
     /* 1588935 */   // Label 21983: @1588935
     /* 1588935 */   GIM_Try, /*On fail goto*//*Label 21984*/ GIMT_Encode4(1589017), // Rule ID 4503 //
     /* 1588940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1588943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1588948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1588951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1588954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1588957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1588960 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1588963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1588967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588971 */     // MIs[0] passthru
     /* 1588971 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1588976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1588980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1588984 */     // MIs[0] policy
     /* 1588984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1588987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1588994 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1588994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1588997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1588999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589016 */     // GIR_Coverage, 4503,
     /* 1589016 */     GIR_EraseRootFromParent_Done,
     /* 1589017 */   // Label 21984: @1589017
     /* 1589017 */   GIM_Try, /*On fail goto*//*Label 21985*/ GIMT_Encode4(1589099), // Rule ID 4512 //
     /* 1589022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1589033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1589036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1589039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589053 */     // MIs[0] passthru
     /* 1589053 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589066 */     // MIs[0] policy
     /* 1589066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1589079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589098 */     // GIR_Coverage, 4512,
     /* 1589098 */     GIR_EraseRootFromParent_Done,
     /* 1589099 */   // Label 21985: @1589099
     /* 1589099 */   GIM_Try, /*On fail goto*//*Label 21986*/ GIMT_Encode4(1589181), // Rule ID 4513 //
     /* 1589104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1589115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1589118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1589121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1589124 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589135 */     // MIs[0] passthru
     /* 1589135 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589148 */     // MIs[0] policy
     /* 1589148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589158 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1589161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589180 */     // GIR_Coverage, 4513,
     /* 1589180 */     GIR_EraseRootFromParent_Done,
     /* 1589181 */   // Label 21986: @1589181
     /* 1589181 */   GIM_Try, /*On fail goto*//*Label 21987*/ GIMT_Encode4(1589263), // Rule ID 4522 //
     /* 1589186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1589203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589206 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589217 */     // MIs[0] passthru
     /* 1589217 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589230 */     // MIs[0] policy
     /* 1589230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589240 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1589243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589262 */     // GIR_Coverage, 4522,
     /* 1589262 */     GIR_EraseRootFromParent_Done,
     /* 1589263 */   // Label 21987: @1589263
     /* 1589263 */   GIM_Try, /*On fail goto*//*Label 21988*/ GIMT_Encode4(1589345), // Rule ID 4523 //
     /* 1589268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1589279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1589282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1589285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1589288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1589295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589299 */     // MIs[0] passthru
     /* 1589299 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589312 */     // MIs[0] policy
     /* 1589312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589322 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1589325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589344 */     // GIR_Coverage, 4523,
     /* 1589344 */     GIR_EraseRootFromParent_Done,
     /* 1589345 */   // Label 21988: @1589345
     /* 1589345 */   GIM_Try, /*On fail goto*//*Label 21989*/ GIMT_Encode4(1589427), // Rule ID 4532 //
     /* 1589350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1589367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589370 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589381 */     // MIs[0] passthru
     /* 1589381 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589394 */     // MIs[0] policy
     /* 1589394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1589407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589426 */     // GIR_Coverage, 4532,
     /* 1589426 */     GIR_EraseRootFromParent_Done,
     /* 1589427 */   // Label 21989: @1589427
     /* 1589427 */   GIM_Try, /*On fail goto*//*Label 21990*/ GIMT_Encode4(1589509), // Rule ID 4533 //
     /* 1589432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1589443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1589446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1589449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1589452 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1589459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1589463 */     // MIs[0] passthru
     /* 1589463 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1589472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589476 */     // MIs[0] policy
     /* 1589476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589486 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1589489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1589505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589508 */     // GIR_Coverage, 4533,
     /* 1589508 */     GIR_EraseRootFromParent_Done,
     /* 1589509 */   // Label 21990: @1589509
     /* 1589509 */   GIM_Try, /*On fail goto*//*Label 21991*/ GIMT_Encode4(1589591), // Rule ID 4542 //
     /* 1589514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1589525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1589528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1589531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589545 */     // MIs[0] passthru
     /* 1589545 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589558 */     // MIs[0] policy
     /* 1589558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1589571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589590 */     // GIR_Coverage, 4542,
     /* 1589590 */     GIR_EraseRootFromParent_Done,
     /* 1589591 */   // Label 21991: @1589591
     /* 1589591 */   GIM_Try, /*On fail goto*//*Label 21992*/ GIMT_Encode4(1589673), // Rule ID 4543 //
     /* 1589596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1589607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1589610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1589613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1589616 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589627 */     // MIs[0] passthru
     /* 1589627 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589640 */     // MIs[0] policy
     /* 1589640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589650 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK_TIED),
     /* 1589653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589672 */     // GIR_Coverage, 4543,
     /* 1589672 */     GIR_EraseRootFromParent_Done,
     /* 1589673 */   // Label 21992: @1589673
     /* 1589673 */   GIM_Try, /*On fail goto*//*Label 21993*/ GIMT_Encode4(1589755), // Rule ID 4552 //
     /* 1589678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1589689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1589692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1589695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589698 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589709 */     // MIs[0] passthru
     /* 1589709 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589722 */     // MIs[0] policy
     /* 1589722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589732 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1589735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589754 */     // GIR_Coverage, 4552,
     /* 1589754 */     GIR_EraseRootFromParent_Done,
     /* 1589755 */   // Label 21993: @1589755
     /* 1589755 */   GIM_Try, /*On fail goto*//*Label 21994*/ GIMT_Encode4(1589837), // Rule ID 4553 //
     /* 1589760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1589771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1589774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1589777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1589780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1589787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589791 */     // MIs[0] passthru
     /* 1589791 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589804 */     // MIs[0] policy
     /* 1589804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589814 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1589817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589836 */     // GIR_Coverage, 4553,
     /* 1589836 */     GIR_EraseRootFromParent_Done,
     /* 1589837 */   // Label 21994: @1589837
     /* 1589837 */   GIM_Try, /*On fail goto*//*Label 21995*/ GIMT_Encode4(1589919), // Rule ID 4562 //
     /* 1589842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1589845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1589859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589862 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1589865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589873 */     // MIs[0] passthru
     /* 1589873 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589886 */     // MIs[0] policy
     /* 1589886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1589896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1589899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1589918 */     // GIR_Coverage, 4562,
     /* 1589918 */     GIR_EraseRootFromParent_Done,
     /* 1589919 */   // Label 21995: @1589919
     /* 1589919 */   GIM_Try, /*On fail goto*//*Label 21996*/ GIMT_Encode4(1590001), // Rule ID 4563 //
     /* 1589924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1589927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1589932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1589935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1589938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1589941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1589944 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1589947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1589951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1589955 */     // MIs[0] passthru
     /* 1589955 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1589960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1589964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1589968 */     // MIs[0] policy
     /* 1589968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1589971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1589978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1589978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1589981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1589983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1589985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1589987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1589989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1589994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1589997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1589999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590000 */     // GIR_Coverage, 4563,
     /* 1590000 */     GIR_EraseRootFromParent_Done,
     /* 1590001 */   // Label 21996: @1590001
     /* 1590001 */   GIM_Try, /*On fail goto*//*Label 21997*/ GIMT_Encode4(1590083), // Rule ID 4572 //
     /* 1590006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1590017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1590020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1590023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590037 */     // MIs[0] passthru
     /* 1590037 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590050 */     // MIs[0] policy
     /* 1590050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590060 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1590063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590082 */     // GIR_Coverage, 4572,
     /* 1590082 */     GIR_EraseRootFromParent_Done,
     /* 1590083 */   // Label 21997: @1590083
     /* 1590083 */   GIM_Try, /*On fail goto*//*Label 21998*/ GIMT_Encode4(1590165), // Rule ID 4573 //
     /* 1590088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1590099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1590102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1590105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590108 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590119 */     // MIs[0] passthru
     /* 1590119 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590132 */     // MIs[0] policy
     /* 1590132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1590145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590164 */     // GIR_Coverage, 4573,
     /* 1590164 */     GIR_EraseRootFromParent_Done,
     /* 1590165 */   // Label 21998: @1590165
     /* 1590165 */   GIM_Try, /*On fail goto*//*Label 21999*/ GIMT_Encode4(1590247), // Rule ID 4582 //
     /* 1590170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1590181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1590184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1590187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590190 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590201 */     // MIs[0] passthru
     /* 1590201 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590214 */     // MIs[0] policy
     /* 1590214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590224 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1590227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590246 */     // GIR_Coverage, 4582,
     /* 1590246 */     GIR_EraseRootFromParent_Done,
     /* 1590247 */   // Label 21999: @1590247
     /* 1590247 */   GIM_Try, /*On fail goto*//*Label 22000*/ GIMT_Encode4(1590329), // Rule ID 4583 //
     /* 1590252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1590255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1590263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1590266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1590269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1590272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590283 */     // MIs[0] passthru
     /* 1590283 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590296 */     // MIs[0] policy
     /* 1590296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590306 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1590309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1590325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590328 */     // GIR_Coverage, 4583,
     /* 1590328 */     GIR_EraseRootFromParent_Done,
     /* 1590329 */   // Label 22000: @1590329
     /* 1590329 */   GIM_Try, /*On fail goto*//*Label 22001*/ GIMT_Encode4(1590411), // Rule ID 4592 //
     /* 1590334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1590337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1590345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1590348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1590351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590354 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590365 */     // MIs[0] passthru
     /* 1590365 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590378 */     // MIs[0] policy
     /* 1590378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590388 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1590391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590410 */     // GIR_Coverage, 4592,
     /* 1590410 */     GIR_EraseRootFromParent_Done,
     /* 1590411 */   // Label 22001: @1590411
     /* 1590411 */   GIM_Try, /*On fail goto*//*Label 22002*/ GIMT_Encode4(1590493), // Rule ID 4593 //
     /* 1590416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1590419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1590427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1590430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1590433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1590436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1590443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590447 */     // MIs[0] passthru
     /* 1590447 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590460 */     // MIs[0] policy
     /* 1590460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590470 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK_TIED),
     /* 1590473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590492 */     // GIR_Coverage, 4593,
     /* 1590492 */     GIR_EraseRootFromParent_Done,
     /* 1590493 */   // Label 22002: @1590493
     /* 1590493 */   GIM_Try, /*On fail goto*//*Label 22003*/ GIMT_Encode4(1590575), // Rule ID 4602 //
     /* 1590498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1590501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1590509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1590512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1590515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590529 */     // MIs[0] passthru
     /* 1590529 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590542 */     // MIs[0] policy
     /* 1590542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590552 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1590555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590574 */     // GIR_Coverage, 4602,
     /* 1590574 */     GIR_EraseRootFromParent_Done,
     /* 1590575 */   // Label 22003: @1590575
     /* 1590575 */   GIM_Try, /*On fail goto*//*Label 22004*/ GIMT_Encode4(1590657), // Rule ID 4603 //
     /* 1590580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1590583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1590591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1590594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1590597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1590600 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1590607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590611 */     // MIs[0] passthru
     /* 1590611 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1590620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590624 */     // MIs[0] policy
     /* 1590624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590634 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK_TIED),
     /* 1590637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590656 */     // GIR_Coverage, 4603,
     /* 1590656 */     GIR_EraseRootFromParent_Done,
     /* 1590657 */   // Label 22004: @1590657
     /* 1590657 */   GIM_Try, /*On fail goto*//*Label 22005*/ GIMT_Encode4(1590739), // Rule ID 4612 //
     /* 1590662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1590665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1590679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590693 */     // MIs[0] passthru
     /* 1590693 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590706 */     // MIs[0] policy
     /* 1590706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590716 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1590719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590738 */     // GIR_Coverage, 4612,
     /* 1590738 */     GIR_EraseRootFromParent_Done,
     /* 1590739 */   // Label 22005: @1590739
     /* 1590739 */   GIM_Try, /*On fail goto*//*Label 22006*/ GIMT_Encode4(1590821), // Rule ID 4613 //
     /* 1590744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1590747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1590755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1590758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1590761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1590764 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1590771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590775 */     // MIs[0] passthru
     /* 1590775 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1590784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590788 */     // MIs[0] policy
     /* 1590788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590798 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK_TIED),
     /* 1590801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590820 */     // GIR_Coverage, 4613,
     /* 1590820 */     GIR_EraseRootFromParent_Done,
     /* 1590821 */   // Label 22006: @1590821
     /* 1590821 */   GIM_Try, /*On fail goto*//*Label 22007*/ GIMT_Encode4(1590903), // Rule ID 4622 //
     /* 1590826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1590829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1590843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590846 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1590849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590857 */     // MIs[0] passthru
     /* 1590857 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590870 */     // MIs[0] policy
     /* 1590870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1590880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1590883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590902 */     // GIR_Coverage, 4622,
     /* 1590902 */     GIR_EraseRootFromParent_Done,
     /* 1590903 */   // Label 22007: @1590903
     /* 1590903 */   GIM_Try, /*On fail goto*//*Label 22008*/ GIMT_Encode4(1590985), // Rule ID 4623 //
     /* 1590908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1590911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1590916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1590919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1590922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1590925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1590928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1590931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1590935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1590939 */     // MIs[0] passthru
     /* 1590939 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1590944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1590948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1590952 */     // MIs[0] policy
     /* 1590952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1590955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1590962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1590962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK_TIED),
     /* 1590965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1590967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1590969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1590971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1590973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1590978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1590981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1590983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1590984 */     // GIR_Coverage, 4623,
     /* 1590984 */     GIR_EraseRootFromParent_Done,
     /* 1590985 */   // Label 22008: @1590985
     /* 1590985 */   GIM_Try, /*On fail goto*//*Label 22009*/ GIMT_Encode4(1591067), // Rule ID 4692 //
     /* 1590990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1590993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1590998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1591001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1591004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1591007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591010 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591021 */     // MIs[0] passthru
     /* 1591021 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591034 */     // MIs[0] policy
     /* 1591034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1591047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591066 */     // GIR_Coverage, 4692,
     /* 1591066 */     GIR_EraseRootFromParent_Done,
     /* 1591067 */   // Label 22009: @1591067
     /* 1591067 */   GIM_Try, /*On fail goto*//*Label 22010*/ GIMT_Encode4(1591149), // Rule ID 4693 //
     /* 1591072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1591083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1591086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1591089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591092 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591103 */     // MIs[0] passthru
     /* 1591103 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591116 */     // MIs[0] policy
     /* 1591116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591126 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK_TIED:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK_TIED),
     /* 1591129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591148 */     // GIR_Coverage, 4693,
     /* 1591148 */     GIR_EraseRootFromParent_Done,
     /* 1591149 */   // Label 22010: @1591149
     /* 1591149 */   GIM_Try, /*On fail goto*//*Label 22011*/ GIMT_Encode4(1591231), // Rule ID 4702 //
     /* 1591154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1591171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591185 */     // MIs[0] passthru
     /* 1591185 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591198 */     // MIs[0] policy
     /* 1591198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1591211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591230 */     // GIR_Coverage, 4702,
     /* 1591230 */     GIR_EraseRootFromParent_Done,
     /* 1591231 */   // Label 22011: @1591231
     /* 1591231 */   GIM_Try, /*On fail goto*//*Label 22012*/ GIMT_Encode4(1591313), // Rule ID 4703 //
     /* 1591236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1591247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1591250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1591253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1591256 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591267 */     // MIs[0] passthru
     /* 1591267 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591280 */     // MIs[0] policy
     /* 1591280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591290 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1591293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591312 */     // GIR_Coverage, 4703,
     /* 1591312 */     GIR_EraseRootFromParent_Done,
     /* 1591313 */   // Label 22012: @1591313
     /* 1591313 */   GIM_Try, /*On fail goto*//*Label 22013*/ GIMT_Encode4(1591395), // Rule ID 4712 //
     /* 1591318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1591335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591338 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591349 */     // MIs[0] passthru
     /* 1591349 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591362 */     // MIs[0] policy
     /* 1591362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1591375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591394 */     // GIR_Coverage, 4712,
     /* 1591394 */     GIR_EraseRootFromParent_Done,
     /* 1591395 */   // Label 22013: @1591395
     /* 1591395 */   GIM_Try, /*On fail goto*//*Label 22014*/ GIMT_Encode4(1591477), // Rule ID 4713 //
     /* 1591400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1591411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1591414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1591417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1591420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1591427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591431 */     // MIs[0] passthru
     /* 1591431 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591444 */     // MIs[0] policy
     /* 1591444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591454 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1591457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591476 */     // GIR_Coverage, 4713,
     /* 1591476 */     GIR_EraseRootFromParent_Done,
     /* 1591477 */   // Label 22014: @1591477
     /* 1591477 */   GIM_Try, /*On fail goto*//*Label 22015*/ GIMT_Encode4(1591559), // Rule ID 4722 //
     /* 1591482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1591493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1591496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1591499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591502 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591513 */     // MIs[0] passthru
     /* 1591513 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591526 */     // MIs[0] policy
     /* 1591526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1591539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591558 */     // GIR_Coverage, 4722,
     /* 1591558 */     GIR_EraseRootFromParent_Done,
     /* 1591559 */   // Label 22015: @1591559
     /* 1591559 */   GIM_Try, /*On fail goto*//*Label 22016*/ GIMT_Encode4(1591641), // Rule ID 4723 //
     /* 1591564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1591575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1591578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1591581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1591584 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1591591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591595 */     // MIs[0] passthru
     /* 1591595 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1591604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591608 */     // MIs[0] policy
     /* 1591608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1591621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591640 */     // GIR_Coverage, 4723,
     /* 1591640 */     GIR_EraseRootFromParent_Done,
     /* 1591641 */   // Label 22016: @1591641
     /* 1591641 */   GIM_Try, /*On fail goto*//*Label 22017*/ GIMT_Encode4(1591723), // Rule ID 4732 //
     /* 1591646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1591657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1591660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1591663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591677 */     // MIs[0] passthru
     /* 1591677 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591690 */     // MIs[0] policy
     /* 1591690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591700 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1591703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591722 */     // GIR_Coverage, 4732,
     /* 1591722 */     GIR_EraseRootFromParent_Done,
     /* 1591723 */   // Label 22017: @1591723
     /* 1591723 */   GIM_Try, /*On fail goto*//*Label 22018*/ GIMT_Encode4(1591805), // Rule ID 4733 //
     /* 1591728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1591739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1591742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1591745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1591748 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1591755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591759 */     // MIs[0] passthru
     /* 1591759 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1591768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591772 */     // MIs[0] policy
     /* 1591772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591782 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1591785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591804 */     // GIR_Coverage, 4733,
     /* 1591804 */     GIR_EraseRootFromParent_Done,
     /* 1591805 */   // Label 22018: @1591805
     /* 1591805 */   GIM_Try, /*On fail goto*//*Label 22019*/ GIMT_Encode4(1591887), // Rule ID 4742 //
     /* 1591810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1591821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1591824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1591827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591830 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591841 */     // MIs[0] passthru
     /* 1591841 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591854 */     // MIs[0] policy
     /* 1591854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591864 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1591864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1591867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591886 */     // GIR_Coverage, 4742,
     /* 1591886 */     GIR_EraseRootFromParent_Done,
     /* 1591887 */   // Label 22019: @1591887
     /* 1591887 */   GIM_Try, /*On fail goto*//*Label 22020*/ GIMT_Encode4(1591969), // Rule ID 4743 //
     /* 1591892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1591895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1591903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1591906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1591909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1591912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1591915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1591919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1591923 */     // MIs[0] passthru
     /* 1591923 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1591928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1591932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1591936 */     // MIs[0] policy
     /* 1591936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1591939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1591946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1591946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1591949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1591951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1591953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1591955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1591957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1591962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1591965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1591967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1591968 */     // GIR_Coverage, 4743,
     /* 1591968 */     GIR_EraseRootFromParent_Done,
     /* 1591969 */   // Label 22020: @1591969
     /* 1591969 */   GIM_Try, /*On fail goto*//*Label 22021*/ GIMT_Encode4(1592051), // Rule ID 4752 //
     /* 1591974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1591977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1591982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1591985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1591988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1591991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1591994 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1591997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592005 */     // MIs[0] passthru
     /* 1592005 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592018 */     // MIs[0] policy
     /* 1592018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1592031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592050 */     // GIR_Coverage, 4752,
     /* 1592050 */     GIR_EraseRootFromParent_Done,
     /* 1592051 */   // Label 22021: @1592051
     /* 1592051 */   GIM_Try, /*On fail goto*//*Label 22022*/ GIMT_Encode4(1592133), // Rule ID 4753 //
     /* 1592056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1592067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1592070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1592073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592076 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592087 */     // MIs[0] passthru
     /* 1592087 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592100 */     // MIs[0] policy
     /* 1592100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592110 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK_TIED:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK_TIED),
     /* 1592113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592132 */     // GIR_Coverage, 4753,
     /* 1592132 */     GIR_EraseRootFromParent_Done,
     /* 1592133 */   // Label 22022: @1592133
     /* 1592133 */   GIM_Try, /*On fail goto*//*Label 22023*/ GIMT_Encode4(1592215), // Rule ID 4762 //
     /* 1592138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1592149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1592152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1592155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592169 */     // MIs[0] passthru
     /* 1592169 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592182 */     // MIs[0] policy
     /* 1592182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592192 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1592195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592214 */     // GIR_Coverage, 4762,
     /* 1592214 */     GIR_EraseRootFromParent_Done,
     /* 1592215 */   // Label 22023: @1592215
     /* 1592215 */   GIM_Try, /*On fail goto*//*Label 22024*/ GIMT_Encode4(1592297), // Rule ID 4763 //
     /* 1592220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1592231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1592234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1592237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592240 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592251 */     // MIs[0] passthru
     /* 1592251 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592264 */     // MIs[0] policy
     /* 1592264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592274 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1592277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592296 */     // GIR_Coverage, 4763,
     /* 1592296 */     GIR_EraseRootFromParent_Done,
     /* 1592297 */   // Label 22024: @1592297
     /* 1592297 */   GIM_Try, /*On fail goto*//*Label 22025*/ GIMT_Encode4(1592379), // Rule ID 4772 //
     /* 1592302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1592319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592322 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592333 */     // MIs[0] passthru
     /* 1592333 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592346 */     // MIs[0] policy
     /* 1592346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592356 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1592359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592378 */     // GIR_Coverage, 4772,
     /* 1592378 */     GIR_EraseRootFromParent_Done,
     /* 1592379 */   // Label 22025: @1592379
     /* 1592379 */   GIM_Try, /*On fail goto*//*Label 22026*/ GIMT_Encode4(1592461), // Rule ID 4773 //
     /* 1592384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1592395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1592398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1592401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1592404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592415 */     // MIs[0] passthru
     /* 1592415 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592428 */     // MIs[0] policy
     /* 1592428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592438 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1592441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592460 */     // GIR_Coverage, 4773,
     /* 1592460 */     GIR_EraseRootFromParent_Done,
     /* 1592461 */   // Label 22026: @1592461
     /* 1592461 */   GIM_Try, /*On fail goto*//*Label 22027*/ GIMT_Encode4(1592543), // Rule ID 4782 //
     /* 1592466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1592477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1592480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1592483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592486 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592497 */     // MIs[0] passthru
     /* 1592497 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592510 */     // MIs[0] policy
     /* 1592510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592520 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1592523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592542 */     // GIR_Coverage, 4782,
     /* 1592542 */     GIR_EraseRootFromParent_Done,
     /* 1592543 */   // Label 22027: @1592543
     /* 1592543 */   GIM_Try, /*On fail goto*//*Label 22028*/ GIMT_Encode4(1592625), // Rule ID 4783 //
     /* 1592548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1592559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1592562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1592565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1592568 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1592575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592579 */     // MIs[0] passthru
     /* 1592579 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592592 */     // MIs[0] policy
     /* 1592592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592602 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1592605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592624 */     // GIR_Coverage, 4783,
     /* 1592624 */     GIR_EraseRootFromParent_Done,
     /* 1592625 */   // Label 22028: @1592625
     /* 1592625 */   GIM_Try, /*On fail goto*//*Label 22029*/ GIMT_Encode4(1592707), // Rule ID 4792 //
     /* 1592630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1592633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1592641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1592644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1592647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592661 */     // MIs[0] passthru
     /* 1592661 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592674 */     // MIs[0] policy
     /* 1592674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1592687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592706 */     // GIR_Coverage, 4792,
     /* 1592706 */     GIR_EraseRootFromParent_Done,
     /* 1592707 */   // Label 22029: @1592707
     /* 1592707 */   GIM_Try, /*On fail goto*//*Label 22030*/ GIMT_Encode4(1592789), // Rule ID 4793 //
     /* 1592712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1592715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1592723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1592726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1592729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1592732 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1592739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1592743 */     // MIs[0] passthru
     /* 1592743 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1592752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592756 */     // MIs[0] policy
     /* 1592756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592766 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1592769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1592785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592788 */     // GIR_Coverage, 4793,
     /* 1592788 */     GIR_EraseRootFromParent_Done,
     /* 1592789 */   // Label 22030: @1592789
     /* 1592789 */   GIM_Try, /*On fail goto*//*Label 22031*/ GIMT_Encode4(1592871), // Rule ID 4802 //
     /* 1592794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1592797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1592811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592814 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592825 */     // MIs[0] passthru
     /* 1592825 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592838 */     // MIs[0] policy
     /* 1592838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1592848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1592851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592870 */     // GIR_Coverage, 4802,
     /* 1592870 */     GIR_EraseRootFromParent_Done,
     /* 1592871 */   // Label 22031: @1592871
     /* 1592871 */   GIM_Try, /*On fail goto*//*Label 22032*/ GIMT_Encode4(1592953), // Rule ID 4803 //
     /* 1592876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1592879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1592887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1592890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1592893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1592896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1592899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1592903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592907 */     // MIs[0] passthru
     /* 1592907 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1592920 */     // MIs[0] policy
     /* 1592920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1592923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1592930 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK_TIED:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1592930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK_TIED),
     /* 1592933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1592935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1592937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1592939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1592941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1592946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1592949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1592951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1592952 */     // GIR_Coverage, 4803,
     /* 1592952 */     GIR_EraseRootFromParent_Done,
     /* 1592953 */   // Label 22032: @1592953
     /* 1592953 */   GIM_Try, /*On fail goto*//*Label 22033*/ GIMT_Encode4(1593035), // Rule ID 4812 //
     /* 1592958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1592961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1592966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1592969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1592972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1592975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1592978 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1592981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1592985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1592989 */     // MIs[0] passthru
     /* 1592989 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1592994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1592998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593002 */     // MIs[0] policy
     /* 1593002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593012 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1593015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593034 */     // GIR_Coverage, 4812,
     /* 1593034 */     GIR_EraseRootFromParent_Done,
     /* 1593035 */   // Label 22033: @1593035
     /* 1593035 */   GIM_Try, /*On fail goto*//*Label 22034*/ GIMT_Encode4(1593117), // Rule ID 4813 //
     /* 1593040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1593043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1593048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1593051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1593054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1593057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1593060 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1593067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593071 */     // MIs[0] passthru
     /* 1593071 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1593076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593084 */     // MIs[0] policy
     /* 1593084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK_TIED:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK_TIED),
     /* 1593097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593116 */     // GIR_Coverage, 4813,
     /* 1593116 */     GIR_EraseRootFromParent_Done,
     /* 1593117 */   // Label 22034: @1593117
     /* 1593117 */   GIM_Try, /*On fail goto*//*Label 22035*/ GIMT_Encode4(1593199), // Rule ID 4822 //
     /* 1593122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1593125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1593130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1593139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593153 */     // MIs[0] passthru
     /* 1593153 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1593158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593166 */     // MIs[0] policy
     /* 1593166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1593179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593198 */     // GIR_Coverage, 4822,
     /* 1593198 */     GIR_EraseRootFromParent_Done,
     /* 1593199 */   // Label 22035: @1593199
     /* 1593199 */   GIM_Try, /*On fail goto*//*Label 22036*/ GIMT_Encode4(1593281), // Rule ID 4823 //
     /* 1593204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1593207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1593212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1593215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1593218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1593221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1593224 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1593231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593235 */     // MIs[0] passthru
     /* 1593235 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1593240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1593244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593248 */     // MIs[0] policy
     /* 1593248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK_TIED:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK_TIED),
     /* 1593261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593280 */     // GIR_Coverage, 4823,
     /* 1593280 */     GIR_EraseRootFromParent_Done,
     /* 1593281 */   // Label 22036: @1593281
     /* 1593281 */   GIM_Try, /*On fail goto*//*Label 22037*/ GIMT_Encode4(1593363), // Rule ID 4832 //
     /* 1593286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1593289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1593294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1593303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593306 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593317 */     // MIs[0] passthru
     /* 1593317 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1593322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593330 */     // MIs[0] policy
     /* 1593330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593340 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1593343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593362 */     // GIR_Coverage, 4832,
     /* 1593362 */     GIR_EraseRootFromParent_Done,
     /* 1593363 */   // Label 22037: @1593363
     /* 1593363 */   GIM_Try, /*On fail goto*//*Label 22038*/ GIMT_Encode4(1593445), // Rule ID 4833 //
     /* 1593368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1593371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1593376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1593379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1593382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1593385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1593388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1593395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1593399 */     // MIs[0] passthru
     /* 1593399 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 1593404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1593408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593412 */     // MIs[0] policy
     /* 1593412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593422 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK_TIED:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK_TIED),
     /* 1593425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1593441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593444 */     // GIR_Coverage, 4833,
     /* 1593444 */     GIR_EraseRootFromParent_Done,
     /* 1593445 */   // Label 22038: @1593445
     /* 1593445 */   GIM_Try, /*On fail goto*//*Label 22039*/ GIMT_Encode4(1593531), // Rule ID 2720 //
     /* 1593450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593496 */     // MIs[0] policy
     /* 1593496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593506 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1593509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593530 */     // GIR_Coverage, 2720,
     /* 1593530 */     GIR_EraseRootFromParent_Done,
     /* 1593531 */   // Label 22039: @1593531
     /* 1593531 */   GIM_Try, /*On fail goto*//*Label 22040*/ GIMT_Encode4(1593617), // Rule ID 2721 //
     /* 1593536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1593544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593582 */     // MIs[0] policy
     /* 1593582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593592 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF8_MASK),
     /* 1593595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593616 */     // GIR_Coverage, 2721,
     /* 1593616 */     GIR_EraseRootFromParent_Done,
     /* 1593617 */   // Label 22040: @1593617
     /* 1593617 */   GIM_Try, /*On fail goto*//*Label 22041*/ GIMT_Encode4(1593703), // Rule ID 2758 //
     /* 1593622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1593630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1593633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1593636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1593639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593668 */     // MIs[0] policy
     /* 1593668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593678 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1593681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593702 */     // GIR_Coverage, 2758,
     /* 1593702 */     GIR_EraseRootFromParent_Done,
     /* 1593703 */   // Label 22041: @1593703
     /* 1593703 */   GIM_Try, /*On fail goto*//*Label 22042*/ GIMT_Encode4(1593789), // Rule ID 2759 //
     /* 1593708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1593716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1593719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1593722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1593725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593754 */     // MIs[0] policy
     /* 1593754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593764 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF8_MASK),
     /* 1593767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1593771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593788 */     // GIR_Coverage, 2759,
     /* 1593788 */     GIR_EraseRootFromParent_Done,
     /* 1593789 */   // Label 22042: @1593789
     /* 1593789 */   GIM_Try, /*On fail goto*//*Label 22043*/ GIMT_Encode4(1593875), // Rule ID 2772 //
     /* 1593794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1593802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593840 */     // MIs[0] policy
     /* 1593840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593850 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1593850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1593853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1593857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593874 */     // GIR_Coverage, 2772,
     /* 1593874 */     GIR_EraseRootFromParent_Done,
     /* 1593875 */   // Label 22043: @1593875
     /* 1593875 */   GIM_Try, /*On fail goto*//*Label 22044*/ GIMT_Encode4(1593961), // Rule ID 2773 //
     /* 1593880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1593883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1593888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1593906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1593922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1593926 */     // MIs[0] policy
     /* 1593926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1593929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1593936 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1593936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF8_MASK),
     /* 1593939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1593941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1593943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1593945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1593947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1593949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1593954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1593957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1593959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1593960 */     // GIR_Coverage, 2773,
     /* 1593960 */     GIR_EraseRootFromParent_Done,
     /* 1593961 */   // Label 22044: @1593961
     /* 1593961 */   GIM_Try, /*On fail goto*//*Label 22045*/ GIMT_Encode4(1594047), // Rule ID 2792 //
     /* 1593966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1593969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1593974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1593977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1593980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1593983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1593986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1593989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1593992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1593996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594012 */     // MIs[0] policy
     /* 1594012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594022 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1594025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594046 */     // GIR_Coverage, 2792,
     /* 1594046 */     GIR_EraseRootFromParent_Done,
     /* 1594047 */   // Label 22045: @1594047
     /* 1594047 */   GIM_Try, /*On fail goto*//*Label 22046*/ GIMT_Encode4(1594133), // Rule ID 2793 //
     /* 1594052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1594063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1594066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1594069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1594072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594098 */     // MIs[0] policy
     /* 1594098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594108 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1594111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594132 */     // GIR_Coverage, 2793,
     /* 1594132 */     GIR_EraseRootFromParent_Done,
     /* 1594133 */   // Label 22046: @1594133
     /* 1594133 */   GIM_Try, /*On fail goto*//*Label 22047*/ GIMT_Encode4(1594219), // Rule ID 2800 //
     /* 1594138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594184 */     // MIs[0] policy
     /* 1594184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594194 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594218 */     // GIR_Coverage, 2800,
     /* 1594218 */     GIR_EraseRootFromParent_Done,
     /* 1594219 */   // Label 22047: @1594219
     /* 1594219 */   GIM_Try, /*On fail goto*//*Label 22048*/ GIMT_Encode4(1594305), // Rule ID 2801 //
     /* 1594224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1594235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1594238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1594241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1594244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594270 */     // MIs[0] policy
     /* 1594270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594280 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594304 */     // GIR_Coverage, 2801,
     /* 1594304 */     GIR_EraseRootFromParent_Done,
     /* 1594305 */   // Label 22048: @1594305
     /* 1594305 */   GIM_Try, /*On fail goto*//*Label 22049*/ GIMT_Encode4(1594391), // Rule ID 2808 //
     /* 1594310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594356 */     // MIs[0] policy
     /* 1594356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594366 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594390 */     // GIR_Coverage, 2808,
     /* 1594390 */     GIR_EraseRootFromParent_Done,
     /* 1594391 */   // Label 22049: @1594391
     /* 1594391 */   GIM_Try, /*On fail goto*//*Label 22050*/ GIMT_Encode4(1594477), // Rule ID 2809 //
     /* 1594396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1594407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1594410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1594413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1594416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1594419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594442 */     // MIs[0] policy
     /* 1594442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594452 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1594473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594476 */     // GIR_Coverage, 2809,
     /* 1594476 */     GIR_EraseRootFromParent_Done,
     /* 1594477 */   // Label 22050: @1594477
     /* 1594477 */   GIM_Try, /*On fail goto*//*Label 22051*/ GIMT_Encode4(1594563), // Rule ID 2816 //
     /* 1594482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594528 */     // MIs[0] policy
     /* 1594528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594538 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594562 */     // GIR_Coverage, 2816,
     /* 1594562 */     GIR_EraseRootFromParent_Done,
     /* 1594563 */   // Label 22051: @1594563
     /* 1594563 */   GIM_Try, /*On fail goto*//*Label 22052*/ GIMT_Encode4(1594649), // Rule ID 2817 //
     /* 1594568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1594579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1594582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1594585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1594588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594614 */     // MIs[0] policy
     /* 1594614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594624 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1594627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594648 */     // GIR_Coverage, 2817,
     /* 1594648 */     GIR_EraseRootFromParent_Done,
     /* 1594649 */   // Label 22052: @1594649
     /* 1594649 */   GIM_Try, /*On fail goto*//*Label 22053*/ GIMT_Encode4(1594735), // Rule ID 2824 //
     /* 1594654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594700 */     // MIs[0] policy
     /* 1594700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594710 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594734 */     // GIR_Coverage, 2824,
     /* 1594734 */     GIR_EraseRootFromParent_Done,
     /* 1594735 */   // Label 22053: @1594735
     /* 1594735 */   GIM_Try, /*On fail goto*//*Label 22054*/ GIMT_Encode4(1594821), // Rule ID 2825 //
     /* 1594740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1594751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1594754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1594757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1594760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1594763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594786 */     // MIs[0] policy
     /* 1594786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594796 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1594817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594820 */     // GIR_Coverage, 2825,
     /* 1594820 */     GIR_EraseRootFromParent_Done,
     /* 1594821 */   // Label 22054: @1594821
     /* 1594821 */   GIM_Try, /*On fail goto*//*Label 22055*/ GIMT_Encode4(1594907), // Rule ID 2832 //
     /* 1594826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1594829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1594837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1594840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1594843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1594846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1594852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594872 */     // MIs[0] policy
     /* 1594872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594882 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1594882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594906 */     // GIR_Coverage, 2832,
     /* 1594906 */     GIR_EraseRootFromParent_Done,
     /* 1594907 */   // Label 22055: @1594907
     /* 1594907 */   GIM_Try, /*On fail goto*//*Label 22056*/ GIMT_Encode4(1594993), // Rule ID 2833 //
     /* 1594912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1594915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1594920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1594923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1594926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1594929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1594932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1594935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1594938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1594942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1594954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1594958 */     // MIs[0] policy
     /* 1594958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1594961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1594968 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1594968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1594971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1594973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1594975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1594977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1594979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1594981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1594986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1594989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1594991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1594992 */     // GIR_Coverage, 2833,
     /* 1594992 */     GIR_EraseRootFromParent_Done,
     /* 1594993 */   // Label 22056: @1594993
     /* 1594993 */   GIM_Try, /*On fail goto*//*Label 22057*/ GIMT_Encode4(1595079), // Rule ID 2840 //
     /* 1594998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1595009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1595012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1595015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1595018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595044 */     // MIs[0] policy
     /* 1595044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595054 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595078 */     // GIR_Coverage, 2840,
     /* 1595078 */     GIR_EraseRootFromParent_Done,
     /* 1595079 */   // Label 22057: @1595079
     /* 1595079 */   GIM_Try, /*On fail goto*//*Label 22058*/ GIMT_Encode4(1595165), // Rule ID 2841 //
     /* 1595084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1595095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1595098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1595101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1595104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1595107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595130 */     // MIs[0] policy
     /* 1595130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595140 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595164 */     // GIR_Coverage, 2841,
     /* 1595164 */     GIR_EraseRootFromParent_Done,
     /* 1595165 */   // Label 22058: @1595165
     /* 1595165 */   GIM_Try, /*On fail goto*//*Label 22059*/ GIMT_Encode4(1595251), // Rule ID 2848 //
     /* 1595170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595216 */     // MIs[0] policy
     /* 1595216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595226 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595250 */     // GIR_Coverage, 2848,
     /* 1595250 */     GIR_EraseRootFromParent_Done,
     /* 1595251 */   // Label 22059: @1595251
     /* 1595251 */   GIM_Try, /*On fail goto*//*Label 22060*/ GIMT_Encode4(1595337), // Rule ID 2849 //
     /* 1595256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1595267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1595270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1595273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1595276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1595279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595302 */     // MIs[0] policy
     /* 1595302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595312 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1595333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595336 */     // GIR_Coverage, 2849,
     /* 1595336 */     GIR_EraseRootFromParent_Done,
     /* 1595337 */   // Label 22060: @1595337
     /* 1595337 */   GIM_Try, /*On fail goto*//*Label 22061*/ GIMT_Encode4(1595423), // Rule ID 2856 //
     /* 1595342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595388 */     // MIs[0] policy
     /* 1595388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595398 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595422 */     // GIR_Coverage, 2856,
     /* 1595422 */     GIR_EraseRootFromParent_Done,
     /* 1595423 */   // Label 22061: @1595423
     /* 1595423 */   GIM_Try, /*On fail goto*//*Label 22062*/ GIMT_Encode4(1595509), // Rule ID 2857 //
     /* 1595428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1595439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1595442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1595445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1595448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1595451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595474 */     // MIs[0] policy
     /* 1595474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595484 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1595505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595508 */     // GIR_Coverage, 2857,
     /* 1595508 */     GIR_EraseRootFromParent_Done,
     /* 1595509 */   // Label 22062: @1595509
     /* 1595509 */   GIM_Try, /*On fail goto*//*Label 22063*/ GIMT_Encode4(1595595), // Rule ID 2864 //
     /* 1595514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1595517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595560 */     // MIs[0] policy
     /* 1595560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595570 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595594 */     // GIR_Coverage, 2864,
     /* 1595594 */     GIR_EraseRootFromParent_Done,
     /* 1595595 */   // Label 22063: @1595595
     /* 1595595 */   GIM_Try, /*On fail goto*//*Label 22064*/ GIMT_Encode4(1595681), // Rule ID 2865 //
     /* 1595600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1595603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1595611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1595614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1595617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1595620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1595623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1595630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1595642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595646 */     // MIs[0] policy
     /* 1595646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595656 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1595659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1595677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595680 */     // GIR_Coverage, 2865,
     /* 1595680 */     GIR_EraseRootFromParent_Done,
     /* 1595681 */   // Label 22064: @1595681
     /* 1595681 */   GIM_Try, /*On fail goto*//*Label 22065*/ GIMT_Encode4(1595767), // Rule ID 2872 //
     /* 1595686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595732 */     // MIs[0] policy
     /* 1595732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595742 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595766 */     // GIR_Coverage, 2872,
     /* 1595766 */     GIR_EraseRootFromParent_Done,
     /* 1595767 */   // Label 22065: @1595767
     /* 1595767 */   GIM_Try, /*On fail goto*//*Label 22066*/ GIMT_Encode4(1595853), // Rule ID 2873 //
     /* 1595772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1595783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1595786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1595789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1595792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1595795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1595802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1595814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595818 */     // MIs[0] policy
     /* 1595818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595828 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1595828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1595831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595852 */     // GIR_Coverage, 2873,
     /* 1595852 */     GIR_EraseRootFromParent_Done,
     /* 1595853 */   // Label 22066: @1595853
     /* 1595853 */   GIM_Try, /*On fail goto*//*Label 22067*/ GIMT_Encode4(1595939), // Rule ID 2880 //
     /* 1595858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1595861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1595869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1595872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1595875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1595878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1595884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595904 */     // MIs[0] policy
     /* 1595904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1595914 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1595914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1595917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1595919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1595921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1595923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1595925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1595927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1595932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1595935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1595937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1595938 */     // GIR_Coverage, 2880,
     /* 1595938 */     GIR_EraseRootFromParent_Done,
     /* 1595939 */   // Label 22067: @1595939
     /* 1595939 */   GIM_Try, /*On fail goto*//*Label 22068*/ GIMT_Encode4(1596025), // Rule ID 2881 //
     /* 1595944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1595947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1595952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1595955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1595958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1595961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1595964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1595967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1595970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1595974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1595986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1595990 */     // MIs[0] policy
     /* 1595990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1595993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596000 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596024 */     // GIR_Coverage, 2881,
     /* 1596024 */     GIR_EraseRootFromParent_Done,
     /* 1596025 */   // Label 22068: @1596025
     /* 1596025 */   GIM_Try, /*On fail goto*//*Label 22069*/ GIMT_Encode4(1596111), // Rule ID 2888 //
     /* 1596030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1596050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596076 */     // MIs[0] policy
     /* 1596076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596086 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596110 */     // GIR_Coverage, 2888,
     /* 1596110 */     GIR_EraseRootFromParent_Done,
     /* 1596111 */   // Label 22069: @1596111
     /* 1596111 */   GIM_Try, /*On fail goto*//*Label 22070*/ GIMT_Encode4(1596197), // Rule ID 2889 //
     /* 1596116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1596127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1596130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1596133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1596136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1596139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596162 */     // MIs[0] policy
     /* 1596162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596172 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1596193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596196 */     // GIR_Coverage, 2889,
     /* 1596196 */     GIR_EraseRootFromParent_Done,
     /* 1596197 */   // Label 22070: @1596197
     /* 1596197 */   GIM_Try, /*On fail goto*//*Label 22071*/ GIMT_Encode4(1596283), // Rule ID 2896 //
     /* 1596202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596248 */     // MIs[0] policy
     /* 1596248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596258 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596282 */     // GIR_Coverage, 2896,
     /* 1596282 */     GIR_EraseRootFromParent_Done,
     /* 1596283 */   // Label 22071: @1596283
     /* 1596283 */   GIM_Try, /*On fail goto*//*Label 22072*/ GIMT_Encode4(1596369), // Rule ID 2897 //
     /* 1596288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1596299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1596302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1596305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1596308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596334 */     // MIs[0] policy
     /* 1596334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596368 */     // GIR_Coverage, 2897,
     /* 1596368 */     GIR_EraseRootFromParent_Done,
     /* 1596369 */   // Label 22072: @1596369
     /* 1596369 */   GIM_Try, /*On fail goto*//*Label 22073*/ GIMT_Encode4(1596455), // Rule ID 2904 //
     /* 1596374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596420 */     // MIs[0] policy
     /* 1596420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596430 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596454 */     // GIR_Coverage, 2904,
     /* 1596454 */     GIR_EraseRootFromParent_Done,
     /* 1596455 */   // Label 22073: @1596455
     /* 1596455 */   GIM_Try, /*On fail goto*//*Label 22074*/ GIMT_Encode4(1596541), // Rule ID 2905 //
     /* 1596460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1596471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1596474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1596477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1596480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1596483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596506 */     // MIs[0] policy
     /* 1596506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596516 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596540 */     // GIR_Coverage, 2905,
     /* 1596540 */     GIR_EraseRootFromParent_Done,
     /* 1596541 */   // Label 22074: @1596541
     /* 1596541 */   GIM_Try, /*On fail goto*//*Label 22075*/ GIMT_Encode4(1596627), // Rule ID 2912 //
     /* 1596546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596592 */     // MIs[0] policy
     /* 1596592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596602 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596626 */     // GIR_Coverage, 2912,
     /* 1596626 */     GIR_EraseRootFromParent_Done,
     /* 1596627 */   // Label 22075: @1596627
     /* 1596627 */   GIM_Try, /*On fail goto*//*Label 22076*/ GIMT_Encode4(1596713), // Rule ID 2913 //
     /* 1596632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1596643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1596646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1596649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1596652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1596655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1596662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1596674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596678 */     // MIs[0] policy
     /* 1596678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596688 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1596691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1596709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596712 */     // GIR_Coverage, 2913,
     /* 1596712 */     GIR_EraseRootFromParent_Done,
     /* 1596713 */   // Label 22076: @1596713
     /* 1596713 */   GIM_Try, /*On fail goto*//*Label 22077*/ GIMT_Encode4(1596799), // Rule ID 2920 //
     /* 1596718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596764 */     // MIs[0] policy
     /* 1596764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596774 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596798 */     // GIR_Coverage, 2920,
     /* 1596798 */     GIR_EraseRootFromParent_Done,
     /* 1596799 */   // Label 22077: @1596799
     /* 1596799 */   GIM_Try, /*On fail goto*//*Label 22078*/ GIMT_Encode4(1596885), // Rule ID 2921 //
     /* 1596804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1596815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1596818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1596821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1596824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1596827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1596830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1596834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1596846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596850 */     // MIs[0] policy
     /* 1596850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596860 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1596860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1596863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596884 */     // GIR_Coverage, 2921,
     /* 1596884 */     GIR_EraseRootFromParent_Done,
     /* 1596885 */   // Label 22078: @1596885
     /* 1596885 */   GIM_Try, /*On fail goto*//*Label 22079*/ GIMT_Encode4(1596971), // Rule ID 2928 //
     /* 1596890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1596893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1596907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1596916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1596920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1596932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1596936 */     // MIs[0] policy
     /* 1596936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1596939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1596946 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1596946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1596949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1596951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1596953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1596955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1596957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1596959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1596964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1596967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1596969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1596970 */     // GIR_Coverage, 2928,
     /* 1596970 */     GIR_EraseRootFromParent_Done,
     /* 1596971 */   // Label 22079: @1596971
     /* 1596971 */   GIM_Try, /*On fail goto*//*Label 22080*/ GIMT_Encode4(1597057), // Rule ID 2929 //
     /* 1596976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1596979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1596984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1596987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1596990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1596993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1596996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1596999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597022 */     // MIs[0] policy
     /* 1597022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597032 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597056 */     // GIR_Coverage, 2929,
     /* 1597056 */     GIR_EraseRootFromParent_Done,
     /* 1597057 */   // Label 22080: @1597057
     /* 1597057 */   GIM_Try, /*On fail goto*//*Label 22081*/ GIMT_Encode4(1597143), // Rule ID 2936 //
     /* 1597062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1597082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597108 */     // MIs[0] policy
     /* 1597108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597118 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597142 */     // GIR_Coverage, 2936,
     /* 1597142 */     GIR_EraseRootFromParent_Done,
     /* 1597143 */   // Label 22081: @1597143
     /* 1597143 */   GIM_Try, /*On fail goto*//*Label 22082*/ GIMT_Encode4(1597229), // Rule ID 2937 //
     /* 1597148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1597159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1597162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1597165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1597168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1597171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597194 */     // MIs[0] policy
     /* 1597194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597204 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1597225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597228 */     // GIR_Coverage, 2937,
     /* 1597228 */     GIR_EraseRootFromParent_Done,
     /* 1597229 */   // Label 22082: @1597229
     /* 1597229 */   GIM_Try, /*On fail goto*//*Label 22083*/ GIMT_Encode4(1597315), // Rule ID 2944 //
     /* 1597234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597280 */     // MIs[0] policy
     /* 1597280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597290 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597314 */     // GIR_Coverage, 2944,
     /* 1597314 */     GIR_EraseRootFromParent_Done,
     /* 1597315 */   // Label 22083: @1597315
     /* 1597315 */   GIM_Try, /*On fail goto*//*Label 22084*/ GIMT_Encode4(1597401), // Rule ID 2945 //
     /* 1597320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1597331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1597334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1597337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1597340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1597350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1597362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597366 */     // MIs[0] policy
     /* 1597366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597376 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1597379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597400 */     // GIR_Coverage, 2945,
     /* 1597400 */     GIR_EraseRootFromParent_Done,
     /* 1597401 */   // Label 22084: @1597401
     /* 1597401 */   GIM_Try, /*On fail goto*//*Label 22085*/ GIMT_Encode4(1597487), // Rule ID 2952 //
     /* 1597406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597452 */     // MIs[0] policy
     /* 1597452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597462 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597486 */     // GIR_Coverage, 2952,
     /* 1597486 */     GIR_EraseRootFromParent_Done,
     /* 1597487 */   // Label 22085: @1597487
     /* 1597487 */   GIM_Try, /*On fail goto*//*Label 22086*/ GIMT_Encode4(1597573), // Rule ID 2953 //
     /* 1597492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1597503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1597506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1597509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1597512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1597522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1597534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597538 */     // MIs[0] policy
     /* 1597538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597548 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1597551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597572 */     // GIR_Coverage, 2953,
     /* 1597572 */     GIR_EraseRootFromParent_Done,
     /* 1597573 */   // Label 22086: @1597573
     /* 1597573 */   GIM_Try, /*On fail goto*//*Label 22087*/ GIMT_Encode4(1597659), // Rule ID 2960 //
     /* 1597578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1597581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597624 */     // MIs[0] policy
     /* 1597624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597634 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597658 */     // GIR_Coverage, 2960,
     /* 1597658 */     GIR_EraseRootFromParent_Done,
     /* 1597659 */   // Label 22087: @1597659
     /* 1597659 */   GIM_Try, /*On fail goto*//*Label 22088*/ GIMT_Encode4(1597745), // Rule ID 2961 //
     /* 1597664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1597667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1597672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1597675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1597678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1597681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1597684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1597687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1597694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1597706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597710 */     // MIs[0] policy
     /* 1597710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597720 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1597723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs1
     /* 1597729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 1597731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1597741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597744 */     // GIR_Coverage, 2961,
     /* 1597744 */     GIR_EraseRootFromParent_Done,
     /* 1597745 */   // Label 22088: @1597745
     /* 1597745 */   GIM_Try, /*On fail goto*//*Label 22089*/ GIMT_Encode4(1597831), // Rule ID 2976 //
     /* 1597750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1597761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1597770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597796 */     // MIs[0] policy
     /* 1597796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597806 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1597809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597830 */     // GIR_Coverage, 2976,
     /* 1597830 */     GIR_EraseRootFromParent_Done,
     /* 1597831 */   // Label 22089: @1597831
     /* 1597831 */   GIM_Try, /*On fail goto*//*Label 22090*/ GIMT_Encode4(1597917), // Rule ID 2977 //
     /* 1597836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1597839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1597847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1597850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1597853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1597856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1597859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1597862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597882 */     // MIs[0] policy
     /* 1597882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597892 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1597892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1597895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1597915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1597916 */     // GIR_Coverage, 2977,
     /* 1597916 */     GIR_EraseRootFromParent_Done,
     /* 1597917 */   // Label 22090: @1597917
     /* 1597917 */   GIM_Try, /*On fail goto*//*Label 22091*/ GIMT_Encode4(1598003), // Rule ID 2980 //
     /* 1597922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1597925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1597930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1597933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1597936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1597939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1597942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1597945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1597948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1597952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1597964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1597968 */     // MIs[0] policy
     /* 1597968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1597971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1597978 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1597978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1597981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1597983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1597985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1597987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1597989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1597991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1597996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1597999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598002 */     // GIR_Coverage, 2980,
     /* 1598002 */     GIR_EraseRootFromParent_Done,
     /* 1598003 */   // Label 22091: @1598003
     /* 1598003 */   GIM_Try, /*On fail goto*//*Label 22092*/ GIMT_Encode4(1598089), // Rule ID 2981 //
     /* 1598008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1598019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1598022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1598025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1598028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598054 */     // MIs[0] policy
     /* 1598054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598064 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1598067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598088 */     // GIR_Coverage, 2981,
     /* 1598088 */     GIR_EraseRootFromParent_Done,
     /* 1598089 */   // Label 22092: @1598089
     /* 1598089 */   GIM_Try, /*On fail goto*//*Label 22093*/ GIMT_Encode4(1598175), // Rule ID 2984 //
     /* 1598094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1598114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598140 */     // MIs[0] policy
     /* 1598140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598150 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1598153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598174 */     // GIR_Coverage, 2984,
     /* 1598174 */     GIR_EraseRootFromParent_Done,
     /* 1598175 */   // Label 22093: @1598175
     /* 1598175 */   GIM_Try, /*On fail goto*//*Label 22094*/ GIMT_Encode4(1598261), // Rule ID 2985 //
     /* 1598180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1598191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1598194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1598197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1598200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598226 */     // MIs[0] policy
     /* 1598226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF4_MASK),
     /* 1598239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598260 */     // GIR_Coverage, 2985,
     /* 1598260 */     GIR_EraseRootFromParent_Done,
     /* 1598261 */   // Label 22094: @1598261
     /* 1598261 */   GIM_Try, /*On fail goto*//*Label 22095*/ GIMT_Encode4(1598347), // Rule ID 2988 //
     /* 1598266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1598286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598312 */     // MIs[0] policy
     /* 1598312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598322 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1598325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598346 */     // GIR_Coverage, 2988,
     /* 1598346 */     GIR_EraseRootFromParent_Done,
     /* 1598347 */   // Label 22095: @1598347
     /* 1598347 */   GIM_Try, /*On fail goto*//*Label 22096*/ GIMT_Encode4(1598433), // Rule ID 2989 //
     /* 1598352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1598363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1598366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1598369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1598372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598398 */     // MIs[0] policy
     /* 1598398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598408 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1598411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598432 */     // GIR_Coverage, 2989,
     /* 1598432 */     GIR_EraseRootFromParent_Done,
     /* 1598433 */   // Label 22096: @1598433
     /* 1598433 */   GIM_Try, /*On fail goto*//*Label 22097*/ GIMT_Encode4(1598519), // Rule ID 2992 //
     /* 1598438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1598458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598484 */     // MIs[0] policy
     /* 1598484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598494 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1598497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598518 */     // GIR_Coverage, 2992,
     /* 1598518 */     GIR_EraseRootFromParent_Done,
     /* 1598519 */   // Label 22097: @1598519
     /* 1598519 */   GIM_Try, /*On fail goto*//*Label 22098*/ GIMT_Encode4(1598605), // Rule ID 2993 //
     /* 1598524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1598535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1598538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1598541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1598544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1598547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598570 */     // MIs[0] policy
     /* 1598570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_MF2_MASK),
     /* 1598583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1598601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598604 */     // GIR_Coverage, 2993,
     /* 1598604 */     GIR_EraseRootFromParent_Done,
     /* 1598605 */   // Label 22098: @1598605
     /* 1598605 */   GIM_Try, /*On fail goto*//*Label 22099*/ GIMT_Encode4(1598691), // Rule ID 2996 //
     /* 1598610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1598621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1598624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1598627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1598630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598656 */     // MIs[0] policy
     /* 1598656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598666 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1598669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598690 */     // GIR_Coverage, 2996,
     /* 1598690 */     GIR_EraseRootFromParent_Done,
     /* 1598691 */   // Label 22099: @1598691
     /* 1598691 */   GIM_Try, /*On fail goto*//*Label 22100*/ GIMT_Encode4(1598777), // Rule ID 2997 //
     /* 1598696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1598707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1598710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1598713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1598716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1598719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598742 */     // MIs[0] policy
     /* 1598742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598752 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1598755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1598773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598776 */     // GIR_Coverage, 2997,
     /* 1598776 */     GIR_EraseRootFromParent_Done,
     /* 1598777 */   // Label 22100: @1598777
     /* 1598777 */   GIM_Try, /*On fail goto*//*Label 22101*/ GIMT_Encode4(1598863), // Rule ID 3000 //
     /* 1598782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1598802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598828 */     // MIs[0] policy
     /* 1598828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598838 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1598838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1598841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598862 */     // GIR_Coverage, 3000,
     /* 1598862 */     GIR_EraseRootFromParent_Done,
     /* 1598863 */   // Label 22101: @1598863
     /* 1598863 */   GIM_Try, /*On fail goto*//*Label 22102*/ GIMT_Encode4(1598949), // Rule ID 3001 //
     /* 1598868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1598871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1598879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1598882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1598885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1598888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1598891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1598894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1598914 */     // MIs[0] policy
     /* 1598914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1598917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1598924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1598924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1598927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1598929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1598931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1598933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1598935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1598937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1598942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1598945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1598947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1598948 */     // GIR_Coverage, 3001,
     /* 1598948 */     GIR_EraseRootFromParent_Done,
     /* 1598949 */   // Label 22102: @1598949
     /* 1598949 */   GIM_Try, /*On fail goto*//*Label 22103*/ GIMT_Encode4(1599035), // Rule ID 3004 //
     /* 1598954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1598957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1598962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1598965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1598968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1598971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1598974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1598977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1598980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1598984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1598996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599000 */     // MIs[0] policy
     /* 1599000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599010 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1599013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599034 */     // GIR_Coverage, 3004,
     /* 1599034 */     GIR_EraseRootFromParent_Done,
     /* 1599035 */   // Label 22103: @1599035
     /* 1599035 */   GIM_Try, /*On fail goto*//*Label 22104*/ GIMT_Encode4(1599121), // Rule ID 3005 //
     /* 1599040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1599051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1599054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1599057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1599060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1599063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599086 */     // MIs[0] policy
     /* 1599086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599096 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1599099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1599117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599120 */     // GIR_Coverage, 3005,
     /* 1599120 */     GIR_EraseRootFromParent_Done,
     /* 1599121 */   // Label 22104: @1599121
     /* 1599121 */   GIM_Try, /*On fail goto*//*Label 22105*/ GIMT_Encode4(1599207), // Rule ID 3008 //
     /* 1599126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1599129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1599146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599172 */     // MIs[0] policy
     /* 1599172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1599185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599206 */     // GIR_Coverage, 3008,
     /* 1599206 */     GIR_EraseRootFromParent_Done,
     /* 1599207 */   // Label 22105: @1599207
     /* 1599207 */   GIM_Try, /*On fail goto*//*Label 22106*/ GIMT_Encode4(1599293), // Rule ID 3009 //
     /* 1599212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1599215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1599223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1599226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1599229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1599232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1599235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1599242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1599254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599258 */     // MIs[0] policy
     /* 1599258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M1_MASK),
     /* 1599271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1599289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599292 */     // GIR_Coverage, 3009,
     /* 1599292 */     GIR_EraseRootFromParent_Done,
     /* 1599293 */   // Label 22106: @1599293
     /* 1599293 */   GIM_Try, /*On fail goto*//*Label 22107*/ GIMT_Encode4(1599379), // Rule ID 3012 //
     /* 1599298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1599318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599344 */     // MIs[0] policy
     /* 1599344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599354 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1599357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599378 */     // GIR_Coverage, 3012,
     /* 1599378 */     GIR_EraseRootFromParent_Done,
     /* 1599379 */   // Label 22107: @1599379
     /* 1599379 */   GIM_Try, /*On fail goto*//*Label 22108*/ GIMT_Encode4(1599465), // Rule ID 3013 //
     /* 1599384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1599395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1599398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1599401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1599404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1599407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599430 */     // MIs[0] policy
     /* 1599430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599440 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1599443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599464 */     // GIR_Coverage, 3013,
     /* 1599464 */     GIR_EraseRootFromParent_Done,
     /* 1599465 */   // Label 22108: @1599465
     /* 1599465 */   GIM_Try, /*On fail goto*//*Label 22109*/ GIMT_Encode4(1599551), // Rule ID 3016 //
     /* 1599470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1599490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599516 */     // MIs[0] policy
     /* 1599516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599526 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1599529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599550 */     // GIR_Coverage, 3016,
     /* 1599550 */     GIR_EraseRootFromParent_Done,
     /* 1599551 */   // Label 22109: @1599551
     /* 1599551 */   GIM_Try, /*On fail goto*//*Label 22110*/ GIMT_Encode4(1599637), // Rule ID 3017 //
     /* 1599556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1599567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1599570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1599573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1599576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1599579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1599586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1599598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599602 */     // MIs[0] policy
     /* 1599602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599612 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1599615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599636 */     // GIR_Coverage, 3017,
     /* 1599636 */     GIR_EraseRootFromParent_Done,
     /* 1599637 */   // Label 22110: @1599637
     /* 1599637 */   GIM_Try, /*On fail goto*//*Label 22111*/ GIMT_Encode4(1599723), // Rule ID 3020 //
     /* 1599642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1599653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1599656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1599659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1599662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1599665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599688 */     // MIs[0] policy
     /* 1599688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599698 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1599701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599722 */     // GIR_Coverage, 3020,
     /* 1599722 */     GIR_EraseRootFromParent_Done,
     /* 1599723 */   // Label 22111: @1599723
     /* 1599723 */   GIM_Try, /*On fail goto*//*Label 22112*/ GIMT_Encode4(1599809), // Rule ID 3021 //
     /* 1599728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1599739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1599742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1599745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1599748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1599751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1599758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1599770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599774 */     // MIs[0] policy
     /* 1599774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599784 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1599787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1599805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599808 */     // GIR_Coverage, 3021,
     /* 1599808 */     GIR_EraseRootFromParent_Done,
     /* 1599809 */   // Label 22112: @1599809
     /* 1599809 */   GIM_Try, /*On fail goto*//*Label 22113*/ GIMT_Encode4(1599895), // Rule ID 3024 //
     /* 1599814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1599834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1599840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599860 */     // MIs[0] policy
     /* 1599860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599870 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1599870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1599873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599894 */     // GIR_Coverage, 3024,
     /* 1599894 */     GIR_EraseRootFromParent_Done,
     /* 1599895 */   // Label 22113: @1599895
     /* 1599895 */   GIM_Try, /*On fail goto*//*Label 22114*/ GIMT_Encode4(1599981), // Rule ID 3025 //
     /* 1599900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1599903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1599911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1599914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1599917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1599920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1599923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1599926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1599930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1599942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1599946 */     // MIs[0] policy
     /* 1599946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1599949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1599956 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1599956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1599959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1599961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1599963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1599965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1599967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1599969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1599974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1599977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1599979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1599980 */     // GIR_Coverage, 3025,
     /* 1599980 */     GIR_EraseRootFromParent_Done,
     /* 1599981 */   // Label 22114: @1599981
     /* 1599981 */   GIM_Try, /*On fail goto*//*Label 22115*/ GIMT_Encode4(1600067), // Rule ID 3028 //
     /* 1599986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1599989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1599994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1599997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1600006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600032 */     // MIs[0] policy
     /* 1600032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600042 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1600045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600066 */     // GIR_Coverage, 3028,
     /* 1600066 */     GIR_EraseRootFromParent_Done,
     /* 1600067 */   // Label 22115: @1600067
     /* 1600067 */   GIM_Try, /*On fail goto*//*Label 22116*/ GIMT_Encode4(1600153), // Rule ID 3029 //
     /* 1600072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1600083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1600086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1600089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1600092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600118 */     // MIs[0] policy
     /* 1600118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600128 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1600131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600152 */     // GIR_Coverage, 3029,
     /* 1600152 */     GIR_EraseRootFromParent_Done,
     /* 1600153 */   // Label 22116: @1600153
     /* 1600153 */   GIM_Try, /*On fail goto*//*Label 22117*/ GIMT_Encode4(1600239), // Rule ID 3032 //
     /* 1600158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1600178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600204 */     // MIs[0] policy
     /* 1600204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600214 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1600217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600238 */     // GIR_Coverage, 3032,
     /* 1600238 */     GIR_EraseRootFromParent_Done,
     /* 1600239 */   // Label 22117: @1600239
     /* 1600239 */   GIM_Try, /*On fail goto*//*Label 22118*/ GIMT_Encode4(1600325), // Rule ID 3033 //
     /* 1600244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1600255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1600258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1600261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1600264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1600267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600290 */     // MIs[0] policy
     /* 1600290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600300 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1600303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1600321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600324 */     // GIR_Coverage, 3033,
     /* 1600324 */     GIR_EraseRootFromParent_Done,
     /* 1600325 */   // Label 22118: @1600325
     /* 1600325 */   GIM_Try, /*On fail goto*//*Label 22119*/ GIMT_Encode4(1600411), // Rule ID 3036 //
     /* 1600330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1600350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600376 */     // MIs[0] policy
     /* 1600376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600386 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1600389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600410 */     // GIR_Coverage, 3036,
     /* 1600410 */     GIR_EraseRootFromParent_Done,
     /* 1600411 */   // Label 22119: @1600411
     /* 1600411 */   GIM_Try, /*On fail goto*//*Label 22120*/ GIMT_Encode4(1600497), // Rule ID 3037 //
     /* 1600416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1600427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1600430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1600433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1600436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1600439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600462 */     // MIs[0] policy
     /* 1600462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600472 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1600475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600496 */     // GIR_Coverage, 3037,
     /* 1600496 */     GIR_EraseRootFromParent_Done,
     /* 1600497 */   // Label 22120: @1600497
     /* 1600497 */   GIM_Try, /*On fail goto*//*Label 22121*/ GIMT_Encode4(1600583), // Rule ID 3040 //
     /* 1600502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1600522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600548 */     // MIs[0] policy
     /* 1600548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600558 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1600561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600582 */     // GIR_Coverage, 3040,
     /* 1600582 */     GIR_EraseRootFromParent_Done,
     /* 1600583 */   // Label 22121: @1600583
     /* 1600583 */   GIM_Try, /*On fail goto*//*Label 22122*/ GIMT_Encode4(1600669), // Rule ID 3041 //
     /* 1600588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1600599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1600602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1600605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1600608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1600611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1600618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1600630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600634 */     // MIs[0] policy
     /* 1600634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600644 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1600647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600668 */     // GIR_Coverage, 3041,
     /* 1600668 */     GIR_EraseRootFromParent_Done,
     /* 1600669 */   // Label 22122: @1600669
     /* 1600669 */   GIM_Try, /*On fail goto*//*Label 22123*/ GIMT_Encode4(1600755), // Rule ID 3044 //
     /* 1600674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1600677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1600694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600720 */     // MIs[0] policy
     /* 1600720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600730 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1600733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600754 */     // GIR_Coverage, 3044,
     /* 1600754 */     GIR_EraseRootFromParent_Done,
     /* 1600755 */   // Label 22123: @1600755
     /* 1600755 */   GIM_Try, /*On fail goto*//*Label 22124*/ GIMT_Encode4(1600841), // Rule ID 3045 //
     /* 1600760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1600763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1600771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1600774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1600777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1600780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1600783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1600790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1600802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600806 */     // MIs[0] policy
     /* 1600806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600816 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1600819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1600837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600840 */     // GIR_Coverage, 3045,
     /* 1600840 */     GIR_EraseRootFromParent_Done,
     /* 1600841 */   // Label 22124: @1600841
     /* 1600841 */   GIM_Try, /*On fail goto*//*Label 22125*/ GIMT_Encode4(1600927), // Rule ID 3048 //
     /* 1600846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1600849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1600866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1600872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600892 */     // MIs[0] policy
     /* 1600892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600902 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1600902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1600905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1600915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1600920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1600923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1600925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1600926 */     // GIR_Coverage, 3048,
     /* 1600926 */     GIR_EraseRootFromParent_Done,
     /* 1600927 */   // Label 22125: @1600927
     /* 1600927 */   GIM_Try, /*On fail goto*//*Label 22126*/ GIMT_Encode4(1601013), // Rule ID 3049 //
     /* 1600932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1600935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1600940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1600943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1600946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1600949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1600952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1600955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1600958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1600962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1600974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1600978 */     // MIs[0] policy
     /* 1600978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1600981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1600988 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1600988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M2_MASK),
     /* 1600991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1600993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1600995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1600997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1600999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601012 */     // GIR_Coverage, 3049,
     /* 1601012 */     GIR_EraseRootFromParent_Done,
     /* 1601013 */   // Label 22126: @1601013
     /* 1601013 */   GIM_Try, /*On fail goto*//*Label 22127*/ GIMT_Encode4(1601099), // Rule ID 3052 //
     /* 1601018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1601038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601064 */     // MIs[0] policy
     /* 1601064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601074 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1601077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601098 */     // GIR_Coverage, 3052,
     /* 1601098 */     GIR_EraseRootFromParent_Done,
     /* 1601099 */   // Label 22127: @1601099
     /* 1601099 */   GIM_Try, /*On fail goto*//*Label 22128*/ GIMT_Encode4(1601185), // Rule ID 3053 //
     /* 1601104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1601115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1601118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1601121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1601124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1601134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1601146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601150 */     // MIs[0] policy
     /* 1601150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601160 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M4_MASK),
     /* 1601163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601184 */     // GIR_Coverage, 3053,
     /* 1601184 */     GIR_EraseRootFromParent_Done,
     /* 1601185 */   // Label 22128: @1601185
     /* 1601185 */   GIM_Try, /*On fail goto*//*Label 22129*/ GIMT_Encode4(1601271), // Rule ID 3056 //
     /* 1601190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1601193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1601210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601236 */     // MIs[0] policy
     /* 1601236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601246 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1601249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601270 */     // GIR_Coverage, 3056,
     /* 1601270 */     GIR_EraseRootFromParent_Done,
     /* 1601271 */   // Label 22129: @1601271
     /* 1601271 */   GIM_Try, /*On fail goto*//*Label 22130*/ GIMT_Encode4(1601357), // Rule ID 3057 //
     /* 1601276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1601279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1601287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1601290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1601293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1601296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1601299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1601306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1601318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601322 */     // MIs[0] policy
     /* 1601322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VV_M8_MASK),
     /* 1601335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1601353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601356 */     // GIR_Coverage, 3057,
     /* 1601356 */     GIR_EraseRootFromParent_Done,
     /* 1601357 */   // Label 22130: @1601357
     /* 1601357 */   GIM_Try, /*On fail goto*//*Label 22131*/ GIMT_Encode4(1601443), // Rule ID 3060 //
     /* 1601362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601408 */     // MIs[0] policy
     /* 1601408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601418 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1601421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601442 */     // GIR_Coverage, 3060,
     /* 1601442 */     GIR_EraseRootFromParent_Done,
     /* 1601443 */   // Label 22131: @1601443
     /* 1601443 */   GIM_Try, /*On fail goto*//*Label 22132*/ GIMT_Encode4(1601529), // Rule ID 3061 //
     /* 1601448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1601459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1601462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1601465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601494 */     // MIs[0] policy
     /* 1601494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601504 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF8_MASK),
     /* 1601507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601528 */     // GIR_Coverage, 3061,
     /* 1601528 */     GIR_EraseRootFromParent_Done,
     /* 1601529 */   // Label 22132: @1601529
     /* 1601529 */   GIM_Try, /*On fail goto*//*Label 22133*/ GIMT_Encode4(1601615), // Rule ID 3064 //
     /* 1601534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601580 */     // MIs[0] policy
     /* 1601580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601590 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1601593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601614 */     // GIR_Coverage, 3064,
     /* 1601614 */     GIR_EraseRootFromParent_Done,
     /* 1601615 */   // Label 22133: @1601615
     /* 1601615 */   GIM_Try, /*On fail goto*//*Label 22134*/ GIMT_Encode4(1601701), // Rule ID 3065 //
     /* 1601620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1601631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1601634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1601637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1601643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601666 */     // MIs[0] policy
     /* 1601666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601676 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1601679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601700 */     // GIR_Coverage, 3065,
     /* 1601700 */     GIR_EraseRootFromParent_Done,
     /* 1601701 */   // Label 22134: @1601701
     /* 1601701 */   GIM_Try, /*On fail goto*//*Label 22135*/ GIMT_Encode4(1601787), // Rule ID 3068 //
     /* 1601706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1601717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1601720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1601723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601752 */     // MIs[0] policy
     /* 1601752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601762 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1601765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601786 */     // GIR_Coverage, 3068,
     /* 1601786 */     GIR_EraseRootFromParent_Done,
     /* 1601787 */   // Label 22135: @1601787
     /* 1601787 */   GIM_Try, /*On fail goto*//*Label 22136*/ GIMT_Encode4(1601873), // Rule ID 3069 //
     /* 1601792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1601803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1601806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1601809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1601815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601838 */     // MIs[0] policy
     /* 1601838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601848 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1601848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1601851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1601869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601872 */     // GIR_Coverage, 3069,
     /* 1601872 */     GIR_EraseRootFromParent_Done,
     /* 1601873 */   // Label 22136: @1601873
     /* 1601873 */   GIM_Try, /*On fail goto*//*Label 22137*/ GIMT_Encode4(1601959), // Rule ID 3072 //
     /* 1601878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1601881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1601898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1601904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1601920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1601924 */     // MIs[0] policy
     /* 1601924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1601927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1601934 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1601934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1601937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1601939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1601941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1601943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1601945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1601947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1601952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1601955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1601957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1601958 */     // GIR_Coverage, 3072,
     /* 1601958 */     GIR_EraseRootFromParent_Done,
     /* 1601959 */   // Label 22137: @1601959
     /* 1601959 */   GIM_Try, /*On fail goto*//*Label 22138*/ GIMT_Encode4(1602045), // Rule ID 3073 //
     /* 1601964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1601967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1601972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1601975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1601978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1601981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1601984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1601987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1601990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1601994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1601998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602010 */     // MIs[0] policy
     /* 1602010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602020 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF4_MASK),
     /* 1602023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602044 */     // GIR_Coverage, 3073,
     /* 1602044 */     GIR_EraseRootFromParent_Done,
     /* 1602045 */   // Label 22138: @1602045
     /* 1602045 */   GIM_Try, /*On fail goto*//*Label 22139*/ GIMT_Encode4(1602131), // Rule ID 3076 //
     /* 1602050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602096 */     // MIs[0] policy
     /* 1602096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602106 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1602109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602130 */     // GIR_Coverage, 3076,
     /* 1602130 */     GIR_EraseRootFromParent_Done,
     /* 1602131 */   // Label 22139: @1602131
     /* 1602131 */   GIM_Try, /*On fail goto*//*Label 22140*/ GIMT_Encode4(1602217), // Rule ID 3077 //
     /* 1602136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1602147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1602150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1602153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602182 */     // MIs[0] policy
     /* 1602182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602192 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1602195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602216 */     // GIR_Coverage, 3077,
     /* 1602216 */     GIR_EraseRootFromParent_Done,
     /* 1602217 */   // Label 22140: @1602217
     /* 1602217 */   GIM_Try, /*On fail goto*//*Label 22141*/ GIMT_Encode4(1602303), // Rule ID 3080 //
     /* 1602222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602268 */     // MIs[0] policy
     /* 1602268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602278 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1602281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602302 */     // GIR_Coverage, 3080,
     /* 1602302 */     GIR_EraseRootFromParent_Done,
     /* 1602303 */   // Label 22141: @1602303
     /* 1602303 */   GIM_Try, /*On fail goto*//*Label 22142*/ GIMT_Encode4(1602389), // Rule ID 3081 //
     /* 1602308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1602319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1602322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1602325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602354 */     // MIs[0] policy
     /* 1602354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602364 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_MF2_MASK),
     /* 1602367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602388 */     // GIR_Coverage, 3081,
     /* 1602388 */     GIR_EraseRootFromParent_Done,
     /* 1602389 */   // Label 22142: @1602389
     /* 1602389 */   GIM_Try, /*On fail goto*//*Label 22143*/ GIMT_Encode4(1602475), // Rule ID 3084 //
     /* 1602394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602440 */     // MIs[0] policy
     /* 1602440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602450 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1602453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602474 */     // GIR_Coverage, 3084,
     /* 1602474 */     GIR_EraseRootFromParent_Done,
     /* 1602475 */   // Label 22143: @1602475
     /* 1602475 */   GIM_Try, /*On fail goto*//*Label 22144*/ GIMT_Encode4(1602561), // Rule ID 3085 //
     /* 1602480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1602491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1602494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1602497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1602503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602526 */     // MIs[0] policy
     /* 1602526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602536 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11144:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1602539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1602557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602560 */     // GIR_Coverage, 3085,
     /* 1602560 */     GIR_EraseRootFromParent_Done,
     /* 1602561 */   // Label 22144: @1602561
     /* 1602561 */   GIM_Try, /*On fail goto*//*Label 22145*/ GIMT_Encode4(1602647), // Rule ID 3088 //
     /* 1602566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602612 */     // MIs[0] policy
     /* 1602612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602622 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1602625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602646 */     // GIR_Coverage, 3088,
     /* 1602646 */     GIR_EraseRootFromParent_Done,
     /* 1602647 */   // Label 22145: @1602647
     /* 1602647 */   GIM_Try, /*On fail goto*//*Label 22146*/ GIMT_Encode4(1602733), // Rule ID 3089 //
     /* 1602652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1602663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1602666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1602669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1602675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602698 */     // MIs[0] policy
     /* 1602698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602708 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11144:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1602711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1602729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602732 */     // GIR_Coverage, 3089,
     /* 1602732 */     GIR_EraseRootFromParent_Done,
     /* 1602733 */   // Label 22146: @1602733
     /* 1602733 */   GIM_Try, /*On fail goto*//*Label 22147*/ GIMT_Encode4(1602819), // Rule ID 3092 //
     /* 1602738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1602741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1602749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1602752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602784 */     // MIs[0] policy
     /* 1602784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602794 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1602797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602818 */     // GIR_Coverage, 3092,
     /* 1602818 */     GIR_EraseRootFromParent_Done,
     /* 1602819 */   // Label 22147: @1602819
     /* 1602819 */   GIM_Try, /*On fail goto*//*Label 22148*/ GIMT_Encode4(1602905), // Rule ID 3093 //
     /* 1602824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1602827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1602835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1602838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1602841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1602844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1602847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1602850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602870 */     // MIs[0] policy
     /* 1602870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602880 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11144:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1602880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1602883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1602901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602904 */     // GIR_Coverage, 3093,
     /* 1602904 */     GIR_EraseRootFromParent_Done,
     /* 1602905 */   // Label 22148: @1602905
     /* 1602905 */   GIM_Try, /*On fail goto*//*Label 22149*/ GIMT_Encode4(1602991), // Rule ID 3096 //
     /* 1602910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1602913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1602918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1602921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1602924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1602927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1602930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1602933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1602936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1602940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1602948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1602952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1602956 */     // MIs[0] policy
     /* 1602956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1602959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1602966 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1602966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1602969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1602971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1602973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1602975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1602977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1602979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1602984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1602987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1602989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1602990 */     // GIR_Coverage, 3096,
     /* 1602990 */     GIR_EraseRootFromParent_Done,
     /* 1602991 */   // Label 22149: @1602991
     /* 1602991 */   GIM_Try, /*On fail goto*//*Label 22150*/ GIMT_Encode4(1603077), // Rule ID 3097 //
     /* 1602996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1602999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1603007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1603010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1603013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1603019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1603026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1603034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603042 */     // MIs[0] policy
     /* 1603042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603052 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11144:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M1_MASK),
     /* 1603055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1603073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603076 */     // GIR_Coverage, 3097,
     /* 1603076 */     GIR_EraseRootFromParent_Done,
     /* 1603077 */   // Label 22150: @1603077
     /* 1603077 */   GIM_Try, /*On fail goto*//*Label 22151*/ GIMT_Encode4(1603163), // Rule ID 3100 //
     /* 1603082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603128 */     // MIs[0] policy
     /* 1603128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603138 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1603141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603162 */     // GIR_Coverage, 3100,
     /* 1603162 */     GIR_EraseRootFromParent_Done,
     /* 1603163 */   // Label 22151: @1603163
     /* 1603163 */   GIM_Try, /*On fail goto*//*Label 22152*/ GIMT_Encode4(1603249), // Rule ID 3101 //
     /* 1603168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1603179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1603182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1603185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603214 */     // MIs[0] policy
     /* 1603214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603224 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1603227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603248 */     // GIR_Coverage, 3101,
     /* 1603248 */     GIR_EraseRootFromParent_Done,
     /* 1603249 */   // Label 22152: @1603249
     /* 1603249 */   GIM_Try, /*On fail goto*//*Label 22153*/ GIMT_Encode4(1603335), // Rule ID 3104 //
     /* 1603254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603300 */     // MIs[0] policy
     /* 1603300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603310 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1603313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603334 */     // GIR_Coverage, 3104,
     /* 1603334 */     GIR_EraseRootFromParent_Done,
     /* 1603335 */   // Label 22153: @1603335
     /* 1603335 */   GIM_Try, /*On fail goto*//*Label 22154*/ GIMT_Encode4(1603421), // Rule ID 3105 //
     /* 1603340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1603351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1603354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1603357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603386 */     // MIs[0] policy
     /* 1603386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603396 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1603399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603420 */     // GIR_Coverage, 3105,
     /* 1603420 */     GIR_EraseRootFromParent_Done,
     /* 1603421 */   // Label 22154: @1603421
     /* 1603421 */   GIM_Try, /*On fail goto*//*Label 22155*/ GIMT_Encode4(1603507), // Rule ID 3108 //
     /* 1603426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603472 */     // MIs[0] policy
     /* 1603472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603482 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1603485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603506 */     // GIR_Coverage, 3108,
     /* 1603506 */     GIR_EraseRootFromParent_Done,
     /* 1603507 */   // Label 22155: @1603507
     /* 1603507 */   GIM_Try, /*On fail goto*//*Label 22156*/ GIMT_Encode4(1603593), // Rule ID 3109 //
     /* 1603512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1603523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1603526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1603529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1603535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603558 */     // MIs[0] policy
     /* 1603558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603568 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1603571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1603589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603592 */     // GIR_Coverage, 3109,
     /* 1603592 */     GIR_EraseRootFromParent_Done,
     /* 1603593 */   // Label 22156: @1603593
     /* 1603593 */   GIM_Try, /*On fail goto*//*Label 22157*/ GIMT_Encode4(1603679), // Rule ID 3112 //
     /* 1603598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603644 */     // MIs[0] policy
     /* 1603644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603654 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1603657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603678 */     // GIR_Coverage, 3112,
     /* 1603678 */     GIR_EraseRootFromParent_Done,
     /* 1603679 */   // Label 22157: @1603679
     /* 1603679 */   GIM_Try, /*On fail goto*//*Label 22158*/ GIMT_Encode4(1603765), // Rule ID 3113 //
     /* 1603684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1603695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1603698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1603701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1603707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1603714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1603722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603730 */     // MIs[0] policy
     /* 1603730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1603743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603764 */     // GIR_Coverage, 3113,
     /* 1603764 */     GIR_EraseRootFromParent_Done,
     /* 1603765 */   // Label 22158: @1603765
     /* 1603765 */   GIM_Try, /*On fail goto*//*Label 22159*/ GIMT_Encode4(1603851), // Rule ID 3116 //
     /* 1603770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603816 */     // MIs[0] policy
     /* 1603816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603826 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1603829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603850 */     // GIR_Coverage, 3116,
     /* 1603850 */     GIR_EraseRootFromParent_Done,
     /* 1603851 */   // Label 22159: @1603851
     /* 1603851 */   GIM_Try, /*On fail goto*//*Label 22160*/ GIMT_Encode4(1603937), // Rule ID 3117 //
     /* 1603856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1603859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1603867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1603870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1603873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1603876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1603879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1603882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1603886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1603894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603902 */     // MIs[0] policy
     /* 1603902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603912 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1603912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1603915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1603917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1603919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1603921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1603923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1603925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1603930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1603933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1603935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1603936 */     // GIR_Coverage, 3117,
     /* 1603936 */     GIR_EraseRootFromParent_Done,
     /* 1603937 */   // Label 22160: @1603937
     /* 1603937 */   GIM_Try, /*On fail goto*//*Label 22161*/ GIMT_Encode4(1604023), // Rule ID 3120 //
     /* 1603942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1603945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1603950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1603953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1603956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1603959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1603962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1603965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1603968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1603972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1603980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1603984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1603988 */     // MIs[0] policy
     /* 1603988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1603991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1603998 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1603998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1604001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604022 */     // GIR_Coverage, 3120,
     /* 1604022 */     GIR_EraseRootFromParent_Done,
     /* 1604023 */   // Label 22161: @1604023
     /* 1604023 */   GIM_Try, /*On fail goto*//*Label 22162*/ GIMT_Encode4(1604109), // Rule ID 3121 //
     /* 1604028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1604039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1604042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1604045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1604051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604074 */     // MIs[0] policy
     /* 1604074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604084 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1604087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1604105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604108 */     // GIR_Coverage, 3121,
     /* 1604108 */     GIR_EraseRootFromParent_Done,
     /* 1604109 */   // Label 22162: @1604109
     /* 1604109 */   GIM_Try, /*On fail goto*//*Label 22163*/ GIMT_Encode4(1604195), // Rule ID 3124 //
     /* 1604114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604160 */     // MIs[0] policy
     /* 1604160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1604173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604194 */     // GIR_Coverage, 3124,
     /* 1604194 */     GIR_EraseRootFromParent_Done,
     /* 1604195 */   // Label 22163: @1604195
     /* 1604195 */   GIM_Try, /*On fail goto*//*Label 22164*/ GIMT_Encode4(1604281), // Rule ID 3125 //
     /* 1604200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1604211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1604214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1604217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604246 */     // MIs[0] policy
     /* 1604246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1604259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604280 */     // GIR_Coverage, 3125,
     /* 1604280 */     GIR_EraseRootFromParent_Done,
     /* 1604281 */   // Label 22164: @1604281
     /* 1604281 */   GIM_Try, /*On fail goto*//*Label 22165*/ GIMT_Encode4(1604367), // Rule ID 3128 //
     /* 1604286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604332 */     // MIs[0] policy
     /* 1604332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1604345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604366 */     // GIR_Coverage, 3128,
     /* 1604366 */     GIR_EraseRootFromParent_Done,
     /* 1604367 */   // Label 22165: @1604367
     /* 1604367 */   GIM_Try, /*On fail goto*//*Label 22166*/ GIMT_Encode4(1604453), // Rule ID 3129 //
     /* 1604372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1604383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1604386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1604389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604418 */     // MIs[0] policy
     /* 1604418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1604431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604452 */     // GIR_Coverage, 3129,
     /* 1604452 */     GIR_EraseRootFromParent_Done,
     /* 1604453 */   // Label 22166: @1604453
     /* 1604453 */   GIM_Try, /*On fail goto*//*Label 22167*/ GIMT_Encode4(1604539), // Rule ID 3132 //
     /* 1604458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1604461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604504 */     // MIs[0] policy
     /* 1604504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1604517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604538 */     // GIR_Coverage, 3132,
     /* 1604538 */     GIR_EraseRootFromParent_Done,
     /* 1604539 */   // Label 22167: @1604539
     /* 1604539 */   GIM_Try, /*On fail goto*//*Label 22168*/ GIMT_Encode4(1604625), // Rule ID 3133 //
     /* 1604544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1604547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1604555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1604558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1604561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1604567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1604574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1604582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604590 */     // MIs[0] policy
     /* 1604590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1604603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1604621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604624 */     // GIR_Coverage, 3133,
     /* 1604624 */     GIR_EraseRootFromParent_Done,
     /* 1604625 */   // Label 22168: @1604625
     /* 1604625 */   GIM_Try, /*On fail goto*//*Label 22169*/ GIMT_Encode4(1604711), // Rule ID 3136 //
     /* 1604630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1604641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1604644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1604647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604676 */     // MIs[0] policy
     /* 1604676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604686 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1604689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604710 */     // GIR_Coverage, 3136,
     /* 1604710 */     GIR_EraseRootFromParent_Done,
     /* 1604711 */   // Label 22169: @1604711
     /* 1604711 */   GIM_Try, /*On fail goto*//*Label 22170*/ GIMT_Encode4(1604797), // Rule ID 3137 //
     /* 1604716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1604727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1604730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1604733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1604739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1604746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1604754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604762 */     // MIs[0] policy
     /* 1604762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604772 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11144:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M2_MASK),
     /* 1604775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604796 */     // GIR_Coverage, 3137,
     /* 1604796 */     GIR_EraseRootFromParent_Done,
     /* 1604797 */   // Label 22170: @1604797
     /* 1604797 */   GIM_Try, /*On fail goto*//*Label 22171*/ GIMT_Encode4(1604883), // Rule ID 3140 //
     /* 1604802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1604828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604848 */     // MIs[0] policy
     /* 1604848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604858 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1604858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1604861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604882 */     // GIR_Coverage, 3140,
     /* 1604882 */     GIR_EraseRootFromParent_Done,
     /* 1604883 */   // Label 22171: @1604883
     /* 1604883 */   GIM_Try, /*On fail goto*//*Label 22172*/ GIMT_Encode4(1604969), // Rule ID 3141 //
     /* 1604888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1604891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1604899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1604902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1604905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1604908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1604911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1604914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1604918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1604926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1604930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1604934 */     // MIs[0] policy
     /* 1604934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1604937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1604944 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11144:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1604944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M4_MASK),
     /* 1604947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1604949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1604951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1604953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1604955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1604957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1604962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1604965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1604967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1604968 */     // GIR_Coverage, 3141,
     /* 1604968 */     GIR_EraseRootFromParent_Done,
     /* 1604969 */   // Label 22172: @1604969
     /* 1604969 */   GIM_Try, /*On fail goto*//*Label 22173*/ GIMT_Encode4(1605055), // Rule ID 3144 //
     /* 1604974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1604977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1604982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1604985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1604988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1604991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1604994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1604997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605020 */     // MIs[0] policy
     /* 1605020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605030 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1605033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605054 */     // GIR_Coverage, 3144,
     /* 1605054 */     GIR_EraseRootFromParent_Done,
     /* 1605055 */   // Label 22173: @1605055
     /* 1605055 */   GIM_Try, /*On fail goto*//*Label 22174*/ GIMT_Encode4(1605141), // Rule ID 3145 //
     /* 1605060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1605063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vadd_mask),
     /* 1605068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1605071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1605074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1605077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1605080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1605083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1605090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1605098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1605102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605106 */     // MIs[0] policy
     /* 1605106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605116 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11144:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVADD_VX_M8_MASK),
     /* 1605119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1605137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605140 */     // GIR_Coverage, 3145,
     /* 1605140 */     GIR_EraseRootFromParent_Done,
     /* 1605141 */   // Label 22174: @1605141
     /* 1605141 */   GIM_Try, /*On fail goto*//*Label 22175*/ GIMT_Encode4(1605227), // Rule ID 3236 //
     /* 1605146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1605157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1605160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605192 */     // MIs[0] policy
     /* 1605192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605202 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1605205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605226 */     // GIR_Coverage, 3236,
     /* 1605226 */     GIR_EraseRootFromParent_Done,
     /* 1605227 */   // Label 22175: @1605227
     /* 1605227 */   GIM_Try, /*On fail goto*//*Label 22176*/ GIMT_Encode4(1605313), // Rule ID 3237 //
     /* 1605232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1605243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1605246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1605249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1605252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605278 */     // MIs[0] policy
     /* 1605278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605288 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF8_MASK),
     /* 1605291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605312 */     // GIR_Coverage, 3237,
     /* 1605312 */     GIR_EraseRootFromParent_Done,
     /* 1605313 */   // Label 22176: @1605313
     /* 1605313 */   GIM_Try, /*On fail goto*//*Label 22177*/ GIMT_Encode4(1605399), // Rule ID 3240 //
     /* 1605318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1605329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1605332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605364 */     // MIs[0] policy
     /* 1605364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605374 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1605377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605398 */     // GIR_Coverage, 3240,
     /* 1605398 */     GIR_EraseRootFromParent_Done,
     /* 1605399 */   // Label 22177: @1605399
     /* 1605399 */   GIM_Try, /*On fail goto*//*Label 22178*/ GIMT_Encode4(1605485), // Rule ID 3241 //
     /* 1605404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1605415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1605418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1605421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1605424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605450 */     // MIs[0] policy
     /* 1605450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605460 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1605463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605484 */     // GIR_Coverage, 3241,
     /* 1605484 */     GIR_EraseRootFromParent_Done,
     /* 1605485 */   // Label 22178: @1605485
     /* 1605485 */   GIM_Try, /*On fail goto*//*Label 22179*/ GIMT_Encode4(1605571), // Rule ID 3244 //
     /* 1605490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1605501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1605504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1605510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605536 */     // MIs[0] policy
     /* 1605536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605546 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1605549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605570 */     // GIR_Coverage, 3244,
     /* 1605570 */     GIR_EraseRootFromParent_Done,
     /* 1605571 */   // Label 22179: @1605571
     /* 1605571 */   GIM_Try, /*On fail goto*//*Label 22180*/ GIMT_Encode4(1605657), // Rule ID 3245 //
     /* 1605576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1605587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1605590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1605593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1605596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1605599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605622 */     // MIs[0] policy
     /* 1605622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605632 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1605635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1605653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605656 */     // GIR_Coverage, 3245,
     /* 1605656 */     GIR_EraseRootFromParent_Done,
     /* 1605657 */   // Label 22180: @1605657
     /* 1605657 */   GIM_Try, /*On fail goto*//*Label 22181*/ GIMT_Encode4(1605743), // Rule ID 3248 //
     /* 1605662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1605679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1605682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605708 */     // MIs[0] policy
     /* 1605708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605718 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1605721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605742 */     // GIR_Coverage, 3248,
     /* 1605742 */     GIR_EraseRootFromParent_Done,
     /* 1605743 */   // Label 22181: @1605743
     /* 1605743 */   GIM_Try, /*On fail goto*//*Label 22182*/ GIMT_Encode4(1605829), // Rule ID 3249 //
     /* 1605748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1605759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1605762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1605765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1605768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1605771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605794 */     // MIs[0] policy
     /* 1605794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605804 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF4_MASK),
     /* 1605807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605828 */     // GIR_Coverage, 3249,
     /* 1605828 */     GIR_EraseRootFromParent_Done,
     /* 1605829 */   // Label 22182: @1605829
     /* 1605829 */   GIM_Try, /*On fail goto*//*Label 22183*/ GIMT_Encode4(1605915), // Rule ID 3252 //
     /* 1605834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1605837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1605854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1605860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605880 */     // MIs[0] policy
     /* 1605880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605890 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1605890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1605893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1605914 */     // GIR_Coverage, 3252,
     /* 1605914 */     GIR_EraseRootFromParent_Done,
     /* 1605915 */   // Label 22183: @1605915
     /* 1605915 */   GIM_Try, /*On fail goto*//*Label 22184*/ GIMT_Encode4(1606001), // Rule ID 3253 //
     /* 1605920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1605923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1605928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1605931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1605934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1605937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1605940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1605943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1605946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1605950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1605962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1605966 */     // MIs[0] policy
     /* 1605966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1605969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1605976 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1605976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1605979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1605981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1605983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1605985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1605987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1605989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1605994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1605997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1605999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606000 */     // GIR_Coverage, 3253,
     /* 1606000 */     GIR_EraseRootFromParent_Done,
     /* 1606001 */   // Label 22184: @1606001
     /* 1606001 */   GIM_Try, /*On fail goto*//*Label 22185*/ GIMT_Encode4(1606087), // Rule ID 3256 //
     /* 1606006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1606023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1606026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606052 */     // MIs[0] policy
     /* 1606052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606062 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1606065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606086 */     // GIR_Coverage, 3256,
     /* 1606086 */     GIR_EraseRootFromParent_Done,
     /* 1606087 */   // Label 22185: @1606087
     /* 1606087 */   GIM_Try, /*On fail goto*//*Label 22186*/ GIMT_Encode4(1606173), // Rule ID 3257 //
     /* 1606092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1606103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1606106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1606109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1606112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606138 */     // MIs[0] policy
     /* 1606138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_MF2_MASK),
     /* 1606151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606172 */     // GIR_Coverage, 3257,
     /* 1606172 */     GIR_EraseRootFromParent_Done,
     /* 1606173 */   // Label 22186: @1606173
     /* 1606173 */   GIM_Try, /*On fail goto*//*Label 22187*/ GIMT_Encode4(1606259), // Rule ID 3260 //
     /* 1606178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1606189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1606192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1606195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1606198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606224 */     // MIs[0] policy
     /* 1606224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1606237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606258 */     // GIR_Coverage, 3260,
     /* 1606258 */     GIR_EraseRootFromParent_Done,
     /* 1606259 */   // Label 22187: @1606259
     /* 1606259 */   GIM_Try, /*On fail goto*//*Label 22188*/ GIMT_Encode4(1606345), // Rule ID 3261 //
     /* 1606264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1606275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1606278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1606281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1606284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1606287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606310 */     // MIs[0] policy
     /* 1606310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606320 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1606323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606344 */     // GIR_Coverage, 3261,
     /* 1606344 */     GIR_EraseRootFromParent_Done,
     /* 1606345 */   // Label 22188: @1606345
     /* 1606345 */   GIM_Try, /*On fail goto*//*Label 22189*/ GIMT_Encode4(1606431), // Rule ID 3264 //
     /* 1606350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1606370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606396 */     // MIs[0] policy
     /* 1606396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606406 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1606409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606430 */     // GIR_Coverage, 3264,
     /* 1606430 */     GIR_EraseRootFromParent_Done,
     /* 1606431 */   // Label 22189: @1606431
     /* 1606431 */   GIM_Try, /*On fail goto*//*Label 22190*/ GIMT_Encode4(1606517), // Rule ID 3265 //
     /* 1606436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1606447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1606450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1606453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1606456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1606459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606482 */     // MIs[0] policy
     /* 1606482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606492 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1606495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1606513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606516 */     // GIR_Coverage, 3265,
     /* 1606516 */     GIR_EraseRootFromParent_Done,
     /* 1606517 */   // Label 22190: @1606517
     /* 1606517 */   GIM_Try, /*On fail goto*//*Label 22191*/ GIMT_Encode4(1606603), // Rule ID 3268 //
     /* 1606522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1606539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1606542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606568 */     // MIs[0] policy
     /* 1606568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1606581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606602 */     // GIR_Coverage, 3268,
     /* 1606602 */     GIR_EraseRootFromParent_Done,
     /* 1606603 */   // Label 22191: @1606603
     /* 1606603 */   GIM_Try, /*On fail goto*//*Label 22192*/ GIMT_Encode4(1606689), // Rule ID 3269 //
     /* 1606608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1606619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1606622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1606625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1606628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1606631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606654 */     // MIs[0] policy
     /* 1606654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1606667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1606685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606688 */     // GIR_Coverage, 3269,
     /* 1606688 */     GIR_EraseRootFromParent_Done,
     /* 1606689 */   // Label 22192: @1606689
     /* 1606689 */   GIM_Try, /*On fail goto*//*Label 22193*/ GIMT_Encode4(1606775), // Rule ID 3272 //
     /* 1606694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1606697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1606705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1606708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1606711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1606714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606740 */     // MIs[0] policy
     /* 1606740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606750 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1606753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1606771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606774 */     // GIR_Coverage, 3272,
     /* 1606774 */     GIR_EraseRootFromParent_Done,
     /* 1606775 */   // Label 22193: @1606775
     /* 1606775 */   GIM_Try, /*On fail goto*//*Label 22194*/ GIMT_Encode4(1606861), // Rule ID 3273 //
     /* 1606780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1606783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1606791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1606794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1606797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1606800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1606803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1606810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1606822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606826 */     // MIs[0] policy
     /* 1606826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606836 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1606836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M1_MASK),
     /* 1606839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1606857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606860 */     // GIR_Coverage, 3273,
     /* 1606860 */     GIR_EraseRootFromParent_Done,
     /* 1606861 */   // Label 22194: @1606861
     /* 1606861 */   GIM_Try, /*On fail goto*//*Label 22195*/ GIMT_Encode4(1606947), // Rule ID 3276 //
     /* 1606866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1606869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1606877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1606880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1606892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606912 */     // MIs[0] policy
     /* 1606912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1606915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1606922 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1606922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1606925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1606927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1606929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1606931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1606933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1606935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1606940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1606943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1606945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1606946 */     // GIR_Coverage, 3276,
     /* 1606946 */     GIR_EraseRootFromParent_Done,
     /* 1606947 */   // Label 22195: @1606947
     /* 1606947 */   GIM_Try, /*On fail goto*//*Label 22196*/ GIMT_Encode4(1607033), // Rule ID 3277 //
     /* 1606952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1606955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1606960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1606963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1606966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1606969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1606972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1606975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1606978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1606982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1606994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1606998 */     // MIs[0] policy
     /* 1606998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1607011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607032 */     // GIR_Coverage, 3277,
     /* 1607032 */     GIR_EraseRootFromParent_Done,
     /* 1607033 */   // Label 22196: @1607033
     /* 1607033 */   GIM_Try, /*On fail goto*//*Label 22197*/ GIMT_Encode4(1607119), // Rule ID 3280 //
     /* 1607038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1607049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1607052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1607058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607084 */     // MIs[0] policy
     /* 1607084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607094 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1607097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607118 */     // GIR_Coverage, 3280,
     /* 1607118 */     GIR_EraseRootFromParent_Done,
     /* 1607119 */   // Label 22197: @1607119
     /* 1607119 */   GIM_Try, /*On fail goto*//*Label 22198*/ GIMT_Encode4(1607205), // Rule ID 3281 //
     /* 1607124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1607135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1607138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1607141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1607144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607170 */     // MIs[0] policy
     /* 1607170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607180 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1607183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607204 */     // GIR_Coverage, 3281,
     /* 1607204 */     GIR_EraseRootFromParent_Done,
     /* 1607205 */   // Label 22198: @1607205
     /* 1607205 */   GIM_Try, /*On fail goto*//*Label 22199*/ GIMT_Encode4(1607291), // Rule ID 3284 //
     /* 1607210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1607221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1607224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1607227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1607230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1607233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607256 */     // MIs[0] policy
     /* 1607256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607266 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1607269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607290 */     // GIR_Coverage, 3284,
     /* 1607290 */     GIR_EraseRootFromParent_Done,
     /* 1607291 */   // Label 22199: @1607291
     /* 1607291 */   GIM_Try, /*On fail goto*//*Label 22200*/ GIMT_Encode4(1607377), // Rule ID 3285 //
     /* 1607296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1607307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1607310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1607313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1607316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1607319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607342 */     // MIs[0] policy
     /* 1607342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607352 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1607355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1607373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607376 */     // GIR_Coverage, 3285,
     /* 1607376 */     GIR_EraseRootFromParent_Done,
     /* 1607377 */   // Label 22200: @1607377
     /* 1607377 */   GIM_Try, /*On fail goto*//*Label 22201*/ GIMT_Encode4(1607463), // Rule ID 3288 //
     /* 1607382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1607393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1607396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1607399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1607402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607428 */     // MIs[0] policy
     /* 1607428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1607441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607462 */     // GIR_Coverage, 3288,
     /* 1607462 */     GIR_EraseRootFromParent_Done,
     /* 1607463 */   // Label 22201: @1607463
     /* 1607463 */   GIM_Try, /*On fail goto*//*Label 22202*/ GIMT_Encode4(1607549), // Rule ID 3289 //
     /* 1607468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1607479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1607482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1607485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1607488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1607491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607514 */     // MIs[0] policy
     /* 1607514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1607527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607548 */     // GIR_Coverage, 3289,
     /* 1607548 */     GIR_EraseRootFromParent_Done,
     /* 1607549 */   // Label 22202: @1607549
     /* 1607549 */   GIM_Try, /*On fail goto*//*Label 22203*/ GIMT_Encode4(1607635), // Rule ID 3292 //
     /* 1607554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1607574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607600 */     // MIs[0] policy
     /* 1607600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1607613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607634 */     // GIR_Coverage, 3292,
     /* 1607634 */     GIR_EraseRootFromParent_Done,
     /* 1607635 */   // Label 22203: @1607635
     /* 1607635 */   GIM_Try, /*On fail goto*//*Label 22204*/ GIMT_Encode4(1607721), // Rule ID 3293 //
     /* 1607640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1607651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1607654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1607657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1607660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1607663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1607670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1607682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607686 */     // MIs[0] policy
     /* 1607686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1607699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607720 */     // GIR_Coverage, 3293,
     /* 1607720 */     GIR_EraseRootFromParent_Done,
     /* 1607721 */   // Label 22204: @1607721
     /* 1607721 */   GIM_Try, /*On fail goto*//*Label 22205*/ GIMT_Encode4(1607807), // Rule ID 3296 //
     /* 1607726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1607743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1607746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607772 */     // MIs[0] policy
     /* 1607772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1607785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607806 */     // GIR_Coverage, 3296,
     /* 1607806 */     GIR_EraseRootFromParent_Done,
     /* 1607807 */   // Label 22205: @1607807
     /* 1607807 */   GIM_Try, /*On fail goto*//*Label 22206*/ GIMT_Encode4(1607893), // Rule ID 3297 //
     /* 1607812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1607823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1607826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1607829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1607832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1607835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1607838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1607842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1607854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607858 */     // MIs[0] policy
     /* 1607858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1607868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1607871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1607889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607892 */     // GIR_Coverage, 3297,
     /* 1607892 */     GIR_EraseRootFromParent_Done,
     /* 1607893 */   // Label 22206: @1607893
     /* 1607893 */   GIM_Try, /*On fail goto*//*Label 22207*/ GIMT_Encode4(1607979), // Rule ID 3300 //
     /* 1607898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1607901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1607915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1607918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1607921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1607924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1607928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1607940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1607944 */     // MIs[0] policy
     /* 1607944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1607947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1607954 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1607954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1607957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1607959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1607961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1607963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1607965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1607967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1607972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1607975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1607977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1607978 */     // GIR_Coverage, 3300,
     /* 1607978 */     GIR_EraseRootFromParent_Done,
     /* 1607979 */   // Label 22207: @1607979
     /* 1607979 */   GIM_Try, /*On fail goto*//*Label 22208*/ GIMT_Encode4(1608065), // Rule ID 3301 //
     /* 1607984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1607987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1607992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1607995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1607998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1608001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1608004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608030 */     // MIs[0] policy
     /* 1608030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608040 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1608043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608064 */     // GIR_Coverage, 3301,
     /* 1608064 */     GIR_EraseRootFromParent_Done,
     /* 1608065 */   // Label 22208: @1608065
     /* 1608065 */   GIM_Try, /*On fail goto*//*Label 22209*/ GIMT_Encode4(1608151), // Rule ID 3304 //
     /* 1608070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1608090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608116 */     // MIs[0] policy
     /* 1608116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608126 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1608129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608150 */     // GIR_Coverage, 3304,
     /* 1608150 */     GIR_EraseRootFromParent_Done,
     /* 1608151 */   // Label 22209: @1608151
     /* 1608151 */   GIM_Try, /*On fail goto*//*Label 22210*/ GIMT_Encode4(1608237), // Rule ID 3305 //
     /* 1608156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1608167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1608170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1608173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1608176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608202 */     // MIs[0] policy
     /* 1608202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608212 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1608215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608236 */     // GIR_Coverage, 3305,
     /* 1608236 */     GIR_EraseRootFromParent_Done,
     /* 1608237 */   // Label 22210: @1608237
     /* 1608237 */   GIM_Try, /*On fail goto*//*Label 22211*/ GIMT_Encode4(1608323), // Rule ID 3308 //
     /* 1608242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1608253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1608256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1608259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1608262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608288 */     // MIs[0] policy
     /* 1608288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608298 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1608301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608322 */     // GIR_Coverage, 3308,
     /* 1608322 */     GIR_EraseRootFromParent_Done,
     /* 1608323 */   // Label 22211: @1608323
     /* 1608323 */   GIM_Try, /*On fail goto*//*Label 22212*/ GIMT_Encode4(1608409), // Rule ID 3309 //
     /* 1608328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1608331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1608339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1608342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1608345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1608348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1608351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608374 */     // MIs[0] policy
     /* 1608374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608384 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1608387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1608405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608408 */     // GIR_Coverage, 3309,
     /* 1608408 */     GIR_EraseRootFromParent_Done,
     /* 1608409 */   // Label 22212: @1608409
     /* 1608409 */   GIM_Try, /*On fail goto*//*Label 22213*/ GIMT_Encode4(1608495), // Rule ID 3312 //
     /* 1608414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1608417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1608425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1608428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1608431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1608434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608460 */     // MIs[0] policy
     /* 1608460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608470 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1608473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608494 */     // GIR_Coverage, 3312,
     /* 1608494 */     GIR_EraseRootFromParent_Done,
     /* 1608495 */   // Label 22213: @1608495
     /* 1608495 */   GIM_Try, /*On fail goto*//*Label 22214*/ GIMT_Encode4(1608581), // Rule ID 3313 //
     /* 1608500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1608503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1608511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1608514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1608517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1608520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1608523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1608530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1608542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608546 */     // MIs[0] policy
     /* 1608546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608556 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M2_MASK),
     /* 1608559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608580 */     // GIR_Coverage, 3313,
     /* 1608580 */     GIR_EraseRootFromParent_Done,
     /* 1608581 */   // Label 22214: @1608581
     /* 1608581 */   GIM_Try, /*On fail goto*//*Label 22215*/ GIMT_Encode4(1608667), // Rule ID 3316 //
     /* 1608586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1608589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1608597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1608600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1608603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1608606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608632 */     // MIs[0] policy
     /* 1608632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608642 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1608645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608666 */     // GIR_Coverage, 3316,
     /* 1608666 */     GIR_EraseRootFromParent_Done,
     /* 1608667 */   // Label 22215: @1608667
     /* 1608667 */   GIM_Try, /*On fail goto*//*Label 22216*/ GIMT_Encode4(1608753), // Rule ID 3317 //
     /* 1608672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1608675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1608683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1608686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1608689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1608692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1608695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1608702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1608714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608718 */     // MIs[0] policy
     /* 1608718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608728 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M4_MASK),
     /* 1608731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608752 */     // GIR_Coverage, 3317,
     /* 1608752 */     GIR_EraseRootFromParent_Done,
     /* 1608753 */   // Label 22216: @1608753
     /* 1608753 */   GIM_Try, /*On fail goto*//*Label 22217*/ GIMT_Encode4(1608839), // Rule ID 3320 //
     /* 1608758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1608761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1608775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1608778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608804 */     // MIs[0] policy
     /* 1608804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608814 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1608817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608838 */     // GIR_Coverage, 3320,
     /* 1608838 */     GIR_EraseRootFromParent_Done,
     /* 1608839 */   // Label 22217: @1608839
     /* 1608839 */   GIM_Try, /*On fail goto*//*Label 22218*/ GIMT_Encode4(1608925), // Rule ID 3321 //
     /* 1608844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1608847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1608855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1608858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1608861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1608864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1608867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1608870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1608874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1608886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608890 */     // MIs[0] policy
     /* 1608890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608900 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1608900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VV_M8_MASK),
     /* 1608903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1608918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1608921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1608923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1608924 */     // GIR_Coverage, 3321,
     /* 1608924 */     GIR_EraseRootFromParent_Done,
     /* 1608925 */   // Label 22218: @1608925
     /* 1608925 */   GIM_Try, /*On fail goto*//*Label 22219*/ GIMT_Encode4(1609011), // Rule ID 3324 //
     /* 1608930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1608933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1608938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1608941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1608944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1608947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1608950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1608953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1608956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1608960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1608968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1608972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1608976 */     // MIs[0] policy
     /* 1608976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1608979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1608986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1608986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1608989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1608991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1608993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1608995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1608997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1608999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609010 */     // GIR_Coverage, 3324,
     /* 1609010 */     GIR_EraseRootFromParent_Done,
     /* 1609011 */   // Label 22219: @1609011
     /* 1609011 */   GIM_Try, /*On fail goto*//*Label 22220*/ GIMT_Encode4(1609097), // Rule ID 3325 //
     /* 1609016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1609027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1609030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1609033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609062 */     // MIs[0] policy
     /* 1609062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609072 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF8_MASK),
     /* 1609075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609096 */     // GIR_Coverage, 3325,
     /* 1609096 */     GIR_EraseRootFromParent_Done,
     /* 1609097 */   // Label 22220: @1609097
     /* 1609097 */   GIM_Try, /*On fail goto*//*Label 22221*/ GIMT_Encode4(1609183), // Rule ID 3328 //
     /* 1609102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1609113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1609116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609148 */     // MIs[0] policy
     /* 1609148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609158 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1609161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609182 */     // GIR_Coverage, 3328,
     /* 1609182 */     GIR_EraseRootFromParent_Done,
     /* 1609183 */   // Label 22221: @1609183
     /* 1609183 */   GIM_Try, /*On fail goto*//*Label 22222*/ GIMT_Encode4(1609269), // Rule ID 3329 //
     /* 1609188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1609199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1609202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1609205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609234 */     // MIs[0] policy
     /* 1609234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1609247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609268 */     // GIR_Coverage, 3329,
     /* 1609268 */     GIR_EraseRootFromParent_Done,
     /* 1609269 */   // Label 22222: @1609269
     /* 1609269 */   GIM_Try, /*On fail goto*//*Label 22223*/ GIMT_Encode4(1609355), // Rule ID 3332 //
     /* 1609274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1609285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1609288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1609291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609320 */     // MIs[0] policy
     /* 1609320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609330 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1609333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609354 */     // GIR_Coverage, 3332,
     /* 1609354 */     GIR_EraseRootFromParent_Done,
     /* 1609355 */   // Label 22223: @1609355
     /* 1609355 */   GIM_Try, /*On fail goto*//*Label 22224*/ GIMT_Encode4(1609441), // Rule ID 3333 //
     /* 1609360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1609371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1609374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1609377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1609383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609406 */     // MIs[0] policy
     /* 1609406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609416 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1609419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1609437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609440 */     // GIR_Coverage, 3333,
     /* 1609440 */     GIR_EraseRootFromParent_Done,
     /* 1609441 */   // Label 22224: @1609441
     /* 1609441 */   GIM_Try, /*On fail goto*//*Label 22225*/ GIMT_Encode4(1609527), // Rule ID 3336 //
     /* 1609446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1609463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609492 */     // MIs[0] policy
     /* 1609492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1609505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609526 */     // GIR_Coverage, 3336,
     /* 1609526 */     GIR_EraseRootFromParent_Done,
     /* 1609527 */   // Label 22225: @1609527
     /* 1609527 */   GIM_Try, /*On fail goto*//*Label 22226*/ GIMT_Encode4(1609613), // Rule ID 3337 //
     /* 1609532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1609543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1609546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1609549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609578 */     // MIs[0] policy
     /* 1609578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF4_MASK),
     /* 1609591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609612 */     // GIR_Coverage, 3337,
     /* 1609612 */     GIR_EraseRootFromParent_Done,
     /* 1609613 */   // Label 22226: @1609613
     /* 1609613 */   GIM_Try, /*On fail goto*//*Label 22227*/ GIMT_Encode4(1609699), // Rule ID 3340 //
     /* 1609618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609664 */     // MIs[0] policy
     /* 1609664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1609677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609698 */     // GIR_Coverage, 3340,
     /* 1609698 */     GIR_EraseRootFromParent_Done,
     /* 1609699 */   // Label 22227: @1609699
     /* 1609699 */   GIM_Try, /*On fail goto*//*Label 22228*/ GIMT_Encode4(1609785), // Rule ID 3341 //
     /* 1609704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1609715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1609718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1609721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1609727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609750 */     // MIs[0] policy
     /* 1609750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1609763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1609781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609784 */     // GIR_Coverage, 3341,
     /* 1609784 */     GIR_EraseRootFromParent_Done,
     /* 1609785 */   // Label 22228: @1609785
     /* 1609785 */   GIM_Try, /*On fail goto*//*Label 22229*/ GIMT_Encode4(1609871), // Rule ID 3344 //
     /* 1609790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609836 */     // MIs[0] policy
     /* 1609836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609846 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1609846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1609849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609870 */     // GIR_Coverage, 3344,
     /* 1609870 */     GIR_EraseRootFromParent_Done,
     /* 1609871 */   // Label 22229: @1609871
     /* 1609871 */   GIM_Try, /*On fail goto*//*Label 22230*/ GIMT_Encode4(1609957), // Rule ID 3345 //
     /* 1609876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1609879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1609887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1609890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1609893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1609896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1609899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1609902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1609918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1609922 */     // MIs[0] policy
     /* 1609922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1609925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1609932 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1609932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_MF2_MASK),
     /* 1609935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1609937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1609939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1609941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1609943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1609945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1609950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1609953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1609955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1609956 */     // GIR_Coverage, 3345,
     /* 1609956 */     GIR_EraseRootFromParent_Done,
     /* 1609957 */   // Label 22230: @1609957
     /* 1609957 */   GIM_Try, /*On fail goto*//*Label 22231*/ GIMT_Encode4(1610043), // Rule ID 3348 //
     /* 1609962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1609965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1609970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1609973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1609976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1609979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1609982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1609985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1609988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1609992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1609996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610008 */     // MIs[0] policy
     /* 1610008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610018 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1610021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610042 */     // GIR_Coverage, 3348,
     /* 1610042 */     GIR_EraseRootFromParent_Done,
     /* 1610043 */   // Label 22231: @1610043
     /* 1610043 */   GIM_Try, /*On fail goto*//*Label 22232*/ GIMT_Encode4(1610129), // Rule ID 3349 //
     /* 1610048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1610059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1610062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1610065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1610071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610094 */     // MIs[0] policy
     /* 1610094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610104 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11622:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1610107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610128 */     // GIR_Coverage, 3349,
     /* 1610128 */     GIR_EraseRootFromParent_Done,
     /* 1610129 */   // Label 22232: @1610129
     /* 1610129 */   GIM_Try, /*On fail goto*//*Label 22233*/ GIMT_Encode4(1610215), // Rule ID 3352 //
     /* 1610134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1610151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610180 */     // MIs[0] policy
     /* 1610180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610190 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1610193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610214 */     // GIR_Coverage, 3352,
     /* 1610214 */     GIR_EraseRootFromParent_Done,
     /* 1610215 */   // Label 22233: @1610215
     /* 1610215 */   GIM_Try, /*On fail goto*//*Label 22234*/ GIMT_Encode4(1610301), // Rule ID 3353 //
     /* 1610220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1610231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1610234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1610237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1610243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610266 */     // MIs[0] policy
     /* 1610266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610276 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11622:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1610279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1610297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610300 */     // GIR_Coverage, 3353,
     /* 1610300 */     GIR_EraseRootFromParent_Done,
     /* 1610301 */   // Label 22234: @1610301
     /* 1610301 */   GIM_Try, /*On fail goto*//*Label 22235*/ GIMT_Encode4(1610387), // Rule ID 3356 //
     /* 1610306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1610323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610352 */     // MIs[0] policy
     /* 1610352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610362 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1610365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610386 */     // GIR_Coverage, 3356,
     /* 1610386 */     GIR_EraseRootFromParent_Done,
     /* 1610387 */   // Label 22235: @1610387
     /* 1610387 */   GIM_Try, /*On fail goto*//*Label 22236*/ GIMT_Encode4(1610473), // Rule ID 3357 //
     /* 1610392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1610403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1610406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1610409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1610415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610438 */     // MIs[0] policy
     /* 1610438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610448 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11622:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1610451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1610469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610472 */     // GIR_Coverage, 3357,
     /* 1610472 */     GIR_EraseRootFromParent_Done,
     /* 1610473 */   // Label 22236: @1610473
     /* 1610473 */   GIM_Try, /*On fail goto*//*Label 22237*/ GIMT_Encode4(1610559), // Rule ID 3360 //
     /* 1610478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1610481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1610489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1610492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1610495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610524 */     // MIs[0] policy
     /* 1610524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610534 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1610537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1610555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610558 */     // GIR_Coverage, 3360,
     /* 1610558 */     GIR_EraseRootFromParent_Done,
     /* 1610559 */   // Label 22237: @1610559
     /* 1610559 */   GIM_Try, /*On fail goto*//*Label 22238*/ GIMT_Encode4(1610645), // Rule ID 3361 //
     /* 1610564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1610567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1610575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1610578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1610581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1610587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1610594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1610602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610610 */     // MIs[0] policy
     /* 1610610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11622:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M1_MASK),
     /* 1610623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1610641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610644 */     // GIR_Coverage, 3361,
     /* 1610644 */     GIR_EraseRootFromParent_Done,
     /* 1610645 */   // Label 22238: @1610645
     /* 1610645 */   GIM_Try, /*On fail goto*//*Label 22239*/ GIMT_Encode4(1610731), // Rule ID 3364 //
     /* 1610650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1610661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1610664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610696 */     // MIs[0] policy
     /* 1610696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610706 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1610709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610730 */     // GIR_Coverage, 3364,
     /* 1610730 */     GIR_EraseRootFromParent_Done,
     /* 1610731 */   // Label 22239: @1610731
     /* 1610731 */   GIM_Try, /*On fail goto*//*Label 22240*/ GIMT_Encode4(1610817), // Rule ID 3365 //
     /* 1610736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1610747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1610750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1610753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1610759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1610766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1610774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610782 */     // MIs[0] policy
     /* 1610782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610792 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1610795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610816 */     // GIR_Coverage, 3365,
     /* 1610816 */     GIR_EraseRootFromParent_Done,
     /* 1610817 */   // Label 22240: @1610817
     /* 1610817 */   GIM_Try, /*On fail goto*//*Label 22241*/ GIMT_Encode4(1610903), // Rule ID 3368 //
     /* 1610822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1610833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1610836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1610842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1610848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610868 */     // MIs[0] policy
     /* 1610868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610878 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1610878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1610881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610902 */     // GIR_Coverage, 3368,
     /* 1610902 */     GIR_EraseRootFromParent_Done,
     /* 1610903 */   // Label 22241: @1610903
     /* 1610903 */   GIM_Try, /*On fail goto*//*Label 22242*/ GIMT_Encode4(1610989), // Rule ID 3369 //
     /* 1610908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1610911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1610916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1610919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1610922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1610925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1610928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1610931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1610934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1610938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1610946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1610950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1610954 */     // MIs[0] policy
     /* 1610954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1610957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1610964 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1610964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1610967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1610969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1610971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1610973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1610975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1610977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1610982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1610985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1610987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1610988 */     // GIR_Coverage, 3369,
     /* 1610988 */     GIR_EraseRootFromParent_Done,
     /* 1610989 */   // Label 22242: @1610989
     /* 1610989 */   GIM_Try, /*On fail goto*//*Label 22243*/ GIMT_Encode4(1611075), // Rule ID 3372 //
     /* 1610994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1610997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1611005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1611008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1611011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1611017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611040 */     // MIs[0] policy
     /* 1611040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611050 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1611053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611074 */     // GIR_Coverage, 3372,
     /* 1611074 */     GIR_EraseRootFromParent_Done,
     /* 1611075 */   // Label 22243: @1611075
     /* 1611075 */   GIM_Try, /*On fail goto*//*Label 22244*/ GIMT_Encode4(1611161), // Rule ID 3373 //
     /* 1611080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1611091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1611094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1611097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1611103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611126 */     // MIs[0] policy
     /* 1611126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611136 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1611139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1611157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611160 */     // GIR_Coverage, 3373,
     /* 1611160 */     GIR_EraseRootFromParent_Done,
     /* 1611161 */   // Label 22244: @1611161
     /* 1611161 */   GIM_Try, /*On fail goto*//*Label 22245*/ GIMT_Encode4(1611247), // Rule ID 3376 //
     /* 1611166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1611177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1611180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611212 */     // MIs[0] policy
     /* 1611212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611222 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1611225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611246 */     // GIR_Coverage, 3376,
     /* 1611246 */     GIR_EraseRootFromParent_Done,
     /* 1611247 */   // Label 22245: @1611247
     /* 1611247 */   GIM_Try, /*On fail goto*//*Label 22246*/ GIMT_Encode4(1611333), // Rule ID 3377 //
     /* 1611252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1611263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1611266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1611269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611298 */     // MIs[0] policy
     /* 1611298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611308 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1611311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611332 */     // GIR_Coverage, 3377,
     /* 1611332 */     GIR_EraseRootFromParent_Done,
     /* 1611333 */   // Label 22246: @1611333
     /* 1611333 */   GIM_Try, /*On fail goto*//*Label 22247*/ GIMT_Encode4(1611419), // Rule ID 3380 //
     /* 1611338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611384 */     // MIs[0] policy
     /* 1611384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611394 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1611397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611418 */     // GIR_Coverage, 3380,
     /* 1611418 */     GIR_EraseRootFromParent_Done,
     /* 1611419 */   // Label 22247: @1611419
     /* 1611419 */   GIM_Try, /*On fail goto*//*Label 22248*/ GIMT_Encode4(1611505), // Rule ID 3381 //
     /* 1611424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1611435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1611438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1611441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1611447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611470 */     // MIs[0] policy
     /* 1611470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611480 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1611483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611504 */     // GIR_Coverage, 3381,
     /* 1611504 */     GIR_EraseRootFromParent_Done,
     /* 1611505 */   // Label 22248: @1611505
     /* 1611505 */   GIM_Try, /*On fail goto*//*Label 22249*/ GIMT_Encode4(1611591), // Rule ID 3384 //
     /* 1611510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1611527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611556 */     // MIs[0] policy
     /* 1611556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611566 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1611569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611590 */     // GIR_Coverage, 3384,
     /* 1611590 */     GIR_EraseRootFromParent_Done,
     /* 1611591 */   // Label 22249: @1611591
     /* 1611591 */   GIM_Try, /*On fail goto*//*Label 22250*/ GIMT_Encode4(1611677), // Rule ID 3385 //
     /* 1611596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1611607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1611610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1611613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1611619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1611626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1611634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611642 */     // MIs[0] policy
     /* 1611642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611652 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1611655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1611673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611676 */     // GIR_Coverage, 3385,
     /* 1611676 */     GIR_EraseRootFromParent_Done,
     /* 1611677 */   // Label 22250: @1611677
     /* 1611677 */   GIM_Try, /*On fail goto*//*Label 22251*/ GIMT_Encode4(1611763), // Rule ID 3388 //
     /* 1611682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611728 */     // MIs[0] policy
     /* 1611728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611738 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1611741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611762 */     // GIR_Coverage, 3388,
     /* 1611762 */     GIR_EraseRootFromParent_Done,
     /* 1611763 */   // Label 22251: @1611763
     /* 1611763 */   GIM_Try, /*On fail goto*//*Label 22252*/ GIMT_Encode4(1611849), // Rule ID 3389 //
     /* 1611768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1611779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1611782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1611785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1611791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1611798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1611806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611814 */     // MIs[0] policy
     /* 1611814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611824 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1611827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611848 */     // GIR_Coverage, 3389,
     /* 1611848 */     GIR_EraseRootFromParent_Done,
     /* 1611849 */   // Label 22252: @1611849
     /* 1611849 */   GIM_Try, /*On fail goto*//*Label 22253*/ GIMT_Encode4(1611935), // Rule ID 3392 //
     /* 1611854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1611857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1611874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1611880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611900 */     // MIs[0] policy
     /* 1611900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611910 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1611910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1611913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1611915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1611917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1611919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1611921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1611923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1611928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1611931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1611933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1611934 */     // GIR_Coverage, 3392,
     /* 1611934 */     GIR_EraseRootFromParent_Done,
     /* 1611935 */   // Label 22253: @1611935
     /* 1611935 */   GIM_Try, /*On fail goto*//*Label 22254*/ GIMT_Encode4(1612021), // Rule ID 3393 //
     /* 1611940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1611943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1611948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1611951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1611954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1611957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1611960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1611963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1611966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1611970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1611978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1611982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1611986 */     // MIs[0] policy
     /* 1611986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1611989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1611996 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1611996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1611999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612020 */     // GIR_Coverage, 3393,
     /* 1612020 */     GIR_EraseRootFromParent_Done,
     /* 1612021 */   // Label 22254: @1612021
     /* 1612021 */   GIM_Try, /*On fail goto*//*Label 22255*/ GIMT_Encode4(1612107), // Rule ID 3396 //
     /* 1612026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1612034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1612043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612072 */     // MIs[0] policy
     /* 1612072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612082 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1612085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612106 */     // GIR_Coverage, 3396,
     /* 1612106 */     GIR_EraseRootFromParent_Done,
     /* 1612107 */   // Label 22255: @1612107
     /* 1612107 */   GIM_Try, /*On fail goto*//*Label 22256*/ GIMT_Encode4(1612193), // Rule ID 3397 //
     /* 1612112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1612120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1612123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1612126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1612129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1612135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612158 */     // MIs[0] policy
     /* 1612158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612168 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1612171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1612189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612192 */     // GIR_Coverage, 3397,
     /* 1612192 */     GIR_EraseRootFromParent_Done,
     /* 1612193 */   // Label 22256: @1612193
     /* 1612193 */   GIM_Try, /*On fail goto*//*Label 22257*/ GIMT_Encode4(1612279), // Rule ID 3400 //
     /* 1612198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1612201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1612206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1612215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612244 */     // MIs[0] policy
     /* 1612244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612254 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1612257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612278 */     // GIR_Coverage, 3400,
     /* 1612278 */     GIR_EraseRootFromParent_Done,
     /* 1612279 */   // Label 22257: @1612279
     /* 1612279 */   GIM_Try, /*On fail goto*//*Label 22258*/ GIMT_Encode4(1612365), // Rule ID 3401 //
     /* 1612284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1612287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1612292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1612295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1612298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1612301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1612314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1612322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612330 */     // MIs[0] policy
     /* 1612330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612340 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11622:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M2_MASK),
     /* 1612343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612364 */     // GIR_Coverage, 3401,
     /* 1612364 */     GIR_EraseRootFromParent_Done,
     /* 1612365 */   // Label 22258: @1612365
     /* 1612365 */   GIM_Try, /*On fail goto*//*Label 22259*/ GIMT_Encode4(1612451), // Rule ID 3404 //
     /* 1612370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1612373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1612378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1612387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612416 */     // MIs[0] policy
     /* 1612416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612426 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1612429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612450 */     // GIR_Coverage, 3404,
     /* 1612450 */     GIR_EraseRootFromParent_Done,
     /* 1612451 */   // Label 22259: @1612451
     /* 1612451 */   GIM_Try, /*On fail goto*//*Label 22260*/ GIMT_Encode4(1612537), // Rule ID 3405 //
     /* 1612456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1612459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1612464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1612467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1612470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1612473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1612479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1612486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1612494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612502 */     // MIs[0] policy
     /* 1612502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612512 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11622:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M4_MASK),
     /* 1612515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612536 */     // GIR_Coverage, 3405,
     /* 1612536 */     GIR_EraseRootFromParent_Done,
     /* 1612537 */   // Label 22260: @1612537
     /* 1612537 */   GIM_Try, /*On fail goto*//*Label 22261*/ GIMT_Encode4(1612623), // Rule ID 3408 //
     /* 1612542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1612545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1612550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1612559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612588 */     // MIs[0] policy
     /* 1612588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612598 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1612601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612622 */     // GIR_Coverage, 3408,
     /* 1612622 */     GIR_EraseRootFromParent_Done,
     /* 1612623 */   // Label 22261: @1612623
     /* 1612623 */   GIM_Try, /*On fail goto*//*Label 22262*/ GIMT_Encode4(1612709), // Rule ID 3409 //
     /* 1612628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1612631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsub_mask),
     /* 1612636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1612639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1612642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1612645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1612651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1612658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1612666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612674 */     // MIs[0] policy
     /* 1612674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612684 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11622:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSUB_VX_M8_MASK),
     /* 1612687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1612705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612708 */     // GIR_Coverage, 3409,
     /* 1612708 */     GIR_EraseRootFromParent_Done,
     /* 1612709 */   // Label 22262: @1612709
     /* 1612709 */   GIM_Try, /*On fail goto*//*Label 22263*/ GIMT_Encode4(1612795), // Rule ID 3412 //
     /* 1612714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1612722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1612725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1612728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612760 */     // MIs[0] policy
     /* 1612760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612770 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1612773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612794 */     // GIR_Coverage, 3412,
     /* 1612794 */     GIR_EraseRootFromParent_Done,
     /* 1612795 */   // Label 22263: @1612795
     /* 1612795 */   GIM_Try, /*On fail goto*//*Label 22264*/ GIMT_Encode4(1612881), // Rule ID 3413 //
     /* 1612800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1612808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1612811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1612814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1612817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1612823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612846 */     // MIs[0] policy
     /* 1612846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612856 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1612856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF8_MASK),
     /* 1612859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612880 */     // GIR_Coverage, 3413,
     /* 1612880 */     GIR_EraseRootFromParent_Done,
     /* 1612881 */   // Label 22264: @1612881
     /* 1612881 */   GIM_Try, /*On fail goto*//*Label 22265*/ GIMT_Encode4(1612967), // Rule ID 3416 //
     /* 1612886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1612889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1612894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1612897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1612900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1612906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1612912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1612916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1612924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1612928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1612932 */     // MIs[0] policy
     /* 1612932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1612935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1612942 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1612942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1612945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1612947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1612949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1612951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1612953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1612955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1612960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1612963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1612965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1612966 */     // GIR_Coverage, 3416,
     /* 1612966 */     GIR_EraseRootFromParent_Done,
     /* 1612967 */   // Label 22265: @1612967
     /* 1612967 */   GIM_Try, /*On fail goto*//*Label 22266*/ GIMT_Encode4(1613053), // Rule ID 3417 //
     /* 1612972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1612975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1612980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1612983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1612986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1612989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1612992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1612995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1612998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613018 */     // MIs[0] policy
     /* 1613018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613028 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1613031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613052 */     // GIR_Coverage, 3417,
     /* 1613052 */     GIR_EraseRootFromParent_Done,
     /* 1613053 */   // Label 22266: @1613053
     /* 1613053 */   GIM_Try, /*On fail goto*//*Label 22267*/ GIMT_Encode4(1613139), // Rule ID 3420 //
     /* 1613058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1613069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1613072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613104 */     // MIs[0] policy
     /* 1613104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613114 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1613117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613138 */     // GIR_Coverage, 3420,
     /* 1613138 */     GIR_EraseRootFromParent_Done,
     /* 1613139 */   // Label 22267: @1613139
     /* 1613139 */   GIM_Try, /*On fail goto*//*Label 22268*/ GIMT_Encode4(1613225), // Rule ID 3421 //
     /* 1613144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1613155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1613158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1613161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613190 */     // MIs[0] policy
     /* 1613190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613200 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1613203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613224 */     // GIR_Coverage, 3421,
     /* 1613224 */     GIR_EraseRootFromParent_Done,
     /* 1613225 */   // Label 22268: @1613225
     /* 1613225 */   GIM_Try, /*On fail goto*//*Label 22269*/ GIMT_Encode4(1613311), // Rule ID 3424 //
     /* 1613230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1613241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1613244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613276 */     // MIs[0] policy
     /* 1613276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613286 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1613289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613310 */     // GIR_Coverage, 3424,
     /* 1613310 */     GIR_EraseRootFromParent_Done,
     /* 1613311 */   // Label 22269: @1613311
     /* 1613311 */   GIM_Try, /*On fail goto*//*Label 22270*/ GIMT_Encode4(1613397), // Rule ID 3425 //
     /* 1613316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1613327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1613330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1613333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613362 */     // MIs[0] policy
     /* 1613362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613372 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF4_MASK),
     /* 1613375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613396 */     // GIR_Coverage, 3425,
     /* 1613396 */     GIR_EraseRootFromParent_Done,
     /* 1613397 */   // Label 22270: @1613397
     /* 1613397 */   GIM_Try, /*On fail goto*//*Label 22271*/ GIMT_Encode4(1613483), // Rule ID 3428 //
     /* 1613402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613448 */     // MIs[0] policy
     /* 1613448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613458 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1613461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613482 */     // GIR_Coverage, 3428,
     /* 1613482 */     GIR_EraseRootFromParent_Done,
     /* 1613483 */   // Label 22271: @1613483
     /* 1613483 */   GIM_Try, /*On fail goto*//*Label 22272*/ GIMT_Encode4(1613569), // Rule ID 3429 //
     /* 1613488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1613499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1613502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1613505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1613511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613534 */     // MIs[0] policy
     /* 1613534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613544 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1613547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613568 */     // GIR_Coverage, 3429,
     /* 1613568 */     GIR_EraseRootFromParent_Done,
     /* 1613569 */   // Label 22272: @1613569
     /* 1613569 */   GIM_Try, /*On fail goto*//*Label 22273*/ GIMT_Encode4(1613655), // Rule ID 3432 //
     /* 1613574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1613591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613620 */     // MIs[0] policy
     /* 1613620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613630 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1613633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613654 */     // GIR_Coverage, 3432,
     /* 1613654 */     GIR_EraseRootFromParent_Done,
     /* 1613655 */   // Label 22273: @1613655
     /* 1613655 */   GIM_Try, /*On fail goto*//*Label 22274*/ GIMT_Encode4(1613741), // Rule ID 3433 //
     /* 1613660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1613671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1613674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1613677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1613683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613706 */     // MIs[0] policy
     /* 1613706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613716 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_MF2_MASK),
     /* 1613719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1613737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613740 */     // GIR_Coverage, 3433,
     /* 1613740 */     GIR_EraseRootFromParent_Done,
     /* 1613741 */   // Label 22274: @1613741
     /* 1613741 */   GIM_Try, /*On fail goto*//*Label 22275*/ GIMT_Encode4(1613827), // Rule ID 3436 //
     /* 1613746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1613757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1613760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613792 */     // MIs[0] policy
     /* 1613792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613802 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1613805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613826 */     // GIR_Coverage, 3436,
     /* 1613826 */     GIR_EraseRootFromParent_Done,
     /* 1613827 */   // Label 22275: @1613827
     /* 1613827 */   GIM_Try, /*On fail goto*//*Label 22276*/ GIMT_Encode4(1613913), // Rule ID 3437 //
     /* 1613832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1613835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1613843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1613846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1613849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1613852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1613855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1613858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613878 */     // MIs[0] policy
     /* 1613878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613888 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11530:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1613888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1613891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1613909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613912 */     // GIR_Coverage, 3437,
     /* 1613912 */     GIR_EraseRootFromParent_Done,
     /* 1613913 */   // Label 22276: @1613913
     /* 1613913 */   GIM_Try, /*On fail goto*//*Label 22277*/ GIMT_Encode4(1613999), // Rule ID 3440 //
     /* 1613918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1613921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1613926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1613929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1613932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1613935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1613938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1613941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1613944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1613948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1613956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1613960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1613964 */     // MIs[0] policy
     /* 1613964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1613967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1613974 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1613974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1613977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1613979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1613981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1613983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1613985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1613987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1613992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1613995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1613997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1613998 */     // GIR_Coverage, 3440,
     /* 1613998 */     GIR_EraseRootFromParent_Done,
     /* 1613999 */   // Label 22277: @1613999
     /* 1613999 */   GIM_Try, /*On fail goto*//*Label 22278*/ GIMT_Encode4(1614085), // Rule ID 3441 //
     /* 1614004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1614015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1614018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1614021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1614027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614050 */     // MIs[0] policy
     /* 1614050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614060 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11530:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1614063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1614081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614084 */     // GIR_Coverage, 3441,
     /* 1614084 */     GIR_EraseRootFromParent_Done,
     /* 1614085 */   // Label 22278: @1614085
     /* 1614085 */   GIM_Try, /*On fail goto*//*Label 22279*/ GIMT_Encode4(1614171), // Rule ID 3444 //
     /* 1614090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614136 */     // MIs[0] policy
     /* 1614136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1614149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614170 */     // GIR_Coverage, 3444,
     /* 1614170 */     GIR_EraseRootFromParent_Done,
     /* 1614171 */   // Label 22279: @1614171
     /* 1614171 */   GIM_Try, /*On fail goto*//*Label 22280*/ GIMT_Encode4(1614257), // Rule ID 3445 //
     /* 1614176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1614187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1614190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1614193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1614199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614222 */     // MIs[0] policy
     /* 1614222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614232 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11530:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1614235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1614253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614256 */     // GIR_Coverage, 3445,
     /* 1614256 */     GIR_EraseRootFromParent_Done,
     /* 1614257 */   // Label 22280: @1614257
     /* 1614257 */   GIM_Try, /*On fail goto*//*Label 22281*/ GIMT_Encode4(1614343), // Rule ID 3448 //
     /* 1614262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1614265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1614279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614308 */     // MIs[0] policy
     /* 1614308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614318 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1614321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1614339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614342 */     // GIR_Coverage, 3448,
     /* 1614342 */     GIR_EraseRootFromParent_Done,
     /* 1614343 */   // Label 22281: @1614343
     /* 1614343 */   GIM_Try, /*On fail goto*//*Label 22282*/ GIMT_Encode4(1614429), // Rule ID 3449 //
     /* 1614348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1614351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1614359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1614362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1614365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1614371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1614378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1614386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614394 */     // MIs[0] policy
     /* 1614394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614404 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11530:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M1_MASK),
     /* 1614407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1614425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614428 */     // GIR_Coverage, 3449,
     /* 1614428 */     GIR_EraseRootFromParent_Done,
     /* 1614429 */   // Label 22282: @1614429
     /* 1614429 */   GIM_Try, /*On fail goto*//*Label 22283*/ GIMT_Encode4(1614515), // Rule ID 3452 //
     /* 1614434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1614445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1614448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1614451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614480 */     // MIs[0] policy
     /* 1614480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1614493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614514 */     // GIR_Coverage, 3452,
     /* 1614514 */     GIR_EraseRootFromParent_Done,
     /* 1614515 */   // Label 22283: @1614515
     /* 1614515 */   GIM_Try, /*On fail goto*//*Label 22284*/ GIMT_Encode4(1614601), // Rule ID 3453 //
     /* 1614520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1614531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1614534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1614537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1614543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614566 */     // MIs[0] policy
     /* 1614566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614576 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1614579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614600 */     // GIR_Coverage, 3453,
     /* 1614600 */     GIR_EraseRootFromParent_Done,
     /* 1614601 */   // Label 22284: @1614601
     /* 1614601 */   GIM_Try, /*On fail goto*//*Label 22285*/ GIMT_Encode4(1614687), // Rule ID 3456 //
     /* 1614606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1614617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1614620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1614623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1614629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614652 */     // MIs[0] policy
     /* 1614652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614662 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1614665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614686 */     // GIR_Coverage, 3456,
     /* 1614686 */     GIR_EraseRootFromParent_Done,
     /* 1614687 */   // Label 22285: @1614687
     /* 1614687 */   GIM_Try, /*On fail goto*//*Label 22286*/ GIMT_Encode4(1614773), // Rule ID 3457 //
     /* 1614692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1614703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1614706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1614709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1614715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1614722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1614730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614738 */     // MIs[0] policy
     /* 1614738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614748 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1614751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614772 */     // GIR_Coverage, 3457,
     /* 1614772 */     GIR_EraseRootFromParent_Done,
     /* 1614773 */   // Label 22286: @1614773
     /* 1614773 */   GIM_Try, /*On fail goto*//*Label 22287*/ GIMT_Encode4(1614859), // Rule ID 3460 //
     /* 1614778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1614789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1614792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1614795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1614801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614824 */     // MIs[0] policy
     /* 1614824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614834 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1614834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1614837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614858 */     // GIR_Coverage, 3460,
     /* 1614858 */     GIR_EraseRootFromParent_Done,
     /* 1614859 */   // Label 22287: @1614859
     /* 1614859 */   GIM_Try, /*On fail goto*//*Label 22288*/ GIMT_Encode4(1614945), // Rule ID 3461 //
     /* 1614864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1614867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1614875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1614878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1614881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1614884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1614887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1614890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1614894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1614902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614910 */     // MIs[0] policy
     /* 1614910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1614920 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1614920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1614923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1614925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1614927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1614929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1614931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1614933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1614938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1614941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1614943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1614944 */     // GIR_Coverage, 3461,
     /* 1614944 */     GIR_EraseRootFromParent_Done,
     /* 1614945 */   // Label 22288: @1614945
     /* 1614945 */   GIM_Try, /*On fail goto*//*Label 22289*/ GIMT_Encode4(1615031), // Rule ID 3464 //
     /* 1614950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1614953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1614958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1614961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1614964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1614967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1614970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1614973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1614976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1614980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1614988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1614992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1614996 */     // MIs[0] policy
     /* 1614996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1614999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615006 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1615009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615030 */     // GIR_Coverage, 3464,
     /* 1615030 */     GIR_EraseRootFromParent_Done,
     /* 1615031 */   // Label 22289: @1615031
     /* 1615031 */   GIM_Try, /*On fail goto*//*Label 22290*/ GIMT_Encode4(1615117), // Rule ID 3465 //
     /* 1615036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1615047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1615050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1615053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615082 */     // MIs[0] policy
     /* 1615082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615092 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1615095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615116 */     // GIR_Coverage, 3465,
     /* 1615116 */     GIR_EraseRootFromParent_Done,
     /* 1615117 */   // Label 22290: @1615117
     /* 1615117 */   GIM_Try, /*On fail goto*//*Label 22291*/ GIMT_Encode4(1615203), // Rule ID 3468 //
     /* 1615122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1615139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615168 */     // MIs[0] policy
     /* 1615168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615178 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1615181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615202 */     // GIR_Coverage, 3468,
     /* 1615202 */     GIR_EraseRootFromParent_Done,
     /* 1615203 */   // Label 22291: @1615203
     /* 1615203 */   GIM_Try, /*On fail goto*//*Label 22292*/ GIMT_Encode4(1615289), // Rule ID 3469 //
     /* 1615208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1615219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1615222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1615225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615254 */     // MIs[0] policy
     /* 1615254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615264 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1615267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615288 */     // GIR_Coverage, 3469,
     /* 1615288 */     GIR_EraseRootFromParent_Done,
     /* 1615289 */   // Label 22292: @1615289
     /* 1615289 */   GIM_Try, /*On fail goto*//*Label 22293*/ GIMT_Encode4(1615375), // Rule ID 3472 //
     /* 1615294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1615311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615340 */     // MIs[0] policy
     /* 1615340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615350 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1615353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615374 */     // GIR_Coverage, 3472,
     /* 1615374 */     GIR_EraseRootFromParent_Done,
     /* 1615375 */   // Label 22293: @1615375
     /* 1615375 */   GIM_Try, /*On fail goto*//*Label 22294*/ GIMT_Encode4(1615461), // Rule ID 3473 //
     /* 1615380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1615391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1615394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1615397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1615403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615426 */     // MIs[0] policy
     /* 1615426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615436 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1615439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1615457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615460 */     // GIR_Coverage, 3473,
     /* 1615460 */     GIR_EraseRootFromParent_Done,
     /* 1615461 */   // Label 22294: @1615461
     /* 1615461 */   GIM_Try, /*On fail goto*//*Label 22295*/ GIMT_Encode4(1615547), // Rule ID 3476 //
     /* 1615466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1615477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1615480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615512 */     // MIs[0] policy
     /* 1615512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1615525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615546 */     // GIR_Coverage, 3476,
     /* 1615546 */     GIR_EraseRootFromParent_Done,
     /* 1615547 */   // Label 22295: @1615547
     /* 1615547 */   GIM_Try, /*On fail goto*//*Label 22296*/ GIMT_Encode4(1615633), // Rule ID 3477 //
     /* 1615552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1615563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1615566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1615569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1615575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1615582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1615590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615598 */     // MIs[0] policy
     /* 1615598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615608 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1615611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615632 */     // GIR_Coverage, 3477,
     /* 1615632 */     GIR_EraseRootFromParent_Done,
     /* 1615633 */   // Label 22296: @1615633
     /* 1615633 */   GIM_Try, /*On fail goto*//*Label 22297*/ GIMT_Encode4(1615719), // Rule ID 3480 //
     /* 1615638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1615649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1615652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615684 */     // MIs[0] policy
     /* 1615684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615694 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1615697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615718 */     // GIR_Coverage, 3480,
     /* 1615718 */     GIR_EraseRootFromParent_Done,
     /* 1615719 */   // Label 22297: @1615719
     /* 1615719 */   GIM_Try, /*On fail goto*//*Label 22298*/ GIMT_Encode4(1615805), // Rule ID 3481 //
     /* 1615724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1615735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1615738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1615741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1615747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1615754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1615762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615770 */     // MIs[0] policy
     /* 1615770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1615783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615804 */     // GIR_Coverage, 3481,
     /* 1615804 */     GIR_EraseRootFromParent_Done,
     /* 1615805 */   // Label 22298: @1615805
     /* 1615805 */   GIM_Try, /*On fail goto*//*Label 22299*/ GIMT_Encode4(1615891), // Rule ID 3484 //
     /* 1615810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1615813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1615821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1615824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1615827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1615830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1615836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615856 */     // MIs[0] policy
     /* 1615856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615866 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1615866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1615869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615890 */     // GIR_Coverage, 3484,
     /* 1615890 */     GIR_EraseRootFromParent_Done,
     /* 1615891 */   // Label 22299: @1615891
     /* 1615891 */   GIM_Try, /*On fail goto*//*Label 22300*/ GIMT_Encode4(1615977), // Rule ID 3485 //
     /* 1615896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1615899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1615907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1615910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1615913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1615916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1615919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1615922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1615926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1615934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1615938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1615942 */     // MIs[0] policy
     /* 1615942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1615945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1615952 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1615952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1615955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1615957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1615959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1615961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1615963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1615965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1615970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1615973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1615975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1615976 */     // GIR_Coverage, 3485,
     /* 1615976 */     GIR_EraseRootFromParent_Done,
     /* 1615977 */   // Label 22300: @1615977
     /* 1615977 */   GIM_Try, /*On fail goto*//*Label 22301*/ GIMT_Encode4(1616063), // Rule ID 3488 //
     /* 1615982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1615985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1615990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1615993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1615996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1615999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616028 */     // MIs[0] policy
     /* 1616028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616038 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1616041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1616059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616062 */     // GIR_Coverage, 3488,
     /* 1616062 */     GIR_EraseRootFromParent_Done,
     /* 1616063 */   // Label 22301: @1616063
     /* 1616063 */   GIM_Try, /*On fail goto*//*Label 22302*/ GIMT_Encode4(1616149), // Rule ID 3489 //
     /* 1616068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1616071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1616076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1616079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1616082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1616085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1616098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1616106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616114 */     // MIs[0] policy
     /* 1616114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616124 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11530:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M2_MASK),
     /* 1616127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1616145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616148 */     // GIR_Coverage, 3489,
     /* 1616148 */     GIR_EraseRootFromParent_Done,
     /* 1616149 */   // Label 22302: @1616149
     /* 1616149 */   GIM_Try, /*On fail goto*//*Label 22303*/ GIMT_Encode4(1616235), // Rule ID 3492 //
     /* 1616154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1616157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1616162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1616165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1616168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1616171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616200 */     // MIs[0] policy
     /* 1616200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616210 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1616213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1616231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616234 */     // GIR_Coverage, 3492,
     /* 1616234 */     GIR_EraseRootFromParent_Done,
     /* 1616235 */   // Label 22303: @1616235
     /* 1616235 */   GIM_Try, /*On fail goto*//*Label 22304*/ GIMT_Encode4(1616321), // Rule ID 3493 //
     /* 1616240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1616243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1616248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1616251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1616254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1616257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1616270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1616278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616286 */     // MIs[0] policy
     /* 1616286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616296 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11530:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M4_MASK),
     /* 1616299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1616317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616320 */     // GIR_Coverage, 3493,
     /* 1616320 */     GIR_EraseRootFromParent_Done,
     /* 1616321 */   // Label 22304: @1616321
     /* 1616321 */   GIM_Try, /*On fail goto*//*Label 22305*/ GIMT_Encode4(1616407), // Rule ID 3496 //
     /* 1616326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1616329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1616334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1616337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1616340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1616343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1616346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616372 */     // MIs[0] policy
     /* 1616372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616382 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1616385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1616403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616406 */     // GIR_Coverage, 3496,
     /* 1616406 */     GIR_EraseRootFromParent_Done,
     /* 1616407 */   // Label 22305: @1616407
     /* 1616407 */   GIM_Try, /*On fail goto*//*Label 22306*/ GIMT_Encode4(1616493), // Rule ID 3497 //
     /* 1616412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1616415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrsub_mask),
     /* 1616420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1616423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1616426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1616429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1616432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1616435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1616442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1616450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1616454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616458 */     // MIs[0] policy
     /* 1616458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616468 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11530:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRSUB_VX_M8_MASK),
     /* 1616471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1616489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616492 */     // GIR_Coverage, 3497,
     /* 1616492 */     GIR_EraseRootFromParent_Done,
     /* 1616493 */   // Label 22306: @1616493
     /* 1616493 */   GIM_Try, /*On fail goto*//*Label 22307*/ GIMT_Encode4(1616579), // Rule ID 3588 //
     /* 1616498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1616509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1616512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1616515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1616518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616544 */     // MIs[0] policy
     /* 1616544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616554 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1616557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616578 */     // GIR_Coverage, 3588,
     /* 1616578 */     GIR_EraseRootFromParent_Done,
     /* 1616579 */   // Label 22307: @1616579
     /* 1616579 */   GIM_Try, /*On fail goto*//*Label 22308*/ GIMT_Encode4(1616665), // Rule ID 3589 //
     /* 1616584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1616595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1616598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1616601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1616604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1616607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616630 */     // MIs[0] policy
     /* 1616630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616640 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF8_MASK),
     /* 1616643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616664 */     // GIR_Coverage, 3589,
     /* 1616664 */     GIR_EraseRootFromParent_Done,
     /* 1616665 */   // Label 22308: @1616665
     /* 1616665 */   GIM_Try, /*On fail goto*//*Label 22309*/ GIMT_Encode4(1616751), // Rule ID 3592 //
     /* 1616670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1616681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1616684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1616687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1616690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616716 */     // MIs[0] policy
     /* 1616716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616726 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1616729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616750 */     // GIR_Coverage, 3592,
     /* 1616750 */     GIR_EraseRootFromParent_Done,
     /* 1616751 */   // Label 22309: @1616751
     /* 1616751 */   GIM_Try, /*On fail goto*//*Label 22310*/ GIMT_Encode4(1616837), // Rule ID 3593 //
     /* 1616756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1616767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1616770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1616773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1616776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1616779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616802 */     // MIs[0] policy
     /* 1616802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616812 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1616815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616836 */     // GIR_Coverage, 3593,
     /* 1616836 */     GIR_EraseRootFromParent_Done,
     /* 1616837 */   // Label 22310: @1616837
     /* 1616837 */   GIM_Try, /*On fail goto*//*Label 22311*/ GIMT_Encode4(1616923), // Rule ID 3596 //
     /* 1616842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1616845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1616862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1616868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616888 */     // MIs[0] policy
     /* 1616888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616898 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1616898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1616901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1616916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1616919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1616921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1616922 */     // GIR_Coverage, 3596,
     /* 1616922 */     GIR_EraseRootFromParent_Done,
     /* 1616923 */   // Label 22311: @1616923
     /* 1616923 */   GIM_Try, /*On fail goto*//*Label 22312*/ GIMT_Encode4(1617009), // Rule ID 3597 //
     /* 1616928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1616931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1616936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1616939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1616942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1616945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1616948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1616951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1616954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1616958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1616970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1616974 */     // MIs[0] policy
     /* 1616974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1616977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1616984 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1616984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1616987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1616989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1616991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1616993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1616995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1616997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617008 */     // GIR_Coverage, 3597,
     /* 1617008 */     GIR_EraseRootFromParent_Done,
     /* 1617009 */   // Label 22312: @1617009
     /* 1617009 */   GIM_Try, /*On fail goto*//*Label 22313*/ GIMT_Encode4(1617095), // Rule ID 3600 //
     /* 1617014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1617031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1617034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617060 */     // MIs[0] policy
     /* 1617060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617070 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1617073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617094 */     // GIR_Coverage, 3600,
     /* 1617094 */     GIR_EraseRootFromParent_Done,
     /* 1617095 */   // Label 22313: @1617095
     /* 1617095 */   GIM_Try, /*On fail goto*//*Label 22314*/ GIMT_Encode4(1617181), // Rule ID 3601 //
     /* 1617100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1617111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1617114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1617117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1617120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1617123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617146 */     // MIs[0] policy
     /* 1617146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617156 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1617159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617180 */     // GIR_Coverage, 3601,
     /* 1617180 */     GIR_EraseRootFromParent_Done,
     /* 1617181 */   // Label 22314: @1617181
     /* 1617181 */   GIM_Try, /*On fail goto*//*Label 22315*/ GIMT_Encode4(1617267), // Rule ID 3604 //
     /* 1617186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1617197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1617200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1617203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1617206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617232 */     // MIs[0] policy
     /* 1617232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1617245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617266 */     // GIR_Coverage, 3604,
     /* 1617266 */     GIR_EraseRootFromParent_Done,
     /* 1617267 */   // Label 22315: @1617267
     /* 1617267 */   GIM_Try, /*On fail goto*//*Label 22316*/ GIMT_Encode4(1617353), // Rule ID 3605 //
     /* 1617272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1617283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1617286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1617289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1617292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1617295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1617302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617318 */     // MIs[0] policy
     /* 1617318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617328 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1617331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617352 */     // GIR_Coverage, 3605,
     /* 1617352 */     GIR_EraseRootFromParent_Done,
     /* 1617353 */   // Label 22316: @1617353
     /* 1617353 */   GIM_Try, /*On fail goto*//*Label 22317*/ GIMT_Encode4(1617439), // Rule ID 3608 //
     /* 1617358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1617369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1617372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1617375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1617378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1617381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617404 */     // MIs[0] policy
     /* 1617404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617414 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1617417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617438 */     // GIR_Coverage, 3608,
     /* 1617438 */     GIR_EraseRootFromParent_Done,
     /* 1617439 */   // Label 22317: @1617439
     /* 1617439 */   GIM_Try, /*On fail goto*//*Label 22318*/ GIMT_Encode4(1617525), // Rule ID 3609 //
     /* 1617444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1617455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1617458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1617461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1617464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1617467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1617474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1617478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1617486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617490 */     // MIs[0] policy
     /* 1617490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617500 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1617503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1617521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617524 */     // GIR_Coverage, 3609,
     /* 1617524 */     GIR_EraseRootFromParent_Done,
     /* 1617525 */   // Label 22318: @1617525
     /* 1617525 */   GIM_Try, /*On fail goto*//*Label 22319*/ GIMT_Encode4(1617611), // Rule ID 3612 //
     /* 1617530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1617541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1617544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1617547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1617550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617576 */     // MIs[0] policy
     /* 1617576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617586 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1617589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617610 */     // GIR_Coverage, 3612,
     /* 1617610 */     GIR_EraseRootFromParent_Done,
     /* 1617611 */   // Label 22319: @1617611
     /* 1617611 */   GIM_Try, /*On fail goto*//*Label 22320*/ GIMT_Encode4(1617697), // Rule ID 3613 //
     /* 1617616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1617627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1617630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1617633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1617636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1617639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617662 */     // MIs[0] policy
     /* 1617662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617672 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF4_MASK),
     /* 1617675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617696 */     // GIR_Coverage, 3613,
     /* 1617696 */     GIR_EraseRootFromParent_Done,
     /* 1617697 */   // Label 22320: @1617697
     /* 1617697 */   GIM_Try, /*On fail goto*//*Label 22321*/ GIMT_Encode4(1617783), // Rule ID 3616 //
     /* 1617702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1617719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1617722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617748 */     // MIs[0] policy
     /* 1617748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617758 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11644:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1617761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617782 */     // GIR_Coverage, 3616,
     /* 1617782 */     GIR_EraseRootFromParent_Done,
     /* 1617783 */   // Label 22321: @1617783
     /* 1617783 */   GIM_Try, /*On fail goto*//*Label 22322*/ GIMT_Encode4(1617869), // Rule ID 3617 //
     /* 1617788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1617799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1617802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1617805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1617808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1617811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1617818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617834 */     // MIs[0] policy
     /* 1617834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617844 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11644:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1617844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1617847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617868 */     // GIR_Coverage, 3617,
     /* 1617868 */     GIR_EraseRootFromParent_Done,
     /* 1617869 */   // Label 22322: @1617869
     /* 1617869 */   GIM_Try, /*On fail goto*//*Label 22323*/ GIMT_Encode4(1617955), // Rule ID 3620 //
     /* 1617874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1617877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1617885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1617888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1617891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1617894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1617900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1617920 */     // MIs[0] policy
     /* 1617920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1617923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1617930 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1617930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1617933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1617935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1617937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1617939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1617941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1617943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1617948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1617951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1617953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1617954 */     // GIR_Coverage, 3620,
     /* 1617954 */     GIR_EraseRootFromParent_Done,
     /* 1617955 */   // Label 22323: @1617955
     /* 1617955 */   GIM_Try, /*On fail goto*//*Label 22324*/ GIMT_Encode4(1618041), // Rule ID 3621 //
     /* 1617960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1617963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1617968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1617971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1617974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1617977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1617980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1617983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1617986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1617990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1617994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1617998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618006 */     // MIs[0] policy
     /* 1618006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618016 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1618019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618040 */     // GIR_Coverage, 3621,
     /* 1618040 */     GIR_EraseRootFromParent_Done,
     /* 1618041 */   // Label 22324: @1618041
     /* 1618041 */   GIM_Try, /*On fail goto*//*Label 22325*/ GIMT_Encode4(1618127), // Rule ID 3624 //
     /* 1618046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1618063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1618066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618092 */     // MIs[0] policy
     /* 1618092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618102 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1618105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618126 */     // GIR_Coverage, 3624,
     /* 1618126 */     GIR_EraseRootFromParent_Done,
     /* 1618127 */   // Label 22325: @1618127
     /* 1618127 */   GIM_Try, /*On fail goto*//*Label 22326*/ GIMT_Encode4(1618213), // Rule ID 3625 //
     /* 1618132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1618143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1618146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1618149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1618152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618178 */     // MIs[0] policy
     /* 1618178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1618191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618212 */     // GIR_Coverage, 3625,
     /* 1618212 */     GIR_EraseRootFromParent_Done,
     /* 1618213 */   // Label 22326: @1618213
     /* 1618213 */   GIM_Try, /*On fail goto*//*Label 22327*/ GIMT_Encode4(1618299), // Rule ID 3628 //
     /* 1618218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1618221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1618229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1618232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1618235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1618238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618264 */     // MIs[0] policy
     /* 1618264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618274 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1618277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618298 */     // GIR_Coverage, 3628,
     /* 1618298 */     GIR_EraseRootFromParent_Done,
     /* 1618299 */   // Label 22327: @1618299
     /* 1618299 */   GIM_Try, /*On fail goto*//*Label 22328*/ GIMT_Encode4(1618385), // Rule ID 3629 //
     /* 1618304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1618307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1618315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1618318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1618321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1618324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1618327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618350 */     // MIs[0] policy
     /* 1618350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618360 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1618363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1618381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618384 */     // GIR_Coverage, 3629,
     /* 1618384 */     GIR_EraseRootFromParent_Done,
     /* 1618385 */   // Label 22328: @1618385
     /* 1618385 */   GIM_Try, /*On fail goto*//*Label 22329*/ GIMT_Encode4(1618471), // Rule ID 3632 //
     /* 1618390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1618401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1618404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1618407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1618410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618436 */     // MIs[0] policy
     /* 1618436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618446 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1618449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618470 */     // GIR_Coverage, 3632,
     /* 1618470 */     GIR_EraseRootFromParent_Done,
     /* 1618471 */   // Label 22329: @1618471
     /* 1618471 */   GIM_Try, /*On fail goto*//*Label 22330*/ GIMT_Encode4(1618557), // Rule ID 3633 //
     /* 1618476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1618487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1618490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1618493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1618496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1618499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1618506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618522 */     // MIs[0] policy
     /* 1618522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618532 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_MF2_MASK),
     /* 1618535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618556 */     // GIR_Coverage, 3633,
     /* 1618556 */     GIR_EraseRootFromParent_Done,
     /* 1618557 */   // Label 22330: @1618557
     /* 1618557 */   GIM_Try, /*On fail goto*//*Label 22331*/ GIMT_Encode4(1618643), // Rule ID 3636 //
     /* 1618562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1618573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1618576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1618579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1618582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618608 */     // MIs[0] policy
     /* 1618608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618618 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1618621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618642 */     // GIR_Coverage, 3636,
     /* 1618642 */     GIR_EraseRootFromParent_Done,
     /* 1618643 */   // Label 22331: @1618643
     /* 1618643 */   GIM_Try, /*On fail goto*//*Label 22332*/ GIMT_Encode4(1618729), // Rule ID 3637 //
     /* 1618648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1618659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1618662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1618665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1618668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1618671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1618678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1618690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618694 */     // MIs[0] policy
     /* 1618694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618704 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M1_MASK),
     /* 1618707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618728 */     // GIR_Coverage, 3637,
     /* 1618728 */     GIR_EraseRootFromParent_Done,
     /* 1618729 */   // Label 22332: @1618729
     /* 1618729 */   GIM_Try, /*On fail goto*//*Label 22333*/ GIMT_Encode4(1618815), // Rule ID 3640 //
     /* 1618734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1618745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1618748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1618754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618780 */     // MIs[0] policy
     /* 1618780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618790 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1618793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618814 */     // GIR_Coverage, 3640,
     /* 1618814 */     GIR_EraseRootFromParent_Done,
     /* 1618815 */   // Label 22333: @1618815
     /* 1618815 */   GIM_Try, /*On fail goto*//*Label 22334*/ GIMT_Encode4(1618901), // Rule ID 3641 //
     /* 1618820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1618831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1618834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1618837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1618840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1618843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1618846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1618850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1618862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618866 */     // MIs[0] policy
     /* 1618866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618876 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1618876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M2_MASK),
     /* 1618879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618900 */     // GIR_Coverage, 3641,
     /* 1618900 */     GIR_EraseRootFromParent_Done,
     /* 1618901 */   // Label 22334: @1618901
     /* 1618901 */   GIM_Try, /*On fail goto*//*Label 22335*/ GIMT_Encode4(1618987), // Rule ID 3644 //
     /* 1618906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1618909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1618914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1618917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1618920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1618923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1618926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1618929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1618932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1618936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1618940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1618948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1618952 */     // MIs[0] policy
     /* 1618952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1618955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1618962 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1618962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1618965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1618967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1618969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1618971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1618973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1618975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1618980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1618983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1618985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1618986 */     // GIR_Coverage, 3644,
     /* 1618986 */     GIR_EraseRootFromParent_Done,
     /* 1618987 */   // Label 22335: @1618987
     /* 1618987 */   GIM_Try, /*On fail goto*//*Label 22336*/ GIMT_Encode4(1619073), // Rule ID 3645 //
     /* 1618992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1618995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1619003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1619006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1619009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1619012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619038 */     // MIs[0] policy
     /* 1619038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619048 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VV_M4_MASK),
     /* 1619051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1619069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619072 */     // GIR_Coverage, 3645,
     /* 1619072 */     GIR_EraseRootFromParent_Done,
     /* 1619073 */   // Label 22336: @1619073
     /* 1619073 */   GIM_Try, /*On fail goto*//*Label 22337*/ GIMT_Encode4(1619159), // Rule ID 3648 //
     /* 1619078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1619089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1619092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1619095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619124 */     // MIs[0] policy
     /* 1619124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619134 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1619137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619158 */     // GIR_Coverage, 3648,
     /* 1619158 */     GIR_EraseRootFromParent_Done,
     /* 1619159 */   // Label 22337: @1619159
     /* 1619159 */   GIM_Try, /*On fail goto*//*Label 22338*/ GIMT_Encode4(1619245), // Rule ID 3649 //
     /* 1619164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1619175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1619178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1619181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1619187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619210 */     // MIs[0] policy
     /* 1619210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF8_MASK),
     /* 1619223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619244 */     // GIR_Coverage, 3649,
     /* 1619244 */     GIR_EraseRootFromParent_Done,
     /* 1619245 */   // Label 22338: @1619245
     /* 1619245 */   GIM_Try, /*On fail goto*//*Label 22339*/ GIMT_Encode4(1619331), // Rule ID 3652 //
     /* 1619250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1619261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1619264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1619267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619296 */     // MIs[0] policy
     /* 1619296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1619309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619330 */     // GIR_Coverage, 3652,
     /* 1619330 */     GIR_EraseRootFromParent_Done,
     /* 1619331 */   // Label 22339: @1619331
     /* 1619331 */   GIM_Try, /*On fail goto*//*Label 22340*/ GIMT_Encode4(1619417), // Rule ID 3653 //
     /* 1619336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1619347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1619350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1619353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1619359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619382 */     // MIs[0] policy
     /* 1619382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619392 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1619395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619416 */     // GIR_Coverage, 3653,
     /* 1619416 */     GIR_EraseRootFromParent_Done,
     /* 1619417 */   // Label 22340: @1619417
     /* 1619417 */   GIM_Try, /*On fail goto*//*Label 22341*/ GIMT_Encode4(1619503), // Rule ID 3656 //
     /* 1619422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1619433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1619436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619468 */     // MIs[0] policy
     /* 1619468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619478 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1619481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619502 */     // GIR_Coverage, 3656,
     /* 1619502 */     GIR_EraseRootFromParent_Done,
     /* 1619503 */   // Label 22341: @1619503
     /* 1619503 */   GIM_Try, /*On fail goto*//*Label 22342*/ GIMT_Encode4(1619589), // Rule ID 3657 //
     /* 1619508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1619519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1619522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1619525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1619531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1619538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619554 */     // MIs[0] policy
     /* 1619554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11644:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1619567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619588 */     // GIR_Coverage, 3657,
     /* 1619588 */     GIR_EraseRootFromParent_Done,
     /* 1619589 */   // Label 22342: @1619589
     /* 1619589 */   GIM_Try, /*On fail goto*//*Label 22343*/ GIMT_Encode4(1619675), // Rule ID 3660 //
     /* 1619594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619640 */     // MIs[0] policy
     /* 1619640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619650 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1619653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619674 */     // GIR_Coverage, 3660,
     /* 1619674 */     GIR_EraseRootFromParent_Done,
     /* 1619675 */   // Label 22343: @1619675
     /* 1619675 */   GIM_Try, /*On fail goto*//*Label 22344*/ GIMT_Encode4(1619761), // Rule ID 3661 //
     /* 1619680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1619691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1619694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1619697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1619703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1619710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1619718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619726 */     // MIs[0] policy
     /* 1619726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619736 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1619739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619760 */     // GIR_Coverage, 3661,
     /* 1619760 */     GIR_EraseRootFromParent_Done,
     /* 1619761 */   // Label 22344: @1619761
     /* 1619761 */   GIM_Try, /*On fail goto*//*Label 22345*/ GIMT_Encode4(1619847), // Rule ID 3664 //
     /* 1619766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1619777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1619780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1619783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619812 */     // MIs[0] policy
     /* 1619812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619822 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1619825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619846 */     // GIR_Coverage, 3664,
     /* 1619846 */     GIR_EraseRootFromParent_Done,
     /* 1619847 */   // Label 22345: @1619847
     /* 1619847 */   GIM_Try, /*On fail goto*//*Label 22346*/ GIMT_Encode4(1619933), // Rule ID 3665 //
     /* 1619852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1619855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1619863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1619866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1619869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1619872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1619875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1619878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1619882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1619890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619898 */     // MIs[0] policy
     /* 1619898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619908 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1619908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1619911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1619915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1619917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1619919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1619921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1619926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1619929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1619931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1619932 */     // GIR_Coverage, 3665,
     /* 1619932 */     GIR_EraseRootFromParent_Done,
     /* 1619933 */   // Label 22346: @1619933
     /* 1619933 */   GIM_Try, /*On fail goto*//*Label 22347*/ GIMT_Encode4(1620019), // Rule ID 3668 //
     /* 1619938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1619941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1619946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1619949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1619952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1619955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1619958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1619961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1619964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1619968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1619972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1619976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1619980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1619984 */     // MIs[0] policy
     /* 1619984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1619987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1619994 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1619994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1619997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1619999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620018 */     // GIR_Coverage, 3668,
     /* 1620018 */     GIR_EraseRootFromParent_Done,
     /* 1620019 */   // Label 22347: @1620019
     /* 1620019 */   GIM_Try, /*On fail goto*//*Label 22348*/ GIMT_Encode4(1620105), // Rule ID 3669 //
     /* 1620024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1620035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1620038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1620041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1620047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620070 */     // MIs[0] policy
     /* 1620070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620080 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1620083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1620101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620104 */     // GIR_Coverage, 3669,
     /* 1620104 */     GIR_EraseRootFromParent_Done,
     /* 1620105 */   // Label 22348: @1620105
     /* 1620105 */   GIM_Try, /*On fail goto*//*Label 22349*/ GIMT_Encode4(1620191), // Rule ID 3672 //
     /* 1620110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1620127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620156 */     // MIs[0] policy
     /* 1620156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620166 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1620169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620190 */     // GIR_Coverage, 3672,
     /* 1620190 */     GIR_EraseRootFromParent_Done,
     /* 1620191 */   // Label 22349: @1620191
     /* 1620191 */   GIM_Try, /*On fail goto*//*Label 22350*/ GIMT_Encode4(1620277), // Rule ID 3673 //
     /* 1620196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1620207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1620210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1620213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620242 */     // MIs[0] policy
     /* 1620242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620252 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF4_MASK),
     /* 1620255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620276 */     // GIR_Coverage, 3673,
     /* 1620276 */     GIR_EraseRootFromParent_Done,
     /* 1620277 */   // Label 22350: @1620277
     /* 1620277 */   GIM_Try, /*On fail goto*//*Label 22351*/ GIMT_Encode4(1620363), // Rule ID 3676 //
     /* 1620282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620328 */     // MIs[0] policy
     /* 1620328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620338 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11644:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1620341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620362 */     // GIR_Coverage, 3676,
     /* 1620362 */     GIR_EraseRootFromParent_Done,
     /* 1620363 */   // Label 22351: @1620363
     /* 1620363 */   GIM_Try, /*On fail goto*//*Label 22352*/ GIMT_Encode4(1620449), // Rule ID 3677 //
     /* 1620368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1620379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1620382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1620385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1620391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1620398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620414 */     // MIs[0] policy
     /* 1620414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620424 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11644:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1620427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620448 */     // GIR_Coverage, 3677,
     /* 1620448 */     GIR_EraseRootFromParent_Done,
     /* 1620449 */   // Label 22352: @1620449
     /* 1620449 */   GIM_Try, /*On fail goto*//*Label 22353*/ GIMT_Encode4(1620535), // Rule ID 3680 //
     /* 1620454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1620465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1620468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620500 */     // MIs[0] policy
     /* 1620500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1620513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620534 */     // GIR_Coverage, 3680,
     /* 1620534 */     GIR_EraseRootFromParent_Done,
     /* 1620535 */   // Label 22353: @1620535
     /* 1620535 */   GIM_Try, /*On fail goto*//*Label 22354*/ GIMT_Encode4(1620621), // Rule ID 3681 //
     /* 1620540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1620551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1620554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1620557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1620563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1620570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1620578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620586 */     // MIs[0] policy
     /* 1620586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1620599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620620 */     // GIR_Coverage, 3681,
     /* 1620620 */     GIR_EraseRootFromParent_Done,
     /* 1620621 */   // Label 22354: @1620621
     /* 1620621 */   GIM_Try, /*On fail goto*//*Label 22355*/ GIMT_Encode4(1620707), // Rule ID 3684 //
     /* 1620626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620672 */     // MIs[0] policy
     /* 1620672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1620685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620706 */     // GIR_Coverage, 3684,
     /* 1620706 */     GIR_EraseRootFromParent_Done,
     /* 1620707 */   // Label 22355: @1620707
     /* 1620707 */   GIM_Try, /*On fail goto*//*Label 22356*/ GIMT_Encode4(1620793), // Rule ID 3685 //
     /* 1620712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1620723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1620726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1620729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1620735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1620742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1620750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620758 */     // MIs[0] policy
     /* 1620758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1620771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620792 */     // GIR_Coverage, 3685,
     /* 1620792 */     GIR_EraseRootFromParent_Done,
     /* 1620793 */   // Label 22356: @1620793
     /* 1620793 */   GIM_Try, /*On fail goto*//*Label 22357*/ GIMT_Encode4(1620879), // Rule ID 3688 //
     /* 1620798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1620801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1620809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1620812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620844 */     // MIs[0] policy
     /* 1620844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1620854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1620857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620878 */     // GIR_Coverage, 3688,
     /* 1620878 */     GIR_EraseRootFromParent_Done,
     /* 1620879 */   // Label 22357: @1620879
     /* 1620879 */   GIM_Try, /*On fail goto*//*Label 22358*/ GIMT_Encode4(1620965), // Rule ID 3689 //
     /* 1620884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1620887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1620895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1620898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1620901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1620904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1620907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1620910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1620914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1620918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1620922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1620926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1620930 */     // MIs[0] policy
     /* 1620930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1620933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1620940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1620940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1620943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1620945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1620947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1620949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1620951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1620953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1620958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1620961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1620963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1620964 */     // GIR_Coverage, 3689,
     /* 1620964 */     GIR_EraseRootFromParent_Done,
     /* 1620965 */   // Label 22358: @1620965
     /* 1620965 */   GIM_Try, /*On fail goto*//*Label 22359*/ GIMT_Encode4(1621051), // Rule ID 3692 //
     /* 1620970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1620973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1620978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1620981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1620984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1620987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1620990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1620993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1620996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621016 */     // MIs[0] policy
     /* 1621016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621026 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1621029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621050 */     // GIR_Coverage, 3692,
     /* 1621050 */     GIR_EraseRootFromParent_Done,
     /* 1621051 */   // Label 22359: @1621051
     /* 1621051 */   GIM_Try, /*On fail goto*//*Label 22360*/ GIMT_Encode4(1621137), // Rule ID 3693 //
     /* 1621056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1621064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1621067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1621070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1621073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621102 */     // MIs[0] policy
     /* 1621102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11644:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_MF2_MASK),
     /* 1621115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621136 */     // GIR_Coverage, 3693,
     /* 1621136 */     GIR_EraseRootFromParent_Done,
     /* 1621137 */   // Label 22360: @1621137
     /* 1621137 */   GIM_Try, /*On fail goto*//*Label 22361*/ GIMT_Encode4(1621223), // Rule ID 3696 //
     /* 1621142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1621150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621188 */     // MIs[0] policy
     /* 1621188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621198 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1621201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621222 */     // GIR_Coverage, 3696,
     /* 1621222 */     GIR_EraseRootFromParent_Done,
     /* 1621223 */   // Label 22361: @1621223
     /* 1621223 */   GIM_Try, /*On fail goto*//*Label 22362*/ GIMT_Encode4(1621309), // Rule ID 3697 //
     /* 1621228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1621236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1621239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1621242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1621245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1621258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621274 */     // MIs[0] policy
     /* 1621274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621284 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11644:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M1_MASK),
     /* 1621287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621308 */     // GIR_Coverage, 3697,
     /* 1621308 */     GIR_EraseRootFromParent_Done,
     /* 1621309 */   // Label 22362: @1621309
     /* 1621309 */   GIM_Try, /*On fail goto*//*Label 22363*/ GIMT_Encode4(1621395), // Rule ID 3700 //
     /* 1621314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1621322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621360 */     // MIs[0] policy
     /* 1621360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621370 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1621373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621394 */     // GIR_Coverage, 3700,
     /* 1621394 */     GIR_EraseRootFromParent_Done,
     /* 1621395 */   // Label 22363: @1621395
     /* 1621395 */   GIM_Try, /*On fail goto*//*Label 22364*/ GIMT_Encode4(1621481), // Rule ID 3701 //
     /* 1621400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1621408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1621411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1621414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1621417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1621423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1621430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1621438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621446 */     // MIs[0] policy
     /* 1621446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621456 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11644:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M2_MASK),
     /* 1621459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621480 */     // GIR_Coverage, 3701,
     /* 1621480 */     GIR_EraseRootFromParent_Done,
     /* 1621481 */   // Label 22364: @1621481
     /* 1621481 */   GIM_Try, /*On fail goto*//*Label 22365*/ GIMT_Encode4(1621567), // Rule ID 3704 //
     /* 1621486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1621489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1621494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1621497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1621500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1621503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1621506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621532 */     // MIs[0] policy
     /* 1621532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621542 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1621545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621566 */     // GIR_Coverage, 3704,
     /* 1621566 */     GIR_EraseRootFromParent_Done,
     /* 1621567 */   // Label 22365: @1621567
     /* 1621567 */   GIM_Try, /*On fail goto*//*Label 22366*/ GIMT_Encode4(1621653), // Rule ID 3705 //
     /* 1621572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1621575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_mask),
     /* 1621580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1621583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1621586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1621589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1621592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1621595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1621602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1621606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1621610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1621614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621618 */     // MIs[0] policy
     /* 1621618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621628 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11644:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_VX_M4_MASK),
     /* 1621631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1621649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621652 */     // GIR_Coverage, 3705,
     /* 1621652 */     GIR_EraseRootFromParent_Done,
     /* 1621653 */   // Label 22366: @1621653
     /* 1621653 */   GIM_Try, /*On fail goto*//*Label 22367*/ GIMT_Encode4(1621739), // Rule ID 3708 //
     /* 1621658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1621669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1621672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1621675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1621678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621704 */     // MIs[0] policy
     /* 1621704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621714 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1621717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621738 */     // GIR_Coverage, 3708,
     /* 1621738 */     GIR_EraseRootFromParent_Done,
     /* 1621739 */   // Label 22367: @1621739
     /* 1621739 */   GIM_Try, /*On fail goto*//*Label 22368*/ GIMT_Encode4(1621825), // Rule ID 3709 //
     /* 1621744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1621755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1621758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1621761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1621764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1621767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621790 */     // MIs[0] policy
     /* 1621790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621800 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF8_MASK),
     /* 1621803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621824 */     // GIR_Coverage, 3709,
     /* 1621824 */     GIR_EraseRootFromParent_Done,
     /* 1621825 */   // Label 22368: @1621825
     /* 1621825 */   GIM_Try, /*On fail goto*//*Label 22369*/ GIMT_Encode4(1621911), // Rule ID 3712 //
     /* 1621830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1621833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1621841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1621844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1621847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1621850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1621856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621876 */     // MIs[0] policy
     /* 1621876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621886 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1621886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1621889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621910 */     // GIR_Coverage, 3712,
     /* 1621910 */     GIR_EraseRootFromParent_Done,
     /* 1621911 */   // Label 22369: @1621911
     /* 1621911 */   GIM_Try, /*On fail goto*//*Label 22370*/ GIMT_Encode4(1621997), // Rule ID 3713 //
     /* 1621916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1621919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1621924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1621927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1621930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1621933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1621936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1621939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1621942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1621946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1621958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1621962 */     // MIs[0] policy
     /* 1621962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1621965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1621972 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1621972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1621975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1621977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1621979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1621981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1621983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1621985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1621990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1621993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1621995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1621996 */     // GIR_Coverage, 3713,
     /* 1621996 */     GIR_EraseRootFromParent_Done,
     /* 1621997 */   // Label 22370: @1621997
     /* 1621997 */   GIM_Try, /*On fail goto*//*Label 22371*/ GIMT_Encode4(1622083), // Rule ID 3716 //
     /* 1622002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1622019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1622022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622048 */     // MIs[0] policy
     /* 1622048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1622061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622082 */     // GIR_Coverage, 3716,
     /* 1622082 */     GIR_EraseRootFromParent_Done,
     /* 1622083 */   // Label 22371: @1622083
     /* 1622083 */   GIM_Try, /*On fail goto*//*Label 22372*/ GIMT_Encode4(1622169), // Rule ID 3717 //
     /* 1622088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1622099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1622102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1622105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1622108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1622111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622134 */     // MIs[0] policy
     /* 1622134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1622147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622168 */     // GIR_Coverage, 3717,
     /* 1622168 */     GIR_EraseRootFromParent_Done,
     /* 1622169 */   // Label 22372: @1622169
     /* 1622169 */   GIM_Try, /*On fail goto*//*Label 22373*/ GIMT_Encode4(1622255), // Rule ID 3720 //
     /* 1622174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1622191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1622194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622220 */     // MIs[0] policy
     /* 1622220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622230 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1622233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622254 */     // GIR_Coverage, 3720,
     /* 1622254 */     GIR_EraseRootFromParent_Done,
     /* 1622255 */   // Label 22373: @1622255
     /* 1622255 */   GIM_Try, /*On fail goto*//*Label 22374*/ GIMT_Encode4(1622341), // Rule ID 3721 //
     /* 1622260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1622271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1622274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1622277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1622280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1622283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1622290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622306 */     // MIs[0] policy
     /* 1622306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622316 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1622319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622340 */     // GIR_Coverage, 3721,
     /* 1622340 */     GIR_EraseRootFromParent_Done,
     /* 1622341 */   // Label 22374: @1622341
     /* 1622341 */   GIM_Try, /*On fail goto*//*Label 22375*/ GIMT_Encode4(1622427), // Rule ID 3724 //
     /* 1622346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1622363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1622366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622392 */     // MIs[0] policy
     /* 1622392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622402 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1622405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622426 */     // GIR_Coverage, 3724,
     /* 1622426 */     GIR_EraseRootFromParent_Done,
     /* 1622427 */   // Label 22375: @1622427
     /* 1622427 */   GIM_Try, /*On fail goto*//*Label 22376*/ GIMT_Encode4(1622513), // Rule ID 3725 //
     /* 1622432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1622443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1622446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1622449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1622452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1622455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1622462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1622474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622478 */     // MIs[0] policy
     /* 1622478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622488 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1622491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622512 */     // GIR_Coverage, 3725,
     /* 1622512 */     GIR_EraseRootFromParent_Done,
     /* 1622513 */   // Label 22376: @1622513
     /* 1622513 */   GIM_Try, /*On fail goto*//*Label 22377*/ GIMT_Encode4(1622599), // Rule ID 3728 //
     /* 1622518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1622535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1622538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622564 */     // MIs[0] policy
     /* 1622564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622574 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1622577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622598 */     // GIR_Coverage, 3728,
     /* 1622598 */     GIR_EraseRootFromParent_Done,
     /* 1622599 */   // Label 22377: @1622599
     /* 1622599 */   GIM_Try, /*On fail goto*//*Label 22378*/ GIMT_Encode4(1622685), // Rule ID 3729 //
     /* 1622604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1622615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1622618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1622621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1622624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1622627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1622634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1622638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1622646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622650 */     // MIs[0] policy
     /* 1622650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622660 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1622663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1622681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622684 */     // GIR_Coverage, 3729,
     /* 1622684 */     GIR_EraseRootFromParent_Done,
     /* 1622685 */   // Label 22378: @1622685
     /* 1622685 */   GIM_Try, /*On fail goto*//*Label 22379*/ GIMT_Encode4(1622771), // Rule ID 3732 //
     /* 1622690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1622701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1622704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1622707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1622710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622736 */     // MIs[0] policy
     /* 1622736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622746 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1622749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622770 */     // GIR_Coverage, 3732,
     /* 1622770 */     GIR_EraseRootFromParent_Done,
     /* 1622771 */   // Label 22379: @1622771
     /* 1622771 */   GIM_Try, /*On fail goto*//*Label 22380*/ GIMT_Encode4(1622857), // Rule ID 3733 //
     /* 1622776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1622787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1622790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1622793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1622796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1622799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622822 */     // MIs[0] policy
     /* 1622822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622832 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1622832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF4_MASK),
     /* 1622835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622856 */     // GIR_Coverage, 3733,
     /* 1622856 */     GIR_EraseRootFromParent_Done,
     /* 1622857 */   // Label 22380: @1622857
     /* 1622857 */   GIM_Try, /*On fail goto*//*Label 22381*/ GIMT_Encode4(1622943), // Rule ID 3736 //
     /* 1622862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1622865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1622873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1622876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1622879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1622882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1622888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622908 */     // MIs[0] policy
     /* 1622908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1622918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1622918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1622921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1622923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1622925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1622927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1622929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1622931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1622936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1622939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1622941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1622942 */     // GIR_Coverage, 3736,
     /* 1622942 */     GIR_EraseRootFromParent_Done,
     /* 1622943 */   // Label 22381: @1622943
     /* 1622943 */   GIM_Try, /*On fail goto*//*Label 22382*/ GIMT_Encode4(1623029), // Rule ID 3737 //
     /* 1622948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1622951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1622956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1622959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1622962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1622965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1622968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1622971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1622974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1622978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1622990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1622994 */     // MIs[0] policy
     /* 1622994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1622997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1623007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623028 */     // GIR_Coverage, 3737,
     /* 1623028 */     GIR_EraseRootFromParent_Done,
     /* 1623029 */   // Label 22382: @1623029
     /* 1623029 */   GIM_Try, /*On fail goto*//*Label 22383*/ GIMT_Encode4(1623115), // Rule ID 3740 //
     /* 1623034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1623051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1623054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623080 */     // MIs[0] policy
     /* 1623080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623090 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1623093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623114 */     // GIR_Coverage, 3740,
     /* 1623114 */     GIR_EraseRootFromParent_Done,
     /* 1623115 */   // Label 22383: @1623115
     /* 1623115 */   GIM_Try, /*On fail goto*//*Label 22384*/ GIMT_Encode4(1623201), // Rule ID 3741 //
     /* 1623120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1623131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1623134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1623137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1623140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623166 */     // MIs[0] policy
     /* 1623166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623176 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1623179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623200 */     // GIR_Coverage, 3741,
     /* 1623200 */     GIR_EraseRootFromParent_Done,
     /* 1623201 */   // Label 22384: @1623201
     /* 1623201 */   GIM_Try, /*On fail goto*//*Label 22385*/ GIMT_Encode4(1623287), // Rule ID 3744 //
     /* 1623206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1623223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1623226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623252 */     // MIs[0] policy
     /* 1623252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1623265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623286 */     // GIR_Coverage, 3744,
     /* 1623286 */     GIR_EraseRootFromParent_Done,
     /* 1623287 */   // Label 22385: @1623287
     /* 1623287 */   GIM_Try, /*On fail goto*//*Label 22386*/ GIMT_Encode4(1623373), // Rule ID 3745 //
     /* 1623292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1623303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1623306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1623309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1623312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1623315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623338 */     // MIs[0] policy
     /* 1623338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623348 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1623351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623372 */     // GIR_Coverage, 3745,
     /* 1623372 */     GIR_EraseRootFromParent_Done,
     /* 1623373 */   // Label 22386: @1623373
     /* 1623373 */   GIM_Try, /*On fail goto*//*Label 22387*/ GIMT_Encode4(1623459), // Rule ID 3748 //
     /* 1623378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1623381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1623389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1623392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1623395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1623398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623424 */     // MIs[0] policy
     /* 1623424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623434 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1623437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623458 */     // GIR_Coverage, 3748,
     /* 1623458 */     GIR_EraseRootFromParent_Done,
     /* 1623459 */   // Label 22387: @1623459
     /* 1623459 */   GIM_Try, /*On fail goto*//*Label 22388*/ GIMT_Encode4(1623545), // Rule ID 3749 //
     /* 1623464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1623467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1623475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1623478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1623481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1623484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1623487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1623494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1623498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623510 */     // MIs[0] policy
     /* 1623510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623520 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1623523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1623541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623544 */     // GIR_Coverage, 3749,
     /* 1623544 */     GIR_EraseRootFromParent_Done,
     /* 1623545 */   // Label 22388: @1623545
     /* 1623545 */   GIM_Try, /*On fail goto*//*Label 22389*/ GIMT_Encode4(1623631), // Rule ID 3752 //
     /* 1623550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1623561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1623564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1623567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1623570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623596 */     // MIs[0] policy
     /* 1623596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623606 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1623609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623630 */     // GIR_Coverage, 3752,
     /* 1623630 */     GIR_EraseRootFromParent_Done,
     /* 1623631 */   // Label 22389: @1623631
     /* 1623631 */   GIM_Try, /*On fail goto*//*Label 22390*/ GIMT_Encode4(1623717), // Rule ID 3753 //
     /* 1623636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1623647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1623650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1623653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1623656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1623659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1623666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623682 */     // MIs[0] policy
     /* 1623682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623692 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_MF2_MASK),
     /* 1623695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623716 */     // GIR_Coverage, 3753,
     /* 1623716 */     GIR_EraseRootFromParent_Done,
     /* 1623717 */   // Label 22390: @1623717
     /* 1623717 */   GIM_Try, /*On fail goto*//*Label 22391*/ GIMT_Encode4(1623803), // Rule ID 3756 //
     /* 1623722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1623733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1623736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1623739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1623742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623768 */     // MIs[0] policy
     /* 1623768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623778 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1623781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623802 */     // GIR_Coverage, 3756,
     /* 1623802 */     GIR_EraseRootFromParent_Done,
     /* 1623803 */   // Label 22391: @1623803
     /* 1623803 */   GIM_Try, /*On fail goto*//*Label 22392*/ GIMT_Encode4(1623889), // Rule ID 3757 //
     /* 1623808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1623819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1623822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1623825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1623828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1623831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1623834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1623838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1623850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623854 */     // MIs[0] policy
     /* 1623854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623864 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1623864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M1_MASK),
     /* 1623867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623888 */     // GIR_Coverage, 3757,
     /* 1623888 */     GIR_EraseRootFromParent_Done,
     /* 1623889 */   // Label 22392: @1623889
     /* 1623889 */   GIM_Try, /*On fail goto*//*Label 22393*/ GIMT_Encode4(1623975), // Rule ID 3760 //
     /* 1623894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1623897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1623905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1623908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1623914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1623917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1623920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1623924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1623928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1623936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1623940 */     // MIs[0] policy
     /* 1623940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1623943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1623950 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1623950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1623953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1623955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1623957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1623959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1623961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1623963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1623968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1623971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1623973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1623974 */     // GIR_Coverage, 3760,
     /* 1623974 */     GIR_EraseRootFromParent_Done,
     /* 1623975 */   // Label 22393: @1623975
     /* 1623975 */   GIM_Try, /*On fail goto*//*Label 22394*/ GIMT_Encode4(1624061), // Rule ID 3761 //
     /* 1623980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1623983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1623988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1623991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1623994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1623997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1624000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624026 */     // MIs[0] policy
     /* 1624026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624036 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M2_MASK),
     /* 1624039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624060 */     // GIR_Coverage, 3761,
     /* 1624060 */     GIR_EraseRootFromParent_Done,
     /* 1624061 */   // Label 22394: @1624061
     /* 1624061 */   GIM_Try, /*On fail goto*//*Label 22395*/ GIMT_Encode4(1624147), // Rule ID 3764 //
     /* 1624066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1624069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1624083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1624086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624112 */     // MIs[0] policy
     /* 1624112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624122 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1624125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624146 */     // GIR_Coverage, 3764,
     /* 1624146 */     GIR_EraseRootFromParent_Done,
     /* 1624147 */   // Label 22395: @1624147
     /* 1624147 */   GIM_Try, /*On fail goto*//*Label 22396*/ GIMT_Encode4(1624233), // Rule ID 3765 //
     /* 1624152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1624155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1624163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1624166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1624169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1624172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1624182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1624186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624198 */     // MIs[0] policy
     /* 1624198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624208 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VV_M4_MASK),
     /* 1624211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1624229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624232 */     // GIR_Coverage, 3765,
     /* 1624232 */     GIR_EraseRootFromParent_Done,
     /* 1624233 */   // Label 22396: @1624233
     /* 1624233 */   GIM_Try, /*On fail goto*//*Label 22397*/ GIMT_Encode4(1624319), // Rule ID 3768 //
     /* 1624238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1624249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1624252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1624255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624284 */     // MIs[0] policy
     /* 1624284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1624297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624318 */     // GIR_Coverage, 3768,
     /* 1624318 */     GIR_EraseRootFromParent_Done,
     /* 1624319 */   // Label 22397: @1624319
     /* 1624319 */   GIM_Try, /*On fail goto*//*Label 22398*/ GIMT_Encode4(1624405), // Rule ID 3769 //
     /* 1624324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1624335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1624338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1624341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1624347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624370 */     // MIs[0] policy
     /* 1624370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF8_MASK),
     /* 1624383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624404 */     // GIR_Coverage, 3769,
     /* 1624404 */     GIR_EraseRootFromParent_Done,
     /* 1624405 */   // Label 22398: @1624405
     /* 1624405 */   GIM_Try, /*On fail goto*//*Label 22399*/ GIMT_Encode4(1624491), // Rule ID 3772 //
     /* 1624410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1624421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1624424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1624427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624456 */     // MIs[0] policy
     /* 1624456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624466 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1624469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624490 */     // GIR_Coverage, 3772,
     /* 1624490 */     GIR_EraseRootFromParent_Done,
     /* 1624491 */   // Label 22399: @1624491
     /* 1624491 */   GIM_Try, /*On fail goto*//*Label 22400*/ GIMT_Encode4(1624577), // Rule ID 3773 //
     /* 1624496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1624507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1624510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1624513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1624519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624542 */     // MIs[0] policy
     /* 1624542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624552 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1624555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624576 */     // GIR_Coverage, 3773,
     /* 1624576 */     GIR_EraseRootFromParent_Done,
     /* 1624577 */   // Label 22400: @1624577
     /* 1624577 */   GIM_Try, /*On fail goto*//*Label 22401*/ GIMT_Encode4(1624663), // Rule ID 3776 //
     /* 1624582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1624593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1624599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624628 */     // MIs[0] policy
     /* 1624628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1624641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624662 */     // GIR_Coverage, 3776,
     /* 1624662 */     GIR_EraseRootFromParent_Done,
     /* 1624663 */   // Label 22401: @1624663
     /* 1624663 */   GIM_Try, /*On fail goto*//*Label 22402*/ GIMT_Encode4(1624749), // Rule ID 3777 //
     /* 1624668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1624679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1624682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1624685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1624691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1624698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624714 */     // MIs[0] policy
     /* 1624714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11672:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1624727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624748 */     // GIR_Coverage, 3777,
     /* 1624748 */     GIR_EraseRootFromParent_Done,
     /* 1624749 */   // Label 22402: @1624749
     /* 1624749 */   GIM_Try, /*On fail goto*//*Label 22403*/ GIMT_Encode4(1624835), // Rule ID 3780 //
     /* 1624754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1624765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1624768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1624771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624800 */     // MIs[0] policy
     /* 1624800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624810 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1624813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624834 */     // GIR_Coverage, 3780,
     /* 1624834 */     GIR_EraseRootFromParent_Done,
     /* 1624835 */   // Label 22403: @1624835
     /* 1624835 */   GIM_Try, /*On fail goto*//*Label 22404*/ GIMT_Encode4(1624921), // Rule ID 3781 //
     /* 1624840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1624843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1624851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1624854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1624857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1624860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1624863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1624866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1624870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1624878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624886 */     // MIs[0] policy
     /* 1624886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624896 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1624896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1624899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1624914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1624917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1624919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1624920 */     // GIR_Coverage, 3781,
     /* 1624920 */     GIR_EraseRootFromParent_Done,
     /* 1624921 */   // Label 22404: @1624921
     /* 1624921 */   GIM_Try, /*On fail goto*//*Label 22405*/ GIMT_Encode4(1625007), // Rule ID 3784 //
     /* 1624926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1624929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1624934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1624937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1624940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1624943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1624946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1624949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1624952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1624956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1624960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1624964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1624968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1624972 */     // MIs[0] policy
     /* 1624972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1624975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1624982 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1624982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1624985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1624987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1624989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1624991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1624993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1624995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625006 */     // GIR_Coverage, 3784,
     /* 1625006 */     GIR_EraseRootFromParent_Done,
     /* 1625007 */   // Label 22405: @1625007
     /* 1625007 */   GIM_Try, /*On fail goto*//*Label 22406*/ GIMT_Encode4(1625093), // Rule ID 3785 //
     /* 1625012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1625023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1625026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1625029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625058 */     // MIs[0] policy
     /* 1625058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625068 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1625071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625092 */     // GIR_Coverage, 3785,
     /* 1625092 */     GIR_EraseRootFromParent_Done,
     /* 1625093 */   // Label 22406: @1625093
     /* 1625093 */   GIM_Try, /*On fail goto*//*Label 22407*/ GIMT_Encode4(1625179), // Rule ID 3788 //
     /* 1625098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1625115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625144 */     // MIs[0] policy
     /* 1625144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625154 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1625157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625178 */     // GIR_Coverage, 3788,
     /* 1625178 */     GIR_EraseRootFromParent_Done,
     /* 1625179 */   // Label 22407: @1625179
     /* 1625179 */   GIM_Try, /*On fail goto*//*Label 22408*/ GIMT_Encode4(1625265), // Rule ID 3789 //
     /* 1625184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1625195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1625198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1625201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1625207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625230 */     // MIs[0] policy
     /* 1625230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625240 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1625243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1625261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625264 */     // GIR_Coverage, 3789,
     /* 1625264 */     GIR_EraseRootFromParent_Done,
     /* 1625265 */   // Label 22408: @1625265
     /* 1625265 */   GIM_Try, /*On fail goto*//*Label 22409*/ GIMT_Encode4(1625351), // Rule ID 3792 //
     /* 1625270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1625281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1625284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1625287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625316 */     // MIs[0] policy
     /* 1625316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625326 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1625329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625350 */     // GIR_Coverage, 3792,
     /* 1625350 */     GIR_EraseRootFromParent_Done,
     /* 1625351 */   // Label 22409: @1625351
     /* 1625351 */   GIM_Try, /*On fail goto*//*Label 22410*/ GIMT_Encode4(1625437), // Rule ID 3793 //
     /* 1625356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1625367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1625370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1625373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1625379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625402 */     // MIs[0] policy
     /* 1625402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625412 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF4_MASK),
     /* 1625415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625436 */     // GIR_Coverage, 3793,
     /* 1625436 */     GIR_EraseRootFromParent_Done,
     /* 1625437 */   // Label 22410: @1625437
     /* 1625437 */   GIM_Try, /*On fail goto*//*Label 22411*/ GIMT_Encode4(1625523), // Rule ID 3796 //
     /* 1625442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1625453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1625456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625488 */     // MIs[0] policy
     /* 1625488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625498 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1625501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625522 */     // GIR_Coverage, 3796,
     /* 1625522 */     GIR_EraseRootFromParent_Done,
     /* 1625523 */   // Label 22411: @1625523
     /* 1625523 */   GIM_Try, /*On fail goto*//*Label 22412*/ GIMT_Encode4(1625609), // Rule ID 3797 //
     /* 1625528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1625539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1625542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1625545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1625551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1625558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625574 */     // MIs[0] policy
     /* 1625574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625584 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11672:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1625587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625608 */     // GIR_Coverage, 3797,
     /* 1625608 */     GIR_EraseRootFromParent_Done,
     /* 1625609 */   // Label 22412: @1625609
     /* 1625609 */   GIM_Try, /*On fail goto*//*Label 22413*/ GIMT_Encode4(1625695), // Rule ID 3800 //
     /* 1625614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625660 */     // MIs[0] policy
     /* 1625660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625670 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1625673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625694 */     // GIR_Coverage, 3800,
     /* 1625694 */     GIR_EraseRootFromParent_Done,
     /* 1625695 */   // Label 22413: @1625695
     /* 1625695 */   GIM_Try, /*On fail goto*//*Label 22414*/ GIMT_Encode4(1625781), // Rule ID 3801 //
     /* 1625700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1625711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1625714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1625717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1625723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1625730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1625738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625746 */     // MIs[0] policy
     /* 1625746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625756 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1625759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625780 */     // GIR_Coverage, 3801,
     /* 1625780 */     GIR_EraseRootFromParent_Done,
     /* 1625781 */   // Label 22414: @1625781
     /* 1625781 */   GIM_Try, /*On fail goto*//*Label 22415*/ GIMT_Encode4(1625867), // Rule ID 3804 //
     /* 1625786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1625797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1625800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625832 */     // MIs[0] policy
     /* 1625832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625842 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1625842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1625845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625866 */     // GIR_Coverage, 3804,
     /* 1625866 */     GIR_EraseRootFromParent_Done,
     /* 1625867 */   // Label 22415: @1625867
     /* 1625867 */   GIM_Try, /*On fail goto*//*Label 22416*/ GIMT_Encode4(1625953), // Rule ID 3805 //
     /* 1625872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1625875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1625883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1625886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1625889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1625892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1625895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1625898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1625902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1625910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1625914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1625918 */     // MIs[0] policy
     /* 1625918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1625921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1625928 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1625928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1625931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1625933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1625935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1625937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1625939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1625941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1625946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1625949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1625951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1625952 */     // GIR_Coverage, 3805,
     /* 1625952 */     GIR_EraseRootFromParent_Done,
     /* 1625953 */   // Label 22416: @1625953
     /* 1625953 */   GIM_Try, /*On fail goto*//*Label 22417*/ GIMT_Encode4(1626039), // Rule ID 3808 //
     /* 1625958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1625961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1625966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1625969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1625972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1625975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1625978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1625981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1625984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1625988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1625992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1625996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626004 */     // MIs[0] policy
     /* 1626004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626014 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1626017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626038 */     // GIR_Coverage, 3808,
     /* 1626038 */     GIR_EraseRootFromParent_Done,
     /* 1626039 */   // Label 22417: @1626039
     /* 1626039 */   GIM_Try, /*On fail goto*//*Label 22418*/ GIMT_Encode4(1626125), // Rule ID 3809 //
     /* 1626044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1626055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1626058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1626061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1626067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626090 */     // MIs[0] policy
     /* 1626090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626100 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1626103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1626121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626124 */     // GIR_Coverage, 3809,
     /* 1626124 */     GIR_EraseRootFromParent_Done,
     /* 1626125 */   // Label 22418: @1626125
     /* 1626125 */   GIM_Try, /*On fail goto*//*Label 22419*/ GIMT_Encode4(1626211), // Rule ID 3812 //
     /* 1626130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626176 */     // MIs[0] policy
     /* 1626176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1626189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626210 */     // GIR_Coverage, 3812,
     /* 1626210 */     GIR_EraseRootFromParent_Done,
     /* 1626211 */   // Label 22419: @1626211
     /* 1626211 */   GIM_Try, /*On fail goto*//*Label 22420*/ GIMT_Encode4(1626297), // Rule ID 3813 //
     /* 1626216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1626227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1626230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1626233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626262 */     // MIs[0] policy
     /* 1626262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11672:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_MF2_MASK),
     /* 1626275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626296 */     // GIR_Coverage, 3813,
     /* 1626296 */     GIR_EraseRootFromParent_Done,
     /* 1626297 */   // Label 22420: @1626297
     /* 1626297 */   GIM_Try, /*On fail goto*//*Label 22421*/ GIMT_Encode4(1626383), // Rule ID 3816 //
     /* 1626302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626348 */     // MIs[0] policy
     /* 1626348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626358 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1626361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626382 */     // GIR_Coverage, 3816,
     /* 1626382 */     GIR_EraseRootFromParent_Done,
     /* 1626383 */   // Label 22421: @1626383
     /* 1626383 */   GIM_Try, /*On fail goto*//*Label 22422*/ GIMT_Encode4(1626469), // Rule ID 3817 //
     /* 1626388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1626399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1626402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1626405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1626411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1626418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626434 */     // MIs[0] policy
     /* 1626434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11672:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M1_MASK),
     /* 1626447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626468 */     // GIR_Coverage, 3817,
     /* 1626468 */     GIR_EraseRootFromParent_Done,
     /* 1626469 */   // Label 22422: @1626469
     /* 1626469 */   GIM_Try, /*On fail goto*//*Label 22423*/ GIMT_Encode4(1626555), // Rule ID 3820 //
     /* 1626474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1626485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1626488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1626491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626520 */     // MIs[0] policy
     /* 1626520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626530 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1626533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626554 */     // GIR_Coverage, 3820,
     /* 1626554 */     GIR_EraseRootFromParent_Done,
     /* 1626555 */   // Label 22423: @1626555
     /* 1626555 */   GIM_Try, /*On fail goto*//*Label 22424*/ GIMT_Encode4(1626641), // Rule ID 3821 //
     /* 1626560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1626571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1626574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1626577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1626583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1626590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1626598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626606 */     // MIs[0] policy
     /* 1626606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626616 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11672:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M2_MASK),
     /* 1626619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626640 */     // GIR_Coverage, 3821,
     /* 1626640 */     GIR_EraseRootFromParent_Done,
     /* 1626641 */   // Label 22424: @1626641
     /* 1626641 */   GIM_Try, /*On fail goto*//*Label 22425*/ GIMT_Encode4(1626727), // Rule ID 3824 //
     /* 1626646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1626649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1626666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626692 */     // MIs[0] policy
     /* 1626692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626702 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1626705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626726 */     // GIR_Coverage, 3824,
     /* 1626726 */     GIR_EraseRootFromParent_Done,
     /* 1626727 */   // Label 22425: @1626727
     /* 1626727 */   GIM_Try, /*On fail goto*//*Label 22426*/ GIMT_Encode4(1626813), // Rule ID 3825 //
     /* 1626732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1626735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_mask),
     /* 1626740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1626743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1626746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1626749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1626752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1626755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1626762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1626766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1626770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1626774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626778 */     // MIs[0] policy
     /* 1626778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626788 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11672:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_VX_M4_MASK),
     /* 1626791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1626809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626812 */     // GIR_Coverage, 3825,
     /* 1626812 */     GIR_EraseRootFromParent_Done,
     /* 1626813 */   // Label 22426: @1626813
     /* 1626813 */   GIM_Try, /*On fail goto*//*Label 22427*/ GIMT_Encode4(1626899), // Rule ID 3828 //
     /* 1626818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1626829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1626832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1626835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1626838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1626844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626864 */     // MIs[0] policy
     /* 1626864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626874 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1626874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1626877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626898 */     // GIR_Coverage, 3828,
     /* 1626898 */     GIR_EraseRootFromParent_Done,
     /* 1626899 */   // Label 22427: @1626899
     /* 1626899 */   GIM_Try, /*On fail goto*//*Label 22428*/ GIMT_Encode4(1626985), // Rule ID 3829 //
     /* 1626904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1626907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1626915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1626918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1626921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1626924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1626927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1626930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1626934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1626946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1626950 */     // MIs[0] policy
     /* 1626950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1626953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1626960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1626960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF8_MASK),
     /* 1626963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1626965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1626967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1626969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1626971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1626973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1626978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1626981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1626983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1626984 */     // GIR_Coverage, 3829,
     /* 1626984 */     GIR_EraseRootFromParent_Done,
     /* 1626985 */   // Label 22428: @1626985
     /* 1626985 */   GIM_Try, /*On fail goto*//*Label 22429*/ GIMT_Encode4(1627071), // Rule ID 3832 //
     /* 1626990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1626993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1626998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1627007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1627010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627036 */     // MIs[0] policy
     /* 1627036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627046 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1627049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627070 */     // GIR_Coverage, 3832,
     /* 1627070 */     GIR_EraseRootFromParent_Done,
     /* 1627071 */   // Label 22429: @1627071
     /* 1627071 */   GIM_Try, /*On fail goto*//*Label 22430*/ GIMT_Encode4(1627157), // Rule ID 3833 //
     /* 1627076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1627087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1627090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1627093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1627096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1627099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627122 */     // MIs[0] policy
     /* 1627122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627132 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1627135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627156 */     // GIR_Coverage, 3833,
     /* 1627156 */     GIR_EraseRootFromParent_Done,
     /* 1627157 */   // Label 22430: @1627157
     /* 1627157 */   GIM_Try, /*On fail goto*//*Label 22431*/ GIMT_Encode4(1627243), // Rule ID 3836 //
     /* 1627162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1627173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1627176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1627179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1627182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627208 */     // MIs[0] policy
     /* 1627208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1627221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627242 */     // GIR_Coverage, 3836,
     /* 1627242 */     GIR_EraseRootFromParent_Done,
     /* 1627243 */   // Label 22431: @1627243
     /* 1627243 */   GIM_Try, /*On fail goto*//*Label 22432*/ GIMT_Encode4(1627329), // Rule ID 3837 //
     /* 1627248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1627259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1627262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1627265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1627268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1627271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627294 */     // MIs[0] policy
     /* 1627294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1627307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627328 */     // GIR_Coverage, 3837,
     /* 1627328 */     GIR_EraseRootFromParent_Done,
     /* 1627329 */   // Label 22432: @1627329
     /* 1627329 */   GIM_Try, /*On fail goto*//*Label 22433*/ GIMT_Encode4(1627415), // Rule ID 3840 //
     /* 1627334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1627345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1627348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1627351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1627354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627380 */     // MIs[0] policy
     /* 1627380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627390 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1627393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627414 */     // GIR_Coverage, 3840,
     /* 1627414 */     GIR_EraseRootFromParent_Done,
     /* 1627415 */   // Label 22433: @1627415
     /* 1627415 */   GIM_Try, /*On fail goto*//*Label 22434*/ GIMT_Encode4(1627501), // Rule ID 3841 //
     /* 1627420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1627431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1627434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1627437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1627440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1627443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1627450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627466 */     // MIs[0] policy
     /* 1627466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1627479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627500 */     // GIR_Coverage, 3841,
     /* 1627500 */     GIR_EraseRootFromParent_Done,
     /* 1627501 */   // Label 22434: @1627501
     /* 1627501 */   GIM_Try, /*On fail goto*//*Label 22435*/ GIMT_Encode4(1627587), // Rule ID 3844 //
     /* 1627506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1627517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1627520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1627523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1627526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627552 */     // MIs[0] policy
     /* 1627552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627562 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1627565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627586 */     // GIR_Coverage, 3844,
     /* 1627586 */     GIR_EraseRootFromParent_Done,
     /* 1627587 */   // Label 22435: @1627587
     /* 1627587 */   GIM_Try, /*On fail goto*//*Label 22436*/ GIMT_Encode4(1627673), // Rule ID 3845 //
     /* 1627592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1627603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1627606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1627609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1627612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1627615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1627622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1627634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627638 */     // MIs[0] policy
     /* 1627638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627648 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1627651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627672 */     // GIR_Coverage, 3845,
     /* 1627672 */     GIR_EraseRootFromParent_Done,
     /* 1627673 */   // Label 22436: @1627673
     /* 1627673 */   GIM_Try, /*On fail goto*//*Label 22437*/ GIMT_Encode4(1627759), // Rule ID 3848 //
     /* 1627678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1627689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1627692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1627695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1627698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1627701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627724 */     // MIs[0] policy
     /* 1627724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627734 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1627737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627758 */     // GIR_Coverage, 3848,
     /* 1627758 */     GIR_EraseRootFromParent_Done,
     /* 1627759 */   // Label 22437: @1627759
     /* 1627759 */   GIM_Try, /*On fail goto*//*Label 22438*/ GIMT_Encode4(1627845), // Rule ID 3849 //
     /* 1627764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1627775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1627778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1627781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1627784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1627787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1627794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1627798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1627806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627810 */     // MIs[0] policy
     /* 1627810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627820 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1627823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1627841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627844 */     // GIR_Coverage, 3849,
     /* 1627844 */     GIR_EraseRootFromParent_Done,
     /* 1627845 */   // Label 22438: @1627845
     /* 1627845 */   GIM_Try, /*On fail goto*//*Label 22439*/ GIMT_Encode4(1627931), // Rule ID 3852 //
     /* 1627850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1627853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1627861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1627864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1627870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1627876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627896 */     // MIs[0] policy
     /* 1627896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1627906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1627909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1627915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1627917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1627919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1627924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1627927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1627929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1627930 */     // GIR_Coverage, 3852,
     /* 1627930 */     GIR_EraseRootFromParent_Done,
     /* 1627931 */   // Label 22439: @1627931
     /* 1627931 */   GIM_Try, /*On fail goto*//*Label 22440*/ GIMT_Encode4(1628017), // Rule ID 3853 //
     /* 1627936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1627939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1627944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1627947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1627950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1627953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1627956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1627959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1627962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1627966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1627978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1627982 */     // MIs[0] policy
     /* 1627982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1627985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1627992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1627992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF4_MASK),
     /* 1627995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1627997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1627999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628016 */     // GIR_Coverage, 3853,
     /* 1628016 */     GIR_EraseRootFromParent_Done,
     /* 1628017 */   // Label 22440: @1628017
     /* 1628017 */   GIM_Try, /*On fail goto*//*Label 22441*/ GIMT_Encode4(1628103), // Rule ID 3856 //
     /* 1628022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1628042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628068 */     // MIs[0] policy
     /* 1628068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628078 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11640:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1628081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628102 */     // GIR_Coverage, 3856,
     /* 1628102 */     GIR_EraseRootFromParent_Done,
     /* 1628103 */   // Label 22441: @1628103
     /* 1628103 */   GIM_Try, /*On fail goto*//*Label 22442*/ GIMT_Encode4(1628189), // Rule ID 3857 //
     /* 1628108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1628119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1628122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1628125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1628128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628154 */     // MIs[0] policy
     /* 1628154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628164 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11640:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1628167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628188 */     // GIR_Coverage, 3857,
     /* 1628188 */     GIR_EraseRootFromParent_Done,
     /* 1628189 */   // Label 22442: @1628189
     /* 1628189 */   GIM_Try, /*On fail goto*//*Label 22443*/ GIMT_Encode4(1628275), // Rule ID 3860 //
     /* 1628194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1628205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1628208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1628214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628240 */     // MIs[0] policy
     /* 1628240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628250 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1628253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628274 */     // GIR_Coverage, 3860,
     /* 1628274 */     GIR_EraseRootFromParent_Done,
     /* 1628275 */   // Label 22443: @1628275
     /* 1628275 */   GIM_Try, /*On fail goto*//*Label 22444*/ GIMT_Encode4(1628361), // Rule ID 3861 //
     /* 1628280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1628291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1628294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1628297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1628300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1628303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628326 */     // MIs[0] policy
     /* 1628326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628336 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1628339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628360 */     // GIR_Coverage, 3861,
     /* 1628360 */     GIR_EraseRootFromParent_Done,
     /* 1628361 */   // Label 22444: @1628361
     /* 1628361 */   GIM_Try, /*On fail goto*//*Label 22445*/ GIMT_Encode4(1628447), // Rule ID 3864 //
     /* 1628366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1628377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1628380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1628386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628412 */     // MIs[0] policy
     /* 1628412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628422 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1628425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628446 */     // GIR_Coverage, 3864,
     /* 1628446 */     GIR_EraseRootFromParent_Done,
     /* 1628447 */   // Label 22445: @1628447
     /* 1628447 */   GIM_Try, /*On fail goto*//*Label 22446*/ GIMT_Encode4(1628533), // Rule ID 3865 //
     /* 1628452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1628463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1628466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1628469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1628472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1628475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1628482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628498 */     // MIs[0] policy
     /* 1628498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628508 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1628511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628532 */     // GIR_Coverage, 3865,
     /* 1628532 */     GIR_EraseRootFromParent_Done,
     /* 1628533 */   // Label 22446: @1628533
     /* 1628533 */   GIM_Try, /*On fail goto*//*Label 22447*/ GIMT_Encode4(1628619), // Rule ID 3868 //
     /* 1628538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1628541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1628549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1628552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1628558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628584 */     // MIs[0] policy
     /* 1628584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628594 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1628597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628618 */     // GIR_Coverage, 3868,
     /* 1628618 */     GIR_EraseRootFromParent_Done,
     /* 1628619 */   // Label 22447: @1628619
     /* 1628619 */   GIM_Try, /*On fail goto*//*Label 22448*/ GIMT_Encode4(1628705), // Rule ID 3869 //
     /* 1628624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1628627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1628635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1628638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1628641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1628644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1628647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1628654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1628658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1628666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628670 */     // MIs[0] policy
     /* 1628670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628680 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1628683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1628701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628704 */     // GIR_Coverage, 3869,
     /* 1628704 */     GIR_EraseRootFromParent_Done,
     /* 1628705 */   // Label 22448: @1628705
     /* 1628705 */   GIM_Try, /*On fail goto*//*Label 22449*/ GIMT_Encode4(1628791), // Rule ID 3872 //
     /* 1628710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1628721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1628724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1628727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1628730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628756 */     // MIs[0] policy
     /* 1628756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1628769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628790 */     // GIR_Coverage, 3872,
     /* 1628790 */     GIR_EraseRootFromParent_Done,
     /* 1628791 */   // Label 22449: @1628791
     /* 1628791 */   GIM_Try, /*On fail goto*//*Label 22450*/ GIMT_Encode4(1628877), // Rule ID 3873 //
     /* 1628796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1628807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1628810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1628813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1628816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1628819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1628826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628842 */     // MIs[0] policy
     /* 1628842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1628852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_MF2_MASK),
     /* 1628855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628876 */     // GIR_Coverage, 3873,
     /* 1628876 */     GIR_EraseRootFromParent_Done,
     /* 1628877 */   // Label 22450: @1628877
     /* 1628877 */   GIM_Try, /*On fail goto*//*Label 22451*/ GIMT_Encode4(1628963), // Rule ID 3876 //
     /* 1628882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1628885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1628893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1628896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1628899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1628902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1628908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1628916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1628924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1628928 */     // MIs[0] policy
     /* 1628928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1628931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1628938 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1628938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1628941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1628943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1628945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1628947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1628949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1628951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1628956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1628959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1628961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1628962 */     // GIR_Coverage, 3876,
     /* 1628962 */     GIR_EraseRootFromParent_Done,
     /* 1628963 */   // Label 22451: @1628963
     /* 1628963 */   GIM_Try, /*On fail goto*//*Label 22452*/ GIMT_Encode4(1629049), // Rule ID 3877 //
     /* 1628968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1628971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1628976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1628979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1628982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1628985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1628988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1628991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1628994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1628998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629014 */     // MIs[0] policy
     /* 1629014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629024 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M1_MASK),
     /* 1629027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629048 */     // GIR_Coverage, 3877,
     /* 1629048 */     GIR_EraseRootFromParent_Done,
     /* 1629049 */   // Label 22452: @1629049
     /* 1629049 */   GIM_Try, /*On fail goto*//*Label 22453*/ GIMT_Encode4(1629135), // Rule ID 3880 //
     /* 1629054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1629065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1629068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1629074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629100 */     // MIs[0] policy
     /* 1629100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629110 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1629113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629134 */     // GIR_Coverage, 3880,
     /* 1629134 */     GIR_EraseRootFromParent_Done,
     /* 1629135 */   // Label 22453: @1629135
     /* 1629135 */   GIM_Try, /*On fail goto*//*Label 22454*/ GIMT_Encode4(1629221), // Rule ID 3881 //
     /* 1629140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1629151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1629154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1629157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1629160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1629170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629186 */     // MIs[0] policy
     /* 1629186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629196 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M2_MASK),
     /* 1629199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629220 */     // GIR_Coverage, 3881,
     /* 1629220 */     GIR_EraseRootFromParent_Done,
     /* 1629221 */   // Label 22454: @1629221
     /* 1629221 */   GIM_Try, /*On fail goto*//*Label 22455*/ GIMT_Encode4(1629307), // Rule ID 3884 //
     /* 1629226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1629229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1629237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1629240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1629246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629272 */     // MIs[0] policy
     /* 1629272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629282 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1629285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629306 */     // GIR_Coverage, 3884,
     /* 1629306 */     GIR_EraseRootFromParent_Done,
     /* 1629307 */   // Label 22455: @1629307
     /* 1629307 */   GIM_Try, /*On fail goto*//*Label 22456*/ GIMT_Encode4(1629393), // Rule ID 3885 //
     /* 1629312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1629315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1629323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1629326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1629329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1629332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1629342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1629346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1629354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629358 */     // MIs[0] policy
     /* 1629358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629368 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VV_M4_MASK),
     /* 1629371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1629389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629392 */     // GIR_Coverage, 3885,
     /* 1629392 */     GIR_EraseRootFromParent_Done,
     /* 1629393 */   // Label 22456: @1629393
     /* 1629393 */   GIM_Try, /*On fail goto*//*Label 22457*/ GIMT_Encode4(1629479), // Rule ID 3888 //
     /* 1629398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1629409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1629412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1629415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629444 */     // MIs[0] policy
     /* 1629444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629454 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1629457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629478 */     // GIR_Coverage, 3888,
     /* 1629478 */     GIR_EraseRootFromParent_Done,
     /* 1629479 */   // Label 22457: @1629479
     /* 1629479 */   GIM_Try, /*On fail goto*//*Label 22458*/ GIMT_Encode4(1629565), // Rule ID 3889 //
     /* 1629484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1629495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1629498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1629501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1629507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629530 */     // MIs[0] policy
     /* 1629530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629540 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF8_MASK),
     /* 1629543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629564 */     // GIR_Coverage, 3889,
     /* 1629564 */     GIR_EraseRootFromParent_Done,
     /* 1629565 */   // Label 22458: @1629565
     /* 1629565 */   GIM_Try, /*On fail goto*//*Label 22459*/ GIMT_Encode4(1629651), // Rule ID 3892 //
     /* 1629570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1629581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1629584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1629587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629616 */     // MIs[0] policy
     /* 1629616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629626 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1629629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629650 */     // GIR_Coverage, 3892,
     /* 1629650 */     GIR_EraseRootFromParent_Done,
     /* 1629651 */   // Label 22459: @1629651
     /* 1629651 */   GIM_Try, /*On fail goto*//*Label 22460*/ GIMT_Encode4(1629737), // Rule ID 3893 //
     /* 1629656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1629667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1629670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1629673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1629679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629702 */     // MIs[0] policy
     /* 1629702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629712 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1629715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629736 */     // GIR_Coverage, 3893,
     /* 1629736 */     GIR_EraseRootFromParent_Done,
     /* 1629737 */   // Label 22460: @1629737
     /* 1629737 */   GIM_Try, /*On fail goto*//*Label 22461*/ GIMT_Encode4(1629823), // Rule ID 3896 //
     /* 1629742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1629753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1629756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1629759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629788 */     // MIs[0] policy
     /* 1629788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629798 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1629801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629822 */     // GIR_Coverage, 3896,
     /* 1629822 */     GIR_EraseRootFromParent_Done,
     /* 1629823 */   // Label 22461: @1629823
     /* 1629823 */   GIM_Try, /*On fail goto*//*Label 22462*/ GIMT_Encode4(1629909), // Rule ID 3897 //
     /* 1629828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1629831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1629839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1629842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1629845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1629848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1629851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1629854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1629858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629874 */     // MIs[0] policy
     /* 1629874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629884 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11640:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1629884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1629887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629908 */     // GIR_Coverage, 3897,
     /* 1629908 */     GIR_EraseRootFromParent_Done,
     /* 1629909 */   // Label 22462: @1629909
     /* 1629909 */   GIM_Try, /*On fail goto*//*Label 22463*/ GIMT_Encode4(1629995), // Rule ID 3900 //
     /* 1629914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1629917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1629922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1629925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1629928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1629931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1629934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1629937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1629940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1629944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1629948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1629952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1629956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1629960 */     // MIs[0] policy
     /* 1629960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1629963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1629970 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1629970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1629973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1629975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1629977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1629979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1629981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1629983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1629988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1629991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1629993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1629994 */     // GIR_Coverage, 3900,
     /* 1629994 */     GIR_EraseRootFromParent_Done,
     /* 1629995 */   // Label 22463: @1629995
     /* 1629995 */   GIM_Try, /*On fail goto*//*Label 22464*/ GIMT_Encode4(1630081), // Rule ID 3901 //
     /* 1630000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1630011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1630014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1630017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630046 */     // MIs[0] policy
     /* 1630046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1630059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630080 */     // GIR_Coverage, 3901,
     /* 1630080 */     GIR_EraseRootFromParent_Done,
     /* 1630081 */   // Label 22464: @1630081
     /* 1630081 */   GIM_Try, /*On fail goto*//*Label 22465*/ GIMT_Encode4(1630167), // Rule ID 3904 //
     /* 1630086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1630103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630132 */     // MIs[0] policy
     /* 1630132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630142 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1630145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630166 */     // GIR_Coverage, 3904,
     /* 1630166 */     GIR_EraseRootFromParent_Done,
     /* 1630167 */   // Label 22465: @1630167
     /* 1630167 */   GIM_Try, /*On fail goto*//*Label 22466*/ GIMT_Encode4(1630253), // Rule ID 3905 //
     /* 1630172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1630183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1630186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1630189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1630195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630218 */     // MIs[0] policy
     /* 1630218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630228 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1630231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630252 */     // GIR_Coverage, 3905,
     /* 1630252 */     GIR_EraseRootFromParent_Done,
     /* 1630253 */   // Label 22466: @1630253
     /* 1630253 */   GIM_Try, /*On fail goto*//*Label 22467*/ GIMT_Encode4(1630339), // Rule ID 3908 //
     /* 1630258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1630269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1630272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1630275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1630281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630304 */     // MIs[0] policy
     /* 1630304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630314 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1630317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630338 */     // GIR_Coverage, 3908,
     /* 1630338 */     GIR_EraseRootFromParent_Done,
     /* 1630339 */   // Label 22467: @1630339
     /* 1630339 */   GIM_Try, /*On fail goto*//*Label 22468*/ GIMT_Encode4(1630425), // Rule ID 3909 //
     /* 1630344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1630355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1630358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1630361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1630367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1630374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1630378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630390 */     // MIs[0] policy
     /* 1630390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1630403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1630421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630424 */     // GIR_Coverage, 3909,
     /* 1630424 */     GIR_EraseRootFromParent_Done,
     /* 1630425 */   // Label 22468: @1630425
     /* 1630425 */   GIM_Try, /*On fail goto*//*Label 22469*/ GIMT_Encode4(1630511), // Rule ID 3912 //
     /* 1630430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1630441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1630444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630476 */     // MIs[0] policy
     /* 1630476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630486 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1630489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630510 */     // GIR_Coverage, 3912,
     /* 1630510 */     GIR_EraseRootFromParent_Done,
     /* 1630511 */   // Label 22469: @1630511
     /* 1630511 */   GIM_Try, /*On fail goto*//*Label 22470*/ GIMT_Encode4(1630597), // Rule ID 3913 //
     /* 1630516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1630527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1630530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1630533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1630539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630562 */     // MIs[0] policy
     /* 1630562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630572 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF4_MASK),
     /* 1630575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630596 */     // GIR_Coverage, 3913,
     /* 1630596 */     GIR_EraseRootFromParent_Done,
     /* 1630597 */   // Label 22470: @1630597
     /* 1630597 */   GIM_Try, /*On fail goto*//*Label 22471*/ GIMT_Encode4(1630683), // Rule ID 3916 //
     /* 1630602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1630613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1630616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1630619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630648 */     // MIs[0] policy
     /* 1630648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630658 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11640:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1630661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630682 */     // GIR_Coverage, 3916,
     /* 1630682 */     GIR_EraseRootFromParent_Done,
     /* 1630683 */   // Label 22471: @1630683
     /* 1630683 */   GIM_Try, /*On fail goto*//*Label 22472*/ GIMT_Encode4(1630769), // Rule ID 3917 //
     /* 1630688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1630699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1630702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1630705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1630711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1630718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630734 */     // MIs[0] policy
     /* 1630734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630744 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11640:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1630747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630768 */     // GIR_Coverage, 3917,
     /* 1630768 */     GIR_EraseRootFromParent_Done,
     /* 1630769 */   // Label 22472: @1630769
     /* 1630769 */   GIM_Try, /*On fail goto*//*Label 22473*/ GIMT_Encode4(1630855), // Rule ID 3920 //
     /* 1630774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1630785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1630788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1630791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630820 */     // MIs[0] policy
     /* 1630820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630830 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1630830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1630833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630854 */     // GIR_Coverage, 3920,
     /* 1630854 */     GIR_EraseRootFromParent_Done,
     /* 1630855 */   // Label 22473: @1630855
     /* 1630855 */   GIM_Try, /*On fail goto*//*Label 22474*/ GIMT_Encode4(1630941), // Rule ID 3921 //
     /* 1630860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1630863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1630871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1630874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1630877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1630880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1630883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1630886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1630890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1630898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630906 */     // MIs[0] policy
     /* 1630906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1630916 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1630916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1630919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1630921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1630923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1630925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1630927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1630929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1630934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1630937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1630939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1630940 */     // GIR_Coverage, 3921,
     /* 1630940 */     GIR_EraseRootFromParent_Done,
     /* 1630941 */   // Label 22474: @1630941
     /* 1630941 */   GIM_Try, /*On fail goto*//*Label 22475*/ GIMT_Encode4(1631027), // Rule ID 3924 //
     /* 1630946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1630949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1630954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1630957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1630960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1630963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1630966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1630969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1630972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1630976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1630980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1630984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1630988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1630992 */     // MIs[0] policy
     /* 1630992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1630995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631002 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1631005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631026 */     // GIR_Coverage, 3924,
     /* 1631026 */     GIR_EraseRootFromParent_Done,
     /* 1631027 */   // Label 22475: @1631027
     /* 1631027 */   GIM_Try, /*On fail goto*//*Label 22476*/ GIMT_Encode4(1631113), // Rule ID 3925 //
     /* 1631032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1631043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1631046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1631049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631078 */     // MIs[0] policy
     /* 1631078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631088 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1631091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631112 */     // GIR_Coverage, 3925,
     /* 1631112 */     GIR_EraseRootFromParent_Done,
     /* 1631113 */   // Label 22476: @1631113
     /* 1631113 */   GIM_Try, /*On fail goto*//*Label 22477*/ GIMT_Encode4(1631199), // Rule ID 3928 //
     /* 1631118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631164 */     // MIs[0] policy
     /* 1631164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631174 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1631177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631198 */     // GIR_Coverage, 3928,
     /* 1631198 */     GIR_EraseRootFromParent_Done,
     /* 1631199 */   // Label 22477: @1631199
     /* 1631199 */   GIM_Try, /*On fail goto*//*Label 22478*/ GIMT_Encode4(1631285), // Rule ID 3929 //
     /* 1631204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1631207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1631215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1631218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1631221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1631227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631250 */     // MIs[0] policy
     /* 1631250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631260 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1631263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1631281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631284 */     // GIR_Coverage, 3929,
     /* 1631284 */     GIR_EraseRootFromParent_Done,
     /* 1631285 */   // Label 22478: @1631285
     /* 1631285 */   GIM_Try, /*On fail goto*//*Label 22479*/ GIMT_Encode4(1631371), // Rule ID 3932 //
     /* 1631290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1631301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1631304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631336 */     // MIs[0] policy
     /* 1631336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1631349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631370 */     // GIR_Coverage, 3932,
     /* 1631370 */     GIR_EraseRootFromParent_Done,
     /* 1631371 */   // Label 22479: @1631371
     /* 1631371 */   GIM_Try, /*On fail goto*//*Label 22480*/ GIMT_Encode4(1631457), // Rule ID 3933 //
     /* 1631376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1631387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1631390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1631393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1631399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1631406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631422 */     // MIs[0] policy
     /* 1631422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11640:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_MF2_MASK),
     /* 1631435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631456 */     // GIR_Coverage, 3933,
     /* 1631456 */     GIR_EraseRootFromParent_Done,
     /* 1631457 */   // Label 22480: @1631457
     /* 1631457 */   GIM_Try, /*On fail goto*//*Label 22481*/ GIMT_Encode4(1631543), // Rule ID 3936 //
     /* 1631462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1631473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1631476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1631479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631508 */     // MIs[0] policy
     /* 1631508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631518 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1631521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631542 */     // GIR_Coverage, 3936,
     /* 1631542 */     GIR_EraseRootFromParent_Done,
     /* 1631543 */   // Label 22481: @1631543
     /* 1631543 */   GIM_Try, /*On fail goto*//*Label 22482*/ GIMT_Encode4(1631629), // Rule ID 3937 //
     /* 1631548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1631559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1631562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1631565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1631571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1631578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1631586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631594 */     // MIs[0] policy
     /* 1631594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631604 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11640:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M1_MASK),
     /* 1631607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631628 */     // GIR_Coverage, 3937,
     /* 1631628 */     GIR_EraseRootFromParent_Done,
     /* 1631629 */   // Label 22482: @1631629
     /* 1631629 */   GIM_Try, /*On fail goto*//*Label 22483*/ GIMT_Encode4(1631715), // Rule ID 3940 //
     /* 1631634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1631645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1631648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1631651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631680 */     // MIs[0] policy
     /* 1631680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631690 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1631693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631714 */     // GIR_Coverage, 3940,
     /* 1631714 */     GIR_EraseRootFromParent_Done,
     /* 1631715 */   // Label 22483: @1631715
     /* 1631715 */   GIM_Try, /*On fail goto*//*Label 22484*/ GIMT_Encode4(1631801), // Rule ID 3941 //
     /* 1631720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1631731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1631734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1631737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1631743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1631750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1631758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631766 */     // MIs[0] policy
     /* 1631766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631776 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11640:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M2_MASK),
     /* 1631779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631800 */     // GIR_Coverage, 3941,
     /* 1631800 */     GIR_EraseRootFromParent_Done,
     /* 1631801 */   // Label 22484: @1631801
     /* 1631801 */   GIM_Try, /*On fail goto*//*Label 22485*/ GIMT_Encode4(1631887), // Rule ID 3944 //
     /* 1631806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1631809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1631817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1631820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1631823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1631826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1631832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631852 */     // MIs[0] policy
     /* 1631852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631862 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1631862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1631865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631886 */     // GIR_Coverage, 3944,
     /* 1631886 */     GIR_EraseRootFromParent_Done,
     /* 1631887 */   // Label 22485: @1631887
     /* 1631887 */   GIM_Try, /*On fail goto*//*Label 22486*/ GIMT_Encode4(1631973), // Rule ID 3945 //
     /* 1631892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1631895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_mask),
     /* 1631900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1631903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1631906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1631909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1631912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1631915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1631918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1631922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1631926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1631930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1631934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1631938 */     // MIs[0] policy
     /* 1631938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1631941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1631948 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11640:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1631948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_VX_M4_MASK),
     /* 1631951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1631953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1631955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1631957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1631959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1631961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1631966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1631969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1631971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1631972 */     // GIR_Coverage, 3945,
     /* 1631972 */     GIR_EraseRootFromParent_Done,
     /* 1631973 */   // Label 22486: @1631973
     /* 1631973 */   GIM_Try, /*On fail goto*//*Label 22487*/ GIMT_Encode4(1632059), // Rule ID 3948 //
     /* 1631978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1631981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1631986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1631989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1631992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1631995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1631998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632024 */     // MIs[0] policy
     /* 1632024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1632037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632058 */     // GIR_Coverage, 3948,
     /* 1632058 */     GIR_EraseRootFromParent_Done,
     /* 1632059 */   // Label 22487: @1632059
     /* 1632059 */   GIM_Try, /*On fail goto*//*Label 22488*/ GIMT_Encode4(1632145), // Rule ID 3949 //
     /* 1632064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1632075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1632078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1632081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1632084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1632087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632110 */     // MIs[0] policy
     /* 1632110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632120 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF8_MASK),
     /* 1632123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632144 */     // GIR_Coverage, 3949,
     /* 1632144 */     GIR_EraseRootFromParent_Done,
     /* 1632145 */   // Label 22488: @1632145
     /* 1632145 */   GIM_Try, /*On fail goto*//*Label 22489*/ GIMT_Encode4(1632231), // Rule ID 3952 //
     /* 1632150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1632167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1632170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632196 */     // MIs[0] policy
     /* 1632196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1632209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632230 */     // GIR_Coverage, 3952,
     /* 1632230 */     GIR_EraseRootFromParent_Done,
     /* 1632231 */   // Label 22489: @1632231
     /* 1632231 */   GIM_Try, /*On fail goto*//*Label 22490*/ GIMT_Encode4(1632317), // Rule ID 3953 //
     /* 1632236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1632247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1632250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1632253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1632256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1632259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632282 */     // MIs[0] policy
     /* 1632282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1632295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632316 */     // GIR_Coverage, 3953,
     /* 1632316 */     GIR_EraseRootFromParent_Done,
     /* 1632317 */   // Label 22490: @1632317
     /* 1632317 */   GIM_Try, /*On fail goto*//*Label 22491*/ GIMT_Encode4(1632403), // Rule ID 3956 //
     /* 1632322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1632333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1632339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1632342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632368 */     // MIs[0] policy
     /* 1632368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1632381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632402 */     // GIR_Coverage, 3956,
     /* 1632402 */     GIR_EraseRootFromParent_Done,
     /* 1632403 */   // Label 22491: @1632403
     /* 1632403 */   GIM_Try, /*On fail goto*//*Label 22492*/ GIMT_Encode4(1632489), // Rule ID 3957 //
     /* 1632408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1632419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1632422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1632425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1632428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1632431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1632438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632454 */     // MIs[0] policy
     /* 1632454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1632467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632488 */     // GIR_Coverage, 3957,
     /* 1632488 */     GIR_EraseRootFromParent_Done,
     /* 1632489 */   // Label 22492: @1632489
     /* 1632489 */   GIM_Try, /*On fail goto*//*Label 22493*/ GIMT_Encode4(1632575), // Rule ID 3960 //
     /* 1632494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1632505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1632508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1632511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1632514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632540 */     // MIs[0] policy
     /* 1632540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632550 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1632553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632574 */     // GIR_Coverage, 3960,
     /* 1632574 */     GIR_EraseRootFromParent_Done,
     /* 1632575 */   // Label 22493: @1632575
     /* 1632575 */   GIM_Try, /*On fail goto*//*Label 22494*/ GIMT_Encode4(1632661), // Rule ID 3961 //
     /* 1632580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1632591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1632594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1632597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1632600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1632603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1632610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1632622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632626 */     // MIs[0] policy
     /* 1632626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632636 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1632639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632660 */     // GIR_Coverage, 3961,
     /* 1632660 */     GIR_EraseRootFromParent_Done,
     /* 1632661 */   // Label 22494: @1632661
     /* 1632661 */   GIM_Try, /*On fail goto*//*Label 22495*/ GIMT_Encode4(1632747), // Rule ID 3964 //
     /* 1632666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1632677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1632680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1632683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1632686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632712 */     // MIs[0] policy
     /* 1632712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632722 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1632725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632746 */     // GIR_Coverage, 3964,
     /* 1632746 */     GIR_EraseRootFromParent_Done,
     /* 1632747 */   // Label 22495: @1632747
     /* 1632747 */   GIM_Try, /*On fail goto*//*Label 22496*/ GIMT_Encode4(1632833), // Rule ID 3965 //
     /* 1632752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1632763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1632766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1632769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1632772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1632775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1632782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1632794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632798 */     // MIs[0] policy
     /* 1632798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632808 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1632811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632832 */     // GIR_Coverage, 3965,
     /* 1632832 */     GIR_EraseRootFromParent_Done,
     /* 1632833 */   // Label 22496: @1632833
     /* 1632833 */   GIM_Try, /*On fail goto*//*Label 22497*/ GIMT_Encode4(1632919), // Rule ID 3968 //
     /* 1632838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1632841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1632849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1632852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1632855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1632858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1632864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632884 */     // MIs[0] policy
     /* 1632884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632894 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1632894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1632897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1632915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1632917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1632918 */     // GIR_Coverage, 3968,
     /* 1632918 */     GIR_EraseRootFromParent_Done,
     /* 1632919 */   // Label 22497: @1632919
     /* 1632919 */   GIM_Try, /*On fail goto*//*Label 22498*/ GIMT_Encode4(1633005), // Rule ID 3969 //
     /* 1632924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1632927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1632932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1632935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1632938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1632941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1632944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1632947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1632950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1632954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1632958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1632966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1632970 */     // MIs[0] policy
     /* 1632970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1632973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1632980 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1632980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1632983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1632985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1632987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1632989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1632991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1632993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1632998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1633001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633004 */     // GIR_Coverage, 3969,
     /* 1633004 */     GIR_EraseRootFromParent_Done,
     /* 1633005 */   // Label 22498: @1633005
     /* 1633005 */   GIM_Try, /*On fail goto*//*Label 22499*/ GIMT_Encode4(1633091), // Rule ID 3972 //
     /* 1633010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1633030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633056 */     // MIs[0] policy
     /* 1633056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633066 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1633069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633090 */     // GIR_Coverage, 3972,
     /* 1633090 */     GIR_EraseRootFromParent_Done,
     /* 1633091 */   // Label 22499: @1633091
     /* 1633091 */   GIM_Try, /*On fail goto*//*Label 22500*/ GIMT_Encode4(1633177), // Rule ID 3973 //
     /* 1633096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1633107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1633110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1633113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1633116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633142 */     // MIs[0] policy
     /* 1633142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF4_MASK),
     /* 1633155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633176 */     // GIR_Coverage, 3973,
     /* 1633176 */     GIR_EraseRootFromParent_Done,
     /* 1633177 */   // Label 22500: @1633177
     /* 1633177 */   GIM_Try, /*On fail goto*//*Label 22501*/ GIMT_Encode4(1633263), // Rule ID 3976 //
     /* 1633182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1633193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1633196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1633202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633228 */     // MIs[0] policy
     /* 1633228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633238 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1633241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633262 */     // GIR_Coverage, 3976,
     /* 1633262 */     GIR_EraseRootFromParent_Done,
     /* 1633263 */   // Label 22501: @1633263
     /* 1633263 */   GIM_Try, /*On fail goto*//*Label 22502*/ GIMT_Encode4(1633349), // Rule ID 3977 //
     /* 1633268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1633279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1633282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1633285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1633288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1633291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633314 */     // MIs[0] policy
     /* 1633314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633324 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1633327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633348 */     // GIR_Coverage, 3977,
     /* 1633348 */     GIR_EraseRootFromParent_Done,
     /* 1633349 */   // Label 22502: @1633349
     /* 1633349 */   GIM_Try, /*On fail goto*//*Label 22503*/ GIMT_Encode4(1633435), // Rule ID 3980 //
     /* 1633354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1633368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1633374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633400 */     // MIs[0] policy
     /* 1633400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633410 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1633413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633434 */     // GIR_Coverage, 3980,
     /* 1633434 */     GIR_EraseRootFromParent_Done,
     /* 1633435 */   // Label 22503: @1633435
     /* 1633435 */   GIM_Try, /*On fail goto*//*Label 22504*/ GIMT_Encode4(1633521), // Rule ID 3981 //
     /* 1633440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1633451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1633454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1633457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1633460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1633463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1633470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633486 */     // MIs[0] policy
     /* 1633486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633496 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1633499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633520 */     // GIR_Coverage, 3981,
     /* 1633520 */     GIR_EraseRootFromParent_Done,
     /* 1633521 */   // Label 22504: @1633521
     /* 1633521 */   GIM_Try, /*On fail goto*//*Label 22505*/ GIMT_Encode4(1633607), // Rule ID 3984 //
     /* 1633526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1633537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1633540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1633546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633572 */     // MIs[0] policy
     /* 1633572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633582 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1633585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633606 */     // GIR_Coverage, 3984,
     /* 1633606 */     GIR_EraseRootFromParent_Done,
     /* 1633607 */   // Label 22505: @1633607
     /* 1633607 */   GIM_Try, /*On fail goto*//*Label 22506*/ GIMT_Encode4(1633693), // Rule ID 3985 //
     /* 1633612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1633623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1633626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1633629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1633632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1633635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1633642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1633654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633658 */     // MIs[0] policy
     /* 1633658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633668 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1633671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633692 */     // GIR_Coverage, 3985,
     /* 1633692 */     GIR_EraseRootFromParent_Done,
     /* 1633693 */   // Label 22506: @1633693
     /* 1633693 */   GIM_Try, /*On fail goto*//*Label 22507*/ GIMT_Encode4(1633779), // Rule ID 3988 //
     /* 1633698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1633701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1633718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633744 */     // MIs[0] policy
     /* 1633744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633754 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1633757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633778 */     // GIR_Coverage, 3988,
     /* 1633778 */     GIR_EraseRootFromParent_Done,
     /* 1633779 */   // Label 22507: @1633779
     /* 1633779 */   GIM_Try, /*On fail goto*//*Label 22508*/ GIMT_Encode4(1633865), // Rule ID 3989 //
     /* 1633784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1633787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1633795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1633798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1633801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1633804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1633807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1633814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1633818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1633826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633830 */     // MIs[0] policy
     /* 1633830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633840 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1633840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1633843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1633861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633864 */     // GIR_Coverage, 3989,
     /* 1633864 */     GIR_EraseRootFromParent_Done,
     /* 1633865 */   // Label 22508: @1633865
     /* 1633865 */   GIM_Try, /*On fail goto*//*Label 22509*/ GIMT_Encode4(1633951), // Rule ID 3992 //
     /* 1633870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1633873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1633881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1633884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1633890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1633896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1633916 */     // MIs[0] policy
     /* 1633916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1633919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1633926 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1633926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1633929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1633931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1633933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1633935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1633937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1633939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1633944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1633947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1633949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1633950 */     // GIR_Coverage, 3992,
     /* 1633950 */     GIR_EraseRootFromParent_Done,
     /* 1633951 */   // Label 22509: @1633951
     /* 1633951 */   GIM_Try, /*On fail goto*//*Label 22510*/ GIMT_Encode4(1634037), // Rule ID 3993 //
     /* 1633956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1633959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1633964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1633967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1633970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1633973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1633976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1633979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1633982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1633986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1633998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634002 */     // MIs[0] policy
     /* 1634002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634012 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_MF2_MASK),
     /* 1634015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634036 */     // GIR_Coverage, 3993,
     /* 1634036 */     GIR_EraseRootFromParent_Done,
     /* 1634037 */   // Label 22510: @1634037
     /* 1634037 */   GIM_Try, /*On fail goto*//*Label 22511*/ GIMT_Encode4(1634123), // Rule ID 3996 //
     /* 1634042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1634062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634088 */     // MIs[0] policy
     /* 1634088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1634101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634122 */     // GIR_Coverage, 3996,
     /* 1634122 */     GIR_EraseRootFromParent_Done,
     /* 1634123 */   // Label 22511: @1634123
     /* 1634123 */   GIM_Try, /*On fail goto*//*Label 22512*/ GIMT_Encode4(1634209), // Rule ID 3997 //
     /* 1634128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1634139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1634142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1634145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1634148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1634158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634174 */     // MIs[0] policy
     /* 1634174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M1_MASK),
     /* 1634187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634208 */     // GIR_Coverage, 3997,
     /* 1634208 */     GIR_EraseRootFromParent_Done,
     /* 1634209 */   // Label 22512: @1634209
     /* 1634209 */   GIM_Try, /*On fail goto*//*Label 22513*/ GIMT_Encode4(1634295), // Rule ID 4000 //
     /* 1634214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1634234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634260 */     // MIs[0] policy
     /* 1634260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1634273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634294 */     // GIR_Coverage, 4000,
     /* 1634294 */     GIR_EraseRootFromParent_Done,
     /* 1634295 */   // Label 22513: @1634295
     /* 1634295 */   GIM_Try, /*On fail goto*//*Label 22514*/ GIMT_Encode4(1634381), // Rule ID 4001 //
     /* 1634300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1634311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1634314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1634317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1634320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1634330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1634342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634346 */     // MIs[0] policy
     /* 1634346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M2_MASK),
     /* 1634359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634380 */     // GIR_Coverage, 4001,
     /* 1634380 */     GIR_EraseRootFromParent_Done,
     /* 1634381 */   // Label 22514: @1634381
     /* 1634381 */   GIM_Try, /*On fail goto*//*Label 22515*/ GIMT_Encode4(1634467), // Rule ID 4004 //
     /* 1634386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1634389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1634397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1634400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1634406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634432 */     // MIs[0] policy
     /* 1634432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1634445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634466 */     // GIR_Coverage, 4004,
     /* 1634466 */     GIR_EraseRootFromParent_Done,
     /* 1634467 */   // Label 22515: @1634467
     /* 1634467 */   GIM_Try, /*On fail goto*//*Label 22516*/ GIMT_Encode4(1634553), // Rule ID 4005 //
     /* 1634472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1634475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1634483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1634486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1634489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1634492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1634495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1634502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1634506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1634514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634518 */     // MIs[0] policy
     /* 1634518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VV_M4_MASK),
     /* 1634531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1634549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634552 */     // GIR_Coverage, 4005,
     /* 1634552 */     GIR_EraseRootFromParent_Done,
     /* 1634553 */   // Label 22516: @1634553
     /* 1634553 */   GIM_Try, /*On fail goto*//*Label 22517*/ GIMT_Encode4(1634639), // Rule ID 4008 //
     /* 1634558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1634569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1634572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1634575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634604 */     // MIs[0] policy
     /* 1634604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634614 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1634617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634638 */     // GIR_Coverage, 4008,
     /* 1634638 */     GIR_EraseRootFromParent_Done,
     /* 1634639 */   // Label 22517: @1634639
     /* 1634639 */   GIM_Try, /*On fail goto*//*Label 22518*/ GIMT_Encode4(1634725), // Rule ID 4009 //
     /* 1634644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1634655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1634658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1634661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1634667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634690 */     // MIs[0] policy
     /* 1634690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634700 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF8_MASK),
     /* 1634703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634724 */     // GIR_Coverage, 4009,
     /* 1634724 */     GIR_EraseRootFromParent_Done,
     /* 1634725 */   // Label 22518: @1634725
     /* 1634725 */   GIM_Try, /*On fail goto*//*Label 22519*/ GIMT_Encode4(1634811), // Rule ID 4012 //
     /* 1634730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1634741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1634744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1634747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634776 */     // MIs[0] policy
     /* 1634776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634786 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1634789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634810 */     // GIR_Coverage, 4012,
     /* 1634810 */     GIR_EraseRootFromParent_Done,
     /* 1634811 */   // Label 22519: @1634811
     /* 1634811 */   GIM_Try, /*On fail goto*//*Label 22520*/ GIMT_Encode4(1634897), // Rule ID 4013 //
     /* 1634816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1634827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1634830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1634833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1634836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1634839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1634842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634862 */     // MIs[0] policy
     /* 1634862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634872 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1634872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1634875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634896 */     // GIR_Coverage, 4013,
     /* 1634896 */     GIR_EraseRootFromParent_Done,
     /* 1634897 */   // Label 22520: @1634897
     /* 1634897 */   GIM_Try, /*On fail goto*//*Label 22521*/ GIMT_Encode4(1634983), // Rule ID 4016 //
     /* 1634902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1634905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1634913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1634916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1634919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1634922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1634925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1634928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1634932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1634940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1634944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1634948 */     // MIs[0] policy
     /* 1634948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1634951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1634958 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1634958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1634961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1634963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1634965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1634967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1634969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1634971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1634976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1634979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1634981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1634982 */     // GIR_Coverage, 4016,
     /* 1634982 */     GIR_EraseRootFromParent_Done,
     /* 1634983 */   // Label 22521: @1634983
     /* 1634983 */   GIM_Try, /*On fail goto*//*Label 22522*/ GIMT_Encode4(1635069), // Rule ID 4017 //
     /* 1634988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1634991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1634996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1634999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1635002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1635005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635034 */     // MIs[0] policy
     /* 1635034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635044 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11668:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1635047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635068 */     // GIR_Coverage, 4017,
     /* 1635068 */     GIR_EraseRootFromParent_Done,
     /* 1635069 */   // Label 22522: @1635069
     /* 1635069 */   GIM_Try, /*On fail goto*//*Label 22523*/ GIMT_Encode4(1635155), // Rule ID 4020 //
     /* 1635074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1635091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635120 */     // MIs[0] policy
     /* 1635120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635130 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1635133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635154 */     // GIR_Coverage, 4020,
     /* 1635154 */     GIR_EraseRootFromParent_Done,
     /* 1635155 */   // Label 22523: @1635155
     /* 1635155 */   GIM_Try, /*On fail goto*//*Label 22524*/ GIMT_Encode4(1635241), // Rule ID 4021 //
     /* 1635160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1635171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1635174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1635177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1635183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635206 */     // MIs[0] policy
     /* 1635206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635216 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1635219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635240 */     // GIR_Coverage, 4021,
     /* 1635240 */     GIR_EraseRootFromParent_Done,
     /* 1635241 */   // Label 22524: @1635241
     /* 1635241 */   GIM_Try, /*On fail goto*//*Label 22525*/ GIMT_Encode4(1635327), // Rule ID 4024 //
     /* 1635246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1635257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1635260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1635263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635292 */     // MIs[0] policy
     /* 1635292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635302 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1635305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635326 */     // GIR_Coverage, 4024,
     /* 1635326 */     GIR_EraseRootFromParent_Done,
     /* 1635327 */   // Label 22525: @1635327
     /* 1635327 */   GIM_Try, /*On fail goto*//*Label 22526*/ GIMT_Encode4(1635413), // Rule ID 4025 //
     /* 1635332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1635343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1635346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1635349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1635355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1635362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635378 */     // MIs[0] policy
     /* 1635378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635388 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1635391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635412 */     // GIR_Coverage, 4025,
     /* 1635412 */     GIR_EraseRootFromParent_Done,
     /* 1635413 */   // Label 22526: @1635413
     /* 1635413 */   GIM_Try, /*On fail goto*//*Label 22527*/ GIMT_Encode4(1635499), // Rule ID 4028 //
     /* 1635418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1635429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1635432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1635435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1635441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635464 */     // MIs[0] policy
     /* 1635464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635474 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1635477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635498 */     // GIR_Coverage, 4028,
     /* 1635498 */     GIR_EraseRootFromParent_Done,
     /* 1635499 */   // Label 22527: @1635499
     /* 1635499 */   GIM_Try, /*On fail goto*//*Label 22528*/ GIMT_Encode4(1635585), // Rule ID 4029 //
     /* 1635504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1635515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1635518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1635521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1635527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1635534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1635538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1635542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635550 */     // MIs[0] policy
     /* 1635550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635560 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1635563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1635581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635584 */     // GIR_Coverage, 4029,
     /* 1635584 */     GIR_EraseRootFromParent_Done,
     /* 1635585 */   // Label 22528: @1635585
     /* 1635585 */   GIM_Try, /*On fail goto*//*Label 22529*/ GIMT_Encode4(1635671), // Rule ID 4032 //
     /* 1635590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635636 */     // MIs[0] policy
     /* 1635636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635646 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1635649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635670 */     // GIR_Coverage, 4032,
     /* 1635670 */     GIR_EraseRootFromParent_Done,
     /* 1635671 */   // Label 22529: @1635671
     /* 1635671 */   GIM_Try, /*On fail goto*//*Label 22530*/ GIMT_Encode4(1635757), // Rule ID 4033 //
     /* 1635676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1635687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1635690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1635693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1635699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635722 */     // MIs[0] policy
     /* 1635722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635732 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF4_MASK),
     /* 1635735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635756 */     // GIR_Coverage, 4033,
     /* 1635756 */     GIR_EraseRootFromParent_Done,
     /* 1635757 */   // Label 22530: @1635757
     /* 1635757 */   GIM_Try, /*On fail goto*//*Label 22531*/ GIMT_Encode4(1635843), // Rule ID 4036 //
     /* 1635762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635808 */     // MIs[0] policy
     /* 1635808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635818 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1635821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635842 */     // GIR_Coverage, 4036,
     /* 1635842 */     GIR_EraseRootFromParent_Done,
     /* 1635843 */   // Label 22531: @1635843
     /* 1635843 */   GIM_Try, /*On fail goto*//*Label 22532*/ GIMT_Encode4(1635929), // Rule ID 4037 //
     /* 1635848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1635851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1635859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1635862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1635865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1635868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1635871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1635874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1635878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635894 */     // MIs[0] policy
     /* 1635894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635904 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11668:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1635904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1635907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1635915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1635917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1635922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1635925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1635927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1635928 */     // GIR_Coverage, 4037,
     /* 1635928 */     GIR_EraseRootFromParent_Done,
     /* 1635929 */   // Label 22532: @1635929
     /* 1635929 */   GIM_Try, /*On fail goto*//*Label 22533*/ GIMT_Encode4(1636015), // Rule ID 4040 //
     /* 1635934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1635937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1635942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1635945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1635948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1635951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1635954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1635957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1635960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1635964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1635968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1635972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1635976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1635980 */     // MIs[0] policy
     /* 1635980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1635983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1635990 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1635990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1635993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1635995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1635997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1635999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636014 */     // GIR_Coverage, 4040,
     /* 1636014 */     GIR_EraseRootFromParent_Done,
     /* 1636015 */   // Label 22533: @1636015
     /* 1636015 */   GIM_Try, /*On fail goto*//*Label 22534*/ GIMT_Encode4(1636101), // Rule ID 4041 //
     /* 1636020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1636031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1636034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1636037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636066 */     // MIs[0] policy
     /* 1636066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636076 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1636079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636100 */     // GIR_Coverage, 4041,
     /* 1636100 */     GIR_EraseRootFromParent_Done,
     /* 1636101 */   // Label 22534: @1636101
     /* 1636101 */   GIM_Try, /*On fail goto*//*Label 22535*/ GIMT_Encode4(1636187), // Rule ID 4044 //
     /* 1636106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636152 */     // MIs[0] policy
     /* 1636152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636162 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1636165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636186 */     // GIR_Coverage, 4044,
     /* 1636186 */     GIR_EraseRootFromParent_Done,
     /* 1636187 */   // Label 22535: @1636187
     /* 1636187 */   GIM_Try, /*On fail goto*//*Label 22536*/ GIMT_Encode4(1636273), // Rule ID 4045 //
     /* 1636192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1636203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1636206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1636209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636238 */     // MIs[0] policy
     /* 1636238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636248 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1636251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636272 */     // GIR_Coverage, 4045,
     /* 1636272 */     GIR_EraseRootFromParent_Done,
     /* 1636273 */   // Label 22536: @1636273
     /* 1636273 */   GIM_Try, /*On fail goto*//*Label 22537*/ GIMT_Encode4(1636359), // Rule ID 4048 //
     /* 1636278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1636281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636324 */     // MIs[0] policy
     /* 1636324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636334 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1636337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636358 */     // GIR_Coverage, 4048,
     /* 1636358 */     GIR_EraseRootFromParent_Done,
     /* 1636359 */   // Label 22537: @1636359
     /* 1636359 */   GIM_Try, /*On fail goto*//*Label 22538*/ GIMT_Encode4(1636445), // Rule ID 4049 //
     /* 1636364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1636367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1636375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1636378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1636381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1636387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1636398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636410 */     // MIs[0] policy
     /* 1636410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636420 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1636423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1636441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636444 */     // GIR_Coverage, 4049,
     /* 1636444 */     GIR_EraseRootFromParent_Done,
     /* 1636445 */   // Label 22538: @1636445
     /* 1636445 */   GIM_Try, /*On fail goto*//*Label 22539*/ GIMT_Encode4(1636531), // Rule ID 4052 //
     /* 1636450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636496 */     // MIs[0] policy
     /* 1636496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1636509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636530 */     // GIR_Coverage, 4052,
     /* 1636530 */     GIR_EraseRootFromParent_Done,
     /* 1636531 */   // Label 22539: @1636531
     /* 1636531 */   GIM_Try, /*On fail goto*//*Label 22540*/ GIMT_Encode4(1636617), // Rule ID 4053 //
     /* 1636536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1636547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1636550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1636553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1636559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1636566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636582 */     // MIs[0] policy
     /* 1636582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11668:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_MF2_MASK),
     /* 1636595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636616 */     // GIR_Coverage, 4053,
     /* 1636616 */     GIR_EraseRootFromParent_Done,
     /* 1636617 */   // Label 22540: @1636617
     /* 1636617 */   GIM_Try, /*On fail goto*//*Label 22541*/ GIMT_Encode4(1636703), // Rule ID 4056 //
     /* 1636622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1636633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1636636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636668 */     // MIs[0] policy
     /* 1636668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636678 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1636681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636702 */     // GIR_Coverage, 4056,
     /* 1636702 */     GIR_EraseRootFromParent_Done,
     /* 1636703 */   // Label 22541: @1636703
     /* 1636703 */   GIM_Try, /*On fail goto*//*Label 22542*/ GIMT_Encode4(1636789), // Rule ID 4057 //
     /* 1636708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1636719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1636722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1636725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1636731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1636738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1636746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636754 */     // MIs[0] policy
     /* 1636754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636764 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11668:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M1_MASK),
     /* 1636767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636788 */     // GIR_Coverage, 4057,
     /* 1636788 */     GIR_EraseRootFromParent_Done,
     /* 1636789 */   // Label 22542: @1636789
     /* 1636789 */   GIM_Try, /*On fail goto*//*Label 22543*/ GIMT_Encode4(1636875), // Rule ID 4060 //
     /* 1636794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636840 */     // MIs[0] policy
     /* 1636840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636850 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1636850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1636853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636874 */     // GIR_Coverage, 4060,
     /* 1636874 */     GIR_EraseRootFromParent_Done,
     /* 1636875 */   // Label 22543: @1636875
     /* 1636875 */   GIM_Try, /*On fail goto*//*Label 22544*/ GIMT_Encode4(1636961), // Rule ID 4061 //
     /* 1636880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1636883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1636891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1636894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1636897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1636900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1636903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1636906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1636910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1636914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1636918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1636922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1636926 */     // MIs[0] policy
     /* 1636926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1636929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1636936 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11668:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1636936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M2_MASK),
     /* 1636939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1636941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1636943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1636945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1636947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1636949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1636954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1636957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1636959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1636960 */     // GIR_Coverage, 4061,
     /* 1636960 */     GIR_EraseRootFromParent_Done,
     /* 1636961 */   // Label 22544: @1636961
     /* 1636961 */   GIM_Try, /*On fail goto*//*Label 22545*/ GIMT_Encode4(1637047), // Rule ID 4064 //
     /* 1636966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1636969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1636974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1636977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1636980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1636983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1636986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1636989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1636992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1636996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637012 */     // MIs[0] policy
     /* 1637012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637022 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1637025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637046 */     // GIR_Coverage, 4064,
     /* 1637046 */     GIR_EraseRootFromParent_Done,
     /* 1637047 */   // Label 22545: @1637047
     /* 1637047 */   GIM_Try, /*On fail goto*//*Label 22546*/ GIMT_Encode4(1637133), // Rule ID 4065 //
     /* 1637052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1637055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_mask),
     /* 1637060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1637063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1637066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1637069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1637072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1637094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637098 */     // MIs[0] policy
     /* 1637098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637108 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11668:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_VX_M4_MASK),
     /* 1637111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1637129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637132 */     // GIR_Coverage, 4065,
     /* 1637132 */     GIR_EraseRootFromParent_Done,
     /* 1637133 */   // Label 22546: @1637133
     /* 1637133 */   GIM_Try, /*On fail goto*//*Label 22547*/ GIMT_Encode4(1637219), // Rule ID 4074 //
     /* 1637138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1637158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637184 */     // MIs[0] policy
     /* 1637184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637194 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1637197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637218 */     // GIR_Coverage, 4074,
     /* 1637218 */     GIR_EraseRootFromParent_Done,
     /* 1637219 */   // Label 22547: @1637219
     /* 1637219 */   GIM_Try, /*On fail goto*//*Label 22548*/ GIMT_Encode4(1637305), // Rule ID 4075 //
     /* 1637224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1637235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1637238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1637241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1637244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1637247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637270 */     // MIs[0] policy
     /* 1637270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637280 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1637283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637304 */     // GIR_Coverage, 4075,
     /* 1637304 */     GIR_EraseRootFromParent_Done,
     /* 1637305 */   // Label 22548: @1637305
     /* 1637305 */   GIM_Try, /*On fail goto*//*Label 22549*/ GIMT_Encode4(1637391), // Rule ID 4084 //
     /* 1637310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1637321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1637324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1637327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1637330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637356 */     // MIs[0] policy
     /* 1637356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637366 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1637369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637390 */     // GIR_Coverage, 4084,
     /* 1637390 */     GIR_EraseRootFromParent_Done,
     /* 1637391 */   // Label 22549: @1637391
     /* 1637391 */   GIM_Try, /*On fail goto*//*Label 22550*/ GIMT_Encode4(1637477), // Rule ID 4085 //
     /* 1637396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1637407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1637410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1637413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1637416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1637419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1637426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637442 */     // MIs[0] policy
     /* 1637442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637452 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1637455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637476 */     // GIR_Coverage, 4085,
     /* 1637476 */     GIR_EraseRootFromParent_Done,
     /* 1637477 */   // Label 22550: @1637477
     /* 1637477 */   GIM_Try, /*On fail goto*//*Label 22551*/ GIMT_Encode4(1637563), // Rule ID 4094 //
     /* 1637482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1637493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1637496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1637499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1637502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637528 */     // MIs[0] policy
     /* 1637528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637538 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1637541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637562 */     // GIR_Coverage, 4094,
     /* 1637562 */     GIR_EraseRootFromParent_Done,
     /* 1637563 */   // Label 22551: @1637563
     /* 1637563 */   GIM_Try, /*On fail goto*//*Label 22552*/ GIMT_Encode4(1637649), // Rule ID 4095 //
     /* 1637568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1637579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1637582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1637585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1637588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1637591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1637598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1637610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637614 */     // MIs[0] policy
     /* 1637614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637624 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1637627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637648 */     // GIR_Coverage, 4095,
     /* 1637648 */     GIR_EraseRootFromParent_Done,
     /* 1637649 */   // Label 22552: @1637649
     /* 1637649 */   GIM_Try, /*On fail goto*//*Label 22553*/ GIMT_Encode4(1637735), // Rule ID 4104 //
     /* 1637654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1637665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1637668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1637671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1637674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637700 */     // MIs[0] policy
     /* 1637700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637710 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1637713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637734 */     // GIR_Coverage, 4104,
     /* 1637734 */     GIR_EraseRootFromParent_Done,
     /* 1637735 */   // Label 22553: @1637735
     /* 1637735 */   GIM_Try, /*On fail goto*//*Label 22554*/ GIMT_Encode4(1637821), // Rule ID 4105 //
     /* 1637740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1637751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1637754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1637757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1637760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1637763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1637770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1637782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637786 */     // MIs[0] policy
     /* 1637786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637796 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1637799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637820 */     // GIR_Coverage, 4105,
     /* 1637820 */     GIR_EraseRootFromParent_Done,
     /* 1637821 */   // Label 22554: @1637821
     /* 1637821 */   GIM_Try, /*On fail goto*//*Label 22555*/ GIMT_Encode4(1637907), // Rule ID 4114 //
     /* 1637826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1637829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1637837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1637840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1637843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1637846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1637849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1637852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637872 */     // MIs[0] policy
     /* 1637872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637882 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1637882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1637885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637906 */     // GIR_Coverage, 4114,
     /* 1637906 */     GIR_EraseRootFromParent_Done,
     /* 1637907 */   // Label 22555: @1637907
     /* 1637907 */   GIM_Try, /*On fail goto*//*Label 22556*/ GIMT_Encode4(1637993), // Rule ID 4115 //
     /* 1637912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1637915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1637920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1637923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1637926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1637929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1637932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1637935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1637938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1637942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1637950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1637954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1637958 */     // MIs[0] policy
     /* 1637958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1637961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1637968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1637968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1637971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1637973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1637975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1637977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1637979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1637981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1637986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1637989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1637991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1637992 */     // GIR_Coverage, 4115,
     /* 1637992 */     GIR_EraseRootFromParent_Done,
     /* 1637993 */   // Label 22556: @1637993
     /* 1637993 */   GIM_Try, /*On fail goto*//*Label 22557*/ GIMT_Encode4(1638079), // Rule ID 4124 //
     /* 1637998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1638018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638044 */     // MIs[0] policy
     /* 1638044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638054 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1638057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638078 */     // GIR_Coverage, 4124,
     /* 1638078 */     GIR_EraseRootFromParent_Done,
     /* 1638079 */   // Label 22557: @1638079
     /* 1638079 */   GIM_Try, /*On fail goto*//*Label 22558*/ GIMT_Encode4(1638165), // Rule ID 4125 //
     /* 1638084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1638095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1638098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1638101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1638104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638130 */     // MIs[0] policy
     /* 1638130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638140 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF4_MASK),
     /* 1638143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638164 */     // GIR_Coverage, 4125,
     /* 1638164 */     GIR_EraseRootFromParent_Done,
     /* 1638165 */   // Label 22558: @1638165
     /* 1638165 */   GIM_Try, /*On fail goto*//*Label 22559*/ GIMT_Encode4(1638251), // Rule ID 4134 //
     /* 1638170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1638190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638216 */     // MIs[0] policy
     /* 1638216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638226 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1638229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638250 */     // GIR_Coverage, 4134,
     /* 1638250 */     GIR_EraseRootFromParent_Done,
     /* 1638251 */   // Label 22559: @1638251
     /* 1638251 */   GIM_Try, /*On fail goto*//*Label 22560*/ GIMT_Encode4(1638337), // Rule ID 4135 //
     /* 1638256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1638267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1638270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1638273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1638276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1638279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638302 */     // MIs[0] policy
     /* 1638302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638312 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1638315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638336 */     // GIR_Coverage, 4135,
     /* 1638336 */     GIR_EraseRootFromParent_Done,
     /* 1638337 */   // Label 22560: @1638337
     /* 1638337 */   GIM_Try, /*On fail goto*//*Label 22561*/ GIMT_Encode4(1638423), // Rule ID 4144 //
     /* 1638342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1638353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1638356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1638359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1638362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638388 */     // MIs[0] policy
     /* 1638388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638398 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1638401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638422 */     // GIR_Coverage, 4144,
     /* 1638422 */     GIR_EraseRootFromParent_Done,
     /* 1638423 */   // Label 22561: @1638423
     /* 1638423 */   GIM_Try, /*On fail goto*//*Label 22562*/ GIMT_Encode4(1638509), // Rule ID 4145 //
     /* 1638428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1638439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1638442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1638445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1638448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1638451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1638458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638474 */     // MIs[0] policy
     /* 1638474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638484 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1638487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638508 */     // GIR_Coverage, 4145,
     /* 1638508 */     GIR_EraseRootFromParent_Done,
     /* 1638509 */   // Label 22562: @1638509
     /* 1638509 */   GIM_Try, /*On fail goto*//*Label 22563*/ GIMT_Encode4(1638595), // Rule ID 4154 //
     /* 1638514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1638525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1638528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1638531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1638534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638560 */     // MIs[0] policy
     /* 1638560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638570 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1638573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638594 */     // GIR_Coverage, 4154,
     /* 1638594 */     GIR_EraseRootFromParent_Done,
     /* 1638595 */   // Label 22563: @1638595
     /* 1638595 */   GIM_Try, /*On fail goto*//*Label 22564*/ GIMT_Encode4(1638681), // Rule ID 4155 //
     /* 1638600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1638611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1638614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1638617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1638620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1638623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1638630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1638642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638646 */     // MIs[0] policy
     /* 1638646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638656 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1638659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638680 */     // GIR_Coverage, 4155,
     /* 1638680 */     GIR_EraseRootFromParent_Done,
     /* 1638681 */   // Label 22564: @1638681
     /* 1638681 */   GIM_Try, /*On fail goto*//*Label 22565*/ GIMT_Encode4(1638767), // Rule ID 4164 //
     /* 1638686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1638689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1638697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1638700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1638703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1638706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638732 */     // MIs[0] policy
     /* 1638732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638742 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1638745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638766 */     // GIR_Coverage, 4164,
     /* 1638766 */     GIR_EraseRootFromParent_Done,
     /* 1638767 */   // Label 22565: @1638767
     /* 1638767 */   GIM_Try, /*On fail goto*//*Label 22566*/ GIMT_Encode4(1638853), // Rule ID 4165 //
     /* 1638772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1638775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1638783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1638786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1638789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1638792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1638795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1638802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1638810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1638814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638818 */     // MIs[0] policy
     /* 1638818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638828 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1638828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1638831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1638849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638852 */     // GIR_Coverage, 4165,
     /* 1638852 */     GIR_EraseRootFromParent_Done,
     /* 1638853 */   // Label 22566: @1638853
     /* 1638853 */   GIM_Try, /*On fail goto*//*Label 22567*/ GIMT_Encode4(1638939), // Rule ID 4174 //
     /* 1638858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1638861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1638869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1638872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1638875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1638878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1638884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638904 */     // MIs[0] policy
     /* 1638904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1638914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1638914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1638917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1638919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1638921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1638923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1638925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1638927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1638932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1638935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1638937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1638938 */     // GIR_Coverage, 4174,
     /* 1638938 */     GIR_EraseRootFromParent_Done,
     /* 1638939 */   // Label 22567: @1638939
     /* 1638939 */   GIM_Try, /*On fail goto*//*Label 22568*/ GIMT_Encode4(1639025), // Rule ID 4175 //
     /* 1638944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1638947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1638952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1638955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1638958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1638961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1638964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1638967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1638970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1638974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1638986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1638990 */     // MIs[0] policy
     /* 1638990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1638993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_MF2_MASK),
     /* 1639003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639024 */     // GIR_Coverage, 4175,
     /* 1639024 */     GIR_EraseRootFromParent_Done,
     /* 1639025 */   // Label 22568: @1639025
     /* 1639025 */   GIM_Try, /*On fail goto*//*Label 22569*/ GIMT_Encode4(1639111), // Rule ID 4184 //
     /* 1639030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1639050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639076 */     // MIs[0] policy
     /* 1639076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639086 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1639089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639110 */     // GIR_Coverage, 4184,
     /* 1639110 */     GIR_EraseRootFromParent_Done,
     /* 1639111 */   // Label 22569: @1639111
     /* 1639111 */   GIM_Try, /*On fail goto*//*Label 22570*/ GIMT_Encode4(1639197), // Rule ID 4185 //
     /* 1639116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1639127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1639130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1639133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1639136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1639146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639162 */     // MIs[0] policy
     /* 1639162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639172 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M1_MASK),
     /* 1639175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639196 */     // GIR_Coverage, 4185,
     /* 1639196 */     GIR_EraseRootFromParent_Done,
     /* 1639197 */   // Label 22570: @1639197
     /* 1639197 */   GIM_Try, /*On fail goto*//*Label 22571*/ GIMT_Encode4(1639283), // Rule ID 4194 //
     /* 1639202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1639213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1639216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1639219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1639222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639248 */     // MIs[0] policy
     /* 1639248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639258 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1639261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639282 */     // GIR_Coverage, 4194,
     /* 1639282 */     GIR_EraseRootFromParent_Done,
     /* 1639283 */   // Label 22571: @1639283
     /* 1639283 */   GIM_Try, /*On fail goto*//*Label 22572*/ GIMT_Encode4(1639369), // Rule ID 4195 //
     /* 1639288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1639299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1639302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1639305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1639308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1639318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1639330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639334 */     // MIs[0] policy
     /* 1639334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639344 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M2_MASK),
     /* 1639347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639368 */     // GIR_Coverage, 4195,
     /* 1639368 */     GIR_EraseRootFromParent_Done,
     /* 1639369 */   // Label 22572: @1639369
     /* 1639369 */   GIM_Try, /*On fail goto*//*Label 22573*/ GIMT_Encode4(1639455), // Rule ID 4204 //
     /* 1639374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1639377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1639385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1639388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1639391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1639394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639420 */     // MIs[0] policy
     /* 1639420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639430 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1639433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639454 */     // GIR_Coverage, 4204,
     /* 1639454 */     GIR_EraseRootFromParent_Done,
     /* 1639455 */   // Label 22573: @1639455
     /* 1639455 */   GIM_Try, /*On fail goto*//*Label 22574*/ GIMT_Encode4(1639541), // Rule ID 4205 //
     /* 1639460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1639463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1639471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1639474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1639477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1639480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1639483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1639490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1639498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1639502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639506 */     // MIs[0] policy
     /* 1639506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WV_M4_MASK),
     /* 1639519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1639537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639540 */     // GIR_Coverage, 4205,
     /* 1639540 */     GIR_EraseRootFromParent_Done,
     /* 1639541 */   // Label 22574: @1639541
     /* 1639541 */   GIM_Try, /*On fail goto*//*Label 22575*/ GIMT_Encode4(1639627), // Rule ID 4208 //
     /* 1639546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1639557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1639560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1639563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639592 */     // MIs[0] policy
     /* 1639592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639602 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1639605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639626 */     // GIR_Coverage, 4208,
     /* 1639626 */     GIR_EraseRootFromParent_Done,
     /* 1639627 */   // Label 22575: @1639627
     /* 1639627 */   GIM_Try, /*On fail goto*//*Label 22576*/ GIMT_Encode4(1639713), // Rule ID 4209 //
     /* 1639632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1639643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1639646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1639649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1639655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639678 */     // MIs[0] policy
     /* 1639678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639688 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF8_MASK),
     /* 1639691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639712 */     // GIR_Coverage, 4209,
     /* 1639712 */     GIR_EraseRootFromParent_Done,
     /* 1639713 */   // Label 22576: @1639713
     /* 1639713 */   GIM_Try, /*On fail goto*//*Label 22577*/ GIMT_Encode4(1639799), // Rule ID 4212 //
     /* 1639718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1639729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1639732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1639735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639764 */     // MIs[0] policy
     /* 1639764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639774 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1639777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639798 */     // GIR_Coverage, 4212,
     /* 1639798 */     GIR_EraseRootFromParent_Done,
     /* 1639799 */   // Label 22577: @1639799
     /* 1639799 */   GIM_Try, /*On fail goto*//*Label 22578*/ GIMT_Encode4(1639885), // Rule ID 4213 //
     /* 1639804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1639815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1639818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1639821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1639827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1639830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639850 */     // MIs[0] policy
     /* 1639850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1639860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1639863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639884 */     // GIR_Coverage, 4213,
     /* 1639884 */     GIR_EraseRootFromParent_Done,
     /* 1639885 */   // Label 22578: @1639885
     /* 1639885 */   GIM_Try, /*On fail goto*//*Label 22579*/ GIMT_Encode4(1639971), // Rule ID 4216 //
     /* 1639890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1639893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1639910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1639916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1639920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1639928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1639932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1639936 */     // MIs[0] policy
     /* 1639936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1639939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1639946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1639946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1639949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1639951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1639953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1639955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1639957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1639959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1639964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1639967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1639969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1639970 */     // GIR_Coverage, 4216,
     /* 1639970 */     GIR_EraseRootFromParent_Done,
     /* 1639971 */   // Label 22579: @1639971
     /* 1639971 */   GIM_Try, /*On fail goto*//*Label 22580*/ GIMT_Encode4(1640057), // Rule ID 4217 //
     /* 1639976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1639979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1639984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1639987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1639990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1639993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1639996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1639999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640022 */     // MIs[0] policy
     /* 1640022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11646:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1640035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640056 */     // GIR_Coverage, 4217,
     /* 1640056 */     GIR_EraseRootFromParent_Done,
     /* 1640057 */   // Label 22580: @1640057
     /* 1640057 */   GIM_Try, /*On fail goto*//*Label 22581*/ GIMT_Encode4(1640143), // Rule ID 4220 //
     /* 1640062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640108 */     // MIs[0] policy
     /* 1640108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640118 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1640121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640142 */     // GIR_Coverage, 4220,
     /* 1640142 */     GIR_EraseRootFromParent_Done,
     /* 1640143 */   // Label 22581: @1640143
     /* 1640143 */   GIM_Try, /*On fail goto*//*Label 22582*/ GIMT_Encode4(1640229), // Rule ID 4221 //
     /* 1640148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1640159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1640162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1640165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1640171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640194 */     // MIs[0] policy
     /* 1640194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640204 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1640207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640228 */     // GIR_Coverage, 4221,
     /* 1640228 */     GIR_EraseRootFromParent_Done,
     /* 1640229 */   // Label 22582: @1640229
     /* 1640229 */   GIM_Try, /*On fail goto*//*Label 22583*/ GIMT_Encode4(1640315), // Rule ID 4224 //
     /* 1640234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1640245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1640248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1640251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640280 */     // MIs[0] policy
     /* 1640280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640290 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1640293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640314 */     // GIR_Coverage, 4224,
     /* 1640314 */     GIR_EraseRootFromParent_Done,
     /* 1640315 */   // Label 22583: @1640315
     /* 1640315 */   GIM_Try, /*On fail goto*//*Label 22584*/ GIMT_Encode4(1640401), // Rule ID 4225 //
     /* 1640320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1640331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1640334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1640337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1640343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1640350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1640358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640366 */     // MIs[0] policy
     /* 1640366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640376 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1640379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640400 */     // GIR_Coverage, 4225,
     /* 1640400 */     GIR_EraseRootFromParent_Done,
     /* 1640401 */   // Label 22584: @1640401
     /* 1640401 */   GIM_Try, /*On fail goto*//*Label 22585*/ GIMT_Encode4(1640487), // Rule ID 4228 //
     /* 1640406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1640417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1640420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1640423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1640429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640452 */     // MIs[0] policy
     /* 1640452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640462 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1640465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640486 */     // GIR_Coverage, 4228,
     /* 1640486 */     GIR_EraseRootFromParent_Done,
     /* 1640487 */   // Label 22585: @1640487
     /* 1640487 */   GIM_Try, /*On fail goto*//*Label 22586*/ GIMT_Encode4(1640573), // Rule ID 4229 //
     /* 1640492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1640503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1640506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1640509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1640515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1640522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1640530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640538 */     // MIs[0] policy
     /* 1640538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640548 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1640551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1640569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640572 */     // GIR_Coverage, 4229,
     /* 1640572 */     GIR_EraseRootFromParent_Done,
     /* 1640573 */   // Label 22586: @1640573
     /* 1640573 */   GIM_Try, /*On fail goto*//*Label 22587*/ GIMT_Encode4(1640659), // Rule ID 4232 //
     /* 1640578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1640589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1640592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1640595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640624 */     // MIs[0] policy
     /* 1640624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640634 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1640637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640658 */     // GIR_Coverage, 4232,
     /* 1640658 */     GIR_EraseRootFromParent_Done,
     /* 1640659 */   // Label 22587: @1640659
     /* 1640659 */   GIM_Try, /*On fail goto*//*Label 22588*/ GIMT_Encode4(1640745), // Rule ID 4233 //
     /* 1640664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1640675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1640678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1640681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1640687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640710 */     // MIs[0] policy
     /* 1640710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640720 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF4_MASK),
     /* 1640723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640744 */     // GIR_Coverage, 4233,
     /* 1640744 */     GIR_EraseRootFromParent_Done,
     /* 1640745 */   // Label 22588: @1640745
     /* 1640745 */   GIM_Try, /*On fail goto*//*Label 22589*/ GIMT_Encode4(1640831), // Rule ID 4236 //
     /* 1640750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1640761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1640764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1640767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640796 */     // MIs[0] policy
     /* 1640796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1640809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640830 */     // GIR_Coverage, 4236,
     /* 1640830 */     GIR_EraseRootFromParent_Done,
     /* 1640831 */   // Label 22589: @1640831
     /* 1640831 */   GIM_Try, /*On fail goto*//*Label 22590*/ GIMT_Encode4(1640917), // Rule ID 4237 //
     /* 1640836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1640839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1640847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1640850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1640853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1640856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1640859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1640862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1640866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1640874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640882 */     // MIs[0] policy
     /* 1640882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11646:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1640892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1640895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1640915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1640916 */     // GIR_Coverage, 4237,
     /* 1640916 */     GIR_EraseRootFromParent_Done,
     /* 1640917 */   // Label 22590: @1640917
     /* 1640917 */   GIM_Try, /*On fail goto*//*Label 22591*/ GIMT_Encode4(1641003), // Rule ID 4240 //
     /* 1640922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1640925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1640930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1640933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1640936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1640939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1640942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1640945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1640948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1640952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1640960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1640964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1640968 */     // MIs[0] policy
     /* 1640968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1640971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1640978 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1640978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1640981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1640983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1640985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1640987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1640989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1640991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1640996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1640999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641002 */     // GIR_Coverage, 4240,
     /* 1641002 */     GIR_EraseRootFromParent_Done,
     /* 1641003 */   // Label 22591: @1641003
     /* 1641003 */   GIM_Try, /*On fail goto*//*Label 22592*/ GIMT_Encode4(1641089), // Rule ID 4241 //
     /* 1641008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1641019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1641022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1641025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641054 */     // MIs[0] policy
     /* 1641054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641064 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1641067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641088 */     // GIR_Coverage, 4241,
     /* 1641088 */     GIR_EraseRootFromParent_Done,
     /* 1641089 */   // Label 22592: @1641089
     /* 1641089 */   GIM_Try, /*On fail goto*//*Label 22593*/ GIMT_Encode4(1641175), // Rule ID 4244 //
     /* 1641094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1641105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1641108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1641111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641140 */     // MIs[0] policy
     /* 1641140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641150 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1641153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641174 */     // GIR_Coverage, 4244,
     /* 1641174 */     GIR_EraseRootFromParent_Done,
     /* 1641175 */   // Label 22593: @1641175
     /* 1641175 */   GIM_Try, /*On fail goto*//*Label 22594*/ GIMT_Encode4(1641261), // Rule ID 4245 //
     /* 1641180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1641191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1641194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1641197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641226 */     // MIs[0] policy
     /* 1641226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641236 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1641239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641260 */     // GIR_Coverage, 4245,
     /* 1641260 */     GIR_EraseRootFromParent_Done,
     /* 1641261 */   // Label 22594: @1641261
     /* 1641261 */   GIM_Try, /*On fail goto*//*Label 22595*/ GIMT_Encode4(1641347), // Rule ID 4248 //
     /* 1641266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1641269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1641277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1641280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1641283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641312 */     // MIs[0] policy
     /* 1641312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641322 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1641325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641346 */     // GIR_Coverage, 4248,
     /* 1641346 */     GIR_EraseRootFromParent_Done,
     /* 1641347 */   // Label 22595: @1641347
     /* 1641347 */   GIM_Try, /*On fail goto*//*Label 22596*/ GIMT_Encode4(1641433), // Rule ID 4249 //
     /* 1641352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1641355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1641363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1641366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1641369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1641375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641398 */     // MIs[0] policy
     /* 1641398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641408 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1641411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1641429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641432 */     // GIR_Coverage, 4249,
     /* 1641432 */     GIR_EraseRootFromParent_Done,
     /* 1641433 */   // Label 22596: @1641433
     /* 1641433 */   GIM_Try, /*On fail goto*//*Label 22597*/ GIMT_Encode4(1641519), // Rule ID 4252 //
     /* 1641438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1641449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1641452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1641455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641484 */     // MIs[0] policy
     /* 1641484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1641497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641518 */     // GIR_Coverage, 4252,
     /* 1641518 */     GIR_EraseRootFromParent_Done,
     /* 1641519 */   // Label 22597: @1641519
     /* 1641519 */   GIM_Try, /*On fail goto*//*Label 22598*/ GIMT_Encode4(1641605), // Rule ID 4253 //
     /* 1641524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1641535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1641538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1641541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1641547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1641554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1641562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641570 */     // MIs[0] policy
     /* 1641570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11646:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_MF2_MASK),
     /* 1641583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641604 */     // GIR_Coverage, 4253,
     /* 1641604 */     GIR_EraseRootFromParent_Done,
     /* 1641605 */   // Label 22598: @1641605
     /* 1641605 */   GIM_Try, /*On fail goto*//*Label 22599*/ GIMT_Encode4(1641691), // Rule ID 4256 //
     /* 1641610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641656 */     // MIs[0] policy
     /* 1641656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1641669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641690 */     // GIR_Coverage, 4256,
     /* 1641690 */     GIR_EraseRootFromParent_Done,
     /* 1641691 */   // Label 22599: @1641691
     /* 1641691 */   GIM_Try, /*On fail goto*//*Label 22600*/ GIMT_Encode4(1641777), // Rule ID 4257 //
     /* 1641696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1641707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1641710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1641713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1641719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1641726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1641734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641742 */     // MIs[0] policy
     /* 1641742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11646:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M1_MASK),
     /* 1641755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641776 */     // GIR_Coverage, 4257,
     /* 1641776 */     GIR_EraseRootFromParent_Done,
     /* 1641777 */   // Label 22600: @1641777
     /* 1641777 */   GIM_Try, /*On fail goto*//*Label 22601*/ GIMT_Encode4(1641863), // Rule ID 4260 //
     /* 1641782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1641793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1641796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1641799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641828 */     // MIs[0] policy
     /* 1641828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1641838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1641841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641862 */     // GIR_Coverage, 4260,
     /* 1641862 */     GIR_EraseRootFromParent_Done,
     /* 1641863 */   // Label 22601: @1641863
     /* 1641863 */   GIM_Try, /*On fail goto*//*Label 22602*/ GIMT_Encode4(1641949), // Rule ID 4261 //
     /* 1641868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1641871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1641879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1641882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1641885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1641888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1641891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1641894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1641898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1641906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1641914 */     // MIs[0] policy
     /* 1641914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1641917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1641924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11646:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1641924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M2_MASK),
     /* 1641927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1641929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1641931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1641933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1641935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1641937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1641942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1641945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1641947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1641948 */     // GIR_Coverage, 4261,
     /* 1641948 */     GIR_EraseRootFromParent_Done,
     /* 1641949 */   // Label 22602: @1641949
     /* 1641949 */   GIM_Try, /*On fail goto*//*Label 22603*/ GIMT_Encode4(1642035), // Rule ID 4264 //
     /* 1641954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1641957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1641962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1641965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1641968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1641971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1641974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1641977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1641980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1641984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1641992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1641996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642000 */     // MIs[0] policy
     /* 1642000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1642013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642034 */     // GIR_Coverage, 4264,
     /* 1642034 */     GIR_EraseRootFromParent_Done,
     /* 1642035 */   // Label 22603: @1642035
     /* 1642035 */   GIM_Try, /*On fail goto*//*Label 22604*/ GIMT_Encode4(1642121), // Rule ID 4265 //
     /* 1642040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1642043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwaddu_w_mask),
     /* 1642048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1642051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1642054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1642057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1642060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1642070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1642078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1642082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642086 */     // MIs[0] policy
     /* 1642086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11646:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADDU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADDU_WX_M4_MASK),
     /* 1642099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1642117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642120 */     // GIR_Coverage, 4265,
     /* 1642120 */     GIR_EraseRootFromParent_Done,
     /* 1642121 */   // Label 22604: @1642121
     /* 1642121 */   GIM_Try, /*On fail goto*//*Label 22605*/ GIMT_Encode4(1642207), // Rule ID 4274 //
     /* 1642126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1642137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1642140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1642143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1642146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642172 */     // MIs[0] policy
     /* 1642172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642182 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1642185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642206 */     // GIR_Coverage, 4274,
     /* 1642206 */     GIR_EraseRootFromParent_Done,
     /* 1642207 */   // Label 22605: @1642207
     /* 1642207 */   GIM_Try, /*On fail goto*//*Label 22606*/ GIMT_Encode4(1642293), // Rule ID 4275 //
     /* 1642212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1642223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1642226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1642229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1642232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1642235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642258 */     // MIs[0] policy
     /* 1642258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642268 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF8_MASK),
     /* 1642271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642292 */     // GIR_Coverage, 4275,
     /* 1642292 */     GIR_EraseRootFromParent_Done,
     /* 1642293 */   // Label 22606: @1642293
     /* 1642293 */   GIM_Try, /*On fail goto*//*Label 22607*/ GIMT_Encode4(1642379), // Rule ID 4284 //
     /* 1642298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1642309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1642312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1642315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1642318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642344 */     // MIs[0] policy
     /* 1642344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1642357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642378 */     // GIR_Coverage, 4284,
     /* 1642378 */     GIR_EraseRootFromParent_Done,
     /* 1642379 */   // Label 22607: @1642379
     /* 1642379 */   GIM_Try, /*On fail goto*//*Label 22608*/ GIMT_Encode4(1642465), // Rule ID 4285 //
     /* 1642384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1642395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1642398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1642401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1642404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1642407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642430 */     // MIs[0] policy
     /* 1642430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642440 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1642443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642464 */     // GIR_Coverage, 4285,
     /* 1642464 */     GIR_EraseRootFromParent_Done,
     /* 1642465 */   // Label 22608: @1642465
     /* 1642465 */   GIM_Try, /*On fail goto*//*Label 22609*/ GIMT_Encode4(1642551), // Rule ID 4294 //
     /* 1642470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1642481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1642484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1642487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1642490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642516 */     // MIs[0] policy
     /* 1642516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642526 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1642529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642550 */     // GIR_Coverage, 4294,
     /* 1642550 */     GIR_EraseRootFromParent_Done,
     /* 1642551 */   // Label 22609: @1642551
     /* 1642551 */   GIM_Try, /*On fail goto*//*Label 22610*/ GIMT_Encode4(1642637), // Rule ID 4295 //
     /* 1642556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1642567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1642570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1642573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1642576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1642579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1642586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642602 */     // MIs[0] policy
     /* 1642602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642612 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1642615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642636 */     // GIR_Coverage, 4295,
     /* 1642636 */     GIR_EraseRootFromParent_Done,
     /* 1642637 */   // Label 22610: @1642637
     /* 1642637 */   GIM_Try, /*On fail goto*//*Label 22611*/ GIMT_Encode4(1642723), // Rule ID 4304 //
     /* 1642642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1642653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1642656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1642659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1642662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642688 */     // MIs[0] policy
     /* 1642688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642698 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1642701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642722 */     // GIR_Coverage, 4304,
     /* 1642722 */     GIR_EraseRootFromParent_Done,
     /* 1642723 */   // Label 22611: @1642723
     /* 1642723 */   GIM_Try, /*On fail goto*//*Label 22612*/ GIMT_Encode4(1642809), // Rule ID 4305 //
     /* 1642728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1642739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1642742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1642745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1642748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1642751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1642758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1642770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642774 */     // MIs[0] policy
     /* 1642774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642784 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1642787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642808 */     // GIR_Coverage, 4305,
     /* 1642808 */     GIR_EraseRootFromParent_Done,
     /* 1642809 */   // Label 22612: @1642809
     /* 1642809 */   GIM_Try, /*On fail goto*//*Label 22613*/ GIMT_Encode4(1642895), // Rule ID 4314 //
     /* 1642814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1642825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1642828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1642831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1642834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1642840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642860 */     // MIs[0] policy
     /* 1642860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642870 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1642870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1642873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642894 */     // GIR_Coverage, 4314,
     /* 1642894 */     GIR_EraseRootFromParent_Done,
     /* 1642895 */   // Label 22613: @1642895
     /* 1642895 */   GIM_Try, /*On fail goto*//*Label 22614*/ GIMT_Encode4(1642981), // Rule ID 4315 //
     /* 1642900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1642903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1642911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1642914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1642917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1642920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1642923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1642926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1642930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1642938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1642942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1642946 */     // MIs[0] policy
     /* 1642946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1642949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1642956 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1642956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1642959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1642961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1642963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1642965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1642967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1642969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1642974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1642977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1642979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1642980 */     // GIR_Coverage, 4315,
     /* 1642980 */     GIR_EraseRootFromParent_Done,
     /* 1642981 */   // Label 22614: @1642981
     /* 1642981 */   GIM_Try, /*On fail goto*//*Label 22615*/ GIMT_Encode4(1643067), // Rule ID 4324 //
     /* 1642986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1642989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1642994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1642997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1643006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643032 */     // MIs[0] policy
     /* 1643032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643042 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1643045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643066 */     // GIR_Coverage, 4324,
     /* 1643066 */     GIR_EraseRootFromParent_Done,
     /* 1643067 */   // Label 22615: @1643067
     /* 1643067 */   GIM_Try, /*On fail goto*//*Label 22616*/ GIMT_Encode4(1643153), // Rule ID 4325 //
     /* 1643072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1643083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1643086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1643089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1643092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1643095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643118 */     // MIs[0] policy
     /* 1643118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643128 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1643131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1643149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643152 */     // GIR_Coverage, 4325,
     /* 1643152 */     GIR_EraseRootFromParent_Done,
     /* 1643153 */   // Label 22616: @1643153
     /* 1643153 */   GIM_Try, /*On fail goto*//*Label 22617*/ GIMT_Encode4(1643239), // Rule ID 4334 //
     /* 1643158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1643169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1643172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1643175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1643178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643204 */     // MIs[0] policy
     /* 1643204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643214 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1643217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643238 */     // GIR_Coverage, 4334,
     /* 1643238 */     GIR_EraseRootFromParent_Done,
     /* 1643239 */   // Label 22617: @1643239
     /* 1643239 */   GIM_Try, /*On fail goto*//*Label 22618*/ GIMT_Encode4(1643325), // Rule ID 4335 //
     /* 1643244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1643255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1643258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1643261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1643264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1643267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643290 */     // MIs[0] policy
     /* 1643290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643300 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF4_MASK),
     /* 1643303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643324 */     // GIR_Coverage, 4335,
     /* 1643324 */     GIR_EraseRootFromParent_Done,
     /* 1643325 */   // Label 22618: @1643325
     /* 1643325 */   GIM_Try, /*On fail goto*//*Label 22619*/ GIMT_Encode4(1643411), // Rule ID 4344 //
     /* 1643330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1643341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1643344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1643347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1643350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643376 */     // MIs[0] policy
     /* 1643376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643386 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1643389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643410 */     // GIR_Coverage, 4344,
     /* 1643410 */     GIR_EraseRootFromParent_Done,
     /* 1643411 */   // Label 22619: @1643411
     /* 1643411 */   GIM_Try, /*On fail goto*//*Label 22620*/ GIMT_Encode4(1643497), // Rule ID 4345 //
     /* 1643416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1643427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1643430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1643433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1643436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1643439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1643446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643462 */     // MIs[0] policy
     /* 1643462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643472 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1643475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643496 */     // GIR_Coverage, 4345,
     /* 1643496 */     GIR_EraseRootFromParent_Done,
     /* 1643497 */   // Label 22620: @1643497
     /* 1643497 */   GIM_Try, /*On fail goto*//*Label 22621*/ GIMT_Encode4(1643583), // Rule ID 4354 //
     /* 1643502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1643513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1643516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1643519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1643522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643548 */     // MIs[0] policy
     /* 1643548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643558 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1643561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643582 */     // GIR_Coverage, 4354,
     /* 1643582 */     GIR_EraseRootFromParent_Done,
     /* 1643583 */   // Label 22621: @1643583
     /* 1643583 */   GIM_Try, /*On fail goto*//*Label 22622*/ GIMT_Encode4(1643669), // Rule ID 4355 //
     /* 1643588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1643599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1643602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1643605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1643608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1643611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1643618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1643630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643634 */     // MIs[0] policy
     /* 1643634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643644 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1643647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643668 */     // GIR_Coverage, 4355,
     /* 1643668 */     GIR_EraseRootFromParent_Done,
     /* 1643669 */   // Label 22622: @1643669
     /* 1643669 */   GIM_Try, /*On fail goto*//*Label 22623*/ GIMT_Encode4(1643755), // Rule ID 4364 //
     /* 1643674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1643685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1643688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1643691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1643694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643720 */     // MIs[0] policy
     /* 1643720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643730 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1643733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643754 */     // GIR_Coverage, 4364,
     /* 1643754 */     GIR_EraseRootFromParent_Done,
     /* 1643755 */   // Label 22623: @1643755
     /* 1643755 */   GIM_Try, /*On fail goto*//*Label 22624*/ GIMT_Encode4(1643841), // Rule ID 4365 //
     /* 1643760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1643771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1643774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1643777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1643780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1643783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1643790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1643802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643806 */     // MIs[0] policy
     /* 1643806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643816 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1643819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643840 */     // GIR_Coverage, 4365,
     /* 1643840 */     GIR_EraseRootFromParent_Done,
     /* 1643841 */   // Label 22624: @1643841
     /* 1643841 */   GIM_Try, /*On fail goto*//*Label 22625*/ GIMT_Encode4(1643927), // Rule ID 4374 //
     /* 1643846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1643849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1643857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1643860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1643863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1643866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1643872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643892 */     // MIs[0] policy
     /* 1643892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643902 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1643902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1643905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1643915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1643920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1643923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1643925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1643926 */     // GIR_Coverage, 4374,
     /* 1643926 */     GIR_EraseRootFromParent_Done,
     /* 1643927 */   // Label 22625: @1643927
     /* 1643927 */   GIM_Try, /*On fail goto*//*Label 22626*/ GIMT_Encode4(1644013), // Rule ID 4375 //
     /* 1643932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1643935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1643940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1643943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1643946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1643949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1643952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1643955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1643958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1643962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1643970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1643974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1643978 */     // MIs[0] policy
     /* 1643978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1643981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1643988 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1643988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1643991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1643993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1643995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1643997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1643999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1644009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644012 */     // GIR_Coverage, 4375,
     /* 1644012 */     GIR_EraseRootFromParent_Done,
     /* 1644013 */   // Label 22626: @1644013
     /* 1644013 */   GIM_Try, /*On fail goto*//*Label 22627*/ GIMT_Encode4(1644099), // Rule ID 4384 //
     /* 1644018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1644029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1644032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1644035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1644038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644064 */     // MIs[0] policy
     /* 1644064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1644077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644098 */     // GIR_Coverage, 4384,
     /* 1644098 */     GIR_EraseRootFromParent_Done,
     /* 1644099 */   // Label 22627: @1644099
     /* 1644099 */   GIM_Try, /*On fail goto*//*Label 22628*/ GIMT_Encode4(1644185), // Rule ID 4385 //
     /* 1644104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1644115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1644118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1644121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1644124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644150 */     // MIs[0] policy
     /* 1644150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_MF2_MASK),
     /* 1644163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644184 */     // GIR_Coverage, 4385,
     /* 1644184 */     GIR_EraseRootFromParent_Done,
     /* 1644185 */   // Label 22628: @1644185
     /* 1644185 */   GIM_Try, /*On fail goto*//*Label 22629*/ GIMT_Encode4(1644271), // Rule ID 4394 //
     /* 1644190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1644201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1644204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1644207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1644210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644236 */     // MIs[0] policy
     /* 1644236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644246 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1644249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644270 */     // GIR_Coverage, 4394,
     /* 1644270 */     GIR_EraseRootFromParent_Done,
     /* 1644271 */   // Label 22629: @1644271
     /* 1644271 */   GIM_Try, /*On fail goto*//*Label 22630*/ GIMT_Encode4(1644357), // Rule ID 4395 //
     /* 1644276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1644287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1644290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1644293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1644296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1644306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644322 */     // MIs[0] policy
     /* 1644322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644332 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M1_MASK),
     /* 1644335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644356 */     // GIR_Coverage, 4395,
     /* 1644356 */     GIR_EraseRootFromParent_Done,
     /* 1644357 */   // Label 22630: @1644357
     /* 1644357 */   GIM_Try, /*On fail goto*//*Label 22631*/ GIMT_Encode4(1644443), // Rule ID 4404 //
     /* 1644362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1644373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1644376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1644379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1644382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644408 */     // MIs[0] policy
     /* 1644408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644418 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1644421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644442 */     // GIR_Coverage, 4404,
     /* 1644442 */     GIR_EraseRootFromParent_Done,
     /* 1644443 */   // Label 22631: @1644443
     /* 1644443 */   GIM_Try, /*On fail goto*//*Label 22632*/ GIMT_Encode4(1644529), // Rule ID 4405 //
     /* 1644448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1644459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1644462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1644465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1644468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1644471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1644478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1644490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644494 */     // MIs[0] policy
     /* 1644494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644504 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M2_MASK),
     /* 1644507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644528 */     // GIR_Coverage, 4405,
     /* 1644528 */     GIR_EraseRootFromParent_Done,
     /* 1644529 */   // Label 22632: @1644529
     /* 1644529 */   GIM_Try, /*On fail goto*//*Label 22633*/ GIMT_Encode4(1644615), // Rule ID 4414 //
     /* 1644534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1644537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1644545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1644548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1644551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1644554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644580 */     // MIs[0] policy
     /* 1644580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644590 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1644593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644614 */     // GIR_Coverage, 4414,
     /* 1644614 */     GIR_EraseRootFromParent_Done,
     /* 1644615 */   // Label 22633: @1644615
     /* 1644615 */   GIM_Try, /*On fail goto*//*Label 22634*/ GIMT_Encode4(1644701), // Rule ID 4415 //
     /* 1644620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1644623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1644631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1644634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1644637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1644640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1644643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1644650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1644658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1644662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644666 */     // MIs[0] policy
     /* 1644666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644676 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WV_M4_MASK),
     /* 1644679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1644697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644700 */     // GIR_Coverage, 4415,
     /* 1644700 */     GIR_EraseRootFromParent_Done,
     /* 1644701 */   // Label 22634: @1644701
     /* 1644701 */   GIM_Try, /*On fail goto*//*Label 22635*/ GIMT_Encode4(1644787), // Rule ID 4418 //
     /* 1644706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1644717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1644720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1644723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644752 */     // MIs[0] policy
     /* 1644752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644762 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1644765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644786 */     // GIR_Coverage, 4418,
     /* 1644786 */     GIR_EraseRootFromParent_Done,
     /* 1644787 */   // Label 22635: @1644787
     /* 1644787 */   GIM_Try, /*On fail goto*//*Label 22636*/ GIMT_Encode4(1644873), // Rule ID 4419 //
     /* 1644792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1644803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1644806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1644809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1644815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644838 */     // MIs[0] policy
     /* 1644838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644848 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1644848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF8_MASK),
     /* 1644851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644872 */     // GIR_Coverage, 4419,
     /* 1644872 */     GIR_EraseRootFromParent_Done,
     /* 1644873 */   // Label 22636: @1644873
     /* 1644873 */   GIM_Try, /*On fail goto*//*Label 22637*/ GIMT_Encode4(1644959), // Rule ID 4422 //
     /* 1644878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1644881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1644889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1644892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1644898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1644904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1644920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1644924 */     // MIs[0] policy
     /* 1644924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1644927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1644934 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1644934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1644937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1644939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1644941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1644943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1644945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1644947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1644952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1644955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1644957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1644958 */     // GIR_Coverage, 4422,
     /* 1644958 */     GIR_EraseRootFromParent_Done,
     /* 1644959 */   // Label 22637: @1644959
     /* 1644959 */   GIM_Try, /*On fail goto*//*Label 22638*/ GIMT_Encode4(1645045), // Rule ID 4423 //
     /* 1644964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1644967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1644972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1644975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1644978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1644981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1644984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1644987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1644990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1644994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1644998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645010 */     // MIs[0] policy
     /* 1645010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645020 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1645023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645044 */     // GIR_Coverage, 4423,
     /* 1645044 */     GIR_EraseRootFromParent_Done,
     /* 1645045 */   // Label 22638: @1645045
     /* 1645045 */   GIM_Try, /*On fail goto*//*Label 22639*/ GIMT_Encode4(1645131), // Rule ID 4426 //
     /* 1645050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1645061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1645064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1645067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645096 */     // MIs[0] policy
     /* 1645096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645106 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1645109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645130 */     // GIR_Coverage, 4426,
     /* 1645130 */     GIR_EraseRootFromParent_Done,
     /* 1645131 */   // Label 22639: @1645131
     /* 1645131 */   GIM_Try, /*On fail goto*//*Label 22640*/ GIMT_Encode4(1645217), // Rule ID 4427 //
     /* 1645136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1645147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1645150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1645153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1645159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645182 */     // MIs[0] policy
     /* 1645182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645192 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11674:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1645195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645216 */     // GIR_Coverage, 4427,
     /* 1645216 */     GIR_EraseRootFromParent_Done,
     /* 1645217 */   // Label 22640: @1645217
     /* 1645217 */   GIM_Try, /*On fail goto*//*Label 22641*/ GIMT_Encode4(1645303), // Rule ID 4430 //
     /* 1645222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1645233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1645236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1645239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645268 */     // MIs[0] policy
     /* 1645268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645278 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1645281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645302 */     // GIR_Coverage, 4430,
     /* 1645302 */     GIR_EraseRootFromParent_Done,
     /* 1645303 */   // Label 22641: @1645303
     /* 1645303 */   GIM_Try, /*On fail goto*//*Label 22642*/ GIMT_Encode4(1645389), // Rule ID 4431 //
     /* 1645308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1645319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1645322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1645325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1645331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1645338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1645346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645354 */     // MIs[0] policy
     /* 1645354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645364 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1645367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645388 */     // GIR_Coverage, 4431,
     /* 1645388 */     GIR_EraseRootFromParent_Done,
     /* 1645389 */   // Label 22642: @1645389
     /* 1645389 */   GIM_Try, /*On fail goto*//*Label 22643*/ GIMT_Encode4(1645475), // Rule ID 4434 //
     /* 1645394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1645405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1645408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1645411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645440 */     // MIs[0] policy
     /* 1645440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645450 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1645453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645474 */     // GIR_Coverage, 4434,
     /* 1645474 */     GIR_EraseRootFromParent_Done,
     /* 1645475 */   // Label 22643: @1645475
     /* 1645475 */   GIM_Try, /*On fail goto*//*Label 22644*/ GIMT_Encode4(1645561), // Rule ID 4435 //
     /* 1645480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1645491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1645494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1645497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1645503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1645510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1645518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645526 */     // MIs[0] policy
     /* 1645526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645536 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1645539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645560 */     // GIR_Coverage, 4435,
     /* 1645560 */     GIR_EraseRootFromParent_Done,
     /* 1645561 */   // Label 22644: @1645561
     /* 1645561 */   GIM_Try, /*On fail goto*//*Label 22645*/ GIMT_Encode4(1645647), // Rule ID 4438 //
     /* 1645566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1645577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1645580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1645583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1645589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645612 */     // MIs[0] policy
     /* 1645612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645622 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1645625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645646 */     // GIR_Coverage, 4438,
     /* 1645646 */     GIR_EraseRootFromParent_Done,
     /* 1645647 */   // Label 22645: @1645647
     /* 1645647 */   GIM_Try, /*On fail goto*//*Label 22646*/ GIMT_Encode4(1645733), // Rule ID 4439 //
     /* 1645652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1645663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1645666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1645669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1645675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1645682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1645690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645698 */     // MIs[0] policy
     /* 1645698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1645711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1645729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645732 */     // GIR_Coverage, 4439,
     /* 1645732 */     GIR_EraseRootFromParent_Done,
     /* 1645733 */   // Label 22646: @1645733
     /* 1645733 */   GIM_Try, /*On fail goto*//*Label 22647*/ GIMT_Encode4(1645819), // Rule ID 4442 //
     /* 1645738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645784 */     // MIs[0] policy
     /* 1645784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1645797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645818 */     // GIR_Coverage, 4442,
     /* 1645818 */     GIR_EraseRootFromParent_Done,
     /* 1645819 */   // Label 22647: @1645819
     /* 1645819 */   GIM_Try, /*On fail goto*//*Label 22648*/ GIMT_Encode4(1645905), // Rule ID 4443 //
     /* 1645824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1645835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1645838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1645841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1645844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1645847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1645850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645870 */     // MIs[0] policy
     /* 1645870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645880 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1645880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF4_MASK),
     /* 1645883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645904 */     // GIR_Coverage, 4443,
     /* 1645904 */     GIR_EraseRootFromParent_Done,
     /* 1645905 */   // Label 22648: @1645905
     /* 1645905 */   GIM_Try, /*On fail goto*//*Label 22649*/ GIMT_Encode4(1645991), // Rule ID 4446 //
     /* 1645910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1645913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1645918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1645921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1645924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1645927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1645930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1645933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1645936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1645940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1645948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1645952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1645956 */     // MIs[0] policy
     /* 1645956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1645959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1645966 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1645966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1645969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1645971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1645973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1645975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1645977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1645979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1645984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1645987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1645989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1645990 */     // GIR_Coverage, 4446,
     /* 1645990 */     GIR_EraseRootFromParent_Done,
     /* 1645991 */   // Label 22649: @1645991
     /* 1645991 */   GIM_Try, /*On fail goto*//*Label 22650*/ GIMT_Encode4(1646077), // Rule ID 4447 //
     /* 1645996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1645999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1646007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1646010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1646013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646042 */     // MIs[0] policy
     /* 1646042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646052 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11674:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1646055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646076 */     // GIR_Coverage, 4447,
     /* 1646076 */     GIR_EraseRootFromParent_Done,
     /* 1646077 */   // Label 22650: @1646077
     /* 1646077 */   GIM_Try, /*On fail goto*//*Label 22651*/ GIMT_Encode4(1646163), // Rule ID 4450 //
     /* 1646082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1646093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1646096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1646099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646128 */     // MIs[0] policy
     /* 1646128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646138 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1646141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646162 */     // GIR_Coverage, 4450,
     /* 1646162 */     GIR_EraseRootFromParent_Done,
     /* 1646163 */   // Label 22651: @1646163
     /* 1646163 */   GIM_Try, /*On fail goto*//*Label 22652*/ GIMT_Encode4(1646249), // Rule ID 4451 //
     /* 1646168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1646179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1646182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1646185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646214 */     // MIs[0] policy
     /* 1646214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646224 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1646227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646248 */     // GIR_Coverage, 4451,
     /* 1646248 */     GIR_EraseRootFromParent_Done,
     /* 1646249 */   // Label 22652: @1646249
     /* 1646249 */   GIM_Try, /*On fail goto*//*Label 22653*/ GIMT_Encode4(1646335), // Rule ID 4454 //
     /* 1646254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1646265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1646268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1646271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646300 */     // MIs[0] policy
     /* 1646300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646310 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1646313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646334 */     // GIR_Coverage, 4454,
     /* 1646334 */     GIR_EraseRootFromParent_Done,
     /* 1646335 */   // Label 22653: @1646335
     /* 1646335 */   GIM_Try, /*On fail goto*//*Label 22654*/ GIMT_Encode4(1646421), // Rule ID 4455 //
     /* 1646340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1646351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1646354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1646357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1646363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646386 */     // MIs[0] policy
     /* 1646386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646396 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1646399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646420 */     // GIR_Coverage, 4455,
     /* 1646420 */     GIR_EraseRootFromParent_Done,
     /* 1646421 */   // Label 22654: @1646421
     /* 1646421 */   GIM_Try, /*On fail goto*//*Label 22655*/ GIMT_Encode4(1646507), // Rule ID 4458 //
     /* 1646426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1646429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1646437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1646440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1646443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646472 */     // MIs[0] policy
     /* 1646472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646482 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1646485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646506 */     // GIR_Coverage, 4458,
     /* 1646506 */     GIR_EraseRootFromParent_Done,
     /* 1646507 */   // Label 22655: @1646507
     /* 1646507 */   GIM_Try, /*On fail goto*//*Label 22656*/ GIMT_Encode4(1646593), // Rule ID 4459 //
     /* 1646512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1646515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1646523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1646526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1646529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1646535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1646542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1646550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646558 */     // MIs[0] policy
     /* 1646558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646568 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1646571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1646589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646592 */     // GIR_Coverage, 4459,
     /* 1646592 */     GIR_EraseRootFromParent_Done,
     /* 1646593 */   // Label 22656: @1646593
     /* 1646593 */   GIM_Try, /*On fail goto*//*Label 22657*/ GIMT_Encode4(1646679), // Rule ID 4462 //
     /* 1646598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1646609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1646612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1646615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646644 */     // MIs[0] policy
     /* 1646644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646654 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1646657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646678 */     // GIR_Coverage, 4462,
     /* 1646678 */     GIR_EraseRootFromParent_Done,
     /* 1646679 */   // Label 22657: @1646679
     /* 1646679 */   GIM_Try, /*On fail goto*//*Label 22658*/ GIMT_Encode4(1646765), // Rule ID 4463 //
     /* 1646684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1646695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1646698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1646701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1646707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1646714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1646722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646730 */     // MIs[0] policy
     /* 1646730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646740 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11674:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_MF2_MASK),
     /* 1646743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646764 */     // GIR_Coverage, 4463,
     /* 1646764 */     GIR_EraseRootFromParent_Done,
     /* 1646765 */   // Label 22658: @1646765
     /* 1646765 */   GIM_Try, /*On fail goto*//*Label 22659*/ GIMT_Encode4(1646851), // Rule ID 4466 //
     /* 1646770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1646781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1646784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1646787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646816 */     // MIs[0] policy
     /* 1646816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646826 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1646829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646850 */     // GIR_Coverage, 4466,
     /* 1646850 */     GIR_EraseRootFromParent_Done,
     /* 1646851 */   // Label 22659: @1646851
     /* 1646851 */   GIM_Try, /*On fail goto*//*Label 22660*/ GIMT_Encode4(1646937), // Rule ID 4467 //
     /* 1646856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1646859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1646867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1646870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1646873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1646876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1646879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1646882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1646886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1646894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646902 */     // MIs[0] policy
     /* 1646902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646912 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11674:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1646912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M1_MASK),
     /* 1646915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1646917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1646919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1646921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1646923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1646925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1646930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1646933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1646935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1646936 */     // GIR_Coverage, 4467,
     /* 1646936 */     GIR_EraseRootFromParent_Done,
     /* 1646937 */   // Label 22660: @1646937
     /* 1646937 */   GIM_Try, /*On fail goto*//*Label 22661*/ GIMT_Encode4(1647023), // Rule ID 4470 //
     /* 1646942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1646945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1646950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1646953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1646956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1646959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1646962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1646965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1646968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1646972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1646980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1646984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1646988 */     // MIs[0] policy
     /* 1646988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1646991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1646998 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1646998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1647001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647022 */     // GIR_Coverage, 4470,
     /* 1647022 */     GIR_EraseRootFromParent_Done,
     /* 1647023 */   // Label 22661: @1647023
     /* 1647023 */   GIM_Try, /*On fail goto*//*Label 22662*/ GIMT_Encode4(1647109), // Rule ID 4471 //
     /* 1647028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1647036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1647039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1647042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1647045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1647058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1647066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647074 */     // MIs[0] policy
     /* 1647074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647084 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11674:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M2_MASK),
     /* 1647087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647108 */     // GIR_Coverage, 4471,
     /* 1647108 */     GIR_EraseRootFromParent_Done,
     /* 1647109 */   // Label 22662: @1647109
     /* 1647109 */   GIM_Try, /*On fail goto*//*Label 22663*/ GIMT_Encode4(1647195), // Rule ID 4474 //
     /* 1647114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1647117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1647122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1647125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1647128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1647131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1647134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647160 */     // MIs[0] policy
     /* 1647160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647170 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1647173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647194 */     // GIR_Coverage, 4474,
     /* 1647194 */     GIR_EraseRootFromParent_Done,
     /* 1647195 */   // Label 22663: @1647195
     /* 1647195 */   GIM_Try, /*On fail goto*//*Label 22664*/ GIMT_Encode4(1647281), // Rule ID 4475 //
     /* 1647200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1647203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsubu_w_mask),
     /* 1647208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1647211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1647214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1647217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1647220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1647230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1647238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1647242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647246 */     // MIs[0] policy
     /* 1647246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647256 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11674:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUBU_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUBU_WX_M4_MASK),
     /* 1647259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1647277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647280 */     // GIR_Coverage, 4475,
     /* 1647280 */     GIR_EraseRootFromParent_Done,
     /* 1647281 */   // Label 22664: @1647281
     /* 1647281 */   GIM_Try, /*On fail goto*//*Label 22665*/ GIMT_Encode4(1647367), // Rule ID 4484 //
     /* 1647286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1647297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1647300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1647303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1647306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647332 */     // MIs[0] policy
     /* 1647332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647342 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1647345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647366 */     // GIR_Coverage, 4484,
     /* 1647366 */     GIR_EraseRootFromParent_Done,
     /* 1647367 */   // Label 22665: @1647367
     /* 1647367 */   GIM_Try, /*On fail goto*//*Label 22666*/ GIMT_Encode4(1647453), // Rule ID 4485 //
     /* 1647372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1647383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1647386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1647389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1647392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1647395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647418 */     // MIs[0] policy
     /* 1647418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647428 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF8_MASK),
     /* 1647431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647452 */     // GIR_Coverage, 4485,
     /* 1647452 */     GIR_EraseRootFromParent_Done,
     /* 1647453 */   // Label 22666: @1647453
     /* 1647453 */   GIM_Try, /*On fail goto*//*Label 22667*/ GIMT_Encode4(1647539), // Rule ID 4494 //
     /* 1647458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1647478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647504 */     // MIs[0] policy
     /* 1647504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647514 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1647517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647538 */     // GIR_Coverage, 4494,
     /* 1647538 */     GIR_EraseRootFromParent_Done,
     /* 1647539 */   // Label 22667: @1647539
     /* 1647539 */   GIM_Try, /*On fail goto*//*Label 22668*/ GIMT_Encode4(1647625), // Rule ID 4495 //
     /* 1647544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1647555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1647558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1647561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1647564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1647567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647590 */     // MIs[0] policy
     /* 1647590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647600 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1647603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647624 */     // GIR_Coverage, 4495,
     /* 1647624 */     GIR_EraseRootFromParent_Done,
     /* 1647625 */   // Label 22668: @1647625
     /* 1647625 */   GIM_Try, /*On fail goto*//*Label 22669*/ GIMT_Encode4(1647711), // Rule ID 4504 //
     /* 1647630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1647650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647676 */     // MIs[0] policy
     /* 1647676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647686 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1647689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647710 */     // GIR_Coverage, 4504,
     /* 1647710 */     GIR_EraseRootFromParent_Done,
     /* 1647711 */   // Label 22669: @1647711
     /* 1647711 */   GIM_Try, /*On fail goto*//*Label 22670*/ GIMT_Encode4(1647797), // Rule ID 4505 //
     /* 1647716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1647727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1647730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1647733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1647736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1647739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1647746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647762 */     // MIs[0] policy
     /* 1647762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647772 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1647775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647796 */     // GIR_Coverage, 4505,
     /* 1647796 */     GIR_EraseRootFromParent_Done,
     /* 1647797 */   // Label 22670: @1647797
     /* 1647797 */   GIM_Try, /*On fail goto*//*Label 22671*/ GIMT_Encode4(1647883), // Rule ID 4514 //
     /* 1647802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1647813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1647816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1647819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1647828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647848 */     // MIs[0] policy
     /* 1647848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647858 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1647858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1647861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647882 */     // GIR_Coverage, 4514,
     /* 1647882 */     GIR_EraseRootFromParent_Done,
     /* 1647883 */   // Label 22671: @1647883
     /* 1647883 */   GIM_Try, /*On fail goto*//*Label 22672*/ GIMT_Encode4(1647969), // Rule ID 4515 //
     /* 1647888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1647891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1647899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1647902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1647905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1647908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1647911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1647914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1647918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1647926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1647930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1647934 */     // MIs[0] policy
     /* 1647934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1647937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1647944 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1647944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1647947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1647949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1647951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1647953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1647955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1647957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1647962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1647965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1647967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1647968 */     // GIR_Coverage, 4515,
     /* 1647968 */     GIR_EraseRootFromParent_Done,
     /* 1647969 */   // Label 22672: @1647969
     /* 1647969 */   GIM_Try, /*On fail goto*//*Label 22673*/ GIMT_Encode4(1648055), // Rule ID 4524 //
     /* 1647974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1647977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1647982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1647985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1647988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1647991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1647994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1647997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648020 */     // MIs[0] policy
     /* 1648020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648030 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1648033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648054 */     // GIR_Coverage, 4524,
     /* 1648054 */     GIR_EraseRootFromParent_Done,
     /* 1648055 */   // Label 22673: @1648055
     /* 1648055 */   GIM_Try, /*On fail goto*//*Label 22674*/ GIMT_Encode4(1648141), // Rule ID 4525 //
     /* 1648060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1648071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1648074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1648077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1648080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1648083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648106 */     // MIs[0] policy
     /* 1648106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648116 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1648119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648140 */     // GIR_Coverage, 4525,
     /* 1648140 */     GIR_EraseRootFromParent_Done,
     /* 1648141 */   // Label 22674: @1648141
     /* 1648141 */   GIM_Try, /*On fail goto*//*Label 22675*/ GIMT_Encode4(1648227), // Rule ID 4534 //
     /* 1648146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1648157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1648160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1648163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648192 */     // MIs[0] policy
     /* 1648192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648202 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1648205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648226 */     // GIR_Coverage, 4534,
     /* 1648226 */     GIR_EraseRootFromParent_Done,
     /* 1648227 */   // Label 22675: @1648227
     /* 1648227 */   GIM_Try, /*On fail goto*//*Label 22676*/ GIMT_Encode4(1648313), // Rule ID 4535 //
     /* 1648232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1648243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1648246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1648249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1648252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1648255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1648262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1648270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648278 */     // MIs[0] policy
     /* 1648278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648288 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1648291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1648309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648312 */     // GIR_Coverage, 4535,
     /* 1648312 */     GIR_EraseRootFromParent_Done,
     /* 1648313 */   // Label 22676: @1648313
     /* 1648313 */   GIM_Try, /*On fail goto*//*Label 22677*/ GIMT_Encode4(1648399), // Rule ID 4544 //
     /* 1648318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1648329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1648332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1648335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1648338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648364 */     // MIs[0] policy
     /* 1648364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1648377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648398 */     // GIR_Coverage, 4544,
     /* 1648398 */     GIR_EraseRootFromParent_Done,
     /* 1648399 */   // Label 22677: @1648399
     /* 1648399 */   GIM_Try, /*On fail goto*//*Label 22678*/ GIMT_Encode4(1648485), // Rule ID 4545 //
     /* 1648404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1648415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1648418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1648421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1648424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1648427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648450 */     // MIs[0] policy
     /* 1648450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF4_MASK),
     /* 1648463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648484 */     // GIR_Coverage, 4545,
     /* 1648484 */     GIR_EraseRootFromParent_Done,
     /* 1648485 */   // Label 22678: @1648485
     /* 1648485 */   GIM_Try, /*On fail goto*//*Label 22679*/ GIMT_Encode4(1648571), // Rule ID 4554 //
     /* 1648490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1648501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1648504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1648507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1648510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648536 */     // MIs[0] policy
     /* 1648536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648546 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1648549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648570 */     // GIR_Coverage, 4554,
     /* 1648570 */     GIR_EraseRootFromParent_Done,
     /* 1648571 */   // Label 22679: @1648571
     /* 1648571 */   GIM_Try, /*On fail goto*//*Label 22680*/ GIMT_Encode4(1648657), // Rule ID 4555 //
     /* 1648576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1648587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1648590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1648593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1648596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1648599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1648606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648622 */     // MIs[0] policy
     /* 1648622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648632 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1648635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648656 */     // GIR_Coverage, 4555,
     /* 1648656 */     GIR_EraseRootFromParent_Done,
     /* 1648657 */   // Label 22680: @1648657
     /* 1648657 */   GIM_Try, /*On fail goto*//*Label 22681*/ GIMT_Encode4(1648743), // Rule ID 4564 //
     /* 1648662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1648673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1648676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1648679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1648682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648708 */     // MIs[0] policy
     /* 1648708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648718 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1648721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648742 */     // GIR_Coverage, 4564,
     /* 1648742 */     GIR_EraseRootFromParent_Done,
     /* 1648743 */   // Label 22681: @1648743
     /* 1648743 */   GIM_Try, /*On fail goto*//*Label 22682*/ GIMT_Encode4(1648829), // Rule ID 4565 //
     /* 1648748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1648759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1648762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1648765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1648768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1648771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1648778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1648790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648794 */     // MIs[0] policy
     /* 1648794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648804 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1648807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648828 */     // GIR_Coverage, 4565,
     /* 1648828 */     GIR_EraseRootFromParent_Done,
     /* 1648829 */   // Label 22682: @1648829
     /* 1648829 */   GIM_Try, /*On fail goto*//*Label 22683*/ GIMT_Encode4(1648915), // Rule ID 4574 //
     /* 1648834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1648837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1648845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1648848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1648851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1648854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1648860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648880 */     // MIs[0] policy
     /* 1648880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648890 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1648890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1648893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1648914 */     // GIR_Coverage, 4574,
     /* 1648914 */     GIR_EraseRootFromParent_Done,
     /* 1648915 */   // Label 22683: @1648915
     /* 1648915 */   GIM_Try, /*On fail goto*//*Label 22684*/ GIMT_Encode4(1649001), // Rule ID 4575 //
     /* 1648920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1648923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1648928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1648931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1648934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1648937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1648940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1648943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1648946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1648950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1648958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1648962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1648966 */     // MIs[0] policy
     /* 1648966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1648969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1648976 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1648976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1648979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1648981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1648983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1648985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1648987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1648989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1648994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1648997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1648999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649000 */     // GIR_Coverage, 4575,
     /* 1649000 */     GIR_EraseRootFromParent_Done,
     /* 1649001 */   // Label 22684: @1649001
     /* 1649001 */   GIM_Try, /*On fail goto*//*Label 22685*/ GIMT_Encode4(1649087), // Rule ID 4584 //
     /* 1649006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1649026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649052 */     // MIs[0] policy
     /* 1649052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649062 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1649065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649086 */     // GIR_Coverage, 4584,
     /* 1649086 */     GIR_EraseRootFromParent_Done,
     /* 1649087 */   // Label 22685: @1649087
     /* 1649087 */   GIM_Try, /*On fail goto*//*Label 22686*/ GIMT_Encode4(1649173), // Rule ID 4585 //
     /* 1649092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1649103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1649106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1649109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1649112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1649115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649138 */     // MIs[0] policy
     /* 1649138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649148 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1649151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1649169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649172 */     // GIR_Coverage, 4585,
     /* 1649172 */     GIR_EraseRootFromParent_Done,
     /* 1649173 */   // Label 22686: @1649173
     /* 1649173 */   GIM_Try, /*On fail goto*//*Label 22687*/ GIMT_Encode4(1649259), // Rule ID 4594 //
     /* 1649178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1649181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1649189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1649192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1649195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1649198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649224 */     // MIs[0] policy
     /* 1649224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649234 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1649237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649258 */     // GIR_Coverage, 4594,
     /* 1649258 */     GIR_EraseRootFromParent_Done,
     /* 1649259 */   // Label 22687: @1649259
     /* 1649259 */   GIM_Try, /*On fail goto*//*Label 22688*/ GIMT_Encode4(1649345), // Rule ID 4595 //
     /* 1649264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1649275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1649278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1649281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1649284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649310 */     // MIs[0] policy
     /* 1649310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_MF2_MASK),
     /* 1649323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649344 */     // GIR_Coverage, 4595,
     /* 1649344 */     GIR_EraseRootFromParent_Done,
     /* 1649345 */   // Label 22688: @1649345
     /* 1649345 */   GIM_Try, /*On fail goto*//*Label 22689*/ GIMT_Encode4(1649431), // Rule ID 4604 //
     /* 1649350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1649353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1649370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649396 */     // MIs[0] policy
     /* 1649396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649406 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1649409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649430 */     // GIR_Coverage, 4604,
     /* 1649430 */     GIR_EraseRootFromParent_Done,
     /* 1649431 */   // Label 22689: @1649431
     /* 1649431 */   GIM_Try, /*On fail goto*//*Label 22690*/ GIMT_Encode4(1649517), // Rule ID 4605 //
     /* 1649436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1649447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1649450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1649453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1649456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1649459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1649466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649482 */     // MIs[0] policy
     /* 1649482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649492 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M1_MASK),
     /* 1649495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649516 */     // GIR_Coverage, 4605,
     /* 1649516 */     GIR_EraseRootFromParent_Done,
     /* 1649517 */   // Label 22690: @1649517
     /* 1649517 */   GIM_Try, /*On fail goto*//*Label 22691*/ GIMT_Encode4(1649603), // Rule ID 4614 //
     /* 1649522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1649525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1649533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1649536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1649539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649568 */     // MIs[0] policy
     /* 1649568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1649581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649602 */     // GIR_Coverage, 4614,
     /* 1649602 */     GIR_EraseRootFromParent_Done,
     /* 1649603 */   // Label 22691: @1649603
     /* 1649603 */   GIM_Try, /*On fail goto*//*Label 22692*/ GIMT_Encode4(1649689), // Rule ID 4615 //
     /* 1649608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1649619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1649622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1649625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1649628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1649631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1649638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1649650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649654 */     // MIs[0] policy
     /* 1649654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649664 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M2_MASK),
     /* 1649667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649688 */     // GIR_Coverage, 4615,
     /* 1649688 */     GIR_EraseRootFromParent_Done,
     /* 1649689 */   // Label 22692: @1649689
     /* 1649689 */   GIM_Try, /*On fail goto*//*Label 22693*/ GIMT_Encode4(1649775), // Rule ID 4624 //
     /* 1649694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1649697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1649705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1649708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1649711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649740 */     // MIs[0] policy
     /* 1649740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649750 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1649753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649774 */     // GIR_Coverage, 4624,
     /* 1649774 */     GIR_EraseRootFromParent_Done,
     /* 1649775 */   // Label 22693: @1649775
     /* 1649775 */   GIM_Try, /*On fail goto*//*Label 22694*/ GIMT_Encode4(1649861), // Rule ID 4625 //
     /* 1649780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1649783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1649791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1649794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1649797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1649800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1649803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1649810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1649818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1649822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649826 */     // MIs[0] policy
     /* 1649826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649836 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1649836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WV_M4_MASK),
     /* 1649839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1649857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649860 */     // GIR_Coverage, 4625,
     /* 1649860 */     GIR_EraseRootFromParent_Done,
     /* 1649861 */   // Label 22694: @1649861
     /* 1649861 */   GIM_Try, /*On fail goto*//*Label 22695*/ GIMT_Encode4(1649947), // Rule ID 4628 //
     /* 1649866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1649869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1649877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1649880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1649883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1649886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1649892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649912 */     // MIs[0] policy
     /* 1649912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1649915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1649922 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1649922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1649925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1649927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1649929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1649931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1649933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1649935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1649940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1649943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1649945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1649946 */     // GIR_Coverage, 4628,
     /* 1649946 */     GIR_EraseRootFromParent_Done,
     /* 1649947 */   // Label 22695: @1649947
     /* 1649947 */   GIM_Try, /*On fail goto*//*Label 22696*/ GIMT_Encode4(1650033), // Rule ID 4629 //
     /* 1649952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1649955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1649960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1649963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1649966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1649969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1649972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1649975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1649978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1649982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1649990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1649994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1649998 */     // MIs[0] policy
     /* 1649998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF8_MASK),
     /* 1650011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650032 */     // GIR_Coverage, 4629,
     /* 1650032 */     GIR_EraseRootFromParent_Done,
     /* 1650033 */   // Label 22696: @1650033
     /* 1650033 */   GIM_Try, /*On fail goto*//*Label 22697*/ GIMT_Encode4(1650119), // Rule ID 4632 //
     /* 1650038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650084 */     // MIs[0] policy
     /* 1650084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650094 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1650097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650118 */     // GIR_Coverage, 4632,
     /* 1650118 */     GIR_EraseRootFromParent_Done,
     /* 1650119 */   // Label 22697: @1650119
     /* 1650119 */   GIM_Try, /*On fail goto*//*Label 22698*/ GIMT_Encode4(1650205), // Rule ID 4633 //
     /* 1650124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1650135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1650138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1650141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1650147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650170 */     // MIs[0] policy
     /* 1650170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650180 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1650183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650204 */     // GIR_Coverage, 4633,
     /* 1650204 */     GIR_EraseRootFromParent_Done,
     /* 1650205 */   // Label 22698: @1650205
     /* 1650205 */   GIM_Try, /*On fail goto*//*Label 22699*/ GIMT_Encode4(1650291), // Rule ID 4636 //
     /* 1650210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1650221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1650224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1650227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650256 */     // MIs[0] policy
     /* 1650256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650266 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1650269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650290 */     // GIR_Coverage, 4636,
     /* 1650290 */     GIR_EraseRootFromParent_Done,
     /* 1650291 */   // Label 22699: @1650291
     /* 1650291 */   GIM_Try, /*On fail goto*//*Label 22700*/ GIMT_Encode4(1650377), // Rule ID 4637 //
     /* 1650296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1650307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1650310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1650313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1650319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650342 */     // MIs[0] policy
     /* 1650342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650352 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11642:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1650355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650376 */     // GIR_Coverage, 4637,
     /* 1650376 */     GIR_EraseRootFromParent_Done,
     /* 1650377 */   // Label 22700: @1650377
     /* 1650377 */   GIM_Try, /*On fail goto*//*Label 22701*/ GIMT_Encode4(1650463), // Rule ID 4640 //
     /* 1650382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1650393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1650396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1650399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650428 */     // MIs[0] policy
     /* 1650428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650438 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1650441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650462 */     // GIR_Coverage, 4640,
     /* 1650462 */     GIR_EraseRootFromParent_Done,
     /* 1650463 */   // Label 22701: @1650463
     /* 1650463 */   GIM_Try, /*On fail goto*//*Label 22702*/ GIMT_Encode4(1650549), // Rule ID 4641 //
     /* 1650468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1650479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1650482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1650485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1650491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1650498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1650506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650514 */     // MIs[0] policy
     /* 1650514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650524 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1650527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650548 */     // GIR_Coverage, 4641,
     /* 1650548 */     GIR_EraseRootFromParent_Done,
     /* 1650549 */   // Label 22702: @1650549
     /* 1650549 */   GIM_Try, /*On fail goto*//*Label 22703*/ GIMT_Encode4(1650635), // Rule ID 4644 //
     /* 1650554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1650565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1650568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1650571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650600 */     // MIs[0] policy
     /* 1650600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650610 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1650613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650634 */     // GIR_Coverage, 4644,
     /* 1650634 */     GIR_EraseRootFromParent_Done,
     /* 1650635 */   // Label 22703: @1650635
     /* 1650635 */   GIM_Try, /*On fail goto*//*Label 22704*/ GIMT_Encode4(1650721), // Rule ID 4645 //
     /* 1650640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1650651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1650654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1650657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1650663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1650670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1650678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650686 */     // MIs[0] policy
     /* 1650686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650696 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1650699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650720 */     // GIR_Coverage, 4645,
     /* 1650720 */     GIR_EraseRootFromParent_Done,
     /* 1650721 */   // Label 22704: @1650721
     /* 1650721 */   GIM_Try, /*On fail goto*//*Label 22705*/ GIMT_Encode4(1650807), // Rule ID 4648 //
     /* 1650726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1650737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1650740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1650743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650772 */     // MIs[0] policy
     /* 1650772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650782 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1650785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650806 */     // GIR_Coverage, 4648,
     /* 1650806 */     GIR_EraseRootFromParent_Done,
     /* 1650807 */   // Label 22705: @1650807
     /* 1650807 */   GIM_Try, /*On fail goto*//*Label 22706*/ GIMT_Encode4(1650893), // Rule ID 4649 //
     /* 1650812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1650823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1650826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1650829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1650832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1650835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1650838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1650842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1650850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650858 */     // MIs[0] policy
     /* 1650858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650868 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1650868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1650871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1650889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650892 */     // GIR_Coverage, 4649,
     /* 1650892 */     GIR_EraseRootFromParent_Done,
     /* 1650893 */   // Label 22706: @1650893
     /* 1650893 */   GIM_Try, /*On fail goto*//*Label 22707*/ GIMT_Encode4(1650979), // Rule ID 4652 //
     /* 1650898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1650901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1650909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1650912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1650915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1650918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1650921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1650924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1650928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1650936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1650940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1650944 */     // MIs[0] policy
     /* 1650944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1650947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1650954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1650954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1650957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1650959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1650961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1650963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1650965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1650967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1650972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1650975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1650977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1650978 */     // GIR_Coverage, 4652,
     /* 1650978 */     GIR_EraseRootFromParent_Done,
     /* 1650979 */   // Label 22707: @1650979
     /* 1650979 */   GIM_Try, /*On fail goto*//*Label 22708*/ GIMT_Encode4(1651065), // Rule ID 4653 //
     /* 1650984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1650987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1650992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1650995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1650998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1651001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651030 */     // MIs[0] policy
     /* 1651030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF4_MASK),
     /* 1651043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651064 */     // GIR_Coverage, 4653,
     /* 1651064 */     GIR_EraseRootFromParent_Done,
     /* 1651065 */   // Label 22708: @1651065
     /* 1651065 */   GIM_Try, /*On fail goto*//*Label 22709*/ GIMT_Encode4(1651151), // Rule ID 4656 //
     /* 1651070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651116 */     // MIs[0] policy
     /* 1651116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1651129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651150 */     // GIR_Coverage, 4656,
     /* 1651150 */     GIR_EraseRootFromParent_Done,
     /* 1651151 */   // Label 22709: @1651151
     /* 1651151 */   GIM_Try, /*On fail goto*//*Label 22710*/ GIMT_Encode4(1651237), // Rule ID 4657 //
     /* 1651156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1651167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1651170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1651173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651202 */     // MIs[0] policy
     /* 1651202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651212 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11642:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1651215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651236 */     // GIR_Coverage, 4657,
     /* 1651236 */     GIR_EraseRootFromParent_Done,
     /* 1651237 */   // Label 22710: @1651237
     /* 1651237 */   GIM_Try, /*On fail goto*//*Label 22711*/ GIMT_Encode4(1651323), // Rule ID 4660 //
     /* 1651242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1651253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1651256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1651259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651288 */     // MIs[0] policy
     /* 1651288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651298 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1651301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651322 */     // GIR_Coverage, 4660,
     /* 1651322 */     GIR_EraseRootFromParent_Done,
     /* 1651323 */   // Label 22711: @1651323
     /* 1651323 */   GIM_Try, /*On fail goto*//*Label 22712*/ GIMT_Encode4(1651409), // Rule ID 4661 //
     /* 1651328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1651339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1651342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1651345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1651351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651374 */     // MIs[0] policy
     /* 1651374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651384 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1651387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651408 */     // GIR_Coverage, 4661,
     /* 1651408 */     GIR_EraseRootFromParent_Done,
     /* 1651409 */   // Label 22712: @1651409
     /* 1651409 */   GIM_Try, /*On fail goto*//*Label 22713*/ GIMT_Encode4(1651495), // Rule ID 4664 //
     /* 1651414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1651425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1651428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1651431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651460 */     // MIs[0] policy
     /* 1651460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651470 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1651473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651494 */     // GIR_Coverage, 4664,
     /* 1651494 */     GIR_EraseRootFromParent_Done,
     /* 1651495 */   // Label 22713: @1651495
     /* 1651495 */   GIM_Try, /*On fail goto*//*Label 22714*/ GIMT_Encode4(1651581), // Rule ID 4665 //
     /* 1651500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1651511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1651514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1651517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1651523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1651530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1651538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651546 */     // MIs[0] policy
     /* 1651546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651556 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1651559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651580 */     // GIR_Coverage, 4665,
     /* 1651580 */     GIR_EraseRootFromParent_Done,
     /* 1651581 */   // Label 22714: @1651581
     /* 1651581 */   GIM_Try, /*On fail goto*//*Label 22715*/ GIMT_Encode4(1651667), // Rule ID 4668 //
     /* 1651586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1651589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1651597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1651600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1651603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651632 */     // MIs[0] policy
     /* 1651632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651642 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1651645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651666 */     // GIR_Coverage, 4668,
     /* 1651666 */     GIR_EraseRootFromParent_Done,
     /* 1651667 */   // Label 22715: @1651667
     /* 1651667 */   GIM_Try, /*On fail goto*//*Label 22716*/ GIMT_Encode4(1651753), // Rule ID 4669 //
     /* 1651672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1651675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1651683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1651686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1651689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1651695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1651702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1651710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651718 */     // MIs[0] policy
     /* 1651718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651728 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1651731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1651749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651752 */     // GIR_Coverage, 4669,
     /* 1651752 */     GIR_EraseRootFromParent_Done,
     /* 1651753 */   // Label 22716: @1651753
     /* 1651753 */   GIM_Try, /*On fail goto*//*Label 22717*/ GIMT_Encode4(1651839), // Rule ID 4672 //
     /* 1651758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1651761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1651769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1651772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1651775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651804 */     // MIs[0] policy
     /* 1651804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651814 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1651817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651838 */     // GIR_Coverage, 4672,
     /* 1651838 */     GIR_EraseRootFromParent_Done,
     /* 1651839 */   // Label 22717: @1651839
     /* 1651839 */   GIM_Try, /*On fail goto*//*Label 22718*/ GIMT_Encode4(1651925), // Rule ID 4673 //
     /* 1651844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1651847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1651855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1651858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1651861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1651864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1651867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1651870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1651874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1651882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651890 */     // MIs[0] policy
     /* 1651890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651900 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11642:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1651900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_MF2_MASK),
     /* 1651903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1651918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1651921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1651923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1651924 */     // GIR_Coverage, 4673,
     /* 1651924 */     GIR_EraseRootFromParent_Done,
     /* 1651925 */   // Label 22718: @1651925
     /* 1651925 */   GIM_Try, /*On fail goto*//*Label 22719*/ GIMT_Encode4(1652011), // Rule ID 4676 //
     /* 1651930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1651933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1651938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1651941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1651944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1651947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1651950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1651953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1651956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1651960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1651968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1651972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1651976 */     // MIs[0] policy
     /* 1651976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1651979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1651986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1651986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1651989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1651991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1651993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1651995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1651997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1651999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652010 */     // GIR_Coverage, 4676,
     /* 1652010 */     GIR_EraseRootFromParent_Done,
     /* 1652011 */   // Label 22719: @1652011
     /* 1652011 */   GIM_Try, /*On fail goto*//*Label 22720*/ GIMT_Encode4(1652097), // Rule ID 4677 //
     /* 1652016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1652019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1652024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1652027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1652030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1652033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652062 */     // MIs[0] policy
     /* 1652062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11642:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M1_MASK),
     /* 1652075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652096 */     // GIR_Coverage, 4677,
     /* 1652096 */     GIR_EraseRootFromParent_Done,
     /* 1652097 */   // Label 22720: @1652097
     /* 1652097 */   GIM_Try, /*On fail goto*//*Label 22721*/ GIMT_Encode4(1652183), // Rule ID 4680 //
     /* 1652102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1652105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1652110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1652113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1652116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1652119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652148 */     // MIs[0] policy
     /* 1652148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1652161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652182 */     // GIR_Coverage, 4680,
     /* 1652182 */     GIR_EraseRootFromParent_Done,
     /* 1652183 */   // Label 22721: @1652183
     /* 1652183 */   GIM_Try, /*On fail goto*//*Label 22722*/ GIMT_Encode4(1652269), // Rule ID 4681 //
     /* 1652188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1652191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1652196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1652199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1652202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1652205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1652218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1652226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652234 */     // MIs[0] policy
     /* 1652234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11642:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M2_MASK),
     /* 1652247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652268 */     // GIR_Coverage, 4681,
     /* 1652268 */     GIR_EraseRootFromParent_Done,
     /* 1652269 */   // Label 22722: @1652269
     /* 1652269 */   GIM_Try, /*On fail goto*//*Label 22723*/ GIMT_Encode4(1652355), // Rule ID 4684 //
     /* 1652274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1652277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1652282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1652285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1652288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1652291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1652294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652320 */     // MIs[0] policy
     /* 1652320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1652333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652354 */     // GIR_Coverage, 4684,
     /* 1652354 */     GIR_EraseRootFromParent_Done,
     /* 1652355 */   // Label 22723: @1652355
     /* 1652355 */   GIM_Try, /*On fail goto*//*Label 22724*/ GIMT_Encode4(1652441), // Rule ID 4685 //
     /* 1652360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1652363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwadd_w_mask),
     /* 1652368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1652371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1652374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1652377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1652380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1652390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1652398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1652402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652406 */     // MIs[0] policy
     /* 1652406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11642:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWADD_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWADD_WX_M4_MASK),
     /* 1652419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1652437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652440 */     // GIR_Coverage, 4685,
     /* 1652440 */     GIR_EraseRootFromParent_Done,
     /* 1652441 */   // Label 22724: @1652441
     /* 1652441 */   GIM_Try, /*On fail goto*//*Label 22725*/ GIMT_Encode4(1652527), // Rule ID 4694 //
     /* 1652446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1652457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1652460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1652463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1652466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652492 */     // MIs[0] policy
     /* 1652492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652502 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1652505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652526 */     // GIR_Coverage, 4694,
     /* 1652526 */     GIR_EraseRootFromParent_Done,
     /* 1652527 */   // Label 22725: @1652527
     /* 1652527 */   GIM_Try, /*On fail goto*//*Label 22726*/ GIMT_Encode4(1652613), // Rule ID 4695 //
     /* 1652532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1652543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1652546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1652549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1652552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1652555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652578 */     // MIs[0] policy
     /* 1652578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652588 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF8_MASK),
     /* 1652591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652612 */     // GIR_Coverage, 4695,
     /* 1652612 */     GIR_EraseRootFromParent_Done,
     /* 1652613 */   // Label 22726: @1652613
     /* 1652613 */   GIM_Try, /*On fail goto*//*Label 22727*/ GIMT_Encode4(1652699), // Rule ID 4704 //
     /* 1652618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1652629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1652632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1652635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1652638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652664 */     // MIs[0] policy
     /* 1652664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652674 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1652677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652698 */     // GIR_Coverage, 4704,
     /* 1652698 */     GIR_EraseRootFromParent_Done,
     /* 1652699 */   // Label 22727: @1652699
     /* 1652699 */   GIM_Try, /*On fail goto*//*Label 22728*/ GIMT_Encode4(1652785), // Rule ID 4705 //
     /* 1652704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1652715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1652718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1652721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1652724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1652727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652750 */     // MIs[0] policy
     /* 1652750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652760 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1652763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652784 */     // GIR_Coverage, 4705,
     /* 1652784 */     GIR_EraseRootFromParent_Done,
     /* 1652785 */   // Label 22728: @1652785
     /* 1652785 */   GIM_Try, /*On fail goto*//*Label 22729*/ GIMT_Encode4(1652871), // Rule ID 4714 //
     /* 1652790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1652801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1652804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1652807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1652810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652836 */     // MIs[0] policy
     /* 1652836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652846 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1652846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1652849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652870 */     // GIR_Coverage, 4714,
     /* 1652870 */     GIR_EraseRootFromParent_Done,
     /* 1652871 */   // Label 22729: @1652871
     /* 1652871 */   GIM_Try, /*On fail goto*//*Label 22730*/ GIMT_Encode4(1652957), // Rule ID 4715 //
     /* 1652876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1652879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1652887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1652890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1652893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1652896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1652899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1652902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1652906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1652918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1652922 */     // MIs[0] policy
     /* 1652922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1652925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1652932 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1652932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1652935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1652937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1652939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1652941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1652943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1652945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1652950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1652953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1652955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1652956 */     // GIR_Coverage, 4715,
     /* 1652956 */     GIR_EraseRootFromParent_Done,
     /* 1652957 */   // Label 22730: @1652957
     /* 1652957 */   GIM_Try, /*On fail goto*//*Label 22731*/ GIMT_Encode4(1653043), // Rule ID 4724 //
     /* 1652962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1652965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1652970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1652973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1652976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1652979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1652982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1652985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1652988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1652992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1652996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653008 */     // MIs[0] policy
     /* 1653008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653018 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1653021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653042 */     // GIR_Coverage, 4724,
     /* 1653042 */     GIR_EraseRootFromParent_Done,
     /* 1653043 */   // Label 22731: @1653043
     /* 1653043 */   GIM_Try, /*On fail goto*//*Label 22732*/ GIMT_Encode4(1653129), // Rule ID 4725 //
     /* 1653048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1653059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1653062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1653065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1653068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1653071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653094 */     // MIs[0] policy
     /* 1653094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653104 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1653107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653128 */     // GIR_Coverage, 4725,
     /* 1653128 */     GIR_EraseRootFromParent_Done,
     /* 1653129 */   // Label 22732: @1653129
     /* 1653129 */   GIM_Try, /*On fail goto*//*Label 22733*/ GIMT_Encode4(1653215), // Rule ID 4734 //
     /* 1653134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1653145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1653148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1653151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1653154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653180 */     // MIs[0] policy
     /* 1653180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653190 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1653193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653214 */     // GIR_Coverage, 4734,
     /* 1653214 */     GIR_EraseRootFromParent_Done,
     /* 1653215 */   // Label 22733: @1653215
     /* 1653215 */   GIM_Try, /*On fail goto*//*Label 22734*/ GIMT_Encode4(1653301), // Rule ID 4735 //
     /* 1653220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1653231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1653234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1653237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1653240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1653243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1653250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653266 */     // MIs[0] policy
     /* 1653266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653276 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1653279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653300 */     // GIR_Coverage, 4735,
     /* 1653300 */     GIR_EraseRootFromParent_Done,
     /* 1653301 */   // Label 22734: @1653301
     /* 1653301 */   GIM_Try, /*On fail goto*//*Label 22735*/ GIMT_Encode4(1653387), // Rule ID 4744 //
     /* 1653306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1653326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653352 */     // MIs[0] policy
     /* 1653352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653362 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1653365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653386 */     // GIR_Coverage, 4744,
     /* 1653386 */     GIR_EraseRootFromParent_Done,
     /* 1653387 */   // Label 22735: @1653387
     /* 1653387 */   GIM_Try, /*On fail goto*//*Label 22736*/ GIMT_Encode4(1653473), // Rule ID 4745 //
     /* 1653392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1653403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1653406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1653409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1653412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1653415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1653422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1653430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1653434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653438 */     // MIs[0] policy
     /* 1653438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653448 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1653451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1653469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653472 */     // GIR_Coverage, 4745,
     /* 1653472 */     GIR_EraseRootFromParent_Done,
     /* 1653473 */   // Label 22736: @1653473
     /* 1653473 */   GIM_Try, /*On fail goto*//*Label 22737*/ GIMT_Encode4(1653559), // Rule ID 4754 //
     /* 1653478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1653489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1653492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1653495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1653498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653524 */     // MIs[0] policy
     /* 1653524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1653537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653558 */     // GIR_Coverage, 4754,
     /* 1653558 */     GIR_EraseRootFromParent_Done,
     /* 1653559 */   // Label 22737: @1653559
     /* 1653559 */   GIM_Try, /*On fail goto*//*Label 22738*/ GIMT_Encode4(1653645), // Rule ID 4755 //
     /* 1653564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1653575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1653578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1653581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1653584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1653587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653610 */     // MIs[0] policy
     /* 1653610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF4_MASK),
     /* 1653623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653644 */     // GIR_Coverage, 4755,
     /* 1653644 */     GIR_EraseRootFromParent_Done,
     /* 1653645 */   // Label 22738: @1653645
     /* 1653645 */   GIM_Try, /*On fail goto*//*Label 22739*/ GIMT_Encode4(1653731), // Rule ID 4764 //
     /* 1653650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1653661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1653664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1653667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1653670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653696 */     // MIs[0] policy
     /* 1653696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1653709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653730 */     // GIR_Coverage, 4764,
     /* 1653730 */     GIR_EraseRootFromParent_Done,
     /* 1653731 */   // Label 22739: @1653731
     /* 1653731 */   GIM_Try, /*On fail goto*//*Label 22740*/ GIMT_Encode4(1653817), // Rule ID 4765 //
     /* 1653736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1653747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1653750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1653753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1653756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1653759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1653766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653782 */     // MIs[0] policy
     /* 1653782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1653795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653816 */     // GIR_Coverage, 4765,
     /* 1653816 */     GIR_EraseRootFromParent_Done,
     /* 1653817 */   // Label 22740: @1653817
     /* 1653817 */   GIM_Try, /*On fail goto*//*Label 22741*/ GIMT_Encode4(1653903), // Rule ID 4774 //
     /* 1653822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1653842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1653848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653868 */     // MIs[0] policy
     /* 1653868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1653878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1653881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653902 */     // GIR_Coverage, 4774,
     /* 1653902 */     GIR_EraseRootFromParent_Done,
     /* 1653903 */   // Label 22741: @1653903
     /* 1653903 */   GIM_Try, /*On fail goto*//*Label 22742*/ GIMT_Encode4(1653989), // Rule ID 4775 //
     /* 1653908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1653911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1653916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1653919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1653922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1653925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1653928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1653931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1653934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1653938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1653946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1653950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1653954 */     // MIs[0] policy
     /* 1653954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1653957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1653964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1653964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1653967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1653969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1653971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1653973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1653975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1653977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1653982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1653985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1653987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1653988 */     // GIR_Coverage, 4775,
     /* 1653988 */     GIR_EraseRootFromParent_Done,
     /* 1653989 */   // Label 22742: @1653989
     /* 1653989 */   GIM_Try, /*On fail goto*//*Label 22743*/ GIMT_Encode4(1654075), // Rule ID 4784 //
     /* 1653994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1653997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1654005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1654008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1654011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1654014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654040 */     // MIs[0] policy
     /* 1654040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1654053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654074 */     // GIR_Coverage, 4784,
     /* 1654074 */     GIR_EraseRootFromParent_Done,
     /* 1654075 */   // Label 22743: @1654075
     /* 1654075 */   GIM_Try, /*On fail goto*//*Label 22744*/ GIMT_Encode4(1654161), // Rule ID 4785 //
     /* 1654080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1654091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1654094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1654097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1654100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654126 */     // MIs[0] policy
     /* 1654126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1654139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654160 */     // GIR_Coverage, 4785,
     /* 1654160 */     GIR_EraseRootFromParent_Done,
     /* 1654161 */   // Label 22744: @1654161
     /* 1654161 */   GIM_Try, /*On fail goto*//*Label 22745*/ GIMT_Encode4(1654247), // Rule ID 4794 //
     /* 1654166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1654169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1654177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1654180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1654183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1654186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654212 */     // MIs[0] policy
     /* 1654212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1654225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654246 */     // GIR_Coverage, 4794,
     /* 1654246 */     GIR_EraseRootFromParent_Done,
     /* 1654247 */   // Label 22745: @1654247
     /* 1654247 */   GIM_Try, /*On fail goto*//*Label 22746*/ GIMT_Encode4(1654333), // Rule ID 4795 //
     /* 1654252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1654255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1654263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1654266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1654269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1654272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1654275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654298 */     // MIs[0] policy
     /* 1654298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1654311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1654329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654332 */     // GIR_Coverage, 4795,
     /* 1654332 */     GIR_EraseRootFromParent_Done,
     /* 1654333 */   // Label 22746: @1654333
     /* 1654333 */   GIM_Try, /*On fail goto*//*Label 22747*/ GIMT_Encode4(1654419), // Rule ID 4804 //
     /* 1654338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1654341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1654349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1654352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1654355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1654358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654384 */     // MIs[0] policy
     /* 1654384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1654397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654418 */     // GIR_Coverage, 4804,
     /* 1654418 */     GIR_EraseRootFromParent_Done,
     /* 1654419 */   // Label 22747: @1654419
     /* 1654419 */   GIM_Try, /*On fail goto*//*Label 22748*/ GIMT_Encode4(1654505), // Rule ID 4805 //
     /* 1654424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1654427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1654435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1654438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1654441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1654444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1654447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1654454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654470 */     // MIs[0] policy
     /* 1654470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_MF2_MASK),
     /* 1654483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654504 */     // GIR_Coverage, 4805,
     /* 1654504 */     GIR_EraseRootFromParent_Done,
     /* 1654505 */   // Label 22748: @1654505
     /* 1654505 */   GIM_Try, /*On fail goto*//*Label 22749*/ GIMT_Encode4(1654591), // Rule ID 4814 //
     /* 1654510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1654513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1654521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1654524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1654527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1654530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654556 */     // MIs[0] policy
     /* 1654556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1654569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654590 */     // GIR_Coverage, 4814,
     /* 1654590 */     GIR_EraseRootFromParent_Done,
     /* 1654591 */   // Label 22749: @1654591
     /* 1654591 */   GIM_Try, /*On fail goto*//*Label 22750*/ GIMT_Encode4(1654677), // Rule ID 4815 //
     /* 1654596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1654599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1654607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1654610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1654613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1654616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1654619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1654626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1654638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654642 */     // MIs[0] policy
     /* 1654642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M1_MASK),
     /* 1654655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654676 */     // GIR_Coverage, 4815,
     /* 1654676 */     GIR_EraseRootFromParent_Done,
     /* 1654677 */   // Label 22750: @1654677
     /* 1654677 */   GIM_Try, /*On fail goto*//*Label 22751*/ GIMT_Encode4(1654763), // Rule ID 4824 //
     /* 1654682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1654685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1654693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1654696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1654699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1654702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654728 */     // MIs[0] policy
     /* 1654728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654738 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1654741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654762 */     // GIR_Coverage, 4824,
     /* 1654762 */     GIR_EraseRootFromParent_Done,
     /* 1654763 */   // Label 22751: @1654763
     /* 1654763 */   GIM_Try, /*On fail goto*//*Label 22752*/ GIMT_Encode4(1654849), // Rule ID 4825 //
     /* 1654768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1654771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1654779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1654782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1654785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1654788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1654791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1654798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1654810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654814 */     // MIs[0] policy
     /* 1654814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M2_MASK),
     /* 1654827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654848 */     // GIR_Coverage, 4825,
     /* 1654848 */     GIR_EraseRootFromParent_Done,
     /* 1654849 */   // Label 22752: @1654849
     /* 1654849 */   GIM_Try, /*On fail goto*//*Label 22753*/ GIMT_Encode4(1654935), // Rule ID 4834 //
     /* 1654854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1654857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1654874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1654880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654900 */     // MIs[0] policy
     /* 1654900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1654910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1654913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1654915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1654917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1654919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1654921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1654923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1654928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1654931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1654933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1654934 */     // GIR_Coverage, 4834,
     /* 1654934 */     GIR_EraseRootFromParent_Done,
     /* 1654935 */   // Label 22753: @1654935
     /* 1654935 */   GIM_Try, /*On fail goto*//*Label 22754*/ GIMT_Encode4(1655021), // Rule ID 4835 //
     /* 1654940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1654943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1654948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1654951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1654954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1654957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1654960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1654963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1654966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1654970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1654978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1654982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1654986 */     // MIs[0] policy
     /* 1654986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1654989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1654996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1654996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WV_M4_MASK),
     /* 1654999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1655017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655020 */     // GIR_Coverage, 4835,
     /* 1655020 */     GIR_EraseRootFromParent_Done,
     /* 1655021 */   // Label 22754: @1655021
     /* 1655021 */   GIM_Try, /*On fail goto*//*Label 22755*/ GIMT_Encode4(1655107), // Rule ID 4838 //
     /* 1655026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1655037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1655040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1655043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655072 */     // MIs[0] policy
     /* 1655072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655082 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1655085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655106 */     // GIR_Coverage, 4838,
     /* 1655106 */     GIR_EraseRootFromParent_Done,
     /* 1655107 */   // Label 22755: @1655107
     /* 1655107 */   GIM_Try, /*On fail goto*//*Label 22756*/ GIMT_Encode4(1655193), // Rule ID 4839 //
     /* 1655112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1655123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1655126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1655129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1655135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655158 */     // MIs[0] policy
     /* 1655158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655168 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF8_MASK),
     /* 1655171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655192 */     // GIR_Coverage, 4839,
     /* 1655192 */     GIR_EraseRootFromParent_Done,
     /* 1655193 */   // Label 22756: @1655193
     /* 1655193 */   GIM_Try, /*On fail goto*//*Label 22757*/ GIMT_Encode4(1655279), // Rule ID 4842 //
     /* 1655198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655244 */     // MIs[0] policy
     /* 1655244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655254 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1655257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655278 */     // GIR_Coverage, 4842,
     /* 1655278 */     GIR_EraseRootFromParent_Done,
     /* 1655279 */   // Label 22757: @1655279
     /* 1655279 */   GIM_Try, /*On fail goto*//*Label 22758*/ GIMT_Encode4(1655365), // Rule ID 4843 //
     /* 1655284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1655295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1655298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1655301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1655307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655330 */     // MIs[0] policy
     /* 1655330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655340 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1655343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655364 */     // GIR_Coverage, 4843,
     /* 1655364 */     GIR_EraseRootFromParent_Done,
     /* 1655365 */   // Label 22758: @1655365
     /* 1655365 */   GIM_Try, /*On fail goto*//*Label 22759*/ GIMT_Encode4(1655451), // Rule ID 4846 //
     /* 1655370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655416 */     // MIs[0] policy
     /* 1655416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655426 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1655429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655450 */     // GIR_Coverage, 4846,
     /* 1655450 */     GIR_EraseRootFromParent_Done,
     /* 1655451 */   // Label 22759: @1655451
     /* 1655451 */   GIM_Try, /*On fail goto*//*Label 22760*/ GIMT_Encode4(1655537), // Rule ID 4847 //
     /* 1655456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1655467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1655470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1655473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1655479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1655486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1655494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655502 */     // MIs[0] policy
     /* 1655502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655512 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11670:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1655515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655536 */     // GIR_Coverage, 4847,
     /* 1655536 */     GIR_EraseRootFromParent_Done,
     /* 1655537 */   // Label 22760: @1655537
     /* 1655537 */   GIM_Try, /*On fail goto*//*Label 22761*/ GIMT_Encode4(1655623), // Rule ID 4850 //
     /* 1655542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1655553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1655556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1655559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655588 */     // MIs[0] policy
     /* 1655588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655598 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1655601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655622 */     // GIR_Coverage, 4850,
     /* 1655622 */     GIR_EraseRootFromParent_Done,
     /* 1655623 */   // Label 22761: @1655623
     /* 1655623 */   GIM_Try, /*On fail goto*//*Label 22762*/ GIMT_Encode4(1655709), // Rule ID 4851 //
     /* 1655628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1655639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1655642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1655645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1655651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1655658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1655666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655674 */     // MIs[0] policy
     /* 1655674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655684 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1655687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655708 */     // GIR_Coverage, 4851,
     /* 1655708 */     GIR_EraseRootFromParent_Done,
     /* 1655709 */   // Label 22762: @1655709
     /* 1655709 */   GIM_Try, /*On fail goto*//*Label 22763*/ GIMT_Encode4(1655795), // Rule ID 4854 //
     /* 1655714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1655725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1655728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1655731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655760 */     // MIs[0] policy
     /* 1655760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655770 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1655773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655794 */     // GIR_Coverage, 4854,
     /* 1655794 */     GIR_EraseRootFromParent_Done,
     /* 1655795 */   // Label 22763: @1655795
     /* 1655795 */   GIM_Try, /*On fail goto*//*Label 22764*/ GIMT_Encode4(1655881), // Rule ID 4855 //
     /* 1655800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1655811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1655814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1655817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1655823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1655830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1655838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655846 */     // MIs[0] policy
     /* 1655846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655856 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1655856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1655859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655880 */     // GIR_Coverage, 4855,
     /* 1655880 */     GIR_EraseRootFromParent_Done,
     /* 1655881 */   // Label 22764: @1655881
     /* 1655881 */   GIM_Try, /*On fail goto*//*Label 22765*/ GIMT_Encode4(1655967), // Rule ID 4858 //
     /* 1655886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1655889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1655897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1655900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1655903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1655906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1655912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1655916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1655924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1655928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1655932 */     // MIs[0] policy
     /* 1655932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1655935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1655942 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1655942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1655945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1655947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1655949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1655951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1655953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1655955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1655960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1655963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1655965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1655966 */     // GIR_Coverage, 4858,
     /* 1655966 */     GIR_EraseRootFromParent_Done,
     /* 1655967 */   // Label 22765: @1655967
     /* 1655967 */   GIM_Try, /*On fail goto*//*Label 22766*/ GIMT_Encode4(1656053), // Rule ID 4859 //
     /* 1655972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1655975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1655980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1655983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1655986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1655989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1655992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1655995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1655998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656018 */     // MIs[0] policy
     /* 1656018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656028 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1656031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1656049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656052 */     // GIR_Coverage, 4859,
     /* 1656052 */     GIR_EraseRootFromParent_Done,
     /* 1656053 */   // Label 22766: @1656053
     /* 1656053 */   GIM_Try, /*On fail goto*//*Label 22767*/ GIMT_Encode4(1656139), // Rule ID 4862 //
     /* 1656058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1656069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1656072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1656075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656104 */     // MIs[0] policy
     /* 1656104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656114 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1656117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656138 */     // GIR_Coverage, 4862,
     /* 1656138 */     GIR_EraseRootFromParent_Done,
     /* 1656139 */   // Label 22767: @1656139
     /* 1656139 */   GIM_Try, /*On fail goto*//*Label 22768*/ GIMT_Encode4(1656225), // Rule ID 4863 //
     /* 1656144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1656155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1656158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1656161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656190 */     // MIs[0] policy
     /* 1656190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656200 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF4_MASK),
     /* 1656203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656224 */     // GIR_Coverage, 4863,
     /* 1656224 */     GIR_EraseRootFromParent_Done,
     /* 1656225 */   // Label 22768: @1656225
     /* 1656225 */   GIM_Try, /*On fail goto*//*Label 22769*/ GIMT_Encode4(1656311), // Rule ID 4866 //
     /* 1656230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1656241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1656244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1656247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656276 */     // MIs[0] policy
     /* 1656276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656286 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1656289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656310 */     // GIR_Coverage, 4866,
     /* 1656310 */     GIR_EraseRootFromParent_Done,
     /* 1656311 */   // Label 22769: @1656311
     /* 1656311 */   GIM_Try, /*On fail goto*//*Label 22770*/ GIMT_Encode4(1656397), // Rule ID 4867 //
     /* 1656316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1656327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1656330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1656333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1656339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656362 */     // MIs[0] policy
     /* 1656362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656372 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11670:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1656375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656396 */     // GIR_Coverage, 4867,
     /* 1656396 */     GIR_EraseRootFromParent_Done,
     /* 1656397 */   // Label 22770: @1656397
     /* 1656397 */   GIM_Try, /*On fail goto*//*Label 22771*/ GIMT_Encode4(1656483), // Rule ID 4870 //
     /* 1656402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1656413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1656416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1656419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656448 */     // MIs[0] policy
     /* 1656448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656458 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1656461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656482 */     // GIR_Coverage, 4870,
     /* 1656482 */     GIR_EraseRootFromParent_Done,
     /* 1656483 */   // Label 22771: @1656483
     /* 1656483 */   GIM_Try, /*On fail goto*//*Label 22772*/ GIMT_Encode4(1656569), // Rule ID 4871 //
     /* 1656488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1656499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1656502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1656505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1656511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1656518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1656526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656534 */     // MIs[0] policy
     /* 1656534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656544 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1656547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656568 */     // GIR_Coverage, 4871,
     /* 1656568 */     GIR_EraseRootFromParent_Done,
     /* 1656569 */   // Label 22772: @1656569
     /* 1656569 */   GIM_Try, /*On fail goto*//*Label 22773*/ GIMT_Encode4(1656655), // Rule ID 4874 //
     /* 1656574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1656585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1656588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1656591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656620 */     // MIs[0] policy
     /* 1656620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656630 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1656633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656654 */     // GIR_Coverage, 4874,
     /* 1656654 */     GIR_EraseRootFromParent_Done,
     /* 1656655 */   // Label 22773: @1656655
     /* 1656655 */   GIM_Try, /*On fail goto*//*Label 22774*/ GIMT_Encode4(1656741), // Rule ID 4875 //
     /* 1656660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1656671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1656674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1656677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1656683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1656690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1656698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656706 */     // MIs[0] policy
     /* 1656706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1656719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656740 */     // GIR_Coverage, 4875,
     /* 1656740 */     GIR_EraseRootFromParent_Done,
     /* 1656741 */   // Label 22774: @1656741
     /* 1656741 */   GIM_Try, /*On fail goto*//*Label 22775*/ GIMT_Encode4(1656827), // Rule ID 4878 //
     /* 1656746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1656749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1656757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1656760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1656763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656792 */     // MIs[0] policy
     /* 1656792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656802 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1656805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656826 */     // GIR_Coverage, 4878,
     /* 1656826 */     GIR_EraseRootFromParent_Done,
     /* 1656827 */   // Label 22775: @1656827
     /* 1656827 */   GIM_Try, /*On fail goto*//*Label 22776*/ GIMT_Encode4(1656913), // Rule ID 4879 //
     /* 1656832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1656835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1656843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1656846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1656849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1656852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1656855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1656858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1656862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1656870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656878 */     // MIs[0] policy
     /* 1656878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656888 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1656888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1656891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1656909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656912 */     // GIR_Coverage, 4879,
     /* 1656912 */     GIR_EraseRootFromParent_Done,
     /* 1656913 */   // Label 22776: @1656913
     /* 1656913 */   GIM_Try, /*On fail goto*//*Label 22777*/ GIMT_Encode4(1656999), // Rule ID 4882 //
     /* 1656918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1656921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1656926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1656929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1656932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1656935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1656938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1656941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1656944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1656948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1656956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1656960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1656964 */     // MIs[0] policy
     /* 1656964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1656967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1656974 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1656974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1656977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1656979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1656981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1656983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1656985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1656987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1656992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1656995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1656997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1656998 */     // GIR_Coverage, 4882,
     /* 1656998 */     GIR_EraseRootFromParent_Done,
     /* 1656999 */   // Label 22777: @1656999
     /* 1656999 */   GIM_Try, /*On fail goto*//*Label 22778*/ GIMT_Encode4(1657085), // Rule ID 4883 //
     /* 1657004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1657007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1657012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1657015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1657018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1657021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657050 */     // MIs[0] policy
     /* 1657050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657060 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11670:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_MF2_MASK),
     /* 1657063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657084 */     // GIR_Coverage, 4883,
     /* 1657084 */     GIR_EraseRootFromParent_Done,
     /* 1657085 */   // Label 22778: @1657085
     /* 1657085 */   GIM_Try, /*On fail goto*//*Label 22779*/ GIMT_Encode4(1657171), // Rule ID 4886 //
     /* 1657090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1657093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1657098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657136 */     // MIs[0] policy
     /* 1657136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1657149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657170 */     // GIR_Coverage, 4886,
     /* 1657170 */     GIR_EraseRootFromParent_Done,
     /* 1657171 */   // Label 22779: @1657171
     /* 1657171 */   GIM_Try, /*On fail goto*//*Label 22780*/ GIMT_Encode4(1657257), // Rule ID 4887 //
     /* 1657176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1657179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1657184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1657187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1657190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1657193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1657206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1657214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657222 */     // MIs[0] policy
     /* 1657222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11670:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M1_MASK),
     /* 1657235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657256 */     // GIR_Coverage, 4887,
     /* 1657256 */     GIR_EraseRootFromParent_Done,
     /* 1657257 */   // Label 22780: @1657257
     /* 1657257 */   GIM_Try, /*On fail goto*//*Label 22781*/ GIMT_Encode4(1657343), // Rule ID 4890 //
     /* 1657262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1657265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1657270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657308 */     // MIs[0] policy
     /* 1657308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1657321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657342 */     // GIR_Coverage, 4890,
     /* 1657342 */     GIR_EraseRootFromParent_Done,
     /* 1657343 */   // Label 22781: @1657343
     /* 1657343 */   GIM_Try, /*On fail goto*//*Label 22782*/ GIMT_Encode4(1657429), // Rule ID 4891 //
     /* 1657348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1657351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1657356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1657359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1657362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1657365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1657378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1657386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657394 */     // MIs[0] policy
     /* 1657394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11670:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M2_MASK),
     /* 1657407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657428 */     // GIR_Coverage, 4891,
     /* 1657428 */     GIR_EraseRootFromParent_Done,
     /* 1657429 */   // Label 22782: @1657429
     /* 1657429 */   GIM_Try, /*On fail goto*//*Label 22783*/ GIMT_Encode4(1657515), // Rule ID 4894 //
     /* 1657434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1657437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1657442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1657454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657480 */     // MIs[0] policy
     /* 1657480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657490 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1657493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657514 */     // GIR_Coverage, 4894,
     /* 1657514 */     GIR_EraseRootFromParent_Done,
     /* 1657515 */   // Label 22783: @1657515
     /* 1657515 */   GIM_Try, /*On fail goto*//*Label 22784*/ GIMT_Encode4(1657601), // Rule ID 4895 //
     /* 1657520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1657523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsub_w_mask),
     /* 1657528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1657531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1657534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1657537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1657540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1657543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1657550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1657558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1657562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657566 */     // MIs[0] policy
     /* 1657566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11670:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSUB_WX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSUB_WX_M4_MASK),
     /* 1657579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1657597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657600 */     // GIR_Coverage, 4895,
     /* 1657600 */     GIR_EraseRootFromParent_Done,
     /* 1657601 */   // Label 22784: @1657601
     /* 1657601 */   GIM_Try, /*On fail goto*//*Label 22785*/ GIMT_Encode4(1657687), // Rule ID 5772 //
     /* 1657606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1657626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657652 */     // MIs[0] policy
     /* 1657652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657662 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1657665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657686 */     // GIR_Coverage, 5772,
     /* 1657686 */     GIR_EraseRootFromParent_Done,
     /* 1657687 */   // Label 22785: @1657687
     /* 1657687 */   GIM_Try, /*On fail goto*//*Label 22786*/ GIMT_Encode4(1657773), // Rule ID 5773 //
     /* 1657692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1657703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1657706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1657709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1657712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1657715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657738 */     // MIs[0] policy
     /* 1657738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF8_MASK),
     /* 1657751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657772 */     // GIR_Coverage, 5773,
     /* 1657772 */     GIR_EraseRootFromParent_Done,
     /* 1657773 */   // Label 22786: @1657773
     /* 1657773 */   GIM_Try, /*On fail goto*//*Label 22787*/ GIMT_Encode4(1657859), // Rule ID 5776 //
     /* 1657778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1657798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657824 */     // MIs[0] policy
     /* 1657824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657834 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1657834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1657837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657858 */     // GIR_Coverage, 5776,
     /* 1657858 */     GIR_EraseRootFromParent_Done,
     /* 1657859 */   // Label 22787: @1657859
     /* 1657859 */   GIM_Try, /*On fail goto*//*Label 22788*/ GIMT_Encode4(1657945), // Rule ID 5777 //
     /* 1657864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1657867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1657875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1657878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1657881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1657884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1657887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1657890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657910 */     // MIs[0] policy
     /* 1657910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1657920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1657920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1657923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1657925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1657927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1657929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1657931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1657933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1657938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1657941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1657943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1657944 */     // GIR_Coverage, 5777,
     /* 1657944 */     GIR_EraseRootFromParent_Done,
     /* 1657945 */   // Label 22788: @1657945
     /* 1657945 */   GIM_Try, /*On fail goto*//*Label 22789*/ GIMT_Encode4(1658031), // Rule ID 5780 //
     /* 1657950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1657953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1657958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1657961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1657964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1657967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1657970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1657973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1657976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1657980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1657992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1657996 */     // MIs[0] policy
     /* 1657996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1657999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658006 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1658009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658030 */     // GIR_Coverage, 5780,
     /* 1658030 */     GIR_EraseRootFromParent_Done,
     /* 1658031 */   // Label 22789: @1658031
     /* 1658031 */   GIM_Try, /*On fail goto*//*Label 22790*/ GIMT_Encode4(1658117), // Rule ID 5781 //
     /* 1658036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1658047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1658050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1658053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1658056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658082 */     // MIs[0] policy
     /* 1658082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1658095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658116 */     // GIR_Coverage, 5781,
     /* 1658116 */     GIR_EraseRootFromParent_Done,
     /* 1658117 */   // Label 22790: @1658117
     /* 1658117 */   GIM_Try, /*On fail goto*//*Label 22791*/ GIMT_Encode4(1658203), // Rule ID 5784 //
     /* 1658122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1658142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658168 */     // MIs[0] policy
     /* 1658168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1658181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658202 */     // GIR_Coverage, 5784,
     /* 1658202 */     GIR_EraseRootFromParent_Done,
     /* 1658203 */   // Label 22791: @1658203
     /* 1658203 */   GIM_Try, /*On fail goto*//*Label 22792*/ GIMT_Encode4(1658289), // Rule ID 5785 //
     /* 1658208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1658219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1658222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1658225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1658228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658254 */     // MIs[0] policy
     /* 1658254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF4_MASK),
     /* 1658267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658288 */     // GIR_Coverage, 5785,
     /* 1658288 */     GIR_EraseRootFromParent_Done,
     /* 1658289 */   // Label 22792: @1658289
     /* 1658289 */   GIM_Try, /*On fail goto*//*Label 22793*/ GIMT_Encode4(1658375), // Rule ID 5788 //
     /* 1658294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1658314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658340 */     // MIs[0] policy
     /* 1658340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658350 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1658353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658374 */     // GIR_Coverage, 5788,
     /* 1658374 */     GIR_EraseRootFromParent_Done,
     /* 1658375 */   // Label 22793: @1658375
     /* 1658375 */   GIM_Try, /*On fail goto*//*Label 22794*/ GIMT_Encode4(1658461), // Rule ID 5789 //
     /* 1658380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1658391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1658394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1658397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1658400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1658403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658426 */     // MIs[0] policy
     /* 1658426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1658439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658460 */     // GIR_Coverage, 5789,
     /* 1658460 */     GIR_EraseRootFromParent_Done,
     /* 1658461 */   // Label 22794: @1658461
     /* 1658461 */   GIM_Try, /*On fail goto*//*Label 22795*/ GIMT_Encode4(1658547), // Rule ID 5792 //
     /* 1658466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1658486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658512 */     // MIs[0] policy
     /* 1658512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1658525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658546 */     // GIR_Coverage, 5792,
     /* 1658546 */     GIR_EraseRootFromParent_Done,
     /* 1658547 */   // Label 22795: @1658547
     /* 1658547 */   GIM_Try, /*On fail goto*//*Label 22796*/ GIMT_Encode4(1658633), // Rule ID 5793 //
     /* 1658552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1658563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1658566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1658569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1658572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1658575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658598 */     // MIs[0] policy
     /* 1658598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_MF2_MASK),
     /* 1658611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1658629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658632 */     // GIR_Coverage, 5793,
     /* 1658632 */     GIR_EraseRootFromParent_Done,
     /* 1658633 */   // Label 22796: @1658633
     /* 1658633 */   GIM_Try, /*On fail goto*//*Label 22797*/ GIMT_Encode4(1658719), // Rule ID 5796 //
     /* 1658638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1658658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658684 */     // MIs[0] policy
     /* 1658684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1658697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658718 */     // GIR_Coverage, 5796,
     /* 1658718 */     GIR_EraseRootFromParent_Done,
     /* 1658719 */   // Label 22797: @1658719
     /* 1658719 */   GIM_Try, /*On fail goto*//*Label 22798*/ GIMT_Encode4(1658805), // Rule ID 5797 //
     /* 1658724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1658735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1658738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1658741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1658744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1658747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658770 */     // MIs[0] policy
     /* 1658770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1658783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1658801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658804 */     // GIR_Coverage, 5797,
     /* 1658804 */     GIR_EraseRootFromParent_Done,
     /* 1658805 */   // Label 22798: @1658805
     /* 1658805 */   GIM_Try, /*On fail goto*//*Label 22799*/ GIMT_Encode4(1658891), // Rule ID 5800 //
     /* 1658810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1658830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1658836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658856 */     // MIs[0] policy
     /* 1658856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1658866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1658869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658890 */     // GIR_Coverage, 5800,
     /* 1658890 */     GIR_EraseRootFromParent_Done,
     /* 1658891 */   // Label 22799: @1658891
     /* 1658891 */   GIM_Try, /*On fail goto*//*Label 22800*/ GIMT_Encode4(1658977), // Rule ID 5801 //
     /* 1658896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1658899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1658907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1658910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1658913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1658916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1658919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1658922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1658926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1658938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1658942 */     // MIs[0] policy
     /* 1658942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1658945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1658952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1658952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1658955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1658957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1658959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1658961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1658963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1658965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1658970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1658973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1658975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1658976 */     // GIR_Coverage, 5801,
     /* 1658976 */     GIR_EraseRootFromParent_Done,
     /* 1658977 */   // Label 22800: @1658977
     /* 1658977 */   GIM_Try, /*On fail goto*//*Label 22801*/ GIMT_Encode4(1659063), // Rule ID 5804 //
     /* 1658982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1658985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1658990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1658993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1658996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1658999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1659002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659028 */     // MIs[0] policy
     /* 1659028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659038 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1659041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659062 */     // GIR_Coverage, 5804,
     /* 1659062 */     GIR_EraseRootFromParent_Done,
     /* 1659063 */   // Label 22801: @1659063
     /* 1659063 */   GIM_Try, /*On fail goto*//*Label 22802*/ GIMT_Encode4(1659149), // Rule ID 5805 //
     /* 1659068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1659079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1659082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1659085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1659088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1659091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659114 */     // MIs[0] policy
     /* 1659114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1659127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1659145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659148 */     // GIR_Coverage, 5805,
     /* 1659148 */     GIR_EraseRootFromParent_Done,
     /* 1659149 */   // Label 22802: @1659149
     /* 1659149 */   GIM_Try, /*On fail goto*//*Label 22803*/ GIMT_Encode4(1659235), // Rule ID 5808 //
     /* 1659154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1659157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1659174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659200 */     // MIs[0] policy
     /* 1659200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659210 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1659213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659234 */     // GIR_Coverage, 5808,
     /* 1659234 */     GIR_EraseRootFromParent_Done,
     /* 1659235 */   // Label 22803: @1659235
     /* 1659235 */   GIM_Try, /*On fail goto*//*Label 22804*/ GIMT_Encode4(1659321), // Rule ID 5809 //
     /* 1659240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1659243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1659251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1659254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1659257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1659260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1659263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1659270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1659282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659286 */     // MIs[0] policy
     /* 1659286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M1_MASK),
     /* 1659299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1659317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659320 */     // GIR_Coverage, 5809,
     /* 1659320 */     GIR_EraseRootFromParent_Done,
     /* 1659321 */   // Label 22804: @1659321
     /* 1659321 */   GIM_Try, /*On fail goto*//*Label 22805*/ GIMT_Encode4(1659407), // Rule ID 5812 //
     /* 1659326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1659346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659372 */     // MIs[0] policy
     /* 1659372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659382 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1659385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659406 */     // GIR_Coverage, 5812,
     /* 1659406 */     GIR_EraseRootFromParent_Done,
     /* 1659407 */   // Label 22805: @1659407
     /* 1659407 */   GIM_Try, /*On fail goto*//*Label 22806*/ GIMT_Encode4(1659493), // Rule ID 5813 //
     /* 1659412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1659423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1659426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1659429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1659432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1659435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659458 */     // MIs[0] policy
     /* 1659458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1659471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659492 */     // GIR_Coverage, 5813,
     /* 1659492 */     GIR_EraseRootFromParent_Done,
     /* 1659493 */   // Label 22806: @1659493
     /* 1659493 */   GIM_Try, /*On fail goto*//*Label 22807*/ GIMT_Encode4(1659579), // Rule ID 5816 //
     /* 1659498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1659518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659544 */     // MIs[0] policy
     /* 1659544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659554 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1659557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659578 */     // GIR_Coverage, 5816,
     /* 1659578 */     GIR_EraseRootFromParent_Done,
     /* 1659579 */   // Label 22807: @1659579
     /* 1659579 */   GIM_Try, /*On fail goto*//*Label 22808*/ GIMT_Encode4(1659665), // Rule ID 5817 //
     /* 1659584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1659595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1659598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1659601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1659604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1659607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1659614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1659626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659630 */     // MIs[0] policy
     /* 1659630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1659643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659664 */     // GIR_Coverage, 5817,
     /* 1659664 */     GIR_EraseRootFromParent_Done,
     /* 1659665 */   // Label 22808: @1659665
     /* 1659665 */   GIM_Try, /*On fail goto*//*Label 22809*/ GIMT_Encode4(1659751), // Rule ID 5820 //
     /* 1659670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1659690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659716 */     // MIs[0] policy
     /* 1659716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659726 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1659729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659750 */     // GIR_Coverage, 5820,
     /* 1659750 */     GIR_EraseRootFromParent_Done,
     /* 1659751 */   // Label 22809: @1659751
     /* 1659751 */   GIM_Try, /*On fail goto*//*Label 22810*/ GIMT_Encode4(1659837), // Rule ID 5821 //
     /* 1659756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1659767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1659770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1659773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1659776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1659779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1659786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1659798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659802 */     // MIs[0] policy
     /* 1659802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659812 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1659815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1659833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659836 */     // GIR_Coverage, 5821,
     /* 1659836 */     GIR_EraseRootFromParent_Done,
     /* 1659837 */   // Label 22810: @1659837
     /* 1659837 */   GIM_Try, /*On fail goto*//*Label 22811*/ GIMT_Encode4(1659923), // Rule ID 5824 //
     /* 1659842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1659845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1659862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1659868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659888 */     // MIs[0] policy
     /* 1659888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1659898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1659901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1659916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1659919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1659921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1659922 */     // GIR_Coverage, 5824,
     /* 1659922 */     GIR_EraseRootFromParent_Done,
     /* 1659923 */   // Label 22811: @1659923
     /* 1659923 */   GIM_Try, /*On fail goto*//*Label 22812*/ GIMT_Encode4(1660009), // Rule ID 5825 //
     /* 1659928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1659931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1659936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1659939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1659942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1659945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1659948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1659951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1659954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1659958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1659970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1659974 */     // MIs[0] policy
     /* 1659974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1659977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1659984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1659984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1659987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1659989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1659991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1659993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1659995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1659997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660008 */     // GIR_Coverage, 5825,
     /* 1660008 */     GIR_EraseRootFromParent_Done,
     /* 1660009 */   // Label 22812: @1660009
     /* 1660009 */   GIM_Try, /*On fail goto*//*Label 22813*/ GIMT_Encode4(1660095), // Rule ID 5828 //
     /* 1660014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1660034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660060 */     // MIs[0] policy
     /* 1660060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660070 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1660073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660094 */     // GIR_Coverage, 5828,
     /* 1660094 */     GIR_EraseRootFromParent_Done,
     /* 1660095 */   // Label 22813: @1660095
     /* 1660095 */   GIM_Try, /*On fail goto*//*Label 22814*/ GIMT_Encode4(1660181), // Rule ID 5829 //
     /* 1660100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1660111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1660114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1660117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1660120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660146 */     // MIs[0] policy
     /* 1660146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1660159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660180 */     // GIR_Coverage, 5829,
     /* 1660180 */     GIR_EraseRootFromParent_Done,
     /* 1660181 */   // Label 22814: @1660181
     /* 1660181 */   GIM_Try, /*On fail goto*//*Label 22815*/ GIMT_Encode4(1660267), // Rule ID 5832 //
     /* 1660186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1660206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660232 */     // MIs[0] policy
     /* 1660232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1660245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660266 */     // GIR_Coverage, 5832,
     /* 1660266 */     GIR_EraseRootFromParent_Done,
     /* 1660267 */   // Label 22815: @1660267
     /* 1660267 */   GIM_Try, /*On fail goto*//*Label 22816*/ GIMT_Encode4(1660353), // Rule ID 5833 //
     /* 1660272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1660283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1660286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1660289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1660292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1660295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660318 */     // MIs[0] policy
     /* 1660318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1660331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1660349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660352 */     // GIR_Coverage, 5833,
     /* 1660352 */     GIR_EraseRootFromParent_Done,
     /* 1660353 */   // Label 22816: @1660353
     /* 1660353 */   GIM_Try, /*On fail goto*//*Label 22817*/ GIMT_Encode4(1660439), // Rule ID 5836 //
     /* 1660358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1660378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660404 */     // MIs[0] policy
     /* 1660404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1660417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660438 */     // GIR_Coverage, 5836,
     /* 1660438 */     GIR_EraseRootFromParent_Done,
     /* 1660439 */   // Label 22817: @1660439
     /* 1660439 */   GIM_Try, /*On fail goto*//*Label 22818*/ GIMT_Encode4(1660525), // Rule ID 5837 //
     /* 1660444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1660455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1660458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1660461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1660464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1660467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660490 */     // MIs[0] policy
     /* 1660490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1660503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660524 */     // GIR_Coverage, 5837,
     /* 1660524 */     GIR_EraseRootFromParent_Done,
     /* 1660525 */   // Label 22818: @1660525
     /* 1660525 */   GIM_Try, /*On fail goto*//*Label 22819*/ GIMT_Encode4(1660611), // Rule ID 5840 //
     /* 1660530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1660550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660576 */     // MIs[0] policy
     /* 1660576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1660589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660610 */     // GIR_Coverage, 5840,
     /* 1660610 */     GIR_EraseRootFromParent_Done,
     /* 1660611 */   // Label 22819: @1660611
     /* 1660611 */   GIM_Try, /*On fail goto*//*Label 22820*/ GIMT_Encode4(1660697), // Rule ID 5841 //
     /* 1660616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1660627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1660630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1660633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1660636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1660639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1660646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1660658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660662 */     // MIs[0] policy
     /* 1660662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1660675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660696 */     // GIR_Coverage, 5841,
     /* 1660696 */     GIR_EraseRootFromParent_Done,
     /* 1660697 */   // Label 22820: @1660697
     /* 1660697 */   GIM_Try, /*On fail goto*//*Label 22821*/ GIMT_Encode4(1660783), // Rule ID 5844 //
     /* 1660702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1660705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1660722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660748 */     // MIs[0] policy
     /* 1660748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1660761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660782 */     // GIR_Coverage, 5844,
     /* 1660782 */     GIR_EraseRootFromParent_Done,
     /* 1660783 */   // Label 22821: @1660783
     /* 1660783 */   GIM_Try, /*On fail goto*//*Label 22822*/ GIMT_Encode4(1660869), // Rule ID 5845 //
     /* 1660788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1660791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1660799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1660802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1660805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1660808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1660811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1660818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1660830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660834 */     // MIs[0] policy
     /* 1660834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1660844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1660847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1660865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660868 */     // GIR_Coverage, 5845,
     /* 1660868 */     GIR_EraseRootFromParent_Done,
     /* 1660869 */   // Label 22822: @1660869
     /* 1660869 */   GIM_Try, /*On fail goto*//*Label 22823*/ GIMT_Encode4(1660955), // Rule ID 5848 //
     /* 1660874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1660877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1660894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1660900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1660920 */     // MIs[0] policy
     /* 1660920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1660923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1660930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1660930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1660933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1660935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1660937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1660939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1660941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1660943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1660948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1660951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1660953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1660954 */     // GIR_Coverage, 5848,
     /* 1660954 */     GIR_EraseRootFromParent_Done,
     /* 1660955 */   // Label 22823: @1660955
     /* 1660955 */   GIM_Try, /*On fail goto*//*Label 22824*/ GIMT_Encode4(1661041), // Rule ID 5849 //
     /* 1660960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1660963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1660968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1660971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1660974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1660977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1660980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1660983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1660986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1660990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1660998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1661002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661006 */     // MIs[0] policy
     /* 1661006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M2_MASK),
     /* 1661019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661040 */     // GIR_Coverage, 5849,
     /* 1661040 */     GIR_EraseRootFromParent_Done,
     /* 1661041 */   // Label 22824: @1661041
     /* 1661041 */   GIM_Try, /*On fail goto*//*Label 22825*/ GIMT_Encode4(1661127), // Rule ID 5852 //
     /* 1661046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1661066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661092 */     // MIs[0] policy
     /* 1661092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1661105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661126 */     // GIR_Coverage, 5852,
     /* 1661126 */     GIR_EraseRootFromParent_Done,
     /* 1661127 */   // Label 22825: @1661127
     /* 1661127 */   GIM_Try, /*On fail goto*//*Label 22826*/ GIMT_Encode4(1661213), // Rule ID 5853 //
     /* 1661132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1661143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1661146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1661149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1661152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1661162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1661174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661178 */     // MIs[0] policy
     /* 1661178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M4_MASK),
     /* 1661191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661212 */     // GIR_Coverage, 5853,
     /* 1661212 */     GIR_EraseRootFromParent_Done,
     /* 1661213 */   // Label 22826: @1661213
     /* 1661213 */   GIM_Try, /*On fail goto*//*Label 22827*/ GIMT_Encode4(1661299), // Rule ID 5856 //
     /* 1661218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1661221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1661238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661264 */     // MIs[0] policy
     /* 1661264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1661277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661298 */     // GIR_Coverage, 5856,
     /* 1661298 */     GIR_EraseRootFromParent_Done,
     /* 1661299 */   // Label 22827: @1661299
     /* 1661299 */   GIM_Try, /*On fail goto*//*Label 22828*/ GIMT_Encode4(1661385), // Rule ID 5857 //
     /* 1661304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1661307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1661315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1661318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1661321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1661324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1661327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1661334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1661346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661350 */     // MIs[0] policy
     /* 1661350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VV_M8_MASK),
     /* 1661363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1661381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661384 */     // GIR_Coverage, 5857,
     /* 1661384 */     GIR_EraseRootFromParent_Done,
     /* 1661385 */   // Label 22828: @1661385
     /* 1661385 */   GIM_Try, /*On fail goto*//*Label 22829*/ GIMT_Encode4(1661471), // Rule ID 5860 //
     /* 1661390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661436 */     // MIs[0] policy
     /* 1661436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661446 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1661449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661470 */     // GIR_Coverage, 5860,
     /* 1661470 */     GIR_EraseRootFromParent_Done,
     /* 1661471 */   // Label 22829: @1661471
     /* 1661471 */   GIM_Try, /*On fail goto*//*Label 22830*/ GIMT_Encode4(1661557), // Rule ID 5861 //
     /* 1661476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1661487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1661490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1661493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661522 */     // MIs[0] policy
     /* 1661522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF8_MASK),
     /* 1661535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661556 */     // GIR_Coverage, 5861,
     /* 1661556 */     GIR_EraseRootFromParent_Done,
     /* 1661557 */   // Label 22830: @1661557
     /* 1661557 */   GIM_Try, /*On fail goto*//*Label 22831*/ GIMT_Encode4(1661643), // Rule ID 5864 //
     /* 1661562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1661573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1661576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1661579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661608 */     // MIs[0] policy
     /* 1661608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661618 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1661621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661642 */     // GIR_Coverage, 5864,
     /* 1661642 */     GIR_EraseRootFromParent_Done,
     /* 1661643 */   // Label 22831: @1661643
     /* 1661643 */   GIM_Try, /*On fail goto*//*Label 22832*/ GIMT_Encode4(1661729), // Rule ID 5865 //
     /* 1661648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1661659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1661662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1661665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1661671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661694 */     // MIs[0] policy
     /* 1661694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661704 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1661707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661728 */     // GIR_Coverage, 5865,
     /* 1661728 */     GIR_EraseRootFromParent_Done,
     /* 1661729 */   // Label 22832: @1661729
     /* 1661729 */   GIM_Try, /*On fail goto*//*Label 22833*/ GIMT_Encode4(1661815), // Rule ID 5868 //
     /* 1661734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1661745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1661748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1661751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661780 */     // MIs[0] policy
     /* 1661780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661790 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1661793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661814 */     // GIR_Coverage, 5868,
     /* 1661814 */     GIR_EraseRootFromParent_Done,
     /* 1661815 */   // Label 22833: @1661815
     /* 1661815 */   GIM_Try, /*On fail goto*//*Label 22834*/ GIMT_Encode4(1661901), // Rule ID 5869 //
     /* 1661820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1661831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1661834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1661837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1661840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1661843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1661846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661866 */     // MIs[0] policy
     /* 1661866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1661876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1661879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1661897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661900 */     // GIR_Coverage, 5869,
     /* 1661900 */     GIR_EraseRootFromParent_Done,
     /* 1661901 */   // Label 22834: @1661901
     /* 1661901 */   GIM_Try, /*On fail goto*//*Label 22835*/ GIMT_Encode4(1661987), // Rule ID 5872 //
     /* 1661906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1661909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1661914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1661917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1661920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1661923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1661926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1661929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1661932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1661936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1661944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1661948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1661952 */     // MIs[0] policy
     /* 1661952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1661955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1661962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1661962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1661965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1661967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1661969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1661971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1661973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1661975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1661980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1661983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1661985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1661986 */     // GIR_Coverage, 5872,
     /* 1661986 */     GIR_EraseRootFromParent_Done,
     /* 1661987 */   // Label 22835: @1661987
     /* 1661987 */   GIM_Try, /*On fail goto*//*Label 22836*/ GIMT_Encode4(1662073), // Rule ID 5873 //
     /* 1661992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1661995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1662003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1662006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1662009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662038 */     // MIs[0] policy
     /* 1662038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF4_MASK),
     /* 1662051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662072 */     // GIR_Coverage, 5873,
     /* 1662072 */     GIR_EraseRootFromParent_Done,
     /* 1662073 */   // Label 22836: @1662073
     /* 1662073 */   GIM_Try, /*On fail goto*//*Label 22837*/ GIMT_Encode4(1662159), // Rule ID 5876 //
     /* 1662078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662124 */     // MIs[0] policy
     /* 1662124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1662137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662158 */     // GIR_Coverage, 5876,
     /* 1662158 */     GIR_EraseRootFromParent_Done,
     /* 1662159 */   // Label 22837: @1662159
     /* 1662159 */   GIM_Try, /*On fail goto*//*Label 22838*/ GIMT_Encode4(1662245), // Rule ID 5877 //
     /* 1662164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1662175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1662178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1662181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662210 */     // MIs[0] policy
     /* 1662210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1662223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662244 */     // GIR_Coverage, 5877,
     /* 1662244 */     GIR_EraseRootFromParent_Done,
     /* 1662245 */   // Label 22838: @1662245
     /* 1662245 */   GIM_Try, /*On fail goto*//*Label 22839*/ GIMT_Encode4(1662331), // Rule ID 5880 //
     /* 1662250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662296 */     // MIs[0] policy
     /* 1662296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1662309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662330 */     // GIR_Coverage, 5880,
     /* 1662330 */     GIR_EraseRootFromParent_Done,
     /* 1662331 */   // Label 22839: @1662331
     /* 1662331 */   GIM_Try, /*On fail goto*//*Label 22840*/ GIMT_Encode4(1662417), // Rule ID 5881 //
     /* 1662336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1662347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1662350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1662353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662382 */     // MIs[0] policy
     /* 1662382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_MF2_MASK),
     /* 1662395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662416 */     // GIR_Coverage, 5881,
     /* 1662416 */     GIR_EraseRootFromParent_Done,
     /* 1662417 */   // Label 22840: @1662417
     /* 1662417 */   GIM_Try, /*On fail goto*//*Label 22841*/ GIMT_Encode4(1662503), // Rule ID 5884 //
     /* 1662422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662468 */     // MIs[0] policy
     /* 1662468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1662481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662502 */     // GIR_Coverage, 5884,
     /* 1662502 */     GIR_EraseRootFromParent_Done,
     /* 1662503 */   // Label 22841: @1662503
     /* 1662503 */   GIM_Try, /*On fail goto*//*Label 22842*/ GIMT_Encode4(1662589), // Rule ID 5885 //
     /* 1662508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1662519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1662522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1662525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1662531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662554 */     // MIs[0] policy
     /* 1662554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11157:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1662567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1662585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662588 */     // GIR_Coverage, 5885,
     /* 1662588 */     GIR_EraseRootFromParent_Done,
     /* 1662589 */   // Label 22842: @1662589
     /* 1662589 */   GIM_Try, /*On fail goto*//*Label 22843*/ GIMT_Encode4(1662675), // Rule ID 5888 //
     /* 1662594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1662605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1662608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1662611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662640 */     // MIs[0] policy
     /* 1662640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1662653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662674 */     // GIR_Coverage, 5888,
     /* 1662674 */     GIR_EraseRootFromParent_Done,
     /* 1662675 */   // Label 22843: @1662675
     /* 1662675 */   GIM_Try, /*On fail goto*//*Label 22844*/ GIMT_Encode4(1662761), // Rule ID 5889 //
     /* 1662680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1662691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1662694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1662697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1662703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662726 */     // MIs[0] policy
     /* 1662726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11157:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1662739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1662757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662760 */     // GIR_Coverage, 5889,
     /* 1662760 */     GIR_EraseRootFromParent_Done,
     /* 1662761 */   // Label 22844: @1662761
     /* 1662761 */   GIM_Try, /*On fail goto*//*Label 22845*/ GIMT_Encode4(1662847), // Rule ID 5892 //
     /* 1662766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1662769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662812 */     // MIs[0] policy
     /* 1662812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1662825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662846 */     // GIR_Coverage, 5892,
     /* 1662846 */     GIR_EraseRootFromParent_Done,
     /* 1662847 */   // Label 22845: @1662847
     /* 1662847 */   GIM_Try, /*On fail goto*//*Label 22846*/ GIMT_Encode4(1662933), // Rule ID 5893 //
     /* 1662852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1662855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1662863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1662866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1662869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1662872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1662875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1662878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662898 */     // MIs[0] policy
     /* 1662898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11157:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1662908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1662911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1662915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1662917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1662919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1662921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1662926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1662929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1662931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1662932 */     // GIR_Coverage, 5893,
     /* 1662932 */     GIR_EraseRootFromParent_Done,
     /* 1662933 */   // Label 22846: @1662933
     /* 1662933 */   GIM_Try, /*On fail goto*//*Label 22847*/ GIMT_Encode4(1663019), // Rule ID 5896 //
     /* 1662938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1662941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1662946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1662949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1662952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1662955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1662958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1662961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1662964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1662968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1662976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1662980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1662984 */     // MIs[0] policy
     /* 1662984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1662987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1662994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1662994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1662997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1662999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663018 */     // GIR_Coverage, 5896,
     /* 1663018 */     GIR_EraseRootFromParent_Done,
     /* 1663019 */   // Label 22847: @1663019
     /* 1663019 */   GIM_Try, /*On fail goto*//*Label 22848*/ GIMT_Encode4(1663105), // Rule ID 5897 //
     /* 1663024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1663027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1663035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1663038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1663041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1663047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1663054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1663062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663070 */     // MIs[0] policy
     /* 1663070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11157:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M1_MASK),
     /* 1663083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1663101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663104 */     // GIR_Coverage, 5897,
     /* 1663104 */     GIR_EraseRootFromParent_Done,
     /* 1663105 */   // Label 22848: @1663105
     /* 1663105 */   GIM_Try, /*On fail goto*//*Label 22849*/ GIMT_Encode4(1663191), // Rule ID 5900 //
     /* 1663110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663156 */     // MIs[0] policy
     /* 1663156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663166 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1663169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663190 */     // GIR_Coverage, 5900,
     /* 1663190 */     GIR_EraseRootFromParent_Done,
     /* 1663191 */   // Label 22849: @1663191
     /* 1663191 */   GIM_Try, /*On fail goto*//*Label 22850*/ GIMT_Encode4(1663277), // Rule ID 5901 //
     /* 1663196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1663207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1663210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1663213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663242 */     // MIs[0] policy
     /* 1663242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1663255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663276 */     // GIR_Coverage, 5901,
     /* 1663276 */     GIR_EraseRootFromParent_Done,
     /* 1663277 */   // Label 22850: @1663277
     /* 1663277 */   GIM_Try, /*On fail goto*//*Label 22851*/ GIMT_Encode4(1663363), // Rule ID 5904 //
     /* 1663282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663328 */     // MIs[0] policy
     /* 1663328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663338 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1663341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663362 */     // GIR_Coverage, 5904,
     /* 1663362 */     GIR_EraseRootFromParent_Done,
     /* 1663363 */   // Label 22851: @1663363
     /* 1663363 */   GIM_Try, /*On fail goto*//*Label 22852*/ GIMT_Encode4(1663449), // Rule ID 5905 //
     /* 1663368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1663379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1663382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1663385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663414 */     // MIs[0] policy
     /* 1663414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1663427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663448 */     // GIR_Coverage, 5905,
     /* 1663448 */     GIR_EraseRootFromParent_Done,
     /* 1663449 */   // Label 22852: @1663449
     /* 1663449 */   GIM_Try, /*On fail goto*//*Label 22853*/ GIMT_Encode4(1663535), // Rule ID 5908 //
     /* 1663454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663500 */     // MIs[0] policy
     /* 1663500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663510 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1663513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663534 */     // GIR_Coverage, 5908,
     /* 1663534 */     GIR_EraseRootFromParent_Done,
     /* 1663535 */   // Label 22853: @1663535
     /* 1663535 */   GIM_Try, /*On fail goto*//*Label 22854*/ GIMT_Encode4(1663621), // Rule ID 5909 //
     /* 1663540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1663551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1663554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1663557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1663563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1663570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1663578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663586 */     // MIs[0] policy
     /* 1663586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1663599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1663617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663620 */     // GIR_Coverage, 5909,
     /* 1663620 */     GIR_EraseRootFromParent_Done,
     /* 1663621 */   // Label 22854: @1663621
     /* 1663621 */   GIM_Try, /*On fail goto*//*Label 22855*/ GIMT_Encode4(1663707), // Rule ID 5912 //
     /* 1663626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1663637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1663640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1663643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663672 */     // MIs[0] policy
     /* 1663672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1663685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663706 */     // GIR_Coverage, 5912,
     /* 1663706 */     GIR_EraseRootFromParent_Done,
     /* 1663707 */   // Label 22855: @1663707
     /* 1663707 */   GIM_Try, /*On fail goto*//*Label 22856*/ GIMT_Encode4(1663793), // Rule ID 5913 //
     /* 1663712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1663723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1663726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1663729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1663735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1663742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1663750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663758 */     // MIs[0] policy
     /* 1663758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1663771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663792 */     // GIR_Coverage, 5913,
     /* 1663792 */     GIR_EraseRootFromParent_Done,
     /* 1663793 */   // Label 22856: @1663793
     /* 1663793 */   GIM_Try, /*On fail goto*//*Label 22857*/ GIMT_Encode4(1663879), // Rule ID 5916 //
     /* 1663798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663844 */     // MIs[0] policy
     /* 1663844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663854 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1663854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1663857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663878 */     // GIR_Coverage, 5916,
     /* 1663878 */     GIR_EraseRootFromParent_Done,
     /* 1663879 */   // Label 22857: @1663879
     /* 1663879 */   GIM_Try, /*On fail goto*//*Label 22858*/ GIMT_Encode4(1663965), // Rule ID 5917 //
     /* 1663884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1663887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1663895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1663898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1663901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1663904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1663907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1663910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1663914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1663922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1663926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1663930 */     // MIs[0] policy
     /* 1663930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1663933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1663940 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1663940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1663943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1663945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1663947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1663949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1663951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1663953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1663958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1663961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1663963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1663964 */     // GIR_Coverage, 5917,
     /* 1663964 */     GIR_EraseRootFromParent_Done,
     /* 1663965 */   // Label 22858: @1663965
     /* 1663965 */   GIM_Try, /*On fail goto*//*Label 22859*/ GIMT_Encode4(1664051), // Rule ID 5920 //
     /* 1663970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1663973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1663978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1663981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1663984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1663987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1663990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1663993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1663996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664016 */     // MIs[0] policy
     /* 1664016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1664029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664050 */     // GIR_Coverage, 5920,
     /* 1664050 */     GIR_EraseRootFromParent_Done,
     /* 1664051 */   // Label 22859: @1664051
     /* 1664051 */   GIM_Try, /*On fail goto*//*Label 22860*/ GIMT_Encode4(1664137), // Rule ID 5921 //
     /* 1664056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1664067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1664070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1664073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1664079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664102 */     // MIs[0] policy
     /* 1664102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664112 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1664115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1664133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664136 */     // GIR_Coverage, 5921,
     /* 1664136 */     GIR_EraseRootFromParent_Done,
     /* 1664137 */   // Label 22860: @1664137
     /* 1664137 */   GIM_Try, /*On fail goto*//*Label 22861*/ GIMT_Encode4(1664223), // Rule ID 5924 //
     /* 1664142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664188 */     // MIs[0] policy
     /* 1664188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664198 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1664201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664222 */     // GIR_Coverage, 5924,
     /* 1664222 */     GIR_EraseRootFromParent_Done,
     /* 1664223 */   // Label 22861: @1664223
     /* 1664223 */   GIM_Try, /*On fail goto*//*Label 22862*/ GIMT_Encode4(1664309), // Rule ID 5925 //
     /* 1664228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1664239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1664242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1664245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664274 */     // MIs[0] policy
     /* 1664274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1664287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664308 */     // GIR_Coverage, 5925,
     /* 1664308 */     GIR_EraseRootFromParent_Done,
     /* 1664309 */   // Label 22862: @1664309
     /* 1664309 */   GIM_Try, /*On fail goto*//*Label 22863*/ GIMT_Encode4(1664395), // Rule ID 5928 //
     /* 1664314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664360 */     // MIs[0] policy
     /* 1664360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1664373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664394 */     // GIR_Coverage, 5928,
     /* 1664394 */     GIR_EraseRootFromParent_Done,
     /* 1664395 */   // Label 22863: @1664395
     /* 1664395 */   GIM_Try, /*On fail goto*//*Label 22864*/ GIMT_Encode4(1664481), // Rule ID 5929 //
     /* 1664400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1664411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1664414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1664417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1664423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664446 */     // MIs[0] policy
     /* 1664446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1664459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664480 */     // GIR_Coverage, 5929,
     /* 1664480 */     GIR_EraseRootFromParent_Done,
     /* 1664481 */   // Label 22864: @1664481
     /* 1664481 */   GIM_Try, /*On fail goto*//*Label 22865*/ GIMT_Encode4(1664567), // Rule ID 5932 //
     /* 1664486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1664489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664532 */     // MIs[0] policy
     /* 1664532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1664545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664566 */     // GIR_Coverage, 5932,
     /* 1664566 */     GIR_EraseRootFromParent_Done,
     /* 1664567 */   // Label 22865: @1664567
     /* 1664567 */   GIM_Try, /*On fail goto*//*Label 22866*/ GIMT_Encode4(1664653), // Rule ID 5933 //
     /* 1664572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1664575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1664583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1664586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1664589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1664595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1664602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1664610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664618 */     // MIs[0] policy
     /* 1664618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1664631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1664649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664652 */     // GIR_Coverage, 5933,
     /* 1664652 */     GIR_EraseRootFromParent_Done,
     /* 1664653 */   // Label 22866: @1664653
     /* 1664653 */   GIM_Try, /*On fail goto*//*Label 22867*/ GIMT_Encode4(1664739), // Rule ID 5936 //
     /* 1664658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664704 */     // MIs[0] policy
     /* 1664704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1664717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664738 */     // GIR_Coverage, 5936,
     /* 1664738 */     GIR_EraseRootFromParent_Done,
     /* 1664739 */   // Label 22867: @1664739
     /* 1664739 */   GIM_Try, /*On fail goto*//*Label 22868*/ GIMT_Encode4(1664825), // Rule ID 5937 //
     /* 1664744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1664755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1664758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1664761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1664767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1664774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1664782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664790 */     // MIs[0] policy
     /* 1664790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11157:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M2_MASK),
     /* 1664803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664824 */     // GIR_Coverage, 5937,
     /* 1664824 */     GIR_EraseRootFromParent_Done,
     /* 1664825 */   // Label 22868: @1664825
     /* 1664825 */   GIM_Try, /*On fail goto*//*Label 22869*/ GIMT_Encode4(1664911), // Rule ID 5940 //
     /* 1664830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1664833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1664850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1664856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664876 */     // MIs[0] policy
     /* 1664876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1664886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1664889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664910 */     // GIR_Coverage, 5940,
     /* 1664910 */     GIR_EraseRootFromParent_Done,
     /* 1664911 */   // Label 22869: @1664911
     /* 1664911 */   GIM_Try, /*On fail goto*//*Label 22870*/ GIMT_Encode4(1664997), // Rule ID 5941 //
     /* 1664916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1664919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1664924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1664927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1664930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1664933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1664936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1664939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1664942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1664946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1664954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1664958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1664962 */     // MIs[0] policy
     /* 1664962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1664965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1664972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11157:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1664972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M4_MASK),
     /* 1664975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1664977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1664979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1664981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1664983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1664985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1664990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1664993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1664995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1664996 */     // GIR_Coverage, 5941,
     /* 1664996 */     GIR_EraseRootFromParent_Done,
     /* 1664997 */   // Label 22870: @1664997
     /* 1664997 */   GIM_Try, /*On fail goto*//*Label 22871*/ GIMT_Encode4(1665083), // Rule ID 5944 //
     /* 1665002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1665005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1665010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1665022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665048 */     // MIs[0] policy
     /* 1665048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1665061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665082 */     // GIR_Coverage, 5944,
     /* 1665082 */     GIR_EraseRootFromParent_Done,
     /* 1665083 */   // Label 22871: @1665083
     /* 1665083 */   GIM_Try, /*On fail goto*//*Label 22872*/ GIMT_Encode4(1665169), // Rule ID 5945 //
     /* 1665088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1665091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vand_mask),
     /* 1665096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1665099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1665102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1665105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1665108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1665111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1665118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1665126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1665130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665134 */     // MIs[0] policy
     /* 1665134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665144 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11157:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAND_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAND_VX_M8_MASK),
     /* 1665147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1665165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665168 */     // GIR_Coverage, 5945,
     /* 1665168 */     GIR_EraseRootFromParent_Done,
     /* 1665169 */   // Label 22872: @1665169
     /* 1665169 */   GIM_Try, /*On fail goto*//*Label 22873*/ GIMT_Encode4(1665255), // Rule ID 6036 //
     /* 1665174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1665194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665220 */     // MIs[0] policy
     /* 1665220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1665233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665254 */     // GIR_Coverage, 6036,
     /* 1665254 */     GIR_EraseRootFromParent_Done,
     /* 1665255 */   // Label 22873: @1665255
     /* 1665255 */   GIM_Try, /*On fail goto*//*Label 22874*/ GIMT_Encode4(1665341), // Rule ID 6037 //
     /* 1665260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1665271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1665274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1665277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1665280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665306 */     // MIs[0] policy
     /* 1665306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF8_MASK),
     /* 1665319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665340 */     // GIR_Coverage, 6037,
     /* 1665340 */     GIR_EraseRootFromParent_Done,
     /* 1665341 */   // Label 22874: @1665341
     /* 1665341 */   GIM_Try, /*On fail goto*//*Label 22875*/ GIMT_Encode4(1665427), // Rule ID 6040 //
     /* 1665346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1665366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665392 */     // MIs[0] policy
     /* 1665392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665402 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1665405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665426 */     // GIR_Coverage, 6040,
     /* 1665426 */     GIR_EraseRootFromParent_Done,
     /* 1665427 */   // Label 22875: @1665427
     /* 1665427 */   GIM_Try, /*On fail goto*//*Label 22876*/ GIMT_Encode4(1665513), // Rule ID 6041 //
     /* 1665432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1665443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1665446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1665449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1665452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665478 */     // MIs[0] policy
     /* 1665478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1665491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665512 */     // GIR_Coverage, 6041,
     /* 1665512 */     GIR_EraseRootFromParent_Done,
     /* 1665513 */   // Label 22876: @1665513
     /* 1665513 */   GIM_Try, /*On fail goto*//*Label 22877*/ GIMT_Encode4(1665599), // Rule ID 6044 //
     /* 1665518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1665538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665564 */     // MIs[0] policy
     /* 1665564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665574 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1665577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665598 */     // GIR_Coverage, 6044,
     /* 1665598 */     GIR_EraseRootFromParent_Done,
     /* 1665599 */   // Label 22877: @1665599
     /* 1665599 */   GIM_Try, /*On fail goto*//*Label 22878*/ GIMT_Encode4(1665685), // Rule ID 6045 //
     /* 1665604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1665615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1665618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1665621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1665624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1665627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665650 */     // MIs[0] policy
     /* 1665650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1665663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1665681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665684 */     // GIR_Coverage, 6045,
     /* 1665684 */     GIR_EraseRootFromParent_Done,
     /* 1665685 */   // Label 22878: @1665685
     /* 1665685 */   GIM_Try, /*On fail goto*//*Label 22879*/ GIMT_Encode4(1665771), // Rule ID 6048 //
     /* 1665690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1665710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665736 */     // MIs[0] policy
     /* 1665736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1665749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665770 */     // GIR_Coverage, 6048,
     /* 1665770 */     GIR_EraseRootFromParent_Done,
     /* 1665771 */   // Label 22879: @1665771
     /* 1665771 */   GIM_Try, /*On fail goto*//*Label 22880*/ GIMT_Encode4(1665857), // Rule ID 6049 //
     /* 1665776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1665787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1665790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1665793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1665796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1665799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665822 */     // MIs[0] policy
     /* 1665822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1665832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF4_MASK),
     /* 1665835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665856 */     // GIR_Coverage, 6049,
     /* 1665856 */     GIR_EraseRootFromParent_Done,
     /* 1665857 */   // Label 22880: @1665857
     /* 1665857 */   GIM_Try, /*On fail goto*//*Label 22881*/ GIMT_Encode4(1665943), // Rule ID 6052 //
     /* 1665862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1665865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1665882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1665888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665908 */     // MIs[0] policy
     /* 1665908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1665918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1665918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1665921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1665923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1665925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1665927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1665929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1665931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1665936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1665939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1665941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1665942 */     // GIR_Coverage, 6052,
     /* 1665942 */     GIR_EraseRootFromParent_Done,
     /* 1665943 */   // Label 22881: @1665943
     /* 1665943 */   GIM_Try, /*On fail goto*//*Label 22882*/ GIMT_Encode4(1666029), // Rule ID 6053 //
     /* 1665948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1665951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1665956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1665959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1665962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1665965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1665968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1665971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1665974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1665978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1665990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1665994 */     // MIs[0] policy
     /* 1665994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1665997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1666007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666028 */     // GIR_Coverage, 6053,
     /* 1666028 */     GIR_EraseRootFromParent_Done,
     /* 1666029 */   // Label 22882: @1666029
     /* 1666029 */   GIM_Try, /*On fail goto*//*Label 22883*/ GIMT_Encode4(1666115), // Rule ID 6056 //
     /* 1666034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1666054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666080 */     // MIs[0] policy
     /* 1666080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1666093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666114 */     // GIR_Coverage, 6056,
     /* 1666114 */     GIR_EraseRootFromParent_Done,
     /* 1666115 */   // Label 22883: @1666115
     /* 1666115 */   GIM_Try, /*On fail goto*//*Label 22884*/ GIMT_Encode4(1666201), // Rule ID 6057 //
     /* 1666120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1666131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1666134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1666137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1666140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666166 */     // MIs[0] policy
     /* 1666166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_MF2_MASK),
     /* 1666179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666200 */     // GIR_Coverage, 6057,
     /* 1666200 */     GIR_EraseRootFromParent_Done,
     /* 1666201 */   // Label 22884: @1666201
     /* 1666201 */   GIM_Try, /*On fail goto*//*Label 22885*/ GIMT_Encode4(1666287), // Rule ID 6060 //
     /* 1666206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1666226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666252 */     // MIs[0] policy
     /* 1666252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666262 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1666265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666286 */     // GIR_Coverage, 6060,
     /* 1666286 */     GIR_EraseRootFromParent_Done,
     /* 1666287 */   // Label 22885: @1666287
     /* 1666287 */   GIM_Try, /*On fail goto*//*Label 22886*/ GIMT_Encode4(1666373), // Rule ID 6061 //
     /* 1666292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1666303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1666306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1666309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1666312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1666315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666338 */     // MIs[0] policy
     /* 1666338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1666351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666372 */     // GIR_Coverage, 6061,
     /* 1666372 */     GIR_EraseRootFromParent_Done,
     /* 1666373 */   // Label 22886: @1666373
     /* 1666373 */   GIM_Try, /*On fail goto*//*Label 22887*/ GIMT_Encode4(1666459), // Rule ID 6064 //
     /* 1666378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1666398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666424 */     // MIs[0] policy
     /* 1666424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666434 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1666437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666458 */     // GIR_Coverage, 6064,
     /* 1666458 */     GIR_EraseRootFromParent_Done,
     /* 1666459 */   // Label 22887: @1666459
     /* 1666459 */   GIM_Try, /*On fail goto*//*Label 22888*/ GIMT_Encode4(1666545), // Rule ID 6065 //
     /* 1666464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1666475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1666478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1666481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1666484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1666487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666510 */     // MIs[0] policy
     /* 1666510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1666523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1666541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666544 */     // GIR_Coverage, 6065,
     /* 1666544 */     GIR_EraseRootFromParent_Done,
     /* 1666545 */   // Label 22888: @1666545
     /* 1666545 */   GIM_Try, /*On fail goto*//*Label 22889*/ GIMT_Encode4(1666631), // Rule ID 6068 //
     /* 1666550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1666570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666596 */     // MIs[0] policy
     /* 1666596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1666609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666630 */     // GIR_Coverage, 6068,
     /* 1666630 */     GIR_EraseRootFromParent_Done,
     /* 1666631 */   // Label 22889: @1666631
     /* 1666631 */   GIM_Try, /*On fail goto*//*Label 22890*/ GIMT_Encode4(1666717), // Rule ID 6069 //
     /* 1666636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1666647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1666650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1666653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1666656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1666659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666682 */     // MIs[0] policy
     /* 1666682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1666695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1666713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666716 */     // GIR_Coverage, 6069,
     /* 1666716 */     GIR_EraseRootFromParent_Done,
     /* 1666717 */   // Label 22890: @1666717
     /* 1666717 */   GIM_Try, /*On fail goto*//*Label 22891*/ GIMT_Encode4(1666803), // Rule ID 6072 //
     /* 1666722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1666725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1666742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666768 */     // MIs[0] policy
     /* 1666768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666778 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1666781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666802 */     // GIR_Coverage, 6072,
     /* 1666802 */     GIR_EraseRootFromParent_Done,
     /* 1666803 */   // Label 22891: @1666803
     /* 1666803 */   GIM_Try, /*On fail goto*//*Label 22892*/ GIMT_Encode4(1666889), // Rule ID 6073 //
     /* 1666808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1666811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1666819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1666822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1666825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1666828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1666831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1666834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1666838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1666850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666854 */     // MIs[0] policy
     /* 1666854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666864 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1666864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M1_MASK),
     /* 1666867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1666885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666888 */     // GIR_Coverage, 6073,
     /* 1666888 */     GIR_EraseRootFromParent_Done,
     /* 1666889 */   // Label 22892: @1666889
     /* 1666889 */   GIM_Try, /*On fail goto*//*Label 22893*/ GIMT_Encode4(1666975), // Rule ID 6076 //
     /* 1666894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1666897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1666914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1666917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1666920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1666924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1666936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1666940 */     // MIs[0] policy
     /* 1666940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1666943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1666950 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1666950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1666953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1666955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1666957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1666959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1666961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1666963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1666968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1666971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1666973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1666974 */     // GIR_Coverage, 6076,
     /* 1666974 */     GIR_EraseRootFromParent_Done,
     /* 1666975 */   // Label 22893: @1666975
     /* 1666975 */   GIM_Try, /*On fail goto*//*Label 22894*/ GIMT_Encode4(1667061), // Rule ID 6077 //
     /* 1666980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1666983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1666988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1666991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1666994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1666997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1667000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667026 */     // MIs[0] policy
     /* 1667026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667036 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1667039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667060 */     // GIR_Coverage, 6077,
     /* 1667060 */     GIR_EraseRootFromParent_Done,
     /* 1667061 */   // Label 22894: @1667061
     /* 1667061 */   GIM_Try, /*On fail goto*//*Label 22895*/ GIMT_Encode4(1667147), // Rule ID 6080 //
     /* 1667066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1667086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667112 */     // MIs[0] policy
     /* 1667112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667122 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1667125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667146 */     // GIR_Coverage, 6080,
     /* 1667146 */     GIR_EraseRootFromParent_Done,
     /* 1667147 */   // Label 22895: @1667147
     /* 1667147 */   GIM_Try, /*On fail goto*//*Label 22896*/ GIMT_Encode4(1667233), // Rule ID 6081 //
     /* 1667152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1667163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1667166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1667169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1667172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667198 */     // MIs[0] policy
     /* 1667198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667208 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1667211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667232 */     // GIR_Coverage, 6081,
     /* 1667232 */     GIR_EraseRootFromParent_Done,
     /* 1667233 */   // Label 22896: @1667233
     /* 1667233 */   GIM_Try, /*On fail goto*//*Label 22897*/ GIMT_Encode4(1667319), // Rule ID 6084 //
     /* 1667238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1667258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667284 */     // MIs[0] policy
     /* 1667284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667294 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1667297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667318 */     // GIR_Coverage, 6084,
     /* 1667318 */     GIR_EraseRootFromParent_Done,
     /* 1667319 */   // Label 22897: @1667319
     /* 1667319 */   GIM_Try, /*On fail goto*//*Label 22898*/ GIMT_Encode4(1667405), // Rule ID 6085 //
     /* 1667324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1667335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1667338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1667341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1667344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1667347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667370 */     // MIs[0] policy
     /* 1667370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667380 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1667383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1667401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667404 */     // GIR_Coverage, 6085,
     /* 1667404 */     GIR_EraseRootFromParent_Done,
     /* 1667405 */   // Label 22898: @1667405
     /* 1667405 */   GIM_Try, /*On fail goto*//*Label 22899*/ GIMT_Encode4(1667491), // Rule ID 6088 //
     /* 1667410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1667430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667456 */     // MIs[0] policy
     /* 1667456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667466 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1667469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667490 */     // GIR_Coverage, 6088,
     /* 1667490 */     GIR_EraseRootFromParent_Done,
     /* 1667491 */   // Label 22899: @1667491
     /* 1667491 */   GIM_Try, /*On fail goto*//*Label 22900*/ GIMT_Encode4(1667577), // Rule ID 6089 //
     /* 1667496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1667507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1667510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1667513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1667516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1667519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667542 */     // MIs[0] policy
     /* 1667542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667552 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1667555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667576 */     // GIR_Coverage, 6089,
     /* 1667576 */     GIR_EraseRootFromParent_Done,
     /* 1667577 */   // Label 22900: @1667577
     /* 1667577 */   GIM_Try, /*On fail goto*//*Label 22901*/ GIMT_Encode4(1667663), // Rule ID 6092 //
     /* 1667582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1667602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667628 */     // MIs[0] policy
     /* 1667628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667638 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1667641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667662 */     // GIR_Coverage, 6092,
     /* 1667662 */     GIR_EraseRootFromParent_Done,
     /* 1667663 */   // Label 22901: @1667663
     /* 1667663 */   GIM_Try, /*On fail goto*//*Label 22902*/ GIMT_Encode4(1667749), // Rule ID 6093 //
     /* 1667668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1667679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1667682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1667685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1667688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1667691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1667698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1667710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667714 */     // MIs[0] policy
     /* 1667714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667724 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1667727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667748 */     // GIR_Coverage, 6093,
     /* 1667748 */     GIR_EraseRootFromParent_Done,
     /* 1667749 */   // Label 22902: @1667749
     /* 1667749 */   GIM_Try, /*On fail goto*//*Label 22903*/ GIMT_Encode4(1667835), // Rule ID 6096 //
     /* 1667754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1667774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667800 */     // MIs[0] policy
     /* 1667800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667810 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1667813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667834 */     // GIR_Coverage, 6096,
     /* 1667834 */     GIR_EraseRootFromParent_Done,
     /* 1667835 */   // Label 22903: @1667835
     /* 1667835 */   GIM_Try, /*On fail goto*//*Label 22904*/ GIMT_Encode4(1667921), // Rule ID 6097 //
     /* 1667840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1667843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1667851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1667854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1667857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1667860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1667863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1667866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1667870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1667882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667886 */     // MIs[0] policy
     /* 1667886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667896 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1667896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1667899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1667914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1667917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1667919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1667920 */     // GIR_Coverage, 6097,
     /* 1667920 */     GIR_EraseRootFromParent_Done,
     /* 1667921 */   // Label 22904: @1667921
     /* 1667921 */   GIM_Try, /*On fail goto*//*Label 22905*/ GIMT_Encode4(1668007), // Rule ID 6100 //
     /* 1667926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1667929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1667934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1667937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1667940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1667943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1667946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1667949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1667952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1667956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1667968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1667972 */     // MIs[0] policy
     /* 1667972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1667975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1667982 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1667982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1667985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1667987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1667989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1667991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1667993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1667995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668006 */     // GIR_Coverage, 6100,
     /* 1668006 */     GIR_EraseRootFromParent_Done,
     /* 1668007 */   // Label 22905: @1668007
     /* 1668007 */   GIM_Try, /*On fail goto*//*Label 22906*/ GIMT_Encode4(1668093), // Rule ID 6101 //
     /* 1668012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1668023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1668026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1668029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1668032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668058 */     // MIs[0] policy
     /* 1668058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668068 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1668071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668092 */     // GIR_Coverage, 6101,
     /* 1668092 */     GIR_EraseRootFromParent_Done,
     /* 1668093 */   // Label 22906: @1668093
     /* 1668093 */   GIM_Try, /*On fail goto*//*Label 22907*/ GIMT_Encode4(1668179), // Rule ID 6104 //
     /* 1668098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1668118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668144 */     // MIs[0] policy
     /* 1668144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668154 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1668157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668178 */     // GIR_Coverage, 6104,
     /* 1668178 */     GIR_EraseRootFromParent_Done,
     /* 1668179 */   // Label 22907: @1668179
     /* 1668179 */   GIM_Try, /*On fail goto*//*Label 22908*/ GIMT_Encode4(1668265), // Rule ID 6105 //
     /* 1668184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1668195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1668198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1668201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1668204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668230 */     // MIs[0] policy
     /* 1668230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668240 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1668243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668264 */     // GIR_Coverage, 6105,
     /* 1668264 */     GIR_EraseRootFromParent_Done,
     /* 1668265 */   // Label 22908: @1668265
     /* 1668265 */   GIM_Try, /*On fail goto*//*Label 22909*/ GIMT_Encode4(1668351), // Rule ID 6108 //
     /* 1668270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1668290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668316 */     // MIs[0] policy
     /* 1668316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668326 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1668329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668350 */     // GIR_Coverage, 6108,
     /* 1668350 */     GIR_EraseRootFromParent_Done,
     /* 1668351 */   // Label 22909: @1668351
     /* 1668351 */   GIM_Try, /*On fail goto*//*Label 22910*/ GIMT_Encode4(1668437), // Rule ID 6109 //
     /* 1668356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1668359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1668367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1668370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1668373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1668376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1668379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668402 */     // MIs[0] policy
     /* 1668402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668412 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1668415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1668433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668436 */     // GIR_Coverage, 6109,
     /* 1668436 */     GIR_EraseRootFromParent_Done,
     /* 1668437 */   // Label 22910: @1668437
     /* 1668437 */   GIM_Try, /*On fail goto*//*Label 22911*/ GIMT_Encode4(1668523), // Rule ID 6112 //
     /* 1668442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1668462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668488 */     // MIs[0] policy
     /* 1668488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668498 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1668501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668522 */     // GIR_Coverage, 6112,
     /* 1668522 */     GIR_EraseRootFromParent_Done,
     /* 1668523 */   // Label 22911: @1668523
     /* 1668523 */   GIM_Try, /*On fail goto*//*Label 22912*/ GIMT_Encode4(1668609), // Rule ID 6113 //
     /* 1668528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1668539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1668542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1668545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1668548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1668551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1668558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1668570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668574 */     // MIs[0] policy
     /* 1668574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668584 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M2_MASK),
     /* 1668587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668608 */     // GIR_Coverage, 6113,
     /* 1668608 */     GIR_EraseRootFromParent_Done,
     /* 1668609 */   // Label 22912: @1668609
     /* 1668609 */   GIM_Try, /*On fail goto*//*Label 22913*/ GIMT_Encode4(1668695), // Rule ID 6116 //
     /* 1668614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1668634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668660 */     // MIs[0] policy
     /* 1668660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668670 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1668673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668694 */     // GIR_Coverage, 6116,
     /* 1668694 */     GIR_EraseRootFromParent_Done,
     /* 1668695 */   // Label 22913: @1668695
     /* 1668695 */   GIM_Try, /*On fail goto*//*Label 22914*/ GIMT_Encode4(1668781), // Rule ID 6117 //
     /* 1668700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1668711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1668714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1668717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1668720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1668723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1668730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1668742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668746 */     // MIs[0] policy
     /* 1668746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668756 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M4_MASK),
     /* 1668759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668780 */     // GIR_Coverage, 6117,
     /* 1668780 */     GIR_EraseRootFromParent_Done,
     /* 1668781 */   // Label 22914: @1668781
     /* 1668781 */   GIM_Try, /*On fail goto*//*Label 22915*/ GIMT_Encode4(1668867), // Rule ID 6120 //
     /* 1668786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1668789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1668806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668832 */     // MIs[0] policy
     /* 1668832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668842 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1668842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1668845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668866 */     // GIR_Coverage, 6120,
     /* 1668866 */     GIR_EraseRootFromParent_Done,
     /* 1668867 */   // Label 22915: @1668867
     /* 1668867 */   GIM_Try, /*On fail goto*//*Label 22916*/ GIMT_Encode4(1668953), // Rule ID 6121 //
     /* 1668872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1668875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1668883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1668886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1668889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1668892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1668895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1668898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1668902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1668914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1668918 */     // MIs[0] policy
     /* 1668918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1668921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1668928 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1668928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VV_M8_MASK),
     /* 1668931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1668933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1668935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1668937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1668939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1668941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1668946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1668949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1668951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1668952 */     // GIR_Coverage, 6121,
     /* 1668952 */     GIR_EraseRootFromParent_Done,
     /* 1668953 */   // Label 22916: @1668953
     /* 1668953 */   GIM_Try, /*On fail goto*//*Label 22917*/ GIMT_Encode4(1669039), // Rule ID 6124 //
     /* 1668958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1668961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1668966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1668969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1668972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1668975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1668978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1668981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1668984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1668988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1668996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669004 */     // MIs[0] policy
     /* 1669004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669014 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1669017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669038 */     // GIR_Coverage, 6124,
     /* 1669038 */     GIR_EraseRootFromParent_Done,
     /* 1669039 */   // Label 22917: @1669039
     /* 1669039 */   GIM_Try, /*On fail goto*//*Label 22918*/ GIMT_Encode4(1669125), // Rule ID 6125 //
     /* 1669044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1669055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1669058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1669061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669090 */     // MIs[0] policy
     /* 1669090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669100 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF8_MASK),
     /* 1669103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669124 */     // GIR_Coverage, 6125,
     /* 1669124 */     GIR_EraseRootFromParent_Done,
     /* 1669125 */   // Label 22918: @1669125
     /* 1669125 */   GIM_Try, /*On fail goto*//*Label 22919*/ GIMT_Encode4(1669211), // Rule ID 6128 //
     /* 1669130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669176 */     // MIs[0] policy
     /* 1669176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669186 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1669189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669210 */     // GIR_Coverage, 6128,
     /* 1669210 */     GIR_EraseRootFromParent_Done,
     /* 1669211 */   // Label 22919: @1669211
     /* 1669211 */   GIM_Try, /*On fail goto*//*Label 22920*/ GIMT_Encode4(1669297), // Rule ID 6129 //
     /* 1669216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1669227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1669230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1669233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669262 */     // MIs[0] policy
     /* 1669262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1669275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669296 */     // GIR_Coverage, 6129,
     /* 1669296 */     GIR_EraseRootFromParent_Done,
     /* 1669297 */   // Label 22920: @1669297
     /* 1669297 */   GIM_Try, /*On fail goto*//*Label 22921*/ GIMT_Encode4(1669383), // Rule ID 6132 //
     /* 1669302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669348 */     // MIs[0] policy
     /* 1669348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669358 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1669361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669382 */     // GIR_Coverage, 6132,
     /* 1669382 */     GIR_EraseRootFromParent_Done,
     /* 1669383 */   // Label 22921: @1669383
     /* 1669383 */   GIM_Try, /*On fail goto*//*Label 22922*/ GIMT_Encode4(1669469), // Rule ID 6133 //
     /* 1669388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1669399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1669402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1669405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1669411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669434 */     // MIs[0] policy
     /* 1669434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669444 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1669447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1669465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669468 */     // GIR_Coverage, 6133,
     /* 1669468 */     GIR_EraseRootFromParent_Done,
     /* 1669469 */   // Label 22922: @1669469
     /* 1669469 */   GIM_Try, /*On fail goto*//*Label 22923*/ GIMT_Encode4(1669555), // Rule ID 6136 //
     /* 1669474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669520 */     // MIs[0] policy
     /* 1669520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669530 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1669533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669554 */     // GIR_Coverage, 6136,
     /* 1669554 */     GIR_EraseRootFromParent_Done,
     /* 1669555 */   // Label 22923: @1669555
     /* 1669555 */   GIM_Try, /*On fail goto*//*Label 22924*/ GIMT_Encode4(1669641), // Rule ID 6137 //
     /* 1669560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1669571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1669574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1669577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669606 */     // MIs[0] policy
     /* 1669606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669616 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF4_MASK),
     /* 1669619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669640 */     // GIR_Coverage, 6137,
     /* 1669640 */     GIR_EraseRootFromParent_Done,
     /* 1669641 */   // Label 22924: @1669641
     /* 1669641 */   GIM_Try, /*On fail goto*//*Label 22925*/ GIMT_Encode4(1669727), // Rule ID 6140 //
     /* 1669646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669692 */     // MIs[0] policy
     /* 1669692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1669705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669726 */     // GIR_Coverage, 6140,
     /* 1669726 */     GIR_EraseRootFromParent_Done,
     /* 1669727 */   // Label 22925: @1669727
     /* 1669727 */   GIM_Try, /*On fail goto*//*Label 22926*/ GIMT_Encode4(1669813), // Rule ID 6141 //
     /* 1669732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1669743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1669746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1669749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1669755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669778 */     // MIs[0] policy
     /* 1669778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669788 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1669791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1669809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669812 */     // GIR_Coverage, 6141,
     /* 1669812 */     GIR_EraseRootFromParent_Done,
     /* 1669813 */   // Label 22926: @1669813
     /* 1669813 */   GIM_Try, /*On fail goto*//*Label 22927*/ GIMT_Encode4(1669899), // Rule ID 6144 //
     /* 1669818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1669838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1669844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669864 */     // MIs[0] policy
     /* 1669864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669874 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1669874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1669877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669898 */     // GIR_Coverage, 6144,
     /* 1669898 */     GIR_EraseRootFromParent_Done,
     /* 1669899 */   // Label 22927: @1669899
     /* 1669899 */   GIM_Try, /*On fail goto*//*Label 22928*/ GIMT_Encode4(1669985), // Rule ID 6145 //
     /* 1669904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1669907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1669915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1669918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1669921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1669924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1669927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1669930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1669934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1669942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1669946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1669950 */     // MIs[0] policy
     /* 1669950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1669953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1669960 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1669960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_MF2_MASK),
     /* 1669963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1669965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1669967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1669969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1669971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1669973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1669978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1669981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1669983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1669984 */     // GIR_Coverage, 6145,
     /* 1669984 */     GIR_EraseRootFromParent_Done,
     /* 1669985 */   // Label 22928: @1669985
     /* 1669985 */   GIM_Try, /*On fail goto*//*Label 22929*/ GIMT_Encode4(1670071), // Rule ID 6148 //
     /* 1669990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1669993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1669998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670036 */     // MIs[0] policy
     /* 1670036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670046 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1670049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670070 */     // GIR_Coverage, 6148,
     /* 1670070 */     GIR_EraseRootFromParent_Done,
     /* 1670071 */   // Label 22929: @1670071
     /* 1670071 */   GIM_Try, /*On fail goto*//*Label 22930*/ GIMT_Encode4(1670157), // Rule ID 6149 //
     /* 1670076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1670087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1670090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1670093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1670099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670122 */     // MIs[0] policy
     /* 1670122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11496:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1670135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670156 */     // GIR_Coverage, 6149,
     /* 1670156 */     GIR_EraseRootFromParent_Done,
     /* 1670157 */   // Label 22930: @1670157
     /* 1670157 */   GIM_Try, /*On fail goto*//*Label 22931*/ GIMT_Encode4(1670243), // Rule ID 6152 //
     /* 1670162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670208 */     // MIs[0] policy
     /* 1670208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670218 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1670221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670242 */     // GIR_Coverage, 6152,
     /* 1670242 */     GIR_EraseRootFromParent_Done,
     /* 1670243 */   // Label 22931: @1670243
     /* 1670243 */   GIM_Try, /*On fail goto*//*Label 22932*/ GIMT_Encode4(1670329), // Rule ID 6153 //
     /* 1670248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1670259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1670262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1670265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1670271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670294 */     // MIs[0] policy
     /* 1670294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670304 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11496:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1670307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1670325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670328 */     // GIR_Coverage, 6153,
     /* 1670328 */     GIR_EraseRootFromParent_Done,
     /* 1670329 */   // Label 22932: @1670329
     /* 1670329 */   GIM_Try, /*On fail goto*//*Label 22933*/ GIMT_Encode4(1670415), // Rule ID 6156 //
     /* 1670334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670380 */     // MIs[0] policy
     /* 1670380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670390 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1670393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670414 */     // GIR_Coverage, 6156,
     /* 1670414 */     GIR_EraseRootFromParent_Done,
     /* 1670415 */   // Label 22933: @1670415
     /* 1670415 */   GIM_Try, /*On fail goto*//*Label 22934*/ GIMT_Encode4(1670501), // Rule ID 6157 //
     /* 1670420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1670431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1670434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1670437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1670443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670466 */     // MIs[0] policy
     /* 1670466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670476 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11496:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1670479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1670497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670500 */     // GIR_Coverage, 6157,
     /* 1670500 */     GIR_EraseRootFromParent_Done,
     /* 1670501 */   // Label 22934: @1670501
     /* 1670501 */   GIM_Try, /*On fail goto*//*Label 22935*/ GIMT_Encode4(1670587), // Rule ID 6160 //
     /* 1670506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1670509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670552 */     // MIs[0] policy
     /* 1670552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670562 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1670565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670586 */     // GIR_Coverage, 6160,
     /* 1670586 */     GIR_EraseRootFromParent_Done,
     /* 1670587 */   // Label 22935: @1670587
     /* 1670587 */   GIM_Try, /*On fail goto*//*Label 22936*/ GIMT_Encode4(1670673), // Rule ID 6161 //
     /* 1670592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1670595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1670603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1670606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1670609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1670615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1670622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1670630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670638 */     // MIs[0] policy
     /* 1670638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670648 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11496:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M1_MASK),
     /* 1670651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1670669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670672 */     // GIR_Coverage, 6161,
     /* 1670672 */     GIR_EraseRootFromParent_Done,
     /* 1670673 */   // Label 22936: @1670673
     /* 1670673 */   GIM_Try, /*On fail goto*//*Label 22937*/ GIMT_Encode4(1670759), // Rule ID 6164 //
     /* 1670678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670724 */     // MIs[0] policy
     /* 1670724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670734 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1670737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670758 */     // GIR_Coverage, 6164,
     /* 1670758 */     GIR_EraseRootFromParent_Done,
     /* 1670759 */   // Label 22937: @1670759
     /* 1670759 */   GIM_Try, /*On fail goto*//*Label 22938*/ GIMT_Encode4(1670845), // Rule ID 6165 //
     /* 1670764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1670775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1670778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1670781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1670787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1670794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1670802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670810 */     // MIs[0] policy
     /* 1670810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670820 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1670823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670844 */     // GIR_Coverage, 6165,
     /* 1670844 */     GIR_EraseRootFromParent_Done,
     /* 1670845 */   // Label 22938: @1670845
     /* 1670845 */   GIM_Try, /*On fail goto*//*Label 22939*/ GIMT_Encode4(1670931), // Rule ID 6168 //
     /* 1670850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1670853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1670870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1670876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670896 */     // MIs[0] policy
     /* 1670896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670906 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1670906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1670909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1670915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1670917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1670919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1670924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1670927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1670929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1670930 */     // GIR_Coverage, 6168,
     /* 1670930 */     GIR_EraseRootFromParent_Done,
     /* 1670931 */   // Label 22939: @1670931
     /* 1670931 */   GIM_Try, /*On fail goto*//*Label 22940*/ GIMT_Encode4(1671017), // Rule ID 6169 //
     /* 1670936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1670939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1670944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1670947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1670950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1670953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1670956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1670959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1670962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1670966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1670974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1670978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1670982 */     // MIs[0] policy
     /* 1670982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1670985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1670992 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1670992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1670995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1670997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1670999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671016 */     // GIR_Coverage, 6169,
     /* 1671016 */     GIR_EraseRootFromParent_Done,
     /* 1671017 */   // Label 22940: @1671017
     /* 1671017 */   GIM_Try, /*On fail goto*//*Label 22941*/ GIMT_Encode4(1671103), // Rule ID 6172 //
     /* 1671022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671068 */     // MIs[0] policy
     /* 1671068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671078 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1671081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671102 */     // GIR_Coverage, 6172,
     /* 1671102 */     GIR_EraseRootFromParent_Done,
     /* 1671103 */   // Label 22941: @1671103
     /* 1671103 */   GIM_Try, /*On fail goto*//*Label 22942*/ GIMT_Encode4(1671189), // Rule ID 6173 //
     /* 1671108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1671119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1671122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1671125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1671131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671154 */     // MIs[0] policy
     /* 1671154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671164 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1671167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1671185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671188 */     // GIR_Coverage, 6173,
     /* 1671188 */     GIR_EraseRootFromParent_Done,
     /* 1671189 */   // Label 22942: @1671189
     /* 1671189 */   GIM_Try, /*On fail goto*//*Label 22943*/ GIMT_Encode4(1671275), // Rule ID 6176 //
     /* 1671194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671240 */     // MIs[0] policy
     /* 1671240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671250 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1671253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671274 */     // GIR_Coverage, 6176,
     /* 1671274 */     GIR_EraseRootFromParent_Done,
     /* 1671275 */   // Label 22943: @1671275
     /* 1671275 */   GIM_Try, /*On fail goto*//*Label 22944*/ GIMT_Encode4(1671361), // Rule ID 6177 //
     /* 1671280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1671291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1671294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1671297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671326 */     // MIs[0] policy
     /* 1671326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671336 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1671339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671360 */     // GIR_Coverage, 6177,
     /* 1671360 */     GIR_EraseRootFromParent_Done,
     /* 1671361 */   // Label 22944: @1671361
     /* 1671361 */   GIM_Try, /*On fail goto*//*Label 22945*/ GIMT_Encode4(1671447), // Rule ID 6180 //
     /* 1671366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671412 */     // MIs[0] policy
     /* 1671412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671422 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1671425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671446 */     // GIR_Coverage, 6180,
     /* 1671446 */     GIR_EraseRootFromParent_Done,
     /* 1671447 */   // Label 22945: @1671447
     /* 1671447 */   GIM_Try, /*On fail goto*//*Label 22946*/ GIMT_Encode4(1671533), // Rule ID 6181 //
     /* 1671452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1671463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1671466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1671469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1671475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671498 */     // MIs[0] policy
     /* 1671498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671508 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1671511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671532 */     // GIR_Coverage, 6181,
     /* 1671532 */     GIR_EraseRootFromParent_Done,
     /* 1671533 */   // Label 22946: @1671533
     /* 1671533 */   GIM_Try, /*On fail goto*//*Label 22947*/ GIMT_Encode4(1671619), // Rule ID 6184 //
     /* 1671538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671584 */     // MIs[0] policy
     /* 1671584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671594 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1671597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671618 */     // GIR_Coverage, 6184,
     /* 1671618 */     GIR_EraseRootFromParent_Done,
     /* 1671619 */   // Label 22947: @1671619
     /* 1671619 */   GIM_Try, /*On fail goto*//*Label 22948*/ GIMT_Encode4(1671705), // Rule ID 6185 //
     /* 1671624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1671635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1671638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1671641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1671647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1671654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1671662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671670 */     // MIs[0] policy
     /* 1671670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671680 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1671683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1671701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671704 */     // GIR_Coverage, 6185,
     /* 1671704 */     GIR_EraseRootFromParent_Done,
     /* 1671705 */   // Label 22948: @1671705
     /* 1671705 */   GIM_Try, /*On fail goto*//*Label 22949*/ GIMT_Encode4(1671791), // Rule ID 6188 //
     /* 1671710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671756 */     // MIs[0] policy
     /* 1671756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671766 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1671769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671790 */     // GIR_Coverage, 6188,
     /* 1671790 */     GIR_EraseRootFromParent_Done,
     /* 1671791 */   // Label 22949: @1671791
     /* 1671791 */   GIM_Try, /*On fail goto*//*Label 22950*/ GIMT_Encode4(1671877), // Rule ID 6189 //
     /* 1671796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1671807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1671810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1671813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1671819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1671826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1671834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671842 */     // MIs[0] policy
     /* 1671842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671852 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1671852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1671855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671876 */     // GIR_Coverage, 6189,
     /* 1671876 */     GIR_EraseRootFromParent_Done,
     /* 1671877 */   // Label 22950: @1671877
     /* 1671877 */   GIM_Try, /*On fail goto*//*Label 22951*/ GIMT_Encode4(1671963), // Rule ID 6192 //
     /* 1671882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1671885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1671902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1671908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1671920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1671924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1671928 */     // MIs[0] policy
     /* 1671928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1671931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1671938 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1671938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1671941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1671943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1671945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1671947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1671949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1671951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1671956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1671959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1671961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1671962 */     // GIR_Coverage, 6192,
     /* 1671962 */     GIR_EraseRootFromParent_Done,
     /* 1671963 */   // Label 22951: @1671963
     /* 1671963 */   GIM_Try, /*On fail goto*//*Label 22952*/ GIMT_Encode4(1672049), // Rule ID 6193 //
     /* 1671968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1671971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1671976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1671979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1671982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1671985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1671988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1671991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1671994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1671998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672014 */     // MIs[0] policy
     /* 1672014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672024 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1672027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672048 */     // GIR_Coverage, 6193,
     /* 1672048 */     GIR_EraseRootFromParent_Done,
     /* 1672049 */   // Label 22952: @1672049
     /* 1672049 */   GIM_Try, /*On fail goto*//*Label 22953*/ GIMT_Encode4(1672135), // Rule ID 6196 //
     /* 1672054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1672062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672100 */     // MIs[0] policy
     /* 1672100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672110 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1672113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672134 */     // GIR_Coverage, 6196,
     /* 1672134 */     GIR_EraseRootFromParent_Done,
     /* 1672135 */   // Label 22953: @1672135
     /* 1672135 */   GIM_Try, /*On fail goto*//*Label 22954*/ GIMT_Encode4(1672221), // Rule ID 6197 //
     /* 1672140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1672148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1672151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1672154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1672157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1672163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672186 */     // MIs[0] policy
     /* 1672186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672196 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1672199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1672217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672220 */     // GIR_Coverage, 6197,
     /* 1672220 */     GIR_EraseRootFromParent_Done,
     /* 1672221 */   // Label 22954: @1672221
     /* 1672221 */   GIM_Try, /*On fail goto*//*Label 22955*/ GIMT_Encode4(1672307), // Rule ID 6200 //
     /* 1672226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1672234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672272 */     // MIs[0] policy
     /* 1672272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672282 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1672285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672306 */     // GIR_Coverage, 6200,
     /* 1672306 */     GIR_EraseRootFromParent_Done,
     /* 1672307 */   // Label 22955: @1672307
     /* 1672307 */   GIM_Try, /*On fail goto*//*Label 22956*/ GIMT_Encode4(1672393), // Rule ID 6201 //
     /* 1672312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1672320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1672323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1672326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1672329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1672342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1672350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672358 */     // MIs[0] policy
     /* 1672358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672368 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11496:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M2_MASK),
     /* 1672371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672392 */     // GIR_Coverage, 6201,
     /* 1672392 */     GIR_EraseRootFromParent_Done,
     /* 1672393 */   // Label 22956: @1672393
     /* 1672393 */   GIM_Try, /*On fail goto*//*Label 22957*/ GIMT_Encode4(1672479), // Rule ID 6204 //
     /* 1672398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1672406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672444 */     // MIs[0] policy
     /* 1672444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672454 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1672457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672478 */     // GIR_Coverage, 6204,
     /* 1672478 */     GIR_EraseRootFromParent_Done,
     /* 1672479 */   // Label 22957: @1672479
     /* 1672479 */   GIM_Try, /*On fail goto*//*Label 22958*/ GIMT_Encode4(1672565), // Rule ID 6205 //
     /* 1672484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1672492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1672495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1672498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1672501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1672507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1672514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1672522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672530 */     // MIs[0] policy
     /* 1672530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672540 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11496:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M4_MASK),
     /* 1672543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672564 */     // GIR_Coverage, 6205,
     /* 1672564 */     GIR_EraseRootFromParent_Done,
     /* 1672565 */   // Label 22958: @1672565
     /* 1672565 */   GIM_Try, /*On fail goto*//*Label 22959*/ GIMT_Encode4(1672651), // Rule ID 6208 //
     /* 1672570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1672573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1672578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1672590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672616 */     // MIs[0] policy
     /* 1672616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672626 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1672629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672650 */     // GIR_Coverage, 6208,
     /* 1672650 */     GIR_EraseRootFromParent_Done,
     /* 1672651 */   // Label 22959: @1672651
     /* 1672651 */   GIM_Try, /*On fail goto*//*Label 22960*/ GIMT_Encode4(1672737), // Rule ID 6209 //
     /* 1672656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1672659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vor_mask),
     /* 1672664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1672667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1672670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1672673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1672676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1672679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1672686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1672694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1672698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672702 */     // MIs[0] policy
     /* 1672702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672712 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11496:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVOR_VX_M8_MASK),
     /* 1672715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1672733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672736 */     // GIR_Coverage, 6209,
     /* 1672736 */     GIR_EraseRootFromParent_Done,
     /* 1672737 */   // Label 22960: @1672737
     /* 1672737 */   GIM_Try, /*On fail goto*//*Label 22961*/ GIMT_Encode4(1672823), // Rule ID 6300 //
     /* 1672742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1672762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672788 */     // MIs[0] policy
     /* 1672788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672798 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1672801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672822 */     // GIR_Coverage, 6300,
     /* 1672822 */     GIR_EraseRootFromParent_Done,
     /* 1672823 */   // Label 22961: @1672823
     /* 1672823 */   GIM_Try, /*On fail goto*//*Label 22962*/ GIMT_Encode4(1672909), // Rule ID 6301 //
     /* 1672828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1672831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1672839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1672842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1672845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1672848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1672851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1672854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672874 */     // MIs[0] policy
     /* 1672874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1672884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF8_MASK),
     /* 1672887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672908 */     // GIR_Coverage, 6301,
     /* 1672908 */     GIR_EraseRootFromParent_Done,
     /* 1672909 */   // Label 22962: @1672909
     /* 1672909 */   GIM_Try, /*On fail goto*//*Label 22963*/ GIMT_Encode4(1672995), // Rule ID 6304 //
     /* 1672914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1672917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1672922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1672925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1672928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1672931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1672934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1672937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1672940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1672944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1672956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1672960 */     // MIs[0] policy
     /* 1672960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1672963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1672970 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1672970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1672973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1672975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1672977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1672979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1672981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1672983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1672988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1672991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1672993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1672994 */     // GIR_Coverage, 6304,
     /* 1672994 */     GIR_EraseRootFromParent_Done,
     /* 1672995 */   // Label 22963: @1672995
     /* 1672995 */   GIM_Try, /*On fail goto*//*Label 22964*/ GIMT_Encode4(1673081), // Rule ID 6305 //
     /* 1673000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1673011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1673014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1673017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1673020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673046 */     // MIs[0] policy
     /* 1673046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673056 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1673059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673080 */     // GIR_Coverage, 6305,
     /* 1673080 */     GIR_EraseRootFromParent_Done,
     /* 1673081 */   // Label 22964: @1673081
     /* 1673081 */   GIM_Try, /*On fail goto*//*Label 22965*/ GIMT_Encode4(1673167), // Rule ID 6308 //
     /* 1673086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1673106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673132 */     // MIs[0] policy
     /* 1673132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673142 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1673145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673166 */     // GIR_Coverage, 6308,
     /* 1673166 */     GIR_EraseRootFromParent_Done,
     /* 1673167 */   // Label 22965: @1673167
     /* 1673167 */   GIM_Try, /*On fail goto*//*Label 22966*/ GIMT_Encode4(1673253), // Rule ID 6309 //
     /* 1673172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1673183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1673186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1673189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1673192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673218 */     // MIs[0] policy
     /* 1673218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673228 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1673231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673252 */     // GIR_Coverage, 6309,
     /* 1673252 */     GIR_EraseRootFromParent_Done,
     /* 1673253 */   // Label 22966: @1673253
     /* 1673253 */   GIM_Try, /*On fail goto*//*Label 22967*/ GIMT_Encode4(1673339), // Rule ID 6312 //
     /* 1673258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1673278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673304 */     // MIs[0] policy
     /* 1673304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673314 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1673317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673338 */     // GIR_Coverage, 6312,
     /* 1673338 */     GIR_EraseRootFromParent_Done,
     /* 1673339 */   // Label 22967: @1673339
     /* 1673339 */   GIM_Try, /*On fail goto*//*Label 22968*/ GIMT_Encode4(1673425), // Rule ID 6313 //
     /* 1673344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1673355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1673358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1673361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1673364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673390 */     // MIs[0] policy
     /* 1673390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673400 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF4_MASK),
     /* 1673403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673424 */     // GIR_Coverage, 6313,
     /* 1673424 */     GIR_EraseRootFromParent_Done,
     /* 1673425 */   // Label 22968: @1673425
     /* 1673425 */   GIM_Try, /*On fail goto*//*Label 22969*/ GIMT_Encode4(1673511), // Rule ID 6316 //
     /* 1673430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1673450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673476 */     // MIs[0] policy
     /* 1673476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673486 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1673489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673510 */     // GIR_Coverage, 6316,
     /* 1673510 */     GIR_EraseRootFromParent_Done,
     /* 1673511 */   // Label 22969: @1673511
     /* 1673511 */   GIM_Try, /*On fail goto*//*Label 22970*/ GIMT_Encode4(1673597), // Rule ID 6317 //
     /* 1673516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1673527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1673530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1673533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1673536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1673539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673562 */     // MIs[0] policy
     /* 1673562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673572 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1673575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1673593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673596 */     // GIR_Coverage, 6317,
     /* 1673596 */     GIR_EraseRootFromParent_Done,
     /* 1673597 */   // Label 22970: @1673597
     /* 1673597 */   GIM_Try, /*On fail goto*//*Label 22971*/ GIMT_Encode4(1673683), // Rule ID 6320 //
     /* 1673602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1673622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673648 */     // MIs[0] policy
     /* 1673648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673658 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1673661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673682 */     // GIR_Coverage, 6320,
     /* 1673682 */     GIR_EraseRootFromParent_Done,
     /* 1673683 */   // Label 22971: @1673683
     /* 1673683 */   GIM_Try, /*On fail goto*//*Label 22972*/ GIMT_Encode4(1673769), // Rule ID 6321 //
     /* 1673688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1673699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1673702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1673705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1673708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1673711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673734 */     // MIs[0] policy
     /* 1673734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673744 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_MF2_MASK),
     /* 1673747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1673765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673768 */     // GIR_Coverage, 6321,
     /* 1673768 */     GIR_EraseRootFromParent_Done,
     /* 1673769 */   // Label 22972: @1673769
     /* 1673769 */   GIM_Try, /*On fail goto*//*Label 22973*/ GIMT_Encode4(1673855), // Rule ID 6324 //
     /* 1673774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1673794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673820 */     // MIs[0] policy
     /* 1673820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1673830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1673833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673854 */     // GIR_Coverage, 6324,
     /* 1673854 */     GIR_EraseRootFromParent_Done,
     /* 1673855 */   // Label 22973: @1673855
     /* 1673855 */   GIM_Try, /*On fail goto*//*Label 22974*/ GIMT_Encode4(1673941), // Rule ID 6325 //
     /* 1673860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1673863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1673871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1673874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1673877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1673880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1673883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1673886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673906 */     // MIs[0] policy
     /* 1673906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1673916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1673916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1673919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1673921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1673923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1673925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1673927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1673929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1673934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1673937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1673939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1673940 */     // GIR_Coverage, 6325,
     /* 1673940 */     GIR_EraseRootFromParent_Done,
     /* 1673941 */   // Label 22974: @1673941
     /* 1673941 */   GIM_Try, /*On fail goto*//*Label 22975*/ GIMT_Encode4(1674027), // Rule ID 6328 //
     /* 1673946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1673949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1673954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1673957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1673960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1673963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1673966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1673969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1673972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1673976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1673988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1673992 */     // MIs[0] policy
     /* 1673992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1673995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674002 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1674005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674026 */     // GIR_Coverage, 6328,
     /* 1674026 */     GIR_EraseRootFromParent_Done,
     /* 1674027 */   // Label 22975: @1674027
     /* 1674027 */   GIM_Try, /*On fail goto*//*Label 22976*/ GIMT_Encode4(1674113), // Rule ID 6329 //
     /* 1674032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1674043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1674046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1674049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1674052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1674055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674078 */     // MIs[0] policy
     /* 1674078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674088 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1674091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1674109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674112 */     // GIR_Coverage, 6329,
     /* 1674112 */     GIR_EraseRootFromParent_Done,
     /* 1674113 */   // Label 22976: @1674113
     /* 1674113 */   GIM_Try, /*On fail goto*//*Label 22977*/ GIMT_Encode4(1674199), // Rule ID 6332 //
     /* 1674118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1674138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674164 */     // MIs[0] policy
     /* 1674164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674174 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1674177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674198 */     // GIR_Coverage, 6332,
     /* 1674198 */     GIR_EraseRootFromParent_Done,
     /* 1674199 */   // Label 22977: @1674199
     /* 1674199 */   GIM_Try, /*On fail goto*//*Label 22978*/ GIMT_Encode4(1674285), // Rule ID 6333 //
     /* 1674204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1674215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1674218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1674221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1674224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1674227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674250 */     // MIs[0] policy
     /* 1674250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674260 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1674263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1674281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674284 */     // GIR_Coverage, 6333,
     /* 1674284 */     GIR_EraseRootFromParent_Done,
     /* 1674285 */   // Label 22978: @1674285
     /* 1674285 */   GIM_Try, /*On fail goto*//*Label 22979*/ GIMT_Encode4(1674371), // Rule ID 6336 //
     /* 1674290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1674293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1674310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674336 */     // MIs[0] policy
     /* 1674336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674346 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1674349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674370 */     // GIR_Coverage, 6336,
     /* 1674370 */     GIR_EraseRootFromParent_Done,
     /* 1674371 */   // Label 22979: @1674371
     /* 1674371 */   GIM_Try, /*On fail goto*//*Label 22980*/ GIMT_Encode4(1674457), // Rule ID 6337 //
     /* 1674376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1674379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1674387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1674390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1674393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1674396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1674399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1674406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1674418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674422 */     // MIs[0] policy
     /* 1674422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674432 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M1_MASK),
     /* 1674435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1674453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674456 */     // GIR_Coverage, 6337,
     /* 1674456 */     GIR_EraseRootFromParent_Done,
     /* 1674457 */   // Label 22980: @1674457
     /* 1674457 */   GIM_Try, /*On fail goto*//*Label 22981*/ GIMT_Encode4(1674543), // Rule ID 6340 //
     /* 1674462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1674482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674508 */     // MIs[0] policy
     /* 1674508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674518 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1674521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674542 */     // GIR_Coverage, 6340,
     /* 1674542 */     GIR_EraseRootFromParent_Done,
     /* 1674543 */   // Label 22981: @1674543
     /* 1674543 */   GIM_Try, /*On fail goto*//*Label 22982*/ GIMT_Encode4(1674629), // Rule ID 6341 //
     /* 1674548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1674559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1674562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1674565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1674568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1674571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1674578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1674590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674594 */     // MIs[0] policy
     /* 1674594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674604 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1674607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674628 */     // GIR_Coverage, 6341,
     /* 1674628 */     GIR_EraseRootFromParent_Done,
     /* 1674629 */   // Label 22982: @1674629
     /* 1674629 */   GIM_Try, /*On fail goto*//*Label 22983*/ GIMT_Encode4(1674715), // Rule ID 6344 //
     /* 1674634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1674654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674680 */     // MIs[0] policy
     /* 1674680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674690 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1674693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674714 */     // GIR_Coverage, 6344,
     /* 1674714 */     GIR_EraseRootFromParent_Done,
     /* 1674715 */   // Label 22983: @1674715
     /* 1674715 */   GIM_Try, /*On fail goto*//*Label 22984*/ GIMT_Encode4(1674801), // Rule ID 6345 //
     /* 1674720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1674731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1674734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1674737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1674740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1674743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1674750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1674762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674766 */     // MIs[0] policy
     /* 1674766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674776 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1674779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674800 */     // GIR_Coverage, 6345,
     /* 1674800 */     GIR_EraseRootFromParent_Done,
     /* 1674801 */   // Label 22984: @1674801
     /* 1674801 */   GIM_Try, /*On fail goto*//*Label 22985*/ GIMT_Encode4(1674887), // Rule ID 6348 //
     /* 1674806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1674826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1674832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674852 */     // MIs[0] policy
     /* 1674852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674862 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1674862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1674865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674886 */     // GIR_Coverage, 6348,
     /* 1674886 */     GIR_EraseRootFromParent_Done,
     /* 1674887 */   // Label 22985: @1674887
     /* 1674887 */   GIM_Try, /*On fail goto*//*Label 22986*/ GIMT_Encode4(1674973), // Rule ID 6349 //
     /* 1674892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1674895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1674903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1674906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1674909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1674912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1674915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1674918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1674922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1674934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1674938 */     // MIs[0] policy
     /* 1674938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1674941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1674948 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1674948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1674951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1674953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1674955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1674957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1674959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1674961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1674966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1674969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1674971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1674972 */     // GIR_Coverage, 6349,
     /* 1674972 */     GIR_EraseRootFromParent_Done,
     /* 1674973 */   // Label 22986: @1674973
     /* 1674973 */   GIM_Try, /*On fail goto*//*Label 22987*/ GIMT_Encode4(1675059), // Rule ID 6352 //
     /* 1674978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1674981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1674986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1674989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1674992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1674995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1674998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675024 */     // MIs[0] policy
     /* 1675024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675034 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1675037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675058 */     // GIR_Coverage, 6352,
     /* 1675058 */     GIR_EraseRootFromParent_Done,
     /* 1675059 */   // Label 22987: @1675059
     /* 1675059 */   GIM_Try, /*On fail goto*//*Label 22988*/ GIMT_Encode4(1675145), // Rule ID 6353 //
     /* 1675064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1675075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1675078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1675081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1675084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675110 */     // MIs[0] policy
     /* 1675110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675120 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1675123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675144 */     // GIR_Coverage, 6353,
     /* 1675144 */     GIR_EraseRootFromParent_Done,
     /* 1675145 */   // Label 22988: @1675145
     /* 1675145 */   GIM_Try, /*On fail goto*//*Label 22989*/ GIMT_Encode4(1675231), // Rule ID 6356 //
     /* 1675150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1675170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675196 */     // MIs[0] policy
     /* 1675196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675206 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1675209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675230 */     // GIR_Coverage, 6356,
     /* 1675230 */     GIR_EraseRootFromParent_Done,
     /* 1675231 */   // Label 22989: @1675231
     /* 1675231 */   GIM_Try, /*On fail goto*//*Label 22990*/ GIMT_Encode4(1675317), // Rule ID 6357 //
     /* 1675236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1675247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1675250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1675253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1675256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675282 */     // MIs[0] policy
     /* 1675282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675292 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1675295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675316 */     // GIR_Coverage, 6357,
     /* 1675316 */     GIR_EraseRootFromParent_Done,
     /* 1675317 */   // Label 22990: @1675317
     /* 1675317 */   GIM_Try, /*On fail goto*//*Label 22991*/ GIMT_Encode4(1675403), // Rule ID 6360 //
     /* 1675322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1675342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675368 */     // MIs[0] policy
     /* 1675368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675378 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1675381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675402 */     // GIR_Coverage, 6360,
     /* 1675402 */     GIR_EraseRootFromParent_Done,
     /* 1675403 */   // Label 22991: @1675403
     /* 1675403 */   GIM_Try, /*On fail goto*//*Label 22992*/ GIMT_Encode4(1675489), // Rule ID 6361 //
     /* 1675408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1675419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1675422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1675425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1675428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1675431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675454 */     // MIs[0] policy
     /* 1675454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675464 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1675467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1675485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675488 */     // GIR_Coverage, 6361,
     /* 1675488 */     GIR_EraseRootFromParent_Done,
     /* 1675489 */   // Label 22992: @1675489
     /* 1675489 */   GIM_Try, /*On fail goto*//*Label 22993*/ GIMT_Encode4(1675575), // Rule ID 6364 //
     /* 1675494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1675514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675540 */     // MIs[0] policy
     /* 1675540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675550 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1675553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675574 */     // GIR_Coverage, 6364,
     /* 1675574 */     GIR_EraseRootFromParent_Done,
     /* 1675575 */   // Label 22993: @1675575
     /* 1675575 */   GIM_Try, /*On fail goto*//*Label 22994*/ GIMT_Encode4(1675661), // Rule ID 6365 //
     /* 1675580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1675591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1675594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1675597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1675600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1675603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1675610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1675622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675626 */     // MIs[0] policy
     /* 1675626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675636 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1675639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675660 */     // GIR_Coverage, 6365,
     /* 1675660 */     GIR_EraseRootFromParent_Done,
     /* 1675661 */   // Label 22994: @1675661
     /* 1675661 */   GIM_Try, /*On fail goto*//*Label 22995*/ GIMT_Encode4(1675747), // Rule ID 6368 //
     /* 1675666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1675686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675712 */     // MIs[0] policy
     /* 1675712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675722 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1675725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675746 */     // GIR_Coverage, 6368,
     /* 1675746 */     GIR_EraseRootFromParent_Done,
     /* 1675747 */   // Label 22995: @1675747
     /* 1675747 */   GIM_Try, /*On fail goto*//*Label 22996*/ GIMT_Encode4(1675833), // Rule ID 6369 //
     /* 1675752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1675763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1675766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1675769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1675772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1675775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1675782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1675794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675798 */     // MIs[0] policy
     /* 1675798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675808 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1675811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675832 */     // GIR_Coverage, 6369,
     /* 1675832 */     GIR_EraseRootFromParent_Done,
     /* 1675833 */   // Label 22996: @1675833
     /* 1675833 */   GIM_Try, /*On fail goto*//*Label 22997*/ GIMT_Encode4(1675919), // Rule ID 6372 //
     /* 1675838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1675841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1675858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1675864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675884 */     // MIs[0] policy
     /* 1675884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675894 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1675894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1675897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1675915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1675917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1675918 */     // GIR_Coverage, 6372,
     /* 1675918 */     GIR_EraseRootFromParent_Done,
     /* 1675919 */   // Label 22997: @1675919
     /* 1675919 */   GIM_Try, /*On fail goto*//*Label 22998*/ GIMT_Encode4(1676005), // Rule ID 6373 //
     /* 1675924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1675927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1675932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1675935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1675938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1675941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1675944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1675947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1675950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1675954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1675966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1675970 */     // MIs[0] policy
     /* 1675970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1675973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1675980 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1675980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1675983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1675985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1675987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1675989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1675991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1675993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1675998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1676001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676004 */     // GIR_Coverage, 6373,
     /* 1676004 */     GIR_EraseRootFromParent_Done,
     /* 1676005 */   // Label 22998: @1676005
     /* 1676005 */   GIM_Try, /*On fail goto*//*Label 22999*/ GIMT_Encode4(1676091), // Rule ID 6376 //
     /* 1676010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1676030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676056 */     // MIs[0] policy
     /* 1676056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676066 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1676069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676090 */     // GIR_Coverage, 6376,
     /* 1676090 */     GIR_EraseRootFromParent_Done,
     /* 1676091 */   // Label 22999: @1676091
     /* 1676091 */   GIM_Try, /*On fail goto*//*Label 23000*/ GIMT_Encode4(1676177), // Rule ID 6377 //
     /* 1676096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1676107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1676110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1676113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1676116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1676126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1676138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676142 */     // MIs[0] policy
     /* 1676142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M2_MASK),
     /* 1676155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676176 */     // GIR_Coverage, 6377,
     /* 1676176 */     GIR_EraseRootFromParent_Done,
     /* 1676177 */   // Label 23000: @1676177
     /* 1676177 */   GIM_Try, /*On fail goto*//*Label 23001*/ GIMT_Encode4(1676263), // Rule ID 6380 //
     /* 1676182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1676202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676228 */     // MIs[0] policy
     /* 1676228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676238 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1676241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676262 */     // GIR_Coverage, 6380,
     /* 1676262 */     GIR_EraseRootFromParent_Done,
     /* 1676263 */   // Label 23001: @1676263
     /* 1676263 */   GIM_Try, /*On fail goto*//*Label 23002*/ GIMT_Encode4(1676349), // Rule ID 6381 //
     /* 1676268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1676279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1676282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1676285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1676288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1676298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1676310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676314 */     // MIs[0] policy
     /* 1676314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676324 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M4_MASK),
     /* 1676327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676348 */     // GIR_Coverage, 6381,
     /* 1676348 */     GIR_EraseRootFromParent_Done,
     /* 1676349 */   // Label 23002: @1676349
     /* 1676349 */   GIM_Try, /*On fail goto*//*Label 23003*/ GIMT_Encode4(1676435), // Rule ID 6384 //
     /* 1676354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1676357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1676374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676400 */     // MIs[0] policy
     /* 1676400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676410 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1676413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676434 */     // GIR_Coverage, 6384,
     /* 1676434 */     GIR_EraseRootFromParent_Done,
     /* 1676435 */   // Label 23003: @1676435
     /* 1676435 */   GIM_Try, /*On fail goto*//*Label 23004*/ GIMT_Encode4(1676521), // Rule ID 6385 //
     /* 1676440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1676443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1676451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1676454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1676457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1676460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1676463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1676470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1676482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676486 */     // MIs[0] policy
     /* 1676486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VV_M8_MASK),
     /* 1676499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1676517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676520 */     // GIR_Coverage, 6385,
     /* 1676520 */     GIR_EraseRootFromParent_Done,
     /* 1676521 */   // Label 23004: @1676521
     /* 1676521 */   GIM_Try, /*On fail goto*//*Label 23005*/ GIMT_Encode4(1676607), // Rule ID 6388 //
     /* 1676526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676572 */     // MIs[0] policy
     /* 1676572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676582 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1676585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676606 */     // GIR_Coverage, 6388,
     /* 1676606 */     GIR_EraseRootFromParent_Done,
     /* 1676607 */   // Label 23005: @1676607
     /* 1676607 */   GIM_Try, /*On fail goto*//*Label 23006*/ GIMT_Encode4(1676693), // Rule ID 6389 //
     /* 1676612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1676623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1676626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1676629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1676635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676658 */     // MIs[0] policy
     /* 1676658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676668 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF8_MASK),
     /* 1676671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676692 */     // GIR_Coverage, 6389,
     /* 1676692 */     GIR_EraseRootFromParent_Done,
     /* 1676693 */   // Label 23006: @1676693
     /* 1676693 */   GIM_Try, /*On fail goto*//*Label 23007*/ GIMT_Encode4(1676779), // Rule ID 6392 //
     /* 1676698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676744 */     // MIs[0] policy
     /* 1676744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676754 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1676757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676778 */     // GIR_Coverage, 6392,
     /* 1676778 */     GIR_EraseRootFromParent_Done,
     /* 1676779 */   // Label 23007: @1676779
     /* 1676779 */   GIM_Try, /*On fail goto*//*Label 23008*/ GIMT_Encode4(1676865), // Rule ID 6393 //
     /* 1676784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1676795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1676798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1676801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1676807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676830 */     // MIs[0] policy
     /* 1676830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676840 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1676840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1676843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676864 */     // GIR_Coverage, 6393,
     /* 1676864 */     GIR_EraseRootFromParent_Done,
     /* 1676865 */   // Label 23008: @1676865
     /* 1676865 */   GIM_Try, /*On fail goto*//*Label 23009*/ GIMT_Encode4(1676951), // Rule ID 6396 //
     /* 1676870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1676873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1676890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1676896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1676916 */     // MIs[0] policy
     /* 1676916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1676919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1676926 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1676926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1676929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1676931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1676933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1676935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1676937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1676939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1676944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1676947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1676949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1676950 */     // GIR_Coverage, 6396,
     /* 1676950 */     GIR_EraseRootFromParent_Done,
     /* 1676951 */   // Label 23009: @1676951
     /* 1676951 */   GIM_Try, /*On fail goto*//*Label 23010*/ GIMT_Encode4(1677037), // Rule ID 6397 //
     /* 1676956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1676959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1676964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1676967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1676970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1676973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1676976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1676979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1676982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1676986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1676994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1676998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677002 */     // MIs[0] policy
     /* 1677002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677012 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1677015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677036 */     // GIR_Coverage, 6397,
     /* 1677036 */     GIR_EraseRootFromParent_Done,
     /* 1677037 */   // Label 23010: @1677037
     /* 1677037 */   GIM_Try, /*On fail goto*//*Label 23011*/ GIMT_Encode4(1677123), // Rule ID 6400 //
     /* 1677042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677088 */     // MIs[0] policy
     /* 1677088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677098 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1677101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677122 */     // GIR_Coverage, 6400,
     /* 1677122 */     GIR_EraseRootFromParent_Done,
     /* 1677123 */   // Label 23011: @1677123
     /* 1677123 */   GIM_Try, /*On fail goto*//*Label 23012*/ GIMT_Encode4(1677209), // Rule ID 6401 //
     /* 1677128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1677139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1677142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1677145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677174 */     // MIs[0] policy
     /* 1677174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677184 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF4_MASK),
     /* 1677187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677208 */     // GIR_Coverage, 6401,
     /* 1677208 */     GIR_EraseRootFromParent_Done,
     /* 1677209 */   // Label 23012: @1677209
     /* 1677209 */   GIM_Try, /*On fail goto*//*Label 23013*/ GIMT_Encode4(1677295), // Rule ID 6404 //
     /* 1677214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677260 */     // MIs[0] policy
     /* 1677260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677270 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1677273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677294 */     // GIR_Coverage, 6404,
     /* 1677294 */     GIR_EraseRootFromParent_Done,
     /* 1677295 */   // Label 23013: @1677295
     /* 1677295 */   GIM_Try, /*On fail goto*//*Label 23014*/ GIMT_Encode4(1677381), // Rule ID 6405 //
     /* 1677300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1677311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1677314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1677317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677346 */     // MIs[0] policy
     /* 1677346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677356 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1677359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677380 */     // GIR_Coverage, 6405,
     /* 1677380 */     GIR_EraseRootFromParent_Done,
     /* 1677381 */   // Label 23014: @1677381
     /* 1677381 */   GIM_Try, /*On fail goto*//*Label 23015*/ GIMT_Encode4(1677467), // Rule ID 6408 //
     /* 1677386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677432 */     // MIs[0] policy
     /* 1677432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677442 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1677445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677466 */     // GIR_Coverage, 6408,
     /* 1677466 */     GIR_EraseRootFromParent_Done,
     /* 1677467 */   // Label 23015: @1677467
     /* 1677467 */   GIM_Try, /*On fail goto*//*Label 23016*/ GIMT_Encode4(1677553), // Rule ID 6409 //
     /* 1677472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1677483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1677486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1677489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1677495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677518 */     // MIs[0] policy
     /* 1677518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677528 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_MF2_MASK),
     /* 1677531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677552 */     // GIR_Coverage, 6409,
     /* 1677552 */     GIR_EraseRootFromParent_Done,
     /* 1677553 */   // Label 23016: @1677553
     /* 1677553 */   GIM_Try, /*On fail goto*//*Label 23017*/ GIMT_Encode4(1677639), // Rule ID 6412 //
     /* 1677558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677604 */     // MIs[0] policy
     /* 1677604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677614 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1677617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677638 */     // GIR_Coverage, 6412,
     /* 1677638 */     GIR_EraseRootFromParent_Done,
     /* 1677639 */   // Label 23017: @1677639
     /* 1677639 */   GIM_Try, /*On fail goto*//*Label 23018*/ GIMT_Encode4(1677725), // Rule ID 6413 //
     /* 1677644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1677655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1677658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1677661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1677667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677690 */     // MIs[0] policy
     /* 1677690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677700 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11676:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1677703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1677721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677724 */     // GIR_Coverage, 6413,
     /* 1677724 */     GIR_EraseRootFromParent_Done,
     /* 1677725 */   // Label 23018: @1677725
     /* 1677725 */   GIM_Try, /*On fail goto*//*Label 23019*/ GIMT_Encode4(1677811), // Rule ID 6416 //
     /* 1677730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677776 */     // MIs[0] policy
     /* 1677776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677786 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1677789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677810 */     // GIR_Coverage, 6416,
     /* 1677810 */     GIR_EraseRootFromParent_Done,
     /* 1677811 */   // Label 23019: @1677811
     /* 1677811 */   GIM_Try, /*On fail goto*//*Label 23020*/ GIMT_Encode4(1677897), // Rule ID 6417 //
     /* 1677816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1677827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1677830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1677833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1677836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1677839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1677842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677862 */     // MIs[0] policy
     /* 1677862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677872 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11676:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1677872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1677875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1677893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677896 */     // GIR_Coverage, 6417,
     /* 1677896 */     GIR_EraseRootFromParent_Done,
     /* 1677897 */   // Label 23020: @1677897
     /* 1677897 */   GIM_Try, /*On fail goto*//*Label 23021*/ GIMT_Encode4(1677983), // Rule ID 6420 //
     /* 1677902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1677905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1677916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1677919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1677922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1677925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1677928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1677932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1677940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1677944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1677948 */     // MIs[0] policy
     /* 1677948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1677951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1677958 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1677958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1677961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1677963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1677965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1677967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1677969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1677971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1677976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1677979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1677981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1677982 */     // GIR_Coverage, 6420,
     /* 1677982 */     GIR_EraseRootFromParent_Done,
     /* 1677983 */   // Label 23021: @1677983
     /* 1677983 */   GIM_Try, /*On fail goto*//*Label 23022*/ GIMT_Encode4(1678069), // Rule ID 6421 //
     /* 1677988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1677991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1677996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1677999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1678002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1678005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1678011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678034 */     // MIs[0] policy
     /* 1678034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678044 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11676:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1678047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1678065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678068 */     // GIR_Coverage, 6421,
     /* 1678068 */     GIR_EraseRootFromParent_Done,
     /* 1678069 */   // Label 23022: @1678069
     /* 1678069 */   GIM_Try, /*On fail goto*//*Label 23023*/ GIMT_Encode4(1678155), // Rule ID 6424 //
     /* 1678074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1678077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678120 */     // MIs[0] policy
     /* 1678120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678130 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1678133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678154 */     // GIR_Coverage, 6424,
     /* 1678154 */     GIR_EraseRootFromParent_Done,
     /* 1678155 */   // Label 23023: @1678155
     /* 1678155 */   GIM_Try, /*On fail goto*//*Label 23024*/ GIMT_Encode4(1678241), // Rule ID 6425 //
     /* 1678160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1678163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1678171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1678174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1678177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1678183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1678190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1678198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678206 */     // MIs[0] policy
     /* 1678206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678216 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11676:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M1_MASK),
     /* 1678219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1678237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678240 */     // GIR_Coverage, 6425,
     /* 1678240 */     GIR_EraseRootFromParent_Done,
     /* 1678241 */   // Label 23024: @1678241
     /* 1678241 */   GIM_Try, /*On fail goto*//*Label 23025*/ GIMT_Encode4(1678327), // Rule ID 6428 //
     /* 1678246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678292 */     // MIs[0] policy
     /* 1678292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678302 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1678305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678326 */     // GIR_Coverage, 6428,
     /* 1678326 */     GIR_EraseRootFromParent_Done,
     /* 1678327 */   // Label 23025: @1678327
     /* 1678327 */   GIM_Try, /*On fail goto*//*Label 23026*/ GIMT_Encode4(1678413), // Rule ID 6429 //
     /* 1678332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1678343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1678346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1678349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678378 */     // MIs[0] policy
     /* 1678378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678388 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1678391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678412 */     // GIR_Coverage, 6429,
     /* 1678412 */     GIR_EraseRootFromParent_Done,
     /* 1678413 */   // Label 23026: @1678413
     /* 1678413 */   GIM_Try, /*On fail goto*//*Label 23027*/ GIMT_Encode4(1678499), // Rule ID 6432 //
     /* 1678418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678464 */     // MIs[0] policy
     /* 1678464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678474 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1678477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678498 */     // GIR_Coverage, 6432,
     /* 1678498 */     GIR_EraseRootFromParent_Done,
     /* 1678499 */   // Label 23027: @1678499
     /* 1678499 */   GIM_Try, /*On fail goto*//*Label 23028*/ GIMT_Encode4(1678585), // Rule ID 6433 //
     /* 1678504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1678515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1678518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1678521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1678527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678550 */     // MIs[0] policy
     /* 1678550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678560 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1678563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678584 */     // GIR_Coverage, 6433,
     /* 1678584 */     GIR_EraseRootFromParent_Done,
     /* 1678585 */   // Label 23028: @1678585
     /* 1678585 */   GIM_Try, /*On fail goto*//*Label 23029*/ GIMT_Encode4(1678671), // Rule ID 6436 //
     /* 1678590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678636 */     // MIs[0] policy
     /* 1678636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678646 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1678649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678670 */     // GIR_Coverage, 6436,
     /* 1678670 */     GIR_EraseRootFromParent_Done,
     /* 1678671 */   // Label 23029: @1678671
     /* 1678671 */   GIM_Try, /*On fail goto*//*Label 23030*/ GIMT_Encode4(1678757), // Rule ID 6437 //
     /* 1678676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1678687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1678690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1678693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1678699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1678706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1678714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678722 */     // MIs[0] policy
     /* 1678722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678732 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1678735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1678753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678756 */     // GIR_Coverage, 6437,
     /* 1678756 */     GIR_EraseRootFromParent_Done,
     /* 1678757 */   // Label 23030: @1678757
     /* 1678757 */   GIM_Try, /*On fail goto*//*Label 23031*/ GIMT_Encode4(1678843), // Rule ID 6440 //
     /* 1678762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678808 */     // MIs[0] policy
     /* 1678808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678818 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1678821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678842 */     // GIR_Coverage, 6440,
     /* 1678842 */     GIR_EraseRootFromParent_Done,
     /* 1678843 */   // Label 23031: @1678843
     /* 1678843 */   GIM_Try, /*On fail goto*//*Label 23032*/ GIMT_Encode4(1678929), // Rule ID 6441 //
     /* 1678848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1678851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1678859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1678862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1678865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1678868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1678871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1678874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1678878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1678886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678894 */     // MIs[0] policy
     /* 1678894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678904 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1678904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1678907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1678915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1678917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1678922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1678925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1678927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1678928 */     // GIR_Coverage, 6441,
     /* 1678928 */     GIR_EraseRootFromParent_Done,
     /* 1678929 */   // Label 23032: @1678929
     /* 1678929 */   GIM_Try, /*On fail goto*//*Label 23033*/ GIMT_Encode4(1679015), // Rule ID 6444 //
     /* 1678934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1678937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1678942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1678945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1678948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1678951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1678954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1678957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1678960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1678964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1678972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1678976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1678980 */     // MIs[0] policy
     /* 1678980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1678983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1678990 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1678990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1678993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1678995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1678997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1678999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679014 */     // GIR_Coverage, 6444,
     /* 1679014 */     GIR_EraseRootFromParent_Done,
     /* 1679015 */   // Label 23033: @1679015
     /* 1679015 */   GIM_Try, /*On fail goto*//*Label 23034*/ GIMT_Encode4(1679101), // Rule ID 6445 //
     /* 1679020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1679031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1679034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1679037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679066 */     // MIs[0] policy
     /* 1679066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679076 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1679079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679100 */     // GIR_Coverage, 6445,
     /* 1679100 */     GIR_EraseRootFromParent_Done,
     /* 1679101 */   // Label 23034: @1679101
     /* 1679101 */   GIM_Try, /*On fail goto*//*Label 23035*/ GIMT_Encode4(1679187), // Rule ID 6448 //
     /* 1679106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679152 */     // MIs[0] policy
     /* 1679152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679162 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1679165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679186 */     // GIR_Coverage, 6448,
     /* 1679186 */     GIR_EraseRootFromParent_Done,
     /* 1679187 */   // Label 23035: @1679187
     /* 1679187 */   GIM_Try, /*On fail goto*//*Label 23036*/ GIMT_Encode4(1679273), // Rule ID 6449 //
     /* 1679192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1679203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1679206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1679209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1679215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679238 */     // MIs[0] policy
     /* 1679238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679248 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1679251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1679269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679272 */     // GIR_Coverage, 6449,
     /* 1679272 */     GIR_EraseRootFromParent_Done,
     /* 1679273 */   // Label 23036: @1679273
     /* 1679273 */   GIM_Try, /*On fail goto*//*Label 23037*/ GIMT_Encode4(1679359), // Rule ID 6452 //
     /* 1679278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679324 */     // MIs[0] policy
     /* 1679324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679334 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1679337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679358 */     // GIR_Coverage, 6452,
     /* 1679358 */     GIR_EraseRootFromParent_Done,
     /* 1679359 */   // Label 23037: @1679359
     /* 1679359 */   GIM_Try, /*On fail goto*//*Label 23038*/ GIMT_Encode4(1679445), // Rule ID 6453 //
     /* 1679364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1679375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1679378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1679381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679410 */     // MIs[0] policy
     /* 1679410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679420 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1679423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679444 */     // GIR_Coverage, 6453,
     /* 1679444 */     GIR_EraseRootFromParent_Done,
     /* 1679445 */   // Label 23038: @1679445
     /* 1679445 */   GIM_Try, /*On fail goto*//*Label 23039*/ GIMT_Encode4(1679531), // Rule ID 6456 //
     /* 1679450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679496 */     // MIs[0] policy
     /* 1679496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679506 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1679509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679530 */     // GIR_Coverage, 6456,
     /* 1679530 */     GIR_EraseRootFromParent_Done,
     /* 1679531 */   // Label 23039: @1679531
     /* 1679531 */   GIM_Try, /*On fail goto*//*Label 23040*/ GIMT_Encode4(1679617), // Rule ID 6457 //
     /* 1679536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1679547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1679550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1679553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1679559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1679574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679582 */     // MIs[0] policy
     /* 1679582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679592 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1679595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679616 */     // GIR_Coverage, 6457,
     /* 1679616 */     GIR_EraseRootFromParent_Done,
     /* 1679617 */   // Label 23040: @1679617
     /* 1679617 */   GIM_Try, /*On fail goto*//*Label 23041*/ GIMT_Encode4(1679703), // Rule ID 6460 //
     /* 1679622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1679625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679668 */     // MIs[0] policy
     /* 1679668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679678 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1679681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679702 */     // GIR_Coverage, 6460,
     /* 1679702 */     GIR_EraseRootFromParent_Done,
     /* 1679703 */   // Label 23041: @1679703
     /* 1679703 */   GIM_Try, /*On fail goto*//*Label 23042*/ GIMT_Encode4(1679789), // Rule ID 6461 //
     /* 1679708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1679711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1679719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1679722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1679725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1679731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1679738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1679746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679754 */     // MIs[0] policy
     /* 1679754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679764 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1679767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1679785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679788 */     // GIR_Coverage, 6461,
     /* 1679788 */     GIR_EraseRootFromParent_Done,
     /* 1679789 */   // Label 23042: @1679789
     /* 1679789 */   GIM_Try, /*On fail goto*//*Label 23043*/ GIMT_Encode4(1679875), // Rule ID 6464 //
     /* 1679794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679840 */     // MIs[0] policy
     /* 1679840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1679850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1679853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679874 */     // GIR_Coverage, 6464,
     /* 1679874 */     GIR_EraseRootFromParent_Done,
     /* 1679875 */   // Label 23043: @1679875
     /* 1679875 */   GIM_Try, /*On fail goto*//*Label 23044*/ GIMT_Encode4(1679961), // Rule ID 6465 //
     /* 1679880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1679883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1679891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1679894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1679897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1679900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1679903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1679906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1679910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1679918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1679922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1679926 */     // MIs[0] policy
     /* 1679926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1679929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1679936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11676:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1679936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M2_MASK),
     /* 1679939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1679941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1679943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1679945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1679947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1679949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1679954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1679957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1679959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1679960 */     // GIR_Coverage, 6465,
     /* 1679960 */     GIR_EraseRootFromParent_Done,
     /* 1679961 */   // Label 23044: @1679961
     /* 1679961 */   GIM_Try, /*On fail goto*//*Label 23045*/ GIMT_Encode4(1680047), // Rule ID 6468 //
     /* 1679966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1679969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1679974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1679977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1679980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1679983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1679986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1679989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1679992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1679996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680012 */     // MIs[0] policy
     /* 1680012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1680025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680046 */     // GIR_Coverage, 6468,
     /* 1680046 */     GIR_EraseRootFromParent_Done,
     /* 1680047 */   // Label 23045: @1680047
     /* 1680047 */   GIM_Try, /*On fail goto*//*Label 23046*/ GIMT_Encode4(1680133), // Rule ID 6469 //
     /* 1680052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1680060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1680063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1680066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1680069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1680082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1680090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680098 */     // MIs[0] policy
     /* 1680098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11676:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M4_MASK),
     /* 1680111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680132 */     // GIR_Coverage, 6469,
     /* 1680132 */     GIR_EraseRootFromParent_Done,
     /* 1680133 */   // Label 23046: @1680133
     /* 1680133 */   GIM_Try, /*On fail goto*//*Label 23047*/ GIMT_Encode4(1680219), // Rule ID 6472 //
     /* 1680138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1680141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1680146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1680158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680184 */     // MIs[0] policy
     /* 1680184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1680197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680218 */     // GIR_Coverage, 6472,
     /* 1680218 */     GIR_EraseRootFromParent_Done,
     /* 1680219 */   // Label 23047: @1680219
     /* 1680219 */   GIM_Try, /*On fail goto*//*Label 23048*/ GIMT_Encode4(1680305), // Rule ID 6473 //
     /* 1680224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1680227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vxor_mask),
     /* 1680232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1680235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1680238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1680241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1680244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1680247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1680254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1680262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1680266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680270 */     // MIs[0] policy
     /* 1680270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11676:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVXOR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVXOR_VX_M8_MASK),
     /* 1680283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1680301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680304 */     // GIR_Coverage, 6473,
     /* 1680304 */     GIR_EraseRootFromParent_Done,
     /* 1680305 */   // Label 23048: @1680305
     /* 1680305 */   GIM_Try, /*On fail goto*//*Label 23049*/ GIMT_Encode4(1680391), // Rule ID 6564 //
     /* 1680310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1680330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680356 */     // MIs[0] policy
     /* 1680356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680366 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1680369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680390 */     // GIR_Coverage, 6564,
     /* 1680390 */     GIR_EraseRootFromParent_Done,
     /* 1680391 */   // Label 23049: @1680391
     /* 1680391 */   GIM_Try, /*On fail goto*//*Label 23050*/ GIMT_Encode4(1680477), // Rule ID 6565 //
     /* 1680396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1680407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1680410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1680413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1680416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680442 */     // MIs[0] policy
     /* 1680442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680452 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8_MASK),
     /* 1680455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680476 */     // GIR_Coverage, 6565,
     /* 1680476 */     GIR_EraseRootFromParent_Done,
     /* 1680477 */   // Label 23050: @1680477
     /* 1680477 */   GIM_Try, /*On fail goto*//*Label 23051*/ GIMT_Encode4(1680563), // Rule ID 6568 //
     /* 1680482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1680502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680528 */     // MIs[0] policy
     /* 1680528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680538 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1680541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680562 */     // GIR_Coverage, 6568,
     /* 1680562 */     GIR_EraseRootFromParent_Done,
     /* 1680563 */   // Label 23051: @1680563
     /* 1680563 */   GIM_Try, /*On fail goto*//*Label 23052*/ GIMT_Encode4(1680649), // Rule ID 6569 //
     /* 1680568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1680579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1680582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1680585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1680588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1680591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680614 */     // MIs[0] policy
     /* 1680614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680624 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1680627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680648 */     // GIR_Coverage, 6569,
     /* 1680648 */     GIR_EraseRootFromParent_Done,
     /* 1680649 */   // Label 23052: @1680649
     /* 1680649 */   GIM_Try, /*On fail goto*//*Label 23053*/ GIMT_Encode4(1680735), // Rule ID 6572 //
     /* 1680654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1680674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680700 */     // MIs[0] policy
     /* 1680700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680710 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1680713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680734 */     // GIR_Coverage, 6572,
     /* 1680734 */     GIR_EraseRootFromParent_Done,
     /* 1680735 */   // Label 23053: @1680735
     /* 1680735 */   GIM_Try, /*On fail goto*//*Label 23054*/ GIMT_Encode4(1680821), // Rule ID 6573 //
     /* 1680740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1680751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1680754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1680757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1680760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1680763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680786 */     // MIs[0] policy
     /* 1680786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680796 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1680799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1680817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680820 */     // GIR_Coverage, 6573,
     /* 1680820 */     GIR_EraseRootFromParent_Done,
     /* 1680821 */   // Label 23054: @1680821
     /* 1680821 */   GIM_Try, /*On fail goto*//*Label 23055*/ GIMT_Encode4(1680907), // Rule ID 6576 //
     /* 1680826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1680829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1680846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1680852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680872 */     // MIs[0] policy
     /* 1680872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680882 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1680882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1680885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680906 */     // GIR_Coverage, 6576,
     /* 1680906 */     GIR_EraseRootFromParent_Done,
     /* 1680907 */   // Label 23055: @1680907
     /* 1680907 */   GIM_Try, /*On fail goto*//*Label 23056*/ GIMT_Encode4(1680993), // Rule ID 6577 //
     /* 1680912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1680915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1680920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1680923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1680926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1680929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1680932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1680935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1680938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1680942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1680954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1680958 */     // MIs[0] policy
     /* 1680958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1680961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1680968 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1680968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4_MASK),
     /* 1680971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1680973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1680975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1680977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1680979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1680981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1680986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1680989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1680991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1680992 */     // GIR_Coverage, 6577,
     /* 1680992 */     GIR_EraseRootFromParent_Done,
     /* 1680993 */   // Label 23056: @1680993
     /* 1680993 */   GIM_Try, /*On fail goto*//*Label 23057*/ GIMT_Encode4(1681079), // Rule ID 6580 //
     /* 1680998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1681018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681044 */     // MIs[0] policy
     /* 1681044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681054 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1681057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681078 */     // GIR_Coverage, 6580,
     /* 1681078 */     GIR_EraseRootFromParent_Done,
     /* 1681079 */   // Label 23057: @1681079
     /* 1681079 */   GIM_Try, /*On fail goto*//*Label 23058*/ GIMT_Encode4(1681165), // Rule ID 6581 //
     /* 1681084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1681095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1681098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1681101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1681104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681130 */     // MIs[0] policy
     /* 1681130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681140 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1681143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681164 */     // GIR_Coverage, 6581,
     /* 1681164 */     GIR_EraseRootFromParent_Done,
     /* 1681165 */   // Label 23058: @1681165
     /* 1681165 */   GIM_Try, /*On fail goto*//*Label 23059*/ GIMT_Encode4(1681251), // Rule ID 6584 //
     /* 1681170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1681190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681216 */     // MIs[0] policy
     /* 1681216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681226 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1681229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681250 */     // GIR_Coverage, 6584,
     /* 1681250 */     GIR_EraseRootFromParent_Done,
     /* 1681251 */   // Label 23059: @1681251
     /* 1681251 */   GIM_Try, /*On fail goto*//*Label 23060*/ GIMT_Encode4(1681337), // Rule ID 6585 //
     /* 1681256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1681267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1681270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1681273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1681276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681302 */     // MIs[0] policy
     /* 1681302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681312 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2_MASK),
     /* 1681315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681336 */     // GIR_Coverage, 6585,
     /* 1681336 */     GIR_EraseRootFromParent_Done,
     /* 1681337 */   // Label 23060: @1681337
     /* 1681337 */   GIM_Try, /*On fail goto*//*Label 23061*/ GIMT_Encode4(1681423), // Rule ID 6588 //
     /* 1681342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1681362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681388 */     // MIs[0] policy
     /* 1681388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681398 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1681401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681422 */     // GIR_Coverage, 6588,
     /* 1681422 */     GIR_EraseRootFromParent_Done,
     /* 1681423 */   // Label 23061: @1681423
     /* 1681423 */   GIM_Try, /*On fail goto*//*Label 23062*/ GIMT_Encode4(1681509), // Rule ID 6589 //
     /* 1681428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1681439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1681442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1681445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1681448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1681451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681474 */     // MIs[0] policy
     /* 1681474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681484 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1681487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1681505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681508 */     // GIR_Coverage, 6589,
     /* 1681508 */     GIR_EraseRootFromParent_Done,
     /* 1681509 */   // Label 23062: @1681509
     /* 1681509 */   GIM_Try, /*On fail goto*//*Label 23063*/ GIMT_Encode4(1681595), // Rule ID 6592 //
     /* 1681514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1681534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681560 */     // MIs[0] policy
     /* 1681560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681570 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1681573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681594 */     // GIR_Coverage, 6592,
     /* 1681594 */     GIR_EraseRootFromParent_Done,
     /* 1681595 */   // Label 23063: @1681595
     /* 1681595 */   GIM_Try, /*On fail goto*//*Label 23064*/ GIMT_Encode4(1681681), // Rule ID 6593 //
     /* 1681600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1681611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1681614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1681617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1681620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1681623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681646 */     // MIs[0] policy
     /* 1681646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681656 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1681659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1681677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681680 */     // GIR_Coverage, 6593,
     /* 1681680 */     GIR_EraseRootFromParent_Done,
     /* 1681681 */   // Label 23064: @1681681
     /* 1681681 */   GIM_Try, /*On fail goto*//*Label 23065*/ GIMT_Encode4(1681767), // Rule ID 6596 //
     /* 1681686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1681689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1681706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681732 */     // MIs[0] policy
     /* 1681732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681742 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1681745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681766 */     // GIR_Coverage, 6596,
     /* 1681766 */     GIR_EraseRootFromParent_Done,
     /* 1681767 */   // Label 23065: @1681767
     /* 1681767 */   GIM_Try, /*On fail goto*//*Label 23066*/ GIMT_Encode4(1681853), // Rule ID 6597 //
     /* 1681772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1681775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1681783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1681786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1681789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1681792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1681795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681818 */     // MIs[0] policy
     /* 1681818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681828 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1681828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1681831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1681849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681852 */     // GIR_Coverage, 6597,
     /* 1681852 */     GIR_EraseRootFromParent_Done,
     /* 1681853 */   // Label 23066: @1681853
     /* 1681853 */   GIM_Try, /*On fail goto*//*Label 23067*/ GIMT_Encode4(1681939), // Rule ID 6600 //
     /* 1681858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1681861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1681878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1681884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681904 */     // MIs[0] policy
     /* 1681904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1681914 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1681914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1681917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1681919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1681921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1681923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1681925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1681927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1681932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1681935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1681937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1681938 */     // GIR_Coverage, 6600,
     /* 1681938 */     GIR_EraseRootFromParent_Done,
     /* 1681939 */   // Label 23067: @1681939
     /* 1681939 */   GIM_Try, /*On fail goto*//*Label 23068*/ GIMT_Encode4(1682025), // Rule ID 6601 //
     /* 1681944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1681947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1681952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1681955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1681958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1681961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1681964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1681967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1681970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1681974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1681986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1681990 */     // MIs[0] policy
     /* 1681990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1681993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682000 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1_MASK),
     /* 1682003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1682021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682024 */     // GIR_Coverage, 6601,
     /* 1682024 */     GIR_EraseRootFromParent_Done,
     /* 1682025 */   // Label 23068: @1682025
     /* 1682025 */   GIM_Try, /*On fail goto*//*Label 23069*/ GIMT_Encode4(1682111), // Rule ID 6604 //
     /* 1682030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1682050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682076 */     // MIs[0] policy
     /* 1682076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682086 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1682089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682110 */     // GIR_Coverage, 6604,
     /* 1682110 */     GIR_EraseRootFromParent_Done,
     /* 1682111 */   // Label 23069: @1682111
     /* 1682111 */   GIM_Try, /*On fail goto*//*Label 23070*/ GIMT_Encode4(1682197), // Rule ID 6605 //
     /* 1682116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1682127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1682130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1682133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1682136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682162 */     // MIs[0] policy
     /* 1682162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682172 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1682175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682196 */     // GIR_Coverage, 6605,
     /* 1682196 */     GIR_EraseRootFromParent_Done,
     /* 1682197 */   // Label 23070: @1682197
     /* 1682197 */   GIM_Try, /*On fail goto*//*Label 23071*/ GIMT_Encode4(1682283), // Rule ID 6608 //
     /* 1682202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1682222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682248 */     // MIs[0] policy
     /* 1682248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682258 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1682261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682282 */     // GIR_Coverage, 6608,
     /* 1682282 */     GIR_EraseRootFromParent_Done,
     /* 1682283 */   // Label 23071: @1682283
     /* 1682283 */   GIM_Try, /*On fail goto*//*Label 23072*/ GIMT_Encode4(1682369), // Rule ID 6609 //
     /* 1682288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1682299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1682302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1682305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1682308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682334 */     // MIs[0] policy
     /* 1682334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682344 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1682347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682368 */     // GIR_Coverage, 6609,
     /* 1682368 */     GIR_EraseRootFromParent_Done,
     /* 1682369 */   // Label 23072: @1682369
     /* 1682369 */   GIM_Try, /*On fail goto*//*Label 23073*/ GIMT_Encode4(1682455), // Rule ID 6612 //
     /* 1682374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1682394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682420 */     // MIs[0] policy
     /* 1682420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682430 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1682433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682454 */     // GIR_Coverage, 6612,
     /* 1682454 */     GIR_EraseRootFromParent_Done,
     /* 1682455 */   // Label 23073: @1682455
     /* 1682455 */   GIM_Try, /*On fail goto*//*Label 23074*/ GIMT_Encode4(1682541), // Rule ID 6613 //
     /* 1682460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1682471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1682474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1682477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1682480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1682483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682506 */     // MIs[0] policy
     /* 1682506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682516 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1682519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1682537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682540 */     // GIR_Coverage, 6613,
     /* 1682540 */     GIR_EraseRootFromParent_Done,
     /* 1682541 */   // Label 23074: @1682541
     /* 1682541 */   GIM_Try, /*On fail goto*//*Label 23075*/ GIMT_Encode4(1682627), // Rule ID 6616 //
     /* 1682546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1682566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682592 */     // MIs[0] policy
     /* 1682592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682602 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1682605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682626 */     // GIR_Coverage, 6616,
     /* 1682626 */     GIR_EraseRootFromParent_Done,
     /* 1682627 */   // Label 23075: @1682627
     /* 1682627 */   GIM_Try, /*On fail goto*//*Label 23076*/ GIMT_Encode4(1682713), // Rule ID 6617 //
     /* 1682632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1682643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1682646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1682649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1682652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1682655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1682662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1682674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682678 */     // MIs[0] policy
     /* 1682678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682688 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1682691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682712 */     // GIR_Coverage, 6617,
     /* 1682712 */     GIR_EraseRootFromParent_Done,
     /* 1682713 */   // Label 23076: @1682713
     /* 1682713 */   GIM_Try, /*On fail goto*//*Label 23077*/ GIMT_Encode4(1682799), // Rule ID 6620 //
     /* 1682718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1682738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682764 */     // MIs[0] policy
     /* 1682764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682774 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1682777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682798 */     // GIR_Coverage, 6620,
     /* 1682798 */     GIR_EraseRootFromParent_Done,
     /* 1682799 */   // Label 23077: @1682799
     /* 1682799 */   GIM_Try, /*On fail goto*//*Label 23078*/ GIMT_Encode4(1682885), // Rule ID 6621 //
     /* 1682804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1682815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1682818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1682821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1682824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1682827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1682830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1682834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1682846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682850 */     // MIs[0] policy
     /* 1682850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682860 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1682860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1682863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682884 */     // GIR_Coverage, 6621,
     /* 1682884 */     GIR_EraseRootFromParent_Done,
     /* 1682885 */   // Label 23078: @1682885
     /* 1682885 */   GIM_Try, /*On fail goto*//*Label 23079*/ GIMT_Encode4(1682971), // Rule ID 6624 //
     /* 1682890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1682893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1682910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1682916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1682920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1682932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1682936 */     // MIs[0] policy
     /* 1682936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1682939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1682946 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1682946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1682949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1682951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1682953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1682955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1682957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1682959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1682964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1682967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1682969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1682970 */     // GIR_Coverage, 6624,
     /* 1682970 */     GIR_EraseRootFromParent_Done,
     /* 1682971 */   // Label 23079: @1682971
     /* 1682971 */   GIM_Try, /*On fail goto*//*Label 23080*/ GIMT_Encode4(1683057), // Rule ID 6625 //
     /* 1682976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1682979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1682984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1682987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1682990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1682993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1682996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1682999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683022 */     // MIs[0] policy
     /* 1683022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683032 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1683035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1683053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683056 */     // GIR_Coverage, 6625,
     /* 1683056 */     GIR_EraseRootFromParent_Done,
     /* 1683057 */   // Label 23080: @1683057
     /* 1683057 */   GIM_Try, /*On fail goto*//*Label 23081*/ GIMT_Encode4(1683143), // Rule ID 6628 //
     /* 1683062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1683082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683108 */     // MIs[0] policy
     /* 1683108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683118 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1683121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683142 */     // GIR_Coverage, 6628,
     /* 1683142 */     GIR_EraseRootFromParent_Done,
     /* 1683143 */   // Label 23081: @1683143
     /* 1683143 */   GIM_Try, /*On fail goto*//*Label 23082*/ GIMT_Encode4(1683229), // Rule ID 6629 //
     /* 1683148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1683159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1683162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1683165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1683168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683194 */     // MIs[0] policy
     /* 1683194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683204 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1683207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683228 */     // GIR_Coverage, 6629,
     /* 1683228 */     GIR_EraseRootFromParent_Done,
     /* 1683229 */   // Label 23082: @1683229
     /* 1683229 */   GIM_Try, /*On fail goto*//*Label 23083*/ GIMT_Encode4(1683315), // Rule ID 6632 //
     /* 1683234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1683254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683280 */     // MIs[0] policy
     /* 1683280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683290 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1683293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683314 */     // GIR_Coverage, 6632,
     /* 1683314 */     GIR_EraseRootFromParent_Done,
     /* 1683315 */   // Label 23083: @1683315
     /* 1683315 */   GIM_Try, /*On fail goto*//*Label 23084*/ GIMT_Encode4(1683401), // Rule ID 6633 //
     /* 1683320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1683331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1683334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1683337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1683340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683366 */     // MIs[0] policy
     /* 1683366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1683379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683400 */     // GIR_Coverage, 6633,
     /* 1683400 */     GIR_EraseRootFromParent_Done,
     /* 1683401 */   // Label 23084: @1683401
     /* 1683401 */   GIM_Try, /*On fail goto*//*Label 23085*/ GIMT_Encode4(1683487), // Rule ID 6636 //
     /* 1683406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1683409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1683426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683452 */     // MIs[0] policy
     /* 1683452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1683465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683486 */     // GIR_Coverage, 6636,
     /* 1683486 */     GIR_EraseRootFromParent_Done,
     /* 1683487 */   // Label 23085: @1683487
     /* 1683487 */   GIM_Try, /*On fail goto*//*Label 23086*/ GIMT_Encode4(1683573), // Rule ID 6637 //
     /* 1683492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1683495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1683503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1683506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1683509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1683512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1683515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683538 */     // MIs[0] policy
     /* 1683538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683548 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1683551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1683569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683572 */     // GIR_Coverage, 6637,
     /* 1683572 */     GIR_EraseRootFromParent_Done,
     /* 1683573 */   // Label 23086: @1683573
     /* 1683573 */   GIM_Try, /*On fail goto*//*Label 23087*/ GIMT_Encode4(1683659), // Rule ID 6640 //
     /* 1683578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1683598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683624 */     // MIs[0] policy
     /* 1683624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683634 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1683637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683658 */     // GIR_Coverage, 6640,
     /* 1683658 */     GIR_EraseRootFromParent_Done,
     /* 1683659 */   // Label 23087: @1683659
     /* 1683659 */   GIM_Try, /*On fail goto*//*Label 23088*/ GIMT_Encode4(1683745), // Rule ID 6641 //
     /* 1683664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1683675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1683678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1683681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1683684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1683687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1683694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1683706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683710 */     // MIs[0] policy
     /* 1683710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683720 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2_MASK),
     /* 1683723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683744 */     // GIR_Coverage, 6641,
     /* 1683744 */     GIR_EraseRootFromParent_Done,
     /* 1683745 */   // Label 23088: @1683745
     /* 1683745 */   GIM_Try, /*On fail goto*//*Label 23089*/ GIMT_Encode4(1683831), // Rule ID 6644 //
     /* 1683750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1683770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683796 */     // MIs[0] policy
     /* 1683796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683806 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1683809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683830 */     // GIR_Coverage, 6644,
     /* 1683830 */     GIR_EraseRootFromParent_Done,
     /* 1683831 */   // Label 23089: @1683831
     /* 1683831 */   GIM_Try, /*On fail goto*//*Label 23090*/ GIMT_Encode4(1683917), // Rule ID 6645 //
     /* 1683836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1683839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1683847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1683850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1683853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1683856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1683859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1683862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1683866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1683878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683882 */     // MIs[0] policy
     /* 1683882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683892 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1683892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4_MASK),
     /* 1683895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1683915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1683916 */     // GIR_Coverage, 6645,
     /* 1683916 */     GIR_EraseRootFromParent_Done,
     /* 1683917 */   // Label 23090: @1683917
     /* 1683917 */   GIM_Try, /*On fail goto*//*Label 23091*/ GIMT_Encode4(1684003), // Rule ID 6648 //
     /* 1683922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1683925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1683930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1683933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1683936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1683939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1683942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1683945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1683948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1683952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1683964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1683968 */     // MIs[0] policy
     /* 1683968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1683971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1683978 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1683978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1683981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1683983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1683985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1683987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1683989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1683991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1683996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1683999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684002 */     // GIR_Coverage, 6648,
     /* 1684002 */     GIR_EraseRootFromParent_Done,
     /* 1684003 */   // Label 23091: @1684003
     /* 1684003 */   GIM_Try, /*On fail goto*//*Label 23092*/ GIMT_Encode4(1684089), // Rule ID 6649 //
     /* 1684008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1684011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1684019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1684022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1684025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1684028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1684031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1684038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1684050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684054 */     // MIs[0] policy
     /* 1684054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684064 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8_MASK),
     /* 1684067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1684085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684088 */     // GIR_Coverage, 6649,
     /* 1684088 */     GIR_EraseRootFromParent_Done,
     /* 1684089 */   // Label 23092: @1684089
     /* 1684089 */   GIM_Try, /*On fail goto*//*Label 23093*/ GIMT_Encode4(1684175), // Rule ID 6652 //
     /* 1684094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684140 */     // MIs[0] policy
     /* 1684140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684150 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1684153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684174 */     // GIR_Coverage, 6652,
     /* 1684174 */     GIR_EraseRootFromParent_Done,
     /* 1684175 */   // Label 23093: @1684175
     /* 1684175 */   GIM_Try, /*On fail goto*//*Label 23094*/ GIMT_Encode4(1684261), // Rule ID 6653 //
     /* 1684180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1684191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1684194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1684197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684226 */     // MIs[0] policy
     /* 1684226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684236 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF8_MASK),
     /* 1684239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684260 */     // GIR_Coverage, 6653,
     /* 1684260 */     GIR_EraseRootFromParent_Done,
     /* 1684261 */   // Label 23094: @1684261
     /* 1684261 */   GIM_Try, /*On fail goto*//*Label 23095*/ GIMT_Encode4(1684347), // Rule ID 6656 //
     /* 1684266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684312 */     // MIs[0] policy
     /* 1684312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684322 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1684325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684346 */     // GIR_Coverage, 6656,
     /* 1684346 */     GIR_EraseRootFromParent_Done,
     /* 1684347 */   // Label 23095: @1684347
     /* 1684347 */   GIM_Try, /*On fail goto*//*Label 23096*/ GIMT_Encode4(1684433), // Rule ID 6657 //
     /* 1684352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1684363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1684366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1684369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684398 */     // MIs[0] policy
     /* 1684398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684408 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1684411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684432 */     // GIR_Coverage, 6657,
     /* 1684432 */     GIR_EraseRootFromParent_Done,
     /* 1684433 */   // Label 23096: @1684433
     /* 1684433 */   GIM_Try, /*On fail goto*//*Label 23097*/ GIMT_Encode4(1684519), // Rule ID 6660 //
     /* 1684438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684484 */     // MIs[0] policy
     /* 1684484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684494 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1684497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684518 */     // GIR_Coverage, 6660,
     /* 1684518 */     GIR_EraseRootFromParent_Done,
     /* 1684519 */   // Label 23097: @1684519
     /* 1684519 */   GIM_Try, /*On fail goto*//*Label 23098*/ GIMT_Encode4(1684605), // Rule ID 6661 //
     /* 1684524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1684535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1684538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1684541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1684547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684570 */     // MIs[0] policy
     /* 1684570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684580 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1684583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1684601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684604 */     // GIR_Coverage, 6661,
     /* 1684604 */     GIR_EraseRootFromParent_Done,
     /* 1684605 */   // Label 23098: @1684605
     /* 1684605 */   GIM_Try, /*On fail goto*//*Label 23099*/ GIMT_Encode4(1684691), // Rule ID 6664 //
     /* 1684610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684656 */     // MIs[0] policy
     /* 1684656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684666 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1684669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684690 */     // GIR_Coverage, 6664,
     /* 1684690 */     GIR_EraseRootFromParent_Done,
     /* 1684691 */   // Label 23099: @1684691
     /* 1684691 */   GIM_Try, /*On fail goto*//*Label 23100*/ GIMT_Encode4(1684777), // Rule ID 6665 //
     /* 1684696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1684707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1684710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1684713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684742 */     // MIs[0] policy
     /* 1684742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684752 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF4_MASK),
     /* 1684755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684776 */     // GIR_Coverage, 6665,
     /* 1684776 */     GIR_EraseRootFromParent_Done,
     /* 1684777 */   // Label 23100: @1684777
     /* 1684777 */   GIM_Try, /*On fail goto*//*Label 23101*/ GIMT_Encode4(1684863), // Rule ID 6668 //
     /* 1684782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684828 */     // MIs[0] policy
     /* 1684828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684838 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1684838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1684841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684862 */     // GIR_Coverage, 6668,
     /* 1684862 */     GIR_EraseRootFromParent_Done,
     /* 1684863 */   // Label 23101: @1684863
     /* 1684863 */   GIM_Try, /*On fail goto*//*Label 23102*/ GIMT_Encode4(1684949), // Rule ID 6669 //
     /* 1684868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1684871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1684879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1684882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1684885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1684888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1684891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1684894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1684914 */     // MIs[0] policy
     /* 1684914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1684917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1684924 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1684924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1684927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1684929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1684931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1684933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1684935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1684937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1684942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1684945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1684947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1684948 */     // GIR_Coverage, 6669,
     /* 1684948 */     GIR_EraseRootFromParent_Done,
     /* 1684949 */   // Label 23102: @1684949
     /* 1684949 */   GIM_Try, /*On fail goto*//*Label 23103*/ GIMT_Encode4(1685035), // Rule ID 6672 //
     /* 1684954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1684957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1684962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1684965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1684968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1684971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1684974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1684977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1684980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1684984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1684992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1684996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685000 */     // MIs[0] policy
     /* 1685000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685010 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1685013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685034 */     // GIR_Coverage, 6672,
     /* 1685034 */     GIR_EraseRootFromParent_Done,
     /* 1685035 */   // Label 23103: @1685035
     /* 1685035 */   GIM_Try, /*On fail goto*//*Label 23104*/ GIMT_Encode4(1685121), // Rule ID 6673 //
     /* 1685040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1685051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1685054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1685057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685086 */     // MIs[0] policy
     /* 1685086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685096 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_MF2_MASK),
     /* 1685099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685120 */     // GIR_Coverage, 6673,
     /* 1685120 */     GIR_EraseRootFromParent_Done,
     /* 1685121 */   // Label 23104: @1685121
     /* 1685121 */   GIM_Try, /*On fail goto*//*Label 23105*/ GIMT_Encode4(1685207), // Rule ID 6676 //
     /* 1685126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685172 */     // MIs[0] policy
     /* 1685172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685182 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1685185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685206 */     // GIR_Coverage, 6676,
     /* 1685206 */     GIR_EraseRootFromParent_Done,
     /* 1685207 */   // Label 23105: @1685207
     /* 1685207 */   GIM_Try, /*On fail goto*//*Label 23106*/ GIMT_Encode4(1685293), // Rule ID 6677 //
     /* 1685212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1685223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1685226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1685229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1685235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685258 */     // MIs[0] policy
     /* 1685258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685268 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11554:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1685271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685292 */     // GIR_Coverage, 6677,
     /* 1685292 */     GIR_EraseRootFromParent_Done,
     /* 1685293 */   // Label 23106: @1685293
     /* 1685293 */   GIM_Try, /*On fail goto*//*Label 23107*/ GIMT_Encode4(1685379), // Rule ID 6680 //
     /* 1685298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685344 */     // MIs[0] policy
     /* 1685344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685354 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1685357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685378 */     // GIR_Coverage, 6680,
     /* 1685378 */     GIR_EraseRootFromParent_Done,
     /* 1685379 */   // Label 23107: @1685379
     /* 1685379 */   GIM_Try, /*On fail goto*//*Label 23108*/ GIMT_Encode4(1685465), // Rule ID 6681 //
     /* 1685384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1685395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1685398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1685401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1685407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685430 */     // MIs[0] policy
     /* 1685430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685440 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11554:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1685443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1685461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685464 */     // GIR_Coverage, 6681,
     /* 1685464 */     GIR_EraseRootFromParent_Done,
     /* 1685465 */   // Label 23108: @1685465
     /* 1685465 */   GIM_Try, /*On fail goto*//*Label 23109*/ GIMT_Encode4(1685551), // Rule ID 6684 //
     /* 1685470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685516 */     // MIs[0] policy
     /* 1685516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685526 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1685529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685550 */     // GIR_Coverage, 6684,
     /* 1685550 */     GIR_EraseRootFromParent_Done,
     /* 1685551 */   // Label 23109: @1685551
     /* 1685551 */   GIM_Try, /*On fail goto*//*Label 23110*/ GIMT_Encode4(1685637), // Rule ID 6685 //
     /* 1685556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1685567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1685570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1685573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1685579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685602 */     // MIs[0] policy
     /* 1685602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685612 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11554:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1685615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1685633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685636 */     // GIR_Coverage, 6685,
     /* 1685636 */     GIR_EraseRootFromParent_Done,
     /* 1685637 */   // Label 23110: @1685637
     /* 1685637 */   GIM_Try, /*On fail goto*//*Label 23111*/ GIMT_Encode4(1685723), // Rule ID 6688 //
     /* 1685642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1685645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685688 */     // MIs[0] policy
     /* 1685688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685698 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1685701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685722 */     // GIR_Coverage, 6688,
     /* 1685722 */     GIR_EraseRootFromParent_Done,
     /* 1685723 */   // Label 23111: @1685723
     /* 1685723 */   GIM_Try, /*On fail goto*//*Label 23112*/ GIMT_Encode4(1685809), // Rule ID 6689 //
     /* 1685728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1685731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1685739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1685742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1685745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1685751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1685758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1685766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685774 */     // MIs[0] policy
     /* 1685774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685784 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11554:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M1_MASK),
     /* 1685787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1685805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685808 */     // GIR_Coverage, 6689,
     /* 1685808 */     GIR_EraseRootFromParent_Done,
     /* 1685809 */   // Label 23112: @1685809
     /* 1685809 */   GIM_Try, /*On fail goto*//*Label 23113*/ GIMT_Encode4(1685895), // Rule ID 6692 //
     /* 1685814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1685834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1685840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685860 */     // MIs[0] policy
     /* 1685860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685870 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1685870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1685873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685894 */     // GIR_Coverage, 6692,
     /* 1685894 */     GIR_EraseRootFromParent_Done,
     /* 1685895 */   // Label 23113: @1685895
     /* 1685895 */   GIM_Try, /*On fail goto*//*Label 23114*/ GIMT_Encode4(1685981), // Rule ID 6693 //
     /* 1685900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1685903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1685911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1685914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1685917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1685920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1685923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1685926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1685930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1685938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1685942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1685946 */     // MIs[0] policy
     /* 1685946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1685949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1685956 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1685956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1685959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1685961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1685963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1685965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1685967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1685969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1685974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1685977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1685979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1685980 */     // GIR_Coverage, 6693,
     /* 1685980 */     GIR_EraseRootFromParent_Done,
     /* 1685981 */   // Label 23114: @1685981
     /* 1685981 */   GIM_Try, /*On fail goto*//*Label 23115*/ GIMT_Encode4(1686067), // Rule ID 6696 //
     /* 1685986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1685989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1685994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1685997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686032 */     // MIs[0] policy
     /* 1686032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686042 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1686045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686066 */     // GIR_Coverage, 6696,
     /* 1686066 */     GIR_EraseRootFromParent_Done,
     /* 1686067 */   // Label 23115: @1686067
     /* 1686067 */   GIM_Try, /*On fail goto*//*Label 23116*/ GIMT_Encode4(1686153), // Rule ID 6697 //
     /* 1686072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1686083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1686086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1686089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686118 */     // MIs[0] policy
     /* 1686118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686128 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1686131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686152 */     // GIR_Coverage, 6697,
     /* 1686152 */     GIR_EraseRootFromParent_Done,
     /* 1686153 */   // Label 23116: @1686153
     /* 1686153 */   GIM_Try, /*On fail goto*//*Label 23117*/ GIMT_Encode4(1686239), // Rule ID 6700 //
     /* 1686158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686204 */     // MIs[0] policy
     /* 1686204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686214 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1686217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686238 */     // GIR_Coverage, 6700,
     /* 1686238 */     GIR_EraseRootFromParent_Done,
     /* 1686239 */   // Label 23117: @1686239
     /* 1686239 */   GIM_Try, /*On fail goto*//*Label 23118*/ GIMT_Encode4(1686325), // Rule ID 6701 //
     /* 1686244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1686255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1686258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1686261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1686267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686290 */     // MIs[0] policy
     /* 1686290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686300 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1686303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1686321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686324 */     // GIR_Coverage, 6701,
     /* 1686324 */     GIR_EraseRootFromParent_Done,
     /* 1686325 */   // Label 23118: @1686325
     /* 1686325 */   GIM_Try, /*On fail goto*//*Label 23119*/ GIMT_Encode4(1686411), // Rule ID 6704 //
     /* 1686330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686376 */     // MIs[0] policy
     /* 1686376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686386 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1686389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686410 */     // GIR_Coverage, 6704,
     /* 1686410 */     GIR_EraseRootFromParent_Done,
     /* 1686411 */   // Label 23119: @1686411
     /* 1686411 */   GIM_Try, /*On fail goto*//*Label 23120*/ GIMT_Encode4(1686497), // Rule ID 6705 //
     /* 1686416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1686427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1686430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1686433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1686439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686462 */     // MIs[0] policy
     /* 1686462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686472 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1686475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686496 */     // GIR_Coverage, 6705,
     /* 1686496 */     GIR_EraseRootFromParent_Done,
     /* 1686497 */   // Label 23120: @1686497
     /* 1686497 */   GIM_Try, /*On fail goto*//*Label 23121*/ GIMT_Encode4(1686583), // Rule ID 6708 //
     /* 1686502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686548 */     // MIs[0] policy
     /* 1686548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686558 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1686561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686582 */     // GIR_Coverage, 6708,
     /* 1686582 */     GIR_EraseRootFromParent_Done,
     /* 1686583 */   // Label 23121: @1686583
     /* 1686583 */   GIM_Try, /*On fail goto*//*Label 23122*/ GIMT_Encode4(1686669), // Rule ID 6709 //
     /* 1686588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1686599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1686602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1686605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1686611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1686618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1686626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686634 */     // MIs[0] policy
     /* 1686634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686644 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1686647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686668 */     // GIR_Coverage, 6709,
     /* 1686668 */     GIR_EraseRootFromParent_Done,
     /* 1686669 */   // Label 23122: @1686669
     /* 1686669 */   GIM_Try, /*On fail goto*//*Label 23123*/ GIMT_Encode4(1686755), // Rule ID 6712 //
     /* 1686674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686720 */     // MIs[0] policy
     /* 1686720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686730 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1686733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686754 */     // GIR_Coverage, 6712,
     /* 1686754 */     GIR_EraseRootFromParent_Done,
     /* 1686755 */   // Label 23123: @1686755
     /* 1686755 */   GIM_Try, /*On fail goto*//*Label 23124*/ GIMT_Encode4(1686841), // Rule ID 6713 //
     /* 1686760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1686771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1686774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1686777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1686783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1686790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1686798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686806 */     // MIs[0] policy
     /* 1686806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686816 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1686819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1686837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686840 */     // GIR_Coverage, 6713,
     /* 1686840 */     GIR_EraseRootFromParent_Done,
     /* 1686841 */   // Label 23124: @1686841
     /* 1686841 */   GIM_Try, /*On fail goto*//*Label 23125*/ GIMT_Encode4(1686927), // Rule ID 6716 //
     /* 1686846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1686849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1686866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1686872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686892 */     // MIs[0] policy
     /* 1686892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1686902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1686905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1686915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1686920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1686923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1686925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1686926 */     // GIR_Coverage, 6716,
     /* 1686926 */     GIR_EraseRootFromParent_Done,
     /* 1686927 */   // Label 23125: @1686927
     /* 1686927 */   GIM_Try, /*On fail goto*//*Label 23126*/ GIMT_Encode4(1687013), // Rule ID 6717 //
     /* 1686932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1686935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1686940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1686943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1686946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1686949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1686952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1686955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1686958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1686962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1686970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1686974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1686978 */     // MIs[0] policy
     /* 1686978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1686981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1686988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1686988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1686991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1686993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1686995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1686997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1686999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687012 */     // GIR_Coverage, 6717,
     /* 1687012 */     GIR_EraseRootFromParent_Done,
     /* 1687013 */   // Label 23126: @1687013
     /* 1687013 */   GIM_Try, /*On fail goto*//*Label 23127*/ GIMT_Encode4(1687099), // Rule ID 6720 //
     /* 1687018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687064 */     // MIs[0] policy
     /* 1687064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1687077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687098 */     // GIR_Coverage, 6720,
     /* 1687098 */     GIR_EraseRootFromParent_Done,
     /* 1687099 */   // Label 23127: @1687099
     /* 1687099 */   GIM_Try, /*On fail goto*//*Label 23128*/ GIMT_Encode4(1687185), // Rule ID 6721 //
     /* 1687104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1687115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1687118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1687121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687150 */     // MIs[0] policy
     /* 1687150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1687163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687184 */     // GIR_Coverage, 6721,
     /* 1687184 */     GIR_EraseRootFromParent_Done,
     /* 1687185 */   // Label 23128: @1687185
     /* 1687185 */   GIM_Try, /*On fail goto*//*Label 23129*/ GIMT_Encode4(1687271), // Rule ID 6724 //
     /* 1687190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687236 */     // MIs[0] policy
     /* 1687236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1687249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687270 */     // GIR_Coverage, 6724,
     /* 1687270 */     GIR_EraseRootFromParent_Done,
     /* 1687271 */   // Label 23129: @1687271
     /* 1687271 */   GIM_Try, /*On fail goto*//*Label 23130*/ GIMT_Encode4(1687357), // Rule ID 6725 //
     /* 1687276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1687287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1687290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1687293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1687299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687322 */     // MIs[0] policy
     /* 1687322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1687335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1687353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687356 */     // GIR_Coverage, 6725,
     /* 1687356 */     GIR_EraseRootFromParent_Done,
     /* 1687357 */   // Label 23130: @1687357
     /* 1687357 */   GIM_Try, /*On fail goto*//*Label 23131*/ GIMT_Encode4(1687443), // Rule ID 6728 //
     /* 1687362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687408 */     // MIs[0] policy
     /* 1687408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1687421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687442 */     // GIR_Coverage, 6728,
     /* 1687442 */     GIR_EraseRootFromParent_Done,
     /* 1687443 */   // Label 23131: @1687443
     /* 1687443 */   GIM_Try, /*On fail goto*//*Label 23132*/ GIMT_Encode4(1687529), // Rule ID 6729 //
     /* 1687448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1687459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1687462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1687465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1687471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1687478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1687486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687494 */     // MIs[0] policy
     /* 1687494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687504 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11554:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M2_MASK),
     /* 1687507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687528 */     // GIR_Coverage, 6729,
     /* 1687528 */     GIR_EraseRootFromParent_Done,
     /* 1687529 */   // Label 23132: @1687529
     /* 1687529 */   GIM_Try, /*On fail goto*//*Label 23133*/ GIMT_Encode4(1687615), // Rule ID 6732 //
     /* 1687534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687580 */     // MIs[0] policy
     /* 1687580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687590 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1687593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687614 */     // GIR_Coverage, 6732,
     /* 1687614 */     GIR_EraseRootFromParent_Done,
     /* 1687615 */   // Label 23133: @1687615
     /* 1687615 */   GIM_Try, /*On fail goto*//*Label 23134*/ GIMT_Encode4(1687701), // Rule ID 6733 //
     /* 1687620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1687631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1687634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1687637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1687643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1687650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1687658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687666 */     // MIs[0] policy
     /* 1687666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11554:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M4_MASK),
     /* 1687679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687700 */     // GIR_Coverage, 6733,
     /* 1687700 */     GIR_EraseRootFromParent_Done,
     /* 1687701 */   // Label 23134: @1687701
     /* 1687701 */   GIM_Try, /*On fail goto*//*Label 23135*/ GIMT_Encode4(1687787), // Rule ID 6736 //
     /* 1687706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1687709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1687726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687752 */     // MIs[0] policy
     /* 1687752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1687765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687786 */     // GIR_Coverage, 6736,
     /* 1687786 */     GIR_EraseRootFromParent_Done,
     /* 1687787 */   // Label 23135: @1687787
     /* 1687787 */   GIM_Try, /*On fail goto*//*Label 23136*/ GIMT_Encode4(1687873), // Rule ID 6737 //
     /* 1687792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1687795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsll_mask),
     /* 1687800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1687803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1687806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1687809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1687812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1687815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1687822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1687830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1687834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687838 */     // MIs[0] policy
     /* 1687838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11554:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1687848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VX_M8_MASK),
     /* 1687851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1687869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687872 */     // GIR_Coverage, 6737,
     /* 1687872 */     GIR_EraseRootFromParent_Done,
     /* 1687873 */   // Label 23136: @1687873
     /* 1687873 */   GIM_Try, /*On fail goto*//*Label 23137*/ GIMT_Encode4(1687959), // Rule ID 6828 //
     /* 1687878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1687881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1687898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1687904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1687924 */     // MIs[0] policy
     /* 1687924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1687927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1687934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1687934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1687937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1687939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1687941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1687943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1687945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1687947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1687952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1687955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1687957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1687958 */     // GIR_Coverage, 6828,
     /* 1687958 */     GIR_EraseRootFromParent_Done,
     /* 1687959 */   // Label 23137: @1687959
     /* 1687959 */   GIM_Try, /*On fail goto*//*Label 23138*/ GIMT_Encode4(1688045), // Rule ID 6829 //
     /* 1687964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1687967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1687972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1687975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1687978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1687981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1687984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1687987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1687990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1687994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1687998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688010 */     // MIs[0] policy
     /* 1688010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688020 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8_MASK),
     /* 1688023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688044 */     // GIR_Coverage, 6829,
     /* 1688044 */     GIR_EraseRootFromParent_Done,
     /* 1688045 */   // Label 23138: @1688045
     /* 1688045 */   GIM_Try, /*On fail goto*//*Label 23139*/ GIMT_Encode4(1688131), // Rule ID 6832 //
     /* 1688050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1688070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688096 */     // MIs[0] policy
     /* 1688096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688106 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1688109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688130 */     // GIR_Coverage, 6832,
     /* 1688130 */     GIR_EraseRootFromParent_Done,
     /* 1688131 */   // Label 23139: @1688131
     /* 1688131 */   GIM_Try, /*On fail goto*//*Label 23140*/ GIMT_Encode4(1688217), // Rule ID 6833 //
     /* 1688136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1688147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1688150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1688153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1688156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688182 */     // MIs[0] policy
     /* 1688182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1688195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688216 */     // GIR_Coverage, 6833,
     /* 1688216 */     GIR_EraseRootFromParent_Done,
     /* 1688217 */   // Label 23140: @1688217
     /* 1688217 */   GIM_Try, /*On fail goto*//*Label 23141*/ GIMT_Encode4(1688303), // Rule ID 6836 //
     /* 1688222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1688242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688268 */     // MIs[0] policy
     /* 1688268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1688281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688302 */     // GIR_Coverage, 6836,
     /* 1688302 */     GIR_EraseRootFromParent_Done,
     /* 1688303 */   // Label 23141: @1688303
     /* 1688303 */   GIM_Try, /*On fail goto*//*Label 23142*/ GIMT_Encode4(1688389), // Rule ID 6837 //
     /* 1688308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1688319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1688322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1688325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1688328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1688331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688354 */     // MIs[0] policy
     /* 1688354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688364 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1688367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688388 */     // GIR_Coverage, 6837,
     /* 1688388 */     GIR_EraseRootFromParent_Done,
     /* 1688389 */   // Label 23142: @1688389
     /* 1688389 */   GIM_Try, /*On fail goto*//*Label 23143*/ GIMT_Encode4(1688475), // Rule ID 6840 //
     /* 1688394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1688414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688440 */     // MIs[0] policy
     /* 1688440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1688453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688474 */     // GIR_Coverage, 6840,
     /* 1688474 */     GIR_EraseRootFromParent_Done,
     /* 1688475 */   // Label 23143: @1688475
     /* 1688475 */   GIM_Try, /*On fail goto*//*Label 23144*/ GIMT_Encode4(1688561), // Rule ID 6841 //
     /* 1688480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1688491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1688494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1688497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1688500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688526 */     // MIs[0] policy
     /* 1688526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4_MASK),
     /* 1688539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688560 */     // GIR_Coverage, 6841,
     /* 1688560 */     GIR_EraseRootFromParent_Done,
     /* 1688561 */   // Label 23144: @1688561
     /* 1688561 */   GIM_Try, /*On fail goto*//*Label 23145*/ GIMT_Encode4(1688647), // Rule ID 6844 //
     /* 1688566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1688586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688612 */     // MIs[0] policy
     /* 1688612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688622 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1688625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688646 */     // GIR_Coverage, 6844,
     /* 1688646 */     GIR_EraseRootFromParent_Done,
     /* 1688647 */   // Label 23145: @1688647
     /* 1688647 */   GIM_Try, /*On fail goto*//*Label 23146*/ GIMT_Encode4(1688733), // Rule ID 6845 //
     /* 1688652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1688663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1688666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1688669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1688672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1688675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688698 */     // MIs[0] policy
     /* 1688698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1688711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1688729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688732 */     // GIR_Coverage, 6845,
     /* 1688732 */     GIR_EraseRootFromParent_Done,
     /* 1688733 */   // Label 23146: @1688733
     /* 1688733 */   GIM_Try, /*On fail goto*//*Label 23147*/ GIMT_Encode4(1688819), // Rule ID 6848 //
     /* 1688738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1688758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688784 */     // MIs[0] policy
     /* 1688784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1688797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688818 */     // GIR_Coverage, 6848,
     /* 1688818 */     GIR_EraseRootFromParent_Done,
     /* 1688819 */   // Label 23147: @1688819
     /* 1688819 */   GIM_Try, /*On fail goto*//*Label 23148*/ GIMT_Encode4(1688905), // Rule ID 6849 //
     /* 1688824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1688835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1688838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1688841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1688844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1688847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1688850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688870 */     // MIs[0] policy
     /* 1688870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688880 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1688880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2_MASK),
     /* 1688883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1688901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688904 */     // GIR_Coverage, 6849,
     /* 1688904 */     GIR_EraseRootFromParent_Done,
     /* 1688905 */   // Label 23148: @1688905
     /* 1688905 */   GIM_Try, /*On fail goto*//*Label 23149*/ GIMT_Encode4(1688991), // Rule ID 6852 //
     /* 1688910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1688913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1688918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1688921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1688924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1688927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1688930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1688933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1688936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1688940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1688952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1688956 */     // MIs[0] policy
     /* 1688956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1688959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1688966 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1688966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1688969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1688971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1688973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1688975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1688977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1688979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1688984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1688987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1688989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1688990 */     // GIR_Coverage, 6852,
     /* 1688990 */     GIR_EraseRootFromParent_Done,
     /* 1688991 */   // Label 23149: @1688991
     /* 1688991 */   GIM_Try, /*On fail goto*//*Label 23150*/ GIMT_Encode4(1689077), // Rule ID 6853 //
     /* 1688996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1688999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1689007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1689010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1689013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1689016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1689019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689042 */     // MIs[0] policy
     /* 1689042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1689055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689076 */     // GIR_Coverage, 6853,
     /* 1689076 */     GIR_EraseRootFromParent_Done,
     /* 1689077 */   // Label 23150: @1689077
     /* 1689077 */   GIM_Try, /*On fail goto*//*Label 23151*/ GIMT_Encode4(1689163), // Rule ID 6856 //
     /* 1689082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1689102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689128 */     // MIs[0] policy
     /* 1689128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1689141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689162 */     // GIR_Coverage, 6856,
     /* 1689162 */     GIR_EraseRootFromParent_Done,
     /* 1689163 */   // Label 23151: @1689163
     /* 1689163 */   GIM_Try, /*On fail goto*//*Label 23152*/ GIMT_Encode4(1689249), // Rule ID 6857 //
     /* 1689168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1689179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1689182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1689185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1689188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1689191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689214 */     // MIs[0] policy
     /* 1689214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1689227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1689245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689248 */     // GIR_Coverage, 6857,
     /* 1689248 */     GIR_EraseRootFromParent_Done,
     /* 1689249 */   // Label 23152: @1689249
     /* 1689249 */   GIM_Try, /*On fail goto*//*Label 23153*/ GIMT_Encode4(1689335), // Rule ID 6860 //
     /* 1689254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1689274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689300 */     // MIs[0] policy
     /* 1689300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1689313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689334 */     // GIR_Coverage, 6860,
     /* 1689334 */     GIR_EraseRootFromParent_Done,
     /* 1689335 */   // Label 23153: @1689335
     /* 1689335 */   GIM_Try, /*On fail goto*//*Label 23154*/ GIMT_Encode4(1689421), // Rule ID 6861 //
     /* 1689340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1689351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1689354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1689357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1689360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1689363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689386 */     // MIs[0] policy
     /* 1689386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1689399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1689417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689420 */     // GIR_Coverage, 6861,
     /* 1689420 */     GIR_EraseRootFromParent_Done,
     /* 1689421 */   // Label 23154: @1689421
     /* 1689421 */   GIM_Try, /*On fail goto*//*Label 23155*/ GIMT_Encode4(1689507), // Rule ID 6864 //
     /* 1689426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1689429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1689446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689472 */     // MIs[0] policy
     /* 1689472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1689485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689506 */     // GIR_Coverage, 6864,
     /* 1689506 */     GIR_EraseRootFromParent_Done,
     /* 1689507 */   // Label 23155: @1689507
     /* 1689507 */   GIM_Try, /*On fail goto*//*Label 23156*/ GIMT_Encode4(1689593), // Rule ID 6865 //
     /* 1689512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1689515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1689523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1689526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1689529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1689532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1689535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1689542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1689554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689558 */     // MIs[0] policy
     /* 1689558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1_MASK),
     /* 1689571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1689589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689592 */     // GIR_Coverage, 6865,
     /* 1689592 */     GIR_EraseRootFromParent_Done,
     /* 1689593 */   // Label 23156: @1689593
     /* 1689593 */   GIM_Try, /*On fail goto*//*Label 23157*/ GIMT_Encode4(1689679), // Rule ID 6868 //
     /* 1689598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1689618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689644 */     // MIs[0] policy
     /* 1689644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1689657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689678 */     // GIR_Coverage, 6868,
     /* 1689678 */     GIR_EraseRootFromParent_Done,
     /* 1689679 */   // Label 23157: @1689679
     /* 1689679 */   GIM_Try, /*On fail goto*//*Label 23158*/ GIMT_Encode4(1689765), // Rule ID 6869 //
     /* 1689684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1689695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1689698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1689701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1689704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1689707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1689714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1689726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689730 */     // MIs[0] policy
     /* 1689730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689740 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1689743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689764 */     // GIR_Coverage, 6869,
     /* 1689764 */     GIR_EraseRootFromParent_Done,
     /* 1689765 */   // Label 23158: @1689765
     /* 1689765 */   GIM_Try, /*On fail goto*//*Label 23159*/ GIMT_Encode4(1689851), // Rule ID 6872 //
     /* 1689770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1689790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689816 */     // MIs[0] policy
     /* 1689816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1689829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689850 */     // GIR_Coverage, 6872,
     /* 1689850 */     GIR_EraseRootFromParent_Done,
     /* 1689851 */   // Label 23159: @1689851
     /* 1689851 */   GIM_Try, /*On fail goto*//*Label 23160*/ GIMT_Encode4(1689937), // Rule ID 6873 //
     /* 1689856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1689859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1689867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1689870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1689873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1689876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1689879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1689882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1689886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1689898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689902 */     // MIs[0] policy
     /* 1689902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1689912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1689915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1689917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1689919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1689921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1689923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1689925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1689930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1689933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1689935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1689936 */     // GIR_Coverage, 6873,
     /* 1689936 */     GIR_EraseRootFromParent_Done,
     /* 1689937 */   // Label 23160: @1689937
     /* 1689937 */   GIM_Try, /*On fail goto*//*Label 23161*/ GIMT_Encode4(1690023), // Rule ID 6876 //
     /* 1689942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1689945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1689950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1689953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1689956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1689959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1689962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1689965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1689968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1689972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1689984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1689988 */     // MIs[0] policy
     /* 1689988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1689991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1689998 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1689998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1690001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690022 */     // GIR_Coverage, 6876,
     /* 1690022 */     GIR_EraseRootFromParent_Done,
     /* 1690023 */   // Label 23161: @1690023
     /* 1690023 */   GIM_Try, /*On fail goto*//*Label 23162*/ GIMT_Encode4(1690109), // Rule ID 6877 //
     /* 1690028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1690039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1690042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1690045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1690048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1690051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690074 */     // MIs[0] policy
     /* 1690074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690084 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1690087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1690105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690108 */     // GIR_Coverage, 6877,
     /* 1690108 */     GIR_EraseRootFromParent_Done,
     /* 1690109 */   // Label 23162: @1690109
     /* 1690109 */   GIM_Try, /*On fail goto*//*Label 23163*/ GIMT_Encode4(1690195), // Rule ID 6880 //
     /* 1690114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1690134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690160 */     // MIs[0] policy
     /* 1690160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1690173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690194 */     // GIR_Coverage, 6880,
     /* 1690194 */     GIR_EraseRootFromParent_Done,
     /* 1690195 */   // Label 23163: @1690195
     /* 1690195 */   GIM_Try, /*On fail goto*//*Label 23164*/ GIMT_Encode4(1690281), // Rule ID 6881 //
     /* 1690200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1690211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1690214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1690217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1690220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690246 */     // MIs[0] policy
     /* 1690246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1690259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690280 */     // GIR_Coverage, 6881,
     /* 1690280 */     GIR_EraseRootFromParent_Done,
     /* 1690281 */   // Label 23164: @1690281
     /* 1690281 */   GIM_Try, /*On fail goto*//*Label 23165*/ GIMT_Encode4(1690367), // Rule ID 6884 //
     /* 1690286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1690306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690332 */     // MIs[0] policy
     /* 1690332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1690345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690366 */     // GIR_Coverage, 6884,
     /* 1690366 */     GIR_EraseRootFromParent_Done,
     /* 1690367 */   // Label 23165: @1690367
     /* 1690367 */   GIM_Try, /*On fail goto*//*Label 23166*/ GIMT_Encode4(1690453), // Rule ID 6885 //
     /* 1690372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1690383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1690386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1690389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1690392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690418 */     // MIs[0] policy
     /* 1690418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1690431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690452 */     // GIR_Coverage, 6885,
     /* 1690452 */     GIR_EraseRootFromParent_Done,
     /* 1690453 */   // Label 23166: @1690453
     /* 1690453 */   GIM_Try, /*On fail goto*//*Label 23167*/ GIMT_Encode4(1690539), // Rule ID 6888 //
     /* 1690458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1690478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690504 */     // MIs[0] policy
     /* 1690504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1690517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690538 */     // GIR_Coverage, 6888,
     /* 1690538 */     GIR_EraseRootFromParent_Done,
     /* 1690539 */   // Label 23167: @1690539
     /* 1690539 */   GIM_Try, /*On fail goto*//*Label 23168*/ GIMT_Encode4(1690625), // Rule ID 6889 //
     /* 1690544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1690555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1690558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1690561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1690564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1690567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1690574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1690586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690590 */     // MIs[0] policy
     /* 1690590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690600 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1690603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1690621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690624 */     // GIR_Coverage, 6889,
     /* 1690624 */     GIR_EraseRootFromParent_Done,
     /* 1690625 */   // Label 23168: @1690625
     /* 1690625 */   GIM_Try, /*On fail goto*//*Label 23169*/ GIMT_Encode4(1690711), // Rule ID 6892 //
     /* 1690630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1690650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690676 */     // MIs[0] policy
     /* 1690676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1690689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690710 */     // GIR_Coverage, 6892,
     /* 1690710 */     GIR_EraseRootFromParent_Done,
     /* 1690711 */   // Label 23169: @1690711
     /* 1690711 */   GIM_Try, /*On fail goto*//*Label 23170*/ GIMT_Encode4(1690797), // Rule ID 6893 //
     /* 1690716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1690727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1690730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1690733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1690736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1690739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1690746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1690758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690762 */     // MIs[0] policy
     /* 1690762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1690775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690796 */     // GIR_Coverage, 6893,
     /* 1690796 */     GIR_EraseRootFromParent_Done,
     /* 1690797 */   // Label 23170: @1690797
     /* 1690797 */   GIM_Try, /*On fail goto*//*Label 23171*/ GIMT_Encode4(1690883), // Rule ID 6896 //
     /* 1690802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1690822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1690828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690848 */     // MIs[0] policy
     /* 1690848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1690858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1690861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690882 */     // GIR_Coverage, 6896,
     /* 1690882 */     GIR_EraseRootFromParent_Done,
     /* 1690883 */   // Label 23171: @1690883
     /* 1690883 */   GIM_Try, /*On fail goto*//*Label 23172*/ GIMT_Encode4(1690969), // Rule ID 6897 //
     /* 1690888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1690891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1690899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1690902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1690905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1690908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1690911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1690914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1690918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1690930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1690934 */     // MIs[0] policy
     /* 1690934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1690937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1690944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1690944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1690947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1690949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1690951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1690953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1690955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1690957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1690962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1690965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1690967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1690968 */     // GIR_Coverage, 6897,
     /* 1690968 */     GIR_EraseRootFromParent_Done,
     /* 1690969 */   // Label 23172: @1690969
     /* 1690969 */   GIM_Try, /*On fail goto*//*Label 23173*/ GIMT_Encode4(1691055), // Rule ID 6900 //
     /* 1690974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1690977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1690982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1690985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1690988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1690991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1690994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1690997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691020 */     // MIs[0] policy
     /* 1691020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1691033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691054 */     // GIR_Coverage, 6900,
     /* 1691054 */     GIR_EraseRootFromParent_Done,
     /* 1691055 */   // Label 23173: @1691055
     /* 1691055 */   GIM_Try, /*On fail goto*//*Label 23174*/ GIMT_Encode4(1691141), // Rule ID 6901 //
     /* 1691060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1691071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1691074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1691077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1691080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1691083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691106 */     // MIs[0] policy
     /* 1691106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1691119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1691137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691140 */     // GIR_Coverage, 6901,
     /* 1691140 */     GIR_EraseRootFromParent_Done,
     /* 1691141 */   // Label 23174: @1691141
     /* 1691141 */   GIM_Try, /*On fail goto*//*Label 23175*/ GIMT_Encode4(1691227), // Rule ID 6904 //
     /* 1691146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1691166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691192 */     // MIs[0] policy
     /* 1691192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1691205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691226 */     // GIR_Coverage, 6904,
     /* 1691226 */     GIR_EraseRootFromParent_Done,
     /* 1691227 */   // Label 23175: @1691227
     /* 1691227 */   GIM_Try, /*On fail goto*//*Label 23176*/ GIMT_Encode4(1691313), // Rule ID 6905 //
     /* 1691232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1691243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1691246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1691249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1691252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1691262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1691274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691278 */     // MIs[0] policy
     /* 1691278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2_MASK),
     /* 1691291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691312 */     // GIR_Coverage, 6905,
     /* 1691312 */     GIR_EraseRootFromParent_Done,
     /* 1691313 */   // Label 23176: @1691313
     /* 1691313 */   GIM_Try, /*On fail goto*//*Label 23177*/ GIMT_Encode4(1691399), // Rule ID 6908 //
     /* 1691318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1691338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691364 */     // MIs[0] policy
     /* 1691364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1691377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691398 */     // GIR_Coverage, 6908,
     /* 1691398 */     GIR_EraseRootFromParent_Done,
     /* 1691399 */   // Label 23177: @1691399
     /* 1691399 */   GIM_Try, /*On fail goto*//*Label 23178*/ GIMT_Encode4(1691485), // Rule ID 6909 //
     /* 1691404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1691415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1691418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1691421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1691424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1691427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1691434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1691446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691450 */     // MIs[0] policy
     /* 1691450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691460 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4_MASK),
     /* 1691463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691484 */     // GIR_Coverage, 6909,
     /* 1691484 */     GIR_EraseRootFromParent_Done,
     /* 1691485 */   // Label 23178: @1691485
     /* 1691485 */   GIM_Try, /*On fail goto*//*Label 23179*/ GIMT_Encode4(1691571), // Rule ID 6912 //
     /* 1691490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1691493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1691510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691536 */     // MIs[0] policy
     /* 1691536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1691549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691570 */     // GIR_Coverage, 6912,
     /* 1691570 */     GIR_EraseRootFromParent_Done,
     /* 1691571 */   // Label 23179: @1691571
     /* 1691571 */   GIM_Try, /*On fail goto*//*Label 23180*/ GIMT_Encode4(1691657), // Rule ID 6913 //
     /* 1691576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1691579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1691587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1691590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1691593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1691596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1691599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1691606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1691618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691622 */     // MIs[0] policy
     /* 1691622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691632 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8_MASK),
     /* 1691635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1691653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691656 */     // GIR_Coverage, 6913,
     /* 1691656 */     GIR_EraseRootFromParent_Done,
     /* 1691657 */   // Label 23180: @1691657
     /* 1691657 */   GIM_Try, /*On fail goto*//*Label 23181*/ GIMT_Encode4(1691743), // Rule ID 6916 //
     /* 1691662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1691679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691708 */     // MIs[0] policy
     /* 1691708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1691721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691742 */     // GIR_Coverage, 6916,
     /* 1691742 */     GIR_EraseRootFromParent_Done,
     /* 1691743 */   // Label 23181: @1691743
     /* 1691743 */   GIM_Try, /*On fail goto*//*Label 23182*/ GIMT_Encode4(1691829), // Rule ID 6917 //
     /* 1691748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1691759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1691762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1691765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1691771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691794 */     // MIs[0] policy
     /* 1691794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF8_MASK),
     /* 1691807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691828 */     // GIR_Coverage, 6917,
     /* 1691828 */     GIR_EraseRootFromParent_Done,
     /* 1691829 */   // Label 23182: @1691829
     /* 1691829 */   GIM_Try, /*On fail goto*//*Label 23183*/ GIMT_Encode4(1691915), // Rule ID 6920 //
     /* 1691834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1691837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1691854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1691860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691880 */     // MIs[0] policy
     /* 1691880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691890 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1691890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1691893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1691914 */     // GIR_Coverage, 6920,
     /* 1691914 */     GIR_EraseRootFromParent_Done,
     /* 1691915 */   // Label 23183: @1691915
     /* 1691915 */   GIM_Try, /*On fail goto*//*Label 23184*/ GIMT_Encode4(1692001), // Rule ID 6921 //
     /* 1691920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1691923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1691928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1691931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1691934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1691937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1691940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1691943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1691946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1691950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1691958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1691962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1691966 */     // MIs[0] policy
     /* 1691966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1691969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1691976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1691976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1691979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1691981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1691983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1691985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1691987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1691989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1691994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1691997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1691999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692000 */     // GIR_Coverage, 6921,
     /* 1692000 */     GIR_EraseRootFromParent_Done,
     /* 1692001 */   // Label 23184: @1692001
     /* 1692001 */   GIM_Try, /*On fail goto*//*Label 23185*/ GIMT_Encode4(1692087), // Rule ID 6924 //
     /* 1692006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1692023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692052 */     // MIs[0] policy
     /* 1692052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692062 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1692065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692086 */     // GIR_Coverage, 6924,
     /* 1692086 */     GIR_EraseRootFromParent_Done,
     /* 1692087 */   // Label 23185: @1692087
     /* 1692087 */   GIM_Try, /*On fail goto*//*Label 23186*/ GIMT_Encode4(1692173), // Rule ID 6925 //
     /* 1692092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1692103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1692106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1692109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692138 */     // MIs[0] policy
     /* 1692138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1692151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692172 */     // GIR_Coverage, 6925,
     /* 1692172 */     GIR_EraseRootFromParent_Done,
     /* 1692173 */   // Label 23186: @1692173
     /* 1692173 */   GIM_Try, /*On fail goto*//*Label 23187*/ GIMT_Encode4(1692259), // Rule ID 6928 //
     /* 1692178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1692189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1692192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1692195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692224 */     // MIs[0] policy
     /* 1692224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1692237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692258 */     // GIR_Coverage, 6928,
     /* 1692258 */     GIR_EraseRootFromParent_Done,
     /* 1692259 */   // Label 23187: @1692259
     /* 1692259 */   GIM_Try, /*On fail goto*//*Label 23188*/ GIMT_Encode4(1692345), // Rule ID 6929 //
     /* 1692264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1692275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1692278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1692281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692310 */     // MIs[0] policy
     /* 1692310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692320 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF4_MASK),
     /* 1692323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692344 */     // GIR_Coverage, 6929,
     /* 1692344 */     GIR_EraseRootFromParent_Done,
     /* 1692345 */   // Label 23188: @1692345
     /* 1692345 */   GIM_Try, /*On fail goto*//*Label 23189*/ GIMT_Encode4(1692431), // Rule ID 6932 //
     /* 1692350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692396 */     // MIs[0] policy
     /* 1692396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1692409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692430 */     // GIR_Coverage, 6932,
     /* 1692430 */     GIR_EraseRootFromParent_Done,
     /* 1692431 */   // Label 23189: @1692431
     /* 1692431 */   GIM_Try, /*On fail goto*//*Label 23190*/ GIMT_Encode4(1692517), // Rule ID 6933 //
     /* 1692436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1692447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1692450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1692453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1692459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692482 */     // MIs[0] policy
     /* 1692482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1692495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692516 */     // GIR_Coverage, 6933,
     /* 1692516 */     GIR_EraseRootFromParent_Done,
     /* 1692517 */   // Label 23190: @1692517
     /* 1692517 */   GIM_Try, /*On fail goto*//*Label 23191*/ GIMT_Encode4(1692603), // Rule ID 6936 //
     /* 1692522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692568 */     // MIs[0] policy
     /* 1692568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1692581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692602 */     // GIR_Coverage, 6936,
     /* 1692602 */     GIR_EraseRootFromParent_Done,
     /* 1692603 */   // Label 23191: @1692603
     /* 1692603 */   GIM_Try, /*On fail goto*//*Label 23192*/ GIMT_Encode4(1692689), // Rule ID 6937 //
     /* 1692608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1692619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1692622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1692625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1692631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692654 */     // MIs[0] policy
     /* 1692654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_MF2_MASK),
     /* 1692667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1692685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692688 */     // GIR_Coverage, 6937,
     /* 1692688 */     GIR_EraseRootFromParent_Done,
     /* 1692689 */   // Label 23192: @1692689
     /* 1692689 */   GIM_Try, /*On fail goto*//*Label 23193*/ GIMT_Encode4(1692775), // Rule ID 6940 //
     /* 1692694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1692711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692740 */     // MIs[0] policy
     /* 1692740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692774 */     // GIR_Coverage, 6940,
     /* 1692774 */     GIR_EraseRootFromParent_Done,
     /* 1692775 */   // Label 23193: @1692775
     /* 1692775 */   GIM_Try, /*On fail goto*//*Label 23194*/ GIMT_Encode4(1692861), // Rule ID 6941 //
     /* 1692780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1692791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1692794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1692797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1692803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692826 */     // MIs[0] policy
     /* 1692826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11582:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1692836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1692857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692860 */     // GIR_Coverage, 6941,
     /* 1692860 */     GIR_EraseRootFromParent_Done,
     /* 1692861 */   // Label 23194: @1692861
     /* 1692861 */   GIM_Try, /*On fail goto*//*Label 23195*/ GIMT_Encode4(1692947), // Rule ID 6944 //
     /* 1692866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1692869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1692886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1692892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692912 */     // MIs[0] policy
     /* 1692912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1692915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1692922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1692922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1692925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1692927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1692929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1692931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1692933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1692935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1692940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1692943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1692945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1692946 */     // GIR_Coverage, 6944,
     /* 1692946 */     GIR_EraseRootFromParent_Done,
     /* 1692947 */   // Label 23195: @1692947
     /* 1692947 */   GIM_Try, /*On fail goto*//*Label 23196*/ GIMT_Encode4(1693033), // Rule ID 6945 //
     /* 1692952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1692955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1692960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1692963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1692966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1692969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1692972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1692975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1692978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1692982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1692990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1692994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1692998 */     // MIs[0] policy
     /* 1692998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11582:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1693011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693032 */     // GIR_Coverage, 6945,
     /* 1693032 */     GIR_EraseRootFromParent_Done,
     /* 1693033 */   // Label 23196: @1693033
     /* 1693033 */   GIM_Try, /*On fail goto*//*Label 23197*/ GIMT_Encode4(1693119), // Rule ID 6948 //
     /* 1693038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693084 */     // MIs[0] policy
     /* 1693084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1693097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693118 */     // GIR_Coverage, 6948,
     /* 1693118 */     GIR_EraseRootFromParent_Done,
     /* 1693119 */   // Label 23197: @1693119
     /* 1693119 */   GIM_Try, /*On fail goto*//*Label 23198*/ GIMT_Encode4(1693205), // Rule ID 6949 //
     /* 1693124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1693135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1693138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1693141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1693147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693170 */     // MIs[0] policy
     /* 1693170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11582:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1693183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1693201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693204 */     // GIR_Coverage, 6949,
     /* 1693204 */     GIR_EraseRootFromParent_Done,
     /* 1693205 */   // Label 23198: @1693205
     /* 1693205 */   GIM_Try, /*On fail goto*//*Label 23199*/ GIMT_Encode4(1693291), // Rule ID 6952 //
     /* 1693210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1693213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1693221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1693224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1693227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693256 */     // MIs[0] policy
     /* 1693256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1693269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1693287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693290 */     // GIR_Coverage, 6952,
     /* 1693290 */     GIR_EraseRootFromParent_Done,
     /* 1693291 */   // Label 23199: @1693291
     /* 1693291 */   GIM_Try, /*On fail goto*//*Label 23200*/ GIMT_Encode4(1693377), // Rule ID 6953 //
     /* 1693296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1693299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1693307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1693310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1693313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1693319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1693326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1693334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693342 */     // MIs[0] policy
     /* 1693342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11582:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M1_MASK),
     /* 1693355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1693373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693376 */     // GIR_Coverage, 6953,
     /* 1693376 */     GIR_EraseRootFromParent_Done,
     /* 1693377 */   // Label 23200: @1693377
     /* 1693377 */   GIM_Try, /*On fail goto*//*Label 23201*/ GIMT_Encode4(1693463), // Rule ID 6956 //
     /* 1693382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1693393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1693399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693428 */     // MIs[0] policy
     /* 1693428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1693441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693462 */     // GIR_Coverage, 6956,
     /* 1693462 */     GIR_EraseRootFromParent_Done,
     /* 1693463 */   // Label 23201: @1693463
     /* 1693463 */   GIM_Try, /*On fail goto*//*Label 23202*/ GIMT_Encode4(1693549), // Rule ID 6957 //
     /* 1693468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1693479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1693482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1693485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1693491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693514 */     // MIs[0] policy
     /* 1693514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1693527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693548 */     // GIR_Coverage, 6957,
     /* 1693548 */     GIR_EraseRootFromParent_Done,
     /* 1693549 */   // Label 23202: @1693549
     /* 1693549 */   GIM_Try, /*On fail goto*//*Label 23203*/ GIMT_Encode4(1693635), // Rule ID 6960 //
     /* 1693554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1693571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693600 */     // MIs[0] policy
     /* 1693600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693610 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1693613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693634 */     // GIR_Coverage, 6960,
     /* 1693634 */     GIR_EraseRootFromParent_Done,
     /* 1693635 */   // Label 23203: @1693635
     /* 1693635 */   GIM_Try, /*On fail goto*//*Label 23204*/ GIMT_Encode4(1693721), // Rule ID 6961 //
     /* 1693640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1693651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1693654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1693657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1693663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1693670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1693678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693686 */     // MIs[0] policy
     /* 1693686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1693699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693720 */     // GIR_Coverage, 6961,
     /* 1693720 */     GIR_EraseRootFromParent_Done,
     /* 1693721 */   // Label 23204: @1693721
     /* 1693721 */   GIM_Try, /*On fail goto*//*Label 23205*/ GIMT_Encode4(1693807), // Rule ID 6964 //
     /* 1693726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1693737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1693740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1693743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1693749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693772 */     // MIs[0] policy
     /* 1693772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693782 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1693785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693806 */     // GIR_Coverage, 6964,
     /* 1693806 */     GIR_EraseRootFromParent_Done,
     /* 1693807 */   // Label 23205: @1693807
     /* 1693807 */   GIM_Try, /*On fail goto*//*Label 23206*/ GIMT_Encode4(1693893), // Rule ID 6965 //
     /* 1693812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1693823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1693826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1693829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1693832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1693835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1693838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1693842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1693850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693858 */     // MIs[0] policy
     /* 1693858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1693868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1693871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1693889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693892 */     // GIR_Coverage, 6965,
     /* 1693892 */     GIR_EraseRootFromParent_Done,
     /* 1693893 */   // Label 23206: @1693893
     /* 1693893 */   GIM_Try, /*On fail goto*//*Label 23207*/ GIMT_Encode4(1693979), // Rule ID 6968 //
     /* 1693898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1693901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1693915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1693918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1693921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1693924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1693928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1693936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1693940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1693944 */     // MIs[0] policy
     /* 1693944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1693947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1693954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1693954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1693957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1693959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1693961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1693963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1693965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1693967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1693972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1693975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1693977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1693978 */     // GIR_Coverage, 6968,
     /* 1693978 */     GIR_EraseRootFromParent_Done,
     /* 1693979 */   // Label 23207: @1693979
     /* 1693979 */   GIM_Try, /*On fail goto*//*Label 23208*/ GIMT_Encode4(1694065), // Rule ID 6969 //
     /* 1693984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1693987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1693992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1693995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1693998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1694001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694030 */     // MIs[0] policy
     /* 1694030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1694043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694064 */     // GIR_Coverage, 6969,
     /* 1694064 */     GIR_EraseRootFromParent_Done,
     /* 1694065 */   // Label 23208: @1694065
     /* 1694065 */   GIM_Try, /*On fail goto*//*Label 23209*/ GIMT_Encode4(1694151), // Rule ID 6972 //
     /* 1694070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1694081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1694084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1694087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694116 */     // MIs[0] policy
     /* 1694116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1694129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694150 */     // GIR_Coverage, 6972,
     /* 1694150 */     GIR_EraseRootFromParent_Done,
     /* 1694151 */   // Label 23209: @1694151
     /* 1694151 */   GIM_Try, /*On fail goto*//*Label 23210*/ GIMT_Encode4(1694237), // Rule ID 6973 //
     /* 1694156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1694167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1694170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1694173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694202 */     // MIs[0] policy
     /* 1694202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1694215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694236 */     // GIR_Coverage, 6973,
     /* 1694236 */     GIR_EraseRootFromParent_Done,
     /* 1694237 */   // Label 23210: @1694237
     /* 1694237 */   GIM_Try, /*On fail goto*//*Label 23211*/ GIMT_Encode4(1694323), // Rule ID 6976 //
     /* 1694242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1694253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1694256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1694259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694288 */     // MIs[0] policy
     /* 1694288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1694301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694322 */     // GIR_Coverage, 6976,
     /* 1694322 */     GIR_EraseRootFromParent_Done,
     /* 1694323 */   // Label 23211: @1694323
     /* 1694323 */   GIM_Try, /*On fail goto*//*Label 23212*/ GIMT_Encode4(1694409), // Rule ID 6977 //
     /* 1694328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1694339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1694342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1694345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1694351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694374 */     // MIs[0] policy
     /* 1694374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1694387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1694405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694408 */     // GIR_Coverage, 6977,
     /* 1694408 */     GIR_EraseRootFromParent_Done,
     /* 1694409 */   // Label 23212: @1694409
     /* 1694409 */   GIM_Try, /*On fail goto*//*Label 23213*/ GIMT_Encode4(1694495), // Rule ID 6980 //
     /* 1694414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694460 */     // MIs[0] policy
     /* 1694460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1694473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694494 */     // GIR_Coverage, 6980,
     /* 1694494 */     GIR_EraseRootFromParent_Done,
     /* 1694495 */   // Label 23213: @1694495
     /* 1694495 */   GIM_Try, /*On fail goto*//*Label 23214*/ GIMT_Encode4(1694581), // Rule ID 6981 //
     /* 1694500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1694511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1694514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1694517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1694523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694546 */     // MIs[0] policy
     /* 1694546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1694559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694580 */     // GIR_Coverage, 6981,
     /* 1694580 */     GIR_EraseRootFromParent_Done,
     /* 1694581 */   // Label 23214: @1694581
     /* 1694581 */   GIM_Try, /*On fail goto*//*Label 23215*/ GIMT_Encode4(1694667), // Rule ID 6984 //
     /* 1694586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694632 */     // MIs[0] policy
     /* 1694632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1694645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694666 */     // GIR_Coverage, 6984,
     /* 1694666 */     GIR_EraseRootFromParent_Done,
     /* 1694667 */   // Label 23215: @1694667
     /* 1694667 */   GIM_Try, /*On fail goto*//*Label 23216*/ GIMT_Encode4(1694753), // Rule ID 6985 //
     /* 1694672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1694683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1694686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1694689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1694695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1694702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1694710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694718 */     // MIs[0] policy
     /* 1694718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1694731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694752 */     // GIR_Coverage, 6985,
     /* 1694752 */     GIR_EraseRootFromParent_Done,
     /* 1694753 */   // Label 23216: @1694753
     /* 1694753 */   GIM_Try, /*On fail goto*//*Label 23217*/ GIMT_Encode4(1694839), // Rule ID 6988 //
     /* 1694758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1694761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694804 */     // MIs[0] policy
     /* 1694804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1694817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694838 */     // GIR_Coverage, 6988,
     /* 1694838 */     GIR_EraseRootFromParent_Done,
     /* 1694839 */   // Label 23217: @1694839
     /* 1694839 */   GIM_Try, /*On fail goto*//*Label 23218*/ GIMT_Encode4(1694925), // Rule ID 6989 //
     /* 1694844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1694847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1694855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1694858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1694861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1694864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1694867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1694870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1694874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1694882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694890 */     // MIs[0] policy
     /* 1694890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1694900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1694903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1694918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1694921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1694923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1694924 */     // GIR_Coverage, 6989,
     /* 1694924 */     GIR_EraseRootFromParent_Done,
     /* 1694925 */   // Label 23218: @1694925
     /* 1694925 */   GIM_Try, /*On fail goto*//*Label 23219*/ GIMT_Encode4(1695011), // Rule ID 6992 //
     /* 1694930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1694933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1694938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1694941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1694944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1694947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1694950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1694953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1694956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1694960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1694968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1694972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1694976 */     // MIs[0] policy
     /* 1694976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1694979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1694986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1694986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1694989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1694991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1694993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1694995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1694997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1694999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695010 */     // GIR_Coverage, 6992,
     /* 1695010 */     GIR_EraseRootFromParent_Done,
     /* 1695011 */   // Label 23219: @1695011
     /* 1695011 */   GIM_Try, /*On fail goto*//*Label 23220*/ GIMT_Encode4(1695097), // Rule ID 6993 //
     /* 1695016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1695019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1695024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1695027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1695030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1695033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1695046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1695054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695062 */     // MIs[0] policy
     /* 1695062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11582:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M2_MASK),
     /* 1695075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695096 */     // GIR_Coverage, 6993,
     /* 1695096 */     GIR_EraseRootFromParent_Done,
     /* 1695097 */   // Label 23220: @1695097
     /* 1695097 */   GIM_Try, /*On fail goto*//*Label 23221*/ GIMT_Encode4(1695183), // Rule ID 6996 //
     /* 1695102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1695105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1695110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1695113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1695116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1695119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695148 */     // MIs[0] policy
     /* 1695148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1695161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695182 */     // GIR_Coverage, 6996,
     /* 1695182 */     GIR_EraseRootFromParent_Done,
     /* 1695183 */   // Label 23221: @1695183
     /* 1695183 */   GIM_Try, /*On fail goto*//*Label 23222*/ GIMT_Encode4(1695269), // Rule ID 6997 //
     /* 1695188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1695191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1695196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1695199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1695202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1695205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1695218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1695226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695234 */     // MIs[0] policy
     /* 1695234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11582:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M4_MASK),
     /* 1695247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695268 */     // GIR_Coverage, 6997,
     /* 1695268 */     GIR_EraseRootFromParent_Done,
     /* 1695269 */   // Label 23222: @1695269
     /* 1695269 */   GIM_Try, /*On fail goto*//*Label 23223*/ GIMT_Encode4(1695355), // Rule ID 7000 //
     /* 1695274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1695277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1695282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1695285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1695288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1695291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1695294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695320 */     // MIs[0] policy
     /* 1695320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1695333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695354 */     // GIR_Coverage, 7000,
     /* 1695354 */     GIR_EraseRootFromParent_Done,
     /* 1695355 */   // Label 23223: @1695355
     /* 1695355 */   GIM_Try, /*On fail goto*//*Label 23224*/ GIMT_Encode4(1695441), // Rule ID 7001 //
     /* 1695360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1695363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsrl_mask),
     /* 1695368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1695371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1695374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1695377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1695380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1695383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1695390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1695398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1695402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695406 */     // MIs[0] policy
     /* 1695406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11582:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VX_M8_MASK),
     /* 1695419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1695437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695440 */     // GIR_Coverage, 7001,
     /* 1695440 */     GIR_EraseRootFromParent_Done,
     /* 1695441 */   // Label 23224: @1695441
     /* 1695441 */   GIM_Try, /*On fail goto*//*Label 23225*/ GIMT_Encode4(1695527), // Rule ID 7092 //
     /* 1695446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1695457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1695460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1695463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1695466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695492 */     // MIs[0] policy
     /* 1695492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1695505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695526 */     // GIR_Coverage, 7092,
     /* 1695526 */     GIR_EraseRootFromParent_Done,
     /* 1695527 */   // Label 23225: @1695527
     /* 1695527 */   GIM_Try, /*On fail goto*//*Label 23226*/ GIMT_Encode4(1695613), // Rule ID 7093 //
     /* 1695532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1695543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1695546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1695549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1695552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695578 */     // MIs[0] policy
     /* 1695578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695588 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8_MASK),
     /* 1695591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695612 */     // GIR_Coverage, 7093,
     /* 1695612 */     GIR_EraseRootFromParent_Done,
     /* 1695613 */   // Label 23226: @1695613
     /* 1695613 */   GIM_Try, /*On fail goto*//*Label 23227*/ GIMT_Encode4(1695699), // Rule ID 7096 //
     /* 1695618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1695629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1695632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1695635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1695638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695664 */     // MIs[0] policy
     /* 1695664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1695677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695698 */     // GIR_Coverage, 7096,
     /* 1695698 */     GIR_EraseRootFromParent_Done,
     /* 1695699 */   // Label 23227: @1695699
     /* 1695699 */   GIM_Try, /*On fail goto*//*Label 23228*/ GIMT_Encode4(1695785), // Rule ID 7097 //
     /* 1695704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1695715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1695718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1695721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1695724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1695727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695750 */     // MIs[0] policy
     /* 1695750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1695763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695784 */     // GIR_Coverage, 7097,
     /* 1695784 */     GIR_EraseRootFromParent_Done,
     /* 1695785 */   // Label 23228: @1695785
     /* 1695785 */   GIM_Try, /*On fail goto*//*Label 23229*/ GIMT_Encode4(1695871), // Rule ID 7100 //
     /* 1695790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1695810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695836 */     // MIs[0] policy
     /* 1695836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695846 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1695846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1695849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695870 */     // GIR_Coverage, 7100,
     /* 1695870 */     GIR_EraseRootFromParent_Done,
     /* 1695871 */   // Label 23229: @1695871
     /* 1695871 */   GIM_Try, /*On fail goto*//*Label 23230*/ GIMT_Encode4(1695957), // Rule ID 7101 //
     /* 1695876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1695879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1695887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1695890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1695893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1695896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1695899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1695902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1695922 */     // MIs[0] policy
     /* 1695922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1695925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1695932 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1695932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1695935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1695937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1695939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1695941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1695943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1695945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1695950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1695953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1695955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1695956 */     // GIR_Coverage, 7101,
     /* 1695956 */     GIR_EraseRootFromParent_Done,
     /* 1695957 */   // Label 23230: @1695957
     /* 1695957 */   GIM_Try, /*On fail goto*//*Label 23231*/ GIMT_Encode4(1696043), // Rule ID 7104 //
     /* 1695962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1695965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1695970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1695973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1695976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1695979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1695982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1695985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1695988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1695992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1695996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696008 */     // MIs[0] policy
     /* 1696008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1696021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696042 */     // GIR_Coverage, 7104,
     /* 1696042 */     GIR_EraseRootFromParent_Done,
     /* 1696043 */   // Label 23231: @1696043
     /* 1696043 */   GIM_Try, /*On fail goto*//*Label 23232*/ GIMT_Encode4(1696129), // Rule ID 7105 //
     /* 1696048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1696059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1696062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1696065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1696068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696094 */     // MIs[0] policy
     /* 1696094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4_MASK),
     /* 1696107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696128 */     // GIR_Coverage, 7105,
     /* 1696128 */     GIR_EraseRootFromParent_Done,
     /* 1696129 */   // Label 23232: @1696129
     /* 1696129 */   GIM_Try, /*On fail goto*//*Label 23233*/ GIMT_Encode4(1696215), // Rule ID 7108 //
     /* 1696134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1696145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1696148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696180 */     // MIs[0] policy
     /* 1696180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1696193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696214 */     // GIR_Coverage, 7108,
     /* 1696214 */     GIR_EraseRootFromParent_Done,
     /* 1696215 */   // Label 23233: @1696215
     /* 1696215 */   GIM_Try, /*On fail goto*//*Label 23234*/ GIMT_Encode4(1696301), // Rule ID 7109 //
     /* 1696220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1696231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1696234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1696237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1696240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696266 */     // MIs[0] policy
     /* 1696266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1696279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696300 */     // GIR_Coverage, 7109,
     /* 1696300 */     GIR_EraseRootFromParent_Done,
     /* 1696301 */   // Label 23234: @1696301
     /* 1696301 */   GIM_Try, /*On fail goto*//*Label 23235*/ GIMT_Encode4(1696387), // Rule ID 7112 //
     /* 1696306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1696323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1696326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696352 */     // MIs[0] policy
     /* 1696352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1696365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696386 */     // GIR_Coverage, 7112,
     /* 1696386 */     GIR_EraseRootFromParent_Done,
     /* 1696387 */   // Label 23235: @1696387
     /* 1696387 */   GIM_Try, /*On fail goto*//*Label 23236*/ GIMT_Encode4(1696473), // Rule ID 7113 //
     /* 1696392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1696403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1696406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1696409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1696412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1696415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696438 */     // MIs[0] policy
     /* 1696438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2_MASK),
     /* 1696451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696472 */     // GIR_Coverage, 7113,
     /* 1696472 */     GIR_EraseRootFromParent_Done,
     /* 1696473 */   // Label 23236: @1696473
     /* 1696473 */   GIM_Try, /*On fail goto*//*Label 23237*/ GIMT_Encode4(1696559), // Rule ID 7116 //
     /* 1696478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1696495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1696498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696524 */     // MIs[0] policy
     /* 1696524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696558 */     // GIR_Coverage, 7116,
     /* 1696558 */     GIR_EraseRootFromParent_Done,
     /* 1696559 */   // Label 23237: @1696559
     /* 1696559 */   GIM_Try, /*On fail goto*//*Label 23238*/ GIMT_Encode4(1696645), // Rule ID 7117 //
     /* 1696564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1696575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1696578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1696581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1696584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1696587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696610 */     // MIs[0] policy
     /* 1696610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1696641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696644 */     // GIR_Coverage, 7117,
     /* 1696644 */     GIR_EraseRootFromParent_Done,
     /* 1696645 */   // Label 23238: @1696645
     /* 1696645 */   GIM_Try, /*On fail goto*//*Label 23239*/ GIMT_Encode4(1696731), // Rule ID 7120 //
     /* 1696650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1696670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696696 */     // MIs[0] policy
     /* 1696696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696730 */     // GIR_Coverage, 7120,
     /* 1696730 */     GIR_EraseRootFromParent_Done,
     /* 1696731 */   // Label 23239: @1696731
     /* 1696731 */   GIM_Try, /*On fail goto*//*Label 23240*/ GIMT_Encode4(1696817), // Rule ID 7121 //
     /* 1696736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1696747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1696750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1696753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1696756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1696759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696782 */     // MIs[0] policy
     /* 1696782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1696813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696816 */     // GIR_Coverage, 7121,
     /* 1696816 */     GIR_EraseRootFromParent_Done,
     /* 1696817 */   // Label 23240: @1696817
     /* 1696817 */   GIM_Try, /*On fail goto*//*Label 23241*/ GIMT_Encode4(1696903), // Rule ID 7124 //
     /* 1696822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1696825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1696839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1696842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1696848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696868 */     // MIs[0] policy
     /* 1696868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1696878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696902 */     // GIR_Coverage, 7124,
     /* 1696902 */     GIR_EraseRootFromParent_Done,
     /* 1696903 */   // Label 23241: @1696903
     /* 1696903 */   GIM_Try, /*On fail goto*//*Label 23242*/ GIMT_Encode4(1696989), // Rule ID 7125 //
     /* 1696908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1696911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1696916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1696919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1696922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1696925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1696928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1696931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1696934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1696938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1696950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1696954 */     // MIs[0] policy
     /* 1696954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1696957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1696964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1696964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1696967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1696969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1696971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1696973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1696975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1696977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1696982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1696985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1696987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1696988 */     // GIR_Coverage, 7125,
     /* 1696988 */     GIR_EraseRootFromParent_Done,
     /* 1696989 */   // Label 23242: @1696989
     /* 1696989 */   GIM_Try, /*On fail goto*//*Label 23243*/ GIMT_Encode4(1697075), // Rule ID 7128 //
     /* 1696994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1696997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1697005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1697008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1697011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1697014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697040 */     // MIs[0] policy
     /* 1697040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1697053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1697071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697074 */     // GIR_Coverage, 7128,
     /* 1697074 */     GIR_EraseRootFromParent_Done,
     /* 1697075 */   // Label 23243: @1697075
     /* 1697075 */   GIM_Try, /*On fail goto*//*Label 23244*/ GIMT_Encode4(1697161), // Rule ID 7129 //
     /* 1697080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1697083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1697091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1697094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1697097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1697100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1697103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1697110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1697122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697126 */     // MIs[0] policy
     /* 1697126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1_MASK),
     /* 1697139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1697157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697160 */     // GIR_Coverage, 7129,
     /* 1697160 */     GIR_EraseRootFromParent_Done,
     /* 1697161 */   // Label 23244: @1697161
     /* 1697161 */   GIM_Try, /*On fail goto*//*Label 23245*/ GIMT_Encode4(1697247), // Rule ID 7132 //
     /* 1697166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1697183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697212 */     // MIs[0] policy
     /* 1697212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1697225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697246 */     // GIR_Coverage, 7132,
     /* 1697246 */     GIR_EraseRootFromParent_Done,
     /* 1697247 */   // Label 23245: @1697247
     /* 1697247 */   GIM_Try, /*On fail goto*//*Label 23246*/ GIMT_Encode4(1697333), // Rule ID 7133 //
     /* 1697252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1697263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1697266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1697269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1697272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697298 */     // MIs[0] policy
     /* 1697298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1697311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697332 */     // GIR_Coverage, 7133,
     /* 1697332 */     GIR_EraseRootFromParent_Done,
     /* 1697333 */   // Label 23246: @1697333
     /* 1697333 */   GIM_Try, /*On fail goto*//*Label 23247*/ GIMT_Encode4(1697419), // Rule ID 7136 //
     /* 1697338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1697355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697384 */     // MIs[0] policy
     /* 1697384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697394 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1697397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697418 */     // GIR_Coverage, 7136,
     /* 1697418 */     GIR_EraseRootFromParent_Done,
     /* 1697419 */   // Label 23247: @1697419
     /* 1697419 */   GIM_Try, /*On fail goto*//*Label 23248*/ GIMT_Encode4(1697505), // Rule ID 7137 //
     /* 1697424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1697435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1697438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1697441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1697444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1697447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697470 */     // MIs[0] policy
     /* 1697470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697480 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1697483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697504 */     // GIR_Coverage, 7137,
     /* 1697504 */     GIR_EraseRootFromParent_Done,
     /* 1697505 */   // Label 23248: @1697505
     /* 1697505 */   GIM_Try, /*On fail goto*//*Label 23249*/ GIMT_Encode4(1697591), // Rule ID 7140 //
     /* 1697510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1697521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1697524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1697527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1697530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1697533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697556 */     // MIs[0] policy
     /* 1697556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1697569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697590 */     // GIR_Coverage, 7140,
     /* 1697590 */     GIR_EraseRootFromParent_Done,
     /* 1697591 */   // Label 23249: @1697591
     /* 1697591 */   GIM_Try, /*On fail goto*//*Label 23250*/ GIMT_Encode4(1697677), // Rule ID 7141 //
     /* 1697596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1697607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1697610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1697613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1697616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1697619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1697626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1697638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697642 */     // MIs[0] policy
     /* 1697642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1697655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1697673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697676 */     // GIR_Coverage, 7141,
     /* 1697676 */     GIR_EraseRootFromParent_Done,
     /* 1697677 */   // Label 23250: @1697677
     /* 1697677 */   GIM_Try, /*On fail goto*//*Label 23251*/ GIMT_Encode4(1697763), // Rule ID 7144 //
     /* 1697682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1697693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1697696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1697702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697728 */     // MIs[0] policy
     /* 1697728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1697741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697762 */     // GIR_Coverage, 7144,
     /* 1697762 */     GIR_EraseRootFromParent_Done,
     /* 1697763 */   // Label 23251: @1697763
     /* 1697763 */   GIM_Try, /*On fail goto*//*Label 23252*/ GIMT_Encode4(1697849), // Rule ID 7145 //
     /* 1697768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1697779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1697782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1697785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1697788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1697791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1697798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1697810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697814 */     // MIs[0] policy
     /* 1697814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1697827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697848 */     // GIR_Coverage, 7145,
     /* 1697848 */     GIR_EraseRootFromParent_Done,
     /* 1697849 */   // Label 23252: @1697849
     /* 1697849 */   GIM_Try, /*On fail goto*//*Label 23253*/ GIMT_Encode4(1697935), // Rule ID 7148 //
     /* 1697854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1697857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1697874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1697880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697900 */     // MIs[0] policy
     /* 1697900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1697910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1697913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1697915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1697917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1697919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1697921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1697923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1697928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1697931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1697933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1697934 */     // GIR_Coverage, 7148,
     /* 1697934 */     GIR_EraseRootFromParent_Done,
     /* 1697935 */   // Label 23253: @1697935
     /* 1697935 */   GIM_Try, /*On fail goto*//*Label 23254*/ GIMT_Encode4(1698021), // Rule ID 7149 //
     /* 1697940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1697943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1697948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1697951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1697954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1697957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1697960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1697963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1697966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1697970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1697982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1697986 */     // MIs[0] policy
     /* 1697986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1697989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1697996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1697996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1697999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698020 */     // GIR_Coverage, 7149,
     /* 1698020 */     GIR_EraseRootFromParent_Done,
     /* 1698021 */   // Label 23254: @1698021
     /* 1698021 */   GIM_Try, /*On fail goto*//*Label 23255*/ GIMT_Encode4(1698107), // Rule ID 7152 //
     /* 1698026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1698037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1698040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1698046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698072 */     // MIs[0] policy
     /* 1698072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1698085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698106 */     // GIR_Coverage, 7152,
     /* 1698106 */     GIR_EraseRootFromParent_Done,
     /* 1698107 */   // Label 23255: @1698107
     /* 1698107 */   GIM_Try, /*On fail goto*//*Label 23256*/ GIMT_Encode4(1698193), // Rule ID 7153 //
     /* 1698112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1698123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1698126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1698129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1698132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1698135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698158 */     // MIs[0] policy
     /* 1698158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1698171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1698189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698192 */     // GIR_Coverage, 7153,
     /* 1698192 */     GIR_EraseRootFromParent_Done,
     /* 1698193 */   // Label 23256: @1698193
     /* 1698193 */   GIM_Try, /*On fail goto*//*Label 23257*/ GIMT_Encode4(1698279), // Rule ID 7156 //
     /* 1698198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1698209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1698212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1698218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698244 */     // MIs[0] policy
     /* 1698244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1698257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698278 */     // GIR_Coverage, 7156,
     /* 1698278 */     GIR_EraseRootFromParent_Done,
     /* 1698279 */   // Label 23257: @1698279
     /* 1698279 */   GIM_Try, /*On fail goto*//*Label 23258*/ GIMT_Encode4(1698365), // Rule ID 7157 //
     /* 1698284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1698295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1698298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1698301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1698304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698330 */     // MIs[0] policy
     /* 1698330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1698343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698364 */     // GIR_Coverage, 7157,
     /* 1698364 */     GIR_EraseRootFromParent_Done,
     /* 1698365 */   // Label 23258: @1698365
     /* 1698365 */   GIM_Try, /*On fail goto*//*Label 23259*/ GIMT_Encode4(1698451), // Rule ID 7160 //
     /* 1698370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1698381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1698384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1698390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698416 */     // MIs[0] policy
     /* 1698416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1698429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698450 */     // GIR_Coverage, 7160,
     /* 1698450 */     GIR_EraseRootFromParent_Done,
     /* 1698451 */   // Label 23259: @1698451
     /* 1698451 */   GIM_Try, /*On fail goto*//*Label 23260*/ GIMT_Encode4(1698537), // Rule ID 7161 //
     /* 1698456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1698467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1698470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1698473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1698476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1698479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698502 */     // MIs[0] policy
     /* 1698502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1698515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698536 */     // GIR_Coverage, 7161,
     /* 1698536 */     GIR_EraseRootFromParent_Done,
     /* 1698537 */   // Label 23260: @1698537
     /* 1698537 */   GIM_Try, /*On fail goto*//*Label 23261*/ GIMT_Encode4(1698623), // Rule ID 7164 //
     /* 1698542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1698545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1698553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1698556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1698562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698588 */     // MIs[0] policy
     /* 1698588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1698601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698622 */     // GIR_Coverage, 7164,
     /* 1698622 */     GIR_EraseRootFromParent_Done,
     /* 1698623 */   // Label 23261: @1698623
     /* 1698623 */   GIM_Try, /*On fail goto*//*Label 23262*/ GIMT_Encode4(1698709), // Rule ID 7165 //
     /* 1698628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1698631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1698639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1698642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1698645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1698648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1698651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1698658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1698670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698674 */     // MIs[0] policy
     /* 1698674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1698687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1698705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698708 */     // GIR_Coverage, 7165,
     /* 1698708 */     GIR_EraseRootFromParent_Done,
     /* 1698709 */   // Label 23262: @1698709
     /* 1698709 */   GIM_Try, /*On fail goto*//*Label 23263*/ GIMT_Encode4(1698795), // Rule ID 7168 //
     /* 1698714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1698717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1698725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1698728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1698734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698760 */     // MIs[0] policy
     /* 1698760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1698773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698794 */     // GIR_Coverage, 7168,
     /* 1698794 */     GIR_EraseRootFromParent_Done,
     /* 1698795 */   // Label 23263: @1698795
     /* 1698795 */   GIM_Try, /*On fail goto*//*Label 23264*/ GIMT_Encode4(1698881), // Rule ID 7169 //
     /* 1698800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1698803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1698811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1698814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1698817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1698820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1698823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1698830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1698842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698846 */     // MIs[0] policy
     /* 1698846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1698856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2_MASK),
     /* 1698859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698880 */     // GIR_Coverage, 7169,
     /* 1698880 */     GIR_EraseRootFromParent_Done,
     /* 1698881 */   // Label 23264: @1698881
     /* 1698881 */   GIM_Try, /*On fail goto*//*Label 23265*/ GIMT_Encode4(1698967), // Rule ID 7172 //
     /* 1698886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1698889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1698897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1698900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1698903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1698906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1698912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1698916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1698928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1698932 */     // MIs[0] policy
     /* 1698932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1698935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1698942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1698942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1698945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1698947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1698949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1698951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1698953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1698955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1698960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1698963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1698965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1698966 */     // GIR_Coverage, 7172,
     /* 1698966 */     GIR_EraseRootFromParent_Done,
     /* 1698967 */   // Label 23265: @1698967
     /* 1698967 */   GIM_Try, /*On fail goto*//*Label 23266*/ GIMT_Encode4(1699053), // Rule ID 7173 //
     /* 1698972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1698975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1698980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1698983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1698986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1698989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1698992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1698995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1698998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1699002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1699014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699018 */     // MIs[0] policy
     /* 1699018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4_MASK),
     /* 1699031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699052 */     // GIR_Coverage, 7173,
     /* 1699052 */     GIR_EraseRootFromParent_Done,
     /* 1699053 */   // Label 23266: @1699053
     /* 1699053 */   GIM_Try, /*On fail goto*//*Label 23267*/ GIMT_Encode4(1699139), // Rule ID 7176 //
     /* 1699058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1699061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1699069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1699072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1699078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699104 */     // MIs[0] policy
     /* 1699104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1699117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699138 */     // GIR_Coverage, 7176,
     /* 1699138 */     GIR_EraseRootFromParent_Done,
     /* 1699139 */   // Label 23267: @1699139
     /* 1699139 */   GIM_Try, /*On fail goto*//*Label 23268*/ GIMT_Encode4(1699225), // Rule ID 7177 //
     /* 1699144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1699147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1699155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1699158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1699161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1699164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1699167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1699174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1699186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699190 */     // MIs[0] policy
     /* 1699190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8_MASK),
     /* 1699203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1699221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699224 */     // GIR_Coverage, 7177,
     /* 1699224 */     GIR_EraseRootFromParent_Done,
     /* 1699225 */   // Label 23268: @1699225
     /* 1699225 */   GIM_Try, /*On fail goto*//*Label 23269*/ GIMT_Encode4(1699311), // Rule ID 7180 //
     /* 1699230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1699247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699276 */     // MIs[0] policy
     /* 1699276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1699289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699310 */     // GIR_Coverage, 7180,
     /* 1699310 */     GIR_EraseRootFromParent_Done,
     /* 1699311 */   // Label 23269: @1699311
     /* 1699311 */   GIM_Try, /*On fail goto*//*Label 23270*/ GIMT_Encode4(1699397), // Rule ID 7181 //
     /* 1699316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1699327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1699330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1699333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699362 */     // MIs[0] policy
     /* 1699362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF8_MASK),
     /* 1699375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699396 */     // GIR_Coverage, 7181,
     /* 1699396 */     GIR_EraseRootFromParent_Done,
     /* 1699397 */   // Label 23270: @1699397
     /* 1699397 */   GIM_Try, /*On fail goto*//*Label 23271*/ GIMT_Encode4(1699483), // Rule ID 7184 //
     /* 1699402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1699419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699448 */     // MIs[0] policy
     /* 1699448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1699461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699482 */     // GIR_Coverage, 7184,
     /* 1699482 */     GIR_EraseRootFromParent_Done,
     /* 1699483 */   // Label 23271: @1699483
     /* 1699483 */   GIM_Try, /*On fail goto*//*Label 23272*/ GIMT_Encode4(1699569), // Rule ID 7185 //
     /* 1699488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1699499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1699502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1699505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699534 */     // MIs[0] policy
     /* 1699534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699544 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1699547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699568 */     // GIR_Coverage, 7185,
     /* 1699568 */     GIR_EraseRootFromParent_Done,
     /* 1699569 */   // Label 23272: @1699569
     /* 1699569 */   GIM_Try, /*On fail goto*//*Label 23273*/ GIMT_Encode4(1699655), // Rule ID 7188 //
     /* 1699574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1699591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699620 */     // MIs[0] policy
     /* 1699620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699630 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1699633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699654 */     // GIR_Coverage, 7188,
     /* 1699654 */     GIR_EraseRootFromParent_Done,
     /* 1699655 */   // Label 23273: @1699655
     /* 1699655 */   GIM_Try, /*On fail goto*//*Label 23274*/ GIMT_Encode4(1699741), // Rule ID 7189 //
     /* 1699660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1699671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1699674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1699677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1699683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699706 */     // MIs[0] policy
     /* 1699706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699716 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1699719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1699737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699740 */     // GIR_Coverage, 7189,
     /* 1699740 */     GIR_EraseRootFromParent_Done,
     /* 1699741 */   // Label 23274: @1699741
     /* 1699741 */   GIM_Try, /*On fail goto*//*Label 23275*/ GIMT_Encode4(1699827), // Rule ID 7192 //
     /* 1699746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699792 */     // MIs[0] policy
     /* 1699792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1699805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699826 */     // GIR_Coverage, 7192,
     /* 1699826 */     GIR_EraseRootFromParent_Done,
     /* 1699827 */   // Label 23275: @1699827
     /* 1699827 */   GIM_Try, /*On fail goto*//*Label 23276*/ GIMT_Encode4(1699913), // Rule ID 7193 //
     /* 1699832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1699835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1699843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1699846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1699849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1699852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1699855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1699858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699878 */     // MIs[0] policy
     /* 1699878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1699888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF4_MASK),
     /* 1699891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699912 */     // GIR_Coverage, 7193,
     /* 1699912 */     GIR_EraseRootFromParent_Done,
     /* 1699913 */   // Label 23276: @1699913
     /* 1699913 */   GIM_Try, /*On fail goto*//*Label 23277*/ GIMT_Encode4(1699999), // Rule ID 7196 //
     /* 1699918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1699921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1699926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1699929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1699932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1699935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1699938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1699941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1699944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1699948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1699956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1699960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1699964 */     // MIs[0] policy
     /* 1699964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1699967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1699974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1699974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1699977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1699979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1699981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1699983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1699985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1699987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1699992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1699995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1699997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1699998 */     // GIR_Coverage, 7196,
     /* 1699998 */     GIR_EraseRootFromParent_Done,
     /* 1699999 */   // Label 23277: @1699999
     /* 1699999 */   GIM_Try, /*On fail goto*//*Label 23278*/ GIMT_Encode4(1700085), // Rule ID 7197 //
     /* 1700004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1700015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1700018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1700021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700050 */     // MIs[0] policy
     /* 1700050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1700063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700084 */     // GIR_Coverage, 7197,
     /* 1700084 */     GIR_EraseRootFromParent_Done,
     /* 1700085 */   // Label 23278: @1700085
     /* 1700085 */   GIM_Try, /*On fail goto*//*Label 23279*/ GIMT_Encode4(1700171), // Rule ID 7200 //
     /* 1700090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700136 */     // MIs[0] policy
     /* 1700136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1700149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700170 */     // GIR_Coverage, 7200,
     /* 1700170 */     GIR_EraseRootFromParent_Done,
     /* 1700171 */   // Label 23279: @1700171
     /* 1700171 */   GIM_Try, /*On fail goto*//*Label 23280*/ GIMT_Encode4(1700257), // Rule ID 7201 //
     /* 1700176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1700187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1700190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1700193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700222 */     // MIs[0] policy
     /* 1700222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_MF2_MASK),
     /* 1700235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700256 */     // GIR_Coverage, 7201,
     /* 1700256 */     GIR_EraseRootFromParent_Done,
     /* 1700257 */   // Label 23280: @1700257
     /* 1700257 */   GIM_Try, /*On fail goto*//*Label 23281*/ GIMT_Encode4(1700343), // Rule ID 7204 //
     /* 1700262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1700279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700308 */     // MIs[0] policy
     /* 1700308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700318 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1700321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700342 */     // GIR_Coverage, 7204,
     /* 1700342 */     GIR_EraseRootFromParent_Done,
     /* 1700343 */   // Label 23281: @1700343
     /* 1700343 */   GIM_Try, /*On fail goto*//*Label 23282*/ GIMT_Encode4(1700429), // Rule ID 7205 //
     /* 1700348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1700359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1700362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1700365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1700371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700394 */     // MIs[0] policy
     /* 1700394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11580:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1700407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1700425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700428 */     // GIR_Coverage, 7205,
     /* 1700428 */     GIR_EraseRootFromParent_Done,
     /* 1700429 */   // Label 23282: @1700429
     /* 1700429 */   GIM_Try, /*On fail goto*//*Label 23283*/ GIMT_Encode4(1700515), // Rule ID 7208 //
     /* 1700434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1700451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700480 */     // MIs[0] policy
     /* 1700480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1700493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700514 */     // GIR_Coverage, 7208,
     /* 1700514 */     GIR_EraseRootFromParent_Done,
     /* 1700515 */   // Label 23283: @1700515
     /* 1700515 */   GIM_Try, /*On fail goto*//*Label 23284*/ GIMT_Encode4(1700601), // Rule ID 7209 //
     /* 1700520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1700531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1700534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1700537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1700543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700566 */     // MIs[0] policy
     /* 1700566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11580:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1700579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1700597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700600 */     // GIR_Coverage, 7209,
     /* 1700600 */     GIR_EraseRootFromParent_Done,
     /* 1700601 */   // Label 23284: @1700601
     /* 1700601 */   GIM_Try, /*On fail goto*//*Label 23285*/ GIMT_Encode4(1700687), // Rule ID 7212 //
     /* 1700606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1700620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700652 */     // MIs[0] policy
     /* 1700652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1700665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700686 */     // GIR_Coverage, 7212,
     /* 1700686 */     GIR_EraseRootFromParent_Done,
     /* 1700687 */   // Label 23285: @1700687
     /* 1700687 */   GIM_Try, /*On fail goto*//*Label 23286*/ GIMT_Encode4(1700773), // Rule ID 7213 //
     /* 1700692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1700695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1700703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1700706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1700709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1700715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700738 */     // MIs[0] policy
     /* 1700738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11580:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1700751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1700769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700772 */     // GIR_Coverage, 7213,
     /* 1700772 */     GIR_EraseRootFromParent_Done,
     /* 1700773 */   // Label 23286: @1700773
     /* 1700773 */   GIM_Try, /*On fail goto*//*Label 23287*/ GIMT_Encode4(1700859), // Rule ID 7216 //
     /* 1700778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1700781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1700789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1700792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700824 */     // MIs[0] policy
     /* 1700824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1700834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1700837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1700855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700858 */     // GIR_Coverage, 7216,
     /* 1700858 */     GIR_EraseRootFromParent_Done,
     /* 1700859 */   // Label 23287: @1700859
     /* 1700859 */   GIM_Try, /*On fail goto*//*Label 23288*/ GIMT_Encode4(1700945), // Rule ID 7217 //
     /* 1700864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1700867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1700875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1700878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1700881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1700884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1700887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1700890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1700894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1700902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700910 */     // MIs[0] policy
     /* 1700910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1700920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11580:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1700920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M1_MASK),
     /* 1700923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1700925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1700927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1700929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1700931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1700933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1700938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1700941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1700943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1700944 */     // GIR_Coverage, 7217,
     /* 1700944 */     GIR_EraseRootFromParent_Done,
     /* 1700945 */   // Label 23288: @1700945
     /* 1700945 */   GIM_Try, /*On fail goto*//*Label 23289*/ GIMT_Encode4(1701031), // Rule ID 7220 //
     /* 1700950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1700953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1700958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1700961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1700964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1700967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1700970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1700973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1700976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1700980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1700988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1700992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1700996 */     // MIs[0] policy
     /* 1700996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1700999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1701009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701030 */     // GIR_Coverage, 7220,
     /* 1701030 */     GIR_EraseRootFromParent_Done,
     /* 1701031 */   // Label 23289: @1701031
     /* 1701031 */   GIM_Try, /*On fail goto*//*Label 23290*/ GIMT_Encode4(1701117), // Rule ID 7221 //
     /* 1701036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1701047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1701050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1701053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701082 */     // MIs[0] policy
     /* 1701082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1701095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701116 */     // GIR_Coverage, 7221,
     /* 1701116 */     GIR_EraseRootFromParent_Done,
     /* 1701117 */   // Label 23290: @1701117
     /* 1701117 */   GIM_Try, /*On fail goto*//*Label 23291*/ GIMT_Encode4(1701203), // Rule ID 7224 //
     /* 1701122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1701133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1701136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1701139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701168 */     // MIs[0] policy
     /* 1701168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1701181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701202 */     // GIR_Coverage, 7224,
     /* 1701202 */     GIR_EraseRootFromParent_Done,
     /* 1701203 */   // Label 23291: @1701203
     /* 1701203 */   GIM_Try, /*On fail goto*//*Label 23292*/ GIMT_Encode4(1701289), // Rule ID 7225 //
     /* 1701208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1701219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1701222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1701225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701254 */     // MIs[0] policy
     /* 1701254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1701267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701288 */     // GIR_Coverage, 7225,
     /* 1701288 */     GIR_EraseRootFromParent_Done,
     /* 1701289 */   // Label 23292: @1701289
     /* 1701289 */   GIM_Try, /*On fail goto*//*Label 23293*/ GIMT_Encode4(1701375), // Rule ID 7228 //
     /* 1701294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1701305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1701308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1701311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1701317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1701324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701340 */     // MIs[0] policy
     /* 1701340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1701353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701374 */     // GIR_Coverage, 7228,
     /* 1701374 */     GIR_EraseRootFromParent_Done,
     /* 1701375 */   // Label 23293: @1701375
     /* 1701375 */   GIM_Try, /*On fail goto*//*Label 23294*/ GIMT_Encode4(1701461), // Rule ID 7229 //
     /* 1701380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1701391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1701394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1701397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1701403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1701410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701426 */     // MIs[0] policy
     /* 1701426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1701439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1701457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701460 */     // GIR_Coverage, 7229,
     /* 1701460 */     GIR_EraseRootFromParent_Done,
     /* 1701461 */   // Label 23294: @1701461
     /* 1701461 */   GIM_Try, /*On fail goto*//*Label 23295*/ GIMT_Encode4(1701547), // Rule ID 7232 //
     /* 1701466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1701483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701512 */     // MIs[0] policy
     /* 1701512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1701525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701546 */     // GIR_Coverage, 7232,
     /* 1701546 */     GIR_EraseRootFromParent_Done,
     /* 1701547 */   // Label 23295: @1701547
     /* 1701547 */   GIM_Try, /*On fail goto*//*Label 23296*/ GIMT_Encode4(1701633), // Rule ID 7233 //
     /* 1701552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1701563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1701566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1701569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1701575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1701582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1701590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701598 */     // MIs[0] policy
     /* 1701598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1701611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701632 */     // GIR_Coverage, 7233,
     /* 1701632 */     GIR_EraseRootFromParent_Done,
     /* 1701633 */   // Label 23296: @1701633
     /* 1701633 */   GIM_Try, /*On fail goto*//*Label 23297*/ GIMT_Encode4(1701719), // Rule ID 7236 //
     /* 1701638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1701655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701684 */     // MIs[0] policy
     /* 1701684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1701697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701718 */     // GIR_Coverage, 7236,
     /* 1701718 */     GIR_EraseRootFromParent_Done,
     /* 1701719 */   // Label 23297: @1701719
     /* 1701719 */   GIM_Try, /*On fail goto*//*Label 23298*/ GIMT_Encode4(1701805), // Rule ID 7237 //
     /* 1701724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1701735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1701738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1701741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1701747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1701754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1701762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701770 */     // MIs[0] policy
     /* 1701770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1701783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701804 */     // GIR_Coverage, 7237,
     /* 1701804 */     GIR_EraseRootFromParent_Done,
     /* 1701805 */   // Label 23298: @1701805
     /* 1701805 */   GIM_Try, /*On fail goto*//*Label 23299*/ GIMT_Encode4(1701891), // Rule ID 7240 //
     /* 1701810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1701821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1701824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1701827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1701830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1701836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1701840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701856 */     // MIs[0] policy
     /* 1701856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1701866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1701869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701890 */     // GIR_Coverage, 7240,
     /* 1701890 */     GIR_EraseRootFromParent_Done,
     /* 1701891 */   // Label 23299: @1701891
     /* 1701891 */   GIM_Try, /*On fail goto*//*Label 23300*/ GIMT_Encode4(1701977), // Rule ID 7241 //
     /* 1701896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1701899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1701907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1701910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1701913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1701916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1701919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1701922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1701926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1701934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1701938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1701942 */     // MIs[0] policy
     /* 1701942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1701945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1701952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1701952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1701955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1701957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1701959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1701961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1701963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1701965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1701970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1701973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1701975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1701976 */     // GIR_Coverage, 7241,
     /* 1701976 */     GIR_EraseRootFromParent_Done,
     /* 1701977 */   // Label 23300: @1701977
     /* 1701977 */   GIM_Try, /*On fail goto*//*Label 23301*/ GIMT_Encode4(1702063), // Rule ID 7244 //
     /* 1701982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1701985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1701990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1701993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1701996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1701999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702028 */     // MIs[0] policy
     /* 1702028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1702041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702062 */     // GIR_Coverage, 7244,
     /* 1702062 */     GIR_EraseRootFromParent_Done,
     /* 1702063 */   // Label 23301: @1702063
     /* 1702063 */   GIM_Try, /*On fail goto*//*Label 23302*/ GIMT_Encode4(1702149), // Rule ID 7245 //
     /* 1702068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1702079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1702082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1702085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702114 */     // MIs[0] policy
     /* 1702114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1702127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702148 */     // GIR_Coverage, 7245,
     /* 1702148 */     GIR_EraseRootFromParent_Done,
     /* 1702149 */   // Label 23302: @1702149
     /* 1702149 */   GIM_Try, /*On fail goto*//*Label 23303*/ GIMT_Encode4(1702235), // Rule ID 7248 //
     /* 1702154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1702165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1702168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702200 */     // MIs[0] policy
     /* 1702200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1702213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702234 */     // GIR_Coverage, 7248,
     /* 1702234 */     GIR_EraseRootFromParent_Done,
     /* 1702235 */   // Label 23303: @1702235
     /* 1702235 */   GIM_Try, /*On fail goto*//*Label 23304*/ GIMT_Encode4(1702321), // Rule ID 7249 //
     /* 1702240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1702251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1702254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1702257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702286 */     // MIs[0] policy
     /* 1702286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1702299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702320 */     // GIR_Coverage, 7249,
     /* 1702320 */     GIR_EraseRootFromParent_Done,
     /* 1702321 */   // Label 23304: @1702321
     /* 1702321 */   GIM_Try, /*On fail goto*//*Label 23305*/ GIMT_Encode4(1702407), // Rule ID 7252 //
     /* 1702326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1702329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1702337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1702340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1702343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702372 */     // MIs[0] policy
     /* 1702372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1702385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702406 */     // GIR_Coverage, 7252,
     /* 1702406 */     GIR_EraseRootFromParent_Done,
     /* 1702407 */   // Label 23305: @1702407
     /* 1702407 */   GIM_Try, /*On fail goto*//*Label 23306*/ GIMT_Encode4(1702493), // Rule ID 7253 //
     /* 1702412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1702415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1702423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1702426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1702429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1702435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702458 */     // MIs[0] policy
     /* 1702458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1702471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1702489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702492 */     // GIR_Coverage, 7253,
     /* 1702492 */     GIR_EraseRootFromParent_Done,
     /* 1702493 */   // Label 23306: @1702493
     /* 1702493 */   GIM_Try, /*On fail goto*//*Label 23307*/ GIMT_Encode4(1702579), // Rule ID 7256 //
     /* 1702498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1702501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1702509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1702512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1702515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702544 */     // MIs[0] policy
     /* 1702544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1702557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1702575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702578 */     // GIR_Coverage, 7256,
     /* 1702578 */     GIR_EraseRootFromParent_Done,
     /* 1702579 */   // Label 23307: @1702579
     /* 1702579 */   GIM_Try, /*On fail goto*//*Label 23308*/ GIMT_Encode4(1702665), // Rule ID 7257 //
     /* 1702584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1702587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1702595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1702598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1702601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1702607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1702614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1702622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702630 */     // MIs[0] policy
     /* 1702630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11580:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M2_MASK),
     /* 1702643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1702661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702664 */     // GIR_Coverage, 7257,
     /* 1702664 */     GIR_EraseRootFromParent_Done,
     /* 1702665 */   // Label 23308: @1702665
     /* 1702665 */   GIM_Try, /*On fail goto*//*Label 23309*/ GIMT_Encode4(1702751), // Rule ID 7260 //
     /* 1702670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1702673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1702681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1702684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1702687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702716 */     // MIs[0] policy
     /* 1702716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1702729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1702747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702750 */     // GIR_Coverage, 7260,
     /* 1702750 */     GIR_EraseRootFromParent_Done,
     /* 1702751 */   // Label 23309: @1702751
     /* 1702751 */   GIM_Try, /*On fail goto*//*Label 23310*/ GIMT_Encode4(1702837), // Rule ID 7261 //
     /* 1702756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1702759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1702767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1702770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1702773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1702779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1702786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1702794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702802 */     // MIs[0] policy
     /* 1702802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11580:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M4_MASK),
     /* 1702815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1702833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702836 */     // GIR_Coverage, 7261,
     /* 1702836 */     GIR_EraseRootFromParent_Done,
     /* 1702837 */   // Label 23310: @1702837
     /* 1702837 */   GIM_Try, /*On fail goto*//*Label 23311*/ GIMT_Encode4(1702923), // Rule ID 7264 //
     /* 1702842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1702845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1702853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1702856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1702859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1702862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1702868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702888 */     // MIs[0] policy
     /* 1702888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1702898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1702901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1702916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1702919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1702921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1702922 */     // GIR_Coverage, 7264,
     /* 1702922 */     GIR_EraseRootFromParent_Done,
     /* 1702923 */   // Label 23311: @1702923
     /* 1702923 */   GIM_Try, /*On fail goto*//*Label 23312*/ GIMT_Encode4(1703009), // Rule ID 7265 //
     /* 1702928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1702931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsra_mask),
     /* 1702936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1702939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1702942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1702945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1702948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1702951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1702954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1702958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1702966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1702970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1702974 */     // MIs[0] policy
     /* 1702974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1702977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1702984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11580:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1702984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VX_M8_MASK),
     /* 1702987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1702989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1702991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1702993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1702995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1702997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1703005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703008 */     // GIR_Coverage, 7265,
     /* 1703008 */     GIR_EraseRootFromParent_Done,
     /* 1703009 */   // Label 23312: @1703009
     /* 1703009 */   GIM_Try, /*On fail goto*//*Label 23313*/ GIMT_Encode4(1703095), // Rule ID 7444 //
     /* 1703014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1703025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1703028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1703031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1703034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703060 */     // MIs[0] policy
     /* 1703060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1703073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703094 */     // GIR_Coverage, 7444,
     /* 1703094 */     GIR_EraseRootFromParent_Done,
     /* 1703095 */   // Label 23313: @1703095
     /* 1703095 */   GIM_Try, /*On fail goto*//*Label 23314*/ GIMT_Encode4(1703181), // Rule ID 7445 //
     /* 1703100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1703111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1703114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1703117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1703120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1703123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703146 */     // MIs[0] policy
     /* 1703146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF8_MASK),
     /* 1703159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703180 */     // GIR_Coverage, 7445,
     /* 1703180 */     GIR_EraseRootFromParent_Done,
     /* 1703181 */   // Label 23314: @1703181
     /* 1703181 */   GIM_Try, /*On fail goto*//*Label 23315*/ GIMT_Encode4(1703267), // Rule ID 7448 //
     /* 1703186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1703197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1703200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1703203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1703206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703232 */     // MIs[0] policy
     /* 1703232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1703245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703266 */     // GIR_Coverage, 7448,
     /* 1703266 */     GIR_EraseRootFromParent_Done,
     /* 1703267 */   // Label 23315: @1703267
     /* 1703267 */   GIM_Try, /*On fail goto*//*Label 23316*/ GIMT_Encode4(1703353), // Rule ID 7449 //
     /* 1703272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1703283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1703286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1703289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1703292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1703295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703318 */     // MIs[0] policy
     /* 1703318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1703331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703352 */     // GIR_Coverage, 7449,
     /* 1703352 */     GIR_EraseRootFromParent_Done,
     /* 1703353 */   // Label 23316: @1703353
     /* 1703353 */   GIM_Try, /*On fail goto*//*Label 23317*/ GIMT_Encode4(1703439), // Rule ID 7452 //
     /* 1703358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1703369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1703372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1703378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703404 */     // MIs[0] policy
     /* 1703404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1703417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703438 */     // GIR_Coverage, 7452,
     /* 1703438 */     GIR_EraseRootFromParent_Done,
     /* 1703439 */   // Label 23317: @1703439
     /* 1703439 */   GIM_Try, /*On fail goto*//*Label 23318*/ GIMT_Encode4(1703525), // Rule ID 7453 //
     /* 1703444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1703455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1703458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1703461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1703464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1703467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703490 */     // MIs[0] policy
     /* 1703490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1703503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703524 */     // GIR_Coverage, 7453,
     /* 1703524 */     GIR_EraseRootFromParent_Done,
     /* 1703525 */   // Label 23318: @1703525
     /* 1703525 */   GIM_Try, /*On fail goto*//*Label 23319*/ GIMT_Encode4(1703611), // Rule ID 7456 //
     /* 1703530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1703547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703576 */     // MIs[0] policy
     /* 1703576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703586 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1703589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703610 */     // GIR_Coverage, 7456,
     /* 1703610 */     GIR_EraseRootFromParent_Done,
     /* 1703611 */   // Label 23319: @1703611
     /* 1703611 */   GIM_Try, /*On fail goto*//*Label 23320*/ GIMT_Encode4(1703697), // Rule ID 7457 //
     /* 1703616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1703627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1703630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1703633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1703636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1703639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1703646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1703658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703662 */     // MIs[0] policy
     /* 1703662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703672 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1703675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703696 */     // GIR_Coverage, 7457,
     /* 1703696 */     GIR_EraseRootFromParent_Done,
     /* 1703697 */   // Label 23320: @1703697
     /* 1703697 */   GIM_Try, /*On fail goto*//*Label 23321*/ GIMT_Encode4(1703783), // Rule ID 7460 //
     /* 1703702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1703713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1703716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1703719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1703722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703748 */     // MIs[0] policy
     /* 1703748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703758 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1703761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703782 */     // GIR_Coverage, 7460,
     /* 1703782 */     GIR_EraseRootFromParent_Done,
     /* 1703783 */   // Label 23321: @1703783
     /* 1703783 */   GIM_Try, /*On fail goto*//*Label 23322*/ GIMT_Encode4(1703869), // Rule ID 7461 //
     /* 1703788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1703799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1703802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1703805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1703808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1703811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1703818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1703830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703834 */     // MIs[0] policy
     /* 1703834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703844 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1703844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1703847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703868 */     // GIR_Coverage, 7461,
     /* 1703868 */     GIR_EraseRootFromParent_Done,
     /* 1703869 */   // Label 23322: @1703869
     /* 1703869 */   GIM_Try, /*On fail goto*//*Label 23323*/ GIMT_Encode4(1703955), // Rule ID 7464 //
     /* 1703874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1703877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1703885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1703888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1703891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1703894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1703900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1703920 */     // MIs[0] policy
     /* 1703920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1703923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1703930 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1703930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1703933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1703935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1703937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1703939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1703941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1703943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1703948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1703951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1703953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1703954 */     // GIR_Coverage, 7464,
     /* 1703954 */     GIR_EraseRootFromParent_Done,
     /* 1703955 */   // Label 23323: @1703955
     /* 1703955 */   GIM_Try, /*On fail goto*//*Label 23324*/ GIMT_Encode4(1704041), // Rule ID 7465 //
     /* 1703960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1703963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1703968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1703971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1703974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1703977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1703980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1703983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1703986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1703990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1703994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1703998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704006 */     // MIs[0] policy
     /* 1704006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704016 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1704019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1704037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704040 */     // GIR_Coverage, 7465,
     /* 1704040 */     GIR_EraseRootFromParent_Done,
     /* 1704041 */   // Label 23324: @1704041
     /* 1704041 */   GIM_Try, /*On fail goto*//*Label 23325*/ GIMT_Encode4(1704127), // Rule ID 7468 //
     /* 1704046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1704057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1704060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1704063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1704066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704092 */     // MIs[0] policy
     /* 1704092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704102 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1704105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704126 */     // GIR_Coverage, 7468,
     /* 1704126 */     GIR_EraseRootFromParent_Done,
     /* 1704127 */   // Label 23325: @1704127
     /* 1704127 */   GIM_Try, /*On fail goto*//*Label 23326*/ GIMT_Encode4(1704213), // Rule ID 7469 //
     /* 1704132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1704143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1704146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1704149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1704152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704178 */     // MIs[0] policy
     /* 1704178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704188 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF4_MASK),
     /* 1704191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704212 */     // GIR_Coverage, 7469,
     /* 1704212 */     GIR_EraseRootFromParent_Done,
     /* 1704213 */   // Label 23326: @1704213
     /* 1704213 */   GIM_Try, /*On fail goto*//*Label 23327*/ GIMT_Encode4(1704299), // Rule ID 7472 //
     /* 1704218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1704229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1704232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1704235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1704238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704264 */     // MIs[0] policy
     /* 1704264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704274 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1704277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704298 */     // GIR_Coverage, 7472,
     /* 1704298 */     GIR_EraseRootFromParent_Done,
     /* 1704299 */   // Label 23327: @1704299
     /* 1704299 */   GIM_Try, /*On fail goto*//*Label 23328*/ GIMT_Encode4(1704385), // Rule ID 7473 //
     /* 1704304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1704315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1704318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1704321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1704324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1704327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704350 */     // MIs[0] policy
     /* 1704350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704360 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1704363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704384 */     // GIR_Coverage, 7473,
     /* 1704384 */     GIR_EraseRootFromParent_Done,
     /* 1704385 */   // Label 23328: @1704385
     /* 1704385 */   GIM_Try, /*On fail goto*//*Label 23329*/ GIMT_Encode4(1704471), // Rule ID 7476 //
     /* 1704390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1704401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1704404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1704407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1704410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704436 */     // MIs[0] policy
     /* 1704436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704446 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1704449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704470 */     // GIR_Coverage, 7476,
     /* 1704470 */     GIR_EraseRootFromParent_Done,
     /* 1704471 */   // Label 23329: @1704471
     /* 1704471 */   GIM_Try, /*On fail goto*//*Label 23330*/ GIMT_Encode4(1704557), // Rule ID 7477 //
     /* 1704476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1704487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1704490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1704493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1704496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1704499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704522 */     // MIs[0] policy
     /* 1704522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704532 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1704535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704556 */     // GIR_Coverage, 7477,
     /* 1704556 */     GIR_EraseRootFromParent_Done,
     /* 1704557 */   // Label 23330: @1704557
     /* 1704557 */   GIM_Try, /*On fail goto*//*Label 23331*/ GIMT_Encode4(1704643), // Rule ID 7480 //
     /* 1704562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1704579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704608 */     // MIs[0] policy
     /* 1704608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704618 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1704621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704642 */     // GIR_Coverage, 7480,
     /* 1704642 */     GIR_EraseRootFromParent_Done,
     /* 1704643 */   // Label 23331: @1704643
     /* 1704643 */   GIM_Try, /*On fail goto*//*Label 23332*/ GIMT_Encode4(1704729), // Rule ID 7481 //
     /* 1704648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1704659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1704662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1704665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1704668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1704671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1704678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1704690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704694 */     // MIs[0] policy
     /* 1704694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704704 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1704707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704728 */     // GIR_Coverage, 7481,
     /* 1704728 */     GIR_EraseRootFromParent_Done,
     /* 1704729 */   // Label 23332: @1704729
     /* 1704729 */   GIM_Try, /*On fail goto*//*Label 23333*/ GIMT_Encode4(1704815), // Rule ID 7484 //
     /* 1704734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1704737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1704751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704780 */     // MIs[0] policy
     /* 1704780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704790 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1704793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704814 */     // GIR_Coverage, 7484,
     /* 1704814 */     GIR_EraseRootFromParent_Done,
     /* 1704815 */   // Label 23333: @1704815
     /* 1704815 */   GIM_Try, /*On fail goto*//*Label 23334*/ GIMT_Encode4(1704901), // Rule ID 7485 //
     /* 1704820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1704823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1704831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1704834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1704837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1704840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1704843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1704846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1704850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1704858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1704862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704866 */     // MIs[0] policy
     /* 1704866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704876 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1704876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1704879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1704897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704900 */     // GIR_Coverage, 7485,
     /* 1704900 */     GIR_EraseRootFromParent_Done,
     /* 1704901 */   // Label 23334: @1704901
     /* 1704901 */   GIM_Try, /*On fail goto*//*Label 23335*/ GIMT_Encode4(1704987), // Rule ID 7488 //
     /* 1704906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1704909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1704914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1704917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1704920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1704923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1704926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1704929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1704932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1704936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1704948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1704952 */     // MIs[0] policy
     /* 1704952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1704955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1704962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1704962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1704965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1704967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1704969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1704971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1704973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1704975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1704980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1704983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1704985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1704986 */     // GIR_Coverage, 7488,
     /* 1704986 */     GIR_EraseRootFromParent_Done,
     /* 1704987 */   // Label 23335: @1704987
     /* 1704987 */   GIM_Try, /*On fail goto*//*Label 23336*/ GIMT_Encode4(1705073), // Rule ID 7489 //
     /* 1704992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1704995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1705003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1705006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1705009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1705012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705038 */     // MIs[0] policy
     /* 1705038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_MF2_MASK),
     /* 1705051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705072 */     // GIR_Coverage, 7489,
     /* 1705072 */     GIR_EraseRootFromParent_Done,
     /* 1705073 */   // Label 23336: @1705073
     /* 1705073 */   GIM_Try, /*On fail goto*//*Label 23337*/ GIMT_Encode4(1705159), // Rule ID 7492 //
     /* 1705078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1705089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1705092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1705098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705124 */     // MIs[0] policy
     /* 1705124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1705137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705158 */     // GIR_Coverage, 7492,
     /* 1705158 */     GIR_EraseRootFromParent_Done,
     /* 1705159 */   // Label 23337: @1705159
     /* 1705159 */   GIM_Try, /*On fail goto*//*Label 23338*/ GIMT_Encode4(1705245), // Rule ID 7493 //
     /* 1705164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1705175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1705178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1705181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1705184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705210 */     // MIs[0] policy
     /* 1705210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M1_MASK),
     /* 1705223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705244 */     // GIR_Coverage, 7493,
     /* 1705244 */     GIR_EraseRootFromParent_Done,
     /* 1705245 */   // Label 23338: @1705245
     /* 1705245 */   GIM_Try, /*On fail goto*//*Label 23339*/ GIMT_Encode4(1705331), // Rule ID 7496 //
     /* 1705250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1705261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1705264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1705270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705296 */     // MIs[0] policy
     /* 1705296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1705309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705330 */     // GIR_Coverage, 7496,
     /* 1705330 */     GIR_EraseRootFromParent_Done,
     /* 1705331 */   // Label 23339: @1705331
     /* 1705331 */   GIM_Try, /*On fail goto*//*Label 23340*/ GIMT_Encode4(1705417), // Rule ID 7497 //
     /* 1705336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1705347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1705350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1705353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1705356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1705366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1705378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705382 */     // MIs[0] policy
     /* 1705382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M2_MASK),
     /* 1705395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705416 */     // GIR_Coverage, 7497,
     /* 1705416 */     GIR_EraseRootFromParent_Done,
     /* 1705417 */   // Label 23340: @1705417
     /* 1705417 */   GIM_Try, /*On fail goto*//*Label 23341*/ GIMT_Encode4(1705503), // Rule ID 7500 //
     /* 1705422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1705425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1705439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705468 */     // MIs[0] policy
     /* 1705468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1705481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705502 */     // GIR_Coverage, 7500,
     /* 1705502 */     GIR_EraseRootFromParent_Done,
     /* 1705503 */   // Label 23341: @1705503
     /* 1705503 */   GIM_Try, /*On fail goto*//*Label 23342*/ GIMT_Encode4(1705589), // Rule ID 7501 //
     /* 1705508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1705511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1705519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1705522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1705525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1705528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1705531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1705538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1705546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1705550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705554 */     // MIs[0] policy
     /* 1705554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WV_M4_MASK),
     /* 1705567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1705585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705588 */     // GIR_Coverage, 7501,
     /* 1705588 */     GIR_EraseRootFromParent_Done,
     /* 1705589 */   // Label 23342: @1705589
     /* 1705589 */   GIM_Try, /*On fail goto*//*Label 23343*/ GIMT_Encode4(1705675), // Rule ID 7504 //
     /* 1705594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1705605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1705608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1705611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705640 */     // MIs[0] policy
     /* 1705640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705650 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1705653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705674 */     // GIR_Coverage, 7504,
     /* 1705674 */     GIR_EraseRootFromParent_Done,
     /* 1705675 */   // Label 23343: @1705675
     /* 1705675 */   GIM_Try, /*On fail goto*//*Label 23344*/ GIMT_Encode4(1705761), // Rule ID 7505 //
     /* 1705680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1705691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1705694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1705697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1705703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705726 */     // MIs[0] policy
     /* 1705726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF8_MASK),
     /* 1705739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705760 */     // GIR_Coverage, 7505,
     /* 1705760 */     GIR_EraseRootFromParent_Done,
     /* 1705761 */   // Label 23344: @1705761
     /* 1705761 */   GIM_Try, /*On fail goto*//*Label 23345*/ GIMT_Encode4(1705847), // Rule ID 7508 //
     /* 1705766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1705777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1705780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1705783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705812 */     // MIs[0] policy
     /* 1705812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1705825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705846 */     // GIR_Coverage, 7508,
     /* 1705846 */     GIR_EraseRootFromParent_Done,
     /* 1705847 */   // Label 23345: @1705847
     /* 1705847 */   GIM_Try, /*On fail goto*//*Label 23346*/ GIMT_Encode4(1705933), // Rule ID 7509 //
     /* 1705852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1705855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1705863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1705866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1705869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1705872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1705875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1705878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705898 */     // MIs[0] policy
     /* 1705898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1705908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1705911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1705915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1705917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1705919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1705921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1705926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1705929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1705931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1705932 */     // GIR_Coverage, 7509,
     /* 1705932 */     GIR_EraseRootFromParent_Done,
     /* 1705933 */   // Label 23346: @1705933
     /* 1705933 */   GIM_Try, /*On fail goto*//*Label 23347*/ GIMT_Encode4(1706019), // Rule ID 7512 //
     /* 1705938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1705941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1705946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1705949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1705952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1705955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1705958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1705961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1705964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1705968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1705976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1705980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1705984 */     // MIs[0] policy
     /* 1705984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1705987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1705994 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1705994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1705997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1705999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706018 */     // GIR_Coverage, 7512,
     /* 1706018 */     GIR_EraseRootFromParent_Done,
     /* 1706019 */   // Label 23347: @1706019
     /* 1706019 */   GIM_Try, /*On fail goto*//*Label 23348*/ GIMT_Encode4(1706105), // Rule ID 7513 //
     /* 1706024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1706035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1706038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1706041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706070 */     // MIs[0] policy
     /* 1706070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706080 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1706083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706104 */     // GIR_Coverage, 7513,
     /* 1706104 */     GIR_EraseRootFromParent_Done,
     /* 1706105 */   // Label 23348: @1706105
     /* 1706105 */   GIM_Try, /*On fail goto*//*Label 23349*/ GIMT_Encode4(1706191), // Rule ID 7516 //
     /* 1706110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1706121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1706124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1706127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706156 */     // MIs[0] policy
     /* 1706156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706166 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1706169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706190 */     // GIR_Coverage, 7516,
     /* 1706190 */     GIR_EraseRootFromParent_Done,
     /* 1706191 */   // Label 23349: @1706191
     /* 1706191 */   GIM_Try, /*On fail goto*//*Label 23350*/ GIMT_Encode4(1706277), // Rule ID 7517 //
     /* 1706196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1706207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1706210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1706213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1706219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706242 */     // MIs[0] policy
     /* 1706242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706252 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11494:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1706255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706276 */     // GIR_Coverage, 7517,
     /* 1706276 */     GIR_EraseRootFromParent_Done,
     /* 1706277 */   // Label 23350: @1706277
     /* 1706277 */   GIM_Try, /*On fail goto*//*Label 23351*/ GIMT_Encode4(1706363), // Rule ID 7520 //
     /* 1706282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1706293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1706296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1706299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706328 */     // MIs[0] policy
     /* 1706328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706338 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1706341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706362 */     // GIR_Coverage, 7520,
     /* 1706362 */     GIR_EraseRootFromParent_Done,
     /* 1706363 */   // Label 23351: @1706363
     /* 1706363 */   GIM_Try, /*On fail goto*//*Label 23352*/ GIMT_Encode4(1706449), // Rule ID 7521 //
     /* 1706368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1706379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1706382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1706385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1706391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1706398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1706402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706414 */     // MIs[0] policy
     /* 1706414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706424 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1706427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706448 */     // GIR_Coverage, 7521,
     /* 1706448 */     GIR_EraseRootFromParent_Done,
     /* 1706449 */   // Label 23352: @1706449
     /* 1706449 */   GIM_Try, /*On fail goto*//*Label 23353*/ GIMT_Encode4(1706535), // Rule ID 7524 //
     /* 1706454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1706465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1706468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1706471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1706477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706500 */     // MIs[0] policy
     /* 1706500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706510 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1706513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706534 */     // GIR_Coverage, 7524,
     /* 1706534 */     GIR_EraseRootFromParent_Done,
     /* 1706535 */   // Label 23353: @1706535
     /* 1706535 */   GIM_Try, /*On fail goto*//*Label 23354*/ GIMT_Encode4(1706621), // Rule ID 7525 //
     /* 1706540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1706551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1706554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1706557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1706563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1706570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1706574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1706578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706586 */     // MIs[0] policy
     /* 1706586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706596 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1706599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1706617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706620 */     // GIR_Coverage, 7525,
     /* 1706620 */     GIR_EraseRootFromParent_Done,
     /* 1706621 */   // Label 23354: @1706621
     /* 1706621 */   GIM_Try, /*On fail goto*//*Label 23355*/ GIMT_Encode4(1706707), // Rule ID 7528 //
     /* 1706626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1706643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706672 */     // MIs[0] policy
     /* 1706672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706682 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1706685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706706 */     // GIR_Coverage, 7528,
     /* 1706706 */     GIR_EraseRootFromParent_Done,
     /* 1706707 */   // Label 23355: @1706707
     /* 1706707 */   GIM_Try, /*On fail goto*//*Label 23356*/ GIMT_Encode4(1706793), // Rule ID 7529 //
     /* 1706712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1706723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1706726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1706729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1706735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706758 */     // MIs[0] policy
     /* 1706758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706768 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF4_MASK),
     /* 1706771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706792 */     // GIR_Coverage, 7529,
     /* 1706792 */     GIR_EraseRootFromParent_Done,
     /* 1706793 */   // Label 23356: @1706793
     /* 1706793 */   GIM_Try, /*On fail goto*//*Label 23357*/ GIMT_Encode4(1706879), // Rule ID 7532 //
     /* 1706798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1706815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706844 */     // MIs[0] policy
     /* 1706844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706854 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1706854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1706857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706878 */     // GIR_Coverage, 7532,
     /* 1706878 */     GIR_EraseRootFromParent_Done,
     /* 1706879 */   // Label 23357: @1706879
     /* 1706879 */   GIM_Try, /*On fail goto*//*Label 23358*/ GIMT_Encode4(1706965), // Rule ID 7533 //
     /* 1706884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1706887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1706895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1706898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1706901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1706904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1706907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1706910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1706914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1706922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1706926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1706930 */     // MIs[0] policy
     /* 1706930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1706933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1706940 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1706940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1706943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1706945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1706947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1706949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1706951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1706953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1706958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1706961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1706963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1706964 */     // GIR_Coverage, 7533,
     /* 1706964 */     GIR_EraseRootFromParent_Done,
     /* 1706965 */   // Label 23358: @1706965
     /* 1706965 */   GIM_Try, /*On fail goto*//*Label 23359*/ GIMT_Encode4(1707051), // Rule ID 7536 //
     /* 1706970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1706973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1706978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1706981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1706984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1706987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1706990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1706993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1706996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707016 */     // MIs[0] policy
     /* 1707016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707026 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1707029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707050 */     // GIR_Coverage, 7536,
     /* 1707050 */     GIR_EraseRootFromParent_Done,
     /* 1707051 */   // Label 23359: @1707051
     /* 1707051 */   GIM_Try, /*On fail goto*//*Label 23360*/ GIMT_Encode4(1707137), // Rule ID 7537 //
     /* 1707056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1707067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1707070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1707073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707102 */     // MIs[0] policy
     /* 1707102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11494:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1707115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707136 */     // GIR_Coverage, 7537,
     /* 1707136 */     GIR_EraseRootFromParent_Done,
     /* 1707137 */   // Label 23360: @1707137
     /* 1707137 */   GIM_Try, /*On fail goto*//*Label 23361*/ GIMT_Encode4(1707223), // Rule ID 7540 //
     /* 1707142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1707153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1707156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1707159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707188 */     // MIs[0] policy
     /* 1707188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707198 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1707201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707222 */     // GIR_Coverage, 7540,
     /* 1707222 */     GIR_EraseRootFromParent_Done,
     /* 1707223 */   // Label 23361: @1707223
     /* 1707223 */   GIM_Try, /*On fail goto*//*Label 23362*/ GIMT_Encode4(1707309), // Rule ID 7541 //
     /* 1707228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1707239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1707242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1707245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1707251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707274 */     // MIs[0] policy
     /* 1707274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707284 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1707287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707308 */     // GIR_Coverage, 7541,
     /* 1707308 */     GIR_EraseRootFromParent_Done,
     /* 1707309 */   // Label 23362: @1707309
     /* 1707309 */   GIM_Try, /*On fail goto*//*Label 23363*/ GIMT_Encode4(1707395), // Rule ID 7544 //
     /* 1707314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1707317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1707325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1707328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1707331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707360 */     // MIs[0] policy
     /* 1707360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707370 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1707373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707394 */     // GIR_Coverage, 7544,
     /* 1707394 */     GIR_EraseRootFromParent_Done,
     /* 1707395 */   // Label 23363: @1707395
     /* 1707395 */   GIM_Try, /*On fail goto*//*Label 23364*/ GIMT_Encode4(1707481), // Rule ID 7545 //
     /* 1707400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1707403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1707411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1707414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1707417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1707423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1707430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1707438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707446 */     // MIs[0] policy
     /* 1707446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707456 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1707459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1707477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707480 */     // GIR_Coverage, 7545,
     /* 1707480 */     GIR_EraseRootFromParent_Done,
     /* 1707481 */   // Label 23364: @1707481
     /* 1707481 */   GIM_Try, /*On fail goto*//*Label 23365*/ GIMT_Encode4(1707567), // Rule ID 7548 //
     /* 1707486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1707497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1707500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707532 */     // MIs[0] policy
     /* 1707532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707542 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1707545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707566 */     // GIR_Coverage, 7548,
     /* 1707566 */     GIR_EraseRootFromParent_Done,
     /* 1707567 */   // Label 23365: @1707567
     /* 1707567 */   GIM_Try, /*On fail goto*//*Label 23366*/ GIMT_Encode4(1707653), // Rule ID 7549 //
     /* 1707572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1707583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1707586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1707589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1707595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707618 */     // MIs[0] policy
     /* 1707618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707628 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_MF2_MASK),
     /* 1707631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707652 */     // GIR_Coverage, 7549,
     /* 1707652 */     GIR_EraseRootFromParent_Done,
     /* 1707653 */   // Label 23366: @1707653
     /* 1707653 */   GIM_Try, /*On fail goto*//*Label 23367*/ GIMT_Encode4(1707739), // Rule ID 7552 //
     /* 1707658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1707675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707704 */     // MIs[0] policy
     /* 1707704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707714 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1707717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707738 */     // GIR_Coverage, 7552,
     /* 1707738 */     GIR_EraseRootFromParent_Done,
     /* 1707739 */   // Label 23367: @1707739
     /* 1707739 */   GIM_Try, /*On fail goto*//*Label 23368*/ GIMT_Encode4(1707825), // Rule ID 7553 //
     /* 1707744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1707755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1707758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1707761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1707767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1707774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1707778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707790 */     // MIs[0] policy
     /* 1707790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11494:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M1_MASK),
     /* 1707803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707824 */     // GIR_Coverage, 7553,
     /* 1707824 */     GIR_EraseRootFromParent_Done,
     /* 1707825 */   // Label 23368: @1707825
     /* 1707825 */   GIM_Try, /*On fail goto*//*Label 23369*/ GIMT_Encode4(1707911), // Rule ID 7556 //
     /* 1707830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1707833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1707841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1707844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1707847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1707850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1707856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707876 */     // MIs[0] policy
     /* 1707876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1707886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1707889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707910 */     // GIR_Coverage, 7556,
     /* 1707910 */     GIR_EraseRootFromParent_Done,
     /* 1707911 */   // Label 23369: @1707911
     /* 1707911 */   GIM_Try, /*On fail goto*//*Label 23370*/ GIMT_Encode4(1707997), // Rule ID 7557 //
     /* 1707916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1707919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1707924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1707927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1707930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1707933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1707936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1707939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1707942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1707946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1707950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1707954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1707958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1707962 */     // MIs[0] policy
     /* 1707962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1707965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1707972 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11494:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1707972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M2_MASK),
     /* 1707975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1707977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1707979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1707981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1707983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1707985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1707990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1707993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1707995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1707996 */     // GIR_Coverage, 7557,
     /* 1707996 */     GIR_EraseRootFromParent_Done,
     /* 1707997 */   // Label 23370: @1707997
     /* 1707997 */   GIM_Try, /*On fail goto*//*Label 23371*/ GIMT_Encode4(1708083), // Rule ID 7560 //
     /* 1708002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1708005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1708013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1708016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1708019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1708022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708048 */     // MIs[0] policy
     /* 1708048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708058 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1708061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708082 */     // GIR_Coverage, 7560,
     /* 1708082 */     GIR_EraseRootFromParent_Done,
     /* 1708083 */   // Label 23371: @1708083
     /* 1708083 */   GIM_Try, /*On fail goto*//*Label 23372*/ GIMT_Encode4(1708169), // Rule ID 7561 //
     /* 1708088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1708091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsrl_mask),
     /* 1708096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1708099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1708102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1708105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1708108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1708118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1708126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1708130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708134 */     // MIs[0] policy
     /* 1708134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708144 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11494:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRL_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRL_WX_M4_MASK),
     /* 1708147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1708165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708168 */     // GIR_Coverage, 7561,
     /* 1708168 */     GIR_EraseRootFromParent_Done,
     /* 1708169 */   // Label 23372: @1708169
     /* 1708169 */   GIM_Try, /*On fail goto*//*Label 23373*/ GIMT_Encode4(1708255), // Rule ID 7624 //
     /* 1708174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1708185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1708188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1708191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1708194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708220 */     // MIs[0] policy
     /* 1708220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1708233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708254 */     // GIR_Coverage, 7624,
     /* 1708254 */     GIR_EraseRootFromParent_Done,
     /* 1708255 */   // Label 23373: @1708255
     /* 1708255 */   GIM_Try, /*On fail goto*//*Label 23374*/ GIMT_Encode4(1708341), // Rule ID 7625 //
     /* 1708260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1708271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1708274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1708277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1708280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1708283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708306 */     // MIs[0] policy
     /* 1708306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF8_MASK),
     /* 1708319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708340 */     // GIR_Coverage, 7625,
     /* 1708340 */     GIR_EraseRootFromParent_Done,
     /* 1708341 */   // Label 23374: @1708341
     /* 1708341 */   GIM_Try, /*On fail goto*//*Label 23375*/ GIMT_Encode4(1708427), // Rule ID 7628 //
     /* 1708346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1708357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1708360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1708363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1708366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708392 */     // MIs[0] policy
     /* 1708392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708402 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1708405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708426 */     // GIR_Coverage, 7628,
     /* 1708426 */     GIR_EraseRootFromParent_Done,
     /* 1708427 */   // Label 23375: @1708427
     /* 1708427 */   GIM_Try, /*On fail goto*//*Label 23376*/ GIMT_Encode4(1708513), // Rule ID 7629 //
     /* 1708432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1708443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1708446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1708449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1708452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1708455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708478 */     // MIs[0] policy
     /* 1708478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1708491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708512 */     // GIR_Coverage, 7629,
     /* 1708512 */     GIR_EraseRootFromParent_Done,
     /* 1708513 */   // Label 23376: @1708513
     /* 1708513 */   GIM_Try, /*On fail goto*//*Label 23377*/ GIMT_Encode4(1708599), // Rule ID 7632 //
     /* 1708518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1708529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1708532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1708535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1708538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708564 */     // MIs[0] policy
     /* 1708564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708574 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1708577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708598 */     // GIR_Coverage, 7632,
     /* 1708598 */     GIR_EraseRootFromParent_Done,
     /* 1708599 */   // Label 23377: @1708599
     /* 1708599 */   GIM_Try, /*On fail goto*//*Label 23378*/ GIMT_Encode4(1708685), // Rule ID 7633 //
     /* 1708604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1708615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1708618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1708621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1708624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1708627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708650 */     // MIs[0] policy
     /* 1708650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1708663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708684 */     // GIR_Coverage, 7633,
     /* 1708684 */     GIR_EraseRootFromParent_Done,
     /* 1708685 */   // Label 23378: @1708685
     /* 1708685 */   GIM_Try, /*On fail goto*//*Label 23379*/ GIMT_Encode4(1708771), // Rule ID 7636 //
     /* 1708690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1708701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1708704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1708710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708736 */     // MIs[0] policy
     /* 1708736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1708749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708770 */     // GIR_Coverage, 7636,
     /* 1708770 */     GIR_EraseRootFromParent_Done,
     /* 1708771 */   // Label 23379: @1708771
     /* 1708771 */   GIM_Try, /*On fail goto*//*Label 23380*/ GIMT_Encode4(1708857), // Rule ID 7637 //
     /* 1708776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1708787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1708790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1708793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1708796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1708799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1708806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1708818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708822 */     // MIs[0] policy
     /* 1708822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708832 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1708832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1708835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708856 */     // GIR_Coverage, 7637,
     /* 1708856 */     GIR_EraseRootFromParent_Done,
     /* 1708857 */   // Label 23380: @1708857
     /* 1708857 */   GIM_Try, /*On fail goto*//*Label 23381*/ GIMT_Encode4(1708943), // Rule ID 7640 //
     /* 1708862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1708865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1708873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1708876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1708882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1708888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708908 */     // MIs[0] policy
     /* 1708908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1708918 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1708918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1708921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1708923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1708925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1708927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1708929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1708931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1708936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1708939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1708941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1708942 */     // GIR_Coverage, 7640,
     /* 1708942 */     GIR_EraseRootFromParent_Done,
     /* 1708943 */   // Label 23381: @1708943
     /* 1708943 */   GIM_Try, /*On fail goto*//*Label 23382*/ GIMT_Encode4(1709029), // Rule ID 7641 //
     /* 1708948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1708951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1708956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1708959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1708962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1708965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1708968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1708971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1708974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1708978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1708986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1708990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1708994 */     // MIs[0] policy
     /* 1708994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1708997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709004 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1709007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709028 */     // GIR_Coverage, 7641,
     /* 1709028 */     GIR_EraseRootFromParent_Done,
     /* 1709029 */   // Label 23382: @1709029
     /* 1709029 */   GIM_Try, /*On fail goto*//*Label 23383*/ GIMT_Encode4(1709115), // Rule ID 7644 //
     /* 1709034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1709045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1709048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1709051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1709054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1709057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709080 */     // MIs[0] policy
     /* 1709080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709090 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1709093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709114 */     // GIR_Coverage, 7644,
     /* 1709114 */     GIR_EraseRootFromParent_Done,
     /* 1709115 */   // Label 23383: @1709115
     /* 1709115 */   GIM_Try, /*On fail goto*//*Label 23384*/ GIMT_Encode4(1709201), // Rule ID 7645 //
     /* 1709120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1709131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1709134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1709137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1709140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1709143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709166 */     // MIs[0] policy
     /* 1709166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709176 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1709179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1709197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709200 */     // GIR_Coverage, 7645,
     /* 1709200 */     GIR_EraseRootFromParent_Done,
     /* 1709201 */   // Label 23384: @1709201
     /* 1709201 */   GIM_Try, /*On fail goto*//*Label 23385*/ GIMT_Encode4(1709287), // Rule ID 7648 //
     /* 1709206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1709217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1709220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1709223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1709226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709252 */     // MIs[0] policy
     /* 1709252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709262 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1709265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709286 */     // GIR_Coverage, 7648,
     /* 1709286 */     GIR_EraseRootFromParent_Done,
     /* 1709287 */   // Label 23385: @1709287
     /* 1709287 */   GIM_Try, /*On fail goto*//*Label 23386*/ GIMT_Encode4(1709373), // Rule ID 7649 //
     /* 1709292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1709303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1709306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1709309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1709312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1709315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709338 */     // MIs[0] policy
     /* 1709338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709348 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF4_MASK),
     /* 1709351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709372 */     // GIR_Coverage, 7649,
     /* 1709372 */     GIR_EraseRootFromParent_Done,
     /* 1709373 */   // Label 23386: @1709373
     /* 1709373 */   GIM_Try, /*On fail goto*//*Label 23387*/ GIMT_Encode4(1709459), // Rule ID 7652 //
     /* 1709378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1709395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1709398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709424 */     // MIs[0] policy
     /* 1709424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709434 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1709437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709458 */     // GIR_Coverage, 7652,
     /* 1709458 */     GIR_EraseRootFromParent_Done,
     /* 1709459 */   // Label 23387: @1709459
     /* 1709459 */   GIM_Try, /*On fail goto*//*Label 23388*/ GIMT_Encode4(1709545), // Rule ID 7653 //
     /* 1709464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1709475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1709478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1709481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1709484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1709487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709510 */     // MIs[0] policy
     /* 1709510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709520 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1709523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709544 */     // GIR_Coverage, 7653,
     /* 1709544 */     GIR_EraseRootFromParent_Done,
     /* 1709545 */   // Label 23388: @1709545
     /* 1709545 */   GIM_Try, /*On fail goto*//*Label 23389*/ GIMT_Encode4(1709631), // Rule ID 7656 //
     /* 1709550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1709561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1709564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1709567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1709570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709596 */     // MIs[0] policy
     /* 1709596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709606 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1709609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709630 */     // GIR_Coverage, 7656,
     /* 1709630 */     GIR_EraseRootFromParent_Done,
     /* 1709631 */   // Label 23389: @1709631
     /* 1709631 */   GIM_Try, /*On fail goto*//*Label 23390*/ GIMT_Encode4(1709717), // Rule ID 7657 //
     /* 1709636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1709647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1709650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1709653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1709656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1709659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1709666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1709678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709682 */     // MIs[0] policy
     /* 1709682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709692 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1709695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709716 */     // GIR_Coverage, 7657,
     /* 1709716 */     GIR_EraseRootFromParent_Done,
     /* 1709717 */   // Label 23390: @1709717
     /* 1709717 */   GIM_Try, /*On fail goto*//*Label 23391*/ GIMT_Encode4(1709803), // Rule ID 7660 //
     /* 1709722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1709733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1709736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1709742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709768 */     // MIs[0] policy
     /* 1709768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1709781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709802 */     // GIR_Coverage, 7660,
     /* 1709802 */     GIR_EraseRootFromParent_Done,
     /* 1709803 */   // Label 23391: @1709803
     /* 1709803 */   GIM_Try, /*On fail goto*//*Label 23392*/ GIMT_Encode4(1709889), // Rule ID 7661 //
     /* 1709808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1709819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1709822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1709825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1709828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1709831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1709834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1709838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1709850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709854 */     // MIs[0] policy
     /* 1709854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1709864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1709867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709888 */     // GIR_Coverage, 7661,
     /* 1709888 */     GIR_EraseRootFromParent_Done,
     /* 1709889 */   // Label 23392: @1709889
     /* 1709889 */   GIM_Try, /*On fail goto*//*Label 23393*/ GIMT_Encode4(1709975), // Rule ID 7664 //
     /* 1709894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1709897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1709905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1709908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1709914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1709917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1709920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1709924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1709932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1709936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1709940 */     // MIs[0] policy
     /* 1709940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1709943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1709950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1709950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1709953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1709955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1709957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1709959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1709961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1709963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1709968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1709971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1709973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1709974 */     // GIR_Coverage, 7664,
     /* 1709974 */     GIR_EraseRootFromParent_Done,
     /* 1709975 */   // Label 23393: @1709975
     /* 1709975 */   GIM_Try, /*On fail goto*//*Label 23394*/ GIMT_Encode4(1710061), // Rule ID 7665 //
     /* 1709980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1709983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1709988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1709991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1709994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1709997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1710000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1710003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710026 */     // MIs[0] policy
     /* 1710026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1710039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1710057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710060 */     // GIR_Coverage, 7665,
     /* 1710060 */     GIR_EraseRootFromParent_Done,
     /* 1710061 */   // Label 23394: @1710061
     /* 1710061 */   GIM_Try, /*On fail goto*//*Label 23395*/ GIMT_Encode4(1710147), // Rule ID 7668 //
     /* 1710066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1710083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710112 */     // MIs[0] policy
     /* 1710112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1710125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710146 */     // GIR_Coverage, 7668,
     /* 1710146 */     GIR_EraseRootFromParent_Done,
     /* 1710147 */   // Label 23395: @1710147
     /* 1710147 */   GIM_Try, /*On fail goto*//*Label 23396*/ GIMT_Encode4(1710233), // Rule ID 7669 //
     /* 1710152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1710163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1710166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1710169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1710172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710198 */     // MIs[0] policy
     /* 1710198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_MF2_MASK),
     /* 1710211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710232 */     // GIR_Coverage, 7669,
     /* 1710232 */     GIR_EraseRootFromParent_Done,
     /* 1710233 */   // Label 23396: @1710233
     /* 1710233 */   GIM_Try, /*On fail goto*//*Label 23397*/ GIMT_Encode4(1710319), // Rule ID 7672 //
     /* 1710238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1710255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1710258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710284 */     // MIs[0] policy
     /* 1710284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710294 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1710297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710318 */     // GIR_Coverage, 7672,
     /* 1710318 */     GIR_EraseRootFromParent_Done,
     /* 1710319 */   // Label 23397: @1710319
     /* 1710319 */   GIM_Try, /*On fail goto*//*Label 23398*/ GIMT_Encode4(1710405), // Rule ID 7673 //
     /* 1710324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1710335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1710338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1710341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1710344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710370 */     // MIs[0] policy
     /* 1710370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710380 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M1_MASK),
     /* 1710383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710404 */     // GIR_Coverage, 7673,
     /* 1710404 */     GIR_EraseRootFromParent_Done,
     /* 1710405 */   // Label 23398: @1710405
     /* 1710405 */   GIM_Try, /*On fail goto*//*Label 23399*/ GIMT_Encode4(1710491), // Rule ID 7676 //
     /* 1710410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1710421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1710424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1710427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1710430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710456 */     // MIs[0] policy
     /* 1710456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710466 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1710469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710490 */     // GIR_Coverage, 7676,
     /* 1710490 */     GIR_EraseRootFromParent_Done,
     /* 1710491 */   // Label 23399: @1710491
     /* 1710491 */   GIM_Try, /*On fail goto*//*Label 23400*/ GIMT_Encode4(1710577), // Rule ID 7677 //
     /* 1710496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1710507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1710510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1710513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1710516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1710519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1710526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1710538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710542 */     // MIs[0] policy
     /* 1710542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710552 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M2_MASK),
     /* 1710555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710576 */     // GIR_Coverage, 7677,
     /* 1710576 */     GIR_EraseRootFromParent_Done,
     /* 1710577 */   // Label 23400: @1710577
     /* 1710577 */   GIM_Try, /*On fail goto*//*Label 23401*/ GIMT_Encode4(1710663), // Rule ID 7680 //
     /* 1710582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1710585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1710593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1710596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1710599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1710602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710628 */     // MIs[0] policy
     /* 1710628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710638 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1710641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710662 */     // GIR_Coverage, 7680,
     /* 1710662 */     GIR_EraseRootFromParent_Done,
     /* 1710663 */   // Label 23401: @1710663
     /* 1710663 */   GIM_Try, /*On fail goto*//*Label 23402*/ GIMT_Encode4(1710749), // Rule ID 7681 //
     /* 1710668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1710671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1710679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1710682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1710685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1710688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1710691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1710698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1710706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1710710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710714 */     // MIs[0] policy
     /* 1710714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710724 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WV_M4_MASK),
     /* 1710727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1710745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710748 */     // GIR_Coverage, 7681,
     /* 1710748 */     GIR_EraseRootFromParent_Done,
     /* 1710749 */   // Label 23402: @1710749
     /* 1710749 */   GIM_Try, /*On fail goto*//*Label 23403*/ GIMT_Encode4(1710835), // Rule ID 7684 //
     /* 1710754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1710765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710800 */     // MIs[0] policy
     /* 1710800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710810 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1710813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710834 */     // GIR_Coverage, 7684,
     /* 1710834 */     GIR_EraseRootFromParent_Done,
     /* 1710835 */   // Label 23403: @1710835
     /* 1710835 */   GIM_Try, /*On fail goto*//*Label 23404*/ GIMT_Encode4(1710921), // Rule ID 7685 //
     /* 1710840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1710843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1710851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1710854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1710857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1710860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1710863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1710866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710886 */     // MIs[0] policy
     /* 1710886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710896 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1710896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF8_MASK),
     /* 1710899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1710914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1710917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1710919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1710920 */     // GIR_Coverage, 7685,
     /* 1710920 */     GIR_EraseRootFromParent_Done,
     /* 1710921 */   // Label 23404: @1710921
     /* 1710921 */   GIM_Try, /*On fail goto*//*Label 23405*/ GIMT_Encode4(1711007), // Rule ID 7688 //
     /* 1710926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1710929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1710934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1710937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1710940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1710943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1710946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1710949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1710952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1710956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1710964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1710968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1710972 */     // MIs[0] policy
     /* 1710972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1710975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1710982 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1710982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1710985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1710987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1710989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1710991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1710993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1710995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711006 */     // GIR_Coverage, 7688,
     /* 1711006 */     GIR_EraseRootFromParent_Done,
     /* 1711007 */   // Label 23405: @1711007
     /* 1711007 */   GIM_Try, /*On fail goto*//*Label 23406*/ GIMT_Encode4(1711093), // Rule ID 7689 //
     /* 1711012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1711023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1711026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1711029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711058 */     // MIs[0] policy
     /* 1711058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711068 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1711071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711092 */     // GIR_Coverage, 7689,
     /* 1711092 */     GIR_EraseRootFromParent_Done,
     /* 1711093 */   // Label 23406: @1711093
     /* 1711093 */   GIM_Try, /*On fail goto*//*Label 23407*/ GIMT_Encode4(1711179), // Rule ID 7692 //
     /* 1711098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1711109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1711112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711144 */     // MIs[0] policy
     /* 1711144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711154 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1711157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711178 */     // GIR_Coverage, 7692,
     /* 1711178 */     GIR_EraseRootFromParent_Done,
     /* 1711179 */   // Label 23407: @1711179
     /* 1711179 */   GIM_Try, /*On fail goto*//*Label 23408*/ GIMT_Encode4(1711265), // Rule ID 7693 //
     /* 1711184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1711195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1711198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1711201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1711207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711230 */     // MIs[0] policy
     /* 1711230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711240 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1711243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711264 */     // GIR_Coverage, 7693,
     /* 1711264 */     GIR_EraseRootFromParent_Done,
     /* 1711265 */   // Label 23408: @1711265
     /* 1711265 */   GIM_Try, /*On fail goto*//*Label 23409*/ GIMT_Encode4(1711351), // Rule ID 7696 //
     /* 1711270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711316 */     // MIs[0] policy
     /* 1711316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1711329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711350 */     // GIR_Coverage, 7696,
     /* 1711350 */     GIR_EraseRootFromParent_Done,
     /* 1711351 */   // Label 23409: @1711351
     /* 1711351 */   GIM_Try, /*On fail goto*//*Label 23410*/ GIMT_Encode4(1711437), // Rule ID 7697 //
     /* 1711356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1711367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1711370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1711373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1711379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711402 */     // MIs[0] policy
     /* 1711402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711412 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11492:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1711415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711436 */     // GIR_Coverage, 7697,
     /* 1711436 */     GIR_EraseRootFromParent_Done,
     /* 1711437 */   // Label 23410: @1711437
     /* 1711437 */   GIM_Try, /*On fail goto*//*Label 23411*/ GIMT_Encode4(1711523), // Rule ID 7700 //
     /* 1711442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711488 */     // MIs[0] policy
     /* 1711488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711498 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1711501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711522 */     // GIR_Coverage, 7700,
     /* 1711522 */     GIR_EraseRootFromParent_Done,
     /* 1711523 */   // Label 23411: @1711523
     /* 1711523 */   GIM_Try, /*On fail goto*//*Label 23412*/ GIMT_Encode4(1711609), // Rule ID 7701 //
     /* 1711528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1711539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1711542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1711545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1711551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1711558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1711562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711574 */     // MIs[0] policy
     /* 1711574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711584 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1711587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711608 */     // GIR_Coverage, 7701,
     /* 1711608 */     GIR_EraseRootFromParent_Done,
     /* 1711609 */   // Label 23412: @1711609
     /* 1711609 */   GIM_Try, /*On fail goto*//*Label 23413*/ GIMT_Encode4(1711695), // Rule ID 7704 //
     /* 1711614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711660 */     // MIs[0] policy
     /* 1711660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711670 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1711673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711694 */     // GIR_Coverage, 7704,
     /* 1711694 */     GIR_EraseRootFromParent_Done,
     /* 1711695 */   // Label 23413: @1711695
     /* 1711695 */   GIM_Try, /*On fail goto*//*Label 23414*/ GIMT_Encode4(1711781), // Rule ID 7705 //
     /* 1711700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1711711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1711714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1711717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1711723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1711730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1711734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1711738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711746 */     // MIs[0] policy
     /* 1711746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711756 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1711759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1711777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711780 */     // GIR_Coverage, 7705,
     /* 1711780 */     GIR_EraseRootFromParent_Done,
     /* 1711781 */   // Label 23414: @1711781
     /* 1711781 */   GIM_Try, /*On fail goto*//*Label 23415*/ GIMT_Encode4(1711867), // Rule ID 7708 //
     /* 1711786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1711797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1711800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1711803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711832 */     // MIs[0] policy
     /* 1711832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1711842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1711845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711866 */     // GIR_Coverage, 7708,
     /* 1711866 */     GIR_EraseRootFromParent_Done,
     /* 1711867 */   // Label 23415: @1711867
     /* 1711867 */   GIM_Try, /*On fail goto*//*Label 23416*/ GIMT_Encode4(1711953), // Rule ID 7709 //
     /* 1711872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1711875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1711883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1711886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1711889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1711892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1711895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1711898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1711914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1711918 */     // MIs[0] policy
     /* 1711918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1711921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1711928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1711928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF4_MASK),
     /* 1711931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1711933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1711935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1711937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1711939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1711941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1711946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1711949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1711951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1711952 */     // GIR_Coverage, 7709,
     /* 1711952 */     GIR_EraseRootFromParent_Done,
     /* 1711953 */   // Label 23416: @1711953
     /* 1711953 */   GIM_Try, /*On fail goto*//*Label 23417*/ GIMT_Encode4(1712039), // Rule ID 7712 //
     /* 1711958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1711961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1711966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1711969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1711972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1711975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1711978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1711981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1711984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1711988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1711996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712004 */     // MIs[0] policy
     /* 1712004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1712017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712038 */     // GIR_Coverage, 7712,
     /* 1712038 */     GIR_EraseRootFromParent_Done,
     /* 1712039 */   // Label 23417: @1712039
     /* 1712039 */   GIM_Try, /*On fail goto*//*Label 23418*/ GIMT_Encode4(1712125), // Rule ID 7713 //
     /* 1712044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1712055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1712058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1712061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712090 */     // MIs[0] policy
     /* 1712090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1712103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712124 */     // GIR_Coverage, 7713,
     /* 1712124 */     GIR_EraseRootFromParent_Done,
     /* 1712125 */   // Label 23418: @1712125
     /* 1712125 */   GIM_Try, /*On fail goto*//*Label 23419*/ GIMT_Encode4(1712211), // Rule ID 7716 //
     /* 1712130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1712141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1712144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712176 */     // MIs[0] policy
     /* 1712176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712186 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1712189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712210 */     // GIR_Coverage, 7716,
     /* 1712210 */     GIR_EraseRootFromParent_Done,
     /* 1712211 */   // Label 23419: @1712211
     /* 1712211 */   GIM_Try, /*On fail goto*//*Label 23420*/ GIMT_Encode4(1712297), // Rule ID 7717 //
     /* 1712216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1712227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1712230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1712233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1712239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712262 */     // MIs[0] policy
     /* 1712262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712272 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11492:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1712275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712296 */     // GIR_Coverage, 7717,
     /* 1712296 */     GIR_EraseRootFromParent_Done,
     /* 1712297 */   // Label 23420: @1712297
     /* 1712297 */   GIM_Try, /*On fail goto*//*Label 23421*/ GIMT_Encode4(1712383), // Rule ID 7720 //
     /* 1712302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712348 */     // MIs[0] policy
     /* 1712348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712358 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1712361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712382 */     // GIR_Coverage, 7720,
     /* 1712382 */     GIR_EraseRootFromParent_Done,
     /* 1712383 */   // Label 23421: @1712383
     /* 1712383 */   GIM_Try, /*On fail goto*//*Label 23422*/ GIMT_Encode4(1712469), // Rule ID 7721 //
     /* 1712388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1712399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1712402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1712405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1712411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1712418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712434 */     // MIs[0] policy
     /* 1712434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712444 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1712447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712468 */     // GIR_Coverage, 7721,
     /* 1712468 */     GIR_EraseRootFromParent_Done,
     /* 1712469 */   // Label 23422: @1712469
     /* 1712469 */   GIM_Try, /*On fail goto*//*Label 23423*/ GIMT_Encode4(1712555), // Rule ID 7724 //
     /* 1712474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1712477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712520 */     // MIs[0] policy
     /* 1712520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1712533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712554 */     // GIR_Coverage, 7724,
     /* 1712554 */     GIR_EraseRootFromParent_Done,
     /* 1712555 */   // Label 23423: @1712555
     /* 1712555 */   GIM_Try, /*On fail goto*//*Label 23424*/ GIMT_Encode4(1712641), // Rule ID 7725 //
     /* 1712560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1712563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1712571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1712574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1712577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1712583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1712590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1712594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1712598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712606 */     // MIs[0] policy
     /* 1712606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712616 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1712619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1712637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712640 */     // GIR_Coverage, 7725,
     /* 1712640 */     GIR_EraseRootFromParent_Done,
     /* 1712641 */   // Label 23424: @1712641
     /* 1712641 */   GIM_Try, /*On fail goto*//*Label 23425*/ GIMT_Encode4(1712727), // Rule ID 7728 //
     /* 1712646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1712649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1712657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1712660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1712663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712692 */     // MIs[0] policy
     /* 1712692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712702 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1712705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712726 */     // GIR_Coverage, 7728,
     /* 1712726 */     GIR_EraseRootFromParent_Done,
     /* 1712727 */   // Label 23425: @1712727
     /* 1712727 */   GIM_Try, /*On fail goto*//*Label 23426*/ GIMT_Encode4(1712813), // Rule ID 7729 //
     /* 1712732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1712735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1712743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1712746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1712749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1712755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712778 */     // MIs[0] policy
     /* 1712778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712788 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_MF2_MASK),
     /* 1712791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712812 */     // GIR_Coverage, 7729,
     /* 1712812 */     GIR_EraseRootFromParent_Done,
     /* 1712813 */   // Label 23426: @1712813
     /* 1712813 */   GIM_Try, /*On fail goto*//*Label 23427*/ GIMT_Encode4(1712899), // Rule ID 7732 //
     /* 1712818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1712821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1712829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1712832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1712838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1712844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712864 */     // MIs[0] policy
     /* 1712864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712874 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1712874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1712877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712898 */     // GIR_Coverage, 7732,
     /* 1712898 */     GIR_EraseRootFromParent_Done,
     /* 1712899 */   // Label 23427: @1712899
     /* 1712899 */   GIM_Try, /*On fail goto*//*Label 23428*/ GIMT_Encode4(1712985), // Rule ID 7733 //
     /* 1712904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1712907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1712915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1712918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1712921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1712924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1712927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1712930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1712934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1712938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1712942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1712946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1712950 */     // MIs[0] policy
     /* 1712950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1712953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1712960 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11492:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1712960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M1_MASK),
     /* 1712963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1712965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1712967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1712969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1712971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1712973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1712978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1712981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1712983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1712984 */     // GIR_Coverage, 7733,
     /* 1712984 */     GIR_EraseRootFromParent_Done,
     /* 1712985 */   // Label 23428: @1712985
     /* 1712985 */   GIM_Try, /*On fail goto*//*Label 23429*/ GIMT_Encode4(1713071), // Rule ID 7736 //
     /* 1712990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1712993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1712998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713036 */     // MIs[0] policy
     /* 1713036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713046 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1713049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713070 */     // GIR_Coverage, 7736,
     /* 1713070 */     GIR_EraseRootFromParent_Done,
     /* 1713071 */   // Label 23429: @1713071
     /* 1713071 */   GIM_Try, /*On fail goto*//*Label 23430*/ GIMT_Encode4(1713157), // Rule ID 7737 //
     /* 1713076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1713079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1713087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1713090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1713093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1713106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1713110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713122 */     // MIs[0] policy
     /* 1713122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713132 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11492:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M2_MASK),
     /* 1713135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713156 */     // GIR_Coverage, 7737,
     /* 1713156 */     GIR_EraseRootFromParent_Done,
     /* 1713157 */   // Label 23430: @1713157
     /* 1713157 */   GIM_Try, /*On fail goto*//*Label 23431*/ GIMT_Encode4(1713243), // Rule ID 7740 //
     /* 1713162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1713165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1713182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713208 */     // MIs[0] policy
     /* 1713208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713218 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1713221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713242 */     // GIR_Coverage, 7740,
     /* 1713242 */     GIR_EraseRootFromParent_Done,
     /* 1713243 */   // Label 23431: @1713243
     /* 1713243 */   GIM_Try, /*On fail goto*//*Label 23432*/ GIMT_Encode4(1713329), // Rule ID 7741 //
     /* 1713248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1713251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnsra_mask),
     /* 1713256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1713259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1713262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1713265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1713268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1713271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1713278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1713282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1713286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1713290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713294 */     // MIs[0] policy
     /* 1713294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713304 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11492:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNSRA_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNSRA_WX_M4_MASK),
     /* 1713307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1713325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713328 */     // GIR_Coverage, 7741,
     /* 1713328 */     GIR_EraseRootFromParent_Done,
     /* 1713329 */   // Label 23432: @1713329
     /* 1713329 */   GIM_Try, /*On fail goto*//*Label 23433*/ GIMT_Encode4(1713415), // Rule ID 10256 //
     /* 1713334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1713354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713380 */     // MIs[0] policy
     /* 1713380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713390 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1713393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713414 */     // GIR_Coverage, 10256,
     /* 1713414 */     GIR_EraseRootFromParent_Done,
     /* 1713415 */   // Label 23433: @1713415
     /* 1713415 */   GIM_Try, /*On fail goto*//*Label 23434*/ GIMT_Encode4(1713501), // Rule ID 10257 //
     /* 1713420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1713431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1713434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1713437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1713440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713466 */     // MIs[0] policy
     /* 1713466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713476 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8_MASK),
     /* 1713479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713500 */     // GIR_Coverage, 10257,
     /* 1713500 */     GIR_EraseRootFromParent_Done,
     /* 1713501 */   // Label 23434: @1713501
     /* 1713501 */   GIM_Try, /*On fail goto*//*Label 23435*/ GIMT_Encode4(1713587), // Rule ID 10260 //
     /* 1713506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1713526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713552 */     // MIs[0] policy
     /* 1713552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713562 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1713565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713586 */     // GIR_Coverage, 10260,
     /* 1713586 */     GIR_EraseRootFromParent_Done,
     /* 1713587 */   // Label 23435: @1713587
     /* 1713587 */   GIM_Try, /*On fail goto*//*Label 23436*/ GIMT_Encode4(1713673), // Rule ID 10261 //
     /* 1713592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1713603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1713606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1713609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1713612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1713615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713638 */     // MIs[0] policy
     /* 1713638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713648 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1713651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713672 */     // GIR_Coverage, 10261,
     /* 1713672 */     GIR_EraseRootFromParent_Done,
     /* 1713673 */   // Label 23436: @1713673
     /* 1713673 */   GIM_Try, /*On fail goto*//*Label 23437*/ GIMT_Encode4(1713759), // Rule ID 10264 //
     /* 1713678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1713689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1713692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1713695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1713698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713724 */     // MIs[0] policy
     /* 1713724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1713737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713758 */     // GIR_Coverage, 10264,
     /* 1713758 */     GIR_EraseRootFromParent_Done,
     /* 1713759 */   // Label 23437: @1713759
     /* 1713759 */   GIM_Try, /*On fail goto*//*Label 23438*/ GIMT_Encode4(1713845), // Rule ID 10265 //
     /* 1713764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1713775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1713778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1713781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1713784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1713787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713810 */     // MIs[0] policy
     /* 1713810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713820 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1713823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1713841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713844 */     // GIR_Coverage, 10265,
     /* 1713844 */     GIR_EraseRootFromParent_Done,
     /* 1713845 */   // Label 23438: @1713845
     /* 1713845 */   GIM_Try, /*On fail goto*//*Label 23439*/ GIMT_Encode4(1713931), // Rule ID 10268 //
     /* 1713850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1713853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1713870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1713876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713896 */     // MIs[0] policy
     /* 1713896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713906 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1713906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1713909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1713915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1713917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1713919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1713924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1713927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1713929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1713930 */     // GIR_Coverage, 10268,
     /* 1713930 */     GIR_EraseRootFromParent_Done,
     /* 1713931 */   // Label 23439: @1713931
     /* 1713931 */   GIM_Try, /*On fail goto*//*Label 23440*/ GIMT_Encode4(1714017), // Rule ID 10269 //
     /* 1713936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1713939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1713944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1713947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1713950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1713953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1713956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1713959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1713962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1713966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1713978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1713982 */     // MIs[0] policy
     /* 1713982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1713985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1713992 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1713992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4_MASK),
     /* 1713995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1713997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1713999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714016 */     // GIR_Coverage, 10269,
     /* 1714016 */     GIR_EraseRootFromParent_Done,
     /* 1714017 */   // Label 23440: @1714017
     /* 1714017 */   GIM_Try, /*On fail goto*//*Label 23441*/ GIMT_Encode4(1714103), // Rule ID 10272 //
     /* 1714022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1714042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714068 */     // MIs[0] policy
     /* 1714068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714078 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1714081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714102 */     // GIR_Coverage, 10272,
     /* 1714102 */     GIR_EraseRootFromParent_Done,
     /* 1714103 */   // Label 23441: @1714103
     /* 1714103 */   GIM_Try, /*On fail goto*//*Label 23442*/ GIMT_Encode4(1714189), // Rule ID 10273 //
     /* 1714108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1714119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1714122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1714125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1714128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714154 */     // MIs[0] policy
     /* 1714154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714164 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1714167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714188 */     // GIR_Coverage, 10273,
     /* 1714188 */     GIR_EraseRootFromParent_Done,
     /* 1714189 */   // Label 23442: @1714189
     /* 1714189 */   GIM_Try, /*On fail goto*//*Label 23443*/ GIMT_Encode4(1714275), // Rule ID 10276 //
     /* 1714194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1714214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714240 */     // MIs[0] policy
     /* 1714240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714250 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1714253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714274 */     // GIR_Coverage, 10276,
     /* 1714274 */     GIR_EraseRootFromParent_Done,
     /* 1714275 */   // Label 23443: @1714275
     /* 1714275 */   GIM_Try, /*On fail goto*//*Label 23444*/ GIMT_Encode4(1714361), // Rule ID 10277 //
     /* 1714280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1714291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1714294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1714297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1714300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714326 */     // MIs[0] policy
     /* 1714326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714336 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2_MASK),
     /* 1714339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714360 */     // GIR_Coverage, 10277,
     /* 1714360 */     GIR_EraseRootFromParent_Done,
     /* 1714361 */   // Label 23444: @1714361
     /* 1714361 */   GIM_Try, /*On fail goto*//*Label 23445*/ GIMT_Encode4(1714447), // Rule ID 10280 //
     /* 1714366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1714386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714412 */     // MIs[0] policy
     /* 1714412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714422 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1714425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714446 */     // GIR_Coverage, 10280,
     /* 1714446 */     GIR_EraseRootFromParent_Done,
     /* 1714447 */   // Label 23445: @1714447
     /* 1714447 */   GIM_Try, /*On fail goto*//*Label 23446*/ GIMT_Encode4(1714533), // Rule ID 10281 //
     /* 1714452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1714463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1714466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1714469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1714472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1714475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714498 */     // MIs[0] policy
     /* 1714498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714508 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1714511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1714529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714532 */     // GIR_Coverage, 10281,
     /* 1714532 */     GIR_EraseRootFromParent_Done,
     /* 1714533 */   // Label 23446: @1714533
     /* 1714533 */   GIM_Try, /*On fail goto*//*Label 23447*/ GIMT_Encode4(1714619), // Rule ID 10284 //
     /* 1714538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1714558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714584 */     // MIs[0] policy
     /* 1714584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714594 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1714597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714618 */     // GIR_Coverage, 10284,
     /* 1714618 */     GIR_EraseRootFromParent_Done,
     /* 1714619 */   // Label 23447: @1714619
     /* 1714619 */   GIM_Try, /*On fail goto*//*Label 23448*/ GIMT_Encode4(1714705), // Rule ID 10285 //
     /* 1714624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1714635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1714638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1714641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1714644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1714647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714670 */     // MIs[0] policy
     /* 1714670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714680 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1714683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1714701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714704 */     // GIR_Coverage, 10285,
     /* 1714704 */     GIR_EraseRootFromParent_Done,
     /* 1714705 */   // Label 23448: @1714705
     /* 1714705 */   GIM_Try, /*On fail goto*//*Label 23449*/ GIMT_Encode4(1714791), // Rule ID 10288 //
     /* 1714710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1714713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1714721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1714724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1714727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1714730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714756 */     // MIs[0] policy
     /* 1714756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1714769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714790 */     // GIR_Coverage, 10288,
     /* 1714790 */     GIR_EraseRootFromParent_Done,
     /* 1714791 */   // Label 23449: @1714791
     /* 1714791 */   GIM_Try, /*On fail goto*//*Label 23450*/ GIMT_Encode4(1714877), // Rule ID 10289 //
     /* 1714796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1714799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1714807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1714810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1714813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1714816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1714819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714842 */     // MIs[0] policy
     /* 1714842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714852 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1714852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1714855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1714873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714876 */     // GIR_Coverage, 10289,
     /* 1714876 */     GIR_EraseRootFromParent_Done,
     /* 1714877 */   // Label 23450: @1714877
     /* 1714877 */   GIM_Try, /*On fail goto*//*Label 23451*/ GIMT_Encode4(1714963), // Rule ID 10292 //
     /* 1714882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1714885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1714902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1714908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1714924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1714928 */     // MIs[0] policy
     /* 1714928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1714931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1714938 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1714938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1714941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1714943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1714945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1714947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1714949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1714951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1714956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1714959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1714961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1714962 */     // GIR_Coverage, 10292,
     /* 1714962 */     GIR_EraseRootFromParent_Done,
     /* 1714963 */   // Label 23451: @1714963
     /* 1714963 */   GIM_Try, /*On fail goto*//*Label 23452*/ GIMT_Encode4(1715049), // Rule ID 10293 //
     /* 1714968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1714971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1714976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1714979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1714982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1714985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1714988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1714991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1714994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1714998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1715010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715014 */     // MIs[0] policy
     /* 1715014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715024 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1_MASK),
     /* 1715027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1715045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715048 */     // GIR_Coverage, 10293,
     /* 1715048 */     GIR_EraseRootFromParent_Done,
     /* 1715049 */   // Label 23452: @1715049
     /* 1715049 */   GIM_Try, /*On fail goto*//*Label 23453*/ GIMT_Encode4(1715135), // Rule ID 10296 //
     /* 1715054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1715074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715100 */     // MIs[0] policy
     /* 1715100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715110 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1715113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715134 */     // GIR_Coverage, 10296,
     /* 1715134 */     GIR_EraseRootFromParent_Done,
     /* 1715135 */   // Label 23453: @1715135
     /* 1715135 */   GIM_Try, /*On fail goto*//*Label 23454*/ GIMT_Encode4(1715221), // Rule ID 10297 //
     /* 1715140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1715151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1715154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1715157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1715160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715186 */     // MIs[0] policy
     /* 1715186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715196 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1715199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715220 */     // GIR_Coverage, 10297,
     /* 1715220 */     GIR_EraseRootFromParent_Done,
     /* 1715221 */   // Label 23454: @1715221
     /* 1715221 */   GIM_Try, /*On fail goto*//*Label 23455*/ GIMT_Encode4(1715307), // Rule ID 10300 //
     /* 1715226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1715246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715272 */     // MIs[0] policy
     /* 1715272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715282 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1715285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715306 */     // GIR_Coverage, 10300,
     /* 1715306 */     GIR_EraseRootFromParent_Done,
     /* 1715307 */   // Label 23455: @1715307
     /* 1715307 */   GIM_Try, /*On fail goto*//*Label 23456*/ GIMT_Encode4(1715393), // Rule ID 10301 //
     /* 1715312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1715323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1715326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1715329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1715332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715358 */     // MIs[0] policy
     /* 1715358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715368 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1715371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715392 */     // GIR_Coverage, 10301,
     /* 1715392 */     GIR_EraseRootFromParent_Done,
     /* 1715393 */   // Label 23456: @1715393
     /* 1715393 */   GIM_Try, /*On fail goto*//*Label 23457*/ GIMT_Encode4(1715479), // Rule ID 10304 //
     /* 1715398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1715418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715444 */     // MIs[0] policy
     /* 1715444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715454 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1715457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715478 */     // GIR_Coverage, 10304,
     /* 1715478 */     GIR_EraseRootFromParent_Done,
     /* 1715479 */   // Label 23457: @1715479
     /* 1715479 */   GIM_Try, /*On fail goto*//*Label 23458*/ GIMT_Encode4(1715565), // Rule ID 10305 //
     /* 1715484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1715495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1715498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1715501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1715504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1715507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715530 */     // MIs[0] policy
     /* 1715530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715540 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1715543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1715561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715564 */     // GIR_Coverage, 10305,
     /* 1715564 */     GIR_EraseRootFromParent_Done,
     /* 1715565 */   // Label 23458: @1715565
     /* 1715565 */   GIM_Try, /*On fail goto*//*Label 23459*/ GIMT_Encode4(1715651), // Rule ID 10308 //
     /* 1715570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1715587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1715590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715616 */     // MIs[0] policy
     /* 1715616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715626 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1715629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715650 */     // GIR_Coverage, 10308,
     /* 1715650 */     GIR_EraseRootFromParent_Done,
     /* 1715651 */   // Label 23459: @1715651
     /* 1715651 */   GIM_Try, /*On fail goto*//*Label 23460*/ GIMT_Encode4(1715737), // Rule ID 10309 //
     /* 1715656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1715667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1715670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1715673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1715676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1715679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1715686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1715698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715702 */     // MIs[0] policy
     /* 1715702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715712 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1715715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715736 */     // GIR_Coverage, 10309,
     /* 1715736 */     GIR_EraseRootFromParent_Done,
     /* 1715737 */   // Label 23460: @1715737
     /* 1715737 */   GIM_Try, /*On fail goto*//*Label 23461*/ GIMT_Encode4(1715823), // Rule ID 10312 //
     /* 1715742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1715759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1715762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715788 */     // MIs[0] policy
     /* 1715788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715798 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1715801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715822 */     // GIR_Coverage, 10312,
     /* 1715822 */     GIR_EraseRootFromParent_Done,
     /* 1715823 */   // Label 23461: @1715823
     /* 1715823 */   GIM_Try, /*On fail goto*//*Label 23462*/ GIMT_Encode4(1715909), // Rule ID 10313 //
     /* 1715828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1715831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1715839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1715842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1715845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1715848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1715851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1715854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1715858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1715870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715874 */     // MIs[0] policy
     /* 1715874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715884 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1715884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1715887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715908 */     // GIR_Coverage, 10313,
     /* 1715908 */     GIR_EraseRootFromParent_Done,
     /* 1715909 */   // Label 23462: @1715909
     /* 1715909 */   GIM_Try, /*On fail goto*//*Label 23463*/ GIMT_Encode4(1715995), // Rule ID 10316 //
     /* 1715914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1715917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1715922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1715925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1715928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1715931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1715934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1715937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1715940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1715944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1715956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1715960 */     // MIs[0] policy
     /* 1715960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1715963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1715970 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1715970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1715973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1715975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1715977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1715979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1715981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1715983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1715988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1715991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1715993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1715994 */     // GIR_Coverage, 10316,
     /* 1715994 */     GIR_EraseRootFromParent_Done,
     /* 1715995 */   // Label 23463: @1715995
     /* 1715995 */   GIM_Try, /*On fail goto*//*Label 23464*/ GIMT_Encode4(1716081), // Rule ID 10317 //
     /* 1716000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1716011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1716014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1716017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1716020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1716023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716046 */     // MIs[0] policy
     /* 1716046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716056 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1716059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1716077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716080 */     // GIR_Coverage, 10317,
     /* 1716080 */     GIR_EraseRootFromParent_Done,
     /* 1716081 */   // Label 23464: @1716081
     /* 1716081 */   GIM_Try, /*On fail goto*//*Label 23465*/ GIMT_Encode4(1716167), // Rule ID 10320 //
     /* 1716086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1716106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716132 */     // MIs[0] policy
     /* 1716132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716142 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1716145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716166 */     // GIR_Coverage, 10320,
     /* 1716166 */     GIR_EraseRootFromParent_Done,
     /* 1716167 */   // Label 23465: @1716167
     /* 1716167 */   GIM_Try, /*On fail goto*//*Label 23466*/ GIMT_Encode4(1716253), // Rule ID 10321 //
     /* 1716172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1716183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1716186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1716189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1716192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716218 */     // MIs[0] policy
     /* 1716218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716228 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1716231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716252 */     // GIR_Coverage, 10321,
     /* 1716252 */     GIR_EraseRootFromParent_Done,
     /* 1716253 */   // Label 23466: @1716253
     /* 1716253 */   GIM_Try, /*On fail goto*//*Label 23467*/ GIMT_Encode4(1716339), // Rule ID 10324 //
     /* 1716258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1716278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716304 */     // MIs[0] policy
     /* 1716304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716314 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1716317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716338 */     // GIR_Coverage, 10324,
     /* 1716338 */     GIR_EraseRootFromParent_Done,
     /* 1716339 */   // Label 23467: @1716339
     /* 1716339 */   GIM_Try, /*On fail goto*//*Label 23468*/ GIMT_Encode4(1716425), // Rule ID 10325 //
     /* 1716344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1716355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1716358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1716361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1716364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716390 */     // MIs[0] policy
     /* 1716390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716400 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1716403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716424 */     // GIR_Coverage, 10325,
     /* 1716424 */     GIR_EraseRootFromParent_Done,
     /* 1716425 */   // Label 23468: @1716425
     /* 1716425 */   GIM_Try, /*On fail goto*//*Label 23469*/ GIMT_Encode4(1716511), // Rule ID 10328 //
     /* 1716430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1716433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1716450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716476 */     // MIs[0] policy
     /* 1716476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716486 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1716489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716510 */     // GIR_Coverage, 10328,
     /* 1716510 */     GIR_EraseRootFromParent_Done,
     /* 1716511 */   // Label 23469: @1716511
     /* 1716511 */   GIM_Try, /*On fail goto*//*Label 23470*/ GIMT_Encode4(1716597), // Rule ID 10329 //
     /* 1716516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1716519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1716527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1716530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1716533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1716536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1716539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716562 */     // MIs[0] policy
     /* 1716562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716572 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1716575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1716593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716596 */     // GIR_Coverage, 10329,
     /* 1716596 */     GIR_EraseRootFromParent_Done,
     /* 1716597 */   // Label 23470: @1716597
     /* 1716597 */   GIM_Try, /*On fail goto*//*Label 23471*/ GIMT_Encode4(1716683), // Rule ID 10332 //
     /* 1716602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1716613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1716616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1716622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716648 */     // MIs[0] policy
     /* 1716648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1716661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716682 */     // GIR_Coverage, 10332,
     /* 1716682 */     GIR_EraseRootFromParent_Done,
     /* 1716683 */   // Label 23471: @1716683
     /* 1716683 */   GIM_Try, /*On fail goto*//*Label 23472*/ GIMT_Encode4(1716769), // Rule ID 10333 //
     /* 1716688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1716699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1716702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1716705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1716708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1716711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1716718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1716730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716734 */     // MIs[0] policy
     /* 1716734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716744 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2_MASK),
     /* 1716747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716768 */     // GIR_Coverage, 10333,
     /* 1716768 */     GIR_EraseRootFromParent_Done,
     /* 1716769 */   // Label 23472: @1716769
     /* 1716769 */   GIM_Try, /*On fail goto*//*Label 23473*/ GIMT_Encode4(1716855), // Rule ID 10336 //
     /* 1716774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1716794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716820 */     // MIs[0] policy
     /* 1716820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716830 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1716830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1716833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716854 */     // GIR_Coverage, 10336,
     /* 1716854 */     GIR_EraseRootFromParent_Done,
     /* 1716855 */   // Label 23473: @1716855
     /* 1716855 */   GIM_Try, /*On fail goto*//*Label 23474*/ GIMT_Encode4(1716941), // Rule ID 10337 //
     /* 1716860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1716863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1716871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1716874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1716877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1716880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1716883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1716886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1716890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1716902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716906 */     // MIs[0] policy
     /* 1716906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1716916 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1716916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4_MASK),
     /* 1716919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1716921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1716923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1716925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1716927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1716929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1716934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1716937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1716939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1716940 */     // GIR_Coverage, 10337,
     /* 1716940 */     GIR_EraseRootFromParent_Done,
     /* 1716941 */   // Label 23474: @1716941
     /* 1716941 */   GIM_Try, /*On fail goto*//*Label 23475*/ GIMT_Encode4(1717027), // Rule ID 10340 //
     /* 1716946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1716949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1716954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1716957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1716960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1716963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1716966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1716969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1716972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1716976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1716988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1716992 */     // MIs[0] policy
     /* 1716992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1716995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717002 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1717005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717026 */     // GIR_Coverage, 10340,
     /* 1717026 */     GIR_EraseRootFromParent_Done,
     /* 1717027 */   // Label 23475: @1717027
     /* 1717027 */   GIM_Try, /*On fail goto*//*Label 23476*/ GIMT_Encode4(1717113), // Rule ID 10341 //
     /* 1717032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1717035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1717043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1717046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1717049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1717052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1717055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1717062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1717074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717078 */     // MIs[0] policy
     /* 1717078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717088 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8_MASK),
     /* 1717091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1717109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717112 */     // GIR_Coverage, 10341,
     /* 1717112 */     GIR_EraseRootFromParent_Done,
     /* 1717113 */   // Label 23476: @1717113
     /* 1717113 */   GIM_Try, /*On fail goto*//*Label 23477*/ GIMT_Encode4(1717199), // Rule ID 10344 //
     /* 1717118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717164 */     // MIs[0] policy
     /* 1717164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717174 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1717177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717198 */     // GIR_Coverage, 10344,
     /* 1717198 */     GIR_EraseRootFromParent_Done,
     /* 1717199 */   // Label 23477: @1717199
     /* 1717199 */   GIM_Try, /*On fail goto*//*Label 23478*/ GIMT_Encode4(1717285), // Rule ID 10345 //
     /* 1717204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1717215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1717218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1717221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717250 */     // MIs[0] policy
     /* 1717250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717260 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF8_MASK),
     /* 1717263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717284 */     // GIR_Coverage, 10345,
     /* 1717284 */     GIR_EraseRootFromParent_Done,
     /* 1717285 */   // Label 23478: @1717285
     /* 1717285 */   GIM_Try, /*On fail goto*//*Label 23479*/ GIMT_Encode4(1717371), // Rule ID 10348 //
     /* 1717290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717336 */     // MIs[0] policy
     /* 1717336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717346 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1717349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717370 */     // GIR_Coverage, 10348,
     /* 1717370 */     GIR_EraseRootFromParent_Done,
     /* 1717371 */   // Label 23479: @1717371
     /* 1717371 */   GIM_Try, /*On fail goto*//*Label 23480*/ GIMT_Encode4(1717457), // Rule ID 10349 //
     /* 1717376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1717387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1717390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1717393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717422 */     // MIs[0] policy
     /* 1717422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717432 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1717435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717456 */     // GIR_Coverage, 10349,
     /* 1717456 */     GIR_EraseRootFromParent_Done,
     /* 1717457 */   // Label 23480: @1717457
     /* 1717457 */   GIM_Try, /*On fail goto*//*Label 23481*/ GIMT_Encode4(1717543), // Rule ID 10352 //
     /* 1717462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717508 */     // MIs[0] policy
     /* 1717508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717518 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1717521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717542 */     // GIR_Coverage, 10352,
     /* 1717542 */     GIR_EraseRootFromParent_Done,
     /* 1717543 */   // Label 23481: @1717543
     /* 1717543 */   GIM_Try, /*On fail goto*//*Label 23482*/ GIMT_Encode4(1717629), // Rule ID 10353 //
     /* 1717548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1717559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1717562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1717565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1717571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717594 */     // MIs[0] policy
     /* 1717594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717604 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1717607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1717625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717628 */     // GIR_Coverage, 10353,
     /* 1717628 */     GIR_EraseRootFromParent_Done,
     /* 1717629 */   // Label 23482: @1717629
     /* 1717629 */   GIM_Try, /*On fail goto*//*Label 23483*/ GIMT_Encode4(1717715), // Rule ID 10356 //
     /* 1717634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717680 */     // MIs[0] policy
     /* 1717680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717690 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1717693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717714 */     // GIR_Coverage, 10356,
     /* 1717714 */     GIR_EraseRootFromParent_Done,
     /* 1717715 */   // Label 23483: @1717715
     /* 1717715 */   GIM_Try, /*On fail goto*//*Label 23484*/ GIMT_Encode4(1717801), // Rule ID 10357 //
     /* 1717720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1717731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1717734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1717737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1717743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717766 */     // MIs[0] policy
     /* 1717766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717776 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF4_MASK),
     /* 1717779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717800 */     // GIR_Coverage, 10357,
     /* 1717800 */     GIR_EraseRootFromParent_Done,
     /* 1717801 */   // Label 23484: @1717801
     /* 1717801 */   GIM_Try, /*On fail goto*//*Label 23485*/ GIMT_Encode4(1717887), // Rule ID 10360 //
     /* 1717806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1717832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717852 */     // MIs[0] policy
     /* 1717852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717862 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1717862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1717865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717886 */     // GIR_Coverage, 10360,
     /* 1717886 */     GIR_EraseRootFromParent_Done,
     /* 1717887 */   // Label 23485: @1717887
     /* 1717887 */   GIM_Try, /*On fail goto*//*Label 23486*/ GIMT_Encode4(1717973), // Rule ID 10361 //
     /* 1717892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1717895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1717903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1717906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1717909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1717912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1717915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1717918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1717922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1717930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1717934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1717938 */     // MIs[0] policy
     /* 1717938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1717941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1717948 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1717948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1717951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1717953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1717955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1717957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1717959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1717961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1717966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1717969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1717971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1717972 */     // GIR_Coverage, 10361,
     /* 1717972 */     GIR_EraseRootFromParent_Done,
     /* 1717973 */   // Label 23486: @1717973
     /* 1717973 */   GIM_Try, /*On fail goto*//*Label 23487*/ GIMT_Encode4(1718059), // Rule ID 10364 //
     /* 1717978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1717981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1717986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1717989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1717992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1717995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1717998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718024 */     // MIs[0] policy
     /* 1718024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718034 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1718037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718058 */     // GIR_Coverage, 10364,
     /* 1718058 */     GIR_EraseRootFromParent_Done,
     /* 1718059 */   // Label 23487: @1718059
     /* 1718059 */   GIM_Try, /*On fail goto*//*Label 23488*/ GIMT_Encode4(1718145), // Rule ID 10365 //
     /* 1718064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1718075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1718078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1718081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718110 */     // MIs[0] policy
     /* 1718110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_MF2_MASK),
     /* 1718123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718144 */     // GIR_Coverage, 10365,
     /* 1718144 */     GIR_EraseRootFromParent_Done,
     /* 1718145 */   // Label 23488: @1718145
     /* 1718145 */   GIM_Try, /*On fail goto*//*Label 23489*/ GIMT_Encode4(1718231), // Rule ID 10368 //
     /* 1718150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718196 */     // MIs[0] policy
     /* 1718196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718206 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1718209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718230 */     // GIR_Coverage, 10368,
     /* 1718230 */     GIR_EraseRootFromParent_Done,
     /* 1718231 */   // Label 23489: @1718231
     /* 1718231 */   GIM_Try, /*On fail goto*//*Label 23490*/ GIMT_Encode4(1718317), // Rule ID 10369 //
     /* 1718236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1718247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1718250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1718253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1718259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718282 */     // MIs[0] policy
     /* 1718282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718292 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11435:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1718295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718316 */     // GIR_Coverage, 10369,
     /* 1718316 */     GIR_EraseRootFromParent_Done,
     /* 1718317 */   // Label 23490: @1718317
     /* 1718317 */   GIM_Try, /*On fail goto*//*Label 23491*/ GIMT_Encode4(1718403), // Rule ID 10372 //
     /* 1718322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718368 */     // MIs[0] policy
     /* 1718368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718378 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1718381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718402 */     // GIR_Coverage, 10372,
     /* 1718402 */     GIR_EraseRootFromParent_Done,
     /* 1718403 */   // Label 23491: @1718403
     /* 1718403 */   GIM_Try, /*On fail goto*//*Label 23492*/ GIMT_Encode4(1718489), // Rule ID 10373 //
     /* 1718408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1718419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1718422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1718425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1718431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718454 */     // MIs[0] policy
     /* 1718454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718464 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11435:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1718467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1718485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718488 */     // GIR_Coverage, 10373,
     /* 1718488 */     GIR_EraseRootFromParent_Done,
     /* 1718489 */   // Label 23492: @1718489
     /* 1718489 */   GIM_Try, /*On fail goto*//*Label 23493*/ GIMT_Encode4(1718575), // Rule ID 10376 //
     /* 1718494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718540 */     // MIs[0] policy
     /* 1718540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718550 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1718553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718574 */     // GIR_Coverage, 10376,
     /* 1718574 */     GIR_EraseRootFromParent_Done,
     /* 1718575 */   // Label 23493: @1718575
     /* 1718575 */   GIM_Try, /*On fail goto*//*Label 23494*/ GIMT_Encode4(1718661), // Rule ID 10377 //
     /* 1718580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1718591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1718594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1718597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1718603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718626 */     // MIs[0] policy
     /* 1718626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718636 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11435:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1718639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1718657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718660 */     // GIR_Coverage, 10377,
     /* 1718660 */     GIR_EraseRootFromParent_Done,
     /* 1718661 */   // Label 23494: @1718661
     /* 1718661 */   GIM_Try, /*On fail goto*//*Label 23495*/ GIMT_Encode4(1718747), // Rule ID 10380 //
     /* 1718666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1718669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718712 */     // MIs[0] policy
     /* 1718712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718722 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1718725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718746 */     // GIR_Coverage, 10380,
     /* 1718746 */     GIR_EraseRootFromParent_Done,
     /* 1718747 */   // Label 23495: @1718747
     /* 1718747 */   GIM_Try, /*On fail goto*//*Label 23496*/ GIMT_Encode4(1718833), // Rule ID 10381 //
     /* 1718752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1718755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1718763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1718766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1718769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1718775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1718782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1718790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718798 */     // MIs[0] policy
     /* 1718798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718808 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11435:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M1_MASK),
     /* 1718811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1718829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718832 */     // GIR_Coverage, 10381,
     /* 1718832 */     GIR_EraseRootFromParent_Done,
     /* 1718833 */   // Label 23496: @1718833
     /* 1718833 */   GIM_Try, /*On fail goto*//*Label 23497*/ GIMT_Encode4(1718919), // Rule ID 10384 //
     /* 1718838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1718841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1718858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1718864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718884 */     // MIs[0] policy
     /* 1718884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718894 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1718894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1718897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1718915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1718917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1718918 */     // GIR_Coverage, 10384,
     /* 1718918 */     GIR_EraseRootFromParent_Done,
     /* 1718919 */   // Label 23497: @1718919
     /* 1718919 */   GIM_Try, /*On fail goto*//*Label 23498*/ GIMT_Encode4(1719005), // Rule ID 10385 //
     /* 1718924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1718927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1718932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1718935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1718938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1718941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1718944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1718947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1718950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1718954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1718962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1718966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1718970 */     // MIs[0] policy
     /* 1718970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1718973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1718980 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1718980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1718983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1718985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1718987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1718989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1718991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1718993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1718998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719004 */     // GIR_Coverage, 10385,
     /* 1719004 */     GIR_EraseRootFromParent_Done,
     /* 1719005 */   // Label 23498: @1719005
     /* 1719005 */   GIM_Try, /*On fail goto*//*Label 23499*/ GIMT_Encode4(1719091), // Rule ID 10388 //
     /* 1719010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719056 */     // MIs[0] policy
     /* 1719056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719066 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1719069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719090 */     // GIR_Coverage, 10388,
     /* 1719090 */     GIR_EraseRootFromParent_Done,
     /* 1719091 */   // Label 23499: @1719091
     /* 1719091 */   GIM_Try, /*On fail goto*//*Label 23500*/ GIMT_Encode4(1719177), // Rule ID 10389 //
     /* 1719096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1719107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1719110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1719113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719142 */     // MIs[0] policy
     /* 1719142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1719155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719176 */     // GIR_Coverage, 10389,
     /* 1719176 */     GIR_EraseRootFromParent_Done,
     /* 1719177 */   // Label 23500: @1719177
     /* 1719177 */   GIM_Try, /*On fail goto*//*Label 23501*/ GIMT_Encode4(1719263), // Rule ID 10392 //
     /* 1719182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719228 */     // MIs[0] policy
     /* 1719228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719238 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1719241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719262 */     // GIR_Coverage, 10392,
     /* 1719262 */     GIR_EraseRootFromParent_Done,
     /* 1719263 */   // Label 23501: @1719263
     /* 1719263 */   GIM_Try, /*On fail goto*//*Label 23502*/ GIMT_Encode4(1719349), // Rule ID 10393 //
     /* 1719268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1719279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1719282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1719285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1719291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719314 */     // MIs[0] policy
     /* 1719314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719324 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1719327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1719345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719348 */     // GIR_Coverage, 10393,
     /* 1719348 */     GIR_EraseRootFromParent_Done,
     /* 1719349 */   // Label 23502: @1719349
     /* 1719349 */   GIM_Try, /*On fail goto*//*Label 23503*/ GIMT_Encode4(1719435), // Rule ID 10396 //
     /* 1719354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719400 */     // MIs[0] policy
     /* 1719400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719410 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1719413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719434 */     // GIR_Coverage, 10396,
     /* 1719434 */     GIR_EraseRootFromParent_Done,
     /* 1719435 */   // Label 23503: @1719435
     /* 1719435 */   GIM_Try, /*On fail goto*//*Label 23504*/ GIMT_Encode4(1719521), // Rule ID 10397 //
     /* 1719440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1719451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1719454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1719457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1719463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719486 */     // MIs[0] policy
     /* 1719486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719496 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1719499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719520 */     // GIR_Coverage, 10397,
     /* 1719520 */     GIR_EraseRootFromParent_Done,
     /* 1719521 */   // Label 23504: @1719521
     /* 1719521 */   GIM_Try, /*On fail goto*//*Label 23505*/ GIMT_Encode4(1719607), // Rule ID 10400 //
     /* 1719526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719572 */     // MIs[0] policy
     /* 1719572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719582 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1719585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719606 */     // GIR_Coverage, 10400,
     /* 1719606 */     GIR_EraseRootFromParent_Done,
     /* 1719607 */   // Label 23505: @1719607
     /* 1719607 */   GIM_Try, /*On fail goto*//*Label 23506*/ GIMT_Encode4(1719693), // Rule ID 10401 //
     /* 1719612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1719623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1719626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1719629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1719635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1719642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1719650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719658 */     // MIs[0] policy
     /* 1719658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719668 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1719671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719692 */     // GIR_Coverage, 10401,
     /* 1719692 */     GIR_EraseRootFromParent_Done,
     /* 1719693 */   // Label 23506: @1719693
     /* 1719693 */   GIM_Try, /*On fail goto*//*Label 23507*/ GIMT_Encode4(1719779), // Rule ID 10404 //
     /* 1719698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1719709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1719712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1719715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719744 */     // MIs[0] policy
     /* 1719744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719754 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1719757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719778 */     // GIR_Coverage, 10404,
     /* 1719778 */     GIR_EraseRootFromParent_Done,
     /* 1719779 */   // Label 23507: @1719779
     /* 1719779 */   GIM_Try, /*On fail goto*//*Label 23508*/ GIMT_Encode4(1719865), // Rule ID 10405 //
     /* 1719784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1719795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1719798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1719801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1719807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1719814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1719822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719830 */     // MIs[0] policy
     /* 1719830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719840 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1719840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1719843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1719861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719864 */     // GIR_Coverage, 10405,
     /* 1719864 */     GIR_EraseRootFromParent_Done,
     /* 1719865 */   // Label 23508: @1719865
     /* 1719865 */   GIM_Try, /*On fail goto*//*Label 23509*/ GIMT_Encode4(1719951), // Rule ID 10408 //
     /* 1719870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1719873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1719890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1719896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1719916 */     // MIs[0] policy
     /* 1719916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1719919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1719926 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1719926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1719929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1719931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1719933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1719935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1719937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1719939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1719944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1719947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1719949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1719950 */     // GIR_Coverage, 10408,
     /* 1719950 */     GIR_EraseRootFromParent_Done,
     /* 1719951 */   // Label 23509: @1719951
     /* 1719951 */   GIM_Try, /*On fail goto*//*Label 23510*/ GIMT_Encode4(1720037), // Rule ID 10409 //
     /* 1719956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1719959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1719964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1719967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1719970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1719973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1719976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1719979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1719982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1719986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1719994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1719998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720002 */     // MIs[0] policy
     /* 1720002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720012 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1720015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720036 */     // GIR_Coverage, 10409,
     /* 1720036 */     GIR_EraseRootFromParent_Done,
     /* 1720037 */   // Label 23510: @1720037
     /* 1720037 */   GIM_Try, /*On fail goto*//*Label 23511*/ GIMT_Encode4(1720123), // Rule ID 10412 //
     /* 1720042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720088 */     // MIs[0] policy
     /* 1720088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720098 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1720101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720122 */     // GIR_Coverage, 10412,
     /* 1720122 */     GIR_EraseRootFromParent_Done,
     /* 1720123 */   // Label 23511: @1720123
     /* 1720123 */   GIM_Try, /*On fail goto*//*Label 23512*/ GIMT_Encode4(1720209), // Rule ID 10413 //
     /* 1720128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1720139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1720142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1720145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720174 */     // MIs[0] policy
     /* 1720174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720184 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1720187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720208 */     // GIR_Coverage, 10413,
     /* 1720208 */     GIR_EraseRootFromParent_Done,
     /* 1720209 */   // Label 23512: @1720209
     /* 1720209 */   GIM_Try, /*On fail goto*//*Label 23513*/ GIMT_Encode4(1720295), // Rule ID 10416 //
     /* 1720214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720260 */     // MIs[0] policy
     /* 1720260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720270 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1720273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720294 */     // GIR_Coverage, 10416,
     /* 1720294 */     GIR_EraseRootFromParent_Done,
     /* 1720295 */   // Label 23513: @1720295
     /* 1720295 */   GIM_Try, /*On fail goto*//*Label 23514*/ GIMT_Encode4(1720381), // Rule ID 10417 //
     /* 1720300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1720311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1720314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1720317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1720323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720346 */     // MIs[0] policy
     /* 1720346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720356 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1720359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1720377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720380 */     // GIR_Coverage, 10417,
     /* 1720380 */     GIR_EraseRootFromParent_Done,
     /* 1720381 */   // Label 23514: @1720381
     /* 1720381 */   GIM_Try, /*On fail goto*//*Label 23515*/ GIMT_Encode4(1720467), // Rule ID 10420 //
     /* 1720386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720432 */     // MIs[0] policy
     /* 1720432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720442 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1720445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720466 */     // GIR_Coverage, 10420,
     /* 1720466 */     GIR_EraseRootFromParent_Done,
     /* 1720467 */   // Label 23515: @1720467
     /* 1720467 */   GIM_Try, /*On fail goto*//*Label 23516*/ GIMT_Encode4(1720553), // Rule ID 10421 //
     /* 1720472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1720483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1720486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1720489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1720495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1720502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1720510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720518 */     // MIs[0] policy
     /* 1720518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720528 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11435:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M2_MASK),
     /* 1720531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720552 */     // GIR_Coverage, 10421,
     /* 1720552 */     GIR_EraseRootFromParent_Done,
     /* 1720553 */   // Label 23516: @1720553
     /* 1720553 */   GIM_Try, /*On fail goto*//*Label 23517*/ GIMT_Encode4(1720639), // Rule ID 10424 //
     /* 1720558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1720572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1720575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720604 */     // MIs[0] policy
     /* 1720604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720614 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1720617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720638 */     // GIR_Coverage, 10424,
     /* 1720638 */     GIR_EraseRootFromParent_Done,
     /* 1720639 */   // Label 23517: @1720639
     /* 1720639 */   GIM_Try, /*On fail goto*//*Label 23518*/ GIMT_Encode4(1720725), // Rule ID 10425 //
     /* 1720644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1720655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1720658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1720661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1720667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1720674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1720682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720690 */     // MIs[0] policy
     /* 1720690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720700 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11435:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M4_MASK),
     /* 1720703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720724 */     // GIR_Coverage, 10425,
     /* 1720724 */     GIR_EraseRootFromParent_Done,
     /* 1720725 */   // Label 23518: @1720725
     /* 1720725 */   GIM_Try, /*On fail goto*//*Label 23519*/ GIMT_Encode4(1720811), // Rule ID 10428 //
     /* 1720730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1720733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1720741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1720744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1720747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1720750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720776 */     // MIs[0] policy
     /* 1720776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1720789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720810 */     // GIR_Coverage, 10428,
     /* 1720810 */     GIR_EraseRootFromParent_Done,
     /* 1720811 */   // Label 23519: @1720811
     /* 1720811 */   GIM_Try, /*On fail goto*//*Label 23520*/ GIMT_Encode4(1720897), // Rule ID 10429 //
     /* 1720816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1720819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vminu_mask),
     /* 1720824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1720827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1720830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1720833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1720836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1720839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1720842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1720846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1720854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1720858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720862 */     // MIs[0] policy
     /* 1720862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720872 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11435:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMINU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1720872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VX_M8_MASK),
     /* 1720875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1720893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720896 */     // GIR_Coverage, 10429,
     /* 1720896 */     GIR_EraseRootFromParent_Done,
     /* 1720897 */   // Label 23520: @1720897
     /* 1720897 */   GIM_Try, /*On fail goto*//*Label 23521*/ GIMT_Encode4(1720983), // Rule ID 10432 //
     /* 1720902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1720905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1720916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1720919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1720922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1720925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1720928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1720932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1720944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1720948 */     // MIs[0] policy
     /* 1720948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1720951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1720958 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1720958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1720961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1720963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1720965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1720967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1720969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1720971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1720976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1720979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1720981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1720982 */     // GIR_Coverage, 10432,
     /* 1720982 */     GIR_EraseRootFromParent_Done,
     /* 1720983 */   // Label 23521: @1720983
     /* 1720983 */   GIM_Try, /*On fail goto*//*Label 23522*/ GIMT_Encode4(1721069), // Rule ID 10433 //
     /* 1720988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1720991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1720996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1720999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1721002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1721005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1721008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721034 */     // MIs[0] policy
     /* 1721034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721044 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8_MASK),
     /* 1721047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721068 */     // GIR_Coverage, 10433,
     /* 1721068 */     GIR_EraseRootFromParent_Done,
     /* 1721069 */   // Label 23522: @1721069
     /* 1721069 */   GIM_Try, /*On fail goto*//*Label 23523*/ GIMT_Encode4(1721155), // Rule ID 10436 //
     /* 1721074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1721094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721120 */     // MIs[0] policy
     /* 1721120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721130 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1721133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721154 */     // GIR_Coverage, 10436,
     /* 1721154 */     GIR_EraseRootFromParent_Done,
     /* 1721155 */   // Label 23523: @1721155
     /* 1721155 */   GIM_Try, /*On fail goto*//*Label 23524*/ GIMT_Encode4(1721241), // Rule ID 10437 //
     /* 1721160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1721171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1721174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1721177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1721180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721206 */     // MIs[0] policy
     /* 1721206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721216 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1721219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721240 */     // GIR_Coverage, 10437,
     /* 1721240 */     GIR_EraseRootFromParent_Done,
     /* 1721241 */   // Label 23524: @1721241
     /* 1721241 */   GIM_Try, /*On fail goto*//*Label 23525*/ GIMT_Encode4(1721327), // Rule ID 10440 //
     /* 1721246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1721266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721292 */     // MIs[0] policy
     /* 1721292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721302 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1721305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721326 */     // GIR_Coverage, 10440,
     /* 1721326 */     GIR_EraseRootFromParent_Done,
     /* 1721327 */   // Label 23525: @1721327
     /* 1721327 */   GIM_Try, /*On fail goto*//*Label 23526*/ GIMT_Encode4(1721413), // Rule ID 10441 //
     /* 1721332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1721343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1721346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1721349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1721352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1721355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721378 */     // MIs[0] policy
     /* 1721378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721388 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1721391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1721409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721412 */     // GIR_Coverage, 10441,
     /* 1721412 */     GIR_EraseRootFromParent_Done,
     /* 1721413 */   // Label 23526: @1721413
     /* 1721413 */   GIM_Try, /*On fail goto*//*Label 23527*/ GIMT_Encode4(1721499), // Rule ID 10444 //
     /* 1721418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1721438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721464 */     // MIs[0] policy
     /* 1721464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721474 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1721477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721498 */     // GIR_Coverage, 10444,
     /* 1721498 */     GIR_EraseRootFromParent_Done,
     /* 1721499 */   // Label 23527: @1721499
     /* 1721499 */   GIM_Try, /*On fail goto*//*Label 23528*/ GIMT_Encode4(1721585), // Rule ID 10445 //
     /* 1721504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1721515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1721518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1721521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1721524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721550 */     // MIs[0] policy
     /* 1721550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721560 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4_MASK),
     /* 1721563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721584 */     // GIR_Coverage, 10445,
     /* 1721584 */     GIR_EraseRootFromParent_Done,
     /* 1721585 */   // Label 23528: @1721585
     /* 1721585 */   GIM_Try, /*On fail goto*//*Label 23529*/ GIMT_Encode4(1721671), // Rule ID 10448 //
     /* 1721590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1721601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1721604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1721607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1721610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721636 */     // MIs[0] policy
     /* 1721636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721646 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1721649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721670 */     // GIR_Coverage, 10448,
     /* 1721670 */     GIR_EraseRootFromParent_Done,
     /* 1721671 */   // Label 23529: @1721671
     /* 1721671 */   GIM_Try, /*On fail goto*//*Label 23530*/ GIMT_Encode4(1721757), // Rule ID 10449 //
     /* 1721676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1721687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1721690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1721693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1721696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1721699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721722 */     // MIs[0] policy
     /* 1721722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721732 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1721735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1721753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721756 */     // GIR_Coverage, 10449,
     /* 1721756 */     GIR_EraseRootFromParent_Done,
     /* 1721757 */   // Label 23530: @1721757
     /* 1721757 */   GIM_Try, /*On fail goto*//*Label 23531*/ GIMT_Encode4(1721843), // Rule ID 10452 //
     /* 1721762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1721782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721808 */     // MIs[0] policy
     /* 1721808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1721821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721842 */     // GIR_Coverage, 10452,
     /* 1721842 */     GIR_EraseRootFromParent_Done,
     /* 1721843 */   // Label 23531: @1721843
     /* 1721843 */   GIM_Try, /*On fail goto*//*Label 23532*/ GIMT_Encode4(1721929), // Rule ID 10453 //
     /* 1721848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1721851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1721859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1721862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1721865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1721868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1721871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1721874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721894 */     // MIs[0] policy
     /* 1721894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1721904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2_MASK),
     /* 1721907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1721915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1721917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1721922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1721925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1721927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1721928 */     // GIR_Coverage, 10453,
     /* 1721928 */     GIR_EraseRootFromParent_Done,
     /* 1721929 */   // Label 23532: @1721929
     /* 1721929 */   GIM_Try, /*On fail goto*//*Label 23533*/ GIMT_Encode4(1722015), // Rule ID 10456 //
     /* 1721934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1721937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1721942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1721945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1721948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1721951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1721954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1721957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1721960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1721964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1721976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1721980 */     // MIs[0] policy
     /* 1721980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1721983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1721990 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1721990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1721993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1721995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1721997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1721999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722014 */     // GIR_Coverage, 10456,
     /* 1722014 */     GIR_EraseRootFromParent_Done,
     /* 1722015 */   // Label 23533: @1722015
     /* 1722015 */   GIM_Try, /*On fail goto*//*Label 23534*/ GIMT_Encode4(1722101), // Rule ID 10457 //
     /* 1722020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1722031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1722034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1722037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1722040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1722043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722066 */     // MIs[0] policy
     /* 1722066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722076 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1722079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722100 */     // GIR_Coverage, 10457,
     /* 1722100 */     GIR_EraseRootFromParent_Done,
     /* 1722101 */   // Label 23534: @1722101
     /* 1722101 */   GIM_Try, /*On fail goto*//*Label 23535*/ GIMT_Encode4(1722187), // Rule ID 10460 //
     /* 1722106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1722126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722152 */     // MIs[0] policy
     /* 1722152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722162 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1722165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722186 */     // GIR_Coverage, 10460,
     /* 1722186 */     GIR_EraseRootFromParent_Done,
     /* 1722187 */   // Label 23535: @1722187
     /* 1722187 */   GIM_Try, /*On fail goto*//*Label 23536*/ GIMT_Encode4(1722273), // Rule ID 10461 //
     /* 1722192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1722203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1722206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1722209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1722212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1722215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722238 */     // MIs[0] policy
     /* 1722238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1722251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1722269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722272 */     // GIR_Coverage, 10461,
     /* 1722272 */     GIR_EraseRootFromParent_Done,
     /* 1722273 */   // Label 23536: @1722273
     /* 1722273 */   GIM_Try, /*On fail goto*//*Label 23537*/ GIMT_Encode4(1722359), // Rule ID 10464 //
     /* 1722278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1722298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722324 */     // MIs[0] policy
     /* 1722324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722334 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1722337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722358 */     // GIR_Coverage, 10464,
     /* 1722358 */     GIR_EraseRootFromParent_Done,
     /* 1722359 */   // Label 23537: @1722359
     /* 1722359 */   GIM_Try, /*On fail goto*//*Label 23538*/ GIMT_Encode4(1722445), // Rule ID 10465 //
     /* 1722364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1722375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1722378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1722381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1722384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1722387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722410 */     // MIs[0] policy
     /* 1722410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722420 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1722423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1722441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722444 */     // GIR_Coverage, 10465,
     /* 1722444 */     GIR_EraseRootFromParent_Done,
     /* 1722445 */   // Label 23538: @1722445
     /* 1722445 */   GIM_Try, /*On fail goto*//*Label 23539*/ GIMT_Encode4(1722531), // Rule ID 10468 //
     /* 1722450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1722453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1722470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722496 */     // MIs[0] policy
     /* 1722496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722506 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1722509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722530 */     // GIR_Coverage, 10468,
     /* 1722530 */     GIR_EraseRootFromParent_Done,
     /* 1722531 */   // Label 23539: @1722531
     /* 1722531 */   GIM_Try, /*On fail goto*//*Label 23540*/ GIMT_Encode4(1722617), // Rule ID 10469 //
     /* 1722536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1722539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1722547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1722550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1722553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1722556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1722559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1722566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1722578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722582 */     // MIs[0] policy
     /* 1722582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722592 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1_MASK),
     /* 1722595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1722613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722616 */     // GIR_Coverage, 10469,
     /* 1722616 */     GIR_EraseRootFromParent_Done,
     /* 1722617 */   // Label 23540: @1722617
     /* 1722617 */   GIM_Try, /*On fail goto*//*Label 23541*/ GIMT_Encode4(1722703), // Rule ID 10472 //
     /* 1722622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1722633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1722636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1722639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1722642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722668 */     // MIs[0] policy
     /* 1722668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722678 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1722681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722702 */     // GIR_Coverage, 10472,
     /* 1722702 */     GIR_EraseRootFromParent_Done,
     /* 1722703 */   // Label 23541: @1722703
     /* 1722703 */   GIM_Try, /*On fail goto*//*Label 23542*/ GIMT_Encode4(1722789), // Rule ID 10473 //
     /* 1722708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1722719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1722722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1722725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1722728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1722731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1722738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1722750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722754 */     // MIs[0] policy
     /* 1722754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722764 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1722767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722788 */     // GIR_Coverage, 10473,
     /* 1722788 */     GIR_EraseRootFromParent_Done,
     /* 1722789 */   // Label 23542: @1722789
     /* 1722789 */   GIM_Try, /*On fail goto*//*Label 23543*/ GIMT_Encode4(1722875), // Rule ID 10476 //
     /* 1722794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1722814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722840 */     // MIs[0] policy
     /* 1722840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722850 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1722850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1722853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722874 */     // GIR_Coverage, 10476,
     /* 1722874 */     GIR_EraseRootFromParent_Done,
     /* 1722875 */   // Label 23543: @1722875
     /* 1722875 */   GIM_Try, /*On fail goto*//*Label 23544*/ GIMT_Encode4(1722961), // Rule ID 10477 //
     /* 1722880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1722883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1722891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1722894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1722897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1722900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1722903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1722906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1722910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1722922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1722926 */     // MIs[0] policy
     /* 1722926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1722929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1722936 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1722936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1722939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1722941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1722943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1722945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1722947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1722949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1722954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1722957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1722959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1722960 */     // GIR_Coverage, 10477,
     /* 1722960 */     GIR_EraseRootFromParent_Done,
     /* 1722961 */   // Label 23544: @1722961
     /* 1722961 */   GIM_Try, /*On fail goto*//*Label 23545*/ GIMT_Encode4(1723047), // Rule ID 10480 //
     /* 1722966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1722969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1722974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1722977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1722980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1722983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1722986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1722989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1722992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1722996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723012 */     // MIs[0] policy
     /* 1723012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723022 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1723025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723046 */     // GIR_Coverage, 10480,
     /* 1723046 */     GIR_EraseRootFromParent_Done,
     /* 1723047 */   // Label 23545: @1723047
     /* 1723047 */   GIM_Try, /*On fail goto*//*Label 23546*/ GIMT_Encode4(1723133), // Rule ID 10481 //
     /* 1723052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1723063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1723066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1723069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1723072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1723075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723098 */     // MIs[0] policy
     /* 1723098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723108 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1723111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1723129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723132 */     // GIR_Coverage, 10481,
     /* 1723132 */     GIR_EraseRootFromParent_Done,
     /* 1723133 */   // Label 23546: @1723133
     /* 1723133 */   GIM_Try, /*On fail goto*//*Label 23547*/ GIMT_Encode4(1723219), // Rule ID 10484 //
     /* 1723138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1723158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723184 */     // MIs[0] policy
     /* 1723184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723194 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1723197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723218 */     // GIR_Coverage, 10484,
     /* 1723218 */     GIR_EraseRootFromParent_Done,
     /* 1723219 */   // Label 23547: @1723219
     /* 1723219 */   GIM_Try, /*On fail goto*//*Label 23548*/ GIMT_Encode4(1723305), // Rule ID 10485 //
     /* 1723224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1723235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1723238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1723241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1723244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723270 */     // MIs[0] policy
     /* 1723270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723280 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1723283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723304 */     // GIR_Coverage, 10485,
     /* 1723304 */     GIR_EraseRootFromParent_Done,
     /* 1723305 */   // Label 23548: @1723305
     /* 1723305 */   GIM_Try, /*On fail goto*//*Label 23549*/ GIMT_Encode4(1723391), // Rule ID 10488 //
     /* 1723310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1723330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723356 */     // MIs[0] policy
     /* 1723356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723366 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1723369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723390 */     // GIR_Coverage, 10488,
     /* 1723390 */     GIR_EraseRootFromParent_Done,
     /* 1723391 */   // Label 23549: @1723391
     /* 1723391 */   GIM_Try, /*On fail goto*//*Label 23550*/ GIMT_Encode4(1723477), // Rule ID 10489 //
     /* 1723396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1723407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1723410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1723413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1723416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1723419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723442 */     // MIs[0] policy
     /* 1723442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723452 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1723455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723476 */     // GIR_Coverage, 10489,
     /* 1723476 */     GIR_EraseRootFromParent_Done,
     /* 1723477 */   // Label 23550: @1723477
     /* 1723477 */   GIM_Try, /*On fail goto*//*Label 23551*/ GIMT_Encode4(1723563), // Rule ID 10492 //
     /* 1723482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1723502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723528 */     // MIs[0] policy
     /* 1723528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723538 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1723541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723562 */     // GIR_Coverage, 10492,
     /* 1723562 */     GIR_EraseRootFromParent_Done,
     /* 1723563 */   // Label 23551: @1723563
     /* 1723563 */   GIM_Try, /*On fail goto*//*Label 23552*/ GIMT_Encode4(1723649), // Rule ID 10493 //
     /* 1723568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1723579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1723582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1723585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1723588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1723591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1723598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1723610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723614 */     // MIs[0] policy
     /* 1723614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723624 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1723627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1723645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723648 */     // GIR_Coverage, 10493,
     /* 1723648 */     GIR_EraseRootFromParent_Done,
     /* 1723649 */   // Label 23552: @1723649
     /* 1723649 */   GIM_Try, /*On fail goto*//*Label 23553*/ GIMT_Encode4(1723735), // Rule ID 10496 //
     /* 1723654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1723665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1723668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1723671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1723674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723700 */     // MIs[0] policy
     /* 1723700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723710 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1723713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723734 */     // GIR_Coverage, 10496,
     /* 1723734 */     GIR_EraseRootFromParent_Done,
     /* 1723735 */   // Label 23553: @1723735
     /* 1723735 */   GIM_Try, /*On fail goto*//*Label 23554*/ GIMT_Encode4(1723821), // Rule ID 10497 //
     /* 1723740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1723751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1723754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1723757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1723760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1723763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1723770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1723782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723786 */     // MIs[0] policy
     /* 1723786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723796 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1723799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723820 */     // GIR_Coverage, 10497,
     /* 1723820 */     GIR_EraseRootFromParent_Done,
     /* 1723821 */   // Label 23554: @1723821
     /* 1723821 */   GIM_Try, /*On fail goto*//*Label 23555*/ GIMT_Encode4(1723907), // Rule ID 10500 //
     /* 1723826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1723829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1723846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1723852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723872 */     // MIs[0] policy
     /* 1723872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723882 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1723882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1723885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723906 */     // GIR_Coverage, 10500,
     /* 1723906 */     GIR_EraseRootFromParent_Done,
     /* 1723907 */   // Label 23555: @1723907
     /* 1723907 */   GIM_Try, /*On fail goto*//*Label 23556*/ GIMT_Encode4(1723993), // Rule ID 10501 //
     /* 1723912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1723915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1723920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1723923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1723926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1723929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1723932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1723935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1723938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1723942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1723954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1723958 */     // MIs[0] policy
     /* 1723958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1723961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1723968 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1723968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1723971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1723973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1723975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1723977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1723979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1723981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1723986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1723989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1723991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1723992 */     // GIR_Coverage, 10501,
     /* 1723992 */     GIR_EraseRootFromParent_Done,
     /* 1723993 */   // Label 23556: @1723993
     /* 1723993 */   GIM_Try, /*On fail goto*//*Label 23557*/ GIMT_Encode4(1724079), // Rule ID 10504 //
     /* 1723998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1724018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724044 */     // MIs[0] policy
     /* 1724044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724054 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1724057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724078 */     // GIR_Coverage, 10504,
     /* 1724078 */     GIR_EraseRootFromParent_Done,
     /* 1724079 */   // Label 23557: @1724079
     /* 1724079 */   GIM_Try, /*On fail goto*//*Label 23558*/ GIMT_Encode4(1724165), // Rule ID 10505 //
     /* 1724084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1724095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1724098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1724101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1724104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1724107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724130 */     // MIs[0] policy
     /* 1724130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724140 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1724143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1724161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724164 */     // GIR_Coverage, 10505,
     /* 1724164 */     GIR_EraseRootFromParent_Done,
     /* 1724165 */   // Label 23558: @1724165
     /* 1724165 */   GIM_Try, /*On fail goto*//*Label 23559*/ GIMT_Encode4(1724251), // Rule ID 10508 //
     /* 1724170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1724190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724216 */     // MIs[0] policy
     /* 1724216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724226 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1724229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724250 */     // GIR_Coverage, 10508,
     /* 1724250 */     GIR_EraseRootFromParent_Done,
     /* 1724251 */   // Label 23559: @1724251
     /* 1724251 */   GIM_Try, /*On fail goto*//*Label 23560*/ GIMT_Encode4(1724337), // Rule ID 10509 //
     /* 1724256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1724267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1724270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1724273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1724276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1724286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1724298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724302 */     // MIs[0] policy
     /* 1724302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724312 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2_MASK),
     /* 1724315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724336 */     // GIR_Coverage, 10509,
     /* 1724336 */     GIR_EraseRootFromParent_Done,
     /* 1724337 */   // Label 23560: @1724337
     /* 1724337 */   GIM_Try, /*On fail goto*//*Label 23561*/ GIMT_Encode4(1724423), // Rule ID 10512 //
     /* 1724342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1724362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724388 */     // MIs[0] policy
     /* 1724388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724398 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1724401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724422 */     // GIR_Coverage, 10512,
     /* 1724422 */     GIR_EraseRootFromParent_Done,
     /* 1724423 */   // Label 23561: @1724423
     /* 1724423 */   GIM_Try, /*On fail goto*//*Label 23562*/ GIMT_Encode4(1724509), // Rule ID 10513 //
     /* 1724428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1724439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1724442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1724445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1724448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1724451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1724458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1724470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724474 */     // MIs[0] policy
     /* 1724474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724484 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4_MASK),
     /* 1724487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724508 */     // GIR_Coverage, 10513,
     /* 1724508 */     GIR_EraseRootFromParent_Done,
     /* 1724509 */   // Label 23562: @1724509
     /* 1724509 */   GIM_Try, /*On fail goto*//*Label 23563*/ GIMT_Encode4(1724595), // Rule ID 10516 //
     /* 1724514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1724517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1724534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724560 */     // MIs[0] policy
     /* 1724560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724570 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1724573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724594 */     // GIR_Coverage, 10516,
     /* 1724594 */     GIR_EraseRootFromParent_Done,
     /* 1724595 */   // Label 23563: @1724595
     /* 1724595 */   GIM_Try, /*On fail goto*//*Label 23564*/ GIMT_Encode4(1724681), // Rule ID 10517 //
     /* 1724600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1724603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1724611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1724614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1724617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1724620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1724623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1724630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1724642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724646 */     // MIs[0] policy
     /* 1724646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724656 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8_MASK),
     /* 1724659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1724677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724680 */     // GIR_Coverage, 10517,
     /* 1724680 */     GIR_EraseRootFromParent_Done,
     /* 1724681 */   // Label 23564: @1724681
     /* 1724681 */   GIM_Try, /*On fail goto*//*Label 23565*/ GIMT_Encode4(1724767), // Rule ID 10520 //
     /* 1724686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1724697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1724700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1724703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724732 */     // MIs[0] policy
     /* 1724732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724742 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1724745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724766 */     // GIR_Coverage, 10520,
     /* 1724766 */     GIR_EraseRootFromParent_Done,
     /* 1724767 */   // Label 23565: @1724767
     /* 1724767 */   GIM_Try, /*On fail goto*//*Label 23566*/ GIMT_Encode4(1724853), // Rule ID 10521 //
     /* 1724772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1724783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1724786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1724789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1724795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724818 */     // MIs[0] policy
     /* 1724818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724828 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1724828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF8_MASK),
     /* 1724831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724852 */     // GIR_Coverage, 10521,
     /* 1724852 */     GIR_EraseRootFromParent_Done,
     /* 1724853 */   // Label 23566: @1724853
     /* 1724853 */   GIM_Try, /*On fail goto*//*Label 23567*/ GIMT_Encode4(1724939), // Rule ID 10524 //
     /* 1724858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1724861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1724878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1724884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724904 */     // MIs[0] policy
     /* 1724904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1724914 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1724914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1724917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1724919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1724921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1724923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1724925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1724927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1724932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1724935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1724937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1724938 */     // GIR_Coverage, 10524,
     /* 1724938 */     GIR_EraseRootFromParent_Done,
     /* 1724939 */   // Label 23567: @1724939
     /* 1724939 */   GIM_Try, /*On fail goto*//*Label 23568*/ GIMT_Encode4(1725025), // Rule ID 10525 //
     /* 1724944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1724947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1724952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1724955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1724958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1724961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1724964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1724967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1724970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1724974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1724982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1724986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1724990 */     // MIs[0] policy
     /* 1724990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1724993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725000 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1725003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725024 */     // GIR_Coverage, 10525,
     /* 1725024 */     GIR_EraseRootFromParent_Done,
     /* 1725025 */   // Label 23568: @1725025
     /* 1725025 */   GIM_Try, /*On fail goto*//*Label 23569*/ GIMT_Encode4(1725111), // Rule ID 10528 //
     /* 1725030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725076 */     // MIs[0] policy
     /* 1725076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725086 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1725089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725110 */     // GIR_Coverage, 10528,
     /* 1725110 */     GIR_EraseRootFromParent_Done,
     /* 1725111 */   // Label 23569: @1725111
     /* 1725111 */   GIM_Try, /*On fail goto*//*Label 23570*/ GIMT_Encode4(1725197), // Rule ID 10529 //
     /* 1725116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1725127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1725130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1725133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725162 */     // MIs[0] policy
     /* 1725162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1725175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725196 */     // GIR_Coverage, 10529,
     /* 1725196 */     GIR_EraseRootFromParent_Done,
     /* 1725197 */   // Label 23570: @1725197
     /* 1725197 */   GIM_Try, /*On fail goto*//*Label 23571*/ GIMT_Encode4(1725283), // Rule ID 10532 //
     /* 1725202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725248 */     // MIs[0] policy
     /* 1725248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725258 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1725261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725282 */     // GIR_Coverage, 10532,
     /* 1725282 */     GIR_EraseRootFromParent_Done,
     /* 1725283 */   // Label 23571: @1725283
     /* 1725283 */   GIM_Try, /*On fail goto*//*Label 23572*/ GIMT_Encode4(1725369), // Rule ID 10533 //
     /* 1725288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1725299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1725302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1725305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725334 */     // MIs[0] policy
     /* 1725334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725344 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF4_MASK),
     /* 1725347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725368 */     // GIR_Coverage, 10533,
     /* 1725368 */     GIR_EraseRootFromParent_Done,
     /* 1725369 */   // Label 23572: @1725369
     /* 1725369 */   GIM_Try, /*On fail goto*//*Label 23573*/ GIMT_Encode4(1725455), // Rule ID 10536 //
     /* 1725374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725420 */     // MIs[0] policy
     /* 1725420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725430 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1725433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725454 */     // GIR_Coverage, 10536,
     /* 1725454 */     GIR_EraseRootFromParent_Done,
     /* 1725455 */   // Label 23573: @1725455
     /* 1725455 */   GIM_Try, /*On fail goto*//*Label 23574*/ GIMT_Encode4(1725541), // Rule ID 10537 //
     /* 1725460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1725471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1725474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1725477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1725483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725506 */     // MIs[0] policy
     /* 1725506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725516 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1725519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725540 */     // GIR_Coverage, 10537,
     /* 1725540 */     GIR_EraseRootFromParent_Done,
     /* 1725541 */   // Label 23574: @1725541
     /* 1725541 */   GIM_Try, /*On fail goto*//*Label 23575*/ GIMT_Encode4(1725627), // Rule ID 10540 //
     /* 1725546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725592 */     // MIs[0] policy
     /* 1725592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725602 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1725605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725626 */     // GIR_Coverage, 10540,
     /* 1725626 */     GIR_EraseRootFromParent_Done,
     /* 1725627 */   // Label 23575: @1725627
     /* 1725627 */   GIM_Try, /*On fail goto*//*Label 23576*/ GIMT_Encode4(1725713), // Rule ID 10541 //
     /* 1725632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1725643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1725646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1725649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1725655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725678 */     // MIs[0] policy
     /* 1725678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725688 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_MF2_MASK),
     /* 1725691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1725709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725712 */     // GIR_Coverage, 10541,
     /* 1725712 */     GIR_EraseRootFromParent_Done,
     /* 1725713 */   // Label 23576: @1725713
     /* 1725713 */   GIM_Try, /*On fail goto*//*Label 23577*/ GIMT_Encode4(1725799), // Rule ID 10544 //
     /* 1725718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1725729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1725732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1725735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725764 */     // MIs[0] policy
     /* 1725764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725774 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1725777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725798 */     // GIR_Coverage, 10544,
     /* 1725798 */     GIR_EraseRootFromParent_Done,
     /* 1725799 */   // Label 23577: @1725799
     /* 1725799 */   GIM_Try, /*On fail goto*//*Label 23578*/ GIMT_Encode4(1725885), // Rule ID 10545 //
     /* 1725804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1725815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1725818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1725821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1725827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1725830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725850 */     // MIs[0] policy
     /* 1725850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725860 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11433:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1725860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1725863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1725881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725884 */     // GIR_Coverage, 10545,
     /* 1725884 */     GIR_EraseRootFromParent_Done,
     /* 1725885 */   // Label 23578: @1725885
     /* 1725885 */   GIM_Try, /*On fail goto*//*Label 23579*/ GIMT_Encode4(1725971), // Rule ID 10548 //
     /* 1725890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1725893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1725910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1725916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1725920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1725928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1725932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1725936 */     // MIs[0] policy
     /* 1725936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1725939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1725946 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1725946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1725949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1725951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1725953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1725955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1725957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1725959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1725964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1725967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1725969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1725970 */     // GIR_Coverage, 10548,
     /* 1725970 */     GIR_EraseRootFromParent_Done,
     /* 1725971 */   // Label 23579: @1725971
     /* 1725971 */   GIM_Try, /*On fail goto*//*Label 23580*/ GIMT_Encode4(1726057), // Rule ID 10549 //
     /* 1725976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1725979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1725984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1725987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1725990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1725993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1725996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1725999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726022 */     // MIs[0] policy
     /* 1726022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726032 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11433:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1726035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726056 */     // GIR_Coverage, 10549,
     /* 1726056 */     GIR_EraseRootFromParent_Done,
     /* 1726057 */   // Label 23580: @1726057
     /* 1726057 */   GIM_Try, /*On fail goto*//*Label 23581*/ GIMT_Encode4(1726143), // Rule ID 10552 //
     /* 1726062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726108 */     // MIs[0] policy
     /* 1726108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726118 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1726121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726142 */     // GIR_Coverage, 10552,
     /* 1726142 */     GIR_EraseRootFromParent_Done,
     /* 1726143 */   // Label 23581: @1726143
     /* 1726143 */   GIM_Try, /*On fail goto*//*Label 23582*/ GIMT_Encode4(1726229), // Rule ID 10553 //
     /* 1726148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1726159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1726162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1726165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1726171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726194 */     // MIs[0] policy
     /* 1726194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726204 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11433:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1726207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1726225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726228 */     // GIR_Coverage, 10553,
     /* 1726228 */     GIR_EraseRootFromParent_Done,
     /* 1726229 */   // Label 23582: @1726229
     /* 1726229 */   GIM_Try, /*On fail goto*//*Label 23583*/ GIMT_Encode4(1726315), // Rule ID 10556 //
     /* 1726234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1726237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726280 */     // MIs[0] policy
     /* 1726280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726290 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1726293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726314 */     // GIR_Coverage, 10556,
     /* 1726314 */     GIR_EraseRootFromParent_Done,
     /* 1726315 */   // Label 23583: @1726315
     /* 1726315 */   GIM_Try, /*On fail goto*//*Label 23584*/ GIMT_Encode4(1726401), // Rule ID 10557 //
     /* 1726320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1726323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1726331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1726334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1726337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1726343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1726350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1726358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726366 */     // MIs[0] policy
     /* 1726366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726376 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11433:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M1_MASK),
     /* 1726379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1726397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726400 */     // GIR_Coverage, 10557,
     /* 1726400 */     GIR_EraseRootFromParent_Done,
     /* 1726401 */   // Label 23584: @1726401
     /* 1726401 */   GIM_Try, /*On fail goto*//*Label 23585*/ GIMT_Encode4(1726487), // Rule ID 10560 //
     /* 1726406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726452 */     // MIs[0] policy
     /* 1726452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726462 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1726465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726486 */     // GIR_Coverage, 10560,
     /* 1726486 */     GIR_EraseRootFromParent_Done,
     /* 1726487 */   // Label 23585: @1726487
     /* 1726487 */   GIM_Try, /*On fail goto*//*Label 23586*/ GIMT_Encode4(1726573), // Rule ID 10561 //
     /* 1726492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1726503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1726506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1726509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1726515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726538 */     // MIs[0] policy
     /* 1726538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726548 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1726551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726572 */     // GIR_Coverage, 10561,
     /* 1726572 */     GIR_EraseRootFromParent_Done,
     /* 1726573 */   // Label 23586: @1726573
     /* 1726573 */   GIM_Try, /*On fail goto*//*Label 23587*/ GIMT_Encode4(1726659), // Rule ID 10564 //
     /* 1726578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1726589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1726592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1726595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726624 */     // MIs[0] policy
     /* 1726624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726634 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1726637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726658 */     // GIR_Coverage, 10564,
     /* 1726658 */     GIR_EraseRootFromParent_Done,
     /* 1726659 */   // Label 23587: @1726659
     /* 1726659 */   GIM_Try, /*On fail goto*//*Label 23588*/ GIMT_Encode4(1726745), // Rule ID 10565 //
     /* 1726664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1726675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1726678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1726681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1726687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1726694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1726702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726710 */     // MIs[0] policy
     /* 1726710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1726723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726744 */     // GIR_Coverage, 10565,
     /* 1726744 */     GIR_EraseRootFromParent_Done,
     /* 1726745 */   // Label 23588: @1726745
     /* 1726745 */   GIM_Try, /*On fail goto*//*Label 23589*/ GIMT_Encode4(1726831), // Rule ID 10568 //
     /* 1726750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1726761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726796 */     // MIs[0] policy
     /* 1726796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726806 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1726809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726830 */     // GIR_Coverage, 10568,
     /* 1726830 */     GIR_EraseRootFromParent_Done,
     /* 1726831 */   // Label 23589: @1726831
     /* 1726831 */   GIM_Try, /*On fail goto*//*Label 23590*/ GIMT_Encode4(1726917), // Rule ID 10569 //
     /* 1726836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1726839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1726847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1726850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1726853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1726856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1726859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1726862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1726866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1726874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726882 */     // MIs[0] policy
     /* 1726882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726892 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1726892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1726895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1726913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1726915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1726916 */     // GIR_Coverage, 10569,
     /* 1726916 */     GIR_EraseRootFromParent_Done,
     /* 1726917 */   // Label 23590: @1726917
     /* 1726917 */   GIM_Try, /*On fail goto*//*Label 23591*/ GIMT_Encode4(1727003), // Rule ID 10572 //
     /* 1726922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1726925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1726930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1726933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1726936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1726939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1726942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1726945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1726948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1726952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1726960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1726964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1726968 */     // MIs[0] policy
     /* 1726968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1726971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1726978 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1726978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1726981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1726983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1726985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1726987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1726989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1726991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1726996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1726999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727002 */     // GIR_Coverage, 10572,
     /* 1727002 */     GIR_EraseRootFromParent_Done,
     /* 1727003 */   // Label 23591: @1727003
     /* 1727003 */   GIM_Try, /*On fail goto*//*Label 23592*/ GIMT_Encode4(1727089), // Rule ID 10573 //
     /* 1727008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1727019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1727022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1727025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727054 */     // MIs[0] policy
     /* 1727054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1727067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727088 */     // GIR_Coverage, 10573,
     /* 1727088 */     GIR_EraseRootFromParent_Done,
     /* 1727089 */   // Label 23592: @1727089
     /* 1727089 */   GIM_Try, /*On fail goto*//*Label 23593*/ GIMT_Encode4(1727175), // Rule ID 10576 //
     /* 1727094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727140 */     // MIs[0] policy
     /* 1727140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727150 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1727153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727174 */     // GIR_Coverage, 10576,
     /* 1727174 */     GIR_EraseRootFromParent_Done,
     /* 1727175 */   // Label 23593: @1727175
     /* 1727175 */   GIM_Try, /*On fail goto*//*Label 23594*/ GIMT_Encode4(1727261), // Rule ID 10577 //
     /* 1727180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1727191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1727194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1727197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727226 */     // MIs[0] policy
     /* 1727226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727236 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1727239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727260 */     // GIR_Coverage, 10577,
     /* 1727260 */     GIR_EraseRootFromParent_Done,
     /* 1727261 */   // Label 23594: @1727261
     /* 1727261 */   GIM_Try, /*On fail goto*//*Label 23595*/ GIMT_Encode4(1727347), // Rule ID 10580 //
     /* 1727266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727312 */     // MIs[0] policy
     /* 1727312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727322 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1727325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727346 */     // GIR_Coverage, 10580,
     /* 1727346 */     GIR_EraseRootFromParent_Done,
     /* 1727347 */   // Label 23595: @1727347
     /* 1727347 */   GIM_Try, /*On fail goto*//*Label 23596*/ GIMT_Encode4(1727433), // Rule ID 10581 //
     /* 1727352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1727363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1727366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1727369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1727375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727398 */     // MIs[0] policy
     /* 1727398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1727411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1727429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727432 */     // GIR_Coverage, 10581,
     /* 1727432 */     GIR_EraseRootFromParent_Done,
     /* 1727433 */   // Label 23596: @1727433
     /* 1727433 */   GIM_Try, /*On fail goto*//*Label 23597*/ GIMT_Encode4(1727519), // Rule ID 10584 //
     /* 1727438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727484 */     // MIs[0] policy
     /* 1727484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727494 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1727497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727518 */     // GIR_Coverage, 10584,
     /* 1727518 */     GIR_EraseRootFromParent_Done,
     /* 1727519 */   // Label 23597: @1727519
     /* 1727519 */   GIM_Try, /*On fail goto*//*Label 23598*/ GIMT_Encode4(1727605), // Rule ID 10585 //
     /* 1727524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1727535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1727538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1727541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1727547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727570 */     // MIs[0] policy
     /* 1727570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727580 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1727583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727604 */     // GIR_Coverage, 10585,
     /* 1727604 */     GIR_EraseRootFromParent_Done,
     /* 1727605 */   // Label 23598: @1727605
     /* 1727605 */   GIM_Try, /*On fail goto*//*Label 23599*/ GIMT_Encode4(1727691), // Rule ID 10588 //
     /* 1727610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1727621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1727624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1727627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727656 */     // MIs[0] policy
     /* 1727656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727666 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1727669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727690 */     // GIR_Coverage, 10588,
     /* 1727690 */     GIR_EraseRootFromParent_Done,
     /* 1727691 */   // Label 23599: @1727691
     /* 1727691 */   GIM_Try, /*On fail goto*//*Label 23600*/ GIMT_Encode4(1727777), // Rule ID 10589 //
     /* 1727696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1727707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1727710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1727713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1727719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1727726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1727734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727742 */     // MIs[0] policy
     /* 1727742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727752 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1727755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727776 */     // GIR_Coverage, 10589,
     /* 1727776 */     GIR_EraseRootFromParent_Done,
     /* 1727777 */   // Label 23600: @1727777
     /* 1727777 */   GIM_Try, /*On fail goto*//*Label 23601*/ GIMT_Encode4(1727863), // Rule ID 10592 //
     /* 1727782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1727785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727828 */     // MIs[0] policy
     /* 1727828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727838 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1727838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1727841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727862 */     // GIR_Coverage, 10592,
     /* 1727862 */     GIR_EraseRootFromParent_Done,
     /* 1727863 */   // Label 23601: @1727863
     /* 1727863 */   GIM_Try, /*On fail goto*//*Label 23602*/ GIMT_Encode4(1727949), // Rule ID 10593 //
     /* 1727868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1727871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1727879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1727882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1727885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1727888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1727891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1727894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1727898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1727906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1727914 */     // MIs[0] policy
     /* 1727914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1727917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1727924 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1727924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1727927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1727929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1727931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1727933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1727935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1727937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1727942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1727945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1727947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1727948 */     // GIR_Coverage, 10593,
     /* 1727948 */     GIR_EraseRootFromParent_Done,
     /* 1727949 */   // Label 23602: @1727949
     /* 1727949 */   GIM_Try, /*On fail goto*//*Label 23603*/ GIMT_Encode4(1728035), // Rule ID 10596 //
     /* 1727954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1727957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1727962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1727965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1727968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1727971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1727974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1727977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1727980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1727984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1727992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1727996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728000 */     // MIs[0] policy
     /* 1728000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1728013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728034 */     // GIR_Coverage, 10596,
     /* 1728034 */     GIR_EraseRootFromParent_Done,
     /* 1728035 */   // Label 23603: @1728035
     /* 1728035 */   GIM_Try, /*On fail goto*//*Label 23604*/ GIMT_Encode4(1728121), // Rule ID 10597 //
     /* 1728040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1728051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1728054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1728057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1728070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1728078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728086 */     // MIs[0] policy
     /* 1728086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11433:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M2_MASK),
     /* 1728099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728120 */     // GIR_Coverage, 10597,
     /* 1728120 */     GIR_EraseRootFromParent_Done,
     /* 1728121 */   // Label 23604: @1728121
     /* 1728121 */   GIM_Try, /*On fail goto*//*Label 23605*/ GIMT_Encode4(1728207), // Rule ID 10600 //
     /* 1728126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728172 */     // MIs[0] policy
     /* 1728172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1728185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728206 */     // GIR_Coverage, 10600,
     /* 1728206 */     GIR_EraseRootFromParent_Done,
     /* 1728207 */   // Label 23605: @1728207
     /* 1728207 */   GIM_Try, /*On fail goto*//*Label 23606*/ GIMT_Encode4(1728293), // Rule ID 10601 //
     /* 1728212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1728223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1728226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1728229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1728242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1728250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728258 */     // MIs[0] policy
     /* 1728258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11433:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M4_MASK),
     /* 1728271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728292 */     // GIR_Coverage, 10601,
     /* 1728292 */     GIR_EraseRootFromParent_Done,
     /* 1728293 */   // Label 23606: @1728293
     /* 1728293 */   GIM_Try, /*On fail goto*//*Label 23607*/ GIMT_Encode4(1728379), // Rule ID 10604 //
     /* 1728298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1728301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1728318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728344 */     // MIs[0] policy
     /* 1728344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728354 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1728357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728378 */     // GIR_Coverage, 10604,
     /* 1728378 */     GIR_EraseRootFromParent_Done,
     /* 1728379 */   // Label 23607: @1728379
     /* 1728379 */   GIM_Try, /*On fail goto*//*Label 23608*/ GIMT_Encode4(1728465), // Rule ID 10605 //
     /* 1728384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1728387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmin_mask),
     /* 1728392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1728395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1728398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1728401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1728404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1728407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1728414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1728422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1728426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728430 */     // MIs[0] policy
     /* 1728430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11433:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMIN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VX_M8_MASK),
     /* 1728443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1728461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728464 */     // GIR_Coverage, 10605,
     /* 1728464 */     GIR_EraseRootFromParent_Done,
     /* 1728465 */   // Label 23608: @1728465
     /* 1728465 */   GIM_Try, /*On fail goto*//*Label 23609*/ GIMT_Encode4(1728551), // Rule ID 10608 //
     /* 1728470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1728490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728516 */     // MIs[0] policy
     /* 1728516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728526 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1728529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728550 */     // GIR_Coverage, 10608,
     /* 1728550 */     GIR_EraseRootFromParent_Done,
     /* 1728551 */   // Label 23609: @1728551
     /* 1728551 */   GIM_Try, /*On fail goto*//*Label 23610*/ GIMT_Encode4(1728637), // Rule ID 10609 //
     /* 1728556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1728567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1728570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1728573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1728576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1728579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728602 */     // MIs[0] policy
     /* 1728602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728612 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8_MASK),
     /* 1728615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728636 */     // GIR_Coverage, 10609,
     /* 1728636 */     GIR_EraseRootFromParent_Done,
     /* 1728637 */   // Label 23610: @1728637
     /* 1728637 */   GIM_Try, /*On fail goto*//*Label 23611*/ GIMT_Encode4(1728723), // Rule ID 10612 //
     /* 1728642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1728653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1728656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1728659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1728662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728688 */     // MIs[0] policy
     /* 1728688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728698 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1728701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728722 */     // GIR_Coverage, 10612,
     /* 1728722 */     GIR_EraseRootFromParent_Done,
     /* 1728723 */   // Label 23611: @1728723
     /* 1728723 */   GIM_Try, /*On fail goto*//*Label 23612*/ GIMT_Encode4(1728809), // Rule ID 10613 //
     /* 1728728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1728739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1728742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1728745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1728748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1728751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728774 */     // MIs[0] policy
     /* 1728774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728784 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1728787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728808 */     // GIR_Coverage, 10613,
     /* 1728808 */     GIR_EraseRootFromParent_Done,
     /* 1728809 */   // Label 23612: @1728809
     /* 1728809 */   GIM_Try, /*On fail goto*//*Label 23613*/ GIMT_Encode4(1728895), // Rule ID 10616 //
     /* 1728814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1728834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1728840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728860 */     // MIs[0] policy
     /* 1728860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728870 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1728870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1728873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728894 */     // GIR_Coverage, 10616,
     /* 1728894 */     GIR_EraseRootFromParent_Done,
     /* 1728895 */   // Label 23613: @1728895
     /* 1728895 */   GIM_Try, /*On fail goto*//*Label 23614*/ GIMT_Encode4(1728981), // Rule ID 10617 //
     /* 1728900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1728903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1728911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1728914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1728917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1728920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1728923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1728926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1728930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1728942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1728946 */     // MIs[0] policy
     /* 1728946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1728949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1728956 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1728956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1728959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1728961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1728963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1728965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1728967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1728969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1728974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1728977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1728979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1728980 */     // GIR_Coverage, 10617,
     /* 1728980 */     GIR_EraseRootFromParent_Done,
     /* 1728981 */   // Label 23614: @1728981
     /* 1728981 */   GIM_Try, /*On fail goto*//*Label 23615*/ GIMT_Encode4(1729067), // Rule ID 10620 //
     /* 1728986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1728989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1728994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1728997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1729006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729032 */     // MIs[0] policy
     /* 1729032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729042 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1729045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729066 */     // GIR_Coverage, 10620,
     /* 1729066 */     GIR_EraseRootFromParent_Done,
     /* 1729067 */   // Label 23615: @1729067
     /* 1729067 */   GIM_Try, /*On fail goto*//*Label 23616*/ GIMT_Encode4(1729153), // Rule ID 10621 //
     /* 1729072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1729083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1729086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1729089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1729092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729118 */     // MIs[0] policy
     /* 1729118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4_MASK),
     /* 1729131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729152 */     // GIR_Coverage, 10621,
     /* 1729152 */     GIR_EraseRootFromParent_Done,
     /* 1729153 */   // Label 23616: @1729153
     /* 1729153 */   GIM_Try, /*On fail goto*//*Label 23617*/ GIMT_Encode4(1729239), // Rule ID 10624 //
     /* 1729158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1729178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729204 */     // MIs[0] policy
     /* 1729204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729214 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1729217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729238 */     // GIR_Coverage, 10624,
     /* 1729238 */     GIR_EraseRootFromParent_Done,
     /* 1729239 */   // Label 23617: @1729239
     /* 1729239 */   GIM_Try, /*On fail goto*//*Label 23618*/ GIMT_Encode4(1729325), // Rule ID 10625 //
     /* 1729244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1729255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1729258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1729261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1729264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729290 */     // MIs[0] policy
     /* 1729290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729300 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1729303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729324 */     // GIR_Coverage, 10625,
     /* 1729324 */     GIR_EraseRootFromParent_Done,
     /* 1729325 */   // Label 23618: @1729325
     /* 1729325 */   GIM_Try, /*On fail goto*//*Label 23619*/ GIMT_Encode4(1729411), // Rule ID 10628 //
     /* 1729330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1729350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729376 */     // MIs[0] policy
     /* 1729376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729386 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1729389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729410 */     // GIR_Coverage, 10628,
     /* 1729410 */     GIR_EraseRootFromParent_Done,
     /* 1729411 */   // Label 23619: @1729411
     /* 1729411 */   GIM_Try, /*On fail goto*//*Label 23620*/ GIMT_Encode4(1729497), // Rule ID 10629 //
     /* 1729416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1729427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1729430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1729433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1729436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1729439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729462 */     // MIs[0] policy
     /* 1729462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729472 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2_MASK),
     /* 1729475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729496 */     // GIR_Coverage, 10629,
     /* 1729496 */     GIR_EraseRootFromParent_Done,
     /* 1729497 */   // Label 23620: @1729497
     /* 1729497 */   GIM_Try, /*On fail goto*//*Label 23621*/ GIMT_Encode4(1729583), // Rule ID 10632 //
     /* 1729502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1729522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729548 */     // MIs[0] policy
     /* 1729548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729558 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1729561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729582 */     // GIR_Coverage, 10632,
     /* 1729582 */     GIR_EraseRootFromParent_Done,
     /* 1729583 */   // Label 23621: @1729583
     /* 1729583 */   GIM_Try, /*On fail goto*//*Label 23622*/ GIMT_Encode4(1729669), // Rule ID 10633 //
     /* 1729588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1729599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1729602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1729605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1729608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1729611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729634 */     // MIs[0] policy
     /* 1729634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729644 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1729647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1729665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729668 */     // GIR_Coverage, 10633,
     /* 1729668 */     GIR_EraseRootFromParent_Done,
     /* 1729669 */   // Label 23622: @1729669
     /* 1729669 */   GIM_Try, /*On fail goto*//*Label 23623*/ GIMT_Encode4(1729755), // Rule ID 10636 //
     /* 1729674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1729685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1729688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1729691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1729694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729720 */     // MIs[0] policy
     /* 1729720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729730 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1729733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729754 */     // GIR_Coverage, 10636,
     /* 1729754 */     GIR_EraseRootFromParent_Done,
     /* 1729755 */   // Label 23623: @1729755
     /* 1729755 */   GIM_Try, /*On fail goto*//*Label 23624*/ GIMT_Encode4(1729841), // Rule ID 10637 //
     /* 1729760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1729771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1729774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1729777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1729780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1729783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729806 */     // MIs[0] policy
     /* 1729806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729816 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1729819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1729837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729840 */     // GIR_Coverage, 10637,
     /* 1729840 */     GIR_EraseRootFromParent_Done,
     /* 1729841 */   // Label 23624: @1729841
     /* 1729841 */   GIM_Try, /*On fail goto*//*Label 23625*/ GIMT_Encode4(1729927), // Rule ID 10640 //
     /* 1729846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1729849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1729866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1729872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729892 */     // MIs[0] policy
     /* 1729892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729902 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1729902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1729905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1729915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1729920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1729923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1729925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1729926 */     // GIR_Coverage, 10640,
     /* 1729926 */     GIR_EraseRootFromParent_Done,
     /* 1729927 */   // Label 23625: @1729927
     /* 1729927 */   GIM_Try, /*On fail goto*//*Label 23626*/ GIMT_Encode4(1730013), // Rule ID 10641 //
     /* 1729932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1729935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1729940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1729943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1729946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1729949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1729952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1729955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1729958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1729962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1729974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1729978 */     // MIs[0] policy
     /* 1729978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1729981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1729988 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1729988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1729991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1729993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1729995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1729997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1729999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1730009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730012 */     // GIR_Coverage, 10641,
     /* 1730012 */     GIR_EraseRootFromParent_Done,
     /* 1730013 */   // Label 23626: @1730013
     /* 1730013 */   GIM_Try, /*On fail goto*//*Label 23627*/ GIMT_Encode4(1730099), // Rule ID 10644 //
     /* 1730018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1730021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1730038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730064 */     // MIs[0] policy
     /* 1730064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730074 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1730077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730098 */     // GIR_Coverage, 10644,
     /* 1730098 */     GIR_EraseRootFromParent_Done,
     /* 1730099 */   // Label 23627: @1730099
     /* 1730099 */   GIM_Try, /*On fail goto*//*Label 23628*/ GIMT_Encode4(1730185), // Rule ID 10645 //
     /* 1730104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1730107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1730115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1730118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1730121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1730124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1730127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1730134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1730146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730150 */     // MIs[0] policy
     /* 1730150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730160 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1_MASK),
     /* 1730163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1730181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730184 */     // GIR_Coverage, 10645,
     /* 1730184 */     GIR_EraseRootFromParent_Done,
     /* 1730185 */   // Label 23628: @1730185
     /* 1730185 */   GIM_Try, /*On fail goto*//*Label 23629*/ GIMT_Encode4(1730271), // Rule ID 10648 //
     /* 1730190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1730210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730236 */     // MIs[0] policy
     /* 1730236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730246 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1730249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730270 */     // GIR_Coverage, 10648,
     /* 1730270 */     GIR_EraseRootFromParent_Done,
     /* 1730271 */   // Label 23629: @1730271
     /* 1730271 */   GIM_Try, /*On fail goto*//*Label 23630*/ GIMT_Encode4(1730357), // Rule ID 10649 //
     /* 1730276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1730287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1730290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1730293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1730296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730322 */     // MIs[0] policy
     /* 1730322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730332 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1730335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730356 */     // GIR_Coverage, 10649,
     /* 1730356 */     GIR_EraseRootFromParent_Done,
     /* 1730357 */   // Label 23630: @1730357
     /* 1730357 */   GIM_Try, /*On fail goto*//*Label 23631*/ GIMT_Encode4(1730443), // Rule ID 10652 //
     /* 1730362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1730382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730408 */     // MIs[0] policy
     /* 1730408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730418 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1730421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730442 */     // GIR_Coverage, 10652,
     /* 1730442 */     GIR_EraseRootFromParent_Done,
     /* 1730443 */   // Label 23631: @1730443
     /* 1730443 */   GIM_Try, /*On fail goto*//*Label 23632*/ GIMT_Encode4(1730529), // Rule ID 10653 //
     /* 1730448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1730459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1730462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1730465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1730468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1730471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730494 */     // MIs[0] policy
     /* 1730494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730504 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1730507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730528 */     // GIR_Coverage, 10653,
     /* 1730528 */     GIR_EraseRootFromParent_Done,
     /* 1730529 */   // Label 23632: @1730529
     /* 1730529 */   GIM_Try, /*On fail goto*//*Label 23633*/ GIMT_Encode4(1730615), // Rule ID 10656 //
     /* 1730534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1730554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730580 */     // MIs[0] policy
     /* 1730580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730590 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1730593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730614 */     // GIR_Coverage, 10656,
     /* 1730614 */     GIR_EraseRootFromParent_Done,
     /* 1730615 */   // Label 23633: @1730615
     /* 1730615 */   GIM_Try, /*On fail goto*//*Label 23634*/ GIMT_Encode4(1730701), // Rule ID 10657 //
     /* 1730620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1730631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1730634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1730637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1730640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1730643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1730650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1730662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730666 */     // MIs[0] policy
     /* 1730666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730676 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1730679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1730697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730700 */     // GIR_Coverage, 10657,
     /* 1730700 */     GIR_EraseRootFromParent_Done,
     /* 1730701 */   // Label 23634: @1730701
     /* 1730701 */   GIM_Try, /*On fail goto*//*Label 23635*/ GIMT_Encode4(1730787), // Rule ID 10660 //
     /* 1730706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1730717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1730720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1730723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1730726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730752 */     // MIs[0] policy
     /* 1730752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730762 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1730765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730786 */     // GIR_Coverage, 10660,
     /* 1730786 */     GIR_EraseRootFromParent_Done,
     /* 1730787 */   // Label 23635: @1730787
     /* 1730787 */   GIM_Try, /*On fail goto*//*Label 23636*/ GIMT_Encode4(1730873), // Rule ID 10661 //
     /* 1730792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1730803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1730806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1730809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1730812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1730815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1730822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1730834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730838 */     // MIs[0] policy
     /* 1730838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730848 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1730848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1730851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730872 */     // GIR_Coverage, 10661,
     /* 1730872 */     GIR_EraseRootFromParent_Done,
     /* 1730873 */   // Label 23636: @1730873
     /* 1730873 */   GIM_Try, /*On fail goto*//*Label 23637*/ GIMT_Encode4(1730959), // Rule ID 10664 //
     /* 1730878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1730881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1730898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1730904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1730924 */     // MIs[0] policy
     /* 1730924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1730927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1730934 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1730934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1730937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1730939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1730941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1730943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1730945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1730947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1730952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1730955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1730957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1730958 */     // GIR_Coverage, 10664,
     /* 1730958 */     GIR_EraseRootFromParent_Done,
     /* 1730959 */   // Label 23637: @1730959
     /* 1730959 */   GIM_Try, /*On fail goto*//*Label 23638*/ GIMT_Encode4(1731045), // Rule ID 10665 //
     /* 1730964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1730967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1730972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1730975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1730978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1730981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1730984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1730987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1730990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1730994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1730998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731010 */     // MIs[0] policy
     /* 1731010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731020 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1731023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731044 */     // GIR_Coverage, 10665,
     /* 1731044 */     GIR_EraseRootFromParent_Done,
     /* 1731045 */   // Label 23638: @1731045
     /* 1731045 */   GIM_Try, /*On fail goto*//*Label 23639*/ GIMT_Encode4(1731131), // Rule ID 10668 //
     /* 1731050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1731070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731096 */     // MIs[0] policy
     /* 1731096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731106 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1731109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731130 */     // GIR_Coverage, 10668,
     /* 1731130 */     GIR_EraseRootFromParent_Done,
     /* 1731131 */   // Label 23639: @1731131
     /* 1731131 */   GIM_Try, /*On fail goto*//*Label 23640*/ GIMT_Encode4(1731217), // Rule ID 10669 //
     /* 1731136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1731147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1731150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1731153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1731156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1731159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731182 */     // MIs[0] policy
     /* 1731182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731192 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1731195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1731213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731216 */     // GIR_Coverage, 10669,
     /* 1731216 */     GIR_EraseRootFromParent_Done,
     /* 1731217 */   // Label 23640: @1731217
     /* 1731217 */   GIM_Try, /*On fail goto*//*Label 23641*/ GIMT_Encode4(1731303), // Rule ID 10672 //
     /* 1731222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1731242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731268 */     // MIs[0] policy
     /* 1731268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731278 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1731281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731302 */     // GIR_Coverage, 10672,
     /* 1731302 */     GIR_EraseRootFromParent_Done,
     /* 1731303 */   // Label 23641: @1731303
     /* 1731303 */   GIM_Try, /*On fail goto*//*Label 23642*/ GIMT_Encode4(1731389), // Rule ID 10673 //
     /* 1731308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1731319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1731322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1731325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1731328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731354 */     // MIs[0] policy
     /* 1731354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731364 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1731367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731388 */     // GIR_Coverage, 10673,
     /* 1731388 */     GIR_EraseRootFromParent_Done,
     /* 1731389 */   // Label 23642: @1731389
     /* 1731389 */   GIM_Try, /*On fail goto*//*Label 23643*/ GIMT_Encode4(1731475), // Rule ID 10676 //
     /* 1731394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1731414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731440 */     // MIs[0] policy
     /* 1731440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731450 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1731453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731474 */     // GIR_Coverage, 10676,
     /* 1731474 */     GIR_EraseRootFromParent_Done,
     /* 1731475 */   // Label 23643: @1731475
     /* 1731475 */   GIM_Try, /*On fail goto*//*Label 23644*/ GIMT_Encode4(1731561), // Rule ID 10677 //
     /* 1731480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1731491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1731494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1731497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1731500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1731503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731526 */     // MIs[0] policy
     /* 1731526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1731539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731560 */     // GIR_Coverage, 10677,
     /* 1731560 */     GIR_EraseRootFromParent_Done,
     /* 1731561 */   // Label 23644: @1731561
     /* 1731561 */   GIM_Try, /*On fail goto*//*Label 23645*/ GIMT_Encode4(1731647), // Rule ID 10680 //
     /* 1731566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1731569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1731577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1731580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1731583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1731586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731612 */     // MIs[0] policy
     /* 1731612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731622 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1731625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731646 */     // GIR_Coverage, 10680,
     /* 1731646 */     GIR_EraseRootFromParent_Done,
     /* 1731647 */   // Label 23645: @1731647
     /* 1731647 */   GIM_Try, /*On fail goto*//*Label 23646*/ GIMT_Encode4(1731733), // Rule ID 10681 //
     /* 1731652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1731655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1731663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1731666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1731669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1731672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1731675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1731682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1731694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731698 */     // MIs[0] policy
     /* 1731698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731708 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1731711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1731729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731732 */     // GIR_Coverage, 10681,
     /* 1731732 */     GIR_EraseRootFromParent_Done,
     /* 1731733 */   // Label 23646: @1731733
     /* 1731733 */   GIM_Try, /*On fail goto*//*Label 23647*/ GIMT_Encode4(1731819), // Rule ID 10684 //
     /* 1731738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1731749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1731752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1731755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1731758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731784 */     // MIs[0] policy
     /* 1731784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731794 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1731797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731818 */     // GIR_Coverage, 10684,
     /* 1731818 */     GIR_EraseRootFromParent_Done,
     /* 1731819 */   // Label 23647: @1731819
     /* 1731819 */   GIM_Try, /*On fail goto*//*Label 23648*/ GIMT_Encode4(1731905), // Rule ID 10685 //
     /* 1731824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1731835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1731838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1731841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1731844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1731847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1731850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1731854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1731866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731870 */     // MIs[0] policy
     /* 1731870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731880 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1731880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2_MASK),
     /* 1731883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731904 */     // GIR_Coverage, 10685,
     /* 1731904 */     GIR_EraseRootFromParent_Done,
     /* 1731905 */   // Label 23648: @1731905
     /* 1731905 */   GIM_Try, /*On fail goto*//*Label 23649*/ GIMT_Encode4(1731991), // Rule ID 10688 //
     /* 1731910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1731913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1731918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1731921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1731924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1731927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1731930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1731933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1731936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1731940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1731952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1731956 */     // MIs[0] policy
     /* 1731956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1731959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1731966 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1731966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1731969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1731971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1731973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1731975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1731977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1731979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1731984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1731987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1731989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1731990 */     // GIR_Coverage, 10688,
     /* 1731990 */     GIR_EraseRootFromParent_Done,
     /* 1731991 */   // Label 23649: @1731991
     /* 1731991 */   GIM_Try, /*On fail goto*//*Label 23650*/ GIMT_Encode4(1732077), // Rule ID 10689 //
     /* 1731996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1731999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1732007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1732010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1732013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1732016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1732026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1732038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732042 */     // MIs[0] policy
     /* 1732042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732052 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4_MASK),
     /* 1732055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732076 */     // GIR_Coverage, 10689,
     /* 1732076 */     GIR_EraseRootFromParent_Done,
     /* 1732077 */   // Label 23650: @1732077
     /* 1732077 */   GIM_Try, /*On fail goto*//*Label 23651*/ GIMT_Encode4(1732163), // Rule ID 10692 //
     /* 1732082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1732085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1732102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732128 */     // MIs[0] policy
     /* 1732128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732138 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1732141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732162 */     // GIR_Coverage, 10692,
     /* 1732162 */     GIR_EraseRootFromParent_Done,
     /* 1732163 */   // Label 23651: @1732163
     /* 1732163 */   GIM_Try, /*On fail goto*//*Label 23652*/ GIMT_Encode4(1732249), // Rule ID 10693 //
     /* 1732168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1732171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1732179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1732182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1732185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1732188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1732191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1732198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1732210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732214 */     // MIs[0] policy
     /* 1732214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732224 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8_MASK),
     /* 1732227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1732245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732248 */     // GIR_Coverage, 10693,
     /* 1732248 */     GIR_EraseRootFromParent_Done,
     /* 1732249 */   // Label 23652: @1732249
     /* 1732249 */   GIM_Try, /*On fail goto*//*Label 23653*/ GIMT_Encode4(1732335), // Rule ID 10696 //
     /* 1732254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732300 */     // MIs[0] policy
     /* 1732300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732310 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1732313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732334 */     // GIR_Coverage, 10696,
     /* 1732334 */     GIR_EraseRootFromParent_Done,
     /* 1732335 */   // Label 23653: @1732335
     /* 1732335 */   GIM_Try, /*On fail goto*//*Label 23654*/ GIMT_Encode4(1732421), // Rule ID 10697 //
     /* 1732340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1732351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1732354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1732357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732386 */     // MIs[0] policy
     /* 1732386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF8_MASK),
     /* 1732399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732420 */     // GIR_Coverage, 10697,
     /* 1732420 */     GIR_EraseRootFromParent_Done,
     /* 1732421 */   // Label 23654: @1732421
     /* 1732421 */   GIM_Try, /*On fail goto*//*Label 23655*/ GIMT_Encode4(1732507), // Rule ID 10700 //
     /* 1732426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732472 */     // MIs[0] policy
     /* 1732472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732482 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1732485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732506 */     // GIR_Coverage, 10700,
     /* 1732506 */     GIR_EraseRootFromParent_Done,
     /* 1732507 */   // Label 23655: @1732507
     /* 1732507 */   GIM_Try, /*On fail goto*//*Label 23656*/ GIMT_Encode4(1732593), // Rule ID 10701 //
     /* 1732512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1732523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1732526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1732529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732558 */     // MIs[0] policy
     /* 1732558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732568 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1732571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732592 */     // GIR_Coverage, 10701,
     /* 1732592 */     GIR_EraseRootFromParent_Done,
     /* 1732593 */   // Label 23656: @1732593
     /* 1732593 */   GIM_Try, /*On fail goto*//*Label 23657*/ GIMT_Encode4(1732679), // Rule ID 10704 //
     /* 1732598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1732609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1732612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1732615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732644 */     // MIs[0] policy
     /* 1732644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732654 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1732657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732678 */     // GIR_Coverage, 10704,
     /* 1732678 */     GIR_EraseRootFromParent_Done,
     /* 1732679 */   // Label 23657: @1732679
     /* 1732679 */   GIM_Try, /*On fail goto*//*Label 23658*/ GIMT_Encode4(1732765), // Rule ID 10705 //
     /* 1732684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1732695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1732698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1732701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1732707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732730 */     // MIs[0] policy
     /* 1732730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732740 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1732743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1732761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732764 */     // GIR_Coverage, 10705,
     /* 1732764 */     GIR_EraseRootFromParent_Done,
     /* 1732765 */   // Label 23658: @1732765
     /* 1732765 */   GIM_Try, /*On fail goto*//*Label 23659*/ GIMT_Encode4(1732851), // Rule ID 10708 //
     /* 1732770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732816 */     // MIs[0] policy
     /* 1732816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732826 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1732829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732850 */     // GIR_Coverage, 10708,
     /* 1732850 */     GIR_EraseRootFromParent_Done,
     /* 1732851 */   // Label 23659: @1732851
     /* 1732851 */   GIM_Try, /*On fail goto*//*Label 23660*/ GIMT_Encode4(1732937), // Rule ID 10709 //
     /* 1732856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1732859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1732867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1732870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1732873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1732876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1732879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1732882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732902 */     // MIs[0] policy
     /* 1732902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732912 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1732912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF4_MASK),
     /* 1732915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1732917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1732919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1732921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1732923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1732925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1732930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1732933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1732935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1732936 */     // GIR_Coverage, 10709,
     /* 1732936 */     GIR_EraseRootFromParent_Done,
     /* 1732937 */   // Label 23660: @1732937
     /* 1732937 */   GIM_Try, /*On fail goto*//*Label 23661*/ GIMT_Encode4(1733023), // Rule ID 10712 //
     /* 1732942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1732945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1732950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1732953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1732956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1732959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1732962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1732965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1732968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1732972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1732980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1732984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1732988 */     // MIs[0] policy
     /* 1732988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1732991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1732998 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1732998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1733001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733022 */     // GIR_Coverage, 10712,
     /* 1733022 */     GIR_EraseRootFromParent_Done,
     /* 1733023 */   // Label 23661: @1733023
     /* 1733023 */   GIM_Try, /*On fail goto*//*Label 23662*/ GIMT_Encode4(1733109), // Rule ID 10713 //
     /* 1733028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1733039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1733042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1733045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733074 */     // MIs[0] policy
     /* 1733074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733084 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1733087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733108 */     // GIR_Coverage, 10713,
     /* 1733108 */     GIR_EraseRootFromParent_Done,
     /* 1733109 */   // Label 23662: @1733109
     /* 1733109 */   GIM_Try, /*On fail goto*//*Label 23663*/ GIMT_Encode4(1733195), // Rule ID 10716 //
     /* 1733114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733160 */     // MIs[0] policy
     /* 1733160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733170 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1733173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733194 */     // GIR_Coverage, 10716,
     /* 1733194 */     GIR_EraseRootFromParent_Done,
     /* 1733195 */   // Label 23663: @1733195
     /* 1733195 */   GIM_Try, /*On fail goto*//*Label 23664*/ GIMT_Encode4(1733281), // Rule ID 10717 //
     /* 1733200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1733211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1733214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1733217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733246 */     // MIs[0] policy
     /* 1733246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733256 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_MF2_MASK),
     /* 1733259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733280 */     // GIR_Coverage, 10717,
     /* 1733280 */     GIR_EraseRootFromParent_Done,
     /* 1733281 */   // Label 23664: @1733281
     /* 1733281 */   GIM_Try, /*On fail goto*//*Label 23665*/ GIMT_Encode4(1733367), // Rule ID 10720 //
     /* 1733286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733332 */     // MIs[0] policy
     /* 1733332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733342 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1733345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733366 */     // GIR_Coverage, 10720,
     /* 1733366 */     GIR_EraseRootFromParent_Done,
     /* 1733367 */   // Label 23665: @1733367
     /* 1733367 */   GIM_Try, /*On fail goto*//*Label 23666*/ GIMT_Encode4(1733453), // Rule ID 10721 //
     /* 1733372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1733383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1733386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1733389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1733395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733418 */     // MIs[0] policy
     /* 1733418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733428 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11417:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1733431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1733449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733452 */     // GIR_Coverage, 10721,
     /* 1733452 */     GIR_EraseRootFromParent_Done,
     /* 1733453 */   // Label 23666: @1733453
     /* 1733453 */   GIM_Try, /*On fail goto*//*Label 23667*/ GIMT_Encode4(1733539), // Rule ID 10724 //
     /* 1733458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733504 */     // MIs[0] policy
     /* 1733504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733514 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1733517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733538 */     // GIR_Coverage, 10724,
     /* 1733538 */     GIR_EraseRootFromParent_Done,
     /* 1733539 */   // Label 23667: @1733539
     /* 1733539 */   GIM_Try, /*On fail goto*//*Label 23668*/ GIMT_Encode4(1733625), // Rule ID 10725 //
     /* 1733544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1733555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1733558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1733561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1733567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733590 */     // MIs[0] policy
     /* 1733590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733600 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11417:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1733603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1733621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733624 */     // GIR_Coverage, 10725,
     /* 1733624 */     GIR_EraseRootFromParent_Done,
     /* 1733625 */   // Label 23668: @1733625
     /* 1733625 */   GIM_Try, /*On fail goto*//*Label 23669*/ GIMT_Encode4(1733711), // Rule ID 10728 //
     /* 1733630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1733641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1733644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1733647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733676 */     // MIs[0] policy
     /* 1733676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733686 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1733689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733710 */     // GIR_Coverage, 10728,
     /* 1733710 */     GIR_EraseRootFromParent_Done,
     /* 1733711 */   // Label 23669: @1733711
     /* 1733711 */   GIM_Try, /*On fail goto*//*Label 23670*/ GIMT_Encode4(1733797), // Rule ID 10729 //
     /* 1733716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1733719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1733727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1733730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1733733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1733739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733762 */     // MIs[0] policy
     /* 1733762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733772 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11417:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1733775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1733793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733796 */     // GIR_Coverage, 10729,
     /* 1733796 */     GIR_EraseRootFromParent_Done,
     /* 1733797 */   // Label 23670: @1733797
     /* 1733797 */   GIM_Try, /*On fail goto*//*Label 23671*/ GIMT_Encode4(1733883), // Rule ID 10732 //
     /* 1733802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1733805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1733828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733848 */     // MIs[0] policy
     /* 1733848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733858 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1733858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1733861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733882 */     // GIR_Coverage, 10732,
     /* 1733882 */     GIR_EraseRootFromParent_Done,
     /* 1733883 */   // Label 23671: @1733883
     /* 1733883 */   GIM_Try, /*On fail goto*//*Label 23672*/ GIMT_Encode4(1733969), // Rule ID 10733 //
     /* 1733888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1733891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1733899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1733902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1733905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1733908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1733911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1733914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1733918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1733926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1733930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1733934 */     // MIs[0] policy
     /* 1733934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1733937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1733944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11417:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1733944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M1_MASK),
     /* 1733947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1733949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1733951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1733953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1733955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1733957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1733962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1733965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1733967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1733968 */     // GIR_Coverage, 10733,
     /* 1733968 */     GIR_EraseRootFromParent_Done,
     /* 1733969 */   // Label 23672: @1733969
     /* 1733969 */   GIM_Try, /*On fail goto*//*Label 23673*/ GIMT_Encode4(1734055), // Rule ID 10736 //
     /* 1733974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1733977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1733982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1733985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1733988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1733991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1733994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1733997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734020 */     // MIs[0] policy
     /* 1734020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734030 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1734033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734054 */     // GIR_Coverage, 10736,
     /* 1734054 */     GIR_EraseRootFromParent_Done,
     /* 1734055 */   // Label 23673: @1734055
     /* 1734055 */   GIM_Try, /*On fail goto*//*Label 23674*/ GIMT_Encode4(1734141), // Rule ID 10737 //
     /* 1734060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1734071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1734074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1734077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734106 */     // MIs[0] policy
     /* 1734106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734116 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1734119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734140 */     // GIR_Coverage, 10737,
     /* 1734140 */     GIR_EraseRootFromParent_Done,
     /* 1734141 */   // Label 23674: @1734141
     /* 1734141 */   GIM_Try, /*On fail goto*//*Label 23675*/ GIMT_Encode4(1734227), // Rule ID 10740 //
     /* 1734146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734192 */     // MIs[0] policy
     /* 1734192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734202 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1734205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734226 */     // GIR_Coverage, 10740,
     /* 1734226 */     GIR_EraseRootFromParent_Done,
     /* 1734227 */   // Label 23675: @1734227
     /* 1734227 */   GIM_Try, /*On fail goto*//*Label 23676*/ GIMT_Encode4(1734313), // Rule ID 10741 //
     /* 1734232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1734243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1734246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1734249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734278 */     // MIs[0] policy
     /* 1734278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734288 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1734291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734312 */     // GIR_Coverage, 10741,
     /* 1734312 */     GIR_EraseRootFromParent_Done,
     /* 1734313 */   // Label 23676: @1734313
     /* 1734313 */   GIM_Try, /*On fail goto*//*Label 23677*/ GIMT_Encode4(1734399), // Rule ID 10744 //
     /* 1734318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734364 */     // MIs[0] policy
     /* 1734364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734374 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1734377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734398 */     // GIR_Coverage, 10744,
     /* 1734398 */     GIR_EraseRootFromParent_Done,
     /* 1734399 */   // Label 23677: @1734399
     /* 1734399 */   GIM_Try, /*On fail goto*//*Label 23678*/ GIMT_Encode4(1734485), // Rule ID 10745 //
     /* 1734404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1734415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1734418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1734421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1734427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734450 */     // MIs[0] policy
     /* 1734450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734460 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1734463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1734481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734484 */     // GIR_Coverage, 10745,
     /* 1734484 */     GIR_EraseRootFromParent_Done,
     /* 1734485 */   // Label 23678: @1734485
     /* 1734485 */   GIM_Try, /*On fail goto*//*Label 23679*/ GIMT_Encode4(1734571), // Rule ID 10748 //
     /* 1734490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734536 */     // MIs[0] policy
     /* 1734536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734546 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1734549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734570 */     // GIR_Coverage, 10748,
     /* 1734570 */     GIR_EraseRootFromParent_Done,
     /* 1734571 */   // Label 23679: @1734571
     /* 1734571 */   GIM_Try, /*On fail goto*//*Label 23680*/ GIMT_Encode4(1734657), // Rule ID 10749 //
     /* 1734576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1734587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1734590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1734593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1734599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1734606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1734614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734622 */     // MIs[0] policy
     /* 1734622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734632 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1734635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734656 */     // GIR_Coverage, 10749,
     /* 1734656 */     GIR_EraseRootFromParent_Done,
     /* 1734657 */   // Label 23680: @1734657
     /* 1734657 */   GIM_Try, /*On fail goto*//*Label 23681*/ GIMT_Encode4(1734743), // Rule ID 10752 //
     /* 1734662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1734673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1734676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1734679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734708 */     // MIs[0] policy
     /* 1734708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734718 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1734721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734742 */     // GIR_Coverage, 10752,
     /* 1734742 */     GIR_EraseRootFromParent_Done,
     /* 1734743 */   // Label 23681: @1734743
     /* 1734743 */   GIM_Try, /*On fail goto*//*Label 23682*/ GIMT_Encode4(1734829), // Rule ID 10753 //
     /* 1734748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1734759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1734762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1734765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1734771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1734778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1734786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734794 */     // MIs[0] policy
     /* 1734794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734804 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1734807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734828 */     // GIR_Coverage, 10753,
     /* 1734828 */     GIR_EraseRootFromParent_Done,
     /* 1734829 */   // Label 23682: @1734829
     /* 1734829 */   GIM_Try, /*On fail goto*//*Label 23683*/ GIMT_Encode4(1734915), // Rule ID 10756 //
     /* 1734834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1734837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1734854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1734860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734880 */     // MIs[0] policy
     /* 1734880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734890 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1734890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1734893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1734914 */     // GIR_Coverage, 10756,
     /* 1734914 */     GIR_EraseRootFromParent_Done,
     /* 1734915 */   // Label 23683: @1734915
     /* 1734915 */   GIM_Try, /*On fail goto*//*Label 23684*/ GIMT_Encode4(1735001), // Rule ID 10757 //
     /* 1734920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1734923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1734928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1734931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1734934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1734937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1734940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1734943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1734946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1734950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1734958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1734962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1734966 */     // MIs[0] policy
     /* 1734966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1734969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1734976 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1734976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1734979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1734981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1734983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1734985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1734987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1734989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1734994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1734997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1734999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735000 */     // GIR_Coverage, 10757,
     /* 1735000 */     GIR_EraseRootFromParent_Done,
     /* 1735001 */   // Label 23684: @1735001
     /* 1735001 */   GIM_Try, /*On fail goto*//*Label 23685*/ GIMT_Encode4(1735087), // Rule ID 10760 //
     /* 1735006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735052 */     // MIs[0] policy
     /* 1735052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1735065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735086 */     // GIR_Coverage, 10760,
     /* 1735086 */     GIR_EraseRootFromParent_Done,
     /* 1735087 */   // Label 23685: @1735087
     /* 1735087 */   GIM_Try, /*On fail goto*//*Label 23686*/ GIMT_Encode4(1735173), // Rule ID 10761 //
     /* 1735092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1735103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1735106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1735109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735138 */     // MIs[0] policy
     /* 1735138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1735151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735172 */     // GIR_Coverage, 10761,
     /* 1735172 */     GIR_EraseRootFromParent_Done,
     /* 1735173 */   // Label 23686: @1735173
     /* 1735173 */   GIM_Try, /*On fail goto*//*Label 23687*/ GIMT_Encode4(1735259), // Rule ID 10764 //
     /* 1735178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735224 */     // MIs[0] policy
     /* 1735224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1735237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735258 */     // GIR_Coverage, 10764,
     /* 1735258 */     GIR_EraseRootFromParent_Done,
     /* 1735259 */   // Label 23687: @1735259
     /* 1735259 */   GIM_Try, /*On fail goto*//*Label 23688*/ GIMT_Encode4(1735345), // Rule ID 10765 //
     /* 1735264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1735275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1735278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1735281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735310 */     // MIs[0] policy
     /* 1735310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1735323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735344 */     // GIR_Coverage, 10765,
     /* 1735344 */     GIR_EraseRootFromParent_Done,
     /* 1735345 */   // Label 23688: @1735345
     /* 1735345 */   GIM_Try, /*On fail goto*//*Label 23689*/ GIMT_Encode4(1735431), // Rule ID 10768 //
     /* 1735350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1735353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735396 */     // MIs[0] policy
     /* 1735396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1735409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735430 */     // GIR_Coverage, 10768,
     /* 1735430 */     GIR_EraseRootFromParent_Done,
     /* 1735431 */   // Label 23689: @1735431
     /* 1735431 */   GIM_Try, /*On fail goto*//*Label 23690*/ GIMT_Encode4(1735517), // Rule ID 10769 //
     /* 1735436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1735439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1735447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1735450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1735453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1735459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735482 */     // MIs[0] policy
     /* 1735482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1735495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1735513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735516 */     // GIR_Coverage, 10769,
     /* 1735516 */     GIR_EraseRootFromParent_Done,
     /* 1735517 */   // Label 23690: @1735517
     /* 1735517 */   GIM_Try, /*On fail goto*//*Label 23691*/ GIMT_Encode4(1735603), // Rule ID 10772 //
     /* 1735522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735568 */     // MIs[0] policy
     /* 1735568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735578 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1735581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735602 */     // GIR_Coverage, 10772,
     /* 1735602 */     GIR_EraseRootFromParent_Done,
     /* 1735603 */   // Label 23691: @1735603
     /* 1735603 */   GIM_Try, /*On fail goto*//*Label 23692*/ GIMT_Encode4(1735689), // Rule ID 10773 //
     /* 1735608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1735619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1735622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1735625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1735631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1735638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1735646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735654 */     // MIs[0] policy
     /* 1735654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735664 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11417:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M2_MASK),
     /* 1735667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735688 */     // GIR_Coverage, 10773,
     /* 1735688 */     GIR_EraseRootFromParent_Done,
     /* 1735689 */   // Label 23692: @1735689
     /* 1735689 */   GIM_Try, /*On fail goto*//*Label 23693*/ GIMT_Encode4(1735775), // Rule ID 10776 //
     /* 1735694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735740 */     // MIs[0] policy
     /* 1735740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735750 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1735753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735774 */     // GIR_Coverage, 10776,
     /* 1735774 */     GIR_EraseRootFromParent_Done,
     /* 1735775 */   // Label 23693: @1735775
     /* 1735775 */   GIM_Try, /*On fail goto*//*Label 23694*/ GIMT_Encode4(1735861), // Rule ID 10777 //
     /* 1735780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1735791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1735794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1735797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1735803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1735810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1735818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735826 */     // MIs[0] policy
     /* 1735826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735836 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11417:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1735836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M4_MASK),
     /* 1735839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735860 */     // GIR_Coverage, 10777,
     /* 1735860 */     GIR_EraseRootFromParent_Done,
     /* 1735861 */   // Label 23694: @1735861
     /* 1735861 */   GIM_Try, /*On fail goto*//*Label 23695*/ GIMT_Encode4(1735947), // Rule ID 10780 //
     /* 1735866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1735869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1735886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1735892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735912 */     // MIs[0] policy
     /* 1735912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1735915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1735922 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1735922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1735925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1735927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1735929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1735931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1735933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1735935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1735940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1735943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1735945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1735946 */     // GIR_Coverage, 10780,
     /* 1735946 */     GIR_EraseRootFromParent_Done,
     /* 1735947 */   // Label 23695: @1735947
     /* 1735947 */   GIM_Try, /*On fail goto*//*Label 23696*/ GIMT_Encode4(1736033), // Rule ID 10781 //
     /* 1735952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1735955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmaxu_mask),
     /* 1735960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1735963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1735966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1735969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1735972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1735975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1735978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1735982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1735990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1735994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1735998 */     // MIs[0] policy
     /* 1735998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736008 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11417:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAXU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VX_M8_MASK),
     /* 1736011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1736029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736032 */     // GIR_Coverage, 10781,
     /* 1736032 */     GIR_EraseRootFromParent_Done,
     /* 1736033 */   // Label 23696: @1736033
     /* 1736033 */   GIM_Try, /*On fail goto*//*Label 23697*/ GIMT_Encode4(1736119), // Rule ID 10784 //
     /* 1736038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1736058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736084 */     // MIs[0] policy
     /* 1736084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736094 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1736097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736118 */     // GIR_Coverage, 10784,
     /* 1736118 */     GIR_EraseRootFromParent_Done,
     /* 1736119 */   // Label 23697: @1736119
     /* 1736119 */   GIM_Try, /*On fail goto*//*Label 23698*/ GIMT_Encode4(1736205), // Rule ID 10785 //
     /* 1736124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1736135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1736138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1736141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1736144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736170 */     // MIs[0] policy
     /* 1736170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736180 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8_MASK),
     /* 1736183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736204 */     // GIR_Coverage, 10785,
     /* 1736204 */     GIR_EraseRootFromParent_Done,
     /* 1736205 */   // Label 23698: @1736205
     /* 1736205 */   GIM_Try, /*On fail goto*//*Label 23699*/ GIMT_Encode4(1736291), // Rule ID 10788 //
     /* 1736210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1736230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736256 */     // MIs[0] policy
     /* 1736256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736266 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1736269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736290 */     // GIR_Coverage, 10788,
     /* 1736290 */     GIR_EraseRootFromParent_Done,
     /* 1736291 */   // Label 23699: @1736291
     /* 1736291 */   GIM_Try, /*On fail goto*//*Label 23700*/ GIMT_Encode4(1736377), // Rule ID 10789 //
     /* 1736296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1736307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1736310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1736313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1736316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736342 */     // MIs[0] policy
     /* 1736342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736352 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1736355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736376 */     // GIR_Coverage, 10789,
     /* 1736376 */     GIR_EraseRootFromParent_Done,
     /* 1736377 */   // Label 23700: @1736377
     /* 1736377 */   GIM_Try, /*On fail goto*//*Label 23701*/ GIMT_Encode4(1736463), // Rule ID 10792 //
     /* 1736382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1736402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736428 */     // MIs[0] policy
     /* 1736428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736438 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1736441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736462 */     // GIR_Coverage, 10792,
     /* 1736462 */     GIR_EraseRootFromParent_Done,
     /* 1736463 */   // Label 23701: @1736463
     /* 1736463 */   GIM_Try, /*On fail goto*//*Label 23702*/ GIMT_Encode4(1736549), // Rule ID 10793 //
     /* 1736468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1736479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1736482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1736485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1736488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1736491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736514 */     // MIs[0] policy
     /* 1736514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736524 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1736527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1736545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736548 */     // GIR_Coverage, 10793,
     /* 1736548 */     GIR_EraseRootFromParent_Done,
     /* 1736549 */   // Label 23702: @1736549
     /* 1736549 */   GIM_Try, /*On fail goto*//*Label 23703*/ GIMT_Encode4(1736635), // Rule ID 10796 //
     /* 1736554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1736574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736600 */     // MIs[0] policy
     /* 1736600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736610 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1736613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736634 */     // GIR_Coverage, 10796,
     /* 1736634 */     GIR_EraseRootFromParent_Done,
     /* 1736635 */   // Label 23703: @1736635
     /* 1736635 */   GIM_Try, /*On fail goto*//*Label 23704*/ GIMT_Encode4(1736721), // Rule ID 10797 //
     /* 1736640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1736651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1736654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1736657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1736660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736686 */     // MIs[0] policy
     /* 1736686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736696 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4_MASK),
     /* 1736699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736720 */     // GIR_Coverage, 10797,
     /* 1736720 */     GIR_EraseRootFromParent_Done,
     /* 1736721 */   // Label 23704: @1736721
     /* 1736721 */   GIM_Try, /*On fail goto*//*Label 23705*/ GIMT_Encode4(1736807), // Rule ID 10800 //
     /* 1736726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1736746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736772 */     // MIs[0] policy
     /* 1736772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736782 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1736785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736806 */     // GIR_Coverage, 10800,
     /* 1736806 */     GIR_EraseRootFromParent_Done,
     /* 1736807 */   // Label 23705: @1736807
     /* 1736807 */   GIM_Try, /*On fail goto*//*Label 23706*/ GIMT_Encode4(1736893), // Rule ID 10801 //
     /* 1736812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1736823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1736826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1736829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1736832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1736835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1736838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736858 */     // MIs[0] policy
     /* 1736858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736868 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1736868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1736871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1736889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736892 */     // GIR_Coverage, 10801,
     /* 1736892 */     GIR_EraseRootFromParent_Done,
     /* 1736893 */   // Label 23706: @1736893
     /* 1736893 */   GIM_Try, /*On fail goto*//*Label 23707*/ GIMT_Encode4(1736979), // Rule ID 10804 //
     /* 1736898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1736901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1736915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1736918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1736921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1736924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1736928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1736940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1736944 */     // MIs[0] policy
     /* 1736944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1736947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1736954 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1736954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1736957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1736959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1736961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1736963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1736965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1736967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1736972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1736975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1736977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1736978 */     // GIR_Coverage, 10804,
     /* 1736978 */     GIR_EraseRootFromParent_Done,
     /* 1736979 */   // Label 23707: @1736979
     /* 1736979 */   GIM_Try, /*On fail goto*//*Label 23708*/ GIMT_Encode4(1737065), // Rule ID 10805 //
     /* 1736984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1736987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1736992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1736995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1736998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1737001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1737004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737030 */     // MIs[0] policy
     /* 1737030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737040 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2_MASK),
     /* 1737043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737064 */     // GIR_Coverage, 10805,
     /* 1737064 */     GIR_EraseRootFromParent_Done,
     /* 1737065 */   // Label 23708: @1737065
     /* 1737065 */   GIM_Try, /*On fail goto*//*Label 23709*/ GIMT_Encode4(1737151), // Rule ID 10808 //
     /* 1737070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1737090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737116 */     // MIs[0] policy
     /* 1737116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737126 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1737129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737150 */     // GIR_Coverage, 10808,
     /* 1737150 */     GIR_EraseRootFromParent_Done,
     /* 1737151 */   // Label 23709: @1737151
     /* 1737151 */   GIM_Try, /*On fail goto*//*Label 23710*/ GIMT_Encode4(1737237), // Rule ID 10809 //
     /* 1737156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1737167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1737170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1737173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1737176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1737179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737202 */     // MIs[0] policy
     /* 1737202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737212 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1737215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737236 */     // GIR_Coverage, 10809,
     /* 1737236 */     GIR_EraseRootFromParent_Done,
     /* 1737237 */   // Label 23710: @1737237
     /* 1737237 */   GIM_Try, /*On fail goto*//*Label 23711*/ GIMT_Encode4(1737323), // Rule ID 10812 //
     /* 1737242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1737262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737288 */     // MIs[0] policy
     /* 1737288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737298 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1737301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737322 */     // GIR_Coverage, 10812,
     /* 1737322 */     GIR_EraseRootFromParent_Done,
     /* 1737323 */   // Label 23711: @1737323
     /* 1737323 */   GIM_Try, /*On fail goto*//*Label 23712*/ GIMT_Encode4(1737409), // Rule ID 10813 //
     /* 1737328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1737339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1737342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1737345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1737348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1737351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737374 */     // MIs[0] policy
     /* 1737374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737384 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1737387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1737405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737408 */     // GIR_Coverage, 10813,
     /* 1737408 */     GIR_EraseRootFromParent_Done,
     /* 1737409 */   // Label 23712: @1737409
     /* 1737409 */   GIM_Try, /*On fail goto*//*Label 23713*/ GIMT_Encode4(1737495), // Rule ID 10816 //
     /* 1737414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1737434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737460 */     // MIs[0] policy
     /* 1737460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1737473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737494 */     // GIR_Coverage, 10816,
     /* 1737494 */     GIR_EraseRootFromParent_Done,
     /* 1737495 */   // Label 23713: @1737495
     /* 1737495 */   GIM_Try, /*On fail goto*//*Label 23714*/ GIMT_Encode4(1737581), // Rule ID 10817 //
     /* 1737500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1737511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1737514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1737517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1737520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1737523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737546 */     // MIs[0] policy
     /* 1737546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1737559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1737577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737580 */     // GIR_Coverage, 10817,
     /* 1737580 */     GIR_EraseRootFromParent_Done,
     /* 1737581 */   // Label 23714: @1737581
     /* 1737581 */   GIM_Try, /*On fail goto*//*Label 23715*/ GIMT_Encode4(1737667), // Rule ID 10820 //
     /* 1737586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1737589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1737606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737632 */     // MIs[0] policy
     /* 1737632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737642 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1737645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737666 */     // GIR_Coverage, 10820,
     /* 1737666 */     GIR_EraseRootFromParent_Done,
     /* 1737667 */   // Label 23715: @1737667
     /* 1737667 */   GIM_Try, /*On fail goto*//*Label 23716*/ GIMT_Encode4(1737753), // Rule ID 10821 //
     /* 1737672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1737675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1737683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1737686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1737689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1737692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1737695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1737702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1737714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737718 */     // MIs[0] policy
     /* 1737718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737728 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1_MASK),
     /* 1737731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1737749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737752 */     // GIR_Coverage, 10821,
     /* 1737752 */     GIR_EraseRootFromParent_Done,
     /* 1737753 */   // Label 23716: @1737753
     /* 1737753 */   GIM_Try, /*On fail goto*//*Label 23717*/ GIMT_Encode4(1737839), // Rule ID 10824 //
     /* 1737758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1737778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737804 */     // MIs[0] policy
     /* 1737804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737814 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1737817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737838 */     // GIR_Coverage, 10824,
     /* 1737838 */     GIR_EraseRootFromParent_Done,
     /* 1737839 */   // Label 23717: @1737839
     /* 1737839 */   GIM_Try, /*On fail goto*//*Label 23718*/ GIMT_Encode4(1737925), // Rule ID 10825 //
     /* 1737844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1737847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1737855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1737858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1737861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1737864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1737867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1737870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1737874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1737886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737890 */     // MIs[0] policy
     /* 1737890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737900 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1737900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1737903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1737918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1737921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1737923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1737924 */     // GIR_Coverage, 10825,
     /* 1737924 */     GIR_EraseRootFromParent_Done,
     /* 1737925 */   // Label 23718: @1737925
     /* 1737925 */   GIM_Try, /*On fail goto*//*Label 23719*/ GIMT_Encode4(1738011), // Rule ID 10828 //
     /* 1737930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1737933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1737938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1737941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1737944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1737947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1737950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1737953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1737956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1737960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1737972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1737976 */     // MIs[0] policy
     /* 1737976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1737979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1737986 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1737986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1737989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1737991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1737993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1737995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1737997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1737999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738010 */     // GIR_Coverage, 10828,
     /* 1738010 */     GIR_EraseRootFromParent_Done,
     /* 1738011 */   // Label 23719: @1738011
     /* 1738011 */   GIM_Try, /*On fail goto*//*Label 23720*/ GIMT_Encode4(1738097), // Rule ID 10829 //
     /* 1738016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1738027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1738030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1738033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1738036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738062 */     // MIs[0] policy
     /* 1738062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738072 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1738075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738096 */     // GIR_Coverage, 10829,
     /* 1738096 */     GIR_EraseRootFromParent_Done,
     /* 1738097 */   // Label 23720: @1738097
     /* 1738097 */   GIM_Try, /*On fail goto*//*Label 23721*/ GIMT_Encode4(1738183), // Rule ID 10832 //
     /* 1738102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1738122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738148 */     // MIs[0] policy
     /* 1738148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1738161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738182 */     // GIR_Coverage, 10832,
     /* 1738182 */     GIR_EraseRootFromParent_Done,
     /* 1738183 */   // Label 23721: @1738183
     /* 1738183 */   GIM_Try, /*On fail goto*//*Label 23722*/ GIMT_Encode4(1738269), // Rule ID 10833 //
     /* 1738188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1738199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1738202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1738205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1738208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1738211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738234 */     // MIs[0] policy
     /* 1738234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738244 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1738247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1738265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738268 */     // GIR_Coverage, 10833,
     /* 1738268 */     GIR_EraseRootFromParent_Done,
     /* 1738269 */   // Label 23722: @1738269
     /* 1738269 */   GIM_Try, /*On fail goto*//*Label 23723*/ GIMT_Encode4(1738355), // Rule ID 10836 //
     /* 1738274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1738294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738320 */     // MIs[0] policy
     /* 1738320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738330 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1738333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738354 */     // GIR_Coverage, 10836,
     /* 1738354 */     GIR_EraseRootFromParent_Done,
     /* 1738355 */   // Label 23723: @1738355
     /* 1738355 */   GIM_Try, /*On fail goto*//*Label 23724*/ GIMT_Encode4(1738441), // Rule ID 10837 //
     /* 1738360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1738371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1738374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1738377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1738380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738406 */     // MIs[0] policy
     /* 1738406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1738419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738440 */     // GIR_Coverage, 10837,
     /* 1738440 */     GIR_EraseRootFromParent_Done,
     /* 1738441 */   // Label 23724: @1738441
     /* 1738441 */   GIM_Try, /*On fail goto*//*Label 23725*/ GIMT_Encode4(1738527), // Rule ID 10840 //
     /* 1738446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1738466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738492 */     // MIs[0] policy
     /* 1738492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738502 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1738505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738526 */     // GIR_Coverage, 10840,
     /* 1738526 */     GIR_EraseRootFromParent_Done,
     /* 1738527 */   // Label 23725: @1738527
     /* 1738527 */   GIM_Try, /*On fail goto*//*Label 23726*/ GIMT_Encode4(1738613), // Rule ID 10841 //
     /* 1738532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1738543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1738546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1738549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1738552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1738555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738578 */     // MIs[0] policy
     /* 1738578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738588 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1738591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738612 */     // GIR_Coverage, 10841,
     /* 1738612 */     GIR_EraseRootFromParent_Done,
     /* 1738613 */   // Label 23726: @1738613
     /* 1738613 */   GIM_Try, /*On fail goto*//*Label 23727*/ GIMT_Encode4(1738699), // Rule ID 10844 //
     /* 1738618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1738638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738664 */     // MIs[0] policy
     /* 1738664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738674 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1738677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738698 */     // GIR_Coverage, 10844,
     /* 1738698 */     GIR_EraseRootFromParent_Done,
     /* 1738699 */   // Label 23727: @1738699
     /* 1738699 */   GIM_Try, /*On fail goto*//*Label 23728*/ GIMT_Encode4(1738785), // Rule ID 10845 //
     /* 1738704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1738715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1738718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1738721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1738724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1738727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1738734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1738746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738750 */     // MIs[0] policy
     /* 1738750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738760 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1738763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1738781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738784 */     // GIR_Coverage, 10845,
     /* 1738784 */     GIR_EraseRootFromParent_Done,
     /* 1738785 */   // Label 23728: @1738785
     /* 1738785 */   GIM_Try, /*On fail goto*//*Label 23729*/ GIMT_Encode4(1738871), // Rule ID 10848 //
     /* 1738790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1738810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738836 */     // MIs[0] policy
     /* 1738836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738846 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1738846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1738849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738870 */     // GIR_Coverage, 10848,
     /* 1738870 */     GIR_EraseRootFromParent_Done,
     /* 1738871 */   // Label 23729: @1738871
     /* 1738871 */   GIM_Try, /*On fail goto*//*Label 23730*/ GIMT_Encode4(1738957), // Rule ID 10849 //
     /* 1738876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1738879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1738887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1738890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1738893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1738896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1738899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1738902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1738906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1738918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1738922 */     // MIs[0] policy
     /* 1738922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1738925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1738932 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1738932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1738935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1738937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1738939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1738941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1738943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1738945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1738950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1738953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1738955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1738956 */     // GIR_Coverage, 10849,
     /* 1738956 */     GIR_EraseRootFromParent_Done,
     /* 1738957 */   // Label 23730: @1738957
     /* 1738957 */   GIM_Try, /*On fail goto*//*Label 23731*/ GIMT_Encode4(1739043), // Rule ID 10852 //
     /* 1738962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1738965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1738970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1738973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1738976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1738979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1738982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1738985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1738988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1738992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1738996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739008 */     // MIs[0] policy
     /* 1739008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739018 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1739021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739042 */     // GIR_Coverage, 10852,
     /* 1739042 */     GIR_EraseRootFromParent_Done,
     /* 1739043 */   // Label 23731: @1739043
     /* 1739043 */   GIM_Try, /*On fail goto*//*Label 23732*/ GIMT_Encode4(1739129), // Rule ID 10853 //
     /* 1739048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1739059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1739062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1739065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1739068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739094 */     // MIs[0] policy
     /* 1739094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739104 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1739107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739128 */     // GIR_Coverage, 10853,
     /* 1739128 */     GIR_EraseRootFromParent_Done,
     /* 1739129 */   // Label 23732: @1739129
     /* 1739129 */   GIM_Try, /*On fail goto*//*Label 23733*/ GIMT_Encode4(1739215), // Rule ID 10856 //
     /* 1739134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1739154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739180 */     // MIs[0] policy
     /* 1739180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739190 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1739193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739214 */     // GIR_Coverage, 10856,
     /* 1739214 */     GIR_EraseRootFromParent_Done,
     /* 1739215 */   // Label 23733: @1739215
     /* 1739215 */   GIM_Try, /*On fail goto*//*Label 23734*/ GIMT_Encode4(1739301), // Rule ID 10857 //
     /* 1739220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1739231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1739234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1739237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1739240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1739243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739266 */     // MIs[0] policy
     /* 1739266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739276 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1739279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1739297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739300 */     // GIR_Coverage, 10857,
     /* 1739300 */     GIR_EraseRootFromParent_Done,
     /* 1739301 */   // Label 23734: @1739301
     /* 1739301 */   GIM_Try, /*On fail goto*//*Label 23735*/ GIMT_Encode4(1739387), // Rule ID 10860 //
     /* 1739306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1739326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739352 */     // MIs[0] policy
     /* 1739352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739362 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1739365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739386 */     // GIR_Coverage, 10860,
     /* 1739386 */     GIR_EraseRootFromParent_Done,
     /* 1739387 */   // Label 23735: @1739387
     /* 1739387 */   GIM_Try, /*On fail goto*//*Label 23736*/ GIMT_Encode4(1739473), // Rule ID 10861 //
     /* 1739392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1739403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1739406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1739409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1739412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1739415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1739422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1739434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739438 */     // MIs[0] policy
     /* 1739438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739448 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2_MASK),
     /* 1739451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739472 */     // GIR_Coverage, 10861,
     /* 1739472 */     GIR_EraseRootFromParent_Done,
     /* 1739473 */   // Label 23736: @1739473
     /* 1739473 */   GIM_Try, /*On fail goto*//*Label 23737*/ GIMT_Encode4(1739559), // Rule ID 10864 //
     /* 1739478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1739498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739524 */     // MIs[0] policy
     /* 1739524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739534 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1739537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739558 */     // GIR_Coverage, 10864,
     /* 1739558 */     GIR_EraseRootFromParent_Done,
     /* 1739559 */   // Label 23737: @1739559
     /* 1739559 */   GIM_Try, /*On fail goto*//*Label 23738*/ GIMT_Encode4(1739645), // Rule ID 10865 //
     /* 1739564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1739575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1739578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1739581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1739584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1739587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1739594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1739606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739610 */     // MIs[0] policy
     /* 1739610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739620 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4_MASK),
     /* 1739623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739644 */     // GIR_Coverage, 10865,
     /* 1739644 */     GIR_EraseRootFromParent_Done,
     /* 1739645 */   // Label 23738: @1739645
     /* 1739645 */   GIM_Try, /*On fail goto*//*Label 23739*/ GIMT_Encode4(1739731), // Rule ID 10868 //
     /* 1739650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1739653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1739670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739696 */     // MIs[0] policy
     /* 1739696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739706 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1739709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739730 */     // GIR_Coverage, 10868,
     /* 1739730 */     GIR_EraseRootFromParent_Done,
     /* 1739731 */   // Label 23739: @1739731
     /* 1739731 */   GIM_Try, /*On fail goto*//*Label 23740*/ GIMT_Encode4(1739817), // Rule ID 10869 //
     /* 1739736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1739739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1739747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1739750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1739753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1739756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1739759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1739766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1739778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739782 */     // MIs[0] policy
     /* 1739782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739792 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8_MASK),
     /* 1739795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1739813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739816 */     // GIR_Coverage, 10869,
     /* 1739816 */     GIR_EraseRootFromParent_Done,
     /* 1739817 */   // Label 23740: @1739817
     /* 1739817 */   GIM_Try, /*On fail goto*//*Label 23741*/ GIMT_Encode4(1739903), // Rule ID 10872 //
     /* 1739822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1739842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1739848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739868 */     // MIs[0] policy
     /* 1739868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739878 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1739878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1739881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739902 */     // GIR_Coverage, 10872,
     /* 1739902 */     GIR_EraseRootFromParent_Done,
     /* 1739903 */   // Label 23741: @1739903
     /* 1739903 */   GIM_Try, /*On fail goto*//*Label 23742*/ GIMT_Encode4(1739989), // Rule ID 10873 //
     /* 1739908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1739911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1739916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1739919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1739922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1739925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1739928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1739931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1739934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1739938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1739946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1739950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1739954 */     // MIs[0] policy
     /* 1739954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1739957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1739964 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1739964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF8_MASK),
     /* 1739967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1739969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1739971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1739973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1739975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1739977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1739982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1739985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1739987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1739988 */     // GIR_Coverage, 10873,
     /* 1739988 */     GIR_EraseRootFromParent_Done,
     /* 1739989 */   // Label 23742: @1739989
     /* 1739989 */   GIM_Try, /*On fail goto*//*Label 23743*/ GIMT_Encode4(1740075), // Rule ID 10876 //
     /* 1739994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1739997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740040 */     // MIs[0] policy
     /* 1740040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740050 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1740053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740074 */     // GIR_Coverage, 10876,
     /* 1740074 */     GIR_EraseRootFromParent_Done,
     /* 1740075 */   // Label 23743: @1740075
     /* 1740075 */   GIM_Try, /*On fail goto*//*Label 23744*/ GIMT_Encode4(1740161), // Rule ID 10877 //
     /* 1740080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1740091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1740094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1740097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740126 */     // MIs[0] policy
     /* 1740126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740136 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1740139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740160 */     // GIR_Coverage, 10877,
     /* 1740160 */     GIR_EraseRootFromParent_Done,
     /* 1740161 */   // Label 23744: @1740161
     /* 1740161 */   GIM_Try, /*On fail goto*//*Label 23745*/ GIMT_Encode4(1740247), // Rule ID 10880 //
     /* 1740166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740212 */     // MIs[0] policy
     /* 1740212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740222 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1740225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740246 */     // GIR_Coverage, 10880,
     /* 1740246 */     GIR_EraseRootFromParent_Done,
     /* 1740247 */   // Label 23745: @1740247
     /* 1740247 */   GIM_Try, /*On fail goto*//*Label 23746*/ GIMT_Encode4(1740333), // Rule ID 10881 //
     /* 1740252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1740263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1740266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1740269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1740275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740298 */     // MIs[0] policy
     /* 1740298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740308 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1740311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740332 */     // GIR_Coverage, 10881,
     /* 1740332 */     GIR_EraseRootFromParent_Done,
     /* 1740333 */   // Label 23746: @1740333
     /* 1740333 */   GIM_Try, /*On fail goto*//*Label 23747*/ GIMT_Encode4(1740419), // Rule ID 10884 //
     /* 1740338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740384 */     // MIs[0] policy
     /* 1740384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740394 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1740397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740418 */     // GIR_Coverage, 10884,
     /* 1740418 */     GIR_EraseRootFromParent_Done,
     /* 1740419 */   // Label 23747: @1740419
     /* 1740419 */   GIM_Try, /*On fail goto*//*Label 23748*/ GIMT_Encode4(1740505), // Rule ID 10885 //
     /* 1740424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1740435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1740438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1740441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740470 */     // MIs[0] policy
     /* 1740470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740480 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF4_MASK),
     /* 1740483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740504 */     // GIR_Coverage, 10885,
     /* 1740504 */     GIR_EraseRootFromParent_Done,
     /* 1740505 */   // Label 23748: @1740505
     /* 1740505 */   GIM_Try, /*On fail goto*//*Label 23749*/ GIMT_Encode4(1740591), // Rule ID 10888 //
     /* 1740510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740556 */     // MIs[0] policy
     /* 1740556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740566 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1740569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740590 */     // GIR_Coverage, 10888,
     /* 1740590 */     GIR_EraseRootFromParent_Done,
     /* 1740591 */   // Label 23749: @1740591
     /* 1740591 */   GIM_Try, /*On fail goto*//*Label 23750*/ GIMT_Encode4(1740677), // Rule ID 10889 //
     /* 1740596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1740607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1740610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1740613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1740619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740642 */     // MIs[0] policy
     /* 1740642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740652 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1740655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1740673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740676 */     // GIR_Coverage, 10889,
     /* 1740676 */     GIR_EraseRootFromParent_Done,
     /* 1740677 */   // Label 23750: @1740677
     /* 1740677 */   GIM_Try, /*On fail goto*//*Label 23751*/ GIMT_Encode4(1740763), // Rule ID 10892 //
     /* 1740682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740728 */     // MIs[0] policy
     /* 1740728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740738 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1740741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740762 */     // GIR_Coverage, 10892,
     /* 1740762 */     GIR_EraseRootFromParent_Done,
     /* 1740763 */   // Label 23751: @1740763
     /* 1740763 */   GIM_Try, /*On fail goto*//*Label 23752*/ GIMT_Encode4(1740849), // Rule ID 10893 //
     /* 1740768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1740779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1740782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1740785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1740791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740814 */     // MIs[0] policy
     /* 1740814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740824 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_MF2_MASK),
     /* 1740827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1740845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740848 */     // GIR_Coverage, 10893,
     /* 1740848 */     GIR_EraseRootFromParent_Done,
     /* 1740849 */   // Label 23752: @1740849
     /* 1740849 */   GIM_Try, /*On fail goto*//*Label 23753*/ GIMT_Encode4(1740935), // Rule ID 10896 //
     /* 1740854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1740857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1740874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1740880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740900 */     // MIs[0] policy
     /* 1740900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740910 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1740910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1740913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1740915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1740917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1740919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1740921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1740923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1740928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1740931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1740933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1740934 */     // GIR_Coverage, 10896,
     /* 1740934 */     GIR_EraseRootFromParent_Done,
     /* 1740935 */   // Label 23753: @1740935
     /* 1740935 */   GIM_Try, /*On fail goto*//*Label 23754*/ GIMT_Encode4(1741021), // Rule ID 10897 //
     /* 1740940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1740943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1740948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1740951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1740954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1740957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1740960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1740963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1740966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1740970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1740978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1740982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1740986 */     // MIs[0] policy
     /* 1740986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1740989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1740996 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11415:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1740996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1740999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741020 */     // GIR_Coverage, 10897,
     /* 1741020 */     GIR_EraseRootFromParent_Done,
     /* 1741021 */   // Label 23754: @1741021
     /* 1741021 */   GIM_Try, /*On fail goto*//*Label 23755*/ GIMT_Encode4(1741107), // Rule ID 10900 //
     /* 1741026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741072 */     // MIs[0] policy
     /* 1741072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741082 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1741085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741106 */     // GIR_Coverage, 10900,
     /* 1741106 */     GIR_EraseRootFromParent_Done,
     /* 1741107 */   // Label 23755: @1741107
     /* 1741107 */   GIM_Try, /*On fail goto*//*Label 23756*/ GIMT_Encode4(1741193), // Rule ID 10901 //
     /* 1741112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1741123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1741126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1741129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1741135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741158 */     // MIs[0] policy
     /* 1741158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741168 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11415:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1741171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1741189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741192 */     // GIR_Coverage, 10901,
     /* 1741192 */     GIR_EraseRootFromParent_Done,
     /* 1741193 */   // Label 23756: @1741193
     /* 1741193 */   GIM_Try, /*On fail goto*//*Label 23757*/ GIMT_Encode4(1741279), // Rule ID 10904 //
     /* 1741198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741244 */     // MIs[0] policy
     /* 1741244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1741257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741278 */     // GIR_Coverage, 10904,
     /* 1741278 */     GIR_EraseRootFromParent_Done,
     /* 1741279 */   // Label 23757: @1741279
     /* 1741279 */   GIM_Try, /*On fail goto*//*Label 23758*/ GIMT_Encode4(1741365), // Rule ID 10905 //
     /* 1741284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1741295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1741298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1741301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1741307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741330 */     // MIs[0] policy
     /* 1741330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11415:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1741343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1741361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741364 */     // GIR_Coverage, 10905,
     /* 1741364 */     GIR_EraseRootFromParent_Done,
     /* 1741365 */   // Label 23758: @1741365
     /* 1741365 */   GIM_Try, /*On fail goto*//*Label 23759*/ GIMT_Encode4(1741451), // Rule ID 10908 //
     /* 1741370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1741373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1741381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1741384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1741387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741416 */     // MIs[0] policy
     /* 1741416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741426 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1741429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1741447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741450 */     // GIR_Coverage, 10908,
     /* 1741450 */     GIR_EraseRootFromParent_Done,
     /* 1741451 */   // Label 23759: @1741451
     /* 1741451 */   GIM_Try, /*On fail goto*//*Label 23760*/ GIMT_Encode4(1741537), // Rule ID 10909 //
     /* 1741456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1741459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1741467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1741470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1741473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1741479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1741486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1741494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741502 */     // MIs[0] policy
     /* 1741502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741512 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11415:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M1_MASK),
     /* 1741515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1741533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741536 */     // GIR_Coverage, 10909,
     /* 1741536 */     GIR_EraseRootFromParent_Done,
     /* 1741537 */   // Label 23760: @1741537
     /* 1741537 */   GIM_Try, /*On fail goto*//*Label 23761*/ GIMT_Encode4(1741623), // Rule ID 10912 //
     /* 1741542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741588 */     // MIs[0] policy
     /* 1741588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741598 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1741601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741622 */     // GIR_Coverage, 10912,
     /* 1741622 */     GIR_EraseRootFromParent_Done,
     /* 1741623 */   // Label 23761: @1741623
     /* 1741623 */   GIM_Try, /*On fail goto*//*Label 23762*/ GIMT_Encode4(1741709), // Rule ID 10913 //
     /* 1741628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1741639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1741642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1741645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1741651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1741658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1741666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741674 */     // MIs[0] policy
     /* 1741674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741684 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1741687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741708 */     // GIR_Coverage, 10913,
     /* 1741708 */     GIR_EraseRootFromParent_Done,
     /* 1741709 */   // Label 23762: @1741709
     /* 1741709 */   GIM_Try, /*On fail goto*//*Label 23763*/ GIMT_Encode4(1741795), // Rule ID 10916 //
     /* 1741714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741760 */     // MIs[0] policy
     /* 1741760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741770 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1741773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741794 */     // GIR_Coverage, 10916,
     /* 1741794 */     GIR_EraseRootFromParent_Done,
     /* 1741795 */   // Label 23763: @1741795
     /* 1741795 */   GIM_Try, /*On fail goto*//*Label 23764*/ GIMT_Encode4(1741881), // Rule ID 10917 //
     /* 1741800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1741811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1741814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1741817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1741823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1741830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1741838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741846 */     // MIs[0] policy
     /* 1741846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741856 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1741856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1741859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741880 */     // GIR_Coverage, 10917,
     /* 1741880 */     GIR_EraseRootFromParent_Done,
     /* 1741881 */   // Label 23764: @1741881
     /* 1741881 */   GIM_Try, /*On fail goto*//*Label 23765*/ GIMT_Encode4(1741967), // Rule ID 10920 //
     /* 1741886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1741889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1741906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1741912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1741916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1741924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1741928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1741932 */     // MIs[0] policy
     /* 1741932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1741935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1741942 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1741942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1741945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1741947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1741949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1741951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1741953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1741955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1741960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1741963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1741965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1741966 */     // GIR_Coverage, 10920,
     /* 1741966 */     GIR_EraseRootFromParent_Done,
     /* 1741967 */   // Label 23765: @1741967
     /* 1741967 */   GIM_Try, /*On fail goto*//*Label 23766*/ GIMT_Encode4(1742053), // Rule ID 10921 //
     /* 1741972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1741975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1741980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1741983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1741986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1741989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1741992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1741995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1741998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742018 */     // MIs[0] policy
     /* 1742018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742028 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1742031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1742049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742052 */     // GIR_Coverage, 10921,
     /* 1742052 */     GIR_EraseRootFromParent_Done,
     /* 1742053 */   // Label 23766: @1742053
     /* 1742053 */   GIM_Try, /*On fail goto*//*Label 23767*/ GIMT_Encode4(1742139), // Rule ID 10924 //
     /* 1742058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742104 */     // MIs[0] policy
     /* 1742104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742114 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1742117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742138 */     // GIR_Coverage, 10924,
     /* 1742138 */     GIR_EraseRootFromParent_Done,
     /* 1742139 */   // Label 23767: @1742139
     /* 1742139 */   GIM_Try, /*On fail goto*//*Label 23768*/ GIMT_Encode4(1742225), // Rule ID 10925 //
     /* 1742144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1742155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1742158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1742161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742190 */     // MIs[0] policy
     /* 1742190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742200 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1742203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742224 */     // GIR_Coverage, 10925,
     /* 1742224 */     GIR_EraseRootFromParent_Done,
     /* 1742225 */   // Label 23768: @1742225
     /* 1742225 */   GIM_Try, /*On fail goto*//*Label 23769*/ GIMT_Encode4(1742311), // Rule ID 10928 //
     /* 1742230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742276 */     // MIs[0] policy
     /* 1742276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742286 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1742289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742310 */     // GIR_Coverage, 10928,
     /* 1742310 */     GIR_EraseRootFromParent_Done,
     /* 1742311 */   // Label 23769: @1742311
     /* 1742311 */   GIM_Try, /*On fail goto*//*Label 23770*/ GIMT_Encode4(1742397), // Rule ID 10929 //
     /* 1742316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1742327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1742330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1742333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742362 */     // MIs[0] policy
     /* 1742362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742372 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1742375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742396 */     // GIR_Coverage, 10929,
     /* 1742396 */     GIR_EraseRootFromParent_Done,
     /* 1742397 */   // Label 23770: @1742397
     /* 1742397 */   GIM_Try, /*On fail goto*//*Label 23771*/ GIMT_Encode4(1742483), // Rule ID 10932 //
     /* 1742402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742448 */     // MIs[0] policy
     /* 1742448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742458 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1742461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742482 */     // GIR_Coverage, 10932,
     /* 1742482 */     GIR_EraseRootFromParent_Done,
     /* 1742483 */   // Label 23771: @1742483
     /* 1742483 */   GIM_Try, /*On fail goto*//*Label 23772*/ GIMT_Encode4(1742569), // Rule ID 10933 //
     /* 1742488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1742499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1742502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1742505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1742511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742534 */     // MIs[0] policy
     /* 1742534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742544 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1742547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1742565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742568 */     // GIR_Coverage, 10933,
     /* 1742568 */     GIR_EraseRootFromParent_Done,
     /* 1742569 */   // Label 23772: @1742569
     /* 1742569 */   GIM_Try, /*On fail goto*//*Label 23773*/ GIMT_Encode4(1742655), // Rule ID 10936 //
     /* 1742574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742620 */     // MIs[0] policy
     /* 1742620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742630 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1742633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742654 */     // GIR_Coverage, 10936,
     /* 1742654 */     GIR_EraseRootFromParent_Done,
     /* 1742655 */   // Label 23773: @1742655
     /* 1742655 */   GIM_Try, /*On fail goto*//*Label 23774*/ GIMT_Encode4(1742741), // Rule ID 10937 //
     /* 1742660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1742671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1742674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1742677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1742683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1742690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1742698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742706 */     // MIs[0] policy
     /* 1742706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742716 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1742719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742740 */     // GIR_Coverage, 10937,
     /* 1742740 */     GIR_EraseRootFromParent_Done,
     /* 1742741 */   // Label 23774: @1742741
     /* 1742741 */   GIM_Try, /*On fail goto*//*Label 23775*/ GIMT_Encode4(1742827), // Rule ID 10940 //
     /* 1742746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742792 */     // MIs[0] policy
     /* 1742792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742802 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1742805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742826 */     // GIR_Coverage, 10940,
     /* 1742826 */     GIR_EraseRootFromParent_Done,
     /* 1742827 */   // Label 23775: @1742827
     /* 1742827 */   GIM_Try, /*On fail goto*//*Label 23776*/ GIMT_Encode4(1742913), // Rule ID 10941 //
     /* 1742832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1742835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1742843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1742846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1742849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1742852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1742855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1742858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1742862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1742870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742878 */     // MIs[0] policy
     /* 1742878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742888 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1742888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1742891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742912 */     // GIR_Coverage, 10941,
     /* 1742912 */     GIR_EraseRootFromParent_Done,
     /* 1742913 */   // Label 23776: @1742913
     /* 1742913 */   GIM_Try, /*On fail goto*//*Label 23777*/ GIMT_Encode4(1742999), // Rule ID 10944 //
     /* 1742918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1742921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1742926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1742929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1742932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1742935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1742938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1742941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1742944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1742948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1742956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1742960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1742964 */     // MIs[0] policy
     /* 1742964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1742967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1742974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1742974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1742977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1742979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1742981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1742983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1742985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1742987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1742992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1742995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1742997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1742998 */     // GIR_Coverage, 10944,
     /* 1742998 */     GIR_EraseRootFromParent_Done,
     /* 1742999 */   // Label 23777: @1742999
     /* 1742999 */   GIM_Try, /*On fail goto*//*Label 23778*/ GIMT_Encode4(1743085), // Rule ID 10945 //
     /* 1743004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1743012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1743015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1743018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1743021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1743027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743050 */     // MIs[0] policy
     /* 1743050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743060 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1743063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1743081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743084 */     // GIR_Coverage, 10945,
     /* 1743084 */     GIR_EraseRootFromParent_Done,
     /* 1743085 */   // Label 23778: @1743085
     /* 1743085 */   GIM_Try, /*On fail goto*//*Label 23779*/ GIMT_Encode4(1743171), // Rule ID 10948 //
     /* 1743090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1743093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1743098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1743101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1743104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1743107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743136 */     // MIs[0] policy
     /* 1743136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743146 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1743149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743170 */     // GIR_Coverage, 10948,
     /* 1743170 */     GIR_EraseRootFromParent_Done,
     /* 1743171 */   // Label 23779: @1743171
     /* 1743171 */   GIM_Try, /*On fail goto*//*Label 23780*/ GIMT_Encode4(1743257), // Rule ID 10949 //
     /* 1743176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1743179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1743184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1743187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1743190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1743193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1743206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1743214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743222 */     // MIs[0] policy
     /* 1743222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743232 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11415:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M2_MASK),
     /* 1743235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743256 */     // GIR_Coverage, 10949,
     /* 1743256 */     GIR_EraseRootFromParent_Done,
     /* 1743257 */   // Label 23780: @1743257
     /* 1743257 */   GIM_Try, /*On fail goto*//*Label 23781*/ GIMT_Encode4(1743343), // Rule ID 10952 //
     /* 1743262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1743265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1743270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1743273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1743276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1743279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743308 */     // MIs[0] policy
     /* 1743308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1743321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743342 */     // GIR_Coverage, 10952,
     /* 1743342 */     GIR_EraseRootFromParent_Done,
     /* 1743343 */   // Label 23781: @1743343
     /* 1743343 */   GIM_Try, /*On fail goto*//*Label 23782*/ GIMT_Encode4(1743429), // Rule ID 10953 //
     /* 1743348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1743351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1743356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1743359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1743362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1743365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1743378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1743386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743394 */     // MIs[0] policy
     /* 1743394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743404 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11415:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M4_MASK),
     /* 1743407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743428 */     // GIR_Coverage, 10953,
     /* 1743428 */     GIR_EraseRootFromParent_Done,
     /* 1743429 */   // Label 23782: @1743429
     /* 1743429 */   GIM_Try, /*On fail goto*//*Label 23783*/ GIMT_Encode4(1743515), // Rule ID 10956 //
     /* 1743434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1743437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1743442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1743445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1743448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1743451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1743454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743480 */     // MIs[0] policy
     /* 1743480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743490 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1743493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743514 */     // GIR_Coverage, 10956,
     /* 1743514 */     GIR_EraseRootFromParent_Done,
     /* 1743515 */   // Label 23783: @1743515
     /* 1743515 */   GIM_Try, /*On fail goto*//*Label 23784*/ GIMT_Encode4(1743601), // Rule ID 10957 //
     /* 1743520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1743523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmax_mask),
     /* 1743528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1743531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1743534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1743537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1743540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1743543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1743550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1743558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1743562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743566 */     // MIs[0] policy
     /* 1743566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743576 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11415:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMAX_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VX_M8_MASK),
     /* 1743579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1743597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743600 */     // GIR_Coverage, 10957,
     /* 1743600 */     GIR_EraseRootFromParent_Done,
     /* 1743601 */   // Label 23784: @1743601
     /* 1743601 */   GIM_Try, /*On fail goto*//*Label 23785*/ GIMT_Encode4(1743687), // Rule ID 10960 //
     /* 1743606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1743626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743652 */     // MIs[0] policy
     /* 1743652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743662 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1743665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743686 */     // GIR_Coverage, 10960,
     /* 1743686 */     GIR_EraseRootFromParent_Done,
     /* 1743687 */   // Label 23785: @1743687
     /* 1743687 */   GIM_Try, /*On fail goto*//*Label 23786*/ GIMT_Encode4(1743773), // Rule ID 10961 //
     /* 1743692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1743703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1743706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1743709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1743712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1743715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743738 */     // MIs[0] policy
     /* 1743738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743748 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF8_MASK),
     /* 1743751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743772 */     // GIR_Coverage, 10961,
     /* 1743772 */     GIR_EraseRootFromParent_Done,
     /* 1743773 */   // Label 23786: @1743773
     /* 1743773 */   GIM_Try, /*On fail goto*//*Label 23787*/ GIMT_Encode4(1743859), // Rule ID 10964 //
     /* 1743778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1743798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743824 */     // MIs[0] policy
     /* 1743824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743834 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1743834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1743837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743858 */     // GIR_Coverage, 10964,
     /* 1743858 */     GIR_EraseRootFromParent_Done,
     /* 1743859 */   // Label 23787: @1743859
     /* 1743859 */   GIM_Try, /*On fail goto*//*Label 23788*/ GIMT_Encode4(1743945), // Rule ID 10965 //
     /* 1743864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1743867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1743875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1743878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1743881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1743884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1743887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1743890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743910 */     // MIs[0] policy
     /* 1743910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1743920 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1743920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1743923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1743925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1743927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1743929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1743931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1743933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1743938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1743941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1743943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1743944 */     // GIR_Coverage, 10965,
     /* 1743944 */     GIR_EraseRootFromParent_Done,
     /* 1743945 */   // Label 23788: @1743945
     /* 1743945 */   GIM_Try, /*On fail goto*//*Label 23789*/ GIMT_Encode4(1744031), // Rule ID 10968 //
     /* 1743950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1743953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1743958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1743961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1743964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1743967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1743970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1743973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1743976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1743980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1743992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1743996 */     // MIs[0] policy
     /* 1743996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1743999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744006 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1744009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744030 */     // GIR_Coverage, 10968,
     /* 1744030 */     GIR_EraseRootFromParent_Done,
     /* 1744031 */   // Label 23789: @1744031
     /* 1744031 */   GIM_Try, /*On fail goto*//*Label 23790*/ GIMT_Encode4(1744117), // Rule ID 10969 //
     /* 1744036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1744047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1744050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1744053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1744056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744082 */     // MIs[0] policy
     /* 1744082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744092 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1744095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744116 */     // GIR_Coverage, 10969,
     /* 1744116 */     GIR_EraseRootFromParent_Done,
     /* 1744117 */   // Label 23790: @1744117
     /* 1744117 */   GIM_Try, /*On fail goto*//*Label 23791*/ GIMT_Encode4(1744203), // Rule ID 10972 //
     /* 1744122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1744133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1744136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1744139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1744142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744168 */     // MIs[0] policy
     /* 1744168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744178 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1744181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744202 */     // GIR_Coverage, 10972,
     /* 1744202 */     GIR_EraseRootFromParent_Done,
     /* 1744203 */   // Label 23791: @1744203
     /* 1744203 */   GIM_Try, /*On fail goto*//*Label 23792*/ GIMT_Encode4(1744289), // Rule ID 10973 //
     /* 1744208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1744219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1744222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1744225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1744228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744254 */     // MIs[0] policy
     /* 1744254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744264 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF4_MASK),
     /* 1744267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744288 */     // GIR_Coverage, 10973,
     /* 1744288 */     GIR_EraseRootFromParent_Done,
     /* 1744289 */   // Label 23792: @1744289
     /* 1744289 */   GIM_Try, /*On fail goto*//*Label 23793*/ GIMT_Encode4(1744375), // Rule ID 10976 //
     /* 1744294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1744305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1744308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1744311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1744314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744340 */     // MIs[0] policy
     /* 1744340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744350 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1744353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744374 */     // GIR_Coverage, 10976,
     /* 1744374 */     GIR_EraseRootFromParent_Done,
     /* 1744375 */   // Label 23793: @1744375
     /* 1744375 */   GIM_Try, /*On fail goto*//*Label 23794*/ GIMT_Encode4(1744461), // Rule ID 10977 //
     /* 1744380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1744391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1744394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1744397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1744400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1744403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744426 */     // MIs[0] policy
     /* 1744426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744436 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1744439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744460 */     // GIR_Coverage, 10977,
     /* 1744460 */     GIR_EraseRootFromParent_Done,
     /* 1744461 */   // Label 23794: @1744461
     /* 1744461 */   GIM_Try, /*On fail goto*//*Label 23795*/ GIMT_Encode4(1744547), // Rule ID 10980 //
     /* 1744466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1744486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744512 */     // MIs[0] policy
     /* 1744512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744522 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1744525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744546 */     // GIR_Coverage, 10980,
     /* 1744546 */     GIR_EraseRootFromParent_Done,
     /* 1744547 */   // Label 23795: @1744547
     /* 1744547 */   GIM_Try, /*On fail goto*//*Label 23796*/ GIMT_Encode4(1744633), // Rule ID 10981 //
     /* 1744552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1744563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1744566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1744569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1744572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1744575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744598 */     // MIs[0] policy
     /* 1744598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_MF2_MASK),
     /* 1744611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1744629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744632 */     // GIR_Coverage, 10981,
     /* 1744632 */     GIR_EraseRootFromParent_Done,
     /* 1744633 */   // Label 23796: @1744633
     /* 1744633 */   GIM_Try, /*On fail goto*//*Label 23797*/ GIMT_Encode4(1744719), // Rule ID 10984 //
     /* 1744638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1744658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744684 */     // MIs[0] policy
     /* 1744684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744694 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1744697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744718 */     // GIR_Coverage, 10984,
     /* 1744718 */     GIR_EraseRootFromParent_Done,
     /* 1744719 */   // Label 23797: @1744719
     /* 1744719 */   GIM_Try, /*On fail goto*//*Label 23798*/ GIMT_Encode4(1744805), // Rule ID 10985 //
     /* 1744724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1744735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1744738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1744741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1744744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1744747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744770 */     // MIs[0] policy
     /* 1744770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744780 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1744783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1744801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744804 */     // GIR_Coverage, 10985,
     /* 1744804 */     GIR_EraseRootFromParent_Done,
     /* 1744805 */   // Label 23798: @1744805
     /* 1744805 */   GIM_Try, /*On fail goto*//*Label 23799*/ GIMT_Encode4(1744891), // Rule ID 10988 //
     /* 1744810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1744830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1744836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744856 */     // MIs[0] policy
     /* 1744856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744866 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1744866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1744869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744890 */     // GIR_Coverage, 10988,
     /* 1744890 */     GIR_EraseRootFromParent_Done,
     /* 1744891 */   // Label 23799: @1744891
     /* 1744891 */   GIM_Try, /*On fail goto*//*Label 23800*/ GIMT_Encode4(1744977), // Rule ID 10989 //
     /* 1744896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1744899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1744907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1744910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1744913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1744916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1744919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1744922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1744926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1744938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1744942 */     // MIs[0] policy
     /* 1744942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1744945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1744952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1744952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1744955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1744957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1744959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1744961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1744963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1744965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1744970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1744973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1744975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1744976 */     // GIR_Coverage, 10989,
     /* 1744976 */     GIR_EraseRootFromParent_Done,
     /* 1744977 */   // Label 23800: @1744977
     /* 1744977 */   GIM_Try, /*On fail goto*//*Label 23801*/ GIMT_Encode4(1745063), // Rule ID 10992 //
     /* 1744982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1744985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1744990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1744993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1744996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1744999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1745002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745028 */     // MIs[0] policy
     /* 1745028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745038 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1745041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745062 */     // GIR_Coverage, 10992,
     /* 1745062 */     GIR_EraseRootFromParent_Done,
     /* 1745063 */   // Label 23801: @1745063
     /* 1745063 */   GIM_Try, /*On fail goto*//*Label 23802*/ GIMT_Encode4(1745149), // Rule ID 10993 //
     /* 1745068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1745079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1745082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1745085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1745088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1745091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745114 */     // MIs[0] policy
     /* 1745114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745124 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1745127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1745145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745148 */     // GIR_Coverage, 10993,
     /* 1745148 */     GIR_EraseRootFromParent_Done,
     /* 1745149 */   // Label 23802: @1745149
     /* 1745149 */   GIM_Try, /*On fail goto*//*Label 23803*/ GIMT_Encode4(1745235), // Rule ID 10996 //
     /* 1745154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1745157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1745165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1745168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1745171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1745174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745200 */     // MIs[0] policy
     /* 1745200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745210 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1745213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1745231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745234 */     // GIR_Coverage, 10996,
     /* 1745234 */     GIR_EraseRootFromParent_Done,
     /* 1745235 */   // Label 23803: @1745235
     /* 1745235 */   GIM_Try, /*On fail goto*//*Label 23804*/ GIMT_Encode4(1745321), // Rule ID 10997 //
     /* 1745240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1745243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1745251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1745254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1745257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1745260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1745263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1745270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1745282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745286 */     // MIs[0] policy
     /* 1745286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745296 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M1_MASK),
     /* 1745299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1745317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745320 */     // GIR_Coverage, 10997,
     /* 1745320 */     GIR_EraseRootFromParent_Done,
     /* 1745321 */   // Label 23804: @1745321
     /* 1745321 */   GIM_Try, /*On fail goto*//*Label 23805*/ GIMT_Encode4(1745407), // Rule ID 11000 //
     /* 1745326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1745337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1745340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1745343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1745346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745372 */     // MIs[0] policy
     /* 1745372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745382 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1745385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745406 */     // GIR_Coverage, 11000,
     /* 1745406 */     GIR_EraseRootFromParent_Done,
     /* 1745407 */   // Label 23805: @1745407
     /* 1745407 */   GIM_Try, /*On fail goto*//*Label 23806*/ GIMT_Encode4(1745493), // Rule ID 11001 //
     /* 1745412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1745423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1745426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1745429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1745432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1745435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745458 */     // MIs[0] policy
     /* 1745458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745468 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1745471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745492 */     // GIR_Coverage, 11001,
     /* 1745492 */     GIR_EraseRootFromParent_Done,
     /* 1745493 */   // Label 23806: @1745493
     /* 1745493 */   GIM_Try, /*On fail goto*//*Label 23807*/ GIMT_Encode4(1745579), // Rule ID 11004 //
     /* 1745498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1745518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745544 */     // MIs[0] policy
     /* 1745544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745554 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1745557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745578 */     // GIR_Coverage, 11004,
     /* 1745578 */     GIR_EraseRootFromParent_Done,
     /* 1745579 */   // Label 23807: @1745579
     /* 1745579 */   GIM_Try, /*On fail goto*//*Label 23808*/ GIMT_Encode4(1745665), // Rule ID 11005 //
     /* 1745584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1745595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1745598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1745601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1745604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1745607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1745614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1745626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745630 */     // MIs[0] policy
     /* 1745630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1745643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745664 */     // GIR_Coverage, 11005,
     /* 1745664 */     GIR_EraseRootFromParent_Done,
     /* 1745665 */   // Label 23808: @1745665
     /* 1745665 */   GIM_Try, /*On fail goto*//*Label 23809*/ GIMT_Encode4(1745751), // Rule ID 11008 //
     /* 1745670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1745690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745716 */     // MIs[0] policy
     /* 1745716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745726 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1745729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745750 */     // GIR_Coverage, 11008,
     /* 1745750 */     GIR_EraseRootFromParent_Done,
     /* 1745751 */   // Label 23809: @1745751
     /* 1745751 */   GIM_Try, /*On fail goto*//*Label 23810*/ GIMT_Encode4(1745837), // Rule ID 11009 //
     /* 1745756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1745767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1745770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1745773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1745776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1745779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1745786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1745798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745802 */     // MIs[0] policy
     /* 1745802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745812 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1745815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1745833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745836 */     // GIR_Coverage, 11009,
     /* 1745836 */     GIR_EraseRootFromParent_Done,
     /* 1745837 */   // Label 23810: @1745837
     /* 1745837 */   GIM_Try, /*On fail goto*//*Label 23811*/ GIMT_Encode4(1745923), // Rule ID 11012 //
     /* 1745842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1745845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1745862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1745868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745888 */     // MIs[0] policy
     /* 1745888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745898 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1745898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1745901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1745916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1745919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1745921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1745922 */     // GIR_Coverage, 11012,
     /* 1745922 */     GIR_EraseRootFromParent_Done,
     /* 1745923 */   // Label 23811: @1745923
     /* 1745923 */   GIM_Try, /*On fail goto*//*Label 23812*/ GIMT_Encode4(1746009), // Rule ID 11013 //
     /* 1745928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1745931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1745936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1745939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1745942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1745945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1745948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1745951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1745954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1745958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1745970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1745974 */     // MIs[0] policy
     /* 1745974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1745977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1745984 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1745984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1745987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1745989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1745991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1745993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1745995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1745997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746008 */     // GIR_Coverage, 11013,
     /* 1746008 */     GIR_EraseRootFromParent_Done,
     /* 1746009 */   // Label 23812: @1746009
     /* 1746009 */   GIM_Try, /*On fail goto*//*Label 23813*/ GIMT_Encode4(1746095), // Rule ID 11016 //
     /* 1746014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1746025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1746028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1746031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1746034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746060 */     // MIs[0] policy
     /* 1746060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746070 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1746073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746094 */     // GIR_Coverage, 11016,
     /* 1746094 */     GIR_EraseRootFromParent_Done,
     /* 1746095 */   // Label 23813: @1746095
     /* 1746095 */   GIM_Try, /*On fail goto*//*Label 23814*/ GIMT_Encode4(1746181), // Rule ID 11017 //
     /* 1746100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1746111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1746114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1746117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1746120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746146 */     // MIs[0] policy
     /* 1746146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746156 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1746159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746180 */     // GIR_Coverage, 11017,
     /* 1746180 */     GIR_EraseRootFromParent_Done,
     /* 1746181 */   // Label 23814: @1746181
     /* 1746181 */   GIM_Try, /*On fail goto*//*Label 23815*/ GIMT_Encode4(1746267), // Rule ID 11020 //
     /* 1746186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1746197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1746200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1746203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1746206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746232 */     // MIs[0] policy
     /* 1746232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746242 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1746245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746266 */     // GIR_Coverage, 11020,
     /* 1746266 */     GIR_EraseRootFromParent_Done,
     /* 1746267 */   // Label 23815: @1746267
     /* 1746267 */   GIM_Try, /*On fail goto*//*Label 23816*/ GIMT_Encode4(1746353), // Rule ID 11021 //
     /* 1746272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1746283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1746286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1746289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1746292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1746295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746318 */     // MIs[0] policy
     /* 1746318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746328 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1746331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1746349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746352 */     // GIR_Coverage, 11021,
     /* 1746352 */     GIR_EraseRootFromParent_Done,
     /* 1746353 */   // Label 23816: @1746353
     /* 1746353 */   GIM_Try, /*On fail goto*//*Label 23817*/ GIMT_Encode4(1746439), // Rule ID 11024 //
     /* 1746358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1746369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1746372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1746375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1746378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746404 */     // MIs[0] policy
     /* 1746404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746414 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1746417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746438 */     // GIR_Coverage, 11024,
     /* 1746438 */     GIR_EraseRootFromParent_Done,
     /* 1746439 */   // Label 23817: @1746439
     /* 1746439 */   GIM_Try, /*On fail goto*//*Label 23818*/ GIMT_Encode4(1746525), // Rule ID 11025 //
     /* 1746444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1746455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1746458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1746461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1746464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1746467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746490 */     // MIs[0] policy
     /* 1746490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746500 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1746503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746524 */     // GIR_Coverage, 11025,
     /* 1746524 */     GIR_EraseRootFromParent_Done,
     /* 1746525 */   // Label 23818: @1746525
     /* 1746525 */   GIM_Try, /*On fail goto*//*Label 23819*/ GIMT_Encode4(1746611), // Rule ID 11028 //
     /* 1746530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1746550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746576 */     // MIs[0] policy
     /* 1746576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746586 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1746589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746610 */     // GIR_Coverage, 11028,
     /* 1746610 */     GIR_EraseRootFromParent_Done,
     /* 1746611 */   // Label 23819: @1746611
     /* 1746611 */   GIM_Try, /*On fail goto*//*Label 23820*/ GIMT_Encode4(1746697), // Rule ID 11029 //
     /* 1746616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1746627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1746630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1746633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1746636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1746639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1746646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1746658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746662 */     // MIs[0] policy
     /* 1746662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746672 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1746675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746696 */     // GIR_Coverage, 11029,
     /* 1746696 */     GIR_EraseRootFromParent_Done,
     /* 1746697 */   // Label 23820: @1746697
     /* 1746697 */   GIM_Try, /*On fail goto*//*Label 23821*/ GIMT_Encode4(1746783), // Rule ID 11032 //
     /* 1746702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1746705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1746722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746748 */     // MIs[0] policy
     /* 1746748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746758 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1746761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746782 */     // GIR_Coverage, 11032,
     /* 1746782 */     GIR_EraseRootFromParent_Done,
     /* 1746783 */   // Label 23821: @1746783
     /* 1746783 */   GIM_Try, /*On fail goto*//*Label 23822*/ GIMT_Encode4(1746869), // Rule ID 11033 //
     /* 1746788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1746791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1746799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1746802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1746805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1746808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1746811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1746818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1746830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746834 */     // MIs[0] policy
     /* 1746834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746844 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1746844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1746847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1746865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746868 */     // GIR_Coverage, 11033,
     /* 1746868 */     GIR_EraseRootFromParent_Done,
     /* 1746869 */   // Label 23822: @1746869
     /* 1746869 */   GIM_Try, /*On fail goto*//*Label 23823*/ GIMT_Encode4(1746955), // Rule ID 11036 //
     /* 1746874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1746877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1746885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1746888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1746891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1746894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1746900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1746920 */     // MIs[0] policy
     /* 1746920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1746923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1746930 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1746930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1746933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1746935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1746937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1746939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1746941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1746943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1746948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1746951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1746953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1746954 */     // GIR_Coverage, 11036,
     /* 1746954 */     GIR_EraseRootFromParent_Done,
     /* 1746955 */   // Label 23823: @1746955
     /* 1746955 */   GIM_Try, /*On fail goto*//*Label 23824*/ GIMT_Encode4(1747041), // Rule ID 11037 //
     /* 1746960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1746963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1746968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1746971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1746974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1746977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1746980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1746983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1746986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1746990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1746998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1747002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747006 */     // MIs[0] policy
     /* 1747006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747016 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M2_MASK),
     /* 1747019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1747037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747040 */     // GIR_Coverage, 11037,
     /* 1747040 */     GIR_EraseRootFromParent_Done,
     /* 1747041 */   // Label 23824: @1747041
     /* 1747041 */   GIM_Try, /*On fail goto*//*Label 23825*/ GIMT_Encode4(1747127), // Rule ID 11040 //
     /* 1747046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1747049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1747057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1747060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1747063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1747066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747092 */     // MIs[0] policy
     /* 1747092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747102 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1747105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1747123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747126 */     // GIR_Coverage, 11040,
     /* 1747126 */     GIR_EraseRootFromParent_Done,
     /* 1747127 */   // Label 23825: @1747127
     /* 1747127 */   GIM_Try, /*On fail goto*//*Label 23826*/ GIMT_Encode4(1747213), // Rule ID 11041 //
     /* 1747132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1747135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1747143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1747146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1747149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1747152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1747162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1747174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747178 */     // MIs[0] policy
     /* 1747178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747188 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M4_MASK),
     /* 1747191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1747209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747212 */     // GIR_Coverage, 11041,
     /* 1747212 */     GIR_EraseRootFromParent_Done,
     /* 1747213 */   // Label 23826: @1747213
     /* 1747213 */   GIM_Try, /*On fail goto*//*Label 23827*/ GIMT_Encode4(1747299), // Rule ID 11044 //
     /* 1747218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1747221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1747229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1747232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1747235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1747238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747264 */     // MIs[0] policy
     /* 1747264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747274 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1747277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1747295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747298 */     // GIR_Coverage, 11044,
     /* 1747298 */     GIR_EraseRootFromParent_Done,
     /* 1747299 */   // Label 23827: @1747299
     /* 1747299 */   GIM_Try, /*On fail goto*//*Label 23828*/ GIMT_Encode4(1747385), // Rule ID 11045 //
     /* 1747304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1747307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1747315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1747318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1747321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1747324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1747327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1747334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1747346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747350 */     // MIs[0] policy
     /* 1747350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747360 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VV_M8_MASK),
     /* 1747363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1747381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747384 */     // GIR_Coverage, 11045,
     /* 1747384 */     GIR_EraseRootFromParent_Done,
     /* 1747385 */   // Label 23828: @1747385
     /* 1747385 */   GIM_Try, /*On fail goto*//*Label 23829*/ GIMT_Encode4(1747471), // Rule ID 11048 //
     /* 1747390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1747401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1747404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1747407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1747410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747436 */     // MIs[0] policy
     /* 1747436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747446 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1747449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747470 */     // GIR_Coverage, 11048,
     /* 1747470 */     GIR_EraseRootFromParent_Done,
     /* 1747471 */   // Label 23829: @1747471
     /* 1747471 */   GIM_Try, /*On fail goto*//*Label 23830*/ GIMT_Encode4(1747557), // Rule ID 11049 //
     /* 1747476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1747487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1747490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1747493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1747496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747522 */     // MIs[0] policy
     /* 1747522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747532 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF8_MASK),
     /* 1747535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747556 */     // GIR_Coverage, 11049,
     /* 1747556 */     GIR_EraseRootFromParent_Done,
     /* 1747557 */   // Label 23830: @1747557
     /* 1747557 */   GIM_Try, /*On fail goto*//*Label 23831*/ GIMT_Encode4(1747643), // Rule ID 11052 //
     /* 1747562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1747573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1747576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1747579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1747582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747608 */     // MIs[0] policy
     /* 1747608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747618 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1747621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747642 */     // GIR_Coverage, 11052,
     /* 1747642 */     GIR_EraseRootFromParent_Done,
     /* 1747643 */   // Label 23831: @1747643
     /* 1747643 */   GIM_Try, /*On fail goto*//*Label 23832*/ GIMT_Encode4(1747729), // Rule ID 11053 //
     /* 1747648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1747659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1747662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1747665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1747668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1747671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747694 */     // MIs[0] policy
     /* 1747694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747704 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1747707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747728 */     // GIR_Coverage, 11053,
     /* 1747728 */     GIR_EraseRootFromParent_Done,
     /* 1747729 */   // Label 23832: @1747729
     /* 1747729 */   GIM_Try, /*On fail goto*//*Label 23833*/ GIMT_Encode4(1747815), // Rule ID 11056 //
     /* 1747734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1747745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1747748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1747751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1747754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747780 */     // MIs[0] policy
     /* 1747780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747790 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1747793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747814 */     // GIR_Coverage, 11056,
     /* 1747814 */     GIR_EraseRootFromParent_Done,
     /* 1747815 */   // Label 23833: @1747815
     /* 1747815 */   GIM_Try, /*On fail goto*//*Label 23834*/ GIMT_Encode4(1747901), // Rule ID 11057 //
     /* 1747820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1747831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1747834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1747837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1747840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1747843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1747846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747866 */     // MIs[0] policy
     /* 1747866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747876 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1747876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1747879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1747897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747900 */     // GIR_Coverage, 11057,
     /* 1747900 */     GIR_EraseRootFromParent_Done,
     /* 1747901 */   // Label 23834: @1747901
     /* 1747901 */   GIM_Try, /*On fail goto*//*Label 23835*/ GIMT_Encode4(1747987), // Rule ID 11060 //
     /* 1747906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1747909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1747914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1747917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1747920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1747923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1747926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1747929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1747932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1747936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1747944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1747948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1747952 */     // MIs[0] policy
     /* 1747952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1747955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1747962 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1747962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1747965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1747967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1747969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1747971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1747973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1747975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1747980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1747983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1747985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1747986 */     // GIR_Coverage, 11060,
     /* 1747986 */     GIR_EraseRootFromParent_Done,
     /* 1747987 */   // Label 23835: @1747987
     /* 1747987 */   GIM_Try, /*On fail goto*//*Label 23836*/ GIMT_Encode4(1748073), // Rule ID 11061 //
     /* 1747992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1747995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1748003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1748006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1748009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748038 */     // MIs[0] policy
     /* 1748038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748048 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF4_MASK),
     /* 1748051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748072 */     // GIR_Coverage, 11061,
     /* 1748072 */     GIR_EraseRootFromParent_Done,
     /* 1748073 */   // Label 23836: @1748073
     /* 1748073 */   GIM_Try, /*On fail goto*//*Label 23837*/ GIMT_Encode4(1748159), // Rule ID 11064 //
     /* 1748078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1748089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1748092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1748095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748124 */     // MIs[0] policy
     /* 1748124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748134 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1748137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748158 */     // GIR_Coverage, 11064,
     /* 1748158 */     GIR_EraseRootFromParent_Done,
     /* 1748159 */   // Label 23837: @1748159
     /* 1748159 */   GIM_Try, /*On fail goto*//*Label 23838*/ GIMT_Encode4(1748245), // Rule ID 11065 //
     /* 1748164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1748175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1748178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1748181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748210 */     // MIs[0] policy
     /* 1748210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1748223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748244 */     // GIR_Coverage, 11065,
     /* 1748244 */     GIR_EraseRootFromParent_Done,
     /* 1748245 */   // Label 23838: @1748245
     /* 1748245 */   GIM_Try, /*On fail goto*//*Label 23839*/ GIMT_Encode4(1748331), // Rule ID 11068 //
     /* 1748250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1748261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1748264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1748267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748296 */     // MIs[0] policy
     /* 1748296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748306 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1748309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748330 */     // GIR_Coverage, 11068,
     /* 1748330 */     GIR_EraseRootFromParent_Done,
     /* 1748331 */   // Label 23839: @1748331
     /* 1748331 */   GIM_Try, /*On fail goto*//*Label 23840*/ GIMT_Encode4(1748417), // Rule ID 11069 //
     /* 1748336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1748347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1748350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1748353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748382 */     // MIs[0] policy
     /* 1748382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748392 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_MF2_MASK),
     /* 1748395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748416 */     // GIR_Coverage, 11069,
     /* 1748416 */     GIR_EraseRootFromParent_Done,
     /* 1748417 */   // Label 23840: @1748417
     /* 1748417 */   GIM_Try, /*On fail goto*//*Label 23841*/ GIMT_Encode4(1748503), // Rule ID 11072 //
     /* 1748422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1748433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1748436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1748439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748468 */     // MIs[0] policy
     /* 1748468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748478 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1748481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748502 */     // GIR_Coverage, 11072,
     /* 1748502 */     GIR_EraseRootFromParent_Done,
     /* 1748503 */   // Label 23841: @1748503
     /* 1748503 */   GIM_Try, /*On fail goto*//*Label 23842*/ GIMT_Encode4(1748589), // Rule ID 11073 //
     /* 1748508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1748519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1748522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1748525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1748531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748554 */     // MIs[0] policy
     /* 1748554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748564 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11470:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1748567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1748585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748588 */     // GIR_Coverage, 11073,
     /* 1748588 */     GIR_EraseRootFromParent_Done,
     /* 1748589 */   // Label 23842: @1748589
     /* 1748589 */   GIM_Try, /*On fail goto*//*Label 23843*/ GIMT_Encode4(1748675), // Rule ID 11076 //
     /* 1748594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1748605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1748608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1748611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748640 */     // MIs[0] policy
     /* 1748640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748650 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1748653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748674 */     // GIR_Coverage, 11076,
     /* 1748674 */     GIR_EraseRootFromParent_Done,
     /* 1748675 */   // Label 23843: @1748675
     /* 1748675 */   GIM_Try, /*On fail goto*//*Label 23844*/ GIMT_Encode4(1748761), // Rule ID 11077 //
     /* 1748680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1748691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1748694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1748697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1748703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748726 */     // MIs[0] policy
     /* 1748726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748736 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11470:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1748739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1748757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748760 */     // GIR_Coverage, 11077,
     /* 1748760 */     GIR_EraseRootFromParent_Done,
     /* 1748761 */   // Label 23844: @1748761
     /* 1748761 */   GIM_Try, /*On fail goto*//*Label 23845*/ GIMT_Encode4(1748847), // Rule ID 11080 //
     /* 1748766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1748769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1748777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1748780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1748783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748812 */     // MIs[0] policy
     /* 1748812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748822 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1748825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748846 */     // GIR_Coverage, 11080,
     /* 1748846 */     GIR_EraseRootFromParent_Done,
     /* 1748847 */   // Label 23845: @1748847
     /* 1748847 */   GIM_Try, /*On fail goto*//*Label 23846*/ GIMT_Encode4(1748933), // Rule ID 11081 //
     /* 1748852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1748855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1748863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1748866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1748869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1748872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1748875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1748878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748898 */     // MIs[0] policy
     /* 1748898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748908 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11470:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1748908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1748911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1748915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1748917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1748919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1748921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1748926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1748929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1748931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1748932 */     // GIR_Coverage, 11081,
     /* 1748932 */     GIR_EraseRootFromParent_Done,
     /* 1748933 */   // Label 23846: @1748933
     /* 1748933 */   GIM_Try, /*On fail goto*//*Label 23847*/ GIMT_Encode4(1749019), // Rule ID 11084 //
     /* 1748938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1748941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1748946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1748949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1748952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1748955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1748958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1748961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1748964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1748968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1748976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1748980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1748984 */     // MIs[0] policy
     /* 1748984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1748987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1748994 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1748994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1748997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1748999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1749015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749018 */     // GIR_Coverage, 11084,
     /* 1749018 */     GIR_EraseRootFromParent_Done,
     /* 1749019 */   // Label 23847: @1749019
     /* 1749019 */   GIM_Try, /*On fail goto*//*Label 23848*/ GIMT_Encode4(1749105), // Rule ID 11085 //
     /* 1749024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1749027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1749035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1749038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1749041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1749047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1749054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1749062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749070 */     // MIs[0] policy
     /* 1749070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749080 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11470:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M1_MASK),
     /* 1749083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1749101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749104 */     // GIR_Coverage, 11085,
     /* 1749104 */     GIR_EraseRootFromParent_Done,
     /* 1749105 */   // Label 23848: @1749105
     /* 1749105 */   GIM_Try, /*On fail goto*//*Label 23849*/ GIMT_Encode4(1749191), // Rule ID 11088 //
     /* 1749110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1749121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1749124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1749127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749156 */     // MIs[0] policy
     /* 1749156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749166 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1749169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749190 */     // GIR_Coverage, 11088,
     /* 1749190 */     GIR_EraseRootFromParent_Done,
     /* 1749191 */   // Label 23849: @1749191
     /* 1749191 */   GIM_Try, /*On fail goto*//*Label 23850*/ GIMT_Encode4(1749277), // Rule ID 11089 //
     /* 1749196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1749207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1749210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1749213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749242 */     // MIs[0] policy
     /* 1749242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749252 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1749255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749276 */     // GIR_Coverage, 11089,
     /* 1749276 */     GIR_EraseRootFromParent_Done,
     /* 1749277 */   // Label 23850: @1749277
     /* 1749277 */   GIM_Try, /*On fail goto*//*Label 23851*/ GIMT_Encode4(1749363), // Rule ID 11092 //
     /* 1749282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1749293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1749296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1749299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749328 */     // MIs[0] policy
     /* 1749328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749338 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1749341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749362 */     // GIR_Coverage, 11092,
     /* 1749362 */     GIR_EraseRootFromParent_Done,
     /* 1749363 */   // Label 23851: @1749363
     /* 1749363 */   GIM_Try, /*On fail goto*//*Label 23852*/ GIMT_Encode4(1749449), // Rule ID 11093 //
     /* 1749368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1749379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1749382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1749385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749414 */     // MIs[0] policy
     /* 1749414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749424 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1749427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749448 */     // GIR_Coverage, 11093,
     /* 1749448 */     GIR_EraseRootFromParent_Done,
     /* 1749449 */   // Label 23852: @1749449
     /* 1749449 */   GIM_Try, /*On fail goto*//*Label 23853*/ GIMT_Encode4(1749535), // Rule ID 11096 //
     /* 1749454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1749465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1749468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1749471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1749477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749500 */     // MIs[0] policy
     /* 1749500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749510 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1749513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749534 */     // GIR_Coverage, 11096,
     /* 1749534 */     GIR_EraseRootFromParent_Done,
     /* 1749535 */   // Label 23853: @1749535
     /* 1749535 */   GIM_Try, /*On fail goto*//*Label 23854*/ GIMT_Encode4(1749621), // Rule ID 11097 //
     /* 1749540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1749551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1749554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1749557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1749563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1749570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1749578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749586 */     // MIs[0] policy
     /* 1749586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749596 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1749599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1749617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749620 */     // GIR_Coverage, 11097,
     /* 1749620 */     GIR_EraseRootFromParent_Done,
     /* 1749621 */   // Label 23854: @1749621
     /* 1749621 */   GIM_Try, /*On fail goto*//*Label 23855*/ GIMT_Encode4(1749707), // Rule ID 11100 //
     /* 1749626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1749637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1749640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1749643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749672 */     // MIs[0] policy
     /* 1749672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1749685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749706 */     // GIR_Coverage, 11100,
     /* 1749706 */     GIR_EraseRootFromParent_Done,
     /* 1749707 */   // Label 23855: @1749707
     /* 1749707 */   GIM_Try, /*On fail goto*//*Label 23856*/ GIMT_Encode4(1749793), // Rule ID 11101 //
     /* 1749712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1749723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1749726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1749729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1749735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1749742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1749750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749758 */     // MIs[0] policy
     /* 1749758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749768 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1749771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749792 */     // GIR_Coverage, 11101,
     /* 1749792 */     GIR_EraseRootFromParent_Done,
     /* 1749793 */   // Label 23856: @1749793
     /* 1749793 */   GIM_Try, /*On fail goto*//*Label 23857*/ GIMT_Encode4(1749879), // Rule ID 11104 //
     /* 1749798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1749809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1749812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1749815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749844 */     // MIs[0] policy
     /* 1749844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749854 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1749854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1749857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749878 */     // GIR_Coverage, 11104,
     /* 1749878 */     GIR_EraseRootFromParent_Done,
     /* 1749879 */   // Label 23857: @1749879
     /* 1749879 */   GIM_Try, /*On fail goto*//*Label 23858*/ GIMT_Encode4(1749965), // Rule ID 11105 //
     /* 1749884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1749887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1749895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1749898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1749901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1749904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1749907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1749910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1749914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1749922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1749926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1749930 */     // MIs[0] policy
     /* 1749930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1749933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1749940 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1749940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1749943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1749945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1749947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1749949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1749951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1749953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1749958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1749961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1749963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1749964 */     // GIR_Coverage, 11105,
     /* 1749964 */     GIR_EraseRootFromParent_Done,
     /* 1749965 */   // Label 23858: @1749965
     /* 1749965 */   GIM_Try, /*On fail goto*//*Label 23859*/ GIMT_Encode4(1750051), // Rule ID 11108 //
     /* 1749970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1749973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1749978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1749981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1749984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1749987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1749990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1749993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1749996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750016 */     // MIs[0] policy
     /* 1750016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750026 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1750029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750050 */     // GIR_Coverage, 11108,
     /* 1750050 */     GIR_EraseRootFromParent_Done,
     /* 1750051 */   // Label 23859: @1750051
     /* 1750051 */   GIM_Try, /*On fail goto*//*Label 23860*/ GIMT_Encode4(1750137), // Rule ID 11109 //
     /* 1750056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1750067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1750070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1750073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1750079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750102 */     // MIs[0] policy
     /* 1750102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750112 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1750115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1750133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750136 */     // GIR_Coverage, 11109,
     /* 1750136 */     GIR_EraseRootFromParent_Done,
     /* 1750137 */   // Label 23860: @1750137
     /* 1750137 */   GIM_Try, /*On fail goto*//*Label 23861*/ GIMT_Encode4(1750223), // Rule ID 11112 //
     /* 1750142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1750153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1750156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1750159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750188 */     // MIs[0] policy
     /* 1750188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750198 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1750201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750222 */     // GIR_Coverage, 11112,
     /* 1750222 */     GIR_EraseRootFromParent_Done,
     /* 1750223 */   // Label 23861: @1750223
     /* 1750223 */   GIM_Try, /*On fail goto*//*Label 23862*/ GIMT_Encode4(1750309), // Rule ID 11113 //
     /* 1750228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1750239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1750242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1750245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750274 */     // MIs[0] policy
     /* 1750274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750284 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1750287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750308 */     // GIR_Coverage, 11113,
     /* 1750308 */     GIR_EraseRootFromParent_Done,
     /* 1750309 */   // Label 23862: @1750309
     /* 1750309 */   GIM_Try, /*On fail goto*//*Label 23863*/ GIMT_Encode4(1750395), // Rule ID 11116 //
     /* 1750314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1750325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1750328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1750331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750360 */     // MIs[0] policy
     /* 1750360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750370 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1750373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750394 */     // GIR_Coverage, 11116,
     /* 1750394 */     GIR_EraseRootFromParent_Done,
     /* 1750395 */   // Label 23863: @1750395
     /* 1750395 */   GIM_Try, /*On fail goto*//*Label 23864*/ GIMT_Encode4(1750481), // Rule ID 11117 //
     /* 1750400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1750411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1750414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1750417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1750423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750446 */     // MIs[0] policy
     /* 1750446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750456 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1750459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750480 */     // GIR_Coverage, 11117,
     /* 1750480 */     GIR_EraseRootFromParent_Done,
     /* 1750481 */   // Label 23864: @1750481
     /* 1750481 */   GIM_Try, /*On fail goto*//*Label 23865*/ GIMT_Encode4(1750567), // Rule ID 11120 //
     /* 1750486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1750489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1750503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750532 */     // MIs[0] policy
     /* 1750532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750542 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1750545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750566 */     // GIR_Coverage, 11120,
     /* 1750566 */     GIR_EraseRootFromParent_Done,
     /* 1750567 */   // Label 23865: @1750567
     /* 1750567 */   GIM_Try, /*On fail goto*//*Label 23866*/ GIMT_Encode4(1750653), // Rule ID 11121 //
     /* 1750572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1750575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1750583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1750586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1750589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1750595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1750602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1750610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750618 */     // MIs[0] policy
     /* 1750618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750628 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1750631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1750649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750652 */     // GIR_Coverage, 11121,
     /* 1750652 */     GIR_EraseRootFromParent_Done,
     /* 1750653 */   // Label 23866: @1750653
     /* 1750653 */   GIM_Try, /*On fail goto*//*Label 23867*/ GIMT_Encode4(1750739), // Rule ID 11124 //
     /* 1750658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1750661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1750669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1750672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1750675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750704 */     // MIs[0] policy
     /* 1750704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750714 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1750717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1750735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750738 */     // GIR_Coverage, 11124,
     /* 1750738 */     GIR_EraseRootFromParent_Done,
     /* 1750739 */   // Label 23867: @1750739
     /* 1750739 */   GIM_Try, /*On fail goto*//*Label 23868*/ GIMT_Encode4(1750825), // Rule ID 11125 //
     /* 1750744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1750747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1750755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1750758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1750761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1750767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1750774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1750782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750790 */     // MIs[0] policy
     /* 1750790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750800 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11470:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M2_MASK),
     /* 1750803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1750821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750824 */     // GIR_Coverage, 11125,
     /* 1750824 */     GIR_EraseRootFromParent_Done,
     /* 1750825 */   // Label 23868: @1750825
     /* 1750825 */   GIM_Try, /*On fail goto*//*Label 23869*/ GIMT_Encode4(1750911), // Rule ID 11128 //
     /* 1750830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1750833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1750841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1750844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1750847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1750850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1750856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750876 */     // MIs[0] policy
     /* 1750876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750886 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1750886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1750889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1750907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750910 */     // GIR_Coverage, 11128,
     /* 1750910 */     GIR_EraseRootFromParent_Done,
     /* 1750911 */   // Label 23869: @1750911
     /* 1750911 */   GIM_Try, /*On fail goto*//*Label 23870*/ GIMT_Encode4(1750997), // Rule ID 11129 //
     /* 1750916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1750919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1750924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1750927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1750930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1750933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1750936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1750939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1750942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1750946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1750954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1750958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1750962 */     // MIs[0] policy
     /* 1750962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1750965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1750972 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11470:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1750972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M4_MASK),
     /* 1750975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1750977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1750979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1750981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1750983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1750985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1750990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1750993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1750995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1750996 */     // GIR_Coverage, 11129,
     /* 1750996 */     GIR_EraseRootFromParent_Done,
     /* 1750997 */   // Label 23870: @1750997
     /* 1750997 */   GIM_Try, /*On fail goto*//*Label 23871*/ GIMT_Encode4(1751083), // Rule ID 11132 //
     /* 1751002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1751005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1751010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1751013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1751016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1751019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1751022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751048 */     // MIs[0] policy
     /* 1751048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751058 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1751061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1751079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751082 */     // GIR_Coverage, 11132,
     /* 1751082 */     GIR_EraseRootFromParent_Done,
     /* 1751083 */   // Label 23871: @1751083
     /* 1751083 */   GIM_Try, /*On fail goto*//*Label 23872*/ GIMT_Encode4(1751169), // Rule ID 11133 //
     /* 1751088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1751091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmul_mask),
     /* 1751096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1751099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1751102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1751105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1751108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1751111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1751118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1751126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1751130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751134 */     // MIs[0] policy
     /* 1751134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751144 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11470:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMUL_VX_M8_MASK),
     /* 1751147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1751165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751168 */     // GIR_Coverage, 11133,
     /* 1751168 */     GIR_EraseRootFromParent_Done,
     /* 1751169 */   // Label 23872: @1751169
     /* 1751169 */   GIM_Try, /*On fail goto*//*Label 23873*/ GIMT_Encode4(1751255), // Rule ID 11136 //
     /* 1751174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1751185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1751188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1751191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1751194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751220 */     // MIs[0] policy
     /* 1751220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751230 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1751233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751254 */     // GIR_Coverage, 11136,
     /* 1751254 */     GIR_EraseRootFromParent_Done,
     /* 1751255 */   // Label 23873: @1751255
     /* 1751255 */   GIM_Try, /*On fail goto*//*Label 23874*/ GIMT_Encode4(1751341), // Rule ID 11137 //
     /* 1751260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1751271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1751274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1751277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1751280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751306 */     // MIs[0] policy
     /* 1751306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751316 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8_MASK),
     /* 1751319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751340 */     // GIR_Coverage, 11137,
     /* 1751340 */     GIR_EraseRootFromParent_Done,
     /* 1751341 */   // Label 23874: @1751341
     /* 1751341 */   GIM_Try, /*On fail goto*//*Label 23875*/ GIMT_Encode4(1751427), // Rule ID 11140 //
     /* 1751346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1751357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1751360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1751363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1751366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751392 */     // MIs[0] policy
     /* 1751392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751402 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1751405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751426 */     // GIR_Coverage, 11140,
     /* 1751426 */     GIR_EraseRootFromParent_Done,
     /* 1751427 */   // Label 23875: @1751427
     /* 1751427 */   GIM_Try, /*On fail goto*//*Label 23876*/ GIMT_Encode4(1751513), // Rule ID 11141 //
     /* 1751432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1751443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1751446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1751449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1751452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751478 */     // MIs[0] policy
     /* 1751478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751488 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1751491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751512 */     // GIR_Coverage, 11141,
     /* 1751512 */     GIR_EraseRootFromParent_Done,
     /* 1751513 */   // Label 23876: @1751513
     /* 1751513 */   GIM_Try, /*On fail goto*//*Label 23877*/ GIMT_Encode4(1751599), // Rule ID 11144 //
     /* 1751518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1751529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1751532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1751535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1751538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751564 */     // MIs[0] policy
     /* 1751564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751574 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1751577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751598 */     // GIR_Coverage, 11144,
     /* 1751598 */     GIR_EraseRootFromParent_Done,
     /* 1751599 */   // Label 23877: @1751599
     /* 1751599 */   GIM_Try, /*On fail goto*//*Label 23878*/ GIMT_Encode4(1751685), // Rule ID 11145 //
     /* 1751604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1751615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1751618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1751621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1751624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1751627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751650 */     // MIs[0] policy
     /* 1751650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751660 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1751663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1751681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751684 */     // GIR_Coverage, 11145,
     /* 1751684 */     GIR_EraseRootFromParent_Done,
     /* 1751685 */   // Label 23878: @1751685
     /* 1751685 */   GIM_Try, /*On fail goto*//*Label 23879*/ GIMT_Encode4(1751771), // Rule ID 11148 //
     /* 1751690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1751701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1751704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1751707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1751710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751736 */     // MIs[0] policy
     /* 1751736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751746 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1751749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751770 */     // GIR_Coverage, 11148,
     /* 1751770 */     GIR_EraseRootFromParent_Done,
     /* 1751771 */   // Label 23879: @1751771
     /* 1751771 */   GIM_Try, /*On fail goto*//*Label 23880*/ GIMT_Encode4(1751857), // Rule ID 11149 //
     /* 1751776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1751787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1751790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1751793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1751796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1751799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751822 */     // MIs[0] policy
     /* 1751822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751832 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1751832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4_MASK),
     /* 1751835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751856 */     // GIR_Coverage, 11149,
     /* 1751856 */     GIR_EraseRootFromParent_Done,
     /* 1751857 */   // Label 23880: @1751857
     /* 1751857 */   GIM_Try, /*On fail goto*//*Label 23881*/ GIMT_Encode4(1751943), // Rule ID 11152 //
     /* 1751862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1751865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1751873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1751876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1751879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1751882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1751888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751908 */     // MIs[0] policy
     /* 1751908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1751918 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1751918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1751921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1751923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1751925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1751927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1751929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1751931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1751936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1751939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1751941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1751942 */     // GIR_Coverage, 11152,
     /* 1751942 */     GIR_EraseRootFromParent_Done,
     /* 1751943 */   // Label 23881: @1751943
     /* 1751943 */   GIM_Try, /*On fail goto*//*Label 23882*/ GIMT_Encode4(1752029), // Rule ID 11153 //
     /* 1751948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1751951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1751956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1751959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1751962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1751965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1751968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1751971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1751974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1751978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1751990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1751994 */     // MIs[0] policy
     /* 1751994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1751997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752004 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1752007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752028 */     // GIR_Coverage, 11153,
     /* 1752028 */     GIR_EraseRootFromParent_Done,
     /* 1752029 */   // Label 23882: @1752029
     /* 1752029 */   GIM_Try, /*On fail goto*//*Label 23883*/ GIMT_Encode4(1752115), // Rule ID 11156 //
     /* 1752034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1752045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1752048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1752051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1752054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752080 */     // MIs[0] policy
     /* 1752080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752090 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1752093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752114 */     // GIR_Coverage, 11156,
     /* 1752114 */     GIR_EraseRootFromParent_Done,
     /* 1752115 */   // Label 23883: @1752115
     /* 1752115 */   GIM_Try, /*On fail goto*//*Label 23884*/ GIMT_Encode4(1752201), // Rule ID 11157 //
     /* 1752120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1752131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1752134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1752137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1752140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1752143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752166 */     // MIs[0] policy
     /* 1752166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752176 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2_MASK),
     /* 1752179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752200 */     // GIR_Coverage, 11157,
     /* 1752200 */     GIR_EraseRootFromParent_Done,
     /* 1752201 */   // Label 23884: @1752201
     /* 1752201 */   GIM_Try, /*On fail goto*//*Label 23885*/ GIMT_Encode4(1752287), // Rule ID 11160 //
     /* 1752206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1752217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1752220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1752223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1752226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752252 */     // MIs[0] policy
     /* 1752252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752262 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1752265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752286 */     // GIR_Coverage, 11160,
     /* 1752286 */     GIR_EraseRootFromParent_Done,
     /* 1752287 */   // Label 23885: @1752287
     /* 1752287 */   GIM_Try, /*On fail goto*//*Label 23886*/ GIMT_Encode4(1752373), // Rule ID 11161 //
     /* 1752292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1752303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1752306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1752309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1752312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1752315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752338 */     // MIs[0] policy
     /* 1752338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752348 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1752351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752372 */     // GIR_Coverage, 11161,
     /* 1752372 */     GIR_EraseRootFromParent_Done,
     /* 1752373 */   // Label 23886: @1752373
     /* 1752373 */   GIM_Try, /*On fail goto*//*Label 23887*/ GIMT_Encode4(1752459), // Rule ID 11164 //
     /* 1752378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1752389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1752392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1752395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1752398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752424 */     // MIs[0] policy
     /* 1752424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752434 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1752437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752458 */     // GIR_Coverage, 11164,
     /* 1752458 */     GIR_EraseRootFromParent_Done,
     /* 1752459 */   // Label 23887: @1752459
     /* 1752459 */   GIM_Try, /*On fail goto*//*Label 23888*/ GIMT_Encode4(1752545), // Rule ID 11165 //
     /* 1752464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1752475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1752478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1752481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1752484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1752487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752510 */     // MIs[0] policy
     /* 1752510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752520 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1752523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1752541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752544 */     // GIR_Coverage, 11165,
     /* 1752544 */     GIR_EraseRootFromParent_Done,
     /* 1752545 */   // Label 23888: @1752545
     /* 1752545 */   GIM_Try, /*On fail goto*//*Label 23889*/ GIMT_Encode4(1752631), // Rule ID 11168 //
     /* 1752550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1752561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1752564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1752567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1752570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752596 */     // MIs[0] policy
     /* 1752596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752606 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1752609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752630 */     // GIR_Coverage, 11168,
     /* 1752630 */     GIR_EraseRootFromParent_Done,
     /* 1752631 */   // Label 23889: @1752631
     /* 1752631 */   GIM_Try, /*On fail goto*//*Label 23890*/ GIMT_Encode4(1752717), // Rule ID 11169 //
     /* 1752636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1752647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1752650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1752653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1752656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1752659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1752666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1752678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752682 */     // MIs[0] policy
     /* 1752682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752692 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1752695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1752713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752716 */     // GIR_Coverage, 11169,
     /* 1752716 */     GIR_EraseRootFromParent_Done,
     /* 1752717 */   // Label 23890: @1752717
     /* 1752717 */   GIM_Try, /*On fail goto*//*Label 23891*/ GIMT_Encode4(1752803), // Rule ID 11172 //
     /* 1752722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1752733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1752736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1752739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1752742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752768 */     // MIs[0] policy
     /* 1752768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752778 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1752781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752802 */     // GIR_Coverage, 11172,
     /* 1752802 */     GIR_EraseRootFromParent_Done,
     /* 1752803 */   // Label 23891: @1752803
     /* 1752803 */   GIM_Try, /*On fail goto*//*Label 23892*/ GIMT_Encode4(1752889), // Rule ID 11173 //
     /* 1752808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1752819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1752822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1752825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1752828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1752831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1752834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1752838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1752850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752854 */     // MIs[0] policy
     /* 1752854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752864 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1752864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1752867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752888 */     // GIR_Coverage, 11173,
     /* 1752888 */     GIR_EraseRootFromParent_Done,
     /* 1752889 */   // Label 23892: @1752889
     /* 1752889 */   GIM_Try, /*On fail goto*//*Label 23893*/ GIMT_Encode4(1752975), // Rule ID 11176 //
     /* 1752894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1752897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1752905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1752908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1752911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1752914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1752917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1752920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1752924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1752936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1752940 */     // MIs[0] policy
     /* 1752940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1752943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1752950 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1752950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1752953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1752955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1752957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1752959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1752961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1752963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1752968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1752971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1752973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1752974 */     // GIR_Coverage, 11176,
     /* 1752974 */     GIR_EraseRootFromParent_Done,
     /* 1752975 */   // Label 23893: @1752975
     /* 1752975 */   GIM_Try, /*On fail goto*//*Label 23894*/ GIMT_Encode4(1753061), // Rule ID 11177 //
     /* 1752980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1752983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1752988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1752991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1752994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1752997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1753000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1753003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753026 */     // MIs[0] policy
     /* 1753026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753036 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1753039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753060 */     // GIR_Coverage, 11177,
     /* 1753060 */     GIR_EraseRootFromParent_Done,
     /* 1753061 */   // Label 23894: @1753061
     /* 1753061 */   GIM_Try, /*On fail goto*//*Label 23895*/ GIMT_Encode4(1753147), // Rule ID 11180 //
     /* 1753066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1753077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1753080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1753083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1753086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1753089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753112 */     // MIs[0] policy
     /* 1753112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753122 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1753125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753146 */     // GIR_Coverage, 11180,
     /* 1753146 */     GIR_EraseRootFromParent_Done,
     /* 1753147 */   // Label 23895: @1753147
     /* 1753147 */   GIM_Try, /*On fail goto*//*Label 23896*/ GIMT_Encode4(1753233), // Rule ID 11181 //
     /* 1753152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1753163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1753166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1753169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1753172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1753175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753198 */     // MIs[0] policy
     /* 1753198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753208 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1753211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1753229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753232 */     // GIR_Coverage, 11181,
     /* 1753232 */     GIR_EraseRootFromParent_Done,
     /* 1753233 */   // Label 23896: @1753233
     /* 1753233 */   GIM_Try, /*On fail goto*//*Label 23897*/ GIMT_Encode4(1753319), // Rule ID 11184 //
     /* 1753238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1753249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1753252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1753255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1753258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753284 */     // MIs[0] policy
     /* 1753284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753294 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1753297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753318 */     // GIR_Coverage, 11184,
     /* 1753318 */     GIR_EraseRootFromParent_Done,
     /* 1753319 */   // Label 23897: @1753319
     /* 1753319 */   GIM_Try, /*On fail goto*//*Label 23898*/ GIMT_Encode4(1753405), // Rule ID 11185 //
     /* 1753324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1753335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1753338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1753341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1753344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753370 */     // MIs[0] policy
     /* 1753370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753380 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1753383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753404 */     // GIR_Coverage, 11185,
     /* 1753404 */     GIR_EraseRootFromParent_Done,
     /* 1753405 */   // Label 23898: @1753405
     /* 1753405 */   GIM_Try, /*On fail goto*//*Label 23899*/ GIMT_Encode4(1753491), // Rule ID 11188 //
     /* 1753410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1753421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1753424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1753427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1753430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753456 */     // MIs[0] policy
     /* 1753456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753466 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1753469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753490 */     // GIR_Coverage, 11188,
     /* 1753490 */     GIR_EraseRootFromParent_Done,
     /* 1753491 */   // Label 23899: @1753491
     /* 1753491 */   GIM_Try, /*On fail goto*//*Label 23900*/ GIMT_Encode4(1753577), // Rule ID 11189 //
     /* 1753496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1753507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1753510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1753513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1753516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1753519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753542 */     // MIs[0] policy
     /* 1753542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753552 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1753555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753576 */     // GIR_Coverage, 11189,
     /* 1753576 */     GIR_EraseRootFromParent_Done,
     /* 1753577 */   // Label 23900: @1753577
     /* 1753577 */   GIM_Try, /*On fail goto*//*Label 23901*/ GIMT_Encode4(1753663), // Rule ID 11192 //
     /* 1753582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1753593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1753596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1753599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1753602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1753605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753628 */     // MIs[0] policy
     /* 1753628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753638 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1753641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753662 */     // GIR_Coverage, 11192,
     /* 1753662 */     GIR_EraseRootFromParent_Done,
     /* 1753663 */   // Label 23901: @1753663
     /* 1753663 */   GIM_Try, /*On fail goto*//*Label 23902*/ GIMT_Encode4(1753749), // Rule ID 11193 //
     /* 1753668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1753679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1753682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1753685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1753688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1753691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1753698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1753710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753714 */     // MIs[0] policy
     /* 1753714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753724 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1753727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1753745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753748 */     // GIR_Coverage, 11193,
     /* 1753748 */     GIR_EraseRootFromParent_Done,
     /* 1753749 */   // Label 23902: @1753749
     /* 1753749 */   GIM_Try, /*On fail goto*//*Label 23903*/ GIMT_Encode4(1753835), // Rule ID 11196 //
     /* 1753754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1753765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1753768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1753771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1753774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753800 */     // MIs[0] policy
     /* 1753800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753810 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1753813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753834 */     // GIR_Coverage, 11196,
     /* 1753834 */     GIR_EraseRootFromParent_Done,
     /* 1753835 */   // Label 23903: @1753835
     /* 1753835 */   GIM_Try, /*On fail goto*//*Label 23904*/ GIMT_Encode4(1753921), // Rule ID 11197 //
     /* 1753840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1753843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1753851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1753854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1753857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1753860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1753863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1753866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1753870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1753882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753886 */     // MIs[0] policy
     /* 1753886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753896 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1753896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1753899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1753914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1753917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1753919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1753920 */     // GIR_Coverage, 11197,
     /* 1753920 */     GIR_EraseRootFromParent_Done,
     /* 1753921 */   // Label 23904: @1753921
     /* 1753921 */   GIM_Try, /*On fail goto*//*Label 23905*/ GIMT_Encode4(1754007), // Rule ID 11200 //
     /* 1753926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1753929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1753934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1753937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1753940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1753943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1753946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1753949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1753952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1753956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1753968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1753972 */     // MIs[0] policy
     /* 1753972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1753975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1753982 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1753982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1753985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1753987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1753989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1753991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1753993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1753995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754006 */     // GIR_Coverage, 11200,
     /* 1754006 */     GIR_EraseRootFromParent_Done,
     /* 1754007 */   // Label 23905: @1754007
     /* 1754007 */   GIM_Try, /*On fail goto*//*Label 23906*/ GIMT_Encode4(1754093), // Rule ID 11201 //
     /* 1754012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1754023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1754026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1754029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1754032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1754035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1754042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1754054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754058 */     // MIs[0] policy
     /* 1754058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1754071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754092 */     // GIR_Coverage, 11201,
     /* 1754092 */     GIR_EraseRootFromParent_Done,
     /* 1754093 */   // Label 23906: @1754093
     /* 1754093 */   GIM_Try, /*On fail goto*//*Label 23907*/ GIMT_Encode4(1754179), // Rule ID 11204 //
     /* 1754098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1754109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1754112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1754115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1754118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754144 */     // MIs[0] policy
     /* 1754144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754154 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1754157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754178 */     // GIR_Coverage, 11204,
     /* 1754178 */     GIR_EraseRootFromParent_Done,
     /* 1754179 */   // Label 23907: @1754179
     /* 1754179 */   GIM_Try, /*On fail goto*//*Label 23908*/ GIMT_Encode4(1754265), // Rule ID 11205 //
     /* 1754184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1754195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1754198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1754201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1754204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1754207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1754214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1754226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754230 */     // MIs[0] policy
     /* 1754230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754240 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1754243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1754261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754264 */     // GIR_Coverage, 11205,
     /* 1754264 */     GIR_EraseRootFromParent_Done,
     /* 1754265 */   // Label 23908: @1754265
     /* 1754265 */   GIM_Try, /*On fail goto*//*Label 23909*/ GIMT_Encode4(1754351), // Rule ID 11208 //
     /* 1754270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1754281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1754284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1754287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754316 */     // MIs[0] policy
     /* 1754316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1754329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754350 */     // GIR_Coverage, 11208,
     /* 1754350 */     GIR_EraseRootFromParent_Done,
     /* 1754351 */   // Label 23909: @1754351
     /* 1754351 */   GIM_Try, /*On fail goto*//*Label 23910*/ GIMT_Encode4(1754437), // Rule ID 11209 //
     /* 1754356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1754367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1754370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1754373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754402 */     // MIs[0] policy
     /* 1754402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF8_MASK),
     /* 1754415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754436 */     // GIR_Coverage, 11209,
     /* 1754436 */     GIR_EraseRootFromParent_Done,
     /* 1754437 */   // Label 23910: @1754437
     /* 1754437 */   GIM_Try, /*On fail goto*//*Label 23911*/ GIMT_Encode4(1754523), // Rule ID 11212 //
     /* 1754442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1754453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1754456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1754459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754488 */     // MIs[0] policy
     /* 1754488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754498 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1754501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754522 */     // GIR_Coverage, 11212,
     /* 1754522 */     GIR_EraseRootFromParent_Done,
     /* 1754523 */   // Label 23911: @1754523
     /* 1754523 */   GIM_Try, /*On fail goto*//*Label 23912*/ GIMT_Encode4(1754609), // Rule ID 11213 //
     /* 1754528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1754539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1754542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1754545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754574 */     // MIs[0] policy
     /* 1754574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1754587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754608 */     // GIR_Coverage, 11213,
     /* 1754608 */     GIR_EraseRootFromParent_Done,
     /* 1754609 */   // Label 23912: @1754609
     /* 1754609 */   GIM_Try, /*On fail goto*//*Label 23913*/ GIMT_Encode4(1754695), // Rule ID 11216 //
     /* 1754614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1754625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1754628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1754631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754660 */     // MIs[0] policy
     /* 1754660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754670 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1754673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754694 */     // GIR_Coverage, 11216,
     /* 1754694 */     GIR_EraseRootFromParent_Done,
     /* 1754695 */   // Label 23913: @1754695
     /* 1754695 */   GIM_Try, /*On fail goto*//*Label 23914*/ GIMT_Encode4(1754781), // Rule ID 11217 //
     /* 1754700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1754711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1754714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1754717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1754723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754746 */     // MIs[0] policy
     /* 1754746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1754759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1754777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754780 */     // GIR_Coverage, 11217,
     /* 1754780 */     GIR_EraseRootFromParent_Done,
     /* 1754781 */   // Label 23914: @1754781
     /* 1754781 */   GIM_Try, /*On fail goto*//*Label 23915*/ GIMT_Encode4(1754867), // Rule ID 11220 //
     /* 1754786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1754797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1754800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1754803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754832 */     // MIs[0] policy
     /* 1754832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1754842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1754845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754866 */     // GIR_Coverage, 11220,
     /* 1754866 */     GIR_EraseRootFromParent_Done,
     /* 1754867 */   // Label 23915: @1754867
     /* 1754867 */   GIM_Try, /*On fail goto*//*Label 23916*/ GIMT_Encode4(1754953), // Rule ID 11221 //
     /* 1754872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1754875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1754883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1754886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1754889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1754892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1754895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1754898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1754914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1754918 */     // MIs[0] policy
     /* 1754918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1754921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1754928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1754928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF4_MASK),
     /* 1754931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1754933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1754935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1754937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1754939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1754941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1754946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1754949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1754951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1754952 */     // GIR_Coverage, 11221,
     /* 1754952 */     GIR_EraseRootFromParent_Done,
     /* 1754953 */   // Label 23916: @1754953
     /* 1754953 */   GIM_Try, /*On fail goto*//*Label 23917*/ GIMT_Encode4(1755039), // Rule ID 11224 //
     /* 1754958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1754961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1754966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1754969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1754972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1754975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1754978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1754981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1754984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1754988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1754996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755004 */     // MIs[0] policy
     /* 1755004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1755017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755038 */     // GIR_Coverage, 11224,
     /* 1755038 */     GIR_EraseRootFromParent_Done,
     /* 1755039 */   // Label 23917: @1755039
     /* 1755039 */   GIM_Try, /*On fail goto*//*Label 23918*/ GIMT_Encode4(1755125), // Rule ID 11225 //
     /* 1755044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1755055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1755058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1755061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755090 */     // MIs[0] policy
     /* 1755090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1755103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755124 */     // GIR_Coverage, 11225,
     /* 1755124 */     GIR_EraseRootFromParent_Done,
     /* 1755125 */   // Label 23918: @1755125
     /* 1755125 */   GIM_Try, /*On fail goto*//*Label 23919*/ GIMT_Encode4(1755211), // Rule ID 11228 //
     /* 1755130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1755141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1755144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1755147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755176 */     // MIs[0] policy
     /* 1755176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1755189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755210 */     // GIR_Coverage, 11228,
     /* 1755210 */     GIR_EraseRootFromParent_Done,
     /* 1755211 */   // Label 23919: @1755211
     /* 1755211 */   GIM_Try, /*On fail goto*//*Label 23920*/ GIMT_Encode4(1755297), // Rule ID 11229 //
     /* 1755216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1755227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1755230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1755233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1755239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755262 */     // MIs[0] policy
     /* 1755262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_MF2_MASK),
     /* 1755275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755296 */     // GIR_Coverage, 11229,
     /* 1755296 */     GIR_EraseRootFromParent_Done,
     /* 1755297 */   // Label 23920: @1755297
     /* 1755297 */   GIM_Try, /*On fail goto*//*Label 23921*/ GIMT_Encode4(1755383), // Rule ID 11232 //
     /* 1755302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1755313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1755316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1755319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755348 */     // MIs[0] policy
     /* 1755348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1755361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755382 */     // GIR_Coverage, 11232,
     /* 1755382 */     GIR_EraseRootFromParent_Done,
     /* 1755383 */   // Label 23921: @1755383
     /* 1755383 */   GIM_Try, /*On fail goto*//*Label 23922*/ GIMT_Encode4(1755469), // Rule ID 11233 //
     /* 1755388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1755399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1755402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1755405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1755411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755434 */     // MIs[0] policy
     /* 1755434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11472:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1755447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755468 */     // GIR_Coverage, 11233,
     /* 1755468 */     GIR_EraseRootFromParent_Done,
     /* 1755469 */   // Label 23922: @1755469
     /* 1755469 */   GIM_Try, /*On fail goto*//*Label 23923*/ GIMT_Encode4(1755555), // Rule ID 11236 //
     /* 1755474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1755485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1755488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1755491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755520 */     // MIs[0] policy
     /* 1755520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1755533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755554 */     // GIR_Coverage, 11236,
     /* 1755554 */     GIR_EraseRootFromParent_Done,
     /* 1755555 */   // Label 23923: @1755555
     /* 1755555 */   GIM_Try, /*On fail goto*//*Label 23924*/ GIMT_Encode4(1755641), // Rule ID 11237 //
     /* 1755560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1755571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1755574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1755577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1755583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755606 */     // MIs[0] policy
     /* 1755606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11472:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1755619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1755637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755640 */     // GIR_Coverage, 11237,
     /* 1755640 */     GIR_EraseRootFromParent_Done,
     /* 1755641 */   // Label 23924: @1755641
     /* 1755641 */   GIM_Try, /*On fail goto*//*Label 23925*/ GIMT_Encode4(1755727), // Rule ID 11240 //
     /* 1755646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1755657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1755660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1755663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755692 */     // MIs[0] policy
     /* 1755692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1755705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755726 */     // GIR_Coverage, 11240,
     /* 1755726 */     GIR_EraseRootFromParent_Done,
     /* 1755727 */   // Label 23925: @1755727
     /* 1755727 */   GIM_Try, /*On fail goto*//*Label 23926*/ GIMT_Encode4(1755813), // Rule ID 11241 //
     /* 1755732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1755743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1755746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1755749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1755755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1755762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1755770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755778 */     // MIs[0] policy
     /* 1755778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11472:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1755791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1755809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755812 */     // GIR_Coverage, 11241,
     /* 1755812 */     GIR_EraseRootFromParent_Done,
     /* 1755813 */   // Label 23926: @1755813
     /* 1755813 */   GIM_Try, /*On fail goto*//*Label 23927*/ GIMT_Encode4(1755899), // Rule ID 11244 //
     /* 1755818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1755829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1755832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1755835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1755838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1755844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755864 */     // MIs[0] policy
     /* 1755864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755874 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1755874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1755877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755898 */     // GIR_Coverage, 11244,
     /* 1755898 */     GIR_EraseRootFromParent_Done,
     /* 1755899 */   // Label 23927: @1755899
     /* 1755899 */   GIM_Try, /*On fail goto*//*Label 23928*/ GIMT_Encode4(1755985), // Rule ID 11245 //
     /* 1755904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1755907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1755915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1755918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1755921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1755924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1755927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1755930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1755934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1755942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1755946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1755950 */     // MIs[0] policy
     /* 1755950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1755953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1755960 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1755960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1755963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1755965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1755967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1755969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1755971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1755973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1755978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1755981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1755983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1755984 */     // GIR_Coverage, 11245,
     /* 1755984 */     GIR_EraseRootFromParent_Done,
     /* 1755985 */   // Label 23928: @1755985
     /* 1755985 */   GIM_Try, /*On fail goto*//*Label 23929*/ GIMT_Encode4(1756071), // Rule ID 11248 //
     /* 1755990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1755993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1755998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1756001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1756004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1756007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756036 */     // MIs[0] policy
     /* 1756036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756046 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1756049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756070 */     // GIR_Coverage, 11248,
     /* 1756070 */     GIR_EraseRootFromParent_Done,
     /* 1756071 */   // Label 23929: @1756071
     /* 1756071 */   GIM_Try, /*On fail goto*//*Label 23930*/ GIMT_Encode4(1756157), // Rule ID 11249 //
     /* 1756076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1756087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1756090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1756093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756122 */     // MIs[0] policy
     /* 1756122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756132 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1756135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756156 */     // GIR_Coverage, 11249,
     /* 1756156 */     GIR_EraseRootFromParent_Done,
     /* 1756157 */   // Label 23930: @1756157
     /* 1756157 */   GIM_Try, /*On fail goto*//*Label 23931*/ GIMT_Encode4(1756243), // Rule ID 11252 //
     /* 1756162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1756173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1756176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1756179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1756185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756208 */     // MIs[0] policy
     /* 1756208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756218 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1756221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756242 */     // GIR_Coverage, 11252,
     /* 1756242 */     GIR_EraseRootFromParent_Done,
     /* 1756243 */   // Label 23931: @1756243
     /* 1756243 */   GIM_Try, /*On fail goto*//*Label 23932*/ GIMT_Encode4(1756329), // Rule ID 11253 //
     /* 1756248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1756259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1756262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1756265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1756271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756294 */     // MIs[0] policy
     /* 1756294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756304 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1756307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1756325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756328 */     // GIR_Coverage, 11253,
     /* 1756328 */     GIR_EraseRootFromParent_Done,
     /* 1756329 */   // Label 23932: @1756329
     /* 1756329 */   GIM_Try, /*On fail goto*//*Label 23933*/ GIMT_Encode4(1756415), // Rule ID 11256 //
     /* 1756334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1756345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1756348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1756351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756380 */     // MIs[0] policy
     /* 1756380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756390 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1756393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756414 */     // GIR_Coverage, 11256,
     /* 1756414 */     GIR_EraseRootFromParent_Done,
     /* 1756415 */   // Label 23933: @1756415
     /* 1756415 */   GIM_Try, /*On fail goto*//*Label 23934*/ GIMT_Encode4(1756501), // Rule ID 11257 //
     /* 1756420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1756431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1756434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1756437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1756443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756466 */     // MIs[0] policy
     /* 1756466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756476 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1756479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756500 */     // GIR_Coverage, 11257,
     /* 1756500 */     GIR_EraseRootFromParent_Done,
     /* 1756501 */   // Label 23934: @1756501
     /* 1756501 */   GIM_Try, /*On fail goto*//*Label 23935*/ GIMT_Encode4(1756587), // Rule ID 11260 //
     /* 1756506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1756523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756552 */     // MIs[0] policy
     /* 1756552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756562 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1756565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756586 */     // GIR_Coverage, 11260,
     /* 1756586 */     GIR_EraseRootFromParent_Done,
     /* 1756587 */   // Label 23935: @1756587
     /* 1756587 */   GIM_Try, /*On fail goto*//*Label 23936*/ GIMT_Encode4(1756673), // Rule ID 11261 //
     /* 1756592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1756603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1756606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1756609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1756615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1756622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1756630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756638 */     // MIs[0] policy
     /* 1756638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756648 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1756651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756672 */     // GIR_Coverage, 11261,
     /* 1756672 */     GIR_EraseRootFromParent_Done,
     /* 1756673 */   // Label 23936: @1756673
     /* 1756673 */   GIM_Try, /*On fail goto*//*Label 23937*/ GIMT_Encode4(1756759), // Rule ID 11264 //
     /* 1756678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1756689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1756692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1756695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756724 */     // MIs[0] policy
     /* 1756724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756734 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1756737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756758 */     // GIR_Coverage, 11264,
     /* 1756758 */     GIR_EraseRootFromParent_Done,
     /* 1756759 */   // Label 23937: @1756759
     /* 1756759 */   GIM_Try, /*On fail goto*//*Label 23938*/ GIMT_Encode4(1756845), // Rule ID 11265 //
     /* 1756764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1756775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1756778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1756781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1756787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1756794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1756802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756810 */     // MIs[0] policy
     /* 1756810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756820 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1756823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1756841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756844 */     // GIR_Coverage, 11265,
     /* 1756844 */     GIR_EraseRootFromParent_Done,
     /* 1756845 */   // Label 23938: @1756845
     /* 1756845 */   GIM_Try, /*On fail goto*//*Label 23939*/ GIMT_Encode4(1756931), // Rule ID 11268 //
     /* 1756850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1756853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1756861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1756864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1756867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1756870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1756876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756896 */     // MIs[0] policy
     /* 1756896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1756906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1756909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1756915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1756917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1756919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1756924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1756927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1756929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1756930 */     // GIR_Coverage, 11268,
     /* 1756930 */     GIR_EraseRootFromParent_Done,
     /* 1756931 */   // Label 23939: @1756931
     /* 1756931 */   GIM_Try, /*On fail goto*//*Label 23940*/ GIMT_Encode4(1757017), // Rule ID 11269 //
     /* 1756936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1756939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1756944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1756947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1756950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1756953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1756956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1756959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1756962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1756966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1756974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1756978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1756982 */     // MIs[0] policy
     /* 1756982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1756985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1756992 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1756992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1756995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1756997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1756999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757016 */     // GIR_Coverage, 11269,
     /* 1757016 */     GIR_EraseRootFromParent_Done,
     /* 1757017 */   // Label 23940: @1757017
     /* 1757017 */   GIM_Try, /*On fail goto*//*Label 23941*/ GIMT_Encode4(1757103), // Rule ID 11272 //
     /* 1757022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1757033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1757036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1757039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757068 */     // MIs[0] policy
     /* 1757068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757078 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1757081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757102 */     // GIR_Coverage, 11272,
     /* 1757102 */     GIR_EraseRootFromParent_Done,
     /* 1757103 */   // Label 23941: @1757103
     /* 1757103 */   GIM_Try, /*On fail goto*//*Label 23942*/ GIMT_Encode4(1757189), // Rule ID 11273 //
     /* 1757108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1757119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1757122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1757125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1757131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1757138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1757146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757154 */     // MIs[0] policy
     /* 1757154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757164 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1757167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757188 */     // GIR_Coverage, 11273,
     /* 1757188 */     GIR_EraseRootFromParent_Done,
     /* 1757189 */   // Label 23942: @1757189
     /* 1757189 */   GIM_Try, /*On fail goto*//*Label 23943*/ GIMT_Encode4(1757275), // Rule ID 11276 //
     /* 1757194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1757205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1757208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1757211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1757214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757240 */     // MIs[0] policy
     /* 1757240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1757253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757274 */     // GIR_Coverage, 11276,
     /* 1757274 */     GIR_EraseRootFromParent_Done,
     /* 1757275 */   // Label 23943: @1757275
     /* 1757275 */   GIM_Try, /*On fail goto*//*Label 23944*/ GIMT_Encode4(1757361), // Rule ID 11277 //
     /* 1757280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1757288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1757291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1757294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1757297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1757300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1757303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1757310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1757318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1757322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757326 */     // MIs[0] policy
     /* 1757326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757336 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1757339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1757357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757360 */     // GIR_Coverage, 11277,
     /* 1757360 */     GIR_EraseRootFromParent_Done,
     /* 1757361 */   // Label 23944: @1757361
     /* 1757361 */   GIM_Try, /*On fail goto*//*Label 23945*/ GIMT_Encode4(1757447), // Rule ID 11280 //
     /* 1757366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1757377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1757380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1757383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1757386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757412 */     // MIs[0] policy
     /* 1757412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1757425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757446 */     // GIR_Coverage, 11280,
     /* 1757446 */     GIR_EraseRootFromParent_Done,
     /* 1757447 */   // Label 23945: @1757447
     /* 1757447 */   GIM_Try, /*On fail goto*//*Label 23946*/ GIMT_Encode4(1757533), // Rule ID 11281 //
     /* 1757452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1757463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1757466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1757469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1757472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757498 */     // MIs[0] policy
     /* 1757498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8_MASK),
     /* 1757511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757532 */     // GIR_Coverage, 11281,
     /* 1757532 */     GIR_EraseRootFromParent_Done,
     /* 1757533 */   // Label 23946: @1757533
     /* 1757533 */   GIM_Try, /*On fail goto*//*Label 23947*/ GIMT_Encode4(1757619), // Rule ID 11284 //
     /* 1757538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1757549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1757552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1757555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1757558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757584 */     // MIs[0] policy
     /* 1757584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1757597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757618 */     // GIR_Coverage, 11284,
     /* 1757618 */     GIR_EraseRootFromParent_Done,
     /* 1757619 */   // Label 23947: @1757619
     /* 1757619 */   GIM_Try, /*On fail goto*//*Label 23948*/ GIMT_Encode4(1757705), // Rule ID 11285 //
     /* 1757624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1757635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1757638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1757641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1757644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1757647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757670 */     // MIs[0] policy
     /* 1757670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757680 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1757683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757704 */     // GIR_Coverage, 11285,
     /* 1757704 */     GIR_EraseRootFromParent_Done,
     /* 1757705 */   // Label 23948: @1757705
     /* 1757705 */   GIM_Try, /*On fail goto*//*Label 23949*/ GIMT_Encode4(1757791), // Rule ID 11288 //
     /* 1757710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1757721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1757724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1757727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1757730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757756 */     // MIs[0] policy
     /* 1757756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757766 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1757769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757790 */     // GIR_Coverage, 11288,
     /* 1757790 */     GIR_EraseRootFromParent_Done,
     /* 1757791 */   // Label 23949: @1757791
     /* 1757791 */   GIM_Try, /*On fail goto*//*Label 23950*/ GIMT_Encode4(1757877), // Rule ID 11289 //
     /* 1757796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1757807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1757810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1757813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1757816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1757819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757842 */     // MIs[0] policy
     /* 1757842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1757852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1757855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1757873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757876 */     // GIR_Coverage, 11289,
     /* 1757876 */     GIR_EraseRootFromParent_Done,
     /* 1757877 */   // Label 23950: @1757877
     /* 1757877 */   GIM_Try, /*On fail goto*//*Label 23951*/ GIMT_Encode4(1757963), // Rule ID 11292 //
     /* 1757882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1757885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1757893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1757896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1757899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1757902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1757908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1757924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1757928 */     // MIs[0] policy
     /* 1757928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1757931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1757938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1757938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1757941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1757943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1757945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1757947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1757949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1757951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1757956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1757959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1757961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1757962 */     // GIR_Coverage, 11292,
     /* 1757962 */     GIR_EraseRootFromParent_Done,
     /* 1757963 */   // Label 23951: @1757963
     /* 1757963 */   GIM_Try, /*On fail goto*//*Label 23952*/ GIMT_Encode4(1758049), // Rule ID 11293 //
     /* 1757968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1757971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1757976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1757979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1757982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1757985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1757988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1757991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1757994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1757998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758014 */     // MIs[0] policy
     /* 1758014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4_MASK),
     /* 1758027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758048 */     // GIR_Coverage, 11293,
     /* 1758048 */     GIR_EraseRootFromParent_Done,
     /* 1758049 */   // Label 23952: @1758049
     /* 1758049 */   GIM_Try, /*On fail goto*//*Label 23953*/ GIMT_Encode4(1758135), // Rule ID 11296 //
     /* 1758054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1758065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1758068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1758071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1758074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758100 */     // MIs[0] policy
     /* 1758100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1758113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758134 */     // GIR_Coverage, 11296,
     /* 1758134 */     GIR_EraseRootFromParent_Done,
     /* 1758135 */   // Label 23953: @1758135
     /* 1758135 */   GIM_Try, /*On fail goto*//*Label 23954*/ GIMT_Encode4(1758221), // Rule ID 11297 //
     /* 1758140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1758151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1758154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1758157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1758160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758186 */     // MIs[0] policy
     /* 1758186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1758199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758220 */     // GIR_Coverage, 11297,
     /* 1758220 */     GIR_EraseRootFromParent_Done,
     /* 1758221 */   // Label 23954: @1758221
     /* 1758221 */   GIM_Try, /*On fail goto*//*Label 23955*/ GIMT_Encode4(1758307), // Rule ID 11300 //
     /* 1758226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1758237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1758240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1758243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1758246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758272 */     // MIs[0] policy
     /* 1758272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1758285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758306 */     // GIR_Coverage, 11300,
     /* 1758306 */     GIR_EraseRootFromParent_Done,
     /* 1758307 */   // Label 23955: @1758307
     /* 1758307 */   GIM_Try, /*On fail goto*//*Label 23956*/ GIMT_Encode4(1758393), // Rule ID 11301 //
     /* 1758312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1758323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1758326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1758329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1758332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1758335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758358 */     // MIs[0] policy
     /* 1758358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2_MASK),
     /* 1758371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758392 */     // GIR_Coverage, 11301,
     /* 1758392 */     GIR_EraseRootFromParent_Done,
     /* 1758393 */   // Label 23956: @1758393
     /* 1758393 */   GIM_Try, /*On fail goto*//*Label 23957*/ GIMT_Encode4(1758479), // Rule ID 11304 //
     /* 1758398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1758409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1758412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1758415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1758418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758444 */     // MIs[0] policy
     /* 1758444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1758457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758478 */     // GIR_Coverage, 11304,
     /* 1758478 */     GIR_EraseRootFromParent_Done,
     /* 1758479 */   // Label 23957: @1758479
     /* 1758479 */   GIM_Try, /*On fail goto*//*Label 23958*/ GIMT_Encode4(1758565), // Rule ID 11305 //
     /* 1758484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1758495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1758498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1758501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1758504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1758507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758530 */     // MIs[0] policy
     /* 1758530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1758543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758564 */     // GIR_Coverage, 11305,
     /* 1758564 */     GIR_EraseRootFromParent_Done,
     /* 1758565 */   // Label 23958: @1758565
     /* 1758565 */   GIM_Try, /*On fail goto*//*Label 23959*/ GIMT_Encode4(1758651), // Rule ID 11308 //
     /* 1758570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1758581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1758584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1758587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1758590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758616 */     // MIs[0] policy
     /* 1758616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1758629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758650 */     // GIR_Coverage, 11308,
     /* 1758650 */     GIR_EraseRootFromParent_Done,
     /* 1758651 */   // Label 23959: @1758651
     /* 1758651 */   GIM_Try, /*On fail goto*//*Label 23960*/ GIMT_Encode4(1758737), // Rule ID 11309 //
     /* 1758656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1758667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1758670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1758673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1758676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1758679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758702 */     // MIs[0] policy
     /* 1758702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1758715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1758733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758736 */     // GIR_Coverage, 11309,
     /* 1758736 */     GIR_EraseRootFromParent_Done,
     /* 1758737 */   // Label 23960: @1758737
     /* 1758737 */   GIM_Try, /*On fail goto*//*Label 23961*/ GIMT_Encode4(1758823), // Rule ID 11312 //
     /* 1758742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1758753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1758756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1758759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1758762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758788 */     // MIs[0] policy
     /* 1758788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1758801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758822 */     // GIR_Coverage, 11312,
     /* 1758822 */     GIR_EraseRootFromParent_Done,
     /* 1758823 */   // Label 23961: @1758823
     /* 1758823 */   GIM_Try, /*On fail goto*//*Label 23962*/ GIMT_Encode4(1758909), // Rule ID 11313 //
     /* 1758828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1758831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1758839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1758842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1758845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1758848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1758851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1758854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1758858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1758870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758874 */     // MIs[0] policy
     /* 1758874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1758884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1758887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1758905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758908 */     // GIR_Coverage, 11313,
     /* 1758908 */     GIR_EraseRootFromParent_Done,
     /* 1758909 */   // Label 23962: @1758909
     /* 1758909 */   GIM_Try, /*On fail goto*//*Label 23963*/ GIMT_Encode4(1758995), // Rule ID 11316 //
     /* 1758914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1758917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1758922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1758925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1758928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1758931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1758934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1758937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1758940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1758944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1758956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1758960 */     // MIs[0] policy
     /* 1758960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1758963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1758970 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1758970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1758973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1758975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1758977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1758979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1758981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1758983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1758988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1758991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1758993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1758994 */     // GIR_Coverage, 11316,
     /* 1758994 */     GIR_EraseRootFromParent_Done,
     /* 1758995 */   // Label 23963: @1758995
     /* 1758995 */   GIM_Try, /*On fail goto*//*Label 23964*/ GIMT_Encode4(1759081), // Rule ID 11317 //
     /* 1759000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1759011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1759014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1759017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1759020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759046 */     // MIs[0] policy
     /* 1759046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759056 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1759059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759080 */     // GIR_Coverage, 11317,
     /* 1759080 */     GIR_EraseRootFromParent_Done,
     /* 1759081 */   // Label 23964: @1759081
     /* 1759081 */   GIM_Try, /*On fail goto*//*Label 23965*/ GIMT_Encode4(1759167), // Rule ID 11320 //
     /* 1759086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1759097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1759100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1759103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1759106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1759109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759132 */     // MIs[0] policy
     /* 1759132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759142 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1759145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759166 */     // GIR_Coverage, 11320,
     /* 1759166 */     GIR_EraseRootFromParent_Done,
     /* 1759167 */   // Label 23965: @1759167
     /* 1759167 */   GIM_Try, /*On fail goto*//*Label 23966*/ GIMT_Encode4(1759253), // Rule ID 11321 //
     /* 1759172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1759183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1759186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1759189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1759192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1759195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759218 */     // MIs[0] policy
     /* 1759218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759228 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1759231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759252 */     // GIR_Coverage, 11321,
     /* 1759252 */     GIR_EraseRootFromParent_Done,
     /* 1759253 */   // Label 23966: @1759253
     /* 1759253 */   GIM_Try, /*On fail goto*//*Label 23967*/ GIMT_Encode4(1759339), // Rule ID 11324 //
     /* 1759258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1759269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1759272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1759275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1759278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1759281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759304 */     // MIs[0] policy
     /* 1759304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759314 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1759317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759338 */     // GIR_Coverage, 11324,
     /* 1759338 */     GIR_EraseRootFromParent_Done,
     /* 1759339 */   // Label 23967: @1759339
     /* 1759339 */   GIM_Try, /*On fail goto*//*Label 23968*/ GIMT_Encode4(1759425), // Rule ID 11325 //
     /* 1759344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1759355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1759358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1759361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1759364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1759367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759390 */     // MIs[0] policy
     /* 1759390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759400 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1759403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1759421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759424 */     // GIR_Coverage, 11325,
     /* 1759424 */     GIR_EraseRootFromParent_Done,
     /* 1759425 */   // Label 23968: @1759425
     /* 1759425 */   GIM_Try, /*On fail goto*//*Label 23969*/ GIMT_Encode4(1759511), // Rule ID 11328 //
     /* 1759430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1759441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1759444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1759447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1759450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759476 */     // MIs[0] policy
     /* 1759476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759486 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1759489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759510 */     // GIR_Coverage, 11328,
     /* 1759510 */     GIR_EraseRootFromParent_Done,
     /* 1759511 */   // Label 23969: @1759511
     /* 1759511 */   GIM_Try, /*On fail goto*//*Label 23970*/ GIMT_Encode4(1759597), // Rule ID 11329 //
     /* 1759516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1759527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1759530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1759533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1759536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1759539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759562 */     // MIs[0] policy
     /* 1759562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1759575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759596 */     // GIR_Coverage, 11329,
     /* 1759596 */     GIR_EraseRootFromParent_Done,
     /* 1759597 */   // Label 23970: @1759597
     /* 1759597 */   GIM_Try, /*On fail goto*//*Label 23971*/ GIMT_Encode4(1759683), // Rule ID 11332 //
     /* 1759602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1759613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1759616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1759619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1759622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759648 */     // MIs[0] policy
     /* 1759648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759658 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1759661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759682 */     // GIR_Coverage, 11332,
     /* 1759682 */     GIR_EraseRootFromParent_Done,
     /* 1759683 */   // Label 23971: @1759683
     /* 1759683 */   GIM_Try, /*On fail goto*//*Label 23972*/ GIMT_Encode4(1759769), // Rule ID 11333 //
     /* 1759688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1759699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1759702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1759705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1759708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1759711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1759718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1759730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759734 */     // MIs[0] policy
     /* 1759734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759744 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1759747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759768 */     // GIR_Coverage, 11333,
     /* 1759768 */     GIR_EraseRootFromParent_Done,
     /* 1759769 */   // Label 23972: @1759769
     /* 1759769 */   GIM_Try, /*On fail goto*//*Label 23973*/ GIMT_Encode4(1759855), // Rule ID 11336 //
     /* 1759774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1759785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1759788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1759791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1759794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1759797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759820 */     // MIs[0] policy
     /* 1759820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759830 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1759830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1759833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759854 */     // GIR_Coverage, 11336,
     /* 1759854 */     GIR_EraseRootFromParent_Done,
     /* 1759855 */   // Label 23973: @1759855
     /* 1759855 */   GIM_Try, /*On fail goto*//*Label 23974*/ GIMT_Encode4(1759941), // Rule ID 11337 //
     /* 1759860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1759863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1759871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1759874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1759877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1759880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1759883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1759886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1759890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1759902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759906 */     // MIs[0] policy
     /* 1759906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1759916 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1759916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1759919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1759921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1759923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1759925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1759927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1759929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1759934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1759937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1759939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1759940 */     // GIR_Coverage, 11337,
     /* 1759940 */     GIR_EraseRootFromParent_Done,
     /* 1759941 */   // Label 23974: @1759941
     /* 1759941 */   GIM_Try, /*On fail goto*//*Label 23975*/ GIMT_Encode4(1760027), // Rule ID 11340 //
     /* 1759946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1759949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1759954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1759957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1759960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1759963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1759966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1759969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1759972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1759976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1759988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1759992 */     // MIs[0] policy
     /* 1759992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1759995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760002 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760026 */     // GIR_Coverage, 11340,
     /* 1760026 */     GIR_EraseRootFromParent_Done,
     /* 1760027 */   // Label 23975: @1760027
     /* 1760027 */   GIM_Try, /*On fail goto*//*Label 23976*/ GIMT_Encode4(1760113), // Rule ID 11341 //
     /* 1760032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1760043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1760046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1760049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1760052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1760062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1760074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760078 */     // MIs[0] policy
     /* 1760078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760088 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1760091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760112 */     // GIR_Coverage, 11341,
     /* 1760112 */     GIR_EraseRootFromParent_Done,
     /* 1760113 */   // Label 23976: @1760113
     /* 1760113 */   GIM_Try, /*On fail goto*//*Label 23977*/ GIMT_Encode4(1760199), // Rule ID 11344 //
     /* 1760118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1760129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1760132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1760135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1760138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760164 */     // MIs[0] policy
     /* 1760164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760174 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760198 */     // GIR_Coverage, 11344,
     /* 1760198 */     GIR_EraseRootFromParent_Done,
     /* 1760199 */   // Label 23977: @1760199
     /* 1760199 */   GIM_Try, /*On fail goto*//*Label 23978*/ GIMT_Encode4(1760285), // Rule ID 11345 //
     /* 1760204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1760215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1760218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1760221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1760224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1760227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1760234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1760246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760250 */     // MIs[0] policy
     /* 1760250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760260 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1760263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760284 */     // GIR_Coverage, 11345,
     /* 1760284 */     GIR_EraseRootFromParent_Done,
     /* 1760285 */   // Label 23978: @1760285
     /* 1760285 */   GIM_Try, /*On fail goto*//*Label 23979*/ GIMT_Encode4(1760371), // Rule ID 11348 //
     /* 1760290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1760301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1760304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1760307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1760310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760336 */     // MIs[0] policy
     /* 1760336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760346 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760370 */     // GIR_Coverage, 11348,
     /* 1760370 */     GIR_EraseRootFromParent_Done,
     /* 1760371 */   // Label 23979: @1760371
     /* 1760371 */   GIM_Try, /*On fail goto*//*Label 23980*/ GIMT_Encode4(1760457), // Rule ID 11349 //
     /* 1760376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1760387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1760390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1760393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1760396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1760399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1760406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1760418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760422 */     // MIs[0] policy
     /* 1760422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760432 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1760435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1760453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760456 */     // GIR_Coverage, 11349,
     /* 1760456 */     GIR_EraseRootFromParent_Done,
     /* 1760457 */   // Label 23980: @1760457
     /* 1760457 */   GIM_Try, /*On fail goto*//*Label 23981*/ GIMT_Encode4(1760543), // Rule ID 11352 //
     /* 1760462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1760473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1760476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1760479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760508 */     // MIs[0] policy
     /* 1760508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760518 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1760521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760542 */     // GIR_Coverage, 11352,
     /* 1760542 */     GIR_EraseRootFromParent_Done,
     /* 1760543 */   // Label 23981: @1760543
     /* 1760543 */   GIM_Try, /*On fail goto*//*Label 23982*/ GIMT_Encode4(1760629), // Rule ID 11353 //
     /* 1760548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1760559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1760562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1760565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1760571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760594 */     // MIs[0] policy
     /* 1760594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760604 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF8_MASK),
     /* 1760607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760628 */     // GIR_Coverage, 11353,
     /* 1760628 */     GIR_EraseRootFromParent_Done,
     /* 1760629 */   // Label 23982: @1760629
     /* 1760629 */   GIM_Try, /*On fail goto*//*Label 23983*/ GIMT_Encode4(1760715), // Rule ID 11356 //
     /* 1760634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1760645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1760648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1760651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760680 */     // MIs[0] policy
     /* 1760680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760690 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1760693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760714 */     // GIR_Coverage, 11356,
     /* 1760714 */     GIR_EraseRootFromParent_Done,
     /* 1760715 */   // Label 23983: @1760715
     /* 1760715 */   GIM_Try, /*On fail goto*//*Label 23984*/ GIMT_Encode4(1760801), // Rule ID 11357 //
     /* 1760720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1760731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1760734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1760737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1760743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760766 */     // MIs[0] policy
     /* 1760766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760776 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1760779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760800 */     // GIR_Coverage, 11357,
     /* 1760800 */     GIR_EraseRootFromParent_Done,
     /* 1760801 */   // Label 23984: @1760801
     /* 1760801 */   GIM_Try, /*On fail goto*//*Label 23985*/ GIMT_Encode4(1760887), // Rule ID 11360 //
     /* 1760806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1760817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1760820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1760823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1760832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760852 */     // MIs[0] policy
     /* 1760852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760862 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1760862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1760865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760886 */     // GIR_Coverage, 11360,
     /* 1760886 */     GIR_EraseRootFromParent_Done,
     /* 1760887 */   // Label 23985: @1760887
     /* 1760887 */   GIM_Try, /*On fail goto*//*Label 23986*/ GIMT_Encode4(1760973), // Rule ID 11361 //
     /* 1760892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1760895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1760903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1760906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1760909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1760912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1760915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1760918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1760922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1760930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1760934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1760938 */     // MIs[0] policy
     /* 1760938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1760941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1760948 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1760948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1760951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1760953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1760955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1760957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1760959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1760961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1760966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1760969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1760971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1760972 */     // GIR_Coverage, 11361,
     /* 1760972 */     GIR_EraseRootFromParent_Done,
     /* 1760973 */   // Label 23986: @1760973
     /* 1760973 */   GIM_Try, /*On fail goto*//*Label 23987*/ GIMT_Encode4(1761059), // Rule ID 11364 //
     /* 1760978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1760981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1760986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1760989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1760992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1760995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1760998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761024 */     // MIs[0] policy
     /* 1761024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761034 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1761037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761058 */     // GIR_Coverage, 11364,
     /* 1761058 */     GIR_EraseRootFromParent_Done,
     /* 1761059 */   // Label 23987: @1761059
     /* 1761059 */   GIM_Try, /*On fail goto*//*Label 23988*/ GIMT_Encode4(1761145), // Rule ID 11365 //
     /* 1761064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1761075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1761078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1761081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761110 */     // MIs[0] policy
     /* 1761110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761120 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF4_MASK),
     /* 1761123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761144 */     // GIR_Coverage, 11365,
     /* 1761144 */     GIR_EraseRootFromParent_Done,
     /* 1761145 */   // Label 23988: @1761145
     /* 1761145 */   GIM_Try, /*On fail goto*//*Label 23989*/ GIMT_Encode4(1761231), // Rule ID 11368 //
     /* 1761150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1761161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1761164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1761167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761196 */     // MIs[0] policy
     /* 1761196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761206 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1761209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761230 */     // GIR_Coverage, 11368,
     /* 1761230 */     GIR_EraseRootFromParent_Done,
     /* 1761231 */   // Label 23989: @1761231
     /* 1761231 */   GIM_Try, /*On fail goto*//*Label 23990*/ GIMT_Encode4(1761317), // Rule ID 11369 //
     /* 1761236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1761247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1761250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1761253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761282 */     // MIs[0] policy
     /* 1761282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761292 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1761295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761316 */     // GIR_Coverage, 11369,
     /* 1761316 */     GIR_EraseRootFromParent_Done,
     /* 1761317 */   // Label 23990: @1761317
     /* 1761317 */   GIM_Try, /*On fail goto*//*Label 23991*/ GIMT_Encode4(1761403), // Rule ID 11372 //
     /* 1761322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1761333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1761336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1761339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761368 */     // MIs[0] policy
     /* 1761368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761378 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1761381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761402 */     // GIR_Coverage, 11372,
     /* 1761402 */     GIR_EraseRootFromParent_Done,
     /* 1761403 */   // Label 23991: @1761403
     /* 1761403 */   GIM_Try, /*On fail goto*//*Label 23992*/ GIMT_Encode4(1761489), // Rule ID 11373 //
     /* 1761408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1761419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1761422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1761425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1761431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761454 */     // MIs[0] policy
     /* 1761454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761464 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_MF2_MASK),
     /* 1761467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761488 */     // GIR_Coverage, 11373,
     /* 1761488 */     GIR_EraseRootFromParent_Done,
     /* 1761489 */   // Label 23992: @1761489
     /* 1761489 */   GIM_Try, /*On fail goto*//*Label 23993*/ GIMT_Encode4(1761575), // Rule ID 11376 //
     /* 1761494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1761505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1761508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1761511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761540 */     // MIs[0] policy
     /* 1761540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761550 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1761553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761574 */     // GIR_Coverage, 11376,
     /* 1761574 */     GIR_EraseRootFromParent_Done,
     /* 1761575 */   // Label 23993: @1761575
     /* 1761575 */   GIM_Try, /*On fail goto*//*Label 23994*/ GIMT_Encode4(1761661), // Rule ID 11377 //
     /* 1761580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1761591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1761594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1761597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1761603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761626 */     // MIs[0] policy
     /* 1761626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761636 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11476:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1761639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1761657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761660 */     // GIR_Coverage, 11377,
     /* 1761660 */     GIR_EraseRootFromParent_Done,
     /* 1761661 */   // Label 23994: @1761661
     /* 1761661 */   GIM_Try, /*On fail goto*//*Label 23995*/ GIMT_Encode4(1761747), // Rule ID 11380 //
     /* 1761666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1761677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1761680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1761683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761712 */     // MIs[0] policy
     /* 1761712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761722 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1761725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761746 */     // GIR_Coverage, 11380,
     /* 1761746 */     GIR_EraseRootFromParent_Done,
     /* 1761747 */   // Label 23995: @1761747
     /* 1761747 */   GIM_Try, /*On fail goto*//*Label 23996*/ GIMT_Encode4(1761833), // Rule ID 11381 //
     /* 1761752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1761763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1761766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1761769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1761775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761798 */     // MIs[0] policy
     /* 1761798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761808 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11476:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1761811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1761829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761832 */     // GIR_Coverage, 11381,
     /* 1761832 */     GIR_EraseRootFromParent_Done,
     /* 1761833 */   // Label 23996: @1761833
     /* 1761833 */   GIM_Try, /*On fail goto*//*Label 23997*/ GIMT_Encode4(1761919), // Rule ID 11384 //
     /* 1761838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1761841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1761849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1761852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1761855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1761858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1761864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761884 */     // MIs[0] policy
     /* 1761884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761894 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1761894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1761897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1761915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1761917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1761918 */     // GIR_Coverage, 11384,
     /* 1761918 */     GIR_EraseRootFromParent_Done,
     /* 1761919 */   // Label 23997: @1761919
     /* 1761919 */   GIM_Try, /*On fail goto*//*Label 23998*/ GIMT_Encode4(1762005), // Rule ID 11385 //
     /* 1761924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1761927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1761932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1761935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1761938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1761941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1761944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1761947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1761950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1761954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1761962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1761966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1761970 */     // MIs[0] policy
     /* 1761970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1761973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1761980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11476:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1761980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1761983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1761985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1761987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1761989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1761991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1761993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1761998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1762001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762004 */     // GIR_Coverage, 11385,
     /* 1762004 */     GIR_EraseRootFromParent_Done,
     /* 1762005 */   // Label 23998: @1762005
     /* 1762005 */   GIM_Try, /*On fail goto*//*Label 23999*/ GIMT_Encode4(1762091), // Rule ID 11388 //
     /* 1762010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1762021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1762024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1762027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762056 */     // MIs[0] policy
     /* 1762056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762066 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1762069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762090 */     // GIR_Coverage, 11388,
     /* 1762090 */     GIR_EraseRootFromParent_Done,
     /* 1762091 */   // Label 23999: @1762091
     /* 1762091 */   GIM_Try, /*On fail goto*//*Label 24000*/ GIMT_Encode4(1762177), // Rule ID 11389 //
     /* 1762096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1762107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1762110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1762113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762142 */     // MIs[0] policy
     /* 1762142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762152 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1762155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762176 */     // GIR_Coverage, 11389,
     /* 1762176 */     GIR_EraseRootFromParent_Done,
     /* 1762177 */   // Label 24000: @1762177
     /* 1762177 */   GIM_Try, /*On fail goto*//*Label 24001*/ GIMT_Encode4(1762263), // Rule ID 11392 //
     /* 1762182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1762193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1762196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1762199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1762205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762228 */     // MIs[0] policy
     /* 1762228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762238 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1762241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762262 */     // GIR_Coverage, 11392,
     /* 1762262 */     GIR_EraseRootFromParent_Done,
     /* 1762263 */   // Label 24001: @1762263
     /* 1762263 */   GIM_Try, /*On fail goto*//*Label 24002*/ GIMT_Encode4(1762349), // Rule ID 11393 //
     /* 1762268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1762279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1762282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1762285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1762291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762314 */     // MIs[0] policy
     /* 1762314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762324 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1762327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762348 */     // GIR_Coverage, 11393,
     /* 1762348 */     GIR_EraseRootFromParent_Done,
     /* 1762349 */   // Label 24002: @1762349
     /* 1762349 */   GIM_Try, /*On fail goto*//*Label 24003*/ GIMT_Encode4(1762435), // Rule ID 11396 //
     /* 1762354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1762365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1762368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1762371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1762377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762400 */     // MIs[0] policy
     /* 1762400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762410 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1762413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762434 */     // GIR_Coverage, 11396,
     /* 1762434 */     GIR_EraseRootFromParent_Done,
     /* 1762435 */   // Label 24003: @1762435
     /* 1762435 */   GIM_Try, /*On fail goto*//*Label 24004*/ GIMT_Encode4(1762521), // Rule ID 11397 //
     /* 1762440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1762451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1762454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1762457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1762463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762486 */     // MIs[0] policy
     /* 1762486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762496 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1762499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1762517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762520 */     // GIR_Coverage, 11397,
     /* 1762520 */     GIR_EraseRootFromParent_Done,
     /* 1762521 */   // Label 24004: @1762521
     /* 1762521 */   GIM_Try, /*On fail goto*//*Label 24005*/ GIMT_Encode4(1762607), // Rule ID 11400 //
     /* 1762526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1762537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1762540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1762543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762572 */     // MIs[0] policy
     /* 1762572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762582 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1762585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762606 */     // GIR_Coverage, 11400,
     /* 1762606 */     GIR_EraseRootFromParent_Done,
     /* 1762607 */   // Label 24005: @1762607
     /* 1762607 */   GIM_Try, /*On fail goto*//*Label 24006*/ GIMT_Encode4(1762693), // Rule ID 11401 //
     /* 1762612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1762623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1762626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1762629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1762635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1762642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1762650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762658 */     // MIs[0] policy
     /* 1762658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762668 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1762671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762692 */     // GIR_Coverage, 11401,
     /* 1762692 */     GIR_EraseRootFromParent_Done,
     /* 1762693 */   // Label 24006: @1762693
     /* 1762693 */   GIM_Try, /*On fail goto*//*Label 24007*/ GIMT_Encode4(1762779), // Rule ID 11404 //
     /* 1762698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1762709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1762712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1762715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762744 */     // MIs[0] policy
     /* 1762744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762754 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1762757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762778 */     // GIR_Coverage, 11404,
     /* 1762778 */     GIR_EraseRootFromParent_Done,
     /* 1762779 */   // Label 24007: @1762779
     /* 1762779 */   GIM_Try, /*On fail goto*//*Label 24008*/ GIMT_Encode4(1762865), // Rule ID 11405 //
     /* 1762784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1762795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1762798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1762801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1762807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1762814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1762822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762830 */     // MIs[0] policy
     /* 1762830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762840 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1762840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1762843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762864 */     // GIR_Coverage, 11405,
     /* 1762864 */     GIR_EraseRootFromParent_Done,
     /* 1762865 */   // Label 24008: @1762865
     /* 1762865 */   GIM_Try, /*On fail goto*//*Label 24009*/ GIMT_Encode4(1762951), // Rule ID 11408 //
     /* 1762870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1762873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1762881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1762884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1762887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1762890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1762893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1762896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1762916 */     // MIs[0] policy
     /* 1762916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1762919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1762926 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1762926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1762929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1762931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1762933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1762935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1762937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1762939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1762944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1762947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1762949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1762950 */     // GIR_Coverage, 11408,
     /* 1762950 */     GIR_EraseRootFromParent_Done,
     /* 1762951 */   // Label 24009: @1762951
     /* 1762951 */   GIM_Try, /*On fail goto*//*Label 24010*/ GIMT_Encode4(1763037), // Rule ID 11409 //
     /* 1762956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1762959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1762964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1762967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1762970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1762973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1762976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1762979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1762982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1762986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1762994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1762998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763002 */     // MIs[0] policy
     /* 1763002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1763015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1763033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763036 */     // GIR_Coverage, 11409,
     /* 1763036 */     GIR_EraseRootFromParent_Done,
     /* 1763037 */   // Label 24010: @1763037
     /* 1763037 */   GIM_Try, /*On fail goto*//*Label 24011*/ GIMT_Encode4(1763123), // Rule ID 11412 //
     /* 1763042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1763050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1763053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1763056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1763059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763088 */     // MIs[0] policy
     /* 1763088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763098 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1763101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763122 */     // GIR_Coverage, 11412,
     /* 1763122 */     GIR_EraseRootFromParent_Done,
     /* 1763123 */   // Label 24011: @1763123
     /* 1763123 */   GIM_Try, /*On fail goto*//*Label 24012*/ GIMT_Encode4(1763209), // Rule ID 11413 //
     /* 1763128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1763136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1763139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1763142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1763145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1763158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1763166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763174 */     // MIs[0] policy
     /* 1763174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763184 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1763187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763208 */     // GIR_Coverage, 11413,
     /* 1763208 */     GIR_EraseRootFromParent_Done,
     /* 1763209 */   // Label 24012: @1763209
     /* 1763209 */   GIM_Try, /*On fail goto*//*Label 24013*/ GIMT_Encode4(1763295), // Rule ID 11416 //
     /* 1763214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1763222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1763225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1763228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1763231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763260 */     // MIs[0] policy
     /* 1763260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763270 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1763273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763294 */     // GIR_Coverage, 11416,
     /* 1763294 */     GIR_EraseRootFromParent_Done,
     /* 1763295 */   // Label 24013: @1763295
     /* 1763295 */   GIM_Try, /*On fail goto*//*Label 24014*/ GIMT_Encode4(1763381), // Rule ID 11417 //
     /* 1763300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1763308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1763311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1763314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1763317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1763323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1763330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1763338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763346 */     // MIs[0] policy
     /* 1763346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1763359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763380 */     // GIR_Coverage, 11417,
     /* 1763380 */     GIR_EraseRootFromParent_Done,
     /* 1763381 */   // Label 24014: @1763381
     /* 1763381 */   GIM_Try, /*On fail goto*//*Label 24015*/ GIMT_Encode4(1763467), // Rule ID 11420 //
     /* 1763386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1763394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1763397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1763400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1763403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1763406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763432 */     // MIs[0] policy
     /* 1763432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763442 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1763445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763466 */     // GIR_Coverage, 11420,
     /* 1763466 */     GIR_EraseRootFromParent_Done,
     /* 1763467 */   // Label 24015: @1763467
     /* 1763467 */   GIM_Try, /*On fail goto*//*Label 24016*/ GIMT_Encode4(1763553), // Rule ID 11421 //
     /* 1763472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1763480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1763483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1763486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1763489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1763492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1763495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1763502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1763510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1763514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763518 */     // MIs[0] policy
     /* 1763518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763528 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1763531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1763549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763552 */     // GIR_Coverage, 11421,
     /* 1763552 */     GIR_EraseRootFromParent_Done,
     /* 1763553 */   // Label 24016: @1763553
     /* 1763553 */   GIM_Try, /*On fail goto*//*Label 24017*/ GIMT_Encode4(1763639), // Rule ID 11424 //
     /* 1763558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1763569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1763572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1763575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1763578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763604 */     // MIs[0] policy
     /* 1763604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1763617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763638 */     // GIR_Coverage, 11424,
     /* 1763638 */     GIR_EraseRootFromParent_Done,
     /* 1763639 */   // Label 24017: @1763639
     /* 1763639 */   GIM_Try, /*On fail goto*//*Label 24018*/ GIMT_Encode4(1763725), // Rule ID 11425 //
     /* 1763644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1763655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1763658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1763661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1763664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1763667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763690 */     // MIs[0] policy
     /* 1763690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763700 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF8_MASK),
     /* 1763703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763724 */     // GIR_Coverage, 11425,
     /* 1763724 */     GIR_EraseRootFromParent_Done,
     /* 1763725 */   // Label 24018: @1763725
     /* 1763725 */   GIM_Try, /*On fail goto*//*Label 24019*/ GIMT_Encode4(1763811), // Rule ID 11428 //
     /* 1763730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1763741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1763744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1763747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1763750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763776 */     // MIs[0] policy
     /* 1763776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1763789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763810 */     // GIR_Coverage, 11428,
     /* 1763810 */     GIR_EraseRootFromParent_Done,
     /* 1763811 */   // Label 24019: @1763811
     /* 1763811 */   GIM_Try, /*On fail goto*//*Label 24020*/ GIMT_Encode4(1763897), // Rule ID 11429 //
     /* 1763816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1763827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1763830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1763833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1763836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1763839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1763842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763862 */     // MIs[0] policy
     /* 1763862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1763872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1763875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763896 */     // GIR_Coverage, 11429,
     /* 1763896 */     GIR_EraseRootFromParent_Done,
     /* 1763897 */   // Label 24020: @1763897
     /* 1763897 */   GIM_Try, /*On fail goto*//*Label 24021*/ GIMT_Encode4(1763983), // Rule ID 11432 //
     /* 1763902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1763905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1763916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1763919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1763922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1763925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1763928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1763932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1763944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1763948 */     // MIs[0] policy
     /* 1763948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1763951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1763958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1763958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1763961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1763963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1763965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1763967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1763969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1763971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1763976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1763979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1763981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1763982 */     // GIR_Coverage, 11432,
     /* 1763982 */     GIR_EraseRootFromParent_Done,
     /* 1763983 */   // Label 24021: @1763983
     /* 1763983 */   GIM_Try, /*On fail goto*//*Label 24022*/ GIMT_Encode4(1764069), // Rule ID 11433 //
     /* 1763988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1763991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1763996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1763999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1764002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1764005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1764008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764034 */     // MIs[0] policy
     /* 1764034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764044 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1764047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764068 */     // GIR_Coverage, 11433,
     /* 1764068 */     GIR_EraseRootFromParent_Done,
     /* 1764069 */   // Label 24022: @1764069
     /* 1764069 */   GIM_Try, /*On fail goto*//*Label 24023*/ GIMT_Encode4(1764155), // Rule ID 11436 //
     /* 1764074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1764085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1764088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1764091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1764094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764120 */     // MIs[0] policy
     /* 1764120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1764133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764154 */     // GIR_Coverage, 11436,
     /* 1764154 */     GIR_EraseRootFromParent_Done,
     /* 1764155 */   // Label 24023: @1764155
     /* 1764155 */   GIM_Try, /*On fail goto*//*Label 24024*/ GIMT_Encode4(1764241), // Rule ID 11437 //
     /* 1764160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1764171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1764174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1764177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1764180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764206 */     // MIs[0] policy
     /* 1764206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764216 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF4_MASK),
     /* 1764219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764240 */     // GIR_Coverage, 11437,
     /* 1764240 */     GIR_EraseRootFromParent_Done,
     /* 1764241 */   // Label 24024: @1764241
     /* 1764241 */   GIM_Try, /*On fail goto*//*Label 24025*/ GIMT_Encode4(1764327), // Rule ID 11440 //
     /* 1764246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1764257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1764260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1764263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1764266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764292 */     // MIs[0] policy
     /* 1764292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1764305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764326 */     // GIR_Coverage, 11440,
     /* 1764326 */     GIR_EraseRootFromParent_Done,
     /* 1764327 */   // Label 24025: @1764327
     /* 1764327 */   GIM_Try, /*On fail goto*//*Label 24026*/ GIMT_Encode4(1764413), // Rule ID 11441 //
     /* 1764332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1764343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1764346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1764349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1764352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764378 */     // MIs[0] policy
     /* 1764378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1764391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764412 */     // GIR_Coverage, 11441,
     /* 1764412 */     GIR_EraseRootFromParent_Done,
     /* 1764413 */   // Label 24026: @1764413
     /* 1764413 */   GIM_Try, /*On fail goto*//*Label 24027*/ GIMT_Encode4(1764499), // Rule ID 11444 //
     /* 1764418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1764429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1764432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1764435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1764438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764464 */     // MIs[0] policy
     /* 1764464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1764477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764498 */     // GIR_Coverage, 11444,
     /* 1764498 */     GIR_EraseRootFromParent_Done,
     /* 1764499 */   // Label 24027: @1764499
     /* 1764499 */   GIM_Try, /*On fail goto*//*Label 24028*/ GIMT_Encode4(1764585), // Rule ID 11445 //
     /* 1764504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1764515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1764518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1764521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1764524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1764527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764550 */     // MIs[0] policy
     /* 1764550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_MF2_MASK),
     /* 1764563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1764581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764584 */     // GIR_Coverage, 11445,
     /* 1764584 */     GIR_EraseRootFromParent_Done,
     /* 1764585 */   // Label 24028: @1764585
     /* 1764585 */   GIM_Try, /*On fail goto*//*Label 24029*/ GIMT_Encode4(1764671), // Rule ID 11448 //
     /* 1764590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1764601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1764604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1764607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1764610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764636 */     // MIs[0] policy
     /* 1764636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1764649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764670 */     // GIR_Coverage, 11448,
     /* 1764670 */     GIR_EraseRootFromParent_Done,
     /* 1764671 */   // Label 24029: @1764671
     /* 1764671 */   GIM_Try, /*On fail goto*//*Label 24030*/ GIMT_Encode4(1764757), // Rule ID 11449 //
     /* 1764676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1764687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1764690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1764693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1764696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1764699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764722 */     // MIs[0] policy
     /* 1764722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1764735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1764753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764756 */     // GIR_Coverage, 11449,
     /* 1764756 */     GIR_EraseRootFromParent_Done,
     /* 1764757 */   // Label 24030: @1764757
     /* 1764757 */   GIM_Try, /*On fail goto*//*Label 24031*/ GIMT_Encode4(1764843), // Rule ID 11452 //
     /* 1764762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1764782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764808 */     // MIs[0] policy
     /* 1764808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1764821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764842 */     // GIR_Coverage, 11452,
     /* 1764842 */     GIR_EraseRootFromParent_Done,
     /* 1764843 */   // Label 24031: @1764843
     /* 1764843 */   GIM_Try, /*On fail goto*//*Label 24032*/ GIMT_Encode4(1764929), // Rule ID 11453 //
     /* 1764848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1764851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1764859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1764862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1764865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1764868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1764871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1764874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764894 */     // MIs[0] policy
     /* 1764894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1764904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1764907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1764915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1764917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1764922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1764925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1764927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1764928 */     // GIR_Coverage, 11453,
     /* 1764928 */     GIR_EraseRootFromParent_Done,
     /* 1764929 */   // Label 24032: @1764929
     /* 1764929 */   GIM_Try, /*On fail goto*//*Label 24033*/ GIMT_Encode4(1765015), // Rule ID 11456 //
     /* 1764934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1764937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1764942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1764945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1764948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1764951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1764954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1764957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1764960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1764964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1764976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1764980 */     // MIs[0] policy
     /* 1764980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1764983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1764990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1764990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1764993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1764995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1764997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1764999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765014 */     // GIR_Coverage, 11456,
     /* 1765014 */     GIR_EraseRootFromParent_Done,
     /* 1765015 */   // Label 24033: @1765015
     /* 1765015 */   GIM_Try, /*On fail goto*//*Label 24034*/ GIMT_Encode4(1765101), // Rule ID 11457 //
     /* 1765020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1765031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1765034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1765037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1765040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1765043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1765050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1765062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765066 */     // MIs[0] policy
     /* 1765066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1765079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1765097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765100 */     // GIR_Coverage, 11457,
     /* 1765100 */     GIR_EraseRootFromParent_Done,
     /* 1765101 */   // Label 24034: @1765101
     /* 1765101 */   GIM_Try, /*On fail goto*//*Label 24035*/ GIMT_Encode4(1765187), // Rule ID 11460 //
     /* 1765106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1765117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1765120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1765123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1765126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765152 */     // MIs[0] policy
     /* 1765152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765162 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1765165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765186 */     // GIR_Coverage, 11460,
     /* 1765186 */     GIR_EraseRootFromParent_Done,
     /* 1765187 */   // Label 24035: @1765187
     /* 1765187 */   GIM_Try, /*On fail goto*//*Label 24036*/ GIMT_Encode4(1765273), // Rule ID 11461 //
     /* 1765192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1765203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1765206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1765209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1765212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765238 */     // MIs[0] policy
     /* 1765238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765248 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1765251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765272 */     // GIR_Coverage, 11461,
     /* 1765272 */     GIR_EraseRootFromParent_Done,
     /* 1765273 */   // Label 24036: @1765273
     /* 1765273 */   GIM_Try, /*On fail goto*//*Label 24037*/ GIMT_Encode4(1765359), // Rule ID 11464 //
     /* 1765278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1765289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1765292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1765295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1765298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765324 */     // MIs[0] policy
     /* 1765324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765334 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1765337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765358 */     // GIR_Coverage, 11464,
     /* 1765358 */     GIR_EraseRootFromParent_Done,
     /* 1765359 */   // Label 24037: @1765359
     /* 1765359 */   GIM_Try, /*On fail goto*//*Label 24038*/ GIMT_Encode4(1765445), // Rule ID 11465 //
     /* 1765364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1765375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1765378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1765381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1765384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765410 */     // MIs[0] policy
     /* 1765410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765420 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1765423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765444 */     // GIR_Coverage, 11465,
     /* 1765444 */     GIR_EraseRootFromParent_Done,
     /* 1765445 */   // Label 24038: @1765445
     /* 1765445 */   GIM_Try, /*On fail goto*//*Label 24039*/ GIMT_Encode4(1765531), // Rule ID 11468 //
     /* 1765450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1765461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1765464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1765467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1765470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1765473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765496 */     // MIs[0] policy
     /* 1765496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765506 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1765509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765530 */     // GIR_Coverage, 11468,
     /* 1765530 */     GIR_EraseRootFromParent_Done,
     /* 1765531 */   // Label 24039: @1765531
     /* 1765531 */   GIM_Try, /*On fail goto*//*Label 24040*/ GIMT_Encode4(1765617), // Rule ID 11469 //
     /* 1765536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1765547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1765550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1765553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1765556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1765559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1765578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765582 */     // MIs[0] policy
     /* 1765582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765592 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1765595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1765613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765616 */     // GIR_Coverage, 11469,
     /* 1765616 */     GIR_EraseRootFromParent_Done,
     /* 1765617 */   // Label 24040: @1765617
     /* 1765617 */   GIM_Try, /*On fail goto*//*Label 24041*/ GIMT_Encode4(1765703), // Rule ID 11472 //
     /* 1765622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1765642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765668 */     // MIs[0] policy
     /* 1765668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765678 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1765681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765702 */     // GIR_Coverage, 11472,
     /* 1765702 */     GIR_EraseRootFromParent_Done,
     /* 1765703 */   // Label 24041: @1765703
     /* 1765703 */   GIM_Try, /*On fail goto*//*Label 24042*/ GIMT_Encode4(1765789), // Rule ID 11473 //
     /* 1765708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1765719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1765722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1765725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1765728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1765731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1765738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1765750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765754 */     // MIs[0] policy
     /* 1765754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765764 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1765767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765788 */     // GIR_Coverage, 11473,
     /* 1765788 */     GIR_EraseRootFromParent_Done,
     /* 1765789 */   // Label 24042: @1765789
     /* 1765789 */   GIM_Try, /*On fail goto*//*Label 24043*/ GIMT_Encode4(1765875), // Rule ID 11476 //
     /* 1765794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765840 */     // MIs[0] policy
     /* 1765840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765850 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1765850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1765853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765874 */     // GIR_Coverage, 11476,
     /* 1765874 */     GIR_EraseRootFromParent_Done,
     /* 1765875 */   // Label 24043: @1765875
     /* 1765875 */   GIM_Try, /*On fail goto*//*Label 24044*/ GIMT_Encode4(1765961), // Rule ID 11477 //
     /* 1765880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1765883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1765891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1765894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1765897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1765900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1765903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1765906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1765910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1765922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1765926 */     // MIs[0] policy
     /* 1765926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1765929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1765936 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1765936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1765939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1765941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1765943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1765945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1765947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1765949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1765954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1765957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1765959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1765960 */     // GIR_Coverage, 11477,
     /* 1765960 */     GIR_EraseRootFromParent_Done,
     /* 1765961 */   // Label 24044: @1765961
     /* 1765961 */   GIM_Try, /*On fail goto*//*Label 24045*/ GIMT_Encode4(1766047), // Rule ID 11480 //
     /* 1765966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1765969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1765974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1765977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1765980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1765983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1765986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1765989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1765992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1765996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766012 */     // MIs[0] policy
     /* 1766012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766022 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1766025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766046 */     // GIR_Coverage, 11480,
     /* 1766046 */     GIR_EraseRootFromParent_Done,
     /* 1766047 */   // Label 24045: @1766047
     /* 1766047 */   GIM_Try, /*On fail goto*//*Label 24046*/ GIMT_Encode4(1766133), // Rule ID 11481 //
     /* 1766052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1766063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1766066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1766069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1766072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1766075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766098 */     // MIs[0] policy
     /* 1766098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766108 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1766111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1766129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766132 */     // GIR_Coverage, 11481,
     /* 1766132 */     GIR_EraseRootFromParent_Done,
     /* 1766133 */   // Label 24046: @1766133
     /* 1766133 */   GIM_Try, /*On fail goto*//*Label 24047*/ GIMT_Encode4(1766219), // Rule ID 11484 //
     /* 1766138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1766149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1766152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1766155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1766158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766184 */     // MIs[0] policy
     /* 1766184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766194 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1766197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766218 */     // GIR_Coverage, 11484,
     /* 1766218 */     GIR_EraseRootFromParent_Done,
     /* 1766219 */   // Label 24047: @1766219
     /* 1766219 */   GIM_Try, /*On fail goto*//*Label 24048*/ GIMT_Encode4(1766305), // Rule ID 11485 //
     /* 1766224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1766235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1766238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1766241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1766244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1766247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1766254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1766266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766270 */     // MIs[0] policy
     /* 1766270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766280 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1766283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766304 */     // GIR_Coverage, 11485,
     /* 1766304 */     GIR_EraseRootFromParent_Done,
     /* 1766305 */   // Label 24048: @1766305
     /* 1766305 */   GIM_Try, /*On fail goto*//*Label 24049*/ GIMT_Encode4(1766391), // Rule ID 11488 //
     /* 1766310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1766321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1766324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1766327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1766330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766356 */     // MIs[0] policy
     /* 1766356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766366 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1766369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766390 */     // GIR_Coverage, 11488,
     /* 1766390 */     GIR_EraseRootFromParent_Done,
     /* 1766391 */   // Label 24049: @1766391
     /* 1766391 */   GIM_Try, /*On fail goto*//*Label 24050*/ GIMT_Encode4(1766477), // Rule ID 11489 //
     /* 1766396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1766407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1766410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1766413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1766416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1766419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1766426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1766438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766442 */     // MIs[0] policy
     /* 1766442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1766455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766476 */     // GIR_Coverage, 11489,
     /* 1766476 */     GIR_EraseRootFromParent_Done,
     /* 1766477 */   // Label 24050: @1766477
     /* 1766477 */   GIM_Try, /*On fail goto*//*Label 24051*/ GIMT_Encode4(1766563), // Rule ID 11492 //
     /* 1766482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1766493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1766496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1766499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1766502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766528 */     // MIs[0] policy
     /* 1766528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766538 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1766541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766562 */     // GIR_Coverage, 11492,
     /* 1766562 */     GIR_EraseRootFromParent_Done,
     /* 1766563 */   // Label 24051: @1766563
     /* 1766563 */   GIM_Try, /*On fail goto*//*Label 24052*/ GIMT_Encode4(1766649), // Rule ID 11493 //
     /* 1766568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1766579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1766582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1766585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1766588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1766591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1766598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1766610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766614 */     // MIs[0] policy
     /* 1766614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766624 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1766627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1766645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766648 */     // GIR_Coverage, 11493,
     /* 1766648 */     GIR_EraseRootFromParent_Done,
     /* 1766649 */   // Label 24052: @1766649
     /* 1766649 */   GIM_Try, /*On fail goto*//*Label 24053*/ GIMT_Encode4(1766735), // Rule ID 11496 //
     /* 1766654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766700 */     // MIs[0] policy
     /* 1766700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766710 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1766713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766734 */     // GIR_Coverage, 11496,
     /* 1766734 */     GIR_EraseRootFromParent_Done,
     /* 1766735 */   // Label 24053: @1766735
     /* 1766735 */   GIM_Try, /*On fail goto*//*Label 24054*/ GIMT_Encode4(1766821), // Rule ID 11497 //
     /* 1766740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1766751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1766754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1766757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1766763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766786 */     // MIs[0] policy
     /* 1766786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF8_MASK),
     /* 1766799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766820 */     // GIR_Coverage, 11497,
     /* 1766820 */     GIR_EraseRootFromParent_Done,
     /* 1766821 */   // Label 24054: @1766821
     /* 1766821 */   GIM_Try, /*On fail goto*//*Label 24055*/ GIMT_Encode4(1766907), // Rule ID 11500 //
     /* 1766826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1766829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1766846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1766852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766872 */     // MIs[0] policy
     /* 1766872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766882 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1766882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1766885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766906 */     // GIR_Coverage, 11500,
     /* 1766906 */     GIR_EraseRootFromParent_Done,
     /* 1766907 */   // Label 24055: @1766907
     /* 1766907 */   GIM_Try, /*On fail goto*//*Label 24056*/ GIMT_Encode4(1766993), // Rule ID 11501 //
     /* 1766912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1766915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1766920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1766923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1766926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1766929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1766932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1766935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1766938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1766942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1766950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1766954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1766958 */     // MIs[0] policy
     /* 1766958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1766961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1766968 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1766968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1766971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1766973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1766975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1766977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1766979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1766981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1766986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1766989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1766991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1766992 */     // GIR_Coverage, 11501,
     /* 1766992 */     GIR_EraseRootFromParent_Done,
     /* 1766993 */   // Label 24056: @1766993
     /* 1766993 */   GIM_Try, /*On fail goto*//*Label 24057*/ GIMT_Encode4(1767079), // Rule ID 11504 //
     /* 1766998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767044 */     // MIs[0] policy
     /* 1767044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767054 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1767057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767078 */     // GIR_Coverage, 11504,
     /* 1767078 */     GIR_EraseRootFromParent_Done,
     /* 1767079 */   // Label 24057: @1767079
     /* 1767079 */   GIM_Try, /*On fail goto*//*Label 24058*/ GIMT_Encode4(1767165), // Rule ID 11505 //
     /* 1767084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1767095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1767098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1767101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767130 */     // MIs[0] policy
     /* 1767130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767140 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1767143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767164 */     // GIR_Coverage, 11505,
     /* 1767164 */     GIR_EraseRootFromParent_Done,
     /* 1767165 */   // Label 24058: @1767165
     /* 1767165 */   GIM_Try, /*On fail goto*//*Label 24059*/ GIMT_Encode4(1767251), // Rule ID 11508 //
     /* 1767170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767216 */     // MIs[0] policy
     /* 1767216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767226 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1767229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767250 */     // GIR_Coverage, 11508,
     /* 1767250 */     GIR_EraseRootFromParent_Done,
     /* 1767251 */   // Label 24059: @1767251
     /* 1767251 */   GIM_Try, /*On fail goto*//*Label 24060*/ GIMT_Encode4(1767337), // Rule ID 11509 //
     /* 1767256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1767267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1767270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1767273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767302 */     // MIs[0] policy
     /* 1767302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767312 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF4_MASK),
     /* 1767315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767336 */     // GIR_Coverage, 11509,
     /* 1767336 */     GIR_EraseRootFromParent_Done,
     /* 1767337 */   // Label 24060: @1767337
     /* 1767337 */   GIM_Try, /*On fail goto*//*Label 24061*/ GIMT_Encode4(1767423), // Rule ID 11512 //
     /* 1767342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767388 */     // MIs[0] policy
     /* 1767388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767398 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1767401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767422 */     // GIR_Coverage, 11512,
     /* 1767422 */     GIR_EraseRootFromParent_Done,
     /* 1767423 */   // Label 24061: @1767423
     /* 1767423 */   GIM_Try, /*On fail goto*//*Label 24062*/ GIMT_Encode4(1767509), // Rule ID 11513 //
     /* 1767428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1767439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1767442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1767445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1767451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767474 */     // MIs[0] policy
     /* 1767474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767484 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1767487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767508 */     // GIR_Coverage, 11513,
     /* 1767508 */     GIR_EraseRootFromParent_Done,
     /* 1767509 */   // Label 24062: @1767509
     /* 1767509 */   GIM_Try, /*On fail goto*//*Label 24063*/ GIMT_Encode4(1767595), // Rule ID 11516 //
     /* 1767514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767560 */     // MIs[0] policy
     /* 1767560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767570 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1767573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767594 */     // GIR_Coverage, 11516,
     /* 1767594 */     GIR_EraseRootFromParent_Done,
     /* 1767595 */   // Label 24063: @1767595
     /* 1767595 */   GIM_Try, /*On fail goto*//*Label 24064*/ GIMT_Encode4(1767681), // Rule ID 11517 //
     /* 1767600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1767611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1767614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1767617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1767623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767646 */     // MIs[0] policy
     /* 1767646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767656 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_MF2_MASK),
     /* 1767659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1767677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767680 */     // GIR_Coverage, 11517,
     /* 1767680 */     GIR_EraseRootFromParent_Done,
     /* 1767681 */   // Label 24064: @1767681
     /* 1767681 */   GIM_Try, /*On fail goto*//*Label 24065*/ GIMT_Encode4(1767767), // Rule ID 11520 //
     /* 1767686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767732 */     // MIs[0] policy
     /* 1767732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767742 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1767745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767766 */     // GIR_Coverage, 11520,
     /* 1767766 */     GIR_EraseRootFromParent_Done,
     /* 1767767 */   // Label 24065: @1767767
     /* 1767767 */   GIM_Try, /*On fail goto*//*Label 24066*/ GIMT_Encode4(1767853), // Rule ID 11521 //
     /* 1767772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1767783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1767786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1767789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1767795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767818 */     // MIs[0] policy
     /* 1767818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767828 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11474:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1767828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1767831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1767849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767852 */     // GIR_Coverage, 11521,
     /* 1767852 */     GIR_EraseRootFromParent_Done,
     /* 1767853 */   // Label 24066: @1767853
     /* 1767853 */   GIM_Try, /*On fail goto*//*Label 24067*/ GIMT_Encode4(1767939), // Rule ID 11524 //
     /* 1767858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1767861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1767878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1767884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767904 */     // MIs[0] policy
     /* 1767904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1767914 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1767914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1767917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1767919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1767921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1767923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1767925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1767927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1767932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1767935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1767937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1767938 */     // GIR_Coverage, 11524,
     /* 1767938 */     GIR_EraseRootFromParent_Done,
     /* 1767939 */   // Label 24067: @1767939
     /* 1767939 */   GIM_Try, /*On fail goto*//*Label 24068*/ GIMT_Encode4(1768025), // Rule ID 11525 //
     /* 1767944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1767947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1767952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1767955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1767958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1767961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1767964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1767967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1767970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1767974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1767982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1767986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1767990 */     // MIs[0] policy
     /* 1767990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1767993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768000 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11474:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1768003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768024 */     // GIR_Coverage, 11525,
     /* 1768024 */     GIR_EraseRootFromParent_Done,
     /* 1768025 */   // Label 24068: @1768025
     /* 1768025 */   GIM_Try, /*On fail goto*//*Label 24069*/ GIMT_Encode4(1768111), // Rule ID 11528 //
     /* 1768030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768076 */     // MIs[0] policy
     /* 1768076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768086 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1768089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768110 */     // GIR_Coverage, 11528,
     /* 1768110 */     GIR_EraseRootFromParent_Done,
     /* 1768111 */   // Label 24069: @1768111
     /* 1768111 */   GIM_Try, /*On fail goto*//*Label 24070*/ GIMT_Encode4(1768197), // Rule ID 11529 //
     /* 1768116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1768127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1768130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1768133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1768139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1768146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1768154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768162 */     // MIs[0] policy
     /* 1768162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768172 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11474:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1768175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1768193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768196 */     // GIR_Coverage, 11529,
     /* 1768196 */     GIR_EraseRootFromParent_Done,
     /* 1768197 */   // Label 24070: @1768197
     /* 1768197 */   GIM_Try, /*On fail goto*//*Label 24071*/ GIMT_Encode4(1768283), // Rule ID 11532 //
     /* 1768202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768248 */     // MIs[0] policy
     /* 1768248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768258 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1768261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768282 */     // GIR_Coverage, 11532,
     /* 1768282 */     GIR_EraseRootFromParent_Done,
     /* 1768283 */   // Label 24071: @1768283
     /* 1768283 */   GIM_Try, /*On fail goto*//*Label 24072*/ GIMT_Encode4(1768369), // Rule ID 11533 //
     /* 1768288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1768299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1768302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1768305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768334 */     // MIs[0] policy
     /* 1768334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768344 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1768347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768368 */     // GIR_Coverage, 11533,
     /* 1768368 */     GIR_EraseRootFromParent_Done,
     /* 1768369 */   // Label 24072: @1768369
     /* 1768369 */   GIM_Try, /*On fail goto*//*Label 24073*/ GIMT_Encode4(1768455), // Rule ID 11536 //
     /* 1768374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768420 */     // MIs[0] policy
     /* 1768420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768430 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1768433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768454 */     // GIR_Coverage, 11536,
     /* 1768454 */     GIR_EraseRootFromParent_Done,
     /* 1768455 */   // Label 24073: @1768455
     /* 1768455 */   GIM_Try, /*On fail goto*//*Label 24074*/ GIMT_Encode4(1768541), // Rule ID 11537 //
     /* 1768460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1768471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1768474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1768477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1768483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768506 */     // MIs[0] policy
     /* 1768506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768516 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1768519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768540 */     // GIR_Coverage, 11537,
     /* 1768540 */     GIR_EraseRootFromParent_Done,
     /* 1768541 */   // Label 24074: @1768541
     /* 1768541 */   GIM_Try, /*On fail goto*//*Label 24075*/ GIMT_Encode4(1768627), // Rule ID 11540 //
     /* 1768546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768592 */     // MIs[0] policy
     /* 1768592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768602 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1768605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768626 */     // GIR_Coverage, 11540,
     /* 1768626 */     GIR_EraseRootFromParent_Done,
     /* 1768627 */   // Label 24075: @1768627
     /* 1768627 */   GIM_Try, /*On fail goto*//*Label 24076*/ GIMT_Encode4(1768713), // Rule ID 11541 //
     /* 1768632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1768643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1768646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1768649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1768655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1768662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1768670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768678 */     // MIs[0] policy
     /* 1768678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768688 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1768691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1768709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768712 */     // GIR_Coverage, 11541,
     /* 1768712 */     GIR_EraseRootFromParent_Done,
     /* 1768713 */   // Label 24076: @1768713
     /* 1768713 */   GIM_Try, /*On fail goto*//*Label 24077*/ GIMT_Encode4(1768799), // Rule ID 11544 //
     /* 1768718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1768735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768764 */     // MIs[0] policy
     /* 1768764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1768777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768798 */     // GIR_Coverage, 11544,
     /* 1768798 */     GIR_EraseRootFromParent_Done,
     /* 1768799 */   // Label 24077: @1768799
     /* 1768799 */   GIM_Try, /*On fail goto*//*Label 24078*/ GIMT_Encode4(1768885), // Rule ID 11545 //
     /* 1768804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1768815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1768818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1768821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1768827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1768830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1768834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1768842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768850 */     // MIs[0] policy
     /* 1768850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768860 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1768860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1768863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768884 */     // GIR_Coverage, 11545,
     /* 1768884 */     GIR_EraseRootFromParent_Done,
     /* 1768885 */   // Label 24078: @1768885
     /* 1768885 */   GIM_Try, /*On fail goto*//*Label 24079*/ GIMT_Encode4(1768971), // Rule ID 11548 //
     /* 1768890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1768893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1768901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1768904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1768907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1768910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1768916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1768920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1768928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1768932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1768936 */     // MIs[0] policy
     /* 1768936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1768939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1768946 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1768946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1768949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1768951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1768953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1768955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1768957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1768959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1768964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1768967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1768969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1768970 */     // GIR_Coverage, 11548,
     /* 1768970 */     GIR_EraseRootFromParent_Done,
     /* 1768971 */   // Label 24079: @1768971
     /* 1768971 */   GIM_Try, /*On fail goto*//*Label 24080*/ GIMT_Encode4(1769057), // Rule ID 11549 //
     /* 1768976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1768979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1768984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1768987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1768990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1768993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1768996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1768999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769022 */     // MIs[0] policy
     /* 1769022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769032 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1769035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769056 */     // GIR_Coverage, 11549,
     /* 1769056 */     GIR_EraseRootFromParent_Done,
     /* 1769057 */   // Label 24080: @1769057
     /* 1769057 */   GIM_Try, /*On fail goto*//*Label 24081*/ GIMT_Encode4(1769143), // Rule ID 11552 //
     /* 1769062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769108 */     // MIs[0] policy
     /* 1769108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769118 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1769121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769142 */     // GIR_Coverage, 11552,
     /* 1769142 */     GIR_EraseRootFromParent_Done,
     /* 1769143 */   // Label 24081: @1769143
     /* 1769143 */   GIM_Try, /*On fail goto*//*Label 24082*/ GIMT_Encode4(1769229), // Rule ID 11553 //
     /* 1769148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1769159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1769162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1769165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1769171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769194 */     // MIs[0] policy
     /* 1769194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769204 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1769207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1769225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769228 */     // GIR_Coverage, 11553,
     /* 1769228 */     GIR_EraseRootFromParent_Done,
     /* 1769229 */   // Label 24082: @1769229
     /* 1769229 */   GIM_Try, /*On fail goto*//*Label 24083*/ GIMT_Encode4(1769315), // Rule ID 11556 //
     /* 1769234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769280 */     // MIs[0] policy
     /* 1769280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769290 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1769293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769314 */     // GIR_Coverage, 11556,
     /* 1769314 */     GIR_EraseRootFromParent_Done,
     /* 1769315 */   // Label 24083: @1769315
     /* 1769315 */   GIM_Try, /*On fail goto*//*Label 24084*/ GIMT_Encode4(1769401), // Rule ID 11557 //
     /* 1769320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1769331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1769334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1769337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1769343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769366 */     // MIs[0] policy
     /* 1769366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769376 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1769379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769400 */     // GIR_Coverage, 11557,
     /* 1769400 */     GIR_EraseRootFromParent_Done,
     /* 1769401 */   // Label 24084: @1769401
     /* 1769401 */   GIM_Try, /*On fail goto*//*Label 24085*/ GIMT_Encode4(1769487), // Rule ID 11560 //
     /* 1769406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769452 */     // MIs[0] policy
     /* 1769452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769462 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1769465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769486 */     // GIR_Coverage, 11560,
     /* 1769486 */     GIR_EraseRootFromParent_Done,
     /* 1769487 */   // Label 24085: @1769487
     /* 1769487 */   GIM_Try, /*On fail goto*//*Label 24086*/ GIMT_Encode4(1769573), // Rule ID 11561 //
     /* 1769492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1769503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1769506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1769509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1769515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1769522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1769530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769538 */     // MIs[0] policy
     /* 1769538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769548 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1769551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769572 */     // GIR_Coverage, 11561,
     /* 1769572 */     GIR_EraseRootFromParent_Done,
     /* 1769573 */   // Label 24086: @1769573
     /* 1769573 */   GIM_Try, /*On fail goto*//*Label 24087*/ GIMT_Encode4(1769659), // Rule ID 11564 //
     /* 1769578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1769581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1769598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769624 */     // MIs[0] policy
     /* 1769624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769634 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1769637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769658 */     // GIR_Coverage, 11564,
     /* 1769658 */     GIR_EraseRootFromParent_Done,
     /* 1769659 */   // Label 24087: @1769659
     /* 1769659 */   GIM_Try, /*On fail goto*//*Label 24088*/ GIMT_Encode4(1769745), // Rule ID 11565 //
     /* 1769664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1769667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1769672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1769675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1769678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1769681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1769684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1769687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1769694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1769702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1769706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769710 */     // MIs[0] policy
     /* 1769710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769720 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1769723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1769741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769744 */     // GIR_Coverage, 11565,
     /* 1769744 */     GIR_EraseRootFromParent_Done,
     /* 1769745 */   // Label 24088: @1769745
     /* 1769745 */   GIM_Try, /*On fail goto*//*Label 24089*/ GIMT_Encode4(1769831), // Rule ID 11568 //
     /* 1769750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1769753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1769761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1769764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1769767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1769770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769796 */     // MIs[0] policy
     /* 1769796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769806 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1769809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769830 */     // GIR_Coverage, 11568,
     /* 1769830 */     GIR_EraseRootFromParent_Done,
     /* 1769831 */   // Label 24089: @1769831
     /* 1769831 */   GIM_Try, /*On fail goto*//*Label 24090*/ GIMT_Encode4(1769917), // Rule ID 11569 //
     /* 1769836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1769839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1769847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1769850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1769853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1769856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1769859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1769862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1769866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1769878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769882 */     // MIs[0] policy
     /* 1769882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769892 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1769892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1_MASK),
     /* 1769895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1769915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1769916 */     // GIR_Coverage, 11569,
     /* 1769916 */     GIR_EraseRootFromParent_Done,
     /* 1769917 */   // Label 24090: @1769917
     /* 1769917 */   GIM_Try, /*On fail goto*//*Label 24091*/ GIMT_Encode4(1770003), // Rule ID 11572 //
     /* 1769922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1769925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1769930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1769933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1769936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1769939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1769942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1769945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1769948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1769952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1769964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1769968 */     // MIs[0] policy
     /* 1769968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1769971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1769978 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1769978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1769981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1769983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1769985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1769987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1769989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1769991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1769996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1769999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770002 */     // GIR_Coverage, 11572,
     /* 1770002 */     GIR_EraseRootFromParent_Done,
     /* 1770003 */   // Label 24091: @1770003
     /* 1770003 */   GIM_Try, /*On fail goto*//*Label 24092*/ GIMT_Encode4(1770089), // Rule ID 11573 //
     /* 1770008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1770011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1770028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770054 */     // MIs[0] policy
     /* 1770054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770064 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2_MASK),
     /* 1770067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770088 */     // GIR_Coverage, 11573,
     /* 1770088 */     GIR_EraseRootFromParent_Done,
     /* 1770089 */   // Label 24092: @1770089
     /* 1770089 */   GIM_Try, /*On fail goto*//*Label 24093*/ GIMT_Encode4(1770175), // Rule ID 11576 //
     /* 1770094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1770097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1770114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770140 */     // MIs[0] policy
     /* 1770140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770150 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1770153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770174 */     // GIR_Coverage, 11576,
     /* 1770174 */     GIR_EraseRootFromParent_Done,
     /* 1770175 */   // Label 24093: @1770175
     /* 1770175 */   GIM_Try, /*On fail goto*//*Label 24094*/ GIMT_Encode4(1770261), // Rule ID 11577 //
     /* 1770180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1770183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1770200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770226 */     // MIs[0] policy
     /* 1770226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770236 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4_MASK),
     /* 1770239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770260 */     // GIR_Coverage, 11577,
     /* 1770260 */     GIR_EraseRootFromParent_Done,
     /* 1770261 */   // Label 24094: @1770261
     /* 1770261 */   GIM_Try, /*On fail goto*//*Label 24095*/ GIMT_Encode4(1770347), // Rule ID 11580 //
     /* 1770266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1770269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1770286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770312 */     // MIs[0] policy
     /* 1770312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770322 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1770325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770346 */     // GIR_Coverage, 11580,
     /* 1770346 */     GIR_EraseRootFromParent_Done,
     /* 1770347 */   // Label 24095: @1770347
     /* 1770347 */   GIM_Try, /*On fail goto*//*Label 24096*/ GIMT_Encode4(1770433), // Rule ID 11581 //
     /* 1770352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1770355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1770372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770398 */     // MIs[0] policy
     /* 1770398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770408 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8_MASK),
     /* 1770411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770432 */     // GIR_Coverage, 11581,
     /* 1770432 */     GIR_EraseRootFromParent_Done,
     /* 1770433 */   // Label 24096: @1770433
     /* 1770433 */   GIM_Try, /*On fail goto*//*Label 24097*/ GIMT_Encode4(1770519), // Rule ID 11584 //
     /* 1770438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1770441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1770449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1770452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1770455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770484 */     // MIs[0] policy
     /* 1770484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770494 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1770497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770518 */     // GIR_Coverage, 11584,
     /* 1770518 */     GIR_EraseRootFromParent_Done,
     /* 1770519 */   // Label 24097: @1770519
     /* 1770519 */   GIM_Try, /*On fail goto*//*Label 24098*/ GIMT_Encode4(1770605), // Rule ID 11585 //
     /* 1770524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1770527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1770535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1770538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1770541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1770547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1770554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1770562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770570 */     // MIs[0] policy
     /* 1770570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770580 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11472:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M1_MASK),
     /* 1770583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770604 */     // GIR_Coverage, 11585,
     /* 1770604 */     GIR_EraseRootFromParent_Done,
     /* 1770605 */   // Label 24098: @1770605
     /* 1770605 */   GIM_Try, /*On fail goto*//*Label 24099*/ GIMT_Encode4(1770691), // Rule ID 11588 //
     /* 1770610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1770613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770656 */     // MIs[0] policy
     /* 1770656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1770669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770690 */     // GIR_Coverage, 11588,
     /* 1770690 */     GIR_EraseRootFromParent_Done,
     /* 1770691 */   // Label 24099: @1770691
     /* 1770691 */   GIM_Try, /*On fail goto*//*Label 24100*/ GIMT_Encode4(1770777), // Rule ID 11589 //
     /* 1770696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1770699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1770707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1770710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1770713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1770719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1770726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1770734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770742 */     // MIs[0] policy
     /* 1770742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11472:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M2_MASK),
     /* 1770755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770776 */     // GIR_Coverage, 11589,
     /* 1770776 */     GIR_EraseRootFromParent_Done,
     /* 1770777 */   // Label 24100: @1770777
     /* 1770777 */   GIM_Try, /*On fail goto*//*Label 24101*/ GIMT_Encode4(1770863), // Rule ID 11592 //
     /* 1770782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1770785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770828 */     // MIs[0] policy
     /* 1770828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1770838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1770841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770862 */     // GIR_Coverage, 11592,
     /* 1770862 */     GIR_EraseRootFromParent_Done,
     /* 1770863 */   // Label 24101: @1770863
     /* 1770863 */   GIM_Try, /*On fail goto*//*Label 24102*/ GIMT_Encode4(1770949), // Rule ID 11593 //
     /* 1770868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1770871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1770879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1770882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1770885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1770888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1770891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1770894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1770898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1770906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1770914 */     // MIs[0] policy
     /* 1770914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1770917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1770924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11472:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1770924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M4_MASK),
     /* 1770927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1770929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1770931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1770933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1770935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1770937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1770942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1770945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1770947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1770948 */     // GIR_Coverage, 11593,
     /* 1770948 */     GIR_EraseRootFromParent_Done,
     /* 1770949 */   // Label 24102: @1770949
     /* 1770949 */   GIM_Try, /*On fail goto*//*Label 24103*/ GIMT_Encode4(1771035), // Rule ID 11596 //
     /* 1770954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1770957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1770962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1770965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1770968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1770971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1770974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1770977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1770980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1770984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1770992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1770996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771000 */     // MIs[0] policy
     /* 1771000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1771013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771034 */     // GIR_Coverage, 11596,
     /* 1771034 */     GIR_EraseRootFromParent_Done,
     /* 1771035 */   // Label 24103: @1771035
     /* 1771035 */   GIM_Try, /*On fail goto*//*Label 24104*/ GIMT_Encode4(1771121), // Rule ID 11597 //
     /* 1771040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1771043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulh_mask),
     /* 1771048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1771051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1771054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1771057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771086 */     // MIs[0] policy
     /* 1771086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11472:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VX_M8_MASK),
     /* 1771099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771120 */     // GIR_Coverage, 11597,
     /* 1771120 */     GIR_EraseRootFromParent_Done,
     /* 1771121 */   // Label 24104: @1771121
     /* 1771121 */   GIM_Try, /*On fail goto*//*Label 24105*/ GIMT_Encode4(1771207), // Rule ID 11600 //
     /* 1771126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1771129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1771146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771172 */     // MIs[0] policy
     /* 1771172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771182 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1771185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771206 */     // GIR_Coverage, 11600,
     /* 1771206 */     GIR_EraseRootFromParent_Done,
     /* 1771207 */   // Label 24105: @1771207
     /* 1771207 */   GIM_Try, /*On fail goto*//*Label 24106*/ GIMT_Encode4(1771293), // Rule ID 11601 //
     /* 1771212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1771215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1771232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771258 */     // MIs[0] policy
     /* 1771258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771268 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1_MASK),
     /* 1771271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771292 */     // GIR_Coverage, 11601,
     /* 1771292 */     GIR_EraseRootFromParent_Done,
     /* 1771293 */   // Label 24106: @1771293
     /* 1771293 */   GIM_Try, /*On fail goto*//*Label 24107*/ GIMT_Encode4(1771379), // Rule ID 11604 //
     /* 1771298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1771301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1771309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1771312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1771315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1771318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771344 */     // MIs[0] policy
     /* 1771344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771354 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1771357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771378 */     // GIR_Coverage, 11604,
     /* 1771378 */     GIR_EraseRootFromParent_Done,
     /* 1771379 */   // Label 24107: @1771379
     /* 1771379 */   GIM_Try, /*On fail goto*//*Label 24108*/ GIMT_Encode4(1771465), // Rule ID 11605 //
     /* 1771384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1771387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1771395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1771398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1771401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1771404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1771407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1771414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1771426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771430 */     // MIs[0] policy
     /* 1771430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2_MASK),
     /* 1771443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771464 */     // GIR_Coverage, 11605,
     /* 1771464 */     GIR_EraseRootFromParent_Done,
     /* 1771465 */   // Label 24108: @1771465
     /* 1771465 */   GIM_Try, /*On fail goto*//*Label 24109*/ GIMT_Encode4(1771551), // Rule ID 11608 //
     /* 1771470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1771473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1771481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1771484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1771487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1771490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771516 */     // MIs[0] policy
     /* 1771516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771526 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1771529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771550 */     // GIR_Coverage, 11608,
     /* 1771550 */     GIR_EraseRootFromParent_Done,
     /* 1771551 */   // Label 24109: @1771551
     /* 1771551 */   GIM_Try, /*On fail goto*//*Label 24110*/ GIMT_Encode4(1771637), // Rule ID 11609 //
     /* 1771556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1771559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1771567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1771570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1771573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1771576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1771579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1771586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1771598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771602 */     // MIs[0] policy
     /* 1771602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771612 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4_MASK),
     /* 1771615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771636 */     // GIR_Coverage, 11609,
     /* 1771636 */     GIR_EraseRootFromParent_Done,
     /* 1771637 */   // Label 24110: @1771637
     /* 1771637 */   GIM_Try, /*On fail goto*//*Label 24111*/ GIMT_Encode4(1771723), // Rule ID 11612 //
     /* 1771642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1771645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1771653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1771656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1771659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1771662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771688 */     // MIs[0] policy
     /* 1771688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771698 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1771701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771722 */     // GIR_Coverage, 11612,
     /* 1771722 */     GIR_EraseRootFromParent_Done,
     /* 1771723 */   // Label 24111: @1771723
     /* 1771723 */   GIM_Try, /*On fail goto*//*Label 24112*/ GIMT_Encode4(1771809), // Rule ID 11613 //
     /* 1771728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1771731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1771739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1771742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1771745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1771748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1771751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1771758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1771770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771774 */     // MIs[0] policy
     /* 1771774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771784 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8_MASK),
     /* 1771787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771808 */     // GIR_Coverage, 11613,
     /* 1771808 */     GIR_EraseRootFromParent_Done,
     /* 1771809 */   // Label 24112: @1771809
     /* 1771809 */   GIM_Try, /*On fail goto*//*Label 24113*/ GIMT_Encode4(1771895), // Rule ID 11616 //
     /* 1771814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1771817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1771834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1771840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771860 */     // MIs[0] policy
     /* 1771860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771870 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1771870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1771873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771894 */     // GIR_Coverage, 11616,
     /* 1771894 */     GIR_EraseRootFromParent_Done,
     /* 1771895 */   // Label 24113: @1771895
     /* 1771895 */   GIM_Try, /*On fail goto*//*Label 24114*/ GIMT_Encode4(1771981), // Rule ID 11617 //
     /* 1771900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1771903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1771911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1771914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1771917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1771920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1771923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1771926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1771930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1771938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1771942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1771946 */     // MIs[0] policy
     /* 1771946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1771949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1771956 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11476:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1771956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M1_MASK),
     /* 1771959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1771961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1771963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1771965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1771967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1771969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1771974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1771977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1771979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1771980 */     // GIR_Coverage, 11617,
     /* 1771980 */     GIR_EraseRootFromParent_Done,
     /* 1771981 */   // Label 24114: @1771981
     /* 1771981 */   GIM_Try, /*On fail goto*//*Label 24115*/ GIMT_Encode4(1772067), // Rule ID 11620 //
     /* 1771986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1771989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1771994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1771997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772032 */     // MIs[0] policy
     /* 1772032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772042 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1772045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772066 */     // GIR_Coverage, 11620,
     /* 1772066 */     GIR_EraseRootFromParent_Done,
     /* 1772067 */   // Label 24115: @1772067
     /* 1772067 */   GIM_Try, /*On fail goto*//*Label 24116*/ GIMT_Encode4(1772153), // Rule ID 11621 //
     /* 1772072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1772075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1772083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772118 */     // MIs[0] policy
     /* 1772118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11476:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M2_MASK),
     /* 1772131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772152 */     // GIR_Coverage, 11621,
     /* 1772152 */     GIR_EraseRootFromParent_Done,
     /* 1772153 */   // Label 24116: @1772153
     /* 1772153 */   GIM_Try, /*On fail goto*//*Label 24117*/ GIMT_Encode4(1772239), // Rule ID 11624 //
     /* 1772158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1772161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1772169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1772172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1772175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772204 */     // MIs[0] policy
     /* 1772204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772214 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1772217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772238 */     // GIR_Coverage, 11624,
     /* 1772238 */     GIR_EraseRootFromParent_Done,
     /* 1772239 */   // Label 24117: @1772239
     /* 1772239 */   GIM_Try, /*On fail goto*//*Label 24118*/ GIMT_Encode4(1772325), // Rule ID 11625 //
     /* 1772244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1772247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1772255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1772258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1772261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772290 */     // MIs[0] policy
     /* 1772290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772300 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11476:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M4_MASK),
     /* 1772303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772324 */     // GIR_Coverage, 11625,
     /* 1772324 */     GIR_EraseRootFromParent_Done,
     /* 1772325 */   // Label 24118: @1772325
     /* 1772325 */   GIM_Try, /*On fail goto*//*Label 24119*/ GIMT_Encode4(1772411), // Rule ID 11628 //
     /* 1772330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1772333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1772341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1772344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1772347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1772350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772376 */     // MIs[0] policy
     /* 1772376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772386 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1772389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772410 */     // GIR_Coverage, 11628,
     /* 1772410 */     GIR_EraseRootFromParent_Done,
     /* 1772411 */   // Label 24119: @1772411
     /* 1772411 */   GIM_Try, /*On fail goto*//*Label 24120*/ GIMT_Encode4(1772497), // Rule ID 11629 //
     /* 1772416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1772419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhu_mask),
     /* 1772424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1772427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1772430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1772433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1772436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1772439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1772446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1772454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1772458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772462 */     // MIs[0] policy
     /* 1772462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772472 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11476:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VX_M8_MASK),
     /* 1772475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772496 */     // GIR_Coverage, 11629,
     /* 1772496 */     GIR_EraseRootFromParent_Done,
     /* 1772497 */   // Label 24120: @1772497
     /* 1772497 */   GIM_Try, /*On fail goto*//*Label 24121*/ GIMT_Encode4(1772583), // Rule ID 11632 //
     /* 1772502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1772505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1772510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1772522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772548 */     // MIs[0] policy
     /* 1772548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772558 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1772561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772582 */     // GIR_Coverage, 11632,
     /* 1772582 */     GIR_EraseRootFromParent_Done,
     /* 1772583 */   // Label 24121: @1772583
     /* 1772583 */   GIM_Try, /*On fail goto*//*Label 24122*/ GIMT_Encode4(1772669), // Rule ID 11633 //
     /* 1772588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1772591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1772596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1772599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1772602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1772605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1772608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1772611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1772618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1772630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772634 */     // MIs[0] policy
     /* 1772634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772644 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M1_MASK),
     /* 1772647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772668 */     // GIR_Coverage, 11633,
     /* 1772668 */     GIR_EraseRootFromParent_Done,
     /* 1772669 */   // Label 24122: @1772669
     /* 1772669 */   GIM_Try, /*On fail goto*//*Label 24123*/ GIMT_Encode4(1772755), // Rule ID 11636 //
     /* 1772674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1772677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1772682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1772685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1772694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772720 */     // MIs[0] policy
     /* 1772720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772730 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1772733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772754 */     // GIR_Coverage, 11636,
     /* 1772754 */     GIR_EraseRootFromParent_Done,
     /* 1772755 */   // Label 24123: @1772755
     /* 1772755 */   GIM_Try, /*On fail goto*//*Label 24124*/ GIMT_Encode4(1772841), // Rule ID 11637 //
     /* 1772760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1772763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1772768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1772771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1772774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1772777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1772780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1772783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1772790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1772802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772806 */     // MIs[0] policy
     /* 1772806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772816 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M2_MASK),
     /* 1772819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772840 */     // GIR_Coverage, 11637,
     /* 1772840 */     GIR_EraseRootFromParent_Done,
     /* 1772841 */   // Label 24124: @1772841
     /* 1772841 */   GIM_Try, /*On fail goto*//*Label 24125*/ GIMT_Encode4(1772927), // Rule ID 11640 //
     /* 1772846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1772849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1772854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1772857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1772860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1772863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1772866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1772872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772892 */     // MIs[0] policy
     /* 1772892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1772902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1772905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1772915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1772920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1772923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1772925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1772926 */     // GIR_Coverage, 11640,
     /* 1772926 */     GIR_EraseRootFromParent_Done,
     /* 1772927 */   // Label 24125: @1772927
     /* 1772927 */   GIM_Try, /*On fail goto*//*Label 24126*/ GIMT_Encode4(1773013), // Rule ID 11641 //
     /* 1772932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1772935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1772940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1772943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1772946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1772949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1772952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1772955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1772958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1772962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1772974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1772978 */     // MIs[0] policy
     /* 1772978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1772981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1772988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1772988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M4_MASK),
     /* 1772991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1772993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1772995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1772997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1772999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773012 */     // GIR_Coverage, 11641,
     /* 1773012 */     GIR_EraseRootFromParent_Done,
     /* 1773013 */   // Label 24126: @1773013
     /* 1773013 */   GIM_Try, /*On fail goto*//*Label 24127*/ GIMT_Encode4(1773099), // Rule ID 11644 //
     /* 1773018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1773021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1773038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773064 */     // MIs[0] policy
     /* 1773064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773074 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1773077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773098 */     // GIR_Coverage, 11644,
     /* 1773098 */     GIR_EraseRootFromParent_Done,
     /* 1773099 */   // Label 24127: @1773099
     /* 1773099 */   GIM_Try, /*On fail goto*//*Label 24128*/ GIMT_Encode4(1773185), // Rule ID 11645 //
     /* 1773104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1773107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1773124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773150 */     // MIs[0] policy
     /* 1773150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773160 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VV_M8_MASK),
     /* 1773163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773184 */     // GIR_Coverage, 11645,
     /* 1773184 */     GIR_EraseRootFromParent_Done,
     /* 1773185 */   // Label 24128: @1773185
     /* 1773185 */   GIM_Try, /*On fail goto*//*Label 24129*/ GIMT_Encode4(1773271), // Rule ID 11648 //
     /* 1773190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1773193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1773201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1773204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1773207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773236 */     // MIs[0] policy
     /* 1773236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773246 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1773249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773270 */     // GIR_Coverage, 11648,
     /* 1773270 */     GIR_EraseRootFromParent_Done,
     /* 1773271 */   // Label 24129: @1773271
     /* 1773271 */   GIM_Try, /*On fail goto*//*Label 24130*/ GIMT_Encode4(1773357), // Rule ID 11649 //
     /* 1773276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1773279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1773287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1773290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1773293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773322 */     // MIs[0] policy
     /* 1773322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11474:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M1_MASK),
     /* 1773335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773356 */     // GIR_Coverage, 11649,
     /* 1773356 */     GIR_EraseRootFromParent_Done,
     /* 1773357 */   // Label 24130: @1773357
     /* 1773357 */   GIM_Try, /*On fail goto*//*Label 24131*/ GIMT_Encode4(1773443), // Rule ID 11652 //
     /* 1773362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1773365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773408 */     // MIs[0] policy
     /* 1773408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773418 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1773421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773442 */     // GIR_Coverage, 11652,
     /* 1773442 */     GIR_EraseRootFromParent_Done,
     /* 1773443 */   // Label 24131: @1773443
     /* 1773443 */   GIM_Try, /*On fail goto*//*Label 24132*/ GIMT_Encode4(1773529), // Rule ID 11653 //
     /* 1773448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1773451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1773459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1773462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1773465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1773471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1773478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1773486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773494 */     // MIs[0] policy
     /* 1773494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773504 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11474:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M2_MASK),
     /* 1773507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773528 */     // GIR_Coverage, 11653,
     /* 1773528 */     GIR_EraseRootFromParent_Done,
     /* 1773529 */   // Label 24132: @1773529
     /* 1773529 */   GIM_Try, /*On fail goto*//*Label 24133*/ GIMT_Encode4(1773615), // Rule ID 11656 //
     /* 1773534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1773537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773580 */     // MIs[0] policy
     /* 1773580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773590 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1773593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773614 */     // GIR_Coverage, 11656,
     /* 1773614 */     GIR_EraseRootFromParent_Done,
     /* 1773615 */   // Label 24133: @1773615
     /* 1773615 */   GIM_Try, /*On fail goto*//*Label 24134*/ GIMT_Encode4(1773701), // Rule ID 11657 //
     /* 1773620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1773623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1773631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1773634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1773637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1773643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1773650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1773658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773666 */     // MIs[0] policy
     /* 1773666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773676 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11474:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M4_MASK),
     /* 1773679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773700 */     // GIR_Coverage, 11657,
     /* 1773700 */     GIR_EraseRootFromParent_Done,
     /* 1773701 */   // Label 24134: @1773701
     /* 1773701 */   GIM_Try, /*On fail goto*//*Label 24135*/ GIMT_Encode4(1773787), // Rule ID 11660 //
     /* 1773706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 1773709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1773726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773752 */     // MIs[0] policy
     /* 1773752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773762 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1773765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773786 */     // GIR_Coverage, 11660,
     /* 1773786 */     GIR_EraseRootFromParent_Done,
     /* 1773787 */   // Label 24135: @1773787
     /* 1773787 */   GIM_Try, /*On fail goto*//*Label 24136*/ GIMT_Encode4(1773873), // Rule ID 11661 //
     /* 1773792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 1773795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmulhsu_mask),
     /* 1773800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1773803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1773806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1773809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1773812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1773815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1773822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1773830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1773834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773838 */     // MIs[0] policy
     /* 1773838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773848 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11474:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMULHSU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1773848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHSU_VX_M8_MASK),
     /* 1773851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1773869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773872 */     // GIR_Coverage, 11661,
     /* 1773872 */     GIR_EraseRootFromParent_Done,
     /* 1773873 */   // Label 24136: @1773873
     /* 1773873 */   GIM_Try, /*On fail goto*//*Label 24137*/ GIMT_Encode4(1773959), // Rule ID 11664 //
     /* 1773878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1773881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1773898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1773904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1773924 */     // MIs[0] policy
     /* 1773924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1773927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1773934 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1773934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1773937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1773939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1773941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1773943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1773945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1773947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1773952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1773955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1773957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1773958 */     // GIR_Coverage, 11664,
     /* 1773958 */     GIR_EraseRootFromParent_Done,
     /* 1773959 */   // Label 24137: @1773959
     /* 1773959 */   GIM_Try, /*On fail goto*//*Label 24138*/ GIMT_Encode4(1774045), // Rule ID 11665 //
     /* 1773964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1773967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1773972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1773975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1773978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1773981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1773984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1773987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1773990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1773994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1773998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774010 */     // MIs[0] policy
     /* 1774010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774020 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF8_E8_MASK),
     /* 1774023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774044 */     // GIR_Coverage, 11665,
     /* 1774044 */     GIR_EraseRootFromParent_Done,
     /* 1774045 */   // Label 24138: @1774045
     /* 1774045 */   GIM_Try, /*On fail goto*//*Label 24139*/ GIMT_Encode4(1774131), // Rule ID 11668 //
     /* 1774050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1774070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774096 */     // MIs[0] policy
     /* 1774096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774106 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1774109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774130 */     // GIR_Coverage, 11668,
     /* 1774130 */     GIR_EraseRootFromParent_Done,
     /* 1774131 */   // Label 24139: @1774131
     /* 1774131 */   GIM_Try, /*On fail goto*//*Label 24140*/ GIMT_Encode4(1774217), // Rule ID 11669 //
     /* 1774136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1774147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1774150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1774153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1774156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774182 */     // MIs[0] policy
     /* 1774182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774192 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E8_MASK),
     /* 1774195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774216 */     // GIR_Coverage, 11669,
     /* 1774216 */     GIR_EraseRootFromParent_Done,
     /* 1774217 */   // Label 24140: @1774217
     /* 1774217 */   GIM_Try, /*On fail goto*//*Label 24141*/ GIMT_Encode4(1774303), // Rule ID 11672 //
     /* 1774222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1774242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774268 */     // MIs[0] policy
     /* 1774268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774278 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1774281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774302 */     // GIR_Coverage, 11672,
     /* 1774302 */     GIR_EraseRootFromParent_Done,
     /* 1774303 */   // Label 24141: @1774303
     /* 1774303 */   GIM_Try, /*On fail goto*//*Label 24142*/ GIMT_Encode4(1774389), // Rule ID 11673 //
     /* 1774308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1774319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1774322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1774325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1774328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1774331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774354 */     // MIs[0] policy
     /* 1774354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774364 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E8_MASK),
     /* 1774367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774388 */     // GIR_Coverage, 11673,
     /* 1774388 */     GIR_EraseRootFromParent_Done,
     /* 1774389 */   // Label 24142: @1774389
     /* 1774389 */   GIM_Try, /*On fail goto*//*Label 24143*/ GIMT_Encode4(1774475), // Rule ID 11676 //
     /* 1774394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1774414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774440 */     // MIs[0] policy
     /* 1774440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774450 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1774453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774474 */     // GIR_Coverage, 11676,
     /* 1774474 */     GIR_EraseRootFromParent_Done,
     /* 1774475 */   // Label 24143: @1774475
     /* 1774475 */   GIM_Try, /*On fail goto*//*Label 24144*/ GIMT_Encode4(1774561), // Rule ID 11677 //
     /* 1774480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1774491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1774494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1774497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1774500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774526 */     // MIs[0] policy
     /* 1774526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774536 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF4_E16_MASK),
     /* 1774539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774560 */     // GIR_Coverage, 11677,
     /* 1774560 */     GIR_EraseRootFromParent_Done,
     /* 1774561 */   // Label 24144: @1774561
     /* 1774561 */   GIM_Try, /*On fail goto*//*Label 24145*/ GIMT_Encode4(1774647), // Rule ID 11680 //
     /* 1774566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1774586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774612 */     // MIs[0] policy
     /* 1774612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774622 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1774625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774646 */     // GIR_Coverage, 11680,
     /* 1774646 */     GIR_EraseRootFromParent_Done,
     /* 1774647 */   // Label 24145: @1774647
     /* 1774647 */   GIM_Try, /*On fail goto*//*Label 24146*/ GIMT_Encode4(1774733), // Rule ID 11681 //
     /* 1774652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1774663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1774666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1774669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1774672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1774675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774698 */     // MIs[0] policy
     /* 1774698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774708 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E16_MASK),
     /* 1774711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1774729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774732 */     // GIR_Coverage, 11681,
     /* 1774732 */     GIR_EraseRootFromParent_Done,
     /* 1774733 */   // Label 24146: @1774733
     /* 1774733 */   GIM_Try, /*On fail goto*//*Label 24147*/ GIMT_Encode4(1774819), // Rule ID 11684 //
     /* 1774738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1774749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1774752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1774755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1774758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774784 */     // MIs[0] policy
     /* 1774784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774794 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1774797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774818 */     // GIR_Coverage, 11684,
     /* 1774818 */     GIR_EraseRootFromParent_Done,
     /* 1774819 */   // Label 24147: @1774819
     /* 1774819 */   GIM_Try, /*On fail goto*//*Label 24148*/ GIMT_Encode4(1774905), // Rule ID 11685 //
     /* 1774824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1774835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1774838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1774841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1774844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1774847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1774850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774870 */     // MIs[0] policy
     /* 1774870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774880 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1774880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_MF2_E32_MASK),
     /* 1774883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1774901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774904 */     // GIR_Coverage, 11685,
     /* 1774904 */     GIR_EraseRootFromParent_Done,
     /* 1774905 */   // Label 24148: @1774905
     /* 1774905 */   GIM_Try, /*On fail goto*//*Label 24149*/ GIMT_Encode4(1774991), // Rule ID 11688 //
     /* 1774910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1774913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1774918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1774921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1774924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1774927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1774930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1774933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1774936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1774940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1774952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1774956 */     // MIs[0] policy
     /* 1774956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1774959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1774966 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1774966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1774969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1774971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1774973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1774975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1774977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1774979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1774984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1774987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1774989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1774990 */     // GIR_Coverage, 11688,
     /* 1774990 */     GIR_EraseRootFromParent_Done,
     /* 1774991 */   // Label 24149: @1774991
     /* 1774991 */   GIM_Try, /*On fail goto*//*Label 24150*/ GIMT_Encode4(1775077), // Rule ID 11689 //
     /* 1774996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1774999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1775007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1775010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1775013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1775016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1775019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775042 */     // MIs[0] policy
     /* 1775042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775052 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E8_MASK),
     /* 1775055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775076 */     // GIR_Coverage, 11689,
     /* 1775076 */     GIR_EraseRootFromParent_Done,
     /* 1775077 */   // Label 24150: @1775077
     /* 1775077 */   GIM_Try, /*On fail goto*//*Label 24151*/ GIMT_Encode4(1775163), // Rule ID 11692 //
     /* 1775082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1775102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775128 */     // MIs[0] policy
     /* 1775128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775138 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1775141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775162 */     // GIR_Coverage, 11692,
     /* 1775162 */     GIR_EraseRootFromParent_Done,
     /* 1775163 */   // Label 24151: @1775163
     /* 1775163 */   GIM_Try, /*On fail goto*//*Label 24152*/ GIMT_Encode4(1775249), // Rule ID 11693 //
     /* 1775168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1775179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1775182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1775185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1775188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1775191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775214 */     // MIs[0] policy
     /* 1775214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775224 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E16_MASK),
     /* 1775227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1775245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775248 */     // GIR_Coverage, 11693,
     /* 1775248 */     GIR_EraseRootFromParent_Done,
     /* 1775249 */   // Label 24152: @1775249
     /* 1775249 */   GIM_Try, /*On fail goto*//*Label 24153*/ GIMT_Encode4(1775335), // Rule ID 11696 //
     /* 1775254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1775274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775300 */     // MIs[0] policy
     /* 1775300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1775313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775334 */     // GIR_Coverage, 11696,
     /* 1775334 */     GIR_EraseRootFromParent_Done,
     /* 1775335 */   // Label 24153: @1775335
     /* 1775335 */   GIM_Try, /*On fail goto*//*Label 24154*/ GIMT_Encode4(1775421), // Rule ID 11697 //
     /* 1775340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1775351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1775354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1775357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1775360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1775363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775386 */     // MIs[0] policy
     /* 1775386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E32_MASK),
     /* 1775399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1775417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775420 */     // GIR_Coverage, 11697,
     /* 1775420 */     GIR_EraseRootFromParent_Done,
     /* 1775421 */   // Label 24154: @1775421
     /* 1775421 */   GIM_Try, /*On fail goto*//*Label 24155*/ GIMT_Encode4(1775507), // Rule ID 11700 //
     /* 1775426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1775429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1775446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775472 */     // MIs[0] policy
     /* 1775472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775482 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1775485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775506 */     // GIR_Coverage, 11700,
     /* 1775506 */     GIR_EraseRootFromParent_Done,
     /* 1775507 */   // Label 24155: @1775507
     /* 1775507 */   GIM_Try, /*On fail goto*//*Label 24156*/ GIMT_Encode4(1775593), // Rule ID 11701 //
     /* 1775512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1775515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1775523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1775526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1775529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1775532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1775535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1775542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1775554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775558 */     // MIs[0] policy
     /* 1775558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775568 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M1_E64_MASK),
     /* 1775571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1775589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775592 */     // GIR_Coverage, 11701,
     /* 1775592 */     GIR_EraseRootFromParent_Done,
     /* 1775593 */   // Label 24156: @1775593
     /* 1775593 */   GIM_Try, /*On fail goto*//*Label 24157*/ GIMT_Encode4(1775679), // Rule ID 11704 //
     /* 1775598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1775618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775644 */     // MIs[0] policy
     /* 1775644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775654 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1775657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775678 */     // GIR_Coverage, 11704,
     /* 1775678 */     GIR_EraseRootFromParent_Done,
     /* 1775679 */   // Label 24157: @1775679
     /* 1775679 */   GIM_Try, /*On fail goto*//*Label 24158*/ GIMT_Encode4(1775765), // Rule ID 11705 //
     /* 1775684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1775695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1775698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1775701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1775704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1775707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1775714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1775726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775730 */     // MIs[0] policy
     /* 1775730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775740 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E8_MASK),
     /* 1775743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775764 */     // GIR_Coverage, 11705,
     /* 1775764 */     GIR_EraseRootFromParent_Done,
     /* 1775765 */   // Label 24158: @1775765
     /* 1775765 */   GIM_Try, /*On fail goto*//*Label 24159*/ GIMT_Encode4(1775851), // Rule ID 11708 //
     /* 1775770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1775790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775816 */     // MIs[0] policy
     /* 1775816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775826 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1775829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775850 */     // GIR_Coverage, 11708,
     /* 1775850 */     GIR_EraseRootFromParent_Done,
     /* 1775851 */   // Label 24159: @1775851
     /* 1775851 */   GIM_Try, /*On fail goto*//*Label 24160*/ GIMT_Encode4(1775937), // Rule ID 11709 //
     /* 1775856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1775859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1775867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1775870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1775873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1775876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1775879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1775882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1775886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1775898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775902 */     // MIs[0] policy
     /* 1775902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775912 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1775912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E8_MASK),
     /* 1775915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1775917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1775919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1775921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1775923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1775925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1775930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1775933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1775935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1775936 */     // GIR_Coverage, 11709,
     /* 1775936 */     GIR_EraseRootFromParent_Done,
     /* 1775937 */   // Label 24160: @1775937
     /* 1775937 */   GIM_Try, /*On fail goto*//*Label 24161*/ GIMT_Encode4(1776023), // Rule ID 11712 //
     /* 1775942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1775945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1775950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1775953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1775956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1775959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1775962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1775965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1775968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1775972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1775984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1775988 */     // MIs[0] policy
     /* 1775988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1775991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1775998 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1775998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1776001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776022 */     // GIR_Coverage, 11712,
     /* 1776022 */     GIR_EraseRootFromParent_Done,
     /* 1776023 */   // Label 24161: @1776023
     /* 1776023 */   GIM_Try, /*On fail goto*//*Label 24162*/ GIMT_Encode4(1776109), // Rule ID 11713 //
     /* 1776028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1776039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1776042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1776045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1776048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1776051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776074 */     // MIs[0] policy
     /* 1776074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776084 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E8_MASK),
     /* 1776087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1776105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776108 */     // GIR_Coverage, 11713,
     /* 1776108 */     GIR_EraseRootFromParent_Done,
     /* 1776109 */   // Label 24162: @1776109
     /* 1776109 */   GIM_Try, /*On fail goto*//*Label 24163*/ GIMT_Encode4(1776195), // Rule ID 11716 //
     /* 1776114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1776134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776160 */     // MIs[0] policy
     /* 1776160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776170 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1776173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776194 */     // GIR_Coverage, 11716,
     /* 1776194 */     GIR_EraseRootFromParent_Done,
     /* 1776195 */   // Label 24163: @1776195
     /* 1776195 */   GIM_Try, /*On fail goto*//*Label 24164*/ GIMT_Encode4(1776281), // Rule ID 11717 //
     /* 1776200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1776211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1776214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1776217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1776220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776246 */     // MIs[0] policy
     /* 1776246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776256 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E16_MASK),
     /* 1776259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776280 */     // GIR_Coverage, 11717,
     /* 1776280 */     GIR_EraseRootFromParent_Done,
     /* 1776281 */   // Label 24164: @1776281
     /* 1776281 */   GIM_Try, /*On fail goto*//*Label 24165*/ GIMT_Encode4(1776367), // Rule ID 11720 //
     /* 1776286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1776306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776332 */     // MIs[0] policy
     /* 1776332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776342 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1776345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776366 */     // GIR_Coverage, 11720,
     /* 1776366 */     GIR_EraseRootFromParent_Done,
     /* 1776367 */   // Label 24165: @1776367
     /* 1776367 */   GIM_Try, /*On fail goto*//*Label 24166*/ GIMT_Encode4(1776453), // Rule ID 11721 //
     /* 1776372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1776383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1776386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1776389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1776392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776418 */     // MIs[0] policy
     /* 1776418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776428 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E16_MASK),
     /* 1776431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776452 */     // GIR_Coverage, 11721,
     /* 1776452 */     GIR_EraseRootFromParent_Done,
     /* 1776453 */   // Label 24166: @1776453
     /* 1776453 */   GIM_Try, /*On fail goto*//*Label 24167*/ GIMT_Encode4(1776539), // Rule ID 11724 //
     /* 1776458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1776478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776504 */     // MIs[0] policy
     /* 1776504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776514 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1776517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776538 */     // GIR_Coverage, 11724,
     /* 1776538 */     GIR_EraseRootFromParent_Done,
     /* 1776539 */   // Label 24167: @1776539
     /* 1776539 */   GIM_Try, /*On fail goto*//*Label 24168*/ GIMT_Encode4(1776625), // Rule ID 11725 //
     /* 1776544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1776555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1776558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1776561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1776564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1776567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1776574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1776586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776590 */     // MIs[0] policy
     /* 1776590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776600 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E16_MASK),
     /* 1776603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1776621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776624 */     // GIR_Coverage, 11725,
     /* 1776624 */     GIR_EraseRootFromParent_Done,
     /* 1776625 */   // Label 24168: @1776625
     /* 1776625 */   GIM_Try, /*On fail goto*//*Label 24169*/ GIMT_Encode4(1776711), // Rule ID 11728 //
     /* 1776630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1776641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1776644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1776647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1776650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776676 */     // MIs[0] policy
     /* 1776676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776686 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1776689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776710 */     // GIR_Coverage, 11728,
     /* 1776710 */     GIR_EraseRootFromParent_Done,
     /* 1776711 */   // Label 24169: @1776711
     /* 1776711 */   GIM_Try, /*On fail goto*//*Label 24170*/ GIMT_Encode4(1776797), // Rule ID 11729 //
     /* 1776716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1776727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1776730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1776733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1776736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1776739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1776746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1776758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776762 */     // MIs[0] policy
     /* 1776762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776772 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E32_MASK),
     /* 1776775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776796 */     // GIR_Coverage, 11729,
     /* 1776796 */     GIR_EraseRootFromParent_Done,
     /* 1776797 */   // Label 24170: @1776797
     /* 1776797 */   GIM_Try, /*On fail goto*//*Label 24171*/ GIMT_Encode4(1776883), // Rule ID 11732 //
     /* 1776802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1776822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1776828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776848 */     // MIs[0] policy
     /* 1776848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776858 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1776858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1776861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776882 */     // GIR_Coverage, 11732,
     /* 1776882 */     GIR_EraseRootFromParent_Done,
     /* 1776883 */   // Label 24171: @1776883
     /* 1776883 */   GIM_Try, /*On fail goto*//*Label 24172*/ GIMT_Encode4(1776969), // Rule ID 11733 //
     /* 1776888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1776891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1776899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1776902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1776905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1776908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1776911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1776914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1776918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1776930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1776934 */     // MIs[0] policy
     /* 1776934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1776937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1776944 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1776944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E32_MASK),
     /* 1776947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1776949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1776951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1776953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1776955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1776957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1776962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1776965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1776967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1776968 */     // GIR_Coverage, 11733,
     /* 1776968 */     GIR_EraseRootFromParent_Done,
     /* 1776969 */   // Label 24172: @1776969
     /* 1776969 */   GIM_Try, /*On fail goto*//*Label 24173*/ GIMT_Encode4(1777055), // Rule ID 11736 //
     /* 1776974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1776977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1776982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1776985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1776988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1776991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1776994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1776997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777020 */     // MIs[0] policy
     /* 1777020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777030 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1777033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777054 */     // GIR_Coverage, 11736,
     /* 1777054 */     GIR_EraseRootFromParent_Done,
     /* 1777055 */   // Label 24173: @1777055
     /* 1777055 */   GIM_Try, /*On fail goto*//*Label 24174*/ GIMT_Encode4(1777141), // Rule ID 11737 //
     /* 1777060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1777071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1777074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1777077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1777080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1777083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777106 */     // MIs[0] policy
     /* 1777106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777116 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E32_MASK),
     /* 1777119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1777137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777140 */     // GIR_Coverage, 11737,
     /* 1777140 */     GIR_EraseRootFromParent_Done,
     /* 1777141 */   // Label 24174: @1777141
     /* 1777141 */   GIM_Try, /*On fail goto*//*Label 24175*/ GIMT_Encode4(1777227), // Rule ID 11740 //
     /* 1777146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1777166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777192 */     // MIs[0] policy
     /* 1777192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777202 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1777205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777226 */     // GIR_Coverage, 11740,
     /* 1777226 */     GIR_EraseRootFromParent_Done,
     /* 1777227 */   // Label 24175: @1777227
     /* 1777227 */   GIM_Try, /*On fail goto*//*Label 24176*/ GIMT_Encode4(1777313), // Rule ID 11741 //
     /* 1777232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1777243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1777246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1777249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1777252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1777262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1777274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777278 */     // MIs[0] policy
     /* 1777278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777288 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M2_E64_MASK),
     /* 1777291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777312 */     // GIR_Coverage, 11741,
     /* 1777312 */     GIR_EraseRootFromParent_Done,
     /* 1777313 */   // Label 24176: @1777313
     /* 1777313 */   GIM_Try, /*On fail goto*//*Label 24177*/ GIMT_Encode4(1777399), // Rule ID 11744 //
     /* 1777318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1777338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777364 */     // MIs[0] policy
     /* 1777364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777374 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1777377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777398 */     // GIR_Coverage, 11744,
     /* 1777398 */     GIR_EraseRootFromParent_Done,
     /* 1777399 */   // Label 24177: @1777399
     /* 1777399 */   GIM_Try, /*On fail goto*//*Label 24178*/ GIMT_Encode4(1777485), // Rule ID 11745 //
     /* 1777404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1777415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1777418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1777421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1777424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1777427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1777434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1777446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777450 */     // MIs[0] policy
     /* 1777450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777460 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M4_E64_MASK),
     /* 1777463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777484 */     // GIR_Coverage, 11745,
     /* 1777484 */     GIR_EraseRootFromParent_Done,
     /* 1777485 */   // Label 24178: @1777485
     /* 1777485 */   GIM_Try, /*On fail goto*//*Label 24179*/ GIMT_Encode4(1777571), // Rule ID 11748 //
     /* 1777490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1777493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1777510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777536 */     // MIs[0] policy
     /* 1777536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777546 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1777549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777570 */     // GIR_Coverage, 11748,
     /* 1777570 */     GIR_EraseRootFromParent_Done,
     /* 1777571 */   // Label 24179: @1777571
     /* 1777571 */   GIM_Try, /*On fail goto*//*Label 24180*/ GIMT_Encode4(1777657), // Rule ID 11749 //
     /* 1777576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1777579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1777587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1777590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1777593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1777596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1777599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1777606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1777618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777622 */     // MIs[0] policy
     /* 1777622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777632 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VV_M8_E64_MASK),
     /* 1777635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1777653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777656 */     // GIR_Coverage, 11749,
     /* 1777656 */     GIR_EraseRootFromParent_Done,
     /* 1777657 */   // Label 24180: @1777657
     /* 1777657 */   GIM_Try, /*On fail goto*//*Label 24181*/ GIMT_Encode4(1777743), // Rule ID 11752 //
     /* 1777662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777708 */     // MIs[0] policy
     /* 1777708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777718 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1777721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777742 */     // GIR_Coverage, 11752,
     /* 1777742 */     GIR_EraseRootFromParent_Done,
     /* 1777743 */   // Label 24181: @1777743
     /* 1777743 */   GIM_Try, /*On fail goto*//*Label 24182*/ GIMT_Encode4(1777829), // Rule ID 11753 //
     /* 1777748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1777759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1777762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1777765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1777771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777794 */     // MIs[0] policy
     /* 1777794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777804 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF8_E8_MASK),
     /* 1777807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777828 */     // GIR_Coverage, 11753,
     /* 1777828 */     GIR_EraseRootFromParent_Done,
     /* 1777829 */   // Label 24182: @1777829
     /* 1777829 */   GIM_Try, /*On fail goto*//*Label 24183*/ GIMT_Encode4(1777915), // Rule ID 11756 //
     /* 1777834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1777837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1777854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1777860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777880 */     // MIs[0] policy
     /* 1777880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777890 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1777890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1777893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1777914 */     // GIR_Coverage, 11756,
     /* 1777914 */     GIR_EraseRootFromParent_Done,
     /* 1777915 */   // Label 24183: @1777915
     /* 1777915 */   GIM_Try, /*On fail goto*//*Label 24184*/ GIMT_Encode4(1778001), // Rule ID 11757 //
     /* 1777920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1777923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1777928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1777931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1777934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1777937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1777940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1777943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1777946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1777950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1777958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1777962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1777966 */     // MIs[0] policy
     /* 1777966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1777969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1777976 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1777976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E8_MASK),
     /* 1777979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1777981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1777983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1777985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1777987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1777989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1777994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1777997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1777999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778000 */     // GIR_Coverage, 11757,
     /* 1778000 */     GIR_EraseRootFromParent_Done,
     /* 1778001 */   // Label 24184: @1778001
     /* 1778001 */   GIM_Try, /*On fail goto*//*Label 24185*/ GIMT_Encode4(1778087), // Rule ID 11760 //
     /* 1778006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778052 */     // MIs[0] policy
     /* 1778052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778062 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1778065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778086 */     // GIR_Coverage, 11760,
     /* 1778086 */     GIR_EraseRootFromParent_Done,
     /* 1778087 */   // Label 24185: @1778087
     /* 1778087 */   GIM_Try, /*On fail goto*//*Label 24186*/ GIMT_Encode4(1778173), // Rule ID 11761 //
     /* 1778092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1778103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1778106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1778109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778138 */     // MIs[0] policy
     /* 1778138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778148 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E8_MASK),
     /* 1778151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778172 */     // GIR_Coverage, 11761,
     /* 1778172 */     GIR_EraseRootFromParent_Done,
     /* 1778173 */   // Label 24186: @1778173
     /* 1778173 */   GIM_Try, /*On fail goto*//*Label 24187*/ GIMT_Encode4(1778259), // Rule ID 11764 //
     /* 1778178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778224 */     // MIs[0] policy
     /* 1778224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778234 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1778237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778258 */     // GIR_Coverage, 11764,
     /* 1778258 */     GIR_EraseRootFromParent_Done,
     /* 1778259 */   // Label 24187: @1778259
     /* 1778259 */   GIM_Try, /*On fail goto*//*Label 24188*/ GIMT_Encode4(1778345), // Rule ID 11765 //
     /* 1778264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1778275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1778278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1778281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778310 */     // MIs[0] policy
     /* 1778310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778320 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF4_E16_MASK),
     /* 1778323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778344 */     // GIR_Coverage, 11765,
     /* 1778344 */     GIR_EraseRootFromParent_Done,
     /* 1778345 */   // Label 24188: @1778345
     /* 1778345 */   GIM_Try, /*On fail goto*//*Label 24189*/ GIMT_Encode4(1778431), // Rule ID 11768 //
     /* 1778350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778396 */     // MIs[0] policy
     /* 1778396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1778409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778430 */     // GIR_Coverage, 11768,
     /* 1778430 */     GIR_EraseRootFromParent_Done,
     /* 1778431 */   // Label 24189: @1778431
     /* 1778431 */   GIM_Try, /*On fail goto*//*Label 24190*/ GIMT_Encode4(1778517), // Rule ID 11769 //
     /* 1778436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1778447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1778450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1778453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1778459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778482 */     // MIs[0] policy
     /* 1778482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778492 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E16_MASK),
     /* 1778495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778516 */     // GIR_Coverage, 11769,
     /* 1778516 */     GIR_EraseRootFromParent_Done,
     /* 1778517 */   // Label 24190: @1778517
     /* 1778517 */   GIM_Try, /*On fail goto*//*Label 24191*/ GIMT_Encode4(1778603), // Rule ID 11772 //
     /* 1778522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778568 */     // MIs[0] policy
     /* 1778568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778578 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1778581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778602 */     // GIR_Coverage, 11772,
     /* 1778602 */     GIR_EraseRootFromParent_Done,
     /* 1778603 */   // Label 24191: @1778603
     /* 1778603 */   GIM_Try, /*On fail goto*//*Label 24192*/ GIMT_Encode4(1778689), // Rule ID 11773 //
     /* 1778608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1778619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1778622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1778625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1778631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778654 */     // MIs[0] policy
     /* 1778654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778664 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_MF2_E32_MASK),
     /* 1778667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1778685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778688 */     // GIR_Coverage, 11773,
     /* 1778688 */     GIR_EraseRootFromParent_Done,
     /* 1778689 */   // Label 24192: @1778689
     /* 1778689 */   GIM_Try, /*On fail goto*//*Label 24193*/ GIMT_Encode4(1778775), // Rule ID 11776 //
     /* 1778694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1778705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1778708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1778711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778740 */     // MIs[0] policy
     /* 1778740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778750 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1778753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778774 */     // GIR_Coverage, 11776,
     /* 1778774 */     GIR_EraseRootFromParent_Done,
     /* 1778775 */   // Label 24193: @1778775
     /* 1778775 */   GIM_Try, /*On fail goto*//*Label 24194*/ GIMT_Encode4(1778861), // Rule ID 11777 //
     /* 1778780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1778791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1778794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1778797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1778803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778826 */     // MIs[0] policy
     /* 1778826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778836 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11184:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1778836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E8_MASK),
     /* 1778839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1778857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778860 */     // GIR_Coverage, 11777,
     /* 1778860 */     GIR_EraseRootFromParent_Done,
     /* 1778861 */   // Label 24194: @1778861
     /* 1778861 */   GIM_Try, /*On fail goto*//*Label 24195*/ GIMT_Encode4(1778947), // Rule ID 11780 //
     /* 1778866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1778869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1778886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1778892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778912 */     // MIs[0] policy
     /* 1778912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1778915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1778922 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1778922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1778925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1778927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1778929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1778931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1778933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1778935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1778940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1778943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1778945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1778946 */     // GIR_Coverage, 11780,
     /* 1778946 */     GIR_EraseRootFromParent_Done,
     /* 1778947 */   // Label 24195: @1778947
     /* 1778947 */   GIM_Try, /*On fail goto*//*Label 24196*/ GIMT_Encode4(1779033), // Rule ID 11781 //
     /* 1778952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1778955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1778960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1778963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1778966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1778969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1778972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1778975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1778978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1778982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1778990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1778994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1778998 */     // MIs[0] policy
     /* 1778998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11184:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E16_MASK),
     /* 1779011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779032 */     // GIR_Coverage, 11781,
     /* 1779032 */     GIR_EraseRootFromParent_Done,
     /* 1779033 */   // Label 24196: @1779033
     /* 1779033 */   GIM_Try, /*On fail goto*//*Label 24197*/ GIMT_Encode4(1779119), // Rule ID 11784 //
     /* 1779038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779084 */     // MIs[0] policy
     /* 1779084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779094 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1779097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779118 */     // GIR_Coverage, 11784,
     /* 1779118 */     GIR_EraseRootFromParent_Done,
     /* 1779119 */   // Label 24197: @1779119
     /* 1779119 */   GIM_Try, /*On fail goto*//*Label 24198*/ GIMT_Encode4(1779205), // Rule ID 11785 //
     /* 1779124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1779135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1779138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1779141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1779147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779170 */     // MIs[0] policy
     /* 1779170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779180 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11184:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E32_MASK),
     /* 1779183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1779201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779204 */     // GIR_Coverage, 11785,
     /* 1779204 */     GIR_EraseRootFromParent_Done,
     /* 1779205 */   // Label 24198: @1779205
     /* 1779205 */   GIM_Try, /*On fail goto*//*Label 24199*/ GIMT_Encode4(1779291), // Rule ID 11788 //
     /* 1779210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1779213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779256 */     // MIs[0] policy
     /* 1779256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779266 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1779269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779290 */     // GIR_Coverage, 11788,
     /* 1779290 */     GIR_EraseRootFromParent_Done,
     /* 1779291 */   // Label 24199: @1779291
     /* 1779291 */   GIM_Try, /*On fail goto*//*Label 24200*/ GIMT_Encode4(1779377), // Rule ID 11789 //
     /* 1779296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1779299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1779307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1779310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1779313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1779319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1779326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1779334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779342 */     // MIs[0] policy
     /* 1779342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779352 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11184:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M1_E64_MASK),
     /* 1779355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1779373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779376 */     // GIR_Coverage, 11789,
     /* 1779376 */     GIR_EraseRootFromParent_Done,
     /* 1779377 */   // Label 24200: @1779377
     /* 1779377 */   GIM_Try, /*On fail goto*//*Label 24201*/ GIMT_Encode4(1779463), // Rule ID 11792 //
     /* 1779382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779428 */     // MIs[0] policy
     /* 1779428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779438 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1779441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779462 */     // GIR_Coverage, 11792,
     /* 1779462 */     GIR_EraseRootFromParent_Done,
     /* 1779463 */   // Label 24201: @1779463
     /* 1779463 */   GIM_Try, /*On fail goto*//*Label 24202*/ GIMT_Encode4(1779549), // Rule ID 11793 //
     /* 1779468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1779479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1779482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1779485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1779491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779514 */     // MIs[0] policy
     /* 1779514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779524 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E8_MASK),
     /* 1779527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779548 */     // GIR_Coverage, 11793,
     /* 1779548 */     GIR_EraseRootFromParent_Done,
     /* 1779549 */   // Label 24202: @1779549
     /* 1779549 */   GIM_Try, /*On fail goto*//*Label 24203*/ GIMT_Encode4(1779635), // Rule ID 11796 //
     /* 1779554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779600 */     // MIs[0] policy
     /* 1779600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779610 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1779613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779634 */     // GIR_Coverage, 11796,
     /* 1779634 */     GIR_EraseRootFromParent_Done,
     /* 1779635 */   // Label 24203: @1779635
     /* 1779635 */   GIM_Try, /*On fail goto*//*Label 24204*/ GIMT_Encode4(1779721), // Rule ID 11797 //
     /* 1779640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1779651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1779654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1779657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1779663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1779670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1779678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779686 */     // MIs[0] policy
     /* 1779686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E8_MASK),
     /* 1779699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779720 */     // GIR_Coverage, 11797,
     /* 1779720 */     GIR_EraseRootFromParent_Done,
     /* 1779721 */   // Label 24204: @1779721
     /* 1779721 */   GIM_Try, /*On fail goto*//*Label 24205*/ GIMT_Encode4(1779807), // Rule ID 11800 //
     /* 1779726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1779737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1779740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1779743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1779749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779772 */     // MIs[0] policy
     /* 1779772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779782 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1779785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779806 */     // GIR_Coverage, 11800,
     /* 1779806 */     GIR_EraseRootFromParent_Done,
     /* 1779807 */   // Label 24205: @1779807
     /* 1779807 */   GIM_Try, /*On fail goto*//*Label 24206*/ GIMT_Encode4(1779893), // Rule ID 11801 //
     /* 1779812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1779823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1779826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1779829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1779832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1779835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1779838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1779842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1779850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779858 */     // MIs[0] policy
     /* 1779858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779868 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1779868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E8_MASK),
     /* 1779871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1779889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779892 */     // GIR_Coverage, 11801,
     /* 1779892 */     GIR_EraseRootFromParent_Done,
     /* 1779893 */   // Label 24206: @1779893
     /* 1779893 */   GIM_Try, /*On fail goto*//*Label 24207*/ GIMT_Encode4(1779979), // Rule ID 11804 //
     /* 1779898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1779901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1779915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1779918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1779921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1779924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1779928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1779936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1779940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1779944 */     // MIs[0] policy
     /* 1779944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1779947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1779954 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1779954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1779957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1779959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1779961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1779963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1779965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1779967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1779972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1779975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1779977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1779978 */     // GIR_Coverage, 11804,
     /* 1779978 */     GIR_EraseRootFromParent_Done,
     /* 1779979 */   // Label 24207: @1779979
     /* 1779979 */   GIM_Try, /*On fail goto*//*Label 24208*/ GIMT_Encode4(1780065), // Rule ID 11805 //
     /* 1779984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1779987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1779992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1779995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1779998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1780001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780030 */     // MIs[0] policy
     /* 1780030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E16_MASK),
     /* 1780043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780064 */     // GIR_Coverage, 11805,
     /* 1780064 */     GIR_EraseRootFromParent_Done,
     /* 1780065 */   // Label 24208: @1780065
     /* 1780065 */   GIM_Try, /*On fail goto*//*Label 24209*/ GIMT_Encode4(1780151), // Rule ID 11808 //
     /* 1780070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780116 */     // MIs[0] policy
     /* 1780116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780126 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1780129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780150 */     // GIR_Coverage, 11808,
     /* 1780150 */     GIR_EraseRootFromParent_Done,
     /* 1780151 */   // Label 24209: @1780151
     /* 1780151 */   GIM_Try, /*On fail goto*//*Label 24210*/ GIMT_Encode4(1780237), // Rule ID 11809 //
     /* 1780156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1780167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1780170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1780173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780202 */     // MIs[0] policy
     /* 1780202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780212 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E16_MASK),
     /* 1780215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780236 */     // GIR_Coverage, 11809,
     /* 1780236 */     GIR_EraseRootFromParent_Done,
     /* 1780237 */   // Label 24210: @1780237
     /* 1780237 */   GIM_Try, /*On fail goto*//*Label 24211*/ GIMT_Encode4(1780323), // Rule ID 11812 //
     /* 1780242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780288 */     // MIs[0] policy
     /* 1780288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780298 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1780301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780322 */     // GIR_Coverage, 11812,
     /* 1780322 */     GIR_EraseRootFromParent_Done,
     /* 1780323 */   // Label 24211: @1780323
     /* 1780323 */   GIM_Try, /*On fail goto*//*Label 24212*/ GIMT_Encode4(1780409), // Rule ID 11813 //
     /* 1780328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1780339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1780342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1780345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1780351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780374 */     // MIs[0] policy
     /* 1780374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780384 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E16_MASK),
     /* 1780387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1780405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780408 */     // GIR_Coverage, 11813,
     /* 1780408 */     GIR_EraseRootFromParent_Done,
     /* 1780409 */   // Label 24212: @1780409
     /* 1780409 */   GIM_Try, /*On fail goto*//*Label 24213*/ GIMT_Encode4(1780495), // Rule ID 11816 //
     /* 1780414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780460 */     // MIs[0] policy
     /* 1780460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1780473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780494 */     // GIR_Coverage, 11816,
     /* 1780494 */     GIR_EraseRootFromParent_Done,
     /* 1780495 */   // Label 24213: @1780495
     /* 1780495 */   GIM_Try, /*On fail goto*//*Label 24214*/ GIMT_Encode4(1780581), // Rule ID 11817 //
     /* 1780500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1780511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1780514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1780517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1780523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780546 */     // MIs[0] policy
     /* 1780546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E32_MASK),
     /* 1780559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780580 */     // GIR_Coverage, 11817,
     /* 1780580 */     GIR_EraseRootFromParent_Done,
     /* 1780581 */   // Label 24214: @1780581
     /* 1780581 */   GIM_Try, /*On fail goto*//*Label 24215*/ GIMT_Encode4(1780667), // Rule ID 11820 //
     /* 1780586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1780597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1780600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1780603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780632 */     // MIs[0] policy
     /* 1780632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1780645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780666 */     // GIR_Coverage, 11820,
     /* 1780666 */     GIR_EraseRootFromParent_Done,
     /* 1780667 */   // Label 24215: @1780667
     /* 1780667 */   GIM_Try, /*On fail goto*//*Label 24216*/ GIMT_Encode4(1780753), // Rule ID 11821 //
     /* 1780672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1780683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1780686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1780689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1780695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1780702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1780710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780718 */     // MIs[0] policy
     /* 1780718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E32_MASK),
     /* 1780731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780752 */     // GIR_Coverage, 11821,
     /* 1780752 */     GIR_EraseRootFromParent_Done,
     /* 1780753 */   // Label 24216: @1780753
     /* 1780753 */   GIM_Try, /*On fail goto*//*Label 24217*/ GIMT_Encode4(1780839), // Rule ID 11824 //
     /* 1780758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1780761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780804 */     // MIs[0] policy
     /* 1780804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1780817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780838 */     // GIR_Coverage, 11824,
     /* 1780838 */     GIR_EraseRootFromParent_Done,
     /* 1780839 */   // Label 24217: @1780839
     /* 1780839 */   GIM_Try, /*On fail goto*//*Label 24218*/ GIMT_Encode4(1780925), // Rule ID 11825 //
     /* 1780844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1780847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1780855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1780858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1780861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1780864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1780867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1780870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1780874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1780882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780890 */     // MIs[0] policy
     /* 1780890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1780900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E32_MASK),
     /* 1780903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1780918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1780921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1780923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1780924 */     // GIR_Coverage, 11825,
     /* 1780924 */     GIR_EraseRootFromParent_Done,
     /* 1780925 */   // Label 24218: @1780925
     /* 1780925 */   GIM_Try, /*On fail goto*//*Label 24219*/ GIMT_Encode4(1781011), // Rule ID 11828 //
     /* 1780930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1780933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1780938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1780941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1780944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1780947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1780950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1780953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1780956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1780960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1780968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1780972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1780976 */     // MIs[0] policy
     /* 1780976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1780979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1780986 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1780986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1780989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1780991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1780993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1780995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1780997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1780999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781010 */     // GIR_Coverage, 11828,
     /* 1781010 */     GIR_EraseRootFromParent_Done,
     /* 1781011 */   // Label 24219: @1781011
     /* 1781011 */   GIM_Try, /*On fail goto*//*Label 24220*/ GIMT_Encode4(1781097), // Rule ID 11829 //
     /* 1781016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1781024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1781027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1781030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1781033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1781046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1781054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781062 */     // MIs[0] policy
     /* 1781062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781072 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11184:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M2_E64_MASK),
     /* 1781075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781096 */     // GIR_Coverage, 11829,
     /* 1781096 */     GIR_EraseRootFromParent_Done,
     /* 1781097 */   // Label 24220: @1781097
     /* 1781097 */   GIM_Try, /*On fail goto*//*Label 24221*/ GIMT_Encode4(1781183), // Rule ID 11832 //
     /* 1781102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1781110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781148 */     // MIs[0] policy
     /* 1781148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781158 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1781161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781182 */     // GIR_Coverage, 11832,
     /* 1781182 */     GIR_EraseRootFromParent_Done,
     /* 1781183 */   // Label 24221: @1781183
     /* 1781183 */   GIM_Try, /*On fail goto*//*Label 24222*/ GIMT_Encode4(1781269), // Rule ID 11833 //
     /* 1781188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1781196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1781199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1781202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1781205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1781218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1781226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781234 */     // MIs[0] policy
     /* 1781234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781244 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11184:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M4_E64_MASK),
     /* 1781247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781268 */     // GIR_Coverage, 11833,
     /* 1781268 */     GIR_EraseRootFromParent_Done,
     /* 1781269 */   // Label 24222: @1781269
     /* 1781269 */   GIM_Try, /*On fail goto*//*Label 24223*/ GIMT_Encode4(1781355), // Rule ID 11836 //
     /* 1781274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1781277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1781282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1781294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781320 */     // MIs[0] policy
     /* 1781320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781330 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1781333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781354 */     // GIR_Coverage, 11836,
     /* 1781354 */     GIR_EraseRootFromParent_Done,
     /* 1781355 */   // Label 24223: @1781355
     /* 1781355 */   GIM_Try, /*On fail goto*//*Label 24224*/ GIMT_Encode4(1781441), // Rule ID 11837 //
     /* 1781360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1781363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdivu_mask),
     /* 1781368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1781371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1781374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1781377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1781380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1781383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1781390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1781398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1781402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781406 */     // MIs[0] policy
     /* 1781406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11184:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIVU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIVU_VX_M8_E64_MASK),
     /* 1781419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1781437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781440 */     // GIR_Coverage, 11837,
     /* 1781440 */     GIR_EraseRootFromParent_Done,
     /* 1781441 */   // Label 24224: @1781441
     /* 1781441 */   GIM_Try, /*On fail goto*//*Label 24225*/ GIMT_Encode4(1781527), // Rule ID 11840 //
     /* 1781446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1781466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781492 */     // MIs[0] policy
     /* 1781492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781502 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1781505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781526 */     // GIR_Coverage, 11840,
     /* 1781526 */     GIR_EraseRootFromParent_Done,
     /* 1781527 */   // Label 24225: @1781527
     /* 1781527 */   GIM_Try, /*On fail goto*//*Label 24226*/ GIMT_Encode4(1781613), // Rule ID 11841 //
     /* 1781532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1781543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1781546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1781549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1781552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781578 */     // MIs[0] policy
     /* 1781578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781588 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF8_E8_MASK),
     /* 1781591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781612 */     // GIR_Coverage, 11841,
     /* 1781612 */     GIR_EraseRootFromParent_Done,
     /* 1781613 */   // Label 24226: @1781613
     /* 1781613 */   GIM_Try, /*On fail goto*//*Label 24227*/ GIMT_Encode4(1781699), // Rule ID 11844 //
     /* 1781618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1781638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781664 */     // MIs[0] policy
     /* 1781664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781674 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1781677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781698 */     // GIR_Coverage, 11844,
     /* 1781698 */     GIR_EraseRootFromParent_Done,
     /* 1781699 */   // Label 24227: @1781699
     /* 1781699 */   GIM_Try, /*On fail goto*//*Label 24228*/ GIMT_Encode4(1781785), // Rule ID 11845 //
     /* 1781704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1781715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1781718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1781721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1781724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1781727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781750 */     // MIs[0] policy
     /* 1781750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781760 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E8_MASK),
     /* 1781763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781784 */     // GIR_Coverage, 11845,
     /* 1781784 */     GIR_EraseRootFromParent_Done,
     /* 1781785 */   // Label 24228: @1781785
     /* 1781785 */   GIM_Try, /*On fail goto*//*Label 24229*/ GIMT_Encode4(1781871), // Rule ID 11848 //
     /* 1781790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1781810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781836 */     // MIs[0] policy
     /* 1781836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781846 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1781846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1781849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781870 */     // GIR_Coverage, 11848,
     /* 1781870 */     GIR_EraseRootFromParent_Done,
     /* 1781871 */   // Label 24229: @1781871
     /* 1781871 */   GIM_Try, /*On fail goto*//*Label 24230*/ GIMT_Encode4(1781957), // Rule ID 11849 //
     /* 1781876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1781879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1781887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1781890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1781893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1781896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1781899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1781902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1781922 */     // MIs[0] policy
     /* 1781922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1781925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1781932 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1781932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E8_MASK),
     /* 1781935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1781937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1781939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1781941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1781943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1781945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1781950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1781953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1781955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1781956 */     // GIR_Coverage, 11849,
     /* 1781956 */     GIR_EraseRootFromParent_Done,
     /* 1781957 */   // Label 24230: @1781957
     /* 1781957 */   GIM_Try, /*On fail goto*//*Label 24231*/ GIMT_Encode4(1782043), // Rule ID 11852 //
     /* 1781962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1781965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1781970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1781973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1781976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1781979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1781982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1781985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1781988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1781992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1781996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782008 */     // MIs[0] policy
     /* 1782008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782018 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1782021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782042 */     // GIR_Coverage, 11852,
     /* 1782042 */     GIR_EraseRootFromParent_Done,
     /* 1782043 */   // Label 24231: @1782043
     /* 1782043 */   GIM_Try, /*On fail goto*//*Label 24232*/ GIMT_Encode4(1782129), // Rule ID 11853 //
     /* 1782048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1782059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1782062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1782065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1782068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782094 */     // MIs[0] policy
     /* 1782094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782104 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF4_E16_MASK),
     /* 1782107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782128 */     // GIR_Coverage, 11853,
     /* 1782128 */     GIR_EraseRootFromParent_Done,
     /* 1782129 */   // Label 24232: @1782129
     /* 1782129 */   GIM_Try, /*On fail goto*//*Label 24233*/ GIMT_Encode4(1782215), // Rule ID 11856 //
     /* 1782134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1782154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782180 */     // MIs[0] policy
     /* 1782180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782190 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1782193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782214 */     // GIR_Coverage, 11856,
     /* 1782214 */     GIR_EraseRootFromParent_Done,
     /* 1782215 */   // Label 24233: @1782215
     /* 1782215 */   GIM_Try, /*On fail goto*//*Label 24234*/ GIMT_Encode4(1782301), // Rule ID 11857 //
     /* 1782220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1782231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1782234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1782237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1782240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782266 */     // MIs[0] policy
     /* 1782266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782276 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E16_MASK),
     /* 1782279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782300 */     // GIR_Coverage, 11857,
     /* 1782300 */     GIR_EraseRootFromParent_Done,
     /* 1782301 */   // Label 24234: @1782301
     /* 1782301 */   GIM_Try, /*On fail goto*//*Label 24235*/ GIMT_Encode4(1782387), // Rule ID 11860 //
     /* 1782306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1782326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782352 */     // MIs[0] policy
     /* 1782352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782362 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1782365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782386 */     // GIR_Coverage, 11860,
     /* 1782386 */     GIR_EraseRootFromParent_Done,
     /* 1782387 */   // Label 24235: @1782387
     /* 1782387 */   GIM_Try, /*On fail goto*//*Label 24236*/ GIMT_Encode4(1782473), // Rule ID 11861 //
     /* 1782392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1782403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1782406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1782409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1782412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1782415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782438 */     // MIs[0] policy
     /* 1782438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782448 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_MF2_E32_MASK),
     /* 1782451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782472 */     // GIR_Coverage, 11861,
     /* 1782472 */     GIR_EraseRootFromParent_Done,
     /* 1782473 */   // Label 24236: @1782473
     /* 1782473 */   GIM_Try, /*On fail goto*//*Label 24237*/ GIMT_Encode4(1782559), // Rule ID 11864 //
     /* 1782478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1782498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782524 */     // MIs[0] policy
     /* 1782524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782534 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1782537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782558 */     // GIR_Coverage, 11864,
     /* 1782558 */     GIR_EraseRootFromParent_Done,
     /* 1782559 */   // Label 24237: @1782559
     /* 1782559 */   GIM_Try, /*On fail goto*//*Label 24238*/ GIMT_Encode4(1782645), // Rule ID 11865 //
     /* 1782564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1782575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1782578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1782581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1782584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1782587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782610 */     // MIs[0] policy
     /* 1782610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E8_MASK),
     /* 1782623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1782641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782644 */     // GIR_Coverage, 11865,
     /* 1782644 */     GIR_EraseRootFromParent_Done,
     /* 1782645 */   // Label 24238: @1782645
     /* 1782645 */   GIM_Try, /*On fail goto*//*Label 24239*/ GIMT_Encode4(1782731), // Rule ID 11868 //
     /* 1782650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1782670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782696 */     // MIs[0] policy
     /* 1782696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782706 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1782709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782730 */     // GIR_Coverage, 11868,
     /* 1782730 */     GIR_EraseRootFromParent_Done,
     /* 1782731 */   // Label 24239: @1782731
     /* 1782731 */   GIM_Try, /*On fail goto*//*Label 24240*/ GIMT_Encode4(1782817), // Rule ID 11869 //
     /* 1782736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1782747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1782750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1782753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1782756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1782759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782782 */     // MIs[0] policy
     /* 1782782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782792 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E16_MASK),
     /* 1782795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1782813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782816 */     // GIR_Coverage, 11869,
     /* 1782816 */     GIR_EraseRootFromParent_Done,
     /* 1782817 */   // Label 24240: @1782817
     /* 1782817 */   GIM_Try, /*On fail goto*//*Label 24241*/ GIMT_Encode4(1782903), // Rule ID 11872 //
     /* 1782822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1782825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1782842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1782848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782868 */     // MIs[0] policy
     /* 1782868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782878 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1782878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1782881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782902 */     // GIR_Coverage, 11872,
     /* 1782902 */     GIR_EraseRootFromParent_Done,
     /* 1782903 */   // Label 24241: @1782903
     /* 1782903 */   GIM_Try, /*On fail goto*//*Label 24242*/ GIMT_Encode4(1782989), // Rule ID 11873 //
     /* 1782908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1782911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1782916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1782919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1782922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1782925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1782928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1782931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1782934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1782938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1782950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1782954 */     // MIs[0] policy
     /* 1782954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1782957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1782964 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1782964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E32_MASK),
     /* 1782967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1782969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1782971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1782973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1782975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1782977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1782982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1782985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1782987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1782988 */     // GIR_Coverage, 11873,
     /* 1782988 */     GIR_EraseRootFromParent_Done,
     /* 1782989 */   // Label 24242: @1782989
     /* 1782989 */   GIM_Try, /*On fail goto*//*Label 24243*/ GIMT_Encode4(1783075), // Rule ID 11876 //
     /* 1782994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1782997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1783014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783040 */     // MIs[0] policy
     /* 1783040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783050 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1783053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783074 */     // GIR_Coverage, 11876,
     /* 1783074 */     GIR_EraseRootFromParent_Done,
     /* 1783075 */   // Label 24243: @1783075
     /* 1783075 */   GIM_Try, /*On fail goto*//*Label 24244*/ GIMT_Encode4(1783161), // Rule ID 11877 //
     /* 1783080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1783083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1783091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1783094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1783097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1783100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1783103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1783110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1783122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783126 */     // MIs[0] policy
     /* 1783126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783136 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M1_E64_MASK),
     /* 1783139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1783157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783160 */     // GIR_Coverage, 11877,
     /* 1783160 */     GIR_EraseRootFromParent_Done,
     /* 1783161 */   // Label 24244: @1783161
     /* 1783161 */   GIM_Try, /*On fail goto*//*Label 24245*/ GIMT_Encode4(1783247), // Rule ID 11880 //
     /* 1783166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1783186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783212 */     // MIs[0] policy
     /* 1783212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783222 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1783225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783246 */     // GIR_Coverage, 11880,
     /* 1783246 */     GIR_EraseRootFromParent_Done,
     /* 1783247 */   // Label 24245: @1783247
     /* 1783247 */   GIM_Try, /*On fail goto*//*Label 24246*/ GIMT_Encode4(1783333), // Rule ID 11881 //
     /* 1783252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1783263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1783266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1783269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1783272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783298 */     // MIs[0] policy
     /* 1783298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783308 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E8_MASK),
     /* 1783311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783332 */     // GIR_Coverage, 11881,
     /* 1783332 */     GIR_EraseRootFromParent_Done,
     /* 1783333 */   // Label 24246: @1783333
     /* 1783333 */   GIM_Try, /*On fail goto*//*Label 24247*/ GIMT_Encode4(1783419), // Rule ID 11884 //
     /* 1783338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1783358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783384 */     // MIs[0] policy
     /* 1783384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783394 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1783397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783418 */     // GIR_Coverage, 11884,
     /* 1783418 */     GIR_EraseRootFromParent_Done,
     /* 1783419 */   // Label 24247: @1783419
     /* 1783419 */   GIM_Try, /*On fail goto*//*Label 24248*/ GIMT_Encode4(1783505), // Rule ID 11885 //
     /* 1783424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1783435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1783438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1783441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1783444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1783447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783470 */     // MIs[0] policy
     /* 1783470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783480 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E8_MASK),
     /* 1783483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783504 */     // GIR_Coverage, 11885,
     /* 1783504 */     GIR_EraseRootFromParent_Done,
     /* 1783505 */   // Label 24248: @1783505
     /* 1783505 */   GIM_Try, /*On fail goto*//*Label 24249*/ GIMT_Encode4(1783591), // Rule ID 11888 //
     /* 1783510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1783530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783556 */     // MIs[0] policy
     /* 1783556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783566 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1783569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783590 */     // GIR_Coverage, 11888,
     /* 1783590 */     GIR_EraseRootFromParent_Done,
     /* 1783591 */   // Label 24249: @1783591
     /* 1783591 */   GIM_Try, /*On fail goto*//*Label 24250*/ GIMT_Encode4(1783677), // Rule ID 11889 //
     /* 1783596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1783607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1783610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1783613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1783616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1783619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1783626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1783638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783642 */     // MIs[0] policy
     /* 1783642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783652 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E8_MASK),
     /* 1783655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1783673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783676 */     // GIR_Coverage, 11889,
     /* 1783676 */     GIR_EraseRootFromParent_Done,
     /* 1783677 */   // Label 24250: @1783677
     /* 1783677 */   GIM_Try, /*On fail goto*//*Label 24251*/ GIMT_Encode4(1783763), // Rule ID 11892 //
     /* 1783682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1783696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1783699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1783702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783728 */     // MIs[0] policy
     /* 1783728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783738 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1783741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783762 */     // GIR_Coverage, 11892,
     /* 1783762 */     GIR_EraseRootFromParent_Done,
     /* 1783763 */   // Label 24251: @1783763
     /* 1783763 */   GIM_Try, /*On fail goto*//*Label 24252*/ GIMT_Encode4(1783849), // Rule ID 11893 //
     /* 1783768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1783779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1783782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1783785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1783788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1783791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1783798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1783810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783814 */     // MIs[0] policy
     /* 1783814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E16_MASK),
     /* 1783827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783848 */     // GIR_Coverage, 11893,
     /* 1783848 */     GIR_EraseRootFromParent_Done,
     /* 1783849 */   // Label 24252: @1783849
     /* 1783849 */   GIM_Try, /*On fail goto*//*Label 24253*/ GIMT_Encode4(1783935), // Rule ID 11896 //
     /* 1783854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1783857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1783874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1783880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783900 */     // MIs[0] policy
     /* 1783900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783910 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1783910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1783913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1783915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1783917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1783919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1783921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1783923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1783928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1783931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1783933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1783934 */     // GIR_Coverage, 11896,
     /* 1783934 */     GIR_EraseRootFromParent_Done,
     /* 1783935 */   // Label 24253: @1783935
     /* 1783935 */   GIM_Try, /*On fail goto*//*Label 24254*/ GIMT_Encode4(1784021), // Rule ID 11897 //
     /* 1783940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1783943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1783948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1783951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1783954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1783957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1783960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1783963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1783966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1783970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1783982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1783986 */     // MIs[0] policy
     /* 1783986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1783989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1783996 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1783996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E16_MASK),
     /* 1783999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784020 */     // GIR_Coverage, 11897,
     /* 1784020 */     GIR_EraseRootFromParent_Done,
     /* 1784021 */   // Label 24254: @1784021
     /* 1784021 */   GIM_Try, /*On fail goto*//*Label 24255*/ GIMT_Encode4(1784107), // Rule ID 11900 //
     /* 1784026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1784046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784072 */     // MIs[0] policy
     /* 1784072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784082 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1784085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784106 */     // GIR_Coverage, 11900,
     /* 1784106 */     GIR_EraseRootFromParent_Done,
     /* 1784107 */   // Label 24255: @1784107
     /* 1784107 */   GIM_Try, /*On fail goto*//*Label 24256*/ GIMT_Encode4(1784193), // Rule ID 11901 //
     /* 1784112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1784123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1784126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1784129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1784132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1784135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784158 */     // MIs[0] policy
     /* 1784158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784168 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E16_MASK),
     /* 1784171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1784189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784192 */     // GIR_Coverage, 11901,
     /* 1784192 */     GIR_EraseRootFromParent_Done,
     /* 1784193 */   // Label 24256: @1784193
     /* 1784193 */   GIM_Try, /*On fail goto*//*Label 24257*/ GIMT_Encode4(1784279), // Rule ID 11904 //
     /* 1784198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1784218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784244 */     // MIs[0] policy
     /* 1784244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1784257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784278 */     // GIR_Coverage, 11904,
     /* 1784278 */     GIR_EraseRootFromParent_Done,
     /* 1784279 */   // Label 24257: @1784279
     /* 1784279 */   GIM_Try, /*On fail goto*//*Label 24258*/ GIMT_Encode4(1784365), // Rule ID 11905 //
     /* 1784284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1784295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1784298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1784301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1784304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784330 */     // MIs[0] policy
     /* 1784330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784340 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E32_MASK),
     /* 1784343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784364 */     // GIR_Coverage, 11905,
     /* 1784364 */     GIR_EraseRootFromParent_Done,
     /* 1784365 */   // Label 24258: @1784365
     /* 1784365 */   GIM_Try, /*On fail goto*//*Label 24259*/ GIMT_Encode4(1784451), // Rule ID 11908 //
     /* 1784370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1784390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784416 */     // MIs[0] policy
     /* 1784416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784426 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1784429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784450 */     // GIR_Coverage, 11908,
     /* 1784450 */     GIR_EraseRootFromParent_Done,
     /* 1784451 */   // Label 24259: @1784451
     /* 1784451 */   GIM_Try, /*On fail goto*//*Label 24260*/ GIMT_Encode4(1784537), // Rule ID 11909 //
     /* 1784456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1784467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1784470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1784473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1784476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1784479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784502 */     // MIs[0] policy
     /* 1784502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784512 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E32_MASK),
     /* 1784515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784536 */     // GIR_Coverage, 11909,
     /* 1784536 */     GIR_EraseRootFromParent_Done,
     /* 1784537 */   // Label 24260: @1784537
     /* 1784537 */   GIM_Try, /*On fail goto*//*Label 24261*/ GIMT_Encode4(1784623), // Rule ID 11912 //
     /* 1784542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1784545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1784562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784588 */     // MIs[0] policy
     /* 1784588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784598 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1784601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784622 */     // GIR_Coverage, 11912,
     /* 1784622 */     GIR_EraseRootFromParent_Done,
     /* 1784623 */   // Label 24261: @1784623
     /* 1784623 */   GIM_Try, /*On fail goto*//*Label 24262*/ GIMT_Encode4(1784709), // Rule ID 11913 //
     /* 1784628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1784631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1784639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1784642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1784645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1784648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1784651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1784658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1784670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784674 */     // MIs[0] policy
     /* 1784674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784684 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E32_MASK),
     /* 1784687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1784705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784708 */     // GIR_Coverage, 11913,
     /* 1784708 */     GIR_EraseRootFromParent_Done,
     /* 1784709 */   // Label 24262: @1784709
     /* 1784709 */   GIM_Try, /*On fail goto*//*Label 24263*/ GIMT_Encode4(1784795), // Rule ID 11916 //
     /* 1784714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1784725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1784728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1784731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1784734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784760 */     // MIs[0] policy
     /* 1784760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784770 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1784773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784794 */     // GIR_Coverage, 11916,
     /* 1784794 */     GIR_EraseRootFromParent_Done,
     /* 1784795 */   // Label 24263: @1784795
     /* 1784795 */   GIM_Try, /*On fail goto*//*Label 24264*/ GIMT_Encode4(1784881), // Rule ID 11917 //
     /* 1784800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1784811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1784814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1784817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1784820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1784823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1784830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1784842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784846 */     // MIs[0] policy
     /* 1784846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784856 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1784856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M2_E64_MASK),
     /* 1784859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784880 */     // GIR_Coverage, 11917,
     /* 1784880 */     GIR_EraseRootFromParent_Done,
     /* 1784881 */   // Label 24264: @1784881
     /* 1784881 */   GIM_Try, /*On fail goto*//*Label 24265*/ GIMT_Encode4(1784967), // Rule ID 11920 //
     /* 1784886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1784889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1784906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1784912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1784916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1784928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1784932 */     // MIs[0] policy
     /* 1784932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1784935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1784942 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1784942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1784945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1784947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1784949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1784951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1784953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1784955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1784960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1784963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1784965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1784966 */     // GIR_Coverage, 11920,
     /* 1784966 */     GIR_EraseRootFromParent_Done,
     /* 1784967 */   // Label 24265: @1784967
     /* 1784967 */   GIM_Try, /*On fail goto*//*Label 24266*/ GIMT_Encode4(1785053), // Rule ID 11921 //
     /* 1784972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1784975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1784980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1784983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1784986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1784989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1784992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1784995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1784998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1785002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1785014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785018 */     // MIs[0] policy
     /* 1785018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785028 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M4_E64_MASK),
     /* 1785031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785052 */     // GIR_Coverage, 11921,
     /* 1785052 */     GIR_EraseRootFromParent_Done,
     /* 1785053 */   // Label 24266: @1785053
     /* 1785053 */   GIM_Try, /*On fail goto*//*Label 24267*/ GIMT_Encode4(1785139), // Rule ID 11924 //
     /* 1785058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1785061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1785078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785104 */     // MIs[0] policy
     /* 1785104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785114 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1785117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785138 */     // GIR_Coverage, 11924,
     /* 1785138 */     GIR_EraseRootFromParent_Done,
     /* 1785139 */   // Label 24267: @1785139
     /* 1785139 */   GIM_Try, /*On fail goto*//*Label 24268*/ GIMT_Encode4(1785225), // Rule ID 11925 //
     /* 1785144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1785147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1785155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1785158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1785161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1785164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1785167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1785174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1785186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785190 */     // MIs[0] policy
     /* 1785190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785200 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VV_M8_E64_MASK),
     /* 1785203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1785221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785224 */     // GIR_Coverage, 11925,
     /* 1785224 */     GIR_EraseRootFromParent_Done,
     /* 1785225 */   // Label 24268: @1785225
     /* 1785225 */   GIM_Try, /*On fail goto*//*Label 24269*/ GIMT_Encode4(1785311), // Rule ID 11928 //
     /* 1785230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785276 */     // MIs[0] policy
     /* 1785276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785286 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1785289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785310 */     // GIR_Coverage, 11928,
     /* 1785310 */     GIR_EraseRootFromParent_Done,
     /* 1785311 */   // Label 24269: @1785311
     /* 1785311 */   GIM_Try, /*On fail goto*//*Label 24270*/ GIMT_Encode4(1785397), // Rule ID 11929 //
     /* 1785316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1785327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1785330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1785333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785362 */     // MIs[0] policy
     /* 1785362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785372 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF8_E8_MASK),
     /* 1785375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785396 */     // GIR_Coverage, 11929,
     /* 1785396 */     GIR_EraseRootFromParent_Done,
     /* 1785397 */   // Label 24270: @1785397
     /* 1785397 */   GIM_Try, /*On fail goto*//*Label 24271*/ GIMT_Encode4(1785483), // Rule ID 11932 //
     /* 1785402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785448 */     // MIs[0] policy
     /* 1785448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785458 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1785461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785482 */     // GIR_Coverage, 11932,
     /* 1785482 */     GIR_EraseRootFromParent_Done,
     /* 1785483 */   // Label 24271: @1785483
     /* 1785483 */   GIM_Try, /*On fail goto*//*Label 24272*/ GIMT_Encode4(1785569), // Rule ID 11933 //
     /* 1785488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1785499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1785502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1785505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785534 */     // MIs[0] policy
     /* 1785534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785544 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E8_MASK),
     /* 1785547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785568 */     // GIR_Coverage, 11933,
     /* 1785568 */     GIR_EraseRootFromParent_Done,
     /* 1785569 */   // Label 24272: @1785569
     /* 1785569 */   GIM_Try, /*On fail goto*//*Label 24273*/ GIMT_Encode4(1785655), // Rule ID 11936 //
     /* 1785574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1785585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1785588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1785591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785620 */     // MIs[0] policy
     /* 1785620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785630 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1785633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785654 */     // GIR_Coverage, 11936,
     /* 1785654 */     GIR_EraseRootFromParent_Done,
     /* 1785655 */   // Label 24273: @1785655
     /* 1785655 */   GIM_Try, /*On fail goto*//*Label 24274*/ GIMT_Encode4(1785741), // Rule ID 11937 //
     /* 1785660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1785671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1785674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1785677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1785683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785706 */     // MIs[0] policy
     /* 1785706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785716 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E8_MASK),
     /* 1785719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1785737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785740 */     // GIR_Coverage, 11937,
     /* 1785740 */     GIR_EraseRootFromParent_Done,
     /* 1785741 */   // Label 24274: @1785741
     /* 1785741 */   GIM_Try, /*On fail goto*//*Label 24275*/ GIMT_Encode4(1785827), // Rule ID 11940 //
     /* 1785746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1785757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1785760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1785763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785792 */     // MIs[0] policy
     /* 1785792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785802 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1785805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785826 */     // GIR_Coverage, 11940,
     /* 1785826 */     GIR_EraseRootFromParent_Done,
     /* 1785827 */   // Label 24275: @1785827
     /* 1785827 */   GIM_Try, /*On fail goto*//*Label 24276*/ GIMT_Encode4(1785913), // Rule ID 11941 //
     /* 1785832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1785835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1785843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1785846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1785849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1785852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1785855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1785858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785878 */     // MIs[0] policy
     /* 1785878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785888 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1785888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF4_E16_MASK),
     /* 1785891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785912 */     // GIR_Coverage, 11941,
     /* 1785912 */     GIR_EraseRootFromParent_Done,
     /* 1785913 */   // Label 24276: @1785913
     /* 1785913 */   GIM_Try, /*On fail goto*//*Label 24277*/ GIMT_Encode4(1785999), // Rule ID 11944 //
     /* 1785918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1785921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1785926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1785929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1785932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1785935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1785938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1785941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1785944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1785948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1785956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1785960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1785964 */     // MIs[0] policy
     /* 1785964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1785967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1785974 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1785974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1785977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1785979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1785981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1785983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1785985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1785987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1785992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1785995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1785997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1785998 */     // GIR_Coverage, 11944,
     /* 1785998 */     GIR_EraseRootFromParent_Done,
     /* 1785999 */   // Label 24277: @1785999
     /* 1785999 */   GIM_Try, /*On fail goto*//*Label 24278*/ GIMT_Encode4(1786085), // Rule ID 11945 //
     /* 1786004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1786015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1786018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1786021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786050 */     // MIs[0] policy
     /* 1786050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786060 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E16_MASK),
     /* 1786063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786084 */     // GIR_Coverage, 11945,
     /* 1786084 */     GIR_EraseRootFromParent_Done,
     /* 1786085 */   // Label 24278: @1786085
     /* 1786085 */   GIM_Try, /*On fail goto*//*Label 24279*/ GIMT_Encode4(1786171), // Rule ID 11948 //
     /* 1786090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786136 */     // MIs[0] policy
     /* 1786136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786146 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1786149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786170 */     // GIR_Coverage, 11948,
     /* 1786170 */     GIR_EraseRootFromParent_Done,
     /* 1786171 */   // Label 24279: @1786171
     /* 1786171 */   GIM_Try, /*On fail goto*//*Label 24280*/ GIMT_Encode4(1786257), // Rule ID 11949 //
     /* 1786176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1786187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1786190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1786193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786222 */     // MIs[0] policy
     /* 1786222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_MF2_E32_MASK),
     /* 1786235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786256 */     // GIR_Coverage, 11949,
     /* 1786256 */     GIR_EraseRootFromParent_Done,
     /* 1786257 */   // Label 24280: @1786257
     /* 1786257 */   GIM_Try, /*On fail goto*//*Label 24281*/ GIMT_Encode4(1786343), // Rule ID 11952 //
     /* 1786262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786308 */     // MIs[0] policy
     /* 1786308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786318 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1786321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786342 */     // GIR_Coverage, 11952,
     /* 1786342 */     GIR_EraseRootFromParent_Done,
     /* 1786343 */   // Label 24281: @1786343
     /* 1786343 */   GIM_Try, /*On fail goto*//*Label 24282*/ GIMT_Encode4(1786429), // Rule ID 11953 //
     /* 1786348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1786359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1786362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1786365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1786371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786394 */     // MIs[0] policy
     /* 1786394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786404 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11182:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E8_MASK),
     /* 1786407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1786425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786428 */     // GIR_Coverage, 11953,
     /* 1786428 */     GIR_EraseRootFromParent_Done,
     /* 1786429 */   // Label 24282: @1786429
     /* 1786429 */   GIM_Try, /*On fail goto*//*Label 24283*/ GIMT_Encode4(1786515), // Rule ID 11956 //
     /* 1786434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786480 */     // MIs[0] policy
     /* 1786480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786490 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1786493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786514 */     // GIR_Coverage, 11956,
     /* 1786514 */     GIR_EraseRootFromParent_Done,
     /* 1786515 */   // Label 24283: @1786515
     /* 1786515 */   GIM_Try, /*On fail goto*//*Label 24284*/ GIMT_Encode4(1786601), // Rule ID 11957 //
     /* 1786520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1786531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1786534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1786537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1786543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786566 */     // MIs[0] policy
     /* 1786566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786576 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11182:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E16_MASK),
     /* 1786579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1786597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786600 */     // GIR_Coverage, 11957,
     /* 1786600 */     GIR_EraseRootFromParent_Done,
     /* 1786601 */   // Label 24284: @1786601
     /* 1786601 */   GIM_Try, /*On fail goto*//*Label 24285*/ GIMT_Encode4(1786687), // Rule ID 11960 //
     /* 1786606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1786617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1786620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1786623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786652 */     // MIs[0] policy
     /* 1786652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786662 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1786665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786686 */     // GIR_Coverage, 11960,
     /* 1786686 */     GIR_EraseRootFromParent_Done,
     /* 1786687 */   // Label 24285: @1786687
     /* 1786687 */   GIM_Try, /*On fail goto*//*Label 24286*/ GIMT_Encode4(1786773), // Rule ID 11961 //
     /* 1786692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1786695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1786703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1786706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1786709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1786715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786738 */     // MIs[0] policy
     /* 1786738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786748 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11182:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E32_MASK),
     /* 1786751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1786769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786772 */     // GIR_Coverage, 11961,
     /* 1786772 */     GIR_EraseRootFromParent_Done,
     /* 1786773 */   // Label 24286: @1786773
     /* 1786773 */   GIM_Try, /*On fail goto*//*Label 24287*/ GIMT_Encode4(1786859), // Rule ID 11964 //
     /* 1786778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1786781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786824 */     // MIs[0] policy
     /* 1786824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786834 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1786834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1786837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786858 */     // GIR_Coverage, 11964,
     /* 1786858 */     GIR_EraseRootFromParent_Done,
     /* 1786859 */   // Label 24287: @1786859
     /* 1786859 */   GIM_Try, /*On fail goto*//*Label 24288*/ GIMT_Encode4(1786945), // Rule ID 11965 //
     /* 1786864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1786867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1786875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1786878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1786881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1786884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1786887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1786890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1786894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1786902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786910 */     // MIs[0] policy
     /* 1786910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1786920 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11182:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1786920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M1_E64_MASK),
     /* 1786923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1786925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1786927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1786929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1786931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1786933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1786938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1786941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1786943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1786944 */     // GIR_Coverage, 11965,
     /* 1786944 */     GIR_EraseRootFromParent_Done,
     /* 1786945 */   // Label 24288: @1786945
     /* 1786945 */   GIM_Try, /*On fail goto*//*Label 24289*/ GIMT_Encode4(1787031), // Rule ID 11968 //
     /* 1786950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1786953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1786958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1786961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1786964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1786967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1786970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1786973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1786976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1786980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1786988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1786992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1786996 */     // MIs[0] policy
     /* 1786996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1786999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787006 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1787009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787030 */     // GIR_Coverage, 11968,
     /* 1787030 */     GIR_EraseRootFromParent_Done,
     /* 1787031 */   // Label 24289: @1787031
     /* 1787031 */   GIM_Try, /*On fail goto*//*Label 24290*/ GIMT_Encode4(1787117), // Rule ID 11969 //
     /* 1787036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1787047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1787050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1787053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787082 */     // MIs[0] policy
     /* 1787082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787092 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E8_MASK),
     /* 1787095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787116 */     // GIR_Coverage, 11969,
     /* 1787116 */     GIR_EraseRootFromParent_Done,
     /* 1787117 */   // Label 24290: @1787117
     /* 1787117 */   GIM_Try, /*On fail goto*//*Label 24291*/ GIMT_Encode4(1787203), // Rule ID 11972 //
     /* 1787122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787168 */     // MIs[0] policy
     /* 1787168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787178 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1787181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787202 */     // GIR_Coverage, 11972,
     /* 1787202 */     GIR_EraseRootFromParent_Done,
     /* 1787203 */   // Label 24291: @1787203
     /* 1787203 */   GIM_Try, /*On fail goto*//*Label 24292*/ GIMT_Encode4(1787289), // Rule ID 11973 //
     /* 1787208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1787219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1787222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1787225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787254 */     // MIs[0] policy
     /* 1787254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787264 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E8_MASK),
     /* 1787267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787288 */     // GIR_Coverage, 11973,
     /* 1787288 */     GIR_EraseRootFromParent_Done,
     /* 1787289 */   // Label 24292: @1787289
     /* 1787289 */   GIM_Try, /*On fail goto*//*Label 24293*/ GIMT_Encode4(1787375), // Rule ID 11976 //
     /* 1787294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787340 */     // MIs[0] policy
     /* 1787340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787350 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1787353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787374 */     // GIR_Coverage, 11976,
     /* 1787374 */     GIR_EraseRootFromParent_Done,
     /* 1787375 */   // Label 24293: @1787375
     /* 1787375 */   GIM_Try, /*On fail goto*//*Label 24294*/ GIMT_Encode4(1787461), // Rule ID 11977 //
     /* 1787380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1787391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1787394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1787397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1787403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787426 */     // MIs[0] policy
     /* 1787426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787436 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E8_MASK),
     /* 1787439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1787457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787460 */     // GIR_Coverage, 11977,
     /* 1787460 */     GIR_EraseRootFromParent_Done,
     /* 1787461 */   // Label 24294: @1787461
     /* 1787461 */   GIM_Try, /*On fail goto*//*Label 24295*/ GIMT_Encode4(1787547), // Rule ID 11980 //
     /* 1787466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787512 */     // MIs[0] policy
     /* 1787512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787522 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1787525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787546 */     // GIR_Coverage, 11980,
     /* 1787546 */     GIR_EraseRootFromParent_Done,
     /* 1787547 */   // Label 24295: @1787547
     /* 1787547 */   GIM_Try, /*On fail goto*//*Label 24296*/ GIMT_Encode4(1787633), // Rule ID 11981 //
     /* 1787552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1787563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1787566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1787569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1787575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1787582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1787590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787598 */     // MIs[0] policy
     /* 1787598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787608 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E16_MASK),
     /* 1787611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787632 */     // GIR_Coverage, 11981,
     /* 1787632 */     GIR_EraseRootFromParent_Done,
     /* 1787633 */   // Label 24296: @1787633
     /* 1787633 */   GIM_Try, /*On fail goto*//*Label 24297*/ GIMT_Encode4(1787719), // Rule ID 11984 //
     /* 1787638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1787655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787684 */     // MIs[0] policy
     /* 1787684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787694 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1787697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787718 */     // GIR_Coverage, 11984,
     /* 1787718 */     GIR_EraseRootFromParent_Done,
     /* 1787719 */   // Label 24297: @1787719
     /* 1787719 */   GIM_Try, /*On fail goto*//*Label 24298*/ GIMT_Encode4(1787805), // Rule ID 11985 //
     /* 1787724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1787735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1787738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1787741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1787747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1787754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1787762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787770 */     // MIs[0] policy
     /* 1787770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787780 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E16_MASK),
     /* 1787783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787804 */     // GIR_Coverage, 11985,
     /* 1787804 */     GIR_EraseRootFromParent_Done,
     /* 1787805 */   // Label 24298: @1787805
     /* 1787805 */   GIM_Try, /*On fail goto*//*Label 24299*/ GIMT_Encode4(1787891), // Rule ID 11988 //
     /* 1787810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1787830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1787836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787856 */     // MIs[0] policy
     /* 1787856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787866 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1787866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1787869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787890 */     // GIR_Coverage, 11988,
     /* 1787890 */     GIR_EraseRootFromParent_Done,
     /* 1787891 */   // Label 24299: @1787891
     /* 1787891 */   GIM_Try, /*On fail goto*//*Label 24300*/ GIMT_Encode4(1787977), // Rule ID 11989 //
     /* 1787896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1787899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1787907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1787910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1787913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1787916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1787919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1787922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1787926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1787934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1787938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1787942 */     // MIs[0] policy
     /* 1787942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1787945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1787952 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1787952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E16_MASK),
     /* 1787955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1787957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1787959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1787961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1787963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1787965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1787970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1787973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1787975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1787976 */     // GIR_Coverage, 11989,
     /* 1787976 */     GIR_EraseRootFromParent_Done,
     /* 1787977 */   // Label 24300: @1787977
     /* 1787977 */   GIM_Try, /*On fail goto*//*Label 24301*/ GIMT_Encode4(1788063), // Rule ID 11992 //
     /* 1787982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1787985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1787990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1787993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1787996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1787999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788028 */     // MIs[0] policy
     /* 1788028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788038 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1788041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788062 */     // GIR_Coverage, 11992,
     /* 1788062 */     GIR_EraseRootFromParent_Done,
     /* 1788063 */   // Label 24301: @1788063
     /* 1788063 */   GIM_Try, /*On fail goto*//*Label 24302*/ GIMT_Encode4(1788149), // Rule ID 11993 //
     /* 1788068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1788079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1788082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1788085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788114 */     // MIs[0] policy
     /* 1788114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788124 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E32_MASK),
     /* 1788127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788148 */     // GIR_Coverage, 11993,
     /* 1788148 */     GIR_EraseRootFromParent_Done,
     /* 1788149 */   // Label 24302: @1788149
     /* 1788149 */   GIM_Try, /*On fail goto*//*Label 24303*/ GIMT_Encode4(1788235), // Rule ID 11996 //
     /* 1788154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788200 */     // MIs[0] policy
     /* 1788200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788210 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1788213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788234 */     // GIR_Coverage, 11996,
     /* 1788234 */     GIR_EraseRootFromParent_Done,
     /* 1788235 */   // Label 24303: @1788235
     /* 1788235 */   GIM_Try, /*On fail goto*//*Label 24304*/ GIMT_Encode4(1788321), // Rule ID 11997 //
     /* 1788240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1788251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1788254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1788257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788286 */     // MIs[0] policy
     /* 1788286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788296 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E32_MASK),
     /* 1788299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788320 */     // GIR_Coverage, 11997,
     /* 1788320 */     GIR_EraseRootFromParent_Done,
     /* 1788321 */   // Label 24304: @1788321
     /* 1788321 */   GIM_Try, /*On fail goto*//*Label 24305*/ GIMT_Encode4(1788407), // Rule ID 12000 //
     /* 1788326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1788329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788372 */     // MIs[0] policy
     /* 1788372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788382 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1788385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788406 */     // GIR_Coverage, 12000,
     /* 1788406 */     GIR_EraseRootFromParent_Done,
     /* 1788407 */   // Label 24305: @1788407
     /* 1788407 */   GIM_Try, /*On fail goto*//*Label 24306*/ GIMT_Encode4(1788493), // Rule ID 12001 //
     /* 1788412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1788415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1788423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1788426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1788429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1788435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788458 */     // MIs[0] policy
     /* 1788458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788468 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E32_MASK),
     /* 1788471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1788489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788492 */     // GIR_Coverage, 12001,
     /* 1788492 */     GIR_EraseRootFromParent_Done,
     /* 1788493 */   // Label 24306: @1788493
     /* 1788493 */   GIM_Try, /*On fail goto*//*Label 24307*/ GIMT_Encode4(1788579), // Rule ID 12004 //
     /* 1788498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788544 */     // MIs[0] policy
     /* 1788544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788554 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1788557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788578 */     // GIR_Coverage, 12004,
     /* 1788578 */     GIR_EraseRootFromParent_Done,
     /* 1788579 */   // Label 24307: @1788579
     /* 1788579 */   GIM_Try, /*On fail goto*//*Label 24308*/ GIMT_Encode4(1788665), // Rule ID 12005 //
     /* 1788584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1788595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1788598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1788601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1788607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1788614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1788622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788630 */     // MIs[0] policy
     /* 1788630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11182:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M2_E64_MASK),
     /* 1788643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788664 */     // GIR_Coverage, 12005,
     /* 1788664 */     GIR_EraseRootFromParent_Done,
     /* 1788665 */   // Label 24308: @1788665
     /* 1788665 */   GIM_Try, /*On fail goto*//*Label 24309*/ GIMT_Encode4(1788751), // Rule ID 12008 //
     /* 1788670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788716 */     // MIs[0] policy
     /* 1788716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788726 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1788729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788750 */     // GIR_Coverage, 12008,
     /* 1788750 */     GIR_EraseRootFromParent_Done,
     /* 1788751 */   // Label 24309: @1788751
     /* 1788751 */   GIM_Try, /*On fail goto*//*Label 24310*/ GIMT_Encode4(1788837), // Rule ID 12009 //
     /* 1788756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1788767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1788770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1788773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1788779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1788786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1788794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788802 */     // MIs[0] policy
     /* 1788802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788812 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11182:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M4_E64_MASK),
     /* 1788815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788836 */     // GIR_Coverage, 12009,
     /* 1788836 */     GIR_EraseRootFromParent_Done,
     /* 1788837 */   // Label 24310: @1788837
     /* 1788837 */   GIM_Try, /*On fail goto*//*Label 24311*/ GIMT_Encode4(1788923), // Rule ID 12012 //
     /* 1788842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1788845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1788862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1788868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788888 */     // MIs[0] policy
     /* 1788888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788898 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1788898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1788901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1788916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1788919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1788921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1788922 */     // GIR_Coverage, 12012,
     /* 1788922 */     GIR_EraseRootFromParent_Done,
     /* 1788923 */   // Label 24311: @1788923
     /* 1788923 */   GIM_Try, /*On fail goto*//*Label 24312*/ GIMT_Encode4(1789009), // Rule ID 12013 //
     /* 1788928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1788931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vdiv_mask),
     /* 1788936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1788939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1788942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1788945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1788948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1788951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1788954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1788958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1788966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1788970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1788974 */     // MIs[0] policy
     /* 1788974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1788977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1788984 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11182:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVDIV_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1788984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVDIV_VX_M8_E64_MASK),
     /* 1788987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1788989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1788991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1788993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1788995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1788997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1789005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789008 */     // GIR_Coverage, 12013,
     /* 1789008 */     GIR_EraseRootFromParent_Done,
     /* 1789009 */   // Label 24312: @1789009
     /* 1789009 */   GIM_Try, /*On fail goto*//*Label 24313*/ GIMT_Encode4(1789095), // Rule ID 12016 //
     /* 1789014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1789034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789060 */     // MIs[0] policy
     /* 1789060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789070 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1789073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789094 */     // GIR_Coverage, 12016,
     /* 1789094 */     GIR_EraseRootFromParent_Done,
     /* 1789095 */   // Label 24313: @1789095
     /* 1789095 */   GIM_Try, /*On fail goto*//*Label 24314*/ GIMT_Encode4(1789181), // Rule ID 12017 //
     /* 1789100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1789111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1789114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1789117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1789120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789146 */     // MIs[0] policy
     /* 1789146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789156 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF8_E8_MASK),
     /* 1789159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789180 */     // GIR_Coverage, 12017,
     /* 1789180 */     GIR_EraseRootFromParent_Done,
     /* 1789181 */   // Label 24314: @1789181
     /* 1789181 */   GIM_Try, /*On fail goto*//*Label 24315*/ GIMT_Encode4(1789267), // Rule ID 12020 //
     /* 1789186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1789206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789232 */     // MIs[0] policy
     /* 1789232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789242 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1789245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789266 */     // GIR_Coverage, 12020,
     /* 1789266 */     GIR_EraseRootFromParent_Done,
     /* 1789267 */   // Label 24315: @1789267
     /* 1789267 */   GIM_Try, /*On fail goto*//*Label 24316*/ GIMT_Encode4(1789353), // Rule ID 12021 //
     /* 1789272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1789283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1789286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1789289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1789292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789318 */     // MIs[0] policy
     /* 1789318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789328 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E8_MASK),
     /* 1789331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789352 */     // GIR_Coverage, 12021,
     /* 1789352 */     GIR_EraseRootFromParent_Done,
     /* 1789353 */   // Label 24316: @1789353
     /* 1789353 */   GIM_Try, /*On fail goto*//*Label 24317*/ GIMT_Encode4(1789439), // Rule ID 12024 //
     /* 1789358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1789378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789404 */     // MIs[0] policy
     /* 1789404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789414 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1789417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789438 */     // GIR_Coverage, 12024,
     /* 1789438 */     GIR_EraseRootFromParent_Done,
     /* 1789439 */   // Label 24317: @1789439
     /* 1789439 */   GIM_Try, /*On fail goto*//*Label 24318*/ GIMT_Encode4(1789525), // Rule ID 12025 //
     /* 1789444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1789455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1789458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1789461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1789464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1789467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789490 */     // MIs[0] policy
     /* 1789490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789500 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E8_MASK),
     /* 1789503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1789521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789524 */     // GIR_Coverage, 12025,
     /* 1789524 */     GIR_EraseRootFromParent_Done,
     /* 1789525 */   // Label 24318: @1789525
     /* 1789525 */   GIM_Try, /*On fail goto*//*Label 24319*/ GIMT_Encode4(1789611), // Rule ID 12028 //
     /* 1789530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1789550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789576 */     // MIs[0] policy
     /* 1789576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789586 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1789589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789610 */     // GIR_Coverage, 12028,
     /* 1789610 */     GIR_EraseRootFromParent_Done,
     /* 1789611 */   // Label 24319: @1789611
     /* 1789611 */   GIM_Try, /*On fail goto*//*Label 24320*/ GIMT_Encode4(1789697), // Rule ID 12029 //
     /* 1789616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1789627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1789630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1789633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1789636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789662 */     // MIs[0] policy
     /* 1789662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF4_E16_MASK),
     /* 1789675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789696 */     // GIR_Coverage, 12029,
     /* 1789696 */     GIR_EraseRootFromParent_Done,
     /* 1789697 */   // Label 24320: @1789697
     /* 1789697 */   GIM_Try, /*On fail goto*//*Label 24321*/ GIMT_Encode4(1789783), // Rule ID 12032 //
     /* 1789702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1789719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1789722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789748 */     // MIs[0] policy
     /* 1789748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789758 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1789761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789782 */     // GIR_Coverage, 12032,
     /* 1789782 */     GIR_EraseRootFromParent_Done,
     /* 1789783 */   // Label 24321: @1789783
     /* 1789783 */   GIM_Try, /*On fail goto*//*Label 24322*/ GIMT_Encode4(1789869), // Rule ID 12033 //
     /* 1789788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1789799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1789802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1789805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1789808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1789811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789834 */     // MIs[0] policy
     /* 1789834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789844 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1789844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E16_MASK),
     /* 1789847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1789865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789868 */     // GIR_Coverage, 12033,
     /* 1789868 */     GIR_EraseRootFromParent_Done,
     /* 1789869 */   // Label 24322: @1789869
     /* 1789869 */   GIM_Try, /*On fail goto*//*Label 24323*/ GIMT_Encode4(1789955), // Rule ID 12036 //
     /* 1789874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1789877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1789894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1789900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1789920 */     // MIs[0] policy
     /* 1789920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1789923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1789930 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1789930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1789933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1789935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1789937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1789939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1789941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1789943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1789948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1789951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1789953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1789954 */     // GIR_Coverage, 12036,
     /* 1789954 */     GIR_EraseRootFromParent_Done,
     /* 1789955 */   // Label 24323: @1789955
     /* 1789955 */   GIM_Try, /*On fail goto*//*Label 24324*/ GIMT_Encode4(1790041), // Rule ID 12037 //
     /* 1789960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1789963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1789968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1789971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1789974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1789977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1789980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1789983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1789986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1789990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1789998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790006 */     // MIs[0] policy
     /* 1790006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790016 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_MF2_E32_MASK),
     /* 1790019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790040 */     // GIR_Coverage, 12037,
     /* 1790040 */     GIR_EraseRootFromParent_Done,
     /* 1790041 */   // Label 24324: @1790041
     /* 1790041 */   GIM_Try, /*On fail goto*//*Label 24325*/ GIMT_Encode4(1790127), // Rule ID 12040 //
     /* 1790046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1790066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790092 */     // MIs[0] policy
     /* 1790092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790102 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1790105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790126 */     // GIR_Coverage, 12040,
     /* 1790126 */     GIR_EraseRootFromParent_Done,
     /* 1790127 */   // Label 24325: @1790127
     /* 1790127 */   GIM_Try, /*On fail goto*//*Label 24326*/ GIMT_Encode4(1790213), // Rule ID 12041 //
     /* 1790132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1790143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1790146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1790149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1790152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1790155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790178 */     // MIs[0] policy
     /* 1790178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790188 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E8_MASK),
     /* 1790191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790212 */     // GIR_Coverage, 12041,
     /* 1790212 */     GIR_EraseRootFromParent_Done,
     /* 1790213 */   // Label 24326: @1790213
     /* 1790213 */   GIM_Try, /*On fail goto*//*Label 24327*/ GIMT_Encode4(1790299), // Rule ID 12044 //
     /* 1790218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1790238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790264 */     // MIs[0] policy
     /* 1790264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1790277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790298 */     // GIR_Coverage, 12044,
     /* 1790298 */     GIR_EraseRootFromParent_Done,
     /* 1790299 */   // Label 24327: @1790299
     /* 1790299 */   GIM_Try, /*On fail goto*//*Label 24328*/ GIMT_Encode4(1790385), // Rule ID 12045 //
     /* 1790304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1790315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1790318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1790321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1790324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1790327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790350 */     // MIs[0] policy
     /* 1790350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E16_MASK),
     /* 1790363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1790381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790384 */     // GIR_Coverage, 12045,
     /* 1790384 */     GIR_EraseRootFromParent_Done,
     /* 1790385 */   // Label 24328: @1790385
     /* 1790385 */   GIM_Try, /*On fail goto*//*Label 24329*/ GIMT_Encode4(1790471), // Rule ID 12048 //
     /* 1790390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1790410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790436 */     // MIs[0] policy
     /* 1790436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790446 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1790449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790470 */     // GIR_Coverage, 12048,
     /* 1790470 */     GIR_EraseRootFromParent_Done,
     /* 1790471 */   // Label 24329: @1790471
     /* 1790471 */   GIM_Try, /*On fail goto*//*Label 24330*/ GIMT_Encode4(1790557), // Rule ID 12049 //
     /* 1790476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1790487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1790490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1790493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1790496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1790499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790522 */     // MIs[0] policy
     /* 1790522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790532 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E32_MASK),
     /* 1790535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1790553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790556 */     // GIR_Coverage, 12049,
     /* 1790556 */     GIR_EraseRootFromParent_Done,
     /* 1790557 */   // Label 24330: @1790557
     /* 1790557 */   GIM_Try, /*On fail goto*//*Label 24331*/ GIMT_Encode4(1790643), // Rule ID 12052 //
     /* 1790562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1790565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1790582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790608 */     // MIs[0] policy
     /* 1790608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790618 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1790621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790642 */     // GIR_Coverage, 12052,
     /* 1790642 */     GIR_EraseRootFromParent_Done,
     /* 1790643 */   // Label 24331: @1790643
     /* 1790643 */   GIM_Try, /*On fail goto*//*Label 24332*/ GIMT_Encode4(1790729), // Rule ID 12053 //
     /* 1790648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1790651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1790659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1790662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1790665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1790668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1790671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1790678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1790690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790694 */     // MIs[0] policy
     /* 1790694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790704 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M1_E64_MASK),
     /* 1790707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1790725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790728 */     // GIR_Coverage, 12053,
     /* 1790728 */     GIR_EraseRootFromParent_Done,
     /* 1790729 */   // Label 24332: @1790729
     /* 1790729 */   GIM_Try, /*On fail goto*//*Label 24333*/ GIMT_Encode4(1790815), // Rule ID 12056 //
     /* 1790734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1790745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1790748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1790754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790780 */     // MIs[0] policy
     /* 1790780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790790 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1790793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790814 */     // GIR_Coverage, 12056,
     /* 1790814 */     GIR_EraseRootFromParent_Done,
     /* 1790815 */   // Label 24333: @1790815
     /* 1790815 */   GIM_Try, /*On fail goto*//*Label 24334*/ GIMT_Encode4(1790901), // Rule ID 12057 //
     /* 1790820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1790831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1790834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1790837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1790840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1790843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1790846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1790850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1790862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790866 */     // MIs[0] policy
     /* 1790866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790876 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1790876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E8_MASK),
     /* 1790879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790900 */     // GIR_Coverage, 12057,
     /* 1790900 */     GIR_EraseRootFromParent_Done,
     /* 1790901 */   // Label 24334: @1790901
     /* 1790901 */   GIM_Try, /*On fail goto*//*Label 24335*/ GIMT_Encode4(1790987), // Rule ID 12060 //
     /* 1790906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1790909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1790914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1790917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1790920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1790923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1790926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1790929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1790932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1790936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1790948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1790952 */     // MIs[0] policy
     /* 1790952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1790955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1790962 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1790962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1790965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1790967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1790969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1790971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1790973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1790975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1790980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1790983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1790985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1790986 */     // GIR_Coverage, 12060,
     /* 1790986 */     GIR_EraseRootFromParent_Done,
     /* 1790987 */   // Label 24335: @1790987
     /* 1790987 */   GIM_Try, /*On fail goto*//*Label 24336*/ GIMT_Encode4(1791073), // Rule ID 12061 //
     /* 1790992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1790995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1791003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1791006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1791009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1791012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791038 */     // MIs[0] policy
     /* 1791038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791048 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E8_MASK),
     /* 1791051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791072 */     // GIR_Coverage, 12061,
     /* 1791072 */     GIR_EraseRootFromParent_Done,
     /* 1791073 */   // Label 24336: @1791073
     /* 1791073 */   GIM_Try, /*On fail goto*//*Label 24337*/ GIMT_Encode4(1791159), // Rule ID 12064 //
     /* 1791078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1791098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791124 */     // MIs[0] policy
     /* 1791124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791134 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1791137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791158 */     // GIR_Coverage, 12064,
     /* 1791158 */     GIR_EraseRootFromParent_Done,
     /* 1791159 */   // Label 24337: @1791159
     /* 1791159 */   GIM_Try, /*On fail goto*//*Label 24338*/ GIMT_Encode4(1791245), // Rule ID 12065 //
     /* 1791164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1791175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1791178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1791181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1791184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1791187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791210 */     // MIs[0] policy
     /* 1791210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791220 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E8_MASK),
     /* 1791223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1791241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791244 */     // GIR_Coverage, 12065,
     /* 1791244 */     GIR_EraseRootFromParent_Done,
     /* 1791245 */   // Label 24338: @1791245
     /* 1791245 */   GIM_Try, /*On fail goto*//*Label 24339*/ GIMT_Encode4(1791331), // Rule ID 12068 //
     /* 1791250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1791270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791296 */     // MIs[0] policy
     /* 1791296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791306 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1791309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791330 */     // GIR_Coverage, 12068,
     /* 1791330 */     GIR_EraseRootFromParent_Done,
     /* 1791331 */   // Label 24339: @1791331
     /* 1791331 */   GIM_Try, /*On fail goto*//*Label 24340*/ GIMT_Encode4(1791417), // Rule ID 12069 //
     /* 1791336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1791347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1791350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1791353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1791356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791382 */     // MIs[0] policy
     /* 1791382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791392 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E16_MASK),
     /* 1791395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791416 */     // GIR_Coverage, 12069,
     /* 1791416 */     GIR_EraseRootFromParent_Done,
     /* 1791417 */   // Label 24340: @1791417
     /* 1791417 */   GIM_Try, /*On fail goto*//*Label 24341*/ GIMT_Encode4(1791503), // Rule ID 12072 //
     /* 1791422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1791442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791468 */     // MIs[0] policy
     /* 1791468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791478 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1791481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791502 */     // GIR_Coverage, 12072,
     /* 1791502 */     GIR_EraseRootFromParent_Done,
     /* 1791503 */   // Label 24341: @1791503
     /* 1791503 */   GIM_Try, /*On fail goto*//*Label 24342*/ GIMT_Encode4(1791589), // Rule ID 12073 //
     /* 1791508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1791519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1791522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1791525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1791528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1791531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791554 */     // MIs[0] policy
     /* 1791554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791564 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E16_MASK),
     /* 1791567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791588 */     // GIR_Coverage, 12073,
     /* 1791588 */     GIR_EraseRootFromParent_Done,
     /* 1791589 */   // Label 24342: @1791589
     /* 1791589 */   GIM_Try, /*On fail goto*//*Label 24343*/ GIMT_Encode4(1791675), // Rule ID 12076 //
     /* 1791594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1791614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791640 */     // MIs[0] policy
     /* 1791640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791650 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1791653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791674 */     // GIR_Coverage, 12076,
     /* 1791674 */     GIR_EraseRootFromParent_Done,
     /* 1791675 */   // Label 24343: @1791675
     /* 1791675 */   GIM_Try, /*On fail goto*//*Label 24344*/ GIMT_Encode4(1791761), // Rule ID 12077 //
     /* 1791680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1791691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1791694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1791697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1791700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1791703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1791710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1791722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791726 */     // MIs[0] policy
     /* 1791726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791736 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E16_MASK),
     /* 1791739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1791757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791760 */     // GIR_Coverage, 12077,
     /* 1791760 */     GIR_EraseRootFromParent_Done,
     /* 1791761 */   // Label 24344: @1791761
     /* 1791761 */   GIM_Try, /*On fail goto*//*Label 24345*/ GIMT_Encode4(1791847), // Rule ID 12080 //
     /* 1791766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1791786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791812 */     // MIs[0] policy
     /* 1791812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791822 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1791825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791846 */     // GIR_Coverage, 12080,
     /* 1791846 */     GIR_EraseRootFromParent_Done,
     /* 1791847 */   // Label 24345: @1791847
     /* 1791847 */   GIM_Try, /*On fail goto*//*Label 24346*/ GIMT_Encode4(1791933), // Rule ID 12081 //
     /* 1791852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1791855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1791863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1791866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1791869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1791872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1791875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1791878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1791882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1791894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791898 */     // MIs[0] policy
     /* 1791898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791908 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1791908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E32_MASK),
     /* 1791911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1791915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1791917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1791919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1791921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1791926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1791929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1791931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1791932 */     // GIR_Coverage, 12081,
     /* 1791932 */     GIR_EraseRootFromParent_Done,
     /* 1791933 */   // Label 24346: @1791933
     /* 1791933 */   GIM_Try, /*On fail goto*//*Label 24347*/ GIMT_Encode4(1792019), // Rule ID 12084 //
     /* 1791938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1791941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1791946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1791949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1791952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1791955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1791958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1791961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1791964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1791968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1791980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1791984 */     // MIs[0] policy
     /* 1791984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1791987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1791994 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1791994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1791997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1791999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792018 */     // GIR_Coverage, 12084,
     /* 1792018 */     GIR_EraseRootFromParent_Done,
     /* 1792019 */   // Label 24347: @1792019
     /* 1792019 */   GIM_Try, /*On fail goto*//*Label 24348*/ GIMT_Encode4(1792105), // Rule ID 12085 //
     /* 1792024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1792035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1792038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1792041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1792044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792070 */     // MIs[0] policy
     /* 1792070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E32_MASK),
     /* 1792083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792104 */     // GIR_Coverage, 12085,
     /* 1792104 */     GIR_EraseRootFromParent_Done,
     /* 1792105 */   // Label 24348: @1792105
     /* 1792105 */   GIM_Try, /*On fail goto*//*Label 24349*/ GIMT_Encode4(1792191), // Rule ID 12088 //
     /* 1792110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1792130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792156 */     // MIs[0] policy
     /* 1792156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792166 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1792169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792190 */     // GIR_Coverage, 12088,
     /* 1792190 */     GIR_EraseRootFromParent_Done,
     /* 1792191 */   // Label 24349: @1792191
     /* 1792191 */   GIM_Try, /*On fail goto*//*Label 24350*/ GIMT_Encode4(1792277), // Rule ID 12089 //
     /* 1792196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1792207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1792210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1792213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1792216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1792219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792242 */     // MIs[0] policy
     /* 1792242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792252 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E32_MASK),
     /* 1792255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1792273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792276 */     // GIR_Coverage, 12089,
     /* 1792276 */     GIR_EraseRootFromParent_Done,
     /* 1792277 */   // Label 24350: @1792277
     /* 1792277 */   GIM_Try, /*On fail goto*//*Label 24351*/ GIMT_Encode4(1792363), // Rule ID 12092 //
     /* 1792282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1792302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792328 */     // MIs[0] policy
     /* 1792328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792338 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1792341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792362 */     // GIR_Coverage, 12092,
     /* 1792362 */     GIR_EraseRootFromParent_Done,
     /* 1792363 */   // Label 24351: @1792363
     /* 1792363 */   GIM_Try, /*On fail goto*//*Label 24352*/ GIMT_Encode4(1792449), // Rule ID 12093 //
     /* 1792368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1792379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1792382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1792385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1792388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1792398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1792410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792414 */     // MIs[0] policy
     /* 1792414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792424 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M2_E64_MASK),
     /* 1792427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792448 */     // GIR_Coverage, 12093,
     /* 1792448 */     GIR_EraseRootFromParent_Done,
     /* 1792449 */   // Label 24352: @1792449
     /* 1792449 */   GIM_Try, /*On fail goto*//*Label 24353*/ GIMT_Encode4(1792535), // Rule ID 12096 //
     /* 1792454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1792474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792500 */     // MIs[0] policy
     /* 1792500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792510 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1792513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792534 */     // GIR_Coverage, 12096,
     /* 1792534 */     GIR_EraseRootFromParent_Done,
     /* 1792535 */   // Label 24353: @1792535
     /* 1792535 */   GIM_Try, /*On fail goto*//*Label 24354*/ GIMT_Encode4(1792621), // Rule ID 12097 //
     /* 1792540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1792551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1792554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1792557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1792560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1792563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1792570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1792582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792586 */     // MIs[0] policy
     /* 1792586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792596 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M4_E64_MASK),
     /* 1792599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792620 */     // GIR_Coverage, 12097,
     /* 1792620 */     GIR_EraseRootFromParent_Done,
     /* 1792621 */   // Label 24354: @1792621
     /* 1792621 */   GIM_Try, /*On fail goto*//*Label 24355*/ GIMT_Encode4(1792707), // Rule ID 12100 //
     /* 1792626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1792629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1792646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792672 */     // MIs[0] policy
     /* 1792672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792682 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1792685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792706 */     // GIR_Coverage, 12100,
     /* 1792706 */     GIR_EraseRootFromParent_Done,
     /* 1792707 */   // Label 24355: @1792707
     /* 1792707 */   GIM_Try, /*On fail goto*//*Label 24356*/ GIMT_Encode4(1792793), // Rule ID 12101 //
     /* 1792712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1792715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1792723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1792726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1792729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1792732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1792735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1792742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1792754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792758 */     // MIs[0] policy
     /* 1792758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792768 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VV_M8_E64_MASK),
     /* 1792771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1792789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792792 */     // GIR_Coverage, 12101,
     /* 1792792 */     GIR_EraseRootFromParent_Done,
     /* 1792793 */   // Label 24356: @1792793
     /* 1792793 */   GIM_Try, /*On fail goto*//*Label 24357*/ GIMT_Encode4(1792879), // Rule ID 12104 //
     /* 1792798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1792809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1792812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792844 */     // MIs[0] policy
     /* 1792844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792854 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1792854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1792857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792878 */     // GIR_Coverage, 12104,
     /* 1792878 */     GIR_EraseRootFromParent_Done,
     /* 1792879 */   // Label 24357: @1792879
     /* 1792879 */   GIM_Try, /*On fail goto*//*Label 24358*/ GIMT_Encode4(1792965), // Rule ID 12105 //
     /* 1792884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1792887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1792895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1792898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1792901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1792904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1792907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1792910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1792914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1792922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1792926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1792930 */     // MIs[0] policy
     /* 1792930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1792933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1792940 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1792940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF8_E8_MASK),
     /* 1792943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1792945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1792947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1792949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1792951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1792953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1792958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1792961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1792963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1792964 */     // GIR_Coverage, 12105,
     /* 1792964 */     GIR_EraseRootFromParent_Done,
     /* 1792965 */   // Label 24358: @1792965
     /* 1792965 */   GIM_Try, /*On fail goto*//*Label 24359*/ GIMT_Encode4(1793051), // Rule ID 12108 //
     /* 1792970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1792973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1792978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1792981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1792984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1792987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1792990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1792993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1792996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793016 */     // MIs[0] policy
     /* 1793016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793026 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1793029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793050 */     // GIR_Coverage, 12108,
     /* 1793050 */     GIR_EraseRootFromParent_Done,
     /* 1793051 */   // Label 24359: @1793051
     /* 1793051 */   GIM_Try, /*On fail goto*//*Label 24360*/ GIMT_Encode4(1793137), // Rule ID 12109 //
     /* 1793056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1793067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1793070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1793073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793102 */     // MIs[0] policy
     /* 1793102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793112 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E8_MASK),
     /* 1793115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793136 */     // GIR_Coverage, 12109,
     /* 1793136 */     GIR_EraseRootFromParent_Done,
     /* 1793137 */   // Label 24360: @1793137
     /* 1793137 */   GIM_Try, /*On fail goto*//*Label 24361*/ GIMT_Encode4(1793223), // Rule ID 12112 //
     /* 1793142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1793153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1793156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793188 */     // MIs[0] policy
     /* 1793188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793198 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1793201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793222 */     // GIR_Coverage, 12112,
     /* 1793222 */     GIR_EraseRootFromParent_Done,
     /* 1793223 */   // Label 24361: @1793223
     /* 1793223 */   GIM_Try, /*On fail goto*//*Label 24362*/ GIMT_Encode4(1793309), // Rule ID 12113 //
     /* 1793228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1793239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1793242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1793245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1793251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793274 */     // MIs[0] policy
     /* 1793274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793284 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E8_MASK),
     /* 1793287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793308 */     // GIR_Coverage, 12113,
     /* 1793308 */     GIR_EraseRootFromParent_Done,
     /* 1793309 */   // Label 24362: @1793309
     /* 1793309 */   GIM_Try, /*On fail goto*//*Label 24363*/ GIMT_Encode4(1793395), // Rule ID 12116 //
     /* 1793314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1793325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1793328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793360 */     // MIs[0] policy
     /* 1793360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793370 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1793373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793394 */     // GIR_Coverage, 12116,
     /* 1793394 */     GIR_EraseRootFromParent_Done,
     /* 1793395 */   // Label 24363: @1793395
     /* 1793395 */   GIM_Try, /*On fail goto*//*Label 24364*/ GIMT_Encode4(1793481), // Rule ID 12117 //
     /* 1793400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1793411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1793414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1793417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793446 */     // MIs[0] policy
     /* 1793446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793456 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF4_E16_MASK),
     /* 1793459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793480 */     // GIR_Coverage, 12117,
     /* 1793480 */     GIR_EraseRootFromParent_Done,
     /* 1793481 */   // Label 24364: @1793481
     /* 1793481 */   GIM_Try, /*On fail goto*//*Label 24365*/ GIMT_Encode4(1793567), // Rule ID 12120 //
     /* 1793486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1793503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793532 */     // MIs[0] policy
     /* 1793532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793542 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1793545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793566 */     // GIR_Coverage, 12120,
     /* 1793566 */     GIR_EraseRootFromParent_Done,
     /* 1793567 */   // Label 24365: @1793567
     /* 1793567 */   GIM_Try, /*On fail goto*//*Label 24366*/ GIMT_Encode4(1793653), // Rule ID 12121 //
     /* 1793572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1793583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1793586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1793589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1793595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793618 */     // MIs[0] policy
     /* 1793618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793628 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E16_MASK),
     /* 1793631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1793649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793652 */     // GIR_Coverage, 12121,
     /* 1793652 */     GIR_EraseRootFromParent_Done,
     /* 1793653 */   // Label 24366: @1793653
     /* 1793653 */   GIM_Try, /*On fail goto*//*Label 24367*/ GIMT_Encode4(1793739), // Rule ID 12124 //
     /* 1793658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793704 */     // MIs[0] policy
     /* 1793704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793714 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1793717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793738 */     // GIR_Coverage, 12124,
     /* 1793738 */     GIR_EraseRootFromParent_Done,
     /* 1793739 */   // Label 24367: @1793739
     /* 1793739 */   GIM_Try, /*On fail goto*//*Label 24368*/ GIMT_Encode4(1793825), // Rule ID 12125 //
     /* 1793744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1793755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1793758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1793761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1793767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793790 */     // MIs[0] policy
     /* 1793790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793800 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_MF2_E32_MASK),
     /* 1793803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1793821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793824 */     // GIR_Coverage, 12125,
     /* 1793824 */     GIR_EraseRootFromParent_Done,
     /* 1793825 */   // Label 24368: @1793825
     /* 1793825 */   GIM_Try, /*On fail goto*//*Label 24369*/ GIMT_Encode4(1793911), // Rule ID 12128 //
     /* 1793830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1793833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1793841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1793844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1793850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1793856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793876 */     // MIs[0] policy
     /* 1793876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793886 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1793886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1793889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793910 */     // GIR_Coverage, 12128,
     /* 1793910 */     GIR_EraseRootFromParent_Done,
     /* 1793911 */   // Label 24369: @1793911
     /* 1793911 */   GIM_Try, /*On fail goto*//*Label 24370*/ GIMT_Encode4(1793997), // Rule ID 12129 //
     /* 1793916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1793919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1793924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1793927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1793930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1793933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1793936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1793939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1793942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1793946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1793954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1793958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1793962 */     // MIs[0] policy
     /* 1793962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1793965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1793972 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11516:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1793972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E8_MASK),
     /* 1793975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1793977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1793979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1793981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1793983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1793985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1793990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1793993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1793995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1793996 */     // GIR_Coverage, 12129,
     /* 1793996 */     GIR_EraseRootFromParent_Done,
     /* 1793997 */   // Label 24370: @1793997
     /* 1793997 */   GIM_Try, /*On fail goto*//*Label 24371*/ GIMT_Encode4(1794083), // Rule ID 12132 //
     /* 1794002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1794013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1794016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794048 */     // MIs[0] policy
     /* 1794048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794058 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1794061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794082 */     // GIR_Coverage, 12132,
     /* 1794082 */     GIR_EraseRootFromParent_Done,
     /* 1794083 */   // Label 24371: @1794083
     /* 1794083 */   GIM_Try, /*On fail goto*//*Label 24372*/ GIMT_Encode4(1794169), // Rule ID 12133 //
     /* 1794088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1794099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1794102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1794105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1794111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794134 */     // MIs[0] policy
     /* 1794134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794144 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11516:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E16_MASK),
     /* 1794147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1794165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794168 */     // GIR_Coverage, 12133,
     /* 1794168 */     GIR_EraseRootFromParent_Done,
     /* 1794169 */   // Label 24372: @1794169
     /* 1794169 */   GIM_Try, /*On fail goto*//*Label 24373*/ GIMT_Encode4(1794255), // Rule ID 12136 //
     /* 1794174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1794191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794220 */     // MIs[0] policy
     /* 1794220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794230 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1794233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794254 */     // GIR_Coverage, 12136,
     /* 1794254 */     GIR_EraseRootFromParent_Done,
     /* 1794255 */   // Label 24373: @1794255
     /* 1794255 */   GIM_Try, /*On fail goto*//*Label 24374*/ GIMT_Encode4(1794341), // Rule ID 12137 //
     /* 1794260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1794271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1794274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1794277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1794283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794306 */     // MIs[0] policy
     /* 1794306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794316 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11516:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E32_MASK),
     /* 1794319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1794337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794340 */     // GIR_Coverage, 12137,
     /* 1794340 */     GIR_EraseRootFromParent_Done,
     /* 1794341 */   // Label 24374: @1794341
     /* 1794341 */   GIM_Try, /*On fail goto*//*Label 24375*/ GIMT_Encode4(1794427), // Rule ID 12140 //
     /* 1794346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1794349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1794357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1794360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1794363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794392 */     // MIs[0] policy
     /* 1794392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794402 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1794405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794426 */     // GIR_Coverage, 12140,
     /* 1794426 */     GIR_EraseRootFromParent_Done,
     /* 1794427 */   // Label 24375: @1794427
     /* 1794427 */   GIM_Try, /*On fail goto*//*Label 24376*/ GIMT_Encode4(1794513), // Rule ID 12141 //
     /* 1794432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1794435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1794443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1794446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1794449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1794455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1794462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1794470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794478 */     // MIs[0] policy
     /* 1794478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794488 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11516:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M1_E64_MASK),
     /* 1794491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1794509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794512 */     // GIR_Coverage, 12141,
     /* 1794512 */     GIR_EraseRootFromParent_Done,
     /* 1794513 */   // Label 24376: @1794513
     /* 1794513 */   GIM_Try, /*On fail goto*//*Label 24377*/ GIMT_Encode4(1794599), // Rule ID 12144 //
     /* 1794518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1794529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1794532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1794535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794564 */     // MIs[0] policy
     /* 1794564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794574 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1794577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794598 */     // GIR_Coverage, 12144,
     /* 1794598 */     GIR_EraseRootFromParent_Done,
     /* 1794599 */   // Label 24377: @1794599
     /* 1794599 */   GIM_Try, /*On fail goto*//*Label 24378*/ GIMT_Encode4(1794685), // Rule ID 12145 //
     /* 1794604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1794615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1794618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1794621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1794627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1794634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1794642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794650 */     // MIs[0] policy
     /* 1794650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794660 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E8_MASK),
     /* 1794663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794684 */     // GIR_Coverage, 12145,
     /* 1794684 */     GIR_EraseRootFromParent_Done,
     /* 1794685 */   // Label 24378: @1794685
     /* 1794685 */   GIM_Try, /*On fail goto*//*Label 24379*/ GIMT_Encode4(1794771), // Rule ID 12148 //
     /* 1794690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1794701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1794704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1794707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794736 */     // MIs[0] policy
     /* 1794736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794746 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1794749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794770 */     // GIR_Coverage, 12148,
     /* 1794770 */     GIR_EraseRootFromParent_Done,
     /* 1794771 */   // Label 24379: @1794771
     /* 1794771 */   GIM_Try, /*On fail goto*//*Label 24380*/ GIMT_Encode4(1794857), // Rule ID 12149 //
     /* 1794776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1794787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1794790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1794793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1794799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1794806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1794814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794822 */     // MIs[0] policy
     /* 1794822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794832 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1794832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E8_MASK),
     /* 1794835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794856 */     // GIR_Coverage, 12149,
     /* 1794856 */     GIR_EraseRootFromParent_Done,
     /* 1794857 */   // Label 24380: @1794857
     /* 1794857 */   GIM_Try, /*On fail goto*//*Label 24381*/ GIMT_Encode4(1794943), // Rule ID 12152 //
     /* 1794862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1794865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1794873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1794876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1794879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1794882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1794885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1794888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794908 */     // MIs[0] policy
     /* 1794908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1794918 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1794918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1794921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1794923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1794925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1794927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1794929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1794931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1794936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1794939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1794941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1794942 */     // GIR_Coverage, 12152,
     /* 1794942 */     GIR_EraseRootFromParent_Done,
     /* 1794943 */   // Label 24381: @1794943
     /* 1794943 */   GIM_Try, /*On fail goto*//*Label 24382*/ GIMT_Encode4(1795029), // Rule ID 12153 //
     /* 1794948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1794951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1794956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1794959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1794962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1794965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1794968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1794971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1794974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1794978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1794986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1794990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1794994 */     // MIs[0] policy
     /* 1794994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1794997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795004 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E8_MASK),
     /* 1795007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1795025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795028 */     // GIR_Coverage, 12153,
     /* 1795028 */     GIR_EraseRootFromParent_Done,
     /* 1795029 */   // Label 24382: @1795029
     /* 1795029 */   GIM_Try, /*On fail goto*//*Label 24383*/ GIMT_Encode4(1795115), // Rule ID 12156 //
     /* 1795034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1795051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795080 */     // MIs[0] policy
     /* 1795080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795090 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1795093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795114 */     // GIR_Coverage, 12156,
     /* 1795114 */     GIR_EraseRootFromParent_Done,
     /* 1795115 */   // Label 24383: @1795115
     /* 1795115 */   GIM_Try, /*On fail goto*//*Label 24384*/ GIMT_Encode4(1795201), // Rule ID 12157 //
     /* 1795120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1795131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1795134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1795137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795166 */     // MIs[0] policy
     /* 1795166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795176 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E16_MASK),
     /* 1795179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795200 */     // GIR_Coverage, 12157,
     /* 1795200 */     GIR_EraseRootFromParent_Done,
     /* 1795201 */   // Label 24384: @1795201
     /* 1795201 */   GIM_Try, /*On fail goto*//*Label 24385*/ GIMT_Encode4(1795287), // Rule ID 12160 //
     /* 1795206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1795217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1795220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1795223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795252 */     // MIs[0] policy
     /* 1795252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795262 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1795265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795286 */     // GIR_Coverage, 12160,
     /* 1795286 */     GIR_EraseRootFromParent_Done,
     /* 1795287 */   // Label 24385: @1795287
     /* 1795287 */   GIM_Try, /*On fail goto*//*Label 24386*/ GIMT_Encode4(1795373), // Rule ID 12161 //
     /* 1795292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1795303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1795306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1795309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795338 */     // MIs[0] policy
     /* 1795338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795348 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E16_MASK),
     /* 1795351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795372 */     // GIR_Coverage, 12161,
     /* 1795372 */     GIR_EraseRootFromParent_Done,
     /* 1795373 */   // Label 24386: @1795373
     /* 1795373 */   GIM_Try, /*On fail goto*//*Label 24387*/ GIMT_Encode4(1795459), // Rule ID 12164 //
     /* 1795378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1795389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1795392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1795395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795424 */     // MIs[0] policy
     /* 1795424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795434 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1795437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795458 */     // GIR_Coverage, 12164,
     /* 1795458 */     GIR_EraseRootFromParent_Done,
     /* 1795459 */   // Label 24387: @1795459
     /* 1795459 */   GIM_Try, /*On fail goto*//*Label 24388*/ GIMT_Encode4(1795545), // Rule ID 12165 //
     /* 1795464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1795475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1795478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1795481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1795487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795510 */     // MIs[0] policy
     /* 1795510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795520 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E16_MASK),
     /* 1795523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1795541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795544 */     // GIR_Coverage, 12165,
     /* 1795544 */     GIR_EraseRootFromParent_Done,
     /* 1795545 */   // Label 24388: @1795545
     /* 1795545 */   GIM_Try, /*On fail goto*//*Label 24389*/ GIMT_Encode4(1795631), // Rule ID 12168 //
     /* 1795550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1795561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1795564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795596 */     // MIs[0] policy
     /* 1795596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1795609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795630 */     // GIR_Coverage, 12168,
     /* 1795630 */     GIR_EraseRootFromParent_Done,
     /* 1795631 */   // Label 24389: @1795631
     /* 1795631 */   GIM_Try, /*On fail goto*//*Label 24390*/ GIMT_Encode4(1795717), // Rule ID 12169 //
     /* 1795636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1795647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1795650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1795653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1795659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1795666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1795674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795682 */     // MIs[0] policy
     /* 1795682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795692 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E32_MASK),
     /* 1795695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795716 */     // GIR_Coverage, 12169,
     /* 1795716 */     GIR_EraseRootFromParent_Done,
     /* 1795717 */   // Label 24390: @1795717
     /* 1795717 */   GIM_Try, /*On fail goto*//*Label 24391*/ GIMT_Encode4(1795803), // Rule ID 12172 //
     /* 1795722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1795733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1795736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795768 */     // MIs[0] policy
     /* 1795768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795778 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1795781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795802 */     // GIR_Coverage, 12172,
     /* 1795802 */     GIR_EraseRootFromParent_Done,
     /* 1795803 */   // Label 24391: @1795803
     /* 1795803 */   GIM_Try, /*On fail goto*//*Label 24392*/ GIMT_Encode4(1795889), // Rule ID 12173 //
     /* 1795808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1795819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1795822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1795825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1795828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1795831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1795834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1795838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1795846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795854 */     // MIs[0] policy
     /* 1795854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1795864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E32_MASK),
     /* 1795867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795888 */     // GIR_Coverage, 12173,
     /* 1795888 */     GIR_EraseRootFromParent_Done,
     /* 1795889 */   // Label 24392: @1795889
     /* 1795889 */   GIM_Try, /*On fail goto*//*Label 24393*/ GIMT_Encode4(1795975), // Rule ID 12176 //
     /* 1795894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1795897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1795911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1795914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1795917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1795920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1795924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1795932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1795936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1795940 */     // MIs[0] policy
     /* 1795940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1795943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1795950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1795950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1795953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1795955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1795957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1795959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1795961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1795963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1795968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1795971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1795973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1795974 */     // GIR_Coverage, 12176,
     /* 1795974 */     GIR_EraseRootFromParent_Done,
     /* 1795975 */   // Label 24393: @1795975
     /* 1795975 */   GIM_Try, /*On fail goto*//*Label 24394*/ GIMT_Encode4(1796061), // Rule ID 12177 //
     /* 1795980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1795983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1795988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1795991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1795994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1795997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1796003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796026 */     // MIs[0] policy
     /* 1796026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796036 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E32_MASK),
     /* 1796039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1796057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796060 */     // GIR_Coverage, 12177,
     /* 1796060 */     GIR_EraseRootFromParent_Done,
     /* 1796061 */   // Label 24394: @1796061
     /* 1796061 */   GIM_Try, /*On fail goto*//*Label 24395*/ GIMT_Encode4(1796147), // Rule ID 12180 //
     /* 1796066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1796069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1796074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1796077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1796080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1796083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796112 */     // MIs[0] policy
     /* 1796112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796122 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1796125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796146 */     // GIR_Coverage, 12180,
     /* 1796146 */     GIR_EraseRootFromParent_Done,
     /* 1796147 */   // Label 24395: @1796147
     /* 1796147 */   GIM_Try, /*On fail goto*//*Label 24396*/ GIMT_Encode4(1796233), // Rule ID 12181 //
     /* 1796152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1796155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1796160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1796163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1796166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1796169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1796182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1796190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796198 */     // MIs[0] policy
     /* 1796198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796208 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11516:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M2_E64_MASK),
     /* 1796211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796232 */     // GIR_Coverage, 12181,
     /* 1796232 */     GIR_EraseRootFromParent_Done,
     /* 1796233 */   // Label 24396: @1796233
     /* 1796233 */   GIM_Try, /*On fail goto*//*Label 24397*/ GIMT_Encode4(1796319), // Rule ID 12184 //
     /* 1796238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1796241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1796246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1796249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1796252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1796255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796284 */     // MIs[0] policy
     /* 1796284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796294 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1796297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796318 */     // GIR_Coverage, 12184,
     /* 1796318 */     GIR_EraseRootFromParent_Done,
     /* 1796319 */   // Label 24397: @1796319
     /* 1796319 */   GIM_Try, /*On fail goto*//*Label 24398*/ GIMT_Encode4(1796405), // Rule ID 12185 //
     /* 1796324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1796327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1796332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1796335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1796338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1796341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1796354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1796362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796370 */     // MIs[0] policy
     /* 1796370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796380 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11516:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M4_E64_MASK),
     /* 1796383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796404 */     // GIR_Coverage, 12185,
     /* 1796404 */     GIR_EraseRootFromParent_Done,
     /* 1796405 */   // Label 24398: @1796405
     /* 1796405 */   GIM_Try, /*On fail goto*//*Label 24399*/ GIMT_Encode4(1796491), // Rule ID 12188 //
     /* 1796410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1796413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1796418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1796421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1796424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1796427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1796430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796456 */     // MIs[0] policy
     /* 1796456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796466 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1796469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796490 */     // GIR_Coverage, 12188,
     /* 1796490 */     GIR_EraseRootFromParent_Done,
     /* 1796491 */   // Label 24399: @1796491
     /* 1796491 */   GIM_Try, /*On fail goto*//*Label 24400*/ GIMT_Encode4(1796577), // Rule ID 12189 //
     /* 1796496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1796499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vremu_mask),
     /* 1796504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1796507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1796510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1796513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1796516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1796519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1796526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1796534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1796538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796542 */     // MIs[0] policy
     /* 1796542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796552 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11516:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREMU_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREMU_VX_M8_E64_MASK),
     /* 1796555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1796573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796576 */     // GIR_Coverage, 12189,
     /* 1796576 */     GIR_EraseRootFromParent_Done,
     /* 1796577 */   // Label 24400: @1796577
     /* 1796577 */   GIM_Try, /*On fail goto*//*Label 24401*/ GIMT_Encode4(1796663), // Rule ID 12192 //
     /* 1796582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1796593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1796596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1796599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1796602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796628 */     // MIs[0] policy
     /* 1796628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796638 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1796641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796662 */     // GIR_Coverage, 12192,
     /* 1796662 */     GIR_EraseRootFromParent_Done,
     /* 1796663 */   // Label 24401: @1796663
     /* 1796663 */   GIM_Try, /*On fail goto*//*Label 24402*/ GIMT_Encode4(1796749), // Rule ID 12193 //
     /* 1796668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1796679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1796682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1796685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1796688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1796691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796714 */     // MIs[0] policy
     /* 1796714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF8_E8_MASK),
     /* 1796727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796748 */     // GIR_Coverage, 12193,
     /* 1796748 */     GIR_EraseRootFromParent_Done,
     /* 1796749 */   // Label 24402: @1796749
     /* 1796749 */   GIM_Try, /*On fail goto*//*Label 24403*/ GIMT_Encode4(1796835), // Rule ID 12196 //
     /* 1796754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1796765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1796768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1796774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796800 */     // MIs[0] policy
     /* 1796800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796810 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1796813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796834 */     // GIR_Coverage, 12196,
     /* 1796834 */     GIR_EraseRootFromParent_Done,
     /* 1796835 */   // Label 24403: @1796835
     /* 1796835 */   GIM_Try, /*On fail goto*//*Label 24404*/ GIMT_Encode4(1796921), // Rule ID 12197 //
     /* 1796840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1796843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1796851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1796854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1796857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1796860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1796863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1796866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796886 */     // MIs[0] policy
     /* 1796886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796896 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1796896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E8_MASK),
     /* 1796899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1796914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1796917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1796919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1796920 */     // GIR_Coverage, 12197,
     /* 1796920 */     GIR_EraseRootFromParent_Done,
     /* 1796921 */   // Label 24404: @1796921
     /* 1796921 */   GIM_Try, /*On fail goto*//*Label 24405*/ GIMT_Encode4(1797007), // Rule ID 12200 //
     /* 1796926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1796929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1796934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1796937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1796940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1796943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1796946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1796949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1796952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1796956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1796968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1796972 */     // MIs[0] policy
     /* 1796972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1796975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1796982 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1796982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1796985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1796987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1796989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1796991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1796993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1796995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797006 */     // GIR_Coverage, 12200,
     /* 1797006 */     GIR_EraseRootFromParent_Done,
     /* 1797007 */   // Label 24405: @1797007
     /* 1797007 */   GIM_Try, /*On fail goto*//*Label 24406*/ GIMT_Encode4(1797093), // Rule ID 12201 //
     /* 1797012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1797023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1797026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1797029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1797032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797058 */     // MIs[0] policy
     /* 1797058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797068 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E8_MASK),
     /* 1797071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797092 */     // GIR_Coverage, 12201,
     /* 1797092 */     GIR_EraseRootFromParent_Done,
     /* 1797093 */   // Label 24406: @1797093
     /* 1797093 */   GIM_Try, /*On fail goto*//*Label 24407*/ GIMT_Encode4(1797179), // Rule ID 12204 //
     /* 1797098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1797115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1797118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797144 */     // MIs[0] policy
     /* 1797144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797154 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1797157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797178 */     // GIR_Coverage, 12204,
     /* 1797178 */     GIR_EraseRootFromParent_Done,
     /* 1797179 */   // Label 24407: @1797179
     /* 1797179 */   GIM_Try, /*On fail goto*//*Label 24408*/ GIMT_Encode4(1797265), // Rule ID 12205 //
     /* 1797184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1797195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1797198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1797201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1797204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797230 */     // MIs[0] policy
     /* 1797230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797240 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF4_E16_MASK),
     /* 1797243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797264 */     // GIR_Coverage, 12205,
     /* 1797264 */     GIR_EraseRootFromParent_Done,
     /* 1797265 */   // Label 24408: @1797265
     /* 1797265 */   GIM_Try, /*On fail goto*//*Label 24409*/ GIMT_Encode4(1797351), // Rule ID 12208 //
     /* 1797270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1797281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1797284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1797287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1797290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797316 */     // MIs[0] policy
     /* 1797316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797326 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1797329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797350 */     // GIR_Coverage, 12208,
     /* 1797350 */     GIR_EraseRootFromParent_Done,
     /* 1797351 */   // Label 24409: @1797351
     /* 1797351 */   GIM_Try, /*On fail goto*//*Label 24410*/ GIMT_Encode4(1797437), // Rule ID 12209 //
     /* 1797356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1797367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1797370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1797373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1797376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797402 */     // MIs[0] policy
     /* 1797402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797412 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E16_MASK),
     /* 1797415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797436 */     // GIR_Coverage, 12209,
     /* 1797436 */     GIR_EraseRootFromParent_Done,
     /* 1797437 */   // Label 24410: @1797437
     /* 1797437 */   GIM_Try, /*On fail goto*//*Label 24411*/ GIMT_Encode4(1797523), // Rule ID 12212 //
     /* 1797442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1797453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1797456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1797462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797488 */     // MIs[0] policy
     /* 1797488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797498 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1797501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797522 */     // GIR_Coverage, 12212,
     /* 1797522 */     GIR_EraseRootFromParent_Done,
     /* 1797523 */   // Label 24411: @1797523
     /* 1797523 */   GIM_Try, /*On fail goto*//*Label 24412*/ GIMT_Encode4(1797609), // Rule ID 12213 //
     /* 1797528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1797539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1797542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1797545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1797548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1797551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797574 */     // MIs[0] policy
     /* 1797574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_MF2_E32_MASK),
     /* 1797587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1797605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797608 */     // GIR_Coverage, 12213,
     /* 1797608 */     GIR_EraseRootFromParent_Done,
     /* 1797609 */   // Label 24412: @1797609
     /* 1797609 */   GIM_Try, /*On fail goto*//*Label 24413*/ GIMT_Encode4(1797695), // Rule ID 12216 //
     /* 1797614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1797625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1797628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1797634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797660 */     // MIs[0] policy
     /* 1797660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797670 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1797673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797694 */     // GIR_Coverage, 12216,
     /* 1797694 */     GIR_EraseRootFromParent_Done,
     /* 1797695 */   // Label 24413: @1797695
     /* 1797695 */   GIM_Try, /*On fail goto*//*Label 24414*/ GIMT_Encode4(1797781), // Rule ID 12217 //
     /* 1797700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1797711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1797714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1797717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1797720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1797723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797746 */     // MIs[0] policy
     /* 1797746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797756 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E8_MASK),
     /* 1797759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1797777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797780 */     // GIR_Coverage, 12217,
     /* 1797780 */     GIR_EraseRootFromParent_Done,
     /* 1797781 */   // Label 24414: @1797781
     /* 1797781 */   GIM_Try, /*On fail goto*//*Label 24415*/ GIMT_Encode4(1797867), // Rule ID 12220 //
     /* 1797786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1797806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797832 */     // MIs[0] policy
     /* 1797832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797842 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1797842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1797845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797866 */     // GIR_Coverage, 12220,
     /* 1797866 */     GIR_EraseRootFromParent_Done,
     /* 1797867 */   // Label 24415: @1797867
     /* 1797867 */   GIM_Try, /*On fail goto*//*Label 24416*/ GIMT_Encode4(1797953), // Rule ID 12221 //
     /* 1797872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1797875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1797883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1797886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1797889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1797892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1797895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1797898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1797918 */     // MIs[0] policy
     /* 1797918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1797921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1797928 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1797928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E16_MASK),
     /* 1797931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1797933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1797935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1797937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1797939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1797941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1797946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1797949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1797951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1797952 */     // GIR_Coverage, 12221,
     /* 1797952 */     GIR_EraseRootFromParent_Done,
     /* 1797953 */   // Label 24416: @1797953
     /* 1797953 */   GIM_Try, /*On fail goto*//*Label 24417*/ GIMT_Encode4(1798039), // Rule ID 12224 //
     /* 1797958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1797961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1797966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1797969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1797972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1797975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1797978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1797981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1797984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1797988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1797996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798004 */     // MIs[0] policy
     /* 1798004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798014 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1798017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798038 */     // GIR_Coverage, 12224,
     /* 1798038 */     GIR_EraseRootFromParent_Done,
     /* 1798039 */   // Label 24417: @1798039
     /* 1798039 */   GIM_Try, /*On fail goto*//*Label 24418*/ GIMT_Encode4(1798125), // Rule ID 12225 //
     /* 1798044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1798055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1798058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1798061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1798064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1798067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798090 */     // MIs[0] policy
     /* 1798090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798100 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E32_MASK),
     /* 1798103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1798121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798124 */     // GIR_Coverage, 12225,
     /* 1798124 */     GIR_EraseRootFromParent_Done,
     /* 1798125 */   // Label 24418: @1798125
     /* 1798125 */   GIM_Try, /*On fail goto*//*Label 24419*/ GIMT_Encode4(1798211), // Rule ID 12228 //
     /* 1798130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1798133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1798141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1798144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1798147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1798150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798176 */     // MIs[0] policy
     /* 1798176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798186 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1798189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1798207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798210 */     // GIR_Coverage, 12228,
     /* 1798210 */     GIR_EraseRootFromParent_Done,
     /* 1798211 */   // Label 24419: @1798211
     /* 1798211 */   GIM_Try, /*On fail goto*//*Label 24420*/ GIMT_Encode4(1798297), // Rule ID 12229 //
     /* 1798216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1798219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1798227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1798230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1798233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1798236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1798239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1798246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1798258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798262 */     // MIs[0] policy
     /* 1798262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798272 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M1_E64_MASK),
     /* 1798275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1798293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798296 */     // GIR_Coverage, 12229,
     /* 1798296 */     GIR_EraseRootFromParent_Done,
     /* 1798297 */   // Label 24420: @1798297
     /* 1798297 */   GIM_Try, /*On fail goto*//*Label 24421*/ GIMT_Encode4(1798383), // Rule ID 12232 //
     /* 1798302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1798313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1798316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798348 */     // MIs[0] policy
     /* 1798348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798358 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1798361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798382 */     // GIR_Coverage, 12232,
     /* 1798382 */     GIR_EraseRootFromParent_Done,
     /* 1798383 */   // Label 24421: @1798383
     /* 1798383 */   GIM_Try, /*On fail goto*//*Label 24422*/ GIMT_Encode4(1798469), // Rule ID 12233 //
     /* 1798388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1798399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1798402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1798405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1798408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1798411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798434 */     // MIs[0] policy
     /* 1798434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798444 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E8_MASK),
     /* 1798447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798468 */     // GIR_Coverage, 12233,
     /* 1798468 */     GIR_EraseRootFromParent_Done,
     /* 1798469 */   // Label 24422: @1798469
     /* 1798469 */   GIM_Try, /*On fail goto*//*Label 24423*/ GIMT_Encode4(1798555), // Rule ID 12236 //
     /* 1798474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1798485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1798488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798520 */     // MIs[0] policy
     /* 1798520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798530 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1798533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798554 */     // GIR_Coverage, 12236,
     /* 1798554 */     GIR_EraseRootFromParent_Done,
     /* 1798555 */   // Label 24423: @1798555
     /* 1798555 */   GIM_Try, /*On fail goto*//*Label 24424*/ GIMT_Encode4(1798641), // Rule ID 12237 //
     /* 1798560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1798571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1798574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1798577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1798580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1798583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1798590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1798602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798606 */     // MIs[0] policy
     /* 1798606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798616 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E8_MASK),
     /* 1798619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798640 */     // GIR_Coverage, 12237,
     /* 1798640 */     GIR_EraseRootFromParent_Done,
     /* 1798641 */   // Label 24424: @1798641
     /* 1798641 */   GIM_Try, /*On fail goto*//*Label 24425*/ GIMT_Encode4(1798727), // Rule ID 12240 //
     /* 1798646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1798657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1798660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1798663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1798666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1798669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798692 */     // MIs[0] policy
     /* 1798692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798702 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1798705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798726 */     // GIR_Coverage, 12240,
     /* 1798726 */     GIR_EraseRootFromParent_Done,
     /* 1798727 */   // Label 24425: @1798727
     /* 1798727 */   GIM_Try, /*On fail goto*//*Label 24426*/ GIMT_Encode4(1798813), // Rule ID 12241 //
     /* 1798732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1798743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1798746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1798749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1798752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1798755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1798762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1798774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798778 */     // MIs[0] policy
     /* 1798778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798788 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E8_MASK),
     /* 1798791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1798809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798812 */     // GIR_Coverage, 12241,
     /* 1798812 */     GIR_EraseRootFromParent_Done,
     /* 1798813 */   // Label 24426: @1798813
     /* 1798813 */   GIM_Try, /*On fail goto*//*Label 24427*/ GIMT_Encode4(1798899), // Rule ID 12244 //
     /* 1798818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1798838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1798844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798864 */     // MIs[0] policy
     /* 1798864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798874 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1798874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1798877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798898 */     // GIR_Coverage, 12244,
     /* 1798898 */     GIR_EraseRootFromParent_Done,
     /* 1798899 */   // Label 24427: @1798899
     /* 1798899 */   GIM_Try, /*On fail goto*//*Label 24428*/ GIMT_Encode4(1798985), // Rule ID 12245 //
     /* 1798904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1798907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1798915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1798918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1798921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1798924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1798927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1798930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1798934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1798946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1798950 */     // MIs[0] policy
     /* 1798950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1798953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1798960 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1798960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E16_MASK),
     /* 1798963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1798965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1798967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1798969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1798971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1798973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1798978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1798981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1798983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1798984 */     // GIR_Coverage, 12245,
     /* 1798984 */     GIR_EraseRootFromParent_Done,
     /* 1798985 */   // Label 24428: @1798985
     /* 1798985 */   GIM_Try, /*On fail goto*//*Label 24429*/ GIMT_Encode4(1799071), // Rule ID 12248 //
     /* 1798990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1798993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1798998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1799001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1799004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799036 */     // MIs[0] policy
     /* 1799036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799046 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1799049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799070 */     // GIR_Coverage, 12248,
     /* 1799070 */     GIR_EraseRootFromParent_Done,
     /* 1799071 */   // Label 24429: @1799071
     /* 1799071 */   GIM_Try, /*On fail goto*//*Label 24430*/ GIMT_Encode4(1799157), // Rule ID 12249 //
     /* 1799076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1799087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1799090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1799093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1799096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799122 */     // MIs[0] policy
     /* 1799122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799132 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E16_MASK),
     /* 1799135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799156 */     // GIR_Coverage, 12249,
     /* 1799156 */     GIR_EraseRootFromParent_Done,
     /* 1799157 */   // Label 24430: @1799157
     /* 1799157 */   GIM_Try, /*On fail goto*//*Label 24431*/ GIMT_Encode4(1799243), // Rule ID 12252 //
     /* 1799162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1799173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1799176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1799179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1799182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1799185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799208 */     // MIs[0] policy
     /* 1799208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799218 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1799221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799242 */     // GIR_Coverage, 12252,
     /* 1799242 */     GIR_EraseRootFromParent_Done,
     /* 1799243 */   // Label 24431: @1799243
     /* 1799243 */   GIM_Try, /*On fail goto*//*Label 24432*/ GIMT_Encode4(1799329), // Rule ID 12253 //
     /* 1799248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1799259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1799262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1799265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1799268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1799271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799294 */     // MIs[0] policy
     /* 1799294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799304 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E16_MASK),
     /* 1799307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1799325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799328 */     // GIR_Coverage, 12253,
     /* 1799328 */     GIR_EraseRootFromParent_Done,
     /* 1799329 */   // Label 24432: @1799329
     /* 1799329 */   GIM_Try, /*On fail goto*//*Label 24433*/ GIMT_Encode4(1799415), // Rule ID 12256 //
     /* 1799334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1799354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799380 */     // MIs[0] policy
     /* 1799380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799390 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1799393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799414 */     // GIR_Coverage, 12256,
     /* 1799414 */     GIR_EraseRootFromParent_Done,
     /* 1799415 */   // Label 24433: @1799415
     /* 1799415 */   GIM_Try, /*On fail goto*//*Label 24434*/ GIMT_Encode4(1799501), // Rule ID 12257 //
     /* 1799420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1799431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1799434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1799437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1799440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1799443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799466 */     // MIs[0] policy
     /* 1799466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799476 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E32_MASK),
     /* 1799479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799500 */     // GIR_Coverage, 12257,
     /* 1799500 */     GIR_EraseRootFromParent_Done,
     /* 1799501 */   // Label 24434: @1799501
     /* 1799501 */   GIM_Try, /*On fail goto*//*Label 24435*/ GIMT_Encode4(1799587), // Rule ID 12260 //
     /* 1799506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1799526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799552 */     // MIs[0] policy
     /* 1799552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799562 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1799565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799586 */     // GIR_Coverage, 12260,
     /* 1799586 */     GIR_EraseRootFromParent_Done,
     /* 1799587 */   // Label 24435: @1799587
     /* 1799587 */   GIM_Try, /*On fail goto*//*Label 24436*/ GIMT_Encode4(1799673), // Rule ID 12261 //
     /* 1799592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1799603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1799606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1799609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1799612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1799615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1799622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1799634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799638 */     // MIs[0] policy
     /* 1799638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799648 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E32_MASK),
     /* 1799651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799672 */     // GIR_Coverage, 12261,
     /* 1799672 */     GIR_EraseRootFromParent_Done,
     /* 1799673 */   // Label 24436: @1799673
     /* 1799673 */   GIM_Try, /*On fail goto*//*Label 24437*/ GIMT_Encode4(1799759), // Rule ID 12264 //
     /* 1799678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1799681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1799695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1799698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799724 */     // MIs[0] policy
     /* 1799724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799734 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1799737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799758 */     // GIR_Coverage, 12264,
     /* 1799758 */     GIR_EraseRootFromParent_Done,
     /* 1799759 */   // Label 24437: @1799759
     /* 1799759 */   GIM_Try, /*On fail goto*//*Label 24438*/ GIMT_Encode4(1799845), // Rule ID 12265 //
     /* 1799764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1799767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1799775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1799778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1799781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1799784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1799787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1799794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1799806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799810 */     // MIs[0] policy
     /* 1799810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799820 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E32_MASK),
     /* 1799823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1799841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799844 */     // GIR_Coverage, 12265,
     /* 1799844 */     GIR_EraseRootFromParent_Done,
     /* 1799845 */   // Label 24438: @1799845
     /* 1799845 */   GIM_Try, /*On fail goto*//*Label 24439*/ GIMT_Encode4(1799931), // Rule ID 12268 //
     /* 1799850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1799853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1799867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1799870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1799876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799896 */     // MIs[0] policy
     /* 1799896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799906 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1799906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1799909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1799915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1799917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1799919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1799924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1799927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1799929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1799930 */     // GIR_Coverage, 12268,
     /* 1799930 */     GIR_EraseRootFromParent_Done,
     /* 1799931 */   // Label 24439: @1799931
     /* 1799931 */   GIM_Try, /*On fail goto*//*Label 24440*/ GIMT_Encode4(1800017), // Rule ID 12269 //
     /* 1799936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1799939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1799944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1799947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1799950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1799953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1799956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1799959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1799962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1799966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1799978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1799982 */     // MIs[0] policy
     /* 1799982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1799985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1799992 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1799992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M2_E64_MASK),
     /* 1799995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1799997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1799999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800016 */     // GIR_Coverage, 12269,
     /* 1800016 */     GIR_EraseRootFromParent_Done,
     /* 1800017 */   // Label 24440: @1800017
     /* 1800017 */   GIM_Try, /*On fail goto*//*Label 24441*/ GIMT_Encode4(1800103), // Rule ID 12272 //
     /* 1800022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1800025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1800039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1800042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800068 */     // MIs[0] policy
     /* 1800068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800078 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1800081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800102 */     // GIR_Coverage, 12272,
     /* 1800102 */     GIR_EraseRootFromParent_Done,
     /* 1800103 */   // Label 24441: @1800103
     /* 1800103 */   GIM_Try, /*On fail goto*//*Label 24442*/ GIMT_Encode4(1800189), // Rule ID 12273 //
     /* 1800108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1800111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1800119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1800122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1800125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1800128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1800138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1800150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800154 */     // MIs[0] policy
     /* 1800154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800164 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M4_E64_MASK),
     /* 1800167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800188 */     // GIR_Coverage, 12273,
     /* 1800188 */     GIR_EraseRootFromParent_Done,
     /* 1800189 */   // Label 24442: @1800189
     /* 1800189 */   GIM_Try, /*On fail goto*//*Label 24443*/ GIMT_Encode4(1800275), // Rule ID 12276 //
     /* 1800194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1800197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1800211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1800214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800240 */     // MIs[0] policy
     /* 1800240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800250 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1800253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800274 */     // GIR_Coverage, 12276,
     /* 1800274 */     GIR_EraseRootFromParent_Done,
     /* 1800275 */   // Label 24443: @1800275
     /* 1800275 */   GIM_Try, /*On fail goto*//*Label 24444*/ GIMT_Encode4(1800361), // Rule ID 12277 //
     /* 1800280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1800283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1800291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1800294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1800297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1800300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1800303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1800310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1800322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800326 */     // MIs[0] policy
     /* 1800326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800336 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VV_M8_E64_MASK),
     /* 1800339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1800357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800360 */     // GIR_Coverage, 12277,
     /* 1800360 */     GIR_EraseRootFromParent_Done,
     /* 1800361 */   // Label 24444: @1800361
     /* 1800361 */   GIM_Try, /*On fail goto*//*Label 24445*/ GIMT_Encode4(1800447), // Rule ID 12280 //
     /* 1800366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1800377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1800380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800412 */     // MIs[0] policy
     /* 1800412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800422 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1800425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800446 */     // GIR_Coverage, 12280,
     /* 1800446 */     GIR_EraseRootFromParent_Done,
     /* 1800447 */   // Label 24445: @1800447
     /* 1800447 */   GIM_Try, /*On fail goto*//*Label 24446*/ GIMT_Encode4(1800533), // Rule ID 12281 //
     /* 1800452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1800463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1800466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1800469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800498 */     // MIs[0] policy
     /* 1800498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800508 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF8_E8_MASK),
     /* 1800511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800532 */     // GIR_Coverage, 12281,
     /* 1800532 */     GIR_EraseRootFromParent_Done,
     /* 1800533 */   // Label 24446: @1800533
     /* 1800533 */   GIM_Try, /*On fail goto*//*Label 24447*/ GIMT_Encode4(1800619), // Rule ID 12284 //
     /* 1800538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1800549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1800552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800584 */     // MIs[0] policy
     /* 1800584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800594 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1800597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800618 */     // GIR_Coverage, 12284,
     /* 1800618 */     GIR_EraseRootFromParent_Done,
     /* 1800619 */   // Label 24447: @1800619
     /* 1800619 */   GIM_Try, /*On fail goto*//*Label 24448*/ GIMT_Encode4(1800705), // Rule ID 12285 //
     /* 1800624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1800635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1800638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1800641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1800647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800670 */     // MIs[0] policy
     /* 1800670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800680 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E8_MASK),
     /* 1800683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800704 */     // GIR_Coverage, 12285,
     /* 1800704 */     GIR_EraseRootFromParent_Done,
     /* 1800705 */   // Label 24448: @1800705
     /* 1800705 */   GIM_Try, /*On fail goto*//*Label 24449*/ GIMT_Encode4(1800791), // Rule ID 12288 //
     /* 1800710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1800721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1800724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800756 */     // MIs[0] policy
     /* 1800756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800766 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1800769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800790 */     // GIR_Coverage, 12288,
     /* 1800790 */     GIR_EraseRootFromParent_Done,
     /* 1800791 */   // Label 24449: @1800791
     /* 1800791 */   GIM_Try, /*On fail goto*//*Label 24450*/ GIMT_Encode4(1800877), // Rule ID 12289 //
     /* 1800796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1800807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1800810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1800813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1800819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800842 */     // MIs[0] policy
     /* 1800842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800852 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1800852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E8_MASK),
     /* 1800855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1800873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800876 */     // GIR_Coverage, 12289,
     /* 1800876 */     GIR_EraseRootFromParent_Done,
     /* 1800877 */   // Label 24450: @1800877
     /* 1800877 */   GIM_Try, /*On fail goto*//*Label 24451*/ GIMT_Encode4(1800963), // Rule ID 12292 //
     /* 1800882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1800885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1800902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1800908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1800920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1800924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1800928 */     // MIs[0] policy
     /* 1800928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1800931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1800938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1800938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1800941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1800943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1800945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1800947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1800949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1800951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1800956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1800959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1800961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1800962 */     // GIR_Coverage, 12292,
     /* 1800962 */     GIR_EraseRootFromParent_Done,
     /* 1800963 */   // Label 24451: @1800963
     /* 1800963 */   GIM_Try, /*On fail goto*//*Label 24452*/ GIMT_Encode4(1801049), // Rule ID 12293 //
     /* 1800968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1800971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1800976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1800979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1800982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1800985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1800988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1800991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1800994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1800998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801014 */     // MIs[0] policy
     /* 1801014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801024 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF4_E16_MASK),
     /* 1801027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801048 */     // GIR_Coverage, 12293,
     /* 1801048 */     GIR_EraseRootFromParent_Done,
     /* 1801049 */   // Label 24452: @1801049
     /* 1801049 */   GIM_Try, /*On fail goto*//*Label 24453*/ GIMT_Encode4(1801135), // Rule ID 12296 //
     /* 1801054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1801065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1801068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801100 */     // MIs[0] policy
     /* 1801100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801110 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1801113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801134 */     // GIR_Coverage, 12296,
     /* 1801134 */     GIR_EraseRootFromParent_Done,
     /* 1801135 */   // Label 24453: @1801135
     /* 1801135 */   GIM_Try, /*On fail goto*//*Label 24454*/ GIMT_Encode4(1801221), // Rule ID 12297 //
     /* 1801140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1801151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1801154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1801157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801186 */     // MIs[0] policy
     /* 1801186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801196 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E16_MASK),
     /* 1801199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801220 */     // GIR_Coverage, 12297,
     /* 1801220 */     GIR_EraseRootFromParent_Done,
     /* 1801221 */   // Label 24454: @1801221
     /* 1801221 */   GIM_Try, /*On fail goto*//*Label 24455*/ GIMT_Encode4(1801307), // Rule ID 12300 //
     /* 1801226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801272 */     // MIs[0] policy
     /* 1801272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801282 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1801285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801306 */     // GIR_Coverage, 12300,
     /* 1801306 */     GIR_EraseRootFromParent_Done,
     /* 1801307 */   // Label 24455: @1801307
     /* 1801307 */   GIM_Try, /*On fail goto*//*Label 24456*/ GIMT_Encode4(1801393), // Rule ID 12301 //
     /* 1801312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1801323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1801326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1801329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801358 */     // MIs[0] policy
     /* 1801358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801368 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_MF2_E32_MASK),
     /* 1801371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801392 */     // GIR_Coverage, 12301,
     /* 1801392 */     GIR_EraseRootFromParent_Done,
     /* 1801393 */   // Label 24456: @1801393
     /* 1801393 */   GIM_Try, /*On fail goto*//*Label 24457*/ GIMT_Encode4(1801479), // Rule ID 12304 //
     /* 1801398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1801409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1801412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801444 */     // MIs[0] policy
     /* 1801444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801454 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1801457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801478 */     // GIR_Coverage, 12304,
     /* 1801478 */     GIR_EraseRootFromParent_Done,
     /* 1801479 */   // Label 24457: @1801479
     /* 1801479 */   GIM_Try, /*On fail goto*//*Label 24458*/ GIMT_Encode4(1801565), // Rule ID 12305 //
     /* 1801484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1801495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1801498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1801501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1801507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801530 */     // MIs[0] policy
     /* 1801530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801540 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11514:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E8_MASK),
     /* 1801543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1801561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801564 */     // GIR_Coverage, 12305,
     /* 1801564 */     GIR_EraseRootFromParent_Done,
     /* 1801565 */   // Label 24458: @1801565
     /* 1801565 */   GIM_Try, /*On fail goto*//*Label 24459*/ GIMT_Encode4(1801651), // Rule ID 12308 //
     /* 1801570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1801581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1801584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801616 */     // MIs[0] policy
     /* 1801616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801626 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1801629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801650 */     // GIR_Coverage, 12308,
     /* 1801650 */     GIR_EraseRootFromParent_Done,
     /* 1801651 */   // Label 24459: @1801651
     /* 1801651 */   GIM_Try, /*On fail goto*//*Label 24460*/ GIMT_Encode4(1801737), // Rule ID 12309 //
     /* 1801656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1801667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1801670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1801673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1801679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801702 */     // MIs[0] policy
     /* 1801702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801712 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11514:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E16_MASK),
     /* 1801715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1801733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801736 */     // GIR_Coverage, 12309,
     /* 1801736 */     GIR_EraseRootFromParent_Done,
     /* 1801737 */   // Label 24460: @1801737
     /* 1801737 */   GIM_Try, /*On fail goto*//*Label 24461*/ GIMT_Encode4(1801823), // Rule ID 12312 //
     /* 1801742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1801745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801788 */     // MIs[0] policy
     /* 1801788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801798 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1801801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801822 */     // GIR_Coverage, 12312,
     /* 1801822 */     GIR_EraseRootFromParent_Done,
     /* 1801823 */   // Label 24461: @1801823
     /* 1801823 */   GIM_Try, /*On fail goto*//*Label 24462*/ GIMT_Encode4(1801909), // Rule ID 12313 //
     /* 1801828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1801831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1801839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1801842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1801845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1801848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1801851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1801854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801874 */     // MIs[0] policy
     /* 1801874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801884 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11514:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1801884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E32_MASK),
     /* 1801887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1801905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801908 */     // GIR_Coverage, 12313,
     /* 1801908 */     GIR_EraseRootFromParent_Done,
     /* 1801909 */   // Label 24462: @1801909
     /* 1801909 */   GIM_Try, /*On fail goto*//*Label 24463*/ GIMT_Encode4(1801995), // Rule ID 12316 //
     /* 1801914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1801917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1801922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1801925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1801928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1801931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1801934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1801937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1801940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1801944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1801952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1801956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1801960 */     // MIs[0] policy
     /* 1801960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1801963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1801970 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1801970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1801973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1801975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1801977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1801979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1801981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1801983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1801988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1801991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1801993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1801994 */     // GIR_Coverage, 12316,
     /* 1801994 */     GIR_EraseRootFromParent_Done,
     /* 1801995 */   // Label 24463: @1801995
     /* 1801995 */   GIM_Try, /*On fail goto*//*Label 24464*/ GIMT_Encode4(1802081), // Rule ID 12317 //
     /* 1802000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1802003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1802011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1802014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1802017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1802023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1802030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1802038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802046 */     // MIs[0] policy
     /* 1802046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802056 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11514:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M1_E64_MASK),
     /* 1802059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1802077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802080 */     // GIR_Coverage, 12317,
     /* 1802080 */     GIR_EraseRootFromParent_Done,
     /* 1802081 */   // Label 24464: @1802081
     /* 1802081 */   GIM_Try, /*On fail goto*//*Label 24465*/ GIMT_Encode4(1802167), // Rule ID 12320 //
     /* 1802086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1802097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1802100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1802103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802132 */     // MIs[0] policy
     /* 1802132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802142 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1802145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802166 */     // GIR_Coverage, 12320,
     /* 1802166 */     GIR_EraseRootFromParent_Done,
     /* 1802167 */   // Label 24465: @1802167
     /* 1802167 */   GIM_Try, /*On fail goto*//*Label 24466*/ GIMT_Encode4(1802253), // Rule ID 12321 //
     /* 1802172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1802183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1802186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1802189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802218 */     // MIs[0] policy
     /* 1802218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802228 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E8_MASK),
     /* 1802231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802252 */     // GIR_Coverage, 12321,
     /* 1802252 */     GIR_EraseRootFromParent_Done,
     /* 1802253 */   // Label 24466: @1802253
     /* 1802253 */   GIM_Try, /*On fail goto*//*Label 24467*/ GIMT_Encode4(1802339), // Rule ID 12324 //
     /* 1802258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1802269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1802272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1802275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1802281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802304 */     // MIs[0] policy
     /* 1802304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802314 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1802317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802338 */     // GIR_Coverage, 12324,
     /* 1802338 */     GIR_EraseRootFromParent_Done,
     /* 1802339 */   // Label 24467: @1802339
     /* 1802339 */   GIM_Try, /*On fail goto*//*Label 24468*/ GIMT_Encode4(1802425), // Rule ID 12325 //
     /* 1802344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1802355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1802358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1802361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1802367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802390 */     // MIs[0] policy
     /* 1802390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802400 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E8_MASK),
     /* 1802403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802424 */     // GIR_Coverage, 12325,
     /* 1802424 */     GIR_EraseRootFromParent_Done,
     /* 1802425 */   // Label 24468: @1802425
     /* 1802425 */   GIM_Try, /*On fail goto*//*Label 24469*/ GIMT_Encode4(1802511), // Rule ID 12328 //
     /* 1802430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1802441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1802444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1802447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1802453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802476 */     // MIs[0] policy
     /* 1802476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802486 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1802489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802510 */     // GIR_Coverage, 12328,
     /* 1802510 */     GIR_EraseRootFromParent_Done,
     /* 1802511 */   // Label 24469: @1802511
     /* 1802511 */   GIM_Try, /*On fail goto*//*Label 24470*/ GIMT_Encode4(1802597), // Rule ID 12329 //
     /* 1802516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1802527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1802530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1802533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1802539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802562 */     // MIs[0] policy
     /* 1802562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802572 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E8_MASK),
     /* 1802575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1802593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802596 */     // GIR_Coverage, 12329,
     /* 1802596 */     GIR_EraseRootFromParent_Done,
     /* 1802597 */   // Label 24470: @1802597
     /* 1802597 */   GIM_Try, /*On fail goto*//*Label 24471*/ GIMT_Encode4(1802683), // Rule ID 12332 //
     /* 1802602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1802613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1802616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802648 */     // MIs[0] policy
     /* 1802648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802658 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1802661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802682 */     // GIR_Coverage, 12332,
     /* 1802682 */     GIR_EraseRootFromParent_Done,
     /* 1802683 */   // Label 24471: @1802683
     /* 1802683 */   GIM_Try, /*On fail goto*//*Label 24472*/ GIMT_Encode4(1802769), // Rule ID 12333 //
     /* 1802688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1802699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1802702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1802705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1802711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1802718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1802726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802734 */     // MIs[0] policy
     /* 1802734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802744 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E16_MASK),
     /* 1802747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802768 */     // GIR_Coverage, 12333,
     /* 1802768 */     GIR_EraseRootFromParent_Done,
     /* 1802769 */   // Label 24472: @1802769
     /* 1802769 */   GIM_Try, /*On fail goto*//*Label 24473*/ GIMT_Encode4(1802855), // Rule ID 12336 //
     /* 1802774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1802785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1802788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802820 */     // MIs[0] policy
     /* 1802820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802830 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1802830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1802833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802854 */     // GIR_Coverage, 12336,
     /* 1802854 */     GIR_EraseRootFromParent_Done,
     /* 1802855 */   // Label 24473: @1802855
     /* 1802855 */   GIM_Try, /*On fail goto*//*Label 24474*/ GIMT_Encode4(1802941), // Rule ID 12337 //
     /* 1802860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1802863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1802871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1802874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1802877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1802880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1802883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1802886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1802890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1802898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802906 */     // MIs[0] policy
     /* 1802906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1802916 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1802916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E16_MASK),
     /* 1802919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1802921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1802923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1802925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1802927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1802929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1802934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1802937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1802939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1802940 */     // GIR_Coverage, 12337,
     /* 1802940 */     GIR_EraseRootFromParent_Done,
     /* 1802941 */   // Label 24474: @1802941
     /* 1802941 */   GIM_Try, /*On fail goto*//*Label 24475*/ GIMT_Encode4(1803027), // Rule ID 12340 //
     /* 1802946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1802949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1802954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1802957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1802960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1802963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1802966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1802969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1802972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1802976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1802984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1802988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1802992 */     // MIs[0] policy
     /* 1802992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1802995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803002 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1803005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803026 */     // GIR_Coverage, 12340,
     /* 1803026 */     GIR_EraseRootFromParent_Done,
     /* 1803027 */   // Label 24475: @1803027
     /* 1803027 */   GIM_Try, /*On fail goto*//*Label 24476*/ GIMT_Encode4(1803113), // Rule ID 12341 //
     /* 1803032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1803043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1803046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1803049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1803055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803078 */     // MIs[0] policy
     /* 1803078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803088 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E16_MASK),
     /* 1803091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1803109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803112 */     // GIR_Coverage, 12341,
     /* 1803112 */     GIR_EraseRootFromParent_Done,
     /* 1803113 */   // Label 24476: @1803113
     /* 1803113 */   GIM_Try, /*On fail goto*//*Label 24477*/ GIMT_Encode4(1803199), // Rule ID 12344 //
     /* 1803118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1803129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1803132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1803135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803164 */     // MIs[0] policy
     /* 1803164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803174 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1803177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803198 */     // GIR_Coverage, 12344,
     /* 1803198 */     GIR_EraseRootFromParent_Done,
     /* 1803199 */   // Label 24477: @1803199
     /* 1803199 */   GIM_Try, /*On fail goto*//*Label 24478*/ GIMT_Encode4(1803285), // Rule ID 12345 //
     /* 1803204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1803215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1803218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1803221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803250 */     // MIs[0] policy
     /* 1803250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803260 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E32_MASK),
     /* 1803263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803284 */     // GIR_Coverage, 12345,
     /* 1803284 */     GIR_EraseRootFromParent_Done,
     /* 1803285 */   // Label 24478: @1803285
     /* 1803285 */   GIM_Try, /*On fail goto*//*Label 24479*/ GIMT_Encode4(1803371), // Rule ID 12348 //
     /* 1803290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1803301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1803304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803336 */     // MIs[0] policy
     /* 1803336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803346 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1803349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803370 */     // GIR_Coverage, 12348,
     /* 1803370 */     GIR_EraseRootFromParent_Done,
     /* 1803371 */   // Label 24479: @1803371
     /* 1803371 */   GIM_Try, /*On fail goto*//*Label 24480*/ GIMT_Encode4(1803457), // Rule ID 12349 //
     /* 1803376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1803387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1803390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1803393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1803399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803422 */     // MIs[0] policy
     /* 1803422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803432 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E32_MASK),
     /* 1803435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803456 */     // GIR_Coverage, 12349,
     /* 1803456 */     GIR_EraseRootFromParent_Done,
     /* 1803457 */   // Label 24480: @1803457
     /* 1803457 */   GIM_Try, /*On fail goto*//*Label 24481*/ GIMT_Encode4(1803543), // Rule ID 12352 //
     /* 1803462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1803465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1803473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1803476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1803479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803508 */     // MIs[0] policy
     /* 1803508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803518 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1803521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803542 */     // GIR_Coverage, 12352,
     /* 1803542 */     GIR_EraseRootFromParent_Done,
     /* 1803543 */   // Label 24481: @1803543
     /* 1803543 */   GIM_Try, /*On fail goto*//*Label 24482*/ GIMT_Encode4(1803629), // Rule ID 12353 //
     /* 1803548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1803551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1803559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1803562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1803565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1803571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1803578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1803586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803594 */     // MIs[0] policy
     /* 1803594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803604 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E32_MASK),
     /* 1803607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1803625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803628 */     // GIR_Coverage, 12353,
     /* 1803628 */     GIR_EraseRootFromParent_Done,
     /* 1803629 */   // Label 24482: @1803629
     /* 1803629 */   GIM_Try, /*On fail goto*//*Label 24483*/ GIMT_Encode4(1803715), // Rule ID 12356 //
     /* 1803634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1803637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1803645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1803648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1803651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803680 */     // MIs[0] policy
     /* 1803680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803690 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1803693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803714 */     // GIR_Coverage, 12356,
     /* 1803714 */     GIR_EraseRootFromParent_Done,
     /* 1803715 */   // Label 24483: @1803715
     /* 1803715 */   GIM_Try, /*On fail goto*//*Label 24484*/ GIMT_Encode4(1803801), // Rule ID 12357 //
     /* 1803720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1803723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1803731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1803734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1803737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1803743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1803750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1803758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803766 */     // MIs[0] policy
     /* 1803766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803776 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11514:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M2_E64_MASK),
     /* 1803779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803800 */     // GIR_Coverage, 12357,
     /* 1803800 */     GIR_EraseRootFromParent_Done,
     /* 1803801 */   // Label 24484: @1803801
     /* 1803801 */   GIM_Try, /*On fail goto*//*Label 24485*/ GIMT_Encode4(1803887), // Rule ID 12360 //
     /* 1803806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1803809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1803817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1803820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1803823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1803832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803852 */     // MIs[0] policy
     /* 1803852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803862 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1803862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1803865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803886 */     // GIR_Coverage, 12360,
     /* 1803886 */     GIR_EraseRootFromParent_Done,
     /* 1803887 */   // Label 24485: @1803887
     /* 1803887 */   GIM_Try, /*On fail goto*//*Label 24486*/ GIMT_Encode4(1803973), // Rule ID 12361 //
     /* 1803892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1803895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1803903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1803906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1803909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1803912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1803915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1803918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1803922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1803930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1803934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1803938 */     // MIs[0] policy
     /* 1803938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1803941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1803948 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11514:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1803948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M4_E64_MASK),
     /* 1803951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1803953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1803955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1803957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1803959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1803961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1803966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1803969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1803971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1803972 */     // GIR_Coverage, 12361,
     /* 1803972 */     GIR_EraseRootFromParent_Done,
     /* 1803973 */   // Label 24486: @1803973
     /* 1803973 */   GIM_Try, /*On fail goto*//*Label 24487*/ GIMT_Encode4(1804059), // Rule ID 12364 //
     /* 1803978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1803981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1803986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1803989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1803992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1803995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1803998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804024 */     // MIs[0] policy
     /* 1804024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1804037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1804055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804058 */     // GIR_Coverage, 12364,
     /* 1804058 */     GIR_EraseRootFromParent_Done,
     /* 1804059 */   // Label 24487: @1804059
     /* 1804059 */   GIM_Try, /*On fail goto*//*Label 24488*/ GIMT_Encode4(1804145), // Rule ID 12365 //
     /* 1804064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1804067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrem_mask),
     /* 1804072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1804075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1804078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1804081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1804084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1804094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1804102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1804106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804110 */     // MIs[0] policy
     /* 1804110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804120 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11514:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVREM_VX_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREM_VX_M8_E64_MASK),
     /* 1804123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1804141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804144 */     // GIR_Coverage, 12365,
     /* 1804144 */     GIR_EraseRootFromParent_Done,
     /* 1804145 */   // Label 24488: @1804145
     /* 1804145 */   GIM_Try, /*On fail goto*//*Label 24489*/ GIMT_Encode4(1804231), // Rule ID 12368 //
     /* 1804150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1804161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1804164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1804167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1804170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804196 */     // MIs[0] policy
     /* 1804196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804206 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1804209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804230 */     // GIR_Coverage, 12368,
     /* 1804230 */     GIR_EraseRootFromParent_Done,
     /* 1804231 */   // Label 24489: @1804231
     /* 1804231 */   GIM_Try, /*On fail goto*//*Label 24490*/ GIMT_Encode4(1804317), // Rule ID 12369 //
     /* 1804236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1804247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1804250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1804253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1804256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1804259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804282 */     // MIs[0] policy
     /* 1804282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804292 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF8_MASK),
     /* 1804295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804316 */     // GIR_Coverage, 12369,
     /* 1804316 */     GIR_EraseRootFromParent_Done,
     /* 1804317 */   // Label 24490: @1804317
     /* 1804317 */   GIM_Try, /*On fail goto*//*Label 24491*/ GIMT_Encode4(1804403), // Rule ID 12372 //
     /* 1804322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1804333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1804336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1804339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1804342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804368 */     // MIs[0] policy
     /* 1804368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804378 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1804381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804402 */     // GIR_Coverage, 12372,
     /* 1804402 */     GIR_EraseRootFromParent_Done,
     /* 1804403 */   // Label 24491: @1804403
     /* 1804403 */   GIM_Try, /*On fail goto*//*Label 24492*/ GIMT_Encode4(1804489), // Rule ID 12373 //
     /* 1804408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1804419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1804422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1804425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1804428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1804431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804454 */     // MIs[0] policy
     /* 1804454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804464 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1804467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804488 */     // GIR_Coverage, 12373,
     /* 1804488 */     GIR_EraseRootFromParent_Done,
     /* 1804489 */   // Label 24492: @1804489
     /* 1804489 */   GIM_Try, /*On fail goto*//*Label 24493*/ GIMT_Encode4(1804575), // Rule ID 12376 //
     /* 1804494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1804505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1804508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1804511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1804514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804540 */     // MIs[0] policy
     /* 1804540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804550 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1804553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804574 */     // GIR_Coverage, 12376,
     /* 1804574 */     GIR_EraseRootFromParent_Done,
     /* 1804575 */   // Label 24493: @1804575
     /* 1804575 */   GIM_Try, /*On fail goto*//*Label 24494*/ GIMT_Encode4(1804661), // Rule ID 12377 //
     /* 1804580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1804591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1804594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1804597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1804600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1804603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1804610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804626 */     // MIs[0] policy
     /* 1804626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804636 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1804639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804660 */     // GIR_Coverage, 12377,
     /* 1804660 */     GIR_EraseRootFromParent_Done,
     /* 1804661 */   // Label 24494: @1804661
     /* 1804661 */   GIM_Try, /*On fail goto*//*Label 24495*/ GIMT_Encode4(1804747), // Rule ID 12380 //
     /* 1804666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1804683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1804686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804712 */     // MIs[0] policy
     /* 1804712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804722 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1804725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804746 */     // GIR_Coverage, 12380,
     /* 1804746 */     GIR_EraseRootFromParent_Done,
     /* 1804747 */   // Label 24495: @1804747
     /* 1804747 */   GIM_Try, /*On fail goto*//*Label 24496*/ GIMT_Encode4(1804833), // Rule ID 12381 //
     /* 1804752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1804763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1804766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1804769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1804772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1804775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1804782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1804794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804798 */     // MIs[0] policy
     /* 1804798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804808 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1804811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804832 */     // GIR_Coverage, 12381,
     /* 1804832 */     GIR_EraseRootFromParent_Done,
     /* 1804833 */   // Label 24496: @1804833
     /* 1804833 */   GIM_Try, /*On fail goto*//*Label 24497*/ GIMT_Encode4(1804919), // Rule ID 12384 //
     /* 1804838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1804841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1804855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1804858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1804864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804884 */     // MIs[0] policy
     /* 1804884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804894 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1804894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1804897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1804915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1804917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1804918 */     // GIR_Coverage, 12384,
     /* 1804918 */     GIR_EraseRootFromParent_Done,
     /* 1804919 */   // Label 24497: @1804919
     /* 1804919 */   GIM_Try, /*On fail goto*//*Label 24498*/ GIMT_Encode4(1805005), // Rule ID 12385 //
     /* 1804924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1804927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1804932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1804935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1804938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1804941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1804944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1804947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1804950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1804954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1804958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1804966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1804970 */     // MIs[0] policy
     /* 1804970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1804973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1804980 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1804980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1804983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1804985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1804987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1804989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1804991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1804993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1804998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805004 */     // GIR_Coverage, 12385,
     /* 1805004 */     GIR_EraseRootFromParent_Done,
     /* 1805005 */   // Label 24498: @1805005
     /* 1805005 */   GIM_Try, /*On fail goto*//*Label 24499*/ GIMT_Encode4(1805091), // Rule ID 12388 //
     /* 1805010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1805021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1805024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1805027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1805030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1805033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805056 */     // MIs[0] policy
     /* 1805056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805066 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1805069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805090 */     // GIR_Coverage, 12388,
     /* 1805090 */     GIR_EraseRootFromParent_Done,
     /* 1805091 */   // Label 24499: @1805091
     /* 1805091 */   GIM_Try, /*On fail goto*//*Label 24500*/ GIMT_Encode4(1805177), // Rule ID 12389 //
     /* 1805096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1805107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1805110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1805113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1805116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1805119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805142 */     // MIs[0] policy
     /* 1805142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805152 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1805155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1805173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805176 */     // GIR_Coverage, 12389,
     /* 1805176 */     GIR_EraseRootFromParent_Done,
     /* 1805177 */   // Label 24500: @1805177
     /* 1805177 */   GIM_Try, /*On fail goto*//*Label 24501*/ GIMT_Encode4(1805263), // Rule ID 12392 //
     /* 1805182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1805199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1805202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805228 */     // MIs[0] policy
     /* 1805228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805238 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1805241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805262 */     // GIR_Coverage, 12392,
     /* 1805262 */     GIR_EraseRootFromParent_Done,
     /* 1805263 */   // Label 24501: @1805263
     /* 1805263 */   GIM_Try, /*On fail goto*//*Label 24502*/ GIMT_Encode4(1805349), // Rule ID 12393 //
     /* 1805268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1805279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1805282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1805285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1805288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1805291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805314 */     // MIs[0] policy
     /* 1805314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805324 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF4_MASK),
     /* 1805327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805348 */     // GIR_Coverage, 12393,
     /* 1805348 */     GIR_EraseRootFromParent_Done,
     /* 1805349 */   // Label 24502: @1805349
     /* 1805349 */   GIM_Try, /*On fail goto*//*Label 24503*/ GIMT_Encode4(1805435), // Rule ID 12396 //
     /* 1805354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1805365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1805368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1805371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1805374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805400 */     // MIs[0] policy
     /* 1805400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805410 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1805413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805434 */     // GIR_Coverage, 12396,
     /* 1805434 */     GIR_EraseRootFromParent_Done,
     /* 1805435 */   // Label 24503: @1805435
     /* 1805435 */   GIM_Try, /*On fail goto*//*Label 24504*/ GIMT_Encode4(1805521), // Rule ID 12397 //
     /* 1805440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1805451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1805454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1805457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1805460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1805463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1805470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805486 */     // MIs[0] policy
     /* 1805486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805496 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1805499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805520 */     // GIR_Coverage, 12397,
     /* 1805520 */     GIR_EraseRootFromParent_Done,
     /* 1805521 */   // Label 24504: @1805521
     /* 1805521 */   GIM_Try, /*On fail goto*//*Label 24505*/ GIMT_Encode4(1805607), // Rule ID 12400 //
     /* 1805526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1805537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1805540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1805543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1805546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805572 */     // MIs[0] policy
     /* 1805572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1805585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805606 */     // GIR_Coverage, 12400,
     /* 1805606 */     GIR_EraseRootFromParent_Done,
     /* 1805607 */   // Label 24505: @1805607
     /* 1805607 */   GIM_Try, /*On fail goto*//*Label 24506*/ GIMT_Encode4(1805693), // Rule ID 12401 //
     /* 1805612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1805623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1805626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1805629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1805632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1805635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1805642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1805654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805658 */     // MIs[0] policy
     /* 1805658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1805671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805692 */     // GIR_Coverage, 12401,
     /* 1805692 */     GIR_EraseRootFromParent_Done,
     /* 1805693 */   // Label 24506: @1805693
     /* 1805693 */   GIM_Try, /*On fail goto*//*Label 24507*/ GIMT_Encode4(1805779), // Rule ID 12404 //
     /* 1805698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1805709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1805712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1805715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1805718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805744 */     // MIs[0] policy
     /* 1805744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1805757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805778 */     // GIR_Coverage, 12404,
     /* 1805778 */     GIR_EraseRootFromParent_Done,
     /* 1805779 */   // Label 24507: @1805779
     /* 1805779 */   GIM_Try, /*On fail goto*//*Label 24508*/ GIMT_Encode4(1805865), // Rule ID 12405 //
     /* 1805784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1805795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1805798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1805801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1805804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1805807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1805814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1805826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805830 */     // MIs[0] policy
     /* 1805830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805840 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1805840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1805843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805864 */     // GIR_Coverage, 12405,
     /* 1805864 */     GIR_EraseRootFromParent_Done,
     /* 1805865 */   // Label 24508: @1805865
     /* 1805865 */   GIM_Try, /*On fail goto*//*Label 24509*/ GIMT_Encode4(1805951), // Rule ID 12408 //
     /* 1805870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1805873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1805881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1805884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1805887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1805890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1805896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1805916 */     // MIs[0] policy
     /* 1805916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1805919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1805926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1805926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1805929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1805931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1805933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1805935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1805937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1805939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1805944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1805947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1805949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1805950 */     // GIR_Coverage, 12408,
     /* 1805950 */     GIR_EraseRootFromParent_Done,
     /* 1805951 */   // Label 24509: @1805951
     /* 1805951 */   GIM_Try, /*On fail goto*//*Label 24510*/ GIMT_Encode4(1806037), // Rule ID 12409 //
     /* 1805956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1805959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1805964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1805967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1805970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1805973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1805976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1805979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1805982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1805986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1805990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1805998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806002 */     // MIs[0] policy
     /* 1806002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1806015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1806033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806036 */     // GIR_Coverage, 12409,
     /* 1806036 */     GIR_EraseRootFromParent_Done,
     /* 1806037 */   // Label 24510: @1806037
     /* 1806037 */   GIM_Try, /*On fail goto*//*Label 24511*/ GIMT_Encode4(1806123), // Rule ID 12412 //
     /* 1806042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1806053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1806056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1806059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1806062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806088 */     // MIs[0] policy
     /* 1806088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806098 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1806101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806122 */     // GIR_Coverage, 12412,
     /* 1806122 */     GIR_EraseRootFromParent_Done,
     /* 1806123 */   // Label 24511: @1806123
     /* 1806123 */   GIM_Try, /*On fail goto*//*Label 24512*/ GIMT_Encode4(1806209), // Rule ID 12413 //
     /* 1806128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1806139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1806142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1806145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1806148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806174 */     // MIs[0] policy
     /* 1806174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806184 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_MF2_MASK),
     /* 1806187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806208 */     // GIR_Coverage, 12413,
     /* 1806208 */     GIR_EraseRootFromParent_Done,
     /* 1806209 */   // Label 24512: @1806209
     /* 1806209 */   GIM_Try, /*On fail goto*//*Label 24513*/ GIMT_Encode4(1806295), // Rule ID 12416 //
     /* 1806214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1806225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1806228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1806231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1806234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806260 */     // MIs[0] policy
     /* 1806260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1806273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806294 */     // GIR_Coverage, 12416,
     /* 1806294 */     GIR_EraseRootFromParent_Done,
     /* 1806295 */   // Label 24513: @1806295
     /* 1806295 */   GIM_Try, /*On fail goto*//*Label 24514*/ GIMT_Encode4(1806381), // Rule ID 12417 //
     /* 1806300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1806311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1806314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1806317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1806320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1806330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806346 */     // MIs[0] policy
     /* 1806346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806356 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M1_MASK),
     /* 1806359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806380 */     // GIR_Coverage, 12417,
     /* 1806380 */     GIR_EraseRootFromParent_Done,
     /* 1806381 */   // Label 24514: @1806381
     /* 1806381 */   GIM_Try, /*On fail goto*//*Label 24515*/ GIMT_Encode4(1806467), // Rule ID 12420 //
     /* 1806386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1806397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1806400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1806403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1806406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806432 */     // MIs[0] policy
     /* 1806432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806442 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1806445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806466 */     // GIR_Coverage, 12420,
     /* 1806466 */     GIR_EraseRootFromParent_Done,
     /* 1806467 */   // Label 24515: @1806467
     /* 1806467 */   GIM_Try, /*On fail goto*//*Label 24516*/ GIMT_Encode4(1806553), // Rule ID 12421 //
     /* 1806472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1806483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1806486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1806489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1806492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1806495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1806502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1806514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806518 */     // MIs[0] policy
     /* 1806518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M2_MASK),
     /* 1806531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806552 */     // GIR_Coverage, 12421,
     /* 1806552 */     GIR_EraseRootFromParent_Done,
     /* 1806553 */   // Label 24516: @1806553
     /* 1806553 */   GIM_Try, /*On fail goto*//*Label 24517*/ GIMT_Encode4(1806639), // Rule ID 12424 //
     /* 1806558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1806561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1806569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1806572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1806575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1806578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806604 */     // MIs[0] policy
     /* 1806604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1806617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806638 */     // GIR_Coverage, 12424,
     /* 1806638 */     GIR_EraseRootFromParent_Done,
     /* 1806639 */   // Label 24517: @1806639
     /* 1806639 */   GIM_Try, /*On fail goto*//*Label 24518*/ GIMT_Encode4(1806725), // Rule ID 12425 //
     /* 1806644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1806647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1806655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1806658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1806661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1806664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1806667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1806674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1806678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1806686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806690 */     // MIs[0] policy
     /* 1806690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VV_M4_MASK),
     /* 1806703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1806721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806724 */     // GIR_Coverage, 12425,
     /* 1806724 */     GIR_EraseRootFromParent_Done,
     /* 1806725 */   // Label 24518: @1806725
     /* 1806725 */   GIM_Try, /*On fail goto*//*Label 24519*/ GIMT_Encode4(1806811), // Rule ID 12428 //
     /* 1806730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1806741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1806744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1806747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806776 */     // MIs[0] policy
     /* 1806776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1806789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806810 */     // GIR_Coverage, 12428,
     /* 1806810 */     GIR_EraseRootFromParent_Done,
     /* 1806811 */   // Label 24519: @1806811
     /* 1806811 */   GIM_Try, /*On fail goto*//*Label 24520*/ GIMT_Encode4(1806897), // Rule ID 12429 //
     /* 1806816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1806827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1806830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1806833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1806836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1806839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1806842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806862 */     // MIs[0] policy
     /* 1806862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1806872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF8_MASK),
     /* 1806875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806896 */     // GIR_Coverage, 12429,
     /* 1806896 */     GIR_EraseRootFromParent_Done,
     /* 1806897 */   // Label 24520: @1806897
     /* 1806897 */   GIM_Try, /*On fail goto*//*Label 24521*/ GIMT_Encode4(1806983), // Rule ID 12432 //
     /* 1806902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1806905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1806916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1806919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1806922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1806925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1806928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1806932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1806940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1806944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1806948 */     // MIs[0] policy
     /* 1806948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1806951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1806958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1806958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1806961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1806963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1806965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1806967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1806969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1806971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1806976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1806979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1806981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1806982 */     // GIR_Coverage, 12432,
     /* 1806982 */     GIR_EraseRootFromParent_Done,
     /* 1806983 */   // Label 24521: @1806983
     /* 1806983 */   GIM_Try, /*On fail goto*//*Label 24522*/ GIMT_Encode4(1807069), // Rule ID 12433 //
     /* 1806988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1806991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1806996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1806999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1807002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1807005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807034 */     // MIs[0] policy
     /* 1807034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1807047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807068 */     // GIR_Coverage, 12433,
     /* 1807068 */     GIR_EraseRootFromParent_Done,
     /* 1807069 */   // Label 24522: @1807069
     /* 1807069 */   GIM_Try, /*On fail goto*//*Label 24523*/ GIMT_Encode4(1807155), // Rule ID 12436 //
     /* 1807074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1807085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1807088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1807091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807120 */     // MIs[0] policy
     /* 1807120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1807133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807154 */     // GIR_Coverage, 12436,
     /* 1807154 */     GIR_EraseRootFromParent_Done,
     /* 1807155 */   // Label 24523: @1807155
     /* 1807155 */   GIM_Try, /*On fail goto*//*Label 24524*/ GIMT_Encode4(1807241), // Rule ID 12437 //
     /* 1807160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1807171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1807174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1807177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1807183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807206 */     // MIs[0] policy
     /* 1807206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11656:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1807219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807240 */     // GIR_Coverage, 12437,
     /* 1807240 */     GIR_EraseRootFromParent_Done,
     /* 1807241 */   // Label 24524: @1807241
     /* 1807241 */   GIM_Try, /*On fail goto*//*Label 24525*/ GIMT_Encode4(1807327), // Rule ID 12440 //
     /* 1807246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1807257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1807260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1807263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807292 */     // MIs[0] policy
     /* 1807292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1807305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807326 */     // GIR_Coverage, 12440,
     /* 1807326 */     GIR_EraseRootFromParent_Done,
     /* 1807327 */   // Label 24525: @1807327
     /* 1807327 */   GIM_Try, /*On fail goto*//*Label 24526*/ GIMT_Encode4(1807413), // Rule ID 12441 //
     /* 1807332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1807343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1807346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1807349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1807355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1807362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807378 */     // MIs[0] policy
     /* 1807378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807388 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1807391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807412 */     // GIR_Coverage, 12441,
     /* 1807412 */     GIR_EraseRootFromParent_Done,
     /* 1807413 */   // Label 24526: @1807413
     /* 1807413 */   GIM_Try, /*On fail goto*//*Label 24527*/ GIMT_Encode4(1807499), // Rule ID 12444 //
     /* 1807418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1807429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1807432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1807435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807464 */     // MIs[0] policy
     /* 1807464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1807477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807498 */     // GIR_Coverage, 12444,
     /* 1807498 */     GIR_EraseRootFromParent_Done,
     /* 1807499 */   // Label 24527: @1807499
     /* 1807499 */   GIM_Try, /*On fail goto*//*Label 24528*/ GIMT_Encode4(1807585), // Rule ID 12445 //
     /* 1807504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1807515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1807518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1807521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1807527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1807534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1807542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807550 */     // MIs[0] policy
     /* 1807550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807560 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1807563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807584 */     // GIR_Coverage, 12445,
     /* 1807584 */     GIR_EraseRootFromParent_Done,
     /* 1807585 */   // Label 24528: @1807585
     /* 1807585 */   GIM_Try, /*On fail goto*//*Label 24529*/ GIMT_Encode4(1807671), // Rule ID 12448 //
     /* 1807590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1807601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1807607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807636 */     // MIs[0] policy
     /* 1807636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1807649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807670 */     // GIR_Coverage, 12448,
     /* 1807670 */     GIR_EraseRootFromParent_Done,
     /* 1807671 */   // Label 24529: @1807671
     /* 1807671 */   GIM_Try, /*On fail goto*//*Label 24530*/ GIMT_Encode4(1807757), // Rule ID 12449 //
     /* 1807676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1807687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1807690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1807693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1807699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1807706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1807710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1807714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807722 */     // MIs[0] policy
     /* 1807722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1807735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1807753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807756 */     // GIR_Coverage, 12449,
     /* 1807756 */     GIR_EraseRootFromParent_Done,
     /* 1807757 */   // Label 24530: @1807757
     /* 1807757 */   GIM_Try, /*On fail goto*//*Label 24531*/ GIMT_Encode4(1807843), // Rule ID 12452 //
     /* 1807762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1807773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1807776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1807779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807808 */     // MIs[0] policy
     /* 1807808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1807821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807842 */     // GIR_Coverage, 12452,
     /* 1807842 */     GIR_EraseRootFromParent_Done,
     /* 1807843 */   // Label 24531: @1807843
     /* 1807843 */   GIM_Try, /*On fail goto*//*Label 24532*/ GIMT_Encode4(1807929), // Rule ID 12453 //
     /* 1807848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1807851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1807859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1807862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1807865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1807868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1807871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1807874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807894 */     // MIs[0] policy
     /* 1807894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1807904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF4_MASK),
     /* 1807907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1807915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1807917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1807922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1807925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1807927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1807928 */     // GIR_Coverage, 12453,
     /* 1807928 */     GIR_EraseRootFromParent_Done,
     /* 1807929 */   // Label 24532: @1807929
     /* 1807929 */   GIM_Try, /*On fail goto*//*Label 24533*/ GIMT_Encode4(1808015), // Rule ID 12456 //
     /* 1807934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1807937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1807942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1807945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1807948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1807951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1807954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1807957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1807960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1807964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1807972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1807976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1807980 */     // MIs[0] policy
     /* 1807980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1807983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1807990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1807990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1807993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1807995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1807997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1807999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808014 */     // GIR_Coverage, 12456,
     /* 1808014 */     GIR_EraseRootFromParent_Done,
     /* 1808015 */   // Label 24533: @1808015
     /* 1808015 */   GIM_Try, /*On fail goto*//*Label 24534*/ GIMT_Encode4(1808101), // Rule ID 12457 //
     /* 1808020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1808031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1808034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1808037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808066 */     // MIs[0] policy
     /* 1808066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11656:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1808079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808100 */     // GIR_Coverage, 12457,
     /* 1808100 */     GIR_EraseRootFromParent_Done,
     /* 1808101 */   // Label 24534: @1808101
     /* 1808101 */   GIM_Try, /*On fail goto*//*Label 24535*/ GIMT_Encode4(1808187), // Rule ID 12460 //
     /* 1808106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1808117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1808120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1808123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808152 */     // MIs[0] policy
     /* 1808152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1808165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808186 */     // GIR_Coverage, 12460,
     /* 1808186 */     GIR_EraseRootFromParent_Done,
     /* 1808187 */   // Label 24535: @1808187
     /* 1808187 */   GIM_Try, /*On fail goto*//*Label 24536*/ GIMT_Encode4(1808273), // Rule ID 12461 //
     /* 1808192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1808203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1808206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1808209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808238 */     // MIs[0] policy
     /* 1808238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1808251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808272 */     // GIR_Coverage, 12461,
     /* 1808272 */     GIR_EraseRootFromParent_Done,
     /* 1808273 */   // Label 24536: @1808273
     /* 1808273 */   GIM_Try, /*On fail goto*//*Label 24537*/ GIMT_Encode4(1808359), // Rule ID 12464 //
     /* 1808278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1808289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1808292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1808295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808324 */     // MIs[0] policy
     /* 1808324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1808337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808358 */     // GIR_Coverage, 12464,
     /* 1808358 */     GIR_EraseRootFromParent_Done,
     /* 1808359 */   // Label 24537: @1808359
     /* 1808359 */   GIM_Try, /*On fail goto*//*Label 24538*/ GIMT_Encode4(1808445), // Rule ID 12465 //
     /* 1808364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1808375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1808378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1808381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1808387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808410 */     // MIs[0] policy
     /* 1808410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1808423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808444 */     // GIR_Coverage, 12465,
     /* 1808444 */     GIR_EraseRootFromParent_Done,
     /* 1808445 */   // Label 24538: @1808445
     /* 1808445 */   GIM_Try, /*On fail goto*//*Label 24539*/ GIMT_Encode4(1808531), // Rule ID 12468 //
     /* 1808450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1808453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1808461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1808464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1808467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808496 */     // MIs[0] policy
     /* 1808496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1808509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808530 */     // GIR_Coverage, 12468,
     /* 1808530 */     GIR_EraseRootFromParent_Done,
     /* 1808531 */   // Label 24539: @1808531
     /* 1808531 */   GIM_Try, /*On fail goto*//*Label 24540*/ GIMT_Encode4(1808617), // Rule ID 12469 //
     /* 1808536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1808539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1808547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1808550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1808553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1808559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1808566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1808570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1808574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808582 */     // MIs[0] policy
     /* 1808582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1808595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1808613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808616 */     // GIR_Coverage, 12469,
     /* 1808616 */     GIR_EraseRootFromParent_Done,
     /* 1808617 */   // Label 24540: @1808617
     /* 1808617 */   GIM_Try, /*On fail goto*//*Label 24541*/ GIMT_Encode4(1808703), // Rule ID 12472 //
     /* 1808622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1808633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1808636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808668 */     // MIs[0] policy
     /* 1808668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1808681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808702 */     // GIR_Coverage, 12472,
     /* 1808702 */     GIR_EraseRootFromParent_Done,
     /* 1808703 */   // Label 24541: @1808703
     /* 1808703 */   GIM_Try, /*On fail goto*//*Label 24542*/ GIMT_Encode4(1808789), // Rule ID 12473 //
     /* 1808708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1808719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1808722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1808725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1808731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1808738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808754 */     // MIs[0] policy
     /* 1808754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11656:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_MF2_MASK),
     /* 1808767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808788 */     // GIR_Coverage, 12473,
     /* 1808788 */     GIR_EraseRootFromParent_Done,
     /* 1808789 */   // Label 24542: @1808789
     /* 1808789 */   GIM_Try, /*On fail goto*//*Label 24543*/ GIMT_Encode4(1808875), // Rule ID 12476 //
     /* 1808794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1808805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1808808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808840 */     // MIs[0] policy
     /* 1808840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1808850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1808853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808874 */     // GIR_Coverage, 12476,
     /* 1808874 */     GIR_EraseRootFromParent_Done,
     /* 1808875 */   // Label 24543: @1808875
     /* 1808875 */   GIM_Try, /*On fail goto*//*Label 24544*/ GIMT_Encode4(1808961), // Rule ID 12477 //
     /* 1808880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1808883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1808891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1808894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1808897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1808900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1808903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1808906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1808910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1808914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1808918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1808922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1808926 */     // MIs[0] policy
     /* 1808926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1808929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1808936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11656:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1808936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M1_MASK),
     /* 1808939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1808941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1808943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1808945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1808947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1808949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1808954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1808957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1808959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1808960 */     // GIR_Coverage, 12477,
     /* 1808960 */     GIR_EraseRootFromParent_Done,
     /* 1808961 */   // Label 24544: @1808961
     /* 1808961 */   GIM_Try, /*On fail goto*//*Label 24545*/ GIMT_Encode4(1809047), // Rule ID 12480 //
     /* 1808966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1808969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1808974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1808977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1808980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1808983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1808986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1808989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1808992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1808996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809012 */     // MIs[0] policy
     /* 1809012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1809025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809046 */     // GIR_Coverage, 12480,
     /* 1809046 */     GIR_EraseRootFromParent_Done,
     /* 1809047 */   // Label 24545: @1809047
     /* 1809047 */   GIM_Try, /*On fail goto*//*Label 24546*/ GIMT_Encode4(1809133), // Rule ID 12481 //
     /* 1809052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1809060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1809063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1809066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1809069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1809082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809098 */     // MIs[0] policy
     /* 1809098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11656:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M2_MASK),
     /* 1809111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809132 */     // GIR_Coverage, 12481,
     /* 1809132 */     GIR_EraseRootFromParent_Done,
     /* 1809133 */   // Label 24546: @1809133
     /* 1809133 */   GIM_Try, /*On fail goto*//*Label 24547*/ GIMT_Encode4(1809219), // Rule ID 12484 //
     /* 1809138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1809141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1809146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1809149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1809152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1809155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1809158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809184 */     // MIs[0] policy
     /* 1809184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1809197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809218 */     // GIR_Coverage, 12484,
     /* 1809218 */     GIR_EraseRootFromParent_Done,
     /* 1809219 */   // Label 24547: @1809219
     /* 1809219 */   GIM_Try, /*On fail goto*//*Label 24548*/ GIMT_Encode4(1809305), // Rule ID 12485 //
     /* 1809224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1809227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmul_mask),
     /* 1809232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1809235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1809238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1809241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1809244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1809254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1809258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1809262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1809266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809270 */     // MIs[0] policy
     /* 1809270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11656:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMUL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMUL_VX_M4_MASK),
     /* 1809283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1809301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809304 */     // GIR_Coverage, 12485,
     /* 1809304 */     GIR_EraseRootFromParent_Done,
     /* 1809305 */   // Label 24548: @1809305
     /* 1809305 */   GIM_Try, /*On fail goto*//*Label 24549*/ GIMT_Encode4(1809391), // Rule ID 12488 //
     /* 1809310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1809327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1809330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809356 */     // MIs[0] policy
     /* 1809356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1809369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809390 */     // GIR_Coverage, 12488,
     /* 1809390 */     GIR_EraseRootFromParent_Done,
     /* 1809391 */   // Label 24549: @1809391
     /* 1809391 */   GIM_Try, /*On fail goto*//*Label 24550*/ GIMT_Encode4(1809477), // Rule ID 12489 //
     /* 1809396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1809407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1809410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1809413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1809416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1809419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809442 */     // MIs[0] policy
     /* 1809442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF8_MASK),
     /* 1809455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809476 */     // GIR_Coverage, 12489,
     /* 1809476 */     GIR_EraseRootFromParent_Done,
     /* 1809477 */   // Label 24550: @1809477
     /* 1809477 */   GIM_Try, /*On fail goto*//*Label 24551*/ GIMT_Encode4(1809563), // Rule ID 12492 //
     /* 1809482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1809493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1809496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1809499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1809502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809528 */     // MIs[0] policy
     /* 1809528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809538 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1809541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809562 */     // GIR_Coverage, 12492,
     /* 1809562 */     GIR_EraseRootFromParent_Done,
     /* 1809563 */   // Label 24551: @1809563
     /* 1809563 */   GIM_Try, /*On fail goto*//*Label 24552*/ GIMT_Encode4(1809649), // Rule ID 12493 //
     /* 1809568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1809579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1809582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1809585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1809588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1809591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809614 */     // MIs[0] policy
     /* 1809614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1809627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809648 */     // GIR_Coverage, 12493,
     /* 1809648 */     GIR_EraseRootFromParent_Done,
     /* 1809649 */   // Label 24552: @1809649
     /* 1809649 */   GIM_Try, /*On fail goto*//*Label 24553*/ GIMT_Encode4(1809735), // Rule ID 12496 //
     /* 1809654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1809671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1809674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809700 */     // MIs[0] policy
     /* 1809700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809710 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1809713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809734 */     // GIR_Coverage, 12496,
     /* 1809734 */     GIR_EraseRootFromParent_Done,
     /* 1809735 */   // Label 24553: @1809735
     /* 1809735 */   GIM_Try, /*On fail goto*//*Label 24554*/ GIMT_Encode4(1809821), // Rule ID 12497 //
     /* 1809740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1809751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1809754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1809757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1809760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1809763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1809770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809786 */     // MIs[0] policy
     /* 1809786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1809799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809820 */     // GIR_Coverage, 12497,
     /* 1809820 */     GIR_EraseRootFromParent_Done,
     /* 1809821 */   // Label 24554: @1809821
     /* 1809821 */   GIM_Try, /*On fail goto*//*Label 24555*/ GIMT_Encode4(1809907), // Rule ID 12500 //
     /* 1809826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1809829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1809837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1809840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1809852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809872 */     // MIs[0] policy
     /* 1809872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1809882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1809885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809906 */     // GIR_Coverage, 12500,
     /* 1809906 */     GIR_EraseRootFromParent_Done,
     /* 1809907 */   // Label 24555: @1809907
     /* 1809907 */   GIM_Try, /*On fail goto*//*Label 24556*/ GIMT_Encode4(1809993), // Rule ID 12501 //
     /* 1809912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1809915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1809920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1809923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1809926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1809929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1809932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1809935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1809938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1809942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1809946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1809954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1809958 */     // MIs[0] policy
     /* 1809958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1809961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1809968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1809968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1809971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1809973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1809975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1809977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1809979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1809981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1809986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1809989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1809991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1809992 */     // GIR_Coverage, 12501,
     /* 1809992 */     GIR_EraseRootFromParent_Done,
     /* 1809993 */   // Label 24556: @1809993
     /* 1809993 */   GIM_Try, /*On fail goto*//*Label 24557*/ GIMT_Encode4(1810079), // Rule ID 12504 //
     /* 1809998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810044 */     // MIs[0] policy
     /* 1810044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810054 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1810057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810078 */     // GIR_Coverage, 12504,
     /* 1810078 */     GIR_EraseRootFromParent_Done,
     /* 1810079 */   // Label 24557: @1810079
     /* 1810079 */   GIM_Try, /*On fail goto*//*Label 24558*/ GIMT_Encode4(1810165), // Rule ID 12505 //
     /* 1810084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1810095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1810098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1810101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1810104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1810107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810130 */     // MIs[0] policy
     /* 1810130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1810143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810164 */     // GIR_Coverage, 12505,
     /* 1810164 */     GIR_EraseRootFromParent_Done,
     /* 1810165 */   // Label 24558: @1810165
     /* 1810165 */   GIM_Try, /*On fail goto*//*Label 24559*/ GIMT_Encode4(1810251), // Rule ID 12508 //
     /* 1810170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1810181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1810184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810216 */     // MIs[0] policy
     /* 1810216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810226 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1810229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810250 */     // GIR_Coverage, 12508,
     /* 1810250 */     GIR_EraseRootFromParent_Done,
     /* 1810251 */   // Label 24559: @1810251
     /* 1810251 */   GIM_Try, /*On fail goto*//*Label 24560*/ GIMT_Encode4(1810337), // Rule ID 12509 //
     /* 1810256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1810267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1810270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1810273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1810276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1810279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1810286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1810290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810302 */     // MIs[0] policy
     /* 1810302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1810315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1810333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810336 */     // GIR_Coverage, 12509,
     /* 1810336 */     GIR_EraseRootFromParent_Done,
     /* 1810337 */   // Label 24560: @1810337
     /* 1810337 */   GIM_Try, /*On fail goto*//*Label 24561*/ GIMT_Encode4(1810423), // Rule ID 12512 //
     /* 1810342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1810353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1810356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1810359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1810362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810388 */     // MIs[0] policy
     /* 1810388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1810401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810422 */     // GIR_Coverage, 12512,
     /* 1810422 */     GIR_EraseRootFromParent_Done,
     /* 1810423 */   // Label 24561: @1810423
     /* 1810423 */   GIM_Try, /*On fail goto*//*Label 24562*/ GIMT_Encode4(1810509), // Rule ID 12513 //
     /* 1810428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1810439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1810442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1810445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1810448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1810451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810474 */     // MIs[0] policy
     /* 1810474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF4_MASK),
     /* 1810487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810508 */     // GIR_Coverage, 12513,
     /* 1810508 */     GIR_EraseRootFromParent_Done,
     /* 1810509 */   // Label 24562: @1810509
     /* 1810509 */   GIM_Try, /*On fail goto*//*Label 24563*/ GIMT_Encode4(1810595), // Rule ID 12516 //
     /* 1810514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1810525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1810528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1810531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1810534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810560 */     // MIs[0] policy
     /* 1810560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1810573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810594 */     // GIR_Coverage, 12516,
     /* 1810594 */     GIR_EraseRootFromParent_Done,
     /* 1810595 */   // Label 24563: @1810595
     /* 1810595 */   GIM_Try, /*On fail goto*//*Label 24564*/ GIMT_Encode4(1810681), // Rule ID 12517 //
     /* 1810600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1810611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1810614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1810617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1810620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1810623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1810630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810646 */     // MIs[0] policy
     /* 1810646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1810659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810680 */     // GIR_Coverage, 12517,
     /* 1810680 */     GIR_EraseRootFromParent_Done,
     /* 1810681 */   // Label 24564: @1810681
     /* 1810681 */   GIM_Try, /*On fail goto*//*Label 24565*/ GIMT_Encode4(1810767), // Rule ID 12520 //
     /* 1810686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1810697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1810700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1810703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1810706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810732 */     // MIs[0] policy
     /* 1810732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1810745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810766 */     // GIR_Coverage, 12520,
     /* 1810766 */     GIR_EraseRootFromParent_Done,
     /* 1810767 */   // Label 24565: @1810767
     /* 1810767 */   GIM_Try, /*On fail goto*//*Label 24566*/ GIMT_Encode4(1810853), // Rule ID 12521 //
     /* 1810772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1810783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1810786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1810789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1810792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1810795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1810802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1810814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810818 */     // MIs[0] policy
     /* 1810818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1810828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1810831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810852 */     // GIR_Coverage, 12521,
     /* 1810852 */     GIR_EraseRootFromParent_Done,
     /* 1810853 */   // Label 24566: @1810853
     /* 1810853 */   GIM_Try, /*On fail goto*//*Label 24567*/ GIMT_Encode4(1810939), // Rule ID 12524 //
     /* 1810858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1810861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1810869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1810872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1810884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810904 */     // MIs[0] policy
     /* 1810904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1810914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1810914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1810917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1810919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1810921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1810923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1810925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1810927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1810932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1810935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1810937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1810938 */     // GIR_Coverage, 12524,
     /* 1810938 */     GIR_EraseRootFromParent_Done,
     /* 1810939 */   // Label 24567: @1810939
     /* 1810939 */   GIM_Try, /*On fail goto*//*Label 24568*/ GIMT_Encode4(1811025), // Rule ID 12525 //
     /* 1810944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1810947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1810952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1810955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1810958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1810961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1810964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1810967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1810970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1810974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1810978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1810986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1810990 */     // MIs[0] policy
     /* 1810990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1810993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1811003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811024 */     // GIR_Coverage, 12525,
     /* 1811024 */     GIR_EraseRootFromParent_Done,
     /* 1811025 */   // Label 24568: @1811025
     /* 1811025 */   GIM_Try, /*On fail goto*//*Label 24569*/ GIMT_Encode4(1811111), // Rule ID 12528 //
     /* 1811030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811076 */     // MIs[0] policy
     /* 1811076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1811089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811110 */     // GIR_Coverage, 12528,
     /* 1811110 */     GIR_EraseRootFromParent_Done,
     /* 1811111 */   // Label 24569: @1811111
     /* 1811111 */   GIM_Try, /*On fail goto*//*Label 24570*/ GIMT_Encode4(1811197), // Rule ID 12529 //
     /* 1811116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1811127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1811130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1811133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1811136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1811139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811162 */     // MIs[0] policy
     /* 1811162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1811175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1811193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811196 */     // GIR_Coverage, 12529,
     /* 1811196 */     GIR_EraseRootFromParent_Done,
     /* 1811197 */   // Label 24570: @1811197
     /* 1811197 */   GIM_Try, /*On fail goto*//*Label 24571*/ GIMT_Encode4(1811283), // Rule ID 12532 //
     /* 1811202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1811205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1811213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1811216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1811219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1811222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811248 */     // MIs[0] policy
     /* 1811248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1811261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811282 */     // GIR_Coverage, 12532,
     /* 1811282 */     GIR_EraseRootFromParent_Done,
     /* 1811283 */   // Label 24571: @1811283
     /* 1811283 */   GIM_Try, /*On fail goto*//*Label 24572*/ GIMT_Encode4(1811369), // Rule ID 12533 //
     /* 1811288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1811291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1811299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1811302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1811305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1811308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811334 */     // MIs[0] policy
     /* 1811334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_MF2_MASK),
     /* 1811347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811368 */     // GIR_Coverage, 12533,
     /* 1811368 */     GIR_EraseRootFromParent_Done,
     /* 1811369 */   // Label 24572: @1811369
     /* 1811369 */   GIM_Try, /*On fail goto*//*Label 24573*/ GIMT_Encode4(1811455), // Rule ID 12536 //
     /* 1811374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1811377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1811391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1811394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811420 */     // MIs[0] policy
     /* 1811420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1811433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811454 */     // GIR_Coverage, 12536,
     /* 1811454 */     GIR_EraseRootFromParent_Done,
     /* 1811455 */   // Label 24573: @1811455
     /* 1811455 */   GIM_Try, /*On fail goto*//*Label 24574*/ GIMT_Encode4(1811541), // Rule ID 12537 //
     /* 1811460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1811463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1811471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1811474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1811477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1811480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1811483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1811490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811506 */     // MIs[0] policy
     /* 1811506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M1_MASK),
     /* 1811519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811540 */     // GIR_Coverage, 12537,
     /* 1811540 */     GIR_EraseRootFromParent_Done,
     /* 1811541 */   // Label 24574: @1811541
     /* 1811541 */   GIM_Try, /*On fail goto*//*Label 24575*/ GIMT_Encode4(1811627), // Rule ID 12540 //
     /* 1811546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1811549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1811557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1811560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811592 */     // MIs[0] policy
     /* 1811592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1811605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811626 */     // GIR_Coverage, 12540,
     /* 1811626 */     GIR_EraseRootFromParent_Done,
     /* 1811627 */   // Label 24575: @1811627
     /* 1811627 */   GIM_Try, /*On fail goto*//*Label 24576*/ GIMT_Encode4(1811713), // Rule ID 12541 //
     /* 1811632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1811635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1811643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1811646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1811649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1811652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1811655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1811662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1811674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811678 */     // MIs[0] policy
     /* 1811678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M2_MASK),
     /* 1811691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811712 */     // GIR_Coverage, 12541,
     /* 1811712 */     GIR_EraseRootFromParent_Done,
     /* 1811713 */   // Label 24576: @1811713
     /* 1811713 */   GIM_Try, /*On fail goto*//*Label 24577*/ GIMT_Encode4(1811799), // Rule ID 12544 //
     /* 1811718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1811721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1811729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1811732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811764 */     // MIs[0] policy
     /* 1811764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1811777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811798 */     // GIR_Coverage, 12544,
     /* 1811798 */     GIR_EraseRootFromParent_Done,
     /* 1811799 */   // Label 24577: @1811799
     /* 1811799 */   GIM_Try, /*On fail goto*//*Label 24578*/ GIMT_Encode4(1811885), // Rule ID 12545 //
     /* 1811804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1811807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1811815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1811818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1811821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1811824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1811827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1811830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1811834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1811838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1811846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811850 */     // MIs[0] policy
     /* 1811850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1811860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VV_M4_MASK),
     /* 1811863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1811881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811884 */     // GIR_Coverage, 12545,
     /* 1811884 */     GIR_EraseRootFromParent_Done,
     /* 1811885 */   // Label 24578: @1811885
     /* 1811885 */   GIM_Try, /*On fail goto*//*Label 24579*/ GIMT_Encode4(1811971), // Rule ID 12548 //
     /* 1811890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1811893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1811901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1811904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1811907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1811910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1811916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1811920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1811928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1811932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1811936 */     // MIs[0] policy
     /* 1811936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1811939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1811946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1811946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1811949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1811951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1811953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1811955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1811957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1811959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1811964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1811967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1811969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1811970 */     // GIR_Coverage, 12548,
     /* 1811970 */     GIR_EraseRootFromParent_Done,
     /* 1811971 */   // Label 24579: @1811971
     /* 1811971 */   GIM_Try, /*On fail goto*//*Label 24580*/ GIMT_Encode4(1812057), // Rule ID 12549 //
     /* 1811976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1811979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1811984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1811987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1811990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1811993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1811996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1811999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812022 */     // MIs[0] policy
     /* 1812022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF8_MASK),
     /* 1812035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812056 */     // GIR_Coverage, 12549,
     /* 1812056 */     GIR_EraseRootFromParent_Done,
     /* 1812057 */   // Label 24580: @1812057
     /* 1812057 */   GIM_Try, /*On fail goto*//*Label 24581*/ GIMT_Encode4(1812143), // Rule ID 12552 //
     /* 1812062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1812073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1812076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1812079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812108 */     // MIs[0] policy
     /* 1812108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1812121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812142 */     // GIR_Coverage, 12552,
     /* 1812142 */     GIR_EraseRootFromParent_Done,
     /* 1812143 */   // Label 24581: @1812143
     /* 1812143 */   GIM_Try, /*On fail goto*//*Label 24582*/ GIMT_Encode4(1812229), // Rule ID 12553 //
     /* 1812148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1812159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1812162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1812165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1812171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812194 */     // MIs[0] policy
     /* 1812194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1812207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812228 */     // GIR_Coverage, 12553,
     /* 1812228 */     GIR_EraseRootFromParent_Done,
     /* 1812229 */   // Label 24582: @1812229
     /* 1812229 */   GIM_Try, /*On fail goto*//*Label 24583*/ GIMT_Encode4(1812315), // Rule ID 12556 //
     /* 1812234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1812245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1812248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1812251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812280 */     // MIs[0] policy
     /* 1812280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1812293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812314 */     // GIR_Coverage, 12556,
     /* 1812314 */     GIR_EraseRootFromParent_Done,
     /* 1812315 */   // Label 24583: @1812315
     /* 1812315 */   GIM_Try, /*On fail goto*//*Label 24584*/ GIMT_Encode4(1812401), // Rule ID 12557 //
     /* 1812320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1812331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1812334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1812337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1812343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812366 */     // MIs[0] policy
     /* 1812366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11660:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1812379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812400 */     // GIR_Coverage, 12557,
     /* 1812400 */     GIR_EraseRootFromParent_Done,
     /* 1812401 */   // Label 24584: @1812401
     /* 1812401 */   GIM_Try, /*On fail goto*//*Label 24585*/ GIMT_Encode4(1812487), // Rule ID 12560 //
     /* 1812406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1812417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1812420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1812423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812452 */     // MIs[0] policy
     /* 1812452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1812465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812486 */     // GIR_Coverage, 12560,
     /* 1812486 */     GIR_EraseRootFromParent_Done,
     /* 1812487 */   // Label 24585: @1812487
     /* 1812487 */   GIM_Try, /*On fail goto*//*Label 24586*/ GIMT_Encode4(1812573), // Rule ID 12561 //
     /* 1812492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1812503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1812506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1812509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1812515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1812522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812538 */     // MIs[0] policy
     /* 1812538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812548 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1812551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812572 */     // GIR_Coverage, 12561,
     /* 1812572 */     GIR_EraseRootFromParent_Done,
     /* 1812573 */   // Label 24586: @1812573
     /* 1812573 */   GIM_Try, /*On fail goto*//*Label 24587*/ GIMT_Encode4(1812659), // Rule ID 12564 //
     /* 1812578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1812589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1812592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1812595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812624 */     // MIs[0] policy
     /* 1812624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1812637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812658 */     // GIR_Coverage, 12564,
     /* 1812658 */     GIR_EraseRootFromParent_Done,
     /* 1812659 */   // Label 24587: @1812659
     /* 1812659 */   GIM_Try, /*On fail goto*//*Label 24588*/ GIMT_Encode4(1812745), // Rule ID 12565 //
     /* 1812664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1812675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1812678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1812681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1812687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1812694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1812702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812710 */     // MIs[0] policy
     /* 1812710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1812723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812744 */     // GIR_Coverage, 12565,
     /* 1812744 */     GIR_EraseRootFromParent_Done,
     /* 1812745 */   // Label 24588: @1812745
     /* 1812745 */   GIM_Try, /*On fail goto*//*Label 24589*/ GIMT_Encode4(1812831), // Rule ID 12568 //
     /* 1812750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1812761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1812764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1812767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1812773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812796 */     // MIs[0] policy
     /* 1812796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1812809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812830 */     // GIR_Coverage, 12568,
     /* 1812830 */     GIR_EraseRootFromParent_Done,
     /* 1812831 */   // Label 24589: @1812831
     /* 1812831 */   GIM_Try, /*On fail goto*//*Label 24590*/ GIMT_Encode4(1812917), // Rule ID 12569 //
     /* 1812836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1812839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1812847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1812850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1812853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1812856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1812859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1812862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1812866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1812870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1812874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812882 */     // MIs[0] policy
     /* 1812882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1812892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1812895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1812913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1812915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1812916 */     // GIR_Coverage, 12569,
     /* 1812916 */     GIR_EraseRootFromParent_Done,
     /* 1812917 */   // Label 24590: @1812917
     /* 1812917 */   GIM_Try, /*On fail goto*//*Label 24591*/ GIMT_Encode4(1813003), // Rule ID 12572 //
     /* 1812922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1812925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1812930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1812933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1812936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1812939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1812942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1812945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1812948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1812952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1812960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1812964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1812968 */     // MIs[0] policy
     /* 1812968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1812971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1812978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1812978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1812981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1812983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1812985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1812987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1812989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1812991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1812996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1812999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813002 */     // GIR_Coverage, 12572,
     /* 1813002 */     GIR_EraseRootFromParent_Done,
     /* 1813003 */   // Label 24591: @1813003
     /* 1813003 */   GIM_Try, /*On fail goto*//*Label 24592*/ GIMT_Encode4(1813089), // Rule ID 12573 //
     /* 1813008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1813019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1813022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1813025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813054 */     // MIs[0] policy
     /* 1813054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF4_MASK),
     /* 1813067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813088 */     // GIR_Coverage, 12573,
     /* 1813088 */     GIR_EraseRootFromParent_Done,
     /* 1813089 */   // Label 24592: @1813089
     /* 1813089 */   GIM_Try, /*On fail goto*//*Label 24593*/ GIMT_Encode4(1813175), // Rule ID 12576 //
     /* 1813094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813140 */     // MIs[0] policy
     /* 1813140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1813153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813174 */     // GIR_Coverage, 12576,
     /* 1813174 */     GIR_EraseRootFromParent_Done,
     /* 1813175 */   // Label 24593: @1813175
     /* 1813175 */   GIM_Try, /*On fail goto*//*Label 24594*/ GIMT_Encode4(1813261), // Rule ID 12577 //
     /* 1813180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1813191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1813194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1813197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813226 */     // MIs[0] policy
     /* 1813226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11660:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1813239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813260 */     // GIR_Coverage, 12577,
     /* 1813260 */     GIR_EraseRootFromParent_Done,
     /* 1813261 */   // Label 24594: @1813261
     /* 1813261 */   GIM_Try, /*On fail goto*//*Label 24595*/ GIMT_Encode4(1813347), // Rule ID 12580 //
     /* 1813266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1813277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1813280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1813283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813312 */     // MIs[0] policy
     /* 1813312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1813325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813346 */     // GIR_Coverage, 12580,
     /* 1813346 */     GIR_EraseRootFromParent_Done,
     /* 1813347 */   // Label 24595: @1813347
     /* 1813347 */   GIM_Try, /*On fail goto*//*Label 24596*/ GIMT_Encode4(1813433), // Rule ID 12581 //
     /* 1813352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1813363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1813366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1813369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1813375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813398 */     // MIs[0] policy
     /* 1813398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1813411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813432 */     // GIR_Coverage, 12581,
     /* 1813432 */     GIR_EraseRootFromParent_Done,
     /* 1813433 */   // Label 24596: @1813433
     /* 1813433 */   GIM_Try, /*On fail goto*//*Label 24597*/ GIMT_Encode4(1813519), // Rule ID 12584 //
     /* 1813438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1813449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1813452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1813455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813484 */     // MIs[0] policy
     /* 1813484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1813497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813518 */     // GIR_Coverage, 12584,
     /* 1813518 */     GIR_EraseRootFromParent_Done,
     /* 1813519 */   // Label 24597: @1813519
     /* 1813519 */   GIM_Try, /*On fail goto*//*Label 24598*/ GIMT_Encode4(1813605), // Rule ID 12585 //
     /* 1813524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1813535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1813538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1813541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1813547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1813554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813570 */     // MIs[0] policy
     /* 1813570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1813583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813604 */     // GIR_Coverage, 12585,
     /* 1813604 */     GIR_EraseRootFromParent_Done,
     /* 1813605 */   // Label 24598: @1813605
     /* 1813605 */   GIM_Try, /*On fail goto*//*Label 24599*/ GIMT_Encode4(1813691), // Rule ID 12588 //
     /* 1813610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1813613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1813621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1813624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1813627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813656 */     // MIs[0] policy
     /* 1813656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813666 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1813669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813690 */     // GIR_Coverage, 12588,
     /* 1813690 */     GIR_EraseRootFromParent_Done,
     /* 1813691 */   // Label 24599: @1813691
     /* 1813691 */   GIM_Try, /*On fail goto*//*Label 24600*/ GIMT_Encode4(1813777), // Rule ID 12589 //
     /* 1813696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1813699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1813707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1813710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1813713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1813719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1813726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1813730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1813734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813742 */     // MIs[0] policy
     /* 1813742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1813755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1813773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813776 */     // GIR_Coverage, 12589,
     /* 1813776 */     GIR_EraseRootFromParent_Done,
     /* 1813777 */   // Label 24600: @1813777
     /* 1813777 */   GIM_Try, /*On fail goto*//*Label 24601*/ GIMT_Encode4(1813863), // Rule ID 12592 //
     /* 1813782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1813785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1813799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813828 */     // MIs[0] policy
     /* 1813828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813838 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1813838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1813841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813862 */     // GIR_Coverage, 12592,
     /* 1813862 */     GIR_EraseRootFromParent_Done,
     /* 1813863 */   // Label 24601: @1813863
     /* 1813863 */   GIM_Try, /*On fail goto*//*Label 24602*/ GIMT_Encode4(1813949), // Rule ID 12593 //
     /* 1813868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1813871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1813879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1813882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1813885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1813888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1813891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1813894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1813898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1813914 */     // MIs[0] policy
     /* 1813914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1813917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1813924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11660:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1813924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_MF2_MASK),
     /* 1813927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1813929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1813931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1813933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1813935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1813937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1813942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1813945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1813947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1813948 */     // GIR_Coverage, 12593,
     /* 1813948 */     GIR_EraseRootFromParent_Done,
     /* 1813949 */   // Label 24602: @1813949
     /* 1813949 */   GIM_Try, /*On fail goto*//*Label 24603*/ GIMT_Encode4(1814035), // Rule ID 12596 //
     /* 1813954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1813957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1813962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1813965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1813968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1813971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1813974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1813977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1813980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1813984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1813988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1813992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1813996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814000 */     // MIs[0] policy
     /* 1814000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1814013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814034 */     // GIR_Coverage, 12596,
     /* 1814034 */     GIR_EraseRootFromParent_Done,
     /* 1814035 */   // Label 24603: @1814035
     /* 1814035 */   GIM_Try, /*On fail goto*//*Label 24604*/ GIMT_Encode4(1814121), // Rule ID 12597 //
     /* 1814040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1814043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1814048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1814051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1814054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1814057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1814070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814086 */     // MIs[0] policy
     /* 1814086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11660:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M1_MASK),
     /* 1814099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814120 */     // GIR_Coverage, 12597,
     /* 1814120 */     GIR_EraseRootFromParent_Done,
     /* 1814121 */   // Label 24604: @1814121
     /* 1814121 */   GIM_Try, /*On fail goto*//*Label 24605*/ GIMT_Encode4(1814207), // Rule ID 12600 //
     /* 1814126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1814129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1814134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1814137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1814140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1814143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814172 */     // MIs[0] policy
     /* 1814172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1814185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814206 */     // GIR_Coverage, 12600,
     /* 1814206 */     GIR_EraseRootFromParent_Done,
     /* 1814207 */   // Label 24605: @1814207
     /* 1814207 */   GIM_Try, /*On fail goto*//*Label 24606*/ GIMT_Encode4(1814293), // Rule ID 12601 //
     /* 1814212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1814215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1814220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1814223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1814226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1814229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1814242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1814250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814258 */     // MIs[0] policy
     /* 1814258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11660:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M2_MASK),
     /* 1814271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814292 */     // GIR_Coverage, 12601,
     /* 1814292 */     GIR_EraseRootFromParent_Done,
     /* 1814293 */   // Label 24606: @1814293
     /* 1814293 */   GIM_Try, /*On fail goto*//*Label 24607*/ GIMT_Encode4(1814379), // Rule ID 12604 //
     /* 1814298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1814301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1814306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1814309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1814312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1814315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1814318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814344 */     // MIs[0] policy
     /* 1814344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814354 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1814357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814378 */     // GIR_Coverage, 12604,
     /* 1814378 */     GIR_EraseRootFromParent_Done,
     /* 1814379 */   // Label 24607: @1814379
     /* 1814379 */   GIM_Try, /*On fail goto*//*Label 24608*/ GIMT_Encode4(1814465), // Rule ID 12605 //
     /* 1814384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1814387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulu_mask),
     /* 1814392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1814395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1814398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1814401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1814404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1814407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1814414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1814418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1814422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1814426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814430 */     // MIs[0] policy
     /* 1814430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11660:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULU_VX_M4_MASK),
     /* 1814443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1814461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814464 */     // GIR_Coverage, 12605,
     /* 1814464 */     GIR_EraseRootFromParent_Done,
     /* 1814465 */   // Label 24608: @1814465
     /* 1814465 */   GIM_Try, /*On fail goto*//*Label 24609*/ GIMT_Encode4(1814551), // Rule ID 12608 //
     /* 1814470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1814481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1814484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1814487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1814490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814516 */     // MIs[0] policy
     /* 1814516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814526 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1814529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814550 */     // GIR_Coverage, 12608,
     /* 1814550 */     GIR_EraseRootFromParent_Done,
     /* 1814551 */   // Label 24609: @1814551
     /* 1814551 */   GIM_Try, /*On fail goto*//*Label 24610*/ GIMT_Encode4(1814637), // Rule ID 12609 //
     /* 1814556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1814567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1814570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1814573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1814576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1814579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814602 */     // MIs[0] policy
     /* 1814602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF8_MASK),
     /* 1814615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814636 */     // GIR_Coverage, 12609,
     /* 1814636 */     GIR_EraseRootFromParent_Done,
     /* 1814637 */   // Label 24610: @1814637
     /* 1814637 */   GIM_Try, /*On fail goto*//*Label 24611*/ GIMT_Encode4(1814723), // Rule ID 12612 //
     /* 1814642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1814653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1814656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1814659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1814662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814688 */     // MIs[0] policy
     /* 1814688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1814701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814722 */     // GIR_Coverage, 12612,
     /* 1814722 */     GIR_EraseRootFromParent_Done,
     /* 1814723 */   // Label 24611: @1814723
     /* 1814723 */   GIM_Try, /*On fail goto*//*Label 24612*/ GIMT_Encode4(1814809), // Rule ID 12613 //
     /* 1814728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1814739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1814742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1814745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1814748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1814751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814774 */     // MIs[0] policy
     /* 1814774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1814787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814808 */     // GIR_Coverage, 12613,
     /* 1814808 */     GIR_EraseRootFromParent_Done,
     /* 1814809 */   // Label 24612: @1814809
     /* 1814809 */   GIM_Try, /*On fail goto*//*Label 24613*/ GIMT_Encode4(1814895), // Rule ID 12616 //
     /* 1814814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1814825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1814828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1814831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1814834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1814840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814860 */     // MIs[0] policy
     /* 1814860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1814870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1814873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814894 */     // GIR_Coverage, 12616,
     /* 1814894 */     GIR_EraseRootFromParent_Done,
     /* 1814895 */   // Label 24613: @1814895
     /* 1814895 */   GIM_Try, /*On fail goto*//*Label 24614*/ GIMT_Encode4(1814981), // Rule ID 12617 //
     /* 1814900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1814903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1814911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1814914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1814917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1814920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1814923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1814926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1814930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1814942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1814946 */     // MIs[0] policy
     /* 1814946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1814949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1814956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1814956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1814959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1814961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1814963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1814965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1814967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1814969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1814974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1814977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1814979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1814980 */     // GIR_Coverage, 12617,
     /* 1814980 */     GIR_EraseRootFromParent_Done,
     /* 1814981 */   // Label 24614: @1814981
     /* 1814981 */   GIM_Try, /*On fail goto*//*Label 24615*/ GIMT_Encode4(1815067), // Rule ID 12620 //
     /* 1814986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1814989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1814994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1814997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1815000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1815003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1815006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815032 */     // MIs[0] policy
     /* 1815032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1815045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815066 */     // GIR_Coverage, 12620,
     /* 1815066 */     GIR_EraseRootFromParent_Done,
     /* 1815067 */   // Label 24615: @1815067
     /* 1815067 */   GIM_Try, /*On fail goto*//*Label 24616*/ GIMT_Encode4(1815153), // Rule ID 12621 //
     /* 1815072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1815083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1815086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1815089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1815092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1815095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815118 */     // MIs[0] policy
     /* 1815118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1815131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815152 */     // GIR_Coverage, 12621,
     /* 1815152 */     GIR_EraseRootFromParent_Done,
     /* 1815153 */   // Label 24616: @1815153
     /* 1815153 */   GIM_Try, /*On fail goto*//*Label 24617*/ GIMT_Encode4(1815239), // Rule ID 12624 //
     /* 1815158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1815169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1815172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1815175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1815178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815204 */     // MIs[0] policy
     /* 1815204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1815217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815238 */     // GIR_Coverage, 12624,
     /* 1815238 */     GIR_EraseRootFromParent_Done,
     /* 1815239 */   // Label 24617: @1815239
     /* 1815239 */   GIM_Try, /*On fail goto*//*Label 24618*/ GIMT_Encode4(1815325), // Rule ID 12625 //
     /* 1815244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1815255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1815258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1815261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1815264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1815267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1815274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815290 */     // MIs[0] policy
     /* 1815290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1815303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815324 */     // GIR_Coverage, 12625,
     /* 1815324 */     GIR_EraseRootFromParent_Done,
     /* 1815325 */   // Label 24618: @1815325
     /* 1815325 */   GIM_Try, /*On fail goto*//*Label 24619*/ GIMT_Encode4(1815411), // Rule ID 12628 //
     /* 1815330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1815341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1815344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1815347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1815350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815376 */     // MIs[0] policy
     /* 1815376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1815389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815410 */     // GIR_Coverage, 12628,
     /* 1815410 */     GIR_EraseRootFromParent_Done,
     /* 1815411 */   // Label 24619: @1815411
     /* 1815411 */   GIM_Try, /*On fail goto*//*Label 24620*/ GIMT_Encode4(1815497), // Rule ID 12629 //
     /* 1815416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1815427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1815430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1815433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1815436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1815439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1815446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1815450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1815458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815462 */     // MIs[0] policy
     /* 1815462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1815475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1815493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815496 */     // GIR_Coverage, 12629,
     /* 1815496 */     GIR_EraseRootFromParent_Done,
     /* 1815497 */   // Label 24620: @1815497
     /* 1815497 */   GIM_Try, /*On fail goto*//*Label 24621*/ GIMT_Encode4(1815583), // Rule ID 12632 //
     /* 1815502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1815513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1815516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1815519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1815522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815548 */     // MIs[0] policy
     /* 1815548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1815561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815582 */     // GIR_Coverage, 12632,
     /* 1815582 */     GIR_EraseRootFromParent_Done,
     /* 1815583 */   // Label 24621: @1815583
     /* 1815583 */   GIM_Try, /*On fail goto*//*Label 24622*/ GIMT_Encode4(1815669), // Rule ID 12633 //
     /* 1815588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1815599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1815602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1815605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1815608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1815611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815634 */     // MIs[0] policy
     /* 1815634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF4_MASK),
     /* 1815647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815668 */     // GIR_Coverage, 12633,
     /* 1815668 */     GIR_EraseRootFromParent_Done,
     /* 1815669 */   // Label 24622: @1815669
     /* 1815669 */   GIM_Try, /*On fail goto*//*Label 24623*/ GIMT_Encode4(1815755), // Rule ID 12636 //
     /* 1815674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1815685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1815688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1815691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1815694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815720 */     // MIs[0] policy
     /* 1815720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1815733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815754 */     // GIR_Coverage, 12636,
     /* 1815754 */     GIR_EraseRootFromParent_Done,
     /* 1815755 */   // Label 24623: @1815755
     /* 1815755 */   GIM_Try, /*On fail goto*//*Label 24624*/ GIMT_Encode4(1815841), // Rule ID 12637 //
     /* 1815760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1815771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1815774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1815777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1815780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1815783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1815790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815806 */     // MIs[0] policy
     /* 1815806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1815819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815840 */     // GIR_Coverage, 12637,
     /* 1815840 */     GIR_EraseRootFromParent_Done,
     /* 1815841 */   // Label 24624: @1815841
     /* 1815841 */   GIM_Try, /*On fail goto*//*Label 24625*/ GIMT_Encode4(1815927), // Rule ID 12640 //
     /* 1815846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1815849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1815857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1815860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1815863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1815866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1815872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815892 */     // MIs[0] policy
     /* 1815892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1815902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1815905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1815915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1815920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1815923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1815925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1815926 */     // GIR_Coverage, 12640,
     /* 1815926 */     GIR_EraseRootFromParent_Done,
     /* 1815927 */   // Label 24625: @1815927
     /* 1815927 */   GIM_Try, /*On fail goto*//*Label 24626*/ GIMT_Encode4(1816013), // Rule ID 12641 //
     /* 1815932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1815935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1815940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1815943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1815946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1815949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1815952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1815955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1815958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1815962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1815966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1815974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1815978 */     // MIs[0] policy
     /* 1815978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1815981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1815988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1815988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1815991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1815993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1815995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1815997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1815999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816012 */     // GIR_Coverage, 12641,
     /* 1816012 */     GIR_EraseRootFromParent_Done,
     /* 1816013 */   // Label 24626: @1816013
     /* 1816013 */   GIM_Try, /*On fail goto*//*Label 24627*/ GIMT_Encode4(1816099), // Rule ID 12644 //
     /* 1816018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1816029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1816032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1816035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1816038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816064 */     // MIs[0] policy
     /* 1816064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1816077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816098 */     // GIR_Coverage, 12644,
     /* 1816098 */     GIR_EraseRootFromParent_Done,
     /* 1816099 */   // Label 24627: @1816099
     /* 1816099 */   GIM_Try, /*On fail goto*//*Label 24628*/ GIMT_Encode4(1816185), // Rule ID 12645 //
     /* 1816104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1816115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1816118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1816121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1816124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816150 */     // MIs[0] policy
     /* 1816150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1816163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816184 */     // GIR_Coverage, 12645,
     /* 1816184 */     GIR_EraseRootFromParent_Done,
     /* 1816185 */   // Label 24628: @1816185
     /* 1816185 */   GIM_Try, /*On fail goto*//*Label 24629*/ GIMT_Encode4(1816271), // Rule ID 12648 //
     /* 1816190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1816193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1816201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1816204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1816207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1816210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816236 */     // MIs[0] policy
     /* 1816236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1816249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816270 */     // GIR_Coverage, 12648,
     /* 1816270 */     GIR_EraseRootFromParent_Done,
     /* 1816271 */   // Label 24629: @1816271
     /* 1816271 */   GIM_Try, /*On fail goto*//*Label 24630*/ GIMT_Encode4(1816357), // Rule ID 12649 //
     /* 1816276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1816279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1816287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1816290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1816293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1816296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1816299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816322 */     // MIs[0] policy
     /* 1816322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1816335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1816353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816356 */     // GIR_Coverage, 12649,
     /* 1816356 */     GIR_EraseRootFromParent_Done,
     /* 1816357 */   // Label 24630: @1816357
     /* 1816357 */   GIM_Try, /*On fail goto*//*Label 24631*/ GIMT_Encode4(1816443), // Rule ID 12652 //
     /* 1816362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1816365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1816373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1816376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816408 */     // MIs[0] policy
     /* 1816408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1816421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816442 */     // GIR_Coverage, 12652,
     /* 1816442 */     GIR_EraseRootFromParent_Done,
     /* 1816443 */   // Label 24631: @1816443
     /* 1816443 */   GIM_Try, /*On fail goto*//*Label 24632*/ GIMT_Encode4(1816529), // Rule ID 12653 //
     /* 1816448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1816451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1816459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1816462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1816465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1816468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1816471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1816478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816494 */     // MIs[0] policy
     /* 1816494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_MF2_MASK),
     /* 1816507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816528 */     // GIR_Coverage, 12653,
     /* 1816528 */     GIR_EraseRootFromParent_Done,
     /* 1816529 */   // Label 24632: @1816529
     /* 1816529 */   GIM_Try, /*On fail goto*//*Label 24633*/ GIMT_Encode4(1816615), // Rule ID 12656 //
     /* 1816534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1816537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1816545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1816548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1816551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1816554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816580 */     // MIs[0] policy
     /* 1816580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1816593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816614 */     // GIR_Coverage, 12656,
     /* 1816614 */     GIR_EraseRootFromParent_Done,
     /* 1816615 */   // Label 24633: @1816615
     /* 1816615 */   GIM_Try, /*On fail goto*//*Label 24634*/ GIMT_Encode4(1816701), // Rule ID 12657 //
     /* 1816620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1816623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1816631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1816634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1816637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1816640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1816643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1816650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1816662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816666 */     // MIs[0] policy
     /* 1816666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M1_MASK),
     /* 1816679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816700 */     // GIR_Coverage, 12657,
     /* 1816700 */     GIR_EraseRootFromParent_Done,
     /* 1816701 */   // Label 24634: @1816701
     /* 1816701 */   GIM_Try, /*On fail goto*//*Label 24635*/ GIMT_Encode4(1816787), // Rule ID 12660 //
     /* 1816706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1816709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1816717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1816720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1816723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1816726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816752 */     // MIs[0] policy
     /* 1816752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816762 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1816765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816786 */     // GIR_Coverage, 12660,
     /* 1816786 */     GIR_EraseRootFromParent_Done,
     /* 1816787 */   // Label 24635: @1816787
     /* 1816787 */   GIM_Try, /*On fail goto*//*Label 24636*/ GIMT_Encode4(1816873), // Rule ID 12661 //
     /* 1816792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1816795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1816803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1816806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1816809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1816812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1816815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1816822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1816834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816838 */     // MIs[0] policy
     /* 1816838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1816848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M2_MASK),
     /* 1816851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816872 */     // GIR_Coverage, 12661,
     /* 1816872 */     GIR_EraseRootFromParent_Done,
     /* 1816873 */   // Label 24636: @1816873
     /* 1816873 */   GIM_Try, /*On fail goto*//*Label 24637*/ GIMT_Encode4(1816959), // Rule ID 12664 //
     /* 1816878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1816881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1816889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1816892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1816895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1816898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1816904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1816920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1816924 */     // MIs[0] policy
     /* 1816924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1816927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1816934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1816934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1816937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1816939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1816941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1816943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1816945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1816947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1816952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1816955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1816957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1816958 */     // GIR_Coverage, 12664,
     /* 1816958 */     GIR_EraseRootFromParent_Done,
     /* 1816959 */   // Label 24637: @1816959
     /* 1816959 */   GIM_Try, /*On fail goto*//*Label 24638*/ GIMT_Encode4(1817045), // Rule ID 12665 //
     /* 1816964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1816967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1816972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1816975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1816978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1816981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1816984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1816987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1816990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1816994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1816998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817010 */     // MIs[0] policy
     /* 1817010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VV_M4_MASK),
     /* 1817023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1817041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817044 */     // GIR_Coverage, 12665,
     /* 1817044 */     GIR_EraseRootFromParent_Done,
     /* 1817045 */   // Label 24638: @1817045
     /* 1817045 */   GIM_Try, /*On fail goto*//*Label 24639*/ GIMT_Encode4(1817131), // Rule ID 12668 //
     /* 1817050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1817061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1817064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1817067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817096 */     // MIs[0] policy
     /* 1817096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1817109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817130 */     // GIR_Coverage, 12668,
     /* 1817130 */     GIR_EraseRootFromParent_Done,
     /* 1817131 */   // Label 24639: @1817131
     /* 1817131 */   GIM_Try, /*On fail goto*//*Label 24640*/ GIMT_Encode4(1817217), // Rule ID 12669 //
     /* 1817136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1817147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1817150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1817153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1817159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817182 */     // MIs[0] policy
     /* 1817182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF8_MASK),
     /* 1817195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817216 */     // GIR_Coverage, 12669,
     /* 1817216 */     GIR_EraseRootFromParent_Done,
     /* 1817217 */   // Label 24640: @1817217
     /* 1817217 */   GIM_Try, /*On fail goto*//*Label 24641*/ GIMT_Encode4(1817303), // Rule ID 12672 //
     /* 1817222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1817233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1817236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1817239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817268 */     // MIs[0] policy
     /* 1817268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1817281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817302 */     // GIR_Coverage, 12672,
     /* 1817302 */     GIR_EraseRootFromParent_Done,
     /* 1817303 */   // Label 24641: @1817303
     /* 1817303 */   GIM_Try, /*On fail goto*//*Label 24642*/ GIMT_Encode4(1817389), // Rule ID 12673 //
     /* 1817308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1817319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1817322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1817325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1817331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817354 */     // MIs[0] policy
     /* 1817354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1817367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817388 */     // GIR_Coverage, 12673,
     /* 1817388 */     GIR_EraseRootFromParent_Done,
     /* 1817389 */   // Label 24642: @1817389
     /* 1817389 */   GIM_Try, /*On fail goto*//*Label 24643*/ GIMT_Encode4(1817475), // Rule ID 12676 //
     /* 1817394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1817411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817440 */     // MIs[0] policy
     /* 1817440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817450 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1817453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817474 */     // GIR_Coverage, 12676,
     /* 1817474 */     GIR_EraseRootFromParent_Done,
     /* 1817475 */   // Label 24643: @1817475
     /* 1817475 */   GIM_Try, /*On fail goto*//*Label 24644*/ GIMT_Encode4(1817561), // Rule ID 12677 //
     /* 1817480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1817491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1817494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1817497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1817503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1817510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817526 */     // MIs[0] policy
     /* 1817526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11658:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1817539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817560 */     // GIR_Coverage, 12677,
     /* 1817560 */     GIR_EraseRootFromParent_Done,
     /* 1817561 */   // Label 24644: @1817561
     /* 1817561 */   GIM_Try, /*On fail goto*//*Label 24645*/ GIMT_Encode4(1817647), // Rule ID 12680 //
     /* 1817566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1817577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1817580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1817583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817612 */     // MIs[0] policy
     /* 1817612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1817625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817646 */     // GIR_Coverage, 12680,
     /* 1817646 */     GIR_EraseRootFromParent_Done,
     /* 1817647 */   // Label 24645: @1817647
     /* 1817647 */   GIM_Try, /*On fail goto*//*Label 24646*/ GIMT_Encode4(1817733), // Rule ID 12681 //
     /* 1817652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1817663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1817666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1817669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1817675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1817682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1817690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817698 */     // MIs[0] policy
     /* 1817698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1817711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817732 */     // GIR_Coverage, 12681,
     /* 1817732 */     GIR_EraseRootFromParent_Done,
     /* 1817733 */   // Label 24646: @1817733
     /* 1817733 */   GIM_Try, /*On fail goto*//*Label 24647*/ GIMT_Encode4(1817819), // Rule ID 12684 //
     /* 1817738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1817749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1817752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817784 */     // MIs[0] policy
     /* 1817784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1817797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817818 */     // GIR_Coverage, 12684,
     /* 1817818 */     GIR_EraseRootFromParent_Done,
     /* 1817819 */   // Label 24647: @1817819
     /* 1817819 */   GIM_Try, /*On fail goto*//*Label 24648*/ GIMT_Encode4(1817905), // Rule ID 12685 //
     /* 1817824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1817835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1817838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1817841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1817844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1817847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1817850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1817854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1817862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817870 */     // MIs[0] policy
     /* 1817870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1817880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1817883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817904 */     // GIR_Coverage, 12685,
     /* 1817904 */     GIR_EraseRootFromParent_Done,
     /* 1817905 */   // Label 24648: @1817905
     /* 1817905 */   GIM_Try, /*On fail goto*//*Label 24649*/ GIMT_Encode4(1817991), // Rule ID 12688 //
     /* 1817910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1817913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1817918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1817921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1817924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1817927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1817930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1817933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1817936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1817940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1817944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1817948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1817952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1817956 */     // MIs[0] policy
     /* 1817956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1817959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1817966 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1817966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1817969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1817971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1817973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1817975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1817977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1817979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1817984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1817987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1817989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1817990 */     // GIR_Coverage, 12688,
     /* 1817990 */     GIR_EraseRootFromParent_Done,
     /* 1817991 */   // Label 24649: @1817991
     /* 1817991 */   GIM_Try, /*On fail goto*//*Label 24650*/ GIMT_Encode4(1818077), // Rule ID 12689 //
     /* 1817996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1817999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1818007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1818010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1818013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1818019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818042 */     // MIs[0] policy
     /* 1818042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1818055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1818073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818076 */     // GIR_Coverage, 12689,
     /* 1818076 */     GIR_EraseRootFromParent_Done,
     /* 1818077 */   // Label 24650: @1818077
     /* 1818077 */   GIM_Try, /*On fail goto*//*Label 24651*/ GIMT_Encode4(1818163), // Rule ID 12692 //
     /* 1818082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1818093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1818096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1818099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818128 */     // MIs[0] policy
     /* 1818128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1818141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818162 */     // GIR_Coverage, 12692,
     /* 1818162 */     GIR_EraseRootFromParent_Done,
     /* 1818163 */   // Label 24651: @1818163
     /* 1818163 */   GIM_Try, /*On fail goto*//*Label 24652*/ GIMT_Encode4(1818249), // Rule ID 12693 //
     /* 1818168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1818179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1818182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1818185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818214 */     // MIs[0] policy
     /* 1818214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF4_MASK),
     /* 1818227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818248 */     // GIR_Coverage, 12693,
     /* 1818248 */     GIR_EraseRootFromParent_Done,
     /* 1818249 */   // Label 24652: @1818249
     /* 1818249 */   GIM_Try, /*On fail goto*//*Label 24653*/ GIMT_Encode4(1818335), // Rule ID 12696 //
     /* 1818254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1818265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1818268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1818271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818300 */     // MIs[0] policy
     /* 1818300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1818313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818334 */     // GIR_Coverage, 12696,
     /* 1818334 */     GIR_EraseRootFromParent_Done,
     /* 1818335 */   // Label 24653: @1818335
     /* 1818335 */   GIM_Try, /*On fail goto*//*Label 24654*/ GIMT_Encode4(1818421), // Rule ID 12697 //
     /* 1818340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1818351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1818354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1818357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1818363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818386 */     // MIs[0] policy
     /* 1818386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11658:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1818399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818420 */     // GIR_Coverage, 12697,
     /* 1818420 */     GIR_EraseRootFromParent_Done,
     /* 1818421 */   // Label 24654: @1818421
     /* 1818421 */   GIM_Try, /*On fail goto*//*Label 24655*/ GIMT_Encode4(1818507), // Rule ID 12700 //
     /* 1818426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1818443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818472 */     // MIs[0] policy
     /* 1818472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818482 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1818485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818506 */     // GIR_Coverage, 12700,
     /* 1818506 */     GIR_EraseRootFromParent_Done,
     /* 1818507 */   // Label 24655: @1818507
     /* 1818507 */   GIM_Try, /*On fail goto*//*Label 24656*/ GIMT_Encode4(1818593), // Rule ID 12701 //
     /* 1818512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1818523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1818526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1818529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1818535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1818542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818558 */     // MIs[0] policy
     /* 1818558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1818571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818592 */     // GIR_Coverage, 12701,
     /* 1818592 */     GIR_EraseRootFromParent_Done,
     /* 1818593 */   // Label 24656: @1818593
     /* 1818593 */   GIM_Try, /*On fail goto*//*Label 24657*/ GIMT_Encode4(1818679), // Rule ID 12704 //
     /* 1818598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818644 */     // MIs[0] policy
     /* 1818644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1818657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818678 */     // GIR_Coverage, 12704,
     /* 1818678 */     GIR_EraseRootFromParent_Done,
     /* 1818679 */   // Label 24657: @1818679
     /* 1818679 */   GIM_Try, /*On fail goto*//*Label 24658*/ GIMT_Encode4(1818765), // Rule ID 12705 //
     /* 1818684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1818695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1818698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1818701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1818707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1818714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1818722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818730 */     // MIs[0] policy
     /* 1818730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1818743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818764 */     // GIR_Coverage, 12705,
     /* 1818764 */     GIR_EraseRootFromParent_Done,
     /* 1818765 */   // Label 24658: @1818765
     /* 1818765 */   GIM_Try, /*On fail goto*//*Label 24659*/ GIMT_Encode4(1818851), // Rule ID 12708 //
     /* 1818770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1818773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818816 */     // MIs[0] policy
     /* 1818816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1818829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818850 */     // GIR_Coverage, 12708,
     /* 1818850 */     GIR_EraseRootFromParent_Done,
     /* 1818851 */   // Label 24659: @1818851
     /* 1818851 */   GIM_Try, /*On fail goto*//*Label 24660*/ GIMT_Encode4(1818937), // Rule ID 12709 //
     /* 1818856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1818859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1818867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1818870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1818873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1818876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1818879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1818882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1818886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1818890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1818894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818902 */     // MIs[0] policy
     /* 1818902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1818912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1818915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1818917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1818919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1818921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1818923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1818925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1818930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1818933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1818935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1818936 */     // GIR_Coverage, 12709,
     /* 1818936 */     GIR_EraseRootFromParent_Done,
     /* 1818937 */   // Label 24660: @1818937
     /* 1818937 */   GIM_Try, /*On fail goto*//*Label 24661*/ GIMT_Encode4(1819023), // Rule ID 12712 //
     /* 1818942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1818945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1818950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1818953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1818956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1818959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1818962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1818965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1818968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1818972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1818980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1818984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1818988 */     // MIs[0] policy
     /* 1818988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1818991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1818998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1818998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1819001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819022 */     // GIR_Coverage, 12712,
     /* 1819022 */     GIR_EraseRootFromParent_Done,
     /* 1819023 */   // Label 24661: @1819023
     /* 1819023 */   GIM_Try, /*On fail goto*//*Label 24662*/ GIMT_Encode4(1819109), // Rule ID 12713 //
     /* 1819028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1819031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1819036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1819039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1819042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1819045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819074 */     // MIs[0] policy
     /* 1819074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11658:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_MF2_MASK),
     /* 1819087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819108 */     // GIR_Coverage, 12713,
     /* 1819108 */     GIR_EraseRootFromParent_Done,
     /* 1819109 */   // Label 24662: @1819109
     /* 1819109 */   GIM_Try, /*On fail goto*//*Label 24663*/ GIMT_Encode4(1819195), // Rule ID 12716 //
     /* 1819114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1819117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1819122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1819131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1819134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819160 */     // MIs[0] policy
     /* 1819160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819170 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1819173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819194 */     // GIR_Coverage, 12716,
     /* 1819194 */     GIR_EraseRootFromParent_Done,
     /* 1819195 */   // Label 24663: @1819195
     /* 1819195 */   GIM_Try, /*On fail goto*//*Label 24664*/ GIMT_Encode4(1819281), // Rule ID 12717 //
     /* 1819200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1819203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1819208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1819211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1819214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1819217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1819230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819246 */     // MIs[0] policy
     /* 1819246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11658:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M1_MASK),
     /* 1819259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819280 */     // GIR_Coverage, 12717,
     /* 1819280 */     GIR_EraseRootFromParent_Done,
     /* 1819281 */   // Label 24664: @1819281
     /* 1819281 */   GIM_Try, /*On fail goto*//*Label 24665*/ GIMT_Encode4(1819367), // Rule ID 12720 //
     /* 1819286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1819289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1819294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1819303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1819306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819332 */     // MIs[0] policy
     /* 1819332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1819345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819366 */     // GIR_Coverage, 12720,
     /* 1819366 */     GIR_EraseRootFromParent_Done,
     /* 1819367 */   // Label 24665: @1819367
     /* 1819367 */   GIM_Try, /*On fail goto*//*Label 24666*/ GIMT_Encode4(1819453), // Rule ID 12721 //
     /* 1819372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1819375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1819380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1819383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1819386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1819389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1819402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1819410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819418 */     // MIs[0] policy
     /* 1819418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11658:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M2_MASK),
     /* 1819431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819452 */     // GIR_Coverage, 12721,
     /* 1819452 */     GIR_EraseRootFromParent_Done,
     /* 1819453 */   // Label 24666: @1819453
     /* 1819453 */   GIM_Try, /*On fail goto*//*Label 24667*/ GIMT_Encode4(1819539), // Rule ID 12724 //
     /* 1819458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1819461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1819466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1819475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1819478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819504 */     // MIs[0] policy
     /* 1819504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1819517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819538 */     // GIR_Coverage, 12724,
     /* 1819538 */     GIR_EraseRootFromParent_Done,
     /* 1819539 */   // Label 24667: @1819539
     /* 1819539 */   GIM_Try, /*On fail goto*//*Label 24668*/ GIMT_Encode4(1819625), // Rule ID 12725 //
     /* 1819544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1819547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmulsu_mask),
     /* 1819552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1819555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1819558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1819561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1819564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1819567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1819574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1819578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1819582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1819586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819590 */     // MIs[0] policy
     /* 1819590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11658:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMULSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMULSU_VX_M4_MASK),
     /* 1819603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1819607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1819621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819624 */     // GIR_Coverage, 12725,
     /* 1819624 */     GIR_EraseRootFromParent_Done,
     /* 1819625 */   // Label 24668: @1819625
     /* 1819625 */   GIM_Try, /*On fail goto*//*Label 24669*/ GIMT_Encode4(1819711), // Rule ID 12728 //
     /* 1819630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1819647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1819650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819676 */     // MIs[0] policy
     /* 1819676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819686 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1819689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819710 */     // GIR_Coverage, 12728,
     /* 1819710 */     GIR_EraseRootFromParent_Done,
     /* 1819711 */   // Label 24669: @1819711
     /* 1819711 */   GIM_Try, /*On fail goto*//*Label 24670*/ GIMT_Encode4(1819797), // Rule ID 12729 //
     /* 1819716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1819727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1819730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1819733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1819736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1819739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819762 */     // MIs[0] policy
     /* 1819762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1819775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819796 */     // GIR_Coverage, 12729,
     /* 1819796 */     GIR_EraseRootFromParent_Done,
     /* 1819797 */   // Label 24670: @1819797
     /* 1819797 */   GIM_Try, /*On fail goto*//*Label 24671*/ GIMT_Encode4(1819883), // Rule ID 12732 //
     /* 1819802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1819819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1819828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819848 */     // MIs[0] policy
     /* 1819848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819858 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1819858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1819861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819882 */     // GIR_Coverage, 12732,
     /* 1819882 */     GIR_EraseRootFromParent_Done,
     /* 1819883 */   // Label 24671: @1819883
     /* 1819883 */   GIM_Try, /*On fail goto*//*Label 24672*/ GIMT_Encode4(1819969), // Rule ID 12733 //
     /* 1819888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1819891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1819899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1819902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1819905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1819908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1819911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1819914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1819918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1819930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1819934 */     // MIs[0] policy
     /* 1819934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1819937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1819944 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1819944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1819947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1819949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1819951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1819953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1819955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1819957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1819962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1819965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1819967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1819968 */     // GIR_Coverage, 12733,
     /* 1819968 */     GIR_EraseRootFromParent_Done,
     /* 1819969 */   // Label 24672: @1819969
     /* 1819969 */   GIM_Try, /*On fail goto*//*Label 24673*/ GIMT_Encode4(1820055), // Rule ID 12736 //
     /* 1819974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1819977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1819982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1819985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1819988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1819991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1819994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1819997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820020 */     // MIs[0] policy
     /* 1820020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820030 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1820033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820054 */     // GIR_Coverage, 12736,
     /* 1820054 */     GIR_EraseRootFromParent_Done,
     /* 1820055 */   // Label 24673: @1820055
     /* 1820055 */   GIM_Try, /*On fail goto*//*Label 24674*/ GIMT_Encode4(1820141), // Rule ID 12737 //
     /* 1820060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1820071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1820074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1820077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1820080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820106 */     // MIs[0] policy
     /* 1820106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820116 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF4_MASK),
     /* 1820119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820140 */     // GIR_Coverage, 12737,
     /* 1820140 */     GIR_EraseRootFromParent_Done,
     /* 1820141 */   // Label 24674: @1820141
     /* 1820141 */   GIM_Try, /*On fail goto*//*Label 24675*/ GIMT_Encode4(1820227), // Rule ID 12740 //
     /* 1820146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1820163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820192 */     // MIs[0] policy
     /* 1820192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820202 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1820205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820226 */     // GIR_Coverage, 12740,
     /* 1820226 */     GIR_EraseRootFromParent_Done,
     /* 1820227 */   // Label 24675: @1820227
     /* 1820227 */   GIM_Try, /*On fail goto*//*Label 24676*/ GIMT_Encode4(1820313), // Rule ID 12741 //
     /* 1820232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1820243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1820246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1820249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1820252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820278 */     // MIs[0] policy
     /* 1820278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820288 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1820291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820312 */     // GIR_Coverage, 12741,
     /* 1820312 */     GIR_EraseRootFromParent_Done,
     /* 1820313 */   // Label 24676: @1820313
     /* 1820313 */   GIM_Try, /*On fail goto*//*Label 24677*/ GIMT_Encode4(1820399), // Rule ID 12744 //
     /* 1820318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1820335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820364 */     // MIs[0] policy
     /* 1820364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820374 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1820377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820398 */     // GIR_Coverage, 12744,
     /* 1820398 */     GIR_EraseRootFromParent_Done,
     /* 1820399 */   // Label 24677: @1820399
     /* 1820399 */   GIM_Try, /*On fail goto*//*Label 24678*/ GIMT_Encode4(1820485), // Rule ID 12745 //
     /* 1820404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1820415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1820418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1820421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1820424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1820427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820450 */     // MIs[0] policy
     /* 1820450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820460 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_MF2_MASK),
     /* 1820463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820484 */     // GIR_Coverage, 12745,
     /* 1820484 */     GIR_EraseRootFromParent_Done,
     /* 1820485 */   // Label 24678: @1820485
     /* 1820485 */   GIM_Try, /*On fail goto*//*Label 24679*/ GIMT_Encode4(1820571), // Rule ID 12748 //
     /* 1820490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1820507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820536 */     // MIs[0] policy
     /* 1820536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820546 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1820549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820570 */     // GIR_Coverage, 12748,
     /* 1820570 */     GIR_EraseRootFromParent_Done,
     /* 1820571 */   // Label 24679: @1820571
     /* 1820571 */   GIM_Try, /*On fail goto*//*Label 24680*/ GIMT_Encode4(1820657), // Rule ID 12749 //
     /* 1820576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1820587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1820590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1820593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1820596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1820599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820622 */     // MIs[0] policy
     /* 1820622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820632 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1820635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1820653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820656 */     // GIR_Coverage, 12749,
     /* 1820656 */     GIR_EraseRootFromParent_Done,
     /* 1820657 */   // Label 24680: @1820657
     /* 1820657 */   GIM_Try, /*On fail goto*//*Label 24681*/ GIMT_Encode4(1820743), // Rule ID 12752 //
     /* 1820662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1820679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1820682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820708 */     // MIs[0] policy
     /* 1820708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820718 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1820721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820742 */     // GIR_Coverage, 12752,
     /* 1820742 */     GIR_EraseRootFromParent_Done,
     /* 1820743 */   // Label 24681: @1820743
     /* 1820743 */   GIM_Try, /*On fail goto*//*Label 24682*/ GIMT_Encode4(1820829), // Rule ID 12753 //
     /* 1820748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1820759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1820762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1820765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1820768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1820771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820794 */     // MIs[0] policy
     /* 1820794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820804 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1820807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1820825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820828 */     // GIR_Coverage, 12753,
     /* 1820828 */     GIR_EraseRootFromParent_Done,
     /* 1820829 */   // Label 24682: @1820829
     /* 1820829 */   GIM_Try, /*On fail goto*//*Label 24683*/ GIMT_Encode4(1820915), // Rule ID 12756 //
     /* 1820834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1820837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1820851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1820860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820880 */     // MIs[0] policy
     /* 1820880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1820890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1820893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1820914 */     // GIR_Coverage, 12756,
     /* 1820914 */     GIR_EraseRootFromParent_Done,
     /* 1820915 */   // Label 24683: @1820915
     /* 1820915 */   GIM_Try, /*On fail goto*//*Label 24684*/ GIMT_Encode4(1821001), // Rule ID 12757 //
     /* 1820920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1820923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1820928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1820931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1820934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1820937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1820940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1820943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1820946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1820950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1820962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1820966 */     // MIs[0] policy
     /* 1820966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1820969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1820976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1820976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1820979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1820981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1820983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1820985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1820987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1820989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1820994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1820997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1820999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821000 */     // GIR_Coverage, 12757,
     /* 1821000 */     GIR_EraseRootFromParent_Done,
     /* 1821001 */   // Label 24684: @1821001
     /* 1821001 */   GIM_Try, /*On fail goto*//*Label 24685*/ GIMT_Encode4(1821087), // Rule ID 12760 //
     /* 1821006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1821009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1821023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821052 */     // MIs[0] policy
     /* 1821052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821062 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1821065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821086 */     // GIR_Coverage, 12760,
     /* 1821086 */     GIR_EraseRootFromParent_Done,
     /* 1821087 */   // Label 24685: @1821087
     /* 1821087 */   GIM_Try, /*On fail goto*//*Label 24686*/ GIMT_Encode4(1821173), // Rule ID 12761 //
     /* 1821092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1821095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1821103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1821106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1821109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1821112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1821115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1821122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1821134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821138 */     // MIs[0] policy
     /* 1821138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821148 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M1_MASK),
     /* 1821151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1821169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821172 */     // GIR_Coverage, 12761,
     /* 1821172 */     GIR_EraseRootFromParent_Done,
     /* 1821173 */   // Label 24686: @1821173
     /* 1821173 */   GIM_Try, /*On fail goto*//*Label 24687*/ GIMT_Encode4(1821259), // Rule ID 12764 //
     /* 1821178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1821195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821224 */     // MIs[0] policy
     /* 1821224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821234 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1821237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821258 */     // GIR_Coverage, 12764,
     /* 1821258 */     GIR_EraseRootFromParent_Done,
     /* 1821259 */   // Label 24687: @1821259
     /* 1821259 */   GIM_Try, /*On fail goto*//*Label 24688*/ GIMT_Encode4(1821345), // Rule ID 12765 //
     /* 1821264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1821275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1821278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1821281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1821284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821310 */     // MIs[0] policy
     /* 1821310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821320 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1821323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821344 */     // GIR_Coverage, 12765,
     /* 1821344 */     GIR_EraseRootFromParent_Done,
     /* 1821345 */   // Label 24688: @1821345
     /* 1821345 */   GIM_Try, /*On fail goto*//*Label 24689*/ GIMT_Encode4(1821431), // Rule ID 12768 //
     /* 1821350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1821367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821396 */     // MIs[0] policy
     /* 1821396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821406 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1821409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821430 */     // GIR_Coverage, 12768,
     /* 1821430 */     GIR_EraseRootFromParent_Done,
     /* 1821431 */   // Label 24689: @1821431
     /* 1821431 */   GIM_Try, /*On fail goto*//*Label 24690*/ GIMT_Encode4(1821517), // Rule ID 12769 //
     /* 1821436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1821447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1821450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1821453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1821456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1821459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821482 */     // MIs[0] policy
     /* 1821482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821492 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1821495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821516 */     // GIR_Coverage, 12769,
     /* 1821516 */     GIR_EraseRootFromParent_Done,
     /* 1821517 */   // Label 24690: @1821517
     /* 1821517 */   GIM_Try, /*On fail goto*//*Label 24691*/ GIMT_Encode4(1821603), // Rule ID 12772 //
     /* 1821522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1821539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821568 */     // MIs[0] policy
     /* 1821568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821578 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1821581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821602 */     // GIR_Coverage, 12772,
     /* 1821602 */     GIR_EraseRootFromParent_Done,
     /* 1821603 */   // Label 24691: @1821603
     /* 1821603 */   GIM_Try, /*On fail goto*//*Label 24692*/ GIMT_Encode4(1821689), // Rule ID 12773 //
     /* 1821608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1821619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1821622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1821625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1821628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1821631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1821638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1821650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821654 */     // MIs[0] policy
     /* 1821654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821664 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1821667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1821685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821688 */     // GIR_Coverage, 12773,
     /* 1821688 */     GIR_EraseRootFromParent_Done,
     /* 1821689 */   // Label 24692: @1821689
     /* 1821689 */   GIM_Try, /*On fail goto*//*Label 24693*/ GIMT_Encode4(1821775), // Rule ID 12776 //
     /* 1821694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1821711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1821714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821740 */     // MIs[0] policy
     /* 1821740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821750 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1821753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821774 */     // GIR_Coverage, 12776,
     /* 1821774 */     GIR_EraseRootFromParent_Done,
     /* 1821775 */   // Label 24693: @1821775
     /* 1821775 */   GIM_Try, /*On fail goto*//*Label 24694*/ GIMT_Encode4(1821861), // Rule ID 12777 //
     /* 1821780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1821791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1821794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1821797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1821800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1821803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1821810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1821822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821826 */     // MIs[0] policy
     /* 1821826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821836 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1821836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1821839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821860 */     // GIR_Coverage, 12777,
     /* 1821860 */     GIR_EraseRootFromParent_Done,
     /* 1821861 */   // Label 24694: @1821861
     /* 1821861 */   GIM_Try, /*On fail goto*//*Label 24695*/ GIMT_Encode4(1821947), // Rule ID 12780 //
     /* 1821866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1821869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1821883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1821892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821912 */     // MIs[0] policy
     /* 1821912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1821915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1821922 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1821922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1821925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1821927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1821929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1821931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1821933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1821935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1821940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1821943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1821945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1821946 */     // GIR_Coverage, 12780,
     /* 1821946 */     GIR_EraseRootFromParent_Done,
     /* 1821947 */   // Label 24695: @1821947
     /* 1821947 */   GIM_Try, /*On fail goto*//*Label 24696*/ GIMT_Encode4(1822033), // Rule ID 12781 //
     /* 1821952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1821955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1821960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1821963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1821966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1821969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1821972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1821975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1821978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1821982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1821994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1821998 */     // MIs[0] policy
     /* 1821998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822008 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1822011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822032 */     // GIR_Coverage, 12781,
     /* 1822032 */     GIR_EraseRootFromParent_Done,
     /* 1822033 */   // Label 24696: @1822033
     /* 1822033 */   GIM_Try, /*On fail goto*//*Label 24697*/ GIMT_Encode4(1822119), // Rule ID 12784 //
     /* 1822038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1822055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822084 */     // MIs[0] policy
     /* 1822084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822094 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1822097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822118 */     // GIR_Coverage, 12784,
     /* 1822118 */     GIR_EraseRootFromParent_Done,
     /* 1822119 */   // Label 24697: @1822119
     /* 1822119 */   GIM_Try, /*On fail goto*//*Label 24698*/ GIMT_Encode4(1822205), // Rule ID 12785 //
     /* 1822124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1822135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1822138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1822141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1822144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1822147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822170 */     // MIs[0] policy
     /* 1822170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1822183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1822201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822204 */     // GIR_Coverage, 12785,
     /* 1822204 */     GIR_EraseRootFromParent_Done,
     /* 1822205 */   // Label 24698: @1822205
     /* 1822205 */   GIM_Try, /*On fail goto*//*Label 24699*/ GIMT_Encode4(1822291), // Rule ID 12788 //
     /* 1822210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1822227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822256 */     // MIs[0] policy
     /* 1822256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822266 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1822269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822290 */     // GIR_Coverage, 12788,
     /* 1822290 */     GIR_EraseRootFromParent_Done,
     /* 1822291 */   // Label 24699: @1822291
     /* 1822291 */   GIM_Try, /*On fail goto*//*Label 24700*/ GIMT_Encode4(1822377), // Rule ID 12789 //
     /* 1822296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1822307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1822310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1822313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1822316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822342 */     // MIs[0] policy
     /* 1822342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822352 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1822355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822376 */     // GIR_Coverage, 12789,
     /* 1822376 */     GIR_EraseRootFromParent_Done,
     /* 1822377 */   // Label 24700: @1822377
     /* 1822377 */   GIM_Try, /*On fail goto*//*Label 24701*/ GIMT_Encode4(1822463), // Rule ID 12792 //
     /* 1822382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1822399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822428 */     // MIs[0] policy
     /* 1822428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822438 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1822441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822462 */     // GIR_Coverage, 12792,
     /* 1822462 */     GIR_EraseRootFromParent_Done,
     /* 1822463 */   // Label 24701: @1822463
     /* 1822463 */   GIM_Try, /*On fail goto*//*Label 24702*/ GIMT_Encode4(1822549), // Rule ID 12793 //
     /* 1822468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1822479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1822482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1822485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1822488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1822491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822514 */     // MIs[0] policy
     /* 1822514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822524 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1822527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822548 */     // GIR_Coverage, 12793,
     /* 1822548 */     GIR_EraseRootFromParent_Done,
     /* 1822549 */   // Label 24702: @1822549
     /* 1822549 */   GIM_Try, /*On fail goto*//*Label 24703*/ GIMT_Encode4(1822635), // Rule ID 12796 //
     /* 1822554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1822557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1822571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1822574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822600 */     // MIs[0] policy
     /* 1822600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822610 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1822613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822634 */     // GIR_Coverage, 12796,
     /* 1822634 */     GIR_EraseRootFromParent_Done,
     /* 1822635 */   // Label 24703: @1822635
     /* 1822635 */   GIM_Try, /*On fail goto*//*Label 24704*/ GIMT_Encode4(1822721), // Rule ID 12797 //
     /* 1822640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1822643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1822651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1822654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1822657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1822660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1822663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1822670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1822682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822686 */     // MIs[0] policy
     /* 1822686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822696 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1822699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1822717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822720 */     // GIR_Coverage, 12797,
     /* 1822720 */     GIR_EraseRootFromParent_Done,
     /* 1822721 */   // Label 24704: @1822721
     /* 1822721 */   GIM_Try, /*On fail goto*//*Label 24705*/ GIMT_Encode4(1822807), // Rule ID 12800 //
     /* 1822726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1822743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1822746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822772 */     // MIs[0] policy
     /* 1822772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822782 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1822785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822806 */     // GIR_Coverage, 12800,
     /* 1822806 */     GIR_EraseRootFromParent_Done,
     /* 1822807 */   // Label 24705: @1822807
     /* 1822807 */   GIM_Try, /*On fail goto*//*Label 24706*/ GIMT_Encode4(1822893), // Rule ID 12801 //
     /* 1822812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1822823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1822826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1822829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1822832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1822835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1822838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1822842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1822854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822858 */     // MIs[0] policy
     /* 1822858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822868 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1822868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M2_MASK),
     /* 1822871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822892 */     // GIR_Coverage, 12801,
     /* 1822892 */     GIR_EraseRootFromParent_Done,
     /* 1822893 */   // Label 24706: @1822893
     /* 1822893 */   GIM_Try, /*On fail goto*//*Label 24707*/ GIMT_Encode4(1822979), // Rule ID 12804 //
     /* 1822898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1822901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1822915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1822918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1822921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1822924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1822928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1822940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1822944 */     // MIs[0] policy
     /* 1822944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1822947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1822954 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1822954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1822957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1822959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1822961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1822963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1822965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1822967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1822972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1822975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1822977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1822978 */     // GIR_Coverage, 12804,
     /* 1822978 */     GIR_EraseRootFromParent_Done,
     /* 1822979 */   // Label 24707: @1822979
     /* 1822979 */   GIM_Try, /*On fail goto*//*Label 24708*/ GIMT_Encode4(1823065), // Rule ID 12805 //
     /* 1822984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1822987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1822992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1822995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1822998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1823001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1823004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1823014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1823026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823030 */     // MIs[0] policy
     /* 1823030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823040 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M4_MASK),
     /* 1823043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823064 */     // GIR_Coverage, 12805,
     /* 1823064 */     GIR_EraseRootFromParent_Done,
     /* 1823065 */   // Label 24708: @1823065
     /* 1823065 */   GIM_Try, /*On fail goto*//*Label 24709*/ GIMT_Encode4(1823151), // Rule ID 12808 //
     /* 1823070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1823073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1823087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823116 */     // MIs[0] policy
     /* 1823116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823126 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1823129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823150 */     // GIR_Coverage, 12808,
     /* 1823150 */     GIR_EraseRootFromParent_Done,
     /* 1823151 */   // Label 24709: @1823151
     /* 1823151 */   GIM_Try, /*On fail goto*//*Label 24710*/ GIMT_Encode4(1823237), // Rule ID 12809 //
     /* 1823156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1823159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1823167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1823170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1823173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1823176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1823179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1823186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1823198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823202 */     // MIs[0] policy
     /* 1823202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823212 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VV_M8_MASK),
     /* 1823215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1823233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823236 */     // GIR_Coverage, 12809,
     /* 1823236 */     GIR_EraseRootFromParent_Done,
     /* 1823237 */   // Label 24710: @1823237
     /* 1823237 */   GIM_Try, /*On fail goto*//*Label 24711*/ GIMT_Encode4(1823323), // Rule ID 12812 //
     /* 1823242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823288 */     // MIs[0] policy
     /* 1823288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823298 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1823301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823322 */     // GIR_Coverage, 12812,
     /* 1823322 */     GIR_EraseRootFromParent_Done,
     /* 1823323 */   // Label 24711: @1823323
     /* 1823323 */   GIM_Try, /*On fail goto*//*Label 24712*/ GIMT_Encode4(1823409), // Rule ID 12813 //
     /* 1823328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1823339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1823342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1823348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823374 */     // MIs[0] policy
     /* 1823374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823384 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF8_MASK),
     /* 1823387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823408 */     // GIR_Coverage, 12813,
     /* 1823408 */     GIR_EraseRootFromParent_Done,
     /* 1823409 */   // Label 24712: @1823409
     /* 1823409 */   GIM_Try, /*On fail goto*//*Label 24713*/ GIMT_Encode4(1823495), // Rule ID 12816 //
     /* 1823414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823460 */     // MIs[0] policy
     /* 1823460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823470 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1823473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823494 */     // GIR_Coverage, 12816,
     /* 1823494 */     GIR_EraseRootFromParent_Done,
     /* 1823495 */   // Label 24713: @1823495
     /* 1823495 */   GIM_Try, /*On fail goto*//*Label 24714*/ GIMT_Encode4(1823581), // Rule ID 12817 //
     /* 1823500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1823511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1823514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1823520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823546 */     // MIs[0] policy
     /* 1823546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823556 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1823559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823580 */     // GIR_Coverage, 12817,
     /* 1823580 */     GIR_EraseRootFromParent_Done,
     /* 1823581 */   // Label 24714: @1823581
     /* 1823581 */   GIM_Try, /*On fail goto*//*Label 24715*/ GIMT_Encode4(1823667), // Rule ID 12820 //
     /* 1823586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1823606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823632 */     // MIs[0] policy
     /* 1823632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823642 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1823645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823666 */     // GIR_Coverage, 12820,
     /* 1823666 */     GIR_EraseRootFromParent_Done,
     /* 1823667 */   // Label 24715: @1823667
     /* 1823667 */   GIM_Try, /*On fail goto*//*Label 24716*/ GIMT_Encode4(1823753), // Rule ID 12821 //
     /* 1823672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1823683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1823686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1823692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1823695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823718 */     // MIs[0] policy
     /* 1823718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823728 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1823731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1823749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823752 */     // GIR_Coverage, 12821,
     /* 1823752 */     GIR_EraseRootFromParent_Done,
     /* 1823753 */   // Label 24716: @1823753
     /* 1823753 */   GIM_Try, /*On fail goto*//*Label 24717*/ GIMT_Encode4(1823839), // Rule ID 12824 //
     /* 1823758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823804 */     // MIs[0] policy
     /* 1823804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823814 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1823817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823838 */     // GIR_Coverage, 12824,
     /* 1823838 */     GIR_EraseRootFromParent_Done,
     /* 1823839 */   // Label 24717: @1823839
     /* 1823839 */   GIM_Try, /*On fail goto*//*Label 24718*/ GIMT_Encode4(1823925), // Rule ID 12825 //
     /* 1823844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1823847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1823855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1823858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1823861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1823864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1823867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1823870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823890 */     // MIs[0] policy
     /* 1823890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823900 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1823900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF4_MASK),
     /* 1823903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1823918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1823921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1823923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1823924 */     // GIR_Coverage, 12825,
     /* 1823924 */     GIR_EraseRootFromParent_Done,
     /* 1823925 */   // Label 24718: @1823925
     /* 1823925 */   GIM_Try, /*On fail goto*//*Label 24719*/ GIMT_Encode4(1824011), // Rule ID 12828 //
     /* 1823930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1823933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1823938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1823941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1823944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1823947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1823950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1823953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1823956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1823960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1823968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1823972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1823976 */     // MIs[0] policy
     /* 1823976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1823979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1823986 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1823986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1823989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1823991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1823993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1823995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1823997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1823999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824010 */     // GIR_Coverage, 12828,
     /* 1824010 */     GIR_EraseRootFromParent_Done,
     /* 1824011 */   // Label 24719: @1824011
     /* 1824011 */   GIM_Try, /*On fail goto*//*Label 24720*/ GIMT_Encode4(1824097), // Rule ID 12829 //
     /* 1824016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1824027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1824030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1824036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824062 */     // MIs[0] policy
     /* 1824062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824072 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1824075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824096 */     // GIR_Coverage, 12829,
     /* 1824096 */     GIR_EraseRootFromParent_Done,
     /* 1824097 */   // Label 24720: @1824097
     /* 1824097 */   GIM_Try, /*On fail goto*//*Label 24721*/ GIMT_Encode4(1824183), // Rule ID 12832 //
     /* 1824102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824148 */     // MIs[0] policy
     /* 1824148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824158 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1824161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824182 */     // GIR_Coverage, 12832,
     /* 1824182 */     GIR_EraseRootFromParent_Done,
     /* 1824183 */   // Label 24721: @1824183
     /* 1824183 */   GIM_Try, /*On fail goto*//*Label 24722*/ GIMT_Encode4(1824269), // Rule ID 12833 //
     /* 1824188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1824199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1824202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1824208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824234 */     // MIs[0] policy
     /* 1824234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824244 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_MF2_MASK),
     /* 1824247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824268 */     // GIR_Coverage, 12833,
     /* 1824268 */     GIR_EraseRootFromParent_Done,
     /* 1824269 */   // Label 24722: @1824269
     /* 1824269 */   GIM_Try, /*On fail goto*//*Label 24723*/ GIMT_Encode4(1824355), // Rule ID 12836 //
     /* 1824274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824320 */     // MIs[0] policy
     /* 1824320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824330 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1824333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824354 */     // GIR_Coverage, 12836,
     /* 1824354 */     GIR_EraseRootFromParent_Done,
     /* 1824355 */   // Label 24723: @1824355
     /* 1824355 */   GIM_Try, /*On fail goto*//*Label 24724*/ GIMT_Encode4(1824441), // Rule ID 12837 //
     /* 1824360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1824371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1824374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1824380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1824383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824406 */     // MIs[0] policy
     /* 1824406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824416 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11411:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1824419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1824437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824440 */     // GIR_Coverage, 12837,
     /* 1824440 */     GIR_EraseRootFromParent_Done,
     /* 1824441 */   // Label 24724: @1824441
     /* 1824441 */   GIM_Try, /*On fail goto*//*Label 24725*/ GIMT_Encode4(1824527), // Rule ID 12840 //
     /* 1824446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824492 */     // MIs[0] policy
     /* 1824492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824502 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1824505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824526 */     // GIR_Coverage, 12840,
     /* 1824526 */     GIR_EraseRootFromParent_Done,
     /* 1824527 */   // Label 24725: @1824527
     /* 1824527 */   GIM_Try, /*On fail goto*//*Label 24726*/ GIMT_Encode4(1824613), // Rule ID 12841 //
     /* 1824532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1824543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1824546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1824552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1824555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824578 */     // MIs[0] policy
     /* 1824578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11411:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1824591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1824609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824612 */     // GIR_Coverage, 12841,
     /* 1824612 */     GIR_EraseRootFromParent_Done,
     /* 1824613 */   // Label 24726: @1824613
     /* 1824613 */   GIM_Try, /*On fail goto*//*Label 24727*/ GIMT_Encode4(1824699), // Rule ID 12844 //
     /* 1824618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1824638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824664 */     // MIs[0] policy
     /* 1824664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824674 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1824677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824698 */     // GIR_Coverage, 12844,
     /* 1824698 */     GIR_EraseRootFromParent_Done,
     /* 1824699 */   // Label 24727: @1824699
     /* 1824699 */   GIM_Try, /*On fail goto*//*Label 24728*/ GIMT_Encode4(1824785), // Rule ID 12845 //
     /* 1824704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1824707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1824715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1824718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1824724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1824727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824750 */     // MIs[0] policy
     /* 1824750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824760 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11411:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1824763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1824781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824784 */     // GIR_Coverage, 12845,
     /* 1824784 */     GIR_EraseRootFromParent_Done,
     /* 1824785 */   // Label 24728: @1824785
     /* 1824785 */   GIM_Try, /*On fail goto*//*Label 24729*/ GIMT_Encode4(1824871), // Rule ID 12848 //
     /* 1824790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1824793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824836 */     // MIs[0] policy
     /* 1824836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1824846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1824849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824870 */     // GIR_Coverage, 12848,
     /* 1824870 */     GIR_EraseRootFromParent_Done,
     /* 1824871 */   // Label 24729: @1824871
     /* 1824871 */   GIM_Try, /*On fail goto*//*Label 24730*/ GIMT_Encode4(1824957), // Rule ID 12849 //
     /* 1824876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1824879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1824887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1824890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1824893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1824896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1824899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1824902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1824906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1824914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1824918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1824922 */     // MIs[0] policy
     /* 1824922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1824925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1824932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11411:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1824932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M1_MASK),
     /* 1824935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1824937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1824939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1824941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1824943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1824945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1824950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1824953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1824955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1824956 */     // GIR_Coverage, 12849,
     /* 1824956 */     GIR_EraseRootFromParent_Done,
     /* 1824957 */   // Label 24730: @1824957
     /* 1824957 */   GIM_Try, /*On fail goto*//*Label 24731*/ GIMT_Encode4(1825043), // Rule ID 12852 //
     /* 1824962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1824965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1824970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1824973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1824976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1824979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1824982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1824985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1824988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1824992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1824996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825008 */     // MIs[0] policy
     /* 1825008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825018 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1825021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825042 */     // GIR_Coverage, 12852,
     /* 1825042 */     GIR_EraseRootFromParent_Done,
     /* 1825043 */   // Label 24731: @1825043
     /* 1825043 */   GIM_Try, /*On fail goto*//*Label 24732*/ GIMT_Encode4(1825129), // Rule ID 12853 //
     /* 1825048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1825059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1825062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1825068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825094 */     // MIs[0] policy
     /* 1825094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825104 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1825107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825128 */     // GIR_Coverage, 12853,
     /* 1825128 */     GIR_EraseRootFromParent_Done,
     /* 1825129 */   // Label 24732: @1825129
     /* 1825129 */   GIM_Try, /*On fail goto*//*Label 24733*/ GIMT_Encode4(1825215), // Rule ID 12856 //
     /* 1825134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825180 */     // MIs[0] policy
     /* 1825180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825190 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1825193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825214 */     // GIR_Coverage, 12856,
     /* 1825214 */     GIR_EraseRootFromParent_Done,
     /* 1825215 */   // Label 24733: @1825215
     /* 1825215 */   GIM_Try, /*On fail goto*//*Label 24734*/ GIMT_Encode4(1825301), // Rule ID 12857 //
     /* 1825220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1825231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1825234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1825240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825266 */     // MIs[0] policy
     /* 1825266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825276 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1825279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825300 */     // GIR_Coverage, 12857,
     /* 1825300 */     GIR_EraseRootFromParent_Done,
     /* 1825301 */   // Label 24734: @1825301
     /* 1825301 */   GIM_Try, /*On fail goto*//*Label 24735*/ GIMT_Encode4(1825387), // Rule ID 12860 //
     /* 1825306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825352 */     // MIs[0] policy
     /* 1825352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825362 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1825365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825386 */     // GIR_Coverage, 12860,
     /* 1825386 */     GIR_EraseRootFromParent_Done,
     /* 1825387 */   // Label 24735: @1825387
     /* 1825387 */   GIM_Try, /*On fail goto*//*Label 24736*/ GIMT_Encode4(1825473), // Rule ID 12861 //
     /* 1825392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1825403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1825406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1825412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1825415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825438 */     // MIs[0] policy
     /* 1825438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825448 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1825451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1825469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825472 */     // GIR_Coverage, 12861,
     /* 1825472 */     GIR_EraseRootFromParent_Done,
     /* 1825473 */   // Label 24736: @1825473
     /* 1825473 */   GIM_Try, /*On fail goto*//*Label 24737*/ GIMT_Encode4(1825559), // Rule ID 12864 //
     /* 1825478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825524 */     // MIs[0] policy
     /* 1825524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825534 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1825537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825558 */     // GIR_Coverage, 12864,
     /* 1825558 */     GIR_EraseRootFromParent_Done,
     /* 1825559 */   // Label 24737: @1825559
     /* 1825559 */   GIM_Try, /*On fail goto*//*Label 24738*/ GIMT_Encode4(1825645), // Rule ID 12865 //
     /* 1825564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1825575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1825578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1825584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1825587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1825594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1825606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825610 */     // MIs[0] policy
     /* 1825610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825620 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1825623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825644 */     // GIR_Coverage, 12865,
     /* 1825644 */     GIR_EraseRootFromParent_Done,
     /* 1825645 */   // Label 24738: @1825645
     /* 1825645 */   GIM_Try, /*On fail goto*//*Label 24739*/ GIMT_Encode4(1825731), // Rule ID 12868 //
     /* 1825650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1825670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825696 */     // MIs[0] policy
     /* 1825696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825706 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1825709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825730 */     // GIR_Coverage, 12868,
     /* 1825730 */     GIR_EraseRootFromParent_Done,
     /* 1825731 */   // Label 24739: @1825731
     /* 1825731 */   GIM_Try, /*On fail goto*//*Label 24740*/ GIMT_Encode4(1825817), // Rule ID 12869 //
     /* 1825736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1825747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1825750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1825756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1825759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1825766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1825778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825782 */     // MIs[0] policy
     /* 1825782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825792 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1825795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825816 */     // GIR_Coverage, 12869,
     /* 1825816 */     GIR_EraseRootFromParent_Done,
     /* 1825817 */   // Label 24740: @1825817
     /* 1825817 */   GIM_Try, /*On fail goto*//*Label 24741*/ GIMT_Encode4(1825903), // Rule ID 12872 //
     /* 1825822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1825839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1825848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825868 */     // MIs[0] policy
     /* 1825868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825878 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1825878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1825881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825902 */     // GIR_Coverage, 12872,
     /* 1825902 */     GIR_EraseRootFromParent_Done,
     /* 1825903 */   // Label 24741: @1825903
     /* 1825903 */   GIM_Try, /*On fail goto*//*Label 24742*/ GIMT_Encode4(1825989), // Rule ID 12873 //
     /* 1825908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1825911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1825916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1825919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1825922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1825925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1825928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1825931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1825934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1825938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1825946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1825950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1825954 */     // MIs[0] policy
     /* 1825954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1825957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1825964 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1825964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1825967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1825969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1825971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1825973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1825975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1825977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1825982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1825985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1825987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1825988 */     // GIR_Coverage, 12873,
     /* 1825988 */     GIR_EraseRootFromParent_Done,
     /* 1825989 */   // Label 24742: @1825989
     /* 1825989 */   GIM_Try, /*On fail goto*//*Label 24743*/ GIMT_Encode4(1826075), // Rule ID 12876 //
     /* 1825994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1825997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826040 */     // MIs[0] policy
     /* 1826040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826050 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1826053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826074 */     // GIR_Coverage, 12876,
     /* 1826074 */     GIR_EraseRootFromParent_Done,
     /* 1826075 */   // Label 24743: @1826075
     /* 1826075 */   GIM_Try, /*On fail goto*//*Label 24744*/ GIMT_Encode4(1826161), // Rule ID 12877 //
     /* 1826080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1826091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1826094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1826100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826126 */     // MIs[0] policy
     /* 1826126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826136 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1826139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826160 */     // GIR_Coverage, 12877,
     /* 1826160 */     GIR_EraseRootFromParent_Done,
     /* 1826161 */   // Label 24744: @1826161
     /* 1826161 */   GIM_Try, /*On fail goto*//*Label 24745*/ GIMT_Encode4(1826247), // Rule ID 12880 //
     /* 1826166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826212 */     // MIs[0] policy
     /* 1826212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826222 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1826225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826246 */     // GIR_Coverage, 12880,
     /* 1826246 */     GIR_EraseRootFromParent_Done,
     /* 1826247 */   // Label 24745: @1826247
     /* 1826247 */   GIM_Try, /*On fail goto*//*Label 24746*/ GIMT_Encode4(1826333), // Rule ID 12881 //
     /* 1826252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1826263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1826266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1826272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826298 */     // MIs[0] policy
     /* 1826298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826308 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1826311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826332 */     // GIR_Coverage, 12881,
     /* 1826332 */     GIR_EraseRootFromParent_Done,
     /* 1826333 */   // Label 24746: @1826333
     /* 1826333 */   GIM_Try, /*On fail goto*//*Label 24747*/ GIMT_Encode4(1826419), // Rule ID 12884 //
     /* 1826338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1826341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826384 */     // MIs[0] policy
     /* 1826384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826394 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1826397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826418 */     // GIR_Coverage, 12884,
     /* 1826418 */     GIR_EraseRootFromParent_Done,
     /* 1826419 */   // Label 24747: @1826419
     /* 1826419 */   GIM_Try, /*On fail goto*//*Label 24748*/ GIMT_Encode4(1826505), // Rule ID 12885 //
     /* 1826424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1826427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1826435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1826438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1826444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1826447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826470 */     // MIs[0] policy
     /* 1826470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826480 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1826483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1826501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826504 */     // GIR_Coverage, 12885,
     /* 1826504 */     GIR_EraseRootFromParent_Done,
     /* 1826505 */   // Label 24748: @1826505
     /* 1826505 */   GIM_Try, /*On fail goto*//*Label 24749*/ GIMT_Encode4(1826591), // Rule ID 12888 //
     /* 1826510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826556 */     // MIs[0] policy
     /* 1826556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1826569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826590 */     // GIR_Coverage, 12888,
     /* 1826590 */     GIR_EraseRootFromParent_Done,
     /* 1826591 */   // Label 24749: @1826591
     /* 1826591 */   GIM_Try, /*On fail goto*//*Label 24750*/ GIMT_Encode4(1826677), // Rule ID 12889 //
     /* 1826596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1826607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1826610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1826616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1826619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1826626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1826638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826642 */     // MIs[0] policy
     /* 1826642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11411:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M2_MASK),
     /* 1826655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826676 */     // GIR_Coverage, 12889,
     /* 1826676 */     GIR_EraseRootFromParent_Done,
     /* 1826677 */   // Label 24750: @1826677
     /* 1826677 */   GIM_Try, /*On fail goto*//*Label 24751*/ GIMT_Encode4(1826763), // Rule ID 12892 //
     /* 1826682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1826702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826728 */     // MIs[0] policy
     /* 1826728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826738 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1826741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826762 */     // GIR_Coverage, 12892,
     /* 1826762 */     GIR_EraseRootFromParent_Done,
     /* 1826763 */   // Label 24751: @1826763
     /* 1826763 */   GIM_Try, /*On fail goto*//*Label 24752*/ GIMT_Encode4(1826849), // Rule ID 12893 //
     /* 1826768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1826779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1826782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1826788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1826791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1826798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1826810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826814 */     // MIs[0] policy
     /* 1826814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11411:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M4_MASK),
     /* 1826827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826848 */     // GIR_Coverage, 12893,
     /* 1826848 */     GIR_EraseRootFromParent_Done,
     /* 1826849 */   // Label 24752: @1826849
     /* 1826849 */   GIM_Try, /*On fail goto*//*Label 24753*/ GIMT_Encode4(1826935), // Rule ID 12896 //
     /* 1826854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1826857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1826871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1826880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826900 */     // MIs[0] policy
     /* 1826900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1826910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1826913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1826915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1826917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1826919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1826921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1826923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1826928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1826931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1826933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1826934 */     // GIR_Coverage, 12896,
     /* 1826934 */     GIR_EraseRootFromParent_Done,
     /* 1826935 */   // Label 24753: @1826935
     /* 1826935 */   GIM_Try, /*On fail goto*//*Label 24754*/ GIMT_Encode4(1827021), // Rule ID 12897 //
     /* 1826940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1826943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmadd_mask),
     /* 1826948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1826951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1826954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1826957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1826960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1826963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1826966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1826970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1826978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1826982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1826986 */     // MIs[0] policy
     /* 1826986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1826989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1826996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11411:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1826996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMADD_VX_M8_MASK),
     /* 1826999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1827017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827020 */     // GIR_Coverage, 12897,
     /* 1827020 */     GIR_EraseRootFromParent_Done,
     /* 1827021 */   // Label 24754: @1827021
     /* 1827021 */   GIM_Try, /*On fail goto*//*Label 24755*/ GIMT_Encode4(1827107), // Rule ID 12900 //
     /* 1827026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1827043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827072 */     // MIs[0] policy
     /* 1827072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827082 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1827085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827106 */     // GIR_Coverage, 12900,
     /* 1827106 */     GIR_EraseRootFromParent_Done,
     /* 1827107 */   // Label 24755: @1827107
     /* 1827107 */   GIM_Try, /*On fail goto*//*Label 24756*/ GIMT_Encode4(1827193), // Rule ID 12901 //
     /* 1827112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1827123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1827126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1827129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1827132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827158 */     // MIs[0] policy
     /* 1827158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827168 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF8_MASK),
     /* 1827171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827192 */     // GIR_Coverage, 12901,
     /* 1827192 */     GIR_EraseRootFromParent_Done,
     /* 1827193 */   // Label 24756: @1827193
     /* 1827193 */   GIM_Try, /*On fail goto*//*Label 24757*/ GIMT_Encode4(1827279), // Rule ID 12904 //
     /* 1827198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1827215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827244 */     // MIs[0] policy
     /* 1827244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827254 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1827257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827278 */     // GIR_Coverage, 12904,
     /* 1827278 */     GIR_EraseRootFromParent_Done,
     /* 1827279 */   // Label 24757: @1827279
     /* 1827279 */   GIM_Try, /*On fail goto*//*Label 24758*/ GIMT_Encode4(1827365), // Rule ID 12905 //
     /* 1827284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1827295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1827298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1827301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1827304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827330 */     // MIs[0] policy
     /* 1827330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827340 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1827343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827364 */     // GIR_Coverage, 12905,
     /* 1827364 */     GIR_EraseRootFromParent_Done,
     /* 1827365 */   // Label 24758: @1827365
     /* 1827365 */   GIM_Try, /*On fail goto*//*Label 24759*/ GIMT_Encode4(1827451), // Rule ID 12908 //
     /* 1827370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1827387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827416 */     // MIs[0] policy
     /* 1827416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827426 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1827429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827450 */     // GIR_Coverage, 12908,
     /* 1827450 */     GIR_EraseRootFromParent_Done,
     /* 1827451 */   // Label 24759: @1827451
     /* 1827451 */   GIM_Try, /*On fail goto*//*Label 24760*/ GIMT_Encode4(1827537), // Rule ID 12909 //
     /* 1827456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1827467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1827470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1827473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1827476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1827479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827502 */     // MIs[0] policy
     /* 1827502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827512 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1827515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1827533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827536 */     // GIR_Coverage, 12909,
     /* 1827536 */     GIR_EraseRootFromParent_Done,
     /* 1827537 */   // Label 24760: @1827537
     /* 1827537 */   GIM_Try, /*On fail goto*//*Label 24761*/ GIMT_Encode4(1827623), // Rule ID 12912 //
     /* 1827542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1827559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827588 */     // MIs[0] policy
     /* 1827588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827598 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1827601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827622 */     // GIR_Coverage, 12912,
     /* 1827622 */     GIR_EraseRootFromParent_Done,
     /* 1827623 */   // Label 24761: @1827623
     /* 1827623 */   GIM_Try, /*On fail goto*//*Label 24762*/ GIMT_Encode4(1827709), // Rule ID 12913 //
     /* 1827628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1827639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1827642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1827645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1827648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827674 */     // MIs[0] policy
     /* 1827674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827684 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF4_MASK),
     /* 1827687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827708 */     // GIR_Coverage, 12913,
     /* 1827708 */     GIR_EraseRootFromParent_Done,
     /* 1827709 */   // Label 24762: @1827709
     /* 1827709 */   GIM_Try, /*On fail goto*//*Label 24763*/ GIMT_Encode4(1827795), // Rule ID 12916 //
     /* 1827714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1827731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1827734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827760 */     // MIs[0] policy
     /* 1827760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827770 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1827773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827794 */     // GIR_Coverage, 12916,
     /* 1827794 */     GIR_EraseRootFromParent_Done,
     /* 1827795 */   // Label 24763: @1827795
     /* 1827795 */   GIM_Try, /*On fail goto*//*Label 24764*/ GIMT_Encode4(1827881), // Rule ID 12917 //
     /* 1827800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1827811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1827814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1827817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1827820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1827823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827846 */     // MIs[0] policy
     /* 1827846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827856 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1827856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1827859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1827877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827880 */     // GIR_Coverage, 12917,
     /* 1827880 */     GIR_EraseRootFromParent_Done,
     /* 1827881 */   // Label 24764: @1827881
     /* 1827881 */   GIM_Try, /*On fail goto*//*Label 24765*/ GIMT_Encode4(1827967), // Rule ID 12920 //
     /* 1827886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1827889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1827903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1827912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1827916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1827928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1827932 */     // MIs[0] policy
     /* 1827932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1827935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1827942 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1827942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1827945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1827947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1827949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1827951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1827953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1827955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1827960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1827963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1827965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1827966 */     // GIR_Coverage, 12920,
     /* 1827966 */     GIR_EraseRootFromParent_Done,
     /* 1827967 */   // Label 24765: @1827967
     /* 1827967 */   GIM_Try, /*On fail goto*//*Label 24766*/ GIMT_Encode4(1828053), // Rule ID 12921 //
     /* 1827972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1827975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1827980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1827983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1827986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1827989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1827992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1827995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1827998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828018 */     // MIs[0] policy
     /* 1828018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828028 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_MF2_MASK),
     /* 1828031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828052 */     // GIR_Coverage, 12921,
     /* 1828052 */     GIR_EraseRootFromParent_Done,
     /* 1828053 */   // Label 24766: @1828053
     /* 1828053 */   GIM_Try, /*On fail goto*//*Label 24767*/ GIMT_Encode4(1828139), // Rule ID 12924 //
     /* 1828058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1828075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828104 */     // MIs[0] policy
     /* 1828104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828114 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1828117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828138 */     // GIR_Coverage, 12924,
     /* 1828138 */     GIR_EraseRootFromParent_Done,
     /* 1828139 */   // Label 24767: @1828139
     /* 1828139 */   GIM_Try, /*On fail goto*//*Label 24768*/ GIMT_Encode4(1828225), // Rule ID 12925 //
     /* 1828144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1828155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1828158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1828161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1828164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1828167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828190 */     // MIs[0] policy
     /* 1828190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828200 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1828203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828224 */     // GIR_Coverage, 12925,
     /* 1828224 */     GIR_EraseRootFromParent_Done,
     /* 1828225 */   // Label 24768: @1828225
     /* 1828225 */   GIM_Try, /*On fail goto*//*Label 24769*/ GIMT_Encode4(1828311), // Rule ID 12928 //
     /* 1828230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1828247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828276 */     // MIs[0] policy
     /* 1828276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828286 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1828289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828310 */     // GIR_Coverage, 12928,
     /* 1828310 */     GIR_EraseRootFromParent_Done,
     /* 1828311 */   // Label 24769: @1828311
     /* 1828311 */   GIM_Try, /*On fail goto*//*Label 24770*/ GIMT_Encode4(1828397), // Rule ID 12929 //
     /* 1828316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1828327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1828330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1828333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1828336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1828339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828362 */     // MIs[0] policy
     /* 1828362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828372 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1828375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1828393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828396 */     // GIR_Coverage, 12929,
     /* 1828396 */     GIR_EraseRootFromParent_Done,
     /* 1828397 */   // Label 24770: @1828397
     /* 1828397 */   GIM_Try, /*On fail goto*//*Label 24771*/ GIMT_Encode4(1828483), // Rule ID 12932 //
     /* 1828402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1828419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828448 */     // MIs[0] policy
     /* 1828448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828458 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1828461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828482 */     // GIR_Coverage, 12932,
     /* 1828482 */     GIR_EraseRootFromParent_Done,
     /* 1828483 */   // Label 24771: @1828483
     /* 1828483 */   GIM_Try, /*On fail goto*//*Label 24772*/ GIMT_Encode4(1828569), // Rule ID 12933 //
     /* 1828488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1828499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1828502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1828505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1828508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1828511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828534 */     // MIs[0] policy
     /* 1828534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828544 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1828547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1828565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828568 */     // GIR_Coverage, 12933,
     /* 1828568 */     GIR_EraseRootFromParent_Done,
     /* 1828569 */   // Label 24772: @1828569
     /* 1828569 */   GIM_Try, /*On fail goto*//*Label 24773*/ GIMT_Encode4(1828655), // Rule ID 12936 //
     /* 1828574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1828577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1828591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1828594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828620 */     // MIs[0] policy
     /* 1828620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828630 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1828633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828654 */     // GIR_Coverage, 12936,
     /* 1828654 */     GIR_EraseRootFromParent_Done,
     /* 1828655 */   // Label 24773: @1828655
     /* 1828655 */   GIM_Try, /*On fail goto*//*Label 24774*/ GIMT_Encode4(1828741), // Rule ID 12937 //
     /* 1828660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1828663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1828671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1828674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1828677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1828680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1828683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1828690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1828702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828706 */     // MIs[0] policy
     /* 1828706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828716 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M1_MASK),
     /* 1828719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1828737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828740 */     // GIR_Coverage, 12937,
     /* 1828740 */     GIR_EraseRootFromParent_Done,
     /* 1828741 */   // Label 24774: @1828741
     /* 1828741 */   GIM_Try, /*On fail goto*//*Label 24775*/ GIMT_Encode4(1828827), // Rule ID 12940 //
     /* 1828746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1828763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828792 */     // MIs[0] policy
     /* 1828792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1828805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828826 */     // GIR_Coverage, 12940,
     /* 1828826 */     GIR_EraseRootFromParent_Done,
     /* 1828827 */   // Label 24775: @1828827
     /* 1828827 */   GIM_Try, /*On fail goto*//*Label 24776*/ GIMT_Encode4(1828913), // Rule ID 12941 //
     /* 1828832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1828835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1828843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1828846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1828849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1828852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1828855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1828858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1828862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1828874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828878 */     // MIs[0] policy
     /* 1828878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828888 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1828888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1828891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828912 */     // GIR_Coverage, 12941,
     /* 1828912 */     GIR_EraseRootFromParent_Done,
     /* 1828913 */   // Label 24776: @1828913
     /* 1828913 */   GIM_Try, /*On fail goto*//*Label 24777*/ GIMT_Encode4(1828999), // Rule ID 12944 //
     /* 1828918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1828921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1828926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1828929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1828932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1828935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1828938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1828941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1828944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1828948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1828960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1828964 */     // MIs[0] policy
     /* 1828964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1828967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1828974 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1828974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1828977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1828979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1828981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1828983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1828985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1828987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1828992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1828995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1828997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1828998 */     // GIR_Coverage, 12944,
     /* 1828998 */     GIR_EraseRootFromParent_Done,
     /* 1828999 */   // Label 24777: @1828999
     /* 1828999 */   GIM_Try, /*On fail goto*//*Label 24778*/ GIMT_Encode4(1829085), // Rule ID 12945 //
     /* 1829004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1829015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1829018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1829021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1829024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829050 */     // MIs[0] policy
     /* 1829050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829060 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1829063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829084 */     // GIR_Coverage, 12945,
     /* 1829084 */     GIR_EraseRootFromParent_Done,
     /* 1829085 */   // Label 24778: @1829085
     /* 1829085 */   GIM_Try, /*On fail goto*//*Label 24779*/ GIMT_Encode4(1829171), // Rule ID 12948 //
     /* 1829090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1829107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829136 */     // MIs[0] policy
     /* 1829136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829146 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1829149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829170 */     // GIR_Coverage, 12948,
     /* 1829170 */     GIR_EraseRootFromParent_Done,
     /* 1829171 */   // Label 24779: @1829171
     /* 1829171 */   GIM_Try, /*On fail goto*//*Label 24780*/ GIMT_Encode4(1829257), // Rule ID 12949 //
     /* 1829176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1829187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1829190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1829193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1829196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1829199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829222 */     // MIs[0] policy
     /* 1829222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829232 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1829235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1829253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829256 */     // GIR_Coverage, 12949,
     /* 1829256 */     GIR_EraseRootFromParent_Done,
     /* 1829257 */   // Label 24780: @1829257
     /* 1829257 */   GIM_Try, /*On fail goto*//*Label 24781*/ GIMT_Encode4(1829343), // Rule ID 12952 //
     /* 1829262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1829279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829308 */     // MIs[0] policy
     /* 1829308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829318 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1829321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829342 */     // GIR_Coverage, 12952,
     /* 1829342 */     GIR_EraseRootFromParent_Done,
     /* 1829343 */   // Label 24781: @1829343
     /* 1829343 */   GIM_Try, /*On fail goto*//*Label 24782*/ GIMT_Encode4(1829429), // Rule ID 12953 //
     /* 1829348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1829359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1829362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1829365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1829368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829394 */     // MIs[0] policy
     /* 1829394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829404 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1829407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829428 */     // GIR_Coverage, 12953,
     /* 1829428 */     GIR_EraseRootFromParent_Done,
     /* 1829429 */   // Label 24782: @1829429
     /* 1829429 */   GIM_Try, /*On fail goto*//*Label 24783*/ GIMT_Encode4(1829515), // Rule ID 12956 //
     /* 1829434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1829451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829480 */     // MIs[0] policy
     /* 1829480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829490 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1829493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829514 */     // GIR_Coverage, 12956,
     /* 1829514 */     GIR_EraseRootFromParent_Done,
     /* 1829515 */   // Label 24783: @1829515
     /* 1829515 */   GIM_Try, /*On fail goto*//*Label 24784*/ GIMT_Encode4(1829601), // Rule ID 12957 //
     /* 1829520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1829531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1829534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1829537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1829540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1829543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829566 */     // MIs[0] policy
     /* 1829566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829576 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1829579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829600 */     // GIR_Coverage, 12957,
     /* 1829600 */     GIR_EraseRootFromParent_Done,
     /* 1829601 */   // Label 24784: @1829601
     /* 1829601 */   GIM_Try, /*On fail goto*//*Label 24785*/ GIMT_Encode4(1829687), // Rule ID 12960 //
     /* 1829606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1829623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1829626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829652 */     // MIs[0] policy
     /* 1829652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829662 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1829665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829686 */     // GIR_Coverage, 12960,
     /* 1829686 */     GIR_EraseRootFromParent_Done,
     /* 1829687 */   // Label 24785: @1829687
     /* 1829687 */   GIM_Try, /*On fail goto*//*Label 24786*/ GIMT_Encode4(1829773), // Rule ID 12961 //
     /* 1829692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1829703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1829706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1829709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1829712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1829715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1829722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1829734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829738 */     // MIs[0] policy
     /* 1829738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829748 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1829751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1829769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829772 */     // GIR_Coverage, 12961,
     /* 1829772 */     GIR_EraseRootFromParent_Done,
     /* 1829773 */   // Label 24786: @1829773
     /* 1829773 */   GIM_Try, /*On fail goto*//*Label 24787*/ GIMT_Encode4(1829859), // Rule ID 12964 //
     /* 1829778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1829795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829824 */     // MIs[0] policy
     /* 1829824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829834 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1829834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1829837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829858 */     // GIR_Coverage, 12964,
     /* 1829858 */     GIR_EraseRootFromParent_Done,
     /* 1829859 */   // Label 24787: @1829859
     /* 1829859 */   GIM_Try, /*On fail goto*//*Label 24788*/ GIMT_Encode4(1829945), // Rule ID 12965 //
     /* 1829864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1829867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1829875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1829878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1829881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1829884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1829887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1829890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1829894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1829906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829910 */     // MIs[0] policy
     /* 1829910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1829920 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1829920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1829923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1829925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1829927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1829929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1829931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1829933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1829938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1829941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1829943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1829944 */     // GIR_Coverage, 12965,
     /* 1829944 */     GIR_EraseRootFromParent_Done,
     /* 1829945 */   // Label 24788: @1829945
     /* 1829945 */   GIM_Try, /*On fail goto*//*Label 24789*/ GIMT_Encode4(1830031), // Rule ID 12968 //
     /* 1829950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1829953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1829958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1829961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1829964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1829967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1829970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1829973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1829976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1829980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1829992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1829996 */     // MIs[0] policy
     /* 1829996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1829999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830006 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1830009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830030 */     // GIR_Coverage, 12968,
     /* 1830030 */     GIR_EraseRootFromParent_Done,
     /* 1830031 */   // Label 24789: @1830031
     /* 1830031 */   GIM_Try, /*On fail goto*//*Label 24790*/ GIMT_Encode4(1830117), // Rule ID 12969 //
     /* 1830036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1830047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1830050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1830053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1830056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830082 */     // MIs[0] policy
     /* 1830082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830092 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1830095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830116 */     // GIR_Coverage, 12969,
     /* 1830116 */     GIR_EraseRootFromParent_Done,
     /* 1830117 */   // Label 24790: @1830117
     /* 1830117 */   GIM_Try, /*On fail goto*//*Label 24791*/ GIMT_Encode4(1830203), // Rule ID 12972 //
     /* 1830122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1830139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830168 */     // MIs[0] policy
     /* 1830168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830178 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1830181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830202 */     // GIR_Coverage, 12972,
     /* 1830202 */     GIR_EraseRootFromParent_Done,
     /* 1830203 */   // Label 24791: @1830203
     /* 1830203 */   GIM_Try, /*On fail goto*//*Label 24792*/ GIMT_Encode4(1830289), // Rule ID 12973 //
     /* 1830208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1830219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1830222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1830225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1830228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1830231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830254 */     // MIs[0] policy
     /* 1830254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830264 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1830267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1830285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830288 */     // GIR_Coverage, 12973,
     /* 1830288 */     GIR_EraseRootFromParent_Done,
     /* 1830289 */   // Label 24792: @1830289
     /* 1830289 */   GIM_Try, /*On fail goto*//*Label 24793*/ GIMT_Encode4(1830375), // Rule ID 12976 //
     /* 1830294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1830311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830340 */     // MIs[0] policy
     /* 1830340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830350 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1830353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830374 */     // GIR_Coverage, 12976,
     /* 1830374 */     GIR_EraseRootFromParent_Done,
     /* 1830375 */   // Label 24793: @1830375
     /* 1830375 */   GIM_Try, /*On fail goto*//*Label 24794*/ GIMT_Encode4(1830461), // Rule ID 12977 //
     /* 1830380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1830391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1830394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1830397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1830400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1830403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1830410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1830422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830426 */     // MIs[0] policy
     /* 1830426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M2_MASK),
     /* 1830439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830460 */     // GIR_Coverage, 12977,
     /* 1830460 */     GIR_EraseRootFromParent_Done,
     /* 1830461 */   // Label 24794: @1830461
     /* 1830461 */   GIM_Try, /*On fail goto*//*Label 24795*/ GIMT_Encode4(1830547), // Rule ID 12980 //
     /* 1830466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1830483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830512 */     // MIs[0] policy
     /* 1830512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830522 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1830525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830546 */     // GIR_Coverage, 12980,
     /* 1830546 */     GIR_EraseRootFromParent_Done,
     /* 1830547 */   // Label 24795: @1830547
     /* 1830547 */   GIM_Try, /*On fail goto*//*Label 24796*/ GIMT_Encode4(1830633), // Rule ID 12981 //
     /* 1830552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1830563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1830566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1830569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1830572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1830575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1830582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1830594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830598 */     // MIs[0] policy
     /* 1830598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830608 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M4_MASK),
     /* 1830611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830632 */     // GIR_Coverage, 12981,
     /* 1830632 */     GIR_EraseRootFromParent_Done,
     /* 1830633 */   // Label 24796: @1830633
     /* 1830633 */   GIM_Try, /*On fail goto*//*Label 24797*/ GIMT_Encode4(1830719), // Rule ID 12984 //
     /* 1830638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1830641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1830655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1830658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830684 */     // MIs[0] policy
     /* 1830684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830694 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1830697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830718 */     // GIR_Coverage, 12984,
     /* 1830718 */     GIR_EraseRootFromParent_Done,
     /* 1830719 */   // Label 24797: @1830719
     /* 1830719 */   GIM_Try, /*On fail goto*//*Label 24798*/ GIMT_Encode4(1830805), // Rule ID 12985 //
     /* 1830724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1830727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1830735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1830738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1830741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1830744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1830747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1830754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1830766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830770 */     // MIs[0] policy
     /* 1830770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830780 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VV_M8_MASK),
     /* 1830783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1830801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830804 */     // GIR_Coverage, 12985,
     /* 1830804 */     GIR_EraseRootFromParent_Done,
     /* 1830805 */   // Label 24798: @1830805
     /* 1830805 */   GIM_Try, /*On fail goto*//*Label 24799*/ GIMT_Encode4(1830891), // Rule ID 12988 //
     /* 1830810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1830836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830856 */     // MIs[0] policy
     /* 1830856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830866 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1830866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1830869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830890 */     // GIR_Coverage, 12988,
     /* 1830890 */     GIR_EraseRootFromParent_Done,
     /* 1830891 */   // Label 24799: @1830891
     /* 1830891 */   GIM_Try, /*On fail goto*//*Label 24800*/ GIMT_Encode4(1830977), // Rule ID 12989 //
     /* 1830896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1830899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1830907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1830910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1830913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1830916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1830919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1830922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1830926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1830934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1830938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1830942 */     // MIs[0] policy
     /* 1830942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1830945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1830952 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1830952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF8_MASK),
     /* 1830955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1830957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1830959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1830961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1830963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1830965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1830970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1830973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1830975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1830976 */     // GIR_Coverage, 12989,
     /* 1830976 */     GIR_EraseRootFromParent_Done,
     /* 1830977 */   // Label 24800: @1830977
     /* 1830977 */   GIM_Try, /*On fail goto*//*Label 24801*/ GIMT_Encode4(1831063), // Rule ID 12992 //
     /* 1830982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1830985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1830990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1830993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1830996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1830999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831028 */     // MIs[0] policy
     /* 1831028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831038 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1831041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831062 */     // GIR_Coverage, 12992,
     /* 1831062 */     GIR_EraseRootFromParent_Done,
     /* 1831063 */   // Label 24801: @1831063
     /* 1831063 */   GIM_Try, /*On fail goto*//*Label 24802*/ GIMT_Encode4(1831149), // Rule ID 12993 //
     /* 1831068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1831079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1831082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1831088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831114 */     // MIs[0] policy
     /* 1831114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831124 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1831127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831148 */     // GIR_Coverage, 12993,
     /* 1831148 */     GIR_EraseRootFromParent_Done,
     /* 1831149 */   // Label 24802: @1831149
     /* 1831149 */   GIM_Try, /*On fail goto*//*Label 24803*/ GIMT_Encode4(1831235), // Rule ID 12996 //
     /* 1831154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831200 */     // MIs[0] policy
     /* 1831200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831210 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1831213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831234 */     // GIR_Coverage, 12996,
     /* 1831234 */     GIR_EraseRootFromParent_Done,
     /* 1831235 */   // Label 24803: @1831235
     /* 1831235 */   GIM_Try, /*On fail goto*//*Label 24804*/ GIMT_Encode4(1831321), // Rule ID 12997 //
     /* 1831240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1831251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1831254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1831260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1831263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831286 */     // MIs[0] policy
     /* 1831286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831296 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1831299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831320 */     // GIR_Coverage, 12997,
     /* 1831320 */     GIR_EraseRootFromParent_Done,
     /* 1831321 */   // Label 24804: @1831321
     /* 1831321 */   GIM_Try, /*On fail goto*//*Label 24805*/ GIMT_Encode4(1831407), // Rule ID 13000 //
     /* 1831326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831372 */     // MIs[0] policy
     /* 1831372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831382 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1831385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831406 */     // GIR_Coverage, 13000,
     /* 1831406 */     GIR_EraseRootFromParent_Done,
     /* 1831407 */   // Label 24805: @1831407
     /* 1831407 */   GIM_Try, /*On fail goto*//*Label 24806*/ GIMT_Encode4(1831493), // Rule ID 13001 //
     /* 1831412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1831423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1831426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1831432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831458 */     // MIs[0] policy
     /* 1831458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831468 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF4_MASK),
     /* 1831471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831492 */     // GIR_Coverage, 13001,
     /* 1831492 */     GIR_EraseRootFromParent_Done,
     /* 1831493 */   // Label 24806: @1831493
     /* 1831493 */   GIM_Try, /*On fail goto*//*Label 24807*/ GIMT_Encode4(1831579), // Rule ID 13004 //
     /* 1831498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831544 */     // MIs[0] policy
     /* 1831544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831554 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1831557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831578 */     // GIR_Coverage, 13004,
     /* 1831578 */     GIR_EraseRootFromParent_Done,
     /* 1831579 */   // Label 24807: @1831579
     /* 1831579 */   GIM_Try, /*On fail goto*//*Label 24808*/ GIMT_Encode4(1831665), // Rule ID 13005 //
     /* 1831584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1831595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1831598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1831604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1831607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831630 */     // MIs[0] policy
     /* 1831630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831640 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1831643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1831661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831664 */     // GIR_Coverage, 13005,
     /* 1831664 */     GIR_EraseRootFromParent_Done,
     /* 1831665 */   // Label 24808: @1831665
     /* 1831665 */   GIM_Try, /*On fail goto*//*Label 24809*/ GIMT_Encode4(1831751), // Rule ID 13008 //
     /* 1831670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1831690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831716 */     // MIs[0] policy
     /* 1831716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831726 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1831729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831750 */     // GIR_Coverage, 13008,
     /* 1831750 */     GIR_EraseRootFromParent_Done,
     /* 1831751 */   // Label 24809: @1831751
     /* 1831751 */   GIM_Try, /*On fail goto*//*Label 24810*/ GIMT_Encode4(1831837), // Rule ID 13009 //
     /* 1831756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1831767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1831770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1831776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1831779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831802 */     // MIs[0] policy
     /* 1831802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831812 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_MF2_MASK),
     /* 1831815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1831833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831836 */     // GIR_Coverage, 13009,
     /* 1831836 */     GIR_EraseRootFromParent_Done,
     /* 1831837 */   // Label 24810: @1831837
     /* 1831837 */   GIM_Try, /*On fail goto*//*Label 24811*/ GIMT_Encode4(1831923), // Rule ID 13012 //
     /* 1831842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1831845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1831859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1831868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831888 */     // MIs[0] policy
     /* 1831888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831898 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1831898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1831901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1831916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1831919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1831921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1831922 */     // GIR_Coverage, 13012,
     /* 1831922 */     GIR_EraseRootFromParent_Done,
     /* 1831923 */   // Label 24811: @1831923
     /* 1831923 */   GIM_Try, /*On fail goto*//*Label 24812*/ GIMT_Encode4(1832009), // Rule ID 13013 //
     /* 1831928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1831931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1831936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1831939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1831942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1831945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1831948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1831951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1831954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1831958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1831966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1831970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1831974 */     // MIs[0] policy
     /* 1831974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1831977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1831984 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11490:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1831984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1831987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1831989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1831991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1831993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1831995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1831997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832008 */     // GIR_Coverage, 13013,
     /* 1832008 */     GIR_EraseRootFromParent_Done,
     /* 1832009 */   // Label 24812: @1832009
     /* 1832009 */   GIM_Try, /*On fail goto*//*Label 24813*/ GIMT_Encode4(1832095), // Rule ID 13016 //
     /* 1832014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832060 */     // MIs[0] policy
     /* 1832060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832070 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1832073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832094 */     // GIR_Coverage, 13016,
     /* 1832094 */     GIR_EraseRootFromParent_Done,
     /* 1832095 */   // Label 24813: @1832095
     /* 1832095 */   GIM_Try, /*On fail goto*//*Label 24814*/ GIMT_Encode4(1832181), // Rule ID 13017 //
     /* 1832100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1832111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1832114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1832120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1832123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832146 */     // MIs[0] policy
     /* 1832146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832156 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11490:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1832159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1832177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832180 */     // GIR_Coverage, 13017,
     /* 1832180 */     GIR_EraseRootFromParent_Done,
     /* 1832181 */   // Label 24814: @1832181
     /* 1832181 */   GIM_Try, /*On fail goto*//*Label 24815*/ GIMT_Encode4(1832267), // Rule ID 13020 //
     /* 1832186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832232 */     // MIs[0] policy
     /* 1832232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832242 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1832245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832266 */     // GIR_Coverage, 13020,
     /* 1832266 */     GIR_EraseRootFromParent_Done,
     /* 1832267 */   // Label 24815: @1832267
     /* 1832267 */   GIM_Try, /*On fail goto*//*Label 24816*/ GIMT_Encode4(1832353), // Rule ID 13021 //
     /* 1832272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1832283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1832286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1832292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1832295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832318 */     // MIs[0] policy
     /* 1832318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832328 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11490:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1832331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1832349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832352 */     // GIR_Coverage, 13021,
     /* 1832352 */     GIR_EraseRootFromParent_Done,
     /* 1832353 */   // Label 24816: @1832353
     /* 1832353 */   GIM_Try, /*On fail goto*//*Label 24817*/ GIMT_Encode4(1832439), // Rule ID 13024 //
     /* 1832358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1832361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832404 */     // MIs[0] policy
     /* 1832404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832414 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1832417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832438 */     // GIR_Coverage, 13024,
     /* 1832438 */     GIR_EraseRootFromParent_Done,
     /* 1832439 */   // Label 24817: @1832439
     /* 1832439 */   GIM_Try, /*On fail goto*//*Label 24818*/ GIMT_Encode4(1832525), // Rule ID 13025 //
     /* 1832444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1832447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1832455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1832458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1832464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1832467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1832474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1832486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832490 */     // MIs[0] policy
     /* 1832490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832500 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11490:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M1_MASK),
     /* 1832503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1832521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832524 */     // GIR_Coverage, 13025,
     /* 1832524 */     GIR_EraseRootFromParent_Done,
     /* 1832525 */   // Label 24818: @1832525
     /* 1832525 */   GIM_Try, /*On fail goto*//*Label 24819*/ GIMT_Encode4(1832611), // Rule ID 13028 //
     /* 1832530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832576 */     // MIs[0] policy
     /* 1832576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832586 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1832589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832610 */     // GIR_Coverage, 13028,
     /* 1832610 */     GIR_EraseRootFromParent_Done,
     /* 1832611 */   // Label 24819: @1832611
     /* 1832611 */   GIM_Try, /*On fail goto*//*Label 24820*/ GIMT_Encode4(1832697), // Rule ID 13029 //
     /* 1832616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1832627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1832630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1832636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1832639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1832646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1832658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832662 */     // MIs[0] policy
     /* 1832662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832672 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1832675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832696 */     // GIR_Coverage, 13029,
     /* 1832696 */     GIR_EraseRootFromParent_Done,
     /* 1832697 */   // Label 24820: @1832697
     /* 1832697 */   GIM_Try, /*On fail goto*//*Label 24821*/ GIMT_Encode4(1832783), // Rule ID 13032 //
     /* 1832702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1832713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1832716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1832722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832748 */     // MIs[0] policy
     /* 1832748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832758 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1832761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832782 */     // GIR_Coverage, 13032,
     /* 1832782 */     GIR_EraseRootFromParent_Done,
     /* 1832783 */   // Label 24821: @1832783
     /* 1832783 */   GIM_Try, /*On fail goto*//*Label 24822*/ GIMT_Encode4(1832869), // Rule ID 13033 //
     /* 1832788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1832799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1832802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1832808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1832811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1832818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1832830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832834 */     // MIs[0] policy
     /* 1832834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832844 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1832844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1832847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832868 */     // GIR_Coverage, 13033,
     /* 1832868 */     GIR_EraseRootFromParent_Done,
     /* 1832869 */   // Label 24822: @1832869
     /* 1832869 */   GIM_Try, /*On fail goto*//*Label 24823*/ GIMT_Encode4(1832955), // Rule ID 13036 //
     /* 1832874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1832877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1832891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1832900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1832920 */     // MIs[0] policy
     /* 1832920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1832923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1832930 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1832930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1832933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1832935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1832937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1832939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1832941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1832943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1832948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1832951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1832953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1832954 */     // GIR_Coverage, 13036,
     /* 1832954 */     GIR_EraseRootFromParent_Done,
     /* 1832955 */   // Label 24823: @1832955
     /* 1832955 */   GIM_Try, /*On fail goto*//*Label 24824*/ GIMT_Encode4(1833041), // Rule ID 13037 //
     /* 1832960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1832963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1832968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1832971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1832974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1832977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1832980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1832983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1832986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1832990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1832994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1832998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833006 */     // MIs[0] policy
     /* 1833006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833016 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1833019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1833037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833040 */     // GIR_Coverage, 13037,
     /* 1833040 */     GIR_EraseRootFromParent_Done,
     /* 1833041 */   // Label 24824: @1833041
     /* 1833041 */   GIM_Try, /*On fail goto*//*Label 24825*/ GIMT_Encode4(1833127), // Rule ID 13040 //
     /* 1833046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833092 */     // MIs[0] policy
     /* 1833092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833102 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1833105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833126 */     // GIR_Coverage, 13040,
     /* 1833126 */     GIR_EraseRootFromParent_Done,
     /* 1833127 */   // Label 24825: @1833127
     /* 1833127 */   GIM_Try, /*On fail goto*//*Label 24826*/ GIMT_Encode4(1833213), // Rule ID 13041 //
     /* 1833132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1833143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1833146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1833152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833178 */     // MIs[0] policy
     /* 1833178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833188 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1833191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833212 */     // GIR_Coverage, 13041,
     /* 1833212 */     GIR_EraseRootFromParent_Done,
     /* 1833213 */   // Label 24826: @1833213
     /* 1833213 */   GIM_Try, /*On fail goto*//*Label 24827*/ GIMT_Encode4(1833299), // Rule ID 13044 //
     /* 1833218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833264 */     // MIs[0] policy
     /* 1833264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833274 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1833277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833298 */     // GIR_Coverage, 13044,
     /* 1833298 */     GIR_EraseRootFromParent_Done,
     /* 1833299 */   // Label 24827: @1833299
     /* 1833299 */   GIM_Try, /*On fail goto*//*Label 24828*/ GIMT_Encode4(1833385), // Rule ID 13045 //
     /* 1833304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1833315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1833318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1833324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833350 */     // MIs[0] policy
     /* 1833350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833360 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1833363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833384 */     // GIR_Coverage, 13045,
     /* 1833384 */     GIR_EraseRootFromParent_Done,
     /* 1833385 */   // Label 24828: @1833385
     /* 1833385 */   GIM_Try, /*On fail goto*//*Label 24829*/ GIMT_Encode4(1833471), // Rule ID 13048 //
     /* 1833390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833436 */     // MIs[0] policy
     /* 1833436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833446 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1833449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833470 */     // GIR_Coverage, 13048,
     /* 1833470 */     GIR_EraseRootFromParent_Done,
     /* 1833471 */   // Label 24829: @1833471
     /* 1833471 */   GIM_Try, /*On fail goto*//*Label 24830*/ GIMT_Encode4(1833557), // Rule ID 13049 //
     /* 1833476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1833487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1833490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1833496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1833499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833522 */     // MIs[0] policy
     /* 1833522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833532 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1833535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1833553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833556 */     // GIR_Coverage, 13049,
     /* 1833556 */     GIR_EraseRootFromParent_Done,
     /* 1833557 */   // Label 24830: @1833557
     /* 1833557 */   GIM_Try, /*On fail goto*//*Label 24831*/ GIMT_Encode4(1833643), // Rule ID 13052 //
     /* 1833562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1833582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833608 */     // MIs[0] policy
     /* 1833608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833618 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1833621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833642 */     // GIR_Coverage, 13052,
     /* 1833642 */     GIR_EraseRootFromParent_Done,
     /* 1833643 */   // Label 24831: @1833643
     /* 1833643 */   GIM_Try, /*On fail goto*//*Label 24832*/ GIMT_Encode4(1833729), // Rule ID 13053 //
     /* 1833648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1833659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1833662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1833668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1833671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1833678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1833690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833694 */     // MIs[0] policy
     /* 1833694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833704 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1833707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833728 */     // GIR_Coverage, 13053,
     /* 1833728 */     GIR_EraseRootFromParent_Done,
     /* 1833729 */   // Label 24832: @1833729
     /* 1833729 */   GIM_Try, /*On fail goto*//*Label 24833*/ GIMT_Encode4(1833815), // Rule ID 13056 //
     /* 1833734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1833745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1833748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1833754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833780 */     // MIs[0] policy
     /* 1833780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833790 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1833793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833814 */     // GIR_Coverage, 13056,
     /* 1833814 */     GIR_EraseRootFromParent_Done,
     /* 1833815 */   // Label 24833: @1833815
     /* 1833815 */   GIM_Try, /*On fail goto*//*Label 24834*/ GIMT_Encode4(1833901), // Rule ID 13057 //
     /* 1833820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1833831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1833834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1833837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1833840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1833843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1833846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1833850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1833862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833866 */     // MIs[0] policy
     /* 1833866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833876 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1833876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1833879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833900 */     // GIR_Coverage, 13057,
     /* 1833900 */     GIR_EraseRootFromParent_Done,
     /* 1833901 */   // Label 24834: @1833901
     /* 1833901 */   GIM_Try, /*On fail goto*//*Label 24835*/ GIMT_Encode4(1833987), // Rule ID 13060 //
     /* 1833906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1833909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1833914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1833917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1833920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1833923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1833926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1833929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1833932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1833936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1833944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1833948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1833952 */     // MIs[0] policy
     /* 1833952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1833955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1833962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1833962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1833965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1833967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1833969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1833971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1833973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1833975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1833980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1833983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1833985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1833986 */     // GIR_Coverage, 13060,
     /* 1833986 */     GIR_EraseRootFromParent_Done,
     /* 1833987 */   // Label 24835: @1833987
     /* 1833987 */   GIM_Try, /*On fail goto*//*Label 24836*/ GIMT_Encode4(1834073), // Rule ID 13061 //
     /* 1833992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1833995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1834000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1834003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1834006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1834012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1834015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834038 */     // MIs[0] policy
     /* 1834038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834048 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1834051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1834069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834072 */     // GIR_Coverage, 13061,
     /* 1834072 */     GIR_EraseRootFromParent_Done,
     /* 1834073 */   // Label 24836: @1834073
     /* 1834073 */   GIM_Try, /*On fail goto*//*Label 24837*/ GIMT_Encode4(1834159), // Rule ID 13064 //
     /* 1834078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1834086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834124 */     // MIs[0] policy
     /* 1834124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834134 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1834137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834158 */     // GIR_Coverage, 13064,
     /* 1834158 */     GIR_EraseRootFromParent_Done,
     /* 1834159 */   // Label 24837: @1834159
     /* 1834159 */   GIM_Try, /*On fail goto*//*Label 24838*/ GIMT_Encode4(1834245), // Rule ID 13065 //
     /* 1834164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1834172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1834175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1834178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1834184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1834194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1834206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834210 */     // MIs[0] policy
     /* 1834210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834220 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11490:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M2_MASK),
     /* 1834223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834244 */     // GIR_Coverage, 13065,
     /* 1834244 */     GIR_EraseRootFromParent_Done,
     /* 1834245 */   // Label 24838: @1834245
     /* 1834245 */   GIM_Try, /*On fail goto*//*Label 24839*/ GIMT_Encode4(1834331), // Rule ID 13068 //
     /* 1834250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1834258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834296 */     // MIs[0] policy
     /* 1834296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834306 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1834309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834330 */     // GIR_Coverage, 13068,
     /* 1834330 */     GIR_EraseRootFromParent_Done,
     /* 1834331 */   // Label 24839: @1834331
     /* 1834331 */   GIM_Try, /*On fail goto*//*Label 24840*/ GIMT_Encode4(1834417), // Rule ID 13069 //
     /* 1834336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1834344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1834347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1834350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1834356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1834366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1834378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834382 */     // MIs[0] policy
     /* 1834382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834392 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11490:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M4_MASK),
     /* 1834395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834416 */     // GIR_Coverage, 13069,
     /* 1834416 */     GIR_EraseRootFromParent_Done,
     /* 1834417 */   // Label 24840: @1834417
     /* 1834417 */   GIM_Try, /*On fail goto*//*Label 24841*/ GIMT_Encode4(1834503), // Rule ID 13072 //
     /* 1834422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1834425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1834430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1834439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834468 */     // MIs[0] policy
     /* 1834468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834478 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1834481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834502 */     // GIR_Coverage, 13072,
     /* 1834502 */     GIR_EraseRootFromParent_Done,
     /* 1834503 */   // Label 24841: @1834503
     /* 1834503 */   GIM_Try, /*On fail goto*//*Label 24842*/ GIMT_Encode4(1834589), // Rule ID 13073 //
     /* 1834508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1834511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsub_mask),
     /* 1834516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1834519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1834522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1834525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1834528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1834531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1834538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1834546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1834550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834554 */     // MIs[0] policy
     /* 1834554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834564 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11490:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSUB_VX_M8_MASK),
     /* 1834567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1834585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834588 */     // GIR_Coverage, 13073,
     /* 1834588 */     GIR_EraseRootFromParent_Done,
     /* 1834589 */   // Label 24842: @1834589
     /* 1834589 */   GIM_Try, /*On fail goto*//*Label 24843*/ GIMT_Encode4(1834675), // Rule ID 13076 //
     /* 1834594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1834605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1834608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1834611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1834614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834640 */     // MIs[0] policy
     /* 1834640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834650 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1834653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834674 */     // GIR_Coverage, 13076,
     /* 1834674 */     GIR_EraseRootFromParent_Done,
     /* 1834675 */   // Label 24843: @1834675
     /* 1834675 */   GIM_Try, /*On fail goto*//*Label 24844*/ GIMT_Encode4(1834761), // Rule ID 13077 //
     /* 1834680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1834691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1834694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1834697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1834700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1834703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834726 */     // MIs[0] policy
     /* 1834726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834736 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF8_MASK),
     /* 1834739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834760 */     // GIR_Coverage, 13077,
     /* 1834760 */     GIR_EraseRootFromParent_Done,
     /* 1834761 */   // Label 24844: @1834761
     /* 1834761 */   GIM_Try, /*On fail goto*//*Label 24845*/ GIMT_Encode4(1834847), // Rule ID 13080 //
     /* 1834766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1834783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834812 */     // MIs[0] policy
     /* 1834812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834822 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1834825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834846 */     // GIR_Coverage, 13080,
     /* 1834846 */     GIR_EraseRootFromParent_Done,
     /* 1834847 */   // Label 24845: @1834847
     /* 1834847 */   GIM_Try, /*On fail goto*//*Label 24846*/ GIMT_Encode4(1834933), // Rule ID 13081 //
     /* 1834852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1834855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1834863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1834866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1834869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1834872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1834875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1834878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834898 */     // MIs[0] policy
     /* 1834898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834908 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1834908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1834911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1834915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1834917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1834919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1834921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1834926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1834929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1834931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1834932 */     // GIR_Coverage, 13081,
     /* 1834932 */     GIR_EraseRootFromParent_Done,
     /* 1834933 */   // Label 24846: @1834933
     /* 1834933 */   GIM_Try, /*On fail goto*//*Label 24847*/ GIMT_Encode4(1835019), // Rule ID 13084 //
     /* 1834938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1834941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1834946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1834949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1834952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1834955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1834958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1834961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1834964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1834968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1834980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1834984 */     // MIs[0] policy
     /* 1834984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1834987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1834994 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1834994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1834997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1834999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835018 */     // GIR_Coverage, 13084,
     /* 1835018 */     GIR_EraseRootFromParent_Done,
     /* 1835019 */   // Label 24847: @1835019
     /* 1835019 */   GIM_Try, /*On fail goto*//*Label 24848*/ GIMT_Encode4(1835105), // Rule ID 13085 //
     /* 1835024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1835035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1835038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1835041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1835044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835070 */     // MIs[0] policy
     /* 1835070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835080 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1835083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835104 */     // GIR_Coverage, 13085,
     /* 1835104 */     GIR_EraseRootFromParent_Done,
     /* 1835105 */   // Label 24848: @1835105
     /* 1835105 */   GIM_Try, /*On fail goto*//*Label 24849*/ GIMT_Encode4(1835191), // Rule ID 13088 //
     /* 1835110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1835127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835156 */     // MIs[0] policy
     /* 1835156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835166 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1835169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835190 */     // GIR_Coverage, 13088,
     /* 1835190 */     GIR_EraseRootFromParent_Done,
     /* 1835191 */   // Label 24849: @1835191
     /* 1835191 */   GIM_Try, /*On fail goto*//*Label 24850*/ GIMT_Encode4(1835277), // Rule ID 13089 //
     /* 1835196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1835207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1835210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1835213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1835216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835242 */     // MIs[0] policy
     /* 1835242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835252 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF4_MASK),
     /* 1835255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835276 */     // GIR_Coverage, 13089,
     /* 1835276 */     GIR_EraseRootFromParent_Done,
     /* 1835277 */   // Label 24850: @1835277
     /* 1835277 */   GIM_Try, /*On fail goto*//*Label 24851*/ GIMT_Encode4(1835363), // Rule ID 13092 //
     /* 1835282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1835299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835328 */     // MIs[0] policy
     /* 1835328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835338 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1835341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835362 */     // GIR_Coverage, 13092,
     /* 1835362 */     GIR_EraseRootFromParent_Done,
     /* 1835363 */   // Label 24851: @1835363
     /* 1835363 */   GIM_Try, /*On fail goto*//*Label 24852*/ GIMT_Encode4(1835449), // Rule ID 13093 //
     /* 1835368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1835379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1835382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1835385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1835388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835414 */     // MIs[0] policy
     /* 1835414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835424 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1835427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835448 */     // GIR_Coverage, 13093,
     /* 1835448 */     GIR_EraseRootFromParent_Done,
     /* 1835449 */   // Label 24852: @1835449
     /* 1835449 */   GIM_Try, /*On fail goto*//*Label 24853*/ GIMT_Encode4(1835535), // Rule ID 13096 //
     /* 1835454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1835471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835500 */     // MIs[0] policy
     /* 1835500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835510 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1835513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835534 */     // GIR_Coverage, 13096,
     /* 1835534 */     GIR_EraseRootFromParent_Done,
     /* 1835535 */   // Label 24853: @1835535
     /* 1835535 */   GIM_Try, /*On fail goto*//*Label 24854*/ GIMT_Encode4(1835621), // Rule ID 13097 //
     /* 1835540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1835551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1835554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1835557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1835560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1835563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835586 */     // MIs[0] policy
     /* 1835586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_MF2_MASK),
     /* 1835599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1835617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835620 */     // GIR_Coverage, 13097,
     /* 1835620 */     GIR_EraseRootFromParent_Done,
     /* 1835621 */   // Label 24854: @1835621
     /* 1835621 */   GIM_Try, /*On fail goto*//*Label 24855*/ GIMT_Encode4(1835707), // Rule ID 13100 //
     /* 1835626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1835637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1835640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1835643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835672 */     // MIs[0] policy
     /* 1835672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835682 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1835685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835706 */     // GIR_Coverage, 13100,
     /* 1835706 */     GIR_EraseRootFromParent_Done,
     /* 1835707 */   // Label 24855: @1835707
     /* 1835707 */   GIM_Try, /*On fail goto*//*Label 24856*/ GIMT_Encode4(1835793), // Rule ID 13101 //
     /* 1835712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1835723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1835726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1835729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1835732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1835735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835758 */     // MIs[0] policy
     /* 1835758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835768 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1835771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1835789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835792 */     // GIR_Coverage, 13101,
     /* 1835792 */     GIR_EraseRootFromParent_Done,
     /* 1835793 */   // Label 24856: @1835793
     /* 1835793 */   GIM_Try, /*On fail goto*//*Label 24857*/ GIMT_Encode4(1835879), // Rule ID 13104 //
     /* 1835798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1835815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835844 */     // MIs[0] policy
     /* 1835844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835854 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1835854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1835857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835878 */     // GIR_Coverage, 13104,
     /* 1835878 */     GIR_EraseRootFromParent_Done,
     /* 1835879 */   // Label 24857: @1835879
     /* 1835879 */   GIM_Try, /*On fail goto*//*Label 24858*/ GIMT_Encode4(1835965), // Rule ID 13105 //
     /* 1835884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1835887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1835895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1835898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1835901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1835904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1835907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1835910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1835914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1835926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1835930 */     // MIs[0] policy
     /* 1835930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1835933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1835940 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1835940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1835943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1835945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1835947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1835949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1835951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1835953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1835958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1835961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1835963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1835964 */     // GIR_Coverage, 13105,
     /* 1835964 */     GIR_EraseRootFromParent_Done,
     /* 1835965 */   // Label 24858: @1835965
     /* 1835965 */   GIM_Try, /*On fail goto*//*Label 24859*/ GIMT_Encode4(1836051), // Rule ID 13108 //
     /* 1835970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1835973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1835978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1835981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1835984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1835987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1835990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1835993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1835996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836016 */     // MIs[0] policy
     /* 1836016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836026 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1836029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836050 */     // GIR_Coverage, 13108,
     /* 1836050 */     GIR_EraseRootFromParent_Done,
     /* 1836051 */   // Label 24859: @1836051
     /* 1836051 */   GIM_Try, /*On fail goto*//*Label 24860*/ GIMT_Encode4(1836137), // Rule ID 13109 //
     /* 1836056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1836067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1836070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1836073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1836076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1836079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836102 */     // MIs[0] policy
     /* 1836102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836112 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1836115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1836133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836136 */     // GIR_Coverage, 13109,
     /* 1836136 */     GIR_EraseRootFromParent_Done,
     /* 1836137 */   // Label 24860: @1836137
     /* 1836137 */   GIM_Try, /*On fail goto*//*Label 24861*/ GIMT_Encode4(1836223), // Rule ID 13112 //
     /* 1836142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1836145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1836159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836188 */     // MIs[0] policy
     /* 1836188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1836201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836222 */     // GIR_Coverage, 13112,
     /* 1836222 */     GIR_EraseRootFromParent_Done,
     /* 1836223 */   // Label 24861: @1836223
     /* 1836223 */   GIM_Try, /*On fail goto*//*Label 24862*/ GIMT_Encode4(1836309), // Rule ID 13113 //
     /* 1836228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1836231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1836239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1836242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1836245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1836248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1836251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1836258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1836270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836274 */     // MIs[0] policy
     /* 1836274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M1_MASK),
     /* 1836287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1836305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836308 */     // GIR_Coverage, 13113,
     /* 1836308 */     GIR_EraseRootFromParent_Done,
     /* 1836309 */   // Label 24862: @1836309
     /* 1836309 */   GIM_Try, /*On fail goto*//*Label 24863*/ GIMT_Encode4(1836395), // Rule ID 13116 //
     /* 1836314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1836331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836360 */     // MIs[0] policy
     /* 1836360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836370 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1836373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836394 */     // GIR_Coverage, 13116,
     /* 1836394 */     GIR_EraseRootFromParent_Done,
     /* 1836395 */   // Label 24863: @1836395
     /* 1836395 */   GIM_Try, /*On fail goto*//*Label 24864*/ GIMT_Encode4(1836481), // Rule ID 13117 //
     /* 1836400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1836411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1836414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1836417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1836420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1836423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836446 */     // MIs[0] policy
     /* 1836446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836456 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1836459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836480 */     // GIR_Coverage, 13117,
     /* 1836480 */     GIR_EraseRootFromParent_Done,
     /* 1836481 */   // Label 24864: @1836481
     /* 1836481 */   GIM_Try, /*On fail goto*//*Label 24865*/ GIMT_Encode4(1836567), // Rule ID 13120 //
     /* 1836486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1836503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836532 */     // MIs[0] policy
     /* 1836532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836542 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1836545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836566 */     // GIR_Coverage, 13120,
     /* 1836566 */     GIR_EraseRootFromParent_Done,
     /* 1836567 */   // Label 24865: @1836567
     /* 1836567 */   GIM_Try, /*On fail goto*//*Label 24866*/ GIMT_Encode4(1836653), // Rule ID 13121 //
     /* 1836572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1836583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1836586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1836589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1836592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1836595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1836602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1836614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836618 */     // MIs[0] policy
     /* 1836618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836628 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1836631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836652 */     // GIR_Coverage, 13121,
     /* 1836652 */     GIR_EraseRootFromParent_Done,
     /* 1836653 */   // Label 24866: @1836653
     /* 1836653 */   GIM_Try, /*On fail goto*//*Label 24867*/ GIMT_Encode4(1836739), // Rule ID 13124 //
     /* 1836658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1836669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1836672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1836675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1836678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1836681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836704 */     // MIs[0] policy
     /* 1836704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836714 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1836717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836738 */     // GIR_Coverage, 13124,
     /* 1836738 */     GIR_EraseRootFromParent_Done,
     /* 1836739 */   // Label 24867: @1836739
     /* 1836739 */   GIM_Try, /*On fail goto*//*Label 24868*/ GIMT_Encode4(1836825), // Rule ID 13125 //
     /* 1836744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1836755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1836758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1836761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1836764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1836767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1836774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1836786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836790 */     // MIs[0] policy
     /* 1836790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836800 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1836803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1836821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836824 */     // GIR_Coverage, 13125,
     /* 1836824 */     GIR_EraseRootFromParent_Done,
     /* 1836825 */   // Label 24868: @1836825
     /* 1836825 */   GIM_Try, /*On fail goto*//*Label 24869*/ GIMT_Encode4(1836911), // Rule ID 13128 //
     /* 1836830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1836833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1836847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1836856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836876 */     // MIs[0] policy
     /* 1836876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836886 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1836886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1836889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836910 */     // GIR_Coverage, 13128,
     /* 1836910 */     GIR_EraseRootFromParent_Done,
     /* 1836911 */   // Label 24869: @1836911
     /* 1836911 */   GIM_Try, /*On fail goto*//*Label 24870*/ GIMT_Encode4(1836997), // Rule ID 13129 //
     /* 1836916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1836919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1836924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1836927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1836930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1836933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1836936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1836939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1836942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1836946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1836958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1836962 */     // MIs[0] policy
     /* 1836962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1836965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1836972 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1836972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1836975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1836977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1836979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1836981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1836983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1836985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1836990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1836993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1836995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1836996 */     // GIR_Coverage, 13129,
     /* 1836996 */     GIR_EraseRootFromParent_Done,
     /* 1836997 */   // Label 24870: @1836997
     /* 1836997 */   GIM_Try, /*On fail goto*//*Label 24871*/ GIMT_Encode4(1837083), // Rule ID 13132 //
     /* 1837002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1837019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837048 */     // MIs[0] policy
     /* 1837048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837058 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1837061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837082 */     // GIR_Coverage, 13132,
     /* 1837082 */     GIR_EraseRootFromParent_Done,
     /* 1837083 */   // Label 24871: @1837083
     /* 1837083 */   GIM_Try, /*On fail goto*//*Label 24872*/ GIMT_Encode4(1837169), // Rule ID 13133 //
     /* 1837088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1837099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1837102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1837105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1837108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837134 */     // MIs[0] policy
     /* 1837134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837144 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1837147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837168 */     // GIR_Coverage, 13133,
     /* 1837168 */     GIR_EraseRootFromParent_Done,
     /* 1837169 */   // Label 24872: @1837169
     /* 1837169 */   GIM_Try, /*On fail goto*//*Label 24873*/ GIMT_Encode4(1837255), // Rule ID 13136 //
     /* 1837174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1837191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837220 */     // MIs[0] policy
     /* 1837220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837230 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1837233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837254 */     // GIR_Coverage, 13136,
     /* 1837254 */     GIR_EraseRootFromParent_Done,
     /* 1837255 */   // Label 24873: @1837255
     /* 1837255 */   GIM_Try, /*On fail goto*//*Label 24874*/ GIMT_Encode4(1837341), // Rule ID 13137 //
     /* 1837260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1837271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1837274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1837277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1837280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1837283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837306 */     // MIs[0] policy
     /* 1837306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837316 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1837319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1837337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837340 */     // GIR_Coverage, 13137,
     /* 1837340 */     GIR_EraseRootFromParent_Done,
     /* 1837341 */   // Label 24874: @1837341
     /* 1837341 */   GIM_Try, /*On fail goto*//*Label 24875*/ GIMT_Encode4(1837427), // Rule ID 13140 //
     /* 1837346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1837363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837392 */     // MIs[0] policy
     /* 1837392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837402 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1837405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837426 */     // GIR_Coverage, 13140,
     /* 1837426 */     GIR_EraseRootFromParent_Done,
     /* 1837427 */   // Label 24875: @1837427
     /* 1837427 */   GIM_Try, /*On fail goto*//*Label 24876*/ GIMT_Encode4(1837513), // Rule ID 13141 //
     /* 1837432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1837443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1837446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1837449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1837452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1837455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837478 */     // MIs[0] policy
     /* 1837478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837488 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1837491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837493 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837512 */     // GIR_Coverage, 13141,
     /* 1837512 */     GIR_EraseRootFromParent_Done,
     /* 1837513 */   // Label 24876: @1837513
     /* 1837513 */   GIM_Try, /*On fail goto*//*Label 24877*/ GIMT_Encode4(1837599), // Rule ID 13144 //
     /* 1837518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1837535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837564 */     // MIs[0] policy
     /* 1837564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837574 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1837577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837598 */     // GIR_Coverage, 13144,
     /* 1837598 */     GIR_EraseRootFromParent_Done,
     /* 1837599 */   // Label 24877: @1837599
     /* 1837599 */   GIM_Try, /*On fail goto*//*Label 24878*/ GIMT_Encode4(1837685), // Rule ID 13145 //
     /* 1837604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1837615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1837618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1837621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1837624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1837627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1837634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1837646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837650 */     // MIs[0] policy
     /* 1837650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837660 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1837663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837665 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837684 */     // GIR_Coverage, 13145,
     /* 1837684 */     GIR_EraseRootFromParent_Done,
     /* 1837685 */   // Label 24878: @1837685
     /* 1837685 */   GIM_Try, /*On fail goto*//*Label 24879*/ GIMT_Encode4(1837771), // Rule ID 13148 //
     /* 1837690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1837693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1837701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1837704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1837707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1837710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837736 */     // MIs[0] policy
     /* 1837736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837746 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1837749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837770 */     // GIR_Coverage, 13148,
     /* 1837770 */     GIR_EraseRootFromParent_Done,
     /* 1837771 */   // Label 24879: @1837771
     /* 1837771 */   GIM_Try, /*On fail goto*//*Label 24880*/ GIMT_Encode4(1837857), // Rule ID 13149 //
     /* 1837776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1837779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1837787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1837790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1837793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1837796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1837799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1837806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1837818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837822 */     // MIs[0] policy
     /* 1837822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837832 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1837832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1837835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1837853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837856 */     // GIR_Coverage, 13149,
     /* 1837856 */     GIR_EraseRootFromParent_Done,
     /* 1837857 */   // Label 24880: @1837857
     /* 1837857 */   GIM_Try, /*On fail goto*//*Label 24881*/ GIMT_Encode4(1837943), // Rule ID 13152 //
     /* 1837862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1837865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1837879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1837888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837908 */     // MIs[0] policy
     /* 1837908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1837918 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1837918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1837921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1837923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1837925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1837927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1837929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1837931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1837936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1837939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1837941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1837942 */     // GIR_Coverage, 13152,
     /* 1837942 */     GIR_EraseRootFromParent_Done,
     /* 1837943 */   // Label 24881: @1837943
     /* 1837943 */   GIM_Try, /*On fail goto*//*Label 24882*/ GIMT_Encode4(1838029), // Rule ID 13153 //
     /* 1837948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1837951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1837956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1837959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1837962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1837965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1837968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1837971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1837974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1837978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1837990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1837994 */     // MIs[0] policy
     /* 1837994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1837997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838004 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M2_MASK),
     /* 1838007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838028 */     // GIR_Coverage, 13153,
     /* 1838028 */     GIR_EraseRootFromParent_Done,
     /* 1838029 */   // Label 24882: @1838029
     /* 1838029 */   GIM_Try, /*On fail goto*//*Label 24883*/ GIMT_Encode4(1838115), // Rule ID 13156 //
     /* 1838034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1838051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838080 */     // MIs[0] policy
     /* 1838080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1838093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838114 */     // GIR_Coverage, 13156,
     /* 1838114 */     GIR_EraseRootFromParent_Done,
     /* 1838115 */   // Label 24883: @1838115
     /* 1838115 */   GIM_Try, /*On fail goto*//*Label 24884*/ GIMT_Encode4(1838201), // Rule ID 13157 //
     /* 1838120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1838131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1838134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1838137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1838140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1838150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1838162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838166 */     // MIs[0] policy
     /* 1838166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838176 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M4_MASK),
     /* 1838179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838200 */     // GIR_Coverage, 13157,
     /* 1838200 */     GIR_EraseRootFromParent_Done,
     /* 1838201 */   // Label 24884: @1838201
     /* 1838201 */   GIM_Try, /*On fail goto*//*Label 24885*/ GIMT_Encode4(1838287), // Rule ID 13160 //
     /* 1838206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1838209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1838223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838252 */     // MIs[0] policy
     /* 1838252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838262 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1838265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838286 */     // GIR_Coverage, 13160,
     /* 1838286 */     GIR_EraseRootFromParent_Done,
     /* 1838287 */   // Label 24885: @1838287
     /* 1838287 */   GIM_Try, /*On fail goto*//*Label 24886*/ GIMT_Encode4(1838373), // Rule ID 13161 //
     /* 1838292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1838295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1838303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1838306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1838309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1838312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1838315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1838322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1838334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838338 */     // MIs[0] policy
     /* 1838338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838348 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VV_M8_MASK),
     /* 1838351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1838369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838372 */     // GIR_Coverage, 13161,
     /* 1838372 */     GIR_EraseRootFromParent_Done,
     /* 1838373 */   // Label 24886: @1838373
     /* 1838373 */   GIM_Try, /*On fail goto*//*Label 24887*/ GIMT_Encode4(1838459), // Rule ID 13164 //
     /* 1838378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1838389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1838392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838424 */     // MIs[0] policy
     /* 1838424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838434 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1838437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838458 */     // GIR_Coverage, 13164,
     /* 1838458 */     GIR_EraseRootFromParent_Done,
     /* 1838459 */   // Label 24887: @1838459
     /* 1838459 */   GIM_Try, /*On fail goto*//*Label 24888*/ GIMT_Encode4(1838545), // Rule ID 13165 //
     /* 1838464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1838475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1838478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1838484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838510 */     // MIs[0] policy
     /* 1838510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838520 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF8_MASK),
     /* 1838523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838544 */     // GIR_Coverage, 13165,
     /* 1838544 */     GIR_EraseRootFromParent_Done,
     /* 1838545 */   // Label 24888: @1838545
     /* 1838545 */   GIM_Try, /*On fail goto*//*Label 24889*/ GIMT_Encode4(1838631), // Rule ID 13168 //
     /* 1838550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1838561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1838564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1838570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838596 */     // MIs[0] policy
     /* 1838596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838606 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1838609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838630 */     // GIR_Coverage, 13168,
     /* 1838630 */     GIR_EraseRootFromParent_Done,
     /* 1838631 */   // Label 24889: @1838631
     /* 1838631 */   GIM_Try, /*On fail goto*//*Label 24890*/ GIMT_Encode4(1838717), // Rule ID 13169 //
     /* 1838636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1838647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1838650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1838656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1838659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838682 */     // MIs[0] policy
     /* 1838682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838692 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1838695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838716 */     // GIR_Coverage, 13169,
     /* 1838716 */     GIR_EraseRootFromParent_Done,
     /* 1838717 */   // Label 24890: @1838717
     /* 1838717 */   GIM_Try, /*On fail goto*//*Label 24891*/ GIMT_Encode4(1838803), // Rule ID 13172 //
     /* 1838722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1838733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1838736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838768 */     // MIs[0] policy
     /* 1838768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838778 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1838781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838802 */     // GIR_Coverage, 13172,
     /* 1838802 */     GIR_EraseRootFromParent_Done,
     /* 1838803 */   // Label 24891: @1838803
     /* 1838803 */   GIM_Try, /*On fail goto*//*Label 24892*/ GIMT_Encode4(1838889), // Rule ID 13173 //
     /* 1838808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1838819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1838822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1838828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1838831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1838834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838854 */     // MIs[0] policy
     /* 1838854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838864 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1838864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1838867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1838885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838888 */     // GIR_Coverage, 13173,
     /* 1838888 */     GIR_EraseRootFromParent_Done,
     /* 1838889 */   // Label 24892: @1838889
     /* 1838889 */   GIM_Try, /*On fail goto*//*Label 24893*/ GIMT_Encode4(1838975), // Rule ID 13176 //
     /* 1838894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1838897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1838911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1838914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1838917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1838920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1838924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1838932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1838936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1838940 */     // MIs[0] policy
     /* 1838940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1838943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1838950 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1838950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1838953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1838955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1838957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1838959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1838961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1838963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1838968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1838971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1838973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1838974 */     // GIR_Coverage, 13176,
     /* 1838974 */     GIR_EraseRootFromParent_Done,
     /* 1838975 */   // Label 24893: @1838975
     /* 1838975 */   GIM_Try, /*On fail goto*//*Label 24894*/ GIMT_Encode4(1839061), // Rule ID 13177 //
     /* 1838980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1838983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1838988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1838991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1838994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1838997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1839000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839026 */     // MIs[0] policy
     /* 1839026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839036 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF4_MASK),
     /* 1839039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839060 */     // GIR_Coverage, 13177,
     /* 1839060 */     GIR_EraseRootFromParent_Done,
     /* 1839061 */   // Label 24894: @1839061
     /* 1839061 */   GIM_Try, /*On fail goto*//*Label 24895*/ GIMT_Encode4(1839147), // Rule ID 13180 //
     /* 1839066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1839086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839112 */     // MIs[0] policy
     /* 1839112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839122 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1839125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839146 */     // GIR_Coverage, 13180,
     /* 1839146 */     GIR_EraseRootFromParent_Done,
     /* 1839147 */   // Label 24895: @1839147
     /* 1839147 */   GIM_Try, /*On fail goto*//*Label 24896*/ GIMT_Encode4(1839233), // Rule ID 13181 //
     /* 1839152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1839163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1839166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1839172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839198 */     // MIs[0] policy
     /* 1839198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839208 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1839211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839232 */     // GIR_Coverage, 13181,
     /* 1839232 */     GIR_EraseRootFromParent_Done,
     /* 1839233 */   // Label 24896: @1839233
     /* 1839233 */   GIM_Try, /*On fail goto*//*Label 24897*/ GIMT_Encode4(1839319), // Rule ID 13184 //
     /* 1839238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1839258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839284 */     // MIs[0] policy
     /* 1839284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839294 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1839297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839318 */     // GIR_Coverage, 13184,
     /* 1839318 */     GIR_EraseRootFromParent_Done,
     /* 1839319 */   // Label 24897: @1839319
     /* 1839319 */   GIM_Try, /*On fail goto*//*Label 24898*/ GIMT_Encode4(1839405), // Rule ID 13185 //
     /* 1839324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1839335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1839338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1839344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839370 */     // MIs[0] policy
     /* 1839370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839380 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_MF2_MASK),
     /* 1839383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839404 */     // GIR_Coverage, 13185,
     /* 1839404 */     GIR_EraseRootFromParent_Done,
     /* 1839405 */   // Label 24898: @1839405
     /* 1839405 */   GIM_Try, /*On fail goto*//*Label 24899*/ GIMT_Encode4(1839491), // Rule ID 13188 //
     /* 1839410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1839421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1839424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839456 */     // MIs[0] policy
     /* 1839456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839466 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1839469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839490 */     // GIR_Coverage, 13188,
     /* 1839490 */     GIR_EraseRootFromParent_Done,
     /* 1839491 */   // Label 24899: @1839491
     /* 1839491 */   GIM_Try, /*On fail goto*//*Label 24900*/ GIMT_Encode4(1839577), // Rule ID 13189 //
     /* 1839496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1839507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1839510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1839516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1839519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839542 */     // MIs[0] policy
     /* 1839542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839552 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11407:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1839555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1839573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839576 */     // GIR_Coverage, 13189,
     /* 1839576 */     GIR_EraseRootFromParent_Done,
     /* 1839577 */   // Label 24900: @1839577
     /* 1839577 */   GIM_Try, /*On fail goto*//*Label 24901*/ GIMT_Encode4(1839663), // Rule ID 13192 //
     /* 1839582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839628 */     // MIs[0] policy
     /* 1839628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839638 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1839641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839662 */     // GIR_Coverage, 13192,
     /* 1839662 */     GIR_EraseRootFromParent_Done,
     /* 1839663 */   // Label 24901: @1839663
     /* 1839663 */   GIM_Try, /*On fail goto*//*Label 24902*/ GIMT_Encode4(1839749), // Rule ID 13193 //
     /* 1839668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1839679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1839682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1839688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1839691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839714 */     // MIs[0] policy
     /* 1839714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839724 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11407:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1839727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1839745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839748 */     // GIR_Coverage, 13193,
     /* 1839748 */     GIR_EraseRootFromParent_Done,
     /* 1839749 */   // Label 24902: @1839749
     /* 1839749 */   GIM_Try, /*On fail goto*//*Label 24903*/ GIMT_Encode4(1839835), // Rule ID 13196 //
     /* 1839754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1839757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839800 */     // MIs[0] policy
     /* 1839800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839810 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1839813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839834 */     // GIR_Coverage, 13196,
     /* 1839834 */     GIR_EraseRootFromParent_Done,
     /* 1839835 */   // Label 24903: @1839835
     /* 1839835 */   GIM_Try, /*On fail goto*//*Label 24904*/ GIMT_Encode4(1839921), // Rule ID 13197 //
     /* 1839840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1839843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1839851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1839854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1839857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1839860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1839863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1839866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839886 */     // MIs[0] policy
     /* 1839886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839896 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11407:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1839896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1839899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1839914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1839917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1839919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1839920 */     // GIR_Coverage, 13197,
     /* 1839920 */     GIR_EraseRootFromParent_Done,
     /* 1839921 */   // Label 24904: @1839921
     /* 1839921 */   GIM_Try, /*On fail goto*//*Label 24905*/ GIMT_Encode4(1840007), // Rule ID 13200 //
     /* 1839926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1839929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1839934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1839937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1839940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1839943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1839946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1839949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1839952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1839956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1839964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1839968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1839972 */     // MIs[0] policy
     /* 1839972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1839975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1839982 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1839982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1839985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1839987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1839989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1839991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1839993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1839995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1840003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840006 */     // GIR_Coverage, 13200,
     /* 1840006 */     GIR_EraseRootFromParent_Done,
     /* 1840007 */   // Label 24905: @1840007
     /* 1840007 */   GIM_Try, /*On fail goto*//*Label 24906*/ GIMT_Encode4(1840093), // Rule ID 13201 //
     /* 1840012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1840015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1840023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1840026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1840032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1840035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1840042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1840054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840058 */     // MIs[0] policy
     /* 1840058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840068 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11407:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M1_MASK),
     /* 1840071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1840089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840092 */     // GIR_Coverage, 13201,
     /* 1840092 */     GIR_EraseRootFromParent_Done,
     /* 1840093 */   // Label 24906: @1840093
     /* 1840093 */   GIM_Try, /*On fail goto*//*Label 24907*/ GIMT_Encode4(1840179), // Rule ID 13204 //
     /* 1840098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1840109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1840112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1840118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840144 */     // MIs[0] policy
     /* 1840144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840154 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1840157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840178 */     // GIR_Coverage, 13204,
     /* 1840178 */     GIR_EraseRootFromParent_Done,
     /* 1840179 */   // Label 24907: @1840179
     /* 1840179 */   GIM_Try, /*On fail goto*//*Label 24908*/ GIMT_Encode4(1840265), // Rule ID 13205 //
     /* 1840184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1840195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1840198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1840204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840230 */     // MIs[0] policy
     /* 1840230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840240 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1840243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840264 */     // GIR_Coverage, 13205,
     /* 1840264 */     GIR_EraseRootFromParent_Done,
     /* 1840265 */   // Label 24908: @1840265
     /* 1840265 */   GIM_Try, /*On fail goto*//*Label 24909*/ GIMT_Encode4(1840351), // Rule ID 13208 //
     /* 1840270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1840281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1840284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1840290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840316 */     // MIs[0] policy
     /* 1840316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840326 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1840329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840350 */     // GIR_Coverage, 13208,
     /* 1840350 */     GIR_EraseRootFromParent_Done,
     /* 1840351 */   // Label 24909: @1840351
     /* 1840351 */   GIM_Try, /*On fail goto*//*Label 24910*/ GIMT_Encode4(1840437), // Rule ID 13209 //
     /* 1840356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1840367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1840370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1840376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840402 */     // MIs[0] policy
     /* 1840402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840412 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1840415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840436 */     // GIR_Coverage, 13209,
     /* 1840436 */     GIR_EraseRootFromParent_Done,
     /* 1840437 */   // Label 24910: @1840437
     /* 1840437 */   GIM_Try, /*On fail goto*//*Label 24911*/ GIMT_Encode4(1840523), // Rule ID 13212 //
     /* 1840442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1840453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1840456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1840462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1840465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840488 */     // MIs[0] policy
     /* 1840488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840498 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1840501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840522 */     // GIR_Coverage, 13212,
     /* 1840522 */     GIR_EraseRootFromParent_Done,
     /* 1840523 */   // Label 24911: @1840523
     /* 1840523 */   GIM_Try, /*On fail goto*//*Label 24912*/ GIMT_Encode4(1840609), // Rule ID 13213 //
     /* 1840528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1840539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1840542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1840548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1840551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840574 */     // MIs[0] policy
     /* 1840574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840584 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1840587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1840605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840608 */     // GIR_Coverage, 13213,
     /* 1840608 */     GIR_EraseRootFromParent_Done,
     /* 1840609 */   // Label 24912: @1840609
     /* 1840609 */   GIM_Try, /*On fail goto*//*Label 24913*/ GIMT_Encode4(1840695), // Rule ID 13216 //
     /* 1840614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840660 */     // MIs[0] policy
     /* 1840660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840670 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1840673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840694 */     // GIR_Coverage, 13216,
     /* 1840694 */     GIR_EraseRootFromParent_Done,
     /* 1840695 */   // Label 24913: @1840695
     /* 1840695 */   GIM_Try, /*On fail goto*//*Label 24914*/ GIMT_Encode4(1840781), // Rule ID 13217 //
     /* 1840700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1840711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1840714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1840720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1840723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1840730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1840742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840746 */     // MIs[0] policy
     /* 1840746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840756 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1840759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840780 */     // GIR_Coverage, 13217,
     /* 1840780 */     GIR_EraseRootFromParent_Done,
     /* 1840781 */   // Label 24914: @1840781
     /* 1840781 */   GIM_Try, /*On fail goto*//*Label 24915*/ GIMT_Encode4(1840867), // Rule ID 13220 //
     /* 1840786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840832 */     // MIs[0] policy
     /* 1840832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840842 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1840842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1840845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840866 */     // GIR_Coverage, 13220,
     /* 1840866 */     GIR_EraseRootFromParent_Done,
     /* 1840867 */   // Label 24915: @1840867
     /* 1840867 */   GIM_Try, /*On fail goto*//*Label 24916*/ GIMT_Encode4(1840953), // Rule ID 13221 //
     /* 1840872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1840875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1840883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1840886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1840889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1840892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1840895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1840898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1840902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1840914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1840918 */     // MIs[0] policy
     /* 1840918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1840921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1840928 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1840928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1840931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1840933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1840935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1840937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1840939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1840941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1840946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1840949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1840951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1840952 */     // GIR_Coverage, 13221,
     /* 1840952 */     GIR_EraseRootFromParent_Done,
     /* 1840953 */   // Label 24916: @1840953
     /* 1840953 */   GIM_Try, /*On fail goto*//*Label 24917*/ GIMT_Encode4(1841039), // Rule ID 13224 //
     /* 1840958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1840961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1840966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1840969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1840972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1840975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1840978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1840981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1840984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1840988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1840992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1840996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841004 */     // MIs[0] policy
     /* 1841004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841014 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1841017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841038 */     // GIR_Coverage, 13224,
     /* 1841038 */     GIR_EraseRootFromParent_Done,
     /* 1841039 */   // Label 24917: @1841039
     /* 1841039 */   GIM_Try, /*On fail goto*//*Label 24918*/ GIMT_Encode4(1841125), // Rule ID 13225 //
     /* 1841044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1841055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1841058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1841064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1841067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841090 */     // MIs[0] policy
     /* 1841090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841100 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1841103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1841121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841124 */     // GIR_Coverage, 13225,
     /* 1841124 */     GIR_EraseRootFromParent_Done,
     /* 1841125 */   // Label 24918: @1841125
     /* 1841125 */   GIM_Try, /*On fail goto*//*Label 24919*/ GIMT_Encode4(1841211), // Rule ID 13228 //
     /* 1841130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1841141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1841144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1841150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841176 */     // MIs[0] policy
     /* 1841176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841186 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1841189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841210 */     // GIR_Coverage, 13228,
     /* 1841210 */     GIR_EraseRootFromParent_Done,
     /* 1841211 */   // Label 24919: @1841211
     /* 1841211 */   GIM_Try, /*On fail goto*//*Label 24920*/ GIMT_Encode4(1841297), // Rule ID 13229 //
     /* 1841216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1841227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1841230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1841236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841262 */     // MIs[0] policy
     /* 1841262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841272 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1841275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841296 */     // GIR_Coverage, 13229,
     /* 1841296 */     GIR_EraseRootFromParent_Done,
     /* 1841297 */   // Label 24920: @1841297
     /* 1841297 */   GIM_Try, /*On fail goto*//*Label 24921*/ GIMT_Encode4(1841383), // Rule ID 13232 //
     /* 1841302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1841322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841348 */     // MIs[0] policy
     /* 1841348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841358 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1841361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841382 */     // GIR_Coverage, 13232,
     /* 1841382 */     GIR_EraseRootFromParent_Done,
     /* 1841383 */   // Label 24921: @1841383
     /* 1841383 */   GIM_Try, /*On fail goto*//*Label 24922*/ GIMT_Encode4(1841469), // Rule ID 13233 //
     /* 1841388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1841399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1841402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1841408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1841411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841434 */     // MIs[0] policy
     /* 1841434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841444 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1841447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841468 */     // GIR_Coverage, 13233,
     /* 1841468 */     GIR_EraseRootFromParent_Done,
     /* 1841469 */   // Label 24922: @1841469
     /* 1841469 */   GIM_Try, /*On fail goto*//*Label 24923*/ GIMT_Encode4(1841555), // Rule ID 13236 //
     /* 1841474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1841477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1841494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841520 */     // MIs[0] policy
     /* 1841520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841530 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1841533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841554 */     // GIR_Coverage, 13236,
     /* 1841554 */     GIR_EraseRootFromParent_Done,
     /* 1841555 */   // Label 24923: @1841555
     /* 1841555 */   GIM_Try, /*On fail goto*//*Label 24924*/ GIMT_Encode4(1841641), // Rule ID 13237 //
     /* 1841560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1841563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1841571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1841574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1841580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1841583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1841590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1841602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841606 */     // MIs[0] policy
     /* 1841606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841616 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1841619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1841637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841640 */     // GIR_Coverage, 13237,
     /* 1841640 */     GIR_EraseRootFromParent_Done,
     /* 1841641 */   // Label 24924: @1841641
     /* 1841641 */   GIM_Try, /*On fail goto*//*Label 24925*/ GIMT_Encode4(1841727), // Rule ID 13240 //
     /* 1841646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1841649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1841657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1841660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1841666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841692 */     // MIs[0] policy
     /* 1841692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841702 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1841705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841726 */     // GIR_Coverage, 13240,
     /* 1841726 */     GIR_EraseRootFromParent_Done,
     /* 1841727 */   // Label 24925: @1841727
     /* 1841727 */   GIM_Try, /*On fail goto*//*Label 24926*/ GIMT_Encode4(1841813), // Rule ID 13241 //
     /* 1841732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1841735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1841743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1841746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1841752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1841755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1841762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1841774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841778 */     // MIs[0] policy
     /* 1841778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841788 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11407:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M2_MASK),
     /* 1841791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841812 */     // GIR_Coverage, 13241,
     /* 1841812 */     GIR_EraseRootFromParent_Done,
     /* 1841813 */   // Label 24926: @1841813
     /* 1841813 */   GIM_Try, /*On fail goto*//*Label 24927*/ GIMT_Encode4(1841899), // Rule ID 13244 //
     /* 1841818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1841821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1841835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1841838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1841844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841864 */     // MIs[0] policy
     /* 1841864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841874 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1841874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1841877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841898 */     // GIR_Coverage, 13244,
     /* 1841898 */     GIR_EraseRootFromParent_Done,
     /* 1841899 */   // Label 24927: @1841899
     /* 1841899 */   GIM_Try, /*On fail goto*//*Label 24928*/ GIMT_Encode4(1841985), // Rule ID 13245 //
     /* 1841904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1841907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1841915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1841918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1841921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1841924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1841927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1841930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1841934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1841942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1841946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1841950 */     // MIs[0] policy
     /* 1841950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1841953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1841960 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11407:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1841960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M4_MASK),
     /* 1841963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1841965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1841967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1841969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1841971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1841973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1841978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1841981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1841983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1841984 */     // GIR_Coverage, 13245,
     /* 1841984 */     GIR_EraseRootFromParent_Done,
     /* 1841985 */   // Label 24928: @1841985
     /* 1841985 */   GIM_Try, /*On fail goto*//*Label 24929*/ GIMT_Encode4(1842071), // Rule ID 13248 //
     /* 1841990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1841993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1841998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1842007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1842010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842036 */     // MIs[0] policy
     /* 1842036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842046 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1842049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842070 */     // GIR_Coverage, 13248,
     /* 1842070 */     GIR_EraseRootFromParent_Done,
     /* 1842071 */   // Label 24929: @1842071
     /* 1842071 */   GIM_Try, /*On fail goto*//*Label 24930*/ GIMT_Encode4(1842157), // Rule ID 13249 //
     /* 1842076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1842079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vmacc_mask),
     /* 1842084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1842087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1842090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1842093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1842096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1842099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1842106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1842114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1842118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842122 */     // MIs[0] policy
     /* 1842122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842132 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11407:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVMACC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMACC_VX_M8_MASK),
     /* 1842135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1842153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842156 */     // GIR_Coverage, 13249,
     /* 1842156 */     GIR_EraseRootFromParent_Done,
     /* 1842157 */   // Label 24930: @1842157
     /* 1842157 */   GIM_Try, /*On fail goto*//*Label 24931*/ GIMT_Encode4(1842243), // Rule ID 13252 //
     /* 1842162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1842173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1842176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1842182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842208 */     // MIs[0] policy
     /* 1842208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842218 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1842221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842242 */     // GIR_Coverage, 13252,
     /* 1842242 */     GIR_EraseRootFromParent_Done,
     /* 1842243 */   // Label 24931: @1842243
     /* 1842243 */   GIM_Try, /*On fail goto*//*Label 24932*/ GIMT_Encode4(1842329), // Rule ID 13253 //
     /* 1842248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1842259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1842262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1842265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1842268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842294 */     // MIs[0] policy
     /* 1842294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842304 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF8_MASK),
     /* 1842307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842328 */     // GIR_Coverage, 13253,
     /* 1842328 */     GIR_EraseRootFromParent_Done,
     /* 1842329 */   // Label 24932: @1842329
     /* 1842329 */   GIM_Try, /*On fail goto*//*Label 24933*/ GIMT_Encode4(1842415), // Rule ID 13256 //
     /* 1842334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1842345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1842348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1842351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1842354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842380 */     // MIs[0] policy
     /* 1842380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842390 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1842393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842414 */     // GIR_Coverage, 13256,
     /* 1842414 */     GIR_EraseRootFromParent_Done,
     /* 1842415 */   // Label 24933: @1842415
     /* 1842415 */   GIM_Try, /*On fail goto*//*Label 24934*/ GIMT_Encode4(1842501), // Rule ID 13257 //
     /* 1842420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1842431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1842434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1842437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1842440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842466 */     // MIs[0] policy
     /* 1842466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842476 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1842479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842500 */     // GIR_Coverage, 13257,
     /* 1842500 */     GIR_EraseRootFromParent_Done,
     /* 1842501 */   // Label 24934: @1842501
     /* 1842501 */   GIM_Try, /*On fail goto*//*Label 24935*/ GIMT_Encode4(1842587), // Rule ID 13260 //
     /* 1842506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1842517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1842520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1842523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1842526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842552 */     // MIs[0] policy
     /* 1842552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842562 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1842565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842586 */     // GIR_Coverage, 13260,
     /* 1842586 */     GIR_EraseRootFromParent_Done,
     /* 1842587 */   // Label 24935: @1842587
     /* 1842587 */   GIM_Try, /*On fail goto*//*Label 24936*/ GIMT_Encode4(1842673), // Rule ID 13261 //
     /* 1842592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1842603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1842606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1842609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1842612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1842615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842638 */     // MIs[0] policy
     /* 1842638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842648 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1842651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1842669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842672 */     // GIR_Coverage, 13261,
     /* 1842672 */     GIR_EraseRootFromParent_Done,
     /* 1842673 */   // Label 24936: @1842673
     /* 1842673 */   GIM_Try, /*On fail goto*//*Label 24937*/ GIMT_Encode4(1842759), // Rule ID 13264 //
     /* 1842678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1842695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842724 */     // MIs[0] policy
     /* 1842724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842734 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1842737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842758 */     // GIR_Coverage, 13264,
     /* 1842758 */     GIR_EraseRootFromParent_Done,
     /* 1842759 */   // Label 24937: @1842759
     /* 1842759 */   GIM_Try, /*On fail goto*//*Label 24938*/ GIMT_Encode4(1842845), // Rule ID 13265 //
     /* 1842764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1842775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1842778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1842781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1842784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1842787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842810 */     // MIs[0] policy
     /* 1842810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842820 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF4_MASK),
     /* 1842823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842844 */     // GIR_Coverage, 13265,
     /* 1842844 */     GIR_EraseRootFromParent_Done,
     /* 1842845 */   // Label 24938: @1842845
     /* 1842845 */   GIM_Try, /*On fail goto*//*Label 24939*/ GIMT_Encode4(1842931), // Rule ID 13268 //
     /* 1842850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1842853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1842867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1842876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842896 */     // MIs[0] policy
     /* 1842896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842906 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1842906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1842909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1842915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1842917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1842919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1842924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1842927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1842929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1842930 */     // GIR_Coverage, 13268,
     /* 1842930 */     GIR_EraseRootFromParent_Done,
     /* 1842931 */   // Label 24939: @1842931
     /* 1842931 */   GIM_Try, /*On fail goto*//*Label 24940*/ GIMT_Encode4(1843017), // Rule ID 13269 //
     /* 1842936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1842939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1842944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1842947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1842950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1842953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1842956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1842959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1842962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1842966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1842978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1842982 */     // MIs[0] policy
     /* 1842982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1842985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1842992 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1842992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1842995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1842997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1842999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843016 */     // GIR_Coverage, 13269,
     /* 1843016 */     GIR_EraseRootFromParent_Done,
     /* 1843017 */   // Label 24940: @1843017
     /* 1843017 */   GIM_Try, /*On fail goto*//*Label 24941*/ GIMT_Encode4(1843103), // Rule ID 13272 //
     /* 1843022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1843033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1843036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1843039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1843042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843068 */     // MIs[0] policy
     /* 1843068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843078 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1843081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843102 */     // GIR_Coverage, 13272,
     /* 1843102 */     GIR_EraseRootFromParent_Done,
     /* 1843103 */   // Label 24941: @1843103
     /* 1843103 */   GIM_Try, /*On fail goto*//*Label 24942*/ GIMT_Encode4(1843189), // Rule ID 13273 //
     /* 1843108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1843119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1843122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1843125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1843128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843154 */     // MIs[0] policy
     /* 1843154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843164 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_MF2_MASK),
     /* 1843167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843188 */     // GIR_Coverage, 13273,
     /* 1843188 */     GIR_EraseRootFromParent_Done,
     /* 1843189 */   // Label 24942: @1843189
     /* 1843189 */   GIM_Try, /*On fail goto*//*Label 24943*/ GIMT_Encode4(1843275), // Rule ID 13276 //
     /* 1843194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1843205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1843208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1843211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1843214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843240 */     // MIs[0] policy
     /* 1843240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843250 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1843253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843274 */     // GIR_Coverage, 13276,
     /* 1843274 */     GIR_EraseRootFromParent_Done,
     /* 1843275 */   // Label 24943: @1843275
     /* 1843275 */   GIM_Try, /*On fail goto*//*Label 24944*/ GIMT_Encode4(1843361), // Rule ID 13277 //
     /* 1843280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1843291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1843294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1843297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1843300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1843303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843326 */     // MIs[0] policy
     /* 1843326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843336 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1843339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843360 */     // GIR_Coverage, 13277,
     /* 1843360 */     GIR_EraseRootFromParent_Done,
     /* 1843361 */   // Label 24944: @1843361
     /* 1843361 */   GIM_Try, /*On fail goto*//*Label 24945*/ GIMT_Encode4(1843447), // Rule ID 13280 //
     /* 1843366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1843383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1843386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843412 */     // MIs[0] policy
     /* 1843412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843422 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1843425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843446 */     // GIR_Coverage, 13280,
     /* 1843446 */     GIR_EraseRootFromParent_Done,
     /* 1843447 */   // Label 24945: @1843447
     /* 1843447 */   GIM_Try, /*On fail goto*//*Label 24946*/ GIMT_Encode4(1843533), // Rule ID 13281 //
     /* 1843452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1843463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1843466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1843469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1843472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1843475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843498 */     // MIs[0] policy
     /* 1843498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843508 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1843511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1843529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843532 */     // GIR_Coverage, 13281,
     /* 1843532 */     GIR_EraseRootFromParent_Done,
     /* 1843533 */   // Label 24946: @1843533
     /* 1843533 */   GIM_Try, /*On fail goto*//*Label 24947*/ GIMT_Encode4(1843619), // Rule ID 13284 //
     /* 1843538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1843549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1843552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1843555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843584 */     // MIs[0] policy
     /* 1843584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843594 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1843597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843618 */     // GIR_Coverage, 13284,
     /* 1843618 */     GIR_EraseRootFromParent_Done,
     /* 1843619 */   // Label 24947: @1843619
     /* 1843619 */   GIM_Try, /*On fail goto*//*Label 24948*/ GIMT_Encode4(1843705), // Rule ID 13285 //
     /* 1843624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1843635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1843638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1843641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1843644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1843647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843670 */     // MIs[0] policy
     /* 1843670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843680 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1843683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1843701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843704 */     // GIR_Coverage, 13285,
     /* 1843704 */     GIR_EraseRootFromParent_Done,
     /* 1843705 */   // Label 24948: @1843705
     /* 1843705 */   GIM_Try, /*On fail goto*//*Label 24949*/ GIMT_Encode4(1843791), // Rule ID 13288 //
     /* 1843710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1843713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1843721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1843727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1843730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843756 */     // MIs[0] policy
     /* 1843756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843766 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1843769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1843787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843790 */     // GIR_Coverage, 13288,
     /* 1843790 */     GIR_EraseRootFromParent_Done,
     /* 1843791 */   // Label 24949: @1843791
     /* 1843791 */   GIM_Try, /*On fail goto*//*Label 24950*/ GIMT_Encode4(1843877), // Rule ID 13289 //
     /* 1843796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1843799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1843807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1843810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1843813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1843816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1843819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1843826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1843838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843842 */     // MIs[0] policy
     /* 1843842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843852 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1843852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M1_MASK),
     /* 1843855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1843873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843876 */     // GIR_Coverage, 13289,
     /* 1843876 */     GIR_EraseRootFromParent_Done,
     /* 1843877 */   // Label 24950: @1843877
     /* 1843877 */   GIM_Try, /*On fail goto*//*Label 24951*/ GIMT_Encode4(1843963), // Rule ID 13292 //
     /* 1843882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1843885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1843893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1843896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1843908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1843924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1843928 */     // MIs[0] policy
     /* 1843928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1843931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1843938 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1843938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1843941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1843943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1843945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1843947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1843949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1843951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1843956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1843959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1843961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1843962 */     // GIR_Coverage, 13292,
     /* 1843962 */     GIR_EraseRootFromParent_Done,
     /* 1843963 */   // Label 24951: @1843963
     /* 1843963 */   GIM_Try, /*On fail goto*//*Label 24952*/ GIMT_Encode4(1844049), // Rule ID 13293 //
     /* 1843968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1843971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1843976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1843979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1843982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1843985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1843988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1843991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1843994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1843998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844014 */     // MIs[0] policy
     /* 1844014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844024 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1844027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844048 */     // GIR_Coverage, 13293,
     /* 1844048 */     GIR_EraseRootFromParent_Done,
     /* 1844049 */   // Label 24952: @1844049
     /* 1844049 */   GIM_Try, /*On fail goto*//*Label 24953*/ GIMT_Encode4(1844135), // Rule ID 13296 //
     /* 1844054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1844065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1844068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844100 */     // MIs[0] policy
     /* 1844100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844110 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1844113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844134 */     // GIR_Coverage, 13296,
     /* 1844134 */     GIR_EraseRootFromParent_Done,
     /* 1844135 */   // Label 24953: @1844135
     /* 1844135 */   GIM_Try, /*On fail goto*//*Label 24954*/ GIMT_Encode4(1844221), // Rule ID 13297 //
     /* 1844140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1844151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1844154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1844157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1844160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844186 */     // MIs[0] policy
     /* 1844186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844196 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1844199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844220 */     // GIR_Coverage, 13297,
     /* 1844220 */     GIR_EraseRootFromParent_Done,
     /* 1844221 */   // Label 24954: @1844221
     /* 1844221 */   GIM_Try, /*On fail goto*//*Label 24955*/ GIMT_Encode4(1844307), // Rule ID 13300 //
     /* 1844226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1844237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1844240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1844243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1844246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1844249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844272 */     // MIs[0] policy
     /* 1844272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844282 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1844285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844306 */     // GIR_Coverage, 13300,
     /* 1844306 */     GIR_EraseRootFromParent_Done,
     /* 1844307 */   // Label 24955: @1844307
     /* 1844307 */   GIM_Try, /*On fail goto*//*Label 24956*/ GIMT_Encode4(1844393), // Rule ID 13301 //
     /* 1844312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1844323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1844326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1844329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1844332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1844335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844358 */     // MIs[0] policy
     /* 1844358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844368 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1844371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1844389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844392 */     // GIR_Coverage, 13301,
     /* 1844392 */     GIR_EraseRootFromParent_Done,
     /* 1844393 */   // Label 24956: @1844393
     /* 1844393 */   GIM_Try, /*On fail goto*//*Label 24957*/ GIMT_Encode4(1844479), // Rule ID 13304 //
     /* 1844398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1844415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844444 */     // MIs[0] policy
     /* 1844444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844454 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1844457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844478 */     // GIR_Coverage, 13304,
     /* 1844478 */     GIR_EraseRootFromParent_Done,
     /* 1844479 */   // Label 24957: @1844479
     /* 1844479 */   GIM_Try, /*On fail goto*//*Label 24958*/ GIMT_Encode4(1844565), // Rule ID 13305 //
     /* 1844484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1844495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1844498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1844501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1844504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1844507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844530 */     // MIs[0] policy
     /* 1844530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844540 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1844543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844564 */     // GIR_Coverage, 13305,
     /* 1844564 */     GIR_EraseRootFromParent_Done,
     /* 1844565 */   // Label 24958: @1844565
     /* 1844565 */   GIM_Try, /*On fail goto*//*Label 24959*/ GIMT_Encode4(1844651), // Rule ID 13308 //
     /* 1844570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844616 */     // MIs[0] policy
     /* 1844616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844626 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1844629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844650 */     // GIR_Coverage, 13308,
     /* 1844650 */     GIR_EraseRootFromParent_Done,
     /* 1844651 */   // Label 24959: @1844651
     /* 1844651 */   GIM_Try, /*On fail goto*//*Label 24960*/ GIMT_Encode4(1844737), // Rule ID 13309 //
     /* 1844656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1844667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1844670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1844673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1844676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1844679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1844686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1844698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844702 */     // MIs[0] policy
     /* 1844702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844712 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1844715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844736 */     // GIR_Coverage, 13309,
     /* 1844736 */     GIR_EraseRootFromParent_Done,
     /* 1844737 */   // Label 24960: @1844737
     /* 1844737 */   GIM_Try, /*On fail goto*//*Label 24961*/ GIMT_Encode4(1844823), // Rule ID 13312 //
     /* 1844742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1844759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1844762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844788 */     // MIs[0] policy
     /* 1844788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844798 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1844801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844822 */     // GIR_Coverage, 13312,
     /* 1844822 */     GIR_EraseRootFromParent_Done,
     /* 1844823 */   // Label 24961: @1844823
     /* 1844823 */   GIM_Try, /*On fail goto*//*Label 24962*/ GIMT_Encode4(1844909), // Rule ID 13313 //
     /* 1844828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1844831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1844839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1844842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1844845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1844848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1844851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1844854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1844858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1844870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844874 */     // MIs[0] policy
     /* 1844874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844884 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1844884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1844887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1844905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844908 */     // GIR_Coverage, 13313,
     /* 1844908 */     GIR_EraseRootFromParent_Done,
     /* 1844909 */   // Label 24962: @1844909
     /* 1844909 */   GIM_Try, /*On fail goto*//*Label 24963*/ GIMT_Encode4(1844995), // Rule ID 13316 //
     /* 1844914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1844917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1844922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1844925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1844928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1844931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1844934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1844937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1844940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1844944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1844956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1844960 */     // MIs[0] policy
     /* 1844960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1844963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1844970 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1844970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1844973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1844975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1844977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1844979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1844981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1844983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1844988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1844991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1844993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1844994 */     // GIR_Coverage, 13316,
     /* 1844994 */     GIR_EraseRootFromParent_Done,
     /* 1844995 */   // Label 24963: @1844995
     /* 1844995 */   GIM_Try, /*On fail goto*//*Label 24964*/ GIMT_Encode4(1845081), // Rule ID 13317 //
     /* 1845000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1845011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1845014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1845017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1845020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845046 */     // MIs[0] policy
     /* 1845046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845056 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1845059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845080 */     // GIR_Coverage, 13317,
     /* 1845080 */     GIR_EraseRootFromParent_Done,
     /* 1845081 */   // Label 24964: @1845081
     /* 1845081 */   GIM_Try, /*On fail goto*//*Label 24965*/ GIMT_Encode4(1845167), // Rule ID 13320 //
     /* 1845086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1845106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845132 */     // MIs[0] policy
     /* 1845132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845142 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1845145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845166 */     // GIR_Coverage, 13320,
     /* 1845166 */     GIR_EraseRootFromParent_Done,
     /* 1845167 */   // Label 24965: @1845167
     /* 1845167 */   GIM_Try, /*On fail goto*//*Label 24966*/ GIMT_Encode4(1845253), // Rule ID 13321 //
     /* 1845172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1845183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1845186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1845189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1845192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845218 */     // MIs[0] policy
     /* 1845218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845228 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1845231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845252 */     // GIR_Coverage, 13321,
     /* 1845252 */     GIR_EraseRootFromParent_Done,
     /* 1845253 */   // Label 24966: @1845253
     /* 1845253 */   GIM_Try, /*On fail goto*//*Label 24967*/ GIMT_Encode4(1845339), // Rule ID 13324 //
     /* 1845258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1845275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1845278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845304 */     // MIs[0] policy
     /* 1845304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845314 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1845317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845338 */     // GIR_Coverage, 13324,
     /* 1845338 */     GIR_EraseRootFromParent_Done,
     /* 1845339 */   // Label 24967: @1845339
     /* 1845339 */   GIM_Try, /*On fail goto*//*Label 24968*/ GIMT_Encode4(1845425), // Rule ID 13325 //
     /* 1845344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1845347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1845355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1845358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1845361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1845364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1845367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845390 */     // MIs[0] policy
     /* 1845390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845400 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1845403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1845421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845424 */     // GIR_Coverage, 13325,
     /* 1845424 */     GIR_EraseRootFromParent_Done,
     /* 1845425 */   // Label 24968: @1845425
     /* 1845425 */   GIM_Try, /*On fail goto*//*Label 24969*/ GIMT_Encode4(1845511), // Rule ID 13328 //
     /* 1845430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1845433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1845447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1845450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845476 */     // MIs[0] policy
     /* 1845476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845486 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1845489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845510 */     // GIR_Coverage, 13328,
     /* 1845510 */     GIR_EraseRootFromParent_Done,
     /* 1845511 */   // Label 24969: @1845511
     /* 1845511 */   GIM_Try, /*On fail goto*//*Label 24970*/ GIMT_Encode4(1845597), // Rule ID 13329 //
     /* 1845516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1845519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1845527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1845530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1845533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1845536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1845539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1845546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1845558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845562 */     // MIs[0] policy
     /* 1845562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845572 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M2_MASK),
     /* 1845575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845596 */     // GIR_Coverage, 13329,
     /* 1845596 */     GIR_EraseRootFromParent_Done,
     /* 1845597 */   // Label 24970: @1845597
     /* 1845597 */   GIM_Try, /*On fail goto*//*Label 24971*/ GIMT_Encode4(1845683), // Rule ID 13332 //
     /* 1845602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1845605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1845619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1845622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845648 */     // MIs[0] policy
     /* 1845648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845658 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1845661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845682 */     // GIR_Coverage, 13332,
     /* 1845682 */     GIR_EraseRootFromParent_Done,
     /* 1845683 */   // Label 24971: @1845683
     /* 1845683 */   GIM_Try, /*On fail goto*//*Label 24972*/ GIMT_Encode4(1845769), // Rule ID 13333 //
     /* 1845688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1845691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1845699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1845702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1845705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1845708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1845711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1845718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1845730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845734 */     // MIs[0] policy
     /* 1845734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845744 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M4_MASK),
     /* 1845747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845768 */     // GIR_Coverage, 13333,
     /* 1845768 */     GIR_EraseRootFromParent_Done,
     /* 1845769 */   // Label 24972: @1845769
     /* 1845769 */   GIM_Try, /*On fail goto*//*Label 24973*/ GIMT_Encode4(1845855), // Rule ID 13336 //
     /* 1845774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1845777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1845791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1845794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845820 */     // MIs[0] policy
     /* 1845820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845830 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1845830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1845833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845854 */     // GIR_Coverage, 13336,
     /* 1845854 */     GIR_EraseRootFromParent_Done,
     /* 1845855 */   // Label 24973: @1845855
     /* 1845855 */   GIM_Try, /*On fail goto*//*Label 24974*/ GIMT_Encode4(1845941), // Rule ID 13337 //
     /* 1845860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1845863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1845871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1845874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1845877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1845880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1845883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1845886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1845890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1845902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845906 */     // MIs[0] policy
     /* 1845906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1845916 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1845916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VV_M8_MASK),
     /* 1845919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1845921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1845923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1845925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1845927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1845929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1845934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1845937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1845939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1845940 */     // GIR_Coverage, 13337,
     /* 1845940 */     GIR_EraseRootFromParent_Done,
     /* 1845941 */   // Label 24974: @1845941
     /* 1845941 */   GIM_Try, /*On fail goto*//*Label 24975*/ GIMT_Encode4(1846027), // Rule ID 13340 //
     /* 1845946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1845949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1845954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1845957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1845960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1845963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1845966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1845969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1845972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1845976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1845984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1845988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1845992 */     // MIs[0] policy
     /* 1845992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1845995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846002 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1846005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846026 */     // GIR_Coverage, 13340,
     /* 1846026 */     GIR_EraseRootFromParent_Done,
     /* 1846027 */   // Label 24975: @1846027
     /* 1846027 */   GIM_Try, /*On fail goto*//*Label 24976*/ GIMT_Encode4(1846113), // Rule ID 13341 //
     /* 1846032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1846043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1846046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1846052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846078 */     // MIs[0] policy
     /* 1846078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846088 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF8_MASK),
     /* 1846091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846112 */     // GIR_Coverage, 13341,
     /* 1846112 */     GIR_EraseRootFromParent_Done,
     /* 1846113 */   // Label 24976: @1846113
     /* 1846113 */   GIM_Try, /*On fail goto*//*Label 24977*/ GIMT_Encode4(1846199), // Rule ID 13344 //
     /* 1846118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1846129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1846132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846164 */     // MIs[0] policy
     /* 1846164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846174 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1846177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846198 */     // GIR_Coverage, 13344,
     /* 1846198 */     GIR_EraseRootFromParent_Done,
     /* 1846199 */   // Label 24977: @1846199
     /* 1846199 */   GIM_Try, /*On fail goto*//*Label 24978*/ GIMT_Encode4(1846285), // Rule ID 13345 //
     /* 1846204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1846215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1846218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1846224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846250 */     // MIs[0] policy
     /* 1846250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846260 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1846263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846284 */     // GIR_Coverage, 13345,
     /* 1846284 */     GIR_EraseRootFromParent_Done,
     /* 1846285 */   // Label 24978: @1846285
     /* 1846285 */   GIM_Try, /*On fail goto*//*Label 24979*/ GIMT_Encode4(1846371), // Rule ID 13348 //
     /* 1846290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1846301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1846304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846336 */     // MIs[0] policy
     /* 1846336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1846349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846370 */     // GIR_Coverage, 13348,
     /* 1846370 */     GIR_EraseRootFromParent_Done,
     /* 1846371 */   // Label 24979: @1846371
     /* 1846371 */   GIM_Try, /*On fail goto*//*Label 24980*/ GIMT_Encode4(1846457), // Rule ID 13349 //
     /* 1846376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1846387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1846390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1846396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1846399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846422 */     // MIs[0] policy
     /* 1846422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846432 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1846435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1846453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846456 */     // GIR_Coverage, 13349,
     /* 1846456 */     GIR_EraseRootFromParent_Done,
     /* 1846457 */   // Label 24980: @1846457
     /* 1846457 */   GIM_Try, /*On fail goto*//*Label 24981*/ GIMT_Encode4(1846543), // Rule ID 13352 //
     /* 1846462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846508 */     // MIs[0] policy
     /* 1846508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846518 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1846521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846542 */     // GIR_Coverage, 13352,
     /* 1846542 */     GIR_EraseRootFromParent_Done,
     /* 1846543 */   // Label 24981: @1846543
     /* 1846543 */   GIM_Try, /*On fail goto*//*Label 24982*/ GIMT_Encode4(1846629), // Rule ID 13353 //
     /* 1846548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1846559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1846562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1846568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846594 */     // MIs[0] policy
     /* 1846594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846604 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF4_MASK),
     /* 1846607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846628 */     // GIR_Coverage, 13353,
     /* 1846628 */     GIR_EraseRootFromParent_Done,
     /* 1846629 */   // Label 24982: @1846629
     /* 1846629 */   GIM_Try, /*On fail goto*//*Label 24983*/ GIMT_Encode4(1846715), // Rule ID 13356 //
     /* 1846634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846680 */     // MIs[0] policy
     /* 1846680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846690 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1846693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846714 */     // GIR_Coverage, 13356,
     /* 1846714 */     GIR_EraseRootFromParent_Done,
     /* 1846715 */   // Label 24983: @1846715
     /* 1846715 */   GIM_Try, /*On fail goto*//*Label 24984*/ GIMT_Encode4(1846801), // Rule ID 13357 //
     /* 1846720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1846731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1846734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1846740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1846743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846766 */     // MIs[0] policy
     /* 1846766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846776 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1846779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1846797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846800 */     // GIR_Coverage, 13357,
     /* 1846800 */     GIR_EraseRootFromParent_Done,
     /* 1846801 */   // Label 24984: @1846801
     /* 1846801 */   GIM_Try, /*On fail goto*//*Label 24985*/ GIMT_Encode4(1846887), // Rule ID 13360 //
     /* 1846806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1846826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1846832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846852 */     // MIs[0] policy
     /* 1846852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846862 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1846862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1846865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846886 */     // GIR_Coverage, 13360,
     /* 1846886 */     GIR_EraseRootFromParent_Done,
     /* 1846887 */   // Label 24985: @1846887
     /* 1846887 */   GIM_Try, /*On fail goto*//*Label 24986*/ GIMT_Encode4(1846973), // Rule ID 13361 //
     /* 1846892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1846895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1846903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1846906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1846909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1846912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1846915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1846918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1846922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1846930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1846934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1846938 */     // MIs[0] policy
     /* 1846938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1846941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1846948 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1846948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_MF2_MASK),
     /* 1846951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1846953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1846955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1846957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1846959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1846961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1846966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1846969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1846971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1846972 */     // GIR_Coverage, 13361,
     /* 1846972 */     GIR_EraseRootFromParent_Done,
     /* 1846973 */   // Label 24986: @1846973
     /* 1846973 */   GIM_Try, /*On fail goto*//*Label 24987*/ GIMT_Encode4(1847059), // Rule ID 13364 //
     /* 1846978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1846981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1846986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1846989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1846992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1846995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1846998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847024 */     // MIs[0] policy
     /* 1847024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847034 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1847037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847058 */     // GIR_Coverage, 13364,
     /* 1847058 */     GIR_EraseRootFromParent_Done,
     /* 1847059 */   // Label 24987: @1847059
     /* 1847059 */   GIM_Try, /*On fail goto*//*Label 24988*/ GIMT_Encode4(1847145), // Rule ID 13365 //
     /* 1847064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1847075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1847078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1847084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1847087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847110 */     // MIs[0] policy
     /* 1847110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847120 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11488:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1847123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847144 */     // GIR_Coverage, 13365,
     /* 1847144 */     GIR_EraseRootFromParent_Done,
     /* 1847145 */   // Label 24988: @1847145
     /* 1847145 */   GIM_Try, /*On fail goto*//*Label 24989*/ GIMT_Encode4(1847231), // Rule ID 13368 //
     /* 1847150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1847161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1847164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847196 */     // MIs[0] policy
     /* 1847196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847206 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1847209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847230 */     // GIR_Coverage, 13368,
     /* 1847230 */     GIR_EraseRootFromParent_Done,
     /* 1847231 */   // Label 24989: @1847231
     /* 1847231 */   GIM_Try, /*On fail goto*//*Label 24990*/ GIMT_Encode4(1847317), // Rule ID 13369 //
     /* 1847236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1847247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1847250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1847256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1847259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847282 */     // MIs[0] policy
     /* 1847282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847292 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11488:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1847295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1847313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847316 */     // GIR_Coverage, 13369,
     /* 1847316 */     GIR_EraseRootFromParent_Done,
     /* 1847317 */   // Label 24990: @1847317
     /* 1847317 */   GIM_Try, /*On fail goto*//*Label 24991*/ GIMT_Encode4(1847403), // Rule ID 13372 //
     /* 1847322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847368 */     // MIs[0] policy
     /* 1847368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847378 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1847381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847402 */     // GIR_Coverage, 13372,
     /* 1847402 */     GIR_EraseRootFromParent_Done,
     /* 1847403 */   // Label 24991: @1847403
     /* 1847403 */   GIM_Try, /*On fail goto*//*Label 24992*/ GIMT_Encode4(1847489), // Rule ID 13373 //
     /* 1847408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1847419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1847422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1847428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1847431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847454 */     // MIs[0] policy
     /* 1847454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847464 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11488:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1847467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1847485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847488 */     // GIR_Coverage, 13373,
     /* 1847488 */     GIR_EraseRootFromParent_Done,
     /* 1847489 */   // Label 24992: @1847489
     /* 1847489 */   GIM_Try, /*On fail goto*//*Label 24993*/ GIMT_Encode4(1847575), // Rule ID 13376 //
     /* 1847494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1847497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1847514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847540 */     // MIs[0] policy
     /* 1847540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847550 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1847553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1847571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847574 */     // GIR_Coverage, 13376,
     /* 1847574 */     GIR_EraseRootFromParent_Done,
     /* 1847575 */   // Label 24993: @1847575
     /* 1847575 */   GIM_Try, /*On fail goto*//*Label 24994*/ GIMT_Encode4(1847661), // Rule ID 13377 //
     /* 1847580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1847583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1847591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1847594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1847600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1847603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1847610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1847622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847626 */     // MIs[0] policy
     /* 1847626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847636 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11488:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M1_MASK),
     /* 1847639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1847657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847660 */     // GIR_Coverage, 13377,
     /* 1847660 */     GIR_EraseRootFromParent_Done,
     /* 1847661 */   // Label 24994: @1847661
     /* 1847661 */   GIM_Try, /*On fail goto*//*Label 24995*/ GIMT_Encode4(1847747), // Rule ID 13380 //
     /* 1847666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1847677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1847680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1847686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847712 */     // MIs[0] policy
     /* 1847712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847722 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1847725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847746 */     // GIR_Coverage, 13380,
     /* 1847746 */     GIR_EraseRootFromParent_Done,
     /* 1847747 */   // Label 24995: @1847747
     /* 1847747 */   GIM_Try, /*On fail goto*//*Label 24996*/ GIMT_Encode4(1847833), // Rule ID 13381 //
     /* 1847752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1847763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1847766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1847772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1847775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1847782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1847794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847798 */     // MIs[0] policy
     /* 1847798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847808 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1847811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847832 */     // GIR_Coverage, 13381,
     /* 1847832 */     GIR_EraseRootFromParent_Done,
     /* 1847833 */   // Label 24996: @1847833
     /* 1847833 */   GIM_Try, /*On fail goto*//*Label 24997*/ GIMT_Encode4(1847919), // Rule ID 13384 //
     /* 1847838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1847841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1847849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1847852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1847855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1847864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847884 */     // MIs[0] policy
     /* 1847884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847894 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1847894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1847897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1847915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1847917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1847918 */     // GIR_Coverage, 13384,
     /* 1847918 */     GIR_EraseRootFromParent_Done,
     /* 1847919 */   // Label 24997: @1847919
     /* 1847919 */   GIM_Try, /*On fail goto*//*Label 24998*/ GIMT_Encode4(1848005), // Rule ID 13385 //
     /* 1847924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1847927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1847932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1847935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1847938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1847941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1847944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1847947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1847950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1847954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1847962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1847966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1847970 */     // MIs[0] policy
     /* 1847970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1847973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1847980 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1847980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1847983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1847985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1847987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1847989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1847991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1847993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1847998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848004 */     // GIR_Coverage, 13385,
     /* 1848004 */     GIR_EraseRootFromParent_Done,
     /* 1848005 */   // Label 24998: @1848005
     /* 1848005 */   GIM_Try, /*On fail goto*//*Label 24999*/ GIMT_Encode4(1848091), // Rule ID 13388 //
     /* 1848010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1848021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1848024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1848030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1848033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848056 */     // MIs[0] policy
     /* 1848056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848066 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1848069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848090 */     // GIR_Coverage, 13388,
     /* 1848090 */     GIR_EraseRootFromParent_Done,
     /* 1848091 */   // Label 24999: @1848091
     /* 1848091 */   GIM_Try, /*On fail goto*//*Label 25000*/ GIMT_Encode4(1848177), // Rule ID 13389 //
     /* 1848096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1848107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1848110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1848116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1848119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848142 */     // MIs[0] policy
     /* 1848142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848152 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1848155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1848173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848176 */     // GIR_Coverage, 13389,
     /* 1848176 */     GIR_EraseRootFromParent_Done,
     /* 1848177 */   // Label 25000: @1848177
     /* 1848177 */   GIM_Try, /*On fail goto*//*Label 25001*/ GIMT_Encode4(1848263), // Rule ID 13392 //
     /* 1848182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1848202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848228 */     // MIs[0] policy
     /* 1848228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848238 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1848241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848262 */     // GIR_Coverage, 13392,
     /* 1848262 */     GIR_EraseRootFromParent_Done,
     /* 1848263 */   // Label 25001: @1848263
     /* 1848263 */   GIM_Try, /*On fail goto*//*Label 25002*/ GIMT_Encode4(1848349), // Rule ID 13393 //
     /* 1848268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1848279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1848282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1848288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848314 */     // MIs[0] policy
     /* 1848314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848324 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1848327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848348 */     // GIR_Coverage, 13393,
     /* 1848348 */     GIR_EraseRootFromParent_Done,
     /* 1848349 */   // Label 25002: @1848349
     /* 1848349 */   GIM_Try, /*On fail goto*//*Label 25003*/ GIMT_Encode4(1848435), // Rule ID 13396 //
     /* 1848354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1848374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848400 */     // MIs[0] policy
     /* 1848400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848410 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1848413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848434 */     // GIR_Coverage, 13396,
     /* 1848434 */     GIR_EraseRootFromParent_Done,
     /* 1848435 */   // Label 25003: @1848435
     /* 1848435 */   GIM_Try, /*On fail goto*//*Label 25004*/ GIMT_Encode4(1848521), // Rule ID 13397 //
     /* 1848440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1848451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1848454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1848460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1848463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848486 */     // MIs[0] policy
     /* 1848486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848496 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1848499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848520 */     // GIR_Coverage, 13397,
     /* 1848520 */     GIR_EraseRootFromParent_Done,
     /* 1848521 */   // Label 25004: @1848521
     /* 1848521 */   GIM_Try, /*On fail goto*//*Label 25005*/ GIMT_Encode4(1848607), // Rule ID 13400 //
     /* 1848526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1848546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848572 */     // MIs[0] policy
     /* 1848572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848582 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1848585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848606 */     // GIR_Coverage, 13400,
     /* 1848606 */     GIR_EraseRootFromParent_Done,
     /* 1848607 */   // Label 25005: @1848607
     /* 1848607 */   GIM_Try, /*On fail goto*//*Label 25006*/ GIMT_Encode4(1848693), // Rule ID 13401 //
     /* 1848612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1848623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1848626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1848632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1848635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1848642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1848654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848658 */     // MIs[0] policy
     /* 1848658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848668 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1848671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1848689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848692 */     // GIR_Coverage, 13401,
     /* 1848692 */     GIR_EraseRootFromParent_Done,
     /* 1848693 */   // Label 25006: @1848693
     /* 1848693 */   GIM_Try, /*On fail goto*//*Label 25007*/ GIMT_Encode4(1848779), // Rule ID 13404 //
     /* 1848698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1848709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1848712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848744 */     // MIs[0] policy
     /* 1848744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848754 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1848757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848778 */     // GIR_Coverage, 13404,
     /* 1848778 */     GIR_EraseRootFromParent_Done,
     /* 1848779 */   // Label 25007: @1848779
     /* 1848779 */   GIM_Try, /*On fail goto*//*Label 25008*/ GIMT_Encode4(1848865), // Rule ID 13405 //
     /* 1848784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1848795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1848798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1848804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1848807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1848814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1848826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848830 */     // MIs[0] policy
     /* 1848830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848840 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1848840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1848843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848864 */     // GIR_Coverage, 13405,
     /* 1848864 */     GIR_EraseRootFromParent_Done,
     /* 1848865 */   // Label 25008: @1848865
     /* 1848865 */   GIM_Try, /*On fail goto*//*Label 25009*/ GIMT_Encode4(1848951), // Rule ID 13408 //
     /* 1848870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1848873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1848887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1848896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1848916 */     // MIs[0] policy
     /* 1848916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1848919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1848926 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1848926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1848929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1848931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1848933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1848935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1848937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1848939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1848944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1848947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1848949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1848950 */     // GIR_Coverage, 13408,
     /* 1848950 */     GIR_EraseRootFromParent_Done,
     /* 1848951 */   // Label 25009: @1848951
     /* 1848951 */   GIM_Try, /*On fail goto*//*Label 25010*/ GIMT_Encode4(1849037), // Rule ID 13409 //
     /* 1848956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1848959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1848964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1848967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1848970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1848973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1848976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1848979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1848982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1848986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1848994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1848998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849002 */     // MIs[0] policy
     /* 1849002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849012 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1849015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849036 */     // GIR_Coverage, 13409,
     /* 1849036 */     GIR_EraseRootFromParent_Done,
     /* 1849037 */   // Label 25010: @1849037
     /* 1849037 */   GIM_Try, /*On fail goto*//*Label 25011*/ GIMT_Encode4(1849123), // Rule ID 13412 //
     /* 1849042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1849050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1849062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849088 */     // MIs[0] policy
     /* 1849088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849098 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1849101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849122 */     // GIR_Coverage, 13412,
     /* 1849122 */     GIR_EraseRootFromParent_Done,
     /* 1849123 */   // Label 25011: @1849123
     /* 1849123 */   GIM_Try, /*On fail goto*//*Label 25012*/ GIMT_Encode4(1849209), // Rule ID 13413 //
     /* 1849128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1849136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1849139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1849142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1849148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1849151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849174 */     // MIs[0] policy
     /* 1849174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849184 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1849187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1849205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849208 */     // GIR_Coverage, 13413,
     /* 1849208 */     GIR_EraseRootFromParent_Done,
     /* 1849209 */   // Label 25012: @1849209
     /* 1849209 */   GIM_Try, /*On fail goto*//*Label 25013*/ GIMT_Encode4(1849295), // Rule ID 13416 //
     /* 1849214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1849217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1849222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1849225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1849228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1849234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849260 */     // MIs[0] policy
     /* 1849260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849270 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1849273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849294 */     // GIR_Coverage, 13416,
     /* 1849294 */     GIR_EraseRootFromParent_Done,
     /* 1849295 */   // Label 25013: @1849295
     /* 1849295 */   GIM_Try, /*On fail goto*//*Label 25014*/ GIMT_Encode4(1849381), // Rule ID 13417 //
     /* 1849300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1849303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1849308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1849311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1849314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1849320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1849330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1849342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849346 */     // MIs[0] policy
     /* 1849346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849356 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11488:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M2_MASK),
     /* 1849359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849380 */     // GIR_Coverage, 13417,
     /* 1849380 */     GIR_EraseRootFromParent_Done,
     /* 1849381 */   // Label 25014: @1849381
     /* 1849381 */   GIM_Try, /*On fail goto*//*Label 25015*/ GIMT_Encode4(1849467), // Rule ID 13420 //
     /* 1849386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1849389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1849394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1849397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1849400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1849406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849432 */     // MIs[0] policy
     /* 1849432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849442 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1849445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849466 */     // GIR_Coverage, 13420,
     /* 1849466 */     GIR_EraseRootFromParent_Done,
     /* 1849467 */   // Label 25015: @1849467
     /* 1849467 */   GIM_Try, /*On fail goto*//*Label 25016*/ GIMT_Encode4(1849553), // Rule ID 13421 //
     /* 1849472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1849475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1849480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1849483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1849486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1849492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1849495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1849502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1849514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849518 */     // MIs[0] policy
     /* 1849518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849528 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11488:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M4_MASK),
     /* 1849531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849552 */     // GIR_Coverage, 13421,
     /* 1849552 */     GIR_EraseRootFromParent_Done,
     /* 1849553 */   // Label 25016: @1849553
     /* 1849553 */   GIM_Try, /*On fail goto*//*Label 25017*/ GIMT_Encode4(1849639), // Rule ID 13424 //
     /* 1849558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1849561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1849566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1849569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1849572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1849575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1849578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849604 */     // MIs[0] policy
     /* 1849604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849614 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1849617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849638 */     // GIR_Coverage, 13424,
     /* 1849638 */     GIR_EraseRootFromParent_Done,
     /* 1849639 */   // Label 25017: @1849639
     /* 1849639 */   GIM_Try, /*On fail goto*//*Label 25018*/ GIMT_Encode4(1849725), // Rule ID 13425 //
     /* 1849644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1849647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnmsac_mask),
     /* 1849652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1849655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1849658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1849661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1849664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1849667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1849674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1849682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1849686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849690 */     // MIs[0] policy
     /* 1849690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849700 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11488:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNMSAC_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNMSAC_VX_M8_MASK),
     /* 1849703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1849721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849724 */     // GIR_Coverage, 13425,
     /* 1849724 */     GIR_EraseRootFromParent_Done,
     /* 1849725 */   // Label 25018: @1849725
     /* 1849725 */   GIM_Try, /*On fail goto*//*Label 25019*/ GIMT_Encode4(1849811), // Rule ID 13428 //
     /* 1849730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1849741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1849744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1849747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1849750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849776 */     // MIs[0] policy
     /* 1849776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849786 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1849789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849810 */     // GIR_Coverage, 13428,
     /* 1849810 */     GIR_EraseRootFromParent_Done,
     /* 1849811 */   // Label 25019: @1849811
     /* 1849811 */   GIM_Try, /*On fail goto*//*Label 25020*/ GIMT_Encode4(1849897), // Rule ID 13429 //
     /* 1849816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1849827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1849830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1849833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1849836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1849839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1849842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849862 */     // MIs[0] policy
     /* 1849862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849872 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1849872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF8_MASK),
     /* 1849875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849896 */     // GIR_Coverage, 13429,
     /* 1849896 */     GIR_EraseRootFromParent_Done,
     /* 1849897 */   // Label 25020: @1849897
     /* 1849897 */   GIM_Try, /*On fail goto*//*Label 25021*/ GIMT_Encode4(1849983), // Rule ID 13432 //
     /* 1849902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1849905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1849916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1849919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1849922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1849925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1849928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1849932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1849944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1849948 */     // MIs[0] policy
     /* 1849948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1849951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1849958 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1849958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1849961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1849963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1849965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1849967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1849969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1849971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1849976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1849979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1849981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1849982 */     // GIR_Coverage, 13432,
     /* 1849982 */     GIR_EraseRootFromParent_Done,
     /* 1849983 */   // Label 25021: @1849983
     /* 1849983 */   GIM_Try, /*On fail goto*//*Label 25022*/ GIMT_Encode4(1850069), // Rule ID 13433 //
     /* 1849988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1849991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1849996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1849999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1850002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1850005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1850008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850034 */     // MIs[0] policy
     /* 1850034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850044 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1850047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850068 */     // GIR_Coverage, 13433,
     /* 1850068 */     GIR_EraseRootFromParent_Done,
     /* 1850069 */   // Label 25022: @1850069
     /* 1850069 */   GIM_Try, /*On fail goto*//*Label 25023*/ GIMT_Encode4(1850155), // Rule ID 13436 //
     /* 1850074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1850085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1850088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1850091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850120 */     // MIs[0] policy
     /* 1850120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850130 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1850133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850154 */     // GIR_Coverage, 13436,
     /* 1850154 */     GIR_EraseRootFromParent_Done,
     /* 1850155 */   // Label 25023: @1850155
     /* 1850155 */   GIM_Try, /*On fail goto*//*Label 25024*/ GIMT_Encode4(1850241), // Rule ID 13437 //
     /* 1850160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1850171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1850174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1850177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1850180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1850183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850206 */     // MIs[0] policy
     /* 1850206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850216 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1850219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850240 */     // GIR_Coverage, 13437,
     /* 1850240 */     GIR_EraseRootFromParent_Done,
     /* 1850241 */   // Label 25024: @1850241
     /* 1850241 */   GIM_Try, /*On fail goto*//*Label 25025*/ GIMT_Encode4(1850327), // Rule ID 13440 //
     /* 1850246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1850257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1850260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1850263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1850266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850292 */     // MIs[0] policy
     /* 1850292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850302 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1850305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850326 */     // GIR_Coverage, 13440,
     /* 1850326 */     GIR_EraseRootFromParent_Done,
     /* 1850327 */   // Label 25025: @1850327
     /* 1850327 */   GIM_Try, /*On fail goto*//*Label 25026*/ GIMT_Encode4(1850413), // Rule ID 13441 //
     /* 1850332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1850343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1850346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1850349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1850352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1850355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1850362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850378 */     // MIs[0] policy
     /* 1850378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850388 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1850391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850412 */     // GIR_Coverage, 13441,
     /* 1850412 */     GIR_EraseRootFromParent_Done,
     /* 1850413 */   // Label 25026: @1850413
     /* 1850413 */   GIM_Try, /*On fail goto*//*Label 25027*/ GIMT_Encode4(1850499), // Rule ID 13444 //
     /* 1850418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1850429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1850432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1850435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1850438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850464 */     // MIs[0] policy
     /* 1850464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850474 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1850477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850498 */     // GIR_Coverage, 13444,
     /* 1850498 */     GIR_EraseRootFromParent_Done,
     /* 1850499 */   // Label 25027: @1850499
     /* 1850499 */   GIM_Try, /*On fail goto*//*Label 25028*/ GIMT_Encode4(1850585), // Rule ID 13445 //
     /* 1850504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1850515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1850518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1850521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1850524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1850527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1850534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1850546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850550 */     // MIs[0] policy
     /* 1850550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850560 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1850563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850584 */     // GIR_Coverage, 13445,
     /* 1850584 */     GIR_EraseRootFromParent_Done,
     /* 1850585 */   // Label 25028: @1850585
     /* 1850585 */   GIM_Try, /*On fail goto*//*Label 25029*/ GIMT_Encode4(1850671), // Rule ID 13448 //
     /* 1850590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1850601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1850604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1850607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1850610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850636 */     // MIs[0] policy
     /* 1850636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850646 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1850649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850670 */     // GIR_Coverage, 13448,
     /* 1850670 */     GIR_EraseRootFromParent_Done,
     /* 1850671 */   // Label 25029: @1850671
     /* 1850671 */   GIM_Try, /*On fail goto*//*Label 25030*/ GIMT_Encode4(1850757), // Rule ID 13449 //
     /* 1850676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1850687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1850690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1850693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1850696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1850699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1850706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1850710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1850718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850722 */     // MIs[0] policy
     /* 1850722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850732 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1850735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1850753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850756 */     // GIR_Coverage, 13449,
     /* 1850756 */     GIR_EraseRootFromParent_Done,
     /* 1850757 */   // Label 25030: @1850757
     /* 1850757 */   GIM_Try, /*On fail goto*//*Label 25031*/ GIMT_Encode4(1850843), // Rule ID 13452 //
     /* 1850762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1850773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1850776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1850779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850808 */     // MIs[0] policy
     /* 1850808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850818 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1850821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850842 */     // GIR_Coverage, 13452,
     /* 1850842 */     GIR_EraseRootFromParent_Done,
     /* 1850843 */   // Label 25031: @1850843
     /* 1850843 */   GIM_Try, /*On fail goto*//*Label 25032*/ GIMT_Encode4(1850929), // Rule ID 13453 //
     /* 1850848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1850851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1850859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1850862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1850865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1850868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1850871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1850874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850894 */     // MIs[0] policy
     /* 1850894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850904 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1850904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF4_MASK),
     /* 1850907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1850915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1850917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1850922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1850925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1850927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1850928 */     // GIR_Coverage, 13453,
     /* 1850928 */     GIR_EraseRootFromParent_Done,
     /* 1850929 */   // Label 25032: @1850929
     /* 1850929 */   GIM_Try, /*On fail goto*//*Label 25033*/ GIMT_Encode4(1851015), // Rule ID 13456 //
     /* 1850934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1850937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1850942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1850945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1850948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1850951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1850954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1850957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1850960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1850964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1850976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1850980 */     // MIs[0] policy
     /* 1850980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1850983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1850990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11652:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1850990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1850993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1850995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1850997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1850999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851014 */     // GIR_Coverage, 13456,
     /* 1851014 */     GIR_EraseRootFromParent_Done,
     /* 1851015 */   // Label 25033: @1851015
     /* 1851015 */   GIM_Try, /*On fail goto*//*Label 25034*/ GIMT_Encode4(1851101), // Rule ID 13457 //
     /* 1851020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1851031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1851034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1851037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1851040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851066 */     // MIs[0] policy
     /* 1851066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11652:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1851079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851100 */     // GIR_Coverage, 13457,
     /* 1851100 */     GIR_EraseRootFromParent_Done,
     /* 1851101 */   // Label 25034: @1851101
     /* 1851101 */   GIM_Try, /*On fail goto*//*Label 25035*/ GIMT_Encode4(1851187), // Rule ID 13460 //
     /* 1851106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1851117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1851120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1851123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851152 */     // MIs[0] policy
     /* 1851152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851162 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1851165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851186 */     // GIR_Coverage, 13460,
     /* 1851186 */     GIR_EraseRootFromParent_Done,
     /* 1851187 */   // Label 25035: @1851187
     /* 1851187 */   GIM_Try, /*On fail goto*//*Label 25036*/ GIMT_Encode4(1851273), // Rule ID 13461 //
     /* 1851192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1851203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1851206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1851209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1851212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851238 */     // MIs[0] policy
     /* 1851238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851248 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1851251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851272 */     // GIR_Coverage, 13461,
     /* 1851272 */     GIR_EraseRootFromParent_Done,
     /* 1851273 */   // Label 25036: @1851273
     /* 1851273 */   GIM_Try, /*On fail goto*//*Label 25037*/ GIMT_Encode4(1851359), // Rule ID 13464 //
     /* 1851278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1851289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1851292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1851295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851324 */     // MIs[0] policy
     /* 1851324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851334 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1851337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851358 */     // GIR_Coverage, 13464,
     /* 1851358 */     GIR_EraseRootFromParent_Done,
     /* 1851359 */   // Label 25037: @1851359
     /* 1851359 */   GIM_Try, /*On fail goto*//*Label 25038*/ GIMT_Encode4(1851445), // Rule ID 13465 //
     /* 1851364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1851375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1851378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1851381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1851384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1851387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851410 */     // MIs[0] policy
     /* 1851410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851420 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1851423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851444 */     // GIR_Coverage, 13465,
     /* 1851444 */     GIR_EraseRootFromParent_Done,
     /* 1851445 */   // Label 25038: @1851445
     /* 1851445 */   GIM_Try, /*On fail goto*//*Label 25039*/ GIMT_Encode4(1851531), // Rule ID 13468 //
     /* 1851450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1851453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1851461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1851464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1851467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851496 */     // MIs[0] policy
     /* 1851496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851506 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1851509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851530 */     // GIR_Coverage, 13468,
     /* 1851530 */     GIR_EraseRootFromParent_Done,
     /* 1851531 */   // Label 25039: @1851531
     /* 1851531 */   GIM_Try, /*On fail goto*//*Label 25040*/ GIMT_Encode4(1851617), // Rule ID 13469 //
     /* 1851536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1851539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1851547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1851550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1851553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1851556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1851559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1851566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1851570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1851578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851582 */     // MIs[0] policy
     /* 1851582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851592 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1851595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1851613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851616 */     // GIR_Coverage, 13469,
     /* 1851616 */     GIR_EraseRootFromParent_Done,
     /* 1851617 */   // Label 25040: @1851617
     /* 1851617 */   GIM_Try, /*On fail goto*//*Label 25041*/ GIMT_Encode4(1851703), // Rule ID 13472 //
     /* 1851622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1851639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851668 */     // MIs[0] policy
     /* 1851668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851678 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1851681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851702 */     // GIR_Coverage, 13472,
     /* 1851702 */     GIR_EraseRootFromParent_Done,
     /* 1851703 */   // Label 25041: @1851703
     /* 1851703 */   GIM_Try, /*On fail goto*//*Label 25042*/ GIMT_Encode4(1851789), // Rule ID 13473 //
     /* 1851708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1851719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1851722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1851725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1851728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1851731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1851738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851754 */     // MIs[0] policy
     /* 1851754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851764 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_MF2_MASK),
     /* 1851767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851788 */     // GIR_Coverage, 13473,
     /* 1851788 */     GIR_EraseRootFromParent_Done,
     /* 1851789 */   // Label 25042: @1851789
     /* 1851789 */   GIM_Try, /*On fail goto*//*Label 25043*/ GIMT_Encode4(1851875), // Rule ID 13476 //
     /* 1851794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1851805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1851808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1851811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851840 */     // MIs[0] policy
     /* 1851840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851850 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1851850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1851853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851874 */     // GIR_Coverage, 13476,
     /* 1851874 */     GIR_EraseRootFromParent_Done,
     /* 1851875 */   // Label 25043: @1851875
     /* 1851875 */   GIM_Try, /*On fail goto*//*Label 25044*/ GIMT_Encode4(1851961), // Rule ID 13477 //
     /* 1851880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1851883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1851891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1851894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1851897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1851900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1851903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1851906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1851910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1851914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1851922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1851926 */     // MIs[0] policy
     /* 1851926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1851929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1851936 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1851936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M1_MASK),
     /* 1851939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1851941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1851943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1851945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1851947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1851949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1851954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1851957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1851959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1851960 */     // GIR_Coverage, 13477,
     /* 1851960 */     GIR_EraseRootFromParent_Done,
     /* 1851961 */   // Label 25044: @1851961
     /* 1851961 */   GIM_Try, /*On fail goto*//*Label 25045*/ GIMT_Encode4(1852047), // Rule ID 13480 //
     /* 1851966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1851969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1851974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1851977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1851980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1851983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1851986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1851989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1851992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1851996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852012 */     // MIs[0] policy
     /* 1852012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852022 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1852025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852027 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852046 */     // GIR_Coverage, 13480,
     /* 1852046 */     GIR_EraseRootFromParent_Done,
     /* 1852047 */   // Label 25045: @1852047
     /* 1852047 */   GIM_Try, /*On fail goto*//*Label 25046*/ GIMT_Encode4(1852133), // Rule ID 13481 //
     /* 1852052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1852063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1852066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1852069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1852072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1852082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852098 */     // MIs[0] policy
     /* 1852098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852108 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M2_MASK),
     /* 1852111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852113 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852132 */     // GIR_Coverage, 13481,
     /* 1852132 */     GIR_EraseRootFromParent_Done,
     /* 1852133 */   // Label 25046: @1852133
     /* 1852133 */   GIM_Try, /*On fail goto*//*Label 25047*/ GIMT_Encode4(1852219), // Rule ID 13484 //
     /* 1852138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1852141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1852149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1852152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1852155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1852158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852184 */     // MIs[0] policy
     /* 1852184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852194 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1852197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852218 */     // GIR_Coverage, 13484,
     /* 1852218 */     GIR_EraseRootFromParent_Done,
     /* 1852219 */   // Label 25047: @1852219
     /* 1852219 */   GIM_Try, /*On fail goto*//*Label 25048*/ GIMT_Encode4(1852305), // Rule ID 13485 //
     /* 1852224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1852227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1852235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1852238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1852241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1852244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1852254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1852258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1852266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852270 */     // MIs[0] policy
     /* 1852270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852280 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VV_M4_MASK),
     /* 1852283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1852301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852304 */     // GIR_Coverage, 13485,
     /* 1852304 */     GIR_EraseRootFromParent_Done,
     /* 1852305 */   // Label 25048: @1852305
     /* 1852305 */   GIM_Try, /*On fail goto*//*Label 25049*/ GIMT_Encode4(1852391), // Rule ID 13488 //
     /* 1852310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1852321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1852324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1852330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852356 */     // MIs[0] policy
     /* 1852356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852366 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1852369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852390 */     // GIR_Coverage, 13488,
     /* 1852390 */     GIR_EraseRootFromParent_Done,
     /* 1852391 */   // Label 25049: @1852391
     /* 1852391 */   GIM_Try, /*On fail goto*//*Label 25050*/ GIMT_Encode4(1852477), // Rule ID 13489 //
     /* 1852396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1852407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1852410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1852416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1852419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852442 */     // MIs[0] policy
     /* 1852442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852452 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF8_MASK),
     /* 1852455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852476 */     // GIR_Coverage, 13489,
     /* 1852476 */     GIR_EraseRootFromParent_Done,
     /* 1852477 */   // Label 25050: @1852477
     /* 1852477 */   GIM_Try, /*On fail goto*//*Label 25051*/ GIMT_Encode4(1852563), // Rule ID 13492 //
     /* 1852482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1852493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1852496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1852502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852528 */     // MIs[0] policy
     /* 1852528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852538 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1852541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852562 */     // GIR_Coverage, 13492,
     /* 1852562 */     GIR_EraseRootFromParent_Done,
     /* 1852563 */   // Label 25051: @1852563
     /* 1852563 */   GIM_Try, /*On fail goto*//*Label 25052*/ GIMT_Encode4(1852649), // Rule ID 13493 //
     /* 1852568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1852579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1852582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1852588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1852591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852614 */     // MIs[0] policy
     /* 1852614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852624 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1852627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852648 */     // GIR_Coverage, 13493,
     /* 1852648 */     GIR_EraseRootFromParent_Done,
     /* 1852649 */   // Label 25052: @1852649
     /* 1852649 */   GIM_Try, /*On fail goto*//*Label 25053*/ GIMT_Encode4(1852735), // Rule ID 13496 //
     /* 1852654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1852665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1852668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1852674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852700 */     // MIs[0] policy
     /* 1852700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852710 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1852713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852734 */     // GIR_Coverage, 13496,
     /* 1852734 */     GIR_EraseRootFromParent_Done,
     /* 1852735 */   // Label 25053: @1852735
     /* 1852735 */   GIM_Try, /*On fail goto*//*Label 25054*/ GIMT_Encode4(1852821), // Rule ID 13497 //
     /* 1852740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1852751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1852754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1852760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1852763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1852770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852786 */     // MIs[0] policy
     /* 1852786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852796 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11652:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1852799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852820 */     // GIR_Coverage, 13497,
     /* 1852820 */     GIR_EraseRootFromParent_Done,
     /* 1852821 */   // Label 25054: @1852821
     /* 1852821 */   GIM_Try, /*On fail goto*//*Label 25055*/ GIMT_Encode4(1852907), // Rule ID 13500 //
     /* 1852826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1852829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1852843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1852846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1852852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852872 */     // MIs[0] policy
     /* 1852872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852882 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1852882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1852885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852906 */     // GIR_Coverage, 13500,
     /* 1852906 */     GIR_EraseRootFromParent_Done,
     /* 1852907 */   // Label 25055: @1852907
     /* 1852907 */   GIM_Try, /*On fail goto*//*Label 25056*/ GIMT_Encode4(1852993), // Rule ID 13501 //
     /* 1852912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1852915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1852920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1852923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1852926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1852929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1852932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1852935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1852938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1852942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1852946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1852950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1852954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1852958 */     // MIs[0] policy
     /* 1852958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1852961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1852968 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1852968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1852971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1852973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1852975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1852977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1852979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1852981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1852986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1852989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1852991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1852992 */     // GIR_Coverage, 13501,
     /* 1852992 */     GIR_EraseRootFromParent_Done,
     /* 1852993 */   // Label 25056: @1852993
     /* 1852993 */   GIM_Try, /*On fail goto*//*Label 25057*/ GIMT_Encode4(1853079), // Rule ID 13504 //
     /* 1852998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1853018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853044 */     // MIs[0] policy
     /* 1853044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853054 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1853057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853078 */     // GIR_Coverage, 13504,
     /* 1853078 */     GIR_EraseRootFromParent_Done,
     /* 1853079 */   // Label 25057: @1853079
     /* 1853079 */   GIM_Try, /*On fail goto*//*Label 25058*/ GIMT_Encode4(1853165), // Rule ID 13505 //
     /* 1853084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1853095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1853098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1853104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1853107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853130 */     // MIs[0] policy
     /* 1853130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853140 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1853143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853164 */     // GIR_Coverage, 13505,
     /* 1853164 */     GIR_EraseRootFromParent_Done,
     /* 1853165 */   // Label 25058: @1853165
     /* 1853165 */   GIM_Try, /*On fail goto*//*Label 25059*/ GIMT_Encode4(1853251), // Rule ID 13508 //
     /* 1853170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1853190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853216 */     // MIs[0] policy
     /* 1853216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853226 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1853229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853250 */     // GIR_Coverage, 13508,
     /* 1853250 */     GIR_EraseRootFromParent_Done,
     /* 1853251 */   // Label 25059: @1853251
     /* 1853251 */   GIM_Try, /*On fail goto*//*Label 25060*/ GIMT_Encode4(1853337), // Rule ID 13509 //
     /* 1853256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1853267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1853270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1853276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1853279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1853286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1853290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853302 */     // MIs[0] policy
     /* 1853302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853312 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1853315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1853333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853336 */     // GIR_Coverage, 13509,
     /* 1853336 */     GIR_EraseRootFromParent_Done,
     /* 1853337 */   // Label 25060: @1853337
     /* 1853337 */   GIM_Try, /*On fail goto*//*Label 25061*/ GIMT_Encode4(1853423), // Rule ID 13512 //
     /* 1853342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1853353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1853356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1853362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853388 */     // MIs[0] policy
     /* 1853388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853398 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1853401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853403 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853422 */     // GIR_Coverage, 13512,
     /* 1853422 */     GIR_EraseRootFromParent_Done,
     /* 1853423 */   // Label 25061: @1853423
     /* 1853423 */   GIM_Try, /*On fail goto*//*Label 25062*/ GIMT_Encode4(1853509), // Rule ID 13513 //
     /* 1853428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1853439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1853442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1853448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1853451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853474 */     // MIs[0] policy
     /* 1853474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF4_MASK),
     /* 1853487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853508 */     // GIR_Coverage, 13513,
     /* 1853508 */     GIR_EraseRootFromParent_Done,
     /* 1853509 */   // Label 25062: @1853509
     /* 1853509 */   GIM_Try, /*On fail goto*//*Label 25063*/ GIMT_Encode4(1853595), // Rule ID 13516 //
     /* 1853514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1853525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1853528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1853534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853560 */     // MIs[0] policy
     /* 1853560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853570 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11652:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1853573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853594 */     // GIR_Coverage, 13516,
     /* 1853594 */     GIR_EraseRootFromParent_Done,
     /* 1853595 */   // Label 25063: @1853595
     /* 1853595 */   GIM_Try, /*On fail goto*//*Label 25064*/ GIMT_Encode4(1853681), // Rule ID 13517 //
     /* 1853600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1853611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1853614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1853620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1853623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1853630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853646 */     // MIs[0] policy
     /* 1853646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853656 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11652:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1853659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853680 */     // GIR_Coverage, 13517,
     /* 1853680 */     GIR_EraseRootFromParent_Done,
     /* 1853681 */   // Label 25064: @1853681
     /* 1853681 */   GIM_Try, /*On fail goto*//*Label 25065*/ GIMT_Encode4(1853767), // Rule ID 13520 //
     /* 1853686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1853706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853732 */     // MIs[0] policy
     /* 1853732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853742 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1853745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853766 */     // GIR_Coverage, 13520,
     /* 1853766 */     GIR_EraseRootFromParent_Done,
     /* 1853767 */   // Label 25065: @1853767
     /* 1853767 */   GIM_Try, /*On fail goto*//*Label 25066*/ GIMT_Encode4(1853853), // Rule ID 13521 //
     /* 1853772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1853783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1853786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1853792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1853795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1853802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1853814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853818 */     // MIs[0] policy
     /* 1853818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853828 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1853828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1853831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853833 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853852 */     // GIR_Coverage, 13521,
     /* 1853852 */     GIR_EraseRootFromParent_Done,
     /* 1853853 */   // Label 25066: @1853853
     /* 1853853 */   GIM_Try, /*On fail goto*//*Label 25067*/ GIMT_Encode4(1853939), // Rule ID 13524 //
     /* 1853858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1853861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1853875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1853878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1853884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853904 */     // MIs[0] policy
     /* 1853904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1853914 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1853914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1853917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1853919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1853921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1853923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1853925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1853927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1853932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1853935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1853937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1853938 */     // GIR_Coverage, 13524,
     /* 1853938 */     GIR_EraseRootFromParent_Done,
     /* 1853939 */   // Label 25067: @1853939
     /* 1853939 */   GIM_Try, /*On fail goto*//*Label 25068*/ GIMT_Encode4(1854025), // Rule ID 13525 //
     /* 1853944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1853947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1853952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1853955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1853958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1853961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1853964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1853967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1853970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1853974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1853978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1853982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1853986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1853990 */     // MIs[0] policy
     /* 1853990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1853993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854000 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1854003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854024 */     // GIR_Coverage, 13525,
     /* 1854024 */     GIR_EraseRootFromParent_Done,
     /* 1854025 */   // Label 25068: @1854025
     /* 1854025 */   GIM_Try, /*On fail goto*//*Label 25069*/ GIMT_Encode4(1854111), // Rule ID 13528 //
     /* 1854030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1854041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1854044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1854050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854076 */     // MIs[0] policy
     /* 1854076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854086 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1854089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854110 */     // GIR_Coverage, 13528,
     /* 1854110 */     GIR_EraseRootFromParent_Done,
     /* 1854111 */   // Label 25069: @1854111
     /* 1854111 */   GIM_Try, /*On fail goto*//*Label 25070*/ GIMT_Encode4(1854197), // Rule ID 13529 //
     /* 1854116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1854127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1854130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1854136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1854139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854162 */     // MIs[0] policy
     /* 1854162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854172 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1854175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1854193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854196 */     // GIR_Coverage, 13529,
     /* 1854196 */     GIR_EraseRootFromParent_Done,
     /* 1854197 */   // Label 25070: @1854197
     /* 1854197 */   GIM_Try, /*On fail goto*//*Label 25071*/ GIMT_Encode4(1854283), // Rule ID 13532 //
     /* 1854202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1854213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1854216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1854222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854248 */     // MIs[0] policy
     /* 1854248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854258 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1854261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854282 */     // GIR_Coverage, 13532,
     /* 1854282 */     GIR_EraseRootFromParent_Done,
     /* 1854283 */   // Label 25071: @1854283
     /* 1854283 */   GIM_Try, /*On fail goto*//*Label 25072*/ GIMT_Encode4(1854369), // Rule ID 13533 //
     /* 1854288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1854299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1854302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1854308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854334 */     // MIs[0] policy
     /* 1854334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854344 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11652:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_MF2_MASK),
     /* 1854347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854368 */     // GIR_Coverage, 13533,
     /* 1854368 */     GIR_EraseRootFromParent_Done,
     /* 1854369 */   // Label 25072: @1854369
     /* 1854369 */   GIM_Try, /*On fail goto*//*Label 25073*/ GIMT_Encode4(1854455), // Rule ID 13536 //
     /* 1854374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1854385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1854388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1854394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854420 */     // MIs[0] policy
     /* 1854420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854430 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1854433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854454 */     // GIR_Coverage, 13536,
     /* 1854454 */     GIR_EraseRootFromParent_Done,
     /* 1854455 */   // Label 25073: @1854455
     /* 1854455 */   GIM_Try, /*On fail goto*//*Label 25074*/ GIMT_Encode4(1854541), // Rule ID 13537 //
     /* 1854460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1854471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1854474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1854480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1854483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1854490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854506 */     // MIs[0] policy
     /* 1854506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854516 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11652:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M1_MASK),
     /* 1854519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854540 */     // GIR_Coverage, 13537,
     /* 1854540 */     GIR_EraseRootFromParent_Done,
     /* 1854541 */   // Label 25074: @1854541
     /* 1854541 */   GIM_Try, /*On fail goto*//*Label 25075*/ GIMT_Encode4(1854627), // Rule ID 13540 //
     /* 1854546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1854566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854592 */     // MIs[0] policy
     /* 1854592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854602 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1854605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854626 */     // GIR_Coverage, 13540,
     /* 1854626 */     GIR_EraseRootFromParent_Done,
     /* 1854627 */   // Label 25075: @1854627
     /* 1854627 */   GIM_Try, /*On fail goto*//*Label 25076*/ GIMT_Encode4(1854713), // Rule ID 13541 //
     /* 1854632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1854643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1854646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1854652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1854655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1854662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1854674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854678 */     // MIs[0] policy
     /* 1854678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854688 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11652:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M2_MASK),
     /* 1854691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854712 */     // GIR_Coverage, 13541,
     /* 1854712 */     GIR_EraseRootFromParent_Done,
     /* 1854713 */   // Label 25076: @1854713
     /* 1854713 */   GIM_Try, /*On fail goto*//*Label 25077*/ GIMT_Encode4(1854799), // Rule ID 13544 //
     /* 1854718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1854721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1854735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1854738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854764 */     // MIs[0] policy
     /* 1854764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854774 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1854777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854798 */     // GIR_Coverage, 13544,
     /* 1854798 */     GIR_EraseRootFromParent_Done,
     /* 1854799 */   // Label 25077: @1854799
     /* 1854799 */   GIM_Try, /*On fail goto*//*Label 25078*/ GIMT_Encode4(1854885), // Rule ID 13545 //
     /* 1854804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1854807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccu_mask),
     /* 1854812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1854815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1854818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1854821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1854824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1854827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1854830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1854834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1854838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1854842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1854846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854850 */     // MIs[0] policy
     /* 1854850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854860 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11652:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1854860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCU_VX_M4_MASK),
     /* 1854863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1854881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854884 */     // GIR_Coverage, 13545,
     /* 1854884 */     GIR_EraseRootFromParent_Done,
     /* 1854885 */   // Label 25078: @1854885
     /* 1854885 */   GIM_Try, /*On fail goto*//*Label 25079*/ GIMT_Encode4(1854971), // Rule ID 13548 //
     /* 1854890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1854893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1854901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1854904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1854907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1854916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1854920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1854932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1854936 */     // MIs[0] policy
     /* 1854936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1854939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1854946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1854946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1854949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1854951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1854953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1854955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1854957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1854959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1854964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1854967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1854969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1854970 */     // GIR_Coverage, 13548,
     /* 1854970 */     GIR_EraseRootFromParent_Done,
     /* 1854971 */   // Label 25079: @1854971
     /* 1854971 */   GIM_Try, /*On fail goto*//*Label 25080*/ GIMT_Encode4(1855057), // Rule ID 13549 //
     /* 1854976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1854979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1854984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1854987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1854990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1854993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1854996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1854999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855022 */     // MIs[0] policy
     /* 1855022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF8_MASK),
     /* 1855035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855056 */     // GIR_Coverage, 13549,
     /* 1855056 */     GIR_EraseRootFromParent_Done,
     /* 1855057 */   // Label 25080: @1855057
     /* 1855057 */   GIM_Try, /*On fail goto*//*Label 25081*/ GIMT_Encode4(1855143), // Rule ID 13552 //
     /* 1855062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1855079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1855082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855108 */     // MIs[0] policy
     /* 1855108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1855121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855142 */     // GIR_Coverage, 13552,
     /* 1855142 */     GIR_EraseRootFromParent_Done,
     /* 1855143 */   // Label 25081: @1855143
     /* 1855143 */   GIM_Try, /*On fail goto*//*Label 25082*/ GIMT_Encode4(1855229), // Rule ID 13553 //
     /* 1855148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1855159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1855162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1855165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1855168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1855171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855194 */     // MIs[0] policy
     /* 1855194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1855207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855228 */     // GIR_Coverage, 13553,
     /* 1855228 */     GIR_EraseRootFromParent_Done,
     /* 1855229 */   // Label 25082: @1855229
     /* 1855229 */   GIM_Try, /*On fail goto*//*Label 25083*/ GIMT_Encode4(1855315), // Rule ID 13556 //
     /* 1855234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1855245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1855248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1855251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1855254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855280 */     // MIs[0] policy
     /* 1855280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855290 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1855293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855314 */     // GIR_Coverage, 13556,
     /* 1855314 */     GIR_EraseRootFromParent_Done,
     /* 1855315 */   // Label 25083: @1855315
     /* 1855315 */   GIM_Try, /*On fail goto*//*Label 25084*/ GIMT_Encode4(1855401), // Rule ID 13557 //
     /* 1855320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1855331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1855334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1855337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1855340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1855343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855366 */     // MIs[0] policy
     /* 1855366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855376 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1855379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855400 */     // GIR_Coverage, 13557,
     /* 1855400 */     GIR_EraseRootFromParent_Done,
     /* 1855401 */   // Label 25084: @1855401
     /* 1855401 */   GIM_Try, /*On fail goto*//*Label 25085*/ GIMT_Encode4(1855487), // Rule ID 13560 //
     /* 1855406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1855417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1855420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1855423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1855426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855452 */     // MIs[0] policy
     /* 1855452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855462 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1855465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855486 */     // GIR_Coverage, 13560,
     /* 1855486 */     GIR_EraseRootFromParent_Done,
     /* 1855487 */   // Label 25085: @1855487
     /* 1855487 */   GIM_Try, /*On fail goto*//*Label 25086*/ GIMT_Encode4(1855573), // Rule ID 13561 //
     /* 1855492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1855503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1855506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1855509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1855512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1855515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1855522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855538 */     // MIs[0] policy
     /* 1855538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855548 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1855551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855572 */     // GIR_Coverage, 13561,
     /* 1855572 */     GIR_EraseRootFromParent_Done,
     /* 1855573 */   // Label 25086: @1855573
     /* 1855573 */   GIM_Try, /*On fail goto*//*Label 25087*/ GIMT_Encode4(1855659), // Rule ID 13564 //
     /* 1855578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1855589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1855592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1855595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1855598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855624 */     // MIs[0] policy
     /* 1855624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855634 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1855637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855658 */     // GIR_Coverage, 13564,
     /* 1855658 */     GIR_EraseRootFromParent_Done,
     /* 1855659 */   // Label 25087: @1855659
     /* 1855659 */   GIM_Try, /*On fail goto*//*Label 25088*/ GIMT_Encode4(1855745), // Rule ID 13565 //
     /* 1855664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1855675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1855678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1855681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1855684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1855687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1855694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1855706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855710 */     // MIs[0] policy
     /* 1855710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855720 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1855723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855744 */     // GIR_Coverage, 13565,
     /* 1855744 */     GIR_EraseRootFromParent_Done,
     /* 1855745 */   // Label 25088: @1855745
     /* 1855745 */   GIM_Try, /*On fail goto*//*Label 25089*/ GIMT_Encode4(1855831), // Rule ID 13568 //
     /* 1855750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1855761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1855764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1855767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1855770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1855773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855796 */     // MIs[0] policy
     /* 1855796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855806 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1855809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855830 */     // GIR_Coverage, 13568,
     /* 1855830 */     GIR_EraseRootFromParent_Done,
     /* 1855831 */   // Label 25089: @1855831
     /* 1855831 */   GIM_Try, /*On fail goto*//*Label 25090*/ GIMT_Encode4(1855917), // Rule ID 13569 //
     /* 1855836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1855839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1855847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1855850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1855853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1855856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1855859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1855862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1855866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1855870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1855878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855882 */     // MIs[0] policy
     /* 1855882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855892 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1855892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1855895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1855913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1855915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1855916 */     // GIR_Coverage, 13569,
     /* 1855916 */     GIR_EraseRootFromParent_Done,
     /* 1855917 */   // Label 25090: @1855917
     /* 1855917 */   GIM_Try, /*On fail goto*//*Label 25091*/ GIMT_Encode4(1856003), // Rule ID 13572 //
     /* 1855922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1855925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1855930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1855933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1855936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1855939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1855942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1855945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1855948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1855952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1855964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1855968 */     // MIs[0] policy
     /* 1855968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1855971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1855978 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1855978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1855981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1855983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1855985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1855987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1855989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1855991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1855996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1855999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856002 */     // GIR_Coverage, 13572,
     /* 1856002 */     GIR_EraseRootFromParent_Done,
     /* 1856003 */   // Label 25091: @1856003
     /* 1856003 */   GIM_Try, /*On fail goto*//*Label 25092*/ GIMT_Encode4(1856089), // Rule ID 13573 //
     /* 1856008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1856019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1856022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1856025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1856028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856054 */     // MIs[0] policy
     /* 1856054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856064 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF4_MASK),
     /* 1856067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856088 */     // GIR_Coverage, 13573,
     /* 1856088 */     GIR_EraseRootFromParent_Done,
     /* 1856089 */   // Label 25092: @1856089
     /* 1856089 */   GIM_Try, /*On fail goto*//*Label 25093*/ GIMT_Encode4(1856175), // Rule ID 13576 //
     /* 1856094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1856105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1856108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1856111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1856114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856140 */     // MIs[0] policy
     /* 1856140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11648:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1856153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856174 */     // GIR_Coverage, 13576,
     /* 1856174 */     GIR_EraseRootFromParent_Done,
     /* 1856175 */   // Label 25093: @1856175
     /* 1856175 */   GIM_Try, /*On fail goto*//*Label 25094*/ GIMT_Encode4(1856261), // Rule ID 13577 //
     /* 1856180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1856191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1856194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1856197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1856200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856226 */     // MIs[0] policy
     /* 1856226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856236 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11648:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1856239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856260 */     // GIR_Coverage, 13577,
     /* 1856260 */     GIR_EraseRootFromParent_Done,
     /* 1856261 */   // Label 25094: @1856261
     /* 1856261 */   GIM_Try, /*On fail goto*//*Label 25095*/ GIMT_Encode4(1856347), // Rule ID 13580 //
     /* 1856266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1856277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1856280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1856283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1856286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856312 */     // MIs[0] policy
     /* 1856312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856322 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1856325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856346 */     // GIR_Coverage, 13580,
     /* 1856346 */     GIR_EraseRootFromParent_Done,
     /* 1856347 */   // Label 25095: @1856347
     /* 1856347 */   GIM_Try, /*On fail goto*//*Label 25096*/ GIMT_Encode4(1856433), // Rule ID 13581 //
     /* 1856352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1856363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1856366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1856369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1856372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1856375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856398 */     // MIs[0] policy
     /* 1856398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856408 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1856411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856432 */     // GIR_Coverage, 13581,
     /* 1856432 */     GIR_EraseRootFromParent_Done,
     /* 1856433 */   // Label 25096: @1856433
     /* 1856433 */   GIM_Try, /*On fail goto*//*Label 25097*/ GIMT_Encode4(1856519), // Rule ID 13584 //
     /* 1856438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1856449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1856452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1856455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1856458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856484 */     // MIs[0] policy
     /* 1856484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856494 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1856497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856518 */     // GIR_Coverage, 13584,
     /* 1856518 */     GIR_EraseRootFromParent_Done,
     /* 1856519 */   // Label 25097: @1856519
     /* 1856519 */   GIM_Try, /*On fail goto*//*Label 25098*/ GIMT_Encode4(1856605), // Rule ID 13585 //
     /* 1856524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1856535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1856538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1856541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1856544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1856547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1856554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856570 */     // MIs[0] policy
     /* 1856570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856580 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1856583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856604 */     // GIR_Coverage, 13585,
     /* 1856604 */     GIR_EraseRootFromParent_Done,
     /* 1856605 */   // Label 25098: @1856605
     /* 1856605 */   GIM_Try, /*On fail goto*//*Label 25099*/ GIMT_Encode4(1856691), // Rule ID 13588 //
     /* 1856610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1856613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1856621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1856624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1856627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1856630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856656 */     // MIs[0] policy
     /* 1856656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856666 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1856669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856690 */     // GIR_Coverage, 13588,
     /* 1856690 */     GIR_EraseRootFromParent_Done,
     /* 1856691 */   // Label 25099: @1856691
     /* 1856691 */   GIM_Try, /*On fail goto*//*Label 25100*/ GIMT_Encode4(1856777), // Rule ID 13589 //
     /* 1856696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1856699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1856707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1856710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1856713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1856716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1856719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1856726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1856730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1856738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856742 */     // MIs[0] policy
     /* 1856742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856752 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1856755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1856773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856776 */     // GIR_Coverage, 13589,
     /* 1856776 */     GIR_EraseRootFromParent_Done,
     /* 1856777 */   // Label 25100: @1856777
     /* 1856777 */   GIM_Try, /*On fail goto*//*Label 25101*/ GIMT_Encode4(1856863), // Rule ID 13592 //
     /* 1856782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1856799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1856802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856828 */     // MIs[0] policy
     /* 1856828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856838 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1856838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1856841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856862 */     // GIR_Coverage, 13592,
     /* 1856862 */     GIR_EraseRootFromParent_Done,
     /* 1856863 */   // Label 25101: @1856863
     /* 1856863 */   GIM_Try, /*On fail goto*//*Label 25102*/ GIMT_Encode4(1856949), // Rule ID 13593 //
     /* 1856868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1856871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1856879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1856882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1856885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1856888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1856891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1856894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1856898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1856914 */     // MIs[0] policy
     /* 1856914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1856917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1856924 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1856924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_MF2_MASK),
     /* 1856927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1856929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1856931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1856933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1856935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1856937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1856942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1856945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1856947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1856948 */     // GIR_Coverage, 13593,
     /* 1856948 */     GIR_EraseRootFromParent_Done,
     /* 1856949 */   // Label 25102: @1856949
     /* 1856949 */   GIM_Try, /*On fail goto*//*Label 25103*/ GIMT_Encode4(1857035), // Rule ID 13596 //
     /* 1856954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1856957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1856962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1856965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1856968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1856971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1856974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1856977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1856980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1856984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1856988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1856996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857000 */     // MIs[0] policy
     /* 1857000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857010 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1857013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857034 */     // GIR_Coverage, 13596,
     /* 1857034 */     GIR_EraseRootFromParent_Done,
     /* 1857035 */   // Label 25103: @1857035
     /* 1857035 */   GIM_Try, /*On fail goto*//*Label 25104*/ GIMT_Encode4(1857121), // Rule ID 13597 //
     /* 1857040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1857051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1857054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1857057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1857060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1857070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857086 */     // MIs[0] policy
     /* 1857086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857096 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M1_MASK),
     /* 1857099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857120 */     // GIR_Coverage, 13597,
     /* 1857120 */     GIR_EraseRootFromParent_Done,
     /* 1857121 */   // Label 25104: @1857121
     /* 1857121 */   GIM_Try, /*On fail goto*//*Label 25105*/ GIMT_Encode4(1857207), // Rule ID 13600 //
     /* 1857126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1857137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1857140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1857143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1857146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857172 */     // MIs[0] policy
     /* 1857172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857182 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1857185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857206 */     // GIR_Coverage, 13600,
     /* 1857206 */     GIR_EraseRootFromParent_Done,
     /* 1857207 */   // Label 25105: @1857207
     /* 1857207 */   GIM_Try, /*On fail goto*//*Label 25106*/ GIMT_Encode4(1857293), // Rule ID 13601 //
     /* 1857212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1857223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1857226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1857229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1857232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1857242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1857254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857258 */     // MIs[0] policy
     /* 1857258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857268 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M2_MASK),
     /* 1857271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857292 */     // GIR_Coverage, 13601,
     /* 1857292 */     GIR_EraseRootFromParent_Done,
     /* 1857293 */   // Label 25106: @1857293
     /* 1857293 */   GIM_Try, /*On fail goto*//*Label 25107*/ GIMT_Encode4(1857379), // Rule ID 13604 //
     /* 1857298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1857301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1857309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1857312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1857315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1857318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857344 */     // MIs[0] policy
     /* 1857344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857354 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1857357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857378 */     // GIR_Coverage, 13604,
     /* 1857378 */     GIR_EraseRootFromParent_Done,
     /* 1857379 */   // Label 25107: @1857379
     /* 1857379 */   GIM_Try, /*On fail goto*//*Label 25108*/ GIMT_Encode4(1857465), // Rule ID 13605 //
     /* 1857384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1857387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1857395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1857398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1857401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1857404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1857407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1857414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1857418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1857426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857430 */     // MIs[0] policy
     /* 1857430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857440 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VV_M4_MASK),
     /* 1857443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1857461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857464 */     // GIR_Coverage, 13605,
     /* 1857464 */     GIR_EraseRootFromParent_Done,
     /* 1857465 */   // Label 25108: @1857465
     /* 1857465 */   GIM_Try, /*On fail goto*//*Label 25109*/ GIMT_Encode4(1857551), // Rule ID 13608 //
     /* 1857470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1857490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857516 */     // MIs[0] policy
     /* 1857516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857526 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1857529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857550 */     // GIR_Coverage, 13608,
     /* 1857550 */     GIR_EraseRootFromParent_Done,
     /* 1857551 */   // Label 25109: @1857551
     /* 1857551 */   GIM_Try, /*On fail goto*//*Label 25110*/ GIMT_Encode4(1857637), // Rule ID 13609 //
     /* 1857556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1857567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1857570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1857576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1857579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857602 */     // MIs[0] policy
     /* 1857602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857612 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF8_MASK),
     /* 1857615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857636 */     // GIR_Coverage, 13609,
     /* 1857636 */     GIR_EraseRootFromParent_Done,
     /* 1857637 */   // Label 25110: @1857637
     /* 1857637 */   GIM_Try, /*On fail goto*//*Label 25111*/ GIMT_Encode4(1857723), // Rule ID 13612 //
     /* 1857642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1857662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857688 */     // MIs[0] policy
     /* 1857688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857698 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1857701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857722 */     // GIR_Coverage, 13612,
     /* 1857722 */     GIR_EraseRootFromParent_Done,
     /* 1857723 */   // Label 25111: @1857723
     /* 1857723 */   GIM_Try, /*On fail goto*//*Label 25112*/ GIMT_Encode4(1857809), // Rule ID 13613 //
     /* 1857728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1857739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1857742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1857748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1857751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857774 */     // MIs[0] policy
     /* 1857774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857784 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1857787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857808 */     // GIR_Coverage, 13613,
     /* 1857808 */     GIR_EraseRootFromParent_Done,
     /* 1857809 */   // Label 25112: @1857809
     /* 1857809 */   GIM_Try, /*On fail goto*//*Label 25113*/ GIMT_Encode4(1857895), // Rule ID 13616 //
     /* 1857814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1857825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1857828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1857831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1857834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1857840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857860 */     // MIs[0] policy
     /* 1857860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857870 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1857870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1857873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857894 */     // GIR_Coverage, 13616,
     /* 1857894 */     GIR_EraseRootFromParent_Done,
     /* 1857895 */   // Label 25113: @1857895
     /* 1857895 */   GIM_Try, /*On fail goto*//*Label 25114*/ GIMT_Encode4(1857981), // Rule ID 13617 //
     /* 1857900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1857903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1857911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1857914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1857917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1857920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1857923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1857926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1857930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1857938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1857942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1857946 */     // MIs[0] policy
     /* 1857946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1857949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1857956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11648:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1857956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1857959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1857961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1857963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1857965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1857967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1857969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1857974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1857977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1857979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1857980 */     // GIR_Coverage, 13617,
     /* 1857980 */     GIR_EraseRootFromParent_Done,
     /* 1857981 */   // Label 25114: @1857981
     /* 1857981 */   GIM_Try, /*On fail goto*//*Label 25115*/ GIMT_Encode4(1858067), // Rule ID 13620 //
     /* 1857986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1857989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1857994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1857997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1858006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858032 */     // MIs[0] policy
     /* 1858032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858042 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1858045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858066 */     // GIR_Coverage, 13620,
     /* 1858066 */     GIR_EraseRootFromParent_Done,
     /* 1858067 */   // Label 25115: @1858067
     /* 1858067 */   GIM_Try, /*On fail goto*//*Label 25116*/ GIMT_Encode4(1858153), // Rule ID 13621 //
     /* 1858072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1858083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1858086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1858092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1858095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858118 */     // MIs[0] policy
     /* 1858118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858128 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1858131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858152 */     // GIR_Coverage, 13621,
     /* 1858152 */     GIR_EraseRootFromParent_Done,
     /* 1858153 */   // Label 25116: @1858153
     /* 1858153 */   GIM_Try, /*On fail goto*//*Label 25117*/ GIMT_Encode4(1858239), // Rule ID 13624 //
     /* 1858158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1858169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1858172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858204 */     // MIs[0] policy
     /* 1858204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858214 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1858217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858238 */     // GIR_Coverage, 13624,
     /* 1858238 */     GIR_EraseRootFromParent_Done,
     /* 1858239 */   // Label 25117: @1858239
     /* 1858239 */   GIM_Try, /*On fail goto*//*Label 25118*/ GIMT_Encode4(1858325), // Rule ID 13625 //
     /* 1858244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1858255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1858258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1858264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1858267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1858274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858290 */     // MIs[0] policy
     /* 1858290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858300 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1858303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858324 */     // GIR_Coverage, 13625,
     /* 1858324 */     GIR_EraseRootFromParent_Done,
     /* 1858325 */   // Label 25118: @1858325
     /* 1858325 */   GIM_Try, /*On fail goto*//*Label 25119*/ GIMT_Encode4(1858411), // Rule ID 13628 //
     /* 1858330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1858341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1858344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858376 */     // MIs[0] policy
     /* 1858376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858386 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1858389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858410 */     // GIR_Coverage, 13628,
     /* 1858410 */     GIR_EraseRootFromParent_Done,
     /* 1858411 */   // Label 25119: @1858411
     /* 1858411 */   GIM_Try, /*On fail goto*//*Label 25120*/ GIMT_Encode4(1858497), // Rule ID 13629 //
     /* 1858416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1858427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1858430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1858436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1858439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1858446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1858450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1858458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858462 */     // MIs[0] policy
     /* 1858462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858472 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1858475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1858493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858496 */     // GIR_Coverage, 13629,
     /* 1858496 */     GIR_EraseRootFromParent_Done,
     /* 1858497 */   // Label 25120: @1858497
     /* 1858497 */   GIM_Try, /*On fail goto*//*Label 25121*/ GIMT_Encode4(1858583), // Rule ID 13632 //
     /* 1858502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1858513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1858516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1858522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858548 */     // MIs[0] policy
     /* 1858548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858558 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1858561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858582 */     // GIR_Coverage, 13632,
     /* 1858582 */     GIR_EraseRootFromParent_Done,
     /* 1858583 */   // Label 25121: @1858583
     /* 1858583 */   GIM_Try, /*On fail goto*//*Label 25122*/ GIMT_Encode4(1858669), // Rule ID 13633 //
     /* 1858588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1858599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1858602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1858608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1858611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858634 */     // MIs[0] policy
     /* 1858634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858644 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF4_MASK),
     /* 1858647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858668 */     // GIR_Coverage, 13633,
     /* 1858668 */     GIR_EraseRootFromParent_Done,
     /* 1858669 */   // Label 25122: @1858669
     /* 1858669 */   GIM_Try, /*On fail goto*//*Label 25123*/ GIMT_Encode4(1858755), // Rule ID 13636 //
     /* 1858674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1858694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858720 */     // MIs[0] policy
     /* 1858720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858730 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11648:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1858733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858754 */     // GIR_Coverage, 13636,
     /* 1858754 */     GIR_EraseRootFromParent_Done,
     /* 1858755 */   // Label 25123: @1858755
     /* 1858755 */   GIM_Try, /*On fail goto*//*Label 25124*/ GIMT_Encode4(1858841), // Rule ID 13637 //
     /* 1858760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1858771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1858774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1858780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1858783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1858790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858806 */     // MIs[0] policy
     /* 1858806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858816 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11648:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1858819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858840 */     // GIR_Coverage, 13637,
     /* 1858840 */     GIR_EraseRootFromParent_Done,
     /* 1858841 */   // Label 25124: @1858841
     /* 1858841 */   GIM_Try, /*On fail goto*//*Label 25125*/ GIMT_Encode4(1858927), // Rule ID 13640 //
     /* 1858846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1858849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1858857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1858860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1858863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1858866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1858872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858892 */     // MIs[0] policy
     /* 1858892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858902 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1858902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1858905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1858915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1858920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1858923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1858925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1858926 */     // GIR_Coverage, 13640,
     /* 1858926 */     GIR_EraseRootFromParent_Done,
     /* 1858927 */   // Label 25125: @1858927
     /* 1858927 */   GIM_Try, /*On fail goto*//*Label 25126*/ GIMT_Encode4(1859013), // Rule ID 13641 //
     /* 1858932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1858935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1858940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1858943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1858946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1858949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1858952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1858955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1858958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1858962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1858966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1858970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1858974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1858978 */     // MIs[0] policy
     /* 1858978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1858981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1858988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1858988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1858991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1858993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1858995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1858997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1858999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859012 */     // GIR_Coverage, 13641,
     /* 1859012 */     GIR_EraseRootFromParent_Done,
     /* 1859013 */   // Label 25126: @1859013
     /* 1859013 */   GIM_Try, /*On fail goto*//*Label 25127*/ GIMT_Encode4(1859099), // Rule ID 13644 //
     /* 1859018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859064 */     // MIs[0] policy
     /* 1859064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859074 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1859077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859098 */     // GIR_Coverage, 13644,
     /* 1859098 */     GIR_EraseRootFromParent_Done,
     /* 1859099 */   // Label 25127: @1859099
     /* 1859099 */   GIM_Try, /*On fail goto*//*Label 25128*/ GIMT_Encode4(1859185), // Rule ID 13645 //
     /* 1859104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1859115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1859118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1859124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859150 */     // MIs[0] policy
     /* 1859150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859160 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1859163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859184 */     // GIR_Coverage, 13645,
     /* 1859184 */     GIR_EraseRootFromParent_Done,
     /* 1859185 */   // Label 25128: @1859185
     /* 1859185 */   GIM_Try, /*On fail goto*//*Label 25129*/ GIMT_Encode4(1859271), // Rule ID 13648 //
     /* 1859190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1859193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859236 */     // MIs[0] policy
     /* 1859236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859246 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1859249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859270 */     // GIR_Coverage, 13648,
     /* 1859270 */     GIR_EraseRootFromParent_Done,
     /* 1859271 */   // Label 25129: @1859271
     /* 1859271 */   GIM_Try, /*On fail goto*//*Label 25130*/ GIMT_Encode4(1859357), // Rule ID 13649 //
     /* 1859276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1859279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1859287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1859290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1859296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1859299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859322 */     // MIs[0] policy
     /* 1859322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859332 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1859335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1859353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859356 */     // GIR_Coverage, 13649,
     /* 1859356 */     GIR_EraseRootFromParent_Done,
     /* 1859357 */   // Label 25130: @1859357
     /* 1859357 */   GIM_Try, /*On fail goto*//*Label 25131*/ GIMT_Encode4(1859443), // Rule ID 13652 //
     /* 1859362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1859365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1859373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1859376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1859382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859408 */     // MIs[0] policy
     /* 1859408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859418 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1859421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859442 */     // GIR_Coverage, 13652,
     /* 1859442 */     GIR_EraseRootFromParent_Done,
     /* 1859443 */   // Label 25131: @1859443
     /* 1859443 */   GIM_Try, /*On fail goto*//*Label 25132*/ GIMT_Encode4(1859529), // Rule ID 13653 //
     /* 1859448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1859451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1859459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1859462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1859468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1859471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1859478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859494 */     // MIs[0] policy
     /* 1859494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859504 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11648:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_MF2_MASK),
     /* 1859507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859528 */     // GIR_Coverage, 13653,
     /* 1859528 */     GIR_EraseRootFromParent_Done,
     /* 1859529 */   // Label 25132: @1859529
     /* 1859529 */   GIM_Try, /*On fail goto*//*Label 25133*/ GIMT_Encode4(1859615), // Rule ID 13656 //
     /* 1859534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1859537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1859545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1859548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1859554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859580 */     // MIs[0] policy
     /* 1859580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859590 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1859593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859614 */     // GIR_Coverage, 13656,
     /* 1859614 */     GIR_EraseRootFromParent_Done,
     /* 1859615 */   // Label 25133: @1859615
     /* 1859615 */   GIM_Try, /*On fail goto*//*Label 25134*/ GIMT_Encode4(1859701), // Rule ID 13657 //
     /* 1859620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1859623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1859631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1859634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1859640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1859643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1859650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1859662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859666 */     // MIs[0] policy
     /* 1859666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859676 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11648:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M1_MASK),
     /* 1859679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859700 */     // GIR_Coverage, 13657,
     /* 1859700 */     GIR_EraseRootFromParent_Done,
     /* 1859701 */   // Label 25134: @1859701
     /* 1859701 */   GIM_Try, /*On fail goto*//*Label 25135*/ GIMT_Encode4(1859787), // Rule ID 13660 //
     /* 1859706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1859709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1859717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1859720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859752 */     // MIs[0] policy
     /* 1859752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859762 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1859765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859786 */     // GIR_Coverage, 13660,
     /* 1859786 */     GIR_EraseRootFromParent_Done,
     /* 1859787 */   // Label 25135: @1859787
     /* 1859787 */   GIM_Try, /*On fail goto*//*Label 25136*/ GIMT_Encode4(1859873), // Rule ID 13661 //
     /* 1859792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1859795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1859803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1859806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1859812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1859815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1859822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1859834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859838 */     // MIs[0] policy
     /* 1859838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859848 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11648:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1859848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M2_MASK),
     /* 1859851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859872 */     // GIR_Coverage, 13661,
     /* 1859872 */     GIR_EraseRootFromParent_Done,
     /* 1859873 */   // Label 25136: @1859873
     /* 1859873 */   GIM_Try, /*On fail goto*//*Label 25137*/ GIMT_Encode4(1859959), // Rule ID 13664 //
     /* 1859878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1859881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1859889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1859892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1859895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1859898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1859904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1859916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1859920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1859924 */     // MIs[0] policy
     /* 1859924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1859927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1859934 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1859934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1859937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1859939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1859941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1859943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1859945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1859947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1859952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1859955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1859957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1859958 */     // GIR_Coverage, 13664,
     /* 1859958 */     GIR_EraseRootFromParent_Done,
     /* 1859959 */   // Label 25137: @1859959
     /* 1859959 */   GIM_Try, /*On fail goto*//*Label 25138*/ GIMT_Encode4(1860045), // Rule ID 13665 //
     /* 1859964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1859967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmacc_mask),
     /* 1859972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1859975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1859978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1859981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1859984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1859987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1859990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1859994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1859998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1860002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860010 */     // MIs[0] policy
     /* 1860010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860020 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11648:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACC_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACC_VX_M4_MASK),
     /* 1860023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1860041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860044 */     // GIR_Coverage, 13665,
     /* 1860044 */     GIR_EraseRootFromParent_Done,
     /* 1860045 */   // Label 25138: @1860045
     /* 1860045 */   GIM_Try, /*On fail goto*//*Label 25139*/ GIMT_Encode4(1860131), // Rule ID 13668 //
     /* 1860050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1860070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860096 */     // MIs[0] policy
     /* 1860096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860106 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1860109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860130 */     // GIR_Coverage, 13668,
     /* 1860130 */     GIR_EraseRootFromParent_Done,
     /* 1860131 */   // Label 25139: @1860131
     /* 1860131 */   GIM_Try, /*On fail goto*//*Label 25140*/ GIMT_Encode4(1860217), // Rule ID 13669 //
     /* 1860136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1860147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1860150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1860153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1860156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1860159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860182 */     // MIs[0] policy
     /* 1860182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860192 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF8_MASK),
     /* 1860195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860216 */     // GIR_Coverage, 13669,
     /* 1860216 */     GIR_EraseRootFromParent_Done,
     /* 1860217 */   // Label 25140: @1860217
     /* 1860217 */   GIM_Try, /*On fail goto*//*Label 25141*/ GIMT_Encode4(1860303), // Rule ID 13672 //
     /* 1860222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1860233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1860236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1860242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860268 */     // MIs[0] policy
     /* 1860268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860278 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1860281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860302 */     // GIR_Coverage, 13672,
     /* 1860302 */     GIR_EraseRootFromParent_Done,
     /* 1860303 */   // Label 25141: @1860303
     /* 1860303 */   GIM_Try, /*On fail goto*//*Label 25142*/ GIMT_Encode4(1860389), // Rule ID 13673 //
     /* 1860308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1860319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1860322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1860325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1860328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1860331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860354 */     // MIs[0] policy
     /* 1860354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860364 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1860367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860388 */     // GIR_Coverage, 13673,
     /* 1860388 */     GIR_EraseRootFromParent_Done,
     /* 1860389 */   // Label 25142: @1860389
     /* 1860389 */   GIM_Try, /*On fail goto*//*Label 25143*/ GIMT_Encode4(1860475), // Rule ID 13676 //
     /* 1860394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1860411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1860414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860440 */     // MIs[0] policy
     /* 1860440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860450 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1860453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860474 */     // GIR_Coverage, 13676,
     /* 1860474 */     GIR_EraseRootFromParent_Done,
     /* 1860475 */   // Label 25143: @1860475
     /* 1860475 */   GIM_Try, /*On fail goto*//*Label 25144*/ GIMT_Encode4(1860561), // Rule ID 13677 //
     /* 1860480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1860491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1860494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1860497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1860500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1860503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1860510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860526 */     // MIs[0] policy
     /* 1860526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860536 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1860539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860560 */     // GIR_Coverage, 13677,
     /* 1860560 */     GIR_EraseRootFromParent_Done,
     /* 1860561 */   // Label 25144: @1860561
     /* 1860561 */   GIM_Try, /*On fail goto*//*Label 25145*/ GIMT_Encode4(1860647), // Rule ID 13680 //
     /* 1860566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1860577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1860580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1860583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1860586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860612 */     // MIs[0] policy
     /* 1860612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860622 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1860625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860646 */     // GIR_Coverage, 13680,
     /* 1860646 */     GIR_EraseRootFromParent_Done,
     /* 1860647 */   // Label 25145: @1860647
     /* 1860647 */   GIM_Try, /*On fail goto*//*Label 25146*/ GIMT_Encode4(1860733), // Rule ID 13681 //
     /* 1860652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1860663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1860666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1860669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1860672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1860675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1860682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1860694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860698 */     // MIs[0] policy
     /* 1860698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860708 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1860711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860732 */     // GIR_Coverage, 13681,
     /* 1860732 */     GIR_EraseRootFromParent_Done,
     /* 1860733 */   // Label 25146: @1860733
     /* 1860733 */   GIM_Try, /*On fail goto*//*Label 25147*/ GIMT_Encode4(1860819), // Rule ID 13684 //
     /* 1860738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1860749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1860752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1860755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1860758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860784 */     // MIs[0] policy
     /* 1860784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860794 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1860797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860818 */     // GIR_Coverage, 13684,
     /* 1860818 */     GIR_EraseRootFromParent_Done,
     /* 1860819 */   // Label 25147: @1860819
     /* 1860819 */   GIM_Try, /*On fail goto*//*Label 25148*/ GIMT_Encode4(1860905), // Rule ID 13685 //
     /* 1860824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1860835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1860838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1860841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1860844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1860847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1860850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1860854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1860866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860870 */     // MIs[0] policy
     /* 1860870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860880 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1860880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1860883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860904 */     // GIR_Coverage, 13685,
     /* 1860904 */     GIR_EraseRootFromParent_Done,
     /* 1860905 */   // Label 25148: @1860905
     /* 1860905 */   GIM_Try, /*On fail goto*//*Label 25149*/ GIMT_Encode4(1860991), // Rule ID 13688 //
     /* 1860910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1860913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1860918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1860921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1860924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1860927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1860930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1860933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1860936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1860940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1860944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1860952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1860956 */     // MIs[0] policy
     /* 1860956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1860959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1860966 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1860966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1860969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1860971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1860973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1860975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1860977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1860979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1860984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1860987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1860989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1860990 */     // GIR_Coverage, 13688,
     /* 1860990 */     GIR_EraseRootFromParent_Done,
     /* 1860991 */   // Label 25149: @1860991
     /* 1860991 */   GIM_Try, /*On fail goto*//*Label 25150*/ GIMT_Encode4(1861077), // Rule ID 13689 //
     /* 1860996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1860999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1861007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1861010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1861013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1861016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1861019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861042 */     // MIs[0] policy
     /* 1861042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861052 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1861055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1861073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861076 */     // GIR_Coverage, 13689,
     /* 1861076 */     GIR_EraseRootFromParent_Done,
     /* 1861077 */   // Label 25150: @1861077
     /* 1861077 */   GIM_Try, /*On fail goto*//*Label 25151*/ GIMT_Encode4(1861163), // Rule ID 13692 //
     /* 1861082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1861102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861128 */     // MIs[0] policy
     /* 1861128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861138 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1861141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861162 */     // GIR_Coverage, 13692,
     /* 1861162 */     GIR_EraseRootFromParent_Done,
     /* 1861163 */   // Label 25151: @1861163
     /* 1861163 */   GIM_Try, /*On fail goto*//*Label 25152*/ GIMT_Encode4(1861249), // Rule ID 13693 //
     /* 1861168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1861179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1861182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1861185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1861188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861214 */     // MIs[0] policy
     /* 1861214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861224 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF4_MASK),
     /* 1861227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861248 */     // GIR_Coverage, 13693,
     /* 1861248 */     GIR_EraseRootFromParent_Done,
     /* 1861249 */   // Label 25152: @1861249
     /* 1861249 */   GIM_Try, /*On fail goto*//*Label 25153*/ GIMT_Encode4(1861335), // Rule ID 13696 //
     /* 1861254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1861274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861300 */     // MIs[0] policy
     /* 1861300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861310 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11650:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1861313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861334 */     // GIR_Coverage, 13696,
     /* 1861334 */     GIR_EraseRootFromParent_Done,
     /* 1861335 */   // Label 25153: @1861335
     /* 1861335 */   GIM_Try, /*On fail goto*//*Label 25154*/ GIMT_Encode4(1861421), // Rule ID 13697 //
     /* 1861340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1861351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1861354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1861357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1861360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1861363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861386 */     // MIs[0] policy
     /* 1861386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861396 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11650:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1861399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861420 */     // GIR_Coverage, 13697,
     /* 1861420 */     GIR_EraseRootFromParent_Done,
     /* 1861421 */   // Label 25154: @1861421
     /* 1861421 */   GIM_Try, /*On fail goto*//*Label 25155*/ GIMT_Encode4(1861507), // Rule ID 13700 //
     /* 1861426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1861437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1861440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1861443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1861446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861472 */     // MIs[0] policy
     /* 1861472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861482 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1861485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861506 */     // GIR_Coverage, 13700,
     /* 1861506 */     GIR_EraseRootFromParent_Done,
     /* 1861507 */   // Label 25155: @1861507
     /* 1861507 */   GIM_Try, /*On fail goto*//*Label 25156*/ GIMT_Encode4(1861593), // Rule ID 13701 //
     /* 1861512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1861523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1861526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1861529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1861532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1861535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1861542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861558 */     // MIs[0] policy
     /* 1861558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861568 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1861571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861592 */     // GIR_Coverage, 13701,
     /* 1861592 */     GIR_EraseRootFromParent_Done,
     /* 1861593 */   // Label 25156: @1861593
     /* 1861593 */   GIM_Try, /*On fail goto*//*Label 25157*/ GIMT_Encode4(1861679), // Rule ID 13704 //
     /* 1861598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1861609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1861612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1861615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1861618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861644 */     // MIs[0] policy
     /* 1861644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861654 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1861657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861678 */     // GIR_Coverage, 13704,
     /* 1861678 */     GIR_EraseRootFromParent_Done,
     /* 1861679 */   // Label 25157: @1861679
     /* 1861679 */   GIM_Try, /*On fail goto*//*Label 25158*/ GIMT_Encode4(1861765), // Rule ID 13705 //
     /* 1861684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1861695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1861698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1861701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1861704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1861707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1861714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1861726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861730 */     // MIs[0] policy
     /* 1861730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861740 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1861743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861764 */     // GIR_Coverage, 13705,
     /* 1861764 */     GIR_EraseRootFromParent_Done,
     /* 1861765 */   // Label 25158: @1861765
     /* 1861765 */   GIM_Try, /*On fail goto*//*Label 25159*/ GIMT_Encode4(1861851), // Rule ID 13708 //
     /* 1861770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1861773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1861781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1861784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1861787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1861790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861816 */     // MIs[0] policy
     /* 1861816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861826 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1861829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861850 */     // GIR_Coverage, 13708,
     /* 1861850 */     GIR_EraseRootFromParent_Done,
     /* 1861851 */   // Label 25159: @1861851
     /* 1861851 */   GIM_Try, /*On fail goto*//*Label 25160*/ GIMT_Encode4(1861937), // Rule ID 13709 //
     /* 1861856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1861859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1861867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1861870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1861873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1861876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1861879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1861882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1861886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1861890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1861898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861902 */     // MIs[0] policy
     /* 1861902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861912 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1861912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1861915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1861917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1861919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1861921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1861923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1861925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1861930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1861933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1861935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1861936 */     // GIR_Coverage, 13709,
     /* 1861936 */     GIR_EraseRootFromParent_Done,
     /* 1861937 */   // Label 25160: @1861937
     /* 1861937 */   GIM_Try, /*On fail goto*//*Label 25161*/ GIMT_Encode4(1862023), // Rule ID 13712 //
     /* 1861942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1861945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1861950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1861953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1861956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1861959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1861962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1861965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1861968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1861972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1861984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1861988 */     // MIs[0] policy
     /* 1861988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1861991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1861998 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1861998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1862001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862022 */     // GIR_Coverage, 13712,
     /* 1862022 */     GIR_EraseRootFromParent_Done,
     /* 1862023 */   // Label 25161: @1862023
     /* 1862023 */   GIM_Try, /*On fail goto*//*Label 25162*/ GIMT_Encode4(1862109), // Rule ID 13713 //
     /* 1862028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1862031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1862039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1862042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1862045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1862048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862074 */     // MIs[0] policy
     /* 1862074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862084 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_MF2_MASK),
     /* 1862087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862108 */     // GIR_Coverage, 13713,
     /* 1862108 */     GIR_EraseRootFromParent_Done,
     /* 1862109 */   // Label 25162: @1862109
     /* 1862109 */   GIM_Try, /*On fail goto*//*Label 25163*/ GIMT_Encode4(1862195), // Rule ID 13716 //
     /* 1862114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1862117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1862125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1862128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1862134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862160 */     // MIs[0] policy
     /* 1862160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862170 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1862173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862194 */     // GIR_Coverage, 13716,
     /* 1862194 */     GIR_EraseRootFromParent_Done,
     /* 1862195 */   // Label 25163: @1862195
     /* 1862195 */   GIM_Try, /*On fail goto*//*Label 25164*/ GIMT_Encode4(1862281), // Rule ID 13717 //
     /* 1862200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1862203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1862211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1862214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1862217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1862220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1862230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862246 */     // MIs[0] policy
     /* 1862246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862256 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M1_MASK),
     /* 1862259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862280 */     // GIR_Coverage, 13717,
     /* 1862280 */     GIR_EraseRootFromParent_Done,
     /* 1862281 */   // Label 25164: @1862281
     /* 1862281 */   GIM_Try, /*On fail goto*//*Label 25165*/ GIMT_Encode4(1862367), // Rule ID 13720 //
     /* 1862286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1862289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1862303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1862306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862332 */     // MIs[0] policy
     /* 1862332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862342 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1862345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862366 */     // GIR_Coverage, 13720,
     /* 1862366 */     GIR_EraseRootFromParent_Done,
     /* 1862367 */   // Label 25165: @1862367
     /* 1862367 */   GIM_Try, /*On fail goto*//*Label 25166*/ GIMT_Encode4(1862453), // Rule ID 13721 //
     /* 1862372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1862375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1862383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1862386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1862389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1862392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1862402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1862414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862418 */     // MIs[0] policy
     /* 1862418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862428 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M2_MASK),
     /* 1862431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862452 */     // GIR_Coverage, 13721,
     /* 1862452 */     GIR_EraseRootFromParent_Done,
     /* 1862453 */   // Label 25166: @1862453
     /* 1862453 */   GIM_Try, /*On fail goto*//*Label 25167*/ GIMT_Encode4(1862539), // Rule ID 13724 //
     /* 1862458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1862461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1862469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1862472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1862475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1862478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862504 */     // MIs[0] policy
     /* 1862504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862514 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1862517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862538 */     // GIR_Coverage, 13724,
     /* 1862538 */     GIR_EraseRootFromParent_Done,
     /* 1862539 */   // Label 25167: @1862539
     /* 1862539 */   GIM_Try, /*On fail goto*//*Label 25168*/ GIMT_Encode4(1862625), // Rule ID 13725 //
     /* 1862544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1862547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1862555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1862558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1862561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1862564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1862567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1862574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1862578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1862586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862590 */     // MIs[0] policy
     /* 1862590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862600 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VV_M4_MASK),
     /* 1862603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1862621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862624 */     // GIR_Coverage, 13725,
     /* 1862624 */     GIR_EraseRootFromParent_Done,
     /* 1862625 */   // Label 25168: @1862625
     /* 1862625 */   GIM_Try, /*On fail goto*//*Label 25169*/ GIMT_Encode4(1862711), // Rule ID 13728 //
     /* 1862630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1862641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1862644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1862650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862676 */     // MIs[0] policy
     /* 1862676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862686 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1862689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862710 */     // GIR_Coverage, 13728,
     /* 1862710 */     GIR_EraseRootFromParent_Done,
     /* 1862711 */   // Label 25169: @1862711
     /* 1862711 */   GIM_Try, /*On fail goto*//*Label 25170*/ GIMT_Encode4(1862797), // Rule ID 13729 //
     /* 1862716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1862727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1862730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1862736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1862739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862762 */     // MIs[0] policy
     /* 1862762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862772 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF8_MASK),
     /* 1862775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862796 */     // GIR_Coverage, 13729,
     /* 1862796 */     GIR_EraseRootFromParent_Done,
     /* 1862797 */   // Label 25170: @1862797
     /* 1862797 */   GIM_Try, /*On fail goto*//*Label 25171*/ GIMT_Encode4(1862883), // Rule ID 13732 //
     /* 1862802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1862813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1862816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1862822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1862828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862848 */     // MIs[0] policy
     /* 1862848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862858 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1862858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1862861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862882 */     // GIR_Coverage, 13732,
     /* 1862882 */     GIR_EraseRootFromParent_Done,
     /* 1862883 */   // Label 25171: @1862883
     /* 1862883 */   GIM_Try, /*On fail goto*//*Label 25172*/ GIMT_Encode4(1862969), // Rule ID 13733 //
     /* 1862888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1862891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1862899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1862902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1862905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1862908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1862911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1862914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1862918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1862926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1862930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1862934 */     // MIs[0] policy
     /* 1862934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1862937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1862944 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1862944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1862947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1862949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1862951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1862953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1862955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1862957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1862962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1862965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1862967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1862968 */     // GIR_Coverage, 13733,
     /* 1862968 */     GIR_EraseRootFromParent_Done,
     /* 1862969 */   // Label 25172: @1862969
     /* 1862969 */   GIM_Try, /*On fail goto*//*Label 25173*/ GIMT_Encode4(1863055), // Rule ID 13736 //
     /* 1862974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1862977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1862982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1862985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1862988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1862991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1862994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1862997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863020 */     // MIs[0] policy
     /* 1863020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863030 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1863033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863054 */     // GIR_Coverage, 13736,
     /* 1863054 */     GIR_EraseRootFromParent_Done,
     /* 1863055 */   // Label 25173: @1863055
     /* 1863055 */   GIM_Try, /*On fail goto*//*Label 25174*/ GIMT_Encode4(1863141), // Rule ID 13737 //
     /* 1863060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1863071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1863074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1863080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1863083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863106 */     // MIs[0] policy
     /* 1863106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863116 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11650:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1863119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863140 */     // GIR_Coverage, 13737,
     /* 1863140 */     GIR_EraseRootFromParent_Done,
     /* 1863141 */   // Label 25174: @1863141
     /* 1863141 */   GIM_Try, /*On fail goto*//*Label 25175*/ GIMT_Encode4(1863227), // Rule ID 13740 //
     /* 1863146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1863166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863192 */     // MIs[0] policy
     /* 1863192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863202 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1863205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863226 */     // GIR_Coverage, 13740,
     /* 1863226 */     GIR_EraseRootFromParent_Done,
     /* 1863227 */   // Label 25175: @1863227
     /* 1863227 */   GIM_Try, /*On fail goto*//*Label 25176*/ GIMT_Encode4(1863313), // Rule ID 13741 //
     /* 1863232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1863243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1863246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1863252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1863255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1863262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863278 */     // MIs[0] policy
     /* 1863278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863288 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1863291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863312 */     // GIR_Coverage, 13741,
     /* 1863312 */     GIR_EraseRootFromParent_Done,
     /* 1863313 */   // Label 25176: @1863313
     /* 1863313 */   GIM_Try, /*On fail goto*//*Label 25177*/ GIMT_Encode4(1863399), // Rule ID 13744 //
     /* 1863318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1863338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863364 */     // MIs[0] policy
     /* 1863364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863374 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1863377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863398 */     // GIR_Coverage, 13744,
     /* 1863398 */     GIR_EraseRootFromParent_Done,
     /* 1863399 */   // Label 25177: @1863399
     /* 1863399 */   GIM_Try, /*On fail goto*//*Label 25178*/ GIMT_Encode4(1863485), // Rule ID 13745 //
     /* 1863404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1863415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1863418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1863424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1863427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1863434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1863446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863450 */     // MIs[0] policy
     /* 1863450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863460 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1863463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863484 */     // GIR_Coverage, 13745,
     /* 1863484 */     GIR_EraseRootFromParent_Done,
     /* 1863485 */   // Label 25178: @1863485
     /* 1863485 */   GIM_Try, /*On fail goto*//*Label 25179*/ GIMT_Encode4(1863571), // Rule ID 13748 //
     /* 1863490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1863510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863536 */     // MIs[0] policy
     /* 1863536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863546 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1863549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863570 */     // GIR_Coverage, 13748,
     /* 1863570 */     GIR_EraseRootFromParent_Done,
     /* 1863571 */   // Label 25179: @1863571
     /* 1863571 */   GIM_Try, /*On fail goto*//*Label 25180*/ GIMT_Encode4(1863657), // Rule ID 13749 //
     /* 1863576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1863587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1863590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1863596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1863599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1863606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1863610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1863618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863622 */     // MIs[0] policy
     /* 1863622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863632 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1863635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1863653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863656 */     // GIR_Coverage, 13749,
     /* 1863656 */     GIR_EraseRootFromParent_Done,
     /* 1863657 */   // Label 25180: @1863657
     /* 1863657 */   GIM_Try, /*On fail goto*//*Label 25181*/ GIMT_Encode4(1863743), // Rule ID 13752 //
     /* 1863662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1863673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1863676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1863682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863708 */     // MIs[0] policy
     /* 1863708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863718 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1863721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863742 */     // GIR_Coverage, 13752,
     /* 1863742 */     GIR_EraseRootFromParent_Done,
     /* 1863743 */   // Label 25181: @1863743
     /* 1863743 */   GIM_Try, /*On fail goto*//*Label 25182*/ GIMT_Encode4(1863829), // Rule ID 13753 //
     /* 1863748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1863759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1863762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1863768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1863771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863794 */     // MIs[0] policy
     /* 1863794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863804 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF4_MASK),
     /* 1863807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863828 */     // GIR_Coverage, 13753,
     /* 1863828 */     GIR_EraseRootFromParent_Done,
     /* 1863829 */   // Label 25182: @1863829
     /* 1863829 */   GIM_Try, /*On fail goto*//*Label 25183*/ GIMT_Encode4(1863915), // Rule ID 13756 //
     /* 1863834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1863837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1863845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1863848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1863851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1863854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1863860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863880 */     // MIs[0] policy
     /* 1863880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863890 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11650:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1863890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1863893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1863914 */     // GIR_Coverage, 13756,
     /* 1863914 */     GIR_EraseRootFromParent_Done,
     /* 1863915 */   // Label 25183: @1863915
     /* 1863915 */   GIM_Try, /*On fail goto*//*Label 25184*/ GIMT_Encode4(1864001), // Rule ID 13757 //
     /* 1863920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1863923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1863928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1863931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1863934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1863937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1863940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1863943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1863946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1863950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1863958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1863962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1863966 */     // MIs[0] policy
     /* 1863966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1863969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1863976 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11650:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1863976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1863979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1863981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1863983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1863985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1863987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1863989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1863994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1863997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1863999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864000 */     // GIR_Coverage, 13757,
     /* 1864000 */     GIR_EraseRootFromParent_Done,
     /* 1864001 */   // Label 25184: @1864001
     /* 1864001 */   GIM_Try, /*On fail goto*//*Label 25185*/ GIMT_Encode4(1864087), // Rule ID 13760 //
     /* 1864006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1864017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1864020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1864023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1864026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864052 */     // MIs[0] policy
     /* 1864052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864062 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1864065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864086 */     // GIR_Coverage, 13760,
     /* 1864086 */     GIR_EraseRootFromParent_Done,
     /* 1864087 */   // Label 25185: @1864087
     /* 1864087 */   GIM_Try, /*On fail goto*//*Label 25186*/ GIMT_Encode4(1864173), // Rule ID 13761 //
     /* 1864092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1864103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1864106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1864109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1864112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864138 */     // MIs[0] policy
     /* 1864138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864148 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1864151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864172 */     // GIR_Coverage, 13761,
     /* 1864172 */     GIR_EraseRootFromParent_Done,
     /* 1864173 */   // Label 25186: @1864173
     /* 1864173 */   GIM_Try, /*On fail goto*//*Label 25187*/ GIMT_Encode4(1864259), // Rule ID 13764 //
     /* 1864178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1864189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1864192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1864195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1864198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864224 */     // MIs[0] policy
     /* 1864224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864234 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1864237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864258 */     // GIR_Coverage, 13764,
     /* 1864258 */     GIR_EraseRootFromParent_Done,
     /* 1864259 */   // Label 25187: @1864259
     /* 1864259 */   GIM_Try, /*On fail goto*//*Label 25188*/ GIMT_Encode4(1864345), // Rule ID 13765 //
     /* 1864264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1864275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1864278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1864281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1864284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1864287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864310 */     // MIs[0] policy
     /* 1864310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864320 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1864323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864344 */     // GIR_Coverage, 13765,
     /* 1864344 */     GIR_EraseRootFromParent_Done,
     /* 1864345 */   // Label 25188: @1864345
     /* 1864345 */   GIM_Try, /*On fail goto*//*Label 25189*/ GIMT_Encode4(1864431), // Rule ID 13768 //
     /* 1864350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1864353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1864367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1864370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864396 */     // MIs[0] policy
     /* 1864396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864406 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1864409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864430 */     // GIR_Coverage, 13768,
     /* 1864430 */     GIR_EraseRootFromParent_Done,
     /* 1864431 */   // Label 25189: @1864431
     /* 1864431 */   GIM_Try, /*On fail goto*//*Label 25190*/ GIMT_Encode4(1864517), // Rule ID 13769 //
     /* 1864436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1864439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1864447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1864450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1864453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1864456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1864459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1864466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1864470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864482 */     // MIs[0] policy
     /* 1864482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864492 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1864495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1864513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864516 */     // GIR_Coverage, 13769,
     /* 1864516 */     GIR_EraseRootFromParent_Done,
     /* 1864517 */   // Label 25190: @1864517
     /* 1864517 */   GIM_Try, /*On fail goto*//*Label 25191*/ GIMT_Encode4(1864603), // Rule ID 13772 //
     /* 1864522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1864525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1864533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1864536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1864539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864568 */     // MIs[0] policy
     /* 1864568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864578 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1864581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864602 */     // GIR_Coverage, 13772,
     /* 1864602 */     GIR_EraseRootFromParent_Done,
     /* 1864603 */   // Label 25191: @1864603
     /* 1864603 */   GIM_Try, /*On fail goto*//*Label 25192*/ GIMT_Encode4(1864689), // Rule ID 13773 //
     /* 1864608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1864611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1864619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1864622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1864625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1864628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1864631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1864638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864654 */     // MIs[0] policy
     /* 1864654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864664 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11650:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_MF2_MASK),
     /* 1864667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864688 */     // GIR_Coverage, 13773,
     /* 1864688 */     GIR_EraseRootFromParent_Done,
     /* 1864689 */   // Label 25192: @1864689
     /* 1864689 */   GIM_Try, /*On fail goto*//*Label 25193*/ GIMT_Encode4(1864775), // Rule ID 13776 //
     /* 1864694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1864697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1864711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1864714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864740 */     // MIs[0] policy
     /* 1864740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864750 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1864753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864774 */     // GIR_Coverage, 13776,
     /* 1864774 */     GIR_EraseRootFromParent_Done,
     /* 1864775 */   // Label 25193: @1864775
     /* 1864775 */   GIM_Try, /*On fail goto*//*Label 25194*/ GIMT_Encode4(1864861), // Rule ID 13777 //
     /* 1864780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1864783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1864791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1864794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1864797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1864800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1864803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1864810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1864822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864826 */     // MIs[0] policy
     /* 1864826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864836 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11650:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1864836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M1_MASK),
     /* 1864839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864860 */     // GIR_Coverage, 13777,
     /* 1864860 */     GIR_EraseRootFromParent_Done,
     /* 1864861 */   // Label 25194: @1864861
     /* 1864861 */   GIM_Try, /*On fail goto*//*Label 25195*/ GIMT_Encode4(1864947), // Rule ID 13780 //
     /* 1864866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1864869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1864883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1864886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1864892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864912 */     // MIs[0] policy
     /* 1864912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1864915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1864922 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1864922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1864925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1864927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1864929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1864931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1864933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1864935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1864940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1864943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1864945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1864946 */     // GIR_Coverage, 13780,
     /* 1864946 */     GIR_EraseRootFromParent_Done,
     /* 1864947 */   // Label 25195: @1864947
     /* 1864947 */   GIM_Try, /*On fail goto*//*Label 25196*/ GIMT_Encode4(1865033), // Rule ID 13781 //
     /* 1864952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1864955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1864960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1864963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1864966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1864969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1864972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1864975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1864978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1864982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1864986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1864990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1864994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1864998 */     // MIs[0] policy
     /* 1864998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865008 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11650:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M2_MASK),
     /* 1865011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865032 */     // GIR_Coverage, 13781,
     /* 1865032 */     GIR_EraseRootFromParent_Done,
     /* 1865033 */   // Label 25196: @1865033
     /* 1865033 */   GIM_Try, /*On fail goto*//*Label 25197*/ GIMT_Encode4(1865119), // Rule ID 13784 //
     /* 1865038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1865041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1865046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1865049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1865052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1865055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1865058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865084 */     // MIs[0] policy
     /* 1865084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865094 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1865097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865118 */     // GIR_Coverage, 13784,
     /* 1865118 */     GIR_EraseRootFromParent_Done,
     /* 1865119 */   // Label 25197: @1865119
     /* 1865119 */   GIM_Try, /*On fail goto*//*Label 25198*/ GIMT_Encode4(1865205), // Rule ID 13785 //
     /* 1865124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1865127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccsu_mask),
     /* 1865132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1865135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1865138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1865141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1865144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1865154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1865158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865170 */     // MIs[0] policy
     /* 1865170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865180 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11650:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCSU_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCSU_VX_M4_MASK),
     /* 1865183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1865201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865204 */     // GIR_Coverage, 13785,
     /* 1865204 */     GIR_EraseRootFromParent_Done,
     /* 1865205 */   // Label 25198: @1865205
     /* 1865205 */   GIM_Try, /*On fail goto*//*Label 25199*/ GIMT_Encode4(1865291), // Rule ID 13788 //
     /* 1865210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1865221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1865224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1865227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1865230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865256 */     // MIs[0] policy
     /* 1865256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11654:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1865269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865290 */     // GIR_Coverage, 13788,
     /* 1865290 */     GIR_EraseRootFromParent_Done,
     /* 1865291 */   // Label 25199: @1865291
     /* 1865291 */   GIM_Try, /*On fail goto*//*Label 25200*/ GIMT_Encode4(1865377), // Rule ID 13789 //
     /* 1865296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1865307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1865310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1865313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1865316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1865319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865342 */     // MIs[0] policy
     /* 1865342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865352 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11654:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF8_MASK),
     /* 1865355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865376 */     // GIR_Coverage, 13789,
     /* 1865376 */     GIR_EraseRootFromParent_Done,
     /* 1865377 */   // Label 25200: @1865377
     /* 1865377 */   GIM_Try, /*On fail goto*//*Label 25201*/ GIMT_Encode4(1865463), // Rule ID 13792 //
     /* 1865382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1865399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1865402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865428 */     // MIs[0] policy
     /* 1865428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865438 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11654:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1865441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865462 */     // GIR_Coverage, 13792,
     /* 1865462 */     GIR_EraseRootFromParent_Done,
     /* 1865463 */   // Label 25201: @1865463
     /* 1865463 */   GIM_Try, /*On fail goto*//*Label 25202*/ GIMT_Encode4(1865549), // Rule ID 13793 //
     /* 1865468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1865479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1865482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1865485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1865488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1865491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865514 */     // MIs[0] policy
     /* 1865514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865524 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11654:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1865527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865548 */     // GIR_Coverage, 13793,
     /* 1865548 */     GIR_EraseRootFromParent_Done,
     /* 1865549 */   // Label 25202: @1865549
     /* 1865549 */   GIM_Try, /*On fail goto*//*Label 25203*/ GIMT_Encode4(1865635), // Rule ID 13796 //
     /* 1865554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1865571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1865574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865600 */     // MIs[0] policy
     /* 1865600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865610 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11654:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1865613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865634 */     // GIR_Coverage, 13796,
     /* 1865634 */     GIR_EraseRootFromParent_Done,
     /* 1865635 */   // Label 25203: @1865635
     /* 1865635 */   GIM_Try, /*On fail goto*//*Label 25204*/ GIMT_Encode4(1865721), // Rule ID 13797 //
     /* 1865640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1865651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1865654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1865657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1865660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1865663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1865670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865686 */     // MIs[0] policy
     /* 1865686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865696 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11654:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1865699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865720 */     // GIR_Coverage, 13797,
     /* 1865720 */     GIR_EraseRootFromParent_Done,
     /* 1865721 */   // Label 25204: @1865721
     /* 1865721 */   GIM_Try, /*On fail goto*//*Label 25205*/ GIMT_Encode4(1865807), // Rule ID 13800 //
     /* 1865726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1865737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1865740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1865743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865772 */     // MIs[0] policy
     /* 1865772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865782 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11654:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1865785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865806 */     // GIR_Coverage, 13800,
     /* 1865806 */     GIR_EraseRootFromParent_Done,
     /* 1865807 */   // Label 25205: @1865807
     /* 1865807 */   GIM_Try, /*On fail goto*//*Label 25206*/ GIMT_Encode4(1865893), // Rule ID 13801 //
     /* 1865812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1865823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1865826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1865829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1865832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1865835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1865838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1865842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1865854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865858 */     // MIs[0] policy
     /* 1865858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865868 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11654:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1865868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1865871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865892 */     // GIR_Coverage, 13801,
     /* 1865892 */     GIR_EraseRootFromParent_Done,
     /* 1865893 */   // Label 25206: @1865893
     /* 1865893 */   GIM_Try, /*On fail goto*//*Label 25207*/ GIMT_Encode4(1865979), // Rule ID 13804 //
     /* 1865898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1865901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1865909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1865912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1865915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1865918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1865921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1865924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1865928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1865932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1865936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1865940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1865944 */     // MIs[0] policy
     /* 1865944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1865947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1865954 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11654:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1865954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1865957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1865959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1865961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1865963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1865965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1865967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1865972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1865975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1865977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1865978 */     // GIR_Coverage, 13804,
     /* 1865978 */     GIR_EraseRootFromParent_Done,
     /* 1865979 */   // Label 25207: @1865979
     /* 1865979 */   GIM_Try, /*On fail goto*//*Label 25208*/ GIMT_Encode4(1866065), // Rule ID 13805 //
     /* 1865984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1865987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1865992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1865995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1865998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1866001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1866004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866030 */     // MIs[0] policy
     /* 1866030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866040 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11654:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1866043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866064 */     // GIR_Coverage, 13805,
     /* 1866064 */     GIR_EraseRootFromParent_Done,
     /* 1866065 */   // Label 25208: @1866065
     /* 1866065 */   GIM_Try, /*On fail goto*//*Label 25209*/ GIMT_Encode4(1866151), // Rule ID 13808 //
     /* 1866070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1866081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1866084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1866087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866116 */     // MIs[0] policy
     /* 1866116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866126 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11654:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1866129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866150 */     // GIR_Coverage, 13808,
     /* 1866150 */     GIR_EraseRootFromParent_Done,
     /* 1866151 */   // Label 25209: @1866151
     /* 1866151 */   GIM_Try, /*On fail goto*//*Label 25210*/ GIMT_Encode4(1866237), // Rule ID 13809 //
     /* 1866156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1866167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1866170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1866173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1866176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1866179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866202 */     // MIs[0] policy
     /* 1866202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866212 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11654:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1866215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1866233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866236 */     // GIR_Coverage, 13809,
     /* 1866236 */     GIR_EraseRootFromParent_Done,
     /* 1866237 */   // Label 25210: @1866237
     /* 1866237 */   GIM_Try, /*On fail goto*//*Label 25211*/ GIMT_Encode4(1866323), // Rule ID 13812 //
     /* 1866242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1866253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1866256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1866259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1866262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866288 */     // MIs[0] policy
     /* 1866288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866298 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11654:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1866301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866322 */     // GIR_Coverage, 13812,
     /* 1866322 */     GIR_EraseRootFromParent_Done,
     /* 1866323 */   // Label 25211: @1866323
     /* 1866323 */   GIM_Try, /*On fail goto*//*Label 25212*/ GIMT_Encode4(1866409), // Rule ID 13813 //
     /* 1866328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1866339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1866342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1866345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1866348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1866351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866374 */     // MIs[0] policy
     /* 1866374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866384 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11654:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF4_MASK),
     /* 1866387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866408 */     // GIR_Coverage, 13813,
     /* 1866408 */     GIR_EraseRootFromParent_Done,
     /* 1866409 */   // Label 25212: @1866409
     /* 1866409 */   GIM_Try, /*On fail goto*//*Label 25213*/ GIMT_Encode4(1866495), // Rule ID 13816 //
     /* 1866414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1866425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1866428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1866431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1866434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866460 */     // MIs[0] policy
     /* 1866460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866470 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11654:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1866473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866494 */     // GIR_Coverage, 13816,
     /* 1866494 */     GIR_EraseRootFromParent_Done,
     /* 1866495 */   // Label 25213: @1866495
     /* 1866495 */   GIM_Try, /*On fail goto*//*Label 25214*/ GIMT_Encode4(1866581), // Rule ID 13817 //
     /* 1866500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1866511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1866514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1866517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1866520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1866523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1866530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866546 */     // MIs[0] policy
     /* 1866546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866556 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11654:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1866559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866580 */     // GIR_Coverage, 13817,
     /* 1866580 */     GIR_EraseRootFromParent_Done,
     /* 1866581 */   // Label 25214: @1866581
     /* 1866581 */   GIM_Try, /*On fail goto*//*Label 25215*/ GIMT_Encode4(1866667), // Rule ID 13820 //
     /* 1866586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1866597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1866600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1866603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1866606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866632 */     // MIs[0] policy
     /* 1866632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866642 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11654:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1866645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866666 */     // GIR_Coverage, 13820,
     /* 1866666 */     GIR_EraseRootFromParent_Done,
     /* 1866667 */   // Label 25215: @1866667
     /* 1866667 */   GIM_Try, /*On fail goto*//*Label 25216*/ GIMT_Encode4(1866753), // Rule ID 13821 //
     /* 1866672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1866683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1866686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1866689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1866692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1866695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1866702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1866714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866718 */     // MIs[0] policy
     /* 1866718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866728 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11654:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1866731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866752 */     // GIR_Coverage, 13821,
     /* 1866752 */     GIR_EraseRootFromParent_Done,
     /* 1866753 */   // Label 25216: @1866753
     /* 1866753 */   GIM_Try, /*On fail goto*//*Label 25217*/ GIMT_Encode4(1866839), // Rule ID 13824 //
     /* 1866758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1866769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1866772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1866775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866804 */     // MIs[0] policy
     /* 1866804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866814 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11654:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1866817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866838 */     // GIR_Coverage, 13824,
     /* 1866838 */     GIR_EraseRootFromParent_Done,
     /* 1866839 */   // Label 25217: @1866839
     /* 1866839 */   GIM_Try, /*On fail goto*//*Label 25218*/ GIMT_Encode4(1866925), // Rule ID 13825 //
     /* 1866844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1866847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1866855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1866858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1866861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1866864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1866867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1866870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1866874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1866886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866890 */     // MIs[0] policy
     /* 1866890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866900 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11654:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1866900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1866903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1866918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1866921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1866923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1866924 */     // GIR_Coverage, 13825,
     /* 1866924 */     GIR_EraseRootFromParent_Done,
     /* 1866925 */   // Label 25218: @1866925
     /* 1866925 */   GIM_Try, /*On fail goto*//*Label 25219*/ GIMT_Encode4(1867011), // Rule ID 13828 //
     /* 1866930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1866933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1866938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1866941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1866944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1866947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1866950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1866953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1866956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1866960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1866964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1866968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1866972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1866976 */     // MIs[0] policy
     /* 1866976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1866979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1866986 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11654:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1866986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1866989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1866991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1866993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1866995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1866997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1866999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867010 */     // GIR_Coverage, 13828,
     /* 1867010 */     GIR_EraseRootFromParent_Done,
     /* 1867011 */   // Label 25219: @1867011
     /* 1867011 */   GIM_Try, /*On fail goto*//*Label 25220*/ GIMT_Encode4(1867097), // Rule ID 13829 //
     /* 1867016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1867027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1867030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1867033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1867036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1867039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867062 */     // MIs[0] policy
     /* 1867062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867072 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11654:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1867075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1867093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867096 */     // GIR_Coverage, 13829,
     /* 1867096 */     GIR_EraseRootFromParent_Done,
     /* 1867097 */   // Label 25220: @1867097
     /* 1867097 */   GIM_Try, /*On fail goto*//*Label 25221*/ GIMT_Encode4(1867183), // Rule ID 13832 //
     /* 1867102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1867105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1867113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1867116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1867119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1867122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867148 */     // MIs[0] policy
     /* 1867148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867158 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11654:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1867161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867182 */     // GIR_Coverage, 13832,
     /* 1867182 */     GIR_EraseRootFromParent_Done,
     /* 1867183 */   // Label 25221: @1867183
     /* 1867183 */   GIM_Try, /*On fail goto*//*Label 25222*/ GIMT_Encode4(1867269), // Rule ID 13833 //
     /* 1867188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1867191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1867199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1867202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1867205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1867208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867234 */     // MIs[0] policy
     /* 1867234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867244 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11654:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_MF2_MASK),
     /* 1867247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867268 */     // GIR_Coverage, 13833,
     /* 1867268 */     GIR_EraseRootFromParent_Done,
     /* 1867269 */   // Label 25222: @1867269
     /* 1867269 */   GIM_Try, /*On fail goto*//*Label 25223*/ GIMT_Encode4(1867355), // Rule ID 13836 //
     /* 1867274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1867277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1867291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1867294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867320 */     // MIs[0] policy
     /* 1867320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867330 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11654:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1867333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867354 */     // GIR_Coverage, 13836,
     /* 1867354 */     GIR_EraseRootFromParent_Done,
     /* 1867355 */   // Label 25223: @1867355
     /* 1867355 */   GIM_Try, /*On fail goto*//*Label 25224*/ GIMT_Encode4(1867441), // Rule ID 13837 //
     /* 1867360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1867363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1867371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1867374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1867377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1867380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1867390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867406 */     // MIs[0] policy
     /* 1867406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867416 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11654:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M1_MASK),
     /* 1867419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867440 */     // GIR_Coverage, 13837,
     /* 1867440 */     GIR_EraseRootFromParent_Done,
     /* 1867441 */   // Label 25224: @1867441
     /* 1867441 */   GIM_Try, /*On fail goto*//*Label 25225*/ GIMT_Encode4(1867527), // Rule ID 13840 //
     /* 1867446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1867449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1867463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867492 */     // MIs[0] policy
     /* 1867492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867502 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11654:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1867505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867526 */     // GIR_Coverage, 13840,
     /* 1867526 */     GIR_EraseRootFromParent_Done,
     /* 1867527 */   // Label 25225: @1867527
     /* 1867527 */   GIM_Try, /*On fail goto*//*Label 25226*/ GIMT_Encode4(1867613), // Rule ID 13841 //
     /* 1867532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1867535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1867543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1867546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1867549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1867552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1867555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1867562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1867574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867578 */     // MIs[0] policy
     /* 1867578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867588 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11654:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M2_MASK),
     /* 1867591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867612 */     // GIR_Coverage, 13841,
     /* 1867612 */     GIR_EraseRootFromParent_Done,
     /* 1867613 */   // Label 25226: @1867613
     /* 1867613 */   GIM_Try, /*On fail goto*//*Label 25227*/ GIMT_Encode4(1867699), // Rule ID 13844 //
     /* 1867618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1867621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1867629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1867632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 1867635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867664 */     // MIs[0] policy
     /* 1867664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867674 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11654:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1867677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867698 */     // GIR_Coverage, 13844,
     /* 1867698 */     GIR_EraseRootFromParent_Done,
     /* 1867699 */   // Label 25227: @1867699
     /* 1867699 */   GIM_Try, /*On fail goto*//*Label 25228*/ GIMT_Encode4(1867785), // Rule ID 13845 //
     /* 1867704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1867707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwmaccus_mask),
     /* 1867712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1867715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1867718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 1867721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1867724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1867727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1867734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1867738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1867742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1867746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867750 */     // MIs[0] policy
     /* 1867750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867760 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11654:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWMACCUS_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWMACCUS_VX_M4_MASK),
     /* 1867763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1867767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1867781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867784 */     // GIR_Coverage, 13845,
     /* 1867784 */     GIR_EraseRootFromParent_Done,
     /* 1867785 */   // Label 25228: @1867785
     /* 1867785 */   GIM_Try, /*On fail goto*//*Label 25229*/ GIMT_Encode4(1867874), // Rule ID 14054 //
     /* 1867790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1867801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1867804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1867807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1867810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867836 */     // MIs[0] policy
     /* 1867836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867846 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1867846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1867849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867872 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867873 */     // GIR_Coverage, 14054,
     /* 1867873 */     GIR_EraseRootFromParent_Done,
     /* 1867874 */   // Label 25229: @1867874
     /* 1867874 */   GIM_Try, /*On fail goto*//*Label 25230*/ GIMT_Encode4(1867963), // Rule ID 14055 //
     /* 1867879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1867882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1867890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1867893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1867896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1867899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1867902 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1867905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1867921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1867925 */     // MIs[0] policy
     /* 1867925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1867928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1867935 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1867935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8_MASK),
     /* 1867938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1867940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1867942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1867944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1867946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1867948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1867953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1867956 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1867958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1867961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1867962 */     // GIR_Coverage, 14055,
     /* 1867962 */     GIR_EraseRootFromParent_Done,
     /* 1867963 */   // Label 25230: @1867963
     /* 1867963 */   GIM_Try, /*On fail goto*//*Label 25231*/ GIMT_Encode4(1868052), // Rule ID 14058 //
     /* 1867968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1867971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1867976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1867979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1867982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1867985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1867988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1867991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1867994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1867998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868014 */     // MIs[0] policy
     /* 1868014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868024 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1868027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868050 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868051 */     // GIR_Coverage, 14058,
     /* 1868051 */     GIR_EraseRootFromParent_Done,
     /* 1868052 */   // Label 25231: @1868052
     /* 1868052 */   GIM_Try, /*On fail goto*//*Label 25232*/ GIMT_Encode4(1868141), // Rule ID 14059 //
     /* 1868057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1868068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1868071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1868074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1868077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868080 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868103 */     // MIs[0] policy
     /* 1868103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868113 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1868116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868134 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868140 */     // GIR_Coverage, 14059,
     /* 1868140 */     GIR_EraseRootFromParent_Done,
     /* 1868141 */   // Label 25232: @1868141
     /* 1868141 */   GIM_Try, /*On fail goto*//*Label 25233*/ GIMT_Encode4(1868230), // Rule ID 14062 //
     /* 1868146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1868166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868192 */     // MIs[0] policy
     /* 1868192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868202 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1868205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868228 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868229 */     // GIR_Coverage, 14062,
     /* 1868229 */     GIR_EraseRootFromParent_Done,
     /* 1868230 */   // Label 25233: @1868230
     /* 1868230 */   GIM_Try, /*On fail goto*//*Label 25234*/ GIMT_Encode4(1868319), // Rule ID 14063 //
     /* 1868235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1868246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1868249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1868252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1868255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1868258 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868281 */     // MIs[0] policy
     /* 1868281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868291 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1868294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868312 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868314 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868318 */     // GIR_Coverage, 14063,
     /* 1868318 */     GIR_EraseRootFromParent_Done,
     /* 1868319 */   // Label 25234: @1868319
     /* 1868319 */   GIM_Try, /*On fail goto*//*Label 25235*/ GIMT_Encode4(1868408), // Rule ID 14066 //
     /* 1868324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1868344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868370 */     // MIs[0] policy
     /* 1868370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868380 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1868383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868403 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868406 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868407 */     // GIR_Coverage, 14066,
     /* 1868407 */     GIR_EraseRootFromParent_Done,
     /* 1868408 */   // Label 25235: @1868408
     /* 1868408 */   GIM_Try, /*On fail goto*//*Label 25236*/ GIMT_Encode4(1868497), // Rule ID 14067 //
     /* 1868413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1868424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1868427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1868430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1868433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868436 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868459 */     // MIs[0] policy
     /* 1868459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868469 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4_MASK),
     /* 1868472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868490 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868492 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868496 */     // GIR_Coverage, 14067,
     /* 1868496 */     GIR_EraseRootFromParent_Done,
     /* 1868497 */   // Label 25236: @1868497
     /* 1868497 */   GIM_Try, /*On fail goto*//*Label 25237*/ GIMT_Encode4(1868586), // Rule ID 14070 //
     /* 1868502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1868516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1868519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1868522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868548 */     // MIs[0] policy
     /* 1868548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868558 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1868561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868584 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868585 */     // GIR_Coverage, 14070,
     /* 1868585 */     GIR_EraseRootFromParent_Done,
     /* 1868586 */   // Label 25237: @1868586
     /* 1868586 */   GIM_Try, /*On fail goto*//*Label 25238*/ GIMT_Encode4(1868675), // Rule ID 14071 //
     /* 1868591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1868602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1868605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1868608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1868611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1868614 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868637 */     // MIs[0] policy
     /* 1868637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868647 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1868650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1868668 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868670 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868674 */     // GIR_Coverage, 14071,
     /* 1868674 */     GIR_EraseRootFromParent_Done,
     /* 1868675 */   // Label 25238: @1868675
     /* 1868675 */   GIM_Try, /*On fail goto*//*Label 25239*/ GIMT_Encode4(1868764), // Rule ID 14074 //
     /* 1868680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1868691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1868694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1868697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1868700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868726 */     // MIs[0] policy
     /* 1868726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1868739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868759 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868762 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868763 */     // GIR_Coverage, 14074,
     /* 1868763 */     GIR_EraseRootFromParent_Done,
     /* 1868764 */   // Label 25239: @1868764
     /* 1868764 */   GIM_Try, /*On fail goto*//*Label 25240*/ GIMT_Encode4(1868853), // Rule ID 14075 //
     /* 1868769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1868780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1868783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1868786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1868789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1868792 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868815 */     // MIs[0] policy
     /* 1868815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868825 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1868825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2_MASK),
     /* 1868828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1868846 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868848 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868852 */     // GIR_Coverage, 14075,
     /* 1868852 */     GIR_EraseRootFromParent_Done,
     /* 1868853 */   // Label 25240: @1868853
     /* 1868853 */   GIM_Try, /*On fail goto*//*Label 25241*/ GIMT_Encode4(1868942), // Rule ID 14078 //
     /* 1868858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1868861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1868869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1868872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1868875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1868878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1868884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868904 */     // MIs[0] policy
     /* 1868904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1868914 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1868914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1868917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1868919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1868921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1868923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1868925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1868927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1868932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1868935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1868937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1868940 */     GIR_RootConstrainSelectedInstOperands,
     /* 1868941 */     // GIR_Coverage, 14078,
     /* 1868941 */     GIR_EraseRootFromParent_Done,
     /* 1868942 */   // Label 25241: @1868942
     /* 1868942 */   GIM_Try, /*On fail goto*//*Label 25242*/ GIMT_Encode4(1869031), // Rule ID 14079 //
     /* 1868947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1868950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1868955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1868958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1868961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1868964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1868967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1868970 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1868973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1868977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1868989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1868993 */     // MIs[0] policy
     /* 1868993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1868996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869003 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1869006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869024 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869026 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869030 */     // GIR_Coverage, 14079,
     /* 1869030 */     GIR_EraseRootFromParent_Done,
     /* 1869031 */   // Label 25242: @1869031
     /* 1869031 */   GIM_Try, /*On fail goto*//*Label 25243*/ GIMT_Encode4(1869120), // Rule ID 14082 //
     /* 1869036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1869056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869082 */     // MIs[0] policy
     /* 1869082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869092 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1869095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869118 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869119 */     // GIR_Coverage, 14082,
     /* 1869119 */     GIR_EraseRootFromParent_Done,
     /* 1869120 */   // Label 25243: @1869120
     /* 1869120 */   GIM_Try, /*On fail goto*//*Label 25244*/ GIMT_Encode4(1869209), // Rule ID 14083 //
     /* 1869125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1869136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1869139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1869142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1869145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1869148 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869171 */     // MIs[0] policy
     /* 1869171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869181 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1869184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1869202 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869204 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869208 */     // GIR_Coverage, 14083,
     /* 1869208 */     GIR_EraseRootFromParent_Done,
     /* 1869209 */   // Label 25244: @1869209
     /* 1869209 */   GIM_Try, /*On fail goto*//*Label 25245*/ GIMT_Encode4(1869298), // Rule ID 14086 //
     /* 1869214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1869234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869260 */     // MIs[0] policy
     /* 1869260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869270 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1869273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869293 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869296 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869297 */     // GIR_Coverage, 14086,
     /* 1869297 */     GIR_EraseRootFromParent_Done,
     /* 1869298 */   // Label 25245: @1869298
     /* 1869298 */   GIM_Try, /*On fail goto*//*Label 25246*/ GIMT_Encode4(1869387), // Rule ID 14087 //
     /* 1869303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1869314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1869317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1869320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1869323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1869326 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869349 */     // MIs[0] policy
     /* 1869349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869359 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1869362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869364 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1869380 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869382 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869386 */     // GIR_Coverage, 14087,
     /* 1869386 */     GIR_EraseRootFromParent_Done,
     /* 1869387 */   // Label 25246: @1869387
     /* 1869387 */   GIM_Try, /*On fail goto*//*Label 25247*/ GIMT_Encode4(1869476), // Rule ID 14090 //
     /* 1869392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1869395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1869412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869438 */     // MIs[0] policy
     /* 1869438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869448 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1869451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869471 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869474 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869475 */     // GIR_Coverage, 14090,
     /* 1869475 */     GIR_EraseRootFromParent_Done,
     /* 1869476 */   // Label 25247: @1869476
     /* 1869476 */   GIM_Try, /*On fail goto*//*Label 25248*/ GIMT_Encode4(1869565), // Rule ID 14091 //
     /* 1869481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1869484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1869492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1869495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1869498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1869501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1869504 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1869511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1869523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869527 */     // MIs[0] policy
     /* 1869527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869537 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1_MASK),
     /* 1869540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869542 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1869558 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869560 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869564 */     // GIR_Coverage, 14091,
     /* 1869564 */     GIR_EraseRootFromParent_Done,
     /* 1869565 */   // Label 25248: @1869565
     /* 1869565 */   GIM_Try, /*On fail goto*//*Label 25249*/ GIMT_Encode4(1869654), // Rule ID 14094 //
     /* 1869570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1869581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1869584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1869587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1869590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869616 */     // MIs[0] policy
     /* 1869616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869626 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1869629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869652 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869653 */     // GIR_Coverage, 14094,
     /* 1869653 */     GIR_EraseRootFromParent_Done,
     /* 1869654 */   // Label 25249: @1869654
     /* 1869654 */   GIM_Try, /*On fail goto*//*Label 25250*/ GIMT_Encode4(1869743), // Rule ID 14095 //
     /* 1869659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1869670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1869673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1869676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1869679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1869682 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1869689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1869701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869705 */     // MIs[0] policy
     /* 1869705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869715 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1869718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869736 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869742 */     // GIR_Coverage, 14095,
     /* 1869742 */     GIR_EraseRootFromParent_Done,
     /* 1869743 */   // Label 25250: @1869743
     /* 1869743 */   GIM_Try, /*On fail goto*//*Label 25251*/ GIMT_Encode4(1869832), // Rule ID 14098 //
     /* 1869748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1869759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1869762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1869765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1869768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869794 */     // MIs[0] policy
     /* 1869794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869804 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1869807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869830 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869831 */     // GIR_Coverage, 14098,
     /* 1869831 */     GIR_EraseRootFromParent_Done,
     /* 1869832 */   // Label 25251: @1869832
     /* 1869832 */   GIM_Try, /*On fail goto*//*Label 25252*/ GIMT_Encode4(1869921), // Rule ID 14099 //
     /* 1869837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1869840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1869848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1869851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1869854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1869857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1869860 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1869863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1869867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1869879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869883 */     // MIs[0] policy
     /* 1869883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869893 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1869893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1869896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1869911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1869914 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1869916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1869919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1869920 */     // GIR_Coverage, 14099,
     /* 1869920 */     GIR_EraseRootFromParent_Done,
     /* 1869921 */   // Label 25252: @1869921
     /* 1869921 */   GIM_Try, /*On fail goto*//*Label 25253*/ GIMT_Encode4(1870010), // Rule ID 14102 //
     /* 1869926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1869929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1869934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1869937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1869940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1869943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1869946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1869949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1869952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1869956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1869968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1869972 */     // MIs[0] policy
     /* 1869972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1869975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1869982 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1869982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1869985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1869987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1869989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1869991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1869993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1869995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870008 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870009 */     // GIR_Coverage, 14102,
     /* 1870009 */     GIR_EraseRootFromParent_Done,
     /* 1870010 */   // Label 25253: @1870010
     /* 1870010 */   GIM_Try, /*On fail goto*//*Label 25254*/ GIMT_Encode4(1870099), // Rule ID 14103 //
     /* 1870015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1870026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1870029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1870032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1870035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1870038 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870061 */     // MIs[0] policy
     /* 1870061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870071 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1870074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1870092 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870094 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870098 */     // GIR_Coverage, 14103,
     /* 1870098 */     GIR_EraseRootFromParent_Done,
     /* 1870099 */   // Label 25254: @1870099
     /* 1870099 */   GIM_Try, /*On fail goto*//*Label 25255*/ GIMT_Encode4(1870188), // Rule ID 14106 //
     /* 1870104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1870124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870150 */     // MIs[0] policy
     /* 1870150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870160 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1870163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870183 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870186 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870187 */     // GIR_Coverage, 14106,
     /* 1870187 */     GIR_EraseRootFromParent_Done,
     /* 1870188 */   // Label 25255: @1870188
     /* 1870188 */   GIM_Try, /*On fail goto*//*Label 25256*/ GIMT_Encode4(1870277), // Rule ID 14107 //
     /* 1870193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1870204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1870207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1870210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1870213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870216 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870239 */     // MIs[0] policy
     /* 1870239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870249 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1870252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870270 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870272 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870276 */     // GIR_Coverage, 14107,
     /* 1870276 */     GIR_EraseRootFromParent_Done,
     /* 1870277 */   // Label 25256: @1870277
     /* 1870277 */   GIM_Try, /*On fail goto*//*Label 25257*/ GIMT_Encode4(1870366), // Rule ID 14110 //
     /* 1870282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1870302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870328 */     // MIs[0] policy
     /* 1870328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870338 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1870341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870361 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870364 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870365 */     // GIR_Coverage, 14110,
     /* 1870365 */     GIR_EraseRootFromParent_Done,
     /* 1870366 */   // Label 25257: @1870366
     /* 1870366 */   GIM_Try, /*On fail goto*//*Label 25258*/ GIMT_Encode4(1870455), // Rule ID 14111 //
     /* 1870371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1870382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1870385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1870388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1870391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1870394 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870417 */     // MIs[0] policy
     /* 1870417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870427 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1870430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870448 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870450 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870454 */     // GIR_Coverage, 14111,
     /* 1870454 */     GIR_EraseRootFromParent_Done,
     /* 1870455 */   // Label 25258: @1870455
     /* 1870455 */   GIM_Try, /*On fail goto*//*Label 25259*/ GIMT_Encode4(1870544), // Rule ID 14114 //
     /* 1870460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1870480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870506 */     // MIs[0] policy
     /* 1870506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870516 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1870519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870539 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870542 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870543 */     // GIR_Coverage, 14114,
     /* 1870543 */     GIR_EraseRootFromParent_Done,
     /* 1870544 */   // Label 25259: @1870544
     /* 1870544 */   GIM_Try, /*On fail goto*//*Label 25260*/ GIMT_Encode4(1870633), // Rule ID 14115 //
     /* 1870549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1870560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1870563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1870566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1870569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1870572 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1870579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1870591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870595 */     // MIs[0] policy
     /* 1870595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870605 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1870608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1870626 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870628 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870632 */     // GIR_Coverage, 14115,
     /* 1870632 */     GIR_EraseRootFromParent_Done,
     /* 1870633 */   // Label 25260: @1870633
     /* 1870633 */   GIM_Try, /*On fail goto*//*Label 25261*/ GIMT_Encode4(1870722), // Rule ID 14118 //
     /* 1870638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1870649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1870652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1870655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1870658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870684 */     // MIs[0] policy
     /* 1870684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870694 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1870697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870720 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870721 */     // GIR_Coverage, 14118,
     /* 1870721 */     GIR_EraseRootFromParent_Done,
     /* 1870722 */   // Label 25261: @1870722
     /* 1870722 */   GIM_Try, /*On fail goto*//*Label 25262*/ GIMT_Encode4(1870811), // Rule ID 14119 //
     /* 1870727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1870738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1870741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1870744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1870747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1870750 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1870757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1870769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870773 */     // MIs[0] policy
     /* 1870773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870783 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1870786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870804 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870806 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870810 */     // GIR_Coverage, 14119,
     /* 1870810 */     GIR_EraseRootFromParent_Done,
     /* 1870811 */   // Label 25262: @1870811
     /* 1870811 */   GIM_Try, /*On fail goto*//*Label 25263*/ GIMT_Encode4(1870900), // Rule ID 14122 //
     /* 1870816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1870827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1870830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1870833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1870836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1870842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870862 */     // MIs[0] policy
     /* 1870862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870872 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1870872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1870875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870898 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870899 */     // GIR_Coverage, 14122,
     /* 1870899 */     GIR_EraseRootFromParent_Done,
     /* 1870900 */   // Label 25263: @1870900
     /* 1870900 */   GIM_Try, /*On fail goto*//*Label 25264*/ GIMT_Encode4(1870989), // Rule ID 14123 //
     /* 1870905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1870908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1870913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1870916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1870919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1870922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1870925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1870928 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1870931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1870935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1870947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1870951 */     // MIs[0] policy
     /* 1870951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1870954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1870961 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1870961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1870964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1870966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1870968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1870970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1870972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1870974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1870979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1870982 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1870984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1870987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1870988 */     // GIR_Coverage, 14123,
     /* 1870988 */     GIR_EraseRootFromParent_Done,
     /* 1870989 */   // Label 25264: @1870989
     /* 1870989 */   GIM_Try, /*On fail goto*//*Label 25265*/ GIMT_Encode4(1871078), // Rule ID 14126 //
     /* 1870994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1870997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1871014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871040 */     // MIs[0] policy
     /* 1871040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871050 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1871053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871076 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871077 */     // GIR_Coverage, 14126,
     /* 1871077 */     GIR_EraseRootFromParent_Done,
     /* 1871078 */   // Label 25265: @1871078
     /* 1871078 */   GIM_Try, /*On fail goto*//*Label 25266*/ GIMT_Encode4(1871167), // Rule ID 14127 //
     /* 1871083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1871094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1871097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1871100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1871103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1871106 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871129 */     // MIs[0] policy
     /* 1871129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871139 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1871142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1871160 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871166 */     // GIR_Coverage, 14127,
     /* 1871166 */     GIR_EraseRootFromParent_Done,
     /* 1871167 */   // Label 25266: @1871167
     /* 1871167 */   GIM_Try, /*On fail goto*//*Label 25267*/ GIMT_Encode4(1871256), // Rule ID 14130 //
     /* 1871172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1871192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871218 */     // MIs[0] policy
     /* 1871218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871228 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1871231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871251 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871254 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871255 */     // GIR_Coverage, 14130,
     /* 1871255 */     GIR_EraseRootFromParent_Done,
     /* 1871256 */   // Label 25267: @1871256
     /* 1871256 */   GIM_Try, /*On fail goto*//*Label 25268*/ GIMT_Encode4(1871345), // Rule ID 14131 //
     /* 1871261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1871272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1871275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1871278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1871281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871284 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1871291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1871303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871307 */     // MIs[0] policy
     /* 1871307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871317 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2_MASK),
     /* 1871320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871338 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871340 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871344 */     // GIR_Coverage, 14131,
     /* 1871344 */     GIR_EraseRootFromParent_Done,
     /* 1871345 */   // Label 25268: @1871345
     /* 1871345 */   GIM_Try, /*On fail goto*//*Label 25269*/ GIMT_Encode4(1871434), // Rule ID 14134 //
     /* 1871350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1871370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871396 */     // MIs[0] policy
     /* 1871396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871406 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1871409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871429 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871432 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871433 */     // GIR_Coverage, 14134,
     /* 1871433 */     GIR_EraseRootFromParent_Done,
     /* 1871434 */   // Label 25269: @1871434
     /* 1871434 */   GIM_Try, /*On fail goto*//*Label 25270*/ GIMT_Encode4(1871523), // Rule ID 14135 //
     /* 1871439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1871450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1871453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1871456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1871459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1871462 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1871469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1871481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871485 */     // MIs[0] policy
     /* 1871485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871495 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4_MASK),
     /* 1871498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871516 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871518 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871522 */     // GIR_Coverage, 14135,
     /* 1871522 */     GIR_EraseRootFromParent_Done,
     /* 1871523 */   // Label 25270: @1871523
     /* 1871523 */   GIM_Try, /*On fail goto*//*Label 25271*/ GIMT_Encode4(1871612), // Rule ID 14138 //
     /* 1871528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1871531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1871539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1871542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1871545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1871548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871574 */     // MIs[0] policy
     /* 1871574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871584 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1871587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871610 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871611 */     // GIR_Coverage, 14138,
     /* 1871611 */     GIR_EraseRootFromParent_Done,
     /* 1871612 */   // Label 25271: @1871612
     /* 1871612 */   GIM_Try, /*On fail goto*//*Label 25272*/ GIMT_Encode4(1871701), // Rule ID 14139 //
     /* 1871617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1871620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1871628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1871631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1871634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1871637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1871640 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1871647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1871659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871663 */     // MIs[0] policy
     /* 1871663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871673 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8_MASK),
     /* 1871676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1871694 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871696 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871700 */     // GIR_Coverage, 14139,
     /* 1871700 */     GIR_EraseRootFromParent_Done,
     /* 1871701 */   // Label 25272: @1871701
     /* 1871701 */   GIM_Try, /*On fail goto*//*Label 25273*/ GIMT_Encode4(1871790), // Rule ID 14142 //
     /* 1871706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1871717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1871720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1871723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871752 */     // MIs[0] policy
     /* 1871752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871762 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1871765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871788 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871789 */     // GIR_Coverage, 14142,
     /* 1871789 */     GIR_EraseRootFromParent_Done,
     /* 1871790 */   // Label 25273: @1871790
     /* 1871790 */   GIM_Try, /*On fail goto*//*Label 25274*/ GIMT_Encode4(1871879), // Rule ID 14143 //
     /* 1871795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1871806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1871809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1871812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1871818 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871841 */     // MIs[0] policy
     /* 1871841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871851 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1871851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF8_MASK),
     /* 1871854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871872 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871878 */     // GIR_Coverage, 14143,
     /* 1871878 */     GIR_EraseRootFromParent_Done,
     /* 1871879 */   // Label 25274: @1871879
     /* 1871879 */   GIM_Try, /*On fail goto*//*Label 25275*/ GIMT_Encode4(1871968), // Rule ID 14146 //
     /* 1871884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1871887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1871895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1871898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1871901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1871904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1871910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1871914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1871922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1871926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1871930 */     // MIs[0] policy
     /* 1871930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1871933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1871940 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1871940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1871943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1871945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1871947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1871949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1871951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1871953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1871958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1871961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1871963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1871966 */     GIR_RootConstrainSelectedInstOperands,
     /* 1871967 */     // GIR_Coverage, 14146,
     /* 1871967 */     GIR_EraseRootFromParent_Done,
     /* 1871968 */   // Label 25275: @1871968
     /* 1871968 */   GIM_Try, /*On fail goto*//*Label 25276*/ GIMT_Encode4(1872057), // Rule ID 14147 //
     /* 1871973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1871976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1871981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1871984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1871987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1871990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1871993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1871996 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1871999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872019 */     // MIs[0] policy
     /* 1872019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872029 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1872032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872050 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872052 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872056 */     // GIR_Coverage, 14147,
     /* 1872056 */     GIR_EraseRootFromParent_Done,
     /* 1872057 */   // Label 25276: @1872057
     /* 1872057 */   GIM_Try, /*On fail goto*//*Label 25277*/ GIMT_Encode4(1872146), // Rule ID 14150 //
     /* 1872062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872108 */     // MIs[0] policy
     /* 1872108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872118 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1872121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872141 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872144 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872145 */     // GIR_Coverage, 14150,
     /* 1872145 */     GIR_EraseRootFromParent_Done,
     /* 1872146 */   // Label 25277: @1872146
     /* 1872146 */   GIM_Try, /*On fail goto*//*Label 25278*/ GIMT_Encode4(1872235), // Rule ID 14151 //
     /* 1872151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1872162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1872165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1872168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872174 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872197 */     // MIs[0] policy
     /* 1872197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872207 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1872210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872228 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872230 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872234 */     // GIR_Coverage, 14151,
     /* 1872234 */     GIR_EraseRootFromParent_Done,
     /* 1872235 */   // Label 25278: @1872235
     /* 1872235 */   GIM_Try, /*On fail goto*//*Label 25279*/ GIMT_Encode4(1872324), // Rule ID 14154 //
     /* 1872240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872286 */     // MIs[0] policy
     /* 1872286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872296 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1872299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872319 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872322 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872323 */     // GIR_Coverage, 14154,
     /* 1872323 */     GIR_EraseRootFromParent_Done,
     /* 1872324 */   // Label 25279: @1872324
     /* 1872324 */   GIM_Try, /*On fail goto*//*Label 25280*/ GIMT_Encode4(1872413), // Rule ID 14155 //
     /* 1872329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1872340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1872343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1872346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872352 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872375 */     // MIs[0] policy
     /* 1872375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872385 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF4_MASK),
     /* 1872388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872406 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872408 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872412 */     // GIR_Coverage, 14155,
     /* 1872412 */     GIR_EraseRootFromParent_Done,
     /* 1872413 */   // Label 25280: @1872413
     /* 1872413 */   GIM_Try, /*On fail goto*//*Label 25281*/ GIMT_Encode4(1872502), // Rule ID 14158 //
     /* 1872418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872464 */     // MIs[0] policy
     /* 1872464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872474 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1872477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872497 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872500 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872501 */     // GIR_Coverage, 14158,
     /* 1872501 */     GIR_EraseRootFromParent_Done,
     /* 1872502 */   // Label 25281: @1872502
     /* 1872502 */   GIM_Try, /*On fail goto*//*Label 25282*/ GIMT_Encode4(1872591), // Rule ID 14159 //
     /* 1872507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1872518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1872521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1872524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1872530 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872553 */     // MIs[0] policy
     /* 1872553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872563 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1872566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1872584 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872586 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872590 */     // GIR_Coverage, 14159,
     /* 1872590 */     GIR_EraseRootFromParent_Done,
     /* 1872591 */   // Label 25282: @1872591
     /* 1872591 */   GIM_Try, /*On fail goto*//*Label 25283*/ GIMT_Encode4(1872680), // Rule ID 14162 //
     /* 1872596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1872607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1872610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1872613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872642 */     // MIs[0] policy
     /* 1872642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872652 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1872655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872678 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872679 */     // GIR_Coverage, 14162,
     /* 1872679 */     GIR_EraseRootFromParent_Done,
     /* 1872680 */   // Label 25283: @1872680
     /* 1872680 */   GIM_Try, /*On fail goto*//*Label 25284*/ GIMT_Encode4(1872769), // Rule ID 14163 //
     /* 1872685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1872696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1872699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1872702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1872708 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872731 */     // MIs[0] policy
     /* 1872731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872741 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_MF2_MASK),
     /* 1872744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1872762 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872768 */     // GIR_Coverage, 14163,
     /* 1872768 */     GIR_EraseRootFromParent_Done,
     /* 1872769 */   // Label 25284: @1872769
     /* 1872769 */   GIM_Try, /*On fail goto*//*Label 25285*/ GIMT_Encode4(1872858), // Rule ID 14166 //
     /* 1872774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1872785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1872788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1872791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872820 */     // MIs[0] policy
     /* 1872820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1872830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1872833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872856 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872857 */     // GIR_Coverage, 14166,
     /* 1872857 */     GIR_EraseRootFromParent_Done,
     /* 1872858 */   // Label 25285: @1872858
     /* 1872858 */   GIM_Try, /*On fail goto*//*Label 25286*/ GIMT_Encode4(1872947), // Rule ID 14167 //
     /* 1872863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1872866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1872874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1872877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1872880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1872883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1872886 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1872889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872909 */     // MIs[0] policy
     /* 1872909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1872912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1872919 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11534:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1872919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1872922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1872924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1872926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1872928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1872930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1872932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1872937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1872940 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1872942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1872945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1872946 */     // GIR_Coverage, 14167,
     /* 1872946 */     GIR_EraseRootFromParent_Done,
     /* 1872947 */   // Label 25286: @1872947
     /* 1872947 */   GIM_Try, /*On fail goto*//*Label 25287*/ GIMT_Encode4(1873036), // Rule ID 14170 //
     /* 1872952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1872955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1872960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1872963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1872966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1872969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1872972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1872975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1872978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1872982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1872990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1872994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1872998 */     // MIs[0] policy
     /* 1872998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873008 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1873011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873034 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873035 */     // GIR_Coverage, 14170,
     /* 1873035 */     GIR_EraseRootFromParent_Done,
     /* 1873036 */   // Label 25287: @1873036
     /* 1873036 */   GIM_Try, /*On fail goto*//*Label 25288*/ GIMT_Encode4(1873125), // Rule ID 14171 //
     /* 1873041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1873052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1873055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1873058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1873064 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873087 */     // MIs[0] policy
     /* 1873087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873097 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11534:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1873100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1873118 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873124 */     // GIR_Coverage, 14171,
     /* 1873124 */     GIR_EraseRootFromParent_Done,
     /* 1873125 */   // Label 25288: @1873125
     /* 1873125 */   GIM_Try, /*On fail goto*//*Label 25289*/ GIMT_Encode4(1873214), // Rule ID 14174 //
     /* 1873130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873176 */     // MIs[0] policy
     /* 1873176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873186 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1873189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873209 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873212 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873213 */     // GIR_Coverage, 14174,
     /* 1873213 */     GIR_EraseRootFromParent_Done,
     /* 1873214 */   // Label 25289: @1873214
     /* 1873214 */   GIM_Try, /*On fail goto*//*Label 25290*/ GIMT_Encode4(1873303), // Rule ID 14175 //
     /* 1873219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1873230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1873233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1873236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1873242 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873265 */     // MIs[0] policy
     /* 1873265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873275 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11534:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1873278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1873296 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873298 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873302 */     // GIR_Coverage, 14175,
     /* 1873302 */     GIR_EraseRootFromParent_Done,
     /* 1873303 */   // Label 25290: @1873303
     /* 1873303 */   GIM_Try, /*On fail goto*//*Label 25291*/ GIMT_Encode4(1873392), // Rule ID 14178 //
     /* 1873308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1873311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873354 */     // MIs[0] policy
     /* 1873354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873364 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1873367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873387 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873390 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873391 */     // GIR_Coverage, 14178,
     /* 1873391 */     GIR_EraseRootFromParent_Done,
     /* 1873392 */   // Label 25291: @1873392
     /* 1873392 */   GIM_Try, /*On fail goto*//*Label 25292*/ GIMT_Encode4(1873481), // Rule ID 14179 //
     /* 1873397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1873400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1873408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1873411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1873414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1873420 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1873427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1873435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873443 */     // MIs[0] policy
     /* 1873443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873453 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11534:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M1_MASK),
     /* 1873456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1873474 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873476 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873480 */     // GIR_Coverage, 14179,
     /* 1873480 */     GIR_EraseRootFromParent_Done,
     /* 1873481 */   // Label 25292: @1873481
     /* 1873481 */   GIM_Try, /*On fail goto*//*Label 25293*/ GIMT_Encode4(1873570), // Rule ID 14182 //
     /* 1873486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873532 */     // MIs[0] policy
     /* 1873532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873542 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1873545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873565 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873568 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873569 */     // GIR_Coverage, 14182,
     /* 1873569 */     GIR_EraseRootFromParent_Done,
     /* 1873570 */   // Label 25293: @1873570
     /* 1873570 */   GIM_Try, /*On fail goto*//*Label 25294*/ GIMT_Encode4(1873659), // Rule ID 14183 //
     /* 1873575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1873586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1873589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1873592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1873598 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1873605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1873613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873621 */     // MIs[0] policy
     /* 1873621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873631 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1873634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873636 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873652 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873654 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873658 */     // GIR_Coverage, 14183,
     /* 1873658 */     GIR_EraseRootFromParent_Done,
     /* 1873659 */   // Label 25294: @1873659
     /* 1873659 */   GIM_Try, /*On fail goto*//*Label 25295*/ GIMT_Encode4(1873748), // Rule ID 14186 //
     /* 1873664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1873675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1873678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1873681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873710 */     // MIs[0] policy
     /* 1873710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873720 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1873723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873746 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873747 */     // GIR_Coverage, 14186,
     /* 1873747 */     GIR_EraseRootFromParent_Done,
     /* 1873748 */   // Label 25295: @1873748
     /* 1873748 */   GIM_Try, /*On fail goto*//*Label 25296*/ GIMT_Encode4(1873837), // Rule ID 14187 //
     /* 1873753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1873764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1873767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1873770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1873776 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1873783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1873791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873799 */     // MIs[0] policy
     /* 1873799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873809 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1873812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873814 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873830 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873832 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873836 */     // GIR_Coverage, 14187,
     /* 1873836 */     GIR_EraseRootFromParent_Done,
     /* 1873837 */   // Label 25296: @1873837
     /* 1873837 */   GIM_Try, /*On fail goto*//*Label 25297*/ GIMT_Encode4(1873926), // Rule ID 14190 //
     /* 1873842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1873845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1873853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1873856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1873859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1873862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1873865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1873868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873888 */     // MIs[0] policy
     /* 1873888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873898 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1873898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1873901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1873911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1873916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1873919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1873921 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1873924 */     GIR_RootConstrainSelectedInstOperands,
     /* 1873925 */     // GIR_Coverage, 14190,
     /* 1873925 */     GIR_EraseRootFromParent_Done,
     /* 1873926 */   // Label 25297: @1873926
     /* 1873926 */   GIM_Try, /*On fail goto*//*Label 25298*/ GIMT_Encode4(1874015), // Rule ID 14191 //
     /* 1873931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1873934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1873939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1873942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1873945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1873948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1873951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1873954 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1873957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1873961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1873969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1873973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1873977 */     // MIs[0] policy
     /* 1873977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1873980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1873987 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1873987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1873990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1873992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1873994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1873996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1873998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1874008 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874014 */     // GIR_Coverage, 14191,
     /* 1874014 */     GIR_EraseRootFromParent_Done,
     /* 1874015 */   // Label 25298: @1874015
     /* 1874015 */   GIM_Try, /*On fail goto*//*Label 25299*/ GIMT_Encode4(1874104), // Rule ID 14194 //
     /* 1874020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874066 */     // MIs[0] policy
     /* 1874066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874076 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1874079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874102 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874103 */     // GIR_Coverage, 14194,
     /* 1874103 */     GIR_EraseRootFromParent_Done,
     /* 1874104 */   // Label 25299: @1874104
     /* 1874104 */   GIM_Try, /*On fail goto*//*Label 25300*/ GIMT_Encode4(1874193), // Rule ID 14195 //
     /* 1874109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1874120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1874123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1874126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874132 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874155 */     // MIs[0] policy
     /* 1874155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874165 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1874168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874186 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874188 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874192 */     // GIR_Coverage, 14195,
     /* 1874192 */     GIR_EraseRootFromParent_Done,
     /* 1874193 */   // Label 25300: @1874193
     /* 1874193 */   GIM_Try, /*On fail goto*//*Label 25301*/ GIMT_Encode4(1874282), // Rule ID 14198 //
     /* 1874198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874244 */     // MIs[0] policy
     /* 1874244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874254 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1874257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874277 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874280 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874281 */     // GIR_Coverage, 14198,
     /* 1874281 */     GIR_EraseRootFromParent_Done,
     /* 1874282 */   // Label 25301: @1874282
     /* 1874282 */   GIM_Try, /*On fail goto*//*Label 25302*/ GIMT_Encode4(1874371), // Rule ID 14199 //
     /* 1874287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1874298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1874301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1874304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874310 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874333 */     // MIs[0] policy
     /* 1874333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874343 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1874346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874364 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874366 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874370 */     // GIR_Coverage, 14199,
     /* 1874370 */     GIR_EraseRootFromParent_Done,
     /* 1874371 */   // Label 25302: @1874371
     /* 1874371 */   GIM_Try, /*On fail goto*//*Label 25303*/ GIMT_Encode4(1874460), // Rule ID 14202 //
     /* 1874376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874422 */     // MIs[0] policy
     /* 1874422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874432 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1874435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874455 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874458 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874459 */     // GIR_Coverage, 14202,
     /* 1874459 */     GIR_EraseRootFromParent_Done,
     /* 1874460 */   // Label 25303: @1874460
     /* 1874460 */   GIM_Try, /*On fail goto*//*Label 25304*/ GIMT_Encode4(1874549), // Rule ID 14203 //
     /* 1874465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1874476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1874479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1874482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1874488 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874511 */     // MIs[0] policy
     /* 1874511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874521 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1874524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1874542 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874544 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874548 */     // GIR_Coverage, 14203,
     /* 1874548 */     GIR_EraseRootFromParent_Done,
     /* 1874549 */   // Label 25304: @1874549
     /* 1874549 */   GIM_Try, /*On fail goto*//*Label 25305*/ GIMT_Encode4(1874638), // Rule ID 14206 //
     /* 1874554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1874565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1874568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1874571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874600 */     // MIs[0] policy
     /* 1874600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1874613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874633 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874636 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874637 */     // GIR_Coverage, 14206,
     /* 1874637 */     GIR_EraseRootFromParent_Done,
     /* 1874638 */   // Label 25305: @1874638
     /* 1874638 */   GIM_Try, /*On fail goto*//*Label 25306*/ GIMT_Encode4(1874727), // Rule ID 14207 //
     /* 1874643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1874654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1874657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1874660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1874666 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1874673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1874681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874689 */     // MIs[0] policy
     /* 1874689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874699 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1874702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874720 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874722 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874726 */     // GIR_Coverage, 14207,
     /* 1874726 */     GIR_EraseRootFromParent_Done,
     /* 1874727 */   // Label 25306: @1874727
     /* 1874727 */   GIM_Try, /*On fail goto*//*Label 25307*/ GIMT_Encode4(1874816), // Rule ID 14210 //
     /* 1874732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874778 */     // MIs[0] policy
     /* 1874778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1874791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874814 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874815 */     // GIR_Coverage, 14210,
     /* 1874815 */     GIR_EraseRootFromParent_Done,
     /* 1874816 */   // Label 25307: @1874816
     /* 1874816 */   GIM_Try, /*On fail goto*//*Label 25308*/ GIMT_Encode4(1874905), // Rule ID 14211 //
     /* 1874821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1874824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1874832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1874835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1874838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1874841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1874844 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1874847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1874851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1874859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874867 */     // MIs[0] policy
     /* 1874867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874877 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1874877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1874880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874898 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874904 */     // GIR_Coverage, 14211,
     /* 1874904 */     GIR_EraseRootFromParent_Done,
     /* 1874905 */   // Label 25308: @1874905
     /* 1874905 */   GIM_Try, /*On fail goto*//*Label 25309*/ GIMT_Encode4(1874994), // Rule ID 14214 //
     /* 1874910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1874913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1874918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1874921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1874924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1874927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1874930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1874933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1874936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1874940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1874948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1874952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1874956 */     // MIs[0] policy
     /* 1874956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1874959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1874966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1874966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1874969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1874971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1874973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1874975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1874977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1874979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1874984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1874987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1874989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1874992 */     GIR_RootConstrainSelectedInstOperands,
     /* 1874993 */     // GIR_Coverage, 14214,
     /* 1874993 */     GIR_EraseRootFromParent_Done,
     /* 1874994 */   // Label 25309: @1874994
     /* 1874994 */   GIM_Try, /*On fail goto*//*Label 25310*/ GIMT_Encode4(1875083), // Rule ID 14215 //
     /* 1874999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1875007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1875010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1875013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1875016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1875022 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875045 */     // MIs[0] policy
     /* 1875045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875055 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1875058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1875076 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875078 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875082 */     // GIR_Coverage, 14215,
     /* 1875082 */     GIR_EraseRootFromParent_Done,
     /* 1875083 */   // Label 25310: @1875083
     /* 1875083 */   GIM_Try, /*On fail goto*//*Label 25311*/ GIMT_Encode4(1875172), // Rule ID 14218 //
     /* 1875088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1875096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875134 */     // MIs[0] policy
     /* 1875134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1875147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875170 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875171 */     // GIR_Coverage, 14218,
     /* 1875171 */     GIR_EraseRootFromParent_Done,
     /* 1875172 */   // Label 25311: @1875172
     /* 1875172 */   GIM_Try, /*On fail goto*//*Label 25312*/ GIMT_Encode4(1875261), // Rule ID 14219 //
     /* 1875177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1875185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1875188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1875191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1875194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875200 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1875207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1875215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875223 */     // MIs[0] policy
     /* 1875223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875233 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11534:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M2_MASK),
     /* 1875236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875254 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875256 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875260 */     // GIR_Coverage, 14219,
     /* 1875260 */     GIR_EraseRootFromParent_Done,
     /* 1875261 */   // Label 25312: @1875261
     /* 1875261 */   GIM_Try, /*On fail goto*//*Label 25313*/ GIMT_Encode4(1875350), // Rule ID 14222 //
     /* 1875266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1875274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875312 */     // MIs[0] policy
     /* 1875312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1875325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875345 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875348 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875349 */     // GIR_Coverage, 14222,
     /* 1875349 */     GIR_EraseRootFromParent_Done,
     /* 1875350 */   // Label 25313: @1875350
     /* 1875350 */   GIM_Try, /*On fail goto*//*Label 25314*/ GIMT_Encode4(1875439), // Rule ID 14223 //
     /* 1875355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1875363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1875366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1875369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1875372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1875378 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1875385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1875393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875401 */     // MIs[0] policy
     /* 1875401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875411 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11534:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M4_MASK),
     /* 1875414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875432 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875434 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875438 */     // GIR_Coverage, 14223,
     /* 1875438 */     GIR_EraseRootFromParent_Done,
     /* 1875439 */   // Label 25314: @1875439
     /* 1875439 */   GIM_Try, /*On fail goto*//*Label 25315*/ GIMT_Encode4(1875528), // Rule ID 14226 //
     /* 1875444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1875447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1875452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1875464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875490 */     // MIs[0] policy
     /* 1875490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1875503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875523 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875526 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875527 */     // GIR_Coverage, 14226,
     /* 1875527 */     GIR_EraseRootFromParent_Done,
     /* 1875528 */   // Label 25315: @1875528
     /* 1875528 */   GIM_Try, /*On fail goto*//*Label 25316*/ GIMT_Encode4(1875617), // Rule ID 14227 //
     /* 1875533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1875536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsaddu_mask),
     /* 1875541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1875544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1875547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1875550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1875553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1875556 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1875563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1875571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1875575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875579 */     // MIs[0] policy
     /* 1875579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875589 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11534:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VX_M8_MASK),
     /* 1875592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1875610 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875612 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875616 */     // GIR_Coverage, 14227,
     /* 1875616 */     GIR_EraseRootFromParent_Done,
     /* 1875617 */   // Label 25316: @1875617
     /* 1875617 */   GIM_Try, /*On fail goto*//*Label 25317*/ GIMT_Encode4(1875706), // Rule ID 14318 //
     /* 1875622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1875633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1875636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1875639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1875642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875668 */     // MIs[0] policy
     /* 1875668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875678 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1875681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875704 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875705 */     // GIR_Coverage, 14318,
     /* 1875705 */     GIR_EraseRootFromParent_Done,
     /* 1875706 */   // Label 25317: @1875706
     /* 1875706 */   GIM_Try, /*On fail goto*//*Label 25318*/ GIMT_Encode4(1875795), // Rule ID 14319 //
     /* 1875711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1875722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1875725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1875728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1875731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1875734 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875757 */     // MIs[0] policy
     /* 1875757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875767 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8_MASK),
     /* 1875770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875788 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875794 */     // GIR_Coverage, 14319,
     /* 1875794 */     GIR_EraseRootFromParent_Done,
     /* 1875795 */   // Label 25318: @1875795
     /* 1875795 */   GIM_Try, /*On fail goto*//*Label 25319*/ GIMT_Encode4(1875884), // Rule ID 14322 //
     /* 1875800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1875820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1875826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875846 */     // MIs[0] policy
     /* 1875846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1875856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1875859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875882 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875883 */     // GIR_Coverage, 14322,
     /* 1875883 */     GIR_EraseRootFromParent_Done,
     /* 1875884 */   // Label 25319: @1875884
     /* 1875884 */   GIM_Try, /*On fail goto*//*Label 25320*/ GIMT_Encode4(1875973), // Rule ID 14323 //
     /* 1875889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1875892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1875900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1875903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1875906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1875909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1875912 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1875915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1875919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1875931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1875935 */     // MIs[0] policy
     /* 1875935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1875938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1875945 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1875945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1875948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1875950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1875952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1875954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1875956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1875958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1875963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1875966 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1875968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1875971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1875972 */     // GIR_Coverage, 14323,
     /* 1875972 */     GIR_EraseRootFromParent_Done,
     /* 1875973 */   // Label 25320: @1875973
     /* 1875973 */   GIM_Try, /*On fail goto*//*Label 25321*/ GIMT_Encode4(1876062), // Rule ID 14326 //
     /* 1875978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1875981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1875986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1875989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1875992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1875995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1875998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876024 */     // MIs[0] policy
     /* 1876024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1876037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876060 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876061 */     // GIR_Coverage, 14326,
     /* 1876061 */     GIR_EraseRootFromParent_Done,
     /* 1876062 */   // Label 25321: @1876062
     /* 1876062 */   GIM_Try, /*On fail goto*//*Label 25322*/ GIMT_Encode4(1876151), // Rule ID 14327 //
     /* 1876067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1876078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1876081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1876084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1876087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876090 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876113 */     // MIs[0] policy
     /* 1876113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876123 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1876126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876144 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876146 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876150 */     // GIR_Coverage, 14327,
     /* 1876150 */     GIR_EraseRootFromParent_Done,
     /* 1876151 */   // Label 25322: @1876151
     /* 1876151 */   GIM_Try, /*On fail goto*//*Label 25323*/ GIMT_Encode4(1876240), // Rule ID 14330 //
     /* 1876156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1876176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876202 */     // MIs[0] policy
     /* 1876202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1876215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876235 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876238 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876239 */     // GIR_Coverage, 14330,
     /* 1876239 */     GIR_EraseRootFromParent_Done,
     /* 1876240 */   // Label 25323: @1876240
     /* 1876240 */   GIM_Try, /*On fail goto*//*Label 25324*/ GIMT_Encode4(1876329), // Rule ID 14331 //
     /* 1876245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1876256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1876259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1876262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1876265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876268 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876291 */     // MIs[0] policy
     /* 1876291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876301 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4_MASK),
     /* 1876304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876322 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876324 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876328 */     // GIR_Coverage, 14331,
     /* 1876328 */     GIR_EraseRootFromParent_Done,
     /* 1876329 */   // Label 25324: @1876329
     /* 1876329 */   GIM_Try, /*On fail goto*//*Label 25325*/ GIMT_Encode4(1876418), // Rule ID 14334 //
     /* 1876334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1876354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876380 */     // MIs[0] policy
     /* 1876380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876390 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1876393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876413 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876416 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876417 */     // GIR_Coverage, 14334,
     /* 1876417 */     GIR_EraseRootFromParent_Done,
     /* 1876418 */   // Label 25325: @1876418
     /* 1876418 */   GIM_Try, /*On fail goto*//*Label 25326*/ GIMT_Encode4(1876507), // Rule ID 14335 //
     /* 1876423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1876434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1876437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1876440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1876443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1876446 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876469 */     // MIs[0] policy
     /* 1876469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876479 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1876482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876500 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876502 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876506 */     // GIR_Coverage, 14335,
     /* 1876506 */     GIR_EraseRootFromParent_Done,
     /* 1876507 */   // Label 25326: @1876507
     /* 1876507 */   GIM_Try, /*On fail goto*//*Label 25327*/ GIMT_Encode4(1876596), // Rule ID 14338 //
     /* 1876512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1876523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1876526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1876529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1876532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876558 */     // MIs[0] policy
     /* 1876558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876568 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1876571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876594 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876595 */     // GIR_Coverage, 14338,
     /* 1876595 */     GIR_EraseRootFromParent_Done,
     /* 1876596 */   // Label 25327: @1876596
     /* 1876596 */   GIM_Try, /*On fail goto*//*Label 25328*/ GIMT_Encode4(1876685), // Rule ID 14339 //
     /* 1876601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1876612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1876615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1876618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1876621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1876624 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876647 */     // MIs[0] policy
     /* 1876647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876657 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2_MASK),
     /* 1876660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1876678 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876684 */     // GIR_Coverage, 14339,
     /* 1876684 */     GIR_EraseRootFromParent_Done,
     /* 1876685 */   // Label 25328: @1876685
     /* 1876685 */   GIM_Try, /*On fail goto*//*Label 25329*/ GIMT_Encode4(1876774), // Rule ID 14342 //
     /* 1876690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1876701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1876704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1876707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1876710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876736 */     // MIs[0] policy
     /* 1876736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876746 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1876749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876772 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876773 */     // GIR_Coverage, 14342,
     /* 1876773 */     GIR_EraseRootFromParent_Done,
     /* 1876774 */   // Label 25329: @1876774
     /* 1876774 */   GIM_Try, /*On fail goto*//*Label 25330*/ GIMT_Encode4(1876863), // Rule ID 14343 //
     /* 1876779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1876790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1876793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1876796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1876799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1876802 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876825 */     // MIs[0] policy
     /* 1876825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876835 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1876835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1876838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1876856 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876858 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876862 */     // GIR_Coverage, 14343,
     /* 1876862 */     GIR_EraseRootFromParent_Done,
     /* 1876863 */   // Label 25330: @1876863
     /* 1876863 */   GIM_Try, /*On fail goto*//*Label 25331*/ GIMT_Encode4(1876952), // Rule ID 14346 //
     /* 1876868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1876871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1876888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1876894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1876914 */     // MIs[0] policy
     /* 1876914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1876917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1876924 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1876924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1876927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1876929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1876931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1876933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1876935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1876937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1876942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1876945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1876947 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1876950 */     GIR_RootConstrainSelectedInstOperands,
     /* 1876951 */     // GIR_Coverage, 14346,
     /* 1876951 */     GIR_EraseRootFromParent_Done,
     /* 1876952 */   // Label 25331: @1876952
     /* 1876952 */   GIM_Try, /*On fail goto*//*Label 25332*/ GIMT_Encode4(1877041), // Rule ID 14347 //
     /* 1876957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1876960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1876965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1876968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1876971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1876974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1876977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1876980 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1876983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1876987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1876999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877003 */     // MIs[0] policy
     /* 1877003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877013 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1877016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1877034 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877036 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877040 */     // GIR_Coverage, 14347,
     /* 1877040 */     GIR_EraseRootFromParent_Done,
     /* 1877041 */   // Label 25332: @1877041
     /* 1877041 */   GIM_Try, /*On fail goto*//*Label 25333*/ GIMT_Encode4(1877130), // Rule ID 14350 //
     /* 1877046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1877066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877092 */     // MIs[0] policy
     /* 1877092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877102 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1877105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877128 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877129 */     // GIR_Coverage, 14350,
     /* 1877129 */     GIR_EraseRootFromParent_Done,
     /* 1877130 */   // Label 25333: @1877130
     /* 1877130 */   GIM_Try, /*On fail goto*//*Label 25334*/ GIMT_Encode4(1877219), // Rule ID 14351 //
     /* 1877135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1877146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1877149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1877152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1877155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1877158 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877181 */     // MIs[0] policy
     /* 1877181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877191 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1877194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1877212 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877214 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877218 */     // GIR_Coverage, 14351,
     /* 1877218 */     GIR_EraseRootFromParent_Done,
     /* 1877219 */   // Label 25334: @1877219
     /* 1877219 */   GIM_Try, /*On fail goto*//*Label 25335*/ GIMT_Encode4(1877308), // Rule ID 14354 //
     /* 1877224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1877227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1877244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877270 */     // MIs[0] policy
     /* 1877270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877280 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1877283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877303 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877306 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877307 */     // GIR_Coverage, 14354,
     /* 1877307 */     GIR_EraseRootFromParent_Done,
     /* 1877308 */   // Label 25335: @1877308
     /* 1877308 */   GIM_Try, /*On fail goto*//*Label 25336*/ GIMT_Encode4(1877397), // Rule ID 14355 //
     /* 1877313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1877316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1877324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1877327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1877330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1877333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1877336 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1877343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1877355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877359 */     // MIs[0] policy
     /* 1877359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877369 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1_MASK),
     /* 1877372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1877390 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877392 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877396 */     // GIR_Coverage, 14355,
     /* 1877396 */     GIR_EraseRootFromParent_Done,
     /* 1877397 */   // Label 25336: @1877397
     /* 1877397 */   GIM_Try, /*On fail goto*//*Label 25337*/ GIMT_Encode4(1877486), // Rule ID 14358 //
     /* 1877402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1877422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877448 */     // MIs[0] policy
     /* 1877448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877458 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1877461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877481 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877484 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877485 */     // GIR_Coverage, 14358,
     /* 1877485 */     GIR_EraseRootFromParent_Done,
     /* 1877486 */   // Label 25337: @1877486
     /* 1877486 */   GIM_Try, /*On fail goto*//*Label 25338*/ GIMT_Encode4(1877575), // Rule ID 14359 //
     /* 1877491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1877502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1877505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1877508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1877511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1877514 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877537 */     // MIs[0] policy
     /* 1877537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877547 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1877550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877568 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877570 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877574 */     // GIR_Coverage, 14359,
     /* 1877574 */     GIR_EraseRootFromParent_Done,
     /* 1877575 */   // Label 25338: @1877575
     /* 1877575 */   GIM_Try, /*On fail goto*//*Label 25339*/ GIMT_Encode4(1877664), // Rule ID 14362 //
     /* 1877580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1877591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1877594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1877597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1877600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877626 */     // MIs[0] policy
     /* 1877626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877636 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1877639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877659 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877662 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877663 */     // GIR_Coverage, 14362,
     /* 1877663 */     GIR_EraseRootFromParent_Done,
     /* 1877664 */   // Label 25339: @1877664
     /* 1877664 */   GIM_Try, /*On fail goto*//*Label 25340*/ GIMT_Encode4(1877753), // Rule ID 14363 //
     /* 1877669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1877680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1877683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1877686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1877689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1877692 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1877699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1877711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877715 */     // MIs[0] policy
     /* 1877715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877725 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1877728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877746 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877748 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877752 */     // GIR_Coverage, 14363,
     /* 1877752 */     GIR_EraseRootFromParent_Done,
     /* 1877753 */   // Label 25340: @1877753
     /* 1877753 */   GIM_Try, /*On fail goto*//*Label 25341*/ GIMT_Encode4(1877842), // Rule ID 14366 //
     /* 1877758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1877778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877804 */     // MIs[0] policy
     /* 1877804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877814 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1877817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877840 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877841 */     // GIR_Coverage, 14366,
     /* 1877841 */     GIR_EraseRootFromParent_Done,
     /* 1877842 */   // Label 25341: @1877842
     /* 1877842 */   GIM_Try, /*On fail goto*//*Label 25342*/ GIMT_Encode4(1877931), // Rule ID 14367 //
     /* 1877847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1877850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1877858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1877861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1877864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1877867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1877870 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1877873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1877877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1877889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877893 */     // MIs[0] policy
     /* 1877893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877903 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1877903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1877906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877908 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1877912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1877914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1877916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1877921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1877924 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1877926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1877929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1877930 */     // GIR_Coverage, 14367,
     /* 1877930 */     GIR_EraseRootFromParent_Done,
     /* 1877931 */   // Label 25342: @1877931
     /* 1877931 */   GIM_Try, /*On fail goto*//*Label 25343*/ GIMT_Encode4(1878020), // Rule ID 14370 //
     /* 1877936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1877939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1877944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1877947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1877950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1877953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1877956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1877959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1877962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1877966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1877978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1877982 */     // MIs[0] policy
     /* 1877982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1877985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1877992 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1877992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1877995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1877997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1877999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878018 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878019 */     // GIR_Coverage, 14370,
     /* 1878019 */     GIR_EraseRootFromParent_Done,
     /* 1878020 */   // Label 25343: @1878020
     /* 1878020 */   GIM_Try, /*On fail goto*//*Label 25344*/ GIMT_Encode4(1878109), // Rule ID 14371 //
     /* 1878025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1878036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1878039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1878042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1878045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878048 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878071 */     // MIs[0] policy
     /* 1878071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878081 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1878084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878086 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878102 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878104 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878108 */     // GIR_Coverage, 14371,
     /* 1878108 */     GIR_EraseRootFromParent_Done,
     /* 1878109 */   // Label 25344: @1878109
     /* 1878109 */   GIM_Try, /*On fail goto*//*Label 25345*/ GIMT_Encode4(1878198), // Rule ID 14374 //
     /* 1878114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1878134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878160 */     // MIs[0] policy
     /* 1878160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878170 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1878173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878196 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878197 */     // GIR_Coverage, 14374,
     /* 1878197 */     GIR_EraseRootFromParent_Done,
     /* 1878198 */   // Label 25345: @1878198
     /* 1878198 */   GIM_Try, /*On fail goto*//*Label 25346*/ GIMT_Encode4(1878287), // Rule ID 14375 //
     /* 1878203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1878214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1878217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1878220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1878223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878226 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878249 */     // MIs[0] policy
     /* 1878249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878259 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1878262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878280 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878282 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878286 */     // GIR_Coverage, 14375,
     /* 1878286 */     GIR_EraseRootFromParent_Done,
     /* 1878287 */   // Label 25346: @1878287
     /* 1878287 */   GIM_Try, /*On fail goto*//*Label 25347*/ GIMT_Encode4(1878376), // Rule ID 14378 //
     /* 1878292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1878312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878338 */     // MIs[0] policy
     /* 1878338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878348 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1878351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878371 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878374 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878375 */     // GIR_Coverage, 14378,
     /* 1878375 */     GIR_EraseRootFromParent_Done,
     /* 1878376 */   // Label 25347: @1878376
     /* 1878376 */   GIM_Try, /*On fail goto*//*Label 25348*/ GIMT_Encode4(1878465), // Rule ID 14379 //
     /* 1878381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1878392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1878395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1878398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1878401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1878404 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878427 */     // MIs[0] policy
     /* 1878427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878437 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1878440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1878458 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878460 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878464 */     // GIR_Coverage, 14379,
     /* 1878464 */     GIR_EraseRootFromParent_Done,
     /* 1878465 */   // Label 25348: @1878465
     /* 1878465 */   GIM_Try, /*On fail goto*//*Label 25349*/ GIMT_Encode4(1878554), // Rule ID 14382 //
     /* 1878470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1878490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878516 */     // MIs[0] policy
     /* 1878516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878526 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1878529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878549 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878552 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878553 */     // GIR_Coverage, 14382,
     /* 1878553 */     GIR_EraseRootFromParent_Done,
     /* 1878554 */   // Label 25349: @1878554
     /* 1878554 */   GIM_Try, /*On fail goto*//*Label 25350*/ GIMT_Encode4(1878643), // Rule ID 14383 //
     /* 1878559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1878570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1878573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1878576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1878579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1878582 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1878589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1878601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878605 */     // MIs[0] policy
     /* 1878605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878615 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1878618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878636 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878638 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878642 */     // GIR_Coverage, 14383,
     /* 1878642 */     GIR_EraseRootFromParent_Done,
     /* 1878643 */   // Label 25350: @1878643
     /* 1878643 */   GIM_Try, /*On fail goto*//*Label 25351*/ GIMT_Encode4(1878732), // Rule ID 14386 //
     /* 1878648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1878659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1878662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1878665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1878668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878694 */     // MIs[0] policy
     /* 1878694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878704 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1878707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878730 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878731 */     // GIR_Coverage, 14386,
     /* 1878731 */     GIR_EraseRootFromParent_Done,
     /* 1878732 */   // Label 25351: @1878732
     /* 1878732 */   GIM_Try, /*On fail goto*//*Label 25352*/ GIMT_Encode4(1878821), // Rule ID 14387 //
     /* 1878737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1878748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1878751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1878754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1878757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1878760 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1878767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1878779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878783 */     // MIs[0] policy
     /* 1878783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878793 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1878796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878814 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878816 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878820 */     // GIR_Coverage, 14387,
     /* 1878820 */     GIR_EraseRootFromParent_Done,
     /* 1878821 */   // Label 25352: @1878821
     /* 1878821 */   GIM_Try, /*On fail goto*//*Label 25353*/ GIMT_Encode4(1878910), // Rule ID 14390 //
     /* 1878826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1878829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1878846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1878852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878872 */     // MIs[0] policy
     /* 1878872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878882 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1878882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1878885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878908 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878909 */     // GIR_Coverage, 14390,
     /* 1878909 */     GIR_EraseRootFromParent_Done,
     /* 1878910 */   // Label 25353: @1878910
     /* 1878910 */   GIM_Try, /*On fail goto*//*Label 25354*/ GIMT_Encode4(1878999), // Rule ID 14391 //
     /* 1878915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1878918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1878923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1878926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1878929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1878932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1878935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1878938 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1878941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1878945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1878957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1878961 */     // MIs[0] policy
     /* 1878961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1878964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1878971 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1878971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1878974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1878976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1878978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1878980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1878982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1878984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1878989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1878992 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1878994 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1878997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1878998 */     // GIR_Coverage, 14391,
     /* 1878998 */     GIR_EraseRootFromParent_Done,
     /* 1878999 */   // Label 25354: @1878999
     /* 1878999 */   GIM_Try, /*On fail goto*//*Label 25355*/ GIMT_Encode4(1879088), // Rule ID 14394 //
     /* 1879004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1879024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879050 */     // MIs[0] policy
     /* 1879050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879060 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1879063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879086 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879087 */     // GIR_Coverage, 14394,
     /* 1879087 */     GIR_EraseRootFromParent_Done,
     /* 1879088 */   // Label 25355: @1879088
     /* 1879088 */   GIM_Try, /*On fail goto*//*Label 25356*/ GIMT_Encode4(1879177), // Rule ID 14395 //
     /* 1879093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1879104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1879107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1879110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1879113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879116 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1879123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1879135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879139 */     // MIs[0] policy
     /* 1879139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879149 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2_MASK),
     /* 1879152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879170 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879172 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879176 */     // GIR_Coverage, 14395,
     /* 1879176 */     GIR_EraseRootFromParent_Done,
     /* 1879177 */   // Label 25356: @1879177
     /* 1879177 */   GIM_Try, /*On fail goto*//*Label 25357*/ GIMT_Encode4(1879266), // Rule ID 14398 //
     /* 1879182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1879202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879228 */     // MIs[0] policy
     /* 1879228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879238 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1879241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879264 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879265 */     // GIR_Coverage, 14398,
     /* 1879265 */     GIR_EraseRootFromParent_Done,
     /* 1879266 */   // Label 25357: @1879266
     /* 1879266 */   GIM_Try, /*On fail goto*//*Label 25358*/ GIMT_Encode4(1879355), // Rule ID 14399 //
     /* 1879271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1879282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1879285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1879288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1879291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879294 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1879301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1879313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879317 */     // MIs[0] policy
     /* 1879317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879327 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4_MASK),
     /* 1879330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879348 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879350 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879354 */     // GIR_Coverage, 14399,
     /* 1879354 */     GIR_EraseRootFromParent_Done,
     /* 1879355 */   // Label 25358: @1879355
     /* 1879355 */   GIM_Try, /*On fail goto*//*Label 25359*/ GIMT_Encode4(1879444), // Rule ID 14402 //
     /* 1879360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1879363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1879380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879406 */     // MIs[0] policy
     /* 1879406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879416 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1879419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879439 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879442 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879443 */     // GIR_Coverage, 14402,
     /* 1879443 */     GIR_EraseRootFromParent_Done,
     /* 1879444 */   // Label 25359: @1879444
     /* 1879444 */   GIM_Try, /*On fail goto*//*Label 25360*/ GIMT_Encode4(1879533), // Rule ID 14403 //
     /* 1879449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1879452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1879460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1879463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1879466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1879469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1879472 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1879479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1879491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879495 */     // MIs[0] policy
     /* 1879495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879505 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8_MASK),
     /* 1879508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1879526 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879528 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879532 */     // GIR_Coverage, 14403,
     /* 1879532 */     GIR_EraseRootFromParent_Done,
     /* 1879533 */   // Label 25360: @1879533
     /* 1879533 */   GIM_Try, /*On fail goto*//*Label 25361*/ GIMT_Encode4(1879622), // Rule ID 14406 //
     /* 1879538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1879549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1879552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1879555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879584 */     // MIs[0] policy
     /* 1879584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879594 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1879597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879620 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879621 */     // GIR_Coverage, 14406,
     /* 1879621 */     GIR_EraseRootFromParent_Done,
     /* 1879622 */   // Label 25361: @1879622
     /* 1879622 */   GIM_Try, /*On fail goto*//*Label 25362*/ GIMT_Encode4(1879711), // Rule ID 14407 //
     /* 1879627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1879638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1879641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1879644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1879650 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879673 */     // MIs[0] policy
     /* 1879673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879683 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF8_MASK),
     /* 1879686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879704 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879710 */     // GIR_Coverage, 14407,
     /* 1879710 */     GIR_EraseRootFromParent_Done,
     /* 1879711 */   // Label 25362: @1879711
     /* 1879711 */   GIM_Try, /*On fail goto*//*Label 25363*/ GIMT_Encode4(1879800), // Rule ID 14410 //
     /* 1879716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879762 */     // MIs[0] policy
     /* 1879762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879772 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1879775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879798 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879799 */     // GIR_Coverage, 14410,
     /* 1879799 */     GIR_EraseRootFromParent_Done,
     /* 1879800 */   // Label 25363: @1879800
     /* 1879800 */   GIM_Try, /*On fail goto*//*Label 25364*/ GIMT_Encode4(1879889), // Rule ID 14411 //
     /* 1879805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1879816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1879819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1879822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1879825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1879828 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1879831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879851 */     // MIs[0] policy
     /* 1879851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879861 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1879861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1879864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879882 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879884 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879888 */     // GIR_Coverage, 14411,
     /* 1879888 */     GIR_EraseRootFromParent_Done,
     /* 1879889 */   // Label 25364: @1879889
     /* 1879889 */   GIM_Try, /*On fail goto*//*Label 25365*/ GIMT_Encode4(1879978), // Rule ID 14414 //
     /* 1879894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1879897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1879911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1879914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1879917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1879920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1879924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1879932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1879936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1879940 */     // MIs[0] policy
     /* 1879940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1879943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1879950 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1879950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1879953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1879955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1879957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1879959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1879961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1879963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1879968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1879971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1879973 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1879976 */     GIR_RootConstrainSelectedInstOperands,
     /* 1879977 */     // GIR_Coverage, 14414,
     /* 1879977 */     GIR_EraseRootFromParent_Done,
     /* 1879978 */   // Label 25365: @1879978
     /* 1879978 */   GIM_Try, /*On fail goto*//*Label 25366*/ GIMT_Encode4(1880067), // Rule ID 14415 //
     /* 1879983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1879986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1879991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1879994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1879997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1880000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880006 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880029 */     // MIs[0] policy
     /* 1880029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880039 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1880042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880060 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880062 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880066 */     // GIR_Coverage, 14415,
     /* 1880066 */     GIR_EraseRootFromParent_Done,
     /* 1880067 */   // Label 25366: @1880067
     /* 1880067 */   GIM_Try, /*On fail goto*//*Label 25367*/ GIMT_Encode4(1880156), // Rule ID 14418 //
     /* 1880072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880118 */     // MIs[0] policy
     /* 1880118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880128 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1880131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880154 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880155 */     // GIR_Coverage, 14418,
     /* 1880155 */     GIR_EraseRootFromParent_Done,
     /* 1880156 */   // Label 25367: @1880156
     /* 1880156 */   GIM_Try, /*On fail goto*//*Label 25368*/ GIMT_Encode4(1880245), // Rule ID 14419 //
     /* 1880161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1880172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1880175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1880178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880184 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880207 */     // MIs[0] policy
     /* 1880207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880217 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF4_MASK),
     /* 1880220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880238 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880240 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880244 */     // GIR_Coverage, 14419,
     /* 1880244 */     GIR_EraseRootFromParent_Done,
     /* 1880245 */   // Label 25368: @1880245
     /* 1880245 */   GIM_Try, /*On fail goto*//*Label 25369*/ GIMT_Encode4(1880334), // Rule ID 14422 //
     /* 1880250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880296 */     // MIs[0] policy
     /* 1880296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1880309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880329 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880332 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880333 */     // GIR_Coverage, 14422,
     /* 1880333 */     GIR_EraseRootFromParent_Done,
     /* 1880334 */   // Label 25369: @1880334
     /* 1880334 */   GIM_Try, /*On fail goto*//*Label 25370*/ GIMT_Encode4(1880423), // Rule ID 14423 //
     /* 1880339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1880350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1880353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1880356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880362 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880385 */     // MIs[0] policy
     /* 1880385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880395 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1880398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880416 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880418 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880422 */     // GIR_Coverage, 14423,
     /* 1880422 */     GIR_EraseRootFromParent_Done,
     /* 1880423 */   // Label 25370: @1880423
     /* 1880423 */   GIM_Try, /*On fail goto*//*Label 25371*/ GIMT_Encode4(1880512), // Rule ID 14426 //
     /* 1880428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880474 */     // MIs[0] policy
     /* 1880474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880484 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1880487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880507 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880510 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880511 */     // GIR_Coverage, 14426,
     /* 1880511 */     GIR_EraseRootFromParent_Done,
     /* 1880512 */   // Label 25371: @1880512
     /* 1880512 */   GIM_Try, /*On fail goto*//*Label 25372*/ GIMT_Encode4(1880601), // Rule ID 14427 //
     /* 1880517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1880528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1880531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1880534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1880540 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880563 */     // MIs[0] policy
     /* 1880563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880573 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_MF2_MASK),
     /* 1880576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1880594 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880596 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880600 */     // GIR_Coverage, 14427,
     /* 1880600 */     GIR_EraseRootFromParent_Done,
     /* 1880601 */   // Label 25372: @1880601
     /* 1880601 */   GIM_Try, /*On fail goto*//*Label 25373*/ GIMT_Encode4(1880690), // Rule ID 14430 //
     /* 1880606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1880617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1880620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1880623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880652 */     // MIs[0] policy
     /* 1880652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880662 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1880665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880688 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880689 */     // GIR_Coverage, 14430,
     /* 1880689 */     GIR_EraseRootFromParent_Done,
     /* 1880690 */   // Label 25373: @1880690
     /* 1880690 */   GIM_Try, /*On fail goto*//*Label 25374*/ GIMT_Encode4(1880779), // Rule ID 14431 //
     /* 1880695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1880706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1880709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1880712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1880718 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880741 */     // MIs[0] policy
     /* 1880741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880751 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11532:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1880754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1880772 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880774 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880778 */     // GIR_Coverage, 14431,
     /* 1880778 */     GIR_EraseRootFromParent_Done,
     /* 1880779 */   // Label 25374: @1880779
     /* 1880779 */   GIM_Try, /*On fail goto*//*Label 25375*/ GIMT_Encode4(1880868), // Rule ID 14434 //
     /* 1880784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880830 */     // MIs[0] policy
     /* 1880830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880840 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1880840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1880843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880866 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880867 */     // GIR_Coverage, 14434,
     /* 1880867 */     GIR_EraseRootFromParent_Done,
     /* 1880868 */   // Label 25375: @1880868
     /* 1880868 */   GIM_Try, /*On fail goto*//*Label 25376*/ GIMT_Encode4(1880957), // Rule ID 14435 //
     /* 1880873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1880876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1880884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1880887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1880890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1880893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1880896 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1880899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1880915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1880919 */     // MIs[0] policy
     /* 1880919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1880922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1880929 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11532:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1880929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1880932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1880934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1880936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1880938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1880940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1880942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1880947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1880950 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1880952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1880955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1880956 */     // GIR_Coverage, 14435,
     /* 1880956 */     GIR_EraseRootFromParent_Done,
     /* 1880957 */   // Label 25376: @1880957
     /* 1880957 */   GIM_Try, /*On fail goto*//*Label 25377*/ GIMT_Encode4(1881046), // Rule ID 14438 //
     /* 1880962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1880965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1880970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1880973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1880976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1880979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1880982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1880985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1880988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1880992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1880996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881008 */     // MIs[0] policy
     /* 1881008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881018 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1881021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881044 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881045 */     // GIR_Coverage, 14438,
     /* 1881045 */     GIR_EraseRootFromParent_Done,
     /* 1881046 */   // Label 25377: @1881046
     /* 1881046 */   GIM_Try, /*On fail goto*//*Label 25378*/ GIMT_Encode4(1881135), // Rule ID 14439 //
     /* 1881051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1881062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1881065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1881068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1881074 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881097 */     // MIs[0] policy
     /* 1881097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881107 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11532:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1881110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1881128 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881130 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881134 */     // GIR_Coverage, 14439,
     /* 1881134 */     GIR_EraseRootFromParent_Done,
     /* 1881135 */   // Label 25378: @1881135
     /* 1881135 */   GIM_Try, /*On fail goto*//*Label 25379*/ GIMT_Encode4(1881224), // Rule ID 14442 //
     /* 1881140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1881143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881186 */     // MIs[0] policy
     /* 1881186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881196 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1881199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881222 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881223 */     // GIR_Coverage, 14442,
     /* 1881223 */     GIR_EraseRootFromParent_Done,
     /* 1881224 */   // Label 25379: @1881224
     /* 1881224 */   GIM_Try, /*On fail goto*//*Label 25380*/ GIMT_Encode4(1881313), // Rule ID 14443 //
     /* 1881229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1881232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1881240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1881243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1881246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1881252 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1881259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1881267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881275 */     // MIs[0] policy
     /* 1881275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881285 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11532:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M1_MASK),
     /* 1881288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1881306 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881308 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881312 */     // GIR_Coverage, 14443,
     /* 1881312 */     GIR_EraseRootFromParent_Done,
     /* 1881313 */   // Label 25380: @1881313
     /* 1881313 */   GIM_Try, /*On fail goto*//*Label 25381*/ GIMT_Encode4(1881402), // Rule ID 14446 //
     /* 1881318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881364 */     // MIs[0] policy
     /* 1881364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881374 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1881377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881397 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881400 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881401 */     // GIR_Coverage, 14446,
     /* 1881401 */     GIR_EraseRootFromParent_Done,
     /* 1881402 */   // Label 25381: @1881402
     /* 1881402 */   GIM_Try, /*On fail goto*//*Label 25382*/ GIMT_Encode4(1881491), // Rule ID 14447 //
     /* 1881407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1881418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1881421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1881424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1881430 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881453 */     // MIs[0] policy
     /* 1881453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881463 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1881466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881484 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881486 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881490 */     // GIR_Coverage, 14447,
     /* 1881490 */     GIR_EraseRootFromParent_Done,
     /* 1881491 */   // Label 25382: @1881491
     /* 1881491 */   GIM_Try, /*On fail goto*//*Label 25383*/ GIMT_Encode4(1881580), // Rule ID 14450 //
     /* 1881496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881542 */     // MIs[0] policy
     /* 1881542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881552 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1881555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881575 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881578 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881579 */     // GIR_Coverage, 14450,
     /* 1881579 */     GIR_EraseRootFromParent_Done,
     /* 1881580 */   // Label 25383: @1881580
     /* 1881580 */   GIM_Try, /*On fail goto*//*Label 25384*/ GIMT_Encode4(1881669), // Rule ID 14451 //
     /* 1881585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1881596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1881599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1881602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1881608 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1881615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1881623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881631 */     // MIs[0] policy
     /* 1881631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881641 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1881644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881662 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881668 */     // GIR_Coverage, 14451,
     /* 1881668 */     GIR_EraseRootFromParent_Done,
     /* 1881669 */   // Label 25384: @1881669
     /* 1881669 */   GIM_Try, /*On fail goto*//*Label 25385*/ GIMT_Encode4(1881758), // Rule ID 14454 //
     /* 1881674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1881685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1881688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1881691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1881697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881720 */     // MIs[0] policy
     /* 1881720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881730 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1881733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881756 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881757 */     // GIR_Coverage, 14454,
     /* 1881757 */     GIR_EraseRootFromParent_Done,
     /* 1881758 */   // Label 25385: @1881758
     /* 1881758 */   GIM_Try, /*On fail goto*//*Label 25386*/ GIMT_Encode4(1881847), // Rule ID 14455 //
     /* 1881763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1881774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1881777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1881780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1881786 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1881793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1881801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881809 */     // MIs[0] policy
     /* 1881809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881819 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1881822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1881840 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881846 */     // GIR_Coverage, 14455,
     /* 1881846 */     GIR_EraseRootFromParent_Done,
     /* 1881847 */   // Label 25386: @1881847
     /* 1881847 */   GIM_Try, /*On fail goto*//*Label 25387*/ GIMT_Encode4(1881936), // Rule ID 14458 //
     /* 1881852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1881855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1881872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1881878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881898 */     // MIs[0] policy
     /* 1881898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881908 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1881908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1881911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1881913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1881915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1881917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1881919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1881921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1881926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1881929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1881931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1881934 */     GIR_RootConstrainSelectedInstOperands,
     /* 1881935 */     // GIR_Coverage, 14458,
     /* 1881935 */     GIR_EraseRootFromParent_Done,
     /* 1881936 */   // Label 25387: @1881936
     /* 1881936 */   GIM_Try, /*On fail goto*//*Label 25388*/ GIMT_Encode4(1882025), // Rule ID 14459 //
     /* 1881941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1881944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1881949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1881952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1881955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1881958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1881961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1881964 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1881967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1881971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1881979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1881983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1881987 */     // MIs[0] policy
     /* 1881987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1881990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1881997 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1881997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1882000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882002 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882018 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882020 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882024 */     // GIR_Coverage, 14459,
     /* 1882024 */     GIR_EraseRootFromParent_Done,
     /* 1882025 */   // Label 25388: @1882025
     /* 1882025 */   GIM_Try, /*On fail goto*//*Label 25389*/ GIMT_Encode4(1882114), // Rule ID 14462 //
     /* 1882030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882076 */     // MIs[0] policy
     /* 1882076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882086 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1882089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882112 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882113 */     // GIR_Coverage, 14462,
     /* 1882113 */     GIR_EraseRootFromParent_Done,
     /* 1882114 */   // Label 25389: @1882114
     /* 1882114 */   GIM_Try, /*On fail goto*//*Label 25390*/ GIMT_Encode4(1882203), // Rule ID 14463 //
     /* 1882119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1882130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1882133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1882136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882142 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882165 */     // MIs[0] policy
     /* 1882165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882175 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1882178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882180 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882196 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882198 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882202 */     // GIR_Coverage, 14463,
     /* 1882202 */     GIR_EraseRootFromParent_Done,
     /* 1882203 */   // Label 25390: @1882203
     /* 1882203 */   GIM_Try, /*On fail goto*//*Label 25391*/ GIMT_Encode4(1882292), // Rule ID 14466 //
     /* 1882208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882254 */     // MIs[0] policy
     /* 1882254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882264 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1882267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882290 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882291 */     // GIR_Coverage, 14466,
     /* 1882291 */     GIR_EraseRootFromParent_Done,
     /* 1882292 */   // Label 25391: @1882292
     /* 1882292 */   GIM_Try, /*On fail goto*//*Label 25392*/ GIMT_Encode4(1882381), // Rule ID 14467 //
     /* 1882297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1882308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1882311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1882314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1882320 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882343 */     // MIs[0] policy
     /* 1882343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882353 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1882356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1882374 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882376 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882380 */     // GIR_Coverage, 14467,
     /* 1882380 */     GIR_EraseRootFromParent_Done,
     /* 1882381 */   // Label 25392: @1882381
     /* 1882381 */   GIM_Try, /*On fail goto*//*Label 25393*/ GIMT_Encode4(1882470), // Rule ID 14470 //
     /* 1882386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882432 */     // MIs[0] policy
     /* 1882432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882442 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1882445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882465 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882468 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882469 */     // GIR_Coverage, 14470,
     /* 1882469 */     GIR_EraseRootFromParent_Done,
     /* 1882470 */   // Label 25393: @1882470
     /* 1882470 */   GIM_Try, /*On fail goto*//*Label 25394*/ GIMT_Encode4(1882559), // Rule ID 14471 //
     /* 1882475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1882486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1882489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1882492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1882498 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882521 */     // MIs[0] policy
     /* 1882521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882531 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1882534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882552 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882554 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882558 */     // GIR_Coverage, 14471,
     /* 1882558 */     GIR_EraseRootFromParent_Done,
     /* 1882559 */   // Label 25394: @1882559
     /* 1882559 */   GIM_Try, /*On fail goto*//*Label 25395*/ GIMT_Encode4(1882648), // Rule ID 14474 //
     /* 1882564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1882575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1882578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1882581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882610 */     // MIs[0] policy
     /* 1882610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882620 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1882623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882643 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882646 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882647 */     // GIR_Coverage, 14474,
     /* 1882647 */     GIR_EraseRootFromParent_Done,
     /* 1882648 */   // Label 25395: @1882648
     /* 1882648 */   GIM_Try, /*On fail goto*//*Label 25396*/ GIMT_Encode4(1882737), // Rule ID 14475 //
     /* 1882653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1882664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1882667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1882670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1882676 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1882683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1882691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882699 */     // MIs[0] policy
     /* 1882699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882709 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1882712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882730 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882736 */     // GIR_Coverage, 14475,
     /* 1882736 */     GIR_EraseRootFromParent_Done,
     /* 1882737 */   // Label 25396: @1882737
     /* 1882737 */   GIM_Try, /*On fail goto*//*Label 25397*/ GIMT_Encode4(1882826), // Rule ID 14478 //
     /* 1882742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1882745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882788 */     // MIs[0] policy
     /* 1882788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882798 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1882801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882824 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882825 */     // GIR_Coverage, 14478,
     /* 1882825 */     GIR_EraseRootFromParent_Done,
     /* 1882826 */   // Label 25397: @1882826
     /* 1882826 */   GIM_Try, /*On fail goto*//*Label 25398*/ GIMT_Encode4(1882915), // Rule ID 14479 //
     /* 1882831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1882834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1882842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1882845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1882848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1882851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1882854 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1882857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1882861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1882869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882877 */     // MIs[0] policy
     /* 1882877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882887 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1882887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1882890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1882908 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1882913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1882914 */     // GIR_Coverage, 14479,
     /* 1882914 */     GIR_EraseRootFromParent_Done,
     /* 1882915 */   // Label 25398: @1882915
     /* 1882915 */   GIM_Try, /*On fail goto*//*Label 25399*/ GIMT_Encode4(1883004), // Rule ID 14482 //
     /* 1882920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1882923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1882928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1882931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1882934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1882937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1882940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1882943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1882946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1882950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1882958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1882962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1882966 */     // MIs[0] policy
     /* 1882966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1882969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1882976 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1882976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1882979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1882981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1882983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1882985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1882987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1882989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1882994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1882997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1882999 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883002 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883003 */     // GIR_Coverage, 14482,
     /* 1883003 */     GIR_EraseRootFromParent_Done,
     /* 1883004 */   // Label 25399: @1883004
     /* 1883004 */   GIM_Try, /*On fail goto*//*Label 25400*/ GIMT_Encode4(1883093), // Rule ID 14483 //
     /* 1883009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1883017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1883020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1883023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1883026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883032 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1883039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1883047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883055 */     // MIs[0] policy
     /* 1883055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883065 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11532:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M2_MASK),
     /* 1883068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883086 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883088 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883092 */     // GIR_Coverage, 14483,
     /* 1883092 */     GIR_EraseRootFromParent_Done,
     /* 1883093 */   // Label 25400: @1883093
     /* 1883093 */   GIM_Try, /*On fail goto*//*Label 25401*/ GIMT_Encode4(1883182), // Rule ID 14486 //
     /* 1883098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1883106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883144 */     // MIs[0] policy
     /* 1883144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883154 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1883157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883180 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883181 */     // GIR_Coverage, 14486,
     /* 1883181 */     GIR_EraseRootFromParent_Done,
     /* 1883182 */   // Label 25401: @1883182
     /* 1883182 */   GIM_Try, /*On fail goto*//*Label 25402*/ GIMT_Encode4(1883271), // Rule ID 14487 //
     /* 1883187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1883195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1883198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1883201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1883204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883210 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1883217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1883225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883233 */     // MIs[0] policy
     /* 1883233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883243 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11532:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M4_MASK),
     /* 1883246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883264 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883266 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883270 */     // GIR_Coverage, 14487,
     /* 1883270 */     GIR_EraseRootFromParent_Done,
     /* 1883271 */   // Label 25402: @1883271
     /* 1883271 */   GIM_Try, /*On fail goto*//*Label 25403*/ GIMT_Encode4(1883360), // Rule ID 14490 //
     /* 1883276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1883279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1883284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1883296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883322 */     // MIs[0] policy
     /* 1883322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883332 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1883335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883358 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883359 */     // GIR_Coverage, 14490,
     /* 1883359 */     GIR_EraseRootFromParent_Done,
     /* 1883360 */   // Label 25403: @1883360
     /* 1883360 */   GIM_Try, /*On fail goto*//*Label 25404*/ GIMT_Encode4(1883449), // Rule ID 14491 //
     /* 1883365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1883368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsadd_mask),
     /* 1883373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1883376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1883379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1883382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1883385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1883388 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1883395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1883403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1883407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883411 */     // MIs[0] policy
     /* 1883411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883421 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11532:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VX_M8_MASK),
     /* 1883424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1883442 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883444 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883448 */     // GIR_Coverage, 14491,
     /* 1883448 */     GIR_EraseRootFromParent_Done,
     /* 1883449 */   // Label 25404: @1883449
     /* 1883449 */   GIM_Try, /*On fail goto*//*Label 25405*/ GIMT_Encode4(1883538), // Rule ID 14582 //
     /* 1883454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1883474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883500 */     // MIs[0] policy
     /* 1883500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883510 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1883513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883533 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883536 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883537 */     // GIR_Coverage, 14582,
     /* 1883537 */     GIR_EraseRootFromParent_Done,
     /* 1883538 */   // Label 25405: @1883538
     /* 1883538 */   GIM_Try, /*On fail goto*//*Label 25406*/ GIMT_Encode4(1883627), // Rule ID 14583 //
     /* 1883543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1883554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1883557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1883560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1883563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1883566 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883589 */     // MIs[0] policy
     /* 1883589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883599 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8_MASK),
     /* 1883602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883620 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883622 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883626 */     // GIR_Coverage, 14583,
     /* 1883626 */     GIR_EraseRootFromParent_Done,
     /* 1883627 */   // Label 25406: @1883627
     /* 1883627 */   GIM_Try, /*On fail goto*//*Label 25407*/ GIMT_Encode4(1883716), // Rule ID 14586 //
     /* 1883632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1883643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1883646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1883649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1883652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883678 */     // MIs[0] policy
     /* 1883678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883688 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1883691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883711 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883714 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883715 */     // GIR_Coverage, 14586,
     /* 1883715 */     GIR_EraseRootFromParent_Done,
     /* 1883716 */   // Label 25407: @1883716
     /* 1883716 */   GIM_Try, /*On fail goto*//*Label 25408*/ GIMT_Encode4(1883805), // Rule ID 14587 //
     /* 1883721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1883732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1883735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1883738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1883741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1883744 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883767 */     // MIs[0] policy
     /* 1883767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883777 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1883780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883798 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883804 */     // GIR_Coverage, 14587,
     /* 1883804 */     GIR_EraseRootFromParent_Done,
     /* 1883805 */   // Label 25408: @1883805
     /* 1883805 */   GIM_Try, /*On fail goto*//*Label 25409*/ GIMT_Encode4(1883894), // Rule ID 14590 //
     /* 1883810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1883830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1883836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883856 */     // MIs[0] policy
     /* 1883856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883866 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1883866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1883869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883892 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883893 */     // GIR_Coverage, 14590,
     /* 1883893 */     GIR_EraseRootFromParent_Done,
     /* 1883894 */   // Label 25409: @1883894
     /* 1883894 */   GIM_Try, /*On fail goto*//*Label 25410*/ GIMT_Encode4(1883983), // Rule ID 14591 //
     /* 1883899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1883902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1883910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1883913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1883916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1883919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1883922 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1883925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1883929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1883941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1883945 */     // MIs[0] policy
     /* 1883945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1883948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1883955 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1883955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1883958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1883960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1883962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1883964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1883966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1883968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1883973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1883976 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1883978 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1883981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1883982 */     // GIR_Coverage, 14591,
     /* 1883982 */     GIR_EraseRootFromParent_Done,
     /* 1883983 */   // Label 25410: @1883983
     /* 1883983 */   GIM_Try, /*On fail goto*//*Label 25411*/ GIMT_Encode4(1884072), // Rule ID 14594 //
     /* 1883988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1883991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1883996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1883999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1884008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884034 */     // MIs[0] policy
     /* 1884034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884044 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1884047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884067 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884070 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884071 */     // GIR_Coverage, 14594,
     /* 1884071 */     GIR_EraseRootFromParent_Done,
     /* 1884072 */   // Label 25411: @1884072
     /* 1884072 */   GIM_Try, /*On fail goto*//*Label 25412*/ GIMT_Encode4(1884161), // Rule ID 14595 //
     /* 1884077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1884088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1884091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1884094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1884097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884100 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884123 */     // MIs[0] policy
     /* 1884123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884133 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4_MASK),
     /* 1884136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884154 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884156 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884160 */     // GIR_Coverage, 14595,
     /* 1884160 */     GIR_EraseRootFromParent_Done,
     /* 1884161 */   // Label 25412: @1884161
     /* 1884161 */   GIM_Try, /*On fail goto*//*Label 25413*/ GIMT_Encode4(1884250), // Rule ID 14598 //
     /* 1884166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1884186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884212 */     // MIs[0] policy
     /* 1884212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884222 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1884225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884248 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884249 */     // GIR_Coverage, 14598,
     /* 1884249 */     GIR_EraseRootFromParent_Done,
     /* 1884250 */   // Label 25413: @1884250
     /* 1884250 */   GIM_Try, /*On fail goto*//*Label 25414*/ GIMT_Encode4(1884339), // Rule ID 14599 //
     /* 1884255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1884266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1884269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1884272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1884275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884278 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884301 */     // MIs[0] policy
     /* 1884301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884311 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1884314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884332 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884334 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884338 */     // GIR_Coverage, 14599,
     /* 1884338 */     GIR_EraseRootFromParent_Done,
     /* 1884339 */   // Label 25414: @1884339
     /* 1884339 */   GIM_Try, /*On fail goto*//*Label 25415*/ GIMT_Encode4(1884428), // Rule ID 14602 //
     /* 1884344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1884364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884390 */     // MIs[0] policy
     /* 1884390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884400 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1884403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884423 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884426 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884427 */     // GIR_Coverage, 14602,
     /* 1884427 */     GIR_EraseRootFromParent_Done,
     /* 1884428 */   // Label 25415: @1884428
     /* 1884428 */   GIM_Try, /*On fail goto*//*Label 25416*/ GIMT_Encode4(1884517), // Rule ID 14603 //
     /* 1884433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1884444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1884447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1884450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1884453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1884456 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884479 */     // MIs[0] policy
     /* 1884479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884489 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2_MASK),
     /* 1884492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884510 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884512 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884516 */     // GIR_Coverage, 14603,
     /* 1884516 */     GIR_EraseRootFromParent_Done,
     /* 1884517 */   // Label 25416: @1884517
     /* 1884517 */   GIM_Try, /*On fail goto*//*Label 25417*/ GIMT_Encode4(1884606), // Rule ID 14606 //
     /* 1884522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1884533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1884536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1884539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1884542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884568 */     // MIs[0] policy
     /* 1884568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884578 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1884581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884601 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884604 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884605 */     // GIR_Coverage, 14606,
     /* 1884605 */     GIR_EraseRootFromParent_Done,
     /* 1884606 */   // Label 25417: @1884606
     /* 1884606 */   GIM_Try, /*On fail goto*//*Label 25418*/ GIMT_Encode4(1884695), // Rule ID 14607 //
     /* 1884611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1884622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1884625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1884628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1884631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1884634 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884657 */     // MIs[0] policy
     /* 1884657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884667 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1884670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1884688 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884694 */     // GIR_Coverage, 14607,
     /* 1884694 */     GIR_EraseRootFromParent_Done,
     /* 1884695 */   // Label 25418: @1884695
     /* 1884695 */   GIM_Try, /*On fail goto*//*Label 25419*/ GIMT_Encode4(1884784), // Rule ID 14610 //
     /* 1884700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1884720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884746 */     // MIs[0] policy
     /* 1884746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884756 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1884759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884782 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884783 */     // GIR_Coverage, 14610,
     /* 1884783 */     GIR_EraseRootFromParent_Done,
     /* 1884784 */   // Label 25419: @1884784
     /* 1884784 */   GIM_Try, /*On fail goto*//*Label 25420*/ GIMT_Encode4(1884873), // Rule ID 14611 //
     /* 1884789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1884800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1884803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1884806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1884809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1884812 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884835 */     // MIs[0] policy
     /* 1884835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884845 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1884845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1884848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1884866 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884872 */     // GIR_Coverage, 14611,
     /* 1884872 */     GIR_EraseRootFromParent_Done,
     /* 1884873 */   // Label 25420: @1884873
     /* 1884873 */   GIM_Try, /*On fail goto*//*Label 25421*/ GIMT_Encode4(1884962), // Rule ID 14614 //
     /* 1884878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1884881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1884898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1884904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1884920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1884924 */     // MIs[0] policy
     /* 1884924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1884927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1884934 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1884934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1884937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1884939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1884941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1884943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1884945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1884947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1884952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1884955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1884957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1884960 */     GIR_RootConstrainSelectedInstOperands,
     /* 1884961 */     // GIR_Coverage, 14614,
     /* 1884961 */     GIR_EraseRootFromParent_Done,
     /* 1884962 */   // Label 25421: @1884962
     /* 1884962 */   GIM_Try, /*On fail goto*//*Label 25422*/ GIMT_Encode4(1885051), // Rule ID 14615 //
     /* 1884967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1884970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1884975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1884978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1884981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1884984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1884987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1884990 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1884993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1884997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885013 */     // MIs[0] policy
     /* 1885013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885023 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1885026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1885044 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885046 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885050 */     // GIR_Coverage, 14615,
     /* 1885050 */     GIR_EraseRootFromParent_Done,
     /* 1885051 */   // Label 25422: @1885051
     /* 1885051 */   GIM_Try, /*On fail goto*//*Label 25423*/ GIMT_Encode4(1885140), // Rule ID 14618 //
     /* 1885056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1885059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1885076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885102 */     // MIs[0] policy
     /* 1885102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885112 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1885115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885135 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885138 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885139 */     // GIR_Coverage, 14618,
     /* 1885139 */     GIR_EraseRootFromParent_Done,
     /* 1885140 */   // Label 25423: @1885140
     /* 1885140 */   GIM_Try, /*On fail goto*//*Label 25424*/ GIMT_Encode4(1885229), // Rule ID 14619 //
     /* 1885145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1885148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1885156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1885159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1885162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1885165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1885168 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1885175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1885187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885191 */     // MIs[0] policy
     /* 1885191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885201 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1_MASK),
     /* 1885204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1885222 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885224 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885228 */     // GIR_Coverage, 14619,
     /* 1885228 */     GIR_EraseRootFromParent_Done,
     /* 1885229 */   // Label 25424: @1885229
     /* 1885229 */   GIM_Try, /*On fail goto*//*Label 25425*/ GIMT_Encode4(1885318), // Rule ID 14622 //
     /* 1885234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1885254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885280 */     // MIs[0] policy
     /* 1885280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885290 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1885293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885316 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885317 */     // GIR_Coverage, 14622,
     /* 1885317 */     GIR_EraseRootFromParent_Done,
     /* 1885318 */   // Label 25425: @1885318
     /* 1885318 */   GIM_Try, /*On fail goto*//*Label 25426*/ GIMT_Encode4(1885407), // Rule ID 14623 //
     /* 1885323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1885334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1885337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1885340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1885343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885346 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885369 */     // MIs[0] policy
     /* 1885369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885379 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1885382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885400 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885402 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885406 */     // GIR_Coverage, 14623,
     /* 1885406 */     GIR_EraseRootFromParent_Done,
     /* 1885407 */   // Label 25426: @1885407
     /* 1885407 */   GIM_Try, /*On fail goto*//*Label 25427*/ GIMT_Encode4(1885496), // Rule ID 14626 //
     /* 1885412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1885432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885458 */     // MIs[0] policy
     /* 1885458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885468 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1885471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885491 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885494 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885495 */     // GIR_Coverage, 14626,
     /* 1885495 */     GIR_EraseRootFromParent_Done,
     /* 1885496 */   // Label 25427: @1885496
     /* 1885496 */   GIM_Try, /*On fail goto*//*Label 25428*/ GIMT_Encode4(1885585), // Rule ID 14627 //
     /* 1885501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1885512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1885515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1885518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1885521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1885524 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885547 */     // MIs[0] policy
     /* 1885547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885557 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1885560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885578 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885584 */     // GIR_Coverage, 14627,
     /* 1885584 */     GIR_EraseRootFromParent_Done,
     /* 1885585 */   // Label 25428: @1885585
     /* 1885585 */   GIM_Try, /*On fail goto*//*Label 25429*/ GIMT_Encode4(1885674), // Rule ID 14630 //
     /* 1885590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1885601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1885604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1885607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1885610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1885613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885636 */     // MIs[0] policy
     /* 1885636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885646 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1885649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885669 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885672 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885673 */     // GIR_Coverage, 14630,
     /* 1885673 */     GIR_EraseRootFromParent_Done,
     /* 1885674 */   // Label 25429: @1885674
     /* 1885674 */   GIM_Try, /*On fail goto*//*Label 25430*/ GIMT_Encode4(1885763), // Rule ID 14631 //
     /* 1885679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1885690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1885693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1885696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1885699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1885702 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1885709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1885721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885725 */     // MIs[0] policy
     /* 1885725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885735 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1885738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1885756 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885762 */     // GIR_Coverage, 14631,
     /* 1885762 */     GIR_EraseRootFromParent_Done,
     /* 1885763 */   // Label 25430: @1885763
     /* 1885763 */   GIM_Try, /*On fail goto*//*Label 25431*/ GIMT_Encode4(1885852), // Rule ID 14634 //
     /* 1885768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1885788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885814 */     // MIs[0] policy
     /* 1885814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885824 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1885824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1885827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885850 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885851 */     // GIR_Coverage, 14634,
     /* 1885851 */     GIR_EraseRootFromParent_Done,
     /* 1885852 */   // Label 25431: @1885852
     /* 1885852 */   GIM_Try, /*On fail goto*//*Label 25432*/ GIMT_Encode4(1885941), // Rule ID 14635 //
     /* 1885857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1885860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1885868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1885871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1885874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1885877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1885880 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1885883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1885887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1885899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885903 */     // MIs[0] policy
     /* 1885903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1885913 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1885913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1885916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1885918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1885920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1885922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1885924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1885926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1885931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1885934 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1885936 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1885939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1885940 */     // GIR_Coverage, 14635,
     /* 1885940 */     GIR_EraseRootFromParent_Done,
     /* 1885941 */   // Label 25432: @1885941
     /* 1885941 */   GIM_Try, /*On fail goto*//*Label 25433*/ GIMT_Encode4(1886030), // Rule ID 14638 //
     /* 1885946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1885949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1885954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1885957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1885960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1885963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1885966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1885969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1885972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1885976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1885988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1885992 */     // MIs[0] policy
     /* 1885992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1885995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886002 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1886005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886028 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886029 */     // GIR_Coverage, 14638,
     /* 1886029 */     GIR_EraseRootFromParent_Done,
     /* 1886030 */   // Label 25433: @1886030
     /* 1886030 */   GIM_Try, /*On fail goto*//*Label 25434*/ GIMT_Encode4(1886119), // Rule ID 14639 //
     /* 1886035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1886046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1886049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1886052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1886055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886058 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886081 */     // MIs[0] policy
     /* 1886081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886091 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1886094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886112 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886114 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886118 */     // GIR_Coverage, 14639,
     /* 1886118 */     GIR_EraseRootFromParent_Done,
     /* 1886119 */   // Label 25434: @1886119
     /* 1886119 */   GIM_Try, /*On fail goto*//*Label 25435*/ GIMT_Encode4(1886208), // Rule ID 14642 //
     /* 1886124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1886141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1886144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886170 */     // MIs[0] policy
     /* 1886170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886180 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1886183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886206 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886207 */     // GIR_Coverage, 14642,
     /* 1886207 */     GIR_EraseRootFromParent_Done,
     /* 1886208 */   // Label 25435: @1886208
     /* 1886208 */   GIM_Try, /*On fail goto*//*Label 25436*/ GIMT_Encode4(1886297), // Rule ID 14643 //
     /* 1886213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1886224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1886227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1886230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1886233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1886236 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886259 */     // MIs[0] policy
     /* 1886259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886269 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1886272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886274 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1886290 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886292 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886296 */     // GIR_Coverage, 14643,
     /* 1886296 */     GIR_EraseRootFromParent_Done,
     /* 1886297 */   // Label 25436: @1886297
     /* 1886297 */   GIM_Try, /*On fail goto*//*Label 25437*/ GIMT_Encode4(1886386), // Rule ID 14646 //
     /* 1886302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1886322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886348 */     // MIs[0] policy
     /* 1886348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886358 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1886361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886384 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886385 */     // GIR_Coverage, 14646,
     /* 1886385 */     GIR_EraseRootFromParent_Done,
     /* 1886386 */   // Label 25437: @1886386
     /* 1886386 */   GIM_Try, /*On fail goto*//*Label 25438*/ GIMT_Encode4(1886475), // Rule ID 14647 //
     /* 1886391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1886402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1886405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1886408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1886411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1886414 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886437 */     // MIs[0] policy
     /* 1886437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886447 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1886450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886452 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886468 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886474 */     // GIR_Coverage, 14647,
     /* 1886474 */     GIR_EraseRootFromParent_Done,
     /* 1886475 */   // Label 25438: @1886475
     /* 1886475 */   GIM_Try, /*On fail goto*//*Label 25439*/ GIMT_Encode4(1886564), // Rule ID 14650 //
     /* 1886480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1886500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886526 */     // MIs[0] policy
     /* 1886526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1886539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886562 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886563 */     // GIR_Coverage, 14650,
     /* 1886563 */     GIR_EraseRootFromParent_Done,
     /* 1886564 */   // Label 25439: @1886564
     /* 1886564 */   GIM_Try, /*On fail goto*//*Label 25440*/ GIMT_Encode4(1886653), // Rule ID 14651 //
     /* 1886569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1886580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1886583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1886586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1886589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1886592 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1886599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1886611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886615 */     // MIs[0] policy
     /* 1886615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886625 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1886628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886646 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886652 */     // GIR_Coverage, 14651,
     /* 1886652 */     GIR_EraseRootFromParent_Done,
     /* 1886653 */   // Label 25440: @1886653
     /* 1886653 */   GIM_Try, /*On fail goto*//*Label 25441*/ GIMT_Encode4(1886742), // Rule ID 14654 //
     /* 1886658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1886661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1886678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886704 */     // MIs[0] policy
     /* 1886704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886714 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1886717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886737 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886740 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886741 */     // GIR_Coverage, 14654,
     /* 1886741 */     GIR_EraseRootFromParent_Done,
     /* 1886742 */   // Label 25441: @1886742
     /* 1886742 */   GIM_Try, /*On fail goto*//*Label 25442*/ GIMT_Encode4(1886831), // Rule ID 14655 //
     /* 1886747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1886750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1886758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1886761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1886764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1886767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1886770 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1886777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1886789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886793 */     // MIs[0] policy
     /* 1886793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886803 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1886806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1886824 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886826 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886830 */     // GIR_Coverage, 14655,
     /* 1886830 */     GIR_EraseRootFromParent_Done,
     /* 1886831 */   // Label 25442: @1886831
     /* 1886831 */   GIM_Try, /*On fail goto*//*Label 25443*/ GIMT_Encode4(1886920), // Rule ID 14658 //
     /* 1886836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1886839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1886856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1886862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886882 */     // MIs[0] policy
     /* 1886882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886892 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1886892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1886895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1886913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1886915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1886918 */     GIR_RootConstrainSelectedInstOperands,
     /* 1886919 */     // GIR_Coverage, 14658,
     /* 1886919 */     GIR_EraseRootFromParent_Done,
     /* 1886920 */   // Label 25443: @1886920
     /* 1886920 */   GIM_Try, /*On fail goto*//*Label 25444*/ GIMT_Encode4(1887009), // Rule ID 14659 //
     /* 1886925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1886928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1886933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1886936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1886939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1886942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1886945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1886948 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1886951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1886955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1886967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1886971 */     // MIs[0] policy
     /* 1886971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1886974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1886981 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1886981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2_MASK),
     /* 1886984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1886986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1886988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1886990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1886992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1886994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1886999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887002 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887004 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887008 */     // GIR_Coverage, 14659,
     /* 1887008 */     GIR_EraseRootFromParent_Done,
     /* 1887009 */   // Label 25444: @1887009
     /* 1887009 */   GIM_Try, /*On fail goto*//*Label 25445*/ GIMT_Encode4(1887098), // Rule ID 14662 //
     /* 1887014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1887034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887060 */     // MIs[0] policy
     /* 1887060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887070 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1887073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887093 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887096 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887097 */     // GIR_Coverage, 14662,
     /* 1887097 */     GIR_EraseRootFromParent_Done,
     /* 1887098 */   // Label 25445: @1887098
     /* 1887098 */   GIM_Try, /*On fail goto*//*Label 25446*/ GIMT_Encode4(1887187), // Rule ID 14663 //
     /* 1887103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1887114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1887117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1887120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1887123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887126 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1887133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1887145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887149 */     // MIs[0] policy
     /* 1887149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887159 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4_MASK),
     /* 1887162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887180 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887182 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887186 */     // GIR_Coverage, 14663,
     /* 1887186 */     GIR_EraseRootFromParent_Done,
     /* 1887187 */   // Label 25446: @1887187
     /* 1887187 */   GIM_Try, /*On fail goto*//*Label 25447*/ GIMT_Encode4(1887276), // Rule ID 14666 //
     /* 1887192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1887195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1887206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1887209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1887212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887238 */     // MIs[0] policy
     /* 1887238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887248 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1887251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887274 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887275 */     // GIR_Coverage, 14666,
     /* 1887275 */     GIR_EraseRootFromParent_Done,
     /* 1887276 */   // Label 25447: @1887276
     /* 1887276 */   GIM_Try, /*On fail goto*//*Label 25448*/ GIMT_Encode4(1887365), // Rule ID 14667 //
     /* 1887281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1887284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1887292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1887295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1887298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1887301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1887304 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1887311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1887323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887327 */     // MIs[0] policy
     /* 1887327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887337 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8_MASK),
     /* 1887340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1887358 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887360 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887364 */     // GIR_Coverage, 14667,
     /* 1887364 */     GIR_EraseRootFromParent_Done,
     /* 1887365 */   // Label 25448: @1887365
     /* 1887365 */   GIM_Try, /*On fail goto*//*Label 25449*/ GIMT_Encode4(1887454), // Rule ID 14670 //
     /* 1887370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1887381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1887384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1887387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887416 */     // MIs[0] policy
     /* 1887416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887426 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1887429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887452 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887453 */     // GIR_Coverage, 14670,
     /* 1887453 */     GIR_EraseRootFromParent_Done,
     /* 1887454 */   // Label 25449: @1887454
     /* 1887454 */   GIM_Try, /*On fail goto*//*Label 25450*/ GIMT_Encode4(1887543), // Rule ID 14671 //
     /* 1887459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1887470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1887473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1887476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887482 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887505 */     // MIs[0] policy
     /* 1887505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887515 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF8_MASK),
     /* 1887518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887536 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887538 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887542 */     // GIR_Coverage, 14671,
     /* 1887542 */     GIR_EraseRootFromParent_Done,
     /* 1887543 */   // Label 25450: @1887543
     /* 1887543 */   GIM_Try, /*On fail goto*//*Label 25451*/ GIMT_Encode4(1887632), // Rule ID 14674 //
     /* 1887548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1887559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1887562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1887565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887594 */     // MIs[0] policy
     /* 1887594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887604 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1887607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887627 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887630 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887631 */     // GIR_Coverage, 14674,
     /* 1887631 */     GIR_EraseRootFromParent_Done,
     /* 1887632 */   // Label 25451: @1887632
     /* 1887632 */   GIM_Try, /*On fail goto*//*Label 25452*/ GIMT_Encode4(1887721), // Rule ID 14675 //
     /* 1887637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1887648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1887651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1887654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1887660 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887683 */     // MIs[0] policy
     /* 1887683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887693 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1887696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887714 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887720 */     // GIR_Coverage, 14675,
     /* 1887720 */     GIR_EraseRootFromParent_Done,
     /* 1887721 */   // Label 25452: @1887721
     /* 1887721 */   GIM_Try, /*On fail goto*//*Label 25453*/ GIMT_Encode4(1887810), // Rule ID 14678 //
     /* 1887726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1887737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1887740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1887743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887772 */     // MIs[0] policy
     /* 1887772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887782 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1887785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887808 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887809 */     // GIR_Coverage, 14678,
     /* 1887809 */     GIR_EraseRootFromParent_Done,
     /* 1887810 */   // Label 25453: @1887810
     /* 1887810 */   GIM_Try, /*On fail goto*//*Label 25454*/ GIMT_Encode4(1887899), // Rule ID 14679 //
     /* 1887815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1887826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1887829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1887832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1887835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1887838 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1887841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887861 */     // MIs[0] policy
     /* 1887861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887871 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1887871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1887874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1887892 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887898 */     // GIR_Coverage, 14679,
     /* 1887898 */     GIR_EraseRootFromParent_Done,
     /* 1887899 */   // Label 25454: @1887899
     /* 1887899 */   GIM_Try, /*On fail goto*//*Label 25455*/ GIMT_Encode4(1887988), // Rule ID 14682 //
     /* 1887904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1887907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1887912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1887915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1887918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1887921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1887924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1887927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1887930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1887934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1887942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1887946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1887950 */     // MIs[0] policy
     /* 1887950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1887953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1887960 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1887960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1887963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1887965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1887967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1887969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1887971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1887973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1887978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1887981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1887983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1887986 */     GIR_RootConstrainSelectedInstOperands,
     /* 1887987 */     // GIR_Coverage, 14682,
     /* 1887987 */     GIR_EraseRootFromParent_Done,
     /* 1887988 */   // Label 25455: @1887988
     /* 1887988 */   GIM_Try, /*On fail goto*//*Label 25456*/ GIMT_Encode4(1888077), // Rule ID 14683 //
     /* 1887993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1887996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1888004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1888007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1888010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888016 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888039 */     // MIs[0] policy
     /* 1888039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888049 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF4_MASK),
     /* 1888052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888070 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888072 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888076 */     // GIR_Coverage, 14683,
     /* 1888076 */     GIR_EraseRootFromParent_Done,
     /* 1888077 */   // Label 25456: @1888077
     /* 1888077 */   GIM_Try, /*On fail goto*//*Label 25457*/ GIMT_Encode4(1888166), // Rule ID 14686 //
     /* 1888082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888128 */     // MIs[0] policy
     /* 1888128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888138 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1888141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888161 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888164 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888165 */     // GIR_Coverage, 14686,
     /* 1888165 */     GIR_EraseRootFromParent_Done,
     /* 1888166 */   // Label 25457: @1888166
     /* 1888166 */   GIM_Try, /*On fail goto*//*Label 25458*/ GIMT_Encode4(1888255), // Rule ID 14687 //
     /* 1888171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1888182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1888185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1888188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888194 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888217 */     // MIs[0] policy
     /* 1888217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888227 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1888230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888248 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888250 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888254 */     // GIR_Coverage, 14687,
     /* 1888254 */     GIR_EraseRootFromParent_Done,
     /* 1888255 */   // Label 25458: @1888255
     /* 1888255 */   GIM_Try, /*On fail goto*//*Label 25459*/ GIMT_Encode4(1888344), // Rule ID 14690 //
     /* 1888260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888306 */     // MIs[0] policy
     /* 1888306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888316 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1888319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888342 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888343 */     // GIR_Coverage, 14690,
     /* 1888343 */     GIR_EraseRootFromParent_Done,
     /* 1888344 */   // Label 25459: @1888344
     /* 1888344 */   GIM_Try, /*On fail goto*//*Label 25460*/ GIMT_Encode4(1888433), // Rule ID 14691 //
     /* 1888349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1888360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1888363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1888366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888372 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888395 */     // MIs[0] policy
     /* 1888395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888405 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_MF2_MASK),
     /* 1888408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888426 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888428 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888432 */     // GIR_Coverage, 14691,
     /* 1888432 */     GIR_EraseRootFromParent_Done,
     /* 1888433 */   // Label 25460: @1888433
     /* 1888433 */   GIM_Try, /*On fail goto*//*Label 25461*/ GIMT_Encode4(1888522), // Rule ID 14694 //
     /* 1888438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1888449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1888452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1888455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888484 */     // MIs[0] policy
     /* 1888484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888494 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1888497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888517 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888520 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888521 */     // GIR_Coverage, 14694,
     /* 1888521 */     GIR_EraseRootFromParent_Done,
     /* 1888522 */   // Label 25461: @1888522
     /* 1888522 */   GIM_Try, /*On fail goto*//*Label 25462*/ GIMT_Encode4(1888611), // Rule ID 14695 //
     /* 1888527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1888538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1888541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1888544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1888550 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888573 */     // MIs[0] policy
     /* 1888573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888583 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11620:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1888586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1888604 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888606 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888610 */     // GIR_Coverage, 14695,
     /* 1888610 */     GIR_EraseRootFromParent_Done,
     /* 1888611 */   // Label 25462: @1888611
     /* 1888611 */   GIM_Try, /*On fail goto*//*Label 25463*/ GIMT_Encode4(1888700), // Rule ID 14698 //
     /* 1888616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888662 */     // MIs[0] policy
     /* 1888662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888672 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1888675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888698 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888699 */     // GIR_Coverage, 14698,
     /* 1888699 */     GIR_EraseRootFromParent_Done,
     /* 1888700 */   // Label 25463: @1888700
     /* 1888700 */   GIM_Try, /*On fail goto*//*Label 25464*/ GIMT_Encode4(1888789), // Rule ID 14699 //
     /* 1888705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1888716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1888719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1888722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1888728 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888751 */     // MIs[0] policy
     /* 1888751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888761 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11620:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1888764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1888782 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888784 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888788 */     // GIR_Coverage, 14699,
     /* 1888788 */     GIR_EraseRootFromParent_Done,
     /* 1888789 */   // Label 25464: @1888789
     /* 1888789 */   GIM_Try, /*On fail goto*//*Label 25465*/ GIMT_Encode4(1888878), // Rule ID 14702 //
     /* 1888794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1888797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888840 */     // MIs[0] policy
     /* 1888840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888850 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1888850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1888853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888873 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888876 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888877 */     // GIR_Coverage, 14702,
     /* 1888877 */     GIR_EraseRootFromParent_Done,
     /* 1888878 */   // Label 25465: @1888878
     /* 1888878 */   GIM_Try, /*On fail goto*//*Label 25466*/ GIMT_Encode4(1888967), // Rule ID 14703 //
     /* 1888883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1888886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1888894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1888897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1888900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1888903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1888906 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1888909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1888913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1888921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1888925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1888929 */     // MIs[0] policy
     /* 1888929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1888932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1888939 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11620:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1888939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1888942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1888944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1888946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1888948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1888950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1888952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1888957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1888960 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1888962 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1888965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1888966 */     // GIR_Coverage, 14703,
     /* 1888966 */     GIR_EraseRootFromParent_Done,
     /* 1888967 */   // Label 25466: @1888967
     /* 1888967 */   GIM_Try, /*On fail goto*//*Label 25467*/ GIMT_Encode4(1889056), // Rule ID 14706 //
     /* 1888972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1888975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1888980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1888983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1888986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1888989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1888992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1888995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1888998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889018 */     // MIs[0] policy
     /* 1889018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1889031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889054 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889055 */     // GIR_Coverage, 14706,
     /* 1889055 */     GIR_EraseRootFromParent_Done,
     /* 1889056 */   // Label 25467: @1889056
     /* 1889056 */   GIM_Try, /*On fail goto*//*Label 25468*/ GIMT_Encode4(1889145), // Rule ID 14707 //
     /* 1889061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1889064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1889072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1889075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1889078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1889084 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1889091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1889099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889107 */     // MIs[0] policy
     /* 1889107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889117 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11620:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M1_MASK),
     /* 1889120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1889138 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889140 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889144 */     // GIR_Coverage, 14707,
     /* 1889144 */     GIR_EraseRootFromParent_Done,
     /* 1889145 */   // Label 25468: @1889145
     /* 1889145 */   GIM_Try, /*On fail goto*//*Label 25469*/ GIMT_Encode4(1889234), // Rule ID 14710 //
     /* 1889150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1889161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1889164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1889167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889196 */     // MIs[0] policy
     /* 1889196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889206 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1889209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889229 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889232 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889233 */     // GIR_Coverage, 14710,
     /* 1889233 */     GIR_EraseRootFromParent_Done,
     /* 1889234 */   // Label 25469: @1889234
     /* 1889234 */   GIM_Try, /*On fail goto*//*Label 25470*/ GIMT_Encode4(1889323), // Rule ID 14711 //
     /* 1889239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1889250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1889253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1889256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889262 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889285 */     // MIs[0] policy
     /* 1889285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889295 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1889298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889316 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889318 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889322 */     // GIR_Coverage, 14711,
     /* 1889322 */     GIR_EraseRootFromParent_Done,
     /* 1889323 */   // Label 25470: @1889323
     /* 1889323 */   GIM_Try, /*On fail goto*//*Label 25471*/ GIMT_Encode4(1889412), // Rule ID 14714 //
     /* 1889328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1889339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1889342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1889345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889374 */     // MIs[0] policy
     /* 1889374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889384 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1889387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889410 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889411 */     // GIR_Coverage, 14714,
     /* 1889411 */     GIR_EraseRootFromParent_Done,
     /* 1889412 */   // Label 25471: @1889412
     /* 1889412 */   GIM_Try, /*On fail goto*//*Label 25472*/ GIMT_Encode4(1889501), // Rule ID 14715 //
     /* 1889417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1889428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1889431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1889434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1889440 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889463 */     // MIs[0] policy
     /* 1889463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889473 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1889476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889494 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889496 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889500 */     // GIR_Coverage, 14715,
     /* 1889500 */     GIR_EraseRootFromParent_Done,
     /* 1889501 */   // Label 25472: @1889501
     /* 1889501 */   GIM_Try, /*On fail goto*//*Label 25473*/ GIMT_Encode4(1889590), // Rule ID 14718 //
     /* 1889506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1889517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1889520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1889523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1889529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889552 */     // MIs[0] policy
     /* 1889552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889562 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1889565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889588 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889589 */     // GIR_Coverage, 14718,
     /* 1889589 */     GIR_EraseRootFromParent_Done,
     /* 1889590 */   // Label 25473: @1889590
     /* 1889590 */   GIM_Try, /*On fail goto*//*Label 25474*/ GIMT_Encode4(1889679), // Rule ID 14719 //
     /* 1889595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1889606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1889609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1889612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1889618 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1889625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1889633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889641 */     // MIs[0] policy
     /* 1889641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889651 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1889654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1889672 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889678 */     // GIR_Coverage, 14719,
     /* 1889678 */     GIR_EraseRootFromParent_Done,
     /* 1889679 */   // Label 25474: @1889679
     /* 1889679 */   GIM_Try, /*On fail goto*//*Label 25475*/ GIMT_Encode4(1889768), // Rule ID 14722 //
     /* 1889684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889730 */     // MIs[0] policy
     /* 1889730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889740 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1889743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889763 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889766 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889767 */     // GIR_Coverage, 14722,
     /* 1889767 */     GIR_EraseRootFromParent_Done,
     /* 1889768 */   // Label 25475: @1889768
     /* 1889768 */   GIM_Try, /*On fail goto*//*Label 25476*/ GIMT_Encode4(1889857), // Rule ID 14723 //
     /* 1889773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1889784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1889787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1889790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1889796 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1889803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1889811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889819 */     // MIs[0] policy
     /* 1889819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889829 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1889829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1889832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889850 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889852 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889856 */     // GIR_Coverage, 14723,
     /* 1889856 */     GIR_EraseRootFromParent_Done,
     /* 1889857 */   // Label 25476: @1889857
     /* 1889857 */   GIM_Try, /*On fail goto*//*Label 25477*/ GIMT_Encode4(1889946), // Rule ID 14726 //
     /* 1889862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1889865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1889882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1889888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889908 */     // MIs[0] policy
     /* 1889908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1889911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1889918 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1889918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1889921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1889923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1889925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1889927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1889929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1889931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1889936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1889939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1889941 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1889944 */     GIR_RootConstrainSelectedInstOperands,
     /* 1889945 */     // GIR_Coverage, 14726,
     /* 1889945 */     GIR_EraseRootFromParent_Done,
     /* 1889946 */   // Label 25477: @1889946
     /* 1889946 */   GIM_Try, /*On fail goto*//*Label 25478*/ GIMT_Encode4(1890035), // Rule ID 14727 //
     /* 1889951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1889954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1889959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1889962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1889965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1889968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1889971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1889974 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1889977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1889981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1889989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1889993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1889997 */     // MIs[0] policy
     /* 1889997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890007 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1890010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890028 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890030 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890034 */     // GIR_Coverage, 14727,
     /* 1890034 */     GIR_EraseRootFromParent_Done,
     /* 1890035 */   // Label 25478: @1890035
     /* 1890035 */   GIM_Try, /*On fail goto*//*Label 25479*/ GIMT_Encode4(1890124), // Rule ID 14730 //
     /* 1890040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1890051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1890054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1890057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1890063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890086 */     // MIs[0] policy
     /* 1890086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1890099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890122 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890123 */     // GIR_Coverage, 14730,
     /* 1890123 */     GIR_EraseRootFromParent_Done,
     /* 1890124 */   // Label 25479: @1890124
     /* 1890124 */   GIM_Try, /*On fail goto*//*Label 25480*/ GIMT_Encode4(1890213), // Rule ID 14731 //
     /* 1890129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1890140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1890143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1890146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1890152 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890175 */     // MIs[0] policy
     /* 1890175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890185 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1890188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1890206 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890208 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890212 */     // GIR_Coverage, 14731,
     /* 1890212 */     GIR_EraseRootFromParent_Done,
     /* 1890213 */   // Label 25480: @1890213
     /* 1890213 */   GIM_Try, /*On fail goto*//*Label 25481*/ GIMT_Encode4(1890302), // Rule ID 14734 //
     /* 1890218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1890229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1890232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1890235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890264 */     // MIs[0] policy
     /* 1890264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1890277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890300 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890301 */     // GIR_Coverage, 14734,
     /* 1890301 */     GIR_EraseRootFromParent_Done,
     /* 1890302 */   // Label 25481: @1890302
     /* 1890302 */   GIM_Try, /*On fail goto*//*Label 25482*/ GIMT_Encode4(1890391), // Rule ID 14735 //
     /* 1890307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1890318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1890321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1890324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890330 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890353 */     // MIs[0] policy
     /* 1890353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890363 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1890366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890384 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890386 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890390 */     // GIR_Coverage, 14735,
     /* 1890390 */     GIR_EraseRootFromParent_Done,
     /* 1890391 */   // Label 25482: @1890391
     /* 1890391 */   GIM_Try, /*On fail goto*//*Label 25483*/ GIMT_Encode4(1890480), // Rule ID 14738 //
     /* 1890396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890442 */     // MIs[0] policy
     /* 1890442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890452 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1890455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890478 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890479 */     // GIR_Coverage, 14738,
     /* 1890479 */     GIR_EraseRootFromParent_Done,
     /* 1890480 */   // Label 25483: @1890480
     /* 1890480 */   GIM_Try, /*On fail goto*//*Label 25484*/ GIMT_Encode4(1890569), // Rule ID 14739 //
     /* 1890485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1890496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1890499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1890502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1890508 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890531 */     // MIs[0] policy
     /* 1890531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890541 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1890544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890546 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890562 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890564 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890568 */     // GIR_Coverage, 14739,
     /* 1890568 */     GIR_EraseRootFromParent_Done,
     /* 1890569 */   // Label 25484: @1890569
     /* 1890569 */   GIM_Try, /*On fail goto*//*Label 25485*/ GIMT_Encode4(1890658), // Rule ID 14742 //
     /* 1890574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1890577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890620 */     // MIs[0] policy
     /* 1890620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890630 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1890633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890653 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890656 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890657 */     // GIR_Coverage, 14742,
     /* 1890657 */     GIR_EraseRootFromParent_Done,
     /* 1890658 */   // Label 25485: @1890658
     /* 1890658 */   GIM_Try, /*On fail goto*//*Label 25486*/ GIMT_Encode4(1890747), // Rule ID 14743 //
     /* 1890663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1890666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1890674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1890677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1890680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1890686 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1890693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1890701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890709 */     // MIs[0] policy
     /* 1890709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890719 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1890722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1890740 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890742 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890746 */     // GIR_Coverage, 14743,
     /* 1890746 */     GIR_EraseRootFromParent_Done,
     /* 1890747 */   // Label 25486: @1890747
     /* 1890747 */   GIM_Try, /*On fail goto*//*Label 25487*/ GIMT_Encode4(1890836), // Rule ID 14746 //
     /* 1890752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890798 */     // MIs[0] policy
     /* 1890798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890808 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1890811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890834 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890835 */     // GIR_Coverage, 14746,
     /* 1890835 */     GIR_EraseRootFromParent_Done,
     /* 1890836 */   // Label 25487: @1890836
     /* 1890836 */   GIM_Try, /*On fail goto*//*Label 25488*/ GIMT_Encode4(1890925), // Rule ID 14747 //
     /* 1890841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1890844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1890852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1890855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1890858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1890861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1890864 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1890867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1890871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1890879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890887 */     // MIs[0] policy
     /* 1890887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890897 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11620:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1890897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M2_MASK),
     /* 1890900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1890915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1890918 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1890920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1890923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1890924 */     // GIR_Coverage, 14747,
     /* 1890924 */     GIR_EraseRootFromParent_Done,
     /* 1890925 */   // Label 25488: @1890925
     /* 1890925 */   GIM_Try, /*On fail goto*//*Label 25489*/ GIMT_Encode4(1891014), // Rule ID 14750 //
     /* 1890930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1890933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1890938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1890941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1890944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1890947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1890950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1890953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1890956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1890960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1890968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1890972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1890976 */     // MIs[0] policy
     /* 1890976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1890979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1890986 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1890986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1890989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1890991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1890993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1890995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1890997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1890999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891012 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891013 */     // GIR_Coverage, 14750,
     /* 1891013 */     GIR_EraseRootFromParent_Done,
     /* 1891014 */   // Label 25489: @1891014
     /* 1891014 */   GIM_Try, /*On fail goto*//*Label 25490*/ GIMT_Encode4(1891103), // Rule ID 14751 //
     /* 1891019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1891022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1891027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1891030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1891033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1891036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891042 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1891049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1891057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891065 */     // MIs[0] policy
     /* 1891065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891075 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11620:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M4_MASK),
     /* 1891078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891096 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891098 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891102 */     // GIR_Coverage, 14751,
     /* 1891102 */     GIR_EraseRootFromParent_Done,
     /* 1891103 */   // Label 25490: @1891103
     /* 1891103 */   GIM_Try, /*On fail goto*//*Label 25491*/ GIMT_Encode4(1891192), // Rule ID 14754 //
     /* 1891108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1891111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1891116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1891119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1891122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1891125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1891128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891154 */     // MIs[0] policy
     /* 1891154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891164 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1891167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891187 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891190 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891191 */     // GIR_Coverage, 14754,
     /* 1891191 */     GIR_EraseRootFromParent_Done,
     /* 1891192 */   // Label 25491: @1891192
     /* 1891192 */   GIM_Try, /*On fail goto*//*Label 25492*/ GIMT_Encode4(1891281), // Rule ID 14755 //
     /* 1891197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1891200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssubu_mask),
     /* 1891205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1891208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1891211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1891214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1891217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1891220 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1891227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1891235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1891239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891243 */     // MIs[0] policy
     /* 1891243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891253 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11620:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VX_M8_MASK),
     /* 1891256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1891274 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891276 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891280 */     // GIR_Coverage, 14755,
     /* 1891280 */     GIR_EraseRootFromParent_Done,
     /* 1891281 */   // Label 25492: @1891281
     /* 1891281 */   GIM_Try, /*On fail goto*//*Label 25493*/ GIMT_Encode4(1891370), // Rule ID 14758 //
     /* 1891286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1891297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1891300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1891303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1891306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891332 */     // MIs[0] policy
     /* 1891332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891342 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1891345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891368 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891369 */     // GIR_Coverage, 14758,
     /* 1891369 */     GIR_EraseRootFromParent_Done,
     /* 1891370 */   // Label 25493: @1891370
     /* 1891370 */   GIM_Try, /*On fail goto*//*Label 25494*/ GIMT_Encode4(1891459), // Rule ID 14759 //
     /* 1891375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1891386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1891389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1891392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1891395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891398 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891421 */     // MIs[0] policy
     /* 1891421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891431 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8_MASK),
     /* 1891434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891452 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891454 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891458 */     // GIR_Coverage, 14759,
     /* 1891458 */     GIR_EraseRootFromParent_Done,
     /* 1891459 */   // Label 25494: @1891459
     /* 1891459 */   GIM_Try, /*On fail goto*//*Label 25495*/ GIMT_Encode4(1891548), // Rule ID 14762 //
     /* 1891464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1891475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1891478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1891481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1891484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891510 */     // MIs[0] policy
     /* 1891510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1891523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891546 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891547 */     // GIR_Coverage, 14762,
     /* 1891547 */     GIR_EraseRootFromParent_Done,
     /* 1891548 */   // Label 25495: @1891548
     /* 1891548 */   GIM_Try, /*On fail goto*//*Label 25496*/ GIMT_Encode4(1891637), // Rule ID 14763 //
     /* 1891553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1891564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1891567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1891570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1891573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1891576 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891599 */     // MIs[0] policy
     /* 1891599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891609 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1891612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891630 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891636 */     // GIR_Coverage, 14763,
     /* 1891636 */     GIR_EraseRootFromParent_Done,
     /* 1891637 */   // Label 25496: @1891637
     /* 1891637 */   GIM_Try, /*On fail goto*//*Label 25497*/ GIMT_Encode4(1891726), // Rule ID 14766 //
     /* 1891642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1891653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1891656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1891659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1891662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891688 */     // MIs[0] policy
     /* 1891688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891698 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1891701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891724 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891725 */     // GIR_Coverage, 14766,
     /* 1891725 */     GIR_EraseRootFromParent_Done,
     /* 1891726 */   // Label 25497: @1891726
     /* 1891726 */   GIM_Try, /*On fail goto*//*Label 25498*/ GIMT_Encode4(1891815), // Rule ID 14767 //
     /* 1891731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1891742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1891745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1891748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1891751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1891754 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891777 */     // MIs[0] policy
     /* 1891777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891787 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1891790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1891808 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891810 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891814 */     // GIR_Coverage, 14767,
     /* 1891814 */     GIR_EraseRootFromParent_Done,
     /* 1891815 */   // Label 25498: @1891815
     /* 1891815 */   GIM_Try, /*On fail goto*//*Label 25499*/ GIMT_Encode4(1891904), // Rule ID 14770 //
     /* 1891820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1891823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1891837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1891840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1891846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891866 */     // MIs[0] policy
     /* 1891866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891876 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1891876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1891879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891899 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891902 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891903 */     // GIR_Coverage, 14770,
     /* 1891903 */     GIR_EraseRootFromParent_Done,
     /* 1891904 */   // Label 25499: @1891904
     /* 1891904 */   GIM_Try, /*On fail goto*//*Label 25500*/ GIMT_Encode4(1891993), // Rule ID 14771 //
     /* 1891909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1891912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1891917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1891920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1891923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1891926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1891929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1891932 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1891935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1891939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1891951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1891955 */     // MIs[0] policy
     /* 1891955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1891958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1891965 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1891965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4_MASK),
     /* 1891968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1891970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1891972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1891974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1891976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1891978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1891983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1891986 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1891988 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1891991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1891992 */     // GIR_Coverage, 14771,
     /* 1891992 */     GIR_EraseRootFromParent_Done,
     /* 1891993 */   // Label 25500: @1891993
     /* 1891993 */   GIM_Try, /*On fail goto*//*Label 25501*/ GIMT_Encode4(1892082), // Rule ID 14774 //
     /* 1891998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1892009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1892012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1892015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892044 */     // MIs[0] policy
     /* 1892044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892054 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1892057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892080 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892081 */     // GIR_Coverage, 14774,
     /* 1892081 */     GIR_EraseRootFromParent_Done,
     /* 1892082 */   // Label 25501: @1892082
     /* 1892082 */   GIM_Try, /*On fail goto*//*Label 25502*/ GIMT_Encode4(1892171), // Rule ID 14775 //
     /* 1892087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1892098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1892101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1892104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1892107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892110 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892133 */     // MIs[0] policy
     /* 1892133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892143 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1892146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892164 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892166 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892170 */     // GIR_Coverage, 14775,
     /* 1892170 */     GIR_EraseRootFromParent_Done,
     /* 1892171 */   // Label 25502: @1892171
     /* 1892171 */   GIM_Try, /*On fail goto*//*Label 25503*/ GIMT_Encode4(1892260), // Rule ID 14778 //
     /* 1892176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1892196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892222 */     // MIs[0] policy
     /* 1892222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892232 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1892235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892255 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892258 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892259 */     // GIR_Coverage, 14778,
     /* 1892259 */     GIR_EraseRootFromParent_Done,
     /* 1892260 */   // Label 25503: @1892260
     /* 1892260 */   GIM_Try, /*On fail goto*//*Label 25504*/ GIMT_Encode4(1892349), // Rule ID 14779 //
     /* 1892265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1892276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1892279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1892282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1892285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892288 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892311 */     // MIs[0] policy
     /* 1892311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892321 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2_MASK),
     /* 1892324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892342 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892344 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892348 */     // GIR_Coverage, 14779,
     /* 1892348 */     GIR_EraseRootFromParent_Done,
     /* 1892349 */   // Label 25504: @1892349
     /* 1892349 */   GIM_Try, /*On fail goto*//*Label 25505*/ GIMT_Encode4(1892438), // Rule ID 14782 //
     /* 1892354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1892365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1892368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1892371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1892374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892400 */     // MIs[0] policy
     /* 1892400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892410 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1892413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892436 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892437 */     // GIR_Coverage, 14782,
     /* 1892437 */     GIR_EraseRootFromParent_Done,
     /* 1892438 */   // Label 25505: @1892438
     /* 1892438 */   GIM_Try, /*On fail goto*//*Label 25506*/ GIMT_Encode4(1892527), // Rule ID 14783 //
     /* 1892443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1892454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1892457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1892460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1892463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1892466 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892489 */     // MIs[0] policy
     /* 1892489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892499 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1892502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1892520 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892522 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892526 */     // GIR_Coverage, 14783,
     /* 1892526 */     GIR_EraseRootFromParent_Done,
     /* 1892527 */   // Label 25506: @1892527
     /* 1892527 */   GIM_Try, /*On fail goto*//*Label 25507*/ GIMT_Encode4(1892616), // Rule ID 14786 //
     /* 1892532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892578 */     // MIs[0] policy
     /* 1892578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1892591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892614 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892615 */     // GIR_Coverage, 14786,
     /* 1892615 */     GIR_EraseRootFromParent_Done,
     /* 1892616 */   // Label 25507: @1892616
     /* 1892616 */   GIM_Try, /*On fail goto*//*Label 25508*/ GIMT_Encode4(1892705), // Rule ID 14787 //
     /* 1892621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1892632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1892635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1892638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1892641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1892644 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892667 */     // MIs[0] policy
     /* 1892667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892677 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1892680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1892698 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892704 */     // GIR_Coverage, 14787,
     /* 1892704 */     GIR_EraseRootFromParent_Done,
     /* 1892705 */   // Label 25508: @1892705
     /* 1892705 */   GIM_Try, /*On fail goto*//*Label 25509*/ GIMT_Encode4(1892794), // Rule ID 14790 //
     /* 1892710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1892713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1892730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892756 */     // MIs[0] policy
     /* 1892756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892766 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1892769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892789 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892792 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892793 */     // GIR_Coverage, 14790,
     /* 1892793 */     GIR_EraseRootFromParent_Done,
     /* 1892794 */   // Label 25509: @1892794
     /* 1892794 */   GIM_Try, /*On fail goto*//*Label 25510*/ GIMT_Encode4(1892883), // Rule ID 14791 //
     /* 1892799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1892802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1892810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1892813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1892816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1892819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1892822 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1892825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892845 */     // MIs[0] policy
     /* 1892845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892855 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1892855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1892858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1892876 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892878 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892882 */     // GIR_Coverage, 14791,
     /* 1892882 */     GIR_EraseRootFromParent_Done,
     /* 1892883 */   // Label 25510: @1892883
     /* 1892883 */   GIM_Try, /*On fail goto*//*Label 25511*/ GIMT_Encode4(1892972), // Rule ID 14794 //
     /* 1892888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1892891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1892899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1892902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1892905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1892908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1892911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1892914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1892918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1892930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1892934 */     // MIs[0] policy
     /* 1892934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1892937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1892944 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1892944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1892947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1892949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1892951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1892953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1892955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1892957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1892962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1892965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1892967 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1892970 */     GIR_RootConstrainSelectedInstOperands,
     /* 1892971 */     // GIR_Coverage, 14794,
     /* 1892971 */     GIR_EraseRootFromParent_Done,
     /* 1892972 */   // Label 25511: @1892972
     /* 1892972 */   GIM_Try, /*On fail goto*//*Label 25512*/ GIMT_Encode4(1893061), // Rule ID 14795 //
     /* 1892977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1892980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1892985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1892988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1892991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1892994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1892997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1893000 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1893007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1893019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893023 */     // MIs[0] policy
     /* 1893023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893033 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1_MASK),
     /* 1893036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1893054 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893056 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893060 */     // GIR_Coverage, 14795,
     /* 1893060 */     GIR_EraseRootFromParent_Done,
     /* 1893061 */   // Label 25512: @1893061
     /* 1893061 */   GIM_Try, /*On fail goto*//*Label 25513*/ GIMT_Encode4(1893150), // Rule ID 14798 //
     /* 1893066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1893077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1893080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1893083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1893086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893112 */     // MIs[0] policy
     /* 1893112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893122 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1893125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893148 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893149 */     // GIR_Coverage, 14798,
     /* 1893149 */     GIR_EraseRootFromParent_Done,
     /* 1893150 */   // Label 25513: @1893150
     /* 1893150 */   GIM_Try, /*On fail goto*//*Label 25514*/ GIMT_Encode4(1893239), // Rule ID 14799 //
     /* 1893155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1893166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1893169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1893172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1893175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893178 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893201 */     // MIs[0] policy
     /* 1893201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893211 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1893214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893232 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893234 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893238 */     // GIR_Coverage, 14799,
     /* 1893238 */     GIR_EraseRootFromParent_Done,
     /* 1893239 */   // Label 25514: @1893239
     /* 1893239 */   GIM_Try, /*On fail goto*//*Label 25515*/ GIMT_Encode4(1893328), // Rule ID 14802 //
     /* 1893244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1893255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1893258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1893261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1893264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893290 */     // MIs[0] policy
     /* 1893290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893300 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1893303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893323 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893326 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893327 */     // GIR_Coverage, 14802,
     /* 1893327 */     GIR_EraseRootFromParent_Done,
     /* 1893328 */   // Label 25515: @1893328
     /* 1893328 */   GIM_Try, /*On fail goto*//*Label 25516*/ GIMT_Encode4(1893417), // Rule ID 14803 //
     /* 1893333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1893344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1893347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1893350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1893353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893356 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893379 */     // MIs[0] policy
     /* 1893379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893389 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1893392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893410 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893412 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893416 */     // GIR_Coverage, 14803,
     /* 1893416 */     GIR_EraseRootFromParent_Done,
     /* 1893417 */   // Label 25516: @1893417
     /* 1893417 */   GIM_Try, /*On fail goto*//*Label 25517*/ GIMT_Encode4(1893506), // Rule ID 14806 //
     /* 1893422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1893433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1893436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1893439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1893442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1893445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893468 */     // MIs[0] policy
     /* 1893468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893478 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1893481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893504 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893505 */     // GIR_Coverage, 14806,
     /* 1893505 */     GIR_EraseRootFromParent_Done,
     /* 1893506 */   // Label 25517: @1893506
     /* 1893506 */   GIM_Try, /*On fail goto*//*Label 25518*/ GIMT_Encode4(1893595), // Rule ID 14807 //
     /* 1893511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1893522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1893525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1893528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1893531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1893534 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893557 */     // MIs[0] policy
     /* 1893557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893567 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1893570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1893588 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893594 */     // GIR_Coverage, 14807,
     /* 1893594 */     GIR_EraseRootFromParent_Done,
     /* 1893595 */   // Label 25518: @1893595
     /* 1893595 */   GIM_Try, /*On fail goto*//*Label 25519*/ GIMT_Encode4(1893684), // Rule ID 14810 //
     /* 1893600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893646 */     // MIs[0] policy
     /* 1893646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893656 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1893659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893679 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893682 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893683 */     // GIR_Coverage, 14810,
     /* 1893683 */     GIR_EraseRootFromParent_Done,
     /* 1893684 */   // Label 25519: @1893684
     /* 1893684 */   GIM_Try, /*On fail goto*//*Label 25520*/ GIMT_Encode4(1893773), // Rule ID 14811 //
     /* 1893689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1893700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1893703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1893706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1893709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1893712 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1893719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1893731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893735 */     // MIs[0] policy
     /* 1893735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893745 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1893748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893766 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893768 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893772 */     // GIR_Coverage, 14811,
     /* 1893772 */     GIR_EraseRootFromParent_Done,
     /* 1893773 */   // Label 25520: @1893773
     /* 1893773 */   GIM_Try, /*On fail goto*//*Label 25521*/ GIMT_Encode4(1893862), // Rule ID 14814 //
     /* 1893778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893824 */     // MIs[0] policy
     /* 1893824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893834 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1893834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1893837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893857 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893860 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893861 */     // GIR_Coverage, 14814,
     /* 1893861 */     GIR_EraseRootFromParent_Done,
     /* 1893862 */   // Label 25521: @1893862
     /* 1893862 */   GIM_Try, /*On fail goto*//*Label 25522*/ GIMT_Encode4(1893951), // Rule ID 14815 //
     /* 1893867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1893870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1893878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1893881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1893884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1893887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1893890 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1893893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1893897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1893909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1893913 */     // MIs[0] policy
     /* 1893913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1893916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1893923 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1893923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1893926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1893928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1893930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1893932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1893934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1893936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1893941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1893944 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1893946 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1893949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1893950 */     // GIR_Coverage, 14815,
     /* 1893950 */     GIR_EraseRootFromParent_Done,
     /* 1893951 */   // Label 25522: @1893951
     /* 1893951 */   GIM_Try, /*On fail goto*//*Label 25523*/ GIMT_Encode4(1894040), // Rule ID 14818 //
     /* 1893956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1893959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1893964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1893967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1893970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1893973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1893976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1893979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1893982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1893986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1893998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894002 */     // MIs[0] policy
     /* 1894002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894012 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1894015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894035 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894038 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894039 */     // GIR_Coverage, 14818,
     /* 1894039 */     GIR_EraseRootFromParent_Done,
     /* 1894040 */   // Label 25523: @1894040
     /* 1894040 */   GIM_Try, /*On fail goto*//*Label 25524*/ GIMT_Encode4(1894129), // Rule ID 14819 //
     /* 1894045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1894056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1894059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1894062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1894065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1894068 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894091 */     // MIs[0] policy
     /* 1894091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894101 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1894104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1894122 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894124 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894128 */     // GIR_Coverage, 14819,
     /* 1894128 */     GIR_EraseRootFromParent_Done,
     /* 1894129 */   // Label 25524: @1894129
     /* 1894129 */   GIM_Try, /*On fail goto*//*Label 25525*/ GIMT_Encode4(1894218), // Rule ID 14822 //
     /* 1894134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1894137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894180 */     // MIs[0] policy
     /* 1894180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894190 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1894193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894216 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894217 */     // GIR_Coverage, 14822,
     /* 1894217 */     GIR_EraseRootFromParent_Done,
     /* 1894218 */   // Label 25525: @1894218
     /* 1894218 */   GIM_Try, /*On fail goto*//*Label 25526*/ GIMT_Encode4(1894307), // Rule ID 14823 //
     /* 1894223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1894234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1894237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1894240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1894243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894246 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894269 */     // MIs[0] policy
     /* 1894269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894279 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1894282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894300 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894302 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894306 */     // GIR_Coverage, 14823,
     /* 1894306 */     GIR_EraseRootFromParent_Done,
     /* 1894307 */   // Label 25526: @1894307
     /* 1894307 */   GIM_Try, /*On fail goto*//*Label 25527*/ GIMT_Encode4(1894396), // Rule ID 14826 //
     /* 1894312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1894315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894358 */     // MIs[0] policy
     /* 1894358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894368 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1894371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894394 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894395 */     // GIR_Coverage, 14826,
     /* 1894395 */     GIR_EraseRootFromParent_Done,
     /* 1894396 */   // Label 25527: @1894396
     /* 1894396 */   GIM_Try, /*On fail goto*//*Label 25528*/ GIMT_Encode4(1894485), // Rule ID 14827 //
     /* 1894401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1894412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1894415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1894418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1894421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1894424 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894447 */     // MIs[0] policy
     /* 1894447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894457 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1894460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894478 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894484 */     // GIR_Coverage, 14827,
     /* 1894484 */     GIR_EraseRootFromParent_Done,
     /* 1894485 */   // Label 25528: @1894485
     /* 1894485 */   GIM_Try, /*On fail goto*//*Label 25529*/ GIMT_Encode4(1894574), // Rule ID 14830 //
     /* 1894490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1894493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894536 */     // MIs[0] policy
     /* 1894536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894546 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1894549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894572 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894573 */     // GIR_Coverage, 14830,
     /* 1894573 */     GIR_EraseRootFromParent_Done,
     /* 1894574 */   // Label 25529: @1894574
     /* 1894574 */   GIM_Try, /*On fail goto*//*Label 25530*/ GIMT_Encode4(1894663), // Rule ID 14831 //
     /* 1894579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1894582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1894590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1894593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1894596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1894599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1894602 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1894609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1894621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894625 */     // MIs[0] policy
     /* 1894625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894635 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1894638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1894656 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894662 */     // GIR_Coverage, 14831,
     /* 1894662 */     GIR_EraseRootFromParent_Done,
     /* 1894663 */   // Label 25530: @1894663
     /* 1894663 */   GIM_Try, /*On fail goto*//*Label 25531*/ GIMT_Encode4(1894752), // Rule ID 14834 //
     /* 1894668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1894671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1894688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894714 */     // MIs[0] policy
     /* 1894714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894724 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1894727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894750 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894751 */     // GIR_Coverage, 14834,
     /* 1894751 */     GIR_EraseRootFromParent_Done,
     /* 1894752 */   // Label 25531: @1894752
     /* 1894752 */   GIM_Try, /*On fail goto*//*Label 25532*/ GIMT_Encode4(1894841), // Rule ID 14835 //
     /* 1894757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1894760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1894768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1894771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1894774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1894777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1894780 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1894787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1894799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894803 */     // MIs[0] policy
     /* 1894803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894813 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2_MASK),
     /* 1894816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894818 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894834 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894836 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894840 */     // GIR_Coverage, 14835,
     /* 1894840 */     GIR_EraseRootFromParent_Done,
     /* 1894841 */   // Label 25532: @1894841
     /* 1894841 */   GIM_Try, /*On fail goto*//*Label 25533*/ GIMT_Encode4(1894930), // Rule ID 14838 //
     /* 1894846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1894849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1894866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1894872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894892 */     // MIs[0] policy
     /* 1894892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894902 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1894902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1894905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1894911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1894913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1894915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1894920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1894923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1894925 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1894928 */     GIR_RootConstrainSelectedInstOperands,
     /* 1894929 */     // GIR_Coverage, 14838,
     /* 1894929 */     GIR_EraseRootFromParent_Done,
     /* 1894930 */   // Label 25533: @1894930
     /* 1894930 */   GIM_Try, /*On fail goto*//*Label 25534*/ GIMT_Encode4(1895019), // Rule ID 14839 //
     /* 1894935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1894938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1894943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1894946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1894949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1894952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1894955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1894958 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1894961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1894965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1894977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1894981 */     // MIs[0] policy
     /* 1894981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1894984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1894991 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1894991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4_MASK),
     /* 1894994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1894996 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1894998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895012 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895014 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895018 */     // GIR_Coverage, 14839,
     /* 1895018 */     GIR_EraseRootFromParent_Done,
     /* 1895019 */   // Label 25534: @1895019
     /* 1895019 */   GIM_Try, /*On fail goto*//*Label 25535*/ GIMT_Encode4(1895108), // Rule ID 14842 //
     /* 1895024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1895027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895070 */     // MIs[0] policy
     /* 1895070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895080 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1895083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895106 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895107 */     // GIR_Coverage, 14842,
     /* 1895107 */     GIR_EraseRootFromParent_Done,
     /* 1895108 */   // Label 25535: @1895108
     /* 1895108 */   GIM_Try, /*On fail goto*//*Label 25536*/ GIMT_Encode4(1895197), // Rule ID 14843 //
     /* 1895113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1895116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1895124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1895127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1895130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1895133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1895136 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1895143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1895155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895159 */     // MIs[0] policy
     /* 1895159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895169 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8_MASK),
     /* 1895172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1895190 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895192 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895196 */     // GIR_Coverage, 14843,
     /* 1895196 */     GIR_EraseRootFromParent_Done,
     /* 1895197 */   // Label 25536: @1895197
     /* 1895197 */   GIM_Try, /*On fail goto*//*Label 25537*/ GIMT_Encode4(1895286), // Rule ID 14846 //
     /* 1895202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1895213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1895216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1895219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895248 */     // MIs[0] policy
     /* 1895248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895258 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1895261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895281 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895284 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895285 */     // GIR_Coverage, 14846,
     /* 1895285 */     GIR_EraseRootFromParent_Done,
     /* 1895286 */   // Label 25537: @1895286
     /* 1895286 */   GIM_Try, /*On fail goto*//*Label 25538*/ GIMT_Encode4(1895375), // Rule ID 14847 //
     /* 1895291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1895302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1895305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1895308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895314 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895337 */     // MIs[0] policy
     /* 1895337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895347 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF8_MASK),
     /* 1895350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895368 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895374 */     // GIR_Coverage, 14847,
     /* 1895374 */     GIR_EraseRootFromParent_Done,
     /* 1895375 */   // Label 25538: @1895375
     /* 1895375 */   GIM_Try, /*On fail goto*//*Label 25539*/ GIMT_Encode4(1895464), // Rule ID 14850 //
     /* 1895380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1895391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1895394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1895397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895426 */     // MIs[0] policy
     /* 1895426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895436 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1895439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895462 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895463 */     // GIR_Coverage, 14850,
     /* 1895463 */     GIR_EraseRootFromParent_Done,
     /* 1895464 */   // Label 25539: @1895464
     /* 1895464 */   GIM_Try, /*On fail goto*//*Label 25540*/ GIMT_Encode4(1895553), // Rule ID 14851 //
     /* 1895469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1895480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1895483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1895486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895492 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895515 */     // MIs[0] policy
     /* 1895515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895525 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1895528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895546 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895548 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895552 */     // GIR_Coverage, 14851,
     /* 1895552 */     GIR_EraseRootFromParent_Done,
     /* 1895553 */   // Label 25540: @1895553
     /* 1895553 */   GIM_Try, /*On fail goto*//*Label 25541*/ GIMT_Encode4(1895642), // Rule ID 14854 //
     /* 1895558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1895569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1895572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1895575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895604 */     // MIs[0] policy
     /* 1895604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895614 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1895617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895640 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895641 */     // GIR_Coverage, 14854,
     /* 1895641 */     GIR_EraseRootFromParent_Done,
     /* 1895642 */   // Label 25541: @1895642
     /* 1895642 */   GIM_Try, /*On fail goto*//*Label 25542*/ GIMT_Encode4(1895731), // Rule ID 14855 //
     /* 1895647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1895658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1895661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1895664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1895670 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895693 */     // MIs[0] policy
     /* 1895693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895703 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1895706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1895724 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895730 */     // GIR_Coverage, 14855,
     /* 1895730 */     GIR_EraseRootFromParent_Done,
     /* 1895731 */   // Label 25542: @1895731
     /* 1895731 */   GIM_Try, /*On fail goto*//*Label 25543*/ GIMT_Encode4(1895820), // Rule ID 14858 //
     /* 1895736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895782 */     // MIs[0] policy
     /* 1895782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895792 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1895795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895815 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895818 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895819 */     // GIR_Coverage, 14858,
     /* 1895819 */     GIR_EraseRootFromParent_Done,
     /* 1895820 */   // Label 25543: @1895820
     /* 1895820 */   GIM_Try, /*On fail goto*//*Label 25544*/ GIMT_Encode4(1895909), // Rule ID 14859 //
     /* 1895825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1895828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1895836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1895839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1895842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1895845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1895848 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1895851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895871 */     // MIs[0] policy
     /* 1895871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895881 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1895881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF4_MASK),
     /* 1895884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895902 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895904 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895908 */     // GIR_Coverage, 14859,
     /* 1895908 */     GIR_EraseRootFromParent_Done,
     /* 1895909 */   // Label 25544: @1895909
     /* 1895909 */   GIM_Try, /*On fail goto*//*Label 25545*/ GIMT_Encode4(1895998), // Rule ID 14862 //
     /* 1895914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1895917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1895922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1895925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1895928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1895931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1895934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1895937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1895940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1895944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1895952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1895956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1895960 */     // MIs[0] policy
     /* 1895960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1895963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1895970 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1895970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1895973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1895975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1895977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1895979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1895981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1895983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1895988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1895991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1895993 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1895996 */     GIR_RootConstrainSelectedInstOperands,
     /* 1895997 */     // GIR_Coverage, 14862,
     /* 1895997 */     GIR_EraseRootFromParent_Done,
     /* 1895998 */   // Label 25545: @1895998
     /* 1895998 */   GIM_Try, /*On fail goto*//*Label 25546*/ GIMT_Encode4(1896087), // Rule ID 14863 //
     /* 1896003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1896006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1896014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1896017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1896020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896026 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896049 */     // MIs[0] policy
     /* 1896049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896059 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1896062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896080 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896082 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896086 */     // GIR_Coverage, 14863,
     /* 1896086 */     GIR_EraseRootFromParent_Done,
     /* 1896087 */   // Label 25546: @1896087
     /* 1896087 */   GIM_Try, /*On fail goto*//*Label 25547*/ GIMT_Encode4(1896176), // Rule ID 14866 //
     /* 1896092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1896095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1896103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896138 */     // MIs[0] policy
     /* 1896138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896148 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1896151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896174 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896175 */     // GIR_Coverage, 14866,
     /* 1896175 */     GIR_EraseRootFromParent_Done,
     /* 1896176 */   // Label 25547: @1896176
     /* 1896176 */   GIM_Try, /*On fail goto*//*Label 25548*/ GIMT_Encode4(1896265), // Rule ID 14867 //
     /* 1896181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1896184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1896192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1896195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1896198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896204 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896227 */     // MIs[0] policy
     /* 1896227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896237 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_MF2_MASK),
     /* 1896240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896258 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896260 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896264 */     // GIR_Coverage, 14867,
     /* 1896264 */     GIR_EraseRootFromParent_Done,
     /* 1896265 */   // Label 25548: @1896265
     /* 1896265 */   GIM_Try, /*On fail goto*//*Label 25549*/ GIMT_Encode4(1896354), // Rule ID 14870 //
     /* 1896270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1896273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1896281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1896284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1896287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896316 */     // MIs[0] policy
     /* 1896316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896326 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1896329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1896347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896349 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896352 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896353 */     // GIR_Coverage, 14870,
     /* 1896353 */     GIR_EraseRootFromParent_Done,
     /* 1896354 */   // Label 25549: @1896354
     /* 1896354 */   GIM_Try, /*On fail goto*//*Label 25550*/ GIMT_Encode4(1896443), // Rule ID 14871 //
     /* 1896359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1896362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1896370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1896373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1896376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1896382 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896405 */     // MIs[0] policy
     /* 1896405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896415 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11618:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1896418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1896436 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896442 */     // GIR_Coverage, 14871,
     /* 1896442 */     GIR_EraseRootFromParent_Done,
     /* 1896443 */   // Label 25550: @1896443
     /* 1896443 */   GIM_Try, /*On fail goto*//*Label 25551*/ GIMT_Encode4(1896532), // Rule ID 14874 //
     /* 1896448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1896451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896494 */     // MIs[0] policy
     /* 1896494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1896507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896530 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896531 */     // GIR_Coverage, 14874,
     /* 1896531 */     GIR_EraseRootFromParent_Done,
     /* 1896532 */   // Label 25551: @1896532
     /* 1896532 */   GIM_Try, /*On fail goto*//*Label 25552*/ GIMT_Encode4(1896621), // Rule ID 14875 //
     /* 1896537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1896540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1896548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1896551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1896554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1896560 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896583 */     // MIs[0] policy
     /* 1896583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896593 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11618:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1896596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1896614 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896616 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896620 */     // GIR_Coverage, 14875,
     /* 1896620 */     GIR_EraseRootFromParent_Done,
     /* 1896621 */   // Label 25552: @1896621
     /* 1896621 */   GIM_Try, /*On fail goto*//*Label 25553*/ GIMT_Encode4(1896710), // Rule ID 14878 //
     /* 1896626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1896629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896672 */     // MIs[0] policy
     /* 1896672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896682 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1896685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896705 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896708 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896709 */     // GIR_Coverage, 14878,
     /* 1896709 */     GIR_EraseRootFromParent_Done,
     /* 1896710 */   // Label 25553: @1896710
     /* 1896710 */   GIM_Try, /*On fail goto*//*Label 25554*/ GIMT_Encode4(1896799), // Rule ID 14879 //
     /* 1896715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1896718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1896726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1896729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1896732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1896738 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896761 */     // MIs[0] policy
     /* 1896761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896771 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11618:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1896774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1896792 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896794 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896798 */     // GIR_Coverage, 14879,
     /* 1896798 */     GIR_EraseRootFromParent_Done,
     /* 1896799 */   // Label 25554: @1896799
     /* 1896799 */   GIM_Try, /*On fail goto*//*Label 25555*/ GIMT_Encode4(1896888), // Rule ID 14882 //
     /* 1896804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1896807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1896824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1896830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896850 */     // MIs[0] policy
     /* 1896850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896860 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1896860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1896863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896883 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896886 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896887 */     // GIR_Coverage, 14882,
     /* 1896887 */     GIR_EraseRootFromParent_Done,
     /* 1896888 */   // Label 25555: @1896888
     /* 1896888 */   GIM_Try, /*On fail goto*//*Label 25556*/ GIMT_Encode4(1896977), // Rule ID 14883 //
     /* 1896893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1896896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1896904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1896907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1896910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1896913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1896916 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1896919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1896923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1896931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1896935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1896939 */     // MIs[0] policy
     /* 1896939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1896942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1896949 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11618:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1896949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M1_MASK),
     /* 1896952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1896954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1896956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1896958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1896960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1896962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1896967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1896970 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1896972 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1896975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1896976 */     // GIR_Coverage, 14883,
     /* 1896976 */     GIR_EraseRootFromParent_Done,
     /* 1896977 */   // Label 25556: @1896977
     /* 1896977 */   GIM_Try, /*On fail goto*//*Label 25557*/ GIMT_Encode4(1897066), // Rule ID 14886 //
     /* 1896982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1896985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1896990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1896993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1896996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1896999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897028 */     // MIs[0] policy
     /* 1897028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897038 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1897041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897061 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897064 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897065 */     // GIR_Coverage, 14886,
     /* 1897065 */     GIR_EraseRootFromParent_Done,
     /* 1897066 */   // Label 25557: @1897066
     /* 1897066 */   GIM_Try, /*On fail goto*//*Label 25558*/ GIMT_Encode4(1897155), // Rule ID 14887 //
     /* 1897071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1897074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1897082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1897085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1897088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897094 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897117 */     // MIs[0] policy
     /* 1897117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897127 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1897130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897148 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897150 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897154 */     // GIR_Coverage, 14887,
     /* 1897154 */     GIR_EraseRootFromParent_Done,
     /* 1897155 */   // Label 25558: @1897155
     /* 1897155 */   GIM_Try, /*On fail goto*//*Label 25559*/ GIMT_Encode4(1897244), // Rule ID 14890 //
     /* 1897160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1897163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1897171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1897174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1897177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897206 */     // MIs[0] policy
     /* 1897206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897216 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1897219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897242 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897243 */     // GIR_Coverage, 14890,
     /* 1897243 */     GIR_EraseRootFromParent_Done,
     /* 1897244 */   // Label 25559: @1897244
     /* 1897244 */   GIM_Try, /*On fail goto*//*Label 25560*/ GIMT_Encode4(1897333), // Rule ID 14891 //
     /* 1897249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1897252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1897260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1897263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1897266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897272 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897295 */     // MIs[0] policy
     /* 1897295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897305 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1897308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897326 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897328 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897332 */     // GIR_Coverage, 14891,
     /* 1897332 */     GIR_EraseRootFromParent_Done,
     /* 1897333 */   // Label 25560: @1897333
     /* 1897333 */   GIM_Try, /*On fail goto*//*Label 25561*/ GIMT_Encode4(1897422), // Rule ID 14894 //
     /* 1897338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1897341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1897349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1897352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1897355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1897361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897384 */     // MIs[0] policy
     /* 1897384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897394 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1897397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897417 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897420 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897421 */     // GIR_Coverage, 14894,
     /* 1897421 */     GIR_EraseRootFromParent_Done,
     /* 1897422 */   // Label 25561: @1897422
     /* 1897422 */   GIM_Try, /*On fail goto*//*Label 25562*/ GIMT_Encode4(1897511), // Rule ID 14895 //
     /* 1897427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1897430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1897438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1897441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1897444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1897450 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897473 */     // MIs[0] policy
     /* 1897473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897483 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1897486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1897504 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897506 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897510 */     // GIR_Coverage, 14895,
     /* 1897510 */     GIR_EraseRootFromParent_Done,
     /* 1897511 */   // Label 25562: @1897511
     /* 1897511 */   GIM_Try, /*On fail goto*//*Label 25563*/ GIMT_Encode4(1897600), // Rule ID 14898 //
     /* 1897516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1897519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1897527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1897530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1897533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897562 */     // MIs[0] policy
     /* 1897562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897572 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1897575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897598 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897599 */     // GIR_Coverage, 14898,
     /* 1897599 */     GIR_EraseRootFromParent_Done,
     /* 1897600 */   // Label 25563: @1897600
     /* 1897600 */   GIM_Try, /*On fail goto*//*Label 25564*/ GIMT_Encode4(1897689), // Rule ID 14899 //
     /* 1897605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1897608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1897616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1897619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1897622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1897628 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1897635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1897643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897651 */     // MIs[0] policy
     /* 1897651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897661 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1897664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897682 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897688 */     // GIR_Coverage, 14899,
     /* 1897688 */     GIR_EraseRootFromParent_Done,
     /* 1897689 */   // Label 25564: @1897689
     /* 1897689 */   GIM_Try, /*On fail goto*//*Label 25565*/ GIMT_Encode4(1897778), // Rule ID 14902 //
     /* 1897694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1897697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1897705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1897708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1897711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897740 */     // MIs[0] policy
     /* 1897740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897750 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1897753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897776 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897777 */     // GIR_Coverage, 14902,
     /* 1897777 */     GIR_EraseRootFromParent_Done,
     /* 1897778 */   // Label 25565: @1897778
     /* 1897778 */   GIM_Try, /*On fail goto*//*Label 25566*/ GIMT_Encode4(1897867), // Rule ID 14903 //
     /* 1897783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1897786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1897794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1897797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1897800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1897806 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1897813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1897821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897829 */     // MIs[0] policy
     /* 1897829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897839 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1897839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1897842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897860 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897862 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897866 */     // GIR_Coverage, 14903,
     /* 1897866 */     GIR_EraseRootFromParent_Done,
     /* 1897867 */   // Label 25566: @1897867
     /* 1897867 */   GIM_Try, /*On fail goto*//*Label 25567*/ GIMT_Encode4(1897956), // Rule ID 14906 //
     /* 1897872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1897875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1897883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1897886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1897889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1897892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1897898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1897914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1897918 */     // MIs[0] policy
     /* 1897918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1897921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1897928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1897928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1897931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1897933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1897935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1897937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1897939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1897941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1897946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1897949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1897951 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1897954 */     GIR_RootConstrainSelectedInstOperands,
     /* 1897955 */     // GIR_Coverage, 14906,
     /* 1897955 */     GIR_EraseRootFromParent_Done,
     /* 1897956 */   // Label 25567: @1897956
     /* 1897956 */   GIM_Try, /*On fail goto*//*Label 25568*/ GIMT_Encode4(1898045), // Rule ID 14907 //
     /* 1897961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1897964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1897969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1897972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1897975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1897978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1897981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1897984 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1897987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1897991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1897999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898007 */     // MIs[0] policy
     /* 1898007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898017 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1898020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1898038 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898040 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898044 */     // GIR_Coverage, 14907,
     /* 1898044 */     GIR_EraseRootFromParent_Done,
     /* 1898045 */   // Label 25568: @1898045
     /* 1898045 */   GIM_Try, /*On fail goto*//*Label 25569*/ GIMT_Encode4(1898134), // Rule ID 14910 //
     /* 1898050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1898053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1898061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1898064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898096 */     // MIs[0] policy
     /* 1898096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898106 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1898109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898129 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898132 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898133 */     // GIR_Coverage, 14910,
     /* 1898133 */     GIR_EraseRootFromParent_Done,
     /* 1898134 */   // Label 25569: @1898134
     /* 1898134 */   GIM_Try, /*On fail goto*//*Label 25570*/ GIMT_Encode4(1898223), // Rule ID 14911 //
     /* 1898139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1898142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1898150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1898153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1898156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898162 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898185 */     // MIs[0] policy
     /* 1898185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898195 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1898198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898216 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898218 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898222 */     // GIR_Coverage, 14911,
     /* 1898222 */     GIR_EraseRootFromParent_Done,
     /* 1898223 */   // Label 25570: @1898223
     /* 1898223 */   GIM_Try, /*On fail goto*//*Label 25571*/ GIMT_Encode4(1898312), // Rule ID 14914 //
     /* 1898228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1898231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1898239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1898242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1898245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898274 */     // MIs[0] policy
     /* 1898274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898284 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1898287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898310 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898311 */     // GIR_Coverage, 14914,
     /* 1898311 */     GIR_EraseRootFromParent_Done,
     /* 1898312 */   // Label 25571: @1898312
     /* 1898312 */   GIM_Try, /*On fail goto*//*Label 25572*/ GIMT_Encode4(1898401), // Rule ID 14915 //
     /* 1898317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1898320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1898328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1898331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1898334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898340 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898363 */     // MIs[0] policy
     /* 1898363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898373 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1898376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898394 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898396 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898400 */     // GIR_Coverage, 14915,
     /* 1898400 */     GIR_EraseRootFromParent_Done,
     /* 1898401 */   // Label 25572: @1898401
     /* 1898401 */   GIM_Try, /*On fail goto*//*Label 25573*/ GIMT_Encode4(1898490), // Rule ID 14918 //
     /* 1898406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1898409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1898417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1898420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1898423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898452 */     // MIs[0] policy
     /* 1898452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898462 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1898465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898488 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898489 */     // GIR_Coverage, 14918,
     /* 1898489 */     GIR_EraseRootFromParent_Done,
     /* 1898490 */   // Label 25573: @1898490
     /* 1898490 */   GIM_Try, /*On fail goto*//*Label 25574*/ GIMT_Encode4(1898579), // Rule ID 14919 //
     /* 1898495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1898498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1898506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1898509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1898512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1898518 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898541 */     // MIs[0] policy
     /* 1898541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898551 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1898554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1898572 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898574 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898578 */     // GIR_Coverage, 14919,
     /* 1898578 */     GIR_EraseRootFromParent_Done,
     /* 1898579 */   // Label 25574: @1898579
     /* 1898579 */   GIM_Try, /*On fail goto*//*Label 25575*/ GIMT_Encode4(1898668), // Rule ID 14922 //
     /* 1898584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1898587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1898595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1898598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1898601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898630 */     // MIs[0] policy
     /* 1898630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898640 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1898643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898666 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898667 */     // GIR_Coverage, 14922,
     /* 1898667 */     GIR_EraseRootFromParent_Done,
     /* 1898668 */   // Label 25575: @1898668
     /* 1898668 */   GIM_Try, /*On fail goto*//*Label 25576*/ GIMT_Encode4(1898757), // Rule ID 14923 //
     /* 1898673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1898676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1898684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1898687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1898690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1898696 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1898703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1898711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898719 */     // MIs[0] policy
     /* 1898719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898729 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11618:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M2_MASK),
     /* 1898732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898750 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898752 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898756 */     // GIR_Coverage, 14923,
     /* 1898756 */     GIR_EraseRootFromParent_Done,
     /* 1898757 */   // Label 25576: @1898757
     /* 1898757 */   GIM_Try, /*On fail goto*//*Label 25577*/ GIMT_Encode4(1898846), // Rule ID 14926 //
     /* 1898762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1898765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1898773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1898776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1898779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898808 */     // MIs[0] policy
     /* 1898808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898818 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1898821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898841 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898844 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898845 */     // GIR_Coverage, 14926,
     /* 1898845 */     GIR_EraseRootFromParent_Done,
     /* 1898846 */   // Label 25577: @1898846
     /* 1898846 */   GIM_Try, /*On fail goto*//*Label 25578*/ GIMT_Encode4(1898935), // Rule ID 14927 //
     /* 1898851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1898854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1898862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1898865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1898868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1898871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1898874 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1898877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1898881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1898889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898897 */     // MIs[0] policy
     /* 1898897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898907 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11618:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1898907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M4_MASK),
     /* 1898910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1898912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1898914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1898916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1898918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1898920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1898925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1898928 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1898930 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1898933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1898934 */     // GIR_Coverage, 14927,
     /* 1898934 */     GIR_EraseRootFromParent_Done,
     /* 1898935 */   // Label 25578: @1898935
     /* 1898935 */   GIM_Try, /*On fail goto*//*Label 25579*/ GIMT_Encode4(1899024), // Rule ID 14930 //
     /* 1898940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1898943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1898948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1898951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1898954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1898957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1898960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1898963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1898966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1898970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1898978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1898982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1898986 */     // MIs[0] policy
     /* 1898986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1898989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1898996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1898996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1898999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899019 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1899022 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899023 */     // GIR_Coverage, 14930,
     /* 1899023 */     GIR_EraseRootFromParent_Done,
     /* 1899024 */   // Label 25579: @1899024
     /* 1899024 */   GIM_Try, /*On fail goto*//*Label 25580*/ GIMT_Encode4(1899113), // Rule ID 14931 //
     /* 1899029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1899032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssub_mask),
     /* 1899037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1899040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1899043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1899046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1899049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1899052 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1899059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1899067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1899071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899075 */     // MIs[0] policy
     /* 1899075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899085 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11618:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VX_M8_MASK),
     /* 1899088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899090 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1899106 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899108 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 1899111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899112 */     // GIR_Coverage, 14931,
     /* 1899112 */     GIR_EraseRootFromParent_Done,
     /* 1899113 */   // Label 25580: @1899113
     /* 1899113 */   GIM_Try, /*On fail goto*//*Label 25581*/ GIMT_Encode4(1899199), // Rule ID 19172 //
     /* 1899118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1899129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1899132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1899138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899164 */     // MIs[0] policy
     /* 1899164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899174 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1899177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899198 */     // GIR_Coverage, 19172,
     /* 1899198 */     GIR_EraseRootFromParent_Done,
     /* 1899199 */   // Label 25581: @1899199
     /* 1899199 */   GIM_Try, /*On fail goto*//*Label 25582*/ GIMT_Encode4(1899285), // Rule ID 19173 //
     /* 1899204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1899215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1899218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1899221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1899224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899250 */     // MIs[0] policy
     /* 1899250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899260 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16_MASK),
     /* 1899263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899284 */     // GIR_Coverage, 19173,
     /* 1899284 */     GIR_EraseRootFromParent_Done,
     /* 1899285 */   // Label 25582: @1899285
     /* 1899285 */   GIM_Try, /*On fail goto*//*Label 25583*/ GIMT_Encode4(1899371), // Rule ID 19176 //
     /* 1899290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1899301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1899304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1899307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1899310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899336 */     // MIs[0] policy
     /* 1899336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899346 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1899349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899370 */     // GIR_Coverage, 19176,
     /* 1899370 */     GIR_EraseRootFromParent_Done,
     /* 1899371 */   // Label 25583: @1899371
     /* 1899371 */   GIM_Try, /*On fail goto*//*Label 25584*/ GIMT_Encode4(1899457), // Rule ID 19177 //
     /* 1899376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1899387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1899390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1899393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1899396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899422 */     // MIs[0] policy
     /* 1899422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899432 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16_MASK),
     /* 1899435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899456 */     // GIR_Coverage, 19177,
     /* 1899456 */     GIR_EraseRootFromParent_Done,
     /* 1899457 */   // Label 25584: @1899457
     /* 1899457 */   GIM_Try, /*On fail goto*//*Label 25585*/ GIMT_Encode4(1899543), // Rule ID 19180 //
     /* 1899462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1899473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1899476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1899479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1899482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899508 */     // MIs[0] policy
     /* 1899508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899518 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1899521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899542 */     // GIR_Coverage, 19180,
     /* 1899542 */     GIR_EraseRootFromParent_Done,
     /* 1899543 */   // Label 25585: @1899543
     /* 1899543 */   GIM_Try, /*On fail goto*//*Label 25586*/ GIMT_Encode4(1899629), // Rule ID 19181 //
     /* 1899548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1899559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1899562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1899565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1899568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1899571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899594 */     // MIs[0] policy
     /* 1899594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899604 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32_MASK),
     /* 1899607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899628 */     // GIR_Coverage, 19181,
     /* 1899628 */     GIR_EraseRootFromParent_Done,
     /* 1899629 */   // Label 25586: @1899629
     /* 1899629 */   GIM_Try, /*On fail goto*//*Label 25587*/ GIMT_Encode4(1899715), // Rule ID 19184 //
     /* 1899634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1899637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1899651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899680 */     // MIs[0] policy
     /* 1899680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899690 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1899693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899714 */     // GIR_Coverage, 19184,
     /* 1899714 */     GIR_EraseRootFromParent_Done,
     /* 1899715 */   // Label 25587: @1899715
     /* 1899715 */   GIM_Try, /*On fail goto*//*Label 25588*/ GIMT_Encode4(1899801), // Rule ID 19185 //
     /* 1899720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1899723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1899731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1899734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1899737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1899740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1899743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899766 */     // MIs[0] policy
     /* 1899766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899776 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16_MASK),
     /* 1899779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1899797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899800 */     // GIR_Coverage, 19185,
     /* 1899800 */     GIR_EraseRootFromParent_Done,
     /* 1899801 */   // Label 25588: @1899801
     /* 1899801 */   GIM_Try, /*On fail goto*//*Label 25589*/ GIMT_Encode4(1899887), // Rule ID 19188 //
     /* 1899806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1899809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1899823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1899826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1899832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899852 */     // MIs[0] policy
     /* 1899852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899862 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1899862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1899865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899886 */     // GIR_Coverage, 19188,
     /* 1899886 */     GIR_EraseRootFromParent_Done,
     /* 1899887 */   // Label 25589: @1899887
     /* 1899887 */   GIM_Try, /*On fail goto*//*Label 25590*/ GIMT_Encode4(1899973), // Rule ID 19189 //
     /* 1899892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1899895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1899903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1899906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1899909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1899912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1899915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1899918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1899922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1899934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1899938 */     // MIs[0] policy
     /* 1899938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1899941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1899948 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1899948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32_MASK),
     /* 1899951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1899953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1899955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1899957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1899959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1899961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1899966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1899969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1899971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1899972 */     // GIR_Coverage, 19189,
     /* 1899972 */     GIR_EraseRootFromParent_Done,
     /* 1899973 */   // Label 25590: @1899973
     /* 1899973 */   GIM_Try, /*On fail goto*//*Label 25591*/ GIMT_Encode4(1900059), // Rule ID 19192 //
     /* 1899978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1899981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1899986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1899989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1899992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1899995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1899998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900024 */     // MIs[0] policy
     /* 1900024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900034 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1900037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900058 */     // GIR_Coverage, 19192,
     /* 1900058 */     GIR_EraseRootFromParent_Done,
     /* 1900059 */   // Label 25591: @1900059
     /* 1900059 */   GIM_Try, /*On fail goto*//*Label 25592*/ GIMT_Encode4(1900145), // Rule ID 19193 //
     /* 1900064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1900067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1900075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1900078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1900081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1900084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1900087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1900094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1900106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900110 */     // MIs[0] policy
     /* 1900110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900120 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64_MASK),
     /* 1900123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1900141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900144 */     // GIR_Coverage, 19193,
     /* 1900144 */     GIR_EraseRootFromParent_Done,
     /* 1900145 */   // Label 25592: @1900145
     /* 1900145 */   GIM_Try, /*On fail goto*//*Label 25593*/ GIMT_Encode4(1900231), // Rule ID 19196 //
     /* 1900150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1900161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1900164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1900170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900196 */     // MIs[0] policy
     /* 1900196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900206 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1900209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900230 */     // GIR_Coverage, 19196,
     /* 1900230 */     GIR_EraseRootFromParent_Done,
     /* 1900231 */   // Label 25593: @1900231
     /* 1900231 */   GIM_Try, /*On fail goto*//*Label 25594*/ GIMT_Encode4(1900317), // Rule ID 19197 //
     /* 1900236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1900247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1900250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1900253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1900256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900282 */     // MIs[0] policy
     /* 1900282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900292 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16_MASK),
     /* 1900295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900316 */     // GIR_Coverage, 19197,
     /* 1900316 */     GIR_EraseRootFromParent_Done,
     /* 1900317 */   // Label 25594: @1900317
     /* 1900317 */   GIM_Try, /*On fail goto*//*Label 25595*/ GIMT_Encode4(1900403), // Rule ID 19200 //
     /* 1900322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1900333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1900336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1900339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1900342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900368 */     // MIs[0] policy
     /* 1900368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900378 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1900381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900402 */     // GIR_Coverage, 19200,
     /* 1900402 */     GIR_EraseRootFromParent_Done,
     /* 1900403 */   // Label 25595: @1900403
     /* 1900403 */   GIM_Try, /*On fail goto*//*Label 25596*/ GIMT_Encode4(1900489), // Rule ID 19201 //
     /* 1900408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1900419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1900422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1900425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1900428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1900431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900454 */     // MIs[0] policy
     /* 1900454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900464 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16_MASK),
     /* 1900467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900488 */     // GIR_Coverage, 19201,
     /* 1900488 */     GIR_EraseRootFromParent_Done,
     /* 1900489 */   // Label 25596: @1900489
     /* 1900489 */   GIM_Try, /*On fail goto*//*Label 25597*/ GIMT_Encode4(1900575), // Rule ID 19204 //
     /* 1900494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1900497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1900505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1900508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1900511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1900514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1900517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900540 */     // MIs[0] policy
     /* 1900540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900550 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1900553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900574 */     // GIR_Coverage, 19204,
     /* 1900574 */     GIR_EraseRootFromParent_Done,
     /* 1900575 */   // Label 25597: @1900575
     /* 1900575 */   GIM_Try, /*On fail goto*//*Label 25598*/ GIMT_Encode4(1900661), // Rule ID 19205 //
     /* 1900580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1900583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1900591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1900594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1900597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1900600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1900603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1900610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1900622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900626 */     // MIs[0] policy
     /* 1900626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900636 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16_MASK),
     /* 1900639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1900657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900660 */     // GIR_Coverage, 19205,
     /* 1900660 */     GIR_EraseRootFromParent_Done,
     /* 1900661 */   // Label 25598: @1900661
     /* 1900661 */   GIM_Try, /*On fail goto*//*Label 25599*/ GIMT_Encode4(1900747), // Rule ID 19208 //
     /* 1900666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1900677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1900680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1900683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1900686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900712 */     // MIs[0] policy
     /* 1900712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900722 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1900725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900746 */     // GIR_Coverage, 19208,
     /* 1900746 */     GIR_EraseRootFromParent_Done,
     /* 1900747 */   // Label 25599: @1900747
     /* 1900747 */   GIM_Try, /*On fail goto*//*Label 25600*/ GIMT_Encode4(1900833), // Rule ID 19209 //
     /* 1900752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1900763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1900766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1900769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1900772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1900775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1900782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1900794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900798 */     // MIs[0] policy
     /* 1900798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900808 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32_MASK),
     /* 1900811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900832 */     // GIR_Coverage, 19209,
     /* 1900832 */     GIR_EraseRootFromParent_Done,
     /* 1900833 */   // Label 25600: @1900833
     /* 1900833 */   GIM_Try, /*On fail goto*//*Label 25601*/ GIMT_Encode4(1900919), // Rule ID 19212 //
     /* 1900838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1900841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1900849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1900852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1900855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1900858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1900864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900884 */     // MIs[0] policy
     /* 1900884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900894 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1900894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1900897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1900915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1900917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1900918 */     // GIR_Coverage, 19212,
     /* 1900918 */     GIR_EraseRootFromParent_Done,
     /* 1900919 */   // Label 25601: @1900919
     /* 1900919 */   GIM_Try, /*On fail goto*//*Label 25602*/ GIMT_Encode4(1901005), // Rule ID 19213 //
     /* 1900924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1900927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1900932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1900935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1900938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1900941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1900944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1900947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1900950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1900954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1900966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1900970 */     // MIs[0] policy
     /* 1900970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1900973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1900980 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1900980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32_MASK),
     /* 1900983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1900985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1900987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1900989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1900991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1900993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1900998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901004 */     // GIR_Coverage, 19213,
     /* 1901004 */     GIR_EraseRootFromParent_Done,
     /* 1901005 */   // Label 25602: @1901005
     /* 1901005 */   GIM_Try, /*On fail goto*//*Label 25603*/ GIMT_Encode4(1901091), // Rule ID 19216 //
     /* 1901010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1901013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1901021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1901024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1901030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901056 */     // MIs[0] policy
     /* 1901056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901066 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1901069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901090 */     // GIR_Coverage, 19216,
     /* 1901090 */     GIR_EraseRootFromParent_Done,
     /* 1901091 */   // Label 25603: @1901091
     /* 1901091 */   GIM_Try, /*On fail goto*//*Label 25604*/ GIMT_Encode4(1901177), // Rule ID 19217 //
     /* 1901096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1901099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1901107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1901110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1901113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1901116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1901119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901142 */     // MIs[0] policy
     /* 1901142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901152 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32_MASK),
     /* 1901155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1901173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901176 */     // GIR_Coverage, 19217,
     /* 1901176 */     GIR_EraseRootFromParent_Done,
     /* 1901177 */   // Label 25604: @1901177
     /* 1901177 */   GIM_Try, /*On fail goto*//*Label 25605*/ GIMT_Encode4(1901263), // Rule ID 19220 //
     /* 1901182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1901193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1901196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1901199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1901202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901228 */     // MIs[0] policy
     /* 1901228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901238 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1901241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901262 */     // GIR_Coverage, 19220,
     /* 1901262 */     GIR_EraseRootFromParent_Done,
     /* 1901263 */   // Label 25605: @1901263
     /* 1901263 */   GIM_Try, /*On fail goto*//*Label 25606*/ GIMT_Encode4(1901349), // Rule ID 19221 //
     /* 1901268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1901279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1901282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1901285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1901288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1901298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1901310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901314 */     // MIs[0] policy
     /* 1901314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901324 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64_MASK),
     /* 1901327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901348 */     // GIR_Coverage, 19221,
     /* 1901348 */     GIR_EraseRootFromParent_Done,
     /* 1901349 */   // Label 25606: @1901349
     /* 1901349 */   GIM_Try, /*On fail goto*//*Label 25607*/ GIMT_Encode4(1901435), // Rule ID 19224 //
     /* 1901354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1901365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1901368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1901371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1901374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901400 */     // MIs[0] policy
     /* 1901400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901410 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1901413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901434 */     // GIR_Coverage, 19224,
     /* 1901434 */     GIR_EraseRootFromParent_Done,
     /* 1901435 */   // Label 25607: @1901435
     /* 1901435 */   GIM_Try, /*On fail goto*//*Label 25608*/ GIMT_Encode4(1901521), // Rule ID 19225 //
     /* 1901440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1901451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1901454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1901457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1901460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1901463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1901470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1901482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901486 */     // MIs[0] policy
     /* 1901486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901496 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64_MASK),
     /* 1901499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901520 */     // GIR_Coverage, 19225,
     /* 1901520 */     GIR_EraseRootFromParent_Done,
     /* 1901521 */   // Label 25608: @1901521
     /* 1901521 */   GIM_Try, /*On fail goto*//*Label 25609*/ GIMT_Encode4(1901607), // Rule ID 19228 //
     /* 1901526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1901529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1901537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1901540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1901543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1901546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901572 */     // MIs[0] policy
     /* 1901572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901582 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1901585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901606 */     // GIR_Coverage, 19228,
     /* 1901606 */     GIR_EraseRootFromParent_Done,
     /* 1901607 */   // Label 25609: @1901607
     /* 1901607 */   GIM_Try, /*On fail goto*//*Label 25610*/ GIMT_Encode4(1901693), // Rule ID 19229 //
     /* 1901612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1901615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1901623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1901626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1901629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1901632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1901635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1901642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1901654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901658 */     // MIs[0] policy
     /* 1901658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901668 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64_MASK),
     /* 1901671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1901689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901692 */     // GIR_Coverage, 19229,
     /* 1901692 */     GIR_EraseRootFromParent_Done,
     /* 1901693 */   // Label 25610: @1901693
     /* 1901693 */   GIM_Try, /*On fail goto*//*Label 25611*/ GIMT_Encode4(1901779), // Rule ID 19232 //
     /* 1901698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1901709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1901712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1901715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901744 */     // MIs[0] policy
     /* 1901744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901754 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1901757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901778 */     // GIR_Coverage, 19232,
     /* 1901778 */     GIR_EraseRootFromParent_Done,
     /* 1901779 */   // Label 25611: @1901779
     /* 1901779 */   GIM_Try, /*On fail goto*//*Label 25612*/ GIMT_Encode4(1901865), // Rule ID 19233 //
     /* 1901784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1901795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1901798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1901801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1901807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901830 */     // MIs[0] policy
     /* 1901830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901840 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1901840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF4_E16_MASK),
     /* 1901843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901864 */     // GIR_Coverage, 19233,
     /* 1901864 */     GIR_EraseRootFromParent_Done,
     /* 1901865 */   // Label 25612: @1901865
     /* 1901865 */   GIM_Try, /*On fail goto*//*Label 25613*/ GIMT_Encode4(1901951), // Rule ID 19236 //
     /* 1901870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1901873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1901881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1901884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1901887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1901896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1901916 */     // MIs[0] policy
     /* 1901916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1901919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1901926 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1901926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1901929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1901931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1901933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1901935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1901937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1901939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1901944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1901947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1901949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1901950 */     // GIR_Coverage, 19236,
     /* 1901950 */     GIR_EraseRootFromParent_Done,
     /* 1901951 */   // Label 25613: @1901951
     /* 1901951 */   GIM_Try, /*On fail goto*//*Label 25614*/ GIMT_Encode4(1902037), // Rule ID 19237 //
     /* 1901956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1901959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1901964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1901967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1901970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1901973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1901976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1901979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1901982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1901986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1901994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1901998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902002 */     // MIs[0] policy
     /* 1902002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902012 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_MF2_E16_MASK),
     /* 1902015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902036 */     // GIR_Coverage, 19237,
     /* 1902036 */     GIR_EraseRootFromParent_Done,
     /* 1902037 */   // Label 25614: @1902037
     /* 1902037 */   GIM_Try, /*On fail goto*//*Label 25615*/ GIMT_Encode4(1902123), // Rule ID 19240 //
     /* 1902042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902088 */     // MIs[0] policy
     /* 1902088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902098 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1902101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902122 */     // GIR_Coverage, 19240,
     /* 1902122 */     GIR_EraseRootFromParent_Done,
     /* 1902123 */   // Label 25615: @1902123
     /* 1902123 */   GIM_Try, /*On fail goto*//*Label 25616*/ GIMT_Encode4(1902209), // Rule ID 19241 //
     /* 1902128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1902139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1902142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1902145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902174 */     // MIs[0] policy
     /* 1902174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902184 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_MF2_E32_MASK),
     /* 1902187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902208 */     // GIR_Coverage, 19241,
     /* 1902208 */     GIR_EraseRootFromParent_Done,
     /* 1902209 */   // Label 25616: @1902209
     /* 1902209 */   GIM_Try, /*On fail goto*//*Label 25617*/ GIMT_Encode4(1902295), // Rule ID 19244 //
     /* 1902214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1902225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1902228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1902231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902260 */     // MIs[0] policy
     /* 1902260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902270 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1902273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902294 */     // GIR_Coverage, 19244,
     /* 1902294 */     GIR_EraseRootFromParent_Done,
     /* 1902295 */   // Label 25617: @1902295
     /* 1902295 */   GIM_Try, /*On fail goto*//*Label 25618*/ GIMT_Encode4(1902381), // Rule ID 19245 //
     /* 1902300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1902311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1902314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1902317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1902323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902346 */     // MIs[0] policy
     /* 1902346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902356 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11213:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M1_E16_MASK),
     /* 1902359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902380 */     // GIR_Coverage, 19245,
     /* 1902380 */     GIR_EraseRootFromParent_Done,
     /* 1902381 */   // Label 25618: @1902381
     /* 1902381 */   GIM_Try, /*On fail goto*//*Label 25619*/ GIMT_Encode4(1902467), // Rule ID 19248 //
     /* 1902386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1902389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1902403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902432 */     // MIs[0] policy
     /* 1902432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902442 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1902445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902466 */     // GIR_Coverage, 19248,
     /* 1902466 */     GIR_EraseRootFromParent_Done,
     /* 1902467 */   // Label 25619: @1902467
     /* 1902467 */   GIM_Try, /*On fail goto*//*Label 25620*/ GIMT_Encode4(1902553), // Rule ID 19249 //
     /* 1902472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1902475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1902483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1902486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1902489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1902492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1902495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1902514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902518 */     // MIs[0] policy
     /* 1902518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902528 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11213:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M1_E32_MASK),
     /* 1902531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1902549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902552 */     // GIR_Coverage, 19249,
     /* 1902552 */     GIR_EraseRootFromParent_Done,
     /* 1902553 */   // Label 25620: @1902553
     /* 1902553 */   GIM_Try, /*On fail goto*//*Label 25621*/ GIMT_Encode4(1902639), // Rule ID 19252 //
     /* 1902558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1902561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1902575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902604 */     // MIs[0] policy
     /* 1902604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902614 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1902617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902638 */     // GIR_Coverage, 19252,
     /* 1902638 */     GIR_EraseRootFromParent_Done,
     /* 1902639 */   // Label 25621: @1902639
     /* 1902639 */   GIM_Try, /*On fail goto*//*Label 25622*/ GIMT_Encode4(1902725), // Rule ID 19253 //
     /* 1902644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1902647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1902655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1902658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1902661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1902664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1902667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1902674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1902682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1902686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902690 */     // MIs[0] policy
     /* 1902690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902700 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11213:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M1_E64_MASK),
     /* 1902703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1902721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902724 */     // GIR_Coverage, 19253,
     /* 1902724 */     GIR_EraseRootFromParent_Done,
     /* 1902725 */   // Label 25622: @1902725
     /* 1902725 */   GIM_Try, /*On fail goto*//*Label 25623*/ GIMT_Encode4(1902811), // Rule ID 19256 //
     /* 1902730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1902741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1902744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1902747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902776 */     // MIs[0] policy
     /* 1902776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902786 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1902789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902810 */     // GIR_Coverage, 19256,
     /* 1902810 */     GIR_EraseRootFromParent_Done,
     /* 1902811 */   // Label 25623: @1902811
     /* 1902811 */   GIM_Try, /*On fail goto*//*Label 25624*/ GIMT_Encode4(1902897), // Rule ID 19257 //
     /* 1902816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1902827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1902830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1902833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1902839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1902842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1902846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1902854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902862 */     // MIs[0] policy
     /* 1902862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902872 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1902872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M2_E16_MASK),
     /* 1902875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902896 */     // GIR_Coverage, 19257,
     /* 1902896 */     GIR_EraseRootFromParent_Done,
     /* 1902897 */   // Label 25624: @1902897
     /* 1902897 */   GIM_Try, /*On fail goto*//*Label 25625*/ GIMT_Encode4(1902983), // Rule ID 19260 //
     /* 1902902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1902905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1902913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1902916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1902919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1902922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1902925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1902928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1902932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1902940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1902944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1902948 */     // MIs[0] policy
     /* 1902948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1902951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1902958 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1902958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1902961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1902963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1902965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1902967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1902969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1902971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1902976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1902979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1902981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1902982 */     // GIR_Coverage, 19260,
     /* 1902982 */     GIR_EraseRootFromParent_Done,
     /* 1902983 */   // Label 25625: @1902983
     /* 1902983 */   GIM_Try, /*On fail goto*//*Label 25626*/ GIMT_Encode4(1903069), // Rule ID 19261 //
     /* 1902988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1902991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1902996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1902999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1903002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1903005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903034 */     // MIs[0] policy
     /* 1903034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903044 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M4_E16_MASK),
     /* 1903047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903068 */     // GIR_Coverage, 19261,
     /* 1903068 */     GIR_EraseRootFromParent_Done,
     /* 1903069 */   // Label 25626: @1903069
     /* 1903069 */   GIM_Try, /*On fail goto*//*Label 25627*/ GIMT_Encode4(1903155), // Rule ID 19264 //
     /* 1903074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1903077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1903085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1903088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903120 */     // MIs[0] policy
     /* 1903120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903130 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1903133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903154 */     // GIR_Coverage, 19264,
     /* 1903154 */     GIR_EraseRootFromParent_Done,
     /* 1903155 */   // Label 25627: @1903155
     /* 1903155 */   GIM_Try, /*On fail goto*//*Label 25628*/ GIMT_Encode4(1903241), // Rule ID 19265 //
     /* 1903160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1903163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1903171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1903174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1903177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1903180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1903183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1903202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903206 */     // MIs[0] policy
     /* 1903206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903216 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR16_M8_E16_MASK),
     /* 1903219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1903237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903240 */     // GIR_Coverage, 19265,
     /* 1903240 */     GIR_EraseRootFromParent_Done,
     /* 1903241 */   // Label 25628: @1903241
     /* 1903241 */   GIM_Try, /*On fail goto*//*Label 25629*/ GIMT_Encode4(1903327), // Rule ID 19268 //
     /* 1903246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1903257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1903260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1903263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903292 */     // MIs[0] policy
     /* 1903292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903302 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1903305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903326 */     // GIR_Coverage, 19268,
     /* 1903326 */     GIR_EraseRootFromParent_Done,
     /* 1903327 */   // Label 25629: @1903327
     /* 1903327 */   GIM_Try, /*On fail goto*//*Label 25630*/ GIMT_Encode4(1903413), // Rule ID 19269 //
     /* 1903332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1903343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1903346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1903349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903378 */     // MIs[0] policy
     /* 1903378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903388 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M2_E32_MASK),
     /* 1903391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903412 */     // GIR_Coverage, 19269,
     /* 1903412 */     GIR_EraseRootFromParent_Done,
     /* 1903413 */   // Label 25630: @1903413
     /* 1903413 */   GIM_Try, /*On fail goto*//*Label 25631*/ GIMT_Encode4(1903499), // Rule ID 19272 //
     /* 1903418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1903429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1903432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1903435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903464 */     // MIs[0] policy
     /* 1903464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903474 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1903477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903498 */     // GIR_Coverage, 19272,
     /* 1903498 */     GIR_EraseRootFromParent_Done,
     /* 1903499 */   // Label 25631: @1903499
     /* 1903499 */   GIM_Try, /*On fail goto*//*Label 25632*/ GIMT_Encode4(1903585), // Rule ID 19273 //
     /* 1903504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1903515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1903518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1903521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1903527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903550 */     // MIs[0] policy
     /* 1903550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903560 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M4_E32_MASK),
     /* 1903563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903584 */     // GIR_Coverage, 19273,
     /* 1903584 */     GIR_EraseRootFromParent_Done,
     /* 1903585 */   // Label 25632: @1903585
     /* 1903585 */   GIM_Try, /*On fail goto*//*Label 25633*/ GIMT_Encode4(1903671), // Rule ID 19276 //
     /* 1903590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1903593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1903601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1903604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1903607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903636 */     // MIs[0] policy
     /* 1903636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903646 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1903649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903670 */     // GIR_Coverage, 19276,
     /* 1903670 */     GIR_EraseRootFromParent_Done,
     /* 1903671 */   // Label 25633: @1903671
     /* 1903671 */   GIM_Try, /*On fail goto*//*Label 25634*/ GIMT_Encode4(1903757), // Rule ID 19277 //
     /* 1903676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1903679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1903687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1903690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1903693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1903696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1903699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1903706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1903714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1903718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903722 */     // MIs[0] policy
     /* 1903722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903732 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR32_M8_E32_MASK),
     /* 1903735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1903753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903756 */     // GIR_Coverage, 19277,
     /* 1903756 */     GIR_EraseRootFromParent_Done,
     /* 1903757 */   // Label 25634: @1903757
     /* 1903757 */   GIM_Try, /*On fail goto*//*Label 25635*/ GIMT_Encode4(1903843), // Rule ID 19280 //
     /* 1903762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1903773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1903776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1903779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903808 */     // MIs[0] policy
     /* 1903808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903818 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1903821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903842 */     // GIR_Coverage, 19280,
     /* 1903842 */     GIR_EraseRootFromParent_Done,
     /* 1903843 */   // Label 25635: @1903843
     /* 1903843 */   GIM_Try, /*On fail goto*//*Label 25636*/ GIMT_Encode4(1903929), // Rule ID 19281 //
     /* 1903848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1903851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1903859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1903862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1903865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1903871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1903874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1903878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1903886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903894 */     // MIs[0] policy
     /* 1903894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903904 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11213:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1903904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M2_E64_MASK),
     /* 1903907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1903915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1903917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1903922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1903925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1903927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1903928 */     // GIR_Coverage, 19281,
     /* 1903928 */     GIR_EraseRootFromParent_Done,
     /* 1903929 */   // Label 25636: @1903929
     /* 1903929 */   GIM_Try, /*On fail goto*//*Label 25637*/ GIMT_Encode4(1904015), // Rule ID 19284 //
     /* 1903934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1903937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1903942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1903945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1903948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1903951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1903954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1903957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1903960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1903964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1903972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1903976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1903980 */     // MIs[0] policy
     /* 1903980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1903983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1903990 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1903990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1903993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1903995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1903997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1903999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904014 */     // GIR_Coverage, 19284,
     /* 1904014 */     GIR_EraseRootFromParent_Done,
     /* 1904015 */   // Label 25637: @1904015
     /* 1904015 */   GIM_Try, /*On fail goto*//*Label 25638*/ GIMT_Encode4(1904101), // Rule ID 19285 //
     /* 1904020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1904028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1904031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1904034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1904037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1904050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1904058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904066 */     // MIs[0] policy
     /* 1904066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904076 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11213:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M4_E64_MASK),
     /* 1904079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904100 */     // GIR_Coverage, 19285,
     /* 1904100 */     GIR_EraseRootFromParent_Done,
     /* 1904101 */   // Label 25638: @1904101
     /* 1904101 */   GIM_Try, /*On fail goto*//*Label 25639*/ GIMT_Encode4(1904187), // Rule ID 19288 //
     /* 1904106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1904109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1904114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1904117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1904120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1904123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904152 */     // MIs[0] policy
     /* 1904152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904162 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1904165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904186 */     // GIR_Coverage, 19288,
     /* 1904186 */     GIR_EraseRootFromParent_Done,
     /* 1904187 */   // Label 25639: @1904187
     /* 1904187 */   GIM_Try, /*On fail goto*//*Label 25640*/ GIMT_Encode4(1904273), // Rule ID 19289 //
     /* 1904192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1904195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmin_mask),
     /* 1904200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1904203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1904206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1904209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1904212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1904215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1904222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1904230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1904234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904238 */     // MIs[0] policy
     /* 1904238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904248 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11213:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMIN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VFPR64_M8_E64_MASK),
     /* 1904251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1904269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904272 */     // GIR_Coverage, 19289,
     /* 1904272 */     GIR_EraseRootFromParent_Done,
     /* 1904273 */   // Label 25640: @1904273
     /* 1904273 */   GIM_Try, /*On fail goto*//*Label 25641*/ GIMT_Encode4(1904359), // Rule ID 19292 //
     /* 1904278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1904289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1904292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1904298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904324 */     // MIs[0] policy
     /* 1904324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904334 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1904337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904358 */     // GIR_Coverage, 19292,
     /* 1904358 */     GIR_EraseRootFromParent_Done,
     /* 1904359 */   // Label 25641: @1904359
     /* 1904359 */   GIM_Try, /*On fail goto*//*Label 25642*/ GIMT_Encode4(1904445), // Rule ID 19293 //
     /* 1904364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1904375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1904378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1904381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1904384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904410 */     // MIs[0] policy
     /* 1904410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904420 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16_MASK),
     /* 1904423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904444 */     // GIR_Coverage, 19293,
     /* 1904444 */     GIR_EraseRootFromParent_Done,
     /* 1904445 */   // Label 25642: @1904445
     /* 1904445 */   GIM_Try, /*On fail goto*//*Label 25643*/ GIMT_Encode4(1904531), // Rule ID 19296 //
     /* 1904450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1904461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1904464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1904470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904496 */     // MIs[0] policy
     /* 1904496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904506 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1904509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904530 */     // GIR_Coverage, 19296,
     /* 1904530 */     GIR_EraseRootFromParent_Done,
     /* 1904531 */   // Label 25643: @1904531
     /* 1904531 */   GIM_Try, /*On fail goto*//*Label 25644*/ GIMT_Encode4(1904617), // Rule ID 19297 //
     /* 1904536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1904547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1904550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1904553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1904556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904582 */     // MIs[0] policy
     /* 1904582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904592 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16_MASK),
     /* 1904595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904616 */     // GIR_Coverage, 19297,
     /* 1904616 */     GIR_EraseRootFromParent_Done,
     /* 1904617 */   // Label 25644: @1904617
     /* 1904617 */   GIM_Try, /*On fail goto*//*Label 25645*/ GIMT_Encode4(1904703), // Rule ID 19300 //
     /* 1904622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1904642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904668 */     // MIs[0] policy
     /* 1904668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904678 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1904681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904702 */     // GIR_Coverage, 19300,
     /* 1904702 */     GIR_EraseRootFromParent_Done,
     /* 1904703 */   // Label 25645: @1904703
     /* 1904703 */   GIM_Try, /*On fail goto*//*Label 25646*/ GIMT_Encode4(1904789), // Rule ID 19301 //
     /* 1904708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1904711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1904719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1904722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1904725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1904728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1904731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904754 */     // MIs[0] policy
     /* 1904754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904764 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32_MASK),
     /* 1904767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1904785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904788 */     // GIR_Coverage, 19301,
     /* 1904788 */     GIR_EraseRootFromParent_Done,
     /* 1904789 */   // Label 25646: @1904789
     /* 1904789 */   GIM_Try, /*On fail goto*//*Label 25647*/ GIMT_Encode4(1904875), // Rule ID 19304 //
     /* 1904794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1904797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1904805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1904808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1904811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1904814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904840 */     // MIs[0] policy
     /* 1904840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904850 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1904850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1904853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904874 */     // GIR_Coverage, 19304,
     /* 1904874 */     GIR_EraseRootFromParent_Done,
     /* 1904875 */   // Label 25647: @1904875
     /* 1904875 */   GIM_Try, /*On fail goto*//*Label 25648*/ GIMT_Encode4(1904961), // Rule ID 19305 //
     /* 1904880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1904883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1904891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1904894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1904897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1904900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1904903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1904906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1904922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1904926 */     // MIs[0] policy
     /* 1904926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1904929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1904936 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1904936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16_MASK),
     /* 1904939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1904941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1904943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1904945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1904947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1904949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1904954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1904957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1904959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1904960 */     // GIR_Coverage, 19305,
     /* 1904960 */     GIR_EraseRootFromParent_Done,
     /* 1904961 */   // Label 25648: @1904961
     /* 1904961 */   GIM_Try, /*On fail goto*//*Label 25649*/ GIMT_Encode4(1905047), // Rule ID 19308 //
     /* 1904966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1904969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1904974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1904977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1904980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1904983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1904986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1904989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1904992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1904996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905012 */     // MIs[0] policy
     /* 1905012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905022 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1905025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905046 */     // GIR_Coverage, 19308,
     /* 1905046 */     GIR_EraseRootFromParent_Done,
     /* 1905047 */   // Label 25649: @1905047
     /* 1905047 */   GIM_Try, /*On fail goto*//*Label 25650*/ GIMT_Encode4(1905133), // Rule ID 19309 //
     /* 1905052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1905063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1905066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1905069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1905072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1905075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905098 */     // MIs[0] policy
     /* 1905098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905108 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32_MASK),
     /* 1905111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905132 */     // GIR_Coverage, 19309,
     /* 1905132 */     GIR_EraseRootFromParent_Done,
     /* 1905133 */   // Label 25650: @1905133
     /* 1905133 */   GIM_Try, /*On fail goto*//*Label 25651*/ GIMT_Encode4(1905219), // Rule ID 19312 //
     /* 1905138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1905141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905184 */     // MIs[0] policy
     /* 1905184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905194 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1905197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905218 */     // GIR_Coverage, 19312,
     /* 1905218 */     GIR_EraseRootFromParent_Done,
     /* 1905219 */   // Label 25651: @1905219
     /* 1905219 */   GIM_Try, /*On fail goto*//*Label 25652*/ GIMT_Encode4(1905305), // Rule ID 19313 //
     /* 1905224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1905227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1905235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1905238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1905241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1905244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1905247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1905254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1905266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905270 */     // MIs[0] policy
     /* 1905270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905280 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64_MASK),
     /* 1905283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1905301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905304 */     // GIR_Coverage, 19313,
     /* 1905304 */     GIR_EraseRootFromParent_Done,
     /* 1905305 */   // Label 25652: @1905305
     /* 1905305 */   GIM_Try, /*On fail goto*//*Label 25653*/ GIMT_Encode4(1905391), // Rule ID 19316 //
     /* 1905310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1905321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1905324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1905327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1905330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905356 */     // MIs[0] policy
     /* 1905356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905366 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1905369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905390 */     // GIR_Coverage, 19316,
     /* 1905390 */     GIR_EraseRootFromParent_Done,
     /* 1905391 */   // Label 25653: @1905391
     /* 1905391 */   GIM_Try, /*On fail goto*//*Label 25654*/ GIMT_Encode4(1905477), // Rule ID 19317 //
     /* 1905396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1905407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1905410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1905413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1905416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1905419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905442 */     // MIs[0] policy
     /* 1905442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905452 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16_MASK),
     /* 1905455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905476 */     // GIR_Coverage, 19317,
     /* 1905476 */     GIR_EraseRootFromParent_Done,
     /* 1905477 */   // Label 25654: @1905477
     /* 1905477 */   GIM_Try, /*On fail goto*//*Label 25655*/ GIMT_Encode4(1905563), // Rule ID 19320 //
     /* 1905482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1905493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1905496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1905499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1905502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905528 */     // MIs[0] policy
     /* 1905528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905538 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1905541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905562 */     // GIR_Coverage, 19320,
     /* 1905562 */     GIR_EraseRootFromParent_Done,
     /* 1905563 */   // Label 25655: @1905563
     /* 1905563 */   GIM_Try, /*On fail goto*//*Label 25656*/ GIMT_Encode4(1905649), // Rule ID 19321 //
     /* 1905568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1905579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1905582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1905585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1905588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1905591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1905598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1905610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905614 */     // MIs[0] policy
     /* 1905614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905624 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16_MASK),
     /* 1905627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905648 */     // GIR_Coverage, 19321,
     /* 1905648 */     GIR_EraseRootFromParent_Done,
     /* 1905649 */   // Label 25656: @1905649
     /* 1905649 */   GIM_Try, /*On fail goto*//*Label 25657*/ GIMT_Encode4(1905735), // Rule ID 19324 //
     /* 1905654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1905657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1905665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1905668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1905671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1905674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1905677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905700 */     // MIs[0] policy
     /* 1905700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905710 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1905713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905734 */     // GIR_Coverage, 19324,
     /* 1905734 */     GIR_EraseRootFromParent_Done,
     /* 1905735 */   // Label 25657: @1905735
     /* 1905735 */   GIM_Try, /*On fail goto*//*Label 25658*/ GIMT_Encode4(1905821), // Rule ID 19325 //
     /* 1905740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1905743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1905751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1905754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1905757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1905760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1905763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1905770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1905782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905786 */     // MIs[0] policy
     /* 1905786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905796 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16_MASK),
     /* 1905799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1905817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905820 */     // GIR_Coverage, 19325,
     /* 1905820 */     GIR_EraseRootFromParent_Done,
     /* 1905821 */   // Label 25658: @1905821
     /* 1905821 */   GIM_Try, /*On fail goto*//*Label 25659*/ GIMT_Encode4(1905907), // Rule ID 19328 //
     /* 1905826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1905829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1905837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1905840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1905843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1905846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1905852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905872 */     // MIs[0] policy
     /* 1905872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905882 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1905882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1905885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905906 */     // GIR_Coverage, 19328,
     /* 1905906 */     GIR_EraseRootFromParent_Done,
     /* 1905907 */   // Label 25659: @1905907
     /* 1905907 */   GIM_Try, /*On fail goto*//*Label 25660*/ GIMT_Encode4(1905993), // Rule ID 19329 //
     /* 1905912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1905915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1905920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1905923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1905926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1905929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1905932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1905935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1905938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1905942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1905954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1905958 */     // MIs[0] policy
     /* 1905958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1905961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1905968 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1905968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32_MASK),
     /* 1905971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1905973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1905975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1905977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1905979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1905981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1905986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1905989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1905991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1905992 */     // GIR_Coverage, 19329,
     /* 1905992 */     GIR_EraseRootFromParent_Done,
     /* 1905993 */   // Label 25660: @1905993
     /* 1905993 */   GIM_Try, /*On fail goto*//*Label 25661*/ GIMT_Encode4(1906079), // Rule ID 19332 //
     /* 1905998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1906018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906044 */     // MIs[0] policy
     /* 1906044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906054 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1906057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906078 */     // GIR_Coverage, 19332,
     /* 1906078 */     GIR_EraseRootFromParent_Done,
     /* 1906079 */   // Label 25661: @1906079
     /* 1906079 */   GIM_Try, /*On fail goto*//*Label 25662*/ GIMT_Encode4(1906165), // Rule ID 19333 //
     /* 1906084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1906095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1906098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1906101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1906104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906130 */     // MIs[0] policy
     /* 1906130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906140 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32_MASK),
     /* 1906143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906164 */     // GIR_Coverage, 19333,
     /* 1906164 */     GIR_EraseRootFromParent_Done,
     /* 1906165 */   // Label 25662: @1906165
     /* 1906165 */   GIM_Try, /*On fail goto*//*Label 25663*/ GIMT_Encode4(1906251), // Rule ID 19336 //
     /* 1906170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1906173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1906181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1906184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1906187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1906190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906216 */     // MIs[0] policy
     /* 1906216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906226 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1906229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906250 */     // GIR_Coverage, 19336,
     /* 1906250 */     GIR_EraseRootFromParent_Done,
     /* 1906251 */   // Label 25663: @1906251
     /* 1906251 */   GIM_Try, /*On fail goto*//*Label 25664*/ GIMT_Encode4(1906337), // Rule ID 19337 //
     /* 1906256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1906259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1906267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1906270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1906273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1906276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1906279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906302 */     // MIs[0] policy
     /* 1906302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906312 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32_MASK),
     /* 1906315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1906333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906336 */     // GIR_Coverage, 19337,
     /* 1906336 */     GIR_EraseRootFromParent_Done,
     /* 1906337 */   // Label 25664: @1906337
     /* 1906337 */   GIM_Try, /*On fail goto*//*Label 25665*/ GIMT_Encode4(1906423), // Rule ID 19340 //
     /* 1906342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1906353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1906356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1906359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1906362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906388 */     // MIs[0] policy
     /* 1906388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906398 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1906401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906422 */     // GIR_Coverage, 19340,
     /* 1906422 */     GIR_EraseRootFromParent_Done,
     /* 1906423 */   // Label 25665: @1906423
     /* 1906423 */   GIM_Try, /*On fail goto*//*Label 25666*/ GIMT_Encode4(1906509), // Rule ID 19341 //
     /* 1906428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1906439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1906442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1906445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1906448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1906451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1906458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1906470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906474 */     // MIs[0] policy
     /* 1906474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906484 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64_MASK),
     /* 1906487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906508 */     // GIR_Coverage, 19341,
     /* 1906508 */     GIR_EraseRootFromParent_Done,
     /* 1906509 */   // Label 25666: @1906509
     /* 1906509 */   GIM_Try, /*On fail goto*//*Label 25667*/ GIMT_Encode4(1906595), // Rule ID 19344 //
     /* 1906514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1906525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1906528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1906531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1906534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906560 */     // MIs[0] policy
     /* 1906560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906570 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1906573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906594 */     // GIR_Coverage, 19344,
     /* 1906594 */     GIR_EraseRootFromParent_Done,
     /* 1906595 */   // Label 25667: @1906595
     /* 1906595 */   GIM_Try, /*On fail goto*//*Label 25668*/ GIMT_Encode4(1906681), // Rule ID 19345 //
     /* 1906600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1906611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1906614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1906617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1906620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1906623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1906630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1906642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906646 */     // MIs[0] policy
     /* 1906646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906656 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64_MASK),
     /* 1906659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906680 */     // GIR_Coverage, 19345,
     /* 1906680 */     GIR_EraseRootFromParent_Done,
     /* 1906681 */   // Label 25668: @1906681
     /* 1906681 */   GIM_Try, /*On fail goto*//*Label 25669*/ GIMT_Encode4(1906767), // Rule ID 19348 //
     /* 1906686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1906689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1906697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1906700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1906703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1906706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906732 */     // MIs[0] policy
     /* 1906732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906742 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1906745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906766 */     // GIR_Coverage, 19348,
     /* 1906766 */     GIR_EraseRootFromParent_Done,
     /* 1906767 */   // Label 25669: @1906767
     /* 1906767 */   GIM_Try, /*On fail goto*//*Label 25670*/ GIMT_Encode4(1906853), // Rule ID 19349 //
     /* 1906772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1906775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1906783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1906786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1906789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1906792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1906795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1906802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1906814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906818 */     // MIs[0] policy
     /* 1906818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906828 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1906828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64_MASK),
     /* 1906831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1906849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906852 */     // GIR_Coverage, 19349,
     /* 1906852 */     GIR_EraseRootFromParent_Done,
     /* 1906853 */   // Label 25670: @1906853
     /* 1906853 */   GIM_Try, /*On fail goto*//*Label 25671*/ GIMT_Encode4(1906939), // Rule ID 19352 //
     /* 1906858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1906861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1906869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1906872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1906875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1906884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906904 */     // MIs[0] policy
     /* 1906904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1906914 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1906914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1906917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1906919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1906921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1906923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1906925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1906927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1906932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1906935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1906937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1906938 */     // GIR_Coverage, 19352,
     /* 1906938 */     GIR_EraseRootFromParent_Done,
     /* 1906939 */   // Label 25671: @1906939
     /* 1906939 */   GIM_Try, /*On fail goto*//*Label 25672*/ GIMT_Encode4(1907025), // Rule ID 19353 //
     /* 1906944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1906947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1906952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1906955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1906958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1906961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1906964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1906967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1906970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1906974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1906982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1906986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1906990 */     // MIs[0] policy
     /* 1906990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1906993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907000 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF4_E16_MASK),
     /* 1907003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907024 */     // GIR_Coverage, 19353,
     /* 1907024 */     GIR_EraseRootFromParent_Done,
     /* 1907025 */   // Label 25672: @1907025
     /* 1907025 */   GIM_Try, /*On fail goto*//*Label 25673*/ GIMT_Encode4(1907111), // Rule ID 19356 //
     /* 1907030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1907041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1907044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1907047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907076 */     // MIs[0] policy
     /* 1907076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907086 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1907089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907110 */     // GIR_Coverage, 19356,
     /* 1907110 */     GIR_EraseRootFromParent_Done,
     /* 1907111 */   // Label 25673: @1907111
     /* 1907111 */   GIM_Try, /*On fail goto*//*Label 25674*/ GIMT_Encode4(1907197), // Rule ID 19357 //
     /* 1907116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1907127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1907130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1907133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907162 */     // MIs[0] policy
     /* 1907162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907172 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_MF2_E16_MASK),
     /* 1907175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907196 */     // GIR_Coverage, 19357,
     /* 1907196 */     GIR_EraseRootFromParent_Done,
     /* 1907197 */   // Label 25674: @1907197
     /* 1907197 */   GIM_Try, /*On fail goto*//*Label 25675*/ GIMT_Encode4(1907283), // Rule ID 19360 //
     /* 1907202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1907213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1907216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1907219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907248 */     // MIs[0] policy
     /* 1907248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907258 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1907261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907282 */     // GIR_Coverage, 19360,
     /* 1907282 */     GIR_EraseRootFromParent_Done,
     /* 1907283 */   // Label 25675: @1907283
     /* 1907283 */   GIM_Try, /*On fail goto*//*Label 25676*/ GIMT_Encode4(1907369), // Rule ID 19361 //
     /* 1907288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1907299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1907302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1907305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907334 */     // MIs[0] policy
     /* 1907334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907344 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_MF2_E32_MASK),
     /* 1907347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907368 */     // GIR_Coverage, 19361,
     /* 1907368 */     GIR_EraseRootFromParent_Done,
     /* 1907369 */   // Label 25676: @1907369
     /* 1907369 */   GIM_Try, /*On fail goto*//*Label 25677*/ GIMT_Encode4(1907455), // Rule ID 19364 //
     /* 1907374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1907385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1907388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1907391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907420 */     // MIs[0] policy
     /* 1907420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907430 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1907433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907454 */     // GIR_Coverage, 19364,
     /* 1907454 */     GIR_EraseRootFromParent_Done,
     /* 1907455 */   // Label 25677: @1907455
     /* 1907455 */   GIM_Try, /*On fail goto*//*Label 25678*/ GIMT_Encode4(1907541), // Rule ID 19365 //
     /* 1907460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1907471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1907474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1907477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1907483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907506 */     // MIs[0] policy
     /* 1907506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907516 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11210:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M1_E16_MASK),
     /* 1907519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907540 */     // GIR_Coverage, 19365,
     /* 1907540 */     GIR_EraseRootFromParent_Done,
     /* 1907541 */   // Label 25678: @1907541
     /* 1907541 */   GIM_Try, /*On fail goto*//*Label 25679*/ GIMT_Encode4(1907627), // Rule ID 19368 //
     /* 1907546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1907549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1907557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1907560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1907563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907592 */     // MIs[0] policy
     /* 1907592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907602 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1907605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907626 */     // GIR_Coverage, 19368,
     /* 1907626 */     GIR_EraseRootFromParent_Done,
     /* 1907627 */   // Label 25679: @1907627
     /* 1907627 */   GIM_Try, /*On fail goto*//*Label 25680*/ GIMT_Encode4(1907713), // Rule ID 19369 //
     /* 1907632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1907635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1907643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1907646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1907649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1907652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1907655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1907674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907678 */     // MIs[0] policy
     /* 1907678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907688 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11210:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M1_E32_MASK),
     /* 1907691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1907709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907712 */     // GIR_Coverage, 19369,
     /* 1907712 */     GIR_EraseRootFromParent_Done,
     /* 1907713 */   // Label 25680: @1907713
     /* 1907713 */   GIM_Try, /*On fail goto*//*Label 25681*/ GIMT_Encode4(1907799), // Rule ID 19372 //
     /* 1907718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1907721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1907729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1907732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1907735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907764 */     // MIs[0] policy
     /* 1907764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907774 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1907777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907798 */     // GIR_Coverage, 19372,
     /* 1907798 */     GIR_EraseRootFromParent_Done,
     /* 1907799 */   // Label 25681: @1907799
     /* 1907799 */   GIM_Try, /*On fail goto*//*Label 25682*/ GIMT_Encode4(1907885), // Rule ID 19373 //
     /* 1907804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1907807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1907815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1907818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1907821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1907824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1907827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1907830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1907834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1907842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1907846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907850 */     // MIs[0] policy
     /* 1907850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907860 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11210:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1907860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M1_E64_MASK),
     /* 1907863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1907881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907884 */     // GIR_Coverage, 19373,
     /* 1907884 */     GIR_EraseRootFromParent_Done,
     /* 1907885 */   // Label 25682: @1907885
     /* 1907885 */   GIM_Try, /*On fail goto*//*Label 25683*/ GIMT_Encode4(1907971), // Rule ID 19376 //
     /* 1907890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1907893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1907901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1907904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1907907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1907916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1907920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1907928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1907932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1907936 */     // MIs[0] policy
     /* 1907936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1907939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1907946 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1907946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1907949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1907951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1907953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1907955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1907957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1907959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1907964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1907967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1907969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1907970 */     // GIR_Coverage, 19376,
     /* 1907970 */     GIR_EraseRootFromParent_Done,
     /* 1907971 */   // Label 25683: @1907971
     /* 1907971 */   GIM_Try, /*On fail goto*//*Label 25684*/ GIMT_Encode4(1908057), // Rule ID 19377 //
     /* 1907976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1907979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1907984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1907987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1907990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1907993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1907996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1907999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908022 */     // MIs[0] policy
     /* 1908022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908032 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M2_E16_MASK),
     /* 1908035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908056 */     // GIR_Coverage, 19377,
     /* 1908056 */     GIR_EraseRootFromParent_Done,
     /* 1908057 */   // Label 25684: @1908057
     /* 1908057 */   GIM_Try, /*On fail goto*//*Label 25685*/ GIMT_Encode4(1908143), // Rule ID 19380 //
     /* 1908062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1908073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1908076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1908079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908108 */     // MIs[0] policy
     /* 1908108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908118 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1908121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908142 */     // GIR_Coverage, 19380,
     /* 1908142 */     GIR_EraseRootFromParent_Done,
     /* 1908143 */   // Label 25685: @1908143
     /* 1908143 */   GIM_Try, /*On fail goto*//*Label 25686*/ GIMT_Encode4(1908229), // Rule ID 19381 //
     /* 1908148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1908159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1908162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1908165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908194 */     // MIs[0] policy
     /* 1908194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908204 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M4_E16_MASK),
     /* 1908207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908228 */     // GIR_Coverage, 19381,
     /* 1908228 */     GIR_EraseRootFromParent_Done,
     /* 1908229 */   // Label 25686: @1908229
     /* 1908229 */   GIM_Try, /*On fail goto*//*Label 25687*/ GIMT_Encode4(1908315), // Rule ID 19384 //
     /* 1908234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1908237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1908245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1908248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1908251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1908257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908280 */     // MIs[0] policy
     /* 1908280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908290 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1908293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908314 */     // GIR_Coverage, 19384,
     /* 1908314 */     GIR_EraseRootFromParent_Done,
     /* 1908315 */   // Label 25687: @1908315
     /* 1908315 */   GIM_Try, /*On fail goto*//*Label 25688*/ GIMT_Encode4(1908401), // Rule ID 19385 //
     /* 1908320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1908323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1908331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1908334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1908337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1908340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1908343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1908362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908366 */     // MIs[0] policy
     /* 1908366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908376 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR16_M8_E16_MASK),
     /* 1908379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1908397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908400 */     // GIR_Coverage, 19385,
     /* 1908400 */     GIR_EraseRootFromParent_Done,
     /* 1908401 */   // Label 25688: @1908401
     /* 1908401 */   GIM_Try, /*On fail goto*//*Label 25689*/ GIMT_Encode4(1908487), // Rule ID 19388 //
     /* 1908406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1908417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1908420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1908423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908452 */     // MIs[0] policy
     /* 1908452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908462 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1908465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908486 */     // GIR_Coverage, 19388,
     /* 1908486 */     GIR_EraseRootFromParent_Done,
     /* 1908487 */   // Label 25689: @1908487
     /* 1908487 */   GIM_Try, /*On fail goto*//*Label 25690*/ GIMT_Encode4(1908573), // Rule ID 19389 //
     /* 1908492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1908503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1908506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1908509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1908515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908538 */     // MIs[0] policy
     /* 1908538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908548 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M2_E32_MASK),
     /* 1908551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908572 */     // GIR_Coverage, 19389,
     /* 1908572 */     GIR_EraseRootFromParent_Done,
     /* 1908573 */   // Label 25690: @1908573
     /* 1908573 */   GIM_Try, /*On fail goto*//*Label 25691*/ GIMT_Encode4(1908659), // Rule ID 19392 //
     /* 1908578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1908589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1908592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1908595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908624 */     // MIs[0] policy
     /* 1908624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908634 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1908637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908658 */     // GIR_Coverage, 19392,
     /* 1908658 */     GIR_EraseRootFromParent_Done,
     /* 1908659 */   // Label 25691: @1908659
     /* 1908659 */   GIM_Try, /*On fail goto*//*Label 25692*/ GIMT_Encode4(1908745), // Rule ID 19393 //
     /* 1908664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1908675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1908678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1908681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1908687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1908694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1908702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908710 */     // MIs[0] policy
     /* 1908710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908720 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M4_E32_MASK),
     /* 1908723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908744 */     // GIR_Coverage, 19393,
     /* 1908744 */     GIR_EraseRootFromParent_Done,
     /* 1908745 */   // Label 25692: @1908745
     /* 1908745 */   GIM_Try, /*On fail goto*//*Label 25693*/ GIMT_Encode4(1908831), // Rule ID 19396 //
     /* 1908750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1908753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1908761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1908764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1908767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908796 */     // MIs[0] policy
     /* 1908796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908806 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1908809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908830 */     // GIR_Coverage, 19396,
     /* 1908830 */     GIR_EraseRootFromParent_Done,
     /* 1908831 */   // Label 25693: @1908831
     /* 1908831 */   GIM_Try, /*On fail goto*//*Label 25694*/ GIMT_Encode4(1908917), // Rule ID 19397 //
     /* 1908836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1908839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1908847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1908850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1908853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1908856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1908859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1908862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1908866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1908874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1908878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908882 */     // MIs[0] policy
     /* 1908882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908892 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1908892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR32_M8_E32_MASK),
     /* 1908895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1908913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1908915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1908916 */     // GIR_Coverage, 19397,
     /* 1908916 */     GIR_EraseRootFromParent_Done,
     /* 1908917 */   // Label 25694: @1908917
     /* 1908917 */   GIM_Try, /*On fail goto*//*Label 25695*/ GIMT_Encode4(1909003), // Rule ID 19400 //
     /* 1908922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1908925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1908930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1908933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1908936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1908939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1908942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1908945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1908948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1908952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1908960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1908964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1908968 */     // MIs[0] policy
     /* 1908968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1908971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1908978 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1908978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1908981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1908983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1908985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1908987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1908989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1908991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1908996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1908999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909002 */     // GIR_Coverage, 19400,
     /* 1909002 */     GIR_EraseRootFromParent_Done,
     /* 1909003 */   // Label 25695: @1909003
     /* 1909003 */   GIM_Try, /*On fail goto*//*Label 25696*/ GIMT_Encode4(1909089), // Rule ID 19401 //
     /* 1909008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1909016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1909019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1909022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1909025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1909038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1909046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909054 */     // MIs[0] policy
     /* 1909054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909064 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11210:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M2_E64_MASK),
     /* 1909067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909088 */     // GIR_Coverage, 19401,
     /* 1909088 */     GIR_EraseRootFromParent_Done,
     /* 1909089 */   // Label 25696: @1909089
     /* 1909089 */   GIM_Try, /*On fail goto*//*Label 25697*/ GIMT_Encode4(1909175), // Rule ID 19404 //
     /* 1909094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1909102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1909105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1909108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1909111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909140 */     // MIs[0] policy
     /* 1909140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909150 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1909153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909174 */     // GIR_Coverage, 19404,
     /* 1909174 */     GIR_EraseRootFromParent_Done,
     /* 1909175 */   // Label 25697: @1909175
     /* 1909175 */   GIM_Try, /*On fail goto*//*Label 25698*/ GIMT_Encode4(1909261), // Rule ID 19405 //
     /* 1909180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1909188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1909191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1909194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1909197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1909210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1909218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909226 */     // MIs[0] policy
     /* 1909226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909236 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11210:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M4_E64_MASK),
     /* 1909239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909260 */     // GIR_Coverage, 19405,
     /* 1909260 */     GIR_EraseRootFromParent_Done,
     /* 1909261 */   // Label 25698: @1909261
     /* 1909261 */   GIM_Try, /*On fail goto*//*Label 25699*/ GIMT_Encode4(1909347), // Rule ID 19408 //
     /* 1909266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1909269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1909274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1909277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1909280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1909283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909312 */     // MIs[0] policy
     /* 1909312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909322 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1909325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909346 */     // GIR_Coverage, 19408,
     /* 1909346 */     GIR_EraseRootFromParent_Done,
     /* 1909347 */   // Label 25699: @1909347
     /* 1909347 */   GIM_Try, /*On fail goto*//*Label 25700*/ GIMT_Encode4(1909433), // Rule ID 19409 //
     /* 1909352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1909355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmax_mask),
     /* 1909360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1909363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1909366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1909369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1909372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1909375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1909382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1909390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1909394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909398 */     // MIs[0] policy
     /* 1909398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909408 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11210:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMAX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VFPR64_M8_E64_MASK),
     /* 1909411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1909429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909432 */     // GIR_Coverage, 19409,
     /* 1909432 */     GIR_EraseRootFromParent_Done,
     /* 1909433 */   // Label 25700: @1909433
     /* 1909433 */   GIM_Try, /*On fail goto*//*Label 25701*/ GIMT_Encode4(1909519), // Rule ID 19412 //
     /* 1909438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1909449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1909452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1909455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1909458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909484 */     // MIs[0] policy
     /* 1909484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909494 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1909497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909518 */     // GIR_Coverage, 19412,
     /* 1909518 */     GIR_EraseRootFromParent_Done,
     /* 1909519 */   // Label 25701: @1909519
     /* 1909519 */   GIM_Try, /*On fail goto*//*Label 25702*/ GIMT_Encode4(1909605), // Rule ID 19413 //
     /* 1909524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1909535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1909538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1909541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1909544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909570 */     // MIs[0] policy
     /* 1909570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909580 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16_MASK),
     /* 1909583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909604 */     // GIR_Coverage, 19413,
     /* 1909604 */     GIR_EraseRootFromParent_Done,
     /* 1909605 */   // Label 25702: @1909605
     /* 1909605 */   GIM_Try, /*On fail goto*//*Label 25703*/ GIMT_Encode4(1909691), // Rule ID 19416 //
     /* 1909610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1909630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909656 */     // MIs[0] policy
     /* 1909656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909666 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1909669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909690 */     // GIR_Coverage, 19416,
     /* 1909690 */     GIR_EraseRootFromParent_Done,
     /* 1909691 */   // Label 25703: @1909691
     /* 1909691 */   GIM_Try, /*On fail goto*//*Label 25704*/ GIMT_Encode4(1909777), // Rule ID 19417 //
     /* 1909696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1909699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1909707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1909710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1909713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1909716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1909719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909742 */     // MIs[0] policy
     /* 1909742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909752 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16_MASK),
     /* 1909755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1909773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909776 */     // GIR_Coverage, 19417,
     /* 1909776 */     GIR_EraseRootFromParent_Done,
     /* 1909777 */   // Label 25704: @1909777
     /* 1909777 */   GIM_Try, /*On fail goto*//*Label 25705*/ GIMT_Encode4(1909863), // Rule ID 19420 //
     /* 1909782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1909785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1909793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1909796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1909799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1909802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909828 */     // MIs[0] policy
     /* 1909828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909838 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1909838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1909841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909862 */     // GIR_Coverage, 19420,
     /* 1909862 */     GIR_EraseRootFromParent_Done,
     /* 1909863 */   // Label 25705: @1909863
     /* 1909863 */   GIM_Try, /*On fail goto*//*Label 25706*/ GIMT_Encode4(1909949), // Rule ID 19421 //
     /* 1909868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1909871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1909879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1909882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1909885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1909888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1909891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1909894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1909914 */     // MIs[0] policy
     /* 1909914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1909917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1909924 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1909924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32_MASK),
     /* 1909927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1909929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1909931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1909933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1909935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1909937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1909942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1909945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1909947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1909948 */     // GIR_Coverage, 19421,
     /* 1909948 */     GIR_EraseRootFromParent_Done,
     /* 1909949 */   // Label 25706: @1909949
     /* 1909949 */   GIM_Try, /*On fail goto*//*Label 25707*/ GIMT_Encode4(1910035), // Rule ID 19424 //
     /* 1909954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1909957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1909962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1909965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1909968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1909971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1909974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1909977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1909980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1909984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1909996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910000 */     // MIs[0] policy
     /* 1910000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910010 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1910013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910034 */     // GIR_Coverage, 19424,
     /* 1910034 */     GIR_EraseRootFromParent_Done,
     /* 1910035 */   // Label 25707: @1910035
     /* 1910035 */   GIM_Try, /*On fail goto*//*Label 25708*/ GIMT_Encode4(1910121), // Rule ID 19425 //
     /* 1910040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1910051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1910054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1910057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1910060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1910063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910086 */     // MIs[0] policy
     /* 1910086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910096 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16_MASK),
     /* 1910099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910120 */     // GIR_Coverage, 19425,
     /* 1910120 */     GIR_EraseRootFromParent_Done,
     /* 1910121 */   // Label 25708: @1910121
     /* 1910121 */   GIM_Try, /*On fail goto*//*Label 25709*/ GIMT_Encode4(1910207), // Rule ID 19428 //
     /* 1910126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1910137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1910140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1910143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1910146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910172 */     // MIs[0] policy
     /* 1910172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910182 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1910185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910206 */     // GIR_Coverage, 19428,
     /* 1910206 */     GIR_EraseRootFromParent_Done,
     /* 1910207 */   // Label 25709: @1910207
     /* 1910207 */   GIM_Try, /*On fail goto*//*Label 25710*/ GIMT_Encode4(1910293), // Rule ID 19429 //
     /* 1910212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1910215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1910223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1910226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1910229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1910232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1910235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910258 */     // MIs[0] policy
     /* 1910258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910268 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32_MASK),
     /* 1910271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1910289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910292 */     // GIR_Coverage, 19429,
     /* 1910292 */     GIR_EraseRootFromParent_Done,
     /* 1910293 */   // Label 25710: @1910293
     /* 1910293 */   GIM_Try, /*On fail goto*//*Label 25711*/ GIMT_Encode4(1910379), // Rule ID 19432 //
     /* 1910298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1910301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1910309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1910312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1910315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1910318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910344 */     // MIs[0] policy
     /* 1910344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910354 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1910357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910378 */     // GIR_Coverage, 19432,
     /* 1910378 */     GIR_EraseRootFromParent_Done,
     /* 1910379 */   // Label 25711: @1910379
     /* 1910379 */   GIM_Try, /*On fail goto*//*Label 25712*/ GIMT_Encode4(1910465), // Rule ID 19433 //
     /* 1910384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1910387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1910395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1910398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1910401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1910404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1910407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1910414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1910426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910430 */     // MIs[0] policy
     /* 1910430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910440 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64_MASK),
     /* 1910443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1910461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910464 */     // GIR_Coverage, 19433,
     /* 1910464 */     GIR_EraseRootFromParent_Done,
     /* 1910465 */   // Label 25712: @1910465
     /* 1910465 */   GIM_Try, /*On fail goto*//*Label 25713*/ GIMT_Encode4(1910551), // Rule ID 19436 //
     /* 1910470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1910481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1910484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1910487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1910490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910516 */     // MIs[0] policy
     /* 1910516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910526 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1910529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910550 */     // GIR_Coverage, 19436,
     /* 1910550 */     GIR_EraseRootFromParent_Done,
     /* 1910551 */   // Label 25713: @1910551
     /* 1910551 */   GIM_Try, /*On fail goto*//*Label 25714*/ GIMT_Encode4(1910637), // Rule ID 19437 //
     /* 1910556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1910567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1910570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1910573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1910576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1910579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1910586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1910598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910602 */     // MIs[0] policy
     /* 1910602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910612 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16_MASK),
     /* 1910615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910636 */     // GIR_Coverage, 19437,
     /* 1910636 */     GIR_EraseRootFromParent_Done,
     /* 1910637 */   // Label 25714: @1910637
     /* 1910637 */   GIM_Try, /*On fail goto*//*Label 25715*/ GIMT_Encode4(1910723), // Rule ID 19440 //
     /* 1910642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1910653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1910656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1910659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1910662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910688 */     // MIs[0] policy
     /* 1910688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910698 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1910701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910722 */     // GIR_Coverage, 19440,
     /* 1910722 */     GIR_EraseRootFromParent_Done,
     /* 1910723 */   // Label 25715: @1910723
     /* 1910723 */   GIM_Try, /*On fail goto*//*Label 25716*/ GIMT_Encode4(1910809), // Rule ID 19441 //
     /* 1910728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1910739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1910742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1910745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1910748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1910751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1910758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1910770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910774 */     // MIs[0] policy
     /* 1910774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910784 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16_MASK),
     /* 1910787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910808 */     // GIR_Coverage, 19441,
     /* 1910808 */     GIR_EraseRootFromParent_Done,
     /* 1910809 */   // Label 25716: @1910809
     /* 1910809 */   GIM_Try, /*On fail goto*//*Label 25717*/ GIMT_Encode4(1910895), // Rule ID 19444 //
     /* 1910814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1910817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1910825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1910828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1910831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1910834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1910840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910860 */     // MIs[0] policy
     /* 1910860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910870 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1910870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1910873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910894 */     // GIR_Coverage, 19444,
     /* 1910894 */     GIR_EraseRootFromParent_Done,
     /* 1910895 */   // Label 25717: @1910895
     /* 1910895 */   GIM_Try, /*On fail goto*//*Label 25718*/ GIMT_Encode4(1910981), // Rule ID 19445 //
     /* 1910900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1910903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1910911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1910914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1910917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1910920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1910923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1910926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1910930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1910942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1910946 */     // MIs[0] policy
     /* 1910946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1910949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1910956 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1910956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16_MASK),
     /* 1910959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1910961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1910963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1910965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1910967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1910969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1910974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1910977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1910979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1910980 */     // GIR_Coverage, 19445,
     /* 1910980 */     GIR_EraseRootFromParent_Done,
     /* 1910981 */   // Label 25718: @1910981
     /* 1910981 */   GIM_Try, /*On fail goto*//*Label 25719*/ GIMT_Encode4(1911067), // Rule ID 19448 //
     /* 1910986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1910989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1910994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1910997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1911006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911032 */     // MIs[0] policy
     /* 1911032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911042 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1911045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911066 */     // GIR_Coverage, 19448,
     /* 1911066 */     GIR_EraseRootFromParent_Done,
     /* 1911067 */   // Label 25719: @1911067
     /* 1911067 */   GIM_Try, /*On fail goto*//*Label 25720*/ GIMT_Encode4(1911153), // Rule ID 19449 //
     /* 1911072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1911083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1911086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1911089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1911092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911118 */     // MIs[0] policy
     /* 1911118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911128 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32_MASK),
     /* 1911131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911152 */     // GIR_Coverage, 19449,
     /* 1911152 */     GIR_EraseRootFromParent_Done,
     /* 1911153 */   // Label 25720: @1911153
     /* 1911153 */   GIM_Try, /*On fail goto*//*Label 25721*/ GIMT_Encode4(1911239), // Rule ID 19452 //
     /* 1911158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1911169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1911172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1911175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1911178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911204 */     // MIs[0] policy
     /* 1911204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911214 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1911217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911238 */     // GIR_Coverage, 19452,
     /* 1911238 */     GIR_EraseRootFromParent_Done,
     /* 1911239 */   // Label 25721: @1911239
     /* 1911239 */   GIM_Try, /*On fail goto*//*Label 25722*/ GIMT_Encode4(1911325), // Rule ID 19453 //
     /* 1911244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1911255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1911258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1911261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1911264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911290 */     // MIs[0] policy
     /* 1911290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911300 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32_MASK),
     /* 1911303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911324 */     // GIR_Coverage, 19453,
     /* 1911324 */     GIR_EraseRootFromParent_Done,
     /* 1911325 */   // Label 25722: @1911325
     /* 1911325 */   GIM_Try, /*On fail goto*//*Label 25723*/ GIMT_Encode4(1911411), // Rule ID 19456 //
     /* 1911330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1911333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1911341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1911344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1911347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1911350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911376 */     // MIs[0] policy
     /* 1911376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911386 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1911389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911410 */     // GIR_Coverage, 19456,
     /* 1911410 */     GIR_EraseRootFromParent_Done,
     /* 1911411 */   // Label 25723: @1911411
     /* 1911411 */   GIM_Try, /*On fail goto*//*Label 25724*/ GIMT_Encode4(1911497), // Rule ID 19457 //
     /* 1911416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1911419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1911427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1911430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1911433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1911436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1911439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911462 */     // MIs[0] policy
     /* 1911462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911472 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32_MASK),
     /* 1911475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1911493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911496 */     // GIR_Coverage, 19457,
     /* 1911496 */     GIR_EraseRootFromParent_Done,
     /* 1911497 */   // Label 25724: @1911497
     /* 1911497 */   GIM_Try, /*On fail goto*//*Label 25725*/ GIMT_Encode4(1911583), // Rule ID 19460 //
     /* 1911502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1911513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1911516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1911519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1911522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911548 */     // MIs[0] policy
     /* 1911548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911558 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1911561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911582 */     // GIR_Coverage, 19460,
     /* 1911582 */     GIR_EraseRootFromParent_Done,
     /* 1911583 */   // Label 25725: @1911583
     /* 1911583 */   GIM_Try, /*On fail goto*//*Label 25726*/ GIMT_Encode4(1911669), // Rule ID 19461 //
     /* 1911588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1911599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1911602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1911605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1911608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1911611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1911618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1911630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911634 */     // MIs[0] policy
     /* 1911634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911644 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64_MASK),
     /* 1911647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911668 */     // GIR_Coverage, 19461,
     /* 1911668 */     GIR_EraseRootFromParent_Done,
     /* 1911669 */   // Label 25726: @1911669
     /* 1911669 */   GIM_Try, /*On fail goto*//*Label 25727*/ GIMT_Encode4(1911755), // Rule ID 19464 //
     /* 1911674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1911685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1911688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1911691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1911694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911720 */     // MIs[0] policy
     /* 1911720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911730 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1911733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911754 */     // GIR_Coverage, 19464,
     /* 1911754 */     GIR_EraseRootFromParent_Done,
     /* 1911755 */   // Label 25727: @1911755
     /* 1911755 */   GIM_Try, /*On fail goto*//*Label 25728*/ GIMT_Encode4(1911841), // Rule ID 19465 //
     /* 1911760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1911771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1911774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1911777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1911780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1911783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1911790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1911802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911806 */     // MIs[0] policy
     /* 1911806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64_MASK),
     /* 1911819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911840 */     // GIR_Coverage, 19465,
     /* 1911840 */     GIR_EraseRootFromParent_Done,
     /* 1911841 */   // Label 25728: @1911841
     /* 1911841 */   GIM_Try, /*On fail goto*//*Label 25729*/ GIMT_Encode4(1911927), // Rule ID 19468 //
     /* 1911846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1911849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1911857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1911860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1911863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1911866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1911872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911892 */     // MIs[0] policy
     /* 1911892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911902 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1911902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1911905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1911915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1911920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1911923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1911925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1911926 */     // GIR_Coverage, 19468,
     /* 1911926 */     GIR_EraseRootFromParent_Done,
     /* 1911927 */   // Label 25729: @1911927
     /* 1911927 */   GIM_Try, /*On fail goto*//*Label 25730*/ GIMT_Encode4(1912013), // Rule ID 19469 //
     /* 1911932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1911935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1911940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1911943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1911946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1911949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1911952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1911955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1911958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1911962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1911974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1911978 */     // MIs[0] policy
     /* 1911978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1911981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1911988 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1911988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64_MASK),
     /* 1911991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1911993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1911995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1911997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1911999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912012 */     // GIR_Coverage, 19469,
     /* 1912012 */     GIR_EraseRootFromParent_Done,
     /* 1912013 */   // Label 25730: @1912013
     /* 1912013 */   GIM_Try, /*On fail goto*//*Label 25731*/ GIMT_Encode4(1912099), // Rule ID 19472 //
     /* 1912018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1912029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1912032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1912035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912064 */     // MIs[0] policy
     /* 1912064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912074 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1912077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912098 */     // GIR_Coverage, 19472,
     /* 1912098 */     GIR_EraseRootFromParent_Done,
     /* 1912099 */   // Label 25731: @1912099
     /* 1912099 */   GIM_Try, /*On fail goto*//*Label 25732*/ GIMT_Encode4(1912185), // Rule ID 19473 //
     /* 1912104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1912115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1912118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1912121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912150 */     // MIs[0] policy
     /* 1912150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912160 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF4_E16_MASK),
     /* 1912163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912184 */     // GIR_Coverage, 19473,
     /* 1912184 */     GIR_EraseRootFromParent_Done,
     /* 1912185 */   // Label 25732: @1912185
     /* 1912185 */   GIM_Try, /*On fail goto*//*Label 25733*/ GIMT_Encode4(1912271), // Rule ID 19476 //
     /* 1912190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1912201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1912204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1912207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912236 */     // MIs[0] policy
     /* 1912236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912246 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1912249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912270 */     // GIR_Coverage, 19476,
     /* 1912270 */     GIR_EraseRootFromParent_Done,
     /* 1912271 */   // Label 25733: @1912271
     /* 1912271 */   GIM_Try, /*On fail goto*//*Label 25734*/ GIMT_Encode4(1912357), // Rule ID 19477 //
     /* 1912276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1912287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1912290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1912293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912322 */     // MIs[0] policy
     /* 1912322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912332 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_MF2_E16_MASK),
     /* 1912335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912356 */     // GIR_Coverage, 19477,
     /* 1912356 */     GIR_EraseRootFromParent_Done,
     /* 1912357 */   // Label 25734: @1912357
     /* 1912357 */   GIM_Try, /*On fail goto*//*Label 25735*/ GIMT_Encode4(1912443), // Rule ID 19480 //
     /* 1912362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1912373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1912376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1912379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912408 */     // MIs[0] policy
     /* 1912408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912418 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1912421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912442 */     // GIR_Coverage, 19480,
     /* 1912442 */     GIR_EraseRootFromParent_Done,
     /* 1912443 */   // Label 25735: @1912443
     /* 1912443 */   GIM_Try, /*On fail goto*//*Label 25736*/ GIMT_Encode4(1912529), // Rule ID 19481 //
     /* 1912448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1912459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1912462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1912465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912494 */     // MIs[0] policy
     /* 1912494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912504 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_MF2_E32_MASK),
     /* 1912507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912528 */     // GIR_Coverage, 19481,
     /* 1912528 */     GIR_EraseRootFromParent_Done,
     /* 1912529 */   // Label 25736: @1912529
     /* 1912529 */   GIM_Try, /*On fail goto*//*Label 25737*/ GIMT_Encode4(1912615), // Rule ID 19484 //
     /* 1912534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1912537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1912545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1912548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1912551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912580 */     // MIs[0] policy
     /* 1912580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912590 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1912593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912614 */     // GIR_Coverage, 19484,
     /* 1912614 */     GIR_EraseRootFromParent_Done,
     /* 1912615 */   // Label 25737: @1912615
     /* 1912615 */   GIM_Try, /*On fail goto*//*Label 25738*/ GIMT_Encode4(1912701), // Rule ID 19485 //
     /* 1912620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1912623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1912631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1912634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1912637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1912640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1912643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1912662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912666 */     // MIs[0] policy
     /* 1912666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912676 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11266:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M1_E16_MASK),
     /* 1912679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1912697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912700 */     // GIR_Coverage, 19485,
     /* 1912700 */     GIR_EraseRootFromParent_Done,
     /* 1912701 */   // Label 25738: @1912701
     /* 1912701 */   GIM_Try, /*On fail goto*//*Label 25739*/ GIMT_Encode4(1912787), // Rule ID 19488 //
     /* 1912706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1912709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912752 */     // MIs[0] policy
     /* 1912752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912762 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1912765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912786 */     // GIR_Coverage, 19488,
     /* 1912786 */     GIR_EraseRootFromParent_Done,
     /* 1912787 */   // Label 25739: @1912787
     /* 1912787 */   GIM_Try, /*On fail goto*//*Label 25740*/ GIMT_Encode4(1912873), // Rule ID 19489 //
     /* 1912792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1912795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1912803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1912806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1912809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1912812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1912815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1912834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912838 */     // MIs[0] policy
     /* 1912838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912848 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11266:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1912848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M1_E32_MASK),
     /* 1912851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1912869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912872 */     // GIR_Coverage, 19489,
     /* 1912872 */     GIR_EraseRootFromParent_Done,
     /* 1912873 */   // Label 25740: @1912873
     /* 1912873 */   GIM_Try, /*On fail goto*//*Label 25741*/ GIMT_Encode4(1912959), // Rule ID 19492 //
     /* 1912878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1912881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1912889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1912892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1912904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1912920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1912924 */     // MIs[0] policy
     /* 1912924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1912927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1912934 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1912934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1912937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1912939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1912941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1912943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1912945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1912947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1912952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1912955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1912957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1912958 */     // GIR_Coverage, 19492,
     /* 1912958 */     GIR_EraseRootFromParent_Done,
     /* 1912959 */   // Label 25741: @1912959
     /* 1912959 */   GIM_Try, /*On fail goto*//*Label 25742*/ GIMT_Encode4(1913045), // Rule ID 19493 //
     /* 1912964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1912967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1912972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1912975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1912978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1912981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1912984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1912987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1912990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1912994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1912998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1913002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1913006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913010 */     // MIs[0] policy
     /* 1913010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913020 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11266:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M1_E64_MASK),
     /* 1913023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1913041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913044 */     // GIR_Coverage, 19493,
     /* 1913044 */     GIR_EraseRootFromParent_Done,
     /* 1913045 */   // Label 25742: @1913045
     /* 1913045 */   GIM_Try, /*On fail goto*//*Label 25743*/ GIMT_Encode4(1913131), // Rule ID 19496 //
     /* 1913050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1913061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1913064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1913067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913096 */     // MIs[0] policy
     /* 1913096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913106 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1913109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913130 */     // GIR_Coverage, 19496,
     /* 1913130 */     GIR_EraseRootFromParent_Done,
     /* 1913131 */   // Label 25743: @1913131
     /* 1913131 */   GIM_Try, /*On fail goto*//*Label 25744*/ GIMT_Encode4(1913217), // Rule ID 19497 //
     /* 1913136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1913147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1913150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1913153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913182 */     // MIs[0] policy
     /* 1913182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913192 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M2_E16_MASK),
     /* 1913195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913216 */     // GIR_Coverage, 19497,
     /* 1913216 */     GIR_EraseRootFromParent_Done,
     /* 1913217 */   // Label 25744: @1913217
     /* 1913217 */   GIM_Try, /*On fail goto*//*Label 25745*/ GIMT_Encode4(1913303), // Rule ID 19500 //
     /* 1913222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1913233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1913236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1913239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913268 */     // MIs[0] policy
     /* 1913268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913278 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1913281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913302 */     // GIR_Coverage, 19500,
     /* 1913302 */     GIR_EraseRootFromParent_Done,
     /* 1913303 */   // Label 25745: @1913303
     /* 1913303 */   GIM_Try, /*On fail goto*//*Label 25746*/ GIMT_Encode4(1913389), // Rule ID 19501 //
     /* 1913308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1913319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1913322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1913325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913354 */     // MIs[0] policy
     /* 1913354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913364 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M4_E16_MASK),
     /* 1913367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913388 */     // GIR_Coverage, 19501,
     /* 1913388 */     GIR_EraseRootFromParent_Done,
     /* 1913389 */   // Label 25746: @1913389
     /* 1913389 */   GIM_Try, /*On fail goto*//*Label 25747*/ GIMT_Encode4(1913475), // Rule ID 19504 //
     /* 1913394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1913397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1913405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1913408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1913411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1913417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913440 */     // MIs[0] policy
     /* 1913440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913450 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1913453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913474 */     // GIR_Coverage, 19504,
     /* 1913474 */     GIR_EraseRootFromParent_Done,
     /* 1913475 */   // Label 25747: @1913475
     /* 1913475 */   GIM_Try, /*On fail goto*//*Label 25748*/ GIMT_Encode4(1913561), // Rule ID 19505 //
     /* 1913480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1913483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1913491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1913494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1913497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1913500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1913503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1913522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913526 */     // MIs[0] policy
     /* 1913526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913536 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR16_M8_E16_MASK),
     /* 1913539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1913557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913560 */     // GIR_Coverage, 19505,
     /* 1913560 */     GIR_EraseRootFromParent_Done,
     /* 1913561 */   // Label 25748: @1913561
     /* 1913561 */   GIM_Try, /*On fail goto*//*Label 25749*/ GIMT_Encode4(1913647), // Rule ID 19508 //
     /* 1913566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1913577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1913580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1913583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913612 */     // MIs[0] policy
     /* 1913612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913622 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1913625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913646 */     // GIR_Coverage, 19508,
     /* 1913646 */     GIR_EraseRootFromParent_Done,
     /* 1913647 */   // Label 25749: @1913647
     /* 1913647 */   GIM_Try, /*On fail goto*//*Label 25750*/ GIMT_Encode4(1913733), // Rule ID 19509 //
     /* 1913652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1913663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1913666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1913669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1913675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1913682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1913690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913698 */     // MIs[0] policy
     /* 1913698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913708 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M2_E32_MASK),
     /* 1913711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913732 */     // GIR_Coverage, 19509,
     /* 1913732 */     GIR_EraseRootFromParent_Done,
     /* 1913733 */   // Label 25750: @1913733
     /* 1913733 */   GIM_Try, /*On fail goto*//*Label 25751*/ GIMT_Encode4(1913819), // Rule ID 19512 //
     /* 1913738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1913749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1913752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1913755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913784 */     // MIs[0] policy
     /* 1913784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913794 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1913797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913818 */     // GIR_Coverage, 19512,
     /* 1913818 */     GIR_EraseRootFromParent_Done,
     /* 1913819 */   // Label 25751: @1913819
     /* 1913819 */   GIM_Try, /*On fail goto*//*Label 25752*/ GIMT_Encode4(1913905), // Rule ID 19513 //
     /* 1913824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1913835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1913838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1913841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1913847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1913850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1913854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1913862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913870 */     // MIs[0] policy
     /* 1913870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913880 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1913880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M4_E32_MASK),
     /* 1913883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913904 */     // GIR_Coverage, 19513,
     /* 1913904 */     GIR_EraseRootFromParent_Done,
     /* 1913905 */   // Label 25752: @1913905
     /* 1913905 */   GIM_Try, /*On fail goto*//*Label 25753*/ GIMT_Encode4(1913991), // Rule ID 19516 //
     /* 1913910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1913913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1913918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1913921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1913924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1913927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1913930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1913933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1913936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1913940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1913948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1913952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1913956 */     // MIs[0] policy
     /* 1913956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1913959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1913966 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1913966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1913969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1913971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1913973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1913975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1913977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1913979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1913984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1913987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1913989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1913990 */     // GIR_Coverage, 19516,
     /* 1913990 */     GIR_EraseRootFromParent_Done,
     /* 1913991 */   // Label 25753: @1913991
     /* 1913991 */   GIM_Try, /*On fail goto*//*Label 25754*/ GIMT_Encode4(1914077), // Rule ID 19517 //
     /* 1913996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1913999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1914004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1914007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1914010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1914013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1914016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1914019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1914038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914042 */     // MIs[0] policy
     /* 1914042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914052 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR32_M8_E32_MASK),
     /* 1914055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1914073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914076 */     // GIR_Coverage, 19517,
     /* 1914076 */     GIR_EraseRootFromParent_Done,
     /* 1914077 */   // Label 25754: @1914077
     /* 1914077 */   GIM_Try, /*On fail goto*//*Label 25755*/ GIMT_Encode4(1914163), // Rule ID 19520 //
     /* 1914082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1914085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1914090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1914093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1914096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1914099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914128 */     // MIs[0] policy
     /* 1914128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914138 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1914141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914162 */     // GIR_Coverage, 19520,
     /* 1914162 */     GIR_EraseRootFromParent_Done,
     /* 1914163 */   // Label 25755: @1914163
     /* 1914163 */   GIM_Try, /*On fail goto*//*Label 25756*/ GIMT_Encode4(1914249), // Rule ID 19521 //
     /* 1914168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1914171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1914176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1914179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1914182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1914185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1914198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1914206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914214 */     // MIs[0] policy
     /* 1914214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914224 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11266:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M2_E64_MASK),
     /* 1914227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914248 */     // GIR_Coverage, 19521,
     /* 1914248 */     GIR_EraseRootFromParent_Done,
     /* 1914249 */   // Label 25756: @1914249
     /* 1914249 */   GIM_Try, /*On fail goto*//*Label 25757*/ GIMT_Encode4(1914335), // Rule ID 19524 //
     /* 1914254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1914257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1914262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1914265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1914268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1914271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914300 */     // MIs[0] policy
     /* 1914300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914310 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1914313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914334 */     // GIR_Coverage, 19524,
     /* 1914334 */     GIR_EraseRootFromParent_Done,
     /* 1914335 */   // Label 25757: @1914335
     /* 1914335 */   GIM_Try, /*On fail goto*//*Label 25758*/ GIMT_Encode4(1914421), // Rule ID 19525 //
     /* 1914340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1914343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1914348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1914351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1914354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1914357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1914363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1914370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1914378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914386 */     // MIs[0] policy
     /* 1914386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914396 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11266:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M4_E64_MASK),
     /* 1914399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914420 */     // GIR_Coverage, 19525,
     /* 1914420 */     GIR_EraseRootFromParent_Done,
     /* 1914421 */   // Label 25758: @1914421
     /* 1914421 */   GIM_Try, /*On fail goto*//*Label 25759*/ GIMT_Encode4(1914507), // Rule ID 19528 //
     /* 1914426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1914429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1914434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1914437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1914440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1914443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914472 */     // MIs[0] policy
     /* 1914472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914482 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1914485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914506 */     // GIR_Coverage, 19528,
     /* 1914506 */     GIR_EraseRootFromParent_Done,
     /* 1914507 */   // Label 25759: @1914507
     /* 1914507 */   GIM_Try, /*On fail goto*//*Label 25760*/ GIMT_Encode4(1914593), // Rule ID 19529 //
     /* 1914512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1914515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnj_mask),
     /* 1914520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1914523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1914526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1914529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1914532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1914535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1914542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1914550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1914554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914558 */     // MIs[0] policy
     /* 1914558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914568 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11266:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJ_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VFPR64_M8_E64_MASK),
     /* 1914571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1914589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914592 */     // GIR_Coverage, 19529,
     /* 1914592 */     GIR_EraseRootFromParent_Done,
     /* 1914593 */   // Label 25760: @1914593
     /* 1914593 */   GIM_Try, /*On fail goto*//*Label 25761*/ GIMT_Encode4(1914679), // Rule ID 19532 //
     /* 1914598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1914601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1914618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914644 */     // MIs[0] policy
     /* 1914644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914654 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1914657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914678 */     // GIR_Coverage, 19532,
     /* 1914678 */     GIR_EraseRootFromParent_Done,
     /* 1914679 */   // Label 25761: @1914679
     /* 1914679 */   GIM_Try, /*On fail goto*//*Label 25762*/ GIMT_Encode4(1914765), // Rule ID 19533 //
     /* 1914684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1914695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1914698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1914701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1914704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914730 */     // MIs[0] policy
     /* 1914730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914740 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16_MASK),
     /* 1914743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914764 */     // GIR_Coverage, 19533,
     /* 1914764 */     GIR_EraseRootFromParent_Done,
     /* 1914765 */   // Label 25762: @1914765
     /* 1914765 */   GIM_Try, /*On fail goto*//*Label 25763*/ GIMT_Encode4(1914851), // Rule ID 19536 //
     /* 1914770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1914773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1914790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914816 */     // MIs[0] policy
     /* 1914816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914826 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1914829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914850 */     // GIR_Coverage, 19536,
     /* 1914850 */     GIR_EraseRootFromParent_Done,
     /* 1914851 */   // Label 25763: @1914851
     /* 1914851 */   GIM_Try, /*On fail goto*//*Label 25764*/ GIMT_Encode4(1914937), // Rule ID 19537 //
     /* 1914856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1914859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1914867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1914870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1914873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1914876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1914879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1914882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914902 */     // MIs[0] policy
     /* 1914902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914912 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1914912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16_MASK),
     /* 1914915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1914917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1914919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1914921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1914923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1914925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1914930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1914933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1914935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1914936 */     // GIR_Coverage, 19537,
     /* 1914936 */     GIR_EraseRootFromParent_Done,
     /* 1914937 */   // Label 25764: @1914937
     /* 1914937 */   GIM_Try, /*On fail goto*//*Label 25765*/ GIMT_Encode4(1915023), // Rule ID 19540 //
     /* 1914942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1914945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1914950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1914953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1914956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1914959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1914962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1914965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1914968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1914972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1914984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1914988 */     // MIs[0] policy
     /* 1914988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1914991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1914998 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1914998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1915001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915022 */     // GIR_Coverage, 19540,
     /* 1915022 */     GIR_EraseRootFromParent_Done,
     /* 1915023 */   // Label 25765: @1915023
     /* 1915023 */   GIM_Try, /*On fail goto*//*Label 25766*/ GIMT_Encode4(1915109), // Rule ID 19541 //
     /* 1915028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1915031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1915039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1915042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1915045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1915048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915074 */     // MIs[0] policy
     /* 1915074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915084 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32_MASK),
     /* 1915087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915108 */     // GIR_Coverage, 19541,
     /* 1915108 */     GIR_EraseRootFromParent_Done,
     /* 1915109 */   // Label 25766: @1915109
     /* 1915109 */   GIM_Try, /*On fail goto*//*Label 25767*/ GIMT_Encode4(1915195), // Rule ID 19544 //
     /* 1915114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1915125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1915128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1915134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915160 */     // MIs[0] policy
     /* 1915160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915170 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1915173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915194 */     // GIR_Coverage, 19544,
     /* 1915194 */     GIR_EraseRootFromParent_Done,
     /* 1915195 */   // Label 25767: @1915195
     /* 1915195 */   GIM_Try, /*On fail goto*//*Label 25768*/ GIMT_Encode4(1915281), // Rule ID 19545 //
     /* 1915200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1915211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1915214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1915217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1915220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1915223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915246 */     // MIs[0] policy
     /* 1915246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915256 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16_MASK),
     /* 1915259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915280 */     // GIR_Coverage, 19545,
     /* 1915280 */     GIR_EraseRootFromParent_Done,
     /* 1915281 */   // Label 25768: @1915281
     /* 1915281 */   GIM_Try, /*On fail goto*//*Label 25769*/ GIMT_Encode4(1915367), // Rule ID 19548 //
     /* 1915286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1915289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1915306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915332 */     // MIs[0] policy
     /* 1915332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915342 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1915345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915366 */     // GIR_Coverage, 19548,
     /* 1915366 */     GIR_EraseRootFromParent_Done,
     /* 1915367 */   // Label 25769: @1915367
     /* 1915367 */   GIM_Try, /*On fail goto*//*Label 25770*/ GIMT_Encode4(1915453), // Rule ID 19549 //
     /* 1915372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1915375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1915383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1915386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1915389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1915392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1915395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915418 */     // MIs[0] policy
     /* 1915418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915428 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32_MASK),
     /* 1915431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1915449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915452 */     // GIR_Coverage, 19549,
     /* 1915452 */     GIR_EraseRootFromParent_Done,
     /* 1915453 */   // Label 25770: @1915453
     /* 1915453 */   GIM_Try, /*On fail goto*//*Label 25771*/ GIMT_Encode4(1915539), // Rule ID 19552 //
     /* 1915458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1915461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1915478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915504 */     // MIs[0] policy
     /* 1915504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915514 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1915517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915538 */     // GIR_Coverage, 19552,
     /* 1915538 */     GIR_EraseRootFromParent_Done,
     /* 1915539 */   // Label 25771: @1915539
     /* 1915539 */   GIM_Try, /*On fail goto*//*Label 25772*/ GIMT_Encode4(1915625), // Rule ID 19553 //
     /* 1915544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1915547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1915555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1915558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1915561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1915564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1915567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1915574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1915586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915590 */     // MIs[0] policy
     /* 1915590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915600 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64_MASK),
     /* 1915603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1915621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915624 */     // GIR_Coverage, 19553,
     /* 1915624 */     GIR_EraseRootFromParent_Done,
     /* 1915625 */   // Label 25772: @1915625
     /* 1915625 */   GIM_Try, /*On fail goto*//*Label 25773*/ GIMT_Encode4(1915711), // Rule ID 19556 //
     /* 1915630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1915641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1915644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1915647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1915650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915676 */     // MIs[0] policy
     /* 1915676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915686 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1915689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915710 */     // GIR_Coverage, 19556,
     /* 1915710 */     GIR_EraseRootFromParent_Done,
     /* 1915711 */   // Label 25773: @1915711
     /* 1915711 */   GIM_Try, /*On fail goto*//*Label 25774*/ GIMT_Encode4(1915797), // Rule ID 19557 //
     /* 1915716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1915727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1915730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1915733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1915736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1915739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1915746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1915758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915762 */     // MIs[0] policy
     /* 1915762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915772 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16_MASK),
     /* 1915775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915796 */     // GIR_Coverage, 19557,
     /* 1915796 */     GIR_EraseRootFromParent_Done,
     /* 1915797 */   // Label 25774: @1915797
     /* 1915797 */   GIM_Try, /*On fail goto*//*Label 25775*/ GIMT_Encode4(1915883), // Rule ID 19560 //
     /* 1915802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1915813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1915816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1915819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1915822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1915828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915848 */     // MIs[0] policy
     /* 1915848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915858 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1915858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1915861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915882 */     // GIR_Coverage, 19560,
     /* 1915882 */     GIR_EraseRootFromParent_Done,
     /* 1915883 */   // Label 25775: @1915883
     /* 1915883 */   GIM_Try, /*On fail goto*//*Label 25776*/ GIMT_Encode4(1915969), // Rule ID 19561 //
     /* 1915888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1915891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1915899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1915902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1915905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1915908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1915911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1915914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1915918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1915930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1915934 */     // MIs[0] policy
     /* 1915934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1915937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1915944 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1915944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16_MASK),
     /* 1915947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1915949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1915951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1915953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1915955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1915957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1915962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1915965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1915967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1915968 */     // GIR_Coverage, 19561,
     /* 1915968 */     GIR_EraseRootFromParent_Done,
     /* 1915969 */   // Label 25776: @1915969
     /* 1915969 */   GIM_Try, /*On fail goto*//*Label 25777*/ GIMT_Encode4(1916055), // Rule ID 19564 //
     /* 1915974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1915977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1915982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1915985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1915988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1915991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1915994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1915997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916020 */     // MIs[0] policy
     /* 1916020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916030 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1916033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916054 */     // GIR_Coverage, 19564,
     /* 1916054 */     GIR_EraseRootFromParent_Done,
     /* 1916055 */   // Label 25777: @1916055
     /* 1916055 */   GIM_Try, /*On fail goto*//*Label 25778*/ GIMT_Encode4(1916141), // Rule ID 19565 //
     /* 1916060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1916063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1916071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1916074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1916077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1916080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1916083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916106 */     // MIs[0] policy
     /* 1916106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916116 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16_MASK),
     /* 1916119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1916137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916140 */     // GIR_Coverage, 19565,
     /* 1916140 */     GIR_EraseRootFromParent_Done,
     /* 1916141 */   // Label 25778: @1916141
     /* 1916141 */   GIM_Try, /*On fail goto*//*Label 25779*/ GIMT_Encode4(1916227), // Rule ID 19568 //
     /* 1916146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1916149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1916166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916192 */     // MIs[0] policy
     /* 1916192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916202 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1916205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916226 */     // GIR_Coverage, 19568,
     /* 1916226 */     GIR_EraseRootFromParent_Done,
     /* 1916227 */   // Label 25779: @1916227
     /* 1916227 */   GIM_Try, /*On fail goto*//*Label 25780*/ GIMT_Encode4(1916313), // Rule ID 19569 //
     /* 1916232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1916243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1916246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1916249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1916252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916278 */     // MIs[0] policy
     /* 1916278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916288 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32_MASK),
     /* 1916291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916312 */     // GIR_Coverage, 19569,
     /* 1916312 */     GIR_EraseRootFromParent_Done,
     /* 1916313 */   // Label 25780: @1916313
     /* 1916313 */   GIM_Try, /*On fail goto*//*Label 25781*/ GIMT_Encode4(1916399), // Rule ID 19572 //
     /* 1916318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1916321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1916338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916364 */     // MIs[0] policy
     /* 1916364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916374 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1916377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916398 */     // GIR_Coverage, 19572,
     /* 1916398 */     GIR_EraseRootFromParent_Done,
     /* 1916399 */   // Label 25781: @1916399
     /* 1916399 */   GIM_Try, /*On fail goto*//*Label 25782*/ GIMT_Encode4(1916485), // Rule ID 19573 //
     /* 1916404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1916415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1916418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1916421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1916424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1916427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916450 */     // MIs[0] policy
     /* 1916450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916460 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32_MASK),
     /* 1916463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916484 */     // GIR_Coverage, 19573,
     /* 1916484 */     GIR_EraseRootFromParent_Done,
     /* 1916485 */   // Label 25782: @1916485
     /* 1916485 */   GIM_Try, /*On fail goto*//*Label 25783*/ GIMT_Encode4(1916571), // Rule ID 19576 //
     /* 1916490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1916493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1916501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1916504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1916507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1916510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916536 */     // MIs[0] policy
     /* 1916536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916546 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1916549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916570 */     // GIR_Coverage, 19576,
     /* 1916570 */     GIR_EraseRootFromParent_Done,
     /* 1916571 */   // Label 25783: @1916571
     /* 1916571 */   GIM_Try, /*On fail goto*//*Label 25784*/ GIMT_Encode4(1916657), // Rule ID 19577 //
     /* 1916576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1916579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1916587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1916590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1916593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1916596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1916599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1916606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1916618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916622 */     // MIs[0] policy
     /* 1916622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916632 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32_MASK),
     /* 1916635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1916653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916656 */     // GIR_Coverage, 19577,
     /* 1916656 */     GIR_EraseRootFromParent_Done,
     /* 1916657 */   // Label 25784: @1916657
     /* 1916657 */   GIM_Try, /*On fail goto*//*Label 25785*/ GIMT_Encode4(1916743), // Rule ID 19580 //
     /* 1916662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1916665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1916673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1916676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1916679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1916682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916708 */     // MIs[0] policy
     /* 1916708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916718 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1916721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916742 */     // GIR_Coverage, 19580,
     /* 1916742 */     GIR_EraseRootFromParent_Done,
     /* 1916743 */   // Label 25785: @1916743
     /* 1916743 */   GIM_Try, /*On fail goto*//*Label 25786*/ GIMT_Encode4(1916829), // Rule ID 19581 //
     /* 1916748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1916751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1916759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1916762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1916765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1916768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1916771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1916778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1916790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916794 */     // MIs[0] policy
     /* 1916794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916804 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64_MASK),
     /* 1916807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916828 */     // GIR_Coverage, 19581,
     /* 1916828 */     GIR_EraseRootFromParent_Done,
     /* 1916829 */   // Label 25786: @1916829
     /* 1916829 */   GIM_Try, /*On fail goto*//*Label 25787*/ GIMT_Encode4(1916915), // Rule ID 19584 //
     /* 1916834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1916837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1916845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1916848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1916851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1916854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1916860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916880 */     // MIs[0] policy
     /* 1916880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916890 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1916890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1916893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1916914 */     // GIR_Coverage, 19584,
     /* 1916914 */     GIR_EraseRootFromParent_Done,
     /* 1916915 */   // Label 25787: @1916915
     /* 1916915 */   GIM_Try, /*On fail goto*//*Label 25788*/ GIMT_Encode4(1917001), // Rule ID 19585 //
     /* 1916920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1916923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1916928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1916931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1916934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1916937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1916940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1916943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1916946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1916950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1916962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1916966 */     // MIs[0] policy
     /* 1916966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1916969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1916976 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1916976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64_MASK),
     /* 1916979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1916981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1916983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1916985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1916987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1916989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1916994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1916997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1916999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917000 */     // GIR_Coverage, 19585,
     /* 1917000 */     GIR_EraseRootFromParent_Done,
     /* 1917001 */   // Label 25788: @1917001
     /* 1917001 */   GIM_Try, /*On fail goto*//*Label 25789*/ GIMT_Encode4(1917087), // Rule ID 19588 //
     /* 1917006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1917009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1917026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917052 */     // MIs[0] policy
     /* 1917052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917062 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1917065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917086 */     // GIR_Coverage, 19588,
     /* 1917086 */     GIR_EraseRootFromParent_Done,
     /* 1917087 */   // Label 25789: @1917087
     /* 1917087 */   GIM_Try, /*On fail goto*//*Label 25790*/ GIMT_Encode4(1917173), // Rule ID 19589 //
     /* 1917092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1917095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1917103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1917106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1917109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1917112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1917115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1917122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1917134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917138 */     // MIs[0] policy
     /* 1917138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917148 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64_MASK),
     /* 1917151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1917169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917172 */     // GIR_Coverage, 19589,
     /* 1917172 */     GIR_EraseRootFromParent_Done,
     /* 1917173 */   // Label 25790: @1917173
     /* 1917173 */   GIM_Try, /*On fail goto*//*Label 25791*/ GIMT_Encode4(1917259), // Rule ID 19592 //
     /* 1917178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1917181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1917189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1917192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1917195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917224 */     // MIs[0] policy
     /* 1917224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917234 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1917237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917258 */     // GIR_Coverage, 19592,
     /* 1917258 */     GIR_EraseRootFromParent_Done,
     /* 1917259 */   // Label 25791: @1917259
     /* 1917259 */   GIM_Try, /*On fail goto*//*Label 25792*/ GIMT_Encode4(1917345), // Rule ID 19593 //
     /* 1917264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1917267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1917275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1917278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1917281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917310 */     // MIs[0] policy
     /* 1917310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917320 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF4_E16_MASK),
     /* 1917323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917344 */     // GIR_Coverage, 19593,
     /* 1917344 */     GIR_EraseRootFromParent_Done,
     /* 1917345 */   // Label 25792: @1917345
     /* 1917345 */   GIM_Try, /*On fail goto*//*Label 25793*/ GIMT_Encode4(1917431), // Rule ID 19596 //
     /* 1917350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1917353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1917361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1917364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1917367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917396 */     // MIs[0] policy
     /* 1917396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917406 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1917409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917430 */     // GIR_Coverage, 19596,
     /* 1917430 */     GIR_EraseRootFromParent_Done,
     /* 1917431 */   // Label 25793: @1917431
     /* 1917431 */   GIM_Try, /*On fail goto*//*Label 25794*/ GIMT_Encode4(1917517), // Rule ID 19597 //
     /* 1917436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1917439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1917447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1917450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1917453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917482 */     // MIs[0] policy
     /* 1917482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917492 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_MF2_E16_MASK),
     /* 1917495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917516 */     // GIR_Coverage, 19597,
     /* 1917516 */     GIR_EraseRootFromParent_Done,
     /* 1917517 */   // Label 25794: @1917517
     /* 1917517 */   GIM_Try, /*On fail goto*//*Label 25795*/ GIMT_Encode4(1917603), // Rule ID 19600 //
     /* 1917522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1917533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1917536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1917539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917568 */     // MIs[0] policy
     /* 1917568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917578 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1917581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917602 */     // GIR_Coverage, 19600,
     /* 1917602 */     GIR_EraseRootFromParent_Done,
     /* 1917603 */   // Label 25795: @1917603
     /* 1917603 */   GIM_Try, /*On fail goto*//*Label 25796*/ GIMT_Encode4(1917689), // Rule ID 19601 //
     /* 1917608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1917619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1917622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1917625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1917631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917654 */     // MIs[0] policy
     /* 1917654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917664 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_MF2_E32_MASK),
     /* 1917667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917688 */     // GIR_Coverage, 19601,
     /* 1917688 */     GIR_EraseRootFromParent_Done,
     /* 1917689 */   // Label 25796: @1917689
     /* 1917689 */   GIM_Try, /*On fail goto*//*Label 25797*/ GIMT_Encode4(1917775), // Rule ID 19604 //
     /* 1917694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1917697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1917705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1917708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1917711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917740 */     // MIs[0] policy
     /* 1917740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917750 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1917753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917774 */     // GIR_Coverage, 19604,
     /* 1917774 */     GIR_EraseRootFromParent_Done,
     /* 1917775 */   // Label 25797: @1917775
     /* 1917775 */   GIM_Try, /*On fail goto*//*Label 25798*/ GIMT_Encode4(1917861), // Rule ID 19605 //
     /* 1917780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1917783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1917791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1917794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1917797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1917800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1917803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1917822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917826 */     // MIs[0] policy
     /* 1917826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917836 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11268:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1917836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M1_E16_MASK),
     /* 1917839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1917857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917860 */     // GIR_Coverage, 19605,
     /* 1917860 */     GIR_EraseRootFromParent_Done,
     /* 1917861 */   // Label 25798: @1917861
     /* 1917861 */   GIM_Try, /*On fail goto*//*Label 25799*/ GIMT_Encode4(1917947), // Rule ID 19608 //
     /* 1917866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1917869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1917877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1917880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1917883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1917892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917912 */     // MIs[0] policy
     /* 1917912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1917915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1917922 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1917922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1917925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1917927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1917929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1917931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1917933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1917935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1917940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1917943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1917945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1917946 */     // GIR_Coverage, 19608,
     /* 1917946 */     GIR_EraseRootFromParent_Done,
     /* 1917947 */   // Label 25799: @1917947
     /* 1917947 */   GIM_Try, /*On fail goto*//*Label 25800*/ GIMT_Encode4(1918033), // Rule ID 19609 //
     /* 1917952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1917955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1917960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1917963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1917966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1917969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1917972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1917975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1917978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1917982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1917990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1917994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1917998 */     // MIs[0] policy
     /* 1917998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918008 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11268:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M1_E32_MASK),
     /* 1918011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918032 */     // GIR_Coverage, 19609,
     /* 1918032 */     GIR_EraseRootFromParent_Done,
     /* 1918033 */   // Label 25800: @1918033
     /* 1918033 */   GIM_Try, /*On fail goto*//*Label 25801*/ GIMT_Encode4(1918119), // Rule ID 19612 //
     /* 1918038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1918041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1918049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1918052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1918055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1918080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918084 */     // MIs[0] policy
     /* 1918084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918094 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1918097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918118 */     // GIR_Coverage, 19612,
     /* 1918118 */     GIR_EraseRootFromParent_Done,
     /* 1918119 */   // Label 25801: @1918119
     /* 1918119 */   GIM_Try, /*On fail goto*//*Label 25802*/ GIMT_Encode4(1918205), // Rule ID 19613 //
     /* 1918124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1918127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1918135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1918138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1918141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1918144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1918147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1918154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1918162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1918166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918170 */     // MIs[0] policy
     /* 1918170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11268:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M1_E64_MASK),
     /* 1918183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1918201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918204 */     // GIR_Coverage, 19613,
     /* 1918204 */     GIR_EraseRootFromParent_Done,
     /* 1918205 */   // Label 25802: @1918205
     /* 1918205 */   GIM_Try, /*On fail goto*//*Label 25803*/ GIMT_Encode4(1918291), // Rule ID 19616 //
     /* 1918210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1918221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1918224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1918227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918256 */     // MIs[0] policy
     /* 1918256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918266 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1918269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918290 */     // GIR_Coverage, 19616,
     /* 1918290 */     GIR_EraseRootFromParent_Done,
     /* 1918291 */   // Label 25803: @1918291
     /* 1918291 */   GIM_Try, /*On fail goto*//*Label 25804*/ GIMT_Encode4(1918377), // Rule ID 19617 //
     /* 1918296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1918307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1918310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1918313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918342 */     // MIs[0] policy
     /* 1918342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918352 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M2_E16_MASK),
     /* 1918355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918376 */     // GIR_Coverage, 19617,
     /* 1918376 */     GIR_EraseRootFromParent_Done,
     /* 1918377 */   // Label 25804: @1918377
     /* 1918377 */   GIM_Try, /*On fail goto*//*Label 25805*/ GIMT_Encode4(1918463), // Rule ID 19620 //
     /* 1918382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1918393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1918396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1918399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1918405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918428 */     // MIs[0] policy
     /* 1918428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918438 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1918441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918462 */     // GIR_Coverage, 19620,
     /* 1918462 */     GIR_EraseRootFromParent_Done,
     /* 1918463 */   // Label 25805: @1918463
     /* 1918463 */   GIM_Try, /*On fail goto*//*Label 25806*/ GIMT_Encode4(1918549), // Rule ID 19621 //
     /* 1918468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1918479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1918482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1918485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1918491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918514 */     // MIs[0] policy
     /* 1918514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918524 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M4_E16_MASK),
     /* 1918527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918548 */     // GIR_Coverage, 19621,
     /* 1918548 */     GIR_EraseRootFromParent_Done,
     /* 1918549 */   // Label 25806: @1918549
     /* 1918549 */   GIM_Try, /*On fail goto*//*Label 25807*/ GIMT_Encode4(1918635), // Rule ID 19624 //
     /* 1918554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1918557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1918565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1918568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1918571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1918577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918600 */     // MIs[0] policy
     /* 1918600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918610 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1918613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918634 */     // GIR_Coverage, 19624,
     /* 1918634 */     GIR_EraseRootFromParent_Done,
     /* 1918635 */   // Label 25807: @1918635
     /* 1918635 */   GIM_Try, /*On fail goto*//*Label 25808*/ GIMT_Encode4(1918721), // Rule ID 19625 //
     /* 1918640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1918643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1918651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1918654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1918657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1918660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1918663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1918670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1918678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1918682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918686 */     // MIs[0] policy
     /* 1918686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918696 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR16_M8_E16_MASK),
     /* 1918699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1918717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918720 */     // GIR_Coverage, 19625,
     /* 1918720 */     GIR_EraseRootFromParent_Done,
     /* 1918721 */   // Label 25808: @1918721
     /* 1918721 */   GIM_Try, /*On fail goto*//*Label 25809*/ GIMT_Encode4(1918807), // Rule ID 19628 //
     /* 1918726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1918729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1918737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1918740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1918743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918772 */     // MIs[0] policy
     /* 1918772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918782 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1918785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918806 */     // GIR_Coverage, 19628,
     /* 1918806 */     GIR_EraseRootFromParent_Done,
     /* 1918807 */   // Label 25809: @1918807
     /* 1918807 */   GIM_Try, /*On fail goto*//*Label 25810*/ GIMT_Encode4(1918893), // Rule ID 19629 //
     /* 1918812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1918815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1918823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1918826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1918829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1918835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1918838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1918842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1918850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918858 */     // MIs[0] policy
     /* 1918858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918868 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1918868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M2_E32_MASK),
     /* 1918871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918892 */     // GIR_Coverage, 19629,
     /* 1918892 */     GIR_EraseRootFromParent_Done,
     /* 1918893 */   // Label 25810: @1918893
     /* 1918893 */   GIM_Try, /*On fail goto*//*Label 25811*/ GIMT_Encode4(1918979), // Rule ID 19632 //
     /* 1918898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1918901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1918909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1918912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1918915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1918918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1918921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1918924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1918928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1918936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1918940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1918944 */     // MIs[0] policy
     /* 1918944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1918947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1918954 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1918954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1918957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1918959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1918961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1918963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1918965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1918967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1918972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1918975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1918977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1918978 */     // GIR_Coverage, 19632,
     /* 1918978 */     GIR_EraseRootFromParent_Done,
     /* 1918979 */   // Label 25811: @1918979
     /* 1918979 */   GIM_Try, /*On fail goto*//*Label 25812*/ GIMT_Encode4(1919065), // Rule ID 19633 //
     /* 1918984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1918987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1918992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1918995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1918998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1919001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919030 */     // MIs[0] policy
     /* 1919030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919040 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M4_E32_MASK),
     /* 1919043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919064 */     // GIR_Coverage, 19633,
     /* 1919064 */     GIR_EraseRootFromParent_Done,
     /* 1919065 */   // Label 25812: @1919065
     /* 1919065 */   GIM_Try, /*On fail goto*//*Label 25813*/ GIMT_Encode4(1919151), // Rule ID 19636 //
     /* 1919070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1919073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1919078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1919081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1919084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1919087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919116 */     // MIs[0] policy
     /* 1919116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919126 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1919129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919150 */     // GIR_Coverage, 19636,
     /* 1919150 */     GIR_EraseRootFromParent_Done,
     /* 1919151 */   // Label 25813: @1919151
     /* 1919151 */   GIM_Try, /*On fail goto*//*Label 25814*/ GIMT_Encode4(1919237), // Rule ID 19637 //
     /* 1919156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1919159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1919164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1919167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1919170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1919173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1919176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1919179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1919198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919202 */     // MIs[0] policy
     /* 1919202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919212 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR32_M8_E32_MASK),
     /* 1919215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1919233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919236 */     // GIR_Coverage, 19637,
     /* 1919236 */     GIR_EraseRootFromParent_Done,
     /* 1919237 */   // Label 25814: @1919237
     /* 1919237 */   GIM_Try, /*On fail goto*//*Label 25815*/ GIMT_Encode4(1919323), // Rule ID 19640 //
     /* 1919242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1919245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1919250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1919253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1919256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1919259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919288 */     // MIs[0] policy
     /* 1919288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919298 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1919301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919322 */     // GIR_Coverage, 19640,
     /* 1919322 */     GIR_EraseRootFromParent_Done,
     /* 1919323 */   // Label 25815: @1919323
     /* 1919323 */   GIM_Try, /*On fail goto*//*Label 25816*/ GIMT_Encode4(1919409), // Rule ID 19641 //
     /* 1919328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1919331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1919336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1919339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1919342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1919345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1919358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1919366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919374 */     // MIs[0] policy
     /* 1919374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919384 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11268:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M2_E64_MASK),
     /* 1919387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919408 */     // GIR_Coverage, 19641,
     /* 1919408 */     GIR_EraseRootFromParent_Done,
     /* 1919409 */   // Label 25816: @1919409
     /* 1919409 */   GIM_Try, /*On fail goto*//*Label 25817*/ GIMT_Encode4(1919495), // Rule ID 19644 //
     /* 1919414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1919417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1919422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1919425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1919428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1919431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919460 */     // MIs[0] policy
     /* 1919460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919470 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1919473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919494 */     // GIR_Coverage, 19644,
     /* 1919494 */     GIR_EraseRootFromParent_Done,
     /* 1919495 */   // Label 25817: @1919495
     /* 1919495 */   GIM_Try, /*On fail goto*//*Label 25818*/ GIMT_Encode4(1919581), // Rule ID 19645 //
     /* 1919500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1919503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1919508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1919511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1919514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1919517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1919523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1919530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1919538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919546 */     // MIs[0] policy
     /* 1919546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919556 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11268:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M4_E64_MASK),
     /* 1919559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919580 */     // GIR_Coverage, 19645,
     /* 1919580 */     GIR_EraseRootFromParent_Done,
     /* 1919581 */   // Label 25818: @1919581
     /* 1919581 */   GIM_Try, /*On fail goto*//*Label 25819*/ GIMT_Encode4(1919667), // Rule ID 19648 //
     /* 1919586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1919589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1919594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1919597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1919600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1919603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919632 */     // MIs[0] policy
     /* 1919632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919642 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1919645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919666 */     // GIR_Coverage, 19648,
     /* 1919666 */     GIR_EraseRootFromParent_Done,
     /* 1919667 */   // Label 25819: @1919667
     /* 1919667 */   GIM_Try, /*On fail goto*//*Label 25820*/ GIMT_Encode4(1919753), // Rule ID 19649 //
     /* 1919672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1919675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjn_mask),
     /* 1919680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1919683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1919686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1919689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1919692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1919695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1919702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1919710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1919714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919718 */     // MIs[0] policy
     /* 1919718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919728 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11268:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJN_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VFPR64_M8_E64_MASK),
     /* 1919731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1919749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919752 */     // GIR_Coverage, 19649,
     /* 1919752 */     GIR_EraseRootFromParent_Done,
     /* 1919753 */   // Label 25820: @1919753
     /* 1919753 */   GIM_Try, /*On fail goto*//*Label 25821*/ GIMT_Encode4(1919839), // Rule ID 19652 //
     /* 1919758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1919761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1919769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1919772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1919775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1919778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919804 */     // MIs[0] policy
     /* 1919804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919814 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1919817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919838 */     // GIR_Coverage, 19652,
     /* 1919838 */     GIR_EraseRootFromParent_Done,
     /* 1919839 */   // Label 25821: @1919839
     /* 1919839 */   GIM_Try, /*On fail goto*//*Label 25822*/ GIMT_Encode4(1919925), // Rule ID 19653 //
     /* 1919844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1919847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1919855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1919858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1919861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1919864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1919867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1919870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919890 */     // MIs[0] policy
     /* 1919890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919900 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1919900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16_MASK),
     /* 1919903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1919918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1919921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1919923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1919924 */     // GIR_Coverage, 19653,
     /* 1919924 */     GIR_EraseRootFromParent_Done,
     /* 1919925 */   // Label 25822: @1919925
     /* 1919925 */   GIM_Try, /*On fail goto*//*Label 25823*/ GIMT_Encode4(1920011), // Rule ID 19656 //
     /* 1919930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1919933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1919938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1919941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1919944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1919947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1919950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1919953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1919956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1919960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1919972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1919976 */     // MIs[0] policy
     /* 1919976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1919979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1919986 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1919986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1919989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1919991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1919993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1919995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1919997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1919999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920010 */     // GIR_Coverage, 19656,
     /* 1920010 */     GIR_EraseRootFromParent_Done,
     /* 1920011 */   // Label 25823: @1920011
     /* 1920011 */   GIM_Try, /*On fail goto*//*Label 25824*/ GIMT_Encode4(1920097), // Rule ID 19657 //
     /* 1920016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1920019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1920027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1920030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1920033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1920036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920062 */     // MIs[0] policy
     /* 1920062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920072 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16_MASK),
     /* 1920075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920096 */     // GIR_Coverage, 19657,
     /* 1920096 */     GIR_EraseRootFromParent_Done,
     /* 1920097 */   // Label 25824: @1920097
     /* 1920097 */   GIM_Try, /*On fail goto*//*Label 25825*/ GIMT_Encode4(1920183), // Rule ID 19660 //
     /* 1920102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1920105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1920113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1920116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1920119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1920122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920148 */     // MIs[0] policy
     /* 1920148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920158 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1920161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920182 */     // GIR_Coverage, 19660,
     /* 1920182 */     GIR_EraseRootFromParent_Done,
     /* 1920183 */   // Label 25825: @1920183
     /* 1920183 */   GIM_Try, /*On fail goto*//*Label 25826*/ GIMT_Encode4(1920269), // Rule ID 19661 //
     /* 1920188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1920191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1920199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1920202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1920205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1920208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920234 */     // MIs[0] policy
     /* 1920234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920244 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32_MASK),
     /* 1920247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920268 */     // GIR_Coverage, 19661,
     /* 1920268 */     GIR_EraseRootFromParent_Done,
     /* 1920269 */   // Label 25826: @1920269
     /* 1920269 */   GIM_Try, /*On fail goto*//*Label 25827*/ GIMT_Encode4(1920355), // Rule ID 19664 //
     /* 1920274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1920277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1920285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1920288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1920291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1920294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920320 */     // MIs[0] policy
     /* 1920320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920330 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1920333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920354 */     // GIR_Coverage, 19664,
     /* 1920354 */     GIR_EraseRootFromParent_Done,
     /* 1920355 */   // Label 25827: @1920355
     /* 1920355 */   GIM_Try, /*On fail goto*//*Label 25828*/ GIMT_Encode4(1920441), // Rule ID 19665 //
     /* 1920360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1920363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1920371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1920374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1920377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1920380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1920383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920406 */     // MIs[0] policy
     /* 1920406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920416 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16_MASK),
     /* 1920419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920440 */     // GIR_Coverage, 19665,
     /* 1920440 */     GIR_EraseRootFromParent_Done,
     /* 1920441 */   // Label 25828: @1920441
     /* 1920441 */   GIM_Try, /*On fail goto*//*Label 25829*/ GIMT_Encode4(1920527), // Rule ID 19668 //
     /* 1920446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1920449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1920457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1920460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1920463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1920466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920492 */     // MIs[0] policy
     /* 1920492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920502 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1920505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920526 */     // GIR_Coverage, 19668,
     /* 1920526 */     GIR_EraseRootFromParent_Done,
     /* 1920527 */   // Label 25829: @1920527
     /* 1920527 */   GIM_Try, /*On fail goto*//*Label 25830*/ GIMT_Encode4(1920613), // Rule ID 19669 //
     /* 1920532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1920535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1920543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1920546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1920549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1920552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1920555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920578 */     // MIs[0] policy
     /* 1920578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32_MASK),
     /* 1920591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1920609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920612 */     // GIR_Coverage, 19669,
     /* 1920612 */     GIR_EraseRootFromParent_Done,
     /* 1920613 */   // Label 25830: @1920613
     /* 1920613 */   GIM_Try, /*On fail goto*//*Label 25831*/ GIMT_Encode4(1920699), // Rule ID 19672 //
     /* 1920618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1920621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1920629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1920632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1920635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1920638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920664 */     // MIs[0] policy
     /* 1920664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920674 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1920677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920698 */     // GIR_Coverage, 19672,
     /* 1920698 */     GIR_EraseRootFromParent_Done,
     /* 1920699 */   // Label 25831: @1920699
     /* 1920699 */   GIM_Try, /*On fail goto*//*Label 25832*/ GIMT_Encode4(1920785), // Rule ID 19673 //
     /* 1920704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1920707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1920715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1920718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1920721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1920724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1920727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1920734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1920746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920750 */     // MIs[0] policy
     /* 1920750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920760 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64_MASK),
     /* 1920763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1920781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920784 */     // GIR_Coverage, 19673,
     /* 1920784 */     GIR_EraseRootFromParent_Done,
     /* 1920785 */   // Label 25832: @1920785
     /* 1920785 */   GIM_Try, /*On fail goto*//*Label 25833*/ GIMT_Encode4(1920871), // Rule ID 19676 //
     /* 1920790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1920793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1920810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920836 */     // MIs[0] policy
     /* 1920836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920846 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1920846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1920849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920870 */     // GIR_Coverage, 19676,
     /* 1920870 */     GIR_EraseRootFromParent_Done,
     /* 1920871 */   // Label 25833: @1920871
     /* 1920871 */   GIM_Try, /*On fail goto*//*Label 25834*/ GIMT_Encode4(1920957), // Rule ID 19677 //
     /* 1920876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1920879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1920887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1920890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1920893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1920896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1920899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1920902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1920906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1920918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1920922 */     // MIs[0] policy
     /* 1920922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1920925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1920932 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1920932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16_MASK),
     /* 1920935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1920937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1920939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1920941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1920943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1920945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1920950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1920953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1920955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1920956 */     // GIR_Coverage, 19677,
     /* 1920956 */     GIR_EraseRootFromParent_Done,
     /* 1920957 */   // Label 25834: @1920957
     /* 1920957 */   GIM_Try, /*On fail goto*//*Label 25835*/ GIMT_Encode4(1921043), // Rule ID 19680 //
     /* 1920962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1920965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1920970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1920973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1920976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1920979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1920982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1920985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1920988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1920992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1920996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921008 */     // MIs[0] policy
     /* 1921008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921018 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1921021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921042 */     // GIR_Coverage, 19680,
     /* 1921042 */     GIR_EraseRootFromParent_Done,
     /* 1921043 */   // Label 25835: @1921043
     /* 1921043 */   GIM_Try, /*On fail goto*//*Label 25836*/ GIMT_Encode4(1921129), // Rule ID 19681 //
     /* 1921048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1921051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1921059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1921062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1921065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1921068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921094 */     // MIs[0] policy
     /* 1921094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921104 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16_MASK),
     /* 1921107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921128 */     // GIR_Coverage, 19681,
     /* 1921128 */     GIR_EraseRootFromParent_Done,
     /* 1921129 */   // Label 25836: @1921129
     /* 1921129 */   GIM_Try, /*On fail goto*//*Label 25837*/ GIMT_Encode4(1921215), // Rule ID 19684 //
     /* 1921134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1921137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1921145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1921148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1921151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1921154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921180 */     // MIs[0] policy
     /* 1921180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921190 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1921193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921214 */     // GIR_Coverage, 19684,
     /* 1921214 */     GIR_EraseRootFromParent_Done,
     /* 1921215 */   // Label 25837: @1921215
     /* 1921215 */   GIM_Try, /*On fail goto*//*Label 25838*/ GIMT_Encode4(1921301), // Rule ID 19685 //
     /* 1921220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1921223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1921231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1921234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1921237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1921240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1921243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921266 */     // MIs[0] policy
     /* 1921266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921276 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16_MASK),
     /* 1921279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1921297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921300 */     // GIR_Coverage, 19685,
     /* 1921300 */     GIR_EraseRootFromParent_Done,
     /* 1921301 */   // Label 25838: @1921301
     /* 1921301 */   GIM_Try, /*On fail goto*//*Label 25839*/ GIMT_Encode4(1921387), // Rule ID 19688 //
     /* 1921306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1921309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1921323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1921326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921352 */     // MIs[0] policy
     /* 1921352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921362 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1921365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921386 */     // GIR_Coverage, 19688,
     /* 1921386 */     GIR_EraseRootFromParent_Done,
     /* 1921387 */   // Label 25839: @1921387
     /* 1921387 */   GIM_Try, /*On fail goto*//*Label 25840*/ GIMT_Encode4(1921473), // Rule ID 19689 //
     /* 1921392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1921395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1921403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1921406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1921409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1921412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1921415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921438 */     // MIs[0] policy
     /* 1921438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921448 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32_MASK),
     /* 1921451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921472 */     // GIR_Coverage, 19689,
     /* 1921472 */     GIR_EraseRootFromParent_Done,
     /* 1921473 */   // Label 25840: @1921473
     /* 1921473 */   GIM_Try, /*On fail goto*//*Label 25841*/ GIMT_Encode4(1921559), // Rule ID 19692 //
     /* 1921478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1921481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1921495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1921498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921524 */     // MIs[0] policy
     /* 1921524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921534 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1921537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921558 */     // GIR_Coverage, 19692,
     /* 1921558 */     GIR_EraseRootFromParent_Done,
     /* 1921559 */   // Label 25841: @1921559
     /* 1921559 */   GIM_Try, /*On fail goto*//*Label 25842*/ GIMT_Encode4(1921645), // Rule ID 19693 //
     /* 1921564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1921567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1921575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1921578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1921581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1921584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1921587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1921594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1921606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921610 */     // MIs[0] policy
     /* 1921610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921620 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32_MASK),
     /* 1921623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921644 */     // GIR_Coverage, 19693,
     /* 1921644 */     GIR_EraseRootFromParent_Done,
     /* 1921645 */   // Label 25842: @1921645
     /* 1921645 */   GIM_Try, /*On fail goto*//*Label 25843*/ GIMT_Encode4(1921731), // Rule ID 19696 //
     /* 1921650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1921653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1921661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1921664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1921667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1921670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921696 */     // MIs[0] policy
     /* 1921696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921706 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1921709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921730 */     // GIR_Coverage, 19696,
     /* 1921730 */     GIR_EraseRootFromParent_Done,
     /* 1921731 */   // Label 25843: @1921731
     /* 1921731 */   GIM_Try, /*On fail goto*//*Label 25844*/ GIMT_Encode4(1921817), // Rule ID 19697 //
     /* 1921736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1921739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1921747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1921750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1921753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1921756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1921759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1921766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1921778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921782 */     // MIs[0] policy
     /* 1921782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921792 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32_MASK),
     /* 1921795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1921813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921816 */     // GIR_Coverage, 19697,
     /* 1921816 */     GIR_EraseRootFromParent_Done,
     /* 1921817 */   // Label 25844: @1921817
     /* 1921817 */   GIM_Try, /*On fail goto*//*Label 25845*/ GIMT_Encode4(1921903), // Rule ID 19700 //
     /* 1921822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1921825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1921839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1921842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1921848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921868 */     // MIs[0] policy
     /* 1921868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921878 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1921878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1921881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921902 */     // GIR_Coverage, 19700,
     /* 1921902 */     GIR_EraseRootFromParent_Done,
     /* 1921903 */   // Label 25845: @1921903
     /* 1921903 */   GIM_Try, /*On fail goto*//*Label 25846*/ GIMT_Encode4(1921989), // Rule ID 19701 //
     /* 1921908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1921911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1921916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1921919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1921922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1921925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1921928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1921931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1921934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1921938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1921950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1921954 */     // MIs[0] policy
     /* 1921954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1921957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1921964 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1921964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64_MASK),
     /* 1921967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1921969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1921971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1921973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1921975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1921977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1921982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1921985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1921987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1921988 */     // GIR_Coverage, 19701,
     /* 1921988 */     GIR_EraseRootFromParent_Done,
     /* 1921989 */   // Label 25846: @1921989
     /* 1921989 */   GIM_Try, /*On fail goto*//*Label 25847*/ GIMT_Encode4(1922075), // Rule ID 19704 //
     /* 1921994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1921997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1922005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1922008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1922011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1922014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922040 */     // MIs[0] policy
     /* 1922040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922050 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1922053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922074 */     // GIR_Coverage, 19704,
     /* 1922074 */     GIR_EraseRootFromParent_Done,
     /* 1922075 */   // Label 25847: @1922075
     /* 1922075 */   GIM_Try, /*On fail goto*//*Label 25848*/ GIMT_Encode4(1922161), // Rule ID 19705 //
     /* 1922080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1922083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1922091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1922094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1922097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1922100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1922110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1922122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922126 */     // MIs[0] policy
     /* 1922126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922136 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64_MASK),
     /* 1922139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922160 */     // GIR_Coverage, 19705,
     /* 1922160 */     GIR_EraseRootFromParent_Done,
     /* 1922161 */   // Label 25848: @1922161
     /* 1922161 */   GIM_Try, /*On fail goto*//*Label 25849*/ GIMT_Encode4(1922247), // Rule ID 19708 //
     /* 1922166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1922169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1922177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1922180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1922183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1922186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922212 */     // MIs[0] policy
     /* 1922212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922222 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1922225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922246 */     // GIR_Coverage, 19708,
     /* 1922246 */     GIR_EraseRootFromParent_Done,
     /* 1922247 */   // Label 25849: @1922247
     /* 1922247 */   GIM_Try, /*On fail goto*//*Label 25850*/ GIMT_Encode4(1922333), // Rule ID 19709 //
     /* 1922252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1922255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1922263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1922266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1922269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1922272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1922275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1922282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1922294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922298 */     // MIs[0] policy
     /* 1922298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922308 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64_MASK),
     /* 1922311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1922329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922332 */     // GIR_Coverage, 19709,
     /* 1922332 */     GIR_EraseRootFromParent_Done,
     /* 1922333 */   // Label 25850: @1922333
     /* 1922333 */   GIM_Try, /*On fail goto*//*Label 25851*/ GIMT_Encode4(1922419), // Rule ID 19712 //
     /* 1922338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1922341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1922358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1922380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922384 */     // MIs[0] policy
     /* 1922384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922394 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1922397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922418 */     // GIR_Coverage, 19712,
     /* 1922418 */     GIR_EraseRootFromParent_Done,
     /* 1922419 */   // Label 25851: @1922419
     /* 1922419 */   GIM_Try, /*On fail goto*//*Label 25852*/ GIMT_Encode4(1922505), // Rule ID 19713 //
     /* 1922424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1922427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1922435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1922438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1922441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1922444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1922466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922470 */     // MIs[0] policy
     /* 1922470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922480 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF4_E16_MASK),
     /* 1922483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922504 */     // GIR_Coverage, 19713,
     /* 1922504 */     GIR_EraseRootFromParent_Done,
     /* 1922505 */   // Label 25852: @1922505
     /* 1922505 */   GIM_Try, /*On fail goto*//*Label 25853*/ GIMT_Encode4(1922591), // Rule ID 19716 //
     /* 1922510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1922513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1922530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1922552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922556 */     // MIs[0] policy
     /* 1922556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922566 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1922569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922590 */     // GIR_Coverage, 19716,
     /* 1922590 */     GIR_EraseRootFromParent_Done,
     /* 1922591 */   // Label 25853: @1922591
     /* 1922591 */   GIM_Try, /*On fail goto*//*Label 25854*/ GIMT_Encode4(1922677), // Rule ID 19717 //
     /* 1922596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1922599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1922607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1922610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1922613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1922616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1922619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1922638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922642 */     // MIs[0] policy
     /* 1922642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922652 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_MF2_E16_MASK),
     /* 1922655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922676 */     // GIR_Coverage, 19717,
     /* 1922676 */     GIR_EraseRootFromParent_Done,
     /* 1922677 */   // Label 25854: @1922677
     /* 1922677 */   GIM_Try, /*On fail goto*//*Label 25855*/ GIMT_Encode4(1922763), // Rule ID 19720 //
     /* 1922682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1922685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1922724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922728 */     // MIs[0] policy
     /* 1922728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922738 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1922741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922762 */     // GIR_Coverage, 19720,
     /* 1922762 */     GIR_EraseRootFromParent_Done,
     /* 1922763 */   // Label 25855: @1922763
     /* 1922763 */   GIM_Try, /*On fail goto*//*Label 25856*/ GIMT_Encode4(1922849), // Rule ID 19721 //
     /* 1922768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1922771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1922779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1922782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1922785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1922788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1922791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1922810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922814 */     // MIs[0] policy
     /* 1922814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922824 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_MF2_E32_MASK),
     /* 1922827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1922845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922848 */     // GIR_Coverage, 19721,
     /* 1922848 */     GIR_EraseRootFromParent_Done,
     /* 1922849 */   // Label 25856: @1922849
     /* 1922849 */   GIM_Try, /*On fail goto*//*Label 25857*/ GIMT_Encode4(1922935), // Rule ID 19724 //
     /* 1922854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1922857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1922874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1922880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1922896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922900 */     // MIs[0] policy
     /* 1922900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922910 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1922910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1922913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1922915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1922917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1922919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1922921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1922923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1922928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1922931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1922933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1922934 */     // GIR_Coverage, 19724,
     /* 1922934 */     GIR_EraseRootFromParent_Done,
     /* 1922935 */   // Label 25857: @1922935
     /* 1922935 */   GIM_Try, /*On fail goto*//*Label 25858*/ GIMT_Encode4(1923021), // Rule ID 19725 //
     /* 1922940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1922943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1922948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1922951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1922954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1922957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1922960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1922963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1922966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1922970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1922978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1922982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1922986 */     // MIs[0] policy
     /* 1922986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1922989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1922996 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11270:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1922996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M1_E16_MASK),
     /* 1922999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923020 */     // GIR_Coverage, 19725,
     /* 1923020 */     GIR_EraseRootFromParent_Done,
     /* 1923021 */   // Label 25858: @1923021
     /* 1923021 */   GIM_Try, /*On fail goto*//*Label 25859*/ GIMT_Encode4(1923107), // Rule ID 19728 //
     /* 1923026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1923029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1923043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1923068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923072 */     // MIs[0] policy
     /* 1923072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923082 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1923085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923106 */     // GIR_Coverage, 19728,
     /* 1923106 */     GIR_EraseRootFromParent_Done,
     /* 1923107 */   // Label 25859: @1923107
     /* 1923107 */   GIM_Try, /*On fail goto*//*Label 25860*/ GIMT_Encode4(1923193), // Rule ID 19729 //
     /* 1923112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1923115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1923123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1923126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1923129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1923135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1923154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923158 */     // MIs[0] policy
     /* 1923158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923168 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11270:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M1_E32_MASK),
     /* 1923171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923192 */     // GIR_Coverage, 19729,
     /* 1923192 */     GIR_EraseRootFromParent_Done,
     /* 1923193 */   // Label 25860: @1923193
     /* 1923193 */   GIM_Try, /*On fail goto*//*Label 25861*/ GIMT_Encode4(1923279), // Rule ID 19732 //
     /* 1923198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1923201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1923240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923244 */     // MIs[0] policy
     /* 1923244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923254 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1923257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923278 */     // GIR_Coverage, 19732,
     /* 1923278 */     GIR_EraseRootFromParent_Done,
     /* 1923279 */   // Label 25861: @1923279
     /* 1923279 */   GIM_Try, /*On fail goto*//*Label 25862*/ GIMT_Encode4(1923365), // Rule ID 19733 //
     /* 1923284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1923287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1923295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1923298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1923301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1923304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1923307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1923314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1923322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1923326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923330 */     // MIs[0] policy
     /* 1923330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923340 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11270:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M1_E64_MASK),
     /* 1923343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1923361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923364 */     // GIR_Coverage, 19733,
     /* 1923364 */     GIR_EraseRootFromParent_Done,
     /* 1923365 */   // Label 25862: @1923365
     /* 1923365 */   GIM_Try, /*On fail goto*//*Label 25863*/ GIMT_Encode4(1923451), // Rule ID 19736 //
     /* 1923370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1923373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1923390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1923412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923416 */     // MIs[0] policy
     /* 1923416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923426 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1923429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923450 */     // GIR_Coverage, 19736,
     /* 1923450 */     GIR_EraseRootFromParent_Done,
     /* 1923451 */   // Label 25863: @1923451
     /* 1923451 */   GIM_Try, /*On fail goto*//*Label 25864*/ GIMT_Encode4(1923537), // Rule ID 19737 //
     /* 1923456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1923459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1923467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1923470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1923473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1923476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1923479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1923498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923502 */     // MIs[0] policy
     /* 1923502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923512 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M2_E16_MASK),
     /* 1923515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923536 */     // GIR_Coverage, 19737,
     /* 1923536 */     GIR_EraseRootFromParent_Done,
     /* 1923537 */   // Label 25864: @1923537
     /* 1923537 */   GIM_Try, /*On fail goto*//*Label 25865*/ GIMT_Encode4(1923623), // Rule ID 19740 //
     /* 1923542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1923545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1923562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1923584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923588 */     // MIs[0] policy
     /* 1923588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923598 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1923601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923622 */     // GIR_Coverage, 19740,
     /* 1923622 */     GIR_EraseRootFromParent_Done,
     /* 1923623 */   // Label 25865: @1923623
     /* 1923623 */   GIM_Try, /*On fail goto*//*Label 25866*/ GIMT_Encode4(1923709), // Rule ID 19741 //
     /* 1923628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1923631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1923639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1923642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1923645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1923648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1923651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1923658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1923666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1923670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923674 */     // MIs[0] policy
     /* 1923674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923684 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M4_E16_MASK),
     /* 1923687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923708 */     // GIR_Coverage, 19741,
     /* 1923708 */     GIR_EraseRootFromParent_Done,
     /* 1923709 */   // Label 25866: @1923709
     /* 1923709 */   GIM_Try, /*On fail goto*//*Label 25867*/ GIMT_Encode4(1923795), // Rule ID 19744 //
     /* 1923714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1923717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1923725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1923728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1923731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1923734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1923756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923760 */     // MIs[0] policy
     /* 1923760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923770 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1923773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923794 */     // GIR_Coverage, 19744,
     /* 1923794 */     GIR_EraseRootFromParent_Done,
     /* 1923795 */   // Label 25867: @1923795
     /* 1923795 */   GIM_Try, /*On fail goto*//*Label 25868*/ GIMT_Encode4(1923881), // Rule ID 19745 //
     /* 1923800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1923803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1923811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1923814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1923817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1923820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1923823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1923830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1923838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1923842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923846 */     // MIs[0] policy
     /* 1923846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923856 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1923856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR16_M8_E16_MASK),
     /* 1923859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1923877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923880 */     // GIR_Coverage, 19745,
     /* 1923880 */     GIR_EraseRootFromParent_Done,
     /* 1923881 */   // Label 25868: @1923881
     /* 1923881 */   GIM_Try, /*On fail goto*//*Label 25869*/ GIMT_Encode4(1923967), // Rule ID 19748 //
     /* 1923886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1923889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1923912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1923916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1923924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1923928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1923932 */     // MIs[0] policy
     /* 1923932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1923935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1923942 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1923942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1923945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1923947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1923949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1923951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1923953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1923955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1923960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1923963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1923965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1923966 */     // GIR_Coverage, 19748,
     /* 1923966 */     GIR_EraseRootFromParent_Done,
     /* 1923967 */   // Label 25869: @1923967
     /* 1923967 */   GIM_Try, /*On fail goto*//*Label 25870*/ GIMT_Encode4(1924053), // Rule ID 19749 //
     /* 1923972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1923975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1923980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1923983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1923986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1923989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1923992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1923995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1923998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1924014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924018 */     // MIs[0] policy
     /* 1924018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924028 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M2_E32_MASK),
     /* 1924031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924052 */     // GIR_Coverage, 19749,
     /* 1924052 */     GIR_EraseRootFromParent_Done,
     /* 1924053 */   // Label 25870: @1924053
     /* 1924053 */   GIM_Try, /*On fail goto*//*Label 25871*/ GIMT_Encode4(1924139), // Rule ID 19752 //
     /* 1924058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1924061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1924100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924104 */     // MIs[0] policy
     /* 1924104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924114 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1924117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924138 */     // GIR_Coverage, 19752,
     /* 1924138 */     GIR_EraseRootFromParent_Done,
     /* 1924139 */   // Label 25871: @1924139
     /* 1924139 */   GIM_Try, /*On fail goto*//*Label 25872*/ GIMT_Encode4(1924225), // Rule ID 19753 //
     /* 1924144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1924147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1924155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1924158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1924161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1924186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924190 */     // MIs[0] policy
     /* 1924190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924200 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M4_E32_MASK),
     /* 1924203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924224 */     // GIR_Coverage, 19753,
     /* 1924224 */     GIR_EraseRootFromParent_Done,
     /* 1924225 */   // Label 25872: @1924225
     /* 1924225 */   GIM_Try, /*On fail goto*//*Label 25873*/ GIMT_Encode4(1924311), // Rule ID 19756 //
     /* 1924230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1924233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1924272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924276 */     // MIs[0] policy
     /* 1924276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924286 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1924289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924310 */     // GIR_Coverage, 19756,
     /* 1924310 */     GIR_EraseRootFromParent_Done,
     /* 1924311 */   // Label 25873: @1924311
     /* 1924311 */   GIM_Try, /*On fail goto*//*Label 25874*/ GIMT_Encode4(1924397), // Rule ID 19757 //
     /* 1924316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1924319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1924327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1924330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1924333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1924336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1924339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1924358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924362 */     // MIs[0] policy
     /* 1924362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924372 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR32_M8_E32_MASK),
     /* 1924375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1924393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924396 */     // GIR_Coverage, 19757,
     /* 1924396 */     GIR_EraseRootFromParent_Done,
     /* 1924397 */   // Label 25874: @1924397
     /* 1924397 */   GIM_Try, /*On fail goto*//*Label 25875*/ GIMT_Encode4(1924483), // Rule ID 19760 //
     /* 1924402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1924405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1924444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924448 */     // MIs[0] policy
     /* 1924448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924458 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1924461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924482 */     // GIR_Coverage, 19760,
     /* 1924482 */     GIR_EraseRootFromParent_Done,
     /* 1924483 */   // Label 25875: @1924483
     /* 1924483 */   GIM_Try, /*On fail goto*//*Label 25876*/ GIMT_Encode4(1924569), // Rule ID 19761 //
     /* 1924488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1924491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1924499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1924502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1924505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1924511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1924518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1924526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1924530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924534 */     // MIs[0] policy
     /* 1924534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924544 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11270:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M2_E64_MASK),
     /* 1924547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924568 */     // GIR_Coverage, 19761,
     /* 1924568 */     GIR_EraseRootFromParent_Done,
     /* 1924569 */   // Label 25876: @1924569
     /* 1924569 */   GIM_Try, /*On fail goto*//*Label 25877*/ GIMT_Encode4(1924655), // Rule ID 19764 //
     /* 1924574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1924577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1924591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1924616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924620 */     // MIs[0] policy
     /* 1924620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924630 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1924633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924654 */     // GIR_Coverage, 19764,
     /* 1924654 */     GIR_EraseRootFromParent_Done,
     /* 1924655 */   // Label 25877: @1924655
     /* 1924655 */   GIM_Try, /*On fail goto*//*Label 25878*/ GIMT_Encode4(1924741), // Rule ID 19765 //
     /* 1924660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1924663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1924671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1924674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1924677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1924683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1924690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1924698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1924702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924706 */     // MIs[0] policy
     /* 1924706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924716 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11270:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M4_E64_MASK),
     /* 1924719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924740 */     // GIR_Coverage, 19765,
     /* 1924740 */     GIR_EraseRootFromParent_Done,
     /* 1924741 */   // Label 25878: @1924741
     /* 1924741 */   GIM_Try, /*On fail goto*//*Label 25879*/ GIMT_Encode4(1924827), // Rule ID 19768 //
     /* 1924746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1924749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1924763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1924788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924792 */     // MIs[0] policy
     /* 1924792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924802 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1924805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924826 */     // GIR_Coverage, 19768,
     /* 1924826 */     GIR_EraseRootFromParent_Done,
     /* 1924827 */   // Label 25879: @1924827
     /* 1924827 */   GIM_Try, /*On fail goto*//*Label 25880*/ GIMT_Encode4(1924913), // Rule ID 19769 //
     /* 1924832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1924835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsgnjx_mask),
     /* 1924840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1924843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1924846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1924849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1924855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1924858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1924862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1924870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1924874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924878 */     // MIs[0] policy
     /* 1924878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924888 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11270:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSGNJX_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1924888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VFPR64_M8_E64_MASK),
     /* 1924891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1924895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1924909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924912 */     // GIR_Coverage, 19769,
     /* 1924912 */     GIR_EraseRootFromParent_Done,
     /* 1924913 */   // Label 25880: @1924913
     /* 1924913 */   GIM_Try, /*On fail goto*//*Label 25881*/ GIMT_Encode4(1924999), // Rule ID 23610 //
     /* 1924918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1924921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1924926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1924929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1924932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1924935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1924938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1924941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1924944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1924948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1924956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1924960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1924964 */     // MIs[0] policy
     /* 1924964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1924967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1924974 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1924974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1924977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1924979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1924981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1924983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1924985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1924987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1924992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1924995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1924997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1924998 */     // GIR_Coverage, 23610,
     /* 1924998 */     GIR_EraseRootFromParent_Done,
     /* 1924999 */   // Label 25881: @1924999
     /* 1924999 */   GIM_Try, /*On fail goto*//*Label 25882*/ GIMT_Encode4(1925085), // Rule ID 23611 //
     /* 1925004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1925015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1925018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1925021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925050 */     // MIs[0] policy
     /* 1925050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925060 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 1925063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925084 */     // GIR_Coverage, 23611,
     /* 1925084 */     GIR_EraseRootFromParent_Done,
     /* 1925085 */   // Label 25882: @1925085
     /* 1925085 */   GIM_Try, /*On fail goto*//*Label 25883*/ GIMT_Encode4(1925171), // Rule ID 23614 //
     /* 1925090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925136 */     // MIs[0] policy
     /* 1925136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925146 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1925149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925170 */     // GIR_Coverage, 23614,
     /* 1925170 */     GIR_EraseRootFromParent_Done,
     /* 1925171 */   // Label 25883: @1925171
     /* 1925171 */   GIM_Try, /*On fail goto*//*Label 25884*/ GIMT_Encode4(1925257), // Rule ID 23615 //
     /* 1925176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1925187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1925190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1925193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925222 */     // MIs[0] policy
     /* 1925222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925232 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1925235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925256 */     // GIR_Coverage, 23615,
     /* 1925256 */     GIR_EraseRootFromParent_Done,
     /* 1925257 */   // Label 25884: @1925257
     /* 1925257 */   GIM_Try, /*On fail goto*//*Label 25885*/ GIMT_Encode4(1925343), // Rule ID 23618 //
     /* 1925262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925308 */     // MIs[0] policy
     /* 1925308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925318 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1925321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925342 */     // GIR_Coverage, 23618,
     /* 1925342 */     GIR_EraseRootFromParent_Done,
     /* 1925343 */   // Label 25885: @1925343
     /* 1925343 */   GIM_Try, /*On fail goto*//*Label 25886*/ GIMT_Encode4(1925429), // Rule ID 23619 //
     /* 1925348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1925359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1925362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1925365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1925371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925394 */     // MIs[0] policy
     /* 1925394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925404 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1925407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925409 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1925425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925428 */     // GIR_Coverage, 23619,
     /* 1925428 */     GIR_EraseRootFromParent_Done,
     /* 1925429 */   // Label 25886: @1925429
     /* 1925429 */   GIM_Try, /*On fail goto*//*Label 25887*/ GIMT_Encode4(1925515), // Rule ID 23622 //
     /* 1925434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925480 */     // MIs[0] policy
     /* 1925480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925490 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1925493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925495 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925514 */     // GIR_Coverage, 23622,
     /* 1925514 */     GIR_EraseRootFromParent_Done,
     /* 1925515 */   // Label 25887: @1925515
     /* 1925515 */   GIM_Try, /*On fail goto*//*Label 25888*/ GIMT_Encode4(1925601), // Rule ID 23623 //
     /* 1925520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1925531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1925534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1925537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925566 */     // MIs[0] policy
     /* 1925566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925576 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1925579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925600 */     // GIR_Coverage, 23623,
     /* 1925600 */     GIR_EraseRootFromParent_Done,
     /* 1925601 */   // Label 25888: @1925601
     /* 1925601 */   GIM_Try, /*On fail goto*//*Label 25889*/ GIMT_Encode4(1925687), // Rule ID 23626 //
     /* 1925606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925652 */     // MIs[0] policy
     /* 1925652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925662 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1925665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925686 */     // GIR_Coverage, 23626,
     /* 1925686 */     GIR_EraseRootFromParent_Done,
     /* 1925687 */   // Label 25889: @1925687
     /* 1925687 */   GIM_Try, /*On fail goto*//*Label 25890*/ GIMT_Encode4(1925773), // Rule ID 23627 //
     /* 1925692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1925703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1925706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1925709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1925715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925738 */     // MIs[0] policy
     /* 1925738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925748 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1925751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1925769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925772 */     // GIR_Coverage, 23627,
     /* 1925772 */     GIR_EraseRootFromParent_Done,
     /* 1925773 */   // Label 25890: @1925773
     /* 1925773 */   GIM_Try, /*On fail goto*//*Label 25891*/ GIMT_Encode4(1925859), // Rule ID 23630 //
     /* 1925778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925824 */     // MIs[0] policy
     /* 1925824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925834 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1925834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1925837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925858 */     // GIR_Coverage, 23630,
     /* 1925858 */     GIR_EraseRootFromParent_Done,
     /* 1925859 */   // Label 25891: @1925859
     /* 1925859 */   GIM_Try, /*On fail goto*//*Label 25892*/ GIMT_Encode4(1925945), // Rule ID 23631 //
     /* 1925864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1925867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1925875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1925878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1925881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1925884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1925887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1925890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925910 */     // MIs[0] policy
     /* 1925910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1925920 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1925920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1925923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1925925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1925927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1925929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1925931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1925933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1925938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1925941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1925943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1925944 */     // GIR_Coverage, 23631,
     /* 1925944 */     GIR_EraseRootFromParent_Done,
     /* 1925945 */   // Label 25892: @1925945
     /* 1925945 */   GIM_Try, /*On fail goto*//*Label 25893*/ GIMT_Encode4(1926031), // Rule ID 23634 //
     /* 1925950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1925953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1925958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1925961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1925964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1925967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1925970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1925973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1925976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1925980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1925988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1925992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1925996 */     // MIs[0] policy
     /* 1925996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1925999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926006 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1926009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926030 */     // GIR_Coverage, 23634,
     /* 1926030 */     GIR_EraseRootFromParent_Done,
     /* 1926031 */   // Label 25893: @1926031
     /* 1926031 */   GIM_Try, /*On fail goto*//*Label 25894*/ GIMT_Encode4(1926117), // Rule ID 23635 //
     /* 1926036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1926047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1926050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1926053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1926059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926082 */     // MIs[0] policy
     /* 1926082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926092 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11552:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1926095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926116 */     // GIR_Coverage, 23635,
     /* 1926116 */     GIR_EraseRootFromParent_Done,
     /* 1926117 */   // Label 25894: @1926117
     /* 1926117 */   GIM_Try, /*On fail goto*//*Label 25895*/ GIMT_Encode4(1926203), // Rule ID 23638 //
     /* 1926122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926168 */     // MIs[0] policy
     /* 1926168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926178 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1926181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926202 */     // GIR_Coverage, 23638,
     /* 1926202 */     GIR_EraseRootFromParent_Done,
     /* 1926203 */   // Label 25895: @1926203
     /* 1926203 */   GIM_Try, /*On fail goto*//*Label 25896*/ GIMT_Encode4(1926289), // Rule ID 23639 //
     /* 1926208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1926219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1926222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1926225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1926231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926254 */     // MIs[0] policy
     /* 1926254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926264 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1926267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1926285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926288 */     // GIR_Coverage, 23639,
     /* 1926288 */     GIR_EraseRootFromParent_Done,
     /* 1926289 */   // Label 25896: @1926289
     /* 1926289 */   GIM_Try, /*On fail goto*//*Label 25897*/ GIMT_Encode4(1926375), // Rule ID 23642 //
     /* 1926294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926340 */     // MIs[0] policy
     /* 1926340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926350 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1926353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926374 */     // GIR_Coverage, 23642,
     /* 1926374 */     GIR_EraseRootFromParent_Done,
     /* 1926375 */   // Label 25897: @1926375
     /* 1926375 */   GIM_Try, /*On fail goto*//*Label 25898*/ GIMT_Encode4(1926461), // Rule ID 23643 //
     /* 1926380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1926391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1926394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1926397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1926403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926426 */     // MIs[0] policy
     /* 1926426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926436 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1926439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1926457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926460 */     // GIR_Coverage, 23643,
     /* 1926460 */     GIR_EraseRootFromParent_Done,
     /* 1926461 */   // Label 25898: @1926461
     /* 1926461 */   GIM_Try, /*On fail goto*//*Label 25899*/ GIMT_Encode4(1926547), // Rule ID 23646 //
     /* 1926466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1926469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926512 */     // MIs[0] policy
     /* 1926512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926522 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1926525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926546 */     // GIR_Coverage, 23646,
     /* 1926546 */     GIR_EraseRootFromParent_Done,
     /* 1926547 */   // Label 25899: @1926547
     /* 1926547 */   GIM_Try, /*On fail goto*//*Label 25900*/ GIMT_Encode4(1926633), // Rule ID 23647 //
     /* 1926552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1926555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1926563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1926566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1926569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1926575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1926582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1926590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926598 */     // MIs[0] policy
     /* 1926598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926608 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1926611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1926629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926632 */     // GIR_Coverage, 23647,
     /* 1926632 */     GIR_EraseRootFromParent_Done,
     /* 1926633 */   // Label 25900: @1926633
     /* 1926633 */   GIM_Try, /*On fail goto*//*Label 25901*/ GIMT_Encode4(1926719), // Rule ID 23650 //
     /* 1926638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926684 */     // MIs[0] policy
     /* 1926684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926694 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1926697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926718 */     // GIR_Coverage, 23650,
     /* 1926718 */     GIR_EraseRootFromParent_Done,
     /* 1926719 */   // Label 25901: @1926719
     /* 1926719 */   GIM_Try, /*On fail goto*//*Label 25902*/ GIMT_Encode4(1926805), // Rule ID 23651 //
     /* 1926724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1926735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1926738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1926741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1926747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1926754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1926762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926770 */     // MIs[0] policy
     /* 1926770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926780 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1926783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926804 */     // GIR_Coverage, 23651,
     /* 1926804 */     GIR_EraseRootFromParent_Done,
     /* 1926805 */   // Label 25902: @1926805
     /* 1926805 */   GIM_Try, /*On fail goto*//*Label 25903*/ GIMT_Encode4(1926891), // Rule ID 23654 //
     /* 1926810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1926830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1926836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926856 */     // MIs[0] policy
     /* 1926856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926866 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1926866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1926869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926890 */     // GIR_Coverage, 23654,
     /* 1926890 */     GIR_EraseRootFromParent_Done,
     /* 1926891 */   // Label 25903: @1926891
     /* 1926891 */   GIM_Try, /*On fail goto*//*Label 25904*/ GIMT_Encode4(1926977), // Rule ID 23655 //
     /* 1926896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1926899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1926907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1926910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1926913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1926916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1926919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1926922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1926926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1926934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1926938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1926942 */     // MIs[0] policy
     /* 1926942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1926945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1926952 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1926952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1926955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1926957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1926959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1926961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1926963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1926965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1926970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1926973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1926975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1926976 */     // GIR_Coverage, 23655,
     /* 1926976 */     GIR_EraseRootFromParent_Done,
     /* 1926977 */   // Label 25904: @1926977
     /* 1926977 */   GIM_Try, /*On fail goto*//*Label 25905*/ GIMT_Encode4(1927063), // Rule ID 23658 //
     /* 1926982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1926985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1926990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1926993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1926996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1926999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927028 */     // MIs[0] policy
     /* 1927028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927038 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1927041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927062 */     // GIR_Coverage, 23658,
     /* 1927062 */     GIR_EraseRootFromParent_Done,
     /* 1927063 */   // Label 25905: @1927063
     /* 1927063 */   GIM_Try, /*On fail goto*//*Label 25906*/ GIMT_Encode4(1927149), // Rule ID 23659 //
     /* 1927068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1927079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1927082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1927085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1927091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927114 */     // MIs[0] policy
     /* 1927114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927124 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1927127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1927145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927148 */     // GIR_Coverage, 23659,
     /* 1927148 */     GIR_EraseRootFromParent_Done,
     /* 1927149 */   // Label 25906: @1927149
     /* 1927149 */   GIM_Try, /*On fail goto*//*Label 25907*/ GIMT_Encode4(1927235), // Rule ID 23662 //
     /* 1927154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927200 */     // MIs[0] policy
     /* 1927200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927210 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1927213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927234 */     // GIR_Coverage, 23662,
     /* 1927234 */     GIR_EraseRootFromParent_Done,
     /* 1927235 */   // Label 25907: @1927235
     /* 1927235 */   GIM_Try, /*On fail goto*//*Label 25908*/ GIMT_Encode4(1927321), // Rule ID 23663 //
     /* 1927240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1927251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1927254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1927257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927286 */     // MIs[0] policy
     /* 1927286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927296 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1927299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927320 */     // GIR_Coverage, 23663,
     /* 1927320 */     GIR_EraseRootFromParent_Done,
     /* 1927321 */   // Label 25908: @1927321
     /* 1927321 */   GIM_Try, /*On fail goto*//*Label 25909*/ GIMT_Encode4(1927407), // Rule ID 23666 //
     /* 1927326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927372 */     // MIs[0] policy
     /* 1927372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927382 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1927385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927387 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927406 */     // GIR_Coverage, 23666,
     /* 1927406 */     GIR_EraseRootFromParent_Done,
     /* 1927407 */   // Label 25909: @1927407
     /* 1927407 */   GIM_Try, /*On fail goto*//*Label 25910*/ GIMT_Encode4(1927493), // Rule ID 23667 //
     /* 1927412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1927423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1927426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1927429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1927435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927458 */     // MIs[0] policy
     /* 1927458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927468 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1927471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927492 */     // GIR_Coverage, 23667,
     /* 1927492 */     GIR_EraseRootFromParent_Done,
     /* 1927493 */   // Label 25910: @1927493
     /* 1927493 */   GIM_Try, /*On fail goto*//*Label 25911*/ GIMT_Encode4(1927579), // Rule ID 23670 //
     /* 1927498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927544 */     // MIs[0] policy
     /* 1927544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927554 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1927557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927559 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927578 */     // GIR_Coverage, 23670,
     /* 1927578 */     GIR_EraseRootFromParent_Done,
     /* 1927579 */   // Label 25911: @1927579
     /* 1927579 */   GIM_Try, /*On fail goto*//*Label 25912*/ GIMT_Encode4(1927665), // Rule ID 23671 //
     /* 1927584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1927595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1927598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1927601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1927607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1927614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1927622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927630 */     // MIs[0] policy
     /* 1927630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927640 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1927643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1927661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927664 */     // GIR_Coverage, 23671,
     /* 1927664 */     GIR_EraseRootFromParent_Done,
     /* 1927665 */   // Label 25912: @1927665
     /* 1927665 */   GIM_Try, /*On fail goto*//*Label 25913*/ GIMT_Encode4(1927751), // Rule ID 23674 //
     /* 1927670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927716 */     // MIs[0] policy
     /* 1927716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1927729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927750 */     // GIR_Coverage, 23674,
     /* 1927750 */     GIR_EraseRootFromParent_Done,
     /* 1927751 */   // Label 25913: @1927751
     /* 1927751 */   GIM_Try, /*On fail goto*//*Label 25914*/ GIMT_Encode4(1927837), // Rule ID 23675 //
     /* 1927756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1927767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1927770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1927773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1927779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1927786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1927794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927802 */     // MIs[0] policy
     /* 1927802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1927815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927836 */     // GIR_Coverage, 23675,
     /* 1927836 */     GIR_EraseRootFromParent_Done,
     /* 1927837 */   // Label 25914: @1927837
     /* 1927837 */   GIM_Try, /*On fail goto*//*Label 25915*/ GIMT_Encode4(1927923), // Rule ID 23678 //
     /* 1927842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1927845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1927862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1927868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927888 */     // MIs[0] policy
     /* 1927888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1927898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1927901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1927916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1927919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1927921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1927922 */     // GIR_Coverage, 23678,
     /* 1927922 */     GIR_EraseRootFromParent_Done,
     /* 1927923 */   // Label 25915: @1927923
     /* 1927923 */   GIM_Try, /*On fail goto*//*Label 25916*/ GIMT_Encode4(1928009), // Rule ID 23679 //
     /* 1927928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1927931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1927936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1927939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1927942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1927945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1927948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1927951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1927954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1927958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1927966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1927970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1927974 */     // MIs[0] policy
     /* 1927974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1927977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1927984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1927984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1927987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1927989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1927991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1927993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1927995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1927997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928008 */     // GIR_Coverage, 23679,
     /* 1928008 */     GIR_EraseRootFromParent_Done,
     /* 1928009 */   // Label 25916: @1928009
     /* 1928009 */   GIM_Try, /*On fail goto*//*Label 25917*/ GIMT_Encode4(1928095), // Rule ID 23682 //
     /* 1928014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928060 */     // MIs[0] policy
     /* 1928060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928070 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1928073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928094 */     // GIR_Coverage, 23682,
     /* 1928094 */     GIR_EraseRootFromParent_Done,
     /* 1928095 */   // Label 25917: @1928095
     /* 1928095 */   GIM_Try, /*On fail goto*//*Label 25918*/ GIMT_Encode4(1928181), // Rule ID 23683 //
     /* 1928100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1928111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1928114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1928117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1928123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928146 */     // MIs[0] policy
     /* 1928146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1928159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1928177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928180 */     // GIR_Coverage, 23683,
     /* 1928180 */     GIR_EraseRootFromParent_Done,
     /* 1928181 */   // Label 25918: @1928181
     /* 1928181 */   GIM_Try, /*On fail goto*//*Label 25919*/ GIMT_Encode4(1928267), // Rule ID 23686 //
     /* 1928186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928232 */     // MIs[0] policy
     /* 1928232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928242 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1928245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928266 */     // GIR_Coverage, 23686,
     /* 1928266 */     GIR_EraseRootFromParent_Done,
     /* 1928267 */   // Label 25919: @1928267
     /* 1928267 */   GIM_Try, /*On fail goto*//*Label 25920*/ GIMT_Encode4(1928353), // Rule ID 23687 //
     /* 1928272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1928283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1928286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1928289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1928302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1928310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928318 */     // MIs[0] policy
     /* 1928318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928328 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1928331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928352 */     // GIR_Coverage, 23687,
     /* 1928352 */     GIR_EraseRootFromParent_Done,
     /* 1928353 */   // Label 25920: @1928353
     /* 1928353 */   GIM_Try, /*On fail goto*//*Label 25921*/ GIMT_Encode4(1928439), // Rule ID 23690 //
     /* 1928358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928404 */     // MIs[0] policy
     /* 1928404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928414 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1928417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928438 */     // GIR_Coverage, 23690,
     /* 1928438 */     GIR_EraseRootFromParent_Done,
     /* 1928439 */   // Label 25921: @1928439
     /* 1928439 */   GIM_Try, /*On fail goto*//*Label 25922*/ GIMT_Encode4(1928525), // Rule ID 23691 //
     /* 1928444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1928455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1928458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1928461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1928467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1928474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1928482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928490 */     // MIs[0] policy
     /* 1928490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928500 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1928503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928524 */     // GIR_Coverage, 23691,
     /* 1928524 */     GIR_EraseRootFromParent_Done,
     /* 1928525 */   // Label 25922: @1928525
     /* 1928525 */   GIM_Try, /*On fail goto*//*Label 25923*/ GIMT_Encode4(1928611), // Rule ID 23694 //
     /* 1928530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1928533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928576 */     // MIs[0] policy
     /* 1928576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928586 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1928589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928610 */     // GIR_Coverage, 23694,
     /* 1928610 */     GIR_EraseRootFromParent_Done,
     /* 1928611 */   // Label 25923: @1928611
     /* 1928611 */   GIM_Try, /*On fail goto*//*Label 25924*/ GIMT_Encode4(1928697), // Rule ID 23695 //
     /* 1928616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1928619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1928624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1928627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1928630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1928633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1928639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1928646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1928654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928662 */     // MIs[0] policy
     /* 1928662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928672 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1928675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928677 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1928693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928696 */     // GIR_Coverage, 23695,
     /* 1928696 */     GIR_EraseRootFromParent_Done,
     /* 1928697 */   // Label 25924: @1928697
     /* 1928697 */   GIM_Try, /*On fail goto*//*Label 25925*/ GIMT_Encode4(1928783), // Rule ID 23786 //
     /* 1928702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1928710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1928713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1928716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1928719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928748 */     // MIs[0] policy
     /* 1928748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928758 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1928761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928782 */     // GIR_Coverage, 23786,
     /* 1928782 */     GIR_EraseRootFromParent_Done,
     /* 1928783 */   // Label 25925: @1928783
     /* 1928783 */   GIM_Try, /*On fail goto*//*Label 25926*/ GIMT_Encode4(1928869), // Rule ID 23787 //
     /* 1928788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1928796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1928799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1928802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1928805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1928811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928834 */     // MIs[0] policy
     /* 1928834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928844 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs3, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1928844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 1928847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928868 */     // GIR_Coverage, 23787,
     /* 1928868 */     GIR_EraseRootFromParent_Done,
     /* 1928869 */   // Label 25926: @1928869
     /* 1928869 */   GIM_Try, /*On fail goto*//*Label 25927*/ GIMT_Encode4(1928955), // Rule ID 23790 //
     /* 1928874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1928877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1928882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1928885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1928888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1928891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1928894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1928900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1928916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1928920 */     // MIs[0] policy
     /* 1928920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1928923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1928930 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1928930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1928933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1928935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1928937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1928939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1928941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1928943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1928948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1928951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1928953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1928954 */     // GIR_Coverage, 23790,
     /* 1928954 */     GIR_EraseRootFromParent_Done,
     /* 1928955 */   // Label 25927: @1928955
     /* 1928955 */   GIM_Try, /*On fail goto*//*Label 25928*/ GIMT_Encode4(1929041), // Rule ID 23791 //
     /* 1928960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1928963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1928968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1928971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1928974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1928977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1928980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1928983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1928986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1928990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1928998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929006 */     // MIs[0] policy
     /* 1929006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929016 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs3, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1929019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929040 */     // GIR_Coverage, 23791,
     /* 1929040 */     GIR_EraseRootFromParent_Done,
     /* 1929041 */   // Label 25928: @1929041
     /* 1929041 */   GIM_Try, /*On fail goto*//*Label 25929*/ GIMT_Encode4(1929127), // Rule ID 23794 //
     /* 1929046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1929057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1929060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1929063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929092 */     // MIs[0] policy
     /* 1929092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929102 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1929105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929107 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929126 */     // GIR_Coverage, 23794,
     /* 1929126 */     GIR_EraseRootFromParent_Done,
     /* 1929127 */   // Label 25929: @1929127
     /* 1929127 */   GIM_Try, /*On fail goto*//*Label 25930*/ GIMT_Encode4(1929213), // Rule ID 23795 //
     /* 1929132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1929143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1929146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1929149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929178 */     // MIs[0] policy
     /* 1929178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929188 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1929191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929212 */     // GIR_Coverage, 23795,
     /* 1929212 */     GIR_EraseRootFromParent_Done,
     /* 1929213 */   // Label 25930: @1929213
     /* 1929213 */   GIM_Try, /*On fail goto*//*Label 25931*/ GIMT_Encode4(1929299), // Rule ID 23798 //
     /* 1929218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1929229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1929232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1929235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929264 */     // MIs[0] policy
     /* 1929264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929274 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1929277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929298 */     // GIR_Coverage, 23798,
     /* 1929298 */     GIR_EraseRootFromParent_Done,
     /* 1929299 */   // Label 25931: @1929299
     /* 1929299 */   GIM_Try, /*On fail goto*//*Label 25932*/ GIMT_Encode4(1929385), // Rule ID 23799 //
     /* 1929304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1929315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1929318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1929321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929350 */     // MIs[0] policy
     /* 1929350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs3, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1929363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929384 */     // GIR_Coverage, 23799,
     /* 1929384 */     GIR_EraseRootFromParent_Done,
     /* 1929385 */   // Label 25932: @1929385
     /* 1929385 */   GIM_Try, /*On fail goto*//*Label 25933*/ GIMT_Encode4(1929471), // Rule ID 23802 //
     /* 1929390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929436 */     // MIs[0] policy
     /* 1929436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929446 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1929449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929470 */     // GIR_Coverage, 23802,
     /* 1929470 */     GIR_EraseRootFromParent_Done,
     /* 1929471 */   // Label 25933: @1929471
     /* 1929471 */   GIM_Try, /*On fail goto*//*Label 25934*/ GIMT_Encode4(1929557), // Rule ID 23803 //
     /* 1929476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1929487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1929490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1929493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1929499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929522 */     // MIs[0] policy
     /* 1929522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929532 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs3, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1929535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929556 */     // GIR_Coverage, 23803,
     /* 1929556 */     GIR_EraseRootFromParent_Done,
     /* 1929557 */   // Label 25934: @1929557
     /* 1929557 */   GIM_Try, /*On fail goto*//*Label 25935*/ GIMT_Encode4(1929643), // Rule ID 23806 //
     /* 1929562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929608 */     // MIs[0] policy
     /* 1929608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929618 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1929621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929642 */     // GIR_Coverage, 23806,
     /* 1929642 */     GIR_EraseRootFromParent_Done,
     /* 1929643 */   // Label 25935: @1929643
     /* 1929643 */   GIM_Try, /*On fail goto*//*Label 25936*/ GIMT_Encode4(1929729), // Rule ID 23807 //
     /* 1929648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1929659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1929662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1929665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1929671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929694 */     // MIs[0] policy
     /* 1929694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929704 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1929707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1929725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929728 */     // GIR_Coverage, 23807,
     /* 1929728 */     GIR_EraseRootFromParent_Done,
     /* 1929729 */   // Label 25936: @1929729
     /* 1929729 */   GIM_Try, /*On fail goto*//*Label 25937*/ GIMT_Encode4(1929815), // Rule ID 23810 //
     /* 1929734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1929745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1929748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1929751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929780 */     // MIs[0] policy
     /* 1929780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929790 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1929793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929814 */     // GIR_Coverage, 23810,
     /* 1929814 */     GIR_EraseRootFromParent_Done,
     /* 1929815 */   // Label 25937: @1929815
     /* 1929815 */   GIM_Try, /*On fail goto*//*Label 25938*/ GIMT_Encode4(1929901), // Rule ID 23811 //
     /* 1929820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1929831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1929834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1929837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1929840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1929843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1929846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929866 */     // MIs[0] policy
     /* 1929866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929876 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11550:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1929876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1929879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1929897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929900 */     // GIR_Coverage, 23811,
     /* 1929900 */     GIR_EraseRootFromParent_Done,
     /* 1929901 */   // Label 25938: @1929901
     /* 1929901 */   GIM_Try, /*On fail goto*//*Label 25939*/ GIMT_Encode4(1929987), // Rule ID 23814 //
     /* 1929906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1929909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1929914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1929917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1929920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1929923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1929926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1929929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1929932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1929936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1929944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1929948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1929952 */     // MIs[0] policy
     /* 1929952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1929955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1929962 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1929962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1929965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1929967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1929969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1929971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1929973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1929975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1929980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1929983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1929985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1929986 */     // GIR_Coverage, 23814,
     /* 1929986 */     GIR_EraseRootFromParent_Done,
     /* 1929987 */   // Label 25939: @1929987
     /* 1929987 */   GIM_Try, /*On fail goto*//*Label 25940*/ GIMT_Encode4(1930073), // Rule ID 23815 //
     /* 1929992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1929995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1930003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1930006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1930009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1930015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930038 */     // MIs[0] policy
     /* 1930038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1930069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930072 */     // GIR_Coverage, 23815,
     /* 1930072 */     GIR_EraseRootFromParent_Done,
     /* 1930073 */   // Label 25940: @1930073
     /* 1930073 */   GIM_Try, /*On fail goto*//*Label 25941*/ GIMT_Encode4(1930159), // Rule ID 23818 //
     /* 1930078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1930089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1930092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1930095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930124 */     // MIs[0] policy
     /* 1930124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930158 */     // GIR_Coverage, 23818,
     /* 1930158 */     GIR_EraseRootFromParent_Done,
     /* 1930159 */   // Label 25941: @1930159
     /* 1930159 */   GIM_Try, /*On fail goto*//*Label 25942*/ GIMT_Encode4(1930245), // Rule ID 23819 //
     /* 1930164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1930175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1930178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1930181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1930187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930210 */     // MIs[0] policy
     /* 1930210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930225 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1930241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930244 */     // GIR_Coverage, 23819,
     /* 1930244 */     GIR_EraseRootFromParent_Done,
     /* 1930245 */   // Label 25942: @1930245
     /* 1930245 */   GIM_Try, /*On fail goto*//*Label 25943*/ GIMT_Encode4(1930331), // Rule ID 23822 //
     /* 1930250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1930253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930296 */     // MIs[0] policy
     /* 1930296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930306 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930330 */     // GIR_Coverage, 23822,
     /* 1930330 */     GIR_EraseRootFromParent_Done,
     /* 1930331 */   // Label 25943: @1930331
     /* 1930331 */   GIM_Try, /*On fail goto*//*Label 25944*/ GIMT_Encode4(1930417), // Rule ID 23823 //
     /* 1930336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1930339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1930347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1930350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1930353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1930359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1930366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1930374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930382 */     // MIs[0] policy
     /* 1930382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930392 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1930395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1930413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930416 */     // GIR_Coverage, 23823,
     /* 1930416 */     GIR_EraseRootFromParent_Done,
     /* 1930417 */   // Label 25944: @1930417
     /* 1930417 */   GIM_Try, /*On fail goto*//*Label 25945*/ GIMT_Encode4(1930503), // Rule ID 23826 //
     /* 1930422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1930433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1930436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1930439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930468 */     // MIs[0] policy
     /* 1930468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930478 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1930481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930502 */     // GIR_Coverage, 23826,
     /* 1930502 */     GIR_EraseRootFromParent_Done,
     /* 1930503 */   // Label 25945: @1930503
     /* 1930503 */   GIM_Try, /*On fail goto*//*Label 25946*/ GIMT_Encode4(1930589), // Rule ID 23827 //
     /* 1930508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1930519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1930522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1930525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1930531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930554 */     // MIs[0] policy
     /* 1930554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930564 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1930567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930588 */     // GIR_Coverage, 23827,
     /* 1930588 */     GIR_EraseRootFromParent_Done,
     /* 1930589 */   // Label 25946: @1930589
     /* 1930589 */   GIM_Try, /*On fail goto*//*Label 25947*/ GIMT_Encode4(1930675), // Rule ID 23830 //
     /* 1930594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1930605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1930608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1930611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930640 */     // MIs[0] policy
     /* 1930640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930650 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1930653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930655 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930674 */     // GIR_Coverage, 23830,
     /* 1930674 */     GIR_EraseRootFromParent_Done,
     /* 1930675 */   // Label 25947: @1930675
     /* 1930675 */   GIM_Try, /*On fail goto*//*Label 25948*/ GIMT_Encode4(1930761), // Rule ID 23831 //
     /* 1930680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1930691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1930694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1930697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1930703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1930710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1930718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930726 */     // MIs[0] policy
     /* 1930726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930736 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1930739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930760 */     // GIR_Coverage, 23831,
     /* 1930760 */     GIR_EraseRootFromParent_Done,
     /* 1930761 */   // Label 25948: @1930761
     /* 1930761 */   GIM_Try, /*On fail goto*//*Label 25949*/ GIMT_Encode4(1930847), // Rule ID 23834 //
     /* 1930766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1930777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1930780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1930783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1930789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930812 */     // MIs[0] policy
     /* 1930812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930822 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1930825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930846 */     // GIR_Coverage, 23834,
     /* 1930846 */     GIR_EraseRootFromParent_Done,
     /* 1930847 */   // Label 25949: @1930847
     /* 1930847 */   GIM_Try, /*On fail goto*//*Label 25950*/ GIMT_Encode4(1930933), // Rule ID 23835 //
     /* 1930852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1930855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1930863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1930866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1930869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1930872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1930875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1930878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1930882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1930890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930898 */     // MIs[0] policy
     /* 1930898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930908 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1930908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1930911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1930915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1930917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1930919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1930921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1930926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1930929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1930931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1930932 */     // GIR_Coverage, 23835,
     /* 1930932 */     GIR_EraseRootFromParent_Done,
     /* 1930933 */   // Label 25950: @1930933
     /* 1930933 */   GIM_Try, /*On fail goto*//*Label 25951*/ GIMT_Encode4(1931019), // Rule ID 23838 //
     /* 1930938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1930941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1930946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1930949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1930952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1930955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1930958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1930961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1930964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1930968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1930976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1930980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1930984 */     // MIs[0] policy
     /* 1930984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1930987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1930994 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1930994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1930997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1930999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931018 */     // GIR_Coverage, 23838,
     /* 1931018 */     GIR_EraseRootFromParent_Done,
     /* 1931019 */   // Label 25951: @1931019
     /* 1931019 */   GIM_Try, /*On fail goto*//*Label 25952*/ GIMT_Encode4(1931105), // Rule ID 23839 //
     /* 1931024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1931035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1931038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1931041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931070 */     // MIs[0] policy
     /* 1931070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931080 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1931083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931104 */     // GIR_Coverage, 23839,
     /* 1931104 */     GIR_EraseRootFromParent_Done,
     /* 1931105 */   // Label 25952: @1931105
     /* 1931105 */   GIM_Try, /*On fail goto*//*Label 25953*/ GIMT_Encode4(1931191), // Rule ID 23842 //
     /* 1931110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931156 */     // MIs[0] policy
     /* 1931156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931166 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1931169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931190 */     // GIR_Coverage, 23842,
     /* 1931190 */     GIR_EraseRootFromParent_Done,
     /* 1931191 */   // Label 25953: @1931191
     /* 1931191 */   GIM_Try, /*On fail goto*//*Label 25954*/ GIMT_Encode4(1931277), // Rule ID 23843 //
     /* 1931196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1931207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1931210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1931213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931242 */     // MIs[0] policy
     /* 1931242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1931255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931276 */     // GIR_Coverage, 23843,
     /* 1931276 */     GIR_EraseRootFromParent_Done,
     /* 1931277 */   // Label 25954: @1931277
     /* 1931277 */   GIM_Try, /*On fail goto*//*Label 25955*/ GIMT_Encode4(1931363), // Rule ID 23846 //
     /* 1931282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1931293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1931296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1931299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931328 */     // MIs[0] policy
     /* 1931328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931338 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1931341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931362 */     // GIR_Coverage, 23846,
     /* 1931362 */     GIR_EraseRootFromParent_Done,
     /* 1931363 */   // Label 25955: @1931363
     /* 1931363 */   GIM_Try, /*On fail goto*//*Label 25956*/ GIMT_Encode4(1931449), // Rule ID 23847 //
     /* 1931368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1931379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1931382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1931385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1931391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931414 */     // MIs[0] policy
     /* 1931414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1931427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1931445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931448 */     // GIR_Coverage, 23847,
     /* 1931448 */     GIR_EraseRootFromParent_Done,
     /* 1931449 */   // Label 25956: @1931449
     /* 1931449 */   GIM_Try, /*On fail goto*//*Label 25957*/ GIMT_Encode4(1931535), // Rule ID 23850 //
     /* 1931454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1931465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1931468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1931471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931500 */     // MIs[0] policy
     /* 1931500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931510 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1931513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931534 */     // GIR_Coverage, 23850,
     /* 1931534 */     GIR_EraseRootFromParent_Done,
     /* 1931535 */   // Label 25957: @1931535
     /* 1931535 */   GIM_Try, /*On fail goto*//*Label 25958*/ GIMT_Encode4(1931621), // Rule ID 23851 //
     /* 1931540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1931551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1931554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1931557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1931563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1931570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1931578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931586 */     // MIs[0] policy
     /* 1931586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931596 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1931599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931620 */     // GIR_Coverage, 23851,
     /* 1931620 */     GIR_EraseRootFromParent_Done,
     /* 1931621 */   // Label 25958: @1931621
     /* 1931621 */   GIM_Try, /*On fail goto*//*Label 25959*/ GIMT_Encode4(1931707), // Rule ID 23854 //
     /* 1931626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1931637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1931640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1931643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931672 */     // MIs[0] policy
     /* 1931672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931682 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1931685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931706 */     // GIR_Coverage, 23854,
     /* 1931706 */     GIR_EraseRootFromParent_Done,
     /* 1931707 */   // Label 25959: @1931707
     /* 1931707 */   GIM_Try, /*On fail goto*//*Label 25960*/ GIMT_Encode4(1931793), // Rule ID 23855 //
     /* 1931712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1931723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1931726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1931729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1931735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1931742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1931750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931758 */     // MIs[0] policy
     /* 1931758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1931771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931792 */     // GIR_Coverage, 23855,
     /* 1931792 */     GIR_EraseRootFromParent_Done,
     /* 1931793 */   // Label 25960: @1931793
     /* 1931793 */   GIM_Try, /*On fail goto*//*Label 25961*/ GIMT_Encode4(1931879), // Rule ID 23858 //
     /* 1931798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1931801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931844 */     // MIs[0] policy
     /* 1931844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931854 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1931854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1931857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931878 */     // GIR_Coverage, 23858,
     /* 1931878 */     GIR_EraseRootFromParent_Done,
     /* 1931879 */   // Label 25961: @1931879
     /* 1931879 */   GIM_Try, /*On fail goto*//*Label 25962*/ GIMT_Encode4(1931965), // Rule ID 23859 //
     /* 1931884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1931887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1931895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1931898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1931901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1931904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1931907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1931910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1931914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1931922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1931926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1931930 */     // MIs[0] policy
     /* 1931930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1931933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1931940 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1931940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1931943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1931945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1931947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1931949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1931951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1931953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1931958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1931961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1931963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1931964 */     // GIR_Coverage, 23859,
     /* 1931964 */     GIR_EraseRootFromParent_Done,
     /* 1931965 */   // Label 25962: @1931965
     /* 1931965 */   GIM_Try, /*On fail goto*//*Label 25963*/ GIMT_Encode4(1932051), // Rule ID 23862 //
     /* 1931970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1931973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1931978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1931981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1931984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1931987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1931990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1931993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1931996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932016 */     // MIs[0] policy
     /* 1932016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932026 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932050 */     // GIR_Coverage, 23862,
     /* 1932050 */     GIR_EraseRootFromParent_Done,
     /* 1932051 */   // Label 25963: @1932051
     /* 1932051 */   GIM_Try, /*On fail goto*//*Label 25964*/ GIMT_Encode4(1932137), // Rule ID 23863 //
     /* 1932056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1932059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1932067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1932070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1932073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1932086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1932094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932102 */     // MIs[0] policy
     /* 1932102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932112 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1932115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932136 */     // GIR_Coverage, 23863,
     /* 1932136 */     GIR_EraseRootFromParent_Done,
     /* 1932137 */   // Label 25964: @1932137
     /* 1932137 */   GIM_Try, /*On fail goto*//*Label 25965*/ GIMT_Encode4(1932223), // Rule ID 23866 //
     /* 1932142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1932145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932188 */     // MIs[0] policy
     /* 1932188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932198 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932222 */     // GIR_Coverage, 23866,
     /* 1932222 */     GIR_EraseRootFromParent_Done,
     /* 1932223 */   // Label 25965: @1932223
     /* 1932223 */   GIM_Try, /*On fail goto*//*Label 25966*/ GIMT_Encode4(1932309), // Rule ID 23867 //
     /* 1932228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1932231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1932239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1932242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1932245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1932258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1932266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932274 */     // MIs[0] policy
     /* 1932274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932284 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1932287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932308 */     // GIR_Coverage, 23867,
     /* 1932308 */     GIR_EraseRootFromParent_Done,
     /* 1932309 */   // Label 25966: @1932309
     /* 1932309 */   GIM_Try, /*On fail goto*//*Label 25967*/ GIMT_Encode4(1932395), // Rule ID 23870 //
     /* 1932314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1932317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1932325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1932328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1932331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932360 */     // MIs[0] policy
     /* 1932360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932370 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932394 */     // GIR_Coverage, 23870,
     /* 1932394 */     GIR_EraseRootFromParent_Done,
     /* 1932395 */   // Label 25967: @1932395
     /* 1932395 */   GIM_Try, /*On fail goto*//*Label 25968*/ GIMT_Encode4(1932481), // Rule ID 23871 //
     /* 1932400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1932403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1932408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1932411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1932414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1932417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1932423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1932430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1932438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932446 */     // MIs[0] policy
     /* 1932446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932456 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1932459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1932463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1932477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932480 */     // GIR_Coverage, 23871,
     /* 1932480 */     GIR_EraseRootFromParent_Done,
     /* 1932481 */   // Label 25968: @1932481
     /* 1932481 */   GIM_Try, /*On fail goto*//*Label 25969*/ GIMT_Encode4(1932567), // Rule ID 23962 //
     /* 1932486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1932494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1932497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1932500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1932503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932532 */     // MIs[0] policy
     /* 1932532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932542 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1932545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932566 */     // GIR_Coverage, 23962,
     /* 1932566 */     GIR_EraseRootFromParent_Done,
     /* 1932567 */   // Label 25969: @1932567
     /* 1932567 */   GIM_Try, /*On fail goto*//*Label 25970*/ GIMT_Encode4(1932653), // Rule ID 23963 //
     /* 1932572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1932580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1932583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1932586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1932589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1932595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932618 */     // MIs[0] policy
     /* 1932618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932628 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF8_MASK),
     /* 1932631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932652 */     // GIR_Coverage, 23963,
     /* 1932652 */     GIR_EraseRootFromParent_Done,
     /* 1932653 */   // Label 25970: @1932653
     /* 1932653 */   GIM_Try, /*On fail goto*//*Label 25971*/ GIMT_Encode4(1932739), // Rule ID 23966 //
     /* 1932658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1932666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1932669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1932672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1932675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932704 */     // MIs[0] policy
     /* 1932704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932714 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1932717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932738 */     // GIR_Coverage, 23966,
     /* 1932738 */     GIR_EraseRootFromParent_Done,
     /* 1932739 */   // Label 25971: @1932739
     /* 1932739 */   GIM_Try, /*On fail goto*//*Label 25972*/ GIMT_Encode4(1932825), // Rule ID 23967 //
     /* 1932744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1932752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1932755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1932758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1932761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1932767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932790 */     // MIs[0] policy
     /* 1932790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932800 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1932803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932824 */     // GIR_Coverage, 23967,
     /* 1932824 */     GIR_EraseRootFromParent_Done,
     /* 1932825 */   // Label 25972: @1932825
     /* 1932825 */   GIM_Try, /*On fail goto*//*Label 25973*/ GIMT_Encode4(1932911), // Rule ID 23970 //
     /* 1932830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1932833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1932838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1932841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1932844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1932847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1932850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1932856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932876 */     // MIs[0] policy
     /* 1932876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932886 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1932886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1932889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932910 */     // GIR_Coverage, 23970,
     /* 1932910 */     GIR_EraseRootFromParent_Done,
     /* 1932911 */   // Label 25973: @1932911
     /* 1932911 */   GIM_Try, /*On fail goto*//*Label 25974*/ GIMT_Encode4(1932997), // Rule ID 23971 //
     /* 1932916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1932919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1932924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1932927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1932930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1932933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1932936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1932939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1932942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1932946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1932954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1932958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1932962 */     // MIs[0] policy
     /* 1932962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1932965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1932972 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1932972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1932975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1932977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1932979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1932981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1932983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1932985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1932990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1932993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1932995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1932996 */     // GIR_Coverage, 23971,
     /* 1932996 */     GIR_EraseRootFromParent_Done,
     /* 1932997 */   // Label 25974: @1932997
     /* 1932997 */   GIM_Try, /*On fail goto*//*Label 25975*/ GIMT_Encode4(1933083), // Rule ID 23974 //
     /* 1933002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933048 */     // MIs[0] policy
     /* 1933048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933058 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1933061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933082 */     // GIR_Coverage, 23974,
     /* 1933082 */     GIR_EraseRootFromParent_Done,
     /* 1933083 */   // Label 25975: @1933083
     /* 1933083 */   GIM_Try, /*On fail goto*//*Label 25976*/ GIMT_Encode4(1933169), // Rule ID 23975 //
     /* 1933088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1933099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1933102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1933105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933134 */     // MIs[0] policy
     /* 1933134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF4_MASK),
     /* 1933147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933168 */     // GIR_Coverage, 23975,
     /* 1933168 */     GIR_EraseRootFromParent_Done,
     /* 1933169 */   // Label 25976: @1933169
     /* 1933169 */   GIM_Try, /*On fail goto*//*Label 25977*/ GIMT_Encode4(1933255), // Rule ID 23978 //
     /* 1933174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933220 */     // MIs[0] policy
     /* 1933220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933230 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1933233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933254 */     // GIR_Coverage, 23978,
     /* 1933254 */     GIR_EraseRootFromParent_Done,
     /* 1933255 */   // Label 25977: @1933255
     /* 1933255 */   GIM_Try, /*On fail goto*//*Label 25978*/ GIMT_Encode4(1933341), // Rule ID 23979 //
     /* 1933260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1933271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1933274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1933277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933306 */     // MIs[0] policy
     /* 1933306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933316 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1933319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933340 */     // GIR_Coverage, 23979,
     /* 1933340 */     GIR_EraseRootFromParent_Done,
     /* 1933341 */   // Label 25978: @1933341
     /* 1933341 */   GIM_Try, /*On fail goto*//*Label 25979*/ GIMT_Encode4(1933427), // Rule ID 23982 //
     /* 1933346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933392 */     // MIs[0] policy
     /* 1933392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933402 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1933405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933426 */     // GIR_Coverage, 23982,
     /* 1933426 */     GIR_EraseRootFromParent_Done,
     /* 1933427 */   // Label 25979: @1933427
     /* 1933427 */   GIM_Try, /*On fail goto*//*Label 25980*/ GIMT_Encode4(1933513), // Rule ID 23983 //
     /* 1933432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1933443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1933446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1933449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1933455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933478 */     // MIs[0] policy
     /* 1933478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933488 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_MF2_MASK),
     /* 1933491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933512 */     // GIR_Coverage, 23983,
     /* 1933512 */     GIR_EraseRootFromParent_Done,
     /* 1933513 */   // Label 25980: @1933513
     /* 1933513 */   GIM_Try, /*On fail goto*//*Label 25981*/ GIMT_Encode4(1933599), // Rule ID 23986 //
     /* 1933518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1933529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1933532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1933535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933564 */     // MIs[0] policy
     /* 1933564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933574 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1933577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933598 */     // GIR_Coverage, 23986,
     /* 1933598 */     GIR_EraseRootFromParent_Done,
     /* 1933599 */   // Label 25981: @1933599
     /* 1933599 */   GIM_Try, /*On fail goto*//*Label 25982*/ GIMT_Encode4(1933685), // Rule ID 23987 //
     /* 1933604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1933615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1933618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1933621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1933627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933650 */     // MIs[0] policy
     /* 1933650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933660 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11548:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1933663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1933681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933684 */     // GIR_Coverage, 23987,
     /* 1933684 */     GIR_EraseRootFromParent_Done,
     /* 1933685 */   // Label 25982: @1933685
     /* 1933685 */   GIM_Try, /*On fail goto*//*Label 25983*/ GIMT_Encode4(1933771), // Rule ID 23990 //
     /* 1933690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933736 */     // MIs[0] policy
     /* 1933736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933746 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1933749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933770 */     // GIR_Coverage, 23990,
     /* 1933770 */     GIR_EraseRootFromParent_Done,
     /* 1933771 */   // Label 25983: @1933771
     /* 1933771 */   GIM_Try, /*On fail goto*//*Label 25984*/ GIMT_Encode4(1933857), // Rule ID 23991 //
     /* 1933776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1933787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1933790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1933793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1933799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933822 */     // MIs[0] policy
     /* 1933822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933832 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11548:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1933832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1933835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1933853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933856 */     // GIR_Coverage, 23991,
     /* 1933856 */     GIR_EraseRootFromParent_Done,
     /* 1933857 */   // Label 25984: @1933857
     /* 1933857 */   GIM_Try, /*On fail goto*//*Label 25985*/ GIMT_Encode4(1933943), // Rule ID 23994 //
     /* 1933862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1933865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1933882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1933888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933908 */     // MIs[0] policy
     /* 1933908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1933918 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1933918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1933921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1933923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1933925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1933927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1933929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1933931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1933936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1933939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1933941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1933942 */     // GIR_Coverage, 23994,
     /* 1933942 */     GIR_EraseRootFromParent_Done,
     /* 1933943 */   // Label 25985: @1933943
     /* 1933943 */   GIM_Try, /*On fail goto*//*Label 25986*/ GIMT_Encode4(1934029), // Rule ID 23995 //
     /* 1933948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1933951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1933956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1933959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1933962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1933965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1933968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1933971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1933974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1933978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1933986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1933990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1933994 */     // MIs[0] policy
     /* 1933994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1933997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934004 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11548:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1934007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1934025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934028 */     // GIR_Coverage, 23995,
     /* 1934028 */     GIR_EraseRootFromParent_Done,
     /* 1934029 */   // Label 25986: @1934029
     /* 1934029 */   GIM_Try, /*On fail goto*//*Label 25987*/ GIMT_Encode4(1934115), // Rule ID 23998 //
     /* 1934034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1934037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934080 */     // MIs[0] policy
     /* 1934080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934090 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1934093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934114 */     // GIR_Coverage, 23998,
     /* 1934114 */     GIR_EraseRootFromParent_Done,
     /* 1934115 */   // Label 25987: @1934115
     /* 1934115 */   GIM_Try, /*On fail goto*//*Label 25988*/ GIMT_Encode4(1934201), // Rule ID 23999 //
     /* 1934120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1934123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1934131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1934134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1934137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1934143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1934150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1934158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934166 */     // MIs[0] policy
     /* 1934166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934176 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11548:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M1_MASK),
     /* 1934179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1934197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934200 */     // GIR_Coverage, 23999,
     /* 1934200 */     GIR_EraseRootFromParent_Done,
     /* 1934201 */   // Label 25988: @1934201
     /* 1934201 */   GIM_Try, /*On fail goto*//*Label 25989*/ GIMT_Encode4(1934287), // Rule ID 24002 //
     /* 1934206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1934217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1934220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1934223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934252 */     // MIs[0] policy
     /* 1934252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934262 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1934265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934286 */     // GIR_Coverage, 24002,
     /* 1934286 */     GIR_EraseRootFromParent_Done,
     /* 1934287 */   // Label 25989: @1934287
     /* 1934287 */   GIM_Try, /*On fail goto*//*Label 25990*/ GIMT_Encode4(1934373), // Rule ID 24003 //
     /* 1934292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1934303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1934306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1934309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934338 */     // MIs[0] policy
     /* 1934338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934348 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1934351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934372 */     // GIR_Coverage, 24003,
     /* 1934372 */     GIR_EraseRootFromParent_Done,
     /* 1934373 */   // Label 25990: @1934373
     /* 1934373 */   GIM_Try, /*On fail goto*//*Label 25991*/ GIMT_Encode4(1934459), // Rule ID 24006 //
     /* 1934378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1934389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1934392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1934395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934424 */     // MIs[0] policy
     /* 1934424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934434 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1934437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934458 */     // GIR_Coverage, 24006,
     /* 1934458 */     GIR_EraseRootFromParent_Done,
     /* 1934459 */   // Label 25991: @1934459
     /* 1934459 */   GIM_Try, /*On fail goto*//*Label 25992*/ GIMT_Encode4(1934545), // Rule ID 24007 //
     /* 1934464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1934475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1934478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1934481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1934487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934510 */     // MIs[0] policy
     /* 1934510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934520 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1934523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934544 */     // GIR_Coverage, 24007,
     /* 1934544 */     GIR_EraseRootFromParent_Done,
     /* 1934545 */   // Label 25992: @1934545
     /* 1934545 */   GIM_Try, /*On fail goto*//*Label 25993*/ GIMT_Encode4(1934631), // Rule ID 24010 //
     /* 1934550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1934561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1934564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1934567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1934573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934596 */     // MIs[0] policy
     /* 1934596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934606 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1934609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934630 */     // GIR_Coverage, 24010,
     /* 1934630 */     GIR_EraseRootFromParent_Done,
     /* 1934631 */   // Label 25993: @1934631
     /* 1934631 */   GIM_Try, /*On fail goto*//*Label 25994*/ GIMT_Encode4(1934717), // Rule ID 24011 //
     /* 1934636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1934647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1934650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1934653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1934659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1934666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1934674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934682 */     // MIs[0] policy
     /* 1934682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934692 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1934695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1934713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934716 */     // GIR_Coverage, 24011,
     /* 1934716 */     GIR_EraseRootFromParent_Done,
     /* 1934717 */   // Label 25994: @1934717
     /* 1934717 */   GIM_Try, /*On fail goto*//*Label 25995*/ GIMT_Encode4(1934803), // Rule ID 24014 //
     /* 1934722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934768 */     // MIs[0] policy
     /* 1934768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934778 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1934781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934802 */     // GIR_Coverage, 24014,
     /* 1934802 */     GIR_EraseRootFromParent_Done,
     /* 1934803 */   // Label 25995: @1934803
     /* 1934803 */   GIM_Try, /*On fail goto*//*Label 25996*/ GIMT_Encode4(1934889), // Rule ID 24015 //
     /* 1934808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1934819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1934822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1934825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1934828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1934831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1934834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1934838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1934846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934854 */     // MIs[0] policy
     /* 1934854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934864 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1934864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1934867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934888 */     // GIR_Coverage, 24015,
     /* 1934888 */     GIR_EraseRootFromParent_Done,
     /* 1934889 */   // Label 25996: @1934889
     /* 1934889 */   GIM_Try, /*On fail goto*//*Label 25997*/ GIMT_Encode4(1934975), // Rule ID 24018 //
     /* 1934894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1934897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1934905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1934908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1934911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1934914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1934917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1934920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1934924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1934932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1934936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1934940 */     // MIs[0] policy
     /* 1934940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1934943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1934950 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1934950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1934953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1934955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1934957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1934959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1934961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1934963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1934968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1934971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1934973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1934974 */     // GIR_Coverage, 24018,
     /* 1934974 */     GIR_EraseRootFromParent_Done,
     /* 1934975 */   // Label 25997: @1934975
     /* 1934975 */   GIM_Try, /*On fail goto*//*Label 25998*/ GIMT_Encode4(1935061), // Rule ID 24019 //
     /* 1934980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1934983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1934988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1934991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1934994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1934997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935026 */     // MIs[0] policy
     /* 1935026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935036 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1935039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935060 */     // GIR_Coverage, 24019,
     /* 1935060 */     GIR_EraseRootFromParent_Done,
     /* 1935061 */   // Label 25998: @1935061
     /* 1935061 */   GIM_Try, /*On fail goto*//*Label 25999*/ GIMT_Encode4(1935147), // Rule ID 24022 //
     /* 1935066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935112 */     // MIs[0] policy
     /* 1935112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935122 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1935125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935146 */     // GIR_Coverage, 24022,
     /* 1935146 */     GIR_EraseRootFromParent_Done,
     /* 1935147 */   // Label 25999: @1935147
     /* 1935147 */   GIM_Try, /*On fail goto*//*Label 26000*/ GIMT_Encode4(1935233), // Rule ID 24023 //
     /* 1935152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1935163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1935166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1935169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1935175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935198 */     // MIs[0] policy
     /* 1935198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935208 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1935211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1935229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935232 */     // GIR_Coverage, 24023,
     /* 1935232 */     GIR_EraseRootFromParent_Done,
     /* 1935233 */   // Label 26000: @1935233
     /* 1935233 */   GIM_Try, /*On fail goto*//*Label 26001*/ GIMT_Encode4(1935319), // Rule ID 24026 //
     /* 1935238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935284 */     // MIs[0] policy
     /* 1935284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935294 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1935297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935318 */     // GIR_Coverage, 24026,
     /* 1935318 */     GIR_EraseRootFromParent_Done,
     /* 1935319 */   // Label 26001: @1935319
     /* 1935319 */   GIM_Try, /*On fail goto*//*Label 26002*/ GIMT_Encode4(1935405), // Rule ID 24027 //
     /* 1935324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1935335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1935338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1935341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935370 */     // MIs[0] policy
     /* 1935370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935380 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1935383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935404 */     // GIR_Coverage, 24027,
     /* 1935404 */     GIR_EraseRootFromParent_Done,
     /* 1935405 */   // Label 26002: @1935405
     /* 1935405 */   GIM_Try, /*On fail goto*//*Label 26003*/ GIMT_Encode4(1935491), // Rule ID 24030 //
     /* 1935410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935456 */     // MIs[0] policy
     /* 1935456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935466 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1935469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935490 */     // GIR_Coverage, 24030,
     /* 1935490 */     GIR_EraseRootFromParent_Done,
     /* 1935491 */   // Label 26003: @1935491
     /* 1935491 */   GIM_Try, /*On fail goto*//*Label 26004*/ GIMT_Encode4(1935577), // Rule ID 24031 //
     /* 1935496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1935507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1935510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1935513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1935519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935542 */     // MIs[0] policy
     /* 1935542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935552 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1935555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935576 */     // GIR_Coverage, 24031,
     /* 1935576 */     GIR_EraseRootFromParent_Done,
     /* 1935577 */   // Label 26004: @1935577
     /* 1935577 */   GIM_Try, /*On fail goto*//*Label 26005*/ GIMT_Encode4(1935663), // Rule ID 24034 //
     /* 1935582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1935585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935628 */     // MIs[0] policy
     /* 1935628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935638 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1935641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935662 */     // GIR_Coverage, 24034,
     /* 1935662 */     GIR_EraseRootFromParent_Done,
     /* 1935663 */   // Label 26005: @1935663
     /* 1935663 */   GIM_Try, /*On fail goto*//*Label 26006*/ GIMT_Encode4(1935749), // Rule ID 24035 //
     /* 1935668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1935671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1935679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1935682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1935685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1935691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1935698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1935706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935714 */     // MIs[0] policy
     /* 1935714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935724 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1935727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1935745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935748 */     // GIR_Coverage, 24035,
     /* 1935748 */     GIR_EraseRootFromParent_Done,
     /* 1935749 */   // Label 26006: @1935749
     /* 1935749 */   GIM_Try, /*On fail goto*//*Label 26007*/ GIMT_Encode4(1935835), // Rule ID 24038 //
     /* 1935754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1935757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935800 */     // MIs[0] policy
     /* 1935800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935810 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1935813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935834 */     // GIR_Coverage, 24038,
     /* 1935834 */     GIR_EraseRootFromParent_Done,
     /* 1935835 */   // Label 26007: @1935835
     /* 1935835 */   GIM_Try, /*On fail goto*//*Label 26008*/ GIMT_Encode4(1935921), // Rule ID 24039 //
     /* 1935840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1935843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1935851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1935854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1935857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1935860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1935863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1935866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1935870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1935878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935886 */     // MIs[0] policy
     /* 1935886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935896 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11548:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1935896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M2_MASK),
     /* 1935899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1935914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1935917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1935919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1935920 */     // GIR_Coverage, 24039,
     /* 1935920 */     GIR_EraseRootFromParent_Done,
     /* 1935921 */   // Label 26008: @1935921
     /* 1935921 */   GIM_Try, /*On fail goto*//*Label 26009*/ GIMT_Encode4(1936007), // Rule ID 24042 //
     /* 1935926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1935929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1935934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1935937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1935940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1935943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1935946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1935949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1935952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1935956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1935964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1935968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1935972 */     // MIs[0] policy
     /* 1935972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1935975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1935982 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1935982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1935985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1935987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1935989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1935991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1935993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1935995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936006 */     // GIR_Coverage, 24042,
     /* 1936006 */     GIR_EraseRootFromParent_Done,
     /* 1936007 */   // Label 26009: @1936007
     /* 1936007 */   GIM_Try, /*On fail goto*//*Label 26010*/ GIMT_Encode4(1936093), // Rule ID 24043 //
     /* 1936012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1936020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1936023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1936026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1936029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1936042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1936050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936058 */     // MIs[0] policy
     /* 1936058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936068 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11548:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M4_MASK),
     /* 1936071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936092 */     // GIR_Coverage, 24043,
     /* 1936092 */     GIR_EraseRootFromParent_Done,
     /* 1936093 */   // Label 26010: @1936093
     /* 1936093 */   GIM_Try, /*On fail goto*//*Label 26011*/ GIMT_Encode4(1936179), // Rule ID 24046 //
     /* 1936098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1936101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1936106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936144 */     // MIs[0] policy
     /* 1936144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936154 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1936157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936178 */     // GIR_Coverage, 24046,
     /* 1936178 */     GIR_EraseRootFromParent_Done,
     /* 1936179 */   // Label 26011: @1936179
     /* 1936179 */   GIM_Try, /*On fail goto*//*Label 26012*/ GIMT_Encode4(1936265), // Rule ID 24047 //
     /* 1936184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1936187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1up_mask),
     /* 1936192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1936195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1936198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1936201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1936207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1936214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1936222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936230 */     // MIs[0] policy
     /* 1936230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936240 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11548:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1UP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1UP_VX_M8_MASK),
     /* 1936243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1936261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936264 */     // GIR_Coverage, 24047,
     /* 1936264 */     GIR_EraseRootFromParent_Done,
     /* 1936265 */   // Label 26012: @1936265
     /* 1936265 */   GIM_Try, /*On fail goto*//*Label 26013*/ GIMT_Encode4(1936351), // Rule ID 24050 //
     /* 1936270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1936281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1936284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1936287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936316 */     // MIs[0] policy
     /* 1936316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936326 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1936329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936350 */     // GIR_Coverage, 24050,
     /* 1936350 */     GIR_EraseRootFromParent_Done,
     /* 1936351 */   // Label 26013: @1936351
     /* 1936351 */   GIM_Try, /*On fail goto*//*Label 26014*/ GIMT_Encode4(1936437), // Rule ID 24051 //
     /* 1936356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1936367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1936370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1936373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936402 */     // MIs[0] policy
     /* 1936402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936412 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF8_MASK),
     /* 1936415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936436 */     // GIR_Coverage, 24051,
     /* 1936436 */     GIR_EraseRootFromParent_Done,
     /* 1936437 */   // Label 26014: @1936437
     /* 1936437 */   GIM_Try, /*On fail goto*//*Label 26015*/ GIMT_Encode4(1936523), // Rule ID 24054 //
     /* 1936442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1936453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1936456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1936459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936488 */     // MIs[0] policy
     /* 1936488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936498 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1936501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936522 */     // GIR_Coverage, 24054,
     /* 1936522 */     GIR_EraseRootFromParent_Done,
     /* 1936523 */   // Label 26015: @1936523
     /* 1936523 */   GIM_Try, /*On fail goto*//*Label 26016*/ GIMT_Encode4(1936609), // Rule ID 24055 //
     /* 1936528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1936539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1936542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1936545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936574 */     // MIs[0] policy
     /* 1936574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936584 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1936587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936608 */     // GIR_Coverage, 24055,
     /* 1936608 */     GIR_EraseRootFromParent_Done,
     /* 1936609 */   // Label 26016: @1936609
     /* 1936609 */   GIM_Try, /*On fail goto*//*Label 26017*/ GIMT_Encode4(1936695), // Rule ID 24058 //
     /* 1936614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1936625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1936628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1936631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936660 */     // MIs[0] policy
     /* 1936660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936670 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1936673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936694 */     // GIR_Coverage, 24058,
     /* 1936694 */     GIR_EraseRootFromParent_Done,
     /* 1936695 */   // Label 26017: @1936695
     /* 1936695 */   GIM_Try, /*On fail goto*//*Label 26018*/ GIMT_Encode4(1936781), // Rule ID 24059 //
     /* 1936700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1936711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1936714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1936717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1936723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936746 */     // MIs[0] policy
     /* 1936746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936756 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1936759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1936777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936780 */     // GIR_Coverage, 24059,
     /* 1936780 */     GIR_EraseRootFromParent_Done,
     /* 1936781 */   // Label 26018: @1936781
     /* 1936781 */   GIM_Try, /*On fail goto*//*Label 26019*/ GIMT_Encode4(1936867), // Rule ID 24062 //
     /* 1936786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936832 */     // MIs[0] policy
     /* 1936832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936842 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1936842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1936845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936866 */     // GIR_Coverage, 24062,
     /* 1936866 */     GIR_EraseRootFromParent_Done,
     /* 1936867 */   // Label 26019: @1936867
     /* 1936867 */   GIM_Try, /*On fail goto*//*Label 26020*/ GIMT_Encode4(1936953), // Rule ID 24063 //
     /* 1936872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1936875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1936883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1936886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1936889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1936892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1936895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1936898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1936914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1936918 */     // MIs[0] policy
     /* 1936918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1936921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1936928 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1936928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF4_MASK),
     /* 1936931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1936933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1936935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1936937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1936939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1936941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1936946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1936949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1936951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1936952 */     // GIR_Coverage, 24063,
     /* 1936952 */     GIR_EraseRootFromParent_Done,
     /* 1936953 */   // Label 26020: @1936953
     /* 1936953 */   GIM_Try, /*On fail goto*//*Label 26021*/ GIMT_Encode4(1937039), // Rule ID 24066 //
     /* 1936958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1936961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1936966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1936969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1936972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1936975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1936978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1936981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1936984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1936988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1936996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937004 */     // MIs[0] policy
     /* 1937004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937014 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1937017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937038 */     // GIR_Coverage, 24066,
     /* 1937038 */     GIR_EraseRootFromParent_Done,
     /* 1937039 */   // Label 26021: @1937039
     /* 1937039 */   GIM_Try, /*On fail goto*//*Label 26022*/ GIMT_Encode4(1937125), // Rule ID 24067 //
     /* 1937044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1937055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1937058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1937061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937090 */     // MIs[0] policy
     /* 1937090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937100 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1937103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937124 */     // GIR_Coverage, 24067,
     /* 1937124 */     GIR_EraseRootFromParent_Done,
     /* 1937125 */   // Label 26022: @1937125
     /* 1937125 */   GIM_Try, /*On fail goto*//*Label 26023*/ GIMT_Encode4(1937211), // Rule ID 24070 //
     /* 1937130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937176 */     // MIs[0] policy
     /* 1937176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937186 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1937189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937210 */     // GIR_Coverage, 24070,
     /* 1937210 */     GIR_EraseRootFromParent_Done,
     /* 1937211 */   // Label 26023: @1937211
     /* 1937211 */   GIM_Try, /*On fail goto*//*Label 26024*/ GIMT_Encode4(1937297), // Rule ID 24071 //
     /* 1937216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1937227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1937230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1937233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937262 */     // MIs[0] policy
     /* 1937262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937272 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_MF2_MASK),
     /* 1937275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937296 */     // GIR_Coverage, 24071,
     /* 1937296 */     GIR_EraseRootFromParent_Done,
     /* 1937297 */   // Label 26024: @1937297
     /* 1937297 */   GIM_Try, /*On fail goto*//*Label 26025*/ GIMT_Encode4(1937383), // Rule ID 24074 //
     /* 1937302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1937313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1937316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1937319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937348 */     // MIs[0] policy
     /* 1937348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937358 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1937361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937382 */     // GIR_Coverage, 24074,
     /* 1937382 */     GIR_EraseRootFromParent_Done,
     /* 1937383 */   // Label 26025: @1937383
     /* 1937383 */   GIM_Try, /*On fail goto*//*Label 26026*/ GIMT_Encode4(1937469), // Rule ID 24075 //
     /* 1937388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1937399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1937402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1937405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1937411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937434 */     // MIs[0] policy
     /* 1937434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937444 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11546:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1937447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1937465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937468 */     // GIR_Coverage, 24075,
     /* 1937468 */     GIR_EraseRootFromParent_Done,
     /* 1937469 */   // Label 26026: @1937469
     /* 1937469 */   GIM_Try, /*On fail goto*//*Label 26027*/ GIMT_Encode4(1937555), // Rule ID 24078 //
     /* 1937474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937520 */     // MIs[0] policy
     /* 1937520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937530 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1937533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937554 */     // GIR_Coverage, 24078,
     /* 1937554 */     GIR_EraseRootFromParent_Done,
     /* 1937555 */   // Label 26027: @1937555
     /* 1937555 */   GIM_Try, /*On fail goto*//*Label 26028*/ GIMT_Encode4(1937641), // Rule ID 24079 //
     /* 1937560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1937571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1937574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1937577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1937583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937606 */     // MIs[0] policy
     /* 1937606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937616 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11546:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1937619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1937637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937640 */     // GIR_Coverage, 24079,
     /* 1937640 */     GIR_EraseRootFromParent_Done,
     /* 1937641 */   // Label 26028: @1937641
     /* 1937641 */   GIM_Try, /*On fail goto*//*Label 26029*/ GIMT_Encode4(1937727), // Rule ID 24082 //
     /* 1937646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937692 */     // MIs[0] policy
     /* 1937692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937702 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1937705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937726 */     // GIR_Coverage, 24082,
     /* 1937726 */     GIR_EraseRootFromParent_Done,
     /* 1937727 */   // Label 26029: @1937727
     /* 1937727 */   GIM_Try, /*On fail goto*//*Label 26030*/ GIMT_Encode4(1937813), // Rule ID 24083 //
     /* 1937732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1937735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1937743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1937746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1937749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1937755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937778 */     // MIs[0] policy
     /* 1937778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937788 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11546:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1937791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1937809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937812 */     // GIR_Coverage, 24083,
     /* 1937812 */     GIR_EraseRootFromParent_Done,
     /* 1937813 */   // Label 26030: @1937813
     /* 1937813 */   GIM_Try, /*On fail goto*//*Label 26031*/ GIMT_Encode4(1937899), // Rule ID 24086 //
     /* 1937818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1937821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1937838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1937844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937864 */     // MIs[0] policy
     /* 1937864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937874 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1937874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1937877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937898 */     // GIR_Coverage, 24086,
     /* 1937898 */     GIR_EraseRootFromParent_Done,
     /* 1937899 */   // Label 26031: @1937899
     /* 1937899 */   GIM_Try, /*On fail goto*//*Label 26032*/ GIMT_Encode4(1937985), // Rule ID 24087 //
     /* 1937904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1937907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1937915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1937918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1937921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1937924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1937927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1937930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1937934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1937942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1937946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1937950 */     // MIs[0] policy
     /* 1937950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1937953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1937960 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11546:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1937960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M1_MASK),
     /* 1937963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1937965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1937967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1937969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1937971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1937973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1937978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1937981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1937983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1937984 */     // GIR_Coverage, 24087,
     /* 1937984 */     GIR_EraseRootFromParent_Done,
     /* 1937985 */   // Label 26032: @1937985
     /* 1937985 */   GIM_Try, /*On fail goto*//*Label 26033*/ GIMT_Encode4(1938071), // Rule ID 24090 //
     /* 1937990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1937993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1937998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1938001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1938004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1938007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938036 */     // MIs[0] policy
     /* 1938036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938046 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1938049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938070 */     // GIR_Coverage, 24090,
     /* 1938070 */     GIR_EraseRootFromParent_Done,
     /* 1938071 */   // Label 26033: @1938071
     /* 1938071 */   GIM_Try, /*On fail goto*//*Label 26034*/ GIMT_Encode4(1938157), // Rule ID 24091 //
     /* 1938076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1938087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1938090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1938093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938122 */     // MIs[0] policy
     /* 1938122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938132 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1938135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938156 */     // GIR_Coverage, 24091,
     /* 1938156 */     GIR_EraseRootFromParent_Done,
     /* 1938157 */   // Label 26034: @1938157
     /* 1938157 */   GIM_Try, /*On fail goto*//*Label 26035*/ GIMT_Encode4(1938243), // Rule ID 24094 //
     /* 1938162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1938173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1938176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1938179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938208 */     // MIs[0] policy
     /* 1938208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938218 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1938221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938242 */     // GIR_Coverage, 24094,
     /* 1938242 */     GIR_EraseRootFromParent_Done,
     /* 1938243 */   // Label 26035: @1938243
     /* 1938243 */   GIM_Try, /*On fail goto*//*Label 26036*/ GIMT_Encode4(1938329), // Rule ID 24095 //
     /* 1938248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1938259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1938262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1938265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938294 */     // MIs[0] policy
     /* 1938294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938304 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1938307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938328 */     // GIR_Coverage, 24095,
     /* 1938328 */     GIR_EraseRootFromParent_Done,
     /* 1938329 */   // Label 26036: @1938329
     /* 1938329 */   GIM_Try, /*On fail goto*//*Label 26037*/ GIMT_Encode4(1938415), // Rule ID 24098 //
     /* 1938334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1938345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1938348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1938351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1938357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938380 */     // MIs[0] policy
     /* 1938380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938390 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1938393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938414 */     // GIR_Coverage, 24098,
     /* 1938414 */     GIR_EraseRootFromParent_Done,
     /* 1938415 */   // Label 26037: @1938415
     /* 1938415 */   GIM_Try, /*On fail goto*//*Label 26038*/ GIMT_Encode4(1938501), // Rule ID 24099 //
     /* 1938420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1938431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1938434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1938437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1938443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938466 */     // MIs[0] policy
     /* 1938466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938476 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1938479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1938497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938500 */     // GIR_Coverage, 24099,
     /* 1938500 */     GIR_EraseRootFromParent_Done,
     /* 1938501 */   // Label 26038: @1938501
     /* 1938501 */   GIM_Try, /*On fail goto*//*Label 26039*/ GIMT_Encode4(1938587), // Rule ID 24102 //
     /* 1938506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1938517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1938520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1938523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938552 */     // MIs[0] policy
     /* 1938552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938562 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1938565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938586 */     // GIR_Coverage, 24102,
     /* 1938586 */     GIR_EraseRootFromParent_Done,
     /* 1938587 */   // Label 26039: @1938587
     /* 1938587 */   GIM_Try, /*On fail goto*//*Label 26040*/ GIMT_Encode4(1938673), // Rule ID 24103 //
     /* 1938592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1938603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1938606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1938609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1938615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1938622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1938630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938638 */     // MIs[0] policy
     /* 1938638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938648 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1938651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938672 */     // GIR_Coverage, 24103,
     /* 1938672 */     GIR_EraseRootFromParent_Done,
     /* 1938673 */   // Label 26040: @1938673
     /* 1938673 */   GIM_Try, /*On fail goto*//*Label 26041*/ GIMT_Encode4(1938759), // Rule ID 24106 //
     /* 1938678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1938689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1938692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1938695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938724 */     // MIs[0] policy
     /* 1938724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938734 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1938737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938758 */     // GIR_Coverage, 24106,
     /* 1938758 */     GIR_EraseRootFromParent_Done,
     /* 1938759 */   // Label 26041: @1938759
     /* 1938759 */   GIM_Try, /*On fail goto*//*Label 26042*/ GIMT_Encode4(1938845), // Rule ID 24107 //
     /* 1938764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1938775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1938778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1938781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1938787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1938794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1938802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938810 */     // MIs[0] policy
     /* 1938810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938820 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1938823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938844 */     // GIR_Coverage, 24107,
     /* 1938844 */     GIR_EraseRootFromParent_Done,
     /* 1938845 */   // Label 26042: @1938845
     /* 1938845 */   GIM_Try, /*On fail goto*//*Label 26043*/ GIMT_Encode4(1938931), // Rule ID 24110 //
     /* 1938850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1938853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1938861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1938864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1938867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1938870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1938876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938896 */     // MIs[0] policy
     /* 1938896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938906 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1938906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1938909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1938915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1938917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1938919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1938924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1938927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1938929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1938930 */     // GIR_Coverage, 24110,
     /* 1938930 */     GIR_EraseRootFromParent_Done,
     /* 1938931 */   // Label 26043: @1938931
     /* 1938931 */   GIM_Try, /*On fail goto*//*Label 26044*/ GIMT_Encode4(1939017), // Rule ID 24111 //
     /* 1938936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1938939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1938944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1938947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1938950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1938953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1938956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1938959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1938962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1938966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1938974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1938978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1938982 */     // MIs[0] policy
     /* 1938982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1938985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1938992 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1938992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1938995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1938997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1938999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1939013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939016 */     // GIR_Coverage, 24111,
     /* 1939016 */     GIR_EraseRootFromParent_Done,
     /* 1939017 */   // Label 26044: @1939017
     /* 1939017 */   GIM_Try, /*On fail goto*//*Label 26045*/ GIMT_Encode4(1939103), // Rule ID 24114 //
     /* 1939022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1939033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1939036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1939039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939068 */     // MIs[0] policy
     /* 1939068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939078 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1939081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939102 */     // GIR_Coverage, 24114,
     /* 1939102 */     GIR_EraseRootFromParent_Done,
     /* 1939103 */   // Label 26045: @1939103
     /* 1939103 */   GIM_Try, /*On fail goto*//*Label 26046*/ GIMT_Encode4(1939189), // Rule ID 24115 //
     /* 1939108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1939119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1939122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1939125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939154 */     // MIs[0] policy
     /* 1939154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939164 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1939167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939188 */     // GIR_Coverage, 24115,
     /* 1939188 */     GIR_EraseRootFromParent_Done,
     /* 1939189 */   // Label 26046: @1939189
     /* 1939189 */   GIM_Try, /*On fail goto*//*Label 26047*/ GIMT_Encode4(1939275), // Rule ID 24118 //
     /* 1939194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1939205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1939208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1939211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939240 */     // MIs[0] policy
     /* 1939240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939250 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1939253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939274 */     // GIR_Coverage, 24118,
     /* 1939274 */     GIR_EraseRootFromParent_Done,
     /* 1939275 */   // Label 26047: @1939275
     /* 1939275 */   GIM_Try, /*On fail goto*//*Label 26048*/ GIMT_Encode4(1939361), // Rule ID 24119 //
     /* 1939280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1939291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1939294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1939297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939326 */     // MIs[0] policy
     /* 1939326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939336 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1939339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939360 */     // GIR_Coverage, 24119,
     /* 1939360 */     GIR_EraseRootFromParent_Done,
     /* 1939361 */   // Label 26048: @1939361
     /* 1939361 */   GIM_Try, /*On fail goto*//*Label 26049*/ GIMT_Encode4(1939447), // Rule ID 24122 //
     /* 1939366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1939369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1939377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1939380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1939383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939412 */     // MIs[0] policy
     /* 1939412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939422 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1939425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939446 */     // GIR_Coverage, 24122,
     /* 1939446 */     GIR_EraseRootFromParent_Done,
     /* 1939447 */   // Label 26049: @1939447
     /* 1939447 */   GIM_Try, /*On fail goto*//*Label 26050*/ GIMT_Encode4(1939533), // Rule ID 24123 //
     /* 1939452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1939455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1939463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1939466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1939469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1939475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939498 */     // MIs[0] policy
     /* 1939498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939508 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1939511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1939529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939532 */     // GIR_Coverage, 24123,
     /* 1939532 */     GIR_EraseRootFromParent_Done,
     /* 1939533 */   // Label 26050: @1939533
     /* 1939533 */   GIM_Try, /*On fail goto*//*Label 26051*/ GIMT_Encode4(1939619), // Rule ID 24126 //
     /* 1939538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1939541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1939549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1939552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1939555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939584 */     // MIs[0] policy
     /* 1939584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939594 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1939597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939618 */     // GIR_Coverage, 24126,
     /* 1939618 */     GIR_EraseRootFromParent_Done,
     /* 1939619 */   // Label 26051: @1939619
     /* 1939619 */   GIM_Try, /*On fail goto*//*Label 26052*/ GIMT_Encode4(1939705), // Rule ID 24127 //
     /* 1939624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1939627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1939635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1939638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1939641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1939647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1939654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1939662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939670 */     // MIs[0] policy
     /* 1939670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939680 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11546:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M2_MASK),
     /* 1939683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939704 */     // GIR_Coverage, 24127,
     /* 1939704 */     GIR_EraseRootFromParent_Done,
     /* 1939705 */   // Label 26052: @1939705
     /* 1939705 */   GIM_Try, /*On fail goto*//*Label 26053*/ GIMT_Encode4(1939791), // Rule ID 24130 //
     /* 1939710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1939713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1939721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1939724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1939727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939756 */     // MIs[0] policy
     /* 1939756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939766 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1939769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939790 */     // GIR_Coverage, 24130,
     /* 1939790 */     GIR_EraseRootFromParent_Done,
     /* 1939791 */   // Label 26053: @1939791
     /* 1939791 */   GIM_Try, /*On fail goto*//*Label 26054*/ GIMT_Encode4(1939877), // Rule ID 24131 //
     /* 1939796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1939799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1939807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1939810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1939813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1939819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1939826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1939834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939842 */     // MIs[0] policy
     /* 1939842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939852 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11546:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1939852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M4_MASK),
     /* 1939855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939876 */     // GIR_Coverage, 24131,
     /* 1939876 */     GIR_EraseRootFromParent_Done,
     /* 1939877 */   // Label 26054: @1939877
     /* 1939877 */   GIM_Try, /*On fail goto*//*Label 26055*/ GIMT_Encode4(1939963), // Rule ID 24134 //
     /* 1939882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1939885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1939893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1939896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1939899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1939902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1939908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1939920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1939924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1939928 */     // MIs[0] policy
     /* 1939928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1939931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1939938 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1939938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1939941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1939943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1939945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1939947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1939949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1939951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1939956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1939959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1939961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1939962 */     // GIR_Coverage, 24134,
     /* 1939962 */     GIR_EraseRootFromParent_Done,
     /* 1939963 */   // Label 26055: @1939963
     /* 1939963 */   GIM_Try, /*On fail goto*//*Label 26056*/ GIMT_Encode4(1940049), // Rule ID 24135 //
     /* 1939968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1939971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslide1down_mask),
     /* 1939976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1939979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1939982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1939985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1939988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1939991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1939994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1939998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1940006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940014 */     // MIs[0] policy
     /* 1940014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940024 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11546:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDE1DOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDE1DOWN_VX_M8_MASK),
     /* 1940027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1940031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940048 */     // GIR_Coverage, 24135,
     /* 1940048 */     GIR_EraseRootFromParent_Done,
     /* 1940049 */   // Label 26056: @1940049
     /* 1940049 */   GIM_Try, /*On fail goto*//*Label 26057*/ GIMT_Encode4(1940135), // Rule ID 24138 //
     /* 1940054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1940057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1940065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1940068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1940071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940100 */     // MIs[0] policy
     /* 1940100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940110 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1940113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940115 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940134 */     // GIR_Coverage, 24138,
     /* 1940134 */     GIR_EraseRootFromParent_Done,
     /* 1940135 */   // Label 26057: @1940135
     /* 1940135 */   GIM_Try, /*On fail goto*//*Label 26058*/ GIMT_Encode4(1940221), // Rule ID 24139 //
     /* 1940140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1940143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1940151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1940154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1940157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940186 */     // MIs[0] policy
     /* 1940186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940196 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 1940199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940220 */     // GIR_Coverage, 24139,
     /* 1940220 */     GIR_EraseRootFromParent_Done,
     /* 1940221 */   // Label 26058: @1940221
     /* 1940221 */   GIM_Try, /*On fail goto*//*Label 26059*/ GIMT_Encode4(1940307), // Rule ID 24142 //
     /* 1940226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1940229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1940237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1940240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1940243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940272 */     // MIs[0] policy
     /* 1940272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940282 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1940285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940287 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940306 */     // GIR_Coverage, 24142,
     /* 1940306 */     GIR_EraseRootFromParent_Done,
     /* 1940307 */   // Label 26059: @1940307
     /* 1940307 */   GIM_Try, /*On fail goto*//*Label 26060*/ GIMT_Encode4(1940393), // Rule ID 24143 //
     /* 1940312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1940315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1940323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1940326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1940329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940358 */     // MIs[0] policy
     /* 1940358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940368 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1940371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940392 */     // GIR_Coverage, 24143,
     /* 1940392 */     GIR_EraseRootFromParent_Done,
     /* 1940393 */   // Label 26060: @1940393
     /* 1940393 */   GIM_Try, /*On fail goto*//*Label 26061*/ GIMT_Encode4(1940479), // Rule ID 24146 //
     /* 1940398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1940401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1940409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1940412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1940415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940444 */     // MIs[0] policy
     /* 1940444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940454 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1940457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940478 */     // GIR_Coverage, 24146,
     /* 1940478 */     GIR_EraseRootFromParent_Done,
     /* 1940479 */   // Label 26061: @1940479
     /* 1940479 */   GIM_Try, /*On fail goto*//*Label 26062*/ GIMT_Encode4(1940565), // Rule ID 24147 //
     /* 1940484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1940487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1940495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1940498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1940501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940530 */     // MIs[0] policy
     /* 1940530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940540 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 1940543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940564 */     // GIR_Coverage, 24147,
     /* 1940564 */     GIR_EraseRootFromParent_Done,
     /* 1940565 */   // Label 26062: @1940565
     /* 1940565 */   GIM_Try, /*On fail goto*//*Label 26063*/ GIMT_Encode4(1940651), // Rule ID 24150 //
     /* 1940570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1940573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940616 */     // MIs[0] policy
     /* 1940616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940626 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1940629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940650 */     // GIR_Coverage, 24150,
     /* 1940650 */     GIR_EraseRootFromParent_Done,
     /* 1940651 */   // Label 26063: @1940651
     /* 1940651 */   GIM_Try, /*On fail goto*//*Label 26064*/ GIMT_Encode4(1940737), // Rule ID 24151 //
     /* 1940656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1940659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1940667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1940670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1940673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1940679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940702 */     // MIs[0] policy
     /* 1940702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940712 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11552:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1940715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1940733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940736 */     // GIR_Coverage, 24151,
     /* 1940736 */     GIR_EraseRootFromParent_Done,
     /* 1940737 */   // Label 26064: @1940737
     /* 1940737 */   GIM_Try, /*On fail goto*//*Label 26065*/ GIMT_Encode4(1940823), // Rule ID 24154 //
     /* 1940742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1940745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940788 */     // MIs[0] policy
     /* 1940788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940798 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1940801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940822 */     // GIR_Coverage, 24154,
     /* 1940822 */     GIR_EraseRootFromParent_Done,
     /* 1940823 */   // Label 26065: @1940823
     /* 1940823 */   GIM_Try, /*On fail goto*//*Label 26066*/ GIMT_Encode4(1940909), // Rule ID 24155 //
     /* 1940828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1940831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1940839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1940842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1940845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1940848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1940851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1940854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940874 */     // MIs[0] policy
     /* 1940874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11552:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1940884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1940887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1940905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940908 */     // GIR_Coverage, 24155,
     /* 1940908 */     GIR_EraseRootFromParent_Done,
     /* 1940909 */   // Label 26066: @1940909
     /* 1940909 */   GIM_Try, /*On fail goto*//*Label 26067*/ GIMT_Encode4(1940995), // Rule ID 24158 //
     /* 1940914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1940917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1940922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1940925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1940928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1940931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1940934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1940937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1940940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1940944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1940952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1940956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1940960 */     // MIs[0] policy
     /* 1940960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1940963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1940970 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1940970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1940973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1940975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1940977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1940979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1940981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1940983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1940988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1940991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1940993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1940994 */     // GIR_Coverage, 24158,
     /* 1940994 */     GIR_EraseRootFromParent_Done,
     /* 1940995 */   // Label 26067: @1940995
     /* 1940995 */   GIM_Try, /*On fail goto*//*Label 26068*/ GIMT_Encode4(1941081), // Rule ID 24159 //
     /* 1941000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1941003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1941011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1941014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1941017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1941023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1941030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1941038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941046 */     // MIs[0] policy
     /* 1941046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941056 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11552:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 1941059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1941077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941080 */     // GIR_Coverage, 24159,
     /* 1941080 */     GIR_EraseRootFromParent_Done,
     /* 1941081 */   // Label 26068: @1941081
     /* 1941081 */   GIM_Try, /*On fail goto*//*Label 26069*/ GIMT_Encode4(1941167), // Rule ID 24162 //
     /* 1941086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1941089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941132 */     // MIs[0] policy
     /* 1941132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941142 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1941145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941166 */     // GIR_Coverage, 24162,
     /* 1941166 */     GIR_EraseRootFromParent_Done,
     /* 1941167 */   // Label 26069: @1941167
     /* 1941167 */   GIM_Try, /*On fail goto*//*Label 26070*/ GIMT_Encode4(1941253), // Rule ID 24163 //
     /* 1941172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1941175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1941183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1941186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1941189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941218 */     // MIs[0] policy
     /* 1941218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941228 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1941231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941252 */     // GIR_Coverage, 24163,
     /* 1941252 */     GIR_EraseRootFromParent_Done,
     /* 1941253 */   // Label 26070: @1941253
     /* 1941253 */   GIM_Try, /*On fail goto*//*Label 26071*/ GIMT_Encode4(1941339), // Rule ID 24166 //
     /* 1941258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1941261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941304 */     // MIs[0] policy
     /* 1941304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941314 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1941317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941338 */     // GIR_Coverage, 24166,
     /* 1941338 */     GIR_EraseRootFromParent_Done,
     /* 1941339 */   // Label 26071: @1941339
     /* 1941339 */   GIM_Try, /*On fail goto*//*Label 26072*/ GIMT_Encode4(1941425), // Rule ID 24167 //
     /* 1941344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1941347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1941355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1941358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1941361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941390 */     // MIs[0] policy
     /* 1941390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941400 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1941403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941424 */     // GIR_Coverage, 24167,
     /* 1941424 */     GIR_EraseRootFromParent_Done,
     /* 1941425 */   // Label 26072: @1941425
     /* 1941425 */   GIM_Try, /*On fail goto*//*Label 26073*/ GIMT_Encode4(1941511), // Rule ID 24170 //
     /* 1941430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1941433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1941441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1941444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1941447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941476 */     // MIs[0] policy
     /* 1941476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941486 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1941489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941510 */     // GIR_Coverage, 24170,
     /* 1941510 */     GIR_EraseRootFromParent_Done,
     /* 1941511 */   // Label 26073: @1941511
     /* 1941511 */   GIM_Try, /*On fail goto*//*Label 26074*/ GIMT_Encode4(1941597), // Rule ID 24171 //
     /* 1941516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1941519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1941527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1941530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1941533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1941539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941562 */     // MIs[0] policy
     /* 1941562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941572 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1941575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1941593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941596 */     // GIR_Coverage, 24171,
     /* 1941596 */     GIR_EraseRootFromParent_Done,
     /* 1941597 */   // Label 26074: @1941597
     /* 1941597 */   GIM_Try, /*On fail goto*//*Label 26075*/ GIMT_Encode4(1941683), // Rule ID 24174 //
     /* 1941602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1941613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1941616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1941619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941648 */     // MIs[0] policy
     /* 1941648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941658 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1941661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941682 */     // GIR_Coverage, 24174,
     /* 1941682 */     GIR_EraseRootFromParent_Done,
     /* 1941683 */   // Label 26075: @1941683
     /* 1941683 */   GIM_Try, /*On fail goto*//*Label 26076*/ GIMT_Encode4(1941769), // Rule ID 24175 //
     /* 1941688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1941699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1941702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1941705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1941711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1941718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1941726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941734 */     // MIs[0] policy
     /* 1941734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941744 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1941747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941768 */     // GIR_Coverage, 24175,
     /* 1941768 */     GIR_EraseRootFromParent_Done,
     /* 1941769 */   // Label 26076: @1941769
     /* 1941769 */   GIM_Try, /*On fail goto*//*Label 26077*/ GIMT_Encode4(1941855), // Rule ID 24178 //
     /* 1941774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1941785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1941788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1941791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941820 */     // MIs[0] policy
     /* 1941820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941830 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1941830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1941833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941854 */     // GIR_Coverage, 24178,
     /* 1941854 */     GIR_EraseRootFromParent_Done,
     /* 1941855 */   // Label 26077: @1941855
     /* 1941855 */   GIM_Try, /*On fail goto*//*Label 26078*/ GIMT_Encode4(1941941), // Rule ID 24179 //
     /* 1941860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1941863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1941871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1941874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1941877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1941880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1941883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1941886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1941890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1941898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941906 */     // MIs[0] policy
     /* 1941906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1941916 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1941916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1941919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1941921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1941923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1941925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1941927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1941929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1941934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1941937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1941939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1941940 */     // GIR_Coverage, 24179,
     /* 1941940 */     GIR_EraseRootFromParent_Done,
     /* 1941941 */   // Label 26078: @1941941
     /* 1941941 */   GIM_Try, /*On fail goto*//*Label 26079*/ GIMT_Encode4(1942027), // Rule ID 24182 //
     /* 1941946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1941949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1941954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1941957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1941960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1941963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1941966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1941969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1941972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1941976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1941984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1941988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1941992 */     // MIs[0] policy
     /* 1941992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1941995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942002 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1942005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942026 */     // GIR_Coverage, 24182,
     /* 1942026 */     GIR_EraseRootFromParent_Done,
     /* 1942027 */   // Label 26079: @1942027
     /* 1942027 */   GIM_Try, /*On fail goto*//*Label 26080*/ GIMT_Encode4(1942113), // Rule ID 24183 //
     /* 1942032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1942035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1942040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1942043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1942046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1942049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1942055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942078 */     // MIs[0] policy
     /* 1942078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942088 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1942091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1942109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942112 */     // GIR_Coverage, 24183,
     /* 1942112 */     GIR_EraseRootFromParent_Done,
     /* 1942113 */   // Label 26080: @1942113
     /* 1942113 */   GIM_Try, /*On fail goto*//*Label 26081*/ GIMT_Encode4(1942199), // Rule ID 24186 //
     /* 1942118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1942121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1942126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942164 */     // MIs[0] policy
     /* 1942164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942174 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1942177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942198 */     // GIR_Coverage, 24186,
     /* 1942198 */     GIR_EraseRootFromParent_Done,
     /* 1942199 */   // Label 26081: @1942199
     /* 1942199 */   GIM_Try, /*On fail goto*//*Label 26082*/ GIMT_Encode4(1942285), // Rule ID 24187 //
     /* 1942204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1942207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1942212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1942215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1942218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1942221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1942234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1942242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942250 */     // MIs[0] policy
     /* 1942250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942260 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11552:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 1942263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942284 */     // GIR_Coverage, 24187,
     /* 1942284 */     GIR_EraseRootFromParent_Done,
     /* 1942285 */   // Label 26082: @1942285
     /* 1942285 */   GIM_Try, /*On fail goto*//*Label 26083*/ GIMT_Encode4(1942371), // Rule ID 24190 //
     /* 1942290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1942293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1942298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942336 */     // MIs[0] policy
     /* 1942336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942346 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1942349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942370 */     // GIR_Coverage, 24190,
     /* 1942370 */     GIR_EraseRootFromParent_Done,
     /* 1942371 */   // Label 26083: @1942371
     /* 1942371 */   GIM_Try, /*On fail goto*//*Label 26084*/ GIMT_Encode4(1942457), // Rule ID 24191 //
     /* 1942376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1942379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1942384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1942387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1942390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1942393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1942399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1942406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1942414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942422 */     // MIs[0] policy
     /* 1942422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942432 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11552:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 1942435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942456 */     // GIR_Coverage, 24191,
     /* 1942456 */     GIR_EraseRootFromParent_Done,
     /* 1942457 */   // Label 26084: @1942457
     /* 1942457 */   GIM_Try, /*On fail goto*//*Label 26085*/ GIMT_Encode4(1942543), // Rule ID 24194 //
     /* 1942462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1942465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1942470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1942473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1942476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1942479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942508 */     // MIs[0] policy
     /* 1942508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942518 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1942521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942542 */     // GIR_Coverage, 24194,
     /* 1942542 */     GIR_EraseRootFromParent_Done,
     /* 1942543 */   // Label 26085: @1942543
     /* 1942543 */   GIM_Try, /*On fail goto*//*Label 26086*/ GIMT_Encode4(1942629), // Rule ID 24195 //
     /* 1942548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1942551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslideup_mask),
     /* 1942556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1942559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1942562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1942565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1942571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1942578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1942586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942594 */     // MIs[0] policy
     /* 1942594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942604 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11552:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 1942607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1942625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942628 */     // GIR_Coverage, 24195,
     /* 1942628 */     GIR_EraseRootFromParent_Done,
     /* 1942629 */   // Label 26086: @1942629
     /* 1942629 */   GIM_Try, /*On fail goto*//*Label 26087*/ GIMT_Encode4(1942715), // Rule ID 24258 //
     /* 1942634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1942637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1942642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1942645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1942648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1942651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942680 */     // MIs[0] policy
     /* 1942680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942690 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1942693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942714 */     // GIR_Coverage, 24258,
     /* 1942714 */     GIR_EraseRootFromParent_Done,
     /* 1942715 */   // Label 26087: @1942715
     /* 1942715 */   GIM_Try, /*On fail goto*//*Label 26088*/ GIMT_Encode4(1942801), // Rule ID 24259 //
     /* 1942720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1942723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1942728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1942731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1942734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1942737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1942743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942766 */     // MIs[0] policy
     /* 1942766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942776 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 1942779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942800 */     // GIR_Coverage, 24259,
     /* 1942800 */     GIR_EraseRootFromParent_Done,
     /* 1942801 */   // Label 26088: @1942801
     /* 1942801 */   GIM_Try, /*On fail goto*//*Label 26089*/ GIMT_Encode4(1942887), // Rule ID 24262 //
     /* 1942806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1942809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1942814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1942817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1942820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1942823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1942832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942852 */     // MIs[0] policy
     /* 1942852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942862 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1942862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1942865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942886 */     // GIR_Coverage, 24262,
     /* 1942886 */     GIR_EraseRootFromParent_Done,
     /* 1942887 */   // Label 26089: @1942887
     /* 1942887 */   GIM_Try, /*On fail goto*//*Label 26090*/ GIMT_Encode4(1942973), // Rule ID 24263 //
     /* 1942892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1942895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1942900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1942903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1942906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1942909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1942912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1942915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1942918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1942922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1942930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1942934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1942938 */     // MIs[0] policy
     /* 1942938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1942941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1942948 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1942948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1942951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1942953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1942955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1942957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1942959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1942961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1942966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1942969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1942971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1942972 */     // GIR_Coverage, 24263,
     /* 1942972 */     GIR_EraseRootFromParent_Done,
     /* 1942973 */   // Label 26090: @1942973
     /* 1942973 */   GIM_Try, /*On fail goto*//*Label 26091*/ GIMT_Encode4(1943059), // Rule ID 24266 //
     /* 1942978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1942981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1942986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1942989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1942992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1942995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1942998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943024 */     // MIs[0] policy
     /* 1943024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943034 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1943037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943058 */     // GIR_Coverage, 24266,
     /* 1943058 */     GIR_EraseRootFromParent_Done,
     /* 1943059 */   // Label 26091: @1943059
     /* 1943059 */   GIM_Try, /*On fail goto*//*Label 26092*/ GIMT_Encode4(1943145), // Rule ID 24267 //
     /* 1943064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1943075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1943078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1943081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943110 */     // MIs[0] policy
     /* 1943110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943120 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 1943123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943144 */     // GIR_Coverage, 24267,
     /* 1943144 */     GIR_EraseRootFromParent_Done,
     /* 1943145 */   // Label 26092: @1943145
     /* 1943145 */   GIM_Try, /*On fail goto*//*Label 26093*/ GIMT_Encode4(1943231), // Rule ID 24270 //
     /* 1943150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1943153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1943161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1943164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1943167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943196 */     // MIs[0] policy
     /* 1943196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943206 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1943209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943230 */     // GIR_Coverage, 24270,
     /* 1943230 */     GIR_EraseRootFromParent_Done,
     /* 1943231 */   // Label 26093: @1943231
     /* 1943231 */   GIM_Try, /*On fail goto*//*Label 26094*/ GIMT_Encode4(1943317), // Rule ID 24271 //
     /* 1943236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1943239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1943247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1943250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1943253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1943259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943282 */     // MIs[0] policy
     /* 1943282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943292 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11550:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1943295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943316 */     // GIR_Coverage, 24271,
     /* 1943316 */     GIR_EraseRootFromParent_Done,
     /* 1943317 */   // Label 26094: @1943317
     /* 1943317 */   GIM_Try, /*On fail goto*//*Label 26095*/ GIMT_Encode4(1943403), // Rule ID 24274 //
     /* 1943322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1943325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1943333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1943336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1943339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943368 */     // MIs[0] policy
     /* 1943368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1943381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943402 */     // GIR_Coverage, 24274,
     /* 1943402 */     GIR_EraseRootFromParent_Done,
     /* 1943403 */   // Label 26095: @1943403
     /* 1943403 */   GIM_Try, /*On fail goto*//*Label 26096*/ GIMT_Encode4(1943489), // Rule ID 24275 //
     /* 1943408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1943411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1943419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1943422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1943425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1943431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943454 */     // MIs[0] policy
     /* 1943454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943464 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11550:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1943467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1943485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943488 */     // GIR_Coverage, 24275,
     /* 1943488 */     GIR_EraseRootFromParent_Done,
     /* 1943489 */   // Label 26096: @1943489
     /* 1943489 */   GIM_Try, /*On fail goto*//*Label 26097*/ GIMT_Encode4(1943575), // Rule ID 24278 //
     /* 1943494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1943497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1943505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1943508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1943511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943540 */     // MIs[0] policy
     /* 1943540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943550 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1943553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943574 */     // GIR_Coverage, 24278,
     /* 1943574 */     GIR_EraseRootFromParent_Done,
     /* 1943575 */   // Label 26097: @1943575
     /* 1943575 */   GIM_Try, /*On fail goto*//*Label 26098*/ GIMT_Encode4(1943661), // Rule ID 24279 //
     /* 1943580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1943583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1943591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1943594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1943597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1943603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1943610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1943618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943626 */     // MIs[0] policy
     /* 1943626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943636 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11550:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 1943639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1943657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943660 */     // GIR_Coverage, 24279,
     /* 1943660 */     GIR_EraseRootFromParent_Done,
     /* 1943661 */   // Label 26098: @1943661
     /* 1943661 */   GIM_Try, /*On fail goto*//*Label 26099*/ GIMT_Encode4(1943747), // Rule ID 24282 //
     /* 1943666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1943669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1943677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1943680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1943683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943712 */     // MIs[0] policy
     /* 1943712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943722 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1943725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943746 */     // GIR_Coverage, 24282,
     /* 1943746 */     GIR_EraseRootFromParent_Done,
     /* 1943747 */   // Label 26099: @1943747
     /* 1943747 */   GIM_Try, /*On fail goto*//*Label 26100*/ GIMT_Encode4(1943833), // Rule ID 24283 //
     /* 1943752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1943755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1943763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1943766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1943769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1943775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1943782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1943790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943798 */     // MIs[0] policy
     /* 1943798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943808 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1943811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943832 */     // GIR_Coverage, 24283,
     /* 1943832 */     GIR_EraseRootFromParent_Done,
     /* 1943833 */   // Label 26100: @1943833
     /* 1943833 */   GIM_Try, /*On fail goto*//*Label 26101*/ GIMT_Encode4(1943919), // Rule ID 24286 //
     /* 1943838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1943841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1943849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1943852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1943855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1943858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1943864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943884 */     // MIs[0] policy
     /* 1943884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943894 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1943894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1943897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1943915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1943917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1943918 */     // GIR_Coverage, 24286,
     /* 1943918 */     GIR_EraseRootFromParent_Done,
     /* 1943919 */   // Label 26101: @1943919
     /* 1943919 */   GIM_Try, /*On fail goto*//*Label 26102*/ GIMT_Encode4(1944005), // Rule ID 24287 //
     /* 1943924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1943927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1943932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1943935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1943938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1943941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1943944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1943947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1943950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1943954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1943962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1943966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1943970 */     // MIs[0] policy
     /* 1943970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1943973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1943980 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1943980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1943983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1943985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1943987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1943989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1943991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1943993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1943998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944004 */     // GIR_Coverage, 24287,
     /* 1944004 */     GIR_EraseRootFromParent_Done,
     /* 1944005 */   // Label 26102: @1944005
     /* 1944005 */   GIM_Try, /*On fail goto*//*Label 26103*/ GIMT_Encode4(1944091), // Rule ID 24290 //
     /* 1944010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1944013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1944021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1944024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1944027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944056 */     // MIs[0] policy
     /* 1944056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944066 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1944069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944090 */     // GIR_Coverage, 24290,
     /* 1944090 */     GIR_EraseRootFromParent_Done,
     /* 1944091 */   // Label 26103: @1944091
     /* 1944091 */   GIM_Try, /*On fail goto*//*Label 26104*/ GIMT_Encode4(1944177), // Rule ID 24291 //
     /* 1944096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1944099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1944107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1944110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1944113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1944119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944142 */     // MIs[0] policy
     /* 1944142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944152 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1944155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1944173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944176 */     // GIR_Coverage, 24291,
     /* 1944176 */     GIR_EraseRootFromParent_Done,
     /* 1944177 */   // Label 26104: @1944177
     /* 1944177 */   GIM_Try, /*On fail goto*//*Label 26105*/ GIMT_Encode4(1944263), // Rule ID 24294 //
     /* 1944182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1944193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1944196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1944199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944228 */     // MIs[0] policy
     /* 1944228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944238 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1944241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944262 */     // GIR_Coverage, 24294,
     /* 1944262 */     GIR_EraseRootFromParent_Done,
     /* 1944263 */   // Label 26105: @1944263
     /* 1944263 */   GIM_Try, /*On fail goto*//*Label 26106*/ GIMT_Encode4(1944349), // Rule ID 24295 //
     /* 1944268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1944279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1944282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1944285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944314 */     // MIs[0] policy
     /* 1944314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944324 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1944327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944348 */     // GIR_Coverage, 24295,
     /* 1944348 */     GIR_EraseRootFromParent_Done,
     /* 1944349 */   // Label 26106: @1944349
     /* 1944349 */   GIM_Try, /*On fail goto*//*Label 26107*/ GIMT_Encode4(1944435), // Rule ID 24298 //
     /* 1944354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1944368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1944371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944400 */     // MIs[0] policy
     /* 1944400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944410 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1944413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944434 */     // GIR_Coverage, 24298,
     /* 1944434 */     GIR_EraseRootFromParent_Done,
     /* 1944435 */   // Label 26107: @1944435
     /* 1944435 */   GIM_Try, /*On fail goto*//*Label 26108*/ GIMT_Encode4(1944521), // Rule ID 24299 //
     /* 1944440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1944451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1944454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1944457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1944463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944486 */     // MIs[0] policy
     /* 1944486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944496 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1944499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944520 */     // GIR_Coverage, 24299,
     /* 1944520 */     GIR_EraseRootFromParent_Done,
     /* 1944521 */   // Label 26108: @1944521
     /* 1944521 */   GIM_Try, /*On fail goto*//*Label 26109*/ GIMT_Encode4(1944607), // Rule ID 24302 //
     /* 1944526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1944529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1944537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1944540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1944543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944572 */     // MIs[0] policy
     /* 1944572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944582 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1944585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944606 */     // GIR_Coverage, 24302,
     /* 1944606 */     GIR_EraseRootFromParent_Done,
     /* 1944607 */   // Label 26109: @1944607
     /* 1944607 */   GIM_Try, /*On fail goto*//*Label 26110*/ GIMT_Encode4(1944693), // Rule ID 24303 //
     /* 1944612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1944615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1944623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1944626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1944629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1944635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1944642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1944650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944658 */     // MIs[0] policy
     /* 1944658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944668 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1944671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1944689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944692 */     // GIR_Coverage, 24303,
     /* 1944692 */     GIR_EraseRootFromParent_Done,
     /* 1944693 */   // Label 26110: @1944693
     /* 1944693 */   GIM_Try, /*On fail goto*//*Label 26111*/ GIMT_Encode4(1944779), // Rule ID 24306 //
     /* 1944698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1944701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1944709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1944712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1944715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944744 */     // MIs[0] policy
     /* 1944744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944754 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1944757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944778 */     // GIR_Coverage, 24306,
     /* 1944778 */     GIR_EraseRootFromParent_Done,
     /* 1944779 */   // Label 26111: @1944779
     /* 1944779 */   GIM_Try, /*On fail goto*//*Label 26112*/ GIMT_Encode4(1944865), // Rule ID 24307 //
     /* 1944784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1944787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1944795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1944798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1944801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1944807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1944814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1944822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944830 */     // MIs[0] policy
     /* 1944830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944840 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11550:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1944840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 1944843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944845 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944864 */     // GIR_Coverage, 24307,
     /* 1944864 */     GIR_EraseRootFromParent_Done,
     /* 1944865 */   // Label 26112: @1944865
     /* 1944865 */   GIM_Try, /*On fail goto*//*Label 26113*/ GIMT_Encode4(1944951), // Rule ID 24310 //
     /* 1944870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1944873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1944881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1944884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1944887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1944890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1944896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1944916 */     // MIs[0] policy
     /* 1944916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1944919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1944926 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1944926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1944929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1944931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1944933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1944935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1944937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1944939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1944944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1944947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1944949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1944950 */     // GIR_Coverage, 24310,
     /* 1944950 */     GIR_EraseRootFromParent_Done,
     /* 1944951 */   // Label 26113: @1944951
     /* 1944951 */   GIM_Try, /*On fail goto*//*Label 26114*/ GIMT_Encode4(1945037), // Rule ID 24311 //
     /* 1944956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1944959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1944964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1944967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1944970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1944973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1944976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1944979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1944982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1944986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1944994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1944998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945002 */     // MIs[0] policy
     /* 1945002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945012 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11550:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 1945015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1945019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945036 */     // GIR_Coverage, 24311,
     /* 1945036 */     GIR_EraseRootFromParent_Done,
     /* 1945037 */   // Label 26114: @1945037
     /* 1945037 */   GIM_Try, /*On fail goto*//*Label 26115*/ GIMT_Encode4(1945123), // Rule ID 24314 //
     /* 1945042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1945045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1945050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1945053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1945056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1945059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1945062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945088 */     // MIs[0] policy
     /* 1945088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945098 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1945101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1945105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945122 */     // GIR_Coverage, 24314,
     /* 1945122 */     GIR_EraseRootFromParent_Done,
     /* 1945123 */   // Label 26115: @1945123
     /* 1945123 */   GIM_Try, /*On fail goto*//*Label 26116*/ GIMT_Encode4(1945209), // Rule ID 24315 //
     /* 1945128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1945131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vslidedown_mask),
     /* 1945136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1945139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1945142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1945145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1945151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1945158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1945166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1945170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945174 */     // MIs[0] policy
     /* 1945174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945184 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11550:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 1945187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1945191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1945205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945208 */     // GIR_Coverage, 24315,
     /* 1945208 */     GIR_EraseRootFromParent_Done,
     /* 1945209 */   // Label 26116: @1945209
     /* 1945209 */   GIM_Try, /*On fail goto*//*Label 26117*/ GIMT_Encode4(1945295), // Rule ID 24378 //
     /* 1945214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1945217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1945225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1945228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1945231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945260 */     // MIs[0] policy
     /* 1945260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945270 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1945273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945294 */     // GIR_Coverage, 24378,
     /* 1945294 */     GIR_EraseRootFromParent_Done,
     /* 1945295 */   // Label 26117: @1945295
     /* 1945295 */   GIM_Try, /*On fail goto*//*Label 26118*/ GIMT_Encode4(1945381), // Rule ID 24379 //
     /* 1945300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1945303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1945311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1945314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1945317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945346 */     // MIs[0] policy
     /* 1945346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945356 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF4_MASK),
     /* 1945359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945380 */     // GIR_Coverage, 24379,
     /* 1945380 */     GIR_EraseRootFromParent_Done,
     /* 1945381 */   // Label 26118: @1945381
     /* 1945381 */   GIM_Try, /*On fail goto*//*Label 26119*/ GIMT_Encode4(1945467), // Rule ID 24382 //
     /* 1945386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1945389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1945397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1945400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1945403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945432 */     // MIs[0] policy
     /* 1945432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945442 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1945445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945466 */     // GIR_Coverage, 24382,
     /* 1945466 */     GIR_EraseRootFromParent_Done,
     /* 1945467 */   // Label 26119: @1945467
     /* 1945467 */   GIM_Try, /*On fail goto*//*Label 26120*/ GIMT_Encode4(1945553), // Rule ID 24383 //
     /* 1945472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1945475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1945483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1945486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1945489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945518 */     // MIs[0] policy
     /* 1945518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_MF2_MASK),
     /* 1945531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945552 */     // GIR_Coverage, 24383,
     /* 1945552 */     GIR_EraseRootFromParent_Done,
     /* 1945553 */   // Label 26120: @1945553
     /* 1945553 */   GIM_Try, /*On fail goto*//*Label 26121*/ GIMT_Encode4(1945639), // Rule ID 24386 //
     /* 1945558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1945569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1945572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1945575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945604 */     // MIs[0] policy
     /* 1945604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945614 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1945617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945638 */     // GIR_Coverage, 24386,
     /* 1945638 */     GIR_EraseRootFromParent_Done,
     /* 1945639 */   // Label 26121: @1945639
     /* 1945639 */   GIM_Try, /*On fail goto*//*Label 26122*/ GIMT_Encode4(1945725), // Rule ID 24387 //
     /* 1945644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1945655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1945658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1945661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1945667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945690 */     // MIs[0] policy
     /* 1945690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945700 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_MF2_MASK),
     /* 1945703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945724 */     // GIR_Coverage, 24387,
     /* 1945724 */     GIR_EraseRootFromParent_Done,
     /* 1945725 */   // Label 26122: @1945725
     /* 1945725 */   GIM_Try, /*On fail goto*//*Label 26123*/ GIMT_Encode4(1945811), // Rule ID 24390 //
     /* 1945730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1945733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1945741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1945744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1945747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945776 */     // MIs[0] policy
     /* 1945776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945786 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1945789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945810 */     // GIR_Coverage, 24390,
     /* 1945810 */     GIR_EraseRootFromParent_Done,
     /* 1945811 */   // Label 26123: @1945811
     /* 1945811 */   GIM_Try, /*On fail goto*//*Label 26124*/ GIMT_Encode4(1945897), // Rule ID 24391 //
     /* 1945816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1945819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1945827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1945830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1945833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1945836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1945839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1945842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1945858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945862 */     // MIs[0] policy
     /* 1945862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945872 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11274:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1945872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M1_MASK),
     /* 1945875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1945893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945896 */     // GIR_Coverage, 24391,
     /* 1945896 */     GIR_EraseRootFromParent_Done,
     /* 1945897 */   // Label 26124: @1945897
     /* 1945897 */   GIM_Try, /*On fail goto*//*Label 26125*/ GIMT_Encode4(1945983), // Rule ID 24394 //
     /* 1945902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1945905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1945913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1945916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1945919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1945922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1945925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1945928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1945932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1945940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1945944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1945948 */     // MIs[0] policy
     /* 1945948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1945951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1945958 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1945958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1945961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1945963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1945965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1945967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1945969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1945971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1945976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1945979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1945981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1945982 */     // GIR_Coverage, 24394,
     /* 1945982 */     GIR_EraseRootFromParent_Done,
     /* 1945983 */   // Label 26125: @1945983
     /* 1945983 */   GIM_Try, /*On fail goto*//*Label 26126*/ GIMT_Encode4(1946069), // Rule ID 24395 //
     /* 1945988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1945991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1945996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1945999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1946002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1946005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1946011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946034 */     // MIs[0] policy
     /* 1946034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946044 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11274:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M1_MASK),
     /* 1946047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946068 */     // GIR_Coverage, 24395,
     /* 1946068 */     GIR_EraseRootFromParent_Done,
     /* 1946069 */   // Label 26126: @1946069
     /* 1946069 */   GIM_Try, /*On fail goto*//*Label 26127*/ GIMT_Encode4(1946155), // Rule ID 24398 //
     /* 1946074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1946077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1946085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1946088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1946091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1946116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946120 */     // MIs[0] policy
     /* 1946120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946130 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1946133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946154 */     // GIR_Coverage, 24398,
     /* 1946154 */     GIR_EraseRootFromParent_Done,
     /* 1946155 */   // Label 26127: @1946155
     /* 1946155 */   GIM_Try, /*On fail goto*//*Label 26128*/ GIMT_Encode4(1946241), // Rule ID 24399 //
     /* 1946160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1946163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1946171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1946174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1946177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1946180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1946183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1946190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1946198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1946202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946206 */     // MIs[0] policy
     /* 1946206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946216 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11274:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M1_MASK),
     /* 1946219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1946237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946240 */     // GIR_Coverage, 24399,
     /* 1946240 */     GIR_EraseRootFromParent_Done,
     /* 1946241 */   // Label 26128: @1946241
     /* 1946241 */   GIM_Try, /*On fail goto*//*Label 26129*/ GIMT_Encode4(1946327), // Rule ID 24402 //
     /* 1946246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1946249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1946257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1946260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1946263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946292 */     // MIs[0] policy
     /* 1946292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946302 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1946305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946326 */     // GIR_Coverage, 24402,
     /* 1946326 */     GIR_EraseRootFromParent_Done,
     /* 1946327 */   // Label 26129: @1946327
     /* 1946327 */   GIM_Try, /*On fail goto*//*Label 26130*/ GIMT_Encode4(1946413), // Rule ID 24403 //
     /* 1946332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1946335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1946343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1946346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1946349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946378 */     // MIs[0] policy
     /* 1946378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946388 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M2_MASK),
     /* 1946391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946412 */     // GIR_Coverage, 24403,
     /* 1946412 */     GIR_EraseRootFromParent_Done,
     /* 1946413 */   // Label 26130: @1946413
     /* 1946413 */   GIM_Try, /*On fail goto*//*Label 26131*/ GIMT_Encode4(1946499), // Rule ID 24406 //
     /* 1946418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1946421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1946429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1946432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1946435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946464 */     // MIs[0] policy
     /* 1946464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946474 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1946477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946498 */     // GIR_Coverage, 24406,
     /* 1946498 */     GIR_EraseRootFromParent_Done,
     /* 1946499 */   // Label 26131: @1946499
     /* 1946499 */   GIM_Try, /*On fail goto*//*Label 26132*/ GIMT_Encode4(1946585), // Rule ID 24407 //
     /* 1946504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1946507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1946515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1946518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1946521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1946527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946550 */     // MIs[0] policy
     /* 1946550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946560 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M4_MASK),
     /* 1946563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946584 */     // GIR_Coverage, 24407,
     /* 1946584 */     GIR_EraseRootFromParent_Done,
     /* 1946585 */   // Label 26132: @1946585
     /* 1946585 */   GIM_Try, /*On fail goto*//*Label 26133*/ GIMT_Encode4(1946671), // Rule ID 24410 //
     /* 1946590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1946593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1946601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1946604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1946607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1946613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946636 */     // MIs[0] policy
     /* 1946636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946646 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1946649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946670 */     // GIR_Coverage, 24410,
     /* 1946670 */     GIR_EraseRootFromParent_Done,
     /* 1946671 */   // Label 26133: @1946671
     /* 1946671 */   GIM_Try, /*On fail goto*//*Label 26134*/ GIMT_Encode4(1946757), // Rule ID 24411 //
     /* 1946676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1946679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1946687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1946690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1946693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1946696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1946699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1946706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1946714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1946718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946722 */     // MIs[0] policy
     /* 1946722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946732 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR16_M8_MASK),
     /* 1946735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1946753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946756 */     // GIR_Coverage, 24411,
     /* 1946756 */     GIR_EraseRootFromParent_Done,
     /* 1946757 */   // Label 26134: @1946757
     /* 1946757 */   GIM_Try, /*On fail goto*//*Label 26135*/ GIMT_Encode4(1946843), // Rule ID 24414 //
     /* 1946762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946808 */     // MIs[0] policy
     /* 1946808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946818 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1946821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946842 */     // GIR_Coverage, 24414,
     /* 1946842 */     GIR_EraseRootFromParent_Done,
     /* 1946843 */   // Label 26135: @1946843
     /* 1946843 */   GIM_Try, /*On fail goto*//*Label 26136*/ GIMT_Encode4(1946929), // Rule ID 24415 //
     /* 1946848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1946851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1946859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1946862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1946865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1946871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1946874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1946878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1946886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946894 */     // MIs[0] policy
     /* 1946894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946904 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1946904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M2_MASK),
     /* 1946907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1946915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1946917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1946922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1946925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1946927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1946928 */     // GIR_Coverage, 24415,
     /* 1946928 */     GIR_EraseRootFromParent_Done,
     /* 1946929 */   // Label 26136: @1946929
     /* 1946929 */   GIM_Try, /*On fail goto*//*Label 26137*/ GIMT_Encode4(1947015), // Rule ID 24418 //
     /* 1946934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1946937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1946942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1946945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1946948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1946951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1946954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1946957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1946960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1946964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1946972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1946976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1946980 */     // MIs[0] policy
     /* 1946980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1946983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1946990 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1946990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1946993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1946995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1946997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1946999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947014 */     // GIR_Coverage, 24418,
     /* 1947014 */     GIR_EraseRootFromParent_Done,
     /* 1947015 */   // Label 26137: @1947015
     /* 1947015 */   GIM_Try, /*On fail goto*//*Label 26138*/ GIMT_Encode4(1947101), // Rule ID 24419 //
     /* 1947020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1947023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1947031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1947034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1947037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1947062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947066 */     // MIs[0] policy
     /* 1947066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947076 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M4_MASK),
     /* 1947079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947100 */     // GIR_Coverage, 24419,
     /* 1947100 */     GIR_EraseRootFromParent_Done,
     /* 1947101 */   // Label 26138: @1947101
     /* 1947101 */   GIM_Try, /*On fail goto*//*Label 26139*/ GIMT_Encode4(1947187), // Rule ID 24422 //
     /* 1947106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1947109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1947117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1947120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1947123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1947148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947152 */     // MIs[0] policy
     /* 1947152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947162 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1947165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947186 */     // GIR_Coverage, 24422,
     /* 1947186 */     GIR_EraseRootFromParent_Done,
     /* 1947187 */   // Label 26139: @1947187
     /* 1947187 */   GIM_Try, /*On fail goto*//*Label 26140*/ GIMT_Encode4(1947273), // Rule ID 24423 //
     /* 1947192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1947195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1947203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1947206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1947209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1947212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1947215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1947234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947238 */     // MIs[0] policy
     /* 1947238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947248 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR32_M8_MASK),
     /* 1947251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1947269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947272 */     // GIR_Coverage, 24423,
     /* 1947272 */     GIR_EraseRootFromParent_Done,
     /* 1947273 */   // Label 26140: @1947273
     /* 1947273 */   GIM_Try, /*On fail goto*//*Label 26141*/ GIMT_Encode4(1947359), // Rule ID 24426 //
     /* 1947278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1947281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1947289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1947292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1947295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947324 */     // MIs[0] policy
     /* 1947324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947334 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1947337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947358 */     // GIR_Coverage, 24426,
     /* 1947358 */     GIR_EraseRootFromParent_Done,
     /* 1947359 */   // Label 26141: @1947359
     /* 1947359 */   GIM_Try, /*On fail goto*//*Label 26142*/ GIMT_Encode4(1947445), // Rule ID 24427 //
     /* 1947364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1947367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1947375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1947378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1947381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1947394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1947402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947410 */     // MIs[0] policy
     /* 1947410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947420 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11274:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M2_MASK),
     /* 1947423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947444 */     // GIR_Coverage, 24427,
     /* 1947444 */     GIR_EraseRootFromParent_Done,
     /* 1947445 */   // Label 26142: @1947445
     /* 1947445 */   GIM_Try, /*On fail goto*//*Label 26143*/ GIMT_Encode4(1947531), // Rule ID 24430 //
     /* 1947450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1947453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1947461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1947464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1947467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947496 */     // MIs[0] policy
     /* 1947496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947506 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1947509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947530 */     // GIR_Coverage, 24430,
     /* 1947530 */     GIR_EraseRootFromParent_Done,
     /* 1947531 */   // Label 26143: @1947531
     /* 1947531 */   GIM_Try, /*On fail goto*//*Label 26144*/ GIMT_Encode4(1947617), // Rule ID 24431 //
     /* 1947536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1947539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1947547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1947550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1947553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1947559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1947566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1947574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947582 */     // MIs[0] policy
     /* 1947582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947592 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11274:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M4_MASK),
     /* 1947595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947616 */     // GIR_Coverage, 24431,
     /* 1947616 */     GIR_EraseRootFromParent_Done,
     /* 1947617 */   // Label 26144: @1947617
     /* 1947617 */   GIM_Try, /*On fail goto*//*Label 26145*/ GIMT_Encode4(1947703), // Rule ID 24434 //
     /* 1947622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1947625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1947633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1947636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1947639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947668 */     // MIs[0] policy
     /* 1947668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947678 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1947681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947702 */     // GIR_Coverage, 24434,
     /* 1947702 */     GIR_EraseRootFromParent_Done,
     /* 1947703 */   // Label 26145: @1947703
     /* 1947703 */   GIM_Try, /*On fail goto*//*Label 26146*/ GIMT_Encode4(1947789), // Rule ID 24435 //
     /* 1947708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1947711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1up_mask),
     /* 1947716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1947719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1947722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1947725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1947728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1947731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1947738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1947746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1947750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947754 */     // MIs[0] policy
     /* 1947754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947764 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11274:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1UP_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1UP_VFPR64_M8_MASK),
     /* 1947767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1947785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947788 */     // GIR_Coverage, 24435,
     /* 1947788 */     GIR_EraseRootFromParent_Done,
     /* 1947789 */   // Label 26146: @1947789
     /* 1947789 */   GIM_Try, /*On fail goto*//*Label 26147*/ GIMT_Encode4(1947875), // Rule ID 24438 //
     /* 1947794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1947797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1947802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1947814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1947836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947840 */     // MIs[0] policy
     /* 1947840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947850 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1947850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1947853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947874 */     // GIR_Coverage, 24438,
     /* 1947874 */     GIR_EraseRootFromParent_Done,
     /* 1947875 */   // Label 26147: @1947875
     /* 1947875 */   GIM_Try, /*On fail goto*//*Label 26148*/ GIMT_Encode4(1947961), // Rule ID 24439 //
     /* 1947880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1947883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1947888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1947891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1947894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1947897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1947900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1947903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1947906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1947918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1947922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1947926 */     // MIs[0] policy
     /* 1947926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1947929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1947936 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1947936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF4_MASK),
     /* 1947939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1947941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1947943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1947945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1947947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1947949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1947954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1947957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1947959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1947960 */     // GIR_Coverage, 24439,
     /* 1947960 */     GIR_EraseRootFromParent_Done,
     /* 1947961 */   // Label 26148: @1947961
     /* 1947961 */   GIM_Try, /*On fail goto*//*Label 26149*/ GIMT_Encode4(1948047), // Rule ID 24442 //
     /* 1947966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1947969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1947974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1947977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1947980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1947983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1947986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1947989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1947992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1947996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1948008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948012 */     // MIs[0] policy
     /* 1948012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948022 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1948025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948046 */     // GIR_Coverage, 24442,
     /* 1948046 */     GIR_EraseRootFromParent_Done,
     /* 1948047 */   // Label 26149: @1948047
     /* 1948047 */   GIM_Try, /*On fail goto*//*Label 26150*/ GIMT_Encode4(1948133), // Rule ID 24443 //
     /* 1948052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1948055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1948063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1948066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1948069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1948072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1948094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948098 */     // MIs[0] policy
     /* 1948098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948108 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_MF2_MASK),
     /* 1948111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948132 */     // GIR_Coverage, 24443,
     /* 1948132 */     GIR_EraseRootFromParent_Done,
     /* 1948133 */   // Label 26150: @1948133
     /* 1948133 */   GIM_Try, /*On fail goto*//*Label 26151*/ GIMT_Encode4(1948219), // Rule ID 24446 //
     /* 1948138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1948141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1948149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1948152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1948155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1948180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948184 */     // MIs[0] policy
     /* 1948184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948194 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1948197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948218 */     // GIR_Coverage, 24446,
     /* 1948218 */     GIR_EraseRootFromParent_Done,
     /* 1948219 */   // Label 26151: @1948219
     /* 1948219 */   GIM_Try, /*On fail goto*//*Label 26152*/ GIMT_Encode4(1948305), // Rule ID 24447 //
     /* 1948224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1948227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1948235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1948238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1948241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1948266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948270 */     // MIs[0] policy
     /* 1948270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948280 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_MF2_MASK),
     /* 1948283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948304 */     // GIR_Coverage, 24447,
     /* 1948304 */     GIR_EraseRootFromParent_Done,
     /* 1948305 */   // Label 26152: @1948305
     /* 1948305 */   GIM_Try, /*On fail goto*//*Label 26153*/ GIMT_Encode4(1948391), // Rule ID 24450 //
     /* 1948310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1948313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1948330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1948352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948356 */     // MIs[0] policy
     /* 1948356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948366 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1948369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948390 */     // GIR_Coverage, 24450,
     /* 1948390 */     GIR_EraseRootFromParent_Done,
     /* 1948391 */   // Label 26153: @1948391
     /* 1948391 */   GIM_Try, /*On fail goto*//*Label 26154*/ GIMT_Encode4(1948477), // Rule ID 24451 //
     /* 1948396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1948399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1948407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1948410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1948413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1948416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1948419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1948438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948442 */     // MIs[0] policy
     /* 1948442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948452 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11272:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M1_MASK),
     /* 1948455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948476 */     // GIR_Coverage, 24451,
     /* 1948476 */     GIR_EraseRootFromParent_Done,
     /* 1948477 */   // Label 26154: @1948477
     /* 1948477 */   GIM_Try, /*On fail goto*//*Label 26155*/ GIMT_Encode4(1948563), // Rule ID 24454 //
     /* 1948482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1948485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1948524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948528 */     // MIs[0] policy
     /* 1948528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948538 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1948541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948562 */     // GIR_Coverage, 24454,
     /* 1948562 */     GIR_EraseRootFromParent_Done,
     /* 1948563 */   // Label 26155: @1948563
     /* 1948563 */   GIM_Try, /*On fail goto*//*Label 26156*/ GIMT_Encode4(1948649), // Rule ID 24455 //
     /* 1948568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1948571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1948579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1948582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1948585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1948588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1948591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1948610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948614 */     // MIs[0] policy
     /* 1948614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948624 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11272:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M1_MASK),
     /* 1948627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1948645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948648 */     // GIR_Coverage, 24455,
     /* 1948648 */     GIR_EraseRootFromParent_Done,
     /* 1948649 */   // Label 26156: @1948649
     /* 1948649 */   GIM_Try, /*On fail goto*//*Label 26157*/ GIMT_Encode4(1948735), // Rule ID 24458 //
     /* 1948654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1948657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1948696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948700 */     // MIs[0] policy
     /* 1948700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948710 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1948713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948734 */     // GIR_Coverage, 24458,
     /* 1948734 */     GIR_EraseRootFromParent_Done,
     /* 1948735 */   // Label 26157: @1948735
     /* 1948735 */   GIM_Try, /*On fail goto*//*Label 26158*/ GIMT_Encode4(1948821), // Rule ID 24459 //
     /* 1948740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1948743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1948751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1948754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1948757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1948760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1948763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1948770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1948778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1948782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948786 */     // MIs[0] policy
     /* 1948786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948796 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11272:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M1_MASK),
     /* 1948799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1948817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948820 */     // GIR_Coverage, 24459,
     /* 1948820 */     GIR_EraseRootFromParent_Done,
     /* 1948821 */   // Label 26158: @1948821
     /* 1948821 */   GIM_Try, /*On fail goto*//*Label 26159*/ GIMT_Encode4(1948907), // Rule ID 24462 //
     /* 1948826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1948829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1948846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1948852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1948868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948872 */     // MIs[0] policy
     /* 1948872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948882 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1948882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1948885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948906 */     // GIR_Coverage, 24462,
     /* 1948906 */     GIR_EraseRootFromParent_Done,
     /* 1948907 */   // Label 26159: @1948907
     /* 1948907 */   GIM_Try, /*On fail goto*//*Label 26160*/ GIMT_Encode4(1948993), // Rule ID 24463 //
     /* 1948912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1948915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1948920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1948923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1948926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1948929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1948932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1948935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1948938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1948942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1948950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1948954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1948958 */     // MIs[0] policy
     /* 1948958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1948961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1948968 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1948968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M2_MASK),
     /* 1948971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1948973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1948975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1948977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1948979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1948981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1948986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1948989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1948991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1948992 */     // GIR_Coverage, 24463,
     /* 1948992 */     GIR_EraseRootFromParent_Done,
     /* 1948993 */   // Label 26160: @1948993
     /* 1948993 */   GIM_Try, /*On fail goto*//*Label 26161*/ GIMT_Encode4(1949079), // Rule ID 24466 //
     /* 1948998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1949001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1949018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1949040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949044 */     // MIs[0] policy
     /* 1949044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949054 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1949057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949078 */     // GIR_Coverage, 24466,
     /* 1949078 */     GIR_EraseRootFromParent_Done,
     /* 1949079 */   // Label 26161: @1949079
     /* 1949079 */   GIM_Try, /*On fail goto*//*Label 26162*/ GIMT_Encode4(1949165), // Rule ID 24467 //
     /* 1949084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1949087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1949095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1949098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1949101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1949104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1949126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949130 */     // MIs[0] policy
     /* 1949130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949140 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M4_MASK),
     /* 1949143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949164 */     // GIR_Coverage, 24467,
     /* 1949164 */     GIR_EraseRootFromParent_Done,
     /* 1949165 */   // Label 26162: @1949165
     /* 1949165 */   GIM_Try, /*On fail goto*//*Label 26163*/ GIMT_Encode4(1949251), // Rule ID 24470 //
     /* 1949170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 1949173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1949190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1949212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949216 */     // MIs[0] policy
     /* 1949216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949226 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1949229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949250 */     // GIR_Coverage, 24470,
     /* 1949250 */     GIR_EraseRootFromParent_Done,
     /* 1949251 */   // Label 26163: @1949251
     /* 1949251 */   GIM_Try, /*On fail goto*//*Label 26164*/ GIMT_Encode4(1949337), // Rule ID 24471 //
     /* 1949256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 1949259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1949267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1949270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1949273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 1949276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1949279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 1949298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949302 */     // MIs[0] policy
     /* 1949302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949312 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR16_M8_MASK),
     /* 1949315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1949333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949336 */     // GIR_Coverage, 24471,
     /* 1949336 */     GIR_EraseRootFromParent_Done,
     /* 1949337 */   // Label 26164: @1949337
     /* 1949337 */   GIM_Try, /*On fail goto*//*Label 26165*/ GIMT_Encode4(1949423), // Rule ID 24474 //
     /* 1949342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1949384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949388 */     // MIs[0] policy
     /* 1949388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949398 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1949401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949422 */     // GIR_Coverage, 24474,
     /* 1949422 */     GIR_EraseRootFromParent_Done,
     /* 1949423 */   // Label 26165: @1949423
     /* 1949423 */   GIM_Try, /*On fail goto*//*Label 26166*/ GIMT_Encode4(1949509), // Rule ID 24475 //
     /* 1949428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1949439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1949442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1949445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1949451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1949470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949474 */     // MIs[0] policy
     /* 1949474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949484 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M2_MASK),
     /* 1949487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949508 */     // GIR_Coverage, 24475,
     /* 1949508 */     GIR_EraseRootFromParent_Done,
     /* 1949509 */   // Label 26166: @1949509
     /* 1949509 */   GIM_Try, /*On fail goto*//*Label 26167*/ GIMT_Encode4(1949595), // Rule ID 24478 //
     /* 1949514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1949556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949560 */     // MIs[0] policy
     /* 1949560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949570 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1949573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949594 */     // GIR_Coverage, 24478,
     /* 1949594 */     GIR_EraseRootFromParent_Done,
     /* 1949595 */   // Label 26167: @1949595
     /* 1949595 */   GIM_Try, /*On fail goto*//*Label 26168*/ GIMT_Encode4(1949681), // Rule ID 24479 //
     /* 1949600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1949611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1949614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1949617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1949623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1949630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1949638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1949642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949646 */     // MIs[0] policy
     /* 1949646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949656 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M4_MASK),
     /* 1949659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949680 */     // GIR_Coverage, 24479,
     /* 1949680 */     GIR_EraseRootFromParent_Done,
     /* 1949681 */   // Label 26168: @1949681
     /* 1949681 */   GIM_Try, /*On fail goto*//*Label 26169*/ GIMT_Encode4(1949767), // Rule ID 24482 //
     /* 1949686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1949689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1949728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949732 */     // MIs[0] policy
     /* 1949732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949742 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1949745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949766 */     // GIR_Coverage, 24482,
     /* 1949766 */     GIR_EraseRootFromParent_Done,
     /* 1949767 */   // Label 26169: @1949767
     /* 1949767 */   GIM_Try, /*On fail goto*//*Label 26170*/ GIMT_Encode4(1949853), // Rule ID 24483 //
     /* 1949772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1949775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1949783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1949786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1949789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1949792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1949795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1949802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1949810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 1949814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949818 */     // MIs[0] policy
     /* 1949818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949828 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR32_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1949828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR32_M8_MASK),
     /* 1949831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1949849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949852 */     // GIR_Coverage, 24483,
     /* 1949852 */     GIR_EraseRootFromParent_Done,
     /* 1949853 */   // Label 26170: @1949853
     /* 1949853 */   GIM_Try, /*On fail goto*//*Label 26171*/ GIMT_Encode4(1949939), // Rule ID 24486 //
     /* 1949858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1949861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1949884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1949900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949904 */     // MIs[0] policy
     /* 1949904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1949914 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1949914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1949917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1949919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1949921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1949923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1949925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1949927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1949932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1949935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1949937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1949938 */     // GIR_Coverage, 24486,
     /* 1949938 */     GIR_EraseRootFromParent_Done,
     /* 1949939 */   // Label 26171: @1949939
     /* 1949939 */   GIM_Try, /*On fail goto*//*Label 26172*/ GIMT_Encode4(1950025), // Rule ID 24487 //
     /* 1949944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1949947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1949952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1949955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1949958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1949961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1949964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1949967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1949970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1949974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1949982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1949986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1949990 */     // MIs[0] policy
     /* 1949990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1949993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950000 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11272:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M2_MASK),
     /* 1950003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950024 */     // GIR_Coverage, 24487,
     /* 1950024 */     GIR_EraseRootFromParent_Done,
     /* 1950025 */   // Label 26172: @1950025
     /* 1950025 */   GIM_Try, /*On fail goto*//*Label 26173*/ GIMT_Encode4(1950111), // Rule ID 24490 //
     /* 1950030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1950038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1950072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950076 */     // MIs[0] policy
     /* 1950076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950086 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1950089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950110 */     // GIR_Coverage, 24490,
     /* 1950110 */     GIR_EraseRootFromParent_Done,
     /* 1950111 */   // Label 26173: @1950111
     /* 1950111 */   GIM_Try, /*On fail goto*//*Label 26174*/ GIMT_Encode4(1950197), // Rule ID 24491 //
     /* 1950116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1950124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1950127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1950130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1950133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1950146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1950154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1950158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950162 */     // MIs[0] policy
     /* 1950162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950172 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11272:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M4_MASK),
     /* 1950175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950196 */     // GIR_Coverage, 24491,
     /* 1950196 */     GIR_EraseRootFromParent_Done,
     /* 1950197 */   // Label 26174: @1950197
     /* 1950197 */   GIM_Try, /*On fail goto*//*Label 26175*/ GIMT_Encode4(1950283), // Rule ID 24494 //
     /* 1950202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1950205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1950210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1950244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950248 */     // MIs[0] policy
     /* 1950248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950258 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1950261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950282 */     // GIR_Coverage, 24494,
     /* 1950282 */     GIR_EraseRootFromParent_Done,
     /* 1950283 */   // Label 26175: @1950283
     /* 1950283 */   GIM_Try, /*On fail goto*//*Label 26176*/ GIMT_Encode4(1950369), // Rule ID 24495 //
     /* 1950288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1950291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfslide1down_mask),
     /* 1950296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1950299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1950302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1950305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1950308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1950311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1950318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1950326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 1950330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950334 */     // MIs[0] policy
     /* 1950334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950344 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11272:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSLIDE1DOWN_VFPR64_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSLIDE1DOWN_VFPR64_M8_MASK),
     /* 1950347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1950365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950368 */     // GIR_Coverage, 24495,
     /* 1950368 */     GIR_EraseRootFromParent_Done,
     /* 1950369 */   // Label 26176: @1950369
     /* 1950369 */   GIM_Try, /*On fail goto*//*Label 26177*/ GIMT_Encode4(1950455), // Rule ID 24498 //
     /* 1950374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1950385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1950388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1950391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1950394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950420 */     // MIs[0] policy
     /* 1950420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950430 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1950433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950454 */     // GIR_Coverage, 24498,
     /* 1950454 */     GIR_EraseRootFromParent_Done,
     /* 1950455 */   // Label 26177: @1950455
     /* 1950455 */   GIM_Try, /*On fail goto*//*Label 26178*/ GIMT_Encode4(1950541), // Rule ID 24499 //
     /* 1950460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1950471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1950474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1950477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1950480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950506 */     // MIs[0] policy
     /* 1950506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950516 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF8_E8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF8_E8_MASK),
     /* 1950519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950540 */     // GIR_Coverage, 24499,
     /* 1950540 */     GIR_EraseRootFromParent_Done,
     /* 1950541 */   // Label 26178: @1950541
     /* 1950541 */   GIM_Try, /*On fail goto*//*Label 26179*/ GIMT_Encode4(1950627), // Rule ID 24502 //
     /* 1950546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1950557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1950560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1950563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1950566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950592 */     // MIs[0] policy
     /* 1950592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950602 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1950605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950626 */     // GIR_Coverage, 24502,
     /* 1950626 */     GIR_EraseRootFromParent_Done,
     /* 1950627 */   // Label 26179: @1950627
     /* 1950627 */   GIM_Try, /*On fail goto*//*Label 26180*/ GIMT_Encode4(1950713), // Rule ID 24503 //
     /* 1950632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1950643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1950646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1950649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1950652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1950655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950678 */     // MIs[0] policy
     /* 1950678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950688 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E8_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E8_MASK),
     /* 1950691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950712 */     // GIR_Coverage, 24503,
     /* 1950712 */     GIR_EraseRootFromParent_Done,
     /* 1950713 */   // Label 26180: @1950713
     /* 1950713 */   GIM_Try, /*On fail goto*//*Label 26181*/ GIMT_Encode4(1950799), // Rule ID 24506 //
     /* 1950718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1950729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1950732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1950735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1950738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950764 */     // MIs[0] policy
     /* 1950764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950774 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1950777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950798 */     // GIR_Coverage, 24506,
     /* 1950798 */     GIR_EraseRootFromParent_Done,
     /* 1950799 */   // Label 26181: @1950799
     /* 1950799 */   GIM_Try, /*On fail goto*//*Label 26182*/ GIMT_Encode4(1950885), // Rule ID 24507 //
     /* 1950804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1950815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1950818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1950821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1950824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1950827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1950830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950850 */     // MIs[0] policy
     /* 1950850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950860 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E8_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1950860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E8_MASK),
     /* 1950863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1950881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950884 */     // GIR_Coverage, 24507,
     /* 1950884 */     GIR_EraseRootFromParent_Done,
     /* 1950885 */   // Label 26182: @1950885
     /* 1950885 */   GIM_Try, /*On fail goto*//*Label 26183*/ GIMT_Encode4(1950971), // Rule ID 24510 //
     /* 1950890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1950893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1950901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1950904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1950907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1950910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1950916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1950920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1950932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1950936 */     // MIs[0] policy
     /* 1950936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1950939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1950946 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1950946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1950949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1950951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1950953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1950955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1950957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1950959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1950964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1950967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1950969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1950970 */     // GIR_Coverage, 24510,
     /* 1950970 */     GIR_EraseRootFromParent_Done,
     /* 1950971 */   // Label 26183: @1950971
     /* 1950971 */   GIM_Try, /*On fail goto*//*Label 26184*/ GIMT_Encode4(1951057), // Rule ID 24511 //
     /* 1950976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1950979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1950984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1950987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1950990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1950993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1950996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1950999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951022 */     // MIs[0] policy
     /* 1951022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1951035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951056 */     // GIR_Coverage, 24511,
     /* 1951056 */     GIR_EraseRootFromParent_Done,
     /* 1951057 */   // Label 26184: @1951057
     /* 1951057 */   GIM_Try, /*On fail goto*//*Label 26185*/ GIMT_Encode4(1951143), // Rule ID 24514 //
     /* 1951062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1951073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1951076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1951079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1951082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951108 */     // MIs[0] policy
     /* 1951108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951118 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1951121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951142 */     // GIR_Coverage, 24514,
     /* 1951142 */     GIR_EraseRootFromParent_Done,
     /* 1951143 */   // Label 26185: @1951143
     /* 1951143 */   GIM_Try, /*On fail goto*//*Label 26186*/ GIMT_Encode4(1951229), // Rule ID 24515 //
     /* 1951148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1951159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1951162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1951165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1951168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951194 */     // MIs[0] policy
     /* 1951194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951204 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1951207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951228 */     // GIR_Coverage, 24515,
     /* 1951228 */     GIR_EraseRootFromParent_Done,
     /* 1951229 */   // Label 26186: @1951229
     /* 1951229 */   GIM_Try, /*On fail goto*//*Label 26187*/ GIMT_Encode4(1951315), // Rule ID 24518 //
     /* 1951234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1951245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1951248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1951251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1951254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951280 */     // MIs[0] policy
     /* 1951280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951290 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1951293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951314 */     // GIR_Coverage, 24518,
     /* 1951314 */     GIR_EraseRootFromParent_Done,
     /* 1951315 */   // Label 26187: @1951315
     /* 1951315 */   GIM_Try, /*On fail goto*//*Label 26188*/ GIMT_Encode4(1951401), // Rule ID 24519 //
     /* 1951320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1951331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1951334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1951337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1951340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951366 */     // MIs[0] policy
     /* 1951366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951376 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1951379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951400 */     // GIR_Coverage, 24519,
     /* 1951400 */     GIR_EraseRootFromParent_Done,
     /* 1951401 */   // Label 26188: @1951401
     /* 1951401 */   GIM_Try, /*On fail goto*//*Label 26189*/ GIMT_Encode4(1951487), // Rule ID 24522 //
     /* 1951406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1951417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1951420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1951423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1951426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951452 */     // MIs[0] policy
     /* 1951452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951462 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1951465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951486 */     // GIR_Coverage, 24522,
     /* 1951486 */     GIR_EraseRootFromParent_Done,
     /* 1951487 */   // Label 26189: @1951487
     /* 1951487 */   GIM_Try, /*On fail goto*//*Label 26190*/ GIMT_Encode4(1951573), // Rule ID 24523 //
     /* 1951492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1951503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1951506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1951509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1951512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1951515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951538 */     // MIs[0] policy
     /* 1951538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951548 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11520:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E8_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E8_MASK),
     /* 1951551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1951569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951572 */     // GIR_Coverage, 24523,
     /* 1951572 */     GIR_EraseRootFromParent_Done,
     /* 1951573 */   // Label 26190: @1951573
     /* 1951573 */   GIM_Try, /*On fail goto*//*Label 26191*/ GIMT_Encode4(1951659), // Rule ID 24526 //
     /* 1951578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1951589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1951592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1951595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1951598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951624 */     // MIs[0] policy
     /* 1951624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951634 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1951637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951658 */     // GIR_Coverage, 24526,
     /* 1951658 */     GIR_EraseRootFromParent_Done,
     /* 1951659 */   // Label 26191: @1951659
     /* 1951659 */   GIM_Try, /*On fail goto*//*Label 26192*/ GIMT_Encode4(1951745), // Rule ID 24527 //
     /* 1951664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1951675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1951678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1951681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1951684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1951687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951710 */     // MIs[0] policy
     /* 1951710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951720 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1951723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1951741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951744 */     // GIR_Coverage, 24527,
     /* 1951744 */     GIR_EraseRootFromParent_Done,
     /* 1951745 */   // Label 26192: @1951745
     /* 1951745 */   GIM_Try, /*On fail goto*//*Label 26193*/ GIMT_Encode4(1951831), // Rule ID 24530 //
     /* 1951750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1951753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1951761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1951770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951796 */     // MIs[0] policy
     /* 1951796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951806 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1951809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951830 */     // GIR_Coverage, 24530,
     /* 1951830 */     GIR_EraseRootFromParent_Done,
     /* 1951831 */   // Label 26193: @1951831
     /* 1951831 */   GIM_Try, /*On fail goto*//*Label 26194*/ GIMT_Encode4(1951917), // Rule ID 24531 //
     /* 1951836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1951839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1951847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1951850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1951853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1951856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1951859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1951862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951882 */     // MIs[0] policy
     /* 1951882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951892 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1951892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1951895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1951913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1951915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1951916 */     // GIR_Coverage, 24531,
     /* 1951916 */     GIR_EraseRootFromParent_Done,
     /* 1951917 */   // Label 26194: @1951917
     /* 1951917 */   GIM_Try, /*On fail goto*//*Label 26195*/ GIMT_Encode4(1952003), // Rule ID 24534 //
     /* 1951922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1951925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1951930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1951933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1951936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1951939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1951942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1951945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1951948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1951952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1951964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1951968 */     // MIs[0] policy
     /* 1951968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1951971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1951978 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1951978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1951981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1951983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1951985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1951987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1951989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1951991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1951996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1951999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952002 */     // GIR_Coverage, 24534,
     /* 1952002 */     GIR_EraseRootFromParent_Done,
     /* 1952003 */   // Label 26195: @1952003
     /* 1952003 */   GIM_Try, /*On fail goto*//*Label 26196*/ GIMT_Encode4(1952089), // Rule ID 24535 //
     /* 1952008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1952011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1952019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1952022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1952025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1952028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1952031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1952038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1952050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952054 */     // MIs[0] policy
     /* 1952054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952064 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1952067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1952085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952088 */     // GIR_Coverage, 24535,
     /* 1952088 */     GIR_EraseRootFromParent_Done,
     /* 1952089 */   // Label 26196: @1952089
     /* 1952089 */   GIM_Try, /*On fail goto*//*Label 26197*/ GIMT_Encode4(1952175), // Rule ID 24538 //
     /* 1952094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1952105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1952108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1952111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1952114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952140 */     // MIs[0] policy
     /* 1952140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952150 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1952153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952174 */     // GIR_Coverage, 24538,
     /* 1952174 */     GIR_EraseRootFromParent_Done,
     /* 1952175 */   // Label 26197: @1952175
     /* 1952175 */   GIM_Try, /*On fail goto*//*Label 26198*/ GIMT_Encode4(1952261), // Rule ID 24539 //
     /* 1952180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1952191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1952194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1952197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1952200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952226 */     // MIs[0] policy
     /* 1952226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952236 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E8_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E8_MASK),
     /* 1952239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952260 */     // GIR_Coverage, 24539,
     /* 1952260 */     GIR_EraseRootFromParent_Done,
     /* 1952261 */   // Label 26198: @1952261
     /* 1952261 */   GIM_Try, /*On fail goto*//*Label 26199*/ GIMT_Encode4(1952347), // Rule ID 24542 //
     /* 1952266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1952277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1952280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1952283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1952286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952312 */     // MIs[0] policy
     /* 1952312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952322 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1952325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952346 */     // GIR_Coverage, 24542,
     /* 1952346 */     GIR_EraseRootFromParent_Done,
     /* 1952347 */   // Label 26199: @1952347
     /* 1952347 */   GIM_Try, /*On fail goto*//*Label 26200*/ GIMT_Encode4(1952433), // Rule ID 24543 //
     /* 1952352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1952363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1952366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1952369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1952372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952398 */     // MIs[0] policy
     /* 1952398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952408 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E8_MASK),
     /* 1952411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952432 */     // GIR_Coverage, 24543,
     /* 1952432 */     GIR_EraseRootFromParent_Done,
     /* 1952433 */   // Label 26200: @1952433
     /* 1952433 */   GIM_Try, /*On fail goto*//*Label 26201*/ GIMT_Encode4(1952519), // Rule ID 24546 //
     /* 1952438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1952449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1952452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1952455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1952458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1952461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952484 */     // MIs[0] policy
     /* 1952484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952494 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1952497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952518 */     // GIR_Coverage, 24546,
     /* 1952518 */     GIR_EraseRootFromParent_Done,
     /* 1952519 */   // Label 26201: @1952519
     /* 1952519 */   GIM_Try, /*On fail goto*//*Label 26202*/ GIMT_Encode4(1952605), // Rule ID 24547 //
     /* 1952524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1952535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1952538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1952541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1952544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1952547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952570 */     // MIs[0] policy
     /* 1952570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952580 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E8_MASK),
     /* 1952583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1952601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952604 */     // GIR_Coverage, 24547,
     /* 1952604 */     GIR_EraseRootFromParent_Done,
     /* 1952605 */   // Label 26202: @1952605
     /* 1952605 */   GIM_Try, /*On fail goto*//*Label 26203*/ GIMT_Encode4(1952691), // Rule ID 24550 //
     /* 1952610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1952627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1952630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952656 */     // MIs[0] policy
     /* 1952656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952666 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1952669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952690 */     // GIR_Coverage, 24550,
     /* 1952690 */     GIR_EraseRootFromParent_Done,
     /* 1952691 */   // Label 26203: @1952691
     /* 1952691 */   GIM_Try, /*On fail goto*//*Label 26204*/ GIMT_Encode4(1952777), // Rule ID 24551 //
     /* 1952696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1952707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1952710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1952713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1952716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1952719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1952726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1952738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952742 */     // MIs[0] policy
     /* 1952742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952752 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1952755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952776 */     // GIR_Coverage, 24551,
     /* 1952776 */     GIR_EraseRootFromParent_Done,
     /* 1952777 */   // Label 26204: @1952777
     /* 1952777 */   GIM_Try, /*On fail goto*//*Label 26205*/ GIMT_Encode4(1952863), // Rule ID 24554 //
     /* 1952782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1952802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952828 */     // MIs[0] policy
     /* 1952828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952838 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1952838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1952841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952862 */     // GIR_Coverage, 24554,
     /* 1952862 */     GIR_EraseRootFromParent_Done,
     /* 1952863 */   // Label 26205: @1952863
     /* 1952863 */   GIM_Try, /*On fail goto*//*Label 26206*/ GIMT_Encode4(1952949), // Rule ID 24555 //
     /* 1952868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1952871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1952879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1952882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1952885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1952888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1952891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1952894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1952898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1952910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1952914 */     // MIs[0] policy
     /* 1952914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1952917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1952924 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1952924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1952927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1952929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1952931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1952933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1952935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1952937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1952942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1952945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1952947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1952948 */     // GIR_Coverage, 24555,
     /* 1952948 */     GIR_EraseRootFromParent_Done,
     /* 1952949 */   // Label 26206: @1952949
     /* 1952949 */   GIM_Try, /*On fail goto*//*Label 26207*/ GIMT_Encode4(1953035), // Rule ID 24558 //
     /* 1952954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1952957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1952962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1952965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1952968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1952971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1952974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1952977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1952980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1952984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1952996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953000 */     // MIs[0] policy
     /* 1953000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953010 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1953013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953034 */     // GIR_Coverage, 24558,
     /* 1953034 */     GIR_EraseRootFromParent_Done,
     /* 1953035 */   // Label 26207: @1953035
     /* 1953035 */   GIM_Try, /*On fail goto*//*Label 26208*/ GIMT_Encode4(1953121), // Rule ID 24559 //
     /* 1953040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1953051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1953054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1953057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1953060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1953063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953086 */     // MIs[0] policy
     /* 1953086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953096 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1953099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1953117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953120 */     // GIR_Coverage, 24559,
     /* 1953120 */     GIR_EraseRootFromParent_Done,
     /* 1953121 */   // Label 26208: @1953121
     /* 1953121 */   GIM_Try, /*On fail goto*//*Label 26209*/ GIMT_Encode4(1953207), // Rule ID 24562 //
     /* 1953126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1953137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1953140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1953143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1953146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953172 */     // MIs[0] policy
     /* 1953172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953182 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1953185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953206 */     // GIR_Coverage, 24562,
     /* 1953206 */     GIR_EraseRootFromParent_Done,
     /* 1953207 */   // Label 26209: @1953207
     /* 1953207 */   GIM_Try, /*On fail goto*//*Label 26210*/ GIMT_Encode4(1953293), // Rule ID 24563 //
     /* 1953212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1953223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1953226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1953229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1953232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953258 */     // MIs[0] policy
     /* 1953258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953268 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1953271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953292 */     // GIR_Coverage, 24563,
     /* 1953292 */     GIR_EraseRootFromParent_Done,
     /* 1953293 */   // Label 26210: @1953293
     /* 1953293 */   GIM_Try, /*On fail goto*//*Label 26211*/ GIMT_Encode4(1953379), // Rule ID 24566 //
     /* 1953298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1953309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1953312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1953315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1953318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953344 */     // MIs[0] policy
     /* 1953344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953354 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1953357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953378 */     // GIR_Coverage, 24566,
     /* 1953378 */     GIR_EraseRootFromParent_Done,
     /* 1953379 */   // Label 26211: @1953379
     /* 1953379 */   GIM_Try, /*On fail goto*//*Label 26212*/ GIMT_Encode4(1953465), // Rule ID 24567 //
     /* 1953384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1953395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1953398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1953401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1953404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1953407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953430 */     // MIs[0] policy
     /* 1953430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953440 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1953443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953464 */     // GIR_Coverage, 24567,
     /* 1953464 */     GIR_EraseRootFromParent_Done,
     /* 1953465 */   // Label 26212: @1953465
     /* 1953465 */   GIM_Try, /*On fail goto*//*Label 26213*/ GIMT_Encode4(1953551), // Rule ID 24570 //
     /* 1953470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1953473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1953490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953516 */     // MIs[0] policy
     /* 1953516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953526 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1953529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953550 */     // GIR_Coverage, 24570,
     /* 1953550 */     GIR_EraseRootFromParent_Done,
     /* 1953551 */   // Label 26213: @1953551
     /* 1953551 */   GIM_Try, /*On fail goto*//*Label 26214*/ GIMT_Encode4(1953637), // Rule ID 24571 //
     /* 1953556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1953559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1953567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1953570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1953573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1953576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1953579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1953586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1953598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953602 */     // MIs[0] policy
     /* 1953602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953612 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1953615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1953633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953636 */     // GIR_Coverage, 24571,
     /* 1953636 */     GIR_EraseRootFromParent_Done,
     /* 1953637 */   // Label 26214: @1953637
     /* 1953637 */   GIM_Try, /*On fail goto*//*Label 26215*/ GIMT_Encode4(1953723), // Rule ID 24574 //
     /* 1953642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1953645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1953662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953688 */     // MIs[0] policy
     /* 1953688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953698 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1953701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953722 */     // GIR_Coverage, 24574,
     /* 1953722 */     GIR_EraseRootFromParent_Done,
     /* 1953723 */   // Label 26215: @1953723
     /* 1953723 */   GIM_Try, /*On fail goto*//*Label 26216*/ GIMT_Encode4(1953809), // Rule ID 24575 //
     /* 1953728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1953731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1953739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1953742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1953745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1953748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1953751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1953758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1953770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953774 */     // MIs[0] policy
     /* 1953774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1953787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953808 */     // GIR_Coverage, 24575,
     /* 1953808 */     GIR_EraseRootFromParent_Done,
     /* 1953809 */   // Label 26216: @1953809
     /* 1953809 */   GIM_Try, /*On fail goto*//*Label 26217*/ GIMT_Encode4(1953895), // Rule ID 24578 //
     /* 1953814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1953817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1953834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1953840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953860 */     // MIs[0] policy
     /* 1953860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953870 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1953870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1953873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953894 */     // GIR_Coverage, 24578,
     /* 1953894 */     GIR_EraseRootFromParent_Done,
     /* 1953895 */   // Label 26217: @1953895
     /* 1953895 */   GIM_Try, /*On fail goto*//*Label 26218*/ GIMT_Encode4(1953981), // Rule ID 24579 //
     /* 1953900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1953903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1953911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1953914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1953917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1953920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1953923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1953926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1953930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1953942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1953946 */     // MIs[0] policy
     /* 1953946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1953949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1953956 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1953956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1953959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1953961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1953963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1953965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1953967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1953969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1953974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1953977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1953979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1953980 */     // GIR_Coverage, 24579,
     /* 1953980 */     GIR_EraseRootFromParent_Done,
     /* 1953981 */   // Label 26218: @1953981
     /* 1953981 */   GIM_Try, /*On fail goto*//*Label 26219*/ GIMT_Encode4(1954067), // Rule ID 24582 //
     /* 1953986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1953989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1953994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1953997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1954000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1954003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1954006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954032 */     // MIs[0] policy
     /* 1954032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954042 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1954045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954066 */     // GIR_Coverage, 24582,
     /* 1954066 */     GIR_EraseRootFromParent_Done,
     /* 1954067 */   // Label 26219: @1954067
     /* 1954067 */   GIM_Try, /*On fail goto*//*Label 26220*/ GIMT_Encode4(1954153), // Rule ID 24583 //
     /* 1954072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1954075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1954080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1954083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1954086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1954089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1954092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1954095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1954102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1954114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954118 */     // MIs[0] policy
     /* 1954118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1954131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1954149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954152 */     // GIR_Coverage, 24583,
     /* 1954152 */     GIR_EraseRootFromParent_Done,
     /* 1954153 */   // Label 26220: @1954153
     /* 1954153 */   GIM_Try, /*On fail goto*//*Label 26221*/ GIMT_Encode4(1954239), // Rule ID 24586 //
     /* 1954158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1954169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1954172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1954175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954204 */     // MIs[0] policy
     /* 1954204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954214 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1954217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954238 */     // GIR_Coverage, 24586,
     /* 1954238 */     GIR_EraseRootFromParent_Done,
     /* 1954239 */   // Label 26221: @1954239
     /* 1954239 */   GIM_Try, /*On fail goto*//*Label 26222*/ GIMT_Encode4(1954325), // Rule ID 24587 //
     /* 1954244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1954255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1954258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1954261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954290 */     // MIs[0] policy
     /* 1954290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954300 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF8_MASK),
     /* 1954303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954324 */     // GIR_Coverage, 24587,
     /* 1954324 */     GIR_EraseRootFromParent_Done,
     /* 1954325 */   // Label 26222: @1954325
     /* 1954325 */   GIM_Try, /*On fail goto*//*Label 26223*/ GIMT_Encode4(1954411), // Rule ID 24590 //
     /* 1954330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1954341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1954344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1954347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954376 */     // MIs[0] policy
     /* 1954376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954386 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954410 */     // GIR_Coverage, 24590,
     /* 1954410 */     GIR_EraseRootFromParent_Done,
     /* 1954411 */   // Label 26223: @1954411
     /* 1954411 */   GIM_Try, /*On fail goto*//*Label 26224*/ GIMT_Encode4(1954497), // Rule ID 24591 //
     /* 1954416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1954427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1954430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1954433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954462 */     // MIs[0] policy
     /* 1954462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954472 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954496 */     // GIR_Coverage, 24591,
     /* 1954496 */     GIR_EraseRootFromParent_Done,
     /* 1954497 */   // Label 26224: @1954497
     /* 1954497 */   GIM_Try, /*On fail goto*//*Label 26225*/ GIMT_Encode4(1954583), // Rule ID 24594 //
     /* 1954502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1954513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1954516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1954519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954548 */     // MIs[0] policy
     /* 1954548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954558 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954582 */     // GIR_Coverage, 24594,
     /* 1954582 */     GIR_EraseRootFromParent_Done,
     /* 1954583 */   // Label 26225: @1954583
     /* 1954583 */   GIM_Try, /*On fail goto*//*Label 26226*/ GIMT_Encode4(1954669), // Rule ID 24595 //
     /* 1954588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1954599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1954602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1954605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1954611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954634 */     // MIs[0] policy
     /* 1954634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954644 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1954665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954668 */     // GIR_Coverage, 24595,
     /* 1954668 */     GIR_EraseRootFromParent_Done,
     /* 1954669 */   // Label 26226: @1954669
     /* 1954669 */   GIM_Try, /*On fail goto*//*Label 26227*/ GIMT_Encode4(1954755), // Rule ID 24598 //
     /* 1954674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954720 */     // MIs[0] policy
     /* 1954720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954730 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954754 */     // GIR_Coverage, 24598,
     /* 1954754 */     GIR_EraseRootFromParent_Done,
     /* 1954755 */   // Label 26227: @1954755
     /* 1954755 */   GIM_Try, /*On fail goto*//*Label 26228*/ GIMT_Encode4(1954841), // Rule ID 24599 //
     /* 1954760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1954771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1954774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1954777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1954783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954806 */     // MIs[0] policy
     /* 1954806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954816 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1954819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954840 */     // GIR_Coverage, 24599,
     /* 1954840 */     GIR_EraseRootFromParent_Done,
     /* 1954841 */   // Label 26228: @1954841
     /* 1954841 */   GIM_Try, /*On fail goto*//*Label 26229*/ GIMT_Encode4(1954927), // Rule ID 24602 //
     /* 1954846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1954849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1954866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1954872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954892 */     // MIs[0] policy
     /* 1954892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954902 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1954902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1954915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1954920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1954923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1954925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1954926 */     // GIR_Coverage, 24602,
     /* 1954926 */     GIR_EraseRootFromParent_Done,
     /* 1954927 */   // Label 26229: @1954927
     /* 1954927 */   GIM_Try, /*On fail goto*//*Label 26230*/ GIMT_Encode4(1955013), // Rule ID 24603 //
     /* 1954932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1954935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1954940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1954943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1954946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1954949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1954952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1954955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1954958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1954962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1954970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1954974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1954978 */     // MIs[0] policy
     /* 1954978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1954981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1954988 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1954988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1954991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1954993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1954995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1954997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1954999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955012 */     // GIR_Coverage, 24603,
     /* 1955012 */     GIR_EraseRootFromParent_Done,
     /* 1955013 */   // Label 26230: @1955013
     /* 1955013 */   GIM_Try, /*On fail goto*//*Label 26231*/ GIMT_Encode4(1955099), // Rule ID 24606 //
     /* 1955018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1955029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1955032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1955035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955064 */     // MIs[0] policy
     /* 1955064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955074 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1955077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955098 */     // GIR_Coverage, 24606,
     /* 1955098 */     GIR_EraseRootFromParent_Done,
     /* 1955099 */   // Label 26231: @1955099
     /* 1955099 */   GIM_Try, /*On fail goto*//*Label 26232*/ GIMT_Encode4(1955185), // Rule ID 24607 //
     /* 1955104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1955115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1955118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1955121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955150 */     // MIs[0] policy
     /* 1955150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955160 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1955163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955184 */     // GIR_Coverage, 24607,
     /* 1955184 */     GIR_EraseRootFromParent_Done,
     /* 1955185 */   // Label 26232: @1955185
     /* 1955185 */   GIM_Try, /*On fail goto*//*Label 26233*/ GIMT_Encode4(1955271), // Rule ID 24610 //
     /* 1955190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1955201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1955204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1955207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955236 */     // MIs[0] policy
     /* 1955236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955246 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955270 */     // GIR_Coverage, 24610,
     /* 1955270 */     GIR_EraseRootFromParent_Done,
     /* 1955271 */   // Label 26233: @1955271
     /* 1955271 */   GIM_Try, /*On fail goto*//*Label 26234*/ GIMT_Encode4(1955357), // Rule ID 24611 //
     /* 1955276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1955287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1955290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1955293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1955299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955322 */     // MIs[0] policy
     /* 1955322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955332 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11522:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955356 */     // GIR_Coverage, 24611,
     /* 1955356 */     GIR_EraseRootFromParent_Done,
     /* 1955357 */   // Label 26234: @1955357
     /* 1955357 */   GIM_Try, /*On fail goto*//*Label 26235*/ GIMT_Encode4(1955443), // Rule ID 24614 //
     /* 1955362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955408 */     // MIs[0] policy
     /* 1955408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955418 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955442 */     // GIR_Coverage, 24614,
     /* 1955442 */     GIR_EraseRootFromParent_Done,
     /* 1955443 */   // Label 26235: @1955443
     /* 1955443 */   GIM_Try, /*On fail goto*//*Label 26236*/ GIMT_Encode4(1955529), // Rule ID 24615 //
     /* 1955448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1955459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1955462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1955465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1955471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955494 */     // MIs[0] policy
     /* 1955494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955504 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1955525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955528 */     // GIR_Coverage, 24615,
     /* 1955528 */     GIR_EraseRootFromParent_Done,
     /* 1955529 */   // Label 26236: @1955529
     /* 1955529 */   GIM_Try, /*On fail goto*//*Label 26237*/ GIMT_Encode4(1955615), // Rule ID 24618 //
     /* 1955534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1955545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1955548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1955551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955580 */     // MIs[0] policy
     /* 1955580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955614 */     // GIR_Coverage, 24618,
     /* 1955614 */     GIR_EraseRootFromParent_Done,
     /* 1955615 */   // Label 26237: @1955615
     /* 1955615 */   GIM_Try, /*On fail goto*//*Label 26238*/ GIMT_Encode4(1955701), // Rule ID 24619 //
     /* 1955620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1955631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1955634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1955637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1955643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955666 */     // MIs[0] policy
     /* 1955666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955676 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1955697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955700 */     // GIR_Coverage, 24619,
     /* 1955700 */     GIR_EraseRootFromParent_Done,
     /* 1955701 */   // Label 26238: @1955701
     /* 1955701 */   GIM_Try, /*On fail goto*//*Label 26239*/ GIMT_Encode4(1955787), // Rule ID 24622 //
     /* 1955706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1955709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955752 */     // MIs[0] policy
     /* 1955752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955762 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955786 */     // GIR_Coverage, 24622,
     /* 1955786 */     GIR_EraseRootFromParent_Done,
     /* 1955787 */   // Label 26239: @1955787
     /* 1955787 */   GIM_Try, /*On fail goto*//*Label 26240*/ GIMT_Encode4(1955873), // Rule ID 24623 //
     /* 1955792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1955795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1955803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1955806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1955809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1955815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1955822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1955830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955838 */     // MIs[0] policy
     /* 1955838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955848 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1955848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1955851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1955869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955872 */     // GIR_Coverage, 24623,
     /* 1955872 */     GIR_EraseRootFromParent_Done,
     /* 1955873 */   // Label 26240: @1955873
     /* 1955873 */   GIM_Try, /*On fail goto*//*Label 26241*/ GIMT_Encode4(1955959), // Rule ID 24626 //
     /* 1955878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1955881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1955889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1955892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1955895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1955898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1955904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1955920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1955924 */     // MIs[0] policy
     /* 1955924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1955927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1955934 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1955934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1955937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1955939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1955941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1955943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1955945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1955947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1955952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1955955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1955957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1955958 */     // GIR_Coverage, 24626,
     /* 1955958 */     GIR_EraseRootFromParent_Done,
     /* 1955959 */   // Label 26241: @1955959
     /* 1955959 */   GIM_Try, /*On fail goto*//*Label 26242*/ GIMT_Encode4(1956045), // Rule ID 24627 //
     /* 1955964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1955967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1955972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1955975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1955978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1955981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1955984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1955987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1955990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1955994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1955998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956010 */     // MIs[0] policy
     /* 1956010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956020 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1956023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1956041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956044 */     // GIR_Coverage, 24627,
     /* 1956044 */     GIR_EraseRootFromParent_Done,
     /* 1956045 */   // Label 26242: @1956045
     /* 1956045 */   GIM_Try, /*On fail goto*//*Label 26243*/ GIMT_Encode4(1956131), // Rule ID 24630 //
     /* 1956050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1956061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1956064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1956067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956096 */     // MIs[0] policy
     /* 1956096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956106 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1956109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1956127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956130 */     // GIR_Coverage, 24630,
     /* 1956130 */     GIR_EraseRootFromParent_Done,
     /* 1956131 */   // Label 26243: @1956131
     /* 1956131 */   GIM_Try, /*On fail goto*//*Label 26244*/ GIMT_Encode4(1956217), // Rule ID 24631 //
     /* 1956136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1956147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1956150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1956153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956182 */     // MIs[0] policy
     /* 1956182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956192 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1956195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1956213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956216 */     // GIR_Coverage, 24631,
     /* 1956216 */     GIR_EraseRootFromParent_Done,
     /* 1956217 */   // Label 26244: @1956217
     /* 1956217 */   GIM_Try, /*On fail goto*//*Label 26245*/ GIMT_Encode4(1956303), // Rule ID 24634 //
     /* 1956222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1956233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1956236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1956239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1956245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956268 */     // MIs[0] policy
     /* 1956268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956278 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1956281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1956299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956302 */     // GIR_Coverage, 24634,
     /* 1956302 */     GIR_EraseRootFromParent_Done,
     /* 1956303 */   // Label 26245: @1956303
     /* 1956303 */   GIM_Try, /*On fail goto*//*Label 26246*/ GIMT_Encode4(1956389), // Rule ID 24635 //
     /* 1956308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1956319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1956322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1956325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1956331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956354 */     // MIs[0] policy
     /* 1956354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956364 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1956367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1956385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956388 */     // GIR_Coverage, 24635,
     /* 1956388 */     GIR_EraseRootFromParent_Done,
     /* 1956389 */   // Label 26246: @1956389
     /* 1956389 */   GIM_Try, /*On fail goto*//*Label 26247*/ GIMT_Encode4(1956475), // Rule ID 24638 //
     /* 1956394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956440 */     // MIs[0] policy
     /* 1956440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956450 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1956453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956474 */     // GIR_Coverage, 24638,
     /* 1956474 */     GIR_EraseRootFromParent_Done,
     /* 1956475 */   // Label 26247: @1956475
     /* 1956475 */   GIM_Try, /*On fail goto*//*Label 26248*/ GIMT_Encode4(1956561), // Rule ID 24639 //
     /* 1956480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1956491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1956494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1956497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1956503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956526 */     // MIs[0] policy
     /* 1956526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956536 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1956539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956560 */     // GIR_Coverage, 24639,
     /* 1956560 */     GIR_EraseRootFromParent_Done,
     /* 1956561 */   // Label 26248: @1956561
     /* 1956561 */   GIM_Try, /*On fail goto*//*Label 26249*/ GIMT_Encode4(1956647), // Rule ID 24642 //
     /* 1956566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1956577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1956580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956612 */     // MIs[0] policy
     /* 1956612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956622 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1956625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956646 */     // GIR_Coverage, 24642,
     /* 1956646 */     GIR_EraseRootFromParent_Done,
     /* 1956647 */   // Label 26249: @1956647
     /* 1956647 */   GIM_Try, /*On fail goto*//*Label 26250*/ GIMT_Encode4(1956733), // Rule ID 24643 //
     /* 1956652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1956663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1956666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1956669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1956675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1956682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1956690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956698 */     // MIs[0] policy
     /* 1956698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956708 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1956711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956732 */     // GIR_Coverage, 24643,
     /* 1956732 */     GIR_EraseRootFromParent_Done,
     /* 1956733 */   // Label 26250: @1956733
     /* 1956733 */   GIM_Try, /*On fail goto*//*Label 26251*/ GIMT_Encode4(1956819), // Rule ID 24646 //
     /* 1956738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1956749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1956752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1956755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956784 */     // MIs[0] policy
     /* 1956784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956794 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1956797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956818 */     // GIR_Coverage, 24646,
     /* 1956818 */     GIR_EraseRootFromParent_Done,
     /* 1956819 */   // Label 26251: @1956819
     /* 1956819 */   GIM_Try, /*On fail goto*//*Label 26252*/ GIMT_Encode4(1956905), // Rule ID 24647 //
     /* 1956824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1956835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1956838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1956841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1956844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1956847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1956850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1956854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1956862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956870 */     // MIs[0] policy
     /* 1956870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956880 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1956880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1956883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1956901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956904 */     // GIR_Coverage, 24647,
     /* 1956904 */     GIR_EraseRootFromParent_Done,
     /* 1956905 */   // Label 26252: @1956905
     /* 1956905 */   GIM_Try, /*On fail goto*//*Label 26253*/ GIMT_Encode4(1956991), // Rule ID 24650 //
     /* 1956910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1956913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1956918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1956921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1956924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1956927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1956930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1956933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1956936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1956940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1956948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1956952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1956956 */     // MIs[0] policy
     /* 1956956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1956959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1956966 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1956966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1956969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1956971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1956973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1956975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1956977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1956979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1956984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1956987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1956989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1956990 */     // GIR_Coverage, 24650,
     /* 1956990 */     GIR_EraseRootFromParent_Done,
     /* 1956991 */   // Label 26253: @1956991
     /* 1956991 */   GIM_Try, /*On fail goto*//*Label 26254*/ GIMT_Encode4(1957077), // Rule ID 24651 //
     /* 1956996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1956999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1957007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1957010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1957013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957042 */     // MIs[0] policy
     /* 1957042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957052 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1957055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957075 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957076 */     // GIR_Coverage, 24651,
     /* 1957076 */     GIR_EraseRootFromParent_Done,
     /* 1957077 */   // Label 26254: @1957077
     /* 1957077 */   GIM_Try, /*On fail goto*//*Label 26255*/ GIMT_Encode4(1957163), // Rule ID 24654 //
     /* 1957082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957128 */     // MIs[0] policy
     /* 1957128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957138 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1957141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957161 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957162 */     // GIR_Coverage, 24654,
     /* 1957162 */     GIR_EraseRootFromParent_Done,
     /* 1957163 */   // Label 26255: @1957163
     /* 1957163 */   GIM_Try, /*On fail goto*//*Label 26256*/ GIMT_Encode4(1957249), // Rule ID 24655 //
     /* 1957168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1957179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1957182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1957185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957214 */     // MIs[0] policy
     /* 1957214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957224 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1957227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957247 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957248 */     // GIR_Coverage, 24655,
     /* 1957248 */     GIR_EraseRootFromParent_Done,
     /* 1957249 */   // Label 26256: @1957249
     /* 1957249 */   GIM_Try, /*On fail goto*//*Label 26257*/ GIMT_Encode4(1957335), // Rule ID 24658 //
     /* 1957254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957300 */     // MIs[0] policy
     /* 1957300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957310 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1957313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957333 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957334 */     // GIR_Coverage, 24658,
     /* 1957334 */     GIR_EraseRootFromParent_Done,
     /* 1957335 */   // Label 26257: @1957335
     /* 1957335 */   GIM_Try, /*On fail goto*//*Label 26258*/ GIMT_Encode4(1957421), // Rule ID 24659 //
     /* 1957340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1957343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1957351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1957354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1957357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1957363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957386 */     // MIs[0] policy
     /* 1957386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957396 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1957399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1957417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957419 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957420 */     // GIR_Coverage, 24659,
     /* 1957420 */     GIR_EraseRootFromParent_Done,
     /* 1957421 */   // Label 26258: @1957421
     /* 1957421 */   GIM_Try, /*On fail goto*//*Label 26259*/ GIMT_Encode4(1957507), // Rule ID 24662 //
     /* 1957426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1957429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957472 */     // MIs[0] policy
     /* 1957472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957482 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1957485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957505 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957506 */     // GIR_Coverage, 24662,
     /* 1957506 */     GIR_EraseRootFromParent_Done,
     /* 1957507 */   // Label 26259: @1957507
     /* 1957507 */   GIM_Try, /*On fail goto*//*Label 26260*/ GIMT_Encode4(1957593), // Rule ID 24663 //
     /* 1957512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1957515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1957523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1957526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1957529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1957535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1957542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1957550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957558 */     // MIs[0] policy
     /* 1957558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957568 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1957571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957591 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957592 */     // GIR_Coverage, 24663,
     /* 1957592 */     GIR_EraseRootFromParent_Done,
     /* 1957593 */   // Label 26260: @1957593
     /* 1957593 */   GIM_Try, /*On fail goto*//*Label 26261*/ GIMT_Encode4(1957679), // Rule ID 24666 //
     /* 1957598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1957601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957644 */     // MIs[0] policy
     /* 1957644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957654 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1957657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957677 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957678 */     // GIR_Coverage, 24666,
     /* 1957678 */     GIR_EraseRootFromParent_Done,
     /* 1957679 */   // Label 26261: @1957679
     /* 1957679 */   GIM_Try, /*On fail goto*//*Label 26262*/ GIMT_Encode4(1957765), // Rule ID 24667 //
     /* 1957684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1957687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1957695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1957698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1957701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1957707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1957714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1957722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957730 */     // MIs[0] policy
     /* 1957730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957740 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1957743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957763 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957764 */     // GIR_Coverage, 24667,
     /* 1957764 */     GIR_EraseRootFromParent_Done,
     /* 1957765 */   // Label 26262: @1957765
     /* 1957765 */   GIM_Try, /*On fail goto*//*Label 26263*/ GIMT_Encode4(1957851), // Rule ID 24670 //
     /* 1957770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 1957773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1957790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957816 */     // MIs[0] policy
     /* 1957816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957826 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1957829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957849 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957850 */     // GIR_Coverage, 24670,
     /* 1957850 */     GIR_EraseRootFromParent_Done,
     /* 1957851 */   // Label 26263: @1957851
     /* 1957851 */   GIM_Try, /*On fail goto*//*Label 26264*/ GIMT_Encode4(1957937), // Rule ID 24671 //
     /* 1957856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 1957859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1957864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1957867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1957870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1957873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1957876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1957879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1957882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1957886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1957894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1957898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957902 */     // MIs[0] policy
     /* 1957902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957912 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1957912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1957915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1957917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1957919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1957921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1957923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1957925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1957930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1957933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1957935 */     GIR_RootConstrainSelectedInstOperands,
     /* 1957936 */     // GIR_Coverage, 24671,
     /* 1957936 */     GIR_EraseRootFromParent_Done,
     /* 1957937 */   // Label 26264: @1957937
     /* 1957937 */   GIM_Try, /*On fail goto*//*Label 26265*/ GIMT_Encode4(1958023), // Rule ID 24762 //
     /* 1957942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1957945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1957950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1957953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1957956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1957959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1957962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1957965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1957968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1957972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1957984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1957988 */     // MIs[0] policy
     /* 1957988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1957991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1957998 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1957998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1958001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958021 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958022 */     // GIR_Coverage, 24762,
     /* 1958022 */     GIR_EraseRootFromParent_Done,
     /* 1958023 */   // Label 26265: @1958023
     /* 1958023 */   GIM_Try, /*On fail goto*//*Label 26266*/ GIMT_Encode4(1958109), // Rule ID 24763 //
     /* 1958028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1958039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1958042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1958045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1958048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958074 */     // MIs[0] policy
     /* 1958074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF8_E8_MF4_MASK),
     /* 1958087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958107 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958108 */     // GIR_Coverage, 24763,
     /* 1958108 */     GIR_EraseRootFromParent_Done,
     /* 1958109 */   // Label 26266: @1958109
     /* 1958109 */   GIM_Try, /*On fail goto*//*Label 26267*/ GIMT_Encode4(1958195), // Rule ID 24766 //
     /* 1958114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1958125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1958128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1958134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958160 */     // MIs[0] policy
     /* 1958160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958170 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1958173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958193 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958194 */     // GIR_Coverage, 24766,
     /* 1958194 */     GIR_EraseRootFromParent_Done,
     /* 1958195 */   // Label 26267: @1958195
     /* 1958195 */   GIM_Try, /*On fail goto*//*Label 26268*/ GIMT_Encode4(1958281), // Rule ID 24767 //
     /* 1958200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1958211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1958214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1958217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1958220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958246 */     // MIs[0] policy
     /* 1958246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958256 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E8_MF2_MASK),
     /* 1958259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958279 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958280 */     // GIR_Coverage, 24767,
     /* 1958280 */     GIR_EraseRootFromParent_Done,
     /* 1958281 */   // Label 26268: @1958281
     /* 1958281 */   GIM_Try, /*On fail goto*//*Label 26269*/ GIMT_Encode4(1958367), // Rule ID 24770 //
     /* 1958286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1958297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1958300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958332 */     // MIs[0] policy
     /* 1958332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958342 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1958345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958365 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958366 */     // GIR_Coverage, 24770,
     /* 1958366 */     GIR_EraseRootFromParent_Done,
     /* 1958367 */   // Label 26269: @1958367
     /* 1958367 */   GIM_Try, /*On fail goto*//*Label 26270*/ GIMT_Encode4(1958453), // Rule ID 24771 //
     /* 1958372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1958383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1958386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1958389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1958392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1958395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958418 */     // MIs[0] policy
     /* 1958418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958428 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E8_M1_MASK),
     /* 1958431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1958449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958451 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958452 */     // GIR_Coverage, 24771,
     /* 1958452 */     GIR_EraseRootFromParent_Done,
     /* 1958453 */   // Label 26270: @1958453
     /* 1958453 */   GIM_Try, /*On fail goto*//*Label 26271*/ GIMT_Encode4(1958539), // Rule ID 24774 //
     /* 1958458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1958475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1958478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958504 */     // MIs[0] policy
     /* 1958504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958514 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1958517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958537 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958538 */     // GIR_Coverage, 24774,
     /* 1958538 */     GIR_EraseRootFromParent_Done,
     /* 1958539 */   // Label 26271: @1958539
     /* 1958539 */   GIM_Try, /*On fail goto*//*Label 26272*/ GIMT_Encode4(1958625), // Rule ID 24775 //
     /* 1958544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1958555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1958558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1958561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1958564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958590 */     // MIs[0] policy
     /* 1958590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958600 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1958603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958623 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958624 */     // GIR_Coverage, 24775,
     /* 1958624 */     GIR_EraseRootFromParent_Done,
     /* 1958625 */   // Label 26272: @1958625
     /* 1958625 */   GIM_Try, /*On fail goto*//*Label 26273*/ GIMT_Encode4(1958711), // Rule ID 24778 //
     /* 1958630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1958647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1958650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958676 */     // MIs[0] policy
     /* 1958676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958686 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1958689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958709 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958710 */     // GIR_Coverage, 24778,
     /* 1958710 */     GIR_EraseRootFromParent_Done,
     /* 1958711 */   // Label 26273: @1958711
     /* 1958711 */   GIM_Try, /*On fail goto*//*Label 26274*/ GIMT_Encode4(1958797), // Rule ID 24779 //
     /* 1958716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1958727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1958730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1958733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1958736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1958739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958762 */     // MIs[0] policy
     /* 1958762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958772 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1958775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1958793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958795 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958796 */     // GIR_Coverage, 24779,
     /* 1958796 */     GIR_EraseRootFromParent_Done,
     /* 1958797 */   // Label 26274: @1958797
     /* 1958797 */   GIM_Try, /*On fail goto*//*Label 26275*/ GIMT_Encode4(1958883), // Rule ID 24782 //
     /* 1958802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1958813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1958816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1958819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1958822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1958828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958848 */     // MIs[0] policy
     /* 1958848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958858 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1958858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1958861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958881 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958882 */     // GIR_Coverage, 24782,
     /* 1958882 */     GIR_EraseRootFromParent_Done,
     /* 1958883 */   // Label 26275: @1958883
     /* 1958883 */   GIM_Try, /*On fail goto*//*Label 26276*/ GIMT_Encode4(1958969), // Rule ID 24783 //
     /* 1958888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1958891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1958899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1958902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1958905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1958908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1958911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1958914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1958918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1958930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1958934 */     // MIs[0] policy
     /* 1958934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1958937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1958944 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1958944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1958947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1958949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1958951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1958953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1958955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1958957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1958962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1958965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1958967 */     GIR_RootConstrainSelectedInstOperands,
     /* 1958968 */     // GIR_Coverage, 24783,
     /* 1958968 */     GIR_EraseRootFromParent_Done,
     /* 1958969 */   // Label 26276: @1958969
     /* 1958969 */   GIM_Try, /*On fail goto*//*Label 26277*/ GIMT_Encode4(1959055), // Rule ID 24786 //
     /* 1958974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1958977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1958982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1958985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1958988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1958991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1958994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1958997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959020 */     // MIs[0] policy
     /* 1959020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959030 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1959033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959053 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959054 */     // GIR_Coverage, 24786,
     /* 1959054 */     GIR_EraseRootFromParent_Done,
     /* 1959055 */   // Label 26277: @1959055
     /* 1959055 */   GIM_Try, /*On fail goto*//*Label 26278*/ GIMT_Encode4(1959141), // Rule ID 24787 //
     /* 1959060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1959071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1959074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1959077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1959080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1959083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959106 */     // MIs[0] policy
     /* 1959106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959116 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11524:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E8_M2_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E8_M2_MASK),
     /* 1959119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959139 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959140 */     // GIR_Coverage, 24787,
     /* 1959140 */     GIR_EraseRootFromParent_Done,
     /* 1959141 */   // Label 26278: @1959141
     /* 1959141 */   GIM_Try, /*On fail goto*//*Label 26279*/ GIMT_Encode4(1959227), // Rule ID 24790 //
     /* 1959146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1959157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1959160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959192 */     // MIs[0] policy
     /* 1959192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959202 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1959205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959225 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959226 */     // GIR_Coverage, 24790,
     /* 1959226 */     GIR_EraseRootFromParent_Done,
     /* 1959227 */   // Label 26279: @1959227
     /* 1959227 */   GIM_Try, /*On fail goto*//*Label 26280*/ GIMT_Encode4(1959313), // Rule ID 24791 //
     /* 1959232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1959243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1959246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1959249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1959252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1959255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959278 */     // MIs[0] policy
     /* 1959278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959288 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1959291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1959309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959311 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959312 */     // GIR_Coverage, 24791,
     /* 1959312 */     GIR_EraseRootFromParent_Done,
     /* 1959313 */   // Label 26280: @1959313
     /* 1959313 */   GIM_Try, /*On fail goto*//*Label 26281*/ GIMT_Encode4(1959399), // Rule ID 24794 //
     /* 1959318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1959335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959364 */     // MIs[0] policy
     /* 1959364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959374 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1959377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959397 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959398 */     // GIR_Coverage, 24794,
     /* 1959398 */     GIR_EraseRootFromParent_Done,
     /* 1959399 */   // Label 26281: @1959399
     /* 1959399 */   GIM_Try, /*On fail goto*//*Label 26282*/ GIMT_Encode4(1959485), // Rule ID 24795 //
     /* 1959404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1959415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1959418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1959421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1959424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1959427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959450 */     // MIs[0] policy
     /* 1959450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959460 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1959463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1959481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959483 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959484 */     // GIR_Coverage, 24795,
     /* 1959484 */     GIR_EraseRootFromParent_Done,
     /* 1959485 */   // Label 26282: @1959485
     /* 1959485 */   GIM_Try, /*On fail goto*//*Label 26283*/ GIMT_Encode4(1959571), // Rule ID 24798 //
     /* 1959490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1959493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1959501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1959504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1959507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959536 */     // MIs[0] policy
     /* 1959536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959546 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1959549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959569 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959570 */     // GIR_Coverage, 24798,
     /* 1959570 */     GIR_EraseRootFromParent_Done,
     /* 1959571 */   // Label 26283: @1959571
     /* 1959571 */   GIM_Try, /*On fail goto*//*Label 26284*/ GIMT_Encode4(1959657), // Rule ID 24799 //
     /* 1959576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1959579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1959587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1959590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1959593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1959596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1959599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1959606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1959618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959622 */     // MIs[0] policy
     /* 1959622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959632 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1959635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959637 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1959653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959655 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959656 */     // GIR_Coverage, 24799,
     /* 1959656 */     GIR_EraseRootFromParent_Done,
     /* 1959657 */   // Label 26284: @1959657
     /* 1959657 */   GIM_Try, /*On fail goto*//*Label 26285*/ GIMT_Encode4(1959743), // Rule ID 24802 //
     /* 1959662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1959673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1959676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1959679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1959682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959708 */     // MIs[0] policy
     /* 1959708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959718 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1959721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959741 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959742 */     // GIR_Coverage, 24802,
     /* 1959742 */     GIR_EraseRootFromParent_Done,
     /* 1959743 */   // Label 26285: @1959743
     /* 1959743 */   GIM_Try, /*On fail goto*//*Label 26286*/ GIMT_Encode4(1959829), // Rule ID 24803 //
     /* 1959748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1959759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1959762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1959765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1959768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1959771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1959778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1959786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959794 */     // MIs[0] policy
     /* 1959794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959804 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E8_M4_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E8_M4_MASK),
     /* 1959807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959827 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959828 */     // GIR_Coverage, 24803,
     /* 1959828 */     GIR_EraseRootFromParent_Done,
     /* 1959829 */   // Label 26286: @1959829
     /* 1959829 */   GIM_Try, /*On fail goto*//*Label 26287*/ GIMT_Encode4(1959915), // Rule ID 24806 //
     /* 1959834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1959837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1959845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1959848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1959851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1959854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1959860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959880 */     // MIs[0] policy
     /* 1959880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959890 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1959890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1959893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959913 */     GIR_RootConstrainSelectedInstOperands,
     /* 1959914 */     // GIR_Coverage, 24806,
     /* 1959914 */     GIR_EraseRootFromParent_Done,
     /* 1959915 */   // Label 26287: @1959915
     /* 1959915 */   GIM_Try, /*On fail goto*//*Label 26288*/ GIMT_Encode4(1960001), // Rule ID 24807 //
     /* 1959920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1959923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1959928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1959931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1959934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1959937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1959940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1959943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1959946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1959950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1959958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1959962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1959966 */     // MIs[0] policy
     /* 1959966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1959969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1959976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E8_M8_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1959976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E8_M8_MASK),
     /* 1959979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1959981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1959983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1959985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1959987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1959989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1959994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1959997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1959999 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960000 */     // GIR_Coverage, 24807,
     /* 1960000 */     GIR_EraseRootFromParent_Done,
     /* 1960001 */   // Label 26288: @1960001
     /* 1960001 */   GIM_Try, /*On fail goto*//*Label 26289*/ GIMT_Encode4(1960087), // Rule ID 24810 //
     /* 1960006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1960017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1960020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1960023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1960026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960052 */     // MIs[0] policy
     /* 1960052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960062 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1960065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960085 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960086 */     // GIR_Coverage, 24810,
     /* 1960086 */     GIR_EraseRootFromParent_Done,
     /* 1960087 */   // Label 26289: @1960087
     /* 1960087 */   GIM_Try, /*On fail goto*//*Label 26290*/ GIMT_Encode4(1960173), // Rule ID 24811 //
     /* 1960092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1960103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1960106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1960109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1960112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960138 */     // MIs[0] policy
     /* 1960138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960148 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1960151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960171 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960172 */     // GIR_Coverage, 24811,
     /* 1960172 */     GIR_EraseRootFromParent_Done,
     /* 1960173 */   // Label 26290: @1960173
     /* 1960173 */   GIM_Try, /*On fail goto*//*Label 26291*/ GIMT_Encode4(1960259), // Rule ID 24814 //
     /* 1960178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1960189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1960192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1960195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960224 */     // MIs[0] policy
     /* 1960224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1960237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960257 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960258 */     // GIR_Coverage, 24814,
     /* 1960258 */     GIR_EraseRootFromParent_Done,
     /* 1960259 */   // Label 26291: @1960259
     /* 1960259 */   GIM_Try, /*On fail goto*//*Label 26292*/ GIMT_Encode4(1960345), // Rule ID 24815 //
     /* 1960264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1960275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1960278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1960281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960310 */     // MIs[0] policy
     /* 1960310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960320 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1960323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960343 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960344 */     // GIR_Coverage, 24815,
     /* 1960344 */     GIR_EraseRootFromParent_Done,
     /* 1960345 */   // Label 26292: @1960345
     /* 1960345 */   GIM_Try, /*On fail goto*//*Label 26293*/ GIMT_Encode4(1960431), // Rule ID 24818 //
     /* 1960350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1960361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1960364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1960367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1960370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1960373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960396 */     // MIs[0] policy
     /* 1960396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960406 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1960409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960429 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960430 */     // GIR_Coverage, 24818,
     /* 1960430 */     GIR_EraseRootFromParent_Done,
     /* 1960431 */   // Label 26293: @1960431
     /* 1960431 */   GIM_Try, /*On fail goto*//*Label 26294*/ GIMT_Encode4(1960517), // Rule ID 24819 //
     /* 1960436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1960447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1960450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1960453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1960456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1960459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960482 */     // MIs[0] policy
     /* 1960482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960492 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1960495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1960513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960515 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960516 */     // GIR_Coverage, 24819,
     /* 1960516 */     GIR_EraseRootFromParent_Done,
     /* 1960517 */   // Label 26294: @1960517
     /* 1960517 */   GIM_Try, /*On fail goto*//*Label 26295*/ GIMT_Encode4(1960603), // Rule ID 24822 //
     /* 1960522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1960533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1960536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1960542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960568 */     // MIs[0] policy
     /* 1960568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960578 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1960581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960601 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960602 */     // GIR_Coverage, 24822,
     /* 1960602 */     GIR_EraseRootFromParent_Done,
     /* 1960603 */   // Label 26295: @1960603
     /* 1960603 */   GIM_Try, /*On fail goto*//*Label 26296*/ GIMT_Encode4(1960689), // Rule ID 24823 //
     /* 1960608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1960619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1960622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1960625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1960628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1960631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1960638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1960650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960654 */     // MIs[0] policy
     /* 1960654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960664 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1960667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960687 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960688 */     // GIR_Coverage, 24823,
     /* 1960688 */     GIR_EraseRootFromParent_Done,
     /* 1960689 */   // Label 26296: @1960689
     /* 1960689 */   GIM_Try, /*On fail goto*//*Label 26297*/ GIMT_Encode4(1960775), // Rule ID 24826 //
     /* 1960694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1960705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1960708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1960714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960740 */     // MIs[0] policy
     /* 1960740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960750 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1960753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960773 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960774 */     // GIR_Coverage, 24826,
     /* 1960774 */     GIR_EraseRootFromParent_Done,
     /* 1960775 */   // Label 26297: @1960775
     /* 1960775 */   GIM_Try, /*On fail goto*//*Label 26298*/ GIMT_Encode4(1960861), // Rule ID 24827 //
     /* 1960780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1960791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1960794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1960797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1960800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1960803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1960810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1960822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960826 */     // MIs[0] policy
     /* 1960826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960836 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1960836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1960839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960859 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960860 */     // GIR_Coverage, 24827,
     /* 1960860 */     GIR_EraseRootFromParent_Done,
     /* 1960861 */   // Label 26298: @1960861
     /* 1960861 */   GIM_Try, /*On fail goto*//*Label 26299*/ GIMT_Encode4(1960947), // Rule ID 24830 //
     /* 1960866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 1960869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1960877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1960880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1960883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1960892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960912 */     // MIs[0] policy
     /* 1960912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1960915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1960922 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1960922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1960925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1960927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1960929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1960931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1960933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1960935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1960940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1960943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1960945 */     GIR_RootConstrainSelectedInstOperands,
     /* 1960946 */     // GIR_Coverage, 24830,
     /* 1960946 */     GIR_EraseRootFromParent_Done,
     /* 1960947 */   // Label 26299: @1960947
     /* 1960947 */   GIM_Try, /*On fail goto*//*Label 26300*/ GIMT_Encode4(1961033), // Rule ID 24831 //
     /* 1960952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 1960955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1960960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1960963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1960966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1960969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1960972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1960975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1960978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1960982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1960990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1960994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1960998 */     // MIs[0] policy
     /* 1960998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961008 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1961011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961031 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961032 */     // GIR_Coverage, 24831,
     /* 1961032 */     GIR_EraseRootFromParent_Done,
     /* 1961033 */   // Label 26300: @1961033
     /* 1961033 */   GIM_Try, /*On fail goto*//*Label 26301*/ GIMT_Encode4(1961119), // Rule ID 24834 //
     /* 1961038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1961041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1961049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1961052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1961055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1961058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961084 */     // MIs[0] policy
     /* 1961084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961094 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1961097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961117 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961118 */     // GIR_Coverage, 24834,
     /* 1961118 */     GIR_EraseRootFromParent_Done,
     /* 1961119 */   // Label 26301: @1961119
     /* 1961119 */   GIM_Try, /*On fail goto*//*Label 26302*/ GIMT_Encode4(1961205), // Rule ID 24835 //
     /* 1961124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1961127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1961135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1961138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1961141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1961144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1961154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961170 */     // MIs[0] policy
     /* 1961170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961180 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1961183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961203 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961204 */     // GIR_Coverage, 24835,
     /* 1961204 */     GIR_EraseRootFromParent_Done,
     /* 1961205 */   // Label 26302: @1961205
     /* 1961205 */   GIM_Try, /*On fail goto*//*Label 26303*/ GIMT_Encode4(1961291), // Rule ID 24838 //
     /* 1961210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1961213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1961221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1961224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1961227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1961230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961256 */     // MIs[0] policy
     /* 1961256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961266 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1961269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961289 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961290 */     // GIR_Coverage, 24838,
     /* 1961290 */     GIR_EraseRootFromParent_Done,
     /* 1961291 */   // Label 26303: @1961291
     /* 1961291 */   GIM_Try, /*On fail goto*//*Label 26304*/ GIMT_Encode4(1961377), // Rule ID 24839 //
     /* 1961296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1961299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1961307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1961310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1961313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1961316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1961319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1961326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1961334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961342 */     // MIs[0] policy
     /* 1961342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961352 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1961355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961375 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961376 */     // GIR_Coverage, 24839,
     /* 1961376 */     GIR_EraseRootFromParent_Done,
     /* 1961377 */   // Label 26304: @1961377
     /* 1961377 */   GIM_Try, /*On fail goto*//*Label 26305*/ GIMT_Encode4(1961463), // Rule ID 24842 //
     /* 1961382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 1961385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1961393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1961396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1961399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1961402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961428 */     // MIs[0] policy
     /* 1961428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961438 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1961441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961461 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961462 */     // GIR_Coverage, 24842,
     /* 1961462 */     GIR_EraseRootFromParent_Done,
     /* 1961463 */   // Label 26305: @1961463
     /* 1961463 */   GIM_Try, /*On fail goto*//*Label 26306*/ GIMT_Encode4(1961549), // Rule ID 24843 //
     /* 1961468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 1961471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1961476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1961479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1961482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1961485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1961488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1961491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1961498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1961506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1961510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961514 */     // MIs[0] policy
     /* 1961514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961524 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1961527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1961545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961547 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961548 */     // GIR_Coverage, 24843,
     /* 1961548 */     GIR_EraseRootFromParent_Done,
     /* 1961549 */   // Label 26306: @1961549
     /* 1961549 */   GIM_Try, /*On fail goto*//*Label 26307*/ GIMT_Encode4(1961635), // Rule ID 24846 //
     /* 1961554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1961557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1961562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1961565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1961568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1961574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961600 */     // MIs[0] policy
     /* 1961600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961610 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1961613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961633 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961634 */     // GIR_Coverage, 24846,
     /* 1961634 */     GIR_EraseRootFromParent_Done,
     /* 1961635 */   // Label 26307: @1961635
     /* 1961635 */   GIM_Try, /*On fail goto*//*Label 26308*/ GIMT_Encode4(1961721), // Rule ID 24847 //
     /* 1961640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1961643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1961648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1961651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1961654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1961657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1961660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961686 */     // MIs[0] policy
     /* 1961686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961696 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF4_E16_MASK),
     /* 1961699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961719 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961720 */     // GIR_Coverage, 24847,
     /* 1961720 */     GIR_EraseRootFromParent_Done,
     /* 1961721 */   // Label 26308: @1961721
     /* 1961721 */   GIM_Try, /*On fail goto*//*Label 26309*/ GIMT_Encode4(1961807), // Rule ID 24850 //
     /* 1961726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1961729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1961734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1961746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961772 */     // MIs[0] policy
     /* 1961772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961782 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1961785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961805 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961806 */     // GIR_Coverage, 24850,
     /* 1961806 */     GIR_EraseRootFromParent_Done,
     /* 1961807 */   // Label 26309: @1961807
     /* 1961807 */   GIM_Try, /*On fail goto*//*Label 26310*/ GIMT_Encode4(1961893), // Rule ID 24851 //
     /* 1961812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1961815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1961820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1961823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1961826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1961829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1961832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1961835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1961838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961858 */     // MIs[0] policy
     /* 1961858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961868 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1961868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E16_MASK),
     /* 1961871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1961889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961891 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961892 */     // GIR_Coverage, 24851,
     /* 1961892 */     GIR_EraseRootFromParent_Done,
     /* 1961893 */   // Label 26310: @1961893
     /* 1961893 */   GIM_Try, /*On fail goto*//*Label 26311*/ GIMT_Encode4(1961979), // Rule ID 24854 //
     /* 1961898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1961901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1961906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1961915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1961918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1961921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1961924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1961928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1961940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1961944 */     // MIs[0] policy
     /* 1961944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1961947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1961954 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1961954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1961957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1961959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1961961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1961963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1961965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1961967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1961972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1961975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1961977 */     GIR_RootConstrainSelectedInstOperands,
     /* 1961978 */     // GIR_Coverage, 24854,
     /* 1961978 */     GIR_EraseRootFromParent_Done,
     /* 1961979 */   // Label 26311: @1961979
     /* 1961979 */   GIM_Try, /*On fail goto*//*Label 26312*/ GIMT_Encode4(1962065), // Rule ID 24855 //
     /* 1961984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1961987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1961992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1961995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1961998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1962001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1962004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962030 */     // MIs[0] policy
     /* 1962030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962040 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_MF2_E32_MASK),
     /* 1962043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962063 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962064 */     // GIR_Coverage, 24855,
     /* 1962064 */     GIR_EraseRootFromParent_Done,
     /* 1962065 */   // Label 26312: @1962065
     /* 1962065 */   GIM_Try, /*On fail goto*//*Label 26313*/ GIMT_Encode4(1962151), // Rule ID 24858 //
     /* 1962070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1962073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1962081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1962084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1962090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962116 */     // MIs[0] policy
     /* 1962116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962126 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1962129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962149 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962150 */     // GIR_Coverage, 24858,
     /* 1962150 */     GIR_EraseRootFromParent_Done,
     /* 1962151 */   // Label 26313: @1962151
     /* 1962151 */   GIM_Try, /*On fail goto*//*Label 26314*/ GIMT_Encode4(1962237), // Rule ID 24859 //
     /* 1962156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1962159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1962167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1962170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1962173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1962176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1962179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962202 */     // MIs[0] policy
     /* 1962202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962212 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11520:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E16_MASK),
     /* 1962215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962235 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962236 */     // GIR_Coverage, 24859,
     /* 1962236 */     GIR_EraseRootFromParent_Done,
     /* 1962237 */   // Label 26314: @1962237
     /* 1962237 */   GIM_Try, /*On fail goto*//*Label 26315*/ GIMT_Encode4(1962323), // Rule ID 24862 //
     /* 1962242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1962245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1962253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1962256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1962259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1962262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962288 */     // MIs[0] policy
     /* 1962288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962298 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1962301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962321 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962322 */     // GIR_Coverage, 24862,
     /* 1962322 */     GIR_EraseRootFromParent_Done,
     /* 1962323 */   // Label 26315: @1962323
     /* 1962323 */   GIM_Try, /*On fail goto*//*Label 26316*/ GIMT_Encode4(1962409), // Rule ID 24863 //
     /* 1962328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1962331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1962339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1962342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1962345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1962348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1962351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962374 */     // MIs[0] policy
     /* 1962374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962384 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11520:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E32_MASK),
     /* 1962387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1962405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962407 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962408 */     // GIR_Coverage, 24863,
     /* 1962408 */     GIR_EraseRootFromParent_Done,
     /* 1962409 */   // Label 26316: @1962409
     /* 1962409 */   GIM_Try, /*On fail goto*//*Label 26317*/ GIMT_Encode4(1962495), // Rule ID 24866 //
     /* 1962414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1962417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1962431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1962434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962460 */     // MIs[0] policy
     /* 1962460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962470 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1962473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962493 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962494 */     // GIR_Coverage, 24866,
     /* 1962494 */     GIR_EraseRootFromParent_Done,
     /* 1962495 */   // Label 26317: @1962495
     /* 1962495 */   GIM_Try, /*On fail goto*//*Label 26318*/ GIMT_Encode4(1962581), // Rule ID 24867 //
     /* 1962500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1962503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1962511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1962514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1962517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1962520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1962523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1962530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1962542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962546 */     // MIs[0] policy
     /* 1962546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962556 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11520:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M1_E64_MASK),
     /* 1962559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1962577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962579 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962580 */     // GIR_Coverage, 24867,
     /* 1962580 */     GIR_EraseRootFromParent_Done,
     /* 1962581 */   // Label 26318: @1962581
     /* 1962581 */   GIM_Try, /*On fail goto*//*Label 26319*/ GIMT_Encode4(1962667), // Rule ID 24870 //
     /* 1962586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1962589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1962597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1962600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1962606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962632 */     // MIs[0] policy
     /* 1962632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962642 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1962645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962665 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962666 */     // GIR_Coverage, 24870,
     /* 1962666 */     GIR_EraseRootFromParent_Done,
     /* 1962667 */   // Label 26319: @1962667
     /* 1962667 */   GIM_Try, /*On fail goto*//*Label 26320*/ GIMT_Encode4(1962753), // Rule ID 24871 //
     /* 1962672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1962675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1962683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1962686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1962689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1962692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1962695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1962702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1962714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962718 */     // MIs[0] policy
     /* 1962718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962728 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E16_MASK),
     /* 1962731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962751 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962752 */     // GIR_Coverage, 24871,
     /* 1962752 */     GIR_EraseRootFromParent_Done,
     /* 1962753 */   // Label 26320: @1962753
     /* 1962753 */   GIM_Try, /*On fail goto*//*Label 26321*/ GIMT_Encode4(1962839), // Rule ID 24874 //
     /* 1962758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1962761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1962769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1962772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1962778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962804 */     // MIs[0] policy
     /* 1962804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962814 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1962817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962819 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962837 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962838 */     // GIR_Coverage, 24874,
     /* 1962838 */     GIR_EraseRootFromParent_Done,
     /* 1962839 */   // Label 26321: @1962839
     /* 1962839 */   GIM_Try, /*On fail goto*//*Label 26322*/ GIMT_Encode4(1962925), // Rule ID 24875 //
     /* 1962844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1962847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1962855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1962858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1962861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1962864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1962867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1962870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1962874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1962886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962890 */     // MIs[0] policy
     /* 1962890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962900 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1962900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E16_MASK),
     /* 1962903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962905 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1962918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1962921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1962923 */     GIR_RootConstrainSelectedInstOperands,
     /* 1962924 */     // GIR_Coverage, 24875,
     /* 1962924 */     GIR_EraseRootFromParent_Done,
     /* 1962925 */   // Label 26322: @1962925
     /* 1962925 */   GIM_Try, /*On fail goto*//*Label 26323*/ GIMT_Encode4(1963011), // Rule ID 24878 //
     /* 1962930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1962933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1962938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1962941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1962944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1962947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1962950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1962953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1962956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1962960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1962972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1962976 */     // MIs[0] policy
     /* 1962976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1962979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1962986 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1962986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1962989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1962991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1962993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1962995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1962997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1962999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963009 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963010 */     // GIR_Coverage, 24878,
     /* 1963010 */     GIR_EraseRootFromParent_Done,
     /* 1963011 */   // Label 26323: @1963011
     /* 1963011 */   GIM_Try, /*On fail goto*//*Label 26324*/ GIMT_Encode4(1963097), // Rule ID 24879 //
     /* 1963016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1963019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1963027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1963030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1963033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1963036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1963039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963062 */     // MIs[0] policy
     /* 1963062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963072 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E16_MASK),
     /* 1963075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1963093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963095 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963096 */     // GIR_Coverage, 24879,
     /* 1963096 */     GIR_EraseRootFromParent_Done,
     /* 1963097 */   // Label 26324: @1963097
     /* 1963097 */   GIM_Try, /*On fail goto*//*Label 26325*/ GIMT_Encode4(1963183), // Rule ID 24882 //
     /* 1963102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1963105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1963113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1963116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1963122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963148 */     // MIs[0] policy
     /* 1963148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963158 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1963161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963181 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963182 */     // GIR_Coverage, 24882,
     /* 1963182 */     GIR_EraseRootFromParent_Done,
     /* 1963183 */   // Label 26325: @1963183
     /* 1963183 */   GIM_Try, /*On fail goto*//*Label 26326*/ GIMT_Encode4(1963269), // Rule ID 24883 //
     /* 1963188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1963191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1963199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1963202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1963205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1963208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963234 */     // MIs[0] policy
     /* 1963234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963244 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E32_MASK),
     /* 1963247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963267 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963268 */     // GIR_Coverage, 24883,
     /* 1963268 */     GIR_EraseRootFromParent_Done,
     /* 1963269 */   // Label 26326: @1963269
     /* 1963269 */   GIM_Try, /*On fail goto*//*Label 26327*/ GIMT_Encode4(1963355), // Rule ID 24886 //
     /* 1963274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1963277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1963285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1963288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1963294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963320 */     // MIs[0] policy
     /* 1963320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963330 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1963333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963353 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963354 */     // GIR_Coverage, 24886,
     /* 1963354 */     GIR_EraseRootFromParent_Done,
     /* 1963355 */   // Label 26327: @1963355
     /* 1963355 */   GIM_Try, /*On fail goto*//*Label 26328*/ GIMT_Encode4(1963441), // Rule ID 24887 //
     /* 1963360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1963363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1963371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1963374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1963377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1963380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963406 */     // MIs[0] policy
     /* 1963406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963416 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E32_MASK),
     /* 1963419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963439 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963440 */     // GIR_Coverage, 24887,
     /* 1963440 */     GIR_EraseRootFromParent_Done,
     /* 1963441 */   // Label 26328: @1963441
     /* 1963441 */   GIM_Try, /*On fail goto*//*Label 26329*/ GIMT_Encode4(1963527), // Rule ID 24890 //
     /* 1963446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1963449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1963457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1963460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1963463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1963466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963492 */     // MIs[0] policy
     /* 1963492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963502 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1963505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963525 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963526 */     // GIR_Coverage, 24890,
     /* 1963526 */     GIR_EraseRootFromParent_Done,
     /* 1963527 */   // Label 26329: @1963527
     /* 1963527 */   GIM_Try, /*On fail goto*//*Label 26330*/ GIMT_Encode4(1963613), // Rule ID 24891 //
     /* 1963532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1963535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1963543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1963546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1963549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1963552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1963555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963578 */     // MIs[0] policy
     /* 1963578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963588 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E32_MASK),
     /* 1963591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1963609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963611 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963612 */     // GIR_Coverage, 24891,
     /* 1963612 */     GIR_EraseRootFromParent_Done,
     /* 1963613 */   // Label 26330: @1963613
     /* 1963613 */   GIM_Try, /*On fail goto*//*Label 26331*/ GIMT_Encode4(1963699), // Rule ID 24894 //
     /* 1963618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1963621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963664 */     // MIs[0] policy
     /* 1963664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963674 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1963677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963697 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963698 */     // GIR_Coverage, 24894,
     /* 1963698 */     GIR_EraseRootFromParent_Done,
     /* 1963699 */   // Label 26331: @1963699
     /* 1963699 */   GIM_Try, /*On fail goto*//*Label 26332*/ GIMT_Encode4(1963785), // Rule ID 24895 //
     /* 1963704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1963707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1963715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1963718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1963721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1963724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1963727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1963734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1963746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963750 */     // MIs[0] policy
     /* 1963750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963760 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11520:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M2_E64_MASK),
     /* 1963763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963783 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963784 */     // GIR_Coverage, 24895,
     /* 1963784 */     GIR_EraseRootFromParent_Done,
     /* 1963785 */   // Label 26332: @1963785
     /* 1963785 */   GIM_Try, /*On fail goto*//*Label 26333*/ GIMT_Encode4(1963871), // Rule ID 24898 //
     /* 1963790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1963793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963836 */     // MIs[0] policy
     /* 1963836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963846 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1963846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1963849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963869 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963870 */     // GIR_Coverage, 24898,
     /* 1963870 */     GIR_EraseRootFromParent_Done,
     /* 1963871 */   // Label 26333: @1963871
     /* 1963871 */   GIM_Try, /*On fail goto*//*Label 26334*/ GIMT_Encode4(1963957), // Rule ID 24899 //
     /* 1963876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1963879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1963887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1963890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1963893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1963896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1963899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1963902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1963906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1963918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1963922 */     // MIs[0] policy
     /* 1963922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1963925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1963932 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11520:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1963932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M4_E64_MASK),
     /* 1963935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1963937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1963939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1963941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1963943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1963945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1963950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1963953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1963955 */     GIR_RootConstrainSelectedInstOperands,
     /* 1963956 */     // GIR_Coverage, 24899,
     /* 1963956 */     GIR_EraseRootFromParent_Done,
     /* 1963957 */   // Label 26334: @1963957
     /* 1963957 */   GIM_Try, /*On fail goto*//*Label 26335*/ GIMT_Encode4(1964043), // Rule ID 24902 //
     /* 1963962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1963965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1963970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1963973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1963976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1963979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1963982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1963985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1963988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1963992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1963996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964008 */     // MIs[0] policy
     /* 1964008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964018 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1964021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964041 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964042 */     // GIR_Coverage, 24902,
     /* 1964042 */     GIR_EraseRootFromParent_Done,
     /* 1964043 */   // Label 26335: @1964043
     /* 1964043 */   GIM_Try, /*On fail goto*//*Label 26336*/ GIMT_Encode4(1964129), // Rule ID 24903 //
     /* 1964048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1964051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vv_mask),
     /* 1964056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1964059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1964062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1964065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1964068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1964071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1964078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1964090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964094 */     // MIs[0] policy
     /* 1964094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964104 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11520:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VV_M8_E64_MASK),
     /* 1964107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1964125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964127 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964128 */     // GIR_Coverage, 24903,
     /* 1964128 */     GIR_EraseRootFromParent_Done,
     /* 1964129 */   // Label 26336: @1964129
     /* 1964129 */   GIM_Try, /*On fail goto*//*Label 26337*/ GIMT_Encode4(1964215), // Rule ID 24906 //
     /* 1964134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1964137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1964145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1964148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1964151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964180 */     // MIs[0] policy
     /* 1964180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964190 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1964193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964213 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964214 */     // GIR_Coverage, 24906,
     /* 1964214 */     GIR_EraseRootFromParent_Done,
     /* 1964215 */   // Label 26337: @1964215
     /* 1964215 */   GIM_Try, /*On fail goto*//*Label 26338*/ GIMT_Encode4(1964301), // Rule ID 24907 //
     /* 1964220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1964223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1964231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1964234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1964237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964266 */     // MIs[0] policy
     /* 1964266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964276 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF4_MASK),
     /* 1964279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964299 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964300 */     // GIR_Coverage, 24907,
     /* 1964300 */     GIR_EraseRootFromParent_Done,
     /* 1964301 */   // Label 26338: @1964301
     /* 1964301 */   GIM_Try, /*On fail goto*//*Label 26339*/ GIMT_Encode4(1964387), // Rule ID 24910 //
     /* 1964306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1964309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1964317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1964320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1964323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964352 */     // MIs[0] policy
     /* 1964352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964362 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1964365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964385 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964386 */     // GIR_Coverage, 24910,
     /* 1964386 */     GIR_EraseRootFromParent_Done,
     /* 1964387 */   // Label 26339: @1964387
     /* 1964387 */   GIM_Try, /*On fail goto*//*Label 26340*/ GIMT_Encode4(1964473), // Rule ID 24911 //
     /* 1964392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1964395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1964403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1964406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1964409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964438 */     // MIs[0] policy
     /* 1964438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964448 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1964451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964453 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964471 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964472 */     // GIR_Coverage, 24911,
     /* 1964472 */     GIR_EraseRootFromParent_Done,
     /* 1964473 */   // Label 26340: @1964473
     /* 1964473 */   GIM_Try, /*On fail goto*//*Label 26341*/ GIMT_Encode4(1964559), // Rule ID 24914 //
     /* 1964478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1964481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1964489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1964492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1964495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964524 */     // MIs[0] policy
     /* 1964524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964534 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1964537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964557 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964558 */     // GIR_Coverage, 24914,
     /* 1964558 */     GIR_EraseRootFromParent_Done,
     /* 1964559 */   // Label 26341: @1964559
     /* 1964559 */   GIM_Try, /*On fail goto*//*Label 26342*/ GIMT_Encode4(1964645), // Rule ID 24915 //
     /* 1964564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1964567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1964575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1964578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1964581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1964587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964610 */     // MIs[0] policy
     /* 1964610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964620 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_MF2_MASK),
     /* 1964623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964643 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964644 */     // GIR_Coverage, 24915,
     /* 1964644 */     GIR_EraseRootFromParent_Done,
     /* 1964645 */   // Label 26342: @1964645
     /* 1964645 */   GIM_Try, /*On fail goto*//*Label 26343*/ GIMT_Encode4(1964731), // Rule ID 24918 //
     /* 1964650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1964653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1964661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1964664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1964667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964696 */     // MIs[0] policy
     /* 1964696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964706 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1964709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964729 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964730 */     // GIR_Coverage, 24918,
     /* 1964730 */     GIR_EraseRootFromParent_Done,
     /* 1964731 */   // Label 26343: @1964731
     /* 1964731 */   GIM_Try, /*On fail goto*//*Label 26344*/ GIMT_Encode4(1964817), // Rule ID 24919 //
     /* 1964736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1964739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1964747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1964750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1964753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1964759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964782 */     // MIs[0] policy
     /* 1964782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964792 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11522:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1964795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1964813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964815 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964816 */     // GIR_Coverage, 24919,
     /* 1964816 */     GIR_EraseRootFromParent_Done,
     /* 1964817 */   // Label 26344: @1964817
     /* 1964817 */   GIM_Try, /*On fail goto*//*Label 26345*/ GIMT_Encode4(1964903), // Rule ID 24922 //
     /* 1964822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1964825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1964833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1964836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1964839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1964842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1964848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964868 */     // MIs[0] policy
     /* 1964868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964878 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1964878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1964881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964901 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964902 */     // GIR_Coverage, 24922,
     /* 1964902 */     GIR_EraseRootFromParent_Done,
     /* 1964903 */   // Label 26345: @1964903
     /* 1964903 */   GIM_Try, /*On fail goto*//*Label 26346*/ GIMT_Encode4(1964989), // Rule ID 24923 //
     /* 1964908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1964911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1964916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1964919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1964922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1964925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1964928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1964931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1964934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1964938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1964946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1964950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1964954 */     // MIs[0] policy
     /* 1964954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1964957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1964964 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11522:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1964964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1964967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1964969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1964971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1964973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1964975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1964977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1964982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1964985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1964987 */     GIR_RootConstrainSelectedInstOperands,
     /* 1964988 */     // GIR_Coverage, 24923,
     /* 1964988 */     GIR_EraseRootFromParent_Done,
     /* 1964989 */   // Label 26346: @1964989
     /* 1964989 */   GIM_Try, /*On fail goto*//*Label 26347*/ GIMT_Encode4(1965075), // Rule ID 24926 //
     /* 1964994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1964997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965040 */     // MIs[0] policy
     /* 1965040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965050 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1965053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965073 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965074 */     // GIR_Coverage, 24926,
     /* 1965074 */     GIR_EraseRootFromParent_Done,
     /* 1965075 */   // Label 26347: @1965075
     /* 1965075 */   GIM_Try, /*On fail goto*//*Label 26348*/ GIMT_Encode4(1965161), // Rule ID 24927 //
     /* 1965080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1965083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1965091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1965094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1965097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1965103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1965110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1965118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965126 */     // MIs[0] policy
     /* 1965126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965136 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11522:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M1_MASK),
     /* 1965139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1965157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965159 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965160 */     // GIR_Coverage, 24927,
     /* 1965160 */     GIR_EraseRootFromParent_Done,
     /* 1965161 */   // Label 26348: @1965161
     /* 1965161 */   GIM_Try, /*On fail goto*//*Label 26349*/ GIMT_Encode4(1965247), // Rule ID 24930 //
     /* 1965166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1965169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1965183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965212 */     // MIs[0] policy
     /* 1965212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965222 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1965225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965245 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965246 */     // GIR_Coverage, 24930,
     /* 1965246 */     GIR_EraseRootFromParent_Done,
     /* 1965247 */   // Label 26349: @1965247
     /* 1965247 */   GIM_Try, /*On fail goto*//*Label 26350*/ GIMT_Encode4(1965333), // Rule ID 24931 //
     /* 1965252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1965255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1965263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1965266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1965269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965298 */     // MIs[0] policy
     /* 1965298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965308 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1965311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965331 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965332 */     // GIR_Coverage, 24931,
     /* 1965332 */     GIR_EraseRootFromParent_Done,
     /* 1965333 */   // Label 26350: @1965333
     /* 1965333 */   GIM_Try, /*On fail goto*//*Label 26351*/ GIMT_Encode4(1965419), // Rule ID 24934 //
     /* 1965338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1965341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1965349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1965352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1965355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965384 */     // MIs[0] policy
     /* 1965384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965394 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1965397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965417 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965418 */     // GIR_Coverage, 24934,
     /* 1965418 */     GIR_EraseRootFromParent_Done,
     /* 1965419 */   // Label 26351: @1965419
     /* 1965419 */   GIM_Try, /*On fail goto*//*Label 26352*/ GIMT_Encode4(1965505), // Rule ID 24935 //
     /* 1965424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1965427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1965435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1965438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1965441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1965447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965470 */     // MIs[0] policy
     /* 1965470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965480 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1965483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965503 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965504 */     // GIR_Coverage, 24935,
     /* 1965504 */     GIR_EraseRootFromParent_Done,
     /* 1965505 */   // Label 26352: @1965505
     /* 1965505 */   GIM_Try, /*On fail goto*//*Label 26353*/ GIMT_Encode4(1965591), // Rule ID 24938 //
     /* 1965510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode0),
     /* 1965513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1965521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1965524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1965527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1965533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965556 */     // MIs[0] policy
     /* 1965556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965566 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1965569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965589 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965590 */     // GIR_Coverage, 24938,
     /* 1965590 */     GIR_EraseRootFromParent_Done,
     /* 1965591 */   // Label 26353: @1965591
     /* 1965591 */   GIM_Try, /*On fail goto*//*Label 26354*/ GIMT_Encode4(1965677), // Rule ID 24939 //
     /* 1965596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16Minimal_HwMode1),
     /* 1965599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1965607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1965610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1965613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1965619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1965626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1965634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965642 */     // MIs[0] policy
     /* 1965642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965652 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1965655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1965673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965675 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965676 */     // GIR_Coverage, 24939,
     /* 1965676 */     GIR_EraseRootFromParent_Done,
     /* 1965677 */   // Label 26354: @1965677
     /* 1965677 */   GIM_Try, /*On fail goto*//*Label 26355*/ GIMT_Encode4(1965763), // Rule ID 24942 //
     /* 1965682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1965685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1965693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1965696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1965699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965728 */     // MIs[0] policy
     /* 1965728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965738 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1965741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965761 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965762 */     // GIR_Coverage, 24942,
     /* 1965762 */     GIR_EraseRootFromParent_Done,
     /* 1965763 */   // Label 26355: @1965763
     /* 1965763 */   GIM_Try, /*On fail goto*//*Label 26356*/ GIMT_Encode4(1965849), // Rule ID 24943 //
     /* 1965768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1965771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1965779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1965782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1965785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1965791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1965798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1965806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965814 */     // MIs[0] policy
     /* 1965814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965824 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1965827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965847 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965848 */     // GIR_Coverage, 24943,
     /* 1965848 */     GIR_EraseRootFromParent_Done,
     /* 1965849 */   // Label 26356: @1965849
     /* 1965849 */   GIM_Try, /*On fail goto*//*Label 26357*/ GIMT_Encode4(1965935), // Rule ID 24946 //
     /* 1965854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1965857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1965865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1965868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1965871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1965874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1965880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965900 */     // MIs[0] policy
     /* 1965900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965910 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1965910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1965913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1965915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1965917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1965919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1965921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1965923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1965928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1965931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1965933 */     GIR_RootConstrainSelectedInstOperands,
     /* 1965934 */     // GIR_Coverage, 24946,
     /* 1965934 */     GIR_EraseRootFromParent_Done,
     /* 1965935 */   // Label 26357: @1965935
     /* 1965935 */   GIM_Try, /*On fail goto*//*Label 26358*/ GIMT_Encode4(1966021), // Rule ID 24947 //
     /* 1965940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1965943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1965948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1965951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1965954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1965957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1965960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1965963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1965966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1965970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1965978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1965982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1965986 */     // MIs[0] policy
     /* 1965986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1965989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1965996 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1965996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1965999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966001 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966019 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966020 */     // GIR_Coverage, 24947,
     /* 1966020 */     GIR_EraseRootFromParent_Done,
     /* 1966021 */   // Label 26358: @1966021
     /* 1966021 */   GIM_Try, /*On fail goto*//*Label 26359*/ GIMT_Encode4(1966107), // Rule ID 24950 //
     /* 1966026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 1966029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1966034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1966043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966072 */     // MIs[0] policy
     /* 1966072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966082 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1966085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966105 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966106 */     // GIR_Coverage, 24950,
     /* 1966106 */     GIR_EraseRootFromParent_Done,
     /* 1966107 */   // Label 26359: @1966107
     /* 1966107 */   GIM_Try, /*On fail goto*//*Label 26360*/ GIMT_Encode4(1966193), // Rule ID 24951 //
     /* 1966112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 1966115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1966120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1966123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1966126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1966129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1966135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966158 */     // MIs[0] policy
     /* 1966158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966168 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1966171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1966189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966191 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966192 */     // GIR_Coverage, 24951,
     /* 1966192 */     GIR_EraseRootFromParent_Done,
     /* 1966193 */   // Label 26360: @1966193
     /* 1966193 */   GIM_Try, /*On fail goto*//*Label 26361*/ GIMT_Encode4(1966279), // Rule ID 24954 //
     /* 1966198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1966201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1966206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1966209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1966212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1966215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966244 */     // MIs[0] policy
     /* 1966244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966254 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1966257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966277 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966278 */     // GIR_Coverage, 24954,
     /* 1966278 */     GIR_EraseRootFromParent_Done,
     /* 1966279 */   // Label 26361: @1966279
     /* 1966279 */   GIM_Try, /*On fail goto*//*Label 26362*/ GIMT_Encode4(1966365), // Rule ID 24955 //
     /* 1966284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1966287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1966292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1966295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1966298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1966301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1966314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1966322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966330 */     // MIs[0] policy
     /* 1966330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966340 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11522:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M2_MASK),
     /* 1966343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966363 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966364 */     // GIR_Coverage, 24955,
     /* 1966364 */     GIR_EraseRootFromParent_Done,
     /* 1966365 */   // Label 26362: @1966365
     /* 1966365 */   GIM_Try, /*On fail goto*//*Label 26363*/ GIMT_Encode4(1966451), // Rule ID 24958 //
     /* 1966370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1966373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1966378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1966381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1966384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1966387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966416 */     // MIs[0] policy
     /* 1966416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966426 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1966429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966449 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966450 */     // GIR_Coverage, 24958,
     /* 1966450 */     GIR_EraseRootFromParent_Done,
     /* 1966451 */   // Label 26363: @1966451
     /* 1966451 */   GIM_Try, /*On fail goto*//*Label 26364*/ GIMT_Encode4(1966537), // Rule ID 24959 //
     /* 1966456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1966459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1966464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1966467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1966470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1966473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1966479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1966486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1966494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966502 */     // MIs[0] policy
     /* 1966502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966512 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11522:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M4_MASK),
     /* 1966515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966535 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966536 */     // GIR_Coverage, 24959,
     /* 1966536 */     GIR_EraseRootFromParent_Done,
     /* 1966537 */   // Label 26364: @1966537
     /* 1966537 */   GIM_Try, /*On fail goto*//*Label 26365*/ GIMT_Encode4(1966623), // Rule ID 24962 //
     /* 1966542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 1966545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1966550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1966553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1966556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1966559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1966562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966588 */     // MIs[0] policy
     /* 1966588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966598 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1966601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966621 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966622 */     // GIR_Coverage, 24962,
     /* 1966622 */     GIR_EraseRootFromParent_Done,
     /* 1966623 */   // Label 26365: @1966623
     /* 1966623 */   GIM_Try, /*On fail goto*//*Label 26366*/ GIMT_Encode4(1966709), // Rule ID 24963 //
     /* 1966628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 1966631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgather_vx_mask),
     /* 1966636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1966639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1966642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1966645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1966648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1966651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1966658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1966666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1966670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966674 */     // MIs[0] policy
     /* 1966674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966684 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11522:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHER_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHER_VX_M8_MASK),
     /* 1966687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1966705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966707 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966708 */     // GIR_Coverage, 24963,
     /* 1966708 */     GIR_EraseRootFromParent_Done,
     /* 1966709 */   // Label 26366: @1966709
     /* 1966709 */   GIM_Try, /*On fail goto*//*Label 26367*/ GIMT_Encode4(1966795), // Rule ID 25026 //
     /* 1966714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /* 1966717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1966722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966760 */     // MIs[0] policy
     /* 1966760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966770 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1966773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966793 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966794 */     // GIR_Coverage, 25026,
     /* 1966794 */     GIR_EraseRootFromParent_Done,
     /* 1966795 */   // Label 26367: @1966795
     /* 1966795 */   GIM_Try, /*On fail goto*//*Label 26368*/ GIMT_Encode4(1966881), // Rule ID 25027 //
     /* 1966800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /* 1966803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1966808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1966811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1966814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1966817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1966820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1966823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966846 */     // MIs[0] policy
     /* 1966846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966856 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1966856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF4_E16_MF4_MASK),
     /* 1966859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966879 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966880 */     // GIR_Coverage, 25027,
     /* 1966880 */     GIR_EraseRootFromParent_Done,
     /* 1966881 */   // Label 26368: @1966881
     /* 1966881 */   GIM_Try, /*On fail goto*//*Label 26369*/ GIMT_Encode4(1966967), // Rule ID 25030 //
     /* 1966886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /* 1966889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1966894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1966912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1966916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1966928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1966932 */     // MIs[0] policy
     /* 1966932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1966935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1966942 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1966942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1966945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1966947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1966949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1966951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1966953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1966955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1966960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1966963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1966965 */     GIR_RootConstrainSelectedInstOperands,
     /* 1966966 */     // GIR_Coverage, 25030,
     /* 1966966 */     GIR_EraseRootFromParent_Done,
     /* 1966967 */   // Label 26369: @1966967
     /* 1966967 */   GIM_Try, /*On fail goto*//*Label 26370*/ GIMT_Encode4(1967053), // Rule ID 25031 //
     /* 1966972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /* 1966975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1966980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1966983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1966986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1966989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1966992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1966995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1966998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967018 */     // MIs[0] policy
     /* 1967018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967028 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E16_MF2_MASK),
     /* 1967031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967051 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967052 */     // GIR_Coverage, 25031,
     /* 1967052 */     GIR_EraseRootFromParent_Done,
     /* 1967053 */   // Label 26370: @1967053
     /* 1967053 */   GIM_Try, /*On fail goto*//*Label 26371*/ GIMT_Encode4(1967139), // Rule ID 25034 //
     /* 1967058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1967061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1967069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1967072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1967078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967104 */     // MIs[0] policy
     /* 1967104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967114 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1967117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967137 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967138 */     // GIR_Coverage, 25034,
     /* 1967138 */     GIR_EraseRootFromParent_Done,
     /* 1967139 */   // Label 26371: @1967139
     /* 1967139 */   GIM_Try, /*On fail goto*//*Label 26372*/ GIMT_Encode4(1967225), // Rule ID 25035 //
     /* 1967144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1967147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1967155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1967158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1967161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1967164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967190 */     // MIs[0] policy
     /* 1967190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967200 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_MF2_E32_MF4_MASK),
     /* 1967203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967223 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967224 */     // GIR_Coverage, 25035,
     /* 1967224 */     GIR_EraseRootFromParent_Done,
     /* 1967225 */   // Label 26372: @1967225
     /* 1967225 */   GIM_Try, /*On fail goto*//*Label 26373*/ GIMT_Encode4(1967311), // Rule ID 25038 //
     /* 1967230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /* 1967233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967276 */     // MIs[0] policy
     /* 1967276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967286 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1967289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967309 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967310 */     // GIR_Coverage, 25038,
     /* 1967310 */     GIR_EraseRootFromParent_Done,
     /* 1967311 */   // Label 26373: @1967311
     /* 1967311 */   GIM_Try, /*On fail goto*//*Label 26374*/ GIMT_Encode4(1967397), // Rule ID 25039 //
     /* 1967316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /* 1967319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1967327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1967330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1967333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1967336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1967339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967362 */     // MIs[0] policy
     /* 1967362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967372 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11524:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E16_M1_MASK),
     /* 1967375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967395 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967396 */     // GIR_Coverage, 25039,
     /* 1967396 */     GIR_EraseRootFromParent_Done,
     /* 1967397 */   // Label 26374: @1967397
     /* 1967397 */   GIM_Try, /*On fail goto*//*Label 26375*/ GIMT_Encode4(1967483), // Rule ID 25042 //
     /* 1967402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1967405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1967422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967448 */     // MIs[0] policy
     /* 1967448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967458 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1967461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967481 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967482 */     // GIR_Coverage, 25042,
     /* 1967482 */     GIR_EraseRootFromParent_Done,
     /* 1967483 */   // Label 26375: @1967483
     /* 1967483 */   GIM_Try, /*On fail goto*//*Label 26376*/ GIMT_Encode4(1967569), // Rule ID 25043 //
     /* 1967488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1967491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1967499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1967502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1967505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1967508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1967511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967534 */     // MIs[0] policy
     /* 1967534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967544 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11524:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E32_MF2_MASK),
     /* 1967547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1967565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967567 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967568 */     // GIR_Coverage, 25043,
     /* 1967568 */     GIR_EraseRootFromParent_Done,
     /* 1967569 */   // Label 26376: @1967569
     /* 1967569 */   GIM_Try, /*On fail goto*//*Label 26377*/ GIMT_Encode4(1967655), // Rule ID 25046 //
     /* 1967574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1967577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1967594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967597 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967620 */     // MIs[0] policy
     /* 1967620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967630 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1967633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967651 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967653 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967654 */     // GIR_Coverage, 25046,
     /* 1967654 */     GIR_EraseRootFromParent_Done,
     /* 1967655 */   // Label 26377: @1967655
     /* 1967655 */   GIM_Try, /*On fail goto*//*Label 26378*/ GIMT_Encode4(1967741), // Rule ID 25047 //
     /* 1967660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1967663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1967671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1967674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1967677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1967680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1967683 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1967690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1967702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967706 */     // MIs[0] policy
     /* 1967706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11524:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M1_E64_MF4_MASK),
     /* 1967719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1967737 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967739 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967740 */     // GIR_Coverage, 25047,
     /* 1967740 */     GIR_EraseRootFromParent_Done,
     /* 1967741 */   // Label 26378: @1967741
     /* 1967741 */   GIM_Try, /*On fail goto*//*Label 26379*/ GIMT_Encode4(1967827), // Rule ID 25050 //
     /* 1967746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /* 1967749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1967757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1967763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1967766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967769 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967792 */     // MIs[0] policy
     /* 1967792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967802 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1967805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967823 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967825 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967826 */     // GIR_Coverage, 25050,
     /* 1967826 */     GIR_EraseRootFromParent_Done,
     /* 1967827 */   // Label 26379: @1967827
     /* 1967827 */   GIM_Try, /*On fail goto*//*Label 26380*/ GIMT_Encode4(1967913), // Rule ID 25051 //
     /* 1967832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /* 1967835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1967843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1967846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1967849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1967852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1967855 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1967858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1967862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1967874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967878 */     // MIs[0] policy
     /* 1967878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967888 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1967888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E16_M2_MASK),
     /* 1967891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967909 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967911 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967912 */     // GIR_Coverage, 25051,
     /* 1967912 */     GIR_EraseRootFromParent_Done,
     /* 1967913 */   // Label 26380: @1967913
     /* 1967913 */   GIM_Try, /*On fail goto*//*Label 26381*/ GIMT_Encode4(1967999), // Rule ID 25054 //
     /* 1967918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /* 1967921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1967926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1967929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1967932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1967935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1967938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1967941 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1967944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1967948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1967960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1967964 */     // MIs[0] policy
     /* 1967964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1967967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1967974 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1967974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1967977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1967979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1967981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1967983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1967985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1967987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1967992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1967995 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1967997 */     GIR_RootConstrainSelectedInstOperands,
     /* 1967998 */     // GIR_Coverage, 25054,
     /* 1967998 */     GIR_EraseRootFromParent_Done,
     /* 1967999 */   // Label 26381: @1967999
     /* 1967999 */   GIM_Try, /*On fail goto*//*Label 26382*/ GIMT_Encode4(1968085), // Rule ID 25055 //
     /* 1968004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /* 1968007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1968015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1968018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1968021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968027 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968050 */     // MIs[0] policy
     /* 1968050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968060 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E16_M4_MASK),
     /* 1968063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968081 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968083 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968084 */     // GIR_Coverage, 25055,
     /* 1968084 */     GIR_EraseRootFromParent_Done,
     /* 1968085 */   // Label 26382: @1968085
     /* 1968085 */   GIM_Try, /*On fail goto*//*Label 26383*/ GIMT_Encode4(1968171), // Rule ID 25058 //
     /* 1968090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode0),
     /* 1968093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968113 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968136 */     // MIs[0] policy
     /* 1968136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968146 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1968149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968167 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968169 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968170 */     // GIR_Coverage, 25058,
     /* 1968170 */     GIR_EraseRootFromParent_Done,
     /* 1968171 */   // Label 26383: @1968171
     /* 1968171 */   GIM_Try, /*On fail goto*//*Label 26384*/ GIMT_Encode4(1968257), // Rule ID 25059 //
     /* 1968176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16Minimal_HwMode1),
     /* 1968179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1968187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1968190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1968193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1968196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1968199 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968222 */     // MIs[0] policy
     /* 1968222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968232 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E16_M8_MASK),
     /* 1968235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1968253 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968255 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968256 */     // GIR_Coverage, 25059,
     /* 1968256 */     GIR_EraseRootFromParent_Done,
     /* 1968257 */   // Label 26384: @1968257
     /* 1968257 */   GIM_Try, /*On fail goto*//*Label 26385*/ GIMT_Encode4(1968343), // Rule ID 25062 //
     /* 1968262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1968265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1968282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968285 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968308 */     // MIs[0] policy
     /* 1968308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968318 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1968321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968339 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968341 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968342 */     // GIR_Coverage, 25062,
     /* 1968342 */     GIR_EraseRootFromParent_Done,
     /* 1968343 */   // Label 26385: @1968343
     /* 1968343 */   GIM_Try, /*On fail goto*//*Label 26386*/ GIMT_Encode4(1968429), // Rule ID 25063 //
     /* 1968348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1968351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1968359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1968362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1968365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1968368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968371 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968394 */     // MIs[0] policy
     /* 1968394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968404 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E32_M1_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E32_M1_MASK),
     /* 1968407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968425 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968427 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968428 */     // GIR_Coverage, 25063,
     /* 1968428 */     GIR_EraseRootFromParent_Done,
     /* 1968429 */   // Label 26386: @1968429
     /* 1968429 */   GIM_Try, /*On fail goto*//*Label 26387*/ GIMT_Encode4(1968515), // Rule ID 25066 //
     /* 1968434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1968437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968457 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968480 */     // MIs[0] policy
     /* 1968480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968490 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1968493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968511 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968513 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968514 */     // GIR_Coverage, 25066,
     /* 1968514 */     GIR_EraseRootFromParent_Done,
     /* 1968515 */   // Label 26387: @1968515
     /* 1968515 */   GIM_Try, /*On fail goto*//*Label 26388*/ GIMT_Encode4(1968601), // Rule ID 25067 //
     /* 1968520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1968523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1968531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1968534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1968537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1968540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1968543 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968566 */     // MIs[0] policy
     /* 1968566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968576 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E32_M2_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E32_M2_MASK),
     /* 1968579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968597 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968599 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968600 */     // GIR_Coverage, 25067,
     /* 1968600 */     GIR_EraseRootFromParent_Done,
     /* 1968601 */   // Label 26388: @1968601
     /* 1968601 */   GIM_Try, /*On fail goto*//*Label 26389*/ GIMT_Encode4(1968687), // Rule ID 25070 //
     /* 1968606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 1968609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1968617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1968620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1968623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968629 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968652 */     // MIs[0] policy
     /* 1968652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968662 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1968665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968683 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968685 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968686 */     // GIR_Coverage, 25070,
     /* 1968686 */     GIR_EraseRootFromParent_Done,
     /* 1968687 */   // Label 26389: @1968687
     /* 1968687 */   GIM_Try, /*On fail goto*//*Label 26390*/ GIMT_Encode4(1968773), // Rule ID 25071 //
     /* 1968692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 1968695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1968703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1968706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1968709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1968712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1968715 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1968722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1968730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968738 */     // MIs[0] policy
     /* 1968738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968748 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E32_M4_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E32_M4_MASK),
     /* 1968751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1968769 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968771 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968772 */     // GIR_Coverage, 25071,
     /* 1968772 */     GIR_EraseRootFromParent_Done,
     /* 1968773 */   // Label 26390: @1968773
     /* 1968773 */   GIM_Try, /*On fail goto*//*Label 26391*/ GIMT_Encode4(1968859), // Rule ID 25074 //
     /* 1968778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1968781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1968789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1968792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1968795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1968798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968801 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968824 */     // MIs[0] policy
     /* 1968824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968834 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1968834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1968837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968855 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968857 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968858 */     // GIR_Coverage, 25074,
     /* 1968858 */     GIR_EraseRootFromParent_Done,
     /* 1968859 */   // Label 26391: @1968859
     /* 1968859 */   GIM_Try, /*On fail goto*//*Label 26392*/ GIMT_Encode4(1968945), // Rule ID 25075 //
     /* 1968864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1968867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1968875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1968878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1968881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1968884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1968887 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1968890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1968894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1968902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968910 */     // MIs[0] policy
     /* 1968910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1968920 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11524:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1968920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M2_E64_MF2_MASK),
     /* 1968923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1968925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1968927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1968929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1968931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1968933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1968938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1968941 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1968943 */     GIR_RootConstrainSelectedInstOperands,
     /* 1968944 */     // GIR_Coverage, 25075,
     /* 1968944 */     GIR_EraseRootFromParent_Done,
     /* 1968945 */   // Label 26392: @1968945
     /* 1968945 */   GIM_Try, /*On fail goto*//*Label 26393*/ GIMT_Encode4(1969031), // Rule ID 25078 //
     /* 1968950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1968953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1968958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1968961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1968964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1968967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1968970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1968973 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1968976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1968980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1968988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1968992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1968996 */     // MIs[0] policy
     /* 1968996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1968999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969006 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1969009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969027 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969029 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969030 */     // GIR_Coverage, 25078,
     /* 1969030 */     GIR_EraseRootFromParent_Done,
     /* 1969031 */   // Label 26393: @1969031
     /* 1969031 */   GIM_Try, /*On fail goto*//*Label 26394*/ GIMT_Encode4(1969117), // Rule ID 25079 //
     /* 1969036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1969039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1969044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1969047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1969050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1969053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1969056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969059 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1969066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1969074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969082 */     // MIs[0] policy
     /* 1969082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969092 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11524:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M4_E64_M1_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M4_E64_M1_MASK),
     /* 1969095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969113 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969115 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969116 */     // GIR_Coverage, 25079,
     /* 1969116 */     GIR_EraseRootFromParent_Done,
     /* 1969117 */   // Label 26394: @1969117
     /* 1969117 */   GIM_Try, /*On fail goto*//*Label 26395*/ GIMT_Encode4(1969203), // Rule ID 25082 //
     /* 1969122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 1969125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1969130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1969142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969145 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969168 */     // MIs[0] policy
     /* 1969168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969178 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1969181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969199 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969201 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969202 */     // GIR_Coverage, 25082,
     /* 1969202 */     GIR_EraseRootFromParent_Done,
     /* 1969203 */   // Label 26395: @1969203
     /* 1969203 */   GIM_Try, /*On fail goto*//*Label 26396*/ GIMT_Encode4(1969289), // Rule ID 25083 //
     /* 1969208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 1969211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrgatherei16_vv_mask),
     /* 1969216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1969219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1969222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1969225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1969228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969231 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1969238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1969246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969254 */     // MIs[0] policy
     /* 1969254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969264 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11524:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVRGATHEREI16_VV_M8_E64_M2_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVRGATHEREI16_VV_M8_E64_M2_MASK),
     /* 1969267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969269 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1969285 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969287 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969288 */     // GIR_Coverage, 25083,
     /* 1969288 */     GIR_EraseRootFromParent_Done,
     /* 1969289 */   // Label 26396: @1969289
     /* 1969289 */   GIM_Try, /*On fail goto*//*Label 26397*/ GIMT_Encode4(1969375), // Rule ID 60970 //
     /* 1969294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1969305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1969308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1969311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1969314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969317 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969340 */     // MIs[0] policy
     /* 1969340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969350 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1969353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969371 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969373 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969374 */     // GIR_Coverage, 60970,
     /* 1969374 */     GIR_EraseRootFromParent_Done,
     /* 1969375 */   // Label 26397: @1969375
     /* 1969375 */   GIM_Try, /*On fail goto*//*Label 26398*/ GIMT_Encode4(1969461), // Rule ID 60971 //
     /* 1969380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1969391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1969394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1969397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1969400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1969403 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969426 */     // MIs[0] policy
     /* 1969426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969436 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8_MASK),
     /* 1969439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969457 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969459 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969460 */     // GIR_Coverage, 60971,
     /* 1969460 */     GIR_EraseRootFromParent_Done,
     /* 1969461 */   // Label 26398: @1969461
     /* 1969461 */   GIM_Try, /*On fail goto*//*Label 26399*/ GIMT_Encode4(1969547), // Rule ID 60974 //
     /* 1969466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1969477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1969480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1969483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1969486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969489 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969512 */     // MIs[0] policy
     /* 1969512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969522 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1969525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969543 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969545 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969546 */     // GIR_Coverage, 60974,
     /* 1969546 */     GIR_EraseRootFromParent_Done,
     /* 1969547 */   // Label 26399: @1969547
     /* 1969547 */   GIM_Try, /*On fail goto*//*Label 26400*/ GIMT_Encode4(1969633), // Rule ID 60975 //
     /* 1969552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1969563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1969566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1969569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1969572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1969575 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969598 */     // MIs[0] policy
     /* 1969598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969608 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1969611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969629 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969631 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969632 */     // GIR_Coverage, 60975,
     /* 1969632 */     GIR_EraseRootFromParent_Done,
     /* 1969633 */   // Label 26400: @1969633
     /* 1969633 */   GIM_Try, /*On fail goto*//*Label 26401*/ GIMT_Encode4(1969719), // Rule ID 60978 //
     /* 1969638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1969649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1969652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1969655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1969658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969661 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969684 */     // MIs[0] policy
     /* 1969684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969694 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1969697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969715 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969717 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969718 */     // GIR_Coverage, 60978,
     /* 1969718 */     GIR_EraseRootFromParent_Done,
     /* 1969719 */   // Label 26401: @1969719
     /* 1969719 */   GIM_Try, /*On fail goto*//*Label 26402*/ GIMT_Encode4(1969805), // Rule ID 60979 //
     /* 1969724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1969735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1969738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1969741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1969744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1969747 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1969754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969770 */     // MIs[0] policy
     /* 1969770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969780 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1969783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969801 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969803 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969804 */     // GIR_Coverage, 60979,
     /* 1969804 */     GIR_EraseRootFromParent_Done,
     /* 1969805 */   // Label 26402: @1969805
     /* 1969805 */   GIM_Try, /*On fail goto*//*Label 26403*/ GIMT_Encode4(1969891), // Rule ID 60982 //
     /* 1969810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1969821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1969824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1969827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1969830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969833 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1969836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969856 */     // MIs[0] policy
     /* 1969856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969866 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1969866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1969869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969887 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969889 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969890 */     // GIR_Coverage, 60982,
     /* 1969890 */     GIR_EraseRootFromParent_Done,
     /* 1969891 */   // Label 26403: @1969891
     /* 1969891 */   GIM_Try, /*On fail goto*//*Label 26404*/ GIMT_Encode4(1969977), // Rule ID 60983 //
     /* 1969896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1969899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1969907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1969910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1969913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1969916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1969919 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1969922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1969926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1969930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1969938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1969942 */     // MIs[0] policy
     /* 1969942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1969945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1969952 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1969952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1969955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1969957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1969959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1969961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1969963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1969965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1969970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1969973 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1969975 */     GIR_RootConstrainSelectedInstOperands,
     /* 1969976 */     // GIR_Coverage, 60983,
     /* 1969976 */     GIR_EraseRootFromParent_Done,
     /* 1969977 */   // Label 26404: @1969977
     /* 1969977 */   GIM_Try, /*On fail goto*//*Label 26405*/ GIMT_Encode4(1970063), // Rule ID 60986 //
     /* 1969982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1969985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1969990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1969993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1969996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1969999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1970002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970005 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970028 */     // MIs[0] policy
     /* 1970028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970038 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1970041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970059 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970061 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970062 */     // GIR_Coverage, 60986,
     /* 1970062 */     GIR_EraseRootFromParent_Done,
     /* 1970063 */   // Label 26405: @1970063
     /* 1970063 */   GIM_Try, /*On fail goto*//*Label 26406*/ GIMT_Encode4(1970149), // Rule ID 60987 //
     /* 1970068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1970071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1970079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1970082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1970085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1970088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1970091 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970114 */     // MIs[0] policy
     /* 1970114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970124 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1970127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970145 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970147 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970148 */     // GIR_Coverage, 60987,
     /* 1970148 */     GIR_EraseRootFromParent_Done,
     /* 1970149 */   // Label 26406: @1970149
     /* 1970149 */   GIM_Try, /*On fail goto*//*Label 26407*/ GIMT_Encode4(1970235), // Rule ID 60990 //
     /* 1970154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1970157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1970165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1970168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1970171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1970174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1970177 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970200 */     // MIs[0] policy
     /* 1970200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970210 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1970213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970231 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970233 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970234 */     // GIR_Coverage, 60990,
     /* 1970234 */     GIR_EraseRootFromParent_Done,
     /* 1970235 */   // Label 26407: @1970235
     /* 1970235 */   GIM_Try, /*On fail goto*//*Label 26408*/ GIMT_Encode4(1970321), // Rule ID 60991 //
     /* 1970240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1970243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1970251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1970254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1970257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1970260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1970263 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1970270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1970274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970286 */     // MIs[0] policy
     /* 1970286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970296 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1970299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1970317 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970319 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970320 */     // GIR_Coverage, 60991,
     /* 1970320 */     GIR_EraseRootFromParent_Done,
     /* 1970321 */   // Label 26408: @1970321
     /* 1970321 */   GIM_Try, /*On fail goto*//*Label 26409*/ GIMT_Encode4(1970407), // Rule ID 60994 //
     /* 1970326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1970329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1970346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970349 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970372 */     // MIs[0] policy
     /* 1970372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970382 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1970385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970403 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970405 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970406 */     // GIR_Coverage, 60994,
     /* 1970406 */     GIR_EraseRootFromParent_Done,
     /* 1970407 */   // Label 26409: @1970407
     /* 1970407 */   GIM_Try, /*On fail goto*//*Label 26410*/ GIMT_Encode4(1970493), // Rule ID 60995 //
     /* 1970412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1970415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1970423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1970426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1970429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1970432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1970435 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970458 */     // MIs[0] policy
     /* 1970458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970468 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4_MASK),
     /* 1970471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970489 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970491 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970492 */     // GIR_Coverage, 60995,
     /* 1970492 */     GIR_EraseRootFromParent_Done,
     /* 1970493 */   // Label 26410: @1970493
     /* 1970493 */   GIM_Try, /*On fail goto*//*Label 26411*/ GIMT_Encode4(1970579), // Rule ID 60998 //
     /* 1970498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1970501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1970509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1970512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1970518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970521 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970544 */     // MIs[0] policy
     /* 1970544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1970557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970575 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970577 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970578 */     // GIR_Coverage, 60998,
     /* 1970578 */     GIR_EraseRootFromParent_Done,
     /* 1970579 */   // Label 26411: @1970579
     /* 1970579 */   GIM_Try, /*On fail goto*//*Label 26412*/ GIMT_Encode4(1970665), // Rule ID 60999 //
     /* 1970584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1970587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1970595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1970598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1970601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1970604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1970607 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1970614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970630 */     // MIs[0] policy
     /* 1970630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970640 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1970643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970661 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970663 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970664 */     // GIR_Coverage, 60999,
     /* 1970664 */     GIR_EraseRootFromParent_Done,
     /* 1970665 */   // Label 26412: @1970665
     /* 1970665 */   GIM_Try, /*On fail goto*//*Label 26413*/ GIMT_Encode4(1970751), // Rule ID 61002 //
     /* 1970670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1970673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1970681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1970684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1970690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970693 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970716 */     // MIs[0] policy
     /* 1970716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970726 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1970729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970747 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970749 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970750 */     // GIR_Coverage, 61002,
     /* 1970750 */     GIR_EraseRootFromParent_Done,
     /* 1970751 */   // Label 26413: @1970751
     /* 1970751 */   GIM_Try, /*On fail goto*//*Label 26414*/ GIMT_Encode4(1970837), // Rule ID 61003 //
     /* 1970756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1970759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1970767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1970770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1970773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1970776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1970779 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1970786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1970798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970802 */     // MIs[0] policy
     /* 1970802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970812 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1970815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970833 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970835 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970836 */     // GIR_Coverage, 61003,
     /* 1970836 */     GIR_EraseRootFromParent_Done,
     /* 1970837 */   // Label 26414: @1970837
     /* 1970837 */   GIM_Try, /*On fail goto*//*Label 26415*/ GIMT_Encode4(1970923), // Rule ID 61006 //
     /* 1970842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1970845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1970853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1970856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1970859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1970862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970865 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1970868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970888 */     // MIs[0] policy
     /* 1970888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970898 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1970898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1970901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1970916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1970919 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1970921 */     GIR_RootConstrainSelectedInstOperands,
     /* 1970922 */     // GIR_Coverage, 61006,
     /* 1970922 */     GIR_EraseRootFromParent_Done,
     /* 1970923 */   // Label 26415: @1970923
     /* 1970923 */   GIM_Try, /*On fail goto*//*Label 26416*/ GIMT_Encode4(1971009), // Rule ID 61007 //
     /* 1970928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1970931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1970936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1970939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1970942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1970945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1970948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1970951 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1970954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1970958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1970962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1970970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1970974 */     // MIs[0] policy
     /* 1970974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1970977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1970984 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1970984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1970987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1970989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1970991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1970993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1970995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1970997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971005 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971007 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971008 */     // GIR_Coverage, 61007,
     /* 1971008 */     GIR_EraseRootFromParent_Done,
     /* 1971009 */   // Label 26416: @1971009
     /* 1971009 */   GIM_Try, /*On fail goto*//*Label 26417*/ GIMT_Encode4(1971095), // Rule ID 61010 //
     /* 1971014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1971017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1971025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1971028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1971031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1971034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971037 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971060 */     // MIs[0] policy
     /* 1971060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971070 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1971073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971091 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971093 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971094 */     // GIR_Coverage, 61010,
     /* 1971094 */     GIR_EraseRootFromParent_Done,
     /* 1971095 */   // Label 26417: @1971095
     /* 1971095 */   GIM_Try, /*On fail goto*//*Label 26418*/ GIMT_Encode4(1971181), // Rule ID 61011 //
     /* 1971100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1971103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1971111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1971114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1971117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1971120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1971123 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971146 */     // MIs[0] policy
     /* 1971146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971156 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1971159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1971177 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971179 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971180 */     // GIR_Coverage, 61011,
     /* 1971180 */     GIR_EraseRootFromParent_Done,
     /* 1971181 */   // Label 26418: @1971181
     /* 1971181 */   GIM_Try, /*On fail goto*//*Label 26419*/ GIMT_Encode4(1971267), // Rule ID 61014 //
     /* 1971186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1971189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1971203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1971206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971209 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971232 */     // MIs[0] policy
     /* 1971232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971242 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1971245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971263 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971265 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971266 */     // GIR_Coverage, 61014,
     /* 1971266 */     GIR_EraseRootFromParent_Done,
     /* 1971267 */   // Label 26419: @1971267
     /* 1971267 */   GIM_Try, /*On fail goto*//*Label 26420*/ GIMT_Encode4(1971353), // Rule ID 61015 //
     /* 1971272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1971275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1971283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1971286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1971289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1971292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971295 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971318 */     // MIs[0] policy
     /* 1971318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2_MASK),
     /* 1971331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971349 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971351 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971352 */     // GIR_Coverage, 61015,
     /* 1971352 */     GIR_EraseRootFromParent_Done,
     /* 1971353 */   // Label 26420: @1971353
     /* 1971353 */   GIM_Try, /*On fail goto*//*Label 26421*/ GIMT_Encode4(1971439), // Rule ID 61018 //
     /* 1971358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1971361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1971378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971381 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971404 */     // MIs[0] policy
     /* 1971404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971414 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1971417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971435 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971437 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971438 */     // GIR_Coverage, 61018,
     /* 1971438 */     GIR_EraseRootFromParent_Done,
     /* 1971439 */   // Label 26421: @1971439
     /* 1971439 */   GIM_Try, /*On fail goto*//*Label 26422*/ GIMT_Encode4(1971525), // Rule ID 61019 //
     /* 1971444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1971447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1971455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1971458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1971461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1971464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1971467 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1971474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971490 */     // MIs[0] policy
     /* 1971490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971500 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1_MASK),
     /* 1971503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971521 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971523 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971524 */     // GIR_Coverage, 61019,
     /* 1971524 */     GIR_EraseRootFromParent_Done,
     /* 1971525 */   // Label 26422: @1971525
     /* 1971525 */   GIM_Try, /*On fail goto*//*Label 26423*/ GIMT_Encode4(1971611), // Rule ID 61022 //
     /* 1971530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1971533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1971547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1971550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971553 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971576 */     // MIs[0] policy
     /* 1971576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971586 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1971589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971607 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971609 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971610 */     // GIR_Coverage, 61022,
     /* 1971610 */     GIR_EraseRootFromParent_Done,
     /* 1971611 */   // Label 26423: @1971611
     /* 1971611 */   GIM_Try, /*On fail goto*//*Label 26424*/ GIMT_Encode4(1971697), // Rule ID 61023 //
     /* 1971616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1971619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1971627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1971630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1971633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1971636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1971639 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1971646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1971658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971662 */     // MIs[0] policy
     /* 1971662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971672 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2_MASK),
     /* 1971675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971693 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971695 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971696 */     // GIR_Coverage, 61023,
     /* 1971696 */     GIR_EraseRootFromParent_Done,
     /* 1971697 */   // Label 26424: @1971697
     /* 1971697 */   GIM_Try, /*On fail goto*//*Label 26425*/ GIMT_Encode4(1971783), // Rule ID 61026 //
     /* 1971702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1971705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1971719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1971722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971725 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971748 */     // MIs[0] policy
     /* 1971748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971758 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1971761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971779 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971781 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971782 */     // GIR_Coverage, 61026,
     /* 1971782 */     GIR_EraseRootFromParent_Done,
     /* 1971783 */   // Label 26425: @1971783
     /* 1971783 */   GIM_Try, /*On fail goto*//*Label 26426*/ GIMT_Encode4(1971869), // Rule ID 61027 //
     /* 1971788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1971791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1971799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1971802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1971805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1971808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1971811 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1971818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1971822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1971830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971834 */     // MIs[0] policy
     /* 1971834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971844 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VV_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1971844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4_MASK),
     /* 1971847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1971865 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971867 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971868 */     // GIR_Coverage, 61027,
     /* 1971868 */     GIR_EraseRootFromParent_Done,
     /* 1971869 */   // Label 26426: @1971869
     /* 1971869 */   GIM_Try, /*On fail goto*//*Label 26427*/ GIMT_Encode4(1971955), // Rule ID 61030 //
     /* 1971874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1971877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1971885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1971888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1971891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1971894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971897 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1971900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1971916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1971920 */     // MIs[0] policy
     /* 1971920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1971923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1971930 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1971930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1971933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1971935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1971937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1971939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1971941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1971943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1971948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1971951 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1971953 */     GIR_RootConstrainSelectedInstOperands,
     /* 1971954 */     // GIR_Coverage, 61030,
     /* 1971954 */     GIR_EraseRootFromParent_Done,
     /* 1971955 */   // Label 26427: @1971955
     /* 1971955 */   GIM_Try, /*On fail goto*//*Label 26428*/ GIMT_Encode4(1972041), // Rule ID 61031 //
     /* 1971960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1971963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1971968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1971971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1971974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1971977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1971980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1971983 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1971986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1971990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1971998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972006 */     // MIs[0] policy
     /* 1972006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972016 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF8_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF8_MASK),
     /* 1972019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972037 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972039 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972040 */     // GIR_Coverage, 61031,
     /* 1972040 */     GIR_EraseRootFromParent_Done,
     /* 1972041 */   // Label 26428: @1972041
     /* 1972041 */   GIM_Try, /*On fail goto*//*Label 26429*/ GIMT_Encode4(1972127), // Rule ID 61038 //
     /* 1972046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1972049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1972057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1972060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1972063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972069 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972092 */     // MIs[0] policy
     /* 1972092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972102 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1972105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972123 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972125 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972126 */     // GIR_Coverage, 61038,
     /* 1972126 */     GIR_EraseRootFromParent_Done,
     /* 1972127 */   // Label 26429: @1972127
     /* 1972127 */   GIM_Try, /*On fail goto*//*Label 26430*/ GIMT_Encode4(1972213), // Rule ID 61039 //
     /* 1972132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1972135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1972143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1972146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1972149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1972155 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972178 */     // MIs[0] policy
     /* 1972178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972188 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1972191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972209 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972211 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972212 */     // GIR_Coverage, 61039,
     /* 1972212 */     GIR_EraseRootFromParent_Done,
     /* 1972213 */   // Label 26430: @1972213
     /* 1972213 */   GIM_Try, /*On fail goto*//*Label 26431*/ GIMT_Encode4(1972299), // Rule ID 61046 //
     /* 1972218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1972221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1972229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1972232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1972235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972241 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972264 */     // MIs[0] policy
     /* 1972264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972274 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1972277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972295 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972297 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972298 */     // GIR_Coverage, 61046,
     /* 1972298 */     GIR_EraseRootFromParent_Done,
     /* 1972299 */   // Label 26431: @1972299
     /* 1972299 */   GIM_Try, /*On fail goto*//*Label 26432*/ GIMT_Encode4(1972385), // Rule ID 61047 //
     /* 1972304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1972307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1972315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1972318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1972321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1972327 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972350 */     // MIs[0] policy
     /* 1972350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972360 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11666:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1972363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972381 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972383 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972384 */     // GIR_Coverage, 61047,
     /* 1972384 */     GIR_EraseRootFromParent_Done,
     /* 1972385 */   // Label 26432: @1972385
     /* 1972385 */   GIM_Try, /*On fail goto*//*Label 26433*/ GIMT_Encode4(1972471), // Rule ID 61054 //
     /* 1972390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1972393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1972407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972413 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972436 */     // MIs[0] policy
     /* 1972436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972446 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1972449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972451 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972467 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972469 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972470 */     // GIR_Coverage, 61054,
     /* 1972470 */     GIR_EraseRootFromParent_Done,
     /* 1972471 */   // Label 26433: @1972471
     /* 1972471 */   GIM_Try, /*On fail goto*//*Label 26434*/ GIMT_Encode4(1972557), // Rule ID 61055 //
     /* 1972476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1972479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1972487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1972490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1972493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1972499 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1972506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972522 */     // MIs[0] policy
     /* 1972522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972532 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1972535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972553 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972555 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972556 */     // GIR_Coverage, 61055,
     /* 1972556 */     GIR_EraseRootFromParent_Done,
     /* 1972557 */   // Label 26434: @1972557
     /* 1972557 */   GIM_Try, /*On fail goto*//*Label 26435*/ GIMT_Encode4(1972643), // Rule ID 61062 //
     /* 1972562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1972565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1972579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972585 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972608 */     // MIs[0] policy
     /* 1972608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972618 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1972621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972639 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972641 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972642 */     // GIR_Coverage, 61062,
     /* 1972642 */     GIR_EraseRootFromParent_Done,
     /* 1972643 */   // Label 26435: @1972643
     /* 1972643 */   GIM_Try, /*On fail goto*//*Label 26436*/ GIMT_Encode4(1972729), // Rule ID 61063 //
     /* 1972648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1972651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1972659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1972662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1972665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1972671 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1972678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1972686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972694 */     // MIs[0] policy
     /* 1972694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972704 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1972707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972725 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972727 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972728 */     // GIR_Coverage, 61063,
     /* 1972728 */     GIR_EraseRootFromParent_Done,
     /* 1972729 */   // Label 26436: @1972729
     /* 1972729 */   GIM_Try, /*On fail goto*//*Label 26437*/ GIMT_Encode4(1972815), // Rule ID 61070 //
     /* 1972734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1972737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1972751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972757 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972780 */     // MIs[0] policy
     /* 1972780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972790 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1972793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972811 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972813 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972814 */     // GIR_Coverage, 61070,
     /* 1972814 */     GIR_EraseRootFromParent_Done,
     /* 1972815 */   // Label 26437: @1972815
     /* 1972815 */   GIM_Try, /*On fail goto*//*Label 26438*/ GIMT_Encode4(1972901), // Rule ID 61071 //
     /* 1972820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1972823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1972831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1972834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1972837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1972840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1972843 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1972846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1972850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1972854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1972858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972866 */     // MIs[0] policy
     /* 1972866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972876 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1972876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1972879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1972897 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972899 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972900 */     // GIR_Coverage, 61071,
     /* 1972900 */     GIR_EraseRootFromParent_Done,
     /* 1972901 */   // Label 26438: @1972901
     /* 1972901 */   GIM_Try, /*On fail goto*//*Label 26439*/ GIMT_Encode4(1972987), // Rule ID 61078 //
     /* 1972906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1972909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1972914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1972917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1972920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1972923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1972926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1972929 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1972932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1972936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1972944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1972948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1972952 */     // MIs[0] policy
     /* 1972952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1972955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1972962 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1972962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1972965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1972967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1972969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1972971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1972973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1972975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1972980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1972983 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1972985 */     GIR_RootConstrainSelectedInstOperands,
     /* 1972986 */     // GIR_Coverage, 61078,
     /* 1972986 */     GIR_EraseRootFromParent_Done,
     /* 1972987 */   // Label 26439: @1972987
     /* 1972987 */   GIM_Try, /*On fail goto*//*Label 26440*/ GIMT_Encode4(1973073), // Rule ID 61079 //
     /* 1972992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1972995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1973003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1973006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1973009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973015 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973038 */     // MIs[0] policy
     /* 1973038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973048 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF4_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF4_MASK),
     /* 1973051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973069 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973071 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973072 */     // GIR_Coverage, 61079,
     /* 1973072 */     GIR_EraseRootFromParent_Done,
     /* 1973073 */   // Label 26440: @1973073
     /* 1973073 */   GIM_Try, /*On fail goto*//*Label 26441*/ GIMT_Encode4(1973159), // Rule ID 61086 //
     /* 1973078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1973081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1973089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1973092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973101 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973124 */     // MIs[0] policy
     /* 1973124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1973137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973155 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973157 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973158 */     // GIR_Coverage, 61086,
     /* 1973158 */     GIR_EraseRootFromParent_Done,
     /* 1973159 */   // Label 26441: @1973159
     /* 1973159 */   GIM_Try, /*On fail goto*//*Label 26442*/ GIMT_Encode4(1973245), // Rule ID 61087 //
     /* 1973164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1973167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1973175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1973178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1973181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973187 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973210 */     // MIs[0] policy
     /* 1973210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973220 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11666:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1973223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973241 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973243 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973244 */     // GIR_Coverage, 61087,
     /* 1973244 */     GIR_EraseRootFromParent_Done,
     /* 1973245 */   // Label 26442: @1973245
     /* 1973245 */   GIM_Try, /*On fail goto*//*Label 26443*/ GIMT_Encode4(1973331), // Rule ID 61094 //
     /* 1973250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1973253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1973261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1973264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1973267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973273 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973296 */     // MIs[0] policy
     /* 1973296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973306 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1973309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973327 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973329 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973330 */     // GIR_Coverage, 61094,
     /* 1973330 */     GIR_EraseRootFromParent_Done,
     /* 1973331 */   // Label 26443: @1973331
     /* 1973331 */   GIM_Try, /*On fail goto*//*Label 26444*/ GIMT_Encode4(1973417), // Rule ID 61095 //
     /* 1973336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1973339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1973347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1973350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1973353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1973359 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973382 */     // MIs[0] policy
     /* 1973382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973392 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1973395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973413 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973415 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973416 */     // GIR_Coverage, 61095,
     /* 1973416 */     GIR_EraseRootFromParent_Done,
     /* 1973417 */   // Label 26444: @1973417
     /* 1973417 */   GIM_Try, /*On fail goto*//*Label 26445*/ GIMT_Encode4(1973503), // Rule ID 61102 //
     /* 1973422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1973425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1973433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1973436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1973439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973445 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973468 */     // MIs[0] policy
     /* 1973468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1973481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973499 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973501 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973502 */     // GIR_Coverage, 61102,
     /* 1973502 */     GIR_EraseRootFromParent_Done,
     /* 1973503 */   // Label 26445: @1973503
     /* 1973503 */   GIM_Try, /*On fail goto*//*Label 26446*/ GIMT_Encode4(1973589), // Rule ID 61103 //
     /* 1973508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1973511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1973519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1973522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1973525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1973531 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1973538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973554 */     // MIs[0] policy
     /* 1973554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973564 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1973567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973585 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973587 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973588 */     // GIR_Coverage, 61103,
     /* 1973588 */     GIR_EraseRootFromParent_Done,
     /* 1973589 */   // Label 26446: @1973589
     /* 1973589 */   GIM_Try, /*On fail goto*//*Label 26447*/ GIMT_Encode4(1973675), // Rule ID 61110 //
     /* 1973594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1973597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1973605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1973608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1973611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973617 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973640 */     // MIs[0] policy
     /* 1973640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973650 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1973653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973671 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973673 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973674 */     // GIR_Coverage, 61110,
     /* 1973674 */     GIR_EraseRootFromParent_Done,
     /* 1973675 */   // Label 26447: @1973675
     /* 1973675 */   GIM_Try, /*On fail goto*//*Label 26448*/ GIMT_Encode4(1973761), // Rule ID 61111 //
     /* 1973680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1973683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1973691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1973694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1973697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1973703 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1973710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1973714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1973718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973726 */     // MIs[0] policy
     /* 1973726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973736 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1973739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1973757 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973759 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973760 */     // GIR_Coverage, 61111,
     /* 1973760 */     GIR_EraseRootFromParent_Done,
     /* 1973761 */   // Label 26448: @1973761
     /* 1973761 */   GIM_Try, /*On fail goto*//*Label 26449*/ GIMT_Encode4(1973847), // Rule ID 61118 //
     /* 1973766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1973769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1973777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1973780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973789 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973812 */     // MIs[0] policy
     /* 1973812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973822 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1973825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973843 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973845 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973846 */     // GIR_Coverage, 61118,
     /* 1973846 */     GIR_EraseRootFromParent_Done,
     /* 1973847 */   // Label 26449: @1973847
     /* 1973847 */   GIM_Try, /*On fail goto*//*Label 26450*/ GIMT_Encode4(1973933), // Rule ID 61119 //
     /* 1973852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1973855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1973863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1973866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1973869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1973872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1973875 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1973878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1973882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973898 */     // MIs[0] policy
     /* 1973898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973908 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11666:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_MF2_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1973908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_MF2_MASK),
     /* 1973911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1973915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1973917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1973919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1973921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1973926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1973929 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1973931 */     GIR_RootConstrainSelectedInstOperands,
     /* 1973932 */     // GIR_Coverage, 61119,
     /* 1973932 */     GIR_EraseRootFromParent_Done,
     /* 1973933 */   // Label 26450: @1973933
     /* 1973933 */   GIM_Try, /*On fail goto*//*Label 26451*/ GIMT_Encode4(1974019), // Rule ID 61126 //
     /* 1973938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1973941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1973946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1973949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1973952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1973955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1973958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1973961 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1973964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1973968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1973972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1973976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1973980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1973984 */     // MIs[0] policy
     /* 1973984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1973987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1973994 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1973994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1973997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1973999 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974015 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974017 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974018 */     // GIR_Coverage, 61126,
     /* 1974018 */     GIR_EraseRootFromParent_Done,
     /* 1974019 */   // Label 26451: @1974019
     /* 1974019 */   GIM_Try, /*On fail goto*//*Label 26452*/ GIMT_Encode4(1974105), // Rule ID 61127 //
     /* 1974024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1974027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1974032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1974035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1974038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1974041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974047 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974070 */     // MIs[0] policy
     /* 1974070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974080 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11666:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M1_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M1_MASK),
     /* 1974083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974101 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974103 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974104 */     // GIR_Coverage, 61127,
     /* 1974104 */     GIR_EraseRootFromParent_Done,
     /* 1974105 */   // Label 26452: @1974105
     /* 1974105 */   GIM_Try, /*On fail goto*//*Label 26453*/ GIMT_Encode4(1974191), // Rule ID 61134 //
     /* 1974110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1974113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1974118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1974121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1974124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1974127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974133 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974156 */     // MIs[0] policy
     /* 1974156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974166 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1974169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974187 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974189 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974190 */     // GIR_Coverage, 61134,
     /* 1974190 */     GIR_EraseRootFromParent_Done,
     /* 1974191 */   // Label 26453: @1974191
     /* 1974191 */   GIM_Try, /*On fail goto*//*Label 26454*/ GIMT_Encode4(1974277), // Rule ID 61135 //
     /* 1974196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1974199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1974204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1974207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1974210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1974213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974219 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974242 */     // MIs[0] policy
     /* 1974242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974252 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11666:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M2_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M2_MASK),
     /* 1974255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974273 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974275 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974276 */     // GIR_Coverage, 61135,
     /* 1974276 */     GIR_EraseRootFromParent_Done,
     /* 1974277 */   // Label 26454: @1974277
     /* 1974277 */   GIM_Try, /*On fail goto*//*Label 26455*/ GIMT_Encode4(1974363), // Rule ID 61142 //
     /* 1974282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode0),
     /* 1974285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1974290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1974293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1974296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1974299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1974302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974305 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974328 */     // MIs[0] policy
     /* 1974328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974338 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1974341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974359 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974361 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974362 */     // GIR_Coverage, 61142,
     /* 1974362 */     GIR_EraseRootFromParent_Done,
     /* 1974363 */   // Label 26455: @1974363
     /* 1974363 */   GIM_Try, /*On fail goto*//*Label 26456*/ GIMT_Encode4(1974449), // Rule ID 61143 //
     /* 1974368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HwMode1),
     /* 1974371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vwsll_mask),
     /* 1974376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1974379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1974382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1974385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1974388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974391 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1974398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1974402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1974410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974414 */     // MIs[0] policy
     /* 1974414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974424 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11666:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVWSLL_VX_M4_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VX_M4_MASK),
     /* 1974427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1974445 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974447 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974448 */     // GIR_Coverage, 61143,
     /* 1974448 */     GIR_EraseRootFromParent_Done,
     /* 1974449 */   // Label 26456: @1974449
     /* 1974449 */   GIM_Try, /*On fail goto*//*Label 26457*/ GIMT_Encode4(1974535), // Rule ID 61150 //
     /* 1974454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1974457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1974462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974477 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974500 */     // MIs[0] policy
     /* 1974500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974510 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1974513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974531 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974533 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974534 */     // GIR_Coverage, 61150,
     /* 1974534 */     GIR_EraseRootFromParent_Done,
     /* 1974535 */   // Label 26457: @1974535
     /* 1974535 */   GIM_Try, /*On fail goto*//*Label 26458*/ GIMT_Encode4(1974621), // Rule ID 61151 //
     /* 1974540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1974543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1974548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1974551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1974554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1974557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1974560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1974563 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1974570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1974582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974586 */     // MIs[0] policy
     /* 1974586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974596 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M1_MASK),
     /* 1974599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974617 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974619 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974620 */     // GIR_Coverage, 61151,
     /* 1974620 */     GIR_EraseRootFromParent_Done,
     /* 1974621 */   // Label 26458: @1974621
     /* 1974621 */   GIM_Try, /*On fail goto*//*Label 26459*/ GIMT_Encode4(1974707), // Rule ID 61154 //
     /* 1974626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1974629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1974634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1974637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1974640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1974643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1974646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974649 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974672 */     // MIs[0] policy
     /* 1974672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974682 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1974685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974703 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974705 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974706 */     // GIR_Coverage, 61154,
     /* 1974706 */     GIR_EraseRootFromParent_Done,
     /* 1974707 */   // Label 26459: @1974707
     /* 1974707 */   GIM_Try, /*On fail goto*//*Label 26460*/ GIMT_Encode4(1974793), // Rule ID 61155 //
     /* 1974712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1974715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1974720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1974723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1974726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1974729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1974732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1974735 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1974742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1974754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974758 */     // MIs[0] policy
     /* 1974758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974768 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M2_MASK),
     /* 1974771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974789 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974791 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974792 */     // GIR_Coverage, 61155,
     /* 1974792 */     GIR_EraseRootFromParent_Done,
     /* 1974793 */   // Label 26460: @1974793
     /* 1974793 */   GIM_Try, /*On fail goto*//*Label 26461*/ GIMT_Encode4(1974879), // Rule ID 61158 //
     /* 1974798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1974801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1974806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1974809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1974812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1974815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1974818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974821 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974844 */     // MIs[0] policy
     /* 1974844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974854 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1974854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1974857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974875 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974877 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974878 */     // GIR_Coverage, 61158,
     /* 1974878 */     GIR_EraseRootFromParent_Done,
     /* 1974879 */   // Label 26461: @1974879
     /* 1974879 */   GIM_Try, /*On fail goto*//*Label 26462*/ GIMT_Encode4(1974965), // Rule ID 61159 //
     /* 1974884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1974887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1974892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1974895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1974898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1974901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1974904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1974907 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1974910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1974914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1974926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1974930 */     // MIs[0] policy
     /* 1974930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1974933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1974940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1974940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M4_MASK),
     /* 1974943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1974945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1974947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1974949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1974951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1974953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1974958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1974961 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1974963 */     GIR_RootConstrainSelectedInstOperands,
     /* 1974964 */     // GIR_Coverage, 61159,
     /* 1974964 */     GIR_EraseRootFromParent_Done,
     /* 1974965 */   // Label 26462: @1974965
     /* 1974965 */   GIM_Try, /*On fail goto*//*Label 26463*/ GIMT_Encode4(1975051), // Rule ID 61162 //
     /* 1974970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1974973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1974978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1974981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1974984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1974987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1974990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1974993 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1974996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975016 */     // MIs[0] policy
     /* 1975016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975026 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1975029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975047 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975049 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975050 */     // GIR_Coverage, 61162,
     /* 1975050 */     GIR_EraseRootFromParent_Done,
     /* 1975051 */   // Label 26463: @1975051
     /* 1975051 */   GIM_Try, /*On fail goto*//*Label 26464*/ GIMT_Encode4(1975137), // Rule ID 61163 //
     /* 1975056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1975059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1975067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1975070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1975073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1975076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975079 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975102 */     // MIs[0] policy
     /* 1975102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975112 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VV_M8_MASK),
     /* 1975115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975133 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975135 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975136 */     // GIR_Coverage, 61163,
     /* 1975136 */     GIR_EraseRootFromParent_Done,
     /* 1975137 */   // Label 26464: @1975137
     /* 1975137 */   GIM_Try, /*On fail goto*//*Label 26465*/ GIMT_Encode4(1975223), // Rule ID 61166 //
     /* 1975142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1975145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975165 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975188 */     // MIs[0] policy
     /* 1975188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975198 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1975201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975219 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975221 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975222 */     // GIR_Coverage, 61166,
     /* 1975222 */     GIR_EraseRootFromParent_Done,
     /* 1975223 */   // Label 26465: @1975223
     /* 1975223 */   GIM_Try, /*On fail goto*//*Label 26466*/ GIMT_Encode4(1975309), // Rule ID 61167 //
     /* 1975228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1975231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975251 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975274 */     // MIs[0] policy
     /* 1975274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975284 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11169:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M1_MASK),
     /* 1975287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975305 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975307 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975308 */     // GIR_Coverage, 61167,
     /* 1975308 */     GIR_EraseRootFromParent_Done,
     /* 1975309 */   // Label 26466: @1975309
     /* 1975309 */   GIM_Try, /*On fail goto*//*Label 26467*/ GIMT_Encode4(1975395), // Rule ID 61170 //
     /* 1975314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1975317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1975325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1975328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1975331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975337 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975360 */     // MIs[0] policy
     /* 1975360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975370 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1975373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975391 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975393 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975394 */     // GIR_Coverage, 61170,
     /* 1975394 */     GIR_EraseRootFromParent_Done,
     /* 1975395 */   // Label 26467: @1975395
     /* 1975395 */   GIM_Try, /*On fail goto*//*Label 26468*/ GIMT_Encode4(1975481), // Rule ID 61171 //
     /* 1975400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1975403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1975411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1975414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1975417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1975423 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1975430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1975438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975446 */     // MIs[0] policy
     /* 1975446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975456 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11169:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M2_MASK),
     /* 1975459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975477 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975479 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975480 */     // GIR_Coverage, 61171,
     /* 1975480 */     GIR_EraseRootFromParent_Done,
     /* 1975481 */   // Label 26468: @1975481
     /* 1975481 */   GIM_Try, /*On fail goto*//*Label 26469*/ GIMT_Encode4(1975567), // Rule ID 61174 //
     /* 1975486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1975489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1975497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1975500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1975503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975509 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975532 */     // MIs[0] policy
     /* 1975532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975542 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1975545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975547 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975563 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975565 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975566 */     // GIR_Coverage, 61174,
     /* 1975566 */     GIR_EraseRootFromParent_Done,
     /* 1975567 */   // Label 26469: @1975567
     /* 1975567 */   GIM_Try, /*On fail goto*//*Label 26470*/ GIMT_Encode4(1975653), // Rule ID 61175 //
     /* 1975572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1975575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1975583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1975586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1975589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1975595 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1975602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1975610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975618 */     // MIs[0] policy
     /* 1975618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975628 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11169:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M4_MASK),
     /* 1975631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975633 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975649 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975651 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975652 */     // GIR_Coverage, 61175,
     /* 1975652 */     GIR_EraseRootFromParent_Done,
     /* 1975653 */   // Label 26470: @1975653
     /* 1975653 */   GIM_Try, /*On fail goto*//*Label 26471*/ GIMT_Encode4(1975739), // Rule ID 61178 //
     /* 1975658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1975661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1975669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1975672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1975675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1975678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975681 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975704 */     // MIs[0] policy
     /* 1975704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975714 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1975717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975735 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975737 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975738 */     // GIR_Coverage, 61178,
     /* 1975738 */     GIR_EraseRootFromParent_Done,
     /* 1975739 */   // Label 26471: @1975739
     /* 1975739 */   GIM_Try, /*On fail goto*//*Label 26472*/ GIMT_Encode4(1975825), // Rule ID 61179 //
     /* 1975744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1975747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmul_mask),
     /* 1975752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1975755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1975758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1975761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1975764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1975767 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1975774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1975782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1975786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975790 */     // MIs[0] policy
     /* 1975790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11169:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMUL_VX_M8_MASK),
     /* 1975803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975821 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975823 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975824 */     // GIR_Coverage, 61179,
     /* 1975824 */     GIR_EraseRootFromParent_Done,
     /* 1975825 */   // Label 26472: @1975825
     /* 1975825 */   GIM_Try, /*On fail goto*//*Label 26473*/ GIMT_Encode4(1975911), // Rule ID 61182 //
     /* 1975830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1975833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1975838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975853 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1975856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975876 */     // MIs[0] policy
     /* 1975876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975886 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1975886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1975889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975907 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975909 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975910 */     // GIR_Coverage, 61182,
     /* 1975910 */     GIR_EraseRootFromParent_Done,
     /* 1975911 */   // Label 26473: @1975911
     /* 1975911 */   GIM_Try, /*On fail goto*//*Label 26474*/ GIMT_Encode4(1975997), // Rule ID 61183 //
     /* 1975916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1975919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1975924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1975927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1975930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1975933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1975936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1975939 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1975942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1975946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1975958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1975962 */     // MIs[0] policy
     /* 1975962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1975965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1975972 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1975972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M1_MASK),
     /* 1975975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1975977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1975979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1975981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1975983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1975985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1975990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1975993 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1975995 */     GIR_RootConstrainSelectedInstOperands,
     /* 1975996 */     // GIR_Coverage, 61183,
     /* 1975996 */     GIR_EraseRootFromParent_Done,
     /* 1975997 */   // Label 26474: @1975997
     /* 1975997 */   GIM_Try, /*On fail goto*//*Label 26475*/ GIMT_Encode4(1976083), // Rule ID 61186 //
     /* 1976002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1976005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976025 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976048 */     // MIs[0] policy
     /* 1976048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976058 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1976061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976079 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976081 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976082 */     // GIR_Coverage, 61186,
     /* 1976082 */     GIR_EraseRootFromParent_Done,
     /* 1976083 */   // Label 26475: @1976083
     /* 1976083 */   GIM_Try, /*On fail goto*//*Label 26476*/ GIMT_Encode4(1976169), // Rule ID 61187 //
     /* 1976088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1976091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1976108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976111 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976134 */     // MIs[0] policy
     /* 1976134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M2_MASK),
     /* 1976147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976165 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976167 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976168 */     // GIR_Coverage, 61187,
     /* 1976168 */     GIR_EraseRootFromParent_Done,
     /* 1976169 */   // Label 26476: @1976169
     /* 1976169 */   GIM_Try, /*On fail goto*//*Label 26477*/ GIMT_Encode4(1976255), // Rule ID 61190 //
     /* 1976174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1976177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976197 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976220 */     // MIs[0] policy
     /* 1976220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976230 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1976233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976251 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976253 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976254 */     // GIR_Coverage, 61190,
     /* 1976254 */     GIR_EraseRootFromParent_Done,
     /* 1976255 */   // Label 26477: @1976255
     /* 1976255 */   GIM_Try, /*On fail goto*//*Label 26478*/ GIMT_Encode4(1976341), // Rule ID 61191 //
     /* 1976260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1976263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1976280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976283 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976306 */     // MIs[0] policy
     /* 1976306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976316 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M4_MASK),
     /* 1976319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976337 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976339 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976340 */     // GIR_Coverage, 61191,
     /* 1976340 */     GIR_EraseRootFromParent_Done,
     /* 1976341 */   // Label 26478: @1976341
     /* 1976341 */   GIM_Try, /*On fail goto*//*Label 26479*/ GIMT_Encode4(1976427), // Rule ID 61194 //
     /* 1976346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1976349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1976357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1976360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1976363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1976366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976369 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976392 */     // MIs[0] policy
     /* 1976392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976402 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1976405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976423 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976425 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976426 */     // GIR_Coverage, 61194,
     /* 1976426 */     GIR_EraseRootFromParent_Done,
     /* 1976427 */   // Label 26479: @1976427
     /* 1976427 */   GIM_Try, /*On fail goto*//*Label 26480*/ GIMT_Encode4(1976513), // Rule ID 61195 //
     /* 1976432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1976435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1976443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1976446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1976449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1976452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1976455 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1976462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1976474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976478 */     // MIs[0] policy
     /* 1976478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976488 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VV_M8_MASK),
     /* 1976491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976509 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976511 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976512 */     // GIR_Coverage, 61195,
     /* 1976512 */     GIR_EraseRootFromParent_Done,
     /* 1976513 */   // Label 26480: @1976513
     /* 1976513 */   GIM_Try, /*On fail goto*//*Label 26481*/ GIMT_Encode4(1976599), // Rule ID 61198 //
     /* 1976518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1976521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1976529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1976532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1976535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976541 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976564 */     // MIs[0] policy
     /* 1976564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976574 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1976577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976595 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976597 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976598 */     // GIR_Coverage, 61198,
     /* 1976598 */     GIR_EraseRootFromParent_Done,
     /* 1976599 */   // Label 26481: @1976599
     /* 1976599 */   GIM_Try, /*On fail goto*//*Label 26482*/ GIMT_Encode4(1976685), // Rule ID 61199 //
     /* 1976604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1976607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1976615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1976618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1976621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1976627 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1976634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1976642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976650 */     // MIs[0] policy
     /* 1976650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976660 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11171:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M1_MASK),
     /* 1976663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976681 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976683 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976684 */     // GIR_Coverage, 61199,
     /* 1976684 */     GIR_EraseRootFromParent_Done,
     /* 1976685 */   // Label 26482: @1976685
     /* 1976685 */   GIM_Try, /*On fail goto*//*Label 26483*/ GIMT_Encode4(1976771), // Rule ID 61202 //
     /* 1976690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1976693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976713 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976736 */     // MIs[0] policy
     /* 1976736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976746 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1976749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976767 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976769 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976770 */     // GIR_Coverage, 61202,
     /* 1976770 */     GIR_EraseRootFromParent_Done,
     /* 1976771 */   // Label 26483: @1976771
     /* 1976771 */   GIM_Try, /*On fail goto*//*Label 26484*/ GIMT_Encode4(1976857), // Rule ID 61203 //
     /* 1976776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1976779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1976787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1976790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1976793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1976799 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1976806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1976814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976822 */     // MIs[0] policy
     /* 1976822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976832 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11171:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1976832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M2_MASK),
     /* 1976835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976853 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976855 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976856 */     // GIR_Coverage, 61203,
     /* 1976856 */     GIR_EraseRootFromParent_Done,
     /* 1976857 */   // Label 26484: @1976857
     /* 1976857 */   GIM_Try, /*On fail goto*//*Label 26485*/ GIMT_Encode4(1976943), // Rule ID 61206 //
     /* 1976862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1976865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1976882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976885 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1976888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976908 */     // MIs[0] policy
     /* 1976908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1976918 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1976918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1976921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1976923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1976925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1976927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1976929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1976931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1976936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1976939 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1976941 */     GIR_RootConstrainSelectedInstOperands,
     /* 1976942 */     // GIR_Coverage, 61206,
     /* 1976942 */     GIR_EraseRootFromParent_Done,
     /* 1976943 */   // Label 26485: @1976943
     /* 1976943 */   GIM_Try, /*On fail goto*//*Label 26486*/ GIMT_Encode4(1977029), // Rule ID 61207 //
     /* 1976948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1976951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1976956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1976959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1976962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1976965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1976968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1976971 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1976974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1976978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1976986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1976990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1976994 */     // MIs[0] policy
     /* 1976994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1976997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977004 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11171:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M4_MASK),
     /* 1977007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977025 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977027 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977028 */     // GIR_Coverage, 61207,
     /* 1977028 */     GIR_EraseRootFromParent_Done,
     /* 1977029 */   // Label 26486: @1977029
     /* 1977029 */   GIM_Try, /*On fail goto*//*Label 26487*/ GIMT_Encode4(1977115), // Rule ID 61210 //
     /* 1977034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode0),
     /* 1977037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1977042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1977054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977057 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977080 */     // MIs[0] policy
     /* 1977080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977090 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1977093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977111 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977113 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977114 */     // GIR_Coverage, 61210,
     /* 1977114 */     GIR_EraseRootFromParent_Done,
     /* 1977115 */   // Label 26487: @1977115
     /* 1977115 */   GIM_Try, /*On fail goto*//*Label 26488*/ GIMT_Encode4(1977201), // Rule ID 61211 //
     /* 1977120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbc_HwMode1),
     /* 1977123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vclmulh_mask),
     /* 1977128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1977131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1977134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1977137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1977140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1977143 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1977150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1977158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1977162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977166 */     // MIs[0] policy
     /* 1977166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977176 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11171:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVCLMULH_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLMULH_VX_M8_MASK),
     /* 1977179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1977197 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977199 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977200 */     // GIR_Coverage, 61211,
     /* 1977200 */     GIR_EraseRootFromParent_Done,
     /* 1977201 */   // Label 26488: @1977201
     /* 1977201 */   GIM_Try, /*On fail goto*//*Label 26489*/ GIMT_Encode4(1977287), // Rule ID 61214 //
     /* 1977206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1977226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977229 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977252 */     // MIs[0] policy
     /* 1977252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977262 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1977265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977283 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977285 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977286 */     // GIR_Coverage, 61214,
     /* 1977286 */     GIR_EraseRootFromParent_Done,
     /* 1977287 */   // Label 26489: @1977287
     /* 1977287 */   GIM_Try, /*On fail goto*//*Label 26490*/ GIMT_Encode4(1977373), // Rule ID 61215 //
     /* 1977292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1977303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1977306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1977309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1977312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977315 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977338 */     // MIs[0] policy
     /* 1977338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977348 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF8_MASK),
     /* 1977351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977369 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977371 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977372 */     // GIR_Coverage, 61215,
     /* 1977372 */     GIR_EraseRootFromParent_Done,
     /* 1977373 */   // Label 26490: @1977373
     /* 1977373 */   GIM_Try, /*On fail goto*//*Label 26491*/ GIMT_Encode4(1977459), // Rule ID 61218 //
     /* 1977378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1977398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977401 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977424 */     // MIs[0] policy
     /* 1977424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977434 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1977437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977455 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977457 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977458 */     // GIR_Coverage, 61218,
     /* 1977458 */     GIR_EraseRootFromParent_Done,
     /* 1977459 */   // Label 26491: @1977459
     /* 1977459 */   GIM_Try, /*On fail goto*//*Label 26492*/ GIMT_Encode4(1977545), // Rule ID 61219 //
     /* 1977464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1977475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1977478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1977481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1977484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977487 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977510 */     // MIs[0] policy
     /* 1977510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977520 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1977523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977541 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977543 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977544 */     // GIR_Coverage, 61219,
     /* 1977544 */     GIR_EraseRootFromParent_Done,
     /* 1977545 */   // Label 26492: @1977545
     /* 1977545 */   GIM_Try, /*On fail goto*//*Label 26493*/ GIMT_Encode4(1977631), // Rule ID 61222 //
     /* 1977550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1977570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977573 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977596 */     // MIs[0] policy
     /* 1977596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977606 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1977609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977627 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977629 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977630 */     // GIR_Coverage, 61222,
     /* 1977630 */     GIR_EraseRootFromParent_Done,
     /* 1977631 */   // Label 26493: @1977631
     /* 1977631 */   GIM_Try, /*On fail goto*//*Label 26494*/ GIMT_Encode4(1977717), // Rule ID 61223 //
     /* 1977636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1977647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1977650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1977653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1977656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1977659 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977682 */     // MIs[0] policy
     /* 1977682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977692 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1977695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1977713 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977715 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977716 */     // GIR_Coverage, 61223,
     /* 1977716 */     GIR_EraseRootFromParent_Done,
     /* 1977717 */   // Label 26494: @1977717
     /* 1977717 */   GIM_Try, /*On fail goto*//*Label 26495*/ GIMT_Encode4(1977803), // Rule ID 61226 //
     /* 1977722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1977742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977745 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977768 */     // MIs[0] policy
     /* 1977768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977778 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1977781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977799 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977801 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977802 */     // GIR_Coverage, 61226,
     /* 1977802 */     GIR_EraseRootFromParent_Done,
     /* 1977803 */   // Label 26495: @1977803
     /* 1977803 */   GIM_Try, /*On fail goto*//*Label 26496*/ GIMT_Encode4(1977889), // Rule ID 61227 //
     /* 1977808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1977819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1977822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1977825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1977828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1977831 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1977834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977854 */     // MIs[0] policy
     /* 1977854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977864 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1977864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF4_MASK),
     /* 1977867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977885 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977887 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977888 */     // GIR_Coverage, 61227,
     /* 1977888 */     GIR_EraseRootFromParent_Done,
     /* 1977889 */   // Label 26496: @1977889
     /* 1977889 */   GIM_Try, /*On fail goto*//*Label 26497*/ GIMT_Encode4(1977975), // Rule ID 61230 //
     /* 1977894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1977897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1977914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1977917 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1977920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1977924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1977936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1977940 */     // MIs[0] policy
     /* 1977940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1977943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1977950 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1977950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1977953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1977955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1977957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1977959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1977961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1977963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1977968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1977971 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1977973 */     GIR_RootConstrainSelectedInstOperands,
     /* 1977974 */     // GIR_Coverage, 61230,
     /* 1977974 */     GIR_EraseRootFromParent_Done,
     /* 1977975 */   // Label 26497: @1977975
     /* 1977975 */   GIM_Try, /*On fail goto*//*Label 26498*/ GIMT_Encode4(1978061), // Rule ID 61231 //
     /* 1977980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1977983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1977988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1977991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1977994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1977997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1978000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978003 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978026 */     // MIs[0] policy
     /* 1978026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978036 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1978039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978057 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978059 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978060 */     // GIR_Coverage, 61231,
     /* 1978060 */     GIR_EraseRootFromParent_Done,
     /* 1978061 */   // Label 26498: @1978061
     /* 1978061 */   GIM_Try, /*On fail goto*//*Label 26499*/ GIMT_Encode4(1978147), // Rule ID 61234 //
     /* 1978066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1978086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978089 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978112 */     // MIs[0] policy
     /* 1978112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978122 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1978125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978143 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978145 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978146 */     // GIR_Coverage, 61234,
     /* 1978146 */     GIR_EraseRootFromParent_Done,
     /* 1978147 */   // Label 26499: @1978147
     /* 1978147 */   GIM_Try, /*On fail goto*//*Label 26500*/ GIMT_Encode4(1978233), // Rule ID 61235 //
     /* 1978152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1978163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1978166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1978169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1978172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978175 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978198 */     // MIs[0] policy
     /* 1978198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978208 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_MF2_MASK),
     /* 1978211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978229 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978231 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978232 */     // GIR_Coverage, 61235,
     /* 1978232 */     GIR_EraseRootFromParent_Done,
     /* 1978233 */   // Label 26500: @1978233
     /* 1978233 */   GIM_Try, /*On fail goto*//*Label 26501*/ GIMT_Encode4(1978319), // Rule ID 61238 //
     /* 1978238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1978258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978261 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978284 */     // MIs[0] policy
     /* 1978284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978294 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1978297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978315 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978317 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978318 */     // GIR_Coverage, 61238,
     /* 1978318 */     GIR_EraseRootFromParent_Done,
     /* 1978319 */   // Label 26501: @1978319
     /* 1978319 */   GIM_Try, /*On fail goto*//*Label 26502*/ GIMT_Encode4(1978405), // Rule ID 61239 //
     /* 1978324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1978335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1978338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1978341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1978344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1978347 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978370 */     // MIs[0] policy
     /* 1978370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978380 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1978383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1978401 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978403 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978404 */     // GIR_Coverage, 61239,
     /* 1978404 */     GIR_EraseRootFromParent_Done,
     /* 1978405 */   // Label 26502: @1978405
     /* 1978405 */   GIM_Try, /*On fail goto*//*Label 26503*/ GIMT_Encode4(1978491), // Rule ID 61242 //
     /* 1978410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1978430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978433 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978456 */     // MIs[0] policy
     /* 1978456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978466 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1978469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978487 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978489 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978490 */     // GIR_Coverage, 61242,
     /* 1978490 */     GIR_EraseRootFromParent_Done,
     /* 1978491 */   // Label 26503: @1978491
     /* 1978491 */   GIM_Try, /*On fail goto*//*Label 26504*/ GIMT_Encode4(1978577), // Rule ID 61243 //
     /* 1978496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1978507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1978510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1978513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1978516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1978519 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978542 */     // MIs[0] policy
     /* 1978542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978552 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1978555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1978573 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978575 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978576 */     // GIR_Coverage, 61243,
     /* 1978576 */     GIR_EraseRootFromParent_Done,
     /* 1978577 */   // Label 26504: @1978577
     /* 1978577 */   GIM_Try, /*On fail goto*//*Label 26505*/ GIMT_Encode4(1978663), // Rule ID 61246 //
     /* 1978582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1978602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978605 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978628 */     // MIs[0] policy
     /* 1978628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978638 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1978641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978659 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978661 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978662 */     // GIR_Coverage, 61246,
     /* 1978662 */     GIR_EraseRootFromParent_Done,
     /* 1978663 */   // Label 26505: @1978663
     /* 1978663 */   GIM_Try, /*On fail goto*//*Label 26506*/ GIMT_Encode4(1978749), // Rule ID 61247 //
     /* 1978668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1978679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1978682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1978685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1978688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1978691 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978714 */     // MIs[0] policy
     /* 1978714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978724 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1978727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1978745 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978747 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978748 */     // GIR_Coverage, 61247,
     /* 1978748 */     GIR_EraseRootFromParent_Done,
     /* 1978749 */   // Label 26506: @1978749
     /* 1978749 */   GIM_Try, /*On fail goto*//*Label 26507*/ GIMT_Encode4(1978835), // Rule ID 61250 //
     /* 1978754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1978774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978777 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978800 */     // MIs[0] policy
     /* 1978800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978810 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1978813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978831 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978833 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978834 */     // GIR_Coverage, 61250,
     /* 1978834 */     GIR_EraseRootFromParent_Done,
     /* 1978835 */   // Label 26507: @1978835
     /* 1978835 */   GIM_Try, /*On fail goto*//*Label 26508*/ GIMT_Encode4(1978921), // Rule ID 61251 //
     /* 1978840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1978843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1978851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1978854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1978857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1978860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1978863 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1978866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1978870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1978882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978886 */     // MIs[0] policy
     /* 1978886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978896 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1978896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M1_MASK),
     /* 1978899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1978914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1978917 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1978919 */     GIR_RootConstrainSelectedInstOperands,
     /* 1978920 */     // GIR_Coverage, 61251,
     /* 1978920 */     GIR_EraseRootFromParent_Done,
     /* 1978921 */   // Label 26508: @1978921
     /* 1978921 */   GIM_Try, /*On fail goto*//*Label 26509*/ GIMT_Encode4(1979007), // Rule ID 61254 //
     /* 1978926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1978929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1978934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1978937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1978940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1978943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1978946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1978949 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1978952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1978956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1978968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1978972 */     // MIs[0] policy
     /* 1978972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1978975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1978982 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1978982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1978985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1978987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1978989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1978991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1978993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1978995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979003 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979005 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979006 */     // GIR_Coverage, 61254,
     /* 1979006 */     GIR_EraseRootFromParent_Done,
     /* 1979007 */   // Label 26509: @1979007
     /* 1979007 */   GIM_Try, /*On fail goto*//*Label 26510*/ GIMT_Encode4(1979093), // Rule ID 61255 //
     /* 1979012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1979023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1979026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1979029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1979032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979035 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979058 */     // MIs[0] policy
     /* 1979058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979068 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1979071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979089 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979091 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979092 */     // GIR_Coverage, 61255,
     /* 1979092 */     GIR_EraseRootFromParent_Done,
     /* 1979093 */   // Label 26510: @1979093
     /* 1979093 */   GIM_Try, /*On fail goto*//*Label 26511*/ GIMT_Encode4(1979179), // Rule ID 61258 //
     /* 1979098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1979118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979121 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979144 */     // MIs[0] policy
     /* 1979144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979154 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1979157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979175 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979177 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979178 */     // GIR_Coverage, 61258,
     /* 1979178 */     GIR_EraseRootFromParent_Done,
     /* 1979179 */   // Label 26511: @1979179
     /* 1979179 */   GIM_Try, /*On fail goto*//*Label 26512*/ GIMT_Encode4(1979265), // Rule ID 61259 //
     /* 1979184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1979195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1979198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1979201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1979204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979207 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979230 */     // MIs[0] policy
     /* 1979230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979240 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1979243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979261 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979263 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979264 */     // GIR_Coverage, 61259,
     /* 1979264 */     GIR_EraseRootFromParent_Done,
     /* 1979265 */   // Label 26512: @1979265
     /* 1979265 */   GIM_Try, /*On fail goto*//*Label 26513*/ GIMT_Encode4(1979351), // Rule ID 61262 //
     /* 1979270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1979290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979293 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979316 */     // MIs[0] policy
     /* 1979316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979326 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1979329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979347 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979349 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979350 */     // GIR_Coverage, 61262,
     /* 1979350 */     GIR_EraseRootFromParent_Done,
     /* 1979351 */   // Label 26513: @1979351
     /* 1979351 */   GIM_Try, /*On fail goto*//*Label 26514*/ GIMT_Encode4(1979437), // Rule ID 61263 //
     /* 1979356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1979367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1979370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1979373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1979376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1979379 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979402 */     // MIs[0] policy
     /* 1979402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979412 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1979415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1979433 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979435 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979436 */     // GIR_Coverage, 61263,
     /* 1979436 */     GIR_EraseRootFromParent_Done,
     /* 1979437 */   // Label 26514: @1979437
     /* 1979437 */   GIM_Try, /*On fail goto*//*Label 26515*/ GIMT_Encode4(1979523), // Rule ID 61266 //
     /* 1979442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1979462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979465 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979488 */     // MIs[0] policy
     /* 1979488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979498 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1979501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979519 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979521 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979522 */     // GIR_Coverage, 61266,
     /* 1979522 */     GIR_EraseRootFromParent_Done,
     /* 1979523 */   // Label 26515: @1979523
     /* 1979523 */   GIM_Try, /*On fail goto*//*Label 26516*/ GIMT_Encode4(1979609), // Rule ID 61267 //
     /* 1979528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1979539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1979542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1979545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1979548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1979551 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979574 */     // MIs[0] policy
     /* 1979574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979584 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1979587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979605 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979607 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979608 */     // GIR_Coverage, 61267,
     /* 1979608 */     GIR_EraseRootFromParent_Done,
     /* 1979609 */   // Label 26516: @1979609
     /* 1979609 */   GIM_Try, /*On fail goto*//*Label 26517*/ GIMT_Encode4(1979695), // Rule ID 61270 //
     /* 1979614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1979634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979637 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979660 */     // MIs[0] policy
     /* 1979660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979670 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1979673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979691 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979693 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979694 */     // GIR_Coverage, 61270,
     /* 1979694 */     GIR_EraseRootFromParent_Done,
     /* 1979695 */   // Label 26517: @1979695
     /* 1979695 */   GIM_Try, /*On fail goto*//*Label 26518*/ GIMT_Encode4(1979781), // Rule ID 61271 //
     /* 1979700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1979711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1979714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1979717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1979720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1979723 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1979730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1979742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979746 */     // MIs[0] policy
     /* 1979746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979756 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1979759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979777 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979779 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979780 */     // GIR_Coverage, 61271,
     /* 1979780 */     GIR_EraseRootFromParent_Done,
     /* 1979781 */   // Label 26518: @1979781
     /* 1979781 */   GIM_Try, /*On fail goto*//*Label 26519*/ GIMT_Encode4(1979867), // Rule ID 61274 //
     /* 1979786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1979806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979809 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979832 */     // MIs[0] policy
     /* 1979832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979842 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1979842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1979845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979863 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979865 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979866 */     // GIR_Coverage, 61274,
     /* 1979866 */     GIR_EraseRootFromParent_Done,
     /* 1979867 */   // Label 26519: @1979867
     /* 1979867 */   GIM_Try, /*On fail goto*//*Label 26520*/ GIMT_Encode4(1979953), // Rule ID 61275 //
     /* 1979872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1979875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1979883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1979886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1979889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1979892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1979895 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1979898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1979902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1979914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1979918 */     // MIs[0] policy
     /* 1979918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1979921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1979928 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1979928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1979931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1979933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1979935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1979937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1979939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1979941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1979946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1979949 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1979951 */     GIR_RootConstrainSelectedInstOperands,
     /* 1979952 */     // GIR_Coverage, 61275,
     /* 1979952 */     GIR_EraseRootFromParent_Done,
     /* 1979953 */   // Label 26520: @1979953
     /* 1979953 */   GIM_Try, /*On fail goto*//*Label 26521*/ GIMT_Encode4(1980039), // Rule ID 61278 //
     /* 1979958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1979961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1979966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1979969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1979972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1979975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1979978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1979981 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1979984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1979988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1979996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980004 */     // MIs[0] policy
     /* 1980004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980014 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1980017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980035 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980037 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980038 */     // GIR_Coverage, 61278,
     /* 1980038 */     GIR_EraseRootFromParent_Done,
     /* 1980039 */   // Label 26521: @1980039
     /* 1980039 */   GIM_Try, /*On fail goto*//*Label 26522*/ GIMT_Encode4(1980125), // Rule ID 61279 //
     /* 1980044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1980055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1980058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1980061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1980064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980067 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980090 */     // MIs[0] policy
     /* 1980090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980100 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1980103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980121 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980123 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980124 */     // GIR_Coverage, 61279,
     /* 1980124 */     GIR_EraseRootFromParent_Done,
     /* 1980125 */   // Label 26522: @1980125
     /* 1980125 */   GIM_Try, /*On fail goto*//*Label 26523*/ GIMT_Encode4(1980211), // Rule ID 61282 //
     /* 1980130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1980150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980153 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980176 */     // MIs[0] policy
     /* 1980176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980186 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1980189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980207 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980209 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980210 */     // GIR_Coverage, 61282,
     /* 1980210 */     GIR_EraseRootFromParent_Done,
     /* 1980211 */   // Label 26523: @1980211
     /* 1980211 */   GIM_Try, /*On fail goto*//*Label 26524*/ GIMT_Encode4(1980297), // Rule ID 61283 //
     /* 1980216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1980227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1980230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1980233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1980236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980239 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980262 */     // MIs[0] policy
     /* 1980262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980272 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1980275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980293 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980295 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980296 */     // GIR_Coverage, 61283,
     /* 1980296 */     GIR_EraseRootFromParent_Done,
     /* 1980297 */   // Label 26524: @1980297
     /* 1980297 */   GIM_Try, /*On fail goto*//*Label 26525*/ GIMT_Encode4(1980383), // Rule ID 61286 //
     /* 1980302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1980322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980325 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980348 */     // MIs[0] policy
     /* 1980348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980358 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1980361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980363 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980379 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980381 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980382 */     // GIR_Coverage, 61286,
     /* 1980382 */     GIR_EraseRootFromParent_Done,
     /* 1980383 */   // Label 26525: @1980383
     /* 1980383 */   GIM_Try, /*On fail goto*//*Label 26526*/ GIMT_Encode4(1980469), // Rule ID 61287 //
     /* 1980388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1980399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1980402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1980405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1980408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1980411 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980434 */     // MIs[0] policy
     /* 1980434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980444 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1980447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1980465 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980467 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980468 */     // GIR_Coverage, 61287,
     /* 1980468 */     GIR_EraseRootFromParent_Done,
     /* 1980469 */   // Label 26526: @1980469
     /* 1980469 */   GIM_Try, /*On fail goto*//*Label 26527*/ GIMT_Encode4(1980555), // Rule ID 61290 //
     /* 1980474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1980494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980497 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980520 */     // MIs[0] policy
     /* 1980520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980530 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1980533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980551 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980553 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980554 */     // GIR_Coverage, 61290,
     /* 1980554 */     GIR_EraseRootFromParent_Done,
     /* 1980555 */   // Label 26527: @1980555
     /* 1980555 */   GIM_Try, /*On fail goto*//*Label 26528*/ GIMT_Encode4(1980641), // Rule ID 61291 //
     /* 1980560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1980571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1980574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1980577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1980580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1980583 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1980590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1980602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980606 */     // MIs[0] policy
     /* 1980606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980616 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M2_MASK),
     /* 1980619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980637 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980639 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980640 */     // GIR_Coverage, 61291,
     /* 1980640 */     GIR_EraseRootFromParent_Done,
     /* 1980641 */   // Label 26528: @1980641
     /* 1980641 */   GIM_Try, /*On fail goto*//*Label 26529*/ GIMT_Encode4(1980727), // Rule ID 61294 //
     /* 1980646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1980666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980669 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980692 */     // MIs[0] policy
     /* 1980692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980702 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1980705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980723 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980725 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980726 */     // GIR_Coverage, 61294,
     /* 1980726 */     GIR_EraseRootFromParent_Done,
     /* 1980727 */   // Label 26529: @1980727
     /* 1980727 */   GIM_Try, /*On fail goto*//*Label 26530*/ GIMT_Encode4(1980813), // Rule ID 61295 //
     /* 1980732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1980743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1980746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1980749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1980752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1980755 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1980762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1980774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980778 */     // MIs[0] policy
     /* 1980778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980788 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M4_MASK),
     /* 1980791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980809 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980811 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980812 */     // GIR_Coverage, 61295,
     /* 1980812 */     GIR_EraseRootFromParent_Done,
     /* 1980813 */   // Label 26530: @1980813
     /* 1980813 */   GIM_Try, /*On fail goto*//*Label 26531*/ GIMT_Encode4(1980899), // Rule ID 61298 //
     /* 1980818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1980838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980841 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1980844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980864 */     // MIs[0] policy
     /* 1980864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980874 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1980874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1980877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980895 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980897 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980898 */     // GIR_Coverage, 61298,
     /* 1980898 */     GIR_EraseRootFromParent_Done,
     /* 1980899 */   // Label 26531: @1980899
     /* 1980899 */   GIM_Try, /*On fail goto*//*Label 26532*/ GIMT_Encode4(1980985), // Rule ID 61299 //
     /* 1980904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1980907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1980915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1980918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1980921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1980924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1980927 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1980930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1980934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1980946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1980950 */     // MIs[0] policy
     /* 1980950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1980953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1980960 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1980960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VV_M8_MASK),
     /* 1980963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1980965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1980967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1980969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1980971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1980973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1980978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1980981 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1980983 */     GIR_RootConstrainSelectedInstOperands,
     /* 1980984 */     // GIR_Coverage, 61299,
     /* 1980984 */     GIR_EraseRootFromParent_Done,
     /* 1980985 */   // Label 26532: @1980985
     /* 1980985 */   GIM_Try, /*On fail goto*//*Label 26533*/ GIMT_Encode4(1981071), // Rule ID 61302 //
     /* 1980990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1980993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1980998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981013 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981036 */     // MIs[0] policy
     /* 1981036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981046 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1981049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981067 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981069 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981070 */     // GIR_Coverage, 61302,
     /* 1981070 */     GIR_EraseRootFromParent_Done,
     /* 1981071 */   // Label 26533: @1981071
     /* 1981071 */   GIM_Try, /*On fail goto*//*Label 26534*/ GIMT_Encode4(1981157), // Rule ID 61303 //
     /* 1981076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1981087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1981090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1981093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981099 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981122 */     // MIs[0] policy
     /* 1981122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981132 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF8_MASK),
     /* 1981135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981153 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981155 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981156 */     // GIR_Coverage, 61303,
     /* 1981156 */     GIR_EraseRootFromParent_Done,
     /* 1981157 */   // Label 26534: @1981157
     /* 1981157 */   GIM_Try, /*On fail goto*//*Label 26535*/ GIMT_Encode4(1981243), // Rule ID 61306 //
     /* 1981162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981185 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981208 */     // MIs[0] policy
     /* 1981208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981218 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1981221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981239 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981241 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981242 */     // GIR_Coverage, 61306,
     /* 1981242 */     GIR_EraseRootFromParent_Done,
     /* 1981243 */   // Label 26535: @1981243
     /* 1981243 */   GIM_Try, /*On fail goto*//*Label 26536*/ GIMT_Encode4(1981329), // Rule ID 61307 //
     /* 1981248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1981259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1981262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1981265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981271 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981294 */     // MIs[0] policy
     /* 1981294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981304 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1981307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981325 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981327 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981328 */     // GIR_Coverage, 61307,
     /* 1981328 */     GIR_EraseRootFromParent_Done,
     /* 1981329 */   // Label 26536: @1981329
     /* 1981329 */   GIM_Try, /*On fail goto*//*Label 26537*/ GIMT_Encode4(1981415), // Rule ID 61310 //
     /* 1981334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981357 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981380 */     // MIs[0] policy
     /* 1981380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981390 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1981393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981411 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981413 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981414 */     // GIR_Coverage, 61310,
     /* 1981414 */     GIR_EraseRootFromParent_Done,
     /* 1981415 */   // Label 26537: @1981415
     /* 1981415 */   GIM_Try, /*On fail goto*//*Label 26538*/ GIMT_Encode4(1981501), // Rule ID 61311 //
     /* 1981420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1981431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1981434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1981437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1981443 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981466 */     // MIs[0] policy
     /* 1981466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981476 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1981479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1981497 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981499 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981500 */     // GIR_Coverage, 61311,
     /* 1981500 */     GIR_EraseRootFromParent_Done,
     /* 1981501 */   // Label 26538: @1981501
     /* 1981501 */   GIM_Try, /*On fail goto*//*Label 26539*/ GIMT_Encode4(1981587), // Rule ID 61314 //
     /* 1981506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981529 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981552 */     // MIs[0] policy
     /* 1981552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981562 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1981565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981583 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981585 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981586 */     // GIR_Coverage, 61314,
     /* 1981586 */     GIR_EraseRootFromParent_Done,
     /* 1981587 */   // Label 26539: @1981587
     /* 1981587 */   GIM_Try, /*On fail goto*//*Label 26540*/ GIMT_Encode4(1981673), // Rule ID 61315 //
     /* 1981592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1981603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1981606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1981609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981615 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981638 */     // MIs[0] policy
     /* 1981638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981648 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF4_MASK),
     /* 1981651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981669 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981671 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981672 */     // GIR_Coverage, 61315,
     /* 1981672 */     GIR_EraseRootFromParent_Done,
     /* 1981673 */   // Label 26540: @1981673
     /* 1981673 */   GIM_Try, /*On fail goto*//*Label 26541*/ GIMT_Encode4(1981759), // Rule ID 61318 //
     /* 1981678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1981689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1981692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981701 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981724 */     // MIs[0] policy
     /* 1981724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981734 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1981737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981755 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981757 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981758 */     // GIR_Coverage, 61318,
     /* 1981758 */     GIR_EraseRootFromParent_Done,
     /* 1981759 */   // Label 26541: @1981759
     /* 1981759 */   GIM_Try, /*On fail goto*//*Label 26542*/ GIMT_Encode4(1981845), // Rule ID 61319 //
     /* 1981764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1981775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1981778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1981781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1981787 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981810 */     // MIs[0] policy
     /* 1981810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981820 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1981823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1981841 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981843 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981844 */     // GIR_Coverage, 61319,
     /* 1981844 */     GIR_EraseRootFromParent_Done,
     /* 1981845 */   // Label 26542: @1981845
     /* 1981845 */   GIM_Try, /*On fail goto*//*Label 26543*/ GIMT_Encode4(1981931), // Rule ID 61322 //
     /* 1981850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1981853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1981870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981873 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1981876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981896 */     // MIs[0] policy
     /* 1981896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981906 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1981906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1981909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1981915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1981917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1981919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1981924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1981927 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1981929 */     GIR_RootConstrainSelectedInstOperands,
     /* 1981930 */     // GIR_Coverage, 61322,
     /* 1981930 */     GIR_EraseRootFromParent_Done,
     /* 1981931 */   // Label 26543: @1981931
     /* 1981931 */   GIM_Try, /*On fail goto*//*Label 26544*/ GIMT_Encode4(1982017), // Rule ID 61323 //
     /* 1981936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1981939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1981944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1981947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1981950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1981953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1981956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1981959 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1981962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1981966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1981974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1981978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1981982 */     // MIs[0] policy
     /* 1981982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1981985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1981992 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1981992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_MF2_MASK),
     /* 1981995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1981997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1981999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982013 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982015 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982016 */     // GIR_Coverage, 61323,
     /* 1982016 */     GIR_EraseRootFromParent_Done,
     /* 1982017 */   // Label 26544: @1982017
     /* 1982017 */   GIM_Try, /*On fail goto*//*Label 26545*/ GIMT_Encode4(1982103), // Rule ID 61326 //
     /* 1982022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982045 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982068 */     // MIs[0] policy
     /* 1982068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1982081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982099 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982101 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982102 */     // GIR_Coverage, 61326,
     /* 1982102 */     GIR_EraseRootFromParent_Done,
     /* 1982103 */   // Label 26545: @1982103
     /* 1982103 */   GIM_Try, /*On fail goto*//*Label 26546*/ GIMT_Encode4(1982189), // Rule ID 61327 //
     /* 1982108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1982119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1982122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1982125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1982131 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982154 */     // MIs[0] policy
     /* 1982154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982164 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11159:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1982167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982185 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982187 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982188 */     // GIR_Coverage, 61327,
     /* 1982188 */     GIR_EraseRootFromParent_Done,
     /* 1982189 */   // Label 26546: @1982189
     /* 1982189 */   GIM_Try, /*On fail goto*//*Label 26547*/ GIMT_Encode4(1982275), // Rule ID 61330 //
     /* 1982194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982217 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982240 */     // MIs[0] policy
     /* 1982240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982250 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1982253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982271 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982273 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982274 */     // GIR_Coverage, 61330,
     /* 1982274 */     GIR_EraseRootFromParent_Done,
     /* 1982275 */   // Label 26547: @1982275
     /* 1982275 */   GIM_Try, /*On fail goto*//*Label 26548*/ GIMT_Encode4(1982361), // Rule ID 61331 //
     /* 1982280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1982291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1982294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1982297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1982303 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982326 */     // MIs[0] policy
     /* 1982326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11159:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1982339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1982357 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982359 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982360 */     // GIR_Coverage, 61331,
     /* 1982360 */     GIR_EraseRootFromParent_Done,
     /* 1982361 */   // Label 26548: @1982361
     /* 1982361 */   GIM_Try, /*On fail goto*//*Label 26549*/ GIMT_Encode4(1982447), // Rule ID 61334 //
     /* 1982366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982389 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982412 */     // MIs[0] policy
     /* 1982412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982422 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1982425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982443 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982445 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982446 */     // GIR_Coverage, 61334,
     /* 1982446 */     GIR_EraseRootFromParent_Done,
     /* 1982447 */   // Label 26549: @1982447
     /* 1982447 */   GIM_Try, /*On fail goto*//*Label 26550*/ GIMT_Encode4(1982533), // Rule ID 61335 //
     /* 1982452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1982463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1982466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1982469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1982475 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982498 */     // MIs[0] policy
     /* 1982498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982508 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11159:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1982511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1982529 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982531 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982532 */     // GIR_Coverage, 61335,
     /* 1982532 */     GIR_EraseRootFromParent_Done,
     /* 1982533 */   // Label 26550: @1982533
     /* 1982533 */   GIM_Try, /*On fail goto*//*Label 26551*/ GIMT_Encode4(1982619), // Rule ID 61338 //
     /* 1982538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982561 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982584 */     // MIs[0] policy
     /* 1982584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982594 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1982597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982615 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982617 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982618 */     // GIR_Coverage, 61338,
     /* 1982618 */     GIR_EraseRootFromParent_Done,
     /* 1982619 */   // Label 26551: @1982619
     /* 1982619 */   GIM_Try, /*On fail goto*//*Label 26552*/ GIMT_Encode4(1982705), // Rule ID 61339 //
     /* 1982624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1982635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1982638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1982641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1982647 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1982654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1982662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982670 */     // MIs[0] policy
     /* 1982670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982680 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11159:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M1_MASK),
     /* 1982683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1982701 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982703 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982704 */     // GIR_Coverage, 61339,
     /* 1982704 */     GIR_EraseRootFromParent_Done,
     /* 1982705 */   // Label 26552: @1982705
     /* 1982705 */   GIM_Try, /*On fail goto*//*Label 26553*/ GIMT_Encode4(1982791), // Rule ID 61342 //
     /* 1982710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1982727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982733 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982756 */     // MIs[0] policy
     /* 1982756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982766 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1982769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982787 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982789 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982790 */     // GIR_Coverage, 61342,
     /* 1982790 */     GIR_EraseRootFromParent_Done,
     /* 1982791 */   // Label 26553: @1982791
     /* 1982791 */   GIM_Try, /*On fail goto*//*Label 26554*/ GIMT_Encode4(1982877), // Rule ID 61343 //
     /* 1982796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1982807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1982810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1982813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1982819 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1982826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1982834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982842 */     // MIs[0] policy
     /* 1982842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982852 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1982852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1982855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982873 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982875 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982876 */     // GIR_Coverage, 61343,
     /* 1982876 */     GIR_EraseRootFromParent_Done,
     /* 1982877 */   // Label 26554: @1982877
     /* 1982877 */   GIM_Try, /*On fail goto*//*Label 26555*/ GIMT_Encode4(1982963), // Rule ID 61346 //
     /* 1982882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1982885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1982902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982905 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1982908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1982920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1982924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1982928 */     // MIs[0] policy
     /* 1982928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1982931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1982938 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1982938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1982941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1982943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1982945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1982947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1982949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1982951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1982956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1982959 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1982961 */     GIR_RootConstrainSelectedInstOperands,
     /* 1982962 */     // GIR_Coverage, 61346,
     /* 1982962 */     GIR_EraseRootFromParent_Done,
     /* 1982963 */   // Label 26555: @1982963
     /* 1982963 */   GIM_Try, /*On fail goto*//*Label 26556*/ GIMT_Encode4(1983049), // Rule ID 61347 //
     /* 1982968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1982971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1982976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1982979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1982982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1982985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1982988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1982991 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1982994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1982998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983014 */     // MIs[0] policy
     /* 1983014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1983027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983045 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983047 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983048 */     // GIR_Coverage, 61347,
     /* 1983048 */     GIR_EraseRootFromParent_Done,
     /* 1983049 */   // Label 26556: @1983049
     /* 1983049 */   GIM_Try, /*On fail goto*//*Label 26557*/ GIMT_Encode4(1983135), // Rule ID 61350 //
     /* 1983054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983077 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983100 */     // MIs[0] policy
     /* 1983100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983110 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1983113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983131 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983133 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983134 */     // GIR_Coverage, 61350,
     /* 1983134 */     GIR_EraseRootFromParent_Done,
     /* 1983135 */   // Label 26557: @1983135
     /* 1983135 */   GIM_Try, /*On fail goto*//*Label 26558*/ GIMT_Encode4(1983221), // Rule ID 61351 //
     /* 1983140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1983151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1983154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1983157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1983163 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983186 */     // MIs[0] policy
     /* 1983186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983196 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1983199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1983217 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983219 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983220 */     // GIR_Coverage, 61351,
     /* 1983220 */     GIR_EraseRootFromParent_Done,
     /* 1983221 */   // Label 26558: @1983221
     /* 1983221 */   GIM_Try, /*On fail goto*//*Label 26559*/ GIMT_Encode4(1983307), // Rule ID 61354 //
     /* 1983226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983249 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983272 */     // MIs[0] policy
     /* 1983272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983282 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1983285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983303 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983305 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983306 */     // GIR_Coverage, 61354,
     /* 1983306 */     GIR_EraseRootFromParent_Done,
     /* 1983307 */   // Label 26559: @1983307
     /* 1983307 */   GIM_Try, /*On fail goto*//*Label 26560*/ GIMT_Encode4(1983393), // Rule ID 61355 //
     /* 1983312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1983323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1983326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1983329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983335 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983358 */     // MIs[0] policy
     /* 1983358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983368 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1983371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983389 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983391 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983392 */     // GIR_Coverage, 61355,
     /* 1983392 */     GIR_EraseRootFromParent_Done,
     /* 1983393 */   // Label 26560: @1983393
     /* 1983393 */   GIM_Try, /*On fail goto*//*Label 26561*/ GIMT_Encode4(1983479), // Rule ID 61358 //
     /* 1983398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983421 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983444 */     // MIs[0] policy
     /* 1983444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983454 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1983457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983475 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983477 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983478 */     // GIR_Coverage, 61358,
     /* 1983478 */     GIR_EraseRootFromParent_Done,
     /* 1983479 */   // Label 26561: @1983479
     /* 1983479 */   GIM_Try, /*On fail goto*//*Label 26562*/ GIMT_Encode4(1983565), // Rule ID 61359 //
     /* 1983484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1983495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1983498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1983501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1983507 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983530 */     // MIs[0] policy
     /* 1983530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983540 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1983543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983561 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983563 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983564 */     // GIR_Coverage, 61359,
     /* 1983564 */     GIR_EraseRootFromParent_Done,
     /* 1983565 */   // Label 26562: @1983565
     /* 1983565 */   GIM_Try, /*On fail goto*//*Label 26563*/ GIMT_Encode4(1983651), // Rule ID 61362 //
     /* 1983570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1983581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1983584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1983587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983593 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983616 */     // MIs[0] policy
     /* 1983616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983626 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1983629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983647 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983649 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983650 */     // GIR_Coverage, 61362,
     /* 1983650 */     GIR_EraseRootFromParent_Done,
     /* 1983651 */   // Label 26563: @1983651
     /* 1983651 */   GIM_Try, /*On fail goto*//*Label 26564*/ GIMT_Encode4(1983737), // Rule ID 61363 //
     /* 1983656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1983667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1983670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1983673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1983679 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1983686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1983694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983702 */     // MIs[0] policy
     /* 1983702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1983715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1983733 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983735 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983736 */     // GIR_Coverage, 61363,
     /* 1983736 */     GIR_EraseRootFromParent_Done,
     /* 1983737 */   // Label 26564: @1983737
     /* 1983737 */   GIM_Try, /*On fail goto*//*Label 26565*/ GIMT_Encode4(1983823), // Rule ID 61366 //
     /* 1983742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1983759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983765 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983788 */     // MIs[0] policy
     /* 1983788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983798 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1983801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983819 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983821 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983822 */     // GIR_Coverage, 61366,
     /* 1983822 */     GIR_EraseRootFromParent_Done,
     /* 1983823 */   // Label 26565: @1983823
     /* 1983823 */   GIM_Try, /*On fail goto*//*Label 26566*/ GIMT_Encode4(1983909), // Rule ID 61367 //
     /* 1983828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1983831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1983839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1983842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1983845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1983848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1983851 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1983854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1983858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1983866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983874 */     // MIs[0] policy
     /* 1983874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983884 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1983884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1983887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983905 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983907 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983908 */     // GIR_Coverage, 61367,
     /* 1983908 */     GIR_EraseRootFromParent_Done,
     /* 1983909 */   // Label 26566: @1983909
     /* 1983909 */   GIM_Try, /*On fail goto*//*Label 26567*/ GIMT_Encode4(1983995), // Rule ID 61370 //
     /* 1983914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1983917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1983922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1983925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1983928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1983931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1983934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1983937 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1983940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1983944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1983952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1983956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1983960 */     // MIs[0] policy
     /* 1983960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1983963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1983970 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1983970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1983973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1983975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1983977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1983979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1983981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1983983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1983988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1983991 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1983993 */     GIR_RootConstrainSelectedInstOperands,
     /* 1983994 */     // GIR_Coverage, 61370,
     /* 1983994 */     GIR_EraseRootFromParent_Done,
     /* 1983995 */   // Label 26567: @1983995
     /* 1983995 */   GIM_Try, /*On fail goto*//*Label 26568*/ GIMT_Encode4(1984081), // Rule ID 61371 //
     /* 1984000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1984011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1984014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1984017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984023 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984046 */     // MIs[0] policy
     /* 1984046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984056 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1984059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984077 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984079 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984080 */     // GIR_Coverage, 61371,
     /* 1984080 */     GIR_EraseRootFromParent_Done,
     /* 1984081 */   // Label 26568: @1984081
     /* 1984081 */   GIM_Try, /*On fail goto*//*Label 26569*/ GIMT_Encode4(1984167), // Rule ID 61374 //
     /* 1984086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984109 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984132 */     // MIs[0] policy
     /* 1984132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984142 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1984145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984163 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984165 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984166 */     // GIR_Coverage, 61374,
     /* 1984166 */     GIR_EraseRootFromParent_Done,
     /* 1984167 */   // Label 26569: @1984167
     /* 1984167 */   GIM_Try, /*On fail goto*//*Label 26570*/ GIMT_Encode4(1984253), // Rule ID 61375 //
     /* 1984172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1984183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1984186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1984189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1984195 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984218 */     // MIs[0] policy
     /* 1984218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984228 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1984231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1984249 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984251 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984252 */     // GIR_Coverage, 61375,
     /* 1984252 */     GIR_EraseRootFromParent_Done,
     /* 1984253 */   // Label 26570: @1984253
     /* 1984253 */   GIM_Try, /*On fail goto*//*Label 26571*/ GIMT_Encode4(1984339), // Rule ID 61378 //
     /* 1984258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984281 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984304 */     // MIs[0] policy
     /* 1984304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984314 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1984317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984335 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984337 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984338 */     // GIR_Coverage, 61378,
     /* 1984338 */     GIR_EraseRootFromParent_Done,
     /* 1984339 */   // Label 26571: @1984339
     /* 1984339 */   GIM_Try, /*On fail goto*//*Label 26572*/ GIMT_Encode4(1984425), // Rule ID 61379 //
     /* 1984344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1984355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1984358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1984361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984367 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1984374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1984382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984390 */     // MIs[0] policy
     /* 1984390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984400 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11159:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M2_MASK),
     /* 1984403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984421 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984423 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984424 */     // GIR_Coverage, 61379,
     /* 1984424 */     GIR_EraseRootFromParent_Done,
     /* 1984425 */   // Label 26572: @1984425
     /* 1984425 */   GIM_Try, /*On fail goto*//*Label 26573*/ GIMT_Encode4(1984511), // Rule ID 61382 //
     /* 1984430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984453 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984476 */     // MIs[0] policy
     /* 1984476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984486 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1984489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984507 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984509 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984510 */     // GIR_Coverage, 61382,
     /* 1984510 */     GIR_EraseRootFromParent_Done,
     /* 1984511 */   // Label 26573: @1984511
     /* 1984511 */   GIM_Try, /*On fail goto*//*Label 26574*/ GIMT_Encode4(1984597), // Rule ID 61383 //
     /* 1984516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1984527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1984530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1984533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1984539 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1984546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1984554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984562 */     // MIs[0] policy
     /* 1984562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984572 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11159:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M4_MASK),
     /* 1984575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984593 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984595 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984596 */     // GIR_Coverage, 61383,
     /* 1984596 */     GIR_EraseRootFromParent_Done,
     /* 1984597 */   // Label 26574: @1984597
     /* 1984597 */   GIM_Try, /*On fail goto*//*Label 26575*/ GIMT_Encode4(1984683), // Rule ID 61386 //
     /* 1984602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1984613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1984616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1984619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1984622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984625 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984648 */     // MIs[0] policy
     /* 1984648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984658 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1984661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984679 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984681 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984682 */     // GIR_Coverage, 61386,
     /* 1984682 */     GIR_EraseRootFromParent_Done,
     /* 1984683 */   // Label 26575: @1984683
     /* 1984683 */   GIM_Try, /*On fail goto*//*Label 26576*/ GIMT_Encode4(1984769), // Rule ID 61387 //
     /* 1984688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vandn_mask),
     /* 1984696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1984699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1984702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1984705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1984708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1984711 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1984718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1984726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1984730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984734 */     // MIs[0] policy
     /* 1984734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984744 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11159:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVANDN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVANDN_VX_M8_MASK),
     /* 1984747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1984765 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984767 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984768 */     // GIR_Coverage, 61387,
     /* 1984768 */     GIR_EraseRootFromParent_Done,
     /* 1984769 */   // Label 26576: @1984769
     /* 1984769 */   GIM_Try, /*On fail goto*//*Label 26577*/ GIMT_Encode4(1984855), // Rule ID 61566 //
     /* 1984774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1984794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984797 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984820 */     // MIs[0] policy
     /* 1984820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984830 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1984830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1984833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984851 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984853 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984854 */     // GIR_Coverage, 61566,
     /* 1984854 */     GIR_EraseRootFromParent_Done,
     /* 1984855 */   // Label 26577: @1984855
     /* 1984855 */   GIM_Try, /*On fail goto*//*Label 26578*/ GIMT_Encode4(1984941), // Rule ID 61567 //
     /* 1984860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1984863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1984871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1984874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1984877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1984880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1984883 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1984886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984906 */     // MIs[0] policy
     /* 1984906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1984916 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1984916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8_MASK),
     /* 1984919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1984921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1984923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1984925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1984927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1984929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1984934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1984937 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1984939 */     GIR_RootConstrainSelectedInstOperands,
     /* 1984940 */     // GIR_Coverage, 61567,
     /* 1984940 */     GIR_EraseRootFromParent_Done,
     /* 1984941 */   // Label 26578: @1984941
     /* 1984941 */   GIM_Try, /*On fail goto*//*Label 26579*/ GIMT_Encode4(1985027), // Rule ID 61570 //
     /* 1984946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1984949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1984954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1984957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1984960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1984963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1984966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1984969 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1984972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1984976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1984988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1984992 */     // MIs[0] policy
     /* 1984992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1984995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985002 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1985005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985023 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985025 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985026 */     // GIR_Coverage, 61570,
     /* 1985026 */     GIR_EraseRootFromParent_Done,
     /* 1985027 */   // Label 26579: @1985027
     /* 1985027 */   GIM_Try, /*On fail goto*//*Label 26580*/ GIMT_Encode4(1985113), // Rule ID 61571 //
     /* 1985032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1985043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1985046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1985049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1985052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985055 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985078 */     // MIs[0] policy
     /* 1985078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985088 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1985091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985093 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985109 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985111 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985112 */     // GIR_Coverage, 61571,
     /* 1985112 */     GIR_EraseRootFromParent_Done,
     /* 1985113 */   // Label 26580: @1985113
     /* 1985113 */   GIM_Try, /*On fail goto*//*Label 26581*/ GIMT_Encode4(1985199), // Rule ID 61574 //
     /* 1985118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1985138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985141 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985164 */     // MIs[0] policy
     /* 1985164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985174 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1985177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985179 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985195 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985197 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985198 */     // GIR_Coverage, 61574,
     /* 1985198 */     GIR_EraseRootFromParent_Done,
     /* 1985199 */   // Label 26581: @1985199
     /* 1985199 */   GIM_Try, /*On fail goto*//*Label 26582*/ GIMT_Encode4(1985285), // Rule ID 61575 //
     /* 1985204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1985215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1985218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1985221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1985224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1985227 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985250 */     // MIs[0] policy
     /* 1985250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985260 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1985263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985281 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985283 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985284 */     // GIR_Coverage, 61575,
     /* 1985284 */     GIR_EraseRootFromParent_Done,
     /* 1985285 */   // Label 26582: @1985285
     /* 1985285 */   GIM_Try, /*On fail goto*//*Label 26583*/ GIMT_Encode4(1985371), // Rule ID 61578 //
     /* 1985290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1985310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985313 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985336 */     // MIs[0] policy
     /* 1985336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985346 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1985349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985367 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985369 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985370 */     // GIR_Coverage, 61578,
     /* 1985370 */     GIR_EraseRootFromParent_Done,
     /* 1985371 */   // Label 26583: @1985371
     /* 1985371 */   GIM_Try, /*On fail goto*//*Label 26584*/ GIMT_Encode4(1985457), // Rule ID 61579 //
     /* 1985376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1985387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1985390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1985393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1985396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985399 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985422 */     // MIs[0] policy
     /* 1985422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985432 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4_MASK),
     /* 1985435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985453 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985455 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985456 */     // GIR_Coverage, 61579,
     /* 1985456 */     GIR_EraseRootFromParent_Done,
     /* 1985457 */   // Label 26584: @1985457
     /* 1985457 */   GIM_Try, /*On fail goto*//*Label 26585*/ GIMT_Encode4(1985543), // Rule ID 61582 //
     /* 1985462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1985482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985485 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985508 */     // MIs[0] policy
     /* 1985508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985518 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1985521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985539 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985541 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985542 */     // GIR_Coverage, 61582,
     /* 1985542 */     GIR_EraseRootFromParent_Done,
     /* 1985543 */   // Label 26585: @1985543
     /* 1985543 */   GIM_Try, /*On fail goto*//*Label 26586*/ GIMT_Encode4(1985629), // Rule ID 61583 //
     /* 1985548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1985559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1985562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1985565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1985568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1985571 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985594 */     // MIs[0] policy
     /* 1985594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985604 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1985607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1985625 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985627 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985628 */     // GIR_Coverage, 61583,
     /* 1985628 */     GIR_EraseRootFromParent_Done,
     /* 1985629 */   // Label 26586: @1985629
     /* 1985629 */   GIM_Try, /*On fail goto*//*Label 26587*/ GIMT_Encode4(1985715), // Rule ID 61586 //
     /* 1985634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1985654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985657 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985680 */     // MIs[0] policy
     /* 1985680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985690 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1985693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985711 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985713 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985714 */     // GIR_Coverage, 61586,
     /* 1985714 */     GIR_EraseRootFromParent_Done,
     /* 1985715 */   // Label 26587: @1985715
     /* 1985715 */   GIM_Try, /*On fail goto*//*Label 26588*/ GIMT_Encode4(1985801), // Rule ID 61587 //
     /* 1985720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1985731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1985734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1985737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1985740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1985743 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985766 */     // MIs[0] policy
     /* 1985766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985776 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2_MASK),
     /* 1985779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1985797 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985799 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985800 */     // GIR_Coverage, 61587,
     /* 1985800 */     GIR_EraseRootFromParent_Done,
     /* 1985801 */   // Label 26588: @1985801
     /* 1985801 */   GIM_Try, /*On fail goto*//*Label 26589*/ GIMT_Encode4(1985887), // Rule ID 61590 //
     /* 1985806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1985826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985829 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1985832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985852 */     // MIs[0] policy
     /* 1985852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985862 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1985862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1985865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985883 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985885 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985886 */     // GIR_Coverage, 61590,
     /* 1985886 */     GIR_EraseRootFromParent_Done,
     /* 1985887 */   // Label 26589: @1985887
     /* 1985887 */   GIM_Try, /*On fail goto*//*Label 26590*/ GIMT_Encode4(1985973), // Rule ID 61591 //
     /* 1985892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1985895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1985903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1985906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1985909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1985912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1985915 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1985918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1985922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1985934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1985938 */     // MIs[0] policy
     /* 1985938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1985941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1985948 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1985948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1985951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1985953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1985955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1985957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1985959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1985961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1985966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1985969 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1985971 */     GIR_RootConstrainSelectedInstOperands,
     /* 1985972 */     // GIR_Coverage, 61591,
     /* 1985972 */     GIR_EraseRootFromParent_Done,
     /* 1985973 */   // Label 26590: @1985973
     /* 1985973 */   GIM_Try, /*On fail goto*//*Label 26591*/ GIMT_Encode4(1986059), // Rule ID 61594 //
     /* 1985978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1985981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1985986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1985989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1985992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1985995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1985998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986001 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986024 */     // MIs[0] policy
     /* 1986024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986034 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1986037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986055 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986057 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986058 */     // GIR_Coverage, 61594,
     /* 1986058 */     GIR_EraseRootFromParent_Done,
     /* 1986059 */   // Label 26591: @1986059
     /* 1986059 */   GIM_Try, /*On fail goto*//*Label 26592*/ GIMT_Encode4(1986145), // Rule ID 61595 //
     /* 1986064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1986075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1986078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1986081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1986084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1986087 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986110 */     // MIs[0] policy
     /* 1986110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986120 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1986123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1986141 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986143 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986144 */     // GIR_Coverage, 61595,
     /* 1986144 */     GIR_EraseRootFromParent_Done,
     /* 1986145 */   // Label 26592: @1986145
     /* 1986145 */   GIM_Try, /*On fail goto*//*Label 26593*/ GIMT_Encode4(1986231), // Rule ID 61598 //
     /* 1986150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1986170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986173 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986196 */     // MIs[0] policy
     /* 1986196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1986209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986227 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986229 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986230 */     // GIR_Coverage, 61598,
     /* 1986230 */     GIR_EraseRootFromParent_Done,
     /* 1986231 */   // Label 26593: @1986231
     /* 1986231 */   GIM_Try, /*On fail goto*//*Label 26594*/ GIMT_Encode4(1986317), // Rule ID 61599 //
     /* 1986236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1986247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1986250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1986253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1986256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1986259 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986282 */     // MIs[0] policy
     /* 1986282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986292 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1986295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1986313 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986315 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986316 */     // GIR_Coverage, 61599,
     /* 1986316 */     GIR_EraseRootFromParent_Done,
     /* 1986317 */   // Label 26594: @1986317
     /* 1986317 */   GIM_Try, /*On fail goto*//*Label 26595*/ GIMT_Encode4(1986403), // Rule ID 61602 //
     /* 1986322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1986342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986345 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986368 */     // MIs[0] policy
     /* 1986368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986378 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1986381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986399 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986401 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986402 */     // GIR_Coverage, 61602,
     /* 1986402 */     GIR_EraseRootFromParent_Done,
     /* 1986403 */   // Label 26595: @1986403
     /* 1986403 */   GIM_Try, /*On fail goto*//*Label 26596*/ GIMT_Encode4(1986489), // Rule ID 61603 //
     /* 1986408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1986419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1986422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1986425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1986428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1986431 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1986438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1986450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986454 */     // MIs[0] policy
     /* 1986454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986464 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1_MASK),
     /* 1986467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1986485 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986487 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986488 */     // GIR_Coverage, 61603,
     /* 1986488 */     GIR_EraseRootFromParent_Done,
     /* 1986489 */   // Label 26596: @1986489
     /* 1986489 */   GIM_Try, /*On fail goto*//*Label 26597*/ GIMT_Encode4(1986575), // Rule ID 61606 //
     /* 1986494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1986514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986517 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986540 */     // MIs[0] policy
     /* 1986540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986550 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1986553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986571 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986573 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986574 */     // GIR_Coverage, 61606,
     /* 1986574 */     GIR_EraseRootFromParent_Done,
     /* 1986575 */   // Label 26597: @1986575
     /* 1986575 */   GIM_Try, /*On fail goto*//*Label 26598*/ GIMT_Encode4(1986661), // Rule ID 61607 //
     /* 1986580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1986591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1986594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1986597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1986600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1986603 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1986610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1986622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986626 */     // MIs[0] policy
     /* 1986626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986636 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1986639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986657 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986659 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986660 */     // GIR_Coverage, 61607,
     /* 1986660 */     GIR_EraseRootFromParent_Done,
     /* 1986661 */   // Label 26598: @1986661
     /* 1986661 */   GIM_Try, /*On fail goto*//*Label 26599*/ GIMT_Encode4(1986747), // Rule ID 61610 //
     /* 1986666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1986677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1986680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1986686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986689 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986712 */     // MIs[0] policy
     /* 1986712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986722 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1986725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986743 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986745 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986746 */     // GIR_Coverage, 61610,
     /* 1986746 */     GIR_EraseRootFromParent_Done,
     /* 1986747 */   // Label 26599: @1986747
     /* 1986747 */   GIM_Try, /*On fail goto*//*Label 26600*/ GIMT_Encode4(1986833), // Rule ID 61611 //
     /* 1986752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1986763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1986766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1986769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1986772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1986775 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1986782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1986794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986798 */     // MIs[0] policy
     /* 1986798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986808 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1986811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986829 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986831 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986832 */     // GIR_Coverage, 61611,
     /* 1986832 */     GIR_EraseRootFromParent_Done,
     /* 1986833 */   // Label 26600: @1986833
     /* 1986833 */   GIM_Try, /*On fail goto*//*Label 26601*/ GIMT_Encode4(1986919), // Rule ID 61614 //
     /* 1986838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1986841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1986858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986861 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1986864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986884 */     // MIs[0] policy
     /* 1986884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986894 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1986894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1986897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1986915 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1986917 */     GIR_RootConstrainSelectedInstOperands,
     /* 1986918 */     // GIR_Coverage, 61614,
     /* 1986918 */     GIR_EraseRootFromParent_Done,
     /* 1986919 */   // Label 26601: @1986919
     /* 1986919 */   GIM_Try, /*On fail goto*//*Label 26602*/ GIMT_Encode4(1987005), // Rule ID 61615 //
     /* 1986924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1986927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1986932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1986935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1986938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1986941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1986944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1986947 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1986950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1986954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1986966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1986970 */     // MIs[0] policy
     /* 1986970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1986973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1986980 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1986980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1986983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1986985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1986987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1986989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1986991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1986993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1986998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1987001 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987003 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987004 */     // GIR_Coverage, 61615,
     /* 1987004 */     GIR_EraseRootFromParent_Done,
     /* 1987005 */   // Label 26602: @1987005
     /* 1987005 */   GIM_Try, /*On fail goto*//*Label 26603*/ GIMT_Encode4(1987091), // Rule ID 61618 //
     /* 1987010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1987030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987033 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987056 */     // MIs[0] policy
     /* 1987056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987066 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1987069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987087 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987089 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987090 */     // GIR_Coverage, 61618,
     /* 1987090 */     GIR_EraseRootFromParent_Done,
     /* 1987091 */   // Label 26603: @1987091
     /* 1987091 */   GIM_Try, /*On fail goto*//*Label 26604*/ GIMT_Encode4(1987177), // Rule ID 61619 //
     /* 1987096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1987107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1987110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1987113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1987116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987119 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987142 */     // MIs[0] policy
     /* 1987142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987152 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1987155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987173 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987175 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987176 */     // GIR_Coverage, 61619,
     /* 1987176 */     GIR_EraseRootFromParent_Done,
     /* 1987177 */   // Label 26604: @1987177
     /* 1987177 */   GIM_Try, /*On fail goto*//*Label 26605*/ GIMT_Encode4(1987263), // Rule ID 61622 //
     /* 1987182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1987202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987205 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987228 */     // MIs[0] policy
     /* 1987228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1987241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987259 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987261 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987262 */     // GIR_Coverage, 61622,
     /* 1987262 */     GIR_EraseRootFromParent_Done,
     /* 1987263 */   // Label 26605: @1987263
     /* 1987263 */   GIM_Try, /*On fail goto*//*Label 26606*/ GIMT_Encode4(1987349), // Rule ID 61623 //
     /* 1987268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1987279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1987282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1987285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1987288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987291 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987314 */     // MIs[0] policy
     /* 1987314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987324 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1987327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987345 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987347 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987348 */     // GIR_Coverage, 61623,
     /* 1987348 */     GIR_EraseRootFromParent_Done,
     /* 1987349 */   // Label 26606: @1987349
     /* 1987349 */   GIM_Try, /*On fail goto*//*Label 26607*/ GIMT_Encode4(1987435), // Rule ID 61626 //
     /* 1987354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1987374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987377 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987400 */     // MIs[0] policy
     /* 1987400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987410 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1987413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987431 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987433 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987434 */     // GIR_Coverage, 61626,
     /* 1987434 */     GIR_EraseRootFromParent_Done,
     /* 1987435 */   // Label 26607: @1987435
     /* 1987435 */   GIM_Try, /*On fail goto*//*Label 26608*/ GIMT_Encode4(1987521), // Rule ID 61627 //
     /* 1987440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1987451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1987454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1987457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1987460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1987463 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987486 */     // MIs[0] policy
     /* 1987486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987496 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1987499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1987517 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987519 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987520 */     // GIR_Coverage, 61627,
     /* 1987520 */     GIR_EraseRootFromParent_Done,
     /* 1987521 */   // Label 26608: @1987521
     /* 1987521 */   GIM_Try, /*On fail goto*//*Label 26609*/ GIMT_Encode4(1987607), // Rule ID 61630 //
     /* 1987526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1987546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987549 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987572 */     // MIs[0] policy
     /* 1987572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1987585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987603 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987605 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987606 */     // GIR_Coverage, 61630,
     /* 1987606 */     GIR_EraseRootFromParent_Done,
     /* 1987607 */   // Label 26609: @1987607
     /* 1987607 */   GIM_Try, /*On fail goto*//*Label 26610*/ GIMT_Encode4(1987693), // Rule ID 61631 //
     /* 1987612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1987623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1987626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1987629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1987632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1987635 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1987642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1987654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987658 */     // MIs[0] policy
     /* 1987658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987668 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1987671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987689 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987691 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987692 */     // GIR_Coverage, 61631,
     /* 1987692 */     GIR_EraseRootFromParent_Done,
     /* 1987693 */   // Label 26610: @1987693
     /* 1987693 */   GIM_Try, /*On fail goto*//*Label 26611*/ GIMT_Encode4(1987779), // Rule ID 61634 //
     /* 1987698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1987715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1987718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987721 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987744 */     // MIs[0] policy
     /* 1987744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987754 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1987757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987775 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987777 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987778 */     // GIR_Coverage, 61634,
     /* 1987778 */     GIR_EraseRootFromParent_Done,
     /* 1987779 */   // Label 26611: @1987779
     /* 1987779 */   GIM_Try, /*On fail goto*//*Label 26612*/ GIMT_Encode4(1987865), // Rule ID 61635 //
     /* 1987784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1987795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1987798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1987801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1987804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1987807 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1987814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1987826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987830 */     // MIs[0] policy
     /* 1987830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987840 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1987840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1987843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987861 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987863 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987864 */     // GIR_Coverage, 61635,
     /* 1987864 */     GIR_EraseRootFromParent_Done,
     /* 1987865 */   // Label 26612: @1987865
     /* 1987865 */   GIM_Try, /*On fail goto*//*Label 26613*/ GIMT_Encode4(1987951), // Rule ID 61638 //
     /* 1987870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1987873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1987890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987893 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1987896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1987916 */     // MIs[0] policy
     /* 1987916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1987919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1987926 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1987926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1987929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1987931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1987933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1987935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1987937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1987939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1987944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1987947 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1987949 */     GIR_RootConstrainSelectedInstOperands,
     /* 1987950 */     // GIR_Coverage, 61638,
     /* 1987950 */     GIR_EraseRootFromParent_Done,
     /* 1987951 */   // Label 26613: @1987951
     /* 1987951 */   GIM_Try, /*On fail goto*//*Label 26614*/ GIMT_Encode4(1988037), // Rule ID 61639 //
     /* 1987956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1987959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1987964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1987967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1987970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1987973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1987976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1987979 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1987982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1987986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1987998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988002 */     // MIs[0] policy
     /* 1988002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988012 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1988015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1988033 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988035 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988036 */     // GIR_Coverage, 61639,
     /* 1988036 */     GIR_EraseRootFromParent_Done,
     /* 1988037 */   // Label 26614: @1988037
     /* 1988037 */   GIM_Try, /*On fail goto*//*Label 26615*/ GIMT_Encode4(1988123), // Rule ID 61642 //
     /* 1988042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1988062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988065 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988088 */     // MIs[0] policy
     /* 1988088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988098 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1988101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988119 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988121 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988122 */     // GIR_Coverage, 61642,
     /* 1988122 */     GIR_EraseRootFromParent_Done,
     /* 1988123 */   // Label 26615: @1988123
     /* 1988123 */   GIM_Try, /*On fail goto*//*Label 26616*/ GIMT_Encode4(1988209), // Rule ID 61643 //
     /* 1988128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1988139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1988142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1988145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1988148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988151 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1988158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1988170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988174 */     // MIs[0] policy
     /* 1988174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988184 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2_MASK),
     /* 1988187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988205 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988207 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988208 */     // GIR_Coverage, 61643,
     /* 1988208 */     GIR_EraseRootFromParent_Done,
     /* 1988209 */   // Label 26616: @1988209
     /* 1988209 */   GIM_Try, /*On fail goto*//*Label 26617*/ GIMT_Encode4(1988295), // Rule ID 61646 //
     /* 1988214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1988234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988237 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988260 */     // MIs[0] policy
     /* 1988260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988270 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1988273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988291 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988293 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988294 */     // GIR_Coverage, 61646,
     /* 1988294 */     GIR_EraseRootFromParent_Done,
     /* 1988295 */   // Label 26617: @1988295
     /* 1988295 */   GIM_Try, /*On fail goto*//*Label 26618*/ GIMT_Encode4(1988381), // Rule ID 61647 //
     /* 1988300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1988311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1988314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1988317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1988320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988323 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1988330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1988342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988346 */     // MIs[0] policy
     /* 1988346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988356 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4_MASK),
     /* 1988359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988377 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988379 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988380 */     // GIR_Coverage, 61647,
     /* 1988380 */     GIR_EraseRootFromParent_Done,
     /* 1988381 */   // Label 26618: @1988381
     /* 1988381 */   GIM_Try, /*On fail goto*//*Label 26619*/ GIMT_Encode4(1988467), // Rule ID 61650 //
     /* 1988386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1988406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988409 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988432 */     // MIs[0] policy
     /* 1988432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988442 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1988445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988463 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988465 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988466 */     // GIR_Coverage, 61650,
     /* 1988466 */     GIR_EraseRootFromParent_Done,
     /* 1988467 */   // Label 26619: @1988467
     /* 1988467 */   GIM_Try, /*On fail goto*//*Label 26620*/ GIMT_Encode4(1988553), // Rule ID 61651 //
     /* 1988472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1988483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1988486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1988489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1988492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1988495 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1988502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1988514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988518 */     // MIs[0] policy
     /* 1988518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988528 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8_MASK),
     /* 1988531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1988549 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988551 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988552 */     // GIR_Coverage, 61651,
     /* 1988552 */     GIR_EraseRootFromParent_Done,
     /* 1988553 */   // Label 26620: @1988553
     /* 1988553 */   GIM_Try, /*On fail goto*//*Label 26621*/ GIMT_Encode4(1988639), // Rule ID 61654 //
     /* 1988558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1988569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1988572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1988575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988581 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988604 */     // MIs[0] policy
     /* 1988604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988614 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1988617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988635 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988637 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988638 */     // GIR_Coverage, 61654,
     /* 1988638 */     GIR_EraseRootFromParent_Done,
     /* 1988639 */   // Label 26621: @1988639
     /* 1988639 */   GIM_Try, /*On fail goto*//*Label 26622*/ GIMT_Encode4(1988725), // Rule ID 61655 //
     /* 1988644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1988655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1988658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1988661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1988667 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988690 */     // MIs[0] policy
     /* 1988690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988700 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF8_MASK),
     /* 1988703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988721 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988723 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988724 */     // GIR_Coverage, 61655,
     /* 1988724 */     GIR_EraseRootFromParent_Done,
     /* 1988725 */   // Label 26622: @1988725
     /* 1988725 */   GIM_Try, /*On fail goto*//*Label 26623*/ GIMT_Encode4(1988811), // Rule ID 61658 //
     /* 1988730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1988741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1988744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1988747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988753 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988776 */     // MIs[0] policy
     /* 1988776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988786 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1988789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988807 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988809 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988810 */     // GIR_Coverage, 61658,
     /* 1988810 */     GIR_EraseRootFromParent_Done,
     /* 1988811 */   // Label 26623: @1988811
     /* 1988811 */   GIM_Try, /*On fail goto*//*Label 26624*/ GIMT_Encode4(1988897), // Rule ID 61659 //
     /* 1988816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1988827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1988830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1988833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1988836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1988839 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1988842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988862 */     // MIs[0] policy
     /* 1988862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1988872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1988875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988893 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988895 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988896 */     // GIR_Coverage, 61659,
     /* 1988896 */     GIR_EraseRootFromParent_Done,
     /* 1988897 */   // Label 26624: @1988897
     /* 1988897 */   GIM_Try, /*On fail goto*//*Label 26625*/ GIMT_Encode4(1988983), // Rule ID 61662 //
     /* 1988902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1988905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1988913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1988916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1988919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1988922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1988925 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1988928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1988932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1988940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1988944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1988948 */     // MIs[0] policy
     /* 1988948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1988951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1988958 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1988958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1988961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1988963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1988965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1988967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1988969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1988971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1988976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1988979 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1988981 */     GIR_RootConstrainSelectedInstOperands,
     /* 1988982 */     // GIR_Coverage, 61662,
     /* 1988982 */     GIR_EraseRootFromParent_Done,
     /* 1988983 */   // Label 26625: @1988983
     /* 1988983 */   GIM_Try, /*On fail goto*//*Label 26626*/ GIMT_Encode4(1989069), // Rule ID 61663 //
     /* 1988988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1988991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1988996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1988999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1989002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1989005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989011 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989034 */     // MIs[0] policy
     /* 1989034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989044 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1989047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989065 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989067 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989068 */     // GIR_Coverage, 61663,
     /* 1989068 */     GIR_EraseRootFromParent_Done,
     /* 1989069 */   // Label 26626: @1989069
     /* 1989069 */   GIM_Try, /*On fail goto*//*Label 26627*/ GIMT_Encode4(1989155), // Rule ID 61666 //
     /* 1989074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1989085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1989088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1989091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989097 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989120 */     // MIs[0] policy
     /* 1989120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989130 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1989133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989151 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989153 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989154 */     // GIR_Coverage, 61666,
     /* 1989154 */     GIR_EraseRootFromParent_Done,
     /* 1989155 */   // Label 26627: @1989155
     /* 1989155 */   GIM_Try, /*On fail goto*//*Label 26628*/ GIMT_Encode4(1989241), // Rule ID 61667 //
     /* 1989160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1989171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1989174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1989177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989183 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989206 */     // MIs[0] policy
     /* 1989206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989216 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF4_MASK),
     /* 1989219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989237 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989239 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989240 */     // GIR_Coverage, 61667,
     /* 1989240 */     GIR_EraseRootFromParent_Done,
     /* 1989241 */   // Label 26628: @1989241
     /* 1989241 */   GIM_Try, /*On fail goto*//*Label 26629*/ GIMT_Encode4(1989327), // Rule ID 61670 //
     /* 1989246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1989257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1989260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1989263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989269 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989292 */     // MIs[0] policy
     /* 1989292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989302 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1989305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989323 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989325 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989326 */     // GIR_Coverage, 61670,
     /* 1989326 */     GIR_EraseRootFromParent_Done,
     /* 1989327 */   // Label 26629: @1989327
     /* 1989327 */   GIM_Try, /*On fail goto*//*Label 26630*/ GIMT_Encode4(1989413), // Rule ID 61671 //
     /* 1989332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1989343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1989346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1989349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989355 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989378 */     // MIs[0] policy
     /* 1989378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989388 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1989391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989409 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989411 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989412 */     // GIR_Coverage, 61671,
     /* 1989412 */     GIR_EraseRootFromParent_Done,
     /* 1989413 */   // Label 26630: @1989413
     /* 1989413 */   GIM_Try, /*On fail goto*//*Label 26631*/ GIMT_Encode4(1989499), // Rule ID 61674 //
     /* 1989418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1989435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989441 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989464 */     // MIs[0] policy
     /* 1989464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989474 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1989477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989495 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989497 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989498 */     // GIR_Coverage, 61674,
     /* 1989498 */     GIR_EraseRootFromParent_Done,
     /* 1989499 */   // Label 26631: @1989499
     /* 1989499 */   GIM_Try, /*On fail goto*//*Label 26632*/ GIMT_Encode4(1989585), // Rule ID 61675 //
     /* 1989504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1989515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1989518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1989521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1989527 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989550 */     // MIs[0] policy
     /* 1989550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989560 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_MF2_MASK),
     /* 1989563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1989581 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989583 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989584 */     // GIR_Coverage, 61675,
     /* 1989584 */     GIR_EraseRootFromParent_Done,
     /* 1989585 */   // Label 26632: @1989585
     /* 1989585 */   GIM_Try, /*On fail goto*//*Label 26633*/ GIMT_Encode4(1989671), // Rule ID 61678 //
     /* 1989590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1989601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1989604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989613 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989636 */     // MIs[0] policy
     /* 1989636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989646 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1989649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989667 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989669 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989670 */     // GIR_Coverage, 61678,
     /* 1989670 */     GIR_EraseRootFromParent_Done,
     /* 1989671 */   // Label 26633: @1989671
     /* 1989671 */   GIM_Try, /*On fail goto*//*Label 26634*/ GIMT_Encode4(1989757), // Rule ID 61679 //
     /* 1989676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1989687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1989690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1989693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1989699 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989722 */     // MIs[0] policy
     /* 1989722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989732 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11526:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1989735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1989753 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989755 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989756 */     // GIR_Coverage, 61679,
     /* 1989756 */     GIR_EraseRootFromParent_Done,
     /* 1989757 */   // Label 26634: @1989757
     /* 1989757 */   GIM_Try, /*On fail goto*//*Label 26635*/ GIMT_Encode4(1989843), // Rule ID 61682 //
     /* 1989762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1989779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989785 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989808 */     // MIs[0] policy
     /* 1989808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989818 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1989821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989839 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989841 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989842 */     // GIR_Coverage, 61682,
     /* 1989842 */     GIR_EraseRootFromParent_Done,
     /* 1989843 */   // Label 26635: @1989843
     /* 1989843 */   GIM_Try, /*On fail goto*//*Label 26636*/ GIMT_Encode4(1989929), // Rule ID 61683 //
     /* 1989848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1989851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1989859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1989862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1989865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1989868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1989871 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1989874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989894 */     // MIs[0] policy
     /* 1989894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989904 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11526:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1989904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1989907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1989915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1989917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1989922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1989925 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1989927 */     GIR_RootConstrainSelectedInstOperands,
     /* 1989928 */     // GIR_Coverage, 61683,
     /* 1989928 */     GIR_EraseRootFromParent_Done,
     /* 1989929 */   // Label 26636: @1989929
     /* 1989929 */   GIM_Try, /*On fail goto*//*Label 26637*/ GIMT_Encode4(1990015), // Rule ID 61686 //
     /* 1989934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1989937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1989942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1989945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1989948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1989951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1989954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1989957 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1989960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1989964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1989972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1989976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1989980 */     // MIs[0] policy
     /* 1989980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1989983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1989990 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1989990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1989993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1989995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1989997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1989999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990011 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990013 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990014 */     // GIR_Coverage, 61686,
     /* 1990014 */     GIR_EraseRootFromParent_Done,
     /* 1990015 */   // Label 26637: @1990015
     /* 1990015 */   GIM_Try, /*On fail goto*//*Label 26638*/ GIMT_Encode4(1990101), // Rule ID 61687 //
     /* 1990020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1990031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1990034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1990037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1990043 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990066 */     // MIs[0] policy
     /* 1990066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990076 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11526:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1990079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1990097 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990099 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990100 */     // GIR_Coverage, 61687,
     /* 1990100 */     GIR_EraseRootFromParent_Done,
     /* 1990101 */   // Label 26638: @1990101
     /* 1990101 */   GIM_Try, /*On fail goto*//*Label 26639*/ GIMT_Encode4(1990187), // Rule ID 61690 //
     /* 1990106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1990117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1990120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1990123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1990129 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990152 */     // MIs[0] policy
     /* 1990152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990162 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1990165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990183 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990185 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990186 */     // GIR_Coverage, 61690,
     /* 1990186 */     GIR_EraseRootFromParent_Done,
     /* 1990187 */   // Label 26639: @1990187
     /* 1990187 */   GIM_Try, /*On fail goto*//*Label 26640*/ GIMT_Encode4(1990273), // Rule ID 61691 //
     /* 1990192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1990203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1990206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1990209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1990215 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1990222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1990230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990238 */     // MIs[0] policy
     /* 1990238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990248 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11526:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M1_MASK),
     /* 1990251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1990269 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990271 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990272 */     // GIR_Coverage, 61691,
     /* 1990272 */     GIR_EraseRootFromParent_Done,
     /* 1990273 */   // Label 26640: @1990273
     /* 1990273 */   GIM_Try, /*On fail goto*//*Label 26641*/ GIMT_Encode4(1990359), // Rule ID 61694 //
     /* 1990278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1990289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1990292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1990295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990301 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990324 */     // MIs[0] policy
     /* 1990324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990334 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1990337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990355 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990357 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990358 */     // GIR_Coverage, 61694,
     /* 1990358 */     GIR_EraseRootFromParent_Done,
     /* 1990359 */   // Label 26641: @1990359
     /* 1990359 */   GIM_Try, /*On fail goto*//*Label 26642*/ GIMT_Encode4(1990445), // Rule ID 61695 //
     /* 1990364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1990375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1990378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1990381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990387 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990410 */     // MIs[0] policy
     /* 1990410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990420 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1990423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990441 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990443 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990444 */     // GIR_Coverage, 61695,
     /* 1990444 */     GIR_EraseRootFromParent_Done,
     /* 1990445 */   // Label 26642: @1990445
     /* 1990445 */   GIM_Try, /*On fail goto*//*Label 26643*/ GIMT_Encode4(1990531), // Rule ID 61698 //
     /* 1990450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1990461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1990464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1990467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990473 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990496 */     // MIs[0] policy
     /* 1990496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990506 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1990509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990527 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990529 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990530 */     // GIR_Coverage, 61698,
     /* 1990530 */     GIR_EraseRootFromParent_Done,
     /* 1990531 */   // Label 26643: @1990531
     /* 1990531 */   GIM_Try, /*On fail goto*//*Label 26644*/ GIMT_Encode4(1990617), // Rule ID 61699 //
     /* 1990536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1990547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1990550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1990553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1990559 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1990574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990582 */     // MIs[0] policy
     /* 1990582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990592 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1990595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990613 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990615 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990616 */     // GIR_Coverage, 61699,
     /* 1990616 */     GIR_EraseRootFromParent_Done,
     /* 1990617 */   // Label 26644: @1990617
     /* 1990617 */   GIM_Try, /*On fail goto*//*Label 26645*/ GIMT_Encode4(1990703), // Rule ID 61702 //
     /* 1990622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1990633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1990636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1990639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990645 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990668 */     // MIs[0] policy
     /* 1990668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990678 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1990681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990699 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990701 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990702 */     // GIR_Coverage, 61702,
     /* 1990702 */     GIR_EraseRootFromParent_Done,
     /* 1990703 */   // Label 26645: @1990703
     /* 1990703 */   GIM_Try, /*On fail goto*//*Label 26646*/ GIMT_Encode4(1990789), // Rule ID 61703 //
     /* 1990708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1990719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1990722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1990725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1990731 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1990738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1990746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990754 */     // MIs[0] policy
     /* 1990754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990764 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1990767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1990785 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990787 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990788 */     // GIR_Coverage, 61703,
     /* 1990788 */     GIR_EraseRootFromParent_Done,
     /* 1990789 */   // Label 26646: @1990789
     /* 1990789 */   GIM_Try, /*On fail goto*//*Label 26647*/ GIMT_Encode4(1990875), // Rule ID 61706 //
     /* 1990794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1990805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1990808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1990811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990817 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990840 */     // MIs[0] policy
     /* 1990840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990850 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1990850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1990853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990871 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990873 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990874 */     // GIR_Coverage, 61706,
     /* 1990874 */     GIR_EraseRootFromParent_Done,
     /* 1990875 */   // Label 26647: @1990875
     /* 1990875 */   GIM_Try, /*On fail goto*//*Label 26648*/ GIMT_Encode4(1990961), // Rule ID 61707 //
     /* 1990880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1990883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1990891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1990894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1990897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1990900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1990903 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1990906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1990910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1990918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1990922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1990926 */     // MIs[0] policy
     /* 1990926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1990929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1990936 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1990936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1990939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1990941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1990943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1990945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1990947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1990949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1990954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1990957 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1990959 */     GIR_RootConstrainSelectedInstOperands,
     /* 1990960 */     // GIR_Coverage, 61707,
     /* 1990960 */     GIR_EraseRootFromParent_Done,
     /* 1990961 */   // Label 26648: @1990961
     /* 1990961 */   GIM_Try, /*On fail goto*//*Label 26649*/ GIMT_Encode4(1991047), // Rule ID 61710 //
     /* 1990966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1990969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1990974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1990977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1990980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1990983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1990986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1990989 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1990992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1990996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991012 */     // MIs[0] policy
     /* 1991012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991022 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1991025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991043 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991045 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991046 */     // GIR_Coverage, 61710,
     /* 1991046 */     GIR_EraseRootFromParent_Done,
     /* 1991047 */   // Label 26649: @1991047
     /* 1991047 */   GIM_Try, /*On fail goto*//*Label 26650*/ GIMT_Encode4(1991133), // Rule ID 61711 //
     /* 1991052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1991063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1991066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1991069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991075 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991098 */     // MIs[0] policy
     /* 1991098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991108 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1991111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991129 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991131 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991132 */     // GIR_Coverage, 61711,
     /* 1991132 */     GIR_EraseRootFromParent_Done,
     /* 1991133 */   // Label 26650: @1991133
     /* 1991133 */   GIM_Try, /*On fail goto*//*Label 26651*/ GIMT_Encode4(1991219), // Rule ID 61714 //
     /* 1991138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1991149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1991152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1991155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991161 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991184 */     // MIs[0] policy
     /* 1991184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991194 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1991197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991215 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991217 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991218 */     // GIR_Coverage, 61714,
     /* 1991218 */     GIR_EraseRootFromParent_Done,
     /* 1991219 */   // Label 26651: @1991219
     /* 1991219 */   GIM_Try, /*On fail goto*//*Label 26652*/ GIMT_Encode4(1991305), // Rule ID 61715 //
     /* 1991224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1991235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1991238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1991241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1991247 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991270 */     // MIs[0] policy
     /* 1991270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991280 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1991283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1991301 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991303 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991304 */     // GIR_Coverage, 61715,
     /* 1991304 */     GIR_EraseRootFromParent_Done,
     /* 1991305 */   // Label 26652: @1991305
     /* 1991305 */   GIM_Try, /*On fail goto*//*Label 26653*/ GIMT_Encode4(1991391), // Rule ID 61718 //
     /* 1991310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1991327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991333 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991356 */     // MIs[0] policy
     /* 1991356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991366 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1991369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991387 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991389 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991390 */     // GIR_Coverage, 61718,
     /* 1991390 */     GIR_EraseRootFromParent_Done,
     /* 1991391 */   // Label 26653: @1991391
     /* 1991391 */   GIM_Try, /*On fail goto*//*Label 26654*/ GIMT_Encode4(1991477), // Rule ID 61719 //
     /* 1991396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1991407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1991410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1991413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1991419 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991442 */     // MIs[0] policy
     /* 1991442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991452 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1991455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991473 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991475 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991476 */     // GIR_Coverage, 61719,
     /* 1991476 */     GIR_EraseRootFromParent_Done,
     /* 1991477 */   // Label 26654: @1991477
     /* 1991477 */   GIM_Try, /*On fail goto*//*Label 26655*/ GIMT_Encode4(1991563), // Rule ID 61722 //
     /* 1991482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1991499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991505 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991528 */     // MIs[0] policy
     /* 1991528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991538 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1991541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991559 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991561 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991562 */     // GIR_Coverage, 61722,
     /* 1991562 */     GIR_EraseRootFromParent_Done,
     /* 1991563 */   // Label 26655: @1991563
     /* 1991563 */   GIM_Try, /*On fail goto*//*Label 26656*/ GIMT_Encode4(1991649), // Rule ID 61723 //
     /* 1991568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1991579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1991582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1991585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1991591 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1991598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1991606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991614 */     // MIs[0] policy
     /* 1991614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991624 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1991627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991645 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991647 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991648 */     // GIR_Coverage, 61723,
     /* 1991648 */     GIR_EraseRootFromParent_Done,
     /* 1991649 */   // Label 26656: @1991649
     /* 1991649 */   GIM_Try, /*On fail goto*//*Label 26657*/ GIMT_Encode4(1991735), // Rule ID 61726 //
     /* 1991654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1991671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991677 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991700 */     // MIs[0] policy
     /* 1991700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991710 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1991713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991731 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991733 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991734 */     // GIR_Coverage, 61726,
     /* 1991734 */     GIR_EraseRootFromParent_Done,
     /* 1991735 */   // Label 26657: @1991735
     /* 1991735 */   GIM_Try, /*On fail goto*//*Label 26658*/ GIMT_Encode4(1991821), // Rule ID 61727 //
     /* 1991740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1991751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1991754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1991757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1991763 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1991770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1991778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991786 */     // MIs[0] policy
     /* 1991786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991796 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1991799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1991817 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991819 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991820 */     // GIR_Coverage, 61727,
     /* 1991820 */     GIR_EraseRootFromParent_Done,
     /* 1991821 */   // Label 26658: @1991821
     /* 1991821 */   GIM_Try, /*On fail goto*//*Label 26659*/ GIMT_Encode4(1991907), // Rule ID 61730 //
     /* 1991826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1991829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1991837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1991840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1991843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1991846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991849 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1991852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991872 */     // MIs[0] policy
     /* 1991872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991882 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1991882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1991885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991903 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991905 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991906 */     // GIR_Coverage, 61730,
     /* 1991906 */     GIR_EraseRootFromParent_Done,
     /* 1991907 */   // Label 26659: @1991907
     /* 1991907 */   GIM_Try, /*On fail goto*//*Label 26660*/ GIMT_Encode4(1991993), // Rule ID 61731 //
     /* 1991912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1991915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1991920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1991923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1991926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1991929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1991932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1991935 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1991938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1991942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1991950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1991954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1991958 */     // MIs[0] policy
     /* 1991958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1991961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1991968 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11526:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1991968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M2_MASK),
     /* 1991971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1991973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1991975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1991977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1991979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1991981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1991986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1991989 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1991991 */     GIR_RootConstrainSelectedInstOperands,
     /* 1991992 */     // GIR_Coverage, 61731,
     /* 1991992 */     GIR_EraseRootFromParent_Done,
     /* 1991993 */   // Label 26660: @1991993
     /* 1991993 */   GIM_Try, /*On fail goto*//*Label 26661*/ GIMT_Encode4(1992079), // Rule ID 61734 //
     /* 1991998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1992006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1992009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1992012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1992015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992021 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992044 */     // MIs[0] policy
     /* 1992044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992054 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1992057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992075 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992077 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992078 */     // GIR_Coverage, 61734,
     /* 1992078 */     GIR_EraseRootFromParent_Done,
     /* 1992079 */   // Label 26661: @1992079
     /* 1992079 */   GIM_Try, /*On fail goto*//*Label 26662*/ GIMT_Encode4(1992165), // Rule ID 61735 //
     /* 1992084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1992092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1992095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1992098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1992101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992107 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1992114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1992122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992130 */     // MIs[0] policy
     /* 1992130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992140 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11526:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M4_MASK),
     /* 1992143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992161 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992163 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992164 */     // GIR_Coverage, 61735,
     /* 1992164 */     GIR_EraseRootFromParent_Done,
     /* 1992165 */   // Label 26662: @1992165
     /* 1992165 */   GIM_Try, /*On fail goto*//*Label 26663*/ GIMT_Encode4(1992251), // Rule ID 61738 //
     /* 1992170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1992178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1992181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1992184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1992187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1992190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992193 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992216 */     // MIs[0] policy
     /* 1992216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992226 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1992229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992247 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992249 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992250 */     // GIR_Coverage, 61738,
     /* 1992250 */     GIR_EraseRootFromParent_Done,
     /* 1992251 */   // Label 26663: @1992251
     /* 1992251 */   GIM_Try, /*On fail goto*//*Label 26664*/ GIMT_Encode4(1992337), // Rule ID 61739 //
     /* 1992256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vrol_mask),
     /* 1992264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1992267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1992270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1992273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1992276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1992279 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1992286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1992294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1992298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992302 */     // MIs[0] policy
     /* 1992302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992312 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11526:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VX_M8_MASK),
     /* 1992315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1992333 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992335 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992336 */     // GIR_Coverage, 61739,
     /* 1992336 */     GIR_EraseRootFromParent_Done,
     /* 1992337 */   // Label 26664: @1992337
     /* 1992337 */   GIM_Try, /*On fail goto*//*Label 26665*/ GIMT_Encode4(1992423), // Rule ID 61826 //
     /* 1992342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1992353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1992356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1992359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1992362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992365 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992388 */     // MIs[0] policy
     /* 1992388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992398 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1992401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992419 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992421 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992422 */     // GIR_Coverage, 61826,
     /* 1992422 */     GIR_EraseRootFromParent_Done,
     /* 1992423 */   // Label 26665: @1992423
     /* 1992423 */   GIM_Try, /*On fail goto*//*Label 26666*/ GIMT_Encode4(1992509), // Rule ID 61827 //
     /* 1992428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1992439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1992442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1992445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 1992448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992451 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992474 */     // MIs[0] policy
     /* 1992474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992484 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8_MASK),
     /* 1992487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992505 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992507 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992508 */     // GIR_Coverage, 61827,
     /* 1992508 */     GIR_EraseRootFromParent_Done,
     /* 1992509 */   // Label 26666: @1992509
     /* 1992509 */   GIM_Try, /*On fail goto*//*Label 26667*/ GIMT_Encode4(1992595), // Rule ID 61830 //
     /* 1992514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1992525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1992528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1992531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1992534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992537 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992560 */     // MIs[0] policy
     /* 1992560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992570 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1992573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992591 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992593 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992594 */     // GIR_Coverage, 61830,
     /* 1992594 */     GIR_EraseRootFromParent_Done,
     /* 1992595 */   // Label 26667: @1992595
     /* 1992595 */   GIM_Try, /*On fail goto*//*Label 26668*/ GIMT_Encode4(1992681), // Rule ID 61831 //
     /* 1992600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1992611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1992614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1992617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 1992620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1992623 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992646 */     // MIs[0] policy
     /* 1992646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992656 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1992659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992677 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992679 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992680 */     // GIR_Coverage, 61831,
     /* 1992680 */     GIR_EraseRootFromParent_Done,
     /* 1992681 */   // Label 26668: @1992681
     /* 1992681 */   GIM_Try, /*On fail goto*//*Label 26669*/ GIMT_Encode4(1992767), // Rule ID 61834 //
     /* 1992686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1992697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1992700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992709 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992732 */     // MIs[0] policy
     /* 1992732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992742 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1992745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992763 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992765 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992766 */     // GIR_Coverage, 61834,
     /* 1992766 */     GIR_EraseRootFromParent_Done,
     /* 1992767 */   // Label 26669: @1992767
     /* 1992767 */   GIM_Try, /*On fail goto*//*Label 26670*/ GIMT_Encode4(1992853), // Rule ID 61835 //
     /* 1992772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1992783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1992786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1992789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1992792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1992795 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992818 */     // MIs[0] policy
     /* 1992818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992828 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1992828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1992831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1992849 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992851 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992852 */     // GIR_Coverage, 61835,
     /* 1992852 */     GIR_EraseRootFromParent_Done,
     /* 1992853 */   // Label 26670: @1992853
     /* 1992853 */   GIM_Try, /*On fail goto*//*Label 26671*/ GIMT_Encode4(1992939), // Rule ID 61838 //
     /* 1992858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1992861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1992869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1992872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1992875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1992878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992881 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1992884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992904 */     // MIs[0] policy
     /* 1992904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1992914 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1992914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1992917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1992919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1992921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1992923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1992925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1992927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1992932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1992935 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1992937 */     GIR_RootConstrainSelectedInstOperands,
     /* 1992938 */     // GIR_Coverage, 61838,
     /* 1992938 */     GIR_EraseRootFromParent_Done,
     /* 1992939 */   // Label 26671: @1992939
     /* 1992939 */   GIM_Try, /*On fail goto*//*Label 26672*/ GIMT_Encode4(1993025), // Rule ID 61839 //
     /* 1992944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1992947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1992952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1992955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1992958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1992961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 1992964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1992967 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1992970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1992974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1992986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1992990 */     // MIs[0] policy
     /* 1992990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1992993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993000 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4_MASK),
     /* 1993003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993021 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993023 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993024 */     // GIR_Coverage, 61839,
     /* 1993024 */     GIR_EraseRootFromParent_Done,
     /* 1993025 */   // Label 26672: @1993025
     /* 1993025 */   GIM_Try, /*On fail goto*//*Label 26673*/ GIMT_Encode4(1993111), // Rule ID 61842 //
     /* 1993030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1993041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1993044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1993047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1993050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993053 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993076 */     // MIs[0] policy
     /* 1993076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993086 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1993089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993107 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993109 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993110 */     // GIR_Coverage, 61842,
     /* 1993110 */     GIR_EraseRootFromParent_Done,
     /* 1993111 */   // Label 26673: @1993111
     /* 1993111 */   GIM_Try, /*On fail goto*//*Label 26674*/ GIMT_Encode4(1993197), // Rule ID 61843 //
     /* 1993116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1993127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1993130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1993133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 1993136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993139 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993162 */     // MIs[0] policy
     /* 1993162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993172 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1993175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993193 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993195 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993196 */     // GIR_Coverage, 61843,
     /* 1993196 */     GIR_EraseRootFromParent_Done,
     /* 1993197 */   // Label 26674: @1993197
     /* 1993197 */   GIM_Try, /*On fail goto*//*Label 26675*/ GIMT_Encode4(1993283), // Rule ID 61846 //
     /* 1993202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1993219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1993222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993225 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993248 */     // MIs[0] policy
     /* 1993248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993258 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1993261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993279 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993281 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993282 */     // GIR_Coverage, 61846,
     /* 1993282 */     GIR_EraseRootFromParent_Done,
     /* 1993283 */   // Label 26675: @1993283
     /* 1993283 */   GIM_Try, /*On fail goto*//*Label 26676*/ GIMT_Encode4(1993369), // Rule ID 61847 //
     /* 1993288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1993299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1993302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1993305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 1993308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993311 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993334 */     // MIs[0] policy
     /* 1993334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2_MASK),
     /* 1993347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993365 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993367 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993368 */     // GIR_Coverage, 61847,
     /* 1993368 */     GIR_EraseRootFromParent_Done,
     /* 1993369 */   // Label 26676: @1993369
     /* 1993369 */   GIM_Try, /*On fail goto*//*Label 26677*/ GIMT_Encode4(1993455), // Rule ID 61850 //
     /* 1993374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1993385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1993388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1993391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993397 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993420 */     // MIs[0] policy
     /* 1993420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993430 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1993433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993451 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993453 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993454 */     // GIR_Coverage, 61850,
     /* 1993454 */     GIR_EraseRootFromParent_Done,
     /* 1993455 */   // Label 26677: @1993455
     /* 1993455 */   GIM_Try, /*On fail goto*//*Label 26678*/ GIMT_Encode4(1993541), // Rule ID 61851 //
     /* 1993460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1993471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1993474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1993477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 1993480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1993483 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993506 */     // MIs[0] policy
     /* 1993506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993516 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1993519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1993537 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993539 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993540 */     // GIR_Coverage, 61851,
     /* 1993540 */     GIR_EraseRootFromParent_Done,
     /* 1993541 */   // Label 26678: @1993541
     /* 1993541 */   GIM_Try, /*On fail goto*//*Label 26679*/ GIMT_Encode4(1993627), // Rule ID 61854 //
     /* 1993546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1993563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993569 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993592 */     // MIs[0] policy
     /* 1993592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993602 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1993605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993623 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993625 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993626 */     // GIR_Coverage, 61854,
     /* 1993626 */     GIR_EraseRootFromParent_Done,
     /* 1993627 */   // Label 26679: @1993627
     /* 1993627 */   GIM_Try, /*On fail goto*//*Label 26680*/ GIMT_Encode4(1993713), // Rule ID 61855 //
     /* 1993632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1993643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1993646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1993649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 1993652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1993655 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993678 */     // MIs[0] policy
     /* 1993678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993688 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1993691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1993709 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993711 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993712 */     // GIR_Coverage, 61855,
     /* 1993712 */     GIR_EraseRootFromParent_Done,
     /* 1993713 */   // Label 26680: @1993713
     /* 1993713 */   GIM_Try, /*On fail goto*//*Label 26681*/ GIMT_Encode4(1993799), // Rule ID 61858 //
     /* 1993718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1993735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993741 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993764 */     // MIs[0] policy
     /* 1993764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993774 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1993777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993795 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993797 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993798 */     // GIR_Coverage, 61858,
     /* 1993798 */     GIR_EraseRootFromParent_Done,
     /* 1993799 */   // Label 26681: @1993799
     /* 1993799 */   GIM_Try, /*On fail goto*//*Label 26682*/ GIMT_Encode4(1993885), // Rule ID 61859 //
     /* 1993804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1993815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1993818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1993821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 1993824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1993827 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1993830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993850 */     // MIs[0] policy
     /* 1993850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993860 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1993860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1993863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1993881 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993883 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993884 */     // GIR_Coverage, 61859,
     /* 1993884 */     GIR_EraseRootFromParent_Done,
     /* 1993885 */   // Label 26682: @1993885
     /* 1993885 */   GIM_Try, /*On fail goto*//*Label 26683*/ GIMT_Encode4(1993971), // Rule ID 61862 //
     /* 1993890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1993893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1993907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993913 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1993916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1993920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1993932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1993936 */     // MIs[0] policy
     /* 1993936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1993939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1993946 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1993946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1993949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1993951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1993953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1993955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1993957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1993959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1993964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1993967 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1993969 */     GIR_RootConstrainSelectedInstOperands,
     /* 1993970 */     // GIR_Coverage, 61862,
     /* 1993970 */     GIR_EraseRootFromParent_Done,
     /* 1993971 */   // Label 26683: @1993971
     /* 1993971 */   GIM_Try, /*On fail goto*//*Label 26684*/ GIMT_Encode4(1994057), // Rule ID 61863 //
     /* 1993976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1993979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1993984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1993987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1993990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1993993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 1993996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1993999 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1994006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1994018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994022 */     // MIs[0] policy
     /* 1994022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994032 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1_MASK),
     /* 1994035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1994053 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994055 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994056 */     // GIR_Coverage, 61863,
     /* 1994056 */     GIR_EraseRootFromParent_Done,
     /* 1994057 */   // Label 26684: @1994057
     /* 1994057 */   GIM_Try, /*On fail goto*//*Label 26685*/ GIMT_Encode4(1994143), // Rule ID 61866 //
     /* 1994062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1994073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1994076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1994079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994085 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994108 */     // MIs[0] policy
     /* 1994108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994118 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1994121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994139 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994141 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994142 */     // GIR_Coverage, 61866,
     /* 1994142 */     GIR_EraseRootFromParent_Done,
     /* 1994143 */   // Label 26685: @1994143
     /* 1994143 */   GIM_Try, /*On fail goto*//*Label 26686*/ GIMT_Encode4(1994229), // Rule ID 61867 //
     /* 1994148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1994159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1994162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1994165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 1994168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994171 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994194 */     // MIs[0] policy
     /* 1994194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994204 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1994207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994225 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994227 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994228 */     // GIR_Coverage, 61867,
     /* 1994228 */     GIR_EraseRootFromParent_Done,
     /* 1994229 */   // Label 26686: @1994229
     /* 1994229 */   GIM_Try, /*On fail goto*//*Label 26687*/ GIMT_Encode4(1994315), // Rule ID 61870 //
     /* 1994234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1994245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1994248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1994251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994257 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994280 */     // MIs[0] policy
     /* 1994280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994290 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1994293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994311 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994313 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994314 */     // GIR_Coverage, 61870,
     /* 1994314 */     GIR_EraseRootFromParent_Done,
     /* 1994315 */   // Label 26687: @1994315
     /* 1994315 */   GIM_Try, /*On fail goto*//*Label 26688*/ GIMT_Encode4(1994401), // Rule ID 61871 //
     /* 1994320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1994331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1994334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1994337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 1994340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994343 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994366 */     // MIs[0] policy
     /* 1994366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994376 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1994379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994397 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994399 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994400 */     // GIR_Coverage, 61871,
     /* 1994400 */     GIR_EraseRootFromParent_Done,
     /* 1994401 */   // Label 26688: @1994401
     /* 1994401 */   GIM_Try, /*On fail goto*//*Label 26689*/ GIMT_Encode4(1994487), // Rule ID 61874 //
     /* 1994406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1994417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1994420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1994423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994429 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994452 */     // MIs[0] policy
     /* 1994452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994462 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1994465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994483 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994485 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994486 */     // GIR_Coverage, 61874,
     /* 1994486 */     GIR_EraseRootFromParent_Done,
     /* 1994487 */   // Label 26689: @1994487
     /* 1994487 */   GIM_Try, /*On fail goto*//*Label 26690*/ GIMT_Encode4(1994573), // Rule ID 61875 //
     /* 1994492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1994503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1994506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1994509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 1994512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1994515 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994538 */     // MIs[0] policy
     /* 1994538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994548 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1994551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1994569 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994571 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994572 */     // GIR_Coverage, 61875,
     /* 1994572 */     GIR_EraseRootFromParent_Done,
     /* 1994573 */   // Label 26690: @1994573
     /* 1994573 */   GIM_Try, /*On fail goto*//*Label 26691*/ GIMT_Encode4(1994659), // Rule ID 61878 //
     /* 1994578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1994589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1994592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1994595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1994598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994601 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994624 */     // MIs[0] policy
     /* 1994624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994634 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1994637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994655 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994657 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994658 */     // GIR_Coverage, 61878,
     /* 1994658 */     GIR_EraseRootFromParent_Done,
     /* 1994659 */   // Label 26691: @1994659
     /* 1994659 */   GIM_Try, /*On fail goto*//*Label 26692*/ GIMT_Encode4(1994745), // Rule ID 61879 //
     /* 1994664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1994675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1994678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1994681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 1994684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1994687 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1994694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1994706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994710 */     // MIs[0] policy
     /* 1994710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994720 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1994723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994725 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994741 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994743 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994744 */     // GIR_Coverage, 61879,
     /* 1994744 */     GIR_EraseRootFromParent_Done,
     /* 1994745 */   // Label 26692: @1994745
     /* 1994745 */   GIM_Try, /*On fail goto*//*Label 26693*/ GIMT_Encode4(1994831), // Rule ID 61882 //
     /* 1994750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1994761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1994764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1994767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1994770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994773 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994796 */     // MIs[0] policy
     /* 1994796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994806 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1994809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994827 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994829 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994830 */     // GIR_Coverage, 61882,
     /* 1994830 */     GIR_EraseRootFromParent_Done,
     /* 1994831 */   // Label 26693: @1994831
     /* 1994831 */   GIM_Try, /*On fail goto*//*Label 26694*/ GIMT_Encode4(1994917), // Rule ID 61883 //
     /* 1994836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1994839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1994847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1994850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1994853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 1994856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1994859 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1994862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1994866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1994878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994882 */     // MIs[0] policy
     /* 1994882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994892 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1994892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1994895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994913 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1994915 */     GIR_RootConstrainSelectedInstOperands,
     /* 1994916 */     // GIR_Coverage, 61883,
     /* 1994916 */     GIR_EraseRootFromParent_Done,
     /* 1994917 */   // Label 26694: @1994917
     /* 1994917 */   GIM_Try, /*On fail goto*//*Label 26695*/ GIMT_Encode4(1995003), // Rule ID 61886 //
     /* 1994922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1994925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1994930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1994933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1994936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1994939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1994942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1994945 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1994948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1994952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1994964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1994968 */     // MIs[0] policy
     /* 1994968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1994971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1994978 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1994978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1994981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1994983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1994985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1994987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1994989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1994991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1994996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1994999 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995001 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995002 */     // GIR_Coverage, 61886,
     /* 1995002 */     GIR_EraseRootFromParent_Done,
     /* 1995003 */   // Label 26695: @1995003
     /* 1995003 */   GIM_Try, /*On fail goto*//*Label 26696*/ GIMT_Encode4(1995089), // Rule ID 61887 //
     /* 1995008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1995019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1995022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1995025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 1995028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1995031 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995054 */     // MIs[0] policy
     /* 1995054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995064 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1995067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1995085 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995087 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995088 */     // GIR_Coverage, 61887,
     /* 1995088 */     GIR_EraseRootFromParent_Done,
     /* 1995089 */   // Label 26696: @1995089
     /* 1995089 */   GIM_Try, /*On fail goto*//*Label 26697*/ GIMT_Encode4(1995175), // Rule ID 61890 //
     /* 1995094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1995105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1995108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1995111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1995114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995117 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995140 */     // MIs[0] policy
     /* 1995140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995150 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1995153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995171 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995173 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995174 */     // GIR_Coverage, 61890,
     /* 1995174 */     GIR_EraseRootFromParent_Done,
     /* 1995175 */   // Label 26697: @1995175
     /* 1995175 */   GIM_Try, /*On fail goto*//*Label 26698*/ GIMT_Encode4(1995261), // Rule ID 61891 //
     /* 1995180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1995191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1995194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1995197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 1995200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995203 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995226 */     // MIs[0] policy
     /* 1995226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995236 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1995239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995257 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995259 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995260 */     // GIR_Coverage, 61891,
     /* 1995260 */     GIR_EraseRootFromParent_Done,
     /* 1995261 */   // Label 26698: @1995261
     /* 1995261 */   GIM_Try, /*On fail goto*//*Label 26699*/ GIMT_Encode4(1995347), // Rule ID 61894 //
     /* 1995266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1995277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1995280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1995283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1995286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995289 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995312 */     // MIs[0] policy
     /* 1995312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995322 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1995325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995343 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995345 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995346 */     // GIR_Coverage, 61894,
     /* 1995346 */     GIR_EraseRootFromParent_Done,
     /* 1995347 */   // Label 26699: @1995347
     /* 1995347 */   GIM_Try, /*On fail goto*//*Label 26700*/ GIMT_Encode4(1995433), // Rule ID 61895 //
     /* 1995352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1995363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1995366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1995369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 1995372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995375 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995398 */     // MIs[0] policy
     /* 1995398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995408 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1995411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995429 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995431 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995432 */     // GIR_Coverage, 61895,
     /* 1995432 */     GIR_EraseRootFromParent_Done,
     /* 1995433 */   // Label 26700: @1995433
     /* 1995433 */   GIM_Try, /*On fail goto*//*Label 26701*/ GIMT_Encode4(1995519), // Rule ID 61898 //
     /* 1995438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1995449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1995452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1995455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1995458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995461 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995484 */     // MIs[0] policy
     /* 1995484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995494 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1995497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995515 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995517 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995518 */     // GIR_Coverage, 61898,
     /* 1995518 */     GIR_EraseRootFromParent_Done,
     /* 1995519 */   // Label 26701: @1995519
     /* 1995519 */   GIM_Try, /*On fail goto*//*Label 26702*/ GIMT_Encode4(1995605), // Rule ID 61899 //
     /* 1995524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1995535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1995538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1995541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 1995544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1995547 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995570 */     // MIs[0] policy
     /* 1995570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995580 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1995583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1995601 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995603 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995604 */     // GIR_Coverage, 61899,
     /* 1995604 */     GIR_EraseRootFromParent_Done,
     /* 1995605 */   // Label 26702: @1995605
     /* 1995605 */   GIM_Try, /*On fail goto*//*Label 26703*/ GIMT_Encode4(1995691), // Rule ID 61902 //
     /* 1995610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1995621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1995624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1995627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1995630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995633 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995656 */     // MIs[0] policy
     /* 1995656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995666 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1995669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995687 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995689 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995690 */     // GIR_Coverage, 61902,
     /* 1995690 */     GIR_EraseRootFromParent_Done,
     /* 1995691 */   // Label 26703: @1995691
     /* 1995691 */   GIM_Try, /*On fail goto*//*Label 26704*/ GIMT_Encode4(1995777), // Rule ID 61903 //
     /* 1995696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1995707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1995710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1995713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 1995716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1995719 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1995726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1995738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995742 */     // MIs[0] policy
     /* 1995742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2_MASK),
     /* 1995755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995773 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995775 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995776 */     // GIR_Coverage, 61903,
     /* 1995776 */     GIR_EraseRootFromParent_Done,
     /* 1995777 */   // Label 26704: @1995777
     /* 1995777 */   GIM_Try, /*On fail goto*//*Label 26705*/ GIMT_Encode4(1995863), // Rule ID 61906 //
     /* 1995782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1995793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1995796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1995799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1995802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995805 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995828 */     // MIs[0] policy
     /* 1995828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995838 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1995838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1995841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995859 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995861 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995862 */     // GIR_Coverage, 61906,
     /* 1995862 */     GIR_EraseRootFromParent_Done,
     /* 1995863 */   // Label 26705: @1995863
     /* 1995863 */   GIM_Try, /*On fail goto*//*Label 26706*/ GIMT_Encode4(1995949), // Rule ID 61907 //
     /* 1995868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1995871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1995879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1995882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1995885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 1995888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1995891 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1995894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1995898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1995910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1995914 */     // MIs[0] policy
     /* 1995914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1995917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1995924 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1995924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4_MASK),
     /* 1995927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1995929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1995931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1995933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1995935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1995937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1995942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1995945 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1995947 */     GIR_RootConstrainSelectedInstOperands,
     /* 1995948 */     // GIR_Coverage, 61907,
     /* 1995948 */     GIR_EraseRootFromParent_Done,
     /* 1995949 */   // Label 26706: @1995949
     /* 1995949 */   GIM_Try, /*On fail goto*//*Label 26707*/ GIMT_Encode4(1996035), // Rule ID 61910 //
     /* 1995954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1995957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1995962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1995965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1995968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1995971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1995974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1995977 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1995980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1995984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1995996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996000 */     // MIs[0] policy
     /* 1996000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996010 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1996013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996031 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996033 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996034 */     // GIR_Coverage, 61910,
     /* 1996034 */     GIR_EraseRootFromParent_Done,
     /* 1996035 */   // Label 26707: @1996035
     /* 1996035 */   GIM_Try, /*On fail goto*//*Label 26708*/ GIMT_Encode4(1996121), // Rule ID 61911 //
     /* 1996040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1996043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1996051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1996054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1996057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 1996060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1996063 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1996070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1996082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996086 */     // MIs[0] policy
     /* 1996086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996096 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8_MASK),
     /* 1996099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1996117 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996119 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996120 */     // GIR_Coverage, 61911,
     /* 1996120 */     GIR_EraseRootFromParent_Done,
     /* 1996121 */   // Label 26708: @1996121
     /* 1996121 */   GIM_Try, /*On fail goto*//*Label 26709*/ GIMT_Encode4(1996207), // Rule ID 61914 //
     /* 1996126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1996129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1996137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1996140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1996143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996149 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996172 */     // MIs[0] policy
     /* 1996172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996182 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1996185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1996203 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996205 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996206 */     // GIR_Coverage, 61914,
     /* 1996206 */     GIR_EraseRootFromParent_Done,
     /* 1996207 */   // Label 26709: @1996207
     /* 1996207 */   GIM_Try, /*On fail goto*//*Label 26710*/ GIMT_Encode4(1996293), // Rule ID 61915 //
     /* 1996212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1996215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 1996223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 1996226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 1996229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996235 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996258 */     // MIs[0] policy
     /* 1996258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996268 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF8_MASK),
     /* 1996271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996273 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1996289 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996291 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996292 */     // GIR_Coverage, 61915,
     /* 1996292 */     GIR_EraseRootFromParent_Done,
     /* 1996293 */   // Label 26710: @1996293
     /* 1996293 */   GIM_Try, /*On fail goto*//*Label 26711*/ GIMT_Encode4(1996379), // Rule ID 61918 //
     /* 1996298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1996301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1996309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1996312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1996315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996321 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996344 */     // MIs[0] policy
     /* 1996344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996354 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1996357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1996375 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996377 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996378 */     // GIR_Coverage, 61918,
     /* 1996378 */     GIR_EraseRootFromParent_Done,
     /* 1996379 */   // Label 26711: @1996379
     /* 1996379 */   GIM_Try, /*On fail goto*//*Label 26712*/ GIMT_Encode4(1996465), // Rule ID 61919 //
     /* 1996384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1996387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 1996395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 1996398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 1996401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996407 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996430 */     // MIs[0] policy
     /* 1996430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996440 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1996443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1996461 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996463 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996464 */     // GIR_Coverage, 61919,
     /* 1996464 */     GIR_EraseRootFromParent_Done,
     /* 1996465 */   // Label 26712: @1996465
     /* 1996465 */   GIM_Try, /*On fail goto*//*Label 26713*/ GIMT_Encode4(1996551), // Rule ID 61922 //
     /* 1996470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1996473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1996481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1996484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1996487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996493 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996516 */     // MIs[0] policy
     /* 1996516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996526 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1996529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1996547 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996549 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996550 */     // GIR_Coverage, 61922,
     /* 1996550 */     GIR_EraseRootFromParent_Done,
     /* 1996551 */   // Label 26713: @1996551
     /* 1996551 */   GIM_Try, /*On fail goto*//*Label 26714*/ GIMT_Encode4(1996637), // Rule ID 61923 //
     /* 1996556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1996559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 1996567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 1996570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1996573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1996579 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996602 */     // MIs[0] policy
     /* 1996602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996612 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1996615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1996633 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996635 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996636 */     // GIR_Coverage, 61923,
     /* 1996636 */     GIR_EraseRootFromParent_Done,
     /* 1996637 */   // Label 26714: @1996637
     /* 1996637 */   GIM_Try, /*On fail goto*//*Label 26715*/ GIMT_Encode4(1996723), // Rule ID 61926 //
     /* 1996642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1996645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1996653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1996656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1996659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996665 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996688 */     // MIs[0] policy
     /* 1996688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996698 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1996701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996719 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996721 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996722 */     // GIR_Coverage, 61926,
     /* 1996722 */     GIR_EraseRootFromParent_Done,
     /* 1996723 */   // Label 26715: @1996723
     /* 1996723 */   GIM_Try, /*On fail goto*//*Label 26716*/ GIMT_Encode4(1996809), // Rule ID 61927 //
     /* 1996728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1996731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 1996739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 1996742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 1996745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1996751 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996774 */     // MIs[0] policy
     /* 1996774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996784 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF4_MASK),
     /* 1996787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996805 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996807 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996808 */     // GIR_Coverage, 61927,
     /* 1996808 */     GIR_EraseRootFromParent_Done,
     /* 1996809 */   // Label 26716: @1996809
     /* 1996809 */   GIM_Try, /*On fail goto*//*Label 26717*/ GIMT_Encode4(1996895), // Rule ID 61930 //
     /* 1996814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1996817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1996825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1996828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1996831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1996834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996837 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1996840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996860 */     // MIs[0] policy
     /* 1996860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996870 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1996870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1996873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996891 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996893 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996894 */     // GIR_Coverage, 61930,
     /* 1996894 */     GIR_EraseRootFromParent_Done,
     /* 1996895 */   // Label 26717: @1996895
     /* 1996895 */   GIM_Try, /*On fail goto*//*Label 26718*/ GIMT_Encode4(1996981), // Rule ID 61931 //
     /* 1996900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1996903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 1996911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 1996914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 1996917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1996920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1996923 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1996926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1996930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1996938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1996942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1996946 */     // MIs[0] policy
     /* 1996946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1996949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1996956 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1996956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1996959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1996961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1996963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1996965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1996967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1996969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1996974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1996977 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1996979 */     GIR_RootConstrainSelectedInstOperands,
     /* 1996980 */     // GIR_Coverage, 61931,
     /* 1996980 */     GIR_EraseRootFromParent_Done,
     /* 1996981 */   // Label 26718: @1996981
     /* 1996981 */   GIM_Try, /*On fail goto*//*Label 26719*/ GIMT_Encode4(1997067), // Rule ID 61934 //
     /* 1996986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1996989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1996994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1996997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1997003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997009 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997032 */     // MIs[0] policy
     /* 1997032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997042 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1997045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997063 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997065 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997066 */     // GIR_Coverage, 61934,
     /* 1997066 */     GIR_EraseRootFromParent_Done,
     /* 1997067 */   // Label 26719: @1997067
     /* 1997067 */   GIM_Try, /*On fail goto*//*Label 26720*/ GIMT_Encode4(1997153), // Rule ID 61935 //
     /* 1997072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1997075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1997083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1997086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 1997089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997095 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997118 */     // MIs[0] policy
     /* 1997118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997128 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_MF2_MASK),
     /* 1997131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997149 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997151 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997152 */     // GIR_Coverage, 61935,
     /* 1997152 */     GIR_EraseRootFromParent_Done,
     /* 1997153 */   // Label 26720: @1997153
     /* 1997153 */   GIM_Try, /*On fail goto*//*Label 26721*/ GIMT_Encode4(1997239), // Rule ID 61938 //
     /* 1997158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1997161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1997169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1997172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1997175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997181 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997204 */     // MIs[0] policy
     /* 1997204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1997217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1997235 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997237 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997238 */     // GIR_Coverage, 61938,
     /* 1997238 */     GIR_EraseRootFromParent_Done,
     /* 1997239 */   // Label 26721: @1997239
     /* 1997239 */   GIM_Try, /*On fail goto*//*Label 26722*/ GIMT_Encode4(1997325), // Rule ID 61939 //
     /* 1997244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1997247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 1997255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 1997258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 1997261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1997267 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997290 */     // MIs[0] policy
     /* 1997290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997300 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11528:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1997303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1997321 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997323 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997324 */     // GIR_Coverage, 61939,
     /* 1997324 */     GIR_EraseRootFromParent_Done,
     /* 1997325 */   // Label 26722: @1997325
     /* 1997325 */   GIM_Try, /*On fail goto*//*Label 26723*/ GIMT_Encode4(1997411), // Rule ID 61942 //
     /* 1997330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1997333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1997347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997353 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997376 */     // MIs[0] policy
     /* 1997376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997386 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1997389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997407 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997409 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997410 */     // GIR_Coverage, 61942,
     /* 1997410 */     GIR_EraseRootFromParent_Done,
     /* 1997411 */   // Label 26723: @1997411
     /* 1997411 */   GIM_Try, /*On fail goto*//*Label 26724*/ GIMT_Encode4(1997497), // Rule ID 61943 //
     /* 1997416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1997419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 1997427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 1997430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 1997433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1997439 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997462 */     // MIs[0] policy
     /* 1997462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997472 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11528:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1997475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1997493 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997495 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997496 */     // GIR_Coverage, 61943,
     /* 1997496 */     GIR_EraseRootFromParent_Done,
     /* 1997497 */   // Label 26724: @1997497
     /* 1997497 */   GIM_Try, /*On fail goto*//*Label 26725*/ GIMT_Encode4(1997583), // Rule ID 61946 //
     /* 1997502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1997505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1997519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997525 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997548 */     // MIs[0] policy
     /* 1997548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997558 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1997561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997579 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997581 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997582 */     // GIR_Coverage, 61946,
     /* 1997582 */     GIR_EraseRootFromParent_Done,
     /* 1997583 */   // Label 26725: @1997583
     /* 1997583 */   GIM_Try, /*On fail goto*//*Label 26726*/ GIMT_Encode4(1997669), // Rule ID 61947 //
     /* 1997588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1997591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 1997599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 1997602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 1997605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1997611 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997634 */     // MIs[0] policy
     /* 1997634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997644 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11528:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1997647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1997665 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997667 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997668 */     // GIR_Coverage, 61947,
     /* 1997668 */     GIR_EraseRootFromParent_Done,
     /* 1997669 */   // Label 26726: @1997669
     /* 1997669 */   GIM_Try, /*On fail goto*//*Label 26727*/ GIMT_Encode4(1997755), // Rule ID 61950 //
     /* 1997674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1997677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1997691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997697 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997720 */     // MIs[0] policy
     /* 1997720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997730 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1997733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997751 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997753 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997754 */     // GIR_Coverage, 61950,
     /* 1997754 */     GIR_EraseRootFromParent_Done,
     /* 1997755 */   // Label 26727: @1997755
     /* 1997755 */   GIM_Try, /*On fail goto*//*Label 26728*/ GIMT_Encode4(1997841), // Rule ID 61951 //
     /* 1997760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1997763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 1997771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 1997774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 1997777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 1997783 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1997790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1997798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997806 */     // MIs[0] policy
     /* 1997806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997816 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11528:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M1_MASK),
     /* 1997819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1997837 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997839 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997840 */     // GIR_Coverage, 61951,
     /* 1997840 */     GIR_EraseRootFromParent_Done,
     /* 1997841 */   // Label 26728: @1997841
     /* 1997841 */   GIM_Try, /*On fail goto*//*Label 26729*/ GIMT_Encode4(1997927), // Rule ID 61954 //
     /* 1997846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1997849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1997857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1997860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1997863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1997866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997869 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1997872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997892 */     // MIs[0] policy
     /* 1997892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997902 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1997902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1997905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997907 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1997915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1997920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1997923 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1997925 */     GIR_RootConstrainSelectedInstOperands,
     /* 1997926 */     // GIR_Coverage, 61954,
     /* 1997926 */     GIR_EraseRootFromParent_Done,
     /* 1997927 */   // Label 26729: @1997927
     /* 1997927 */   GIM_Try, /*On fail goto*//*Label 26730*/ GIMT_Encode4(1998013), // Rule ID 61955 //
     /* 1997932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1997935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1997940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 1997943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 1997946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 1997949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1997952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1997955 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1997958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1997962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1997970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1997974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1997978 */     // MIs[0] policy
     /* 1997978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1997981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1997988 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1997988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1997991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1997993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1997995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1997997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1997999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998009 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998011 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998012 */     // GIR_Coverage, 61955,
     /* 1998012 */     GIR_EraseRootFromParent_Done,
     /* 1998013 */   // Label 26730: @1998013
     /* 1998013 */   GIM_Try, /*On fail goto*//*Label 26731*/ GIMT_Encode4(1998099), // Rule ID 61958 //
     /* 1998018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1998021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1998029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1998032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1998035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998041 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998064 */     // MIs[0] policy
     /* 1998064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998074 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1998077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998095 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998097 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998098 */     // GIR_Coverage, 61958,
     /* 1998098 */     GIR_EraseRootFromParent_Done,
     /* 1998099 */   // Label 26731: @1998099
     /* 1998099 */   GIM_Try, /*On fail goto*//*Label 26732*/ GIMT_Encode4(1998185), // Rule ID 61959 //
     /* 1998104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1998107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 1998115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 1998118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 1998121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998127 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998150 */     // MIs[0] policy
     /* 1998150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998160 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1998163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998181 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998183 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998184 */     // GIR_Coverage, 61959,
     /* 1998184 */     GIR_EraseRootFromParent_Done,
     /* 1998185 */   // Label 26732: @1998185
     /* 1998185 */   GIM_Try, /*On fail goto*//*Label 26733*/ GIMT_Encode4(1998271), // Rule ID 61962 //
     /* 1998190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1998193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1998201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1998204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1998207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1998213 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998236 */     // MIs[0] policy
     /* 1998236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998246 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1998249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998267 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998269 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998270 */     // GIR_Coverage, 61962,
     /* 1998270 */     GIR_EraseRootFromParent_Done,
     /* 1998271 */   // Label 26733: @1998271
     /* 1998271 */   GIM_Try, /*On fail goto*//*Label 26734*/ GIMT_Encode4(1998357), // Rule ID 61963 //
     /* 1998276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1998279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 1998287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 1998290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 1998293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 1998299 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998322 */     // MIs[0] policy
     /* 1998322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998332 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1998335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 1998353 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998355 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998356 */     // GIR_Coverage, 61963,
     /* 1998356 */     GIR_EraseRootFromParent_Done,
     /* 1998357 */   // Label 26734: @1998357
     /* 1998357 */   GIM_Try, /*On fail goto*//*Label 26735*/ GIMT_Encode4(1998443), // Rule ID 61966 //
     /* 1998362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1998365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1998373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1998376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998385 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998408 */     // MIs[0] policy
     /* 1998408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998418 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1998421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998439 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998441 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998442 */     // GIR_Coverage, 61966,
     /* 1998442 */     GIR_EraseRootFromParent_Done,
     /* 1998443 */   // Label 26735: @1998443
     /* 1998443 */   GIM_Try, /*On fail goto*//*Label 26736*/ GIMT_Encode4(1998529), // Rule ID 61967 //
     /* 1998448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1998451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 1998459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 1998462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 1998465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1998471 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998494 */     // MIs[0] policy
     /* 1998494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998504 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1998507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998525 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998527 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998528 */     // GIR_Coverage, 61967,
     /* 1998528 */     GIR_EraseRootFromParent_Done,
     /* 1998529 */   // Label 26736: @1998529
     /* 1998529 */   GIM_Try, /*On fail goto*//*Label 26737*/ GIMT_Encode4(1998615), // Rule ID 61970 //
     /* 1998534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1998537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1998545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1998548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998557 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998580 */     // MIs[0] policy
     /* 1998580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998590 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1998593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998611 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998613 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998614 */     // GIR_Coverage, 61970,
     /* 1998614 */     GIR_EraseRootFromParent_Done,
     /* 1998615 */   // Label 26737: @1998615
     /* 1998615 */   GIM_Try, /*On fail goto*//*Label 26738*/ GIMT_Encode4(1998701), // Rule ID 61971 //
     /* 1998620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1998623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 1998631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 1998634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 1998637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1998643 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1998650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1998658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998666 */     // MIs[0] policy
     /* 1998666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998676 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1998679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998697 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998699 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998700 */     // GIR_Coverage, 61971,
     /* 1998700 */     GIR_EraseRootFromParent_Done,
     /* 1998701 */   // Label 26738: @1998701
     /* 1998701 */   GIM_Try, /*On fail goto*//*Label 26739*/ GIMT_Encode4(1998787), // Rule ID 61974 //
     /* 1998706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1998709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1998717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1998720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1998723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998729 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998752 */     // MIs[0] policy
     /* 1998752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998762 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1998765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998783 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998785 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998786 */     // GIR_Coverage, 61974,
     /* 1998786 */     GIR_EraseRootFromParent_Done,
     /* 1998787 */   // Label 26739: @1998787
     /* 1998787 */   GIM_Try, /*On fail goto*//*Label 26740*/ GIMT_Encode4(1998873), // Rule ID 61975 //
     /* 1998792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1998795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 1998803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 1998806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 1998809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 1998815 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1998822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1998830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998838 */     // MIs[0] policy
     /* 1998838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998848 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1998848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1998851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 1998869 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998871 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998872 */     // GIR_Coverage, 61975,
     /* 1998872 */     GIR_EraseRootFromParent_Done,
     /* 1998873 */   // Label 26740: @1998873
     /* 1998873 */   GIM_Try, /*On fail goto*//*Label 26741*/ GIMT_Encode4(1998959), // Rule ID 61978 //
     /* 1998878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1998881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1998889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1998892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1998895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1998898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998901 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1998904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1998920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1998924 */     // MIs[0] policy
     /* 1998924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1998927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1998934 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1998934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1998937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1998939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1998941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1998943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1998945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1998947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1998952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1998955 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1998957 */     GIR_RootConstrainSelectedInstOperands,
     /* 1998958 */     // GIR_Coverage, 61978,
     /* 1998958 */     GIR_EraseRootFromParent_Done,
     /* 1998959 */   // Label 26741: @1998959
     /* 1998959 */   GIM_Try, /*On fail goto*//*Label 26742*/ GIMT_Encode4(1999045), // Rule ID 61979 //
     /* 1998964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1998967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1998972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 1998975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 1998978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 1998981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1998984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1998987 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1998990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1998994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1998998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999010 */     // MIs[0] policy
     /* 1999010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999020 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1999023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999041 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999043 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999044 */     // GIR_Coverage, 61979,
     /* 1999044 */     GIR_EraseRootFromParent_Done,
     /* 1999045 */   // Label 26742: @1999045
     /* 1999045 */   GIM_Try, /*On fail goto*//*Label 26743*/ GIMT_Encode4(1999131), // Rule ID 61982 //
     /* 1999050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1999053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999073 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999096 */     // MIs[0] policy
     /* 1999096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999106 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1999109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999127 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999129 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999130 */     // GIR_Coverage, 61982,
     /* 1999130 */     GIR_EraseRootFromParent_Done,
     /* 1999131 */   // Label 26743: @1999131
     /* 1999131 */   GIM_Try, /*On fail goto*//*Label 26744*/ GIMT_Encode4(1999217), // Rule ID 61983 //
     /* 1999136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1999139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 1999147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 1999150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 1999153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999159 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999182 */     // MIs[0] policy
     /* 1999182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999192 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1999195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999213 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999215 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999216 */     // GIR_Coverage, 61983,
     /* 1999216 */     GIR_EraseRootFromParent_Done,
     /* 1999217 */   // Label 26744: @1999217
     /* 1999217 */   GIM_Try, /*On fail goto*//*Label 26745*/ GIMT_Encode4(1999303), // Rule ID 61986 //
     /* 1999222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1999225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999245 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999268 */     // MIs[0] policy
     /* 1999268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999278 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1999281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999299 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999301 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999302 */     // GIR_Coverage, 61986,
     /* 1999302 */     GIR_EraseRootFromParent_Done,
     /* 1999303 */   // Label 26745: @1999303
     /* 1999303 */   GIM_Try, /*On fail goto*//*Label 26746*/ GIMT_Encode4(1999389), // Rule ID 61987 //
     /* 1999308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1999311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 1999319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 1999322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 1999325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 1999331 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999354 */     // MIs[0] policy
     /* 1999354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999364 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1999367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999385 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999387 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999388 */     // GIR_Coverage, 61987,
     /* 1999388 */     GIR_EraseRootFromParent_Done,
     /* 1999389 */   // Label 26746: @1999389
     /* 1999389 */   GIM_Try, /*On fail goto*//*Label 26747*/ GIMT_Encode4(1999475), // Rule ID 61990 //
     /* 1999394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1999397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1999405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1999408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999417 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999440 */     // MIs[0] policy
     /* 1999440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999450 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1999453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999471 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999473 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999474 */     // GIR_Coverage, 61990,
     /* 1999474 */     GIR_EraseRootFromParent_Done,
     /* 1999475 */   // Label 26747: @1999475
     /* 1999475 */   GIM_Try, /*On fail goto*//*Label 26748*/ GIMT_Encode4(1999561), // Rule ID 61991 //
     /* 1999480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1999483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 1999491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 1999494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 1999497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 1999503 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 1999510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 1999518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999526 */     // MIs[0] policy
     /* 1999526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999536 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11528:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M2_MASK),
     /* 1999539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999557 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999559 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999560 */     // GIR_Coverage, 61991,
     /* 1999560 */     GIR_EraseRootFromParent_Done,
     /* 1999561 */   // Label 26748: @1999561
     /* 1999561 */   GIM_Try, /*On fail goto*//*Label 26749*/ GIMT_Encode4(1999647), // Rule ID 61994 //
     /* 1999566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1999569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1999577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1999580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1999583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999589 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999612 */     // MIs[0] policy
     /* 1999612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1999625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999643 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999645 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999646 */     // GIR_Coverage, 61994,
     /* 1999646 */     GIR_EraseRootFromParent_Done,
     /* 1999647 */   // Label 26749: @1999647
     /* 1999647 */   GIM_Try, /*On fail goto*//*Label 26750*/ GIMT_Encode4(1999733), // Rule ID 61995 //
     /* 1999652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1999655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 1999663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 1999666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 1999669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999675 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 1999682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 1999690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999698 */     // MIs[0] policy
     /* 1999698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999708 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11528:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M4_MASK),
     /* 1999711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999729 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999731 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999732 */     // GIR_Coverage, 61995,
     /* 1999732 */     GIR_EraseRootFromParent_Done,
     /* 1999733 */   // Label 26750: @1999733
     /* 1999733 */   GIM_Try, /*On fail goto*//*Label 26751*/ GIMT_Encode4(1999819), // Rule ID 61998 //
     /* 1999738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode0),
     /* 1999741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1999749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1999752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1999755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 1999758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999761 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999784 */     // MIs[0] policy
     /* 1999784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999794 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1999797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999815 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999817 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999818 */     // GIR_Coverage, 61998,
     /* 1999818 */     GIR_EraseRootFromParent_Done,
     /* 1999819 */   // Label 26751: @1999819
     /* 1999819 */   GIM_Try, /*On fail goto*//*Label 26752*/ GIMT_Encode4(1999905), // Rule ID 61999 //
     /* 1999824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HwMode1),
     /* 1999827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vror_mask),
     /* 1999832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 1999835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 1999838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 1999841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 1999844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 1999847 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 1999850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 1999854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 1999862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 1999866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999870 */     // MIs[0] policy
     /* 1999870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11528:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVROR_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 1999880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VX_M8_MASK),
     /* 1999883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 1999887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 1999901 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999903 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999904 */     // GIR_Coverage, 61999,
     /* 1999904 */     GIR_EraseRootFromParent_Done,
     /* 1999905 */   // Label 26752: @1999905
     /* 1999905 */   GIM_Try, /*On fail goto*//*Label 26753*/ GIMT_Encode4(1999991), // Rule ID 62604 //
     /* 1999910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 1999913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 1999918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 1999921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 1999924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 1999927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 1999930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 1999933 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 1999936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 1999940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 1999952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 1999956 */     // MIs[0] policy
     /* 1999956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 1999959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 1999966 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 1999966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 1999969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 1999971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 1999973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 1999975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 1999977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 1999979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 1999984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 1999987 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 1999989 */     GIR_RootConstrainSelectedInstOperands,
     /* 1999990 */     // GIR_Coverage, 62604,
     /* 1999990 */     GIR_EraseRootFromParent_Done,
     /* 1999991 */   // Label 26753: @1999991
     /* 1999991 */   GIM_Try, /*On fail goto*//*Label 26754*/ GIMT_Encode4(2000077), // Rule ID 62605 //
     /* 1999996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 1999999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2000013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2000016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000019 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000042 */     // MIs[0] policy
     /* 2000042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000052 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_MF2_MASK),
     /* 2000055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000073 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000076 */     // GIR_Coverage, 62605,
     /* 2000076 */     GIR_EraseRootFromParent_Done,
     /* 2000077 */   // Label 26754: @2000077
     /* 2000077 */   GIM_Try, /*On fail goto*//*Label 26755*/ GIMT_Encode4(2000163), // Rule ID 62608 //
     /* 2000082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2000099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2000102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000105 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000128 */     // MIs[0] policy
     /* 2000128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 2000141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000159 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000162 */     // GIR_Coverage, 62608,
     /* 2000162 */     GIR_EraseRootFromParent_Done,
     /* 2000163 */   // Label 26755: @2000163
     /* 2000163 */   GIM_Try, /*On fail goto*//*Label 26756*/ GIMT_Encode4(2000249), // Rule ID 62609 //
     /* 2000168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2000185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2000188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000191 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000214 */     // MIs[0] policy
     /* 2000214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000224 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M1_MASK),
     /* 2000227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000245 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000248 */     // GIR_Coverage, 62609,
     /* 2000248 */     GIR_EraseRootFromParent_Done,
     /* 2000249 */   // Label 26756: @2000249
     /* 2000249 */   GIM_Try, /*On fail goto*//*Label 26757*/ GIMT_Encode4(2000335), // Rule ID 62612 //
     /* 2000254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2000265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2000268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2000271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2000274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000277 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000300 */     // MIs[0] policy
     /* 2000300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000310 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 2000313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000331 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000334 */     // GIR_Coverage, 62612,
     /* 2000334 */     GIR_EraseRootFromParent_Done,
     /* 2000335 */   // Label 26757: @2000335
     /* 2000335 */   GIM_Try, /*On fail goto*//*Label 26758*/ GIMT_Encode4(2000421), // Rule ID 62613 //
     /* 2000340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2000351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2000354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2000357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2000360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2000363 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2000370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2000382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000386 */     // MIs[0] policy
     /* 2000386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000396 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M2_MASK),
     /* 2000399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000417 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000420 */     // GIR_Coverage, 62613,
     /* 2000420 */     GIR_EraseRootFromParent_Done,
     /* 2000421 */   // Label 26758: @2000421
     /* 2000421 */   GIM_Try, /*On fail goto*//*Label 26759*/ GIMT_Encode4(2000507), // Rule ID 62616 //
     /* 2000426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2000437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2000440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2000443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2000446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000449 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000472 */     // MIs[0] policy
     /* 2000472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000482 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 2000485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000503 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000506 */     // GIR_Coverage, 62616,
     /* 2000506 */     GIR_EraseRootFromParent_Done,
     /* 2000507 */   // Label 26759: @2000507
     /* 2000507 */   GIM_Try, /*On fail goto*//*Label 26760*/ GIMT_Encode4(2000593), // Rule ID 62617 //
     /* 2000512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2000523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2000526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2000529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2000532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2000535 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2000542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2000554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000558 */     // MIs[0] policy
     /* 2000558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000568 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M4_MASK),
     /* 2000571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000573 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000589 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000592 */     // GIR_Coverage, 62617,
     /* 2000592 */     GIR_EraseRootFromParent_Done,
     /* 2000593 */   // Label 26760: @2000593
     /* 2000593 */   GIM_Try, /*On fail goto*//*Label 26761*/ GIMT_Encode4(2000679), // Rule ID 62620 //
     /* 2000598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2000609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2000612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2000615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2000618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2000621 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000644 */     // MIs[0] policy
     /* 2000644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000654 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 2000657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000675 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000678 */     // GIR_Coverage, 62620,
     /* 2000678 */     GIR_EraseRootFromParent_Done,
     /* 2000679 */   // Label 26761: @2000679
     /* 2000679 */   GIM_Try, /*On fail goto*//*Label 26762*/ GIMT_Encode4(2000765), // Rule ID 62621 //
     /* 2000684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2000695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2000698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2000701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2000704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2000707 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2000714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2000726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000730 */     // MIs[0] policy
     /* 2000730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000740 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VV_M8_MASK),
     /* 2000743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000761 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000764 */     // GIR_Coverage, 62621,
     /* 2000764 */     GIR_EraseRootFromParent_Done,
     /* 2000765 */   // Label 26762: @2000765
     /* 2000765 */   GIM_Try, /*On fail goto*//*Label 26763*/ GIMT_Encode4(2000851), // Rule ID 62624 //
     /* 2000770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2000790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000793 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000816 */     // MIs[0] policy
     /* 2000816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000826 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 2000829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000847 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000850 */     // GIR_Coverage, 62624,
     /* 2000850 */     GIR_EraseRootFromParent_Done,
     /* 2000851 */   // Label 26763: @2000851
     /* 2000851 */   GIM_Try, /*On fail goto*//*Label 26764*/ GIMT_Encode4(2000937), // Rule ID 62625 //
     /* 2000856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2000859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2000867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2000870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2000873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2000876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2000879 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2000882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000902 */     // MIs[0] policy
     /* 2000902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000912 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2000912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_MF2_MASK),
     /* 2000915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2000917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2000919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2000921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2000923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2000925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2000930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2000933 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2000935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2000936 */     // GIR_Coverage, 62625,
     /* 2000936 */     GIR_EraseRootFromParent_Done,
     /* 2000937 */   // Label 26764: @2000937
     /* 2000937 */   GIM_Try, /*On fail goto*//*Label 26765*/ GIMT_Encode4(2001023), // Rule ID 62628 //
     /* 2000942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2000945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2000950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2000953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2000956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2000959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2000962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2000965 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2000968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2000972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2000980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2000984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2000988 */     // MIs[0] policy
     /* 2000988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2000991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2000998 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2000998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 2001001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001019 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001022 */     // GIR_Coverage, 62628,
     /* 2001022 */     GIR_EraseRootFromParent_Done,
     /* 2001023 */   // Label 26765: @2001023
     /* 2001023 */   GIM_Try, /*On fail goto*//*Label 26766*/ GIMT_Encode4(2001109), // Rule ID 62629 //
     /* 2001028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2001036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2001048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001051 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001074 */     // MIs[0] policy
     /* 2001074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001084 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11128:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M1_MASK),
     /* 2001087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001105 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001108 */     // GIR_Coverage, 62629,
     /* 2001108 */     GIR_EraseRootFromParent_Done,
     /* 2001109 */   // Label 26766: @2001109
     /* 2001109 */   GIM_Try, /*On fail goto*//*Label 26767*/ GIMT_Encode4(2001195), // Rule ID 62632 //
     /* 2001114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2001122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2001125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2001128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2001131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2001134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001137 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001160 */     // MIs[0] policy
     /* 2001160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001170 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 2001173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001191 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001194 */     // GIR_Coverage, 62632,
     /* 2001194 */     GIR_EraseRootFromParent_Done,
     /* 2001195 */   // Label 26767: @2001195
     /* 2001195 */   GIM_Try, /*On fail goto*//*Label 26768*/ GIMT_Encode4(2001281), // Rule ID 62633 //
     /* 2001200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2001208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2001211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2001214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2001220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001223 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2001230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2001242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001246 */     // MIs[0] policy
     /* 2001246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001256 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11128:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M2_MASK),
     /* 2001259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001277 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001280 */     // GIR_Coverage, 62633,
     /* 2001280 */     GIR_EraseRootFromParent_Done,
     /* 2001281 */   // Label 26768: @2001281
     /* 2001281 */   GIM_Try, /*On fail goto*//*Label 26769*/ GIMT_Encode4(2001367), // Rule ID 62636 //
     /* 2001286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2001294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2001297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2001300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2001303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2001306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001309 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001332 */     // MIs[0] policy
     /* 2001332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001342 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 2001345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001363 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001366 */     // GIR_Coverage, 62636,
     /* 2001366 */     GIR_EraseRootFromParent_Done,
     /* 2001367 */   // Label 26769: @2001367
     /* 2001367 */   GIM_Try, /*On fail goto*//*Label 26770*/ GIMT_Encode4(2001453), // Rule ID 62637 //
     /* 2001372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2001380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2001383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2001386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2001392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2001395 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2001402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2001414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001418 */     // MIs[0] policy
     /* 2001418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001428 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11128:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M4_MASK),
     /* 2001431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001449 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001452 */     // GIR_Coverage, 62637,
     /* 2001452 */     GIR_EraseRootFromParent_Done,
     /* 2001453 */   // Label 26770: @2001453
     /* 2001453 */   GIM_Try, /*On fail goto*//*Label 26771*/ GIMT_Encode4(2001539), // Rule ID 62640 //
     /* 2001458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2001466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2001469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2001472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2001475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2001478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2001481 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001504 */     // MIs[0] policy
     /* 2001504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001514 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 2001517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001535 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001538 */     // GIR_Coverage, 62640,
     /* 2001538 */     GIR_EraseRootFromParent_Done,
     /* 2001539 */   // Label 26771: @2001539
     /* 2001539 */   GIM_Try, /*On fail goto*//*Label 26772*/ GIMT_Encode4(2001625), // Rule ID 62641 //
     /* 2001544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqa_mask),
     /* 2001552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2001555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2001558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2001561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2001564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2001567 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2001574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2001582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2001586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001590 */     // MIs[0] policy
     /* 2001590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001600 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11128:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQA_VX_M8_MASK),
     /* 2001603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001621 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001624 */     // GIR_Coverage, 62641,
     /* 2001624 */     GIR_EraseRootFromParent_Done,
     /* 2001625 */   // Label 26772: @2001625
     /* 2001625 */   GIM_Try, /*On fail goto*//*Label 26773*/ GIMT_Encode4(2001711), // Rule ID 62644 //
     /* 2001630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2001638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2001641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2001644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2001647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2001650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001653 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001676 */     // MIs[0] policy
     /* 2001676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001686 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 2001689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001707 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001710 */     // GIR_Coverage, 62644,
     /* 2001710 */     GIR_EraseRootFromParent_Done,
     /* 2001711 */   // Label 26773: @2001711
     /* 2001711 */   GIM_Try, /*On fail goto*//*Label 26774*/ GIMT_Encode4(2001797), // Rule ID 62645 //
     /* 2001716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2001724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2001727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2001730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2001733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2001736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2001739 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001762 */     // MIs[0] policy
     /* 2001762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001772 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_MF2_MASK),
     /* 2001775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001793 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001796 */     // GIR_Coverage, 62645,
     /* 2001796 */     GIR_EraseRootFromParent_Done,
     /* 2001797 */   // Label 26774: @2001797
     /* 2001797 */   GIM_Try, /*On fail goto*//*Label 26775*/ GIMT_Encode4(2001883), // Rule ID 62648 //
     /* 2001802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2001810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2001819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2001822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001825 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2001828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001848 */     // MIs[0] policy
     /* 2001848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001858 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2001858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 2001861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001879 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001882 */     // GIR_Coverage, 62648,
     /* 2001882 */     GIR_EraseRootFromParent_Done,
     /* 2001883 */   // Label 26775: @2001883
     /* 2001883 */   GIM_Try, /*On fail goto*//*Label 26776*/ GIMT_Encode4(2001969), // Rule ID 62649 //
     /* 2001888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2001891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2001896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2001899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2001902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2001905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2001908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2001911 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2001914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2001918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2001930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2001934 */     // MIs[0] policy
     /* 2001934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2001937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2001944 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2001944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M1_MASK),
     /* 2001947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2001949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2001951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2001953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2001955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2001957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2001962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2001965 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2001967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2001968 */     // GIR_Coverage, 62649,
     /* 2001968 */     GIR_EraseRootFromParent_Done,
     /* 2001969 */   // Label 26776: @2001969
     /* 2001969 */   GIM_Try, /*On fail goto*//*Label 26777*/ GIMT_Encode4(2002055), // Rule ID 62652 //
     /* 2001974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2001977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2001982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2001985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2001988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2001991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2001994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2001997 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002020 */     // MIs[0] policy
     /* 2002020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002030 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 2002033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002035 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002051 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002054 */     // GIR_Coverage, 62652,
     /* 2002054 */     GIR_EraseRootFromParent_Done,
     /* 2002055 */   // Label 26777: @2002055
     /* 2002055 */   GIM_Try, /*On fail goto*//*Label 26778*/ GIMT_Encode4(2002141), // Rule ID 62653 //
     /* 2002060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2002063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2002077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2002080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002083 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002106 */     // MIs[0] policy
     /* 2002106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002116 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M2_MASK),
     /* 2002119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002137 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002140 */     // GIR_Coverage, 62653,
     /* 2002140 */     GIR_EraseRootFromParent_Done,
     /* 2002141 */   // Label 26778: @2002141
     /* 2002141 */   GIM_Try, /*On fail goto*//*Label 26779*/ GIMT_Encode4(2002227), // Rule ID 62656 //
     /* 2002146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2002149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2002157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2002160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2002163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2002166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002169 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002192 */     // MIs[0] policy
     /* 2002192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002202 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 2002205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002223 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002226 */     // GIR_Coverage, 62656,
     /* 2002226 */     GIR_EraseRootFromParent_Done,
     /* 2002227 */   // Label 26779: @2002227
     /* 2002227 */   GIM_Try, /*On fail goto*//*Label 26780*/ GIMT_Encode4(2002313), // Rule ID 62657 //
     /* 2002232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2002235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2002243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2002246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2002249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2002252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2002255 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2002262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2002274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002278 */     // MIs[0] policy
     /* 2002278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002288 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M4_MASK),
     /* 2002291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002293 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002309 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002312 */     // GIR_Coverage, 62657,
     /* 2002312 */     GIR_EraseRootFromParent_Done,
     /* 2002313 */   // Label 26780: @2002313
     /* 2002313 */   GIM_Try, /*On fail goto*//*Label 26781*/ GIMT_Encode4(2002399), // Rule ID 62660 //
     /* 2002318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2002321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2002329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2002332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2002335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2002338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2002341 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002364 */     // MIs[0] policy
     /* 2002364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002374 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 2002377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002395 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002398 */     // GIR_Coverage, 62660,
     /* 2002398 */     GIR_EraseRootFromParent_Done,
     /* 2002399 */   // Label 26781: @2002399
     /* 2002399 */   GIM_Try, /*On fail goto*//*Label 26782*/ GIMT_Encode4(2002485), // Rule ID 62661 //
     /* 2002404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2002407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2002415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2002418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2002421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2002424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2002427 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2002434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2002446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002450 */     // MIs[0] policy
     /* 2002450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002460 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VV_M8_MASK),
     /* 2002463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002481 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002484 */     // GIR_Coverage, 62661,
     /* 2002484 */     GIR_EraseRootFromParent_Done,
     /* 2002485 */   // Label 26782: @2002485
     /* 2002485 */   GIM_Try, /*On fail goto*//*Label 26783*/ GIMT_Encode4(2002571), // Rule ID 62664 //
     /* 2002490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2002493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2002501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2002504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2002507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2002510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002513 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2002528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002536 */     // MIs[0] policy
     /* 2002536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002546 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 2002549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002567 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002570 */     // GIR_Coverage, 62664,
     /* 2002570 */     GIR_EraseRootFromParent_Done,
     /* 2002571 */   // Label 26783: @2002571
     /* 2002571 */   GIM_Try, /*On fail goto*//*Label 26784*/ GIMT_Encode4(2002657), // Rule ID 62665 //
     /* 2002576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2002579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2002587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2002590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2002593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2002596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2002599 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2002614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002622 */     // MIs[0] policy
     /* 2002622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002632 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_MF2_MASK),
     /* 2002635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002653 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002656 */     // GIR_Coverage, 62665,
     /* 2002656 */     GIR_EraseRootFromParent_Done,
     /* 2002657 */   // Label 26784: @2002657
     /* 2002657 */   GIM_Try, /*On fail goto*//*Label 26785*/ GIMT_Encode4(2002743), // Rule ID 62668 //
     /* 2002662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2002665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2002679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2002682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002685 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2002700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002708 */     // MIs[0] policy
     /* 2002708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002718 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 2002721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002739 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002742 */     // GIR_Coverage, 62668,
     /* 2002742 */     GIR_EraseRootFromParent_Done,
     /* 2002743 */   // Label 26785: @2002743
     /* 2002743 */   GIM_Try, /*On fail goto*//*Label 26786*/ GIMT_Encode4(2002829), // Rule ID 62669 //
     /* 2002748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2002751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2002759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2002762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2002765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2002768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2002771 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2002778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2002786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2002790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002794 */     // MIs[0] policy
     /* 2002794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002804 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11132:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M1_MASK),
     /* 2002807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002825 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002828 */     // GIR_Coverage, 62669,
     /* 2002828 */     GIR_EraseRootFromParent_Done,
     /* 2002829 */   // Label 26786: @2002829
     /* 2002829 */   GIM_Try, /*On fail goto*//*Label 26787*/ GIMT_Encode4(2002915), // Rule ID 62672 //
     /* 2002834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2002837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2002851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2002854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002857 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2002860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2002872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002880 */     // MIs[0] policy
     /* 2002880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2002890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 2002893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002911 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2002914 */     // GIR_Coverage, 62672,
     /* 2002914 */     GIR_EraseRootFromParent_Done,
     /* 2002915 */   // Label 26787: @2002915
     /* 2002915 */   GIM_Try, /*On fail goto*//*Label 26788*/ GIMT_Encode4(2003001), // Rule ID 62673 //
     /* 2002920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2002923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2002928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2002931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2002934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2002937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2002940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2002943 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2002946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2002950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2002958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2002962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2002966 */     // MIs[0] policy
     /* 2002966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2002969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2002976 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11132:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2002976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M2_MASK),
     /* 2002979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2002981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2002983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2002985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2002987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2002989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2002994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2002997 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2002999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003000 */     // GIR_Coverage, 62673,
     /* 2003000 */     GIR_EraseRootFromParent_Done,
     /* 2003001 */   // Label 26788: @2003001
     /* 2003001 */   GIM_Try, /*On fail goto*//*Label 26789*/ GIMT_Encode4(2003087), // Rule ID 62676 //
     /* 2003006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2003009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2003014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2003017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2003020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2003023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2003026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003029 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2003044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003052 */     // MIs[0] policy
     /* 2003052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003062 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 2003065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003083 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003086 */     // GIR_Coverage, 62676,
     /* 2003086 */     GIR_EraseRootFromParent_Done,
     /* 2003087 */   // Label 26789: @2003087
     /* 2003087 */   GIM_Try, /*On fail goto*//*Label 26790*/ GIMT_Encode4(2003173), // Rule ID 62677 //
     /* 2003092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2003095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2003100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2003103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2003106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2003109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2003112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003115 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2003130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003138 */     // MIs[0] policy
     /* 2003138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003148 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11132:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M4_MASK),
     /* 2003151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003169 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003172 */     // GIR_Coverage, 62677,
     /* 2003172 */     GIR_EraseRootFromParent_Done,
     /* 2003173 */   // Label 26790: @2003173
     /* 2003173 */   GIM_Try, /*On fail goto*//*Label 26791*/ GIMT_Encode4(2003259), // Rule ID 62680 //
     /* 2003178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2003181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2003186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2003189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2003192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2003195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2003198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2003201 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2003208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2003216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003224 */     // MIs[0] policy
     /* 2003224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003234 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 2003237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003255 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003258 */     // GIR_Coverage, 62680,
     /* 2003258 */     GIR_EraseRootFromParent_Done,
     /* 2003259 */   // Label 26791: @2003259
     /* 2003259 */   GIM_Try, /*On fail goto*//*Label 26792*/ GIMT_Encode4(2003345), // Rule ID 62681 //
     /* 2003264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2003267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqau_mask),
     /* 2003272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2003275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2003278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2003281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2003284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2003287 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2003294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2003302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2003306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003310 */     // MIs[0] policy
     /* 2003310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003320 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11132:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAU_VX_M8_MASK),
     /* 2003323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003341 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003344 */     // GIR_Coverage, 62681,
     /* 2003344 */     GIR_EraseRootFromParent_Done,
     /* 2003345 */   // Label 26792: @2003345
     /* 2003345 */   GIM_Try, /*On fail goto*//*Label 26793*/ GIMT_Encode4(2003431), // Rule ID 62684 //
     /* 2003350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2003353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2003358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2003367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2003370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003373 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003396 */     // MIs[0] policy
     /* 2003396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003406 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 2003409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003427 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003430 */     // GIR_Coverage, 62684,
     /* 2003430 */     GIR_EraseRootFromParent_Done,
     /* 2003431 */   // Label 26793: @2003431
     /* 2003431 */   GIM_Try, /*On fail goto*//*Label 26794*/ GIMT_Encode4(2003517), // Rule ID 62685 //
     /* 2003436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2003439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2003444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2003447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2003450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2003453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2003456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2003459 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003482 */     // MIs[0] policy
     /* 2003482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003492 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_MF2_MASK),
     /* 2003495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003513 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003516 */     // GIR_Coverage, 62685,
     /* 2003516 */     GIR_EraseRootFromParent_Done,
     /* 2003517 */   // Label 26794: @2003517
     /* 2003517 */   GIM_Try, /*On fail goto*//*Label 26795*/ GIMT_Encode4(2003603), // Rule ID 62688 //
     /* 2003522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2003525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2003530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2003539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2003542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003545 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003568 */     // MIs[0] policy
     /* 2003568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003578 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 2003581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003599 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003602 */     // GIR_Coverage, 62688,
     /* 2003602 */     GIR_EraseRootFromParent_Done,
     /* 2003603 */   // Label 26795: @2003603
     /* 2003603 */   GIM_Try, /*On fail goto*//*Label 26796*/ GIMT_Encode4(2003689), // Rule ID 62689 //
     /* 2003608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2003611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2003616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2003619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2003622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2003625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2003628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2003631 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2003638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2003650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003654 */     // MIs[0] policy
     /* 2003654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003664 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M1_MASK),
     /* 2003667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003685 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003688 */     // GIR_Coverage, 62689,
     /* 2003688 */     GIR_EraseRootFromParent_Done,
     /* 2003689 */   // Label 26796: @2003689
     /* 2003689 */   GIM_Try, /*On fail goto*//*Label 26797*/ GIMT_Encode4(2003775), // Rule ID 62692 //
     /* 2003694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2003697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2003702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2003705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2003708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2003711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2003714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003717 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2003724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003740 */     // MIs[0] policy
     /* 2003740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003750 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 2003753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003771 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003774 */     // GIR_Coverage, 62692,
     /* 2003774 */     GIR_EraseRootFromParent_Done,
     /* 2003775 */   // Label 26797: @2003775
     /* 2003775 */   GIM_Try, /*On fail goto*//*Label 26798*/ GIMT_Encode4(2003861), // Rule ID 62693 //
     /* 2003780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2003783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2003788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2003791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2003794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2003797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2003800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2003803 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2003810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2003822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003826 */     // MIs[0] policy
     /* 2003826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003836 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2003836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M2_MASK),
     /* 2003839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003857 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003860 */     // GIR_Coverage, 62693,
     /* 2003860 */     GIR_EraseRootFromParent_Done,
     /* 2003861 */   // Label 26798: @2003861
     /* 2003861 */   GIM_Try, /*On fail goto*//*Label 26799*/ GIMT_Encode4(2003947), // Rule ID 62696 //
     /* 2003866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2003869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2003874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2003877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2003880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2003883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2003886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003889 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2003892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003912 */     // MIs[0] policy
     /* 2003912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2003915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2003922 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2003922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 2003925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2003927 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2003929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2003931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2003933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2003935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2003940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2003943 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2003945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2003946 */     // GIR_Coverage, 62696,
     /* 2003946 */     GIR_EraseRootFromParent_Done,
     /* 2003947 */   // Label 26799: @2003947
     /* 2003947 */   GIM_Try, /*On fail goto*//*Label 26800*/ GIMT_Encode4(2004033), // Rule ID 62697 //
     /* 2003952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2003955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2003960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2003963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2003966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2003969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2003972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2003975 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2003978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2003982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2003994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2003998 */     // MIs[0] policy
     /* 2003998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004008 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M4_MASK),
     /* 2004011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004029 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004032 */     // GIR_Coverage, 62697,
     /* 2004032 */     GIR_EraseRootFromParent_Done,
     /* 2004033 */   // Label 26800: @2004033
     /* 2004033 */   GIM_Try, /*On fail goto*//*Label 26801*/ GIMT_Encode4(2004119), // Rule ID 62700 //
     /* 2004038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2004041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2004049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2004052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2004055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2004058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2004061 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004084 */     // MIs[0] policy
     /* 2004084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004094 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 2004097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004115 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004118 */     // GIR_Coverage, 62700,
     /* 2004118 */     GIR_EraseRootFromParent_Done,
     /* 2004119 */   // Label 26801: @2004119
     /* 2004119 */   GIM_Try, /*On fail goto*//*Label 26802*/ GIMT_Encode4(2004205), // Rule ID 62701 //
     /* 2004124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2004127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2004135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2004138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2004141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2004144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2004147 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004170 */     // MIs[0] policy
     /* 2004170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004180 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VV_M8_MASK),
     /* 2004183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004201 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004204 */     // GIR_Coverage, 62701,
     /* 2004204 */     GIR_EraseRootFromParent_Done,
     /* 2004205 */   // Label 26802: @2004205
     /* 2004205 */   GIM_Try, /*On fail goto*//*Label 26803*/ GIMT_Encode4(2004291), // Rule ID 62704 //
     /* 2004210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2004213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2004227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2004230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004233 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004256 */     // MIs[0] policy
     /* 2004256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004266 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 2004269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004287 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004290 */     // GIR_Coverage, 62704,
     /* 2004290 */     GIR_EraseRootFromParent_Done,
     /* 2004291 */   // Label 26803: @2004291
     /* 2004291 */   GIM_Try, /*On fail goto*//*Label 26804*/ GIMT_Encode4(2004377), // Rule ID 62705 //
     /* 2004296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2004299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2004307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2004310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2004313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2004316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2004319 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004342 */     // MIs[0] policy
     /* 2004342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004352 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_MF2_MASK),
     /* 2004355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004373 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004376 */     // GIR_Coverage, 62705,
     /* 2004376 */     GIR_EraseRootFromParent_Done,
     /* 2004377 */   // Label 26804: @2004377
     /* 2004377 */   GIM_Try, /*On fail goto*//*Label 26805*/ GIMT_Encode4(2004463), // Rule ID 62708 //
     /* 2004382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2004385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2004399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2004402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004405 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004428 */     // MIs[0] policy
     /* 2004428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 2004441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004459 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004462 */     // GIR_Coverage, 62708,
     /* 2004462 */     GIR_EraseRootFromParent_Done,
     /* 2004463 */   // Label 26805: @2004463
     /* 2004463 */   GIM_Try, /*On fail goto*//*Label 26806*/ GIMT_Encode4(2004549), // Rule ID 62709 //
     /* 2004468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2004471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2004479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2004482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2004485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2004488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2004491 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2004498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2004510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004514 */     // MIs[0] policy
     /* 2004514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004524 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11130:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M1_MASK),
     /* 2004527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004545 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004548 */     // GIR_Coverage, 62709,
     /* 2004548 */     GIR_EraseRootFromParent_Done,
     /* 2004549 */   // Label 26806: @2004549
     /* 2004549 */   GIM_Try, /*On fail goto*//*Label 26807*/ GIMT_Encode4(2004635), // Rule ID 62712 //
     /* 2004554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2004557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2004565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2004568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2004571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2004574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004577 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004600 */     // MIs[0] policy
     /* 2004600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 2004613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004631 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004634 */     // GIR_Coverage, 62712,
     /* 2004634 */     GIR_EraseRootFromParent_Done,
     /* 2004635 */   // Label 26807: @2004635
     /* 2004635 */   GIM_Try, /*On fail goto*//*Label 26808*/ GIMT_Encode4(2004721), // Rule ID 62713 //
     /* 2004640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2004643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2004651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2004654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2004657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2004660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2004663 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2004670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2004682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004686 */     // MIs[0] policy
     /* 2004686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004696 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11130:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M2_MASK),
     /* 2004699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004717 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004720 */     // GIR_Coverage, 62713,
     /* 2004720 */     GIR_EraseRootFromParent_Done,
     /* 2004721 */   // Label 26808: @2004721
     /* 2004721 */   GIM_Try, /*On fail goto*//*Label 26809*/ GIMT_Encode4(2004807), // Rule ID 62716 //
     /* 2004726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2004729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2004737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2004740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2004743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2004746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2004749 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004772 */     // MIs[0] policy
     /* 2004772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004782 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 2004785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004803 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004806 */     // GIR_Coverage, 62716,
     /* 2004806 */     GIR_EraseRootFromParent_Done,
     /* 2004807 */   // Label 26809: @2004807
     /* 2004807 */   GIM_Try, /*On fail goto*//*Label 26810*/ GIMT_Encode4(2004893), // Rule ID 62717 //
     /* 2004812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2004815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2004823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2004826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2004829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2004832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2004835 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2004838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2004842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2004854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004858 */     // MIs[0] policy
     /* 2004858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004868 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11130:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2004868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M4_MASK),
     /* 2004871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004889 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004892 */     // GIR_Coverage, 62717,
     /* 2004892 */     GIR_EraseRootFromParent_Done,
     /* 2004893 */   // Label 26810: @2004893
     /* 2004893 */   GIM_Try, /*On fail goto*//*Label 26811*/ GIMT_Encode4(2004979), // Rule ID 62720 //
     /* 2004898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2004901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2004909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2004912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2004915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2004918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2004921 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2004924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2004928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2004936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2004940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2004944 */     // MIs[0] policy
     /* 2004944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2004947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2004954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2004954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 2004957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2004959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2004961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2004963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2004965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2004967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2004972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2004975 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2004977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2004978 */     // GIR_Coverage, 62720,
     /* 2004978 */     GIR_EraseRootFromParent_Done,
     /* 2004979 */   // Label 26811: @2004979
     /* 2004979 */   GIM_Try, /*On fail goto*//*Label 26812*/ GIMT_Encode4(2005065), // Rule ID 62721 //
     /* 2004984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2004987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqasu_mask),
     /* 2004992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2004995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2004998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2005001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2005004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2005007 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005030 */     // MIs[0] policy
     /* 2005030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005040 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11130:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQASU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQASU_VX_M8_MASK),
     /* 2005043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005045 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005061 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005064 */     // GIR_Coverage, 62721,
     /* 2005064 */     GIR_EraseRootFromParent_Done,
     /* 2005065 */   // Label 26812: @2005065
     /* 2005065 */   GIM_Try, /*On fail goto*//*Label 26813*/ GIMT_Encode4(2005151), // Rule ID 62724 //
     /* 2005070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2005073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2005081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2005084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2005087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2005090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005093 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005116 */     // MIs[0] policy
     /* 2005116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005126 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 2005129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005147 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005150 */     // GIR_Coverage, 62724,
     /* 2005150 */     GIR_EraseRootFromParent_Done,
     /* 2005151 */   // Label 26813: @2005151
     /* 2005151 */   GIM_Try, /*On fail goto*//*Label 26814*/ GIMT_Encode4(2005237), // Rule ID 62725 //
     /* 2005156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2005159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2005167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2005170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2005173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2005176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2005179 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005202 */     // MIs[0] policy
     /* 2005202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005212 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_MF2_MASK),
     /* 2005215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005233 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005236 */     // GIR_Coverage, 62725,
     /* 2005236 */     GIR_EraseRootFromParent_Done,
     /* 2005237 */   // Label 26814: @2005237
     /* 2005237 */   GIM_Try, /*On fail goto*//*Label 26815*/ GIMT_Encode4(2005323), // Rule ID 62728 //
     /* 2005242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2005245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2005259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2005262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005265 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005288 */     // MIs[0] policy
     /* 2005288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005298 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 2005301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005319 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005322 */     // GIR_Coverage, 62728,
     /* 2005322 */     GIR_EraseRootFromParent_Done,
     /* 2005323 */   // Label 26815: @2005323
     /* 2005323 */   GIM_Try, /*On fail goto*//*Label 26816*/ GIMT_Encode4(2005409), // Rule ID 62729 //
     /* 2005328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2005331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2005339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2005342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2005345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2005348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2005351 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005374 */     // MIs[0] policy
     /* 2005374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005384 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11134:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M1_MASK),
     /* 2005387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005405 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005408 */     // GIR_Coverage, 62729,
     /* 2005408 */     GIR_EraseRootFromParent_Done,
     /* 2005409 */   // Label 26816: @2005409
     /* 2005409 */   GIM_Try, /*On fail goto*//*Label 26817*/ GIMT_Encode4(2005495), // Rule ID 62732 //
     /* 2005414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2005417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2005431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2005434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005437 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005460 */     // MIs[0] policy
     /* 2005460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005470 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 2005473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005491 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005494 */     // GIR_Coverage, 62732,
     /* 2005494 */     GIR_EraseRootFromParent_Done,
     /* 2005495 */   // Label 26817: @2005495
     /* 2005495 */   GIM_Try, /*On fail goto*//*Label 26818*/ GIMT_Encode4(2005581), // Rule ID 62733 //
     /* 2005500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2005503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2005511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2005514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2005517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2005520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2005523 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2005530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2005542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005546 */     // MIs[0] policy
     /* 2005546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005556 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11134:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M2_MASK),
     /* 2005559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005577 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005580 */     // GIR_Coverage, 62733,
     /* 2005580 */     GIR_EraseRootFromParent_Done,
     /* 2005581 */   // Label 26818: @2005581
     /* 2005581 */   GIM_Try, /*On fail goto*//*Label 26819*/ GIMT_Encode4(2005667), // Rule ID 62736 //
     /* 2005586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2005589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2005597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2005600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2005603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2005606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005609 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005632 */     // MIs[0] policy
     /* 2005632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005642 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 2005645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005663 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005666 */     // GIR_Coverage, 62736,
     /* 2005666 */     GIR_EraseRootFromParent_Done,
     /* 2005667 */   // Label 26819: @2005667
     /* 2005667 */   GIM_Try, /*On fail goto*//*Label 26820*/ GIMT_Encode4(2005753), // Rule ID 62737 //
     /* 2005672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2005675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2005683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2005686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2005689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2005692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2005695 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2005702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2005714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005718 */     // MIs[0] policy
     /* 2005718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005728 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11134:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M4_MASK),
     /* 2005731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005749 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005752 */     // GIR_Coverage, 62737,
     /* 2005752 */     GIR_EraseRootFromParent_Done,
     /* 2005753 */   // Label 26820: @2005753
     /* 2005753 */   GIM_Try, /*On fail goto*//*Label 26821*/ GIMT_Encode4(2005839), // Rule ID 62740 //
     /* 2005758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode0),
     /* 2005761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2005769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2005772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2005775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2005778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2005781 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005804 */     // MIs[0] policy
     /* 2005804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005814 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i64] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 2005817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005835 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005838 */     // GIR_Coverage, 62740,
     /* 2005838 */     GIR_EraseRootFromParent_Done,
     /* 2005839 */   // Label 26821: @2005839
     /* 2005839 */   GIM_Try, /*On fail goto*//*Label 26822*/ GIMT_Encode4(2005925), // Rule ID 62741 //
     /* 2005844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadVdot_HwMode1),
     /* 2005847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_th_vmaqaus_mask),
     /* 2005852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2005855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2005858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2005861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2005864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2005867 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2005870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2005874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2005882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2005886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005890 */     // MIs[0] policy
     /* 2005890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005900 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11134:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoTHVdotVMAQAUS_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, GPR:{ *:[i32] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2005900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoTHVdotVMAQAUS_VX_M8_MASK),
     /* 2005903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2005918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2005921 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2005923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2005924 */     // GIR_Coverage, 62741,
     /* 2005924 */     GIR_EraseRootFromParent_Done,
     /* 2005925 */   // Label 26822: @2005925
     /* 2005925 */   GIM_Try, /*On fail goto*//*Label 26823*/ GIMT_Encode4(2006011), // Rule ID 65135 //
     /* 2005930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2005933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2005938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2005941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2005944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2005947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2005950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2005953 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2005956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2005960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2005972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2005976 */     // MIs[0] policy
     /* 2005976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2005979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2005986 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2005986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_MF2_MASK),
     /* 2005989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2005991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2005993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2005995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2005997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2005999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006007 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006010 */     // GIR_Coverage, 65135,
     /* 2006010 */     GIR_EraseRootFromParent_Done,
     /* 2006011 */   // Label 26823: @2006011
     /* 2006011 */   GIM_Try, /*On fail goto*//*Label 26824*/ GIMT_Encode4(2006097), // Rule ID 65136 //
     /* 2006016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2006027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2006030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2006033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2006036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006039 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006062 */     // MIs[0] policy
     /* 2006062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006072 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_MF2_MASK),
     /* 2006075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006093 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006096 */     // GIR_Coverage, 65136,
     /* 2006096 */     GIR_EraseRootFromParent_Done,
     /* 2006097 */   // Label 26824: @2006097
     /* 2006097 */   GIM_Try, /*On fail goto*//*Label 26825*/ GIMT_Encode4(2006183), // Rule ID 65139 //
     /* 2006102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2006119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2006122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006125 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006148 */     // MIs[0] policy
     /* 2006148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006158 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1_MASK),
     /* 2006161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006179 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006182 */     // GIR_Coverage, 65139,
     /* 2006182 */     GIR_EraseRootFromParent_Done,
     /* 2006183 */   // Label 26825: @2006183
     /* 2006183 */   GIM_Try, /*On fail goto*//*Label 26826*/ GIMT_Encode4(2006269), // Rule ID 65140 //
     /* 2006188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2006199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2006202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2006205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2006208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006211 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006234 */     // MIs[0] policy
     /* 2006234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006244 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11027:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1_MASK),
     /* 2006247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006265 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006268 */     // GIR_Coverage, 65140,
     /* 2006268 */     GIR_EraseRootFromParent_Done,
     /* 2006269 */   // Label 26826: @2006269
     /* 2006269 */   GIM_Try, /*On fail goto*//*Label 26827*/ GIMT_Encode4(2006355), // Rule ID 65143 //
     /* 2006274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2006285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2006288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2006291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2006294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006297 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006320 */     // MIs[0] policy
     /* 2006320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006330 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2_MASK),
     /* 2006333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006351 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006354 */     // GIR_Coverage, 65143,
     /* 2006354 */     GIR_EraseRootFromParent_Done,
     /* 2006355 */   // Label 26827: @2006355
     /* 2006355 */   GIM_Try, /*On fail goto*//*Label 26828*/ GIMT_Encode4(2006441), // Rule ID 65144 //
     /* 2006360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2006371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2006374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2006377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2006380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2006383 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006406 */     // MIs[0] policy
     /* 2006406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006416 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2_MASK),
     /* 2006419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006437 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006440 */     // GIR_Coverage, 65144,
     /* 2006440 */     GIR_EraseRootFromParent_Done,
     /* 2006441 */   // Label 26828: @2006441
     /* 2006441 */   GIM_Try, /*On fail goto*//*Label 26829*/ GIMT_Encode4(2006527), // Rule ID 65147 //
     /* 2006446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2006457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2006460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2006466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006469 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006492 */     // MIs[0] policy
     /* 2006492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006502 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4_MASK),
     /* 2006505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006523 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006526 */     // GIR_Coverage, 65147,
     /* 2006526 */     GIR_EraseRootFromParent_Done,
     /* 2006527 */   // Label 26829: @2006527
     /* 2006527 */   GIM_Try, /*On fail goto*//*Label 26830*/ GIMT_Encode4(2006613), // Rule ID 65148 //
     /* 2006532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2006543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2006546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2006549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2006552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2006555 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2006562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2006574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006578 */     // MIs[0] policy
     /* 2006578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006588 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4_MASK),
     /* 2006591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006609 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006612 */     // GIR_Coverage, 65148,
     /* 2006612 */     GIR_EraseRootFromParent_Done,
     /* 2006613 */   // Label 26830: @2006613
     /* 2006613 */   GIM_Try, /*On fail goto*//*Label 26831*/ GIMT_Encode4(2006699), // Rule ID 65151 //
     /* 2006618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2006621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2006629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2006632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2006638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006641 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006664 */     // MIs[0] policy
     /* 2006664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006674 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8_MASK),
     /* 2006677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006695 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006698 */     // GIR_Coverage, 65151,
     /* 2006698 */     GIR_EraseRootFromParent_Done,
     /* 2006699 */   // Label 26831: @2006699
     /* 2006699 */   GIM_Try, /*On fail goto*//*Label 26832*/ GIMT_Encode4(2006785), // Rule ID 65152 //
     /* 2006704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2006707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2006715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2006718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2006721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2006724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2006727 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2006734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2006746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006750 */     // MIs[0] policy
     /* 2006750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006760 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8_MASK),
     /* 2006763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2006781 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006784 */     // GIR_Coverage, 65152,
     /* 2006784 */     GIR_EraseRootFromParent_Done,
     /* 2006785 */   // Label 26832: @2006785
     /* 2006785 */   GIM_Try, /*On fail goto*//*Label 26833*/ GIMT_Encode4(2006871), // Rule ID 65155 //
     /* 2006790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2006807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006813 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006836 */     // MIs[0] policy
     /* 2006836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2006846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1_MASK),
     /* 2006849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006867 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006870 */     // GIR_Coverage, 65155,
     /* 2006870 */     GIR_EraseRootFromParent_Done,
     /* 2006871 */   // Label 26833: @2006871
     /* 2006871 */   GIM_Try, /*On fail goto*//*Label 26834*/ GIMT_Encode4(2006957), // Rule ID 65156 //
     /* 2006876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2006879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2006887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2006890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2006893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2006896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2006899 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2006902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2006906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2006918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2006922 */     // MIs[0] policy
     /* 2006922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2006925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2006932 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11027:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2006932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M1_MASK),
     /* 2006935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2006937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2006939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2006941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2006943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2006945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2006950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2006953 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2006955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2006956 */     // GIR_Coverage, 65156,
     /* 2006956 */     GIR_EraseRootFromParent_Done,
     /* 2006957 */   // Label 26834: @2006957
     /* 2006957 */   GIM_Try, /*On fail goto*//*Label 26835*/ GIMT_Encode4(2007043), // Rule ID 65159 //
     /* 2006962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2006965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2006970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2006973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2006976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2006979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2006982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2006985 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2006988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2006992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2006996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007008 */     // MIs[0] policy
     /* 2007008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007018 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2_MASK),
     /* 2007021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007039 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007042 */     // GIR_Coverage, 65159,
     /* 2007042 */     GIR_EraseRootFromParent_Done,
     /* 2007043 */   // Label 26835: @2007043
     /* 2007043 */   GIM_Try, /*On fail goto*//*Label 26836*/ GIMT_Encode4(2007129), // Rule ID 65160 //
     /* 2007048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2007056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2007059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2007062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2007065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2007068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007071 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007094 */     // MIs[0] policy
     /* 2007094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007104 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11027:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M2_MASK),
     /* 2007107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007125 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007128 */     // GIR_Coverage, 65160,
     /* 2007128 */     GIR_EraseRootFromParent_Done,
     /* 2007129 */   // Label 26836: @2007129
     /* 2007129 */   GIM_Try, /*On fail goto*//*Label 26837*/ GIMT_Encode4(2007215), // Rule ID 65163 //
     /* 2007134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2007142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2007145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2007148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2007154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007157 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007180 */     // MIs[0] policy
     /* 2007180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007190 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4_MASK),
     /* 2007193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007211 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007214 */     // GIR_Coverage, 65163,
     /* 2007214 */     GIR_EraseRootFromParent_Done,
     /* 2007215 */   // Label 26837: @2007215
     /* 2007215 */   GIM_Try, /*On fail goto*//*Label 26838*/ GIMT_Encode4(2007301), // Rule ID 65164 //
     /* 2007220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2007228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2007231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2007234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2007237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2007240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007243 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2007250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2007262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007266 */     // MIs[0] policy
     /* 2007266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007276 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11027:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M4_MASK),
     /* 2007279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007297 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007300 */     // GIR_Coverage, 65164,
     /* 2007300 */     GIR_EraseRootFromParent_Done,
     /* 2007301 */   // Label 26838: @2007301
     /* 2007301 */   GIM_Try, /*On fail goto*//*Label 26839*/ GIMT_Encode4(2007387), // Rule ID 65167 //
     /* 2007306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2007309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2007314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2007317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2007320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2007326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007329 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007352 */     // MIs[0] policy
     /* 2007352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007362 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8_MASK),
     /* 2007365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007383 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007386 */     // GIR_Coverage, 65167,
     /* 2007386 */     GIR_EraseRootFromParent_Done,
     /* 2007387 */   // Label 26839: @2007387
     /* 2007387 */   GIM_Try, /*On fail goto*//*Label 26840*/ GIMT_Encode4(2007473), // Rule ID 65168 //
     /* 2007392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2007395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dots_mask),
     /* 2007400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2007403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2007406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2007409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2007412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2007415 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2007422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2007434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007438 */     // MIs[0] policy
     /* 2007438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007448 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11027:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTS_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTS_VV_M8_MASK),
     /* 2007451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2007469 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007472 */     // GIR_Coverage, 65168,
     /* 2007472 */     GIR_EraseRootFromParent_Done,
     /* 2007473 */   // Label 26840: @2007473
     /* 2007473 */   GIM_Try, /*On fail goto*//*Label 26841*/ GIMT_Encode4(2007559), // Rule ID 65171 //
     /* 2007478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2007486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2007489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2007492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2007495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2007498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007501 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007524 */     // MIs[0] policy
     /* 2007524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007534 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_MF2_MASK),
     /* 2007537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007555 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007558 */     // GIR_Coverage, 65171,
     /* 2007558 */     GIR_EraseRootFromParent_Done,
     /* 2007559 */   // Label 26841: @2007559
     /* 2007559 */   GIM_Try, /*On fail goto*//*Label 26842*/ GIMT_Encode4(2007645), // Rule ID 65172 //
     /* 2007564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2007572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2007575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2007578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2007581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2007584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2007587 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007610 */     // MIs[0] policy
     /* 2007610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007620 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_MF2_MASK),
     /* 2007623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007641 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007644 */     // GIR_Coverage, 65172,
     /* 2007644 */     GIR_EraseRootFromParent_Done,
     /* 2007645 */   // Label 26842: @2007645
     /* 2007645 */   GIM_Try, /*On fail goto*//*Label 26843*/ GIMT_Encode4(2007731), // Rule ID 65175 //
     /* 2007650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2007658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2007667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2007670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007673 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007696 */     // MIs[0] policy
     /* 2007696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1_MASK),
     /* 2007709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007727 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007730 */     // GIR_Coverage, 65175,
     /* 2007730 */     GIR_EraseRootFromParent_Done,
     /* 2007731 */   // Label 26843: @2007731
     /* 2007731 */   GIM_Try, /*On fail goto*//*Label 26844*/ GIMT_Encode4(2007817), // Rule ID 65176 //
     /* 2007736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2007744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2007747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2007750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2007753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2007756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2007759 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2007766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2007778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007782 */     // MIs[0] policy
     /* 2007782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007792 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11031:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1_MASK),
     /* 2007795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007813 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007816 */     // GIR_Coverage, 65176,
     /* 2007816 */     GIR_EraseRootFromParent_Done,
     /* 2007817 */   // Label 26844: @2007817
     /* 2007817 */   GIM_Try, /*On fail goto*//*Label 26845*/ GIMT_Encode4(2007903), // Rule ID 65179 //
     /* 2007822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2007830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2007839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2007842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007845 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2007848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007868 */     // MIs[0] policy
     /* 2007868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007878 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2007878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2_MASK),
     /* 2007881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007899 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007902 */     // GIR_Coverage, 65179,
     /* 2007902 */     GIR_EraseRootFromParent_Done,
     /* 2007903 */   // Label 26845: @2007903
     /* 2007903 */   GIM_Try, /*On fail goto*//*Label 26846*/ GIMT_Encode4(2007989), // Rule ID 65180 //
     /* 2007908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2007911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2007916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2007919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2007922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2007925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2007928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2007931 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2007934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2007938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2007950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2007954 */     // MIs[0] policy
     /* 2007954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2007957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2007964 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2007964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2_MASK),
     /* 2007967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2007969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2007971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2007973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2007975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2007977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2007982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2007985 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2007987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2007988 */     // GIR_Coverage, 65180,
     /* 2007988 */     GIR_EraseRootFromParent_Done,
     /* 2007989 */   // Label 26846: @2007989
     /* 2007989 */   GIM_Try, /*On fail goto*//*Label 26847*/ GIMT_Encode4(2008075), // Rule ID 65183 //
     /* 2007994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2007997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2008005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2008008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2008011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2008014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008017 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008040 */     // MIs[0] policy
     /* 2008040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008050 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4_MASK),
     /* 2008053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008071 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008074 */     // GIR_Coverage, 65183,
     /* 2008074 */     GIR_EraseRootFromParent_Done,
     /* 2008075 */   // Label 26847: @2008075
     /* 2008075 */   GIM_Try, /*On fail goto*//*Label 26848*/ GIMT_Encode4(2008161), // Rule ID 65184 //
     /* 2008080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2008091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2008094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2008097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2008100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008103 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008126 */     // MIs[0] policy
     /* 2008126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008136 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4_MASK),
     /* 2008139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008157 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008160 */     // GIR_Coverage, 65184,
     /* 2008160 */     GIR_EraseRootFromParent_Done,
     /* 2008161 */   // Label 26848: @2008161
     /* 2008161 */   GIM_Try, /*On fail goto*//*Label 26849*/ GIMT_Encode4(2008247), // Rule ID 65187 //
     /* 2008166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2008169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2008177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2008180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2008183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2008186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008189 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008212 */     // MIs[0] policy
     /* 2008212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008222 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8_MASK),
     /* 2008225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008243 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008246 */     // GIR_Coverage, 65187,
     /* 2008246 */     GIR_EraseRootFromParent_Done,
     /* 2008247 */   // Label 26849: @2008247
     /* 2008247 */   GIM_Try, /*On fail goto*//*Label 26850*/ GIMT_Encode4(2008333), // Rule ID 65188 //
     /* 2008252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2008255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2008263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2008266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2008269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2008272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2008275 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008298 */     // MIs[0] policy
     /* 2008298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008308 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8_MASK),
     /* 2008311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2008329 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008332 */     // GIR_Coverage, 65188,
     /* 2008332 */     GIR_EraseRootFromParent_Done,
     /* 2008333 */   // Label 26850: @2008333
     /* 2008333 */   GIM_Try, /*On fail goto*//*Label 26851*/ GIMT_Encode4(2008419), // Rule ID 65191 //
     /* 2008338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2008355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2008358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008361 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008384 */     // MIs[0] policy
     /* 2008384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008394 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1_MASK),
     /* 2008397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008415 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008418 */     // GIR_Coverage, 65191,
     /* 2008418 */     GIR_EraseRootFromParent_Done,
     /* 2008419 */   // Label 26851: @2008419
     /* 2008419 */   GIM_Try, /*On fail goto*//*Label 26852*/ GIMT_Encode4(2008505), // Rule ID 65192 //
     /* 2008424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2008435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2008438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2008441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2008444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2008447 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2008454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2008466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008470 */     // MIs[0] policy
     /* 2008470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008480 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11031:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M1_MASK),
     /* 2008483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008501 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008504 */     // GIR_Coverage, 65192,
     /* 2008504 */     GIR_EraseRootFromParent_Done,
     /* 2008505 */   // Label 26852: @2008505
     /* 2008505 */   GIM_Try, /*On fail goto*//*Label 26853*/ GIMT_Encode4(2008591), // Rule ID 65195 //
     /* 2008510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2008521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2008524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2008527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2008530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008533 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008556 */     // MIs[0] policy
     /* 2008556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008566 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2_MASK),
     /* 2008569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008587 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008590 */     // GIR_Coverage, 65195,
     /* 2008590 */     GIR_EraseRootFromParent_Done,
     /* 2008591 */   // Label 26853: @2008591
     /* 2008591 */   GIM_Try, /*On fail goto*//*Label 26854*/ GIMT_Encode4(2008677), // Rule ID 65196 //
     /* 2008596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2008607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2008610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2008613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2008616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2008619 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2008626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2008638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008642 */     // MIs[0] policy
     /* 2008642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008652 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11031:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M2_MASK),
     /* 2008655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008673 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008676 */     // GIR_Coverage, 65196,
     /* 2008676 */     GIR_EraseRootFromParent_Done,
     /* 2008677 */   // Label 26854: @2008677
     /* 2008677 */   GIM_Try, /*On fail goto*//*Label 26855*/ GIMT_Encode4(2008763), // Rule ID 65199 //
     /* 2008682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2008693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2008696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2008699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2008702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008705 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008728 */     // MIs[0] policy
     /* 2008728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008738 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4_MASK),
     /* 2008741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008759 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008762 */     // GIR_Coverage, 65199,
     /* 2008762 */     GIR_EraseRootFromParent_Done,
     /* 2008763 */   // Label 26855: @2008763
     /* 2008763 */   GIM_Try, /*On fail goto*//*Label 26856*/ GIMT_Encode4(2008849), // Rule ID 65200 //
     /* 2008768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2008779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2008782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2008785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2008788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2008791 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2008798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2008810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008814 */     // MIs[0] policy
     /* 2008814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008824 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11031:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M4_MASK),
     /* 2008827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008845 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008848 */     // GIR_Coverage, 65200,
     /* 2008848 */     GIR_EraseRootFromParent_Done,
     /* 2008849 */   // Label 26856: @2008849
     /* 2008849 */   GIM_Try, /*On fail goto*//*Label 26857*/ GIMT_Encode4(2008935), // Rule ID 65203 //
     /* 2008854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2008857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2008871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2008874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008877 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2008880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008900 */     // MIs[0] policy
     /* 2008900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008910 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2008910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8_MASK),
     /* 2008913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2008915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2008917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2008919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2008921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2008923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2008928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2008931 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2008933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2008934 */     // GIR_Coverage, 65203,
     /* 2008934 */     GIR_EraseRootFromParent_Done,
     /* 2008935 */   // Label 26857: @2008935
     /* 2008935 */   GIM_Try, /*On fail goto*//*Label 26858*/ GIMT_Encode4(2009021), // Rule ID 65204 //
     /* 2008940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2008943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotu_mask),
     /* 2008948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2008951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2008954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2008957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2008960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2008963 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2008966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2008970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2008982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2008986 */     // MIs[0] policy
     /* 2008986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2008989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2008996 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11031:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2008996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTU_VV_M8_MASK),
     /* 2008999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2009017 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009020 */     // GIR_Coverage, 65204,
     /* 2009020 */     GIR_EraseRootFromParent_Done,
     /* 2009021 */   // Label 26858: @2009021
     /* 2009021 */   GIM_Try, /*On fail goto*//*Label 26859*/ GIMT_Encode4(2009107), // Rule ID 65207 //
     /* 2009026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2009043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2009046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009049 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009072 */     // MIs[0] policy
     /* 2009072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009082 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_MF2_MASK),
     /* 2009085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009103 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009106 */     // GIR_Coverage, 65207,
     /* 2009106 */     GIR_EraseRootFromParent_Done,
     /* 2009107 */   // Label 26859: @2009107
     /* 2009107 */   GIM_Try, /*On fail goto*//*Label 26860*/ GIMT_Encode4(2009193), // Rule ID 65208 //
     /* 2009112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2009123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2009126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2009129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2009132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009135 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009158 */     // MIs[0] policy
     /* 2009158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009168 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs3, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_MF2_MASK),
     /* 2009171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009189 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009192 */     // GIR_Coverage, 65208,
     /* 2009192 */     GIR_EraseRootFromParent_Done,
     /* 2009193 */   // Label 26860: @2009193
     /* 2009193 */   GIM_Try, /*On fail goto*//*Label 26861*/ GIMT_Encode4(2009279), // Rule ID 65211 //
     /* 2009198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2009218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009221 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009244 */     // MIs[0] policy
     /* 2009244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009254 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1_MASK),
     /* 2009257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009275 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009278 */     // GIR_Coverage, 65211,
     /* 2009278 */     GIR_EraseRootFromParent_Done,
     /* 2009279 */   // Label 26861: @2009279
     /* 2009279 */   GIM_Try, /*On fail goto*//*Label 26862*/ GIMT_Encode4(2009365), // Rule ID 65212 //
     /* 2009284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2009295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2009298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2009301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2009304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2009307 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009330 */     // MIs[0] policy
     /* 2009330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11029:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs3, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1_MASK),
     /* 2009343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009361 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009364 */     // GIR_Coverage, 65212,
     /* 2009364 */     GIR_EraseRootFromParent_Done,
     /* 2009365 */   // Label 26862: @2009365
     /* 2009365 */   GIM_Try, /*On fail goto*//*Label 26863*/ GIMT_Encode4(2009451), // Rule ID 65215 //
     /* 2009370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2009381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2009384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2009387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2009390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009393 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009416 */     // MIs[0] policy
     /* 2009416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009426 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2_MASK),
     /* 2009429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009447 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009450 */     // GIR_Coverage, 65215,
     /* 2009450 */     GIR_EraseRootFromParent_Done,
     /* 2009451 */   // Label 26863: @2009451
     /* 2009451 */   GIM_Try, /*On fail goto*//*Label 26864*/ GIMT_Encode4(2009537), // Rule ID 65216 //
     /* 2009456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2009467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2009470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2009473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2009476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2009479 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2009486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2009498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009502 */     // MIs[0] policy
     /* 2009502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009512 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs3, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2_MASK),
     /* 2009515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009533 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009536 */     // GIR_Coverage, 65216,
     /* 2009536 */     GIR_EraseRootFromParent_Done,
     /* 2009537 */   // Label 26864: @2009537
     /* 2009537 */   GIM_Try, /*On fail goto*//*Label 26865*/ GIMT_Encode4(2009623), // Rule ID 65219 //
     /* 2009542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2009553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2009556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2009559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2009562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009565 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009588 */     // MIs[0] policy
     /* 2009588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009598 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4_MASK),
     /* 2009601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009619 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009622 */     // GIR_Coverage, 65219,
     /* 2009622 */     GIR_EraseRootFromParent_Done,
     /* 2009623 */   // Label 26865: @2009623
     /* 2009623 */   GIM_Try, /*On fail goto*//*Label 26866*/ GIMT_Encode4(2009709), // Rule ID 65220 //
     /* 2009628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2009639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2009642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2009645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2009648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2009651 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2009658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2009670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009674 */     // MIs[0] policy
     /* 2009674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009684 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs3, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4_MASK),
     /* 2009687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009705 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009708 */     // GIR_Coverage, 65220,
     /* 2009708 */     GIR_EraseRootFromParent_Done,
     /* 2009709 */   // Label 26866: @2009709
     /* 2009709 */   GIM_Try, /*On fail goto*//*Label 26867*/ GIMT_Encode4(2009795), // Rule ID 65223 //
     /* 2009714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2009717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2009725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2009728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2009731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2009734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2009737 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2009744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009760 */     // MIs[0] policy
     /* 2009760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009770 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8_MASK),
     /* 2009773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009791 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009794 */     // GIR_Coverage, 65223,
     /* 2009794 */     GIR_EraseRootFromParent_Done,
     /* 2009795 */   // Label 26867: @2009795
     /* 2009795 */   GIM_Try, /*On fail goto*//*Label 26868*/ GIMT_Encode4(2009881), // Rule ID 65224 //
     /* 2009800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2009803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2009811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2009814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2009817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2009820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2009823 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2009830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2009842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009846 */     // MIs[0] policy
     /* 2009846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009856 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs3, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2009856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8_MASK),
     /* 2009859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2009877 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009880 */     // GIR_Coverage, 65224,
     /* 2009880 */     GIR_EraseRootFromParent_Done,
     /* 2009881 */   // Label 26868: @2009881
     /* 2009881 */   GIM_Try, /*On fail goto*//*Label 26869*/ GIMT_Encode4(2009967), // Rule ID 65227 //
     /* 2009886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2009889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2009897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2009900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009909 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2009912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2009916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2009928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2009932 */     // MIs[0] policy
     /* 2009932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2009935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2009942 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2009942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1_MASK),
     /* 2009945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2009947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2009949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2009951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2009953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2009955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2009960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2009963 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2009965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2009966 */     // GIR_Coverage, 65227,
     /* 2009966 */     GIR_EraseRootFromParent_Done,
     /* 2009967 */   // Label 26869: @2009967
     /* 2009967 */   GIM_Try, /*On fail goto*//*Label 26870*/ GIMT_Encode4(2010053), // Rule ID 65228 //
     /* 2009972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2009975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2009980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2009983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2009986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2009989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2009992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2009995 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2009998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010018 */     // MIs[0] policy
     /* 2010018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010028 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11029:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs3, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M1_MASK),
     /* 2010031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010033 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010049 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010052 */     // GIR_Coverage, 65228,
     /* 2010052 */     GIR_EraseRootFromParent_Done,
     /* 2010053 */   // Label 26870: @2010053
     /* 2010053 */   GIM_Try, /*On fail goto*//*Label 26871*/ GIMT_Encode4(2010139), // Rule ID 65231 //
     /* 2010058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2010061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2010066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2010069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2010072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2010078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010081 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2010084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010104 */     // MIs[0] policy
     /* 2010104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010114 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2_MASK),
     /* 2010117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010135 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010138 */     // GIR_Coverage, 65231,
     /* 2010138 */     GIR_EraseRootFromParent_Done,
     /* 2010139 */   // Label 26871: @2010139
     /* 2010139 */   GIM_Try, /*On fail goto*//*Label 26872*/ GIMT_Encode4(2010225), // Rule ID 65232 //
     /* 2010144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2010147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2010152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2010155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2010158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2010161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2010164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010167 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2010170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2010174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2010186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010190 */     // MIs[0] policy
     /* 2010190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010200 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11029:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs3, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M2_MASK),
     /* 2010203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010221 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010224 */     // GIR_Coverage, 65232,
     /* 2010224 */     GIR_EraseRootFromParent_Done,
     /* 2010225 */   // Label 26872: @2010225
     /* 2010225 */   GIM_Try, /*On fail goto*//*Label 26873*/ GIMT_Encode4(2010311), // Rule ID 65235 //
     /* 2010230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2010233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2010238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2010241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2010244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2010250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010253 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2010256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010276 */     // MIs[0] policy
     /* 2010276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010286 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4_MASK),
     /* 2010289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010307 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010310 */     // GIR_Coverage, 65235,
     /* 2010310 */     GIR_EraseRootFromParent_Done,
     /* 2010311 */   // Label 26873: @2010311
     /* 2010311 */   GIM_Try, /*On fail goto*//*Label 26874*/ GIMT_Encode4(2010397), // Rule ID 65236 //
     /* 2010316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2010319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2010324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2010327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2010330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2010333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2010336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2010339 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2010342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2010346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2010358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010362 */     // MIs[0] policy
     /* 2010362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010372 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11029:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs3, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M4_MASK),
     /* 2010375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010393 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010396 */     // GIR_Coverage, 65236,
     /* 2010396 */     GIR_EraseRootFromParent_Done,
     /* 2010397 */   // Label 26874: @2010397
     /* 2010397 */   GIM_Try, /*On fail goto*//*Label 26875*/ GIMT_Encode4(2010483), // Rule ID 65239 //
     /* 2010402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2010405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2010410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2010413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2010416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2010419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2010422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010425 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s64,
     /* 2010428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010448 */     // MIs[0] policy
     /* 2010448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010458 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2010458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8_MASK),
     /* 2010461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010479 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010482 */     // GIR_Coverage, 65239,
     /* 2010482 */     GIR_EraseRootFromParent_Done,
     /* 2010483 */   // Label 26875: @2010483
     /* 2010483 */   GIM_Try, /*On fail goto*//*Label 26876*/ GIMT_Encode4(2010569), // Rule ID 65240 //
     /* 2010488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2010491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vd4dotsu_mask),
     /* 2010496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2010499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2010502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2010505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2010508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2010511 */     GIM_RootCheckType, /*Op*/6, /*Type*/GILLT_s32,
     /* 2010514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2010518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2010530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010534 */     // MIs[0] policy
     /* 2010534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/7,
     /* 2010537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/6, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010544 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11029:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VD4DOTSU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs3, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2010544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VD4DOTSU_VV_M8_MASK),
     /* 2010547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2010565 */     GIR_RootToRootCopy, /*OpIdx*/7, // policy
     /* 2010567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010568 */     // GIR_Coverage, 65240,
     /* 2010568 */     GIR_EraseRootFromParent_Done,
     /* 2010569 */   // Label 26876: @2010569
     /* 2010569 */   GIM_Try, /*On fail goto*//*Label 26877*/ GIMT_Encode4(2010658), // Rule ID 2784 //
     /* 2010574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2010577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2010582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2010591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010620 */     // MIs[0] round
     /* 2010620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010630 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 2010633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010657 */     // GIR_Coverage, 2784,
     /* 2010657 */     GIR_EraseRootFromParent_Done,
     /* 2010658 */   // Label 26877: @2010658
     /* 2010658 */   GIM_Try, /*On fail goto*//*Label 26878*/ GIMT_Encode4(2010747), // Rule ID 2785 //
     /* 2010663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2010666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2010671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2010680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010709 */     // MIs[0] round
     /* 2010709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010719 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF4_E16_MASK),
     /* 2010722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010746 */     // GIR_Coverage, 2785,
     /* 2010746 */     GIR_EraseRootFromParent_Done,
     /* 2010747 */   // Label 26878: @2010747
     /* 2010747 */   GIM_Try, /*On fail goto*//*Label 26879*/ GIMT_Encode4(2010836), // Rule ID 22830 //
     /* 2010752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2010755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2010760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2010769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010798 */     // MIs[0] round
     /* 2010798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010808 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 2010811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010835 */     // GIR_Coverage, 22830,
     /* 2010835 */     GIR_EraseRootFromParent_Done,
     /* 2010836 */   // Label 26879: @2010836
     /* 2010836 */   GIM_Try, /*On fail goto*//*Label 26880*/ GIMT_Encode4(2010925), // Rule ID 22831 //
     /* 2010841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2010844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2010849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2010852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2010855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2010858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2010861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2010864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2010867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010887 */     // MIs[0] round
     /* 2010887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010897 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2010897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E16_MASK),
     /* 2010900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2010912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2010917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2010920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2010923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2010924 */     // GIR_Coverage, 22831,
     /* 2010924 */     GIR_EraseRootFromParent_Done,
     /* 2010925 */   // Label 26880: @2010925
     /* 2010925 */   GIM_Try, /*On fail goto*//*Label 26881*/ GIMT_Encode4(2011014), // Rule ID 22834 //
     /* 2010930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2010933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2010938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2010941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2010944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2010947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2010950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2010953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2010956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2010960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2010972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2010976 */     // MIs[0] round
     /* 2010976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2010979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2010986 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2010986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 2010989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2010991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2010993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2010995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2010997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2010999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011013 */     // GIR_Coverage, 22834,
     /* 2011013 */     GIR_EraseRootFromParent_Done,
     /* 2011014 */   // Label 26881: @2011014
     /* 2011014 */   GIM_Try, /*On fail goto*//*Label 26882*/ GIMT_Encode4(2011103), // Rule ID 22835 //
     /* 2011019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2011022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2011036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2011039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011065 */     // MIs[0] round
     /* 2011065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011075 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_MF2_E32_MASK),
     /* 2011078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011102 */     // GIR_Coverage, 22835,
     /* 2011102 */     GIR_EraseRootFromParent_Done,
     /* 2011103 */   // Label 26882: @2011103
     /* 2011103 */   GIM_Try, /*On fail goto*//*Label 26883*/ GIMT_Encode4(2011192), // Rule ID 22838 //
     /* 2011108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2011111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2011119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2011122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2011125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2011128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011154 */     // MIs[0] round
     /* 2011154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011164 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 2011167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011191 */     // GIR_Coverage, 22838,
     /* 2011191 */     GIR_EraseRootFromParent_Done,
     /* 2011192 */   // Label 26883: @2011192
     /* 2011192 */   GIM_Try, /*On fail goto*//*Label 26884*/ GIMT_Encode4(2011281), // Rule ID 22839 //
     /* 2011197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2011200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2011208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2011211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2011214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2011217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2011220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011243 */     // MIs[0] round
     /* 2011243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011253 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E16_MASK),
     /* 2011256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011280 */     // GIR_Coverage, 22839,
     /* 2011280 */     GIR_EraseRootFromParent_Done,
     /* 2011281 */   // Label 26884: @2011281
     /* 2011281 */   GIM_Try, /*On fail goto*//*Label 26885*/ GIMT_Encode4(2011370), // Rule ID 22842 //
     /* 2011286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2011289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2011303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2011306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011332 */     // MIs[0] round
     /* 2011332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011342 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2011345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011369 */     // GIR_Coverage, 22842,
     /* 2011369 */     GIR_EraseRootFromParent_Done,
     /* 2011370 */   // Label 26885: @2011370
     /* 2011370 */   GIM_Try, /*On fail goto*//*Label 26886*/ GIMT_Encode4(2011459), // Rule ID 22843 //
     /* 2011375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2011378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2011386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2011389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2011392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2011395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2011398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011421 */     // MIs[0] round
     /* 2011421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011431 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E32_MASK),
     /* 2011434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2011454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011458 */     // GIR_Coverage, 22843,
     /* 2011458 */     GIR_EraseRootFromParent_Done,
     /* 2011459 */   // Label 26886: @2011459
     /* 2011459 */   GIM_Try, /*On fail goto*//*Label 26887*/ GIMT_Encode4(2011548), // Rule ID 22846 //
     /* 2011464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2011467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2011475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2011478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2011481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2011484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011510 */     // MIs[0] round
     /* 2011510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011520 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2011523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011547 */     // GIR_Coverage, 22846,
     /* 2011547 */     GIR_EraseRootFromParent_Done,
     /* 2011548 */   // Label 26887: @2011548
     /* 2011548 */   GIM_Try, /*On fail goto*//*Label 26888*/ GIMT_Encode4(2011637), // Rule ID 22847 //
     /* 2011553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2011556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2011564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2011567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2011570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2011573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2011576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011599 */     // MIs[0] round
     /* 2011599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011609 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M1_E64_MASK),
     /* 2011612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2011632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011636 */     // GIR_Coverage, 22847,
     /* 2011636 */     GIR_EraseRootFromParent_Done,
     /* 2011637 */   // Label 26888: @2011637
     /* 2011637 */   GIM_Try, /*On fail goto*//*Label 26889*/ GIMT_Encode4(2011726), // Rule ID 22850 //
     /* 2011642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2011645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2011653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2011656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2011662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011688 */     // MIs[0] round
     /* 2011688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011698 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2011701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011725 */     // GIR_Coverage, 22850,
     /* 2011725 */     GIR_EraseRootFromParent_Done,
     /* 2011726 */   // Label 26889: @2011726
     /* 2011726 */   GIM_Try, /*On fail goto*//*Label 26890*/ GIMT_Encode4(2011815), // Rule ID 22851 //
     /* 2011731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2011734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2011742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2011745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2011748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2011751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2011754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2011769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011777 */     // MIs[0] round
     /* 2011777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011787 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E16_MASK),
     /* 2011790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011814 */     // GIR_Coverage, 22851,
     /* 2011814 */     GIR_EraseRootFromParent_Done,
     /* 2011815 */   // Label 26890: @2011815
     /* 2011815 */   GIM_Try, /*On fail goto*//*Label 26891*/ GIMT_Encode4(2011904), // Rule ID 22854 //
     /* 2011820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2011823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2011831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2011834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2011840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2011846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011866 */     // MIs[0] round
     /* 2011866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011876 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2011876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2011879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011903 */     // GIR_Coverage, 22854,
     /* 2011903 */     GIR_EraseRootFromParent_Done,
     /* 2011904 */   // Label 26891: @2011904
     /* 2011904 */   GIM_Try, /*On fail goto*//*Label 26892*/ GIMT_Encode4(2011993), // Rule ID 22855 //
     /* 2011909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2011912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2011917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2011920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2011923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2011926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2011929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2011932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2011935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2011939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2011947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2011951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2011955 */     // MIs[0] round
     /* 2011955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2011958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2011965 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2011965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E16_MASK),
     /* 2011968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2011970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2011972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2011974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2011976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2011978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2011980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2011985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2011988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2011991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2011992 */     // GIR_Coverage, 22855,
     /* 2011992 */     GIR_EraseRootFromParent_Done,
     /* 2011993 */   // Label 26892: @2011993
     /* 2011993 */   GIM_Try, /*On fail goto*//*Label 26893*/ GIMT_Encode4(2012082), // Rule ID 22858 //
     /* 2011998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2012001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2012009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2012012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2012015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2012018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2012021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012044 */     // MIs[0] round
     /* 2012044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012054 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2012057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012081 */     // GIR_Coverage, 22858,
     /* 2012081 */     GIR_EraseRootFromParent_Done,
     /* 2012082 */   // Label 26893: @2012082
     /* 2012082 */   GIM_Try, /*On fail goto*//*Label 26894*/ GIMT_Encode4(2012171), // Rule ID 22859 //
     /* 2012087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2012090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2012098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2012101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2012104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2012107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2012110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012133 */     // MIs[0] round
     /* 2012133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012143 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11258:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E16_MASK),
     /* 2012146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2012166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012170 */     // GIR_Coverage, 22859,
     /* 2012170 */     GIR_EraseRootFromParent_Done,
     /* 2012171 */   // Label 26894: @2012171
     /* 2012171 */   GIM_Try, /*On fail goto*//*Label 26895*/ GIMT_Encode4(2012260), // Rule ID 22862 //
     /* 2012176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2012179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012222 */     // MIs[0] round
     /* 2012222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012232 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2012235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012259 */     // GIR_Coverage, 22862,
     /* 2012259 */     GIR_EraseRootFromParent_Done,
     /* 2012260 */   // Label 26895: @2012260
     /* 2012260 */   GIM_Try, /*On fail goto*//*Label 26896*/ GIMT_Encode4(2012349), // Rule ID 22863 //
     /* 2012265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2012268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2012282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012311 */     // MIs[0] round
     /* 2012311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012321 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E32_MASK),
     /* 2012324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012348 */     // GIR_Coverage, 22863,
     /* 2012348 */     GIR_EraseRootFromParent_Done,
     /* 2012349 */   // Label 26896: @2012349
     /* 2012349 */   GIM_Try, /*On fail goto*//*Label 26897*/ GIMT_Encode4(2012438), // Rule ID 22866 //
     /* 2012354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2012357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012400 */     // MIs[0] round
     /* 2012400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012410 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2012413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012437 */     // GIR_Coverage, 22866,
     /* 2012437 */     GIR_EraseRootFromParent_Done,
     /* 2012438 */   // Label 26897: @2012438
     /* 2012438 */   GIM_Try, /*On fail goto*//*Label 26898*/ GIMT_Encode4(2012527), // Rule ID 22867 //
     /* 2012443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2012446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2012460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2012466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012489 */     // MIs[0] round
     /* 2012489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012499 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E32_MASK),
     /* 2012502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012526 */     // GIR_Coverage, 22867,
     /* 2012526 */     GIR_EraseRootFromParent_Done,
     /* 2012527 */   // Label 26898: @2012527
     /* 2012527 */   GIM_Try, /*On fail goto*//*Label 26899*/ GIMT_Encode4(2012616), // Rule ID 22870 //
     /* 2012532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2012535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012578 */     // MIs[0] round
     /* 2012578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012588 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2012591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012615 */     // GIR_Coverage, 22870,
     /* 2012615 */     GIR_EraseRootFromParent_Done,
     /* 2012616 */   // Label 26899: @2012616
     /* 2012616 */   GIM_Try, /*On fail goto*//*Label 26900*/ GIMT_Encode4(2012705), // Rule ID 22871 //
     /* 2012621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2012624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2012632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2012635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2012638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2012641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2012644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2012659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012667 */     // MIs[0] round
     /* 2012667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012677 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11258:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E32_MASK),
     /* 2012680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2012700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012704 */     // GIR_Coverage, 22871,
     /* 2012704 */     GIR_EraseRootFromParent_Done,
     /* 2012705 */   // Label 26900: @2012705
     /* 2012705 */   GIM_Try, /*On fail goto*//*Label 26901*/ GIMT_Encode4(2012794), // Rule ID 22874 //
     /* 2012710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2012713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2012730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012756 */     // MIs[0] round
     /* 2012756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012766 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2012769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012793 */     // GIR_Coverage, 22874,
     /* 2012793 */     GIR_EraseRootFromParent_Done,
     /* 2012794 */   // Label 26901: @2012794
     /* 2012794 */   GIM_Try, /*On fail goto*//*Label 26902*/ GIMT_Encode4(2012883), // Rule ID 22875 //
     /* 2012799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2012802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2012816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2012819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2012822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2012825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2012837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012845 */     // MIs[0] round
     /* 2012845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012855 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2012855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M2_E64_MASK),
     /* 2012858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012882 */     // GIR_Coverage, 22875,
     /* 2012882 */     GIR_EraseRootFromParent_Done,
     /* 2012883 */   // Label 26902: @2012883
     /* 2012883 */   GIM_Try, /*On fail goto*//*Label 26903*/ GIMT_Encode4(2012972), // Rule ID 22878 //
     /* 2012888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2012891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2012908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2012911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2012914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2012918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2012926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2012930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2012934 */     // MIs[0] round
     /* 2012934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2012937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2012944 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2012944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2012947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2012949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2012951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2012953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2012955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2012957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2012959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2012964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2012967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2012970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2012971 */     // GIR_Coverage, 22878,
     /* 2012971 */     GIR_EraseRootFromParent_Done,
     /* 2012972 */   // Label 26903: @2012972
     /* 2012972 */   GIM_Try, /*On fail goto*//*Label 26904*/ GIMT_Encode4(2013061), // Rule ID 22879 //
     /* 2012977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2012980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2012985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2012988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2012991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2012994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2012997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2013015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013023 */     // MIs[0] round
     /* 2013023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013033 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M4_E64_MASK),
     /* 2013036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013060 */     // GIR_Coverage, 22879,
     /* 2013060 */     GIR_EraseRootFromParent_Done,
     /* 2013061 */   // Label 26904: @2013061
     /* 2013061 */   GIM_Try, /*On fail goto*//*Label 26905*/ GIMT_Encode4(2013150), // Rule ID 22882 //
     /* 2013066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2013069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2013074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2013083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2013086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013112 */     // MIs[0] round
     /* 2013112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013122 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2013125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013149 */     // GIR_Coverage, 22882,
     /* 2013149 */     GIR_EraseRootFromParent_Done,
     /* 2013150 */   // Label 26905: @2013150
     /* 2013150 */   GIM_Try, /*On fail goto*//*Label 26906*/ GIMT_Encode4(2013239), // Rule ID 22883 //
     /* 2013155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2013158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredosum_mask),
     /* 2013163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2013166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2013169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2013172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2013175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2013178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2013193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013201 */     // MIs[0] round
     /* 2013201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013211 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11258:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDOSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDOSUM_VS_M8_E64_MASK),
     /* 2013214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2013234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013238 */     // GIR_Coverage, 22883,
     /* 2013238 */     GIR_EraseRootFromParent_Done,
     /* 2013239 */   // Label 26906: @2013239
     /* 2013239 */   GIM_Try, /*On fail goto*//*Label 26907*/ GIMT_Encode4(2013328), // Rule ID 22886 //
     /* 2013244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2013247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2013255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2013258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013290 */     // MIs[0] round
     /* 2013290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013300 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2013303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013305 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013327 */     // GIR_Coverage, 22886,
     /* 2013327 */     GIR_EraseRootFromParent_Done,
     /* 2013328 */   // Label 26907: @2013328
     /* 2013328 */   GIM_Try, /*On fail goto*//*Label 26908*/ GIMT_Encode4(2013417), // Rule ID 22887 //
     /* 2013333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2013336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2013344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2013347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2013350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013379 */     // MIs[0] round
     /* 2013379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013389 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF4_E16_MASK),
     /* 2013392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013416 */     // GIR_Coverage, 22887,
     /* 2013416 */     GIR_EraseRootFromParent_Done,
     /* 2013417 */   // Label 26908: @2013417
     /* 2013417 */   GIM_Try, /*On fail goto*//*Label 26909*/ GIMT_Encode4(2013506), // Rule ID 22890 //
     /* 2013422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2013425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2013433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2013436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013468 */     // MIs[0] round
     /* 2013468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013478 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2013481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013505 */     // GIR_Coverage, 22890,
     /* 2013505 */     GIR_EraseRootFromParent_Done,
     /* 2013506 */   // Label 26909: @2013506
     /* 2013506 */   GIM_Try, /*On fail goto*//*Label 26910*/ GIMT_Encode4(2013595), // Rule ID 22891 //
     /* 2013511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2013514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2013522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2013525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2013528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013557 */     // MIs[0] round
     /* 2013557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013567 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E16_MASK),
     /* 2013570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013594 */     // GIR_Coverage, 22891,
     /* 2013594 */     GIR_EraseRootFromParent_Done,
     /* 2013595 */   // Label 26910: @2013595
     /* 2013595 */   GIM_Try, /*On fail goto*//*Label 26911*/ GIMT_Encode4(2013684), // Rule ID 22894 //
     /* 2013600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2013603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2013617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013646 */     // MIs[0] round
     /* 2013646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013656 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2013659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013683 */     // GIR_Coverage, 22894,
     /* 2013683 */     GIR_EraseRootFromParent_Done,
     /* 2013684 */   // Label 26911: @2013684
     /* 2013684 */   GIM_Try, /*On fail goto*//*Label 26912*/ GIMT_Encode4(2013773), // Rule ID 22895 //
     /* 2013689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2013692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2013706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2013712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013735 */     // MIs[0] round
     /* 2013735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013745 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_MF2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_MF2_E32_MASK),
     /* 2013748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013750 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2013768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013772 */     // GIR_Coverage, 22895,
     /* 2013772 */     GIR_EraseRootFromParent_Done,
     /* 2013773 */   // Label 26912: @2013773
     /* 2013773 */   GIM_Try, /*On fail goto*//*Label 26913*/ GIMT_Encode4(2013862), // Rule ID 22898 //
     /* 2013778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2013781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2013789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2013792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013824 */     // MIs[0] round
     /* 2013824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013834 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2013834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2013837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013861 */     // GIR_Coverage, 22898,
     /* 2013861 */     GIR_EraseRootFromParent_Done,
     /* 2013862 */   // Label 26913: @2013862
     /* 2013862 */   GIM_Try, /*On fail goto*//*Label 26914*/ GIMT_Encode4(2013951), // Rule ID 22899 //
     /* 2013867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2013870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2013878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2013881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2013884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2013887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2013890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2013893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2013913 */     // MIs[0] round
     /* 2013913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2013916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2013923 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2013923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E16_MASK),
     /* 2013926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2013928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2013930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2013932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2013934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2013936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2013938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2013943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2013946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2013949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2013950 */     // GIR_Coverage, 22899,
     /* 2013950 */     GIR_EraseRootFromParent_Done,
     /* 2013951 */   // Label 26914: @2013951
     /* 2013951 */   GIM_Try, /*On fail goto*//*Label 26915*/ GIMT_Encode4(2014040), // Rule ID 22902 //
     /* 2013956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2013959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2013964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2013967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2013970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2013973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2013976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2013979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2013982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2013986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2013998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014002 */     // MIs[0] round
     /* 2014002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014012 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2014015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014039 */     // GIR_Coverage, 22902,
     /* 2014039 */     GIR_EraseRootFromParent_Done,
     /* 2014040 */   // Label 26915: @2014040
     /* 2014040 */   GIM_Try, /*On fail goto*//*Label 26916*/ GIMT_Encode4(2014129), // Rule ID 22903 //
     /* 2014045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2014048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2014062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2014068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014091 */     // MIs[0] round
     /* 2014091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014101 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E32_MASK),
     /* 2014104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014128 */     // GIR_Coverage, 22903,
     /* 2014128 */     GIR_EraseRootFromParent_Done,
     /* 2014129 */   // Label 26916: @2014129
     /* 2014129 */   GIM_Try, /*On fail goto*//*Label 26917*/ GIMT_Encode4(2014218), // Rule ID 22906 //
     /* 2014134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2014137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2014151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2014154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014180 */     // MIs[0] round
     /* 2014180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014190 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2014193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014195 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014217 */     // GIR_Coverage, 22906,
     /* 2014217 */     GIR_EraseRootFromParent_Done,
     /* 2014218 */   // Label 26917: @2014218
     /* 2014218 */   GIM_Try, /*On fail goto*//*Label 26918*/ GIMT_Encode4(2014307), // Rule ID 22907 //
     /* 2014223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2014226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2014234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2014237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2014240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2014243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2014246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014269 */     // MIs[0] round
     /* 2014269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014279 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M1_E64_MASK),
     /* 2014282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2014302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014306 */     // GIR_Coverage, 22907,
     /* 2014306 */     GIR_EraseRootFromParent_Done,
     /* 2014307 */   // Label 26918: @2014307
     /* 2014307 */   GIM_Try, /*On fail goto*//*Label 26919*/ GIMT_Encode4(2014396), // Rule ID 22910 //
     /* 2014312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2014315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2014329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2014332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014358 */     // MIs[0] round
     /* 2014358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014368 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2014371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014395 */     // GIR_Coverage, 22910,
     /* 2014395 */     GIR_EraseRootFromParent_Done,
     /* 2014396 */   // Label 26919: @2014396
     /* 2014396 */   GIM_Try, /*On fail goto*//*Label 26920*/ GIMT_Encode4(2014485), // Rule ID 22911 //
     /* 2014401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2014404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2014418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2014421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2014424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014447 */     // MIs[0] round
     /* 2014447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014457 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E16_MASK),
     /* 2014460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014484 */     // GIR_Coverage, 22911,
     /* 2014484 */     GIR_EraseRootFromParent_Done,
     /* 2014485 */   // Label 26920: @2014485
     /* 2014485 */   GIM_Try, /*On fail goto*//*Label 26921*/ GIMT_Encode4(2014574), // Rule ID 22914 //
     /* 2014490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2014493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2014507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2014510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014536 */     // MIs[0] round
     /* 2014536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014546 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2014549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014573 */     // GIR_Coverage, 22914,
     /* 2014573 */     GIR_EraseRootFromParent_Done,
     /* 2014574 */   // Label 26921: @2014574
     /* 2014574 */   GIM_Try, /*On fail goto*//*Label 26922*/ GIMT_Encode4(2014663), // Rule ID 22915 //
     /* 2014579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2014582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2014596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2014599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2014602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2014617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014625 */     // MIs[0] round
     /* 2014625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014635 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E16_MASK),
     /* 2014638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014662 */     // GIR_Coverage, 22915,
     /* 2014662 */     GIR_EraseRootFromParent_Done,
     /* 2014663 */   // Label 26922: @2014663
     /* 2014663 */   GIM_Try, /*On fail goto*//*Label 26923*/ GIMT_Encode4(2014752), // Rule ID 22918 //
     /* 2014668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2014671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2014685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2014688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014714 */     // MIs[0] round
     /* 2014714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014724 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2014727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014751 */     // GIR_Coverage, 22918,
     /* 2014751 */     GIR_EraseRootFromParent_Done,
     /* 2014752 */   // Label 26923: @2014752
     /* 2014752 */   GIM_Try, /*On fail goto*//*Label 26924*/ GIMT_Encode4(2014841), // Rule ID 22919 //
     /* 2014757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2014760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2014768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2014771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2014774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2014777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2014780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2014795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014803 */     // MIs[0] round
     /* 2014803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014813 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11260:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E16_MASK),
     /* 2014816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2014836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014840 */     // GIR_Coverage, 22919,
     /* 2014840 */     GIR_EraseRootFromParent_Done,
     /* 2014841 */   // Label 26924: @2014841
     /* 2014841 */   GIM_Try, /*On fail goto*//*Label 26925*/ GIMT_Encode4(2014930), // Rule ID 22922 //
     /* 2014846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2014849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2014872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014892 */     // MIs[0] round
     /* 2014892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014902 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2014902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2014905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2014911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2014913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2014915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2014917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2014922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2014925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2014928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2014929 */     // GIR_Coverage, 22922,
     /* 2014929 */     GIR_EraseRootFromParent_Done,
     /* 2014930 */   // Label 26925: @2014930
     /* 2014930 */   GIM_Try, /*On fail goto*//*Label 26926*/ GIMT_Encode4(2015019), // Rule ID 22923 //
     /* 2014935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2014938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2014943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2014946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2014949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2014952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2014955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2014958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2014961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2014965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2014973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2014977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2014981 */     // MIs[0] round
     /* 2014981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2014984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2014991 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2014991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E32_MASK),
     /* 2014994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2014996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2014998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015018 */     // GIR_Coverage, 22923,
     /* 2015018 */     GIR_EraseRootFromParent_Done,
     /* 2015019 */   // Label 26926: @2015019
     /* 2015019 */   GIM_Try, /*On fail goto*//*Label 26927*/ GIMT_Encode4(2015108), // Rule ID 22926 //
     /* 2015024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2015027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2015044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015070 */     // MIs[0] round
     /* 2015070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015080 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2015083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015107 */     // GIR_Coverage, 22926,
     /* 2015107 */     GIR_EraseRootFromParent_Done,
     /* 2015108 */   // Label 26927: @2015108
     /* 2015108 */   GIM_Try, /*On fail goto*//*Label 26928*/ GIMT_Encode4(2015197), // Rule ID 22927 //
     /* 2015113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2015116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2015130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2015133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015159 */     // MIs[0] round
     /* 2015159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015169 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E32_MASK),
     /* 2015172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015196 */     // GIR_Coverage, 22927,
     /* 2015196 */     GIR_EraseRootFromParent_Done,
     /* 2015197 */   // Label 26928: @2015197
     /* 2015197 */   GIM_Try, /*On fail goto*//*Label 26929*/ GIMT_Encode4(2015286), // Rule ID 22930 //
     /* 2015202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2015205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2015222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015248 */     // MIs[0] round
     /* 2015248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015258 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2015261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015285 */     // GIR_Coverage, 22930,
     /* 2015285 */     GIR_EraseRootFromParent_Done,
     /* 2015286 */   // Label 26929: @2015286
     /* 2015286 */   GIM_Try, /*On fail goto*//*Label 26930*/ GIMT_Encode4(2015375), // Rule ID 22931 //
     /* 2015291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2015294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2015308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2015311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2015314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015337 */     // MIs[0] round
     /* 2015337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015347 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11260:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E32_MASK),
     /* 2015350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2015370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015374 */     // GIR_Coverage, 22931,
     /* 2015374 */     GIR_EraseRootFromParent_Done,
     /* 2015375 */   // Label 26930: @2015375
     /* 2015375 */   GIM_Try, /*On fail goto*//*Label 26931*/ GIMT_Encode4(2015464), // Rule ID 22934 //
     /* 2015380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2015383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015426 */     // MIs[0] round
     /* 2015426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015436 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2015439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2015459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015463 */     // GIR_Coverage, 22934,
     /* 2015463 */     GIR_EraseRootFromParent_Done,
     /* 2015464 */   // Label 26931: @2015464
     /* 2015464 */   GIM_Try, /*On fail goto*//*Label 26932*/ GIMT_Encode4(2015553), // Rule ID 22935 //
     /* 2015469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2015472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2015486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2015492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2015507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015515 */     // MIs[0] round
     /* 2015515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015525 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M2_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M2_E64_MASK),
     /* 2015528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2015548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015552 */     // GIR_Coverage, 22935,
     /* 2015552 */     GIR_EraseRootFromParent_Done,
     /* 2015553 */   // Label 26932: @2015553
     /* 2015553 */   GIM_Try, /*On fail goto*//*Label 26933*/ GIMT_Encode4(2015642), // Rule ID 22938 //
     /* 2015558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2015561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015604 */     // MIs[0] round
     /* 2015604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015614 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2015617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2015637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015641 */     // GIR_Coverage, 22938,
     /* 2015641 */     GIR_EraseRootFromParent_Done,
     /* 2015642 */   // Label 26933: @2015642
     /* 2015642 */   GIM_Try, /*On fail goto*//*Label 26934*/ GIMT_Encode4(2015731), // Rule ID 22939 //
     /* 2015647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2015650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2015664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2015670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2015685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015693 */     // MIs[0] round
     /* 2015693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015703 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M4_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M4_E64_MASK),
     /* 2015706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2015726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015730 */     // GIR_Coverage, 22939,
     /* 2015730 */     GIR_EraseRootFromParent_Done,
     /* 2015731 */   // Label 26934: @2015731
     /* 2015731 */   GIM_Try, /*On fail goto*//*Label 26935*/ GIMT_Encode4(2015820), // Rule ID 22942 //
     /* 2015736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2015739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2015753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015782 */     // MIs[0] round
     /* 2015782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015792 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2015795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2015815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015819 */     // GIR_Coverage, 22942,
     /* 2015819 */     GIR_EraseRootFromParent_Done,
     /* 2015820 */   // Label 26935: @2015820
     /* 2015820 */   GIM_Try, /*On fail goto*//*Label 26936*/ GIMT_Encode4(2015909), // Rule ID 22943 //
     /* 2015825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2015828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfredusum_mask),
     /* 2015833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2015836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2015839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2015842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2015845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2015848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2015851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2015863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015871 */     // MIs[0] round
     /* 2015871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015881 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11260:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFREDUSUM_VS_M8_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2015881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFREDUSUM_VS_M8_E64_MASK),
     /* 2015884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2015904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015908 */     // GIR_Coverage, 22943,
     /* 2015908 */     GIR_EraseRootFromParent_Done,
     /* 2015909 */   // Label 26936: @2015909
     /* 2015909 */   GIM_Try, /*On fail goto*//*Label 26937*/ GIMT_Encode4(2015998), // Rule ID 23066 //
     /* 2015914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2015917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2015922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2015925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2015928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2015931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2015934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2015937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2015940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2015944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2015956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2015960 */     // MIs[0] round
     /* 2015960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2015963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2015970 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2015970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2015973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2015975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2015977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2015979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2015981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2015983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2015985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2015990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2015993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2015996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2015997 */     // GIR_Coverage, 23066,
     /* 2015997 */     GIR_EraseRootFromParent_Done,
     /* 2015998 */   // Label 26937: @2015998
     /* 2015998 */   GIM_Try, /*On fail goto*//*Label 26938*/ GIMT_Encode4(2016087), // Rule ID 23067 //
     /* 2016003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2016006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2016020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2016023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016049 */     // MIs[0] round
     /* 2016049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016059 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2016059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF4_E16_MASK),
     /* 2016062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016086 */     // GIR_Coverage, 23067,
     /* 2016086 */     GIR_EraseRootFromParent_Done,
     /* 2016087 */   // Label 26938: @2016087
     /* 2016087 */   GIM_Try, /*On fail goto*//*Label 26939*/ GIMT_Encode4(2016176), // Rule ID 23070 //
     /* 2016092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2016095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2016112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016138 */     // MIs[0] round
     /* 2016138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016148 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2016148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2016151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016175 */     // GIR_Coverage, 23070,
     /* 2016175 */     GIR_EraseRootFromParent_Done,
     /* 2016176 */   // Label 26939: @2016176
     /* 2016176 */   GIM_Try, /*On fail goto*//*Label 26940*/ GIMT_Encode4(2016265), // Rule ID 23071 //
     /* 2016181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2016184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2016198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2016201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016227 */     // MIs[0] round
     /* 2016227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016237 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2016237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E16_MASK),
     /* 2016240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016264 */     // GIR_Coverage, 23071,
     /* 2016264 */     GIR_EraseRootFromParent_Done,
     /* 2016265 */   // Label 26940: @2016265
     /* 2016265 */   GIM_Try, /*On fail goto*//*Label 26941*/ GIMT_Encode4(2016354), // Rule ID 23074 //
     /* 2016270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2016273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2016281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2016284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2016290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016316 */     // MIs[0] round
     /* 2016316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016326 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2016326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2016329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016353 */     // GIR_Coverage, 23074,
     /* 2016353 */     GIR_EraseRootFromParent_Done,
     /* 2016354 */   // Label 26941: @2016354
     /* 2016354 */   GIM_Try, /*On fail goto*//*Label 26942*/ GIMT_Encode4(2016443), // Rule ID 23075 //
     /* 2016359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2016362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2016370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2016373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2016376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2016379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2016382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016405 */     // MIs[0] round
     /* 2016405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016415 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2016415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_MF2_E32_MASK),
     /* 2016418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016442 */     // GIR_Coverage, 23075,
     /* 2016442 */     GIR_EraseRootFromParent_Done,
     /* 2016443 */   // Label 26942: @2016443
     /* 2016443 */   GIM_Try, /*On fail goto*//*Label 26943*/ GIMT_Encode4(2016532), // Rule ID 23078 //
     /* 2016448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2016451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2016468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016494 */     // MIs[0] round
     /* 2016494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016504 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2016504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2016507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016531 */     // GIR_Coverage, 23078,
     /* 2016531 */     GIR_EraseRootFromParent_Done,
     /* 2016532 */   // Label 26943: @2016532
     /* 2016532 */   GIM_Try, /*On fail goto*//*Label 26944*/ GIMT_Encode4(2016621), // Rule ID 23079 //
     /* 2016537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2016540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2016554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2016557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2016560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016583 */     // MIs[0] round
     /* 2016583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016593 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2016593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E16_MASK),
     /* 2016596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016620 */     // GIR_Coverage, 23079,
     /* 2016620 */     GIR_EraseRootFromParent_Done,
     /* 2016621 */   // Label 26944: @2016621
     /* 2016621 */   GIM_Try, /*On fail goto*//*Label 26945*/ GIMT_Encode4(2016710), // Rule ID 23082 //
     /* 2016626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2016629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2016637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2016640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2016643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2016646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016672 */     // MIs[0] round
     /* 2016672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016682 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2016682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2016685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016709 */     // GIR_Coverage, 23082,
     /* 2016709 */     GIR_EraseRootFromParent_Done,
     /* 2016710 */   // Label 26945: @2016710
     /* 2016710 */   GIM_Try, /*On fail goto*//*Label 26946*/ GIMT_Encode4(2016799), // Rule ID 23083 //
     /* 2016715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2016718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2016726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2016729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2016732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2016735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2016738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016761 */     // MIs[0] round
     /* 2016761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016771 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2016771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M1_E32_MASK),
     /* 2016774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2016794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016798 */     // GIR_Coverage, 23083,
     /* 2016798 */     GIR_EraseRootFromParent_Done,
     /* 2016799 */   // Label 26946: @2016799
     /* 2016799 */   GIM_Try, /*On fail goto*//*Label 26947*/ GIMT_Encode4(2016888), // Rule ID 23086 //
     /* 2016804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2016807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2016821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2016824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2016830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016850 */     // MIs[0] round
     /* 2016850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016860 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2016860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2016863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016887 */     // GIR_Coverage, 23086,
     /* 2016887 */     GIR_EraseRootFromParent_Done,
     /* 2016888 */   // Label 26947: @2016888
     /* 2016888 */   GIM_Try, /*On fail goto*//*Label 26948*/ GIMT_Encode4(2016977), // Rule ID 23087 //
     /* 2016893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2016896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2016910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2016913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2016916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2016919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2016923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2016931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2016935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2016939 */     // MIs[0] round
     /* 2016939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2016942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2016949 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2016949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E16_MASK),
     /* 2016952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2016954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2016956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2016958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2016960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2016962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2016964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2016969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2016972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2016975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2016976 */     // GIR_Coverage, 23087,
     /* 2016976 */     GIR_EraseRootFromParent_Done,
     /* 2016977 */   // Label 26948: @2016977
     /* 2016977 */   GIM_Try, /*On fail goto*//*Label 26949*/ GIMT_Encode4(2017066), // Rule ID 23090 //
     /* 2016982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2016985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2016990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2016993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2016996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2016999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017028 */     // MIs[0] round
     /* 2017028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017038 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2017038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2017041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017065 */     // GIR_Coverage, 23090,
     /* 2017065 */     GIR_EraseRootFromParent_Done,
     /* 2017066 */   // Label 26949: @2017066
     /* 2017066 */   GIM_Try, /*On fail goto*//*Label 26950*/ GIMT_Encode4(2017155), // Rule ID 23091 //
     /* 2017071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2017074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2017088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017117 */     // MIs[0] round
     /* 2017117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017127 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2017127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E16_MASK),
     /* 2017130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017154 */     // GIR_Coverage, 23091,
     /* 2017154 */     GIR_EraseRootFromParent_Done,
     /* 2017155 */   // Label 26950: @2017155
     /* 2017155 */   GIM_Try, /*On fail goto*//*Label 26951*/ GIMT_Encode4(2017244), // Rule ID 23094 //
     /* 2017160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2017163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017206 */     // MIs[0] round
     /* 2017206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017216 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2017216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2017219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017243 */     // GIR_Coverage, 23094,
     /* 2017243 */     GIR_EraseRootFromParent_Done,
     /* 2017244 */   // Label 26951: @2017244
     /* 2017244 */   GIM_Try, /*On fail goto*//*Label 26952*/ GIMT_Encode4(2017333), // Rule ID 23095 //
     /* 2017249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2017252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2017266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2017272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017295 */     // MIs[0] round
     /* 2017295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017305 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11314:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2017305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E16_MASK),
     /* 2017308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017332 */     // GIR_Coverage, 23095,
     /* 2017332 */     GIR_EraseRootFromParent_Done,
     /* 2017333 */   // Label 26952: @2017333
     /* 2017333 */   GIM_Try, /*On fail goto*//*Label 26953*/ GIMT_Encode4(2017422), // Rule ID 23098 //
     /* 2017338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2017341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2017358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017384 */     // MIs[0] round
     /* 2017384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017394 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2017394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2017397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017421 */     // GIR_Coverage, 23098,
     /* 2017421 */     GIR_EraseRootFromParent_Done,
     /* 2017422 */   // Label 26953: @2017422
     /* 2017422 */   GIM_Try, /*On fail goto*//*Label 26954*/ GIMT_Encode4(2017511), // Rule ID 23099 //
     /* 2017427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2017430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2017444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2017447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2017450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2017465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017473 */     // MIs[0] round
     /* 2017473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017483 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2017483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M2_E32_MASK),
     /* 2017486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017510 */     // GIR_Coverage, 23099,
     /* 2017510 */     GIR_EraseRootFromParent_Done,
     /* 2017511 */   // Label 26954: @2017511
     /* 2017511 */   GIM_Try, /*On fail goto*//*Label 26955*/ GIMT_Encode4(2017600), // Rule ID 23102 //
     /* 2017516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2017519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2017533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2017536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017562 */     // MIs[0] round
     /* 2017562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017572 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2017572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2017575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017577 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017599 */     // GIR_Coverage, 23102,
     /* 2017599 */     GIR_EraseRootFromParent_Done,
     /* 2017600 */   // Label 26955: @2017600
     /* 2017600 */   GIM_Try, /*On fail goto*//*Label 26956*/ GIMT_Encode4(2017689), // Rule ID 23103 //
     /* 2017605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2017608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2017622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2017625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2017628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2017643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017651 */     // MIs[0] round
     /* 2017651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017661 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2017661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M4_E32_MASK),
     /* 2017664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017666 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017688 */     // GIR_Coverage, 23103,
     /* 2017688 */     GIR_EraseRootFromParent_Done,
     /* 2017689 */   // Label 26956: @2017689
     /* 2017689 */   GIM_Try, /*On fail goto*//*Label 26957*/ GIMT_Encode4(2017778), // Rule ID 23106 //
     /* 2017694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2017697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2017711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2017714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017740 */     // MIs[0] round
     /* 2017740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017750 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2017750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2017753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017777 */     // GIR_Coverage, 23106,
     /* 2017777 */     GIR_EraseRootFromParent_Done,
     /* 2017778 */   // Label 26957: @2017778
     /* 2017778 */   GIM_Try, /*On fail goto*//*Label 26958*/ GIMT_Encode4(2017867), // Rule ID 23107 //
     /* 2017783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2017786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredusum_mask),
     /* 2017791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2017794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2017797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2017800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2017803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2017806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2017821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017829 */     // MIs[0] round
     /* 2017829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017839 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11314:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDUSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2017839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDUSUM_VS_M8_E32_MASK),
     /* 2017842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2017862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017866 */     // GIR_Coverage, 23107,
     /* 2017866 */     GIR_EraseRootFromParent_Done,
     /* 2017867 */   // Label 26958: @2017867
     /* 2017867 */   GIM_Try, /*On fail goto*//*Label 26959*/ GIMT_Encode4(2017956), // Rule ID 23110 //
     /* 2017872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2017875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2017880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2017889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2017898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2017918 */     // MIs[0] round
     /* 2017918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2017921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2017928 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2017928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2017931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2017933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2017935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2017937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2017939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2017941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2017943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2017948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2017951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2017954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2017955 */     // GIR_Coverage, 23110,
     /* 2017955 */     GIR_EraseRootFromParent_Done,
     /* 2017956 */   // Label 26959: @2017956
     /* 2017956 */   GIM_Try, /*On fail goto*//*Label 26960*/ GIMT_Encode4(2018045), // Rule ID 23111 //
     /* 2017961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2017964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2017969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2017972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2017975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2017978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2017981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2017984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2017987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2017991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2017999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018007 */     // MIs[0] round
     /* 2018007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018017 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2018017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF4_E16_MASK),
     /* 2018020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018022 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018044 */     // GIR_Coverage, 23111,
     /* 2018044 */     GIR_EraseRootFromParent_Done,
     /* 2018045 */   // Label 26960: @2018045
     /* 2018045 */   GIM_Try, /*On fail goto*//*Label 26961*/ GIMT_Encode4(2018134), // Rule ID 23114 //
     /* 2018050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2018053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2018067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018096 */     // MIs[0] round
     /* 2018096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018106 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2018106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2018109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018133 */     // GIR_Coverage, 23114,
     /* 2018133 */     GIR_EraseRootFromParent_Done,
     /* 2018134 */   // Label 26961: @2018134
     /* 2018134 */   GIM_Try, /*On fail goto*//*Label 26962*/ GIMT_Encode4(2018223), // Rule ID 23115 //
     /* 2018139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2018142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2018156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018185 */     // MIs[0] round
     /* 2018185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018195 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2018195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E16_MASK),
     /* 2018198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018222 */     // GIR_Coverage, 23115,
     /* 2018222 */     GIR_EraseRootFromParent_Done,
     /* 2018223 */   // Label 26962: @2018223
     /* 2018223 */   GIM_Try, /*On fail goto*//*Label 26963*/ GIMT_Encode4(2018312), // Rule ID 23118 //
     /* 2018228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2018231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2018245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2018248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018274 */     // MIs[0] round
     /* 2018274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018284 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2018284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2018287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018311 */     // GIR_Coverage, 23118,
     /* 2018311 */     GIR_EraseRootFromParent_Done,
     /* 2018312 */   // Label 26963: @2018312
     /* 2018312 */   GIM_Try, /*On fail goto*//*Label 26964*/ GIMT_Encode4(2018401), // Rule ID 23119 //
     /* 2018317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2018320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2018334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2018337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2018340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018363 */     // MIs[0] round
     /* 2018363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018373 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2018373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_MF2_E32_MASK),
     /* 2018376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018378 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018400 */     // GIR_Coverage, 23119,
     /* 2018400 */     GIR_EraseRootFromParent_Done,
     /* 2018401 */   // Label 26964: @2018401
     /* 2018401 */   GIM_Try, /*On fail goto*//*Label 26965*/ GIMT_Encode4(2018490), // Rule ID 23122 //
     /* 2018406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2018409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2018423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018452 */     // MIs[0] round
     /* 2018452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018462 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2018462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2018465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018489 */     // GIR_Coverage, 23122,
     /* 2018489 */     GIR_EraseRootFromParent_Done,
     /* 2018490 */   // Label 26965: @2018490
     /* 2018490 */   GIM_Try, /*On fail goto*//*Label 26966*/ GIMT_Encode4(2018579), // Rule ID 23123 //
     /* 2018495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2018498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2018512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2018518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018541 */     // MIs[0] round
     /* 2018541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018551 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2018551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E16_MASK),
     /* 2018554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018578 */     // GIR_Coverage, 23123,
     /* 2018578 */     GIR_EraseRootFromParent_Done,
     /* 2018579 */   // Label 26966: @2018579
     /* 2018579 */   GIM_Try, /*On fail goto*//*Label 26967*/ GIMT_Encode4(2018668), // Rule ID 23126 //
     /* 2018584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2018587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2018601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2018604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018630 */     // MIs[0] round
     /* 2018630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2018640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2018643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018667 */     // GIR_Coverage, 23126,
     /* 2018667 */     GIR_EraseRootFromParent_Done,
     /* 2018668 */   // Label 26967: @2018668
     /* 2018668 */   GIM_Try, /*On fail goto*//*Label 26968*/ GIMT_Encode4(2018757), // Rule ID 23127 //
     /* 2018673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2018676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2018684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2018687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2018690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2018693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2018696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018719 */     // MIs[0] round
     /* 2018719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018729 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M1_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2018729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M1_E32_MASK),
     /* 2018732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2018752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018756 */     // GIR_Coverage, 23127,
     /* 2018756 */     GIR_EraseRootFromParent_Done,
     /* 2018757 */   // Label 26968: @2018757
     /* 2018757 */   GIM_Try, /*On fail goto*//*Label 26969*/ GIMT_Encode4(2018846), // Rule ID 23130 //
     /* 2018762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2018765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2018779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018808 */     // MIs[0] round
     /* 2018808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018818 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2018818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2018821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018845 */     // GIR_Coverage, 23130,
     /* 2018845 */     GIR_EraseRootFromParent_Done,
     /* 2018846 */   // Label 26969: @2018846
     /* 2018846 */   GIM_Try, /*On fail goto*//*Label 26970*/ GIMT_Encode4(2018935), // Rule ID 23131 //
     /* 2018851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2018854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2018868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2018874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2018877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2018889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018897 */     // MIs[0] round
     /* 2018897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018907 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2018907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E16_MASK),
     /* 2018910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2018912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2018914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2018916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2018918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2018920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2018922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2018927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2018930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2018933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2018934 */     // GIR_Coverage, 23131,
     /* 2018934 */     GIR_EraseRootFromParent_Done,
     /* 2018935 */   // Label 26970: @2018935
     /* 2018935 */   GIM_Try, /*On fail goto*//*Label 26971*/ GIMT_Encode4(2019024), // Rule ID 23134 //
     /* 2018940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2018943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2018948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2018951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2018954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2018957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2018960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2018963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2018966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2018970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2018978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2018982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2018986 */     // MIs[0] round
     /* 2018986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2018989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2018996 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2018996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2018999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019023 */     // GIR_Coverage, 23134,
     /* 2019023 */     GIR_EraseRootFromParent_Done,
     /* 2019024 */   // Label 26971: @2019024
     /* 2019024 */   GIM_Try, /*On fail goto*//*Label 26972*/ GIMT_Encode4(2019113), // Rule ID 23135 //
     /* 2019029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2019032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2019046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2019049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019075 */     // MIs[0] round
     /* 2019075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019085 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2019085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E16_MASK),
     /* 2019088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019112 */     // GIR_Coverage, 23135,
     /* 2019112 */     GIR_EraseRootFromParent_Done,
     /* 2019113 */   // Label 26972: @2019113
     /* 2019113 */   GIM_Try, /*On fail goto*//*Label 26973*/ GIMT_Encode4(2019202), // Rule ID 23138 //
     /* 2019118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2019121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2019135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2019138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2019141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019164 */     // MIs[0] round
     /* 2019164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019174 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2019174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2019177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019201 */     // GIR_Coverage, 23138,
     /* 2019201 */     GIR_EraseRootFromParent_Done,
     /* 2019202 */   // Label 26973: @2019202
     /* 2019202 */   GIM_Try, /*On fail goto*//*Label 26974*/ GIMT_Encode4(2019291), // Rule ID 23139 //
     /* 2019207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2019210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2019218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2019221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2019224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2019227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2019230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019253 */     // MIs[0] round
     /* 2019253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019263 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11312:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2019263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E16_MASK),
     /* 2019266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2019286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019290 */     // GIR_Coverage, 23139,
     /* 2019290 */     GIR_EraseRootFromParent_Done,
     /* 2019291 */   // Label 26974: @2019291
     /* 2019291 */   GIM_Try, /*On fail goto*//*Label 26975*/ GIMT_Encode4(2019380), // Rule ID 23142 //
     /* 2019296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2019310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2019316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019342 */     // MIs[0] round
     /* 2019342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019352 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2019352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2019355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019379 */     // GIR_Coverage, 23142,
     /* 2019379 */     GIR_EraseRootFromParent_Done,
     /* 2019380 */   // Label 26975: @2019380
     /* 2019380 */   GIM_Try, /*On fail goto*//*Label 26976*/ GIMT_Encode4(2019469), // Rule ID 23143 //
     /* 2019385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2019399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2019402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2019405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2019408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2019423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019431 */     // MIs[0] round
     /* 2019431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019441 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2019441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M2_E32_MASK),
     /* 2019444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019468 */     // GIR_Coverage, 23143,
     /* 2019468 */     GIR_EraseRootFromParent_Done,
     /* 2019469 */   // Label 26976: @2019469
     /* 2019469 */   GIM_Try, /*On fail goto*//*Label 26977*/ GIMT_Encode4(2019558), // Rule ID 23146 //
     /* 2019474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2019488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2019494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019520 */     // MIs[0] round
     /* 2019520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019530 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2019530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2019533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019557 */     // GIR_Coverage, 23146,
     /* 2019557 */     GIR_EraseRootFromParent_Done,
     /* 2019558 */   // Label 26977: @2019558
     /* 2019558 */   GIM_Try, /*On fail goto*//*Label 26978*/ GIMT_Encode4(2019647), // Rule ID 23147 //
     /* 2019563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2019577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2019580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2019583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2019586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2019601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019609 */     // MIs[0] round
     /* 2019609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019619 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M4_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2019619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M4_E32_MASK),
     /* 2019622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019646 */     // GIR_Coverage, 23147,
     /* 2019646 */     GIR_EraseRootFromParent_Done,
     /* 2019647 */   // Label 26978: @2019647
     /* 2019647 */   GIM_Try, /*On fail goto*//*Label 26979*/ GIMT_Encode4(2019736), // Rule ID 23150 //
     /* 2019652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2019655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2019666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2019669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2019672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019698 */     // MIs[0] round
     /* 2019698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019708 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2019708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2019711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019735 */     // GIR_Coverage, 23150,
     /* 2019735 */     GIR_EraseRootFromParent_Done,
     /* 2019736 */   // Label 26979: @2019736
     /* 2019736 */   GIM_Try, /*On fail goto*//*Label 26980*/ GIMT_Encode4(2019825), // Rule ID 23151 //
     /* 2019741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2019744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwredosum_mask),
     /* 2019749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2019752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2019755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2019758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2019761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2019764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2019779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019787 */     // MIs[0] round
     /* 2019787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019797 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11312:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVFWREDOSUM_VS_M8_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2019797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWREDOSUM_VS_M8_E32_MASK),
     /* 2019800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2019804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2019808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2019820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2019823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019824 */     // GIR_Coverage, 23151,
     /* 2019824 */     GIR_EraseRootFromParent_Done,
     /* 2019825 */   // Label 26980: @2019825
     /* 2019825 */   GIM_Reject,
     /* 2019826 */ // Label 19924: @2019826
     /* 2019826 */ GIM_Try, /*On fail goto*//*Label 26981*/ GIMT_Encode4(2210311),
     /* 2019831 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/9,
     /* 2019834 */   GIM_Try, /*On fail goto*//*Label 26982*/ GIMT_Encode4(2019936), // Rule ID 15986 //
     /* 2019839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2019842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2019850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2019853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2019856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2019859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2019865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019889 */     // MIs[1] Operand 1
     /* 2019889 */     // No operand predicates
     /* 2019889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019893 */     // MIs[0] round
     /* 2019893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019896 */     // MIs[0] policy
     /* 2019896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2019899 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2019901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2019908 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2019908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2019911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2019913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2019915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2019917 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2019920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2019922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2019924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2019929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2019932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2019934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2019935 */     // GIR_Coverage, 15986,
     /* 2019935 */     GIR_EraseRootFromParent_Done,
     /* 2019936 */   // Label 26982: @2019936
     /* 2019936 */   GIM_Try, /*On fail goto*//*Label 26983*/ GIMT_Encode4(2020038), // Rule ID 15987 //
     /* 2019941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2019944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2019949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2019952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2019955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2019958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2019961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2019964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2019967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2019971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2019979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2019983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2019987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2019991 */     // MIs[1] Operand 1
     /* 2019991 */     // No operand predicates
     /* 2019991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2019995 */     // MIs[0] round
     /* 2019995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2019998 */     // MIs[0] policy
     /* 2019998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020001 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020010 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF8_MASK),
     /* 2020013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020019 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020037 */     // GIR_Coverage, 15987,
     /* 2020037 */     GIR_EraseRootFromParent_Done,
     /* 2020038 */   // Label 26983: @2020038
     /* 2020038 */   GIM_Try, /*On fail goto*//*Label 26984*/ GIMT_Encode4(2020140), // Rule ID 15990 //
     /* 2020043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2020054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2020057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2020060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020081 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020085 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020089 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020093 */     // MIs[1] Operand 1
     /* 2020093 */     // No operand predicates
     /* 2020093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020097 */     // MIs[0] round
     /* 2020097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020100 */     // MIs[0] policy
     /* 2020100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020103 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020112 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2020115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020121 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020139 */     // GIR_Coverage, 15990,
     /* 2020139 */     GIR_EraseRootFromParent_Done,
     /* 2020140 */   // Label 26984: @2020140
     /* 2020140 */   GIM_Try, /*On fail goto*//*Label 26985*/ GIMT_Encode4(2020242), // Rule ID 15991 //
     /* 2020145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2020156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2020159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2020162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020183 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020187 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020191 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020195 */     // MIs[1] Operand 1
     /* 2020195 */     // No operand predicates
     /* 2020195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020199 */     // MIs[0] round
     /* 2020199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020202 */     // MIs[0] policy
     /* 2020202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020205 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020214 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2020217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020223 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020241 */     // GIR_Coverage, 15991,
     /* 2020241 */     GIR_EraseRootFromParent_Done,
     /* 2020242 */   // Label 26985: @2020242
     /* 2020242 */   GIM_Try, /*On fail goto*//*Label 26986*/ GIMT_Encode4(2020344), // Rule ID 15994 //
     /* 2020247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2020258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2020261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2020264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020285 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020289 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020293 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020297 */     // MIs[1] Operand 1
     /* 2020297 */     // No operand predicates
     /* 2020297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020301 */     // MIs[0] round
     /* 2020301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020304 */     // MIs[0] policy
     /* 2020304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020316 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2020319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020343 */     // GIR_Coverage, 15994,
     /* 2020343 */     GIR_EraseRootFromParent_Done,
     /* 2020344 */   // Label 26986: @2020344
     /* 2020344 */   GIM_Try, /*On fail goto*//*Label 26987*/ GIMT_Encode4(2020446), // Rule ID 15995 //
     /* 2020349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2020360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2020363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2020366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2020372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020387 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020391 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020395 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020399 */     // MIs[1] Operand 1
     /* 2020399 */     // No operand predicates
     /* 2020399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020403 */     // MIs[0] round
     /* 2020403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020406 */     // MIs[0] policy
     /* 2020406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020418 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2020421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2020442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020445 */     // GIR_Coverage, 15995,
     /* 2020445 */     GIR_EraseRootFromParent_Done,
     /* 2020446 */   // Label 26987: @2020446
     /* 2020446 */   GIM_Try, /*On fail goto*//*Label 26988*/ GIMT_Encode4(2020548), // Rule ID 15998 //
     /* 2020451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2020462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2020465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2020468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020497 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020501 */     // MIs[1] Operand 1
     /* 2020501 */     // No operand predicates
     /* 2020501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020505 */     // MIs[0] round
     /* 2020505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020508 */     // MIs[0] policy
     /* 2020508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020511 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020520 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2020523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020529 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020547 */     // GIR_Coverage, 15998,
     /* 2020547 */     GIR_EraseRootFromParent_Done,
     /* 2020548 */   // Label 26988: @2020548
     /* 2020548 */   GIM_Try, /*On fail goto*//*Label 26989*/ GIMT_Encode4(2020650), // Rule ID 15999 //
     /* 2020553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2020564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2020567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2020570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020591 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020595 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020599 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020603 */     // MIs[1] Operand 1
     /* 2020603 */     // No operand predicates
     /* 2020603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020607 */     // MIs[0] round
     /* 2020607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020610 */     // MIs[0] policy
     /* 2020610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020622 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF4_MASK),
     /* 2020625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020631 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020649 */     // GIR_Coverage, 15999,
     /* 2020649 */     GIR_EraseRootFromParent_Done,
     /* 2020650 */   // Label 26989: @2020650
     /* 2020650 */   GIM_Try, /*On fail goto*//*Label 26990*/ GIMT_Encode4(2020752), // Rule ID 16002 //
     /* 2020655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2020666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2020669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2020672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020705 */     // MIs[1] Operand 1
     /* 2020705 */     // No operand predicates
     /* 2020705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020709 */     // MIs[0] round
     /* 2020709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020712 */     // MIs[0] policy
     /* 2020712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020724 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2020727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020751 */     // GIR_Coverage, 16002,
     /* 2020751 */     GIR_EraseRootFromParent_Done,
     /* 2020752 */   // Label 26990: @2020752
     /* 2020752 */   GIM_Try, /*On fail goto*//*Label 26991*/ GIMT_Encode4(2020854), // Rule ID 16003 //
     /* 2020757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2020768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2020771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2020774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2020780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020795 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020799 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020803 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020807 */     // MIs[1] Operand 1
     /* 2020807 */     // No operand predicates
     /* 2020807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020811 */     // MIs[0] round
     /* 2020811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020814 */     // MIs[0] policy
     /* 2020814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020817 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020826 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2020826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2020829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020835 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2020850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020853 */     // GIR_Coverage, 16003,
     /* 2020853 */     GIR_EraseRootFromParent_Done,
     /* 2020854 */   // Label 26991: @2020854
     /* 2020854 */   GIM_Try, /*On fail goto*//*Label 26992*/ GIMT_Encode4(2020956), // Rule ID 16006 //
     /* 2020859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2020862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2020870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2020873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2020876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2020879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2020885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2020901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2020905 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2020909 */     // MIs[1] Operand 1
     /* 2020909 */     // No operand predicates
     /* 2020909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2020913 */     // MIs[0] round
     /* 2020913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2020916 */     // MIs[0] policy
     /* 2020916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2020919 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2020921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2020928 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2020928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2020931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2020933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2020935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2020937 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2020940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2020942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2020944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2020949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2020952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2020954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2020955 */     // GIR_Coverage, 16006,
     /* 2020955 */     GIR_EraseRootFromParent_Done,
     /* 2020956 */   // Label 26992: @2020956
     /* 2020956 */   GIM_Try, /*On fail goto*//*Label 26993*/ GIMT_Encode4(2021058), // Rule ID 16007 //
     /* 2020961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2020964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2020969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2020972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2020975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2020978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2020981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2020984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2020987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2020991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2020999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021007 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021011 */     // MIs[1] Operand 1
     /* 2021011 */     // No operand predicates
     /* 2021011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021015 */     // MIs[0] round
     /* 2021015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021018 */     // MIs[0] policy
     /* 2021018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021021 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021030 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_MF2_MASK),
     /* 2021033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021039 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021057 */     // GIR_Coverage, 16007,
     /* 2021057 */     GIR_EraseRootFromParent_Done,
     /* 2021058 */   // Label 26993: @2021058
     /* 2021058 */   GIM_Try, /*On fail goto*//*Label 26994*/ GIMT_Encode4(2021160), // Rule ID 16010 //
     /* 2021063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2021074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2021077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2021080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021101 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021105 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021109 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021113 */     // MIs[1] Operand 1
     /* 2021113 */     // No operand predicates
     /* 2021113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021117 */     // MIs[0] round
     /* 2021117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021120 */     // MIs[0] policy
     /* 2021120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021123 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021132 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2021135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021141 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021159 */     // GIR_Coverage, 16010,
     /* 2021159 */     GIR_EraseRootFromParent_Done,
     /* 2021160 */   // Label 26994: @2021160
     /* 2021160 */   GIM_Try, /*On fail goto*//*Label 26995*/ GIMT_Encode4(2021262), // Rule ID 16011 //
     /* 2021165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2021176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2021179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2021182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2021188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021203 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021207 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021211 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021215 */     // MIs[1] Operand 1
     /* 2021215 */     // No operand predicates
     /* 2021215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021219 */     // MIs[0] round
     /* 2021219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021222 */     // MIs[0] policy
     /* 2021222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021225 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021234 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2021237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021243 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021261 */     // GIR_Coverage, 16011,
     /* 2021261 */     GIR_EraseRootFromParent_Done,
     /* 2021262 */   // Label 26995: @2021262
     /* 2021262 */   GIM_Try, /*On fail goto*//*Label 26996*/ GIMT_Encode4(2021364), // Rule ID 16014 //
     /* 2021267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2021278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2021281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2021284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021305 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021309 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021313 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021317 */     // MIs[1] Operand 1
     /* 2021317 */     // No operand predicates
     /* 2021317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021321 */     // MIs[0] round
     /* 2021321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021324 */     // MIs[0] policy
     /* 2021324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021327 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021336 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2021339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021345 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021363 */     // GIR_Coverage, 16014,
     /* 2021363 */     GIR_EraseRootFromParent_Done,
     /* 2021364 */   // Label 26996: @2021364
     /* 2021364 */   GIM_Try, /*On fail goto*//*Label 26997*/ GIMT_Encode4(2021466), // Rule ID 16015 //
     /* 2021369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2021380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2021383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2021386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2021392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021415 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021419 */     // MIs[1] Operand 1
     /* 2021419 */     // No operand predicates
     /* 2021419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021423 */     // MIs[0] round
     /* 2021423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021426 */     // MIs[0] policy
     /* 2021426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021438 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2021441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2021462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021465 */     // GIR_Coverage, 16015,
     /* 2021465 */     GIR_EraseRootFromParent_Done,
     /* 2021466 */   // Label 26997: @2021466
     /* 2021466 */   GIM_Try, /*On fail goto*//*Label 26998*/ GIMT_Encode4(2021568), // Rule ID 16018 //
     /* 2021471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2021488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021517 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021521 */     // MIs[1] Operand 1
     /* 2021521 */     // No operand predicates
     /* 2021521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021525 */     // MIs[0] round
     /* 2021525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021528 */     // MIs[0] policy
     /* 2021528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021540 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2021543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021545 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021567 */     // GIR_Coverage, 16018,
     /* 2021567 */     GIR_EraseRootFromParent_Done,
     /* 2021568 */   // Label 26998: @2021568
     /* 2021568 */   GIM_Try, /*On fail goto*//*Label 26999*/ GIMT_Encode4(2021670), // Rule ID 16019 //
     /* 2021573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2021584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2021587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2021590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2021596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021611 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021615 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021619 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021623 */     // MIs[1] Operand 1
     /* 2021623 */     // No operand predicates
     /* 2021623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021627 */     // MIs[0] round
     /* 2021627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021630 */     // MIs[0] policy
     /* 2021630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021642 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2021645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021651 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2021666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021669 */     // GIR_Coverage, 16019,
     /* 2021669 */     GIR_EraseRootFromParent_Done,
     /* 2021670 */   // Label 26999: @2021670
     /* 2021670 */   GIM_Try, /*On fail goto*//*Label 27000*/ GIMT_Encode4(2021772), // Rule ID 16022 //
     /* 2021675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2021678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2021686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2021689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2021692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021713 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021717 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021721 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021725 */     // MIs[1] Operand 1
     /* 2021725 */     // No operand predicates
     /* 2021725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021729 */     // MIs[0] round
     /* 2021729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021732 */     // MIs[0] policy
     /* 2021732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021735 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021744 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2021747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021753 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2021768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021771 */     // GIR_Coverage, 16022,
     /* 2021771 */     GIR_EraseRootFromParent_Done,
     /* 2021772 */   // Label 27000: @2021772
     /* 2021772 */   GIM_Try, /*On fail goto*//*Label 27001*/ GIMT_Encode4(2021874), // Rule ID 16023 //
     /* 2021777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2021780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2021788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2021791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2021794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2021797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2021800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2021803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2021807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2021815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021827 */     // MIs[1] Operand 1
     /* 2021827 */     // No operand predicates
     /* 2021827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021831 */     // MIs[0] round
     /* 2021831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021834 */     // MIs[0] policy
     /* 2021834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021837 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021846 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2021846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M1_MASK),
     /* 2021849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021855 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2021870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021873 */     // GIR_Coverage, 16023,
     /* 2021873 */     GIR_EraseRootFromParent_Done,
     /* 2021874 */   // Label 27001: @2021874
     /* 2021874 */   GIM_Try, /*On fail goto*//*Label 27002*/ GIMT_Encode4(2021976), // Rule ID 16026 //
     /* 2021879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2021882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2021890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2021893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2021896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2021899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2021902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2021905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2021909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2021917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2021921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2021925 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2021929 */     // MIs[1] Operand 1
     /* 2021929 */     // No operand predicates
     /* 2021929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2021933 */     // MIs[0] round
     /* 2021933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2021936 */     // MIs[0] policy
     /* 2021936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2021939 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2021941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2021948 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2021948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2021951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2021953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2021955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2021957 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2021960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2021962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2021964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2021969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2021972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2021974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2021975 */     // GIR_Coverage, 16026,
     /* 2021975 */     GIR_EraseRootFromParent_Done,
     /* 2021976 */   // Label 27002: @2021976
     /* 2021976 */   GIM_Try, /*On fail goto*//*Label 27003*/ GIMT_Encode4(2022078), // Rule ID 16027 //
     /* 2021981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2021984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2021989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2021992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2021995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2021998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022019 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022023 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022027 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022031 */     // MIs[1] Operand 1
     /* 2022031 */     // No operand predicates
     /* 2022031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022035 */     // MIs[0] round
     /* 2022035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022038 */     // MIs[0] policy
     /* 2022038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022050 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2022053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022077 */     // GIR_Coverage, 16027,
     /* 2022077 */     GIR_EraseRootFromParent_Done,
     /* 2022078 */   // Label 27003: @2022078
     /* 2022078 */   GIM_Try, /*On fail goto*//*Label 27004*/ GIMT_Encode4(2022180), // Rule ID 16030 //
     /* 2022083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2022094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2022097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2022100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2022106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022121 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022125 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022129 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022133 */     // MIs[1] Operand 1
     /* 2022133 */     // No operand predicates
     /* 2022133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022137 */     // MIs[0] round
     /* 2022137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022140 */     // MIs[0] policy
     /* 2022140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022152 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2022155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022179 */     // GIR_Coverage, 16030,
     /* 2022179 */     GIR_EraseRootFromParent_Done,
     /* 2022180 */   // Label 27004: @2022180
     /* 2022180 */   GIM_Try, /*On fail goto*//*Label 27005*/ GIMT_Encode4(2022282), // Rule ID 16031 //
     /* 2022185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2022196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2022199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2022202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2022208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022231 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022235 */     // MIs[1] Operand 1
     /* 2022235 */     // No operand predicates
     /* 2022235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022239 */     // MIs[0] round
     /* 2022239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022242 */     // MIs[0] policy
     /* 2022242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022245 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022254 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2022257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022263 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022281 */     // GIR_Coverage, 16031,
     /* 2022281 */     GIR_EraseRootFromParent_Done,
     /* 2022282 */   // Label 27005: @2022282
     /* 2022282 */   GIM_Try, /*On fail goto*//*Label 27006*/ GIMT_Encode4(2022384), // Rule ID 16034 //
     /* 2022287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2022298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2022301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2022304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2022310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022325 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022329 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022333 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022337 */     // MIs[1] Operand 1
     /* 2022337 */     // No operand predicates
     /* 2022337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022341 */     // MIs[0] round
     /* 2022341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022344 */     // MIs[0] policy
     /* 2022344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022347 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022356 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2022359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022365 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022383 */     // GIR_Coverage, 16034,
     /* 2022383 */     GIR_EraseRootFromParent_Done,
     /* 2022384 */   // Label 27006: @2022384
     /* 2022384 */   GIM_Try, /*On fail goto*//*Label 27007*/ GIMT_Encode4(2022486), // Rule ID 16035 //
     /* 2022389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2022400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2022403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2022406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2022412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022439 */     // MIs[1] Operand 1
     /* 2022439 */     // No operand predicates
     /* 2022439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022443 */     // MIs[0] round
     /* 2022443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022446 */     // MIs[0] policy
     /* 2022446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022449 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022458 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2022461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022467 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2022482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022485 */     // GIR_Coverage, 16035,
     /* 2022485 */     GIR_EraseRootFromParent_Done,
     /* 2022486 */   // Label 27007: @2022486
     /* 2022486 */   GIM_Try, /*On fail goto*//*Label 27008*/ GIMT_Encode4(2022588), // Rule ID 16038 //
     /* 2022491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2022508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022541 */     // MIs[1] Operand 1
     /* 2022541 */     // No operand predicates
     /* 2022541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022545 */     // MIs[0] round
     /* 2022545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022548 */     // MIs[0] policy
     /* 2022548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022551 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022560 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2022563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022569 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022587 */     // GIR_Coverage, 16038,
     /* 2022587 */     GIR_EraseRootFromParent_Done,
     /* 2022588 */   // Label 27008: @2022588
     /* 2022588 */   GIM_Try, /*On fail goto*//*Label 27009*/ GIMT_Encode4(2022690), // Rule ID 16039 //
     /* 2022593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2022604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2022607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2022610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2022616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2022623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2022631 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022635 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022639 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022643 */     // MIs[1] Operand 1
     /* 2022643 */     // No operand predicates
     /* 2022643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022647 */     // MIs[0] round
     /* 2022647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022650 */     // MIs[0] policy
     /* 2022650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022653 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022662 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2022665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022671 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022689 */     // GIR_Coverage, 16039,
     /* 2022689 */     GIR_EraseRootFromParent_Done,
     /* 2022690 */   // Label 27009: @2022690
     /* 2022690 */   GIM_Try, /*On fail goto*//*Label 27010*/ GIMT_Encode4(2022792), // Rule ID 16042 //
     /* 2022695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2022706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2022709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2022712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022745 */     // MIs[1] Operand 1
     /* 2022745 */     // No operand predicates
     /* 2022745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022749 */     // MIs[0] round
     /* 2022749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022752 */     // MIs[0] policy
     /* 2022752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022764 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2022767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022791 */     // GIR_Coverage, 16042,
     /* 2022791 */     GIR_EraseRootFromParent_Done,
     /* 2022792 */   // Label 27010: @2022792
     /* 2022792 */   GIM_Try, /*On fail goto*//*Label 27011*/ GIMT_Encode4(2022894), // Rule ID 16043 //
     /* 2022797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2022800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2022808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2022811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2022814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2022817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2022820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2022823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2022827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2022835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022843 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022847 */     // MIs[1] Operand 1
     /* 2022847 */     // No operand predicates
     /* 2022847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022851 */     // MIs[0] round
     /* 2022851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022854 */     // MIs[0] policy
     /* 2022854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022866 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2022866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2022869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022893 */     // GIR_Coverage, 16043,
     /* 2022893 */     GIR_EraseRootFromParent_Done,
     /* 2022894 */   // Label 27011: @2022894
     /* 2022894 */   GIM_Try, /*On fail goto*//*Label 27012*/ GIMT_Encode4(2022996), // Rule ID 16046 //
     /* 2022899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2022902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2022907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2022910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2022913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2022916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2022919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2022922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2022925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2022929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2022937 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2022941 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2022945 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2022949 */     // MIs[1] Operand 1
     /* 2022949 */     // No operand predicates
     /* 2022949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2022953 */     // MIs[0] round
     /* 2022953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2022956 */     // MIs[0] policy
     /* 2022956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2022959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2022961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2022968 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2022968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2022971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2022973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2022975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2022977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2022980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2022982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2022984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2022989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2022992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2022994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2022995 */     // GIR_Coverage, 16046,
     /* 2022995 */     GIR_EraseRootFromParent_Done,
     /* 2022996 */   // Label 27012: @2022996
     /* 2022996 */   GIM_Try, /*On fail goto*//*Label 27013*/ GIMT_Encode4(2023098), // Rule ID 16047 //
     /* 2023001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2023012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2023015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2023018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2023024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023039 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023043 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023047 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023051 */     // MIs[1] Operand 1
     /* 2023051 */     // No operand predicates
     /* 2023051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023055 */     // MIs[0] round
     /* 2023055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023058 */     // MIs[0] policy
     /* 2023058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023061 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023070 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2023073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023079 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2023094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023097 */     // GIR_Coverage, 16047,
     /* 2023097 */     GIR_EraseRootFromParent_Done,
     /* 2023098 */   // Label 27013: @2023098
     /* 2023098 */   GIM_Try, /*On fail goto*//*Label 27014*/ GIMT_Encode4(2023200), // Rule ID 16050 //
     /* 2023103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2023120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023141 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023145 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023149 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023153 */     // MIs[1] Operand 1
     /* 2023153 */     // No operand predicates
     /* 2023153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023157 */     // MIs[0] round
     /* 2023157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023160 */     // MIs[0] policy
     /* 2023160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023172 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2023175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023181 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023199 */     // GIR_Coverage, 16050,
     /* 2023199 */     GIR_EraseRootFromParent_Done,
     /* 2023200 */   // Label 27014: @2023200
     /* 2023200 */   GIM_Try, /*On fail goto*//*Label 27015*/ GIMT_Encode4(2023302), // Rule ID 16051 //
     /* 2023205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2023216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2023219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2023222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023243 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023247 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023251 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023255 */     // MIs[1] Operand 1
     /* 2023255 */     // No operand predicates
     /* 2023255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023259 */     // MIs[0] round
     /* 2023259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023262 */     // MIs[0] policy
     /* 2023262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023265 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023274 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2023277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023283 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023301 */     // GIR_Coverage, 16051,
     /* 2023301 */     GIR_EraseRootFromParent_Done,
     /* 2023302 */   // Label 27015: @2023302
     /* 2023302 */   GIM_Try, /*On fail goto*//*Label 27016*/ GIMT_Encode4(2023404), // Rule ID 16054 //
     /* 2023307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2023324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023353 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023357 */     // MIs[1] Operand 1
     /* 2023357 */     // No operand predicates
     /* 2023357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023361 */     // MIs[0] round
     /* 2023361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023364 */     // MIs[0] policy
     /* 2023364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023367 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023376 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2023379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023385 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023403 */     // GIR_Coverage, 16054,
     /* 2023403 */     GIR_EraseRootFromParent_Done,
     /* 2023404 */   // Label 27016: @2023404
     /* 2023404 */   GIM_Try, /*On fail goto*//*Label 27017*/ GIMT_Encode4(2023506), // Rule ID 16055 //
     /* 2023409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2023420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2023423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2023426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2023432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023455 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023459 */     // MIs[1] Operand 1
     /* 2023459 */     // No operand predicates
     /* 2023459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023463 */     // MIs[0] round
     /* 2023463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023466 */     // MIs[0] policy
     /* 2023466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023469 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023478 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2023481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023487 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023505 */     // GIR_Coverage, 16055,
     /* 2023505 */     GIR_EraseRootFromParent_Done,
     /* 2023506 */   // Label 27017: @2023506
     /* 2023506 */   GIM_Try, /*On fail goto*//*Label 27018*/ GIMT_Encode4(2023608), // Rule ID 16058 //
     /* 2023511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2023514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2023522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2023525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2023528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023561 */     // MIs[1] Operand 1
     /* 2023561 */     // No operand predicates
     /* 2023561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023565 */     // MIs[0] round
     /* 2023565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023568 */     // MIs[0] policy
     /* 2023568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023571 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023580 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2023583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023589 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023607 */     // GIR_Coverage, 16058,
     /* 2023607 */     GIR_EraseRootFromParent_Done,
     /* 2023608 */   // Label 27018: @2023608
     /* 2023608 */   GIM_Try, /*On fail goto*//*Label 27019*/ GIMT_Encode4(2023710), // Rule ID 16059 //
     /* 2023613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2023616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2023624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2023627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2023630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2023636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2023643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2023651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023663 */     // MIs[1] Operand 1
     /* 2023663 */     // No operand predicates
     /* 2023663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023667 */     // MIs[0] round
     /* 2023667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023670 */     // MIs[0] policy
     /* 2023670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023673 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023682 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2023685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023691 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2023706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023709 */     // GIR_Coverage, 16059,
     /* 2023709 */     GIR_EraseRootFromParent_Done,
     /* 2023710 */   // Label 27019: @2023710
     /* 2023710 */   GIM_Try, /*On fail goto*//*Label 27020*/ GIMT_Encode4(2023812), // Rule ID 16062 //
     /* 2023715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2023718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2023726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2023729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2023732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023761 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023765 */     // MIs[1] Operand 1
     /* 2023765 */     // No operand predicates
     /* 2023765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023769 */     // MIs[0] round
     /* 2023769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023772 */     // MIs[0] policy
     /* 2023772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023775 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023784 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2023787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023793 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2023808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023811 */     // GIR_Coverage, 16062,
     /* 2023811 */     GIR_EraseRootFromParent_Done,
     /* 2023812 */   // Label 27020: @2023812
     /* 2023812 */   GIM_Try, /*On fail goto*//*Label 27021*/ GIMT_Encode4(2023914), // Rule ID 16063 //
     /* 2023817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2023820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2023828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2023831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2023834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2023837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2023840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2023843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2023847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2023855 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023859 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023863 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023867 */     // MIs[1] Operand 1
     /* 2023867 */     // No operand predicates
     /* 2023867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023871 */     // MIs[0] round
     /* 2023871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023874 */     // MIs[0] policy
     /* 2023874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023886 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2023886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M2_MASK),
     /* 2023889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023895 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2023898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2023900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2023902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2023907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2023910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2023912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2023913 */     // GIR_Coverage, 16063,
     /* 2023913 */     GIR_EraseRootFromParent_Done,
     /* 2023914 */   // Label 27021: @2023914
     /* 2023914 */   GIM_Try, /*On fail goto*//*Label 27022*/ GIMT_Encode4(2024016), // Rule ID 16066 //
     /* 2023919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2023922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2023927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2023930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2023933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2023936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2023939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2023942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2023945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2023949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2023957 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2023961 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2023965 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2023969 */     // MIs[1] Operand 1
     /* 2023969 */     // No operand predicates
     /* 2023969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2023973 */     // MIs[0] round
     /* 2023973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2023976 */     // MIs[0] policy
     /* 2023976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2023979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2023981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2023988 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2023988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2023991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2023993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2023995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2023997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024015 */     // GIR_Coverage, 16066,
     /* 2024015 */     GIR_EraseRootFromParent_Done,
     /* 2024016 */   // Label 27022: @2024016
     /* 2024016 */   GIM_Try, /*On fail goto*//*Label 27023*/ GIMT_Encode4(2024118), // Rule ID 16067 //
     /* 2024021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2024029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2024032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2024035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2024038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2024051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2024059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024067 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024071 */     // MIs[1] Operand 1
     /* 2024071 */     // No operand predicates
     /* 2024071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024075 */     // MIs[0] round
     /* 2024075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024078 */     // MIs[0] policy
     /* 2024078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024090 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M4_MASK),
     /* 2024093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024117 */     // GIR_Coverage, 16067,
     /* 2024117 */     GIR_EraseRootFromParent_Done,
     /* 2024118 */   // Label 27023: @2024118
     /* 2024118 */   GIM_Try, /*On fail goto*//*Label 27024*/ GIMT_Encode4(2024220), // Rule ID 16070 //
     /* 2024123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2024126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2024131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2024134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2024137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2024140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024173 */     // MIs[1] Operand 1
     /* 2024173 */     // No operand predicates
     /* 2024173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024177 */     // MIs[0] round
     /* 2024177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024180 */     // MIs[0] policy
     /* 2024180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024192 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2024195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024219 */     // GIR_Coverage, 16070,
     /* 2024219 */     GIR_EraseRootFromParent_Done,
     /* 2024220 */   // Label 27024: @2024220
     /* 2024220 */   GIM_Try, /*On fail goto*//*Label 27025*/ GIMT_Encode4(2024322), // Rule ID 16071 //
     /* 2024225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2024228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2024233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2024236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2024239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2024242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2024248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2024255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2024263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024275 */     // MIs[1] Operand 1
     /* 2024275 */     // No operand predicates
     /* 2024275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024279 */     // MIs[0] round
     /* 2024279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024282 */     // MIs[0] policy
     /* 2024282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024294 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VI_M8_MASK),
     /* 2024297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2024318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024321 */     // GIR_Coverage, 16071,
     /* 2024321 */     GIR_EraseRootFromParent_Done,
     /* 2024322 */   // Label 27025: @2024322
     /* 2024322 */   GIM_Try, /*On fail goto*//*Label 27026*/ GIMT_Encode4(2024424), // Rule ID 16250 //
     /* 2024327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2024338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2024341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2024344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024377 */     // MIs[1] Operand 1
     /* 2024377 */     // No operand predicates
     /* 2024377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024381 */     // MIs[0] round
     /* 2024381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024384 */     // MIs[0] policy
     /* 2024384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024387 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024396 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2024399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024405 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024423 */     // GIR_Coverage, 16250,
     /* 2024423 */     GIR_EraseRootFromParent_Done,
     /* 2024424 */   // Label 27026: @2024424
     /* 2024424 */   GIM_Try, /*On fail goto*//*Label 27027*/ GIMT_Encode4(2024526), // Rule ID 16251 //
     /* 2024429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2024440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2024443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2024446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024475 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024479 */     // MIs[1] Operand 1
     /* 2024479 */     // No operand predicates
     /* 2024479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024483 */     // MIs[0] round
     /* 2024483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024486 */     // MIs[0] policy
     /* 2024486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024498 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF8_MASK),
     /* 2024501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024507 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024525 */     // GIR_Coverage, 16251,
     /* 2024525 */     GIR_EraseRootFromParent_Done,
     /* 2024526 */   // Label 27027: @2024526
     /* 2024526 */   GIM_Try, /*On fail goto*//*Label 27028*/ GIMT_Encode4(2024628), // Rule ID 16254 //
     /* 2024531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2024542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2024545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2024548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024569 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024573 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024577 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024581 */     // MIs[1] Operand 1
     /* 2024581 */     // No operand predicates
     /* 2024581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024585 */     // MIs[0] round
     /* 2024585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024588 */     // MIs[0] policy
     /* 2024588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024600 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2024603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024627 */     // GIR_Coverage, 16254,
     /* 2024627 */     GIR_EraseRootFromParent_Done,
     /* 2024628 */   // Label 27028: @2024628
     /* 2024628 */   GIM_Try, /*On fail goto*//*Label 27029*/ GIMT_Encode4(2024730), // Rule ID 16255 //
     /* 2024633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2024644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2024647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2024650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2024656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024671 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024675 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024679 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024683 */     // MIs[1] Operand 1
     /* 2024683 */     // No operand predicates
     /* 2024683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024687 */     // MIs[0] round
     /* 2024687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024690 */     // MIs[0] policy
     /* 2024690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024702 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2024705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024729 */     // GIR_Coverage, 16255,
     /* 2024729 */     GIR_EraseRootFromParent_Done,
     /* 2024730 */   // Label 27029: @2024730
     /* 2024730 */   GIM_Try, /*On fail goto*//*Label 27030*/ GIMT_Encode4(2024832), // Rule ID 16258 //
     /* 2024735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2024746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2024749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2024752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024781 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024785 */     // MIs[1] Operand 1
     /* 2024785 */     // No operand predicates
     /* 2024785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024789 */     // MIs[0] round
     /* 2024789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024792 */     // MIs[0] policy
     /* 2024792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024795 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024804 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2024804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2024807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024813 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024831 */     // GIR_Coverage, 16258,
     /* 2024831 */     GIR_EraseRootFromParent_Done,
     /* 2024832 */   // Label 27030: @2024832
     /* 2024832 */   GIM_Try, /*On fail goto*//*Label 27031*/ GIMT_Encode4(2024934), // Rule ID 16259 //
     /* 2024837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2024840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2024848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2024851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2024854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2024857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2024860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2024863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024875 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024879 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024883 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024887 */     // MIs[1] Operand 1
     /* 2024887 */     // No operand predicates
     /* 2024887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024891 */     // MIs[0] round
     /* 2024891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024894 */     // MIs[0] policy
     /* 2024894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024897 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2024899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2024906 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2024906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2024909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2024911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2024913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2024915 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2024918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2024920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2024922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2024927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2024930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2024932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2024933 */     // GIR_Coverage, 16259,
     /* 2024933 */     GIR_EraseRootFromParent_Done,
     /* 2024934 */   // Label 27031: @2024934
     /* 2024934 */   GIM_Try, /*On fail goto*//*Label 27032*/ GIMT_Encode4(2025036), // Rule ID 16262 //
     /* 2024939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2024942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2024947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2024950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2024953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2024956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2024959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2024962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2024965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2024969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2024977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2024981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2024985 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2024989 */     // MIs[1] Operand 1
     /* 2024989 */     // No operand predicates
     /* 2024989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2024993 */     // MIs[0] round
     /* 2024993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2024996 */     // MIs[0] policy
     /* 2024996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2024999 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025008 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2025011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025017 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025035 */     // GIR_Coverage, 16262,
     /* 2025035 */     GIR_EraseRootFromParent_Done,
     /* 2025036 */   // Label 27032: @2025036
     /* 2025036 */   GIM_Try, /*On fail goto*//*Label 27033*/ GIMT_Encode4(2025138), // Rule ID 16263 //
     /* 2025041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2025052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2025055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2025058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025087 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025091 */     // MIs[1] Operand 1
     /* 2025091 */     // No operand predicates
     /* 2025091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025095 */     // MIs[0] round
     /* 2025095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025098 */     // MIs[0] policy
     /* 2025098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025101 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025110 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF4_MASK),
     /* 2025113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025119 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025137 */     // GIR_Coverage, 16263,
     /* 2025137 */     GIR_EraseRootFromParent_Done,
     /* 2025138 */   // Label 27033: @2025138
     /* 2025138 */   GIM_Try, /*On fail goto*//*Label 27034*/ GIMT_Encode4(2025240), // Rule ID 16266 //
     /* 2025143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2025154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2025157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2025160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025181 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025185 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025189 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025193 */     // MIs[1] Operand 1
     /* 2025193 */     // No operand predicates
     /* 2025193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025197 */     // MIs[0] round
     /* 2025197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025200 */     // MIs[0] policy
     /* 2025200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025203 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025212 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2025215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025221 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025239 */     // GIR_Coverage, 16266,
     /* 2025239 */     GIR_EraseRootFromParent_Done,
     /* 2025240 */   // Label 27034: @2025240
     /* 2025240 */   GIM_Try, /*On fail goto*//*Label 27035*/ GIMT_Encode4(2025342), // Rule ID 16267 //
     /* 2025245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2025256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2025259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2025262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025291 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025295 */     // MIs[1] Operand 1
     /* 2025295 */     // No operand predicates
     /* 2025295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025299 */     // MIs[0] round
     /* 2025299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025302 */     // MIs[0] policy
     /* 2025302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025305 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025314 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2025317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025323 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025341 */     // GIR_Coverage, 16267,
     /* 2025341 */     GIR_EraseRootFromParent_Done,
     /* 2025342 */   // Label 27035: @2025342
     /* 2025342 */   GIM_Try, /*On fail goto*//*Label 27036*/ GIMT_Encode4(2025444), // Rule ID 16270 //
     /* 2025347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2025364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025393 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025397 */     // MIs[1] Operand 1
     /* 2025397 */     // No operand predicates
     /* 2025397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025401 */     // MIs[0] round
     /* 2025401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025404 */     // MIs[0] policy
     /* 2025404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025407 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025416 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2025419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025425 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025443 */     // GIR_Coverage, 16270,
     /* 2025443 */     GIR_EraseRootFromParent_Done,
     /* 2025444 */   // Label 27036: @2025444
     /* 2025444 */   GIM_Try, /*On fail goto*//*Label 27037*/ GIMT_Encode4(2025546), // Rule ID 16271 //
     /* 2025449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2025460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2025463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2025466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2025472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025499 */     // MIs[1] Operand 1
     /* 2025499 */     // No operand predicates
     /* 2025499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025503 */     // MIs[0] round
     /* 2025503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025506 */     // MIs[0] policy
     /* 2025506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025509 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_MF2_MASK),
     /* 2025521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025527 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2025542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025545 */     // GIR_Coverage, 16271,
     /* 2025545 */     GIR_EraseRootFromParent_Done,
     /* 2025546 */   // Label 27037: @2025546
     /* 2025546 */   GIM_Try, /*On fail goto*//*Label 27038*/ GIMT_Encode4(2025648), // Rule ID 16274 //
     /* 2025551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2025562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2025565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2025568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025589 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025593 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025597 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025601 */     // MIs[1] Operand 1
     /* 2025601 */     // No operand predicates
     /* 2025601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025605 */     // MIs[0] round
     /* 2025605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025608 */     // MIs[0] policy
     /* 2025608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025611 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025620 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2025623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025629 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025647 */     // GIR_Coverage, 16274,
     /* 2025647 */     GIR_EraseRootFromParent_Done,
     /* 2025648 */   // Label 27038: @2025648
     /* 2025648 */   GIM_Try, /*On fail goto*//*Label 27039*/ GIMT_Encode4(2025750), // Rule ID 16275 //
     /* 2025653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2025664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2025667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2025670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2025676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025699 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025703 */     // MIs[1] Operand 1
     /* 2025703 */     // No operand predicates
     /* 2025703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025707 */     // MIs[0] round
     /* 2025707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025710 */     // MIs[0] policy
     /* 2025710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025713 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025722 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2025725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025727 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025731 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2025746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025749 */     // GIR_Coverage, 16275,
     /* 2025749 */     GIR_EraseRootFromParent_Done,
     /* 2025750 */   // Label 27039: @2025750
     /* 2025750 */   GIM_Try, /*On fail goto*//*Label 27040*/ GIMT_Encode4(2025852), // Rule ID 16278 //
     /* 2025755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2025766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2025769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2025772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025805 */     // MIs[1] Operand 1
     /* 2025805 */     // No operand predicates
     /* 2025805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025809 */     // MIs[0] round
     /* 2025809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025812 */     // MIs[0] policy
     /* 2025812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025824 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2025824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2025827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025851 */     // GIR_Coverage, 16278,
     /* 2025851 */     GIR_EraseRootFromParent_Done,
     /* 2025852 */   // Label 27040: @2025852
     /* 2025852 */   GIM_Try, /*On fail goto*//*Label 27041*/ GIMT_Encode4(2025954), // Rule ID 16279 //
     /* 2025857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2025860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2025868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2025871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2025874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2025877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2025880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2025883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2025899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2025903 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2025907 */     // MIs[1] Operand 1
     /* 2025907 */     // No operand predicates
     /* 2025907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2025911 */     // MIs[0] round
     /* 2025911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2025914 */     // MIs[0] policy
     /* 2025914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2025917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2025919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2025926 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2025926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2025929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2025931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2025933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2025935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2025938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2025940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2025942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2025947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2025950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2025952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2025953 */     // GIR_Coverage, 16279,
     /* 2025953 */     GIR_EraseRootFromParent_Done,
     /* 2025954 */   // Label 27041: @2025954
     /* 2025954 */   GIM_Try, /*On fail goto*//*Label 27042*/ GIMT_Encode4(2026056), // Rule ID 16282 //
     /* 2025959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2025962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2025967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2025970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2025973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2025976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2025979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2025982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2025985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2025989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2025997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026005 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026009 */     // MIs[1] Operand 1
     /* 2026009 */     // No operand predicates
     /* 2026009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026013 */     // MIs[0] round
     /* 2026013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026016 */     // MIs[0] policy
     /* 2026016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026019 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026028 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2026031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026037 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026055 */     // GIR_Coverage, 16282,
     /* 2026055 */     GIR_EraseRootFromParent_Done,
     /* 2026056 */   // Label 27042: @2026056
     /* 2026056 */   GIM_Try, /*On fail goto*//*Label 27043*/ GIMT_Encode4(2026158), // Rule ID 16283 //
     /* 2026061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2026072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2026075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2026078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2026084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026111 */     // MIs[1] Operand 1
     /* 2026111 */     // No operand predicates
     /* 2026111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026115 */     // MIs[0] round
     /* 2026115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026118 */     // MIs[0] policy
     /* 2026118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026121 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2026133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026139 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2026154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026157 */     // GIR_Coverage, 16283,
     /* 2026157 */     GIR_EraseRootFromParent_Done,
     /* 2026158 */   // Label 27043: @2026158
     /* 2026158 */   GIM_Try, /*On fail goto*//*Label 27044*/ GIMT_Encode4(2026260), // Rule ID 16286 //
     /* 2026163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2026166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2026174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2026177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2026180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026213 */     // MIs[1] Operand 1
     /* 2026213 */     // No operand predicates
     /* 2026213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026217 */     // MIs[0] round
     /* 2026217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026220 */     // MIs[0] policy
     /* 2026220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026223 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026232 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2026235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026241 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026259 */     // GIR_Coverage, 16286,
     /* 2026259 */     GIR_EraseRootFromParent_Done,
     /* 2026260 */   // Label 27044: @2026260
     /* 2026260 */   GIM_Try, /*On fail goto*//*Label 27045*/ GIMT_Encode4(2026362), // Rule ID 16287 //
     /* 2026265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2026268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2026276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2026279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2026282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2026288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2026295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2026303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026311 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026315 */     // MIs[1] Operand 1
     /* 2026315 */     // No operand predicates
     /* 2026315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026319 */     // MIs[0] round
     /* 2026319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026322 */     // MIs[0] policy
     /* 2026322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026325 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026334 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M1_MASK),
     /* 2026337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026343 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2026358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026361 */     // GIR_Coverage, 16287,
     /* 2026361 */     GIR_EraseRootFromParent_Done,
     /* 2026362 */   // Label 27045: @2026362
     /* 2026362 */   GIM_Try, /*On fail goto*//*Label 27046*/ GIMT_Encode4(2026464), // Rule ID 16290 //
     /* 2026367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2026378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2026381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2026384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026417 */     // MIs[1] Operand 1
     /* 2026417 */     // No operand predicates
     /* 2026417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026421 */     // MIs[0] round
     /* 2026421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026424 */     // MIs[0] policy
     /* 2026424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026427 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026436 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2026439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026445 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026463 */     // GIR_Coverage, 16290,
     /* 2026463 */     GIR_EraseRootFromParent_Done,
     /* 2026464 */   // Label 27046: @2026464
     /* 2026464 */   GIM_Try, /*On fail goto*//*Label 27047*/ GIMT_Encode4(2026566), // Rule ID 16291 //
     /* 2026469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2026480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2026483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2026486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2026492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2026499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2026507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026515 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026519 */     // MIs[1] Operand 1
     /* 2026519 */     // No operand predicates
     /* 2026519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026523 */     // MIs[0] round
     /* 2026523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026526 */     // MIs[0] policy
     /* 2026526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026538 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2026541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026543 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026565 */     // GIR_Coverage, 16291,
     /* 2026565 */     GIR_EraseRootFromParent_Done,
     /* 2026566 */   // Label 27047: @2026566
     /* 2026566 */   GIM_Try, /*On fail goto*//*Label 27048*/ GIMT_Encode4(2026668), // Rule ID 16294 //
     /* 2026571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2026582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2026585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2026588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2026594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026617 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026621 */     // MIs[1] Operand 1
     /* 2026621 */     // No operand predicates
     /* 2026621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026625 */     // MIs[0] round
     /* 2026625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026628 */     // MIs[0] policy
     /* 2026628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026640 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2026643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026667 */     // GIR_Coverage, 16294,
     /* 2026667 */     GIR_EraseRootFromParent_Done,
     /* 2026668 */   // Label 27048: @2026668
     /* 2026668 */   GIM_Try, /*On fail goto*//*Label 27049*/ GIMT_Encode4(2026770), // Rule ID 16295 //
     /* 2026673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2026684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2026687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2026690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2026696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2026703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2026711 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026715 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026719 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026723 */     // MIs[1] Operand 1
     /* 2026723 */     // No operand predicates
     /* 2026723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026727 */     // MIs[0] round
     /* 2026727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026730 */     // MIs[0] policy
     /* 2026730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026742 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2026745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026751 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026769 */     // GIR_Coverage, 16295,
     /* 2026769 */     GIR_EraseRootFromParent_Done,
     /* 2026770 */   // Label 27049: @2026770
     /* 2026770 */   GIM_Try, /*On fail goto*//*Label 27050*/ GIMT_Encode4(2026872), // Rule ID 16298 //
     /* 2026775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2026786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2026789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2026792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2026798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2026801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026813 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026817 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026821 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026825 */     // MIs[1] Operand 1
     /* 2026825 */     // No operand predicates
     /* 2026825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026829 */     // MIs[0] round
     /* 2026829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026832 */     // MIs[0] policy
     /* 2026832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026835 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026844 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2026844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2026847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026853 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026871 */     // GIR_Coverage, 16298,
     /* 2026871 */     GIR_EraseRootFromParent_Done,
     /* 2026872 */   // Label 27050: @2026872
     /* 2026872 */   GIM_Try, /*On fail goto*//*Label 27051*/ GIMT_Encode4(2026974), // Rule ID 16299 //
     /* 2026877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2026880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2026888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2026891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2026894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2026897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2026900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2026903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2026907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2026915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2026919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2026923 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2026927 */     // MIs[1] Operand 1
     /* 2026927 */     // No operand predicates
     /* 2026927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2026931 */     // MIs[0] round
     /* 2026931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2026934 */     // MIs[0] policy
     /* 2026934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2026937 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2026939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2026946 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2026946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2026949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2026951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2026953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2026955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2026958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2026960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2026962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2026967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2026970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2026972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2026973 */     // GIR_Coverage, 16299,
     /* 2026973 */     GIR_EraseRootFromParent_Done,
     /* 2026974 */   // Label 27051: @2026974
     /* 2026974 */   GIM_Try, /*On fail goto*//*Label 27052*/ GIMT_Encode4(2027076), // Rule ID 16302 //
     /* 2026979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2026982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2026987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2026990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2026993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2026996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2026999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027017 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027021 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027025 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027029 */     // MIs[1] Operand 1
     /* 2027029 */     // No operand predicates
     /* 2027029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027033 */     // MIs[0] round
     /* 2027033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027036 */     // MIs[0] policy
     /* 2027036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2027051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027057 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027075 */     // GIR_Coverage, 16302,
     /* 2027075 */     GIR_EraseRootFromParent_Done,
     /* 2027076 */   // Label 27052: @2027076
     /* 2027076 */   GIM_Try, /*On fail goto*//*Label 27053*/ GIMT_Encode4(2027178), // Rule ID 16303 //
     /* 2027081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2027092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2027095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2027098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027119 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027123 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027127 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027131 */     // MIs[1] Operand 1
     /* 2027131 */     // No operand predicates
     /* 2027131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027135 */     // MIs[0] round
     /* 2027135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027138 */     // MIs[0] policy
     /* 2027138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027141 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027150 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2027153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027159 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027177 */     // GIR_Coverage, 16303,
     /* 2027177 */     GIR_EraseRootFromParent_Done,
     /* 2027178 */   // Label 27053: @2027178
     /* 2027178 */   GIM_Try, /*On fail goto*//*Label 27054*/ GIMT_Encode4(2027280), // Rule ID 16306 //
     /* 2027183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2027194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2027197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2027200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2027206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027221 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027225 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027229 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027233 */     // MIs[1] Operand 1
     /* 2027233 */     // No operand predicates
     /* 2027233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027237 */     // MIs[0] round
     /* 2027237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027240 */     // MIs[0] policy
     /* 2027240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027243 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027252 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2027255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027261 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027279 */     // GIR_Coverage, 16306,
     /* 2027279 */     GIR_EraseRootFromParent_Done,
     /* 2027280 */   // Label 27054: @2027280
     /* 2027280 */   GIM_Try, /*On fail goto*//*Label 27055*/ GIMT_Encode4(2027382), // Rule ID 16307 //
     /* 2027285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2027296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2027299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2027302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2027308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027335 */     // MIs[1] Operand 1
     /* 2027335 */     // No operand predicates
     /* 2027335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027339 */     // MIs[0] round
     /* 2027339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027342 */     // MIs[0] policy
     /* 2027342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027354 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2027357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027381 */     // GIR_Coverage, 16307,
     /* 2027381 */     GIR_EraseRootFromParent_Done,
     /* 2027382 */   // Label 27055: @2027382
     /* 2027382 */   GIM_Try, /*On fail goto*//*Label 27056*/ GIMT_Encode4(2027484), // Rule ID 16310 //
     /* 2027387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2027398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2027401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2027404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2027410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027425 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027429 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027433 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027437 */     // MIs[1] Operand 1
     /* 2027437 */     // No operand predicates
     /* 2027437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027441 */     // MIs[0] round
     /* 2027441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027444 */     // MIs[0] policy
     /* 2027444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027447 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027456 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2027459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027465 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027483 */     // GIR_Coverage, 16310,
     /* 2027483 */     GIR_EraseRootFromParent_Done,
     /* 2027484 */   // Label 27056: @2027484
     /* 2027484 */   GIM_Try, /*On fail goto*//*Label 27057*/ GIMT_Encode4(2027586), // Rule ID 16311 //
     /* 2027489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2027500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2027503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2027506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2027512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2027519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2027527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027535 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027539 */     // MIs[1] Operand 1
     /* 2027539 */     // No operand predicates
     /* 2027539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027543 */     // MIs[0] round
     /* 2027543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027546 */     // MIs[0] policy
     /* 2027546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027549 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027558 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2027561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027567 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2027582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027585 */     // GIR_Coverage, 16311,
     /* 2027585 */     GIR_EraseRootFromParent_Done,
     /* 2027586 */   // Label 27057: @2027586
     /* 2027586 */   GIM_Try, /*On fail goto*//*Label 27058*/ GIMT_Encode4(2027688), // Rule ID 16314 //
     /* 2027591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2027605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2027608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027629 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027633 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027637 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027641 */     // MIs[1] Operand 1
     /* 2027641 */     // No operand predicates
     /* 2027641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027645 */     // MIs[0] round
     /* 2027645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027648 */     // MIs[0] policy
     /* 2027648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027660 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2027663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027687 */     // GIR_Coverage, 16314,
     /* 2027687 */     GIR_EraseRootFromParent_Done,
     /* 2027688 */   // Label 27058: @2027688
     /* 2027688 */   GIM_Try, /*On fail goto*//*Label 27059*/ GIMT_Encode4(2027790), // Rule ID 16315 //
     /* 2027693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2027704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2027707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2027710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2027716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2027723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2027731 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027735 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027739 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027743 */     // MIs[1] Operand 1
     /* 2027743 */     // No operand predicates
     /* 2027743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027747 */     // MIs[0] round
     /* 2027747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027750 */     // MIs[0] policy
     /* 2027750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027762 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2027765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027789 */     // GIR_Coverage, 16315,
     /* 2027789 */     GIR_EraseRootFromParent_Done,
     /* 2027790 */   // Label 27059: @2027790
     /* 2027790 */   GIM_Try, /*On fail goto*//*Label 27060*/ GIMT_Encode4(2027892), // Rule ID 16318 //
     /* 2027795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2027798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2027806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2027809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2027812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2027815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2027821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027841 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027845 */     // MIs[1] Operand 1
     /* 2027845 */     // No operand predicates
     /* 2027845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027849 */     // MIs[0] round
     /* 2027849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027852 */     // MIs[0] policy
     /* 2027852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027855 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027864 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2027864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2027867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027873 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027891 */     // GIR_Coverage, 16318,
     /* 2027891 */     GIR_EraseRootFromParent_Done,
     /* 2027892 */   // Label 27060: @2027892
     /* 2027892 */   GIM_Try, /*On fail goto*//*Label 27061*/ GIMT_Encode4(2027994), // Rule ID 16319 //
     /* 2027897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2027900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2027905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2027908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2027911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2027914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2027917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2027920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2027923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2027927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2027935 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2027939 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2027943 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2027947 */     // MIs[1] Operand 1
     /* 2027947 */     // No operand predicates
     /* 2027947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2027951 */     // MIs[0] round
     /* 2027951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2027954 */     // MIs[0] policy
     /* 2027954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2027957 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2027959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2027966 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2027966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2027969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2027971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2027973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2027975 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2027978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2027980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2027982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2027987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2027990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2027992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2027993 */     // GIR_Coverage, 16319,
     /* 2027993 */     GIR_EraseRootFromParent_Done,
     /* 2027994 */   // Label 27061: @2027994
     /* 2027994 */   GIM_Try, /*On fail goto*//*Label 27062*/ GIMT_Encode4(2028096), // Rule ID 16322 //
     /* 2027999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2028007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2028016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028037 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028041 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028045 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028049 */     // MIs[1] Operand 1
     /* 2028049 */     // No operand predicates
     /* 2028049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028053 */     // MIs[0] round
     /* 2028053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028056 */     // MIs[0] policy
     /* 2028056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028059 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028068 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2028071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028077 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028095 */     // GIR_Coverage, 16322,
     /* 2028095 */     GIR_EraseRootFromParent_Done,
     /* 2028096 */   // Label 27062: @2028096
     /* 2028096 */   GIM_Try, /*On fail goto*//*Label 27063*/ GIMT_Encode4(2028198), // Rule ID 16323 //
     /* 2028101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2028109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2028112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2028115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2028118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2028124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028147 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028151 */     // MIs[1] Operand 1
     /* 2028151 */     // No operand predicates
     /* 2028151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028155 */     // MIs[0] round
     /* 2028155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028158 */     // MIs[0] policy
     /* 2028158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028161 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028170 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2028173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028179 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2028194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028197 */     // GIR_Coverage, 16323,
     /* 2028197 */     GIR_EraseRootFromParent_Done,
     /* 2028198 */   // Label 27063: @2028198
     /* 2028198 */   GIM_Try, /*On fail goto*//*Label 27064*/ GIMT_Encode4(2028300), // Rule ID 16326 //
     /* 2028203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2028211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2028220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028241 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028245 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028249 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028253 */     // MIs[1] Operand 1
     /* 2028253 */     // No operand predicates
     /* 2028253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028257 */     // MIs[0] round
     /* 2028257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028260 */     // MIs[0] policy
     /* 2028260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028272 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2028275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028299 */     // GIR_Coverage, 16326,
     /* 2028299 */     GIR_EraseRootFromParent_Done,
     /* 2028300 */   // Label 27064: @2028300
     /* 2028300 */   GIM_Try, /*On fail goto*//*Label 27065*/ GIMT_Encode4(2028402), // Rule ID 16327 //
     /* 2028305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2028313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2028316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2028319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2028322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2028328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2028335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2028343 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028347 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028351 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028355 */     // MIs[1] Operand 1
     /* 2028355 */     // No operand predicates
     /* 2028355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028359 */     // MIs[0] round
     /* 2028359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028362 */     // MIs[0] policy
     /* 2028362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028374 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M2_MASK),
     /* 2028377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028401 */     // GIR_Coverage, 16327,
     /* 2028401 */     GIR_EraseRootFromParent_Done,
     /* 2028402 */   // Label 27065: @2028402
     /* 2028402 */   GIM_Try, /*On fail goto*//*Label 27066*/ GIMT_Encode4(2028504), // Rule ID 16330 //
     /* 2028407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2028415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2028418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2028421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2028424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028453 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028457 */     // MIs[1] Operand 1
     /* 2028457 */     // No operand predicates
     /* 2028457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028461 */     // MIs[0] round
     /* 2028461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028464 */     // MIs[0] policy
     /* 2028464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028467 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028476 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2028479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028485 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028503 */     // GIR_Coverage, 16330,
     /* 2028503 */     GIR_EraseRootFromParent_Done,
     /* 2028504 */   // Label 27066: @2028504
     /* 2028504 */   GIM_Try, /*On fail goto*//*Label 27067*/ GIMT_Encode4(2028606), // Rule ID 16331 //
     /* 2028509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2028517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2028520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2028523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2028526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2028532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2028539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2028547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028555 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028559 */     // MIs[1] Operand 1
     /* 2028559 */     // No operand predicates
     /* 2028559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028563 */     // MIs[0] round
     /* 2028563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028566 */     // MIs[0] policy
     /* 2028566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028569 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028578 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M4_MASK),
     /* 2028581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028587 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028605 */     // GIR_Coverage, 16331,
     /* 2028605 */     GIR_EraseRootFromParent_Done,
     /* 2028606 */   // Label 27067: @2028606
     /* 2028606 */   GIM_Try, /*On fail goto*//*Label 27068*/ GIMT_Encode4(2028708), // Rule ID 16334 //
     /* 2028611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2028614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2028619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2028622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2028625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2028628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028661 */     // MIs[1] Operand 1
     /* 2028661 */     // No operand predicates
     /* 2028661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028665 */     // MIs[0] round
     /* 2028665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028668 */     // MIs[0] policy
     /* 2028668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028671 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028680 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2028683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028689 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028707 */     // GIR_Coverage, 16334,
     /* 2028707 */     GIR_EraseRootFromParent_Done,
     /* 2028708 */   // Label 27068: @2028708
     /* 2028708 */   GIM_Try, /*On fail goto*//*Label 27069*/ GIMT_Encode4(2028810), // Rule ID 16335 //
     /* 2028713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2028716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2028721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2028724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2028727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2028730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2028736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2028743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2028751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028763 */     // MIs[1] Operand 1
     /* 2028763 */     // No operand predicates
     /* 2028763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028767 */     // MIs[0] round
     /* 2028767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028770 */     // MIs[0] policy
     /* 2028770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028773 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028782 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VI_M8_MASK),
     /* 2028785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028791 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2028806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028809 */     // GIR_Coverage, 16335,
     /* 2028809 */     GIR_EraseRootFromParent_Done,
     /* 2028810 */   // Label 27069: @2028810
     /* 2028810 */   GIM_Try, /*On fail goto*//*Label 27070*/ GIMT_Encode4(2028915), // Rule ID 16458 //
     /* 2028815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2028818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2028823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2028826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2028829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2028832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2028835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2028841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028853 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028857 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028861 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028865 */     // MIs[1] Operand 1
     /* 2028865 */     // No operand predicates
     /* 2028865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028869 */     // MIs[0] round
     /* 2028869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028872 */     // MIs[0] policy
     /* 2028872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028875 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028884 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2028884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2028887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028893 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2028896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2028898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2028900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2028905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2028908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2028910 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2028913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2028914 */     // GIR_Coverage, 16458,
     /* 2028914 */     GIR_EraseRootFromParent_Done,
     /* 2028915 */   // Label 27070: @2028915
     /* 2028915 */   GIM_Try, /*On fail goto*//*Label 27071*/ GIMT_Encode4(2029020), // Rule ID 16459 //
     /* 2028920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2028923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2028928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2028931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2028934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2028937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2028940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2028943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2028946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2028950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2028958 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2028962 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2028966 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2028970 */     // MIs[1] Operand 1
     /* 2028970 */     // No operand predicates
     /* 2028970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2028974 */     // MIs[0] round
     /* 2028974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2028977 */     // MIs[0] policy
     /* 2028977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2028980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2028982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2028989 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2028989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF8_MASK),
     /* 2028992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2028994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2028996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2028998 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029019 */     // GIR_Coverage, 16459,
     /* 2029019 */     GIR_EraseRootFromParent_Done,
     /* 2029020 */   // Label 27071: @2029020
     /* 2029020 */   GIM_Try, /*On fail goto*//*Label 27072*/ GIMT_Encode4(2029125), // Rule ID 16462 //
     /* 2029025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2029036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2029039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2029042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029063 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029067 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029071 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029075 */     // MIs[1] Operand 1
     /* 2029075 */     // No operand predicates
     /* 2029075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029079 */     // MIs[0] round
     /* 2029079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029082 */     // MIs[0] policy
     /* 2029082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029094 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2029097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029120 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029124 */     // GIR_Coverage, 16462,
     /* 2029124 */     GIR_EraseRootFromParent_Done,
     /* 2029125 */   // Label 27072: @2029125
     /* 2029125 */   GIM_Try, /*On fail goto*//*Label 27073*/ GIMT_Encode4(2029230), // Rule ID 16463 //
     /* 2029130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2029141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2029144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2029147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2029153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029180 */     // MIs[1] Operand 1
     /* 2029180 */     // No operand predicates
     /* 2029180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029184 */     // MIs[0] round
     /* 2029184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029187 */     // MIs[0] policy
     /* 2029187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029199 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2029202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029208 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029225 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029229 */     // GIR_Coverage, 16463,
     /* 2029229 */     GIR_EraseRootFromParent_Done,
     /* 2029230 */   // Label 27073: @2029230
     /* 2029230 */   GIM_Try, /*On fail goto*//*Label 27074*/ GIMT_Encode4(2029335), // Rule ID 16466 //
     /* 2029235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2029246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2029249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2029252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029273 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029277 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029281 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029285 */     // MIs[1] Operand 1
     /* 2029285 */     // No operand predicates
     /* 2029285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029289 */     // MIs[0] round
     /* 2029289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029292 */     // MIs[0] policy
     /* 2029292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029295 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029304 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2029307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029313 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029330 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029334 */     // GIR_Coverage, 16466,
     /* 2029334 */     GIR_EraseRootFromParent_Done,
     /* 2029335 */   // Label 27074: @2029335
     /* 2029335 */   GIM_Try, /*On fail goto*//*Label 27075*/ GIMT_Encode4(2029440), // Rule ID 16467 //
     /* 2029340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2029351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2029354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2029357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2029363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029378 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029382 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029386 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029390 */     // MIs[1] Operand 1
     /* 2029390 */     // No operand predicates
     /* 2029390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029394 */     // MIs[0] round
     /* 2029394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029397 */     // MIs[0] policy
     /* 2029397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029409 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2029412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029418 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029439 */     // GIR_Coverage, 16467,
     /* 2029439 */     GIR_EraseRootFromParent_Done,
     /* 2029440 */   // Label 27075: @2029440
     /* 2029440 */   GIM_Try, /*On fail goto*//*Label 27076*/ GIMT_Encode4(2029545), // Rule ID 16470 //
     /* 2029445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2029456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2029459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029483 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029487 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029491 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029495 */     // MIs[1] Operand 1
     /* 2029495 */     // No operand predicates
     /* 2029495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029499 */     // MIs[0] round
     /* 2029499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029502 */     // MIs[0] policy
     /* 2029502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029514 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2029517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029523 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029540 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029544 */     // GIR_Coverage, 16470,
     /* 2029544 */     GIR_EraseRootFromParent_Done,
     /* 2029545 */   // Label 27076: @2029545
     /* 2029545 */   GIM_Try, /*On fail goto*//*Label 27077*/ GIMT_Encode4(2029650), // Rule ID 16471 //
     /* 2029550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2029561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2029564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2029567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2029573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2029580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2029584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029596 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029600 */     // MIs[1] Operand 1
     /* 2029600 */     // No operand predicates
     /* 2029600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029604 */     // MIs[0] round
     /* 2029604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029607 */     // MIs[0] policy
     /* 2029607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029619 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2029622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029628 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029645 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029649 */     // GIR_Coverage, 16471,
     /* 2029649 */     GIR_EraseRootFromParent_Done,
     /* 2029650 */   // Label 27077: @2029650
     /* 2029650 */   GIM_Try, /*On fail goto*//*Label 27078*/ GIMT_Encode4(2029755), // Rule ID 16474 //
     /* 2029655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2029666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2029669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029693 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029697 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029701 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029705 */     // MIs[1] Operand 1
     /* 2029705 */     // No operand predicates
     /* 2029705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029709 */     // MIs[0] round
     /* 2029709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029712 */     // MIs[0] policy
     /* 2029712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029715 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029724 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2029727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029733 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029750 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029754 */     // GIR_Coverage, 16474,
     /* 2029754 */     GIR_EraseRootFromParent_Done,
     /* 2029755 */   // Label 27078: @2029755
     /* 2029755 */   GIM_Try, /*On fail goto*//*Label 27079*/ GIMT_Encode4(2029860), // Rule ID 16475 //
     /* 2029760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2029771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2029774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2029777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2029783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2029790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2029794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029798 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029802 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029806 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029810 */     // MIs[1] Operand 1
     /* 2029810 */     // No operand predicates
     /* 2029810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029814 */     // MIs[0] round
     /* 2029814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029817 */     // MIs[0] policy
     /* 2029817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029829 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2029829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2029832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029859 */     // GIR_Coverage, 16475,
     /* 2029859 */     GIR_EraseRootFromParent_Done,
     /* 2029860 */   // Label 27079: @2029860
     /* 2029860 */   GIM_Try, /*On fail goto*//*Label 27080*/ GIMT_Encode4(2029965), // Rule ID 16478 //
     /* 2029865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2029868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2029876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2029879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2029885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2029891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2029895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2029899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2029903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2029907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2029911 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2029915 */     // MIs[1] Operand 1
     /* 2029915 */     // No operand predicates
     /* 2029915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2029919 */     // MIs[0] round
     /* 2029919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2029922 */     // MIs[0] policy
     /* 2029922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2029925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2029927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2029934 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2029934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2029937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2029939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2029941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2029943 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2029946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2029948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2029950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2029955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2029958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2029960 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2029963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2029964 */     // GIR_Coverage, 16478,
     /* 2029964 */     GIR_EraseRootFromParent_Done,
     /* 2029965 */   // Label 27080: @2029965
     /* 2029965 */   GIM_Try, /*On fail goto*//*Label 27081*/ GIMT_Encode4(2030070), // Rule ID 16479 //
     /* 2029970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2029973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2029978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2029981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2029984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2029987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2029990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2029993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2029996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030008 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030012 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030016 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030020 */     // MIs[1] Operand 1
     /* 2030020 */     // No operand predicates
     /* 2030020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030024 */     // MIs[0] round
     /* 2030024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030027 */     // MIs[0] policy
     /* 2030027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030030 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030039 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2030042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030048 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2030063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030069 */     // GIR_Coverage, 16479,
     /* 2030069 */     GIR_EraseRootFromParent_Done,
     /* 2030070 */   // Label 27081: @2030070
     /* 2030070 */   GIM_Try, /*On fail goto*//*Label 27082*/ GIMT_Encode4(2030175), // Rule ID 16482 //
     /* 2030075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2030086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2030089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2030092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030113 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030117 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030121 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030125 */     // MIs[1] Operand 1
     /* 2030125 */     // No operand predicates
     /* 2030125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030129 */     // MIs[0] round
     /* 2030129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030132 */     // MIs[0] policy
     /* 2030132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030135 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030144 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2030147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030153 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030170 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030174 */     // GIR_Coverage, 16482,
     /* 2030174 */     GIR_EraseRootFromParent_Done,
     /* 2030175 */   // Label 27082: @2030175
     /* 2030175 */   GIM_Try, /*On fail goto*//*Label 27083*/ GIMT_Encode4(2030280), // Rule ID 16483 //
     /* 2030180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2030191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2030194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2030197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2030203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030218 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030222 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030226 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030230 */     // MIs[1] Operand 1
     /* 2030230 */     // No operand predicates
     /* 2030230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030234 */     // MIs[0] round
     /* 2030234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030237 */     // MIs[0] policy
     /* 2030237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030249 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF4_MASK),
     /* 2030252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030275 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030279 */     // GIR_Coverage, 16483,
     /* 2030279 */     GIR_EraseRootFromParent_Done,
     /* 2030280 */   // Label 27083: @2030280
     /* 2030280 */   GIM_Try, /*On fail goto*//*Label 27084*/ GIMT_Encode4(2030385), // Rule ID 16486 //
     /* 2030285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2030296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2030299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030335 */     // MIs[1] Operand 1
     /* 2030335 */     // No operand predicates
     /* 2030335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030339 */     // MIs[0] round
     /* 2030339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030342 */     // MIs[0] policy
     /* 2030342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030354 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2030357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030359 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030363 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030380 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030384 */     // GIR_Coverage, 16486,
     /* 2030384 */     GIR_EraseRootFromParent_Done,
     /* 2030385 */   // Label 27084: @2030385
     /* 2030385 */   GIM_Try, /*On fail goto*//*Label 27085*/ GIMT_Encode4(2030490), // Rule ID 16487 //
     /* 2030390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2030401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2030404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2030407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2030413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030436 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030440 */     // MIs[1] Operand 1
     /* 2030440 */     // No operand predicates
     /* 2030440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030444 */     // MIs[0] round
     /* 2030444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030447 */     // MIs[0] policy
     /* 2030447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030450 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030459 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2030462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030468 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030489 */     // GIR_Coverage, 16487,
     /* 2030489 */     GIR_EraseRootFromParent_Done,
     /* 2030490 */   // Label 27085: @2030490
     /* 2030490 */   GIM_Try, /*On fail goto*//*Label 27086*/ GIMT_Encode4(2030595), // Rule ID 16490 //
     /* 2030495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2030512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030533 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030537 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030541 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030545 */     // MIs[1] Operand 1
     /* 2030545 */     // No operand predicates
     /* 2030545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030549 */     // MIs[0] round
     /* 2030549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030552 */     // MIs[0] policy
     /* 2030552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030555 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030564 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2030567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030573 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030590 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030594 */     // GIR_Coverage, 16490,
     /* 2030594 */     GIR_EraseRootFromParent_Done,
     /* 2030595 */   // Label 27086: @2030595
     /* 2030595 */   GIM_Try, /*On fail goto*//*Label 27087*/ GIMT_Encode4(2030700), // Rule ID 16491 //
     /* 2030600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2030611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2030614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2030617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2030623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2030630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2030634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030638 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030642 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030646 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030650 */     // MIs[1] Operand 1
     /* 2030650 */     // No operand predicates
     /* 2030650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030654 */     // MIs[0] round
     /* 2030654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030657 */     // MIs[0] policy
     /* 2030657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030669 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2030672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030678 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030695 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030699 */     // GIR_Coverage, 16491,
     /* 2030699 */     GIR_EraseRootFromParent_Done,
     /* 2030700 */   // Label 27087: @2030700
     /* 2030700 */   GIM_Try, /*On fail goto*//*Label 27088*/ GIMT_Encode4(2030805), // Rule ID 16494 //
     /* 2030705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2030716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2030719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2030722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030743 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030747 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030751 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030755 */     // MIs[1] Operand 1
     /* 2030755 */     // No operand predicates
     /* 2030755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030759 */     // MIs[0] round
     /* 2030759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030762 */     // MIs[0] policy
     /* 2030762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030765 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030774 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2030777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030783 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030800 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030804 */     // GIR_Coverage, 16494,
     /* 2030804 */     GIR_EraseRootFromParent_Done,
     /* 2030805 */   // Label 27088: @2030805
     /* 2030805 */   GIM_Try, /*On fail goto*//*Label 27089*/ GIMT_Encode4(2030910), // Rule ID 16495 //
     /* 2030810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2030813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2030821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2030824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2030827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2030830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2030833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2030836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2030840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2030844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030848 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030852 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030856 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030860 */     // MIs[1] Operand 1
     /* 2030860 */     // No operand predicates
     /* 2030860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030864 */     // MIs[0] round
     /* 2030864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030867 */     // MIs[0] policy
     /* 2030867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030870 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030879 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2030879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2030882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030888 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2030895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2030900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2030903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2030905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2030908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2030909 */     // GIR_Coverage, 16495,
     /* 2030909 */     GIR_EraseRootFromParent_Done,
     /* 2030910 */   // Label 27089: @2030910
     /* 2030910 */   GIM_Try, /*On fail goto*//*Label 27090*/ GIMT_Encode4(2031015), // Rule ID 16498 //
     /* 2030915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2030918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2030923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2030926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2030929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2030932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2030935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2030938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2030941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2030945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2030949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2030953 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2030957 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2030961 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2030965 */     // MIs[1] Operand 1
     /* 2030965 */     // No operand predicates
     /* 2030965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2030969 */     // MIs[0] round
     /* 2030969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2030972 */     // MIs[0] policy
     /* 2030972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2030975 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2030977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2030984 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2030984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2030987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2030989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2030991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2030993 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2030996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2030998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031010 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031014 */     // GIR_Coverage, 16498,
     /* 2031014 */     GIR_EraseRootFromParent_Done,
     /* 2031015 */   // Label 27090: @2031015
     /* 2031015 */   GIM_Try, /*On fail goto*//*Label 27091*/ GIMT_Encode4(2031120), // Rule ID 16499 //
     /* 2031020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2031023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2031031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2031034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2031037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2031043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031058 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031062 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031066 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031070 */     // MIs[1] Operand 1
     /* 2031070 */     // No operand predicates
     /* 2031070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031074 */     // MIs[0] round
     /* 2031074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031077 */     // MIs[0] policy
     /* 2031077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031080 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031089 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2031092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031098 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2031113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031115 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031119 */     // GIR_Coverage, 16499,
     /* 2031119 */     GIR_EraseRootFromParent_Done,
     /* 2031120 */   // Label 27091: @2031120
     /* 2031120 */   GIM_Try, /*On fail goto*//*Label 27092*/ GIMT_Encode4(2031225), // Rule ID 16502 //
     /* 2031125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2031128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2031142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031163 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031167 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031171 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031175 */     // MIs[1] Operand 1
     /* 2031175 */     // No operand predicates
     /* 2031175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031179 */     // MIs[0] round
     /* 2031179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031182 */     // MIs[0] policy
     /* 2031182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031194 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2031197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031203 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031220 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031224 */     // GIR_Coverage, 16502,
     /* 2031224 */     GIR_EraseRootFromParent_Done,
     /* 2031225 */   // Label 27092: @2031225
     /* 2031225 */   GIM_Try, /*On fail goto*//*Label 27093*/ GIMT_Encode4(2031330), // Rule ID 16503 //
     /* 2031230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2031233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2031241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2031244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2031247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031268 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031272 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031276 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031280 */     // MIs[1] Operand 1
     /* 2031280 */     // No operand predicates
     /* 2031280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031284 */     // MIs[0] round
     /* 2031284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031287 */     // MIs[0] policy
     /* 2031287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031290 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031299 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_MF2_MASK),
     /* 2031302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031308 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031329 */     // GIR_Coverage, 16503,
     /* 2031329 */     GIR_EraseRootFromParent_Done,
     /* 2031330 */   // Label 27093: @2031330
     /* 2031330 */   GIM_Try, /*On fail goto*//*Label 27094*/ GIMT_Encode4(2031435), // Rule ID 16506 //
     /* 2031335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2031338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2031346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2031349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2031352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031373 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031377 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031381 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031385 */     // MIs[1] Operand 1
     /* 2031385 */     // No operand predicates
     /* 2031385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031389 */     // MIs[0] round
     /* 2031389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031392 */     // MIs[0] policy
     /* 2031392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031395 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031404 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2031407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031413 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031430 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031434 */     // GIR_Coverage, 16506,
     /* 2031434 */     GIR_EraseRootFromParent_Done,
     /* 2031435 */   // Label 27094: @2031435
     /* 2031435 */   GIM_Try, /*On fail goto*//*Label 27095*/ GIMT_Encode4(2031540), // Rule ID 16507 //
     /* 2031440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2031443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2031451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2031454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2031457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2031463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031478 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031482 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031486 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031490 */     // MIs[1] Operand 1
     /* 2031490 */     // No operand predicates
     /* 2031490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031494 */     // MIs[0] round
     /* 2031494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031497 */     // MIs[0] policy
     /* 2031497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031500 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031509 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M1_MASK),
     /* 2031512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031518 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031539 */     // GIR_Coverage, 16507,
     /* 2031539 */     GIR_EraseRootFromParent_Done,
     /* 2031540 */   // Label 27095: @2031540
     /* 2031540 */   GIM_Try, /*On fail goto*//*Label 27096*/ GIMT_Encode4(2031645), // Rule ID 16510 //
     /* 2031545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2031548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2031562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031591 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031595 */     // MIs[1] Operand 1
     /* 2031595 */     // No operand predicates
     /* 2031595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031599 */     // MIs[0] round
     /* 2031599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031602 */     // MIs[0] policy
     /* 2031602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031605 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031614 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2031617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031623 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031640 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031644 */     // GIR_Coverage, 16510,
     /* 2031644 */     GIR_EraseRootFromParent_Done,
     /* 2031645 */   // Label 27096: @2031645
     /* 2031645 */   GIM_Try, /*On fail goto*//*Label 27097*/ GIMT_Encode4(2031750), // Rule ID 16511 //
     /* 2031650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2031653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2031661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2031664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2031667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2031673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2031680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2031684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031700 */     // MIs[1] Operand 1
     /* 2031700 */     // No operand predicates
     /* 2031700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031704 */     // MIs[0] round
     /* 2031704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031707 */     // MIs[0] policy
     /* 2031707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031710 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031719 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M2_MASK),
     /* 2031722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031724 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031728 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031745 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031749 */     // GIR_Coverage, 16511,
     /* 2031749 */     GIR_EraseRootFromParent_Done,
     /* 2031750 */   // Label 27097: @2031750
     /* 2031750 */   GIM_Try, /*On fail goto*//*Label 27098*/ GIMT_Encode4(2031855), // Rule ID 16514 //
     /* 2031755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2031758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2031772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031793 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031797 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031801 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031805 */     // MIs[1] Operand 1
     /* 2031805 */     // No operand predicates
     /* 2031805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031809 */     // MIs[0] round
     /* 2031809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031812 */     // MIs[0] policy
     /* 2031812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031815 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031824 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2031824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2031827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031833 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031850 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031854 */     // GIR_Coverage, 16514,
     /* 2031854 */     GIR_EraseRootFromParent_Done,
     /* 2031855 */   // Label 27098: @2031855
     /* 2031855 */   GIM_Try, /*On fail goto*//*Label 27099*/ GIMT_Encode4(2031960), // Rule ID 16515 //
     /* 2031860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2031863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2031868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2031871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2031874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2031877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2031880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2031883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2031886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2031890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2031894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2031898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2031902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2031906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2031910 */     // MIs[1] Operand 1
     /* 2031910 */     // No operand predicates
     /* 2031910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2031914 */     // MIs[0] round
     /* 2031914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2031917 */     // MIs[0] policy
     /* 2031917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2031920 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2031922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2031929 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2031929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WI_M4_MASK),
     /* 2031932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2031934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2031936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2031938 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2031941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2031943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2031945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2031950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2031953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2031955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2031958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2031959 */     // GIR_Coverage, 16515,
     /* 2031959 */     GIR_EraseRootFromParent_Done,
     /* 2031960 */   // Label 27099: @2031960
     /* 2031960 */   GIM_Try, /*On fail goto*//*Label 27100*/ GIMT_Encode4(2032065), // Rule ID 16638 //
     /* 2031965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2031968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2031973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2031976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2031979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2031982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2031985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2031988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2031991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2031995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2031999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032003 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032007 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032011 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032015 */     // MIs[1] Operand 1
     /* 2032015 */     // No operand predicates
     /* 2032015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032019 */     // MIs[0] round
     /* 2032019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032022 */     // MIs[0] policy
     /* 2032022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032025 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032034 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2032037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032043 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032060 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032064 */     // GIR_Coverage, 16638,
     /* 2032064 */     GIR_EraseRootFromParent_Done,
     /* 2032065 */   // Label 27100: @2032065
     /* 2032065 */   GIM_Try, /*On fail goto*//*Label 27101*/ GIMT_Encode4(2032170), // Rule ID 16639 //
     /* 2032070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2032081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2032084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2032087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2032093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032108 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032112 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032116 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032120 */     // MIs[1] Operand 1
     /* 2032120 */     // No operand predicates
     /* 2032120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032124 */     // MIs[0] round
     /* 2032124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032127 */     // MIs[0] policy
     /* 2032127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032130 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032139 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF8_MASK),
     /* 2032142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032148 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032165 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032169 */     // GIR_Coverage, 16639,
     /* 2032169 */     GIR_EraseRootFromParent_Done,
     /* 2032170 */   // Label 27101: @2032170
     /* 2032170 */   GIM_Try, /*On fail goto*//*Label 27102*/ GIMT_Encode4(2032275), // Rule ID 16642 //
     /* 2032175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2032186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2032189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2032192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032213 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032217 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032221 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032225 */     // MIs[1] Operand 1
     /* 2032225 */     // No operand predicates
     /* 2032225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032229 */     // MIs[0] round
     /* 2032229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032232 */     // MIs[0] policy
     /* 2032232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032235 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032244 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2032247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032253 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032270 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032274 */     // GIR_Coverage, 16642,
     /* 2032274 */     GIR_EraseRootFromParent_Done,
     /* 2032275 */   // Label 27102: @2032275
     /* 2032275 */   GIM_Try, /*On fail goto*//*Label 27103*/ GIMT_Encode4(2032380), // Rule ID 16643 //
     /* 2032280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2032291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2032294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2032297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2032303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032330 */     // MIs[1] Operand 1
     /* 2032330 */     // No operand predicates
     /* 2032330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032334 */     // MIs[0] round
     /* 2032334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032337 */     // MIs[0] policy
     /* 2032337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032349 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2032352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032375 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032379 */     // GIR_Coverage, 16643,
     /* 2032379 */     GIR_EraseRootFromParent_Done,
     /* 2032380 */   // Label 27103: @2032380
     /* 2032380 */   GIM_Try, /*On fail goto*//*Label 27104*/ GIMT_Encode4(2032485), // Rule ID 16646 //
     /* 2032385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2032396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2032399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032423 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032427 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032431 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032435 */     // MIs[1] Operand 1
     /* 2032435 */     // No operand predicates
     /* 2032435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032439 */     // MIs[0] round
     /* 2032439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032442 */     // MIs[0] policy
     /* 2032442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032445 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032454 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2032457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032463 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032480 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032484 */     // GIR_Coverage, 16646,
     /* 2032484 */     GIR_EraseRootFromParent_Done,
     /* 2032485 */   // Label 27104: @2032485
     /* 2032485 */   GIM_Try, /*On fail goto*//*Label 27105*/ GIMT_Encode4(2032590), // Rule ID 16647 //
     /* 2032490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2032501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2032504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2032507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2032513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032528 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032532 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032536 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032540 */     // MIs[1] Operand 1
     /* 2032540 */     // No operand predicates
     /* 2032540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032544 */     // MIs[0] round
     /* 2032544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032547 */     // MIs[0] policy
     /* 2032547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032550 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032559 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2032562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032568 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032589 */     // GIR_Coverage, 16647,
     /* 2032589 */     GIR_EraseRootFromParent_Done,
     /* 2032590 */   // Label 27105: @2032590
     /* 2032590 */   GIM_Try, /*On fail goto*//*Label 27106*/ GIMT_Encode4(2032695), // Rule ID 16650 //
     /* 2032595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2032606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2032609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2032612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032633 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032637 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032641 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032645 */     // MIs[1] Operand 1
     /* 2032645 */     // No operand predicates
     /* 2032645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032649 */     // MIs[0] round
     /* 2032649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032652 */     // MIs[0] policy
     /* 2032652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032655 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032664 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2032667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032673 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032694 */     // GIR_Coverage, 16650,
     /* 2032694 */     GIR_EraseRootFromParent_Done,
     /* 2032695 */   // Label 27106: @2032695
     /* 2032695 */   GIM_Try, /*On fail goto*//*Label 27107*/ GIMT_Encode4(2032800), // Rule ID 16651 //
     /* 2032700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2032711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2032714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2032717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2032723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2032730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2032734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032750 */     // MIs[1] Operand 1
     /* 2032750 */     // No operand predicates
     /* 2032750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032754 */     // MIs[0] round
     /* 2032754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032757 */     // MIs[0] policy
     /* 2032757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032760 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032769 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2032772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032778 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032799 */     // GIR_Coverage, 16651,
     /* 2032799 */     GIR_EraseRootFromParent_Done,
     /* 2032800 */   // Label 27107: @2032800
     /* 2032800 */   GIM_Try, /*On fail goto*//*Label 27108*/ GIMT_Encode4(2032905), // Rule ID 16654 //
     /* 2032805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2032808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2032822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2032825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2032831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032851 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032855 */     // MIs[1] Operand 1
     /* 2032855 */     // No operand predicates
     /* 2032855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032859 */     // MIs[0] round
     /* 2032859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032862 */     // MIs[0] policy
     /* 2032862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032874 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2032874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2032877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2032895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2032898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2032900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2032903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2032904 */     // GIR_Coverage, 16654,
     /* 2032904 */     GIR_EraseRootFromParent_Done,
     /* 2032905 */   // Label 27108: @2032905
     /* 2032905 */   GIM_Try, /*On fail goto*//*Label 27109*/ GIMT_Encode4(2033010), // Rule ID 16655 //
     /* 2032910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2032913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2032918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2032921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2032924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2032927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2032930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2032933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2032936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2032940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2032944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2032948 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2032952 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2032956 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2032960 */     // MIs[1] Operand 1
     /* 2032960 */     // No operand predicates
     /* 2032960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2032964 */     // MIs[0] round
     /* 2032964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2032967 */     // MIs[0] policy
     /* 2032967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2032970 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2032972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2032979 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2032979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2032982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2032984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2032986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2032988 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2032991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2032993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2032995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033009 */     // GIR_Coverage, 16655,
     /* 2033009 */     GIR_EraseRootFromParent_Done,
     /* 2033010 */   // Label 27109: @2033010
     /* 2033010 */   GIM_Try, /*On fail goto*//*Label 27110*/ GIMT_Encode4(2033115), // Rule ID 16658 //
     /* 2033015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2033026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2033029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033061 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033065 */     // MIs[1] Operand 1
     /* 2033065 */     // No operand predicates
     /* 2033065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033069 */     // MIs[0] round
     /* 2033069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033072 */     // MIs[0] policy
     /* 2033072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033075 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033084 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2033087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033093 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033114 */     // GIR_Coverage, 16658,
     /* 2033114 */     GIR_EraseRootFromParent_Done,
     /* 2033115 */   // Label 27110: @2033115
     /* 2033115 */   GIM_Try, /*On fail goto*//*Label 27111*/ GIMT_Encode4(2033220), // Rule ID 16659 //
     /* 2033120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2033131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2033134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2033137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2033143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2033150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2033158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033166 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033170 */     // MIs[1] Operand 1
     /* 2033170 */     // No operand predicates
     /* 2033170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033174 */     // MIs[0] round
     /* 2033174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033177 */     // MIs[0] policy
     /* 2033177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033189 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2033192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2033213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033215 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033219 */     // GIR_Coverage, 16659,
     /* 2033219 */     GIR_EraseRootFromParent_Done,
     /* 2033220 */   // Label 27111: @2033220
     /* 2033220 */   GIM_Try, /*On fail goto*//*Label 27112*/ GIMT_Encode4(2033325), // Rule ID 16662 //
     /* 2033225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2033236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2033239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2033242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033275 */     // MIs[1] Operand 1
     /* 2033275 */     // No operand predicates
     /* 2033275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033279 */     // MIs[0] round
     /* 2033279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033282 */     // MIs[0] policy
     /* 2033282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033285 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033294 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2033297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033303 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033320 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033324 */     // GIR_Coverage, 16662,
     /* 2033324 */     GIR_EraseRootFromParent_Done,
     /* 2033325 */   // Label 27112: @2033325
     /* 2033325 */   GIM_Try, /*On fail goto*//*Label 27113*/ GIMT_Encode4(2033430), // Rule ID 16663 //
     /* 2033330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2033341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2033344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2033347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2033353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033368 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033372 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033376 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033380 */     // MIs[1] Operand 1
     /* 2033380 */     // No operand predicates
     /* 2033380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033384 */     // MIs[0] round
     /* 2033384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033387 */     // MIs[0] policy
     /* 2033387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033399 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF4_MASK),
     /* 2033402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033429 */     // GIR_Coverage, 16663,
     /* 2033429 */     GIR_EraseRootFromParent_Done,
     /* 2033430 */   // Label 27113: @2033430
     /* 2033430 */   GIM_Try, /*On fail goto*//*Label 27114*/ GIMT_Encode4(2033535), // Rule ID 16666 //
     /* 2033435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2033446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2033449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2033452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033485 */     // MIs[1] Operand 1
     /* 2033485 */     // No operand predicates
     /* 2033485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033489 */     // MIs[0] round
     /* 2033489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033492 */     // MIs[0] policy
     /* 2033492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033495 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033504 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2033507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033513 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033530 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033534 */     // GIR_Coverage, 16666,
     /* 2033534 */     GIR_EraseRootFromParent_Done,
     /* 2033535 */   // Label 27114: @2033535
     /* 2033535 */   GIM_Try, /*On fail goto*//*Label 27115*/ GIMT_Encode4(2033640), // Rule ID 16667 //
     /* 2033540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2033551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2033554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2033557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2033563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033578 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033582 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033586 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033590 */     // MIs[1] Operand 1
     /* 2033590 */     // No operand predicates
     /* 2033590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033594 */     // MIs[0] round
     /* 2033594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033597 */     // MIs[0] policy
     /* 2033597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033600 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033609 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2033612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033618 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033635 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033639 */     // GIR_Coverage, 16667,
     /* 2033639 */     GIR_EraseRootFromParent_Done,
     /* 2033640 */   // Label 27115: @2033640
     /* 2033640 */   GIM_Try, /*On fail goto*//*Label 27116*/ GIMT_Encode4(2033745), // Rule ID 16670 //
     /* 2033645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2033656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2033659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2033662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033683 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033687 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033691 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033695 */     // MIs[1] Operand 1
     /* 2033695 */     // No operand predicates
     /* 2033695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033699 */     // MIs[0] round
     /* 2033699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033702 */     // MIs[0] policy
     /* 2033702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033705 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033714 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2033717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033723 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033740 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033744 */     // GIR_Coverage, 16670,
     /* 2033744 */     GIR_EraseRootFromParent_Done,
     /* 2033745 */   // Label 27116: @2033745
     /* 2033745 */   GIM_Try, /*On fail goto*//*Label 27117*/ GIMT_Encode4(2033850), // Rule ID 16671 //
     /* 2033750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2033761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2033764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2033767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2033773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2033780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2033784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033788 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033792 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033796 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033800 */     // MIs[1] Operand 1
     /* 2033800 */     // No operand predicates
     /* 2033800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033804 */     // MIs[0] round
     /* 2033804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033807 */     // MIs[0] policy
     /* 2033807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033810 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033819 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2033819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2033822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033828 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033845 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033849 */     // GIR_Coverage, 16671,
     /* 2033849 */     GIR_EraseRootFromParent_Done,
     /* 2033850 */   // Label 27117: @2033850
     /* 2033850 */   GIM_Try, /*On fail goto*//*Label 27118*/ GIMT_Encode4(2033955), // Rule ID 16674 //
     /* 2033855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2033858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2033872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2033875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2033881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033893 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2033897 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2033901 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2033905 */     // MIs[1] Operand 1
     /* 2033905 */     // No operand predicates
     /* 2033905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2033909 */     // MIs[0] round
     /* 2033909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2033912 */     // MIs[0] policy
     /* 2033912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2033915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2033917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2033924 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2033924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2033927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2033929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2033931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2033933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2033936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2033938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2033940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2033945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2033948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2033950 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2033953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2033954 */     // GIR_Coverage, 16674,
     /* 2033954 */     GIR_EraseRootFromParent_Done,
     /* 2033955 */   // Label 27118: @2033955
     /* 2033955 */   GIM_Try, /*On fail goto*//*Label 27119*/ GIMT_Encode4(2034060), // Rule ID 16675 //
     /* 2033960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2033963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2033968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2033971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2033974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2033977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2033980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2033983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2033986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2033990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2033994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2033998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034006 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034010 */     // MIs[1] Operand 1
     /* 2034010 */     // No operand predicates
     /* 2034010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034014 */     // MIs[0] round
     /* 2034014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034017 */     // MIs[0] policy
     /* 2034017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034020 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034029 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2034032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034038 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034055 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034059 */     // GIR_Coverage, 16675,
     /* 2034059 */     GIR_EraseRootFromParent_Done,
     /* 2034060 */   // Label 27119: @2034060
     /* 2034060 */   GIM_Try, /*On fail goto*//*Label 27120*/ GIMT_Encode4(2034165), // Rule ID 16678 //
     /* 2034065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2034068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2034076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2034079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034103 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034107 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034111 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034115 */     // MIs[1] Operand 1
     /* 2034115 */     // No operand predicates
     /* 2034115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034119 */     // MIs[0] round
     /* 2034119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034122 */     // MIs[0] policy
     /* 2034122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034125 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034134 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2034137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034143 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034160 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034164 */     // GIR_Coverage, 16678,
     /* 2034164 */     GIR_EraseRootFromParent_Done,
     /* 2034165 */   // Label 27120: @2034165
     /* 2034165 */   GIM_Try, /*On fail goto*//*Label 27121*/ GIMT_Encode4(2034270), // Rule ID 16679 //
     /* 2034170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2034173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2034181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2034184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2034187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2034193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034208 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034212 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034216 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034220 */     // MIs[1] Operand 1
     /* 2034220 */     // No operand predicates
     /* 2034220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034224 */     // MIs[0] round
     /* 2034224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034227 */     // MIs[0] policy
     /* 2034227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034230 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034239 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2034242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034248 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2034263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034269 */     // GIR_Coverage, 16679,
     /* 2034269 */     GIR_EraseRootFromParent_Done,
     /* 2034270 */   // Label 27121: @2034270
     /* 2034270 */   GIM_Try, /*On fail goto*//*Label 27122*/ GIMT_Encode4(2034375), // Rule ID 16682 //
     /* 2034275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2034278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2034292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034325 */     // MIs[1] Operand 1
     /* 2034325 */     // No operand predicates
     /* 2034325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034329 */     // MIs[0] round
     /* 2034329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034332 */     // MIs[0] policy
     /* 2034332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034335 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034344 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2034347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034353 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034370 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034374 */     // GIR_Coverage, 16682,
     /* 2034374 */     GIR_EraseRootFromParent_Done,
     /* 2034375 */   // Label 27122: @2034375
     /* 2034375 */   GIM_Try, /*On fail goto*//*Label 27123*/ GIMT_Encode4(2034480), // Rule ID 16683 //
     /* 2034380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2034383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2034391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2034394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2034397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2034403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034426 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034430 */     // MIs[1] Operand 1
     /* 2034430 */     // No operand predicates
     /* 2034430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034434 */     // MIs[0] round
     /* 2034434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034437 */     // MIs[0] policy
     /* 2034437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034440 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034449 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_MF2_MASK),
     /* 2034452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034454 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034458 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034479 */     // GIR_Coverage, 16683,
     /* 2034479 */     GIR_EraseRootFromParent_Done,
     /* 2034480 */   // Label 27123: @2034480
     /* 2034480 */   GIM_Try, /*On fail goto*//*Label 27124*/ GIMT_Encode4(2034585), // Rule ID 16686 //
     /* 2034485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2034488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034523 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034527 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034531 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034535 */     // MIs[1] Operand 1
     /* 2034535 */     // No operand predicates
     /* 2034535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034539 */     // MIs[0] round
     /* 2034539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034542 */     // MIs[0] policy
     /* 2034542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034545 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034554 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2034557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034563 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034580 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034584 */     // GIR_Coverage, 16686,
     /* 2034584 */     GIR_EraseRootFromParent_Done,
     /* 2034585 */   // Label 27124: @2034585
     /* 2034585 */   GIM_Try, /*On fail goto*//*Label 27125*/ GIMT_Encode4(2034690), // Rule ID 16687 //
     /* 2034590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2034593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2034601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2034604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2034607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2034613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2034620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2034624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034636 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034640 */     // MIs[1] Operand 1
     /* 2034640 */     // No operand predicates
     /* 2034640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034644 */     // MIs[0] round
     /* 2034644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034647 */     // MIs[0] policy
     /* 2034647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034650 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034659 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M1_MASK),
     /* 2034662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034668 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034685 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034689 */     // GIR_Coverage, 16687,
     /* 2034689 */     GIR_EraseRootFromParent_Done,
     /* 2034690 */   // Label 27125: @2034690
     /* 2034690 */   GIM_Try, /*On fail goto*//*Label 27126*/ GIMT_Encode4(2034795), // Rule ID 16690 //
     /* 2034695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2034698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2034706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2034709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034733 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034737 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034741 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034745 */     // MIs[1] Operand 1
     /* 2034745 */     // No operand predicates
     /* 2034745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034749 */     // MIs[0] round
     /* 2034749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034752 */     // MIs[0] policy
     /* 2034752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034755 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034764 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2034767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034773 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034790 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034794 */     // GIR_Coverage, 16690,
     /* 2034794 */     GIR_EraseRootFromParent_Done,
     /* 2034795 */   // Label 27126: @2034795
     /* 2034795 */   GIM_Try, /*On fail goto*//*Label 27127*/ GIMT_Encode4(2034900), // Rule ID 16691 //
     /* 2034800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2034803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2034811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2034814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2034817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2034820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2034823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2034826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2034830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2034834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034850 */     // MIs[1] Operand 1
     /* 2034850 */     // No operand predicates
     /* 2034850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034854 */     // MIs[0] round
     /* 2034854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034857 */     // MIs[0] policy
     /* 2034857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034869 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2034869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M2_MASK),
     /* 2034872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034878 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2034895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2034898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2034899 */     // GIR_Coverage, 16691,
     /* 2034899 */     GIR_EraseRootFromParent_Done,
     /* 2034900 */   // Label 27127: @2034900
     /* 2034900 */   GIM_Try, /*On fail goto*//*Label 27128*/ GIMT_Encode4(2035005), // Rule ID 16694 //
     /* 2034905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2034908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2034913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2034916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2034919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2034922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2034925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2034928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2034931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2034935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2034939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2034943 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2034947 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2034951 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2034955 */     // MIs[1] Operand 1
     /* 2034955 */     // No operand predicates
     /* 2034955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2034959 */     // MIs[0] round
     /* 2034959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2034962 */     // MIs[0] policy
     /* 2034962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2034965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2034967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2034974 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2034974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2034977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2034979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2034981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2034983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2034986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2034988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2034990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2034995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2034998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2035003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035004 */     // GIR_Coverage, 16694,
     /* 2035004 */     GIR_EraseRootFromParent_Done,
     /* 2035005 */   // Label 27128: @2035005
     /* 2035005 */   GIM_Try, /*On fail goto*//*Label 27129*/ GIMT_Encode4(2035110), // Rule ID 16695 //
     /* 2035010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2035013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2035018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2035021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2035024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2035027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2035030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035048 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/4, // MIs[1]
     /* 2035052 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2035056 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2035060 */     // MIs[1] Operand 1
     /* 2035060 */     // No operand predicates
     /* 2035060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035064 */     // MIs[0] round
     /* 2035064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035067 */     // MIs[0] policy
     /* 2035067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035070 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2035072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035079 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WI_M4_MASK),
     /* 2035082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2035088 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2035091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2035103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2035108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035109 */     // GIR_Coverage, 16695,
     /* 2035109 */     GIR_EraseRootFromParent_Done,
     /* 2035110 */   // Label 27129: @2035110
     /* 2035110 */   GIM_Try, /*On fail goto*//*Label 27130*/ GIMT_Encode4(2035197), // Rule ID 2766 //
     /* 2035115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2035118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2035132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035146 */     // MIs[0] passthru
     /* 2035146 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035159 */     // MIs[0] round
     /* 2035159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035162 */     // MIs[0] policy
     /* 2035162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035172 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2035175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035196 */     // GIR_Coverage, 2766,
     /* 2035196 */     GIR_EraseRootFromParent_Done,
     /* 2035197 */   // Label 27130: @2035197
     /* 2035197 */   GIM_Try, /*On fail goto*//*Label 27131*/ GIMT_Encode4(2035284), // Rule ID 2767 //
     /* 2035202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2035205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2035213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2035216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2035219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2035222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035233 */     // MIs[0] passthru
     /* 2035233 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035246 */     // MIs[0] round
     /* 2035246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035249 */     // MIs[0] policy
     /* 2035249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035259 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK_TIED),
     /* 2035262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035283 */     // GIR_Coverage, 2767,
     /* 2035283 */     GIR_EraseRootFromParent_Done,
     /* 2035284 */   // Label 27131: @2035284
     /* 2035284 */   GIM_Try, /*On fail goto*//*Label 27132*/ GIMT_Encode4(2035371), // Rule ID 17146 //
     /* 2035289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2035292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2035300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2035303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2035306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035320 */     // MIs[0] passthru
     /* 2035320 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035333 */     // MIs[0] round
     /* 2035333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035336 */     // MIs[0] policy
     /* 2035336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035346 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2035349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035370 */     // GIR_Coverage, 17146,
     /* 2035370 */     GIR_EraseRootFromParent_Done,
     /* 2035371 */   // Label 27132: @2035371
     /* 2035371 */   GIM_Try, /*On fail goto*//*Label 27133*/ GIMT_Encode4(2035458), // Rule ID 17147 //
     /* 2035376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2035379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2035387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2035390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2035393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2035396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2035403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035407 */     // MIs[0] passthru
     /* 2035407 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035420 */     // MIs[0] round
     /* 2035420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035423 */     // MIs[0] policy
     /* 2035423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035433 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK_TIED),
     /* 2035436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035457 */     // GIR_Coverage, 17147,
     /* 2035457 */     GIR_EraseRootFromParent_Done,
     /* 2035458 */   // Label 27133: @2035458
     /* 2035458 */   GIM_Try, /*On fail goto*//*Label 27134*/ GIMT_Encode4(2035545), // Rule ID 17156 //
     /* 2035463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2035466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2035474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2035477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2035480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035494 */     // MIs[0] passthru
     /* 2035494 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035507 */     // MIs[0] round
     /* 2035507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035510 */     // MIs[0] policy
     /* 2035510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035520 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2035523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035544 */     // GIR_Coverage, 17156,
     /* 2035544 */     GIR_EraseRootFromParent_Done,
     /* 2035545 */   // Label 27134: @2035545
     /* 2035545 */   GIM_Try, /*On fail goto*//*Label 27135*/ GIMT_Encode4(2035632), // Rule ID 17157 //
     /* 2035550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2035553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2035561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2035564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2035567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2035570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2035577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035581 */     // MIs[0] passthru
     /* 2035581 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2035590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035594 */     // MIs[0] round
     /* 2035594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035597 */     // MIs[0] policy
     /* 2035597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035607 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK_TIED),
     /* 2035610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035631 */     // GIR_Coverage, 17157,
     /* 2035631 */     GIR_EraseRootFromParent_Done,
     /* 2035632 */   // Label 27135: @2035632
     /* 2035632 */   GIM_Try, /*On fail goto*//*Label 27136*/ GIMT_Encode4(2035719), // Rule ID 17166 //
     /* 2035637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2035640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2035648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2035651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2035654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035668 */     // MIs[0] passthru
     /* 2035668 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035681 */     // MIs[0] round
     /* 2035681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035684 */     // MIs[0] policy
     /* 2035684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035694 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2035697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035718 */     // GIR_Coverage, 17166,
     /* 2035718 */     GIR_EraseRootFromParent_Done,
     /* 2035719 */   // Label 27136: @2035719
     /* 2035719 */   GIM_Try, /*On fail goto*//*Label 27137*/ GIMT_Encode4(2035806), // Rule ID 17167 //
     /* 2035724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2035727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2035735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2035738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2035741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2035744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2035751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035755 */     // MIs[0] passthru
     /* 2035755 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2035764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035768 */     // MIs[0] round
     /* 2035768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035771 */     // MIs[0] policy
     /* 2035771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035781 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK_TIED),
     /* 2035784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035805 */     // GIR_Coverage, 17167,
     /* 2035805 */     GIR_EraseRootFromParent_Done,
     /* 2035806 */   // Label 27137: @2035806
     /* 2035806 */   GIM_Try, /*On fail goto*//*Label 27138*/ GIMT_Encode4(2035893), // Rule ID 17176 //
     /* 2035811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2035814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2035822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2035825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2035828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2035834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035842 */     // MIs[0] passthru
     /* 2035842 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035855 */     // MIs[0] round
     /* 2035855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035858 */     // MIs[0] policy
     /* 2035858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035868 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2035868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2035871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035892 */     // GIR_Coverage, 17176,
     /* 2035892 */     GIR_EraseRootFromParent_Done,
     /* 2035893 */   // Label 27138: @2035893
     /* 2035893 */   GIM_Try, /*On fail goto*//*Label 27139*/ GIMT_Encode4(2035980), // Rule ID 17177 //
     /* 2035898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2035901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2035909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2035912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2035915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2035918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2035921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2035925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2035929 */     // MIs[0] passthru
     /* 2035929 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2035934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2035938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2035942 */     // MIs[0] round
     /* 2035942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2035945 */     // MIs[0] policy
     /* 2035945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2035948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2035955 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2035955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK_TIED),
     /* 2035958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2035960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2035962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2035964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2035966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2035968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2035973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2035976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2035978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2035979 */     // GIR_Coverage, 17177,
     /* 2035979 */     GIR_EraseRootFromParent_Done,
     /* 2035980 */   // Label 27139: @2035980
     /* 2035980 */   GIM_Try, /*On fail goto*//*Label 27140*/ GIMT_Encode4(2036067), // Rule ID 17186 //
     /* 2035985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2035988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2035993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2035996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2035999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2036002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036016 */     // MIs[0] passthru
     /* 2036016 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036029 */     // MIs[0] round
     /* 2036029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036032 */     // MIs[0] policy
     /* 2036032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036042 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2036045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036066 */     // GIR_Coverage, 17186,
     /* 2036066 */     GIR_EraseRootFromParent_Done,
     /* 2036067 */   // Label 27140: @2036067
     /* 2036067 */   GIM_Try, /*On fail goto*//*Label 27141*/ GIMT_Encode4(2036154), // Rule ID 17187 //
     /* 2036072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2036075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2036080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2036083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2036086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2036089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036103 */     // MIs[0] passthru
     /* 2036103 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036116 */     // MIs[0] round
     /* 2036116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036119 */     // MIs[0] policy
     /* 2036119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036129 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK_TIED),
     /* 2036132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036153 */     // GIR_Coverage, 17187,
     /* 2036153 */     GIR_EraseRootFromParent_Done,
     /* 2036154 */   // Label 27141: @2036154
     /* 2036154 */   GIM_Try, /*On fail goto*//*Label 27142*/ GIMT_Encode4(2036241), // Rule ID 17196 //
     /* 2036159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2036162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2036167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2036170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2036173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2036176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036190 */     // MIs[0] passthru
     /* 2036190 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036203 */     // MIs[0] round
     /* 2036203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036206 */     // MIs[0] policy
     /* 2036206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2036219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036240 */     // GIR_Coverage, 17196,
     /* 2036240 */     GIR_EraseRootFromParent_Done,
     /* 2036241 */   // Label 27142: @2036241
     /* 2036241 */   GIM_Try, /*On fail goto*//*Label 27143*/ GIMT_Encode4(2036328), // Rule ID 17197 //
     /* 2036246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2036249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2036254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2036257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2036260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2036263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2036273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036277 */     // MIs[0] passthru
     /* 2036277 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036290 */     // MIs[0] round
     /* 2036290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036293 */     // MIs[0] policy
     /* 2036293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036303 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK_TIED),
     /* 2036306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036327 */     // GIR_Coverage, 17197,
     /* 2036327 */     GIR_EraseRootFromParent_Done,
     /* 2036328 */   // Label 27143: @2036328
     /* 2036328 */   GIM_Try, /*On fail goto*//*Label 27144*/ GIMT_Encode4(2036415), // Rule ID 17206 //
     /* 2036333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2036336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2036341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2036344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2036347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2036350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036364 */     // MIs[0] passthru
     /* 2036364 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036377 */     // MIs[0] round
     /* 2036377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036380 */     // MIs[0] policy
     /* 2036380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036390 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2036393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036414 */     // GIR_Coverage, 17206,
     /* 2036414 */     GIR_EraseRootFromParent_Done,
     /* 2036415 */   // Label 27144: @2036415
     /* 2036415 */   GIM_Try, /*On fail goto*//*Label 27145*/ GIMT_Encode4(2036502), // Rule ID 17207 //
     /* 2036420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2036423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2036428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2036431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2036434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2036437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2036440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2036447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036451 */     // MIs[0] passthru
     /* 2036451 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2036460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036464 */     // MIs[0] round
     /* 2036464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036467 */     // MIs[0] policy
     /* 2036467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036477 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK_TIED),
     /* 2036480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036501 */     // GIR_Coverage, 17207,
     /* 2036501 */     GIR_EraseRootFromParent_Done,
     /* 2036502 */   // Label 27145: @2036502
     /* 2036502 */   GIM_Try, /*On fail goto*//*Label 27146*/ GIMT_Encode4(2036589), // Rule ID 17216 //
     /* 2036507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2036510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2036515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2036518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2036521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2036524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036538 */     // MIs[0] passthru
     /* 2036538 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036551 */     // MIs[0] round
     /* 2036551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036554 */     // MIs[0] policy
     /* 2036554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036564 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2036567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036588 */     // GIR_Coverage, 17216,
     /* 2036588 */     GIR_EraseRootFromParent_Done,
     /* 2036589 */   // Label 27146: @2036589
     /* 2036589 */   GIM_Try, /*On fail goto*//*Label 27147*/ GIMT_Encode4(2036676), // Rule ID 17217 //
     /* 2036594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2036597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2036602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2036605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2036608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2036611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2036614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2036621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2036625 */     // MIs[0] passthru
     /* 2036625 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2036634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036638 */     // MIs[0] round
     /* 2036638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036641 */     // MIs[0] policy
     /* 2036641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036651 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK_TIED),
     /* 2036654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2036672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036675 */     // GIR_Coverage, 17217,
     /* 2036675 */     GIR_EraseRootFromParent_Done,
     /* 2036676 */   // Label 27147: @2036676
     /* 2036676 */   GIM_Try, /*On fail goto*//*Label 27148*/ GIMT_Encode4(2036763), // Rule ID 17262 //
     /* 2036681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2036684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2036689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2036698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036712 */     // MIs[0] passthru
     /* 2036712 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036725 */     // MIs[0] round
     /* 2036725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036728 */     // MIs[0] policy
     /* 2036728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036738 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2036741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036762 */     // GIR_Coverage, 17262,
     /* 2036762 */     GIR_EraseRootFromParent_Done,
     /* 2036763 */   // Label 27148: @2036763
     /* 2036763 */   GIM_Try, /*On fail goto*//*Label 27149*/ GIMT_Encode4(2036850), // Rule ID 17263 //
     /* 2036768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2036771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2036776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2036779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2036782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2036785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2036788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036799 */     // MIs[0] passthru
     /* 2036799 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036812 */     // MIs[0] round
     /* 2036812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036815 */     // MIs[0] policy
     /* 2036815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036825 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK_TIED:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK_TIED),
     /* 2036828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036849 */     // GIR_Coverage, 17263,
     /* 2036849 */     GIR_EraseRootFromParent_Done,
     /* 2036850 */   // Label 27149: @2036850
     /* 2036850 */   GIM_Try, /*On fail goto*//*Label 27150*/ GIMT_Encode4(2036937), // Rule ID 17272 //
     /* 2036855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2036858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2036863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2036872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2036878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036886 */     // MIs[0] passthru
     /* 2036886 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036899 */     // MIs[0] round
     /* 2036899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036902 */     // MIs[0] policy
     /* 2036902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036912 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2036912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2036915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2036917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2036919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2036921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2036923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2036925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2036930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2036933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2036935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2036936 */     // GIR_Coverage, 17272,
     /* 2036936 */     GIR_EraseRootFromParent_Done,
     /* 2036937 */   // Label 27150: @2036937
     /* 2036937 */   GIM_Try, /*On fail goto*//*Label 27151*/ GIMT_Encode4(2037024), // Rule ID 17273 //
     /* 2036942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2036945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2036950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2036953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2036956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2036959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2036962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2036965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2036969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036973 */     // MIs[0] passthru
     /* 2036973 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2036978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2036982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2036986 */     // MIs[0] round
     /* 2036986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2036989 */     // MIs[0] policy
     /* 2036989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2036992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2036999 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK_TIED:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2036999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK_TIED),
     /* 2037002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037023 */     // GIR_Coverage, 17273,
     /* 2037023 */     GIR_EraseRootFromParent_Done,
     /* 2037024 */   // Label 27151: @2037024
     /* 2037024 */   GIM_Try, /*On fail goto*//*Label 27152*/ GIMT_Encode4(2037111), // Rule ID 17282 //
     /* 2037029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2037032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2037046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037060 */     // MIs[0] passthru
     /* 2037060 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037073 */     // MIs[0] round
     /* 2037073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037076 */     // MIs[0] policy
     /* 2037076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037086 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2037089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037110 */     // GIR_Coverage, 17282,
     /* 2037110 */     GIR_EraseRootFromParent_Done,
     /* 2037111 */   // Label 27152: @2037111
     /* 2037111 */   GIM_Try, /*On fail goto*//*Label 27153*/ GIMT_Encode4(2037198), // Rule ID 17283 //
     /* 2037116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2037119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2037127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2037130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2037133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037147 */     // MIs[0] passthru
     /* 2037147 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037160 */     // MIs[0] round
     /* 2037160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037163 */     // MIs[0] policy
     /* 2037163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037173 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK_TIED:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK_TIED),
     /* 2037176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037178 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037197 */     // GIR_Coverage, 17283,
     /* 2037197 */     GIR_EraseRootFromParent_Done,
     /* 2037198 */   // Label 27153: @2037198
     /* 2037198 */   GIM_Try, /*On fail goto*//*Label 27154*/ GIMT_Encode4(2037285), // Rule ID 17292 //
     /* 2037203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2037206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2037220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037234 */     // MIs[0] passthru
     /* 2037234 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037247 */     // MIs[0] round
     /* 2037247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037250 */     // MIs[0] policy
     /* 2037250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037260 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2037263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037284 */     // GIR_Coverage, 17292,
     /* 2037284 */     GIR_EraseRootFromParent_Done,
     /* 2037285 */   // Label 27154: @2037285
     /* 2037285 */   GIM_Try, /*On fail goto*//*Label 27155*/ GIMT_Encode4(2037372), // Rule ID 17293 //
     /* 2037290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2037293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2037301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2037304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2037307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2037310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037321 */     // MIs[0] passthru
     /* 2037321 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037334 */     // MIs[0] round
     /* 2037334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037337 */     // MIs[0] policy
     /* 2037337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037347 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK_TIED:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK_TIED),
     /* 2037350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037371 */     // GIR_Coverage, 17293,
     /* 2037371 */     GIR_EraseRootFromParent_Done,
     /* 2037372 */   // Label 27155: @2037372
     /* 2037372 */   GIM_Try, /*On fail goto*//*Label 27156*/ GIMT_Encode4(2037459), // Rule ID 17302 //
     /* 2037377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2037380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2037388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2037391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2037394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037408 */     // MIs[0] passthru
     /* 2037408 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037421 */     // MIs[0] round
     /* 2037421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037424 */     // MIs[0] policy
     /* 2037424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037434 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2037437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037458 */     // GIR_Coverage, 17302,
     /* 2037458 */     GIR_EraseRootFromParent_Done,
     /* 2037459 */   // Label 27156: @2037459
     /* 2037459 */   GIM_Try, /*On fail goto*//*Label 27157*/ GIMT_Encode4(2037546), // Rule ID 17303 //
     /* 2037464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2037467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2037475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2037478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2037481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2037484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2037491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2037495 */     // MIs[0] passthru
     /* 2037495 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037508 */     // MIs[0] round
     /* 2037508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037511 */     // MIs[0] policy
     /* 2037511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037521 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK_TIED:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK_TIED),
     /* 2037524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2037542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037545 */     // GIR_Coverage, 17303,
     /* 2037545 */     GIR_EraseRootFromParent_Done,
     /* 2037546 */   // Label 27157: @2037546
     /* 2037546 */   GIM_Try, /*On fail goto*//*Label 27158*/ GIMT_Encode4(2037633), // Rule ID 17312 //
     /* 2037551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2037554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2037562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2037565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2037568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037582 */     // MIs[0] passthru
     /* 2037582 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037595 */     // MIs[0] round
     /* 2037595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037598 */     // MIs[0] policy
     /* 2037598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037608 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2037611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037632 */     // GIR_Coverage, 17312,
     /* 2037632 */     GIR_EraseRootFromParent_Done,
     /* 2037633 */   // Label 27158: @2037633
     /* 2037633 */   GIM_Try, /*On fail goto*//*Label 27159*/ GIMT_Encode4(2037720), // Rule ID 17313 //
     /* 2037638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2037641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2037649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2037652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2037655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2037658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2037665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037669 */     // MIs[0] passthru
     /* 2037669 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037682 */     // MIs[0] round
     /* 2037682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037685 */     // MIs[0] policy
     /* 2037685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037695 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK_TIED:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK_TIED),
     /* 2037698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037719 */     // GIR_Coverage, 17313,
     /* 2037719 */     GIR_EraseRootFromParent_Done,
     /* 2037720 */   // Label 27159: @2037720
     /* 2037720 */   GIM_Try, /*On fail goto*//*Label 27160*/ GIMT_Encode4(2037807), // Rule ID 17322 //
     /* 2037725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2037728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2037736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2037739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2037742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037756 */     // MIs[0] passthru
     /* 2037756 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037769 */     // MIs[0] round
     /* 2037769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037772 */     // MIs[0] policy
     /* 2037772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037782 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2037785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037806 */     // GIR_Coverage, 17322,
     /* 2037806 */     GIR_EraseRootFromParent_Done,
     /* 2037807 */   // Label 27160: @2037807
     /* 2037807 */   GIM_Try, /*On fail goto*//*Label 27161*/ GIMT_Encode4(2037894), // Rule ID 17323 //
     /* 2037812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2037815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2037823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2037826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2037829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2037832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2037835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2037839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037843 */     // MIs[0] passthru
     /* 2037843 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2037852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037856 */     // MIs[0] round
     /* 2037856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037859 */     // MIs[0] policy
     /* 2037859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037869 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK_TIED:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2037869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK_TIED),
     /* 2037872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037893 */     // GIR_Coverage, 17323,
     /* 2037893 */     GIR_EraseRootFromParent_Done,
     /* 2037894 */   // Label 27161: @2037894
     /* 2037894 */   GIM_Try, /*On fail goto*//*Label 27162*/ GIMT_Encode4(2037981), // Rule ID 17332 //
     /* 2037899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2037902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2037910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2037913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2037916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2037919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2037922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2037926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2037930 */     // MIs[0] passthru
     /* 2037930 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2037935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2037939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2037943 */     // MIs[0] round
     /* 2037943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2037946 */     // MIs[0] policy
     /* 2037946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2037949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2037956 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2037956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2037959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2037961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2037963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2037965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2037967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2037969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2037974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2037977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2037979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2037980 */     // GIR_Coverage, 17332,
     /* 2037980 */     GIR_EraseRootFromParent_Done,
     /* 2037981 */   // Label 27162: @2037981
     /* 2037981 */   GIM_Try, /*On fail goto*//*Label 27163*/ GIMT_Encode4(2038068), // Rule ID 17333 //
     /* 2037986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2037989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2037994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2037997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2038000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2038003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2038013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038017 */     // MIs[0] passthru
     /* 2038017 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2038022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2038026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038030 */     // MIs[0] round
     /* 2038030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038033 */     // MIs[0] policy
     /* 2038033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038043 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK_TIED:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK_TIED),
     /* 2038046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038067 */     // GIR_Coverage, 17333,
     /* 2038067 */     GIR_EraseRootFromParent_Done,
     /* 2038068 */   // Label 27163: @2038068
     /* 2038068 */   GIM_Try, /*On fail goto*//*Label 27164*/ GIMT_Encode4(2038155), // Rule ID 17342 //
     /* 2038073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2038076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2038081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2038090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038104 */     // MIs[0] passthru
     /* 2038104 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2038109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038117 */     // MIs[0] round
     /* 2038117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038120 */     // MIs[0] policy
     /* 2038120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038130 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2038133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038154 */     // GIR_Coverage, 17342,
     /* 2038154 */     GIR_EraseRootFromParent_Done,
     /* 2038155 */   // Label 27164: @2038155
     /* 2038155 */   GIM_Try, /*On fail goto*//*Label 27165*/ GIMT_Encode4(2038242), // Rule ID 17343 //
     /* 2038160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2038163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2038168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2038171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2038174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2038177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2038180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2038187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2038191 */     // MIs[0] passthru
     /* 2038191 */     GIM_CheckIsSameOperand, /*MI*/0, /*OpIdx*/3, /*OtherMI*/0, /*OtherOpIdx*/2,
     /* 2038196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2038200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038204 */     // MIs[0] round
     /* 2038204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038207 */     // MIs[0] policy
     /* 2038207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038217 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK_TIED:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK_TIED),
     /* 2038220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2038238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038241 */     // GIR_Coverage, 17343,
     /* 2038241 */     GIR_EraseRootFromParent_Done,
     /* 2038242 */   // Label 27165: @2038242
     /* 2038242 */   GIM_Try, /*On fail goto*//*Label 27166*/ GIMT_Encode4(2038333), // Rule ID 2724 //
     /* 2038247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2038258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2038261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2038264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2038267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038293 */     // MIs[0] round
     /* 2038293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038296 */     // MIs[0] policy
     /* 2038296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038306 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2038309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038332 */     // GIR_Coverage, 2724,
     /* 2038332 */     GIR_EraseRootFromParent_Done,
     /* 2038333 */   // Label 27166: @2038333
     /* 2038333 */   GIM_Try, /*On fail goto*//*Label 27167*/ GIMT_Encode4(2038424), // Rule ID 2725 //
     /* 2038338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2038349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2038352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2038355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2038358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038384 */     // MIs[0] round
     /* 2038384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038387 */     // MIs[0] policy
     /* 2038387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038397 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF8_MASK),
     /* 2038400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038423 */     // GIR_Coverage, 2725,
     /* 2038423 */     GIR_EraseRootFromParent_Done,
     /* 2038424 */   // Label 27167: @2038424
     /* 2038424 */   GIM_Try, /*On fail goto*//*Label 27168*/ GIMT_Encode4(2038515), // Rule ID 2768 //
     /* 2038429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2038432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2038437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2038440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2038443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2038446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2038449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038475 */     // MIs[0] round
     /* 2038475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038478 */     // MIs[0] policy
     /* 2038478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038488 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2038491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038514 */     // GIR_Coverage, 2768,
     /* 2038514 */     GIR_EraseRootFromParent_Done,
     /* 2038515 */   // Label 27168: @2038515
     /* 2038515 */   GIM_Try, /*On fail goto*//*Label 27169*/ GIMT_Encode4(2038606), // Rule ID 2769 //
     /* 2038520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2038523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2038528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2038531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2038534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2038537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2038540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038566 */     // MIs[0] round
     /* 2038566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038569 */     // MIs[0] policy
     /* 2038569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038579 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF4_E16_MASK),
     /* 2038582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038605 */     // GIR_Coverage, 2769,
     /* 2038605 */     GIR_EraseRootFromParent_Done,
     /* 2038606 */   // Label 27169: @2038606
     /* 2038606 */   GIM_Try, /*On fail goto*//*Label 27170*/ GIMT_Encode4(2038697), // Rule ID 2776 //
     /* 2038611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2038614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2038622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2038625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2038628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2038631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038657 */     // MIs[0] round
     /* 2038657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038660 */     // MIs[0] policy
     /* 2038660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038670 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2038673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038696 */     // GIR_Coverage, 2776,
     /* 2038696 */     GIR_EraseRootFromParent_Done,
     /* 2038697 */   // Label 27170: @2038697
     /* 2038697 */   GIM_Try, /*On fail goto*//*Label 27171*/ GIMT_Encode4(2038788), // Rule ID 2777 //
     /* 2038702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2038705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2038710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2038713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2038716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2038719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2038722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2038725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038748 */     // MIs[0] round
     /* 2038748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038751 */     // MIs[0] policy
     /* 2038751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038761 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF4_E16_MASK),
     /* 2038764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2038768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2038784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038787 */     // GIR_Coverage, 2777,
     /* 2038787 */     GIR_EraseRootFromParent_Done,
     /* 2038788 */   // Label 27171: @2038788
     /* 2038788 */   GIM_Try, /*On fail goto*//*Label 27172*/ GIMT_Encode4(2038879), // Rule ID 14934 //
     /* 2038793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2038804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2038807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2038810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2038813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2038819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038839 */     // MIs[0] round
     /* 2038839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038842 */     // MIs[0] policy
     /* 2038842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038852 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2038852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2038855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038878 */     // GIR_Coverage, 14934,
     /* 2038878 */     GIR_EraseRootFromParent_Done,
     /* 2038879 */   // Label 27172: @2038879
     /* 2038879 */   GIM_Try, /*On fail goto*//*Label 27173*/ GIMT_Encode4(2038970), // Rule ID 14935 //
     /* 2038884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2038887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2038895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2038898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2038901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2038904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2038907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2038910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2038914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2038926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2038930 */     // MIs[0] round
     /* 2038930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2038933 */     // MIs[0] policy
     /* 2038933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2038936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2038943 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2038943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2038946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2038948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2038950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2038952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2038954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2038956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2038958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2038963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2038966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2038968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2038969 */     // GIR_Coverage, 14935,
     /* 2038969 */     GIR_EraseRootFromParent_Done,
     /* 2038970 */   // Label 27173: @2038970
     /* 2038970 */   GIM_Try, /*On fail goto*//*Label 27174*/ GIMT_Encode4(2039061), // Rule ID 14938 //
     /* 2038975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2038978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2038983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2038986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2038989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2038992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2038995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2038998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039021 */     // MIs[0] round
     /* 2039021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039024 */     // MIs[0] policy
     /* 2039024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039034 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2039037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039060 */     // GIR_Coverage, 14938,
     /* 2039060 */     GIR_EraseRootFromParent_Done,
     /* 2039061 */   // Label 27174: @2039061
     /* 2039061 */   GIM_Try, /*On fail goto*//*Label 27175*/ GIMT_Encode4(2039152), // Rule ID 14939 //
     /* 2039066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2039077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2039080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2039083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2039086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039112 */     // MIs[0] round
     /* 2039112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039115 */     // MIs[0] policy
     /* 2039115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039125 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2039128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039151 */     // GIR_Coverage, 14939,
     /* 2039151 */     GIR_EraseRootFromParent_Done,
     /* 2039152 */   // Label 27175: @2039152
     /* 2039152 */   GIM_Try, /*On fail goto*//*Label 27176*/ GIMT_Encode4(2039243), // Rule ID 14942 //
     /* 2039157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039203 */     // MIs[0] round
     /* 2039203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039206 */     // MIs[0] policy
     /* 2039206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039216 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2039219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039242 */     // GIR_Coverage, 14942,
     /* 2039242 */     GIR_EraseRootFromParent_Done,
     /* 2039243 */   // Label 27176: @2039243
     /* 2039243 */   GIM_Try, /*On fail goto*//*Label 27177*/ GIMT_Encode4(2039334), // Rule ID 14943 //
     /* 2039248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2039259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2039262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2039265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2039268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039294 */     // MIs[0] round
     /* 2039294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039297 */     // MIs[0] policy
     /* 2039297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039307 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF4_MASK),
     /* 2039310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039333 */     // GIR_Coverage, 14943,
     /* 2039333 */     GIR_EraseRootFromParent_Done,
     /* 2039334 */   // Label 27177: @2039334
     /* 2039334 */   GIM_Try, /*On fail goto*//*Label 27178*/ GIMT_Encode4(2039425), // Rule ID 14946 //
     /* 2039339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039385 */     // MIs[0] round
     /* 2039385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039388 */     // MIs[0] policy
     /* 2039388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039398 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2039401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039424 */     // GIR_Coverage, 14946,
     /* 2039424 */     GIR_EraseRootFromParent_Done,
     /* 2039425 */   // Label 27178: @2039425
     /* 2039425 */   GIM_Try, /*On fail goto*//*Label 27179*/ GIMT_Encode4(2039516), // Rule ID 14947 //
     /* 2039430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2039441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2039444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2039447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2039450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2039453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039476 */     // MIs[0] round
     /* 2039476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039479 */     // MIs[0] policy
     /* 2039479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039489 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2039492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039515 */     // GIR_Coverage, 14947,
     /* 2039515 */     GIR_EraseRootFromParent_Done,
     /* 2039516 */   // Label 27179: @2039516
     /* 2039516 */   GIM_Try, /*On fail goto*//*Label 27180*/ GIMT_Encode4(2039607), // Rule ID 14950 //
     /* 2039521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039567 */     // MIs[0] round
     /* 2039567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039570 */     // MIs[0] policy
     /* 2039570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039580 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2039583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039606 */     // GIR_Coverage, 14950,
     /* 2039606 */     GIR_EraseRootFromParent_Done,
     /* 2039607 */   // Label 27180: @2039607
     /* 2039607 */   GIM_Try, /*On fail goto*//*Label 27181*/ GIMT_Encode4(2039698), // Rule ID 14951 //
     /* 2039612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2039623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2039626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2039629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2039632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2039635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039658 */     // MIs[0] round
     /* 2039658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039661 */     // MIs[0] policy
     /* 2039661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039671 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_MF2_MASK),
     /* 2039674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2039694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039697 */     // GIR_Coverage, 14951,
     /* 2039697 */     GIR_EraseRootFromParent_Done,
     /* 2039698 */   // Label 27181: @2039698
     /* 2039698 */   GIM_Try, /*On fail goto*//*Label 27182*/ GIMT_Encode4(2039789), // Rule ID 14954 //
     /* 2039703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2039714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2039717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2039720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2039723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039749 */     // MIs[0] round
     /* 2039749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039752 */     // MIs[0] policy
     /* 2039752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039762 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2039765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039788 */     // GIR_Coverage, 14954,
     /* 2039788 */     GIR_EraseRootFromParent_Done,
     /* 2039789 */   // Label 27182: @2039789
     /* 2039789 */   GIM_Try, /*On fail goto*//*Label 27183*/ GIMT_Encode4(2039880), // Rule ID 14955 //
     /* 2039794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2039805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2039808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2039811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2039814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2039817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2039820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039840 */     // MIs[0] round
     /* 2039840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039843 */     // MIs[0] policy
     /* 2039843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039853 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2039853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2039856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2039876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039879 */     // GIR_Coverage, 14955,
     /* 2039879 */     GIR_EraseRootFromParent_Done,
     /* 2039880 */   // Label 27183: @2039880
     /* 2039880 */   GIM_Try, /*On fail goto*//*Label 27184*/ GIMT_Encode4(2039971), // Rule ID 14958 //
     /* 2039885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2039888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2039896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2039899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2039902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2039905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2039911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2039915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2039927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2039931 */     // MIs[0] round
     /* 2039931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2039934 */     // MIs[0] policy
     /* 2039934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2039937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2039944 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2039944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2039947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2039949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2039951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2039953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2039955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2039957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2039959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2039964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2039967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2039969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2039970 */     // GIR_Coverage, 14958,
     /* 2039970 */     GIR_EraseRootFromParent_Done,
     /* 2039971 */   // Label 27184: @2039971
     /* 2039971 */   GIM_Try, /*On fail goto*//*Label 27185*/ GIMT_Encode4(2040062), // Rule ID 14959 //
     /* 2039976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2039979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2039984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2039987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2039990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2039993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2039996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2039999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040022 */     // MIs[0] round
     /* 2040022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040025 */     // MIs[0] policy
     /* 2040025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040035 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2040038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2040058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040061 */     // GIR_Coverage, 14959,
     /* 2040061 */     GIR_EraseRootFromParent_Done,
     /* 2040062 */   // Label 27185: @2040062
     /* 2040062 */   GIM_Try, /*On fail goto*//*Label 27186*/ GIMT_Encode4(2040153), // Rule ID 14962 //
     /* 2040067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040113 */     // MIs[0] round
     /* 2040113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040116 */     // MIs[0] policy
     /* 2040116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040126 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2040129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040152 */     // GIR_Coverage, 14962,
     /* 2040152 */     GIR_EraseRootFromParent_Done,
     /* 2040153 */   // Label 27186: @2040153
     /* 2040153 */   GIM_Try, /*On fail goto*//*Label 27187*/ GIMT_Encode4(2040244), // Rule ID 14963 //
     /* 2040158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2040169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2040172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2040175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2040178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2040181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040204 */     // MIs[0] round
     /* 2040204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040207 */     // MIs[0] policy
     /* 2040207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040217 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2040220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2040240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040243 */     // GIR_Coverage, 14963,
     /* 2040243 */     GIR_EraseRootFromParent_Done,
     /* 2040244 */   // Label 27187: @2040244
     /* 2040244 */   GIM_Try, /*On fail goto*//*Label 27188*/ GIMT_Encode4(2040335), // Rule ID 14966 //
     /* 2040249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2040252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040295 */     // MIs[0] round
     /* 2040295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040298 */     // MIs[0] policy
     /* 2040298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040308 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2040311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040334 */     // GIR_Coverage, 14966,
     /* 2040334 */     GIR_EraseRootFromParent_Done,
     /* 2040335 */   // Label 27188: @2040335
     /* 2040335 */   GIM_Try, /*On fail goto*//*Label 27189*/ GIMT_Encode4(2040426), // Rule ID 14967 //
     /* 2040340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2040343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2040351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2040354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2040357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2040360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2040363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2040370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2040382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040386 */     // MIs[0] round
     /* 2040386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040389 */     // MIs[0] policy
     /* 2040389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040399 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M1_MASK),
     /* 2040402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2040422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040425 */     // GIR_Coverage, 14967,
     /* 2040425 */     GIR_EraseRootFromParent_Done,
     /* 2040426 */   // Label 27189: @2040426
     /* 2040426 */   GIM_Try, /*On fail goto*//*Label 27190*/ GIMT_Encode4(2040517), // Rule ID 14970 //
     /* 2040431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040477 */     // MIs[0] round
     /* 2040477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040480 */     // MIs[0] policy
     /* 2040480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040490 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2040493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040516 */     // GIR_Coverage, 14970,
     /* 2040516 */     GIR_EraseRootFromParent_Done,
     /* 2040517 */   // Label 27190: @2040517
     /* 2040517 */   GIM_Try, /*On fail goto*//*Label 27191*/ GIMT_Encode4(2040608), // Rule ID 14971 //
     /* 2040522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2040533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2040536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2040539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2040542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2040545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2040552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2040564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040568 */     // MIs[0] round
     /* 2040568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040571 */     // MIs[0] policy
     /* 2040571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040581 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2040584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040607 */     // GIR_Coverage, 14971,
     /* 2040607 */     GIR_EraseRootFromParent_Done,
     /* 2040608 */   // Label 27191: @2040608
     /* 2040608 */   GIM_Try, /*On fail goto*//*Label 27192*/ GIMT_Encode4(2040699), // Rule ID 14974 //
     /* 2040613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2040624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2040627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2040630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2040633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040659 */     // MIs[0] round
     /* 2040659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040662 */     // MIs[0] policy
     /* 2040662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040672 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2040675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040698 */     // GIR_Coverage, 14974,
     /* 2040698 */     GIR_EraseRootFromParent_Done,
     /* 2040699 */   // Label 27192: @2040699
     /* 2040699 */   GIM_Try, /*On fail goto*//*Label 27193*/ GIMT_Encode4(2040790), // Rule ID 14975 //
     /* 2040704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2040715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2040718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2040721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2040724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2040727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2040734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2040746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040750 */     // MIs[0] round
     /* 2040750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040753 */     // MIs[0] policy
     /* 2040753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040763 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2040766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040789 */     // GIR_Coverage, 14975,
     /* 2040789 */     GIR_EraseRootFromParent_Done,
     /* 2040790 */   // Label 27193: @2040790
     /* 2040790 */   GIM_Try, /*On fail goto*//*Label 27194*/ GIMT_Encode4(2040881), // Rule ID 14978 //
     /* 2040795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2040806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2040809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2040812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2040815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2040818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2040821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040841 */     // MIs[0] round
     /* 2040841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040844 */     // MIs[0] policy
     /* 2040844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040854 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2040854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2040857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040880 */     // GIR_Coverage, 14978,
     /* 2040880 */     GIR_EraseRootFromParent_Done,
     /* 2040881 */   // Label 27194: @2040881
     /* 2040881 */   GIM_Try, /*On fail goto*//*Label 27195*/ GIMT_Encode4(2040972), // Rule ID 14979 //
     /* 2040886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2040889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2040897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2040900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2040903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2040906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2040909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2040912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2040916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2040928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2040932 */     // MIs[0] round
     /* 2040932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2040935 */     // MIs[0] policy
     /* 2040935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2040938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2040945 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2040945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2040948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2040950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2040952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2040954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2040956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2040958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2040960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2040965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2040968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2040970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2040971 */     // GIR_Coverage, 14979,
     /* 2040971 */     GIR_EraseRootFromParent_Done,
     /* 2040972 */   // Label 27195: @2040972
     /* 2040972 */   GIM_Try, /*On fail goto*//*Label 27196*/ GIMT_Encode4(2041063), // Rule ID 14982 //
     /* 2040977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2040980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2040985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2040988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2040991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2040994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2040997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041023 */     // MIs[0] round
     /* 2041023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041026 */     // MIs[0] policy
     /* 2041026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041036 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2041039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041062 */     // GIR_Coverage, 14982,
     /* 2041062 */     GIR_EraseRootFromParent_Done,
     /* 2041063 */   // Label 27196: @2041063
     /* 2041063 */   GIM_Try, /*On fail goto*//*Label 27197*/ GIMT_Encode4(2041154), // Rule ID 14983 //
     /* 2041068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2041079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2041082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2041085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2041088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041114 */     // MIs[0] round
     /* 2041114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041117 */     // MIs[0] policy
     /* 2041117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041127 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2041130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041153 */     // GIR_Coverage, 14983,
     /* 2041153 */     GIR_EraseRootFromParent_Done,
     /* 2041154 */   // Label 27197: @2041154
     /* 2041154 */   GIM_Try, /*On fail goto*//*Label 27198*/ GIMT_Encode4(2041245), // Rule ID 14986 //
     /* 2041159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041205 */     // MIs[0] round
     /* 2041205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041208 */     // MIs[0] policy
     /* 2041208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041218 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2041221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041244 */     // GIR_Coverage, 14986,
     /* 2041244 */     GIR_EraseRootFromParent_Done,
     /* 2041245 */   // Label 27198: @2041245
     /* 2041245 */   GIM_Try, /*On fail goto*//*Label 27199*/ GIMT_Encode4(2041336), // Rule ID 14987 //
     /* 2041250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2041261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2041264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2041267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2041270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041296 */     // MIs[0] round
     /* 2041296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041299 */     // MIs[0] policy
     /* 2041299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041309 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2041312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041335 */     // GIR_Coverage, 14987,
     /* 2041335 */     GIR_EraseRootFromParent_Done,
     /* 2041336 */   // Label 27199: @2041336
     /* 2041336 */   GIM_Try, /*On fail goto*//*Label 27200*/ GIMT_Encode4(2041427), // Rule ID 14990 //
     /* 2041341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041387 */     // MIs[0] round
     /* 2041387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041390 */     // MIs[0] policy
     /* 2041390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041400 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2041403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041426 */     // GIR_Coverage, 14990,
     /* 2041426 */     GIR_EraseRootFromParent_Done,
     /* 2041427 */   // Label 27200: @2041427
     /* 2041427 */   GIM_Try, /*On fail goto*//*Label 27201*/ GIMT_Encode4(2041518), // Rule ID 14991 //
     /* 2041432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2041443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2041446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2041449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2041452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2041455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041478 */     // MIs[0] round
     /* 2041478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041481 */     // MIs[0] policy
     /* 2041481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041491 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2041494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2041514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041517 */     // GIR_Coverage, 14991,
     /* 2041517 */     GIR_EraseRootFromParent_Done,
     /* 2041518 */   // Label 27201: @2041518
     /* 2041518 */   GIM_Try, /*On fail goto*//*Label 27202*/ GIMT_Encode4(2041609), // Rule ID 14994 //
     /* 2041523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2041543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041569 */     // MIs[0] round
     /* 2041569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041572 */     // MIs[0] policy
     /* 2041572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041582 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2041585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041608 */     // GIR_Coverage, 14994,
     /* 2041608 */     GIR_EraseRootFromParent_Done,
     /* 2041609 */   // Label 27202: @2041609
     /* 2041609 */   GIM_Try, /*On fail goto*//*Label 27203*/ GIMT_Encode4(2041700), // Rule ID 14995 //
     /* 2041614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2041625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2041628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2041631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2041634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2041637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2041644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2041656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041660 */     // MIs[0] round
     /* 2041660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041663 */     // MIs[0] policy
     /* 2041663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041673 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2041676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041699 */     // GIR_Coverage, 14995,
     /* 2041699 */     GIR_EraseRootFromParent_Done,
     /* 2041700 */   // Label 27203: @2041700
     /* 2041700 */   GIM_Try, /*On fail goto*//*Label 27204*/ GIMT_Encode4(2041791), // Rule ID 14998 //
     /* 2041705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2041716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2041719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2041722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2041725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041751 */     // MIs[0] round
     /* 2041751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041754 */     // MIs[0] policy
     /* 2041754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041764 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2041767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041790 */     // GIR_Coverage, 14998,
     /* 2041790 */     GIR_EraseRootFromParent_Done,
     /* 2041791 */   // Label 27204: @2041791
     /* 2041791 */   GIM_Try, /*On fail goto*//*Label 27205*/ GIMT_Encode4(2041882), // Rule ID 14999 //
     /* 2041796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2041807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2041810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2041813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2041816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2041819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2041822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2041826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2041838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041842 */     // MIs[0] round
     /* 2041842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041845 */     // MIs[0] policy
     /* 2041845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041855 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2041855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2041858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041881 */     // GIR_Coverage, 14999,
     /* 2041881 */     GIR_EraseRootFromParent_Done,
     /* 2041882 */   // Label 27205: @2041882
     /* 2041882 */   GIM_Try, /*On fail goto*//*Label 27206*/ GIMT_Encode4(2041973), // Rule ID 15002 //
     /* 2041887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2041890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2041898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2041901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2041904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2041907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2041910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2041913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2041917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2041929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2041933 */     // MIs[0] round
     /* 2041933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2041936 */     // MIs[0] policy
     /* 2041936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2041939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2041946 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2041946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2041949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2041951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2041953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2041955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2041957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2041959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2041961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2041966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2041969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2041971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2041972 */     // GIR_Coverage, 15002,
     /* 2041972 */     GIR_EraseRootFromParent_Done,
     /* 2041973 */   // Label 27206: @2041973
     /* 2041973 */   GIM_Try, /*On fail goto*//*Label 27207*/ GIMT_Encode4(2042064), // Rule ID 15003 //
     /* 2041978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2041981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2041986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2041989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2041992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2041995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2041998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2042001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042024 */     // MIs[0] round
     /* 2042024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042027 */     // MIs[0] policy
     /* 2042027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042037 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2042040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2042060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042063 */     // GIR_Coverage, 15003,
     /* 2042063 */     GIR_EraseRootFromParent_Done,
     /* 2042064 */   // Label 27207: @2042064
     /* 2042064 */   GIM_Try, /*On fail goto*//*Label 27208*/ GIMT_Encode4(2042155), // Rule ID 15006 //
     /* 2042069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042115 */     // MIs[0] round
     /* 2042115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042118 */     // MIs[0] policy
     /* 2042118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042128 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2042131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042154 */     // GIR_Coverage, 15006,
     /* 2042154 */     GIR_EraseRootFromParent_Done,
     /* 2042155 */   // Label 27208: @2042155
     /* 2042155 */   GIM_Try, /*On fail goto*//*Label 27209*/ GIMT_Encode4(2042246), // Rule ID 15007 //
     /* 2042160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2042171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2042174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2042177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2042180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2042190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2042202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042206 */     // MIs[0] round
     /* 2042206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042209 */     // MIs[0] policy
     /* 2042209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042219 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M2_MASK),
     /* 2042222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042245 */     // GIR_Coverage, 15007,
     /* 2042245 */     GIR_EraseRootFromParent_Done,
     /* 2042246 */   // Label 27209: @2042246
     /* 2042246 */   GIM_Try, /*On fail goto*//*Label 27210*/ GIMT_Encode4(2042337), // Rule ID 15010 //
     /* 2042251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042297 */     // MIs[0] round
     /* 2042297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042300 */     // MIs[0] policy
     /* 2042300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042310 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2042313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042336 */     // GIR_Coverage, 15010,
     /* 2042336 */     GIR_EraseRootFromParent_Done,
     /* 2042337 */   // Label 27210: @2042337
     /* 2042337 */   GIM_Try, /*On fail goto*//*Label 27211*/ GIMT_Encode4(2042428), // Rule ID 15011 //
     /* 2042342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2042353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2042356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2042359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2042362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2042365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2042372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2042384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042388 */     // MIs[0] round
     /* 2042388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042391 */     // MIs[0] policy
     /* 2042391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042401 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M4_MASK),
     /* 2042404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042427 */     // GIR_Coverage, 15011,
     /* 2042427 */     GIR_EraseRootFromParent_Done,
     /* 2042428 */   // Label 27211: @2042428
     /* 2042428 */   GIM_Try, /*On fail goto*//*Label 27212*/ GIMT_Encode4(2042519), // Rule ID 15014 //
     /* 2042433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2042436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042479 */     // MIs[0] round
     /* 2042479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042482 */     // MIs[0] policy
     /* 2042482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042492 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2042495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042518 */     // GIR_Coverage, 15014,
     /* 2042518 */     GIR_EraseRootFromParent_Done,
     /* 2042519 */   // Label 27212: @2042519
     /* 2042519 */   GIM_Try, /*On fail goto*//*Label 27213*/ GIMT_Encode4(2042610), // Rule ID 15015 //
     /* 2042524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2042527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2042535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2042538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2042541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2042544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2042547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2042554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2042566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042570 */     // MIs[0] round
     /* 2042570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042573 */     // MIs[0] policy
     /* 2042573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042583 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VV_M8_MASK),
     /* 2042586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2042606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042609 */     // GIR_Coverage, 15015,
     /* 2042609 */     GIR_EraseRootFromParent_Done,
     /* 2042610 */   // Label 27213: @2042610
     /* 2042610 */   GIM_Try, /*On fail goto*//*Label 27214*/ GIMT_Encode4(2042701), // Rule ID 15018 //
     /* 2042615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2042626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2042629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2042632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042661 */     // MIs[0] round
     /* 2042661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042664 */     // MIs[0] policy
     /* 2042664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042674 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2042677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042700 */     // GIR_Coverage, 15018,
     /* 2042700 */     GIR_EraseRootFromParent_Done,
     /* 2042701 */   // Label 27214: @2042701
     /* 2042701 */   GIM_Try, /*On fail goto*//*Label 27215*/ GIMT_Encode4(2042792), // Rule ID 15019 //
     /* 2042706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2042717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2042720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2042723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2042729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042752 */     // MIs[0] round
     /* 2042752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042755 */     // MIs[0] policy
     /* 2042755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042765 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF8_MASK),
     /* 2042768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042791 */     // GIR_Coverage, 15019,
     /* 2042791 */     GIR_EraseRootFromParent_Done,
     /* 2042792 */   // Label 27215: @2042792
     /* 2042792 */   GIM_Try, /*On fail goto*//*Label 27216*/ GIMT_Encode4(2042883), // Rule ID 15022 //
     /* 2042797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2042808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2042811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2042814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2042823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042843 */     // MIs[0] round
     /* 2042843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042846 */     // MIs[0] policy
     /* 2042846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042856 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2042856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2042859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042882 */     // GIR_Coverage, 15022,
     /* 2042882 */     GIR_EraseRootFromParent_Done,
     /* 2042883 */   // Label 27216: @2042883
     /* 2042883 */   GIM_Try, /*On fail goto*//*Label 27217*/ GIMT_Encode4(2042974), // Rule ID 15023 //
     /* 2042888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2042891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2042899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2042902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2042905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2042908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2042911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2042914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2042918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2042926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2042930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2042934 */     // MIs[0] round
     /* 2042934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2042937 */     // MIs[0] policy
     /* 2042937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2042940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2042947 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2042947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2042950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2042952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2042954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2042956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2042958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2042960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2042962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2042967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2042970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2042972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2042973 */     // GIR_Coverage, 15023,
     /* 2042973 */     GIR_EraseRootFromParent_Done,
     /* 2042974 */   // Label 27217: @2042974
     /* 2042974 */   GIM_Try, /*On fail goto*//*Label 27218*/ GIMT_Encode4(2043065), // Rule ID 15026 //
     /* 2042979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2042982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2042987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2042990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2042993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2042996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2042999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043025 */     // MIs[0] round
     /* 2043025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043028 */     // MIs[0] policy
     /* 2043028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043038 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2043041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043064 */     // GIR_Coverage, 15026,
     /* 2043064 */     GIR_EraseRootFromParent_Done,
     /* 2043065 */   // Label 27218: @2043065
     /* 2043065 */   GIM_Try, /*On fail goto*//*Label 27219*/ GIMT_Encode4(2043156), // Rule ID 15027 //
     /* 2043070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2043081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2043084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2043087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043116 */     // MIs[0] round
     /* 2043116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043119 */     // MIs[0] policy
     /* 2043119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043129 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2043132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043155 */     // GIR_Coverage, 15027,
     /* 2043155 */     GIR_EraseRootFromParent_Done,
     /* 2043156 */   // Label 27219: @2043156
     /* 2043156 */   GIM_Try, /*On fail goto*//*Label 27220*/ GIMT_Encode4(2043247), // Rule ID 15030 //
     /* 2043161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043207 */     // MIs[0] round
     /* 2043207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043210 */     // MIs[0] policy
     /* 2043210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043220 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2043223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043246 */     // GIR_Coverage, 15030,
     /* 2043246 */     GIR_EraseRootFromParent_Done,
     /* 2043247 */   // Label 27220: @2043247
     /* 2043247 */   GIM_Try, /*On fail goto*//*Label 27221*/ GIMT_Encode4(2043338), // Rule ID 15031 //
     /* 2043252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2043263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2043266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2043269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043298 */     // MIs[0] round
     /* 2043298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043301 */     // MIs[0] policy
     /* 2043301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043311 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF4_MASK),
     /* 2043314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043337 */     // GIR_Coverage, 15031,
     /* 2043337 */     GIR_EraseRootFromParent_Done,
     /* 2043338 */   // Label 27221: @2043338
     /* 2043338 */   GIM_Try, /*On fail goto*//*Label 27222*/ GIMT_Encode4(2043429), // Rule ID 15034 //
     /* 2043343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043389 */     // MIs[0] round
     /* 2043389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043392 */     // MIs[0] policy
     /* 2043392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043402 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2043405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043428 */     // GIR_Coverage, 15034,
     /* 2043428 */     GIR_EraseRootFromParent_Done,
     /* 2043429 */   // Label 27222: @2043429
     /* 2043429 */   GIM_Try, /*On fail goto*//*Label 27223*/ GIMT_Encode4(2043520), // Rule ID 15035 //
     /* 2043434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2043445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2043448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2043451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2043457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043480 */     // MIs[0] round
     /* 2043480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043483 */     // MIs[0] policy
     /* 2043483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043493 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2043496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043519 */     // GIR_Coverage, 15035,
     /* 2043519 */     GIR_EraseRootFromParent_Done,
     /* 2043520 */   // Label 27223: @2043520
     /* 2043520 */   GIM_Try, /*On fail goto*//*Label 27224*/ GIMT_Encode4(2043611), // Rule ID 15038 //
     /* 2043525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043571 */     // MIs[0] round
     /* 2043571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043574 */     // MIs[0] policy
     /* 2043574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043584 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2043587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043610 */     // GIR_Coverage, 15038,
     /* 2043610 */     GIR_EraseRootFromParent_Done,
     /* 2043611 */   // Label 27224: @2043611
     /* 2043611 */   GIM_Try, /*On fail goto*//*Label 27225*/ GIMT_Encode4(2043702), // Rule ID 15039 //
     /* 2043616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2043627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2043630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2043633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2043639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043662 */     // MIs[0] round
     /* 2043662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043665 */     // MIs[0] policy
     /* 2043665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043675 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_MF2_MASK),
     /* 2043678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2043698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043701 */     // GIR_Coverage, 15039,
     /* 2043701 */     GIR_EraseRootFromParent_Done,
     /* 2043702 */   // Label 27225: @2043702
     /* 2043702 */   GIM_Try, /*On fail goto*//*Label 27226*/ GIMT_Encode4(2043793), // Rule ID 15042 //
     /* 2043707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2043718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2043721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2043724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043753 */     // MIs[0] round
     /* 2043753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043756 */     // MIs[0] policy
     /* 2043756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043766 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2043769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043792 */     // GIR_Coverage, 15042,
     /* 2043792 */     GIR_EraseRootFromParent_Done,
     /* 2043793 */   // Label 27226: @2043793
     /* 2043793 */   GIM_Try, /*On fail goto*//*Label 27227*/ GIMT_Encode4(2043884), // Rule ID 15043 //
     /* 2043798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2043809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2043812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2043815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2043818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2043821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2043824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043844 */     // MIs[0] round
     /* 2043844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043847 */     // MIs[0] policy
     /* 2043847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043857 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11141:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2043857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2043860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2043880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043883 */     // GIR_Coverage, 15043,
     /* 2043883 */     GIR_EraseRootFromParent_Done,
     /* 2043884 */   // Label 27227: @2043884
     /* 2043884 */   GIM_Try, /*On fail goto*//*Label 27228*/ GIMT_Encode4(2043975), // Rule ID 15046 //
     /* 2043889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2043892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2043900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2043903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2043906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2043909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2043912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2043915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2043919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2043927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2043931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2043935 */     // MIs[0] round
     /* 2043935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2043938 */     // MIs[0] policy
     /* 2043938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2043941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2043948 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2043948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2043951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2043953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2043955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2043957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2043959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2043961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2043963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2043968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2043971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2043973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2043974 */     // GIR_Coverage, 15046,
     /* 2043974 */     GIR_EraseRootFromParent_Done,
     /* 2043975 */   // Label 27228: @2043975
     /* 2043975 */   GIM_Try, /*On fail goto*//*Label 27229*/ GIMT_Encode4(2044066), // Rule ID 15047 //
     /* 2043980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2043983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2043988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2043991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2043994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2043997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2044003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044026 */     // MIs[0] round
     /* 2044026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044029 */     // MIs[0] policy
     /* 2044029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044039 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11141:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2044042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2044062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044065 */     // GIR_Coverage, 15047,
     /* 2044065 */     GIR_EraseRootFromParent_Done,
     /* 2044066 */   // Label 27229: @2044066
     /* 2044066 */   GIM_Try, /*On fail goto*//*Label 27230*/ GIMT_Encode4(2044157), // Rule ID 15050 //
     /* 2044071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044117 */     // MIs[0] round
     /* 2044117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044120 */     // MIs[0] policy
     /* 2044120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044130 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2044133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044156 */     // GIR_Coverage, 15050,
     /* 2044156 */     GIR_EraseRootFromParent_Done,
     /* 2044157 */   // Label 27230: @2044157
     /* 2044157 */   GIM_Try, /*On fail goto*//*Label 27231*/ GIMT_Encode4(2044248), // Rule ID 15051 //
     /* 2044162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2044173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2044176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2044179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2044185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044208 */     // MIs[0] round
     /* 2044208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044211 */     // MIs[0] policy
     /* 2044211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044221 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11141:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2044224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2044244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044247 */     // GIR_Coverage, 15051,
     /* 2044247 */     GIR_EraseRootFromParent_Done,
     /* 2044248 */   // Label 27231: @2044248
     /* 2044248 */   GIM_Try, /*On fail goto*//*Label 27232*/ GIMT_Encode4(2044339), // Rule ID 15054 //
     /* 2044253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2044256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044299 */     // MIs[0] round
     /* 2044299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044302 */     // MIs[0] policy
     /* 2044302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044312 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2044315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044338 */     // GIR_Coverage, 15054,
     /* 2044338 */     GIR_EraseRootFromParent_Done,
     /* 2044339 */   // Label 27232: @2044339
     /* 2044339 */   GIM_Try, /*On fail goto*//*Label 27233*/ GIMT_Encode4(2044430), // Rule ID 15055 //
     /* 2044344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2044347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2044355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2044358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2044361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2044367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2044374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2044382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044390 */     // MIs[0] round
     /* 2044390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044393 */     // MIs[0] policy
     /* 2044393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044403 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11141:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M1_MASK),
     /* 2044406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2044426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044429 */     // GIR_Coverage, 15055,
     /* 2044429 */     GIR_EraseRootFromParent_Done,
     /* 2044430 */   // Label 27233: @2044430
     /* 2044430 */   GIM_Try, /*On fail goto*//*Label 27234*/ GIMT_Encode4(2044521), // Rule ID 15058 //
     /* 2044435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044481 */     // MIs[0] round
     /* 2044481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044484 */     // MIs[0] policy
     /* 2044484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044494 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2044497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044520 */     // GIR_Coverage, 15058,
     /* 2044520 */     GIR_EraseRootFromParent_Done,
     /* 2044521 */   // Label 27234: @2044521
     /* 2044521 */   GIM_Try, /*On fail goto*//*Label 27235*/ GIMT_Encode4(2044612), // Rule ID 15059 //
     /* 2044526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2044537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2044540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2044543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2044549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2044556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2044564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044572 */     // MIs[0] round
     /* 2044572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044575 */     // MIs[0] policy
     /* 2044575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044585 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2044588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044611 */     // GIR_Coverage, 15059,
     /* 2044611 */     GIR_EraseRootFromParent_Done,
     /* 2044612 */   // Label 27235: @2044612
     /* 2044612 */   GIM_Try, /*On fail goto*//*Label 27236*/ GIMT_Encode4(2044703), // Rule ID 15062 //
     /* 2044617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2044628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2044631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2044634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044663 */     // MIs[0] round
     /* 2044663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044666 */     // MIs[0] policy
     /* 2044666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2044679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044702 */     // GIR_Coverage, 15062,
     /* 2044702 */     GIR_EraseRootFromParent_Done,
     /* 2044703 */   // Label 27236: @2044703
     /* 2044703 */   GIM_Try, /*On fail goto*//*Label 27237*/ GIMT_Encode4(2044794), // Rule ID 15063 //
     /* 2044708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2044719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2044722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2044725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2044731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2044738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2044746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044754 */     // MIs[0] round
     /* 2044754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044757 */     // MIs[0] policy
     /* 2044757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044767 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2044770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044793 */     // GIR_Coverage, 15063,
     /* 2044793 */     GIR_EraseRootFromParent_Done,
     /* 2044794 */   // Label 27237: @2044794
     /* 2044794 */   GIM_Try, /*On fail goto*//*Label 27238*/ GIMT_Encode4(2044885), // Rule ID 15066 //
     /* 2044799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2044810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2044813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2044816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2044819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2044822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2044825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044845 */     // MIs[0] round
     /* 2044845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044848 */     // MIs[0] policy
     /* 2044848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044858 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2044858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2044861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044884 */     // GIR_Coverage, 15066,
     /* 2044884 */     GIR_EraseRootFromParent_Done,
     /* 2044885 */   // Label 27238: @2044885
     /* 2044885 */   GIM_Try, /*On fail goto*//*Label 27239*/ GIMT_Encode4(2044976), // Rule ID 15067 //
     /* 2044890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2044893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2044901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2044904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2044907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2044910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2044913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2044916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2044920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2044928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2044932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2044936 */     // MIs[0] round
     /* 2044936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2044939 */     // MIs[0] policy
     /* 2044939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2044942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2044949 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2044949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2044952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2044954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2044956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2044958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2044960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2044962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2044964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2044969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2044972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2044974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2044975 */     // GIR_Coverage, 15067,
     /* 2044975 */     GIR_EraseRootFromParent_Done,
     /* 2044976 */   // Label 27239: @2044976
     /* 2044976 */   GIM_Try, /*On fail goto*//*Label 27240*/ GIMT_Encode4(2045067), // Rule ID 15070 //
     /* 2044981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2044984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2044989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2044992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2044995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2044998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045027 */     // MIs[0] round
     /* 2045027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045030 */     // MIs[0] policy
     /* 2045030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045040 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2045043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045066 */     // GIR_Coverage, 15070,
     /* 2045066 */     GIR_EraseRootFromParent_Done,
     /* 2045067 */   // Label 27240: @2045067
     /* 2045067 */   GIM_Try, /*On fail goto*//*Label 27241*/ GIMT_Encode4(2045158), // Rule ID 15071 //
     /* 2045072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2045083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2045086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2045089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045118 */     // MIs[0] round
     /* 2045118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045121 */     // MIs[0] policy
     /* 2045121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045131 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2045134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045157 */     // GIR_Coverage, 15071,
     /* 2045157 */     GIR_EraseRootFromParent_Done,
     /* 2045158 */   // Label 27241: @2045158
     /* 2045158 */   GIM_Try, /*On fail goto*//*Label 27242*/ GIMT_Encode4(2045249), // Rule ID 15074 //
     /* 2045163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045209 */     // MIs[0] round
     /* 2045209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045212 */     // MIs[0] policy
     /* 2045212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045222 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2045225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045248 */     // GIR_Coverage, 15074,
     /* 2045248 */     GIR_EraseRootFromParent_Done,
     /* 2045249 */   // Label 27242: @2045249
     /* 2045249 */   GIM_Try, /*On fail goto*//*Label 27243*/ GIMT_Encode4(2045340), // Rule ID 15075 //
     /* 2045254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2045265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2045268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2045271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045300 */     // MIs[0] round
     /* 2045300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045303 */     // MIs[0] policy
     /* 2045303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045313 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2045316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045339 */     // GIR_Coverage, 15075,
     /* 2045339 */     GIR_EraseRootFromParent_Done,
     /* 2045340 */   // Label 27243: @2045340
     /* 2045340 */   GIM_Try, /*On fail goto*//*Label 27244*/ GIMT_Encode4(2045431), // Rule ID 15078 //
     /* 2045345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045391 */     // MIs[0] round
     /* 2045391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045394 */     // MIs[0] policy
     /* 2045394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045404 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2045407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045430 */     // GIR_Coverage, 15078,
     /* 2045430 */     GIR_EraseRootFromParent_Done,
     /* 2045431 */   // Label 27244: @2045431
     /* 2045431 */   GIM_Try, /*On fail goto*//*Label 27245*/ GIMT_Encode4(2045522), // Rule ID 15079 //
     /* 2045436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2045447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2045450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2045453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2045459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045482 */     // MIs[0] round
     /* 2045482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045485 */     // MIs[0] policy
     /* 2045485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045495 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2045498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2045518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045521 */     // GIR_Coverage, 15079,
     /* 2045521 */     GIR_EraseRootFromParent_Done,
     /* 2045522 */   // Label 27245: @2045522
     /* 2045522 */   GIM_Try, /*On fail goto*//*Label 27246*/ GIMT_Encode4(2045613), // Rule ID 15082 //
     /* 2045527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045573 */     // MIs[0] round
     /* 2045573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045576 */     // MIs[0] policy
     /* 2045576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045586 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2045589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045612 */     // GIR_Coverage, 15082,
     /* 2045612 */     GIR_EraseRootFromParent_Done,
     /* 2045613 */   // Label 27246: @2045613
     /* 2045613 */   GIM_Try, /*On fail goto*//*Label 27247*/ GIMT_Encode4(2045704), // Rule ID 15083 //
     /* 2045618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2045629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2045632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2045635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2045641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2045648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2045656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045664 */     // MIs[0] round
     /* 2045664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045667 */     // MIs[0] policy
     /* 2045667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045677 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2045680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045703 */     // GIR_Coverage, 15083,
     /* 2045703 */     GIR_EraseRootFromParent_Done,
     /* 2045704 */   // Label 27247: @2045704
     /* 2045704 */   GIM_Try, /*On fail goto*//*Label 27248*/ GIMT_Encode4(2045795), // Rule ID 15086 //
     /* 2045709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2045726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045755 */     // MIs[0] round
     /* 2045755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045758 */     // MIs[0] policy
     /* 2045758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045768 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2045771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045773 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045794 */     // GIR_Coverage, 15086,
     /* 2045794 */     GIR_EraseRootFromParent_Done,
     /* 2045795 */   // Label 27248: @2045795
     /* 2045795 */   GIM_Try, /*On fail goto*//*Label 27249*/ GIMT_Encode4(2045886), // Rule ID 15087 //
     /* 2045800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2045811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2045814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2045817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2045820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2045823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2045826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2045830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2045838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045846 */     // MIs[0] round
     /* 2045846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045849 */     // MIs[0] policy
     /* 2045849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045859 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2045859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2045862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045864 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045885 */     // GIR_Coverage, 15087,
     /* 2045885 */     GIR_EraseRootFromParent_Done,
     /* 2045886 */   // Label 27249: @2045886
     /* 2045886 */   GIM_Try, /*On fail goto*//*Label 27250*/ GIMT_Encode4(2045977), // Rule ID 15090 //
     /* 2045891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2045894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2045902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2045905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2045908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2045911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2045914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2045917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2045921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2045929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2045933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2045937 */     // MIs[0] round
     /* 2045937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2045940 */     // MIs[0] policy
     /* 2045940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2045943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2045950 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2045950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2045953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2045955 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2045957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2045959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2045961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2045963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2045965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2045970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2045973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2045975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2045976 */     // GIR_Coverage, 15090,
     /* 2045976 */     GIR_EraseRootFromParent_Done,
     /* 2045977 */   // Label 27250: @2045977
     /* 2045977 */   GIM_Try, /*On fail goto*//*Label 27251*/ GIMT_Encode4(2046068), // Rule ID 15091 //
     /* 2045982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2045985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2045990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2045993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2045996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2045999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2046005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046028 */     // MIs[0] round
     /* 2046028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046031 */     // MIs[0] policy
     /* 2046031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046041 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2046044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046046 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2046064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046067 */     // GIR_Coverage, 15091,
     /* 2046067 */     GIR_EraseRootFromParent_Done,
     /* 2046068 */   // Label 27251: @2046068
     /* 2046068 */   GIM_Try, /*On fail goto*//*Label 27252*/ GIMT_Encode4(2046159), // Rule ID 15094 //
     /* 2046073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2046081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046119 */     // MIs[0] round
     /* 2046119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046122 */     // MIs[0] policy
     /* 2046122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046132 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2046135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046137 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046158 */     // GIR_Coverage, 15094,
     /* 2046158 */     GIR_EraseRootFromParent_Done,
     /* 2046159 */   // Label 27252: @2046159
     /* 2046159 */   GIM_Try, /*On fail goto*//*Label 27253*/ GIMT_Encode4(2046250), // Rule ID 15095 //
     /* 2046164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2046172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2046175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2046178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2046181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2046194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2046202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046210 */     // MIs[0] round
     /* 2046210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046213 */     // MIs[0] policy
     /* 2046213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046223 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11141:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M2_MASK),
     /* 2046226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046228 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046249 */     // GIR_Coverage, 15095,
     /* 2046249 */     GIR_EraseRootFromParent_Done,
     /* 2046250 */   // Label 27253: @2046250
     /* 2046250 */   GIM_Try, /*On fail goto*//*Label 27254*/ GIMT_Encode4(2046341), // Rule ID 15098 //
     /* 2046255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2046263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046301 */     // MIs[0] round
     /* 2046301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046304 */     // MIs[0] policy
     /* 2046304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046314 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2046317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046340 */     // GIR_Coverage, 15098,
     /* 2046340 */     GIR_EraseRootFromParent_Done,
     /* 2046341 */   // Label 27254: @2046341
     /* 2046341 */   GIM_Try, /*On fail goto*//*Label 27255*/ GIMT_Encode4(2046432), // Rule ID 15099 //
     /* 2046346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2046354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2046357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2046360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2046363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2046369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2046376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2046384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046392 */     // MIs[0] round
     /* 2046392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046395 */     // MIs[0] policy
     /* 2046395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046405 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11141:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M4_MASK),
     /* 2046408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046410 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046431 */     // GIR_Coverage, 15099,
     /* 2046431 */     GIR_EraseRootFromParent_Done,
     /* 2046432 */   // Label 27255: @2046432
     /* 2046432 */   GIM_Try, /*On fail goto*//*Label 27256*/ GIMT_Encode4(2046523), // Rule ID 15102 //
     /* 2046437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2046440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2046445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2046457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046483 */     // MIs[0] round
     /* 2046483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046486 */     // MIs[0] policy
     /* 2046486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046496 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2046499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046522 */     // GIR_Coverage, 15102,
     /* 2046522 */     GIR_EraseRootFromParent_Done,
     /* 2046523 */   // Label 27256: @2046523
     /* 2046523 */   GIM_Try, /*On fail goto*//*Label 27257*/ GIMT_Encode4(2046614), // Rule ID 15103 //
     /* 2046528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2046531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaaddu_mask),
     /* 2046536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2046539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2046542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2046545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2046548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2046551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2046558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2046566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2046570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046574 */     // MIs[0] round
     /* 2046574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046577 */     // MIs[0] policy
     /* 2046577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046587 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11141:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADDU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADDU_VX_M8_MASK),
     /* 2046590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046592 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2046610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046613 */     // GIR_Coverage, 15103,
     /* 2046613 */     GIR_EraseRootFromParent_Done,
     /* 2046614 */   // Label 27257: @2046614
     /* 2046614 */   GIM_Try, /*On fail goto*//*Label 27258*/ GIMT_Encode4(2046705), // Rule ID 15106 //
     /* 2046619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2046630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2046633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2046636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2046639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046665 */     // MIs[0] round
     /* 2046665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046668 */     // MIs[0] policy
     /* 2046668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046678 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2046681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046683 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046704 */     // GIR_Coverage, 15106,
     /* 2046704 */     GIR_EraseRootFromParent_Done,
     /* 2046705 */   // Label 27258: @2046705
     /* 2046705 */   GIM_Try, /*On fail goto*//*Label 27259*/ GIMT_Encode4(2046796), // Rule ID 15107 //
     /* 2046710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2046721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2046724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2046727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2046730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2046733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046756 */     // MIs[0] round
     /* 2046756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046759 */     // MIs[0] policy
     /* 2046759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046769 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF8_MASK),
     /* 2046772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046774 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046795 */     // GIR_Coverage, 15107,
     /* 2046795 */     GIR_EraseRootFromParent_Done,
     /* 2046796 */   // Label 27259: @2046796
     /* 2046796 */   GIM_Try, /*On fail goto*//*Label 27260*/ GIMT_Encode4(2046887), // Rule ID 15110 //
     /* 2046801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2046812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2046815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2046818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2046821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2046827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046847 */     // MIs[0] round
     /* 2046847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046850 */     // MIs[0] policy
     /* 2046850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046860 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2046860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2046863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046886 */     // GIR_Coverage, 15110,
     /* 2046886 */     GIR_EraseRootFromParent_Done,
     /* 2046887 */   // Label 27260: @2046887
     /* 2046887 */   GIM_Try, /*On fail goto*//*Label 27261*/ GIMT_Encode4(2046978), // Rule ID 15111 //
     /* 2046892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2046895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2046903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2046906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2046909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2046912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2046915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2046918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2046922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2046934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2046938 */     // MIs[0] round
     /* 2046938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2046941 */     // MIs[0] policy
     /* 2046941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2046944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2046951 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2046951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2046954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2046956 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2046958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2046960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2046962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2046964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2046966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2046971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2046974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2046976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2046977 */     // GIR_Coverage, 15111,
     /* 2046977 */     GIR_EraseRootFromParent_Done,
     /* 2046978 */   // Label 27261: @2046978
     /* 2046978 */   GIM_Try, /*On fail goto*//*Label 27262*/ GIMT_Encode4(2047069), // Rule ID 15114 //
     /* 2046983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2046986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2046991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2046994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2046997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047029 */     // MIs[0] round
     /* 2047029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047032 */     // MIs[0] policy
     /* 2047032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047042 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2047045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047047 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047068 */     // GIR_Coverage, 15114,
     /* 2047068 */     GIR_EraseRootFromParent_Done,
     /* 2047069 */   // Label 27262: @2047069
     /* 2047069 */   GIM_Try, /*On fail goto*//*Label 27263*/ GIMT_Encode4(2047160), // Rule ID 15115 //
     /* 2047074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2047085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2047088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2047091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2047094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047120 */     // MIs[0] round
     /* 2047120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047123 */     // MIs[0] policy
     /* 2047123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047133 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2047136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047138 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047159 */     // GIR_Coverage, 15115,
     /* 2047159 */     GIR_EraseRootFromParent_Done,
     /* 2047160 */   // Label 27263: @2047160
     /* 2047160 */   GIM_Try, /*On fail goto*//*Label 27264*/ GIMT_Encode4(2047251), // Rule ID 15118 //
     /* 2047165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047211 */     // MIs[0] round
     /* 2047211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047214 */     // MIs[0] policy
     /* 2047214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047224 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2047227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047229 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047250 */     // GIR_Coverage, 15118,
     /* 2047250 */     GIR_EraseRootFromParent_Done,
     /* 2047251 */   // Label 27264: @2047251
     /* 2047251 */   GIM_Try, /*On fail goto*//*Label 27265*/ GIMT_Encode4(2047342), // Rule ID 15119 //
     /* 2047256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2047267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2047270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2047273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2047276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047302 */     // MIs[0] round
     /* 2047302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047305 */     // MIs[0] policy
     /* 2047305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047315 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF4_MASK),
     /* 2047318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047320 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047341 */     // GIR_Coverage, 15119,
     /* 2047341 */     GIR_EraseRootFromParent_Done,
     /* 2047342 */   // Label 27265: @2047342
     /* 2047342 */   GIM_Try, /*On fail goto*//*Label 27266*/ GIMT_Encode4(2047433), // Rule ID 15122 //
     /* 2047347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047393 */     // MIs[0] round
     /* 2047393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047396 */     // MIs[0] policy
     /* 2047396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047406 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2047409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047411 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047432 */     // GIR_Coverage, 15122,
     /* 2047432 */     GIR_EraseRootFromParent_Done,
     /* 2047433 */   // Label 27266: @2047433
     /* 2047433 */   GIM_Try, /*On fail goto*//*Label 27267*/ GIMT_Encode4(2047524), // Rule ID 15123 //
     /* 2047438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2047449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2047452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2047455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2047458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2047461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047484 */     // MIs[0] round
     /* 2047484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047487 */     // MIs[0] policy
     /* 2047487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047497 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2047500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047502 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047523 */     // GIR_Coverage, 15123,
     /* 2047523 */     GIR_EraseRootFromParent_Done,
     /* 2047524 */   // Label 27267: @2047524
     /* 2047524 */   GIM_Try, /*On fail goto*//*Label 27268*/ GIMT_Encode4(2047615), // Rule ID 15126 //
     /* 2047529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047575 */     // MIs[0] round
     /* 2047575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047578 */     // MIs[0] policy
     /* 2047578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047588 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2047591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047614 */     // GIR_Coverage, 15126,
     /* 2047614 */     GIR_EraseRootFromParent_Done,
     /* 2047615 */   // Label 27268: @2047615
     /* 2047615 */   GIM_Try, /*On fail goto*//*Label 27269*/ GIMT_Encode4(2047706), // Rule ID 15127 //
     /* 2047620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2047631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2047634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2047637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2047640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2047643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047666 */     // MIs[0] round
     /* 2047666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047669 */     // MIs[0] policy
     /* 2047669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047679 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_MF2_MASK),
     /* 2047682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047684 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2047702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047705 */     // GIR_Coverage, 15127,
     /* 2047705 */     GIR_EraseRootFromParent_Done,
     /* 2047706 */   // Label 27269: @2047706
     /* 2047706 */   GIM_Try, /*On fail goto*//*Label 27270*/ GIMT_Encode4(2047797), // Rule ID 15130 //
     /* 2047711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2047722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2047725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2047728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2047731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047757 */     // MIs[0] round
     /* 2047757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047760 */     // MIs[0] policy
     /* 2047760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047770 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2047773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047796 */     // GIR_Coverage, 15130,
     /* 2047796 */     GIR_EraseRootFromParent_Done,
     /* 2047797 */   // Label 27270: @2047797
     /* 2047797 */   GIM_Try, /*On fail goto*//*Label 27271*/ GIMT_Encode4(2047888), // Rule ID 15131 //
     /* 2047802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2047813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2047816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2047819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2047822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2047825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2047828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047848 */     // MIs[0] round
     /* 2047848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047851 */     // MIs[0] policy
     /* 2047851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047861 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2047861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2047864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047866 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2047884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047887 */     // GIR_Coverage, 15131,
     /* 2047887 */     GIR_EraseRootFromParent_Done,
     /* 2047888 */   // Label 27271: @2047888
     /* 2047888 */   GIM_Try, /*On fail goto*//*Label 27272*/ GIMT_Encode4(2047979), // Rule ID 15134 //
     /* 2047893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2047896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2047904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2047907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2047910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2047913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2047916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2047919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2047923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2047935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2047939 */     // MIs[0] round
     /* 2047939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2047942 */     // MIs[0] policy
     /* 2047942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2047945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2047952 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2047952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2047955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2047957 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2047959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2047961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2047963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2047965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2047967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2047972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2047975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2047977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2047978 */     // GIR_Coverage, 15134,
     /* 2047978 */     GIR_EraseRootFromParent_Done,
     /* 2047979 */   // Label 27272: @2047979
     /* 2047979 */   GIM_Try, /*On fail goto*//*Label 27273*/ GIMT_Encode4(2048070), // Rule ID 15135 //
     /* 2047984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2047987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2047992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2047995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2047998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2048001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2048004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2048007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048030 */     // MIs[0] round
     /* 2048030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048033 */     // MIs[0] policy
     /* 2048033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048043 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2048046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048048 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2048066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048069 */     // GIR_Coverage, 15135,
     /* 2048069 */     GIR_EraseRootFromParent_Done,
     /* 2048070 */   // Label 27273: @2048070
     /* 2048070 */   GIM_Try, /*On fail goto*//*Label 27274*/ GIMT_Encode4(2048161), // Rule ID 15138 //
     /* 2048075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048121 */     // MIs[0] round
     /* 2048121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048124 */     // MIs[0] policy
     /* 2048124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048134 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2048137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048160 */     // GIR_Coverage, 15138,
     /* 2048160 */     GIR_EraseRootFromParent_Done,
     /* 2048161 */   // Label 27274: @2048161
     /* 2048161 */   GIM_Try, /*On fail goto*//*Label 27275*/ GIMT_Encode4(2048252), // Rule ID 15139 //
     /* 2048166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2048177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2048180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2048183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2048186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2048189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048212 */     // MIs[0] round
     /* 2048212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048215 */     // MIs[0] policy
     /* 2048215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048225 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2048228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048230 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2048248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048251 */     // GIR_Coverage, 15139,
     /* 2048251 */     GIR_EraseRootFromParent_Done,
     /* 2048252 */   // Label 27275: @2048252
     /* 2048252 */   GIM_Try, /*On fail goto*//*Label 27276*/ GIMT_Encode4(2048343), // Rule ID 15142 //
     /* 2048257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2048260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048303 */     // MIs[0] round
     /* 2048303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048306 */     // MIs[0] policy
     /* 2048306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2048319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048342 */     // GIR_Coverage, 15142,
     /* 2048342 */     GIR_EraseRootFromParent_Done,
     /* 2048343 */   // Label 27276: @2048343
     /* 2048343 */   GIM_Try, /*On fail goto*//*Label 27277*/ GIMT_Encode4(2048434), // Rule ID 15143 //
     /* 2048348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2048351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2048359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2048362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2048365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2048368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2048371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2048378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2048390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048394 */     // MIs[0] round
     /* 2048394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048397 */     // MIs[0] policy
     /* 2048397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048407 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M1_MASK),
     /* 2048410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048412 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2048430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048433 */     // GIR_Coverage, 15143,
     /* 2048433 */     GIR_EraseRootFromParent_Done,
     /* 2048434 */   // Label 27277: @2048434
     /* 2048434 */   GIM_Try, /*On fail goto*//*Label 27278*/ GIMT_Encode4(2048525), // Rule ID 15146 //
     /* 2048439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2048459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048485 */     // MIs[0] round
     /* 2048485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048488 */     // MIs[0] policy
     /* 2048488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048498 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2048501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048503 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048524 */     // GIR_Coverage, 15146,
     /* 2048524 */     GIR_EraseRootFromParent_Done,
     /* 2048525 */   // Label 27278: @2048525
     /* 2048525 */   GIM_Try, /*On fail goto*//*Label 27279*/ GIMT_Encode4(2048616), // Rule ID 15147 //
     /* 2048530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2048541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2048544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2048547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2048550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2048553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2048560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2048572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048576 */     // MIs[0] round
     /* 2048576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048579 */     // MIs[0] policy
     /* 2048579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048589 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2048592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048594 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048615 */     // GIR_Coverage, 15147,
     /* 2048615 */     GIR_EraseRootFromParent_Done,
     /* 2048616 */   // Label 27279: @2048616
     /* 2048616 */   GIM_Try, /*On fail goto*//*Label 27280*/ GIMT_Encode4(2048707), // Rule ID 15150 //
     /* 2048621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2048632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2048635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2048638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2048641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048667 */     // MIs[0] round
     /* 2048667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048670 */     // MIs[0] policy
     /* 2048670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048680 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2048683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048685 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048706 */     // GIR_Coverage, 15150,
     /* 2048706 */     GIR_EraseRootFromParent_Done,
     /* 2048707 */   // Label 27280: @2048707
     /* 2048707 */   GIM_Try, /*On fail goto*//*Label 27281*/ GIMT_Encode4(2048798), // Rule ID 15151 //
     /* 2048712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2048723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2048726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2048729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2048732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2048735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2048742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2048754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048758 */     // MIs[0] round
     /* 2048758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048761 */     // MIs[0] policy
     /* 2048761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048771 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2048774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048776 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048797 */     // GIR_Coverage, 15151,
     /* 2048797 */     GIR_EraseRootFromParent_Done,
     /* 2048798 */   // Label 27281: @2048798
     /* 2048798 */   GIM_Try, /*On fail goto*//*Label 27282*/ GIMT_Encode4(2048889), // Rule ID 15154 //
     /* 2048803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2048814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2048817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2048820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2048823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2048826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2048829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048849 */     // MIs[0] round
     /* 2048849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048852 */     // MIs[0] policy
     /* 2048852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048862 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2048862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2048865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048867 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048888 */     // GIR_Coverage, 15154,
     /* 2048888 */     GIR_EraseRootFromParent_Done,
     /* 2048889 */   // Label 27282: @2048889
     /* 2048889 */   GIM_Try, /*On fail goto*//*Label 27283*/ GIMT_Encode4(2048980), // Rule ID 15155 //
     /* 2048894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2048897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2048905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2048908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2048911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2048914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2048917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2048920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2048924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2048936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2048940 */     // MIs[0] round
     /* 2048940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2048943 */     // MIs[0] policy
     /* 2048943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2048946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2048953 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2048953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2048956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2048958 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2048960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2048962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2048964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2048966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2048968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2048973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2048976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2048978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2048979 */     // GIR_Coverage, 15155,
     /* 2048979 */     GIR_EraseRootFromParent_Done,
     /* 2048980 */   // Label 27283: @2048980
     /* 2048980 */   GIM_Try, /*On fail goto*//*Label 27284*/ GIMT_Encode4(2049071), // Rule ID 15158 //
     /* 2048985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2048988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2048993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2048996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2048999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049031 */     // MIs[0] round
     /* 2049031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049034 */     // MIs[0] policy
     /* 2049034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049044 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2049047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049049 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049070 */     // GIR_Coverage, 15158,
     /* 2049070 */     GIR_EraseRootFromParent_Done,
     /* 2049071 */   // Label 27284: @2049071
     /* 2049071 */   GIM_Try, /*On fail goto*//*Label 27285*/ GIMT_Encode4(2049162), // Rule ID 15159 //
     /* 2049076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2049087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2049090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2049093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2049096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049122 */     // MIs[0] round
     /* 2049122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049125 */     // MIs[0] policy
     /* 2049125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049135 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2049138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049140 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049161 */     // GIR_Coverage, 15159,
     /* 2049161 */     GIR_EraseRootFromParent_Done,
     /* 2049162 */   // Label 27285: @2049162
     /* 2049162 */   GIM_Try, /*On fail goto*//*Label 27286*/ GIMT_Encode4(2049253), // Rule ID 15162 //
     /* 2049167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049213 */     // MIs[0] round
     /* 2049213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049216 */     // MIs[0] policy
     /* 2049216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049226 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2049229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049231 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049252 */     // GIR_Coverage, 15162,
     /* 2049252 */     GIR_EraseRootFromParent_Done,
     /* 2049253 */   // Label 27286: @2049253
     /* 2049253 */   GIM_Try, /*On fail goto*//*Label 27287*/ GIMT_Encode4(2049344), // Rule ID 15163 //
     /* 2049258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2049269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2049272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2049275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2049278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049304 */     // MIs[0] round
     /* 2049304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049307 */     // MIs[0] policy
     /* 2049307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049317 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2049320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049322 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049343 */     // GIR_Coverage, 15163,
     /* 2049343 */     GIR_EraseRootFromParent_Done,
     /* 2049344 */   // Label 27287: @2049344
     /* 2049344 */   GIM_Try, /*On fail goto*//*Label 27288*/ GIMT_Encode4(2049435), // Rule ID 15166 //
     /* 2049349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049395 */     // MIs[0] round
     /* 2049395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049398 */     // MIs[0] policy
     /* 2049398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049408 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2049411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049434 */     // GIR_Coverage, 15166,
     /* 2049434 */     GIR_EraseRootFromParent_Done,
     /* 2049435 */   // Label 27288: @2049435
     /* 2049435 */   GIM_Try, /*On fail goto*//*Label 27289*/ GIMT_Encode4(2049526), // Rule ID 15167 //
     /* 2049440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2049451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2049454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2049457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2049460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2049463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049486 */     // MIs[0] round
     /* 2049486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049489 */     // MIs[0] policy
     /* 2049489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049499 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2049502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049504 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2049522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049525 */     // GIR_Coverage, 15167,
     /* 2049525 */     GIR_EraseRootFromParent_Done,
     /* 2049526 */   // Label 27289: @2049526
     /* 2049526 */   GIM_Try, /*On fail goto*//*Label 27290*/ GIMT_Encode4(2049617), // Rule ID 15170 //
     /* 2049531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2049551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049577 */     // MIs[0] round
     /* 2049577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049580 */     // MIs[0] policy
     /* 2049580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049590 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2049593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049616 */     // GIR_Coverage, 15170,
     /* 2049616 */     GIR_EraseRootFromParent_Done,
     /* 2049617 */   // Label 27290: @2049617
     /* 2049617 */   GIM_Try, /*On fail goto*//*Label 27291*/ GIMT_Encode4(2049708), // Rule ID 15171 //
     /* 2049622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2049633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2049636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2049639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2049642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2049645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2049652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2049664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049668 */     // MIs[0] round
     /* 2049668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049671 */     // MIs[0] policy
     /* 2049671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049681 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2049684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049686 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049707 */     // GIR_Coverage, 15171,
     /* 2049707 */     GIR_EraseRootFromParent_Done,
     /* 2049708 */   // Label 27291: @2049708
     /* 2049708 */   GIM_Try, /*On fail goto*//*Label 27292*/ GIMT_Encode4(2049799), // Rule ID 15174 //
     /* 2049713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2049724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2049727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2049730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2049733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049759 */     // MIs[0] round
     /* 2049759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049762 */     // MIs[0] policy
     /* 2049762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049772 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2049775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049777 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049798 */     // GIR_Coverage, 15174,
     /* 2049798 */     GIR_EraseRootFromParent_Done,
     /* 2049799 */   // Label 27292: @2049799
     /* 2049799 */   GIM_Try, /*On fail goto*//*Label 27293*/ GIMT_Encode4(2049890), // Rule ID 15175 //
     /* 2049804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2049815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2049818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2049821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2049824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2049827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2049830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2049834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2049846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049850 */     // MIs[0] round
     /* 2049850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049853 */     // MIs[0] policy
     /* 2049853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049863 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2049863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2049866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049868 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049889 */     // GIR_Coverage, 15175,
     /* 2049889 */     GIR_EraseRootFromParent_Done,
     /* 2049890 */   // Label 27293: @2049890
     /* 2049890 */   GIM_Try, /*On fail goto*//*Label 27294*/ GIMT_Encode4(2049981), // Rule ID 15178 //
     /* 2049895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2049898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2049906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2049909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2049912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2049915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2049918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2049921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2049925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2049937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2049941 */     // MIs[0] round
     /* 2049941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2049944 */     // MIs[0] policy
     /* 2049944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2049947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2049954 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2049954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2049957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2049959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2049961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2049963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2049965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2049967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2049969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2049974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2049977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2049979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2049980 */     // GIR_Coverage, 15178,
     /* 2049980 */     GIR_EraseRootFromParent_Done,
     /* 2049981 */   // Label 27294: @2049981
     /* 2049981 */   GIM_Try, /*On fail goto*//*Label 27295*/ GIMT_Encode4(2050072), // Rule ID 15179 //
     /* 2049986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2049989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2049994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2049997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2050000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2050003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2050006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2050009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050032 */     // MIs[0] round
     /* 2050032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050035 */     // MIs[0] policy
     /* 2050035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050045 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2050048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050050 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2050068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050071 */     // GIR_Coverage, 15179,
     /* 2050071 */     GIR_EraseRootFromParent_Done,
     /* 2050072 */   // Label 27295: @2050072
     /* 2050072 */   GIM_Try, /*On fail goto*//*Label 27296*/ GIMT_Encode4(2050163), // Rule ID 15182 //
     /* 2050077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050123 */     // MIs[0] round
     /* 2050123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050126 */     // MIs[0] policy
     /* 2050126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050136 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2050139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050141 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050162 */     // GIR_Coverage, 15182,
     /* 2050162 */     GIR_EraseRootFromParent_Done,
     /* 2050163 */   // Label 27296: @2050163
     /* 2050163 */   GIM_Try, /*On fail goto*//*Label 27297*/ GIMT_Encode4(2050254), // Rule ID 15183 //
     /* 2050168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2050179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2050182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2050185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2050188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2050198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2050210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050214 */     // MIs[0] round
     /* 2050214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050217 */     // MIs[0] policy
     /* 2050217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050227 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M2_MASK),
     /* 2050230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050232 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050253 */     // GIR_Coverage, 15183,
     /* 2050253 */     GIR_EraseRootFromParent_Done,
     /* 2050254 */   // Label 27297: @2050254
     /* 2050254 */   GIM_Try, /*On fail goto*//*Label 27298*/ GIMT_Encode4(2050345), // Rule ID 15186 //
     /* 2050259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050305 */     // MIs[0] round
     /* 2050305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050308 */     // MIs[0] policy
     /* 2050308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050318 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2050321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050323 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050344 */     // GIR_Coverage, 15186,
     /* 2050344 */     GIR_EraseRootFromParent_Done,
     /* 2050345 */   // Label 27298: @2050345
     /* 2050345 */   GIM_Try, /*On fail goto*//*Label 27299*/ GIMT_Encode4(2050436), // Rule ID 15187 //
     /* 2050350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2050361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2050364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2050367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2050370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2050373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2050380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2050392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050396 */     // MIs[0] round
     /* 2050396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050399 */     // MIs[0] policy
     /* 2050399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050409 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M4_MASK),
     /* 2050412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050414 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050435 */     // GIR_Coverage, 15187,
     /* 2050435 */     GIR_EraseRootFromParent_Done,
     /* 2050436 */   // Label 27299: @2050436
     /* 2050436 */   GIM_Try, /*On fail goto*//*Label 27300*/ GIMT_Encode4(2050527), // Rule ID 15190 //
     /* 2050441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2050444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2050461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050487 */     // MIs[0] round
     /* 2050487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050490 */     // MIs[0] policy
     /* 2050490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050500 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2050503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050505 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050526 */     // GIR_Coverage, 15190,
     /* 2050526 */     GIR_EraseRootFromParent_Done,
     /* 2050527 */   // Label 27300: @2050527
     /* 2050527 */   GIM_Try, /*On fail goto*//*Label 27301*/ GIMT_Encode4(2050618), // Rule ID 15191 //
     /* 2050532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2050535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2050543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2050546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2050549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2050552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2050555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2050562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2050574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050578 */     // MIs[0] round
     /* 2050578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050581 */     // MIs[0] policy
     /* 2050581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050591 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VV_M8_MASK),
     /* 2050594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050596 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2050614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050617 */     // GIR_Coverage, 15191,
     /* 2050617 */     GIR_EraseRootFromParent_Done,
     /* 2050618 */   // Label 27301: @2050618
     /* 2050618 */   GIM_Try, /*On fail goto*//*Label 27302*/ GIMT_Encode4(2050709), // Rule ID 15194 //
     /* 2050623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2050634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2050637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2050640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050669 */     // MIs[0] round
     /* 2050669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050672 */     // MIs[0] policy
     /* 2050672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050682 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2050685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050708 */     // GIR_Coverage, 15194,
     /* 2050708 */     GIR_EraseRootFromParent_Done,
     /* 2050709 */   // Label 27302: @2050709
     /* 2050709 */   GIM_Try, /*On fail goto*//*Label 27303*/ GIMT_Encode4(2050800), // Rule ID 15195 //
     /* 2050714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2050725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2050728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2050731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2050737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050760 */     // MIs[0] round
     /* 2050760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050763 */     // MIs[0] policy
     /* 2050763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050773 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF8_MASK),
     /* 2050776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050778 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050799 */     // GIR_Coverage, 15195,
     /* 2050799 */     GIR_EraseRootFromParent_Done,
     /* 2050800 */   // Label 27303: @2050800
     /* 2050800 */   GIM_Try, /*On fail goto*//*Label 27304*/ GIMT_Encode4(2050891), // Rule ID 15198 //
     /* 2050805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2050816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2050819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2050822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2050825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2050831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050851 */     // MIs[0] round
     /* 2050851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050854 */     // MIs[0] policy
     /* 2050854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050864 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2050864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2050867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050890 */     // GIR_Coverage, 15198,
     /* 2050890 */     GIR_EraseRootFromParent_Done,
     /* 2050891 */   // Label 27304: @2050891
     /* 2050891 */   GIM_Try, /*On fail goto*//*Label 27305*/ GIMT_Encode4(2050982), // Rule ID 15199 //
     /* 2050896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2050899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2050907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2050910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2050913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2050916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2050919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2050922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2050926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2050934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2050938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2050942 */     // MIs[0] round
     /* 2050942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2050945 */     // MIs[0] policy
     /* 2050945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2050948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2050955 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2050955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2050958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2050960 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2050962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2050964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2050966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2050968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2050970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2050975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2050978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2050980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2050981 */     // GIR_Coverage, 15199,
     /* 2050981 */     GIR_EraseRootFromParent_Done,
     /* 2050982 */   // Label 27305: @2050982
     /* 2050982 */   GIM_Try, /*On fail goto*//*Label 27306*/ GIMT_Encode4(2051073), // Rule ID 15202 //
     /* 2050987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2050990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2050995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2050998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051033 */     // MIs[0] round
     /* 2051033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051036 */     // MIs[0] policy
     /* 2051036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051046 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2051049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051051 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051072 */     // GIR_Coverage, 15202,
     /* 2051072 */     GIR_EraseRootFromParent_Done,
     /* 2051073 */   // Label 27306: @2051073
     /* 2051073 */   GIM_Try, /*On fail goto*//*Label 27307*/ GIMT_Encode4(2051164), // Rule ID 15203 //
     /* 2051078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2051089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2051092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2051095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051124 */     // MIs[0] round
     /* 2051124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051127 */     // MIs[0] policy
     /* 2051127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051137 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2051140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051142 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051163 */     // GIR_Coverage, 15203,
     /* 2051163 */     GIR_EraseRootFromParent_Done,
     /* 2051164 */   // Label 27307: @2051164
     /* 2051164 */   GIM_Try, /*On fail goto*//*Label 27308*/ GIMT_Encode4(2051255), // Rule ID 15206 //
     /* 2051169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051215 */     // MIs[0] round
     /* 2051215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051218 */     // MIs[0] policy
     /* 2051218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051228 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2051231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051254 */     // GIR_Coverage, 15206,
     /* 2051254 */     GIR_EraseRootFromParent_Done,
     /* 2051255 */   // Label 27308: @2051255
     /* 2051255 */   GIM_Try, /*On fail goto*//*Label 27309*/ GIMT_Encode4(2051346), // Rule ID 15207 //
     /* 2051260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2051271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2051274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2051277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051306 */     // MIs[0] round
     /* 2051306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051309 */     // MIs[0] policy
     /* 2051309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051319 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF4_MASK),
     /* 2051322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051324 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051345 */     // GIR_Coverage, 15207,
     /* 2051345 */     GIR_EraseRootFromParent_Done,
     /* 2051346 */   // Label 27309: @2051346
     /* 2051346 */   GIM_Try, /*On fail goto*//*Label 27310*/ GIMT_Encode4(2051437), // Rule ID 15210 //
     /* 2051351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051397 */     // MIs[0] round
     /* 2051397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051400 */     // MIs[0] policy
     /* 2051400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051410 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2051413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051436 */     // GIR_Coverage, 15210,
     /* 2051436 */     GIR_EraseRootFromParent_Done,
     /* 2051437 */   // Label 27310: @2051437
     /* 2051437 */   GIM_Try, /*On fail goto*//*Label 27311*/ GIMT_Encode4(2051528), // Rule ID 15211 //
     /* 2051442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2051453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2051456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2051459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2051465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051488 */     // MIs[0] round
     /* 2051488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051491 */     // MIs[0] policy
     /* 2051491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051501 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2051504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051506 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051527 */     // GIR_Coverage, 15211,
     /* 2051527 */     GIR_EraseRootFromParent_Done,
     /* 2051528 */   // Label 27311: @2051528
     /* 2051528 */   GIM_Try, /*On fail goto*//*Label 27312*/ GIMT_Encode4(2051619), // Rule ID 15214 //
     /* 2051533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2051550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051579 */     // MIs[0] round
     /* 2051579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051582 */     // MIs[0] policy
     /* 2051582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051592 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2051595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051597 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051618 */     // GIR_Coverage, 15214,
     /* 2051618 */     GIR_EraseRootFromParent_Done,
     /* 2051619 */   // Label 27312: @2051619
     /* 2051619 */   GIM_Try, /*On fail goto*//*Label 27313*/ GIMT_Encode4(2051710), // Rule ID 15215 //
     /* 2051624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2051635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2051638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2051641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2051647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051670 */     // MIs[0] round
     /* 2051670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051673 */     // MIs[0] policy
     /* 2051673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051683 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_MF2_MASK),
     /* 2051686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051688 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2051706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051709 */     // GIR_Coverage, 15215,
     /* 2051709 */     GIR_EraseRootFromParent_Done,
     /* 2051710 */   // Label 27313: @2051710
     /* 2051710 */   GIM_Try, /*On fail goto*//*Label 27314*/ GIMT_Encode4(2051801), // Rule ID 15218 //
     /* 2051715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2051726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2051729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2051732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051761 */     // MIs[0] round
     /* 2051761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051764 */     // MIs[0] policy
     /* 2051764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051774 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2051777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051779 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051800 */     // GIR_Coverage, 15218,
     /* 2051800 */     GIR_EraseRootFromParent_Done,
     /* 2051801 */   // Label 27314: @2051801
     /* 2051801 */   GIM_Try, /*On fail goto*//*Label 27315*/ GIMT_Encode4(2051892), // Rule ID 15219 //
     /* 2051806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2051817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2051820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2051823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2051826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2051829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2051832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051852 */     // MIs[0] round
     /* 2051852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051855 */     // MIs[0] policy
     /* 2051855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051865 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11163:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2051865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2051868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051870 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2051888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051891 */     // GIR_Coverage, 15219,
     /* 2051891 */     GIR_EraseRootFromParent_Done,
     /* 2051892 */   // Label 27315: @2051892
     /* 2051892 */   GIM_Try, /*On fail goto*//*Label 27316*/ GIMT_Encode4(2051983), // Rule ID 15222 //
     /* 2051897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2051900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2051908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2051911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2051914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2051917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2051920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2051923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2051927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2051935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2051939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2051943 */     // MIs[0] round
     /* 2051943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2051946 */     // MIs[0] policy
     /* 2051946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2051949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2051956 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2051956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2051959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2051961 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2051963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2051965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2051967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2051969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2051971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2051976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2051979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2051981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2051982 */     // GIR_Coverage, 15222,
     /* 2051982 */     GIR_EraseRootFromParent_Done,
     /* 2051983 */   // Label 27316: @2051983
     /* 2051983 */   GIM_Try, /*On fail goto*//*Label 27317*/ GIMT_Encode4(2052074), // Rule ID 15223 //
     /* 2051988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2051991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2051996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2051999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2052002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2052005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2052011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052034 */     // MIs[0] round
     /* 2052034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052037 */     // MIs[0] policy
     /* 2052037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052047 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11163:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2052050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052052 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2052070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052073 */     // GIR_Coverage, 15223,
     /* 2052073 */     GIR_EraseRootFromParent_Done,
     /* 2052074 */   // Label 27317: @2052074
     /* 2052074 */   GIM_Try, /*On fail goto*//*Label 27318*/ GIMT_Encode4(2052165), // Rule ID 15226 //
     /* 2052079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052125 */     // MIs[0] round
     /* 2052125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052128 */     // MIs[0] policy
     /* 2052128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052138 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2052141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052143 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052164 */     // GIR_Coverage, 15226,
     /* 2052164 */     GIR_EraseRootFromParent_Done,
     /* 2052165 */   // Label 27318: @2052165
     /* 2052165 */   GIM_Try, /*On fail goto*//*Label 27319*/ GIMT_Encode4(2052256), // Rule ID 15227 //
     /* 2052170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2052181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2052184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2052187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2052193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052216 */     // MIs[0] round
     /* 2052216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052219 */     // MIs[0] policy
     /* 2052219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052229 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11163:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2052232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052234 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2052252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052255 */     // GIR_Coverage, 15227,
     /* 2052255 */     GIR_EraseRootFromParent_Done,
     /* 2052256 */   // Label 27319: @2052256
     /* 2052256 */   GIM_Try, /*On fail goto*//*Label 27320*/ GIMT_Encode4(2052347), // Rule ID 15230 //
     /* 2052261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2052264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052307 */     // MIs[0] round
     /* 2052307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052310 */     // MIs[0] policy
     /* 2052310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052320 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2052323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052325 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052346 */     // GIR_Coverage, 15230,
     /* 2052346 */     GIR_EraseRootFromParent_Done,
     /* 2052347 */   // Label 27320: @2052347
     /* 2052347 */   GIM_Try, /*On fail goto*//*Label 27321*/ GIMT_Encode4(2052438), // Rule ID 15231 //
     /* 2052352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2052355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2052363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2052366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2052369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2052375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2052382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2052390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052398 */     // MIs[0] round
     /* 2052398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052401 */     // MIs[0] policy
     /* 2052401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052411 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11163:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M1_MASK),
     /* 2052414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052416 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2052434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052437 */     // GIR_Coverage, 15231,
     /* 2052437 */     GIR_EraseRootFromParent_Done,
     /* 2052438 */   // Label 27321: @2052438
     /* 2052438 */   GIM_Try, /*On fail goto*//*Label 27322*/ GIMT_Encode4(2052529), // Rule ID 15234 //
     /* 2052443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052489 */     // MIs[0] round
     /* 2052489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052492 */     // MIs[0] policy
     /* 2052492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052502 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2052505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052528 */     // GIR_Coverage, 15234,
     /* 2052528 */     GIR_EraseRootFromParent_Done,
     /* 2052529 */   // Label 27322: @2052529
     /* 2052529 */   GIM_Try, /*On fail goto*//*Label 27323*/ GIMT_Encode4(2052620), // Rule ID 15235 //
     /* 2052534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2052545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2052548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2052551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2052557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2052564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2052572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052580 */     // MIs[0] round
     /* 2052580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052583 */     // MIs[0] policy
     /* 2052583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052593 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2052596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052598 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052619 */     // GIR_Coverage, 15235,
     /* 2052619 */     GIR_EraseRootFromParent_Done,
     /* 2052620 */   // Label 27323: @2052620
     /* 2052620 */   GIM_Try, /*On fail goto*//*Label 27324*/ GIMT_Encode4(2052711), // Rule ID 15238 //
     /* 2052625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052671 */     // MIs[0] round
     /* 2052671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052674 */     // MIs[0] policy
     /* 2052674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052684 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2052687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052710 */     // GIR_Coverage, 15238,
     /* 2052710 */     GIR_EraseRootFromParent_Done,
     /* 2052711 */   // Label 27324: @2052711
     /* 2052711 */   GIM_Try, /*On fail goto*//*Label 27325*/ GIMT_Encode4(2052802), // Rule ID 15239 //
     /* 2052716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2052727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2052730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2052733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2052739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2052746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2052754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052762 */     // MIs[0] round
     /* 2052762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052765 */     // MIs[0] policy
     /* 2052765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052775 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2052778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052780 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052801 */     // GIR_Coverage, 15239,
     /* 2052801 */     GIR_EraseRootFromParent_Done,
     /* 2052802 */   // Label 27325: @2052802
     /* 2052802 */   GIM_Try, /*On fail goto*//*Label 27326*/ GIMT_Encode4(2052893), // Rule ID 15242 //
     /* 2052807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2052827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2052833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052853 */     // MIs[0] round
     /* 2052853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052856 */     // MIs[0] policy
     /* 2052856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052866 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2052866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2052869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052871 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052892 */     // GIR_Coverage, 15242,
     /* 2052892 */     GIR_EraseRootFromParent_Done,
     /* 2052893 */   // Label 27326: @2052893
     /* 2052893 */   GIM_Try, /*On fail goto*//*Label 27327*/ GIMT_Encode4(2052984), // Rule ID 15243 //
     /* 2052898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2052901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2052909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2052912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2052915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2052918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2052921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2052924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2052928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2052936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2052940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2052944 */     // MIs[0] round
     /* 2052944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2052947 */     // MIs[0] policy
     /* 2052947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2052950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2052957 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2052957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2052960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2052962 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2052964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2052966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2052968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2052970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2052972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2052977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2052980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2052982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2052983 */     // GIR_Coverage, 15243,
     /* 2052983 */     GIR_EraseRootFromParent_Done,
     /* 2052984 */   // Label 27327: @2052984
     /* 2052984 */   GIM_Try, /*On fail goto*//*Label 27328*/ GIMT_Encode4(2053075), // Rule ID 15246 //
     /* 2052989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2052992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2052997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053035 */     // MIs[0] round
     /* 2053035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053038 */     // MIs[0] policy
     /* 2053038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053048 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2053051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053074 */     // GIR_Coverage, 15246,
     /* 2053074 */     GIR_EraseRootFromParent_Done,
     /* 2053075 */   // Label 27328: @2053075
     /* 2053075 */   GIM_Try, /*On fail goto*//*Label 27329*/ GIMT_Encode4(2053166), // Rule ID 15247 //
     /* 2053080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2053091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2053094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2053097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053126 */     // MIs[0] round
     /* 2053126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053129 */     // MIs[0] policy
     /* 2053129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053139 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2053142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053144 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053165 */     // GIR_Coverage, 15247,
     /* 2053165 */     GIR_EraseRootFromParent_Done,
     /* 2053166 */   // Label 27329: @2053166
     /* 2053166 */   GIM_Try, /*On fail goto*//*Label 27330*/ GIMT_Encode4(2053257), // Rule ID 15250 //
     /* 2053171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053217 */     // MIs[0] round
     /* 2053217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053220 */     // MIs[0] policy
     /* 2053220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053230 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2053233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053235 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053256 */     // GIR_Coverage, 15250,
     /* 2053256 */     GIR_EraseRootFromParent_Done,
     /* 2053257 */   // Label 27330: @2053257
     /* 2053257 */   GIM_Try, /*On fail goto*//*Label 27331*/ GIMT_Encode4(2053348), // Rule ID 15251 //
     /* 2053262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2053273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2053276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2053279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053308 */     // MIs[0] round
     /* 2053308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053311 */     // MIs[0] policy
     /* 2053311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053321 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2053324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053326 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053347 */     // GIR_Coverage, 15251,
     /* 2053347 */     GIR_EraseRootFromParent_Done,
     /* 2053348 */   // Label 27331: @2053348
     /* 2053348 */   GIM_Try, /*On fail goto*//*Label 27332*/ GIMT_Encode4(2053439), // Rule ID 15254 //
     /* 2053353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053399 */     // MIs[0] round
     /* 2053399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053402 */     // MIs[0] policy
     /* 2053402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053412 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2053415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053417 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053438 */     // GIR_Coverage, 15254,
     /* 2053438 */     GIR_EraseRootFromParent_Done,
     /* 2053439 */   // Label 27332: @2053439
     /* 2053439 */   GIM_Try, /*On fail goto*//*Label 27333*/ GIMT_Encode4(2053530), // Rule ID 15255 //
     /* 2053444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2053455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2053458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2053461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2053467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053490 */     // MIs[0] round
     /* 2053490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053493 */     // MIs[0] policy
     /* 2053493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053503 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2053506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053508 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2053526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053529 */     // GIR_Coverage, 15255,
     /* 2053529 */     GIR_EraseRootFromParent_Done,
     /* 2053530 */   // Label 27333: @2053530
     /* 2053530 */   GIM_Try, /*On fail goto*//*Label 27334*/ GIMT_Encode4(2053621), // Rule ID 15258 //
     /* 2053535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053581 */     // MIs[0] round
     /* 2053581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053584 */     // MIs[0] policy
     /* 2053584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053594 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2053597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053599 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053620 */     // GIR_Coverage, 15258,
     /* 2053620 */     GIR_EraseRootFromParent_Done,
     /* 2053621 */   // Label 27334: @2053621
     /* 2053621 */   GIM_Try, /*On fail goto*//*Label 27335*/ GIMT_Encode4(2053712), // Rule ID 15259 //
     /* 2053626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2053637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2053640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2053643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2053649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2053656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2053664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053672 */     // MIs[0] round
     /* 2053672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053675 */     // MIs[0] policy
     /* 2053675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053685 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2053688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053690 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053711 */     // GIR_Coverage, 15259,
     /* 2053711 */     GIR_EraseRootFromParent_Done,
     /* 2053712 */   // Label 27335: @2053712
     /* 2053712 */   GIM_Try, /*On fail goto*//*Label 27336*/ GIMT_Encode4(2053803), // Rule ID 15262 //
     /* 2053717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053763 */     // MIs[0] round
     /* 2053763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053766 */     // MIs[0] policy
     /* 2053766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053776 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2053779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053802 */     // GIR_Coverage, 15262,
     /* 2053802 */     GIR_EraseRootFromParent_Done,
     /* 2053803 */   // Label 27336: @2053803
     /* 2053803 */   GIM_Try, /*On fail goto*//*Label 27337*/ GIMT_Encode4(2053894), // Rule ID 15263 //
     /* 2053808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2053819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2053822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2053825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2053828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2053831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2053834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2053838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2053846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053854 */     // MIs[0] round
     /* 2053854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053857 */     // MIs[0] policy
     /* 2053857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053867 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2053867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2053870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053872 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053893 */     // GIR_Coverage, 15263,
     /* 2053893 */     GIR_EraseRootFromParent_Done,
     /* 2053894 */   // Label 27337: @2053894
     /* 2053894 */   GIM_Try, /*On fail goto*//*Label 27338*/ GIMT_Encode4(2053985), // Rule ID 15266 //
     /* 2053899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2053902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2053910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2053913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2053916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2053919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2053922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2053925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2053929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2053937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2053941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2053945 */     // MIs[0] round
     /* 2053945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2053948 */     // MIs[0] policy
     /* 2053948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2053951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2053958 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2053958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2053961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2053963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2053965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2053967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2053969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2053971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2053973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2053978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2053981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2053983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2053984 */     // GIR_Coverage, 15266,
     /* 2053984 */     GIR_EraseRootFromParent_Done,
     /* 2053985 */   // Label 27338: @2053985
     /* 2053985 */   GIM_Try, /*On fail goto*//*Label 27339*/ GIMT_Encode4(2054076), // Rule ID 15267 //
     /* 2053990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2053993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2053998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2054001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2054004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2054007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2054013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054036 */     // MIs[0] round
     /* 2054036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054039 */     // MIs[0] policy
     /* 2054039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054049 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2054052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054054 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2054072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054075 */     // GIR_Coverage, 15267,
     /* 2054075 */     GIR_EraseRootFromParent_Done,
     /* 2054076 */   // Label 27339: @2054076
     /* 2054076 */   GIM_Try, /*On fail goto*//*Label 27340*/ GIMT_Encode4(2054167), // Rule ID 15270 //
     /* 2054081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2054089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054127 */     // MIs[0] round
     /* 2054127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054130 */     // MIs[0] policy
     /* 2054130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054140 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2054143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054145 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054166 */     // GIR_Coverage, 15270,
     /* 2054166 */     GIR_EraseRootFromParent_Done,
     /* 2054167 */   // Label 27340: @2054167
     /* 2054167 */   GIM_Try, /*On fail goto*//*Label 27341*/ GIMT_Encode4(2054258), // Rule ID 15271 //
     /* 2054172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2054180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2054183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2054186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2054189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2054202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2054210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054218 */     // MIs[0] round
     /* 2054218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054221 */     // MIs[0] policy
     /* 2054221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054231 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11163:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M2_MASK),
     /* 2054234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054236 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054257 */     // GIR_Coverage, 15271,
     /* 2054257 */     GIR_EraseRootFromParent_Done,
     /* 2054258 */   // Label 27341: @2054258
     /* 2054258 */   GIM_Try, /*On fail goto*//*Label 27342*/ GIMT_Encode4(2054349), // Rule ID 15274 //
     /* 2054263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2054271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054309 */     // MIs[0] round
     /* 2054309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054312 */     // MIs[0] policy
     /* 2054312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054322 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2054325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054348 */     // GIR_Coverage, 15274,
     /* 2054348 */     GIR_EraseRootFromParent_Done,
     /* 2054349 */   // Label 27342: @2054349
     /* 2054349 */   GIM_Try, /*On fail goto*//*Label 27343*/ GIMT_Encode4(2054440), // Rule ID 15275 //
     /* 2054354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2054362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2054365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2054368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2054371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2054377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2054384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2054392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054400 */     // MIs[0] round
     /* 2054400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054403 */     // MIs[0] policy
     /* 2054403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054413 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11163:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M4_MASK),
     /* 2054416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054418 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054439 */     // GIR_Coverage, 15275,
     /* 2054439 */     GIR_EraseRootFromParent_Done,
     /* 2054440 */   // Label 27343: @2054440
     /* 2054440 */   GIM_Try, /*On fail goto*//*Label 27344*/ GIMT_Encode4(2054531), // Rule ID 15278 //
     /* 2054445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2054448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2054453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2054465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054491 */     // MIs[0] round
     /* 2054491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054494 */     // MIs[0] policy
     /* 2054494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054504 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2054507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054530 */     // GIR_Coverage, 15278,
     /* 2054530 */     GIR_EraseRootFromParent_Done,
     /* 2054531 */   // Label 27344: @2054531
     /* 2054531 */   GIM_Try, /*On fail goto*//*Label 27345*/ GIMT_Encode4(2054622), // Rule ID 15279 //
     /* 2054536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2054539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasubu_mask),
     /* 2054544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2054547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2054550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2054553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2054556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2054559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2054566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2054574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2054578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054582 */     // MIs[0] round
     /* 2054582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054585 */     // MIs[0] policy
     /* 2054585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054595 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11163:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUBU_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUBU_VX_M8_MASK),
     /* 2054598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054600 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2054618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054621 */     // GIR_Coverage, 15279,
     /* 2054621 */     GIR_EraseRootFromParent_Done,
     /* 2054622 */   // Label 27345: @2054622
     /* 2054622 */   GIM_Try, /*On fail goto*//*Label 27346*/ GIMT_Encode4(2054713), // Rule ID 15282 //
     /* 2054627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2054647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054673 */     // MIs[0] round
     /* 2054673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054676 */     // MIs[0] policy
     /* 2054676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054686 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2054689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054691 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054712 */     // GIR_Coverage, 15282,
     /* 2054712 */     GIR_EraseRootFromParent_Done,
     /* 2054713 */   // Label 27346: @2054713
     /* 2054713 */   GIM_Try, /*On fail goto*//*Label 27347*/ GIMT_Encode4(2054804), // Rule ID 15283 //
     /* 2054718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2054729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2054732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2054735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2054738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2054741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054764 */     // MIs[0] round
     /* 2054764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054767 */     // MIs[0] policy
     /* 2054767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054777 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF8_MASK),
     /* 2054780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054782 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054803 */     // GIR_Coverage, 15283,
     /* 2054803 */     GIR_EraseRootFromParent_Done,
     /* 2054804 */   // Label 27347: @2054804
     /* 2054804 */   GIM_Try, /*On fail goto*//*Label 27348*/ GIMT_Encode4(2054895), // Rule ID 15286 //
     /* 2054809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2054829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2054835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054855 */     // MIs[0] round
     /* 2054855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054858 */     // MIs[0] policy
     /* 2054858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054868 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2054868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2054871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054873 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054894 */     // GIR_Coverage, 15286,
     /* 2054894 */     GIR_EraseRootFromParent_Done,
     /* 2054895 */   // Label 27348: @2054895
     /* 2054895 */   GIM_Try, /*On fail goto*//*Label 27349*/ GIMT_Encode4(2054986), // Rule ID 15287 //
     /* 2054900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2054903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2054911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2054914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2054917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2054920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2054923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2054926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2054930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2054942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2054946 */     // MIs[0] round
     /* 2054946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2054949 */     // MIs[0] policy
     /* 2054949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2054952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2054959 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2054959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2054962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2054964 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2054966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2054968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2054970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2054972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2054974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2054979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2054982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2054984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2054985 */     // GIR_Coverage, 15287,
     /* 2054985 */     GIR_EraseRootFromParent_Done,
     /* 2054986 */   // Label 27349: @2054986
     /* 2054986 */   GIM_Try, /*On fail goto*//*Label 27350*/ GIMT_Encode4(2055077), // Rule ID 15290 //
     /* 2054991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2054994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2054999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055037 */     // MIs[0] round
     /* 2055037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055040 */     // MIs[0] policy
     /* 2055040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055050 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2055053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055055 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055076 */     // GIR_Coverage, 15290,
     /* 2055076 */     GIR_EraseRootFromParent_Done,
     /* 2055077 */   // Label 27350: @2055077
     /* 2055077 */   GIM_Try, /*On fail goto*//*Label 27351*/ GIMT_Encode4(2055168), // Rule ID 15291 //
     /* 2055082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2055093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2055096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2055099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2055102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055128 */     // MIs[0] round
     /* 2055128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055131 */     // MIs[0] policy
     /* 2055131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055141 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2055144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055146 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055167 */     // GIR_Coverage, 15291,
     /* 2055167 */     GIR_EraseRootFromParent_Done,
     /* 2055168 */   // Label 27351: @2055168
     /* 2055168 */   GIM_Try, /*On fail goto*//*Label 27352*/ GIMT_Encode4(2055259), // Rule ID 15294 //
     /* 2055173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055219 */     // MIs[0] round
     /* 2055219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055222 */     // MIs[0] policy
     /* 2055222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055232 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2055235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055237 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055258 */     // GIR_Coverage, 15294,
     /* 2055258 */     GIR_EraseRootFromParent_Done,
     /* 2055259 */   // Label 27352: @2055259
     /* 2055259 */   GIM_Try, /*On fail goto*//*Label 27353*/ GIMT_Encode4(2055350), // Rule ID 15295 //
     /* 2055264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2055275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2055278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2055281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2055284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055310 */     // MIs[0] round
     /* 2055310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055313 */     // MIs[0] policy
     /* 2055313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055323 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF4_MASK),
     /* 2055326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055328 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055349 */     // GIR_Coverage, 15295,
     /* 2055349 */     GIR_EraseRootFromParent_Done,
     /* 2055350 */   // Label 27353: @2055350
     /* 2055350 */   GIM_Try, /*On fail goto*//*Label 27354*/ GIMT_Encode4(2055441), // Rule ID 15298 //
     /* 2055355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055401 */     // MIs[0] round
     /* 2055401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055404 */     // MIs[0] policy
     /* 2055404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055414 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2055417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055419 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055440 */     // GIR_Coverage, 15298,
     /* 2055440 */     GIR_EraseRootFromParent_Done,
     /* 2055441 */   // Label 27354: @2055441
     /* 2055441 */   GIM_Try, /*On fail goto*//*Label 27355*/ GIMT_Encode4(2055532), // Rule ID 15299 //
     /* 2055446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2055457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2055460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2055463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2055466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2055469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055492 */     // MIs[0] round
     /* 2055492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055495 */     // MIs[0] policy
     /* 2055495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055505 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2055508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055510 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055531 */     // GIR_Coverage, 15299,
     /* 2055531 */     GIR_EraseRootFromParent_Done,
     /* 2055532 */   // Label 27355: @2055532
     /* 2055532 */   GIM_Try, /*On fail goto*//*Label 27356*/ GIMT_Encode4(2055623), // Rule ID 15302 //
     /* 2055537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055583 */     // MIs[0] round
     /* 2055583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055586 */     // MIs[0] policy
     /* 2055586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055596 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2055599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055622 */     // GIR_Coverage, 15302,
     /* 2055622 */     GIR_EraseRootFromParent_Done,
     /* 2055623 */   // Label 27356: @2055623
     /* 2055623 */   GIM_Try, /*On fail goto*//*Label 27357*/ GIMT_Encode4(2055714), // Rule ID 15303 //
     /* 2055628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2055639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2055642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2055645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2055648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2055651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055674 */     // MIs[0] round
     /* 2055674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055677 */     // MIs[0] policy
     /* 2055677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055687 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_MF2_MASK),
     /* 2055690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055692 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2055710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055713 */     // GIR_Coverage, 15303,
     /* 2055713 */     GIR_EraseRootFromParent_Done,
     /* 2055714 */   // Label 27357: @2055714
     /* 2055714 */   GIM_Try, /*On fail goto*//*Label 27358*/ GIMT_Encode4(2055805), // Rule ID 15306 //
     /* 2055719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2055739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055765 */     // MIs[0] round
     /* 2055765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055768 */     // MIs[0] policy
     /* 2055768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055778 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2055781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055804 */     // GIR_Coverage, 15306,
     /* 2055804 */     GIR_EraseRootFromParent_Done,
     /* 2055805 */   // Label 27358: @2055805
     /* 2055805 */   GIM_Try, /*On fail goto*//*Label 27359*/ GIMT_Encode4(2055896), // Rule ID 15307 //
     /* 2055810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2055821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2055824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2055827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2055830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2055833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2055836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055856 */     // MIs[0] round
     /* 2055856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055859 */     // MIs[0] policy
     /* 2055859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055869 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2055869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2055872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055874 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2055892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055895 */     // GIR_Coverage, 15307,
     /* 2055895 */     GIR_EraseRootFromParent_Done,
     /* 2055896 */   // Label 27359: @2055896
     /* 2055896 */   GIM_Try, /*On fail goto*//*Label 27360*/ GIMT_Encode4(2055987), // Rule ID 15310 //
     /* 2055901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2055904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2055909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2055912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2055915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2055918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2055921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2055924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2055927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2055931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2055943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2055947 */     // MIs[0] round
     /* 2055947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2055950 */     // MIs[0] policy
     /* 2055950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2055953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2055960 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2055960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2055963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2055965 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2055967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2055969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2055971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2055973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2055975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2055980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2055983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2055985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2055986 */     // GIR_Coverage, 15310,
     /* 2055986 */     GIR_EraseRootFromParent_Done,
     /* 2055987 */   // Label 27360: @2055987
     /* 2055987 */   GIM_Try, /*On fail goto*//*Label 27361*/ GIMT_Encode4(2056078), // Rule ID 15311 //
     /* 2055992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2055995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2056003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2056006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2056009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2056012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2056015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056038 */     // MIs[0] round
     /* 2056038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056041 */     // MIs[0] policy
     /* 2056041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056051 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2056054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056056 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2056074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056077 */     // GIR_Coverage, 15311,
     /* 2056077 */     GIR_EraseRootFromParent_Done,
     /* 2056078 */   // Label 27361: @2056078
     /* 2056078 */   GIM_Try, /*On fail goto*//*Label 27362*/ GIMT_Encode4(2056169), // Rule ID 15314 //
     /* 2056083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056129 */     // MIs[0] round
     /* 2056129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056132 */     // MIs[0] policy
     /* 2056132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056142 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2056145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056168 */     // GIR_Coverage, 15314,
     /* 2056168 */     GIR_EraseRootFromParent_Done,
     /* 2056169 */   // Label 27362: @2056169
     /* 2056169 */   GIM_Try, /*On fail goto*//*Label 27363*/ GIMT_Encode4(2056260), // Rule ID 15315 //
     /* 2056174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2056185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2056188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2056191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2056194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2056197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056220 */     // MIs[0] round
     /* 2056220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056223 */     // MIs[0] policy
     /* 2056223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056233 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2056236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056238 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2056256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056259 */     // GIR_Coverage, 15315,
     /* 2056259 */     GIR_EraseRootFromParent_Done,
     /* 2056260 */   // Label 27363: @2056260
     /* 2056260 */   GIM_Try, /*On fail goto*//*Label 27364*/ GIMT_Encode4(2056351), // Rule ID 15318 //
     /* 2056265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2056268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2056285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056311 */     // MIs[0] round
     /* 2056311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056314 */     // MIs[0] policy
     /* 2056314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056324 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2056327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056329 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056350 */     // GIR_Coverage, 15318,
     /* 2056350 */     GIR_EraseRootFromParent_Done,
     /* 2056351 */   // Label 27364: @2056351
     /* 2056351 */   GIM_Try, /*On fail goto*//*Label 27365*/ GIMT_Encode4(2056442), // Rule ID 15319 //
     /* 2056356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2056359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2056367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2056370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2056373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2056376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2056379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2056386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2056398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056402 */     // MIs[0] round
     /* 2056402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056405 */     // MIs[0] policy
     /* 2056405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056415 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M1_MASK),
     /* 2056418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056420 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2056438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056441 */     // GIR_Coverage, 15319,
     /* 2056441 */     GIR_EraseRootFromParent_Done,
     /* 2056442 */   // Label 27365: @2056442
     /* 2056442 */   GIM_Try, /*On fail goto*//*Label 27366*/ GIMT_Encode4(2056533), // Rule ID 15322 //
     /* 2056447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056493 */     // MIs[0] round
     /* 2056493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056496 */     // MIs[0] policy
     /* 2056496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056506 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2056509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056511 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056532 */     // GIR_Coverage, 15322,
     /* 2056532 */     GIR_EraseRootFromParent_Done,
     /* 2056533 */   // Label 27366: @2056533
     /* 2056533 */   GIM_Try, /*On fail goto*//*Label 27367*/ GIMT_Encode4(2056624), // Rule ID 15323 //
     /* 2056538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2056549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2056552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2056555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2056558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2056561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2056568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2056580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056584 */     // MIs[0] round
     /* 2056584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056587 */     // MIs[0] policy
     /* 2056587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056597 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2056600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056602 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056623 */     // GIR_Coverage, 15323,
     /* 2056623 */     GIR_EraseRootFromParent_Done,
     /* 2056624 */   // Label 27367: @2056624
     /* 2056624 */   GIM_Try, /*On fail goto*//*Label 27368*/ GIMT_Encode4(2056715), // Rule ID 15326 //
     /* 2056629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056675 */     // MIs[0] round
     /* 2056675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056678 */     // MIs[0] policy
     /* 2056678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056688 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2056691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056693 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056714 */     // GIR_Coverage, 15326,
     /* 2056714 */     GIR_EraseRootFromParent_Done,
     /* 2056715 */   // Label 27368: @2056715
     /* 2056715 */   GIM_Try, /*On fail goto*//*Label 27369*/ GIMT_Encode4(2056806), // Rule ID 15327 //
     /* 2056720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2056731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2056734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2056737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2056740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2056743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2056750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2056762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056766 */     // MIs[0] round
     /* 2056766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056769 */     // MIs[0] policy
     /* 2056769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056779 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2056782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056784 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056805 */     // GIR_Coverage, 15327,
     /* 2056805 */     GIR_EraseRootFromParent_Done,
     /* 2056806 */   // Label 27369: @2056806
     /* 2056806 */   GIM_Try, /*On fail goto*//*Label 27370*/ GIMT_Encode4(2056897), // Rule ID 15330 //
     /* 2056811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2056831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2056837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056857 */     // MIs[0] round
     /* 2056857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056860 */     // MIs[0] policy
     /* 2056860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056870 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2056870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2056873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056896 */     // GIR_Coverage, 15330,
     /* 2056896 */     GIR_EraseRootFromParent_Done,
     /* 2056897 */   // Label 27370: @2056897
     /* 2056897 */   GIM_Try, /*On fail goto*//*Label 27371*/ GIMT_Encode4(2056988), // Rule ID 15331 //
     /* 2056902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2056905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2056910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2056913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2056916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2056919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2056922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2056925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2056928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2056932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2056944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2056948 */     // MIs[0] round
     /* 2056948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2056951 */     // MIs[0] policy
     /* 2056951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2056954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2056961 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2056961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2056964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2056966 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2056968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2056970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2056972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2056974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2056976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2056981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2056984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2056986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2056987 */     // GIR_Coverage, 15331,
     /* 2056987 */     GIR_EraseRootFromParent_Done,
     /* 2056988 */   // Label 27371: @2056988
     /* 2056988 */   GIM_Try, /*On fail goto*//*Label 27372*/ GIMT_Encode4(2057079), // Rule ID 15334 //
     /* 2056993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2056996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057039 */     // MIs[0] round
     /* 2057039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057042 */     // MIs[0] policy
     /* 2057042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2057055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057078 */     // GIR_Coverage, 15334,
     /* 2057078 */     GIR_EraseRootFromParent_Done,
     /* 2057079 */   // Label 27372: @2057079
     /* 2057079 */   GIM_Try, /*On fail goto*//*Label 27373*/ GIMT_Encode4(2057170), // Rule ID 15335 //
     /* 2057084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2057095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2057098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2057101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2057104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057130 */     // MIs[0] round
     /* 2057130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057133 */     // MIs[0] policy
     /* 2057133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057143 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2057146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057148 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057169 */     // GIR_Coverage, 15335,
     /* 2057169 */     GIR_EraseRootFromParent_Done,
     /* 2057170 */   // Label 27373: @2057170
     /* 2057170 */   GIM_Try, /*On fail goto*//*Label 27374*/ GIMT_Encode4(2057261), // Rule ID 15338 //
     /* 2057175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057221 */     // MIs[0] round
     /* 2057221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057224 */     // MIs[0] policy
     /* 2057224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057234 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2057237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057239 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057260 */     // GIR_Coverage, 15338,
     /* 2057260 */     GIR_EraseRootFromParent_Done,
     /* 2057261 */   // Label 27374: @2057261
     /* 2057261 */   GIM_Try, /*On fail goto*//*Label 27375*/ GIMT_Encode4(2057352), // Rule ID 15339 //
     /* 2057266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2057277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2057280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2057283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2057286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057312 */     // MIs[0] round
     /* 2057312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057315 */     // MIs[0] policy
     /* 2057315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057325 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2057328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057330 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057351 */     // GIR_Coverage, 15339,
     /* 2057351 */     GIR_EraseRootFromParent_Done,
     /* 2057352 */   // Label 27375: @2057352
     /* 2057352 */   GIM_Try, /*On fail goto*//*Label 27376*/ GIMT_Encode4(2057443), // Rule ID 15342 //
     /* 2057357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057403 */     // MIs[0] round
     /* 2057403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057406 */     // MIs[0] policy
     /* 2057406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057416 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2057419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057442 */     // GIR_Coverage, 15342,
     /* 2057442 */     GIR_EraseRootFromParent_Done,
     /* 2057443 */   // Label 27376: @2057443
     /* 2057443 */   GIM_Try, /*On fail goto*//*Label 27377*/ GIMT_Encode4(2057534), // Rule ID 15343 //
     /* 2057448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2057459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2057462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2057465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2057468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2057471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057494 */     // MIs[0] round
     /* 2057494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057497 */     // MIs[0] policy
     /* 2057497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057507 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2057510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057512 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2057530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057533 */     // GIR_Coverage, 15343,
     /* 2057533 */     GIR_EraseRootFromParent_Done,
     /* 2057534 */   // Label 27377: @2057534
     /* 2057534 */   GIM_Try, /*On fail goto*//*Label 27378*/ GIMT_Encode4(2057625), // Rule ID 15346 //
     /* 2057539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057585 */     // MIs[0] round
     /* 2057585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057588 */     // MIs[0] policy
     /* 2057588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057598 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2057601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057624 */     // GIR_Coverage, 15346,
     /* 2057624 */     GIR_EraseRootFromParent_Done,
     /* 2057625 */   // Label 27378: @2057625
     /* 2057625 */   GIM_Try, /*On fail goto*//*Label 27379*/ GIMT_Encode4(2057716), // Rule ID 15347 //
     /* 2057630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2057641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2057644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2057647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2057650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2057653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2057660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2057672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057676 */     // MIs[0] round
     /* 2057676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057679 */     // MIs[0] policy
     /* 2057679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057689 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2057692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057694 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057715 */     // GIR_Coverage, 15347,
     /* 2057715 */     GIR_EraseRootFromParent_Done,
     /* 2057716 */   // Label 27379: @2057716
     /* 2057716 */   GIM_Try, /*On fail goto*//*Label 27380*/ GIMT_Encode4(2057807), // Rule ID 15350 //
     /* 2057721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2057741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057767 */     // MIs[0] round
     /* 2057767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057770 */     // MIs[0] policy
     /* 2057770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057780 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2057783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057785 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057806 */     // GIR_Coverage, 15350,
     /* 2057806 */     GIR_EraseRootFromParent_Done,
     /* 2057807 */   // Label 27380: @2057807
     /* 2057807 */   GIM_Try, /*On fail goto*//*Label 27381*/ GIMT_Encode4(2057898), // Rule ID 15351 //
     /* 2057812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2057823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2057826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2057829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2057832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2057835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2057838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2057842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2057854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057858 */     // MIs[0] round
     /* 2057858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057861 */     // MIs[0] policy
     /* 2057861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057871 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2057871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2057874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057876 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057897 */     // GIR_Coverage, 15351,
     /* 2057897 */     GIR_EraseRootFromParent_Done,
     /* 2057898 */   // Label 27381: @2057898
     /* 2057898 */   GIM_Try, /*On fail goto*//*Label 27382*/ GIMT_Encode4(2057989), // Rule ID 15354 //
     /* 2057903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2057906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2057911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2057914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2057917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2057920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2057923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2057926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2057929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2057933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2057945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2057949 */     // MIs[0] round
     /* 2057949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2057952 */     // MIs[0] policy
     /* 2057952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2057955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2057962 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2057962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2057965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2057967 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2057969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2057971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2057973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2057975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2057977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2057982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2057985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2057987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2057988 */     // GIR_Coverage, 15354,
     /* 2057988 */     GIR_EraseRootFromParent_Done,
     /* 2057989 */   // Label 27382: @2057989
     /* 2057989 */   GIM_Try, /*On fail goto*//*Label 27383*/ GIMT_Encode4(2058080), // Rule ID 15355 //
     /* 2057994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2057997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2058005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2058008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2058011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2058014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2058017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058040 */     // MIs[0] round
     /* 2058040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058043 */     // MIs[0] policy
     /* 2058043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058053 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2058056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058058 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2058076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058079 */     // GIR_Coverage, 15355,
     /* 2058079 */     GIR_EraseRootFromParent_Done,
     /* 2058080 */   // Label 27383: @2058080
     /* 2058080 */   GIM_Try, /*On fail goto*//*Label 27384*/ GIMT_Encode4(2058171), // Rule ID 15358 //
     /* 2058085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2058088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2058096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2058099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2058102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2058105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058131 */     // MIs[0] round
     /* 2058131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058134 */     // MIs[0] policy
     /* 2058134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058144 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2058147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058149 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058170 */     // GIR_Coverage, 15358,
     /* 2058170 */     GIR_EraseRootFromParent_Done,
     /* 2058171 */   // Label 27384: @2058171
     /* 2058171 */   GIM_Try, /*On fail goto*//*Label 27385*/ GIMT_Encode4(2058262), // Rule ID 15359 //
     /* 2058176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2058187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2058190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2058193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2058196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2058206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2058218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058222 */     // MIs[0] round
     /* 2058222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058225 */     // MIs[0] policy
     /* 2058225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058235 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M2_MASK),
     /* 2058238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058240 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058261 */     // GIR_Coverage, 15359,
     /* 2058261 */     GIR_EraseRootFromParent_Done,
     /* 2058262 */   // Label 27385: @2058262
     /* 2058262 */   GIM_Try, /*On fail goto*//*Label 27386*/ GIMT_Encode4(2058353), // Rule ID 15362 //
     /* 2058267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2058270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2058278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2058281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2058284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2058287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058313 */     // MIs[0] round
     /* 2058313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058316 */     // MIs[0] policy
     /* 2058316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058326 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2058329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058331 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058352 */     // GIR_Coverage, 15362,
     /* 2058352 */     GIR_EraseRootFromParent_Done,
     /* 2058353 */   // Label 27386: @2058353
     /* 2058353 */   GIM_Try, /*On fail goto*//*Label 27387*/ GIMT_Encode4(2058444), // Rule ID 15363 //
     /* 2058358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2058369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2058372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2058375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2058378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2058381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2058388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2058400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058404 */     // MIs[0] round
     /* 2058404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058407 */     // MIs[0] policy
     /* 2058407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058417 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M4_MASK),
     /* 2058420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058422 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058443 */     // GIR_Coverage, 15363,
     /* 2058443 */     GIR_EraseRootFromParent_Done,
     /* 2058444 */   // Label 27387: @2058444
     /* 2058444 */   GIM_Try, /*On fail goto*//*Label 27388*/ GIMT_Encode4(2058535), // Rule ID 15366 //
     /* 2058449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2058452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2058460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2058463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2058466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2058469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058495 */     // MIs[0] round
     /* 2058495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058498 */     // MIs[0] policy
     /* 2058498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058508 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2058511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058513 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058534 */     // GIR_Coverage, 15366,
     /* 2058534 */     GIR_EraseRootFromParent_Done,
     /* 2058535 */   // Label 27388: @2058535
     /* 2058535 */   GIM_Try, /*On fail goto*//*Label 27389*/ GIMT_Encode4(2058626), // Rule ID 15367 //
     /* 2058540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2058543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2058551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2058554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2058557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2058560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2058563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2058570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2058582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058586 */     // MIs[0] round
     /* 2058586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058589 */     // MIs[0] policy
     /* 2058589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058599 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VV_M8_MASK),
     /* 2058602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058604 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2058622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058625 */     // GIR_Coverage, 15367,
     /* 2058625 */     GIR_EraseRootFromParent_Done,
     /* 2058626 */   // Label 27389: @2058626
     /* 2058626 */   GIM_Try, /*On fail goto*//*Label 27390*/ GIMT_Encode4(2058717), // Rule ID 15370 //
     /* 2058631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058677 */     // MIs[0] round
     /* 2058677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058680 */     // MIs[0] policy
     /* 2058680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058690 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2058693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058716 */     // GIR_Coverage, 15370,
     /* 2058716 */     GIR_EraseRootFromParent_Done,
     /* 2058717 */   // Label 27390: @2058717
     /* 2058717 */   GIM_Try, /*On fail goto*//*Label 27391*/ GIMT_Encode4(2058808), // Rule ID 15371 //
     /* 2058722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2058733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2058736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2058739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2058745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058768 */     // MIs[0] round
     /* 2058768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058771 */     // MIs[0] policy
     /* 2058771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058781 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF8_MASK),
     /* 2058784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058786 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058807 */     // GIR_Coverage, 15371,
     /* 2058807 */     GIR_EraseRootFromParent_Done,
     /* 2058808 */   // Label 27391: @2058808
     /* 2058808 */   GIM_Try, /*On fail goto*//*Label 27392*/ GIMT_Encode4(2058899), // Rule ID 15374 //
     /* 2058813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2058833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2058839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058859 */     // MIs[0] round
     /* 2058859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058862 */     // MIs[0] policy
     /* 2058862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058872 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2058872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2058875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058898 */     // GIR_Coverage, 15374,
     /* 2058898 */     GIR_EraseRootFromParent_Done,
     /* 2058899 */   // Label 27392: @2058899
     /* 2058899 */   GIM_Try, /*On fail goto*//*Label 27393*/ GIMT_Encode4(2058990), // Rule ID 15375 //
     /* 2058904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2058907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2058912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2058915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2058918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2058921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2058924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2058927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2058930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2058934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2058942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2058946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2058950 */     // MIs[0] round
     /* 2058950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2058953 */     // MIs[0] policy
     /* 2058953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2058956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2058963 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2058963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2058966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2058968 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2058970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2058972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2058974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2058976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2058978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2058983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2058986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2058988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2058989 */     // GIR_Coverage, 15375,
     /* 2058989 */     GIR_EraseRootFromParent_Done,
     /* 2058990 */   // Label 27393: @2058990
     /* 2058990 */   GIM_Try, /*On fail goto*//*Label 27394*/ GIMT_Encode4(2059081), // Rule ID 15378 //
     /* 2058995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2058998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2059006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2059009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2059012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059041 */     // MIs[0] round
     /* 2059041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059044 */     // MIs[0] policy
     /* 2059044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059054 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2059057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059059 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059080 */     // GIR_Coverage, 15378,
     /* 2059080 */     GIR_EraseRootFromParent_Done,
     /* 2059081 */   // Label 27394: @2059081
     /* 2059081 */   GIM_Try, /*On fail goto*//*Label 27395*/ GIMT_Encode4(2059172), // Rule ID 15379 //
     /* 2059086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2059097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2059100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2059103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059132 */     // MIs[0] round
     /* 2059132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059135 */     // MIs[0] policy
     /* 2059135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059145 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2059148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059150 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059171 */     // GIR_Coverage, 15379,
     /* 2059171 */     GIR_EraseRootFromParent_Done,
     /* 2059172 */   // Label 27395: @2059172
     /* 2059172 */   GIM_Try, /*On fail goto*//*Label 27396*/ GIMT_Encode4(2059263), // Rule ID 15382 //
     /* 2059177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059223 */     // MIs[0] round
     /* 2059223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059226 */     // MIs[0] policy
     /* 2059226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059236 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2059239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059262 */     // GIR_Coverage, 15382,
     /* 2059262 */     GIR_EraseRootFromParent_Done,
     /* 2059263 */   // Label 27396: @2059263
     /* 2059263 */   GIM_Try, /*On fail goto*//*Label 27397*/ GIMT_Encode4(2059354), // Rule ID 15383 //
     /* 2059268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2059279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2059282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2059285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059314 */     // MIs[0] round
     /* 2059314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059317 */     // MIs[0] policy
     /* 2059317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059327 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF4_MASK),
     /* 2059330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059332 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059353 */     // GIR_Coverage, 15383,
     /* 2059353 */     GIR_EraseRootFromParent_Done,
     /* 2059354 */   // Label 27397: @2059354
     /* 2059354 */   GIM_Try, /*On fail goto*//*Label 27398*/ GIMT_Encode4(2059445), // Rule ID 15386 //
     /* 2059359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059405 */     // MIs[0] round
     /* 2059405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059408 */     // MIs[0] policy
     /* 2059408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059418 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2059421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059423 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059444 */     // GIR_Coverage, 15386,
     /* 2059444 */     GIR_EraseRootFromParent_Done,
     /* 2059445 */   // Label 27398: @2059445
     /* 2059445 */   GIM_Try, /*On fail goto*//*Label 27399*/ GIMT_Encode4(2059536), // Rule ID 15387 //
     /* 2059450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2059461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2059464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2059467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2059473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059496 */     // MIs[0] round
     /* 2059496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059499 */     // MIs[0] policy
     /* 2059499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059509 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2059512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059514 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059535 */     // GIR_Coverage, 15387,
     /* 2059535 */     GIR_EraseRootFromParent_Done,
     /* 2059536 */   // Label 27399: @2059536
     /* 2059536 */   GIM_Try, /*On fail goto*//*Label 27400*/ GIMT_Encode4(2059627), // Rule ID 15390 //
     /* 2059541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059587 */     // MIs[0] round
     /* 2059587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059590 */     // MIs[0] policy
     /* 2059590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059600 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2059603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059605 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059626 */     // GIR_Coverage, 15390,
     /* 2059626 */     GIR_EraseRootFromParent_Done,
     /* 2059627 */   // Label 27400: @2059627
     /* 2059627 */   GIM_Try, /*On fail goto*//*Label 27401*/ GIMT_Encode4(2059718), // Rule ID 15391 //
     /* 2059632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2059643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2059646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2059649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2059655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059678 */     // MIs[0] round
     /* 2059678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059681 */     // MIs[0] policy
     /* 2059681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059691 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_MF2_MASK),
     /* 2059694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059696 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2059714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059717 */     // GIR_Coverage, 15391,
     /* 2059717 */     GIR_EraseRootFromParent_Done,
     /* 2059718 */   // Label 27401: @2059718
     /* 2059718 */   GIM_Try, /*On fail goto*//*Label 27402*/ GIMT_Encode4(2059809), // Rule ID 15394 //
     /* 2059723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059769 */     // MIs[0] round
     /* 2059769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059772 */     // MIs[0] policy
     /* 2059772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059782 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2059785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059787 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059808 */     // GIR_Coverage, 15394,
     /* 2059808 */     GIR_EraseRootFromParent_Done,
     /* 2059809 */   // Label 27402: @2059809
     /* 2059809 */   GIM_Try, /*On fail goto*//*Label 27403*/ GIMT_Encode4(2059900), // Rule ID 15395 //
     /* 2059814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2059825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2059828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2059831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2059834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2059837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2059840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059860 */     // MIs[0] round
     /* 2059860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059863 */     // MIs[0] policy
     /* 2059863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059873 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11161:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2059873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2059876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059878 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2059896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059899 */     // GIR_Coverage, 15395,
     /* 2059899 */     GIR_EraseRootFromParent_Done,
     /* 2059900 */   // Label 27403: @2059900
     /* 2059900 */   GIM_Try, /*On fail goto*//*Label 27404*/ GIMT_Encode4(2059991), // Rule ID 15398 //
     /* 2059905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2059908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2059913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2059916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2059919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2059922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2059925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2059928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2059931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2059935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2059943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2059947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2059951 */     // MIs[0] round
     /* 2059951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2059954 */     // MIs[0] policy
     /* 2059954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2059957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2059964 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2059964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2059967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2059969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2059971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2059973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2059975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2059977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2059979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2059984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2059987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2059989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2059990 */     // GIR_Coverage, 15398,
     /* 2059990 */     GIR_EraseRootFromParent_Done,
     /* 2059991 */   // Label 27404: @2059991
     /* 2059991 */   GIM_Try, /*On fail goto*//*Label 27405*/ GIMT_Encode4(2060082), // Rule ID 15399 //
     /* 2059996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2059999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2060007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2060010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2060013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2060019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060042 */     // MIs[0] round
     /* 2060042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060045 */     // MIs[0] policy
     /* 2060045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060055 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11161:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2060058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060060 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2060078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060081 */     // GIR_Coverage, 15399,
     /* 2060081 */     GIR_EraseRootFromParent_Done,
     /* 2060082 */   // Label 27405: @2060082
     /* 2060082 */   GIM_Try, /*On fail goto*//*Label 27406*/ GIMT_Encode4(2060173), // Rule ID 15402 //
     /* 2060087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060133 */     // MIs[0] round
     /* 2060133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060136 */     // MIs[0] policy
     /* 2060136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060146 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2060149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060172 */     // GIR_Coverage, 15402,
     /* 2060172 */     GIR_EraseRootFromParent_Done,
     /* 2060173 */   // Label 27406: @2060173
     /* 2060173 */   GIM_Try, /*On fail goto*//*Label 27407*/ GIMT_Encode4(2060264), // Rule ID 15403 //
     /* 2060178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2060189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2060192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2060195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2060201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060224 */     // MIs[0] round
     /* 2060224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060227 */     // MIs[0] policy
     /* 2060227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060237 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11161:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2060240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060242 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2060260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060263 */     // GIR_Coverage, 15403,
     /* 2060263 */     GIR_EraseRootFromParent_Done,
     /* 2060264 */   // Label 27407: @2060264
     /* 2060264 */   GIM_Try, /*On fail goto*//*Label 27408*/ GIMT_Encode4(2060355), // Rule ID 15406 //
     /* 2060269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2060272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060315 */     // MIs[0] round
     /* 2060315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060318 */     // MIs[0] policy
     /* 2060318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060328 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2060331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060333 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060354 */     // GIR_Coverage, 15406,
     /* 2060354 */     GIR_EraseRootFromParent_Done,
     /* 2060355 */   // Label 27408: @2060355
     /* 2060355 */   GIM_Try, /*On fail goto*//*Label 27409*/ GIMT_Encode4(2060446), // Rule ID 15407 //
     /* 2060360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2060363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2060371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2060374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2060377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2060383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2060390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2060398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060406 */     // MIs[0] round
     /* 2060406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060409 */     // MIs[0] policy
     /* 2060409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060419 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11161:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M1_MASK),
     /* 2060422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060424 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2060442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060445 */     // GIR_Coverage, 15407,
     /* 2060445 */     GIR_EraseRootFromParent_Done,
     /* 2060446 */   // Label 27409: @2060446
     /* 2060446 */   GIM_Try, /*On fail goto*//*Label 27410*/ GIMT_Encode4(2060537), // Rule ID 15410 //
     /* 2060451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060497 */     // MIs[0] round
     /* 2060497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060500 */     // MIs[0] policy
     /* 2060500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060510 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2060513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060536 */     // GIR_Coverage, 15410,
     /* 2060536 */     GIR_EraseRootFromParent_Done,
     /* 2060537 */   // Label 27410: @2060537
     /* 2060537 */   GIM_Try, /*On fail goto*//*Label 27411*/ GIMT_Encode4(2060628), // Rule ID 15411 //
     /* 2060542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2060553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2060556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2060559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2060565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2060572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2060580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060588 */     // MIs[0] round
     /* 2060588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060591 */     // MIs[0] policy
     /* 2060591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060601 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2060604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060606 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060627 */     // GIR_Coverage, 15411,
     /* 2060627 */     GIR_EraseRootFromParent_Done,
     /* 2060628 */   // Label 27411: @2060628
     /* 2060628 */   GIM_Try, /*On fail goto*//*Label 27412*/ GIMT_Encode4(2060719), // Rule ID 15414 //
     /* 2060633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060679 */     // MIs[0] round
     /* 2060679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060682 */     // MIs[0] policy
     /* 2060682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060692 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2060695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060718 */     // GIR_Coverage, 15414,
     /* 2060718 */     GIR_EraseRootFromParent_Done,
     /* 2060719 */   // Label 27412: @2060719
     /* 2060719 */   GIM_Try, /*On fail goto*//*Label 27413*/ GIMT_Encode4(2060810), // Rule ID 15415 //
     /* 2060724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2060735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2060738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2060741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2060747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2060754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2060762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060770 */     // MIs[0] round
     /* 2060770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060773 */     // MIs[0] policy
     /* 2060773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060783 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2060786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060788 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060809 */     // GIR_Coverage, 15415,
     /* 2060809 */     GIR_EraseRootFromParent_Done,
     /* 2060810 */   // Label 27413: @2060810
     /* 2060810 */   GIM_Try, /*On fail goto*//*Label 27414*/ GIMT_Encode4(2060901), // Rule ID 15418 //
     /* 2060815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2060818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2060835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2060841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060861 */     // MIs[0] round
     /* 2060861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060864 */     // MIs[0] policy
     /* 2060864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060874 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2060874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2060877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060879 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060900 */     // GIR_Coverage, 15418,
     /* 2060900 */     GIR_EraseRootFromParent_Done,
     /* 2060901 */   // Label 27414: @2060901
     /* 2060901 */   GIM_Try, /*On fail goto*//*Label 27415*/ GIMT_Encode4(2060992), // Rule ID 15419 //
     /* 2060906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2060909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2060914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2060917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2060920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2060923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2060926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2060929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2060932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2060936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2060944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2060948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2060952 */     // MIs[0] round
     /* 2060952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2060955 */     // MIs[0] policy
     /* 2060955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2060958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2060965 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2060965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2060968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2060970 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2060972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2060974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2060976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2060978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2060980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2060985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2060988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2060990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2060991 */     // GIR_Coverage, 15419,
     /* 2060991 */     GIR_EraseRootFromParent_Done,
     /* 2060992 */   // Label 27415: @2060992
     /* 2060992 */   GIM_Try, /*On fail goto*//*Label 27416*/ GIMT_Encode4(2061083), // Rule ID 15422 //
     /* 2060997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2061008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2061011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2061014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061043 */     // MIs[0] round
     /* 2061043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061046 */     // MIs[0] policy
     /* 2061046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061056 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2061059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061061 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061082 */     // GIR_Coverage, 15422,
     /* 2061082 */     GIR_EraseRootFromParent_Done,
     /* 2061083 */   // Label 27416: @2061083
     /* 2061083 */   GIM_Try, /*On fail goto*//*Label 27417*/ GIMT_Encode4(2061174), // Rule ID 15423 //
     /* 2061088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2061099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2061102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2061105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061134 */     // MIs[0] round
     /* 2061134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061137 */     // MIs[0] policy
     /* 2061137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061147 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2061150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061152 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061173 */     // GIR_Coverage, 15423,
     /* 2061173 */     GIR_EraseRootFromParent_Done,
     /* 2061174 */   // Label 27417: @2061174
     /* 2061174 */   GIM_Try, /*On fail goto*//*Label 27418*/ GIMT_Encode4(2061265), // Rule ID 15426 //
     /* 2061179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061225 */     // MIs[0] round
     /* 2061225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061228 */     // MIs[0] policy
     /* 2061228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061238 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2061241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061243 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061264 */     // GIR_Coverage, 15426,
     /* 2061264 */     GIR_EraseRootFromParent_Done,
     /* 2061265 */   // Label 27418: @2061265
     /* 2061265 */   GIM_Try, /*On fail goto*//*Label 27419*/ GIMT_Encode4(2061356), // Rule ID 15427 //
     /* 2061270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2061281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2061284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2061287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061316 */     // MIs[0] round
     /* 2061316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061319 */     // MIs[0] policy
     /* 2061319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061329 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2061332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061334 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061355 */     // GIR_Coverage, 15427,
     /* 2061355 */     GIR_EraseRootFromParent_Done,
     /* 2061356 */   // Label 27419: @2061356
     /* 2061356 */   GIM_Try, /*On fail goto*//*Label 27420*/ GIMT_Encode4(2061447), // Rule ID 15430 //
     /* 2061361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061407 */     // MIs[0] round
     /* 2061407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061410 */     // MIs[0] policy
     /* 2061410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061420 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2061423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061425 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061446 */     // GIR_Coverage, 15430,
     /* 2061446 */     GIR_EraseRootFromParent_Done,
     /* 2061447 */   // Label 27420: @2061447
     /* 2061447 */   GIM_Try, /*On fail goto*//*Label 27421*/ GIMT_Encode4(2061538), // Rule ID 15431 //
     /* 2061452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2061463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2061466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2061469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2061475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061498 */     // MIs[0] round
     /* 2061498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061501 */     // MIs[0] policy
     /* 2061501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061511 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2061514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061516 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2061534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061537 */     // GIR_Coverage, 15431,
     /* 2061537 */     GIR_EraseRootFromParent_Done,
     /* 2061538 */   // Label 27421: @2061538
     /* 2061538 */   GIM_Try, /*On fail goto*//*Label 27422*/ GIMT_Encode4(2061629), // Rule ID 15434 //
     /* 2061543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061589 */     // MIs[0] round
     /* 2061589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061592 */     // MIs[0] policy
     /* 2061592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061602 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2061605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061607 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061628 */     // GIR_Coverage, 15434,
     /* 2061628 */     GIR_EraseRootFromParent_Done,
     /* 2061629 */   // Label 27422: @2061629
     /* 2061629 */   GIM_Try, /*On fail goto*//*Label 27423*/ GIMT_Encode4(2061720), // Rule ID 15435 //
     /* 2061634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2061645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2061648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2061651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2061657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2061664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2061672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061680 */     // MIs[0] round
     /* 2061680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061683 */     // MIs[0] policy
     /* 2061683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061693 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2061696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061698 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061719 */     // GIR_Coverage, 15435,
     /* 2061719 */     GIR_EraseRootFromParent_Done,
     /* 2061720 */   // Label 27423: @2061720
     /* 2061720 */   GIM_Try, /*On fail goto*//*Label 27424*/ GIMT_Encode4(2061811), // Rule ID 15438 //
     /* 2061725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061771 */     // MIs[0] round
     /* 2061771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061774 */     // MIs[0] policy
     /* 2061774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061784 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2061787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061810 */     // GIR_Coverage, 15438,
     /* 2061810 */     GIR_EraseRootFromParent_Done,
     /* 2061811 */   // Label 27424: @2061811
     /* 2061811 */   GIM_Try, /*On fail goto*//*Label 27425*/ GIMT_Encode4(2061902), // Rule ID 15439 //
     /* 2061816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2061819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2061827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2061830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2061833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2061836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2061839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2061842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2061846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2061854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061862 */     // MIs[0] round
     /* 2061862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061865 */     // MIs[0] policy
     /* 2061865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061875 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2061875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2061878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061880 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061901 */     // GIR_Coverage, 15439,
     /* 2061901 */     GIR_EraseRootFromParent_Done,
     /* 2061902 */   // Label 27425: @2061902
     /* 2061902 */   GIM_Try, /*On fail goto*//*Label 27426*/ GIMT_Encode4(2061993), // Rule ID 15442 //
     /* 2061907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2061910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2061915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2061918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2061921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2061924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2061927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2061930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2061933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2061937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2061945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2061949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2061953 */     // MIs[0] round
     /* 2061953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2061956 */     // MIs[0] policy
     /* 2061956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2061959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2061966 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2061966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2061969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2061971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2061973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2061975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2061977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2061979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2061981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2061986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2061989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2061991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2061992 */     // GIR_Coverage, 15442,
     /* 2061992 */     GIR_EraseRootFromParent_Done,
     /* 2061993 */   // Label 27426: @2061993
     /* 2061993 */   GIM_Try, /*On fail goto*//*Label 27427*/ GIMT_Encode4(2062084), // Rule ID 15443 //
     /* 2061998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2062006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2062009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2062012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2062015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2062021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062044 */     // MIs[0] round
     /* 2062044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062047 */     // MIs[0] policy
     /* 2062047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062057 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2062060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062062 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2062080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062083 */     // GIR_Coverage, 15443,
     /* 2062083 */     GIR_EraseRootFromParent_Done,
     /* 2062084 */   // Label 27427: @2062084
     /* 2062084 */   GIM_Try, /*On fail goto*//*Label 27428*/ GIMT_Encode4(2062175), // Rule ID 15446 //
     /* 2062089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2062092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2062097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062135 */     // MIs[0] round
     /* 2062135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062138 */     // MIs[0] policy
     /* 2062138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062148 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2062151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062153 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062174 */     // GIR_Coverage, 15446,
     /* 2062174 */     GIR_EraseRootFromParent_Done,
     /* 2062175 */   // Label 27428: @2062175
     /* 2062175 */   GIM_Try, /*On fail goto*//*Label 27429*/ GIMT_Encode4(2062266), // Rule ID 15447 //
     /* 2062180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2062183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2062188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2062191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2062194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2062197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2062210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2062218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062226 */     // MIs[0] round
     /* 2062226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062229 */     // MIs[0] policy
     /* 2062229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062239 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11161:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M2_MASK),
     /* 2062242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062244 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062265 */     // GIR_Coverage, 15447,
     /* 2062265 */     GIR_EraseRootFromParent_Done,
     /* 2062266 */   // Label 27429: @2062266
     /* 2062266 */   GIM_Try, /*On fail goto*//*Label 27430*/ GIMT_Encode4(2062357), // Rule ID 15450 //
     /* 2062271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2062274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2062279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062317 */     // MIs[0] round
     /* 2062317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062320 */     // MIs[0] policy
     /* 2062320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062330 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2062333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062356 */     // GIR_Coverage, 15450,
     /* 2062356 */     GIR_EraseRootFromParent_Done,
     /* 2062357 */   // Label 27430: @2062357
     /* 2062357 */   GIM_Try, /*On fail goto*//*Label 27431*/ GIMT_Encode4(2062448), // Rule ID 15451 //
     /* 2062362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2062365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2062370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2062373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2062376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2062379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2062385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2062392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2062400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062408 */     // MIs[0] round
     /* 2062408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062411 */     // MIs[0] policy
     /* 2062411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062421 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11161:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M4_MASK),
     /* 2062424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062426 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062447 */     // GIR_Coverage, 15451,
     /* 2062447 */     GIR_EraseRootFromParent_Done,
     /* 2062448 */   // Label 27431: @2062448
     /* 2062448 */   GIM_Try, /*On fail goto*//*Label 27432*/ GIMT_Encode4(2062539), // Rule ID 15454 //
     /* 2062453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2062456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2062461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2062473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062499 */     // MIs[0] round
     /* 2062499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062502 */     // MIs[0] policy
     /* 2062502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062512 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2062515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062517 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062538 */     // GIR_Coverage, 15454,
     /* 2062538 */     GIR_EraseRootFromParent_Done,
     /* 2062539 */   // Label 27432: @2062539
     /* 2062539 */   GIM_Try, /*On fail goto*//*Label 27433*/ GIMT_Encode4(2062630), // Rule ID 15455 //
     /* 2062544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2062547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vasub_mask),
     /* 2062552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2062555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2062558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2062561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2062564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2062567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2062574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2062582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2062586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062590 */     // MIs[0] round
     /* 2062590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062593 */     // MIs[0] policy
     /* 2062593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062603 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11161:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVASUB_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVASUB_VX_M8_MASK),
     /* 2062606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062608 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2062626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062629 */     // GIR_Coverage, 15455,
     /* 2062629 */     GIR_EraseRootFromParent_Done,
     /* 2062630 */   // Label 27433: @2062630
     /* 2062630 */   GIM_Try, /*On fail goto*//*Label 27434*/ GIMT_Encode4(2062721), // Rule ID 15458 //
     /* 2062635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2062646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2062649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2062652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2062655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062681 */     // MIs[0] round
     /* 2062681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062684 */     // MIs[0] policy
     /* 2062684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062694 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2062697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062699 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062720 */     // GIR_Coverage, 15458,
     /* 2062720 */     GIR_EraseRootFromParent_Done,
     /* 2062721 */   // Label 27434: @2062721
     /* 2062721 */   GIM_Try, /*On fail goto*//*Label 27435*/ GIMT_Encode4(2062812), // Rule ID 15459 //
     /* 2062726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2062737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2062740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2062743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2062746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2062749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062772 */     // MIs[0] round
     /* 2062772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062775 */     // MIs[0] policy
     /* 2062775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062785 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF8_MASK),
     /* 2062788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062790 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062811 */     // GIR_Coverage, 15459,
     /* 2062811 */     GIR_EraseRootFromParent_Done,
     /* 2062812 */   // Label 27435: @2062812
     /* 2062812 */   GIM_Try, /*On fail goto*//*Label 27436*/ GIMT_Encode4(2062903), // Rule ID 15462 //
     /* 2062817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2062820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2062828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2062831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2062834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2062837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2062843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062863 */     // MIs[0] round
     /* 2062863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062866 */     // MIs[0] policy
     /* 2062866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062876 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2062876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2062879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062881 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062902 */     // GIR_Coverage, 15462,
     /* 2062902 */     GIR_EraseRootFromParent_Done,
     /* 2062903 */   // Label 27436: @2062903
     /* 2062903 */   GIM_Try, /*On fail goto*//*Label 27437*/ GIMT_Encode4(2062994), // Rule ID 15463 //
     /* 2062908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2062911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2062916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2062919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2062922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2062925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2062928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2062931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2062934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2062938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2062950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2062954 */     // MIs[0] round
     /* 2062954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2062957 */     // MIs[0] policy
     /* 2062957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2062960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2062967 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2062967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2062970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2062972 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2062974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2062976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2062978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2062980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2062982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2062987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2062990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2062992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2062993 */     // GIR_Coverage, 15463,
     /* 2062993 */     GIR_EraseRootFromParent_Done,
     /* 2062994 */   // Label 27437: @2062994
     /* 2062994 */   GIM_Try, /*On fail goto*//*Label 27438*/ GIMT_Encode4(2063085), // Rule ID 15466 //
     /* 2062999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063045 */     // MIs[0] round
     /* 2063045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063048 */     // MIs[0] policy
     /* 2063048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063058 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2063061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063084 */     // GIR_Coverage, 15466,
     /* 2063084 */     GIR_EraseRootFromParent_Done,
     /* 2063085 */   // Label 27438: @2063085
     /* 2063085 */   GIM_Try, /*On fail goto*//*Label 27439*/ GIMT_Encode4(2063176), // Rule ID 15467 //
     /* 2063090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2063101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2063104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2063107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2063110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063136 */     // MIs[0] round
     /* 2063136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063139 */     // MIs[0] policy
     /* 2063139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063149 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2063152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063154 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063175 */     // GIR_Coverage, 15467,
     /* 2063175 */     GIR_EraseRootFromParent_Done,
     /* 2063176 */   // Label 27439: @2063176
     /* 2063176 */   GIM_Try, /*On fail goto*//*Label 27440*/ GIMT_Encode4(2063267), // Rule ID 15470 //
     /* 2063181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063227 */     // MIs[0] round
     /* 2063227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063230 */     // MIs[0] policy
     /* 2063230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063240 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2063243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063266 */     // GIR_Coverage, 15470,
     /* 2063266 */     GIR_EraseRootFromParent_Done,
     /* 2063267 */   // Label 27440: @2063267
     /* 2063267 */   GIM_Try, /*On fail goto*//*Label 27441*/ GIMT_Encode4(2063358), // Rule ID 15471 //
     /* 2063272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2063283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2063286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2063289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2063292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063318 */     // MIs[0] round
     /* 2063318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063321 */     // MIs[0] policy
     /* 2063321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063331 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF4_MASK),
     /* 2063334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063336 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063357 */     // GIR_Coverage, 15471,
     /* 2063357 */     GIR_EraseRootFromParent_Done,
     /* 2063358 */   // Label 27441: @2063358
     /* 2063358 */   GIM_Try, /*On fail goto*//*Label 27442*/ GIMT_Encode4(2063449), // Rule ID 15474 //
     /* 2063363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2063383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063409 */     // MIs[0] round
     /* 2063409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063412 */     // MIs[0] policy
     /* 2063412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063422 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2063425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063427 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063448 */     // GIR_Coverage, 15474,
     /* 2063448 */     GIR_EraseRootFromParent_Done,
     /* 2063449 */   // Label 27442: @2063449
     /* 2063449 */   GIM_Try, /*On fail goto*//*Label 27443*/ GIMT_Encode4(2063540), // Rule ID 15475 //
     /* 2063454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2063465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2063468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2063471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2063474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2063477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063500 */     // MIs[0] round
     /* 2063500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063503 */     // MIs[0] policy
     /* 2063503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063513 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2063516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063518 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063539 */     // GIR_Coverage, 15475,
     /* 2063539 */     GIR_EraseRootFromParent_Done,
     /* 2063540 */   // Label 27443: @2063540
     /* 2063540 */   GIM_Try, /*On fail goto*//*Label 27444*/ GIMT_Encode4(2063631), // Rule ID 15478 //
     /* 2063545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2063565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063591 */     // MIs[0] round
     /* 2063591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063594 */     // MIs[0] policy
     /* 2063594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063604 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2063607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063630 */     // GIR_Coverage, 15478,
     /* 2063630 */     GIR_EraseRootFromParent_Done,
     /* 2063631 */   // Label 27444: @2063631
     /* 2063631 */   GIM_Try, /*On fail goto*//*Label 27445*/ GIMT_Encode4(2063722), // Rule ID 15479 //
     /* 2063636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2063647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2063650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2063653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2063656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2063659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063682 */     // MIs[0] round
     /* 2063682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063685 */     // MIs[0] policy
     /* 2063685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063695 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_MF2_MASK),
     /* 2063698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063700 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2063718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063721 */     // GIR_Coverage, 15479,
     /* 2063721 */     GIR_EraseRootFromParent_Done,
     /* 2063722 */   // Label 27445: @2063722
     /* 2063722 */   GIM_Try, /*On fail goto*//*Label 27446*/ GIMT_Encode4(2063813), // Rule ID 15482 //
     /* 2063727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2063738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2063741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2063744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2063747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063773 */     // MIs[0] round
     /* 2063773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063776 */     // MIs[0] policy
     /* 2063776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063786 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2063789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063812 */     // GIR_Coverage, 15482,
     /* 2063812 */     GIR_EraseRootFromParent_Done,
     /* 2063813 */   // Label 27446: @2063813
     /* 2063813 */   GIM_Try, /*On fail goto*//*Label 27447*/ GIMT_Encode4(2063904), // Rule ID 15483 //
     /* 2063818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2063821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2063829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2063832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2063835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2063838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2063841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2063844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063864 */     // MIs[0] round
     /* 2063864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063867 */     // MIs[0] policy
     /* 2063867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063877 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2063877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2063880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063882 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2063900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063903 */     // GIR_Coverage, 15483,
     /* 2063903 */     GIR_EraseRootFromParent_Done,
     /* 2063904 */   // Label 27447: @2063904
     /* 2063904 */   GIM_Try, /*On fail goto*//*Label 27448*/ GIMT_Encode4(2063995), // Rule ID 15486 //
     /* 2063909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2063912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2063917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2063920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2063923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2063926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2063929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2063932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2063935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2063939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2063951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2063955 */     // MIs[0] round
     /* 2063955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2063958 */     // MIs[0] policy
     /* 2063958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2063961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2063968 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2063968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2063971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2063973 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2063975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2063977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2063979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2063981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2063983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2063988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2063991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2063993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2063994 */     // GIR_Coverage, 15486,
     /* 2063994 */     GIR_EraseRootFromParent_Done,
     /* 2063995 */   // Label 27448: @2063995
     /* 2063995 */   GIM_Try, /*On fail goto*//*Label 27449*/ GIMT_Encode4(2064086), // Rule ID 15487 //
     /* 2064000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2064011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2064014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2064017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2064020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2064023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064046 */     // MIs[0] round
     /* 2064046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064049 */     // MIs[0] policy
     /* 2064049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064059 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2064062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064064 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2064082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064085 */     // GIR_Coverage, 15487,
     /* 2064085 */     GIR_EraseRootFromParent_Done,
     /* 2064086 */   // Label 27449: @2064086
     /* 2064086 */   GIM_Try, /*On fail goto*//*Label 27450*/ GIMT_Encode4(2064177), // Rule ID 15490 //
     /* 2064091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064137 */     // MIs[0] round
     /* 2064137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064140 */     // MIs[0] policy
     /* 2064140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064150 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2064153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064155 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064176 */     // GIR_Coverage, 15490,
     /* 2064176 */     GIR_EraseRootFromParent_Done,
     /* 2064177 */   // Label 27450: @2064177
     /* 2064177 */   GIM_Try, /*On fail goto*//*Label 27451*/ GIMT_Encode4(2064268), // Rule ID 15491 //
     /* 2064182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2064193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2064196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2064199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2064202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2064205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064228 */     // MIs[0] round
     /* 2064228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064231 */     // MIs[0] policy
     /* 2064231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064241 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2064244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064246 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2064264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064267 */     // GIR_Coverage, 15491,
     /* 2064267 */     GIR_EraseRootFromParent_Done,
     /* 2064268 */   // Label 27451: @2064268
     /* 2064268 */   GIM_Try, /*On fail goto*//*Label 27452*/ GIMT_Encode4(2064359), // Rule ID 15494 //
     /* 2064273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2064276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2064293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064319 */     // MIs[0] round
     /* 2064319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064322 */     // MIs[0] policy
     /* 2064322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064332 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2064335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064337 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064358 */     // GIR_Coverage, 15494,
     /* 2064358 */     GIR_EraseRootFromParent_Done,
     /* 2064359 */   // Label 27452: @2064359
     /* 2064359 */   GIM_Try, /*On fail goto*//*Label 27453*/ GIMT_Encode4(2064450), // Rule ID 15495 //
     /* 2064364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2064367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2064375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2064378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2064381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2064384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2064387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2064394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2064406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064410 */     // MIs[0] round
     /* 2064410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064413 */     // MIs[0] policy
     /* 2064413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064423 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M1_MASK),
     /* 2064426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064428 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2064446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064449 */     // GIR_Coverage, 15495,
     /* 2064449 */     GIR_EraseRootFromParent_Done,
     /* 2064450 */   // Label 27453: @2064450
     /* 2064450 */   GIM_Try, /*On fail goto*//*Label 27454*/ GIMT_Encode4(2064541), // Rule ID 15498 //
     /* 2064455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2064475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064501 */     // MIs[0] round
     /* 2064501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064504 */     // MIs[0] policy
     /* 2064504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064514 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2064517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064519 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064540 */     // GIR_Coverage, 15498,
     /* 2064540 */     GIR_EraseRootFromParent_Done,
     /* 2064541 */   // Label 27454: @2064541
     /* 2064541 */   GIM_Try, /*On fail goto*//*Label 27455*/ GIMT_Encode4(2064632), // Rule ID 15499 //
     /* 2064546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2064557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2064560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2064563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2064566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2064569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2064576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2064588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064592 */     // MIs[0] round
     /* 2064592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064595 */     // MIs[0] policy
     /* 2064595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064605 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2064608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064610 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064631 */     // GIR_Coverage, 15499,
     /* 2064631 */     GIR_EraseRootFromParent_Done,
     /* 2064632 */   // Label 27455: @2064632
     /* 2064632 */   GIM_Try, /*On fail goto*//*Label 27456*/ GIMT_Encode4(2064723), // Rule ID 15502 //
     /* 2064637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2064648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2064651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2064657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064683 */     // MIs[0] round
     /* 2064683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064686 */     // MIs[0] policy
     /* 2064686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064696 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2064699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064701 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064722 */     // GIR_Coverage, 15502,
     /* 2064722 */     GIR_EraseRootFromParent_Done,
     /* 2064723 */   // Label 27456: @2064723
     /* 2064723 */   GIM_Try, /*On fail goto*//*Label 27457*/ GIMT_Encode4(2064814), // Rule ID 15503 //
     /* 2064728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2064739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2064742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2064745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2064748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2064751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2064758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2064770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064774 */     // MIs[0] round
     /* 2064774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064777 */     // MIs[0] policy
     /* 2064777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064787 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2064790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064792 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064813 */     // GIR_Coverage, 15503,
     /* 2064813 */     GIR_EraseRootFromParent_Done,
     /* 2064814 */   // Label 27457: @2064814
     /* 2064814 */   GIM_Try, /*On fail goto*//*Label 27458*/ GIMT_Encode4(2064905), // Rule ID 15506 //
     /* 2064819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2064822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2064830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2064833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2064839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2064845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064865 */     // MIs[0] round
     /* 2064865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064868 */     // MIs[0] policy
     /* 2064868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064878 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2064878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2064881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064904 */     // GIR_Coverage, 15506,
     /* 2064904 */     GIR_EraseRootFromParent_Done,
     /* 2064905 */   // Label 27458: @2064905
     /* 2064905 */   GIM_Try, /*On fail goto*//*Label 27459*/ GIMT_Encode4(2064996), // Rule ID 15507 //
     /* 2064910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2064913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2064918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2064921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2064924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2064927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2064930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2064933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2064936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2064940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2064952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2064956 */     // MIs[0] round
     /* 2064956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2064959 */     // MIs[0] policy
     /* 2064959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2064962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2064969 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2064969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2064972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2064974 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2064976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2064978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2064980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2064982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2064984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2064989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2064992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2064994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2064995 */     // GIR_Coverage, 15507,
     /* 2064995 */     GIR_EraseRootFromParent_Done,
     /* 2064996 */   // Label 27459: @2064996
     /* 2064996 */   GIM_Try, /*On fail goto*//*Label 27460*/ GIMT_Encode4(2065087), // Rule ID 15510 //
     /* 2065001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065047 */     // MIs[0] round
     /* 2065047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065050 */     // MIs[0] policy
     /* 2065050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065060 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2065063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065086 */     // GIR_Coverage, 15510,
     /* 2065086 */     GIR_EraseRootFromParent_Done,
     /* 2065087 */   // Label 27460: @2065087
     /* 2065087 */   GIM_Try, /*On fail goto*//*Label 27461*/ GIMT_Encode4(2065178), // Rule ID 15511 //
     /* 2065092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2065103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2065106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2065109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2065112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065138 */     // MIs[0] round
     /* 2065138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065141 */     // MIs[0] policy
     /* 2065141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065151 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2065154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065156 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065177 */     // GIR_Coverage, 15511,
     /* 2065177 */     GIR_EraseRootFromParent_Done,
     /* 2065178 */   // Label 27461: @2065178
     /* 2065178 */   GIM_Try, /*On fail goto*//*Label 27462*/ GIMT_Encode4(2065269), // Rule ID 15514 //
     /* 2065183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2065203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065229 */     // MIs[0] round
     /* 2065229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065232 */     // MIs[0] policy
     /* 2065232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065242 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2065245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065247 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065268 */     // GIR_Coverage, 15514,
     /* 2065268 */     GIR_EraseRootFromParent_Done,
     /* 2065269 */   // Label 27462: @2065269
     /* 2065269 */   GIM_Try, /*On fail goto*//*Label 27463*/ GIMT_Encode4(2065360), // Rule ID 15515 //
     /* 2065274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2065285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2065288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2065291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2065294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065320 */     // MIs[0] round
     /* 2065320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065323 */     // MIs[0] policy
     /* 2065323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065333 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2065336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065338 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065359 */     // GIR_Coverage, 15515,
     /* 2065359 */     GIR_EraseRootFromParent_Done,
     /* 2065360 */   // Label 27463: @2065360
     /* 2065360 */   GIM_Try, /*On fail goto*//*Label 27464*/ GIMT_Encode4(2065451), // Rule ID 15518 //
     /* 2065365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2065385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065411 */     // MIs[0] round
     /* 2065411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065414 */     // MIs[0] policy
     /* 2065414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065424 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2065427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065450 */     // GIR_Coverage, 15518,
     /* 2065450 */     GIR_EraseRootFromParent_Done,
     /* 2065451 */   // Label 27464: @2065451
     /* 2065451 */   GIM_Try, /*On fail goto*//*Label 27465*/ GIMT_Encode4(2065542), // Rule ID 15519 //
     /* 2065456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2065467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2065470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2065473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2065476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2065479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065502 */     // MIs[0] round
     /* 2065502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065505 */     // MIs[0] policy
     /* 2065505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065515 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2065518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065520 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2065538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065541 */     // GIR_Coverage, 15519,
     /* 2065541 */     GIR_EraseRootFromParent_Done,
     /* 2065542 */   // Label 27465: @2065542
     /* 2065542 */   GIM_Try, /*On fail goto*//*Label 27466*/ GIMT_Encode4(2065633), // Rule ID 15522 //
     /* 2065547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2065567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065593 */     // MIs[0] round
     /* 2065593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065596 */     // MIs[0] policy
     /* 2065596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065606 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2065609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065611 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065632 */     // GIR_Coverage, 15522,
     /* 2065632 */     GIR_EraseRootFromParent_Done,
     /* 2065633 */   // Label 27466: @2065633
     /* 2065633 */   GIM_Try, /*On fail goto*//*Label 27467*/ GIMT_Encode4(2065724), // Rule ID 15523 //
     /* 2065638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2065649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2065652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2065655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2065658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2065661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2065668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2065680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065684 */     // MIs[0] round
     /* 2065684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065687 */     // MIs[0] policy
     /* 2065687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065697 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2065700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065702 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065723 */     // GIR_Coverage, 15523,
     /* 2065723 */     GIR_EraseRootFromParent_Done,
     /* 2065724 */   // Label 27467: @2065724
     /* 2065724 */   GIM_Try, /*On fail goto*//*Label 27468*/ GIMT_Encode4(2065815), // Rule ID 15526 //
     /* 2065729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2065746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2065749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065775 */     // MIs[0] round
     /* 2065775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065778 */     // MIs[0] policy
     /* 2065778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065788 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2065791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065793 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065814 */     // GIR_Coverage, 15526,
     /* 2065814 */     GIR_EraseRootFromParent_Done,
     /* 2065815 */   // Label 27468: @2065815
     /* 2065815 */   GIM_Try, /*On fail goto*//*Label 27469*/ GIMT_Encode4(2065906), // Rule ID 15527 //
     /* 2065820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2065823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2065831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2065834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2065837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2065840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2065843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2065846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2065850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2065862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065866 */     // MIs[0] round
     /* 2065866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065869 */     // MIs[0] policy
     /* 2065869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065879 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2065879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2065882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065884 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065905 */     // GIR_Coverage, 15527,
     /* 2065905 */     GIR_EraseRootFromParent_Done,
     /* 2065906 */   // Label 27469: @2065906
     /* 2065906 */   GIM_Try, /*On fail goto*//*Label 27470*/ GIMT_Encode4(2065997), // Rule ID 15530 //
     /* 2065911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2065914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2065919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2065922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2065925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2065928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2065931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2065934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2065937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2065941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2065953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2065957 */     // MIs[0] round
     /* 2065957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2065960 */     // MIs[0] policy
     /* 2065960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2065963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2065970 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2065970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2065973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2065975 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2065977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2065979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2065981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2065983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2065985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2065990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2065993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2065995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2065996 */     // GIR_Coverage, 15530,
     /* 2065996 */     GIR_EraseRootFromParent_Done,
     /* 2065997 */   // Label 27470: @2065997
     /* 2065997 */   GIM_Try, /*On fail goto*//*Label 27471*/ GIMT_Encode4(2066088), // Rule ID 15531 //
     /* 2066002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2066013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2066016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2066019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2066022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2066025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066048 */     // MIs[0] round
     /* 2066048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066051 */     // MIs[0] policy
     /* 2066051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066061 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2066064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066066 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2066084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066087 */     // GIR_Coverage, 15531,
     /* 2066087 */     GIR_EraseRootFromParent_Done,
     /* 2066088 */   // Label 27471: @2066088
     /* 2066088 */   GIM_Try, /*On fail goto*//*Label 27472*/ GIMT_Encode4(2066179), // Rule ID 15534 //
     /* 2066093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066139 */     // MIs[0] round
     /* 2066139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066142 */     // MIs[0] policy
     /* 2066142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066152 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2066155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066178 */     // GIR_Coverage, 15534,
     /* 2066178 */     GIR_EraseRootFromParent_Done,
     /* 2066179 */   // Label 27472: @2066179
     /* 2066179 */   GIM_Try, /*On fail goto*//*Label 27473*/ GIMT_Encode4(2066270), // Rule ID 15535 //
     /* 2066184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2066195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2066198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2066201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2066204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2066214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2066226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066230 */     // MIs[0] round
     /* 2066230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066233 */     // MIs[0] policy
     /* 2066233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066243 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M2_MASK),
     /* 2066246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066248 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066269 */     // GIR_Coverage, 15535,
     /* 2066269 */     GIR_EraseRootFromParent_Done,
     /* 2066270 */   // Label 27473: @2066270
     /* 2066270 */   GIM_Try, /*On fail goto*//*Label 27474*/ GIMT_Encode4(2066361), // Rule ID 15538 //
     /* 2066275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2066295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066321 */     // MIs[0] round
     /* 2066321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066324 */     // MIs[0] policy
     /* 2066324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066334 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2066337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066360 */     // GIR_Coverage, 15538,
     /* 2066360 */     GIR_EraseRootFromParent_Done,
     /* 2066361 */   // Label 27474: @2066361
     /* 2066361 */   GIM_Try, /*On fail goto*//*Label 27475*/ GIMT_Encode4(2066452), // Rule ID 15539 //
     /* 2066366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2066377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2066380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2066383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2066386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2066389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2066396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2066408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066412 */     // MIs[0] round
     /* 2066412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066415 */     // MIs[0] policy
     /* 2066415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066425 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M4_MASK),
     /* 2066428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066430 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066451 */     // GIR_Coverage, 15539,
     /* 2066451 */     GIR_EraseRootFromParent_Done,
     /* 2066452 */   // Label 27475: @2066452
     /* 2066452 */   GIM_Try, /*On fail goto*//*Label 27476*/ GIMT_Encode4(2066543), // Rule ID 15542 //
     /* 2066457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2066460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2066477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066503 */     // MIs[0] round
     /* 2066503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066506 */     // MIs[0] policy
     /* 2066506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066516 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2066519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066521 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066542 */     // GIR_Coverage, 15542,
     /* 2066542 */     GIR_EraseRootFromParent_Done,
     /* 2066543 */   // Label 27476: @2066543
     /* 2066543 */   GIM_Try, /*On fail goto*//*Label 27477*/ GIMT_Encode4(2066634), // Rule ID 15543 //
     /* 2066548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2066551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2066559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2066562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2066565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2066568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2066571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2066578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2066590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066594 */     // MIs[0] round
     /* 2066594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066597 */     // MIs[0] policy
     /* 2066597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066607 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VV_M8_MASK),
     /* 2066610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066612 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2066630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066633 */     // GIR_Coverage, 15543,
     /* 2066633 */     GIR_EraseRootFromParent_Done,
     /* 2066634 */   // Label 27477: @2066634
     /* 2066634 */   GIM_Try, /*On fail goto*//*Label 27478*/ GIMT_Encode4(2066725), // Rule ID 15546 //
     /* 2066639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2066650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2066653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2066656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066685 */     // MIs[0] round
     /* 2066685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066688 */     // MIs[0] policy
     /* 2066688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066698 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2066701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066724 */     // GIR_Coverage, 15546,
     /* 2066724 */     GIR_EraseRootFromParent_Done,
     /* 2066725 */   // Label 27478: @2066725
     /* 2066725 */   GIM_Try, /*On fail goto*//*Label 27479*/ GIMT_Encode4(2066816), // Rule ID 15547 //
     /* 2066730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2066741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2066744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2066747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2066753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066776 */     // MIs[0] round
     /* 2066776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066779 */     // MIs[0] policy
     /* 2066779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066789 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF8_MASK),
     /* 2066792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066794 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066815 */     // GIR_Coverage, 15547,
     /* 2066815 */     GIR_EraseRootFromParent_Done,
     /* 2066816 */   // Label 27479: @2066816
     /* 2066816 */   GIM_Try, /*On fail goto*//*Label 27480*/ GIMT_Encode4(2066907), // Rule ID 15550 //
     /* 2066821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2066824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2066832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2066835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2066838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2066841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2066847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066867 */     // MIs[0] round
     /* 2066867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066870 */     // MIs[0] policy
     /* 2066870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066880 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2066880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2066883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066906 */     // GIR_Coverage, 15550,
     /* 2066906 */     GIR_EraseRootFromParent_Done,
     /* 2066907 */   // Label 27480: @2066907
     /* 2066907 */   GIM_Try, /*On fail goto*//*Label 27481*/ GIMT_Encode4(2066998), // Rule ID 15551 //
     /* 2066912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2066915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2066920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2066923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2066926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2066929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2066932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2066935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2066938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2066942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2066950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2066954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2066958 */     // MIs[0] round
     /* 2066958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2066961 */     // MIs[0] policy
     /* 2066961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2066964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2066971 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2066971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2066974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2066976 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2066978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2066980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2066982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2066984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2066986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2066991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2066994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2066996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2066997 */     // GIR_Coverage, 15551,
     /* 2066997 */     GIR_EraseRootFromParent_Done,
     /* 2066998 */   // Label 27481: @2066998
     /* 2066998 */   GIM_Try, /*On fail goto*//*Label 27482*/ GIMT_Encode4(2067089), // Rule ID 15554 //
     /* 2067003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067049 */     // MIs[0] round
     /* 2067049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067052 */     // MIs[0] policy
     /* 2067052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067062 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2067065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067067 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067088 */     // GIR_Coverage, 15554,
     /* 2067088 */     GIR_EraseRootFromParent_Done,
     /* 2067089 */   // Label 27482: @2067089
     /* 2067089 */   GIM_Try, /*On fail goto*//*Label 27483*/ GIMT_Encode4(2067180), // Rule ID 15555 //
     /* 2067094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2067105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2067108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2067111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067140 */     // MIs[0] round
     /* 2067140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067143 */     // MIs[0] policy
     /* 2067143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067153 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2067156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067158 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067179 */     // GIR_Coverage, 15555,
     /* 2067179 */     GIR_EraseRootFromParent_Done,
     /* 2067180 */   // Label 27483: @2067180
     /* 2067180 */   GIM_Try, /*On fail goto*//*Label 27484*/ GIMT_Encode4(2067271), // Rule ID 15558 //
     /* 2067185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067231 */     // MIs[0] round
     /* 2067231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067234 */     // MIs[0] policy
     /* 2067234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067244 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2067247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067249 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067270 */     // GIR_Coverage, 15558,
     /* 2067270 */     GIR_EraseRootFromParent_Done,
     /* 2067271 */   // Label 27484: @2067271
     /* 2067271 */   GIM_Try, /*On fail goto*//*Label 27485*/ GIMT_Encode4(2067362), // Rule ID 15559 //
     /* 2067276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2067287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2067290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2067293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067322 */     // MIs[0] round
     /* 2067322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067325 */     // MIs[0] policy
     /* 2067325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067335 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF4_MASK),
     /* 2067338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067340 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067361 */     // GIR_Coverage, 15559,
     /* 2067361 */     GIR_EraseRootFromParent_Done,
     /* 2067362 */   // Label 27485: @2067362
     /* 2067362 */   GIM_Try, /*On fail goto*//*Label 27486*/ GIMT_Encode4(2067453), // Rule ID 15562 //
     /* 2067367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2067378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2067381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2067384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067413 */     // MIs[0] round
     /* 2067413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067416 */     // MIs[0] policy
     /* 2067416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067426 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2067429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067431 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067452 */     // GIR_Coverage, 15562,
     /* 2067452 */     GIR_EraseRootFromParent_Done,
     /* 2067453 */   // Label 27486: @2067453
     /* 2067453 */   GIM_Try, /*On fail goto*//*Label 27487*/ GIMT_Encode4(2067544), // Rule ID 15563 //
     /* 2067458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2067469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2067472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2067475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2067481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067504 */     // MIs[0] round
     /* 2067504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067507 */     // MIs[0] policy
     /* 2067507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067517 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2067520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067522 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067543 */     // GIR_Coverage, 15563,
     /* 2067543 */     GIR_EraseRootFromParent_Done,
     /* 2067544 */   // Label 27487: @2067544
     /* 2067544 */   GIM_Try, /*On fail goto*//*Label 27488*/ GIMT_Encode4(2067635), // Rule ID 15566 //
     /* 2067549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2067566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067595 */     // MIs[0] round
     /* 2067595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067598 */     // MIs[0] policy
     /* 2067598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067608 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2067611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067613 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067634 */     // GIR_Coverage, 15566,
     /* 2067634 */     GIR_EraseRootFromParent_Done,
     /* 2067635 */   // Label 27488: @2067635
     /* 2067635 */   GIM_Try, /*On fail goto*//*Label 27489*/ GIMT_Encode4(2067726), // Rule ID 15567 //
     /* 2067640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2067651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2067654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2067657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2067663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067686 */     // MIs[0] round
     /* 2067686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067689 */     // MIs[0] policy
     /* 2067689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067699 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_MF2_MASK),
     /* 2067702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067704 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2067722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067725 */     // GIR_Coverage, 15567,
     /* 2067725 */     GIR_EraseRootFromParent_Done,
     /* 2067726 */   // Label 27489: @2067726
     /* 2067726 */   GIM_Try, /*On fail goto*//*Label 27490*/ GIMT_Encode4(2067817), // Rule ID 15570 //
     /* 2067731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2067742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2067745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2067748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067777 */     // MIs[0] round
     /* 2067777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067780 */     // MIs[0] policy
     /* 2067780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067790 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2067793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067795 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067816 */     // GIR_Coverage, 15570,
     /* 2067816 */     GIR_EraseRootFromParent_Done,
     /* 2067817 */   // Label 27490: @2067817
     /* 2067817 */   GIM_Try, /*On fail goto*//*Label 27491*/ GIMT_Encode4(2067908), // Rule ID 15571 //
     /* 2067822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2067825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2067833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2067836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2067839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2067842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2067845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2067848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067868 */     // MIs[0] round
     /* 2067868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067871 */     // MIs[0] policy
     /* 2067871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067881 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11139:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2067881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2067884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067886 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2067904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067907 */     // GIR_Coverage, 15571,
     /* 2067907 */     GIR_EraseRootFromParent_Done,
     /* 2067908 */   // Label 27491: @2067908
     /* 2067908 */   GIM_Try, /*On fail goto*//*Label 27492*/ GIMT_Encode4(2067999), // Rule ID 15574 //
     /* 2067913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2067916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2067921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2067924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2067927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2067930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2067933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2067936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2067939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2067943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2067951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2067955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2067959 */     // MIs[0] round
     /* 2067959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2067962 */     // MIs[0] policy
     /* 2067962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2067965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2067972 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2067972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2067975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2067977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2067979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2067981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2067983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2067985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2067987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2067992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2067995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2067997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2067998 */     // GIR_Coverage, 15574,
     /* 2067998 */     GIR_EraseRootFromParent_Done,
     /* 2067999 */   // Label 27492: @2067999
     /* 2067999 */   GIM_Try, /*On fail goto*//*Label 27493*/ GIMT_Encode4(2068090), // Rule ID 15575 //
     /* 2068004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2068015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2068018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2068021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2068027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068050 */     // MIs[0] round
     /* 2068050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068053 */     // MIs[0] policy
     /* 2068053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068063 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11139:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2068066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068068 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2068086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068089 */     // GIR_Coverage, 15575,
     /* 2068089 */     GIR_EraseRootFromParent_Done,
     /* 2068090 */   // Label 27493: @2068090
     /* 2068090 */   GIM_Try, /*On fail goto*//*Label 27494*/ GIMT_Encode4(2068181), // Rule ID 15578 //
     /* 2068095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068141 */     // MIs[0] round
     /* 2068141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068144 */     // MIs[0] policy
     /* 2068144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068154 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2068157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068180 */     // GIR_Coverage, 15578,
     /* 2068180 */     GIR_EraseRootFromParent_Done,
     /* 2068181 */   // Label 27494: @2068181
     /* 2068181 */   GIM_Try, /*On fail goto*//*Label 27495*/ GIMT_Encode4(2068272), // Rule ID 15579 //
     /* 2068186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2068197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2068200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2068203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2068209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068232 */     // MIs[0] round
     /* 2068232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068235 */     // MIs[0] policy
     /* 2068235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068245 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11139:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2068248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068250 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2068268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068271 */     // GIR_Coverage, 15579,
     /* 2068271 */     GIR_EraseRootFromParent_Done,
     /* 2068272 */   // Label 27495: @2068272
     /* 2068272 */   GIM_Try, /*On fail goto*//*Label 27496*/ GIMT_Encode4(2068363), // Rule ID 15582 //
     /* 2068277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2068280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068323 */     // MIs[0] round
     /* 2068323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068326 */     // MIs[0] policy
     /* 2068326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068336 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2068339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068341 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068362 */     // GIR_Coverage, 15582,
     /* 2068362 */     GIR_EraseRootFromParent_Done,
     /* 2068363 */   // Label 27496: @2068363
     /* 2068363 */   GIM_Try, /*On fail goto*//*Label 27497*/ GIMT_Encode4(2068454), // Rule ID 15583 //
     /* 2068368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2068371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2068379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2068382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2068385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2068391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2068398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2068406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068414 */     // MIs[0] round
     /* 2068414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068417 */     // MIs[0] policy
     /* 2068417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068427 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11139:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M1_MASK),
     /* 2068430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068432 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2068450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068453 */     // GIR_Coverage, 15583,
     /* 2068453 */     GIR_EraseRootFromParent_Done,
     /* 2068454 */   // Label 27497: @2068454
     /* 2068454 */   GIM_Try, /*On fail goto*//*Label 27498*/ GIMT_Encode4(2068545), // Rule ID 15586 //
     /* 2068459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2068470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2068473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068505 */     // MIs[0] round
     /* 2068505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068508 */     // MIs[0] policy
     /* 2068508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068518 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2068521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068544 */     // GIR_Coverage, 15586,
     /* 2068544 */     GIR_EraseRootFromParent_Done,
     /* 2068545 */   // Label 27498: @2068545
     /* 2068545 */   GIM_Try, /*On fail goto*//*Label 27499*/ GIMT_Encode4(2068636), // Rule ID 15587 //
     /* 2068550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2068561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2068564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2068567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2068573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2068580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2068588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068596 */     // MIs[0] round
     /* 2068596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068599 */     // MIs[0] policy
     /* 2068599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068609 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2068612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068614 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068635 */     // GIR_Coverage, 15587,
     /* 2068635 */     GIR_EraseRootFromParent_Done,
     /* 2068636 */   // Label 27499: @2068636
     /* 2068636 */   GIM_Try, /*On fail goto*//*Label 27500*/ GIMT_Encode4(2068727), // Rule ID 15590 //
     /* 2068641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2068652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2068655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2068658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068687 */     // MIs[0] round
     /* 2068687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068690 */     // MIs[0] policy
     /* 2068690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068700 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2068703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068705 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068726 */     // GIR_Coverage, 15590,
     /* 2068726 */     GIR_EraseRootFromParent_Done,
     /* 2068727 */   // Label 27500: @2068727
     /* 2068727 */   GIM_Try, /*On fail goto*//*Label 27501*/ GIMT_Encode4(2068818), // Rule ID 15591 //
     /* 2068732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2068743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2068746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2068749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2068755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2068762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2068770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068778 */     // MIs[0] round
     /* 2068778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068781 */     // MIs[0] policy
     /* 2068781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068791 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2068794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068796 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068817 */     // GIR_Coverage, 15591,
     /* 2068817 */     GIR_EraseRootFromParent_Done,
     /* 2068818 */   // Label 27501: @2068818
     /* 2068818 */   GIM_Try, /*On fail goto*//*Label 27502*/ GIMT_Encode4(2068909), // Rule ID 15594 //
     /* 2068823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2068826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2068834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2068837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2068840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2068843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2068846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2068849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068869 */     // MIs[0] round
     /* 2068869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068872 */     // MIs[0] policy
     /* 2068872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068882 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2068882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2068885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068887 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068908 */     // GIR_Coverage, 15594,
     /* 2068908 */     GIR_EraseRootFromParent_Done,
     /* 2068909 */   // Label 27502: @2068909
     /* 2068909 */   GIM_Try, /*On fail goto*//*Label 27503*/ GIMT_Encode4(2069000), // Rule ID 15595 //
     /* 2068914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2068917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2068922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2068925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2068928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2068931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2068934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2068937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2068940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2068944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2068952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2068956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2068960 */     // MIs[0] round
     /* 2068960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2068963 */     // MIs[0] policy
     /* 2068963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2068966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2068973 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2068973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2068976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2068978 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2068980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2068982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2068984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2068986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2068988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2068993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2068996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2068998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2068999 */     // GIR_Coverage, 15595,
     /* 2068999 */     GIR_EraseRootFromParent_Done,
     /* 2069000 */   // Label 27503: @2069000
     /* 2069000 */   GIM_Try, /*On fail goto*//*Label 27504*/ GIMT_Encode4(2069091), // Rule ID 15598 //
     /* 2069005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069051 */     // MIs[0] round
     /* 2069051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069054 */     // MIs[0] policy
     /* 2069054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069064 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2069067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069069 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069090 */     // GIR_Coverage, 15598,
     /* 2069090 */     GIR_EraseRootFromParent_Done,
     /* 2069091 */   // Label 27504: @2069091
     /* 2069091 */   GIM_Try, /*On fail goto*//*Label 27505*/ GIMT_Encode4(2069182), // Rule ID 15599 //
     /* 2069096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2069107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2069110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2069113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069142 */     // MIs[0] round
     /* 2069142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069145 */     // MIs[0] policy
     /* 2069145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069155 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2069158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069160 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069181 */     // GIR_Coverage, 15599,
     /* 2069181 */     GIR_EraseRootFromParent_Done,
     /* 2069182 */   // Label 27505: @2069182
     /* 2069182 */   GIM_Try, /*On fail goto*//*Label 27506*/ GIMT_Encode4(2069273), // Rule ID 15602 //
     /* 2069187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069233 */     // MIs[0] round
     /* 2069233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069236 */     // MIs[0] policy
     /* 2069236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069246 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2069249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069272 */     // GIR_Coverage, 15602,
     /* 2069272 */     GIR_EraseRootFromParent_Done,
     /* 2069273 */   // Label 27506: @2069273
     /* 2069273 */   GIM_Try, /*On fail goto*//*Label 27507*/ GIMT_Encode4(2069364), // Rule ID 15603 //
     /* 2069278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2069289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2069292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2069295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069324 */     // MIs[0] round
     /* 2069324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069327 */     // MIs[0] policy
     /* 2069327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069337 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2069340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069342 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069363 */     // GIR_Coverage, 15603,
     /* 2069363 */     GIR_EraseRootFromParent_Done,
     /* 2069364 */   // Label 27507: @2069364
     /* 2069364 */   GIM_Try, /*On fail goto*//*Label 27508*/ GIMT_Encode4(2069455), // Rule ID 15606 //
     /* 2069369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2069380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2069383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2069386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069415 */     // MIs[0] round
     /* 2069415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069418 */     // MIs[0] policy
     /* 2069418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2069431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069454 */     // GIR_Coverage, 15606,
     /* 2069454 */     GIR_EraseRootFromParent_Done,
     /* 2069455 */   // Label 27508: @2069455
     /* 2069455 */   GIM_Try, /*On fail goto*//*Label 27509*/ GIMT_Encode4(2069546), // Rule ID 15607 //
     /* 2069460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2069471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2069474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2069477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2069483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069506 */     // MIs[0] round
     /* 2069506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069509 */     // MIs[0] policy
     /* 2069509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069519 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2069522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069524 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2069542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069545 */     // GIR_Coverage, 15607,
     /* 2069545 */     GIR_EraseRootFromParent_Done,
     /* 2069546 */   // Label 27509: @2069546
     /* 2069546 */   GIM_Try, /*On fail goto*//*Label 27510*/ GIMT_Encode4(2069637), // Rule ID 15610 //
     /* 2069551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2069568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069597 */     // MIs[0] round
     /* 2069597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069600 */     // MIs[0] policy
     /* 2069600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069610 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2069613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069615 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069636 */     // GIR_Coverage, 15610,
     /* 2069636 */     GIR_EraseRootFromParent_Done,
     /* 2069637 */   // Label 27510: @2069637
     /* 2069637 */   GIM_Try, /*On fail goto*//*Label 27511*/ GIMT_Encode4(2069728), // Rule ID 15611 //
     /* 2069642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2069653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2069656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2069659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2069665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2069672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2069680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069688 */     // MIs[0] round
     /* 2069688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069691 */     // MIs[0] policy
     /* 2069691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069701 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2069704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069706 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069727 */     // GIR_Coverage, 15611,
     /* 2069727 */     GIR_EraseRootFromParent_Done,
     /* 2069728 */   // Label 27511: @2069728
     /* 2069728 */   GIM_Try, /*On fail goto*//*Label 27512*/ GIMT_Encode4(2069819), // Rule ID 15614 //
     /* 2069733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2069744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2069747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2069750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069779 */     // MIs[0] round
     /* 2069779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069782 */     // MIs[0] policy
     /* 2069782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069792 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2069795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069818 */     // GIR_Coverage, 15614,
     /* 2069818 */     GIR_EraseRootFromParent_Done,
     /* 2069819 */   // Label 27512: @2069819
     /* 2069819 */   GIM_Try, /*On fail goto*//*Label 27513*/ GIMT_Encode4(2069910), // Rule ID 15615 //
     /* 2069824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2069827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2069835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2069838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2069841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2069844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2069847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2069850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2069854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2069862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069870 */     // MIs[0] round
     /* 2069870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069873 */     // MIs[0] policy
     /* 2069873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069883 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2069883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2069886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069888 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2069909 */     // GIR_Coverage, 15615,
     /* 2069909 */     GIR_EraseRootFromParent_Done,
     /* 2069910 */   // Label 27513: @2069910
     /* 2069910 */   GIM_Try, /*On fail goto*//*Label 27514*/ GIMT_Encode4(2070001), // Rule ID 15618 //
     /* 2069915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2069918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2069923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2069926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2069929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2069932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2069935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2069938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2069941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2069945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2069953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2069957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2069961 */     // MIs[0] round
     /* 2069961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2069964 */     // MIs[0] policy
     /* 2069964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2069967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2069974 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2069974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2069977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2069979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2069981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2069983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2069985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2069987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2069989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2069994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2069997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2069999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070000 */     // GIR_Coverage, 15618,
     /* 2070000 */     GIR_EraseRootFromParent_Done,
     /* 2070001 */   // Label 27514: @2070001
     /* 2070001 */   GIM_Try, /*On fail goto*//*Label 27515*/ GIMT_Encode4(2070092), // Rule ID 15619 //
     /* 2070006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2070014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2070017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2070020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2070023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2070029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070052 */     // MIs[0] round
     /* 2070052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070055 */     // MIs[0] policy
     /* 2070055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070065 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2070068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2070088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070091 */     // GIR_Coverage, 15619,
     /* 2070091 */     GIR_EraseRootFromParent_Done,
     /* 2070092 */   // Label 27515: @2070092
     /* 2070092 */   GIM_Try, /*On fail goto*//*Label 27516*/ GIMT_Encode4(2070183), // Rule ID 15622 //
     /* 2070097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2070105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070143 */     // MIs[0] round
     /* 2070143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070146 */     // MIs[0] policy
     /* 2070146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070156 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2070159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070182 */     // GIR_Coverage, 15622,
     /* 2070182 */     GIR_EraseRootFromParent_Done,
     /* 2070183 */   // Label 27516: @2070183
     /* 2070183 */   GIM_Try, /*On fail goto*//*Label 27517*/ GIMT_Encode4(2070274), // Rule ID 15623 //
     /* 2070188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2070196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2070199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2070202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2070205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2070218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2070226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070234 */     // MIs[0] round
     /* 2070234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070237 */     // MIs[0] policy
     /* 2070237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070247 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11139:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M2_MASK),
     /* 2070250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070273 */     // GIR_Coverage, 15623,
     /* 2070273 */     GIR_EraseRootFromParent_Done,
     /* 2070274 */   // Label 27517: @2070274
     /* 2070274 */   GIM_Try, /*On fail goto*//*Label 27518*/ GIMT_Encode4(2070365), // Rule ID 15626 //
     /* 2070279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2070287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2070290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2070293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2070296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070325 */     // MIs[0] round
     /* 2070325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070328 */     // MIs[0] policy
     /* 2070328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070338 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2070341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070364 */     // GIR_Coverage, 15626,
     /* 2070364 */     GIR_EraseRootFromParent_Done,
     /* 2070365 */   // Label 27518: @2070365
     /* 2070365 */   GIM_Try, /*On fail goto*//*Label 27519*/ GIMT_Encode4(2070456), // Rule ID 15627 //
     /* 2070370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2070378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2070381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2070384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2070387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2070393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2070400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2070408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070416 */     // MIs[0] round
     /* 2070416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070419 */     // MIs[0] policy
     /* 2070419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070429 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11139:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M4_MASK),
     /* 2070432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070455 */     // GIR_Coverage, 15627,
     /* 2070455 */     GIR_EraseRootFromParent_Done,
     /* 2070456 */   // Label 27519: @2070456
     /* 2070456 */   GIM_Try, /*On fail goto*//*Label 27520*/ GIMT_Encode4(2070547), // Rule ID 15630 //
     /* 2070461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2070464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2070469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2070472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2070475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2070478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2070481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070507 */     // MIs[0] round
     /* 2070507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070510 */     // MIs[0] policy
     /* 2070510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070520 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2070523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070546 */     // GIR_Coverage, 15630,
     /* 2070546 */     GIR_EraseRootFromParent_Done,
     /* 2070547 */   // Label 27520: @2070547
     /* 2070547 */   GIM_Try, /*On fail goto*//*Label 27521*/ GIMT_Encode4(2070638), // Rule ID 15631 //
     /* 2070552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2070555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vaadd_mask),
     /* 2070560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2070563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2070566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2070569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2070572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2070575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2070582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2070590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2070594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070598 */     // MIs[0] round
     /* 2070598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070601 */     // MIs[0] policy
     /* 2070601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070611 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11139:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVAADD_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVAADD_VX_M8_MASK),
     /* 2070614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2070634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070637 */     // GIR_Coverage, 15631,
     /* 2070637 */     GIR_EraseRootFromParent_Done,
     /* 2070638 */   // Label 27521: @2070638
     /* 2070638 */   GIM_Try, /*On fail goto*//*Label 27522*/ GIMT_Encode4(2070732), // Rule ID 15634 //
     /* 2070643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2070654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2070657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2070660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2070663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070689 */     // MIs[0] round
     /* 2070689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070692 */     // MIs[0] policy
     /* 2070692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070702 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2070705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070727 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070731 */     // GIR_Coverage, 15634,
     /* 2070731 */     GIR_EraseRootFromParent_Done,
     /* 2070732 */   // Label 27522: @2070732
     /* 2070732 */   GIM_Try, /*On fail goto*//*Label 27523*/ GIMT_Encode4(2070826), // Rule ID 15635 //
     /* 2070737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2070748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2070751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2070754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2070757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2070760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070783 */     // MIs[0] round
     /* 2070783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070786 */     // MIs[0] policy
     /* 2070786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070796 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF8_MASK),
     /* 2070799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070825 */     // GIR_Coverage, 15635,
     /* 2070825 */     GIR_EraseRootFromParent_Done,
     /* 2070826 */   // Label 27523: @2070826
     /* 2070826 */   GIM_Try, /*On fail goto*//*Label 27524*/ GIMT_Encode4(2070920), // Rule ID 15638 //
     /* 2070831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2070834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2070842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2070845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2070848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2070851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2070857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070877 */     // MIs[0] round
     /* 2070877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070880 */     // MIs[0] policy
     /* 2070880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070890 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2070890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2070893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2070910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2070913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2070915 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2070918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2070919 */     // GIR_Coverage, 15638,
     /* 2070919 */     GIR_EraseRootFromParent_Done,
     /* 2070920 */   // Label 27524: @2070920
     /* 2070920 */   GIM_Try, /*On fail goto*//*Label 27525*/ GIMT_Encode4(2071014), // Rule ID 15639 //
     /* 2070925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2070928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2070933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2070936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2070939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2070942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2070945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2070948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2070951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2070955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2070967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2070971 */     // MIs[0] round
     /* 2070971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2070974 */     // MIs[0] policy
     /* 2070974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2070977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2070984 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2070984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2070987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2070989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2070991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2070993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2070995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2070997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2070999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071009 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071013 */     // GIR_Coverage, 15639,
     /* 2071013 */     GIR_EraseRootFromParent_Done,
     /* 2071014 */   // Label 27525: @2071014
     /* 2071014 */   GIM_Try, /*On fail goto*//*Label 27526*/ GIMT_Encode4(2071108), // Rule ID 15642 //
     /* 2071019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071065 */     // MIs[0] round
     /* 2071065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071068 */     // MIs[0] policy
     /* 2071068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071078 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2071081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071103 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071107 */     // GIR_Coverage, 15642,
     /* 2071107 */     GIR_EraseRootFromParent_Done,
     /* 2071108 */   // Label 27526: @2071108
     /* 2071108 */   GIM_Try, /*On fail goto*//*Label 27527*/ GIMT_Encode4(2071202), // Rule ID 15643 //
     /* 2071113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2071124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2071127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2071130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2071133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071159 */     // MIs[0] round
     /* 2071159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071162 */     // MIs[0] policy
     /* 2071162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071172 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2071175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071177 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071197 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071201 */     // GIR_Coverage, 15643,
     /* 2071201 */     GIR_EraseRootFromParent_Done,
     /* 2071202 */   // Label 27527: @2071202
     /* 2071202 */   GIM_Try, /*On fail goto*//*Label 27528*/ GIMT_Encode4(2071296), // Rule ID 15646 //
     /* 2071207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2071224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071253 */     // MIs[0] round
     /* 2071253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071256 */     // MIs[0] policy
     /* 2071256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071266 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2071269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071271 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071291 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071295 */     // GIR_Coverage, 15646,
     /* 2071295 */     GIR_EraseRootFromParent_Done,
     /* 2071296 */   // Label 27528: @2071296
     /* 2071296 */   GIM_Try, /*On fail goto*//*Label 27529*/ GIMT_Encode4(2071390), // Rule ID 15647 //
     /* 2071301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2071312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2071315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2071318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2071321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071347 */     // MIs[0] round
     /* 2071347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071350 */     // MIs[0] policy
     /* 2071350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071360 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF4_MASK),
     /* 2071363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071365 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071385 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071389 */     // GIR_Coverage, 15647,
     /* 2071389 */     GIR_EraseRootFromParent_Done,
     /* 2071390 */   // Label 27529: @2071390
     /* 2071390 */   GIM_Try, /*On fail goto*//*Label 27530*/ GIMT_Encode4(2071484), // Rule ID 15650 //
     /* 2071395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2071406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2071409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2071412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2071415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071441 */     // MIs[0] round
     /* 2071441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071444 */     // MIs[0] policy
     /* 2071444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071454 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2071457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071483 */     // GIR_Coverage, 15650,
     /* 2071483 */     GIR_EraseRootFromParent_Done,
     /* 2071484 */   // Label 27530: @2071484
     /* 2071484 */   GIM_Try, /*On fail goto*//*Label 27531*/ GIMT_Encode4(2071578), // Rule ID 15651 //
     /* 2071489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2071500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2071503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2071506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2071509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2071512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071535 */     // MIs[0] round
     /* 2071535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071538 */     // MIs[0] policy
     /* 2071538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071548 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2071551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2071571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071573 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071577 */     // GIR_Coverage, 15651,
     /* 2071577 */     GIR_EraseRootFromParent_Done,
     /* 2071578 */   // Label 27531: @2071578
     /* 2071578 */   GIM_Try, /*On fail goto*//*Label 27532*/ GIMT_Encode4(2071672), // Rule ID 15654 //
     /* 2071583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2071594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2071597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2071600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2071603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071629 */     // MIs[0] round
     /* 2071629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071632 */     // MIs[0] policy
     /* 2071632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071642 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2071645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071667 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071671 */     // GIR_Coverage, 15654,
     /* 2071671 */     GIR_EraseRootFromParent_Done,
     /* 2071672 */   // Label 27532: @2071672
     /* 2071672 */   GIM_Try, /*On fail goto*//*Label 27533*/ GIMT_Encode4(2071766), // Rule ID 15655 //
     /* 2071677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2071688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2071691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2071694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2071697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2071700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071723 */     // MIs[0] round
     /* 2071723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071726 */     // MIs[0] policy
     /* 2071726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071736 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_MF2_MASK),
     /* 2071739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2071759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071761 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071765 */     // GIR_Coverage, 15655,
     /* 2071765 */     GIR_EraseRootFromParent_Done,
     /* 2071766 */   // Label 27533: @2071766
     /* 2071766 */   GIM_Try, /*On fail goto*//*Label 27534*/ GIMT_Encode4(2071860), // Rule ID 15658 //
     /* 2071771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2071782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2071785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2071788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2071791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071817 */     // MIs[0] round
     /* 2071817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071820 */     // MIs[0] policy
     /* 2071820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071830 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2071830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2071833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071855 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071859 */     // GIR_Coverage, 15658,
     /* 2071859 */     GIR_EraseRootFromParent_Done,
     /* 2071860 */   // Label 27534: @2071860
     /* 2071860 */   GIM_Try, /*On fail goto*//*Label 27535*/ GIMT_Encode4(2071954), // Rule ID 15659 //
     /* 2071865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2071868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2071876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2071879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2071882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2071885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2071888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2071891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2071911 */     // MIs[0] round
     /* 2071911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2071914 */     // MIs[0] policy
     /* 2071914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2071917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2071924 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2071924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2071927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2071929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2071931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2071933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2071935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2071937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2071939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2071944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2071947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2071949 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2071952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2071953 */     // GIR_Coverage, 15659,
     /* 2071953 */     GIR_EraseRootFromParent_Done,
     /* 2071954 */   // Label 27535: @2071954
     /* 2071954 */   GIM_Try, /*On fail goto*//*Label 27536*/ GIMT_Encode4(2072048), // Rule ID 15662 //
     /* 2071959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2071962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2071967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2071970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2071973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2071976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2071979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2071982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2071985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2071989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2071997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072005 */     // MIs[0] round
     /* 2072005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072008 */     // MIs[0] policy
     /* 2072008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072018 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2072021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072047 */     // GIR_Coverage, 15662,
     /* 2072047 */     GIR_EraseRootFromParent_Done,
     /* 2072048 */   // Label 27536: @2072048
     /* 2072048 */   GIM_Try, /*On fail goto*//*Label 27537*/ GIMT_Encode4(2072142), // Rule ID 15663 //
     /* 2072053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2072064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2072067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2072070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2072073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2072076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072099 */     // MIs[0] round
     /* 2072099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072102 */     // MIs[0] policy
     /* 2072102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072112 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2072115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072137 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072141 */     // GIR_Coverage, 15663,
     /* 2072141 */     GIR_EraseRootFromParent_Done,
     /* 2072142 */   // Label 27537: @2072142
     /* 2072142 */   GIM_Try, /*On fail goto*//*Label 27538*/ GIMT_Encode4(2072236), // Rule ID 15666 //
     /* 2072147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072193 */     // MIs[0] round
     /* 2072193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072196 */     // MIs[0] policy
     /* 2072196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072206 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2072209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072231 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072235 */     // GIR_Coverage, 15666,
     /* 2072235 */     GIR_EraseRootFromParent_Done,
     /* 2072236 */   // Label 27538: @2072236
     /* 2072236 */   GIM_Try, /*On fail goto*//*Label 27539*/ GIMT_Encode4(2072330), // Rule ID 15667 //
     /* 2072241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2072252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2072255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2072258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2072261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2072264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2072271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2072283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072287 */     // MIs[0] round
     /* 2072287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072290 */     // MIs[0] policy
     /* 2072290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072300 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2072303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2072323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072325 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072329 */     // GIR_Coverage, 15667,
     /* 2072329 */     GIR_EraseRootFromParent_Done,
     /* 2072330 */   // Label 27539: @2072330
     /* 2072330 */   GIM_Try, /*On fail goto*//*Label 27540*/ GIMT_Encode4(2072424), // Rule ID 15670 //
     /* 2072335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2072346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2072349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2072352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2072355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072381 */     // MIs[0] round
     /* 2072381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072384 */     // MIs[0] policy
     /* 2072384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072394 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2072397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072419 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072423 */     // GIR_Coverage, 15670,
     /* 2072423 */     GIR_EraseRootFromParent_Done,
     /* 2072424 */   // Label 27540: @2072424
     /* 2072424 */   GIM_Try, /*On fail goto*//*Label 27541*/ GIMT_Encode4(2072518), // Rule ID 15671 //
     /* 2072429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2072440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2072443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2072446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2072449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2072452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072475 */     // MIs[0] round
     /* 2072475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072478 */     // MIs[0] policy
     /* 2072478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072488 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2072491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072513 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072517 */     // GIR_Coverage, 15671,
     /* 2072517 */     GIR_EraseRootFromParent_Done,
     /* 2072518 */   // Label 27541: @2072518
     /* 2072518 */   GIM_Try, /*On fail goto*//*Label 27542*/ GIMT_Encode4(2072612), // Rule ID 15674 //
     /* 2072523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2072534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2072537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2072540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2072543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072569 */     // MIs[0] round
     /* 2072569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072572 */     // MIs[0] policy
     /* 2072572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072582 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2072585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072607 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072611 */     // GIR_Coverage, 15674,
     /* 2072611 */     GIR_EraseRootFromParent_Done,
     /* 2072612 */   // Label 27542: @2072612
     /* 2072612 */   GIM_Try, /*On fail goto*//*Label 27543*/ GIMT_Encode4(2072706), // Rule ID 15675 //
     /* 2072617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2072628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2072631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2072634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2072637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2072640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2072647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2072659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072663 */     // MIs[0] round
     /* 2072663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072666 */     // MIs[0] policy
     /* 2072666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072676 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2072679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072701 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072705 */     // GIR_Coverage, 15675,
     /* 2072705 */     GIR_EraseRootFromParent_Done,
     /* 2072706 */   // Label 27543: @2072706
     /* 2072706 */   GIM_Try, /*On fail goto*//*Label 27544*/ GIMT_Encode4(2072800), // Rule ID 15678 //
     /* 2072711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2072722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2072725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2072728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2072731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2072734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072757 */     // MIs[0] round
     /* 2072757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072760 */     // MIs[0] policy
     /* 2072760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072770 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2072773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072775 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072799 */     // GIR_Coverage, 15678,
     /* 2072799 */     GIR_EraseRootFromParent_Done,
     /* 2072800 */   // Label 27544: @2072800
     /* 2072800 */   GIM_Try, /*On fail goto*//*Label 27545*/ GIMT_Encode4(2072894), // Rule ID 15679 //
     /* 2072805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2072816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2072819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2072822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2072825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2072828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2072831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2072835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2072847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072851 */     // MIs[0] round
     /* 2072851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072854 */     // MIs[0] policy
     /* 2072854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072864 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2072864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2072867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072869 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2072887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072889 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072893 */     // GIR_Coverage, 15679,
     /* 2072893 */     GIR_EraseRootFromParent_Done,
     /* 2072894 */   // Label 27545: @2072894
     /* 2072894 */   GIM_Try, /*On fail goto*//*Label 27546*/ GIMT_Encode4(2072988), // Rule ID 15682 //
     /* 2072899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2072902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2072907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2072910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2072913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2072916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2072919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2072922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2072925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2072929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2072941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2072945 */     // MIs[0] round
     /* 2072945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2072948 */     // MIs[0] policy
     /* 2072948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2072951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2072958 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2072958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2072961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2072963 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2072965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2072967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2072969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2072971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2072973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2072978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2072981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2072983 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2072986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2072987 */     // GIR_Coverage, 15682,
     /* 2072987 */     GIR_EraseRootFromParent_Done,
     /* 2072988 */   // Label 27546: @2072988
     /* 2072988 */   GIM_Try, /*On fail goto*//*Label 27547*/ GIMT_Encode4(2073082), // Rule ID 15683 //
     /* 2072993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2072996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2073004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2073007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2073010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2073013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073039 */     // MIs[0] round
     /* 2073039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073042 */     // MIs[0] policy
     /* 2073042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073052 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2073055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073057 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073077 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073081 */     // GIR_Coverage, 15683,
     /* 2073081 */     GIR_EraseRootFromParent_Done,
     /* 2073082 */   // Label 27547: @2073082
     /* 2073082 */   GIM_Try, /*On fail goto*//*Label 27548*/ GIMT_Encode4(2073176), // Rule ID 15686 //
     /* 2073087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2073098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2073101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2073107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073133 */     // MIs[0] round
     /* 2073133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073136 */     // MIs[0] policy
     /* 2073136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073146 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2073149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073151 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073171 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073175 */     // GIR_Coverage, 15686,
     /* 2073175 */     GIR_EraseRootFromParent_Done,
     /* 2073176 */   // Label 27548: @2073176
     /* 2073176 */   GIM_Try, /*On fail goto*//*Label 27549*/ GIMT_Encode4(2073270), // Rule ID 15687 //
     /* 2073181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2073192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2073195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2073198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2073201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073227 */     // MIs[0] round
     /* 2073227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073230 */     // MIs[0] policy
     /* 2073230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073240 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2073243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073245 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073265 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073269 */     // GIR_Coverage, 15687,
     /* 2073269 */     GIR_EraseRootFromParent_Done,
     /* 2073270 */   // Label 27549: @2073270
     /* 2073270 */   GIM_Try, /*On fail goto*//*Label 27550*/ GIMT_Encode4(2073364), // Rule ID 15690 //
     /* 2073275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2073286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2073289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2073292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2073295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073321 */     // MIs[0] round
     /* 2073321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073324 */     // MIs[0] policy
     /* 2073324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073334 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2073337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073339 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073359 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073363 */     // GIR_Coverage, 15690,
     /* 2073363 */     GIR_EraseRootFromParent_Done,
     /* 2073364 */   // Label 27550: @2073364
     /* 2073364 */   GIM_Try, /*On fail goto*//*Label 27551*/ GIMT_Encode4(2073458), // Rule ID 15691 //
     /* 2073369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2073380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2073383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2073386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2073389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2073392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073415 */     // MIs[0] round
     /* 2073415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073418 */     // MIs[0] policy
     /* 2073418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073428 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2073431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073433 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2073451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073453 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073457 */     // GIR_Coverage, 15691,
     /* 2073457 */     GIR_EraseRootFromParent_Done,
     /* 2073458 */   // Label 27551: @2073458
     /* 2073458 */   GIM_Try, /*On fail goto*//*Label 27552*/ GIMT_Encode4(2073552), // Rule ID 15694 //
     /* 2073463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2073474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2073477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2073480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2073483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073509 */     // MIs[0] round
     /* 2073509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073512 */     // MIs[0] policy
     /* 2073512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073522 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2073525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073547 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073551 */     // GIR_Coverage, 15694,
     /* 2073551 */     GIR_EraseRootFromParent_Done,
     /* 2073552 */   // Label 27552: @2073552
     /* 2073552 */   GIM_Try, /*On fail goto*//*Label 27553*/ GIMT_Encode4(2073646), // Rule ID 15695 //
     /* 2073557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2073568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2073571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2073574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2073577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2073580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2073587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2073599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073603 */     // MIs[0] round
     /* 2073603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073606 */     // MIs[0] policy
     /* 2073606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073616 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2073619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073641 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073645 */     // GIR_Coverage, 15695,
     /* 2073645 */     GIR_EraseRootFromParent_Done,
     /* 2073646 */   // Label 27553: @2073646
     /* 2073646 */   GIM_Try, /*On fail goto*//*Label 27554*/ GIMT_Encode4(2073740), // Rule ID 15698 //
     /* 2073651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2073662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2073665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2073668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2073671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073697 */     // MIs[0] round
     /* 2073697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073700 */     // MIs[0] policy
     /* 2073700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073710 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2073713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073735 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073739 */     // GIR_Coverage, 15698,
     /* 2073739 */     GIR_EraseRootFromParent_Done,
     /* 2073740 */   // Label 27554: @2073740
     /* 2073740 */   GIM_Try, /*On fail goto*//*Label 27555*/ GIMT_Encode4(2073834), // Rule ID 15699 //
     /* 2073745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2073756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2073759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2073762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2073765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2073768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2073775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2073787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073791 */     // MIs[0] round
     /* 2073791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073794 */     // MIs[0] policy
     /* 2073794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073804 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2073807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073829 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073833 */     // GIR_Coverage, 15699,
     /* 2073833 */     GIR_EraseRootFromParent_Done,
     /* 2073834 */   // Label 27555: @2073834
     /* 2073834 */   GIM_Try, /*On fail goto*//*Label 27556*/ GIMT_Encode4(2073928), // Rule ID 15702 //
     /* 2073839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2073842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2073856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2073859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2073865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073885 */     // MIs[0] round
     /* 2073885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073888 */     // MIs[0] policy
     /* 2073888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073898 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2073898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2073901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2073907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2073909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2073911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2073913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2073918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2073921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2073923 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2073926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2073927 */     // GIR_Coverage, 15702,
     /* 2073927 */     GIR_EraseRootFromParent_Done,
     /* 2073928 */   // Label 27556: @2073928
     /* 2073928 */   GIM_Try, /*On fail goto*//*Label 27557*/ GIMT_Encode4(2074022), // Rule ID 15703 //
     /* 2073933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2073936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2073941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2073944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2073947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2073950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2073953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2073956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2073959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2073963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2073975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2073979 */     // MIs[0] round
     /* 2073979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2073982 */     // MIs[0] policy
     /* 2073982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2073985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2073992 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2073992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2073995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2073997 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2073999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2074015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074017 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074021 */     // GIR_Coverage, 15703,
     /* 2074021 */     GIR_EraseRootFromParent_Done,
     /* 2074022 */   // Label 27557: @2074022
     /* 2074022 */   GIM_Try, /*On fail goto*//*Label 27558*/ GIMT_Encode4(2074116), // Rule ID 15706 //
     /* 2074027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2074038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2074041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2074044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074073 */     // MIs[0] round
     /* 2074073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074076 */     // MIs[0] policy
     /* 2074076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074086 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2074089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074091 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074111 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074115 */     // GIR_Coverage, 15706,
     /* 2074115 */     GIR_EraseRootFromParent_Done,
     /* 2074116 */   // Label 27558: @2074116
     /* 2074116 */   GIM_Try, /*On fail goto*//*Label 27559*/ GIMT_Encode4(2074210), // Rule ID 15707 //
     /* 2074121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2074132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2074135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2074138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074167 */     // MIs[0] round
     /* 2074167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074170 */     // MIs[0] policy
     /* 2074170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074180 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF8_MASK),
     /* 2074183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074205 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074209 */     // GIR_Coverage, 15707,
     /* 2074209 */     GIR_EraseRootFromParent_Done,
     /* 2074210 */   // Label 27559: @2074210
     /* 2074210 */   GIM_Try, /*On fail goto*//*Label 27560*/ GIMT_Encode4(2074304), // Rule ID 15710 //
     /* 2074215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2074226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2074229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2074232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074261 */     // MIs[0] round
     /* 2074261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074264 */     // MIs[0] policy
     /* 2074264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074274 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2074277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074299 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074303 */     // GIR_Coverage, 15710,
     /* 2074303 */     GIR_EraseRootFromParent_Done,
     /* 2074304 */   // Label 27560: @2074304
     /* 2074304 */   GIM_Try, /*On fail goto*//*Label 27561*/ GIMT_Encode4(2074398), // Rule ID 15711 //
     /* 2074309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2074320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2074323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2074326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074355 */     // MIs[0] round
     /* 2074355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074358 */     // MIs[0] policy
     /* 2074358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074368 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2074371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074393 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074397 */     // GIR_Coverage, 15711,
     /* 2074397 */     GIR_EraseRootFromParent_Done,
     /* 2074398 */   // Label 27561: @2074398
     /* 2074398 */   GIM_Try, /*On fail goto*//*Label 27562*/ GIMT_Encode4(2074492), // Rule ID 15714 //
     /* 2074403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2074414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2074417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2074420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074449 */     // MIs[0] round
     /* 2074449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074452 */     // MIs[0] policy
     /* 2074452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074462 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2074465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074487 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074491 */     // GIR_Coverage, 15714,
     /* 2074491 */     GIR_EraseRootFromParent_Done,
     /* 2074492 */   // Label 27562: @2074492
     /* 2074492 */   GIM_Try, /*On fail goto*//*Label 27563*/ GIMT_Encode4(2074586), // Rule ID 15715 //
     /* 2074497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2074508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2074511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2074514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2074520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074543 */     // MIs[0] round
     /* 2074543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074546 */     // MIs[0] policy
     /* 2074546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074556 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2074559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2074579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074581 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074585 */     // GIR_Coverage, 15715,
     /* 2074585 */     GIR_EraseRootFromParent_Done,
     /* 2074586 */   // Label 27563: @2074586
     /* 2074586 */   GIM_Try, /*On fail goto*//*Label 27564*/ GIMT_Encode4(2074680), // Rule ID 15718 //
     /* 2074591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2074608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074637 */     // MIs[0] round
     /* 2074637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074640 */     // MIs[0] policy
     /* 2074640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074650 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2074653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074675 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074679 */     // GIR_Coverage, 15718,
     /* 2074679 */     GIR_EraseRootFromParent_Done,
     /* 2074680 */   // Label 27564: @2074680
     /* 2074680 */   GIM_Try, /*On fail goto*//*Label 27565*/ GIMT_Encode4(2074774), // Rule ID 15719 //
     /* 2074685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2074696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2074699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2074702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074731 */     // MIs[0] round
     /* 2074731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074734 */     // MIs[0] policy
     /* 2074734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074744 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF4_MASK),
     /* 2074747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074773 */     // GIR_Coverage, 15719,
     /* 2074773 */     GIR_EraseRootFromParent_Done,
     /* 2074774 */   // Label 27565: @2074774
     /* 2074774 */   GIM_Try, /*On fail goto*//*Label 27566*/ GIMT_Encode4(2074868), // Rule ID 15722 //
     /* 2074779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074825 */     // MIs[0] round
     /* 2074825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074828 */     // MIs[0] policy
     /* 2074828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074838 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2074838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2074841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074867 */     // GIR_Coverage, 15722,
     /* 2074867 */     GIR_EraseRootFromParent_Done,
     /* 2074868 */   // Label 27566: @2074868
     /* 2074868 */   GIM_Try, /*On fail goto*//*Label 27567*/ GIMT_Encode4(2074962), // Rule ID 15723 //
     /* 2074873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2074876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2074884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2074887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2074890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2074893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2074896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2074899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2074911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2074915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2074919 */     // MIs[0] round
     /* 2074919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2074922 */     // MIs[0] policy
     /* 2074922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2074925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2074932 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2074932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2074935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2074937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2074939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2074941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2074943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2074945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2074947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2074952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2074955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2074957 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2074960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2074961 */     // GIR_Coverage, 15723,
     /* 2074961 */     GIR_EraseRootFromParent_Done,
     /* 2074962 */   // Label 27567: @2074962
     /* 2074962 */   GIM_Try, /*On fail goto*//*Label 27568*/ GIMT_Encode4(2075056), // Rule ID 15726 //
     /* 2074967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2074970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2074975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2074978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2074981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2074984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2074987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2074990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2074993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2074997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075013 */     // MIs[0] round
     /* 2075013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075016 */     // MIs[0] policy
     /* 2075016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075026 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2075029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075051 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075055 */     // GIR_Coverage, 15726,
     /* 2075055 */     GIR_EraseRootFromParent_Done,
     /* 2075056 */   // Label 27568: @2075056
     /* 2075056 */   GIM_Try, /*On fail goto*//*Label 27569*/ GIMT_Encode4(2075150), // Rule ID 15727 //
     /* 2075061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2075072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2075075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2075078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2075084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075107 */     // MIs[0] round
     /* 2075107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075110 */     // MIs[0] policy
     /* 2075110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075120 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_MF2_MASK),
     /* 2075123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075145 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075149 */     // GIR_Coverage, 15727,
     /* 2075149 */     GIR_EraseRootFromParent_Done,
     /* 2075150 */   // Label 27569: @2075150
     /* 2075150 */   GIM_Try, /*On fail goto*//*Label 27570*/ GIMT_Encode4(2075244), // Rule ID 15730 //
     /* 2075155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2075166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2075169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2075172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075201 */     // MIs[0] round
     /* 2075201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075204 */     // MIs[0] policy
     /* 2075204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075214 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2075217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075239 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075243 */     // GIR_Coverage, 15730,
     /* 2075243 */     GIR_EraseRootFromParent_Done,
     /* 2075244 */   // Label 27570: @2075244
     /* 2075244 */   GIM_Try, /*On fail goto*//*Label 27571*/ GIMT_Encode4(2075338), // Rule ID 15731 //
     /* 2075249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2075260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2075263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2075266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2075272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075295 */     // MIs[0] round
     /* 2075295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075298 */     // MIs[0] policy
     /* 2075298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075308 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11562:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2075311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075333 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075337 */     // GIR_Coverage, 15731,
     /* 2075337 */     GIR_EraseRootFromParent_Done,
     /* 2075338 */   // Label 27571: @2075338
     /* 2075338 */   GIM_Try, /*On fail goto*//*Label 27572*/ GIMT_Encode4(2075432), // Rule ID 15734 //
     /* 2075343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2075360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075389 */     // MIs[0] round
     /* 2075389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075392 */     // MIs[0] policy
     /* 2075392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075402 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2075405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075427 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075431 */     // GIR_Coverage, 15734,
     /* 2075431 */     GIR_EraseRootFromParent_Done,
     /* 2075432 */   // Label 27572: @2075432
     /* 2075432 */   GIM_Try, /*On fail goto*//*Label 27573*/ GIMT_Encode4(2075526), // Rule ID 15735 //
     /* 2075437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2075448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2075451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2075454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2075460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075483 */     // MIs[0] round
     /* 2075483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075486 */     // MIs[0] policy
     /* 2075486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075496 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11562:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2075499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075501 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2075519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075521 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075525 */     // GIR_Coverage, 15735,
     /* 2075525 */     GIR_EraseRootFromParent_Done,
     /* 2075526 */   // Label 27573: @2075526
     /* 2075526 */   GIM_Try, /*On fail goto*//*Label 27574*/ GIMT_Encode4(2075620), // Rule ID 15738 //
     /* 2075531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2075548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075577 */     // MIs[0] round
     /* 2075577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075580 */     // MIs[0] policy
     /* 2075580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075590 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2075593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075595 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075615 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075619 */     // GIR_Coverage, 15738,
     /* 2075619 */     GIR_EraseRootFromParent_Done,
     /* 2075620 */   // Label 27574: @2075620
     /* 2075620 */   GIM_Try, /*On fail goto*//*Label 27575*/ GIMT_Encode4(2075714), // Rule ID 15739 //
     /* 2075625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2075636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2075639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2075642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2075648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2075655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2075663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075671 */     // MIs[0] round
     /* 2075671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075674 */     // MIs[0] policy
     /* 2075674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075684 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11562:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2075687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075689 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2075707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075709 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075713 */     // GIR_Coverage, 15739,
     /* 2075713 */     GIR_EraseRootFromParent_Done,
     /* 2075714 */   // Label 27575: @2075714
     /* 2075714 */   GIM_Try, /*On fail goto*//*Label 27576*/ GIMT_Encode4(2075808), // Rule ID 15742 //
     /* 2075719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2075730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2075733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2075736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075765 */     // MIs[0] round
     /* 2075765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075768 */     // MIs[0] policy
     /* 2075768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075778 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2075781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075783 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075803 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075807 */     // GIR_Coverage, 15742,
     /* 2075807 */     GIR_EraseRootFromParent_Done,
     /* 2075808 */   // Label 27576: @2075808
     /* 2075808 */   GIM_Try, /*On fail goto*//*Label 27577*/ GIMT_Encode4(2075902), // Rule ID 15743 //
     /* 2075813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2075816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2075824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2075827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2075830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2075833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2075836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2075839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2075843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2075851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075859 */     // MIs[0] round
     /* 2075859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075862 */     // MIs[0] policy
     /* 2075862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075872 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2075872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2075875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075877 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075897 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075901 */     // GIR_Coverage, 15743,
     /* 2075901 */     GIR_EraseRootFromParent_Done,
     /* 2075902 */   // Label 27577: @2075902
     /* 2075902 */   GIM_Try, /*On fail goto*//*Label 27578*/ GIMT_Encode4(2075996), // Rule ID 15746 //
     /* 2075907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2075910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2075915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2075918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2075921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2075924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2075927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2075930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2075933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2075937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2075945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2075949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2075953 */     // MIs[0] round
     /* 2075953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2075956 */     // MIs[0] policy
     /* 2075956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2075959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2075966 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2075966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2075969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2075971 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2075973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2075975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2075977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2075979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2075981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2075986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2075989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2075991 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2075994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2075995 */     // GIR_Coverage, 15746,
     /* 2075995 */     GIR_EraseRootFromParent_Done,
     /* 2075996 */   // Label 27578: @2075996
     /* 2075996 */   GIM_Try, /*On fail goto*//*Label 27579*/ GIMT_Encode4(2076090), // Rule ID 15747 //
     /* 2076001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2076012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2076015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2076018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076047 */     // MIs[0] round
     /* 2076047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076050 */     // MIs[0] policy
     /* 2076050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076060 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2076063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076065 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076085 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076089 */     // GIR_Coverage, 15747,
     /* 2076089 */     GIR_EraseRootFromParent_Done,
     /* 2076090 */   // Label 27579: @2076090
     /* 2076090 */   GIM_Try, /*On fail goto*//*Label 27580*/ GIMT_Encode4(2076184), // Rule ID 15750 //
     /* 2076095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2076106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2076109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2076112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2076118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076141 */     // MIs[0] round
     /* 2076141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076144 */     // MIs[0] policy
     /* 2076144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076154 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2076157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076159 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076179 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076183 */     // GIR_Coverage, 15750,
     /* 2076183 */     GIR_EraseRootFromParent_Done,
     /* 2076184 */   // Label 27580: @2076184
     /* 2076184 */   GIM_Try, /*On fail goto*//*Label 27581*/ GIMT_Encode4(2076278), // Rule ID 15751 //
     /* 2076189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2076200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2076203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2076206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2076212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076235 */     // MIs[0] round
     /* 2076235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076238 */     // MIs[0] policy
     /* 2076238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076248 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2076251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2076271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076273 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076277 */     // GIR_Coverage, 15751,
     /* 2076277 */     GIR_EraseRootFromParent_Done,
     /* 2076278 */   // Label 27581: @2076278
     /* 2076278 */   GIM_Try, /*On fail goto*//*Label 27582*/ GIMT_Encode4(2076372), // Rule ID 15754 //
     /* 2076283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2076294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2076297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2076300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076329 */     // MIs[0] round
     /* 2076329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076332 */     // MIs[0] policy
     /* 2076332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076342 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2076345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076367 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076371 */     // GIR_Coverage, 15754,
     /* 2076371 */     GIR_EraseRootFromParent_Done,
     /* 2076372 */   // Label 27582: @2076372
     /* 2076372 */   GIM_Try, /*On fail goto*//*Label 27583*/ GIMT_Encode4(2076466), // Rule ID 15755 //
     /* 2076377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2076388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2076391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2076394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2076400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076423 */     // MIs[0] round
     /* 2076423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076426 */     // MIs[0] policy
     /* 2076426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076436 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2076439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076461 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076465 */     // GIR_Coverage, 15755,
     /* 2076465 */     GIR_EraseRootFromParent_Done,
     /* 2076466 */   // Label 27583: @2076466
     /* 2076466 */   GIM_Try, /*On fail goto*//*Label 27584*/ GIMT_Encode4(2076560), // Rule ID 15758 //
     /* 2076471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2076482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2076485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2076488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076517 */     // MIs[0] round
     /* 2076517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076520 */     // MIs[0] policy
     /* 2076520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2076533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076555 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076559 */     // GIR_Coverage, 15758,
     /* 2076559 */     GIR_EraseRootFromParent_Done,
     /* 2076560 */   // Label 27584: @2076560
     /* 2076560 */   GIM_Try, /*On fail goto*//*Label 27585*/ GIMT_Encode4(2076654), // Rule ID 15759 //
     /* 2076565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2076576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2076579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2076582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2076588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2076595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2076603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076611 */     // MIs[0] round
     /* 2076611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076614 */     // MIs[0] policy
     /* 2076614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076624 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2076627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076649 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076653 */     // GIR_Coverage, 15759,
     /* 2076653 */     GIR_EraseRootFromParent_Done,
     /* 2076654 */   // Label 27585: @2076654
     /* 2076654 */   GIM_Try, /*On fail goto*//*Label 27586*/ GIMT_Encode4(2076748), // Rule ID 15762 //
     /* 2076659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2076670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2076673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2076676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076705 */     // MIs[0] round
     /* 2076705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076708 */     // MIs[0] policy
     /* 2076708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076718 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2076721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076723 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076743 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076747 */     // GIR_Coverage, 15762,
     /* 2076747 */     GIR_EraseRootFromParent_Done,
     /* 2076748 */   // Label 27586: @2076748
     /* 2076748 */   GIM_Try, /*On fail goto*//*Label 27587*/ GIMT_Encode4(2076842), // Rule ID 15763 //
     /* 2076753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2076764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2076767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2076770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2076776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2076783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2076791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076799 */     // MIs[0] round
     /* 2076799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076802 */     // MIs[0] policy
     /* 2076802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076812 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2076812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2076815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076817 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2076835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076841 */     // GIR_Coverage, 15763,
     /* 2076841 */     GIR_EraseRootFromParent_Done,
     /* 2076842 */   // Label 27587: @2076842
     /* 2076842 */   GIM_Try, /*On fail goto*//*Label 27588*/ GIMT_Encode4(2076936), // Rule ID 15766 //
     /* 2076847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2076850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2076858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2076861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2076864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2076867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2076873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076893 */     // MIs[0] round
     /* 2076893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076896 */     // MIs[0] policy
     /* 2076896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2076906 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2076906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2076909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2076911 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2076913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2076915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2076917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2076919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2076921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2076926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2076929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2076931 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2076934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2076935 */     // GIR_Coverage, 15766,
     /* 2076935 */     GIR_EraseRootFromParent_Done,
     /* 2076936 */   // Label 27588: @2076936
     /* 2076936 */   GIM_Try, /*On fail goto*//*Label 27589*/ GIMT_Encode4(2077030), // Rule ID 15767 //
     /* 2076941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2076944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2076949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2076952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2076955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2076958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2076961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2076964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2076967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2076971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2076979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2076983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2076987 */     // MIs[0] round
     /* 2076987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2076990 */     // MIs[0] policy
     /* 2076990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2076993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077000 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2077003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077025 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077029 */     // GIR_Coverage, 15767,
     /* 2077029 */     GIR_EraseRootFromParent_Done,
     /* 2077030 */   // Label 27589: @2077030
     /* 2077030 */   GIM_Try, /*On fail goto*//*Label 27590*/ GIMT_Encode4(2077124), // Rule ID 15770 //
     /* 2077035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2077046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2077049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2077052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077081 */     // MIs[0] round
     /* 2077081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077084 */     // MIs[0] policy
     /* 2077084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077094 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2077097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077119 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077123 */     // GIR_Coverage, 15770,
     /* 2077123 */     GIR_EraseRootFromParent_Done,
     /* 2077124 */   // Label 27590: @2077124
     /* 2077124 */   GIM_Try, /*On fail goto*//*Label 27591*/ GIMT_Encode4(2077218), // Rule ID 15771 //
     /* 2077129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2077140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2077143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2077146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077175 */     // MIs[0] round
     /* 2077175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077178 */     // MIs[0] policy
     /* 2077178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077188 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2077191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077213 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077217 */     // GIR_Coverage, 15771,
     /* 2077217 */     GIR_EraseRootFromParent_Done,
     /* 2077218 */   // Label 27591: @2077218
     /* 2077218 */   GIM_Try, /*On fail goto*//*Label 27592*/ GIMT_Encode4(2077312), // Rule ID 15774 //
     /* 2077223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2077226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2077234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2077237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2077240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2077243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077269 */     // MIs[0] round
     /* 2077269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077272 */     // MIs[0] policy
     /* 2077272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077282 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2077285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077307 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077311 */     // GIR_Coverage, 15774,
     /* 2077311 */     GIR_EraseRootFromParent_Done,
     /* 2077312 */   // Label 27592: @2077312
     /* 2077312 */   GIM_Try, /*On fail goto*//*Label 27593*/ GIMT_Encode4(2077406), // Rule ID 15775 //
     /* 2077317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2077320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2077328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2077331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2077334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2077337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2077340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2077347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2077355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2077359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077363 */     // MIs[0] round
     /* 2077363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077366 */     // MIs[0] policy
     /* 2077366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077376 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2077379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2077399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077401 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077405 */     // GIR_Coverage, 15775,
     /* 2077405 */     GIR_EraseRootFromParent_Done,
     /* 2077406 */   // Label 27593: @2077406
     /* 2077406 */   GIM_Try, /*On fail goto*//*Label 27594*/ GIMT_Encode4(2077500), // Rule ID 15778 //
     /* 2077411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2077414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077457 */     // MIs[0] round
     /* 2077457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077460 */     // MIs[0] policy
     /* 2077460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077470 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2077473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077495 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077499 */     // GIR_Coverage, 15778,
     /* 2077499 */     GIR_EraseRootFromParent_Done,
     /* 2077500 */   // Label 27594: @2077500
     /* 2077500 */   GIM_Try, /*On fail goto*//*Label 27595*/ GIMT_Encode4(2077594), // Rule ID 15779 //
     /* 2077505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2077508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2077516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2077519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2077522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2077525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2077528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2077535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2077547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077551 */     // MIs[0] round
     /* 2077551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077554 */     // MIs[0] policy
     /* 2077554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077564 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M1_MASK),
     /* 2077567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077593 */     // GIR_Coverage, 15779,
     /* 2077593 */     GIR_EraseRootFromParent_Done,
     /* 2077594 */   // Label 27595: @2077594
     /* 2077594 */   GIM_Try, /*On fail goto*//*Label 27596*/ GIMT_Encode4(2077688), // Rule ID 15782 //
     /* 2077599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2077602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2077610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2077613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2077616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2077619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077645 */     // MIs[0] round
     /* 2077645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077648 */     // MIs[0] policy
     /* 2077648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077658 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2077661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077683 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077687 */     // GIR_Coverage, 15782,
     /* 2077687 */     GIR_EraseRootFromParent_Done,
     /* 2077688 */   // Label 27596: @2077688
     /* 2077688 */   GIM_Try, /*On fail goto*//*Label 27597*/ GIMT_Encode4(2077782), // Rule ID 15783 //
     /* 2077693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2077696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2077704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2077707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2077710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2077713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2077716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2077723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2077735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077739 */     // MIs[0] round
     /* 2077739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077742 */     // MIs[0] policy
     /* 2077742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077752 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M2_MASK),
     /* 2077755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077777 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077781 */     // GIR_Coverage, 15783,
     /* 2077781 */     GIR_EraseRootFromParent_Done,
     /* 2077782 */   // Label 27597: @2077782
     /* 2077782 */   GIM_Try, /*On fail goto*//*Label 27598*/ GIMT_Encode4(2077876), // Rule ID 15786 //
     /* 2077787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2077790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2077798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2077801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2077804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2077807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2077813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077833 */     // MIs[0] round
     /* 2077833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077836 */     // MIs[0] policy
     /* 2077836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077846 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2077846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2077849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077871 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077875 */     // GIR_Coverage, 15786,
     /* 2077875 */     GIR_EraseRootFromParent_Done,
     /* 2077876 */   // Label 27598: @2077876
     /* 2077876 */   GIM_Try, /*On fail goto*//*Label 27599*/ GIMT_Encode4(2077970), // Rule ID 15787 //
     /* 2077881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2077884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2077892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2077895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2077898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2077901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2077904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2077907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2077911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2077923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2077927 */     // MIs[0] round
     /* 2077927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2077930 */     // MIs[0] policy
     /* 2077930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2077933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2077940 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2077940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M4_MASK),
     /* 2077943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2077945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2077947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2077949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2077951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2077953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2077955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2077960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2077963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2077965 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2077968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2077969 */     // GIR_Coverage, 15787,
     /* 2077969 */     GIR_EraseRootFromParent_Done,
     /* 2077970 */   // Label 27599: @2077970
     /* 2077970 */   GIM_Try, /*On fail goto*//*Label 27600*/ GIMT_Encode4(2078064), // Rule ID 15790 //
     /* 2077975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2077978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2077983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2077986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2077989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2077992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2077995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2077998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078021 */     // MIs[0] round
     /* 2078021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078024 */     // MIs[0] policy
     /* 2078024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078034 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2078037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078059 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078063 */     // GIR_Coverage, 15790,
     /* 2078063 */     GIR_EraseRootFromParent_Done,
     /* 2078064 */   // Label 27600: @2078064
     /* 2078064 */   GIM_Try, /*On fail goto*//*Label 27601*/ GIMT_Encode4(2078158), // Rule ID 15791 //
     /* 2078069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2078072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2078089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078115 */     // MIs[0] round
     /* 2078115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078118 */     // MIs[0] policy
     /* 2078118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078128 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VV_M8_MASK),
     /* 2078131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078157 */     // GIR_Coverage, 15791,
     /* 2078157 */     GIR_EraseRootFromParent_Done,
     /* 2078158 */   // Label 27601: @2078158
     /* 2078158 */   GIM_Try, /*On fail goto*//*Label 27602*/ GIMT_Encode4(2078252), // Rule ID 15794 //
     /* 2078163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2078166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2078174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2078177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2078180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078209 */     // MIs[0] round
     /* 2078209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078212 */     // MIs[0] policy
     /* 2078212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078222 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2078225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078247 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078251 */     // GIR_Coverage, 15794,
     /* 2078251 */     GIR_EraseRootFromParent_Done,
     /* 2078252 */   // Label 27602: @2078252
     /* 2078252 */   GIM_Try, /*On fail goto*//*Label 27603*/ GIMT_Encode4(2078346), // Rule ID 15795 //
     /* 2078257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2078260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2078268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2078271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2078274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078303 */     // MIs[0] round
     /* 2078303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078306 */     // MIs[0] policy
     /* 2078306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078316 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11562:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M1_MASK),
     /* 2078319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078321 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078341 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078345 */     // GIR_Coverage, 15795,
     /* 2078345 */     GIR_EraseRootFromParent_Done,
     /* 2078346 */   // Label 27603: @2078346
     /* 2078346 */   GIM_Try, /*On fail goto*//*Label 27604*/ GIMT_Encode4(2078440), // Rule ID 15798 //
     /* 2078351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2078354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078397 */     // MIs[0] round
     /* 2078397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078400 */     // MIs[0] policy
     /* 2078400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078410 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2078413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078415 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078435 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078439 */     // GIR_Coverage, 15798,
     /* 2078439 */     GIR_EraseRootFromParent_Done,
     /* 2078440 */   // Label 27604: @2078440
     /* 2078440 */   GIM_Try, /*On fail goto*//*Label 27605*/ GIMT_Encode4(2078534), // Rule ID 15799 //
     /* 2078445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2078448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2078456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2078459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2078462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2078468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2078475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2078483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078491 */     // MIs[0] round
     /* 2078491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078494 */     // MIs[0] policy
     /* 2078494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078504 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11562:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M2_MASK),
     /* 2078507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078509 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078529 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078533 */     // GIR_Coverage, 15799,
     /* 2078533 */     GIR_EraseRootFromParent_Done,
     /* 2078534 */   // Label 27605: @2078534
     /* 2078534 */   GIM_Try, /*On fail goto*//*Label 27606*/ GIMT_Encode4(2078628), // Rule ID 15802 //
     /* 2078539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2078542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2078550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2078553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078585 */     // MIs[0] round
     /* 2078585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078588 */     // MIs[0] policy
     /* 2078588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078598 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2078601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078603 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078623 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078627 */     // GIR_Coverage, 15802,
     /* 2078627 */     GIR_EraseRootFromParent_Done,
     /* 2078628 */   // Label 27606: @2078628
     /* 2078628 */   GIM_Try, /*On fail goto*//*Label 27607*/ GIMT_Encode4(2078722), // Rule ID 15803 //
     /* 2078633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2078636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2078644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2078647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2078650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2078656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2078663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2078671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078679 */     // MIs[0] round
     /* 2078679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078682 */     // MIs[0] policy
     /* 2078682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078692 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11562:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M4_MASK),
     /* 2078695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078697 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078717 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078721 */     // GIR_Coverage, 15803,
     /* 2078721 */     GIR_EraseRootFromParent_Done,
     /* 2078722 */   // Label 27607: @2078722
     /* 2078722 */   GIM_Try, /*On fail goto*//*Label 27608*/ GIMT_Encode4(2078816), // Rule ID 15806 //
     /* 2078727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2078730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2078747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078773 */     // MIs[0] round
     /* 2078773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078776 */     // MIs[0] policy
     /* 2078776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078786 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2078789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078791 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078815 */     // GIR_Coverage, 15806,
     /* 2078815 */     GIR_EraseRootFromParent_Done,
     /* 2078816 */   // Label 27608: @2078816
     /* 2078816 */   GIM_Try, /*On fail goto*//*Label 27609*/ GIMT_Encode4(2078910), // Rule ID 15807 //
     /* 2078821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2078824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vsmul_mask),
     /* 2078829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2078832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2078835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2078838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2078841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2078844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2078847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2078851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2078859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2078863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078867 */     // MIs[0] round
     /* 2078867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078870 */     // MIs[0] policy
     /* 2078870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078880 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11562:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSMUL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2078880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSMUL_VX_M8_MASK),
     /* 2078883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078885 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2078903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078905 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2078908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2078909 */     // GIR_Coverage, 15807,
     /* 2078909 */     GIR_EraseRootFromParent_Done,
     /* 2078910 */   // Label 27609: @2078910
     /* 2078910 */   GIM_Try, /*On fail goto*//*Label 27610*/ GIMT_Encode4(2079001), // Rule ID 15810 //
     /* 2078915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2078918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2078923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2078926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2078929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2078932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2078935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2078938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2078941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2078945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2078957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2078961 */     // MIs[0] round
     /* 2078961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2078964 */     // MIs[0] policy
     /* 2078964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2078967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2078974 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2078974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2078977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2078979 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2078981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2078983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2078985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2078987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2078989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2078994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2078997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2078999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079000 */     // GIR_Coverage, 15810,
     /* 2079000 */     GIR_EraseRootFromParent_Done,
     /* 2079001 */   // Label 27610: @2079001
     /* 2079001 */   GIM_Try, /*On fail goto*//*Label 27611*/ GIMT_Encode4(2079092), // Rule ID 15811 //
     /* 2079006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2079017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2079020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2079023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2079026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079052 */     // MIs[0] round
     /* 2079052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079055 */     // MIs[0] policy
     /* 2079055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079065 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF8_MASK),
     /* 2079068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079070 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079091 */     // GIR_Coverage, 15811,
     /* 2079091 */     GIR_EraseRootFromParent_Done,
     /* 2079092 */   // Label 27611: @2079092
     /* 2079092 */   GIM_Try, /*On fail goto*//*Label 27612*/ GIMT_Encode4(2079183), // Rule ID 15814 //
     /* 2079097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2079114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079143 */     // MIs[0] round
     /* 2079143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079146 */     // MIs[0] policy
     /* 2079146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079156 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2079159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079161 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079182 */     // GIR_Coverage, 15814,
     /* 2079182 */     GIR_EraseRootFromParent_Done,
     /* 2079183 */   // Label 27612: @2079183
     /* 2079183 */   GIM_Try, /*On fail goto*//*Label 27613*/ GIMT_Encode4(2079274), // Rule ID 15815 //
     /* 2079188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2079199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2079202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2079205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2079208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079234 */     // MIs[0] round
     /* 2079234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079237 */     // MIs[0] policy
     /* 2079237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079247 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2079250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079252 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079273 */     // GIR_Coverage, 15815,
     /* 2079273 */     GIR_EraseRootFromParent_Done,
     /* 2079274 */   // Label 27613: @2079274
     /* 2079274 */   GIM_Try, /*On fail goto*//*Label 27614*/ GIMT_Encode4(2079365), // Rule ID 15818 //
     /* 2079279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2079296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079325 */     // MIs[0] round
     /* 2079325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079328 */     // MIs[0] policy
     /* 2079328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079338 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2079341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079343 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079364 */     // GIR_Coverage, 15818,
     /* 2079364 */     GIR_EraseRootFromParent_Done,
     /* 2079365 */   // Label 27614: @2079365
     /* 2079365 */   GIM_Try, /*On fail goto*//*Label 27615*/ GIMT_Encode4(2079456), // Rule ID 15819 //
     /* 2079370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2079381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2079384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2079387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2079390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2079393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079416 */     // MIs[0] round
     /* 2079416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079419 */     // MIs[0] policy
     /* 2079419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079429 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2079432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079434 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2079452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079455 */     // GIR_Coverage, 15819,
     /* 2079455 */     GIR_EraseRootFromParent_Done,
     /* 2079456 */   // Label 27615: @2079456
     /* 2079456 */   GIM_Try, /*On fail goto*//*Label 27616*/ GIMT_Encode4(2079547), // Rule ID 15822 //
     /* 2079461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2079472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2079475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2079481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079507 */     // MIs[0] round
     /* 2079507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079510 */     // MIs[0] policy
     /* 2079510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079520 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2079523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079525 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079546 */     // GIR_Coverage, 15822,
     /* 2079546 */     GIR_EraseRootFromParent_Done,
     /* 2079547 */   // Label 27616: @2079547
     /* 2079547 */   GIM_Try, /*On fail goto*//*Label 27617*/ GIMT_Encode4(2079638), // Rule ID 15823 //
     /* 2079552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2079563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2079566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2079569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2079572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079598 */     // MIs[0] round
     /* 2079598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079601 */     // MIs[0] policy
     /* 2079601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079611 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF4_MASK),
     /* 2079614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079616 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079637 */     // GIR_Coverage, 15823,
     /* 2079637 */     GIR_EraseRootFromParent_Done,
     /* 2079638 */   // Label 27617: @2079638
     /* 2079638 */   GIM_Try, /*On fail goto*//*Label 27618*/ GIMT_Encode4(2079729), // Rule ID 15826 //
     /* 2079643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2079654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2079657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2079663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079689 */     // MIs[0] round
     /* 2079689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079692 */     // MIs[0] policy
     /* 2079692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079702 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2079705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079707 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079728 */     // GIR_Coverage, 15826,
     /* 2079728 */     GIR_EraseRootFromParent_Done,
     /* 2079729 */   // Label 27618: @2079729
     /* 2079729 */   GIM_Try, /*On fail goto*//*Label 27619*/ GIMT_Encode4(2079820), // Rule ID 15827 //
     /* 2079734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2079745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2079748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2079751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2079754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2079757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079780 */     // MIs[0] round
     /* 2079780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079783 */     // MIs[0] policy
     /* 2079783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079793 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2079796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079798 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2079816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079819 */     // GIR_Coverage, 15827,
     /* 2079819 */     GIR_EraseRootFromParent_Done,
     /* 2079820 */   // Label 27619: @2079820
     /* 2079820 */   GIM_Try, /*On fail goto*//*Label 27620*/ GIMT_Encode4(2079911), // Rule ID 15830 //
     /* 2079825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2079828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2079836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2079839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2079842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2079845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2079851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079871 */     // MIs[0] round
     /* 2079871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079874 */     // MIs[0] policy
     /* 2079874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079884 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2079884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2079887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079889 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2079909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2079910 */     // GIR_Coverage, 15830,
     /* 2079910 */     GIR_EraseRootFromParent_Done,
     /* 2079911 */   // Label 27620: @2079911
     /* 2079911 */   GIM_Try, /*On fail goto*//*Label 27621*/ GIMT_Encode4(2080002), // Rule ID 15831 //
     /* 2079916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2079919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2079924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2079927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2079930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2079933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2079936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2079939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2079942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2079946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2079958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2079962 */     // MIs[0] round
     /* 2079962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2079965 */     // MIs[0] policy
     /* 2079965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2079968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2079975 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2079975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_MF2_MASK),
     /* 2079978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2079980 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2079982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2079984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2079986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2079988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2079990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2079995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2079998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080001 */     // GIR_Coverage, 15831,
     /* 2080001 */     GIR_EraseRootFromParent_Done,
     /* 2080002 */   // Label 27621: @2080002
     /* 2080002 */   GIM_Try, /*On fail goto*//*Label 27622*/ GIMT_Encode4(2080093), // Rule ID 15834 //
     /* 2080007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2080018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2080021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2080024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2080027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080053 */     // MIs[0] round
     /* 2080053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080056 */     // MIs[0] policy
     /* 2080056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080066 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2080069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080092 */     // GIR_Coverage, 15834,
     /* 2080092 */     GIR_EraseRootFromParent_Done,
     /* 2080093 */   // Label 27622: @2080093
     /* 2080093 */   GIM_Try, /*On fail goto*//*Label 27623*/ GIMT_Encode4(2080184), // Rule ID 15835 //
     /* 2080098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2080109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2080112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2080115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2080118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2080121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080144 */     // MIs[0] round
     /* 2080144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080147 */     // MIs[0] policy
     /* 2080147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080157 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2080160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080162 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080183 */     // GIR_Coverage, 15835,
     /* 2080183 */     GIR_EraseRootFromParent_Done,
     /* 2080184 */   // Label 27623: @2080184
     /* 2080184 */   GIM_Try, /*On fail goto*//*Label 27624*/ GIMT_Encode4(2080275), // Rule ID 15838 //
     /* 2080189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080235 */     // MIs[0] round
     /* 2080235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080238 */     // MIs[0] policy
     /* 2080238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080248 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2080251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080253 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080274 */     // GIR_Coverage, 15838,
     /* 2080274 */     GIR_EraseRootFromParent_Done,
     /* 2080275 */   // Label 27624: @2080275
     /* 2080275 */   GIM_Try, /*On fail goto*//*Label 27625*/ GIMT_Encode4(2080366), // Rule ID 15839 //
     /* 2080280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2080291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2080294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2080297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2080300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2080303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080326 */     // MIs[0] round
     /* 2080326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080329 */     // MIs[0] policy
     /* 2080329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080339 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2080342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080344 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2080362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080365 */     // GIR_Coverage, 15839,
     /* 2080365 */     GIR_EraseRootFromParent_Done,
     /* 2080366 */   // Label 27625: @2080366
     /* 2080366 */   GIM_Try, /*On fail goto*//*Label 27626*/ GIMT_Encode4(2080457), // Rule ID 15842 //
     /* 2080371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080417 */     // MIs[0] round
     /* 2080417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080420 */     // MIs[0] policy
     /* 2080420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080430 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2080433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080435 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080456 */     // GIR_Coverage, 15842,
     /* 2080456 */     GIR_EraseRootFromParent_Done,
     /* 2080457 */   // Label 27626: @2080457
     /* 2080457 */   GIM_Try, /*On fail goto*//*Label 27627*/ GIMT_Encode4(2080548), // Rule ID 15843 //
     /* 2080462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2080473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2080476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2080479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2080482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2080485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080508 */     // MIs[0] round
     /* 2080508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080511 */     // MIs[0] policy
     /* 2080511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080521 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2080524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080526 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2080544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080547 */     // GIR_Coverage, 15843,
     /* 2080547 */     GIR_EraseRootFromParent_Done,
     /* 2080548 */   // Label 27627: @2080548
     /* 2080548 */   GIM_Try, /*On fail goto*//*Label 27628*/ GIMT_Encode4(2080639), // Rule ID 15846 //
     /* 2080553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2080556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2080564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2080567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2080570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2080573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080599 */     // MIs[0] round
     /* 2080599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080602 */     // MIs[0] policy
     /* 2080602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080612 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2080615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2080635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080638 */     // GIR_Coverage, 15846,
     /* 2080638 */     GIR_EraseRootFromParent_Done,
     /* 2080639 */   // Label 27628: @2080639
     /* 2080639 */   GIM_Try, /*On fail goto*//*Label 27629*/ GIMT_Encode4(2080730), // Rule ID 15847 //
     /* 2080644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2080647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2080655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2080658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2080661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2080664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2080667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2080674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2080686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080690 */     // MIs[0] round
     /* 2080690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080693 */     // MIs[0] policy
     /* 2080693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080703 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M1_MASK),
     /* 2080706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080708 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2080726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080729 */     // GIR_Coverage, 15847,
     /* 2080729 */     GIR_EraseRootFromParent_Done,
     /* 2080730 */   // Label 27629: @2080730
     /* 2080730 */   GIM_Try, /*On fail goto*//*Label 27630*/ GIMT_Encode4(2080821), // Rule ID 15850 //
     /* 2080735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2080746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2080749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2080752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2080755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080781 */     // MIs[0] round
     /* 2080781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080784 */     // MIs[0] policy
     /* 2080784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080794 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2080797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080799 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080820 */     // GIR_Coverage, 15850,
     /* 2080820 */     GIR_EraseRootFromParent_Done,
     /* 2080821 */   // Label 27630: @2080821
     /* 2080821 */   GIM_Try, /*On fail goto*//*Label 27631*/ GIMT_Encode4(2080912), // Rule ID 15851 //
     /* 2080826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2080829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2080837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2080840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2080843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2080846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2080849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2080852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2080856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2080868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080872 */     // MIs[0] round
     /* 2080872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080875 */     // MIs[0] policy
     /* 2080875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080885 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2080885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2080888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080890 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2080910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2080911 */     // GIR_Coverage, 15851,
     /* 2080911 */     GIR_EraseRootFromParent_Done,
     /* 2080912 */   // Label 27631: @2080912
     /* 2080912 */   GIM_Try, /*On fail goto*//*Label 27632*/ GIMT_Encode4(2081003), // Rule ID 15854 //
     /* 2080917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2080920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2080925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2080928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2080931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2080934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2080937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2080940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2080943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2080947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2080959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2080963 */     // MIs[0] round
     /* 2080963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2080966 */     // MIs[0] policy
     /* 2080966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2080969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2080976 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2080976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2080979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2080981 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2080983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2080985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2080987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2080989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2080991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2080996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2080999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081002 */     // GIR_Coverage, 15854,
     /* 2081002 */     GIR_EraseRootFromParent_Done,
     /* 2081003 */   // Label 27632: @2081003
     /* 2081003 */   GIM_Try, /*On fail goto*//*Label 27633*/ GIMT_Encode4(2081094), // Rule ID 15855 //
     /* 2081008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2081019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2081022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2081025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2081028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081054 */     // MIs[0] round
     /* 2081054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081057 */     // MIs[0] policy
     /* 2081057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081067 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2081070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081072 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081093 */     // GIR_Coverage, 15855,
     /* 2081093 */     GIR_EraseRootFromParent_Done,
     /* 2081094 */   // Label 27633: @2081094
     /* 2081094 */   GIM_Try, /*On fail goto*//*Label 27634*/ GIMT_Encode4(2081185), // Rule ID 15858 //
     /* 2081099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2081110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2081113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2081116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2081119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2081122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081145 */     // MIs[0] round
     /* 2081145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081148 */     // MIs[0] policy
     /* 2081148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081158 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2081161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081163 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081184 */     // GIR_Coverage, 15858,
     /* 2081184 */     GIR_EraseRootFromParent_Done,
     /* 2081185 */   // Label 27634: @2081185
     /* 2081185 */   GIM_Try, /*On fail goto*//*Label 27635*/ GIMT_Encode4(2081276), // Rule ID 15859 //
     /* 2081190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2081201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2081204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2081207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2081210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2081213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081236 */     // MIs[0] round
     /* 2081236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081239 */     // MIs[0] policy
     /* 2081239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081249 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2081252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081254 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2081272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081275 */     // GIR_Coverage, 15859,
     /* 2081275 */     GIR_EraseRootFromParent_Done,
     /* 2081276 */   // Label 27635: @2081276
     /* 2081276 */   GIM_Try, /*On fail goto*//*Label 27636*/ GIMT_Encode4(2081367), // Rule ID 15862 //
     /* 2081281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2081298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2081301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081327 */     // MIs[0] round
     /* 2081327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081330 */     // MIs[0] policy
     /* 2081330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081340 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2081343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081366 */     // GIR_Coverage, 15862,
     /* 2081366 */     GIR_EraseRootFromParent_Done,
     /* 2081367 */   // Label 27636: @2081367
     /* 2081367 */   GIM_Try, /*On fail goto*//*Label 27637*/ GIMT_Encode4(2081458), // Rule ID 15863 //
     /* 2081372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2081383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2081386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2081389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2081392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2081395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081418 */     // MIs[0] round
     /* 2081418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081421 */     // MIs[0] policy
     /* 2081421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081431 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2081434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081436 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081457 */     // GIR_Coverage, 15863,
     /* 2081457 */     GIR_EraseRootFromParent_Done,
     /* 2081458 */   // Label 27637: @2081458
     /* 2081458 */   GIM_Try, /*On fail goto*//*Label 27638*/ GIMT_Encode4(2081549), // Rule ID 15866 //
     /* 2081463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2081474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2081477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2081480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2081483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081509 */     // MIs[0] round
     /* 2081509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081512 */     // MIs[0] policy
     /* 2081512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081522 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2081525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081527 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081548 */     // GIR_Coverage, 15866,
     /* 2081548 */     GIR_EraseRootFromParent_Done,
     /* 2081549 */   // Label 27638: @2081549
     /* 2081549 */   GIM_Try, /*On fail goto*//*Label 27639*/ GIMT_Encode4(2081640), // Rule ID 15867 //
     /* 2081554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2081565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2081568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2081571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2081574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2081577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2081584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2081596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081600 */     // MIs[0] round
     /* 2081600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081603 */     // MIs[0] policy
     /* 2081603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081613 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2081616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081618 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081639 */     // GIR_Coverage, 15867,
     /* 2081639 */     GIR_EraseRootFromParent_Done,
     /* 2081640 */   // Label 27639: @2081640
     /* 2081640 */   GIM_Try, /*On fail goto*//*Label 27640*/ GIMT_Encode4(2081731), // Rule ID 15870 //
     /* 2081645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2081656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2081659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2081662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2081665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081691 */     // MIs[0] round
     /* 2081691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081694 */     // MIs[0] policy
     /* 2081694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081704 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2081707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081709 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081730 */     // GIR_Coverage, 15870,
     /* 2081730 */     GIR_EraseRootFromParent_Done,
     /* 2081731 */   // Label 27640: @2081731
     /* 2081731 */   GIM_Try, /*On fail goto*//*Label 27641*/ GIMT_Encode4(2081822), // Rule ID 15871 //
     /* 2081736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2081747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2081750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2081753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2081756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2081759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2081766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2081778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081782 */     // MIs[0] round
     /* 2081782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081785 */     // MIs[0] policy
     /* 2081785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081795 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2081798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081800 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2081818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081821 */     // GIR_Coverage, 15871,
     /* 2081821 */     GIR_EraseRootFromParent_Done,
     /* 2081822 */   // Label 27641: @2081822
     /* 2081822 */   GIM_Try, /*On fail goto*//*Label 27642*/ GIMT_Encode4(2081913), // Rule ID 15874 //
     /* 2081827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2081830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2081844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2081853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081873 */     // MIs[0] round
     /* 2081873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081876 */     // MIs[0] policy
     /* 2081876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081886 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2081886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2081889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2081909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2081911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2081912 */     // GIR_Coverage, 15874,
     /* 2081912 */     GIR_EraseRootFromParent_Done,
     /* 2081913 */   // Label 27642: @2081913
     /* 2081913 */   GIM_Try, /*On fail goto*//*Label 27643*/ GIMT_Encode4(2082004), // Rule ID 15875 //
     /* 2081918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2081921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2081926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2081929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2081932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2081935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2081938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2081941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2081944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2081948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2081960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2081964 */     // MIs[0] round
     /* 2081964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2081967 */     // MIs[0] policy
     /* 2081967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2081970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2081977 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2081977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2081980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2081982 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2081984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2081986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2081988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2081990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2081992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2081997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082003 */     // GIR_Coverage, 15875,
     /* 2082003 */     GIR_EraseRootFromParent_Done,
     /* 2082004 */   // Label 27643: @2082004
     /* 2082004 */   GIM_Try, /*On fail goto*//*Label 27644*/ GIMT_Encode4(2082095), // Rule ID 15878 //
     /* 2082009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2082020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2082023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2082026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2082029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082055 */     // MIs[0] round
     /* 2082055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082058 */     // MIs[0] policy
     /* 2082058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082068 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2082071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082073 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082094 */     // GIR_Coverage, 15878,
     /* 2082094 */     GIR_EraseRootFromParent_Done,
     /* 2082095 */   // Label 27644: @2082095
     /* 2082095 */   GIM_Try, /*On fail goto*//*Label 27645*/ GIMT_Encode4(2082186), // Rule ID 15879 //
     /* 2082100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2082111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2082114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2082117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2082120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082146 */     // MIs[0] round
     /* 2082146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082149 */     // MIs[0] policy
     /* 2082149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082159 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2082162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082164 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082185 */     // GIR_Coverage, 15879,
     /* 2082185 */     GIR_EraseRootFromParent_Done,
     /* 2082186 */   // Label 27645: @2082186
     /* 2082186 */   GIM_Try, /*On fail goto*//*Label 27646*/ GIMT_Encode4(2082277), // Rule ID 15882 //
     /* 2082191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2082202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2082205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2082208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2082211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082237 */     // MIs[0] round
     /* 2082237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082240 */     // MIs[0] policy
     /* 2082240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082250 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2082253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082255 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082276 */     // GIR_Coverage, 15882,
     /* 2082276 */     GIR_EraseRootFromParent_Done,
     /* 2082277 */   // Label 27646: @2082277
     /* 2082277 */   GIM_Try, /*On fail goto*//*Label 27647*/ GIMT_Encode4(2082368), // Rule ID 15883 //
     /* 2082282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2082285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2082293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2082296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2082299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2082302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2082305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082328 */     // MIs[0] round
     /* 2082328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082331 */     // MIs[0] policy
     /* 2082331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082341 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2082344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082346 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2082364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082367 */     // GIR_Coverage, 15883,
     /* 2082367 */     GIR_EraseRootFromParent_Done,
     /* 2082368 */   // Label 27647: @2082368
     /* 2082368 */   GIM_Try, /*On fail goto*//*Label 27648*/ GIMT_Encode4(2082459), // Rule ID 15886 //
     /* 2082373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2082376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2082384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2082387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2082390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2082393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082419 */     // MIs[0] round
     /* 2082419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082422 */     // MIs[0] policy
     /* 2082422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082432 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2082435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082437 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082458 */     // GIR_Coverage, 15886,
     /* 2082458 */     GIR_EraseRootFromParent_Done,
     /* 2082459 */   // Label 27648: @2082459
     /* 2082459 */   GIM_Try, /*On fail goto*//*Label 27649*/ GIMT_Encode4(2082550), // Rule ID 15887 //
     /* 2082464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2082467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2082475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2082478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2082481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2082484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2082487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2082494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2082506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082510 */     // MIs[0] round
     /* 2082510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082513 */     // MIs[0] policy
     /* 2082513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082523 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M2_MASK),
     /* 2082526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082528 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082549 */     // GIR_Coverage, 15887,
     /* 2082549 */     GIR_EraseRootFromParent_Done,
     /* 2082550 */   // Label 27649: @2082550
     /* 2082550 */   GIM_Try, /*On fail goto*//*Label 27650*/ GIMT_Encode4(2082641), // Rule ID 15890 //
     /* 2082555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2082558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2082566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2082569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2082572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2082575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082601 */     // MIs[0] round
     /* 2082601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082604 */     // MIs[0] policy
     /* 2082604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082614 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2082617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082619 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082640 */     // GIR_Coverage, 15890,
     /* 2082640 */     GIR_EraseRootFromParent_Done,
     /* 2082641 */   // Label 27650: @2082641
     /* 2082641 */   GIM_Try, /*On fail goto*//*Label 27651*/ GIMT_Encode4(2082732), // Rule ID 15891 //
     /* 2082646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2082649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2082657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2082660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2082663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2082666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2082669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2082676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2082688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082692 */     // MIs[0] round
     /* 2082692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082695 */     // MIs[0] policy
     /* 2082695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082705 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M4_MASK),
     /* 2082708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082710 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082731 */     // GIR_Coverage, 15891,
     /* 2082731 */     GIR_EraseRootFromParent_Done,
     /* 2082732 */   // Label 27651: @2082732
     /* 2082732 */   GIM_Try, /*On fail goto*//*Label 27652*/ GIMT_Encode4(2082823), // Rule ID 15894 //
     /* 2082737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2082740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2082748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2082751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2082754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2082757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082783 */     // MIs[0] round
     /* 2082783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082786 */     // MIs[0] policy
     /* 2082786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082796 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2082799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082801 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082822 */     // GIR_Coverage, 15894,
     /* 2082822 */     GIR_EraseRootFromParent_Done,
     /* 2082823 */   // Label 27652: @2082823
     /* 2082823 */   GIM_Try, /*On fail goto*//*Label 27653*/ GIMT_Encode4(2082914), // Rule ID 15895 //
     /* 2082828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2082831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2082839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2082842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2082845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2082848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2082851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2082854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2082858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2082870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082874 */     // MIs[0] round
     /* 2082874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082877 */     // MIs[0] policy
     /* 2082877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082887 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2082887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VV_M8_MASK),
     /* 2082890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082892 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2082910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2082912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2082913 */     // GIR_Coverage, 15895,
     /* 2082913 */     GIR_EraseRootFromParent_Done,
     /* 2082914 */   // Label 27653: @2082914
     /* 2082914 */   GIM_Try, /*On fail goto*//*Label 27654*/ GIMT_Encode4(2083005), // Rule ID 15898 //
     /* 2082919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2082922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2082927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2082930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2082933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2082936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2082939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2082942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2082945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2082949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2082957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2082961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2082965 */     // MIs[0] round
     /* 2082965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2082968 */     // MIs[0] policy
     /* 2082968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2082971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2082978 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2082978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2082981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2082983 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2082985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2082987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2082989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2082991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2082993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2082998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083004 */     // GIR_Coverage, 15898,
     /* 2083004 */     GIR_EraseRootFromParent_Done,
     /* 2083005 */   // Label 27654: @2083005
     /* 2083005 */   GIM_Try, /*On fail goto*//*Label 27655*/ GIMT_Encode4(2083096), // Rule ID 15899 //
     /* 2083010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2083021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2083024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2083027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083056 */     // MIs[0] round
     /* 2083056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083059 */     // MIs[0] policy
     /* 2083059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083069 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF8_MASK),
     /* 2083072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083074 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083095 */     // GIR_Coverage, 15899,
     /* 2083095 */     GIR_EraseRootFromParent_Done,
     /* 2083096 */   // Label 27655: @2083096
     /* 2083096 */   GIM_Try, /*On fail goto*//*Label 27656*/ GIMT_Encode4(2083187), // Rule ID 15902 //
     /* 2083101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2083112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2083115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2083118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083147 */     // MIs[0] round
     /* 2083147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083150 */     // MIs[0] policy
     /* 2083150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083160 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2083163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083186 */     // GIR_Coverage, 15902,
     /* 2083186 */     GIR_EraseRootFromParent_Done,
     /* 2083187 */   // Label 27656: @2083187
     /* 2083187 */   GIM_Try, /*On fail goto*//*Label 27657*/ GIMT_Encode4(2083278), // Rule ID 15903 //
     /* 2083192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2083203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2083206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2083209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083238 */     // MIs[0] round
     /* 2083238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083241 */     // MIs[0] policy
     /* 2083241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083251 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2083254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083256 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083277 */     // GIR_Coverage, 15903,
     /* 2083277 */     GIR_EraseRootFromParent_Done,
     /* 2083278 */   // Label 27657: @2083278
     /* 2083278 */   GIM_Try, /*On fail goto*//*Label 27658*/ GIMT_Encode4(2083369), // Rule ID 15906 //
     /* 2083283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2083294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2083297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2083300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083329 */     // MIs[0] round
     /* 2083329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083332 */     // MIs[0] policy
     /* 2083332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083342 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2083345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083347 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083368 */     // GIR_Coverage, 15906,
     /* 2083368 */     GIR_EraseRootFromParent_Done,
     /* 2083369 */   // Label 27658: @2083369
     /* 2083369 */   GIM_Try, /*On fail goto*//*Label 27659*/ GIMT_Encode4(2083460), // Rule ID 15907 //
     /* 2083374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2083385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2083388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2083391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2083397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083420 */     // MIs[0] round
     /* 2083420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083423 */     // MIs[0] policy
     /* 2083423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083433 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2083436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083438 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2083456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083459 */     // GIR_Coverage, 15907,
     /* 2083459 */     GIR_EraseRootFromParent_Done,
     /* 2083460 */   // Label 27659: @2083460
     /* 2083460 */   GIM_Try, /*On fail goto*//*Label 27660*/ GIMT_Encode4(2083551), // Rule ID 15910 //
     /* 2083465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2083482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083511 */     // MIs[0] round
     /* 2083511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083514 */     // MIs[0] policy
     /* 2083514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083524 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2083527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083529 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083550 */     // GIR_Coverage, 15910,
     /* 2083550 */     GIR_EraseRootFromParent_Done,
     /* 2083551 */   // Label 27660: @2083551
     /* 2083551 */   GIM_Try, /*On fail goto*//*Label 27661*/ GIMT_Encode4(2083642), // Rule ID 15911 //
     /* 2083556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2083567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2083570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2083573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083602 */     // MIs[0] round
     /* 2083602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083605 */     // MIs[0] policy
     /* 2083605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083615 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF4_MASK),
     /* 2083618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083620 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083641 */     // GIR_Coverage, 15911,
     /* 2083641 */     GIR_EraseRootFromParent_Done,
     /* 2083642 */   // Label 27661: @2083642
     /* 2083642 */   GIM_Try, /*On fail goto*//*Label 27662*/ GIMT_Encode4(2083733), // Rule ID 15914 //
     /* 2083647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083693 */     // MIs[0] round
     /* 2083693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083696 */     // MIs[0] policy
     /* 2083696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083706 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2083709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083732 */     // GIR_Coverage, 15914,
     /* 2083732 */     GIR_EraseRootFromParent_Done,
     /* 2083733 */   // Label 27662: @2083733
     /* 2083733 */   GIM_Try, /*On fail goto*//*Label 27663*/ GIMT_Encode4(2083824), // Rule ID 15915 //
     /* 2083738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2083749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2083752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2083755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2083761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083784 */     // MIs[0] round
     /* 2083784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083787 */     // MIs[0] policy
     /* 2083787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083797 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2083800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083802 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2083820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083823 */     // GIR_Coverage, 15915,
     /* 2083823 */     GIR_EraseRootFromParent_Done,
     /* 2083824 */   // Label 27663: @2083824
     /* 2083824 */   GIM_Try, /*On fail goto*//*Label 27664*/ GIMT_Encode4(2083915), // Rule ID 15918 //
     /* 2083829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2083832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2083849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2083855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083875 */     // MIs[0] round
     /* 2083875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083878 */     // MIs[0] policy
     /* 2083878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083888 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2083888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2083891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083893 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2083911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2083913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2083914 */     // GIR_Coverage, 15918,
     /* 2083914 */     GIR_EraseRootFromParent_Done,
     /* 2083915 */   // Label 27664: @2083915
     /* 2083915 */   GIM_Try, /*On fail goto*//*Label 27665*/ GIMT_Encode4(2084006), // Rule ID 15919 //
     /* 2083920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2083923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2083928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2083931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2083934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2083937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2083940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2083943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2083946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2083950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2083958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2083962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2083966 */     // MIs[0] round
     /* 2083966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2083969 */     // MIs[0] policy
     /* 2083969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2083972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2083979 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2083979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_MF2_MASK),
     /* 2083982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2083984 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2083986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2083988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2083990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2083992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2083994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2083999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084005 */     // GIR_Coverage, 15919,
     /* 2084005 */     GIR_EraseRootFromParent_Done,
     /* 2084006 */   // Label 27665: @2084006
     /* 2084006 */   GIM_Try, /*On fail goto*//*Label 27666*/ GIMT_Encode4(2084097), // Rule ID 15922 //
     /* 2084011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2084022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2084025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2084028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084057 */     // MIs[0] round
     /* 2084057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084060 */     // MIs[0] policy
     /* 2084060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084070 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2084073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084075 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084096 */     // GIR_Coverage, 15922,
     /* 2084096 */     GIR_EraseRootFromParent_Done,
     /* 2084097 */   // Label 27666: @2084097
     /* 2084097 */   GIM_Try, /*On fail goto*//*Label 27667*/ GIMT_Encode4(2084188), // Rule ID 15923 //
     /* 2084102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2084113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2084116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2084119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2084125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084148 */     // MIs[0] round
     /* 2084148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084151 */     // MIs[0] policy
     /* 2084151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084161 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11602:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2084164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084166 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084187 */     // GIR_Coverage, 15923,
     /* 2084187 */     GIR_EraseRootFromParent_Done,
     /* 2084188 */   // Label 27667: @2084188
     /* 2084188 */   GIM_Try, /*On fail goto*//*Label 27668*/ GIMT_Encode4(2084279), // Rule ID 15926 //
     /* 2084193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2084204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2084207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2084210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084239 */     // MIs[0] round
     /* 2084239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084242 */     // MIs[0] policy
     /* 2084242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084252 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2084255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084257 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084278 */     // GIR_Coverage, 15926,
     /* 2084278 */     GIR_EraseRootFromParent_Done,
     /* 2084279 */   // Label 27668: @2084279
     /* 2084279 */   GIM_Try, /*On fail goto*//*Label 27669*/ GIMT_Encode4(2084370), // Rule ID 15927 //
     /* 2084284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2084295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2084298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2084301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2084307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084330 */     // MIs[0] round
     /* 2084330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084333 */     // MIs[0] policy
     /* 2084333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084343 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11602:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2084346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084348 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2084366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084369 */     // GIR_Coverage, 15927,
     /* 2084369 */     GIR_EraseRootFromParent_Done,
     /* 2084370 */   // Label 27669: @2084370
     /* 2084370 */   GIM_Try, /*On fail goto*//*Label 27670*/ GIMT_Encode4(2084461), // Rule ID 15930 //
     /* 2084375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084421 */     // MIs[0] round
     /* 2084421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084424 */     // MIs[0] policy
     /* 2084424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084434 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2084437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084460 */     // GIR_Coverage, 15930,
     /* 2084460 */     GIR_EraseRootFromParent_Done,
     /* 2084461 */   // Label 27670: @2084461
     /* 2084461 */   GIM_Try, /*On fail goto*//*Label 27671*/ GIMT_Encode4(2084552), // Rule ID 15931 //
     /* 2084466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2084477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2084480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2084483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2084489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084512 */     // MIs[0] round
     /* 2084512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084515 */     // MIs[0] policy
     /* 2084515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084525 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11602:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2084528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084530 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2084548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084551 */     // GIR_Coverage, 15931,
     /* 2084551 */     GIR_EraseRootFromParent_Done,
     /* 2084552 */   // Label 27671: @2084552
     /* 2084552 */   GIM_Try, /*On fail goto*//*Label 27672*/ GIMT_Encode4(2084643), // Rule ID 15934 //
     /* 2084557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2084560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2084568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2084571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084603 */     // MIs[0] round
     /* 2084603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084606 */     // MIs[0] policy
     /* 2084606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084616 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2084619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084621 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2084639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084642 */     // GIR_Coverage, 15934,
     /* 2084642 */     GIR_EraseRootFromParent_Done,
     /* 2084643 */   // Label 27672: @2084643
     /* 2084643 */   GIM_Try, /*On fail goto*//*Label 27673*/ GIMT_Encode4(2084734), // Rule ID 15935 //
     /* 2084648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2084651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2084659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2084662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2084665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2084671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2084678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2084686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084694 */     // MIs[0] round
     /* 2084694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084697 */     // MIs[0] policy
     /* 2084697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084707 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11602:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M1_MASK),
     /* 2084710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084712 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2084730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084733 */     // GIR_Coverage, 15935,
     /* 2084733 */     GIR_EraseRootFromParent_Done,
     /* 2084734 */   // Label 27673: @2084734
     /* 2084734 */   GIM_Try, /*On fail goto*//*Label 27674*/ GIMT_Encode4(2084825), // Rule ID 15938 //
     /* 2084739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2084756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084785 */     // MIs[0] round
     /* 2084785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084788 */     // MIs[0] policy
     /* 2084788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084798 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2084801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084803 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084824 */     // GIR_Coverage, 15938,
     /* 2084824 */     GIR_EraseRootFromParent_Done,
     /* 2084825 */   // Label 27674: @2084825
     /* 2084825 */   GIM_Try, /*On fail goto*//*Label 27675*/ GIMT_Encode4(2084916), // Rule ID 15939 //
     /* 2084830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2084833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2084841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2084844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2084847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2084850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2084853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2084856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2084860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2084868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084876 */     // MIs[0] round
     /* 2084876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084879 */     // MIs[0] policy
     /* 2084879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084889 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2084889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2084892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084894 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2084909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2084912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2084914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2084915 */     // GIR_Coverage, 15939,
     /* 2084915 */     GIR_EraseRootFromParent_Done,
     /* 2084916 */   // Label 27675: @2084916
     /* 2084916 */   GIM_Try, /*On fail goto*//*Label 27676*/ GIMT_Encode4(2085007), // Rule ID 15942 //
     /* 2084921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2084924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2084929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2084932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2084935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2084938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2084941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2084944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2084947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2084951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2084959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2084963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2084967 */     // MIs[0] round
     /* 2084967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2084970 */     // MIs[0] policy
     /* 2084970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2084973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2084980 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2084980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2084983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2084985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2084987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2084989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2084991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2084993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2084995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085006 */     // GIR_Coverage, 15942,
     /* 2085006 */     GIR_EraseRootFromParent_Done,
     /* 2085007 */   // Label 27676: @2085007
     /* 2085007 */   GIM_Try, /*On fail goto*//*Label 27677*/ GIMT_Encode4(2085098), // Rule ID 15943 //
     /* 2085012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2085023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2085026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2085029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085058 */     // MIs[0] round
     /* 2085058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085061 */     // MIs[0] policy
     /* 2085061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085071 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2085074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085076 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085097 */     // GIR_Coverage, 15943,
     /* 2085097 */     GIR_EraseRootFromParent_Done,
     /* 2085098 */   // Label 27677: @2085098
     /* 2085098 */   GIM_Try, /*On fail goto*//*Label 27678*/ GIMT_Encode4(2085189), // Rule ID 15946 //
     /* 2085103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2085114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2085117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2085120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2085126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085149 */     // MIs[0] round
     /* 2085149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085152 */     // MIs[0] policy
     /* 2085152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085162 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2085165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085167 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085188 */     // GIR_Coverage, 15946,
     /* 2085188 */     GIR_EraseRootFromParent_Done,
     /* 2085189 */   // Label 27678: @2085189
     /* 2085189 */   GIM_Try, /*On fail goto*//*Label 27679*/ GIMT_Encode4(2085280), // Rule ID 15947 //
     /* 2085194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2085205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2085208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2085211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2085217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085240 */     // MIs[0] round
     /* 2085240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085243 */     // MIs[0] policy
     /* 2085243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085253 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2085256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085258 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2085276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085279 */     // GIR_Coverage, 15947,
     /* 2085279 */     GIR_EraseRootFromParent_Done,
     /* 2085280 */   // Label 27679: @2085280
     /* 2085280 */   GIM_Try, /*On fail goto*//*Label 27680*/ GIMT_Encode4(2085371), // Rule ID 15950 //
     /* 2085285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085331 */     // MIs[0] round
     /* 2085331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085334 */     // MIs[0] policy
     /* 2085334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085344 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2085347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085349 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085370 */     // GIR_Coverage, 15950,
     /* 2085370 */     GIR_EraseRootFromParent_Done,
     /* 2085371 */   // Label 27680: @2085371
     /* 2085371 */   GIM_Try, /*On fail goto*//*Label 27681*/ GIMT_Encode4(2085462), // Rule ID 15951 //
     /* 2085376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2085387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2085390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2085393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2085399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085422 */     // MIs[0] round
     /* 2085422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085425 */     // MIs[0] policy
     /* 2085425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085435 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2085438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085440 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085461 */     // GIR_Coverage, 15951,
     /* 2085461 */     GIR_EraseRootFromParent_Done,
     /* 2085462 */   // Label 27681: @2085462
     /* 2085462 */   GIM_Try, /*On fail goto*//*Label 27682*/ GIMT_Encode4(2085553), // Rule ID 15954 //
     /* 2085467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085513 */     // MIs[0] round
     /* 2085513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085516 */     // MIs[0] policy
     /* 2085516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085526 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2085529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085531 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085552 */     // GIR_Coverage, 15954,
     /* 2085552 */     GIR_EraseRootFromParent_Done,
     /* 2085553 */   // Label 27682: @2085553
     /* 2085553 */   GIM_Try, /*On fail goto*//*Label 27683*/ GIMT_Encode4(2085644), // Rule ID 15955 //
     /* 2085558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2085569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2085572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2085575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2085581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2085588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2085596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085604 */     // MIs[0] round
     /* 2085604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085607 */     // MIs[0] policy
     /* 2085607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085617 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2085620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085622 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085643 */     // GIR_Coverage, 15955,
     /* 2085643 */     GIR_EraseRootFromParent_Done,
     /* 2085644 */   // Label 27683: @2085644
     /* 2085644 */   GIM_Try, /*On fail goto*//*Label 27684*/ GIMT_Encode4(2085735), // Rule ID 15958 //
     /* 2085649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2085660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2085663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085695 */     // MIs[0] round
     /* 2085695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085698 */     // MIs[0] policy
     /* 2085698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085708 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2085711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085713 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085734 */     // GIR_Coverage, 15958,
     /* 2085734 */     GIR_EraseRootFromParent_Done,
     /* 2085735 */   // Label 27684: @2085735
     /* 2085735 */   GIM_Try, /*On fail goto*//*Label 27685*/ GIMT_Encode4(2085826), // Rule ID 15959 //
     /* 2085740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2085751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2085754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2085757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2085763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2085770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2085778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085786 */     // MIs[0] round
     /* 2085786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085789 */     // MIs[0] policy
     /* 2085789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085799 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2085802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085804 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2085822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085825 */     // GIR_Coverage, 15959,
     /* 2085825 */     GIR_EraseRootFromParent_Done,
     /* 2085826 */   // Label 27685: @2085826
     /* 2085826 */   GIM_Try, /*On fail goto*//*Label 27686*/ GIMT_Encode4(2085917), // Rule ID 15962 //
     /* 2085831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2085834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2085851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2085857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085877 */     // MIs[0] round
     /* 2085877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085880 */     // MIs[0] policy
     /* 2085880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085890 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2085890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2085893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085895 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2085910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2085913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2085915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2085916 */     // GIR_Coverage, 15962,
     /* 2085916 */     GIR_EraseRootFromParent_Done,
     /* 2085917 */   // Label 27686: @2085917
     /* 2085917 */   GIM_Try, /*On fail goto*//*Label 27687*/ GIMT_Encode4(2086008), // Rule ID 15963 //
     /* 2085922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2085925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2085930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2085933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2085936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2085939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2085942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2085945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2085948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2085952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2085960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2085964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2085968 */     // MIs[0] round
     /* 2085968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2085971 */     // MIs[0] policy
     /* 2085971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2085974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2085981 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2085981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2085984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2085986 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2085988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2085990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2085992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2085994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2085996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086007 */     // GIR_Coverage, 15963,
     /* 2086007 */     GIR_EraseRootFromParent_Done,
     /* 2086008 */   // Label 27687: @2086008
     /* 2086008 */   GIM_Try, /*On fail goto*//*Label 27688*/ GIMT_Encode4(2086099), // Rule ID 15966 //
     /* 2086013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086059 */     // MIs[0] round
     /* 2086059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086062 */     // MIs[0] policy
     /* 2086062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086072 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2086075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086077 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086098 */     // GIR_Coverage, 15966,
     /* 2086098 */     GIR_EraseRootFromParent_Done,
     /* 2086099 */   // Label 27688: @2086099
     /* 2086099 */   GIM_Try, /*On fail goto*//*Label 27689*/ GIMT_Encode4(2086190), // Rule ID 15967 //
     /* 2086104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2086115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2086118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2086121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086150 */     // MIs[0] round
     /* 2086150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086153 */     // MIs[0] policy
     /* 2086153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086163 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2086166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086168 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086189 */     // GIR_Coverage, 15967,
     /* 2086189 */     GIR_EraseRootFromParent_Done,
     /* 2086190 */   // Label 27689: @2086190
     /* 2086190 */   GIM_Try, /*On fail goto*//*Label 27690*/ GIMT_Encode4(2086281), // Rule ID 15970 //
     /* 2086195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086241 */     // MIs[0] round
     /* 2086241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086244 */     // MIs[0] policy
     /* 2086244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086254 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2086257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086280 */     // GIR_Coverage, 15970,
     /* 2086280 */     GIR_EraseRootFromParent_Done,
     /* 2086281 */   // Label 27690: @2086281
     /* 2086281 */   GIM_Try, /*On fail goto*//*Label 27691*/ GIMT_Encode4(2086372), // Rule ID 15971 //
     /* 2086286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2086289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2086297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2086300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2086303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2086309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086332 */     // MIs[0] round
     /* 2086332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086335 */     // MIs[0] policy
     /* 2086335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086345 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2086348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086350 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2086368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086371 */     // GIR_Coverage, 15971,
     /* 2086371 */     GIR_EraseRootFromParent_Done,
     /* 2086372 */   // Label 27691: @2086372
     /* 2086372 */   GIM_Try, /*On fail goto*//*Label 27692*/ GIMT_Encode4(2086463), // Rule ID 15974 //
     /* 2086377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2086388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2086391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086423 */     // MIs[0] round
     /* 2086423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086426 */     // MIs[0] policy
     /* 2086426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086436 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2086439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086441 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086462 */     // GIR_Coverage, 15974,
     /* 2086462 */     GIR_EraseRootFromParent_Done,
     /* 2086463 */   // Label 27692: @2086463
     /* 2086463 */   GIM_Try, /*On fail goto*//*Label 27693*/ GIMT_Encode4(2086554), // Rule ID 15975 //
     /* 2086468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2086479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2086482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2086485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2086491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2086498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2086506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086514 */     // MIs[0] round
     /* 2086514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086517 */     // MIs[0] policy
     /* 2086517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086527 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11602:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M2_MASK),
     /* 2086530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086532 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086553 */     // GIR_Coverage, 15975,
     /* 2086553 */     GIR_EraseRootFromParent_Done,
     /* 2086554 */   // Label 27693: @2086554
     /* 2086554 */   GIM_Try, /*On fail goto*//*Label 27694*/ GIMT_Encode4(2086645), // Rule ID 15978 //
     /* 2086559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2086570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2086573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086605 */     // MIs[0] round
     /* 2086605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086608 */     // MIs[0] policy
     /* 2086608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086618 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2086621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086623 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086644 */     // GIR_Coverage, 15978,
     /* 2086644 */     GIR_EraseRootFromParent_Done,
     /* 2086645 */   // Label 27694: @2086645
     /* 2086645 */   GIM_Try, /*On fail goto*//*Label 27695*/ GIMT_Encode4(2086736), // Rule ID 15979 //
     /* 2086650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2086661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2086664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2086667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2086673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2086680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2086688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086696 */     // MIs[0] round
     /* 2086696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086699 */     // MIs[0] policy
     /* 2086699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086709 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11602:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M4_MASK),
     /* 2086712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086714 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086735 */     // GIR_Coverage, 15979,
     /* 2086735 */     GIR_EraseRootFromParent_Done,
     /* 2086736 */   // Label 27695: @2086736
     /* 2086736 */   GIM_Try, /*On fail goto*//*Label 27696*/ GIMT_Encode4(2086827), // Rule ID 15982 //
     /* 2086741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2086744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2086752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2086755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2086761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086787 */     // MIs[0] round
     /* 2086787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086790 */     // MIs[0] policy
     /* 2086790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086800 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2086803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086826 */     // GIR_Coverage, 15982,
     /* 2086826 */     GIR_EraseRootFromParent_Done,
     /* 2086827 */   // Label 27696: @2086827
     /* 2086827 */   GIM_Try, /*On fail goto*//*Label 27697*/ GIMT_Encode4(2086918), // Rule ID 15983 //
     /* 2086832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2086835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssrl_mask),
     /* 2086840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2086843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2086846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2086849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2086852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2086855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2086858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2086862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2086870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2086874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086878 */     // MIs[0] round
     /* 2086878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086881 */     // MIs[0] policy
     /* 2086881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086891 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11602:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRL_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2086891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRL_VX_M8_MASK),
     /* 2086894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086896 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2086911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2086914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2086916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2086917 */     // GIR_Coverage, 15983,
     /* 2086917 */     GIR_EraseRootFromParent_Done,
     /* 2086918 */   // Label 27697: @2086918
     /* 2086918 */   GIM_Try, /*On fail goto*//*Label 27698*/ GIMT_Encode4(2087009), // Rule ID 16074 //
     /* 2086923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2086926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2086931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2086934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2086937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2086940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2086943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2086946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2086949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2086953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2086965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2086969 */     // MIs[0] round
     /* 2086969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2086972 */     // MIs[0] policy
     /* 2086972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2086975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2086982 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2086982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2086985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2086987 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2086989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2086991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2086993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2086995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2086997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087008 */     // GIR_Coverage, 16074,
     /* 2087008 */     GIR_EraseRootFromParent_Done,
     /* 2087009 */   // Label 27698: @2087009
     /* 2087009 */   GIM_Try, /*On fail goto*//*Label 27699*/ GIMT_Encode4(2087100), // Rule ID 16075 //
     /* 2087014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2087025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2087028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2087031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2087034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087060 */     // MIs[0] round
     /* 2087060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087063 */     // MIs[0] policy
     /* 2087063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087073 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF8_MASK),
     /* 2087076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087078 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087099 */     // GIR_Coverage, 16075,
     /* 2087099 */     GIR_EraseRootFromParent_Done,
     /* 2087100 */   // Label 27699: @2087100
     /* 2087100 */   GIM_Try, /*On fail goto*//*Label 27700*/ GIMT_Encode4(2087191), // Rule ID 16078 //
     /* 2087105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2087122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2087125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087151 */     // MIs[0] round
     /* 2087151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087154 */     // MIs[0] policy
     /* 2087154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087164 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2087167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087169 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087190 */     // GIR_Coverage, 16078,
     /* 2087190 */     GIR_EraseRootFromParent_Done,
     /* 2087191 */   // Label 27700: @2087191
     /* 2087191 */   GIM_Try, /*On fail goto*//*Label 27701*/ GIMT_Encode4(2087282), // Rule ID 16079 //
     /* 2087196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2087207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2087210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2087213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2087216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087242 */     // MIs[0] round
     /* 2087242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087245 */     // MIs[0] policy
     /* 2087245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087255 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2087258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087260 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087281 */     // GIR_Coverage, 16079,
     /* 2087281 */     GIR_EraseRootFromParent_Done,
     /* 2087282 */   // Label 27701: @2087282
     /* 2087282 */   GIM_Try, /*On fail goto*//*Label 27702*/ GIMT_Encode4(2087373), // Rule ID 16082 //
     /* 2087287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2087304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2087307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087333 */     // MIs[0] round
     /* 2087333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087336 */     // MIs[0] policy
     /* 2087336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087346 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2087349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087351 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087372 */     // GIR_Coverage, 16082,
     /* 2087372 */     GIR_EraseRootFromParent_Done,
     /* 2087373 */   // Label 27702: @2087373
     /* 2087373 */   GIM_Try, /*On fail goto*//*Label 27703*/ GIMT_Encode4(2087464), // Rule ID 16083 //
     /* 2087378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2087389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2087392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2087395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2087398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2087401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087424 */     // MIs[0] round
     /* 2087424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087427 */     // MIs[0] policy
     /* 2087427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087437 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2087440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087442 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2087460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087463 */     // GIR_Coverage, 16083,
     /* 2087463 */     GIR_EraseRootFromParent_Done,
     /* 2087464 */   // Label 27703: @2087464
     /* 2087464 */   GIM_Try, /*On fail goto*//*Label 27704*/ GIMT_Encode4(2087555), // Rule ID 16086 //
     /* 2087469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2087489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087515 */     // MIs[0] round
     /* 2087515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087518 */     // MIs[0] policy
     /* 2087518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087528 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2087531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087554 */     // GIR_Coverage, 16086,
     /* 2087554 */     GIR_EraseRootFromParent_Done,
     /* 2087555 */   // Label 27704: @2087555
     /* 2087555 */   GIM_Try, /*On fail goto*//*Label 27705*/ GIMT_Encode4(2087646), // Rule ID 16087 //
     /* 2087560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2087571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2087574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2087577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2087580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087606 */     // MIs[0] round
     /* 2087606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087609 */     // MIs[0] policy
     /* 2087609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087619 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF4_MASK),
     /* 2087622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087624 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087645 */     // GIR_Coverage, 16087,
     /* 2087645 */     GIR_EraseRootFromParent_Done,
     /* 2087646 */   // Label 27705: @2087646
     /* 2087646 */   GIM_Try, /*On fail goto*//*Label 27706*/ GIMT_Encode4(2087737), // Rule ID 16090 //
     /* 2087651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2087671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087697 */     // MIs[0] round
     /* 2087697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087700 */     // MIs[0] policy
     /* 2087700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087710 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2087713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087715 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087736 */     // GIR_Coverage, 16090,
     /* 2087736 */     GIR_EraseRootFromParent_Done,
     /* 2087737 */   // Label 27706: @2087737
     /* 2087737 */   GIM_Try, /*On fail goto*//*Label 27707*/ GIMT_Encode4(2087828), // Rule ID 16091 //
     /* 2087742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2087753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2087756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2087759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2087762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2087765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087788 */     // MIs[0] round
     /* 2087788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087791 */     // MIs[0] policy
     /* 2087791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087801 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2087804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087806 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2087824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087827 */     // GIR_Coverage, 16091,
     /* 2087827 */     GIR_EraseRootFromParent_Done,
     /* 2087828 */   // Label 27707: @2087828
     /* 2087828 */   GIM_Try, /*On fail goto*//*Label 27708*/ GIMT_Encode4(2087919), // Rule ID 16094 //
     /* 2087833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2087836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2087859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087879 */     // MIs[0] round
     /* 2087879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087882 */     // MIs[0] policy
     /* 2087882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087892 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2087892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2087895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087897 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2087912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2087915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2087917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2087918 */     // GIR_Coverage, 16094,
     /* 2087918 */     GIR_EraseRootFromParent_Done,
     /* 2087919 */   // Label 27708: @2087919
     /* 2087919 */   GIM_Try, /*On fail goto*//*Label 27709*/ GIMT_Encode4(2088010), // Rule ID 16095 //
     /* 2087924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2087927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2087932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2087935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2087938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2087941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2087944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2087947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2087950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2087954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2087966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2087970 */     // MIs[0] round
     /* 2087970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2087973 */     // MIs[0] policy
     /* 2087973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2087976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2087983 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2087983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_MF2_MASK),
     /* 2087986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2087988 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2087990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2087992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2087994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2087996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2087998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088009 */     // GIR_Coverage, 16095,
     /* 2088009 */     GIR_EraseRootFromParent_Done,
     /* 2088010 */   // Label 27709: @2088010
     /* 2088010 */   GIM_Try, /*On fail goto*//*Label 27710*/ GIMT_Encode4(2088101), // Rule ID 16098 //
     /* 2088015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2088032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2088035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088061 */     // MIs[0] round
     /* 2088061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088064 */     // MIs[0] policy
     /* 2088064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088074 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2088077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088100 */     // GIR_Coverage, 16098,
     /* 2088100 */     GIR_EraseRootFromParent_Done,
     /* 2088101 */   // Label 27710: @2088101
     /* 2088101 */   GIM_Try, /*On fail goto*//*Label 27711*/ GIMT_Encode4(2088192), // Rule ID 16099 //
     /* 2088106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2088117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2088120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2088123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2088126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2088129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088152 */     // MIs[0] round
     /* 2088152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088155 */     // MIs[0] policy
     /* 2088155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088165 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2088168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088170 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088191 */     // GIR_Coverage, 16099,
     /* 2088191 */     GIR_EraseRootFromParent_Done,
     /* 2088192 */   // Label 27711: @2088192
     /* 2088192 */   GIM_Try, /*On fail goto*//*Label 27712*/ GIMT_Encode4(2088283), // Rule ID 16102 //
     /* 2088197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2088208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2088211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2088217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088243 */     // MIs[0] round
     /* 2088243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088246 */     // MIs[0] policy
     /* 2088246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088256 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2088259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088261 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088282 */     // GIR_Coverage, 16102,
     /* 2088282 */     GIR_EraseRootFromParent_Done,
     /* 2088283 */   // Label 27712: @2088283
     /* 2088283 */   GIM_Try, /*On fail goto*//*Label 27713*/ GIMT_Encode4(2088374), // Rule ID 16103 //
     /* 2088288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2088299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2088302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2088305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2088308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2088311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088334 */     // MIs[0] round
     /* 2088334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088337 */     // MIs[0] policy
     /* 2088337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088347 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2088350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088352 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2088370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088373 */     // GIR_Coverage, 16103,
     /* 2088373 */     GIR_EraseRootFromParent_Done,
     /* 2088374 */   // Label 27713: @2088374
     /* 2088374 */   GIM_Try, /*On fail goto*//*Label 27714*/ GIMT_Encode4(2088465), // Rule ID 16106 //
     /* 2088379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2088399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088425 */     // MIs[0] round
     /* 2088425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088428 */     // MIs[0] policy
     /* 2088428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088438 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2088441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088443 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088464 */     // GIR_Coverage, 16106,
     /* 2088464 */     GIR_EraseRootFromParent_Done,
     /* 2088465 */   // Label 27714: @2088465
     /* 2088465 */   GIM_Try, /*On fail goto*//*Label 27715*/ GIMT_Encode4(2088556), // Rule ID 16107 //
     /* 2088470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2088481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2088484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2088487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2088490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2088493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088516 */     // MIs[0] round
     /* 2088516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088519 */     // MIs[0] policy
     /* 2088519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088529 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2088532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088534 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2088552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088555 */     // GIR_Coverage, 16107,
     /* 2088555 */     GIR_EraseRootFromParent_Done,
     /* 2088556 */   // Label 27715: @2088556
     /* 2088556 */   GIM_Try, /*On fail goto*//*Label 27716*/ GIMT_Encode4(2088647), // Rule ID 16110 //
     /* 2088561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2088564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2088572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2088575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2088581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088607 */     // MIs[0] round
     /* 2088607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088610 */     // MIs[0] policy
     /* 2088610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088620 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2088623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088625 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2088643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088646 */     // GIR_Coverage, 16110,
     /* 2088646 */     GIR_EraseRootFromParent_Done,
     /* 2088647 */   // Label 27716: @2088647
     /* 2088647 */   GIM_Try, /*On fail goto*//*Label 27717*/ GIMT_Encode4(2088738), // Rule ID 16111 //
     /* 2088652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2088655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2088663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2088666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2088669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2088672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2088675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2088682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2088694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088698 */     // MIs[0] round
     /* 2088698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088701 */     // MIs[0] policy
     /* 2088701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088711 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M1_MASK),
     /* 2088714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088716 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2088734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088737 */     // GIR_Coverage, 16111,
     /* 2088737 */     GIR_EraseRootFromParent_Done,
     /* 2088738 */   // Label 27717: @2088738
     /* 2088738 */   GIM_Try, /*On fail goto*//*Label 27718*/ GIMT_Encode4(2088829), // Rule ID 16114 //
     /* 2088743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2088760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2088763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088789 */     // MIs[0] round
     /* 2088789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088792 */     // MIs[0] policy
     /* 2088792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088802 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2088805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088807 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088828 */     // GIR_Coverage, 16114,
     /* 2088828 */     GIR_EraseRootFromParent_Done,
     /* 2088829 */   // Label 27718: @2088829
     /* 2088829 */   GIM_Try, /*On fail goto*//*Label 27719*/ GIMT_Encode4(2088920), // Rule ID 16115 //
     /* 2088834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2088837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2088845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2088848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2088851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2088854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2088857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2088860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2088864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2088876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088880 */     // MIs[0] round
     /* 2088880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088883 */     // MIs[0] policy
     /* 2088883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088893 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2088893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2088896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088898 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2088913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2088916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2088918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2088919 */     // GIR_Coverage, 16115,
     /* 2088919 */     GIR_EraseRootFromParent_Done,
     /* 2088920 */   // Label 27719: @2088920
     /* 2088920 */   GIM_Try, /*On fail goto*//*Label 27720*/ GIMT_Encode4(2089011), // Rule ID 16118 //
     /* 2088925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2088928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2088933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2088936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2088939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2088942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2088945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2088948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2088951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2088955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2088967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2088971 */     // MIs[0] round
     /* 2088971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2088974 */     // MIs[0] policy
     /* 2088974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2088977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2088984 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2088984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2088987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2088989 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2088991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2088993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2088995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2088997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2088999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089010 */     // GIR_Coverage, 16118,
     /* 2089010 */     GIR_EraseRootFromParent_Done,
     /* 2089011 */   // Label 27720: @2089011
     /* 2089011 */   GIM_Try, /*On fail goto*//*Label 27721*/ GIMT_Encode4(2089102), // Rule ID 16119 //
     /* 2089016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2089027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2089030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2089033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2089036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089062 */     // MIs[0] round
     /* 2089062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089065 */     // MIs[0] policy
     /* 2089065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089075 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2089078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089080 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089101 */     // GIR_Coverage, 16119,
     /* 2089101 */     GIR_EraseRootFromParent_Done,
     /* 2089102 */   // Label 27721: @2089102
     /* 2089102 */   GIM_Try, /*On fail goto*//*Label 27722*/ GIMT_Encode4(2089193), // Rule ID 16122 //
     /* 2089107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2089118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2089121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2089124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2089127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2089130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089153 */     // MIs[0] round
     /* 2089153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089156 */     // MIs[0] policy
     /* 2089156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089166 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2089169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089171 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089192 */     // GIR_Coverage, 16122,
     /* 2089192 */     GIR_EraseRootFromParent_Done,
     /* 2089193 */   // Label 27722: @2089193
     /* 2089193 */   GIM_Try, /*On fail goto*//*Label 27723*/ GIMT_Encode4(2089284), // Rule ID 16123 //
     /* 2089198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2089209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2089212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2089215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s8,
     /* 2089218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2089221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089244 */     // MIs[0] round
     /* 2089244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089247 */     // MIs[0] policy
     /* 2089247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089257 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2089260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089262 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2089280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089283 */     // GIR_Coverage, 16123,
     /* 2089283 */     GIR_EraseRootFromParent_Done,
     /* 2089284 */   // Label 27723: @2089284
     /* 2089284 */   GIM_Try, /*On fail goto*//*Label 27724*/ GIMT_Encode4(2089375), // Rule ID 16126 //
     /* 2089289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2089309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089335 */     // MIs[0] round
     /* 2089335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089338 */     // MIs[0] policy
     /* 2089338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089348 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2089351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089374 */     // GIR_Coverage, 16126,
     /* 2089374 */     GIR_EraseRootFromParent_Done,
     /* 2089375 */   // Label 27724: @2089375
     /* 2089375 */   GIM_Try, /*On fail goto*//*Label 27725*/ GIMT_Encode4(2089466), // Rule ID 16127 //
     /* 2089380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2089391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2089394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2089397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2089400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2089403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089426 */     // MIs[0] round
     /* 2089426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089429 */     // MIs[0] policy
     /* 2089429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089439 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2089442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089444 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089465 */     // GIR_Coverage, 16127,
     /* 2089465 */     GIR_EraseRootFromParent_Done,
     /* 2089466 */   // Label 27725: @2089466
     /* 2089466 */   GIM_Try, /*On fail goto*//*Label 27726*/ GIMT_Encode4(2089557), // Rule ID 16130 //
     /* 2089471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2089488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2089491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089517 */     // MIs[0] round
     /* 2089517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089520 */     // MIs[0] policy
     /* 2089520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089530 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2089533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089535 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089556 */     // GIR_Coverage, 16130,
     /* 2089556 */     GIR_EraseRootFromParent_Done,
     /* 2089557 */   // Label 27726: @2089557
     /* 2089557 */   GIM_Try, /*On fail goto*//*Label 27727*/ GIMT_Encode4(2089648), // Rule ID 16131 //
     /* 2089562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2089573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2089576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2089579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2089582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2089585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2089592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2089604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089608 */     // MIs[0] round
     /* 2089608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089611 */     // MIs[0] policy
     /* 2089611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089621 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2089624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089626 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089647 */     // GIR_Coverage, 16131,
     /* 2089647 */     GIR_EraseRootFromParent_Done,
     /* 2089648 */   // Label 27727: @2089648
     /* 2089648 */   GIM_Try, /*On fail goto*//*Label 27728*/ GIMT_Encode4(2089739), // Rule ID 16134 //
     /* 2089653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2089664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2089667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2089670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2089673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089699 */     // MIs[0] round
     /* 2089699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089702 */     // MIs[0] policy
     /* 2089702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089712 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2089715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089717 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089738 */     // GIR_Coverage, 16134,
     /* 2089738 */     GIR_EraseRootFromParent_Done,
     /* 2089739 */   // Label 27728: @2089739
     /* 2089739 */   GIM_Try, /*On fail goto*//*Label 27729*/ GIMT_Encode4(2089830), // Rule ID 16135 //
     /* 2089744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2089755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2089758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2089761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2089764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2089767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2089774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2089786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089790 */     // MIs[0] round
     /* 2089790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089793 */     // MIs[0] policy
     /* 2089793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089803 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2089806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089808 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2089826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089829 */     // GIR_Coverage, 16135,
     /* 2089829 */     GIR_EraseRootFromParent_Done,
     /* 2089830 */   // Label 27729: @2089830
     /* 2089830 */   GIM_Try, /*On fail goto*//*Label 27730*/ GIMT_Encode4(2089921), // Rule ID 16138 //
     /* 2089835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2089838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2089855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2089861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089881 */     // MIs[0] round
     /* 2089881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089884 */     // MIs[0] policy
     /* 2089884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2089894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2089897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2089909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2089914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2089917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2089919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2089920 */     // GIR_Coverage, 16138,
     /* 2089920 */     GIR_EraseRootFromParent_Done,
     /* 2089921 */   // Label 27730: @2089921
     /* 2089921 */   GIM_Try, /*On fail goto*//*Label 27731*/ GIMT_Encode4(2090012), // Rule ID 16139 //
     /* 2089926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2089929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2089934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2089937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2089940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2089943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2089946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2089949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2089952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2089956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2089968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2089972 */     // MIs[0] round
     /* 2089972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2089975 */     // MIs[0] policy
     /* 2089975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2089978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2089985 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2089985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2089988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2089990 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2089992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2089994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2089996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2089998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090011 */     // GIR_Coverage, 16139,
     /* 2090011 */     GIR_EraseRootFromParent_Done,
     /* 2090012 */   // Label 27731: @2090012
     /* 2090012 */   GIM_Try, /*On fail goto*//*Label 27732*/ GIMT_Encode4(2090103), // Rule ID 16142 //
     /* 2090017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2090037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090063 */     // MIs[0] round
     /* 2090063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090066 */     // MIs[0] policy
     /* 2090066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090076 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2090079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090081 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090102 */     // GIR_Coverage, 16142,
     /* 2090102 */     GIR_EraseRootFromParent_Done,
     /* 2090103 */   // Label 27732: @2090103
     /* 2090103 */   GIM_Try, /*On fail goto*//*Label 27733*/ GIMT_Encode4(2090194), // Rule ID 16143 //
     /* 2090108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2090119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2090122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2090125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2090128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090154 */     // MIs[0] round
     /* 2090154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090157 */     // MIs[0] policy
     /* 2090157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090167 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2090170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090172 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090193 */     // GIR_Coverage, 16143,
     /* 2090193 */     GIR_EraseRootFromParent_Done,
     /* 2090194 */   // Label 27733: @2090194
     /* 2090194 */   GIM_Try, /*On fail goto*//*Label 27734*/ GIMT_Encode4(2090285), // Rule ID 16146 //
     /* 2090199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2090210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2090213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2090216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2090219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090245 */     // MIs[0] round
     /* 2090245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090248 */     // MIs[0] policy
     /* 2090248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090258 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2090261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090263 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090284 */     // GIR_Coverage, 16146,
     /* 2090284 */     GIR_EraseRootFromParent_Done,
     /* 2090285 */   // Label 27734: @2090285
     /* 2090285 */   GIM_Try, /*On fail goto*//*Label 27735*/ GIMT_Encode4(2090376), // Rule ID 16147 //
     /* 2090290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2090293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2090301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2090304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2090307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2090310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2090313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090336 */     // MIs[0] round
     /* 2090336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090339 */     // MIs[0] policy
     /* 2090339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090349 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2090352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090354 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2090372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090375 */     // GIR_Coverage, 16147,
     /* 2090375 */     GIR_EraseRootFromParent_Done,
     /* 2090376 */   // Label 27735: @2090376
     /* 2090376 */   GIM_Try, /*On fail goto*//*Label 27736*/ GIMT_Encode4(2090467), // Rule ID 16150 //
     /* 2090381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2090384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2090392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2090395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2090401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090427 */     // MIs[0] round
     /* 2090427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090430 */     // MIs[0] policy
     /* 2090430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090440 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2090443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090445 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090466 */     // GIR_Coverage, 16150,
     /* 2090466 */     GIR_EraseRootFromParent_Done,
     /* 2090467 */   // Label 27736: @2090467
     /* 2090467 */   GIM_Try, /*On fail goto*//*Label 27737*/ GIMT_Encode4(2090558), // Rule ID 16151 //
     /* 2090472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2090475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2090483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2090486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2090489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2090492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2090495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2090502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2090514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090518 */     // MIs[0] round
     /* 2090518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090521 */     // MIs[0] policy
     /* 2090521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090531 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M2_MASK),
     /* 2090534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090536 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090557 */     // GIR_Coverage, 16151,
     /* 2090557 */     GIR_EraseRootFromParent_Done,
     /* 2090558 */   // Label 27737: @2090558
     /* 2090558 */   GIM_Try, /*On fail goto*//*Label 27738*/ GIMT_Encode4(2090649), // Rule ID 16154 //
     /* 2090563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2090566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2090574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2090577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2090583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090609 */     // MIs[0] round
     /* 2090609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090612 */     // MIs[0] policy
     /* 2090612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090622 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2090625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090648 */     // GIR_Coverage, 16154,
     /* 2090648 */     GIR_EraseRootFromParent_Done,
     /* 2090649 */   // Label 27738: @2090649
     /* 2090649 */   GIM_Try, /*On fail goto*//*Label 27739*/ GIMT_Encode4(2090740), // Rule ID 16155 //
     /* 2090654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2090657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2090665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2090668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2090671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2090674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2090677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2090684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2090696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090700 */     // MIs[0] round
     /* 2090700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090703 */     // MIs[0] policy
     /* 2090703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090713 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M4_MASK),
     /* 2090716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090718 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090739 */     // GIR_Coverage, 16155,
     /* 2090739 */     GIR_EraseRootFromParent_Done,
     /* 2090740 */   // Label 27739: @2090740
     /* 2090740 */   GIM_Try, /*On fail goto*//*Label 27740*/ GIMT_Encode4(2090831), // Rule ID 16158 //
     /* 2090745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2090748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2090756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2090759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2090765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090791 */     // MIs[0] round
     /* 2090791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090794 */     // MIs[0] policy
     /* 2090794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090804 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2090807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090809 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090830 */     // GIR_Coverage, 16158,
     /* 2090830 */     GIR_EraseRootFromParent_Done,
     /* 2090831 */   // Label 27740: @2090831
     /* 2090831 */   GIM_Try, /*On fail goto*//*Label 27741*/ GIMT_Encode4(2090922), // Rule ID 16159 //
     /* 2090836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2090839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2090847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2090850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2090853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2090856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2090859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2090862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2090866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2090878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090882 */     // MIs[0] round
     /* 2090882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090885 */     // MIs[0] policy
     /* 2090885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090895 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VV_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2090895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VV_M8_MASK),
     /* 2090898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090900 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2090910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2090915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2090918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2090920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2090921 */     // GIR_Coverage, 16159,
     /* 2090921 */     GIR_EraseRootFromParent_Done,
     /* 2090922 */   // Label 27741: @2090922
     /* 2090922 */   GIM_Try, /*On fail goto*//*Label 27742*/ GIMT_Encode4(2091013), // Rule ID 16162 //
     /* 2090927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2090930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2090935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2090938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2090941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2090944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2090947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2090950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2090953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2090957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2090965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2090969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2090973 */     // MIs[0] round
     /* 2090973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2090976 */     // MIs[0] policy
     /* 2090976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2090979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2090986 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2090986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2090989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2090991 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2090993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2090995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2090997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2090999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091012 */     // GIR_Coverage, 16162,
     /* 2091012 */     GIR_EraseRootFromParent_Done,
     /* 2091013 */   // Label 27742: @2091013
     /* 2091013 */   GIM_Try, /*On fail goto*//*Label 27743*/ GIMT_Encode4(2091104), // Rule ID 16163 //
     /* 2091018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2091029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2091032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2091035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091064 */     // MIs[0] round
     /* 2091064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091067 */     // MIs[0] policy
     /* 2091067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091077 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF8_MASK),
     /* 2091080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091082 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091103 */     // GIR_Coverage, 16163,
     /* 2091103 */     GIR_EraseRootFromParent_Done,
     /* 2091104 */   // Label 27743: @2091104
     /* 2091104 */   GIM_Try, /*On fail goto*//*Label 27744*/ GIMT_Encode4(2091195), // Rule ID 16166 //
     /* 2091109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2091120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2091123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2091126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091155 */     // MIs[0] round
     /* 2091155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091158 */     // MIs[0] policy
     /* 2091158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091168 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2091171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091194 */     // GIR_Coverage, 16166,
     /* 2091194 */     GIR_EraseRootFromParent_Done,
     /* 2091195 */   // Label 27744: @2091195
     /* 2091195 */   GIM_Try, /*On fail goto*//*Label 27745*/ GIMT_Encode4(2091286), // Rule ID 16167 //
     /* 2091200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2091211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2091214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2091217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091246 */     // MIs[0] round
     /* 2091246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091249 */     // MIs[0] policy
     /* 2091249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091259 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2091262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091264 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091285 */     // GIR_Coverage, 16167,
     /* 2091285 */     GIR_EraseRootFromParent_Done,
     /* 2091286 */   // Label 27745: @2091286
     /* 2091286 */   GIM_Try, /*On fail goto*//*Label 27746*/ GIMT_Encode4(2091377), // Rule ID 16170 //
     /* 2091291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2091302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2091305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2091308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091337 */     // MIs[0] round
     /* 2091337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091340 */     // MIs[0] policy
     /* 2091340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091350 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2091353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091355 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091376 */     // GIR_Coverage, 16170,
     /* 2091376 */     GIR_EraseRootFromParent_Done,
     /* 2091377 */   // Label 27746: @2091377
     /* 2091377 */   GIM_Try, /*On fail goto*//*Label 27747*/ GIMT_Encode4(2091468), // Rule ID 16171 //
     /* 2091382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2091393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2091396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2091399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2091405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091428 */     // MIs[0] round
     /* 2091428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091431 */     // MIs[0] policy
     /* 2091431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091441 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2091444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091446 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2091464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091467 */     // GIR_Coverage, 16171,
     /* 2091467 */     GIR_EraseRootFromParent_Done,
     /* 2091468 */   // Label 27747: @2091468
     /* 2091468 */   GIM_Try, /*On fail goto*//*Label 27748*/ GIMT_Encode4(2091559), // Rule ID 16174 //
     /* 2091473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2091484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2091487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2091490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091519 */     // MIs[0] round
     /* 2091519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091522 */     // MIs[0] policy
     /* 2091522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091532 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2091535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091537 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091558 */     // GIR_Coverage, 16174,
     /* 2091558 */     GIR_EraseRootFromParent_Done,
     /* 2091559 */   // Label 27748: @2091559
     /* 2091559 */   GIM_Try, /*On fail goto*//*Label 27749*/ GIMT_Encode4(2091650), // Rule ID 16175 //
     /* 2091564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2091575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2091578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2091581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091610 */     // MIs[0] round
     /* 2091610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091613 */     // MIs[0] policy
     /* 2091613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091623 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF4_MASK),
     /* 2091626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091628 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091649 */     // GIR_Coverage, 16175,
     /* 2091649 */     GIR_EraseRootFromParent_Done,
     /* 2091650 */   // Label 27749: @2091650
     /* 2091650 */   GIM_Try, /*On fail goto*//*Label 27750*/ GIMT_Encode4(2091741), // Rule ID 16178 //
     /* 2091655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2091666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2091669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2091672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091701 */     // MIs[0] round
     /* 2091701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091704 */     // MIs[0] policy
     /* 2091704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091714 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2091717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091719 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091740 */     // GIR_Coverage, 16178,
     /* 2091740 */     GIR_EraseRootFromParent_Done,
     /* 2091741 */   // Label 27750: @2091741
     /* 2091741 */   GIM_Try, /*On fail goto*//*Label 27751*/ GIMT_Encode4(2091832), // Rule ID 16179 //
     /* 2091746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2091757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2091760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2091763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2091769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091792 */     // MIs[0] round
     /* 2091792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091795 */     // MIs[0] policy
     /* 2091795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091805 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2091808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091810 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2091828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091831 */     // GIR_Coverage, 16179,
     /* 2091831 */     GIR_EraseRootFromParent_Done,
     /* 2091832 */   // Label 27751: @2091832
     /* 2091832 */   GIM_Try, /*On fail goto*//*Label 27752*/ GIMT_Encode4(2091923), // Rule ID 16182 //
     /* 2091837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2091840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2091854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2091857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2091863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091883 */     // MIs[0] round
     /* 2091883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091886 */     // MIs[0] policy
     /* 2091886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091896 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2091896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2091899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091901 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2091909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2091911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2091916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2091919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2091921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2091922 */     // GIR_Coverage, 16182,
     /* 2091922 */     GIR_EraseRootFromParent_Done,
     /* 2091923 */   // Label 27752: @2091923
     /* 2091923 */   GIM_Try, /*On fail goto*//*Label 27753*/ GIMT_Encode4(2092014), // Rule ID 16183 //
     /* 2091928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2091931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2091936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2091939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2091942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2091945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2091948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2091951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2091954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2091958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2091966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2091970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2091974 */     // MIs[0] round
     /* 2091974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2091977 */     // MIs[0] policy
     /* 2091977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2091980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2091987 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2091987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_MF2_MASK),
     /* 2091990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2091992 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2091994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2091996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2091998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092013 */     // GIR_Coverage, 16183,
     /* 2092013 */     GIR_EraseRootFromParent_Done,
     /* 2092014 */   // Label 27753: @2092014
     /* 2092014 */   GIM_Try, /*On fail goto*//*Label 27754*/ GIMT_Encode4(2092105), // Rule ID 16186 //
     /* 2092019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2092030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2092033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2092036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092065 */     // MIs[0] round
     /* 2092065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092068 */     // MIs[0] policy
     /* 2092068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092078 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2092081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092083 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092104 */     // GIR_Coverage, 16186,
     /* 2092104 */     GIR_EraseRootFromParent_Done,
     /* 2092105 */   // Label 27754: @2092105
     /* 2092105 */   GIM_Try, /*On fail goto*//*Label 27755*/ GIMT_Encode4(2092196), // Rule ID 16187 //
     /* 2092110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2092121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2092124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2092127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2092133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092156 */     // MIs[0] round
     /* 2092156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092159 */     // MIs[0] policy
     /* 2092159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092169 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11600:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2092172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092174 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092195 */     // GIR_Coverage, 16187,
     /* 2092195 */     GIR_EraseRootFromParent_Done,
     /* 2092196 */   // Label 27755: @2092196
     /* 2092196 */   GIM_Try, /*On fail goto*//*Label 27756*/ GIMT_Encode4(2092287), // Rule ID 16190 //
     /* 2092201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2092212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2092215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2092218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092247 */     // MIs[0] round
     /* 2092247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092250 */     // MIs[0] policy
     /* 2092250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092260 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2092263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092265 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092286 */     // GIR_Coverage, 16190,
     /* 2092286 */     GIR_EraseRootFromParent_Done,
     /* 2092287 */   // Label 27756: @2092287
     /* 2092287 */   GIM_Try, /*On fail goto*//*Label 27757*/ GIMT_Encode4(2092378), // Rule ID 16191 //
     /* 2092292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2092303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2092306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2092309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2092315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092338 */     // MIs[0] round
     /* 2092338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092341 */     // MIs[0] policy
     /* 2092341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092351 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11600:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2092354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092356 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2092374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092377 */     // GIR_Coverage, 16191,
     /* 2092377 */     GIR_EraseRootFromParent_Done,
     /* 2092378 */   // Label 27757: @2092378
     /* 2092378 */   GIM_Try, /*On fail goto*//*Label 27758*/ GIMT_Encode4(2092469), // Rule ID 16194 //
     /* 2092383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2092394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2092397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092429 */     // MIs[0] round
     /* 2092429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092432 */     // MIs[0] policy
     /* 2092432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092442 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2092445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092468 */     // GIR_Coverage, 16194,
     /* 2092468 */     GIR_EraseRootFromParent_Done,
     /* 2092469 */   // Label 27758: @2092469
     /* 2092469 */   GIM_Try, /*On fail goto*//*Label 27759*/ GIMT_Encode4(2092560), // Rule ID 16195 //
     /* 2092474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2092485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2092488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2092491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2092497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092520 */     // MIs[0] round
     /* 2092520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092523 */     // MIs[0] policy
     /* 2092523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092533 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11600:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2092536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092538 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2092556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092559 */     // GIR_Coverage, 16195,
     /* 2092559 */     GIR_EraseRootFromParent_Done,
     /* 2092560 */   // Label 27759: @2092560
     /* 2092560 */   GIM_Try, /*On fail goto*//*Label 27760*/ GIMT_Encode4(2092651), // Rule ID 16198 //
     /* 2092565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2092568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2092576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2092579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2092582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092611 */     // MIs[0] round
     /* 2092611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092614 */     // MIs[0] policy
     /* 2092614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092624 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2092627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092629 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092650 */     // GIR_Coverage, 16198,
     /* 2092650 */     GIR_EraseRootFromParent_Done,
     /* 2092651 */   // Label 27760: @2092651
     /* 2092651 */   GIM_Try, /*On fail goto*//*Label 27761*/ GIMT_Encode4(2092742), // Rule ID 16199 //
     /* 2092656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2092659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2092667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2092670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2092673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2092679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2092686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2092694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092702 */     // MIs[0] round
     /* 2092702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092705 */     // MIs[0] policy
     /* 2092705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092715 */     // (intrinsic_wo_chain:{ *:[nxv1i64] } 11600:{ *:[iPTR] }, VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M1_MASK),
     /* 2092718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092720 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2092738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092741 */     // GIR_Coverage, 16199,
     /* 2092741 */     GIR_EraseRootFromParent_Done,
     /* 2092742 */   // Label 27761: @2092742
     /* 2092742 */   GIM_Try, /*On fail goto*//*Label 27762*/ GIMT_Encode4(2092833), // Rule ID 16202 //
     /* 2092747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2092758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2092761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2092764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092793 */     // MIs[0] round
     /* 2092793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092796 */     // MIs[0] policy
     /* 2092796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092806 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2092809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092811 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092832 */     // GIR_Coverage, 16202,
     /* 2092832 */     GIR_EraseRootFromParent_Done,
     /* 2092833 */   // Label 27762: @2092833
     /* 2092833 */   GIM_Try, /*On fail goto*//*Label 27763*/ GIMT_Encode4(2092924), // Rule ID 16203 //
     /* 2092838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2092841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2092849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2092852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2092855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2092858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2092861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2092864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2092868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2092876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092884 */     // MIs[0] round
     /* 2092884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092887 */     // MIs[0] policy
     /* 2092887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092897 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2092897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2092900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092902 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2092910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2092912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2092917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2092920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2092922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2092923 */     // GIR_Coverage, 16203,
     /* 2092923 */     GIR_EraseRootFromParent_Done,
     /* 2092924 */   // Label 27763: @2092924
     /* 2092924 */   GIM_Try, /*On fail goto*//*Label 27764*/ GIMT_Encode4(2093015), // Rule ID 16206 //
     /* 2092929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2092932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2092937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2092940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2092943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2092946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2092949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2092952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2092955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2092959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2092967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2092971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2092975 */     // MIs[0] round
     /* 2092975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2092978 */     // MIs[0] policy
     /* 2092978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2092981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2092988 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2092988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2092991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2092993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2092995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2092997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2092999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093014 */     // GIR_Coverage, 16206,
     /* 2093014 */     GIR_EraseRootFromParent_Done,
     /* 2093015 */   // Label 27764: @2093015
     /* 2093015 */   GIM_Try, /*On fail goto*//*Label 27765*/ GIMT_Encode4(2093106), // Rule ID 16207 //
     /* 2093020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2093031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2093034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2093037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093066 */     // MIs[0] round
     /* 2093066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093069 */     // MIs[0] policy
     /* 2093069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093079 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2093082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093084 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093105 */     // GIR_Coverage, 16207,
     /* 2093105 */     GIR_EraseRootFromParent_Done,
     /* 2093106 */   // Label 27765: @2093106
     /* 2093106 */   GIM_Try, /*On fail goto*//*Label 27766*/ GIMT_Encode4(2093197), // Rule ID 16210 //
     /* 2093111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2093122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2093125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2093128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2093134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093157 */     // MIs[0] round
     /* 2093157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093160 */     // MIs[0] policy
     /* 2093160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093170 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2093173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093175 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093196 */     // GIR_Coverage, 16210,
     /* 2093196 */     GIR_EraseRootFromParent_Done,
     /* 2093197 */   // Label 27766: @2093197
     /* 2093197 */   GIM_Try, /*On fail goto*//*Label 27767*/ GIMT_Encode4(2093288), // Rule ID 16211 //
     /* 2093202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv64s8,
     /* 2093213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2093216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2093219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv64s1,
     /* 2093225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093248 */     // MIs[0] round
     /* 2093248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093251 */     // MIs[0] policy
     /* 2093251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093261 */     // (intrinsic_wo_chain:{ *:[nxv64i8] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2093264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093266 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2093284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093287 */     // GIR_Coverage, 16211,
     /* 2093287 */     GIR_EraseRootFromParent_Done,
     /* 2093288 */   // Label 27767: @2093288
     /* 2093288 */   GIM_Try, /*On fail goto*//*Label 27768*/ GIMT_Encode4(2093379), // Rule ID 16214 //
     /* 2093293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2093304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2093307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2093310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093339 */     // MIs[0] round
     /* 2093339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093342 */     // MIs[0] policy
     /* 2093342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093352 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2093355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093357 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093378 */     // GIR_Coverage, 16214,
     /* 2093378 */     GIR_EraseRootFromParent_Done,
     /* 2093379 */   // Label 27768: @2093379
     /* 2093379 */   GIM_Try, /*On fail goto*//*Label 27769*/ GIMT_Encode4(2093470), // Rule ID 16215 //
     /* 2093384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2093395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2093398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2093401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2093407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093430 */     // MIs[0] round
     /* 2093430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093433 */     // MIs[0] policy
     /* 2093433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093443 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2093446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093448 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093469 */     // GIR_Coverage, 16215,
     /* 2093469 */     GIR_EraseRootFromParent_Done,
     /* 2093470 */   // Label 27769: @2093470
     /* 2093470 */   GIM_Try, /*On fail goto*//*Label 27770*/ GIMT_Encode4(2093561), // Rule ID 16218 //
     /* 2093475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2093492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093521 */     // MIs[0] round
     /* 2093521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093524 */     // MIs[0] policy
     /* 2093524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093534 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2093537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093539 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093560 */     // GIR_Coverage, 16218,
     /* 2093560 */     GIR_EraseRootFromParent_Done,
     /* 2093561 */   // Label 27770: @2093561
     /* 2093561 */   GIM_Try, /*On fail goto*//*Label 27771*/ GIMT_Encode4(2093652), // Rule ID 16219 //
     /* 2093566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2093577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2093580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2093583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2093589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2093596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2093604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093612 */     // MIs[0] round
     /* 2093612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093615 */     // MIs[0] policy
     /* 2093615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093625 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2093628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093630 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093651 */     // GIR_Coverage, 16219,
     /* 2093651 */     GIR_EraseRootFromParent_Done,
     /* 2093652 */   // Label 27771: @2093652
     /* 2093652 */   GIM_Try, /*On fail goto*//*Label 27772*/ GIMT_Encode4(2093743), // Rule ID 16222 //
     /* 2093657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2093668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2093671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2093674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093703 */     // MIs[0] round
     /* 2093703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093706 */     // MIs[0] policy
     /* 2093706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093716 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2093719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093742 */     // GIR_Coverage, 16222,
     /* 2093742 */     GIR_EraseRootFromParent_Done,
     /* 2093743 */   // Label 27772: @2093743
     /* 2093743 */   GIM_Try, /*On fail goto*//*Label 27773*/ GIMT_Encode4(2093834), // Rule ID 16223 //
     /* 2093748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2093759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2093762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2093765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2093771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2093778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2093786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093794 */     // MIs[0] round
     /* 2093794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093797 */     // MIs[0] policy
     /* 2093797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093807 */     // (intrinsic_wo_chain:{ *:[nxv32i16] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2093810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093812 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2093830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093833 */     // GIR_Coverage, 16223,
     /* 2093833 */     GIR_EraseRootFromParent_Done,
     /* 2093834 */   // Label 27773: @2093834
     /* 2093834 */   GIM_Try, /*On fail goto*//*Label 27774*/ GIMT_Encode4(2093925), // Rule ID 16226 //
     /* 2093839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2093842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2093850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2093853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2093859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2093865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093885 */     // MIs[0] round
     /* 2093885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093888 */     // MIs[0] policy
     /* 2093888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093898 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2093898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2093901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093903 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2093909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2093911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2093913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2093918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2093921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2093923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2093924 */     // GIR_Coverage, 16226,
     /* 2093924 */     GIR_EraseRootFromParent_Done,
     /* 2093925 */   // Label 27774: @2093925
     /* 2093925 */   GIM_Try, /*On fail goto*//*Label 27775*/ GIMT_Encode4(2094016), // Rule ID 16227 //
     /* 2093930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2093933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2093938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2093941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2093944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2093947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2093950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2093953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2093956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2093960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2093968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2093972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2093976 */     // MIs[0] round
     /* 2093976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2093979 */     // MIs[0] policy
     /* 2093979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2093982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2093989 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2093989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2093992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2093994 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2093996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2093998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094015 */     // GIR_Coverage, 16227,
     /* 2094015 */     GIR_EraseRootFromParent_Done,
     /* 2094016 */   // Label 27775: @2094016
     /* 2094016 */   GIM_Try, /*On fail goto*//*Label 27776*/ GIMT_Encode4(2094107), // Rule ID 16230 //
     /* 2094021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094067 */     // MIs[0] round
     /* 2094067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094070 */     // MIs[0] policy
     /* 2094070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094080 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2094083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094085 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094106 */     // GIR_Coverage, 16230,
     /* 2094106 */     GIR_EraseRootFromParent_Done,
     /* 2094107 */   // Label 27776: @2094107
     /* 2094107 */   GIM_Try, /*On fail goto*//*Label 27777*/ GIMT_Encode4(2094198), // Rule ID 16231 //
     /* 2094112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2094123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2094126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2094129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094158 */     // MIs[0] round
     /* 2094158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094161 */     // MIs[0] policy
     /* 2094161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094171 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2094174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094176 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094197 */     // GIR_Coverage, 16231,
     /* 2094197 */     GIR_EraseRootFromParent_Done,
     /* 2094198 */   // Label 27777: @2094198
     /* 2094198 */   GIM_Try, /*On fail goto*//*Label 27778*/ GIMT_Encode4(2094289), // Rule ID 16234 //
     /* 2094203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2094214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2094217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094249 */     // MIs[0] round
     /* 2094249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094252 */     // MIs[0] policy
     /* 2094252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094262 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2094265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094288 */     // GIR_Coverage, 16234,
     /* 2094288 */     GIR_EraseRootFromParent_Done,
     /* 2094289 */   // Label 27778: @2094289
     /* 2094289 */   GIM_Try, /*On fail goto*//*Label 27779*/ GIMT_Encode4(2094380), // Rule ID 16235 //
     /* 2094294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2094297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2094305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2094308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2094311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2094317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094340 */     // MIs[0] round
     /* 2094340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094343 */     // MIs[0] policy
     /* 2094343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094353 */     // (intrinsic_wo_chain:{ *:[nxv16i32] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2094356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094358 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2094376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094379 */     // GIR_Coverage, 16235,
     /* 2094379 */     GIR_EraseRootFromParent_Done,
     /* 2094380 */   // Label 27779: @2094380
     /* 2094380 */   GIM_Try, /*On fail goto*//*Label 27780*/ GIMT_Encode4(2094471), // Rule ID 16238 //
     /* 2094385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2094388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2094396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2094399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2094402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094431 */     // MIs[0] round
     /* 2094431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094434 */     // MIs[0] policy
     /* 2094434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094444 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2094447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094449 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094470 */     // GIR_Coverage, 16238,
     /* 2094470 */     GIR_EraseRootFromParent_Done,
     /* 2094471 */   // Label 27780: @2094471
     /* 2094471 */   GIM_Try, /*On fail goto*//*Label 27781*/ GIMT_Encode4(2094562), // Rule ID 16239 //
     /* 2094476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2094479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2094487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2094490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2094493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2094499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2094506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2094514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094522 */     // MIs[0] round
     /* 2094522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094525 */     // MIs[0] policy
     /* 2094525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094535 */     // (intrinsic_wo_chain:{ *:[nxv2i64] } 11600:{ *:[iPTR] }, VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M2_MASK),
     /* 2094538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094540 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094561 */     // GIR_Coverage, 16239,
     /* 2094561 */     GIR_EraseRootFromParent_Done,
     /* 2094562 */   // Label 27781: @2094562
     /* 2094562 */   GIM_Try, /*On fail goto*//*Label 27782*/ GIMT_Encode4(2094653), // Rule ID 16242 //
     /* 2094567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2094570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2094578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2094581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2094584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094613 */     // MIs[0] round
     /* 2094613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094616 */     // MIs[0] policy
     /* 2094616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094626 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2094629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094631 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094652 */     // GIR_Coverage, 16242,
     /* 2094652 */     GIR_EraseRootFromParent_Done,
     /* 2094653 */   // Label 27782: @2094653
     /* 2094653 */   GIM_Try, /*On fail goto*//*Label 27783*/ GIMT_Encode4(2094744), // Rule ID 16243 //
     /* 2094658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2094661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2094669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2094672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2094675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2094681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2094688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2094696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094704 */     // MIs[0] round
     /* 2094704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094707 */     // MIs[0] policy
     /* 2094707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094717 */     // (intrinsic_wo_chain:{ *:[nxv4i64] } 11600:{ *:[iPTR] }, VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M4_MASK),
     /* 2094720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094722 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094743 */     // GIR_Coverage, 16243,
     /* 2094743 */     GIR_EraseRootFromParent_Done,
     /* 2094744 */   // Label 27783: @2094744
     /* 2094744 */   GIM_Try, /*On fail goto*//*Label 27784*/ GIMT_Encode4(2094835), // Rule ID 16246 //
     /* 2094749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2094752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2094760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2094763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2094766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2094769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094795 */     // MIs[0] round
     /* 2094795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094798 */     // MIs[0] policy
     /* 2094798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094808 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2094811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094813 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094834 */     // GIR_Coverage, 16246,
     /* 2094834 */     GIR_EraseRootFromParent_Done,
     /* 2094835 */   // Label 27784: @2094835
     /* 2094835 */   GIM_Try, /*On fail goto*//*Label 27785*/ GIMT_Encode4(2094926), // Rule ID 16247 //
     /* 2094840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2094843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vssra_mask),
     /* 2094848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2094851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2094854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2094857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2094860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2094863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2094866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2094870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2094878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2094882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094886 */     // MIs[0] round
     /* 2094886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094889 */     // MIs[0] policy
     /* 2094889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094899 */     // (intrinsic_wo_chain:{ *:[nxv8i64] } 11600:{ *:[iPTR] }, VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSSRA_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2094899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSRA_VX_M8_MASK),
     /* 2094902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094904 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2094910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2094912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2094914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2094919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2094922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2094924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2094925 */     // GIR_Coverage, 16247,
     /* 2094925 */     GIR_EraseRootFromParent_Done,
     /* 2094926 */   // Label 27785: @2094926
     /* 2094926 */   GIM_Try, /*On fail goto*//*Label 27786*/ GIMT_Encode4(2095020), // Rule ID 16338 //
     /* 2094931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2094934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2094939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2094942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2094945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2094948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2094951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2094954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2094957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2094961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2094973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2094977 */     // MIs[0] round
     /* 2094977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2094980 */     // MIs[0] policy
     /* 2094980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2094983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2094990 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2094990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2094993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2094995 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2094997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2094999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095019 */     // GIR_Coverage, 16338,
     /* 2095019 */     GIR_EraseRootFromParent_Done,
     /* 2095020 */   // Label 27786: @2095020
     /* 2095020 */   GIM_Try, /*On fail goto*//*Label 27787*/ GIMT_Encode4(2095114), // Rule ID 16339 //
     /* 2095025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2095036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2095039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2095042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2095045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2095048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095071 */     // MIs[0] round
     /* 2095071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095074 */     // MIs[0] policy
     /* 2095074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095084 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF8_MASK),
     /* 2095087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095089 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095109 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095113 */     // GIR_Coverage, 16339,
     /* 2095113 */     GIR_EraseRootFromParent_Done,
     /* 2095114 */   // Label 27787: @2095114
     /* 2095114 */   GIM_Try, /*On fail goto*//*Label 27788*/ GIMT_Encode4(2095208), // Rule ID 16342 //
     /* 2095119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2095130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2095133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2095139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095165 */     // MIs[0] round
     /* 2095165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095168 */     // MIs[0] policy
     /* 2095168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095178 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2095181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095183 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095203 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095207 */     // GIR_Coverage, 16342,
     /* 2095207 */     GIR_EraseRootFromParent_Done,
     /* 2095208 */   // Label 27788: @2095208
     /* 2095208 */   GIM_Try, /*On fail goto*//*Label 27789*/ GIMT_Encode4(2095302), // Rule ID 16343 //
     /* 2095213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2095224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2095227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2095230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2095233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2095236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095259 */     // MIs[0] round
     /* 2095259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095262 */     // MIs[0] policy
     /* 2095262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095272 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2095275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095297 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095301 */     // GIR_Coverage, 16343,
     /* 2095301 */     GIR_EraseRootFromParent_Done,
     /* 2095302 */   // Label 27789: @2095302
     /* 2095302 */   GIM_Try, /*On fail goto*//*Label 27790*/ GIMT_Encode4(2095396), // Rule ID 16346 //
     /* 2095307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2095318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2095321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2095324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2095327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095353 */     // MIs[0] round
     /* 2095353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095356 */     // MIs[0] policy
     /* 2095356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095366 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2095369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095391 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095395 */     // GIR_Coverage, 16346,
     /* 2095395 */     GIR_EraseRootFromParent_Done,
     /* 2095396 */   // Label 27790: @2095396
     /* 2095396 */   GIM_Try, /*On fail goto*//*Label 27791*/ GIMT_Encode4(2095490), // Rule ID 16347 //
     /* 2095401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2095412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2095415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2095418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2095421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2095424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095447 */     // MIs[0] round
     /* 2095447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095450 */     // MIs[0] policy
     /* 2095450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095460 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2095463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095485 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095489 */     // GIR_Coverage, 16347,
     /* 2095489 */     GIR_EraseRootFromParent_Done,
     /* 2095490 */   // Label 27791: @2095490
     /* 2095490 */   GIM_Try, /*On fail goto*//*Label 27792*/ GIMT_Encode4(2095584), // Rule ID 16350 //
     /* 2095495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2095506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2095509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2095512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2095515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095541 */     // MIs[0] round
     /* 2095541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095544 */     // MIs[0] policy
     /* 2095544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095554 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2095557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095583 */     // GIR_Coverage, 16350,
     /* 2095583 */     GIR_EraseRootFromParent_Done,
     /* 2095584 */   // Label 27792: @2095584
     /* 2095584 */   GIM_Try, /*On fail goto*//*Label 27793*/ GIMT_Encode4(2095678), // Rule ID 16351 //
     /* 2095589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2095600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2095603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2095606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2095609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2095612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2095619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2095631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095635 */     // MIs[0] round
     /* 2095635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095638 */     // MIs[0] policy
     /* 2095638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095648 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2095651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095673 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095677 */     // GIR_Coverage, 16351,
     /* 2095677 */     GIR_EraseRootFromParent_Done,
     /* 2095678 */   // Label 27793: @2095678
     /* 2095678 */   GIM_Try, /*On fail goto*//*Label 27794*/ GIMT_Encode4(2095772), // Rule ID 16354 //
     /* 2095683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2095694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2095697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2095700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2095703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095729 */     // MIs[0] round
     /* 2095729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095732 */     // MIs[0] policy
     /* 2095732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095742 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2095745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095767 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095771 */     // GIR_Coverage, 16354,
     /* 2095771 */     GIR_EraseRootFromParent_Done,
     /* 2095772 */   // Label 27794: @2095772
     /* 2095772 */   GIM_Try, /*On fail goto*//*Label 27795*/ GIMT_Encode4(2095866), // Rule ID 16355 //
     /* 2095777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2095788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2095791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2095794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2095797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2095800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2095807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2095819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095823 */     // MIs[0] round
     /* 2095823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095826 */     // MIs[0] policy
     /* 2095826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095836 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2095836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2095839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095861 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095865 */     // GIR_Coverage, 16355,
     /* 2095865 */     GIR_EraseRootFromParent_Done,
     /* 2095866 */   // Label 27795: @2095866
     /* 2095866 */   GIM_Try, /*On fail goto*//*Label 27796*/ GIMT_Encode4(2095960), // Rule ID 16358 //
     /* 2095871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2095874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2095882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2095885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2095888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2095891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2095894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2095897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2095909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2095917 */     // MIs[0] round
     /* 2095917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2095920 */     // MIs[0] policy
     /* 2095920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2095923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2095930 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2095930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2095933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2095935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2095937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2095939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2095941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2095943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2095945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2095950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2095953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2095955 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2095958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2095959 */     // GIR_Coverage, 16358,
     /* 2095959 */     GIR_EraseRootFromParent_Done,
     /* 2095960 */   // Label 27796: @2095960
     /* 2095960 */   GIM_Try, /*On fail goto*//*Label 27797*/ GIMT_Encode4(2096054), // Rule ID 16359 //
     /* 2095965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2095968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2095973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2095976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2095979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2095982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2095985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2095988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2095991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2095995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2095999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096011 */     // MIs[0] round
     /* 2096011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096014 */     // MIs[0] policy
     /* 2096014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096024 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2096027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2096047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096049 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096053 */     // GIR_Coverage, 16359,
     /* 2096053 */     GIR_EraseRootFromParent_Done,
     /* 2096054 */   // Label 27797: @2096054
     /* 2096054 */   GIM_Try, /*On fail goto*//*Label 27798*/ GIMT_Encode4(2096148), // Rule ID 16362 //
     /* 2096059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2096070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2096073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2096079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096105 */     // MIs[0] round
     /* 2096105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096108 */     // MIs[0] policy
     /* 2096108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096118 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2096121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096143 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096147 */     // GIR_Coverage, 16362,
     /* 2096147 */     GIR_EraseRootFromParent_Done,
     /* 2096148 */   // Label 27798: @2096148
     /* 2096148 */   GIM_Try, /*On fail goto*//*Label 27799*/ GIMT_Encode4(2096242), // Rule ID 16363 //
     /* 2096153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2096164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2096167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2096170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2096173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2096176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096199 */     // MIs[0] round
     /* 2096199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096202 */     // MIs[0] policy
     /* 2096202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096212 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF4_MASK),
     /* 2096215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096241 */     // GIR_Coverage, 16363,
     /* 2096241 */     GIR_EraseRootFromParent_Done,
     /* 2096242 */   // Label 27799: @2096242
     /* 2096242 */   GIM_Try, /*On fail goto*//*Label 27800*/ GIMT_Encode4(2096336), // Rule ID 16366 //
     /* 2096247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2096258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2096261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2096267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096293 */     // MIs[0] round
     /* 2096293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096296 */     // MIs[0] policy
     /* 2096296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096306 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2096309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096335 */     // GIR_Coverage, 16366,
     /* 2096335 */     GIR_EraseRootFromParent_Done,
     /* 2096336 */   // Label 27800: @2096336
     /* 2096336 */   GIM_Try, /*On fail goto*//*Label 27801*/ GIMT_Encode4(2096430), // Rule ID 16367 //
     /* 2096341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2096352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2096355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2096358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2096361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2096364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096387 */     // MIs[0] round
     /* 2096387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096390 */     // MIs[0] policy
     /* 2096390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096400 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2096403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096425 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096429 */     // GIR_Coverage, 16367,
     /* 2096429 */     GIR_EraseRootFromParent_Done,
     /* 2096430 */   // Label 27801: @2096430
     /* 2096430 */   GIM_Try, /*On fail goto*//*Label 27802*/ GIMT_Encode4(2096524), // Rule ID 16370 //
     /* 2096435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2096452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096481 */     // MIs[0] round
     /* 2096481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096484 */     // MIs[0] policy
     /* 2096484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096494 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2096497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096519 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096523 */     // GIR_Coverage, 16370,
     /* 2096523 */     GIR_EraseRootFromParent_Done,
     /* 2096524 */   // Label 27802: @2096524
     /* 2096524 */   GIM_Try, /*On fail goto*//*Label 27803*/ GIMT_Encode4(2096618), // Rule ID 16371 //
     /* 2096529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2096540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2096543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2096546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2096549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2096552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2096559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2096571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096575 */     // MIs[0] round
     /* 2096575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096578 */     // MIs[0] policy
     /* 2096578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096588 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2096591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096593 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096613 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096617 */     // GIR_Coverage, 16371,
     /* 2096617 */     GIR_EraseRootFromParent_Done,
     /* 2096618 */   // Label 27803: @2096618
     /* 2096618 */   GIM_Try, /*On fail goto*//*Label 27804*/ GIMT_Encode4(2096712), // Rule ID 16374 //
     /* 2096623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2096640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2096643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096669 */     // MIs[0] round
     /* 2096669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096672 */     // MIs[0] policy
     /* 2096672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096682 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2096685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096687 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096707 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096711 */     // GIR_Coverage, 16374,
     /* 2096711 */     GIR_EraseRootFromParent_Done,
     /* 2096712 */   // Label 27804: @2096712
     /* 2096712 */   GIM_Try, /*On fail goto*//*Label 27805*/ GIMT_Encode4(2096806), // Rule ID 16375 //
     /* 2096717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2096728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2096731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2096734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2096737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2096740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2096747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2096759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096763 */     // MIs[0] round
     /* 2096763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096766 */     // MIs[0] policy
     /* 2096766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096776 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2096779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096781 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096805 */     // GIR_Coverage, 16375,
     /* 2096805 */     GIR_EraseRootFromParent_Done,
     /* 2096806 */   // Label 27805: @2096806
     /* 2096806 */   GIM_Try, /*On fail goto*//*Label 27806*/ GIMT_Encode4(2096900), // Rule ID 16378 //
     /* 2096811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2096814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2096828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2096831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2096837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096857 */     // MIs[0] round
     /* 2096857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096860 */     // MIs[0] policy
     /* 2096860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096870 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2096870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2096873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096875 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096895 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096899 */     // GIR_Coverage, 16378,
     /* 2096899 */     GIR_EraseRootFromParent_Done,
     /* 2096900 */   // Label 27806: @2096900
     /* 2096900 */   GIM_Try, /*On fail goto*//*Label 27807*/ GIMT_Encode4(2096994), // Rule ID 16379 //
     /* 2096905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2096908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2096913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2096916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2096919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2096922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2096925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2096928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2096931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2096935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2096943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2096947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2096951 */     // MIs[0] round
     /* 2096951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2096954 */     // MIs[0] policy
     /* 2096954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2096957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2096964 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2096964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2096967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2096969 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2096971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2096973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2096975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2096977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2096979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2096984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2096987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2096989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2096992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2096993 */     // GIR_Coverage, 16379,
     /* 2096993 */     GIR_EraseRootFromParent_Done,
     /* 2096994 */   // Label 27807: @2096994
     /* 2096994 */   GIM_Try, /*On fail goto*//*Label 27808*/ GIMT_Encode4(2097088), // Rule ID 16382 //
     /* 2096999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2097010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2097013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2097016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2097019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097045 */     // MIs[0] round
     /* 2097045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097048 */     // MIs[0] policy
     /* 2097048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097058 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2097061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097063 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097083 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097087 */     // GIR_Coverage, 16382,
     /* 2097087 */     GIR_EraseRootFromParent_Done,
     /* 2097088 */   // Label 27808: @2097088
     /* 2097088 */   GIM_Try, /*On fail goto*//*Label 27809*/ GIMT_Encode4(2097182), // Rule ID 16383 //
     /* 2097093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2097104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2097107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2097110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2097113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097139 */     // MIs[0] round
     /* 2097139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097142 */     // MIs[0] policy
     /* 2097142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097152 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_MF2_MASK),
     /* 2097155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097157 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097177 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097181 */     // GIR_Coverage, 16383,
     /* 2097181 */     GIR_EraseRootFromParent_Done,
     /* 2097182 */   // Label 27809: @2097182
     /* 2097182 */   GIM_Try, /*On fail goto*//*Label 27810*/ GIMT_Encode4(2097276), // Rule ID 16386 //
     /* 2097187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2097198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2097201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2097207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097233 */     // MIs[0] round
     /* 2097233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097236 */     // MIs[0] policy
     /* 2097236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097246 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2097249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097251 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097271 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097275 */     // GIR_Coverage, 16386,
     /* 2097275 */     GIR_EraseRootFromParent_Done,
     /* 2097276 */   // Label 27810: @2097276
     /* 2097276 */   GIM_Try, /*On fail goto*//*Label 27811*/ GIMT_Encode4(2097370), // Rule ID 16387 //
     /* 2097281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2097292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2097295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2097298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2097301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097327 */     // MIs[0] round
     /* 2097327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097330 */     // MIs[0] policy
     /* 2097330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097340 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M1_MASK),
     /* 2097343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097345 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097365 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097369 */     // GIR_Coverage, 16387,
     /* 2097369 */     GIR_EraseRootFromParent_Done,
     /* 2097370 */   // Label 27811: @2097370
     /* 2097370 */   GIM_Try, /*On fail goto*//*Label 27812*/ GIMT_Encode4(2097464), // Rule ID 16390 //
     /* 2097375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2097392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097421 */     // MIs[0] round
     /* 2097421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097424 */     // MIs[0] policy
     /* 2097424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097434 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2097437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097439 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097459 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097463 */     // GIR_Coverage, 16390,
     /* 2097463 */     GIR_EraseRootFromParent_Done,
     /* 2097464 */   // Label 27812: @2097464
     /* 2097464 */   GIM_Try, /*On fail goto*//*Label 27813*/ GIMT_Encode4(2097558), // Rule ID 16391 //
     /* 2097469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2097480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2097483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2097486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2097489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2097492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2097499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2097511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097515 */     // MIs[0] round
     /* 2097515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097518 */     // MIs[0] policy
     /* 2097518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097528 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M2_MASK),
     /* 2097531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097533 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097557 */     // GIR_Coverage, 16391,
     /* 2097557 */     GIR_EraseRootFromParent_Done,
     /* 2097558 */   // Label 27813: @2097558
     /* 2097558 */   GIM_Try, /*On fail goto*//*Label 27814*/ GIMT_Encode4(2097652), // Rule ID 16394 //
     /* 2097563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2097566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2097580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2097583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097609 */     // MIs[0] round
     /* 2097609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097612 */     // MIs[0] policy
     /* 2097612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097622 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2097625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097627 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097647 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097651 */     // GIR_Coverage, 16394,
     /* 2097651 */     GIR_EraseRootFromParent_Done,
     /* 2097652 */   // Label 27814: @2097652
     /* 2097652 */   GIM_Try, /*On fail goto*//*Label 27815*/ GIMT_Encode4(2097746), // Rule ID 16395 //
     /* 2097657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2097660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2097668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2097671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2097674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2097677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2097680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2097687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2097695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2097699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097703 */     // MIs[0] round
     /* 2097703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097706 */     // MIs[0] policy
     /* 2097706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097716 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WV_M4_MASK),
     /* 2097719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097721 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2097739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097741 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097745 */     // GIR_Coverage, 16395,
     /* 2097745 */     GIR_EraseRootFromParent_Done,
     /* 2097746 */   // Label 27815: @2097746
     /* 2097746 */   GIM_Try, /*On fail goto*//*Label 27816*/ GIMT_Encode4(2097840), // Rule ID 16398 //
     /* 2097751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2097762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2097765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2097768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2097793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097797 */     // MIs[0] round
     /* 2097797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097800 */     // MIs[0] policy
     /* 2097800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097810 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2097813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097815 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097835 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097839 */     // GIR_Coverage, 16398,
     /* 2097839 */     GIR_EraseRootFromParent_Done,
     /* 2097840 */   // Label 27816: @2097840
     /* 2097840 */   GIM_Try, /*On fail goto*//*Label 27817*/ GIMT_Encode4(2097934), // Rule ID 16399 //
     /* 2097845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2097848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2097856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2097859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2097862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2097865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2097868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2097871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2097887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097891 */     // MIs[0] round
     /* 2097891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097894 */     // MIs[0] policy
     /* 2097894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097904 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2097904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF8_MASK),
     /* 2097907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2097909 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2097911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2097913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2097915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2097917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2097919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2097924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2097927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2097929 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2097932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2097933 */     // GIR_Coverage, 16399,
     /* 2097933 */     GIR_EraseRootFromParent_Done,
     /* 2097934 */   // Label 27817: @2097934
     /* 2097934 */   GIM_Try, /*On fail goto*//*Label 27818*/ GIMT_Encode4(2098028), // Rule ID 16402 //
     /* 2097939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2097942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2097947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2097950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2097953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2097956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2097959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2097962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2097965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2097969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2097977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2097981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2097985 */     // MIs[0] round
     /* 2097985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2097988 */     // MIs[0] policy
     /* 2097988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2097991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2097998 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2097998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2098001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098023 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098027 */     // GIR_Coverage, 16402,
     /* 2098027 */     GIR_EraseRootFromParent_Done,
     /* 2098028 */   // Label 27818: @2098028
     /* 2098028 */   GIM_Try, /*On fail goto*//*Label 27819*/ GIMT_Encode4(2098122), // Rule ID 16403 //
     /* 2098033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2098044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2098047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2098050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2098056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098079 */     // MIs[0] round
     /* 2098079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098082 */     // MIs[0] policy
     /* 2098082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098092 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2098095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098117 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098121 */     // GIR_Coverage, 16403,
     /* 2098121 */     GIR_EraseRootFromParent_Done,
     /* 2098122 */   // Label 27819: @2098122
     /* 2098122 */   GIM_Try, /*On fail goto*//*Label 27820*/ GIMT_Encode4(2098216), // Rule ID 16406 //
     /* 2098127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2098138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2098141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2098144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098173 */     // MIs[0] round
     /* 2098173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098176 */     // MIs[0] policy
     /* 2098176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098186 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2098189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098211 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098215 */     // GIR_Coverage, 16406,
     /* 2098215 */     GIR_EraseRootFromParent_Done,
     /* 2098216 */   // Label 27820: @2098216
     /* 2098216 */   GIM_Try, /*On fail goto*//*Label 27821*/ GIMT_Encode4(2098310), // Rule ID 16407 //
     /* 2098221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2098232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2098235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2098238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2098244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098267 */     // MIs[0] round
     /* 2098267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098270 */     // MIs[0] policy
     /* 2098270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098280 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2098283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098309 */     // GIR_Coverage, 16407,
     /* 2098309 */     GIR_EraseRootFromParent_Done,
     /* 2098310 */   // Label 27821: @2098310
     /* 2098310 */   GIM_Try, /*On fail goto*//*Label 27822*/ GIMT_Encode4(2098404), // Rule ID 16410 //
     /* 2098315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2098326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2098329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098361 */     // MIs[0] round
     /* 2098361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098364 */     // MIs[0] policy
     /* 2098364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098374 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2098377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098399 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098403 */     // GIR_Coverage, 16410,
     /* 2098403 */     GIR_EraseRootFromParent_Done,
     /* 2098404 */   // Label 27822: @2098404
     /* 2098404 */   GIM_Try, /*On fail goto*//*Label 27823*/ GIMT_Encode4(2098498), // Rule ID 16411 //
     /* 2098409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2098420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2098423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2098426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2098432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098455 */     // MIs[0] round
     /* 2098455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098458 */     // MIs[0] policy
     /* 2098458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098468 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11486:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2098471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098493 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098497 */     // GIR_Coverage, 16411,
     /* 2098497 */     GIR_EraseRootFromParent_Done,
     /* 2098498 */   // Label 27823: @2098498
     /* 2098498 */   GIM_Try, /*On fail goto*//*Label 27824*/ GIMT_Encode4(2098592), // Rule ID 16414 //
     /* 2098503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2098514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2098517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098549 */     // MIs[0] round
     /* 2098549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098552 */     // MIs[0] policy
     /* 2098552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098562 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2098565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098587 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098591 */     // GIR_Coverage, 16414,
     /* 2098591 */     GIR_EraseRootFromParent_Done,
     /* 2098592 */   // Label 27824: @2098592
     /* 2098592 */   GIM_Try, /*On fail goto*//*Label 27825*/ GIMT_Encode4(2098686), // Rule ID 16415 //
     /* 2098597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2098608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2098611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2098614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2098620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2098627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2098631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098643 */     // MIs[0] round
     /* 2098643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098646 */     // MIs[0] policy
     /* 2098646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098656 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2098659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098681 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098685 */     // GIR_Coverage, 16415,
     /* 2098685 */     GIR_EraseRootFromParent_Done,
     /* 2098686 */   // Label 27825: @2098686
     /* 2098686 */   GIM_Try, /*On fail goto*//*Label 27826*/ GIMT_Encode4(2098780), // Rule ID 16418 //
     /* 2098691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2098702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2098705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2098708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2098714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098737 */     // MIs[0] round
     /* 2098737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098740 */     // MIs[0] policy
     /* 2098740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098750 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2098753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098775 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098779 */     // GIR_Coverage, 16418,
     /* 2098779 */     GIR_EraseRootFromParent_Done,
     /* 2098780 */   // Label 27826: @2098780
     /* 2098780 */   GIM_Try, /*On fail goto*//*Label 27827*/ GIMT_Encode4(2098874), // Rule ID 16419 //
     /* 2098785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2098796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2098799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2098802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2098808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2098815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2098819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2098823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098831 */     // MIs[0] round
     /* 2098831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098834 */     // MIs[0] policy
     /* 2098834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098844 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2098844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2098847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2098867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098869 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098873 */     // GIR_Coverage, 16419,
     /* 2098873 */     GIR_EraseRootFromParent_Done,
     /* 2098874 */   // Label 27827: @2098874
     /* 2098874 */   GIM_Try, /*On fail goto*//*Label 27828*/ GIMT_Encode4(2098968), // Rule ID 16422 //
     /* 2098879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2098882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2098899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2098905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2098909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2098917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2098921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2098925 */     // MIs[0] round
     /* 2098925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2098928 */     // MIs[0] policy
     /* 2098928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2098931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2098938 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2098938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2098941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2098943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2098945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2098947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2098949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2098951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2098953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2098958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2098961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2098963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2098966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2098967 */     // GIR_Coverage, 16422,
     /* 2098967 */     GIR_EraseRootFromParent_Done,
     /* 2098968 */   // Label 27828: @2098968
     /* 2098968 */   GIM_Try, /*On fail goto*//*Label 27829*/ GIMT_Encode4(2099062), // Rule ID 16423 //
     /* 2098973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2098976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2098981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2098984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2098987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2098990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2098993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2098996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2098999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099019 */     // MIs[0] round
     /* 2099019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099022 */     // MIs[0] policy
     /* 2099022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099032 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF4_MASK),
     /* 2099035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099057 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099061 */     // GIR_Coverage, 16423,
     /* 2099061 */     GIR_EraseRootFromParent_Done,
     /* 2099062 */   // Label 27829: @2099062
     /* 2099062 */   GIM_Try, /*On fail goto*//*Label 27830*/ GIMT_Encode4(2099156), // Rule ID 16426 //
     /* 2099067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2099078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2099081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099113 */     // MIs[0] round
     /* 2099113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099116 */     // MIs[0] policy
     /* 2099116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099126 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2099129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099151 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099155 */     // GIR_Coverage, 16426,
     /* 2099155 */     GIR_EraseRootFromParent_Done,
     /* 2099156 */   // Label 27830: @2099156
     /* 2099156 */   GIM_Try, /*On fail goto*//*Label 27831*/ GIMT_Encode4(2099250), // Rule ID 16427 //
     /* 2099161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2099172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2099175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2099178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2099184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099207 */     // MIs[0] round
     /* 2099207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099210 */     // MIs[0] policy
     /* 2099210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099220 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2099223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099245 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099249 */     // GIR_Coverage, 16427,
     /* 2099249 */     GIR_EraseRootFromParent_Done,
     /* 2099250 */   // Label 27831: @2099250
     /* 2099250 */   GIM_Try, /*On fail goto*//*Label 27832*/ GIMT_Encode4(2099344), // Rule ID 16430 //
     /* 2099255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2099272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099301 */     // MIs[0] round
     /* 2099301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099304 */     // MIs[0] policy
     /* 2099304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099314 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2099317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099319 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099339 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099343 */     // GIR_Coverage, 16430,
     /* 2099343 */     GIR_EraseRootFromParent_Done,
     /* 2099344 */   // Label 27832: @2099344
     /* 2099344 */   GIM_Try, /*On fail goto*//*Label 27833*/ GIMT_Encode4(2099438), // Rule ID 16431 //
     /* 2099349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2099360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2099363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2099366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2099372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099395 */     // MIs[0] round
     /* 2099395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099398 */     // MIs[0] policy
     /* 2099398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099408 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11486:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2099411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099413 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099433 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099437 */     // GIR_Coverage, 16431,
     /* 2099437 */     GIR_EraseRootFromParent_Done,
     /* 2099438 */   // Label 27833: @2099438
     /* 2099438 */   GIM_Try, /*On fail goto*//*Label 27834*/ GIMT_Encode4(2099532), // Rule ID 16434 //
     /* 2099443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2099454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2099457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2099460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099489 */     // MIs[0] round
     /* 2099489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099492 */     // MIs[0] policy
     /* 2099492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099502 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2099505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099507 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099531 */     // GIR_Coverage, 16434,
     /* 2099531 */     GIR_EraseRootFromParent_Done,
     /* 2099532 */   // Label 27834: @2099532
     /* 2099532 */   GIM_Try, /*On fail goto*//*Label 27835*/ GIMT_Encode4(2099626), // Rule ID 16435 //
     /* 2099537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2099548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2099551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2099554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2099560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2099567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2099571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099583 */     // MIs[0] round
     /* 2099583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099586 */     // MIs[0] policy
     /* 2099586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099596 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2099599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099601 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099621 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099625 */     // GIR_Coverage, 16435,
     /* 2099625 */     GIR_EraseRootFromParent_Done,
     /* 2099626 */   // Label 27835: @2099626
     /* 2099626 */   GIM_Try, /*On fail goto*//*Label 27836*/ GIMT_Encode4(2099720), // Rule ID 16438 //
     /* 2099631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2099634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2099642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2099645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2099648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099677 */     // MIs[0] round
     /* 2099677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099680 */     // MIs[0] policy
     /* 2099680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099690 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2099693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099695 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099715 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099719 */     // GIR_Coverage, 16438,
     /* 2099719 */     GIR_EraseRootFromParent_Done,
     /* 2099720 */   // Label 27836: @2099720
     /* 2099720 */   GIM_Try, /*On fail goto*//*Label 27837*/ GIMT_Encode4(2099814), // Rule ID 16439 //
     /* 2099725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2099728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2099736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2099739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2099742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2099748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2099755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2099759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2099763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099771 */     // MIs[0] round
     /* 2099771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099774 */     // MIs[0] policy
     /* 2099774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099784 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2099787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099789 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2099807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099809 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099813 */     // GIR_Coverage, 16439,
     /* 2099813 */     GIR_EraseRootFromParent_Done,
     /* 2099814 */   // Label 27837: @2099814
     /* 2099814 */   GIM_Try, /*On fail goto*//*Label 27838*/ GIMT_Encode4(2099908), // Rule ID 16442 //
     /* 2099819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2099822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2099839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2099845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099865 */     // MIs[0] round
     /* 2099865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099868 */     // MIs[0] policy
     /* 2099868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099878 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2099878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2099881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099883 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099903 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2099906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2099907 */     // GIR_Coverage, 16442,
     /* 2099907 */     GIR_EraseRootFromParent_Done,
     /* 2099908 */   // Label 27838: @2099908
     /* 2099908 */   GIM_Try, /*On fail goto*//*Label 27839*/ GIMT_Encode4(2100002), // Rule ID 16443 //
     /* 2099913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2099916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2099921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2099924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2099927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2099930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2099933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2099936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2099939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2099943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2099951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2099955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2099959 */     // MIs[0] round
     /* 2099959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2099962 */     // MIs[0] policy
     /* 2099962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2099965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2099972 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2099972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_MF2_MASK),
     /* 2099975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2099977 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2099979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2099981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2099983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2099985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2099987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2099992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2099995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2099997 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100001 */     // GIR_Coverage, 16443,
     /* 2100001 */     GIR_EraseRootFromParent_Done,
     /* 2100002 */   // Label 27839: @2100002
     /* 2100002 */   GIM_Try, /*On fail goto*//*Label 27840*/ GIMT_Encode4(2100096), // Rule ID 16446 //
     /* 2100007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2100010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2100015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2100018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2100021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2100024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100053 */     // MIs[0] round
     /* 2100053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100056 */     // MIs[0] policy
     /* 2100056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100066 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2100069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100071 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100091 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100095 */     // GIR_Coverage, 16446,
     /* 2100095 */     GIR_EraseRootFromParent_Done,
     /* 2100096 */   // Label 27840: @2100096
     /* 2100096 */   GIM_Try, /*On fail goto*//*Label 27841*/ GIMT_Encode4(2100190), // Rule ID 16447 //
     /* 2100101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2100104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2100109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2100112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2100115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2100118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100147 */     // MIs[0] round
     /* 2100147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100150 */     // MIs[0] policy
     /* 2100150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100160 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11486:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M1_MASK),
     /* 2100163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100165 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100185 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100189 */     // GIR_Coverage, 16447,
     /* 2100189 */     GIR_EraseRootFromParent_Done,
     /* 2100190 */   // Label 27841: @2100190
     /* 2100190 */   GIM_Try, /*On fail goto*//*Label 27842*/ GIMT_Encode4(2100284), // Rule ID 16450 //
     /* 2100195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2100198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2100203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2100212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100241 */     // MIs[0] round
     /* 2100241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100244 */     // MIs[0] policy
     /* 2100244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100254 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2100257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100259 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100279 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100283 */     // GIR_Coverage, 16450,
     /* 2100283 */     GIR_EraseRootFromParent_Done,
     /* 2100284 */   // Label 27842: @2100284
     /* 2100284 */   GIM_Try, /*On fail goto*//*Label 27843*/ GIMT_Encode4(2100378), // Rule ID 16451 //
     /* 2100289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2100292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2100297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2100300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2100303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2100306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2100319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2100323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100335 */     // MIs[0] round
     /* 2100335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100338 */     // MIs[0] policy
     /* 2100338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100348 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11486:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M2_MASK),
     /* 2100351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100353 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100373 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100377 */     // GIR_Coverage, 16451,
     /* 2100377 */     GIR_EraseRootFromParent_Done,
     /* 2100378 */   // Label 27843: @2100378
     /* 2100378 */   GIM_Try, /*On fail goto*//*Label 27844*/ GIMT_Encode4(2100472), // Rule ID 16454 //
     /* 2100383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2100386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2100391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2100400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2100403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100429 */     // MIs[0] round
     /* 2100429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100432 */     // MIs[0] policy
     /* 2100432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100442 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2100445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100447 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100467 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100471 */     // GIR_Coverage, 16454,
     /* 2100471 */     GIR_EraseRootFromParent_Done,
     /* 2100472 */   // Label 27844: @2100472
     /* 2100472 */   GIM_Try, /*On fail goto*//*Label 27845*/ GIMT_Encode4(2100566), // Rule ID 16455 //
     /* 2100477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2100480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclipu_mask),
     /* 2100485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2100488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2100491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2100494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2100497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2100500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2100507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2100511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2100515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2100519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100523 */     // MIs[0] round
     /* 2100523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100526 */     // MIs[0] policy
     /* 2100526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100536 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11486:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIPU_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIPU_WX_M4_MASK),
     /* 2100539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100541 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2100559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100561 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100565 */     // GIR_Coverage, 16455,
     /* 2100565 */     GIR_EraseRootFromParent_Done,
     /* 2100566 */   // Label 27845: @2100566
     /* 2100566 */   GIM_Try, /*On fail goto*//*Label 27846*/ GIMT_Encode4(2100660), // Rule ID 16518 //
     /* 2100571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2100582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2100585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2100588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2100591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100617 */     // MIs[0] round
     /* 2100617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100620 */     // MIs[0] policy
     /* 2100620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100630 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2100633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100635 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100655 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100659 */     // GIR_Coverage, 16518,
     /* 2100659 */     GIR_EraseRootFromParent_Done,
     /* 2100660 */   // Label 27846: @2100660
     /* 2100660 */   GIM_Try, /*On fail goto*//*Label 27847*/ GIMT_Encode4(2100754), // Rule ID 16519 //
     /* 2100665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2100676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2100679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2100682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s8,
     /* 2100685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2100688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100711 */     // MIs[0] round
     /* 2100711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100714 */     // MIs[0] policy
     /* 2100714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100724 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF8_MASK),
     /* 2100727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100729 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100749 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100753 */     // GIR_Coverage, 16519,
     /* 2100753 */     GIR_EraseRootFromParent_Done,
     /* 2100754 */   // Label 27847: @2100754
     /* 2100754 */   GIM_Try, /*On fail goto*//*Label 27848*/ GIMT_Encode4(2100848), // Rule ID 16522 //
     /* 2100759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2100770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2100773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2100776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2100779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100805 */     // MIs[0] round
     /* 2100805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100808 */     // MIs[0] policy
     /* 2100808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100818 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2100818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2100821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100843 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100847 */     // GIR_Coverage, 16522,
     /* 2100847 */     GIR_EraseRootFromParent_Done,
     /* 2100848 */   // Label 27848: @2100848
     /* 2100848 */   GIM_Try, /*On fail goto*//*Label 27849*/ GIMT_Encode4(2100942), // Rule ID 16523 //
     /* 2100853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2100856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2100864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2100867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2100870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s8,
     /* 2100873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2100876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2100879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100899 */     // MIs[0] round
     /* 2100899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100902 */     // MIs[0] policy
     /* 2100902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2100912 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2100912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2100915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2100917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2100919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2100921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2100923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2100925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2100927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2100932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2100935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2100937 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2100940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2100941 */     // GIR_Coverage, 16523,
     /* 2100941 */     GIR_EraseRootFromParent_Done,
     /* 2100942 */   // Label 27849: @2100942
     /* 2100942 */   GIM_Try, /*On fail goto*//*Label 27850*/ GIMT_Encode4(2101036), // Rule ID 16526 //
     /* 2100947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2100950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2100955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2100958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2100961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2100964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2100967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2100970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2100973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2100977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2100989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2100993 */     // MIs[0] round
     /* 2100993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2100996 */     // MIs[0] policy
     /* 2100996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2100999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101006 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2101009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101031 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101035 */     // GIR_Coverage, 16526,
     /* 2101035 */     GIR_EraseRootFromParent_Done,
     /* 2101036 */   // Label 27850: @2101036
     /* 2101036 */   GIM_Try, /*On fail goto*//*Label 27851*/ GIMT_Encode4(2101130), // Rule ID 16527 //
     /* 2101041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2101052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2101055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2101058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s8,
     /* 2101061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2101064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101087 */     // MIs[0] round
     /* 2101087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101090 */     // MIs[0] policy
     /* 2101090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101100 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2101103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101125 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101129 */     // GIR_Coverage, 16527,
     /* 2101129 */     GIR_EraseRootFromParent_Done,
     /* 2101130 */   // Label 27851: @2101130
     /* 2101130 */   GIM_Try, /*On fail goto*//*Label 27852*/ GIMT_Encode4(2101224), // Rule ID 16530 //
     /* 2101135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2101146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2101149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2101152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2101155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101181 */     // MIs[0] round
     /* 2101181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101184 */     // MIs[0] policy
     /* 2101184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101194 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2101197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101219 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101223 */     // GIR_Coverage, 16530,
     /* 2101223 */     GIR_EraseRootFromParent_Done,
     /* 2101224 */   // Label 27852: @2101224
     /* 2101224 */   GIM_Try, /*On fail goto*//*Label 27853*/ GIMT_Encode4(2101318), // Rule ID 16531 //
     /* 2101229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2101240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2101243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2101246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s8,
     /* 2101249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2101252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101275 */     // MIs[0] round
     /* 2101275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101278 */     // MIs[0] policy
     /* 2101278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101288 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2101291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101313 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101317 */     // GIR_Coverage, 16531,
     /* 2101317 */     GIR_EraseRootFromParent_Done,
     /* 2101318 */   // Label 27853: @2101318
     /* 2101318 */   GIM_Try, /*On fail goto*//*Label 27854*/ GIMT_Encode4(2101412), // Rule ID 16534 //
     /* 2101323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2101334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2101337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2101340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2101343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101369 */     // MIs[0] round
     /* 2101369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101372 */     // MIs[0] policy
     /* 2101372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101382 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2101385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101407 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101411 */     // GIR_Coverage, 16534,
     /* 2101411 */     GIR_EraseRootFromParent_Done,
     /* 2101412 */   // Label 27854: @2101412
     /* 2101412 */   GIM_Try, /*On fail goto*//*Label 27855*/ GIMT_Encode4(2101506), // Rule ID 16535 //
     /* 2101417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2101428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2101431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2101434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s8,
     /* 2101437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2101440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2101447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2101459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101463 */     // MIs[0] round
     /* 2101463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101466 */     // MIs[0] policy
     /* 2101466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101476 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2101479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101501 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101505 */     // GIR_Coverage, 16535,
     /* 2101505 */     GIR_EraseRootFromParent_Done,
     /* 2101506 */   // Label 27855: @2101506
     /* 2101506 */   GIM_Try, /*On fail goto*//*Label 27856*/ GIMT_Encode4(2101600), // Rule ID 16538 //
     /* 2101511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2101522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2101525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2101528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2101531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2101534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101557 */     // MIs[0] round
     /* 2101557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101560 */     // MIs[0] policy
     /* 2101560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101570 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2101573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101595 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101599 */     // GIR_Coverage, 16538,
     /* 2101599 */     GIR_EraseRootFromParent_Done,
     /* 2101600 */   // Label 27856: @2101600
     /* 2101600 */   GIM_Try, /*On fail goto*//*Label 27857*/ GIMT_Encode4(2101694), // Rule ID 16539 //
     /* 2101605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2101616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2101619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2101622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s8,
     /* 2101625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2101628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2101635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2101643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2101647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101651 */     // MIs[0] round
     /* 2101651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101654 */     // MIs[0] policy
     /* 2101654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101664 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2101667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2101687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101689 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101693 */     // GIR_Coverage, 16539,
     /* 2101693 */     GIR_EraseRootFromParent_Done,
     /* 2101694 */   // Label 27857: @2101694
     /* 2101694 */   GIM_Try, /*On fail goto*//*Label 27858*/ GIMT_Encode4(2101788), // Rule ID 16542 //
     /* 2101699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2101716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2101719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101745 */     // MIs[0] round
     /* 2101745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101748 */     // MIs[0] policy
     /* 2101748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101758 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2101761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101783 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101787 */     // GIR_Coverage, 16542,
     /* 2101787 */     GIR_EraseRootFromParent_Done,
     /* 2101788 */   // Label 27858: @2101788
     /* 2101788 */   GIM_Try, /*On fail goto*//*Label 27859*/ GIMT_Encode4(2101882), // Rule ID 16543 //
     /* 2101793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2101804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2101807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2101810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2101813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2101816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2101819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101839 */     // MIs[0] round
     /* 2101839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101842 */     // MIs[0] policy
     /* 2101842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101852 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2101852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF4_MASK),
     /* 2101855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101877 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101881 */     // GIR_Coverage, 16543,
     /* 2101881 */     GIR_EraseRootFromParent_Done,
     /* 2101882 */   // Label 27859: @2101882
     /* 2101882 */   GIM_Try, /*On fail goto*//*Label 27860*/ GIMT_Encode4(2101976), // Rule ID 16546 //
     /* 2101887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2101890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2101904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2101907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2101910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2101913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2101917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2101929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2101933 */     // MIs[0] round
     /* 2101933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2101936 */     // MIs[0] policy
     /* 2101936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2101939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2101946 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2101946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2101949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2101951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2101953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2101955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2101957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2101959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2101961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2101966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2101969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2101971 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2101974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2101975 */     // GIR_Coverage, 16546,
     /* 2101975 */     GIR_EraseRootFromParent_Done,
     /* 2101976 */   // Label 27860: @2101976
     /* 2101976 */   GIM_Try, /*On fail goto*//*Label 27861*/ GIMT_Encode4(2102070), // Rule ID 16547 //
     /* 2101981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2101984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2101989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2101992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2101995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2101998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2102001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102027 */     // MIs[0] round
     /* 2102027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102030 */     // MIs[0] policy
     /* 2102030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102040 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2102043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102065 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102069 */     // GIR_Coverage, 16547,
     /* 2102069 */     GIR_EraseRootFromParent_Done,
     /* 2102070 */   // Label 27861: @2102070
     /* 2102070 */   GIM_Try, /*On fail goto*//*Label 27862*/ GIMT_Encode4(2102164), // Rule ID 16550 //
     /* 2102075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2102078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2102095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102121 */     // MIs[0] round
     /* 2102121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102124 */     // MIs[0] policy
     /* 2102124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102134 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2102137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102139 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102159 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102163 */     // GIR_Coverage, 16550,
     /* 2102163 */     GIR_EraseRootFromParent_Done,
     /* 2102164 */   // Label 27862: @2102164
     /* 2102164 */   GIM_Try, /*On fail goto*//*Label 27863*/ GIMT_Encode4(2102258), // Rule ID 16551 //
     /* 2102169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2102172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2102180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2102183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2102186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2102189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2102192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102215 */     // MIs[0] round
     /* 2102215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102218 */     // MIs[0] policy
     /* 2102218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102228 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2102231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102233 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102253 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102257 */     // GIR_Coverage, 16551,
     /* 2102257 */     GIR_EraseRootFromParent_Done,
     /* 2102258 */   // Label 27863: @2102258
     /* 2102258 */   GIM_Try, /*On fail goto*//*Label 27864*/ GIMT_Encode4(2102352), // Rule ID 16554 //
     /* 2102263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2102266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2102280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2102283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102309 */     // MIs[0] round
     /* 2102309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102312 */     // MIs[0] policy
     /* 2102312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102322 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2102325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102327 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102351 */     // GIR_Coverage, 16554,
     /* 2102351 */     GIR_EraseRootFromParent_Done,
     /* 2102352 */   // Label 27864: @2102352
     /* 2102352 */   GIM_Try, /*On fail goto*//*Label 27865*/ GIMT_Encode4(2102446), // Rule ID 16555 //
     /* 2102357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2102360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2102368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2102371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2102374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2102377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2102380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2102387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102403 */     // MIs[0] round
     /* 2102403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102406 */     // MIs[0] policy
     /* 2102406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102416 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2102419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102421 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102441 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102445 */     // GIR_Coverage, 16555,
     /* 2102445 */     GIR_EraseRootFromParent_Done,
     /* 2102446 */   // Label 27865: @2102446
     /* 2102446 */   GIM_Try, /*On fail goto*//*Label 27866*/ GIMT_Encode4(2102540), // Rule ID 16558 //
     /* 2102451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2102454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2102468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2102471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102497 */     // MIs[0] round
     /* 2102497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102500 */     // MIs[0] policy
     /* 2102500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102510 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2102513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102515 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102535 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102539 */     // GIR_Coverage, 16558,
     /* 2102539 */     GIR_EraseRootFromParent_Done,
     /* 2102540 */   // Label 27866: @2102540
     /* 2102540 */   GIM_Try, /*On fail goto*//*Label 27867*/ GIMT_Encode4(2102634), // Rule ID 16559 //
     /* 2102545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2102548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2102556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2102559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2102562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2102565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2102568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2102575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2102583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2102587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102591 */     // MIs[0] round
     /* 2102591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102594 */     // MIs[0] policy
     /* 2102594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102604 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2102607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102609 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2102627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102629 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102633 */     // GIR_Coverage, 16559,
     /* 2102633 */     GIR_EraseRootFromParent_Done,
     /* 2102634 */   // Label 27867: @2102634
     /* 2102634 */   GIM_Try, /*On fail goto*//*Label 27868*/ GIMT_Encode4(2102728), // Rule ID 16562 //
     /* 2102639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2102642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102685 */     // MIs[0] round
     /* 2102685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102688 */     // MIs[0] policy
     /* 2102688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102698 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2102701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102703 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102723 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102727 */     // GIR_Coverage, 16562,
     /* 2102727 */     GIR_EraseRootFromParent_Done,
     /* 2102728 */   // Label 27868: @2102728
     /* 2102728 */   GIM_Try, /*On fail goto*//*Label 27869*/ GIMT_Encode4(2102822), // Rule ID 16563 //
     /* 2102733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2102736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2102744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2102747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2102750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2102753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2102756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102779 */     // MIs[0] round
     /* 2102779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102782 */     // MIs[0] policy
     /* 2102782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102792 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_MF2_MASK),
     /* 2102795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102797 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102817 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102821 */     // GIR_Coverage, 16563,
     /* 2102821 */     GIR_EraseRootFromParent_Done,
     /* 2102822 */   // Label 27869: @2102822
     /* 2102822 */   GIM_Try, /*On fail goto*//*Label 27870*/ GIMT_Encode4(2102916), // Rule ID 16566 //
     /* 2102827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2102830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2102844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2102847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2102853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102873 */     // MIs[0] round
     /* 2102873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102876 */     // MIs[0] policy
     /* 2102876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102886 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2102886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2102889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102891 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2102906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2102909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2102911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2102914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2102915 */     // GIR_Coverage, 16566,
     /* 2102915 */     GIR_EraseRootFromParent_Done,
     /* 2102916 */   // Label 27870: @2102916
     /* 2102916 */   GIM_Try, /*On fail goto*//*Label 27871*/ GIMT_Encode4(2103010), // Rule ID 16567 //
     /* 2102921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2102924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2102929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2102932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2102935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2102938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2102941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2102944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2102947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2102951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2102959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2102963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2102967 */     // MIs[0] round
     /* 2102967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2102970 */     // MIs[0] policy
     /* 2102970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2102973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2102980 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2102980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M1_MASK),
     /* 2102983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2102985 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2102987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2102989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2102991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2102993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2102995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103005 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103009 */     // GIR_Coverage, 16567,
     /* 2103009 */     GIR_EraseRootFromParent_Done,
     /* 2103010 */   // Label 27871: @2103010
     /* 2103010 */   GIM_Try, /*On fail goto*//*Label 27872*/ GIMT_Encode4(2103104), // Rule ID 16570 //
     /* 2103015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2103018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2103032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2103035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103061 */     // MIs[0] round
     /* 2103061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103064 */     // MIs[0] policy
     /* 2103064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103074 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2103077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103079 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103099 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103103 */     // GIR_Coverage, 16570,
     /* 2103103 */     GIR_EraseRootFromParent_Done,
     /* 2103104 */   // Label 27872: @2103104
     /* 2103104 */   GIM_Try, /*On fail goto*//*Label 27873*/ GIMT_Encode4(2103198), // Rule ID 16571 //
     /* 2103109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2103112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2103120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2103123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2103126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2103129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2103139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103155 */     // MIs[0] round
     /* 2103155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103158 */     // MIs[0] policy
     /* 2103158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103168 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M2_MASK),
     /* 2103171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103173 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103193 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103197 */     // GIR_Coverage, 16571,
     /* 2103197 */     GIR_EraseRootFromParent_Done,
     /* 2103198 */   // Label 27873: @2103198
     /* 2103198 */   GIM_Try, /*On fail goto*//*Label 27874*/ GIMT_Encode4(2103292), // Rule ID 16574 //
     /* 2103203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2103206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2103220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2103223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103249 */     // MIs[0] round
     /* 2103249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103252 */     // MIs[0] policy
     /* 2103252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103262 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2103265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103267 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103287 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103291 */     // GIR_Coverage, 16574,
     /* 2103291 */     GIR_EraseRootFromParent_Done,
     /* 2103292 */   // Label 27874: @2103292
     /* 2103292 */   GIM_Try, /*On fail goto*//*Label 27875*/ GIMT_Encode4(2103386), // Rule ID 16575 //
     /* 2103297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2103300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2103308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2103311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2103314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2103317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2103327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2103335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2103339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103343 */     // MIs[0] round
     /* 2103343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103346 */     // MIs[0] policy
     /* 2103346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103356 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WV_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WV_M4_MASK),
     /* 2103359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103361 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2103379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103381 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103385 */     // GIR_Coverage, 16575,
     /* 2103385 */     GIR_EraseRootFromParent_Done,
     /* 2103386 */   // Label 27875: @2103386
     /* 2103386 */   GIM_Try, /*On fail goto*//*Label 27876*/ GIMT_Encode4(2103480), // Rule ID 16578 //
     /* 2103391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2103394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2103402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2103405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2103408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103437 */     // MIs[0] round
     /* 2103437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103440 */     // MIs[0] policy
     /* 2103440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103450 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2103453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103455 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103475 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103479 */     // GIR_Coverage, 16578,
     /* 2103479 */     GIR_EraseRootFromParent_Done,
     /* 2103480 */   // Label 27876: @2103480
     /* 2103480 */   GIM_Try, /*On fail goto*//*Label 27877*/ GIMT_Encode4(2103574), // Rule ID 16579 //
     /* 2103485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2103488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2103496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2103499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2103502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2103508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103531 */     // MIs[0] round
     /* 2103531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103534 */     // MIs[0] policy
     /* 2103534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103544 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF8_MASK),
     /* 2103547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103573 */     // GIR_Coverage, 16579,
     /* 2103573 */     GIR_EraseRootFromParent_Done,
     /* 2103574 */   // Label 27877: @2103574
     /* 2103574 */   GIM_Try, /*On fail goto*//*Label 27878*/ GIMT_Encode4(2103668), // Rule ID 16582 //
     /* 2103579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2103582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2103590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2103593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2103596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103625 */     // MIs[0] round
     /* 2103625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103628 */     // MIs[0] policy
     /* 2103628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103638 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2103641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103663 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103667 */     // GIR_Coverage, 16582,
     /* 2103667 */     GIR_EraseRootFromParent_Done,
     /* 2103668 */   // Label 27878: @2103668
     /* 2103668 */   GIM_Try, /*On fail goto*//*Label 27879*/ GIMT_Encode4(2103762), // Rule ID 16583 //
     /* 2103673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2103676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2103684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2103687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2103690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2103696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103719 */     // MIs[0] round
     /* 2103719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103722 */     // MIs[0] policy
     /* 2103722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103732 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2103735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103757 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103761 */     // GIR_Coverage, 16583,
     /* 2103761 */     GIR_EraseRootFromParent_Done,
     /* 2103762 */   // Label 27879: @2103762
     /* 2103762 */   GIM_Try, /*On fail goto*//*Label 27880*/ GIMT_Encode4(2103856), // Rule ID 16586 //
     /* 2103767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2103770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2103778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2103781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103813 */     // MIs[0] round
     /* 2103813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103816 */     // MIs[0] policy
     /* 2103816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103826 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2103826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2103829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103851 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103855 */     // GIR_Coverage, 16586,
     /* 2103855 */     GIR_EraseRootFromParent_Done,
     /* 2103856 */   // Label 27880: @2103856
     /* 2103856 */   GIM_Try, /*On fail goto*//*Label 27881*/ GIMT_Encode4(2103950), // Rule ID 16587 //
     /* 2103861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2103864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2103872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2103875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2103878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2103881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2103884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2103887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2103907 */     // MIs[0] round
     /* 2103907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2103910 */     // MIs[0] policy
     /* 2103910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2103913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2103920 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2103920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2103923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2103925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2103927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2103929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2103931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2103933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2103935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2103940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2103943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2103945 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2103948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2103949 */     // GIR_Coverage, 16587,
     /* 2103949 */     GIR_EraseRootFromParent_Done,
     /* 2103950 */   // Label 27881: @2103950
     /* 2103950 */   GIM_Try, /*On fail goto*//*Label 27882*/ GIMT_Encode4(2104044), // Rule ID 16590 //
     /* 2103955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2103958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2103963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2103966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2103969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2103972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2103975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2103978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2103981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2103985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2103989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2103993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2103997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104001 */     // MIs[0] round
     /* 2104001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104004 */     // MIs[0] policy
     /* 2104004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104014 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2104017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104039 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104043 */     // GIR_Coverage, 16590,
     /* 2104043 */     GIR_EraseRootFromParent_Done,
     /* 2104044 */   // Label 27882: @2104044
     /* 2104044 */   GIM_Try, /*On fail goto*//*Label 27883*/ GIMT_Encode4(2104138), // Rule ID 16591 //
     /* 2104049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2104060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2104063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2104066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2104072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104095 */     // MIs[0] round
     /* 2104095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104098 */     // MIs[0] policy
     /* 2104098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104108 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11484:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2104111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104133 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104137 */     // GIR_Coverage, 16591,
     /* 2104137 */     GIR_EraseRootFromParent_Done,
     /* 2104138 */   // Label 27883: @2104138
     /* 2104138 */   GIM_Try, /*On fail goto*//*Label 27884*/ GIMT_Encode4(2104232), // Rule ID 16594 //
     /* 2104143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2104154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2104157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2104160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104189 */     // MIs[0] round
     /* 2104189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104192 */     // MIs[0] policy
     /* 2104192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104202 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2104205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104227 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104231 */     // GIR_Coverage, 16594,
     /* 2104231 */     GIR_EraseRootFromParent_Done,
     /* 2104232 */   // Label 27884: @2104232
     /* 2104232 */   GIM_Try, /*On fail goto*//*Label 27885*/ GIMT_Encode4(2104326), // Rule ID 16595 //
     /* 2104237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2104248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2104251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2104254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2104260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2104267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104283 */     // MIs[0] round
     /* 2104283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104286 */     // MIs[0] policy
     /* 2104286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104296 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2104299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104325 */     // GIR_Coverage, 16595,
     /* 2104325 */     GIR_EraseRootFromParent_Done,
     /* 2104326 */   // Label 27885: @2104326
     /* 2104326 */   GIM_Try, /*On fail goto*//*Label 27886*/ GIMT_Encode4(2104420), // Rule ID 16598 //
     /* 2104331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2104342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2104345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2104348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2104354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104377 */     // MIs[0] round
     /* 2104377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104380 */     // MIs[0] policy
     /* 2104380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104390 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2104393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104415 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104419 */     // GIR_Coverage, 16598,
     /* 2104419 */     GIR_EraseRootFromParent_Done,
     /* 2104420 */   // Label 27886: @2104420
     /* 2104420 */   GIM_Try, /*On fail goto*//*Label 27887*/ GIMT_Encode4(2104514), // Rule ID 16599 //
     /* 2104425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s8,
     /* 2104436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2104439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2104442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2104448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2104455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2104459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2104463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104471 */     // MIs[0] round
     /* 2104471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104474 */     // MIs[0] policy
     /* 2104474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104484 */     // (intrinsic_wo_chain:{ *:[nxv32i8] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2104487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2104507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104509 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104513 */     // GIR_Coverage, 16599,
     /* 2104513 */     GIR_EraseRootFromParent_Done,
     /* 2104514 */   // Label 27887: @2104514
     /* 2104514 */   GIM_Try, /*On fail goto*//*Label 27888*/ GIMT_Encode4(2104608), // Rule ID 16602 //
     /* 2104519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2104530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2104533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2104536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104565 */     // MIs[0] round
     /* 2104565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104568 */     // MIs[0] policy
     /* 2104568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104578 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2104581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104603 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104607 */     // GIR_Coverage, 16602,
     /* 2104607 */     GIR_EraseRootFromParent_Done,
     /* 2104608 */   // Label 27888: @2104608
     /* 2104608 */   GIM_Try, /*On fail goto*//*Label 27889*/ GIMT_Encode4(2104702), // Rule ID 16603 //
     /* 2104613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2104624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2104627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2104630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2104636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104659 */     // MIs[0] round
     /* 2104659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104662 */     // MIs[0] policy
     /* 2104662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104672 */     // (intrinsic_wo_chain:{ *:[nxv1i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF4_MASK),
     /* 2104675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104697 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104701 */     // GIR_Coverage, 16603,
     /* 2104701 */     GIR_EraseRootFromParent_Done,
     /* 2104702 */   // Label 27889: @2104702
     /* 2104702 */   GIM_Try, /*On fail goto*//*Label 27890*/ GIMT_Encode4(2104796), // Rule ID 16606 //
     /* 2104707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2104718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2104721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2104724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104753 */     // MIs[0] round
     /* 2104753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104756 */     // MIs[0] policy
     /* 2104756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104766 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2104769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104791 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104795 */     // GIR_Coverage, 16606,
     /* 2104795 */     GIR_EraseRootFromParent_Done,
     /* 2104796 */   // Label 27890: @2104796
     /* 2104796 */   GIM_Try, /*On fail goto*//*Label 27891*/ GIMT_Encode4(2104890), // Rule ID 16607 //
     /* 2104801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2104812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2104815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2104818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2104821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2104824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2104827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104847 */     // MIs[0] round
     /* 2104847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104850 */     // MIs[0] policy
     /* 2104850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104860 */     // (intrinsic_wo_chain:{ *:[nxv2i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2104860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2104863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104865 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104889 */     // GIR_Coverage, 16607,
     /* 2104889 */     GIR_EraseRootFromParent_Done,
     /* 2104890 */   // Label 27891: @2104890
     /* 2104890 */   GIM_Try, /*On fail goto*//*Label 27892*/ GIMT_Encode4(2104984), // Rule ID 16610 //
     /* 2104895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2104898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2104906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2104909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2104912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2104915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2104918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2104921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2104925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2104929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2104933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2104937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2104941 */     // MIs[0] round
     /* 2104941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2104944 */     // MIs[0] policy
     /* 2104944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2104947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2104954 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2104954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2104957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2104959 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2104961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2104963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2104965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2104967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2104969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2104974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2104977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2104979 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2104982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2104983 */     // GIR_Coverage, 16610,
     /* 2104983 */     GIR_EraseRootFromParent_Done,
     /* 2104984 */   // Label 27892: @2104984
     /* 2104984 */   GIM_Try, /*On fail goto*//*Label 27893*/ GIMT_Encode4(2105078), // Rule ID 16611 //
     /* 2104989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2104992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2104997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2105000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2105003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2105006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105035 */     // MIs[0] round
     /* 2105035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105038 */     // MIs[0] policy
     /* 2105038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105048 */     // (intrinsic_wo_chain:{ *:[nxv4i16] } 11484:{ *:[iPTR] }, VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2105051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105053 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105077 */     // GIR_Coverage, 16611,
     /* 2105077 */     GIR_EraseRootFromParent_Done,
     /* 2105078 */   // Label 27893: @2105078
     /* 2105078 */   GIM_Try, /*On fail goto*//*Label 27894*/ GIMT_Encode4(2105172), // Rule ID 16614 //
     /* 2105083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2105094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2105097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105129 */     // MIs[0] round
     /* 2105129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105132 */     // MIs[0] policy
     /* 2105132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105142 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2105145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105147 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105167 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105171 */     // GIR_Coverage, 16614,
     /* 2105171 */     GIR_EraseRootFromParent_Done,
     /* 2105172 */   // Label 27894: @2105172
     /* 2105172 */   GIM_Try, /*On fail goto*//*Label 27895*/ GIMT_Encode4(2105266), // Rule ID 16615 //
     /* 2105177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2105188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2105191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2105194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2105200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105223 */     // MIs[0] round
     /* 2105223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105226 */     // MIs[0] policy
     /* 2105226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105236 */     // (intrinsic_wo_chain:{ *:[nxv8i16] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2105239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105241 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105261 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105265 */     // GIR_Coverage, 16615,
     /* 2105265 */     GIR_EraseRootFromParent_Done,
     /* 2105266 */   // Label 27895: @2105266
     /* 2105266 */   GIM_Try, /*On fail goto*//*Label 27896*/ GIMT_Encode4(2105360), // Rule ID 16618 //
     /* 2105271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2105274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2105282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2105285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2105288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105317 */     // MIs[0] round
     /* 2105317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105320 */     // MIs[0] policy
     /* 2105320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105330 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2105333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105335 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105355 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105359 */     // GIR_Coverage, 16618,
     /* 2105359 */     GIR_EraseRootFromParent_Done,
     /* 2105360 */   // Label 27896: @2105360
     /* 2105360 */   GIM_Try, /*On fail goto*//*Label 27897*/ GIMT_Encode4(2105454), // Rule ID 16619 //
     /* 2105365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2105368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2105376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2105379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2105382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2105388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2105395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2105403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105411 */     // MIs[0] round
     /* 2105411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105414 */     // MIs[0] policy
     /* 2105414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105424 */     // (intrinsic_wo_chain:{ *:[nxv16i16] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2105427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105429 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2105447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105449 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105453 */     // GIR_Coverage, 16619,
     /* 2105453 */     GIR_EraseRootFromParent_Done,
     /* 2105454 */   // Label 27897: @2105454
     /* 2105454 */   GIM_Try, /*On fail goto*//*Label 27898*/ GIMT_Encode4(2105548), // Rule ID 16622 //
     /* 2105459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2105462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2105476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105505 */     // MIs[0] round
     /* 2105505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105508 */     // MIs[0] policy
     /* 2105508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105518 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2105521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105523 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105547 */     // GIR_Coverage, 16622,
     /* 2105547 */     GIR_EraseRootFromParent_Done,
     /* 2105548 */   // Label 27898: @2105548
     /* 2105548 */   GIM_Try, /*On fail goto*//*Label 27899*/ GIMT_Encode4(2105642), // Rule ID 16623 //
     /* 2105553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2105556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2105564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2105567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2105570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2105576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105599 */     // MIs[0] round
     /* 2105599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105602 */     // MIs[0] policy
     /* 2105602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105612 */     // (intrinsic_wo_chain:{ *:[nxv1i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_MF2_MASK),
     /* 2105615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105617 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105641 */     // GIR_Coverage, 16623,
     /* 2105641 */     GIR_EraseRootFromParent_Done,
     /* 2105642 */   // Label 27899: @2105642
     /* 2105642 */   GIM_Try, /*On fail goto*//*Label 27900*/ GIMT_Encode4(2105736), // Rule ID 16626 //
     /* 2105647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2105650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2105664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105693 */     // MIs[0] round
     /* 2105693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105696 */     // MIs[0] policy
     /* 2105696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105706 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2105709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105711 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105731 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105735 */     // GIR_Coverage, 16626,
     /* 2105735 */     GIR_EraseRootFromParent_Done,
     /* 2105736 */   // Label 27900: @2105736
     /* 2105736 */   GIM_Try, /*On fail goto*//*Label 27901*/ GIMT_Encode4(2105830), // Rule ID 16627 //
     /* 2105741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2105744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2105752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2105755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2105758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2105764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2105771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2105775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105787 */     // MIs[0] round
     /* 2105787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105790 */     // MIs[0] policy
     /* 2105790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105800 */     // (intrinsic_wo_chain:{ *:[nxv2i32] } 11484:{ *:[iPTR] }, VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M1_MASK),
     /* 2105803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105805 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105825 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105829 */     // GIR_Coverage, 16627,
     /* 2105829 */     GIR_EraseRootFromParent_Done,
     /* 2105830 */   // Label 27901: @2105830
     /* 2105830 */   GIM_Try, /*On fail goto*//*Label 27902*/ GIMT_Encode4(2105924), // Rule ID 16630 //
     /* 2105835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2105838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2105846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2105849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2105852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2105855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2105861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105881 */     // MIs[0] round
     /* 2105881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105884 */     // MIs[0] policy
     /* 2105884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105894 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2105894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2105897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105899 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2105907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2105909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2105914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2105917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2105919 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2105922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2105923 */     // GIR_Coverage, 16630,
     /* 2105923 */     GIR_EraseRootFromParent_Done,
     /* 2105924 */   // Label 27902: @2105924
     /* 2105924 */   GIM_Try, /*On fail goto*//*Label 27903*/ GIMT_Encode4(2106018), // Rule ID 16631 //
     /* 2105929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2105932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2105937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2105940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2105943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2105946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2105949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2105952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2105955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2105959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2105963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2105967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2105971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2105975 */     // MIs[0] round
     /* 2105975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2105978 */     // MIs[0] policy
     /* 2105978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2105981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2105988 */     // (intrinsic_wo_chain:{ *:[nxv4i32] } 11484:{ *:[iPTR] }, VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2105988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M2_MASK),
     /* 2105991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2105993 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2105995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2105997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2105999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106013 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2106016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106017 */     // GIR_Coverage, 16631,
     /* 2106017 */     GIR_EraseRootFromParent_Done,
     /* 2106018 */   // Label 27903: @2106018
     /* 2106018 */   GIM_Try, /*On fail goto*//*Label 27904*/ GIMT_Encode4(2106112), // Rule ID 16634 //
     /* 2106023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2106026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2106031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2106040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2106043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2106065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106069 */     // MIs[0] round
     /* 2106069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106072 */     // MIs[0] policy
     /* 2106072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106082 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2106085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106087 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106107 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2106110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106111 */     // GIR_Coverage, 16634,
     /* 2106111 */     GIR_EraseRootFromParent_Done,
     /* 2106112 */   // Label 27904: @2106112
     /* 2106112 */   GIM_Try, /*On fail goto*//*Label 27905*/ GIMT_Encode4(2106206), // Rule ID 16635 //
     /* 2106117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2106120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vnclip_mask),
     /* 2106125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2106128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2106131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2106134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2106137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2106140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2106147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2106151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2106155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2106159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106163 */     // MIs[0] round
     /* 2106163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106166 */     // MIs[0] policy
     /* 2106166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106176 */     // (intrinsic_wo_chain:{ *:[nxv8i32] } 11484:{ *:[iPTR] }, VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVNCLIP_WX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVNCLIP_WX_M4_MASK),
     /* 2106179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106181 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106201 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2106204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106205 */     // GIR_Coverage, 16635,
     /* 2106205 */     GIR_EraseRootFromParent_Done,
     /* 2106206 */   // Label 27905: @2106206
     /* 2106206 */   GIM_Try, /*On fail goto*//*Label 27906*/ GIMT_Encode4(2106297), // Rule ID 16698 //
     /* 2106211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2106222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2106225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2106228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2106231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106257 */     // MIs[0] round
     /* 2106257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106260 */     // MIs[0] policy
     /* 2106260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106270 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2106273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106275 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106296 */     // GIR_Coverage, 16698,
     /* 2106296 */     GIR_EraseRootFromParent_Done,
     /* 2106297 */   // Label 27906: @2106297
     /* 2106297 */   GIM_Try, /*On fail goto*//*Label 27907*/ GIMT_Encode4(2106388), // Rule ID 16699 //
     /* 2106302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2106313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2106316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2106319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2106322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106348 */     // MIs[0] round
     /* 2106348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106351 */     // MIs[0] policy
     /* 2106351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106361 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16_MASK),
     /* 2106364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106366 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106387 */     // GIR_Coverage, 16699,
     /* 2106387 */     GIR_EraseRootFromParent_Done,
     /* 2106388 */   // Label 27907: @2106388
     /* 2106388 */   GIM_Try, /*On fail goto*//*Label 27908*/ GIMT_Encode4(2106479), // Rule ID 16702 //
     /* 2106393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2106404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2106407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2106413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106439 */     // MIs[0] round
     /* 2106439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106442 */     // MIs[0] policy
     /* 2106442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106452 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2106455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106457 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106478 */     // GIR_Coverage, 16702,
     /* 2106478 */     GIR_EraseRootFromParent_Done,
     /* 2106479 */   // Label 27908: @2106479
     /* 2106479 */   GIM_Try, /*On fail goto*//*Label 27909*/ GIMT_Encode4(2106570), // Rule ID 16703 //
     /* 2106484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2106495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2106498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2106501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2106504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106530 */     // MIs[0] round
     /* 2106530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106533 */     // MIs[0] policy
     /* 2106533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106543 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16_MASK),
     /* 2106546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106548 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106569 */     // GIR_Coverage, 16703,
     /* 2106569 */     GIR_EraseRootFromParent_Done,
     /* 2106570 */   // Label 27909: @2106570
     /* 2106570 */   GIM_Try, /*On fail goto*//*Label 27910*/ GIMT_Encode4(2106661), // Rule ID 16706 //
     /* 2106575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2106586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2106589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2106595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106621 */     // MIs[0] round
     /* 2106621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106624 */     // MIs[0] policy
     /* 2106624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106634 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2106637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106639 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106660 */     // GIR_Coverage, 16706,
     /* 2106660 */     GIR_EraseRootFromParent_Done,
     /* 2106661 */   // Label 27910: @2106661
     /* 2106661 */   GIM_Try, /*On fail goto*//*Label 27911*/ GIMT_Encode4(2106752), // Rule ID 16707 //
     /* 2106666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2106669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2106677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2106680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2106683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2106686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2106689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106712 */     // MIs[0] round
     /* 2106712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106715 */     // MIs[0] policy
     /* 2106715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106725 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32_MASK),
     /* 2106728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106730 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2106748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106751 */     // GIR_Coverage, 16707,
     /* 2106751 */     GIR_EraseRootFromParent_Done,
     /* 2106752 */   // Label 27911: @2106752
     /* 2106752 */   GIM_Try, /*On fail goto*//*Label 27912*/ GIMT_Encode4(2106843), // Rule ID 16710 //
     /* 2106757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2106760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2106768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2106771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2106777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106803 */     // MIs[0] round
     /* 2106803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106806 */     // MIs[0] policy
     /* 2106806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106816 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2106819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106821 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106842 */     // GIR_Coverage, 16710,
     /* 2106842 */     GIR_EraseRootFromParent_Done,
     /* 2106843 */   // Label 27912: @2106843
     /* 2106843 */   GIM_Try, /*On fail goto*//*Label 27913*/ GIMT_Encode4(2106934), // Rule ID 16711 //
     /* 2106848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2106851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2106859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2106862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2106865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2106868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2106871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2106874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106894 */     // MIs[0] round
     /* 2106894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106897 */     // MIs[0] policy
     /* 2106897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106907 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2106907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16_MASK),
     /* 2106910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2106912 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2106914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2106916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2106918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2106920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2106922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2106927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2106930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2106932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2106933 */     // GIR_Coverage, 16711,
     /* 2106933 */     GIR_EraseRootFromParent_Done,
     /* 2106934 */   // Label 27913: @2106934
     /* 2106934 */   GIM_Try, /*On fail goto*//*Label 27914*/ GIMT_Encode4(2107025), // Rule ID 16714 //
     /* 2106939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2106942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2106947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2106950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2106953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2106956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2106959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2106962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2106965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2106969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2106981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2106985 */     // MIs[0] round
     /* 2106985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2106988 */     // MIs[0] policy
     /* 2106988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2106991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2106998 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2106998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2107001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107003 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107024 */     // GIR_Coverage, 16714,
     /* 2107024 */     GIR_EraseRootFromParent_Done,
     /* 2107025 */   // Label 27914: @2107025
     /* 2107025 */   GIM_Try, /*On fail goto*//*Label 27915*/ GIMT_Encode4(2107116), // Rule ID 16715 //
     /* 2107030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2107033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2107041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2107044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2107047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2107050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2107053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107076 */     // MIs[0] round
     /* 2107076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107079 */     // MIs[0] policy
     /* 2107079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107089 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32_MASK),
     /* 2107092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107094 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107115 */     // GIR_Coverage, 16715,
     /* 2107115 */     GIR_EraseRootFromParent_Done,
     /* 2107116 */   // Label 27915: @2107116
     /* 2107116 */   GIM_Try, /*On fail goto*//*Label 27916*/ GIMT_Encode4(2107207), // Rule ID 16718 //
     /* 2107121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2107124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2107132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2107135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2107138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2107141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107167 */     // MIs[0] round
     /* 2107167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107170 */     // MIs[0] policy
     /* 2107170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107180 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2107183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107185 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107206 */     // GIR_Coverage, 16718,
     /* 2107206 */     GIR_EraseRootFromParent_Done,
     /* 2107207 */   // Label 27916: @2107207
     /* 2107207 */   GIM_Try, /*On fail goto*//*Label 27917*/ GIMT_Encode4(2107298), // Rule ID 16719 //
     /* 2107212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2107215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2107223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2107226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2107229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2107232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2107235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2107242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2107254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107258 */     // MIs[0] round
     /* 2107258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107261 */     // MIs[0] policy
     /* 2107261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107271 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64_MASK),
     /* 2107274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107276 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2107294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107297 */     // GIR_Coverage, 16719,
     /* 2107297 */     GIR_EraseRootFromParent_Done,
     /* 2107298 */   // Label 27917: @2107298
     /* 2107298 */   GIM_Try, /*On fail goto*//*Label 27918*/ GIMT_Encode4(2107389), // Rule ID 16722 //
     /* 2107303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2107306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2107314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2107317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2107320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2107323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107349 */     // MIs[0] round
     /* 2107349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107352 */     // MIs[0] policy
     /* 2107352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107362 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2107365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107367 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107388 */     // GIR_Coverage, 16722,
     /* 2107388 */     GIR_EraseRootFromParent_Done,
     /* 2107389 */   // Label 27918: @2107389
     /* 2107389 */   GIM_Try, /*On fail goto*//*Label 27919*/ GIMT_Encode4(2107480), // Rule ID 16723 //
     /* 2107394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2107397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2107405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2107408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2107411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2107414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2107417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107440 */     // MIs[0] round
     /* 2107440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107443 */     // MIs[0] policy
     /* 2107443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107453 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16_MASK),
     /* 2107456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107458 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107479 */     // GIR_Coverage, 16723,
     /* 2107479 */     GIR_EraseRootFromParent_Done,
     /* 2107480 */   // Label 27919: @2107480
     /* 2107480 */   GIM_Try, /*On fail goto*//*Label 27920*/ GIMT_Encode4(2107571), // Rule ID 16726 //
     /* 2107485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2107488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2107496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2107499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2107502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2107505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107531 */     // MIs[0] round
     /* 2107531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107534 */     // MIs[0] policy
     /* 2107534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107544 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2107547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107549 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107570 */     // GIR_Coverage, 16726,
     /* 2107570 */     GIR_EraseRootFromParent_Done,
     /* 2107571 */   // Label 27920: @2107571
     /* 2107571 */   GIM_Try, /*On fail goto*//*Label 27921*/ GIMT_Encode4(2107662), // Rule ID 16727 //
     /* 2107576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2107579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2107587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2107590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2107593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2107596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2107599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2107606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2107618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107622 */     // MIs[0] round
     /* 2107622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107625 */     // MIs[0] policy
     /* 2107625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107635 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16_MASK),
     /* 2107638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107640 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107661 */     // GIR_Coverage, 16727,
     /* 2107661 */     GIR_EraseRootFromParent_Done,
     /* 2107662 */   // Label 27921: @2107662
     /* 2107662 */   GIM_Try, /*On fail goto*//*Label 27922*/ GIMT_Encode4(2107753), // Rule ID 16730 //
     /* 2107667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2107670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2107678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2107681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2107684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2107687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2107690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107713 */     // MIs[0] round
     /* 2107713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107716 */     // MIs[0] policy
     /* 2107716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107726 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2107729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107731 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107752 */     // GIR_Coverage, 16730,
     /* 2107752 */     GIR_EraseRootFromParent_Done,
     /* 2107753 */   // Label 27922: @2107753
     /* 2107753 */   GIM_Try, /*On fail goto*//*Label 27923*/ GIMT_Encode4(2107844), // Rule ID 16731 //
     /* 2107758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2107761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2107769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2107772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2107775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2107778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2107781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2107788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2107800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107804 */     // MIs[0] round
     /* 2107804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107807 */     // MIs[0] policy
     /* 2107807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107817 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16_MASK),
     /* 2107820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107822 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2107840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107843 */     // GIR_Coverage, 16731,
     /* 2107843 */     GIR_EraseRootFromParent_Done,
     /* 2107844 */   // Label 27923: @2107844
     /* 2107844 */   GIM_Try, /*On fail goto*//*Label 27924*/ GIMT_Encode4(2107935), // Rule ID 16734 //
     /* 2107849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2107852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2107869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2107875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107895 */     // MIs[0] round
     /* 2107895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107898 */     // MIs[0] policy
     /* 2107898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107908 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2107908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2107911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2107913 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2107915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2107917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2107919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2107921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2107923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2107928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2107931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2107933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2107934 */     // GIR_Coverage, 16734,
     /* 2107934 */     GIR_EraseRootFromParent_Done,
     /* 2107935 */   // Label 27924: @2107935
     /* 2107935 */   GIM_Try, /*On fail goto*//*Label 27925*/ GIMT_Encode4(2108026), // Rule ID 16735 //
     /* 2107940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2107943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2107948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2107951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2107954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2107957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2107960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2107963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2107966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2107970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2107982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2107986 */     // MIs[0] round
     /* 2107986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2107989 */     // MIs[0] policy
     /* 2107989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2107992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2107999 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2107999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32_MASK),
     /* 2108002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108004 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108025 */     // GIR_Coverage, 16735,
     /* 2108025 */     GIR_EraseRootFromParent_Done,
     /* 2108026 */   // Label 27925: @2108026
     /* 2108026 */   GIM_Try, /*On fail goto*//*Label 27926*/ GIMT_Encode4(2108117), // Rule ID 16738 //
     /* 2108031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2108034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2108048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2108051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108077 */     // MIs[0] round
     /* 2108077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108080 */     // MIs[0] policy
     /* 2108080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108090 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2108093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108095 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108116 */     // GIR_Coverage, 16738,
     /* 2108116 */     GIR_EraseRootFromParent_Done,
     /* 2108117 */   // Label 27926: @2108117
     /* 2108117 */   GIM_Try, /*On fail goto*//*Label 27927*/ GIMT_Encode4(2108208), // Rule ID 16739 //
     /* 2108122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2108125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2108133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2108136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2108139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2108142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108168 */     // MIs[0] round
     /* 2108168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108171 */     // MIs[0] policy
     /* 2108171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108181 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32_MASK),
     /* 2108184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108186 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108207 */     // GIR_Coverage, 16739,
     /* 2108207 */     GIR_EraseRootFromParent_Done,
     /* 2108208 */   // Label 27927: @2108208
     /* 2108208 */   GIM_Try, /*On fail goto*//*Label 27928*/ GIMT_Encode4(2108299), // Rule ID 16742 //
     /* 2108213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2108216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2108230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2108233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108259 */     // MIs[0] round
     /* 2108259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108262 */     // MIs[0] policy
     /* 2108262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108272 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2108275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108277 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108298 */     // GIR_Coverage, 16742,
     /* 2108298 */     GIR_EraseRootFromParent_Done,
     /* 2108299 */   // Label 27928: @2108299
     /* 2108299 */   GIM_Try, /*On fail goto*//*Label 27929*/ GIMT_Encode4(2108390), // Rule ID 16743 //
     /* 2108304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2108307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2108315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2108318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2108321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2108324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2108327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108350 */     // MIs[0] round
     /* 2108350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108353 */     // MIs[0] policy
     /* 2108353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108363 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32_MASK),
     /* 2108366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108368 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2108386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108389 */     // GIR_Coverage, 16743,
     /* 2108389 */     GIR_EraseRootFromParent_Done,
     /* 2108390 */   // Label 27929: @2108390
     /* 2108390 */   GIM_Try, /*On fail goto*//*Label 27930*/ GIMT_Encode4(2108481), // Rule ID 16746 //
     /* 2108395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2108398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2108412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2108415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108441 */     // MIs[0] round
     /* 2108441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108444 */     // MIs[0] policy
     /* 2108444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108454 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2108457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108459 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108480 */     // GIR_Coverage, 16746,
     /* 2108480 */     GIR_EraseRootFromParent_Done,
     /* 2108481 */   // Label 27930: @2108481
     /* 2108481 */   GIM_Try, /*On fail goto*//*Label 27931*/ GIMT_Encode4(2108572), // Rule ID 16747 //
     /* 2108486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2108489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2108497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2108500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2108503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2108506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2108509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2108516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2108528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108532 */     // MIs[0] round
     /* 2108532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108535 */     // MIs[0] policy
     /* 2108535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108545 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64_MASK),
     /* 2108548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108550 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108571 */     // GIR_Coverage, 16747,
     /* 2108571 */     GIR_EraseRootFromParent_Done,
     /* 2108572 */   // Label 27931: @2108572
     /* 2108572 */   GIM_Try, /*On fail goto*//*Label 27932*/ GIMT_Encode4(2108663), // Rule ID 16750 //
     /* 2108577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2108580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2108594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2108597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108623 */     // MIs[0] round
     /* 2108623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108626 */     // MIs[0] policy
     /* 2108626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108636 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2108639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108641 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108662 */     // GIR_Coverage, 16750,
     /* 2108662 */     GIR_EraseRootFromParent_Done,
     /* 2108663 */   // Label 27932: @2108663
     /* 2108663 */   GIM_Try, /*On fail goto*//*Label 27933*/ GIMT_Encode4(2108754), // Rule ID 16751 //
     /* 2108668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2108671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2108679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2108682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2108685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2108688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2108691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2108698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2108710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108714 */     // MIs[0] round
     /* 2108714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108717 */     // MIs[0] policy
     /* 2108717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108727 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64_MASK),
     /* 2108730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108732 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108753 */     // GIR_Coverage, 16751,
     /* 2108753 */     GIR_EraseRootFromParent_Done,
     /* 2108754 */   // Label 27933: @2108754
     /* 2108754 */   GIM_Try, /*On fail goto*//*Label 27934*/ GIMT_Encode4(2108845), // Rule ID 16754 //
     /* 2108759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2108762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2108776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2108779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108805 */     // MIs[0] round
     /* 2108805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108808 */     // MIs[0] policy
     /* 2108808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108818 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2108818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2108821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108823 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108844 */     // GIR_Coverage, 16754,
     /* 2108844 */     GIR_EraseRootFromParent_Done,
     /* 2108845 */   // Label 27934: @2108845
     /* 2108845 */   GIM_Try, /*On fail goto*//*Label 27935*/ GIMT_Encode4(2108936), // Rule ID 16755 //
     /* 2108850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2108853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2108861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2108864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2108867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2108870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2108873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2108876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2108880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2108892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108896 */     // MIs[0] round
     /* 2108896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108899 */     // MIs[0] policy
     /* 2108899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2108909 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2108909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64_MASK),
     /* 2108912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2108914 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2108916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2108918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2108920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2108922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2108924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2108929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2108932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2108934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2108935 */     // GIR_Coverage, 16755,
     /* 2108935 */     GIR_EraseRootFromParent_Done,
     /* 2108936 */   // Label 27935: @2108936
     /* 2108936 */   GIM_Try, /*On fail goto*//*Label 27936*/ GIMT_Encode4(2109027), // Rule ID 16758 //
     /* 2108941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2108944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2108949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2108952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2108955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2108958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2108961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2108964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2108967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2108971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2108979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2108983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2108987 */     // MIs[0] round
     /* 2108987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2108990 */     // MIs[0] policy
     /* 2108990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2108993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109000 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2109003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109005 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109026 */     // GIR_Coverage, 16758,
     /* 2109026 */     GIR_EraseRootFromParent_Done,
     /* 2109027 */   // Label 27936: @2109027
     /* 2109027 */   GIM_Try, /*On fail goto*//*Label 27937*/ GIMT_Encode4(2109118), // Rule ID 16759 //
     /* 2109032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2109035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2109043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2109046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2109049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109078 */     // MIs[0] round
     /* 2109078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109081 */     // MIs[0] policy
     /* 2109081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109091 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF4_E16_MASK),
     /* 2109094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109096 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109117 */     // GIR_Coverage, 16759,
     /* 2109117 */     GIR_EraseRootFromParent_Done,
     /* 2109118 */   // Label 27937: @2109118
     /* 2109118 */   GIM_Try, /*On fail goto*//*Label 27938*/ GIMT_Encode4(2109209), // Rule ID 16762 //
     /* 2109123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2109126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2109134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2109137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109169 */     // MIs[0] round
     /* 2109169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109172 */     // MIs[0] policy
     /* 2109172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109182 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2109185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109187 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109208 */     // GIR_Coverage, 16762,
     /* 2109208 */     GIR_EraseRootFromParent_Done,
     /* 2109209 */   // Label 27938: @2109209
     /* 2109209 */   GIM_Try, /*On fail goto*//*Label 27939*/ GIMT_Encode4(2109300), // Rule ID 16763 //
     /* 2109214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2109217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2109225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2109228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2109231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109260 */     // MIs[0] round
     /* 2109260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109263 */     // MIs[0] policy
     /* 2109263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109273 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_MF2_E16_MASK),
     /* 2109276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109278 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109299 */     // GIR_Coverage, 16763,
     /* 2109299 */     GIR_EraseRootFromParent_Done,
     /* 2109300 */   // Label 27939: @2109300
     /* 2109300 */   GIM_Try, /*On fail goto*//*Label 27940*/ GIMT_Encode4(2109391), // Rule ID 16766 //
     /* 2109305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2109308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109351 */     // MIs[0] round
     /* 2109351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109354 */     // MIs[0] policy
     /* 2109354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109364 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2109367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109369 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109390 */     // GIR_Coverage, 16766,
     /* 2109390 */     GIR_EraseRootFromParent_Done,
     /* 2109391 */   // Label 27940: @2109391
     /* 2109391 */   GIM_Try, /*On fail goto*//*Label 27941*/ GIMT_Encode4(2109482), // Rule ID 16767 //
     /* 2109396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2109399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2109407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2109410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2109413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109442 */     // MIs[0] round
     /* 2109442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109445 */     // MIs[0] policy
     /* 2109445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109455 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_MF2_E32_MASK),
     /* 2109458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109460 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109481 */     // GIR_Coverage, 16767,
     /* 2109481 */     GIR_EraseRootFromParent_Done,
     /* 2109482 */   // Label 27941: @2109482
     /* 2109482 */   GIM_Try, /*On fail goto*//*Label 27942*/ GIMT_Encode4(2109573), // Rule ID 16770 //
     /* 2109487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2109490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2109498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2109501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109533 */     // MIs[0] round
     /* 2109533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109536 */     // MIs[0] policy
     /* 2109536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109546 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2109549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109551 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109572 */     // GIR_Coverage, 16770,
     /* 2109572 */     GIR_EraseRootFromParent_Done,
     /* 2109573 */   // Label 27942: @2109573
     /* 2109573 */   GIM_Try, /*On fail goto*//*Label 27943*/ GIMT_Encode4(2109664), // Rule ID 16771 //
     /* 2109578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2109581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2109589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2109592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2109595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2109598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2109601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2109620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109624 */     // MIs[0] round
     /* 2109624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109627 */     // MIs[0] policy
     /* 2109627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109637 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11186:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M1_E16_MASK),
     /* 2109640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109642 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2109660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109663 */     // GIR_Coverage, 16771,
     /* 2109663 */     GIR_EraseRootFromParent_Done,
     /* 2109664 */   // Label 27943: @2109664
     /* 2109664 */   GIM_Try, /*On fail goto*//*Label 27944*/ GIMT_Encode4(2109755), // Rule ID 16774 //
     /* 2109669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2109672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109715 */     // MIs[0] round
     /* 2109715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109718 */     // MIs[0] policy
     /* 2109718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109728 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2109731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109733 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109754 */     // GIR_Coverage, 16774,
     /* 2109754 */     GIR_EraseRootFromParent_Done,
     /* 2109755 */   // Label 27944: @2109755
     /* 2109755 */   GIM_Try, /*On fail goto*//*Label 27945*/ GIMT_Encode4(2109846), // Rule ID 16775 //
     /* 2109760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2109763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2109771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2109774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2109777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2109780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2109783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2109802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109806 */     // MIs[0] round
     /* 2109806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109809 */     // MIs[0] policy
     /* 2109809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109819 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11186:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2109819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M1_E32_MASK),
     /* 2109822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109824 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2109842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109845 */     // GIR_Coverage, 16775,
     /* 2109845 */     GIR_EraseRootFromParent_Done,
     /* 2109846 */   // Label 27945: @2109846
     /* 2109846 */   GIM_Try, /*On fail goto*//*Label 27946*/ GIMT_Encode4(2109937), // Rule ID 16778 //
     /* 2109851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2109854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2109868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2109871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2109877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2109893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109897 */     // MIs[0] round
     /* 2109897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109900 */     // MIs[0] policy
     /* 2109900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2109910 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2109910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2109913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2109915 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2109917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2109919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2109921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2109923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2109925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2109930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2109933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2109935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2109936 */     // GIR_Coverage, 16778,
     /* 2109936 */     GIR_EraseRootFromParent_Done,
     /* 2109937 */   // Label 27946: @2109937
     /* 2109937 */   GIM_Try, /*On fail goto*//*Label 27947*/ GIMT_Encode4(2110028), // Rule ID 16779 //
     /* 2109942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2109945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2109950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2109953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2109956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2109959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2109962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2109965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2109968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2109972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2109980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2109984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2109988 */     // MIs[0] round
     /* 2109988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2109991 */     // MIs[0] policy
     /* 2109991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2109994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110001 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11186:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M1_E64_MASK),
     /* 2110004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110006 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2110024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110027 */     // GIR_Coverage, 16779,
     /* 2110027 */     GIR_EraseRootFromParent_Done,
     /* 2110028 */   // Label 27947: @2110028
     /* 2110028 */   GIM_Try, /*On fail goto*//*Label 27948*/ GIMT_Encode4(2110119), // Rule ID 16782 //
     /* 2110033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2110036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2110044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2110047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2110050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110079 */     // MIs[0] round
     /* 2110079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110082 */     // MIs[0] policy
     /* 2110082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110092 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2110095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110097 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110118 */     // GIR_Coverage, 16782,
     /* 2110118 */     GIR_EraseRootFromParent_Done,
     /* 2110119 */   // Label 27948: @2110119
     /* 2110119 */   GIM_Try, /*On fail goto*//*Label 27949*/ GIMT_Encode4(2110210), // Rule ID 16783 //
     /* 2110124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2110127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2110135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2110138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2110141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110170 */     // MIs[0] round
     /* 2110170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110173 */     // MIs[0] policy
     /* 2110173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110183 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M2_E16_MASK),
     /* 2110186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110188 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110209 */     // GIR_Coverage, 16783,
     /* 2110209 */     GIR_EraseRootFromParent_Done,
     /* 2110210 */   // Label 27949: @2110210
     /* 2110210 */   GIM_Try, /*On fail goto*//*Label 27950*/ GIMT_Encode4(2110301), // Rule ID 16786 //
     /* 2110215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2110218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2110226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2110229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2110232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110261 */     // MIs[0] round
     /* 2110261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110264 */     // MIs[0] policy
     /* 2110264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110274 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2110277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110279 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110300 */     // GIR_Coverage, 16786,
     /* 2110300 */     GIR_EraseRootFromParent_Done,
     /* 2110301 */   // Label 27950: @2110301
     /* 2110301 */   GIM_Try, /*On fail goto*//*Label 27951*/ GIMT_Encode4(2110392), // Rule ID 16787 //
     /* 2110306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2110309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2110317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2110320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2110323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110352 */     // MIs[0] round
     /* 2110352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110355 */     // MIs[0] policy
     /* 2110355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110365 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M4_E16_MASK),
     /* 2110368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110370 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110391 */     // GIR_Coverage, 16787,
     /* 2110391 */     GIR_EraseRootFromParent_Done,
     /* 2110392 */   // Label 27951: @2110392
     /* 2110392 */   GIM_Try, /*On fail goto*//*Label 27952*/ GIMT_Encode4(2110483), // Rule ID 16790 //
     /* 2110397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2110400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2110408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2110411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2110414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2110420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110443 */     // MIs[0] round
     /* 2110443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110446 */     // MIs[0] policy
     /* 2110446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110456 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2110459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110461 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110482 */     // GIR_Coverage, 16790,
     /* 2110482 */     GIR_EraseRootFromParent_Done,
     /* 2110483 */   // Label 27952: @2110483
     /* 2110483 */   GIM_Try, /*On fail goto*//*Label 27953*/ GIMT_Encode4(2110574), // Rule ID 16791 //
     /* 2110488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2110491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2110499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2110502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2110505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2110508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2110511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2110530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110534 */     // MIs[0] round
     /* 2110534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110537 */     // MIs[0] policy
     /* 2110537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110547 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR16_M8_E16_MASK),
     /* 2110550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110552 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2110570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110573 */     // GIR_Coverage, 16791,
     /* 2110573 */     GIR_EraseRootFromParent_Done,
     /* 2110574 */   // Label 27953: @2110574
     /* 2110574 */   GIM_Try, /*On fail goto*//*Label 27954*/ GIMT_Encode4(2110665), // Rule ID 16794 //
     /* 2110579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2110582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110625 */     // MIs[0] round
     /* 2110625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110628 */     // MIs[0] policy
     /* 2110628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110638 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2110641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110643 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110664 */     // GIR_Coverage, 16794,
     /* 2110664 */     GIR_EraseRootFromParent_Done,
     /* 2110665 */   // Label 27954: @2110665
     /* 2110665 */   GIM_Try, /*On fail goto*//*Label 27955*/ GIMT_Encode4(2110756), // Rule ID 16795 //
     /* 2110670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2110673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2110681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2110684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2110687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2110693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2110700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2110708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110716 */     // MIs[0] round
     /* 2110716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110719 */     // MIs[0] policy
     /* 2110719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110729 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M2_E32_MASK),
     /* 2110732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110734 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110755 */     // GIR_Coverage, 16795,
     /* 2110755 */     GIR_EraseRootFromParent_Done,
     /* 2110756 */   // Label 27955: @2110756
     /* 2110756 */   GIM_Try, /*On fail goto*//*Label 27956*/ GIMT_Encode4(2110847), // Rule ID 16798 //
     /* 2110761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2110764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2110772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2110775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110807 */     // MIs[0] round
     /* 2110807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110810 */     // MIs[0] policy
     /* 2110810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110820 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2110820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2110823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110825 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110846 */     // GIR_Coverage, 16798,
     /* 2110846 */     GIR_EraseRootFromParent_Done,
     /* 2110847 */   // Label 27956: @2110847
     /* 2110847 */   GIM_Try, /*On fail goto*//*Label 27957*/ GIMT_Encode4(2110938), // Rule ID 16799 //
     /* 2110852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2110855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2110863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2110866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2110869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2110875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2110878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2110882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2110890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110898 */     // MIs[0] round
     /* 2110898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110901 */     // MIs[0] policy
     /* 2110901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2110911 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2110911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M4_E32_MASK),
     /* 2110914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2110916 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2110918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2110920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2110922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2110924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2110926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2110931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2110934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2110936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2110937 */     // GIR_Coverage, 16799,
     /* 2110937 */     GIR_EraseRootFromParent_Done,
     /* 2110938 */   // Label 27957: @2110938
     /* 2110938 */   GIM_Try, /*On fail goto*//*Label 27958*/ GIMT_Encode4(2111029), // Rule ID 16802 //
     /* 2110943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2110946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2110951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2110954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2110957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2110960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2110963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2110966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2110969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2110973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2110981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2110985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2110989 */     // MIs[0] round
     /* 2110989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2110992 */     // MIs[0] policy
     /* 2110992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2110995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111002 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2111005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111007 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111028 */     // GIR_Coverage, 16802,
     /* 2111028 */     GIR_EraseRootFromParent_Done,
     /* 2111029 */   // Label 27958: @2111029
     /* 2111029 */   GIM_Try, /*On fail goto*//*Label 27959*/ GIMT_Encode4(2111120), // Rule ID 16803 //
     /* 2111034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2111037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2111042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2111045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2111048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2111051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2111054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2111057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2111076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111080 */     // MIs[0] round
     /* 2111080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111083 */     // MIs[0] policy
     /* 2111083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111093 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR32_M8_E32_MASK),
     /* 2111096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111098 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2111116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111119 */     // GIR_Coverage, 16803,
     /* 2111119 */     GIR_EraseRootFromParent_Done,
     /* 2111120 */   // Label 27959: @2111120
     /* 2111120 */   GIM_Try, /*On fail goto*//*Label 27960*/ GIMT_Encode4(2111211), // Rule ID 16806 //
     /* 2111125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2111128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2111133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2111167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111171 */     // MIs[0] round
     /* 2111171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111174 */     // MIs[0] policy
     /* 2111174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111184 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2111187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111189 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111210 */     // GIR_Coverage, 16806,
     /* 2111210 */     GIR_EraseRootFromParent_Done,
     /* 2111211 */   // Label 27960: @2111211
     /* 2111211 */   GIM_Try, /*On fail goto*//*Label 27961*/ GIMT_Encode4(2111302), // Rule ID 16807 //
     /* 2111216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2111219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2111224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2111227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2111230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2111233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2111246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2111254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2111258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111262 */     // MIs[0] round
     /* 2111262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111265 */     // MIs[0] policy
     /* 2111265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111275 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11186:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M2_E64_MASK),
     /* 2111278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111280 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111301 */     // GIR_Coverage, 16807,
     /* 2111301 */     GIR_EraseRootFromParent_Done,
     /* 2111302 */   // Label 27961: @2111302
     /* 2111302 */   GIM_Try, /*On fail goto*//*Label 27962*/ GIMT_Encode4(2111393), // Rule ID 16810 //
     /* 2111307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2111310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2111315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2111349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111353 */     // MIs[0] round
     /* 2111353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111356 */     // MIs[0] policy
     /* 2111356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111366 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2111369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111371 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111392 */     // GIR_Coverage, 16810,
     /* 2111392 */     GIR_EraseRootFromParent_Done,
     /* 2111393 */   // Label 27962: @2111393
     /* 2111393 */   GIM_Try, /*On fail goto*//*Label 27963*/ GIMT_Encode4(2111484), // Rule ID 16811 //
     /* 2111398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2111401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2111406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2111409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2111412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2111415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2111421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2111428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2111436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2111440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111444 */     // MIs[0] round
     /* 2111444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111447 */     // MIs[0] policy
     /* 2111447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111457 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11186:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M4_E64_MASK),
     /* 2111460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111462 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111483 */     // GIR_Coverage, 16811,
     /* 2111483 */     GIR_EraseRootFromParent_Done,
     /* 2111484 */   // Label 27963: @2111484
     /* 2111484 */   GIM_Try, /*On fail goto*//*Label 27964*/ GIMT_Encode4(2111575), // Rule ID 16814 //
     /* 2111489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2111492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2111497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2111500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2111503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2111506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2111531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111535 */     // MIs[0] round
     /* 2111535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111538 */     // MIs[0] policy
     /* 2111538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111548 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2111551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111553 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111574 */     // GIR_Coverage, 16814,
     /* 2111574 */     GIR_EraseRootFromParent_Done,
     /* 2111575 */   // Label 27964: @2111575
     /* 2111575 */   GIM_Try, /*On fail goto*//*Label 27965*/ GIMT_Encode4(2111666), // Rule ID 16815 //
     /* 2111580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2111583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfadd_mask),
     /* 2111588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2111591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2111594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2111597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2111600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2111603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2111610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2111618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2111622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111626 */     // MIs[0] round
     /* 2111626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111629 */     // MIs[0] policy
     /* 2111629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111639 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11186:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VFPR64_M8_E64_MASK),
     /* 2111642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111644 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2111662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111665 */     // GIR_Coverage, 16815,
     /* 2111665 */     GIR_EraseRootFromParent_Done,
     /* 2111666 */   // Label 27965: @2111666
     /* 2111666 */   GIM_Try, /*On fail goto*//*Label 27966*/ GIMT_Encode4(2111757), // Rule ID 16818 //
     /* 2111671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2111674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2111682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2111685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2111688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2111691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111717 */     // MIs[0] round
     /* 2111717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111720 */     // MIs[0] policy
     /* 2111720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111730 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2111733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111735 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111756 */     // GIR_Coverage, 16818,
     /* 2111756 */     GIR_EraseRootFromParent_Done,
     /* 2111757 */   // Label 27966: @2111757
     /* 2111757 */   GIM_Try, /*On fail goto*//*Label 27967*/ GIMT_Encode4(2111848), // Rule ID 16819 //
     /* 2111762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2111765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2111773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2111776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2111779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2111782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2111785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111808 */     // MIs[0] round
     /* 2111808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111811 */     // MIs[0] policy
     /* 2111811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111821 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2111821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16_MASK),
     /* 2111824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111826 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111847 */     // GIR_Coverage, 16819,
     /* 2111847 */     GIR_EraseRootFromParent_Done,
     /* 2111848 */   // Label 27967: @2111848
     /* 2111848 */   GIM_Try, /*On fail goto*//*Label 27968*/ GIMT_Encode4(2111939), // Rule ID 16822 //
     /* 2111853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2111856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2111864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2111867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2111870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2111873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2111879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111899 */     // MIs[0] round
     /* 2111899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111902 */     // MIs[0] policy
     /* 2111902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2111912 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2111912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2111915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2111917 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2111919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2111921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2111923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2111925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2111927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2111932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2111935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2111937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2111938 */     // GIR_Coverage, 16822,
     /* 2111938 */     GIR_EraseRootFromParent_Done,
     /* 2111939 */   // Label 27968: @2111939
     /* 2111939 */   GIM_Try, /*On fail goto*//*Label 27969*/ GIMT_Encode4(2112030), // Rule ID 16823 //
     /* 2111944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2111947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2111952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2111955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2111958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2111961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2111964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2111967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2111970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2111974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2111986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2111990 */     // MIs[0] round
     /* 2111990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2111993 */     // MIs[0] policy
     /* 2111993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2111996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112003 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16_MASK),
     /* 2112006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112008 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112029 */     // GIR_Coverage, 16823,
     /* 2112029 */     GIR_EraseRootFromParent_Done,
     /* 2112030 */   // Label 27969: @2112030
     /* 2112030 */   GIM_Try, /*On fail goto*//*Label 27970*/ GIMT_Encode4(2112121), // Rule ID 16826 //
     /* 2112035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2112038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2112055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112081 */     // MIs[0] round
     /* 2112081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112084 */     // MIs[0] policy
     /* 2112084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112094 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2112097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112099 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112120 */     // GIR_Coverage, 16826,
     /* 2112120 */     GIR_EraseRootFromParent_Done,
     /* 2112121 */   // Label 27970: @2112121
     /* 2112121 */   GIM_Try, /*On fail goto*//*Label 27971*/ GIMT_Encode4(2112212), // Rule ID 16827 //
     /* 2112126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2112129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2112137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2112140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2112143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2112146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112172 */     // MIs[0] round
     /* 2112172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112175 */     // MIs[0] policy
     /* 2112175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112185 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32_MASK),
     /* 2112188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112190 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112211 */     // GIR_Coverage, 16827,
     /* 2112211 */     GIR_EraseRootFromParent_Done,
     /* 2112212 */   // Label 27971: @2112212
     /* 2112212 */   GIM_Try, /*On fail goto*//*Label 27972*/ GIMT_Encode4(2112303), // Rule ID 16830 //
     /* 2112217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2112220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2112228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2112231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2112234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2112237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112263 */     // MIs[0] round
     /* 2112263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112266 */     // MIs[0] policy
     /* 2112266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112276 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2112279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112281 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112302 */     // GIR_Coverage, 16830,
     /* 2112302 */     GIR_EraseRootFromParent_Done,
     /* 2112303 */   // Label 27972: @2112303
     /* 2112303 */   GIM_Try, /*On fail goto*//*Label 27973*/ GIMT_Encode4(2112394), // Rule ID 16831 //
     /* 2112308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2112311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2112319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2112322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2112325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2112328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2112331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112354 */     // MIs[0] round
     /* 2112354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112357 */     // MIs[0] policy
     /* 2112357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112367 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16_MASK),
     /* 2112370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112372 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112393 */     // GIR_Coverage, 16831,
     /* 2112393 */     GIR_EraseRootFromParent_Done,
     /* 2112394 */   // Label 27973: @2112394
     /* 2112394 */   GIM_Try, /*On fail goto*//*Label 27974*/ GIMT_Encode4(2112485), // Rule ID 16834 //
     /* 2112399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2112402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2112419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112445 */     // MIs[0] round
     /* 2112445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112448 */     // MIs[0] policy
     /* 2112448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112458 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2112461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112463 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112484 */     // GIR_Coverage, 16834,
     /* 2112484 */     GIR_EraseRootFromParent_Done,
     /* 2112485 */   // Label 27974: @2112485
     /* 2112485 */   GIM_Try, /*On fail goto*//*Label 27975*/ GIMT_Encode4(2112576), // Rule ID 16835 //
     /* 2112490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2112493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2112501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2112504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2112507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2112510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2112513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112536 */     // MIs[0] round
     /* 2112536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112539 */     // MIs[0] policy
     /* 2112539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112549 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32_MASK),
     /* 2112552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112554 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2112572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112575 */     // GIR_Coverage, 16835,
     /* 2112575 */     GIR_EraseRootFromParent_Done,
     /* 2112576 */   // Label 27975: @2112576
     /* 2112576 */   GIM_Try, /*On fail goto*//*Label 27976*/ GIMT_Encode4(2112667), // Rule ID 16838 //
     /* 2112581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2112584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2112592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2112595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2112598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2112601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112627 */     // MIs[0] round
     /* 2112627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112630 */     // MIs[0] policy
     /* 2112630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112640 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2112643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112645 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112666 */     // GIR_Coverage, 16838,
     /* 2112666 */     GIR_EraseRootFromParent_Done,
     /* 2112667 */   // Label 27976: @2112667
     /* 2112667 */   GIM_Try, /*On fail goto*//*Label 27977*/ GIMT_Encode4(2112758), // Rule ID 16839 //
     /* 2112672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2112675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2112683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2112686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2112689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2112692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2112695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2112702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2112714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112718 */     // MIs[0] round
     /* 2112718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112721 */     // MIs[0] policy
     /* 2112721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112731 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64_MASK),
     /* 2112734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112736 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2112754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112757 */     // GIR_Coverage, 16839,
     /* 2112757 */     GIR_EraseRootFromParent_Done,
     /* 2112758 */   // Label 27977: @2112758
     /* 2112758 */   GIM_Try, /*On fail goto*//*Label 27978*/ GIMT_Encode4(2112849), // Rule ID 16842 //
     /* 2112763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2112766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2112774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2112777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2112780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2112783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112809 */     // MIs[0] round
     /* 2112809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112812 */     // MIs[0] policy
     /* 2112812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112822 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2112822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2112825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112827 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112848 */     // GIR_Coverage, 16842,
     /* 2112848 */     GIR_EraseRootFromParent_Done,
     /* 2112849 */   // Label 27978: @2112849
     /* 2112849 */   GIM_Try, /*On fail goto*//*Label 27979*/ GIMT_Encode4(2112940), // Rule ID 16843 //
     /* 2112854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2112857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2112865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2112868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2112871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2112874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2112877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2112880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2112884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2112896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112900 */     // MIs[0] round
     /* 2112900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112903 */     // MIs[0] policy
     /* 2112903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2112913 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2112913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16_MASK),
     /* 2112916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2112918 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2112920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2112922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2112924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2112926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2112928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2112933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2112936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2112938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2112939 */     // GIR_Coverage, 16843,
     /* 2112939 */     GIR_EraseRootFromParent_Done,
     /* 2112940 */   // Label 27979: @2112940
     /* 2112940 */   GIM_Try, /*On fail goto*//*Label 27980*/ GIMT_Encode4(2113031), // Rule ID 16846 //
     /* 2112945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2112948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2112953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2112956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2112959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2112962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2112965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2112968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2112971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2112975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2112987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2112991 */     // MIs[0] round
     /* 2112991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2112994 */     // MIs[0] policy
     /* 2112994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2112997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113004 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2113007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113009 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113030 */     // GIR_Coverage, 16846,
     /* 2113030 */     GIR_EraseRootFromParent_Done,
     /* 2113031 */   // Label 27980: @2113031
     /* 2113031 */   GIM_Try, /*On fail goto*//*Label 27981*/ GIMT_Encode4(2113122), // Rule ID 16847 //
     /* 2113036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2113039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2113047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2113050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2113053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2113056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113082 */     // MIs[0] round
     /* 2113082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113085 */     // MIs[0] policy
     /* 2113085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113095 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16_MASK),
     /* 2113098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113100 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113121 */     // GIR_Coverage, 16847,
     /* 2113121 */     GIR_EraseRootFromParent_Done,
     /* 2113122 */   // Label 27981: @2113122
     /* 2113122 */   GIM_Try, /*On fail goto*//*Label 27982*/ GIMT_Encode4(2113213), // Rule ID 16850 //
     /* 2113127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2113130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2113138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2113141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2113144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2113147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2113150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113173 */     // MIs[0] round
     /* 2113173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113176 */     // MIs[0] policy
     /* 2113176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113186 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2113189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113191 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113212 */     // GIR_Coverage, 16850,
     /* 2113212 */     GIR_EraseRootFromParent_Done,
     /* 2113213 */   // Label 27982: @2113213
     /* 2113213 */   GIM_Try, /*On fail goto*//*Label 27983*/ GIMT_Encode4(2113304), // Rule ID 16851 //
     /* 2113218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2113221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2113229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2113232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2113235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2113238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2113241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113264 */     // MIs[0] round
     /* 2113264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113267 */     // MIs[0] policy
     /* 2113267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113277 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16_MASK),
     /* 2113280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113282 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2113300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113303 */     // GIR_Coverage, 16851,
     /* 2113303 */     GIR_EraseRootFromParent_Done,
     /* 2113304 */   // Label 27983: @2113304
     /* 2113304 */   GIM_Try, /*On fail goto*//*Label 27984*/ GIMT_Encode4(2113395), // Rule ID 16854 //
     /* 2113309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2113312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2113320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2113323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2113329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113355 */     // MIs[0] round
     /* 2113355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113358 */     // MIs[0] policy
     /* 2113358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113368 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2113371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113373 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113394 */     // GIR_Coverage, 16854,
     /* 2113394 */     GIR_EraseRootFromParent_Done,
     /* 2113395 */   // Label 27984: @2113395
     /* 2113395 */   GIM_Try, /*On fail goto*//*Label 27985*/ GIMT_Encode4(2113486), // Rule ID 16855 //
     /* 2113400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2113403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2113411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2113414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2113417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2113420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2113423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113446 */     // MIs[0] round
     /* 2113446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113449 */     // MIs[0] policy
     /* 2113449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113459 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32_MASK),
     /* 2113462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113464 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113485 */     // GIR_Coverage, 16855,
     /* 2113485 */     GIR_EraseRootFromParent_Done,
     /* 2113486 */   // Label 27985: @2113486
     /* 2113486 */   GIM_Try, /*On fail goto*//*Label 27986*/ GIMT_Encode4(2113577), // Rule ID 16858 //
     /* 2113491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2113494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2113502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2113505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2113508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2113511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113537 */     // MIs[0] round
     /* 2113537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113540 */     // MIs[0] policy
     /* 2113540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113550 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2113553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113555 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113576 */     // GIR_Coverage, 16858,
     /* 2113576 */     GIR_EraseRootFromParent_Done,
     /* 2113577 */   // Label 27986: @2113577
     /* 2113577 */   GIM_Try, /*On fail goto*//*Label 27987*/ GIMT_Encode4(2113668), // Rule ID 16859 //
     /* 2113582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2113585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2113593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2113596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2113599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2113602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2113605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2113612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2113624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113628 */     // MIs[0] round
     /* 2113628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113631 */     // MIs[0] policy
     /* 2113631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113641 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32_MASK),
     /* 2113644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113646 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113667 */     // GIR_Coverage, 16859,
     /* 2113667 */     GIR_EraseRootFromParent_Done,
     /* 2113668 */   // Label 27987: @2113668
     /* 2113668 */   GIM_Try, /*On fail goto*//*Label 27988*/ GIMT_Encode4(2113759), // Rule ID 16862 //
     /* 2113673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2113676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2113690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2113693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113719 */     // MIs[0] round
     /* 2113719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113722 */     // MIs[0] policy
     /* 2113722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113732 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2113735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113737 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113758 */     // GIR_Coverage, 16862,
     /* 2113758 */     GIR_EraseRootFromParent_Done,
     /* 2113759 */   // Label 27988: @2113759
     /* 2113759 */   GIM_Try, /*On fail goto*//*Label 27989*/ GIMT_Encode4(2113850), // Rule ID 16863 //
     /* 2113764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2113767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2113775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2113778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2113781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2113784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2113787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2113794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2113806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113810 */     // MIs[0] round
     /* 2113810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113813 */     // MIs[0] policy
     /* 2113813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113823 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2113823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32_MASK),
     /* 2113826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113828 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2113846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113849 */     // GIR_Coverage, 16863,
     /* 2113849 */     GIR_EraseRootFromParent_Done,
     /* 2113850 */   // Label 27989: @2113850
     /* 2113850 */   GIM_Try, /*On fail goto*//*Label 27990*/ GIMT_Encode4(2113941), // Rule ID 16866 //
     /* 2113855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2113858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2113875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2113881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113901 */     // MIs[0] round
     /* 2113901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113904 */     // MIs[0] policy
     /* 2113904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2113914 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2113914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2113917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2113919 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2113921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2113923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2113925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2113927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2113929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2113934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2113937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2113939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2113940 */     // GIR_Coverage, 16866,
     /* 2113940 */     GIR_EraseRootFromParent_Done,
     /* 2113941 */   // Label 27990: @2113941
     /* 2113941 */   GIM_Try, /*On fail goto*//*Label 27991*/ GIMT_Encode4(2114032), // Rule ID 16867 //
     /* 2113946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2113949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2113954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2113957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2113960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2113963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2113966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2113969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2113972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2113976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2113988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2113992 */     // MIs[0] round
     /* 2113992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2113995 */     // MIs[0] policy
     /* 2113995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2113998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114005 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64_MASK),
     /* 2114008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114010 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114031 */     // GIR_Coverage, 16867,
     /* 2114031 */     GIR_EraseRootFromParent_Done,
     /* 2114032 */   // Label 27991: @2114032
     /* 2114032 */   GIM_Try, /*On fail goto*//*Label 27992*/ GIMT_Encode4(2114123), // Rule ID 16870 //
     /* 2114037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2114040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2114048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2114054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2114057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114083 */     // MIs[0] round
     /* 2114083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114086 */     // MIs[0] policy
     /* 2114086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114096 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2114099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114101 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114122 */     // GIR_Coverage, 16870,
     /* 2114122 */     GIR_EraseRootFromParent_Done,
     /* 2114123 */   // Label 27992: @2114123
     /* 2114123 */   GIM_Try, /*On fail goto*//*Label 27993*/ GIMT_Encode4(2114214), // Rule ID 16871 //
     /* 2114128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2114131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2114139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2114142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2114145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2114148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2114158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2114170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114174 */     // MIs[0] round
     /* 2114174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114177 */     // MIs[0] policy
     /* 2114177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114187 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64_MASK),
     /* 2114190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114192 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114213 */     // GIR_Coverage, 16871,
     /* 2114213 */     GIR_EraseRootFromParent_Done,
     /* 2114214 */   // Label 27993: @2114214
     /* 2114214 */   GIM_Try, /*On fail goto*//*Label 27994*/ GIMT_Encode4(2114305), // Rule ID 16874 //
     /* 2114219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2114222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2114230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2114233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2114236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2114239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114265 */     // MIs[0] round
     /* 2114265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114268 */     // MIs[0] policy
     /* 2114268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114278 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2114281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114283 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114304 */     // GIR_Coverage, 16874,
     /* 2114304 */     GIR_EraseRootFromParent_Done,
     /* 2114305 */   // Label 27994: @2114305
     /* 2114305 */   GIM_Try, /*On fail goto*//*Label 27995*/ GIMT_Encode4(2114396), // Rule ID 16875 //
     /* 2114310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2114313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2114321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2114324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2114327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2114330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2114333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2114340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2114352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114356 */     // MIs[0] round
     /* 2114356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114359 */     // MIs[0] policy
     /* 2114359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114369 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64_MASK),
     /* 2114372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114374 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2114392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114395 */     // GIR_Coverage, 16875,
     /* 2114395 */     GIR_EraseRootFromParent_Done,
     /* 2114396 */   // Label 27995: @2114396
     /* 2114396 */   GIM_Try, /*On fail goto*//*Label 27996*/ GIMT_Encode4(2114487), // Rule ID 16878 //
     /* 2114401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2114412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2114415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2114418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114447 */     // MIs[0] round
     /* 2114447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114450 */     // MIs[0] policy
     /* 2114450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114460 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2114463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114465 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114486 */     // GIR_Coverage, 16878,
     /* 2114486 */     GIR_EraseRootFromParent_Done,
     /* 2114487 */   // Label 27996: @2114487
     /* 2114487 */   GIM_Try, /*On fail goto*//*Label 27997*/ GIMT_Encode4(2114578), // Rule ID 16879 //
     /* 2114492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2114495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2114503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2114506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2114509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114538 */     // MIs[0] round
     /* 2114538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114541 */     // MIs[0] policy
     /* 2114541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114551 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF4_E16_MASK),
     /* 2114554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114556 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114577 */     // GIR_Coverage, 16879,
     /* 2114577 */     GIR_EraseRootFromParent_Done,
     /* 2114578 */   // Label 27997: @2114578
     /* 2114578 */   GIM_Try, /*On fail goto*//*Label 27998*/ GIMT_Encode4(2114669), // Rule ID 16882 //
     /* 2114583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2114594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2114597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2114600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114629 */     // MIs[0] round
     /* 2114629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114632 */     // MIs[0] policy
     /* 2114632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114642 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2114645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114647 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114668 */     // GIR_Coverage, 16882,
     /* 2114668 */     GIR_EraseRootFromParent_Done,
     /* 2114669 */   // Label 27998: @2114669
     /* 2114669 */   GIM_Try, /*On fail goto*//*Label 27999*/ GIMT_Encode4(2114760), // Rule ID 16883 //
     /* 2114674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2114677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2114685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2114688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2114691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2114697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114720 */     // MIs[0] round
     /* 2114720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114723 */     // MIs[0] policy
     /* 2114723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114733 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_MF2_E16_MASK),
     /* 2114736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114738 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2114756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114759 */     // GIR_Coverage, 16883,
     /* 2114759 */     GIR_EraseRootFromParent_Done,
     /* 2114760 */   // Label 27999: @2114760
     /* 2114760 */   GIM_Try, /*On fail goto*//*Label 28000*/ GIMT_Encode4(2114851), // Rule ID 16886 //
     /* 2114765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2114768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2114776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2114779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114811 */     // MIs[0] round
     /* 2114811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114814 */     // MIs[0] policy
     /* 2114814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114824 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2114824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2114827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114829 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114850 */     // GIR_Coverage, 16886,
     /* 2114850 */     GIR_EraseRootFromParent_Done,
     /* 2114851 */   // Label 28000: @2114851
     /* 2114851 */   GIM_Try, /*On fail goto*//*Label 28001*/ GIMT_Encode4(2114942), // Rule ID 16887 //
     /* 2114856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2114859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2114867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2114870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2114873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2114876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2114879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2114882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2114898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114902 */     // MIs[0] round
     /* 2114902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114905 */     // MIs[0] policy
     /* 2114905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2114915 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2114915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_MF2_E32_MASK),
     /* 2114918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2114920 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2114922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2114924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2114926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2114928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2114930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2114935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2114938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2114940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2114941 */     // GIR_Coverage, 16887,
     /* 2114941 */     GIR_EraseRootFromParent_Done,
     /* 2114942 */   // Label 28001: @2114942
     /* 2114942 */   GIM_Try, /*On fail goto*//*Label 28002*/ GIMT_Encode4(2115033), // Rule ID 16890 //
     /* 2114947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2114950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2114955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2114958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2114961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2114964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2114967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2114970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2114973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2114977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2114985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2114989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2114993 */     // MIs[0] round
     /* 2114993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2114996 */     // MIs[0] policy
     /* 2114996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2114999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115006 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2115009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115011 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115032 */     // GIR_Coverage, 16890,
     /* 2115032 */     GIR_EraseRootFromParent_Done,
     /* 2115033 */   // Label 28002: @2115033
     /* 2115033 */   GIM_Try, /*On fail goto*//*Label 28003*/ GIMT_Encode4(2115124), // Rule ID 16891 //
     /* 2115038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2115041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2115049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2115052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2115055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2115061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115084 */     // MIs[0] round
     /* 2115084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115087 */     // MIs[0] policy
     /* 2115087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115097 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11278:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M1_E16_MASK),
     /* 2115100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115102 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115123 */     // GIR_Coverage, 16891,
     /* 2115123 */     GIR_EraseRootFromParent_Done,
     /* 2115124 */   // Label 28003: @2115124
     /* 2115124 */   GIM_Try, /*On fail goto*//*Label 28004*/ GIMT_Encode4(2115215), // Rule ID 16894 //
     /* 2115129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2115132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115175 */     // MIs[0] round
     /* 2115175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115178 */     // MIs[0] policy
     /* 2115178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115188 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2115191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115193 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115214 */     // GIR_Coverage, 16894,
     /* 2115214 */     GIR_EraseRootFromParent_Done,
     /* 2115215 */   // Label 28004: @2115215
     /* 2115215 */   GIM_Try, /*On fail goto*//*Label 28005*/ GIMT_Encode4(2115306), // Rule ID 16895 //
     /* 2115220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2115223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2115231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2115234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2115237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2115240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2115243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2115262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115266 */     // MIs[0] round
     /* 2115266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115269 */     // MIs[0] policy
     /* 2115269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115279 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11278:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M1_E32_MASK),
     /* 2115282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115284 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2115302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115305 */     // GIR_Coverage, 16895,
     /* 2115305 */     GIR_EraseRootFromParent_Done,
     /* 2115306 */   // Label 28005: @2115306
     /* 2115306 */   GIM_Try, /*On fail goto*//*Label 28006*/ GIMT_Encode4(2115397), // Rule ID 16898 //
     /* 2115311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2115314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2115322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2115325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2115328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115357 */     // MIs[0] round
     /* 2115357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115360 */     // MIs[0] policy
     /* 2115360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115370 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2115373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115396 */     // GIR_Coverage, 16898,
     /* 2115396 */     GIR_EraseRootFromParent_Done,
     /* 2115397 */   // Label 28006: @2115397
     /* 2115397 */   GIM_Try, /*On fail goto*//*Label 28007*/ GIMT_Encode4(2115488), // Rule ID 16899 //
     /* 2115402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2115405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2115413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2115416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2115419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2115422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2115425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2115432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2115440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2115444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115448 */     // MIs[0] round
     /* 2115448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115451 */     // MIs[0] policy
     /* 2115451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115461 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11278:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M1_E64_MASK),
     /* 2115464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2115484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115487 */     // GIR_Coverage, 16899,
     /* 2115487 */     GIR_EraseRootFromParent_Done,
     /* 2115488 */   // Label 28007: @2115488
     /* 2115488 */   GIM_Try, /*On fail goto*//*Label 28008*/ GIMT_Encode4(2115579), // Rule ID 16902 //
     /* 2115493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2115496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2115504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2115507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2115510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115539 */     // MIs[0] round
     /* 2115539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115542 */     // MIs[0] policy
     /* 2115542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115552 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2115555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115578 */     // GIR_Coverage, 16902,
     /* 2115578 */     GIR_EraseRootFromParent_Done,
     /* 2115579 */   // Label 28008: @2115579
     /* 2115579 */   GIM_Try, /*On fail goto*//*Label 28009*/ GIMT_Encode4(2115670), // Rule ID 16903 //
     /* 2115584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2115587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2115595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2115598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2115601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2115607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2115614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2115622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115630 */     // MIs[0] round
     /* 2115630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115633 */     // MIs[0] policy
     /* 2115633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115643 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M2_E16_MASK),
     /* 2115646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115669 */     // GIR_Coverage, 16903,
     /* 2115669 */     GIR_EraseRootFromParent_Done,
     /* 2115670 */   // Label 28009: @2115670
     /* 2115670 */   GIM_Try, /*On fail goto*//*Label 28010*/ GIMT_Encode4(2115761), // Rule ID 16906 //
     /* 2115675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2115678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2115686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2115689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2115692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115721 */     // MIs[0] round
     /* 2115721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115724 */     // MIs[0] policy
     /* 2115724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115734 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2115737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115760 */     // GIR_Coverage, 16906,
     /* 2115760 */     GIR_EraseRootFromParent_Done,
     /* 2115761 */   // Label 28010: @2115761
     /* 2115761 */   GIM_Try, /*On fail goto*//*Label 28011*/ GIMT_Encode4(2115852), // Rule ID 16907 //
     /* 2115766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2115769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2115777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2115780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2115783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2115789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2115796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2115804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115812 */     // MIs[0] round
     /* 2115812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115815 */     // MIs[0] policy
     /* 2115815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115825 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2115825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M4_E16_MASK),
     /* 2115828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115851 */     // GIR_Coverage, 16907,
     /* 2115851 */     GIR_EraseRootFromParent_Done,
     /* 2115852 */   // Label 28011: @2115852
     /* 2115852 */   GIM_Try, /*On fail goto*//*Label 28012*/ GIMT_Encode4(2115943), // Rule ID 16910 //
     /* 2115857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2115860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2115868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2115871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2115874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2115880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2115883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115903 */     // MIs[0] round
     /* 2115903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115906 */     // MIs[0] policy
     /* 2115906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2115909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2115916 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2115916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2115919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2115921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2115923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2115925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2115927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2115929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2115931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2115936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2115939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2115941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2115942 */     // GIR_Coverage, 16910,
     /* 2115942 */     GIR_EraseRootFromParent_Done,
     /* 2115943 */   // Label 28012: @2115943
     /* 2115943 */   GIM_Try, /*On fail goto*//*Label 28013*/ GIMT_Encode4(2116034), // Rule ID 16911 //
     /* 2115948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2115951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2115956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2115959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2115962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2115965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2115968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2115971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2115974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2115978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2115986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2115990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2115994 */     // MIs[0] round
     /* 2115994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2115997 */     // MIs[0] policy
     /* 2115997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116007 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR16_M8_E16_MASK),
     /* 2116010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2116030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116033 */     // GIR_Coverage, 16911,
     /* 2116033 */     GIR_EraseRootFromParent_Done,
     /* 2116034 */   // Label 28013: @2116034
     /* 2116034 */   GIM_Try, /*On fail goto*//*Label 28014*/ GIMT_Encode4(2116125), // Rule ID 16914 //
     /* 2116039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2116042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2116050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2116053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116085 */     // MIs[0] round
     /* 2116085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116088 */     // MIs[0] policy
     /* 2116088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116098 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2116101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116124 */     // GIR_Coverage, 16914,
     /* 2116124 */     GIR_EraseRootFromParent_Done,
     /* 2116125 */   // Label 28014: @2116125
     /* 2116125 */   GIM_Try, /*On fail goto*//*Label 28015*/ GIMT_Encode4(2116216), // Rule ID 16915 //
     /* 2116130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2116133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2116141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2116144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2116147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116176 */     // MIs[0] round
     /* 2116176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116179 */     // MIs[0] policy
     /* 2116179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116189 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M2_E32_MASK),
     /* 2116192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116215 */     // GIR_Coverage, 16915,
     /* 2116215 */     GIR_EraseRootFromParent_Done,
     /* 2116216 */   // Label 28015: @2116216
     /* 2116216 */   GIM_Try, /*On fail goto*//*Label 28016*/ GIMT_Encode4(2116307), // Rule ID 16918 //
     /* 2116221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2116224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2116238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116267 */     // MIs[0] round
     /* 2116267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116270 */     // MIs[0] policy
     /* 2116270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116280 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2116283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116306 */     // GIR_Coverage, 16918,
     /* 2116306 */     GIR_EraseRootFromParent_Done,
     /* 2116307 */   // Label 28016: @2116307
     /* 2116307 */   GIM_Try, /*On fail goto*//*Label 28017*/ GIMT_Encode4(2116398), // Rule ID 16919 //
     /* 2116312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2116315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2116323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2116326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2116329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116358 */     // MIs[0] round
     /* 2116358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116361 */     // MIs[0] policy
     /* 2116361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116371 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M4_E32_MASK),
     /* 2116374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116397 */     // GIR_Coverage, 16919,
     /* 2116397 */     GIR_EraseRootFromParent_Done,
     /* 2116398 */   // Label 28017: @2116398
     /* 2116398 */   GIM_Try, /*On fail goto*//*Label 28018*/ GIMT_Encode4(2116489), // Rule ID 16922 //
     /* 2116403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2116406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2116420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116449 */     // MIs[0] round
     /* 2116449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116452 */     // MIs[0] policy
     /* 2116452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116462 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2116465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116488 */     // GIR_Coverage, 16922,
     /* 2116488 */     GIR_EraseRootFromParent_Done,
     /* 2116489 */   // Label 28018: @2116489
     /* 2116489 */   GIM_Try, /*On fail goto*//*Label 28019*/ GIMT_Encode4(2116580), // Rule ID 16923 //
     /* 2116494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2116497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2116505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2116508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2116511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2116514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2116517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2116536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116540 */     // MIs[0] round
     /* 2116540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116543 */     // MIs[0] policy
     /* 2116543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116553 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR32_M8_E32_MASK),
     /* 2116556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2116576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116579 */     // GIR_Coverage, 16923,
     /* 2116579 */     GIR_EraseRootFromParent_Done,
     /* 2116580 */   // Label 28019: @2116580
     /* 2116580 */   GIM_Try, /*On fail goto*//*Label 28020*/ GIMT_Encode4(2116671), // Rule ID 16926 //
     /* 2116585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2116588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116631 */     // MIs[0] round
     /* 2116631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116634 */     // MIs[0] policy
     /* 2116634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116644 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2116647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116670 */     // GIR_Coverage, 16926,
     /* 2116670 */     GIR_EraseRootFromParent_Done,
     /* 2116671 */   // Label 28020: @2116671
     /* 2116671 */   GIM_Try, /*On fail goto*//*Label 28021*/ GIMT_Encode4(2116762), // Rule ID 16927 //
     /* 2116676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2116679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2116687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2116690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2116693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2116699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2116706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2116714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116722 */     // MIs[0] round
     /* 2116722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116725 */     // MIs[0] policy
     /* 2116725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116735 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11278:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M2_E64_MASK),
     /* 2116738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116761 */     // GIR_Coverage, 16927,
     /* 2116761 */     GIR_EraseRootFromParent_Done,
     /* 2116762 */   // Label 28021: @2116762
     /* 2116762 */   GIM_Try, /*On fail goto*//*Label 28022*/ GIMT_Encode4(2116853), // Rule ID 16930 //
     /* 2116767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2116770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116813 */     // MIs[0] round
     /* 2116813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116816 */     // MIs[0] policy
     /* 2116816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116826 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2116826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2116829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116852 */     // GIR_Coverage, 16930,
     /* 2116852 */     GIR_EraseRootFromParent_Done,
     /* 2116853 */   // Label 28022: @2116853
     /* 2116853 */   GIM_Try, /*On fail goto*//*Label 28023*/ GIMT_Encode4(2116944), // Rule ID 16931 //
     /* 2116858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2116861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2116869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2116872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2116875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2116881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2116884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2116888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2116896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116904 */     // MIs[0] round
     /* 2116904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116907 */     // MIs[0] policy
     /* 2116907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2116910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2116917 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11278:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2116917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M4_E64_MASK),
     /* 2116920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2116922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2116924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2116926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2116928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2116930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2116932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2116937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2116940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2116942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2116943 */     // GIR_Coverage, 16931,
     /* 2116943 */     GIR_EraseRootFromParent_Done,
     /* 2116944 */   // Label 28023: @2116944
     /* 2116944 */   GIM_Try, /*On fail goto*//*Label 28024*/ GIMT_Encode4(2117035), // Rule ID 16934 //
     /* 2116949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2116952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2116957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2116960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2116963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2116966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2116969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2116972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2116975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2116979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2116987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2116991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2116995 */     // MIs[0] round
     /* 2116995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2116998 */     // MIs[0] policy
     /* 2116998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117008 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2117011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117034 */     // GIR_Coverage, 16934,
     /* 2117034 */     GIR_EraseRootFromParent_Done,
     /* 2117035 */   // Label 28024: @2117035
     /* 2117035 */   GIM_Try, /*On fail goto*//*Label 28025*/ GIMT_Encode4(2117126), // Rule ID 16935 //
     /* 2117040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2117043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfsub_mask),
     /* 2117048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2117051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2117054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2117057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2117060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2117063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2117070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2117078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2117082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117086 */     // MIs[0] round
     /* 2117086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117089 */     // MIs[0] policy
     /* 2117089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117099 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11278:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VFPR64_M8_E64_MASK),
     /* 2117102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2117122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117125 */     // GIR_Coverage, 16935,
     /* 2117125 */     GIR_EraseRootFromParent_Done,
     /* 2117126 */   // Label 28025: @2117126
     /* 2117126 */   GIM_Try, /*On fail goto*//*Label 28026*/ GIMT_Encode4(2117217), // Rule ID 16938 //
     /* 2117131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2117142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2117145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2117148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117177 */     // MIs[0] round
     /* 2117177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117180 */     // MIs[0] policy
     /* 2117180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117190 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2117193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117216 */     // GIR_Coverage, 16938,
     /* 2117216 */     GIR_EraseRootFromParent_Done,
     /* 2117217 */   // Label 28026: @2117217
     /* 2117217 */   GIM_Try, /*On fail goto*//*Label 28027*/ GIMT_Encode4(2117308), // Rule ID 16939 //
     /* 2117222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2117233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2117236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2117239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117268 */     // MIs[0] round
     /* 2117268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117271 */     // MIs[0] policy
     /* 2117271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117281 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF4_E16_MASK),
     /* 2117284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117307 */     // GIR_Coverage, 16939,
     /* 2117307 */     GIR_EraseRootFromParent_Done,
     /* 2117308 */   // Label 28027: @2117308
     /* 2117308 */   GIM_Try, /*On fail goto*//*Label 28028*/ GIMT_Encode4(2117399), // Rule ID 16942 //
     /* 2117313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117359 */     // MIs[0] round
     /* 2117359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117362 */     // MIs[0] policy
     /* 2117362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117372 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2117375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117398 */     // GIR_Coverage, 16942,
     /* 2117398 */     GIR_EraseRootFromParent_Done,
     /* 2117399 */   // Label 28028: @2117399
     /* 2117399 */   GIM_Try, /*On fail goto*//*Label 28029*/ GIMT_Encode4(2117490), // Rule ID 16943 //
     /* 2117404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2117415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2117418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2117421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117450 */     // MIs[0] round
     /* 2117450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117453 */     // MIs[0] policy
     /* 2117453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117463 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_MF2_E16_MASK),
     /* 2117466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117489 */     // GIR_Coverage, 16943,
     /* 2117489 */     GIR_EraseRootFromParent_Done,
     /* 2117490 */   // Label 28029: @2117490
     /* 2117490 */   GIM_Try, /*On fail goto*//*Label 28030*/ GIMT_Encode4(2117581), // Rule ID 16946 //
     /* 2117495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117541 */     // MIs[0] round
     /* 2117541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117544 */     // MIs[0] policy
     /* 2117544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117554 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2117557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117580 */     // GIR_Coverage, 16946,
     /* 2117580 */     GIR_EraseRootFromParent_Done,
     /* 2117581 */   // Label 28030: @2117581
     /* 2117581 */   GIM_Try, /*On fail goto*//*Label 28031*/ GIMT_Encode4(2117672), // Rule ID 16947 //
     /* 2117586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2117597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2117600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2117603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2117609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117632 */     // MIs[0] round
     /* 2117632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117635 */     // MIs[0] policy
     /* 2117635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117645 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_MF2_E32_MASK),
     /* 2117648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117671 */     // GIR_Coverage, 16947,
     /* 2117671 */     GIR_EraseRootFromParent_Done,
     /* 2117672 */   // Label 28031: @2117672
     /* 2117672 */   GIM_Try, /*On fail goto*//*Label 28032*/ GIMT_Encode4(2117763), // Rule ID 16950 //
     /* 2117677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2117680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117723 */     // MIs[0] round
     /* 2117723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117726 */     // MIs[0] policy
     /* 2117726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117736 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2117739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117762 */     // GIR_Coverage, 16950,
     /* 2117762 */     GIR_EraseRootFromParent_Done,
     /* 2117763 */   // Label 28032: @2117763
     /* 2117763 */   GIM_Try, /*On fail goto*//*Label 28033*/ GIMT_Encode4(2117854), // Rule ID 16951 //
     /* 2117768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2117771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2117779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2117782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2117785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2117788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2117791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2117810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117814 */     // MIs[0] round
     /* 2117814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117817 */     // MIs[0] policy
     /* 2117817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117827 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11264:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2117827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M1_E16_MASK),
     /* 2117830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2117850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117853 */     // GIR_Coverage, 16951,
     /* 2117853 */     GIR_EraseRootFromParent_Done,
     /* 2117854 */   // Label 28033: @2117854
     /* 2117854 */   GIM_Try, /*On fail goto*//*Label 28034*/ GIMT_Encode4(2117945), // Rule ID 16954 //
     /* 2117859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2117862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2117885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117905 */     // MIs[0] round
     /* 2117905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117908 */     // MIs[0] policy
     /* 2117908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2117911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2117918 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2117918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2117921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2117923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2117925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2117927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2117929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2117931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2117933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2117938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2117941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2117943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2117944 */     // GIR_Coverage, 16954,
     /* 2117944 */     GIR_EraseRootFromParent_Done,
     /* 2117945 */   // Label 28034: @2117945
     /* 2117945 */   GIM_Try, /*On fail goto*//*Label 28035*/ GIMT_Encode4(2118036), // Rule ID 16955 //
     /* 2117950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2117953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2117958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2117961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2117964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2117967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2117970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2117973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2117976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2117980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2117988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2117992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2117996 */     // MIs[0] round
     /* 2117996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2117999 */     // MIs[0] policy
     /* 2117999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118009 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11264:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M1_E32_MASK),
     /* 2118012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118035 */     // GIR_Coverage, 16955,
     /* 2118035 */     GIR_EraseRootFromParent_Done,
     /* 2118036 */   // Label 28035: @2118036
     /* 2118036 */   GIM_Try, /*On fail goto*//*Label 28036*/ GIMT_Encode4(2118127), // Rule ID 16958 //
     /* 2118041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2118044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2118052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2118055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2118058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2118061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2118083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118087 */     // MIs[0] round
     /* 2118087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118090 */     // MIs[0] policy
     /* 2118090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118100 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2118103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118126 */     // GIR_Coverage, 16958,
     /* 2118126 */     GIR_EraseRootFromParent_Done,
     /* 2118127 */   // Label 28036: @2118127
     /* 2118127 */   GIM_Try, /*On fail goto*//*Label 28037*/ GIMT_Encode4(2118218), // Rule ID 16959 //
     /* 2118132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2118135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2118143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2118146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2118149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2118152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2118155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2118162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2118170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2118174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118178 */     // MIs[0] round
     /* 2118178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118181 */     // MIs[0] policy
     /* 2118181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118191 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11264:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M1_E64_MASK),
     /* 2118194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2118214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118217 */     // GIR_Coverage, 16959,
     /* 2118217 */     GIR_EraseRootFromParent_Done,
     /* 2118218 */   // Label 28037: @2118218
     /* 2118218 */   GIM_Try, /*On fail goto*//*Label 28038*/ GIMT_Encode4(2118309), // Rule ID 16962 //
     /* 2118223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2118234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2118237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2118240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118269 */     // MIs[0] round
     /* 2118269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118272 */     // MIs[0] policy
     /* 2118272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118282 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2118285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118308 */     // GIR_Coverage, 16962,
     /* 2118308 */     GIR_EraseRootFromParent_Done,
     /* 2118309 */   // Label 28038: @2118309
     /* 2118309 */   GIM_Try, /*On fail goto*//*Label 28039*/ GIMT_Encode4(2118400), // Rule ID 16963 //
     /* 2118314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2118325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2118328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2118331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118360 */     // MIs[0] round
     /* 2118360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118363 */     // MIs[0] policy
     /* 2118363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118373 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M2_E16_MASK),
     /* 2118376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118399 */     // GIR_Coverage, 16963,
     /* 2118399 */     GIR_EraseRootFromParent_Done,
     /* 2118400 */   // Label 28039: @2118400
     /* 2118400 */   GIM_Try, /*On fail goto*//*Label 28040*/ GIMT_Encode4(2118491), // Rule ID 16966 //
     /* 2118405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118451 */     // MIs[0] round
     /* 2118451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118454 */     // MIs[0] policy
     /* 2118454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118464 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2118467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118490 */     // GIR_Coverage, 16966,
     /* 2118490 */     GIR_EraseRootFromParent_Done,
     /* 2118491 */   // Label 28040: @2118491
     /* 2118491 */   GIM_Try, /*On fail goto*//*Label 28041*/ GIMT_Encode4(2118582), // Rule ID 16967 //
     /* 2118496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2118507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2118510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2118513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2118519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118542 */     // MIs[0] round
     /* 2118542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118545 */     // MIs[0] policy
     /* 2118545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118555 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M4_E16_MASK),
     /* 2118558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118581 */     // GIR_Coverage, 16967,
     /* 2118581 */     GIR_EraseRootFromParent_Done,
     /* 2118582 */   // Label 28041: @2118582
     /* 2118582 */   GIM_Try, /*On fail goto*//*Label 28042*/ GIMT_Encode4(2118673), // Rule ID 16970 //
     /* 2118587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2118590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118633 */     // MIs[0] round
     /* 2118633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118636 */     // MIs[0] policy
     /* 2118636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118646 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2118649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118672 */     // GIR_Coverage, 16970,
     /* 2118672 */     GIR_EraseRootFromParent_Done,
     /* 2118673 */   // Label 28042: @2118673
     /* 2118673 */   GIM_Try, /*On fail goto*//*Label 28043*/ GIMT_Encode4(2118764), // Rule ID 16971 //
     /* 2118678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2118681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2118689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2118692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2118695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2118698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2118701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2118708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2118716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2118720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118724 */     // MIs[0] round
     /* 2118724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118727 */     // MIs[0] policy
     /* 2118727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118737 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR16_M8_E16_MASK),
     /* 2118740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2118760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118763 */     // GIR_Coverage, 16971,
     /* 2118763 */     GIR_EraseRootFromParent_Done,
     /* 2118764 */   // Label 28043: @2118764
     /* 2118764 */   GIM_Try, /*On fail goto*//*Label 28044*/ GIMT_Encode4(2118855), // Rule ID 16974 //
     /* 2118769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118815 */     // MIs[0] round
     /* 2118815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118818 */     // MIs[0] policy
     /* 2118818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118828 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2118828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2118831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118854 */     // GIR_Coverage, 16974,
     /* 2118854 */     GIR_EraseRootFromParent_Done,
     /* 2118855 */   // Label 28044: @2118855
     /* 2118855 */   GIM_Try, /*On fail goto*//*Label 28045*/ GIMT_Encode4(2118946), // Rule ID 16975 //
     /* 2118860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2118863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2118871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2118874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2118877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2118883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2118886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2118890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2118898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118906 */     // MIs[0] round
     /* 2118906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2118909 */     // MIs[0] policy
     /* 2118909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2118912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2118919 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2118919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M2_E32_MASK),
     /* 2118922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2118924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2118926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2118928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2118930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2118932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2118934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2118939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2118942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2118944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2118945 */     // GIR_Coverage, 16975,
     /* 2118945 */     GIR_EraseRootFromParent_Done,
     /* 2118946 */   // Label 28045: @2118946
     /* 2118946 */   GIM_Try, /*On fail goto*//*Label 28046*/ GIMT_Encode4(2119037), // Rule ID 16978 //
     /* 2118951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2118954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2118959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2118962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2118965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2118968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2118971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2118974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2118977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2118981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2118989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2118993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2118997 */     // MIs[0] round
     /* 2118997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119000 */     // MIs[0] policy
     /* 2119000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119010 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2119013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119036 */     // GIR_Coverage, 16978,
     /* 2119036 */     GIR_EraseRootFromParent_Done,
     /* 2119037 */   // Label 28046: @2119037
     /* 2119037 */   GIM_Try, /*On fail goto*//*Label 28047*/ GIMT_Encode4(2119128), // Rule ID 16979 //
     /* 2119042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2119053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2119056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2119059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119088 */     // MIs[0] round
     /* 2119088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119091 */     // MIs[0] policy
     /* 2119091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119101 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M4_E32_MASK),
     /* 2119104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119127 */     // GIR_Coverage, 16979,
     /* 2119127 */     GIR_EraseRootFromParent_Done,
     /* 2119128 */   // Label 28047: @2119128
     /* 2119128 */   GIM_Try, /*On fail goto*//*Label 28048*/ GIMT_Encode4(2119219), // Rule ID 16982 //
     /* 2119133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2119136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2119150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119179 */     // MIs[0] round
     /* 2119179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119182 */     // MIs[0] policy
     /* 2119182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119192 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2119195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119218 */     // GIR_Coverage, 16982,
     /* 2119218 */     GIR_EraseRootFromParent_Done,
     /* 2119219 */   // Label 28048: @2119219
     /* 2119219 */   GIM_Try, /*On fail goto*//*Label 28049*/ GIMT_Encode4(2119310), // Rule ID 16983 //
     /* 2119224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2119227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2119235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2119238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2119241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2119244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2119247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2119266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119270 */     // MIs[0] round
     /* 2119270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119273 */     // MIs[0] policy
     /* 2119273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119283 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR32_M8_E32_MASK),
     /* 2119286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2119306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119309 */     // GIR_Coverage, 16983,
     /* 2119309 */     GIR_EraseRootFromParent_Done,
     /* 2119310 */   // Label 28049: @2119310
     /* 2119310 */   GIM_Try, /*On fail goto*//*Label 28050*/ GIMT_Encode4(2119401), // Rule ID 16986 //
     /* 2119315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119318 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119323 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119326 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119338 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119345 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119349 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119353 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2119357 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119361 */     // MIs[0] round
     /* 2119361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119364 */     // MIs[0] policy
     /* 2119364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119374 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2119377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119379 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119381 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119383 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119385 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119387 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119389 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119397 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119400 */     // GIR_Coverage, 16986,
     /* 2119400 */     GIR_EraseRootFromParent_Done,
     /* 2119401 */   // Label 28050: @2119401
     /* 2119401 */   GIM_Try, /*On fail goto*//*Label 28051*/ GIMT_Encode4(2119492), // Rule ID 16987 //
     /* 2119406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119409 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119414 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2119417 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2119420 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2119423 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119426 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2119429 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2119436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2119444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2119448 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119452 */     // MIs[0] round
     /* 2119452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119455 */     // MIs[0] policy
     /* 2119455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119458 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119465 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11264:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M2_E64_MASK),
     /* 2119468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119470 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119474 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119476 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119478 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119480 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119488 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119491 */     // GIR_Coverage, 16987,
     /* 2119491 */     GIR_EraseRootFromParent_Done,
     /* 2119492 */   // Label 28051: @2119492
     /* 2119492 */   GIM_Try, /*On fail goto*//*Label 28052*/ GIMT_Encode4(2119583), // Rule ID 16990 //
     /* 2119497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119500 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119505 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119508 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119511 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119514 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119517 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119520 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2119539 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119543 */     // MIs[0] round
     /* 2119543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119546 */     // MIs[0] policy
     /* 2119546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119549 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119556 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2119559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119561 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119563 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119565 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119567 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119569 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119579 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119582 */     // GIR_Coverage, 16990,
     /* 2119582 */     GIR_EraseRootFromParent_Done,
     /* 2119583 */   // Label 28052: @2119583
     /* 2119583 */   GIM_Try, /*On fail goto*//*Label 28053*/ GIMT_Encode4(2119674), // Rule ID 16991 //
     /* 2119588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119591 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119596 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2119599 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2119602 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2119605 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119608 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2119611 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2119618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2119626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2119630 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119634 */     // MIs[0] round
     /* 2119634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119637 */     // MIs[0] policy
     /* 2119637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119647 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11264:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M4_E64_MASK),
     /* 2119650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119652 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119656 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119658 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119660 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119662 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119670 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119673 */     // GIR_Coverage, 16991,
     /* 2119673 */     GIR_EraseRootFromParent_Done,
     /* 2119674 */   // Label 28053: @2119674
     /* 2119674 */   GIM_Try, /*On fail goto*//*Label 28054*/ GIMT_Encode4(2119765), // Rule ID 16994 //
     /* 2119679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2119682 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119687 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119690 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119702 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119709 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119713 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119717 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2119721 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119725 */     // MIs[0] round
     /* 2119725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119728 */     // MIs[0] policy
     /* 2119728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119731 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119738 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2119741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119743 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119747 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119749 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119751 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119753 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119761 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119764 */     // GIR_Coverage, 16994,
     /* 2119764 */     GIR_EraseRootFromParent_Done,
     /* 2119765 */   // Label 28054: @2119765
     /* 2119765 */   GIM_Try, /*On fail goto*//*Label 28055*/ GIMT_Encode4(2119856), // Rule ID 16995 //
     /* 2119770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2119773 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrsub_mask),
     /* 2119778 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2119781 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2119784 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2119787 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2119790 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2119793 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2119800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119804 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2119808 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2119812 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119816 */     // MIs[0] round
     /* 2119816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119819 */     // MIs[0] policy
     /* 2119819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119829 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11264:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2119829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRSUB_VFPR64_M8_E64_MASK),
     /* 2119832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119834 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119836 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119838 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119840 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119842 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119844 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2119852 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119855 */     // GIR_Coverage, 16995,
     /* 2119855 */     GIR_EraseRootFromParent_Done,
     /* 2119856 */   // Label 28055: @2119856
     /* 2119856 */   GIM_Try, /*On fail goto*//*Label 28056*/ GIMT_Encode4(2119947), // Rule ID 16998 //
     /* 2119861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2119864 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2119869 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119872 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2119881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119884 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2119887 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119895 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119899 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119903 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119907 */     // MIs[0] round
     /* 2119907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2119910 */     // MIs[0] policy
     /* 2119910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2119913 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2119920 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2119920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2119923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2119925 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2119927 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2119929 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2119931 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2119933 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2119935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2119940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2119943 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2119945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2119946 */     // GIR_Coverage, 16998,
     /* 2119946 */     GIR_EraseRootFromParent_Done,
     /* 2119947 */   // Label 28056: @2119947
     /* 2119947 */   GIM_Try, /*On fail goto*//*Label 28057*/ GIMT_Encode4(2120038), // Rule ID 16999 //
     /* 2119952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2119955 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2119960 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2119963 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2119966 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2119969 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2119972 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2119975 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2119978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2119982 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119986 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119990 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2119994 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2119998 */     // MIs[0] round
     /* 2119998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120001 */     // MIs[0] policy
     /* 2120001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120011 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF4_E16_MASK),
     /* 2120014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120016 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120018 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120020 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120022 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120024 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120026 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120034 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120037 */     // GIR_Coverage, 16999,
     /* 2120037 */     GIR_EraseRootFromParent_Done,
     /* 2120038 */   // Label 28057: @2120038
     /* 2120038 */   GIM_Try, /*On fail goto*//*Label 28058*/ GIMT_Encode4(2120129), // Rule ID 17002 //
     /* 2120043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120046 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120051 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120054 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2120060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2120063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120066 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120085 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120089 */     // MIs[0] round
     /* 2120089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120092 */     // MIs[0] policy
     /* 2120092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120102 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2120105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120107 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120109 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120111 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120113 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120115 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120117 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120125 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120127 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120128 */     // GIR_Coverage, 17002,
     /* 2120128 */     GIR_EraseRootFromParent_Done,
     /* 2120129 */   // Label 28058: @2120129
     /* 2120129 */   GIM_Try, /*On fail goto*//*Label 28059*/ GIMT_Encode4(2120220), // Rule ID 17003 //
     /* 2120134 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120137 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120142 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2120145 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2120148 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2120151 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2120154 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120157 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120160 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120168 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120172 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120176 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120180 */     // MIs[0] round
     /* 2120180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120183 */     // MIs[0] policy
     /* 2120183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120186 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120193 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E16_MASK),
     /* 2120196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120198 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120200 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120202 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120204 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120206 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120208 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120216 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120219 */     // GIR_Coverage, 17003,
     /* 2120219 */     GIR_EraseRootFromParent_Done,
     /* 2120220 */   // Label 28059: @2120220
     /* 2120220 */   GIM_Try, /*On fail goto*//*Label 28060*/ GIMT_Encode4(2120311), // Rule ID 17006 //
     /* 2120225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120228 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120233 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120236 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120239 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120242 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2120245 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120248 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120259 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120267 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120271 */     // MIs[0] round
     /* 2120271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120274 */     // MIs[0] policy
     /* 2120274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120277 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120284 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2120287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120289 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120291 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120293 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120295 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120297 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120299 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120307 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120310 */     // GIR_Coverage, 17006,
     /* 2120310 */     GIR_EraseRootFromParent_Done,
     /* 2120311 */   // Label 28060: @2120311
     /* 2120311 */   GIM_Try, /*On fail goto*//*Label 28061*/ GIMT_Encode4(2120402), // Rule ID 17007 //
     /* 2120316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120319 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120324 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2120327 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2120330 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2120333 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2120336 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2120339 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120342 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120350 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120354 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120358 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120362 */     // MIs[0] round
     /* 2120362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120365 */     // MIs[0] policy
     /* 2120365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120375 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E16_MASK),
     /* 2120378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120380 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120382 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120384 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120386 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120388 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120390 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120398 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120401 */     // GIR_Coverage, 17007,
     /* 2120401 */     GIR_EraseRootFromParent_Done,
     /* 2120402 */   // Label 28061: @2120402
     /* 2120402 */   GIM_Try, /*On fail goto*//*Label 28062*/ GIMT_Encode4(2120493), // Rule ID 17010 //
     /* 2120407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120410 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120415 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120418 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120421 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2120424 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2120427 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120430 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120437 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120441 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120449 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120453 */     // MIs[0] round
     /* 2120453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120456 */     // MIs[0] policy
     /* 2120456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120466 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2120469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120471 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120473 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120475 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120477 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120479 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120489 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120492 */     // GIR_Coverage, 17010,
     /* 2120492 */     GIR_EraseRootFromParent_Done,
     /* 2120493 */   // Label 28062: @2120493
     /* 2120493 */   GIM_Try, /*On fail goto*//*Label 28063*/ GIMT_Encode4(2120584), // Rule ID 17011 //
     /* 2120498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120501 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120506 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2120509 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2120512 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2120515 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2120518 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2120521 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120524 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2120528 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120532 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120536 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120540 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120544 */     // MIs[0] round
     /* 2120544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120547 */     // MIs[0] policy
     /* 2120547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120557 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E16_MASK),
     /* 2120560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120562 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120566 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120568 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120570 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120572 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120580 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120583 */     // GIR_Coverage, 17011,
     /* 2120583 */     GIR_EraseRootFromParent_Done,
     /* 2120584 */   // Label 28063: @2120584
     /* 2120584 */   GIM_Try, /*On fail goto*//*Label 28064*/ GIMT_Encode4(2120675), // Rule ID 17014 //
     /* 2120589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2120592 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120597 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2120600 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2120603 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2120606 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2120609 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120612 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120615 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120619 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120623 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120627 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120631 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120635 */     // MIs[0] round
     /* 2120635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120638 */     // MIs[0] policy
     /* 2120638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120641 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120648 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2120651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120653 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120655 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120657 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120659 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120661 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120671 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120674 */     // GIR_Coverage, 17014,
     /* 2120674 */     GIR_EraseRootFromParent_Done,
     /* 2120675 */   // Label 28064: @2120675
     /* 2120675 */   GIM_Try, /*On fail goto*//*Label 28065*/ GIMT_Encode4(2120766), // Rule ID 17015 //
     /* 2120680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2120683 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120688 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2120691 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2120694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2120697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2120700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2120703 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2120710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2120714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2120722 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120726 */     // MIs[0] round
     /* 2120726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120729 */     // MIs[0] policy
     /* 2120729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120732 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120739 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E16_MASK),
     /* 2120742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120744 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120746 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120748 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120750 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120752 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120754 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2120762 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120765 */     // GIR_Coverage, 17015,
     /* 2120765 */     GIR_EraseRootFromParent_Done,
     /* 2120766 */   // Label 28065: @2120766
     /* 2120766 */   GIM_Try, /*On fail goto*//*Label 28066*/ GIMT_Encode4(2120857), // Rule ID 17018 //
     /* 2120771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2120774 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120779 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120782 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120785 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120788 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2120791 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120794 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120809 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120813 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120817 */     // MIs[0] round
     /* 2120817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120820 */     // MIs[0] policy
     /* 2120820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120823 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120830 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2120830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2120833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120835 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120837 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120839 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120841 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120843 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120845 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120853 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120856 */     // GIR_Coverage, 17018,
     /* 2120856 */     GIR_EraseRootFromParent_Done,
     /* 2120857 */   // Label 28066: @2120857
     /* 2120857 */   GIM_Try, /*On fail goto*//*Label 28067*/ GIMT_Encode4(2120948), // Rule ID 17019 //
     /* 2120862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2120865 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120870 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2120873 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2120876 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2120879 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2120882 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2120885 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2120888 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2120892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120896 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120900 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120904 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120908 */     // MIs[0] round
     /* 2120908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2120911 */     // MIs[0] policy
     /* 2120911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2120914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2120921 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2120921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_MF2_E32_MASK),
     /* 2120924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2120926 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2120928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2120930 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2120932 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2120934 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2120936 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2120941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2120944 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2120946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2120947 */     // GIR_Coverage, 17019,
     /* 2120947 */     GIR_EraseRootFromParent_Done,
     /* 2120948 */   // Label 28067: @2120948
     /* 2120948 */   GIM_Try, /*On fail goto*//*Label 28068*/ GIMT_Encode4(2121039), // Rule ID 17022 //
     /* 2120953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2120956 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2120961 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2120964 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2120967 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2120970 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2120973 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2120976 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2120979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2120983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2120987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2120995 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2120999 */     // MIs[0] round
     /* 2120999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121002 */     // MIs[0] policy
     /* 2121002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121005 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121012 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2121015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121017 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121019 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121021 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121023 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121025 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121035 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121038 */     // GIR_Coverage, 17022,
     /* 2121038 */     GIR_EraseRootFromParent_Done,
     /* 2121039 */   // Label 28068: @2121039
     /* 2121039 */   GIM_Try, /*On fail goto*//*Label 28069*/ GIMT_Encode4(2121130), // Rule ID 17023 //
     /* 2121044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121047 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121052 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2121055 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2121058 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2121061 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2121064 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121067 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121086 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121090 */     // MIs[0] round
     /* 2121090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121093 */     // MIs[0] policy
     /* 2121093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121096 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121103 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121103 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M1_E32_MASK),
     /* 2121106 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121108 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121110 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121112 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121114 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121116 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121118 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121126 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121129 */     // GIR_Coverage, 17023,
     /* 2121129 */     GIR_EraseRootFromParent_Done,
     /* 2121130 */   // Label 28069: @2121130
     /* 2121130 */   GIM_Try, /*On fail goto*//*Label 28070*/ GIMT_Encode4(2121221), // Rule ID 17026 //
     /* 2121135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121138 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121143 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121146 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121149 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121152 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2121155 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121158 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121165 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121169 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121177 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121181 */     // MIs[0] round
     /* 2121181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121184 */     // MIs[0] policy
     /* 2121184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121187 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121194 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2121197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121199 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121201 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121203 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121205 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121207 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121217 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121220 */     // GIR_Coverage, 17026,
     /* 2121220 */     GIR_EraseRootFromParent_Done,
     /* 2121221 */   // Label 28070: @2121221
     /* 2121221 */   GIM_Try, /*On fail goto*//*Label 28071*/ GIMT_Encode4(2121312), // Rule ID 17027 //
     /* 2121226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121229 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121234 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2121237 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2121240 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2121243 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2121246 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121249 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121252 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2121256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121260 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121264 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121268 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121272 */     // MIs[0] round
     /* 2121272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121275 */     // MIs[0] policy
     /* 2121275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121285 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M2_E32_MASK),
     /* 2121288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121290 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121294 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121296 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121298 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121300 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121308 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121311 */     // GIR_Coverage, 17027,
     /* 2121311 */     GIR_EraseRootFromParent_Done,
     /* 2121312 */   // Label 28071: @2121312
     /* 2121312 */   GIM_Try, /*On fail goto*//*Label 28072*/ GIMT_Encode4(2121403), // Rule ID 17030 //
     /* 2121317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2121320 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121325 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2121328 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2121331 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121334 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2121337 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121340 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121343 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121351 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121355 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121359 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121363 */     // MIs[0] round
     /* 2121363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121366 */     // MIs[0] policy
     /* 2121366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121369 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121376 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2121379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121381 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121385 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121387 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121389 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121391 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121399 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121402 */     // GIR_Coverage, 17030,
     /* 2121402 */     GIR_EraseRootFromParent_Done,
     /* 2121403 */   // Label 28072: @2121403
     /* 2121403 */   GIM_Try, /*On fail goto*//*Label 28073*/ GIMT_Encode4(2121494), // Rule ID 17031 //
     /* 2121408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2121411 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121416 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2121419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2121422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2121425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2121428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2121431 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2121438 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2121442 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121446 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2121450 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121454 */     // MIs[0] round
     /* 2121454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121457 */     // MIs[0] policy
     /* 2121457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121460 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121467 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VV_M4_E32_MASK),
     /* 2121470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121472 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121474 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121476 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121478 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121480 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121482 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2121490 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121493 */     // GIR_Coverage, 17031,
     /* 2121493 */     GIR_EraseRootFromParent_Done,
     /* 2121494 */   // Label 28073: @2121494
     /* 2121494 */   GIM_Try, /*On fail goto*//*Label 28074*/ GIMT_Encode4(2121585), // Rule ID 17034 //
     /* 2121499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2121502 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121507 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2121510 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2121513 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2121516 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121519 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121522 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121537 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121541 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121545 */     // MIs[0] round
     /* 2121545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121548 */     // MIs[0] policy
     /* 2121548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121551 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121558 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2121561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121563 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121567 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121569 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121571 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121573 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121581 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121584 */     // GIR_Coverage, 17034,
     /* 2121584 */     GIR_EraseRootFromParent_Done,
     /* 2121585 */   // Label 28074: @2121585
     /* 2121585 */   GIM_Try, /*On fail goto*//*Label 28075*/ GIMT_Encode4(2121676), // Rule ID 17035 //
     /* 2121590 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2121593 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121598 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2121601 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2121604 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2121607 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121610 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2121613 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121616 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121632 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121636 */     // MIs[0] round
     /* 2121636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121639 */     // MIs[0] policy
     /* 2121639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121642 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121649 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF4_E16_MASK),
     /* 2121652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121654 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121656 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121658 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121660 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121662 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121672 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121675 */     // GIR_Coverage, 17035,
     /* 2121675 */     GIR_EraseRootFromParent_Done,
     /* 2121676 */   // Label 28075: @2121676
     /* 2121676 */   GIM_Try, /*On fail goto*//*Label 28076*/ GIMT_Encode4(2121767), // Rule ID 17038 //
     /* 2121681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2121684 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121689 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2121692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2121695 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2121698 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121701 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121704 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121707 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121723 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121727 */     // MIs[0] round
     /* 2121727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121730 */     // MIs[0] policy
     /* 2121730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121733 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121740 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121740 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2121743 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121745 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121747 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121749 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121751 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121753 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121755 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121763 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121766 */     // GIR_Coverage, 17038,
     /* 2121766 */     GIR_EraseRootFromParent_Done,
     /* 2121767 */   // Label 28076: @2121767
     /* 2121767 */   GIM_Try, /*On fail goto*//*Label 28077*/ GIMT_Encode4(2121858), // Rule ID 17039 //
     /* 2121772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2121775 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121780 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2121783 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2121786 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2121789 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121792 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2121795 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121798 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2121802 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121806 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121810 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121814 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121818 */     // MIs[0] round
     /* 2121818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121821 */     // MIs[0] policy
     /* 2121821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121824 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121831 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11280:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2121831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_MF2_E16_MASK),
     /* 2121834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121836 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121840 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121842 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121844 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121846 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121854 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121857 */     // GIR_Coverage, 17039,
     /* 2121857 */     GIR_EraseRootFromParent_Done,
     /* 2121858 */   // Label 28077: @2121858
     /* 2121858 */   GIM_Try, /*On fail goto*//*Label 28078*/ GIMT_Encode4(2121949), // Rule ID 17042 //
     /* 2121863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2121866 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121871 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121874 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2121880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121886 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2121889 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121901 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121905 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2121909 */     // MIs[0] round
     /* 2121909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2121912 */     // MIs[0] policy
     /* 2121912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2121915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2121922 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2121922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2121925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2121927 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2121929 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2121931 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2121933 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2121935 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2121937 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2121942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2121945 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2121947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2121948 */     // GIR_Coverage, 17042,
     /* 2121948 */     GIR_EraseRootFromParent_Done,
     /* 2121949 */   // Label 28078: @2121949
     /* 2121949 */   GIM_Try, /*On fail goto*//*Label 28079*/ GIMT_Encode4(2122040), // Rule ID 17043 //
     /* 2121954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2121957 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2121962 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2121965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2121968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2121971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2121974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2121977 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2121980 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2121984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2121988 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2121992 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2121996 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122000 */     // MIs[0] round
     /* 2122000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122003 */     // MIs[0] policy
     /* 2122003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122013 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M1_E16_MASK),
     /* 2122016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122018 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122022 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122024 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122026 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122028 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122036 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122039 */     // GIR_Coverage, 17043,
     /* 2122039 */     GIR_EraseRootFromParent_Done,
     /* 2122040 */   // Label 28079: @2122040
     /* 2122040 */   GIM_Try, /*On fail goto*//*Label 28080*/ GIMT_Encode4(2122131), // Rule ID 17046 //
     /* 2122045 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122048 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122053 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122056 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122059 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2122062 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122065 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122068 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122079 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122083 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122087 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122091 */     // MIs[0] round
     /* 2122091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122094 */     // MIs[0] policy
     /* 2122094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122097 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122104 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2122107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122109 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122113 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122115 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122117 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122119 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122127 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122130 */     // GIR_Coverage, 17046,
     /* 2122130 */     GIR_EraseRootFromParent_Done,
     /* 2122131 */   // Label 28080: @2122131
     /* 2122131 */   GIM_Try, /*On fail goto*//*Label 28081*/ GIMT_Encode4(2122222), // Rule ID 17047 //
     /* 2122136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122139 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122144 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2122147 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2122150 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2122153 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122156 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122159 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122162 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122166 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122170 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122178 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122182 */     // MIs[0] round
     /* 2122182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122185 */     // MIs[0] policy
     /* 2122185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122188 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122195 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M2_E16_MASK),
     /* 2122198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122200 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122202 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122204 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122206 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122208 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122218 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122221 */     // GIR_Coverage, 17047,
     /* 2122221 */     GIR_EraseRootFromParent_Done,
     /* 2122222 */   // Label 28081: @2122222
     /* 2122222 */   GIM_Try, /*On fail goto*//*Label 28082*/ GIMT_Encode4(2122313), // Rule ID 17050 //
     /* 2122227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2122230 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122235 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122238 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122241 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2122244 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122247 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122250 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122265 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122269 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122273 */     // MIs[0] round
     /* 2122273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122276 */     // MIs[0] policy
     /* 2122276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122286 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2122289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122291 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122295 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122297 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122299 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122309 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122312 */     // GIR_Coverage, 17050,
     /* 2122312 */     GIR_EraseRootFromParent_Done,
     /* 2122313 */   // Label 28082: @2122313
     /* 2122313 */   GIM_Try, /*On fail goto*//*Label 28083*/ GIMT_Encode4(2122404), // Rule ID 17051 //
     /* 2122318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2122321 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122326 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2122329 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2122332 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2122335 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2122338 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2122341 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122344 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122356 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2122360 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122364 */     // MIs[0] round
     /* 2122364 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122367 */     // MIs[0] policy
     /* 2122367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122370 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122377 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR16_M4_E16_MASK),
     /* 2122380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122382 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122384 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122386 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122388 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122390 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2122400 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122403 */     // GIR_Coverage, 17051,
     /* 2122403 */     GIR_EraseRootFromParent_Done,
     /* 2122404 */   // Label 28083: @2122404
     /* 2122404 */   GIM_Try, /*On fail goto*//*Label 28084*/ GIMT_Encode4(2122495), // Rule ID 17054 //
     /* 2122409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2122412 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122417 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122420 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2122426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122432 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122435 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122443 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122447 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122451 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122455 */     // MIs[0] round
     /* 2122455 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122458 */     // MIs[0] policy
     /* 2122458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122468 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2122471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122473 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122477 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122479 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122481 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122483 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122491 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122494 */     // GIR_Coverage, 17054,
     /* 2122494 */     GIR_EraseRootFromParent_Done,
     /* 2122495 */   // Label 28084: @2122495
     /* 2122495 */   GIM_Try, /*On fail goto*//*Label 28085*/ GIMT_Encode4(2122586), // Rule ID 17055 //
     /* 2122500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2122503 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122508 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2122511 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2122514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2122517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2122523 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2122530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122534 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122538 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122542 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122546 */     // MIs[0] round
     /* 2122546 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122549 */     // MIs[0] policy
     /* 2122549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122552 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122559 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11280:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122559 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_MF2_E32_MASK),
     /* 2122562 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122564 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122568 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122570 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122572 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122574 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122582 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122584 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122585 */     // GIR_Coverage, 17055,
     /* 2122585 */     GIR_EraseRootFromParent_Done,
     /* 2122586 */   // Label 28085: @2122586
     /* 2122586 */   GIM_Try, /*On fail goto*//*Label 28086*/ GIMT_Encode4(2122677), // Rule ID 17058 //
     /* 2122591 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2122594 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122599 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122602 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122605 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122608 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122611 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122614 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122625 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122629 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122633 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122637 */     // MIs[0] round
     /* 2122637 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122640 */     // MIs[0] policy
     /* 2122640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122650 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2122653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122655 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122657 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122659 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122661 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122663 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122673 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122676 */     // GIR_Coverage, 17058,
     /* 2122676 */     GIR_EraseRootFromParent_Done,
     /* 2122677 */   // Label 28086: @2122677
     /* 2122677 */   GIM_Try, /*On fail goto*//*Label 28087*/ GIMT_Encode4(2122768), // Rule ID 17059 //
     /* 2122682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2122685 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122690 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2122693 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2122696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2122699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2122705 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122708 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2122712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122716 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2122720 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122724 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122728 */     // MIs[0] round
     /* 2122728 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122731 */     // MIs[0] policy
     /* 2122731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122734 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122741 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11280:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M1_E32_MASK),
     /* 2122744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122746 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122748 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122750 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122752 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122754 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122756 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122764 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122767 */     // GIR_Coverage, 17059,
     /* 2122767 */     GIR_EraseRootFromParent_Done,
     /* 2122768 */   // Label 28087: @2122768
     /* 2122768 */   GIM_Try, /*On fail goto*//*Label 28088*/ GIMT_Encode4(2122859), // Rule ID 17062 //
     /* 2122773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2122776 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122781 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122784 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122787 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2122790 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122793 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122796 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122811 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122815 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122819 */     // MIs[0] round
     /* 2122819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122822 */     // MIs[0] policy
     /* 2122822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122825 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122832 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2122832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2122835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122837 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122841 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122843 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122845 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122847 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122855 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122858 */     // GIR_Coverage, 17062,
     /* 2122858 */     GIR_EraseRootFromParent_Done,
     /* 2122859 */   // Label 28088: @2122859
     /* 2122859 */   GIM_Try, /*On fail goto*//*Label 28089*/ GIMT_Encode4(2122950), // Rule ID 17063 //
     /* 2122864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2122867 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122872 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2122875 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2122878 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2122881 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122884 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2122887 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2122890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2122894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2122902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122906 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2122910 */     // MIs[0] round
     /* 2122910 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2122913 */     // MIs[0] policy
     /* 2122913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2122916 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2122923 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11280:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2122923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M2_E32_MASK),
     /* 2122926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2122928 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2122930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2122932 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2122934 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2122936 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2122938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2122943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2122946 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2122948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2122949 */     // GIR_Coverage, 17063,
     /* 2122949 */     GIR_EraseRootFromParent_Done,
     /* 2122950 */   // Label 28089: @2122950
     /* 2122950 */   GIM_Try, /*On fail goto*//*Label 28090*/ GIMT_Encode4(2123041), // Rule ID 17066 //
     /* 2122955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2122958 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2122963 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2122966 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2122969 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2122972 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2122975 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2122978 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2122981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2122985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2122989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2122993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2122997 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123001 */     // MIs[0] round
     /* 2123001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123004 */     // MIs[0] policy
     /* 2123004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123007 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123014 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2123017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123019 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123021 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123023 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123025 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123027 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123029 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123037 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123040 */     // GIR_Coverage, 17066,
     /* 2123040 */     GIR_EraseRootFromParent_Done,
     /* 2123041 */   // Label 28090: @2123041
     /* 2123041 */   GIM_Try, /*On fail goto*//*Label 28091*/ GIMT_Encode4(2123132), // Rule ID 17067 //
     /* 2123046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2123049 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_mask),
     /* 2123054 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2123057 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2123060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2123063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2123066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123069 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123072 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123084 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2123088 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123092 */     // MIs[0] round
     /* 2123092 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123095 */     // MIs[0] policy
     /* 2123095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123098 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123105 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11280:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_VFPR32_M4_E32_MASK),
     /* 2123108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123110 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123112 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123114 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123116 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123118 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123120 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2123128 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123131 */     // GIR_Coverage, 17067,
     /* 2123131 */     GIR_EraseRootFromParent_Done,
     /* 2123132 */   // Label 28091: @2123132
     /* 2123132 */   GIM_Try, /*On fail goto*//*Label 28092*/ GIMT_Encode4(2123223), // Rule ID 17070 //
     /* 2123137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2123140 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123145 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123148 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123151 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2123154 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2123157 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123160 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123163 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123171 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123175 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123179 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123183 */     // MIs[0] round
     /* 2123183 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123186 */     // MIs[0] policy
     /* 2123186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123196 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2123199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123201 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123203 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123205 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123207 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123209 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123211 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123219 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123222 */     // GIR_Coverage, 17070,
     /* 2123222 */     GIR_EraseRootFromParent_Done,
     /* 2123223 */   // Label 28092: @2123223
     /* 2123223 */   GIM_Try, /*On fail goto*//*Label 28093*/ GIMT_Encode4(2123314), // Rule ID 17071 //
     /* 2123228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2123231 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123236 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2123239 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2123242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2123245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2123248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2123251 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123266 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123270 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123274 */     // MIs[0] round
     /* 2123274 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123277 */     // MIs[0] policy
     /* 2123277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123287 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF4_E16_MASK),
     /* 2123290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123292 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123296 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123298 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123300 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123310 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123313 */     // GIR_Coverage, 17071,
     /* 2123313 */     GIR_EraseRootFromParent_Done,
     /* 2123314 */   // Label 28093: @2123314
     /* 2123314 */   GIM_Try, /*On fail goto*//*Label 28094*/ GIMT_Encode4(2123405), // Rule ID 17074 //
     /* 2123319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2123322 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123327 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123330 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123333 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2123336 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2123339 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123342 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123353 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123357 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123361 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123365 */     // MIs[0] round
     /* 2123365 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123368 */     // MIs[0] policy
     /* 2123368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123378 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2123381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123383 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123385 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123387 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123389 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123391 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123393 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123401 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123404 */     // GIR_Coverage, 17074,
     /* 2123404 */     GIR_EraseRootFromParent_Done,
     /* 2123405 */   // Label 28094: @2123405
     /* 2123405 */   GIM_Try, /*On fail goto*//*Label 28095*/ GIMT_Encode4(2123496), // Rule ID 17075 //
     /* 2123410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2123413 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123418 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2123421 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2123424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2123427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2123430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2123433 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2123440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123452 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123456 */     // MIs[0] round
     /* 2123456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123459 */     // MIs[0] policy
     /* 2123459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123462 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123469 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E16_MASK),
     /* 2123472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123474 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123476 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123478 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123480 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123482 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123492 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123495 */     // GIR_Coverage, 17075,
     /* 2123495 */     GIR_EraseRootFromParent_Done,
     /* 2123496 */   // Label 28095: @2123496
     /* 2123496 */   GIM_Try, /*On fail goto*//*Label 28096*/ GIMT_Encode4(2123587), // Rule ID 17078 //
     /* 2123501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2123504 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123509 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123512 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123515 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2123518 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2123521 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123524 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123535 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123539 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123543 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123547 */     // MIs[0] round
     /* 2123547 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123550 */     // MIs[0] policy
     /* 2123550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123553 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123560 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2123563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123565 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123569 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123571 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123573 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123575 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123583 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123585 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123586 */     // GIR_Coverage, 17078,
     /* 2123586 */     GIR_EraseRootFromParent_Done,
     /* 2123587 */   // Label 28096: @2123587
     /* 2123587 */   GIM_Try, /*On fail goto*//*Label 28097*/ GIMT_Encode4(2123678), // Rule ID 17079 //
     /* 2123592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2123595 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123600 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2123603 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2123606 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2123609 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2123612 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2123615 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2123622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123626 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2123634 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123638 */     // MIs[0] round
     /* 2123638 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123641 */     // MIs[0] policy
     /* 2123641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123651 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E16_MASK),
     /* 2123654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123656 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123660 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123662 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123664 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123666 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123674 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123677 */     // GIR_Coverage, 17079,
     /* 2123677 */     GIR_EraseRootFromParent_Done,
     /* 2123678 */   // Label 28097: @2123678
     /* 2123678 */   GIM_Try, /*On fail goto*//*Label 28098*/ GIMT_Encode4(2123769), // Rule ID 17082 //
     /* 2123683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2123686 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123691 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2123694 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2123697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123706 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123709 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123721 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123725 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123729 */     // MIs[0] round
     /* 2123729 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123732 */     // MIs[0] policy
     /* 2123732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123735 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123742 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2123745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123747 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123749 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123751 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123753 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123755 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123765 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123768 */     // GIR_Coverage, 17082,
     /* 2123768 */     GIR_EraseRootFromParent_Done,
     /* 2123769 */   // Label 28098: @2123769
     /* 2123769 */   GIM_Try, /*On fail goto*//*Label 28099*/ GIMT_Encode4(2123860), // Rule ID 17083 //
     /* 2123774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2123777 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123782 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2123785 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2123788 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2123791 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2123794 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2123797 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123800 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2123804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2123816 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123820 */     // MIs[0] round
     /* 2123820 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123823 */     // MIs[0] policy
     /* 2123823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123826 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123833 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2123833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E16_MASK),
     /* 2123836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123838 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123842 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123844 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123846 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123856 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123859 */     // GIR_Coverage, 17083,
     /* 2123859 */     GIR_EraseRootFromParent_Done,
     /* 2123860 */   // Label 28099: @2123860
     /* 2123860 */   GIM_Try, /*On fail goto*//*Label 28100*/ GIMT_Encode4(2123951), // Rule ID 17086 //
     /* 2123865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2123868 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123873 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2123876 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2123879 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123882 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2123885 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123888 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2123891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123895 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123899 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123903 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123907 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2123911 */     // MIs[0] round
     /* 2123911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2123914 */     // MIs[0] policy
     /* 2123914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2123917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2123924 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2123924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2123927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2123929 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2123931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2123933 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2123935 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2123937 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2123939 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2123944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2123947 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2123949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2123950 */     // GIR_Coverage, 17086,
     /* 2123950 */     GIR_EraseRootFromParent_Done,
     /* 2123951 */   // Label 28100: @2123951
     /* 2123951 */   GIM_Try, /*On fail goto*//*Label 28101*/ GIMT_Encode4(2124042), // Rule ID 17087 //
     /* 2123956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2123959 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2123964 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2123967 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2123970 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2123973 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2123976 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2123979 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2123982 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2123986 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2123990 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123994 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2123998 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124002 */     // MIs[0] round
     /* 2124002 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124005 */     // MIs[0] policy
     /* 2124005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124008 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124015 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E16_MASK),
     /* 2124018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124020 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124022 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124024 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124026 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124028 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124030 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124038 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124041 */     // GIR_Coverage, 17087,
     /* 2124041 */     GIR_EraseRootFromParent_Done,
     /* 2124042 */   // Label 28101: @2124042
     /* 2124042 */   GIM_Try, /*On fail goto*//*Label 28102*/ GIMT_Encode4(2124133), // Rule ID 17090 //
     /* 2124047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2124050 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124055 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2124058 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2124061 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2124064 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2124067 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124070 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124089 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124093 */     // MIs[0] round
     /* 2124093 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124096 */     // MIs[0] policy
     /* 2124096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124099 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124106 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2124109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124111 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124113 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124115 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124117 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124119 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124121 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124129 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124132 */     // GIR_Coverage, 17090,
     /* 2124132 */     GIR_EraseRootFromParent_Done,
     /* 2124133 */   // Label 28102: @2124133
     /* 2124133 */   GIM_Try, /*On fail goto*//*Label 28103*/ GIMT_Encode4(2124224), // Rule ID 17091 //
     /* 2124138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2124141 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124146 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2124149 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2124152 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2124155 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2124158 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124161 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124176 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124180 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124184 */     // MIs[0] round
     /* 2124184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124187 */     // MIs[0] policy
     /* 2124187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124190 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124197 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_MF2_E32_MASK),
     /* 2124200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124202 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124206 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124208 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124210 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124212 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124220 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124223 */     // GIR_Coverage, 17091,
     /* 2124223 */     GIR_EraseRootFromParent_Done,
     /* 2124224 */   // Label 28103: @2124224
     /* 2124224 */   GIM_Try, /*On fail goto*//*Label 28104*/ GIMT_Encode4(2124315), // Rule ID 17094 //
     /* 2124229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2124232 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124237 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124240 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124243 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124246 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2124249 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124252 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124263 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124267 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124271 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124275 */     // MIs[0] round
     /* 2124275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124278 */     // MIs[0] policy
     /* 2124278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124288 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2124291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124293 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124297 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124299 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124301 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124303 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124311 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124314 */     // GIR_Coverage, 17094,
     /* 2124314 */     GIR_EraseRootFromParent_Done,
     /* 2124315 */   // Label 28104: @2124315
     /* 2124315 */   GIM_Try, /*On fail goto*//*Label 28105*/ GIMT_Encode4(2124406), // Rule ID 17095 //
     /* 2124320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2124323 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124328 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2124331 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2124334 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2124337 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2124340 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124343 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2124350 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124354 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124362 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124366 */     // MIs[0] round
     /* 2124366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124369 */     // MIs[0] policy
     /* 2124369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124372 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124379 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M1_E32_MASK),
     /* 2124382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124384 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124386 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124388 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124390 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124392 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124394 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124402 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124405 */     // GIR_Coverage, 17095,
     /* 2124405 */     GIR_EraseRootFromParent_Done,
     /* 2124406 */   // Label 28105: @2124406
     /* 2124406 */   GIM_Try, /*On fail goto*//*Label 28106*/ GIMT_Encode4(2124497), // Rule ID 17098 //
     /* 2124411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2124414 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124419 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124422 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124425 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124428 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2124431 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124434 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124437 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124453 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124457 */     // MIs[0] round
     /* 2124457 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124460 */     // MIs[0] policy
     /* 2124460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124463 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124470 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2124473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124475 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124479 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124481 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124483 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124493 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124496 */     // GIR_Coverage, 17098,
     /* 2124496 */     GIR_EraseRootFromParent_Done,
     /* 2124497 */   // Label 28106: @2124497
     /* 2124497 */   GIM_Try, /*On fail goto*//*Label 28107*/ GIMT_Encode4(2124588), // Rule ID 17099 //
     /* 2124502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2124505 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124510 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2124513 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2124516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2124519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2124522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2124525 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124528 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2124532 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124536 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124540 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2124544 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124548 */     // MIs[0] round
     /* 2124548 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124551 */     // MIs[0] policy
     /* 2124551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124554 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124561 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M2_E32_MASK),
     /* 2124564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124566 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124568 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124570 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124572 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124574 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124576 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124584 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124586 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124587 */     // GIR_Coverage, 17099,
     /* 2124587 */     GIR_EraseRootFromParent_Done,
     /* 2124588 */   // Label 28107: @2124588
     /* 2124588 */   GIM_Try, /*On fail goto*//*Label 28108*/ GIMT_Encode4(2124679), // Rule ID 17102 //
     /* 2124593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2124596 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124601 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124604 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124607 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124610 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124613 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124616 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124627 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124631 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124635 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124639 */     // MIs[0] round
     /* 2124639 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124642 */     // MIs[0] policy
     /* 2124642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124652 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2124655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124657 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124661 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124663 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124665 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124667 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124675 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124678 */     // GIR_Coverage, 17102,
     /* 2124678 */     GIR_EraseRootFromParent_Done,
     /* 2124679 */   // Label 28108: @2124679
     /* 2124679 */   GIM_Try, /*On fail goto*//*Label 28109*/ GIMT_Encode4(2124770), // Rule ID 17103 //
     /* 2124684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2124687 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124692 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2124695 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2124698 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2124701 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2124704 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2124707 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124710 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2124714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2124718 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124722 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2124726 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124730 */     // MIs[0] round
     /* 2124730 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124733 */     // MIs[0] policy
     /* 2124733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124736 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124743 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VV_M4_E32_MASK),
     /* 2124746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124748 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124752 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124754 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124756 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2124766 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124769 */     // GIR_Coverage, 17103,
     /* 2124769 */     GIR_EraseRootFromParent_Done,
     /* 2124770 */   // Label 28109: @2124770
     /* 2124770 */   GIM_Try, /*On fail goto*//*Label 28110*/ GIMT_Encode4(2124861), // Rule ID 17106 //
     /* 2124775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2124778 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124783 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124786 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124789 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2124792 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124795 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124798 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124801 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124809 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124817 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124821 */     // MIs[0] round
     /* 2124821 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124824 */     // MIs[0] policy
     /* 2124824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124827 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124834 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2124834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2124837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124839 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124841 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124843 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124845 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124847 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124849 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124857 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124860 */     // GIR_Coverage, 17106,
     /* 2124860 */     GIR_EraseRootFromParent_Done,
     /* 2124861 */   // Label 28110: @2124861
     /* 2124861 */   GIM_Try, /*On fail goto*//*Label 28111*/ GIMT_Encode4(2124952), // Rule ID 17107 //
     /* 2124866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2124869 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124874 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2124877 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2124880 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2124883 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124886 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2124889 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2124892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124904 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124908 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2124912 */     // MIs[0] round
     /* 2124912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2124915 */     // MIs[0] policy
     /* 2124915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2124918 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2124925 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2124925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF4_E16_MASK),
     /* 2124928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2124930 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2124932 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2124934 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2124936 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2124938 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2124940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2124945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2124948 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2124950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2124951 */     // GIR_Coverage, 17107,
     /* 2124951 */     GIR_EraseRootFromParent_Done,
     /* 2124952 */   // Label 28111: @2124952
     /* 2124952 */   GIM_Try, /*On fail goto*//*Label 28112*/ GIMT_Encode4(2125043), // Rule ID 17110 //
     /* 2124957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2124960 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2124965 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2124968 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2124971 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2124974 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2124977 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2124980 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2124983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2124987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124991 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2124995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2124999 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125003 */     // MIs[0] round
     /* 2125003 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125006 */     // MIs[0] policy
     /* 2125006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125009 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125016 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2125019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125021 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125023 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125025 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125027 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125029 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125039 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125042 */     // GIR_Coverage, 17110,
     /* 2125042 */     GIR_EraseRootFromParent_Done,
     /* 2125043 */   // Label 28112: @2125043
     /* 2125043 */   GIM_Try, /*On fail goto*//*Label 28113*/ GIMT_Encode4(2125134), // Rule ID 17111 //
     /* 2125048 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125051 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125056 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2125059 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2125062 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2125065 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125068 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125071 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125074 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125090 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125094 */     // MIs[0] round
     /* 2125094 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125097 */     // MIs[0] policy
     /* 2125097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125100 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125107 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11316:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_MF2_E16_MASK),
     /* 2125110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125112 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125114 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125116 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125118 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125120 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125122 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125130 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125133 */     // GIR_Coverage, 17111,
     /* 2125133 */     GIR_EraseRootFromParent_Done,
     /* 2125134 */   // Label 28113: @2125134
     /* 2125134 */   GIM_Try, /*On fail goto*//*Label 28114*/ GIMT_Encode4(2125225), // Rule ID 17114 //
     /* 2125139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125142 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125147 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125150 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125153 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125156 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125159 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125162 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125165 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125177 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125181 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125185 */     // MIs[0] round
     /* 2125185 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125188 */     // MIs[0] policy
     /* 2125188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125191 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125198 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2125201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125203 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125207 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125209 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125211 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125213 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125221 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125224 */     // GIR_Coverage, 17114,
     /* 2125224 */     GIR_EraseRootFromParent_Done,
     /* 2125225 */   // Label 28114: @2125225
     /* 2125225 */   GIM_Try, /*On fail goto*//*Label 28115*/ GIMT_Encode4(2125316), // Rule ID 17115 //
     /* 2125230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125233 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125238 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2125241 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2125244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2125247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2125253 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125256 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125260 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125264 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125268 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125272 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125276 */     // MIs[0] round
     /* 2125276 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125279 */     // MIs[0] policy
     /* 2125279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125289 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M1_E16_MASK),
     /* 2125292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125294 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125296 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125298 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125300 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125302 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125304 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125312 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125315 */     // GIR_Coverage, 17115,
     /* 2125315 */     GIR_EraseRootFromParent_Done,
     /* 2125316 */   // Label 28115: @2125316
     /* 2125316 */   GIM_Try, /*On fail goto*//*Label 28116*/ GIMT_Encode4(2125407), // Rule ID 17118 //
     /* 2125321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125324 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125329 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125332 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125335 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2125338 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125341 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125344 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125347 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125351 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125355 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125359 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125363 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125367 */     // MIs[0] round
     /* 2125367 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125370 */     // MIs[0] policy
     /* 2125370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125373 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125380 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2125383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125385 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125389 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125391 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125393 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125395 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125403 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125406 */     // GIR_Coverage, 17118,
     /* 2125406 */     GIR_EraseRootFromParent_Done,
     /* 2125407 */   // Label 28116: @2125407
     /* 2125407 */   GIM_Try, /*On fail goto*//*Label 28117*/ GIMT_Encode4(2125498), // Rule ID 17119 //
     /* 2125412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125415 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125420 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2125423 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2125426 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2125429 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125432 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2125435 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2125442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125446 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125450 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125454 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125458 */     // MIs[0] round
     /* 2125458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125461 */     // MIs[0] policy
     /* 2125461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125471 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M2_E16_MASK),
     /* 2125474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125476 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125478 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125480 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125482 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125484 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125494 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125497 */     // GIR_Coverage, 17119,
     /* 2125497 */     GIR_EraseRootFromParent_Done,
     /* 2125498 */   // Label 28117: @2125498
     /* 2125498 */   GIM_Try, /*On fail goto*//*Label 28118*/ GIMT_Encode4(2125589), // Rule ID 17122 //
     /* 2125503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2125506 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125511 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2125514 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2125517 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2125520 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125523 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125526 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125529 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125545 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125549 */     // MIs[0] round
     /* 2125549 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125552 */     // MIs[0] policy
     /* 2125552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125555 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125562 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2125565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125567 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125569 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125571 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125573 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125575 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125585 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125588 */     // GIR_Coverage, 17122,
     /* 2125588 */     GIR_EraseRootFromParent_Done,
     /* 2125589 */   // Label 28118: @2125589
     /* 2125589 */   GIM_Try, /*On fail goto*//*Label 28119*/ GIMT_Encode4(2125680), // Rule ID 17123 //
     /* 2125594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2125597 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125602 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2125605 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2125608 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2125611 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2125614 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2125617 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2125624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2125628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2125632 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2125636 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125640 */     // MIs[0] round
     /* 2125640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125643 */     // MIs[0] policy
     /* 2125643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125646 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125653 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR16_M4_E16_MASK),
     /* 2125656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125658 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125662 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125664 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125666 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2125676 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125679 */     // GIR_Coverage, 17123,
     /* 2125679 */     GIR_EraseRootFromParent_Done,
     /* 2125680 */   // Label 28119: @2125680
     /* 2125680 */   GIM_Try, /*On fail goto*//*Label 28120*/ GIMT_Encode4(2125771), // Rule ID 17126 //
     /* 2125685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2125688 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125693 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125696 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125699 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125702 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125705 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125708 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125711 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125715 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125719 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125723 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125727 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125731 */     // MIs[0] round
     /* 2125731 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125734 */     // MIs[0] policy
     /* 2125734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125737 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125744 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2125747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125749 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125751 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125753 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125755 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125757 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125767 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125770 */     // GIR_Coverage, 17126,
     /* 2125770 */     GIR_EraseRootFromParent_Done,
     /* 2125771 */   // Label 28120: @2125771
     /* 2125771 */   GIM_Try, /*On fail goto*//*Label 28121*/ GIMT_Encode4(2125862), // Rule ID 17127 //
     /* 2125776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2125779 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125784 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2125787 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2125790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2125793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2125799 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2125806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125810 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125814 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125818 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125822 */     // MIs[0] round
     /* 2125822 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125825 */     // MIs[0] policy
     /* 2125825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125835 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11316:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2125835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_MF2_E32_MASK),
     /* 2125838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125840 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125844 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125846 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125848 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125850 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125858 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125861 */     // GIR_Coverage, 17127,
     /* 2125861 */     GIR_EraseRootFromParent_Done,
     /* 2125862 */   // Label 28121: @2125862
     /* 2125862 */   GIM_Try, /*On fail goto*//*Label 28122*/ GIMT_Encode4(2125953), // Rule ID 17130 //
     /* 2125867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2125870 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125875 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2125878 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2125881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125890 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2125893 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125897 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125901 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125905 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2125909 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2125913 */     // MIs[0] round
     /* 2125913 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2125916 */     // MIs[0] policy
     /* 2125916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2125919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2125926 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2125926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2125929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2125931 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2125933 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2125935 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2125937 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2125939 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2125941 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2125946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2125949 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2125951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2125952 */     // GIR_Coverage, 17130,
     /* 2125952 */     GIR_EraseRootFromParent_Done,
     /* 2125953 */   // Label 28122: @2125953
     /* 2125953 */   GIM_Try, /*On fail goto*//*Label 28123*/ GIMT_Encode4(2126044), // Rule ID 17131 //
     /* 2125958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2125961 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2125966 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2125969 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2125972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2125975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2125978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2125981 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2125984 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2125988 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2125992 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2125996 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126000 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126004 */     // MIs[0] round
     /* 2126004 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126007 */     // MIs[0] policy
     /* 2126007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126010 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126017 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11316:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126017 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M1_E32_MASK),
     /* 2126020 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126022 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126026 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126028 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126030 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126040 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126043 */     // GIR_Coverage, 17131,
     /* 2126043 */     GIR_EraseRootFromParent_Done,
     /* 2126044 */   // Label 28123: @2126044
     /* 2126044 */   GIM_Try, /*On fail goto*//*Label 28124*/ GIMT_Encode4(2126135), // Rule ID 17134 //
     /* 2126049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2126052 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2126057 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2126060 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2126063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126069 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126072 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126079 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126083 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126087 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126091 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126095 */     // MIs[0] round
     /* 2126095 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126098 */     // MIs[0] policy
     /* 2126098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126101 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126108 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2126111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126113 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126117 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126119 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126121 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126123 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126131 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126134 */     // GIR_Coverage, 17134,
     /* 2126134 */     GIR_EraseRootFromParent_Done,
     /* 2126135 */   // Label 28124: @2126135
     /* 2126135 */   GIM_Try, /*On fail goto*//*Label 28125*/ GIMT_Encode4(2126226), // Rule ID 17135 //
     /* 2126140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2126143 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2126148 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2126151 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2126154 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126157 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126160 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126163 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126170 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126174 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126178 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126182 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126186 */     // MIs[0] round
     /* 2126186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126189 */     // MIs[0] policy
     /* 2126189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126192 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126199 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11316:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M2_E32_MASK),
     /* 2126202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126204 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126208 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126210 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126212 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126214 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126222 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126225 */     // GIR_Coverage, 17135,
     /* 2126225 */     GIR_EraseRootFromParent_Done,
     /* 2126226 */   // Label 28125: @2126226
     /* 2126226 */   GIM_Try, /*On fail goto*//*Label 28126*/ GIMT_Encode4(2126317), // Rule ID 17138 //
     /* 2126231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2126234 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2126239 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126242 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126245 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126248 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126251 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126254 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126257 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126273 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126277 */     // MIs[0] round
     /* 2126277 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126280 */     // MIs[0] policy
     /* 2126280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126283 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126290 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2126293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126295 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126299 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126301 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126303 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126313 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126316 */     // GIR_Coverage, 17138,
     /* 2126316 */     GIR_EraseRootFromParent_Done,
     /* 2126317 */   // Label 28126: @2126317
     /* 2126317 */   GIM_Try, /*On fail goto*//*Label 28127*/ GIMT_Encode4(2126408), // Rule ID 17139 //
     /* 2126322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2126325 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_mask),
     /* 2126330 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2126333 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2126336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2126342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126345 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126352 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126356 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126360 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2126364 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126368 */     // MIs[0] round
     /* 2126368 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126371 */     // MIs[0] policy
     /* 2126371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126374 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126381 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11316:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_VFPR32_M4_E32_MASK),
     /* 2126384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126386 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126390 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126392 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126394 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126396 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2126404 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126407 */     // GIR_Coverage, 17139,
     /* 2126407 */     GIR_EraseRootFromParent_Done,
     /* 2126408 */   // Label 28127: @2126408
     /* 2126408 */   GIM_Try, /*On fail goto*//*Label 28128*/ GIMT_Encode4(2126499), // Rule ID 17148 //
     /* 2126413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126416 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2126421 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126424 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2126430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2126433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126436 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126447 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126451 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126455 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126459 */     // MIs[0] round
     /* 2126459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126462 */     // MIs[0] policy
     /* 2126462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126465 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126472 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2126475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126477 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126479 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126481 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126483 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126485 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126495 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126498 */     // GIR_Coverage, 17148,
     /* 2126498 */     GIR_EraseRootFromParent_Done,
     /* 2126499 */   // Label 28128: @2126499
     /* 2126499 */   GIM_Try, /*On fail goto*//*Label 28129*/ GIMT_Encode4(2126590), // Rule ID 17149 //
     /* 2126504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126507 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2126512 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2126515 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2126518 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2126521 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2126524 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2126527 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126530 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2126534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126542 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126546 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126550 */     // MIs[0] round
     /* 2126550 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126553 */     // MIs[0] policy
     /* 2126553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126563 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E16_MASK),
     /* 2126566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126568 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126570 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126572 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126574 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126576 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126578 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126586 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126589 */     // GIR_Coverage, 17149,
     /* 2126589 */     GIR_EraseRootFromParent_Done,
     /* 2126590 */   // Label 28129: @2126590
     /* 2126590 */   GIM_Try, /*On fail goto*//*Label 28130*/ GIMT_Encode4(2126681), // Rule ID 17158 //
     /* 2126595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126598 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2126603 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126606 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126612 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2126615 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126618 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126629 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126633 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126637 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126641 */     // MIs[0] round
     /* 2126641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126644 */     // MIs[0] policy
     /* 2126644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126647 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126654 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2126657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126659 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126663 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126665 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126667 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126669 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126677 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126680 */     // GIR_Coverage, 17158,
     /* 2126680 */     GIR_EraseRootFromParent_Done,
     /* 2126681 */   // Label 28130: @2126681
     /* 2126681 */   GIM_Try, /*On fail goto*//*Label 28131*/ GIMT_Encode4(2126772), // Rule ID 17159 //
     /* 2126686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126689 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2126694 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2126697 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2126700 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2126703 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2126706 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2126709 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126712 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2126716 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126720 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126724 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2126728 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126732 */     // MIs[0] round
     /* 2126732 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126735 */     // MIs[0] policy
     /* 2126735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126745 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E16_MASK),
     /* 2126748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126750 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126752 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126754 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126756 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126758 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126768 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126771 */     // GIR_Coverage, 17159,
     /* 2126771 */     GIR_EraseRootFromParent_Done,
     /* 2126772 */   // Label 28131: @2126772
     /* 2126772 */   GIM_Try, /*On fail goto*//*Label 28132*/ GIMT_Encode4(2126863), // Rule ID 17168 //
     /* 2126777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126780 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2126785 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126788 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126791 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126794 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2126797 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126800 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126819 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126823 */     // MIs[0] round
     /* 2126823 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126826 */     // MIs[0] policy
     /* 2126826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126829 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126836 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2126836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2126839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126841 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126843 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126845 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126847 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126849 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126851 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126859 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126861 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126862 */     // GIR_Coverage, 17168,
     /* 2126862 */     GIR_EraseRootFromParent_Done,
     /* 2126863 */   // Label 28132: @2126863
     /* 2126863 */   GIM_Try, /*On fail goto*//*Label 28133*/ GIMT_Encode4(2126954), // Rule ID 17169 //
     /* 2126868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2126871 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2126876 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2126879 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2126882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2126885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2126888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2126891 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2126894 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2126898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126902 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2126906 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2126910 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2126914 */     // MIs[0] round
     /* 2126914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2126917 */     // MIs[0] policy
     /* 2126917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2126920 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2126927 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2126927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E16_MASK),
     /* 2126930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2126932 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2126934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2126936 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2126938 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2126940 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2126942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2126947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2126950 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2126952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2126953 */     // GIR_Coverage, 17169,
     /* 2126953 */     GIR_EraseRootFromParent_Done,
     /* 2126954 */   // Label 28133: @2126954
     /* 2126954 */   GIM_Try, /*On fail goto*//*Label 28134*/ GIMT_Encode4(2127045), // Rule ID 17178 //
     /* 2126959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2126962 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2126967 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2126970 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2126973 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2126976 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2126979 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2126982 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2126985 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2126989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2126997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127001 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127005 */     // MIs[0] round
     /* 2127005 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127008 */     // MIs[0] policy
     /* 2127008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127018 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2127021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127023 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127027 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127029 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127031 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127033 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127041 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127044 */     // GIR_Coverage, 17178,
     /* 2127044 */     GIR_EraseRootFromParent_Done,
     /* 2127045 */   // Label 28134: @2127045
     /* 2127045 */   GIM_Try, /*On fail goto*//*Label 28135*/ GIMT_Encode4(2127136), // Rule ID 17179 //
     /* 2127050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2127053 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127058 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2127061 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2127064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2127067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2127070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2127073 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127080 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127084 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127088 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127092 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127096 */     // MIs[0] round
     /* 2127096 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127099 */     // MIs[0] policy
     /* 2127099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127102 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127109 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E16_MASK),
     /* 2127112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127114 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127116 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127118 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127120 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127122 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127124 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127132 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127135 */     // GIR_Coverage, 17179,
     /* 2127135 */     GIR_EraseRootFromParent_Done,
     /* 2127136 */   // Label 28135: @2127136
     /* 2127136 */   GIM_Try, /*On fail goto*//*Label 28136*/ GIMT_Encode4(2127227), // Rule ID 17188 //
     /* 2127141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127144 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127149 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127152 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127155 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127158 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2127161 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127164 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127167 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127171 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127175 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127179 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127183 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127187 */     // MIs[0] round
     /* 2127187 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127190 */     // MIs[0] policy
     /* 2127190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127193 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127200 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2127203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127205 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127207 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127209 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127211 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127213 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127223 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127226 */     // GIR_Coverage, 17188,
     /* 2127226 */     GIR_EraseRootFromParent_Done,
     /* 2127227 */   // Label 28136: @2127227
     /* 2127227 */   GIM_Try, /*On fail goto*//*Label 28137*/ GIMT_Encode4(2127318), // Rule ID 17189 //
     /* 2127232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127235 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127240 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2127243 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2127246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2127249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2127252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127255 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127266 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127270 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127274 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127278 */     // MIs[0] round
     /* 2127278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127281 */     // MIs[0] policy
     /* 2127281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127291 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_MF2_E32_MASK),
     /* 2127294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127296 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127300 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127302 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127304 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127306 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127314 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127317 */     // GIR_Coverage, 17189,
     /* 2127317 */     GIR_EraseRootFromParent_Done,
     /* 2127318 */   // Label 28137: @2127318
     /* 2127318 */   GIM_Try, /*On fail goto*//*Label 28138*/ GIMT_Encode4(2127409), // Rule ID 17198 //
     /* 2127323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127326 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127331 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127334 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127340 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2127343 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127346 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127349 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127357 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127361 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127365 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127369 */     // MIs[0] round
     /* 2127369 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127372 */     // MIs[0] policy
     /* 2127372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127375 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127382 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2127385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127387 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127389 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127391 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127393 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127395 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127397 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127405 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127408 */     // GIR_Coverage, 17198,
     /* 2127408 */     GIR_EraseRootFromParent_Done,
     /* 2127409 */   // Label 28138: @2127409
     /* 2127409 */   GIM_Try, /*On fail goto*//*Label 28139*/ GIMT_Encode4(2127500), // Rule ID 17199 //
     /* 2127414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127417 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127422 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2127425 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2127428 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2127431 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2127434 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2127437 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2127444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127456 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127460 */     // MIs[0] round
     /* 2127460 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127463 */     // MIs[0] policy
     /* 2127463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127466 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127473 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M1_E32_MASK),
     /* 2127476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127478 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127480 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127482 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127484 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127486 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127488 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127496 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127499 */     // GIR_Coverage, 17199,
     /* 2127499 */     GIR_EraseRootFromParent_Done,
     /* 2127500 */   // Label 28139: @2127500
     /* 2127500 */   GIM_Try, /*On fail goto*//*Label 28140*/ GIMT_Encode4(2127591), // Rule ID 17208 //
     /* 2127505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127508 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127513 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127516 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127519 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127522 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2127525 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127528 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127531 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127543 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127547 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127551 */     // MIs[0] round
     /* 2127551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127554 */     // MIs[0] policy
     /* 2127554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127557 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127564 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2127567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127569 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127571 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127573 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127575 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127577 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127579 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127587 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127590 */     // GIR_Coverage, 17208,
     /* 2127590 */     GIR_EraseRootFromParent_Done,
     /* 2127591 */   // Label 28140: @2127591
     /* 2127591 */   GIM_Try, /*On fail goto*//*Label 28141*/ GIMT_Encode4(2127682), // Rule ID 17209 //
     /* 2127596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127599 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127604 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2127607 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2127610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2127613 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2127616 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2127619 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2127626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127634 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2127638 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127642 */     // MIs[0] round
     /* 2127642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127645 */     // MIs[0] policy
     /* 2127645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127655 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M2_E32_MASK),
     /* 2127658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127660 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127664 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127666 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127668 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127678 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127681 */     // GIR_Coverage, 17209,
     /* 2127681 */     GIR_EraseRootFromParent_Done,
     /* 2127682 */   // Label 28141: @2127682
     /* 2127682 */   GIM_Try, /*On fail goto*//*Label 28142*/ GIMT_Encode4(2127773), // Rule ID 17218 //
     /* 2127687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2127690 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127695 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127698 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127701 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127704 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2127707 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127710 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127717 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127721 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127725 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127729 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127733 */     // MIs[0] round
     /* 2127733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127736 */     // MIs[0] policy
     /* 2127736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127746 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2127749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127751 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127753 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127755 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127757 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127759 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127761 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127769 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127772 */     // GIR_Coverage, 17218,
     /* 2127772 */     GIR_EraseRootFromParent_Done,
     /* 2127773 */   // Label 28142: @2127773
     /* 2127773 */   GIM_Try, /*On fail goto*//*Label 28143*/ GIMT_Encode4(2127864), // Rule ID 17219 //
     /* 2127778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2127781 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127786 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2127789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2127792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2127795 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2127798 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2127801 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2127808 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127812 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2127816 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2127820 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127824 */     // MIs[0] round
     /* 2127824 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127827 */     // MIs[0] policy
     /* 2127827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127830 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127837 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2127837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WV_M4_E32_MASK),
     /* 2127840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127842 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127846 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127848 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127850 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127852 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2127860 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127863 */     // GIR_Coverage, 17219,
     /* 2127863 */     GIR_EraseRootFromParent_Done,
     /* 2127864 */   // Label 28143: @2127864
     /* 2127864 */   GIM_Try, /*On fail goto*//*Label 28144*/ GIMT_Encode4(2127955), // Rule ID 17222 //
     /* 2127869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2127872 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127877 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2127880 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2127883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127892 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2127895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2127911 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2127915 */     // MIs[0] round
     /* 2127915 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2127918 */     // MIs[0] policy
     /* 2127918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2127921 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2127928 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2127928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2127931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2127933 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2127935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2127937 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2127939 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2127941 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2127943 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2127948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2127951 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2127953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2127954 */     // GIR_Coverage, 17222,
     /* 2127954 */     GIR_EraseRootFromParent_Done,
     /* 2127955 */   // Label 28144: @2127955
     /* 2127955 */   GIM_Try, /*On fail goto*//*Label 28145*/ GIMT_Encode4(2128046), // Rule ID 17223 //
     /* 2127960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2127963 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2127968 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2127971 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2127974 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2127977 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2127980 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2127983 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2127986 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2127990 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2127998 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128002 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128006 */     // MIs[0] round
     /* 2128006 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128009 */     // MIs[0] policy
     /* 2128009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128019 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF4_E16_MASK),
     /* 2128022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128024 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128028 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128030 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128032 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128034 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128042 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128045 */     // GIR_Coverage, 17223,
     /* 2128045 */     GIR_EraseRootFromParent_Done,
     /* 2128046 */   // Label 28145: @2128046
     /* 2128046 */   GIM_Try, /*On fail goto*//*Label 28146*/ GIMT_Encode4(2128137), // Rule ID 17226 //
     /* 2128051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2128054 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128059 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128062 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128068 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128071 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128074 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128077 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128085 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128089 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128093 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128097 */     // MIs[0] round
     /* 2128097 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128100 */     // MIs[0] policy
     /* 2128100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128103 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128110 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2128113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128115 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128117 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128119 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128121 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128123 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128125 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128133 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128136 */     // GIR_Coverage, 17226,
     /* 2128136 */     GIR_EraseRootFromParent_Done,
     /* 2128137 */   // Label 28146: @2128137
     /* 2128137 */   GIM_Try, /*On fail goto*//*Label 28147*/ GIMT_Encode4(2128228), // Rule ID 17227 //
     /* 2128142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2128145 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128150 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2128153 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2128156 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2128159 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128162 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128165 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128168 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128172 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128176 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128184 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128188 */     // MIs[0] round
     /* 2128188 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128191 */     // MIs[0] policy
     /* 2128191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128194 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128201 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11282:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_MF2_E16_MASK),
     /* 2128204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128206 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128208 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128210 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128212 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128214 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128216 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128224 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128227 */     // GIR_Coverage, 17227,
     /* 2128227 */     GIR_EraseRootFromParent_Done,
     /* 2128228 */   // Label 28147: @2128228
     /* 2128228 */   GIM_Try, /*On fail goto*//*Label 28148*/ GIMT_Encode4(2128319), // Rule ID 17230 //
     /* 2128233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2128236 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128241 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2128244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2128247 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2128250 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128253 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128256 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128275 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128279 */     // MIs[0] round
     /* 2128279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128282 */     // MIs[0] policy
     /* 2128282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128285 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128292 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2128295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128297 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128299 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128301 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128303 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128305 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128315 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128318 */     // GIR_Coverage, 17230,
     /* 2128318 */     GIR_EraseRootFromParent_Done,
     /* 2128319 */   // Label 28148: @2128319
     /* 2128319 */   GIM_Try, /*On fail goto*//*Label 28149*/ GIMT_Encode4(2128410), // Rule ID 17231 //
     /* 2128324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2128327 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128332 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2128335 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2128338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2128341 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128344 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2128347 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128350 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128366 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128370 */     // MIs[0] round
     /* 2128370 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128373 */     // MIs[0] policy
     /* 2128373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128376 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128383 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M1_E16_MASK),
     /* 2128386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128388 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128392 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128394 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128396 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128406 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128409 */     // GIR_Coverage, 17231,
     /* 2128409 */     GIR_EraseRootFromParent_Done,
     /* 2128410 */   // Label 28149: @2128410
     /* 2128410 */   GIM_Try, /*On fail goto*//*Label 28150*/ GIMT_Encode4(2128501), // Rule ID 17234 //
     /* 2128415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2128418 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128423 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2128426 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2128429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2128432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128438 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128441 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128445 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128449 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128453 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128457 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128461 */     // MIs[0] round
     /* 2128461 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128464 */     // MIs[0] policy
     /* 2128464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128467 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128474 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2128477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128479 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128483 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128485 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128487 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128489 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128497 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128500 */     // GIR_Coverage, 17234,
     /* 2128500 */     GIR_EraseRootFromParent_Done,
     /* 2128501 */   // Label 28150: @2128501
     /* 2128501 */   GIM_Try, /*On fail goto*//*Label 28151*/ GIMT_Encode4(2128592), // Rule ID 17235 //
     /* 2128506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2128509 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128514 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2128517 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2128520 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2128523 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128526 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2128529 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128532 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2128536 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128540 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2128544 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128548 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128552 */     // MIs[0] round
     /* 2128552 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128555 */     // MIs[0] policy
     /* 2128555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128558 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128565 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M2_E16_MASK),
     /* 2128568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128570 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128572 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128574 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128576 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128578 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128580 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128588 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128591 */     // GIR_Coverage, 17235,
     /* 2128591 */     GIR_EraseRootFromParent_Done,
     /* 2128592 */   // Label 28151: @2128592
     /* 2128592 */   GIM_Try, /*On fail goto*//*Label 28152*/ GIMT_Encode4(2128683), // Rule ID 17238 //
     /* 2128597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2128600 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128605 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2128608 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2128611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2128614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128620 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128623 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128627 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128631 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128635 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128639 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128643 */     // MIs[0] round
     /* 2128643 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128646 */     // MIs[0] policy
     /* 2128646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128649 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128656 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2128659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128661 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128663 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128665 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128667 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128669 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128671 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128679 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128682 */     // GIR_Coverage, 17238,
     /* 2128682 */     GIR_EraseRootFromParent_Done,
     /* 2128683 */   // Label 28152: @2128683
     /* 2128683 */   GIM_Try, /*On fail goto*//*Label 28153*/ GIMT_Encode4(2128774), // Rule ID 17239 //
     /* 2128688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2128691 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128696 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2128699 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2128702 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2128705 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2128708 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2128711 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128714 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2128718 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2128726 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2128730 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128734 */     // MIs[0] round
     /* 2128734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128737 */     // MIs[0] policy
     /* 2128737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128740 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128747 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR16_M4_E16_MASK),
     /* 2128750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128752 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128754 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128756 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128758 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128760 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128762 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2128770 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128773 */     // GIR_Coverage, 17239,
     /* 2128773 */     GIR_EraseRootFromParent_Done,
     /* 2128774 */   // Label 28153: @2128774
     /* 2128774 */   GIM_Try, /*On fail goto*//*Label 28154*/ GIMT_Encode4(2128865), // Rule ID 17242 //
     /* 2128779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2128782 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128787 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2128790 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128796 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128799 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128802 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128813 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128817 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128821 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128825 */     // MIs[0] round
     /* 2128825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128828 */     // MIs[0] policy
     /* 2128828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128831 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128838 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2128838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2128841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128843 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128845 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128847 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128849 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128851 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128853 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128861 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128864 */     // GIR_Coverage, 17242,
     /* 2128864 */     GIR_EraseRootFromParent_Done,
     /* 2128865 */   // Label 28154: @2128865
     /* 2128865 */   GIM_Try, /*On fail goto*//*Label 28155*/ GIMT_Encode4(2128956), // Rule ID 17243 //
     /* 2128870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2128873 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128878 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2128881 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2128884 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2128887 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128890 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2128893 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2128896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2128900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2128908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2128912 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2128916 */     // MIs[0] round
     /* 2128916 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2128919 */     // MIs[0] policy
     /* 2128919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2128922 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2128929 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11282:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2128929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_MF2_E32_MASK),
     /* 2128932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2128934 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2128936 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2128938 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2128940 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2128942 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2128944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2128949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2128952 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2128954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2128955 */     // GIR_Coverage, 17243,
     /* 2128955 */     GIR_EraseRootFromParent_Done,
     /* 2128956 */   // Label 28155: @2128956
     /* 2128956 */   GIM_Try, /*On fail goto*//*Label 28156*/ GIMT_Encode4(2129047), // Rule ID 17246 //
     /* 2128961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2128964 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2128969 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2128972 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2128975 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2128978 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2128981 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2128984 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2128987 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2128991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2128999 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129003 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129007 */     // MIs[0] round
     /* 2129007 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129010 */     // MIs[0] policy
     /* 2129010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129013 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129020 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2129023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129025 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129029 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129031 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129033 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129043 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129046 */     // GIR_Coverage, 17246,
     /* 2129046 */     GIR_EraseRootFromParent_Done,
     /* 2129047 */   // Label 28156: @2129047
     /* 2129047 */   GIM_Try, /*On fail goto*//*Label 28157*/ GIMT_Encode4(2129138), // Rule ID 17247 //
     /* 2129052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2129055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2129060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2129063 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2129066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2129069 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129072 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129075 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129082 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129086 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129090 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129094 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129098 */     // MIs[0] round
     /* 2129098 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129101 */     // MIs[0] policy
     /* 2129101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129104 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129111 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11282:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M1_E32_MASK),
     /* 2129114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129116 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129120 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129122 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129124 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129126 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129134 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129137 */     // GIR_Coverage, 17247,
     /* 2129137 */     GIR_EraseRootFromParent_Done,
     /* 2129138 */   // Label 28157: @2129138
     /* 2129138 */   GIM_Try, /*On fail goto*//*Label 28158*/ GIMT_Encode4(2129229), // Rule ID 17250 //
     /* 2129143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2129146 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2129151 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2129154 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2129157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2129160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129166 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129177 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129181 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129185 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129189 */     // MIs[0] round
     /* 2129189 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129192 */     // MIs[0] policy
     /* 2129192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129195 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129202 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129202 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2129205 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129207 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129211 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129213 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129215 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129217 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129225 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129228 */     // GIR_Coverage, 17250,
     /* 2129228 */     GIR_EraseRootFromParent_Done,
     /* 2129229 */   // Label 28158: @2129229
     /* 2129229 */   GIM_Try, /*On fail goto*//*Label 28159*/ GIMT_Encode4(2129320), // Rule ID 17251 //
     /* 2129234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2129237 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2129242 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2129245 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2129248 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2129251 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129254 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129257 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2129264 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129268 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2129272 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129276 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129280 */     // MIs[0] round
     /* 2129280 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129283 */     // MIs[0] policy
     /* 2129283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129293 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11282:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M2_E32_MASK),
     /* 2129296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129298 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129300 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129302 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129304 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129306 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129308 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129316 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129319 */     // GIR_Coverage, 17251,
     /* 2129319 */     GIR_EraseRootFromParent_Done,
     /* 2129320 */   // Label 28159: @2129320
     /* 2129320 */   GIM_Try, /*On fail goto*//*Label 28160*/ GIMT_Encode4(2129411), // Rule ID 17254 //
     /* 2129325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2129328 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2129333 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2129336 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2129339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2129342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129348 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129351 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129355 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129359 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129363 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129367 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129371 */     // MIs[0] round
     /* 2129371 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129374 */     // MIs[0] policy
     /* 2129374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129377 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129384 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2129387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129389 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129391 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129393 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129395 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129397 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129407 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129410 */     // GIR_Coverage, 17254,
     /* 2129410 */     GIR_EraseRootFromParent_Done,
     /* 2129411 */   // Label 28160: @2129411
     /* 2129411 */   GIM_Try, /*On fail goto*//*Label 28161*/ GIMT_Encode4(2129502), // Rule ID 17255 //
     /* 2129416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2129419 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwadd_w_mask),
     /* 2129424 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2129427 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2129430 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2129433 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2129436 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2129439 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2129446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2129454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2129458 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129462 */     // MIs[0] round
     /* 2129462 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129465 */     // MIs[0] policy
     /* 2129465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129475 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11282:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWADD_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWADD_WFPR32_M4_E32_MASK),
     /* 2129478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129480 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129482 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129484 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129486 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129488 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2129498 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129501 */     // GIR_Coverage, 17255,
     /* 2129501 */     GIR_EraseRootFromParent_Done,
     /* 2129502 */   // Label 28161: @2129502
     /* 2129502 */   GIM_Try, /*On fail goto*//*Label 28162*/ GIMT_Encode4(2129593), // Rule ID 17264 //
     /* 2129507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2129510 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2129515 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129518 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129521 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129524 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2129527 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129530 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129541 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129545 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129549 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129553 */     // MIs[0] round
     /* 2129553 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129556 */     // MIs[0] policy
     /* 2129556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129559 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129566 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2129569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129571 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129573 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129575 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129577 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129579 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129589 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129592 */     // GIR_Coverage, 17264,
     /* 2129592 */     GIR_EraseRootFromParent_Done,
     /* 2129593 */   // Label 28162: @2129593
     /* 2129593 */   GIM_Try, /*On fail goto*//*Label 28163*/ GIMT_Encode4(2129684), // Rule ID 17265 //
     /* 2129598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2129601 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2129606 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2129609 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2129612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2129615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2129618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2129621 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129624 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129640 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129644 */     // MIs[0] round
     /* 2129644 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129647 */     // MIs[0] policy
     /* 2129647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129657 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF4_E16_MASK),
     /* 2129660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129662 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129666 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129668 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129670 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129672 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129680 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129683 */     // GIR_Coverage, 17265,
     /* 2129683 */     GIR_EraseRootFromParent_Done,
     /* 2129684 */   // Label 28163: @2129684
     /* 2129684 */   GIM_Try, /*On fail goto*//*Label 28164*/ GIMT_Encode4(2129775), // Rule ID 17274 //
     /* 2129689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2129692 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2129697 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129700 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129703 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2129706 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2129709 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129712 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129715 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129727 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129731 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129735 */     // MIs[0] round
     /* 2129735 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129738 */     // MIs[0] policy
     /* 2129738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129748 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2129751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129753 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129755 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129757 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129759 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129761 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129763 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129771 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129774 */     // GIR_Coverage, 17274,
     /* 2129774 */     GIR_EraseRootFromParent_Done,
     /* 2129775 */   // Label 28164: @2129775
     /* 2129775 */   GIM_Try, /*On fail goto*//*Label 28165*/ GIMT_Encode4(2129866), // Rule ID 17275 //
     /* 2129780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2129783 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2129788 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2129791 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2129794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2129797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2129800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2129803 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129806 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2129810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129818 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129822 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129826 */     // MIs[0] round
     /* 2129826 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129829 */     // MIs[0] policy
     /* 2129829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129832 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129839 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2129839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E16_MASK),
     /* 2129842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129844 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129848 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129850 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129852 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129854 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129862 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129865 */     // GIR_Coverage, 17275,
     /* 2129865 */     GIR_EraseRootFromParent_Done,
     /* 2129866 */   // Label 28165: @2129866
     /* 2129866 */   GIM_Try, /*On fail goto*//*Label 28166*/ GIMT_Encode4(2129957), // Rule ID 17284 //
     /* 2129871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2129874 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2129879 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129882 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129885 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129888 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2129891 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129894 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2129897 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129901 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129905 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129909 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2129913 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2129917 */     // MIs[0] round
     /* 2129917 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2129920 */     // MIs[0] policy
     /* 2129920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2129923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2129930 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2129930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2129933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2129935 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2129937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2129939 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2129941 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2129943 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2129945 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2129950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2129953 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2129955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2129956 */     // GIR_Coverage, 17284,
     /* 2129956 */     GIR_EraseRootFromParent_Done,
     /* 2129957 */   // Label 28166: @2129957
     /* 2129957 */   GIM_Try, /*On fail goto*//*Label 28167*/ GIMT_Encode4(2130048), // Rule ID 17285 //
     /* 2129962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2129965 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2129970 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2129973 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2129976 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2129979 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2129982 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2129985 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2129988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2129992 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2129996 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130000 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130004 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130008 */     // MIs[0] round
     /* 2130008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130011 */     // MIs[0] policy
     /* 2130011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130014 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130021 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E16_MASK),
     /* 2130024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130026 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130030 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130032 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130034 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130044 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130047 */     // GIR_Coverage, 17285,
     /* 2130047 */     GIR_EraseRootFromParent_Done,
     /* 2130048 */   // Label 28167: @2130048
     /* 2130048 */   GIM_Try, /*On fail goto*//*Label 28168*/ GIMT_Encode4(2130139), // Rule ID 17294 //
     /* 2130053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130056 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130061 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130064 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130070 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2130073 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130076 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130091 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130095 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130099 */     // MIs[0] round
     /* 2130099 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130102 */     // MIs[0] policy
     /* 2130102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130105 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130112 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2130115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130117 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130119 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130121 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130123 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130125 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130135 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130138 */     // GIR_Coverage, 17294,
     /* 2130138 */     GIR_EraseRootFromParent_Done,
     /* 2130139 */   // Label 28168: @2130139
     /* 2130139 */   GIM_Try, /*On fail goto*//*Label 28169*/ GIMT_Encode4(2130230), // Rule ID 17295 //
     /* 2130144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130147 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130152 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2130155 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2130158 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2130161 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2130164 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130167 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130186 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130190 */     // MIs[0] round
     /* 2130190 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130193 */     // MIs[0] policy
     /* 2130193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130196 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130203 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E16_MASK),
     /* 2130206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130208 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130212 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130214 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130216 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130218 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130226 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130229 */     // GIR_Coverage, 17295,
     /* 2130229 */     GIR_EraseRootFromParent_Done,
     /* 2130230 */   // Label 28169: @2130230
     /* 2130230 */   GIM_Try, /*On fail goto*//*Label 28170*/ GIMT_Encode4(2130321), // Rule ID 17304 //
     /* 2130235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2130238 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130243 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130246 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2130255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130258 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130265 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130269 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130273 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130277 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130281 */     // MIs[0] round
     /* 2130281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130284 */     // MIs[0] policy
     /* 2130284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130287 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130294 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2130297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130299 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130303 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130305 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130307 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130309 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130317 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130320 */     // GIR_Coverage, 17304,
     /* 2130320 */     GIR_EraseRootFromParent_Done,
     /* 2130321 */   // Label 28170: @2130321
     /* 2130321 */   GIM_Try, /*On fail goto*//*Label 28171*/ GIMT_Encode4(2130412), // Rule ID 17305 //
     /* 2130326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2130329 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130334 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2130337 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2130340 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2130343 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2130346 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2130349 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130352 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130364 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130368 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130372 */     // MIs[0] round
     /* 2130372 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130375 */     // MIs[0] policy
     /* 2130375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130385 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E16_MASK),
     /* 2130388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130390 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130392 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130394 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130396 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130398 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130400 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2130408 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130411 */     // GIR_Coverage, 17305,
     /* 2130411 */     GIR_EraseRootFromParent_Done,
     /* 2130412 */   // Label 28171: @2130412
     /* 2130412 */   GIM_Try, /*On fail goto*//*Label 28172*/ GIMT_Encode4(2130503), // Rule ID 17314 //
     /* 2130417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2130420 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130425 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2130428 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2130437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130440 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130451 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130459 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130463 */     // MIs[0] round
     /* 2130463 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130466 */     // MIs[0] policy
     /* 2130466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130476 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2130479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130481 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130483 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130485 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130487 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130489 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130491 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130499 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130502 */     // GIR_Coverage, 17314,
     /* 2130502 */     GIR_EraseRootFromParent_Done,
     /* 2130503 */   // Label 28172: @2130503
     /* 2130503 */   GIM_Try, /*On fail goto*//*Label 28173*/ GIMT_Encode4(2130594), // Rule ID 17315 //
     /* 2130508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2130511 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130516 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2130519 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2130522 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2130525 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2130528 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2130531 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130534 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2130538 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130546 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130550 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130554 */     // MIs[0] round
     /* 2130554 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130557 */     // MIs[0] policy
     /* 2130557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130560 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130567 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130567 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_MF2_E32_MASK),
     /* 2130570 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130572 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130574 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130576 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130578 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130580 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130582 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130590 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130593 */     // GIR_Coverage, 17315,
     /* 2130593 */     GIR_EraseRootFromParent_Done,
     /* 2130594 */   // Label 28173: @2130594
     /* 2130594 */   GIM_Try, /*On fail goto*//*Label 28174*/ GIMT_Encode4(2130685), // Rule ID 17324 //
     /* 2130599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2130602 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130607 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130610 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2130619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130622 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130641 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130645 */     // MIs[0] round
     /* 2130645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130648 */     // MIs[0] policy
     /* 2130648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130651 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130658 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2130661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130663 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130667 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130669 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130671 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130681 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130684 */     // GIR_Coverage, 17324,
     /* 2130684 */     GIR_EraseRootFromParent_Done,
     /* 2130685 */   // Label 28174: @2130685
     /* 2130685 */   GIM_Try, /*On fail goto*//*Label 28175*/ GIMT_Encode4(2130776), // Rule ID 17325 //
     /* 2130690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2130693 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130698 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2130701 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2130704 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2130707 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2130710 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2130713 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2130720 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130728 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2130732 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130736 */     // MIs[0] round
     /* 2130736 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130739 */     // MIs[0] policy
     /* 2130739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130749 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M1_E32_MASK),
     /* 2130752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130754 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130756 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130758 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130760 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130762 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130764 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130772 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130775 */     // GIR_Coverage, 17325,
     /* 2130775 */     GIR_EraseRootFromParent_Done,
     /* 2130776 */   // Label 28175: @2130776
     /* 2130776 */   GIM_Try, /*On fail goto*//*Label 28176*/ GIMT_Encode4(2130867), // Rule ID 17334 //
     /* 2130781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2130784 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130789 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130792 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130795 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130798 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2130801 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130804 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130815 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130819 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130823 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130827 */     // MIs[0] round
     /* 2130827 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130830 */     // MIs[0] policy
     /* 2130830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130833 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130840 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2130840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2130843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130845 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130847 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130849 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130851 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130853 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130855 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130863 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130866 */     // GIR_Coverage, 17334,
     /* 2130866 */     GIR_EraseRootFromParent_Done,
     /* 2130867 */   // Label 28176: @2130867
     /* 2130867 */   GIM_Try, /*On fail goto*//*Label 28177*/ GIMT_Encode4(2130958), // Rule ID 17335 //
     /* 2130872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2130875 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130880 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2130883 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2130886 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2130889 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2130892 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2130895 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2130898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2130902 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130906 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2130910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2130914 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2130918 */     // MIs[0] round
     /* 2130918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2130921 */     // MIs[0] policy
     /* 2130921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2130924 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2130931 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2130931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M2_E32_MASK),
     /* 2130934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2130936 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2130938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2130940 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2130942 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2130944 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2130946 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2130951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2130954 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2130956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2130957 */     // GIR_Coverage, 17335,
     /* 2130957 */     GIR_EraseRootFromParent_Done,
     /* 2130958 */   // Label 28177: @2130958
     /* 2130958 */   GIM_Try, /*On fail goto*//*Label 28178*/ GIMT_Encode4(2131049), // Rule ID 17344 //
     /* 2130963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2130966 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2130971 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2130974 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2130977 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2130980 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2130983 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2130986 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2130989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2130993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2130997 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131001 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131005 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131009 */     // MIs[0] round
     /* 2131009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131012 */     // MIs[0] policy
     /* 2131012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131022 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2131025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131027 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131031 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131033 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131035 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131045 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131048 */     // GIR_Coverage, 17344,
     /* 2131048 */     GIR_EraseRootFromParent_Done,
     /* 2131049 */   // Label 28178: @2131049
     /* 2131049 */   GIM_Try, /*On fail goto*//*Label 28179*/ GIMT_Encode4(2131140), // Rule ID 17345 //
     /* 2131054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2131057 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131062 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2131065 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2131068 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2131071 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2131074 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131077 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131084 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131088 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131092 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131096 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131100 */     // MIs[0] round
     /* 2131100 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131103 */     // MIs[0] policy
     /* 2131103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131113 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WV_M4_E32_MASK),
     /* 2131116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131118 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131120 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131122 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131124 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131126 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131128 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2131136 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131139 */     // GIR_Coverage, 17345,
     /* 2131139 */     GIR_EraseRootFromParent_Done,
     /* 2131140 */   // Label 28179: @2131140
     /* 2131140 */   GIM_Try, /*On fail goto*//*Label 28180*/ GIMT_Encode4(2131231), // Rule ID 17348 //
     /* 2131145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131148 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131153 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2131156 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2131159 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131162 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131165 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131168 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131175 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131179 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131183 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131187 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131191 */     // MIs[0] round
     /* 2131191 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131194 */     // MIs[0] policy
     /* 2131194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131197 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131204 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2131207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131209 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131211 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131213 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131215 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131217 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131219 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131227 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131230 */     // GIR_Coverage, 17348,
     /* 2131230 */     GIR_EraseRootFromParent_Done,
     /* 2131231 */   // Label 28180: @2131231
     /* 2131231 */   GIM_Try, /*On fail goto*//*Label 28181*/ GIMT_Encode4(2131322), // Rule ID 17349 //
     /* 2131236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131239 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131244 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2131247 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2131250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2131253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2131259 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131278 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131282 */     // MIs[0] round
     /* 2131282 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131285 */     // MIs[0] policy
     /* 2131285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131288 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131295 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131295 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF4_E16_MASK),
     /* 2131298 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131300 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131302 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131304 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131306 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131308 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131310 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131318 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131321 */     // GIR_Coverage, 17349,
     /* 2131321 */     GIR_EraseRootFromParent_Done,
     /* 2131322 */   // Label 28181: @2131322
     /* 2131322 */   GIM_Try, /*On fail goto*//*Label 28182*/ GIMT_Encode4(2131413), // Rule ID 17352 //
     /* 2131327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131330 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131335 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131338 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131341 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131344 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131347 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131350 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131357 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131361 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131365 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131369 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131373 */     // MIs[0] round
     /* 2131373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131376 */     // MIs[0] policy
     /* 2131376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131379 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131386 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2131389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131391 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131393 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131395 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131397 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131399 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131401 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131409 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131412 */     // GIR_Coverage, 17352,
     /* 2131412 */     GIR_EraseRootFromParent_Done,
     /* 2131413 */   // Label 28182: @2131413
     /* 2131413 */   GIM_Try, /*On fail goto*//*Label 28183*/ GIMT_Encode4(2131504), // Rule ID 17353 //
     /* 2131418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131421 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131426 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2131429 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2131432 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2131435 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131438 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2131441 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2131448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2131456 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131460 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131464 */     // MIs[0] round
     /* 2131464 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131467 */     // MIs[0] policy
     /* 2131467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131477 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11318:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_MF2_E16_MASK),
     /* 2131480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131482 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131484 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131486 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131488 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131490 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131492 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131500 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131503 */     // GIR_Coverage, 17353,
     /* 2131503 */     GIR_EraseRootFromParent_Done,
     /* 2131504 */   // Label 28183: @2131504
     /* 2131504 */   GIM_Try, /*On fail goto*//*Label 28184*/ GIMT_Encode4(2131595), // Rule ID 17356 //
     /* 2131509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131512 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131517 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131520 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131523 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131526 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131529 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131532 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131535 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131543 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131551 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131555 */     // MIs[0] round
     /* 2131555 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131558 */     // MIs[0] policy
     /* 2131558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131568 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2131571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131573 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131577 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131579 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131581 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131583 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131591 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131594 */     // GIR_Coverage, 17356,
     /* 2131594 */     GIR_EraseRootFromParent_Done,
     /* 2131595 */   // Label 28184: @2131595
     /* 2131595 */   GIM_Try, /*On fail goto*//*Label 28185*/ GIMT_Encode4(2131686), // Rule ID 17357 //
     /* 2131600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131603 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131608 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2131611 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2131614 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2131617 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131620 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2131623 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131626 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2131630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2131638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131642 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131646 */     // MIs[0] round
     /* 2131646 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131649 */     // MIs[0] policy
     /* 2131649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131652 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131659 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M1_E16_MASK),
     /* 2131662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131664 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131668 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131670 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131672 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131682 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131685 */     // GIR_Coverage, 17357,
     /* 2131685 */     GIR_EraseRootFromParent_Done,
     /* 2131686 */   // Label 28185: @2131686
     /* 2131686 */   GIM_Try, /*On fail goto*//*Label 28186*/ GIMT_Encode4(2131777), // Rule ID 17360 //
     /* 2131691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131694 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131699 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131702 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131705 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2131708 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131711 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131714 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131725 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131733 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131737 */     // MIs[0] round
     /* 2131737 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131740 */     // MIs[0] policy
     /* 2131740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131750 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2131753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131755 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131759 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131761 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131763 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131773 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131776 */     // GIR_Coverage, 17360,
     /* 2131776 */     GIR_EraseRootFromParent_Done,
     /* 2131777 */   // Label 28186: @2131777
     /* 2131777 */   GIM_Try, /*On fail goto*//*Label 28187*/ GIMT_Encode4(2131868), // Rule ID 17361 //
     /* 2131782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131785 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131790 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2131793 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2131796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2131799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2131805 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131808 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2131812 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131816 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2131820 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131824 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131828 */     // MIs[0] round
     /* 2131828 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131831 */     // MIs[0] policy
     /* 2131831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131834 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131841 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2131841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M2_E16_MASK),
     /* 2131844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131846 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131848 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131850 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131852 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131854 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131856 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131864 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131867 */     // GIR_Coverage, 17361,
     /* 2131867 */     GIR_EraseRootFromParent_Done,
     /* 2131868 */   // Label 28187: @2131868
     /* 2131868 */   GIM_Try, /*On fail goto*//*Label 28188*/ GIMT_Encode4(2131959), // Rule ID 17364 //
     /* 2131873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2131876 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131881 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131884 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131887 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2131890 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131893 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131896 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2131899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131907 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131911 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2131915 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2131919 */     // MIs[0] round
     /* 2131919 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2131922 */     // MIs[0] policy
     /* 2131922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2131925 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2131932 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2131932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2131935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2131937 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2131939 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2131941 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2131943 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2131945 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2131947 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2131952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2131955 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2131957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2131958 */     // GIR_Coverage, 17364,
     /* 2131958 */     GIR_EraseRootFromParent_Done,
     /* 2131959 */   // Label 28188: @2131959
     /* 2131959 */   GIM_Try, /*On fail goto*//*Label 28189*/ GIMT_Encode4(2132050), // Rule ID 17365 //
     /* 2131964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2131967 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2131972 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2131975 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2131978 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2131981 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2131984 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2131987 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2131990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2131994 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2131998 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132002 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2132006 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132010 */     // MIs[0] round
     /* 2132010 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132013 */     // MIs[0] policy
     /* 2132013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132023 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR16_M4_E16_MASK),
     /* 2132026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132028 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132030 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132032 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132034 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132036 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132038 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132046 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132049 */     // GIR_Coverage, 17365,
     /* 2132049 */     GIR_EraseRootFromParent_Done,
     /* 2132050 */   // Label 28189: @2132050
     /* 2132050 */   GIM_Try, /*On fail goto*//*Label 28190*/ GIMT_Encode4(2132141), // Rule ID 17368 //
     /* 2132055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132058 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2132063 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2132066 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2132069 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2132072 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132075 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132078 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132081 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132085 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132089 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132093 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132097 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132101 */     // MIs[0] round
     /* 2132101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132104 */     // MIs[0] policy
     /* 2132104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132107 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132114 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2132117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132119 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132121 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132123 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132125 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132127 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132129 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132137 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132140 */     // GIR_Coverage, 17368,
     /* 2132140 */     GIR_EraseRootFromParent_Done,
     /* 2132141 */   // Label 28190: @2132141
     /* 2132141 */   GIM_Try, /*On fail goto*//*Label 28191*/ GIMT_Encode4(2132232), // Rule ID 17369 //
     /* 2132146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132149 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2132154 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2132157 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2132160 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2132163 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132166 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132169 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132184 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132188 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132192 */     // MIs[0] round
     /* 2132192 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132195 */     // MIs[0] policy
     /* 2132195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132198 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132205 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11318:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_MF2_E32_MASK),
     /* 2132208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132210 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132212 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132214 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132216 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132218 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132220 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132228 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132231 */     // GIR_Coverage, 17369,
     /* 2132231 */     GIR_EraseRootFromParent_Done,
     /* 2132232 */   // Label 28191: @2132232
     /* 2132232 */   GIM_Try, /*On fail goto*//*Label 28192*/ GIMT_Encode4(2132323), // Rule ID 17372 //
     /* 2132237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132240 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2132245 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132248 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132251 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132254 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132257 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132260 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132279 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132283 */     // MIs[0] round
     /* 2132283 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132286 */     // MIs[0] policy
     /* 2132286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132289 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132296 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2132299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132301 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132305 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132307 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132309 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132311 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132319 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132322 */     // GIR_Coverage, 17372,
     /* 2132322 */     GIR_EraseRootFromParent_Done,
     /* 2132323 */   // Label 28192: @2132323
     /* 2132323 */   GIM_Try, /*On fail goto*//*Label 28193*/ GIMT_Encode4(2132414), // Rule ID 17373 //
     /* 2132328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132331 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2132336 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2132339 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2132342 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2132345 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132348 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132351 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2132358 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132362 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2132366 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132370 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132374 */     // MIs[0] round
     /* 2132374 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132377 */     // MIs[0] policy
     /* 2132377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132380 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132387 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11318:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M1_E32_MASK),
     /* 2132390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132392 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132396 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132398 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132400 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132410 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132413 */     // GIR_Coverage, 17373,
     /* 2132413 */     GIR_EraseRootFromParent_Done,
     /* 2132414 */   // Label 28193: @2132414
     /* 2132414 */   GIM_Try, /*On fail goto*//*Label 28194*/ GIMT_Encode4(2132505), // Rule ID 17376 //
     /* 2132419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132422 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2132427 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132430 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2132436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132442 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132445 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132449 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132453 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132457 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132461 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132465 */     // MIs[0] round
     /* 2132465 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132468 */     // MIs[0] policy
     /* 2132468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132478 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2132481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132483 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132487 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132489 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132491 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132493 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132501 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132504 */     // GIR_Coverage, 17376,
     /* 2132504 */     GIR_EraseRootFromParent_Done,
     /* 2132505 */   // Label 28194: @2132505
     /* 2132505 */   GIM_Try, /*On fail goto*//*Label 28195*/ GIMT_Encode4(2132596), // Rule ID 17377 //
     /* 2132510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132513 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2132518 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2132521 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2132524 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2132527 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132530 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2132533 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2132540 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2132548 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132552 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132556 */     // MIs[0] round
     /* 2132556 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132559 */     // MIs[0] policy
     /* 2132559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132562 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132569 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11318:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M2_E32_MASK),
     /* 2132572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132574 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132576 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132578 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132580 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132582 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132584 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132592 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132595 */     // GIR_Coverage, 17377,
     /* 2132595 */     GIR_EraseRootFromParent_Done,
     /* 2132596 */   // Label 28195: @2132596
     /* 2132596 */   GIM_Try, /*On fail goto*//*Label 28196*/ GIMT_Encode4(2132687), // Rule ID 17380 //
     /* 2132601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2132604 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2132609 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132612 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2132618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132621 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132624 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132631 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132635 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132639 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132643 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132647 */     // MIs[0] round
     /* 2132647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132650 */     // MIs[0] policy
     /* 2132650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132660 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2132663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132665 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132667 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132669 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132671 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132673 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132675 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132683 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132686 */     // GIR_Coverage, 17380,
     /* 2132686 */     GIR_EraseRootFromParent_Done,
     /* 2132687 */   // Label 28196: @2132687
     /* 2132687 */   GIM_Try, /*On fail goto*//*Label 28197*/ GIMT_Encode4(2132778), // Rule ID 17381 //
     /* 2132692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2132695 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwsub_w_mask),
     /* 2132700 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2132703 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2132706 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2132709 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2132712 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2132715 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2132722 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132726 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2132730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2132734 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132738 */     // MIs[0] round
     /* 2132738 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132741 */     // MIs[0] policy
     /* 2132741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132751 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11318:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWSUB_WFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWSUB_WFPR32_M4_E32_MASK),
     /* 2132754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132756 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132758 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132760 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132762 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132764 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132766 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2132774 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132777 */     // GIR_Coverage, 17381,
     /* 2132777 */     GIR_EraseRootFromParent_Done,
     /* 2132778 */   // Label 28197: @2132778
     /* 2132778 */   GIM_Try, /*On fail goto*//*Label 28198*/ GIMT_Encode4(2132869), // Rule ID 17384 //
     /* 2132783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132786 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132791 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2132794 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2132797 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132800 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2132803 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132806 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132825 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132829 */     // MIs[0] round
     /* 2132829 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132832 */     // MIs[0] policy
     /* 2132832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132835 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132842 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2132842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2132845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132847 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132849 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132851 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132853 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132855 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132865 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132868 */     // GIR_Coverage, 17384,
     /* 2132868 */     GIR_EraseRootFromParent_Done,
     /* 2132869 */   // Label 28198: @2132869
     /* 2132869 */   GIM_Try, /*On fail goto*//*Label 28199*/ GIMT_Encode4(2132960), // Rule ID 17385 //
     /* 2132874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2132877 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132882 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2132885 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2132888 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2132891 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2132894 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2132897 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2132900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132912 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132916 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2132920 */     // MIs[0] round
     /* 2132920 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2132923 */     // MIs[0] policy
     /* 2132923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2132926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2132933 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2132933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16_MASK),
     /* 2132936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2132938 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2132940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2132942 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2132944 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2132946 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2132948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2132953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2132956 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2132958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2132959 */     // GIR_Coverage, 17385,
     /* 2132959 */     GIR_EraseRootFromParent_Done,
     /* 2132960 */   // Label 28199: @2132960
     /* 2132960 */   GIM_Try, /*On fail goto*//*Label 28200*/ GIMT_Encode4(2133051), // Rule ID 17388 //
     /* 2132965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2132968 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2132973 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2132976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2132979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2132982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2132985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2132988 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2132991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2132995 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2132999 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133003 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133007 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133011 */     // MIs[0] round
     /* 2133011 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133014 */     // MIs[0] policy
     /* 2133014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133024 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2133027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133029 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133033 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133035 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133037 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133039 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133047 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133050 */     // GIR_Coverage, 17388,
     /* 2133050 */     GIR_EraseRootFromParent_Done,
     /* 2133051 */   // Label 28200: @2133051
     /* 2133051 */   GIM_Try, /*On fail goto*//*Label 28201*/ GIMT_Encode4(2133142), // Rule ID 17389 //
     /* 2133056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133059 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133064 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2133067 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2133070 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2133073 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2133076 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133079 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133090 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133094 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133098 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133102 */     // MIs[0] round
     /* 2133102 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133105 */     // MIs[0] policy
     /* 2133105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133108 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133115 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16_MASK),
     /* 2133118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133120 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133124 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133126 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133128 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133130 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133138 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133141 */     // GIR_Coverage, 17389,
     /* 2133141 */     GIR_EraseRootFromParent_Done,
     /* 2133142 */   // Label 28201: @2133142
     /* 2133142 */   GIM_Try, /*On fail goto*//*Label 28202*/ GIMT_Encode4(2133233), // Rule ID 17392 //
     /* 2133147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133150 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133155 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2133167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133170 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133181 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133185 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133189 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133193 */     // MIs[0] round
     /* 2133193 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133196 */     // MIs[0] policy
     /* 2133196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133206 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2133209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133211 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133213 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133215 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133217 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133219 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133221 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133229 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133231 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133232 */     // GIR_Coverage, 17392,
     /* 2133232 */     GIR_EraseRootFromParent_Done,
     /* 2133233 */   // Label 28202: @2133233
     /* 2133233 */   GIM_Try, /*On fail goto*//*Label 28203*/ GIMT_Encode4(2133324), // Rule ID 17393 //
     /* 2133238 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133241 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133246 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2133249 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2133252 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2133255 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2133258 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133261 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133264 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133276 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133280 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133284 */     // MIs[0] round
     /* 2133284 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133287 */     // MIs[0] policy
     /* 2133287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133290 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133297 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32_MASK),
     /* 2133300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133302 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133306 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133308 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133310 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133312 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133320 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133323 */     // GIR_Coverage, 17393,
     /* 2133323 */     GIR_EraseRootFromParent_Done,
     /* 2133324 */   // Label 28203: @2133324
     /* 2133324 */   GIM_Try, /*On fail goto*//*Label 28204*/ GIMT_Encode4(2133415), // Rule ID 17396 //
     /* 2133329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133332 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133337 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2133340 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2133343 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2133346 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2133349 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133352 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133359 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133363 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133367 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133371 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133375 */     // MIs[0] round
     /* 2133375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133378 */     // MIs[0] policy
     /* 2133378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133388 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2133391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133393 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133395 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133397 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133399 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133401 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133411 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133414 */     // GIR_Coverage, 17396,
     /* 2133414 */     GIR_EraseRootFromParent_Done,
     /* 2133415 */   // Label 28204: @2133415
     /* 2133415 */   GIM_Try, /*On fail goto*//*Label 28205*/ GIMT_Encode4(2133506), // Rule ID 17397 //
     /* 2133420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133423 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133428 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2133431 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2133434 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2133437 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2133440 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2133443 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133446 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133454 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133458 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133462 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133466 */     // MIs[0] round
     /* 2133466 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133469 */     // MIs[0] policy
     /* 2133469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133472 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133479 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133479 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16_MASK),
     /* 2133482 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133484 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133488 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133490 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133492 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133502 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133505 */     // GIR_Coverage, 17397,
     /* 2133505 */     GIR_EraseRootFromParent_Done,
     /* 2133506 */   // Label 28205: @2133506
     /* 2133506 */   GIM_Try, /*On fail goto*//*Label 28206*/ GIMT_Encode4(2133597), // Rule ID 17400 //
     /* 2133511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2133514 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133519 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2133522 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133525 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133528 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2133531 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133534 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133541 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133545 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133549 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133553 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133557 */     // MIs[0] round
     /* 2133557 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133560 */     // MIs[0] policy
     /* 2133560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133563 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133570 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2133573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133575 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133579 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133581 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133583 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133585 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133593 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133596 */     // GIR_Coverage, 17400,
     /* 2133596 */     GIR_EraseRootFromParent_Done,
     /* 2133597 */   // Label 28206: @2133597
     /* 2133597 */   GIM_Try, /*On fail goto*//*Label 28207*/ GIMT_Encode4(2133688), // Rule ID 17401 //
     /* 2133602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2133605 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133610 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2133613 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2133616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2133619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2133622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2133625 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133640 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133644 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133648 */     // MIs[0] round
     /* 2133648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133651 */     // MIs[0] policy
     /* 2133651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133654 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133661 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32_MASK),
     /* 2133664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133666 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133668 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133670 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133672 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133674 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133676 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2133684 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133687 */     // GIR_Coverage, 17401,
     /* 2133687 */     GIR_EraseRootFromParent_Done,
     /* 2133688 */   // Label 28207: @2133688
     /* 2133688 */   GIM_Try, /*On fail goto*//*Label 28208*/ GIMT_Encode4(2133779), // Rule ID 17404 //
     /* 2133693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2133696 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133701 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133704 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133707 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2133710 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2133713 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133716 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133727 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133731 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133735 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133739 */     // MIs[0] round
     /* 2133739 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133742 */     // MIs[0] policy
     /* 2133742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133752 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2133755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133757 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133759 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133761 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133763 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133765 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133767 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133775 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133778 */     // GIR_Coverage, 17404,
     /* 2133778 */     GIR_EraseRootFromParent_Done,
     /* 2133779 */   // Label 28208: @2133779
     /* 2133779 */   GIM_Try, /*On fail goto*//*Label 28209*/ GIMT_Encode4(2133870), // Rule ID 17405 //
     /* 2133784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2133787 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133792 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2133795 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2133798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2133801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2133804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2133807 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2133814 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133818 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133822 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2133826 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133830 */     // MIs[0] round
     /* 2133830 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133833 */     // MIs[0] policy
     /* 2133833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133843 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2133843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64_MASK),
     /* 2133846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133848 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133850 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133852 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133854 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133856 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133858 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2133866 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133869 */     // GIR_Coverage, 17405,
     /* 2133869 */     GIR_EraseRootFromParent_Done,
     /* 2133870 */   // Label 28209: @2133870
     /* 2133870 */   GIM_Try, /*On fail goto*//*Label 28210*/ GIMT_Encode4(2133961), // Rule ID 17408 //
     /* 2133875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2133878 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133883 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2133886 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2133889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2133895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133898 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2133901 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133905 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133909 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133913 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2133917 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2133921 */     // MIs[0] round
     /* 2133921 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2133924 */     // MIs[0] policy
     /* 2133924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2133927 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2133934 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2133934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2133937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2133939 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2133941 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2133943 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2133945 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2133947 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2133949 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2133954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2133957 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2133959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2133960 */     // GIR_Coverage, 17408,
     /* 2133960 */     GIR_EraseRootFromParent_Done,
     /* 2133961 */   // Label 28210: @2133961
     /* 2133961 */   GIM_Try, /*On fail goto*//*Label 28211*/ GIMT_Encode4(2134052), // Rule ID 17409 //
     /* 2133966 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2133969 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2133974 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2133977 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2133980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2133983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2133986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2133989 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2133992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2133996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134008 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134012 */     // MIs[0] round
     /* 2134012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134015 */     // MIs[0] policy
     /* 2134015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134018 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134025 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134025 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16_MASK),
     /* 2134028 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134030 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134034 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134036 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134038 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134048 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134051 */     // GIR_Coverage, 17409,
     /* 2134051 */     GIR_EraseRootFromParent_Done,
     /* 2134052 */   // Label 28211: @2134052
     /* 2134052 */   GIM_Try, /*On fail goto*//*Label 28212*/ GIMT_Encode4(2134143), // Rule ID 17412 //
     /* 2134057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134060 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134065 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2134068 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2134071 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2134074 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2134077 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134080 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134091 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134095 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134099 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134103 */     // MIs[0] round
     /* 2134103 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134106 */     // MIs[0] policy
     /* 2134106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134109 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134116 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2134119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134121 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134123 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134125 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134127 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134129 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134131 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134139 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134142 */     // GIR_Coverage, 17412,
     /* 2134142 */     GIR_EraseRootFromParent_Done,
     /* 2134143 */   // Label 28212: @2134143
     /* 2134143 */   GIM_Try, /*On fail goto*//*Label 28213*/ GIMT_Encode4(2134234), // Rule ID 17413 //
     /* 2134148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134151 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134156 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2134159 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2134162 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2134165 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2134168 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134171 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134174 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134182 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134186 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134190 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134194 */     // MIs[0] round
     /* 2134194 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134197 */     // MIs[0] policy
     /* 2134197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134200 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134207 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16_MASK),
     /* 2134210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134212 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134216 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134218 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134220 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134222 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134230 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134233 */     // GIR_Coverage, 17413,
     /* 2134233 */     GIR_EraseRootFromParent_Done,
     /* 2134234 */   // Label 28213: @2134234
     /* 2134234 */   GIM_Try, /*On fail goto*//*Label 28214*/ GIMT_Encode4(2134325), // Rule ID 17416 //
     /* 2134239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2134242 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134247 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2134250 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2134253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2134256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2134259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2134262 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134281 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134285 */     // MIs[0] round
     /* 2134285 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134288 */     // MIs[0] policy
     /* 2134288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134291 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134298 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2134301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134303 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134307 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134309 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134311 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134313 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134321 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134324 */     // GIR_Coverage, 17416,
     /* 2134324 */     GIR_EraseRootFromParent_Done,
     /* 2134325 */   // Label 28214: @2134325
     /* 2134325 */   GIM_Try, /*On fail goto*//*Label 28215*/ GIMT_Encode4(2134416), // Rule ID 17417 //
     /* 2134330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2134333 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134338 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2134341 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2134344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2134347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2134350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2134353 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134356 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134360 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134364 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134368 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134372 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134376 */     // MIs[0] round
     /* 2134376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134379 */     // MIs[0] policy
     /* 2134379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134382 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134389 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16_MASK),
     /* 2134392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134394 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134396 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134398 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134400 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134402 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2134412 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134415 */     // GIR_Coverage, 17417,
     /* 2134415 */     GIR_EraseRootFromParent_Done,
     /* 2134416 */   // Label 28215: @2134416
     /* 2134416 */   GIM_Try, /*On fail goto*//*Label 28216*/ GIMT_Encode4(2134507), // Rule ID 17420 //
     /* 2134421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134424 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134429 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2134432 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2134435 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2134438 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2134441 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134444 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134455 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134459 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134463 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134467 */     // MIs[0] round
     /* 2134467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134470 */     // MIs[0] policy
     /* 2134470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134480 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2134483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134485 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134487 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134489 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134491 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134493 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134495 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134503 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134506 */     // GIR_Coverage, 17420,
     /* 2134506 */     GIR_EraseRootFromParent_Done,
     /* 2134507 */   // Label 28216: @2134507
     /* 2134507 */   GIM_Try, /*On fail goto*//*Label 28217*/ GIMT_Encode4(2134598), // Rule ID 17421 //
     /* 2134512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134515 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134520 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2134523 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2134526 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2134529 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2134532 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2134535 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134542 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134546 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134550 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2134554 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134558 */     // MIs[0] round
     /* 2134558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134561 */     // MIs[0] policy
     /* 2134561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134564 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134571 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32_MASK),
     /* 2134574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134576 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134578 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134580 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134582 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134584 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134586 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134594 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134597 */     // GIR_Coverage, 17421,
     /* 2134597 */     GIR_EraseRootFromParent_Done,
     /* 2134598 */   // Label 28217: @2134598
     /* 2134598 */   GIM_Try, /*On fail goto*//*Label 28218*/ GIMT_Encode4(2134689), // Rule ID 17424 //
     /* 2134603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134606 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134611 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2134614 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2134617 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134620 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2134623 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134626 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134629 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134645 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134649 */     // MIs[0] round
     /* 2134649 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134652 */     // MIs[0] policy
     /* 2134652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134655 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134662 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2134665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134667 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134671 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134673 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134675 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134685 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134688 */     // GIR_Coverage, 17424,
     /* 2134688 */     GIR_EraseRootFromParent_Done,
     /* 2134689 */   // Label 28218: @2134689
     /* 2134689 */   GIM_Try, /*On fail goto*//*Label 28219*/ GIMT_Encode4(2134780), // Rule ID 17425 //
     /* 2134694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134697 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134702 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2134705 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2134708 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2134711 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2134714 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2134717 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2134724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134732 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2134736 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134740 */     // MIs[0] round
     /* 2134740 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134743 */     // MIs[0] policy
     /* 2134743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134746 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134753 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32_MASK),
     /* 2134756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134758 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134760 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134762 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134764 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134766 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134768 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134776 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134779 */     // GIR_Coverage, 17425,
     /* 2134779 */     GIR_EraseRootFromParent_Done,
     /* 2134780 */   // Label 28219: @2134780
     /* 2134780 */   GIM_Try, /*On fail goto*//*Label 28220*/ GIMT_Encode4(2134871), // Rule ID 17428 //
     /* 2134785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2134788 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134793 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2134796 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2134799 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2134802 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2134805 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134808 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134819 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134823 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134827 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134831 */     // MIs[0] round
     /* 2134831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134834 */     // MIs[0] policy
     /* 2134834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134844 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2134844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2134847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134849 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134853 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134855 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134857 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134859 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134867 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134870 */     // GIR_Coverage, 17428,
     /* 2134870 */     GIR_EraseRootFromParent_Done,
     /* 2134871 */   // Label 28220: @2134871
     /* 2134871 */   GIM_Try, /*On fail goto*//*Label 28221*/ GIMT_Encode4(2134962), // Rule ID 17429 //
     /* 2134876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2134879 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134884 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2134887 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2134890 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2134893 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2134896 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2134899 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2134902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2134906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134910 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2134918 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2134922 */     // MIs[0] round
     /* 2134922 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2134925 */     // MIs[0] policy
     /* 2134925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2134928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2134935 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2134935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32_MASK),
     /* 2134938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2134940 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2134942 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2134944 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2134946 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2134948 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2134950 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2134955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2134958 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2134960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2134961 */     // GIR_Coverage, 17429,
     /* 2134961 */     GIR_EraseRootFromParent_Done,
     /* 2134962 */   // Label 28221: @2134962
     /* 2134962 */   GIM_Try, /*On fail goto*//*Label 28222*/ GIMT_Encode4(2135053), // Rule ID 17432 //
     /* 2134967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2134970 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2134975 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2134978 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2134981 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2134984 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2134987 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2134990 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2134993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2134997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135009 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135013 */     // MIs[0] round
     /* 2135013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135016 */     // MIs[0] policy
     /* 2135016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135019 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135026 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2135029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135031 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135035 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135037 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135039 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135041 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135049 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135052 */     // GIR_Coverage, 17432,
     /* 2135052 */     GIR_EraseRootFromParent_Done,
     /* 2135053 */   // Label 28222: @2135053
     /* 2135053 */   GIM_Try, /*On fail goto*//*Label 28223*/ GIMT_Encode4(2135144), // Rule ID 17433 //
     /* 2135058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135061 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135066 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2135069 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2135072 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2135075 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2135078 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135081 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2135088 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135092 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135096 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2135100 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135104 */     // MIs[0] round
     /* 2135104 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135107 */     // MIs[0] policy
     /* 2135107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135110 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135117 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64_MASK),
     /* 2135120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135122 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135126 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135128 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135130 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135132 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135140 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135143 */     // GIR_Coverage, 17433,
     /* 2135143 */     GIR_EraseRootFromParent_Done,
     /* 2135144 */   // Label 28223: @2135144
     /* 2135144 */   GIM_Try, /*On fail goto*//*Label 28224*/ GIMT_Encode4(2135235), // Rule ID 17436 //
     /* 2135149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135152 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135157 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2135160 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135163 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135166 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2135169 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135172 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135183 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135187 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135191 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135195 */     // MIs[0] round
     /* 2135195 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135198 */     // MIs[0] policy
     /* 2135198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135201 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135208 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2135211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135213 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135215 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135217 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135219 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135221 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135223 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135231 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135234 */     // GIR_Coverage, 17436,
     /* 2135234 */     GIR_EraseRootFromParent_Done,
     /* 2135235 */   // Label 28224: @2135235
     /* 2135235 */   GIM_Try, /*On fail goto*//*Label 28225*/ GIMT_Encode4(2135326), // Rule ID 17437 //
     /* 2135240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135243 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135248 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2135251 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2135254 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2135257 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2135260 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2135263 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2135270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135274 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135278 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2135282 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135286 */     // MIs[0] round
     /* 2135286 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135289 */     // MIs[0] policy
     /* 2135289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135292 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135299 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64_MASK),
     /* 2135302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135304 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135308 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135310 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135312 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135314 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135322 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135325 */     // GIR_Coverage, 17437,
     /* 2135325 */     GIR_EraseRootFromParent_Done,
     /* 2135326 */   // Label 28225: @2135326
     /* 2135326 */   GIM_Try, /*On fail goto*//*Label 28226*/ GIMT_Encode4(2135417), // Rule ID 17440 //
     /* 2135331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2135334 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135339 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2135342 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2135345 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2135348 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2135351 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135354 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135365 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135373 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135377 */     // MIs[0] round
     /* 2135377 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135380 */     // MIs[0] policy
     /* 2135380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135390 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2135393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135395 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135397 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135399 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135401 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135403 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135405 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135413 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135416 */     // GIR_Coverage, 17440,
     /* 2135416 */     GIR_EraseRootFromParent_Done,
     /* 2135417 */   // Label 28226: @2135417
     /* 2135417 */   GIM_Try, /*On fail goto*//*Label 28227*/ GIMT_Encode4(2135508), // Rule ID 17441 //
     /* 2135422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2135425 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135430 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2135433 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2135436 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2135439 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2135442 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2135445 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135448 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2135452 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135456 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135460 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2135464 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135468 */     // MIs[0] round
     /* 2135468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135471 */     // MIs[0] policy
     /* 2135471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135474 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135481 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64_MASK),
     /* 2135484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135486 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135488 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135490 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135492 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135494 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2135504 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135507 */     // GIR_Coverage, 17441,
     /* 2135507 */     GIR_EraseRootFromParent_Done,
     /* 2135508 */   // Label 28227: @2135508
     /* 2135508 */   GIM_Try, /*On fail goto*//*Label 28228*/ GIMT_Encode4(2135599), // Rule ID 17444 //
     /* 2135513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135516 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135521 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2135524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2135527 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2135530 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135533 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135536 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135539 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135543 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135547 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135551 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135555 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135559 */     // MIs[0] round
     /* 2135559 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135562 */     // MIs[0] policy
     /* 2135562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135565 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135572 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2135575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135577 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135581 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135583 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135585 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135587 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135595 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135598 */     // GIR_Coverage, 17444,
     /* 2135598 */     GIR_EraseRootFromParent_Done,
     /* 2135599 */   // Label 28228: @2135599
     /* 2135599 */   GIM_Try, /*On fail goto*//*Label 28229*/ GIMT_Encode4(2135690), // Rule ID 17445 //
     /* 2135604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2135615 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2135618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2135621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135627 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135634 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135638 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135642 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135646 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135650 */     // MIs[0] round
     /* 2135650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135653 */     // MIs[0] policy
     /* 2135653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135656 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135663 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF4_E16_MASK),
     /* 2135666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135668 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135670 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135672 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135674 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135676 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135678 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135686 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135689 */     // GIR_Coverage, 17445,
     /* 2135689 */     GIR_EraseRootFromParent_Done,
     /* 2135690 */   // Label 28229: @2135690
     /* 2135690 */   GIM_Try, /*On fail goto*//*Label 28230*/ GIMT_Encode4(2135781), // Rule ID 17448 //
     /* 2135695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2135698 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135703 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2135706 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2135709 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2135712 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135715 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135718 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135721 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135733 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135737 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135741 */     // MIs[0] round
     /* 2135741 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135744 */     // MIs[0] policy
     /* 2135744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135747 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135754 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2135757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135759 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135763 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135765 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135767 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135769 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135777 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135780 */     // GIR_Coverage, 17448,
     /* 2135780 */     GIR_EraseRootFromParent_Done,
     /* 2135781 */   // Label 28230: @2135781
     /* 2135781 */   GIM_Try, /*On fail goto*//*Label 28231*/ GIMT_Encode4(2135872), // Rule ID 17449 //
     /* 2135786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2135789 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135794 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2135797 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2135800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2135803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2135806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2135809 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135816 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135820 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135824 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2135828 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135832 */     // MIs[0] round
     /* 2135832 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135835 */     // MIs[0] policy
     /* 2135835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135838 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135845 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2135845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_MF2_E16_MASK),
     /* 2135848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135850 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135852 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135854 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135856 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135858 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135860 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2135868 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135871 */     // GIR_Coverage, 17449,
     /* 2135871 */     GIR_EraseRootFromParent_Done,
     /* 2135872 */   // Label 28231: @2135872
     /* 2135872 */   GIM_Try, /*On fail goto*//*Label 28232*/ GIMT_Encode4(2135963), // Rule ID 17452 //
     /* 2135877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2135880 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135885 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2135888 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2135891 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2135894 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2135897 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135900 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2135903 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135911 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2135915 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2135919 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2135923 */     // MIs[0] round
     /* 2135923 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2135926 */     // MIs[0] policy
     /* 2135926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2135929 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2135936 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2135936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2135939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2135941 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2135943 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2135945 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2135947 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2135949 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2135951 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2135956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2135959 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2135961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2135962 */     // GIR_Coverage, 17452,
     /* 2135962 */     GIR_EraseRootFromParent_Done,
     /* 2135963 */   // Label 28232: @2135963
     /* 2135963 */   GIM_Try, /*On fail goto*//*Label 28233*/ GIMT_Encode4(2136054), // Rule ID 17453 //
     /* 2135968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2135971 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2135976 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2135979 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2135982 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2135985 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2135988 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2135991 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2135994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2135998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136006 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136010 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136014 */     // MIs[0] round
     /* 2136014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136017 */     // MIs[0] policy
     /* 2136017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136027 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_MF2_E32_MASK),
     /* 2136030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136032 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136034 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136036 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136038 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136040 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136042 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136050 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136053 */     // GIR_Coverage, 17453,
     /* 2136053 */     GIR_EraseRootFromParent_Done,
     /* 2136054 */   // Label 28233: @2136054
     /* 2136054 */   GIM_Try, /*On fail goto*//*Label 28234*/ GIMT_Encode4(2136145), // Rule ID 17456 //
     /* 2136059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136062 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136067 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2136070 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136073 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2136076 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136079 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136082 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136085 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136093 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136101 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136105 */     // MIs[0] round
     /* 2136105 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136108 */     // MIs[0] policy
     /* 2136108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136111 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136118 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2136121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136123 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136125 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136127 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136129 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136131 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136133 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136141 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136144 */     // GIR_Coverage, 17456,
     /* 2136144 */     GIR_EraseRootFromParent_Done,
     /* 2136145 */   // Label 28234: @2136145
     /* 2136145 */   GIM_Try, /*On fail goto*//*Label 28235*/ GIMT_Encode4(2136236), // Rule ID 17457 //
     /* 2136150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136153 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136158 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2136161 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2136164 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2136167 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136170 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2136173 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136184 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136188 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136192 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136196 */     // MIs[0] round
     /* 2136196 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136199 */     // MIs[0] policy
     /* 2136199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136202 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136209 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11219:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M1_E16_MASK),
     /* 2136212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136214 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136216 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136218 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136220 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136222 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136232 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136235 */     // GIR_Coverage, 17457,
     /* 2136235 */     GIR_EraseRootFromParent_Done,
     /* 2136236 */   // Label 28235: @2136236
     /* 2136236 */   GIM_Try, /*On fail goto*//*Label 28236*/ GIMT_Encode4(2136327), // Rule ID 17460 //
     /* 2136241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2136244 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136249 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2136252 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2136255 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2136258 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2136261 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136264 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136267 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136275 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136279 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136283 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136287 */     // MIs[0] round
     /* 2136287 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136290 */     // MIs[0] policy
     /* 2136290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136293 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136300 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2136303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136305 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136309 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136311 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136313 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136323 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136326 */     // GIR_Coverage, 17460,
     /* 2136326 */     GIR_EraseRootFromParent_Done,
     /* 2136327 */   // Label 28236: @2136327
     /* 2136327 */   GIM_Try, /*On fail goto*//*Label 28237*/ GIMT_Encode4(2136418), // Rule ID 17461 //
     /* 2136332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2136335 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136340 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2136343 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2136346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2136349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2136352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2136355 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136366 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136370 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2136374 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136378 */     // MIs[0] round
     /* 2136378 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136381 */     // MIs[0] policy
     /* 2136381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136391 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11219:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M1_E32_MASK),
     /* 2136394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136396 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136400 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136402 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136404 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136406 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2136414 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136417 */     // GIR_Coverage, 17461,
     /* 2136417 */     GIR_EraseRootFromParent_Done,
     /* 2136418 */   // Label 28237: @2136418
     /* 2136418 */   GIM_Try, /*On fail goto*//*Label 28238*/ GIMT_Encode4(2136509), // Rule ID 17464 //
     /* 2136423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2136426 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136431 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2136434 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2136437 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2136440 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2136443 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136446 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136461 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136465 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136469 */     // MIs[0] round
     /* 2136469 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136472 */     // MIs[0] policy
     /* 2136472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136482 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2136485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136487 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136489 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136491 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136493 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136495 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136497 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136505 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136508 */     // GIR_Coverage, 17464,
     /* 2136508 */     GIR_EraseRootFromParent_Done,
     /* 2136509 */   // Label 28238: @2136509
     /* 2136509 */   GIM_Try, /*On fail goto*//*Label 28239*/ GIMT_Encode4(2136600), // Rule ID 17465 //
     /* 2136514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2136517 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136522 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2136525 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2136528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2136531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2136534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2136537 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136540 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2136544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136548 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2136552 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2136556 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136560 */     // MIs[0] round
     /* 2136560 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136563 */     // MIs[0] policy
     /* 2136563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136566 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136573 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11219:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M1_E64_MASK),
     /* 2136576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136578 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136580 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136582 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136584 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136586 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2136596 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136599 */     // GIR_Coverage, 17465,
     /* 2136599 */     GIR_EraseRootFromParent_Done,
     /* 2136600 */   // Label 28239: @2136600
     /* 2136600 */   GIM_Try, /*On fail goto*//*Label 28240*/ GIMT_Encode4(2136691), // Rule ID 17468 //
     /* 2136605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136608 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136613 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2136616 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2136619 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2136622 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136625 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136628 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136647 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136651 */     // MIs[0] round
     /* 2136651 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136654 */     // MIs[0] policy
     /* 2136654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136657 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136664 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2136667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136669 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136673 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136675 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136677 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136679 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136687 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136690 */     // GIR_Coverage, 17468,
     /* 2136690 */     GIR_EraseRootFromParent_Done,
     /* 2136691 */   // Label 28240: @2136691
     /* 2136691 */   GIM_Try, /*On fail goto*//*Label 28241*/ GIMT_Encode4(2136782), // Rule ID 17469 //
     /* 2136696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136699 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136704 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2136707 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2136710 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2136713 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136716 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2136719 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2136726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136730 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2136734 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136738 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136742 */     // MIs[0] round
     /* 2136742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136745 */     // MIs[0] policy
     /* 2136745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136748 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136755 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M2_E16_MASK),
     /* 2136758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136760 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136762 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136764 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136766 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136768 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136778 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136781 */     // GIR_Coverage, 17469,
     /* 2136781 */     GIR_EraseRootFromParent_Done,
     /* 2136782 */   // Label 28241: @2136782
     /* 2136782 */   GIM_Try, /*On fail goto*//*Label 28242*/ GIMT_Encode4(2136873), // Rule ID 17472 //
     /* 2136787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136790 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136795 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2136798 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2136801 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2136804 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136807 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136810 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136813 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136821 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136825 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136829 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136833 */     // MIs[0] round
     /* 2136833 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136836 */     // MIs[0] policy
     /* 2136836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136839 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136846 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2136846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2136849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136851 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136855 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136857 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136859 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136869 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136872 */     // GIR_Coverage, 17472,
     /* 2136872 */     GIR_EraseRootFromParent_Done,
     /* 2136873 */   // Label 28242: @2136873
     /* 2136873 */   GIM_Try, /*On fail goto*//*Label 28243*/ GIMT_Encode4(2136964), // Rule ID 17473 //
     /* 2136878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2136881 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136886 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2136889 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2136892 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2136895 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136898 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2136901 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2136904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2136908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136912 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2136916 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2136920 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2136924 */     // MIs[0] round
     /* 2136924 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2136927 */     // MIs[0] policy
     /* 2136927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2136930 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2136937 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2136937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M4_E16_MASK),
     /* 2136940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2136942 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2136944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2136946 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2136948 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2136950 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2136952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2136957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2136960 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2136962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2136963 */     // GIR_Coverage, 17473,
     /* 2136963 */     GIR_EraseRootFromParent_Done,
     /* 2136964 */   // Label 28243: @2136964
     /* 2136964 */   GIM_Try, /*On fail goto*//*Label 28244*/ GIMT_Encode4(2137055), // Rule ID 17476 //
     /* 2136969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2136972 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2136977 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2136980 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2136983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2136986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2136989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2136992 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2136995 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2136999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137003 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137007 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137011 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137015 */     // MIs[0] round
     /* 2137015 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137018 */     // MIs[0] policy
     /* 2137018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137021 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137028 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2137031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137033 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137037 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137039 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137041 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137051 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137054 */     // GIR_Coverage, 17476,
     /* 2137054 */     GIR_EraseRootFromParent_Done,
     /* 2137055 */   // Label 28244: @2137055
     /* 2137055 */   GIM_Try, /*On fail goto*//*Label 28245*/ GIMT_Encode4(2137146), // Rule ID 17477 //
     /* 2137060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2137063 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137068 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2137071 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2137074 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2137077 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2137080 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2137083 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137086 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137090 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137098 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2137102 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137106 */     // MIs[0] round
     /* 2137106 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137109 */     // MIs[0] policy
     /* 2137109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137112 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137119 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR16_M8_E16_MASK),
     /* 2137122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137124 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137126 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137128 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137130 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137132 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137134 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2137142 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137145 */     // GIR_Coverage, 17477,
     /* 2137145 */     GIR_EraseRootFromParent_Done,
     /* 2137146 */   // Label 28245: @2137146
     /* 2137146 */   GIM_Try, /*On fail goto*//*Label 28246*/ GIMT_Encode4(2137237), // Rule ID 17480 //
     /* 2137151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137154 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137159 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137162 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137165 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2137168 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137171 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137174 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137177 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137189 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137193 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137197 */     // MIs[0] round
     /* 2137197 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137200 */     // MIs[0] policy
     /* 2137200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137210 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2137213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137215 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137219 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137221 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137223 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137225 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137233 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137236 */     // GIR_Coverage, 17480,
     /* 2137236 */     GIR_EraseRootFromParent_Done,
     /* 2137237 */   // Label 28246: @2137237
     /* 2137237 */   GIM_Try, /*On fail goto*//*Label 28247*/ GIMT_Encode4(2137328), // Rule ID 17481 //
     /* 2137242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137245 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137250 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2137253 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2137256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2137259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137265 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137272 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137276 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137280 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137284 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137288 */     // MIs[0] round
     /* 2137288 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137291 */     // MIs[0] policy
     /* 2137291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137294 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137301 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M2_E32_MASK),
     /* 2137304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137306 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137308 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137310 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137312 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137314 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137324 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137327 */     // GIR_Coverage, 17481,
     /* 2137327 */     GIR_EraseRootFromParent_Done,
     /* 2137328 */   // Label 28247: @2137328
     /* 2137328 */   GIM_Try, /*On fail goto*//*Label 28248*/ GIMT_Encode4(2137419), // Rule ID 17484 //
     /* 2137333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137336 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137341 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2137344 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2137347 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2137350 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137353 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137356 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137375 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137379 */     // MIs[0] round
     /* 2137379 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137382 */     // MIs[0] policy
     /* 2137382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137385 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137392 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2137395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137397 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137401 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137403 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137405 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137415 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137418 */     // GIR_Coverage, 17484,
     /* 2137418 */     GIR_EraseRootFromParent_Done,
     /* 2137419 */   // Label 28248: @2137419
     /* 2137419 */   GIM_Try, /*On fail goto*//*Label 28249*/ GIMT_Encode4(2137510), // Rule ID 17485 //
     /* 2137424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137427 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137432 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2137435 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2137438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2137441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2137447 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137450 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137454 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137462 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137466 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137470 */     // MIs[0] round
     /* 2137470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137473 */     // MIs[0] policy
     /* 2137473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137476 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137483 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137483 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M4_E32_MASK),
     /* 2137486 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137488 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137492 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137494 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137496 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137498 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137506 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137509 */     // GIR_Coverage, 17485,
     /* 2137509 */     GIR_EraseRootFromParent_Done,
     /* 2137510 */   // Label 28249: @2137510
     /* 2137510 */   GIM_Try, /*On fail goto*//*Label 28250*/ GIMT_Encode4(2137601), // Rule ID 17488 //
     /* 2137515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2137518 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137523 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137526 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2137532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137538 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137549 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137553 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137557 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137561 */     // MIs[0] round
     /* 2137561 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137564 */     // MIs[0] policy
     /* 2137564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137567 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137574 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2137577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137579 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137581 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137583 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137585 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137587 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137597 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137600 */     // GIR_Coverage, 17488,
     /* 2137600 */     GIR_EraseRootFromParent_Done,
     /* 2137601 */   // Label 28250: @2137601
     /* 2137601 */   GIM_Try, /*On fail goto*//*Label 28251*/ GIMT_Encode4(2137692), // Rule ID 17489 //
     /* 2137606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2137609 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137614 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2137617 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2137620 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2137623 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2137626 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2137629 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137632 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2137636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137640 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2137644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2137648 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137652 */     // MIs[0] round
     /* 2137652 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137655 */     // MIs[0] policy
     /* 2137655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137658 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137665 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR32_M8_E32_MASK),
     /* 2137668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137670 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137672 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137674 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137676 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137678 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137680 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2137688 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137691 */     // GIR_Coverage, 17489,
     /* 2137691 */     GIR_EraseRootFromParent_Done,
     /* 2137692 */   // Label 28251: @2137692
     /* 2137692 */   GIM_Try, /*On fail goto*//*Label 28252*/ GIMT_Encode4(2137783), // Rule ID 17492 //
     /* 2137697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137700 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137705 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2137708 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2137711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2137714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137720 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137723 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137731 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137735 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137739 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137743 */     // MIs[0] round
     /* 2137743 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137746 */     // MIs[0] policy
     /* 2137746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137749 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137756 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2137759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137761 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137763 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137765 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137767 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137769 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137771 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137779 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137782 */     // GIR_Coverage, 17492,
     /* 2137782 */     GIR_EraseRootFromParent_Done,
     /* 2137783 */   // Label 28252: @2137783
     /* 2137783 */   GIM_Try, /*On fail goto*//*Label 28253*/ GIMT_Encode4(2137874), // Rule ID 17493 //
     /* 2137788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137791 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137796 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2137799 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2137802 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2137805 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137808 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2137811 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2137818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2137826 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137830 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137834 */     // MIs[0] round
     /* 2137834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137837 */     // MIs[0] policy
     /* 2137837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137847 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11219:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2137847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M2_E64_MASK),
     /* 2137850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137852 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137856 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137858 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137860 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137870 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137873 */     // GIR_Coverage, 17493,
     /* 2137873 */     GIR_EraseRootFromParent_Done,
     /* 2137874 */   // Label 28253: @2137874
     /* 2137874 */   GIM_Try, /*On fail goto*//*Label 28254*/ GIMT_Encode4(2137965), // Rule ID 17496 //
     /* 2137879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2137882 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137887 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2137890 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137893 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137896 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137899 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137902 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2137905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2137909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137913 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2137917 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2137921 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2137925 */     // MIs[0] round
     /* 2137925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2137928 */     // MIs[0] policy
     /* 2137928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2137931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2137938 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2137938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2137941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2137943 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2137945 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2137947 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2137949 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2137951 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2137953 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2137958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2137961 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2137963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2137964 */     // GIR_Coverage, 17496,
     /* 2137964 */     GIR_EraseRootFromParent_Done,
     /* 2137965 */   // Label 28254: @2137965
     /* 2137965 */   GIM_Try, /*On fail goto*//*Label 28255*/ GIMT_Encode4(2138056), // Rule ID 17497 //
     /* 2137970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2137973 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2137978 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2137981 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2137984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2137987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2137990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2137993 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2137996 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2138000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2138008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138012 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138016 */     // MIs[0] round
     /* 2138016 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138019 */     // MIs[0] policy
     /* 2138019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138022 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138029 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11219:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M4_E64_MASK),
     /* 2138032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138034 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138038 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138040 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138042 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138052 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138055 */     // GIR_Coverage, 17497,
     /* 2138055 */     GIR_EraseRootFromParent_Done,
     /* 2138056 */   // Label 28255: @2138056
     /* 2138056 */   GIM_Try, /*On fail goto*//*Label 28256*/ GIMT_Encode4(2138147), // Rule ID 17500 //
     /* 2138061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2138064 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2138069 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138072 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138075 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2138078 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2138081 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138084 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138095 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138099 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138103 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138107 */     // MIs[0] round
     /* 2138107 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138110 */     // MIs[0] policy
     /* 2138110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138113 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138120 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2138123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138125 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138129 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138131 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138133 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138135 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138143 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138146 */     // GIR_Coverage, 17500,
     /* 2138146 */     GIR_EraseRootFromParent_Done,
     /* 2138147 */   // Label 28256: @2138147
     /* 2138147 */   GIM_Try, /*On fail goto*//*Label 28257*/ GIMT_Encode4(2138238), // Rule ID 17501 //
     /* 2138152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2138155 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmul_mask),
     /* 2138160 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2138163 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2138166 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2138169 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2138172 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2138175 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138178 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2138182 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138186 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2138190 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2138194 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138198 */     // MIs[0] round
     /* 2138198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138201 */     // MIs[0] policy
     /* 2138201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138211 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11219:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMUL_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VFPR64_M8_E64_MASK),
     /* 2138214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138216 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138218 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138220 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138222 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138224 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2138234 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138237 */     // GIR_Coverage, 17501,
     /* 2138237 */     GIR_EraseRootFromParent_Done,
     /* 2138238 */   // Label 28257: @2138238
     /* 2138238 */   GIM_Try, /*On fail goto*//*Label 28258*/ GIMT_Encode4(2138329), // Rule ID 17504 //
     /* 2138243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138246 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138251 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2138254 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2138257 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2138260 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2138263 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138266 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138277 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138281 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138285 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138289 */     // MIs[0] round
     /* 2138289 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138292 */     // MIs[0] policy
     /* 2138292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138302 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2138305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138307 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138309 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138311 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138313 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138315 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138325 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138328 */     // GIR_Coverage, 17504,
     /* 2138328 */     GIR_EraseRootFromParent_Done,
     /* 2138329 */   // Label 28258: @2138329
     /* 2138329 */   GIM_Try, /*On fail goto*//*Label 28259*/ GIMT_Encode4(2138420), // Rule ID 17505 //
     /* 2138334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138337 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138342 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2138345 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2138348 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2138351 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2138354 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138357 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138364 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138368 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138376 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138380 */     // MIs[0] round
     /* 2138380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138383 */     // MIs[0] policy
     /* 2138383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138393 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16_MASK),
     /* 2138396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138398 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138402 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138404 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138406 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138408 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138416 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138419 */     // GIR_Coverage, 17505,
     /* 2138419 */     GIR_EraseRootFromParent_Done,
     /* 2138420 */   // Label 28259: @2138420
     /* 2138420 */   GIM_Try, /*On fail goto*//*Label 28260*/ GIMT_Encode4(2138511), // Rule ID 17508 //
     /* 2138425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138428 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138433 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138436 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138439 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138442 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2138445 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138448 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138451 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138467 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138471 */     // MIs[0] round
     /* 2138471 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138474 */     // MIs[0] policy
     /* 2138474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138477 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138484 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2138487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138489 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138493 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138495 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138497 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138499 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138507 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138510 */     // GIR_Coverage, 17508,
     /* 2138510 */     GIR_EraseRootFromParent_Done,
     /* 2138511 */   // Label 28260: @2138511
     /* 2138511 */   GIM_Try, /*On fail goto*//*Label 28261*/ GIMT_Encode4(2138602), // Rule ID 17509 //
     /* 2138516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138519 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138524 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2138527 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2138530 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2138533 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2138536 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138539 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138558 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138562 */     // MIs[0] round
     /* 2138562 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138565 */     // MIs[0] policy
     /* 2138565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138568 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138575 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16_MASK),
     /* 2138578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138580 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138584 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138586 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138588 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138590 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138598 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138601 */     // GIR_Coverage, 17509,
     /* 2138601 */     GIR_EraseRootFromParent_Done,
     /* 2138602 */   // Label 28261: @2138602
     /* 2138602 */   GIM_Try, /*On fail goto*//*Label 28262*/ GIMT_Encode4(2138693), // Rule ID 17512 //
     /* 2138607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138610 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138615 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138618 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138630 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138633 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138637 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138641 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138645 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138649 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138653 */     // MIs[0] round
     /* 2138653 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138656 */     // MIs[0] policy
     /* 2138656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138666 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2138669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138671 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138673 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138675 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138677 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138679 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138681 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138689 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138692 */     // GIR_Coverage, 17512,
     /* 2138692 */     GIR_EraseRootFromParent_Done,
     /* 2138693 */   // Label 28262: @2138693
     /* 2138693 */   GIM_Try, /*On fail goto*//*Label 28263*/ GIMT_Encode4(2138784), // Rule ID 17513 //
     /* 2138698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2138701 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138706 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2138709 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2138712 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2138715 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2138718 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2138721 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138724 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138736 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138740 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138744 */     // MIs[0] round
     /* 2138744 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138747 */     // MIs[0] policy
     /* 2138747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138757 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32_MASK),
     /* 2138760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138762 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138764 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138766 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138768 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138770 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138772 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2138780 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138783 */     // GIR_Coverage, 17513,
     /* 2138783 */     GIR_EraseRootFromParent_Done,
     /* 2138784 */   // Label 28263: @2138784
     /* 2138784 */   GIM_Try, /*On fail goto*//*Label 28264*/ GIMT_Encode4(2138875), // Rule ID 17516 //
     /* 2138789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2138792 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138797 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2138800 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138803 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138806 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2138809 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138812 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138823 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138831 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138835 */     // MIs[0] round
     /* 2138835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138838 */     // MIs[0] policy
     /* 2138838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138841 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138848 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2138848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2138851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138853 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138857 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138859 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138861 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138871 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138874 */     // GIR_Coverage, 17516,
     /* 2138874 */     GIR_EraseRootFromParent_Done,
     /* 2138875 */   // Label 28264: @2138875
     /* 2138875 */   GIM_Try, /*On fail goto*//*Label 28265*/ GIMT_Encode4(2138966), // Rule ID 17517 //
     /* 2138880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2138883 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138888 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2138891 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2138894 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2138897 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2138900 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2138903 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2138906 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2138910 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138918 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2138922 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2138926 */     // MIs[0] round
     /* 2138926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2138929 */     // MIs[0] policy
     /* 2138929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2138932 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2138939 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2138939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16_MASK),
     /* 2138942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2138944 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2138946 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2138948 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2138950 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2138952 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2138954 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2138959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2138962 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2138964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2138965 */     // GIR_Coverage, 17517,
     /* 2138965 */     GIR_EraseRootFromParent_Done,
     /* 2138966 */   // Label 28265: @2138966
     /* 2138966 */   GIM_Try, /*On fail goto*//*Label 28266*/ GIMT_Encode4(2139057), // Rule ID 17520 //
     /* 2138971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2138974 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2138979 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2138982 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2138985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2138988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2138991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2138994 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2138997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139013 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139017 */     // MIs[0] round
     /* 2139017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139020 */     // MIs[0] policy
     /* 2139020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139023 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139030 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2139033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139035 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139037 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139039 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139041 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139043 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139053 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139056 */     // GIR_Coverage, 17520,
     /* 2139056 */     GIR_EraseRootFromParent_Done,
     /* 2139057 */   // Label 28266: @2139057
     /* 2139057 */   GIM_Try, /*On fail goto*//*Label 28267*/ GIMT_Encode4(2139148), // Rule ID 17521 //
     /* 2139062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139065 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139070 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2139073 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2139076 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2139079 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2139082 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2139085 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139088 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139092 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139096 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139100 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139104 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139108 */     // MIs[0] round
     /* 2139108 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139111 */     // MIs[0] policy
     /* 2139111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139114 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139121 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32_MASK),
     /* 2139124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139126 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139128 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139130 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139132 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139134 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139136 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139144 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139147 */     // GIR_Coverage, 17521,
     /* 2139147 */     GIR_EraseRootFromParent_Done,
     /* 2139148 */   // Label 28267: @2139148
     /* 2139148 */   GIM_Try, /*On fail goto*//*Label 28268*/ GIMT_Encode4(2139239), // Rule ID 17524 //
     /* 2139153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2139156 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139161 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139164 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2139173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139176 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139187 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139191 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139195 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139199 */     // MIs[0] round
     /* 2139199 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139202 */     // MIs[0] policy
     /* 2139202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139205 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139212 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2139215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139217 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139219 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139221 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139223 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139225 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139227 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139235 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139238 */     // GIR_Coverage, 17524,
     /* 2139238 */     GIR_EraseRootFromParent_Done,
     /* 2139239 */   // Label 28268: @2139239
     /* 2139239 */   GIM_Try, /*On fail goto*//*Label 28269*/ GIMT_Encode4(2139330), // Rule ID 17525 //
     /* 2139244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2139247 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139252 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2139255 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2139258 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2139261 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2139264 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2139267 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2139274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139282 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2139286 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139290 */     // MIs[0] round
     /* 2139290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139293 */     // MIs[0] policy
     /* 2139293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139296 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139303 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64_MASK),
     /* 2139306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139308 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139312 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139314 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139316 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2139326 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139329 */     // GIR_Coverage, 17525,
     /* 2139329 */     GIR_EraseRootFromParent_Done,
     /* 2139330 */   // Label 28269: @2139330
     /* 2139330 */   GIM_Try, /*On fail goto*//*Label 28270*/ GIMT_Encode4(2139421), // Rule ID 17528 //
     /* 2139335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139338 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139343 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2139346 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139349 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139352 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2139355 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139358 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139369 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139373 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139377 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139381 */     // MIs[0] round
     /* 2139381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139384 */     // MIs[0] policy
     /* 2139384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139387 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139394 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2139397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139399 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139401 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139403 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139405 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139407 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139417 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139420 */     // GIR_Coverage, 17528,
     /* 2139420 */     GIR_EraseRootFromParent_Done,
     /* 2139421 */   // Label 28270: @2139421
     /* 2139421 */   GIM_Try, /*On fail goto*//*Label 28271*/ GIMT_Encode4(2139512), // Rule ID 17529 //
     /* 2139426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139429 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139434 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2139437 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2139440 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2139443 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2139446 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2139449 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139456 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139460 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139468 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139472 */     // MIs[0] round
     /* 2139472 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139475 */     // MIs[0] policy
     /* 2139475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139478 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139485 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16_MASK),
     /* 2139488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139490 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139492 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139494 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139496 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139498 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139500 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139508 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139511 */     // GIR_Coverage, 17529,
     /* 2139511 */     GIR_EraseRootFromParent_Done,
     /* 2139512 */   // Label 28271: @2139512
     /* 2139512 */   GIM_Try, /*On fail goto*//*Label 28272*/ GIMT_Encode4(2139603), // Rule ID 17532 //
     /* 2139517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139520 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139525 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2139528 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2139531 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139534 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2139537 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139540 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139543 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139547 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139551 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139555 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139559 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139563 */     // MIs[0] round
     /* 2139563 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139566 */     // MIs[0] policy
     /* 2139566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139569 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139576 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2139579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139581 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139583 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139585 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139587 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139589 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139599 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139602 */     // GIR_Coverage, 17532,
     /* 2139602 */     GIR_EraseRootFromParent_Done,
     /* 2139603 */   // Label 28272: @2139603
     /* 2139603 */   GIM_Try, /*On fail goto*//*Label 28273*/ GIMT_Encode4(2139694), // Rule ID 17533 //
     /* 2139608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139611 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139616 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2139619 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2139622 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2139625 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2139628 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2139631 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139634 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2139638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2139650 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139654 */     // MIs[0] round
     /* 2139654 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139657 */     // MIs[0] policy
     /* 2139657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139660 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139667 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16_MASK),
     /* 2139670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139672 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139676 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139678 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139680 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139682 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139690 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139693 */     // GIR_Coverage, 17533,
     /* 2139693 */     GIR_EraseRootFromParent_Done,
     /* 2139694 */   // Label 28273: @2139694
     /* 2139694 */   GIM_Try, /*On fail goto*//*Label 28274*/ GIMT_Encode4(2139785), // Rule ID 17536 //
     /* 2139699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2139702 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139707 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2139710 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2139713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2139716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2139719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2139722 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139729 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139733 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139737 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139741 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139745 */     // MIs[0] round
     /* 2139745 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139748 */     // MIs[0] policy
     /* 2139748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139751 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139758 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2139761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139763 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139765 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139767 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139769 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139771 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139781 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139784 */     // GIR_Coverage, 17536,
     /* 2139784 */     GIR_EraseRootFromParent_Done,
     /* 2139785 */   // Label 28274: @2139785
     /* 2139785 */   GIM_Try, /*On fail goto*//*Label 28275*/ GIMT_Encode4(2139876), // Rule ID 17537 //
     /* 2139790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2139793 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139798 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2139801 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2139804 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2139807 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2139810 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2139813 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139816 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2139820 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139824 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139828 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2139832 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139836 */     // MIs[0] round
     /* 2139836 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139839 */     // MIs[0] policy
     /* 2139839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139849 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2139849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16_MASK),
     /* 2139852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139854 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139856 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139858 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139860 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139862 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139864 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2139872 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139875 */     // GIR_Coverage, 17537,
     /* 2139875 */     GIR_EraseRootFromParent_Done,
     /* 2139876 */   // Label 28275: @2139876
     /* 2139876 */   GIM_Try, /*On fail goto*//*Label 28276*/ GIMT_Encode4(2139967), // Rule ID 17540 //
     /* 2139881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2139884 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139889 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2139892 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2139895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2139898 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2139901 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139904 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2139907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2139911 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139915 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139919 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2139923 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2139927 */     // MIs[0] round
     /* 2139927 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2139930 */     // MIs[0] policy
     /* 2139930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2139933 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2139940 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2139940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2139943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2139945 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2139947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2139949 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2139951 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2139953 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2139955 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2139960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2139963 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2139965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2139966 */     // GIR_Coverage, 17540,
     /* 2139966 */     GIR_EraseRootFromParent_Done,
     /* 2139967 */   // Label 28276: @2139967
     /* 2139967 */   GIM_Try, /*On fail goto*//*Label 28277*/ GIMT_Encode4(2140058), // Rule ID 17541 //
     /* 2139972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2139975 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2139980 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2139983 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2139986 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2139989 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2139992 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2139995 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2139998 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140014 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140018 */     // MIs[0] round
     /* 2140018 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140021 */     // MIs[0] policy
     /* 2140021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140024 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140031 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32_MASK),
     /* 2140034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140036 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140038 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140040 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140042 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140044 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140054 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140057 */     // GIR_Coverage, 17541,
     /* 2140057 */     GIR_EraseRootFromParent_Done,
     /* 2140058 */   // Label 28277: @2140058
     /* 2140058 */   GIM_Try, /*On fail goto*//*Label 28278*/ GIMT_Encode4(2140149), // Rule ID 17544 //
     /* 2140063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140066 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140071 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140074 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140077 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140080 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140083 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140086 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140089 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140097 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140101 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140105 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140109 */     // MIs[0] round
     /* 2140109 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140112 */     // MIs[0] policy
     /* 2140112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140115 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140122 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2140125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140127 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140129 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140131 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140133 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140135 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140145 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140148 */     // GIR_Coverage, 17544,
     /* 2140148 */     GIR_EraseRootFromParent_Done,
     /* 2140149 */   // Label 28278: @2140149
     /* 2140149 */   GIM_Try, /*On fail goto*//*Label 28279*/ GIMT_Encode4(2140240), // Rule ID 17545 //
     /* 2140154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140157 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140162 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2140165 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2140168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2140171 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2140174 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140177 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140180 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140188 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140192 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140196 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140200 */     // MIs[0] round
     /* 2140200 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140203 */     // MIs[0] policy
     /* 2140203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140213 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32_MASK),
     /* 2140216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140218 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140222 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140224 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140226 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140236 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140239 */     // GIR_Coverage, 17545,
     /* 2140239 */     GIR_EraseRootFromParent_Done,
     /* 2140240 */   // Label 28279: @2140240
     /* 2140240 */   GIM_Try, /*On fail goto*//*Label 28280*/ GIMT_Encode4(2140331), // Rule ID 17548 //
     /* 2140245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2140248 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140253 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2140256 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2140259 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2140262 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2140265 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140268 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140279 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140283 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140287 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140291 */     // MIs[0] round
     /* 2140291 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140294 */     // MIs[0] policy
     /* 2140294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140297 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140304 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2140307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140309 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140311 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140313 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140315 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140317 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140327 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140330 */     // GIR_Coverage, 17548,
     /* 2140330 */     GIR_EraseRootFromParent_Done,
     /* 2140331 */   // Label 28280: @2140331
     /* 2140331 */   GIM_Try, /*On fail goto*//*Label 28281*/ GIMT_Encode4(2140422), // Rule ID 17549 //
     /* 2140336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2140339 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140344 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2140347 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2140350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2140353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2140356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2140359 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140374 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140378 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140382 */     // MIs[0] round
     /* 2140382 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140385 */     // MIs[0] policy
     /* 2140385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140395 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32_MASK),
     /* 2140398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140400 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140404 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140406 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140408 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140410 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2140418 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140420 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140421 */     // GIR_Coverage, 17549,
     /* 2140421 */     GIR_EraseRootFromParent_Done,
     /* 2140422 */   // Label 28281: @2140422
     /* 2140422 */   GIM_Try, /*On fail goto*//*Label 28282*/ GIMT_Encode4(2140513), // Rule ID 17552 //
     /* 2140427 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140430 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140435 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2140438 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2140441 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2140444 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2140447 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140450 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140457 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140461 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140465 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140469 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140473 */     // MIs[0] round
     /* 2140473 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140476 */     // MIs[0] policy
     /* 2140476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140479 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140486 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2140489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140491 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140493 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140495 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140497 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140499 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140501 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140509 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140511 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140512 */     // GIR_Coverage, 17552,
     /* 2140512 */     GIR_EraseRootFromParent_Done,
     /* 2140513 */   // Label 28282: @2140513
     /* 2140513 */   GIM_Try, /*On fail goto*//*Label 28283*/ GIMT_Encode4(2140604), // Rule ID 17553 //
     /* 2140518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140521 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140526 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2140529 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2140532 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2140535 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2140538 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2140541 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2140548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140556 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2140560 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140564 */     // MIs[0] round
     /* 2140564 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140567 */     // MIs[0] policy
     /* 2140567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140577 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64_MASK),
     /* 2140580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140582 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140584 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140586 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140588 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140590 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140600 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140603 */     // GIR_Coverage, 17553,
     /* 2140603 */     GIR_EraseRootFromParent_Done,
     /* 2140604 */   // Label 28283: @2140604
     /* 2140604 */   GIM_Try, /*On fail goto*//*Label 28284*/ GIMT_Encode4(2140695), // Rule ID 17556 //
     /* 2140609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140612 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140617 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140620 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140623 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2140626 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2140629 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140632 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140635 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140643 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140647 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140651 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140655 */     // MIs[0] round
     /* 2140655 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140658 */     // MIs[0] policy
     /* 2140658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140661 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140668 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2140671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140673 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140677 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140679 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140681 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140683 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140691 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140694 */     // GIR_Coverage, 17556,
     /* 2140694 */     GIR_EraseRootFromParent_Done,
     /* 2140695 */   // Label 28284: @2140695
     /* 2140695 */   GIM_Try, /*On fail goto*//*Label 28285*/ GIMT_Encode4(2140786), // Rule ID 17557 //
     /* 2140700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140703 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140708 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2140711 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2140714 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2140717 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2140720 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2140723 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2140730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2140742 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140746 */     // MIs[0] round
     /* 2140746 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140749 */     // MIs[0] policy
     /* 2140749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140752 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140759 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64_MASK),
     /* 2140762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140764 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140768 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140770 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140772 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140782 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140785 */     // GIR_Coverage, 17557,
     /* 2140785 */     GIR_EraseRootFromParent_Done,
     /* 2140786 */   // Label 28285: @2140786
     /* 2140786 */   GIM_Try, /*On fail goto*//*Label 28286*/ GIMT_Encode4(2140877), // Rule ID 17560 //
     /* 2140791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2140794 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140799 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2140802 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2140811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140814 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140817 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140821 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140825 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140829 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140833 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140837 */     // MIs[0] round
     /* 2140837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140840 */     // MIs[0] policy
     /* 2140840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140843 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140850 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2140850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2140853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140855 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140859 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140861 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140863 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140865 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140873 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140876 */     // GIR_Coverage, 17560,
     /* 2140876 */     GIR_EraseRootFromParent_Done,
     /* 2140877 */   // Label 28286: @2140877
     /* 2140877 */   GIM_Try, /*On fail goto*//*Label 28287*/ GIMT_Encode4(2140968), // Rule ID 17561 //
     /* 2140882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2140885 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140890 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2140893 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2140896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2140899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2140902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2140905 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2140908 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2140912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140920 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2140924 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2140928 */     // MIs[0] round
     /* 2140928 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2140931 */     // MIs[0] policy
     /* 2140931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2140934 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2140941 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2140941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64_MASK),
     /* 2140944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2140946 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2140948 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2140950 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2140952 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2140954 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2140956 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2140961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2140964 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2140966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2140967 */     // GIR_Coverage, 17561,
     /* 2140967 */     GIR_EraseRootFromParent_Done,
     /* 2140968 */   // Label 28287: @2140968
     /* 2140968 */   GIM_Try, /*On fail goto*//*Label 28288*/ GIMT_Encode4(2141059), // Rule ID 17564 //
     /* 2140973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2140976 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2140981 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2140984 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2140987 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2140990 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2140993 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2140996 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2140999 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141011 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141015 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141019 */     // MIs[0] round
     /* 2141019 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141022 */     // MIs[0] policy
     /* 2141022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141025 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141032 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2141035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141037 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141039 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141041 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141043 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141045 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141047 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141055 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141058 */     // GIR_Coverage, 17564,
     /* 2141058 */     GIR_EraseRootFromParent_Done,
     /* 2141059 */   // Label 28288: @2141059
     /* 2141059 */   GIM_Try, /*On fail goto*//*Label 28289*/ GIMT_Encode4(2141150), // Rule ID 17565 //
     /* 2141064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141067 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141072 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2141075 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2141078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2141081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2141084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141087 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141090 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141102 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141106 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141110 */     // MIs[0] round
     /* 2141110 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141113 */     // MIs[0] policy
     /* 2141113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141116 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141123 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF4_E16_MASK),
     /* 2141126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141128 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141130 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141132 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141134 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141136 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141138 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141146 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141149 */     // GIR_Coverage, 17565,
     /* 2141149 */     GIR_EraseRootFromParent_Done,
     /* 2141150 */   // Label 28289: @2141150
     /* 2141150 */   GIM_Try, /*On fail goto*//*Label 28290*/ GIMT_Encode4(2141241), // Rule ID 17568 //
     /* 2141155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141158 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141163 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2141166 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2141169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2141172 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2141175 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141178 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141193 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141197 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141201 */     // MIs[0] round
     /* 2141201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141204 */     // MIs[0] policy
     /* 2141204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141207 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141214 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2141217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141219 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141223 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141225 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141227 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141237 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141240 */     // GIR_Coverage, 17568,
     /* 2141240 */     GIR_EraseRootFromParent_Done,
     /* 2141241 */   // Label 28290: @2141241
     /* 2141241 */   GIM_Try, /*On fail goto*//*Label 28291*/ GIMT_Encode4(2141332), // Rule ID 17569 //
     /* 2141246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141249 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141254 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2141257 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2141260 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2141263 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2141266 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141269 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141284 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141288 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141292 */     // MIs[0] round
     /* 2141292 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141295 */     // MIs[0] policy
     /* 2141295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141305 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_MF2_E16_MASK),
     /* 2141308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141310 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141312 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141314 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141316 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141318 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141320 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141328 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141331 */     // GIR_Coverage, 17569,
     /* 2141331 */     GIR_EraseRootFromParent_Done,
     /* 2141332 */   // Label 28291: @2141332
     /* 2141332 */   GIM_Try, /*On fail goto*//*Label 28292*/ GIMT_Encode4(2141423), // Rule ID 17572 //
     /* 2141337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141340 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141345 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2141348 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2141351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2141354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141360 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141375 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141379 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141383 */     // MIs[0] round
     /* 2141383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141386 */     // MIs[0] policy
     /* 2141386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141389 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141396 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2141399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141401 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141403 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141405 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141407 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141409 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141411 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141419 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141422 */     // GIR_Coverage, 17572,
     /* 2141422 */     GIR_EraseRootFromParent_Done,
     /* 2141423 */   // Label 28292: @2141423
     /* 2141423 */   GIM_Try, /*On fail goto*//*Label 28293*/ GIMT_Encode4(2141514), // Rule ID 17573 //
     /* 2141428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141431 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141436 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2141439 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2141442 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2141445 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141448 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141451 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141458 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141462 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141470 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141474 */     // MIs[0] round
     /* 2141474 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141477 */     // MIs[0] policy
     /* 2141477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141480 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141487 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141487 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_MF2_E32_MASK),
     /* 2141490 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141492 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141494 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141496 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141498 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141500 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141502 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141510 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141513 */     // GIR_Coverage, 17573,
     /* 2141513 */     GIR_EraseRootFromParent_Done,
     /* 2141514 */   // Label 28293: @2141514
     /* 2141514 */   GIM_Try, /*On fail goto*//*Label 28294*/ GIMT_Encode4(2141605), // Rule ID 17576 //
     /* 2141519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2141522 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141527 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2141530 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2141533 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2141536 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2141539 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141542 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141553 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141557 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141561 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141565 */     // MIs[0] round
     /* 2141565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141568 */     // MIs[0] policy
     /* 2141568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141578 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2141581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141583 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141587 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141589 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141591 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141601 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141604 */     // GIR_Coverage, 17576,
     /* 2141604 */     GIR_EraseRootFromParent_Done,
     /* 2141605 */   // Label 28294: @2141605
     /* 2141605 */   GIM_Try, /*On fail goto*//*Label 28295*/ GIMT_Encode4(2141696), // Rule ID 17577 //
     /* 2141610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2141613 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141618 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2141621 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2141624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2141627 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2141630 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2141633 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141636 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141640 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141644 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141648 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2141652 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141656 */     // MIs[0] round
     /* 2141656 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141659 */     // MIs[0] policy
     /* 2141659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141662 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141669 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11202:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M1_E16_MASK),
     /* 2141672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141674 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141676 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141678 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141680 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141682 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141684 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2141692 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141695 */     // GIR_Coverage, 17577,
     /* 2141695 */     GIR_EraseRootFromParent_Done,
     /* 2141696 */   // Label 28295: @2141696
     /* 2141696 */   GIM_Try, /*On fail goto*//*Label 28296*/ GIMT_Encode4(2141787), // Rule ID 17580 //
     /* 2141701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2141704 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141709 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2141712 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2141715 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2141718 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141721 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141724 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141735 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141739 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141743 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141747 */     // MIs[0] round
     /* 2141747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141750 */     // MIs[0] policy
     /* 2141750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141760 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2141763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141765 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141769 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141771 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141773 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141775 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141783 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141786 */     // GIR_Coverage, 17580,
     /* 2141786 */     GIR_EraseRootFromParent_Done,
     /* 2141787 */   // Label 28296: @2141787
     /* 2141787 */   GIM_Try, /*On fail goto*//*Label 28297*/ GIMT_Encode4(2141878), // Rule ID 17581 //
     /* 2141792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2141795 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141800 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2141803 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2141806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2141809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2141812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2141815 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2141818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2141834 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141838 */     // MIs[0] round
     /* 2141838 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141841 */     // MIs[0] policy
     /* 2141841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141844 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141851 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11202:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2141851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M1_E32_MASK),
     /* 2141854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141856 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141860 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141862 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141864 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141866 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2141874 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141877 */     // GIR_Coverage, 17581,
     /* 2141877 */     GIR_EraseRootFromParent_Done,
     /* 2141878 */   // Label 28297: @2141878
     /* 2141878 */   GIM_Try, /*On fail goto*//*Label 28298*/ GIMT_Encode4(2141969), // Rule ID 17584 //
     /* 2141883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2141886 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141891 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2141894 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2141897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2141900 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141903 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141906 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2141909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2141913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2141921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2141925 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2141929 */     // MIs[0] round
     /* 2141929 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2141932 */     // MIs[0] policy
     /* 2141932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2141935 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2141942 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2141942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2141945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2141947 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2141949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2141951 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2141953 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2141955 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2141957 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2141962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2141965 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2141967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2141968 */     // GIR_Coverage, 17584,
     /* 2141968 */     GIR_EraseRootFromParent_Done,
     /* 2141969 */   // Label 28298: @2141969
     /* 2141969 */   GIM_Try, /*On fail goto*//*Label 28299*/ GIMT_Encode4(2142060), // Rule ID 17585 //
     /* 2141974 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2141977 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2141982 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2141985 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2141988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2141991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2141994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2141997 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142000 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2142004 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2142012 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2142016 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142020 */     // MIs[0] round
     /* 2142020 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142023 */     // MIs[0] policy
     /* 2142023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142026 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142033 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11202:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M1_E64_MASK),
     /* 2142036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142038 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142040 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142042 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142044 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142046 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142048 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2142056 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142059 */     // GIR_Coverage, 17585,
     /* 2142059 */     GIR_EraseRootFromParent_Done,
     /* 2142060 */   // Label 28299: @2142060
     /* 2142060 */   GIM_Try, /*On fail goto*//*Label 28300*/ GIMT_Encode4(2142151), // Rule ID 17588 //
     /* 2142065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142068 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142073 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142076 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142079 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2142082 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2142085 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142088 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142099 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142103 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142107 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142111 */     // MIs[0] round
     /* 2142111 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142114 */     // MIs[0] policy
     /* 2142114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142124 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2142127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142129 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142131 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142133 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142135 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142137 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142139 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142147 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142150 */     // GIR_Coverage, 17588,
     /* 2142150 */     GIR_EraseRootFromParent_Done,
     /* 2142151 */   // Label 28300: @2142151
     /* 2142151 */   GIM_Try, /*On fail goto*//*Label 28301*/ GIMT_Encode4(2142242), // Rule ID 17589 //
     /* 2142156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142159 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142164 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2142167 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2142170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2142173 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2142176 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142179 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142186 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142190 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142198 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142202 */     // MIs[0] round
     /* 2142202 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142205 */     // MIs[0] policy
     /* 2142205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142215 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M2_E16_MASK),
     /* 2142218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142220 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142224 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142226 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142228 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142238 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142241 */     // GIR_Coverage, 17589,
     /* 2142241 */     GIR_EraseRootFromParent_Done,
     /* 2142242 */   // Label 28301: @2142242
     /* 2142242 */   GIM_Try, /*On fail goto*//*Label 28302*/ GIMT_Encode4(2142333), // Rule ID 17592 //
     /* 2142247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142250 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142255 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2142258 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2142261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2142264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2142267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142270 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142273 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142277 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142281 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142285 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142289 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142293 */     // MIs[0] round
     /* 2142293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142296 */     // MIs[0] policy
     /* 2142296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142306 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2142309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142311 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142313 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142315 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142317 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142319 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142321 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142329 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142332 */     // GIR_Coverage, 17592,
     /* 2142332 */     GIR_EraseRootFromParent_Done,
     /* 2142333 */   // Label 28302: @2142333
     /* 2142333 */   GIM_Try, /*On fail goto*//*Label 28303*/ GIMT_Encode4(2142424), // Rule ID 17593 //
     /* 2142338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142341 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142346 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2142349 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2142352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2142355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2142358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142361 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142364 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142380 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142384 */     // MIs[0] round
     /* 2142384 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142387 */     // MIs[0] policy
     /* 2142387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142397 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M4_E16_MASK),
     /* 2142400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142402 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142406 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142408 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142410 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142412 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142420 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142423 */     // GIR_Coverage, 17593,
     /* 2142423 */     GIR_EraseRootFromParent_Done,
     /* 2142424 */   // Label 28303: @2142424
     /* 2142424 */   GIM_Try, /*On fail goto*//*Label 28304*/ GIMT_Encode4(2142515), // Rule ID 17596 //
     /* 2142429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2142432 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142437 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2142440 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2142443 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2142446 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2142449 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2142452 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142455 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142463 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142467 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142471 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142475 */     // MIs[0] round
     /* 2142475 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142478 */     // MIs[0] policy
     /* 2142478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142481 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142488 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2142491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142493 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142495 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142497 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142499 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142501 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142503 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142511 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142514 */     // GIR_Coverage, 17596,
     /* 2142514 */     GIR_EraseRootFromParent_Done,
     /* 2142515 */   // Label 28304: @2142515
     /* 2142515 */   GIM_Try, /*On fail goto*//*Label 28305*/ GIMT_Encode4(2142606), // Rule ID 17597 //
     /* 2142520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2142523 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142528 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2142531 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2142534 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2142537 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2142540 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2142543 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2142550 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142554 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2142558 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2142562 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142566 */     // MIs[0] round
     /* 2142566 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142569 */     // MIs[0] policy
     /* 2142569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142579 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR16_M8_E16_MASK),
     /* 2142582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142584 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142588 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142590 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142592 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142594 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2142602 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142605 */     // GIR_Coverage, 17597,
     /* 2142605 */     GIR_EraseRootFromParent_Done,
     /* 2142606 */   // Label 28305: @2142606
     /* 2142606 */   GIM_Try, /*On fail goto*//*Label 28306*/ GIMT_Encode4(2142697), // Rule ID 17600 //
     /* 2142611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142614 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142619 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142622 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2142628 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2142631 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142634 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142641 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142649 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142653 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142657 */     // MIs[0] round
     /* 2142657 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142660 */     // MIs[0] policy
     /* 2142660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142663 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142670 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2142673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142675 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142679 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142681 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142683 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142685 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142693 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142695 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142696 */     // GIR_Coverage, 17600,
     /* 2142696 */     GIR_EraseRootFromParent_Done,
     /* 2142697 */   // Label 28306: @2142697
     /* 2142697 */   GIM_Try, /*On fail goto*//*Label 28307*/ GIMT_Encode4(2142788), // Rule ID 17601 //
     /* 2142702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142705 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142710 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2142713 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2142716 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2142719 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2142722 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2142725 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142728 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2142732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142736 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2142740 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142744 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142748 */     // MIs[0] round
     /* 2142748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142751 */     // MIs[0] policy
     /* 2142751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142754 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142761 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142761 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M2_E32_MASK),
     /* 2142764 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142766 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142768 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142770 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142772 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142774 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142784 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142787 */     // GIR_Coverage, 17601,
     /* 2142787 */     GIR_EraseRootFromParent_Done,
     /* 2142788 */   // Label 28307: @2142788
     /* 2142788 */   GIM_Try, /*On fail goto*//*Label 28308*/ GIMT_Encode4(2142879), // Rule ID 17604 //
     /* 2142793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142796 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142801 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142804 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142807 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2142810 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2142813 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142816 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2142819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142835 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142839 */     // MIs[0] round
     /* 2142839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142842 */     // MIs[0] policy
     /* 2142842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142852 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2142852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2142855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142857 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142859 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142861 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142863 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142865 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142867 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142875 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142878 */     // GIR_Coverage, 17604,
     /* 2142878 */     GIR_EraseRootFromParent_Done,
     /* 2142879 */   // Label 28308: @2142879
     /* 2142879 */   GIM_Try, /*On fail goto*//*Label 28309*/ GIMT_Encode4(2142970), // Rule ID 17605 //
     /* 2142884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2142887 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142892 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2142895 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2142898 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2142901 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2142904 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2142907 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2142910 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2142914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142918 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2142922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2142926 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2142930 */     // MIs[0] round
     /* 2142930 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2142933 */     // MIs[0] policy
     /* 2142933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2142936 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2142943 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2142943 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M4_E32_MASK),
     /* 2142946 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2142948 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2142950 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2142952 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2142954 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2142956 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2142958 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2142963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2142966 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2142968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2142969 */     // GIR_Coverage, 17605,
     /* 2142969 */     GIR_EraseRootFromParent_Done,
     /* 2142970 */   // Label 28309: @2142970
     /* 2142970 */   GIM_Try, /*On fail goto*//*Label 28310*/ GIMT_Encode4(2143061), // Rule ID 17608 //
     /* 2142975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2142978 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2142983 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2142986 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2142989 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2142992 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2142995 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2142998 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143001 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143017 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143021 */     // MIs[0] round
     /* 2143021 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143024 */     // MIs[0] policy
     /* 2143024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143034 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2143037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143039 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143043 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143045 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143047 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143049 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143057 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143060 */     // GIR_Coverage, 17608,
     /* 2143060 */     GIR_EraseRootFromParent_Done,
     /* 2143061 */   // Label 28310: @2143061
     /* 2143061 */   GIM_Try, /*On fail goto*//*Label 28311*/ GIMT_Encode4(2143152), // Rule ID 17609 //
     /* 2143066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2143069 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2143074 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2143077 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2143080 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2143083 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2143086 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2143089 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143096 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143100 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143104 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2143108 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143112 */     // MIs[0] round
     /* 2143112 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143115 */     // MIs[0] policy
     /* 2143115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143118 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143125 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR32_M8_E32_MASK),
     /* 2143128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143130 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143132 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143134 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143136 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143138 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2143148 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143151 */     // GIR_Coverage, 17609,
     /* 2143151 */     GIR_EraseRootFromParent_Done,
     /* 2143152 */   // Label 28311: @2143152
     /* 2143152 */   GIM_Try, /*On fail goto*//*Label 28312*/ GIMT_Encode4(2143243), // Rule ID 17612 //
     /* 2143157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143160 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2143165 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143168 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143171 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2143174 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2143177 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143180 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143195 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143199 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143203 */     // MIs[0] round
     /* 2143203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143206 */     // MIs[0] policy
     /* 2143206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143216 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2143219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143221 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143223 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143225 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143227 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143229 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143231 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143239 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143242 */     // GIR_Coverage, 17612,
     /* 2143242 */     GIR_EraseRootFromParent_Done,
     /* 2143243 */   // Label 28312: @2143243
     /* 2143243 */   GIM_Try, /*On fail goto*//*Label 28313*/ GIMT_Encode4(2143334), // Rule ID 17613 //
     /* 2143248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143251 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2143256 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2143259 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2143262 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2143265 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2143268 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143271 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143274 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2143278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143282 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2143286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143290 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143294 */     // MIs[0] round
     /* 2143294 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143297 */     // MIs[0] policy
     /* 2143297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143307 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11202:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M2_E64_MASK),
     /* 2143310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143312 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143314 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143316 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143318 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143320 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143322 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143330 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143333 */     // GIR_Coverage, 17613,
     /* 2143333 */     GIR_EraseRootFromParent_Done,
     /* 2143334 */   // Label 28313: @2143334
     /* 2143334 */   GIM_Try, /*On fail goto*//*Label 28314*/ GIMT_Encode4(2143425), // Rule ID 17616 //
     /* 2143339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143342 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2143347 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2143350 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143353 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2143356 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2143359 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143362 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143365 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143381 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143385 */     // MIs[0] round
     /* 2143385 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143388 */     // MIs[0] policy
     /* 2143388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143391 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143398 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2143401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143403 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143405 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143407 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143409 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143411 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143421 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143424 */     // GIR_Coverage, 17616,
     /* 2143424 */     GIR_EraseRootFromParent_Done,
     /* 2143425 */   // Label 28314: @2143425
     /* 2143425 */   GIM_Try, /*On fail goto*//*Label 28315*/ GIMT_Encode4(2143516), // Rule ID 17617 //
     /* 2143430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143433 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2143438 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2143441 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2143444 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2143447 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2143450 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2143453 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2143460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2143468 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143472 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143476 */     // MIs[0] round
     /* 2143476 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143479 */     // MIs[0] policy
     /* 2143479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143482 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143489 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11202:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M4_E64_MASK),
     /* 2143492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143494 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143496 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143498 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143500 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143502 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143504 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143512 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143515 */     // GIR_Coverage, 17617,
     /* 2143515 */     GIR_EraseRootFromParent_Done,
     /* 2143516 */   // Label 28315: @2143516
     /* 2143516 */   GIM_Try, /*On fail goto*//*Label 28316*/ GIMT_Encode4(2143607), // Rule ID 17620 //
     /* 2143521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2143524 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2143529 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143532 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2143538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2143541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143544 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143555 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143559 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143563 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143567 */     // MIs[0] round
     /* 2143567 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143570 */     // MIs[0] policy
     /* 2143570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143580 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2143583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143585 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143589 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143591 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143593 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143603 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143606 */     // GIR_Coverage, 17620,
     /* 2143606 */     GIR_EraseRootFromParent_Done,
     /* 2143607 */   // Label 28316: @2143607
     /* 2143607 */   GIM_Try, /*On fail goto*//*Label 28317*/ GIMT_Encode4(2143698), // Rule ID 17621 //
     /* 2143612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2143615 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfdiv_mask),
     /* 2143620 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2143623 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2143626 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2143629 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2143632 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2143635 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143638 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2143642 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143646 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2143650 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2143654 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143658 */     // MIs[0] round
     /* 2143658 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143661 */     // MIs[0] policy
     /* 2143661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143664 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143671 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11202:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VFPR64_M8_E64_MASK),
     /* 2143674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143676 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143680 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143682 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143684 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143686 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2143694 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143697 */     // GIR_Coverage, 17621,
     /* 2143697 */     GIR_EraseRootFromParent_Done,
     /* 2143698 */   // Label 28317: @2143698
     /* 2143698 */   GIM_Try, /*On fail goto*//*Label 28318*/ GIMT_Encode4(2143789), // Rule ID 17624 //
     /* 2143703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143706 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2143711 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2143714 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2143717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2143720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2143723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143726 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143737 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143741 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143745 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143749 */     // MIs[0] round
     /* 2143749 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143752 */     // MIs[0] policy
     /* 2143752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143762 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2143765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143767 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143771 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143773 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143775 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143777 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143785 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143788 */     // GIR_Coverage, 17624,
     /* 2143788 */     GIR_EraseRootFromParent_Done,
     /* 2143789 */   // Label 28318: @2143789
     /* 2143789 */   GIM_Try, /*On fail goto*//*Label 28319*/ GIMT_Encode4(2143880), // Rule ID 17625 //
     /* 2143794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143797 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2143802 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2143805 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2143808 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2143811 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2143814 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2143817 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2143820 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143824 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143828 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143832 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143836 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143840 */     // MIs[0] round
     /* 2143840 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143843 */     // MIs[0] policy
     /* 2143843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143846 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143853 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2143853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF4_E16_MASK),
     /* 2143856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143858 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143862 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143864 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143866 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143868 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143876 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143879 */     // GIR_Coverage, 17625,
     /* 2143879 */     GIR_EraseRootFromParent_Done,
     /* 2143880 */   // Label 28319: @2143880
     /* 2143880 */   GIM_Try, /*On fail goto*//*Label 28320*/ GIMT_Encode4(2143971), // Rule ID 17628 //
     /* 2143885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2143888 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2143893 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143896 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143899 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2143902 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2143905 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143908 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2143911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2143915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2143923 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2143927 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2143931 */     // MIs[0] round
     /* 2143931 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2143934 */     // MIs[0] policy
     /* 2143934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2143937 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2143944 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2143944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2143947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2143949 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2143951 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2143953 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2143955 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2143957 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2143959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2143964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2143967 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2143969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2143970 */     // GIR_Coverage, 17628,
     /* 2143970 */     GIR_EraseRootFromParent_Done,
     /* 2143971 */   // Label 28320: @2143971
     /* 2143971 */   GIM_Try, /*On fail goto*//*Label 28321*/ GIMT_Encode4(2144062), // Rule ID 17629 //
     /* 2143976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2143979 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2143984 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2143987 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2143990 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2143993 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2143996 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2143999 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144002 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144006 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144010 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144014 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144018 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144022 */     // MIs[0] round
     /* 2144022 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144025 */     // MIs[0] policy
     /* 2144025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144035 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_MF2_E16_MASK),
     /* 2144038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144040 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144042 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144044 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144046 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144048 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144050 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144058 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144061 */     // GIR_Coverage, 17629,
     /* 2144061 */     GIR_EraseRootFromParent_Done,
     /* 2144062 */   // Label 28321: @2144062
     /* 2144062 */   GIM_Try, /*On fail goto*//*Label 28322*/ GIMT_Encode4(2144153), // Rule ID 17632 //
     /* 2144067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144070 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144075 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144078 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144081 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144084 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2144087 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144090 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144097 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144101 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144105 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144109 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144113 */     // MIs[0] round
     /* 2144113 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144116 */     // MIs[0] policy
     /* 2144116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144119 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144126 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2144129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144131 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144135 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144137 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144139 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144149 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144152 */     // GIR_Coverage, 17632,
     /* 2144152 */     GIR_EraseRootFromParent_Done,
     /* 2144153 */   // Label 28322: @2144153
     /* 2144153 */   GIM_Try, /*On fail goto*//*Label 28323*/ GIMT_Encode4(2144244), // Rule ID 17633 //
     /* 2144158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144161 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144166 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2144169 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2144172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2144175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2144178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144181 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144184 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144188 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144196 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144200 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144204 */     // MIs[0] round
     /* 2144204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144207 */     // MIs[0] policy
     /* 2144207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144210 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144217 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_MF2_E32_MASK),
     /* 2144220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144222 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144226 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144228 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144230 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144240 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144243 */     // GIR_Coverage, 17633,
     /* 2144243 */     GIR_EraseRootFromParent_Done,
     /* 2144244 */   // Label 28323: @2144244
     /* 2144244 */   GIM_Try, /*On fail goto*//*Label 28324*/ GIMT_Encode4(2144335), // Rule ID 17636 //
     /* 2144249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144252 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144257 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2144260 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2144263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2144266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144272 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144275 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144283 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144287 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144291 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144295 */     // MIs[0] round
     /* 2144295 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144298 */     // MIs[0] policy
     /* 2144298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144308 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2144311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144313 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144315 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144317 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144319 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144321 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144323 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144331 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144334 */     // GIR_Coverage, 17636,
     /* 2144334 */     GIR_EraseRootFromParent_Done,
     /* 2144335 */   // Label 28324: @2144335
     /* 2144335 */   GIM_Try, /*On fail goto*//*Label 28325*/ GIMT_Encode4(2144426), // Rule ID 17637 //
     /* 2144340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144343 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144348 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2144351 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2144354 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2144357 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144360 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2144363 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144366 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144374 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144378 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144382 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144386 */     // MIs[0] round
     /* 2144386 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144389 */     // MIs[0] policy
     /* 2144389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144399 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11250:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M1_E16_MASK),
     /* 2144402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144404 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144406 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144408 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144410 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144412 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144414 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144422 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144425 */     // GIR_Coverage, 17637,
     /* 2144425 */     GIR_EraseRootFromParent_Done,
     /* 2144426 */   // Label 28325: @2144426
     /* 2144426 */   GIM_Try, /*On fail goto*//*Label 28326*/ GIMT_Encode4(2144517), // Rule ID 17640 //
     /* 2144431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2144434 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144439 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144442 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2144451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144454 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144461 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144465 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144469 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144473 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144477 */     // MIs[0] round
     /* 2144477 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144480 */     // MIs[0] policy
     /* 2144480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144483 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144490 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2144493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144495 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144497 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144499 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144501 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144503 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144505 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144513 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144516 */     // GIR_Coverage, 17640,
     /* 2144516 */     GIR_EraseRootFromParent_Done,
     /* 2144517 */   // Label 28326: @2144517
     /* 2144517 */   GIM_Try, /*On fail goto*//*Label 28327*/ GIMT_Encode4(2144608), // Rule ID 17641 //
     /* 2144522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2144525 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144530 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2144533 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2144536 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2144539 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2144542 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2144545 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144556 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144560 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2144564 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144568 */     // MIs[0] round
     /* 2144568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144571 */     // MIs[0] policy
     /* 2144571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144574 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144581 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11250:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M1_E32_MASK),
     /* 2144584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144586 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144590 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144592 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144594 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2144604 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144607 */     // GIR_Coverage, 17641,
     /* 2144607 */     GIR_EraseRootFromParent_Done,
     /* 2144608 */   // Label 28327: @2144608
     /* 2144608 */   GIM_Try, /*On fail goto*//*Label 28328*/ GIMT_Encode4(2144699), // Rule ID 17644 //
     /* 2144613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2144616 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144621 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144624 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144627 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2144630 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2144633 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144636 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144651 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144655 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144659 */     // MIs[0] round
     /* 2144659 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144662 */     // MIs[0] policy
     /* 2144662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144665 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144672 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2144675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144677 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144681 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144683 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144685 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144687 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144695 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144698 */     // GIR_Coverage, 17644,
     /* 2144698 */     GIR_EraseRootFromParent_Done,
     /* 2144699 */   // Label 28328: @2144699
     /* 2144699 */   GIM_Try, /*On fail goto*//*Label 28329*/ GIMT_Encode4(2144790), // Rule ID 17645 //
     /* 2144704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2144707 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144712 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2144715 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2144718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2144721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2144724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2144727 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2144734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144738 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2144742 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2144746 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144750 */     // MIs[0] round
     /* 2144750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144753 */     // MIs[0] policy
     /* 2144753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144756 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144763 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11250:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M1_E64_MASK),
     /* 2144766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144768 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144772 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144774 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144776 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144778 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2144786 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144789 */     // GIR_Coverage, 17645,
     /* 2144789 */     GIR_EraseRootFromParent_Done,
     /* 2144790 */   // Label 28329: @2144790
     /* 2144790 */   GIM_Try, /*On fail goto*//*Label 28330*/ GIMT_Encode4(2144881), // Rule ID 17648 //
     /* 2144795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144798 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144803 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144806 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144809 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144812 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144815 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144818 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2144821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144825 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144829 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144837 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144841 */     // MIs[0] round
     /* 2144841 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144844 */     // MIs[0] policy
     /* 2144844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144847 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144854 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2144854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2144857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144859 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144861 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144863 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144865 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144867 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144877 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144880 */     // GIR_Coverage, 17648,
     /* 2144880 */     GIR_EraseRootFromParent_Done,
     /* 2144881 */   // Label 28330: @2144881
     /* 2144881 */   GIM_Try, /*On fail goto*//*Label 28331*/ GIMT_Encode4(2144972), // Rule ID 17649 //
     /* 2144886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2144889 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144894 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2144897 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2144900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2144903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2144909 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2144912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2144916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2144924 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2144928 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2144932 */     // MIs[0] round
     /* 2144932 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2144935 */     // MIs[0] policy
     /* 2144935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2144938 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2144945 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2144945 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M2_E16_MASK),
     /* 2144948 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2144950 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2144952 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2144954 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2144956 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2144958 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2144960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2144965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2144968 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2144970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2144971 */     // GIR_Coverage, 17649,
     /* 2144971 */     GIR_EraseRootFromParent_Done,
     /* 2144972 */   // Label 28331: @2144972
     /* 2144972 */   GIM_Try, /*On fail goto*//*Label 28332*/ GIMT_Encode4(2145063), // Rule ID 17652 //
     /* 2144977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2144980 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2144985 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2144988 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2144991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2144994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2144997 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145000 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145003 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145015 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2145019 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145023 */     // MIs[0] round
     /* 2145023 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145026 */     // MIs[0] policy
     /* 2145026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145036 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2145039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145041 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145043 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145045 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145047 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145049 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145051 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145059 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145062 */     // GIR_Coverage, 17652,
     /* 2145062 */     GIR_EraseRootFromParent_Done,
     /* 2145063 */   // Label 28332: @2145063
     /* 2145063 */   GIM_Try, /*On fail goto*//*Label 28333*/ GIMT_Encode4(2145154), // Rule ID 17653 //
     /* 2145068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145071 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145076 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2145079 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2145082 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2145085 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2145088 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145091 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145106 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2145110 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145114 */     // MIs[0] round
     /* 2145114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145117 */     // MIs[0] policy
     /* 2145117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145127 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M4_E16_MASK),
     /* 2145130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145132 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145136 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145138 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145140 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145142 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145150 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145153 */     // GIR_Coverage, 17653,
     /* 2145153 */     GIR_EraseRootFromParent_Done,
     /* 2145154 */   // Label 28333: @2145154
     /* 2145154 */   GIM_Try, /*On fail goto*//*Label 28334*/ GIMT_Encode4(2145245), // Rule ID 17656 //
     /* 2145159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2145162 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145167 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145170 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2145179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145182 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2145201 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145205 */     // MIs[0] round
     /* 2145205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145208 */     // MIs[0] policy
     /* 2145208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145211 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145218 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145218 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2145221 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145223 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145227 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145229 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145231 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145233 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145241 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145244 */     // GIR_Coverage, 17656,
     /* 2145244 */     GIR_EraseRootFromParent_Done,
     /* 2145245 */   // Label 28334: @2145245
     /* 2145245 */   GIM_Try, /*On fail goto*//*Label 28335*/ GIMT_Encode4(2145336), // Rule ID 17657 //
     /* 2145250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2145253 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145258 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2145261 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2145264 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2145267 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2145270 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2145273 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145288 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2145292 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145296 */     // MIs[0] round
     /* 2145296 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145299 */     // MIs[0] policy
     /* 2145299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145309 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR16_M8_E16_MASK),
     /* 2145312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145314 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145316 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145318 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145320 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145322 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2145332 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145335 */     // GIR_Coverage, 17657,
     /* 2145335 */     GIR_EraseRootFromParent_Done,
     /* 2145336 */   // Label 28335: @2145336
     /* 2145336 */   GIM_Try, /*On fail goto*//*Label 28336*/ GIMT_Encode4(2145427), // Rule ID 17660 //
     /* 2145341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145344 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145349 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145352 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145355 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145358 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145361 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145364 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145367 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145375 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145383 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145387 */     // MIs[0] round
     /* 2145387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145390 */     // MIs[0] policy
     /* 2145390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145393 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145400 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2145403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145405 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145409 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145411 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145413 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145415 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145423 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145426 */     // GIR_Coverage, 17660,
     /* 2145426 */     GIR_EraseRootFromParent_Done,
     /* 2145427 */   // Label 28336: @2145427
     /* 2145427 */   GIM_Try, /*On fail goto*//*Label 28337*/ GIMT_Encode4(2145518), // Rule ID 17661 //
     /* 2145432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145435 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145440 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2145443 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2145446 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2145449 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145452 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2145455 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145466 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145470 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145474 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145478 */     // MIs[0] round
     /* 2145478 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145481 */     // MIs[0] policy
     /* 2145481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145484 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145491 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M2_E32_MASK),
     /* 2145494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145496 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145498 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145500 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145502 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145504 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145506 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145514 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145517 */     // GIR_Coverage, 17661,
     /* 2145517 */     GIR_EraseRootFromParent_Done,
     /* 2145518 */   // Label 28337: @2145518
     /* 2145518 */   GIM_Try, /*On fail goto*//*Label 28338*/ GIMT_Encode4(2145609), // Rule ID 17664 //
     /* 2145523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145526 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145531 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145534 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145537 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145540 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145543 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145546 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145557 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145565 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145569 */     // MIs[0] round
     /* 2145569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145572 */     // MIs[0] policy
     /* 2145572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145582 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2145585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145587 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145591 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145593 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145595 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145597 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145605 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145608 */     // GIR_Coverage, 17664,
     /* 2145608 */     GIR_EraseRootFromParent_Done,
     /* 2145609 */   // Label 28338: @2145609
     /* 2145609 */   GIM_Try, /*On fail goto*//*Label 28339*/ GIMT_Encode4(2145700), // Rule ID 17665 //
     /* 2145614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145617 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145622 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2145625 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2145628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2145631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2145637 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145640 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2145644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2145652 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145656 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145660 */     // MIs[0] round
     /* 2145660 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145663 */     // MIs[0] policy
     /* 2145663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145666 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145673 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M4_E32_MASK),
     /* 2145676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145678 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145682 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145684 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145686 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145688 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145696 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145699 */     // GIR_Coverage, 17665,
     /* 2145699 */     GIR_EraseRootFromParent_Done,
     /* 2145700 */   // Label 28339: @2145700
     /* 2145700 */   GIM_Try, /*On fail goto*//*Label 28340*/ GIMT_Encode4(2145791), // Rule ID 17668 //
     /* 2145705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2145708 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145713 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2145716 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145719 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145722 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145725 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145728 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145747 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145751 */     // MIs[0] round
     /* 2145751 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145754 */     // MIs[0] policy
     /* 2145754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145757 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145764 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2145767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145769 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145773 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145775 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145777 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145779 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145787 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145790 */     // GIR_Coverage, 17668,
     /* 2145790 */     GIR_EraseRootFromParent_Done,
     /* 2145791 */   // Label 28340: @2145791
     /* 2145791 */   GIM_Try, /*On fail goto*//*Label 28341*/ GIMT_Encode4(2145882), // Rule ID 17669 //
     /* 2145796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2145799 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145804 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2145807 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2145810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2145813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2145816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2145819 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2145822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2145826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145830 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2145834 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2145838 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145842 */     // MIs[0] round
     /* 2145842 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145845 */     // MIs[0] policy
     /* 2145845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145855 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2145855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR32_M8_E32_MASK),
     /* 2145858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145860 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145864 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145866 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145868 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145870 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2145878 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145881 */     // GIR_Coverage, 17669,
     /* 2145881 */     GIR_EraseRootFromParent_Done,
     /* 2145882 */   // Label 28341: @2145882
     /* 2145882 */   GIM_Try, /*On fail goto*//*Label 28342*/ GIMT_Encode4(2145973), // Rule ID 17672 //
     /* 2145887 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2145890 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145895 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145898 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145901 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2145904 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2145907 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2145910 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2145913 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2145917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2145925 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2145929 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2145933 */     // MIs[0] round
     /* 2145933 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2145936 */     // MIs[0] policy
     /* 2145936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2145939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2145946 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2145946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2145949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2145951 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2145953 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2145955 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2145957 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2145959 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2145961 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2145966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2145969 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2145971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2145972 */     // GIR_Coverage, 17672,
     /* 2145972 */     GIR_EraseRootFromParent_Done,
     /* 2145973 */   // Label 28342: @2145973
     /* 2145973 */   GIM_Try, /*On fail goto*//*Label 28343*/ GIMT_Encode4(2146064), // Rule ID 17673 //
     /* 2145978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2145981 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2145986 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2145989 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2145992 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2145995 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2145998 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146001 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146008 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146016 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2146020 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146024 */     // MIs[0] round
     /* 2146024 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146027 */     // MIs[0] policy
     /* 2146027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146037 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11250:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M2_E64_MASK),
     /* 2146040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146042 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146046 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146048 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146050 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146052 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146060 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146063 */     // GIR_Coverage, 17673,
     /* 2146063 */     GIR_EraseRootFromParent_Done,
     /* 2146064 */   // Label 28343: @2146064
     /* 2146064 */   GIM_Try, /*On fail goto*//*Label 28344*/ GIMT_Encode4(2146155), // Rule ID 17676 //
     /* 2146069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146072 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2146077 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146080 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146083 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146086 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2146089 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146092 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146095 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146103 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146107 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2146111 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146115 */     // MIs[0] round
     /* 2146115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146118 */     // MIs[0] policy
     /* 2146118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146121 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146128 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2146131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146133 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146137 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146139 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146141 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146143 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146151 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146153 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146154 */     // GIR_Coverage, 17676,
     /* 2146154 */     GIR_EraseRootFromParent_Done,
     /* 2146155 */   // Label 28344: @2146155
     /* 2146155 */   GIM_Try, /*On fail goto*//*Label 28345*/ GIMT_Encode4(2146246), // Rule ID 17677 //
     /* 2146160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146163 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2146168 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2146171 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2146174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2146177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2146180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146183 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2146190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146194 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2146198 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2146202 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146206 */     // MIs[0] round
     /* 2146206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146209 */     // MIs[0] policy
     /* 2146209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146212 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146219 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11250:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146219 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M4_E64_MASK),
     /* 2146222 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146224 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146226 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146228 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146230 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146232 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146234 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146242 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146245 */     // GIR_Coverage, 17677,
     /* 2146245 */     GIR_EraseRootFromParent_Done,
     /* 2146246 */   // Label 28345: @2146246
     /* 2146246 */   GIM_Try, /*On fail goto*//*Label 28346*/ GIMT_Encode4(2146337), // Rule ID 17680 //
     /* 2146251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2146254 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2146259 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2146262 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2146265 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2146268 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2146271 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146274 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146277 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146281 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146285 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2146293 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146297 */     // MIs[0] round
     /* 2146297 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146300 */     // MIs[0] policy
     /* 2146300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146310 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2146313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146315 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146317 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146319 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146321 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146323 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146325 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146333 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146336 */     // GIR_Coverage, 17680,
     /* 2146336 */     GIR_EraseRootFromParent_Done,
     /* 2146337 */   // Label 28346: @2146337
     /* 2146337 */   GIM_Try, /*On fail goto*//*Label 28347*/ GIMT_Encode4(2146428), // Rule ID 17681 //
     /* 2146342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2146345 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfrdiv_mask),
     /* 2146350 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2146353 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2146356 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2146359 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2146362 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2146365 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2146372 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146376 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2146380 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2146384 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146388 */     // MIs[0] round
     /* 2146388 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146391 */     // MIs[0] policy
     /* 2146391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146394 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146401 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11250:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFRDIV_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFRDIV_VFPR64_M8_E64_MASK),
     /* 2146404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146406 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146408 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146410 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146412 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146414 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146416 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2146424 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146426 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146427 */     // GIR_Coverage, 17681,
     /* 2146427 */     GIR_EraseRootFromParent_Done,
     /* 2146428 */   // Label 28347: @2146428
     /* 2146428 */   GIM_Try, /*On fail goto*//*Label 28348*/ GIMT_Encode4(2146519), // Rule ID 17684 //
     /* 2146433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2146436 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2146441 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2146444 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2146447 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2146450 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2146453 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146456 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146467 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146471 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146475 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146479 */     // MIs[0] round
     /* 2146479 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146482 */     // MIs[0] policy
     /* 2146482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146485 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146492 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146492 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2146495 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146497 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146501 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146503 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146505 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146507 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146515 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146518 */     // GIR_Coverage, 17684,
     /* 2146518 */     GIR_EraseRootFromParent_Done,
     /* 2146519 */   // Label 28348: @2146519
     /* 2146519 */   GIM_Try, /*On fail goto*//*Label 28349*/ GIMT_Encode4(2146610), // Rule ID 17685 //
     /* 2146524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2146527 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2146532 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2146535 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2146538 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2146541 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2146544 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2146547 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146562 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146566 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146570 */     // MIs[0] round
     /* 2146570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146573 */     // MIs[0] policy
     /* 2146573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146583 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF4_E16_MASK),
     /* 2146586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146588 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146592 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146594 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146596 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146606 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146609 */     // GIR_Coverage, 17685,
     /* 2146609 */     GIR_EraseRootFromParent_Done,
     /* 2146610 */   // Label 28349: @2146610
     /* 2146610 */   GIM_Try, /*On fail goto*//*Label 28350*/ GIMT_Encode4(2146701), // Rule ID 17688 //
     /* 2146615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2146618 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2146623 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2146626 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2146629 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2146632 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2146635 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146638 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146649 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146653 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146657 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146661 */     // MIs[0] round
     /* 2146661 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146664 */     // MIs[0] policy
     /* 2146664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146667 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146674 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2146677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146679 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146681 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146683 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146685 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146687 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146689 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146697 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146700 */     // GIR_Coverage, 17688,
     /* 2146700 */     GIR_EraseRootFromParent_Done,
     /* 2146701 */   // Label 28350: @2146701
     /* 2146701 */   GIM_Try, /*On fail goto*//*Label 28351*/ GIMT_Encode4(2146792), // Rule ID 17689 //
     /* 2146706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2146709 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2146714 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2146717 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2146720 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2146723 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2146726 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2146729 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2146736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146748 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146752 */     // MIs[0] round
     /* 2146752 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146755 */     // MIs[0] policy
     /* 2146755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146758 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146765 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E16_MASK),
     /* 2146768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146770 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146772 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146774 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146776 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146778 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146788 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146791 */     // GIR_Coverage, 17689,
     /* 2146791 */     GIR_EraseRootFromParent_Done,
     /* 2146792 */   // Label 28351: @2146792
     /* 2146792 */   GIM_Try, /*On fail goto*//*Label 28352*/ GIMT_Encode4(2146883), // Rule ID 17692 //
     /* 2146797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2146800 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2146805 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146811 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2146814 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146817 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146820 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2146823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146839 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146843 */     // MIs[0] round
     /* 2146843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146846 */     // MIs[0] policy
     /* 2146846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146849 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146856 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2146856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2146859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146861 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146863 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146865 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146867 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146869 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146871 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146879 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146882 */     // GIR_Coverage, 17692,
     /* 2146882 */     GIR_EraseRootFromParent_Done,
     /* 2146883 */   // Label 28352: @2146883
     /* 2146883 */   GIM_Try, /*On fail goto*//*Label 28353*/ GIMT_Encode4(2146974), // Rule ID 17693 //
     /* 2146888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2146891 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2146896 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2146899 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2146902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2146905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2146908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2146911 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2146914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2146918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2146922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146926 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2146930 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2146934 */     // MIs[0] round
     /* 2146934 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2146937 */     // MIs[0] policy
     /* 2146937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2146940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2146947 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2146947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E16_MASK),
     /* 2146950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2146952 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2146954 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2146956 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2146958 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2146960 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2146962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2146967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2146970 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2146972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2146973 */     // GIR_Coverage, 17693,
     /* 2146973 */     GIR_EraseRootFromParent_Done,
     /* 2146974 */   // Label 28353: @2146974
     /* 2146974 */   GIM_Try, /*On fail goto*//*Label 28354*/ GIMT_Encode4(2147065), // Rule ID 17696 //
     /* 2146979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2146982 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2146987 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2146990 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2146993 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2146996 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2146999 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147002 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147005 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147009 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147013 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147017 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147021 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147025 */     // MIs[0] round
     /* 2147025 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147028 */     // MIs[0] policy
     /* 2147028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147031 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147038 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2147041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147043 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147047 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147049 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147051 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147053 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147061 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147064 */     // GIR_Coverage, 17696,
     /* 2147064 */     GIR_EraseRootFromParent_Done,
     /* 2147065 */   // Label 28354: @2147065
     /* 2147065 */   GIM_Try, /*On fail goto*//*Label 28355*/ GIMT_Encode4(2147156), // Rule ID 17697 //
     /* 2147070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2147073 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147078 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2147081 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2147084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2147087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2147090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147093 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147096 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147100 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147104 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147108 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147112 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147116 */     // MIs[0] round
     /* 2147116 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147119 */     // MIs[0] policy
     /* 2147119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147122 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147129 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E16_MASK),
     /* 2147132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147134 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147138 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147140 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147142 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147144 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147152 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147155 */     // GIR_Coverage, 17697,
     /* 2147155 */     GIR_EraseRootFromParent_Done,
     /* 2147156 */   // Label 28355: @2147156
     /* 2147156 */   GIM_Try, /*On fail goto*//*Label 28356*/ GIMT_Encode4(2147247), // Rule ID 17700 //
     /* 2147161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2147164 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147169 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2147172 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2147175 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2147178 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2147181 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147184 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147203 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147207 */     // MIs[0] round
     /* 2147207 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147210 */     // MIs[0] policy
     /* 2147210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147213 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147220 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2147223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147225 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147229 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147231 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147233 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147235 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147243 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147246 */     // GIR_Coverage, 17700,
     /* 2147246 */     GIR_EraseRootFromParent_Done,
     /* 2147247 */   // Label 28356: @2147247
     /* 2147247 */   GIM_Try, /*On fail goto*//*Label 28357*/ GIMT_Encode4(2147338), // Rule ID 17701 //
     /* 2147252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2147255 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147260 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2147263 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2147266 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2147269 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2147272 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2147275 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147282 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147286 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147290 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147294 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147298 */     // MIs[0] round
     /* 2147298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147301 */     // MIs[0] policy
     /* 2147301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147304 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147311 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E16_MASK),
     /* 2147314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147316 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147318 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147320 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147322 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147324 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2147334 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147337 */     // GIR_Coverage, 17701,
     /* 2147337 */     GIR_EraseRootFromParent_Done,
     /* 2147338 */   // Label 28357: @2147338
     /* 2147338 */   GIM_Try, /*On fail goto*//*Label 28358*/ GIMT_Encode4(2147429), // Rule ID 17704 //
     /* 2147343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2147346 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147351 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2147354 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2147357 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2147360 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147363 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147366 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147369 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147381 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147385 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147389 */     // MIs[0] round
     /* 2147389 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147392 */     // MIs[0] policy
     /* 2147392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147395 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147402 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2147405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147407 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147409 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147411 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147413 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147415 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147417 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147425 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147428 */     // GIR_Coverage, 17704,
     /* 2147428 */     GIR_EraseRootFromParent_Done,
     /* 2147429 */   // Label 28358: @2147429
     /* 2147429 */   GIM_Try, /*On fail goto*//*Label 28359*/ GIMT_Encode4(2147520), // Rule ID 17705 //
     /* 2147434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2147437 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147442 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2147445 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2147448 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2147451 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2147454 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2147457 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2147464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147472 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147476 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147480 */     // MIs[0] round
     /* 2147480 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147483 */     // MIs[0] policy
     /* 2147483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147486 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147493 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_MF2_E32_MASK),
     /* 2147496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147498 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147500 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147502 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147504 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147506 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147516 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147519 */     // GIR_Coverage, 17705,
     /* 2147519 */     GIR_EraseRootFromParent_Done,
     /* 2147520 */   // Label 28359: @2147520
     /* 2147520 */   GIM_Try, /*On fail goto*//*Label 28360*/ GIMT_Encode4(2147611), // Rule ID 17708 //
     /* 2147525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2147528 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147533 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147536 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2147542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2147545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147548 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147551 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147555 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147559 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147563 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147567 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147571 */     // MIs[0] round
     /* 2147571 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147574 */     // MIs[0] policy
     /* 2147574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147584 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2147587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147589 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147593 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147595 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147597 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147599 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147607 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147610 */     // GIR_Coverage, 17708,
     /* 2147610 */     GIR_EraseRootFromParent_Done,
     /* 2147611 */   // Label 28360: @2147611
     /* 2147611 */   GIM_Try, /*On fail goto*//*Label 28361*/ GIMT_Encode4(2147702), // Rule ID 17709 //
     /* 2147616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2147619 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147624 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2147627 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2147630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2147633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2147636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2147639 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147642 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2147646 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147650 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147654 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2147658 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147662 */     // MIs[0] round
     /* 2147662 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147665 */     // MIs[0] policy
     /* 2147665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147668 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147675 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M1_E32_MASK),
     /* 2147678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147680 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147682 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147684 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147686 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147688 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147690 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147698 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147701 */     // GIR_Coverage, 17709,
     /* 2147701 */     GIR_EraseRootFromParent_Done,
     /* 2147702 */   // Label 28361: @2147702
     /* 2147702 */   GIM_Try, /*On fail goto*//*Label 28362*/ GIMT_Encode4(2147793), // Rule ID 17712 //
     /* 2147707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2147710 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147715 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2147718 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2147721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2147724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147730 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147733 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147741 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147745 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147749 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147753 */     // MIs[0] round
     /* 2147753 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147756 */     // MIs[0] policy
     /* 2147756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147766 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2147769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147771 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147773 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147775 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147777 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147779 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147781 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147789 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147792 */     // GIR_Coverage, 17712,
     /* 2147792 */     GIR_EraseRootFromParent_Done,
     /* 2147793 */   // Label 28362: @2147793
     /* 2147793 */   GIM_Try, /*On fail goto*//*Label 28363*/ GIMT_Encode4(2147884), // Rule ID 17713 //
     /* 2147798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2147801 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147806 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2147809 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2147812 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2147815 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2147818 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2147821 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2147824 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2147828 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147832 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147836 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2147840 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147844 */     // MIs[0] round
     /* 2147844 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147847 */     // MIs[0] policy
     /* 2147847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147850 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147857 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2147857 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M2_E32_MASK),
     /* 2147860 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147862 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147864 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147866 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147868 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147870 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147872 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147880 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147883 */     // GIR_Coverage, 17713,
     /* 2147883 */     GIR_EraseRootFromParent_Done,
     /* 2147884 */   // Label 28363: @2147884
     /* 2147884 */   GIM_Try, /*On fail goto*//*Label 28364*/ GIMT_Encode4(2147975), // Rule ID 17716 //
     /* 2147889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2147892 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147897 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147900 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147903 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2147906 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2147909 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2147912 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2147915 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2147919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2147923 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147927 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2147931 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2147935 */     // MIs[0] round
     /* 2147935 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2147938 */     // MIs[0] policy
     /* 2147938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2147941 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2147948 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2147948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2147951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2147953 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2147955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2147957 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2147959 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2147961 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2147963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2147968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2147971 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2147973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2147974 */     // GIR_Coverage, 17716,
     /* 2147974 */     GIR_EraseRootFromParent_Done,
     /* 2147975 */   // Label 28364: @2147975
     /* 2147975 */   GIM_Try, /*On fail goto*//*Label 28365*/ GIMT_Encode4(2148066), // Rule ID 17717 //
     /* 2147980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2147983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2147988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2147991 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2147994 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2147997 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2148000 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148003 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148006 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148010 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148014 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148018 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148022 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148026 */     // MIs[0] round
     /* 2148026 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148029 */     // MIs[0] policy
     /* 2148029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148032 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148039 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VV_M4_E32_MASK),
     /* 2148042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148044 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148046 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148048 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148050 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148052 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148054 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2148062 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148065 */     // GIR_Coverage, 17717,
     /* 2148065 */     GIR_EraseRootFromParent_Done,
     /* 2148066 */   // Label 28365: @2148066
     /* 2148066 */   GIM_Try, /*On fail goto*//*Label 28366*/ GIMT_Encode4(2148157), // Rule ID 17720 //
     /* 2148071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2148074 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148079 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2148082 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2148085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2148088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148094 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148105 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148109 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148113 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148117 */     // MIs[0] round
     /* 2148117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148120 */     // MIs[0] policy
     /* 2148120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148123 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148130 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2148133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148135 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148137 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148139 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148141 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148143 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148145 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148153 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148156 */     // GIR_Coverage, 17720,
     /* 2148156 */     GIR_EraseRootFromParent_Done,
     /* 2148157 */   // Label 28366: @2148157
     /* 2148157 */   GIM_Try, /*On fail goto*//*Label 28367*/ GIMT_Encode4(2148248), // Rule ID 17721 //
     /* 2148162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2148165 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148170 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2148173 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2148176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2148179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2148185 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148188 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148192 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148196 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148204 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148208 */     // MIs[0] round
     /* 2148208 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148211 */     // MIs[0] policy
     /* 2148211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148214 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148221 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF4_E16_MASK),
     /* 2148224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148226 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148228 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148230 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148232 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148234 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148244 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148247 */     // GIR_Coverage, 17721,
     /* 2148247 */     GIR_EraseRootFromParent_Done,
     /* 2148248 */   // Label 28367: @2148248
     /* 2148248 */   GIM_Try, /*On fail goto*//*Label 28368*/ GIMT_Encode4(2148339), // Rule ID 17724 //
     /* 2148253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2148256 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148261 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148264 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2148270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148276 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148279 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148291 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148295 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148299 */     // MIs[0] round
     /* 2148299 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148302 */     // MIs[0] policy
     /* 2148302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148312 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2148315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148317 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148319 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148321 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148323 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148325 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148327 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148335 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148338 */     // GIR_Coverage, 17724,
     /* 2148338 */     GIR_EraseRootFromParent_Done,
     /* 2148339 */   // Label 28368: @2148339
     /* 2148339 */   GIM_Try, /*On fail goto*//*Label 28369*/ GIMT_Encode4(2148430), // Rule ID 17725 //
     /* 2148344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2148347 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148352 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2148355 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2148358 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2148361 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148364 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2148367 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148370 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2148374 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148378 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148382 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148386 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148390 */     // MIs[0] round
     /* 2148390 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148393 */     // MIs[0] policy
     /* 2148393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148396 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148403 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11306:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_MF2_E16_MASK),
     /* 2148406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148408 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148410 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148412 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148414 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148416 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148426 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148429 */     // GIR_Coverage, 17725,
     /* 2148429 */     GIR_EraseRootFromParent_Done,
     /* 2148430 */   // Label 28369: @2148430
     /* 2148430 */   GIM_Try, /*On fail goto*//*Label 28370*/ GIMT_Encode4(2148521), // Rule ID 17728 //
     /* 2148435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2148438 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148443 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148446 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148449 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2148452 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148455 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148458 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148469 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148473 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148477 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148481 */     // MIs[0] round
     /* 2148481 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148484 */     // MIs[0] policy
     /* 2148484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148494 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2148497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148499 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148501 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148503 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148505 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148507 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148517 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148520 */     // GIR_Coverage, 17728,
     /* 2148520 */     GIR_EraseRootFromParent_Done,
     /* 2148521 */   // Label 28370: @2148521
     /* 2148521 */   GIM_Try, /*On fail goto*//*Label 28371*/ GIMT_Encode4(2148612), // Rule ID 17729 //
     /* 2148526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2148529 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148534 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2148537 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2148540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2148543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2148549 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2148556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2148564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148568 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148572 */     // MIs[0] round
     /* 2148572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148575 */     // MIs[0] policy
     /* 2148575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148578 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148585 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M1_E16_MASK),
     /* 2148588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148590 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148594 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148596 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148598 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148600 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148608 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148611 */     // GIR_Coverage, 17729,
     /* 2148611 */     GIR_EraseRootFromParent_Done,
     /* 2148612 */   // Label 28371: @2148612
     /* 2148612 */   GIM_Try, /*On fail goto*//*Label 28372*/ GIMT_Encode4(2148703), // Rule ID 17732 //
     /* 2148617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2148620 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148625 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2148628 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2148631 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2148634 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148637 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148640 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148651 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148655 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148659 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148663 */     // MIs[0] round
     /* 2148663 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148666 */     // MIs[0] policy
     /* 2148666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148669 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148676 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2148679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148681 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148685 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148687 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148689 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148699 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148702 */     // GIR_Coverage, 17732,
     /* 2148702 */     GIR_EraseRootFromParent_Done,
     /* 2148703 */   // Label 28372: @2148703
     /* 2148703 */   GIM_Try, /*On fail goto*//*Label 28373*/ GIMT_Encode4(2148794), // Rule ID 17733 //
     /* 2148708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2148711 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148716 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2148719 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2148722 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2148725 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148728 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2148731 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2148738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2148746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148750 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148754 */     // MIs[0] round
     /* 2148754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148757 */     // MIs[0] policy
     /* 2148757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148760 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148767 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M2_E16_MASK),
     /* 2148770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148772 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148776 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148778 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148780 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148782 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148790 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148793 */     // GIR_Coverage, 17733,
     /* 2148793 */     GIR_EraseRootFromParent_Done,
     /* 2148794 */   // Label 28373: @2148794
     /* 2148794 */   GIM_Try, /*On fail goto*//*Label 28374*/ GIMT_Encode4(2148885), // Rule ID 17736 //
     /* 2148799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2148802 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148807 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2148810 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2148813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2148816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148822 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2148825 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148833 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148837 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148841 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148845 */     // MIs[0] round
     /* 2148845 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148848 */     // MIs[0] policy
     /* 2148848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148851 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148858 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2148858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2148861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148863 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148865 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148867 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148869 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148871 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148873 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148881 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148884 */     // GIR_Coverage, 17736,
     /* 2148884 */     GIR_EraseRootFromParent_Done,
     /* 2148885 */   // Label 28374: @2148885
     /* 2148885 */   GIM_Try, /*On fail goto*//*Label 28375*/ GIMT_Encode4(2148976), // Rule ID 17737 //
     /* 2148890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2148893 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148898 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2148901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2148904 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2148907 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s16,
     /* 2148910 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2148913 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2148916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2148920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2148924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2148928 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2148932 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2148936 */     // MIs[0] round
     /* 2148936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2148939 */     // MIs[0] policy
     /* 2148939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2148942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2148949 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2148949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR16_M4_E16_MASK),
     /* 2148952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2148954 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2148956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2148958 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2148960 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2148962 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2148964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2148969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2148972 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2148974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2148975 */     // GIR_Coverage, 17737,
     /* 2148975 */     GIR_EraseRootFromParent_Done,
     /* 2148976 */   // Label 28375: @2148976
     /* 2148976 */   GIM_Try, /*On fail goto*//*Label 28376*/ GIMT_Encode4(2149067), // Rule ID 17740 //
     /* 2148981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2148984 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2148989 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2148992 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2148995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2148998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149004 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149011 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149015 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149019 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149023 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149027 */     // MIs[0] round
     /* 2149027 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149030 */     // MIs[0] policy
     /* 2149030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149033 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149040 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2149043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149045 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149047 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149049 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149051 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149053 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149055 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149063 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149066 */     // GIR_Coverage, 17740,
     /* 2149066 */     GIR_EraseRootFromParent_Done,
     /* 2149067 */   // Label 28376: @2149067
     /* 2149067 */   GIM_Try, /*On fail goto*//*Label 28377*/ GIMT_Encode4(2149158), // Rule ID 17741 //
     /* 2149072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2149075 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2149080 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2149083 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2149086 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149089 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149092 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149095 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149114 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149118 */     // MIs[0] round
     /* 2149118 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149121 */     // MIs[0] policy
     /* 2149121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149124 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149131 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11306:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_MF2_E32_MASK),
     /* 2149134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149136 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149140 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149142 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149144 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149154 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149157 */     // GIR_Coverage, 17741,
     /* 2149157 */     GIR_EraseRootFromParent_Done,
     /* 2149158 */   // Label 28377: @2149158
     /* 2149158 */   GIM_Try, /*On fail goto*//*Label 28378*/ GIMT_Encode4(2149249), // Rule ID 17744 //
     /* 2149163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2149166 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2149171 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149174 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2149180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149186 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149205 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149209 */     // MIs[0] round
     /* 2149209 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149212 */     // MIs[0] policy
     /* 2149212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149222 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2149225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149227 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149229 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149231 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149233 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149235 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149237 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149245 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149248 */     // GIR_Coverage, 17744,
     /* 2149248 */     GIR_EraseRootFromParent_Done,
     /* 2149249 */   // Label 28378: @2149249
     /* 2149249 */   GIM_Try, /*On fail goto*//*Label 28379*/ GIMT_Encode4(2149340), // Rule ID 17745 //
     /* 2149254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2149257 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2149262 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2149265 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2149268 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2149271 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149274 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149277 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149280 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2149284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149288 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149292 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149296 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149300 */     // MIs[0] round
     /* 2149300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149303 */     // MIs[0] policy
     /* 2149303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149313 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11306:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M1_E32_MASK),
     /* 2149316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149318 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149322 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149324 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149326 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149328 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149336 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149339 */     // GIR_Coverage, 17745,
     /* 2149339 */     GIR_EraseRootFromParent_Done,
     /* 2149340 */   // Label 28379: @2149340
     /* 2149340 */   GIM_Try, /*On fail goto*//*Label 28380*/ GIMT_Encode4(2149431), // Rule ID 17748 //
     /* 2149345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2149348 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2149353 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149359 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2149362 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149365 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149368 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149375 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149379 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149387 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149391 */     // MIs[0] round
     /* 2149391 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149394 */     // MIs[0] policy
     /* 2149394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149397 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149404 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2149407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149409 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149411 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149413 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149415 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149417 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149427 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149430 */     // GIR_Coverage, 17748,
     /* 2149430 */     GIR_EraseRootFromParent_Done,
     /* 2149431 */   // Label 28380: @2149431
     /* 2149431 */   GIM_Try, /*On fail goto*//*Label 28381*/ GIMT_Encode4(2149522), // Rule ID 17749 //
     /* 2149436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2149439 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2149444 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2149447 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2149450 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2149453 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149456 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2149459 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149462 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2149466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149470 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2149474 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149478 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149482 */     // MIs[0] round
     /* 2149482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149485 */     // MIs[0] policy
     /* 2149485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149488 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149495 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11306:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M2_E32_MASK),
     /* 2149498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149500 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149504 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149506 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149508 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149510 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149518 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149521 */     // GIR_Coverage, 17749,
     /* 2149521 */     GIR_EraseRootFromParent_Done,
     /* 2149522 */   // Label 28381: @2149522
     /* 2149522 */   GIM_Try, /*On fail goto*//*Label 28382*/ GIMT_Encode4(2149613), // Rule ID 17752 //
     /* 2149527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2149530 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2149535 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2149538 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2149541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2149544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149550 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149569 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149573 */     // MIs[0] round
     /* 2149573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149576 */     // MIs[0] policy
     /* 2149576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149579 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149586 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2149589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149591 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149593 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149595 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149597 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149599 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149609 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149612 */     // GIR_Coverage, 17752,
     /* 2149612 */     GIR_EraseRootFromParent_Done,
     /* 2149613 */   // Label 28382: @2149613
     /* 2149613 */   GIM_Try, /*On fail goto*//*Label 28383*/ GIMT_Encode4(2149704), // Rule ID 17753 //
     /* 2149618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2149621 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmul_mask),
     /* 2149626 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2149629 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2149632 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2149635 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2149638 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2149641 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2149648 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2149652 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2149656 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2149660 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149664 */     // MIs[0] round
     /* 2149664 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149667 */     // MIs[0] policy
     /* 2149667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149677 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11306:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMUL_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMUL_VFPR32_M4_E32_MASK),
     /* 2149680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149682 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2149684 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149686 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149688 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149690 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149692 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149700 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149703 */     // GIR_Coverage, 17753,
     /* 2149703 */     GIR_EraseRootFromParent_Done,
     /* 2149704 */   // Label 28383: @2149704
     /* 2149704 */   GIM_Try, /*On fail goto*//*Label 28384*/ GIMT_Encode4(2149795), // Rule ID 17756 //
     /* 2149709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2149712 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149717 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2149720 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2149723 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2149726 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2149729 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149732 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149735 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149743 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149747 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149751 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149755 */     // MIs[0] round
     /* 2149755 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149758 */     // MIs[0] policy
     /* 2149758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149761 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149768 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2149771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149777 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149779 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149781 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149783 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149791 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149794 */     // GIR_Coverage, 17756,
     /* 2149794 */     GIR_EraseRootFromParent_Done,
     /* 2149795 */   // Label 28384: @2149795
     /* 2149795 */   GIM_Try, /*On fail goto*//*Label 28385*/ GIMT_Encode4(2149886), // Rule ID 17757 //
     /* 2149800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2149803 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149808 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2149811 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2149814 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2149817 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2149820 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2149823 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2149826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149846 */     // MIs[0] round
     /* 2149846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149849 */     // MIs[0] policy
     /* 2149849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149852 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149859 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2149859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E16_MASK),
     /* 2149862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149866 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149868 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149870 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149872 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149874 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2149882 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149885 */     // GIR_Coverage, 17757,
     /* 2149885 */     GIR_EraseRootFromParent_Done,
     /* 2149886 */   // Label 28385: @2149886
     /* 2149886 */   GIM_Try, /*On fail goto*//*Label 28386*/ GIMT_Encode4(2149977), // Rule ID 17760 //
     /* 2149891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2149894 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149899 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2149902 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2149905 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149908 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2149911 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2149914 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2149917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2149921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149925 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149929 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2149933 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2149937 */     // MIs[0] round
     /* 2149937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2149940 */     // MIs[0] policy
     /* 2149940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2149943 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2149950 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2149950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2149953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2149955 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2149957 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2149959 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2149961 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2149963 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2149965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2149970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2149973 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2149975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2149976 */     // GIR_Coverage, 17760,
     /* 2149976 */     GIR_EraseRootFromParent_Done,
     /* 2149977 */   // Label 28386: @2149977
     /* 2149977 */   GIM_Try, /*On fail goto*//*Label 28387*/ GIMT_Encode4(2150068), // Rule ID 17761 //
     /* 2149982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2149985 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2149990 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2149993 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2149996 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2149999 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2150002 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150005 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150016 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150020 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150024 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150028 */     // MIs[0] round
     /* 2150028 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150031 */     // MIs[0] policy
     /* 2150031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150034 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150041 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_MF2_E32_MASK),
     /* 2150044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150048 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150050 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150052 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150054 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150056 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150064 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150067 */     // GIR_Coverage, 17761,
     /* 2150067 */     GIR_EraseRootFromParent_Done,
     /* 2150068 */   // Label 28387: @2150068
     /* 2150068 */   GIM_Try, /*On fail goto*//*Label 28388*/ GIMT_Encode4(2150159), // Rule ID 17764 //
     /* 2150073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150076 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150081 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150084 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150087 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150090 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150093 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150096 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150103 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150107 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150115 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150119 */     // MIs[0] round
     /* 2150119 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150122 */     // MIs[0] policy
     /* 2150122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150125 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150132 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2150135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150139 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150141 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150143 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150145 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150155 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150158 */     // GIR_Coverage, 17764,
     /* 2150158 */     GIR_EraseRootFromParent_Done,
     /* 2150159 */   // Label 28388: @2150159
     /* 2150159 */   GIM_Try, /*On fail goto*//*Label 28389*/ GIMT_Encode4(2150250), // Rule ID 17765 //
     /* 2150164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150167 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150172 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2150175 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2150178 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2150181 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2150184 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2150187 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150190 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150206 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150210 */     // MIs[0] round
     /* 2150210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150213 */     // MIs[0] policy
     /* 2150213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150216 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150223 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E16_MASK),
     /* 2150226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150232 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150234 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150236 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150238 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150246 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150249 */     // GIR_Coverage, 17765,
     /* 2150249 */     GIR_EraseRootFromParent_Done,
     /* 2150250 */   // Label 28389: @2150250
     /* 2150250 */   GIM_Try, /*On fail goto*//*Label 28390*/ GIMT_Encode4(2150341), // Rule ID 17768 //
     /* 2150255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2150258 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150263 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2150266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2150269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2150272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2150275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150278 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150285 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150289 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150293 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150297 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150301 */     // MIs[0] round
     /* 2150301 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150304 */     // MIs[0] policy
     /* 2150304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150307 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150314 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2150317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150323 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150325 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150327 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150337 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150340 */     // GIR_Coverage, 17768,
     /* 2150340 */     GIR_EraseRootFromParent_Done,
     /* 2150341 */   // Label 28390: @2150341
     /* 2150341 */   GIM_Try, /*On fail goto*//*Label 28391*/ GIMT_Encode4(2150432), // Rule ID 17769 //
     /* 2150346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2150349 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150354 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2150357 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2150360 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2150363 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2150366 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2150369 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150372 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150376 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150380 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150384 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150388 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150392 */     // MIs[0] round
     /* 2150392 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150395 */     // MIs[0] policy
     /* 2150395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150405 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E32_MASK),
     /* 2150408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150412 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150414 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150416 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150418 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2150428 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150431 */     // GIR_Coverage, 17769,
     /* 2150431 */     GIR_EraseRootFromParent_Done,
     /* 2150432 */   // Label 28391: @2150432
     /* 2150432 */   GIM_Try, /*On fail goto*//*Label 28392*/ GIMT_Encode4(2150523), // Rule ID 17772 //
     /* 2150437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2150440 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150445 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150448 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150451 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150454 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150457 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150460 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150463 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150471 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150475 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150479 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150483 */     // MIs[0] round
     /* 2150483 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150486 */     // MIs[0] policy
     /* 2150486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150496 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2150499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150503 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150505 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150507 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150509 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150511 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150519 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150522 */     // GIR_Coverage, 17772,
     /* 2150522 */     GIR_EraseRootFromParent_Done,
     /* 2150523 */   // Label 28392: @2150523
     /* 2150523 */   GIM_Try, /*On fail goto*//*Label 28393*/ GIMT_Encode4(2150614), // Rule ID 17773 //
     /* 2150528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2150531 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150536 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2150539 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2150542 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2150545 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2150548 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2150551 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2150558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2150570 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150574 */     // MIs[0] round
     /* 2150574 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150577 */     // MIs[0] policy
     /* 2150577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150580 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150587 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M1_E64_MASK),
     /* 2150590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150594 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150596 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150598 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150600 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150602 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2150610 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150613 */     // GIR_Coverage, 17773,
     /* 2150613 */     GIR_EraseRootFromParent_Done,
     /* 2150614 */   // Label 28393: @2150614
     /* 2150614 */   GIM_Try, /*On fail goto*//*Label 28394*/ GIMT_Encode4(2150705), // Rule ID 17776 //
     /* 2150619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150622 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150627 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2150630 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2150633 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2150636 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2150639 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150642 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150645 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150657 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150661 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150665 */     // MIs[0] round
     /* 2150665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150668 */     // MIs[0] policy
     /* 2150668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150671 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150678 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2150681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150685 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150687 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150689 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150691 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150701 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150704 */     // GIR_Coverage, 17776,
     /* 2150704 */     GIR_EraseRootFromParent_Done,
     /* 2150705 */   // Label 28394: @2150705
     /* 2150705 */   GIM_Try, /*On fail goto*//*Label 28395*/ GIMT_Encode4(2150796), // Rule ID 17777 //
     /* 2150710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150713 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150718 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2150721 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2150724 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2150727 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2150730 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2150733 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2150740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150744 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150748 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2150752 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150756 */     // MIs[0] round
     /* 2150756 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150759 */     // MIs[0] policy
     /* 2150759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150762 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150769 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E16_MASK),
     /* 2150772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150778 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150780 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150782 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150792 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150795 */     // GIR_Coverage, 17777,
     /* 2150795 */     GIR_EraseRootFromParent_Done,
     /* 2150796 */   // Label 28395: @2150796
     /* 2150796 */   GIM_Try, /*On fail goto*//*Label 28396*/ GIMT_Encode4(2150887), // Rule ID 17780 //
     /* 2150801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150804 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150809 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2150812 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2150815 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2150818 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2150821 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150824 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2150827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150835 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150843 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150847 */     // MIs[0] round
     /* 2150847 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150850 */     // MIs[0] policy
     /* 2150850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150853 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150860 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2150860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2150863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150869 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150871 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150873 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150883 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150886 */     // GIR_Coverage, 17780,
     /* 2150886 */     GIR_EraseRootFromParent_Done,
     /* 2150887 */   // Label 28396: @2150887
     /* 2150887 */   GIM_Try, /*On fail goto*//*Label 28397*/ GIMT_Encode4(2150978), // Rule ID 17781 //
     /* 2150892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2150895 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150900 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2150903 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2150906 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2150909 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2150912 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2150915 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2150918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2150922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150926 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150930 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2150934 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2150938 */     // MIs[0] round
     /* 2150938 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2150941 */     // MIs[0] policy
     /* 2150941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2150944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2150951 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2150951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E16_MASK),
     /* 2150954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2150956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2150958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2150960 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2150962 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2150964 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2150966 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2150971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2150974 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2150976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2150977 */     // GIR_Coverage, 17781,
     /* 2150977 */     GIR_EraseRootFromParent_Done,
     /* 2150978 */   // Label 28397: @2150978
     /* 2150978 */   GIM_Try, /*On fail goto*//*Label 28398*/ GIMT_Encode4(2151069), // Rule ID 17784 //
     /* 2150983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2150986 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2150991 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2150994 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2150997 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151000 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151003 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151006 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151009 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151013 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151017 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151021 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151025 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151029 */     // MIs[0] round
     /* 2151029 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151032 */     // MIs[0] policy
     /* 2151032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151035 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151042 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2151045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151051 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151053 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151055 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151057 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151065 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151068 */     // GIR_Coverage, 17784,
     /* 2151068 */     GIR_EraseRootFromParent_Done,
     /* 2151069 */   // Label 28398: @2151069
     /* 2151069 */   GIM_Try, /*On fail goto*//*Label 28399*/ GIMT_Encode4(2151160), // Rule ID 17785 //
     /* 2151074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2151077 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151082 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2151085 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2151088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2151091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2151094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2151097 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151104 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151108 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151112 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151116 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151120 */     // MIs[0] round
     /* 2151120 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151123 */     // MIs[0] policy
     /* 2151123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151133 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E16_MASK),
     /* 2151136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151140 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151142 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151144 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151146 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2151156 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151159 */     // GIR_Coverage, 17785,
     /* 2151159 */     GIR_EraseRootFromParent_Done,
     /* 2151160 */   // Label 28399: @2151160
     /* 2151160 */   GIM_Try, /*On fail goto*//*Label 28400*/ GIMT_Encode4(2151251), // Rule ID 17788 //
     /* 2151165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151168 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151173 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151176 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151179 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151182 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151185 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151188 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151199 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151203 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151207 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151211 */     // MIs[0] round
     /* 2151211 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151214 */     // MIs[0] policy
     /* 2151214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151217 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151224 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2151227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151231 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151233 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151235 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151237 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151239 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151247 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151250 */     // GIR_Coverage, 17788,
     /* 2151250 */     GIR_EraseRootFromParent_Done,
     /* 2151251 */   // Label 28400: @2151251
     /* 2151251 */   GIM_Try, /*On fail goto*//*Label 28401*/ GIMT_Encode4(2151342), // Rule ID 17789 //
     /* 2151256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151259 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151264 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2151267 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2151270 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2151273 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2151276 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151279 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151298 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151302 */     // MIs[0] round
     /* 2151302 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151305 */     // MIs[0] policy
     /* 2151305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151308 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151315 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E32_MASK),
     /* 2151318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151324 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151326 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151328 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151338 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151341 */     // GIR_Coverage, 17789,
     /* 2151341 */     GIR_EraseRootFromParent_Done,
     /* 2151342 */   // Label 28401: @2151342
     /* 2151342 */   GIM_Try, /*On fail goto*//*Label 28402*/ GIMT_Encode4(2151433), // Rule ID 17792 //
     /* 2151347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151350 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151355 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2151358 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2151361 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2151364 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2151367 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151370 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151373 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151377 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151381 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151385 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151389 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151393 */     // MIs[0] round
     /* 2151393 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151396 */     // MIs[0] policy
     /* 2151396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151399 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151406 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2151409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151415 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151417 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151419 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151429 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151432 */     // GIR_Coverage, 17792,
     /* 2151432 */     GIR_EraseRootFromParent_Done,
     /* 2151433 */   // Label 28402: @2151433
     /* 2151433 */   GIM_Try, /*On fail goto*//*Label 28403*/ GIMT_Encode4(2151524), // Rule ID 17793 //
     /* 2151438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151441 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151446 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2151449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2151452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2151455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2151458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2151461 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151464 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151476 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151480 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151484 */     // MIs[0] round
     /* 2151484 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151487 */     // MIs[0] policy
     /* 2151487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151490 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151497 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E32_MASK),
     /* 2151500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151502 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151504 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151506 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151508 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151510 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151512 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151520 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151523 */     // GIR_Coverage, 17793,
     /* 2151523 */     GIR_EraseRootFromParent_Done,
     /* 2151524 */   // Label 28403: @2151524
     /* 2151524 */   GIM_Try, /*On fail goto*//*Label 28404*/ GIMT_Encode4(2151615), // Rule ID 17796 //
     /* 2151529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2151532 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151537 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2151540 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2151543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2151546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2151549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151552 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151555 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151563 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151567 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151571 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151575 */     // MIs[0] round
     /* 2151575 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151578 */     // MIs[0] policy
     /* 2151578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151588 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2151591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151595 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151597 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151599 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151601 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151611 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151614 */     // GIR_Coverage, 17796,
     /* 2151614 */     GIR_EraseRootFromParent_Done,
     /* 2151615 */   // Label 28404: @2151615
     /* 2151615 */   GIM_Try, /*On fail goto*//*Label 28405*/ GIMT_Encode4(2151706), // Rule ID 17797 //
     /* 2151620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2151623 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151628 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2151631 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2151634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2151637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2151640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2151643 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151646 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2151650 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151658 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2151662 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151666 */     // MIs[0] round
     /* 2151666 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151669 */     // MIs[0] policy
     /* 2151669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151679 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E32_MASK),
     /* 2151682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151686 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151688 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151690 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151692 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151694 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2151702 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151705 */     // GIR_Coverage, 17797,
     /* 2151705 */     GIR_EraseRootFromParent_Done,
     /* 2151706 */   // Label 28405: @2151706
     /* 2151706 */   GIM_Try, /*On fail goto*//*Label 28406*/ GIMT_Encode4(2151797), // Rule ID 17800 //
     /* 2151711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151714 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151719 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151725 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151728 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2151731 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151734 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151737 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151741 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151745 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151749 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151753 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151757 */     // MIs[0] round
     /* 2151757 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151760 */     // MIs[0] policy
     /* 2151760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151763 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151770 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2151773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151779 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151781 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151783 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151793 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151796 */     // GIR_Coverage, 17800,
     /* 2151796 */     GIR_EraseRootFromParent_Done,
     /* 2151797 */   // Label 28406: @2151797
     /* 2151797 */   GIM_Try, /*On fail goto*//*Label 28407*/ GIMT_Encode4(2151888), // Rule ID 17801 //
     /* 2151802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2151813 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2151816 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2151819 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2151822 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2151825 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2151828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2151832 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151836 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151840 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2151844 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151848 */     // MIs[0] round
     /* 2151848 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151851 */     // MIs[0] policy
     /* 2151851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151854 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151861 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2151861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M2_E64_MASK),
     /* 2151864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151868 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151870 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151872 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151874 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151884 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151887 */     // GIR_Coverage, 17801,
     /* 2151887 */     GIR_EraseRootFromParent_Done,
     /* 2151888 */   // Label 28407: @2151888
     /* 2151888 */   GIM_Try, /*On fail goto*//*Label 28408*/ GIMT_Encode4(2151979), // Rule ID 17804 //
     /* 2151893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2151896 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151901 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151904 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2151910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2151913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2151916 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2151919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2151923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151931 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2151935 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2151939 */     // MIs[0] round
     /* 2151939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2151942 */     // MIs[0] policy
     /* 2151942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2151945 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2151952 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2151952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2151955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2151957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2151959 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2151961 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2151963 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2151965 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2151967 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2151972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2151975 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2151977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2151978 */     // GIR_Coverage, 17804,
     /* 2151978 */     GIR_EraseRootFromParent_Done,
     /* 2151979 */   // Label 28408: @2151979
     /* 2151979 */   GIM_Try, /*On fail goto*//*Label 28409*/ GIMT_Encode4(2152070), // Rule ID 17805 //
     /* 2151984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2151987 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2151992 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2151995 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2151998 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2152001 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2152004 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152007 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2152014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152022 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2152026 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152030 */     // MIs[0] round
     /* 2152030 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152033 */     // MIs[0] policy
     /* 2152033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152036 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152043 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M4_E64_MASK),
     /* 2152046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152052 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152054 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152056 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152066 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152069 */     // GIR_Coverage, 17805,
     /* 2152069 */     GIR_EraseRootFromParent_Done,
     /* 2152070 */   // Label 28409: @2152070
     /* 2152070 */   GIM_Try, /*On fail goto*//*Label 28410*/ GIMT_Encode4(2152161), // Rule ID 17808 //
     /* 2152075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2152078 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152083 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152086 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152089 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152092 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152095 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152098 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152101 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152117 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152121 */     // MIs[0] round
     /* 2152121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152124 */     // MIs[0] policy
     /* 2152124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152127 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152134 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2152137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152139 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152143 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152145 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152147 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152157 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152160 */     // GIR_Coverage, 17808,
     /* 2152160 */     GIR_EraseRootFromParent_Done,
     /* 2152161 */   // Label 28410: @2152161
     /* 2152161 */   GIM_Try, /*On fail goto*//*Label 28411*/ GIMT_Encode4(2152252), // Rule ID 17809 //
     /* 2152166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2152169 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152174 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2152177 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2152180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2152183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2152186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2152189 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152192 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2152196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152204 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2152208 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152212 */     // MIs[0] round
     /* 2152212 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152215 */     // MIs[0] policy
     /* 2152215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152225 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VV_M8_E64_MASK),
     /* 2152228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152234 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152236 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152238 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152240 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2152248 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152251 */     // GIR_Coverage, 17809,
     /* 2152251 */     GIR_EraseRootFromParent_Done,
     /* 2152252 */   // Label 28411: @2152252
     /* 2152252 */   GIM_Try, /*On fail goto*//*Label 28412*/ GIMT_Encode4(2152343), // Rule ID 17812 //
     /* 2152257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152260 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152265 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152268 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152271 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152274 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152277 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152280 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152287 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152291 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152295 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152299 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152303 */     // MIs[0] round
     /* 2152303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152306 */     // MIs[0] policy
     /* 2152306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152316 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2152319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152323 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152325 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152327 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152329 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152339 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152342 */     // GIR_Coverage, 17812,
     /* 2152342 */     GIR_EraseRootFromParent_Done,
     /* 2152343 */   // Label 28412: @2152343
     /* 2152343 */   GIM_Try, /*On fail goto*//*Label 28413*/ GIMT_Encode4(2152434), // Rule ID 17813 //
     /* 2152348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152351 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152356 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2152359 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2152362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2152368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152371 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152374 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152378 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152386 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152390 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152394 */     // MIs[0] round
     /* 2152394 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152397 */     // MIs[0] policy
     /* 2152397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152400 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152407 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF4_E16_MASK),
     /* 2152410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152416 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152418 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152420 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152422 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152430 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152433 */     // GIR_Coverage, 17813,
     /* 2152433 */     GIR_EraseRootFromParent_Done,
     /* 2152434 */   // Label 28413: @2152434
     /* 2152434 */   GIM_Try, /*On fail goto*//*Label 28414*/ GIMT_Encode4(2152525), // Rule ID 17816 //
     /* 2152439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152442 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152447 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152450 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152456 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152459 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152462 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152473 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152477 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152481 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152485 */     // MIs[0] round
     /* 2152485 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152488 */     // MIs[0] policy
     /* 2152488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152491 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152498 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2152501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152507 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152509 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152511 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152513 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152521 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152524 */     // GIR_Coverage, 17816,
     /* 2152524 */     GIR_EraseRootFromParent_Done,
     /* 2152525 */   // Label 28414: @2152525
     /* 2152525 */   GIM_Try, /*On fail goto*//*Label 28415*/ GIMT_Encode4(2152616), // Rule ID 17817 //
     /* 2152530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152533 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152538 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2152541 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2152544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2152550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2152553 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152572 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152576 */     // MIs[0] round
     /* 2152576 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152579 */     // MIs[0] policy
     /* 2152579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152582 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152589 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_MF2_E16_MASK),
     /* 2152592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152598 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152600 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152602 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152612 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152615 */     // GIR_Coverage, 17817,
     /* 2152615 */     GIR_EraseRootFromParent_Done,
     /* 2152616 */   // Label 28415: @2152616
     /* 2152616 */   GIM_Try, /*On fail goto*//*Label 28416*/ GIMT_Encode4(2152707), // Rule ID 17820 //
     /* 2152621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152624 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152629 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2152632 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2152635 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152638 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2152641 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152644 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152655 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152659 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152663 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152667 */     // MIs[0] round
     /* 2152667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152670 */     // MIs[0] policy
     /* 2152670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152680 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2152683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152685 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152687 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152689 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152691 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152693 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152695 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152703 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152706 */     // GIR_Coverage, 17820,
     /* 2152706 */     GIR_EraseRootFromParent_Done,
     /* 2152707 */   // Label 28416: @2152707
     /* 2152707 */   GIM_Try, /*On fail goto*//*Label 28417*/ GIMT_Encode4(2152798), // Rule ID 17821 //
     /* 2152712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2152715 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152720 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2152723 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2152726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2152729 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2152732 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2152735 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152746 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2152750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152754 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152758 */     // MIs[0] round
     /* 2152758 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152761 */     // MIs[0] policy
     /* 2152761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152771 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_MF2_E32_MASK),
     /* 2152774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152778 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152780 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152782 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152784 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152786 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2152794 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152797 */     // GIR_Coverage, 17821,
     /* 2152797 */     GIR_EraseRootFromParent_Done,
     /* 2152798 */   // Label 28417: @2152798
     /* 2152798 */   GIM_Try, /*On fail goto*//*Label 28418*/ GIMT_Encode4(2152889), // Rule ID 17824 //
     /* 2152803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2152806 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152811 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2152814 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2152823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152826 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2152829 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152841 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152845 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152849 */     // MIs[0] round
     /* 2152849 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152852 */     // MIs[0] policy
     /* 2152852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152862 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2152862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2152865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152867 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152871 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152873 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152875 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152885 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152888 */     // GIR_Coverage, 17824,
     /* 2152888 */     GIR_EraseRootFromParent_Done,
     /* 2152889 */   // Label 28418: @2152889
     /* 2152889 */   GIM_Try, /*On fail goto*//*Label 28419*/ GIMT_Encode4(2152980), // Rule ID 17825 //
     /* 2152894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2152897 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152902 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2152905 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2152908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2152911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2152914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2152917 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2152920 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2152924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2152932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2152936 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2152940 */     // MIs[0] round
     /* 2152940 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2152943 */     // MIs[0] policy
     /* 2152943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2152946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2152953 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11206:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2152953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M1_E16_MASK),
     /* 2152956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2152958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2152960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2152962 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2152964 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2152966 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2152968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2152973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2152976 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2152978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2152979 */     // GIR_Coverage, 17825,
     /* 2152979 */     GIR_EraseRootFromParent_Done,
     /* 2152980 */   // Label 28419: @2152980
     /* 2152980 */   GIM_Try, /*On fail goto*//*Label 28420*/ GIMT_Encode4(2153071), // Rule ID 17828 //
     /* 2152985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2152988 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2152993 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2152996 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2152999 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153002 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153005 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153008 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153015 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153019 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153023 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153027 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153031 */     // MIs[0] round
     /* 2153031 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153034 */     // MIs[0] policy
     /* 2153034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153044 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2153047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153051 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153053 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153055 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153057 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153059 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153067 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153070 */     // GIR_Coverage, 17828,
     /* 2153070 */     GIR_EraseRootFromParent_Done,
     /* 2153071 */   // Label 28420: @2153071
     /* 2153071 */   GIM_Try, /*On fail goto*//*Label 28421*/ GIMT_Encode4(2153162), // Rule ID 17829 //
     /* 2153076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153079 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153084 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2153087 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2153090 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153093 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2153096 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2153099 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153102 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153114 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153118 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153122 */     // MIs[0] round
     /* 2153122 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153125 */     // MIs[0] policy
     /* 2153125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153128 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153135 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11206:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M1_E32_MASK),
     /* 2153138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153144 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153146 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153148 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153150 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153158 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153161 */     // GIR_Coverage, 17829,
     /* 2153161 */     GIR_EraseRootFromParent_Done,
     /* 2153162 */   // Label 28421: @2153162
     /* 2153162 */   GIM_Try, /*On fail goto*//*Label 28422*/ GIMT_Encode4(2153253), // Rule ID 17832 //
     /* 2153167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2153170 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153175 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153178 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153181 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153184 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2153187 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153190 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153201 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153205 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153209 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153213 */     // MIs[0] round
     /* 2153213 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153216 */     // MIs[0] policy
     /* 2153216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153219 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153226 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2153229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153235 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153237 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153239 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153241 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153249 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153252 */     // GIR_Coverage, 17832,
     /* 2153252 */     GIR_EraseRootFromParent_Done,
     /* 2153253 */   // Label 28422: @2153253
     /* 2153253 */   GIM_Try, /*On fail goto*//*Label 28423*/ GIMT_Encode4(2153344), // Rule ID 17833 //
     /* 2153258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2153261 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153266 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2153269 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2153272 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2153275 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2153278 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2153281 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153284 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2153288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2153296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2153300 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153304 */     // MIs[0] round
     /* 2153304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153307 */     // MIs[0] policy
     /* 2153307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153310 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153317 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11206:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153317 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M1_E64_MASK),
     /* 2153320 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153324 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153326 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153328 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153330 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2153340 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153343 */     // GIR_Coverage, 17833,
     /* 2153343 */     GIR_EraseRootFromParent_Done,
     /* 2153344 */   // Label 28423: @2153344
     /* 2153344 */   GIM_Try, /*On fail goto*//*Label 28424*/ GIMT_Encode4(2153435), // Rule ID 17836 //
     /* 2153349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153352 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153357 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2153360 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153363 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153366 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2153369 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153372 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153383 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153387 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153391 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153395 */     // MIs[0] round
     /* 2153395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153398 */     // MIs[0] policy
     /* 2153398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153401 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153408 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2153411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153413 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153415 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153417 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153419 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153421 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153423 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153431 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153434 */     // GIR_Coverage, 17836,
     /* 2153434 */     GIR_EraseRootFromParent_Done,
     /* 2153435 */   // Label 28424: @2153435
     /* 2153435 */   GIM_Try, /*On fail goto*//*Label 28425*/ GIMT_Encode4(2153526), // Rule ID 17837 //
     /* 2153440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153443 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153448 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2153451 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2153454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153457 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2153460 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2153463 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153470 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153482 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153486 */     // MIs[0] round
     /* 2153486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153489 */     // MIs[0] policy
     /* 2153489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153492 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153499 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M2_E16_MASK),
     /* 2153502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153508 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153510 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153512 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153514 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153522 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153525 */     // GIR_Coverage, 17837,
     /* 2153525 */     GIR_EraseRootFromParent_Done,
     /* 2153526 */   // Label 28425: @2153526
     /* 2153526 */   GIM_Try, /*On fail goto*//*Label 28426*/ GIMT_Encode4(2153617), // Rule ID 17840 //
     /* 2153531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153534 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153539 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2153542 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2153545 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153548 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2153551 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153554 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153557 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153573 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153577 */     // MIs[0] round
     /* 2153577 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153580 */     // MIs[0] policy
     /* 2153580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153583 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153590 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2153593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153599 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153601 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153603 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153605 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153613 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153616 */     // GIR_Coverage, 17840,
     /* 2153616 */     GIR_EraseRootFromParent_Done,
     /* 2153617 */   // Label 28426: @2153617
     /* 2153617 */   GIM_Try, /*On fail goto*//*Label 28427*/ GIMT_Encode4(2153708), // Rule ID 17841 //
     /* 2153622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153625 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153630 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2153633 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2153636 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153639 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2153642 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2153645 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2153652 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153656 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153660 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2153664 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153668 */     // MIs[0] round
     /* 2153668 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153671 */     // MIs[0] policy
     /* 2153671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153674 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153681 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M4_E16_MASK),
     /* 2153684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153688 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153690 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153692 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153694 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153696 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153704 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153707 */     // GIR_Coverage, 17841,
     /* 2153707 */     GIR_EraseRootFromParent_Done,
     /* 2153708 */   // Label 28427: @2153708
     /* 2153708 */   GIM_Try, /*On fail goto*//*Label 28428*/ GIMT_Encode4(2153799), // Rule ID 17844 //
     /* 2153713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2153716 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153721 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2153724 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2153727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153730 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2153733 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2153736 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153743 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153747 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153751 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153755 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153759 */     // MIs[0] round
     /* 2153759 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153762 */     // MIs[0] policy
     /* 2153762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153772 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2153775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153779 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153781 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153783 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153785 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153787 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153795 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153798 */     // GIR_Coverage, 17844,
     /* 2153798 */     GIR_EraseRootFromParent_Done,
     /* 2153799 */   // Label 28428: @2153799
     /* 2153799 */   GIM_Try, /*On fail goto*//*Label 28429*/ GIMT_Encode4(2153890), // Rule ID 17845 //
     /* 2153804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2153807 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153812 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2153815 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2153818 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2153821 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2153824 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2153827 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2153830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2153834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2153842 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2153846 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153850 */     // MIs[0] round
     /* 2153850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153853 */     // MIs[0] policy
     /* 2153853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153856 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153863 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2153863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR16_M8_E16_MASK),
     /* 2153866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153872 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153874 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153876 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153878 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2153886 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153889 */     // GIR_Coverage, 17845,
     /* 2153889 */     GIR_EraseRootFromParent_Done,
     /* 2153890 */   // Label 28429: @2153890
     /* 2153890 */   GIM_Try, /*On fail goto*//*Label 28430*/ GIMT_Encode4(2153981), // Rule ID 17848 //
     /* 2153895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2153898 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153903 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2153906 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2153909 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2153912 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2153915 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2153918 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2153921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2153925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2153933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2153937 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2153941 */     // MIs[0] round
     /* 2153941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2153944 */     // MIs[0] policy
     /* 2153944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2153947 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2153954 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2153954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2153957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2153959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2153961 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2153963 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2153965 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2153967 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2153969 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2153974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2153977 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2153979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2153980 */     // GIR_Coverage, 17848,
     /* 2153980 */     GIR_EraseRootFromParent_Done,
     /* 2153981 */   // Label 28430: @2153981
     /* 2153981 */   GIM_Try, /*On fail goto*//*Label 28431*/ GIMT_Encode4(2154072), // Rule ID 17849 //
     /* 2153986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2153989 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2153994 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2153997 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2154000 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154003 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2154006 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154009 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154012 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154020 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154024 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154028 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154032 */     // MIs[0] round
     /* 2154032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154035 */     // MIs[0] policy
     /* 2154035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154038 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154045 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M2_E32_MASK),
     /* 2154048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154052 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154054 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154056 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154058 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154060 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154068 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154071 */     // GIR_Coverage, 17849,
     /* 2154071 */     GIR_EraseRootFromParent_Done,
     /* 2154072 */   // Label 28431: @2154072
     /* 2154072 */   GIM_Try, /*On fail goto*//*Label 28432*/ GIMT_Encode4(2154163), // Rule ID 17852 //
     /* 2154077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154080 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154085 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154100 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154103 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154115 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154119 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154123 */     // MIs[0] round
     /* 2154123 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154126 */     // MIs[0] policy
     /* 2154126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154129 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154136 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2154139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154143 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154145 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154147 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154149 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154159 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154162 */     // GIR_Coverage, 17852,
     /* 2154162 */     GIR_EraseRootFromParent_Done,
     /* 2154163 */   // Label 28432: @2154163
     /* 2154163 */   GIM_Try, /*On fail goto*//*Label 28433*/ GIMT_Encode4(2154254), // Rule ID 17853 //
     /* 2154168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154171 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154176 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2154179 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2154182 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154185 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2154188 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154191 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154198 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154202 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154210 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154214 */     // MIs[0] round
     /* 2154214 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154217 */     // MIs[0] policy
     /* 2154217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154220 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154227 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M4_E32_MASK),
     /* 2154230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154236 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154238 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154240 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154242 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154250 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154253 */     // GIR_Coverage, 17853,
     /* 2154253 */     GIR_EraseRootFromParent_Done,
     /* 2154254 */   // Label 28433: @2154254
     /* 2154254 */   GIM_Try, /*On fail goto*//*Label 28434*/ GIMT_Encode4(2154345), // Rule ID 17856 //
     /* 2154259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2154262 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154267 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2154270 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154273 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154276 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2154279 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154282 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154293 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154297 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154301 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154305 */     // MIs[0] round
     /* 2154305 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154308 */     // MIs[0] policy
     /* 2154308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154318 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2154321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154327 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154329 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154331 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154333 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154341 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154344 */     // GIR_Coverage, 17856,
     /* 2154344 */     GIR_EraseRootFromParent_Done,
     /* 2154345 */   // Label 28434: @2154345
     /* 2154345 */   GIM_Try, /*On fail goto*//*Label 28435*/ GIMT_Encode4(2154436), // Rule ID 17857 //
     /* 2154350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2154353 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154358 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2154361 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2154364 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2154367 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2154370 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2154373 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154380 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154384 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2154388 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154392 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154396 */     // MIs[0] round
     /* 2154396 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154399 */     // MIs[0] policy
     /* 2154399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154402 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154409 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR32_M8_E32_MASK),
     /* 2154412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154416 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154418 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154420 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154422 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154424 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2154432 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154435 */     // GIR_Coverage, 17857,
     /* 2154435 */     GIR_EraseRootFromParent_Done,
     /* 2154436 */   // Label 28435: @2154436
     /* 2154436 */   GIM_Try, /*On fail goto*//*Label 28436*/ GIMT_Encode4(2154527), // Rule ID 17860 //
     /* 2154441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154444 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154449 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154452 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154458 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154461 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154464 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154471 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154475 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154479 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154483 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154487 */     // MIs[0] round
     /* 2154487 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154490 */     // MIs[0] policy
     /* 2154490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154493 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154500 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2154503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154507 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154509 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154511 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154513 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154523 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154526 */     // GIR_Coverage, 17860,
     /* 2154526 */     GIR_EraseRootFromParent_Done,
     /* 2154527 */   // Label 28436: @2154527
     /* 2154527 */   GIM_Try, /*On fail goto*//*Label 28437*/ GIMT_Encode4(2154618), // Rule ID 17861 //
     /* 2154532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2154543 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2154546 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154549 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2154552 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2154555 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2154562 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154566 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154570 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2154574 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154578 */     // MIs[0] round
     /* 2154578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154581 */     // MIs[0] policy
     /* 2154581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154584 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154591 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11206:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M2_E64_MASK),
     /* 2154594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154598 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154600 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154602 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154604 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154606 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154614 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154617 */     // GIR_Coverage, 17861,
     /* 2154617 */     GIR_EraseRootFromParent_Done,
     /* 2154618 */   // Label 28437: @2154618
     /* 2154618 */   GIM_Try, /*On fail goto*//*Label 28438*/ GIMT_Encode4(2154709), // Rule ID 17864 //
     /* 2154623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154626 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154631 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2154634 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2154637 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154640 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2154643 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154646 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154649 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154657 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154665 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154669 */     // MIs[0] round
     /* 2154669 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154672 */     // MIs[0] policy
     /* 2154672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154675 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154682 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154682 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2154685 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154691 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154693 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154695 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154705 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154708 */     // GIR_Coverage, 17864,
     /* 2154708 */     GIR_EraseRootFromParent_Done,
     /* 2154709 */   // Label 28438: @2154709
     /* 2154709 */   GIM_Try, /*On fail goto*//*Label 28439*/ GIMT_Encode4(2154800), // Rule ID 17865 //
     /* 2154714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154717 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154722 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2154725 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2154728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154731 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2154734 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2154737 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154740 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2154744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154748 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154752 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2154756 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154760 */     // MIs[0] round
     /* 2154760 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154763 */     // MIs[0] policy
     /* 2154763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154766 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154773 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11206:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M4_E64_MASK),
     /* 2154776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154782 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154784 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154786 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154788 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154796 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154799 */     // GIR_Coverage, 17865,
     /* 2154799 */     GIR_EraseRootFromParent_Done,
     /* 2154800 */   // Label 28439: @2154800
     /* 2154800 */   GIM_Try, /*On fail goto*//*Label 28440*/ GIMT_Encode4(2154891), // Rule ID 17868 //
     /* 2154805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2154808 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154813 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2154816 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2154825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154828 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2154831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154839 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154843 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154847 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154851 */     // MIs[0] round
     /* 2154851 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154854 */     // MIs[0] policy
     /* 2154854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154857 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154864 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2154864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2154867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154871 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154873 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154875 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154877 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154879 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154887 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154890 */     // GIR_Coverage, 17868,
     /* 2154890 */     GIR_EraseRootFromParent_Done,
     /* 2154891 */   // Label 28440: @2154891
     /* 2154891 */   GIM_Try, /*On fail goto*//*Label 28441*/ GIMT_Encode4(2154982), // Rule ID 17869 //
     /* 2154896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2154899 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmacc_mask),
     /* 2154904 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2154907 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2154910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2154913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2154916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2154919 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2154922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2154926 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154930 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2154934 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2154938 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2154942 */     // MIs[0] round
     /* 2154942 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2154945 */     // MIs[0] policy
     /* 2154945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2154948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2154955 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11206:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2154955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMACC_VFPR64_M8_E64_MASK),
     /* 2154958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2154960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2154962 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2154964 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2154966 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2154968 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2154970 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2154975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2154978 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2154980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2154981 */     // GIR_Coverage, 17869,
     /* 2154981 */     GIR_EraseRootFromParent_Done,
     /* 2154982 */   // Label 28441: @2154982
     /* 2154982 */   GIM_Try, /*On fail goto*//*Label 28442*/ GIMT_Encode4(2155073), // Rule ID 17872 //
     /* 2154987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2154990 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2154995 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2154998 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155010 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155013 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155017 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155021 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155025 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155029 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155033 */     // MIs[0] round
     /* 2155033 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155036 */     // MIs[0] policy
     /* 2155036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155039 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155046 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2155049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155053 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155055 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155057 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155059 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155061 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155069 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155072 */     // GIR_Coverage, 17872,
     /* 2155072 */     GIR_EraseRootFromParent_Done,
     /* 2155073 */   // Label 28442: @2155073
     /* 2155073 */   GIM_Try, /*On fail goto*//*Label 28443*/ GIMT_Encode4(2155164), // Rule ID 17873 //
     /* 2155078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155081 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155086 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2155089 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2155092 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2155095 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2155098 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155101 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155104 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155112 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155116 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155120 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155124 */     // MIs[0] round
     /* 2155124 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155127 */     // MIs[0] policy
     /* 2155127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155137 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF4_E16_MASK),
     /* 2155140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155144 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155146 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155148 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155150 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155160 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155163 */     // GIR_Coverage, 17873,
     /* 2155163 */     GIR_EraseRootFromParent_Done,
     /* 2155164 */   // Label 28443: @2155164
     /* 2155164 */   GIM_Try, /*On fail goto*//*Label 28444*/ GIMT_Encode4(2155255), // Rule ID 17876 //
     /* 2155169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155172 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155177 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155180 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155183 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2155186 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2155189 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155192 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155203 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155207 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155211 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155215 */     // MIs[0] round
     /* 2155215 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155218 */     // MIs[0] policy
     /* 2155218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155221 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155228 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2155231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155235 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155237 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155239 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155241 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155251 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155254 */     // GIR_Coverage, 17876,
     /* 2155254 */     GIR_EraseRootFromParent_Done,
     /* 2155255 */   // Label 28444: @2155255
     /* 2155255 */   GIM_Try, /*On fail goto*//*Label 28445*/ GIMT_Encode4(2155346), // Rule ID 17877 //
     /* 2155260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155263 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155268 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2155271 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2155274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2155277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2155280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155283 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155294 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155298 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155302 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155306 */     // MIs[0] round
     /* 2155306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155309 */     // MIs[0] policy
     /* 2155309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155312 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155319 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E16_MASK),
     /* 2155322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155324 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155326 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155328 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155330 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155332 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155334 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155342 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155345 */     // GIR_Coverage, 17877,
     /* 2155345 */     GIR_EraseRootFromParent_Done,
     /* 2155346 */   // Label 28445: @2155346
     /* 2155346 */   GIM_Try, /*On fail goto*//*Label 28446*/ GIMT_Encode4(2155437), // Rule ID 17880 //
     /* 2155351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155354 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155359 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2155362 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2155365 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2155368 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2155371 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155374 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155377 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155381 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155385 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155389 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155393 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155397 */     // MIs[0] round
     /* 2155397 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155400 */     // MIs[0] policy
     /* 2155400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155410 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2155413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155415 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155417 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155419 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155421 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155423 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155433 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155436 */     // GIR_Coverage, 17880,
     /* 2155436 */     GIR_EraseRootFromParent_Done,
     /* 2155437 */   // Label 28446: @2155437
     /* 2155437 */   GIM_Try, /*On fail goto*//*Label 28447*/ GIMT_Encode4(2155528), // Rule ID 17881 //
     /* 2155442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155445 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155450 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2155453 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2155456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2155459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2155462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155465 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155472 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155476 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155480 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155484 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155488 */     // MIs[0] round
     /* 2155488 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155491 */     // MIs[0] policy
     /* 2155491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155501 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_MF2_E32_MASK),
     /* 2155504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155506 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155508 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155510 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155512 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155514 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155516 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155524 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155527 */     // GIR_Coverage, 17881,
     /* 2155527 */     GIR_EraseRootFromParent_Done,
     /* 2155528 */   // Label 28447: @2155528
     /* 2155528 */   GIM_Try, /*On fail goto*//*Label 28448*/ GIMT_Encode4(2155619), // Rule ID 17884 //
     /* 2155533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2155536 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155541 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2155544 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2155547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2155550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2155553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155556 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155559 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155567 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155571 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155575 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155579 */     // MIs[0] round
     /* 2155579 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155582 */     // MIs[0] policy
     /* 2155582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155585 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155592 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2155595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155597 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155599 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155601 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155603 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155605 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155607 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155615 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155618 */     // GIR_Coverage, 17884,
     /* 2155618 */     GIR_EraseRootFromParent_Done,
     /* 2155619 */   // Label 28448: @2155619
     /* 2155619 */   GIM_Try, /*On fail goto*//*Label 28449*/ GIMT_Encode4(2155710), // Rule ID 17885 //
     /* 2155624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2155627 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155632 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2155635 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2155638 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2155641 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2155644 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2155647 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155654 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155658 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155662 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155666 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155670 */     // MIs[0] round
     /* 2155670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155673 */     // MIs[0] policy
     /* 2155673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155683 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E16_MASK),
     /* 2155686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155688 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155690 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155692 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155694 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155696 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2155706 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155709 */     // GIR_Coverage, 17885,
     /* 2155709 */     GIR_EraseRootFromParent_Done,
     /* 2155710 */   // Label 28449: @2155710
     /* 2155710 */   GIM_Try, /*On fail goto*//*Label 28450*/ GIMT_Encode4(2155801), // Rule ID 17888 //
     /* 2155715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2155718 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155723 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2155726 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2155729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2155732 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2155735 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155738 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155745 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155749 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155753 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155757 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155761 */     // MIs[0] round
     /* 2155761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155764 */     // MIs[0] policy
     /* 2155764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155767 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155774 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2155777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155783 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155785 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155787 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155789 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155797 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155800 */     // GIR_Coverage, 17888,
     /* 2155800 */     GIR_EraseRootFromParent_Done,
     /* 2155801 */   // Label 28450: @2155801
     /* 2155801 */   GIM_Try, /*On fail goto*//*Label 28451*/ GIMT_Encode4(2155892), // Rule ID 17889 //
     /* 2155806 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2155809 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155814 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2155817 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2155820 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2155823 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2155826 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2155829 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2155832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155840 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155844 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155848 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155852 */     // MIs[0] round
     /* 2155852 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155855 */     // MIs[0] policy
     /* 2155855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155858 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155865 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2155865 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E32_MASK),
     /* 2155868 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155872 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155874 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155876 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155878 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2155888 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155891 */     // GIR_Coverage, 17889,
     /* 2155891 */     GIR_EraseRootFromParent_Done,
     /* 2155892 */   // Label 28451: @2155892
     /* 2155892 */   GIM_Try, /*On fail goto*//*Label 28452*/ GIMT_Encode4(2155983), // Rule ID 17892 //
     /* 2155897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2155900 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155905 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2155908 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2155911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2155914 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2155917 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2155920 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2155923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2155927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2155939 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2155943 */     // MIs[0] round
     /* 2155943 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2155946 */     // MIs[0] policy
     /* 2155946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2155949 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2155956 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2155956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2155959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2155961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2155963 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2155965 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2155967 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2155969 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2155971 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2155976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2155979 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2155981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2155982 */     // GIR_Coverage, 17892,
     /* 2155982 */     GIR_EraseRootFromParent_Done,
     /* 2155983 */   // Label 28452: @2155983
     /* 2155983 */   GIM_Try, /*On fail goto*//*Label 28453*/ GIMT_Encode4(2156074), // Rule ID 17893 //
     /* 2155988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2155991 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2155996 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2155999 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2156002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2156005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2156008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2156011 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156014 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2156018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156022 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156026 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2156030 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156034 */     // MIs[0] round
     /* 2156034 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156037 */     // MIs[0] policy
     /* 2156037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156040 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156047 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156047 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M1_E64_MASK),
     /* 2156050 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156056 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156058 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156060 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156062 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2156070 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156073 */     // GIR_Coverage, 17893,
     /* 2156073 */     GIR_EraseRootFromParent_Done,
     /* 2156074 */   // Label 28453: @2156074
     /* 2156074 */   GIM_Try, /*On fail goto*//*Label 28454*/ GIMT_Encode4(2156165), // Rule ID 17896 //
     /* 2156079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156082 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156087 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156090 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156093 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156096 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156099 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156102 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156109 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156113 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156121 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156125 */     // MIs[0] round
     /* 2156125 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156128 */     // MIs[0] policy
     /* 2156128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156138 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2156141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156143 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156147 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156149 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156151 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156161 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156164 */     // GIR_Coverage, 17896,
     /* 2156164 */     GIR_EraseRootFromParent_Done,
     /* 2156165 */   // Label 28454: @2156165
     /* 2156165 */   GIM_Try, /*On fail goto*//*Label 28455*/ GIMT_Encode4(2156256), // Rule ID 17897 //
     /* 2156170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156173 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156178 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2156181 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2156184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2156187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2156190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156193 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156200 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156208 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156212 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156216 */     // MIs[0] round
     /* 2156216 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156219 */     // MIs[0] policy
     /* 2156219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156229 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E16_MASK),
     /* 2156232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156236 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156238 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156240 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156242 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156244 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156252 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156255 */     // GIR_Coverage, 17897,
     /* 2156255 */     GIR_EraseRootFromParent_Done,
     /* 2156256 */   // Label 28455: @2156256
     /* 2156256 */   GIM_Try, /*On fail goto*//*Label 28456*/ GIMT_Encode4(2156347), // Rule ID 17900 //
     /* 2156261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156264 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156269 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2156272 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2156275 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2156278 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2156281 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156284 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156303 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156307 */     // MIs[0] round
     /* 2156307 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156310 */     // MIs[0] policy
     /* 2156310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156313 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156320 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2156323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156329 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156331 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156333 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156335 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156343 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156346 */     // GIR_Coverage, 17900,
     /* 2156346 */     GIR_EraseRootFromParent_Done,
     /* 2156347 */   // Label 28456: @2156347
     /* 2156347 */   GIM_Try, /*On fail goto*//*Label 28457*/ GIMT_Encode4(2156438), // Rule ID 17901 //
     /* 2156352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156355 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156360 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2156363 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2156366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2156369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2156372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2156375 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156382 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156386 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156390 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156394 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156398 */     // MIs[0] round
     /* 2156398 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156401 */     // MIs[0] policy
     /* 2156401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156411 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E16_MASK),
     /* 2156414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156420 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156422 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156424 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156426 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156434 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156437 */     // GIR_Coverage, 17901,
     /* 2156437 */     GIR_EraseRootFromParent_Done,
     /* 2156438 */   // Label 28457: @2156438
     /* 2156438 */   GIM_Try, /*On fail goto*//*Label 28458*/ GIMT_Encode4(2156529), // Rule ID 17904 //
     /* 2156443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2156446 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156451 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156454 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156466 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156469 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156481 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156485 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156489 */     // MIs[0] round
     /* 2156489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156492 */     // MIs[0] policy
     /* 2156492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156495 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156502 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2156505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156509 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156511 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156513 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156515 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156517 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156525 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156528 */     // GIR_Coverage, 17904,
     /* 2156528 */     GIR_EraseRootFromParent_Done,
     /* 2156529 */   // Label 28458: @2156529
     /* 2156529 */   GIM_Try, /*On fail goto*//*Label 28459*/ GIMT_Encode4(2156620), // Rule ID 17905 //
     /* 2156534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2156537 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156542 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2156545 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2156548 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2156551 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2156554 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2156557 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2156564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156572 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2156576 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156580 */     // MIs[0] round
     /* 2156580 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156583 */     // MIs[0] policy
     /* 2156583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156586 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156593 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E16_MASK),
     /* 2156596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156602 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156604 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156606 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156608 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2156616 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156619 */     // GIR_Coverage, 17905,
     /* 2156619 */     GIR_EraseRootFromParent_Done,
     /* 2156620 */   // Label 28459: @2156620
     /* 2156620 */   GIM_Try, /*On fail goto*//*Label 28460*/ GIMT_Encode4(2156711), // Rule ID 17908 //
     /* 2156625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156628 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156633 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2156636 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2156639 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2156642 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2156645 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156648 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156655 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156659 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156667 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156671 */     // MIs[0] round
     /* 2156671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156674 */     // MIs[0] policy
     /* 2156674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156684 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2156687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156693 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156695 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156697 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156699 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156707 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156710 */     // GIR_Coverage, 17908,
     /* 2156710 */     GIR_EraseRootFromParent_Done,
     /* 2156711 */   // Label 28460: @2156711
     /* 2156711 */   GIM_Try, /*On fail goto*//*Label 28461*/ GIMT_Encode4(2156802), // Rule ID 17909 //
     /* 2156716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156719 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156724 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2156727 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2156730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2156733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2156736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2156739 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2156746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156754 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2156758 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156762 */     // MIs[0] round
     /* 2156762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156765 */     // MIs[0] policy
     /* 2156765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156768 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156775 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E32_MASK),
     /* 2156778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156780 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156782 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156784 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156786 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156788 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156798 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156801 */     // GIR_Coverage, 17909,
     /* 2156801 */     GIR_EraseRootFromParent_Done,
     /* 2156802 */   // Label 28461: @2156802
     /* 2156802 */   GIM_Try, /*On fail goto*//*Label 28462*/ GIMT_Encode4(2156893), // Rule ID 17912 //
     /* 2156807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156810 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156815 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2156818 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2156821 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2156824 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2156827 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156830 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2156833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156837 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156841 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156845 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156849 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156853 */     // MIs[0] round
     /* 2156853 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156856 */     // MIs[0] policy
     /* 2156856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156866 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2156866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2156869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156873 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156875 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156877 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156879 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156881 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156889 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156892 */     // GIR_Coverage, 17912,
     /* 2156892 */     GIR_EraseRootFromParent_Done,
     /* 2156893 */   // Label 28462: @2156893
     /* 2156893 */   GIM_Try, /*On fail goto*//*Label 28463*/ GIMT_Encode4(2156984), // Rule ID 17913 //
     /* 2156898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2156901 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156906 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2156909 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2156912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2156915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2156918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2156921 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2156924 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2156928 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156936 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2156940 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2156944 */     // MIs[0] round
     /* 2156944 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2156947 */     // MIs[0] policy
     /* 2156947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2156950 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2156957 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2156957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E32_MASK),
     /* 2156960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2156962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2156964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2156966 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2156968 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2156970 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2156972 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2156977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2156980 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2156982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2156983 */     // GIR_Coverage, 17913,
     /* 2156983 */     GIR_EraseRootFromParent_Done,
     /* 2156984 */   // Label 28463: @2156984
     /* 2156984 */   GIM_Try, /*On fail goto*//*Label 28464*/ GIMT_Encode4(2157075), // Rule ID 17916 //
     /* 2156989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2156992 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2156997 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157000 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157003 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157006 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157009 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157012 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157023 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157027 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157031 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157035 */     // MIs[0] round
     /* 2157035 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157038 */     // MIs[0] policy
     /* 2157038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157041 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157048 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2157051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157055 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157057 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157059 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157061 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157063 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157071 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157074 */     // GIR_Coverage, 17916,
     /* 2157074 */     GIR_EraseRootFromParent_Done,
     /* 2157075 */   // Label 28464: @2157075
     /* 2157075 */   GIM_Try, /*On fail goto*//*Label 28465*/ GIMT_Encode4(2157166), // Rule ID 17917 //
     /* 2157080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2157083 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157088 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2157091 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2157094 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2157097 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2157100 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2157103 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157110 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157114 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157118 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157122 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157126 */     // MIs[0] round
     /* 2157126 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157129 */     // MIs[0] policy
     /* 2157129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157139 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E32_MASK),
     /* 2157142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157148 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157150 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157152 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2157162 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157165 */     // GIR_Coverage, 17917,
     /* 2157165 */     GIR_EraseRootFromParent_Done,
     /* 2157166 */   // Label 28465: @2157166
     /* 2157166 */   GIM_Try, /*On fail goto*//*Label 28466*/ GIMT_Encode4(2157257), // Rule ID 17920 //
     /* 2157171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157174 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157179 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157182 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157185 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157188 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2157191 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157194 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157197 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157205 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157209 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157213 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157217 */     // MIs[0] round
     /* 2157217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157220 */     // MIs[0] policy
     /* 2157220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157223 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157230 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2157233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157237 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157239 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157241 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157243 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157245 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157253 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157256 */     // GIR_Coverage, 17920,
     /* 2157256 */     GIR_EraseRootFromParent_Done,
     /* 2157257 */   // Label 28466: @2157257
     /* 2157257 */   GIM_Try, /*On fail goto*//*Label 28467*/ GIMT_Encode4(2157348), // Rule ID 17921 //
     /* 2157262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157265 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157270 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2157273 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2157276 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2157279 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2157282 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157285 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2157292 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157296 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2157304 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157308 */     // MIs[0] round
     /* 2157308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157311 */     // MIs[0] policy
     /* 2157311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157314 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157321 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M2_E64_MASK),
     /* 2157324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157328 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157330 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157332 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157334 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157336 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157344 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157347 */     // GIR_Coverage, 17921,
     /* 2157347 */     GIR_EraseRootFromParent_Done,
     /* 2157348 */   // Label 28467: @2157348
     /* 2157348 */   GIM_Try, /*On fail goto*//*Label 28468*/ GIMT_Encode4(2157439), // Rule ID 17924 //
     /* 2157353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157356 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157361 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2157364 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2157367 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2157370 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2157373 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157376 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157379 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157395 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157399 */     // MIs[0] round
     /* 2157399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157402 */     // MIs[0] policy
     /* 2157402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157412 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2157415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157421 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157423 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157425 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157427 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157435 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157438 */     // GIR_Coverage, 17924,
     /* 2157438 */     GIR_EraseRootFromParent_Done,
     /* 2157439 */   // Label 28468: @2157439
     /* 2157439 */   GIM_Try, /*On fail goto*//*Label 28469*/ GIMT_Encode4(2157530), // Rule ID 17925 //
     /* 2157444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157447 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157452 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2157455 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2157458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2157461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2157464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2157467 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157470 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2157474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2157486 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157490 */     // MIs[0] round
     /* 2157490 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157493 */     // MIs[0] policy
     /* 2157493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157496 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157503 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M4_E64_MASK),
     /* 2157506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157510 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157512 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157514 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157516 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157526 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157529 */     // GIR_Coverage, 17925,
     /* 2157529 */     GIR_EraseRootFromParent_Done,
     /* 2157530 */   // Label 28469: @2157530
     /* 2157530 */   GIM_Try, /*On fail goto*//*Label 28470*/ GIMT_Encode4(2157621), // Rule ID 17928 //
     /* 2157535 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2157538 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157543 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2157546 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2157549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2157552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2157555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157558 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157565 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157569 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157573 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157577 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157581 */     // MIs[0] round
     /* 2157581 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157584 */     // MIs[0] policy
     /* 2157584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157594 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2157597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157601 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157603 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157605 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157607 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157609 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157617 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157620 */     // GIR_Coverage, 17928,
     /* 2157620 */     GIR_EraseRootFromParent_Done,
     /* 2157621 */   // Label 28470: @2157621
     /* 2157621 */   GIM_Try, /*On fail goto*//*Label 28471*/ GIMT_Encode4(2157712), // Rule ID 17929 //
     /* 2157626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2157629 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157634 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2157637 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2157640 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2157643 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2157646 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2157649 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2157656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157664 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2157668 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157672 */     // MIs[0] round
     /* 2157672 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157675 */     // MIs[0] policy
     /* 2157675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157685 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VV_M8_E64_MASK),
     /* 2157688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157692 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157694 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157696 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157698 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157700 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2157708 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157711 */     // GIR_Coverage, 17929,
     /* 2157711 */     GIR_EraseRootFromParent_Done,
     /* 2157712 */   // Label 28471: @2157712
     /* 2157712 */   GIM_Try, /*On fail goto*//*Label 28472*/ GIMT_Encode4(2157803), // Rule ID 17932 //
     /* 2157717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157720 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157725 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157728 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157731 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157734 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2157737 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157740 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157751 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157755 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157759 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157763 */     // MIs[0] round
     /* 2157763 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157766 */     // MIs[0] policy
     /* 2157766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157769 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157776 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2157779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157781 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157783 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157785 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157787 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157789 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157791 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157799 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157802 */     // GIR_Coverage, 17932,
     /* 2157802 */     GIR_EraseRootFromParent_Done,
     /* 2157803 */   // Label 28472: @2157803
     /* 2157803 */   GIM_Try, /*On fail goto*//*Label 28473*/ GIMT_Encode4(2157894), // Rule ID 17933 //
     /* 2157808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157811 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157816 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2157819 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2157822 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157825 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2157828 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2157831 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2157834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157850 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157854 */     // MIs[0] round
     /* 2157854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157857 */     // MIs[0] policy
     /* 2157857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157867 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2157867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF4_E16_MASK),
     /* 2157870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157874 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157876 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157878 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157880 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157890 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157893 */     // GIR_Coverage, 17933,
     /* 2157893 */     GIR_EraseRootFromParent_Done,
     /* 2157894 */   // Label 28473: @2157894
     /* 2157894 */   GIM_Try, /*On fail goto*//*Label 28474*/ GIMT_Encode4(2157985), // Rule ID 17936 //
     /* 2157899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2157902 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157907 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2157910 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2157913 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2157916 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2157919 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2157922 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2157925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2157929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2157937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2157941 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2157945 */     // MIs[0] round
     /* 2157945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2157948 */     // MIs[0] policy
     /* 2157948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2157951 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2157958 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2157958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2157961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2157963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2157965 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2157967 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2157969 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2157971 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2157973 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2157978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2157981 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2157983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2157984 */     // GIR_Coverage, 17936,
     /* 2157984 */     GIR_EraseRootFromParent_Done,
     /* 2157985 */   // Label 28474: @2157985
     /* 2157985 */   GIM_Try, /*On fail goto*//*Label 28475*/ GIMT_Encode4(2158076), // Rule ID 17937 //
     /* 2157990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2157993 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2157998 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2158001 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2158004 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158007 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2158010 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158013 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158020 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158032 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158036 */     // MIs[0] round
     /* 2158036 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158039 */     // MIs[0] policy
     /* 2158039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158042 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158049 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_MF2_E16_MASK),
     /* 2158052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158054 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158056 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158058 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158060 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158062 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158072 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158075 */     // GIR_Coverage, 17937,
     /* 2158075 */     GIR_EraseRootFromParent_Done,
     /* 2158076 */   // Label 28475: @2158076
     /* 2158076 */   GIM_Try, /*On fail goto*//*Label 28476*/ GIMT_Encode4(2158167), // Rule ID 17940 //
     /* 2158081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158084 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158089 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158092 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158095 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158098 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158101 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158104 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158107 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158111 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158115 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158119 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158123 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158127 */     // MIs[0] round
     /* 2158127 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158130 */     // MIs[0] policy
     /* 2158130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158140 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2158143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158149 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158151 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158153 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158155 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158163 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158166 */     // GIR_Coverage, 17940,
     /* 2158166 */     GIR_EraseRootFromParent_Done,
     /* 2158167 */   // Label 28476: @2158167
     /* 2158167 */   GIM_Try, /*On fail goto*//*Label 28477*/ GIMT_Encode4(2158258), // Rule ID 17941 //
     /* 2158172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158175 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158180 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2158183 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2158186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2158192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158195 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158198 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158202 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158206 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158210 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158214 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158218 */     // MIs[0] round
     /* 2158218 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158221 */     // MIs[0] policy
     /* 2158221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158224 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158231 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158231 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_MF2_E32_MASK),
     /* 2158234 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158240 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158242 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158244 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158246 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158254 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158257 */     // GIR_Coverage, 17941,
     /* 2158257 */     GIR_EraseRootFromParent_Done,
     /* 2158258 */   // Label 28477: @2158258
     /* 2158258 */   GIM_Try, /*On fail goto*//*Label 28478*/ GIMT_Encode4(2158349), // Rule ID 17944 //
     /* 2158263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158266 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158271 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158274 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2158283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158286 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158301 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158305 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158309 */     // MIs[0] round
     /* 2158309 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158312 */     // MIs[0] policy
     /* 2158312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158315 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158322 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2158325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158329 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158331 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158333 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158335 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158337 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158345 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158348 */     // GIR_Coverage, 17944,
     /* 2158348 */     GIR_EraseRootFromParent_Done,
     /* 2158349 */   // Label 28478: @2158349
     /* 2158349 */   GIM_Try, /*On fail goto*//*Label 28479*/ GIMT_Encode4(2158440), // Rule ID 17945 //
     /* 2158354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158357 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158362 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2158365 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2158368 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158371 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2158374 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2158377 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158380 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158384 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158388 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158392 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158396 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158400 */     // MIs[0] round
     /* 2158400 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158403 */     // MIs[0] policy
     /* 2158403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158406 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158413 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11242:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M1_E16_MASK),
     /* 2158416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158422 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158424 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158426 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158428 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158436 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158439 */     // GIR_Coverage, 17945,
     /* 2158439 */     GIR_EraseRootFromParent_Done,
     /* 2158440 */   // Label 28479: @2158440
     /* 2158440 */   GIM_Try, /*On fail goto*//*Label 28480*/ GIMT_Encode4(2158531), // Rule ID 17948 //
     /* 2158445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2158448 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158453 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158456 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158459 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158462 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158465 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158468 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158479 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158483 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158487 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158491 */     // MIs[0] round
     /* 2158491 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158494 */     // MIs[0] policy
     /* 2158494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158497 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158504 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2158507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158513 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158515 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158517 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158527 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158530 */     // GIR_Coverage, 17948,
     /* 2158530 */     GIR_EraseRootFromParent_Done,
     /* 2158531 */   // Label 28480: @2158531
     /* 2158531 */   GIM_Try, /*On fail goto*//*Label 28481*/ GIMT_Encode4(2158622), // Rule ID 17949 //
     /* 2158536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2158539 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158544 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2158547 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2158550 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2158553 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2158556 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2158559 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158562 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2158574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158578 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158582 */     // MIs[0] round
     /* 2158582 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158585 */     // MIs[0] policy
     /* 2158585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158595 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11242:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M1_E32_MASK),
     /* 2158598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158602 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158604 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158606 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158608 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2158618 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158621 */     // GIR_Coverage, 17949,
     /* 2158621 */     GIR_EraseRootFromParent_Done,
     /* 2158622 */   // Label 28481: @2158622
     /* 2158622 */   GIM_Try, /*On fail goto*//*Label 28482*/ GIMT_Encode4(2158713), // Rule ID 17952 //
     /* 2158627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2158630 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158635 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2158638 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2158641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2158644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2158647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158650 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158653 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158657 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158661 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2158665 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158669 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158673 */     // MIs[0] round
     /* 2158673 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158676 */     // MIs[0] policy
     /* 2158676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158679 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158686 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2158689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158695 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158697 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158699 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158709 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158712 */     // GIR_Coverage, 17952,
     /* 2158712 */     GIR_EraseRootFromParent_Done,
     /* 2158713 */   // Label 28482: @2158713
     /* 2158713 */   GIM_Try, /*On fail goto*//*Label 28483*/ GIMT_Encode4(2158804), // Rule ID 17953 //
     /* 2158718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2158721 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158726 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2158729 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2158732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2158735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2158738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2158741 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158744 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2158748 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2158756 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2158760 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158764 */     // MIs[0] round
     /* 2158764 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158767 */     // MIs[0] policy
     /* 2158767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158777 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11242:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M1_E64_MASK),
     /* 2158780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158784 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158786 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158788 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158790 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158792 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2158800 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158803 */     // GIR_Coverage, 17953,
     /* 2158803 */     GIR_EraseRootFromParent_Done,
     /* 2158804 */   // Label 28483: @2158804
     /* 2158804 */   GIM_Try, /*On fail goto*//*Label 28484*/ GIMT_Encode4(2158895), // Rule ID 17956 //
     /* 2158809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158812 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158817 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2158820 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158823 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158826 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2158829 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158832 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2158835 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158847 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158851 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158855 */     // MIs[0] round
     /* 2158855 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158858 */     // MIs[0] policy
     /* 2158858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158868 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2158868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2158871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158877 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158879 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158881 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158883 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158891 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158894 */     // GIR_Coverage, 17956,
     /* 2158894 */     GIR_EraseRootFromParent_Done,
     /* 2158895 */   // Label 28484: @2158895
     /* 2158895 */   GIM_Try, /*On fail goto*//*Label 28485*/ GIMT_Encode4(2158986), // Rule ID 17957 //
     /* 2158900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2158903 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158908 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2158911 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2158914 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2158917 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2158920 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2158923 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2158926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2158930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2158938 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2158942 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2158946 */     // MIs[0] round
     /* 2158946 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2158949 */     // MIs[0] policy
     /* 2158949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2158952 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2158959 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2158959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M2_E16_MASK),
     /* 2158962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2158964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2158966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2158968 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2158970 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2158972 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2158974 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2158979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2158982 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2158984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2158985 */     // GIR_Coverage, 17957,
     /* 2158985 */     GIR_EraseRootFromParent_Done,
     /* 2158986 */   // Label 28485: @2158986
     /* 2158986 */   GIM_Try, /*On fail goto*//*Label 28486*/ GIMT_Encode4(2159077), // Rule ID 17960 //
     /* 2158991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2158994 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2158999 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159002 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159005 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159008 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159011 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159014 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159025 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159029 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159033 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159037 */     // MIs[0] round
     /* 2159037 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159040 */     // MIs[0] policy
     /* 2159040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159050 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2159053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159057 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159059 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159061 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159063 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159073 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159076 */     // GIR_Coverage, 17960,
     /* 2159076 */     GIR_EraseRootFromParent_Done,
     /* 2159077 */   // Label 28486: @2159077
     /* 2159077 */   GIM_Try, /*On fail goto*//*Label 28487*/ GIMT_Encode4(2159168), // Rule ID 17961 //
     /* 2159082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159085 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159090 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2159093 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2159096 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159099 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2159102 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159105 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159112 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159116 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159120 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159124 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159128 */     // MIs[0] round
     /* 2159128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159131 */     // MIs[0] policy
     /* 2159131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159134 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159141 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M4_E16_MASK),
     /* 2159144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159150 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159152 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159154 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159164 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159167 */     // GIR_Coverage, 17961,
     /* 2159167 */     GIR_EraseRootFromParent_Done,
     /* 2159168 */   // Label 28487: @2159168
     /* 2159168 */   GIM_Try, /*On fail goto*//*Label 28488*/ GIMT_Encode4(2159259), // Rule ID 17964 //
     /* 2159173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2159176 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159181 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159184 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159187 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159190 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2159193 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159196 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159199 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159207 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159211 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159215 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159219 */     // MIs[0] round
     /* 2159219 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159222 */     // MIs[0] policy
     /* 2159222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159225 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159232 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2159235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159241 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159243 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159245 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159255 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159258 */     // GIR_Coverage, 17964,
     /* 2159258 */     GIR_EraseRootFromParent_Done,
     /* 2159259 */   // Label 28488: @2159259
     /* 2159259 */   GIM_Try, /*On fail goto*//*Label 28489*/ GIMT_Encode4(2159350), // Rule ID 17965 //
     /* 2159264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2159267 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159272 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2159275 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2159278 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2159281 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2159284 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2159287 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2159302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159306 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159310 */     // MIs[0] round
     /* 2159310 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159313 */     // MIs[0] policy
     /* 2159313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159316 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159323 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159323 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR16_M8_E16_MASK),
     /* 2159326 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159328 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159330 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159332 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159334 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159336 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159338 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2159346 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159349 */     // GIR_Coverage, 17965,
     /* 2159349 */     GIR_EraseRootFromParent_Done,
     /* 2159350 */   // Label 28489: @2159350
     /* 2159350 */   GIM_Try, /*On fail goto*//*Label 28490*/ GIMT_Encode4(2159441), // Rule ID 17968 //
     /* 2159355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159358 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159363 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2159366 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2159369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2159375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159378 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159381 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159385 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159389 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159393 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159397 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159401 */     // MIs[0] round
     /* 2159401 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159404 */     // MIs[0] policy
     /* 2159404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159407 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159414 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2159417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159421 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159423 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159425 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159427 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159429 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159437 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159440 */     // GIR_Coverage, 17968,
     /* 2159440 */     GIR_EraseRootFromParent_Done,
     /* 2159441 */   // Label 28490: @2159441
     /* 2159441 */   GIM_Try, /*On fail goto*//*Label 28491*/ GIMT_Encode4(2159532), // Rule ID 17969 //
     /* 2159446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159449 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159454 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2159457 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2159460 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159463 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2159466 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2159469 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159480 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159484 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159488 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159492 */     // MIs[0] round
     /* 2159492 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159495 */     // MIs[0] policy
     /* 2159495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159505 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M2_E32_MASK),
     /* 2159508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159512 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159514 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159516 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159518 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159528 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159531 */     // GIR_Coverage, 17969,
     /* 2159531 */     GIR_EraseRootFromParent_Done,
     /* 2159532 */   // Label 28491: @2159532
     /* 2159532 */   GIM_Try, /*On fail goto*//*Label 28492*/ GIMT_Encode4(2159623), // Rule ID 17972 //
     /* 2159537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159540 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159545 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2159548 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2159551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2159557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159560 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159575 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159579 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159583 */     // MIs[0] round
     /* 2159583 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159586 */     // MIs[0] policy
     /* 2159586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159596 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2159599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159603 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159605 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159607 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159609 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159611 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159619 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159622 */     // GIR_Coverage, 17972,
     /* 2159622 */     GIR_EraseRootFromParent_Done,
     /* 2159623 */   // Label 28492: @2159623
     /* 2159623 */   GIM_Try, /*On fail goto*//*Label 28493*/ GIMT_Encode4(2159714), // Rule ID 17973 //
     /* 2159628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159631 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159636 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2159639 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2159642 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159645 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2159648 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2159651 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2159658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2159670 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159674 */     // MIs[0] round
     /* 2159674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159677 */     // MIs[0] policy
     /* 2159677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159680 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159687 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M4_E32_MASK),
     /* 2159690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159696 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159698 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159700 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159702 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159710 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159713 */     // GIR_Coverage, 17973,
     /* 2159713 */     GIR_EraseRootFromParent_Done,
     /* 2159714 */   // Label 28493: @2159714
     /* 2159714 */   GIM_Try, /*On fail goto*//*Label 28494*/ GIMT_Encode4(2159805), // Rule ID 17976 //
     /* 2159719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2159722 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159727 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2159730 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2159733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2159739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159742 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159765 */     // MIs[0] round
     /* 2159765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159768 */     // MIs[0] policy
     /* 2159768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159771 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159778 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2159781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159785 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159787 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159789 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159791 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159801 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159804 */     // GIR_Coverage, 17976,
     /* 2159804 */     GIR_EraseRootFromParent_Done,
     /* 2159805 */   // Label 28494: @2159805
     /* 2159805 */   GIM_Try, /*On fail goto*//*Label 28495*/ GIMT_Encode4(2159896), // Rule ID 17977 //
     /* 2159810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2159813 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159818 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2159821 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2159824 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2159827 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2159830 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2159833 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2159836 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2159840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2159848 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2159852 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159856 */     // MIs[0] round
     /* 2159856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159859 */     // MIs[0] policy
     /* 2159859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159862 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159869 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2159869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR32_M8_E32_MASK),
     /* 2159872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159876 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159878 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159880 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159882 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159884 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2159892 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159894 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159895 */     // GIR_Coverage, 17977,
     /* 2159895 */     GIR_EraseRootFromParent_Done,
     /* 2159896 */   // Label 28495: @2159896
     /* 2159896 */   GIM_Try, /*On fail goto*//*Label 28496*/ GIMT_Encode4(2159987), // Rule ID 17980 //
     /* 2159901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2159904 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2159909 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2159912 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2159915 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2159918 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2159921 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2159924 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2159927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2159931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159935 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2159939 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2159943 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2159947 */     // MIs[0] round
     /* 2159947 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2159950 */     // MIs[0] policy
     /* 2159950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2159953 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2159960 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2159960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2159963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2159965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2159967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2159969 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2159971 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2159973 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2159975 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2159980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2159983 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2159985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2159986 */     // GIR_Coverage, 17980,
     /* 2159986 */     GIR_EraseRootFromParent_Done,
     /* 2159987 */   // Label 28496: @2159987
     /* 2159987 */   GIM_Try, /*On fail goto*//*Label 28497*/ GIMT_Encode4(2160078), // Rule ID 17981 //
     /* 2159992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2159995 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2160000 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2160003 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2160006 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160009 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2160012 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160015 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2160022 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160026 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160030 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2160034 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160038 */     // MIs[0] round
     /* 2160038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160041 */     // MIs[0] policy
     /* 2160041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160051 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11242:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M2_E64_MASK),
     /* 2160054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160058 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160060 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160062 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160064 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160066 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160074 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160077 */     // GIR_Coverage, 17981,
     /* 2160077 */     GIR_EraseRootFromParent_Done,
     /* 2160078 */   // Label 28497: @2160078
     /* 2160078 */   GIM_Try, /*On fail goto*//*Label 28498*/ GIMT_Encode4(2160169), // Rule ID 17984 //
     /* 2160083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160086 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2160091 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160094 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160106 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160117 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160121 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160125 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160129 */     // MIs[0] round
     /* 2160129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160132 */     // MIs[0] policy
     /* 2160132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160135 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160142 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2160145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160149 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160151 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160153 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160155 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160165 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160168 */     // GIR_Coverage, 17984,
     /* 2160168 */     GIR_EraseRootFromParent_Done,
     /* 2160169 */   // Label 28498: @2160169
     /* 2160169 */   GIM_Try, /*On fail goto*//*Label 28499*/ GIMT_Encode4(2160260), // Rule ID 17985 //
     /* 2160174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160177 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2160182 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2160185 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2160188 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160191 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2160194 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2160197 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160200 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2160204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160208 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160212 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2160216 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160220 */     // MIs[0] round
     /* 2160220 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160223 */     // MIs[0] policy
     /* 2160223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160233 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11242:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M4_E64_MASK),
     /* 2160236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160240 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160242 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160244 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160246 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160248 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160256 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160259 */     // GIR_Coverage, 17985,
     /* 2160259 */     GIR_EraseRootFromParent_Done,
     /* 2160260 */   // Label 28499: @2160260
     /* 2160260 */   GIM_Try, /*On fail goto*//*Label 28500*/ GIMT_Encode4(2160351), // Rule ID 17988 //
     /* 2160265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2160268 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2160273 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2160276 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2160279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2160285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160288 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160291 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160299 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160303 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160307 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160311 */     // MIs[0] round
     /* 2160311 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160314 */     // MIs[0] policy
     /* 2160314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160317 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160324 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2160327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160333 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160335 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160337 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160339 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160347 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160350 */     // GIR_Coverage, 17988,
     /* 2160350 */     GIR_EraseRootFromParent_Done,
     /* 2160351 */   // Label 28500: @2160351
     /* 2160351 */   GIM_Try, /*On fail goto*//*Label 28501*/ GIMT_Encode4(2160442), // Rule ID 17989 //
     /* 2160356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2160359 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmacc_mask),
     /* 2160364 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2160367 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2160370 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2160373 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2160376 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2160379 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2160386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2160394 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2160398 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160402 */     // MIs[0] round
     /* 2160402 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160405 */     // MIs[0] policy
     /* 2160405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160408 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160415 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11242:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMACC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMACC_VFPR64_M8_E64_MASK),
     /* 2160418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160420 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160424 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160426 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160428 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160430 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2160438 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160440 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160441 */     // GIR_Coverage, 17989,
     /* 2160441 */     GIR_EraseRootFromParent_Done,
     /* 2160442 */   // Label 28501: @2160442
     /* 2160442 */   GIM_Try, /*On fail goto*//*Label 28502*/ GIMT_Encode4(2160533), // Rule ID 17992 //
     /* 2160447 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160450 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160455 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160458 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160461 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160464 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160467 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160470 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160481 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160489 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160493 */     // MIs[0] round
     /* 2160493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160496 */     // MIs[0] policy
     /* 2160496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160499 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160506 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2160509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160513 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160515 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160517 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160519 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160529 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160532 */     // GIR_Coverage, 17992,
     /* 2160532 */     GIR_EraseRootFromParent_Done,
     /* 2160533 */   // Label 28502: @2160533
     /* 2160533 */   GIM_Try, /*On fail goto*//*Label 28503*/ GIMT_Encode4(2160624), // Rule ID 17993 //
     /* 2160538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160541 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160546 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2160549 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2160552 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2160555 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2160558 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160561 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160576 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160580 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160584 */     // MIs[0] round
     /* 2160584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160587 */     // MIs[0] policy
     /* 2160587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160590 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160597 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF4_E16_MASK),
     /* 2160600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160604 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160606 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160608 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160610 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160612 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160620 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160623 */     // GIR_Coverage, 17993,
     /* 2160623 */     GIR_EraseRootFromParent_Done,
     /* 2160624 */   // Label 28503: @2160624
     /* 2160624 */   GIM_Try, /*On fail goto*//*Label 28504*/ GIMT_Encode4(2160715), // Rule ID 17996 //
     /* 2160629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160632 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160637 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2160640 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2160643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2160646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2160649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160652 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160663 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160671 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160675 */     // MIs[0] round
     /* 2160675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160678 */     // MIs[0] policy
     /* 2160678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160688 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2160691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160697 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160699 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160701 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160703 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160711 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160714 */     // GIR_Coverage, 17996,
     /* 2160714 */     GIR_EraseRootFromParent_Done,
     /* 2160715 */   // Label 28504: @2160715
     /* 2160715 */   GIM_Try, /*On fail goto*//*Label 28505*/ GIMT_Encode4(2160806), // Rule ID 17997 //
     /* 2160720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2160723 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160728 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2160731 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2160734 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2160737 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2160740 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2160743 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160746 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160762 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160766 */     // MIs[0] round
     /* 2160766 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160769 */     // MIs[0] policy
     /* 2160769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160779 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E16_MASK),
     /* 2160782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160788 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160790 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160792 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160794 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2160802 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160805 */     // GIR_Coverage, 17997,
     /* 2160805 */     GIR_EraseRootFromParent_Done,
     /* 2160806 */   // Label 28505: @2160806
     /* 2160806 */   GIM_Try, /*On fail goto*//*Label 28506*/ GIMT_Encode4(2160897), // Rule ID 18000 //
     /* 2160811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2160814 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160819 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2160822 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2160828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2160831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160834 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2160837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160845 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160849 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160853 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160857 */     // MIs[0] round
     /* 2160857 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160860 */     // MIs[0] policy
     /* 2160860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160863 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160870 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2160870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2160873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160877 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160879 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160881 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160883 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160893 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160896 */     // GIR_Coverage, 18000,
     /* 2160896 */     GIR_EraseRootFromParent_Done,
     /* 2160897 */   // Label 28506: @2160897
     /* 2160897 */   GIM_Try, /*On fail goto*//*Label 28507*/ GIMT_Encode4(2160988), // Rule ID 18001 //
     /* 2160902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2160905 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2160910 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2160913 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2160916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2160919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2160922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2160925 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2160928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2160932 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160936 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160940 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2160944 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2160948 */     // MIs[0] round
     /* 2160948 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2160951 */     // MIs[0] policy
     /* 2160951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2160954 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2160961 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2160961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_MF2_E32_MASK),
     /* 2160964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2160966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2160968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2160970 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2160972 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2160974 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2160976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2160981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2160984 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2160986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2160987 */     // GIR_Coverage, 18001,
     /* 2160987 */     GIR_EraseRootFromParent_Done,
     /* 2160988 */   // Label 28507: @2160988
     /* 2160988 */   GIM_Try, /*On fail goto*//*Label 28508*/ GIMT_Encode4(2161079), // Rule ID 18004 //
     /* 2160993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2160996 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161001 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161004 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161007 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161010 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161013 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161016 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161027 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161031 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161035 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161039 */     // MIs[0] round
     /* 2161039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161042 */     // MIs[0] policy
     /* 2161042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161045 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161052 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2161055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161059 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161061 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161063 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161065 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161067 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161075 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161078 */     // GIR_Coverage, 18004,
     /* 2161078 */     GIR_EraseRootFromParent_Done,
     /* 2161079 */   // Label 28508: @2161079
     /* 2161079 */   GIM_Try, /*On fail goto*//*Label 28509*/ GIMT_Encode4(2161170), // Rule ID 18005 //
     /* 2161084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161087 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161092 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2161095 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2161098 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2161101 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2161104 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2161107 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161122 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161126 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161130 */     // MIs[0] round
     /* 2161130 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161133 */     // MIs[0] policy
     /* 2161133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161143 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E16_MASK),
     /* 2161146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161150 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161152 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161154 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161156 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161158 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161166 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161168 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161169 */     // GIR_Coverage, 18005,
     /* 2161169 */     GIR_EraseRootFromParent_Done,
     /* 2161170 */   // Label 28509: @2161170
     /* 2161170 */   GIM_Try, /*On fail goto*//*Label 28510*/ GIMT_Encode4(2161261), // Rule ID 18008 //
     /* 2161175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2161178 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161183 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2161186 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161189 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2161192 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2161195 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161198 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161201 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161205 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161209 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161217 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161221 */     // MIs[0] round
     /* 2161221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161224 */     // MIs[0] policy
     /* 2161224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161227 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161234 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2161237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161241 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161243 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161245 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161247 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161257 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161260 */     // GIR_Coverage, 18008,
     /* 2161260 */     GIR_EraseRootFromParent_Done,
     /* 2161261 */   // Label 28510: @2161261
     /* 2161261 */   GIM_Try, /*On fail goto*//*Label 28511*/ GIMT_Encode4(2161352), // Rule ID 18009 //
     /* 2161266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2161269 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161274 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2161277 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2161280 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2161283 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2161286 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2161289 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161292 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161308 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161312 */     // MIs[0] round
     /* 2161312 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161315 */     // MIs[0] policy
     /* 2161315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161318 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161325 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E32_MASK),
     /* 2161328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161332 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161334 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161336 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161338 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161340 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2161348 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161351 */     // GIR_Coverage, 18009,
     /* 2161351 */     GIR_EraseRootFromParent_Done,
     /* 2161352 */   // Label 28511: @2161352
     /* 2161352 */   GIM_Try, /*On fail goto*//*Label 28512*/ GIMT_Encode4(2161443), // Rule ID 18012 //
     /* 2161357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2161360 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161365 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2161368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2161371 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2161374 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2161377 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161380 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161387 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161391 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161399 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161403 */     // MIs[0] round
     /* 2161403 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161406 */     // MIs[0] policy
     /* 2161406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161409 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161416 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2161419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161423 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161425 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161427 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161429 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161439 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161442 */     // GIR_Coverage, 18012,
     /* 2161442 */     GIR_EraseRootFromParent_Done,
     /* 2161443 */   // Label 28512: @2161443
     /* 2161443 */   GIM_Try, /*On fail goto*//*Label 28513*/ GIMT_Encode4(2161534), // Rule ID 18013 //
     /* 2161448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2161451 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161456 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2161459 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2161462 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2161465 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2161468 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2161471 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2161478 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161486 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2161490 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161494 */     // MIs[0] round
     /* 2161494 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161497 */     // MIs[0] policy
     /* 2161497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161507 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M1_E64_MASK),
     /* 2161510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161516 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161518 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161520 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161522 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2161530 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161533 */     // GIR_Coverage, 18013,
     /* 2161533 */     GIR_EraseRootFromParent_Done,
     /* 2161534 */   // Label 28513: @2161534
     /* 2161534 */   GIM_Try, /*On fail goto*//*Label 28514*/ GIMT_Encode4(2161625), // Rule ID 18016 //
     /* 2161539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161542 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161547 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2161550 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161553 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2161556 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2161559 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161562 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161565 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161573 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161577 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161581 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161585 */     // MIs[0] round
     /* 2161585 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161588 */     // MIs[0] policy
     /* 2161588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161591 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161598 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2161601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161607 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161609 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161611 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161613 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161621 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161624 */     // GIR_Coverage, 18016,
     /* 2161624 */     GIR_EraseRootFromParent_Done,
     /* 2161625 */   // Label 28514: @2161625
     /* 2161625 */   GIM_Try, /*On fail goto*//*Label 28515*/ GIMT_Encode4(2161716), // Rule ID 18017 //
     /* 2161630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161633 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161638 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2161641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2161644 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2161647 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2161650 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2161653 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161656 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2161660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2161672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161676 */     // MIs[0] round
     /* 2161676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161679 */     // MIs[0] policy
     /* 2161679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161682 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161689 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E16_MASK),
     /* 2161692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161698 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161700 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161702 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161704 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161712 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161715 */     // GIR_Coverage, 18017,
     /* 2161715 */     GIR_EraseRootFromParent_Done,
     /* 2161716 */   // Label 28515: @2161716
     /* 2161716 */   GIM_Try, /*On fail goto*//*Label 28516*/ GIMT_Encode4(2161807), // Rule ID 18020 //
     /* 2161721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2161732 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2161735 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2161738 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2161741 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161744 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161755 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161759 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161763 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161767 */     // MIs[0] round
     /* 2161767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161770 */     // MIs[0] policy
     /* 2161770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161773 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161780 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2161783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161787 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161789 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161791 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161793 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161795 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161803 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161806 */     // GIR_Coverage, 18020,
     /* 2161806 */     GIR_EraseRootFromParent_Done,
     /* 2161807 */   // Label 28516: @2161807
     /* 2161807 */   GIM_Try, /*On fail goto*//*Label 28517*/ GIMT_Encode4(2161898), // Rule ID 18021 //
     /* 2161812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161815 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161820 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2161823 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2161826 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2161829 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2161832 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2161835 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2161838 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2161842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161846 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2161854 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161858 */     // MIs[0] round
     /* 2161858 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161861 */     // MIs[0] policy
     /* 2161861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161864 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161871 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2161871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E16_MASK),
     /* 2161874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161878 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161880 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161882 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161884 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161894 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161897 */     // GIR_Coverage, 18021,
     /* 2161897 */     GIR_EraseRootFromParent_Done,
     /* 2161898 */   // Label 28517: @2161898
     /* 2161898 */   GIM_Try, /*On fail goto*//*Label 28518*/ GIMT_Encode4(2161989), // Rule ID 18024 //
     /* 2161903 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2161906 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2161911 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2161914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2161917 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2161920 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2161923 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2161926 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2161929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2161933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2161945 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2161949 */     // MIs[0] round
     /* 2161949 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2161952 */     // MIs[0] policy
     /* 2161952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2161955 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2161962 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2161962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2161965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2161967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2161969 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2161971 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2161973 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2161975 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2161977 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2161982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2161985 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2161987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2161988 */     // GIR_Coverage, 18024,
     /* 2161988 */     GIR_EraseRootFromParent_Done,
     /* 2161989 */   // Label 28518: @2161989
     /* 2161989 */   GIM_Try, /*On fail goto*//*Label 28519*/ GIMT_Encode4(2162080), // Rule ID 18025 //
     /* 2161994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2161997 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162002 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2162005 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2162008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2162011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2162014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2162017 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162028 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162032 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162036 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162040 */     // MIs[0] round
     /* 2162040 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162043 */     // MIs[0] policy
     /* 2162043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162046 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162053 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E16_MASK),
     /* 2162056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162062 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162064 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162066 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2162076 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162079 */     // GIR_Coverage, 18025,
     /* 2162079 */     GIR_EraseRootFromParent_Done,
     /* 2162080 */   // Label 28519: @2162080
     /* 2162080 */   GIM_Try, /*On fail goto*//*Label 28520*/ GIMT_Encode4(2162171), // Rule ID 18028 //
     /* 2162085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162088 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162093 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162096 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162108 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162115 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162119 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162123 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162127 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162131 */     // MIs[0] round
     /* 2162131 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162134 */     // MIs[0] policy
     /* 2162134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162144 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2162147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162149 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162151 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162153 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162155 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162157 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162159 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162167 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162170 */     // GIR_Coverage, 18028,
     /* 2162170 */     GIR_EraseRootFromParent_Done,
     /* 2162171 */   // Label 28520: @2162171
     /* 2162171 */   GIM_Try, /*On fail goto*//*Label 28521*/ GIMT_Encode4(2162262), // Rule ID 18029 //
     /* 2162176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162179 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162184 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2162187 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2162190 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2162193 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2162196 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162199 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162202 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162214 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162218 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162222 */     // MIs[0] round
     /* 2162222 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162225 */     // MIs[0] policy
     /* 2162225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162235 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E32_MASK),
     /* 2162238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162242 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162244 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162246 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162248 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162250 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162258 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162261 */     // GIR_Coverage, 18029,
     /* 2162261 */     GIR_EraseRootFromParent_Done,
     /* 2162262 */   // Label 28521: @2162262
     /* 2162262 */   GIM_Try, /*On fail goto*//*Label 28522*/ GIMT_Encode4(2162353), // Rule ID 18032 //
     /* 2162267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162270 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162275 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2162278 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162281 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2162284 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2162287 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162290 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162301 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162305 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162309 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162313 */     // MIs[0] round
     /* 2162313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162316 */     // MIs[0] policy
     /* 2162316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162319 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162326 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2162329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162335 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162337 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162339 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162341 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162349 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162352 */     // GIR_Coverage, 18032,
     /* 2162352 */     GIR_EraseRootFromParent_Done,
     /* 2162353 */   // Label 28522: @2162353
     /* 2162353 */   GIM_Try, /*On fail goto*//*Label 28523*/ GIMT_Encode4(2162444), // Rule ID 18033 //
     /* 2162358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162361 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162366 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2162369 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2162372 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2162375 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2162378 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2162381 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162388 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162392 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162396 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162400 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162404 */     // MIs[0] round
     /* 2162404 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162407 */     // MIs[0] policy
     /* 2162407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162410 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162417 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E32_MASK),
     /* 2162420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162424 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162426 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162428 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162430 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162440 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162443 */     // GIR_Coverage, 18033,
     /* 2162443 */     GIR_EraseRootFromParent_Done,
     /* 2162444 */   // Label 28523: @2162444
     /* 2162444 */   GIM_Try, /*On fail goto*//*Label 28524*/ GIMT_Encode4(2162535), // Rule ID 18036 //
     /* 2162449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2162452 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162457 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162460 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162463 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162466 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162469 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162472 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162483 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162487 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162491 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162495 */     // MIs[0] round
     /* 2162495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162498 */     // MIs[0] policy
     /* 2162498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162501 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162508 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2162511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162517 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162519 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162521 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162531 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162534 */     // GIR_Coverage, 18036,
     /* 2162534 */     GIR_EraseRootFromParent_Done,
     /* 2162535 */   // Label 28524: @2162535
     /* 2162535 */   GIM_Try, /*On fail goto*//*Label 28525*/ GIMT_Encode4(2162626), // Rule ID 18037 //
     /* 2162540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2162543 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162548 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2162551 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2162554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2162557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2162560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2162563 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162566 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2162570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162574 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162578 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2162582 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162586 */     // MIs[0] round
     /* 2162586 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162589 */     // MIs[0] policy
     /* 2162589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162592 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162599 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E32_MASK),
     /* 2162602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162608 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162610 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162612 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2162622 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162625 */     // GIR_Coverage, 18037,
     /* 2162625 */     GIR_EraseRootFromParent_Done,
     /* 2162626 */   // Label 28525: @2162626
     /* 2162626 */   GIM_Try, /*On fail goto*//*Label 28526*/ GIMT_Encode4(2162717), // Rule ID 18040 //
     /* 2162631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162634 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162639 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2162642 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2162645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2162648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2162651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162654 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162657 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162661 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162665 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162669 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162673 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162677 */     // MIs[0] round
     /* 2162677 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162680 */     // MIs[0] policy
     /* 2162680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162683 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162690 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2162693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162699 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162701 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162703 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162713 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162716 */     // GIR_Coverage, 18040,
     /* 2162716 */     GIR_EraseRootFromParent_Done,
     /* 2162717 */   // Label 28526: @2162717
     /* 2162717 */   GIM_Try, /*On fail goto*//*Label 28527*/ GIMT_Encode4(2162808), // Rule ID 18041 //
     /* 2162722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162725 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162730 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2162733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2162736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2162739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2162742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2162745 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162748 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2162752 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162756 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162760 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2162764 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162768 */     // MIs[0] round
     /* 2162768 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162771 */     // MIs[0] policy
     /* 2162771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162774 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162781 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M2_E64_MASK),
     /* 2162784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162788 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162790 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162792 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162794 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162796 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162804 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162807 */     // GIR_Coverage, 18041,
     /* 2162807 */     GIR_EraseRootFromParent_Done,
     /* 2162808 */   // Label 28527: @2162808
     /* 2162808 */   GIM_Try, /*On fail goto*//*Label 28528*/ GIMT_Encode4(2162899), // Rule ID 18044 //
     /* 2162813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162816 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162821 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2162824 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2162827 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2162830 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2162833 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162836 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2162839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162851 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162855 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162859 */     // MIs[0] round
     /* 2162859 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162862 */     // MIs[0] policy
     /* 2162862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162872 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2162872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2162875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162877 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162879 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162881 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162883 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162885 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162895 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162898 */     // GIR_Coverage, 18044,
     /* 2162898 */     GIR_EraseRootFromParent_Done,
     /* 2162899 */   // Label 28528: @2162899
     /* 2162899 */   GIM_Try, /*On fail goto*//*Label 28529*/ GIMT_Encode4(2162990), // Rule ID 18045 //
     /* 2162904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2162907 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2162912 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2162915 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2162918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2162921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2162924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2162927 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2162930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2162934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162942 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2162946 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2162950 */     // MIs[0] round
     /* 2162950 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2162953 */     // MIs[0] policy
     /* 2162953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2162956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2162963 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2162963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M4_E64_MASK),
     /* 2162966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2162968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2162970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2162972 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2162974 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2162976 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2162978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2162983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2162986 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2162988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2162989 */     // GIR_Coverage, 18045,
     /* 2162989 */     GIR_EraseRootFromParent_Done,
     /* 2162990 */   // Label 28529: @2162990
     /* 2162990 */   GIM_Try, /*On fail goto*//*Label 28530*/ GIMT_Encode4(2163081), // Rule ID 18048 //
     /* 2162995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2162998 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163003 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163006 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163009 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163012 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163015 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163018 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163029 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163033 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163037 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163041 */     // MIs[0] round
     /* 2163041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163044 */     // MIs[0] policy
     /* 2163044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163047 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163054 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2163057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163063 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163065 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163067 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163069 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163077 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163080 */     // GIR_Coverage, 18048,
     /* 2163080 */     GIR_EraseRootFromParent_Done,
     /* 2163081 */   // Label 28530: @2163081
     /* 2163081 */   GIM_Try, /*On fail goto*//*Label 28531*/ GIMT_Encode4(2163172), // Rule ID 18049 //
     /* 2163086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2163089 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163094 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2163097 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2163100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2163103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2163106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2163109 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2163116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2163128 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163132 */     // MIs[0] round
     /* 2163132 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163135 */     // MIs[0] policy
     /* 2163135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163138 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163145 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VV_M8_E64_MASK),
     /* 2163148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163154 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163156 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163158 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2163168 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163171 */     // GIR_Coverage, 18049,
     /* 2163171 */     GIR_EraseRootFromParent_Done,
     /* 2163172 */   // Label 28531: @2163172
     /* 2163172 */   GIM_Try, /*On fail goto*//*Label 28532*/ GIMT_Encode4(2163263), // Rule ID 18052 //
     /* 2163177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163180 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163185 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2163188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163191 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163194 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2163197 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163200 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163207 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163211 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163215 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163219 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163223 */     // MIs[0] round
     /* 2163223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163226 */     // MIs[0] policy
     /* 2163226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163229 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163236 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2163239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163241 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163243 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163245 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163247 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163249 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163251 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163259 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163262 */     // GIR_Coverage, 18052,
     /* 2163262 */     GIR_EraseRootFromParent_Done,
     /* 2163263 */   // Label 28532: @2163263
     /* 2163263 */   GIM_Try, /*On fail goto*//*Label 28533*/ GIMT_Encode4(2163354), // Rule ID 18053 //
     /* 2163268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163271 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163276 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2163279 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2163282 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163285 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2163288 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163291 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163302 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163306 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163310 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163314 */     // MIs[0] round
     /* 2163314 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163317 */     // MIs[0] policy
     /* 2163317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163320 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163327 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF4_E16_MASK),
     /* 2163330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163336 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163338 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163340 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163342 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163350 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163353 */     // GIR_Coverage, 18053,
     /* 2163353 */     GIR_EraseRootFromParent_Done,
     /* 2163354 */   // Label 28533: @2163354
     /* 2163354 */   GIM_Try, /*On fail goto*//*Label 28534*/ GIMT_Encode4(2163445), // Rule ID 18056 //
     /* 2163359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163362 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163367 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2163370 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2163379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163382 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163389 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163393 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163397 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163401 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163405 */     // MIs[0] round
     /* 2163405 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163408 */     // MIs[0] policy
     /* 2163408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163418 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2163421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163425 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163427 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163429 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163431 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163433 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163441 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163444 */     // GIR_Coverage, 18056,
     /* 2163444 */     GIR_EraseRootFromParent_Done,
     /* 2163445 */   // Label 28534: @2163445
     /* 2163445 */   GIM_Try, /*On fail goto*//*Label 28535*/ GIMT_Encode4(2163536), // Rule ID 18057 //
     /* 2163450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163453 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163458 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2163461 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2163464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2163470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163473 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163484 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163488 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163492 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163496 */     // MIs[0] round
     /* 2163496 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163499 */     // MIs[0] policy
     /* 2163499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163502 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163509 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163509 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_MF2_E16_MASK),
     /* 2163512 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163518 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163520 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163522 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163532 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163535 */     // GIR_Coverage, 18057,
     /* 2163535 */     GIR_EraseRootFromParent_Done,
     /* 2163536 */   // Label 28535: @2163536
     /* 2163536 */   GIM_Try, /*On fail goto*//*Label 28536*/ GIMT_Encode4(2163627), // Rule ID 18060 //
     /* 2163541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163544 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163549 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2163552 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163555 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163558 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2163561 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163564 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163587 */     // MIs[0] round
     /* 2163587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163590 */     // MIs[0] policy
     /* 2163590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163600 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2163603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163605 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163607 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163609 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163611 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163613 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163615 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163623 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163626 */     // GIR_Coverage, 18060,
     /* 2163626 */     GIR_EraseRootFromParent_Done,
     /* 2163627 */   // Label 28536: @2163627
     /* 2163627 */   GIM_Try, /*On fail goto*//*Label 28537*/ GIMT_Encode4(2163718), // Rule ID 18061 //
     /* 2163632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2163643 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2163646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2163652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2163655 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163674 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163678 */     // MIs[0] round
     /* 2163678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163681 */     // MIs[0] policy
     /* 2163681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163684 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163691 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_MF2_E32_MASK),
     /* 2163694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163700 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163702 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163704 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163714 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163717 */     // GIR_Coverage, 18061,
     /* 2163717 */     GIR_EraseRootFromParent_Done,
     /* 2163718 */   // Label 28537: @2163718
     /* 2163718 */   GIM_Try, /*On fail goto*//*Label 28538*/ GIMT_Encode4(2163809), // Rule ID 18064 //
     /* 2163723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2163726 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163731 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163734 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163737 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163740 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163743 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163746 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163749 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163757 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163761 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163765 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163769 */     // MIs[0] round
     /* 2163769 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163772 */     // MIs[0] policy
     /* 2163772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163775 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163782 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163782 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2163785 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163791 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163793 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163795 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163797 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163805 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163808 */     // GIR_Coverage, 18064,
     /* 2163808 */     GIR_EraseRootFromParent_Done,
     /* 2163809 */   // Label 28538: @2163809
     /* 2163809 */   GIM_Try, /*On fail goto*//*Label 28539*/ GIMT_Encode4(2163900), // Rule ID 18065 //
     /* 2163814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2163817 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163822 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2163825 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2163828 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2163831 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2163834 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2163837 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2163840 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163844 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163848 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2163852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163856 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163860 */     // MIs[0] round
     /* 2163860 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163863 */     // MIs[0] policy
     /* 2163863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163873 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11215:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2163873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M1_E16_MASK),
     /* 2163876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163880 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163882 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163884 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163886 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2163896 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163899 */     // GIR_Coverage, 18065,
     /* 2163899 */     GIR_EraseRootFromParent_Done,
     /* 2163900 */   // Label 28539: @2163900
     /* 2163900 */   GIM_Try, /*On fail goto*//*Label 28540*/ GIMT_Encode4(2163991), // Rule ID 18068 //
     /* 2163905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2163908 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2163913 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2163916 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2163919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2163922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2163925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2163928 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2163931 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2163935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163939 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2163943 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2163947 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2163951 */     // MIs[0] round
     /* 2163951 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2163954 */     // MIs[0] policy
     /* 2163954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2163957 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2163964 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2163964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2163967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2163969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2163971 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2163973 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2163975 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2163977 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2163979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2163984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2163987 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2163989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2163990 */     // GIR_Coverage, 18068,
     /* 2163990 */     GIR_EraseRootFromParent_Done,
     /* 2163991 */   // Label 28540: @2163991
     /* 2163991 */   GIM_Try, /*On fail goto*//*Label 28541*/ GIMT_Encode4(2164082), // Rule ID 18069 //
     /* 2163996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2163999 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164004 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2164007 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2164010 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164013 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2164016 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2164019 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164022 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164030 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164038 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164042 */     // MIs[0] round
     /* 2164042 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164045 */     // MIs[0] policy
     /* 2164045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164055 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11215:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M1_E32_MASK),
     /* 2164058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164062 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164064 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164066 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164068 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164070 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164078 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164081 */     // GIR_Coverage, 18069,
     /* 2164081 */     GIR_EraseRootFromParent_Done,
     /* 2164082 */   // Label 28541: @2164082
     /* 2164082 */   GIM_Try, /*On fail goto*//*Label 28542*/ GIMT_Encode4(2164173), // Rule ID 18072 //
     /* 2164087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2164090 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164095 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164098 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164101 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164104 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164107 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164110 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164129 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164133 */     // MIs[0] round
     /* 2164133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164136 */     // MIs[0] policy
     /* 2164136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164146 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2164149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164155 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164157 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164159 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164161 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164169 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164172 */     // GIR_Coverage, 18072,
     /* 2164172 */     GIR_EraseRootFromParent_Done,
     /* 2164173 */   // Label 28542: @2164173
     /* 2164173 */   GIM_Try, /*On fail goto*//*Label 28543*/ GIMT_Encode4(2164264), // Rule ID 18073 //
     /* 2164178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2164181 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164186 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2164189 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2164192 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2164195 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2164198 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2164201 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2164208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2164216 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2164220 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164224 */     // MIs[0] round
     /* 2164224 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164227 */     // MIs[0] policy
     /* 2164227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164230 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164237 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11215:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M1_E64_MASK),
     /* 2164240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164244 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164246 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164248 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164250 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164252 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2164260 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164263 */     // GIR_Coverage, 18073,
     /* 2164263 */     GIR_EraseRootFromParent_Done,
     /* 2164264 */   // Label 28543: @2164264
     /* 2164264 */   GIM_Try, /*On fail goto*//*Label 28544*/ GIMT_Encode4(2164355), // Rule ID 18076 //
     /* 2164269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164272 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164277 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164280 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164283 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164286 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164289 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164292 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164307 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164311 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164315 */     // MIs[0] round
     /* 2164315 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164318 */     // MIs[0] policy
     /* 2164318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164321 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164328 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2164331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164333 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164335 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164337 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164339 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164341 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164343 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164351 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164354 */     // GIR_Coverage, 18076,
     /* 2164354 */     GIR_EraseRootFromParent_Done,
     /* 2164355 */   // Label 28544: @2164355
     /* 2164355 */   GIM_Try, /*On fail goto*//*Label 28545*/ GIMT_Encode4(2164446), // Rule ID 18077 //
     /* 2164360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164363 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164368 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2164371 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2164374 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164377 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2164380 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2164383 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164386 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164394 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164398 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164402 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164406 */     // MIs[0] round
     /* 2164406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164409 */     // MIs[0] policy
     /* 2164409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164412 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164419 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M2_E16_MASK),
     /* 2164422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164426 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164428 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164430 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164432 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164434 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164442 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164445 */     // GIR_Coverage, 18077,
     /* 2164445 */     GIR_EraseRootFromParent_Done,
     /* 2164446 */   // Label 28545: @2164446
     /* 2164446 */   GIM_Try, /*On fail goto*//*Label 28546*/ GIMT_Encode4(2164537), // Rule ID 18080 //
     /* 2164451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164454 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164459 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164462 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164474 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164493 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164497 */     // MIs[0] round
     /* 2164497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164500 */     // MIs[0] policy
     /* 2164500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164510 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2164513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164519 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164521 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164523 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164533 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164536 */     // GIR_Coverage, 18080,
     /* 2164536 */     GIR_EraseRootFromParent_Done,
     /* 2164537 */   // Label 28546: @2164537
     /* 2164537 */   GIM_Try, /*On fail goto*//*Label 28547*/ GIMT_Encode4(2164628), // Rule ID 18081 //
     /* 2164542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164545 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164550 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2164553 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2164556 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164559 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2164562 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2164565 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164568 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2164572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164576 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2164584 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164588 */     // MIs[0] round
     /* 2164588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164591 */     // MIs[0] policy
     /* 2164591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164594 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164601 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M4_E16_MASK),
     /* 2164604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164608 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164610 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164612 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164614 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164616 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164624 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164627 */     // GIR_Coverage, 18081,
     /* 2164627 */     GIR_EraseRootFromParent_Done,
     /* 2164628 */   // Label 28547: @2164628
     /* 2164628 */   GIM_Try, /*On fail goto*//*Label 28548*/ GIMT_Encode4(2164719), // Rule ID 18084 //
     /* 2164633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2164636 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164641 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2164644 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2164647 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164650 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2164653 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2164656 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164659 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164675 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164679 */     // MIs[0] round
     /* 2164679 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164682 */     // MIs[0] policy
     /* 2164682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164685 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164692 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2164695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164699 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164701 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164703 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164705 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164715 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164718 */     // GIR_Coverage, 18084,
     /* 2164718 */     GIR_EraseRootFromParent_Done,
     /* 2164719 */   // Label 28548: @2164719
     /* 2164719 */   GIM_Try, /*On fail goto*//*Label 28549*/ GIMT_Encode4(2164810), // Rule ID 18085 //
     /* 2164724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2164727 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164732 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2164735 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2164738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2164741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2164744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2164747 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164750 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2164754 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164758 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2164762 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2164766 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164770 */     // MIs[0] round
     /* 2164770 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164773 */     // MIs[0] policy
     /* 2164773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164776 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164783 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR16_M8_E16_MASK),
     /* 2164786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164790 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164792 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164794 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164796 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164798 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2164806 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164809 */     // GIR_Coverage, 18085,
     /* 2164809 */     GIR_EraseRootFromParent_Done,
     /* 2164810 */   // Label 28549: @2164810
     /* 2164810 */   GIM_Try, /*On fail goto*//*Label 28550*/ GIMT_Encode4(2164901), // Rule ID 18088 //
     /* 2164815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2164818 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164823 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2164826 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164829 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164832 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2164835 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164838 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2164841 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164849 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164853 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164857 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164861 */     // MIs[0] round
     /* 2164861 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164864 */     // MIs[0] policy
     /* 2164864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164874 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2164874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2164877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164883 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164885 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164887 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164889 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164897 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164900 */     // GIR_Coverage, 18088,
     /* 2164900 */     GIR_EraseRootFromParent_Done,
     /* 2164901 */   // Label 28550: @2164901
     /* 2164901 */   GIM_Try, /*On fail goto*//*Label 28551*/ GIMT_Encode4(2164992), // Rule ID 18089 //
     /* 2164906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2164909 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2164914 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2164917 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2164920 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2164923 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2164926 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2164929 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2164932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2164936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164940 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2164944 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2164948 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2164952 */     // MIs[0] round
     /* 2164952 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2164955 */     // MIs[0] policy
     /* 2164955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2164958 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2164965 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2164965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M2_E32_MASK),
     /* 2164968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2164970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2164972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2164974 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2164976 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2164978 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2164980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2164985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2164988 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2164990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2164991 */     // GIR_Coverage, 18089,
     /* 2164991 */     GIR_EraseRootFromParent_Done,
     /* 2164992 */   // Label 28551: @2164992
     /* 2164992 */   GIM_Try, /*On fail goto*//*Label 28552*/ GIMT_Encode4(2165083), // Rule ID 18092 //
     /* 2164997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165000 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165005 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165008 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165011 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165014 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165017 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165020 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165023 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165039 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165043 */     // MIs[0] round
     /* 2165043 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165046 */     // MIs[0] policy
     /* 2165046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165049 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165056 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2165059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165063 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165065 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165067 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165069 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165079 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165082 */     // GIR_Coverage, 18092,
     /* 2165082 */     GIR_EraseRootFromParent_Done,
     /* 2165083 */   // Label 28552: @2165083
     /* 2165083 */   GIM_Try, /*On fail goto*//*Label 28553*/ GIMT_Encode4(2165174), // Rule ID 18093 //
     /* 2165088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165091 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165096 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2165099 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2165102 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165105 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2165108 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165111 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165118 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165122 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165126 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165130 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165134 */     // MIs[0] round
     /* 2165134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165137 */     // MIs[0] policy
     /* 2165137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165140 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165147 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M4_E32_MASK),
     /* 2165150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165152 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165154 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165156 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165158 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165160 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165162 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165170 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165173 */     // GIR_Coverage, 18093,
     /* 2165173 */     GIR_EraseRootFromParent_Done,
     /* 2165174 */   // Label 28553: @2165174
     /* 2165174 */   GIM_Try, /*On fail goto*//*Label 28554*/ GIMT_Encode4(2165265), // Rule ID 18096 //
     /* 2165179 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2165182 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165187 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165190 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165193 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165196 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165199 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165202 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165209 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165213 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165221 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165225 */     // MIs[0] round
     /* 2165225 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165228 */     // MIs[0] policy
     /* 2165228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165231 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165238 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2165241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165243 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165247 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165249 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165251 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165261 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165264 */     // GIR_Coverage, 18096,
     /* 2165264 */     GIR_EraseRootFromParent_Done,
     /* 2165265 */   // Label 28554: @2165265
     /* 2165265 */   GIM_Try, /*On fail goto*//*Label 28555*/ GIMT_Encode4(2165356), // Rule ID 18097 //
     /* 2165270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2165273 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165278 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2165281 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2165284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2165287 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2165290 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2165293 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165300 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2165308 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165312 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165316 */     // MIs[0] round
     /* 2165316 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165319 */     // MIs[0] policy
     /* 2165319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165322 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165329 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR32_M8_E32_MASK),
     /* 2165332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165336 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165338 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165340 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165342 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165344 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2165352 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165354 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165355 */     // GIR_Coverage, 18097,
     /* 2165355 */     GIR_EraseRootFromParent_Done,
     /* 2165356 */   // Label 28555: @2165356
     /* 2165356 */   GIM_Try, /*On fail goto*//*Label 28556*/ GIMT_Encode4(2165447), // Rule ID 18100 //
     /* 2165361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165364 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165369 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165372 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165384 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165395 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165399 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165403 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165407 */     // MIs[0] round
     /* 2165407 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165410 */     // MIs[0] policy
     /* 2165410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165413 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165420 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2165423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165429 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165431 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165433 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165443 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165446 */     // GIR_Coverage, 18100,
     /* 2165446 */     GIR_EraseRootFromParent_Done,
     /* 2165447 */   // Label 28556: @2165447
     /* 2165447 */   GIM_Try, /*On fail goto*//*Label 28557*/ GIMT_Encode4(2165538), // Rule ID 18101 //
     /* 2165452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165455 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165460 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2165463 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2165466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2165472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2165475 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165478 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2165482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2165494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165498 */     // MIs[0] round
     /* 2165498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165501 */     // MIs[0] policy
     /* 2165501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165511 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11215:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M2_E64_MASK),
     /* 2165514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165520 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165522 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165524 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165526 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165534 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165537 */     // GIR_Coverage, 18101,
     /* 2165537 */     GIR_EraseRootFromParent_Done,
     /* 2165538 */   // Label 28557: @2165538
     /* 2165538 */   GIM_Try, /*On fail goto*//*Label 28558*/ GIMT_Encode4(2165629), // Rule ID 18104 //
     /* 2165543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2165554 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2165557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165560 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2165563 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165566 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165569 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165581 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165585 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165589 */     // MIs[0] round
     /* 2165589 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165592 */     // MIs[0] policy
     /* 2165592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165595 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165602 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2165605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165611 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165613 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165615 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165617 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165625 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165628 */     // GIR_Coverage, 18104,
     /* 2165628 */     GIR_EraseRootFromParent_Done,
     /* 2165629 */   // Label 28558: @2165629
     /* 2165629 */   GIM_Try, /*On fail goto*//*Label 28559*/ GIMT_Encode4(2165720), // Rule ID 18105 //
     /* 2165634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165637 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165642 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2165645 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2165648 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165651 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2165654 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2165657 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2165664 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165668 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165672 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2165676 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165680 */     // MIs[0] round
     /* 2165680 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165683 */     // MIs[0] policy
     /* 2165683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165686 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165693 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11215:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165693 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M4_E64_MASK),
     /* 2165696 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165702 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165704 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165706 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165716 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165719 */     // GIR_Coverage, 18105,
     /* 2165719 */     GIR_EraseRootFromParent_Done,
     /* 2165720 */   // Label 28559: @2165720
     /* 2165720 */   GIM_Try, /*On fail goto*//*Label 28560*/ GIMT_Encode4(2165811), // Rule ID 18108 //
     /* 2165725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2165728 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165733 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2165736 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2165739 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165742 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2165745 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165748 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165767 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165771 */     // MIs[0] round
     /* 2165771 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165774 */     // MIs[0] policy
     /* 2165774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165777 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165784 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2165787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165791 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165793 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165795 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165797 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165807 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165810 */     // GIR_Coverage, 18108,
     /* 2165810 */     GIR_EraseRootFromParent_Done,
     /* 2165811 */   // Label 28560: @2165811
     /* 2165811 */   GIM_Try, /*On fail goto*//*Label 28561*/ GIMT_Encode4(2165902), // Rule ID 18109 //
     /* 2165816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2165819 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsac_mask),
     /* 2165824 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2165827 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2165830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2165833 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2165836 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2165839 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2165842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2165846 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165850 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2165854 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2165858 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165862 */     // MIs[0] round
     /* 2165862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165865 */     // MIs[0] policy
     /* 2165865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165868 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165875 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11215:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2165875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSAC_VFPR64_M8_E64_MASK),
     /* 2165878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165884 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165886 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165888 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2165898 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165901 */     // GIR_Coverage, 18109,
     /* 2165901 */     GIR_EraseRootFromParent_Done,
     /* 2165902 */   // Label 28561: @2165902
     /* 2165902 */   GIM_Try, /*On fail goto*//*Label 28562*/ GIMT_Encode4(2165993), // Rule ID 18112 //
     /* 2165907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2165910 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2165915 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2165918 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2165921 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2165924 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2165927 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2165930 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2165933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2165937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165941 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165945 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2165949 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2165953 */     // MIs[0] round
     /* 2165953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2165956 */     // MIs[0] policy
     /* 2165956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2165959 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2165966 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2165966 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2165969 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2165971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2165973 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2165975 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2165977 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2165979 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2165981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2165986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2165989 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2165991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2165992 */     // GIR_Coverage, 18112,
     /* 2165992 */     GIR_EraseRootFromParent_Done,
     /* 2165993 */   // Label 28562: @2165993
     /* 2165993 */   GIM_Try, /*On fail goto*//*Label 28563*/ GIMT_Encode4(2166084), // Rule ID 18113 //
     /* 2165998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166001 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166006 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2166009 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2166012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2166015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2166018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166021 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166024 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166036 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166040 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166044 */     // MIs[0] round
     /* 2166044 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166047 */     // MIs[0] policy
     /* 2166047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166057 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF4_E16_MASK),
     /* 2166060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166066 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166068 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166070 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166072 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166080 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166083 */     // GIR_Coverage, 18113,
     /* 2166083 */     GIR_EraseRootFromParent_Done,
     /* 2166084 */   // Label 28563: @2166084
     /* 2166084 */   GIM_Try, /*On fail goto*//*Label 28564*/ GIMT_Encode4(2166175), // Rule ID 18116 //
     /* 2166089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166092 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166097 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166100 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166112 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166115 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166123 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166127 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166131 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166135 */     // MIs[0] round
     /* 2166135 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166138 */     // MIs[0] policy
     /* 2166138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166141 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166148 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2166151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166155 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166157 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166159 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166161 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166171 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166174 */     // GIR_Coverage, 18116,
     /* 2166174 */     GIR_EraseRootFromParent_Done,
     /* 2166175 */   // Label 28564: @2166175
     /* 2166175 */   GIM_Try, /*On fail goto*//*Label 28565*/ GIMT_Encode4(2166266), // Rule ID 18117 //
     /* 2166180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166183 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166188 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2166191 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2166194 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2166197 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2166200 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166203 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166206 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166210 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166214 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166218 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166222 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166226 */     // MIs[0] round
     /* 2166226 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166229 */     // MIs[0] policy
     /* 2166229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166232 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166239 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E16_MASK),
     /* 2166242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166244 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166246 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166248 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166250 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166252 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166262 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166265 */     // GIR_Coverage, 18117,
     /* 2166265 */     GIR_EraseRootFromParent_Done,
     /* 2166266 */   // Label 28565: @2166266
     /* 2166266 */   GIM_Try, /*On fail goto*//*Label 28566*/ GIMT_Encode4(2166357), // Rule ID 18120 //
     /* 2166271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166274 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166279 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2166282 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2166288 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2166291 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166294 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166297 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166313 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166317 */     // MIs[0] round
     /* 2166317 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166320 */     // MIs[0] policy
     /* 2166320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166323 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166330 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2166333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166339 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166341 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166343 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166345 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166353 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166355 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166356 */     // GIR_Coverage, 18120,
     /* 2166356 */     GIR_EraseRootFromParent_Done,
     /* 2166357 */   // Label 28566: @2166357
     /* 2166357 */   GIM_Try, /*On fail goto*//*Label 28567*/ GIMT_Encode4(2166448), // Rule ID 18121 //
     /* 2166362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166365 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166370 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2166373 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2166376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2166379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2166382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166385 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166396 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166400 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166404 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166408 */     // MIs[0] round
     /* 2166408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166411 */     // MIs[0] policy
     /* 2166411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166414 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166421 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_MF2_E32_MASK),
     /* 2166424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166426 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166428 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166430 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166432 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166434 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166444 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166447 */     // GIR_Coverage, 18121,
     /* 2166447 */     GIR_EraseRootFromParent_Done,
     /* 2166448 */   // Label 28567: @2166448
     /* 2166448 */   GIM_Try, /*On fail goto*//*Label 28568*/ GIMT_Encode4(2166539), // Rule ID 18124 //
     /* 2166453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2166456 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166461 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166464 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166467 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166470 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166473 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166476 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166479 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166495 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166499 */     // MIs[0] round
     /* 2166499 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166502 */     // MIs[0] policy
     /* 2166502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166505 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166512 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2166515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166521 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166523 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166525 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166535 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166538 */     // GIR_Coverage, 18124,
     /* 2166538 */     GIR_EraseRootFromParent_Done,
     /* 2166539 */   // Label 28568: @2166539
     /* 2166539 */   GIM_Try, /*On fail goto*//*Label 28569*/ GIMT_Encode4(2166630), // Rule ID 18125 //
     /* 2166544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2166547 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166552 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2166555 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2166558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2166561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2166564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2166567 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166570 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166574 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166578 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166582 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166586 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166590 */     // MIs[0] round
     /* 2166590 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166593 */     // MIs[0] policy
     /* 2166593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166596 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166603 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E16_MASK),
     /* 2166606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166612 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166614 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166616 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166618 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2166626 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166629 */     // GIR_Coverage, 18125,
     /* 2166629 */     GIR_EraseRootFromParent_Done,
     /* 2166630 */   // Label 28569: @2166630
     /* 2166630 */   GIM_Try, /*On fail goto*//*Label 28570*/ GIMT_Encode4(2166721), // Rule ID 18128 //
     /* 2166635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2166638 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166643 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2166646 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2166649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2166652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2166655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166658 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166669 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166673 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166677 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166681 */     // MIs[0] round
     /* 2166681 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166684 */     // MIs[0] policy
     /* 2166684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166687 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166694 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166694 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2166697 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166701 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166703 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166705 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166707 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166709 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166717 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166720 */     // GIR_Coverage, 18128,
     /* 2166720 */     GIR_EraseRootFromParent_Done,
     /* 2166721 */   // Label 28570: @2166721
     /* 2166721 */   GIM_Try, /*On fail goto*//*Label 28571*/ GIMT_Encode4(2166812), // Rule ID 18129 //
     /* 2166726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2166729 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166734 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2166737 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2166740 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2166743 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2166746 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2166749 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166764 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166768 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166772 */     // MIs[0] round
     /* 2166772 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166775 */     // MIs[0] policy
     /* 2166775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166785 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E32_MASK),
     /* 2166788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166792 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166794 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166796 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166798 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166800 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2166808 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166811 */     // GIR_Coverage, 18129,
     /* 2166811 */     GIR_EraseRootFromParent_Done,
     /* 2166812 */   // Label 28571: @2166812
     /* 2166812 */   GIM_Try, /*On fail goto*//*Label 28572*/ GIMT_Encode4(2166903), // Rule ID 18132 //
     /* 2166817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2166820 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166825 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2166828 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166831 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2166834 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2166837 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166840 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2166843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166847 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166851 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166855 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166859 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166863 */     // MIs[0] round
     /* 2166863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166866 */     // MIs[0] policy
     /* 2166866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166869 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166876 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2166876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2166879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166885 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166887 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166889 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166891 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166899 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166902 */     // GIR_Coverage, 18132,
     /* 2166902 */     GIR_EraseRootFromParent_Done,
     /* 2166903 */   // Label 28572: @2166903
     /* 2166903 */   GIM_Try, /*On fail goto*//*Label 28573*/ GIMT_Encode4(2166994), // Rule ID 18133 //
     /* 2166908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2166911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2166916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2166919 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2166922 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2166925 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2166928 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2166931 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2166934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2166938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166946 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2166950 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2166954 */     // MIs[0] round
     /* 2166954 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2166957 */     // MIs[0] policy
     /* 2166957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2166960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2166967 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2166967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M1_E64_MASK),
     /* 2166970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2166972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2166974 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2166976 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2166978 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2166980 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2166982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2166987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2166990 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2166992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2166993 */     // GIR_Coverage, 18133,
     /* 2166993 */     GIR_EraseRootFromParent_Done,
     /* 2166994 */   // Label 28573: @2166994
     /* 2166994 */   GIM_Try, /*On fail goto*//*Label 28574*/ GIMT_Encode4(2167085), // Rule ID 18136 //
     /* 2166999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167002 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167007 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167010 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167016 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167019 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167022 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167041 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167045 */     // MIs[0] round
     /* 2167045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167048 */     // MIs[0] policy
     /* 2167048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167051 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167058 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2167061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167067 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167069 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167071 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167073 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167081 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167084 */     // GIR_Coverage, 18136,
     /* 2167084 */     GIR_EraseRootFromParent_Done,
     /* 2167085 */   // Label 28574: @2167085
     /* 2167085 */   GIM_Try, /*On fail goto*//*Label 28575*/ GIMT_Encode4(2167176), // Rule ID 18137 //
     /* 2167090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167093 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167098 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2167101 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2167104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2167107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2167110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167113 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167116 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167128 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167132 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167136 */     // MIs[0] round
     /* 2167136 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167139 */     // MIs[0] policy
     /* 2167139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167142 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167149 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E16_MASK),
     /* 2167152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167156 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167158 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167160 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167162 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167164 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167172 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167175 */     // GIR_Coverage, 18137,
     /* 2167175 */     GIR_EraseRootFromParent_Done,
     /* 2167176 */   // Label 28575: @2167176
     /* 2167176 */   GIM_Try, /*On fail goto*//*Label 28576*/ GIMT_Encode4(2167267), // Rule ID 18140 //
     /* 2167181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167184 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167189 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2167192 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167195 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2167198 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2167201 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167204 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167207 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167215 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167223 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167227 */     // MIs[0] round
     /* 2167227 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167230 */     // MIs[0] policy
     /* 2167230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167240 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2167243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167249 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167251 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167253 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167255 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167263 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167266 */     // GIR_Coverage, 18140,
     /* 2167266 */     GIR_EraseRootFromParent_Done,
     /* 2167267 */   // Label 28576: @2167267
     /* 2167267 */   GIM_Try, /*On fail goto*//*Label 28577*/ GIMT_Encode4(2167358), // Rule ID 18141 //
     /* 2167272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167275 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167280 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2167283 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2167286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2167289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2167292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167295 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167306 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167310 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167314 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167318 */     // MIs[0] round
     /* 2167318 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167321 */     // MIs[0] policy
     /* 2167321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167324 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167331 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E16_MASK),
     /* 2167334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167338 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167340 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167342 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167344 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167354 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167357 */     // GIR_Coverage, 18141,
     /* 2167357 */     GIR_EraseRootFromParent_Done,
     /* 2167358 */   // Label 28577: @2167358
     /* 2167358 */   GIM_Try, /*On fail goto*//*Label 28578*/ GIMT_Encode4(2167449), // Rule ID 18144 //
     /* 2167363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2167366 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167371 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2167374 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2167377 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2167380 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2167383 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2167386 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167389 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167409 */     // MIs[0] round
     /* 2167409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167412 */     // MIs[0] policy
     /* 2167412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167422 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2167425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167429 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167431 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167433 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167435 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167445 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167448 */     // GIR_Coverage, 18144,
     /* 2167448 */     GIR_EraseRootFromParent_Done,
     /* 2167449 */   // Label 28578: @2167449
     /* 2167449 */   GIM_Try, /*On fail goto*//*Label 28579*/ GIMT_Encode4(2167540), // Rule ID 18145 //
     /* 2167454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2167457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2167465 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2167468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2167471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2167474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2167477 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167492 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167496 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167500 */     // MIs[0] round
     /* 2167500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167503 */     // MIs[0] policy
     /* 2167503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167513 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E16_MASK),
     /* 2167516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167522 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167524 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167526 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167528 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2167536 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167539 */     // GIR_Coverage, 18145,
     /* 2167539 */     GIR_EraseRootFromParent_Done,
     /* 2167540 */   // Label 28579: @2167540
     /* 2167540 */   GIM_Try, /*On fail goto*//*Label 28580*/ GIMT_Encode4(2167631), // Rule ID 18148 //
     /* 2167545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167548 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167553 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2167556 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167559 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2167562 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2167565 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167568 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167571 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167583 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167587 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167591 */     // MIs[0] round
     /* 2167591 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167594 */     // MIs[0] policy
     /* 2167594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167597 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167604 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2167607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167611 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167613 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167615 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167617 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167619 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167627 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167630 */     // GIR_Coverage, 18148,
     /* 2167630 */     GIR_EraseRootFromParent_Done,
     /* 2167631 */   // Label 28580: @2167631
     /* 2167631 */   GIM_Try, /*On fail goto*//*Label 28581*/ GIMT_Encode4(2167722), // Rule ID 18149 //
     /* 2167636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167639 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167644 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2167647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2167650 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2167653 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2167656 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2167659 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2167666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2167678 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167682 */     // MIs[0] round
     /* 2167682 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167685 */     // MIs[0] policy
     /* 2167685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167688 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167695 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E32_MASK),
     /* 2167698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167704 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167706 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167708 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167710 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167718 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167721 */     // GIR_Coverage, 18149,
     /* 2167721 */     GIR_EraseRootFromParent_Done,
     /* 2167722 */   // Label 28581: @2167722
     /* 2167722 */   GIM_Try, /*On fail goto*//*Label 28582*/ GIMT_Encode4(2167813), // Rule ID 18152 //
     /* 2167727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167730 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167735 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2167738 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2167741 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2167744 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2167747 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167750 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167753 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167757 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167761 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167765 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167769 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167773 */     // MIs[0] round
     /* 2167773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167776 */     // MIs[0] policy
     /* 2167776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167779 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167786 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2167789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167793 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167795 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167797 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167799 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167801 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167809 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167812 */     // GIR_Coverage, 18152,
     /* 2167812 */     GIR_EraseRootFromParent_Done,
     /* 2167813 */   // Label 28582: @2167813
     /* 2167813 */   GIM_Try, /*On fail goto*//*Label 28583*/ GIMT_Encode4(2167904), // Rule ID 18153 //
     /* 2167818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2167821 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167826 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2167829 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2167832 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2167835 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2167838 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2167841 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2167844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2167848 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167856 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2167860 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167864 */     // MIs[0] round
     /* 2167864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167867 */     // MIs[0] policy
     /* 2167867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167877 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2167877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E32_MASK),
     /* 2167880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167884 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167886 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167888 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167890 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167900 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167903 */     // GIR_Coverage, 18153,
     /* 2167903 */     GIR_EraseRootFromParent_Done,
     /* 2167904 */   // Label 28583: @2167904
     /* 2167904 */   GIM_Try, /*On fail goto*//*Label 28584*/ GIMT_Encode4(2167995), // Rule ID 18156 //
     /* 2167909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2167912 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2167917 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2167920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2167923 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2167926 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2167929 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2167932 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2167935 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2167939 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167943 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167947 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2167951 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2167955 */     // MIs[0] round
     /* 2167955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2167958 */     // MIs[0] policy
     /* 2167958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2167961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2167968 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2167968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2167971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2167973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2167975 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2167977 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2167979 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2167981 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2167983 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2167988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2167991 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2167993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2167994 */     // GIR_Coverage, 18156,
     /* 2167994 */     GIR_EraseRootFromParent_Done,
     /* 2167995 */   // Label 28584: @2167995
     /* 2167995 */   GIM_Try, /*On fail goto*//*Label 28585*/ GIMT_Encode4(2168086), // Rule ID 18157 //
     /* 2168000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2168003 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168008 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2168011 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2168014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2168017 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2168020 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2168023 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168026 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168030 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168034 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168038 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168042 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168046 */     // MIs[0] round
     /* 2168046 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168049 */     // MIs[0] policy
     /* 2168049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168052 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168059 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E32_MASK),
     /* 2168062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168066 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168068 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168070 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168072 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168074 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2168082 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168085 */     // GIR_Coverage, 18157,
     /* 2168085 */     GIR_EraseRootFromParent_Done,
     /* 2168086 */   // Label 28585: @2168086
     /* 2168086 */   GIM_Try, /*On fail goto*//*Label 28586*/ GIMT_Encode4(2168177), // Rule ID 18160 //
     /* 2168091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168094 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168099 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168114 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168133 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168137 */     // MIs[0] round
     /* 2168137 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168140 */     // MIs[0] policy
     /* 2168140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168143 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168150 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2168153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168155 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168157 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168159 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168161 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168163 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168165 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168173 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168175 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168176 */     // GIR_Coverage, 18160,
     /* 2168176 */     GIR_EraseRootFromParent_Done,
     /* 2168177 */   // Label 28586: @2168177
     /* 2168177 */   GIM_Try, /*On fail goto*//*Label 28587*/ GIMT_Encode4(2168268), // Rule ID 18161 //
     /* 2168182 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168185 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168190 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2168193 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2168196 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2168199 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2168202 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168205 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168208 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2168212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168220 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2168224 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168228 */     // MIs[0] round
     /* 2168228 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168231 */     // MIs[0] policy
     /* 2168231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168241 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M2_E64_MASK),
     /* 2168244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168248 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168250 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168252 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168254 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168256 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168264 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168267 */     // GIR_Coverage, 18161,
     /* 2168267 */     GIR_EraseRootFromParent_Done,
     /* 2168268 */   // Label 28587: @2168268
     /* 2168268 */   GIM_Try, /*On fail goto*//*Label 28588*/ GIMT_Encode4(2168359), // Rule ID 18164 //
     /* 2168273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168276 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168281 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2168284 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2168287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2168290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2168293 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168296 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168299 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168307 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168311 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168315 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168319 */     // MIs[0] round
     /* 2168319 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168322 */     // MIs[0] policy
     /* 2168322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168325 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168332 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2168335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168339 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168341 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168343 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168345 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168347 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168355 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168358 */     // GIR_Coverage, 18164,
     /* 2168358 */     GIR_EraseRootFromParent_Done,
     /* 2168359 */   // Label 28588: @2168359
     /* 2168359 */   GIM_Try, /*On fail goto*//*Label 28589*/ GIMT_Encode4(2168450), // Rule ID 18165 //
     /* 2168364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168367 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168372 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2168375 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2168378 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2168381 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2168384 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2168387 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168390 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2168394 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168398 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2168406 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168410 */     // MIs[0] round
     /* 2168410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168413 */     // MIs[0] policy
     /* 2168413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168416 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168423 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M4_E64_MASK),
     /* 2168426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168430 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168432 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168434 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168436 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168446 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168449 */     // GIR_Coverage, 18165,
     /* 2168449 */     GIR_EraseRootFromParent_Done,
     /* 2168450 */   // Label 28589: @2168450
     /* 2168450 */   GIM_Try, /*On fail goto*//*Label 28590*/ GIMT_Encode4(2168541), // Rule ID 18168 //
     /* 2168455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2168458 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168463 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168466 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168469 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168472 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2168475 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168478 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168497 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168501 */     // MIs[0] round
     /* 2168501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168504 */     // MIs[0] policy
     /* 2168504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168507 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168514 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2168517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168519 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168521 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168523 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168525 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168527 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168537 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168540 */     // GIR_Coverage, 18168,
     /* 2168540 */     GIR_EraseRootFromParent_Done,
     /* 2168541 */   // Label 28590: @2168541
     /* 2168541 */   GIM_Try, /*On fail goto*//*Label 28591*/ GIMT_Encode4(2168632), // Rule ID 18169 //
     /* 2168546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2168549 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168554 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2168557 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2168560 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2168563 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2168566 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2168569 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2168576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2168588 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168592 */     // MIs[0] round
     /* 2168592 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168595 */     // MIs[0] policy
     /* 2168595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168598 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168605 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VV_M8_E64_MASK),
     /* 2168608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168610 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168612 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168614 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168616 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168618 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2168628 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168631 */     // GIR_Coverage, 18169,
     /* 2168631 */     GIR_EraseRootFromParent_Done,
     /* 2168632 */   // Label 28591: @2168632
     /* 2168632 */   GIM_Try, /*On fail goto*//*Label 28592*/ GIMT_Encode4(2168723), // Rule ID 18172 //
     /* 2168637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168640 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168645 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2168648 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2168651 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168654 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2168657 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168660 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168663 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168667 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168671 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168675 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168679 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168683 */     // MIs[0] round
     /* 2168683 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168686 */     // MIs[0] policy
     /* 2168686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168696 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2168699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168703 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168705 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168707 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168709 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168711 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168719 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168722 */     // GIR_Coverage, 18172,
     /* 2168722 */     GIR_EraseRootFromParent_Done,
     /* 2168723 */   // Label 28592: @2168723
     /* 2168723 */   GIM_Try, /*On fail goto*//*Label 28593*/ GIMT_Encode4(2168814), // Rule ID 18173 //
     /* 2168728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168731 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168736 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2168739 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2168742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2168748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2168751 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168754 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168766 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168770 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168774 */     // MIs[0] round
     /* 2168774 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168777 */     // MIs[0] policy
     /* 2168777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168780 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168787 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF4_E16_MASK),
     /* 2168790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168796 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168798 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168800 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168810 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168813 */     // GIR_Coverage, 18173,
     /* 2168813 */     GIR_EraseRootFromParent_Done,
     /* 2168814 */   // Label 28593: @2168814
     /* 2168814 */   GIM_Try, /*On fail goto*//*Label 28594*/ GIMT_Encode4(2168905), // Rule ID 18176 //
     /* 2168819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2168822 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168827 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2168830 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2168833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2168839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168842 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2168845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168849 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168853 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168857 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168861 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168865 */     // MIs[0] round
     /* 2168865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168868 */     // MIs[0] policy
     /* 2168868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168871 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168878 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2168878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2168881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168887 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168889 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168891 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168893 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168901 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168904 */     // GIR_Coverage, 18176,
     /* 2168904 */     GIR_EraseRootFromParent_Done,
     /* 2168905 */   // Label 28594: @2168905
     /* 2168905 */   GIM_Try, /*On fail goto*//*Label 28595*/ GIMT_Encode4(2168996), // Rule ID 18177 //
     /* 2168910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2168913 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2168918 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2168921 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2168924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2168927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2168930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2168933 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2168936 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2168940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168944 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2168948 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2168952 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2168956 */     // MIs[0] round
     /* 2168956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2168959 */     // MIs[0] policy
     /* 2168959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2168962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2168969 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2168969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_MF2_E16_MASK),
     /* 2168972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2168974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2168976 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2168978 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2168980 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2168982 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2168984 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2168989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2168992 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2168994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2168995 */     // GIR_Coverage, 18177,
     /* 2168995 */     GIR_EraseRootFromParent_Done,
     /* 2168996 */   // Label 28595: @2168996
     /* 2168996 */   GIM_Try, /*On fail goto*//*Label 28596*/ GIMT_Encode4(2169087), // Rule ID 18180 //
     /* 2169001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169004 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169009 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169012 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169018 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169021 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169024 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169027 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169035 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169039 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169043 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169047 */     // MIs[0] round
     /* 2169047 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169050 */     // MIs[0] policy
     /* 2169050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169053 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169060 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2169063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169065 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169067 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169069 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169071 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169073 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169075 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169083 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169086 */     // GIR_Coverage, 18180,
     /* 2169086 */     GIR_EraseRootFromParent_Done,
     /* 2169087 */   // Label 28596: @2169087
     /* 2169087 */   GIM_Try, /*On fail goto*//*Label 28597*/ GIMT_Encode4(2169178), // Rule ID 18181 //
     /* 2169092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169095 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169100 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2169103 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2169106 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169109 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2169112 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169115 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169134 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169138 */     // MIs[0] round
     /* 2169138 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169141 */     // MIs[0] policy
     /* 2169141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169144 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169151 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_MF2_E32_MASK),
     /* 2169154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169160 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169162 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169164 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169174 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169177 */     // GIR_Coverage, 18181,
     /* 2169177 */     GIR_EraseRootFromParent_Done,
     /* 2169178 */   // Label 28597: @2169178
     /* 2169178 */   GIM_Try, /*On fail goto*//*Label 28598*/ GIMT_Encode4(2169269), // Rule ID 18184 //
     /* 2169183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169186 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169191 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2169194 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169197 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169200 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2169203 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169206 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169221 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169225 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169229 */     // MIs[0] round
     /* 2169229 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169232 */     // MIs[0] policy
     /* 2169232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169235 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169242 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2169245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169251 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169253 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169255 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169265 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169268 */     // GIR_Coverage, 18184,
     /* 2169268 */     GIR_EraseRootFromParent_Done,
     /* 2169269 */   // Label 28598: @2169269
     /* 2169269 */   GIM_Try, /*On fail goto*//*Label 28599*/ GIMT_Encode4(2169360), // Rule ID 18185 //
     /* 2169274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169277 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169282 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2169285 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2169288 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169291 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2169294 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2169297 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169300 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169312 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169316 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169320 */     // MIs[0] round
     /* 2169320 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169323 */     // MIs[0] policy
     /* 2169323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169333 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11246:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M1_E16_MASK),
     /* 2169336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169340 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169342 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169344 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169346 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169348 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169356 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169359 */     // GIR_Coverage, 18185,
     /* 2169359 */     GIR_EraseRootFromParent_Done,
     /* 2169360 */   // Label 28599: @2169360
     /* 2169360 */   GIM_Try, /*On fail goto*//*Label 28600*/ GIMT_Encode4(2169451), // Rule ID 18188 //
     /* 2169365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2169368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2169376 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2169385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169388 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169399 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169403 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169407 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169411 */     // MIs[0] round
     /* 2169411 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169414 */     // MIs[0] policy
     /* 2169414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169424 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2169427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169433 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169435 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169437 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169439 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169447 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169450 */     // GIR_Coverage, 18188,
     /* 2169450 */     GIR_EraseRootFromParent_Done,
     /* 2169451 */   // Label 28600: @2169451
     /* 2169451 */   GIM_Try, /*On fail goto*//*Label 28601*/ GIMT_Encode4(2169542), // Rule ID 18189 //
     /* 2169456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2169459 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169464 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2169467 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2169470 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2169473 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2169476 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2169479 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169486 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169490 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2169494 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169498 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169502 */     // MIs[0] round
     /* 2169502 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169505 */     // MIs[0] policy
     /* 2169505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169515 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11246:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M1_E32_MASK),
     /* 2169518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169522 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169524 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169526 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169528 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169530 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2169538 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169541 */     // GIR_Coverage, 18189,
     /* 2169541 */     GIR_EraseRootFromParent_Done,
     /* 2169542 */   // Label 28601: @2169542
     /* 2169542 */   GIM_Try, /*On fail goto*//*Label 28602*/ GIMT_Encode4(2169633), // Rule ID 18192 //
     /* 2169547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2169550 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169555 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2169558 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169561 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2169564 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2169567 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169570 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169573 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169577 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169581 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2169585 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169589 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169593 */     // MIs[0] round
     /* 2169593 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169596 */     // MIs[0] policy
     /* 2169596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169599 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169606 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2169609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169613 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169615 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169617 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169619 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169629 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169632 */     // GIR_Coverage, 18192,
     /* 2169632 */     GIR_EraseRootFromParent_Done,
     /* 2169633 */   // Label 28602: @2169633
     /* 2169633 */   GIM_Try, /*On fail goto*//*Label 28603*/ GIMT_Encode4(2169724), // Rule ID 18193 //
     /* 2169638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2169641 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169646 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2169649 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2169652 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2169655 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2169658 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2169661 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2169668 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2169676 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2169680 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169684 */     // MIs[0] round
     /* 2169684 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169687 */     // MIs[0] policy
     /* 2169687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169697 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11246:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M1_E64_MASK),
     /* 2169700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169704 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169706 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169708 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169710 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2169720 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169723 */     // GIR_Coverage, 18193,
     /* 2169723 */     GIR_EraseRootFromParent_Done,
     /* 2169724 */   // Label 28603: @2169724
     /* 2169724 */   GIM_Try, /*On fail goto*//*Label 28604*/ GIMT_Encode4(2169815), // Rule ID 18196 //
     /* 2169729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169732 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169737 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169740 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169743 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169746 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2169749 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169752 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169763 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169767 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169771 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169775 */     // MIs[0] round
     /* 2169775 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169778 */     // MIs[0] policy
     /* 2169778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169781 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169788 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2169791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169795 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169797 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169799 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169801 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169803 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169811 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169814 */     // GIR_Coverage, 18196,
     /* 2169814 */     GIR_EraseRootFromParent_Done,
     /* 2169815 */   // Label 28604: @2169815
     /* 2169815 */   GIM_Try, /*On fail goto*//*Label 28605*/ GIMT_Encode4(2169906), // Rule ID 18197 //
     /* 2169820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2169823 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169828 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2169831 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2169834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2169840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2169843 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2169846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2169850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2169862 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169866 */     // MIs[0] round
     /* 2169866 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169869 */     // MIs[0] policy
     /* 2169869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169879 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2169879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M2_E16_MASK),
     /* 2169882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169888 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169890 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169892 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169894 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169902 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169905 */     // GIR_Coverage, 18197,
     /* 2169905 */     GIR_EraseRootFromParent_Done,
     /* 2169906 */   // Label 28605: @2169906
     /* 2169906 */   GIM_Try, /*On fail goto*//*Label 28606*/ GIMT_Encode4(2169997), // Rule ID 18200 //
     /* 2169911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2169914 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2169919 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2169922 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2169925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2169928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2169931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2169934 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2169937 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2169941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2169949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2169953 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2169957 */     // MIs[0] round
     /* 2169957 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2169960 */     // MIs[0] policy
     /* 2169960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2169963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2169970 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2169970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2169973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2169975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2169977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2169979 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2169981 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2169983 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2169985 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2169990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2169993 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2169995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2169996 */     // GIR_Coverage, 18200,
     /* 2169996 */     GIR_EraseRootFromParent_Done,
     /* 2169997 */   // Label 28606: @2169997
     /* 2169997 */   GIM_Try, /*On fail goto*//*Label 28607*/ GIMT_Encode4(2170088), // Rule ID 18201 //
     /* 2170002 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170005 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170010 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2170013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2170016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2170022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170025 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170028 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170036 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170040 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170044 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170048 */     // MIs[0] round
     /* 2170048 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170051 */     // MIs[0] policy
     /* 2170051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170054 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170061 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M4_E16_MASK),
     /* 2170064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170068 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170070 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170072 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170074 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170076 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170084 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170086 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170087 */     // GIR_Coverage, 18201,
     /* 2170087 */     GIR_EraseRootFromParent_Done,
     /* 2170088 */   // Label 28607: @2170088
     /* 2170088 */   GIM_Try, /*On fail goto*//*Label 28608*/ GIMT_Encode4(2170179), // Rule ID 18204 //
     /* 2170093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2170096 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170101 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170104 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170107 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170110 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170113 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170116 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170127 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170131 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170135 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170139 */     // MIs[0] round
     /* 2170139 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170142 */     // MIs[0] policy
     /* 2170142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170152 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2170155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170161 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170163 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170165 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170167 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170175 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170178 */     // GIR_Coverage, 18204,
     /* 2170178 */     GIR_EraseRootFromParent_Done,
     /* 2170179 */   // Label 28608: @2170179
     /* 2170179 */   GIM_Try, /*On fail goto*//*Label 28609*/ GIMT_Encode4(2170270), // Rule ID 18205 //
     /* 2170184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2170187 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170192 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2170195 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2170198 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2170201 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2170204 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2170207 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170214 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170218 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2170222 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170226 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170230 */     // MIs[0] round
     /* 2170230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170233 */     // MIs[0] policy
     /* 2170233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170236 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170243 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR16_M8_E16_MASK),
     /* 2170246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170252 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170254 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170256 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170258 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2170266 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170269 */     // GIR_Coverage, 18205,
     /* 2170269 */     GIR_EraseRootFromParent_Done,
     /* 2170270 */   // Label 28609: @2170270
     /* 2170270 */   GIM_Try, /*On fail goto*//*Label 28610*/ GIMT_Encode4(2170361), // Rule ID 18208 //
     /* 2170275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170278 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170283 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170286 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170289 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170292 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2170295 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170298 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170305 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170309 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170313 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170317 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170321 */     // MIs[0] round
     /* 2170321 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170324 */     // MIs[0] policy
     /* 2170324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170327 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170334 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2170337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170341 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170343 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170345 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170347 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170357 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170360 */     // GIR_Coverage, 18208,
     /* 2170360 */     GIR_EraseRootFromParent_Done,
     /* 2170361 */   // Label 28610: @2170361
     /* 2170361 */   GIM_Try, /*On fail goto*//*Label 28611*/ GIMT_Encode4(2170452), // Rule ID 18209 //
     /* 2170366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170369 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170374 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2170377 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2170380 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170383 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2170386 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2170389 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170408 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170412 */     // MIs[0] round
     /* 2170412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170415 */     // MIs[0] policy
     /* 2170415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170418 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170425 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M2_E32_MASK),
     /* 2170428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170432 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170434 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170436 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170438 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170440 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170448 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170451 */     // GIR_Coverage, 18209,
     /* 2170451 */     GIR_EraseRootFromParent_Done,
     /* 2170452 */   // Label 28611: @2170452
     /* 2170452 */   GIM_Try, /*On fail goto*//*Label 28612*/ GIMT_Encode4(2170543), // Rule ID 18212 //
     /* 2170457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170460 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170465 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2170477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170480 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170483 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170487 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170491 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170495 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170499 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170503 */     // MIs[0] round
     /* 2170503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170506 */     // MIs[0] policy
     /* 2170506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170509 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170516 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2170519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170523 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170525 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170527 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170529 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170531 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170539 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170541 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170542 */     // GIR_Coverage, 18212,
     /* 2170542 */     GIR_EraseRootFromParent_Done,
     /* 2170543 */   // Label 28612: @2170543
     /* 2170543 */   GIM_Try, /*On fail goto*//*Label 28613*/ GIMT_Encode4(2170634), // Rule ID 18213 //
     /* 2170548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170551 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170556 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2170559 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2170562 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170565 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2170568 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2170571 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2170578 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170582 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170586 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2170590 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170594 */     // MIs[0] round
     /* 2170594 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170597 */     // MIs[0] policy
     /* 2170597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170607 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M4_E32_MASK),
     /* 2170610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170614 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170616 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170618 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170620 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170622 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170630 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170633 */     // GIR_Coverage, 18213,
     /* 2170633 */     GIR_EraseRootFromParent_Done,
     /* 2170634 */   // Label 28613: @2170634
     /* 2170634 */   GIM_Try, /*On fail goto*//*Label 28614*/ GIMT_Encode4(2170725), // Rule ID 18216 //
     /* 2170639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2170642 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170647 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2170650 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2170659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170662 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170665 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170673 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170677 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170681 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170685 */     // MIs[0] round
     /* 2170685 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170688 */     // MIs[0] policy
     /* 2170688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170698 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2170701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170705 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170707 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170709 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170711 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170721 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170724 */     // GIR_Coverage, 18216,
     /* 2170724 */     GIR_EraseRootFromParent_Done,
     /* 2170725 */   // Label 28614: @2170725
     /* 2170725 */   GIM_Try, /*On fail goto*//*Label 28615*/ GIMT_Encode4(2170816), // Rule ID 18217 //
     /* 2170730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2170733 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170738 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2170741 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2170744 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2170747 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2170750 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2170753 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170756 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2170760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170764 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2170768 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2170772 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170776 */     // MIs[0] round
     /* 2170776 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170779 */     // MIs[0] policy
     /* 2170779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170782 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170789 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR32_M8_E32_MASK),
     /* 2170792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170796 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170798 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170800 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170802 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170804 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2170812 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170815 */     // GIR_Coverage, 18217,
     /* 2170815 */     GIR_EraseRootFromParent_Done,
     /* 2170816 */   // Label 28615: @2170816
     /* 2170816 */   GIM_Try, /*On fail goto*//*Label 28616*/ GIMT_Encode4(2170907), // Rule ID 18220 //
     /* 2170821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2170824 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170829 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170832 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2170841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170844 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2170847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170863 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170867 */     // MIs[0] round
     /* 2170867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170870 */     // MIs[0] policy
     /* 2170870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170873 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170880 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2170880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2170883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170889 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170891 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170893 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170895 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170903 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170906 */     // GIR_Coverage, 18220,
     /* 2170906 */     GIR_EraseRootFromParent_Done,
     /* 2170907 */   // Label 28616: @2170907
     /* 2170907 */   GIM_Try, /*On fail goto*//*Label 28617*/ GIMT_Encode4(2170998), // Rule ID 18221 //
     /* 2170912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2170915 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2170920 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2170923 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2170926 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2170929 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2170932 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2170935 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2170938 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2170942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170946 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2170950 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2170954 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2170958 */     // MIs[0] round
     /* 2170958 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2170961 */     // MIs[0] policy
     /* 2170961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2170964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2170971 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11246:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2170971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M2_E64_MASK),
     /* 2170974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2170976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2170978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2170980 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2170982 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2170984 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2170986 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2170991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2170994 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2170996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2170997 */     // GIR_Coverage, 18221,
     /* 2170997 */     GIR_EraseRootFromParent_Done,
     /* 2170998 */   // Label 28617: @2170998
     /* 2170998 */   GIM_Try, /*On fail goto*//*Label 28618*/ GIMT_Encode4(2171089), // Rule ID 18224 //
     /* 2171003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171006 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2171011 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171014 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171017 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171020 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171023 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171026 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171045 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171049 */     // MIs[0] round
     /* 2171049 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171052 */     // MIs[0] policy
     /* 2171052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171055 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171062 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2171065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171069 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171071 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171073 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171075 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171077 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171085 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171088 */     // GIR_Coverage, 18224,
     /* 2171088 */     GIR_EraseRootFromParent_Done,
     /* 2171089 */   // Label 28618: @2171089
     /* 2171089 */   GIM_Try, /*On fail goto*//*Label 28619*/ GIMT_Encode4(2171180), // Rule ID 18225 //
     /* 2171094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171097 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2171102 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2171105 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2171108 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171111 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2171114 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171117 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2171124 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171128 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171132 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2171136 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171140 */     // MIs[0] round
     /* 2171140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171143 */     // MIs[0] policy
     /* 2171143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171146 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171153 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11246:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M4_E64_MASK),
     /* 2171156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171162 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171164 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171166 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171168 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171176 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171179 */     // GIR_Coverage, 18225,
     /* 2171179 */     GIR_EraseRootFromParent_Done,
     /* 2171180 */   // Label 28619: @2171180
     /* 2171180 */   GIM_Try, /*On fail goto*//*Label 28620*/ GIMT_Encode4(2171271), // Rule ID 18228 //
     /* 2171185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2171188 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2171193 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171196 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171199 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171202 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2171205 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171208 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171219 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171223 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171227 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171231 */     // MIs[0] round
     /* 2171231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171234 */     // MIs[0] policy
     /* 2171234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171244 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2171247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171253 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171255 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171257 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171267 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171270 */     // GIR_Coverage, 18228,
     /* 2171270 */     GIR_EraseRootFromParent_Done,
     /* 2171271 */   // Label 28620: @2171271
     /* 2171271 */   GIM_Try, /*On fail goto*//*Label 28621*/ GIMT_Encode4(2171362), // Rule ID 18229 //
     /* 2171276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2171279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsac_mask),
     /* 2171284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2171287 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2171290 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2171293 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2171296 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2171299 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171302 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2171306 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171310 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2171314 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2171318 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171322 */     // MIs[0] round
     /* 2171322 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171325 */     // MIs[0] policy
     /* 2171325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171335 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11246:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSAC_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSAC_VFPR64_M8_E64_MASK),
     /* 2171338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171344 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171346 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171348 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171350 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2171358 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171361 */     // GIR_Coverage, 18229,
     /* 2171361 */     GIR_EraseRootFromParent_Done,
     /* 2171362 */   // Label 28621: @2171362
     /* 2171362 */   GIM_Try, /*On fail goto*//*Label 28622*/ GIMT_Encode4(2171453), // Rule ID 18232 //
     /* 2171367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171370 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171375 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2171378 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2171381 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171384 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2171387 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171390 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171397 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171405 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171409 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171413 */     // MIs[0] round
     /* 2171413 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171416 */     // MIs[0] policy
     /* 2171416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171426 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2171429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171435 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171437 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171439 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171441 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171449 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171452 */     // GIR_Coverage, 18232,
     /* 2171452 */     GIR_EraseRootFromParent_Done,
     /* 2171453 */   // Label 28622: @2171453
     /* 2171453 */   GIM_Try, /*On fail goto*//*Label 28623*/ GIMT_Encode4(2171544), // Rule ID 18233 //
     /* 2171458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171461 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171466 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2171469 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2171472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2171475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2171478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171481 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171500 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171504 */     // MIs[0] round
     /* 2171504 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171507 */     // MIs[0] policy
     /* 2171507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171510 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171517 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16_MASK),
     /* 2171520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171524 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171526 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171528 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171530 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171532 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171540 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171543 */     // GIR_Coverage, 18233,
     /* 2171543 */     GIR_EraseRootFromParent_Done,
     /* 2171544 */   // Label 28623: @2171544
     /* 2171544 */   GIM_Try, /*On fail goto*//*Label 28624*/ GIMT_Encode4(2171635), // Rule ID 18236 //
     /* 2171549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171552 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171557 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2171560 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2171563 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171566 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2171569 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171572 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171583 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171587 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171591 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171595 */     // MIs[0] round
     /* 2171595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171598 */     // MIs[0] policy
     /* 2171598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171601 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171608 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2171611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171617 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171619 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171621 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171623 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171631 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171634 */     // GIR_Coverage, 18236,
     /* 2171634 */     GIR_EraseRootFromParent_Done,
     /* 2171635 */   // Label 28624: @2171635
     /* 2171635 */   GIM_Try, /*On fail goto*//*Label 28625*/ GIMT_Encode4(2171726), // Rule ID 18237 //
     /* 2171640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2171643 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171648 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2171651 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2171654 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2171657 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2171660 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2171663 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171678 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171682 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171686 */     // MIs[0] round
     /* 2171686 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171689 */     // MIs[0] policy
     /* 2171689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171699 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16_MASK),
     /* 2171702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171706 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171708 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171710 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171712 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171714 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171722 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171725 */     // GIR_Coverage, 18237,
     /* 2171725 */     GIR_EraseRootFromParent_Done,
     /* 2171726 */   // Label 28625: @2171726
     /* 2171726 */   GIM_Try, /*On fail goto*//*Label 28626*/ GIMT_Encode4(2171817), // Rule ID 18240 //
     /* 2171731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2171734 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171739 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2171742 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2171745 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2171748 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2171751 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171754 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171757 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171765 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171773 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171777 */     // MIs[0] round
     /* 2171777 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171780 */     // MIs[0] policy
     /* 2171780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171783 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171790 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2171793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171799 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171801 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171803 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171813 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171816 */     // GIR_Coverage, 18240,
     /* 2171816 */     GIR_EraseRootFromParent_Done,
     /* 2171817 */   // Label 28626: @2171817
     /* 2171817 */   GIM_Try, /*On fail goto*//*Label 28627*/ GIMT_Encode4(2171908), // Rule ID 18241 //
     /* 2171822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2171825 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171830 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2171833 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2171836 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2171839 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2171842 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2171845 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2171848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171864 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171868 */     // MIs[0] round
     /* 2171868 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171871 */     // MIs[0] policy
     /* 2171871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171874 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171881 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2171881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32_MASK),
     /* 2171884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171890 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171892 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171894 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2171904 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171907 */     // GIR_Coverage, 18241,
     /* 2171907 */     GIR_EraseRootFromParent_Done,
     /* 2171908 */   // Label 28627: @2171908
     /* 2171908 */   GIM_Try, /*On fail goto*//*Label 28628*/ GIMT_Encode4(2171999), // Rule ID 18244 //
     /* 2171913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2171916 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2171921 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2171924 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2171927 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2171930 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2171933 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2171936 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2171939 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2171943 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171947 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2171955 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2171959 */     // MIs[0] round
     /* 2171959 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2171962 */     // MIs[0] policy
     /* 2171962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2171965 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2171972 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2171972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2171975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2171977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2171979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2171981 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2171983 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2171985 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2171987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2171992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2171995 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2171997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2171998 */     // GIR_Coverage, 18244,
     /* 2171998 */     GIR_EraseRootFromParent_Done,
     /* 2171999 */   // Label 28628: @2171999
     /* 2171999 */   GIM_Try, /*On fail goto*//*Label 28629*/ GIMT_Encode4(2172090), // Rule ID 18245 //
     /* 2172004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172007 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172012 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2172015 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2172018 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2172021 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2172024 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2172027 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172030 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172034 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172038 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172042 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172046 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172050 */     // MIs[0] round
     /* 2172050 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172053 */     // MIs[0] policy
     /* 2172053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172056 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172063 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16_MASK),
     /* 2172066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172072 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172074 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172076 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172078 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172086 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172089 */     // GIR_Coverage, 18245,
     /* 2172089 */     GIR_EraseRootFromParent_Done,
     /* 2172090 */   // Label 28629: @2172090
     /* 2172090 */   GIM_Try, /*On fail goto*//*Label 28630*/ GIMT_Encode4(2172181), // Rule ID 18248 //
     /* 2172095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2172098 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172103 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2172106 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172109 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172112 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172115 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172118 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172129 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172133 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172137 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172141 */     // MIs[0] round
     /* 2172141 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172144 */     // MIs[0] policy
     /* 2172144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172154 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2172157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172161 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172163 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172165 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172167 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172169 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172177 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172180 */     // GIR_Coverage, 18248,
     /* 2172180 */     GIR_EraseRootFromParent_Done,
     /* 2172181 */   // Label 28630: @2172181
     /* 2172181 */   GIM_Try, /*On fail goto*//*Label 28631*/ GIMT_Encode4(2172272), // Rule ID 18249 //
     /* 2172186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2172189 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172194 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2172197 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2172200 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2172203 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2172206 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2172209 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172212 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172216 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172220 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172224 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172228 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172232 */     // MIs[0] round
     /* 2172232 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172235 */     // MIs[0] policy
     /* 2172235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172238 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172245 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32_MASK),
     /* 2172248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172252 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172254 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172256 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172258 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172260 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2172268 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172271 */     // GIR_Coverage, 18249,
     /* 2172271 */     GIR_EraseRootFromParent_Done,
     /* 2172272 */   // Label 28631: @2172272
     /* 2172272 */   GIM_Try, /*On fail goto*//*Label 28632*/ GIMT_Encode4(2172363), // Rule ID 18252 //
     /* 2172277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2172280 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172285 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2172288 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2172291 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2172294 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2172297 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172300 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172307 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172311 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172315 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172319 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172323 */     // MIs[0] round
     /* 2172323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172326 */     // MIs[0] policy
     /* 2172326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172329 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172336 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2172339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172345 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172347 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172349 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172351 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172359 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172362 */     // GIR_Coverage, 18252,
     /* 2172362 */     GIR_EraseRootFromParent_Done,
     /* 2172363 */   // Label 28632: @2172363
     /* 2172363 */   GIM_Try, /*On fail goto*//*Label 28633*/ GIMT_Encode4(2172454), // Rule ID 18253 //
     /* 2172368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2172371 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172376 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2172379 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2172382 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2172385 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2172388 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2172391 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2172398 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2172410 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172414 */     // MIs[0] round
     /* 2172414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172417 */     // MIs[0] policy
     /* 2172417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172420 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172427 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64_MASK),
     /* 2172430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172436 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172438 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172440 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2172450 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172453 */     // GIR_Coverage, 18253,
     /* 2172453 */     GIR_EraseRootFromParent_Done,
     /* 2172454 */   // Label 28633: @2172454
     /* 2172454 */   GIM_Try, /*On fail goto*//*Label 28634*/ GIMT_Encode4(2172545), // Rule ID 18256 //
     /* 2172459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172462 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172467 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2172470 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2172473 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2172476 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2172479 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172482 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172501 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172505 */     // MIs[0] round
     /* 2172505 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172508 */     // MIs[0] policy
     /* 2172508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172518 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2172521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172525 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172527 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172529 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172531 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172533 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172541 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172544 */     // GIR_Coverage, 18256,
     /* 2172544 */     GIR_EraseRootFromParent_Done,
     /* 2172545 */   // Label 28634: @2172545
     /* 2172545 */   GIM_Try, /*On fail goto*//*Label 28635*/ GIMT_Encode4(2172636), // Rule ID 18257 //
     /* 2172550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172553 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172558 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2172561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2172564 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2172567 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2172570 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2172573 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2172580 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172584 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172588 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2172592 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172596 */     // MIs[0] round
     /* 2172596 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172599 */     // MIs[0] policy
     /* 2172599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172602 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172609 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16_MASK),
     /* 2172612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172618 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172620 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172622 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172624 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172632 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172635 */     // GIR_Coverage, 18257,
     /* 2172635 */     GIR_EraseRootFromParent_Done,
     /* 2172636 */   // Label 28635: @2172636
     /* 2172636 */   GIM_Try, /*On fail goto*//*Label 28636*/ GIMT_Encode4(2172727), // Rule ID 18260 //
     /* 2172641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172644 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172649 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2172652 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2172655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2172658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2172661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172664 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172667 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172671 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172675 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172679 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172683 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172687 */     // MIs[0] round
     /* 2172687 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172690 */     // MIs[0] policy
     /* 2172690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172700 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2172703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172709 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172711 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172713 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172715 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172723 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172726 */     // GIR_Coverage, 18260,
     /* 2172726 */     GIR_EraseRootFromParent_Done,
     /* 2172727 */   // Label 28636: @2172727
     /* 2172727 */   GIM_Try, /*On fail goto*//*Label 28637*/ GIMT_Encode4(2172818), // Rule ID 18261 //
     /* 2172732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172735 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172740 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2172743 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2172746 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2172749 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2172752 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2172755 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2172762 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172766 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172770 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2172774 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172778 */     // MIs[0] round
     /* 2172778 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172781 */     // MIs[0] policy
     /* 2172781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172791 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16_MASK),
     /* 2172794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172800 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172802 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172804 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172806 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172814 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172817 */     // GIR_Coverage, 18261,
     /* 2172817 */     GIR_EraseRootFromParent_Done,
     /* 2172818 */   // Label 28637: @2172818
     /* 2172818 */   GIM_Try, /*On fail goto*//*Label 28638*/ GIMT_Encode4(2172909), // Rule ID 18264 //
     /* 2172823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2172826 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172831 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2172834 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2172837 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2172840 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2172843 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2172846 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2172849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172865 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172869 */     // MIs[0] round
     /* 2172869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172872 */     // MIs[0] policy
     /* 2172872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172882 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2172882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2172885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172889 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172891 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172893 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172895 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172897 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172905 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172908 */     // GIR_Coverage, 18264,
     /* 2172908 */     GIR_EraseRootFromParent_Done,
     /* 2172909 */   // Label 28638: @2172909
     /* 2172909 */   GIM_Try, /*On fail goto*//*Label 28639*/ GIMT_Encode4(2173000), // Rule ID 18265 //
     /* 2172914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2172917 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2172922 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2172925 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2172928 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2172931 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2172934 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2172937 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2172940 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2172944 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172948 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2172956 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2172960 */     // MIs[0] round
     /* 2172960 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2172963 */     // MIs[0] policy
     /* 2172963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2172966 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2172973 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2172973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16_MASK),
     /* 2172976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2172978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2172980 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2172982 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2172984 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2172986 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2172988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2172993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2172996 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2172998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2172999 */     // GIR_Coverage, 18265,
     /* 2172999 */     GIR_EraseRootFromParent_Done,
     /* 2173000 */   // Label 28639: @2173000
     /* 2173000 */   GIM_Try, /*On fail goto*//*Label 28640*/ GIMT_Encode4(2173091), // Rule ID 18268 //
     /* 2173005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173008 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173013 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173019 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173022 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173025 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173028 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173035 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173039 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173043 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173047 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173051 */     // MIs[0] round
     /* 2173051 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173054 */     // MIs[0] policy
     /* 2173054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173057 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173064 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2173067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173071 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173073 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173075 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173077 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173087 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173090 */     // GIR_Coverage, 18268,
     /* 2173090 */     GIR_EraseRootFromParent_Done,
     /* 2173091 */   // Label 28640: @2173091
     /* 2173091 */   GIM_Try, /*On fail goto*//*Label 28641*/ GIMT_Encode4(2173182), // Rule ID 18269 //
     /* 2173096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173099 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173104 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2173107 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2173110 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2173113 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2173116 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173119 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173134 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173138 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173142 */     // MIs[0] round
     /* 2173142 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173145 */     // MIs[0] policy
     /* 2173145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173148 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173155 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32_MASK),
     /* 2173158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173162 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173164 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173166 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173168 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173170 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173178 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173181 */     // GIR_Coverage, 18269,
     /* 2173181 */     GIR_EraseRootFromParent_Done,
     /* 2173182 */   // Label 28641: @2173182
     /* 2173182 */   GIM_Try, /*On fail goto*//*Label 28642*/ GIMT_Encode4(2173273), // Rule ID 18272 //
     /* 2173187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173190 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173195 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2173198 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2173204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2173207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173210 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173221 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173225 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173229 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173233 */     // MIs[0] round
     /* 2173233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173236 */     // MIs[0] policy
     /* 2173236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173246 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2173249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173255 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173257 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173259 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173261 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173269 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173272 */     // GIR_Coverage, 18272,
     /* 2173272 */     GIR_EraseRootFromParent_Done,
     /* 2173273 */   // Label 28642: @2173273
     /* 2173273 */   GIM_Try, /*On fail goto*//*Label 28643*/ GIMT_Encode4(2173364), // Rule ID 18273 //
     /* 2173278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173281 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173286 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2173289 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2173292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2173295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2173298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173301 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173304 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173316 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173320 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173324 */     // MIs[0] round
     /* 2173324 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173327 */     // MIs[0] policy
     /* 2173327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173330 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173337 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32_MASK),
     /* 2173340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173344 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173346 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173348 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173350 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173352 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173360 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173363 */     // GIR_Coverage, 18273,
     /* 2173363 */     GIR_EraseRootFromParent_Done,
     /* 2173364 */   // Label 28643: @2173364
     /* 2173364 */   GIM_Try, /*On fail goto*//*Label 28644*/ GIMT_Encode4(2173455), // Rule ID 18276 //
     /* 2173369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2173372 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173377 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2173380 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2173386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2173389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173392 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173395 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173403 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173407 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173411 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173415 */     // MIs[0] round
     /* 2173415 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173418 */     // MIs[0] policy
     /* 2173418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173421 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173428 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2173431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173437 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173439 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173441 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173443 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173451 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173454 */     // GIR_Coverage, 18276,
     /* 2173454 */     GIR_EraseRootFromParent_Done,
     /* 2173455 */   // Label 28644: @2173455
     /* 2173455 */   GIM_Try, /*On fail goto*//*Label 28645*/ GIMT_Encode4(2173546), // Rule ID 18277 //
     /* 2173460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2173463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2173471 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2173474 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2173477 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2173480 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2173483 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173490 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173498 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173502 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173506 */     // MIs[0] round
     /* 2173506 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173509 */     // MIs[0] policy
     /* 2173509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173512 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173519 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32_MASK),
     /* 2173522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173526 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173528 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173530 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173532 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173534 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2173542 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173545 */     // GIR_Coverage, 18277,
     /* 2173545 */     GIR_EraseRootFromParent_Done,
     /* 2173546 */   // Label 28645: @2173546
     /* 2173546 */   GIM_Try, /*On fail goto*//*Label 28646*/ GIMT_Encode4(2173637), // Rule ID 18280 //
     /* 2173551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173554 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173559 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2173562 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2173565 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2173568 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2173571 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173574 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173581 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173585 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173589 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173593 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173597 */     // MIs[0] round
     /* 2173597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173600 */     // MIs[0] policy
     /* 2173600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173603 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173610 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173610 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2173613 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173619 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173621 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173623 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173633 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173636 */     // GIR_Coverage, 18280,
     /* 2173636 */     GIR_EraseRootFromParent_Done,
     /* 2173637 */   // Label 28646: @2173637
     /* 2173637 */   GIM_Try, /*On fail goto*//*Label 28647*/ GIMT_Encode4(2173728), // Rule ID 18281 //
     /* 2173642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173645 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173650 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2173653 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2173656 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2173659 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2173662 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2173665 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2173672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173676 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173680 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2173684 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173688 */     // MIs[0] round
     /* 2173688 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173691 */     // MIs[0] policy
     /* 2173691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173694 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173701 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64_MASK),
     /* 2173704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173710 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173712 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173714 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173724 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173727 */     // GIR_Coverage, 18281,
     /* 2173727 */     GIR_EraseRootFromParent_Done,
     /* 2173728 */   // Label 28647: @2173728
     /* 2173728 */   GIM_Try, /*On fail goto*//*Label 28648*/ GIMT_Encode4(2173819), // Rule ID 18284 //
     /* 2173733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173736 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173741 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2173744 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2173747 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2173750 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2173753 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173756 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173771 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173775 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173779 */     // MIs[0] round
     /* 2173779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173782 */     // MIs[0] policy
     /* 2173782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173785 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173792 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2173795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173799 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173801 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173803 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173805 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173807 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173815 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173818 */     // GIR_Coverage, 18284,
     /* 2173818 */     GIR_EraseRootFromParent_Done,
     /* 2173819 */   // Label 28648: @2173819
     /* 2173819 */   GIM_Try, /*On fail goto*//*Label 28649*/ GIMT_Encode4(2173910), // Rule ID 18285 //
     /* 2173824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2173827 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173832 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2173835 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2173838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2173841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2173844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2173847 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2173850 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2173854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173862 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2173866 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173870 */     // MIs[0] round
     /* 2173870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173873 */     // MIs[0] policy
     /* 2173873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173876 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173883 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2173883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64_MASK),
     /* 2173886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173892 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173894 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173896 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173898 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173906 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2173909 */     // GIR_Coverage, 18285,
     /* 2173909 */     GIR_EraseRootFromParent_Done,
     /* 2173910 */   // Label 28649: @2173910
     /* 2173910 */   GIM_Try, /*On fail goto*//*Label 28650*/ GIMT_Encode4(2174001), // Rule ID 18288 //
     /* 2173915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2173918 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2173923 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2173926 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2173929 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2173932 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2173935 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2173938 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2173941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2173945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173949 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173953 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2173957 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2173961 */     // MIs[0] round
     /* 2173961 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2173964 */     // MIs[0] policy
     /* 2173964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2173967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2173974 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2173974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2173977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2173979 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2173981 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2173983 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2173985 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2173987 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2173989 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2173994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2173997 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2173999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174000 */     // GIR_Coverage, 18288,
     /* 2174000 */     GIR_EraseRootFromParent_Done,
     /* 2174001 */   // Label 28650: @2174001
     /* 2174001 */   GIM_Try, /*On fail goto*//*Label 28651*/ GIMT_Encode4(2174092), // Rule ID 18289 //
     /* 2174006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2174009 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174014 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2174017 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2174020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2174023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2174026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2174029 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174032 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2174036 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174040 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174044 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2174048 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174052 */     // MIs[0] round
     /* 2174052 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174055 */     // MIs[0] policy
     /* 2174055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174058 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174065 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64_MASK),
     /* 2174068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174072 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174074 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174076 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174078 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2174088 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174091 */     // GIR_Coverage, 18289,
     /* 2174091 */     GIR_EraseRootFromParent_Done,
     /* 2174092 */   // Label 28651: @2174092
     /* 2174092 */   GIM_Try, /*On fail goto*//*Label 28652*/ GIMT_Encode4(2174183), // Rule ID 18292 //
     /* 2174097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174100 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174105 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2174108 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174111 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174114 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174117 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174120 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174123 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174131 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174135 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174139 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174143 */     // MIs[0] round
     /* 2174143 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174146 */     // MIs[0] policy
     /* 2174146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174149 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174156 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2174159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174163 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174165 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174167 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174169 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174171 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174179 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174182 */     // GIR_Coverage, 18292,
     /* 2174182 */     GIR_EraseRootFromParent_Done,
     /* 2174183 */   // Label 28652: @2174183
     /* 2174183 */   GIM_Try, /*On fail goto*//*Label 28653*/ GIMT_Encode4(2174274), // Rule ID 18293 //
     /* 2174188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174191 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174196 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2174199 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2174202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2174208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174211 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174230 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174234 */     // MIs[0] round
     /* 2174234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174237 */     // MIs[0] policy
     /* 2174237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174240 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174247 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174247 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF4_E16_MASK),
     /* 2174250 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174254 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174256 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174258 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174260 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174262 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174270 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174273 */     // GIR_Coverage, 18293,
     /* 2174273 */     GIR_EraseRootFromParent_Done,
     /* 2174274 */   // Label 28653: @2174274
     /* 2174274 */   GIM_Try, /*On fail goto*//*Label 28654*/ GIMT_Encode4(2174365), // Rule ID 18296 //
     /* 2174279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174282 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174287 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2174290 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2174293 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174296 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2174299 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174302 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174313 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174317 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174321 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174325 */     // MIs[0] round
     /* 2174325 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174328 */     // MIs[0] policy
     /* 2174328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174331 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174338 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2174341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174347 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174349 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174351 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174353 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174361 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174364 */     // GIR_Coverage, 18296,
     /* 2174364 */     GIR_EraseRootFromParent_Done,
     /* 2174365 */   // Label 28654: @2174365
     /* 2174365 */   GIM_Try, /*On fail goto*//*Label 28655*/ GIMT_Encode4(2174456), // Rule ID 18297 //
     /* 2174370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174373 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174378 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2174381 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2174384 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174387 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2174390 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174393 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174396 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174404 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174412 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174416 */     // MIs[0] round
     /* 2174416 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174419 */     // MIs[0] policy
     /* 2174419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174429 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_MF2_E16_MASK),
     /* 2174432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174436 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174438 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174440 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174442 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174444 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174452 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174455 */     // GIR_Coverage, 18297,
     /* 2174455 */     GIR_EraseRootFromParent_Done,
     /* 2174456 */   // Label 28655: @2174456
     /* 2174456 */   GIM_Try, /*On fail goto*//*Label 28656*/ GIMT_Encode4(2174547), // Rule ID 18300 //
     /* 2174461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174464 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174469 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174472 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2174481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174484 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174487 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174503 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174507 */     // MIs[0] round
     /* 2174507 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174510 */     // MIs[0] policy
     /* 2174510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174513 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174520 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2174523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174527 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174529 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174531 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174533 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174535 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174543 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174546 */     // GIR_Coverage, 18300,
     /* 2174546 */     GIR_EraseRootFromParent_Done,
     /* 2174547 */   // Label 28656: @2174547
     /* 2174547 */   GIM_Try, /*On fail goto*//*Label 28657*/ GIMT_Encode4(2174638), // Rule ID 18301 //
     /* 2174552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174555 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174560 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2174563 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2174566 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174569 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2174572 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2174575 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174578 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174586 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174590 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174594 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174598 */     // MIs[0] round
     /* 2174598 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174601 */     // MIs[0] policy
     /* 2174601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174604 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174611 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_MF2_E32_MASK),
     /* 2174614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174618 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174620 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174622 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174624 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174634 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174637 */     // GIR_Coverage, 18301,
     /* 2174637 */     GIR_EraseRootFromParent_Done,
     /* 2174638 */   // Label 28657: @2174638
     /* 2174638 */   GIM_Try, /*On fail goto*//*Label 28658*/ GIMT_Encode4(2174729), // Rule ID 18304 //
     /* 2174643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2174646 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174651 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2174654 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2174657 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174660 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2174663 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174666 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174677 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174681 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174685 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174689 */     // MIs[0] round
     /* 2174689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174692 */     // MIs[0] policy
     /* 2174692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174702 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2174705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174711 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174713 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174715 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174717 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174725 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174728 */     // GIR_Coverage, 18304,
     /* 2174728 */     GIR_EraseRootFromParent_Done,
     /* 2174729 */   // Label 28658: @2174729
     /* 2174729 */   GIM_Try, /*On fail goto*//*Label 28659*/ GIMT_Encode4(2174820), // Rule ID 18305 //
     /* 2174734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2174737 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174742 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2174745 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2174748 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2174751 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2174754 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2174757 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174760 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174764 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174768 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2174772 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174776 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174780 */     // MIs[0] round
     /* 2174780 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174783 */     // MIs[0] policy
     /* 2174783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174786 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174793 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11208:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M1_E16_MASK),
     /* 2174796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174800 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174802 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174804 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174806 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174808 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2174816 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174818 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174819 */     // GIR_Coverage, 18305,
     /* 2174819 */     GIR_EraseRootFromParent_Done,
     /* 2174820 */   // Label 28659: @2174820
     /* 2174820 */   GIM_Try, /*On fail goto*//*Label 28660*/ GIMT_Encode4(2174911), // Rule ID 18308 //
     /* 2174825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2174828 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174833 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174836 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174845 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174848 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2174851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174867 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174871 */     // MIs[0] round
     /* 2174871 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174874 */     // MIs[0] policy
     /* 2174874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174877 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174884 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2174884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2174887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174891 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174893 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174895 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174897 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174899 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174907 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2174909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2174910 */     // GIR_Coverage, 18308,
     /* 2174910 */     GIR_EraseRootFromParent_Done,
     /* 2174911 */   // Label 28660: @2174911
     /* 2174911 */   GIM_Try, /*On fail goto*//*Label 28661*/ GIMT_Encode4(2175002), // Rule ID 18309 //
     /* 2174916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2174919 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2174924 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2174927 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2174930 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2174933 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2174936 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2174939 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2174942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2174946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2174954 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2174958 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2174962 */     // MIs[0] round
     /* 2174962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2174965 */     // MIs[0] policy
     /* 2174965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2174968 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2174975 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11208:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2174975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M1_E32_MASK),
     /* 2174978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2174980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2174982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2174984 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2174986 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2174988 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2174990 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2174995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2174998 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175001 */     // GIR_Coverage, 18309,
     /* 2175001 */     GIR_EraseRootFromParent_Done,
     /* 2175002 */   // Label 28661: @2175002
     /* 2175002 */   GIM_Try, /*On fail goto*//*Label 28662*/ GIMT_Encode4(2175093), // Rule ID 18312 //
     /* 2175007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2175010 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175015 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175018 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175021 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175024 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175027 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175030 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175045 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175049 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175053 */     // MIs[0] round
     /* 2175053 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175056 */     // MIs[0] policy
     /* 2175056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175066 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2175069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175073 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175075 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175077 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175079 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175081 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175089 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175092 */     // GIR_Coverage, 18312,
     /* 2175092 */     GIR_EraseRootFromParent_Done,
     /* 2175093 */   // Label 28662: @2175093
     /* 2175093 */   GIM_Try, /*On fail goto*//*Label 28663*/ GIMT_Encode4(2175184), // Rule ID 18313 //
     /* 2175098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2175101 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175106 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2175109 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2175112 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2175115 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2175118 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2175121 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2175128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2175136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2175140 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175144 */     // MIs[0] round
     /* 2175144 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175147 */     // MIs[0] policy
     /* 2175147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175150 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175157 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11208:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M1_E64_MASK),
     /* 2175160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175166 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175168 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175170 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175172 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2175180 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175183 */     // GIR_Coverage, 18313,
     /* 2175183 */     GIR_EraseRootFromParent_Done,
     /* 2175184 */   // Label 28663: @2175184
     /* 2175184 */   GIM_Try, /*On fail goto*//*Label 28664*/ GIMT_Encode4(2175275), // Rule ID 18316 //
     /* 2175189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175192 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175197 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2175200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2175203 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175206 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2175209 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175212 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175215 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175231 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175235 */     // MIs[0] round
     /* 2175235 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175238 */     // MIs[0] policy
     /* 2175238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175241 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175248 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2175251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175257 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175259 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175261 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175271 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175274 */     // GIR_Coverage, 18316,
     /* 2175274 */     GIR_EraseRootFromParent_Done,
     /* 2175275 */   // Label 28664: @2175275
     /* 2175275 */   GIM_Try, /*On fail goto*//*Label 28665*/ GIMT_Encode4(2175366), // Rule ID 18317 //
     /* 2175280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175283 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175288 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2175291 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2175294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2175300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175303 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175306 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175318 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175322 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175326 */     // MIs[0] round
     /* 2175326 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175329 */     // MIs[0] policy
     /* 2175329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175332 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175339 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M2_E16_MASK),
     /* 2175342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175346 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175348 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175350 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175352 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175354 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175362 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175365 */     // GIR_Coverage, 18317,
     /* 2175365 */     GIR_EraseRootFromParent_Done,
     /* 2175366 */   // Label 28665: @2175366
     /* 2175366 */   GIM_Try, /*On fail goto*//*Label 28666*/ GIMT_Encode4(2175457), // Rule ID 18320 //
     /* 2175371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175374 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175379 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2175382 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2175385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175394 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175405 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175409 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175413 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175417 */     // MIs[0] round
     /* 2175417 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175420 */     // MIs[0] policy
     /* 2175420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175423 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175430 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2175433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175439 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175441 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175443 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175445 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175453 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175456 */     // GIR_Coverage, 18320,
     /* 2175456 */     GIR_EraseRootFromParent_Done,
     /* 2175457 */   // Label 28666: @2175457
     /* 2175457 */   GIM_Try, /*On fail goto*//*Label 28667*/ GIMT_Encode4(2175548), // Rule ID 18321 //
     /* 2175462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175465 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175470 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2175473 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2175476 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175479 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2175482 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2175485 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175488 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175496 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175500 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175504 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175508 */     // MIs[0] round
     /* 2175508 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175511 */     // MIs[0] policy
     /* 2175511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175514 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175521 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M4_E16_MASK),
     /* 2175524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175528 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175530 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175532 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175534 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175544 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175547 */     // GIR_Coverage, 18321,
     /* 2175547 */     GIR_EraseRootFromParent_Done,
     /* 2175548 */   // Label 28667: @2175548
     /* 2175548 */   GIM_Try, /*On fail goto*//*Label 28668*/ GIMT_Encode4(2175639), // Rule ID 18324 //
     /* 2175553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2175556 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175561 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2175564 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2175567 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175570 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2175573 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2175576 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175595 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175599 */     // MIs[0] round
     /* 2175599 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175602 */     // MIs[0] policy
     /* 2175602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175612 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2175615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175619 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175621 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175623 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175625 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175627 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175635 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175638 */     // GIR_Coverage, 18324,
     /* 2175638 */     GIR_EraseRootFromParent_Done,
     /* 2175639 */   // Label 28668: @2175639
     /* 2175639 */   GIM_Try, /*On fail goto*//*Label 28669*/ GIMT_Encode4(2175730), // Rule ID 18325 //
     /* 2175644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2175647 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175652 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2175655 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2175658 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2175661 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2175664 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2175667 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2175674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2175682 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2175686 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175690 */     // MIs[0] round
     /* 2175690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175693 */     // MIs[0] policy
     /* 2175693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175696 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175703 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR16_M8_E16_MASK),
     /* 2175706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175712 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175714 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175716 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2175726 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175729 */     // GIR_Coverage, 18325,
     /* 2175729 */     GIR_EraseRootFromParent_Done,
     /* 2175730 */   // Label 28669: @2175730
     /* 2175730 */   GIM_Try, /*On fail goto*//*Label 28670*/ GIMT_Encode4(2175821), // Rule ID 18328 //
     /* 2175735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175738 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175743 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2175746 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2175749 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175752 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2175755 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175758 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175765 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175769 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175773 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175777 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175781 */     // MIs[0] round
     /* 2175781 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175784 */     // MIs[0] policy
     /* 2175784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175787 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175794 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2175797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175803 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175805 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175807 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175817 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175820 */     // GIR_Coverage, 18328,
     /* 2175820 */     GIR_EraseRootFromParent_Done,
     /* 2175821 */   // Label 28670: @2175821
     /* 2175821 */   GIM_Try, /*On fail goto*//*Label 28671*/ GIMT_Encode4(2175912), // Rule ID 18329 //
     /* 2175826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2175829 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175834 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2175837 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2175840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2175846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2175849 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2175852 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2175856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175860 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175864 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2175868 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175872 */     // MIs[0] round
     /* 2175872 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175875 */     // MIs[0] policy
     /* 2175875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175878 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175885 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2175885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M2_E32_MASK),
     /* 2175888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175894 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175896 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175898 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175900 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175908 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2175910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2175911 */     // GIR_Coverage, 18329,
     /* 2175911 */     GIR_EraseRootFromParent_Done,
     /* 2175912 */   // Label 28671: @2175912
     /* 2175912 */   GIM_Try, /*On fail goto*//*Label 28672*/ GIMT_Encode4(2176003), // Rule ID 18332 //
     /* 2175917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2175920 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2175925 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2175928 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2175931 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2175934 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2175937 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2175940 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2175943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2175947 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2175955 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2175959 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2175963 */     // MIs[0] round
     /* 2175963 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2175966 */     // MIs[0] policy
     /* 2175966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2175969 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2175976 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2175976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2175979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2175981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2175983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2175985 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2175987 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2175989 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2175991 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2175996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2175999 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176002 */     // GIR_Coverage, 18332,
     /* 2176002 */     GIR_EraseRootFromParent_Done,
     /* 2176003 */   // Label 28672: @2176003
     /* 2176003 */   GIM_Try, /*On fail goto*//*Label 28673*/ GIMT_Encode4(2176094), // Rule ID 18333 //
     /* 2176008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176011 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176016 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2176019 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2176022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2176028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176031 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176038 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176042 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176046 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176050 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176054 */     // MIs[0] round
     /* 2176054 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176057 */     // MIs[0] policy
     /* 2176057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176067 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M4_E32_MASK),
     /* 2176070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176072 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176074 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176076 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176078 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176080 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176090 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176093 */     // GIR_Coverage, 18333,
     /* 2176093 */     GIR_EraseRootFromParent_Done,
     /* 2176094 */   // Label 28673: @2176094
     /* 2176094 */   GIM_Try, /*On fail goto*//*Label 28674*/ GIMT_Encode4(2176185), // Rule ID 18336 //
     /* 2176099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2176102 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176107 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176110 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176113 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176116 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2176119 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176122 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176133 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176137 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176141 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176145 */     // MIs[0] round
     /* 2176145 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176148 */     // MIs[0] policy
     /* 2176148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176151 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176158 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2176161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176167 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176169 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176171 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176173 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176181 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176184 */     // GIR_Coverage, 18336,
     /* 2176184 */     GIR_EraseRootFromParent_Done,
     /* 2176185 */   // Label 28674: @2176185
     /* 2176185 */   GIM_Try, /*On fail goto*//*Label 28675*/ GIMT_Encode4(2176276), // Rule ID 18337 //
     /* 2176190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2176193 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176198 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2176201 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2176204 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2176207 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2176210 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2176213 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176220 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176224 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2176228 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176232 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176236 */     // MIs[0] round
     /* 2176236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176239 */     // MIs[0] policy
     /* 2176239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176242 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176249 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR32_M8_E32_MASK),
     /* 2176252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176256 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176258 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176260 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176262 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2176272 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176275 */     // GIR_Coverage, 18337,
     /* 2176275 */     GIR_EraseRootFromParent_Done,
     /* 2176276 */   // Label 28675: @2176276
     /* 2176276 */   GIM_Try, /*On fail goto*//*Label 28676*/ GIMT_Encode4(2176367), // Rule ID 18340 //
     /* 2176281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176284 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176289 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2176292 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2176295 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176298 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2176301 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176304 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176307 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176323 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176327 */     // MIs[0] round
     /* 2176327 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176330 */     // MIs[0] policy
     /* 2176330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176333 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176340 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2176343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176349 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176351 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176353 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176363 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176366 */     // GIR_Coverage, 18340,
     /* 2176366 */     GIR_EraseRootFromParent_Done,
     /* 2176367 */   // Label 28676: @2176367
     /* 2176367 */   GIM_Try, /*On fail goto*//*Label 28677*/ GIMT_Encode4(2176458), // Rule ID 18341 //
     /* 2176372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176375 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176380 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2176383 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2176386 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176389 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2176392 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2176395 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2176402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2176414 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176418 */     // MIs[0] round
     /* 2176418 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176421 */     // MIs[0] policy
     /* 2176421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176424 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176431 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11208:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M2_E64_MASK),
     /* 2176434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176440 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176442 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176444 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176454 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176457 */     // GIR_Coverage, 18341,
     /* 2176457 */     GIR_EraseRootFromParent_Done,
     /* 2176458 */   // Label 28677: @2176458
     /* 2176458 */   GIM_Try, /*On fail goto*//*Label 28678*/ GIMT_Encode4(2176549), // Rule ID 18344 //
     /* 2176463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176466 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176471 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2176474 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2176477 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176480 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2176483 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176486 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176497 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176501 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176505 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176509 */     // MIs[0] round
     /* 2176509 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176512 */     // MIs[0] policy
     /* 2176512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176515 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176522 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2176525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176529 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176531 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176533 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176535 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176545 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176548 */     // GIR_Coverage, 18344,
     /* 2176548 */     GIR_EraseRootFromParent_Done,
     /* 2176549 */   // Label 28678: @2176549
     /* 2176549 */   GIM_Try, /*On fail goto*//*Label 28679*/ GIMT_Encode4(2176640), // Rule ID 18345 //
     /* 2176554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176557 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176562 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2176565 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2176568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2176574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2176577 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2176584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176592 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2176596 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176600 */     // MIs[0] round
     /* 2176600 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176603 */     // MIs[0] policy
     /* 2176603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176613 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11208:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M4_E64_MASK),
     /* 2176616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176622 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176624 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176626 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176628 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176636 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176639 */     // GIR_Coverage, 18345,
     /* 2176639 */     GIR_EraseRootFromParent_Done,
     /* 2176640 */   // Label 28679: @2176640
     /* 2176640 */   GIM_Try, /*On fail goto*//*Label 28680*/ GIMT_Encode4(2176731), // Rule ID 18348 //
     /* 2176645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2176648 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176653 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2176656 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2176659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2176665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176668 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176671 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176675 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176679 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176683 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176687 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176691 */     // MIs[0] round
     /* 2176691 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176694 */     // MIs[0] policy
     /* 2176694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176704 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2176707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176711 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176713 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176715 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176717 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176719 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176727 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176730 */     // GIR_Coverage, 18348,
     /* 2176730 */     GIR_EraseRootFromParent_Done,
     /* 2176731 */   // Label 28680: @2176731
     /* 2176731 */   GIM_Try, /*On fail goto*//*Label 28681*/ GIMT_Encode4(2176822), // Rule ID 18349 //
     /* 2176736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2176739 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmadd_mask),
     /* 2176744 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2176747 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2176750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2176753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2176756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2176759 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176762 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2176766 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176770 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2176774 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2176778 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176782 */     // MIs[0] round
     /* 2176782 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176785 */     // MIs[0] policy
     /* 2176785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176795 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11208:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VFPR64_M8_E64_MASK),
     /* 2176798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176802 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176804 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176806 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176808 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176810 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2176818 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176821 */     // GIR_Coverage, 18349,
     /* 2176821 */     GIR_EraseRootFromParent_Done,
     /* 2176822 */   // Label 28681: @2176822
     /* 2176822 */   GIM_Try, /*On fail goto*//*Label 28682*/ GIMT_Encode4(2176913), // Rule ID 18352 //
     /* 2176827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2176830 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176835 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2176838 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2176841 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2176844 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2176847 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176850 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2176853 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176869 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176873 */     // MIs[0] round
     /* 2176873 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176876 */     // MIs[0] policy
     /* 2176876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176879 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176886 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2176886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2176889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176893 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176895 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176897 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176899 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176901 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2176909 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2176911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2176912 */     // GIR_Coverage, 18352,
     /* 2176912 */     GIR_EraseRootFromParent_Done,
     /* 2176913 */   // Label 28682: @2176913
     /* 2176913 */   GIM_Try, /*On fail goto*//*Label 28683*/ GIMT_Encode4(2177004), // Rule ID 18353 //
     /* 2176918 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2176921 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2176926 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2176929 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2176932 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2176935 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2176938 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2176941 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2176944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2176948 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176952 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176956 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2176960 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2176964 */     // MIs[0] round
     /* 2176964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2176967 */     // MIs[0] policy
     /* 2176967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2176970 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2176977 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2176977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16_MASK),
     /* 2176980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2176982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2176984 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2176986 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2176988 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2176990 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2176992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2176997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177000 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177003 */     // GIR_Coverage, 18353,
     /* 2177003 */     GIR_EraseRootFromParent_Done,
     /* 2177004 */   // Label 28683: @2177004
     /* 2177004 */   GIM_Try, /*On fail goto*//*Label 28684*/ GIMT_Encode4(2177095), // Rule ID 18356 //
     /* 2177009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177012 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177017 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2177020 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2177023 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177026 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177029 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177032 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177043 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177047 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177051 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177055 */     // MIs[0] round
     /* 2177055 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177058 */     // MIs[0] policy
     /* 2177058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177061 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177068 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2177071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177077 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177079 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177081 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177091 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177094 */     // GIR_Coverage, 18356,
     /* 2177094 */     GIR_EraseRootFromParent_Done,
     /* 2177095 */   // Label 28684: @2177095
     /* 2177095 */   GIM_Try, /*On fail goto*//*Label 28685*/ GIMT_Encode4(2177186), // Rule ID 18357 //
     /* 2177100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177103 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177108 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2177111 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2177114 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2177117 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2177120 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177123 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177126 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177130 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177134 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177138 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177142 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177146 */     // MIs[0] round
     /* 2177146 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177149 */     // MIs[0] policy
     /* 2177149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177152 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177159 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16_MASK),
     /* 2177162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177166 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177168 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177170 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177172 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177174 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177182 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177185 */     // GIR_Coverage, 18357,
     /* 2177185 */     GIR_EraseRootFromParent_Done,
     /* 2177186 */   // Label 28685: @2177186
     /* 2177186 */   GIM_Try, /*On fail goto*//*Label 28686*/ GIMT_Encode4(2177277), // Rule ID 18360 //
     /* 2177191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177194 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177199 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177202 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2177208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2177211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177214 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177217 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177233 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177237 */     // MIs[0] round
     /* 2177237 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177240 */     // MIs[0] policy
     /* 2177240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177243 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177250 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2177253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177255 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177257 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177259 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177261 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177263 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177273 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177276 */     // GIR_Coverage, 18360,
     /* 2177276 */     GIR_EraseRootFromParent_Done,
     /* 2177277 */   // Label 28686: @2177277
     /* 2177277 */   GIM_Try, /*On fail goto*//*Label 28687*/ GIMT_Encode4(2177368), // Rule ID 18361 //
     /* 2177282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177285 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177290 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2177293 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2177296 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2177299 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2177302 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177305 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177312 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177316 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177320 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177324 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177328 */     // MIs[0] round
     /* 2177328 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177331 */     // MIs[0] policy
     /* 2177331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177341 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32_MASK),
     /* 2177344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177346 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177348 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177350 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177352 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177354 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177356 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177364 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177367 */     // GIR_Coverage, 18361,
     /* 2177367 */     GIR_EraseRootFromParent_Done,
     /* 2177368 */   // Label 28687: @2177368
     /* 2177368 */   GIM_Try, /*On fail goto*//*Label 28688*/ GIMT_Encode4(2177459), // Rule ID 18364 //
     /* 2177373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177376 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177381 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2177384 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2177387 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2177390 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2177393 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177396 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177411 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177415 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177419 */     // MIs[0] round
     /* 2177419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177422 */     // MIs[0] policy
     /* 2177422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177432 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2177435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177439 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177441 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177443 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177445 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177447 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177455 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177458 */     // GIR_Coverage, 18364,
     /* 2177458 */     GIR_EraseRootFromParent_Done,
     /* 2177459 */   // Label 28688: @2177459
     /* 2177459 */   GIM_Try, /*On fail goto*//*Label 28689*/ GIMT_Encode4(2177550), // Rule ID 18365 //
     /* 2177464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2177467 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177472 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2177475 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2177478 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2177481 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2177484 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2177487 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177494 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177498 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177502 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177506 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177510 */     // MIs[0] round
     /* 2177510 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177513 */     // MIs[0] policy
     /* 2177513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177516 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177523 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16_MASK),
     /* 2177526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177530 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177532 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177534 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177536 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2177546 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177549 */     // GIR_Coverage, 18365,
     /* 2177549 */     GIR_EraseRootFromParent_Done,
     /* 2177550 */   // Label 28689: @2177550
     /* 2177550 */   GIM_Try, /*On fail goto*//*Label 28690*/ GIMT_Encode4(2177641), // Rule ID 18368 //
     /* 2177555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2177558 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177563 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177566 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177569 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2177572 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2177575 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177578 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177597 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177601 */     // MIs[0] round
     /* 2177601 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177604 */     // MIs[0] policy
     /* 2177604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177607 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177614 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177614 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2177617 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177623 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177625 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177627 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177637 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177640 */     // GIR_Coverage, 18368,
     /* 2177640 */     GIR_EraseRootFromParent_Done,
     /* 2177641 */   // Label 28690: @2177641
     /* 2177641 */   GIM_Try, /*On fail goto*//*Label 28691*/ GIMT_Encode4(2177732), // Rule ID 18369 //
     /* 2177646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2177649 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177654 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2177657 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2177660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2177663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2177666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2177669 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177672 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177680 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177684 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177688 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177692 */     // MIs[0] round
     /* 2177692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177695 */     // MIs[0] policy
     /* 2177695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177698 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177705 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32_MASK),
     /* 2177708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177712 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177714 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177716 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177718 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177720 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2177728 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177731 */     // GIR_Coverage, 18369,
     /* 2177731 */     GIR_EraseRootFromParent_Done,
     /* 2177732 */   // Label 28691: @2177732
     /* 2177732 */   GIM_Try, /*On fail goto*//*Label 28692*/ GIMT_Encode4(2177823), // Rule ID 18372 //
     /* 2177737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2177740 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177745 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2177748 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2177751 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2177754 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2177757 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177760 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177763 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177771 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177779 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177783 */     // MIs[0] round
     /* 2177783 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177786 */     // MIs[0] policy
     /* 2177786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177796 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2177799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177803 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177805 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177807 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177809 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177811 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177819 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177822 */     // GIR_Coverage, 18372,
     /* 2177822 */     GIR_EraseRootFromParent_Done,
     /* 2177823 */   // Label 28692: @2177823
     /* 2177823 */   GIM_Try, /*On fail goto*//*Label 28693*/ GIMT_Encode4(2177914), // Rule ID 18373 //
     /* 2177828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2177831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2177839 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2177842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2177845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2177848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2177851 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2177854 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2177858 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177862 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2177870 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177874 */     // MIs[0] round
     /* 2177874 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177877 */     // MIs[0] policy
     /* 2177877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177880 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177887 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2177887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64_MASK),
     /* 2177890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177894 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177896 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177898 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177900 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177902 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2177910 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2177912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2177913 */     // GIR_Coverage, 18373,
     /* 2177913 */     GIR_EraseRootFromParent_Done,
     /* 2177914 */   // Label 28693: @2177914
     /* 2177914 */   GIM_Try, /*On fail goto*//*Label 28694*/ GIMT_Encode4(2178005), // Rule ID 18376 //
     /* 2177919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2177922 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2177927 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2177930 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2177933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2177936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2177939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2177942 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2177945 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2177949 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177953 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177957 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2177961 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2177965 */     // MIs[0] round
     /* 2177965 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2177968 */     // MIs[0] policy
     /* 2177968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2177971 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2177978 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2177978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2177981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2177983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2177985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2177987 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2177989 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2177991 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2177993 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2177998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178001 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178004 */     // GIR_Coverage, 18376,
     /* 2178004 */     GIR_EraseRootFromParent_Done,
     /* 2178005 */   // Label 28694: @2178005
     /* 2178005 */   GIM_Try, /*On fail goto*//*Label 28695*/ GIMT_Encode4(2178096), // Rule ID 18377 //
     /* 2178010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178013 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178018 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2178021 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2178024 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2178027 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2178030 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178033 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178040 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178048 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178052 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178056 */     // MIs[0] round
     /* 2178056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178059 */     // MIs[0] policy
     /* 2178059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178069 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16_MASK),
     /* 2178072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178078 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178080 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178082 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178092 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178095 */     // GIR_Coverage, 18377,
     /* 2178095 */     GIR_EraseRootFromParent_Done,
     /* 2178096 */   // Label 28695: @2178096
     /* 2178096 */   GIM_Try, /*On fail goto*//*Label 28696*/ GIMT_Encode4(2178187), // Rule ID 18380 //
     /* 2178101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178104 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178109 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2178112 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2178115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178118 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178121 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178124 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178127 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178135 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178139 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178143 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178147 */     // MIs[0] round
     /* 2178147 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178150 */     // MIs[0] policy
     /* 2178150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178153 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178160 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2178163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178167 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178169 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178171 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178173 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178175 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178183 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178185 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178186 */     // GIR_Coverage, 18380,
     /* 2178186 */     GIR_EraseRootFromParent_Done,
     /* 2178187 */   // Label 28696: @2178187
     /* 2178187 */   GIM_Try, /*On fail goto*//*Label 28697*/ GIMT_Encode4(2178278), // Rule ID 18381 //
     /* 2178192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178195 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178200 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2178203 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2178206 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2178209 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2178212 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178215 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178234 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178238 */     // MIs[0] round
     /* 2178238 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178241 */     // MIs[0] policy
     /* 2178241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178244 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178251 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16_MASK),
     /* 2178254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178260 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178262 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178264 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178274 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178277 */     // GIR_Coverage, 18381,
     /* 2178277 */     GIR_EraseRootFromParent_Done,
     /* 2178278 */   // Label 28697: @2178278
     /* 2178278 */   GIM_Try, /*On fail goto*//*Label 28698*/ GIMT_Encode4(2178369), // Rule ID 18384 //
     /* 2178283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2178286 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178291 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2178294 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2178297 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2178300 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2178303 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2178306 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178313 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178317 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178321 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178325 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178329 */     // MIs[0] round
     /* 2178329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178332 */     // MIs[0] policy
     /* 2178332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178335 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178342 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2178345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178349 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178351 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178353 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178355 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178357 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178365 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178367 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178368 */     // GIR_Coverage, 18384,
     /* 2178368 */     GIR_EraseRootFromParent_Done,
     /* 2178369 */   // Label 28698: @2178369
     /* 2178369 */   GIM_Try, /*On fail goto*//*Label 28699*/ GIMT_Encode4(2178460), // Rule ID 18385 //
     /* 2178374 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2178377 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178382 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2178385 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2178388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2178391 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2178394 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2178397 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178400 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178404 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178408 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178412 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178416 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178420 */     // MIs[0] round
     /* 2178420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178423 */     // MIs[0] policy
     /* 2178423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178433 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16_MASK),
     /* 2178436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178442 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178444 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178446 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2178456 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178459 */     // GIR_Coverage, 18385,
     /* 2178459 */     GIR_EraseRootFromParent_Done,
     /* 2178460 */   // Label 28699: @2178460
     /* 2178460 */   GIM_Try, /*On fail goto*//*Label 28700*/ GIMT_Encode4(2178551), // Rule ID 18388 //
     /* 2178465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178468 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178473 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178476 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178479 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178482 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178485 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178488 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178491 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178495 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178499 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178503 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178507 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178511 */     // MIs[0] round
     /* 2178511 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178514 */     // MIs[0] policy
     /* 2178514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178524 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2178527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178533 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178535 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178537 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178547 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178550 */     // GIR_Coverage, 18388,
     /* 2178550 */     GIR_EraseRootFromParent_Done,
     /* 2178551 */   // Label 28700: @2178551
     /* 2178551 */   GIM_Try, /*On fail goto*//*Label 28701*/ GIMT_Encode4(2178642), // Rule ID 18389 //
     /* 2178556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178559 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178564 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2178567 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2178570 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2178573 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2178576 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2178579 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2178586 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178590 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178594 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2178598 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178602 */     // MIs[0] round
     /* 2178602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178605 */     // MIs[0] policy
     /* 2178605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178608 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178615 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32_MASK),
     /* 2178618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178624 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178626 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178628 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178630 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178638 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178641 */     // GIR_Coverage, 18389,
     /* 2178641 */     GIR_EraseRootFromParent_Done,
     /* 2178642 */   // Label 28701: @2178642
     /* 2178642 */   GIM_Try, /*On fail goto*//*Label 28702*/ GIMT_Encode4(2178733), // Rule ID 18392 //
     /* 2178647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178650 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178655 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178658 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2178664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2178667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178670 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178673 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178689 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178693 */     // MIs[0] round
     /* 2178693 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178696 */     // MIs[0] policy
     /* 2178696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178699 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178706 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2178709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178713 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178715 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178717 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178719 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178721 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178729 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178732 */     // GIR_Coverage, 18392,
     /* 2178732 */     GIR_EraseRootFromParent_Done,
     /* 2178733 */   // Label 28702: @2178733
     /* 2178733 */   GIM_Try, /*On fail goto*//*Label 28703*/ GIMT_Encode4(2178824), // Rule ID 18393 //
     /* 2178738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178741 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178746 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2178749 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2178752 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2178755 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2178758 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2178761 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178764 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2178768 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178776 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2178780 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178784 */     // MIs[0] round
     /* 2178784 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178787 */     // MIs[0] policy
     /* 2178787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178790 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178797 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32_MASK),
     /* 2178800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178804 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178806 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178808 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178810 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178812 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178820 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178823 */     // GIR_Coverage, 18393,
     /* 2178823 */     GIR_EraseRootFromParent_Done,
     /* 2178824 */   // Label 28703: @2178824
     /* 2178824 */   GIM_Try, /*On fail goto*//*Label 28704*/ GIMT_Encode4(2178915), // Rule ID 18396 //
     /* 2178829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2178832 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178837 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178840 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178843 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2178846 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2178849 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178852 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2178855 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178863 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178867 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178871 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178875 */     // MIs[0] round
     /* 2178875 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178878 */     // MIs[0] policy
     /* 2178878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178881 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178888 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2178888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2178891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178895 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178897 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178899 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178901 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178903 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2178911 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2178913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2178914 */     // GIR_Coverage, 18396,
     /* 2178914 */     GIR_EraseRootFromParent_Done,
     /* 2178915 */   // Label 28704: @2178915
     /* 2178915 */   GIM_Try, /*On fail goto*//*Label 28705*/ GIMT_Encode4(2179006), // Rule ID 18397 //
     /* 2178920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2178923 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2178928 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2178931 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2178934 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2178937 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2178940 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2178943 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2178946 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2178950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178954 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2178962 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2178966 */     // MIs[0] round
     /* 2178966 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2178969 */     // MIs[0] policy
     /* 2178969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2178972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2178979 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2178979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32_MASK),
     /* 2178982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2178984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2178986 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2178988 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2178990 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2178992 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2178994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2178999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2179002 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179005 */     // GIR_Coverage, 18397,
     /* 2179005 */     GIR_EraseRootFromParent_Done,
     /* 2179006 */   // Label 28705: @2179006
     /* 2179006 */   GIM_Try, /*On fail goto*//*Label 28706*/ GIMT_Encode4(2179097), // Rule ID 18400 //
     /* 2179011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2179014 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179019 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2179022 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2179025 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2179028 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2179031 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179034 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179041 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179045 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179049 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179053 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179057 */     // MIs[0] round
     /* 2179057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179060 */     // MIs[0] policy
     /* 2179060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179063 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179070 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2179073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179075 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179077 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179079 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179081 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179083 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179093 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179096 */     // GIR_Coverage, 18400,
     /* 2179096 */     GIR_EraseRootFromParent_Done,
     /* 2179097 */   // Label 28706: @2179097
     /* 2179097 */   GIM_Try, /*On fail goto*//*Label 28707*/ GIMT_Encode4(2179188), // Rule ID 18401 //
     /* 2179102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2179105 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179110 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2179113 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2179116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2179119 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2179122 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179125 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179128 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2179132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179136 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179140 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2179144 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179148 */     // MIs[0] round
     /* 2179148 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179151 */     // MIs[0] policy
     /* 2179151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179154 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179161 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179161 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64_MASK),
     /* 2179164 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179168 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179170 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179172 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179174 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179184 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179187 */     // GIR_Coverage, 18401,
     /* 2179187 */     GIR_EraseRootFromParent_Done,
     /* 2179188 */   // Label 28707: @2179188
     /* 2179188 */   GIM_Try, /*On fail goto*//*Label 28708*/ GIMT_Encode4(2179279), // Rule ID 18404 //
     /* 2179193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2179196 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179201 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2179204 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2179207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2179210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2179213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179216 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179219 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179223 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179227 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179231 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179235 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179239 */     // MIs[0] round
     /* 2179239 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179242 */     // MIs[0] policy
     /* 2179242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179245 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179252 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2179255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179257 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179261 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179263 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179265 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179267 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179275 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179278 */     // GIR_Coverage, 18404,
     /* 2179278 */     GIR_EraseRootFromParent_Done,
     /* 2179279 */   // Label 28708: @2179279
     /* 2179279 */   GIM_Try, /*On fail goto*//*Label 28709*/ GIMT_Encode4(2179370), // Rule ID 18405 //
     /* 2179284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2179287 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179292 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2179295 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2179298 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2179301 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2179304 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2179307 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179310 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2179314 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179318 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179322 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2179326 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179330 */     // MIs[0] round
     /* 2179330 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179333 */     // MIs[0] policy
     /* 2179333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179336 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179343 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64_MASK),
     /* 2179346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179352 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179354 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179356 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179358 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179366 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179369 */     // GIR_Coverage, 18405,
     /* 2179369 */     GIR_EraseRootFromParent_Done,
     /* 2179370 */   // Label 28709: @2179370
     /* 2179370 */   GIM_Try, /*On fail goto*//*Label 28710*/ GIMT_Encode4(2179461), // Rule ID 18408 //
     /* 2179375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2179378 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179383 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179386 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2179392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2179395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179398 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179401 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179409 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179413 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179417 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179421 */     // MIs[0] round
     /* 2179421 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179424 */     // MIs[0] policy
     /* 2179424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179427 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179434 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2179437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179441 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179443 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179445 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179447 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179449 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179457 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179460 */     // GIR_Coverage, 18408,
     /* 2179460 */     GIR_EraseRootFromParent_Done,
     /* 2179461 */   // Label 28710: @2179461
     /* 2179461 */   GIM_Try, /*On fail goto*//*Label 28711*/ GIMT_Encode4(2179552), // Rule ID 18409 //
     /* 2179466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2179469 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179474 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2179477 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2179480 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2179483 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2179486 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2179489 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179492 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2179496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179504 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2179508 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179512 */     // MIs[0] round
     /* 2179512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179515 */     // MIs[0] policy
     /* 2179515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179518 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179525 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64_MASK),
     /* 2179528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179534 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179536 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179538 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179540 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2179548 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179551 */     // GIR_Coverage, 18409,
     /* 2179551 */     GIR_EraseRootFromParent_Done,
     /* 2179552 */   // Label 28711: @2179552
     /* 2179552 */   GIM_Try, /*On fail goto*//*Label 28712*/ GIMT_Encode4(2179643), // Rule ID 18412 //
     /* 2179557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179560 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179565 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2179568 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2179571 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179574 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179577 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179580 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179587 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179591 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179595 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179599 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179603 */     // MIs[0] round
     /* 2179603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179606 */     // MIs[0] policy
     /* 2179606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179616 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2179619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179623 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179625 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179627 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179629 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179631 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179639 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179642 */     // GIR_Coverage, 18412,
     /* 2179642 */     GIR_EraseRootFromParent_Done,
     /* 2179643 */   // Label 28712: @2179643
     /* 2179643 */   GIM_Try, /*On fail goto*//*Label 28713*/ GIMT_Encode4(2179734), // Rule ID 18413 //
     /* 2179648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179651 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179656 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2179659 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2179662 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179665 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2179668 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179671 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179674 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179690 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179694 */     // MIs[0] round
     /* 2179694 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179697 */     // MIs[0] policy
     /* 2179697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179700 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179707 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF4_E16_MASK),
     /* 2179710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179712 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179714 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179716 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179718 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179720 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179730 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179733 */     // GIR_Coverage, 18413,
     /* 2179733 */     GIR_EraseRootFromParent_Done,
     /* 2179734 */   // Label 28713: @2179734
     /* 2179734 */   GIM_Try, /*On fail goto*//*Label 28714*/ GIMT_Encode4(2179825), // Rule ID 18416 //
     /* 2179739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2179742 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179747 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2179750 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2179753 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179756 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179759 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179762 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179773 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179777 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179781 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179785 */     // MIs[0] round
     /* 2179785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179788 */     // MIs[0] policy
     /* 2179788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179791 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179798 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2179801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179807 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179809 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179811 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179821 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179824 */     // GIR_Coverage, 18416,
     /* 2179824 */     GIR_EraseRootFromParent_Done,
     /* 2179825 */   // Label 28714: @2179825
     /* 2179825 */   GIM_Try, /*On fail goto*//*Label 28715*/ GIMT_Encode4(2179916), // Rule ID 18417 //
     /* 2179830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2179833 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179838 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2179841 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2179844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2179847 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2179850 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2179853 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2179856 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179860 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2179868 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179872 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179876 */     // MIs[0] round
     /* 2179876 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179879 */     // MIs[0] policy
     /* 2179879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179882 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179889 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2179889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_MF2_E16_MASK),
     /* 2179892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179896 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179898 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179900 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179902 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2179909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2179912 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2179914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2179915 */     // GIR_Coverage, 18417,
     /* 2179915 */     GIR_EraseRootFromParent_Done,
     /* 2179916 */   // Label 28715: @2179916
     /* 2179916 */   GIM_Try, /*On fail goto*//*Label 28716*/ GIMT_Encode4(2180007), // Rule ID 18420 //
     /* 2179921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2179924 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2179929 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2179932 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2179935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2179938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2179941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2179944 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2179947 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2179951 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179955 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2179959 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2179963 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2179967 */     // MIs[0] round
     /* 2179967 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2179970 */     // MIs[0] policy
     /* 2179970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2179973 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2179980 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2179980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2179983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2179985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2179987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2179989 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2179991 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2179993 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2179995 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180003 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180006 */     // GIR_Coverage, 18420,
     /* 2180006 */     GIR_EraseRootFromParent_Done,
     /* 2180007 */   // Label 28716: @2180007
     /* 2180007 */   GIM_Try, /*On fail goto*//*Label 28717*/ GIMT_Encode4(2180098), // Rule ID 18421 //
     /* 2180012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180015 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180020 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2180023 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2180026 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180029 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2180032 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180035 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180038 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180042 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180046 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180050 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180054 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180058 */     // MIs[0] round
     /* 2180058 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180061 */     // MIs[0] policy
     /* 2180061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180071 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_MF2_E32_MASK),
     /* 2180074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180080 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180082 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180084 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180086 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180094 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180097 */     // GIR_Coverage, 18421,
     /* 2180097 */     GIR_EraseRootFromParent_Done,
     /* 2180098 */   // Label 28717: @2180098
     /* 2180098 */   GIM_Try, /*On fail goto*//*Label 28718*/ GIMT_Encode4(2180189), // Rule ID 18424 //
     /* 2180103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180106 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180111 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2180114 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2180117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180120 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2180123 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180126 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180129 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180137 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180141 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180145 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180149 */     // MIs[0] round
     /* 2180149 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180152 */     // MIs[0] policy
     /* 2180152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180155 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180162 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2180165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180169 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180171 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180173 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180175 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180177 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180185 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180188 */     // GIR_Coverage, 18424,
     /* 2180188 */     GIR_EraseRootFromParent_Done,
     /* 2180189 */   // Label 28718: @2180189
     /* 2180189 */   GIM_Try, /*On fail goto*//*Label 28719*/ GIMT_Encode4(2180280), // Rule ID 18425 //
     /* 2180194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180197 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180202 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2180205 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2180208 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180211 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2180214 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2180217 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180236 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180240 */     // MIs[0] round
     /* 2180240 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180243 */     // MIs[0] policy
     /* 2180243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180246 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180253 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11244:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M1_E16_MASK),
     /* 2180256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180262 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180264 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180266 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180268 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180276 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180279 */     // GIR_Coverage, 18425,
     /* 2180279 */     GIR_EraseRootFromParent_Done,
     /* 2180280 */   // Label 28719: @2180280
     /* 2180280 */   GIM_Try, /*On fail goto*//*Label 28720*/ GIMT_Encode4(2180371), // Rule ID 18428 //
     /* 2180285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2180288 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180293 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2180296 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180299 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180302 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180305 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180308 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180315 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180319 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180323 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180327 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180331 */     // MIs[0] round
     /* 2180331 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180334 */     // MIs[0] policy
     /* 2180334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180337 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180344 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2180347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180349 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180353 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180355 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180357 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180367 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180370 */     // GIR_Coverage, 18428,
     /* 2180370 */     GIR_EraseRootFromParent_Done,
     /* 2180371 */   // Label 28720: @2180371
     /* 2180371 */   GIM_Try, /*On fail goto*//*Label 28721*/ GIMT_Encode4(2180462), // Rule ID 18429 //
     /* 2180376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2180379 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180384 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2180387 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2180390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2180393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2180396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2180399 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180402 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180410 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2180414 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180418 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180422 */     // MIs[0] round
     /* 2180422 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180425 */     // MIs[0] policy
     /* 2180425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180435 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11244:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M1_E32_MASK),
     /* 2180438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180444 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180446 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180448 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180450 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2180458 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180461 */     // GIR_Coverage, 18429,
     /* 2180461 */     GIR_EraseRootFromParent_Done,
     /* 2180462 */   // Label 28721: @2180462
     /* 2180462 */   GIM_Try, /*On fail goto*//*Label 28722*/ GIMT_Encode4(2180553), // Rule ID 18432 //
     /* 2180467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2180470 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180475 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180478 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180481 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2180484 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2180487 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180490 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180493 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2180505 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180509 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180513 */     // MIs[0] round
     /* 2180513 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180516 */     // MIs[0] policy
     /* 2180516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180519 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180526 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2180529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180533 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180535 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180537 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180539 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180541 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180549 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180552 */     // GIR_Coverage, 18432,
     /* 2180552 */     GIR_EraseRootFromParent_Done,
     /* 2180553 */   // Label 28722: @2180553
     /* 2180553 */   GIM_Try, /*On fail goto*//*Label 28723*/ GIMT_Encode4(2180644), // Rule ID 18433 //
     /* 2180558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2180561 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180566 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2180569 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2180572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2180575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2180578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2180581 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2180588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2180596 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2180600 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180604 */     // MIs[0] round
     /* 2180604 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180607 */     // MIs[0] policy
     /* 2180607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180610 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180617 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11244:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M1_E64_MASK),
     /* 2180620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180624 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180626 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180628 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180630 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180632 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2180640 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180643 */     // GIR_Coverage, 18433,
     /* 2180643 */     GIR_EraseRootFromParent_Done,
     /* 2180644 */   // Label 28723: @2180644
     /* 2180644 */   GIM_Try, /*On fail goto*//*Label 28724*/ GIMT_Encode4(2180735), // Rule ID 18436 //
     /* 2180649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180652 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180657 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2180660 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2180663 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180666 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2180669 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180672 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180675 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180679 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180683 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180687 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180691 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180695 */     // MIs[0] round
     /* 2180695 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180698 */     // MIs[0] policy
     /* 2180698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180708 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2180711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180717 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180719 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180721 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180723 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180731 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180734 */     // GIR_Coverage, 18436,
     /* 2180734 */     GIR_EraseRootFromParent_Done,
     /* 2180735 */   // Label 28724: @2180735
     /* 2180735 */   GIM_Try, /*On fail goto*//*Label 28725*/ GIMT_Encode4(2180826), // Rule ID 18437 //
     /* 2180740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180743 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180748 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2180751 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2180754 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180757 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2180760 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2180763 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2180770 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180774 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180778 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2180782 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180786 */     // MIs[0] round
     /* 2180786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180789 */     // MIs[0] policy
     /* 2180789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180799 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M2_E16_MASK),
     /* 2180802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180806 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180808 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180810 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180812 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180822 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180825 */     // GIR_Coverage, 18437,
     /* 2180825 */     GIR_EraseRootFromParent_Done,
     /* 2180826 */   // Label 28725: @2180826
     /* 2180826 */   GIM_Try, /*On fail goto*//*Label 28726*/ GIMT_Encode4(2180917), // Rule ID 18440 //
     /* 2180831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2180834 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180839 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2180842 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2180845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180848 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180851 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180854 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2180857 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180865 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180869 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180873 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180877 */     // MIs[0] round
     /* 2180877 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180880 */     // MIs[0] policy
     /* 2180880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180883 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180890 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2180890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2180893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180899 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180901 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180903 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2180910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2180913 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2180915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2180916 */     // GIR_Coverage, 18440,
     /* 2180916 */     GIR_EraseRootFromParent_Done,
     /* 2180917 */   // Label 28726: @2180917
     /* 2180917 */   GIM_Try, /*On fail goto*//*Label 28727*/ GIMT_Encode4(2181008), // Rule ID 18441 //
     /* 2180922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2180925 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2180930 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2180933 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2180936 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2180939 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2180942 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2180945 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2180948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2180952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2180960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2180964 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2180968 */     // MIs[0] round
     /* 2180968 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2180971 */     // MIs[0] policy
     /* 2180971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2180974 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2180981 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2180981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M4_E16_MASK),
     /* 2180984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2180986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2180988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2180990 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2180992 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2180994 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2180996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181004 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181007 */     // GIR_Coverage, 18441,
     /* 2181007 */     GIR_EraseRootFromParent_Done,
     /* 2181008 */   // Label 28727: @2181008
     /* 2181008 */   GIM_Try, /*On fail goto*//*Label 28728*/ GIMT_Encode4(2181099), // Rule ID 18444 //
     /* 2181013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2181016 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181021 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2181024 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2181027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2181033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2181036 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181039 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181047 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181051 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181055 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181059 */     // MIs[0] round
     /* 2181059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181062 */     // MIs[0] policy
     /* 2181062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181065 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181072 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2181075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181081 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181083 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181085 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181087 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181095 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181098 */     // GIR_Coverage, 18444,
     /* 2181098 */     GIR_EraseRootFromParent_Done,
     /* 2181099 */   // Label 28728: @2181099
     /* 2181099 */   GIM_Try, /*On fail goto*//*Label 28729*/ GIMT_Encode4(2181190), // Rule ID 18445 //
     /* 2181104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2181107 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181112 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2181115 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2181118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2181121 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2181124 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2181127 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181130 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181134 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181138 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2181142 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181146 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181150 */     // MIs[0] round
     /* 2181150 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181153 */     // MIs[0] policy
     /* 2181153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181163 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR16_M8_E16_MASK),
     /* 2181166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181170 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181172 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181174 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181176 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181178 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2181186 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181188 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181189 */     // GIR_Coverage, 18445,
     /* 2181189 */     GIR_EraseRootFromParent_Done,
     /* 2181190 */   // Label 28729: @2181190
     /* 2181190 */   GIM_Try, /*On fail goto*//*Label 28730*/ GIMT_Encode4(2181281), // Rule ID 18448 //
     /* 2181195 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181198 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181203 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181206 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2181215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181218 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181225 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181229 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181233 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181237 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181241 */     // MIs[0] round
     /* 2181241 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181244 */     // MIs[0] policy
     /* 2181244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181254 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2181257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181261 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181263 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181265 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181267 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181269 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181277 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181280 */     // GIR_Coverage, 18448,
     /* 2181280 */     GIR_EraseRootFromParent_Done,
     /* 2181281 */   // Label 28730: @2181281
     /* 2181281 */   GIM_Try, /*On fail goto*//*Label 28731*/ GIMT_Encode4(2181372), // Rule ID 18449 //
     /* 2181286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181289 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181294 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2181297 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2181300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2181306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181309 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181312 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181324 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181328 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181332 */     // MIs[0] round
     /* 2181332 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181335 */     // MIs[0] policy
     /* 2181335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181338 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181345 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181345 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M2_E32_MASK),
     /* 2181348 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181352 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181354 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181356 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181358 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181360 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181368 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181371 */     // GIR_Coverage, 18449,
     /* 2181371 */     GIR_EraseRootFromParent_Done,
     /* 2181372 */   // Label 28731: @2181372
     /* 2181372 */   GIM_Try, /*On fail goto*//*Label 28732*/ GIMT_Encode4(2181463), // Rule ID 18452 //
     /* 2181377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181380 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181385 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181388 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181391 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181394 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2181397 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181400 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181419 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181423 */     // MIs[0] round
     /* 2181423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181426 */     // MIs[0] policy
     /* 2181426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181429 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181436 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2181439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181443 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181445 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181447 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181449 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181459 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181462 */     // GIR_Coverage, 18452,
     /* 2181462 */     GIR_EraseRootFromParent_Done,
     /* 2181463 */   // Label 28732: @2181463
     /* 2181463 */   GIM_Try, /*On fail goto*//*Label 28733*/ GIMT_Encode4(2181554), // Rule ID 18453 //
     /* 2181468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181471 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181476 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2181479 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2181482 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181485 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2181488 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2181491 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181494 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181506 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181510 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181514 */     // MIs[0] round
     /* 2181514 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181517 */     // MIs[0] policy
     /* 2181517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181527 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M4_E32_MASK),
     /* 2181530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181534 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181536 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181538 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181540 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181542 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181550 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181553 */     // GIR_Coverage, 18453,
     /* 2181553 */     GIR_EraseRootFromParent_Done,
     /* 2181554 */   // Label 28733: @2181554
     /* 2181554 */   GIM_Try, /*On fail goto*//*Label 28734*/ GIMT_Encode4(2181645), // Rule ID 18456 //
     /* 2181559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2181562 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181567 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181570 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2181579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181582 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181593 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181597 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181601 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181605 */     // MIs[0] round
     /* 2181605 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181608 */     // MIs[0] policy
     /* 2181608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181611 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181618 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2181621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181627 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181629 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181631 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181633 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181641 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181644 */     // GIR_Coverage, 18456,
     /* 2181644 */     GIR_EraseRootFromParent_Done,
     /* 2181645 */   // Label 28734: @2181645
     /* 2181645 */   GIM_Try, /*On fail goto*//*Label 28735*/ GIMT_Encode4(2181736), // Rule ID 18457 //
     /* 2181650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2181653 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181658 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2181661 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2181664 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2181667 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2181670 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2181673 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2181680 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181684 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2181688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2181692 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181696 */     // MIs[0] round
     /* 2181696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181699 */     // MIs[0] policy
     /* 2181699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181702 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181709 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR32_M8_E32_MASK),
     /* 2181712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181716 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181718 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181720 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181722 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181724 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2181732 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181735 */     // GIR_Coverage, 18457,
     /* 2181735 */     GIR_EraseRootFromParent_Done,
     /* 2181736 */   // Label 28735: @2181736
     /* 2181736 */   GIM_Try, /*On fail goto*//*Label 28736*/ GIMT_Encode4(2181827), // Rule ID 18460 //
     /* 2181741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2181744 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181749 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2181752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2181755 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181758 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2181761 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181764 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181771 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181775 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181779 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181783 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181787 */     // MIs[0] round
     /* 2181787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181790 */     // MIs[0] policy
     /* 2181790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181800 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2181803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181809 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181811 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181813 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181823 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181826 */     // GIR_Coverage, 18460,
     /* 2181826 */     GIR_EraseRootFromParent_Done,
     /* 2181827 */   // Label 28736: @2181827
     /* 2181827 */   GIM_Try, /*On fail goto*//*Label 28737*/ GIMT_Encode4(2181918), // Rule ID 18461 //
     /* 2181832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2181835 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181840 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2181843 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2181846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181849 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2181852 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2181855 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2181858 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2181862 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181866 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181870 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2181874 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181878 */     // MIs[0] round
     /* 2181878 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181881 */     // MIs[0] policy
     /* 2181881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181891 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11244:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2181891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M2_E64_MASK),
     /* 2181894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181896 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181898 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181900 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181902 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181904 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181906 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2181911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2181914 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2181916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2181917 */     // GIR_Coverage, 18461,
     /* 2181917 */     GIR_EraseRootFromParent_Done,
     /* 2181918 */   // Label 28737: @2181918
     /* 2181918 */   GIM_Try, /*On fail goto*//*Label 28738*/ GIMT_Encode4(2182009), // Rule ID 18464 //
     /* 2181923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2181926 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2181931 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2181934 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2181937 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2181940 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2181943 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2181946 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2181949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2181953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2181961 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2181965 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2181969 */     // MIs[0] round
     /* 2181969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2181972 */     // MIs[0] policy
     /* 2181972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2181975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2181982 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2181982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2181985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2181987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2181989 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2181991 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2181993 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2181995 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2181997 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2182005 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182008 */     // GIR_Coverage, 18464,
     /* 2182008 */     GIR_EraseRootFromParent_Done,
     /* 2182009 */   // Label 28738: @2182009
     /* 2182009 */   GIM_Try, /*On fail goto*//*Label 28739*/ GIMT_Encode4(2182100), // Rule ID 18465 //
     /* 2182014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2182017 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2182022 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2182025 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2182028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2182031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2182034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182037 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2182044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2182056 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182060 */     // MIs[0] round
     /* 2182060 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182063 */     // MIs[0] policy
     /* 2182063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182066 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182073 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11244:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M4_E64_MASK),
     /* 2182076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182082 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182084 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182086 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182088 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2182096 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182099 */     // GIR_Coverage, 18465,
     /* 2182099 */     GIR_EraseRootFromParent_Done,
     /* 2182100 */   // Label 28739: @2182100
     /* 2182100 */   GIM_Try, /*On fail goto*//*Label 28740*/ GIMT_Encode4(2182191), // Rule ID 18468 //
     /* 2182105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2182108 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2182113 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182116 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182119 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2182122 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2182125 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182128 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182135 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182139 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182143 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182147 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182151 */     // MIs[0] round
     /* 2182151 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182154 */     // MIs[0] policy
     /* 2182154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182157 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182164 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182164 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2182167 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182169 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182171 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182173 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182175 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182177 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182179 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2182187 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182190 */     // GIR_Coverage, 18468,
     /* 2182190 */     GIR_EraseRootFromParent_Done,
     /* 2182191 */   // Label 28740: @2182191
     /* 2182191 */   GIM_Try, /*On fail goto*//*Label 28741*/ GIMT_Encode4(2182282), // Rule ID 18469 //
     /* 2182196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2182199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmadd_mask),
     /* 2182204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2182207 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2182210 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2182213 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2182216 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2182219 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182222 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2182226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2182234 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2182238 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182242 */     // MIs[0] round
     /* 2182242 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182245 */     // MIs[0] policy
     /* 2182245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182255 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11244:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMADD_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VFPR64_M8_E64_MASK),
     /* 2182258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182264 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182266 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182268 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182270 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2182278 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182281 */     // GIR_Coverage, 18469,
     /* 2182281 */     GIR_EraseRootFromParent_Done,
     /* 2182282 */   // Label 28741: @2182282
     /* 2182282 */   GIM_Try, /*On fail goto*//*Label 28742*/ GIMT_Encode4(2182373), // Rule ID 18472 //
     /* 2182287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182290 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182295 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2182298 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2182301 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2182304 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182307 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182310 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182313 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182321 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182329 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182333 */     // MIs[0] round
     /* 2182333 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182336 */     // MIs[0] policy
     /* 2182336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182346 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2182349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182353 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182355 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182357 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182359 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182361 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182369 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182372 */     // GIR_Coverage, 18472,
     /* 2182372 */     GIR_EraseRootFromParent_Done,
     /* 2182373 */   // Label 28742: @2182373
     /* 2182373 */   GIM_Try, /*On fail goto*//*Label 28743*/ GIMT_Encode4(2182464), // Rule ID 18473 //
     /* 2182378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182381 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182386 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2182389 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2182392 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2182395 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2182398 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182401 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182408 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182412 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182420 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182424 */     // MIs[0] round
     /* 2182424 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182427 */     // MIs[0] policy
     /* 2182427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182430 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182437 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16_MASK),
     /* 2182440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182446 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182448 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182450 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182460 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182463 */     // GIR_Coverage, 18473,
     /* 2182463 */     GIR_EraseRootFromParent_Done,
     /* 2182464 */   // Label 28743: @2182464
     /* 2182464 */   GIM_Try, /*On fail goto*//*Label 28744*/ GIMT_Encode4(2182555), // Rule ID 18476 //
     /* 2182469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182472 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182477 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2182480 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2182483 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2182486 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182489 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182492 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182495 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182499 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182503 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182507 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182511 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182515 */     // MIs[0] round
     /* 2182515 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182518 */     // MIs[0] policy
     /* 2182518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182528 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2182531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182537 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182539 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182541 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182551 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182554 */     // GIR_Coverage, 18476,
     /* 2182554 */     GIR_EraseRootFromParent_Done,
     /* 2182555 */   // Label 28744: @2182555
     /* 2182555 */   GIM_Try, /*On fail goto*//*Label 28745*/ GIMT_Encode4(2182646), // Rule ID 18477 //
     /* 2182560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182563 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182568 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2182571 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2182574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2182577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2182580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2182583 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182602 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182606 */     // MIs[0] round
     /* 2182606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182609 */     // MIs[0] policy
     /* 2182609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182612 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182619 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16_MASK),
     /* 2182622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182628 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182630 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182632 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182634 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182642 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182645 */     // GIR_Coverage, 18477,
     /* 2182645 */     GIR_EraseRootFromParent_Done,
     /* 2182646 */   // Label 28745: @2182646
     /* 2182646 */   GIM_Try, /*On fail goto*//*Label 28746*/ GIMT_Encode4(2182737), // Rule ID 18480 //
     /* 2182651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2182654 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182659 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182662 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182665 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2182668 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2182671 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182674 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182689 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182693 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182697 */     // MIs[0] round
     /* 2182697 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182700 */     // MIs[0] policy
     /* 2182700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182703 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182710 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2182713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182717 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182719 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182721 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182723 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182725 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182733 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182736 */     // GIR_Coverage, 18480,
     /* 2182736 */     GIR_EraseRootFromParent_Done,
     /* 2182737 */   // Label 28746: @2182737
     /* 2182737 */   GIM_Try, /*On fail goto*//*Label 28747*/ GIMT_Encode4(2182828), // Rule ID 18481 //
     /* 2182742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2182745 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182750 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2182753 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2182756 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2182759 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2182762 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2182765 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182768 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182772 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182776 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182780 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182784 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182788 */     // MIs[0] round
     /* 2182788 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182791 */     // MIs[0] policy
     /* 2182791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182801 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32_MASK),
     /* 2182804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182808 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182810 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182812 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182814 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182816 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2182824 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182826 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182827 */     // GIR_Coverage, 18481,
     /* 2182827 */     GIR_EraseRootFromParent_Done,
     /* 2182828 */   // Label 28747: @2182828
     /* 2182828 */   GIM_Try, /*On fail goto*//*Label 28748*/ GIMT_Encode4(2182919), // Rule ID 18484 //
     /* 2182833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2182836 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182841 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2182844 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2182847 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2182850 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182853 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182856 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2182859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182867 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182871 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182875 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182879 */     // MIs[0] round
     /* 2182879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182882 */     // MIs[0] policy
     /* 2182882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182885 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182892 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2182892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2182895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182899 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182901 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182903 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182905 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182907 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2182912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2182915 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2182917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2182918 */     // GIR_Coverage, 18484,
     /* 2182918 */     GIR_EraseRootFromParent_Done,
     /* 2182919 */   // Label 28748: @2182919
     /* 2182919 */   GIM_Try, /*On fail goto*//*Label 28749*/ GIMT_Encode4(2183010), // Rule ID 18485 //
     /* 2182924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2182927 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2182932 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2182935 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2182938 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2182941 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2182944 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2182947 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2182950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2182954 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182958 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182962 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2182966 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2182970 */     // MIs[0] round
     /* 2182970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2182973 */     // MIs[0] policy
     /* 2182973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2182976 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2182983 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2182983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16_MASK),
     /* 2182986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2182988 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2182990 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2182992 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2182994 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2182996 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2182998 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183006 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183009 */     // GIR_Coverage, 18485,
     /* 2183009 */     GIR_EraseRootFromParent_Done,
     /* 2183010 */   // Label 28749: @2183010
     /* 2183010 */   GIM_Try, /*On fail goto*//*Label 28750*/ GIMT_Encode4(2183101), // Rule ID 18488 //
     /* 2183015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2183018 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183023 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2183026 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2183029 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2183032 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183035 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183038 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183057 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183061 */     // MIs[0] round
     /* 2183061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183064 */     // MIs[0] policy
     /* 2183064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183067 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183074 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2183077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183081 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183083 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183085 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183087 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183089 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183097 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183100 */     // GIR_Coverage, 18488,
     /* 2183100 */     GIR_EraseRootFromParent_Done,
     /* 2183101 */   // Label 28750: @2183101
     /* 2183101 */   GIM_Try, /*On fail goto*//*Label 28751*/ GIMT_Encode4(2183192), // Rule ID 18489 //
     /* 2183106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2183109 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183114 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2183117 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2183120 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2183123 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2183126 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2183129 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183132 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183136 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183140 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183144 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183148 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183152 */     // MIs[0] round
     /* 2183152 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183155 */     // MIs[0] policy
     /* 2183155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183158 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183165 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32_MASK),
     /* 2183168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183174 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183176 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183178 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183180 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2183188 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183191 */     // GIR_Coverage, 18489,
     /* 2183191 */     GIR_EraseRootFromParent_Done,
     /* 2183192 */   // Label 28751: @2183192
     /* 2183192 */   GIM_Try, /*On fail goto*//*Label 28752*/ GIMT_Encode4(2183283), // Rule ID 18492 //
     /* 2183197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2183200 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183205 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183208 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2183214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2183217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183220 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183223 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183227 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183231 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183235 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183239 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183243 */     // MIs[0] round
     /* 2183243 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183246 */     // MIs[0] policy
     /* 2183246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183256 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2183259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183265 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183267 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183269 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183271 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183279 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183281 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183282 */     // GIR_Coverage, 18492,
     /* 2183282 */     GIR_EraseRootFromParent_Done,
     /* 2183283 */   // Label 28752: @2183283
     /* 2183283 */   GIM_Try, /*On fail goto*//*Label 28753*/ GIMT_Encode4(2183374), // Rule ID 18493 //
     /* 2183288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2183291 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183296 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2183299 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2183302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2183305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2183308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2183311 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2183318 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183322 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183326 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2183330 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183334 */     // MIs[0] round
     /* 2183334 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183337 */     // MIs[0] policy
     /* 2183337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183340 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183347 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64_MASK),
     /* 2183350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183356 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183358 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183360 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183362 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2183370 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183373 */     // GIR_Coverage, 18493,
     /* 2183373 */     GIR_EraseRootFromParent_Done,
     /* 2183374 */   // Label 28753: @2183374
     /* 2183374 */   GIM_Try, /*On fail goto*//*Label 28754*/ GIMT_Encode4(2183465), // Rule ID 18496 //
     /* 2183379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2183382 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183387 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2183390 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2183393 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2183396 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183399 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183402 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183409 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183413 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183417 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183421 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183425 */     // MIs[0] round
     /* 2183425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183428 */     // MIs[0] policy
     /* 2183428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183438 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2183441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183443 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183447 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183449 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183451 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183453 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183461 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183464 */     // GIR_Coverage, 18496,
     /* 2183464 */     GIR_EraseRootFromParent_Done,
     /* 2183465 */   // Label 28754: @2183465
     /* 2183465 */   GIM_Try, /*On fail goto*//*Label 28755*/ GIMT_Encode4(2183556), // Rule ID 18497 //
     /* 2183470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2183473 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183478 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2183481 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2183484 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2183487 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2183490 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2183493 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183496 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183500 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183504 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183512 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183516 */     // MIs[0] round
     /* 2183516 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183519 */     // MIs[0] policy
     /* 2183519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183529 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16_MASK),
     /* 2183532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183536 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183538 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183540 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183542 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183544 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183552 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183555 */     // GIR_Coverage, 18497,
     /* 2183555 */     GIR_EraseRootFromParent_Done,
     /* 2183556 */   // Label 28755: @2183556
     /* 2183556 */   GIM_Try, /*On fail goto*//*Label 28756*/ GIMT_Encode4(2183647), // Rule ID 18500 //
     /* 2183561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2183564 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183569 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2183572 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2183575 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2183578 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183581 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183584 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183603 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183607 */     // MIs[0] round
     /* 2183607 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183610 */     // MIs[0] policy
     /* 2183610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183613 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183620 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2183623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183627 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183629 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183631 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183633 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183643 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183646 */     // GIR_Coverage, 18500,
     /* 2183646 */     GIR_EraseRootFromParent_Done,
     /* 2183647 */   // Label 28756: @2183647
     /* 2183647 */   GIM_Try, /*On fail goto*//*Label 28757*/ GIMT_Encode4(2183738), // Rule ID 18501 //
     /* 2183652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2183655 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183660 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2183663 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2183666 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2183669 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2183672 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2183675 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2183682 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183686 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183690 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2183694 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183698 */     // MIs[0] round
     /* 2183698 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183701 */     // MIs[0] policy
     /* 2183701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183704 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183711 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16_MASK),
     /* 2183714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183718 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183720 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183722 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183724 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183726 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183734 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183736 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183737 */     // GIR_Coverage, 18501,
     /* 2183737 */     GIR_EraseRootFromParent_Done,
     /* 2183738 */   // Label 28757: @2183738
     /* 2183738 */   GIM_Try, /*On fail goto*//*Label 28758*/ GIMT_Encode4(2183829), // Rule ID 18504 //
     /* 2183743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2183746 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183751 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2183754 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2183757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2183760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2183763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2183766 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183769 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183785 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183789 */     // MIs[0] round
     /* 2183789 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183792 */     // MIs[0] policy
     /* 2183792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183802 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2183805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183811 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183813 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183815 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183825 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183828 */     // GIR_Coverage, 18504,
     /* 2183828 */     GIR_EraseRootFromParent_Done,
     /* 2183829 */   // Label 28758: @2183829
     /* 2183829 */   GIM_Try, /*On fail goto*//*Label 28759*/ GIMT_Encode4(2183920), // Rule ID 18505 //
     /* 2183834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2183837 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183842 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2183845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2183848 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2183851 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2183854 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2183857 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2183860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2183864 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183868 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183872 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2183876 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183880 */     // MIs[0] round
     /* 2183880 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183883 */     // MIs[0] policy
     /* 2183883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183886 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183893 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2183893 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16_MASK),
     /* 2183896 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183902 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183904 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183906 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183908 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2183913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2183916 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2183918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2183919 */     // GIR_Coverage, 18505,
     /* 2183919 */     GIR_EraseRootFromParent_Done,
     /* 2183920 */   // Label 28759: @2183920
     /* 2183920 */   GIM_Try, /*On fail goto*//*Label 28760*/ GIMT_Encode4(2184011), // Rule ID 18508 //
     /* 2183925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2183928 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2183933 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2183936 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2183939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2183942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2183945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2183948 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2183951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2183955 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183959 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183963 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2183967 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2183971 */     // MIs[0] round
     /* 2183971 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2183974 */     // MIs[0] policy
     /* 2183974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2183977 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2183984 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2183984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2183987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2183989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2183991 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2183993 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2183995 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2183997 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2183999 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184007 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184010 */     // GIR_Coverage, 18508,
     /* 2184010 */     GIR_EraseRootFromParent_Done,
     /* 2184011 */   // Label 28760: @2184011
     /* 2184011 */   GIM_Try, /*On fail goto*//*Label 28761*/ GIMT_Encode4(2184102), // Rule ID 18509 //
     /* 2184016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2184019 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184024 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2184027 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2184030 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2184033 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2184036 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184039 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184042 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184050 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184054 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184058 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184062 */     // MIs[0] round
     /* 2184062 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184065 */     // MIs[0] policy
     /* 2184065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184075 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32_MASK),
     /* 2184078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184082 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184084 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184086 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184088 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184090 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184098 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184101 */     // GIR_Coverage, 18509,
     /* 2184101 */     GIR_EraseRootFromParent_Done,
     /* 2184102 */   // Label 28761: @2184102
     /* 2184102 */   GIM_Try, /*On fail goto*//*Label 28762*/ GIMT_Encode4(2184193), // Rule ID 18512 //
     /* 2184107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2184110 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184115 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184118 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184121 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2184124 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184127 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184130 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184137 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184141 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184145 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184149 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184153 */     // MIs[0] round
     /* 2184153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184156 */     // MIs[0] policy
     /* 2184156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184159 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184166 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2184169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184173 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184175 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184177 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184179 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184189 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184192 */     // GIR_Coverage, 18512,
     /* 2184192 */     GIR_EraseRootFromParent_Done,
     /* 2184193 */   // Label 28762: @2184193
     /* 2184193 */   GIM_Try, /*On fail goto*//*Label 28763*/ GIMT_Encode4(2184284), // Rule ID 18513 //
     /* 2184198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2184201 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184206 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2184209 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2184212 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2184215 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2184218 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184221 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184232 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184236 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184240 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184244 */     // MIs[0] round
     /* 2184244 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184247 */     // MIs[0] policy
     /* 2184247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184257 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32_MASK),
     /* 2184260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184264 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184266 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184268 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184270 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184280 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184283 */     // GIR_Coverage, 18513,
     /* 2184283 */     GIR_EraseRootFromParent_Done,
     /* 2184284 */   // Label 28763: @2184284
     /* 2184284 */   GIM_Try, /*On fail goto*//*Label 28764*/ GIMT_Encode4(2184375), // Rule ID 18516 //
     /* 2184289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2184292 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184297 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184303 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2184306 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2184309 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184312 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184323 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184327 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184331 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184335 */     // MIs[0] round
     /* 2184335 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184338 */     // MIs[0] policy
     /* 2184338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184341 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184348 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2184351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184357 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184359 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184361 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184371 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184374 */     // GIR_Coverage, 18516,
     /* 2184374 */     GIR_EraseRootFromParent_Done,
     /* 2184375 */   // Label 28764: @2184375
     /* 2184375 */   GIM_Try, /*On fail goto*//*Label 28765*/ GIMT_Encode4(2184466), // Rule ID 18517 //
     /* 2184380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2184383 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184388 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2184391 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2184394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2184397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2184400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2184403 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184406 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184410 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184418 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184422 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184426 */     // MIs[0] round
     /* 2184426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184429 */     // MIs[0] policy
     /* 2184429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184432 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184439 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32_MASK),
     /* 2184442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184448 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184450 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184452 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184454 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2184462 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184464 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184465 */     // GIR_Coverage, 18517,
     /* 2184465 */     GIR_EraseRootFromParent_Done,
     /* 2184466 */   // Label 28765: @2184466
     /* 2184466 */   GIM_Try, /*On fail goto*//*Label 28766*/ GIMT_Encode4(2184557), // Rule ID 18520 //
     /* 2184471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2184474 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184479 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2184482 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2184485 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2184488 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2184491 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184494 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184497 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184501 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184505 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184509 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184513 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184517 */     // MIs[0] round
     /* 2184517 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184520 */     // MIs[0] policy
     /* 2184520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184530 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2184533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184537 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184539 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184541 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184543 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184545 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2184553 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184556 */     // GIR_Coverage, 18520,
     /* 2184556 */     GIR_EraseRootFromParent_Done,
     /* 2184557 */   // Label 28766: @2184557
     /* 2184557 */   GIM_Try, /*On fail goto*//*Label 28767*/ GIMT_Encode4(2184648), // Rule ID 18521 //
     /* 2184562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2184565 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184570 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2184573 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2184576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2184579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2184582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2184585 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2184592 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184596 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184600 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2184604 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184608 */     // MIs[0] round
     /* 2184608 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184611 */     // MIs[0] policy
     /* 2184611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184621 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64_MASK),
     /* 2184624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184628 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184630 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184632 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184634 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184636 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2184644 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184647 */     // GIR_Coverage, 18521,
     /* 2184647 */     GIR_EraseRootFromParent_Done,
     /* 2184648 */   // Label 28767: @2184648
     /* 2184648 */   GIM_Try, /*On fail goto*//*Label 28768*/ GIMT_Encode4(2184739), // Rule ID 18524 //
     /* 2184653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2184656 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184661 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2184664 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2184667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2184670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2184673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184676 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184691 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184695 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184699 */     // MIs[0] round
     /* 2184699 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184702 */     // MIs[0] policy
     /* 2184702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184705 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184712 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2184715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184721 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184723 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184725 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184727 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2184735 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184738 */     // GIR_Coverage, 18524,
     /* 2184738 */     GIR_EraseRootFromParent_Done,
     /* 2184739 */   // Label 28768: @2184739
     /* 2184739 */   GIM_Try, /*On fail goto*//*Label 28769*/ GIMT_Encode4(2184830), // Rule ID 18525 //
     /* 2184744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2184747 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184752 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2184755 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2184758 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2184761 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2184764 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2184767 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2184774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2184786 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184790 */     // MIs[0] round
     /* 2184790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184793 */     // MIs[0] policy
     /* 2184793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184796 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184803 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64_MASK),
     /* 2184806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184812 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184814 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184816 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2184826 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184829 */     // GIR_Coverage, 18525,
     /* 2184829 */     GIR_EraseRootFromParent_Done,
     /* 2184830 */   // Label 28769: @2184830
     /* 2184830 */   GIM_Try, /*On fail goto*//*Label 28770*/ GIMT_Encode4(2184921), // Rule ID 18528 //
     /* 2184835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2184838 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184843 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184846 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184849 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2184852 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2184855 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184858 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2184861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184865 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184869 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184873 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184877 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184881 */     // MIs[0] round
     /* 2184881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184884 */     // MIs[0] policy
     /* 2184884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184887 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184894 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2184894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2184897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184903 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184905 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184907 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2184909 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2184914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2184917 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2184919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2184920 */     // GIR_Coverage, 18528,
     /* 2184920 */     GIR_EraseRootFromParent_Done,
     /* 2184921 */   // Label 28770: @2184921
     /* 2184921 */   GIM_Try, /*On fail goto*//*Label 28771*/ GIMT_Encode4(2185012), // Rule ID 18529 //
     /* 2184926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2184929 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2184934 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2184937 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2184940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2184943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2184946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2184949 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2184952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2184956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184960 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184964 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2184968 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2184972 */     // MIs[0] round
     /* 2184972 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2184975 */     // MIs[0] policy
     /* 2184975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2184978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2184985 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2184985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64_MASK),
     /* 2184988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2184990 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2184992 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2184994 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2184996 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2184998 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185000 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2185008 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185011 */     // GIR_Coverage, 18529,
     /* 2185011 */     GIR_EraseRootFromParent_Done,
     /* 2185012 */   // Label 28771: @2185012
     /* 2185012 */   GIM_Try, /*On fail goto*//*Label 28772*/ GIMT_Encode4(2185103), // Rule ID 18532 //
     /* 2185017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2185020 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185025 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2185028 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2185031 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185034 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185037 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185040 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185043 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185047 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185051 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185059 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185063 */     // MIs[0] round
     /* 2185063 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185066 */     // MIs[0] policy
     /* 2185066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185069 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185076 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2185079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185081 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185083 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185085 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185087 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185089 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185091 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185099 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185102 */     // GIR_Coverage, 18532,
     /* 2185102 */     GIR_EraseRootFromParent_Done,
     /* 2185103 */   // Label 28772: @2185103
     /* 2185103 */   GIM_Try, /*On fail goto*//*Label 28773*/ GIMT_Encode4(2185194), // Rule ID 18533 //
     /* 2185108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2185111 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185116 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2185119 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2185122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2185128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185131 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185138 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185146 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185150 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185154 */     // MIs[0] round
     /* 2185154 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185157 */     // MIs[0] policy
     /* 2185157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185160 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185167 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF4_E16_MASK),
     /* 2185170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185176 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185178 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185180 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185190 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185193 */     // GIR_Coverage, 18533,
     /* 2185193 */     GIR_EraseRootFromParent_Done,
     /* 2185194 */   // Label 28773: @2185194
     /* 2185194 */   GIM_Try, /*On fail goto*//*Label 28774*/ GIMT_Encode4(2185285), // Rule ID 18536 //
     /* 2185199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2185202 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185207 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2185210 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2185213 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185216 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185219 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185222 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185225 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185229 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185233 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185237 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185241 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185245 */     // MIs[0] round
     /* 2185245 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185248 */     // MIs[0] policy
     /* 2185248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185258 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2185261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185265 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185267 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185269 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185271 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185273 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185278 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185281 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185284 */     // GIR_Coverage, 18536,
     /* 2185284 */     GIR_EraseRootFromParent_Done,
     /* 2185285 */   // Label 28774: @2185285
     /* 2185285 */   GIM_Try, /*On fail goto*//*Label 28775*/ GIMT_Encode4(2185376), // Rule ID 18537 //
     /* 2185290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2185293 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185298 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2185301 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2185304 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185307 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2185310 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185313 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185324 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185328 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185332 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185336 */     // MIs[0] round
     /* 2185336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185339 */     // MIs[0] policy
     /* 2185339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185349 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_MF2_E16_MASK),
     /* 2185352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185356 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185358 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185360 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185362 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185364 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185372 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185375 */     // GIR_Coverage, 18537,
     /* 2185375 */     GIR_EraseRootFromParent_Done,
     /* 2185376 */   // Label 28775: @2185376
     /* 2185376 */   GIM_Try, /*On fail goto*//*Label 28776*/ GIMT_Encode4(2185467), // Rule ID 18540 //
     /* 2185381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2185384 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185389 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185392 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185395 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185398 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185401 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185404 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185423 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185427 */     // MIs[0] round
     /* 2185427 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185430 */     // MIs[0] policy
     /* 2185430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185433 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185440 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2185443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185449 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185451 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185453 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185455 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185463 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185465 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185466 */     // GIR_Coverage, 18540,
     /* 2185466 */     GIR_EraseRootFromParent_Done,
     /* 2185467 */   // Label 28776: @2185467
     /* 2185467 */   GIM_Try, /*On fail goto*//*Label 28777*/ GIMT_Encode4(2185558), // Rule ID 18541 //
     /* 2185472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2185475 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185480 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2185483 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2185486 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185489 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2185492 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185495 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185502 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185506 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185510 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185514 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185518 */     // MIs[0] round
     /* 2185518 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185521 */     // MIs[0] policy
     /* 2185521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185524 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185531 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185531 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_MF2_E32_MASK),
     /* 2185534 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185538 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185540 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185542 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185544 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185546 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185554 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185557 */     // GIR_Coverage, 18541,
     /* 2185557 */     GIR_EraseRootFromParent_Done,
     /* 2185558 */   // Label 28777: @2185558
     /* 2185558 */   GIM_Try, /*On fail goto*//*Label 28778*/ GIMT_Encode4(2185649), // Rule ID 18544 //
     /* 2185563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2185566 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185571 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2185574 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2185577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185586 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185589 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185597 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185601 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185605 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185609 */     // MIs[0] round
     /* 2185609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185612 */     // MIs[0] policy
     /* 2185612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185615 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185622 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2185625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185631 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185633 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185635 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185637 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185645 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185648 */     // GIR_Coverage, 18544,
     /* 2185648 */     GIR_EraseRootFromParent_Done,
     /* 2185649 */   // Label 28778: @2185649
     /* 2185649 */   GIM_Try, /*On fail goto*//*Label 28779*/ GIMT_Encode4(2185740), // Rule ID 18545 //
     /* 2185654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2185657 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185662 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2185665 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2185668 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2185671 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2185674 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2185677 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185688 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2185692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185696 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185700 */     // MIs[0] round
     /* 2185700 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185703 */     // MIs[0] policy
     /* 2185703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185706 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185713 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11217:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M1_E16_MASK),
     /* 2185716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185718 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185720 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185722 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185724 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185726 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185728 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2185736 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185739 */     // GIR_Coverage, 18545,
     /* 2185739 */     GIR_EraseRootFromParent_Done,
     /* 2185740 */   // Label 28779: @2185740
     /* 2185740 */   GIM_Try, /*On fail goto*//*Label 28780*/ GIMT_Encode4(2185831), // Rule ID 18548 //
     /* 2185745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2185748 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185753 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185756 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185765 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185768 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185775 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185779 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185787 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185791 */     // MIs[0] round
     /* 2185791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185794 */     // MIs[0] policy
     /* 2185794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185804 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2185807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185813 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185815 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185817 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185819 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185827 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185830 */     // GIR_Coverage, 18548,
     /* 2185830 */     GIR_EraseRootFromParent_Done,
     /* 2185831 */   // Label 28780: @2185831
     /* 2185831 */   GIM_Try, /*On fail goto*//*Label 28781*/ GIMT_Encode4(2185922), // Rule ID 18549 //
     /* 2185836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2185839 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185844 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2185847 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2185850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2185853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2185856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2185859 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2185862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2185874 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185878 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185882 */     // MIs[0] round
     /* 2185882 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185885 */     // MIs[0] policy
     /* 2185885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185888 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185895 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11217:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2185895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M1_E32_MASK),
     /* 2185898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185902 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185904 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185906 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185908 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2185910 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2185915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2185918 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2185920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2185921 */     // GIR_Coverage, 18549,
     /* 2185921 */     GIR_EraseRootFromParent_Done,
     /* 2185922 */   // Label 28781: @2185922
     /* 2185922 */   GIM_Try, /*On fail goto*//*Label 28782*/ GIMT_Encode4(2186013), // Rule ID 18552 //
     /* 2185927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2185930 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2185935 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2185938 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2185941 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2185944 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2185947 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2185950 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2185953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2185957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2185965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2185969 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2185973 */     // MIs[0] round
     /* 2185973 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2185976 */     // MIs[0] policy
     /* 2185976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2185979 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2185986 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2185986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2185989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2185991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2185993 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2185995 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2185997 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2185999 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186001 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2186009 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186012 */     // GIR_Coverage, 18552,
     /* 2186012 */     GIR_EraseRootFromParent_Done,
     /* 2186013 */   // Label 28782: @2186013
     /* 2186013 */   GIM_Try, /*On fail goto*//*Label 28783*/ GIMT_Encode4(2186104), // Rule ID 18553 //
     /* 2186018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2186021 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186026 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2186029 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2186032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2186035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2186038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2186041 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2186048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2186056 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2186060 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186064 */     // MIs[0] round
     /* 2186064 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186067 */     // MIs[0] policy
     /* 2186067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186070 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186077 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11217:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M1_E64_MASK),
     /* 2186080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186086 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186088 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186090 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186092 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2186100 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186103 */     // GIR_Coverage, 18553,
     /* 2186103 */     GIR_EraseRootFromParent_Done,
     /* 2186104 */   // Label 28783: @2186104
     /* 2186104 */   GIM_Try, /*On fail goto*//*Label 28784*/ GIMT_Encode4(2186195), // Rule ID 18556 //
     /* 2186109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186112 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186117 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2186120 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2186123 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186126 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186129 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186132 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186147 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186151 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186155 */     // MIs[0] round
     /* 2186155 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186158 */     // MIs[0] policy
     /* 2186158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186168 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2186171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186175 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186177 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186179 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186181 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186183 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186191 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186194 */     // GIR_Coverage, 18556,
     /* 2186194 */     GIR_EraseRootFromParent_Done,
     /* 2186195 */   // Label 28784: @2186195
     /* 2186195 */   GIM_Try, /*On fail goto*//*Label 28785*/ GIMT_Encode4(2186286), // Rule ID 18557 //
     /* 2186200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186203 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186208 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2186211 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2186214 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186217 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2186220 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186223 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186238 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186242 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186246 */     // MIs[0] round
     /* 2186246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186249 */     // MIs[0] policy
     /* 2186249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186252 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186259 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186259 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M2_E16_MASK),
     /* 2186262 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186266 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186268 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186270 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186272 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186282 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186285 */     // GIR_Coverage, 18557,
     /* 2186285 */     GIR_EraseRootFromParent_Done,
     /* 2186286 */   // Label 28785: @2186286
     /* 2186286 */   GIM_Try, /*On fail goto*//*Label 28786*/ GIMT_Encode4(2186377), // Rule ID 18560 //
     /* 2186291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186294 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186299 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2186302 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2186305 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186308 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186311 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186314 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186317 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186321 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186325 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186329 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186333 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186337 */     // MIs[0] round
     /* 2186337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186340 */     // MIs[0] policy
     /* 2186340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186343 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186350 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2186353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186355 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186359 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186361 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186363 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186373 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186376 */     // GIR_Coverage, 18560,
     /* 2186376 */     GIR_EraseRootFromParent_Done,
     /* 2186377 */   // Label 28786: @2186377
     /* 2186377 */   GIM_Try, /*On fail goto*//*Label 28787*/ GIMT_Encode4(2186468), // Rule ID 18561 //
     /* 2186382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186385 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186390 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2186393 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2186396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2186402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2186405 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186416 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186420 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186424 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186428 */     // MIs[0] round
     /* 2186428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186431 */     // MIs[0] policy
     /* 2186431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186434 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186441 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M4_E16_MASK),
     /* 2186444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186448 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186450 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186452 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186454 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186456 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186464 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186467 */     // GIR_Coverage, 18561,
     /* 2186467 */     GIR_EraseRootFromParent_Done,
     /* 2186468 */   // Label 28787: @2186468
     /* 2186468 */   GIM_Try, /*On fail goto*//*Label 28788*/ GIMT_Encode4(2186559), // Rule ID 18564 //
     /* 2186473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2186476 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186481 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2186484 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2186487 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186490 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2186493 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2186496 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186499 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186511 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186515 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186519 */     // MIs[0] round
     /* 2186519 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186522 */     // MIs[0] policy
     /* 2186522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186525 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186532 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2186535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186541 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186543 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186545 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186547 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186555 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186558 */     // GIR_Coverage, 18564,
     /* 2186558 */     GIR_EraseRootFromParent_Done,
     /* 2186559 */   // Label 28788: @2186559
     /* 2186559 */   GIM_Try, /*On fail goto*//*Label 28789*/ GIMT_Encode4(2186650), // Rule ID 18565 //
     /* 2186564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2186567 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186572 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2186575 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2186578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2186581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2186584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2186587 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2186594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2186602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2186606 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186610 */     // MIs[0] round
     /* 2186610 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186613 */     // MIs[0] policy
     /* 2186613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186616 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186623 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR16_M8_E16_MASK),
     /* 2186626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186632 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186634 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186636 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186638 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2186646 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186649 */     // GIR_Coverage, 18565,
     /* 2186649 */     GIR_EraseRootFromParent_Done,
     /* 2186650 */   // Label 28789: @2186650
     /* 2186650 */   GIM_Try, /*On fail goto*//*Label 28790*/ GIMT_Encode4(2186741), // Rule ID 18568 //
     /* 2186655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2186658 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186663 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186666 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186669 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186672 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186675 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186678 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186681 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186689 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186693 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186697 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186701 */     // MIs[0] round
     /* 2186701 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186704 */     // MIs[0] policy
     /* 2186704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186707 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186714 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2186717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186719 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186723 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186725 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186727 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186729 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186737 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186740 */     // GIR_Coverage, 18568,
     /* 2186740 */     GIR_EraseRootFromParent_Done,
     /* 2186741 */   // Label 28790: @2186741
     /* 2186741 */   GIM_Try, /*On fail goto*//*Label 28791*/ GIMT_Encode4(2186832), // Rule ID 18569 //
     /* 2186746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2186749 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186754 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2186757 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2186760 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186763 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2186766 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2186769 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2186776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186784 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2186788 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186792 */     // MIs[0] round
     /* 2186792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186795 */     // MIs[0] policy
     /* 2186795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186805 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M2_E32_MASK),
     /* 2186808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186812 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186814 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186816 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186818 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186828 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186831 */     // GIR_Coverage, 18569,
     /* 2186831 */     GIR_EraseRootFromParent_Done,
     /* 2186832 */   // Label 28791: @2186832
     /* 2186832 */   GIM_Try, /*On fail goto*//*Label 28792*/ GIMT_Encode4(2186923), // Rule ID 18572 //
     /* 2186837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2186840 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186845 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186848 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186851 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186854 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2186857 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186860 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2186863 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186871 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186879 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186883 */     // MIs[0] round
     /* 2186883 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186886 */     // MIs[0] policy
     /* 2186886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186889 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186896 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2186896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2186899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186903 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186905 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186907 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2186909 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2186911 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2186916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2186919 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2186921 */     GIR_RootConstrainSelectedInstOperands,
     /* 2186922 */     // GIR_Coverage, 18572,
     /* 2186922 */     GIR_EraseRootFromParent_Done,
     /* 2186923 */   // Label 28792: @2186923
     /* 2186923 */   GIM_Try, /*On fail goto*//*Label 28793*/ GIMT_Encode4(2187014), // Rule ID 18573 //
     /* 2186928 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2186931 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2186936 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2186939 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2186942 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2186945 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2186948 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2186951 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2186954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2186958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2186966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2186970 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2186974 */     // MIs[0] round
     /* 2186974 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2186977 */     // MIs[0] policy
     /* 2186977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2186980 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2186987 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2186987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M4_E32_MASK),
     /* 2186990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2186992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2186994 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2186996 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2186998 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187000 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187010 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187013 */     // GIR_Coverage, 18573,
     /* 2187013 */     GIR_EraseRootFromParent_Done,
     /* 2187014 */   // Label 28793: @2187014
     /* 2187014 */   GIM_Try, /*On fail goto*//*Label 28794*/ GIMT_Encode4(2187105), // Rule ID 18576 //
     /* 2187019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2187022 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2187027 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187030 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187033 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187036 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2187039 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187042 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187061 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187065 */     // MIs[0] round
     /* 2187065 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187068 */     // MIs[0] policy
     /* 2187068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187071 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187078 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2187081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187087 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187089 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187091 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187093 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187101 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187104 */     // GIR_Coverage, 18576,
     /* 2187104 */     GIR_EraseRootFromParent_Done,
     /* 2187105 */   // Label 28794: @2187105
     /* 2187105 */   GIM_Try, /*On fail goto*//*Label 28795*/ GIMT_Encode4(2187196), // Rule ID 18577 //
     /* 2187110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2187113 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2187118 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2187121 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2187124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2187127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2187130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2187133 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187136 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187140 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187144 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2187148 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187152 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187156 */     // MIs[0] round
     /* 2187156 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187159 */     // MIs[0] policy
     /* 2187159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187169 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR32_M8_E32_MASK),
     /* 2187172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187178 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187180 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187182 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2187192 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187195 */     // GIR_Coverage, 18577,
     /* 2187195 */     GIR_EraseRootFromParent_Done,
     /* 2187196 */   // Label 28795: @2187196
     /* 2187196 */   GIM_Try, /*On fail goto*//*Label 28796*/ GIMT_Encode4(2187287), // Rule ID 18580 //
     /* 2187201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2187204 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2187209 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187212 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187215 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187218 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2187221 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187224 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187235 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187239 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187243 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187247 */     // MIs[0] round
     /* 2187247 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187250 */     // MIs[0] policy
     /* 2187250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187260 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2187263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187267 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187269 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187271 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187273 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187275 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187283 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187286 */     // GIR_Coverage, 18580,
     /* 2187286 */     GIR_EraseRootFromParent_Done,
     /* 2187287 */   // Label 28796: @2187287
     /* 2187287 */   GIM_Try, /*On fail goto*//*Label 28797*/ GIMT_Encode4(2187378), // Rule ID 18581 //
     /* 2187292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2187295 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2187300 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2187303 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2187306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2187312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187315 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2187322 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187326 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187330 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2187334 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187338 */     // MIs[0] round
     /* 2187338 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187341 */     // MIs[0] policy
     /* 2187341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187351 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11217:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M2_E64_MASK),
     /* 2187354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187360 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187362 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187364 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187366 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187374 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187377 */     // GIR_Coverage, 18581,
     /* 2187377 */     GIR_EraseRootFromParent_Done,
     /* 2187378 */   // Label 28797: @2187378
     /* 2187378 */   GIM_Try, /*On fail goto*//*Label 28798*/ GIMT_Encode4(2187469), // Rule ID 18584 //
     /* 2187383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2187386 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2187391 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187394 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187397 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187400 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2187403 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187406 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187425 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187429 */     // MIs[0] round
     /* 2187429 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187432 */     // MIs[0] policy
     /* 2187432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187435 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187442 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2187445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187451 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187453 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187455 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187465 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187468 */     // GIR_Coverage, 18584,
     /* 2187468 */     GIR_EraseRootFromParent_Done,
     /* 2187469 */   // Label 28798: @2187469
     /* 2187469 */   GIM_Try, /*On fail goto*//*Label 28799*/ GIMT_Encode4(2187560), // Rule ID 18585 //
     /* 2187474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2187477 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2187482 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2187485 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2187488 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187491 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2187494 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2187497 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2187504 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187508 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187512 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2187516 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187520 */     // MIs[0] round
     /* 2187520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187523 */     // MIs[0] policy
     /* 2187523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187526 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187533 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11217:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M4_E64_MASK),
     /* 2187536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187538 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187540 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187542 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187544 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187546 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187556 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187559 */     // GIR_Coverage, 18585,
     /* 2187559 */     GIR_EraseRootFromParent_Done,
     /* 2187560 */   // Label 28799: @2187560
     /* 2187560 */   GIM_Try, /*On fail goto*//*Label 28800*/ GIMT_Encode4(2187651), // Rule ID 18588 //
     /* 2187565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2187568 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2187573 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187576 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187579 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187582 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2187585 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187588 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187599 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187603 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187607 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187611 */     // MIs[0] round
     /* 2187611 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187614 */     // MIs[0] policy
     /* 2187614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187617 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187624 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2187627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187631 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187633 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187635 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187637 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187647 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187650 */     // GIR_Coverage, 18588,
     /* 2187650 */     GIR_EraseRootFromParent_Done,
     /* 2187651 */   // Label 28800: @2187651
     /* 2187651 */   GIM_Try, /*On fail goto*//*Label 28801*/ GIMT_Encode4(2187742), // Rule ID 18589 //
     /* 2187656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2187659 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfmsub_mask),
     /* 2187664 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2187667 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2187670 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2187673 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2187676 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2187679 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187682 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2187686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2187694 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2187698 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187702 */     // MIs[0] round
     /* 2187702 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187705 */     // MIs[0] policy
     /* 2187705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187708 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187715 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11217:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187715 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VFPR64_M8_E64_MASK),
     /* 2187718 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187720 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187724 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187726 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187728 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2187738 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187741 */     // GIR_Coverage, 18589,
     /* 2187741 */     GIR_EraseRootFromParent_Done,
     /* 2187742 */   // Label 28801: @2187742
     /* 2187742 */   GIM_Try, /*On fail goto*//*Label 28802*/ GIMT_Encode4(2187833), // Rule ID 18592 //
     /* 2187747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2187750 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187755 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2187758 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2187761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187770 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187773 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187781 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187785 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187789 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187793 */     // MIs[0] round
     /* 2187793 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187796 */     // MIs[0] policy
     /* 2187796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187806 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2187809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187815 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187817 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187819 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187821 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187829 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187832 */     // GIR_Coverage, 18592,
     /* 2187832 */     GIR_EraseRootFromParent_Done,
     /* 2187833 */   // Label 28802: @2187833
     /* 2187833 */   GIM_Try, /*On fail goto*//*Label 28803*/ GIMT_Encode4(2187924), // Rule ID 18593 //
     /* 2187838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2187841 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187846 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2187849 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2187852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2187855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2187858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2187861 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2187864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187876 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187880 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187884 */     // MIs[0] round
     /* 2187884 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187887 */     // MIs[0] policy
     /* 2187887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187890 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187897 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2187897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16_MASK),
     /* 2187900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187904 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187906 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187908 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2187910 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2187912 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2187917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2187920 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2187922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2187923 */     // GIR_Coverage, 18593,
     /* 2187923 */     GIR_EraseRootFromParent_Done,
     /* 2187924 */   // Label 28803: @2187924
     /* 2187924 */   GIM_Try, /*On fail goto*//*Label 28804*/ GIMT_Encode4(2188015), // Rule ID 18596 //
     /* 2187929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2187932 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2187937 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2187940 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2187943 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2187946 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2187949 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2187952 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2187955 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2187959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187963 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187967 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2187971 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2187975 */     // MIs[0] round
     /* 2187975 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2187978 */     // MIs[0] policy
     /* 2187978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2187981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2187988 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2187988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2187991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2187993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2187995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2187997 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2187999 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188001 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188003 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188011 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188014 */     // GIR_Coverage, 18596,
     /* 2188014 */     GIR_EraseRootFromParent_Done,
     /* 2188015 */   // Label 28804: @2188015
     /* 2188015 */   GIM_Try, /*On fail goto*//*Label 28805*/ GIMT_Encode4(2188106), // Rule ID 18597 //
     /* 2188020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2188023 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188028 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2188031 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2188034 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2188037 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2188040 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188043 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188050 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188054 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188058 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188062 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188066 */     // MIs[0] round
     /* 2188066 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188069 */     // MIs[0] policy
     /* 2188069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188072 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188079 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16_MASK),
     /* 2188082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188086 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188088 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188090 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188092 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188094 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188102 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188105 */     // GIR_Coverage, 18597,
     /* 2188105 */     GIR_EraseRootFromParent_Done,
     /* 2188106 */   // Label 28805: @2188106
     /* 2188106 */   GIM_Try, /*On fail goto*//*Label 28806*/ GIMT_Encode4(2188197), // Rule ID 18600 //
     /* 2188111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2188114 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188119 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188122 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188125 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188128 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188131 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188134 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188153 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188157 */     // MIs[0] round
     /* 2188157 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188160 */     // MIs[0] policy
     /* 2188160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188163 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188170 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2188173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188179 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188181 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188183 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188193 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188196 */     // GIR_Coverage, 18600,
     /* 2188196 */     GIR_EraseRootFromParent_Done,
     /* 2188197 */   // Label 28806: @2188197
     /* 2188197 */   GIM_Try, /*On fail goto*//*Label 28807*/ GIMT_Encode4(2188288), // Rule ID 18601 //
     /* 2188202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2188205 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188210 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2188213 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2188216 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2188219 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2188222 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188225 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188232 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188236 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188240 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188244 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188248 */     // MIs[0] round
     /* 2188248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188251 */     // MIs[0] policy
     /* 2188251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188254 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188261 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32_MASK),
     /* 2188264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188266 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188268 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188270 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188272 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188274 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188276 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188284 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188287 */     // GIR_Coverage, 18601,
     /* 2188287 */     GIR_EraseRootFromParent_Done,
     /* 2188288 */   // Label 28807: @2188288
     /* 2188288 */   GIM_Try, /*On fail goto*//*Label 28808*/ GIMT_Encode4(2188379), // Rule ID 18604 //
     /* 2188293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2188296 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188301 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2188304 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2188307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2188310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2188313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188316 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188327 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188331 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188335 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188339 */     // MIs[0] round
     /* 2188339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188342 */     // MIs[0] policy
     /* 2188342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188345 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188352 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2188355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188359 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188361 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188363 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188365 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188375 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188378 */     // GIR_Coverage, 18604,
     /* 2188378 */     GIR_EraseRootFromParent_Done,
     /* 2188379 */   // Label 28808: @2188379
     /* 2188379 */   GIM_Try, /*On fail goto*//*Label 28809*/ GIMT_Encode4(2188470), // Rule ID 18605 //
     /* 2188384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2188387 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188392 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2188395 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2188398 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2188401 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2188404 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2188407 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188414 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188418 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188426 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188430 */     // MIs[0] round
     /* 2188430 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188433 */     // MIs[0] policy
     /* 2188433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188436 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188443 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16_MASK),
     /* 2188446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188450 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188452 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188454 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188456 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188458 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188466 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188469 */     // GIR_Coverage, 18605,
     /* 2188469 */     GIR_EraseRootFromParent_Done,
     /* 2188470 */   // Label 28809: @2188470
     /* 2188470 */   GIM_Try, /*On fail goto*//*Label 28810*/ GIMT_Encode4(2188561), // Rule ID 18608 //
     /* 2188475 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2188478 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188483 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2188486 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2188489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188498 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188501 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188505 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188509 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188513 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188517 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188521 */     // MIs[0] round
     /* 2188521 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188524 */     // MIs[0] policy
     /* 2188524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188527 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188534 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2188537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188541 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188543 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188545 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188547 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188549 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188557 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188560 */     // GIR_Coverage, 18608,
     /* 2188560 */     GIR_EraseRootFromParent_Done,
     /* 2188561 */   // Label 28810: @2188561
     /* 2188561 */   GIM_Try, /*On fail goto*//*Label 28811*/ GIMT_Encode4(2188652), // Rule ID 18609 //
     /* 2188566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2188569 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188574 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2188577 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2188580 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2188583 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2188586 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2188589 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188592 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188604 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188608 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188612 */     // MIs[0] round
     /* 2188612 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188615 */     // MIs[0] policy
     /* 2188615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188625 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32_MASK),
     /* 2188628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188634 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188636 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188638 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2188648 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188651 */     // GIR_Coverage, 18609,
     /* 2188651 */     GIR_EraseRootFromParent_Done,
     /* 2188652 */   // Label 28811: @2188652
     /* 2188652 */   GIM_Try, /*On fail goto*//*Label 28812*/ GIMT_Encode4(2188743), // Rule ID 18612 //
     /* 2188657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2188660 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188665 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188668 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188671 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2188674 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2188677 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188680 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188695 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188699 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188703 */     // MIs[0] round
     /* 2188703 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188706 */     // MIs[0] policy
     /* 2188706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188716 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2188719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188723 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188725 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188727 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188729 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188731 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188739 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188742 */     // GIR_Coverage, 18612,
     /* 2188742 */     GIR_EraseRootFromParent_Done,
     /* 2188743 */   // Label 28812: @2188743
     /* 2188743 */   GIM_Try, /*On fail goto*//*Label 28813*/ GIMT_Encode4(2188834), // Rule ID 18613 //
     /* 2188748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2188751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2188759 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2188762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2188765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2188768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2188771 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2188778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2188790 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188794 */     // MIs[0] round
     /* 2188794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188797 */     // MIs[0] policy
     /* 2188797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188800 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188807 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64_MASK),
     /* 2188810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188816 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188818 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188820 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188822 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2188830 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188833 */     // GIR_Coverage, 18613,
     /* 2188833 */     GIR_EraseRootFromParent_Done,
     /* 2188834 */   // Label 28813: @2188834
     /* 2188834 */   GIM_Try, /*On fail goto*//*Label 28814*/ GIMT_Encode4(2188925), // Rule ID 18616 //
     /* 2188839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2188842 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188847 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2188850 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2188853 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2188856 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188859 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188862 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2188865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188881 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188885 */     // MIs[0] round
     /* 2188885 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188888 */     // MIs[0] policy
     /* 2188888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188891 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188898 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2188898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2188901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188903 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188907 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2188909 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2188911 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2188913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2188918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2188921 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2188923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2188924 */     // GIR_Coverage, 18616,
     /* 2188924 */     GIR_EraseRootFromParent_Done,
     /* 2188925 */   // Label 28814: @2188925
     /* 2188925 */   GIM_Try, /*On fail goto*//*Label 28815*/ GIMT_Encode4(2189016), // Rule ID 18617 //
     /* 2188930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2188933 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2188938 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2188941 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2188944 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2188947 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2188950 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2188953 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2188956 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2188960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188968 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2188972 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2188976 */     // MIs[0] round
     /* 2188976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2188979 */     // MIs[0] policy
     /* 2188979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2188982 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2188989 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2188989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16_MASK),
     /* 2188992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2188994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2188996 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2188998 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189000 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189002 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189004 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189012 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189015 */     // GIR_Coverage, 18617,
     /* 2189015 */     GIR_EraseRootFromParent_Done,
     /* 2189016 */   // Label 28815: @2189016
     /* 2189016 */   GIM_Try, /*On fail goto*//*Label 28816*/ GIMT_Encode4(2189107), // Rule ID 18620 //
     /* 2189021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189024 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189029 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2189032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2189035 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2189038 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189041 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189044 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189047 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189051 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189055 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189059 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189063 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189067 */     // MIs[0] round
     /* 2189067 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189070 */     // MIs[0] policy
     /* 2189070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189073 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189080 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2189083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189087 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189089 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189091 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189093 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189103 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189106 */     // GIR_Coverage, 18620,
     /* 2189106 */     GIR_EraseRootFromParent_Done,
     /* 2189107 */   // Label 28816: @2189107
     /* 2189107 */   GIM_Try, /*On fail goto*//*Label 28817*/ GIMT_Encode4(2189198), // Rule ID 18621 //
     /* 2189112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189115 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189120 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2189123 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2189126 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2189129 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2189132 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189135 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189142 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189146 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189150 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189154 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189158 */     // MIs[0] round
     /* 2189158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189161 */     // MIs[0] policy
     /* 2189161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189171 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16_MASK),
     /* 2189174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189180 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189182 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189184 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189186 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189194 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189197 */     // GIR_Coverage, 18621,
     /* 2189197 */     GIR_EraseRootFromParent_Done,
     /* 2189198 */   // Label 28817: @2189198
     /* 2189198 */   GIM_Try, /*On fail goto*//*Label 28818*/ GIMT_Encode4(2189289), // Rule ID 18624 //
     /* 2189203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2189206 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189211 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2189214 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2189217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2189220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2189223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2189226 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189237 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189241 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189245 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189249 */     // MIs[0] round
     /* 2189249 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189252 */     // MIs[0] policy
     /* 2189252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189255 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189262 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2189265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189269 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189271 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189273 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189275 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189277 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189285 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189287 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189288 */     // GIR_Coverage, 18624,
     /* 2189288 */     GIR_EraseRootFromParent_Done,
     /* 2189289 */   // Label 28818: @2189289
     /* 2189289 */   GIM_Try, /*On fail goto*//*Label 28819*/ GIMT_Encode4(2189380), // Rule ID 18625 //
     /* 2189294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2189297 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189302 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2189305 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2189308 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2189311 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2189314 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2189317 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189336 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189340 */     // MIs[0] round
     /* 2189340 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189343 */     // MIs[0] policy
     /* 2189343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189346 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189353 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16_MASK),
     /* 2189356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189360 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189362 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189364 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189366 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2189376 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189379 */     // GIR_Coverage, 18625,
     /* 2189379 */     GIR_EraseRootFromParent_Done,
     /* 2189380 */   // Label 28819: @2189380
     /* 2189380 */   GIM_Try, /*On fail goto*//*Label 28820*/ GIMT_Encode4(2189471), // Rule ID 18628 //
     /* 2189385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2189388 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189393 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189396 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2189402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2189405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189408 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189419 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189423 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189427 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189431 */     // MIs[0] round
     /* 2189431 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189434 */     // MIs[0] policy
     /* 2189434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189437 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189444 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2189447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189451 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189453 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189455 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189457 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189459 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189467 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189470 */     // GIR_Coverage, 18628,
     /* 2189470 */     GIR_EraseRootFromParent_Done,
     /* 2189471 */   // Label 28820: @2189471
     /* 2189471 */   GIM_Try, /*On fail goto*//*Label 28821*/ GIMT_Encode4(2189562), // Rule ID 18629 //
     /* 2189476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2189479 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189484 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2189487 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2189490 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2189493 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2189496 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2189499 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189510 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189514 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189518 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189522 */     // MIs[0] round
     /* 2189522 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189525 */     // MIs[0] policy
     /* 2189525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189535 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32_MASK),
     /* 2189538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189540 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189544 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189546 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189548 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189550 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189558 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189561 */     // GIR_Coverage, 18629,
     /* 2189561 */     GIR_EraseRootFromParent_Done,
     /* 2189562 */   // Label 28821: @2189562
     /* 2189562 */   GIM_Try, /*On fail goto*//*Label 28822*/ GIMT_Encode4(2189653), // Rule ID 18632 //
     /* 2189567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2189570 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189575 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189578 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189581 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2189584 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2189587 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189590 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189597 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189601 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189609 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189613 */     // MIs[0] round
     /* 2189613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189616 */     // MIs[0] policy
     /* 2189616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189619 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189626 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2189629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189633 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189635 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189637 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189639 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189649 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189652 */     // GIR_Coverage, 18632,
     /* 2189652 */     GIR_EraseRootFromParent_Done,
     /* 2189653 */   // Label 28822: @2189653
     /* 2189653 */   GIM_Try, /*On fail goto*//*Label 28823*/ GIMT_Encode4(2189744), // Rule ID 18633 //
     /* 2189658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2189661 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189666 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2189669 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2189672 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2189675 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2189678 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2189681 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189684 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2189688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189696 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2189700 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189704 */     // MIs[0] round
     /* 2189704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189707 */     // MIs[0] policy
     /* 2189707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189710 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189717 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32_MASK),
     /* 2189720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189724 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189726 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189728 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189730 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189732 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189740 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189743 */     // GIR_Coverage, 18633,
     /* 2189743 */     GIR_EraseRootFromParent_Done,
     /* 2189744 */   // Label 28823: @2189744
     /* 2189744 */   GIM_Try, /*On fail goto*//*Label 28824*/ GIMT_Encode4(2189835), // Rule ID 18636 //
     /* 2189749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2189752 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189757 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189760 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2189766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2189769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189772 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189791 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189795 */     // MIs[0] round
     /* 2189795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189798 */     // MIs[0] policy
     /* 2189798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189801 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189808 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2189811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189815 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189817 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189819 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189821 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189831 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189834 */     // GIR_Coverage, 18636,
     /* 2189834 */     GIR_EraseRootFromParent_Done,
     /* 2189835 */   // Label 28824: @2189835
     /* 2189835 */   GIM_Try, /*On fail goto*//*Label 28825*/ GIMT_Encode4(2189926), // Rule ID 18637 //
     /* 2189840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2189843 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189848 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2189851 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2189854 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2189857 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2189860 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2189863 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2189866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2189870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189874 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189878 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2189882 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189886 */     // MIs[0] round
     /* 2189886 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189889 */     // MIs[0] policy
     /* 2189889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189899 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2189899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32_MASK),
     /* 2189902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189904 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189908 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2189910 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2189912 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2189914 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2189919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2189922 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2189924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2189925 */     // GIR_Coverage, 18637,
     /* 2189925 */     GIR_EraseRootFromParent_Done,
     /* 2189926 */   // Label 28825: @2189926
     /* 2189926 */   GIM_Try, /*On fail goto*//*Label 28826*/ GIMT_Encode4(2190017), // Rule ID 18640 //
     /* 2189931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2189934 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2189939 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2189942 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2189945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2189948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2189951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2189954 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2189957 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2189961 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189965 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189969 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2189973 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2189977 */     // MIs[0] round
     /* 2189977 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2189980 */     // MIs[0] policy
     /* 2189980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2189983 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2189990 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2189990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2189993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2189995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2189997 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2189999 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190001 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190003 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190005 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190013 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190016 */     // GIR_Coverage, 18640,
     /* 2190016 */     GIR_EraseRootFromParent_Done,
     /* 2190017 */   // Label 28826: @2190017
     /* 2190017 */   GIM_Try, /*On fail goto*//*Label 28827*/ GIMT_Encode4(2190108), // Rule ID 18641 //
     /* 2190022 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2190025 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190030 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2190033 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2190036 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2190039 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2190042 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190045 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2190052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190056 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190060 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2190064 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190068 */     // MIs[0] round
     /* 2190068 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190071 */     // MIs[0] policy
     /* 2190071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190074 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190081 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190081 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64_MASK),
     /* 2190084 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190088 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190090 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190092 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190094 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190104 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190107 */     // GIR_Coverage, 18641,
     /* 2190107 */     GIR_EraseRootFromParent_Done,
     /* 2190108 */   // Label 28827: @2190108
     /* 2190108 */   GIM_Try, /*On fail goto*//*Label 28828*/ GIMT_Encode4(2190199), // Rule ID 18644 //
     /* 2190113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2190116 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190121 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190124 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190127 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2190130 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2190133 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190136 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190151 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190155 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190159 */     // MIs[0] round
     /* 2190159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190162 */     // MIs[0] policy
     /* 2190162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190165 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190172 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2190175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190177 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190179 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190181 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190183 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190185 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190195 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190198 */     // GIR_Coverage, 18644,
     /* 2190198 */     GIR_EraseRootFromParent_Done,
     /* 2190199 */   // Label 28828: @2190199
     /* 2190199 */   GIM_Try, /*On fail goto*//*Label 28829*/ GIMT_Encode4(2190290), // Rule ID 18645 //
     /* 2190204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2190207 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190212 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2190215 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2190218 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2190221 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2190224 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2190227 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190230 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2190234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190238 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2190246 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190250 */     // MIs[0] round
     /* 2190250 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190253 */     // MIs[0] policy
     /* 2190253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190256 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190263 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64_MASK),
     /* 2190266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190272 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190274 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190276 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190278 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190286 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190289 */     // GIR_Coverage, 18645,
     /* 2190289 */     GIR_EraseRootFromParent_Done,
     /* 2190290 */   // Label 28829: @2190290
     /* 2190290 */   GIM_Try, /*On fail goto*//*Label 28830*/ GIMT_Encode4(2190381), // Rule ID 18648 //
     /* 2190295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2190298 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190303 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190306 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190309 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2190312 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2190315 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190318 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190325 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190329 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190337 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190341 */     // MIs[0] round
     /* 2190341 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190344 */     // MIs[0] policy
     /* 2190344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190347 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190354 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190354 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2190357 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190363 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190365 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190367 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190377 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190380 */     // GIR_Coverage, 18648,
     /* 2190380 */     GIR_EraseRootFromParent_Done,
     /* 2190381 */   // Label 28830: @2190381
     /* 2190381 */   GIM_Try, /*On fail goto*//*Label 28831*/ GIMT_Encode4(2190472), // Rule ID 18649 //
     /* 2190386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2190389 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190394 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2190397 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2190400 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2190403 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2190406 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2190409 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190412 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2190416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2190428 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190432 */     // MIs[0] round
     /* 2190432 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190435 */     // MIs[0] policy
     /* 2190435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190438 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190445 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VV_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64_MASK),
     /* 2190448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190452 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190454 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190456 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190458 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190460 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2190468 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190471 */     // GIR_Coverage, 18649,
     /* 2190471 */     GIR_EraseRootFromParent_Done,
     /* 2190472 */   // Label 28831: @2190472
     /* 2190472 */   GIM_Try, /*On fail goto*//*Label 28832*/ GIMT_Encode4(2190563), // Rule ID 18652 //
     /* 2190477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2190480 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190485 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2190488 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2190491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2190497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190500 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190503 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190511 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190515 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190519 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190523 */     // MIs[0] round
     /* 2190523 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190526 */     // MIs[0] policy
     /* 2190526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190529 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190536 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2190539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190543 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190545 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190547 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190549 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190559 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190562 */     // GIR_Coverage, 18652,
     /* 2190562 */     GIR_EraseRootFromParent_Done,
     /* 2190563 */   // Label 28832: @2190563
     /* 2190563 */   GIM_Try, /*On fail goto*//*Label 28833*/ GIMT_Encode4(2190654), // Rule ID 18653 //
     /* 2190568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2190571 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190576 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2190579 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2190582 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190585 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2190588 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190591 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190598 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190602 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190606 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190610 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190614 */     // MIs[0] round
     /* 2190614 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190617 */     // MIs[0] policy
     /* 2190617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190627 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF4_E16_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF4_E16_MASK),
     /* 2190630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190636 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190638 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190640 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190642 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190650 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190653 */     // GIR_Coverage, 18653,
     /* 2190653 */     GIR_EraseRootFromParent_Done,
     /* 2190654 */   // Label 28833: @2190654
     /* 2190654 */   GIM_Try, /*On fail goto*//*Label 28834*/ GIMT_Encode4(2190745), // Rule ID 18656 //
     /* 2190659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2190662 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190667 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2190670 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2190673 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190676 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2190679 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190682 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190697 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190701 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190705 */     // MIs[0] round
     /* 2190705 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190708 */     // MIs[0] policy
     /* 2190708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190711 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190718 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2190721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190727 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190729 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190731 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190733 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190741 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190744 */     // GIR_Coverage, 18656,
     /* 2190744 */     GIR_EraseRootFromParent_Done,
     /* 2190745 */   // Label 28834: @2190745
     /* 2190745 */   GIM_Try, /*On fail goto*//*Label 28835*/ GIMT_Encode4(2190836), // Rule ID 18657 //
     /* 2190750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2190753 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190758 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2190761 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2190764 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2190767 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2190770 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2190773 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190776 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2190788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190792 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190796 */     // MIs[0] round
     /* 2190796 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190799 */     // MIs[0] policy
     /* 2190799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190802 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190809 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_MF2_E16_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_MF2_E16_MASK),
     /* 2190812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190816 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190818 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190820 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190822 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2190832 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190835 */     // GIR_Coverage, 18657,
     /* 2190835 */     GIR_EraseRootFromParent_Done,
     /* 2190836 */   // Label 28835: @2190836
     /* 2190836 */   GIM_Try, /*On fail goto*//*Label 28836*/ GIMT_Encode4(2190927), // Rule ID 18660 //
     /* 2190841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2190844 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190849 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2190852 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2190855 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190858 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2190861 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190864 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2190867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190871 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190875 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190879 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190883 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190887 */     // MIs[0] round
     /* 2190887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190890 */     // MIs[0] policy
     /* 2190890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190893 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190900 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2190900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2190903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2190909 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2190911 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2190913 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2190915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2190920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2190923 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2190925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2190926 */     // GIR_Coverage, 18660,
     /* 2190926 */     GIR_EraseRootFromParent_Done,
     /* 2190927 */   // Label 28836: @2190927
     /* 2190927 */   GIM_Try, /*On fail goto*//*Label 28837*/ GIMT_Encode4(2191018), // Rule ID 18661 //
     /* 2190932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2190935 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2190940 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2190943 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2190946 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2190949 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2190952 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2190955 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2190958 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2190962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190966 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2190970 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2190974 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2190978 */     // MIs[0] round
     /* 2190978 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2190981 */     // MIs[0] policy
     /* 2190981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2190984 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2190991 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_MF2_E32_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2190991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_MF2_E32_MASK),
     /* 2190994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2190996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2190998 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191000 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191002 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191004 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191014 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191017 */     // GIR_Coverage, 18661,
     /* 2191017 */     GIR_EraseRootFromParent_Done,
     /* 2191018 */   // Label 28837: @2191018
     /* 2191018 */   GIM_Try, /*On fail goto*//*Label 28838*/ GIMT_Encode4(2191109), // Rule ID 18664 //
     /* 2191023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191026 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191031 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2191034 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2191037 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191040 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2191043 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191046 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191061 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191065 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191069 */     // MIs[0] round
     /* 2191069 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191072 */     // MIs[0] policy
     /* 2191072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191075 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191082 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2191085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191089 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191091 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191093 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191095 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191105 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191108 */     // GIR_Coverage, 18664,
     /* 2191108 */     GIR_EraseRootFromParent_Done,
     /* 2191109 */   // Label 28838: @2191109
     /* 2191109 */   GIM_Try, /*On fail goto*//*Label 28839*/ GIMT_Encode4(2191200), // Rule ID 18665 //
     /* 2191114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191117 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191122 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2191125 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2191128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2191134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2191137 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191140 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191152 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191156 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191160 */     // MIs[0] round
     /* 2191160 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191163 */     // MIs[0] policy
     /* 2191163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191173 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11248:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M1_E16_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M1_E16_MASK),
     /* 2191176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191182 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191184 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191186 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191188 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191196 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191199 */     // GIR_Coverage, 18665,
     /* 2191199 */     GIR_EraseRootFromParent_Done,
     /* 2191200 */   // Label 28839: @2191200
     /* 2191200 */   GIM_Try, /*On fail goto*//*Label 28840*/ GIMT_Encode4(2191291), // Rule ID 18668 //
     /* 2191205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2191208 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191213 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2191216 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2191219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2191225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191228 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191231 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191239 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191243 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191247 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191251 */     // MIs[0] round
     /* 2191251 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191254 */     // MIs[0] policy
     /* 2191254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191257 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191264 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2191267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191273 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191275 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191277 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191279 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191287 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191290 */     // GIR_Coverage, 18668,
     /* 2191290 */     GIR_EraseRootFromParent_Done,
     /* 2191291 */   // Label 28840: @2191291
     /* 2191291 */   GIM_Try, /*On fail goto*//*Label 28841*/ GIMT_Encode4(2191382), // Rule ID 18669 //
     /* 2191296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2191299 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191304 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2191307 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2191310 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2191313 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2191316 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2191319 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2191334 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191338 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191342 */     // MIs[0] round
     /* 2191342 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191345 */     // MIs[0] policy
     /* 2191345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191355 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11248:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M1_E32_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M1_E32_MASK),
     /* 2191358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191362 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191364 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191366 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191368 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2191378 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191381 */     // GIR_Coverage, 18669,
     /* 2191381 */     GIR_EraseRootFromParent_Done,
     /* 2191382 */   // Label 28841: @2191382
     /* 2191382 */   GIM_Try, /*On fail goto*//*Label 28842*/ GIMT_Encode4(2191473), // Rule ID 18672 //
     /* 2191387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2191390 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191395 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2191398 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2191401 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2191404 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2191407 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191410 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191413 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191421 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2191425 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191429 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191433 */     // MIs[0] round
     /* 2191433 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191436 */     // MIs[0] policy
     /* 2191436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191439 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191446 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2191449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191453 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191455 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191457 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191459 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191461 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191469 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191472 */     // GIR_Coverage, 18672,
     /* 2191472 */     GIR_EraseRootFromParent_Done,
     /* 2191473 */   // Label 28842: @2191473
     /* 2191473 */   GIM_Try, /*On fail goto*//*Label 28843*/ GIMT_Encode4(2191564), // Rule ID 18673 //
     /* 2191478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2191481 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191486 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2191489 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2191492 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2191495 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s64,
     /* 2191498 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2191501 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2191508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2191516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2191520 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191524 */     // MIs[0] round
     /* 2191524 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191527 */     // MIs[0] policy
     /* 2191527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191530 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191537 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11248:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M1_E64_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M1_E64_MASK),
     /* 2191540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191546 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191548 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191550 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2191560 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191563 */     // GIR_Coverage, 18673,
     /* 2191563 */     GIR_EraseRootFromParent_Done,
     /* 2191564 */   // Label 28843: @2191564
     /* 2191564 */   GIM_Try, /*On fail goto*//*Label 28844*/ GIMT_Encode4(2191655), // Rule ID 18676 //
     /* 2191569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191572 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191577 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2191580 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2191583 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191586 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2191589 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191592 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191595 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191603 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191607 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191611 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191615 */     // MIs[0] round
     /* 2191615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191618 */     // MIs[0] policy
     /* 2191618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191621 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191628 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2191631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191635 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191637 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191639 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191641 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191643 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191651 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191654 */     // GIR_Coverage, 18676,
     /* 2191654 */     GIR_EraseRootFromParent_Done,
     /* 2191655 */   // Label 28844: @2191655
     /* 2191655 */   GIM_Try, /*On fail goto*//*Label 28845*/ GIMT_Encode4(2191746), // Rule ID 18677 //
     /* 2191660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191663 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191668 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2191671 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2191674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2191680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2191683 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2191690 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191694 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191698 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2191702 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191706 */     // MIs[0] round
     /* 2191706 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191709 */     // MIs[0] policy
     /* 2191709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191712 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191719 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M2_E16_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M2_E16_MASK),
     /* 2191722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191728 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191730 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191732 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191734 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191742 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191745 */     // GIR_Coverage, 18677,
     /* 2191745 */     GIR_EraseRootFromParent_Done,
     /* 2191746 */   // Label 28845: @2191746
     /* 2191746 */   GIM_Try, /*On fail goto*//*Label 28846*/ GIMT_Encode4(2191837), // Rule ID 18680 //
     /* 2191751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191754 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191759 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2191762 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2191765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2191771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191774 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191777 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191785 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191789 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191793 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191797 */     // MIs[0] round
     /* 2191797 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191800 */     // MIs[0] policy
     /* 2191800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191803 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191810 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2191813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191815 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191817 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191819 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191821 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191823 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191833 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191836 */     // GIR_Coverage, 18680,
     /* 2191836 */     GIR_EraseRootFromParent_Done,
     /* 2191837 */   // Label 28846: @2191837
     /* 2191837 */   GIM_Try, /*On fail goto*//*Label 28847*/ GIMT_Encode4(2191928), // Rule ID 18681 //
     /* 2191842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2191845 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191850 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2191853 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2191856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2191862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2191865 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2191868 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2191872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191876 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191880 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2191884 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191888 */     // MIs[0] round
     /* 2191888 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191891 */     // MIs[0] policy
     /* 2191891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191894 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191901 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M4_E16_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2191901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M4_E16_MASK),
     /* 2191904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191908 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2191910 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2191912 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2191914 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2191916 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2191921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2191924 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2191926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2191927 */     // GIR_Coverage, 18681,
     /* 2191927 */     GIR_EraseRootFromParent_Done,
     /* 2191928 */   // Label 28847: @2191928
     /* 2191928 */   GIM_Try, /*On fail goto*//*Label 28848*/ GIMT_Encode4(2192019), // Rule ID 18684 //
     /* 2191933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2191936 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2191941 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2191944 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2191947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2191950 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2191953 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2191956 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2191959 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2191963 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191967 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2191971 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2191975 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2191979 */     // MIs[0] round
     /* 2191979 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2191982 */     // MIs[0] policy
     /* 2191982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2191985 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2191992 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2191992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2191995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2191997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2191999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192001 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192003 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192005 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192015 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192018 */     // GIR_Coverage, 18684,
     /* 2192018 */     GIR_EraseRootFromParent_Done,
     /* 2192019 */   // Label 28848: @2192019
     /* 2192019 */   GIM_Try, /*On fail goto*//*Label 28849*/ GIMT_Encode4(2192110), // Rule ID 18685 //
     /* 2192024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2192027 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192032 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2192035 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2192038 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2192041 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s16,
     /* 2192044 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2192047 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192054 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192058 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2192062 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192066 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192070 */     // MIs[0] round
     /* 2192070 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192073 */     // MIs[0] policy
     /* 2192073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192083 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR16_M8_E16_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR16_M8_E16_MASK),
     /* 2192086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192090 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192092 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192094 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192096 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2192106 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192109 */     // GIR_Coverage, 18685,
     /* 2192109 */     GIR_EraseRootFromParent_Done,
     /* 2192110 */   // Label 28849: @2192110
     /* 2192110 */   GIM_Try, /*On fail goto*//*Label 28850*/ GIMT_Encode4(2192201), // Rule ID 18688 //
     /* 2192115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192118 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192123 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2192126 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2192129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2192135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192138 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192149 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192153 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192157 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192161 */     // MIs[0] round
     /* 2192161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192164 */     // MIs[0] policy
     /* 2192164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192167 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192174 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2192177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192181 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192183 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192185 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192187 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192189 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192197 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192200 */     // GIR_Coverage, 18688,
     /* 2192200 */     GIR_EraseRootFromParent_Done,
     /* 2192201 */   // Label 28850: @2192201
     /* 2192201 */   GIM_Try, /*On fail goto*//*Label 28851*/ GIMT_Encode4(2192292), // Rule ID 18689 //
     /* 2192206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192209 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192214 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2192217 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2192220 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192223 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2192226 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192229 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192240 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192248 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192252 */     // MIs[0] round
     /* 2192252 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192255 */     // MIs[0] policy
     /* 2192255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192258 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192265 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M2_E32_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M2_E32_MASK),
     /* 2192268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192270 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192272 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192274 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192276 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192278 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192288 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192291 */     // GIR_Coverage, 18689,
     /* 2192291 */     GIR_EraseRootFromParent_Done,
     /* 2192292 */   // Label 28851: @2192292
     /* 2192292 */   GIM_Try, /*On fail goto*//*Label 28852*/ GIMT_Encode4(2192383), // Rule ID 18692 //
     /* 2192297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192300 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192305 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2192308 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2192311 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192314 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2192317 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192320 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192331 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192339 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192343 */     // MIs[0] round
     /* 2192343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192346 */     // MIs[0] policy
     /* 2192346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192349 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192356 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2192359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192363 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192365 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192367 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192369 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192371 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192379 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192382 */     // GIR_Coverage, 18692,
     /* 2192382 */     GIR_EraseRootFromParent_Done,
     /* 2192383 */   // Label 28852: @2192383
     /* 2192383 */   GIM_Try, /*On fail goto*//*Label 28853*/ GIMT_Encode4(2192474), // Rule ID 18693 //
     /* 2192388 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192391 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192396 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2192399 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2192402 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192405 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2192408 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2192411 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192426 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192430 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192434 */     // MIs[0] round
     /* 2192434 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192437 */     // MIs[0] policy
     /* 2192437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192440 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192447 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M4_E32_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M4_E32_MASK),
     /* 2192450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192454 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192456 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192458 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192460 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192462 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192470 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192473 */     // GIR_Coverage, 18693,
     /* 2192473 */     GIR_EraseRootFromParent_Done,
     /* 2192474 */   // Label 28853: @2192474
     /* 2192474 */   GIM_Try, /*On fail goto*//*Label 28854*/ GIMT_Encode4(2192565), // Rule ID 18696 //
     /* 2192479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2192482 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192487 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2192490 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2192493 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192496 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2192499 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192502 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192513 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192517 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192521 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192525 */     // MIs[0] round
     /* 2192525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192528 */     // MIs[0] policy
     /* 2192528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192538 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2192541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192545 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192547 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192549 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192551 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192561 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192564 */     // GIR_Coverage, 18696,
     /* 2192564 */     GIR_EraseRootFromParent_Done,
     /* 2192565 */   // Label 28854: @2192565
     /* 2192565 */   GIM_Try, /*On fail goto*//*Label 28855*/ GIMT_Encode4(2192656), // Rule ID 18697 //
     /* 2192570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2192573 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192578 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2192581 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2192584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2192587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s32,
     /* 2192590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2192593 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192596 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2192600 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192604 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2192608 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2192612 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192616 */     // MIs[0] round
     /* 2192616 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192619 */     // MIs[0] policy
     /* 2192619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192622 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192629 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR32_M8_E32_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR32_M8_E32_MASK),
     /* 2192632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192638 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192640 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192642 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192644 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2192652 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192655 */     // GIR_Coverage, 18697,
     /* 2192655 */     GIR_EraseRootFromParent_Done,
     /* 2192656 */   // Label 28855: @2192656
     /* 2192656 */   GIM_Try, /*On fail goto*//*Label 28856*/ GIMT_Encode4(2192747), // Rule ID 18700 //
     /* 2192661 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2192664 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192669 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2192672 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2192675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192678 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2192681 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192684 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192695 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2192699 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192703 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192707 */     // MIs[0] round
     /* 2192707 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192710 */     // MIs[0] policy
     /* 2192710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192713 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192720 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2192723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192725 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192729 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192731 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192733 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192735 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192743 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192746 */     // GIR_Coverage, 18700,
     /* 2192746 */     GIR_EraseRootFromParent_Done,
     /* 2192747 */   // Label 28856: @2192747
     /* 2192747 */   GIM_Try, /*On fail goto*//*Label 28857*/ GIMT_Encode4(2192838), // Rule ID 18701 //
     /* 2192752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2192755 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192760 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2192763 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2192766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s64,
     /* 2192772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2192775 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2192782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2192790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2192794 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192798 */     // MIs[0] round
     /* 2192798 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192801 */     // MIs[0] policy
     /* 2192801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192804 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192811 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11248:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M2_E64_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M2_E64_MASK),
     /* 2192814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192820 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192822 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192824 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192826 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192834 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192837 */     // GIR_Coverage, 18701,
     /* 2192837 */     GIR_EraseRootFromParent_Done,
     /* 2192838 */   // Label 28857: @2192838
     /* 2192838 */   GIM_Try, /*On fail goto*//*Label 28858*/ GIMT_Encode4(2192929), // Rule ID 18704 //
     /* 2192843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2192846 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192851 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2192854 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2192857 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192860 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2192863 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192866 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2192869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2192881 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192885 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192889 */     // MIs[0] round
     /* 2192889 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192892 */     // MIs[0] policy
     /* 2192892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192902 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2192902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2192905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2192909 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2192911 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2192913 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2192915 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2192917 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2192922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2192925 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2192927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2192928 */     // GIR_Coverage, 18704,
     /* 2192928 */     GIR_EraseRootFromParent_Done,
     /* 2192929 */   // Label 28858: @2192929
     /* 2192929 */   GIM_Try, /*On fail goto*//*Label 28859*/ GIMT_Encode4(2193020), // Rule ID 18705 //
     /* 2192934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2192937 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2192942 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2192945 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2192948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2192951 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s64,
     /* 2192954 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2192957 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2192960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2192964 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192968 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2192972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2192976 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2192980 */     // MIs[0] round
     /* 2192980 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2192983 */     // MIs[0] policy
     /* 2192983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2192986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2192993 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11248:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M4_E64_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2192993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M4_E64_MASK),
     /* 2192996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2192998 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193002 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193004 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193006 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193016 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193019 */     // GIR_Coverage, 18705,
     /* 2193019 */     GIR_EraseRootFromParent_Done,
     /* 2193020 */   // Label 28859: @2193020
     /* 2193020 */   GIM_Try, /*On fail goto*//*Label 28860*/ GIMT_Encode4(2193111), // Rule ID 18708 //
     /* 2193025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2193028 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2193033 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2193036 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2193039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2193045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193048 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193051 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193055 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193059 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2193063 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193067 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193071 */     // MIs[0] round
     /* 2193071 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193074 */     // MIs[0] policy
     /* 2193074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193077 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193084 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2193087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193093 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193095 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193097 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193099 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193107 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193110 */     // GIR_Coverage, 18708,
     /* 2193110 */     GIR_EraseRootFromParent_Done,
     /* 2193111 */   // Label 28860: @2193111
     /* 2193111 */   GIM_Try, /*On fail goto*//*Label 28861*/ GIMT_Encode4(2193202), // Rule ID 18709 //
     /* 2193116 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2193119 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfnmsub_mask),
     /* 2193124 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2193127 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2193130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2193133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s64,
     /* 2193136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193139 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193142 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2193154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193158 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193162 */     // MIs[0] round
     /* 2193162 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193165 */     // MIs[0] policy
     /* 2193165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193168 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193175 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11248:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNMSUB_VFPR64_M8_E64_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR64:{ *:[f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VFPR64_M8_E64_MASK),
     /* 2193178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193182 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193184 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193186 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193188 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193190 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2193198 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193201 */     // GIR_Coverage, 18709,
     /* 2193201 */     GIR_EraseRootFromParent_Done,
     /* 2193202 */   // Label 28861: @2193202
     /* 2193202 */   GIM_Try, /*On fail goto*//*Label 28862*/ GIMT_Encode4(2193293), // Rule ID 18712 //
     /* 2193207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193210 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193215 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2193218 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2193221 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2193224 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2193227 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193230 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193237 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193241 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193245 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193249 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193253 */     // MIs[0] round
     /* 2193253 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193256 */     // MIs[0] policy
     /* 2193256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193266 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2193269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193273 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193275 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193277 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193279 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193281 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193289 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193292 */     // GIR_Coverage, 18712,
     /* 2193292 */     GIR_EraseRootFromParent_Done,
     /* 2193293 */   // Label 28862: @2193293
     /* 2193293 */   GIM_Try, /*On fail goto*//*Label 28863*/ GIMT_Encode4(2193384), // Rule ID 18713 //
     /* 2193298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193301 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193306 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2193309 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2193312 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2193315 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2193318 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2193321 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193328 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193332 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193336 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193340 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193344 */     // MIs[0] round
     /* 2193344 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193347 */     // MIs[0] policy
     /* 2193347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193357 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF4_E16_MASK),
     /* 2193360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193364 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193366 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193368 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193370 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193372 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193380 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193383 */     // GIR_Coverage, 18713,
     /* 2193383 */     GIR_EraseRootFromParent_Done,
     /* 2193384 */   // Label 28863: @2193384
     /* 2193384 */   GIM_Try, /*On fail goto*//*Label 28864*/ GIMT_Encode4(2193475), // Rule ID 18716 //
     /* 2193389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193392 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193397 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2193400 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2193403 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2193406 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2193409 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193412 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193419 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193423 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193427 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193431 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193435 */     // MIs[0] round
     /* 2193435 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193438 */     // MIs[0] policy
     /* 2193438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193441 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193448 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2193451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193457 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193459 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193461 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193463 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193471 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193474 */     // GIR_Coverage, 18716,
     /* 2193474 */     GIR_EraseRootFromParent_Done,
     /* 2193475 */   // Label 28864: @2193475
     /* 2193475 */   GIM_Try, /*On fail goto*//*Label 28865*/ GIMT_Encode4(2193566), // Rule ID 18717 //
     /* 2193480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193483 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193488 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2193491 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2193494 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2193497 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2193500 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2193503 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2193510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193518 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193522 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193526 */     // MIs[0] round
     /* 2193526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193529 */     // MIs[0] policy
     /* 2193529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193532 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193539 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E16_MASK),
     /* 2193542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193546 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193548 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193550 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193552 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193562 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193565 */     // GIR_Coverage, 18717,
     /* 2193565 */     GIR_EraseRootFromParent_Done,
     /* 2193566 */   // Label 28865: @2193566
     /* 2193566 */   GIM_Try, /*On fail goto*//*Label 28866*/ GIMT_Encode4(2193657), // Rule ID 18720 //
     /* 2193571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193574 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193579 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2193582 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2193585 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2193588 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2193591 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193594 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193605 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193613 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193617 */     // MIs[0] round
     /* 2193617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193620 */     // MIs[0] policy
     /* 2193620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193623 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193630 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2193633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193635 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193637 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193639 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193641 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193643 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193645 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193653 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193656 */     // GIR_Coverage, 18720,
     /* 2193656 */     GIR_EraseRootFromParent_Done,
     /* 2193657 */   // Label 28866: @2193657
     /* 2193657 */   GIM_Try, /*On fail goto*//*Label 28867*/ GIMT_Encode4(2193748), // Rule ID 18721 //
     /* 2193662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193665 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193670 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2193673 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2193676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2193679 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2193682 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2193685 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2193692 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193696 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2193704 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193708 */     // MIs[0] round
     /* 2193708 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193711 */     // MIs[0] policy
     /* 2193711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193714 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193721 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E16_MASK),
     /* 2193724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193728 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193730 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193732 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193734 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193736 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193744 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193747 */     // GIR_Coverage, 18721,
     /* 2193747 */     GIR_EraseRootFromParent_Done,
     /* 2193748 */   // Label 28867: @2193748
     /* 2193748 */   GIM_Try, /*On fail goto*//*Label 28868*/ GIMT_Encode4(2193839), // Rule ID 18724 //
     /* 2193753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193756 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193761 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2193764 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2193767 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2193770 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2193773 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193776 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193795 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193799 */     // MIs[0] round
     /* 2193799 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193802 */     // MIs[0] policy
     /* 2193802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193805 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193812 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2193815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193821 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193823 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193825 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193827 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193835 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193838 */     // GIR_Coverage, 18724,
     /* 2193838 */     GIR_EraseRootFromParent_Done,
     /* 2193839 */   // Label 28868: @2193839
     /* 2193839 */   GIM_Try, /*On fail goto*//*Label 28869*/ GIMT_Encode4(2193930), // Rule ID 18725 //
     /* 2193844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2193847 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193852 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2193855 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2193858 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2193861 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2193864 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2193867 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2193870 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2193874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193878 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193882 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2193886 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193890 */     // MIs[0] round
     /* 2193890 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193893 */     // MIs[0] policy
     /* 2193893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193896 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193903 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2193903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E16_MASK),
     /* 2193906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2193910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2193912 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2193914 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2193916 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2193918 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2193923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2193926 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2193928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2193929 */     // GIR_Coverage, 18725,
     /* 2193929 */     GIR_EraseRootFromParent_Done,
     /* 2193930 */   // Label 28869: @2193930
     /* 2193930 */   GIM_Try, /*On fail goto*//*Label 28870*/ GIMT_Encode4(2194021), // Rule ID 18728 //
     /* 2193935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2193938 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2193943 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2193946 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2193949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2193952 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2193955 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2193958 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2193961 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2193965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2193969 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193973 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2193977 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2193981 */     // MIs[0] round
     /* 2193981 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2193984 */     // MIs[0] policy
     /* 2193984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2193987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2193994 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2193994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2193997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2193999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194001 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194003 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194005 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194007 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194009 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194017 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194020 */     // GIR_Coverage, 18728,
     /* 2194020 */     GIR_EraseRootFromParent_Done,
     /* 2194021 */   // Label 28870: @2194021
     /* 2194021 */   GIM_Try, /*On fail goto*//*Label 28871*/ GIMT_Encode4(2194112), // Rule ID 18729 //
     /* 2194026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194029 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194034 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2194037 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2194040 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2194043 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2194046 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2194049 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194052 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194060 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194064 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194068 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194072 */     // MIs[0] round
     /* 2194072 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194075 */     // MIs[0] policy
     /* 2194075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194078 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194085 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E16_MASK),
     /* 2194088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194094 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194096 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194098 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194100 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194108 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194111 */     // GIR_Coverage, 18729,
     /* 2194111 */     GIR_EraseRootFromParent_Done,
     /* 2194112 */   // Label 28871: @2194112
     /* 2194112 */   GIM_Try, /*On fail goto*//*Label 28872*/ GIMT_Encode4(2194203), // Rule ID 18732 //
     /* 2194117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194120 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194125 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2194128 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2194131 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2194134 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2194137 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194140 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194143 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194159 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194163 */     // MIs[0] round
     /* 2194163 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194166 */     // MIs[0] policy
     /* 2194166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194169 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194176 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2194179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194183 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194185 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194187 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194189 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194199 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194202 */     // GIR_Coverage, 18732,
     /* 2194202 */     GIR_EraseRootFromParent_Done,
     /* 2194203 */   // Label 28872: @2194203
     /* 2194203 */   GIM_Try, /*On fail goto*//*Label 28873*/ GIMT_Encode4(2194294), // Rule ID 18733 //
     /* 2194208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194211 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194216 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2194219 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2194222 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2194225 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2194228 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194231 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194234 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194246 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194250 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194254 */     // MIs[0] round
     /* 2194254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194257 */     // MIs[0] policy
     /* 2194257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194260 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194267 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_MF2_E32_MASK),
     /* 2194270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194276 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194278 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194280 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194290 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194293 */     // GIR_Coverage, 18733,
     /* 2194293 */     GIR_EraseRootFromParent_Done,
     /* 2194294 */   // Label 28873: @2194294
     /* 2194294 */   GIM_Try, /*On fail goto*//*Label 28874*/ GIMT_Encode4(2194385), // Rule ID 18736 //
     /* 2194299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194302 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194307 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2194310 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2194313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2194316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2194319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194322 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194325 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194333 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194337 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194341 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194345 */     // MIs[0] round
     /* 2194345 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194348 */     // MIs[0] policy
     /* 2194348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194358 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2194361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194363 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194365 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194367 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194369 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194371 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194381 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194384 */     // GIR_Coverage, 18736,
     /* 2194384 */     GIR_EraseRootFromParent_Done,
     /* 2194385 */   // Label 28874: @2194385
     /* 2194385 */   GIM_Try, /*On fail goto*//*Label 28875*/ GIMT_Encode4(2194476), // Rule ID 18737 //
     /* 2194390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194393 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194398 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2194401 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2194404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2194407 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2194410 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2194413 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194416 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2194420 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194424 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194428 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194432 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194436 */     // MIs[0] round
     /* 2194436 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194439 */     // MIs[0] policy
     /* 2194439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194442 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194449 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M1_E32_MASK),
     /* 2194452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194454 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194456 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194458 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194460 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194462 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194464 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194472 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194475 */     // GIR_Coverage, 18737,
     /* 2194475 */     GIR_EraseRootFromParent_Done,
     /* 2194476 */   // Label 28875: @2194476
     /* 2194476 */   GIM_Try, /*On fail goto*//*Label 28876*/ GIMT_Encode4(2194567), // Rule ID 18740 //
     /* 2194481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194484 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194489 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2194492 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2194495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2194498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2194501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194504 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194511 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194519 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194523 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194527 */     // MIs[0] round
     /* 2194527 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194530 */     // MIs[0] policy
     /* 2194530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194540 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2194543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194549 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194551 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194553 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194555 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194563 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194566 */     // GIR_Coverage, 18740,
     /* 2194566 */     GIR_EraseRootFromParent_Done,
     /* 2194567 */   // Label 28876: @2194567
     /* 2194567 */   GIM_Try, /*On fail goto*//*Label 28877*/ GIMT_Encode4(2194658), // Rule ID 18741 //
     /* 2194572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194575 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194580 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2194583 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2194586 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2194589 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2194592 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2194595 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194598 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2194602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194606 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194610 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2194614 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194618 */     // MIs[0] round
     /* 2194618 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194621 */     // MIs[0] policy
     /* 2194621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194631 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M2_E32_MASK),
     /* 2194634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194638 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194640 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194642 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194644 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194646 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194654 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194657 */     // GIR_Coverage, 18741,
     /* 2194657 */     GIR_EraseRootFromParent_Done,
     /* 2194658 */   // Label 28877: @2194658
     /* 2194658 */   GIM_Try, /*On fail goto*//*Label 28878*/ GIMT_Encode4(2194749), // Rule ID 18744 //
     /* 2194663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2194666 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194671 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2194674 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2194677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2194680 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2194683 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194686 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194697 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194701 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194705 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194709 */     // MIs[0] round
     /* 2194709 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194712 */     // MIs[0] policy
     /* 2194712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194715 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194722 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2194725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194729 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194731 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194733 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194735 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194745 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194748 */     // GIR_Coverage, 18744,
     /* 2194748 */     GIR_EraseRootFromParent_Done,
     /* 2194749 */   // Label 28878: @2194749
     /* 2194749 */   GIM_Try, /*On fail goto*//*Label 28879*/ GIMT_Encode4(2194840), // Rule ID 18745 //
     /* 2194754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2194757 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194762 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2194765 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2194768 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2194771 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2194774 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2194777 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2194784 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2194788 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194792 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2194796 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194800 */     // MIs[0] round
     /* 2194800 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194803 */     // MIs[0] policy
     /* 2194803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194806 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194813 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VV_M4_E32_MASK),
     /* 2194816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194820 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194822 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194824 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194826 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194828 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2194836 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194839 */     // GIR_Coverage, 18745,
     /* 2194839 */     GIR_EraseRootFromParent_Done,
     /* 2194840 */   // Label 28879: @2194840
     /* 2194840 */   GIM_Try, /*On fail goto*//*Label 28880*/ GIMT_Encode4(2194931), // Rule ID 18748 //
     /* 2194845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2194848 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194853 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2194856 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2194859 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194862 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2194865 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194868 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2194871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194879 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194887 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194891 */     // MIs[0] round
     /* 2194891 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194894 */     // MIs[0] policy
     /* 2194894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194897 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194904 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2194904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2194907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2194909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2194911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2194913 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2194915 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2194917 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2194919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2194924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2194927 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2194929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2194930 */     // GIR_Coverage, 18748,
     /* 2194930 */     GIR_EraseRootFromParent_Done,
     /* 2194931 */   // Label 28880: @2194931
     /* 2194931 */   GIM_Try, /*On fail goto*//*Label 28881*/ GIMT_Encode4(2195022), // Rule ID 18749 //
     /* 2194936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2194939 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2194944 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2194947 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2194950 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2194953 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2194956 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2194959 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2194962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2194966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2194974 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2194978 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2194982 */     // MIs[0] round
     /* 2194982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2194985 */     // MIs[0] policy
     /* 2194985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2194988 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2194995 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2194995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF4_E16_MASK),
     /* 2194998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195004 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195006 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195008 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195010 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195018 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195021 */     // GIR_Coverage, 18749,
     /* 2195021 */     GIR_EraseRootFromParent_Done,
     /* 2195022 */   // Label 28881: @2195022
     /* 2195022 */   GIM_Try, /*On fail goto*//*Label 28882*/ GIMT_Encode4(2195113), // Rule ID 18752 //
     /* 2195027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195030 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195035 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2195038 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2195041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2195047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195050 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195061 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195065 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195069 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195073 */     // MIs[0] round
     /* 2195073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195076 */     // MIs[0] policy
     /* 2195076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195086 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2195089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195093 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195095 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195097 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195099 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195101 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195109 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195112 */     // GIR_Coverage, 18752,
     /* 2195112 */     GIR_EraseRootFromParent_Done,
     /* 2195113 */   // Label 28882: @2195113
     /* 2195113 */   GIM_Try, /*On fail goto*//*Label 28883*/ GIMT_Encode4(2195204), // Rule ID 18753 //
     /* 2195118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195121 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195126 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2195129 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2195132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2195138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195141 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195144 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195148 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195152 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195156 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195160 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195164 */     // MIs[0] round
     /* 2195164 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195167 */     // MIs[0] policy
     /* 2195167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195177 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11300:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_MF2_E16_MASK),
     /* 2195180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195184 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195186 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195188 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195190 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195192 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195200 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195203 */     // GIR_Coverage, 18753,
     /* 2195203 */     GIR_EraseRootFromParent_Done,
     /* 2195204 */   // Label 28883: @2195204
     /* 2195204 */   GIM_Try, /*On fail goto*//*Label 28884*/ GIMT_Encode4(2195295), // Rule ID 18756 //
     /* 2195209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195212 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195217 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2195220 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2195223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2195229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195232 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195239 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195243 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195247 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195251 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195255 */     // MIs[0] round
     /* 2195255 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195258 */     // MIs[0] policy
     /* 2195258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195268 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2195271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195277 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195279 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195281 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195283 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195291 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195294 */     // GIR_Coverage, 18756,
     /* 2195294 */     GIR_EraseRootFromParent_Done,
     /* 2195295 */   // Label 28884: @2195295
     /* 2195295 */   GIM_Try, /*On fail goto*//*Label 28885*/ GIMT_Encode4(2195386), // Rule ID 18757 //
     /* 2195300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195303 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195308 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2195311 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2195314 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195317 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2195320 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2195323 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195338 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195342 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195346 */     // MIs[0] round
     /* 2195346 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195349 */     // MIs[0] policy
     /* 2195349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195359 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M1_E16_MASK),
     /* 2195362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195368 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195370 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195372 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195382 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195385 */     // GIR_Coverage, 18757,
     /* 2195385 */     GIR_EraseRootFromParent_Done,
     /* 2195386 */   // Label 28885: @2195386
     /* 2195386 */   GIM_Try, /*On fail goto*//*Label 28886*/ GIMT_Encode4(2195477), // Rule ID 18760 //
     /* 2195391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195394 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195399 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2195402 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2195405 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195408 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2195411 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195414 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2195421 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195425 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195429 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195433 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195437 */     // MIs[0] round
     /* 2195437 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195440 */     // MIs[0] policy
     /* 2195440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195450 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2195453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195457 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195459 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195461 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195463 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195465 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195473 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195476 */     // GIR_Coverage, 18760,
     /* 2195476 */     GIR_EraseRootFromParent_Done,
     /* 2195477 */   // Label 28886: @2195477
     /* 2195477 */   GIM_Try, /*On fail goto*//*Label 28887*/ GIMT_Encode4(2195568), // Rule ID 18761 //
     /* 2195482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195485 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195490 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2195493 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2195496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2195502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2195505 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2195512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195516 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195520 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195524 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195528 */     // MIs[0] round
     /* 2195528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195531 */     // MIs[0] policy
     /* 2195531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195534 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195541 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M2_E16_MASK),
     /* 2195544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195550 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195552 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195554 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195556 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195564 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195567 */     // GIR_Coverage, 18761,
     /* 2195567 */     GIR_EraseRootFromParent_Done,
     /* 2195568 */   // Label 28887: @2195568
     /* 2195568 */   GIM_Try, /*On fail goto*//*Label 28888*/ GIMT_Encode4(2195659), // Rule ID 18764 //
     /* 2195573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2195576 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195581 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2195584 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2195587 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195590 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2195593 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2195596 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195599 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2195603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195607 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195615 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195619 */     // MIs[0] round
     /* 2195619 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195622 */     // MIs[0] policy
     /* 2195622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195632 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2195635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195639 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195641 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195643 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195645 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195655 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195658 */     // GIR_Coverage, 18764,
     /* 2195658 */     GIR_EraseRootFromParent_Done,
     /* 2195659 */   // Label 28888: @2195659
     /* 2195659 */   GIM_Try, /*On fail goto*//*Label 28889*/ GIMT_Encode4(2195750), // Rule ID 18765 //
     /* 2195664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2195667 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195672 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2195675 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2195678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2195681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2195684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2195687 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195690 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2195694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2195698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2195702 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2195706 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195710 */     // MIs[0] round
     /* 2195710 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195713 */     // MIs[0] policy
     /* 2195713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195723 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR16_M4_E16_MASK),
     /* 2195726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195732 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195734 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195736 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195738 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2195746 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195749 */     // GIR_Coverage, 18765,
     /* 2195749 */     GIR_EraseRootFromParent_Done,
     /* 2195750 */   // Label 28889: @2195750
     /* 2195750 */   GIM_Try, /*On fail goto*//*Label 28890*/ GIMT_Encode4(2195841), // Rule ID 18768 //
     /* 2195755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2195758 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195763 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2195766 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2195769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2195775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195778 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195789 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195793 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195797 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195801 */     // MIs[0] round
     /* 2195801 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195804 */     // MIs[0] policy
     /* 2195804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195814 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2195817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195821 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195823 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195825 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195827 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195829 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195837 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195840 */     // GIR_Coverage, 18768,
     /* 2195840 */     GIR_EraseRootFromParent_Done,
     /* 2195841 */   // Label 28890: @2195841
     /* 2195841 */   GIM_Try, /*On fail goto*//*Label 28891*/ GIMT_Encode4(2195932), // Rule ID 18769 //
     /* 2195846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2195849 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195854 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2195857 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2195860 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195863 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2195866 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2195869 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2195872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2195876 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195880 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195884 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195888 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195892 */     // MIs[0] round
     /* 2195892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195895 */     // MIs[0] policy
     /* 2195895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195905 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11300:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2195905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_MF2_E32_MASK),
     /* 2195908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2195910 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2195912 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2195914 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2195916 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2195918 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2195920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2195925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2195928 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2195930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2195931 */     // GIR_Coverage, 18769,
     /* 2195931 */     GIR_EraseRootFromParent_Done,
     /* 2195932 */   // Label 28891: @2195932
     /* 2195932 */   GIM_Try, /*On fail goto*//*Label 28892*/ GIMT_Encode4(2196023), // Rule ID 18772 //
     /* 2195937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2195940 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2195945 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2195948 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2195951 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2195954 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2195957 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2195960 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2195963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2195967 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2195971 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2195975 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2195979 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2195983 */     // MIs[0] round
     /* 2195983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2195986 */     // MIs[0] policy
     /* 2195986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2195989 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2195996 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2195996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2195999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196005 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196007 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196009 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196011 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196019 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196022 */     // GIR_Coverage, 18772,
     /* 2196022 */     GIR_EraseRootFromParent_Done,
     /* 2196023 */   // Label 28892: @2196023
     /* 2196023 */   GIM_Try, /*On fail goto*//*Label 28893*/ GIMT_Encode4(2196114), // Rule ID 18773 //
     /* 2196028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196031 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2196036 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2196039 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2196042 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196045 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2196048 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196051 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196066 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196070 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196074 */     // MIs[0] round
     /* 2196074 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196077 */     // MIs[0] policy
     /* 2196077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196087 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11300:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M1_E32_MASK),
     /* 2196090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196096 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196098 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196100 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196110 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196113 */     // GIR_Coverage, 18773,
     /* 2196113 */     GIR_EraseRootFromParent_Done,
     /* 2196114 */   // Label 28893: @2196114
     /* 2196114 */   GIM_Try, /*On fail goto*//*Label 28894*/ GIMT_Encode4(2196205), // Rule ID 18776 //
     /* 2196119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196122 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2196127 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2196130 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2196133 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196136 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2196139 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196142 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196161 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196165 */     // MIs[0] round
     /* 2196165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196168 */     // MIs[0] policy
     /* 2196168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196171 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196178 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2196181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196185 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196187 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196189 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196191 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196193 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196201 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196204 */     // GIR_Coverage, 18776,
     /* 2196204 */     GIR_EraseRootFromParent_Done,
     /* 2196205 */   // Label 28894: @2196205
     /* 2196205 */   GIM_Try, /*On fail goto*//*Label 28895*/ GIMT_Encode4(2196296), // Rule ID 18777 //
     /* 2196210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196213 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2196218 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2196221 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2196224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2196230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196233 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2196240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196244 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196248 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196252 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196256 */     // MIs[0] round
     /* 2196256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196259 */     // MIs[0] policy
     /* 2196259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196262 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196269 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11300:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M2_E32_MASK),
     /* 2196272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196276 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196278 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196280 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196282 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196284 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196292 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196295 */     // GIR_Coverage, 18777,
     /* 2196295 */     GIR_EraseRootFromParent_Done,
     /* 2196296 */   // Label 28895: @2196296
     /* 2196296 */   GIM_Try, /*On fail goto*//*Label 28896*/ GIMT_Encode4(2196387), // Rule ID 18780 //
     /* 2196301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2196304 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2196309 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2196312 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2196315 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196318 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2196321 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196324 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196335 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196343 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196347 */     // MIs[0] round
     /* 2196347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196350 */     // MIs[0] policy
     /* 2196350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196360 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2196363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196367 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196369 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196371 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196373 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196375 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196383 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196385 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196386 */     // GIR_Coverage, 18780,
     /* 2196386 */     GIR_EraseRootFromParent_Done,
     /* 2196387 */   // Label 28896: @2196387
     /* 2196387 */   GIM_Try, /*On fail goto*//*Label 28897*/ GIMT_Encode4(2196478), // Rule ID 18781 //
     /* 2196392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2196395 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmacc_mask),
     /* 2196400 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2196403 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2196406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2196409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2196412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2196415 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196418 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2196422 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2196426 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2196430 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2196434 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196438 */     // MIs[0] round
     /* 2196438 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196441 */     // MIs[0] policy
     /* 2196441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196444 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196451 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11300:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMACC_VFPR32_M4_E32_MASK),
     /* 2196454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196458 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196460 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196462 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196464 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196466 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2196474 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196477 */     // GIR_Coverage, 18781,
     /* 2196477 */     GIR_EraseRootFromParent_Done,
     /* 2196478 */   // Label 28897: @2196478
     /* 2196478 */   GIM_Try, /*On fail goto*//*Label 28898*/ GIMT_Encode4(2196569), // Rule ID 18784 //
     /* 2196483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2196486 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2196491 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2196494 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2196497 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2196500 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2196503 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2196506 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196525 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196529 */     // MIs[0] round
     /* 2196529 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196532 */     // MIs[0] policy
     /* 2196532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196535 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196542 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2196545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196551 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196553 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196555 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196565 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196568 */     // GIR_Coverage, 18784,
     /* 2196568 */     GIR_EraseRootFromParent_Done,
     /* 2196569 */   // Label 28898: @2196569
     /* 2196569 */   GIM_Try, /*On fail goto*//*Label 28899*/ GIMT_Encode4(2196660), // Rule ID 18785 //
     /* 2196574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2196577 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2196582 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2196585 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2196588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2196591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2196594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2196597 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196604 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196608 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196612 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196616 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196620 */     // MIs[0] round
     /* 2196620 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196623 */     // MIs[0] policy
     /* 2196623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196633 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF4_E16_MASK),
     /* 2196636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196640 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196642 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196644 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196646 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196648 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196656 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196659 */     // GIR_Coverage, 18785,
     /* 2196659 */     GIR_EraseRootFromParent_Done,
     /* 2196660 */   // Label 28899: @2196660
     /* 2196660 */   GIM_Try, /*On fail goto*//*Label 28900*/ GIMT_Encode4(2196751), // Rule ID 18788 //
     /* 2196665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2196668 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2196673 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2196676 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2196679 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2196682 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2196685 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196688 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196691 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196699 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196703 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196707 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196711 */     // MIs[0] round
     /* 2196711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196714 */     // MIs[0] policy
     /* 2196714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196724 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2196727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196729 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196731 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196733 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196735 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196737 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196739 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196747 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196750 */     // GIR_Coverage, 18788,
     /* 2196750 */     GIR_EraseRootFromParent_Done,
     /* 2196751 */   // Label 28900: @2196751
     /* 2196751 */   GIM_Try, /*On fail goto*//*Label 28901*/ GIMT_Encode4(2196842), // Rule ID 18789 //
     /* 2196756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2196759 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2196764 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2196767 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2196770 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2196773 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2196776 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2196779 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2196786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196794 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196798 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196802 */     // MIs[0] round
     /* 2196802 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196805 */     // MIs[0] policy
     /* 2196805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196815 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E16_MASK),
     /* 2196818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196822 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196824 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196826 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196828 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196830 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196838 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196841 */     // GIR_Coverage, 18789,
     /* 2196841 */     GIR_EraseRootFromParent_Done,
     /* 2196842 */   // Label 28901: @2196842
     /* 2196842 */   GIM_Try, /*On fail goto*//*Label 28902*/ GIMT_Encode4(2196933), // Rule ID 18792 //
     /* 2196847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2196850 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2196855 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2196858 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2196861 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2196864 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2196867 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196870 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2196873 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196885 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196889 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196893 */     // MIs[0] round
     /* 2196893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196896 */     // MIs[0] policy
     /* 2196896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196899 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196906 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2196906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2196909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2196911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2196913 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2196915 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2196917 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2196919 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2196921 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2196926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2196929 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2196931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2196932 */     // GIR_Coverage, 18792,
     /* 2196932 */     GIR_EraseRootFromParent_Done,
     /* 2196933 */   // Label 28902: @2196933
     /* 2196933 */   GIM_Try, /*On fail goto*//*Label 28903*/ GIMT_Encode4(2197024), // Rule ID 18793 //
     /* 2196938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2196941 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2196946 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2196949 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2196952 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2196955 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2196958 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2196961 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2196964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2196968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2196972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196976 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2196980 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2196984 */     // MIs[0] round
     /* 2196984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2196987 */     // MIs[0] policy
     /* 2196987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2196990 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2196997 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2196997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E16_MASK),
     /* 2197000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197002 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197004 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197006 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197008 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197010 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197020 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197023 */     // GIR_Coverage, 18793,
     /* 2197023 */     GIR_EraseRootFromParent_Done,
     /* 2197024 */   // Label 28903: @2197024
     /* 2197024 */   GIM_Try, /*On fail goto*//*Label 28904*/ GIMT_Encode4(2197115), // Rule ID 18796 //
     /* 2197029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2197032 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197037 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2197040 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2197043 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2197046 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2197049 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197052 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197055 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2197059 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197063 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197067 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197071 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197075 */     // MIs[0] round
     /* 2197075 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197078 */     // MIs[0] policy
     /* 2197078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197088 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2197091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197097 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197099 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197101 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197103 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197111 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197114 */     // GIR_Coverage, 18796,
     /* 2197114 */     GIR_EraseRootFromParent_Done,
     /* 2197115 */   // Label 28904: @2197115
     /* 2197115 */   GIM_Try, /*On fail goto*//*Label 28905*/ GIMT_Encode4(2197206), // Rule ID 18797 //
     /* 2197120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2197123 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197128 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2197131 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2197134 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2197137 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2197140 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197143 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197146 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2197150 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197154 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197158 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197162 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197166 */     // MIs[0] round
     /* 2197166 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197169 */     // MIs[0] policy
     /* 2197169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197172 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197179 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E16_MASK),
     /* 2197182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197188 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197190 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197192 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197194 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197202 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197205 */     // GIR_Coverage, 18797,
     /* 2197205 */     GIR_EraseRootFromParent_Done,
     /* 2197206 */   // Label 28905: @2197206
     /* 2197206 */   GIM_Try, /*On fail goto*//*Label 28906*/ GIMT_Encode4(2197297), // Rule ID 18800 //
     /* 2197211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2197214 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197219 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2197222 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2197225 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2197228 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2197231 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2197234 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197245 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197249 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197253 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197257 */     // MIs[0] round
     /* 2197257 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197260 */     // MIs[0] policy
     /* 2197260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197263 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197270 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2197273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197277 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197279 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197281 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197283 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197285 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197293 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197296 */     // GIR_Coverage, 18800,
     /* 2197296 */     GIR_EraseRootFromParent_Done,
     /* 2197297 */   // Label 28906: @2197297
     /* 2197297 */   GIM_Try, /*On fail goto*//*Label 28907*/ GIMT_Encode4(2197388), // Rule ID 18801 //
     /* 2197302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2197305 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197310 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2197313 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2197316 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2197319 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2197322 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2197325 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197336 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197340 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197344 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197348 */     // MIs[0] round
     /* 2197348 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197351 */     // MIs[0] policy
     /* 2197351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197361 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E16_MASK),
     /* 2197364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197368 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197370 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197372 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197374 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2197384 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197387 */     // GIR_Coverage, 18801,
     /* 2197387 */     GIR_EraseRootFromParent_Done,
     /* 2197388 */   // Label 28907: @2197388
     /* 2197388 */   GIM_Try, /*On fail goto*//*Label 28908*/ GIMT_Encode4(2197479), // Rule ID 18804 //
     /* 2197393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2197396 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197401 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2197404 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2197407 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2197410 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2197413 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197416 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197431 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197435 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197439 */     // MIs[0] round
     /* 2197439 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197442 */     // MIs[0] policy
     /* 2197442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197445 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197452 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2197455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197459 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197461 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197463 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197465 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197467 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197475 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197478 */     // GIR_Coverage, 18804,
     /* 2197478 */     GIR_EraseRootFromParent_Done,
     /* 2197479 */   // Label 28908: @2197479
     /* 2197479 */   GIM_Try, /*On fail goto*//*Label 28909*/ GIMT_Encode4(2197570), // Rule ID 18805 //
     /* 2197484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2197487 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197492 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2197495 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2197498 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2197501 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2197504 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2197507 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2197514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197526 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197530 */     // MIs[0] round
     /* 2197530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197533 */     // MIs[0] policy
     /* 2197533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197536 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197543 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_MF2_E32_MASK),
     /* 2197546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197552 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197554 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197556 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197566 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197569 */     // GIR_Coverage, 18805,
     /* 2197569 */     GIR_EraseRootFromParent_Done,
     /* 2197570 */   // Label 28909: @2197570
     /* 2197570 */   GIM_Try, /*On fail goto*//*Label 28910*/ GIMT_Encode4(2197661), // Rule ID 18808 //
     /* 2197575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2197578 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197583 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2197586 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2197589 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2197592 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2197595 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2197598 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197601 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2197605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197617 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197621 */     // MIs[0] round
     /* 2197621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197624 */     // MIs[0] policy
     /* 2197624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197627 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197634 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2197637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197643 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197645 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197647 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197649 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197657 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197660 */     // GIR_Coverage, 18808,
     /* 2197660 */     GIR_EraseRootFromParent_Done,
     /* 2197661 */   // Label 28910: @2197661
     /* 2197661 */   GIM_Try, /*On fail goto*//*Label 28911*/ GIMT_Encode4(2197752), // Rule ID 18809 //
     /* 2197666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2197669 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197674 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2197677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2197680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2197683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2197686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2197689 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2197696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197700 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197704 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2197708 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197712 */     // MIs[0] round
     /* 2197712 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197715 */     // MIs[0] policy
     /* 2197715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197718 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197725 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M1_E32_MASK),
     /* 2197728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197732 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197734 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197736 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197738 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197748 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197751 */     // GIR_Coverage, 18809,
     /* 2197751 */     GIR_EraseRootFromParent_Done,
     /* 2197752 */   // Label 28911: @2197752
     /* 2197752 */   GIM_Try, /*On fail goto*//*Label 28912*/ GIMT_Encode4(2197843), // Rule ID 18812 //
     /* 2197757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2197760 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197765 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2197768 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2197771 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2197774 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2197777 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2197780 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197783 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2197787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197791 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197795 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197799 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197803 */     // MIs[0] round
     /* 2197803 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197806 */     // MIs[0] policy
     /* 2197806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197816 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2197819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197823 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197825 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197827 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197829 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197831 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197839 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197842 */     // GIR_Coverage, 18812,
     /* 2197842 */     GIR_EraseRootFromParent_Done,
     /* 2197843 */   // Label 28912: @2197843
     /* 2197843 */   GIM_Try, /*On fail goto*//*Label 28913*/ GIMT_Encode4(2197934), // Rule ID 18813 //
     /* 2197848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2197851 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197856 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2197859 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2197862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2197865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2197868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2197871 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2197874 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2197878 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197882 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197886 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2197890 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197894 */     // MIs[0] round
     /* 2197894 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197897 */     // MIs[0] policy
     /* 2197897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197907 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2197907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M2_E32_MASK),
     /* 2197910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2197912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2197914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2197916 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2197918 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2197920 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2197922 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2197927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2197930 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2197932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2197933 */     // GIR_Coverage, 18813,
     /* 2197933 */     GIR_EraseRootFromParent_Done,
     /* 2197934 */   // Label 28913: @2197934
     /* 2197934 */   GIM_Try, /*On fail goto*//*Label 28914*/ GIMT_Encode4(2198025), // Rule ID 18816 //
     /* 2197939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2197942 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2197947 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2197950 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2197953 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2197956 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2197959 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2197962 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2197965 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2197969 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2197973 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197977 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2197981 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2197985 */     // MIs[0] round
     /* 2197985 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2197988 */     // MIs[0] policy
     /* 2197988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2197991 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2197998 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2197998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2198001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198005 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198007 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198009 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198011 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198013 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198021 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198024 */     // GIR_Coverage, 18816,
     /* 2198024 */     GIR_EraseRootFromParent_Done,
     /* 2198025 */   // Label 28914: @2198025
     /* 2198025 */   GIM_Try, /*On fail goto*//*Label 28915*/ GIMT_Encode4(2198116), // Rule ID 18817 //
     /* 2198030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2198033 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198038 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2198041 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2198044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2198047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2198050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2198053 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2198060 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198068 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198072 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198076 */     // MIs[0] round
     /* 2198076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198079 */     // MIs[0] policy
     /* 2198079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198089 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VV_M4_E32_MASK),
     /* 2198092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198096 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198098 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198100 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198102 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2198112 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198115 */     // GIR_Coverage, 18817,
     /* 2198115 */     GIR_EraseRootFromParent_Done,
     /* 2198116 */   // Label 28915: @2198116
     /* 2198116 */   GIM_Try, /*On fail goto*//*Label 28916*/ GIMT_Encode4(2198207), // Rule ID 18820 //
     /* 2198121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2198124 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198129 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2198132 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2198135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2198141 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198144 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198155 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198159 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198163 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198167 */     // MIs[0] round
     /* 2198167 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198170 */     // MIs[0] policy
     /* 2198170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198173 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198180 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2198183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198187 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198189 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198191 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198193 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198195 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198203 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198206 */     // GIR_Coverage, 18820,
     /* 2198206 */     GIR_EraseRootFromParent_Done,
     /* 2198207 */   // Label 28916: @2198207
     /* 2198207 */   GIM_Try, /*On fail goto*//*Label 28917*/ GIMT_Encode4(2198298), // Rule ID 18821 //
     /* 2198212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2198215 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198220 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2198223 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2198226 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198229 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2198232 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2198235 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198254 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198258 */     // MIs[0] round
     /* 2198258 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198261 */     // MIs[0] policy
     /* 2198261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198264 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198271 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF4_E16_MASK),
     /* 2198274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198278 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198280 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198282 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198284 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198294 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198297 */     // GIR_Coverage, 18821,
     /* 2198297 */     GIR_EraseRootFromParent_Done,
     /* 2198298 */   // Label 28917: @2198298
     /* 2198298 */   GIM_Try, /*On fail goto*//*Label 28918*/ GIMT_Encode4(2198389), // Rule ID 18824 //
     /* 2198303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2198306 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198311 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2198314 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2198317 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198320 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2198323 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198326 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198329 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198337 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198341 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198345 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198349 */     // MIs[0] round
     /* 2198349 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198352 */     // MIs[0] policy
     /* 2198352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198362 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2198365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198371 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198373 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198375 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198377 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198385 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198388 */     // GIR_Coverage, 18824,
     /* 2198388 */     GIR_EraseRootFromParent_Done,
     /* 2198389 */   // Label 28918: @2198389
     /* 2198389 */   GIM_Try, /*On fail goto*//*Label 28919*/ GIMT_Encode4(2198480), // Rule ID 18825 //
     /* 2198394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2198397 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198402 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2198405 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2198408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2198414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2198417 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198420 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2198424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198432 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198436 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198440 */     // MIs[0] round
     /* 2198440 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198443 */     // MIs[0] policy
     /* 2198443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198446 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198453 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11308:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_MF2_E16_MASK),
     /* 2198456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198460 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198462 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198464 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198466 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198468 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198476 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198479 */     // GIR_Coverage, 18825,
     /* 2198479 */     GIR_EraseRootFromParent_Done,
     /* 2198480 */   // Label 28919: @2198480
     /* 2198480 */   GIM_Try, /*On fail goto*//*Label 28920*/ GIMT_Encode4(2198571), // Rule ID 18828 //
     /* 2198485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2198488 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198493 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2198496 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2198499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2198505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2198508 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2198515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198519 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198523 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198527 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198531 */     // MIs[0] round
     /* 2198531 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198534 */     // MIs[0] policy
     /* 2198534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198544 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2198547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198551 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198553 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198555 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198557 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198559 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198567 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198570 */     // GIR_Coverage, 18828,
     /* 2198570 */     GIR_EraseRootFromParent_Done,
     /* 2198571 */   // Label 28920: @2198571
     /* 2198571 */   GIM_Try, /*On fail goto*//*Label 28921*/ GIMT_Encode4(2198662), // Rule ID 18829 //
     /* 2198576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2198579 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198584 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2198587 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2198590 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198593 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2198596 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2198599 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198602 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2198606 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198610 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198614 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2198618 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198622 */     // MIs[0] round
     /* 2198622 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198625 */     // MIs[0] policy
     /* 2198625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198628 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198635 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M1_E16_MASK),
     /* 2198638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198642 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198644 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198646 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198648 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198650 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198658 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198661 */     // GIR_Coverage, 18829,
     /* 2198661 */     GIR_EraseRootFromParent_Done,
     /* 2198662 */   // Label 28921: @2198662
     /* 2198662 */   GIM_Try, /*On fail goto*//*Label 28922*/ GIMT_Encode4(2198753), // Rule ID 18832 //
     /* 2198667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2198670 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198675 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2198678 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2198681 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198684 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2198687 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2198690 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2198697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198701 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198705 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198709 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198713 */     // MIs[0] round
     /* 2198713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198716 */     // MIs[0] policy
     /* 2198716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198719 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198726 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2198729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198735 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198737 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198739 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198749 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198752 */     // GIR_Coverage, 18832,
     /* 2198752 */     GIR_EraseRootFromParent_Done,
     /* 2198753 */   // Label 28922: @2198753
     /* 2198753 */   GIM_Try, /*On fail goto*//*Label 28923*/ GIMT_Encode4(2198844), // Rule ID 18833 //
     /* 2198758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2198761 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198766 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2198769 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2198772 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198775 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2198778 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2198781 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198784 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2198788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198792 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198796 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2198800 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198804 */     // MIs[0] round
     /* 2198804 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198807 */     // MIs[0] policy
     /* 2198807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198810 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198817 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M2_E16_MASK),
     /* 2198820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198826 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198828 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198830 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198840 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198843 */     // GIR_Coverage, 18833,
     /* 2198843 */     GIR_EraseRootFromParent_Done,
     /* 2198844 */   // Label 28923: @2198844
     /* 2198844 */   GIM_Try, /*On fail goto*//*Label 28924*/ GIMT_Encode4(2198935), // Rule ID 18836 //
     /* 2198849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2198852 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198857 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2198860 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2198863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2198869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2198872 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2198875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2198879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198883 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198887 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198891 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198895 */     // MIs[0] round
     /* 2198895 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198898 */     // MIs[0] policy
     /* 2198898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198901 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198908 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2198908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2198911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2198913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2198915 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2198917 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2198919 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2198921 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2198923 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2198928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2198931 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2198933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2198934 */     // GIR_Coverage, 18836,
     /* 2198934 */     GIR_EraseRootFromParent_Done,
     /* 2198935 */   // Label 28924: @2198935
     /* 2198935 */   GIM_Try, /*On fail goto*//*Label 28925*/ GIMT_Encode4(2199026), // Rule ID 18837 //
     /* 2198940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2198943 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2198948 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2198951 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2198954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2198957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2198960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2198963 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2198966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2198970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2198974 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2198978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2198982 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2198986 */     // MIs[0] round
     /* 2198986 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2198989 */     // MIs[0] policy
     /* 2198989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2198992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2198999 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2198999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR16_M4_E16_MASK),
     /* 2199002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199008 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199010 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199012 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199014 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199022 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199025 */     // GIR_Coverage, 18837,
     /* 2199025 */     GIR_EraseRootFromParent_Done,
     /* 2199026 */   // Label 28925: @2199026
     /* 2199026 */   GIM_Try, /*On fail goto*//*Label 28926*/ GIMT_Encode4(2199117), // Rule ID 18840 //
     /* 2199031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2199034 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2199039 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2199042 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2199045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2199048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2199051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2199054 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199057 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199073 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199077 */     // MIs[0] round
     /* 2199077 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199080 */     // MIs[0] policy
     /* 2199080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199090 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2199093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199099 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199101 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199103 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199105 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199113 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199116 */     // GIR_Coverage, 18840,
     /* 2199116 */     GIR_EraseRootFromParent_Done,
     /* 2199117 */   // Label 28926: @2199117
     /* 2199117 */   GIM_Try, /*On fail goto*//*Label 28927*/ GIMT_Encode4(2199208), // Rule ID 18841 //
     /* 2199122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2199125 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2199130 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2199133 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2199136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2199139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2199142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2199145 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199152 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199156 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199160 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199164 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199168 */     // MIs[0] round
     /* 2199168 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199171 */     // MIs[0] policy
     /* 2199171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199174 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199181 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11308:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_MF2_E32_MASK),
     /* 2199184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199188 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199190 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199192 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199194 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199196 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199204 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199207 */     // GIR_Coverage, 18841,
     /* 2199207 */     GIR_EraseRootFromParent_Done,
     /* 2199208 */   // Label 28927: @2199208
     /* 2199208 */   GIM_Try, /*On fail goto*//*Label 28928*/ GIMT_Encode4(2199299), // Rule ID 18844 //
     /* 2199213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2199216 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2199221 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2199224 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2199227 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2199230 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2199233 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2199236 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199251 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199255 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199259 */     // MIs[0] round
     /* 2199259 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199262 */     // MIs[0] policy
     /* 2199262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199272 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2199275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199279 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199281 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199283 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199285 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199295 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199298 */     // GIR_Coverage, 18844,
     /* 2199298 */     GIR_EraseRootFromParent_Done,
     /* 2199299 */   // Label 28928: @2199299
     /* 2199299 */   GIM_Try, /*On fail goto*//*Label 28929*/ GIMT_Encode4(2199390), // Rule ID 18845 //
     /* 2199304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2199307 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2199312 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2199315 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2199318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2199321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2199324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2199327 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2199334 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199338 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199342 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199346 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199350 */     // MIs[0] round
     /* 2199350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199353 */     // MIs[0] policy
     /* 2199353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199356 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199363 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11308:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M1_E32_MASK),
     /* 2199366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199372 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199374 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199376 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199378 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199386 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199389 */     // GIR_Coverage, 18845,
     /* 2199389 */     GIR_EraseRootFromParent_Done,
     /* 2199390 */   // Label 28929: @2199390
     /* 2199390 */   GIM_Try, /*On fail goto*//*Label 28930*/ GIMT_Encode4(2199481), // Rule ID 18848 //
     /* 2199395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2199398 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2199403 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2199406 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2199409 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2199412 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2199415 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2199418 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2199425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199429 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199433 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199437 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199441 */     // MIs[0] round
     /* 2199441 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199444 */     // MIs[0] policy
     /* 2199444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199447 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199454 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2199457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199463 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199465 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199467 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199477 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199480 */     // GIR_Coverage, 18848,
     /* 2199480 */     GIR_EraseRootFromParent_Done,
     /* 2199481 */   // Label 28930: @2199481
     /* 2199481 */   GIM_Try, /*On fail goto*//*Label 28931*/ GIMT_Encode4(2199572), // Rule ID 18849 //
     /* 2199486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2199489 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2199494 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2199497 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2199500 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2199503 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2199506 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2199509 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2199516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2199528 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199532 */     // MIs[0] round
     /* 2199532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199535 */     // MIs[0] policy
     /* 2199535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199538 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199545 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11308:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M2_E32_MASK),
     /* 2199548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199552 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199554 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199556 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199558 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199560 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199568 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199571 */     // GIR_Coverage, 18849,
     /* 2199571 */     GIR_EraseRootFromParent_Done,
     /* 2199572 */   // Label 28931: @2199572
     /* 2199572 */   GIM_Try, /*On fail goto*//*Label 28932*/ GIMT_Encode4(2199663), // Rule ID 18852 //
     /* 2199577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2199580 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2199585 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2199588 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2199591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2199594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2199597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2199600 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199603 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2199607 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199611 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199615 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199619 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199623 */     // MIs[0] round
     /* 2199623 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199626 */     // MIs[0] policy
     /* 2199626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199629 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199636 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2199639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199643 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199645 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199647 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199649 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199651 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199659 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199662 */     // GIR_Coverage, 18852,
     /* 2199662 */     GIR_EraseRootFromParent_Done,
     /* 2199663 */   // Label 28932: @2199663
     /* 2199663 */   GIM_Try, /*On fail goto*//*Label 28933*/ GIMT_Encode4(2199754), // Rule ID 18853 //
     /* 2199668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2199671 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmacc_mask),
     /* 2199676 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2199679 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2199682 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2199685 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2199688 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2199691 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2199698 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2199702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2199706 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2199710 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199714 */     // MIs[0] round
     /* 2199714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199717 */     // MIs[0] policy
     /* 2199717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199727 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11308:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMACC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMACC_VFPR32_M4_E32_MASK),
     /* 2199730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199736 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199738 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199740 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2199750 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199753 */     // GIR_Coverage, 18853,
     /* 2199753 */     GIR_EraseRootFromParent_Done,
     /* 2199754 */   // Label 28933: @2199754
     /* 2199754 */   GIM_Try, /*On fail goto*//*Label 28934*/ GIMT_Encode4(2199845), // Rule ID 18856 //
     /* 2199759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2199762 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2199767 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2199770 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2199773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2199776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2199779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2199782 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199793 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199797 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199801 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199805 */     // MIs[0] round
     /* 2199805 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199808 */     // MIs[0] policy
     /* 2199808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199818 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2199818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2199821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199827 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199829 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199831 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199833 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199841 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199844 */     // GIR_Coverage, 18856,
     /* 2199844 */     GIR_EraseRootFromParent_Done,
     /* 2199845 */   // Label 28934: @2199845
     /* 2199845 */   GIM_Try, /*On fail goto*//*Label 28935*/ GIMT_Encode4(2199936), // Rule ID 18857 //
     /* 2199850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2199853 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2199858 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2199861 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2199864 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2199867 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2199870 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2199873 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2199876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199892 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199896 */     // MIs[0] round
     /* 2199896 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199899 */     // MIs[0] policy
     /* 2199899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199902 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2199909 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2199909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF4_E16_MASK),
     /* 2199912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2199914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2199916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2199918 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2199920 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2199922 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2199924 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2199929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2199932 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2199934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2199935 */     // GIR_Coverage, 18857,
     /* 2199935 */     GIR_EraseRootFromParent_Done,
     /* 2199936 */   // Label 28935: @2199936
     /* 2199936 */   GIM_Try, /*On fail goto*//*Label 28936*/ GIMT_Encode4(2200027), // Rule ID 18860 //
     /* 2199941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2199944 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2199949 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2199952 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2199955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2199958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2199961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2199964 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2199967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2199971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2199983 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2199987 */     // MIs[0] round
     /* 2199987 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2199990 */     // MIs[0] policy
     /* 2199990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2199993 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200000 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2200003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200007 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200009 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200011 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200013 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200015 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200023 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200026 */     // GIR_Coverage, 18860,
     /* 2200026 */     GIR_EraseRootFromParent_Done,
     /* 2200027 */   // Label 28936: @2200027
     /* 2200027 */   GIM_Try, /*On fail goto*//*Label 28937*/ GIMT_Encode4(2200118), // Rule ID 18861 //
     /* 2200032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2200035 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200040 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2200043 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2200046 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2200049 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2200052 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200055 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200058 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200066 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200070 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200074 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200078 */     // MIs[0] round
     /* 2200078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200081 */     // MIs[0] policy
     /* 2200081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200091 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E16_MASK),
     /* 2200094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200100 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200102 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200104 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200106 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200114 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200117 */     // GIR_Coverage, 18861,
     /* 2200117 */     GIR_EraseRootFromParent_Done,
     /* 2200118 */   // Label 28937: @2200118
     /* 2200118 */   GIM_Try, /*On fail goto*//*Label 28938*/ GIMT_Encode4(2200209), // Rule ID 18864 //
     /* 2200123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2200126 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200131 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2200134 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2200137 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2200140 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2200143 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200146 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200157 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200165 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200169 */     // MIs[0] round
     /* 2200169 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200172 */     // MIs[0] policy
     /* 2200172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200175 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200182 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2200185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200187 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200191 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200193 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200195 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200197 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200205 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200208 */     // GIR_Coverage, 18864,
     /* 2200208 */     GIR_EraseRootFromParent_Done,
     /* 2200209 */   // Label 28938: @2200209
     /* 2200209 */   GIM_Try, /*On fail goto*//*Label 28939*/ GIMT_Encode4(2200300), // Rule ID 18865 //
     /* 2200214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2200217 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200222 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2200225 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2200228 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2200231 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2200234 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2200237 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200240 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200248 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200256 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200260 */     // MIs[0] round
     /* 2200260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200263 */     // MIs[0] policy
     /* 2200263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200273 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E16_MASK),
     /* 2200276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200282 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200284 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200286 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200288 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200296 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200299 */     // GIR_Coverage, 18865,
     /* 2200299 */     GIR_EraseRootFromParent_Done,
     /* 2200300 */   // Label 28939: @2200300
     /* 2200300 */   GIM_Try, /*On fail goto*//*Label 28940*/ GIMT_Encode4(2200391), // Rule ID 18868 //
     /* 2200305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2200308 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200313 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2200316 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2200319 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2200322 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2200325 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200328 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200347 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200351 */     // MIs[0] round
     /* 2200351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200354 */     // MIs[0] policy
     /* 2200354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200357 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200364 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2200367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200371 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200373 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200375 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200377 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200387 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200390 */     // GIR_Coverage, 18868,
     /* 2200390 */     GIR_EraseRootFromParent_Done,
     /* 2200391 */   // Label 28940: @2200391
     /* 2200391 */   GIM_Try, /*On fail goto*//*Label 28941*/ GIMT_Encode4(2200482), // Rule ID 18869 //
     /* 2200396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2200399 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200404 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2200407 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2200410 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2200413 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2200416 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2200419 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2200426 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200430 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200434 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200438 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200442 */     // MIs[0] round
     /* 2200442 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200445 */     // MIs[0] policy
     /* 2200445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200455 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E16_MASK),
     /* 2200458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200460 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200462 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200464 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200466 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200468 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200470 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200478 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200481 */     // GIR_Coverage, 18869,
     /* 2200481 */     GIR_EraseRootFromParent_Done,
     /* 2200482 */   // Label 28941: @2200482
     /* 2200482 */   GIM_Try, /*On fail goto*//*Label 28942*/ GIMT_Encode4(2200573), // Rule ID 18872 //
     /* 2200487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2200490 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200495 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2200498 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2200501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2200504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2200507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2200510 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200513 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200521 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200525 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200529 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200533 */     // MIs[0] round
     /* 2200533 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200536 */     // MIs[0] policy
     /* 2200536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200539 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200546 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2200549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200555 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200557 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200559 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200561 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200569 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200572 */     // GIR_Coverage, 18872,
     /* 2200572 */     GIR_EraseRootFromParent_Done,
     /* 2200573 */   // Label 28942: @2200573
     /* 2200573 */   GIM_Try, /*On fail goto*//*Label 28943*/ GIMT_Encode4(2200664), // Rule ID 18873 //
     /* 2200578 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2200581 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200586 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2200589 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2200592 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2200595 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2200598 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2200601 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2200608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2200612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200616 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2200620 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200624 */     // MIs[0] round
     /* 2200624 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200627 */     // MIs[0] policy
     /* 2200627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200630 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200637 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E16_MASK),
     /* 2200640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200644 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200646 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200648 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200650 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200652 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2200660 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200663 */     // GIR_Coverage, 18873,
     /* 2200663 */     GIR_EraseRootFromParent_Done,
     /* 2200664 */   // Label 28943: @2200664
     /* 2200664 */   GIM_Try, /*On fail goto*//*Label 28944*/ GIMT_Encode4(2200755), // Rule ID 18876 //
     /* 2200669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2200672 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200677 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2200680 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2200683 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2200686 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2200689 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2200692 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200703 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200711 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200715 */     // MIs[0] round
     /* 2200715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200718 */     // MIs[0] policy
     /* 2200718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200721 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200728 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2200731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200733 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200735 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200737 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200739 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200741 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200751 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200754 */     // GIR_Coverage, 18876,
     /* 2200754 */     GIR_EraseRootFromParent_Done,
     /* 2200755 */   // Label 28944: @2200755
     /* 2200755 */   GIM_Try, /*On fail goto*//*Label 28945*/ GIMT_Encode4(2200846), // Rule ID 18877 //
     /* 2200760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2200763 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200768 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2200771 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2200774 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2200777 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2200780 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2200783 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200786 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2200790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200794 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200798 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200802 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200806 */     // MIs[0] round
     /* 2200806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200809 */     // MIs[0] policy
     /* 2200809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200812 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200819 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2200819 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_MF2_E32_MASK),
     /* 2200822 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200824 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200826 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200828 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200830 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200832 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200834 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200842 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200845 */     // GIR_Coverage, 18877,
     /* 2200845 */     GIR_EraseRootFromParent_Done,
     /* 2200846 */   // Label 28945: @2200846
     /* 2200846 */   GIM_Try, /*On fail goto*//*Label 28946*/ GIMT_Encode4(2200937), // Rule ID 18880 //
     /* 2200851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2200854 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200859 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2200862 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2200865 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2200868 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2200871 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200874 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2200877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200881 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200885 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200893 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200897 */     // MIs[0] round
     /* 2200897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200900 */     // MIs[0] policy
     /* 2200900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200903 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2200910 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2200910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2200913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2200915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2200917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2200919 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2200921 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2200923 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2200925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2200930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2200933 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2200935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2200936 */     // GIR_Coverage, 18880,
     /* 2200936 */     GIR_EraseRootFromParent_Done,
     /* 2200937 */   // Label 28946: @2200937
     /* 2200937 */   GIM_Try, /*On fail goto*//*Label 28947*/ GIMT_Encode4(2201028), // Rule ID 18881 //
     /* 2200942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2200945 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2200950 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2200953 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2200956 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2200959 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2200962 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2200965 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2200968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2200972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2200976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2200984 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2200988 */     // MIs[0] round
     /* 2200988 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2200991 */     // MIs[0] policy
     /* 2200991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2200994 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201001 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M1_E32_MASK),
     /* 2201004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201010 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201012 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201014 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201024 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201027 */     // GIR_Coverage, 18881,
     /* 2201027 */     GIR_EraseRootFromParent_Done,
     /* 2201028 */   // Label 28947: @2201028
     /* 2201028 */   GIM_Try, /*On fail goto*//*Label 28948*/ GIMT_Encode4(2201119), // Rule ID 18884 //
     /* 2201033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2201036 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201041 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2201044 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2201047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2201050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2201053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2201056 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201063 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201067 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201071 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201075 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201079 */     // MIs[0] round
     /* 2201079 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201082 */     // MIs[0] policy
     /* 2201082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201085 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201092 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2201095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201099 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201101 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201103 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201105 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201115 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201118 */     // GIR_Coverage, 18884,
     /* 2201118 */     GIR_EraseRootFromParent_Done,
     /* 2201119 */   // Label 28948: @2201119
     /* 2201119 */   GIM_Try, /*On fail goto*//*Label 28949*/ GIMT_Encode4(2201210), // Rule ID 18885 //
     /* 2201124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2201127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2201135 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2201138 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2201141 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2201144 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2201147 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201154 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201158 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201162 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201166 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201170 */     // MIs[0] round
     /* 2201170 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201173 */     // MIs[0] policy
     /* 2201173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201176 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201183 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M2_E32_MASK),
     /* 2201186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201192 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201194 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201196 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201206 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201209 */     // GIR_Coverage, 18885,
     /* 2201209 */     GIR_EraseRootFromParent_Done,
     /* 2201210 */   // Label 28949: @2201210
     /* 2201210 */   GIM_Try, /*On fail goto*//*Label 28950*/ GIMT_Encode4(2201301), // Rule ID 18888 //
     /* 2201215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2201218 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201223 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2201226 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2201229 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2201232 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2201235 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201238 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201241 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2201245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201249 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201253 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201257 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201261 */     // MIs[0] round
     /* 2201261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201264 */     // MIs[0] policy
     /* 2201264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201267 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201274 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2201277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201281 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201283 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201285 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201287 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201289 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201297 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201299 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201300 */     // GIR_Coverage, 18888,
     /* 2201300 */     GIR_EraseRootFromParent_Done,
     /* 2201301 */   // Label 28950: @2201301
     /* 2201301 */   GIM_Try, /*On fail goto*//*Label 28951*/ GIMT_Encode4(2201392), // Rule ID 18889 //
     /* 2201306 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2201309 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201314 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2201317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2201320 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2201323 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2201326 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201329 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201332 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2201336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2201340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201344 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201348 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201352 */     // MIs[0] round
     /* 2201352 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201355 */     // MIs[0] policy
     /* 2201355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201358 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201365 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VV_M4_E32_MASK),
     /* 2201368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201372 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201374 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201376 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201378 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201380 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2201388 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201391 */     // GIR_Coverage, 18889,
     /* 2201391 */     GIR_EraseRootFromParent_Done,
     /* 2201392 */   // Label 28951: @2201392
     /* 2201392 */   GIM_Try, /*On fail goto*//*Label 28952*/ GIMT_Encode4(2201483), // Rule ID 18892 //
     /* 2201397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201400 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201405 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2201408 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2201411 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201414 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2201417 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2201420 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201423 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201427 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201431 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201435 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201439 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201443 */     // MIs[0] round
     /* 2201443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201446 */     // MIs[0] policy
     /* 2201446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201449 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201456 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2201459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201463 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201465 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201467 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201469 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201479 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201482 */     // GIR_Coverage, 18892,
     /* 2201482 */     GIR_EraseRootFromParent_Done,
     /* 2201483 */   // Label 28952: @2201483
     /* 2201483 */   GIM_Try, /*On fail goto*//*Label 28953*/ GIMT_Encode4(2201574), // Rule ID 18893 //
     /* 2201488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201491 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201496 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2201499 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2201502 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201505 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2201508 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2201511 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201530 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201534 */     // MIs[0] round
     /* 2201534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201537 */     // MIs[0] policy
     /* 2201537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201540 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201547 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF4_E16_MASK),
     /* 2201550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201554 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201556 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201558 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201560 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201570 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201573 */     // GIR_Coverage, 18893,
     /* 2201573 */     GIR_EraseRootFromParent_Done,
     /* 2201574 */   // Label 28953: @2201574
     /* 2201574 */   GIM_Try, /*On fail goto*//*Label 28954*/ GIMT_Encode4(2201665), // Rule ID 18896 //
     /* 2201579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201582 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201587 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2201590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2201593 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201596 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2201599 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2201602 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201605 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201613 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201621 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201625 */     // MIs[0] round
     /* 2201625 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201628 */     // MIs[0] policy
     /* 2201628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201631 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201638 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2201641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201643 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201647 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201649 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201651 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201661 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201664 */     // GIR_Coverage, 18896,
     /* 2201664 */     GIR_EraseRootFromParent_Done,
     /* 2201665 */   // Label 28954: @2201665
     /* 2201665 */   GIM_Try, /*On fail goto*//*Label 28955*/ GIMT_Encode4(2201756), // Rule ID 18897 //
     /* 2201670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201673 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201678 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2201681 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2201684 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201687 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2201690 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2201693 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201696 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2201700 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201708 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201712 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201716 */     // MIs[0] round
     /* 2201716 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201719 */     // MIs[0] policy
     /* 2201719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201729 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11304:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_MF2_E16_MASK),
     /* 2201732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201738 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201740 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201742 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201744 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201752 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201755 */     // GIR_Coverage, 18897,
     /* 2201755 */     GIR_EraseRootFromParent_Done,
     /* 2201756 */   // Label 28955: @2201756
     /* 2201756 */   GIM_Try, /*On fail goto*//*Label 28956*/ GIMT_Encode4(2201847), // Rule ID 18900 //
     /* 2201761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201764 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201769 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2201772 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2201775 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201778 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2201781 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2201784 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201787 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2201791 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201795 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201799 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201803 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201807 */     // MIs[0] round
     /* 2201807 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201810 */     // MIs[0] policy
     /* 2201810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201813 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201820 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2201820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2201823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201829 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201831 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201833 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201835 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201843 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201846 */     // GIR_Coverage, 18900,
     /* 2201846 */     GIR_EraseRootFromParent_Done,
     /* 2201847 */   // Label 28956: @2201847
     /* 2201847 */   GIM_Try, /*On fail goto*//*Label 28957*/ GIMT_Encode4(2201938), // Rule ID 18901 //
     /* 2201852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2201855 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201860 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2201863 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2201866 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201869 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2201872 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2201875 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2201878 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2201882 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201886 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201890 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2201894 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201898 */     // MIs[0] round
     /* 2201898 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201901 */     // MIs[0] policy
     /* 2201901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2201911 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2201911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M1_E16_MASK),
     /* 2201914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2201916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2201918 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2201920 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2201922 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2201924 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2201926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2201931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2201934 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2201936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2201937 */     // GIR_Coverage, 18901,
     /* 2201937 */     GIR_EraseRootFromParent_Done,
     /* 2201938 */   // Label 28957: @2201938
     /* 2201938 */   GIM_Try, /*On fail goto*//*Label 28958*/ GIMT_Encode4(2202029), // Rule ID 18904 //
     /* 2201943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2201946 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2201951 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2201954 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2201957 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2201960 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2201963 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2201966 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2201969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2201973 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2201977 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2201981 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2201985 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2201989 */     // MIs[0] round
     /* 2201989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2201992 */     // MIs[0] policy
     /* 2201992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2201995 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202002 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2202005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202009 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202011 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202013 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202015 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202017 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202025 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202028 */     // GIR_Coverage, 18904,
     /* 2202028 */     GIR_EraseRootFromParent_Done,
     /* 2202029 */   // Label 28958: @2202029
     /* 2202029 */   GIM_Try, /*On fail goto*//*Label 28959*/ GIMT_Encode4(2202120), // Rule ID 18905 //
     /* 2202034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2202037 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202042 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2202045 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2202048 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2202051 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2202054 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2202057 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202060 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2202064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2202072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202076 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202080 */     // MIs[0] round
     /* 2202080 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202083 */     // MIs[0] policy
     /* 2202083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202086 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202093 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M2_E16_MASK),
     /* 2202096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202102 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202104 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202106 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202116 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202119 */     // GIR_Coverage, 18905,
     /* 2202119 */     GIR_EraseRootFromParent_Done,
     /* 2202120 */   // Label 28959: @2202120
     /* 2202120 */   GIM_Try, /*On fail goto*//*Label 28960*/ GIMT_Encode4(2202211), // Rule ID 18908 //
     /* 2202125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2202128 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202133 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2202136 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2202139 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2202142 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2202145 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2202148 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202151 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2202155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2202163 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202167 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202171 */     // MIs[0] round
     /* 2202171 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202174 */     // MIs[0] policy
     /* 2202174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202177 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202184 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2202187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202191 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202193 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202195 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202197 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202207 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202210 */     // GIR_Coverage, 18908,
     /* 2202210 */     GIR_EraseRootFromParent_Done,
     /* 2202211 */   // Label 28960: @2202211
     /* 2202211 */   GIM_Try, /*On fail goto*//*Label 28961*/ GIMT_Encode4(2202302), // Rule ID 18909 //
     /* 2202216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2202219 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202224 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2202227 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2202230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2202233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2202236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2202239 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202242 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2202246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2202254 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202258 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202262 */     // MIs[0] round
     /* 2202262 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202265 */     // MIs[0] policy
     /* 2202265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202268 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202275 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR16_M4_E16_MASK),
     /* 2202278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202284 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202286 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202288 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202290 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2202298 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202301 */     // GIR_Coverage, 18909,
     /* 2202301 */     GIR_EraseRootFromParent_Done,
     /* 2202302 */   // Label 28961: @2202302
     /* 2202302 */   GIM_Try, /*On fail goto*//*Label 28962*/ GIMT_Encode4(2202393), // Rule ID 18912 //
     /* 2202307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2202310 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202315 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2202318 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2202321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2202327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2202330 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202333 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202337 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202341 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202345 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202349 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202353 */     // MIs[0] round
     /* 2202353 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202356 */     // MIs[0] policy
     /* 2202356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202366 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2202369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202375 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202377 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202379 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202381 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202389 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202392 */     // GIR_Coverage, 18912,
     /* 2202392 */     GIR_EraseRootFromParent_Done,
     /* 2202393 */   // Label 28962: @2202393
     /* 2202393 */   GIM_Try, /*On fail goto*//*Label 28963*/ GIMT_Encode4(2202484), // Rule ID 18913 //
     /* 2202398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202401 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202406 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2202409 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2202412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2202418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2202421 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202424 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2202428 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202436 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202440 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202444 */     // MIs[0] round
     /* 2202444 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202447 */     // MIs[0] policy
     /* 2202447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202457 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11304:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_MF2_E32_MASK),
     /* 2202460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202464 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202466 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202468 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202470 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202472 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202480 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202483 */     // GIR_Coverage, 18913,
     /* 2202483 */     GIR_EraseRootFromParent_Done,
     /* 2202484 */   // Label 28963: @2202484
     /* 2202484 */   GIM_Try, /*On fail goto*//*Label 28964*/ GIMT_Encode4(2202575), // Rule ID 18916 //
     /* 2202489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2202492 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202497 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2202500 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2202503 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202506 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2202509 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2202512 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202515 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2202519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202523 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202527 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202531 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202535 */     // MIs[0] round
     /* 2202535 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202538 */     // MIs[0] policy
     /* 2202538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202541 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202548 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2202551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202557 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202559 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202561 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202563 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202571 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202574 */     // GIR_Coverage, 18916,
     /* 2202574 */     GIR_EraseRootFromParent_Done,
     /* 2202575 */   // Label 28964: @2202575
     /* 2202575 */   GIM_Try, /*On fail goto*//*Label 28965*/ GIMT_Encode4(2202666), // Rule ID 18917 //
     /* 2202580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202583 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202588 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2202591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2202594 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202597 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2202600 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2202603 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2202610 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202614 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202618 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2202622 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202626 */     // MIs[0] round
     /* 2202626 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202629 */     // MIs[0] policy
     /* 2202629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202632 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202639 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11304:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M1_E32_MASK),
     /* 2202642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202646 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202648 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202650 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202652 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202662 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202665 */     // GIR_Coverage, 18917,
     /* 2202665 */     GIR_EraseRootFromParent_Done,
     /* 2202666 */   // Label 28965: @2202666
     /* 2202666 */   GIM_Try, /*On fail goto*//*Label 28966*/ GIMT_Encode4(2202757), // Rule ID 18920 //
     /* 2202671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2202674 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202679 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2202682 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2202685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2202691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2202694 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2202701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202713 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202717 */     // MIs[0] round
     /* 2202717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202720 */     // MIs[0] policy
     /* 2202720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202723 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202730 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2202733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202735 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202737 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202739 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202741 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202743 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202753 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202756 */     // GIR_Coverage, 18920,
     /* 2202756 */     GIR_EraseRootFromParent_Done,
     /* 2202757 */   // Label 28966: @2202757
     /* 2202757 */   GIM_Try, /*On fail goto*//*Label 28967*/ GIMT_Encode4(2202848), // Rule ID 18921 //
     /* 2202762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202765 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202770 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2202773 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2202776 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202779 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2202782 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2202785 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2202792 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202796 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202800 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2202804 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202808 */     // MIs[0] round
     /* 2202808 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202811 */     // MIs[0] policy
     /* 2202811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202814 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202821 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11304:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2202821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M2_E32_MASK),
     /* 2202824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202828 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202830 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202832 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202834 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202844 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202847 */     // GIR_Coverage, 18921,
     /* 2202847 */     GIR_EraseRootFromParent_Done,
     /* 2202848 */   // Label 28967: @2202848
     /* 2202848 */   GIM_Try, /*On fail goto*//*Label 28968*/ GIMT_Encode4(2202939), // Rule ID 18924 //
     /* 2202853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2202856 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202861 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2202864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2202867 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202870 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2202873 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2202876 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2202879 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2202883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202887 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202891 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202895 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202899 */     // MIs[0] round
     /* 2202899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202902 */     // MIs[0] policy
     /* 2202902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202905 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2202912 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2202912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2202915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2202917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2202919 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2202921 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2202923 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2202925 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2202927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2202932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2202935 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2202937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2202938 */     // GIR_Coverage, 18924,
     /* 2202938 */     GIR_EraseRootFromParent_Done,
     /* 2202939 */   // Label 28968: @2202939
     /* 2202939 */   GIM_Try, /*On fail goto*//*Label 28969*/ GIMT_Encode4(2203030), // Rule ID 18925 //
     /* 2202944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2202947 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwmsac_mask),
     /* 2202952 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2202955 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2202958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2202961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2202964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2202967 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2202970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2202974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2202978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2202982 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2202986 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2202990 */     // MIs[0] round
     /* 2202990 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2202993 */     // MIs[0] policy
     /* 2202993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2202996 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203003 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11304:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWMSAC_VFPR32_M4_E32_MASK),
     /* 2203006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203010 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203012 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203014 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203016 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203018 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2203026 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203029 */     // GIR_Coverage, 18925,
     /* 2203029 */     GIR_EraseRootFromParent_Done,
     /* 2203030 */   // Label 28969: @2203030
     /* 2203030 */   GIM_Try, /*On fail goto*//*Label 28970*/ GIMT_Encode4(2203121), // Rule ID 18928 //
     /* 2203035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203038 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203043 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2203046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2203049 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2203052 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2203055 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2203058 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203065 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203069 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203073 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203077 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203081 */     // MIs[0] round
     /* 2203081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203084 */     // MIs[0] policy
     /* 2203084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203094 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2203097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203101 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203103 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203105 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203107 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203117 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203120 */     // GIR_Coverage, 18928,
     /* 2203120 */     GIR_EraseRootFromParent_Done,
     /* 2203121 */   // Label 28970: @2203121
     /* 2203121 */   GIM_Try, /*On fail goto*//*Label 28971*/ GIMT_Encode4(2203212), // Rule ID 18929 //
     /* 2203126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203129 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203134 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2203137 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2203140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2203143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2203146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2203149 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203164 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203168 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203172 */     // MIs[0] round
     /* 2203172 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203175 */     // MIs[0] policy
     /* 2203175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203185 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF4_E16_MASK),
     /* 2203188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203192 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203194 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203196 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203198 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203208 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203211 */     // GIR_Coverage, 18929,
     /* 2203211 */     GIR_EraseRootFromParent_Done,
     /* 2203212 */   // Label 28971: @2203212
     /* 2203212 */   GIM_Try, /*On fail goto*//*Label 28972*/ GIMT_Encode4(2203303), // Rule ID 18932 //
     /* 2203217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203220 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203225 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2203228 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2203231 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2203234 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2203237 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2203240 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203251 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203255 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203259 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203263 */     // MIs[0] round
     /* 2203263 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203266 */     // MIs[0] policy
     /* 2203266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203269 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203276 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2203279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203283 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203285 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203287 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203289 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203291 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203299 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203302 */     // GIR_Coverage, 18932,
     /* 2203302 */     GIR_EraseRootFromParent_Done,
     /* 2203303 */   // Label 28972: @2203303
     /* 2203303 */   GIM_Try, /*On fail goto*//*Label 28973*/ GIMT_Encode4(2203394), // Rule ID 18933 //
     /* 2203308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203311 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203316 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2203319 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2203322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2203325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2203328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2203331 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203350 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203354 */     // MIs[0] round
     /* 2203354 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203357 */     // MIs[0] policy
     /* 2203357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203360 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203367 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E16_MASK),
     /* 2203370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203374 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203376 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203378 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203380 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203382 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203390 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203393 */     // GIR_Coverage, 18933,
     /* 2203393 */     GIR_EraseRootFromParent_Done,
     /* 2203394 */   // Label 28973: @2203394
     /* 2203394 */   GIM_Try, /*On fail goto*//*Label 28974*/ GIMT_Encode4(2203485), // Rule ID 18936 //
     /* 2203399 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203402 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203407 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2203410 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2203413 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2203416 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2203419 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2203422 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2203429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203433 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203437 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203441 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203445 */     // MIs[0] round
     /* 2203445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203448 */     // MIs[0] policy
     /* 2203448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203458 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2203461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203467 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203469 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203471 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203473 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203481 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203484 */     // GIR_Coverage, 18936,
     /* 2203484 */     GIR_EraseRootFromParent_Done,
     /* 2203485 */   // Label 28974: @2203485
     /* 2203485 */   GIM_Try, /*On fail goto*//*Label 28975*/ GIMT_Encode4(2203576), // Rule ID 18937 //
     /* 2203490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203493 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203498 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2203501 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2203504 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2203507 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2203510 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2203513 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2203520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203524 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203532 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203536 */     // MIs[0] round
     /* 2203536 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203539 */     // MIs[0] policy
     /* 2203539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203549 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E16_MASK),
     /* 2203552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203556 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203558 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203560 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203562 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203564 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203572 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203575 */     // GIR_Coverage, 18937,
     /* 2203575 */     GIR_EraseRootFromParent_Done,
     /* 2203576 */   // Label 28975: @2203576
     /* 2203576 */   GIM_Try, /*On fail goto*//*Label 28976*/ GIMT_Encode4(2203667), // Rule ID 18940 //
     /* 2203581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203584 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203589 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2203592 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2203595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2203598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2203601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2203604 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2203611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203619 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203623 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203627 */     // MIs[0] round
     /* 2203627 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203630 */     // MIs[0] policy
     /* 2203630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203640 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2203643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203645 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203649 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203651 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203653 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203663 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203666 */     // GIR_Coverage, 18940,
     /* 2203666 */     GIR_EraseRootFromParent_Done,
     /* 2203667 */   // Label 28976: @2203667
     /* 2203667 */   GIM_Try, /*On fail goto*//*Label 28977*/ GIMT_Encode4(2203758), // Rule ID 18941 //
     /* 2203672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203675 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203680 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2203683 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2203686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2203689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2203692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2203695 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2203702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2203714 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203718 */     // MIs[0] round
     /* 2203718 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203721 */     // MIs[0] policy
     /* 2203721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203724 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203731 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E16_MASK),
     /* 2203734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203740 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203742 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203744 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203754 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203757 */     // GIR_Coverage, 18941,
     /* 2203757 */     GIR_EraseRootFromParent_Done,
     /* 2203758 */   // Label 28977: @2203758
     /* 2203758 */   GIM_Try, /*On fail goto*//*Label 28978*/ GIMT_Encode4(2203849), // Rule ID 18944 //
     /* 2203763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2203766 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203771 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2203774 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2203777 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2203780 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2203783 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2203786 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2203793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203801 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203805 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203809 */     // MIs[0] round
     /* 2203809 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203812 */     // MIs[0] policy
     /* 2203812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203822 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2203822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2203825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203829 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203831 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203833 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203835 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203837 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203845 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203848 */     // GIR_Coverage, 18944,
     /* 2203848 */     GIR_EraseRootFromParent_Done,
     /* 2203849 */   // Label 28978: @2203849
     /* 2203849 */   GIM_Try, /*On fail goto*//*Label 28979*/ GIMT_Encode4(2203940), // Rule ID 18945 //
     /* 2203854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2203857 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203862 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2203865 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2203868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2203871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2203874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2203877 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2203880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2203884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2203888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203892 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2203896 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203900 */     // MIs[0] round
     /* 2203900 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203903 */     // MIs[0] policy
     /* 2203903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203906 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2203913 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2203913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E16_MASK),
     /* 2203916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2203918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2203920 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2203922 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2203924 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2203926 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2203928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2203933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2203936 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2203938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2203939 */     // GIR_Coverage, 18945,
     /* 2203939 */     GIR_EraseRootFromParent_Done,
     /* 2203940 */   // Label 28979: @2203940
     /* 2203940 */   GIM_Try, /*On fail goto*//*Label 28980*/ GIMT_Encode4(2204031), // Rule ID 18948 //
     /* 2203945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2203948 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2203953 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2203956 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2203959 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2203962 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2203965 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2203968 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2203971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2203975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203979 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203983 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2203987 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2203991 */     // MIs[0] round
     /* 2203991 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2203994 */     // MIs[0] policy
     /* 2203994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2203997 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204004 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2204007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204013 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204015 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204017 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204019 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204027 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204030 */     // GIR_Coverage, 18948,
     /* 2204030 */     GIR_EraseRootFromParent_Done,
     /* 2204031 */   // Label 28980: @2204031
     /* 2204031 */   GIM_Try, /*On fail goto*//*Label 28981*/ GIMT_Encode4(2204122), // Rule ID 18949 //
     /* 2204036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2204039 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204044 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2204047 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2204050 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2204053 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2204056 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2204059 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204066 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204070 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204078 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204082 */     // MIs[0] round
     /* 2204082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204085 */     // MIs[0] policy
     /* 2204085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204095 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_MF2_E32_MASK),
     /* 2204098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204104 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204106 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204108 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204118 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204121 */     // GIR_Coverage, 18949,
     /* 2204121 */     GIR_EraseRootFromParent_Done,
     /* 2204122 */   // Label 28981: @2204122
     /* 2204122 */   GIM_Try, /*On fail goto*//*Label 28982*/ GIMT_Encode4(2204213), // Rule ID 18952 //
     /* 2204127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2204130 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204135 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2204138 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2204141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2204144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2204147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2204150 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204153 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2204157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204165 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204169 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204173 */     // MIs[0] round
     /* 2204173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204176 */     // MIs[0] policy
     /* 2204176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204179 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204186 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2204189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204193 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204195 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204197 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204199 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204209 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204212 */     // GIR_Coverage, 18952,
     /* 2204212 */     GIR_EraseRootFromParent_Done,
     /* 2204213 */   // Label 28982: @2204213
     /* 2204213 */   GIM_Try, /*On fail goto*//*Label 28983*/ GIMT_Encode4(2204304), // Rule ID 18953 //
     /* 2204218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2204221 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204226 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2204229 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2204232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2204235 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2204238 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2204241 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204244 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2204248 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204252 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204260 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204264 */     // MIs[0] round
     /* 2204264 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204267 */     // MIs[0] policy
     /* 2204267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204270 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204277 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M1_E32_MASK),
     /* 2204280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204284 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204286 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204288 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204290 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204300 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204303 */     // GIR_Coverage, 18953,
     /* 2204303 */     GIR_EraseRootFromParent_Done,
     /* 2204304 */   // Label 28983: @2204304
     /* 2204304 */   GIM_Try, /*On fail goto*//*Label 28984*/ GIMT_Encode4(2204395), // Rule ID 18956 //
     /* 2204309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2204312 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204317 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2204320 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2204323 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2204326 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2204329 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2204332 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2204339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204351 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204355 */     // MIs[0] round
     /* 2204355 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204358 */     // MIs[0] policy
     /* 2204358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204361 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204368 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2204371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204377 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204379 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204381 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204391 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204394 */     // GIR_Coverage, 18956,
     /* 2204394 */     GIR_EraseRootFromParent_Done,
     /* 2204395 */   // Label 28984: @2204395
     /* 2204395 */   GIM_Try, /*On fail goto*//*Label 28985*/ GIMT_Encode4(2204486), // Rule ID 18957 //
     /* 2204400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2204403 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204408 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2204411 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2204414 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2204417 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2204420 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2204423 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204426 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2204430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204434 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204438 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2204442 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204446 */     // MIs[0] round
     /* 2204446 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204449 */     // MIs[0] policy
     /* 2204449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204452 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204459 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M2_E32_MASK),
     /* 2204462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204468 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204470 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204472 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204474 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204482 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204485 */     // GIR_Coverage, 18957,
     /* 2204485 */     GIR_EraseRootFromParent_Done,
     /* 2204486 */   // Label 28985: @2204486
     /* 2204486 */   GIM_Try, /*On fail goto*//*Label 28986*/ GIMT_Encode4(2204577), // Rule ID 18960 //
     /* 2204491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2204494 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204499 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2204502 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2204505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2204508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2204511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2204514 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2204521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204525 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204529 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204533 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204537 */     // MIs[0] round
     /* 2204537 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204540 */     // MIs[0] policy
     /* 2204540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204543 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204550 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2204553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204557 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204559 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204561 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204563 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204565 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204573 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204576 */     // GIR_Coverage, 18960,
     /* 2204576 */     GIR_EraseRootFromParent_Done,
     /* 2204577 */   // Label 28986: @2204577
     /* 2204577 */   GIM_Try, /*On fail goto*//*Label 28987*/ GIMT_Encode4(2204668), // Rule ID 18961 //
     /* 2204582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2204585 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204590 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2204593 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2204596 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2204599 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2204602 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2204605 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2204612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2204616 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204620 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2204624 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204628 */     // MIs[0] round
     /* 2204628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204631 */     // MIs[0] policy
     /* 2204631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204634 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204641 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VV_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VV_M4_E32_MASK),
     /* 2204644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204648 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204650 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204652 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204654 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2204664 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204667 */     // GIR_Coverage, 18961,
     /* 2204667 */     GIR_EraseRootFromParent_Done,
     /* 2204668 */   // Label 28987: @2204668
     /* 2204668 */   GIM_Try, /*On fail goto*//*Label 28988*/ GIMT_Encode4(2204759), // Rule ID 18964 //
     /* 2204673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2204676 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204681 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2204684 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2204687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2204690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2204693 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2204696 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204707 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2204711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204715 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204719 */     // MIs[0] round
     /* 2204719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204722 */     // MIs[0] policy
     /* 2204722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204732 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2204735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204741 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204743 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204745 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204747 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204755 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204757 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204758 */     // GIR_Coverage, 18964,
     /* 2204758 */     GIR_EraseRootFromParent_Done,
     /* 2204759 */   // Label 28988: @2204759
     /* 2204759 */   GIM_Try, /*On fail goto*//*Label 28989*/ GIMT_Encode4(2204850), // Rule ID 18965 //
     /* 2204764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2204767 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204772 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s32,
     /* 2204775 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2204778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2204781 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s16,
     /* 2204784 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2204787 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204790 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204794 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204798 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2204802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204806 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204810 */     // MIs[0] round
     /* 2204810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204813 */     // MIs[0] policy
     /* 2204813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204816 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204823 */     // (intrinsic_wo_chain:{ *:[nxv1f32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF4_E16_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2204823 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF4_E16_MASK),
     /* 2204826 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204830 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204832 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204834 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204836 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204838 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204846 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204849 */     // GIR_Coverage, 18965,
     /* 2204849 */     GIR_EraseRootFromParent_Done,
     /* 2204850 */   // Label 28989: @2204850
     /* 2204850 */   GIM_Try, /*On fail goto*//*Label 28990*/ GIMT_Encode4(2204941), // Rule ID 18968 //
     /* 2204855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2204858 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204863 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2204866 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2204869 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2204872 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2204875 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2204878 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2204881 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2204893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204897 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204901 */     // MIs[0] round
     /* 2204901 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204904 */     // MIs[0] policy
     /* 2204904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204907 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2204914 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2204914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2204917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2204919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2204921 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2204923 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2204925 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2204927 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2204929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2204934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2204937 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2204939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2204940 */     // GIR_Coverage, 18968,
     /* 2204940 */     GIR_EraseRootFromParent_Done,
     /* 2204941 */   // Label 28990: @2204941
     /* 2204941 */   GIM_Try, /*On fail goto*//*Label 28991*/ GIMT_Encode4(2205032), // Rule ID 18969 //
     /* 2204946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2204949 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2204954 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s32,
     /* 2204957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2204960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2204963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s16,
     /* 2204966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2204969 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2204972 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2204976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204980 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2204984 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2204988 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2204992 */     // MIs[0] round
     /* 2204992 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2204995 */     // MIs[0] policy
     /* 2204995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2204998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205005 */     // (intrinsic_wo_chain:{ *:[nxv2f32] } 11310:{ *:[iPTR] }, VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_MF2_E16_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_MF2_E16_MASK),
     /* 2205008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205012 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205014 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205016 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205018 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205028 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205031 */     // GIR_Coverage, 18969,
     /* 2205031 */     GIR_EraseRootFromParent_Done,
     /* 2205032 */   // Label 28991: @2205032
     /* 2205032 */   GIM_Try, /*On fail goto*//*Label 28992*/ GIMT_Encode4(2205123), // Rule ID 18972 //
     /* 2205037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2205040 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205045 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2205048 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2205051 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2205054 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2205057 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2205060 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205063 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2205067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205075 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205079 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205083 */     // MIs[0] round
     /* 2205083 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205086 */     // MIs[0] policy
     /* 2205086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205096 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2205099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205105 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205107 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205109 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205111 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205119 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205121 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205122 */     // GIR_Coverage, 18972,
     /* 2205122 */     GIR_EraseRootFromParent_Done,
     /* 2205123 */   // Label 28992: @2205123
     /* 2205123 */   GIM_Try, /*On fail goto*//*Label 28993*/ GIMT_Encode4(2205214), // Rule ID 18973 //
     /* 2205128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2205131 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205136 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s32,
     /* 2205139 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2205142 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2205145 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s16,
     /* 2205148 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2205151 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2205158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205162 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205166 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205170 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205174 */     // MIs[0] round
     /* 2205174 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205177 */     // MIs[0] policy
     /* 2205177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205180 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205187 */     // (intrinsic_wo_chain:{ *:[nxv4f32] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M1_E16_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M1_E16_MASK),
     /* 2205190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205194 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205196 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205198 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205200 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205202 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205210 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205213 */     // GIR_Coverage, 18973,
     /* 2205213 */     GIR_EraseRootFromParent_Done,
     /* 2205214 */   // Label 28993: @2205214
     /* 2205214 */   GIM_Try, /*On fail goto*//*Label 28994*/ GIMT_Encode4(2205305), // Rule ID 18976 //
     /* 2205219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2205222 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205227 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2205230 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2205233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2205236 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2205239 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2205242 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205245 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2205249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205253 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205261 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205265 */     // MIs[0] round
     /* 2205265 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205268 */     // MIs[0] policy
     /* 2205268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205271 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205278 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2205281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205285 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205287 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205289 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205291 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205301 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205304 */     // GIR_Coverage, 18976,
     /* 2205304 */     GIR_EraseRootFromParent_Done,
     /* 2205305 */   // Label 28994: @2205305
     /* 2205305 */   GIM_Try, /*On fail goto*//*Label 28995*/ GIMT_Encode4(2205396), // Rule ID 18977 //
     /* 2205310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2205313 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205318 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s32,
     /* 2205321 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2205324 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2205327 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s16,
     /* 2205330 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2205333 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2205340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205348 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205352 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205356 */     // MIs[0] round
     /* 2205356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205359 */     // MIs[0] policy
     /* 2205359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205362 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205369 */     // (intrinsic_wo_chain:{ *:[nxv8f32] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M2_E16_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M2_E16_MASK),
     /* 2205372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205374 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205376 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205378 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205380 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205382 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205384 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205392 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205395 */     // GIR_Coverage, 18977,
     /* 2205395 */     GIR_EraseRootFromParent_Done,
     /* 2205396 */   // Label 28995: @2205396
     /* 2205396 */   GIM_Try, /*On fail goto*//*Label 28996*/ GIMT_Encode4(2205487), // Rule ID 18980 //
     /* 2205401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode0),
     /* 2205404 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205409 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2205412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2205415 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2205418 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2205421 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2205424 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205427 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2205431 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205435 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205443 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205447 */     // MIs[0] round
     /* 2205447 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205450 */     // MIs[0] policy
     /* 2205450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205453 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205460 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2205463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205469 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205471 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205473 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205483 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205486 */     // GIR_Coverage, 18980,
     /* 2205486 */     GIR_EraseRootFromParent_Done,
     /* 2205487 */   // Label 28996: @2205487
     /* 2205487 */   GIM_Try, /*On fail goto*//*Label 28997*/ GIMT_Encode4(2205578), // Rule ID 18981 //
     /* 2205492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16_HwMode1),
     /* 2205495 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205500 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s32,
     /* 2205503 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2205506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2205509 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s16,
     /* 2205512 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2205515 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205518 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2205522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2205526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2205530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205534 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205538 */     // MIs[0] round
     /* 2205538 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205541 */     // MIs[0] policy
     /* 2205541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205544 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205551 */     // (intrinsic_wo_chain:{ *:[nxv16f32] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR16_M4_E16_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs3, FPR16:{ *:[f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR16_M4_E16_MASK),
     /* 2205554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205560 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205562 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205564 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205566 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2205574 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205577 */     // GIR_Coverage, 18981,
     /* 2205577 */     GIR_EraseRootFromParent_Done,
     /* 2205578 */   // Label 28997: @2205578
     /* 2205578 */   GIM_Try, /*On fail goto*//*Label 28998*/ GIMT_Encode4(2205669), // Rule ID 18984 //
     /* 2205583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2205586 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205591 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2205594 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2205597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2205600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2205603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2205606 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205609 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205621 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205625 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205629 */     // MIs[0] round
     /* 2205629 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205632 */     // MIs[0] policy
     /* 2205632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205635 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205642 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2205645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205651 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205653 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205655 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205657 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205665 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205668 */     // GIR_Coverage, 18984,
     /* 2205668 */     GIR_EraseRootFromParent_Done,
     /* 2205669 */   // Label 28998: @2205669
     /* 2205669 */   GIM_Try, /*On fail goto*//*Label 28999*/ GIMT_Encode4(2205760), // Rule ID 18985 //
     /* 2205674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2205677 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205682 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s64,
     /* 2205685 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2205688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2205691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s32,
     /* 2205694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2205697 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205700 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2205704 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205708 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205712 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205716 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205720 */     // MIs[0] round
     /* 2205720 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205723 */     // MIs[0] policy
     /* 2205723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205733 */     // (intrinsic_wo_chain:{ *:[nxv1f64] } 11310:{ *:[iPTR] }, VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_MF2_E32_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_MF2_E32_MASK),
     /* 2205736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205742 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205744 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205746 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205748 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205756 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205759 */     // GIR_Coverage, 18985,
     /* 2205759 */     GIR_EraseRootFromParent_Done,
     /* 2205760 */   // Label 28999: @2205760
     /* 2205760 */   GIM_Try, /*On fail goto*//*Label 29000*/ GIMT_Encode4(2205851), // Rule ID 18988 //
     /* 2205765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2205768 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205773 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2205776 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2205779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2205782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2205785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2205788 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2205795 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205799 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205803 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205807 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205811 */     // MIs[0] round
     /* 2205811 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205814 */     // MIs[0] policy
     /* 2205814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205817 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205824 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2205824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2205827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205833 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205835 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205837 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205839 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205847 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205850 */     // GIR_Coverage, 18988,
     /* 2205850 */     GIR_EraseRootFromParent_Done,
     /* 2205851 */   // Label 29000: @2205851
     /* 2205851 */   GIM_Try, /*On fail goto*//*Label 29001*/ GIMT_Encode4(2205942), // Rule ID 18989 //
     /* 2205856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2205859 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205864 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s64,
     /* 2205867 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2205870 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2205873 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s32,
     /* 2205876 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2205879 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2205882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2205886 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205890 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205894 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2205898 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205902 */     // MIs[0] round
     /* 2205902 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205905 */     // MIs[0] policy
     /* 2205905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205908 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2205915 */     // (intrinsic_wo_chain:{ *:[nxv2f64] } 11310:{ *:[iPTR] }, VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M1_E32_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2205915 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M1_E32_MASK),
     /* 2205918 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2205920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2205922 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2205924 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2205926 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2205928 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2205930 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2205935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2205938 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2205940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2205941 */     // GIR_Coverage, 18989,
     /* 2205941 */     GIR_EraseRootFromParent_Done,
     /* 2205942 */   // Label 29001: @2205942
     /* 2205942 */   GIM_Try, /*On fail goto*//*Label 29002*/ GIMT_Encode4(2206033), // Rule ID 18992 //
     /* 2205947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2205950 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2205955 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2205958 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2205961 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2205964 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2205967 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2205970 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2205973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2205977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2205981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2205985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2205989 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2205993 */     // MIs[0] round
     /* 2205993 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2205996 */     // MIs[0] policy
     /* 2205996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2205999 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206006 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2206009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2206013 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206015 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206017 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206019 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206029 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206032 */     // GIR_Coverage, 18992,
     /* 2206032 */     GIR_EraseRootFromParent_Done,
     /* 2206033 */   // Label 29002: @2206033
     /* 2206033 */   GIM_Try, /*On fail goto*//*Label 29003*/ GIMT_Encode4(2206124), // Rule ID 18993 //
     /* 2206038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206041 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2206046 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s64,
     /* 2206049 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2206052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s32,
     /* 2206058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2206061 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2206068 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206072 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206076 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206080 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206084 */     // MIs[0] round
     /* 2206084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206087 */     // MIs[0] policy
     /* 2206087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206090 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206097 */     // (intrinsic_wo_chain:{ *:[nxv4f64] } 11310:{ *:[iPTR] }, VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M2_E32_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206097 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M2_E32_MASK),
     /* 2206100 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2206104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206106 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206108 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206110 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206120 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206123 */     // GIR_Coverage, 18993,
     /* 2206123 */     GIR_EraseRootFromParent_Done,
     /* 2206124 */   // Label 29003: @2206124
     /* 2206124 */   GIM_Try, /*On fail goto*//*Label 29004*/ GIMT_Encode4(2206215), // Rule ID 18996 //
     /* 2206129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2206132 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2206137 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2206140 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2206143 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206146 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2206149 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2206152 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206155 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2206159 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206163 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206167 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206171 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206175 */     // MIs[0] round
     /* 2206175 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206178 */     // MIs[0] policy
     /* 2206178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206181 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206188 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2206191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206193 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2206195 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206197 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206199 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206201 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206211 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206214 */     // GIR_Coverage, 18996,
     /* 2206214 */     GIR_EraseRootFromParent_Done,
     /* 2206215 */   // Label 29004: @2206215
     /* 2206215 */   GIM_Try, /*On fail goto*//*Label 29005*/ GIMT_Encode4(2206306), // Rule ID 18997 //
     /* 2206220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2206223 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_vfwnmsac_mask),
     /* 2206228 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s64,
     /* 2206231 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2206234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2206237 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s32,
     /* 2206240 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2206243 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206246 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2206250 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2206254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206258 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206262 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206266 */     // MIs[0] round
     /* 2206266 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206269 */     // MIs[0] policy
     /* 2206269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206279 */     // (intrinsic_wo_chain:{ *:[nxv8f64] } 11310:{ *:[iPTR] }, VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFWNMSAC_VFPR32_M4_E32_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs3, FPR32:{ *:[f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWNMSAC_VFPR32_M4_E32_MASK),
     /* 2206282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs3
     /* 2206286 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206288 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206290 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206292 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206294 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2206302 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206305 */     // GIR_Coverage, 18997,
     /* 2206305 */     GIR_EraseRootFromParent_Done,
     /* 2206306 */   // Label 29005: @2206306
     /* 2206306 */   GIM_Try, /*On fail goto*//*Label 29006*/ GIMT_Encode4(2206397), // Rule ID 64355 //
     /* 2206311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2206314 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2206319 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2206322 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2206325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2206328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2206334 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206337 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206345 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206349 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206353 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206357 */     // MIs[0] round
     /* 2206357 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206360 */     // MIs[0] policy
     /* 2206360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206363 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206370 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2206373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206375 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206379 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206381 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206383 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206385 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206393 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206395 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206396 */     // GIR_Coverage, 64355,
     /* 2206396 */     GIR_EraseRootFromParent_Done,
     /* 2206397 */   // Label 29006: @2206397
     /* 2206397 */   GIM_Try, /*On fail goto*//*Label 29007*/ GIMT_Encode4(2206488), // Rule ID 64356 //
     /* 2206402 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2206405 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2206410 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2206413 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2206416 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2206419 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206422 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2206425 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206432 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206436 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206440 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206444 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206448 */     // MIs[0] round
     /* 2206448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206451 */     // MIs[0] policy
     /* 2206451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206461 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF8_MASK),
     /* 2206464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206466 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206470 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206472 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206474 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206484 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206487 */     // GIR_Coverage, 64356,
     /* 2206487 */     GIR_EraseRootFromParent_Done,
     /* 2206488 */   // Label 29007: @2206488
     /* 2206488 */   GIM_Try, /*On fail goto*//*Label 29008*/ GIMT_Encode4(2206579), // Rule ID 64359 //
     /* 2206493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2206496 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2206501 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2206504 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2206507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2206510 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206513 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2206516 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206523 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206527 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206531 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206535 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206539 */     // MIs[0] round
     /* 2206539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206542 */     // MIs[0] policy
     /* 2206542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206545 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206552 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2206555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206557 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206561 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206563 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206565 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206567 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206575 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206578 */     // GIR_Coverage, 64359,
     /* 2206578 */     GIR_EraseRootFromParent_Done,
     /* 2206579 */   // Label 29008: @2206579
     /* 2206579 */   GIM_Try, /*On fail goto*//*Label 29009*/ GIMT_Encode4(2206670), // Rule ID 64360 //
     /* 2206584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2206587 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2206592 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2206595 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2206598 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2206601 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206604 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2206607 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206618 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206622 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206626 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206630 */     // MIs[0] round
     /* 2206630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206633 */     // MIs[0] policy
     /* 2206633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206636 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206643 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF4_MASK),
     /* 2206646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206648 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206652 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206654 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206656 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206666 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206669 */     // GIR_Coverage, 64360,
     /* 2206669 */     GIR_EraseRootFromParent_Done,
     /* 2206670 */   // Label 29009: @2206670
     /* 2206670 */   GIM_Try, /*On fail goto*//*Label 29010*/ GIMT_Encode4(2206761), // Rule ID 64363 //
     /* 2206675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2206678 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2206683 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2206686 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2206689 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2206692 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206695 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2206698 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206701 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206717 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206721 */     // MIs[0] round
     /* 2206721 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206724 */     // MIs[0] policy
     /* 2206724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206727 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206734 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2206737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206739 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206743 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206745 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206747 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206757 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206760 */     // GIR_Coverage, 64363,
     /* 2206760 */     GIR_EraseRootFromParent_Done,
     /* 2206761 */   // Label 29010: @2206761
     /* 2206761 */   GIM_Try, /*On fail goto*//*Label 29011*/ GIMT_Encode4(2206852), // Rule ID 64364 //
     /* 2206766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2206769 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2206774 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2206777 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2206780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2206783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2206789 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206800 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2206804 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206808 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206812 */     // MIs[0] round
     /* 2206812 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206815 */     // MIs[0] policy
     /* 2206815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206818 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206825 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2206825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_MF2_MASK),
     /* 2206828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206830 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206832 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206834 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206836 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206838 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206840 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206848 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206851 */     // GIR_Coverage, 64364,
     /* 2206851 */     GIR_EraseRootFromParent_Done,
     /* 2206852 */   // Label 29011: @2206852
     /* 2206852 */   GIM_Try, /*On fail goto*//*Label 29012*/ GIMT_Encode4(2206943), // Rule ID 64367 //
     /* 2206857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2206860 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2206865 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2206868 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2206871 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2206874 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206877 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2206880 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2206883 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206887 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206891 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206899 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206903 */     // MIs[0] round
     /* 2206903 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206906 */     // MIs[0] policy
     /* 2206906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2206909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2206916 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2206916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2206919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2206921 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2206923 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2206925 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2206927 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2206929 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2206931 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2206936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2206939 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2206941 */     GIR_RootConstrainSelectedInstOperands,
     /* 2206942 */     // GIR_Coverage, 64367,
     /* 2206942 */     GIR_EraseRootFromParent_Done,
     /* 2206943 */   // Label 29012: @2206943
     /* 2206943 */   GIM_Try, /*On fail goto*//*Label 29013*/ GIMT_Encode4(2207034), // Rule ID 64368 //
     /* 2206948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2206951 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2206956 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2206959 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2206962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2206965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2206968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2206971 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2206974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2206978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2206982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2206986 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2206990 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2206994 */     // MIs[0] round
     /* 2206994 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2206997 */     // MIs[0] policy
     /* 2206997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207007 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11099:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M1_MASK),
     /* 2207010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207012 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207016 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207018 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207020 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207022 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207030 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207033 */     // GIR_Coverage, 64368,
     /* 2207033 */     GIR_EraseRootFromParent_Done,
     /* 2207034 */   // Label 29013: @2207034
     /* 2207034 */   GIM_Try, /*On fail goto*//*Label 29014*/ GIMT_Encode4(2207125), // Rule ID 64371 //
     /* 2207039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2207042 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2207047 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2207050 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2207053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2207056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2207062 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2207069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207081 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207085 */     // MIs[0] round
     /* 2207085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207088 */     // MIs[0] policy
     /* 2207088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207091 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207098 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2207101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207103 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207107 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207109 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207111 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207113 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207121 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207124 */     // GIR_Coverage, 64371,
     /* 2207124 */     GIR_EraseRootFromParent_Done,
     /* 2207125 */   // Label 29014: @2207125
     /* 2207125 */   GIM_Try, /*On fail goto*//*Label 29015*/ GIMT_Encode4(2207216), // Rule ID 64372 //
     /* 2207130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2207133 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_xu_f_qf_mask),
     /* 2207138 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2207141 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2207144 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2207147 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207150 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2207153 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2207160 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207164 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207168 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207172 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207176 */     // MIs[0] round
     /* 2207176 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207179 */     // MIs[0] policy
     /* 2207179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207189 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11099:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_XU_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_XU_F_QF_M2_MASK),
     /* 2207192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207194 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207198 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207200 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207202 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207212 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207215 */     // GIR_Coverage, 64372,
     /* 2207215 */     GIR_EraseRootFromParent_Done,
     /* 2207216 */   // Label 29015: @2207216
     /* 2207216 */   GIM_Try, /*On fail goto*//*Label 29016*/ GIMT_Encode4(2207307), // Rule ID 64375 //
     /* 2207221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2207224 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207229 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2207232 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2207235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2207238 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207241 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2207244 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207255 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207259 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207263 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207267 */     // MIs[0] round
     /* 2207267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207270 */     // MIs[0] policy
     /* 2207270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207273 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207280 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2207283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207285 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207287 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207289 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207291 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207293 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207295 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207303 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207306 */     // GIR_Coverage, 64375,
     /* 2207306 */     GIR_EraseRootFromParent_Done,
     /* 2207307 */   // Label 29016: @2207307
     /* 2207307 */   GIM_Try, /*On fail goto*//*Label 29017*/ GIMT_Encode4(2207398), // Rule ID 64376 //
     /* 2207312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2207315 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207320 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s8,
     /* 2207323 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2207326 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2207329 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207332 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2207335 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207346 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207350 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207354 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207358 */     // MIs[0] round
     /* 2207358 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207361 */     // MIs[0] policy
     /* 2207361 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207364 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207371 */     // (intrinsic_wo_chain:{ *:[nxv1i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF8_MASK),
     /* 2207374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207376 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207380 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207382 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207384 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207394 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207397 */     // GIR_Coverage, 64376,
     /* 2207397 */     GIR_EraseRootFromParent_Done,
     /* 2207398 */   // Label 29017: @2207398
     /* 2207398 */   GIM_Try, /*On fail goto*//*Label 29018*/ GIMT_Encode4(2207489), // Rule ID 64379 //
     /* 2207403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2207406 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207411 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2207414 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2207417 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2207420 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207423 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2207426 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207429 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207433 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207437 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207445 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207449 */     // MIs[0] round
     /* 2207449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207452 */     // MIs[0] policy
     /* 2207452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207462 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2207465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207467 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207471 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207473 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207475 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207477 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207485 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207488 */     // GIR_Coverage, 64379,
     /* 2207488 */     GIR_EraseRootFromParent_Done,
     /* 2207489 */   // Label 29018: @2207489
     /* 2207489 */   GIM_Try, /*On fail goto*//*Label 29019*/ GIMT_Encode4(2207580), // Rule ID 64380 //
     /* 2207494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2207497 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207502 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s8,
     /* 2207505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2207508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2207511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2207517 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207520 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207524 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207528 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207532 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207536 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207540 */     // MIs[0] round
     /* 2207540 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207543 */     // MIs[0] policy
     /* 2207543 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207546 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207553 */     // (intrinsic_wo_chain:{ *:[nxv2i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF4_MASK),
     /* 2207556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207558 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207560 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207562 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207564 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207566 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207576 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207579 */     // GIR_Coverage, 64380,
     /* 2207579 */     GIR_EraseRootFromParent_Done,
     /* 2207580 */   // Label 29019: @2207580
     /* 2207580 */   GIM_Try, /*On fail goto*//*Label 29020*/ GIMT_Encode4(2207671), // Rule ID 64383 //
     /* 2207585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2207588 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207593 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2207596 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2207599 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2207602 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207605 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2207608 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207615 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207619 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207623 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207627 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207631 */     // MIs[0] round
     /* 2207631 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207634 */     // MIs[0] policy
     /* 2207634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207644 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2207647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207649 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207651 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207653 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207655 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207657 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207659 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207667 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207670 */     // GIR_Coverage, 64383,
     /* 2207670 */     GIR_EraseRootFromParent_Done,
     /* 2207671 */   // Label 29020: @2207671
     /* 2207671 */   GIM_Try, /*On fail goto*//*Label 29021*/ GIMT_Encode4(2207762), // Rule ID 64384 //
     /* 2207676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2207679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s8,
     /* 2207687 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2207690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2207693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2207699 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207714 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207718 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207722 */     // MIs[0] round
     /* 2207722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207725 */     // MIs[0] policy
     /* 2207725 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207735 */     // (intrinsic_wo_chain:{ *:[nxv4i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_MF2_MASK),
     /* 2207738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207740 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207744 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207746 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207748 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207750 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207758 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207761 */     // GIR_Coverage, 64384,
     /* 2207761 */     GIR_EraseRootFromParent_Done,
     /* 2207762 */   // Label 29021: @2207762
     /* 2207762 */   GIM_Try, /*On fail goto*//*Label 29022*/ GIMT_Encode4(2207853), // Rule ID 64387 //
     /* 2207767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2207770 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207775 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2207778 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2207781 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2207784 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207787 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2207790 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207793 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207801 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207805 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207809 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207813 */     // MIs[0] round
     /* 2207813 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207816 */     // MIs[0] policy
     /* 2207816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207819 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207826 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2207826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2207829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207831 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207833 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207835 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207837 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207839 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207841 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207849 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207852 */     // GIR_Coverage, 64387,
     /* 2207852 */     GIR_EraseRootFromParent_Done,
     /* 2207853 */   // Label 29022: @2207853
     /* 2207853 */   GIM_Try, /*On fail goto*//*Label 29023*/ GIMT_Encode4(2207944), // Rule ID 64388 //
     /* 2207858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2207861 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207866 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s8,
     /* 2207869 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2207872 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2207875 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207878 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2207881 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2207884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2207888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2207892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2207896 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207900 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207904 */     // MIs[0] round
     /* 2207904 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207907 */     // MIs[0] policy
     /* 2207907 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2207910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2207917 */     // (intrinsic_wo_chain:{ *:[nxv8i8] } 11097:{ *:[iPTR] }, VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2207917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M1_MASK),
     /* 2207920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2207922 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2207924 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2207926 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2207928 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2207930 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2207932 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2207937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2207940 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2207942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2207943 */     // GIR_Coverage, 64388,
     /* 2207943 */     GIR_EraseRootFromParent_Done,
     /* 2207944 */   // Label 29023: @2207944
     /* 2207944 */   GIM_Try, /*On fail goto*//*Label 29024*/ GIMT_Encode4(2208035), // Rule ID 64391 //
     /* 2207949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode0),
     /* 2207952 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2207957 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2207960 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2207963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2207966 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2207969 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2207972 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2207975 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2207979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2207983 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2207987 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2207991 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2207995 */     // MIs[0] round
     /* 2207995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2207998 */     // MIs[0] policy
     /* 2207998 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208001 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208008 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208008 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2208011 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208013 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208017 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208019 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208021 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208023 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208031 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208033 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208034 */     // GIR_Coverage, 64391,
     /* 2208034 */     GIR_EraseRootFromParent_Done,
     /* 2208035 */   // Label 29024: @2208035
     /* 2208035 */   GIM_Try, /*On fail goto*//*Label 29025*/ GIMT_Encode4(2208126), // Rule ID 64392 //
     /* 2208040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXSfvfnrclipxfqf_HwMode1),
     /* 2208043 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_sf_vfnrclip_x_f_qf_mask),
     /* 2208048 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s8,
     /* 2208051 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2208054 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2208057 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208060 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2208063 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2208070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2208078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208082 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208086 */     // MIs[0] round
     /* 2208086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208089 */     // MIs[0] policy
     /* 2208089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208099 */     // (intrinsic_wo_chain:{ *:[nxv16i8] } 11097:{ *:[iPTR] }, VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVFNRCLIP_X_F_QF_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNRCLIP_X_F_QF_M2_MASK),
     /* 2208102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208104 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208106 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208108 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208110 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208112 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208114 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2208122 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208125 */     // GIR_Coverage, 64392,
     /* 2208125 */     GIR_EraseRootFromParent_Done,
     /* 2208126 */   // Label 29025: @2208126
     /* 2208126 */   GIM_Try, /*On fail goto*//*Label 29026*/ GIMT_Encode4(2208217), // Rule ID 65087 //
     /* 2208131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2208134 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208139 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2208142 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2208145 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2208148 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208151 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2208154 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208161 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208165 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208173 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208177 */     // MIs[0] round
     /* 2208177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208180 */     // MIs[0] policy
     /* 2208180 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208190 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4_MASK),
     /* 2208193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208195 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208199 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208201 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208203 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208205 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208213 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208216 */     // GIR_Coverage, 65087,
     /* 2208216 */     GIR_EraseRootFromParent_Done,
     /* 2208217 */   // Label 29026: @2208217
     /* 2208217 */   GIM_Try, /*On fail goto*//*Label 29027*/ GIMT_Encode4(2208308), // Rule ID 65088 //
     /* 2208222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2208225 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208230 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2208233 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2208236 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2208239 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208242 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2208245 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208252 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208256 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208260 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208264 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208268 */     // MIs[0] round
     /* 2208268 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208271 */     // MIs[0] policy
     /* 2208271 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208274 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208281 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF4_MASK),
     /* 2208284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208286 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208288 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208290 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208292 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208294 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208304 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208307 */     // GIR_Coverage, 65088,
     /* 2208307 */     GIR_EraseRootFromParent_Done,
     /* 2208308 */   // Label 29027: @2208308
     /* 2208308 */   GIM_Try, /*On fail goto*//*Label 29028*/ GIMT_Encode4(2208399), // Rule ID 65091 //
     /* 2208313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2208316 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208321 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2208324 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2208327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2208330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2208336 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208343 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208347 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208351 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208355 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208359 */     // MIs[0] round
     /* 2208359 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208362 */     // MIs[0] policy
     /* 2208362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208365 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208372 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2_MASK),
     /* 2208375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208377 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208379 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208381 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208383 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208385 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208387 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208395 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208398 */     // GIR_Coverage, 65091,
     /* 2208398 */     GIR_EraseRootFromParent_Done,
     /* 2208399 */   // Label 29028: @2208399
     /* 2208399 */   GIM_Try, /*On fail goto*//*Label 29029*/ GIMT_Encode4(2208490), // Rule ID 65092 //
     /* 2208404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2208407 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208412 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2208415 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2208418 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2208421 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208424 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2208427 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208430 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208442 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208446 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208450 */     // MIs[0] round
     /* 2208450 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208453 */     // MIs[0] policy
     /* 2208453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208463 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_MF2_MASK),
     /* 2208466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208468 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208472 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208474 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208476 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208478 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208486 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208489 */     // GIR_Coverage, 65092,
     /* 2208489 */     GIR_EraseRootFromParent_Done,
     /* 2208490 */   // Label 29029: @2208490
     /* 2208490 */   GIM_Try, /*On fail goto*//*Label 29030*/ GIMT_Encode4(2208581), // Rule ID 65095 //
     /* 2208495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2208498 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208503 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2208506 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2208509 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2208512 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208515 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2208518 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208521 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208529 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208533 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208537 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208541 */     // MIs[0] round
     /* 2208541 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208544 */     // MIs[0] policy
     /* 2208544 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208547 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208554 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1_MASK),
     /* 2208557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208559 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208563 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208565 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208567 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208569 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208577 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208580 */     // GIR_Coverage, 65095,
     /* 2208580 */     GIR_EraseRootFromParent_Done,
     /* 2208581 */   // Label 29030: @2208581
     /* 2208581 */   GIM_Try, /*On fail goto*//*Label 29031*/ GIMT_Encode4(2208672), // Rule ID 65096 //
     /* 2208586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2208589 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208594 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2208597 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2208600 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2208603 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208606 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2208609 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2208616 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208620 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2208624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208628 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208632 */     // MIs[0] round
     /* 2208632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208635 */     // MIs[0] policy
     /* 2208635 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208638 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208645 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11036:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M1_MASK),
     /* 2208648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208650 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208652 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208654 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208656 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208658 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208668 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208671 */     // GIR_Coverage, 65096,
     /* 2208671 */     GIR_EraseRootFromParent_Done,
     /* 2208672 */   // Label 29031: @2208672
     /* 2208672 */   GIM_Try, /*On fail goto*//*Label 29032*/ GIMT_Encode4(2208763), // Rule ID 65099 //
     /* 2208677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2208680 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208685 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2208688 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2208691 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2208694 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208697 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2208700 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2208707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208719 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208723 */     // MIs[0] round
     /* 2208723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208726 */     // MIs[0] policy
     /* 2208726 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208729 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208736 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2_MASK),
     /* 2208739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208741 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208743 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208745 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208747 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208749 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208751 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208759 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208762 */     // GIR_Coverage, 65099,
     /* 2208762 */     GIR_EraseRootFromParent_Done,
     /* 2208763 */   // Label 29032: @2208763
     /* 2208763 */   GIM_Try, /*On fail goto*//*Label 29033*/ GIMT_Encode4(2208854), // Rule ID 65100 //
     /* 2208768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2208771 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208776 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2208779 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2208782 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2208785 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208788 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2208791 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2208798 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2208806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208810 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208814 */     // MIs[0] round
     /* 2208814 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208817 */     // MIs[0] policy
     /* 2208817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208820 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208827 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11036:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2208827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M2_MASK),
     /* 2208830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208832 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208834 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208836 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208838 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208840 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208850 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208853 */     // GIR_Coverage, 65100,
     /* 2208853 */     GIR_EraseRootFromParent_Done,
     /* 2208854 */   // Label 29033: @2208854
     /* 2208854 */   GIM_Try, /*On fail goto*//*Label 29034*/ GIMT_Encode4(2208945), // Rule ID 65103 //
     /* 2208859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2208862 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208867 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2208870 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2208873 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2208876 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208879 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2208882 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2208885 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2208889 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208893 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208897 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208901 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208905 */     // MIs[0] round
     /* 2208905 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208908 */     // MIs[0] policy
     /* 2208908 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2208911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2208918 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2208918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4_MASK),
     /* 2208921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2208923 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2208925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2208927 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2208929 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2208931 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2208933 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2208938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2208941 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2208943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2208944 */     // GIR_Coverage, 65103,
     /* 2208944 */     GIR_EraseRootFromParent_Done,
     /* 2208945 */   // Label 29034: @2208945
     /* 2208945 */   GIM_Try, /*On fail goto*//*Label 29035*/ GIMT_Encode4(2209036), // Rule ID 65104 //
     /* 2208950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2208953 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2208958 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2208961 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2208964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2208967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2208970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2208973 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2208976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2208980 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208984 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2208988 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2208992 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2208996 */     // MIs[0] round
     /* 2208996 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2208999 */     // MIs[0] policy
     /* 2208999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209009 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11036:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M4_MASK),
     /* 2209012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209014 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209018 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209020 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209022 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209032 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209035 */     // GIR_Coverage, 65104,
     /* 2209035 */     GIR_EraseRootFromParent_Done,
     /* 2209036 */   // Label 29035: @2209036
     /* 2209036 */   GIM_Try, /*On fail goto*//*Label 29036*/ GIMT_Encode4(2209127), // Rule ID 65107 //
     /* 2209041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2209044 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2209049 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2209052 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2209055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2209058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2209064 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2209071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209075 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209079 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209083 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209087 */     // MIs[0] round
     /* 2209087 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209090 */     // MIs[0] policy
     /* 2209090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209093 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209100 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8_MASK),
     /* 2209103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209105 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209107 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209109 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209111 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209113 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209115 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209123 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209126 */     // GIR_Coverage, 65107,
     /* 2209126 */     GIR_EraseRootFromParent_Done,
     /* 2209127 */   // Label 29036: @2209127
     /* 2209127 */   GIM_Try, /*On fail goto*//*Label 29037*/ GIMT_Encode4(2209218), // Rule ID 65108 //
     /* 2209132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2209135 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadt_mask),
     /* 2209140 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2209143 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2209146 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2209149 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209152 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2209155 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209158 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2209162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209166 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2209170 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209174 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209178 */     // MIs[0] round
     /* 2209178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209181 */     // MIs[0] policy
     /* 2209181 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209191 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11036:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADT_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADT_VFPR16_M8_MASK),
     /* 2209194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209196 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209198 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209200 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209202 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209204 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209206 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209214 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209217 */     // GIR_Coverage, 65108,
     /* 2209217 */     GIR_EraseRootFromParent_Done,
     /* 2209218 */   // Label 29037: @2209218
     /* 2209218 */   GIM_Try, /*On fail goto*//*Label 29038*/ GIMT_Encode4(2209309), // Rule ID 65111 //
     /* 2209223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2209226 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209231 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2209234 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2209237 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2209240 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209243 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2209246 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209249 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209261 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209265 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209269 */     // MIs[0] round
     /* 2209269 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209272 */     // MIs[0] policy
     /* 2209272 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209275 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209282 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4_MASK),
     /* 2209285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209287 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209291 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209293 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209295 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209297 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209305 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209308 */     // GIR_Coverage, 65111,
     /* 2209308 */     GIR_EraseRootFromParent_Done,
     /* 2209309 */   // Label 29038: @2209309
     /* 2209309 */   GIM_Try, /*On fail goto*//*Label 29039*/ GIMT_Encode4(2209400), // Rule ID 65112 //
     /* 2209314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2209317 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209322 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv1s16,
     /* 2209325 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2209328 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2209331 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209334 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv1s1,
     /* 2209337 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209356 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209360 */     // MIs[0] round
     /* 2209360 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209363 */     // MIs[0] policy
     /* 2209363 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209366 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209373 */     // (intrinsic_wo_chain:{ *:[nxv1f16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF4_MASK),
     /* 2209376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209378 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209380 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209382 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209384 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209386 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209396 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209399 */     // GIR_Coverage, 65112,
     /* 2209399 */     GIR_EraseRootFromParent_Done,
     /* 2209400 */   // Label 29039: @2209400
     /* 2209400 */   GIM_Try, /*On fail goto*//*Label 29040*/ GIMT_Encode4(2209491), // Rule ID 65115 //
     /* 2209405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2209408 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209413 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2209416 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2209419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2209422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2209428 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209439 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209443 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209447 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209451 */     // MIs[0] round
     /* 2209451 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209454 */     // MIs[0] policy
     /* 2209454 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209457 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209464 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2_MASK),
     /* 2209467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209469 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209473 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209475 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209477 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209487 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209490 */     // GIR_Coverage, 65115,
     /* 2209490 */     GIR_EraseRootFromParent_Done,
     /* 2209491 */   // Label 29040: @2209491
     /* 2209491 */   GIM_Try, /*On fail goto*//*Label 29041*/ GIMT_Encode4(2209582), // Rule ID 65116 //
     /* 2209496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2209499 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209504 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv2s16,
     /* 2209507 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2209510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2209513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv2s1,
     /* 2209519 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209522 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209534 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209538 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209542 */     // MIs[0] round
     /* 2209542 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209545 */     // MIs[0] policy
     /* 2209545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209555 */     // (intrinsic_wo_chain:{ *:[nxv2f16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_MF2_MASK),
     /* 2209558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209560 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209564 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209566 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209568 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209570 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209578 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209581 */     // GIR_Coverage, 65116,
     /* 2209581 */     GIR_EraseRootFromParent_Done,
     /* 2209582 */   // Label 29041: @2209582
     /* 2209582 */   GIM_Try, /*On fail goto*//*Label 29042*/ GIMT_Encode4(2209673), // Rule ID 65119 //
     /* 2209587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2209590 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209595 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2209598 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2209601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2209604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2209610 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209617 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209621 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209625 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209629 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209633 */     // MIs[0] round
     /* 2209633 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209636 */     // MIs[0] policy
     /* 2209636 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209646 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1_MASK),
     /* 2209649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209651 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209655 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209657 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209659 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209661 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209669 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209672 */     // GIR_Coverage, 65119,
     /* 2209672 */     GIR_EraseRootFromParent_Done,
     /* 2209673 */   // Label 29042: @2209673
     /* 2209673 */   GIM_Try, /*On fail goto*//*Label 29043*/ GIMT_Encode4(2209764), // Rule ID 65120 //
     /* 2209678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2209681 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209686 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv4s16,
     /* 2209689 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2209692 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2209695 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209698 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv4s1,
     /* 2209701 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2209708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2209716 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209720 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209724 */     // MIs[0] round
     /* 2209724 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209727 */     // MIs[0] policy
     /* 2209727 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209730 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209737 */     // (intrinsic_wo_chain:{ *:[nxv4f16] } 11034:{ *:[iPTR] }, VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M1_MASK),
     /* 2209740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209742 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209744 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209746 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209748 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209750 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209752 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209760 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209763 */     // GIR_Coverage, 65120,
     /* 2209763 */     GIR_EraseRootFromParent_Done,
     /* 2209764 */   // Label 29043: @2209764
     /* 2209764 */   GIM_Try, /*On fail goto*//*Label 29044*/ GIMT_Encode4(2209855), // Rule ID 65123 //
     /* 2209769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2209772 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209777 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2209780 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2209783 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2209786 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209789 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2209792 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2209799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209803 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209807 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209811 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209815 */     // MIs[0] round
     /* 2209815 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209818 */     // MIs[0] policy
     /* 2209818 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209828 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2209828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2_MASK),
     /* 2209831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209833 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209835 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209837 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209839 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209841 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209851 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209854 */     // GIR_Coverage, 65123,
     /* 2209854 */     GIR_EraseRootFromParent_Done,
     /* 2209855 */   // Label 29044: @2209855
     /* 2209855 */   GIM_Try, /*On fail goto*//*Label 29045*/ GIMT_Encode4(2209946), // Rule ID 65124 //
     /* 2209860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2209863 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209868 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv8s16,
     /* 2209871 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2209874 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2209877 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209880 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv8s1,
     /* 2209883 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2209886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2209890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2209898 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209902 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209906 */     // MIs[0] round
     /* 2209906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2209909 */     // MIs[0] policy
     /* 2209909 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2209912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2209919 */     // (intrinsic_wo_chain:{ *:[nxv8f16] } 11034:{ *:[iPTR] }, VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2209919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M2_MASK),
     /* 2209922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2209924 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2209926 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2209928 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2209930 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2209932 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2209934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2209939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2209942 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2209944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2209945 */     // GIR_Coverage, 65124,
     /* 2209945 */     GIR_EraseRootFromParent_Done,
     /* 2209946 */   // Label 29045: @2209946
     /* 2209946 */   GIM_Try, /*On fail goto*//*Label 29046*/ GIMT_Encode4(2210037), // Rule ID 65127 //
     /* 2209951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2209954 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2209959 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2209962 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2209965 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2209968 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2209971 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2209974 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2209977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2209981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209985 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2209989 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2209993 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2209997 */     // MIs[0] round
     /* 2209997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210000 */     // MIs[0] policy
     /* 2210000 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210003 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210010 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2210010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4_MASK),
     /* 2210013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210015 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210019 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210021 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2210023 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210033 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210036 */     // GIR_Coverage, 65127,
     /* 2210036 */     GIR_EraseRootFromParent_Done,
     /* 2210037 */   // Label 29046: @2210037
     /* 2210037 */   GIM_Try, /*On fail goto*//*Label 29047*/ GIMT_Encode4(2210128), // Rule ID 65128 //
     /* 2210042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2210045 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2210050 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv16s16,
     /* 2210053 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2210056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2210059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv16s1,
     /* 2210065 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2210068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2210072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2210080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2210084 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210088 */     // MIs[0] round
     /* 2210088 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210091 */     // MIs[0] policy
     /* 2210091 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210094 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210101 */     // (intrinsic_wo_chain:{ *:[nxv16f16] } 11034:{ *:[iPTR] }, VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2210101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M4_MASK),
     /* 2210104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210106 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210110 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210112 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2210114 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210124 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210127 */     // GIR_Coverage, 65128,
     /* 2210127 */     GIR_EraseRootFromParent_Done,
     /* 2210128 */   // Label 29047: @2210128
     /* 2210128 */   GIM_Try, /*On fail goto*//*Label 29048*/ GIMT_Encode4(2210219), // Rule ID 65131 //
     /* 2210133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2210136 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2210141 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2210144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2210147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2210150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2210156 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s64,
     /* 2210159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2210163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210171 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2210175 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210179 */     // MIs[0] round
     /* 2210179 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210182 */     // MIs[0] policy
     /* 2210182 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210192 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i64] }):$round, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2210192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8_MASK),
     /* 2210195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210197 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210199 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210201 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210203 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2210205 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210207 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210215 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210218 */     // GIR_Coverage, 65131,
     /* 2210218 */     GIR_EraseRootFromParent_Done,
     /* 2210219 */   // Label 29048: @2210219
     /* 2210219 */   GIM_Try, /*On fail goto*//*Label 29049*/ GIMT_Encode4(2210310), // Rule ID 65132 //
     /* 2210224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2210227 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_nds_vfpmadb_mask),
     /* 2210232 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_nxv32s16,
     /* 2210235 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2210238 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2210241 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210244 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_nxv32s1,
     /* 2210247 */     GIM_RootCheckType, /*Op*/7, /*Type*/GILLT_s32,
     /* 2210250 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2210254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2210262 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2210266 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2210270 */     // MIs[0] round
     /* 2210270 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2210273 */     // MIs[0] policy
     /* 2210273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/8,
     /* 2210276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/7, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2210283 */     // (intrinsic_wo_chain:{ *:[nxv32f16] } 11034:{ *:[iPTR] }, VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoNDS_VFPMADB_VFPR16_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs1, FPR32:{ *:[f32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (timm:{ *:[i32] }):$round, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2210283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoNDS_VFPMADB_VFPR16_M8_MASK),
     /* 2210286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2210288 */     GIR_RootToRootCopy, /*OpIdx*/2, // passthru
     /* 2210290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2210292 */     GIR_RootToRootCopy, /*OpIdx*/4, // rs2
     /* 2210294 */     GIR_RootToRootCopy, /*OpIdx*/5, // vm
     /* 2210296 */     GIR_RootToRootCopy, /*OpIdx*/6, // round
     /* 2210298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2210303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2210306 */     GIR_RootToRootCopy, /*OpIdx*/8, // policy
     /* 2210308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210309 */     // GIR_Coverage, 65132,
     /* 2210309 */     GIR_EraseRootFromParent_Done,
     /* 2210310 */   // Label 29049: @2210310
     /* 2210310 */   GIM_Reject,
     /* 2210311 */ // Label 26981: @2210311
     /* 2210311 */ GIM_Reject,
     /* 2210312 */ // Label 38: @2210312
     /* 2210312 */ GIM_Try, /*On fail goto*//*Label 29050*/ GIMT_Encode4(2210364),
     /* 2210317 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/1,
     /* 2210320 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::riscv_pause),
     /* 2210325 */   GIM_Try, /*On fail goto*//*Label 29051*/ GIMT_Encode4(2210344), // Rule ID 295 //
     /* 2210330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZihintpause_HwMode0),
     /* 2210333 */     // (intrinsic_void 11039:{ *:[iPTR] })  =>  (FENCE 1:{ *:[i64] }, 0:{ *:[i64] })
     /* 2210333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /* 2210336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2210339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210343 */     // GIR_Coverage, 295,
     /* 2210343 */     GIR_EraseRootFromParent_Done,
     /* 2210344 */   // Label 29051: @2210344
     /* 2210344 */   GIM_Try, /*On fail goto*//*Label 29052*/ GIMT_Encode4(2210363), // Rule ID 296 //
     /* 2210349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZihintpause_HwMode1),
     /* 2210352 */     // (intrinsic_void 11039:{ *:[iPTR] })  =>  (FENCE 1:{ *:[i32] }, 0:{ *:[i32] })
     /* 2210352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FENCE),
     /* 2210355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2210358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2210361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210362 */     // GIR_Coverage, 296,
     /* 2210362 */     GIR_EraseRootFromParent_Done,
     /* 2210363 */   // Label 29052: @2210363
     /* 2210363 */   GIM_Reject,
     /* 2210364 */ // Label 29050: @2210364
     /* 2210364 */ GIM_Try, /*On fail goto*//*Label 29053*/ GIMT_Encode4(2210447), // Rule ID 41 //
     /* 2210369 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2210372 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/4,
     /* 2210375 */   GIM_CheckIntrinsicID, /*MI*/0, /*Op*/0, GIMT_Encode2(Intrinsic::hwasan_check_memaccess_shortgranules),
     /* 2210380 */   // MIs[0] Operand 1
     /* 2210380 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/1, /*SizeInBits*/64,
     /* 2210384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRX5RegClassID),
     /* 2210388 */   // MIs[0] ptr
     /* 2210388 */   GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2210392 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRJALRRegClassID),
     /* 2210396 */   // MIs[0] accessinfo
     /* 2210396 */   GIM_CheckIsImm, /*MI*/0, /*Op*/3,
     /* 2210399 */   // (intrinsic_void 195:{ *:[iPTR] }, X5:{ *:[i64] }, GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)  =>  (HWASAN_CHECK_MEMACCESS_SHORTGRANULES GPRJALR:{ *:[iPTR] }:$ptr, (timm:{ *:[i32] }):$accessinfo)
     /* 2210399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::COPY),
     /* 2210403 */   GIR_AddRegister, /*InsnID*/1, GIMT_Encode2(RISCV::X5), /*AddRegisterRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2210409 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // X5
     /* 2210413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::HWASAN_CHECK_MEMACCESS_SHORTGRANULES),
     /* 2210416 */   GIR_RootToRootCopy, /*OpIdx*/2, // ptr
     /* 2210418 */   GIR_RootToRootCopy, /*OpIdx*/3, // accessinfo
     /* 2210420 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X1*/0,
     /* 2210423 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X6*/1,
     /* 2210426 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X7*/2,
     /* 2210429 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X28*/3,
     /* 2210432 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X29*/4,
     /* 2210435 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X30*/5,
     /* 2210438 */   GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::X31*/6,
     /* 2210441 */   GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2210445 */   GIR_RootConstrainSelectedInstOperands,
     /* 2210446 */   // GIR_Coverage, 41,
     /* 2210446 */   GIR_EraseRootFromParent_Done,
     /* 2210447 */ // Label 29053: @2210447
     /* 2210447 */ GIM_Try, /*On fail goto*//*Label 29054*/ GIMT_Encode4(2211352),
     /* 2210452 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/6,
     /* 2210455 */   GIM_Try, /*On fail goto*//*Label 29055*/ GIMT_Encode4(2210527), // Rule ID 629 //
     /* 2210460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2210463 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i32),
     /* 2210468 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2210471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2210474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210481 */     // MIs[0] addr
     /* 2210481 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2210485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210497 */     // MIs[0] ordering
     /* 2210497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2210500 */     // (intrinsic_w_chain:{ *:[i32] } 11020:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2210500 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2210503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2210506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2210508 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210513 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2210515 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2210517 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2210519 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2210521 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2210525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210526 */     // GIR_Coverage, 629,
     /* 2210526 */     GIR_EraseRootFromParent_Done,
     /* 2210527 */   // Label 29055: @2210527
     /* 2210527 */   GIM_Try, /*On fail goto*//*Label 29056*/ GIMT_Encode4(2210599), // Rule ID 630 //
     /* 2210532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2210535 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i32),
     /* 2210540 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2210543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2210546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210553 */     // MIs[0] addr
     /* 2210553 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2210557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210569 */     // MIs[0] ordering
     /* 2210569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2210572 */     // (intrinsic_w_chain:{ *:[i32] } 11006:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2210572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2210575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2210578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2210580 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210585 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2210587 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2210589 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2210591 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2210593 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2210597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210598 */     // GIR_Coverage, 630,
     /* 2210598 */     GIR_EraseRootFromParent_Done,
     /* 2210599 */   // Label 29056: @2210599
     /* 2210599 */   GIM_Try, /*On fail goto*//*Label 29057*/ GIMT_Encode4(2210671), // Rule ID 631 //
     /* 2210604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2210607 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i32),
     /* 2210612 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2210615 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2210618 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210625 */     // MIs[0] addr
     /* 2210625 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2210629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210641 */     // MIs[0] ordering
     /* 2210641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2210644 */     // (intrinsic_w_chain:{ *:[i32] } 11014:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2210644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2210647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2210650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2210652 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210657 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2210659 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2210661 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2210663 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2210665 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2210669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210670 */     // GIR_Coverage, 631,
     /* 2210670 */     GIR_EraseRootFromParent_Done,
     /* 2210671 */   // Label 29057: @2210671
     /* 2210671 */   GIM_Try, /*On fail goto*//*Label 29058*/ GIMT_Encode4(2210743), // Rule ID 632 //
     /* 2210676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2210679 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i32),
     /* 2210684 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2210687 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2210690 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210693 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210697 */     // MIs[0] addr
     /* 2210697 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2210701 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210705 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210709 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210713 */     // MIs[0] ordering
     /* 2210713 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2210716 */     // (intrinsic_w_chain:{ *:[i32] } 11012:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2210716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2210719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2210722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2210724 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210729 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2210731 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2210733 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2210735 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2210737 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2210741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210742 */     // GIR_Coverage, 632,
     /* 2210742 */     GIR_EraseRootFromParent_Done,
     /* 2210743 */   // Label 29058: @2210743
     /* 2210743 */   GIM_Try, /*On fail goto*//*Label 29059*/ GIMT_Encode4(2210823), // Rule ID 635 //
     /* 2210748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2210751 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i32),
     /* 2210756 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2210759 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2210762 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210765 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210769 */     // MIs[0] addr
     /* 2210769 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2210773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210777 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210781 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210785 */     // MIs[0] ordering
     /* 2210785 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2210788 */     // (intrinsic_w_chain:{ *:[i32] } 11016:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2210788 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2210791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2210794 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2210797 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2210799 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210804 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210809 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2210811 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2210813 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2210815 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2210817 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2210821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210822 */     // GIR_Coverage, 635,
     /* 2210822 */     GIR_EraseRootFromParent_Done,
     /* 2210823 */   // Label 29059: @2210823
     /* 2210823 */   GIM_Try, /*On fail goto*//*Label 29060*/ GIMT_Encode4(2210903), // Rule ID 636 //
     /* 2210828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2210831 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i32),
     /* 2210836 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2210839 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2210842 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2210845 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210849 */     // MIs[0] addr
     /* 2210849 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2210853 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210857 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210861 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210865 */     // MIs[0] ordering
     /* 2210865 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2210868 */     // (intrinsic_w_chain:{ *:[i32] } 11018:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2210868 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2210871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2210874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2210877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2210879 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210884 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210889 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2210891 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2210893 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2210895 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2210897 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2210901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210902 */     // GIR_Coverage, 636,
     /* 2210902 */     GIR_EraseRootFromParent_Done,
     /* 2210903 */   // Label 29060: @2210903
     /* 2210903 */   GIM_Try, /*On fail goto*//*Label 29061*/ GIMT_Encode4(2210975), // Rule ID 642 //
     /* 2210908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2210911 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_xchg_i64),
     /* 2210916 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2210919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2210922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2210925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210929 */     // MIs[0] addr
     /* 2210929 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2210933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2210945 */     // MIs[0] ordering
     /* 2210945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2210948 */     // (intrinsic_w_chain:{ *:[i64] } 11021:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicSwap32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2210948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2210951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicSwap32),
     /* 2210954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2210956 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2210961 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2210963 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2210965 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2210967 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2210969 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2210973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2210974 */     // GIR_Coverage, 642,
     /* 2210974 */     GIR_EraseRootFromParent_Done,
     /* 2210975 */   // Label 29061: @2210975
     /* 2210975 */   GIM_Try, /*On fail goto*//*Label 29062*/ GIMT_Encode4(2211047), // Rule ID 643 //
     /* 2210980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2210983 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_add_i64),
     /* 2210988 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2210991 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2210994 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2210997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211001 */     // MIs[0] addr
     /* 2211001 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211017 */     // MIs[0] ordering
     /* 2211017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2211020 */     // (intrinsic_w_chain:{ *:[i64] } 11007:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadAdd32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2211020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadAdd32),
     /* 2211026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211028 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211033 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211035 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211037 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211039 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2211041 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211046 */     // GIR_Coverage, 643,
     /* 2211046 */     GIR_EraseRootFromParent_Done,
     /* 2211047 */   // Label 29062: @2211047
     /* 2211047 */   GIM_Try, /*On fail goto*//*Label 29063*/ GIMT_Encode4(2211119), // Rule ID 644 //
     /* 2211052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2211055 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_sub_i64),
     /* 2211060 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2211063 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2211066 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2211069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211073 */     // MIs[0] addr
     /* 2211073 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211089 */     // MIs[0] ordering
     /* 2211089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2211092 */     // (intrinsic_w_chain:{ *:[i64] } 11015:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadSub32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2211092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadSub32),
     /* 2211098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211100 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211105 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211107 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211109 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211111 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2211113 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211118 */     // GIR_Coverage, 644,
     /* 2211118 */     GIR_EraseRootFromParent_Done,
     /* 2211119 */   // Label 29063: @2211119
     /* 2211119 */   GIM_Try, /*On fail goto*//*Label 29064*/ GIMT_Encode4(2211191), // Rule ID 645 //
     /* 2211124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2211127 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_nand_i64),
     /* 2211132 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2211135 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2211138 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2211141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211145 */     // MIs[0] addr
     /* 2211145 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211161 */     // MIs[0] ordering
     /* 2211161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2211164 */     // (intrinsic_w_chain:{ *:[i64] } 11013:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadNand32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2211164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadNand32),
     /* 2211170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211172 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211177 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211179 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211181 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211183 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2211185 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211189 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211190 */     // GIR_Coverage, 645,
     /* 2211190 */     GIR_EraseRootFromParent_Done,
     /* 2211191 */   // Label 29064: @2211191
     /* 2211191 */   GIM_Try, /*On fail goto*//*Label 29065*/ GIMT_Encode4(2211271), // Rule ID 648 //
     /* 2211196 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2211199 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umax_i64),
     /* 2211204 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2211207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2211210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2211213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211217 */     // MIs[0] addr
     /* 2211217 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211225 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211229 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211233 */     // MIs[0] ordering
     /* 2211233 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2211236 */     // (intrinsic_w_chain:{ *:[i64] } 11017:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2211236 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2211239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMax32),
     /* 2211245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211247 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211252 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211257 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211259 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211261 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211263 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2211265 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211270 */     // GIR_Coverage, 648,
     /* 2211270 */     GIR_EraseRootFromParent_Done,
     /* 2211271 */   // Label 29065: @2211271
     /* 2211271 */   GIM_Try, /*On fail goto*//*Label 29066*/ GIMT_Encode4(2211351), // Rule ID 649 //
     /* 2211276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2211279 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_umin_i64),
     /* 2211284 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2211287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2211290 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2211293 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211297 */     // MIs[0] addr
     /* 2211297 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211301 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211305 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211309 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211313 */     // MIs[0] ordering
     /* 2211313 */     GIM_CheckIsImm, /*MI*/0, /*Op*/5,
     /* 2211316 */     // (intrinsic_w_chain:{ *:[i64] } 11019:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadUMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2211316 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2211319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadUMin32),
     /* 2211325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211327 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211332 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211337 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211339 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211341 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211343 */     GIR_RootToRootCopy, /*OpIdx*/5, // ordering
     /* 2211345 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211350 */     // GIR_Coverage, 649,
     /* 2211350 */     GIR_EraseRootFromParent_Done,
     /* 2211351 */   // Label 29066: @2211351
     /* 2211351 */   GIM_Reject,
     /* 2211352 */ // Label 29054: @2211352
     /* 2211352 */ GIM_Try, /*On fail goto*//*Label 29067*/ GIMT_Encode4(2211879),
     /* 2211357 */   GIM_CheckNumOperands, /*MI*/0, /*Expected*/7,
     /* 2211360 */   GIM_Try, /*On fail goto*//*Label 29068*/ GIMT_Encode4(2211449), // Rule ID 633 //
     /* 2211365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2211368 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i32),
     /* 2211373 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2211376 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2211379 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2211382 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2211385 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211389 */     // MIs[0] addr
     /* 2211389 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211397 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211401 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211405 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211409 */     // MIs[0] ordering
     /* 2211409 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211412 */     // (intrinsic_w_chain:{ *:[i32] } 11008:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2211412 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2211415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2211421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211423 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211428 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211433 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211435 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211437 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211439 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2211441 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2211443 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211448 */     // GIR_Coverage, 633,
     /* 2211448 */     GIR_EraseRootFromParent_Done,
     /* 2211449 */   // Label 29068: @2211449
     /* 2211449 */   GIM_Try, /*On fail goto*//*Label 29069*/ GIMT_Encode4(2211538), // Rule ID 634 //
     /* 2211454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2211457 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i32),
     /* 2211462 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2211465 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2211468 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2211471 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2211474 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211478 */     // MIs[0] addr
     /* 2211478 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211482 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211486 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211490 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211494 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211498 */     // MIs[0] ordering
     /* 2211498 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211501 */     // (intrinsic_w_chain:{ *:[i32] } 11010:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i32] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$incr, GPR:{ *:[i32] }:$mask, GPR:{ *:[i32] }:$shiftamt, (timm:{ *:[i32] }):$ordering)
     /* 2211501 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2211504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2211510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211512 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211517 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211522 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211524 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211526 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211528 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2211530 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2211532 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211537 */     // GIR_Coverage, 634,
     /* 2211537 */     GIR_EraseRootFromParent_Done,
     /* 2211538 */   // Label 29069: @2211538
     /* 2211538 */   GIM_Try, /*On fail goto*//*Label 29070*/ GIMT_Encode4(2211627), // Rule ID 646 //
     /* 2211543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2211546 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_max_i64),
     /* 2211551 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2211554 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2211557 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2211560 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2211563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211567 */     // MIs[0] addr
     /* 2211567 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211575 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211579 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211583 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211587 */     // MIs[0] ordering
     /* 2211587 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211590 */     // (intrinsic_w_chain:{ *:[i64] } 11009:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMax32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2211590 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2211593 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMax32),
     /* 2211599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211601 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211606 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211611 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211613 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211615 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211617 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2211619 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2211621 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211626 */     // GIR_Coverage, 646,
     /* 2211626 */     GIR_EraseRootFromParent_Done,
     /* 2211627 */   // Label 29070: @2211627
     /* 2211627 */   GIM_Try, /*On fail goto*//*Label 29071*/ GIMT_Encode4(2211716), // Rule ID 647 //
     /* 2211632 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2211635 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_atomicrmw_min_i64),
     /* 2211640 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2211643 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2211646 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2211649 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2211652 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211656 */     // MIs[0] addr
     /* 2211656 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211660 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211664 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211668 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211672 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211676 */     // MIs[0] ordering
     /* 2211676 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211679 */     // (intrinsic_w_chain:{ *:[i64] } 11011:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedAtomicLoadMin32:{ *:[i64] }:{ *:[i16] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$incr, GPR:{ *:[i64] }:$mask, GPR:{ *:[i64] }:$shiftamt, (timm:{ *:[i64] }):$ordering)
     /* 2211679 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s16,
     /* 2211682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedAtomicLoadMin32),
     /* 2211688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211690 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211695 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211700 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211702 */     GIR_RootToRootCopy, /*OpIdx*/3, // incr
     /* 2211704 */     GIR_RootToRootCopy, /*OpIdx*/4, // mask
     /* 2211706 */     GIR_RootToRootCopy, /*OpIdx*/5, // shiftamt
     /* 2211708 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2211710 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211715 */     // GIR_Coverage, 647,
     /* 2211715 */     GIR_EraseRootFromParent_Done,
     /* 2211716 */   // Label 29071: @2211716
     /* 2211716 */   GIM_Try, /*On fail goto*//*Label 29072*/ GIMT_Encode4(2211797), // Rule ID 665 //
     /* 2211721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_HwMode1),
     /* 2211724 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i32),
     /* 2211729 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2211732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2211735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s32,
     /* 2211738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2211741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211745 */     // MIs[0] addr
     /* 2211745 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211761 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211765 */     // MIs[0] ordering
     /* 2211765 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211768 */     // (intrinsic_w_chain:{ *:[i32] } 11022:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i32] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i32] }:$cmpval, GPR:{ *:[i32] }:$newval, GPR:{ *:[i32] }:$mask, (timm:{ *:[i32] }):$ordering)
     /* 2211768 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2211774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211776 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211781 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211783 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2211785 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2211787 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2211789 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2211791 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211796 */     // GIR_Coverage, 665,
     /* 2211796 */     GIR_EraseRootFromParent_Done,
     /* 2211797 */   // Label 29072: @2211797
     /* 2211797 */   GIM_Try, /*On fail goto*//*Label 29073*/ GIMT_Encode4(2211878), // Rule ID 666 //
     /* 2211802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtA_IsRV64_HwMode0),
     /* 2211805 */     GIM_CheckIntrinsicID, /*MI*/0, /*Op*/1, GIMT_Encode2(Intrinsic::riscv_masked_cmpxchg_i64),
     /* 2211810 */     GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2211813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2211816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_s64,
     /* 2211819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2211822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211826 */     // MIs[0] addr
     /* 2211826 */     GIM_CheckPointerToAny, /*MI*/0, /*Op*/2, /*SizeInBits*/0,
     /* 2211830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211838 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211842 */     GIM_RootCheckRegBankForClass, /*Op*/5, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2211846 */     // MIs[0] ordering
     /* 2211846 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2211849 */     // (intrinsic_w_chain:{ *:[i64] } 11023:{ *:[iPTR] }, GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)  =>  (PseudoMaskedCmpXchg32:{ *:[i64] }:{ *:[i16] } GPR:{ *:[iPTR] }:$addr, GPR:{ *:[i64] }:$cmpval, GPR:{ *:[i64] }:$newval, GPR:{ *:[i64] }:$mask, (timm:{ *:[i64] }):$ordering)
     /* 2211849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2211852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoMaskedCmpXchg32),
     /* 2211855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[res]
     /* 2211857 */     GIR_AddTempRegister, /*InsnID*/0, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define|RegState::Dead),
     /* 2211862 */     GIR_RootToRootCopy, /*OpIdx*/2, // addr
     /* 2211864 */     GIR_RootToRootCopy, /*OpIdx*/3, // cmpval
     /* 2211866 */     GIR_RootToRootCopy, /*OpIdx*/4, // newval
     /* 2211868 */     GIR_RootToRootCopy, /*OpIdx*/5, // mask
     /* 2211870 */     GIR_RootToRootCopy, /*OpIdx*/6, // ordering
     /* 2211872 */     GIR_MergeMemOperands, /*InsnID*/0, /*NumInsns*/1, /*MergeInsnID's*/0,
     /* 2211876 */     GIR_RootConstrainSelectedInstOperands,
     /* 2211877 */     // GIR_Coverage, 666,
     /* 2211877 */     GIR_EraseRootFromParent_Done,
     /* 2211878 */   // Label 29073: @2211878
     /* 2211878 */   GIM_Reject,
     /* 2211879 */ // Label 29067: @2211879
     /* 2211879 */ GIM_Reject,
     /* 2211880 */ // Label 39: @2211880
     /* 2211880 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(7), GIMT_Encode2(32), /*)*//*default:*//*Label 29089*/ GIMT_Encode4(2215000),
     /* 2211891 */ /*GILLT_nxv1s16*//*Label 29074*/ GIMT_Encode4(2211991),
     /* 2211895 */ /*GILLT_nxv1s32*//*Label 29075*/ GIMT_Encode4(2212095),
     /* 2211899 */ /*GILLT_nxv1s64*//*Label 29076*/ GIMT_Encode4(2212312), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2211911 */ /*GILLT_nxv2s16*//*Label 29077*/ GIMT_Encode4(2212637),
     /* 2211915 */ /*GILLT_nxv2s32*//*Label 29078*/ GIMT_Encode4(2212741),
     /* 2211919 */ /*GILLT_nxv2s64*//*Label 29079*/ GIMT_Encode4(2212958), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2211931 */ /*GILLT_nxv4s16*//*Label 29080*/ GIMT_Encode4(2213283),
     /* 2211935 */ /*GILLT_nxv4s32*//*Label 29081*/ GIMT_Encode4(2213387),
     /* 2211939 */ /*GILLT_nxv4s64*//*Label 29082*/ GIMT_Encode4(2213604), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2211951 */ /*GILLT_nxv8s16*//*Label 29083*/ GIMT_Encode4(2213929),
     /* 2211955 */ /*GILLT_nxv8s32*//*Label 29084*/ GIMT_Encode4(2214033),
     /* 2211959 */ /*GILLT_nxv8s64*//*Label 29085*/ GIMT_Encode4(2214250), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2211971 */ /*GILLT_nxv16s16*//*Label 29086*/ GIMT_Encode4(2214575),
     /* 2211975 */ /*GILLT_nxv16s32*//*Label 29087*/ GIMT_Encode4(2214679), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2211987 */ /*GILLT_nxv32s16*//*Label 29088*/ GIMT_Encode4(2214896),
     /* 2211991 */ // Label 29074: @2211991
     /* 2211991 */ GIM_Try, /*On fail goto*//*Label 29090*/ GIMT_Encode4(2212094),
     /* 2211996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2211999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212007 */   GIM_Try, /*On fail goto*//*Label 29091*/ GIMT_Encode4(2212050), // Rule ID 47484 //
     /* 2212012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212015 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2212018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2212032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212049 */     // GIR_Coverage, 47484,
     /* 2212049 */     GIR_EraseRootFromParent_Done,
     /* 2212050 */   // Label 29091: @2212050
     /* 2212050 */   GIM_Try, /*On fail goto*//*Label 29092*/ GIMT_Encode4(2212093), // Rule ID 47485 //
     /* 2212055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212058 */     // (anyext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2212061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2212075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212092 */     // GIR_Coverage, 47485,
     /* 2212092 */     GIR_EraseRootFromParent_Done,
     /* 2212093 */   // Label 29092: @2212093
     /* 2212093 */   GIM_Reject,
     /* 2212094 */ // Label 29090: @2212094
     /* 2212094 */ GIM_Reject,
     /* 2212095 */ // Label 29075: @2212095
     /* 2212095 */ GIM_Try, /*On fail goto*//*Label 29093*/ GIMT_Encode4(2212149), // Rule ID 47508 //
     /* 2212100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2212106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212114 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212114 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2212117 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212121 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212126 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2212131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212133 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212136 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212148 */   // GIR_Coverage, 47508,
     /* 2212148 */   GIR_EraseRootFromParent_Done,
     /* 2212149 */ // Label 29093: @2212149
     /* 2212149 */ GIM_Try, /*On fail goto*//*Label 29094*/ GIMT_Encode4(2212203), // Rule ID 47509 //
     /* 2212154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2212160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212168 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2212171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2212185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212202 */   // GIR_Coverage, 47509,
     /* 2212202 */   GIR_EraseRootFromParent_Done,
     /* 2212203 */ // Label 29094: @2212203
     /* 2212203 */ GIM_Try, /*On fail goto*//*Label 29095*/ GIMT_Encode4(2212257), // Rule ID 47574 //
     /* 2212208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2212214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212222 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2212225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2212239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212244 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212256 */   // GIR_Coverage, 47574,
     /* 2212256 */   GIR_EraseRootFromParent_Done,
     /* 2212257 */ // Label 29095: @2212257
     /* 2212257 */ GIM_Try, /*On fail goto*//*Label 29096*/ GIMT_Encode4(2212311), // Rule ID 47575 //
     /* 2212262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2212268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212276 */   // (anyext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2212279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2212293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212310 */   // GIR_Coverage, 47575,
     /* 2212310 */   GIR_EraseRootFromParent_Done,
     /* 2212311 */ // Label 29096: @2212311
     /* 2212311 */ GIM_Reject,
     /* 2212312 */ // Label 29076: @2212312
     /* 2212312 */ GIM_Try, /*On fail goto*//*Label 29097*/ GIMT_Encode4(2212366), // Rule ID 47528 //
     /* 2212317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2212323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212331 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212331 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2212334 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212338 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212343 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2212348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212350 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212353 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212358 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212365 */   // GIR_Coverage, 47528,
     /* 2212365 */   GIR_EraseRootFromParent_Done,
     /* 2212366 */ // Label 29097: @2212366
     /* 2212366 */ GIM_Try, /*On fail goto*//*Label 29098*/ GIMT_Encode4(2212420), // Rule ID 47529 //
     /* 2212371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2212377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212385 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212385 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2212388 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212392 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212397 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2212402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212404 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212407 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212419 */   // GIR_Coverage, 47529,
     /* 2212419 */   GIR_EraseRootFromParent_Done,
     /* 2212420 */ // Label 29098: @2212420
     /* 2212420 */ GIM_Try, /*On fail goto*//*Label 29099*/ GIMT_Encode4(2212474), // Rule ID 47594 //
     /* 2212425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2212431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212439 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212439 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2212442 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212446 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212451 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2212456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212458 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212461 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212473 */   // GIR_Coverage, 47594,
     /* 2212473 */   GIR_EraseRootFromParent_Done,
     /* 2212474 */ // Label 29099: @2212474
     /* 2212474 */ GIM_Try, /*On fail goto*//*Label 29100*/ GIMT_Encode4(2212528), // Rule ID 47595 //
     /* 2212479 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2212485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212493 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212493 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2212496 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212500 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212505 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2212510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212512 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212515 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212520 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212523 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212526 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212527 */   // GIR_Coverage, 47595,
     /* 2212527 */   GIR_EraseRootFromParent_Done,
     /* 2212528 */ // Label 29100: @2212528
     /* 2212528 */ GIM_Try, /*On fail goto*//*Label 29101*/ GIMT_Encode4(2212582), // Rule ID 47628 //
     /* 2212533 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2212539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212547 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212547 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2212550 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212554 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212559 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2212564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212566 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212569 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212571 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212581 */   // GIR_Coverage, 47628,
     /* 2212581 */   GIR_EraseRootFromParent_Done,
     /* 2212582 */ // Label 29101: @2212582
     /* 2212582 */ GIM_Try, /*On fail goto*//*Label 29102*/ GIMT_Encode4(2212636), // Rule ID 47629 //
     /* 2212587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2212590 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2212593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212597 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212601 */   // (anyext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212601 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2212604 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212608 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212613 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2212618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212620 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212623 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2212631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212634 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212635 */   // GIR_Coverage, 47629,
     /* 2212635 */   GIR_EraseRootFromParent_Done,
     /* 2212636 */ // Label 29102: @2212636
     /* 2212636 */ GIM_Reject,
     /* 2212637 */ // Label 29077: @2212637
     /* 2212637 */ GIM_Try, /*On fail goto*//*Label 29103*/ GIMT_Encode4(2212740),
     /* 2212642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212653 */   GIM_Try, /*On fail goto*//*Label 29104*/ GIMT_Encode4(2212696), // Rule ID 47488 //
     /* 2212658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212661 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2212664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2212678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212683 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212695 */     // GIR_Coverage, 47488,
     /* 2212695 */     GIR_EraseRootFromParent_Done,
     /* 2212696 */   // Label 29104: @2212696
     /* 2212696 */   GIM_Try, /*On fail goto*//*Label 29105*/ GIMT_Encode4(2212739), // Rule ID 47489 //
     /* 2212701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212704 */     // (anyext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2212707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2212721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2212734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2212738 */     // GIR_Coverage, 47489,
     /* 2212738 */     GIR_EraseRootFromParent_Done,
     /* 2212739 */   // Label 29105: @2212739
     /* 2212739 */   GIM_Reject,
     /* 2212740 */ // Label 29103: @2212740
     /* 2212740 */ GIM_Reject,
     /* 2212741 */ // Label 29078: @2212741
     /* 2212741 */ GIM_Try, /*On fail goto*//*Label 29106*/ GIMT_Encode4(2212795), // Rule ID 47512 //
     /* 2212746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212760 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212760 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212763 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212767 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212772 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2212777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212779 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212782 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212790 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212793 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212794 */   // GIR_Coverage, 47512,
     /* 2212794 */   GIR_EraseRootFromParent_Done,
     /* 2212795 */ // Label 29106: @2212795
     /* 2212795 */ GIM_Try, /*On fail goto*//*Label 29107*/ GIMT_Encode4(2212849), // Rule ID 47513 //
     /* 2212800 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2212806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212810 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212814 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212814 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212817 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212821 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212826 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2212831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212833 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212836 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212848 */   // GIR_Coverage, 47513,
     /* 2212848 */   GIR_EraseRootFromParent_Done,
     /* 2212849 */ // Label 29107: @2212849
     /* 2212849 */ GIM_Try, /*On fail goto*//*Label 29108*/ GIMT_Encode4(2212903), // Rule ID 47578 //
     /* 2212854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2212857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212868 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212868 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212871 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212875 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212880 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212882 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2212885 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212887 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212890 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212902 */   // GIR_Coverage, 47578,
     /* 2212902 */   GIR_EraseRootFromParent_Done,
     /* 2212903 */ // Label 29108: @2212903
     /* 2212903 */ GIM_Try, /*On fail goto*//*Label 29109*/ GIMT_Encode4(2212957), // Rule ID 47579 //
     /* 2212908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2212911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2212914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212922 */   // (anyext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2212922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2212925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2212939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2212946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2212949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2212952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2212955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2212956 */   // GIR_Coverage, 47579,
     /* 2212956 */   GIR_EraseRootFromParent_Done,
     /* 2212957 */ // Label 29109: @2212957
     /* 2212957 */ GIM_Reject,
     /* 2212958 */ // Label 29079: @2212958
     /* 2212958 */ GIM_Try, /*On fail goto*//*Label 29110*/ GIMT_Encode4(2213012), // Rule ID 47532 //
     /* 2212963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2212966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2212969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2212973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2212977 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2212977 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2212980 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2212984 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2212989 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2212991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2212994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2212996 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2212999 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213011 */   // GIR_Coverage, 47532,
     /* 2213011 */   GIR_EraseRootFromParent_Done,
     /* 2213012 */ // Label 29110: @2213012
     /* 2213012 */ GIM_Try, /*On fail goto*//*Label 29111*/ GIMT_Encode4(2213066), // Rule ID 47533 //
     /* 2213017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2213023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213031 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2213034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2213048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213053 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213065 */   // GIR_Coverage, 47533,
     /* 2213065 */   GIR_EraseRootFromParent_Done,
     /* 2213066 */ // Label 29111: @2213066
     /* 2213066 */ GIM_Try, /*On fail goto*//*Label 29112*/ GIMT_Encode4(2213120), // Rule ID 47598 //
     /* 2213071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213074 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2213077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213081 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213085 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213085 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2213088 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213092 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213097 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213099 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2213102 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213104 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213107 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213119 */   // GIR_Coverage, 47598,
     /* 2213119 */   GIR_EraseRootFromParent_Done,
     /* 2213120 */ // Label 29112: @2213120
     /* 2213120 */ GIM_Try, /*On fail goto*//*Label 29113*/ GIMT_Encode4(2213174), // Rule ID 47599 //
     /* 2213125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2213131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213139 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2213142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213151 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2213156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213161 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213172 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213173 */   // GIR_Coverage, 47599,
     /* 2213173 */   GIR_EraseRootFromParent_Done,
     /* 2213174 */ // Label 29113: @2213174
     /* 2213174 */ GIM_Try, /*On fail goto*//*Label 29114*/ GIMT_Encode4(2213228), // Rule ID 47632 //
     /* 2213179 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213182 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2213185 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213189 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213193 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213193 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2213196 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213200 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213205 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2213210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213212 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213215 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213217 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213226 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213227 */   // GIR_Coverage, 47632,
     /* 2213227 */   GIR_EraseRootFromParent_Done,
     /* 2213228 */ // Label 29114: @2213228
     /* 2213228 */ GIM_Try, /*On fail goto*//*Label 29115*/ GIMT_Encode4(2213282), // Rule ID 47633 //
     /* 2213233 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2213239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213247 */   // (anyext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213247 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2213250 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213254 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2213264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213266 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213269 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213281 */   // GIR_Coverage, 47633,
     /* 2213281 */   GIR_EraseRootFromParent_Done,
     /* 2213282 */ // Label 29115: @2213282
     /* 2213282 */ GIM_Reject,
     /* 2213283 */ // Label 29080: @2213283
     /* 2213283 */ GIM_Try, /*On fail goto*//*Label 29116*/ GIMT_Encode4(2213386),
     /* 2213288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213299 */   GIM_Try, /*On fail goto*//*Label 29117*/ GIMT_Encode4(2213342), // Rule ID 47492 //
     /* 2213304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213307 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2213324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213341 */     // GIR_Coverage, 47492,
     /* 2213341 */     GIR_EraseRootFromParent_Done,
     /* 2213342 */   // Label 29117: @2213342
     /* 2213342 */   GIM_Try, /*On fail goto*//*Label 29118*/ GIMT_Encode4(2213385), // Rule ID 47493 //
     /* 2213347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213350 */     // (anyext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213350 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2213353 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213357 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213362 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2213367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213369 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213384 */     // GIR_Coverage, 47493,
     /* 2213384 */     GIR_EraseRootFromParent_Done,
     /* 2213385 */   // Label 29118: @2213385
     /* 2213385 */   GIM_Reject,
     /* 2213386 */ // Label 29116: @2213386
     /* 2213386 */ GIM_Reject,
     /* 2213387 */ // Label 29081: @2213387
     /* 2213387 */ GIM_Try, /*On fail goto*//*Label 29119*/ GIMT_Encode4(2213441), // Rule ID 47516 //
     /* 2213392 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213406 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213406 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213409 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213413 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213418 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2213423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213425 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213428 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213440 */   // GIR_Coverage, 47516,
     /* 2213440 */   GIR_EraseRootFromParent_Done,
     /* 2213441 */ // Label 29119: @2213441
     /* 2213441 */ GIM_Try, /*On fail goto*//*Label 29120*/ GIMT_Encode4(2213495), // Rule ID 47517 //
     /* 2213446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213449 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213460 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213460 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213463 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213467 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213472 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213474 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2213477 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213479 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213482 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213487 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213493 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213494 */   // GIR_Coverage, 47517,
     /* 2213494 */   GIR_EraseRootFromParent_Done,
     /* 2213495 */ // Label 29120: @2213495
     /* 2213495 */ GIM_Try, /*On fail goto*//*Label 29121*/ GIMT_Encode4(2213549), // Rule ID 47582 //
     /* 2213500 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213514 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213514 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213517 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213521 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213526 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2213531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213533 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213536 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213548 */   // GIR_Coverage, 47582,
     /* 2213548 */   GIR_EraseRootFromParent_Done,
     /* 2213549 */ // Label 29121: @2213549
     /* 2213549 */ GIM_Try, /*On fail goto*//*Label 29122*/ GIMT_Encode4(2213603), // Rule ID 47583 //
     /* 2213554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213564 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213568 */   // (anyext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213568 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2213571 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213575 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213580 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2213585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213587 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213590 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2213598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213601 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213602 */   // GIR_Coverage, 47583,
     /* 2213602 */   GIR_EraseRootFromParent_Done,
     /* 2213603 */ // Label 29122: @2213603
     /* 2213603 */ GIM_Reject,
     /* 2213604 */ // Label 29082: @2213604
     /* 2213604 */ GIM_Try, /*On fail goto*//*Label 29123*/ GIMT_Encode4(2213658), // Rule ID 47536 //
     /* 2213609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2213615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213623 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213623 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213626 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213630 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213635 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213637 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2213640 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213642 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213645 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213653 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213656 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213657 */   // GIR_Coverage, 47536,
     /* 2213657 */   GIR_EraseRootFromParent_Done,
     /* 2213658 */ // Label 29123: @2213658
     /* 2213658 */ GIM_Try, /*On fail goto*//*Label 29124*/ GIMT_Encode4(2213712), // Rule ID 47537 //
     /* 2213663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2213669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213677 */   // (anyext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2213694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213699 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213710 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213711 */   // GIR_Coverage, 47537,
     /* 2213711 */   GIR_EraseRootFromParent_Done,
     /* 2213712 */ // Label 29124: @2213712
     /* 2213712 */ GIM_Try, /*On fail goto*//*Label 29125*/ GIMT_Encode4(2213766), // Rule ID 47602 //
     /* 2213717 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213723 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213727 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213731 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213731 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213734 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213738 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213743 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213745 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2213748 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213750 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213753 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213765 */   // GIR_Coverage, 47602,
     /* 2213765 */   GIR_EraseRootFromParent_Done,
     /* 2213766 */ // Label 29125: @2213766
     /* 2213766 */ GIM_Try, /*On fail goto*//*Label 29126*/ GIMT_Encode4(2213820), // Rule ID 47603 //
     /* 2213771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2213777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213785 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213785 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213788 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213792 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2213802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213818 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213819 */   // GIR_Coverage, 47603,
     /* 2213819 */   GIR_EraseRootFromParent_Done,
     /* 2213820 */ // Label 29126: @2213820
     /* 2213820 */ GIM_Try, /*On fail goto*//*Label 29127*/ GIMT_Encode4(2213874), // Rule ID 47636 //
     /* 2213825 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2213828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213839 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213839 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213842 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213846 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213851 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2213856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213858 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213861 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213863 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213873 */   // GIR_Coverage, 47636,
     /* 2213873 */   GIR_EraseRootFromParent_Done,
     /* 2213874 */ // Label 29127: @2213874
     /* 2213874 */ GIM_Try, /*On fail goto*//*Label 29128*/ GIMT_Encode4(2213928), // Rule ID 47637 //
     /* 2213879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2213882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2213885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2213889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213893 */   // (anyext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213893 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2213896 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213900 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213905 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213907 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2213910 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213912 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213915 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2213923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2213927 */   // GIR_Coverage, 47637,
     /* 2213927 */   GIR_EraseRootFromParent_Done,
     /* 2213928 */ // Label 29128: @2213928
     /* 2213928 */ GIM_Reject,
     /* 2213929 */ // Label 29083: @2213929
     /* 2213929 */ GIM_Try, /*On fail goto*//*Label 29129*/ GIMT_Encode4(2214032),
     /* 2213934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2213937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2213941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2213945 */   GIM_Try, /*On fail goto*//*Label 29130*/ GIMT_Encode4(2213988), // Rule ID 47496 //
     /* 2213950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2213953 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2213953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2213956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2213960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2213965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2213967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2213970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2213972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2213975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2213977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2213980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2213983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2213986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2213987 */     // GIR_Coverage, 47496,
     /* 2213987 */     GIR_EraseRootFromParent_Done,
     /* 2213988 */   // Label 29130: @2213988
     /* 2213988 */   GIM_Try, /*On fail goto*//*Label 29131*/ GIMT_Encode4(2214031), // Rule ID 47497 //
     /* 2213993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2213996 */     // (anyext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2213996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2213999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2214013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214030 */     // GIR_Coverage, 47497,
     /* 2214030 */     GIR_EraseRootFromParent_Done,
     /* 2214031 */   // Label 29131: @2214031
     /* 2214031 */   GIM_Reject,
     /* 2214032 */ // Label 29129: @2214032
     /* 2214032 */ GIM_Reject,
     /* 2214033 */ // Label 29084: @2214033
     /* 2214033 */ GIM_Try, /*On fail goto*//*Label 29132*/ GIMT_Encode4(2214087), // Rule ID 47520 //
     /* 2214038 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2214044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214052 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214052 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2214055 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214059 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214064 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2214069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214071 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214074 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214076 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214086 */   // GIR_Coverage, 47520,
     /* 2214086 */   GIR_EraseRootFromParent_Done,
     /* 2214087 */ // Label 29132: @2214087
     /* 2214087 */ GIM_Try, /*On fail goto*//*Label 29133*/ GIMT_Encode4(2214141), // Rule ID 47521 //
     /* 2214092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214095 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2214098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214106 */   // (anyext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214106 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2214109 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214113 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214118 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2214123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214125 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214128 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214136 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214139 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214140 */   // GIR_Coverage, 47521,
     /* 2214140 */   GIR_EraseRootFromParent_Done,
     /* 2214141 */ // Label 29133: @2214141
     /* 2214141 */ GIM_Try, /*On fail goto*//*Label 29134*/ GIMT_Encode4(2214195), // Rule ID 47586 //
     /* 2214146 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214149 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214152 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214156 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214160 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214160 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2214163 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214167 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214172 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2214177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214179 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214182 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214194 */   // GIR_Coverage, 47586,
     /* 2214194 */   GIR_EraseRootFromParent_Done,
     /* 2214195 */ // Label 29134: @2214195
     /* 2214195 */ GIM_Try, /*On fail goto*//*Label 29135*/ GIMT_Encode4(2214249), // Rule ID 47587 //
     /* 2214200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214214 */   // (anyext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2214217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214226 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2214231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214233 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214236 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214248 */   // GIR_Coverage, 47587,
     /* 2214248 */   GIR_EraseRootFromParent_Done,
     /* 2214249 */ // Label 29135: @2214249
     /* 2214249 */ GIM_Reject,
     /* 2214250 */ // Label 29085: @2214250
     /* 2214250 */ GIM_Try, /*On fail goto*//*Label 29136*/ GIMT_Encode4(2214304), // Rule ID 47540 //
     /* 2214255 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2214258 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2214261 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214265 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214269 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214269 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2214272 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214276 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214281 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214283 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2214286 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214288 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214291 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214303 */   // GIR_Coverage, 47540,
     /* 2214303 */   GIR_EraseRootFromParent_Done,
     /* 2214304 */ // Label 29136: @2214304
     /* 2214304 */ GIM_Try, /*On fail goto*//*Label 29137*/ GIMT_Encode4(2214358), // Rule ID 47541 //
     /* 2214309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2214312 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2214315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214319 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214323 */   // (anyext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214323 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2214326 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214330 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214335 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2214340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214342 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214345 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214357 */   // GIR_Coverage, 47541,
     /* 2214357 */   GIR_EraseRootFromParent_Done,
     /* 2214358 */ // Label 29137: @2214358
     /* 2214358 */ GIM_Try, /*On fail goto*//*Label 29138*/ GIMT_Encode4(2214412), // Rule ID 47606 //
     /* 2214363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2214366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2214369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214377 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214377 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2214380 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214384 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214389 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2214394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214396 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214399 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214404 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214411 */   // GIR_Coverage, 47606,
     /* 2214411 */   GIR_EraseRootFromParent_Done,
     /* 2214412 */ // Label 29138: @2214412
     /* 2214412 */ GIM_Try, /*On fail goto*//*Label 29139*/ GIMT_Encode4(2214466), // Rule ID 47607 //
     /* 2214417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2214420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2214423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214431 */   // (anyext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214431 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2214434 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214438 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214443 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214445 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2214448 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214450 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214453 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214461 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214464 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214465 */   // GIR_Coverage, 47607,
     /* 2214465 */   GIR_EraseRootFromParent_Done,
     /* 2214466 */ // Label 29139: @2214466
     /* 2214466 */ GIM_Try, /*On fail goto*//*Label 29140*/ GIMT_Encode4(2214520), // Rule ID 47640 //
     /* 2214471 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2214474 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214485 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214485 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2214488 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214492 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214497 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214499 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2214502 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214507 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214515 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214518 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214519 */   // GIR_Coverage, 47640,
     /* 2214519 */   GIR_EraseRootFromParent_Done,
     /* 2214520 */ // Label 29140: @2214520
     /* 2214520 */ GIM_Try, /*On fail goto*//*Label 29141*/ GIMT_Encode4(2214574), // Rule ID 47641 //
     /* 2214525 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2214528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2214531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2214539 */   // (anyext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214539 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2214542 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214546 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214551 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214553 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2214556 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214558 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214561 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2214569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214573 */   // GIR_Coverage, 47641,
     /* 2214573 */   GIR_EraseRootFromParent_Done,
     /* 2214574 */ // Label 29141: @2214574
     /* 2214574 */ GIM_Reject,
     /* 2214575 */ // Label 29086: @2214575
     /* 2214575 */ GIM_Try, /*On fail goto*//*Label 29142*/ GIMT_Encode4(2214678),
     /* 2214580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2214583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214591 */   GIM_Try, /*On fail goto*//*Label 29143*/ GIMT_Encode4(2214634), // Rule ID 47500 //
     /* 2214596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214599 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2214602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2214616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214632 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214633 */     // GIR_Coverage, 47500,
     /* 2214633 */     GIR_EraseRootFromParent_Done,
     /* 2214634 */   // Label 29143: @2214634
     /* 2214634 */   GIM_Try, /*On fail goto*//*Label 29144*/ GIMT_Encode4(2214677), // Rule ID 47501 //
     /* 2214639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214642 */     // (anyext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214642 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2214645 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214649 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214654 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214656 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2214659 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214661 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214664 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214676 */     // GIR_Coverage, 47501,
     /* 2214676 */     GIR_EraseRootFromParent_Done,
     /* 2214677 */   // Label 29144: @2214677
     /* 2214677 */   GIM_Reject,
     /* 2214678 */ // Label 29142: @2214678
     /* 2214678 */ GIM_Reject,
     /* 2214679 */ // Label 29087: @2214679
     /* 2214679 */ GIM_Try, /*On fail goto*//*Label 29145*/ GIMT_Encode4(2214733), // Rule ID 47524 //
     /* 2214684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2214690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214698 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214710 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2214715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214717 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214720 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214732 */   // GIR_Coverage, 47524,
     /* 2214732 */   GIR_EraseRootFromParent_Done,
     /* 2214733 */ // Label 29145: @2214733
     /* 2214733 */ GIM_Try, /*On fail goto*//*Label 29146*/ GIMT_Encode4(2214787), // Rule ID 47525 //
     /* 2214738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2214744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214752 */   // (anyext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214752 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214755 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214759 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2214769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214771 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214774 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214786 */   // GIR_Coverage, 47525,
     /* 2214786 */   GIR_EraseRootFromParent_Done,
     /* 2214787 */ // Label 29146: @2214787
     /* 2214787 */ GIM_Try, /*On fail goto*//*Label 29147*/ GIMT_Encode4(2214841), // Rule ID 47590 //
     /* 2214792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2214798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214806 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214806 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214809 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214813 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214818 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2214823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214825 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214828 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214840 */   // GIR_Coverage, 47590,
     /* 2214840 */   GIR_EraseRootFromParent_Done,
     /* 2214841 */ // Label 29147: @2214841
     /* 2214841 */ GIM_Try, /*On fail goto*//*Label 29148*/ GIMT_Encode4(2214895), // Rule ID 47591 //
     /* 2214846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2214852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2214860 */   // (anyext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214860 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2214863 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214867 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2214877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214879 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214882 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2214890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2214894 */   // GIR_Coverage, 47591,
     /* 2214894 */   GIR_EraseRootFromParent_Done,
     /* 2214895 */ // Label 29148: @2214895
     /* 2214895 */ GIM_Reject,
     /* 2214896 */ // Label 29088: @2214896
     /* 2214896 */ GIM_Try, /*On fail goto*//*Label 29149*/ GIMT_Encode4(2214999),
     /* 2214901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2214904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2214908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2214912 */   GIM_Try, /*On fail goto*//*Label 29150*/ GIMT_Encode4(2214955), // Rule ID 47504 //
     /* 2214917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2214920 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2214920 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2214923 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214927 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214932 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214934 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2214937 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214939 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214954 */     // GIR_Coverage, 47504,
     /* 2214954 */     GIR_EraseRootFromParent_Done,
     /* 2214955 */   // Label 29150: @2214955
     /* 2214955 */   GIM_Try, /*On fail goto*//*Label 29151*/ GIMT_Encode4(2214998), // Rule ID 47505 //
     /* 2214960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2214963 */     // (anyext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2214963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2214966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2214970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2214975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2214977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2214980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2214982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2214985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2214987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2214990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2214993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2214996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2214997 */     // GIR_Coverage, 47505,
     /* 2214997 */     GIR_EraseRootFromParent_Done,
     /* 2214998 */   // Label 29151: @2214998
     /* 2214998 */   GIM_Reject,
     /* 2214999 */ // Label 29149: @2214999
     /* 2214999 */ GIM_Reject,
     /* 2215000 */ // Label 29089: @2215000
     /* 2215000 */ GIM_Reject,
     /* 2215001 */ // Label 40: @2215001
     /* 2215001 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29169*/ GIMT_Encode4(2218475),
     /* 2215012 */ /*GILLT_s32*//*Label 29152*/ GIMT_Encode4(2215128),
     /* 2215016 */ /*GILLT_s64*//*Label 29153*/ GIMT_Encode4(2215302), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215028 */ /*GILLT_nxv1s16*//*Label 29154*/ GIMT_Encode4(2215466),
     /* 2215032 */ /*GILLT_nxv1s32*//*Label 29155*/ GIMT_Encode4(2215570),
     /* 2215036 */ /*GILLT_nxv1s64*//*Label 29156*/ GIMT_Encode4(2215787), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215048 */ /*GILLT_nxv2s16*//*Label 29157*/ GIMT_Encode4(2216112),
     /* 2215052 */ /*GILLT_nxv2s32*//*Label 29158*/ GIMT_Encode4(2216216),
     /* 2215056 */ /*GILLT_nxv2s64*//*Label 29159*/ GIMT_Encode4(2216433), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215068 */ /*GILLT_nxv4s16*//*Label 29160*/ GIMT_Encode4(2216758),
     /* 2215072 */ /*GILLT_nxv4s32*//*Label 29161*/ GIMT_Encode4(2216862),
     /* 2215076 */ /*GILLT_nxv4s64*//*Label 29162*/ GIMT_Encode4(2217079), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215088 */ /*GILLT_nxv8s16*//*Label 29163*/ GIMT_Encode4(2217404),
     /* 2215092 */ /*GILLT_nxv8s32*//*Label 29164*/ GIMT_Encode4(2217508),
     /* 2215096 */ /*GILLT_nxv8s64*//*Label 29165*/ GIMT_Encode4(2217725), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215108 */ /*GILLT_nxv16s16*//*Label 29166*/ GIMT_Encode4(2218050),
     /* 2215112 */ /*GILLT_nxv16s32*//*Label 29167*/ GIMT_Encode4(2218154), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2215124 */ /*GILLT_nxv32s16*//*Label 29168*/ GIMT_Encode4(2218371),
     /* 2215128 */ // Label 29152: @2215128
     /* 2215128 */ GIM_Try, /*On fail goto*//*Label 29170*/ GIMT_Encode4(2215301),
     /* 2215133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2215136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215140 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215144 */   GIM_Try, /*On fail goto*//*Label 29171*/ GIMT_Encode4(2215186), // Rule ID 65369 //
     /* 2215149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode1),
     /* 2215152 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2215152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2215155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215164 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215168 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2215171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2215176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2215184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215185 */     // GIR_Coverage, 65369,
     /* 2215185 */     GIR_EraseRootFromParent_Done,
     /* 2215186 */   // Label 29171: @2215186
     /* 2215186 */   GIM_Try, /*On fail goto*//*Label 29172*/ GIMT_Encode4(2215228), // Rule ID 65371 //
     /* 2215191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2215194 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2215194 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2215197 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215201 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215206 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215210 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2215213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2215218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2215226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215227 */     // GIR_Coverage, 65371,
     /* 2215227 */     GIR_EraseRootFromParent_Done,
     /* 2215228 */   // Label 29172: @2215228
     /* 2215228 */   GIM_Try, /*On fail goto*//*Label 29173*/ GIMT_Encode4(2215270), // Rule ID 65372 //
     /* 2215233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode1),
     /* 2215236 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2215236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2215239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215248 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215252 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2215255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2215260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2215268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215269 */     // GIR_Coverage, 65372,
     /* 2215269 */     GIR_EraseRootFromParent_Done,
     /* 2215270 */   // Label 29173: @2215270
     /* 2215270 */   GIM_Try, /*On fail goto*//*Label 29174*/ GIMT_Encode4(2215285), // Rule ID 65374 //
     /* 2215275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2215278 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2215278 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2215283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215284 */     // GIR_Coverage, 65374,
     /* 2215284 */     GIR_Done,
     /* 2215285 */   // Label 29174: @2215285
     /* 2215285 */   GIM_Try, /*On fail goto*//*Label 29175*/ GIMT_Encode4(2215300), // Rule ID 65375 //
     /* 2215290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2215293 */     // (sext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2215293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2215298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215299 */     // GIR_Coverage, 65375,
     /* 2215299 */     GIR_Done,
     /* 2215300 */   // Label 29175: @2215300
     /* 2215300 */   GIM_Reject,
     /* 2215301 */ // Label 29170: @2215301
     /* 2215301 */ GIM_Reject,
     /* 2215302 */ // Label 29153: @2215302
     /* 2215302 */ GIM_Try, /*On fail goto*//*Label 29176*/ GIMT_Encode4(2215333), // Rule ID 65359 //
     /* 2215307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2215310 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2215313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215321 */   // (sext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i32] }:$src, 0:{ *:[i64] })
     /* 2215321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2215324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215326 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2215328 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2215331 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215332 */   // GIR_Coverage, 65359,
     /* 2215332 */   GIR_EraseRootFromParent_Done,
     /* 2215333 */ // Label 29176: @2215333
     /* 2215333 */ GIM_Try, /*On fail goto*//*Label 29177*/ GIMT_Encode4(2215386), // Rule ID 65368 //
     /* 2215338 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_HwMode0),
     /* 2215341 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2215344 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215348 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215352 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2215352 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2215355 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215359 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215364 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215368 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2215371 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2215376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215378 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2215384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215385 */   // GIR_Coverage, 65368,
     /* 2215385 */   GIR_EraseRootFromParent_Done,
     /* 2215386 */ // Label 29177: @2215386
     /* 2215386 */ GIM_Try, /*On fail goto*//*Label 29178*/ GIMT_Encode4(2215439), // Rule ID 65370 //
     /* 2215391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_HwMode0),
     /* 2215394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2215397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215405 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRAI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2215405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2215408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2215412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215417 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2215421 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2215424 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215426 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2215429 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215431 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2215437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215438 */   // GIR_Coverage, 65370,
     /* 2215438 */   GIR_EraseRootFromParent_Done,
     /* 2215439 */ // Label 29178: @2215439
     /* 2215439 */ GIM_Try, /*On fail goto*//*Label 29179*/ GIMT_Encode4(2215465), // Rule ID 65376 //
     /* 2215444 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2215447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2215450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2215458 */   // (sext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2215458 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2215463 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215464 */   // GIR_Coverage, 65376,
     /* 2215464 */   GIR_Done,
     /* 2215465 */ // Label 29179: @2215465
     /* 2215465 */ GIM_Reject,
     /* 2215466 */ // Label 29154: @2215466
     /* 2215466 */ GIM_Try, /*On fail goto*//*Label 29180*/ GIMT_Encode4(2215569),
     /* 2215471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2215474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215482 */   GIM_Try, /*On fail goto*//*Label 29181*/ GIMT_Encode4(2215525), // Rule ID 47542 //
     /* 2215487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215490 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2215493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2215507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215524 */     // GIR_Coverage, 47542,
     /* 2215524 */     GIR_EraseRootFromParent_Done,
     /* 2215525 */   // Label 29181: @2215525
     /* 2215525 */   GIM_Try, /*On fail goto*//*Label 29182*/ GIMT_Encode4(2215568), // Rule ID 47543 //
     /* 2215530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215533 */     // (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2215536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF4),
     /* 2215550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2215563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2215567 */     // GIR_Coverage, 47543,
     /* 2215567 */     GIR_EraseRootFromParent_Done,
     /* 2215568 */   // Label 29182: @2215568
     /* 2215568 */   GIM_Reject,
     /* 2215569 */ // Label 29180: @2215569
     /* 2215569 */ GIM_Reject,
     /* 2215570 */ // Label 29155: @2215570
     /* 2215570 */ GIM_Try, /*On fail goto*//*Label 29183*/ GIMT_Encode4(2215624), // Rule ID 47554 //
     /* 2215575 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215585 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215589 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215589 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215592 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215596 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215601 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2215606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215608 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215611 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215613 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215616 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215619 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215622 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215623 */   // GIR_Coverage, 47554,
     /* 2215623 */   GIR_EraseRootFromParent_Done,
     /* 2215624 */ // Label 29183: @2215624
     /* 2215624 */ GIM_Try, /*On fail goto*//*Label 29184*/ GIMT_Encode4(2215678), // Rule ID 47555 //
     /* 2215629 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215643 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215643 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215646 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215650 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215655 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215657 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2215660 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215662 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215665 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215677 */   // GIR_Coverage, 47555,
     /* 2215677 */   GIR_EraseRootFromParent_Done,
     /* 2215678 */ // Label 29184: @2215678
     /* 2215678 */ GIM_Try, /*On fail goto*//*Label 29185*/ GIMT_Encode4(2215732), // Rule ID 47608 //
     /* 2215683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2215686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2215689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215697 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215697 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215700 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215704 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215709 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2215714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215716 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215719 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215724 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215727 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215730 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215731 */   // GIR_Coverage, 47608,
     /* 2215731 */   GIR_EraseRootFromParent_Done,
     /* 2215732 */ // Label 29185: @2215732
     /* 2215732 */ GIM_Try, /*On fail goto*//*Label 29186*/ GIMT_Encode4(2215786), // Rule ID 47609 //
     /* 2215737 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2215740 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2215743 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215747 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215751 */   // (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215751 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2215754 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215758 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215763 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_MF2),
     /* 2215768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215770 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215773 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2215781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215785 */   // GIR_Coverage, 47609,
     /* 2215785 */   GIR_EraseRootFromParent_Done,
     /* 2215786 */ // Label 29186: @2215786
     /* 2215786 */ GIM_Reject,
     /* 2215787 */ // Label 29156: @2215787
     /* 2215787 */ GIM_Try, /*On fail goto*//*Label 29187*/ GIMT_Encode4(2215841), // Rule ID 47564 //
     /* 2215792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2215795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215806 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215806 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215809 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215813 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215818 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2215823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215825 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215828 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215840 */   // GIR_Coverage, 47564,
     /* 2215840 */   GIR_EraseRootFromParent_Done,
     /* 2215841 */ // Label 29187: @2215841
     /* 2215841 */ GIM_Try, /*On fail goto*//*Label 29188*/ GIMT_Encode4(2215895), // Rule ID 47565 //
     /* 2215846 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2215849 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2215852 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215856 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215860 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215860 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215863 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215867 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215872 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215874 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2215877 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215879 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215882 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215894 */   // GIR_Coverage, 47565,
     /* 2215894 */   GIR_EraseRootFromParent_Done,
     /* 2215895 */ // Label 29188: @2215895
     /* 2215895 */ GIM_Try, /*On fail goto*//*Label 29189*/ GIMT_Encode4(2215949), // Rule ID 47618 //
     /* 2215900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2215903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215906 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215910 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215914 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2215914 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215917 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215921 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215926 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2215931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215933 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215936 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2215947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2215948 */   // GIR_Coverage, 47618,
     /* 2215948 */   GIR_EraseRootFromParent_Done,
     /* 2215949 */ // Label 29189: @2215949
     /* 2215949 */ GIM_Try, /*On fail goto*//*Label 29190*/ GIMT_Encode4(2216003), // Rule ID 47619 //
     /* 2215954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2215957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2215960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2215968 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2215968 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2215971 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2215975 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2215980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2215982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2215985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2215987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2215990 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2215992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2215995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2215998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216001 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216002 */   // GIR_Coverage, 47619,
     /* 2216002 */   GIR_EraseRootFromParent_Done,
     /* 2216003 */ // Label 29190: @2216003
     /* 2216003 */ GIM_Try, /*On fail goto*//*Label 29191*/ GIMT_Encode4(2216057), // Rule ID 47642 //
     /* 2216008 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2216011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216014 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216018 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216022 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216022 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216025 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216029 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216034 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216036 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2216039 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216041 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216044 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216056 */   // GIR_Coverage, 47642,
     /* 2216056 */   GIR_EraseRootFromParent_Done,
     /* 2216057 */ // Label 29191: @2216057
     /* 2216057 */ GIM_Try, /*On fail goto*//*Label 29192*/ GIMT_Encode4(2216111), // Rule ID 47643 //
     /* 2216062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2216065 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2216068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216076 */   // (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216076 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2216079 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216083 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216088 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216090 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M1),
     /* 2216093 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216095 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216098 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216109 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216110 */   // GIR_Coverage, 47643,
     /* 2216110 */   GIR_EraseRootFromParent_Done,
     /* 2216111 */ // Label 29192: @2216111
     /* 2216111 */ GIM_Reject,
     /* 2216112 */ // Label 29157: @2216112
     /* 2216112 */ GIM_Try, /*On fail goto*//*Label 29193*/ GIMT_Encode4(2216215),
     /* 2216117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216128 */   GIM_Try, /*On fail goto*//*Label 29194*/ GIMT_Encode4(2216171), // Rule ID 47544 //
     /* 2216133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216136 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2216153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216170 */     // GIR_Coverage, 47544,
     /* 2216170 */     GIR_EraseRootFromParent_Done,
     /* 2216171 */   // Label 29194: @2216171
     /* 2216171 */   GIM_Try, /*On fail goto*//*Label 29195*/ GIMT_Encode4(2216214), // Rule ID 47545 //
     /* 2216176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216179 */     // (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2216182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_MF2),
     /* 2216196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216213 */     // GIR_Coverage, 47545,
     /* 2216213 */     GIR_EraseRootFromParent_Done,
     /* 2216214 */   // Label 29195: @2216214
     /* 2216214 */   GIM_Reject,
     /* 2216215 */ // Label 29193: @2216215
     /* 2216215 */ GIM_Reject,
     /* 2216216 */ // Label 29158: @2216216
     /* 2216216 */ GIM_Try, /*On fail goto*//*Label 29196*/ GIMT_Encode4(2216270), // Rule ID 47556 //
     /* 2216221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216235 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216235 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216238 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216242 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216247 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2216252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216254 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216257 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216262 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216265 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216268 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216269 */   // GIR_Coverage, 47556,
     /* 2216269 */   GIR_EraseRootFromParent_Done,
     /* 2216270 */ // Label 29196: @2216270
     /* 2216270 */ GIM_Try, /*On fail goto*//*Label 29197*/ GIMT_Encode4(2216324), // Rule ID 47557 //
     /* 2216275 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216281 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216285 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216289 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216289 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216292 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216296 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216301 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2216306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216308 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216311 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216313 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216316 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216322 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216323 */   // GIR_Coverage, 47557,
     /* 2216323 */   GIR_EraseRootFromParent_Done,
     /* 2216324 */ // Label 29197: @2216324
     /* 2216324 */ GIM_Try, /*On fail goto*//*Label 29198*/ GIMT_Encode4(2216378), // Rule ID 47610 //
     /* 2216329 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216332 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216343 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216343 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216346 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216350 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216355 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2216360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216362 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216365 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216377 */   // GIR_Coverage, 47610,
     /* 2216377 */   GIR_EraseRootFromParent_Done,
     /* 2216378 */ // Label 29198: @2216378
     /* 2216378 */ GIM_Try, /*On fail goto*//*Label 29199*/ GIMT_Encode4(2216432), // Rule ID 47611 //
     /* 2216383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216397 */   // (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2216400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M1),
     /* 2216414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216416 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216430 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216431 */   // GIR_Coverage, 47611,
     /* 2216431 */   GIR_EraseRootFromParent_Done,
     /* 2216432 */ // Label 29199: @2216432
     /* 2216432 */ GIM_Reject,
     /* 2216433 */ // Label 29159: @2216433
     /* 2216433 */ GIM_Try, /*On fail goto*//*Label 29200*/ GIMT_Encode4(2216487), // Rule ID 47566 //
     /* 2216438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2216441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2216444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216452 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216452 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2216455 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216459 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216464 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2216469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216474 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216486 */   // GIR_Coverage, 47566,
     /* 2216486 */   GIR_EraseRootFromParent_Done,
     /* 2216487 */ // Label 29200: @2216487
     /* 2216487 */ GIM_Try, /*On fail goto*//*Label 29201*/ GIMT_Encode4(2216541), // Rule ID 47567 //
     /* 2216492 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2216495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2216498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216506 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216506 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2216509 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216513 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216518 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2216523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216525 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216528 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216540 */   // GIR_Coverage, 47567,
     /* 2216540 */   GIR_EraseRootFromParent_Done,
     /* 2216541 */ // Label 29201: @2216541
     /* 2216541 */ GIM_Try, /*On fail goto*//*Label 29202*/ GIMT_Encode4(2216595), // Rule ID 47620 //
     /* 2216546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2216549 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216560 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216560 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2216563 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216567 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216572 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216574 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2216577 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216579 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216582 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216590 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216593 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216594 */   // GIR_Coverage, 47620,
     /* 2216594 */   GIR_EraseRootFromParent_Done,
     /* 2216595 */ // Label 29202: @2216595
     /* 2216595 */ GIM_Try, /*On fail goto*//*Label 29203*/ GIMT_Encode4(2216649), // Rule ID 47621 //
     /* 2216600 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2216603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2216606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216614 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216614 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2216617 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216621 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216626 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2216631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216633 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216636 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216644 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216647 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216648 */   // GIR_Coverage, 47621,
     /* 2216648 */   GIR_EraseRootFromParent_Done,
     /* 2216649 */ // Label 29203: @2216649
     /* 2216649 */ GIM_Try, /*On fail goto*//*Label 29204*/ GIMT_Encode4(2216703), // Rule ID 47644 //
     /* 2216654 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2216657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216668 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216668 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2216671 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216675 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216680 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216682 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2216685 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216687 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216690 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216702 */   // GIR_Coverage, 47644,
     /* 2216702 */   GIR_EraseRootFromParent_Done,
     /* 2216703 */ // Label 29204: @2216703
     /* 2216703 */ GIM_Try, /*On fail goto*//*Label 29205*/ GIMT_Encode4(2216757), // Rule ID 47645 //
     /* 2216708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2216711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2216714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216722 */   // (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216722 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2216725 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216729 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216734 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M2),
     /* 2216739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216741 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216744 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2216752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216756 */   // GIR_Coverage, 47645,
     /* 2216756 */   GIR_EraseRootFromParent_Done,
     /* 2216757 */ // Label 29205: @2216757
     /* 2216757 */ GIM_Reject,
     /* 2216758 */ // Label 29160: @2216758
     /* 2216758 */ GIM_Try, /*On fail goto*//*Label 29206*/ GIMT_Encode4(2216861),
     /* 2216763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2216766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216770 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216774 */   GIM_Try, /*On fail goto*//*Label 29207*/ GIMT_Encode4(2216817), // Rule ID 47546 //
     /* 2216779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216782 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216782 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2216785 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216789 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216794 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2216799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216801 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216816 */     // GIR_Coverage, 47546,
     /* 2216816 */     GIR_EraseRootFromParent_Done,
     /* 2216817 */   // Label 29207: @2216817
     /* 2216817 */   GIM_Try, /*On fail goto*//*Label 29208*/ GIMT_Encode4(2216860), // Rule ID 47547 //
     /* 2216822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216825 */     // (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2216828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M1),
     /* 2216842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2216855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2216859 */     // GIR_Coverage, 47547,
     /* 2216859 */     GIR_EraseRootFromParent_Done,
     /* 2216860 */   // Label 29208: @2216860
     /* 2216860 */   GIM_Reject,
     /* 2216861 */ // Label 29206: @2216861
     /* 2216861 */ GIM_Reject,
     /* 2216862 */ // Label 29161: @2216862
     /* 2216862 */ GIM_Try, /*On fail goto*//*Label 29209*/ GIMT_Encode4(2216916), // Rule ID 47558 //
     /* 2216867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2216873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216881 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216881 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2216884 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216888 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216893 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2216898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216900 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216903 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216911 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216914 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216915 */   // GIR_Coverage, 47558,
     /* 2216915 */   GIR_EraseRootFromParent_Done,
     /* 2216916 */ // Label 29209: @2216916
     /* 2216916 */ GIM_Try, /*On fail goto*//*Label 29210*/ GIMT_Encode4(2216970), // Rule ID 47559 //
     /* 2216921 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2216924 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2216927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216935 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2216935 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2216938 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216942 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2216947 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2216949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2216952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2216954 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2216957 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2216959 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2216962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2216965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2216968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2216969 */   // GIR_Coverage, 47559,
     /* 2216969 */   GIR_EraseRootFromParent_Done,
     /* 2216970 */ // Label 29210: @2216970
     /* 2216970 */ GIM_Try, /*On fail goto*//*Label 29211*/ GIMT_Encode4(2217024), // Rule ID 47612 //
     /* 2216975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2216978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2216981 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2216985 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2216989 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2216989 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2216992 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2216996 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217001 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217003 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2217006 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217008 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217011 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217023 */   // GIR_Coverage, 47612,
     /* 2217023 */   GIR_EraseRootFromParent_Done,
     /* 2217024 */ // Label 29211: @2217024
     /* 2217024 */ GIM_Try, /*On fail goto*//*Label 29212*/ GIMT_Encode4(2217078), // Rule ID 47613 //
     /* 2217029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217043 */   // (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217043 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2217046 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217050 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217055 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M2),
     /* 2217060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217062 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217065 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217077 */   // GIR_Coverage, 47613,
     /* 2217077 */   GIR_EraseRootFromParent_Done,
     /* 2217078 */ // Label 29212: @2217078
     /* 2217078 */ GIM_Reject,
     /* 2217079 */ // Label 29162: @2217079
     /* 2217079 */ GIM_Try, /*On fail goto*//*Label 29213*/ GIMT_Encode4(2217133), // Rule ID 47568 //
     /* 2217084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2217090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217098 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2217115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217120 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217132 */   // GIR_Coverage, 47568,
     /* 2217132 */   GIR_EraseRootFromParent_Done,
     /* 2217133 */ // Label 29213: @2217133
     /* 2217133 */ GIM_Try, /*On fail goto*//*Label 29214*/ GIMT_Encode4(2217187), // Rule ID 47569 //
     /* 2217138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2217144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217152 */   // (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217152 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217155 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217159 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217164 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2217169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217171 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217174 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217185 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217186 */   // GIR_Coverage, 47569,
     /* 2217186 */   GIR_EraseRootFromParent_Done,
     /* 2217187 */ // Label 29214: @2217187
     /* 2217187 */ GIM_Try, /*On fail goto*//*Label 29215*/ GIMT_Encode4(2217241), // Rule ID 47622 //
     /* 2217192 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217202 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217206 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217206 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217209 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217213 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217218 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217220 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2217223 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217225 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217228 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217240 */   // GIR_Coverage, 47622,
     /* 2217240 */   GIR_EraseRootFromParent_Done,
     /* 2217241 */ // Label 29215: @2217241
     /* 2217241 */ GIM_Try, /*On fail goto*//*Label 29216*/ GIMT_Encode4(2217295), // Rule ID 47623 //
     /* 2217246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2217252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217260 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217260 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217263 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217267 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217272 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217274 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2217277 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217279 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217282 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217290 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217293 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217294 */   // GIR_Coverage, 47623,
     /* 2217294 */   GIR_EraseRootFromParent_Done,
     /* 2217295 */ // Label 29216: @2217295
     /* 2217295 */ GIM_Try, /*On fail goto*//*Label 29217*/ GIMT_Encode4(2217349), // Rule ID 47646 //
     /* 2217300 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217314 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217314 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217317 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217321 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217326 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2217331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217333 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217336 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217348 */   // GIR_Coverage, 47646,
     /* 2217348 */   GIR_EraseRootFromParent_Done,
     /* 2217349 */ // Label 29217: @2217349
     /* 2217349 */ GIM_Try, /*On fail goto*//*Label 29218*/ GIMT_Encode4(2217403), // Rule ID 47647 //
     /* 2217354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2217360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217368 */   // (sext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217368 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2217371 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217375 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217380 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M4),
     /* 2217385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217387 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217401 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217402 */   // GIR_Coverage, 47647,
     /* 2217402 */   GIR_EraseRootFromParent_Done,
     /* 2217403 */ // Label 29218: @2217403
     /* 2217403 */ GIM_Reject,
     /* 2217404 */ // Label 29163: @2217404
     /* 2217404 */ GIM_Try, /*On fail goto*//*Label 29219*/ GIMT_Encode4(2217507),
     /* 2217409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2217412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217416 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217420 */   GIM_Try, /*On fail goto*//*Label 29220*/ GIMT_Encode4(2217463), // Rule ID 47548 //
     /* 2217425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217428 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2217431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2217445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217462 */     // GIR_Coverage, 47548,
     /* 2217462 */     GIR_EraseRootFromParent_Done,
     /* 2217463 */   // Label 29220: @2217463
     /* 2217463 */   GIM_Try, /*On fail goto*//*Label 29221*/ GIMT_Encode4(2217506), // Rule ID 47549 //
     /* 2217468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217471 */     // (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217471 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2217474 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217478 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M2),
     /* 2217488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217490 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2217501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2217505 */     // GIR_Coverage, 47549,
     /* 2217505 */     GIR_EraseRootFromParent_Done,
     /* 2217506 */   // Label 29221: @2217506
     /* 2217506 */   GIM_Reject,
     /* 2217507 */ // Label 29219: @2217507
     /* 2217507 */ GIM_Reject,
     /* 2217508 */ // Label 29164: @2217508
     /* 2217508 */ GIM_Try, /*On fail goto*//*Label 29222*/ GIMT_Encode4(2217562), // Rule ID 47560 //
     /* 2217513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2217519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217527 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217527 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2217530 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217534 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217539 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2217544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217546 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217549 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217561 */   // GIR_Coverage, 47560,
     /* 2217561 */   GIR_EraseRootFromParent_Done,
     /* 2217562 */ // Label 29222: @2217562
     /* 2217562 */ GIM_Try, /*On fail goto*//*Label 29223*/ GIMT_Encode4(2217616), // Rule ID 47561 //
     /* 2217567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2217573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217581 */   // (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217581 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2217584 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217588 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217593 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2217598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217600 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217603 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217615 */   // GIR_Coverage, 47561,
     /* 2217615 */   GIR_EraseRootFromParent_Done,
     /* 2217616 */ // Label 29223: @2217616
     /* 2217616 */ GIM_Try, /*On fail goto*//*Label 29224*/ GIMT_Encode4(2217670), // Rule ID 47614 //
     /* 2217621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2217624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2217627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217635 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217635 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2217638 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217642 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2217652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217669 */   // GIR_Coverage, 47614,
     /* 2217669 */   GIR_EraseRootFromParent_Done,
     /* 2217670 */ // Label 29224: @2217670
     /* 2217670 */ GIM_Try, /*On fail goto*//*Label 29225*/ GIMT_Encode4(2217724), // Rule ID 47615 //
     /* 2217675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2217678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2217681 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217685 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217689 */   // (sext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217689 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2217692 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217696 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217701 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217703 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M4),
     /* 2217706 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217708 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217711 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2217719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217722 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217723 */   // GIR_Coverage, 47615,
     /* 2217723 */   GIR_EraseRootFromParent_Done,
     /* 2217724 */ // Label 29225: @2217724
     /* 2217724 */ GIM_Reject,
     /* 2217725 */ // Label 29165: @2217725
     /* 2217725 */ GIM_Try, /*On fail goto*//*Label 29226*/ GIMT_Encode4(2217779), // Rule ID 47570 //
     /* 2217730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2217736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217744 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2217747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2217761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217778 */   // GIR_Coverage, 47570,
     /* 2217778 */   GIR_EraseRootFromParent_Done,
     /* 2217779 */ // Label 29226: @2217779
     /* 2217779 */ GIM_Try, /*On fail goto*//*Label 29227*/ GIMT_Encode4(2217833), // Rule ID 47571 //
     /* 2217784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2217790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2217798 */   // (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2217801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2217815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217832 */   // GIR_Coverage, 47571,
     /* 2217832 */   GIR_EraseRootFromParent_Done,
     /* 2217833 */ // Label 29227: @2217833
     /* 2217833 */ GIM_Try, /*On fail goto*//*Label 29228*/ GIMT_Encode4(2217887), // Rule ID 47624 //
     /* 2217838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2217844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217852 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217852 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2217855 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217859 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2217869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217871 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217886 */   // GIR_Coverage, 47624,
     /* 2217886 */   GIR_EraseRootFromParent_Done,
     /* 2217887 */ // Label 29228: @2217887
     /* 2217887 */ GIM_Try, /*On fail goto*//*Label 29229*/ GIMT_Encode4(2217941), // Rule ID 47625 //
     /* 2217892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2217895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2217898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2217906 */   // (sext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2217906 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2217909 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217913 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217918 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217920 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2217923 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217925 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217928 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217940 */   // GIR_Coverage, 47625,
     /* 2217940 */   GIR_EraseRootFromParent_Done,
     /* 2217941 */ // Label 29229: @2217941
     /* 2217941 */ GIM_Try, /*On fail goto*//*Label 29230*/ GIMT_Encode4(2217995), // Rule ID 47648 //
     /* 2217946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2217949 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2217952 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2217956 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2217960 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2217960 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2217963 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2217967 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2217972 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2217974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2217977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2217979 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2217982 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2217984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2217987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2217990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2217993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2217994 */   // GIR_Coverage, 47648,
     /* 2217994 */   GIR_EraseRootFromParent_Done,
     /* 2217995 */ // Label 29230: @2217995
     /* 2217995 */ GIM_Try, /*On fail goto*//*Label 29231*/ GIMT_Encode4(2218049), // Rule ID 47649 //
     /* 2218000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2218003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2218006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2218014 */   // (sext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2218017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF8_M8),
     /* 2218031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2218044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218048 */   // GIR_Coverage, 47649,
     /* 2218048 */   GIR_EraseRootFromParent_Done,
     /* 2218049 */ // Label 29231: @2218049
     /* 2218049 */ GIM_Reject,
     /* 2218050 */ // Label 29166: @2218050
     /* 2218050 */ GIM_Try, /*On fail goto*//*Label 29232*/ GIMT_Encode4(2218153),
     /* 2218055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218066 */   GIM_Try, /*On fail goto*//*Label 29233*/ GIMT_Encode4(2218109), // Rule ID 47550 //
     /* 2218071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218074 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218074 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218077 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218081 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218086 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2218091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218093 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218108 */     // GIR_Coverage, 47550,
     /* 2218108 */     GIR_EraseRootFromParent_Done,
     /* 2218109 */   // Label 29233: @2218109
     /* 2218109 */   GIM_Try, /*On fail goto*//*Label 29234*/ GIMT_Encode4(2218152), // Rule ID 47551 //
     /* 2218114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218117 */     // (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2218120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M4),
     /* 2218134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218151 */     // GIR_Coverage, 47551,
     /* 2218151 */     GIR_EraseRootFromParent_Done,
     /* 2218152 */   // Label 29234: @2218152
     /* 2218152 */   GIM_Reject,
     /* 2218153 */ // Label 29232: @2218153
     /* 2218153 */ GIM_Reject,
     /* 2218154 */ // Label 29167: @2218154
     /* 2218154 */ GIM_Try, /*On fail goto*//*Label 29235*/ GIMT_Encode4(2218208), // Rule ID 47562 //
     /* 2218159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218173 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2218190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218207 */   // GIR_Coverage, 47562,
     /* 2218207 */   GIR_EraseRootFromParent_Done,
     /* 2218208 */ // Label 29235: @2218208
     /* 2218208 */ GIM_Try, /*On fail goto*//*Label 29236*/ GIMT_Encode4(2218262), // Rule ID 47563 //
     /* 2218213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2218219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218227 */   // (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218239 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2218244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218246 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218249 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218261 */   // GIR_Coverage, 47563,
     /* 2218261 */   GIR_EraseRootFromParent_Done,
     /* 2218262 */ // Label 29236: @2218262
     /* 2218262 */ GIM_Try, /*On fail goto*//*Label 29237*/ GIMT_Encode4(2218316), // Rule ID 47616 //
     /* 2218267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218281 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218281 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218284 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218288 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218293 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2218298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218300 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218314 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218315 */   // GIR_Coverage, 47616,
     /* 2218315 */   GIR_EraseRootFromParent_Done,
     /* 2218316 */ // Label 29237: @2218316
     /* 2218316 */ GIM_Try, /*On fail goto*//*Label 29238*/ GIMT_Encode4(2218370), // Rule ID 47617 //
     /* 2218321 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218324 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2218327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2218335 */   // (sext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218335 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2218338 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218342 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218347 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF4_M8),
     /* 2218352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218354 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218357 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2218365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2218369 */   // GIR_Coverage, 47617,
     /* 2218369 */   GIR_EraseRootFromParent_Done,
     /* 2218370 */ // Label 29238: @2218370
     /* 2218370 */ GIM_Reject,
     /* 2218371 */ // Label 29168: @2218371
     /* 2218371 */ GIM_Try, /*On fail goto*//*Label 29239*/ GIMT_Encode4(2218474),
     /* 2218376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2218379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2218383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2218387 */   GIM_Try, /*On fail goto*//*Label 29240*/ GIMT_Encode4(2218430), // Rule ID 47552 //
     /* 2218392 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2218395 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2218395 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218398 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218402 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218407 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2218412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218414 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218417 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218429 */     // GIR_Coverage, 47552,
     /* 2218429 */     GIR_EraseRootFromParent_Done,
     /* 2218430 */   // Label 29240: @2218430
     /* 2218430 */   GIM_Try, /*On fail goto*//*Label 29241*/ GIMT_Encode4(2218473), // Rule ID 47553 //
     /* 2218435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2218438 */     // (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2218438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2218441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2218445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2218450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2218452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSEXT_VF2_M8),
     /* 2218455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2218460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2218462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2218465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2218468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2218471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218472 */     // GIR_Coverage, 47553,
     /* 2218472 */     GIR_EraseRootFromParent_Done,
     /* 2218473 */   // Label 29241: @2218473
     /* 2218473 */   GIM_Reject,
     /* 2218474 */ // Label 29239: @2218474
     /* 2218474 */ GIM_Reject,
     /* 2218475 */ // Label 29169: @2218475
     /* 2218475 */ GIM_Reject,
     /* 2218476 */ // Label 41: @2218476
     /* 2218476 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 29244*/ GIMT_Encode4(2219518),
     /* 2218487 */ /*GILLT_s32*//*Label 29242*/ GIMT_Encode4(2218495),
     /* 2218491 */ /*GILLT_s64*//*Label 29243*/ GIMT_Encode4(2219153),
     /* 2218495 */ // Label 29242: @2218495
     /* 2218495 */ GIM_Try, /*On fail goto*//*Label 29245*/ GIMT_Encode4(2219152),
     /* 2218500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2218503 */   GIM_Try, /*On fail goto*//*Label 29246*/ GIMT_Encode4(2218539), // Rule ID 64468 //
     /* 2218508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2218511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218519 */     // MIs[0] Operand 2
     /* 2218519 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2218530 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2218530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2218533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218538 */     // GIR_Coverage, 64468,
     /* 2218538 */     GIR_EraseRootFromParent_Done,
     /* 2218539 */   // Label 29246: @2218539
     /* 2218539 */   GIM_Try, /*On fail goto*//*Label 29247*/ GIMT_Encode4(2218575), // Rule ID 64470 //
     /* 2218544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2218547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218555 */     // MIs[0] Operand 2
     /* 2218555 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2218566 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2218566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2218569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218571 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218574 */     // GIR_Coverage, 64470,
     /* 2218574 */     GIR_EraseRootFromParent_Done,
     /* 2218575 */   // Label 29247: @2218575
     /* 2218575 */   GIM_Try, /*On fail goto*//*Label 29248*/ GIMT_Encode4(2218611), // Rule ID 2521 //
     /* 2218580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2218583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218591 */     // MIs[0] Operand 2
     /* 2218591 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2218602 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2218602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2218605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218610 */     // GIR_Coverage, 2521,
     /* 2218610 */     GIR_EraseRootFromParent_Done,
     /* 2218611 */   // Label 29248: @2218611
     /* 2218611 */   GIM_Try, /*On fail goto*//*Label 29249*/ GIMT_Encode4(2218647), // Rule ID 2523 //
     /* 2218616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2218619 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218623 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218627 */     // MIs[0] Operand 2
     /* 2218627 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2218638 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2218638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2218641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218646 */     // GIR_Coverage, 2523,
     /* 2218646 */     GIR_EraseRootFromParent_Done,
     /* 2218647 */   // Label 29249: @2218647
     /* 2218647 */   GIM_Try, /*On fail goto*//*Label 29250*/ GIMT_Encode4(2218689), // Rule ID 62554 //
     /* 2218652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2218655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218663 */     // MIs[0] Operand 2
     /* 2218663 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2218674 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2218674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2218677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2218684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218688 */     // GIR_Coverage, 62554,
     /* 2218688 */     GIR_EraseRootFromParent_Done,
     /* 2218689 */   // Label 29250: @2218689
     /* 2218689 */   GIM_Try, /*On fail goto*//*Label 29251*/ GIMT_Encode4(2218731), // Rule ID 62556 //
     /* 2218694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2218697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218705 */     // MIs[0] Operand 2
     /* 2218705 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2218716 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2218716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2218719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2218726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218730 */     // GIR_Coverage, 62556,
     /* 2218730 */     GIR_EraseRootFromParent_Done,
     /* 2218731 */   // Label 29251: @2218731
     /* 2218731 */   GIM_Try, /*On fail goto*//*Label 29252*/ GIMT_Encode4(2218773), // Rule ID 62558 //
     /* 2218736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2218739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218747 */     // MIs[0] Operand 2
     /* 2218747 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2218758 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2218758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2218761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218772 */     // GIR_Coverage, 62558,
     /* 2218772 */     GIR_EraseRootFromParent_Done,
     /* 2218773 */   // Label 29252: @2218773
     /* 2218773 */   GIM_Try, /*On fail goto*//*Label 29253*/ GIMT_Encode4(2218815), // Rule ID 64620 //
     /* 2218778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2218781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2218785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218789 */     // MIs[0] Operand 2
     /* 2218789 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2218800 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i64] }, 0:{ *:[i64] })
     /* 2218800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2218803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2218810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218814 */     // GIR_Coverage, 64620,
     /* 2218814 */     GIR_EraseRootFromParent_Done,
     /* 2218815 */   // Label 29253: @2218815
     /* 2218815 */   GIM_Try, /*On fail goto*//*Label 29254*/ GIMT_Encode4(2218857), // Rule ID 64621 //
     /* 2218820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2218823 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2218827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218831 */     // MIs[0] Operand 2
     /* 2218831 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2218842 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] }, 0:{ *:[i32] })
     /* 2218842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2218845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2218852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218856 */     // GIR_Coverage, 64621,
     /* 2218856 */     GIR_EraseRootFromParent_Done,
     /* 2218857 */   // Label 29254: @2218857
     /* 2218857 */   GIM_Try, /*On fail goto*//*Label 29255*/ GIMT_Encode4(2218899), // Rule ID 64636 //
     /* 2218862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode0),
     /* 2218865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2218869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218873 */     // MIs[0] Operand 2
     /* 2218873 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2218884 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 16:{ *:[i64] }, 0:{ *:[i64] })
     /* 2218884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2218887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2218894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218898 */     // GIR_Coverage, 64636,
     /* 2218898 */     GIR_EraseRootFromParent_Done,
     /* 2218899 */   // Label 29255: @2218899
     /* 2218899 */   GIM_Try, /*On fail goto*//*Label 29256*/ GIMT_Encode4(2218941), // Rule ID 64637 //
     /* 2218904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode1),
     /* 2218907 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2218911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218915 */     // MIs[0] Operand 2
     /* 2218915 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2218926 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 16:{ *:[i32] }, 0:{ *:[i32] })
     /* 2218926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2218929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2218936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218940 */     // GIR_Coverage, 64637,
     /* 2218940 */     GIR_EraseRootFromParent_Done,
     /* 2218941 */   // Label 29256: @2218941
     /* 2218941 */   GIM_Try, /*On fail goto*//*Label 29257*/ GIMT_Encode4(2218983), // Rule ID 64638 //
     /* 2218946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode0),
     /* 2218949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2218953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218957 */     // MIs[0] Operand 2
     /* 2218957 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2218968 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 8:{ *:[i64] }, 0:{ *:[i64] })
     /* 2218968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2218971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2218973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2218975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 2218978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2218981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2218982 */     // GIR_Coverage, 64638,
     /* 2218982 */     GIR_EraseRootFromParent_Done,
     /* 2218983 */   // Label 29257: @2218983
     /* 2218983 */   GIM_Try, /*On fail goto*//*Label 29258*/ GIMT_Encode4(2219025), // Rule ID 64639 //
     /* 2218988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_NoStdExtZbb_HwMode1),
     /* 2218991 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2218995 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2218999 */     // MIs[0] Operand 2
     /* 2218999 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2219010 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (QC_EXT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 8:{ *:[i32] }, 0:{ *:[i32] })
     /* 2219010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_EXT),
     /* 2219013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/8,
     /* 2219020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219024 */     // GIR_Coverage, 64639,
     /* 2219024 */     GIR_EraseRootFromParent_Done,
     /* 2219025 */   // Label 29258: @2219025
     /* 2219025 */   GIM_Try, /*On fail goto*//*Label 29259*/ GIMT_Encode4(2219067), // Rule ID 65004 //
     /* 2219030 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2219033 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219037 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219041 */     // MIs[0] Operand 2
     /* 2219041 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2219052 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i16:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 15:{ *:[i32] }, 0:{ *:[i32] })
     /* 2219052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2219055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2219062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219065 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219066 */     // GIR_Coverage, 65004,
     /* 2219066 */     GIR_EraseRootFromParent_Done,
     /* 2219067 */   // Label 29259: @2219067
     /* 2219067 */   GIM_Try, /*On fail goto*//*Label 29260*/ GIMT_Encode4(2219109), // Rule ID 65006 //
     /* 2219072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2219075 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219083 */     // MIs[0] Operand 2
     /* 2219083 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2219094 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i8:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 7:{ *:[i32] }, 0:{ *:[i32] })
     /* 2219094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2219097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219108 */     // GIR_Coverage, 65006,
     /* 2219108 */     GIR_EraseRootFromParent_Done,
     /* 2219109 */   // Label 29260: @2219109
     /* 2219109 */   GIM_Try, /*On fail goto*//*Label 29261*/ GIMT_Encode4(2219151), // Rule ID 65008 //
     /* 2219114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode1),
     /* 2219117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219125 */     // MIs[0] Operand 2
     /* 2219125 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2219136 */     // (sext_inreg:{ *:[i32] } GPR:{ *:[i32] }:$rs1, i1:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2219136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2219139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219141 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219150 */     // GIR_Coverage, 65008,
     /* 2219150 */     GIR_EraseRootFromParent_Done,
     /* 2219151 */   // Label 29261: @2219151
     /* 2219151 */   GIM_Reject,
     /* 2219152 */ // Label 29245: @2219152
     /* 2219152 */ GIM_Reject,
     /* 2219153 */ // Label 29243: @2219153
     /* 2219153 */ GIM_Try, /*On fail goto*//*Label 29262*/ GIMT_Encode4(2219517),
     /* 2219158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2219161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219169 */   GIM_Try, /*On fail goto*//*Label 29263*/ GIMT_Encode4(2219197), // Rule ID 64467 //
     /* 2219174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2219177 */     // MIs[0] Operand 2
     /* 2219177 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2219188 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (CV_EXTHS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2219188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTHS),
     /* 2219191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219196 */     // GIR_Coverage, 64467,
     /* 2219196 */     GIR_EraseRootFromParent_Done,
     /* 2219197 */   // Label 29263: @2219197
     /* 2219197 */   GIM_Try, /*On fail goto*//*Label 29264*/ GIMT_Encode4(2219225), // Rule ID 64469 //
     /* 2219202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2219205 */     // MIs[0] Operand 2
     /* 2219205 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2219216 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (CV_EXTBS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2219216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_EXTBS),
     /* 2219219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219224 */     // GIR_Coverage, 64469,
     /* 2219224 */     GIR_EraseRootFromParent_Done,
     /* 2219225 */   // Label 29264: @2219225
     /* 2219225 */   GIM_Try, /*On fail goto*//*Label 29265*/ GIMT_Encode4(2219256), // Rule ID 262 //
     /* 2219230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2219233 */     // MIs[0] Operand 2
     /* 2219233 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(32),
     /* 2219244 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] })  =>  (ADDIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2219244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADDIW),
     /* 2219247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219254 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219255 */     // GIR_Coverage, 262,
     /* 2219255 */     GIR_EraseRootFromParent_Done,
     /* 2219256 */   // Label 29265: @2219256
     /* 2219256 */   GIM_Try, /*On fail goto*//*Label 29266*/ GIMT_Encode4(2219284), // Rule ID 2520 //
     /* 2219261 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2219264 */     // MIs[0] Operand 2
     /* 2219264 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2219275 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (SEXT_B:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2219275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_B),
     /* 2219278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219283 */     // GIR_Coverage, 2520,
     /* 2219283 */     GIR_EraseRootFromParent_Done,
     /* 2219284 */   // Label 29266: @2219284
     /* 2219284 */   GIM_Try, /*On fail goto*//*Label 29267*/ GIMT_Encode4(2219312), // Rule ID 2522 //
     /* 2219289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2219292 */     // MIs[0] Operand 2
     /* 2219292 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2219303 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (SEXT_H:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2219303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SEXT_H),
     /* 2219306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219311 */     // GIR_Coverage, 2522,
     /* 2219311 */     GIR_EraseRootFromParent_Done,
     /* 2219312 */   // Label 29267: @2219312
     /* 2219312 */   GIM_Try, /*On fail goto*//*Label 29268*/ GIMT_Encode4(2219346), // Rule ID 62553 //
     /* 2219317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2219320 */     // MIs[0] Operand 2
     /* 2219320 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2219331 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2219331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2219334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2219341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219345 */     // GIR_Coverage, 62553,
     /* 2219345 */     GIR_EraseRootFromParent_Done,
     /* 2219346 */   // Label 29268: @2219346
     /* 2219346 */   GIM_Try, /*On fail goto*//*Label 29269*/ GIMT_Encode4(2219380), // Rule ID 62555 //
     /* 2219351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2219354 */     // MIs[0] Operand 2
     /* 2219354 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2219365 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2219365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2219368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219379 */     // GIR_Coverage, 62555,
     /* 2219379 */     GIR_EraseRootFromParent_Done,
     /* 2219380 */   // Label 29269: @2219380
     /* 2219380 */   GIM_Try, /*On fail goto*//*Label 29270*/ GIMT_Encode4(2219414), // Rule ID 62557 //
     /* 2219385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2219388 */     // MIs[0] Operand 2
     /* 2219388 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2219399 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (TH_EXT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2219399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_EXT),
     /* 2219402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219413 */     // GIR_Coverage, 62557,
     /* 2219413 */     GIR_EraseRootFromParent_Done,
     /* 2219414 */   // Label 29270: @2219414
     /* 2219414 */   GIM_Try, /*On fail goto*//*Label 29271*/ GIMT_Encode4(2219448), // Rule ID 65003 //
     /* 2219419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2219422 */     // MIs[0] Operand 2
     /* 2219422 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(16),
     /* 2219433 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i16:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 15:{ *:[i64] }, 0:{ *:[i64] })
     /* 2219433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2219436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/15,
     /* 2219443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219447 */     // GIR_Coverage, 65003,
     /* 2219447 */     GIR_EraseRootFromParent_Done,
     /* 2219448 */   // Label 29271: @2219448
     /* 2219448 */   GIM_Try, /*On fail goto*//*Label 29272*/ GIMT_Encode4(2219482), // Rule ID 65005 //
     /* 2219453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2219456 */     // MIs[0] Operand 2
     /* 2219456 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(8),
     /* 2219467 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i8:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] }, 0:{ *:[i64] })
     /* 2219467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2219470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219472 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2219477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219481 */     // GIR_Coverage, 65005,
     /* 2219481 */     GIR_EraseRootFromParent_Done,
     /* 2219482 */   // Label 29272: @2219482
     /* 2219482 */   GIM_Try, /*On fail goto*//*Label 29273*/ GIMT_Encode4(2219516), // Rule ID 65007 //
     /* 2219487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXAndesPerf_HwMode0),
     /* 2219490 */     // MIs[0] Operand 2
     /* 2219490 */     GIM_CheckLiteralInt, /*MI*/0, /*Op*/2, GIMT_Encode8(1),
     /* 2219501 */     // (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i1:{ *:[Other] })  =>  (NDS_BFOS:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2219501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::NDS_BFOS),
     /* 2219504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2219508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2219514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219515 */     // GIR_Coverage, 65007,
     /* 2219515 */     GIR_EraseRootFromParent_Done,
     /* 2219516 */   // Label 29273: @2219516
     /* 2219516 */   GIM_Reject,
     /* 2219517 */ // Label 29262: @2219517
     /* 2219517 */ GIM_Reject,
     /* 2219518 */ // Label 29244: @2219518
     /* 2219518 */ GIM_Reject,
     /* 2219519 */ // Label 42: @2219519
     /* 2219519 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 29291*/ GIMT_Encode4(2223205),
     /* 2219530 */ /*GILLT_s32*//*Label 29274*/ GIMT_Encode4(2219646),
     /* 2219534 */ /*GILLT_s64*//*Label 29275*/ GIMT_Encode4(2219942), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219546 */ /*GILLT_nxv1s16*//*Label 29276*/ GIMT_Encode4(2220196),
     /* 2219550 */ /*GILLT_nxv1s32*//*Label 29277*/ GIMT_Encode4(2220300),
     /* 2219554 */ /*GILLT_nxv1s64*//*Label 29278*/ GIMT_Encode4(2220517), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219566 */ /*GILLT_nxv2s16*//*Label 29279*/ GIMT_Encode4(2220842),
     /* 2219570 */ /*GILLT_nxv2s32*//*Label 29280*/ GIMT_Encode4(2220946),
     /* 2219574 */ /*GILLT_nxv2s64*//*Label 29281*/ GIMT_Encode4(2221163), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219586 */ /*GILLT_nxv4s16*//*Label 29282*/ GIMT_Encode4(2221488),
     /* 2219590 */ /*GILLT_nxv4s32*//*Label 29283*/ GIMT_Encode4(2221592),
     /* 2219594 */ /*GILLT_nxv4s64*//*Label 29284*/ GIMT_Encode4(2221809), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219606 */ /*GILLT_nxv8s16*//*Label 29285*/ GIMT_Encode4(2222134),
     /* 2219610 */ /*GILLT_nxv8s32*//*Label 29286*/ GIMT_Encode4(2222238),
     /* 2219614 */ /*GILLT_nxv8s64*//*Label 29287*/ GIMT_Encode4(2222455), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219626 */ /*GILLT_nxv16s16*//*Label 29288*/ GIMT_Encode4(2222780),
     /* 2219630 */ /*GILLT_nxv16s32*//*Label 29289*/ GIMT_Encode4(2222884), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2219642 */ /*GILLT_nxv32s16*//*Label 29290*/ GIMT_Encode4(2223101),
     /* 2219646 */ // Label 29274: @2219646
     /* 2219646 */ GIM_Try, /*On fail goto*//*Label 29292*/ GIMT_Encode4(2219941),
     /* 2219651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2219654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219662 */   GIM_Try, /*On fail goto*//*Label 29293*/ GIMT_Encode4(2219704), // Rule ID 65364 //
     /* 2219667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2219670 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 16:{ *:[i32] }), 16:{ *:[i32] })
     /* 2219670 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2219673 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2219677 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219682 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2219686 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2219689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2219694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2219702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219703 */     // GIR_Coverage, 65364,
     /* 2219703 */     GIR_EraseRootFromParent_Done,
     /* 2219704 */   // Label 29293: @2219704
     /* 2219704 */   GIM_Try, /*On fail goto*//*Label 29294*/ GIMT_Encode4(2219746), // Rule ID 65366 //
     /* 2219709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2219712 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2219712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2219715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2219719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219724 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2219728 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2219731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2219736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2219744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219745 */     // GIR_Coverage, 65366,
     /* 2219745 */     GIR_EraseRootFromParent_Done,
     /* 2219746 */   // Label 29294: @2219746
     /* 2219746 */   GIM_Try, /*On fail goto*//*Label 29295*/ GIMT_Encode4(2219788), // Rule ID 65367 //
     /* 2219751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode1),
     /* 2219754 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i32] } (SLLI:{ *:[i32] } GPR:{ *:[i16] }:$src, 48:{ *:[i32] }), 48:{ *:[i32] })
     /* 2219754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2219757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2219761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219766 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2219770 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2219773 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2219778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219780 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2219786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219787 */     // GIR_Coverage, 65367,
     /* 2219787 */     GIR_EraseRootFromParent_Done,
     /* 2219788 */   // Label 29295: @2219788
     /* 2219788 */   GIM_Try, /*On fail goto*//*Label 29296*/ GIMT_Encode4(2219803), // Rule ID 65377 //
     /* 2219793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode0),
     /* 2219796 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2219796 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2219801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219802 */     // GIR_Coverage, 65377,
     /* 2219802 */     GIR_Done,
     /* 2219803 */   // Label 29296: @2219803
     /* 2219803 */   GIM_Try, /*On fail goto*//*Label 29297*/ GIMT_Encode4(2219818), // Rule ID 65378 //
     /* 2219808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV32_HwMode1),
     /* 2219811 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV32:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2219811 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV32),
     /* 2219816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219817 */     // GIR_Coverage, 65378,
     /* 2219817 */     GIR_Done,
     /* 2219818 */   // Label 29297: @2219818
     /* 2219818 */   GIM_Try, /*On fail goto*//*Label 29298*/ GIMT_Encode4(2219833), // Rule ID 65380 //
     /* 2219823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2219826 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2219826 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2219831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219832 */     // GIR_Coverage, 65380,
     /* 2219832 */     GIR_Done,
     /* 2219833 */   // Label 29298: @2219833
     /* 2219833 */   GIM_Try, /*On fail goto*//*Label 29299*/ GIMT_Encode4(2219848), // Rule ID 65381 //
     /* 2219838 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode1),
     /* 2219841 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i32] } GPR:{ *:[i16] }:$rs)
     /* 2219841 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2219846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219847 */     // GIR_Coverage, 65381,
     /* 2219847 */     GIR_Done,
     /* 2219848 */   // Label 29299: @2219848
     /* 2219848 */   GIM_Try, /*On fail goto*//*Label 29300*/ GIMT_Encode4(2219871), // Rule ID 65382 //
     /* 2219853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode0),
     /* 2219856 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2219856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2219859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2219863 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219870 */     // GIR_Coverage, 65382,
     /* 2219870 */     GIR_EraseRootFromParent_Done,
     /* 2219871 */   // Label 29300: @2219871
     /* 2219871 */   GIM_Try, /*On fail goto*//*Label 29301*/ GIMT_Encode4(2219894), // Rule ID 65383 //
     /* 2219876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV32_NoStdExtZbb_HwMode1),
     /* 2219879 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACK:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2219879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACK),
     /* 2219882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2219886 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219893 */     // GIR_Coverage, 65383,
     /* 2219893 */     GIR_EraseRootFromParent_Done,
     /* 2219894 */   // Label 29301: @2219894
     /* 2219894 */   GIM_Try, /*On fail goto*//*Label 29302*/ GIMT_Encode4(2219917), // Rule ID 65385 //
     /* 2219899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2219902 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2219902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2219905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2219909 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219916 */     // GIR_Coverage, 65385,
     /* 2219916 */     GIR_EraseRootFromParent_Done,
     /* 2219917 */   // Label 29302: @2219917
     /* 2219917 */   GIM_Try, /*On fail goto*//*Label 29303*/ GIMT_Encode4(2219940), // Rule ID 65386 //
     /* 2219922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode1),
     /* 2219925 */     // (zext:{ *:[i32] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i32] } GPR:{ *:[i16] }:$rs, X0:{ *:[i32] })
     /* 2219925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2219928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2219932 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2219938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2219939 */     // GIR_Coverage, 65386,
     /* 2219939 */     GIR_EraseRootFromParent_Done,
     /* 2219940 */   // Label 29303: @2219940
     /* 2219940 */   GIM_Reject,
     /* 2219941 */ // Label 29292: @2219941
     /* 2219941 */ GIM_Reject,
     /* 2219942 */ // Label 29275: @2219942
     /* 2219942 */ GIM_Try, /*On fail goto*//*Label 29304*/ GIMT_Encode4(2219995), // Rule ID 65362 //
     /* 2219947 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2219950 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2219953 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219957 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2219961 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i32] }:$src, 32:{ *:[i64] }), 32:{ *:[i64] })
     /* 2219961 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2219964 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2219968 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2219973 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2219977 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2219980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2219982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2219985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2219987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2219990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/32,
     /* 2219993 */   GIR_RootConstrainSelectedInstOperands,
     /* 2219994 */   // GIR_Coverage, 65362,
     /* 2219994 */   GIR_EraseRootFromParent_Done,
     /* 2219995 */ // Label 29304: @2219995
     /* 2219995 */ GIM_Try, /*On fail goto*//*Label 29305*/ GIMT_Encode4(2220048), // Rule ID 65363 //
     /* 2220000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV32_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2220003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2220006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220014 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 16:{ *:[i64] }), 16:{ *:[i64] })
     /* 2220014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2220017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2220021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220026 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2220030 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/16,
     /* 2220033 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2220038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220040 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/16,
     /* 2220046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220047 */   // GIR_Coverage, 65363,
     /* 2220047 */   GIR_EraseRootFromParent_Done,
     /* 2220048 */ // Label 29305: @2220048
     /* 2220048 */ GIM_Try, /*On fail goto*//*Label 29306*/ GIMT_Encode4(2220101), // Rule ID 65365 //
     /* 2220053 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NoStdExtZbb_NoStdExtZbkb_HwMode0),
     /* 2220056 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2220059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220067 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$src)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i16] }:$src, 48:{ *:[i64] }), 48:{ *:[i64] })
     /* 2220067 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2220070 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2220074 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220079 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/1, // src
     /* 2220083 */   GIR_AddImm8, /*InsnID*/1, /*Imm*/48,
     /* 2220086 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2220091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220093 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/48,
     /* 2220099 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220100 */   // GIR_Coverage, 65365,
     /* 2220100 */   GIR_EraseRootFromParent_Done,
     /* 2220101 */ // Label 29306: @2220101
     /* 2220101 */ GIM_Try, /*On fail goto*//*Label 29307*/ GIMT_Encode4(2220135), // Rule ID 65373 //
     /* 2220106 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2220109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2220112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220120 */   // (zext:{ *:[i64] } GPR:{ *:[i32] }:$src)  =>  (ADD_UW:{ *:[i64] } GPR:{ *:[i32] }:$src, X0:{ *:[i64] })
     /* 2220120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ADD_UW),
     /* 2220123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220125 */   GIR_RootToRootCopy, /*OpIdx*/1, // src
     /* 2220127 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220134 */   // GIR_Coverage, 65373,
     /* 2220134 */   GIR_EraseRootFromParent_Done,
     /* 2220135 */ // Label 29307: @2220135
     /* 2220135 */ GIM_Try, /*On fail goto*//*Label 29308*/ GIMT_Encode4(2220161), // Rule ID 65379 //
     /* 2220140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2220143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2220146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220154 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (ZEXT_H_RV64:{ *:[i64] } GPR:{ *:[i16] }:$rs)
     /* 2220154 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::ZEXT_H_RV64),
     /* 2220159 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220160 */   // GIR_Coverage, 65379,
     /* 2220160 */   GIR_Done,
     /* 2220161 */ // Label 29308: @2220161
     /* 2220161 */ GIM_Try, /*On fail goto*//*Label 29309*/ GIMT_Encode4(2220195), // Rule ID 65384 //
     /* 2220166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbkb_IsRV64_NoStdExtZbb_HwMode0),
     /* 2220169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2220172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2220180 */   // (zext:{ *:[i64] } GPR:{ *:[i16] }:$rs)  =>  (PACKW:{ *:[i64] } GPR:{ *:[i16] }:$rs, X0:{ *:[i64] })
     /* 2220180 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PACKW),
     /* 2220183 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220185 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2220187 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2220193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220194 */   // GIR_Coverage, 65384,
     /* 2220194 */   GIR_EraseRootFromParent_Done,
     /* 2220195 */ // Label 29309: @2220195
     /* 2220195 */ GIM_Reject,
     /* 2220196 */ // Label 29276: @2220196
     /* 2220196 */ GIM_Try, /*On fail goto*//*Label 29310*/ GIMT_Encode4(2220299),
     /* 2220201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2220204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220208 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220212 */   GIM_Try, /*On fail goto*//*Label 29311*/ GIMT_Encode4(2220255), // Rule ID 45794 //
     /* 2220217 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220220 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220220 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220223 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220227 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220232 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2220237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220239 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220242 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220254 */     // GIR_Coverage, 45794,
     /* 2220254 */     GIR_EraseRootFromParent_Done,
     /* 2220255 */   // Label 29311: @2220255
     /* 2220255 */   GIM_Try, /*On fail goto*//*Label 29312*/ GIMT_Encode4(2220298), // Rule ID 45795 //
     /* 2220260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220263 */     // (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220263 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2220266 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220270 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220275 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220277 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF4),
     /* 2220280 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220282 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220297 */     // GIR_Coverage, 45795,
     /* 2220297 */     GIR_EraseRootFromParent_Done,
     /* 2220298 */   // Label 29312: @2220298
     /* 2220298 */   GIM_Reject,
     /* 2220299 */ // Label 29310: @2220299
     /* 2220299 */ GIM_Reject,
     /* 2220300 */ // Label 29277: @2220300
     /* 2220300 */ GIM_Try, /*On fail goto*//*Label 29313*/ GIMT_Encode4(2220354), // Rule ID 47506 //
     /* 2220305 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220308 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220315 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220319 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220319 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220322 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220326 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220331 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2220336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220341 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220352 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220353 */   // GIR_Coverage, 47506,
     /* 2220353 */   GIR_EraseRootFromParent_Done,
     /* 2220354 */ // Label 29313: @2220354
     /* 2220354 */ GIM_Try, /*On fail goto*//*Label 29314*/ GIMT_Encode4(2220408), // Rule ID 47507 //
     /* 2220359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220365 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220369 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220373 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220373 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220376 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220380 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220385 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220387 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2220390 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220392 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220395 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220407 */   // GIR_Coverage, 47507,
     /* 2220407 */   GIR_EraseRootFromParent_Done,
     /* 2220408 */ // Label 29314: @2220408
     /* 2220408 */ GIM_Try, /*On fail goto*//*Label 29315*/ GIMT_Encode4(2220462), // Rule ID 47572 //
     /* 2220413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2220419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220427 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220427 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220430 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220434 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220439 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2220444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220446 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220449 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220457 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220460 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220461 */   // GIR_Coverage, 47572,
     /* 2220461 */   GIR_EraseRootFromParent_Done,
     /* 2220462 */ // Label 29315: @2220462
     /* 2220462 */ GIM_Try, /*On fail goto*//*Label 29316*/ GIMT_Encode4(2220516), // Rule ID 47573 //
     /* 2220467 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2220473 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220477 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220481 */   // (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF4_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220481 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2220484 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220488 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220493 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_MF2),
     /* 2220498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220500 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220503 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220508 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220514 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220515 */   // GIR_Coverage, 47573,
     /* 2220515 */   GIR_EraseRootFromParent_Done,
     /* 2220516 */ // Label 29316: @2220516
     /* 2220516 */ GIM_Reject,
     /* 2220517 */ // Label 29278: @2220517
     /* 2220517 */ GIM_Try, /*On fail goto*//*Label 29317*/ GIMT_Encode4(2220571), // Rule ID 47526 //
     /* 2220522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2220525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220536 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220536 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220539 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220543 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220548 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2220553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220555 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220558 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220570 */   // GIR_Coverage, 47526,
     /* 2220570 */   GIR_EraseRootFromParent_Done,
     /* 2220571 */ // Label 29317: @2220571
     /* 2220571 */ GIM_Try, /*On fail goto*//*Label 29318*/ GIMT_Encode4(2220625), // Rule ID 47527 //
     /* 2220576 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2220579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2220582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220590 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220590 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220593 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220597 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220602 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220604 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2220607 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220609 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220612 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220624 */   // GIR_Coverage, 47527,
     /* 2220624 */   GIR_EraseRootFromParent_Done,
     /* 2220625 */ // Label 29318: @2220625
     /* 2220625 */ GIM_Try, /*On fail goto*//*Label 29319*/ GIMT_Encode4(2220679), // Rule ID 47592 //
     /* 2220630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2220633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220644 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220644 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220647 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220651 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220656 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220658 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2220661 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220663 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220666 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220678 */   // GIR_Coverage, 47592,
     /* 2220678 */   GIR_EraseRootFromParent_Done,
     /* 2220679 */ // Label 29319: @2220679
     /* 2220679 */ GIM_Try, /*On fail goto*//*Label 29320*/ GIMT_Encode4(2220733), // Rule ID 47593 //
     /* 2220684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2220687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2220690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220698 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220698 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220701 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220705 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220710 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2220715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220717 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220720 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220732 */   // GIR_Coverage, 47593,
     /* 2220732 */   GIR_EraseRootFromParent_Done,
     /* 2220733 */ // Label 29320: @2220733
     /* 2220733 */ GIM_Try, /*On fail goto*//*Label 29321*/ GIMT_Encode4(2220787), // Rule ID 47626 //
     /* 2220738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2220741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2220744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220752 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220752 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220755 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220759 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220764 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220766 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2220769 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220771 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220774 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220782 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220785 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220786 */   // GIR_Coverage, 47626,
     /* 2220786 */   GIR_EraseRootFromParent_Done,
     /* 2220787 */ // Label 29321: @2220787
     /* 2220787 */ GIM_Try, /*On fail goto*//*Label 29322*/ GIMT_Encode4(2220841), // Rule ID 47627 //
     /* 2220792 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2220795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2220798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220806 */   // (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220806 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2220809 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220813 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220818 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M1),
     /* 2220823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220825 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220828 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220833 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2220836 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220839 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220840 */   // GIR_Coverage, 47627,
     /* 2220840 */   GIR_EraseRootFromParent_Done,
     /* 2220841 */ // Label 29322: @2220841
     /* 2220841 */ GIM_Reject,
     /* 2220842 */ // Label 29279: @2220842
     /* 2220842 */ GIM_Try, /*On fail goto*//*Label 29323*/ GIMT_Encode4(2220945),
     /* 2220847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2220850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220858 */   GIM_Try, /*On fail goto*//*Label 29324*/ GIMT_Encode4(2220901), // Rule ID 47486 //
     /* 2220863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220866 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2220883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220900 */     // GIR_Coverage, 47486,
     /* 2220900 */     GIR_EraseRootFromParent_Done,
     /* 2220901 */   // Label 29324: @2220901
     /* 2220901 */   GIM_Try, /*On fail goto*//*Label 29325*/ GIMT_Encode4(2220944), // Rule ID 47487 //
     /* 2220906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2220909 */     // (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF2_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2220909 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2220912 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220916 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220921 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_MF2),
     /* 2220926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220928 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2220939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2220943 */     // GIR_Coverage, 47487,
     /* 2220943 */     GIR_EraseRootFromParent_Done,
     /* 2220944 */   // Label 29325: @2220944
     /* 2220944 */   GIM_Reject,
     /* 2220945 */ // Label 29323: @2220945
     /* 2220945 */ GIM_Reject,
     /* 2220946 */ // Label 29280: @2220946
     /* 2220946 */ GIM_Try, /*On fail goto*//*Label 29326*/ GIMT_Encode4(2221000), // Rule ID 47510 //
     /* 2220951 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2220954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2220957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220961 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2220965 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2220965 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2220968 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2220972 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2220977 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2220979 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2220982 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2220984 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2220987 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2220989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2220992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2220995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2220998 */   GIR_RootConstrainSelectedInstOperands,
     /* 2220999 */   // GIR_Coverage, 47510,
     /* 2220999 */   GIR_EraseRootFromParent_Done,
     /* 2221000 */ // Label 29326: @2221000
     /* 2221000 */ GIM_Try, /*On fail goto*//*Label 29327*/ GIMT_Encode4(2221054), // Rule ID 47511 //
     /* 2221005 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221019 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221019 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221022 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221026 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221031 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2221036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221038 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221041 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221053 */   // GIR_Coverage, 47511,
     /* 2221053 */   GIR_EraseRootFromParent_Done,
     /* 2221054 */ // Label 29327: @2221054
     /* 2221054 */ GIM_Try, /*On fail goto*//*Label 29328*/ GIMT_Encode4(2221108), // Rule ID 47576 //
     /* 2221059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221065 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221069 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221073 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221073 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221076 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221080 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221085 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2221090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221092 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221095 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221107 */   // GIR_Coverage, 47576,
     /* 2221107 */   GIR_EraseRootFromParent_Done,
     /* 2221108 */ // Label 29328: @2221108
     /* 2221108 */ GIM_Try, /*On fail goto*//*Label 29329*/ GIMT_Encode4(2221162), // Rule ID 47577 //
     /* 2221113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221127 */   // (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221127 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2221130 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221134 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M1),
     /* 2221144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221146 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221149 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221161 */   // GIR_Coverage, 47577,
     /* 2221161 */   GIR_EraseRootFromParent_Done,
     /* 2221162 */ // Label 29329: @2221162
     /* 2221162 */ GIM_Reject,
     /* 2221163 */ // Label 29281: @2221163
     /* 2221163 */ GIM_Try, /*On fail goto*//*Label 29330*/ GIMT_Encode4(2221217), // Rule ID 47530 //
     /* 2221168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2221171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2221174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221182 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2221185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221194 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2221199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221216 */   // GIR_Coverage, 47530,
     /* 2221216 */   GIR_EraseRootFromParent_Done,
     /* 2221217 */ // Label 29330: @2221217
     /* 2221217 */ GIM_Try, /*On fail goto*//*Label 29331*/ GIMT_Encode4(2221271), // Rule ID 47531 //
     /* 2221222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2221225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2221228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221236 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221236 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2221239 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221243 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2221253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221258 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221270 */   // GIR_Coverage, 47531,
     /* 2221270 */   GIR_EraseRootFromParent_Done,
     /* 2221271 */ // Label 29331: @2221271
     /* 2221271 */ GIM_Try, /*On fail goto*//*Label 29332*/ GIMT_Encode4(2221325), // Rule ID 47596 //
     /* 2221276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2221279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221290 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221290 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2221293 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221297 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221302 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221304 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2221307 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221309 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221312 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221323 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221324 */   // GIR_Coverage, 47596,
     /* 2221324 */   GIR_EraseRootFromParent_Done,
     /* 2221325 */ // Label 29332: @2221325
     /* 2221325 */ GIM_Try, /*On fail goto*//*Label 29333*/ GIMT_Encode4(2221379), // Rule ID 47597 //
     /* 2221330 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2221333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2221336 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221340 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221344 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221344 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2221347 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221351 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221356 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2221361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221363 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221366 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221377 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221378 */   // GIR_Coverage, 47597,
     /* 2221378 */   GIR_EraseRootFromParent_Done,
     /* 2221379 */ // Label 29333: @2221379
     /* 2221379 */ GIM_Try, /*On fail goto*//*Label 29334*/ GIMT_Encode4(2221433), // Rule ID 47630 //
     /* 2221384 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2221387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221398 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221398 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2221401 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221405 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221410 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221412 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2221415 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221417 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221420 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221432 */   // GIR_Coverage, 47630,
     /* 2221432 */   GIR_EraseRootFromParent_Done,
     /* 2221433 */ // Label 29334: @2221433
     /* 2221433 */ GIM_Try, /*On fail goto*//*Label 29335*/ GIMT_Encode4(2221487), // Rule ID 47631 //
     /* 2221438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2221441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2221444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221448 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221452 */   // (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221452 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2221455 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221459 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221464 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221466 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M2),
     /* 2221469 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221471 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221474 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221482 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221485 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221486 */   // GIR_Coverage, 47631,
     /* 2221486 */   GIR_EraseRootFromParent_Done,
     /* 2221487 */ // Label 29335: @2221487
     /* 2221487 */ GIM_Reject,
     /* 2221488 */ // Label 29282: @2221488
     /* 2221488 */ GIM_Try, /*On fail goto*//*Label 29336*/ GIMT_Encode4(2221591),
     /* 2221493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2221496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221504 */   GIM_Try, /*On fail goto*//*Label 29337*/ GIMT_Encode4(2221547), // Rule ID 47490 //
     /* 2221509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221512 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2221515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2221529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221546 */     // GIR_Coverage, 47490,
     /* 2221546 */     GIR_EraseRootFromParent_Done,
     /* 2221547 */   // Label 29337: @2221547
     /* 2221547 */   GIM_Try, /*On fail goto*//*Label 29338*/ GIMT_Encode4(2221590), // Rule ID 47491 //
     /* 2221552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221555 */     // (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2221558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M1),
     /* 2221572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2221585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2221589 */     // GIR_Coverage, 47491,
     /* 2221589 */     GIR_EraseRootFromParent_Done,
     /* 2221590 */   // Label 29338: @2221590
     /* 2221590 */   GIM_Reject,
     /* 2221591 */ // Label 29336: @2221591
     /* 2221591 */ GIM_Reject,
     /* 2221592 */ // Label 29283: @2221592
     /* 2221592 */ GIM_Try, /*On fail goto*//*Label 29339*/ GIMT_Encode4(2221646), // Rule ID 47514 //
     /* 2221597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2221603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221611 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2221614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2221628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221630 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221633 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221645 */   // GIR_Coverage, 47514,
     /* 2221645 */   GIR_EraseRootFromParent_Done,
     /* 2221646 */ // Label 29339: @2221646
     /* 2221646 */ GIM_Try, /*On fail goto*//*Label 29340*/ GIMT_Encode4(2221700), // Rule ID 47515 //
     /* 2221651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2221657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221665 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2221668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2221682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221698 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221699 */   // GIR_Coverage, 47515,
     /* 2221699 */   GIR_EraseRootFromParent_Done,
     /* 2221700 */ // Label 29340: @2221700
     /* 2221700 */ GIM_Try, /*On fail goto*//*Label 29341*/ GIMT_Encode4(2221754), // Rule ID 47580 //
     /* 2221705 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2221708 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2221711 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221715 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221719 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221719 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2221722 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221726 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221731 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221733 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2221736 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221738 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221741 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221753 */   // GIR_Coverage, 47580,
     /* 2221753 */   GIR_EraseRootFromParent_Done,
     /* 2221754 */ // Label 29341: @2221754
     /* 2221754 */ GIM_Try, /*On fail goto*//*Label 29342*/ GIMT_Encode4(2221808), // Rule ID 47581 //
     /* 2221759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2221762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2221765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221773 */   // (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221773 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2221776 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221780 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221785 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M2),
     /* 2221790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221792 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221795 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2221803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221806 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221807 */   // GIR_Coverage, 47581,
     /* 2221807 */   GIR_EraseRootFromParent_Done,
     /* 2221808 */ // Label 29342: @2221808
     /* 2221808 */ GIM_Reject,
     /* 2221809 */ // Label 29284: @2221809
     /* 2221809 */ GIM_Try, /*On fail goto*//*Label 29343*/ GIMT_Encode4(2221863), // Rule ID 47534 //
     /* 2221814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2221817 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2221820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221824 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221828 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221828 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2221831 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221835 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221840 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221842 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2221845 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221847 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221850 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221862 */   // GIR_Coverage, 47534,
     /* 2221862 */   GIR_EraseRootFromParent_Done,
     /* 2221863 */ // Label 29343: @2221863
     /* 2221863 */ GIM_Try, /*On fail goto*//*Label 29344*/ GIMT_Encode4(2221917), // Rule ID 47535 //
     /* 2221868 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2221871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2221874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221878 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2221882 */   // (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221882 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2221885 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221889 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221894 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2221899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221901 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221904 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221916 */   // GIR_Coverage, 47535,
     /* 2221916 */   GIR_EraseRootFromParent_Done,
     /* 2221917 */ // Label 29344: @2221917
     /* 2221917 */ GIM_Try, /*On fail goto*//*Label 29345*/ GIMT_Encode4(2221971), // Rule ID 47600 //
     /* 2221922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2221925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2221928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221936 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2221936 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2221939 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221943 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2221948 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2221950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2221953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2221955 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2221958 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2221960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2221963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2221966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2221969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2221970 */   // GIR_Coverage, 47600,
     /* 2221970 */   GIR_EraseRootFromParent_Done,
     /* 2221971 */ // Label 29345: @2221971
     /* 2221971 */ GIM_Try, /*On fail goto*//*Label 29346*/ GIMT_Encode4(2222025), // Rule ID 47601 //
     /* 2221976 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2221979 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2221982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2221986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2221990 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2221990 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2221993 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2221997 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222002 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2222007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222009 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222012 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222020 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222023 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222024 */   // GIR_Coverage, 47601,
     /* 2222024 */   GIR_EraseRootFromParent_Done,
     /* 2222025 */ // Label 29346: @2222025
     /* 2222025 */ GIM_Try, /*On fail goto*//*Label 29347*/ GIMT_Encode4(2222079), // Rule ID 47634 //
     /* 2222030 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2222033 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2222036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222044 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222044 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2222047 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222051 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222056 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222058 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2222061 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222063 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222066 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222068 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222078 */   // GIR_Coverage, 47634,
     /* 2222078 */   GIR_EraseRootFromParent_Done,
     /* 2222079 */ // Label 29347: @2222079
     /* 2222079 */ GIM_Try, /*On fail goto*//*Label 29348*/ GIMT_Encode4(2222133), // Rule ID 47635 //
     /* 2222084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2222087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2222090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222098 */   // (zext:{ *:[nxv4i64] } VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2222101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222110 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M4),
     /* 2222115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222117 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222120 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222132 */   // GIR_Coverage, 47635,
     /* 2222132 */   GIR_EraseRootFromParent_Done,
     /* 2222133 */ // Label 29348: @2222133
     /* 2222133 */ GIM_Reject,
     /* 2222134 */ // Label 29285: @2222134
     /* 2222134 */ GIM_Try, /*On fail goto*//*Label 29349*/ GIMT_Encode4(2222237),
     /* 2222139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2222142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222150 */   GIM_Try, /*On fail goto*//*Label 29350*/ GIMT_Encode4(2222193), // Rule ID 47494 //
     /* 2222155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222158 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2222161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2222175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222192 */     // GIR_Coverage, 47494,
     /* 2222192 */     GIR_EraseRootFromParent_Done,
     /* 2222193 */   // Label 29350: @2222193
     /* 2222193 */   GIM_Try, /*On fail goto*//*Label 29351*/ GIMT_Encode4(2222236), // Rule ID 47495 //
     /* 2222198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222201 */     // (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222201 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2222204 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222208 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222213 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M2),
     /* 2222218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222220 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222235 */     // GIR_Coverage, 47495,
     /* 2222235 */     GIR_EraseRootFromParent_Done,
     /* 2222236 */   // Label 29351: @2222236
     /* 2222236 */   GIM_Reject,
     /* 2222237 */ // Label 29349: @2222237
     /* 2222237 */ GIM_Reject,
     /* 2222238 */ // Label 29286: @2222238
     /* 2222238 */ GIM_Try, /*On fail goto*//*Label 29352*/ GIMT_Encode4(2222292), // Rule ID 47518 //
     /* 2222243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2222249 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222253 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222257 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222257 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2222260 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222264 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222269 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2222274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222276 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222279 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222287 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222290 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222291 */   // GIR_Coverage, 47518,
     /* 2222291 */   GIR_EraseRootFromParent_Done,
     /* 2222292 */ // Label 29352: @2222292
     /* 2222292 */ GIM_Try, /*On fail goto*//*Label 29353*/ GIMT_Encode4(2222346), // Rule ID 47519 //
     /* 2222297 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2222303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222311 */   // (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222311 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2222314 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222318 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222323 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2222328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222330 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222333 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222344 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222345 */   // GIR_Coverage, 47519,
     /* 2222345 */   GIR_EraseRootFromParent_Done,
     /* 2222346 */ // Label 29353: @2222346
     /* 2222346 */ GIM_Try, /*On fail goto*//*Label 29354*/ GIMT_Encode4(2222400), // Rule ID 47584 //
     /* 2222351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2222357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222365 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222365 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2222368 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222372 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222377 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2222382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222399 */   // GIR_Coverage, 47584,
     /* 2222399 */   GIR_EraseRootFromParent_Done,
     /* 2222400 */ // Label 29354: @2222400
     /* 2222400 */ GIM_Try, /*On fail goto*//*Label 29355*/ GIMT_Encode4(2222454), // Rule ID 47585 //
     /* 2222405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2222411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222419 */   // (zext:{ *:[nxv8i32] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222419 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2222422 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222426 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222431 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M4),
     /* 2222436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222438 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222453 */   // GIR_Coverage, 47585,
     /* 2222453 */   GIR_EraseRootFromParent_Done,
     /* 2222454 */ // Label 29355: @2222454
     /* 2222454 */ GIM_Reject,
     /* 2222455 */ // Label 29287: @2222455
     /* 2222455 */ GIM_Try, /*On fail goto*//*Label 29356*/ GIMT_Encode4(2222509), // Rule ID 47538 //
     /* 2222460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2222463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2222466 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222470 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222474 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222474 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222477 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222481 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222486 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222488 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2222491 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222493 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222496 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222508 */   // GIR_Coverage, 47538,
     /* 2222508 */   GIR_EraseRootFromParent_Done,
     /* 2222509 */ // Label 29356: @2222509
     /* 2222509 */ GIM_Try, /*On fail goto*//*Label 29357*/ GIMT_Encode4(2222563), // Rule ID 47539 //
     /* 2222514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2222517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2222520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222528 */   // (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2222545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222561 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222562 */   // GIR_Coverage, 47539,
     /* 2222562 */   GIR_EraseRootFromParent_Done,
     /* 2222563 */ // Label 29357: @2222563
     /* 2222563 */ GIM_Try, /*On fail goto*//*Label 29358*/ GIMT_Encode4(2222617), // Rule ID 47604 //
     /* 2222568 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2222571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2222574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222578 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222582 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222582 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222585 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222589 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222594 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222596 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2222599 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222601 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222604 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222616 */   // GIR_Coverage, 47604,
     /* 2222616 */   GIR_EraseRootFromParent_Done,
     /* 2222617 */ // Label 29358: @2222617
     /* 2222617 */ GIM_Try, /*On fail goto*//*Label 29359*/ GIMT_Encode4(2222671), // Rule ID 47605 //
     /* 2222622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2222625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2222628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222636 */   // (zext:{ *:[nxv8i64] } VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2222653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222670 */   // GIR_Coverage, 47605,
     /* 2222670 */   GIR_EraseRootFromParent_Done,
     /* 2222671 */ // Label 29359: @2222671
     /* 2222671 */ GIM_Try, /*On fail goto*//*Label 29360*/ GIMT_Encode4(2222725), // Rule ID 47638 //
     /* 2222676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2222679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2222682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222690 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2222707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222724 */   // GIR_Coverage, 47638,
     /* 2222724 */   GIR_EraseRootFromParent_Done,
     /* 2222725 */ // Label 29360: @2222725
     /* 2222725 */ GIM_Try, /*On fail goto*//*Label 29361*/ GIMT_Encode4(2222779), // Rule ID 47639 //
     /* 2222730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2222733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2222736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2222744 */   // (zext:{ *:[nxv8i64] } VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVZEXT_VF8_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2222747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF8_M8),
     /* 2222761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2222774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222778 */   // GIR_Coverage, 47639,
     /* 2222778 */   GIR_EraseRootFromParent_Done,
     /* 2222779 */ // Label 29361: @2222779
     /* 2222779 */ GIM_Reject,
     /* 2222780 */ // Label 29288: @2222780
     /* 2222780 */ GIM_Try, /*On fail goto*//*Label 29362*/ GIMT_Encode4(2222883),
     /* 2222785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2222788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2222796 */   GIM_Try, /*On fail goto*//*Label 29363*/ GIMT_Encode4(2222839), // Rule ID 47498 //
     /* 2222801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222804 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2222807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2222821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222838 */     // GIR_Coverage, 47498,
     /* 2222838 */     GIR_EraseRootFromParent_Done,
     /* 2222839 */   // Label 29363: @2222839
     /* 2222839 */   GIM_Try, /*On fail goto*//*Label 29364*/ GIMT_Encode4(2222882), // Rule ID 47499 //
     /* 2222844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222847 */     // (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2222850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M4),
     /* 2222864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2222877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2222881 */     // GIR_Coverage, 47499,
     /* 2222881 */     GIR_EraseRootFromParent_Done,
     /* 2222882 */   // Label 29364: @2222882
     /* 2222882 */   GIM_Reject,
     /* 2222883 */ // Label 29362: @2222883
     /* 2222883 */ GIM_Reject,
     /* 2222884 */ // Label 29289: @2222884
     /* 2222884 */ GIM_Try, /*On fail goto*//*Label 29365*/ GIMT_Encode4(2222938), // Rule ID 47522 //
     /* 2222889 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2222892 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2222895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222899 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222903 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2222903 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2222906 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222910 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222915 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222917 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2222920 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222922 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222925 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222936 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222937 */   // GIR_Coverage, 47522,
     /* 2222937 */   GIR_EraseRootFromParent_Done,
     /* 2222938 */ // Label 29365: @2222938
     /* 2222938 */ GIM_Try, /*On fail goto*//*Label 29366*/ GIMT_Encode4(2222992), // Rule ID 47523 //
     /* 2222943 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2222946 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2222949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2222953 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2222957 */   // (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2222957 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2222960 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2222964 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2222969 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2222971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2222974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2222976 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2222979 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2222981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2222984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2222987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2222990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2222991 */   // GIR_Coverage, 47523,
     /* 2222991 */   GIR_EraseRootFromParent_Done,
     /* 2222992 */ // Label 29366: @2222992
     /* 2222992 */ GIM_Try, /*On fail goto*//*Label 29367*/ GIMT_Encode4(2223046), // Rule ID 47588 //
     /* 2222997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2223003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223011 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223011 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2223014 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223018 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223023 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2223028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223030 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223033 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2223035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223045 */   // GIR_Coverage, 47588,
     /* 2223045 */   GIR_EraseRootFromParent_Done,
     /* 2223046 */ // Label 29367: @2223046
     /* 2223046 */ GIM_Try, /*On fail goto*//*Label 29368*/ GIMT_Encode4(2223100), // Rule ID 47589 //
     /* 2223051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2223057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2223065 */   // (zext:{ *:[nxv16i32] } VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVZEXT_VF4_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2223068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF4_M8),
     /* 2223082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2223089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2223095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2223099 */   // GIR_Coverage, 47589,
     /* 2223099 */   GIR_EraseRootFromParent_Done,
     /* 2223100 */ // Label 29368: @2223100
     /* 2223100 */ GIM_Reject,
     /* 2223101 */ // Label 29290: @2223101
     /* 2223101 */ GIM_Try, /*On fail goto*//*Label 29369*/ GIMT_Encode4(2223204),
     /* 2223106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2223109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2223113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2223117 */   GIM_Try, /*On fail goto*//*Label 29370*/ GIMT_Encode4(2223160), // Rule ID 47502 //
     /* 2223122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223125 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2223128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2223142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2223149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223159 */     // GIR_Coverage, 47502,
     /* 2223159 */     GIR_EraseRootFromParent_Done,
     /* 2223160 */   // Label 29370: @2223160
     /* 2223160 */   GIM_Try, /*On fail goto*//*Label 29371*/ GIMT_Encode4(2223203), // Rule ID 47503 //
     /* 2223165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223168 */     // (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVZEXT_VF2_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2223171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVZEXT_VF2_M8),
     /* 2223185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2223192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2223198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223202 */     // GIR_Coverage, 47503,
     /* 2223202 */     GIR_EraseRootFromParent_Done,
     /* 2223203 */   // Label 29371: @2223203
     /* 2223203 */   GIM_Reject,
     /* 2223204 */ // Label 29369: @2223204
     /* 2223204 */ GIM_Reject,
     /* 2223205 */ // Label 29291: @2223205
     /* 2223205 */ GIM_Reject,
     /* 2223206 */ // Label 43: @2223206
     /* 2223206 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29396*/ GIMT_Encode4(2231801),
     /* 2223217 */ /*GILLT_s32*//*Label 29372*/ GIMT_Encode4(2223341),
     /* 2223221 */ /*GILLT_s64*//*Label 29373*/ GIMT_Encode4(2223466), GIMT_Encode4(0),
     /* 2223229 */ /*GILLT_nxv1s8*//*Label 29374*/ GIMT_Encode4(2223811),
     /* 2223233 */ /*GILLT_nxv1s16*//*Label 29375*/ GIMT_Encode4(2223926),
     /* 2223237 */ /*GILLT_nxv1s32*//*Label 29376*/ GIMT_Encode4(2224405),
     /* 2223241 */ /*GILLT_nxv1s64*//*Label 29377*/ GIMT_Encode4(2224884), GIMT_Encode4(0),
     /* 2223249 */ /*GILLT_nxv2s8*//*Label 29378*/ GIMT_Encode4(2225363),
     /* 2223253 */ /*GILLT_nxv2s16*//*Label 29379*/ GIMT_Encode4(2225478),
     /* 2223257 */ /*GILLT_nxv2s32*//*Label 29380*/ GIMT_Encode4(2225957),
     /* 2223261 */ /*GILLT_nxv2s64*//*Label 29381*/ GIMT_Encode4(2226436), GIMT_Encode4(0),
     /* 2223269 */ /*GILLT_nxv4s8*//*Label 29382*/ GIMT_Encode4(2226915),
     /* 2223273 */ /*GILLT_nxv4s16*//*Label 29383*/ GIMT_Encode4(2227030),
     /* 2223277 */ /*GILLT_nxv4s32*//*Label 29384*/ GIMT_Encode4(2227509),
     /* 2223281 */ /*GILLT_nxv4s64*//*Label 29385*/ GIMT_Encode4(2227988), GIMT_Encode4(0),
     /* 2223289 */ /*GILLT_nxv8s8*//*Label 29386*/ GIMT_Encode4(2228467),
     /* 2223293 */ /*GILLT_nxv8s16*//*Label 29387*/ GIMT_Encode4(2228582),
     /* 2223297 */ /*GILLT_nxv8s32*//*Label 29388*/ GIMT_Encode4(2229061),
     /* 2223301 */ /*GILLT_nxv8s64*//*Label 29389*/ GIMT_Encode4(2229540), GIMT_Encode4(0),
     /* 2223309 */ /*GILLT_nxv16s8*//*Label 29390*/ GIMT_Encode4(2230019),
     /* 2223313 */ /*GILLT_nxv16s16*//*Label 29391*/ GIMT_Encode4(2230134),
     /* 2223317 */ /*GILLT_nxv16s32*//*Label 29392*/ GIMT_Encode4(2230613), GIMT_Encode4(0),
     /* 2223325 */ /*GILLT_nxv32s8*//*Label 29393*/ GIMT_Encode4(2231092),
     /* 2223329 */ /*GILLT_nxv32s16*//*Label 29394*/ GIMT_Encode4(2231207), GIMT_Encode4(0),
     /* 2223337 */ /*GILLT_nxv64s8*//*Label 29395*/ GIMT_Encode4(2231686),
     /* 2223341 */ // Label 29372: @2223341
     /* 2223341 */ GIM_Try, /*On fail goto*//*Label 29397*/ GIMT_Encode4(2223465),
     /* 2223346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2223349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2223352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223356 */   GIM_Try, /*On fail goto*//*Label 29398*/ GIMT_Encode4(2223393), // Rule ID 2477 //
     /* 2223361 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode1),
     /* 2223364 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2223368 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2223375 */     // (shl:{ *:[i32] } 1:{ *:[i32] }, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (BSET:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs2)
     /* 2223375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2223378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223380 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223386 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2223391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223392 */     // GIR_Coverage, 2477,
     /* 2223392 */     GIR_EraseRootFromParent_Done,
     /* 2223393 */   // Label 29398: @2223393
     /* 2223393 */   GIM_Try, /*On fail goto*//*Label 29399*/ GIMT_Encode4(2223431), // Rule ID 97 //
     /* 2223398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2223401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223405 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2223409 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223413 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2223417 */     // MIs[1] Operand 1
     /* 2223417 */     // No operand predicates
     /* 2223417 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223419 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2223419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2223422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223426 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2223429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223430 */     // GIR_Coverage, 97,
     /* 2223430 */     GIR_EraseRootFromParent_Done,
     /* 2223431 */   // Label 29399: @2223431
     /* 2223431 */   GIM_Try, /*On fail goto*//*Label 29400*/ GIMT_Encode4(2223464), // Rule ID 111 //
     /* 2223436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2223439 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223443 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2223450 */     // (shl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SLL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2223450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2223453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223457 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2223462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223463 */     // GIR_Coverage, 111,
     /* 2223463 */     GIR_EraseRootFromParent_Done,
     /* 2223464 */   // Label 29400: @2223464
     /* 2223464 */   GIM_Reject,
     /* 2223465 */ // Label 29397: @2223465
     /* 2223465 */ GIM_Reject,
     /* 2223466 */ // Label 29373: @2223466
     /* 2223466 */ GIM_Try, /*On fail goto*//*Label 29401*/ GIMT_Encode4(2223810),
     /* 2223471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2223474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223477 */   GIM_Try, /*On fail goto*//*Label 29402*/ GIMT_Encode4(2223571), // Rule ID 259 //
     /* 2223482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_NotHasStdExtZba_HwMode0),
     /* 2223485 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223489 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223493 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2223497 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2223501 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223510 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2223521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223529 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2223533 */     // MIs[2] Operand 1
     /* 2223533 */     // No operand predicates
     /* 2223533 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223535 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLI:{ *:[i64] } (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 32:{ *:[i64] }), (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt))
     /* 2223535 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2223538 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2223542 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223547 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2223551 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2223554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2223559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223564 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/2, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // shamt
     /* 2223569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223570 */     // GIR_Coverage, 259,
     /* 2223570 */     GIR_EraseRootFromParent_Done,
     /* 2223571 */   // Label 29402: @2223571
     /* 2223571 */   GIM_Try, /*On fail goto*//*Label 29403*/ GIMT_Encode4(2223643), // Rule ID 2617 //
     /* 2223576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZba_IsRV64_HwMode0),
     /* 2223579 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223583 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223587 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2223591 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2223595 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2223599 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223604 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2223615 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223619 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223623 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2223627 */     // MIs[2] Operand 1
     /* 2223627 */     // No operand predicates
     /* 2223627 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223629 */     // (shl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SLLI_UW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2223629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI_UW),
     /* 2223632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223634 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2223638 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2223641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223642 */     // GIR_Coverage, 2617,
     /* 2223642 */     GIR_EraseRootFromParent_Done,
     /* 2223643 */   // Label 29403: @2223643
     /* 2223643 */   GIM_Try, /*On fail goto*//*Label 29404*/ GIMT_Encode4(2223684), // Rule ID 2476 //
     /* 2223648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbs_HwMode0),
     /* 2223651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223655 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/1, 1,
     /* 2223659 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2223666 */     // (shl:{ *:[i64] } 1:{ *:[i64] }, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (BSET:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs2)
     /* 2223666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::BSET),
     /* 2223669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223671 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2223677 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2223682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223683 */     // GIR_Coverage, 2476,
     /* 2223683 */     GIR_EraseRootFromParent_Done,
     /* 2223684 */   // Label 29404: @2223684
     /* 2223684 */   GIM_Try, /*On fail goto*//*Label 29405*/ GIMT_Encode4(2223730), // Rule ID 274 //
     /* 2223689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2223692 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223696 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2223704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223708 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2223712 */     // MIs[1] Operand 1
     /* 2223712 */     // No operand predicates
     /* 2223712 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10031),
     /* 2223716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223718 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)<<P:Predicate_anonymous_10031>>  =>  (SLLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2223718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLIW),
     /* 2223721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2223728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223729 */     // GIR_Coverage, 274,
     /* 2223729 */     GIR_EraseRootFromParent_Done,
     /* 2223730 */   // Label 29405: @2223730
     /* 2223730 */   GIM_Try, /*On fail goto*//*Label 29406*/ GIMT_Encode4(2223772), // Rule ID 96 //
     /* 2223735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223738 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223742 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2223750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2223754 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2223758 */     // MIs[1] Operand 1
     /* 2223758 */     // No operand predicates
     /* 2223758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2223760 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SLLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2223760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2223763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223767 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2223770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223771 */     // GIR_Coverage, 96,
     /* 2223771 */     GIR_EraseRootFromParent_Done,
     /* 2223772 */   // Label 29406: @2223772
     /* 2223772 */   GIM_Try, /*On fail goto*//*Label 29407*/ GIMT_Encode4(2223809), // Rule ID 110 //
     /* 2223777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2223780 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2223788 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2223795 */     // (shl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2223795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLL),
     /* 2223798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223802 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2223807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223808 */     // GIR_Coverage, 110,
     /* 2223808 */     GIR_EraseRootFromParent_Done,
     /* 2223809 */   // Label 29407: @2223809
     /* 2223809 */   GIM_Reject,
     /* 2223810 */ // Label 29401: @2223810
     /* 2223810 */ GIM_Reject,
     /* 2223811 */ // Label 29374: @2223811
     /* 2223811 */ GIM_Try, /*On fail goto*//*Label 29408*/ GIMT_Encode4(2223925),
     /* 2223816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2223819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2223822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223834 */   GIM_Try, /*On fail goto*//*Label 29409*/ GIMT_Encode4(2223879), // Rule ID 48046 //
     /* 2223839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2223842 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2223845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2223859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223878 */     // GIR_Coverage, 48046,
     /* 2223878 */     GIR_EraseRootFromParent_Done,
     /* 2223879 */   // Label 29409: @2223879
     /* 2223879 */   GIM_Try, /*On fail goto*//*Label 29410*/ GIMT_Encode4(2223924), // Rule ID 48047 //
     /* 2223884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2223887 */     // (shl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSLL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2223887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2223890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2223899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2223901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF8),
     /* 2223904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2223906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2223909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2223911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2223913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2223916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2223922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2223923 */     // GIR_Coverage, 48047,
     /* 2223923 */     GIR_EraseRootFromParent_Done,
     /* 2223924 */   // Label 29410: @2223924
     /* 2223924 */   GIM_Reject,
     /* 2223925 */ // Label 29408: @2223925
     /* 2223925 */ GIM_Reject,
     /* 2223926 */ // Label 29375: @2223926
     /* 2223926 */ GIM_Try, /*On fail goto*//*Label 29411*/ GIMT_Encode4(2224404),
     /* 2223931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2223934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2223937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223941 */   GIM_Try, /*On fail goto*//*Label 29412*/ GIMT_Encode4(2224030), // Rule ID 59534 //
     /* 2223946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2223949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2223953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2223957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2223961 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2223963 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223968 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2223972 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2223976 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2223980 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2223982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2223987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2223989 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2223989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2223992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2223996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2224006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224011 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224015 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224029 */     // GIR_Coverage, 59534,
     /* 2224029 */     GIR_EraseRootFromParent_Done,
     /* 2224030 */   // Label 29412: @2224030
     /* 2224030 */   GIM_Try, /*On fail goto*//*Label 29413*/ GIMT_Encode4(2224119), // Rule ID 59535 //
     /* 2224035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2224038 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224042 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224046 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2224050 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224052 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224057 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224061 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2224065 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2224069 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224071 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224076 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224078 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2224081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2224095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224118 */     // GIR_Coverage, 59535,
     /* 2224118 */     GIR_EraseRootFromParent_Done,
     /* 2224119 */   // Label 29413: @2224119
     /* 2224119 */   GIM_Try, /*On fail goto*//*Label 29414*/ GIMT_Encode4(2224208), // Rule ID 59536 //
     /* 2224124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2224127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2224139 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224141 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224146 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224150 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224154 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2224158 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224160 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224165 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224167 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2224170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2224184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224189 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224207 */     // GIR_Coverage, 59536,
     /* 2224207 */     GIR_EraseRootFromParent_Done,
     /* 2224208 */   // Label 29414: @2224208
     /* 2224208 */   GIM_Try, /*On fail goto*//*Label 29415*/ GIMT_Encode4(2224297), // Rule ID 59537 //
     /* 2224213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2224216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2224228 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224230 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224235 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224239 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224243 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2224247 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224256 */     // (shl:{ *:[nxv1i16] } (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i16] } VR:{ *:[nxv1i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF8:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2224259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF8),
     /* 2224273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224278 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224282 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224296 */     // GIR_Coverage, 59537,
     /* 2224296 */     GIR_EraseRootFromParent_Done,
     /* 2224297 */   // Label 29415: @2224297
     /* 2224297 */   GIM_Try, /*On fail goto*//*Label 29416*/ GIMT_Encode4(2224350), // Rule ID 48058 //
     /* 2224302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224313 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2224316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2224330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224349 */     // GIR_Coverage, 48058,
     /* 2224349 */     GIR_EraseRootFromParent_Done,
     /* 2224350 */   // Label 29416: @2224350
     /* 2224350 */   GIM_Try, /*On fail goto*//*Label 29417*/ GIMT_Encode4(2224403), // Rule ID 48059 //
     /* 2224355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224362 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224366 */     // (shl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224366 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2224369 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224373 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224378 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2224383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224385 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224390 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224402 */     // GIR_Coverage, 48059,
     /* 2224402 */     GIR_EraseRootFromParent_Done,
     /* 2224403 */   // Label 29417: @2224403
     /* 2224403 */   GIM_Reject,
     /* 2224404 */ // Label 29411: @2224404
     /* 2224404 */ GIM_Reject,
     /* 2224405 */ // Label 29376: @2224405
     /* 2224405 */ GIM_Try, /*On fail goto*//*Label 29418*/ GIMT_Encode4(2224883),
     /* 2224410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2224413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2224416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224420 */   GIM_Try, /*On fail goto*//*Label 29419*/ GIMT_Encode4(2224509), // Rule ID 59582 //
     /* 2224425 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2224428 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224432 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224436 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224440 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224442 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2224455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224459 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224461 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224466 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224468 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2224471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2224485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224508 */     // GIR_Coverage, 59582,
     /* 2224508 */     GIR_EraseRootFromParent_Done,
     /* 2224509 */   // Label 29419: @2224509
     /* 2224509 */   GIM_Try, /*On fail goto*//*Label 29420*/ GIMT_Encode4(2224598), // Rule ID 59583 //
     /* 2224514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2224517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224529 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224531 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224536 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224540 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2224544 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224548 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224550 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224555 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224557 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2224560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2224574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224579 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224597 */     // GIR_Coverage, 59583,
     /* 2224597 */     GIR_EraseRootFromParent_Done,
     /* 2224598 */   // Label 29420: @2224598
     /* 2224598 */   GIM_Try, /*On fail goto*//*Label 29421*/ GIMT_Encode4(2224687), // Rule ID 59584 //
     /* 2224603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2224606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224618 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224620 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224625 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224629 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224633 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224637 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224639 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224646 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224646 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2224649 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224653 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224658 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2224663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224665 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224668 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224672 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224686 */     // GIR_Coverage, 59584,
     /* 2224686 */     GIR_EraseRootFromParent_Done,
     /* 2224687 */   // Label 29421: @2224687
     /* 2224687 */   GIM_Try, /*On fail goto*//*Label 29422*/ GIMT_Encode4(2224776), // Rule ID 59585 //
     /* 2224692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2224695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224703 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224707 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224709 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224714 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224718 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224722 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2224726 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224728 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224733 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224735 */     // (shl:{ *:[nxv1i32] } (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i32] } VR:{ *:[nxv1i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2224738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2224752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2224771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224775 */     // GIR_Coverage, 59585,
     /* 2224775 */     GIR_EraseRootFromParent_Done,
     /* 2224776 */   // Label 29422: @2224776
     /* 2224776 */   GIM_Try, /*On fail goto*//*Label 29423*/ GIMT_Encode4(2224829), // Rule ID 48066 //
     /* 2224781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2224784 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224788 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224792 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2224795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2224809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224828 */     // GIR_Coverage, 48066,
     /* 2224828 */     GIR_EraseRootFromParent_Done,
     /* 2224829 */   // Label 29423: @2224829
     /* 2224829 */   GIM_Try, /*On fail goto*//*Label 29424*/ GIMT_Encode4(2224882), // Rule ID 48067 //
     /* 2224834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2224837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224845 */     // (shl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2224845 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2224848 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224852 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224857 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2224862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224864 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2224869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2224871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224880 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224881 */     // GIR_Coverage, 48067,
     /* 2224881 */     GIR_EraseRootFromParent_Done,
     /* 2224882 */   // Label 29424: @2224882
     /* 2224882 */   GIM_Reject,
     /* 2224883 */ // Label 29418: @2224883
     /* 2224883 */ GIM_Reject,
     /* 2224884 */ // Label 29377: @2224884
     /* 2224884 */ GIM_Try, /*On fail goto*//*Label 29425*/ GIMT_Encode4(2225362),
     /* 2224889 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2224892 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2224895 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224899 */   GIM_Try, /*On fail goto*//*Label 29426*/ GIMT_Encode4(2224988), // Rule ID 59622 //
     /* 2224904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2224907 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2224911 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2224915 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2224919 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2224921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224926 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2224930 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2224934 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2224938 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2224940 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2224945 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2224947 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2224947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2224950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2224954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2224959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2224961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2224964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2224966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2224969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2224973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2224977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2224980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2224983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2224986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2224987 */     // GIR_Coverage, 59622,
     /* 2224987 */     GIR_EraseRootFromParent_Done,
     /* 2224988 */   // Label 29426: @2224988
     /* 2224988 */   GIM_Try, /*On fail goto*//*Label 29427*/ GIMT_Encode4(2225077), // Rule ID 59623 //
     /* 2224993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2224996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225004 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2225008 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2225023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2225027 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225029 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225034 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225036 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2225039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2225053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225058 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225062 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225076 */     // GIR_Coverage, 59623,
     /* 2225076 */     GIR_EraseRootFromParent_Done,
     /* 2225077 */   // Label 29427: @2225077
     /* 2225077 */   GIM_Try, /*On fail goto*//*Label 29428*/ GIMT_Encode4(2225166), // Rule ID 59624 //
     /* 2225082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2225085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225093 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2225097 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2225116 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225118 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225123 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225125 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2225128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2225142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225165 */     // GIR_Coverage, 59624,
     /* 2225165 */     GIR_EraseRootFromParent_Done,
     /* 2225166 */   // Label 29428: @2225166
     /* 2225166 */   GIM_Try, /*On fail goto*//*Label 29429*/ GIMT_Encode4(2225255), // Rule ID 59625 //
     /* 2225171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2225174 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225178 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225182 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2225186 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225188 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225193 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225197 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225201 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2225205 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225207 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225212 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225214 */     // (shl:{ *:[nxv1i64] } (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv1i64] } VR:{ *:[nxv1i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2225217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2225231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2225250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225254 */     // GIR_Coverage, 59625,
     /* 2225254 */     GIR_EraseRootFromParent_Done,
     /* 2225255 */   // Label 29429: @2225255
     /* 2225255 */   GIM_Try, /*On fail goto*//*Label 29430*/ GIMT_Encode4(2225308), // Rule ID 48082 //
     /* 2225260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2225263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225271 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2225274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2225288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225307 */     // GIR_Coverage, 48082,
     /* 2225307 */     GIR_EraseRootFromParent_Done,
     /* 2225308 */   // Label 29430: @2225308
     /* 2225308 */   GIM_Try, /*On fail goto*//*Label 29431*/ GIMT_Encode4(2225361), // Rule ID 48083 //
     /* 2225313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2225316 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225320 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225324 */     // (shl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2225327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2225341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2225356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225360 */     // GIR_Coverage, 48083,
     /* 2225360 */     GIR_EraseRootFromParent_Done,
     /* 2225361 */   // Label 29431: @2225361
     /* 2225361 */   GIM_Reject,
     /* 2225362 */ // Label 29425: @2225362
     /* 2225362 */ GIM_Reject,
     /* 2225363 */ // Label 29378: @2225363
     /* 2225363 */ GIM_Try, /*On fail goto*//*Label 29432*/ GIMT_Encode4(2225477),
     /* 2225368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2225374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225386 */   GIM_Try, /*On fail goto*//*Label 29433*/ GIMT_Encode4(2225431), // Rule ID 48050 //
     /* 2225391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225394 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2225397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2225411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225430 */     // GIR_Coverage, 48050,
     /* 2225430 */     GIR_EraseRootFromParent_Done,
     /* 2225431 */   // Label 29433: @2225431
     /* 2225431 */   GIM_Try, /*On fail goto*//*Label 29434*/ GIMT_Encode4(2225476), // Rule ID 48051 //
     /* 2225436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225439 */     // (shl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSLL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2225442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF4),
     /* 2225456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225475 */     // GIR_Coverage, 48051,
     /* 2225475 */     GIR_EraseRootFromParent_Done,
     /* 2225476 */   // Label 29434: @2225476
     /* 2225476 */   GIM_Reject,
     /* 2225477 */ // Label 29432: @2225477
     /* 2225477 */ GIM_Reject,
     /* 2225478 */ // Label 29379: @2225478
     /* 2225478 */ GIM_Try, /*On fail goto*//*Label 29435*/ GIMT_Encode4(2225956),
     /* 2225483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2225486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2225489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225493 */   GIM_Try, /*On fail goto*//*Label 29436*/ GIMT_Encode4(2225582), // Rule ID 59542 //
     /* 2225498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2225501 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225505 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225509 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225513 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225515 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225520 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225524 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2225528 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225532 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225534 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225539 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225541 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2225544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2225558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225581 */     // GIR_Coverage, 59542,
     /* 2225581 */     GIR_EraseRootFromParent_Done,
     /* 2225582 */   // Label 29436: @2225582
     /* 2225582 */   GIM_Try, /*On fail goto*//*Label 29437*/ GIMT_Encode4(2225671), // Rule ID 59543 //
     /* 2225587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2225590 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225594 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225598 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225602 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225609 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225613 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2225617 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225621 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225623 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225628 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225630 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2225633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2225647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225652 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225670 */     // GIR_Coverage, 59543,
     /* 2225670 */     GIR_EraseRootFromParent_Done,
     /* 2225671 */   // Label 29437: @2225671
     /* 2225671 */   GIM_Try, /*On fail goto*//*Label 29438*/ GIMT_Encode4(2225760), // Rule ID 59544 //
     /* 2225676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2225679 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225683 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225687 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225691 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225693 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225698 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225702 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225706 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225710 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225712 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225717 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225719 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2225722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2225736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225745 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225759 */     // GIR_Coverage, 59544,
     /* 2225759 */     GIR_EraseRootFromParent_Done,
     /* 2225760 */   // Label 29438: @2225760
     /* 2225760 */   GIM_Try, /*On fail goto*//*Label 29439*/ GIMT_Encode4(2225849), // Rule ID 59545 //
     /* 2225765 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2225768 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225772 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225776 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225780 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225782 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2225791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2225799 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2225801 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225806 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2225808 */     // (shl:{ *:[nxv2i16] } (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i16] } VR:{ *:[nxv2i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF4:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225808 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2225811 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225815 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225820 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF4),
     /* 2225825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225827 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225830 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2225834 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2225838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225848 */     // GIR_Coverage, 59545,
     /* 2225848 */     GIR_EraseRootFromParent_Done,
     /* 2225849 */   // Label 29439: @2225849
     /* 2225849 */   GIM_Try, /*On fail goto*//*Label 29440*/ GIMT_Encode4(2225902), // Rule ID 48062 //
     /* 2225854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2225857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225865 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2225865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2225868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2225882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225901 */     // GIR_Coverage, 48062,
     /* 2225901 */     GIR_EraseRootFromParent_Done,
     /* 2225902 */   // Label 29440: @2225902
     /* 2225902 */   GIM_Try, /*On fail goto*//*Label 29441*/ GIMT_Encode4(2225955), // Rule ID 48063 //
     /* 2225907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2225910 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225914 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225918 */     // (shl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2225918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2225921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2225925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2225930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2225932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2225935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2225937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2225940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2225942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2225944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2225947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2225950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2225953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2225954 */     // GIR_Coverage, 48063,
     /* 2225954 */     GIR_EraseRootFromParent_Done,
     /* 2225955 */   // Label 29441: @2225955
     /* 2225955 */   GIM_Reject,
     /* 2225956 */ // Label 29435: @2225956
     /* 2225956 */ GIM_Reject,
     /* 2225957 */ // Label 29380: @2225957
     /* 2225957 */ GIM_Try, /*On fail goto*//*Label 29442*/ GIMT_Encode4(2226435),
     /* 2225962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2225965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2225968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225972 */   GIM_Try, /*On fail goto*//*Label 29443*/ GIMT_Encode4(2226061), // Rule ID 59590 //
     /* 2225977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2225980 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2225984 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2225988 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2225992 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2225994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2225999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2226007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2226011 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226013 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226018 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226020 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2226023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2226037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226042 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226060 */     // GIR_Coverage, 59590,
     /* 2226060 */     GIR_EraseRootFromParent_Done,
     /* 2226061 */   // Label 29443: @2226061
     /* 2226061 */   GIM_Try, /*On fail goto*//*Label 29444*/ GIMT_Encode4(2226150), // Rule ID 59591 //
     /* 2226066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2226069 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226073 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226077 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2226081 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226083 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226088 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226092 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2226096 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2226100 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226102 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226107 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226109 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2226112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2226126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226149 */     // GIR_Coverage, 59591,
     /* 2226149 */     GIR_EraseRootFromParent_Done,
     /* 2226150 */   // Label 29444: @2226150
     /* 2226150 */   GIM_Try, /*On fail goto*//*Label 29445*/ GIMT_Encode4(2226239), // Rule ID 59592 //
     /* 2226155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2226158 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226162 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226166 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2226170 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2226189 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226191 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226196 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226198 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226198 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2226201 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226205 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226210 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2226215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226217 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226220 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226224 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226238 */     // GIR_Coverage, 59592,
     /* 2226238 */     GIR_EraseRootFromParent_Done,
     /* 2226239 */   // Label 29445: @2226239
     /* 2226239 */   GIM_Try, /*On fail goto*//*Label 29446*/ GIMT_Encode4(2226328), // Rule ID 59593 //
     /* 2226244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2226247 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226251 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226255 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2226259 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226261 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226266 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226270 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226274 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2226278 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226280 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226285 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226287 */     // (shl:{ *:[nxv2i32] } (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i32] } VR:{ *:[nxv2i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2226290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2226304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226309 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2226323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226327 */     // GIR_Coverage, 59593,
     /* 2226327 */     GIR_EraseRootFromParent_Done,
     /* 2226328 */   // Label 29446: @2226328
     /* 2226328 */   GIM_Try, /*On fail goto*//*Label 29447*/ GIMT_Encode4(2226381), // Rule ID 48078 //
     /* 2226333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226336 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226344 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2226347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2226361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226380 */     // GIR_Coverage, 48078,
     /* 2226380 */     GIR_EraseRootFromParent_Done,
     /* 2226381 */   // Label 29447: @2226381
     /* 2226381 */   GIM_Try, /*On fail goto*//*Label 29448*/ GIMT_Encode4(2226434), // Rule ID 48079 //
     /* 2226386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226389 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226397 */     // (shl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2226400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2226414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226433 */     // GIR_Coverage, 48079,
     /* 2226433 */     GIR_EraseRootFromParent_Done,
     /* 2226434 */   // Label 29448: @2226434
     /* 2226434 */   GIM_Reject,
     /* 2226435 */ // Label 29442: @2226435
     /* 2226435 */ GIM_Reject,
     /* 2226436 */ // Label 29381: @2226436
     /* 2226436 */ GIM_Try, /*On fail goto*//*Label 29449*/ GIMT_Encode4(2226914),
     /* 2226441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2226444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2226447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226451 */   GIM_Try, /*On fail goto*//*Label 29450*/ GIMT_Encode4(2226540), // Rule ID 59630 //
     /* 2226456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2226459 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226463 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226467 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226471 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226473 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226478 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226482 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2226486 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226490 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226492 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226497 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226499 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2226502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2226516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226525 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226539 */     // GIR_Coverage, 59630,
     /* 2226539 */     GIR_EraseRootFromParent_Done,
     /* 2226540 */   // Label 29450: @2226540
     /* 2226540 */   GIM_Try, /*On fail goto*//*Label 29451*/ GIMT_Encode4(2226629), // Rule ID 59631 //
     /* 2226545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2226548 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226552 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226556 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226560 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226562 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2226575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226579 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226581 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226586 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226588 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2226591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2226605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226628 */     // GIR_Coverage, 59631,
     /* 2226628 */     GIR_EraseRootFromParent_Done,
     /* 2226629 */   // Label 29451: @2226629
     /* 2226629 */   GIM_Try, /*On fail goto*//*Label 29452*/ GIMT_Encode4(2226718), // Rule ID 59632 //
     /* 2226634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2226637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226649 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226656 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226660 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226664 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226668 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226670 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226675 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226677 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2226680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2226694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226717 */     // GIR_Coverage, 59632,
     /* 2226717 */     GIR_EraseRootFromParent_Done,
     /* 2226718 */   // Label 29452: @2226718
     /* 2226718 */   GIM_Try, /*On fail goto*//*Label 29453*/ GIMT_Encode4(2226807), // Rule ID 59633 //
     /* 2226723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2226726 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2226730 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226734 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226738 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2226740 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226745 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2226749 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2226753 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2226757 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2226759 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226764 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2226766 */     // (shl:{ *:[nxv2i64] } (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv2i64] } VR:{ *:[nxv2i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2226769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2226783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226788 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2226792 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2226796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2226802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226806 */     // GIR_Coverage, 59633,
     /* 2226806 */     GIR_EraseRootFromParent_Done,
     /* 2226807 */   // Label 29453: @2226807
     /* 2226807 */   GIM_Try, /*On fail goto*//*Label 29454*/ GIMT_Encode4(2226860), // Rule ID 48122 //
     /* 2226812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2226815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226823 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2226826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2226840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226859 */     // GIR_Coverage, 48122,
     /* 2226859 */     GIR_EraseRootFromParent_Done,
     /* 2226860 */   // Label 29454: @2226860
     /* 2226860 */   GIM_Try, /*On fail goto*//*Label 29455*/ GIMT_Encode4(2226913), // Rule ID 48123 //
     /* 2226865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2226868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2226876 */     // (shl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2226879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2226893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2226908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226912 */     // GIR_Coverage, 48123,
     /* 2226912 */     GIR_EraseRootFromParent_Done,
     /* 2226913 */   // Label 29455: @2226913
     /* 2226913 */   GIM_Reject,
     /* 2226914 */ // Label 29449: @2226914
     /* 2226914 */ GIM_Reject,
     /* 2226915 */ // Label 29382: @2226915
     /* 2226915 */ GIM_Try, /*On fail goto*//*Label 29456*/ GIMT_Encode4(2227029),
     /* 2226920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2226923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2226926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2226938 */   GIM_Try, /*On fail goto*//*Label 29457*/ GIMT_Encode4(2226983), // Rule ID 48054 //
     /* 2226943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2226946 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2226946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2226949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2226958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2226960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2226963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2226965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2226968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2226970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2226972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2226975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2226981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2226982 */     // GIR_Coverage, 48054,
     /* 2226982 */     GIR_EraseRootFromParent_Done,
     /* 2226983 */   // Label 29457: @2226983
     /* 2226983 */   GIM_Try, /*On fail goto*//*Label 29458*/ GIMT_Encode4(2227028), // Rule ID 48055 //
     /* 2226988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2226991 */     // (shl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSLL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2226991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2226994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2226998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_MF2),
     /* 2227008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227027 */     // GIR_Coverage, 48055,
     /* 2227027 */     GIR_EraseRootFromParent_Done,
     /* 2227028 */   // Label 29458: @2227028
     /* 2227028 */   GIM_Reject,
     /* 2227029 */ // Label 29456: @2227029
     /* 2227029 */ GIM_Reject,
     /* 2227030 */ // Label 29383: @2227030
     /* 2227030 */ GIM_Try, /*On fail goto*//*Label 29459*/ GIMT_Encode4(2227508),
     /* 2227035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2227041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227045 */   GIM_Try, /*On fail goto*//*Label 29460*/ GIMT_Encode4(2227134), // Rule ID 59550 //
     /* 2227050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2227053 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227057 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227061 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227065 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227067 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227072 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227076 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2227080 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227084 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227093 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227093 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227096 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227100 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227105 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227107 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2227110 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227112 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227115 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227119 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227133 */     // GIR_Coverage, 59550,
     /* 2227133 */     GIR_EraseRootFromParent_Done,
     /* 2227134 */   // Label 29460: @2227134
     /* 2227134 */   GIM_Try, /*On fail goto*//*Label 29461*/ GIMT_Encode4(2227223), // Rule ID 59551 //
     /* 2227139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2227142 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227146 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227150 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227154 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227156 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227161 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227165 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2227169 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227173 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227175 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227180 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227182 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227182 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227185 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227189 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227194 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2227199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227201 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227208 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227221 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227222 */     // GIR_Coverage, 59551,
     /* 2227222 */     GIR_EraseRootFromParent_Done,
     /* 2227223 */   // Label 29461: @2227223
     /* 2227223 */   GIM_Try, /*On fail goto*//*Label 29462*/ GIMT_Encode4(2227312), // Rule ID 59552 //
     /* 2227228 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2227231 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227235 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227239 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227243 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227245 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227250 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227254 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227258 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227262 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227264 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227269 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227271 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2227288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227293 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227311 */     // GIR_Coverage, 59552,
     /* 2227311 */     GIR_EraseRootFromParent_Done,
     /* 2227312 */   // Label 29462: @2227312
     /* 2227312 */   GIM_Try, /*On fail goto*//*Label 29463*/ GIMT_Encode4(2227401), // Rule ID 59553 //
     /* 2227317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2227320 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227324 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227328 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227332 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227334 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227339 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227343 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227347 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2227351 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227353 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227358 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227360 */     // (shl:{ *:[nxv4i16] } (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i16] } VR:{ *:[nxv4i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_MF2:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_MF2),
     /* 2227377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227386 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227399 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227400 */     // GIR_Coverage, 59553,
     /* 2227400 */     GIR_EraseRootFromParent_Done,
     /* 2227401 */   // Label 29463: @2227401
     /* 2227401 */   GIM_Try, /*On fail goto*//*Label 29464*/ GIMT_Encode4(2227454), // Rule ID 48074 //
     /* 2227406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227417 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2227434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227453 */     // GIR_Coverage, 48074,
     /* 2227453 */     GIR_EraseRootFromParent_Done,
     /* 2227454 */   // Label 29464: @2227454
     /* 2227454 */   GIM_Try, /*On fail goto*//*Label 29465*/ GIMT_Encode4(2227507), // Rule ID 48075 //
     /* 2227459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227470 */     // (shl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2227473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2227487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227505 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227506 */     // GIR_Coverage, 48075,
     /* 2227506 */     GIR_EraseRootFromParent_Done,
     /* 2227507 */   // Label 29465: @2227507
     /* 2227507 */   GIM_Reject,
     /* 2227508 */ // Label 29459: @2227508
     /* 2227508 */ GIM_Reject,
     /* 2227509 */ // Label 29384: @2227509
     /* 2227509 */ GIM_Try, /*On fail goto*//*Label 29466*/ GIMT_Encode4(2227987),
     /* 2227514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2227517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2227520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227524 */   GIM_Try, /*On fail goto*//*Label 29467*/ GIMT_Encode4(2227613), // Rule ID 59598 //
     /* 2227529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2227532 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227536 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227540 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227544 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2227559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227563 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227565 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227570 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227572 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2227575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2227589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227598 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227612 */     // GIR_Coverage, 59598,
     /* 2227612 */     GIR_EraseRootFromParent_Done,
     /* 2227613 */   // Label 29467: @2227613
     /* 2227613 */   GIM_Try, /*On fail goto*//*Label 29468*/ GIMT_Encode4(2227702), // Rule ID 59599 //
     /* 2227618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2227621 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227625 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227629 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227633 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227635 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227640 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227644 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2227648 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227652 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227654 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227659 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227661 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227661 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2227664 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227668 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227673 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227675 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2227678 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227680 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227701 */     // GIR_Coverage, 59599,
     /* 2227701 */     GIR_EraseRootFromParent_Done,
     /* 2227702 */   // Label 29468: @2227702
     /* 2227702 */   GIM_Try, /*On fail goto*//*Label 29469*/ GIMT_Encode4(2227791), // Rule ID 59600 //
     /* 2227707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2227710 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227714 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227718 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227722 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227724 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227729 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227733 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227737 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227741 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227750 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2227753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2227767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227772 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227776 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227790 */     // GIR_Coverage, 59600,
     /* 2227790 */     GIR_EraseRootFromParent_Done,
     /* 2227791 */   // Label 29469: @2227791
     /* 2227791 */   GIM_Try, /*On fail goto*//*Label 29470*/ GIMT_Encode4(2227880), // Rule ID 59601 //
     /* 2227796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2227799 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2227803 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227807 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227811 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2227813 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227818 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2227822 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2227826 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2227830 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2227832 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2227837 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2227839 */     // (shl:{ *:[nxv4i32] } (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i32] } VR:{ *:[nxv4i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2227842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2227856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2227865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2227869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2227875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227878 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227879 */     // GIR_Coverage, 59601,
     /* 2227879 */     GIR_EraseRootFromParent_Done,
     /* 2227880 */   // Label 29470: @2227880
     /* 2227880 */   GIM_Try, /*On fail goto*//*Label 29471*/ GIMT_Encode4(2227933), // Rule ID 48110 //
     /* 2227885 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2227888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227896 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2227896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2227899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2227913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227920 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227932 */     // GIR_Coverage, 48110,
     /* 2227932 */     GIR_EraseRootFromParent_Done,
     /* 2227933 */   // Label 29471: @2227933
     /* 2227933 */   GIM_Try, /*On fail goto*//*Label 29472*/ GIMT_Encode4(2227986), // Rule ID 48111 //
     /* 2227938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2227941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2227949 */     // (shl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2227949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2227952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2227956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2227961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2227963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2227966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2227968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2227971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2227973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2227975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2227978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2227981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2227984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2227985 */     // GIR_Coverage, 48111,
     /* 2227985 */     GIR_EraseRootFromParent_Done,
     /* 2227986 */   // Label 29472: @2227986
     /* 2227986 */   GIM_Reject,
     /* 2227987 */ // Label 29466: @2227987
     /* 2227987 */ GIM_Reject,
     /* 2227988 */ // Label 29385: @2227988
     /* 2227988 */ GIM_Try, /*On fail goto*//*Label 29473*/ GIMT_Encode4(2228466),
     /* 2227993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2227996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2227999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228003 */   GIM_Try, /*On fail goto*//*Label 29474*/ GIMT_Encode4(2228092), // Rule ID 59638 //
     /* 2228008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2228011 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2228015 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228019 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228023 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2228025 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228030 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228034 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2228038 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228042 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2228044 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228049 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228051 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228051 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228054 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228058 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228063 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228065 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2228068 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228070 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2228077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2228081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228091 */     // GIR_Coverage, 59638,
     /* 2228091 */     GIR_EraseRootFromParent_Done,
     /* 2228092 */   // Label 29474: @2228092
     /* 2228092 */   GIM_Try, /*On fail goto*//*Label 29475*/ GIMT_Encode4(2228181), // Rule ID 59639 //
     /* 2228097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2228100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2228104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228112 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2228114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228119 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228123 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2228127 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228131 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2228133 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228138 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228140 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228140 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228143 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228147 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228152 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2228157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228159 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228162 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2228166 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2228170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228180 */     // GIR_Coverage, 59639,
     /* 2228180 */     GIR_EraseRootFromParent_Done,
     /* 2228181 */   // Label 29475: @2228181
     /* 2228181 */   GIM_Try, /*On fail goto*//*Label 29476*/ GIMT_Encode4(2228270), // Rule ID 59640 //
     /* 2228186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2228189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2228193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228201 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2228203 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228208 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228212 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228216 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228220 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2228222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228229 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2228246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2228255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2228259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228269 */     // GIR_Coverage, 59640,
     /* 2228269 */     GIR_EraseRootFromParent_Done,
     /* 2228270 */   // Label 29476: @2228270
     /* 2228270 */   GIM_Try, /*On fail goto*//*Label 29477*/ GIMT_Encode4(2228359), // Rule ID 59641 //
     /* 2228275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2228278 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2228282 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228286 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228290 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2228292 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228297 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228301 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228305 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2228309 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2228311 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228316 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228318 */     // (shl:{ *:[nxv4i64] } (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv4i64] } VRM2:{ *:[nxv4i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2228335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2228344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2228348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2228354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228357 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228358 */     // GIR_Coverage, 59641,
     /* 2228358 */     GIR_EraseRootFromParent_Done,
     /* 2228359 */   // Label 29477: @2228359
     /* 2228359 */   GIM_Try, /*On fail goto*//*Label 29478*/ GIMT_Encode4(2228412), // Rule ID 48126 //
     /* 2228364 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2228367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228375 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2228392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228411 */     // GIR_Coverage, 48126,
     /* 2228411 */     GIR_EraseRootFromParent_Done,
     /* 2228412 */   // Label 29478: @2228412
     /* 2228412 */   GIM_Try, /*On fail goto*//*Label 29479*/ GIMT_Encode4(2228465), // Rule ID 48127 //
     /* 2228417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2228420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228424 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2228428 */     // (shl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228428 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2228431 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228435 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228440 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228442 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2228445 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228447 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228450 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228452 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2228460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228464 */     // GIR_Coverage, 48127,
     /* 2228464 */     GIR_EraseRootFromParent_Done,
     /* 2228465 */   // Label 29479: @2228465
     /* 2228465 */   GIM_Reject,
     /* 2228466 */ // Label 29473: @2228466
     /* 2228466 */ GIM_Reject,
     /* 2228467 */ // Label 29386: @2228467
     /* 2228467 */ GIM_Try, /*On fail goto*//*Label 29480*/ GIMT_Encode4(2228581),
     /* 2228472 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228475 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2228478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228490 */   GIM_Try, /*On fail goto*//*Label 29481*/ GIMT_Encode4(2228535), // Rule ID 48070 //
     /* 2228495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228498 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2228501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2228515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228534 */     // GIR_Coverage, 48070,
     /* 2228534 */     GIR_EraseRootFromParent_Done,
     /* 2228535 */   // Label 29481: @2228535
     /* 2228535 */   GIM_Try, /*On fail goto*//*Label 29482*/ GIMT_Encode4(2228580), // Rule ID 48071 //
     /* 2228540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2228543 */     // (shl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSLL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228543 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2228546 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228550 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228555 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M1),
     /* 2228560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228562 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228579 */     // GIR_Coverage, 48071,
     /* 2228579 */     GIR_EraseRootFromParent_Done,
     /* 2228580 */   // Label 29482: @2228580
     /* 2228580 */   GIM_Reject,
     /* 2228581 */ // Label 29480: @2228581
     /* 2228581 */ GIM_Reject,
     /* 2228582 */ // Label 29387: @2228582
     /* 2228582 */ GIM_Try, /*On fail goto*//*Label 29483*/ GIMT_Encode4(2229060),
     /* 2228587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2228590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2228593 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228597 */   GIM_Try, /*On fail goto*//*Label 29484*/ GIMT_Encode4(2228686), // Rule ID 59558 //
     /* 2228602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2228605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2228609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228617 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2228619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228624 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228628 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2228632 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228636 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2228638 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228643 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228645 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2228662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2228671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2228675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228685 */     // GIR_Coverage, 59558,
     /* 2228685 */     GIR_EraseRootFromParent_Done,
     /* 2228686 */   // Label 29484: @2228686
     /* 2228686 */   GIM_Try, /*On fail goto*//*Label 29485*/ GIMT_Encode4(2228775), // Rule ID 59559 //
     /* 2228691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2228694 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2228698 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228702 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228706 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2228708 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228713 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228717 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2228721 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228725 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2228727 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228732 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228734 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2228751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228756 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2228760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2228764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228773 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228774 */     // GIR_Coverage, 59559,
     /* 2228774 */     GIR_EraseRootFromParent_Done,
     /* 2228775 */   // Label 29485: @2228775
     /* 2228775 */   GIM_Try, /*On fail goto*//*Label 29486*/ GIMT_Encode4(2228864), // Rule ID 59560 //
     /* 2228780 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2228783 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2228787 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228791 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228795 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2228797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228802 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228806 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228810 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228814 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2228816 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228821 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228823 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2228840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228845 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2228849 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2228853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228863 */     // GIR_Coverage, 59560,
     /* 2228863 */     GIR_EraseRootFromParent_Done,
     /* 2228864 */   // Label 29486: @2228864
     /* 2228864 */   GIM_Try, /*On fail goto*//*Label 29487*/ GIMT_Encode4(2228953), // Rule ID 59561 //
     /* 2228869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2228872 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2228876 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228880 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228884 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2228886 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228891 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2228895 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2228899 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2228903 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2228905 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2228910 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2228912 */     // (shl:{ *:[nxv8i16] } (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i16] } VR:{ *:[nxv8i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M1:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2228912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M1),
     /* 2228929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228934 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2228938 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2228942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2228951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2228952 */     // GIR_Coverage, 59561,
     /* 2228952 */     GIR_EraseRootFromParent_Done,
     /* 2228953 */   // Label 29487: @2228953
     /* 2228953 */   GIM_Try, /*On fail goto*//*Label 29488*/ GIMT_Encode4(2229006), // Rule ID 48098 //
     /* 2228958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2228961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228965 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2228969 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2228969 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2228972 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2228976 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2228981 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2228983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2228986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2228988 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2228991 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2228993 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2228995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2228998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229004 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229005 */     // GIR_Coverage, 48098,
     /* 2229005 */     GIR_EraseRootFromParent_Done,
     /* 2229006 */   // Label 29488: @2229006
     /* 2229006 */   GIM_Try, /*On fail goto*//*Label 29489*/ GIMT_Encode4(2229059), // Rule ID 48099 //
     /* 2229011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229022 */     // (shl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229022 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2229025 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229029 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229034 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2229039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229041 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229044 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229058 */     // GIR_Coverage, 48099,
     /* 2229058 */     GIR_EraseRootFromParent_Done,
     /* 2229059 */   // Label 29489: @2229059
     /* 2229059 */   GIM_Reject,
     /* 2229060 */ // Label 29483: @2229060
     /* 2229060 */ GIM_Reject,
     /* 2229061 */ // Label 29388: @2229061
     /* 2229061 */ GIM_Try, /*On fail goto*//*Label 29490*/ GIMT_Encode4(2229539),
     /* 2229066 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2229072 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229076 */   GIM_Try, /*On fail goto*//*Label 29491*/ GIMT_Encode4(2229165), // Rule ID 59606 //
     /* 2229081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2229084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229096 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2229098 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229103 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2229107 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2229111 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229115 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2229117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2229124 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2229141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229146 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2229154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229163 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229164 */     // GIR_Coverage, 59606,
     /* 2229164 */     GIR_EraseRootFromParent_Done,
     /* 2229165 */   // Label 29491: @2229165
     /* 2229165 */   GIM_Try, /*On fail goto*//*Label 29492*/ GIMT_Encode4(2229254), // Rule ID 59607 //
     /* 2229170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2229173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229185 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2229187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229192 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2229196 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2229200 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229204 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2229206 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229211 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2229213 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2229230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229239 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2229243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229253 */     // GIR_Coverage, 59607,
     /* 2229253 */     GIR_EraseRootFromParent_Done,
     /* 2229254 */   // Label 29492: @2229254
     /* 2229254 */   GIM_Try, /*On fail goto*//*Label 29493*/ GIMT_Encode4(2229343), // Rule ID 59608 //
     /* 2229259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2229262 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229266 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229270 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229274 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2229276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2229285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229293 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2229295 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229300 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2229302 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2229319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229324 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229328 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2229332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229342 */     // GIR_Coverage, 59608,
     /* 2229342 */     GIR_EraseRootFromParent_Done,
     /* 2229343 */   // Label 29493: @2229343
     /* 2229343 */   GIM_Try, /*On fail goto*//*Label 29494*/ GIMT_Encode4(2229432), // Rule ID 59609 //
     /* 2229348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2229351 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229355 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229359 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229363 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2229365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2229374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2229382 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2229384 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2229389 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2229391 */     // (shl:{ *:[nxv8i32] } (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i32] } VRM2:{ *:[nxv8i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229391 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229394 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229398 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229403 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2229408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229410 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229413 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2229421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2229427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229431 */     // GIR_Coverage, 59609,
     /* 2229431 */     GIR_EraseRootFromParent_Done,
     /* 2229432 */   // Label 29494: @2229432
     /* 2229432 */   GIM_Try, /*On fail goto*//*Label 29495*/ GIMT_Encode4(2229485), // Rule ID 48114 //
     /* 2229437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2229440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229448 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2229465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229484 */     // GIR_Coverage, 48114,
     /* 2229484 */     GIR_EraseRootFromParent_Done,
     /* 2229485 */   // Label 29495: @2229485
     /* 2229485 */   GIM_Try, /*On fail goto*//*Label 29496*/ GIMT_Encode4(2229538), // Rule ID 48115 //
     /* 2229490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2229493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229497 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229501 */     // (shl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2229504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2229518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229537 */     // GIR_Coverage, 48115,
     /* 2229537 */     GIR_EraseRootFromParent_Done,
     /* 2229538 */   // Label 29496: @2229538
     /* 2229538 */   GIM_Reject,
     /* 2229539 */ // Label 29490: @2229539
     /* 2229539 */ GIM_Reject,
     /* 2229540 */ // Label 29389: @2229540
     /* 2229540 */ GIM_Try, /*On fail goto*//*Label 29497*/ GIMT_Encode4(2230018),
     /* 2229545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2229548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2229551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229555 */   GIM_Try, /*On fail goto*//*Label 29498*/ GIMT_Encode4(2229644), // Rule ID 59646 //
     /* 2229560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2229563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229575 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2229577 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229582 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2229586 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2229590 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229594 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2229596 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229601 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2229603 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2229620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229629 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2229633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229643 */     // GIR_Coverage, 59646,
     /* 2229643 */     GIR_EraseRootFromParent_Done,
     /* 2229644 */   // Label 29498: @2229644
     /* 2229644 */   GIM_Try, /*On fail goto*//*Label 29499*/ GIMT_Encode4(2229733), // Rule ID 59647 //
     /* 2229649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2229652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229664 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2229666 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229671 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2229675 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2229679 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229683 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2229685 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229690 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2229692 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2229709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229718 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2229722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229732 */     // GIR_Coverage, 59647,
     /* 2229732 */     GIR_EraseRootFromParent_Done,
     /* 2229733 */   // Label 29499: @2229733
     /* 2229733 */   GIM_Try, /*On fail goto*//*Label 29500*/ GIMT_Encode4(2229822), // Rule ID 59648 //
     /* 2229738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode0),
     /* 2229741 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229745 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229749 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229753 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2229755 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2229764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229772 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2229774 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229779 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2229781 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2229798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2229811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229821 */     // GIR_Coverage, 59648,
     /* 2229821 */     GIR_EraseRootFromParent_Done,
     /* 2229822 */   // Label 29500: @2229822
     /* 2229822 */   GIM_Try, /*On fail goto*//*Label 29501*/ GIMT_Encode4(2229911), // Rule ID 59649 //
     /* 2229827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HasVInstructionsI64_HwMode1),
     /* 2229830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2229834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229842 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2229844 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229849 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2229853 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2229857 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2229861 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2229863 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2229868 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2229870 */     // (shl:{ *:[nxv8i64] } (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv8i64] } VRM4:{ *:[nxv8i32] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2229887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229892 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2229896 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2229900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2229906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229910 */     // GIR_Coverage, 59649,
     /* 2229910 */     GIR_EraseRootFromParent_Done,
     /* 2229911 */   // Label 29501: @2229911
     /* 2229911 */   GIM_Try, /*On fail goto*//*Label 29502*/ GIMT_Encode4(2229964), // Rule ID 48130 //
     /* 2229916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2229919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229927 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2229927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2229944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2229949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2229951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2229953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2229956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2229959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2229962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2229963 */     // GIR_Coverage, 48130,
     /* 2229963 */     GIR_EraseRootFromParent_Done,
     /* 2229964 */   // Label 29502: @2229964
     /* 2229964 */   GIM_Try, /*On fail goto*//*Label 29503*/ GIMT_Encode4(2230017), // Rule ID 48131 //
     /* 2229969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2229972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229976 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2229980 */     // (shl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2229980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2229983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2229987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2229992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2229994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2229997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2229999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2230012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230015 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230016 */     // GIR_Coverage, 48131,
     /* 2230016 */     GIR_EraseRootFromParent_Done,
     /* 2230017 */   // Label 29503: @2230017
     /* 2230017 */   GIM_Reject,
     /* 2230018 */ // Label 29497: @2230018
     /* 2230018 */ GIM_Reject,
     /* 2230019 */ // Label 29390: @2230019
     /* 2230019 */ GIM_Try, /*On fail goto*//*Label 29504*/ GIMT_Encode4(2230133),
     /* 2230024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230027 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2230030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230034 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230038 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230042 */   GIM_Try, /*On fail goto*//*Label 29505*/ GIMT_Encode4(2230087), // Rule ID 48086 //
     /* 2230047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230050 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230050 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2230053 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230057 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230062 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2230067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230069 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230085 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230086 */     // GIR_Coverage, 48086,
     /* 2230086 */     GIR_EraseRootFromParent_Done,
     /* 2230087 */   // Label 29505: @2230087
     /* 2230087 */   GIM_Try, /*On fail goto*//*Label 29506*/ GIMT_Encode4(2230132), // Rule ID 48087 //
     /* 2230092 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230095 */     // (shl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSLL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230095 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2230098 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230102 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230107 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230109 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M2),
     /* 2230112 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230114 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230117 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230119 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230131 */     // GIR_Coverage, 48087,
     /* 2230131 */     GIR_EraseRootFromParent_Done,
     /* 2230132 */   // Label 29506: @2230132
     /* 2230132 */   GIM_Reject,
     /* 2230133 */ // Label 29504: @2230133
     /* 2230133 */ GIM_Reject,
     /* 2230134 */ // Label 29391: @2230134
     /* 2230134 */ GIM_Try, /*On fail goto*//*Label 29507*/ GIMT_Encode4(2230612),
     /* 2230139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2230145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230149 */   GIM_Try, /*On fail goto*//*Label 29508*/ GIMT_Encode4(2230238), // Rule ID 59566 //
     /* 2230154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2230157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230169 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2230171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230176 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230180 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2230184 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230188 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2230190 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230195 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230197 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2230214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230219 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2230227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230237 */     // GIR_Coverage, 59566,
     /* 2230237 */     GIR_EraseRootFromParent_Done,
     /* 2230238 */   // Label 29508: @2230238
     /* 2230238 */   GIM_Try, /*On fail goto*//*Label 29509*/ GIMT_Encode4(2230327), // Rule ID 59567 //
     /* 2230243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2230246 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230250 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230254 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230258 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2230260 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230265 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230269 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2230273 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230277 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2230279 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230284 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230286 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2230303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230308 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230312 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2230316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230326 */     // GIR_Coverage, 59567,
     /* 2230326 */     GIR_EraseRootFromParent_Done,
     /* 2230327 */   // Label 29509: @2230327
     /* 2230327 */   GIM_Try, /*On fail goto*//*Label 29510*/ GIMT_Encode4(2230416), // Rule ID 59568 //
     /* 2230332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2230335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230347 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2230349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230354 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230358 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230362 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230366 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2230368 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230373 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230375 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2230392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230401 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2230405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230415 */     // GIR_Coverage, 59568,
     /* 2230415 */     GIR_EraseRootFromParent_Done,
     /* 2230416 */   // Label 29510: @2230416
     /* 2230416 */   GIM_Try, /*On fail goto*//*Label 29511*/ GIMT_Encode4(2230505), // Rule ID 59569 //
     /* 2230421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2230424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230436 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2230438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230443 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230447 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230451 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2230455 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2230457 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2230462 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230464 */     // (shl:{ *:[nxv16i16] } (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i16] } VRM2:{ *:[nxv16i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M2:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M2),
     /* 2230481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230486 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230490 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2230494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230504 */     // GIR_Coverage, 59569,
     /* 2230504 */     GIR_EraseRootFromParent_Done,
     /* 2230505 */   // Label 29511: @2230505
     /* 2230505 */   GIM_Try, /*On fail goto*//*Label 29512*/ GIMT_Encode4(2230558), // Rule ID 48102 //
     /* 2230510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230521 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2230538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230557 */     // GIR_Coverage, 48102,
     /* 2230557 */     GIR_EraseRootFromParent_Done,
     /* 2230558 */   // Label 29512: @2230558
     /* 2230558 */   GIM_Try, /*On fail goto*//*Label 29513*/ GIMT_Encode4(2230611), // Rule ID 48103 //
     /* 2230563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2230566 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230570 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230574 */     // (shl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2230577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2230591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2230598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2230600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230610 */     // GIR_Coverage, 48103,
     /* 2230610 */     GIR_EraseRootFromParent_Done,
     /* 2230611 */   // Label 29513: @2230611
     /* 2230611 */   GIM_Reject,
     /* 2230612 */ // Label 29507: @2230612
     /* 2230612 */ GIM_Reject,
     /* 2230613 */ // Label 29392: @2230613
     /* 2230613 */ GIM_Try, /*On fail goto*//*Label 29514*/ GIMT_Encode4(2231091),
     /* 2230618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2230621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2230624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230628 */   GIM_Try, /*On fail goto*//*Label 29515*/ GIMT_Encode4(2230717), // Rule ID 59614 //
     /* 2230633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2230636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230648 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2230650 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2230663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230667 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2230669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230676 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2230679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2230693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230698 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230702 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2230706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230716 */     // GIR_Coverage, 59614,
     /* 2230716 */     GIR_EraseRootFromParent_Done,
     /* 2230717 */   // Label 29515: @2230717
     /* 2230717 */   GIM_Try, /*On fail goto*//*Label 29516*/ GIMT_Encode4(2230806), // Rule ID 59615 //
     /* 2230722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2230725 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230729 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230733 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230737 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2230739 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230744 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230748 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2230752 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230756 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2230758 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230763 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230765 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230765 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2230768 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230772 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230777 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2230782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230784 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2230795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230805 */     // GIR_Coverage, 59615,
     /* 2230805 */     GIR_EraseRootFromParent_Done,
     /* 2230806 */   // Label 29516: @2230806
     /* 2230806 */   GIM_Try, /*On fail goto*//*Label 29517*/ GIMT_Encode4(2230895), // Rule ID 59616 //
     /* 2230811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2230814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230826 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2230828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230833 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230837 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230841 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230845 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2230847 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230852 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230854 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2230854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2230857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2230871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230876 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230880 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2230884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230894 */     // GIR_Coverage, 59616,
     /* 2230894 */     GIR_EraseRootFromParent_Done,
     /* 2230895 */   // Label 29517: @2230895
     /* 2230895 */   GIM_Try, /*On fail goto*//*Label 29518*/ GIMT_Encode4(2230984), // Rule ID 59617 //
     /* 2230900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2230903 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2230907 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230911 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230915 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2230917 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230922 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2230926 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2230930 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2230934 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2230936 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2230941 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2230943 */     // (shl:{ *:[nxv16i32] } (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv16i32] } VRM4:{ *:[nxv16i16] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2230943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2230946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2230950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2230955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2230957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2230960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2230962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2230965 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2230969 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2230973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2230976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2230979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2230982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2230983 */     // GIR_Coverage, 59617,
     /* 2230983 */     GIR_EraseRootFromParent_Done,
     /* 2230984 */   // Label 29518: @2230984
     /* 2230984 */   GIM_Try, /*On fail goto*//*Label 29519*/ GIMT_Encode4(2231037), // Rule ID 48118 //
     /* 2230989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2230992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2230996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231000 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231000 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2231003 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231007 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231012 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2231017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231036 */     // GIR_Coverage, 48118,
     /* 2231036 */     GIR_EraseRootFromParent_Done,
     /* 2231037 */   // Label 29519: @2231037
     /* 2231037 */   GIM_Try, /*On fail goto*//*Label 29520*/ GIMT_Encode4(2231090), // Rule ID 48119 //
     /* 2231042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231053 */     // (shl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2231056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2231070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2231085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231089 */     // GIR_Coverage, 48119,
     /* 2231089 */     GIR_EraseRootFromParent_Done,
     /* 2231090 */   // Label 29520: @2231090
     /* 2231090 */   GIM_Reject,
     /* 2231091 */ // Label 29514: @2231091
     /* 2231091 */ GIM_Reject,
     /* 2231092 */ // Label 29393: @2231092
     /* 2231092 */ GIM_Try, /*On fail goto*//*Label 29521*/ GIMT_Encode4(2231206),
     /* 2231097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2231103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231115 */   GIM_Try, /*On fail goto*//*Label 29522*/ GIMT_Encode4(2231160), // Rule ID 48090 //
     /* 2231120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231123 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2231126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2231140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231159 */     // GIR_Coverage, 48090,
     /* 2231159 */     GIR_EraseRootFromParent_Done,
     /* 2231160 */   // Label 29522: @2231160
     /* 2231160 */   GIM_Try, /*On fail goto*//*Label 29523*/ GIMT_Encode4(2231205), // Rule ID 48091 //
     /* 2231165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231168 */     // (shl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSLL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2231171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M4),
     /* 2231185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231204 */     // GIR_Coverage, 48091,
     /* 2231204 */     GIR_EraseRootFromParent_Done,
     /* 2231205 */   // Label 29523: @2231205
     /* 2231205 */   GIM_Reject,
     /* 2231206 */ // Label 29521: @2231206
     /* 2231206 */ GIM_Reject,
     /* 2231207 */ // Label 29394: @2231207
     /* 2231207 */ GIM_Try, /*On fail goto*//*Label 29524*/ GIMT_Encode4(2231685),
     /* 2231212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2231215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2231218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231222 */   GIM_Try, /*On fail goto*//*Label 29525*/ GIMT_Encode4(2231311), // Rule ID 59574 //
     /* 2231227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2231230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2231234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2231238 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231242 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2231244 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2231253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2231257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231261 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2231263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2231270 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2231273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2231287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231292 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231296 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2231300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231310 */     // GIR_Coverage, 59574,
     /* 2231310 */     GIR_EraseRootFromParent_Done,
     /* 2231311 */   // Label 29525: @2231311
     /* 2231311 */   GIM_Try, /*On fail goto*//*Label 29526*/ GIMT_Encode4(2231400), // Rule ID 59575 //
     /* 2231316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2231319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2231323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2231327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231331 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2231333 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231338 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2231342 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_SEXT),
     /* 2231346 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231350 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2231352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2231359 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (sext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2231362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2231376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231385 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2231389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231399 */     // GIR_Coverage, 59575,
     /* 2231399 */     GIR_EraseRootFromParent_Done,
     /* 2231400 */   // Label 29526: @2231400
     /* 2231400 */   GIM_Try, /*On fail goto*//*Label 29527*/ GIMT_Encode4(2231489), // Rule ID 59576 //
     /* 2231405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2231408 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2231412 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2231416 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231420 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2231422 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231427 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2231431 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2231435 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231439 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2231441 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231446 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2231448 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2231451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2231465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2231478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231488 */     // GIR_Coverage, 59576,
     /* 2231488 */     GIR_EraseRootFromParent_Done,
     /* 2231489 */   // Label 29527: @2231489
     /* 2231489 */   GIM_Try, /*On fail goto*//*Label 29528*/ GIMT_Encode4(2231578), // Rule ID 59577 //
     /* 2231494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2231497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2231501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2231505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231509 */     GIM_CheckHasOneUse, /*MI*/1,
     /* 2231511 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231516 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2231520 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_ZEXT),
     /* 2231524 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2231528 */     GIM_CheckHasOneUse, /*MI*/2,
     /* 2231530 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2231535 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2231537 */     // (shl:{ *:[nxv32i16] } (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs2)<<P:Predicate_zext_oneuse>>, (zext:{ *:[nxv32i16] } VRM4:{ *:[nxv32i8] }:$rs1)<<P:Predicate_ext_oneuse>>)  =>  (PseudoVWSLL_VV_M4:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2231540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVWSLL_VV_M4),
     /* 2231554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231559 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2231563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs1
     /* 2231567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231577 */     // GIR_Coverage, 59577,
     /* 2231577 */     GIR_EraseRootFromParent_Done,
     /* 2231578 */   // Label 29528: @2231578
     /* 2231578 */   GIM_Try, /*On fail goto*//*Label 29529*/ GIMT_Encode4(2231631), // Rule ID 48106 //
     /* 2231583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231594 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231594 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2231597 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231601 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231606 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231608 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2231611 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231613 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231616 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231630 */     // GIR_Coverage, 48106,
     /* 2231630 */     GIR_EraseRootFromParent_Done,
     /* 2231631 */   // Label 29529: @2231631
     /* 2231631 */   GIM_Try, /*On fail goto*//*Label 29530*/ GIMT_Encode4(2231684), // Rule ID 48107 //
     /* 2231636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231639 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231647 */     // (shl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2231650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2231664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2231679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231683 */     // GIR_Coverage, 48107,
     /* 2231683 */     GIR_EraseRootFromParent_Done,
     /* 2231684 */   // Label 29530: @2231684
     /* 2231684 */   GIM_Reject,
     /* 2231685 */ // Label 29524: @2231685
     /* 2231685 */ GIM_Reject,
     /* 2231686 */ // Label 29395: @2231686
     /* 2231686 */ GIM_Try, /*On fail goto*//*Label 29531*/ GIMT_Encode4(2231800),
     /* 2231691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2231694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2231697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2231709 */   GIM_Try, /*On fail goto*//*Label 29532*/ GIMT_Encode4(2231754), // Rule ID 48094 //
     /* 2231714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2231717 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2231717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2231720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2231734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231753 */     // GIR_Coverage, 48094,
     /* 2231753 */     GIR_EraseRootFromParent_Done,
     /* 2231754 */   // Label 29532: @2231754
     /* 2231754 */   GIM_Try, /*On fail goto*//*Label 29533*/ GIMT_Encode4(2231799), // Rule ID 48095 //
     /* 2231759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2231762 */     // (shl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSLL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2231762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2231765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2231769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2231774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2231776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLL_VV_M8),
     /* 2231779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2231784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2231788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2231791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2231797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231798 */     // GIR_Coverage, 48095,
     /* 2231798 */     GIR_EraseRootFromParent_Done,
     /* 2231799 */   // Label 29533: @2231799
     /* 2231799 */   GIM_Reject,
     /* 2231800 */ // Label 29531: @2231800
     /* 2231800 */ GIM_Reject,
     /* 2231801 */ // Label 29396: @2231801
     /* 2231801 */ GIM_Reject,
     /* 2231802 */ // Label 44: @2231802
     /* 2231802 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29558*/ GIMT_Encode4(2234832),
     /* 2231813 */ /*GILLT_s32*//*Label 29534*/ GIMT_Encode4(2231937),
     /* 2231817 */ /*GILLT_s64*//*Label 29535*/ GIMT_Encode4(2232021), GIMT_Encode4(0),
     /* 2231825 */ /*GILLT_nxv1s8*//*Label 29536*/ GIMT_Encode4(2232302),
     /* 2231829 */ /*GILLT_nxv1s16*//*Label 29537*/ GIMT_Encode4(2232417),
     /* 2231833 */ /*GILLT_nxv1s32*//*Label 29538*/ GIMT_Encode4(2232532),
     /* 2231837 */ /*GILLT_nxv1s64*//*Label 29539*/ GIMT_Encode4(2232647), GIMT_Encode4(0),
     /* 2231845 */ /*GILLT_nxv2s8*//*Label 29540*/ GIMT_Encode4(2232762),
     /* 2231849 */ /*GILLT_nxv2s16*//*Label 29541*/ GIMT_Encode4(2232877),
     /* 2231853 */ /*GILLT_nxv2s32*//*Label 29542*/ GIMT_Encode4(2232992),
     /* 2231857 */ /*GILLT_nxv2s64*//*Label 29543*/ GIMT_Encode4(2233107), GIMT_Encode4(0),
     /* 2231865 */ /*GILLT_nxv4s8*//*Label 29544*/ GIMT_Encode4(2233222),
     /* 2231869 */ /*GILLT_nxv4s16*//*Label 29545*/ GIMT_Encode4(2233337),
     /* 2231873 */ /*GILLT_nxv4s32*//*Label 29546*/ GIMT_Encode4(2233452),
     /* 2231877 */ /*GILLT_nxv4s64*//*Label 29547*/ GIMT_Encode4(2233567), GIMT_Encode4(0),
     /* 2231885 */ /*GILLT_nxv8s8*//*Label 29548*/ GIMT_Encode4(2233682),
     /* 2231889 */ /*GILLT_nxv8s16*//*Label 29549*/ GIMT_Encode4(2233797),
     /* 2231893 */ /*GILLT_nxv8s32*//*Label 29550*/ GIMT_Encode4(2233912),
     /* 2231897 */ /*GILLT_nxv8s64*//*Label 29551*/ GIMT_Encode4(2234027), GIMT_Encode4(0),
     /* 2231905 */ /*GILLT_nxv16s8*//*Label 29552*/ GIMT_Encode4(2234142),
     /* 2231909 */ /*GILLT_nxv16s16*//*Label 29553*/ GIMT_Encode4(2234257),
     /* 2231913 */ /*GILLT_nxv16s32*//*Label 29554*/ GIMT_Encode4(2234372), GIMT_Encode4(0),
     /* 2231921 */ /*GILLT_nxv32s8*//*Label 29555*/ GIMT_Encode4(2234487),
     /* 2231925 */ /*GILLT_nxv32s16*//*Label 29556*/ GIMT_Encode4(2234602), GIMT_Encode4(0),
     /* 2231933 */ /*GILLT_nxv64s8*//*Label 29557*/ GIMT_Encode4(2234717),
     /* 2231937 */ // Label 29534: @2231937
     /* 2231937 */ GIM_Try, /*On fail goto*//*Label 29559*/ GIMT_Encode4(2232020),
     /* 2231942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2231945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2231948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2231956 */   GIM_Try, /*On fail goto*//*Label 29560*/ GIMT_Encode4(2231990), // Rule ID 99 //
     /* 2231961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231964 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2231968 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2231972 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2231976 */     // MIs[1] Operand 1
     /* 2231976 */     // No operand predicates
     /* 2231976 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2231978 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2231978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2231981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2231983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2231985 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2231988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2231989 */     // GIR_Coverage, 99,
     /* 2231989 */     GIR_EraseRootFromParent_Done,
     /* 2231990 */   // Label 29560: @2231990
     /* 2231990 */   GIM_Try, /*On fail goto*//*Label 29561*/ GIMT_Encode4(2232019), // Rule ID 113 //
     /* 2231995 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2231998 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2232005 */     // (srl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2232005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2232008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2232017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232018 */     // GIR_Coverage, 113,
     /* 2232018 */     GIR_EraseRootFromParent_Done,
     /* 2232019 */   // Label 29561: @2232019
     /* 2232019 */   GIM_Reject,
     /* 2232020 */ // Label 29559: @2232020
     /* 2232020 */ GIM_Reject,
     /* 2232021 */ // Label 29535: @2232021
     /* 2232021 */ GIM_Try, /*On fail goto*//*Label 29562*/ GIMT_Encode4(2232301),
     /* 2232026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2232029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2232032 */   GIM_Try, /*On fail goto*//*Label 29563*/ GIMT_Encode4(2232104), // Rule ID 263 //
     /* 2232037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2232040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232044 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2232048 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_AND),
     /* 2232052 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2232056 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2232060 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232065 */     GIM_CheckConstantInt, /*MI*/1, /*Op*/2, GIMT_Encode8(4294967295),
     /* 2232076 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2232080 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232084 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2232088 */     // MIs[2] Operand 1
     /* 2232088 */     // No operand predicates
     /* 2232088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2232090 */     // (srl:{ *:[i64] } (and:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 4294967295:{ *:[i64] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRLIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2232090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLIW),
     /* 2232093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2232099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2232102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232103 */     // GIR_Coverage, 263,
     /* 2232103 */     GIR_EraseRootFromParent_Done,
     /* 2232104 */   // Label 29563: @2232104
     /* 2232104 */   GIM_Try, /*On fail goto*//*Label 29564*/ GIMT_Encode4(2232149), // Rule ID 62568 //
     /* 2232109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2232112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232116 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2232120 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2232124 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2232128 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2232132 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10033),
     /* 2232136 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232138 */     // (srl:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })<<P:Predicate_anonymous_10033>>  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2232138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2232141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2232147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232148 */     // GIR_Coverage, 62568,
     /* 2232148 */     GIR_EraseRootFromParent_Done,
     /* 2232149 */   // Label 29564: @2232149
     /* 2232149 */   GIM_Try, /*On fail goto*//*Label 29565*/ GIMT_Encode4(2232221), // Rule ID 275 //
     /* 2232154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2232157 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2232165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2232169 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2232173 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232178 */     // MIs[1] Operand 2
     /* 2232178 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2232189 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2232193 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232197 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2232201 */     // MIs[2] Operand 1
     /* 2232201 */     // No operand predicates
     /* 2232201 */     GIM_CheckCxxInsnPredicate, /*MI*/0, /*FnId*/GIMT_Encode2(GICXXPred_MI_Predicate_anonymous_10033),
     /* 2232205 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2232207 */     // (srl:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)<<P:Predicate_anonymous_10033>>  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2232207 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2232210 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232212 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2232216 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2232219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232220 */     // GIR_Coverage, 275,
     /* 2232220 */     GIR_EraseRootFromParent_Done,
     /* 2232221 */   // Label 29565: @2232221
     /* 2232221 */   GIM_Try, /*On fail goto*//*Label 29566*/ GIMT_Encode4(2232263), // Rule ID 98 //
     /* 2232226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232229 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2232241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2232245 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2232249 */     // MIs[1] Operand 1
     /* 2232249 */     // No operand predicates
     /* 2232249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2232251 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRLI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2232251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLI),
     /* 2232254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232258 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2232261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232262 */     // GIR_Coverage, 98,
     /* 2232262 */     GIR_EraseRootFromParent_Done,
     /* 2232263 */   // Label 29566: @2232263
     /* 2232263 */   GIM_Try, /*On fail goto*//*Label 29567*/ GIMT_Encode4(2232300), // Rule ID 112 //
     /* 2232268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2232271 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2232279 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2232286 */     // (srl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2232286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRL),
     /* 2232289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2232298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232299 */     // GIR_Coverage, 112,
     /* 2232299 */     GIR_EraseRootFromParent_Done,
     /* 2232300 */   // Label 29567: @2232300
     /* 2232300 */   GIM_Reject,
     /* 2232301 */ // Label 29562: @2232301
     /* 2232301 */ GIM_Reject,
     /* 2232302 */ // Label 29536: @2232302
     /* 2232302 */ GIM_Try, /*On fail goto*//*Label 29568*/ GIMT_Encode4(2232416),
     /* 2232307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2232310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2232313 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232317 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232321 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232325 */   GIM_Try, /*On fail goto*//*Label 29569*/ GIMT_Encode4(2232370), // Rule ID 48178 //
     /* 2232330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232333 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2232336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2232350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232369 */     // GIR_Coverage, 48178,
     /* 2232369 */     GIR_EraseRootFromParent_Done,
     /* 2232370 */   // Label 29569: @2232370
     /* 2232370 */   GIM_Try, /*On fail goto*//*Label 29570*/ GIMT_Encode4(2232415), // Rule ID 48179 //
     /* 2232375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232378 */     // (srl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2232381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF8),
     /* 2232395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232414 */     // GIR_Coverage, 48179,
     /* 2232414 */     GIR_EraseRootFromParent_Done,
     /* 2232415 */   // Label 29570: @2232415
     /* 2232415 */   GIM_Reject,
     /* 2232416 */ // Label 29568: @2232416
     /* 2232416 */ GIM_Reject,
     /* 2232417 */ // Label 29537: @2232417
     /* 2232417 */ GIM_Try, /*On fail goto*//*Label 29571*/ GIMT_Encode4(2232531),
     /* 2232422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2232425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2232428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232440 */   GIM_Try, /*On fail goto*//*Label 29572*/ GIMT_Encode4(2232485), // Rule ID 48190 //
     /* 2232445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232448 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2232451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2232465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232484 */     // GIR_Coverage, 48190,
     /* 2232484 */     GIR_EraseRootFromParent_Done,
     /* 2232485 */   // Label 29572: @2232485
     /* 2232485 */   GIM_Try, /*On fail goto*//*Label 29573*/ GIMT_Encode4(2232530), // Rule ID 48191 //
     /* 2232490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232493 */     // (srl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232493 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2232496 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232500 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232505 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2232510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232512 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232529 */     // GIR_Coverage, 48191,
     /* 2232529 */     GIR_EraseRootFromParent_Done,
     /* 2232530 */   // Label 29573: @2232530
     /* 2232530 */   GIM_Reject,
     /* 2232531 */ // Label 29571: @2232531
     /* 2232531 */ GIM_Reject,
     /* 2232532 */ // Label 29538: @2232532
     /* 2232532 */ GIM_Try, /*On fail goto*//*Label 29574*/ GIMT_Encode4(2232646),
     /* 2232537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2232540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2232543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232551 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232555 */   GIM_Try, /*On fail goto*//*Label 29575*/ GIMT_Encode4(2232600), // Rule ID 48198 //
     /* 2232560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232563 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2232566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2232580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232599 */     // GIR_Coverage, 48198,
     /* 2232599 */     GIR_EraseRootFromParent_Done,
     /* 2232600 */   // Label 29575: @2232600
     /* 2232600 */   GIM_Try, /*On fail goto*//*Label 29576*/ GIMT_Encode4(2232645), // Rule ID 48199 //
     /* 2232605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232608 */     // (srl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2232611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2232625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2232640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232644 */     // GIR_Coverage, 48199,
     /* 2232644 */     GIR_EraseRootFromParent_Done,
     /* 2232645 */   // Label 29576: @2232645
     /* 2232645 */   GIM_Reject,
     /* 2232646 */ // Label 29574: @2232646
     /* 2232646 */ GIM_Reject,
     /* 2232647 */ // Label 29539: @2232647
     /* 2232647 */ GIM_Try, /*On fail goto*//*Label 29577*/ GIMT_Encode4(2232761),
     /* 2232652 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2232655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2232658 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232662 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232666 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232670 */   GIM_Try, /*On fail goto*//*Label 29578*/ GIMT_Encode4(2232715), // Rule ID 48214 //
     /* 2232675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2232678 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2232681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2232695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232714 */     // GIR_Coverage, 48214,
     /* 2232714 */     GIR_EraseRootFromParent_Done,
     /* 2232715 */   // Label 29578: @2232715
     /* 2232715 */   GIM_Try, /*On fail goto*//*Label 29579*/ GIMT_Encode4(2232760), // Rule ID 48215 //
     /* 2232720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2232723 */     // (srl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2232726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2232740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2232755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232759 */     // GIR_Coverage, 48215,
     /* 2232759 */     GIR_EraseRootFromParent_Done,
     /* 2232760 */   // Label 29579: @2232760
     /* 2232760 */   GIM_Reject,
     /* 2232761 */ // Label 29577: @2232761
     /* 2232761 */ GIM_Reject,
     /* 2232762 */ // Label 29540: @2232762
     /* 2232762 */ GIM_Try, /*On fail goto*//*Label 29580*/ GIMT_Encode4(2232876),
     /* 2232767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2232770 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2232773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232777 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232785 */   GIM_Try, /*On fail goto*//*Label 29581*/ GIMT_Encode4(2232830), // Rule ID 48182 //
     /* 2232790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232793 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2232796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2232810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232829 */     // GIR_Coverage, 48182,
     /* 2232829 */     GIR_EraseRootFromParent_Done,
     /* 2232830 */   // Label 29581: @2232830
     /* 2232830 */   GIM_Try, /*On fail goto*//*Label 29582*/ GIMT_Encode4(2232875), // Rule ID 48183 //
     /* 2232835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232838 */     // (srl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2232841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF4),
     /* 2232855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232874 */     // GIR_Coverage, 48183,
     /* 2232874 */     GIR_EraseRootFromParent_Done,
     /* 2232875 */   // Label 29582: @2232875
     /* 2232875 */   GIM_Reject,
     /* 2232876 */ // Label 29580: @2232876
     /* 2232876 */ GIM_Reject,
     /* 2232877 */ // Label 29541: @2232877
     /* 2232877 */ GIM_Try, /*On fail goto*//*Label 29583*/ GIMT_Encode4(2232991),
     /* 2232882 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2232885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2232888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232896 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2232900 */   GIM_Try, /*On fail goto*//*Label 29584*/ GIMT_Encode4(2232945), // Rule ID 48194 //
     /* 2232905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2232908 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2232908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2232911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2232925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232944 */     // GIR_Coverage, 48194,
     /* 2232944 */     GIR_EraseRootFromParent_Done,
     /* 2232945 */   // Label 29584: @2232945
     /* 2232945 */   GIM_Try, /*On fail goto*//*Label 29585*/ GIMT_Encode4(2232990), // Rule ID 48195 //
     /* 2232950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2232953 */     // (srl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2232953 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2232956 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2232960 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2232965 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2232967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2232970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2232972 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2232975 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2232977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2232979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2232982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2232985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2232988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2232989 */     // GIR_Coverage, 48195,
     /* 2232989 */     GIR_EraseRootFromParent_Done,
     /* 2232990 */   // Label 29585: @2232990
     /* 2232990 */   GIM_Reject,
     /* 2232991 */ // Label 29583: @2232991
     /* 2232991 */ GIM_Reject,
     /* 2232992 */ // Label 29542: @2232992
     /* 2232992 */ GIM_Try, /*On fail goto*//*Label 29586*/ GIMT_Encode4(2233106),
     /* 2232997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2233000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2233003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233015 */   GIM_Try, /*On fail goto*//*Label 29587*/ GIMT_Encode4(2233060), // Rule ID 48210 //
     /* 2233020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233023 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2233026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2233040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233059 */     // GIR_Coverage, 48210,
     /* 2233059 */     GIR_EraseRootFromParent_Done,
     /* 2233060 */   // Label 29587: @2233060
     /* 2233060 */   GIM_Try, /*On fail goto*//*Label 29588*/ GIMT_Encode4(2233105), // Rule ID 48211 //
     /* 2233065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233068 */     // (srl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2233071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2233085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233104 */     // GIR_Coverage, 48211,
     /* 2233104 */     GIR_EraseRootFromParent_Done,
     /* 2233105 */   // Label 29588: @2233105
     /* 2233105 */   GIM_Reject,
     /* 2233106 */ // Label 29586: @2233106
     /* 2233106 */ GIM_Reject,
     /* 2233107 */ // Label 29543: @2233107
     /* 2233107 */ GIM_Try, /*On fail goto*//*Label 29589*/ GIMT_Encode4(2233221),
     /* 2233112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2233115 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2233118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233126 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233130 */   GIM_Try, /*On fail goto*//*Label 29590*/ GIMT_Encode4(2233175), // Rule ID 48254 //
     /* 2233135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233138 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233138 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2233141 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233145 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233150 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2233155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233157 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233174 */     // GIR_Coverage, 48254,
     /* 2233174 */     GIR_EraseRootFromParent_Done,
     /* 2233175 */   // Label 29590: @2233175
     /* 2233175 */   GIM_Try, /*On fail goto*//*Label 29591*/ GIMT_Encode4(2233220), // Rule ID 48255 //
     /* 2233180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233183 */     // (srl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2233186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2233200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233207 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233219 */     // GIR_Coverage, 48255,
     /* 2233219 */     GIR_EraseRootFromParent_Done,
     /* 2233220 */   // Label 29591: @2233220
     /* 2233220 */   GIM_Reject,
     /* 2233221 */ // Label 29589: @2233221
     /* 2233221 */ GIM_Reject,
     /* 2233222 */ // Label 29544: @2233222
     /* 2233222 */ GIM_Try, /*On fail goto*//*Label 29592*/ GIMT_Encode4(2233336),
     /* 2233227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2233230 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2233233 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233237 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233245 */   GIM_Try, /*On fail goto*//*Label 29593*/ GIMT_Encode4(2233290), // Rule ID 48186 //
     /* 2233250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233253 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2233256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2233270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233289 */     // GIR_Coverage, 48186,
     /* 2233289 */     GIR_EraseRootFromParent_Done,
     /* 2233290 */   // Label 29593: @2233290
     /* 2233290 */   GIM_Try, /*On fail goto*//*Label 29594*/ GIMT_Encode4(2233335), // Rule ID 48187 //
     /* 2233295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233298 */     // (srl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2233301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_MF2),
     /* 2233315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233334 */     // GIR_Coverage, 48187,
     /* 2233334 */     GIR_EraseRootFromParent_Done,
     /* 2233335 */   // Label 29594: @2233335
     /* 2233335 */   GIM_Reject,
     /* 2233336 */ // Label 29592: @2233336
     /* 2233336 */ GIM_Reject,
     /* 2233337 */ // Label 29545: @2233337
     /* 2233337 */ GIM_Try, /*On fail goto*//*Label 29595*/ GIMT_Encode4(2233451),
     /* 2233342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2233345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2233348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233356 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233360 */   GIM_Try, /*On fail goto*//*Label 29596*/ GIMT_Encode4(2233405), // Rule ID 48206 //
     /* 2233365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233368 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2233371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2233385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233403 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233404 */     // GIR_Coverage, 48206,
     /* 2233404 */     GIR_EraseRootFromParent_Done,
     /* 2233405 */   // Label 29596: @2233405
     /* 2233405 */   GIM_Try, /*On fail goto*//*Label 29597*/ GIMT_Encode4(2233450), // Rule ID 48207 //
     /* 2233410 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233413 */     // (srl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233413 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2233416 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233420 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233425 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233427 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2233430 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233432 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233437 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233449 */     // GIR_Coverage, 48207,
     /* 2233449 */     GIR_EraseRootFromParent_Done,
     /* 2233450 */   // Label 29597: @2233450
     /* 2233450 */   GIM_Reject,
     /* 2233451 */ // Label 29595: @2233451
     /* 2233451 */ GIM_Reject,
     /* 2233452 */ // Label 29546: @2233452
     /* 2233452 */ GIM_Try, /*On fail goto*//*Label 29598*/ GIMT_Encode4(2233566),
     /* 2233457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2233460 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2233463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233475 */   GIM_Try, /*On fail goto*//*Label 29599*/ GIMT_Encode4(2233520), // Rule ID 48242 //
     /* 2233480 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233483 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2233486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233495 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233497 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2233500 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233502 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233507 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233519 */     // GIR_Coverage, 48242,
     /* 2233519 */     GIR_EraseRootFromParent_Done,
     /* 2233520 */   // Label 29599: @2233520
     /* 2233520 */   GIM_Try, /*On fail goto*//*Label 29600*/ GIMT_Encode4(2233565), // Rule ID 48243 //
     /* 2233525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233528 */     // (srl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2233531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2233545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233564 */     // GIR_Coverage, 48243,
     /* 2233564 */     GIR_EraseRootFromParent_Done,
     /* 2233565 */   // Label 29600: @2233565
     /* 2233565 */   GIM_Reject,
     /* 2233566 */ // Label 29598: @2233566
     /* 2233566 */ GIM_Reject,
     /* 2233567 */ // Label 29547: @2233567
     /* 2233567 */ GIM_Try, /*On fail goto*//*Label 29601*/ GIMT_Encode4(2233681),
     /* 2233572 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2233575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2233578 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233582 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233586 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233590 */   GIM_Try, /*On fail goto*//*Label 29602*/ GIMT_Encode4(2233635), // Rule ID 48258 //
     /* 2233595 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2233598 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233598 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2233601 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233605 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233610 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2233615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233617 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233620 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233622 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233634 */     // GIR_Coverage, 48258,
     /* 2233634 */     GIR_EraseRootFromParent_Done,
     /* 2233635 */   // Label 29602: @2233635
     /* 2233635 */   GIM_Try, /*On fail goto*//*Label 29603*/ GIMT_Encode4(2233680), // Rule ID 48259 //
     /* 2233640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2233643 */     // (srl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2233646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2233660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2233675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233679 */     // GIR_Coverage, 48259,
     /* 2233679 */     GIR_EraseRootFromParent_Done,
     /* 2233680 */   // Label 29603: @2233680
     /* 2233680 */   GIM_Reject,
     /* 2233681 */ // Label 29601: @2233681
     /* 2233681 */ GIM_Reject,
     /* 2233682 */ // Label 29548: @2233682
     /* 2233682 */ GIM_Try, /*On fail goto*//*Label 29604*/ GIMT_Encode4(2233796),
     /* 2233687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2233690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2233693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2233705 */   GIM_Try, /*On fail goto*//*Label 29605*/ GIMT_Encode4(2233750), // Rule ID 48202 //
     /* 2233710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233713 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233713 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2233716 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233720 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233725 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2233730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233732 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233737 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233749 */     // GIR_Coverage, 48202,
     /* 2233749 */     GIR_EraseRootFromParent_Done,
     /* 2233750 */   // Label 29605: @2233750
     /* 2233750 */   GIM_Try, /*On fail goto*//*Label 29606*/ GIMT_Encode4(2233795), // Rule ID 48203 //
     /* 2233755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233758 */     // (srl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2233761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M1),
     /* 2233775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233782 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233794 */     // GIR_Coverage, 48203,
     /* 2233794 */     GIR_EraseRootFromParent_Done,
     /* 2233795 */   // Label 29606: @2233795
     /* 2233795 */   GIM_Reject,
     /* 2233796 */ // Label 29604: @2233796
     /* 2233796 */ GIM_Reject,
     /* 2233797 */ // Label 29549: @2233797
     /* 2233797 */ GIM_Try, /*On fail goto*//*Label 29607*/ GIMT_Encode4(2233911),
     /* 2233802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2233805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2233808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2233820 */   GIM_Try, /*On fail goto*//*Label 29608*/ GIMT_Encode4(2233865), // Rule ID 48230 //
     /* 2233825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233828 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2233831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2233845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233864 */     // GIR_Coverage, 48230,
     /* 2233864 */     GIR_EraseRootFromParent_Done,
     /* 2233865 */   // Label 29608: @2233865
     /* 2233865 */   GIM_Try, /*On fail goto*//*Label 29609*/ GIMT_Encode4(2233910), // Rule ID 48231 //
     /* 2233870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233873 */     // (srl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233873 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2233876 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233880 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233885 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233887 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2233890 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233892 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233897 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2233905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233909 */     // GIR_Coverage, 48231,
     /* 2233909 */     GIR_EraseRootFromParent_Done,
     /* 2233910 */   // Label 29609: @2233910
     /* 2233910 */   GIM_Reject,
     /* 2233911 */ // Label 29607: @2233911
     /* 2233911 */ GIM_Reject,
     /* 2233912 */ // Label 29550: @2233912
     /* 2233912 */ GIM_Try, /*On fail goto*//*Label 29610*/ GIMT_Encode4(2234026),
     /* 2233917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2233920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2233923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2233935 */   GIM_Try, /*On fail goto*//*Label 29611*/ GIMT_Encode4(2233980), // Rule ID 48246 //
     /* 2233940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2233943 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2233943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2233946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2233955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2233957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2233960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2233962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2233965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2233967 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2233969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2233972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2233975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2233978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2233979 */     // GIR_Coverage, 48246,
     /* 2233979 */     GIR_EraseRootFromParent_Done,
     /* 2233980 */   // Label 29611: @2233980
     /* 2233980 */   GIM_Try, /*On fail goto*//*Label 29612*/ GIMT_Encode4(2234025), // Rule ID 48247 //
     /* 2233985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2233988 */     // (srl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2233988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2233991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2233995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2234005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234023 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234024 */     // GIR_Coverage, 48247,
     /* 2234024 */     GIR_EraseRootFromParent_Done,
     /* 2234025 */   // Label 29612: @2234025
     /* 2234025 */   GIM_Reject,
     /* 2234026 */ // Label 29610: @2234026
     /* 2234026 */ GIM_Reject,
     /* 2234027 */ // Label 29551: @2234027
     /* 2234027 */ GIM_Try, /*On fail goto*//*Label 29613*/ GIMT_Encode4(2234141),
     /* 2234032 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2234035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2234038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234050 */   GIM_Try, /*On fail goto*//*Label 29614*/ GIMT_Encode4(2234095), // Rule ID 48262 //
     /* 2234055 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2234058 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234058 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2234061 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234065 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234070 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234072 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2234075 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234077 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234094 */     // GIR_Coverage, 48262,
     /* 2234094 */     GIR_EraseRootFromParent_Done,
     /* 2234095 */   // Label 29614: @2234095
     /* 2234095 */   GIM_Try, /*On fail goto*//*Label 29615*/ GIMT_Encode4(2234140), // Rule ID 48263 //
     /* 2234100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2234103 */     // (srl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2234106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2234120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234127 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2234135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234139 */     // GIR_Coverage, 48263,
     /* 2234139 */     GIR_EraseRootFromParent_Done,
     /* 2234140 */   // Label 29615: @2234140
     /* 2234140 */   GIM_Reject,
     /* 2234141 */ // Label 29613: @2234141
     /* 2234141 */ GIM_Reject,
     /* 2234142 */ // Label 29552: @2234142
     /* 2234142 */ GIM_Try, /*On fail goto*//*Label 29616*/ GIMT_Encode4(2234256),
     /* 2234147 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2234150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2234153 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234157 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234161 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2234165 */   GIM_Try, /*On fail goto*//*Label 29617*/ GIMT_Encode4(2234210), // Rule ID 48218 //
     /* 2234170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234173 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234173 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2234176 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234180 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234185 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2234190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234192 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234208 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234209 */     // GIR_Coverage, 48218,
     /* 2234209 */     GIR_EraseRootFromParent_Done,
     /* 2234210 */   // Label 29617: @2234210
     /* 2234210 */   GIM_Try, /*On fail goto*//*Label 29618*/ GIMT_Encode4(2234255), // Rule ID 48219 //
     /* 2234215 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234218 */     // (srl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234218 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2234221 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234225 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234230 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234232 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M2),
     /* 2234235 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234237 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234254 */     // GIR_Coverage, 48219,
     /* 2234254 */     GIR_EraseRootFromParent_Done,
     /* 2234255 */   // Label 29618: @2234255
     /* 2234255 */   GIM_Reject,
     /* 2234256 */ // Label 29616: @2234256
     /* 2234256 */ GIM_Reject,
     /* 2234257 */ // Label 29553: @2234257
     /* 2234257 */ GIM_Try, /*On fail goto*//*Label 29619*/ GIMT_Encode4(2234371),
     /* 2234262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2234265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2234268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234280 */   GIM_Try, /*On fail goto*//*Label 29620*/ GIMT_Encode4(2234325), // Rule ID 48234 //
     /* 2234285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234288 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2234291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2234305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234324 */     // GIR_Coverage, 48234,
     /* 2234324 */     GIR_EraseRootFromParent_Done,
     /* 2234325 */   // Label 29620: @2234325
     /* 2234325 */   GIM_Try, /*On fail goto*//*Label 29621*/ GIMT_Encode4(2234370), // Rule ID 48235 //
     /* 2234330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234333 */     // (srl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2234336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2234350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234369 */     // GIR_Coverage, 48235,
     /* 2234369 */     GIR_EraseRootFromParent_Done,
     /* 2234370 */   // Label 29621: @2234370
     /* 2234370 */   GIM_Reject,
     /* 2234371 */ // Label 29619: @2234371
     /* 2234371 */ GIM_Reject,
     /* 2234372 */ // Label 29554: @2234372
     /* 2234372 */ GIM_Try, /*On fail goto*//*Label 29622*/ GIMT_Encode4(2234486),
     /* 2234377 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2234380 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2234383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234395 */   GIM_Try, /*On fail goto*//*Label 29623*/ GIMT_Encode4(2234440), // Rule ID 48250 //
     /* 2234400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234403 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2234406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2234420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234439 */     // GIR_Coverage, 48250,
     /* 2234439 */     GIR_EraseRootFromParent_Done,
     /* 2234440 */   // Label 29623: @2234440
     /* 2234440 */   GIM_Try, /*On fail goto*//*Label 29624*/ GIMT_Encode4(2234485), // Rule ID 48251 //
     /* 2234445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234448 */     // (srl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2234451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2234465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2234480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234484 */     // GIR_Coverage, 48251,
     /* 2234484 */     GIR_EraseRootFromParent_Done,
     /* 2234485 */   // Label 29624: @2234485
     /* 2234485 */   GIM_Reject,
     /* 2234486 */ // Label 29622: @2234486
     /* 2234486 */ GIM_Reject,
     /* 2234487 */ // Label 29555: @2234487
     /* 2234487 */ GIM_Try, /*On fail goto*//*Label 29625*/ GIMT_Encode4(2234601),
     /* 2234492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2234495 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2234498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234506 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2234510 */   GIM_Try, /*On fail goto*//*Label 29626*/ GIMT_Encode4(2234555), // Rule ID 48222 //
     /* 2234515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234518 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2234521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2234535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234554 */     // GIR_Coverage, 48222,
     /* 2234554 */     GIR_EraseRootFromParent_Done,
     /* 2234555 */   // Label 29626: @2234555
     /* 2234555 */   GIM_Try, /*On fail goto*//*Label 29627*/ GIMT_Encode4(2234600), // Rule ID 48223 //
     /* 2234560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234563 */     // (srl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234563 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2234566 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234570 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234575 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M4),
     /* 2234580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234582 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234599 */     // GIR_Coverage, 48223,
     /* 2234599 */     GIR_EraseRootFromParent_Done,
     /* 2234600 */   // Label 29627: @2234600
     /* 2234600 */   GIM_Reject,
     /* 2234601 */ // Label 29625: @2234601
     /* 2234601 */ GIM_Reject,
     /* 2234602 */ // Label 29556: @2234602
     /* 2234602 */ GIM_Try, /*On fail goto*//*Label 29628*/ GIMT_Encode4(2234716),
     /* 2234607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2234610 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2234613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234617 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234621 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234625 */   GIM_Try, /*On fail goto*//*Label 29629*/ GIMT_Encode4(2234670), // Rule ID 48238 //
     /* 2234630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234633 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234633 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2234636 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234640 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234645 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2234650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234652 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234669 */     // GIR_Coverage, 48238,
     /* 2234669 */     GIR_EraseRootFromParent_Done,
     /* 2234670 */   // Label 29629: @2234670
     /* 2234670 */   GIM_Try, /*On fail goto*//*Label 29630*/ GIMT_Encode4(2234715), // Rule ID 48239 //
     /* 2234675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234678 */     // (srl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234678 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2234681 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234685 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234690 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2234695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234697 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2234710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234714 */     // GIR_Coverage, 48239,
     /* 2234714 */     GIR_EraseRootFromParent_Done,
     /* 2234715 */   // Label 29630: @2234715
     /* 2234715 */   GIM_Reject,
     /* 2234716 */ // Label 29628: @2234716
     /* 2234716 */ GIM_Reject,
     /* 2234717 */ // Label 29557: @2234717
     /* 2234717 */ GIM_Try, /*On fail goto*//*Label 29631*/ GIMT_Encode4(2234831),
     /* 2234722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2234725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2234728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2234740 */   GIM_Try, /*On fail goto*//*Label 29632*/ GIMT_Encode4(2234785), // Rule ID 48226 //
     /* 2234745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2234748 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2234748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2234751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2234765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234784 */     // GIR_Coverage, 48226,
     /* 2234784 */     GIR_EraseRootFromParent_Done,
     /* 2234785 */   // Label 29632: @2234785
     /* 2234785 */   GIM_Try, /*On fail goto*//*Label 29633*/ GIMT_Encode4(2234830), // Rule ID 48227 //
     /* 2234790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2234793 */     // (srl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2234793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2234796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2234800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2234805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2234807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRL_VV_M8),
     /* 2234810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2234812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2234815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2234817 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2234819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2234822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2234828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2234829 */     // GIR_Coverage, 48227,
     /* 2234829 */     GIR_EraseRootFromParent_Done,
     /* 2234830 */   // Label 29633: @2234830
     /* 2234830 */   GIM_Reject,
     /* 2234831 */ // Label 29631: @2234831
     /* 2234831 */ GIM_Reject,
     /* 2234832 */ // Label 29558: @2234832
     /* 2234832 */ GIM_Reject,
     /* 2234833 */ // Label 45: @2234833
     /* 2234833 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29658*/ GIMT_Encode4(2237771),
     /* 2234844 */ /*GILLT_s32*//*Label 29634*/ GIMT_Encode4(2234968),
     /* 2234848 */ /*GILLT_s64*//*Label 29635*/ GIMT_Encode4(2235052), GIMT_Encode4(0),
     /* 2234856 */ /*GILLT_nxv1s8*//*Label 29636*/ GIMT_Encode4(2235241),
     /* 2234860 */ /*GILLT_nxv1s16*//*Label 29637*/ GIMT_Encode4(2235356),
     /* 2234864 */ /*GILLT_nxv1s32*//*Label 29638*/ GIMT_Encode4(2235471),
     /* 2234868 */ /*GILLT_nxv1s64*//*Label 29639*/ GIMT_Encode4(2235586), GIMT_Encode4(0),
     /* 2234876 */ /*GILLT_nxv2s8*//*Label 29640*/ GIMT_Encode4(2235701),
     /* 2234880 */ /*GILLT_nxv2s16*//*Label 29641*/ GIMT_Encode4(2235816),
     /* 2234884 */ /*GILLT_nxv2s32*//*Label 29642*/ GIMT_Encode4(2235931),
     /* 2234888 */ /*GILLT_nxv2s64*//*Label 29643*/ GIMT_Encode4(2236046), GIMT_Encode4(0),
     /* 2234896 */ /*GILLT_nxv4s8*//*Label 29644*/ GIMT_Encode4(2236161),
     /* 2234900 */ /*GILLT_nxv4s16*//*Label 29645*/ GIMT_Encode4(2236276),
     /* 2234904 */ /*GILLT_nxv4s32*//*Label 29646*/ GIMT_Encode4(2236391),
     /* 2234908 */ /*GILLT_nxv4s64*//*Label 29647*/ GIMT_Encode4(2236506), GIMT_Encode4(0),
     /* 2234916 */ /*GILLT_nxv8s8*//*Label 29648*/ GIMT_Encode4(2236621),
     /* 2234920 */ /*GILLT_nxv8s16*//*Label 29649*/ GIMT_Encode4(2236736),
     /* 2234924 */ /*GILLT_nxv8s32*//*Label 29650*/ GIMT_Encode4(2236851),
     /* 2234928 */ /*GILLT_nxv8s64*//*Label 29651*/ GIMT_Encode4(2236966), GIMT_Encode4(0),
     /* 2234936 */ /*GILLT_nxv16s8*//*Label 29652*/ GIMT_Encode4(2237081),
     /* 2234940 */ /*GILLT_nxv16s16*//*Label 29653*/ GIMT_Encode4(2237196),
     /* 2234944 */ /*GILLT_nxv16s32*//*Label 29654*/ GIMT_Encode4(2237311), GIMT_Encode4(0),
     /* 2234952 */ /*GILLT_nxv32s8*//*Label 29655*/ GIMT_Encode4(2237426),
     /* 2234956 */ /*GILLT_nxv32s16*//*Label 29656*/ GIMT_Encode4(2237541), GIMT_Encode4(0),
     /* 2234964 */ /*GILLT_nxv64s8*//*Label 29657*/ GIMT_Encode4(2237656),
     /* 2234968 */ // Label 29634: @2234968
     /* 2234968 */ GIM_Try, /*On fail goto*//*Label 29659*/ GIMT_Encode4(2235051),
     /* 2234973 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2234976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2234979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234983 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2234987 */   GIM_Try, /*On fail goto*//*Label 29660*/ GIMT_Encode4(2235021), // Rule ID 101 //
     /* 2234992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2234995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2234999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235003 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2235007 */     // MIs[1] Operand 1
     /* 2235007 */     // No operand predicates
     /* 2235007 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235009 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2235009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2235012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2235019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235020 */     // GIR_Coverage, 101,
     /* 2235020 */     GIR_EraseRootFromParent_Done,
     /* 2235021 */   // Label 29660: @2235021
     /* 2235021 */   GIM_Try, /*On fail goto*//*Label 29661*/ GIMT_Encode4(2235050), // Rule ID 115 //
     /* 2235026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2235029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2235036 */     // (sra:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (SRA:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2235036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2235039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2235048 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235049 */     // GIR_Coverage, 115,
     /* 2235049 */     GIR_EraseRootFromParent_Done,
     /* 2235050 */   // Label 29661: @2235050
     /* 2235050 */   GIM_Reject,
     /* 2235051 */ // Label 29659: @2235051
     /* 2235051 */ GIM_Reject,
     /* 2235052 */ // Label 29635: @2235052
     /* 2235052 */ GIM_Try, /*On fail goto*//*Label 29662*/ GIMT_Encode4(2235240),
     /* 2235057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2235060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2235063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235067 */   GIM_Try, /*On fail goto*//*Label 29663*/ GIMT_Encode4(2235104), // Rule ID 62567 //
     /* 2235072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2235075 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2235079 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_BSWAP),
     /* 2235083 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2235087 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 32,
     /* 2235091 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235093 */     // (sra:{ *:[i64] } (bswap:{ *:[i64] } i64:{ *:[i64] }:$rs1), 32:{ *:[i64] })  =>  (TH_REVW:{ *:[i64] } i64:{ *:[i64] }:$rs1)
     /* 2235093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_REVW),
     /* 2235096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235098 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2235102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235103 */     // GIR_Coverage, 62567,
     /* 2235103 */     GIR_EraseRootFromParent_Done,
     /* 2235104 */   // Label 29663: @2235104
     /* 2235104 */   GIM_Try, /*On fail goto*//*Label 29664*/ GIMT_Encode4(2235168), // Rule ID 265 //
     /* 2235109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2235112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2235116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_SEXT_INREG),
     /* 2235120 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2235124 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235129 */     // MIs[1] Operand 2
     /* 2235129 */     GIM_CheckLiteralInt, /*MI*/1, /*Op*/2, GIMT_Encode8(32),
     /* 2235140 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/2, // MIs[2]
     /* 2235144 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235148 */     GIM_CheckI64ImmPredicate, /*MI*/2, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2235152 */     // MIs[2] Operand 1
     /* 2235152 */     // No operand predicates
     /* 2235152 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2235154 */     // (sra:{ *:[i64] } (sext_inreg:{ *:[i64] } GPR:{ *:[i64] }:$rs1, i32:{ *:[Other] }), (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)  =>  (SRAIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$shamt)
     /* 2235154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAIW),
     /* 2235157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235159 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2235163 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/2, // shamt
     /* 2235166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235167 */     // GIR_Coverage, 265,
     /* 2235167 */     GIR_EraseRootFromParent_Done,
     /* 2235168 */   // Label 29664: @2235168
     /* 2235168 */   GIM_Try, /*On fail goto*//*Label 29665*/ GIMT_Encode4(2235206), // Rule ID 100 //
     /* 2235173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2235176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235180 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2235184 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2235188 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2235192 */     // MIs[1] Operand 1
     /* 2235192 */     // No operand predicates
     /* 2235192 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2235194 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (SRAI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2235194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAI),
     /* 2235197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235201 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2235204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235205 */     // GIR_Coverage, 100,
     /* 2235205 */     GIR_EraseRootFromParent_Done,
     /* 2235206 */   // Label 29665: @2235206
     /* 2235206 */   GIM_Try, /*On fail goto*//*Label 29666*/ GIMT_Encode4(2235239), // Rule ID 114 //
     /* 2235211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2235214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2235218 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2235225 */     // (sra:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRA:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2235225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRA),
     /* 2235228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235232 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2235237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235238 */     // GIR_Coverage, 114,
     /* 2235238 */     GIR_EraseRootFromParent_Done,
     /* 2235239 */   // Label 29666: @2235239
     /* 2235239 */   GIM_Reject,
     /* 2235240 */ // Label 29662: @2235240
     /* 2235240 */ GIM_Reject,
     /* 2235241 */ // Label 29636: @2235241
     /* 2235241 */ GIM_Try, /*On fail goto*//*Label 29667*/ GIMT_Encode4(2235355),
     /* 2235246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2235249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2235252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235264 */   GIM_Try, /*On fail goto*//*Label 29668*/ GIMT_Encode4(2235309), // Rule ID 48310 //
     /* 2235269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235272 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2235275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2235289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235308 */     // GIR_Coverage, 48310,
     /* 2235308 */     GIR_EraseRootFromParent_Done,
     /* 2235309 */   // Label 29668: @2235309
     /* 2235309 */   GIM_Try, /*On fail goto*//*Label 29669*/ GIMT_Encode4(2235354), // Rule ID 48311 //
     /* 2235314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235317 */     // (sra:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSRA_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2235320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF8),
     /* 2235334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235353 */     // GIR_Coverage, 48311,
     /* 2235353 */     GIR_EraseRootFromParent_Done,
     /* 2235354 */   // Label 29669: @2235354
     /* 2235354 */   GIM_Reject,
     /* 2235355 */ // Label 29667: @2235355
     /* 2235355 */ GIM_Reject,
     /* 2235356 */ // Label 29637: @2235356
     /* 2235356 */ GIM_Try, /*On fail goto*//*Label 29670*/ GIMT_Encode4(2235470),
     /* 2235361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2235364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2235367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235379 */   GIM_Try, /*On fail goto*//*Label 29671*/ GIMT_Encode4(2235424), // Rule ID 48322 //
     /* 2235384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235387 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2235390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2235404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235423 */     // GIR_Coverage, 48322,
     /* 2235423 */     GIR_EraseRootFromParent_Done,
     /* 2235424 */   // Label 29671: @2235424
     /* 2235424 */   GIM_Try, /*On fail goto*//*Label 29672*/ GIMT_Encode4(2235469), // Rule ID 48323 //
     /* 2235429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235432 */     // (sra:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2235435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2235449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235468 */     // GIR_Coverage, 48323,
     /* 2235468 */     GIR_EraseRootFromParent_Done,
     /* 2235469 */   // Label 29672: @2235469
     /* 2235469 */   GIM_Reject,
     /* 2235470 */ // Label 29670: @2235470
     /* 2235470 */ GIM_Reject,
     /* 2235471 */ // Label 29638: @2235471
     /* 2235471 */ GIM_Try, /*On fail goto*//*Label 29673*/ GIMT_Encode4(2235585),
     /* 2235476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2235479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2235482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235494 */   GIM_Try, /*On fail goto*//*Label 29674*/ GIMT_Encode4(2235539), // Rule ID 48330 //
     /* 2235499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235502 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2235505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2235519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235538 */     // GIR_Coverage, 48330,
     /* 2235538 */     GIR_EraseRootFromParent_Done,
     /* 2235539 */   // Label 29674: @2235539
     /* 2235539 */   GIM_Try, /*On fail goto*//*Label 29675*/ GIMT_Encode4(2235584), // Rule ID 48331 //
     /* 2235544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235547 */     // (sra:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2235550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2235564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235583 */     // GIR_Coverage, 48331,
     /* 2235583 */     GIR_EraseRootFromParent_Done,
     /* 2235584 */   // Label 29675: @2235584
     /* 2235584 */   GIM_Reject,
     /* 2235585 */ // Label 29673: @2235585
     /* 2235585 */ GIM_Reject,
     /* 2235586 */ // Label 29639: @2235586
     /* 2235586 */ GIM_Try, /*On fail goto*//*Label 29676*/ GIMT_Encode4(2235700),
     /* 2235591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2235594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2235597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235609 */   GIM_Try, /*On fail goto*//*Label 29677*/ GIMT_Encode4(2235654), // Rule ID 48346 //
     /* 2235614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2235617 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2235620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2235634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235653 */     // GIR_Coverage, 48346,
     /* 2235653 */     GIR_EraseRootFromParent_Done,
     /* 2235654 */   // Label 29677: @2235654
     /* 2235654 */   GIM_Try, /*On fail goto*//*Label 29678*/ GIMT_Encode4(2235699), // Rule ID 48347 //
     /* 2235659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2235662 */     // (sra:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2235665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2235679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2235694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235698 */     // GIR_Coverage, 48347,
     /* 2235698 */     GIR_EraseRootFromParent_Done,
     /* 2235699 */   // Label 29678: @2235699
     /* 2235699 */   GIM_Reject,
     /* 2235700 */ // Label 29676: @2235700
     /* 2235700 */ GIM_Reject,
     /* 2235701 */ // Label 29640: @2235701
     /* 2235701 */ GIM_Try, /*On fail goto*//*Label 29679*/ GIMT_Encode4(2235815),
     /* 2235706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2235709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2235712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235724 */   GIM_Try, /*On fail goto*//*Label 29680*/ GIMT_Encode4(2235769), // Rule ID 48314 //
     /* 2235729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235732 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2235735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2235749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235768 */     // GIR_Coverage, 48314,
     /* 2235768 */     GIR_EraseRootFromParent_Done,
     /* 2235769 */   // Label 29680: @2235769
     /* 2235769 */   GIM_Try, /*On fail goto*//*Label 29681*/ GIMT_Encode4(2235814), // Rule ID 48315 //
     /* 2235774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235777 */     // (sra:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSRA_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2235780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF4),
     /* 2235794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235813 */     // GIR_Coverage, 48315,
     /* 2235813 */     GIR_EraseRootFromParent_Done,
     /* 2235814 */   // Label 29681: @2235814
     /* 2235814 */   GIM_Reject,
     /* 2235815 */ // Label 29679: @2235815
     /* 2235815 */ GIM_Reject,
     /* 2235816 */ // Label 29641: @2235816
     /* 2235816 */ GIM_Try, /*On fail goto*//*Label 29682*/ GIMT_Encode4(2235930),
     /* 2235821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2235824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2235827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235839 */   GIM_Try, /*On fail goto*//*Label 29683*/ GIMT_Encode4(2235884), // Rule ID 48326 //
     /* 2235844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235847 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2235850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2235864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235883 */     // GIR_Coverage, 48326,
     /* 2235883 */     GIR_EraseRootFromParent_Done,
     /* 2235884 */   // Label 29683: @2235884
     /* 2235884 */   GIM_Try, /*On fail goto*//*Label 29684*/ GIMT_Encode4(2235929), // Rule ID 48327 //
     /* 2235889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2235892 */     // (sra:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2235892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2235895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2235909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2235924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235928 */     // GIR_Coverage, 48327,
     /* 2235928 */     GIR_EraseRootFromParent_Done,
     /* 2235929 */   // Label 29684: @2235929
     /* 2235929 */   GIM_Reject,
     /* 2235930 */ // Label 29682: @2235930
     /* 2235930 */ GIM_Reject,
     /* 2235931 */ // Label 29642: @2235931
     /* 2235931 */ GIM_Try, /*On fail goto*//*Label 29685*/ GIMT_Encode4(2236045),
     /* 2235936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2235939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2235942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2235954 */   GIM_Try, /*On fail goto*//*Label 29686*/ GIMT_Encode4(2235999), // Rule ID 48342 //
     /* 2235959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2235962 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2235962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2235965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2235969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2235974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2235976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2235979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2235981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2235984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2235986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2235988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2235991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2235994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2235997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2235998 */     // GIR_Coverage, 48342,
     /* 2235998 */     GIR_EraseRootFromParent_Done,
     /* 2235999 */   // Label 29686: @2235999
     /* 2235999 */   GIM_Try, /*On fail goto*//*Label 29687*/ GIMT_Encode4(2236044), // Rule ID 48343 //
     /* 2236004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236007 */     // (sra:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2236010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2236024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236043 */     // GIR_Coverage, 48343,
     /* 2236043 */     GIR_EraseRootFromParent_Done,
     /* 2236044 */   // Label 29687: @2236044
     /* 2236044 */   GIM_Reject,
     /* 2236045 */ // Label 29685: @2236045
     /* 2236045 */ GIM_Reject,
     /* 2236046 */ // Label 29643: @2236046
     /* 2236046 */ GIM_Try, /*On fail goto*//*Label 29688*/ GIMT_Encode4(2236160),
     /* 2236051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2236054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2236057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236069 */   GIM_Try, /*On fail goto*//*Label 29689*/ GIMT_Encode4(2236114), // Rule ID 48386 //
     /* 2236074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236077 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2236080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2236094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236113 */     // GIR_Coverage, 48386,
     /* 2236113 */     GIR_EraseRootFromParent_Done,
     /* 2236114 */   // Label 29689: @2236114
     /* 2236114 */   GIM_Try, /*On fail goto*//*Label 29690*/ GIMT_Encode4(2236159), // Rule ID 48387 //
     /* 2236119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236122 */     // (sra:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2236125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2236139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236158 */     // GIR_Coverage, 48387,
     /* 2236158 */     GIR_EraseRootFromParent_Done,
     /* 2236159 */   // Label 29690: @2236159
     /* 2236159 */   GIM_Reject,
     /* 2236160 */ // Label 29688: @2236160
     /* 2236160 */ GIM_Reject,
     /* 2236161 */ // Label 29644: @2236161
     /* 2236161 */ GIM_Try, /*On fail goto*//*Label 29691*/ GIMT_Encode4(2236275),
     /* 2236166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2236169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2236172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236184 */   GIM_Try, /*On fail goto*//*Label 29692*/ GIMT_Encode4(2236229), // Rule ID 48318 //
     /* 2236189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236192 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2236195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2236209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236228 */     // GIR_Coverage, 48318,
     /* 2236228 */     GIR_EraseRootFromParent_Done,
     /* 2236229 */   // Label 29692: @2236229
     /* 2236229 */   GIM_Try, /*On fail goto*//*Label 29693*/ GIMT_Encode4(2236274), // Rule ID 48319 //
     /* 2236234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236237 */     // (sra:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSRA_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2236240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_MF2),
     /* 2236254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236273 */     // GIR_Coverage, 48319,
     /* 2236273 */     GIR_EraseRootFromParent_Done,
     /* 2236274 */   // Label 29693: @2236274
     /* 2236274 */   GIM_Reject,
     /* 2236275 */ // Label 29691: @2236275
     /* 2236275 */ GIM_Reject,
     /* 2236276 */ // Label 29645: @2236276
     /* 2236276 */ GIM_Try, /*On fail goto*//*Label 29694*/ GIMT_Encode4(2236390),
     /* 2236281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2236284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2236287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236299 */   GIM_Try, /*On fail goto*//*Label 29695*/ GIMT_Encode4(2236344), // Rule ID 48338 //
     /* 2236304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236307 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2236310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2236324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236343 */     // GIR_Coverage, 48338,
     /* 2236343 */     GIR_EraseRootFromParent_Done,
     /* 2236344 */   // Label 29695: @2236344
     /* 2236344 */   GIM_Try, /*On fail goto*//*Label 29696*/ GIMT_Encode4(2236389), // Rule ID 48339 //
     /* 2236349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236352 */     // (sra:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2236355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2236369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236388 */     // GIR_Coverage, 48339,
     /* 2236388 */     GIR_EraseRootFromParent_Done,
     /* 2236389 */   // Label 29696: @2236389
     /* 2236389 */   GIM_Reject,
     /* 2236390 */ // Label 29694: @2236390
     /* 2236390 */ GIM_Reject,
     /* 2236391 */ // Label 29646: @2236391
     /* 2236391 */ GIM_Try, /*On fail goto*//*Label 29697*/ GIMT_Encode4(2236505),
     /* 2236396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2236399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2236402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236414 */   GIM_Try, /*On fail goto*//*Label 29698*/ GIMT_Encode4(2236459), // Rule ID 48374 //
     /* 2236419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236422 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2236425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2236439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236458 */     // GIR_Coverage, 48374,
     /* 2236458 */     GIR_EraseRootFromParent_Done,
     /* 2236459 */   // Label 29698: @2236459
     /* 2236459 */   GIM_Try, /*On fail goto*//*Label 29699*/ GIMT_Encode4(2236504), // Rule ID 48375 //
     /* 2236464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236467 */     // (sra:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2236470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2236484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236503 */     // GIR_Coverage, 48375,
     /* 2236503 */     GIR_EraseRootFromParent_Done,
     /* 2236504 */   // Label 29699: @2236504
     /* 2236504 */   GIM_Reject,
     /* 2236505 */ // Label 29697: @2236505
     /* 2236505 */ GIM_Reject,
     /* 2236506 */ // Label 29647: @2236506
     /* 2236506 */ GIM_Try, /*On fail goto*//*Label 29700*/ GIMT_Encode4(2236620),
     /* 2236511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2236514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2236517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236529 */   GIM_Try, /*On fail goto*//*Label 29701*/ GIMT_Encode4(2236574), // Rule ID 48390 //
     /* 2236534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236537 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2236540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2236554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236573 */     // GIR_Coverage, 48390,
     /* 2236573 */     GIR_EraseRootFromParent_Done,
     /* 2236574 */   // Label 29701: @2236574
     /* 2236574 */   GIM_Try, /*On fail goto*//*Label 29702*/ GIMT_Encode4(2236619), // Rule ID 48391 //
     /* 2236579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2236582 */     // (sra:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2236585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2236599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2236614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236618 */     // GIR_Coverage, 48391,
     /* 2236618 */     GIR_EraseRootFromParent_Done,
     /* 2236619 */   // Label 29702: @2236619
     /* 2236619 */   GIM_Reject,
     /* 2236620 */ // Label 29700: @2236620
     /* 2236620 */ GIM_Reject,
     /* 2236621 */ // Label 29648: @2236621
     /* 2236621 */ GIM_Try, /*On fail goto*//*Label 29703*/ GIMT_Encode4(2236735),
     /* 2236626 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2236629 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2236632 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236636 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2236644 */   GIM_Try, /*On fail goto*//*Label 29704*/ GIMT_Encode4(2236689), // Rule ID 48334 //
     /* 2236649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236652 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2236655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2236669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236688 */     // GIR_Coverage, 48334,
     /* 2236688 */     GIR_EraseRootFromParent_Done,
     /* 2236689 */   // Label 29704: @2236689
     /* 2236689 */   GIM_Try, /*On fail goto*//*Label 29705*/ GIMT_Encode4(2236734), // Rule ID 48335 //
     /* 2236694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236697 */     // (sra:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSRA_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2236700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M1),
     /* 2236714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236733 */     // GIR_Coverage, 48335,
     /* 2236733 */     GIR_EraseRootFromParent_Done,
     /* 2236734 */   // Label 29705: @2236734
     /* 2236734 */   GIM_Reject,
     /* 2236735 */ // Label 29703: @2236735
     /* 2236735 */ GIM_Reject,
     /* 2236736 */ // Label 29649: @2236736
     /* 2236736 */ GIM_Try, /*On fail goto*//*Label 29706*/ GIMT_Encode4(2236850),
     /* 2236741 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2236744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2236747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236751 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236755 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2236759 */   GIM_Try, /*On fail goto*//*Label 29707*/ GIMT_Encode4(2236804), // Rule ID 48362 //
     /* 2236764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236767 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2236770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236779 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236781 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2236784 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236786 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236791 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236803 */     // GIR_Coverage, 48362,
     /* 2236803 */     GIR_EraseRootFromParent_Done,
     /* 2236804 */   // Label 29707: @2236804
     /* 2236804 */   GIM_Try, /*On fail goto*//*Label 29708*/ GIMT_Encode4(2236849), // Rule ID 48363 //
     /* 2236809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236812 */     // (sra:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2236815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2236829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2236844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236848 */     // GIR_Coverage, 48363,
     /* 2236848 */     GIR_EraseRootFromParent_Done,
     /* 2236849 */   // Label 29708: @2236849
     /* 2236849 */   GIM_Reject,
     /* 2236850 */ // Label 29706: @2236850
     /* 2236850 */ GIM_Reject,
     /* 2236851 */ // Label 29650: @2236851
     /* 2236851 */ GIM_Try, /*On fail goto*//*Label 29709*/ GIMT_Encode4(2236965),
     /* 2236856 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2236859 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2236862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236866 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2236874 */   GIM_Try, /*On fail goto*//*Label 29710*/ GIMT_Encode4(2236919), // Rule ID 48378 //
     /* 2236879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2236882 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236882 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2236885 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236889 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236894 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2236899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236901 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236917 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236918 */     // GIR_Coverage, 48378,
     /* 2236918 */     GIR_EraseRootFromParent_Done,
     /* 2236919 */   // Label 29710: @2236919
     /* 2236919 */   GIM_Try, /*On fail goto*//*Label 29711*/ GIMT_Encode4(2236964), // Rule ID 48379 //
     /* 2236924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2236927 */     // (sra:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2236927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2236930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2236934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2236939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2236941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2236944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2236946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2236949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2236951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2236953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2236956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2236959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2236962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2236963 */     // GIR_Coverage, 48379,
     /* 2236963 */     GIR_EraseRootFromParent_Done,
     /* 2236964 */   // Label 29711: @2236964
     /* 2236964 */   GIM_Reject,
     /* 2236965 */ // Label 29709: @2236965
     /* 2236965 */ GIM_Reject,
     /* 2236966 */ // Label 29651: @2236966
     /* 2236966 */ GIM_Try, /*On fail goto*//*Label 29712*/ GIMT_Encode4(2237080),
     /* 2236971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2236974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2236977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2236989 */   GIM_Try, /*On fail goto*//*Label 29713*/ GIMT_Encode4(2237034), // Rule ID 48394 //
     /* 2236994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2236997 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2236997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2237000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2237014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237033 */     // GIR_Coverage, 48394,
     /* 2237033 */     GIR_EraseRootFromParent_Done,
     /* 2237034 */   // Label 29713: @2237034
     /* 2237034 */   GIM_Try, /*On fail goto*//*Label 29714*/ GIMT_Encode4(2237079), // Rule ID 48395 //
     /* 2237039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2237042 */     // (sra:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2237045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2237059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2237074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237078 */     // GIR_Coverage, 48395,
     /* 2237078 */     GIR_EraseRootFromParent_Done,
     /* 2237079 */   // Label 29714: @2237079
     /* 2237079 */   GIM_Reject,
     /* 2237080 */ // Label 29712: @2237080
     /* 2237080 */ GIM_Reject,
     /* 2237081 */ // Label 29652: @2237081
     /* 2237081 */ GIM_Try, /*On fail goto*//*Label 29715*/ GIMT_Encode4(2237195),
     /* 2237086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2237089 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2237092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2237104 */   GIM_Try, /*On fail goto*//*Label 29716*/ GIMT_Encode4(2237149), // Rule ID 48350 //
     /* 2237109 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237112 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237112 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2237115 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237119 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237124 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237126 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2237129 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237148 */     // GIR_Coverage, 48350,
     /* 2237148 */     GIR_EraseRootFromParent_Done,
     /* 2237149 */   // Label 29716: @2237149
     /* 2237149 */   GIM_Try, /*On fail goto*//*Label 29717*/ GIMT_Encode4(2237194), // Rule ID 48351 //
     /* 2237154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237157 */     // (sra:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSRA_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2237160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M2),
     /* 2237174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237193 */     // GIR_Coverage, 48351,
     /* 2237193 */     GIR_EraseRootFromParent_Done,
     /* 2237194 */   // Label 29717: @2237194
     /* 2237194 */   GIM_Reject,
     /* 2237195 */ // Label 29715: @2237195
     /* 2237195 */ GIM_Reject,
     /* 2237196 */ // Label 29653: @2237196
     /* 2237196 */ GIM_Try, /*On fail goto*//*Label 29718*/ GIMT_Encode4(2237310),
     /* 2237201 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2237204 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2237207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237211 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237215 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237219 */   GIM_Try, /*On fail goto*//*Label 29719*/ GIMT_Encode4(2237264), // Rule ID 48366 //
     /* 2237224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237227 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237227 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2237230 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237234 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237239 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2237244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237246 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237263 */     // GIR_Coverage, 48366,
     /* 2237263 */     GIR_EraseRootFromParent_Done,
     /* 2237264 */   // Label 29719: @2237264
     /* 2237264 */   GIM_Try, /*On fail goto*//*Label 29720*/ GIMT_Encode4(2237309), // Rule ID 48367 //
     /* 2237269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237272 */     // (sra:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2237275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2237289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237308 */     // GIR_Coverage, 48367,
     /* 2237308 */     GIR_EraseRootFromParent_Done,
     /* 2237309 */   // Label 29720: @2237309
     /* 2237309 */   GIM_Reject,
     /* 2237310 */ // Label 29718: @2237310
     /* 2237310 */ GIM_Reject,
     /* 2237311 */ // Label 29654: @2237311
     /* 2237311 */ GIM_Try, /*On fail goto*//*Label 29721*/ GIMT_Encode4(2237425),
     /* 2237316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2237319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2237322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237334 */   GIM_Try, /*On fail goto*//*Label 29722*/ GIMT_Encode4(2237379), // Rule ID 48382 //
     /* 2237339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237342 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2237345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2237359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237378 */     // GIR_Coverage, 48382,
     /* 2237378 */     GIR_EraseRootFromParent_Done,
     /* 2237379 */   // Label 29722: @2237379
     /* 2237379 */   GIM_Try, /*On fail goto*//*Label 29723*/ GIMT_Encode4(2237424), // Rule ID 48383 //
     /* 2237384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237387 */     // (sra:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2237390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2237404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2237419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237423 */     // GIR_Coverage, 48383,
     /* 2237423 */     GIR_EraseRootFromParent_Done,
     /* 2237424 */   // Label 29723: @2237424
     /* 2237424 */   GIM_Reject,
     /* 2237425 */ // Label 29721: @2237425
     /* 2237425 */ GIM_Reject,
     /* 2237426 */ // Label 29655: @2237426
     /* 2237426 */ GIM_Try, /*On fail goto*//*Label 29724*/ GIMT_Encode4(2237540),
     /* 2237431 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2237434 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2237437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237441 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2237449 */   GIM_Try, /*On fail goto*//*Label 29725*/ GIMT_Encode4(2237494), // Rule ID 48354 //
     /* 2237454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237457 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2237460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2237474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237493 */     // GIR_Coverage, 48354,
     /* 2237493 */     GIR_EraseRootFromParent_Done,
     /* 2237494 */   // Label 29725: @2237494
     /* 2237494 */   GIM_Try, /*On fail goto*//*Label 29726*/ GIMT_Encode4(2237539), // Rule ID 48355 //
     /* 2237499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237502 */     // (sra:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSRA_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2237505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M4),
     /* 2237519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237538 */     // GIR_Coverage, 48355,
     /* 2237538 */     GIR_EraseRootFromParent_Done,
     /* 2237539 */   // Label 29726: @2237539
     /* 2237539 */   GIM_Reject,
     /* 2237540 */ // Label 29724: @2237540
     /* 2237540 */ GIM_Reject,
     /* 2237541 */ // Label 29656: @2237541
     /* 2237541 */ GIM_Try, /*On fail goto*//*Label 29727*/ GIMT_Encode4(2237655),
     /* 2237546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2237549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2237552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237564 */   GIM_Try, /*On fail goto*//*Label 29728*/ GIMT_Encode4(2237609), // Rule ID 48370 //
     /* 2237569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237572 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2237575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2237589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237608 */     // GIR_Coverage, 48370,
     /* 2237608 */     GIR_EraseRootFromParent_Done,
     /* 2237609 */   // Label 29728: @2237609
     /* 2237609 */   GIM_Try, /*On fail goto*//*Label 29729*/ GIMT_Encode4(2237654), // Rule ID 48371 //
     /* 2237614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237617 */     // (sra:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2237620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2237634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2237649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237653 */     // GIR_Coverage, 48371,
     /* 2237653 */     GIR_EraseRootFromParent_Done,
     /* 2237654 */   // Label 29729: @2237654
     /* 2237654 */   GIM_Reject,
     /* 2237655 */ // Label 29727: @2237655
     /* 2237655 */ GIM_Reject,
     /* 2237656 */ // Label 29657: @2237656
     /* 2237656 */ GIM_Try, /*On fail goto*//*Label 29730*/ GIMT_Encode4(2237770),
     /* 2237661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2237664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2237667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237675 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2237679 */   GIM_Try, /*On fail goto*//*Label 29731*/ GIMT_Encode4(2237724), // Rule ID 48358 //
     /* 2237684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2237687 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2237687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2237690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2237704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237723 */     // GIR_Coverage, 48358,
     /* 2237723 */     GIR_EraseRootFromParent_Done,
     /* 2237724 */   // Label 29731: @2237724
     /* 2237724 */   GIM_Try, /*On fail goto*//*Label 29732*/ GIMT_Encode4(2237769), // Rule ID 48359 //
     /* 2237729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2237732 */     // (sra:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSRA_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2237732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2237735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2237739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2237744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2237746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSRA_VV_M8),
     /* 2237749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2237754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2237758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2237761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2237767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237768 */     // GIR_Coverage, 48359,
     /* 2237768 */     GIR_EraseRootFromParent_Done,
     /* 2237769 */   // Label 29732: @2237769
     /* 2237769 */   GIM_Reject,
     /* 2237770 */ // Label 29730: @2237770
     /* 2237770 */ GIM_Reject,
     /* 2237771 */ // Label 29658: @2237771
     /* 2237771 */ GIM_Reject,
     /* 2237772 */ // Label 46: @2237772
     /* 2237772 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29757*/ GIMT_Encode4(2240711),
     /* 2237783 */ /*GILLT_s32*//*Label 29733*/ GIMT_Encode4(2237907),
     /* 2237787 */ /*GILLT_s64*//*Label 29734*/ GIMT_Encode4(2238044), GIMT_Encode4(0),
     /* 2237795 */ /*GILLT_nxv1s8*//*Label 29735*/ GIMT_Encode4(2238181),
     /* 2237799 */ /*GILLT_nxv1s16*//*Label 29736*/ GIMT_Encode4(2238296),
     /* 2237803 */ /*GILLT_nxv1s32*//*Label 29737*/ GIMT_Encode4(2238411),
     /* 2237807 */ /*GILLT_nxv1s64*//*Label 29738*/ GIMT_Encode4(2238526), GIMT_Encode4(0),
     /* 2237815 */ /*GILLT_nxv2s8*//*Label 29739*/ GIMT_Encode4(2238641),
     /* 2237819 */ /*GILLT_nxv2s16*//*Label 29740*/ GIMT_Encode4(2238756),
     /* 2237823 */ /*GILLT_nxv2s32*//*Label 29741*/ GIMT_Encode4(2238871),
     /* 2237827 */ /*GILLT_nxv2s64*//*Label 29742*/ GIMT_Encode4(2238986), GIMT_Encode4(0),
     /* 2237835 */ /*GILLT_nxv4s8*//*Label 29743*/ GIMT_Encode4(2239101),
     /* 2237839 */ /*GILLT_nxv4s16*//*Label 29744*/ GIMT_Encode4(2239216),
     /* 2237843 */ /*GILLT_nxv4s32*//*Label 29745*/ GIMT_Encode4(2239331),
     /* 2237847 */ /*GILLT_nxv4s64*//*Label 29746*/ GIMT_Encode4(2239446), GIMT_Encode4(0),
     /* 2237855 */ /*GILLT_nxv8s8*//*Label 29747*/ GIMT_Encode4(2239561),
     /* 2237859 */ /*GILLT_nxv8s16*//*Label 29748*/ GIMT_Encode4(2239676),
     /* 2237863 */ /*GILLT_nxv8s32*//*Label 29749*/ GIMT_Encode4(2239791),
     /* 2237867 */ /*GILLT_nxv8s64*//*Label 29750*/ GIMT_Encode4(2239906), GIMT_Encode4(0),
     /* 2237875 */ /*GILLT_nxv16s8*//*Label 29751*/ GIMT_Encode4(2240021),
     /* 2237879 */ /*GILLT_nxv16s16*//*Label 29752*/ GIMT_Encode4(2240136),
     /* 2237883 */ /*GILLT_nxv16s32*//*Label 29753*/ GIMT_Encode4(2240251), GIMT_Encode4(0),
     /* 2237891 */ /*GILLT_nxv32s8*//*Label 29754*/ GIMT_Encode4(2240366),
     /* 2237895 */ /*GILLT_nxv32s16*//*Label 29755*/ GIMT_Encode4(2240481), GIMT_Encode4(0),
     /* 2237903 */ /*GILLT_nxv64s8*//*Label 29756*/ GIMT_Encode4(2240596),
     /* 2237907 */ // Label 29733: @2237907
     /* 2237907 */ GIM_Try, /*On fail goto*//*Label 29758*/ GIMT_Encode4(2238043),
     /* 2237912 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2237915 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2237918 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237922 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2237926 */   GIM_Try, /*On fail goto*//*Label 29759*/ GIMT_Encode4(2237960), // Rule ID 2459 //
     /* 2237931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2237934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2237938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237942 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2237946 */     // MIs[1] Operand 1
     /* 2237946 */     // No operand predicates
     /* 2237946 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237948 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2237948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2237951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237955 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2237958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237959 */     // GIR_Coverage, 2459,
     /* 2237959 */     GIR_EraseRootFromParent_Done,
     /* 2237960 */   // Label 29759: @2237960
     /* 2237960 */   GIM_Try, /*On fail goto*//*Label 29760*/ GIMT_Encode4(2237994), // Rule ID 62550 //
     /* 2237965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2237968 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2237972 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2237976 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2237980 */     // MIs[1] Operand 1
     /* 2237980 */     // No operand predicates
     /* 2237980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2237982 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2237982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2237985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2237987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2237989 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2237992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2237993 */     // GIR_Coverage, 62550,
     /* 2237993 */     GIR_EraseRootFromParent_Done,
     /* 2237994 */   // Label 29760: @2237994
     /* 2237994 */   GIM_Try, /*On fail goto*//*Label 29761*/ GIMT_Encode4(2238023), // Rule ID 2457 //
     /* 2237999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2238002 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2238009 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2238009 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2238012 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238016 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2238021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238022 */     // GIR_Coverage, 2457,
     /* 2238022 */     GIR_EraseRootFromParent_Done,
     /* 2238023 */   // Label 29761: @2238023
     /* 2238023 */   GIM_Try, /*On fail goto*//*Label 29762*/ GIMT_Encode4(2238042), // Rule ID 64444 //
     /* 2238028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2238031 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238035 */     // (rotr:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_ROR:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2238035 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2238040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238041 */     // GIR_Coverage, 64444,
     /* 2238041 */     GIR_Done,
     /* 2238042 */   // Label 29762: @2238042
     /* 2238042 */   GIM_Reject,
     /* 2238043 */ // Label 29758: @2238043
     /* 2238043 */ GIM_Reject,
     /* 2238044 */ // Label 29734: @2238044
     /* 2238044 */ GIM_Try, /*On fail goto*//*Label 29763*/ GIMT_Encode4(2238180),
     /* 2238049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2238052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2238055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238063 */   GIM_Try, /*On fail goto*//*Label 29764*/ GIMT_Encode4(2238097), // Rule ID 2458 //
     /* 2238068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2238071 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2238075 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238079 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2238083 */     // MIs[1] Operand 1
     /* 2238083 */     // No operand predicates
     /* 2238083 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238085 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2238085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2238088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238092 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2238095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238096 */     // GIR_Coverage, 2458,
     /* 2238096 */     GIR_EraseRootFromParent_Done,
     /* 2238097 */   // Label 29764: @2238097
     /* 2238097 */   GIM_Try, /*On fail goto*//*Label 29765*/ GIMT_Encode4(2238131), // Rule ID 62549 //
     /* 2238102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2238105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2238109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2238113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2238117 */     // MIs[1] Operand 1
     /* 2238117 */     // No operand predicates
     /* 2238117 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2238119 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$imm)
     /* 2238119 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2238122 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238124 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238126 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2238129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238130 */     // GIR_Coverage, 62549,
     /* 2238130 */     GIR_EraseRootFromParent_Done,
     /* 2238131 */   // Label 29765: @2238131
     /* 2238131 */   GIM_Try, /*On fail goto*//*Label 29766*/ GIMT_Encode4(2238160), // Rule ID 2456 //
     /* 2238136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2238139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2238146 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2238146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROR),
     /* 2238149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238153 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2238158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238159 */     // GIR_Coverage, 2456,
     /* 2238159 */     GIR_EraseRootFromParent_Done,
     /* 2238160 */   // Label 29766: @2238160
     /* 2238160 */   GIM_Try, /*On fail goto*//*Label 29767*/ GIMT_Encode4(2238179), // Rule ID 64443 //
     /* 2238165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2238168 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2238172 */     // (rotr:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_ROR:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2238172 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ROR),
     /* 2238177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238178 */     // GIR_Coverage, 64443,
     /* 2238178 */     GIR_Done,
     /* 2238179 */   // Label 29767: @2238179
     /* 2238179 */   GIM_Reject,
     /* 2238180 */ // Label 29763: @2238180
     /* 2238180 */ GIM_Reject,
     /* 2238181 */ // Label 29735: @2238181
     /* 2238181 */ GIM_Try, /*On fail goto*//*Label 29768*/ GIMT_Encode4(2238295),
     /* 2238186 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2238189 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2238192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238204 */   GIM_Try, /*On fail goto*//*Label 29769*/ GIMT_Encode4(2238249), // Rule ID 59402 //
     /* 2238209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238212 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2238215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2238229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238248 */     // GIR_Coverage, 59402,
     /* 2238248 */     GIR_EraseRootFromParent_Done,
     /* 2238249 */   // Label 29769: @2238249
     /* 2238249 */   GIM_Try, /*On fail goto*//*Label 29770*/ GIMT_Encode4(2238294), // Rule ID 59403 //
     /* 2238254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238257 */     // (rotr:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROR_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2238260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF8),
     /* 2238274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238293 */     // GIR_Coverage, 59403,
     /* 2238293 */     GIR_EraseRootFromParent_Done,
     /* 2238294 */   // Label 29770: @2238294
     /* 2238294 */   GIM_Reject,
     /* 2238295 */ // Label 29768: @2238295
     /* 2238295 */ GIM_Reject,
     /* 2238296 */ // Label 29736: @2238296
     /* 2238296 */ GIM_Try, /*On fail goto*//*Label 29771*/ GIMT_Encode4(2238410),
     /* 2238301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2238304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2238307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238319 */   GIM_Try, /*On fail goto*//*Label 29772*/ GIMT_Encode4(2238364), // Rule ID 59414 //
     /* 2238324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238327 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2238330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2238344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238363 */     // GIR_Coverage, 59414,
     /* 2238363 */     GIR_EraseRootFromParent_Done,
     /* 2238364 */   // Label 29772: @2238364
     /* 2238364 */   GIM_Try, /*On fail goto*//*Label 29773*/ GIMT_Encode4(2238409), // Rule ID 59415 //
     /* 2238369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238372 */     // (rotr:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2238375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2238389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238408 */     // GIR_Coverage, 59415,
     /* 2238408 */     GIR_EraseRootFromParent_Done,
     /* 2238409 */   // Label 29773: @2238409
     /* 2238409 */   GIM_Reject,
     /* 2238410 */ // Label 29771: @2238410
     /* 2238410 */ GIM_Reject,
     /* 2238411 */ // Label 29737: @2238411
     /* 2238411 */ GIM_Try, /*On fail goto*//*Label 29774*/ GIMT_Encode4(2238525),
     /* 2238416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2238419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2238422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238434 */   GIM_Try, /*On fail goto*//*Label 29775*/ GIMT_Encode4(2238479), // Rule ID 59422 //
     /* 2238439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238442 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2238445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2238459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238478 */     // GIR_Coverage, 59422,
     /* 2238478 */     GIR_EraseRootFromParent_Done,
     /* 2238479 */   // Label 29775: @2238479
     /* 2238479 */   GIM_Try, /*On fail goto*//*Label 29776*/ GIMT_Encode4(2238524), // Rule ID 59423 //
     /* 2238484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238487 */     // (rotr:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2238490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2238504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238523 */     // GIR_Coverage, 59423,
     /* 2238523 */     GIR_EraseRootFromParent_Done,
     /* 2238524 */   // Label 29776: @2238524
     /* 2238524 */   GIM_Reject,
     /* 2238525 */ // Label 29774: @2238525
     /* 2238525 */ GIM_Reject,
     /* 2238526 */ // Label 29738: @2238526
     /* 2238526 */ GIM_Try, /*On fail goto*//*Label 29777*/ GIMT_Encode4(2238640),
     /* 2238531 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2238534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2238537 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238541 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238545 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238549 */   GIM_Try, /*On fail goto*//*Label 29778*/ GIMT_Encode4(2238594), // Rule ID 59438 //
     /* 2238554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2238557 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2238560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2238574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238593 */     // GIR_Coverage, 59438,
     /* 2238593 */     GIR_EraseRootFromParent_Done,
     /* 2238594 */   // Label 29778: @2238594
     /* 2238594 */   GIM_Try, /*On fail goto*//*Label 29779*/ GIMT_Encode4(2238639), // Rule ID 59439 //
     /* 2238599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2238602 */     // (rotr:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2238605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2238619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2238634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238638 */     // GIR_Coverage, 59439,
     /* 2238638 */     GIR_EraseRootFromParent_Done,
     /* 2238639 */   // Label 29779: @2238639
     /* 2238639 */   GIM_Reject,
     /* 2238640 */ // Label 29777: @2238640
     /* 2238640 */ GIM_Reject,
     /* 2238641 */ // Label 29739: @2238641
     /* 2238641 */ GIM_Try, /*On fail goto*//*Label 29780*/ GIMT_Encode4(2238755),
     /* 2238646 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2238649 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2238652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238664 */   GIM_Try, /*On fail goto*//*Label 29781*/ GIMT_Encode4(2238709), // Rule ID 59406 //
     /* 2238669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238672 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2238675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2238689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238708 */     // GIR_Coverage, 59406,
     /* 2238708 */     GIR_EraseRootFromParent_Done,
     /* 2238709 */   // Label 29781: @2238709
     /* 2238709 */   GIM_Try, /*On fail goto*//*Label 29782*/ GIMT_Encode4(2238754), // Rule ID 59407 //
     /* 2238714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238717 */     // (rotr:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROR_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2238720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF4),
     /* 2238734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238753 */     // GIR_Coverage, 59407,
     /* 2238753 */     GIR_EraseRootFromParent_Done,
     /* 2238754 */   // Label 29782: @2238754
     /* 2238754 */   GIM_Reject,
     /* 2238755 */ // Label 29780: @2238755
     /* 2238755 */ GIM_Reject,
     /* 2238756 */ // Label 29740: @2238756
     /* 2238756 */ GIM_Try, /*On fail goto*//*Label 29783*/ GIMT_Encode4(2238870),
     /* 2238761 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2238764 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2238767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238779 */   GIM_Try, /*On fail goto*//*Label 29784*/ GIMT_Encode4(2238824), // Rule ID 59418 //
     /* 2238784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238787 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238787 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2238790 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238794 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238799 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2238804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238806 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238823 */     // GIR_Coverage, 59418,
     /* 2238823 */     GIR_EraseRootFromParent_Done,
     /* 2238824 */   // Label 29784: @2238824
     /* 2238824 */   GIM_Try, /*On fail goto*//*Label 29785*/ GIMT_Encode4(2238869), // Rule ID 59419 //
     /* 2238829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238832 */     // (rotr:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2238835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2238849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2238864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238868 */     // GIR_Coverage, 59419,
     /* 2238868 */     GIR_EraseRootFromParent_Done,
     /* 2238869 */   // Label 29785: @2238869
     /* 2238869 */   GIM_Reject,
     /* 2238870 */ // Label 29783: @2238870
     /* 2238870 */ GIM_Reject,
     /* 2238871 */ // Label 29741: @2238871
     /* 2238871 */ GIM_Try, /*On fail goto*//*Label 29786*/ GIMT_Encode4(2238985),
     /* 2238876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2238879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2238882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2238894 */   GIM_Try, /*On fail goto*//*Label 29787*/ GIMT_Encode4(2238939), // Rule ID 59434 //
     /* 2238899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2238902 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2238902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2238905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2238919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238938 */     // GIR_Coverage, 59434,
     /* 2238938 */     GIR_EraseRootFromParent_Done,
     /* 2238939 */   // Label 29787: @2238939
     /* 2238939 */   GIM_Try, /*On fail goto*//*Label 29788*/ GIMT_Encode4(2238984), // Rule ID 59435 //
     /* 2238944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2238947 */     // (rotr:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2238947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2238950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2238954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2238959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2238961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2238964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2238966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2238969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2238971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2238973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2238976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2238979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2238982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2238983 */     // GIR_Coverage, 59435,
     /* 2238983 */     GIR_EraseRootFromParent_Done,
     /* 2238984 */   // Label 29788: @2238984
     /* 2238984 */   GIM_Reject,
     /* 2238985 */ // Label 29786: @2238985
     /* 2238985 */ GIM_Reject,
     /* 2238986 */ // Label 29742: @2238986
     /* 2238986 */ GIM_Try, /*On fail goto*//*Label 29789*/ GIMT_Encode4(2239100),
     /* 2238991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2238994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2238997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239005 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239009 */   GIM_Try, /*On fail goto*//*Label 29790*/ GIMT_Encode4(2239054), // Rule ID 59478 //
     /* 2239014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239017 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239017 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2239020 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239024 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239029 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239031 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2239034 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239036 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239039 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239053 */     // GIR_Coverage, 59478,
     /* 2239053 */     GIR_EraseRootFromParent_Done,
     /* 2239054 */   // Label 29790: @2239054
     /* 2239054 */   GIM_Try, /*On fail goto*//*Label 29791*/ GIMT_Encode4(2239099), // Rule ID 59479 //
     /* 2239059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239062 */     // (rotr:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2239065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2239079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239098 */     // GIR_Coverage, 59479,
     /* 2239098 */     GIR_EraseRootFromParent_Done,
     /* 2239099 */   // Label 29791: @2239099
     /* 2239099 */   GIM_Reject,
     /* 2239100 */ // Label 29789: @2239100
     /* 2239100 */ GIM_Reject,
     /* 2239101 */ // Label 29743: @2239101
     /* 2239101 */ GIM_Try, /*On fail goto*//*Label 29792*/ GIMT_Encode4(2239215),
     /* 2239106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2239109 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2239112 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239116 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239124 */   GIM_Try, /*On fail goto*//*Label 29793*/ GIMT_Encode4(2239169), // Rule ID 59410 //
     /* 2239129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239132 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239132 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2239135 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239139 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239144 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2239149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239151 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239154 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239168 */     // GIR_Coverage, 59410,
     /* 2239168 */     GIR_EraseRootFromParent_Done,
     /* 2239169 */   // Label 29793: @2239169
     /* 2239169 */   GIM_Try, /*On fail goto*//*Label 29794*/ GIMT_Encode4(2239214), // Rule ID 59411 //
     /* 2239174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239177 */     // (rotr:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROR_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2239180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_MF2),
     /* 2239194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239213 */     // GIR_Coverage, 59411,
     /* 2239213 */     GIR_EraseRootFromParent_Done,
     /* 2239214 */   // Label 29794: @2239214
     /* 2239214 */   GIM_Reject,
     /* 2239215 */ // Label 29792: @2239215
     /* 2239215 */ GIM_Reject,
     /* 2239216 */ // Label 29744: @2239216
     /* 2239216 */ GIM_Try, /*On fail goto*//*Label 29795*/ GIMT_Encode4(2239330),
     /* 2239221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2239224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2239227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239235 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239239 */   GIM_Try, /*On fail goto*//*Label 29796*/ GIMT_Encode4(2239284), // Rule ID 59430 //
     /* 2239244 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239247 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239247 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2239250 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239254 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239259 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239261 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2239264 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239266 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239269 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239283 */     // GIR_Coverage, 59430,
     /* 2239283 */     GIR_EraseRootFromParent_Done,
     /* 2239284 */   // Label 29796: @2239284
     /* 2239284 */   GIM_Try, /*On fail goto*//*Label 29797*/ GIMT_Encode4(2239329), // Rule ID 59431 //
     /* 2239289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239292 */     // (rotr:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2239295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2239309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239328 */     // GIR_Coverage, 59431,
     /* 2239328 */     GIR_EraseRootFromParent_Done,
     /* 2239329 */   // Label 29797: @2239329
     /* 2239329 */   GIM_Reject,
     /* 2239330 */ // Label 29795: @2239330
     /* 2239330 */ GIM_Reject,
     /* 2239331 */ // Label 29745: @2239331
     /* 2239331 */ GIM_Try, /*On fail goto*//*Label 29798*/ GIMT_Encode4(2239445),
     /* 2239336 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2239339 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2239342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239354 */   GIM_Try, /*On fail goto*//*Label 29799*/ GIMT_Encode4(2239399), // Rule ID 59466 //
     /* 2239359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239362 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239362 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2239365 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239369 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239374 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2239379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239381 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239384 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239398 */     // GIR_Coverage, 59466,
     /* 2239398 */     GIR_EraseRootFromParent_Done,
     /* 2239399 */   // Label 29799: @2239399
     /* 2239399 */   GIM_Try, /*On fail goto*//*Label 29800*/ GIMT_Encode4(2239444), // Rule ID 59467 //
     /* 2239404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239407 */     // (rotr:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2239410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2239424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239443 */     // GIR_Coverage, 59467,
     /* 2239443 */     GIR_EraseRootFromParent_Done,
     /* 2239444 */   // Label 29800: @2239444
     /* 2239444 */   GIM_Reject,
     /* 2239445 */ // Label 29798: @2239445
     /* 2239445 */ GIM_Reject,
     /* 2239446 */ // Label 29746: @2239446
     /* 2239446 */ GIM_Try, /*On fail goto*//*Label 29801*/ GIMT_Encode4(2239560),
     /* 2239451 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2239454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2239457 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239461 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239465 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239469 */   GIM_Try, /*On fail goto*//*Label 29802*/ GIMT_Encode4(2239514), // Rule ID 59482 //
     /* 2239474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239477 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2239480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2239494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239513 */     // GIR_Coverage, 59482,
     /* 2239513 */     GIR_EraseRootFromParent_Done,
     /* 2239514 */   // Label 29802: @2239514
     /* 2239514 */   GIM_Try, /*On fail goto*//*Label 29803*/ GIMT_Encode4(2239559), // Rule ID 59483 //
     /* 2239519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239522 */     // (rotr:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2239525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2239539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239558 */     // GIR_Coverage, 59483,
     /* 2239558 */     GIR_EraseRootFromParent_Done,
     /* 2239559 */   // Label 29803: @2239559
     /* 2239559 */   GIM_Reject,
     /* 2239560 */ // Label 29801: @2239560
     /* 2239560 */ GIM_Reject,
     /* 2239561 */ // Label 29747: @2239561
     /* 2239561 */ GIM_Try, /*On fail goto*//*Label 29804*/ GIMT_Encode4(2239675),
     /* 2239566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2239569 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2239572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2239584 */   GIM_Try, /*On fail goto*//*Label 29805*/ GIMT_Encode4(2239629), // Rule ID 59426 //
     /* 2239589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239592 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239592 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2239595 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239599 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239604 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2239609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239611 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239614 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239616 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239627 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239628 */     // GIR_Coverage, 59426,
     /* 2239628 */     GIR_EraseRootFromParent_Done,
     /* 2239629 */   // Label 29805: @2239629
     /* 2239629 */   GIM_Try, /*On fail goto*//*Label 29806*/ GIMT_Encode4(2239674), // Rule ID 59427 //
     /* 2239634 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239637 */     // (rotr:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROR_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239637 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2239640 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239644 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239649 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M1),
     /* 2239654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239656 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239659 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239661 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239673 */     // GIR_Coverage, 59427,
     /* 2239673 */     GIR_EraseRootFromParent_Done,
     /* 2239674 */   // Label 29806: @2239674
     /* 2239674 */   GIM_Reject,
     /* 2239675 */ // Label 29804: @2239675
     /* 2239675 */ GIM_Reject,
     /* 2239676 */ // Label 29748: @2239676
     /* 2239676 */ GIM_Try, /*On fail goto*//*Label 29807*/ GIMT_Encode4(2239790),
     /* 2239681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2239684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2239687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2239699 */   GIM_Try, /*On fail goto*//*Label 29808*/ GIMT_Encode4(2239744), // Rule ID 59454 //
     /* 2239704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239707 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2239710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2239724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239743 */     // GIR_Coverage, 59454,
     /* 2239743 */     GIR_EraseRootFromParent_Done,
     /* 2239744 */   // Label 29808: @2239744
     /* 2239744 */   GIM_Try, /*On fail goto*//*Label 29809*/ GIMT_Encode4(2239789), // Rule ID 59455 //
     /* 2239749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239752 */     // (rotr:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2239755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2239769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2239784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239788 */     // GIR_Coverage, 59455,
     /* 2239788 */     GIR_EraseRootFromParent_Done,
     /* 2239789 */   // Label 29809: @2239789
     /* 2239789 */   GIM_Reject,
     /* 2239790 */ // Label 29807: @2239790
     /* 2239790 */ GIM_Reject,
     /* 2239791 */ // Label 29749: @2239791
     /* 2239791 */ GIM_Try, /*On fail goto*//*Label 29810*/ GIMT_Encode4(2239905),
     /* 2239796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2239799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2239802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239810 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2239814 */   GIM_Try, /*On fail goto*//*Label 29811*/ GIMT_Encode4(2239859), // Rule ID 59470 //
     /* 2239819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2239822 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2239825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2239839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239858 */     // GIR_Coverage, 59470,
     /* 2239858 */     GIR_EraseRootFromParent_Done,
     /* 2239859 */   // Label 29811: @2239859
     /* 2239859 */   GIM_Try, /*On fail goto*//*Label 29812*/ GIMT_Encode4(2239904), // Rule ID 59471 //
     /* 2239864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2239867 */     // (rotr:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2239870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2239884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2239899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239903 */     // GIR_Coverage, 59471,
     /* 2239903 */     GIR_EraseRootFromParent_Done,
     /* 2239904 */   // Label 29812: @2239904
     /* 2239904 */   GIM_Reject,
     /* 2239905 */ // Label 29810: @2239905
     /* 2239905 */ GIM_Reject,
     /* 2239906 */ // Label 29750: @2239906
     /* 2239906 */ GIM_Try, /*On fail goto*//*Label 29813*/ GIMT_Encode4(2240020),
     /* 2239911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2239914 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2239917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2239929 */   GIM_Try, /*On fail goto*//*Label 29814*/ GIMT_Encode4(2239974), // Rule ID 59486 //
     /* 2239934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2239937 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2239937 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2239940 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239944 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239949 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2239954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2239956 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2239959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2239961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2239963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2239966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2239969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2239972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2239973 */     // GIR_Coverage, 59486,
     /* 2239973 */     GIR_EraseRootFromParent_Done,
     /* 2239974 */   // Label 29814: @2239974
     /* 2239974 */   GIM_Try, /*On fail goto*//*Label 29815*/ GIMT_Encode4(2240019), // Rule ID 59487 //
     /* 2239979 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2239982 */     // (rotr:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2239982 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2239985 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2239989 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2239994 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2239996 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2239999 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240001 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2240014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240018 */     // GIR_Coverage, 59487,
     /* 2240018 */     GIR_EraseRootFromParent_Done,
     /* 2240019 */   // Label 29815: @2240019
     /* 2240019 */   GIM_Reject,
     /* 2240020 */ // Label 29813: @2240020
     /* 2240020 */ GIM_Reject,
     /* 2240021 */ // Label 29751: @2240021
     /* 2240021 */ GIM_Try, /*On fail goto*//*Label 29816*/ GIMT_Encode4(2240135),
     /* 2240026 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2240029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2240032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2240044 */   GIM_Try, /*On fail goto*//*Label 29817*/ GIMT_Encode4(2240089), // Rule ID 59442 //
     /* 2240049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240052 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2240055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2240069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240088 */     // GIR_Coverage, 59442,
     /* 2240088 */     GIR_EraseRootFromParent_Done,
     /* 2240089 */   // Label 29817: @2240089
     /* 2240089 */   GIM_Try, /*On fail goto*//*Label 29818*/ GIMT_Encode4(2240134), // Rule ID 59443 //
     /* 2240094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240097 */     // (rotr:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROR_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240097 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2240100 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240104 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240109 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240111 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M2),
     /* 2240114 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240116 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240133 */     // GIR_Coverage, 59443,
     /* 2240133 */     GIR_EraseRootFromParent_Done,
     /* 2240134 */   // Label 29818: @2240134
     /* 2240134 */   GIM_Reject,
     /* 2240135 */ // Label 29816: @2240135
     /* 2240135 */ GIM_Reject,
     /* 2240136 */ // Label 29752: @2240136
     /* 2240136 */ GIM_Try, /*On fail goto*//*Label 29819*/ GIMT_Encode4(2240250),
     /* 2240141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2240144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2240147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240159 */   GIM_Try, /*On fail goto*//*Label 29820*/ GIMT_Encode4(2240204), // Rule ID 59458 //
     /* 2240164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240167 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2240170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2240184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240203 */     // GIR_Coverage, 59458,
     /* 2240203 */     GIR_EraseRootFromParent_Done,
     /* 2240204 */   // Label 29820: @2240204
     /* 2240204 */   GIM_Try, /*On fail goto*//*Label 29821*/ GIMT_Encode4(2240249), // Rule ID 59459 //
     /* 2240209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240212 */     // (rotr:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2240215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2240229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240248 */     // GIR_Coverage, 59459,
     /* 2240248 */     GIR_EraseRootFromParent_Done,
     /* 2240249 */   // Label 29821: @2240249
     /* 2240249 */   GIM_Reject,
     /* 2240250 */ // Label 29819: @2240250
     /* 2240250 */ GIM_Reject,
     /* 2240251 */ // Label 29753: @2240251
     /* 2240251 */ GIM_Try, /*On fail goto*//*Label 29822*/ GIMT_Encode4(2240365),
     /* 2240256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2240259 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2240262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240270 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240274 */   GIM_Try, /*On fail goto*//*Label 29823*/ GIMT_Encode4(2240319), // Rule ID 59474 //
     /* 2240279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240282 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2240285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2240299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240318 */     // GIR_Coverage, 59474,
     /* 2240318 */     GIR_EraseRootFromParent_Done,
     /* 2240319 */   // Label 29823: @2240319
     /* 2240319 */   GIM_Try, /*On fail goto*//*Label 29824*/ GIMT_Encode4(2240364), // Rule ID 59475 //
     /* 2240324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240327 */     // (rotr:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2240330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2240344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2240359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240363 */     // GIR_Coverage, 59475,
     /* 2240363 */     GIR_EraseRootFromParent_Done,
     /* 2240364 */   // Label 29824: @2240364
     /* 2240364 */   GIM_Reject,
     /* 2240365 */ // Label 29822: @2240365
     /* 2240365 */ GIM_Reject,
     /* 2240366 */ // Label 29754: @2240366
     /* 2240366 */ GIM_Try, /*On fail goto*//*Label 29825*/ GIMT_Encode4(2240480),
     /* 2240371 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2240374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2240377 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240381 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2240389 */   GIM_Try, /*On fail goto*//*Label 29826*/ GIMT_Encode4(2240434), // Rule ID 59446 //
     /* 2240394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240397 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2240400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2240414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240433 */     // GIR_Coverage, 59446,
     /* 2240433 */     GIR_EraseRootFromParent_Done,
     /* 2240434 */   // Label 29826: @2240434
     /* 2240434 */   GIM_Try, /*On fail goto*//*Label 29827*/ GIMT_Encode4(2240479), // Rule ID 59447 //
     /* 2240439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240442 */     // (rotr:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROR_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2240445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M4),
     /* 2240459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240478 */     // GIR_Coverage, 59447,
     /* 2240478 */     GIR_EraseRootFromParent_Done,
     /* 2240479 */   // Label 29827: @2240479
     /* 2240479 */   GIM_Reject,
     /* 2240480 */ // Label 29825: @2240480
     /* 2240480 */ GIM_Reject,
     /* 2240481 */ // Label 29755: @2240481
     /* 2240481 */ GIM_Try, /*On fail goto*//*Label 29828*/ GIMT_Encode4(2240595),
     /* 2240486 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2240489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2240492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240500 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240504 */   GIM_Try, /*On fail goto*//*Label 29829*/ GIMT_Encode4(2240549), // Rule ID 59462 //
     /* 2240509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240512 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2240515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2240529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240548 */     // GIR_Coverage, 59462,
     /* 2240548 */     GIR_EraseRootFromParent_Done,
     /* 2240549 */   // Label 29829: @2240549
     /* 2240549 */   GIM_Try, /*On fail goto*//*Label 29830*/ GIMT_Encode4(2240594), // Rule ID 59463 //
     /* 2240554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240557 */     // (rotr:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240557 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2240560 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240564 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240569 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240571 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2240574 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240576 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240579 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240581 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2240589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240593 */     // GIR_Coverage, 59463,
     /* 2240593 */     GIR_EraseRootFromParent_Done,
     /* 2240594 */   // Label 29830: @2240594
     /* 2240594 */   GIM_Reject,
     /* 2240595 */ // Label 29828: @2240595
     /* 2240595 */ GIM_Reject,
     /* 2240596 */ // Label 29756: @2240596
     /* 2240596 */ GIM_Try, /*On fail goto*//*Label 29831*/ GIMT_Encode4(2240710),
     /* 2240601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2240604 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2240607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240611 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2240619 */   GIM_Try, /*On fail goto*//*Label 29832*/ GIMT_Encode4(2240664), // Rule ID 59450 //
     /* 2240624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2240627 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2240627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2240630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2240644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240663 */     // GIR_Coverage, 59450,
     /* 2240663 */     GIR_EraseRootFromParent_Done,
     /* 2240664 */   // Label 29832: @2240664
     /* 2240664 */   GIM_Try, /*On fail goto*//*Label 29833*/ GIMT_Encode4(2240709), // Rule ID 59451 //
     /* 2240669 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2240672 */     // (rotr:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROR_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2240672 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2240675 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2240679 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2240684 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2240686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROR_VV_M8),
     /* 2240689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240691 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2240694 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2240698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2240701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2240707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240708 */     // GIR_Coverage, 59451,
     /* 2240708 */     GIR_EraseRootFromParent_Done,
     /* 2240709 */   // Label 29833: @2240709
     /* 2240709 */   GIM_Reject,
     /* 2240710 */ // Label 29831: @2240710
     /* 2240710 */ GIM_Reject,
     /* 2240711 */ // Label 29757: @2240711
     /* 2240711 */ GIM_Reject,
     /* 2240712 */ // Label 47: @2240712
     /* 2240712 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 29858*/ GIMT_Encode4(2243621),
     /* 2240723 */ /*GILLT_s32*//*Label 29834*/ GIMT_Encode4(2240847),
     /* 2240727 */ /*GILLT_s64*//*Label 29835*/ GIMT_Encode4(2240969), GIMT_Encode4(0),
     /* 2240735 */ /*GILLT_nxv1s8*//*Label 29836*/ GIMT_Encode4(2241091),
     /* 2240739 */ /*GILLT_nxv1s16*//*Label 29837*/ GIMT_Encode4(2241206),
     /* 2240743 */ /*GILLT_nxv1s32*//*Label 29838*/ GIMT_Encode4(2241321),
     /* 2240747 */ /*GILLT_nxv1s64*//*Label 29839*/ GIMT_Encode4(2241436), GIMT_Encode4(0),
     /* 2240755 */ /*GILLT_nxv2s8*//*Label 29840*/ GIMT_Encode4(2241551),
     /* 2240759 */ /*GILLT_nxv2s16*//*Label 29841*/ GIMT_Encode4(2241666),
     /* 2240763 */ /*GILLT_nxv2s32*//*Label 29842*/ GIMT_Encode4(2241781),
     /* 2240767 */ /*GILLT_nxv2s64*//*Label 29843*/ GIMT_Encode4(2241896), GIMT_Encode4(0),
     /* 2240775 */ /*GILLT_nxv4s8*//*Label 29844*/ GIMT_Encode4(2242011),
     /* 2240779 */ /*GILLT_nxv4s16*//*Label 29845*/ GIMT_Encode4(2242126),
     /* 2240783 */ /*GILLT_nxv4s32*//*Label 29846*/ GIMT_Encode4(2242241),
     /* 2240787 */ /*GILLT_nxv4s64*//*Label 29847*/ GIMT_Encode4(2242356), GIMT_Encode4(0),
     /* 2240795 */ /*GILLT_nxv8s8*//*Label 29848*/ GIMT_Encode4(2242471),
     /* 2240799 */ /*GILLT_nxv8s16*//*Label 29849*/ GIMT_Encode4(2242586),
     /* 2240803 */ /*GILLT_nxv8s32*//*Label 29850*/ GIMT_Encode4(2242701),
     /* 2240807 */ /*GILLT_nxv8s64*//*Label 29851*/ GIMT_Encode4(2242816), GIMT_Encode4(0),
     /* 2240815 */ /*GILLT_nxv16s8*//*Label 29852*/ GIMT_Encode4(2242931),
     /* 2240819 */ /*GILLT_nxv16s16*//*Label 29853*/ GIMT_Encode4(2243046),
     /* 2240823 */ /*GILLT_nxv16s32*//*Label 29854*/ GIMT_Encode4(2243161), GIMT_Encode4(0),
     /* 2240831 */ /*GILLT_nxv32s8*//*Label 29855*/ GIMT_Encode4(2243276),
     /* 2240835 */ /*GILLT_nxv32s16*//*Label 29856*/ GIMT_Encode4(2243391), GIMT_Encode4(0),
     /* 2240843 */ /*GILLT_nxv64s8*//*Label 29857*/ GIMT_Encode4(2243506),
     /* 2240847 */ // Label 29834: @2240847
     /* 2240847 */ GIM_Try, /*On fail goto*//*Label 29859*/ GIMT_Encode4(2240968),
     /* 2240852 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2240855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2240858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240866 */   GIM_Try, /*On fail goto*//*Label 29860*/ GIMT_Encode4(2240902), // Rule ID 2461 //
     /* 2240871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2240874 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2240878 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240882 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2240886 */     // MIs[1] Operand 1
     /* 2240886 */     // No operand predicates
     /* 2240886 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240888 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2240888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2240891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240895 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2240900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240901 */     // GIR_Coverage, 2461,
     /* 2240901 */     GIR_EraseRootFromParent_Done,
     /* 2240902 */   // Label 29860: @2240902
     /* 2240902 */   GIM_Try, /*On fail goto*//*Label 29861*/ GIMT_Encode4(2240938), // Rule ID 62552 //
     /* 2240907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2240910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2240914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2240918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2240922 */     // MIs[1] Operand 1
     /* 2240922 */     // No operand predicates
     /* 2240922 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2240924 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmSubFromXLen:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2240924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2240927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240931 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2240936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240937 */     // GIR_Coverage, 62552,
     /* 2240937 */     GIR_EraseRootFromParent_Done,
     /* 2240938 */   // Label 29861: @2240938
     /* 2240938 */   GIM_Try, /*On fail goto*//*Label 29862*/ GIMT_Encode4(2240967), // Rule ID 2455 //
     /* 2240943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode1),
     /* 2240946 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2240953 */     // (rotl:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (shiftMaskXLen:{ *:[i32] } GPR:{ *:[i32] }:$rs2))  =>  (ROL:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2240953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2240956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2240958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2240960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2240965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2240966 */     // GIR_Coverage, 2455,
     /* 2240966 */     GIR_EraseRootFromParent_Done,
     /* 2240967 */   // Label 29862: @2240967
     /* 2240967 */   GIM_Reject,
     /* 2240968 */ // Label 29859: @2240968
     /* 2240968 */ GIM_Reject,
     /* 2240969 */ // Label 29835: @2240969
     /* 2240969 */ GIM_Try, /*On fail goto*//*Label 29863*/ GIMT_Encode4(2241090),
     /* 2240974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2240977 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2240980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2240988 */   GIM_Try, /*On fail goto*//*Label 29864*/ GIMT_Encode4(2241024), // Rule ID 2460 //
     /* 2240993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2240996 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2241000 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2241004 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2241008 */     // MIs[1] Operand 1
     /* 2241008 */     // No operand predicates
     /* 2241008 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2241010 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (RORI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2241010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORI),
     /* 2241013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241017 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2241022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241023 */     // GIR_Coverage, 2460,
     /* 2241023 */     GIR_EraseRootFromParent_Done,
     /* 2241024 */   // Label 29864: @2241024
     /* 2241024 */   GIM_Try, /*On fail goto*//*Label 29865*/ GIMT_Encode4(2241060), // Rule ID 62551 //
     /* 2241029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2241032 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2241036 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2241040 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimmlog2xlen),
     /* 2241044 */     // MIs[1] Operand 1
     /* 2241044 */     // No operand predicates
     /* 2241044 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2241046 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt)  =>  (TH_SRRI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFromXLen:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimmlog2xlen>>:$shamt))
     /* 2241046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRI),
     /* 2241049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241053 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFromXLen), // shamt
     /* 2241058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241059 */     // GIR_Coverage, 62551,
     /* 2241059 */     GIR_EraseRootFromParent_Done,
     /* 2241060 */   // Label 29865: @2241060
     /* 2241060 */   GIM_Try, /*On fail goto*//*Label 29866*/ GIMT_Encode4(2241089), // Rule ID 2454 //
     /* 2241065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_HwMode0),
     /* 2241068 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMaskXLen),
     /* 2241075 */     // (rotl:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMaskXLen:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROL:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2241075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROL),
     /* 2241078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241082 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2241087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241088 */     // GIR_Coverage, 2454,
     /* 2241088 */     GIR_EraseRootFromParent_Done,
     /* 2241089 */   // Label 29866: @2241089
     /* 2241089 */   GIM_Reject,
     /* 2241090 */ // Label 29863: @2241090
     /* 2241090 */ GIM_Reject,
     /* 2241091 */ // Label 29836: @2241091
     /* 2241091 */ GIM_Try, /*On fail goto*//*Label 29867*/ GIMT_Encode4(2241205),
     /* 2241096 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2241099 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2241102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241106 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241114 */   GIM_Try, /*On fail goto*//*Label 29868*/ GIMT_Encode4(2241159), // Rule ID 59270 //
     /* 2241119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241122 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2241125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2241139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241158 */     // GIR_Coverage, 59270,
     /* 2241158 */     GIR_EraseRootFromParent_Done,
     /* 2241159 */   // Label 29868: @2241159
     /* 2241159 */   GIM_Try, /*On fail goto*//*Label 29869*/ GIMT_Encode4(2241204), // Rule ID 59271 //
     /* 2241164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241167 */     // (rotl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVROL_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2241170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF8),
     /* 2241184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241203 */     // GIR_Coverage, 59271,
     /* 2241203 */     GIR_EraseRootFromParent_Done,
     /* 2241204 */   // Label 29869: @2241204
     /* 2241204 */   GIM_Reject,
     /* 2241205 */ // Label 29867: @2241205
     /* 2241205 */ GIM_Reject,
     /* 2241206 */ // Label 29837: @2241206
     /* 2241206 */ GIM_Try, /*On fail goto*//*Label 29870*/ GIMT_Encode4(2241320),
     /* 2241211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2241214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2241217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241221 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241225 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241229 */   GIM_Try, /*On fail goto*//*Label 29871*/ GIMT_Encode4(2241274), // Rule ID 59282 //
     /* 2241234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241237 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2241240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2241254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241273 */     // GIR_Coverage, 59282,
     /* 2241273 */     GIR_EraseRootFromParent_Done,
     /* 2241274 */   // Label 29871: @2241274
     /* 2241274 */   GIM_Try, /*On fail goto*//*Label 29872*/ GIMT_Encode4(2241319), // Rule ID 59283 //
     /* 2241279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241282 */     // (rotl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2241285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2241299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241318 */     // GIR_Coverage, 59283,
     /* 2241318 */     GIR_EraseRootFromParent_Done,
     /* 2241319 */   // Label 29872: @2241319
     /* 2241319 */   GIM_Reject,
     /* 2241320 */ // Label 29870: @2241320
     /* 2241320 */ GIM_Reject,
     /* 2241321 */ // Label 29838: @2241321
     /* 2241321 */ GIM_Try, /*On fail goto*//*Label 29873*/ GIMT_Encode4(2241435),
     /* 2241326 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2241329 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2241332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241344 */   GIM_Try, /*On fail goto*//*Label 29874*/ GIMT_Encode4(2241389), // Rule ID 59290 //
     /* 2241349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241352 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2241355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2241369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241388 */     // GIR_Coverage, 59290,
     /* 2241388 */     GIR_EraseRootFromParent_Done,
     /* 2241389 */   // Label 29874: @2241389
     /* 2241389 */   GIM_Try, /*On fail goto*//*Label 29875*/ GIMT_Encode4(2241434), // Rule ID 59291 //
     /* 2241394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241397 */     // (rotl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2241400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2241414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241433 */     // GIR_Coverage, 59291,
     /* 2241433 */     GIR_EraseRootFromParent_Done,
     /* 2241434 */   // Label 29875: @2241434
     /* 2241434 */   GIM_Reject,
     /* 2241435 */ // Label 29873: @2241435
     /* 2241435 */ GIM_Reject,
     /* 2241436 */ // Label 29839: @2241436
     /* 2241436 */ GIM_Try, /*On fail goto*//*Label 29876*/ GIMT_Encode4(2241550),
     /* 2241441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2241444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2241447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241455 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241459 */   GIM_Try, /*On fail goto*//*Label 29877*/ GIMT_Encode4(2241504), // Rule ID 59306 //
     /* 2241464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241467 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2241470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2241484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241503 */     // GIR_Coverage, 59306,
     /* 2241503 */     GIR_EraseRootFromParent_Done,
     /* 2241504 */   // Label 29877: @2241504
     /* 2241504 */   GIM_Try, /*On fail goto*//*Label 29878*/ GIMT_Encode4(2241549), // Rule ID 59307 //
     /* 2241509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241512 */     // (rotl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241512 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2241515 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241519 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241524 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2241529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241531 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241534 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241548 */     // GIR_Coverage, 59307,
     /* 2241548 */     GIR_EraseRootFromParent_Done,
     /* 2241549 */   // Label 29878: @2241549
     /* 2241549 */   GIM_Reject,
     /* 2241550 */ // Label 29876: @2241550
     /* 2241550 */ GIM_Reject,
     /* 2241551 */ // Label 29840: @2241551
     /* 2241551 */ GIM_Try, /*On fail goto*//*Label 29879*/ GIMT_Encode4(2241665),
     /* 2241556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2241559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2241562 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241566 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241574 */   GIM_Try, /*On fail goto*//*Label 29880*/ GIMT_Encode4(2241619), // Rule ID 59274 //
     /* 2241579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241582 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2241585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2241599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241618 */     // GIR_Coverage, 59274,
     /* 2241618 */     GIR_EraseRootFromParent_Done,
     /* 2241619 */   // Label 29880: @2241619
     /* 2241619 */   GIM_Try, /*On fail goto*//*Label 29881*/ GIMT_Encode4(2241664), // Rule ID 59275 //
     /* 2241624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241627 */     // (rotl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVROL_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241627 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2241630 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241634 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241639 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF4),
     /* 2241644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241646 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241663 */     // GIR_Coverage, 59275,
     /* 2241663 */     GIR_EraseRootFromParent_Done,
     /* 2241664 */   // Label 29881: @2241664
     /* 2241664 */   GIM_Reject,
     /* 2241665 */ // Label 29879: @2241665
     /* 2241665 */ GIM_Reject,
     /* 2241666 */ // Label 29841: @2241666
     /* 2241666 */ GIM_Try, /*On fail goto*//*Label 29882*/ GIMT_Encode4(2241780),
     /* 2241671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2241674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2241677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241689 */   GIM_Try, /*On fail goto*//*Label 29883*/ GIMT_Encode4(2241734), // Rule ID 59286 //
     /* 2241694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241697 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2241700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2241714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241733 */     // GIR_Coverage, 59286,
     /* 2241733 */     GIR_EraseRootFromParent_Done,
     /* 2241734 */   // Label 29883: @2241734
     /* 2241734 */   GIM_Try, /*On fail goto*//*Label 29884*/ GIMT_Encode4(2241779), // Rule ID 59287 //
     /* 2241739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241742 */     // (rotl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241742 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2241745 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241749 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241754 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2241759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241761 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2241774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241778 */     // GIR_Coverage, 59287,
     /* 2241778 */     GIR_EraseRootFromParent_Done,
     /* 2241779 */   // Label 29884: @2241779
     /* 2241779 */   GIM_Reject,
     /* 2241780 */ // Label 29882: @2241780
     /* 2241780 */ GIM_Reject,
     /* 2241781 */ // Label 29842: @2241781
     /* 2241781 */ GIM_Try, /*On fail goto*//*Label 29885*/ GIMT_Encode4(2241895),
     /* 2241786 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2241789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2241792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241796 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241800 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2241804 */   GIM_Try, /*On fail goto*//*Label 29886*/ GIMT_Encode4(2241849), // Rule ID 59302 //
     /* 2241809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2241812 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2241815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2241829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241848 */     // GIR_Coverage, 59302,
     /* 2241848 */     GIR_EraseRootFromParent_Done,
     /* 2241849 */   // Label 29886: @2241849
     /* 2241849 */   GIM_Try, /*On fail goto*//*Label 29887*/ GIMT_Encode4(2241894), // Rule ID 59303 //
     /* 2241854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2241857 */     // (rotl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241857 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2241860 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241864 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241869 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241871 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2241874 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241876 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2241889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241893 */     // GIR_Coverage, 59303,
     /* 2241893 */     GIR_EraseRootFromParent_Done,
     /* 2241894 */   // Label 29887: @2241894
     /* 2241894 */   GIM_Reject,
     /* 2241895 */ // Label 29885: @2241895
     /* 2241895 */ GIM_Reject,
     /* 2241896 */ // Label 29843: @2241896
     /* 2241896 */ GIM_Try, /*On fail goto*//*Label 29888*/ GIMT_Encode4(2242010),
     /* 2241901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2241904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2241907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241915 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2241919 */   GIM_Try, /*On fail goto*//*Label 29889*/ GIMT_Encode4(2241964), // Rule ID 59346 //
     /* 2241924 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2241927 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2241927 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2241930 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241934 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241939 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2241944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241946 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2241956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2241959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2241962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2241963 */     // GIR_Coverage, 59346,
     /* 2241963 */     GIR_EraseRootFromParent_Done,
     /* 2241964 */   // Label 29889: @2241964
     /* 2241964 */   GIM_Try, /*On fail goto*//*Label 29890*/ GIMT_Encode4(2242009), // Rule ID 59347 //
     /* 2241969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2241972 */     // (rotl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2241972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2241975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2241979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2241984 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2241986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2241989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2241991 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2241994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2241996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2241998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242008 */     // GIR_Coverage, 59347,
     /* 2242008 */     GIR_EraseRootFromParent_Done,
     /* 2242009 */   // Label 29890: @2242009
     /* 2242009 */   GIM_Reject,
     /* 2242010 */ // Label 29888: @2242010
     /* 2242010 */ GIM_Reject,
     /* 2242011 */ // Label 29844: @2242011
     /* 2242011 */ GIM_Try, /*On fail goto*//*Label 29891*/ GIMT_Encode4(2242125),
     /* 2242016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2242019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2242022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242034 */   GIM_Try, /*On fail goto*//*Label 29892*/ GIMT_Encode4(2242079), // Rule ID 59278 //
     /* 2242039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242042 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2242045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2242059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242077 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242078 */     // GIR_Coverage, 59278,
     /* 2242078 */     GIR_EraseRootFromParent_Done,
     /* 2242079 */   // Label 29892: @2242079
     /* 2242079 */   GIM_Try, /*On fail goto*//*Label 29893*/ GIMT_Encode4(2242124), // Rule ID 59279 //
     /* 2242084 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242087 */     // (rotl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVROL_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242087 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2242090 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242094 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242099 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_MF2),
     /* 2242104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242106 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242109 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242123 */     // GIR_Coverage, 59279,
     /* 2242123 */     GIR_EraseRootFromParent_Done,
     /* 2242124 */   // Label 29893: @2242124
     /* 2242124 */   GIM_Reject,
     /* 2242125 */ // Label 29891: @2242125
     /* 2242125 */ GIM_Reject,
     /* 2242126 */ // Label 29845: @2242126
     /* 2242126 */ GIM_Try, /*On fail goto*//*Label 29894*/ GIMT_Encode4(2242240),
     /* 2242131 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2242134 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2242137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242149 */   GIM_Try, /*On fail goto*//*Label 29895*/ GIMT_Encode4(2242194), // Rule ID 59298 //
     /* 2242154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242157 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2242160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2242174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242193 */     // GIR_Coverage, 59298,
     /* 2242193 */     GIR_EraseRootFromParent_Done,
     /* 2242194 */   // Label 29895: @2242194
     /* 2242194 */   GIM_Try, /*On fail goto*//*Label 29896*/ GIMT_Encode4(2242239), // Rule ID 59299 //
     /* 2242199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242202 */     // (rotl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2242205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2242219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242238 */     // GIR_Coverage, 59299,
     /* 2242238 */     GIR_EraseRootFromParent_Done,
     /* 2242239 */   // Label 29896: @2242239
     /* 2242239 */   GIM_Reject,
     /* 2242240 */ // Label 29894: @2242240
     /* 2242240 */ GIM_Reject,
     /* 2242241 */ // Label 29846: @2242241
     /* 2242241 */ GIM_Try, /*On fail goto*//*Label 29897*/ GIMT_Encode4(2242355),
     /* 2242246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2242249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2242252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242260 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242264 */   GIM_Try, /*On fail goto*//*Label 29898*/ GIMT_Encode4(2242309), // Rule ID 59334 //
     /* 2242269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242272 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2242275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2242289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242308 */     // GIR_Coverage, 59334,
     /* 2242308 */     GIR_EraseRootFromParent_Done,
     /* 2242309 */   // Label 29898: @2242309
     /* 2242309 */   GIM_Try, /*On fail goto*//*Label 29899*/ GIMT_Encode4(2242354), // Rule ID 59335 //
     /* 2242314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242317 */     // (rotl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242317 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2242320 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242324 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242329 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2242334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242336 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242353 */     // GIR_Coverage, 59335,
     /* 2242353 */     GIR_EraseRootFromParent_Done,
     /* 2242354 */   // Label 29899: @2242354
     /* 2242354 */   GIM_Reject,
     /* 2242355 */ // Label 29897: @2242355
     /* 2242355 */ GIM_Reject,
     /* 2242356 */ // Label 29847: @2242356
     /* 2242356 */ GIM_Try, /*On fail goto*//*Label 29900*/ GIMT_Encode4(2242470),
     /* 2242361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2242364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2242367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242379 */   GIM_Try, /*On fail goto*//*Label 29901*/ GIMT_Encode4(2242424), // Rule ID 59350 //
     /* 2242384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242387 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2242390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2242404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242422 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242423 */     // GIR_Coverage, 59350,
     /* 2242423 */     GIR_EraseRootFromParent_Done,
     /* 2242424 */   // Label 29901: @2242424
     /* 2242424 */   GIM_Try, /*On fail goto*//*Label 29902*/ GIMT_Encode4(2242469), // Rule ID 59351 //
     /* 2242429 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242432 */     // (rotl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242432 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2242435 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242439 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242444 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2242449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242451 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242454 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242456 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242468 */     // GIR_Coverage, 59351,
     /* 2242468 */     GIR_EraseRootFromParent_Done,
     /* 2242469 */   // Label 29902: @2242469
     /* 2242469 */   GIM_Reject,
     /* 2242470 */ // Label 29900: @2242470
     /* 2242470 */ GIM_Reject,
     /* 2242471 */ // Label 29848: @2242471
     /* 2242471 */ GIM_Try, /*On fail goto*//*Label 29903*/ GIMT_Encode4(2242585),
     /* 2242476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2242479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2242482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2242494 */   GIM_Try, /*On fail goto*//*Label 29904*/ GIMT_Encode4(2242539), // Rule ID 59294 //
     /* 2242499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242502 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2242505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2242519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242538 */     // GIR_Coverage, 59294,
     /* 2242538 */     GIR_EraseRootFromParent_Done,
     /* 2242539 */   // Label 29904: @2242539
     /* 2242539 */   GIM_Try, /*On fail goto*//*Label 29905*/ GIMT_Encode4(2242584), // Rule ID 59295 //
     /* 2242544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242547 */     // (rotl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVROL_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2242550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M1),
     /* 2242564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242571 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242583 */     // GIR_Coverage, 59295,
     /* 2242583 */     GIR_EraseRootFromParent_Done,
     /* 2242584 */   // Label 29905: @2242584
     /* 2242584 */   GIM_Reject,
     /* 2242585 */ // Label 29903: @2242585
     /* 2242585 */ GIM_Reject,
     /* 2242586 */ // Label 29849: @2242586
     /* 2242586 */ GIM_Try, /*On fail goto*//*Label 29906*/ GIMT_Encode4(2242700),
     /* 2242591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2242594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2242597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242609 */   GIM_Try, /*On fail goto*//*Label 29907*/ GIMT_Encode4(2242654), // Rule ID 59322 //
     /* 2242614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242617 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2242620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2242634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242653 */     // GIR_Coverage, 59322,
     /* 2242653 */     GIR_EraseRootFromParent_Done,
     /* 2242654 */   // Label 29907: @2242654
     /* 2242654 */   GIM_Try, /*On fail goto*//*Label 29908*/ GIMT_Encode4(2242699), // Rule ID 59323 //
     /* 2242659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242662 */     // (rotl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242662 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2242665 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242669 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242674 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2242679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242681 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2242694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242698 */     // GIR_Coverage, 59323,
     /* 2242698 */     GIR_EraseRootFromParent_Done,
     /* 2242699 */   // Label 29908: @2242699
     /* 2242699 */   GIM_Reject,
     /* 2242700 */ // Label 29906: @2242700
     /* 2242700 */ GIM_Reject,
     /* 2242701 */ // Label 29850: @2242701
     /* 2242701 */ GIM_Try, /*On fail goto*//*Label 29909*/ GIMT_Encode4(2242815),
     /* 2242706 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2242709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2242712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242716 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242720 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2242724 */   GIM_Try, /*On fail goto*//*Label 29910*/ GIMT_Encode4(2242769), // Rule ID 59338 //
     /* 2242729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242732 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2242735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2242749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242768 */     // GIR_Coverage, 59338,
     /* 2242768 */     GIR_EraseRootFromParent_Done,
     /* 2242769 */   // Label 29910: @2242769
     /* 2242769 */   GIM_Try, /*On fail goto*//*Label 29911*/ GIMT_Encode4(2242814), // Rule ID 59339 //
     /* 2242774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2242777 */     // (rotl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2242780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2242794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2242809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242813 */     // GIR_Coverage, 59339,
     /* 2242813 */     GIR_EraseRootFromParent_Done,
     /* 2242814 */   // Label 29911: @2242814
     /* 2242814 */   GIM_Reject,
     /* 2242815 */ // Label 29909: @2242815
     /* 2242815 */ GIM_Reject,
     /* 2242816 */ // Label 29851: @2242816
     /* 2242816 */ GIM_Try, /*On fail goto*//*Label 29912*/ GIMT_Encode4(2242930),
     /* 2242821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2242824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2242827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2242839 */   GIM_Try, /*On fail goto*//*Label 29913*/ GIMT_Encode4(2242884), // Rule ID 59354 //
     /* 2242844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2242847 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242847 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2242850 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242854 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242859 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2242864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242866 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242869 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242871 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242883 */     // GIR_Coverage, 59354,
     /* 2242883 */     GIR_EraseRootFromParent_Done,
     /* 2242884 */   // Label 29913: @2242884
     /* 2242884 */   GIM_Try, /*On fail goto*//*Label 29914*/ GIMT_Encode4(2242929), // Rule ID 59355 //
     /* 2242889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2242892 */     // (rotl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2242892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2242895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2242909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2242924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242928 */     // GIR_Coverage, 59355,
     /* 2242928 */     GIR_EraseRootFromParent_Done,
     /* 2242929 */   // Label 29914: @2242929
     /* 2242929 */   GIM_Reject,
     /* 2242930 */ // Label 29912: @2242930
     /* 2242930 */ GIM_Reject,
     /* 2242931 */ // Label 29852: @2242931
     /* 2242931 */ GIM_Try, /*On fail goto*//*Label 29915*/ GIMT_Encode4(2243045),
     /* 2242936 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2242939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2242942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2242954 */   GIM_Try, /*On fail goto*//*Label 29916*/ GIMT_Encode4(2242999), // Rule ID 59310 //
     /* 2242959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2242962 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2242962 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2242965 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2242969 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2242974 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2242976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2242979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2242981 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2242984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2242986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2242988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2242991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2242997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2242998 */     // GIR_Coverage, 59310,
     /* 2242998 */     GIR_EraseRootFromParent_Done,
     /* 2242999 */   // Label 29916: @2242999
     /* 2242999 */   GIM_Try, /*On fail goto*//*Label 29917*/ GIMT_Encode4(2243044), // Rule ID 59311 //
     /* 2243004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243007 */     // (rotl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVROL_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2243010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M2),
     /* 2243024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243043 */     // GIR_Coverage, 59311,
     /* 2243043 */     GIR_EraseRootFromParent_Done,
     /* 2243044 */   // Label 29917: @2243044
     /* 2243044 */   GIM_Reject,
     /* 2243045 */ // Label 29915: @2243045
     /* 2243045 */ GIM_Reject,
     /* 2243046 */ // Label 29853: @2243046
     /* 2243046 */ GIM_Try, /*On fail goto*//*Label 29918*/ GIMT_Encode4(2243160),
     /* 2243051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2243054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2243057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243065 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243069 */   GIM_Try, /*On fail goto*//*Label 29919*/ GIMT_Encode4(2243114), // Rule ID 59326 //
     /* 2243074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243077 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243077 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2243080 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243084 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243089 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2243094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243096 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243113 */     // GIR_Coverage, 59326,
     /* 2243113 */     GIR_EraseRootFromParent_Done,
     /* 2243114 */   // Label 29919: @2243114
     /* 2243114 */   GIM_Try, /*On fail goto*//*Label 29920*/ GIMT_Encode4(2243159), // Rule ID 59327 //
     /* 2243119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243122 */     // (rotl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2243125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2243139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243158 */     // GIR_Coverage, 59327,
     /* 2243158 */     GIR_EraseRootFromParent_Done,
     /* 2243159 */   // Label 29920: @2243159
     /* 2243159 */   GIM_Reject,
     /* 2243160 */ // Label 29918: @2243160
     /* 2243160 */ GIM_Reject,
     /* 2243161 */ // Label 29854: @2243161
     /* 2243161 */ GIM_Try, /*On fail goto*//*Label 29921*/ GIMT_Encode4(2243275),
     /* 2243166 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2243169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2243172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243184 */   GIM_Try, /*On fail goto*//*Label 29922*/ GIMT_Encode4(2243229), // Rule ID 59342 //
     /* 2243189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243192 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2243195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2243209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243228 */     // GIR_Coverage, 59342,
     /* 2243228 */     GIR_EraseRootFromParent_Done,
     /* 2243229 */   // Label 29922: @2243229
     /* 2243229 */   GIM_Try, /*On fail goto*//*Label 29923*/ GIMT_Encode4(2243274), // Rule ID 59343 //
     /* 2243234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243237 */     // (rotl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243237 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2243240 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243244 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243249 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2243254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243256 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2243269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243273 */     // GIR_Coverage, 59343,
     /* 2243273 */     GIR_EraseRootFromParent_Done,
     /* 2243274 */   // Label 29923: @2243274
     /* 2243274 */   GIM_Reject,
     /* 2243275 */ // Label 29921: @2243275
     /* 2243275 */ GIM_Reject,
     /* 2243276 */ // Label 29855: @2243276
     /* 2243276 */ GIM_Try, /*On fail goto*//*Label 29924*/ GIMT_Encode4(2243390),
     /* 2243281 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2243284 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2243287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243291 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2243299 */   GIM_Try, /*On fail goto*//*Label 29925*/ GIMT_Encode4(2243344), // Rule ID 59314 //
     /* 2243304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243307 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243307 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2243310 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243314 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243319 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243321 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2243324 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243326 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243343 */     // GIR_Coverage, 59314,
     /* 2243343 */     GIR_EraseRootFromParent_Done,
     /* 2243344 */   // Label 29925: @2243344
     /* 2243344 */   GIM_Try, /*On fail goto*//*Label 29926*/ GIMT_Encode4(2243389), // Rule ID 59315 //
     /* 2243349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243352 */     // (rotl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVROL_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243352 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2243355 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243359 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243364 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M4),
     /* 2243369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243371 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243388 */     // GIR_Coverage, 59315,
     /* 2243388 */     GIR_EraseRootFromParent_Done,
     /* 2243389 */   // Label 29926: @2243389
     /* 2243389 */   GIM_Reject,
     /* 2243390 */ // Label 29924: @2243390
     /* 2243390 */ GIM_Reject,
     /* 2243391 */ // Label 29856: @2243391
     /* 2243391 */ GIM_Try, /*On fail goto*//*Label 29927*/ GIMT_Encode4(2243505),
     /* 2243396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2243399 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2243402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243410 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243414 */   GIM_Try, /*On fail goto*//*Label 29928*/ GIMT_Encode4(2243459), // Rule ID 59330 //
     /* 2243419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243422 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243422 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2243425 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243429 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243434 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2243439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243441 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243444 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243446 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243458 */     // GIR_Coverage, 59330,
     /* 2243458 */     GIR_EraseRootFromParent_Done,
     /* 2243459 */   // Label 29928: @2243459
     /* 2243459 */   GIM_Try, /*On fail goto*//*Label 29929*/ GIMT_Encode4(2243504), // Rule ID 59331 //
     /* 2243464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243467 */     // (rotl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2243470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2243484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2243499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243503 */     // GIR_Coverage, 59331,
     /* 2243503 */     GIR_EraseRootFromParent_Done,
     /* 2243504 */   // Label 29929: @2243504
     /* 2243504 */   GIM_Reject,
     /* 2243505 */ // Label 29927: @2243505
     /* 2243505 */ GIM_Reject,
     /* 2243506 */ // Label 29857: @2243506
     /* 2243506 */ GIM_Try, /*On fail goto*//*Label 29930*/ GIMT_Encode4(2243620),
     /* 2243511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2243514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2243517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2243529 */   GIM_Try, /*On fail goto*//*Label 29931*/ GIMT_Encode4(2243574), // Rule ID 59318 //
     /* 2243534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2243537 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2243537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2243540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2243554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243573 */     // GIR_Coverage, 59318,
     /* 2243573 */     GIR_EraseRootFromParent_Done,
     /* 2243574 */   // Label 29931: @2243574
     /* 2243574 */   GIM_Try, /*On fail goto*//*Label 29932*/ GIMT_Encode4(2243619), // Rule ID 59319 //
     /* 2243579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2243582 */     // (rotl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVROL_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2243582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2243585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2243589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2243594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2243596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVROL_VV_M8),
     /* 2243599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2243604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2243606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2243608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2243617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2243618 */     // GIR_Coverage, 59319,
     /* 2243618 */     GIR_EraseRootFromParent_Done,
     /* 2243619 */   // Label 29932: @2243619
     /* 2243619 */   GIM_Reject,
     /* 2243620 */ // Label 29930: @2243620
     /* 2243620 */ GIM_Reject,
     /* 2243621 */ // Label 29858: @2243621
     /* 2243621 */ GIM_Reject,
     /* 2243622 */ // Label 48: @2243622
     /* 2243622 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(33), /*)*//*default:*//*Label 29942*/ GIMT_Encode4(2270284),
     /* 2243633 */ /*GILLT_s32*//*Label 29933*/ GIMT_Encode4(2243753),
     /* 2243637 */ /*GILLT_s64*//*Label 29934*/ GIMT_Encode4(2246547),
     /* 2243641 */ /*GILLT_nxv1s1*//*Label 29935*/ GIMT_Encode4(2249341), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2243661 */ /*GILLT_nxv2s1*//*Label 29936*/ GIMT_Encode4(2253182), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2243681 */ /*GILLT_nxv4s1*//*Label 29937*/ GIMT_Encode4(2257023), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2243701 */ /*GILLT_nxv8s1*//*Label 29938*/ GIMT_Encode4(2260864), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2243721 */ /*GILLT_nxv16s1*//*Label 29939*/ GIMT_Encode4(2264705), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2243737 */ /*GILLT_nxv32s1*//*Label 29940*/ GIMT_Encode4(2267586), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2243749 */ /*GILLT_nxv64s1*//*Label 29941*/ GIMT_Encode4(2269507),
     /* 2243753 */ // Label 29933: @2243753
     /* 2243753 */ GIM_Try, /*On fail goto*//*Label 29943*/ GIMT_Encode4(2243796), // Rule ID 165 //
     /* 2243758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2243761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2243764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2243767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243771 */   // MIs[0] Operand 1
     /* 2243771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243780 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2243784 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] })
     /* 2243784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2243794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243795 */   // GIR_Coverage, 165,
     /* 2243795 */   GIR_EraseRootFromParent_Done,
     /* 2243796 */ // Label 29943: @2243796
     /* 2243796 */ GIM_Try, /*On fail goto*//*Label 29944*/ GIMT_Encode4(2243839), // Rule ID 65250 //
     /* 2243801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2243804 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2243807 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2243810 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243814 */   // MIs[0] Operand 1
     /* 2243814 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243823 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2243827 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2243827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243832 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2243837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243838 */   // GIR_Coverage, 65250,
     /* 2243838 */   GIR_EraseRootFromParent_Done,
     /* 2243839 */ // Label 29944: @2243839
     /* 2243839 */ GIM_Try, /*On fail goto*//*Label 29945*/ GIMT_Encode4(2243885), // Rule ID 65256 //
     /* 2243844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2243847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2243850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2243853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243857 */   // MIs[0] Operand 1
     /* 2243857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243866 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2243870 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2243870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2243873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243875 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243881 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243884 */   // GIR_Coverage, 65256,
     /* 2243884 */   GIR_EraseRootFromParent_Done,
     /* 2243885 */ // Label 29945: @2243885
     /* 2243885 */ GIM_Try, /*On fail goto*//*Label 29946*/ GIMT_Encode4(2243928), // Rule ID 65286 //
     /* 2243890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2243893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2243896 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2243899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243903 */   // MIs[0] Operand 1
     /* 2243903 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2243908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243912 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2243916 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 1:{ *:[i32] })
     /* 2243916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2243919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243921 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2243926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243927 */   // GIR_Coverage, 65286,
     /* 2243927 */   GIR_EraseRootFromParent_Done,
     /* 2243928 */ // Label 29946: @2243928
     /* 2243928 */ GIM_Try, /*On fail goto*//*Label 29947*/ GIMT_Encode4(2243974), // Rule ID 65292 //
     /* 2243933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2243936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2243939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2243942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243946 */   // MIs[0] Operand 1
     /* 2243946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2243951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243955 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2243959 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2243959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2243962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2243964 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2243970 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2243972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2243973 */   // GIR_Coverage, 65292,
     /* 2243973 */   GIR_EraseRootFromParent_Done,
     /* 2243974 */ // Label 29947: @2243974
     /* 2243974 */ GIM_Try, /*On fail goto*//*Label 29948*/ GIMT_Encode4(2244027), // Rule ID 155 //
     /* 2243979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2243982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2243985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2243988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2243992 */   // MIs[0] Operand 1
     /* 2243992 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2243997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244001 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244005 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244009 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2244013 */   // MIs[1] Operand 1
     /* 2244013 */   // No operand predicates
     /* 2244013 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244015 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2244015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2244018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244020 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244022 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2244025 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244026 */   // GIR_Coverage, 155,
     /* 2244026 */   GIR_EraseRootFromParent_Done,
     /* 2244027 */ // Label 29948: @2244027
     /* 2244027 */ GIM_Try, /*On fail goto*//*Label 29949*/ GIMT_Encode4(2244080), // Rule ID 159 //
     /* 2244032 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244035 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2244038 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244045 */   // MIs[0] Operand 1
     /* 2244045 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244054 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244058 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244062 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2244066 */   // MIs[1] Operand 1
     /* 2244066 */   // No operand predicates
     /* 2244066 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244068 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm)
     /* 2244068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244073 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244075 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2244078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244079 */   // GIR_Coverage, 159,
     /* 2244079 */   GIR_EraseRootFromParent_Done,
     /* 2244080 */ // Label 29949: @2244080
     /* 2244080 */ GIM_Try, /*On fail goto*//*Label 29950*/ GIMT_Encode4(2244133), // Rule ID 65242 //
     /* 2244085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244098 */   // MIs[0] Operand 1
     /* 2244098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2244103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244107 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244111 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244115 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2244119 */   // MIs[1] Operand 1
     /* 2244119 */   // No operand predicates
     /* 2244119 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244121 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2244121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244126 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244128 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2244131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244132 */   // GIR_Coverage, 65242,
     /* 2244132 */   GIR_EraseRootFromParent_Done,
     /* 2244133 */ // Label 29950: @2244133
     /* 2244133 */ GIM_Try, /*On fail goto*//*Label 29951*/ GIMT_Encode4(2244186), // Rule ID 65246 //
     /* 2244138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244151 */   // MIs[0] Operand 1
     /* 2244151 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2244156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244160 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244164 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244168 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2244172 */   // MIs[1] Operand 1
     /* 2244172 */   // No operand predicates
     /* 2244172 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244174 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm12)
     /* 2244174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2244177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244179 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244181 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2244184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244185 */   // GIR_Coverage, 65246,
     /* 2244185 */   GIR_EraseRootFromParent_Done,
     /* 2244186 */ // Label 29951: @2244186
     /* 2244186 */ GIM_Try, /*On fail goto*//*Label 29952*/ GIMT_Encode4(2244263), // Rule ID 65252 //
     /* 2244191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244194 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244197 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244200 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244204 */   // MIs[0] Operand 1
     /* 2244204 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244209 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244213 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244217 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244221 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2244225 */   // MIs[1] Operand 1
     /* 2244225 */   // No operand predicates
     /* 2244225 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244227 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2244227 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244230 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2244234 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244239 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244243 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2244248 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244250 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244253 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244255 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244262 */   // GIR_Coverage, 65252,
     /* 2244262 */   GIR_EraseRootFromParent_Done,
     /* 2244263 */ // Label 29952: @2244263
     /* 2244263 */ GIM_Try, /*On fail goto*//*Label 29953*/ GIMT_Encode4(2244343), // Rule ID 65258 //
     /* 2244268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244281 */   // MIs[0] Operand 1
     /* 2244281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244290 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244294 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244298 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2244302 */   // MIs[1] Operand 1
     /* 2244302 */   // No operand predicates
     /* 2244302 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244304 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2244304 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244307 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2244311 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244316 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244320 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2244325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2244330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244332 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244338 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244342 */   // GIR_Coverage, 65258,
     /* 2244342 */   GIR_EraseRootFromParent_Done,
     /* 2244343 */ // Label 29953: @2244343
     /* 2244343 */ GIM_Try, /*On fail goto*//*Label 29954*/ GIMT_Encode4(2244420), // Rule ID 65262 //
     /* 2244348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244354 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244361 */   // MIs[0] Operand 1
     /* 2244361 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244366 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244370 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244374 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244378 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2244382 */   // MIs[1] Operand 1
     /* 2244382 */   // No operand predicates
     /* 2244382 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244384 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2244384 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244387 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244391 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244396 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244400 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244419 */   // GIR_Coverage, 65262,
     /* 2244419 */   GIR_EraseRootFromParent_Done,
     /* 2244420 */ // Label 29954: @2244420
     /* 2244420 */ GIM_Try, /*On fail goto*//*Label 29955*/ GIMT_Encode4(2244497), // Rule ID 65266 //
     /* 2244425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244431 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244434 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244438 */   // MIs[0] Operand 1
     /* 2244438 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2244443 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244447 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244451 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244455 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2244459 */   // MIs[1] Operand 1
     /* 2244459 */   // No operand predicates
     /* 2244459 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244461 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2244461 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244464 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2244468 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244473 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244477 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244496 */   // GIR_Coverage, 65266,
     /* 2244496 */   GIR_EraseRootFromParent_Done,
     /* 2244497 */ // Label 29955: @2244497
     /* 2244497 */ GIM_Try, /*On fail goto*//*Label 29956*/ GIMT_Encode4(2244572), // Rule ID 65270 //
     /* 2244502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2244508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244515 */   // MIs[0] Operand 1
     /* 2244515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2244520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244524 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244528 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244532 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2244536 */   // MIs[1] Operand 1
     /* 2244536 */   // No operand predicates
     /* 2244536 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244538 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2244538 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244541 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244545 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244550 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244554 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2244557 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244559 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244562 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244564 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244571 */   // GIR_Coverage, 65270,
     /* 2244571 */   GIR_EraseRootFromParent_Done,
     /* 2244572 */ // Label 29956: @2244572
     /* 2244572 */ GIM_Try, /*On fail goto*//*Label 29957*/ GIMT_Encode4(2244647), // Rule ID 65274 //
     /* 2244577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244590 */   // MIs[0] Operand 1
     /* 2244590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2244595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244599 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244603 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244607 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2244611 */   // MIs[1] Operand 1
     /* 2244611 */   // No operand predicates
     /* 2244611 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244613 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2244613 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244616 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2244620 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244625 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244629 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2244632 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244634 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244637 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244639 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244646 */   // GIR_Coverage, 65274,
     /* 2244646 */   GIR_EraseRootFromParent_Done,
     /* 2244647 */ // Label 29957: @2244647
     /* 2244647 */ GIM_Try, /*On fail goto*//*Label 29958*/ GIMT_Encode4(2244702), // Rule ID 65278 //
     /* 2244652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244665 */   // MIs[0] Operand 1
     /* 2244665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2244670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244674 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244678 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244682 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2244686 */   // MIs[1] Operand 1
     /* 2244686 */   // No operand predicates
     /* 2244686 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244688 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2244688 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244691 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244693 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244695 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244701 */   // GIR_Coverage, 65278,
     /* 2244701 */   GIR_EraseRootFromParent_Done,
     /* 2244702 */ // Label 29958: @2244702
     /* 2244702 */ GIM_Try, /*On fail goto*//*Label 29959*/ GIMT_Encode4(2244757), // Rule ID 65282 //
     /* 2244707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2244713 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244716 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244720 */   // MIs[0] Operand 1
     /* 2244720 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2244725 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244729 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244733 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244737 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2244741 */   // MIs[1] Operand 1
     /* 2244741 */   // No operand predicates
     /* 2244741 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244743 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2244743 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2244746 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244748 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2244750 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244756 */   // GIR_Coverage, 65282,
     /* 2244756 */   GIR_EraseRootFromParent_Done,
     /* 2244757 */ // Label 29959: @2244757
     /* 2244757 */ GIM_Try, /*On fail goto*//*Label 29960*/ GIMT_Encode4(2244834), // Rule ID 65288 //
     /* 2244762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2244768 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244775 */   // MIs[0] Operand 1
     /* 2244775 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2244780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244784 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244788 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244792 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2244796 */   // MIs[1] Operand 1
     /* 2244796 */   // No operand predicates
     /* 2244796 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244798 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i32] })
     /* 2244798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2244805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244810 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244814 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2244819 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244821 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244824 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244826 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244833 */   // GIR_Coverage, 65288,
     /* 2244833 */   GIR_EraseRootFromParent_Done,
     /* 2244834 */ // Label 29960: @2244834
     /* 2244834 */ GIM_Try, /*On fail goto*//*Label 29961*/ GIMT_Encode4(2244914), // Rule ID 65294 //
     /* 2244839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2244845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244852 */   // MIs[0] Operand 1
     /* 2244852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2244857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244861 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244865 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244869 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2244873 */   // MIs[1] Operand 1
     /* 2244873 */   // No operand predicates
     /* 2244873 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244875 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (ADDI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (NegImm:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2244875 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244878 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2244882 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244887 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244891 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2244896 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244898 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2244901 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244903 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2244909 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244913 */   // GIR_Coverage, 65294,
     /* 2244913 */   GIR_EraseRootFromParent_Done,
     /* 2244914 */ // Label 29961: @2244914
     /* 2244914 */ GIM_Try, /*On fail goto*//*Label 29962*/ GIMT_Encode4(2244991), // Rule ID 65298 //
     /* 2244919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244922 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2244925 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2244928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244932 */   // MIs[0] Operand 1
     /* 2244932 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2244937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2244941 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2244945 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2244949 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2244953 */   // MIs[1] Operand 1
     /* 2244953 */   // No operand predicates
     /* 2244953 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2244955 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i32] })
     /* 2244955 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2244958 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2244962 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2244967 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2244971 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2244976 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2244978 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2244981 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2244983 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2244986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2244989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2244990 */   // GIR_Coverage, 65298,
     /* 2244990 */   GIR_EraseRootFromParent_Done,
     /* 2244991 */ // Label 29962: @2244991
     /* 2244991 */ GIM_Try, /*On fail goto*//*Label 29963*/ GIMT_Encode4(2245068), // Rule ID 65302 //
     /* 2244996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2244999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245009 */   // MIs[0] Operand 1
     /* 2245009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245018 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2245022 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2245026 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2245030 */   // MIs[1] Operand 1
     /* 2245030 */   // No operand predicates
     /* 2245030 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2245032 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i32] })
     /* 2245032 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245035 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2245039 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245044 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245048 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2245053 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245060 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245066 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245067 */   // GIR_Coverage, 65302,
     /* 2245067 */   GIR_EraseRootFromParent_Done,
     /* 2245068 */ // Label 29963: @2245068
     /* 2245068 */ GIM_Try, /*On fail goto*//*Label 29964*/ GIMT_Encode4(2245143), // Rule ID 65306 //
     /* 2245073 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245079 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245086 */   // MIs[0] Operand 1
     /* 2245086 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245091 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245095 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2245099 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2245103 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2245107 */   // MIs[1] Operand 1
     /* 2245107 */   // No operand predicates
     /* 2245107 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2245109 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTIU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2245109 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245112 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2245116 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245121 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245125 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2245128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245142 */   // GIR_Coverage, 65306,
     /* 2245142 */   GIR_EraseRootFromParent_Done,
     /* 2245143 */ // Label 29964: @2245143
     /* 2245143 */ GIM_Try, /*On fail goto*//*Label 29965*/ GIMT_Encode4(2245218), // Rule ID 65310 //
     /* 2245148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245154 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245161 */   // MIs[0] Operand 1
     /* 2245161 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245170 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2245174 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2245178 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2245182 */   // MIs[1] Operand 1
     /* 2245182 */   // No operand predicates
     /* 2245182 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2245184 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTI:{ *:[i16] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i32] })
     /* 2245184 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245187 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2245191 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245196 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245200 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2245203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245217 */   // GIR_Coverage, 65310,
     /* 2245217 */   GIR_EraseRootFromParent_Done,
     /* 2245218 */ // Label 29965: @2245218
     /* 2245218 */ GIM_Try, /*On fail goto*//*Label 29966*/ GIMT_Encode4(2245273), // Rule ID 65314 //
     /* 2245223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245236 */   // MIs[0] Operand 1
     /* 2245236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245245 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2245249 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2245253 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2245257 */   // MIs[1] Operand 1
     /* 2245257 */   // No operand predicates
     /* 2245257 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2245259 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2245259 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2245262 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245264 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245266 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2245271 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245272 */   // GIR_Coverage, 65314,
     /* 2245272 */   GIR_EraseRootFromParent_Done,
     /* 2245273 */ // Label 29966: @2245273
     /* 2245273 */ GIM_Try, /*On fail goto*//*Label 29967*/ GIMT_Encode4(2245328), // Rule ID 65318 //
     /* 2245278 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245284 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245291 */   // MIs[0] Operand 1
     /* 2245291 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245300 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2245304 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2245308 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2245312 */   // MIs[1] Operand 1
     /* 2245312 */   // No operand predicates
     /* 2245312 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2245314 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i32] } GPR:{ *:[i32] }:$rs1, (ImmPlus1:{ *:[i32] } (imm:{ *:[i32] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2245314 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2245317 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245319 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245321 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2245326 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245327 */   // GIR_Coverage, 65318,
     /* 2245327 */   GIR_EraseRootFromParent_Done,
     /* 2245328 */ // Label 29967: @2245328
     /* 2245328 */ GIM_Try, /*On fail goto*//*Label 29968*/ GIMT_Encode4(2245370), // Rule ID 64456 //
     /* 2245333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2245336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245346 */   // MIs[0] Operand 1
     /* 2245346 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2245351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245355 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245359 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2245359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2245362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245364 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245368 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245369 */   // GIR_Coverage, 64456,
     /* 2245369 */   GIR_EraseRootFromParent_Done,
     /* 2245370 */ // Label 29968: @2245370
     /* 2245370 */ GIM_Try, /*On fail goto*//*Label 29969*/ GIMT_Encode4(2245412), // Rule ID 64458 //
     /* 2245375 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2245378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245381 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245384 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245388 */   // MIs[0] Operand 1
     /* 2245388 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245393 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245397 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245401 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2245401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2245404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245406 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245408 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245410 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245411 */   // GIR_Coverage, 64458,
     /* 2245411 */   GIR_EraseRootFromParent_Done,
     /* 2245412 */ // Label 29969: @2245412
     /* 2245412 */ GIM_Try, /*On fail goto*//*Label 29970*/ GIMT_Encode4(2245454), // Rule ID 153 //
     /* 2245417 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245423 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245426 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245430 */   // MIs[0] Operand 1
     /* 2245430 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245435 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245439 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245443 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2245443 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2245446 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245450 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245453 */   // GIR_Coverage, 153,
     /* 2245453 */   GIR_EraseRootFromParent_Done,
     /* 2245454 */ // Label 29970: @2245454
     /* 2245454 */ GIM_Try, /*On fail goto*//*Label 29971*/ GIMT_Encode4(2245496), // Rule ID 157 //
     /* 2245459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2245465 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2245468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245472 */   // MIs[0] Operand 1
     /* 2245472 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245481 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245485 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2245485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245490 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245495 */   // GIR_Coverage, 157,
     /* 2245495 */   GIR_EraseRootFromParent_Done,
     /* 2245496 */ // Label 29971: @2245496
     /* 2245496 */ GIM_Try, /*On fail goto*//*Label 29972*/ GIMT_Encode4(2245538), // Rule ID 65244 //
     /* 2245501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245514 */   // MIs[0] Operand 1
     /* 2245514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2245519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245527 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2245527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245534 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245537 */   // GIR_Coverage, 65244,
     /* 2245537 */   GIR_EraseRootFromParent_Done,
     /* 2245538 */ // Label 29972: @2245538
     /* 2245538 */ GIM_Try, /*On fail goto*//*Label 29973*/ GIMT_Encode4(2245580), // Rule ID 65248 //
     /* 2245543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245549 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245556 */   // MIs[0] Operand 1
     /* 2245556 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2245561 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245565 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245569 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2245569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2245572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245574 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245576 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245579 */   // GIR_Coverage, 65248,
     /* 2245579 */   GIR_EraseRootFromParent_Done,
     /* 2245580 */ // Label 29973: @2245580
     /* 2245580 */ GIM_Try, /*On fail goto*//*Label 29974*/ GIMT_Encode4(2245646), // Rule ID 65254 //
     /* 2245585 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245588 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245591 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245594 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245598 */   // MIs[0] Operand 1
     /* 2245598 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2245603 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245607 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245611 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2245611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2245618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245623 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245627 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2245636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245645 */   // GIR_Coverage, 65254,
     /* 2245645 */   GIR_EraseRootFromParent_Done,
     /* 2245646 */ // Label 29974: @2245646
     /* 2245646 */ GIM_Try, /*On fail goto*//*Label 29975*/ GIMT_Encode4(2245715), // Rule ID 65260 //
     /* 2245651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245654 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245657 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245664 */   // MIs[0] Operand 1
     /* 2245664 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2245669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245673 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245677 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2245677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2245684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245689 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245693 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245697 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245704 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2245710 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245714 */   // GIR_Coverage, 65260,
     /* 2245714 */   GIR_EraseRootFromParent_Done,
     /* 2245715 */ // Label 29975: @2245715
     /* 2245715 */ GIM_Try, /*On fail goto*//*Label 29976*/ GIMT_Encode4(2245757), // Rule ID 65264 //
     /* 2245720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245726 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245733 */   // MIs[0] Operand 1
     /* 2245733 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2245738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245742 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245746 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2245746 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245749 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245751 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245753 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245755 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245756 */   // GIR_Coverage, 65264,
     /* 2245756 */   GIR_EraseRootFromParent_Done,
     /* 2245757 */ // Label 29976: @2245757
     /* 2245757 */ GIM_Try, /*On fail goto*//*Label 29977*/ GIMT_Encode4(2245799), // Rule ID 65268 //
     /* 2245762 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245768 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245775 */   // MIs[0] Operand 1
     /* 2245775 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2245780 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245784 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245788 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2245788 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2245791 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245793 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2245795 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2245797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245798 */   // GIR_Coverage, 65268,
     /* 2245798 */   GIR_EraseRootFromParent_Done,
     /* 2245799 */ // Label 29977: @2245799
     /* 2245799 */ GIM_Try, /*On fail goto*//*Label 29978*/ GIMT_Encode4(2245865), // Rule ID 65272 //
     /* 2245804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245817 */   // MIs[0] Operand 1
     /* 2245817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2245822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245830 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2245830 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245833 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245837 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245842 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245846 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245850 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245857 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245864 */   // GIR_Coverage, 65272,
     /* 2245864 */   GIR_EraseRootFromParent_Done,
     /* 2245865 */ // Label 29978: @2245865
     /* 2245865 */ GIM_Try, /*On fail goto*//*Label 29979*/ GIMT_Encode4(2245931), // Rule ID 65276 //
     /* 2245870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245883 */   // MIs[0] Operand 1
     /* 2245883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2245888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245896 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2245896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2245903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245908 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245912 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245916 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245923 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245930 */   // GIR_Coverage, 65276,
     /* 2245930 */   GIR_EraseRootFromParent_Done,
     /* 2245931 */ // Label 29979: @2245931
     /* 2245931 */ GIM_Try, /*On fail goto*//*Label 29980*/ GIMT_Encode4(2245997), // Rule ID 65280 //
     /* 2245936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2245939 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2245942 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2245945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245949 */   // MIs[0] Operand 1
     /* 2245949 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2245954 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245958 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2245962 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2245962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2245965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2245969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2245974 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2245978 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2245982 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2245984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2245987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2245989 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2245992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2245995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2245996 */   // GIR_Coverage, 65280,
     /* 2245996 */   GIR_EraseRootFromParent_Done,
     /* 2245997 */ // Label 29980: @2245997
     /* 2245997 */ GIM_Try, /*On fail goto*//*Label 29981*/ GIMT_Encode4(2246063), // Rule ID 65284 //
     /* 2246002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246005 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s32,
     /* 2246008 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s32,
     /* 2246011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246015 */   // MIs[0] Operand 1
     /* 2246015 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246020 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246024 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246028 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2246028 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2246031 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2246035 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246040 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2246044 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2246048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2246053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2246061 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246062 */   // GIR_Coverage, 65284,
     /* 2246062 */   GIR_EraseRootFromParent_Done,
     /* 2246063 */ // Label 29981: @2246063
     /* 2246063 */ GIM_Try, /*On fail goto*//*Label 29982*/ GIMT_Encode4(2246129), // Rule ID 65290 //
     /* 2246068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246074 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246077 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246081 */   // MIs[0] Operand 1
     /* 2246081 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246090 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246094 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i32] } (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2246094 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2246097 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2246101 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246106 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2246110 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2246114 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2246119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246121 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246124 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2246127 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246128 */   // GIR_Coverage, 65290,
     /* 2246128 */   GIR_EraseRootFromParent_Done,
     /* 2246129 */ // Label 29982: @2246129
     /* 2246129 */ GIM_Try, /*On fail goto*//*Label 29983*/ GIMT_Encode4(2246198), // Rule ID 65296 //
     /* 2246134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246140 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246143 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246147 */   // MIs[0] Operand 1
     /* 2246147 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246156 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246160 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i32] } X0:{ *:[i32] }, (XOR:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2))
     /* 2246160 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2246163 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2246167 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246172 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2246176 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2246180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2246185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246187 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246197 */   // GIR_Coverage, 65296,
     /* 2246197 */   GIR_EraseRootFromParent_Done,
     /* 2246198 */ // Label 29983: @2246198
     /* 2246198 */ GIM_Try, /*On fail goto*//*Label 29984*/ GIMT_Encode4(2246240), // Rule ID 65300 //
     /* 2246203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246216 */   // MIs[0] Operand 1
     /* 2246216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2246221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246229 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2246229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2246232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246234 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246239 */   // GIR_Coverage, 65300,
     /* 2246239 */   GIR_EraseRootFromParent_Done,
     /* 2246240 */ // Label 29984: @2246240
     /* 2246240 */ GIM_Try, /*On fail goto*//*Label 29985*/ GIMT_Encode4(2246282), // Rule ID 65304 //
     /* 2246245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246248 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246251 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246258 */   // MIs[0] Operand 1
     /* 2246258 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2246263 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246267 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246271 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1)
     /* 2246271 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2246274 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246276 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2246278 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246280 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246281 */   // GIR_Coverage, 65304,
     /* 2246281 */   GIR_EraseRootFromParent_Done,
     /* 2246282 */ // Label 29985: @2246282
     /* 2246282 */ GIM_Try, /*On fail goto*//*Label 29986*/ GIMT_Encode4(2246348), // Rule ID 65308 //
     /* 2246287 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246290 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246293 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246300 */   // MIs[0] Operand 1
     /* 2246300 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2246305 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246309 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246313 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2246313 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2246316 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2246320 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246325 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2246329 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2246333 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2246338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246340 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2246346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246347 */   // GIR_Coverage, 65308,
     /* 2246347 */   GIR_EraseRootFromParent_Done,
     /* 2246348 */ // Label 29986: @2246348
     /* 2246348 */ GIM_Try, /*On fail goto*//*Label 29987*/ GIMT_Encode4(2246414), // Rule ID 65312 //
     /* 2246353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246356 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246359 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246366 */   // MIs[0] Operand 1
     /* 2246366 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2246371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246375 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246379 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2), 1:{ *:[i32] })
     /* 2246379 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2246382 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2246386 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246391 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2246395 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2246399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2246404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2246412 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246413 */   // GIR_Coverage, 65312,
     /* 2246413 */   GIR_EraseRootFromParent_Done,
     /* 2246414 */ // Label 29987: @2246414
     /* 2246414 */ GIM_Try, /*On fail goto*//*Label 29988*/ GIMT_Encode4(2246480), // Rule ID 65316 //
     /* 2246419 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246425 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246432 */   // MIs[0] Operand 1
     /* 2246432 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2246437 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246441 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246445 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLTU:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2246445 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2246448 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2246452 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246457 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2246461 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2246465 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246467 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2246470 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246472 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2246478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246479 */   // GIR_Coverage, 65316,
     /* 2246479 */   GIR_EraseRootFromParent_Done,
     /* 2246480 */ // Label 29988: @2246480
     /* 2246480 */ GIM_Try, /*On fail goto*//*Label 29989*/ GIMT_Encode4(2246546), // Rule ID 65320 //
     /* 2246485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode1),
     /* 2246488 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2246491 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2246494 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246498 */   // MIs[0] Operand 1
     /* 2246498 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2246503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246507 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246511 */   // (setcc:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i32] } (SLT:{ *:[i16] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1), 1:{ *:[i32] })
     /* 2246511 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2246514 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2246518 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2246523 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2246527 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2246531 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2246533 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2246536 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246538 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2246541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2246544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246545 */   // GIR_Coverage, 65320,
     /* 2246545 */   GIR_EraseRootFromParent_Done,
     /* 2246546 */ // Label 29989: @2246546
     /* 2246546 */ GIM_Reject,
     /* 2246547 */ // Label 29934: @2246547
     /* 2246547 */ GIM_Try, /*On fail goto*//*Label 29990*/ GIMT_Encode4(2246590), // Rule ID 164 //
     /* 2246552 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246555 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246558 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246561 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246565 */   // MIs[0] Operand 1
     /* 2246565 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246570 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246574 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, uint8_t(-1),
     /* 2246578 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] })
     /* 2246578 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2246581 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246583 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2246588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246589 */   // GIR_Coverage, 164,
     /* 2246589 */   GIR_EraseRootFromParent_Done,
     /* 2246590 */ // Label 29990: @2246590
     /* 2246590 */ GIM_Try, /*On fail goto*//*Label 29991*/ GIMT_Encode4(2246633), // Rule ID 65249 //
     /* 2246595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2246601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2246604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246608 */   // MIs[0] Operand 1
     /* 2246608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246617 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2246621 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2246621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2246624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246626 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246628 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2246631 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246632 */   // GIR_Coverage, 65249,
     /* 2246632 */   GIR_EraseRootFromParent_Done,
     /* 2246633 */ // Label 29991: @2246633
     /* 2246633 */ GIM_Try, /*On fail goto*//*Label 29992*/ GIMT_Encode4(2246679), // Rule ID 65255 //
     /* 2246638 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246641 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2246644 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2246647 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246651 */   // MIs[0] Operand 1
     /* 2246651 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246656 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246660 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2246664 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2246664 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2246667 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246669 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246677 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246678 */   // GIR_Coverage, 65255,
     /* 2246678 */   GIR_EraseRootFromParent_Done,
     /* 2246679 */ // Label 29992: @2246679
     /* 2246679 */ GIM_Try, /*On fail goto*//*Label 29993*/ GIMT_Encode4(2246722), // Rule ID 65285 //
     /* 2246684 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246690 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246697 */   // MIs[0] Operand 1
     /* 2246697 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2246702 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246706 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2246710 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 1:{ *:[i64] })
     /* 2246710 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2246713 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246715 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2246720 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246721 */   // GIR_Coverage, 65285,
     /* 2246721 */   GIR_EraseRootFromParent_Done,
     /* 2246722 */ // Label 29993: @2246722
     /* 2246722 */ GIM_Try, /*On fail goto*//*Label 29994*/ GIMT_Encode4(2246768), // Rule ID 65291 //
     /* 2246727 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246733 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246740 */   // MIs[0] Operand 1
     /* 2246740 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2246745 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246749 */   GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2246753 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, 0:{ *:[i64] }, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2246753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2246756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246758 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2246764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246766 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246767 */   // GIR_Coverage, 65291,
     /* 2246767 */   GIR_EraseRootFromParent_Done,
     /* 2246768 */ // Label 29994: @2246768
     /* 2246768 */ GIM_Try, /*On fail goto*//*Label 29995*/ GIMT_Encode4(2246821), // Rule ID 154 //
     /* 2246773 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246776 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246779 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246786 */   // MIs[0] Operand 1
     /* 2246786 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246791 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246795 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2246799 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2246803 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2246807 */   // MIs[1] Operand 1
     /* 2246807 */   // No operand predicates
     /* 2246807 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2246809 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2246809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2246812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246816 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2246819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246820 */   // GIR_Coverage, 154,
     /* 2246820 */   GIR_EraseRootFromParent_Done,
     /* 2246821 */ // Label 29995: @2246821
     /* 2246821 */ GIM_Try, /*On fail goto*//*Label 29996*/ GIMT_Encode4(2246874), // Rule ID 158 //
     /* 2246826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2246832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246839 */   // MIs[0] Operand 1
     /* 2246839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2246844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246848 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2246852 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2246856 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2246860 */   // MIs[1] Operand 1
     /* 2246860 */   // No operand predicates
     /* 2246860 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2246862 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm)
     /* 2246862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2246865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246869 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2246872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246873 */   // GIR_Coverage, 158,
     /* 2246873 */   GIR_EraseRootFromParent_Done,
     /* 2246874 */ // Label 29996: @2246874
     /* 2246874 */ GIM_Try, /*On fail goto*//*Label 29997*/ GIMT_Encode4(2246927), // Rule ID 65241 //
     /* 2246879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2246885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246892 */   // MIs[0] Operand 1
     /* 2246892 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2246897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246901 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2246905 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2246909 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2246913 */   // MIs[1] Operand 1
     /* 2246913 */   // No operand predicates
     /* 2246913 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2246915 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETULT:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2246915 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2246918 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246920 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246922 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2246925 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246926 */   // GIR_Coverage, 65241,
     /* 2246926 */   GIR_EraseRootFromParent_Done,
     /* 2246927 */ // Label 29997: @2246927
     /* 2246927 */ GIM_Try, /*On fail goto*//*Label 29998*/ GIMT_Encode4(2246980), // Rule ID 65245 //
     /* 2246932 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2246938 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246941 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246945 */   // MIs[0] Operand 1
     /* 2246945 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2246950 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246954 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2246958 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2246962 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2246966 */   // MIs[1] Operand 1
     /* 2246966 */   // No operand predicates
     /* 2246966 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2246968 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12, SETLT:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm12)
     /* 2246968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2246971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2246973 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2246975 */   GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm12
     /* 2246978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2246979 */   // GIR_Coverage, 65245,
     /* 2246979 */   GIR_EraseRootFromParent_Done,
     /* 2246980 */ // Label 29998: @2246980
     /* 2246980 */ GIM_Try, /*On fail goto*//*Label 29999*/ GIMT_Encode4(2247057), // Rule ID 65251 //
     /* 2246985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2246988 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2246991 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2246994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2246998 */   // MIs[0] Operand 1
     /* 2246998 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247003 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247007 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247011 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247015 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2247019 */   // MIs[1] Operand 1
     /* 2247019 */   // No operand predicates
     /* 2247019 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247021 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2247021 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247024 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2247028 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247033 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247037 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2247042 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2247047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247049 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247056 */   // GIR_Coverage, 65251,
     /* 2247056 */   GIR_EraseRootFromParent_Done,
     /* 2247057 */ // Label 29999: @2247057
     /* 2247057 */ GIM_Try, /*On fail goto*//*Label 30000*/ GIMT_Encode4(2247137), // Rule ID 65257 //
     /* 2247062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2247068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247075 */   // MIs[0] Operand 1
     /* 2247075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247084 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247088 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247092 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2247096 */   // MIs[1] Operand 1
     /* 2247096 */   // No operand predicates
     /* 2247096 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247098 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2247098 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247101 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2247105 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247110 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247114 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2247119 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247121 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2247124 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247126 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247132 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247136 */   // GIR_Coverage, 65257,
     /* 2247136 */   GIR_EraseRootFromParent_Done,
     /* 2247137 */ // Label 30000: @2247137
     /* 2247137 */ GIM_Try, /*On fail goto*//*Label 30001*/ GIMT_Encode4(2247214), // Rule ID 65261 //
     /* 2247142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2247148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247155 */   // MIs[0] Operand 1
     /* 2247155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247164 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247168 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247172 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2247176 */   // MIs[1] Operand 1
     /* 2247176 */   // No operand predicates
     /* 2247176 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247178 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2247178 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247181 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2247185 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247190 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247194 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2247199 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2247204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247206 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247213 */   // GIR_Coverage, 65261,
     /* 2247213 */   GIR_EraseRootFromParent_Done,
     /* 2247214 */ // Label 30001: @2247214
     /* 2247214 */ GIM_Try, /*On fail goto*//*Label 30002*/ GIMT_Encode4(2247291), // Rule ID 65265 //
     /* 2247219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2247225 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247232 */   // MIs[0] Operand 1
     /* 2247232 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247241 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247245 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247249 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2247253 */   // MIs[1] Operand 1
     /* 2247253 */   // No operand predicates
     /* 2247253 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247255 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2247255 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247258 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2247262 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247267 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247271 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2247276 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247278 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2247281 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247283 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247290 */   // GIR_Coverage, 65265,
     /* 2247290 */   GIR_EraseRootFromParent_Done,
     /* 2247291 */ // Label 30002: @2247291
     /* 2247291 */ GIM_Try, /*On fail goto*//*Label 30003*/ GIMT_Encode4(2247366), // Rule ID 65269 //
     /* 2247296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247302 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247309 */   // MIs[0] Operand 1
     /* 2247309 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247318 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247322 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247326 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2247330 */   // MIs[1] Operand 1
     /* 2247330 */   // No operand predicates
     /* 2247330 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247332 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2247332 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247335 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2247339 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247344 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247348 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2247351 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247353 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2247356 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247358 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247361 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247364 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247365 */   // GIR_Coverage, 65269,
     /* 2247365 */   GIR_EraseRootFromParent_Done,
     /* 2247366 */ // Label 30003: @2247366
     /* 2247366 */ GIM_Try, /*On fail goto*//*Label 30004*/ GIMT_Encode4(2247441), // Rule ID 65273 //
     /* 2247371 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247374 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2247377 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247384 */   // MIs[0] Operand 1
     /* 2247384 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2247389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247393 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247397 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247401 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2247405 */   // MIs[1] Operand 1
     /* 2247405 */   // No operand predicates
     /* 2247405 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247407 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2247407 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247410 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2247414 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247419 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247423 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2247426 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2247431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247433 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247440 */   // GIR_Coverage, 65273,
     /* 2247440 */   GIR_EraseRootFromParent_Done,
     /* 2247441 */ // Label 30004: @2247441
     /* 2247441 */ GIM_Try, /*On fail goto*//*Label 30005*/ GIMT_Encode4(2247496), // Rule ID 65277 //
     /* 2247446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2247452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247459 */   // MIs[0] Operand 1
     /* 2247459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2247464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247468 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247472 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247476 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2247480 */   // MIs[1] Operand 1
     /* 2247480 */   // No operand predicates
     /* 2247480 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247482 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2247482 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2247485 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247487 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247489 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2247494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247495 */   // GIR_Coverage, 65277,
     /* 2247495 */   GIR_EraseRootFromParent_Done,
     /* 2247496 */ // Label 30005: @2247496
     /* 2247496 */ GIM_Try, /*On fail goto*//*Label 30006*/ GIMT_Encode4(2247551), // Rule ID 65281 //
     /* 2247501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2247507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247514 */   // MIs[0] Operand 1
     /* 2247514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2247519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247523 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247527 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247531 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2247535 */   // MIs[1] Operand 1
     /* 2247535 */   // No operand predicates
     /* 2247535 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247537 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2247537 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2247540 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247542 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2247544 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2247549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247550 */   // GIR_Coverage, 65281,
     /* 2247550 */   GIR_EraseRootFromParent_Done,
     /* 2247551 */ // Label 30006: @2247551
     /* 2247551 */ GIM_Try, /*On fail goto*//*Label 30007*/ GIMT_Encode4(2247628), // Rule ID 65287 //
     /* 2247556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247569 */   // MIs[0] Operand 1
     /* 2247569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2247574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247578 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247582 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247586 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2247590 */   // MIs[1] Operand 1
     /* 2247590 */   // No operand predicates
     /* 2247590 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247592 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)), 1:{ *:[i64] })
     /* 2247592 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247595 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2247599 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247604 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247608 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2247613 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2247618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247620 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247623 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247626 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247627 */   // GIR_Coverage, 65287,
     /* 2247627 */   GIR_EraseRootFromParent_Done,
     /* 2247628 */ // Label 30007: @2247628
     /* 2247628 */ GIM_Try, /*On fail goto*//*Label 30008*/ GIMT_Encode4(2247708), // Rule ID 65293 //
     /* 2247633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247636 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247639 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247642 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247646 */   // MIs[0] Operand 1
     /* 2247646 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2247651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247655 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247659 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247663 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Plus1),
     /* 2247667 */   // MIs[1] Operand 1
     /* 2247667 */   // No operand predicates
     /* 2247667 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247669 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (ADDI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (NegImm:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Plus1>>:$imm12)))
     /* 2247669 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247672 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::ADDI),
     /* 2247676 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247681 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247685 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderNegImm), // imm12
     /* 2247690 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247692 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2247695 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247697 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2247703 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247707 */   // GIR_Coverage, 65293,
     /* 2247707 */   GIR_EraseRootFromParent_Done,
     /* 2247708 */ // Label 30008: @2247708
     /* 2247708 */ GIM_Try, /*On fail goto*//*Label 30009*/ GIMT_Encode4(2247785), // Rule ID 65297 //
     /* 2247713 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247719 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247722 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247726 */   // MIs[0] Operand 1
     /* 2247726 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2247731 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247735 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247739 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247743 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2247747 */   // MIs[1] Operand 1
     /* 2247747 */   // No operand predicates
     /* 2247747 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247749 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETUGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm)), 1:{ *:[i64] })
     /* 2247749 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247752 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2247756 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247761 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247765 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2247770 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2247775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247777 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247783 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247784 */   // GIR_Coverage, 65297,
     /* 2247784 */   GIR_EraseRootFromParent_Done,
     /* 2247785 */ // Label 30009: @2247785
     /* 2247785 */ GIM_Try, /*On fail goto*//*Label 30010*/ GIMT_Encode4(2247862), // Rule ID 65301 //
     /* 2247790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247793 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247796 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247803 */   // MIs[0] Operand 1
     /* 2247803 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2247808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247812 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247816 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247820 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2247824 */   // MIs[1] Operand 1
     /* 2247824 */   // No operand predicates
     /* 2247824 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247826 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETGT:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm)), 1:{ *:[i64] })
     /* 2247826 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247829 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2247833 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247838 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247842 */   GIR_CustomRenderer, /*InsnID*/1, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2247847 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247849 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2247852 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247854 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247861 */   // GIR_Coverage, 65301,
     /* 2247861 */   GIR_EraseRootFromParent_Done,
     /* 2247862 */ // Label 30010: @2247862
     /* 2247862 */ GIM_Try, /*On fail goto*//*Label 30011*/ GIMT_Encode4(2247937), // Rule ID 65305 //
     /* 2247867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247880 */   // MIs[0] Operand 1
     /* 2247880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2247885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247889 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247893 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247897 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2247901 */   // MIs[1] Operand 1
     /* 2247901 */   // No operand predicates
     /* 2247901 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247903 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTIU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2247903 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247906 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2247910 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247915 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247919 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2247922 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2247927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2247929 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2247932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2247935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2247936 */   // GIR_Coverage, 65305,
     /* 2247936 */   GIR_EraseRootFromParent_Done,
     /* 2247937 */ // Label 30011: @2247937
     /* 2247937 */ GIM_Try, /*On fail goto*//*Label 30012*/ GIMT_Encode4(2248012), // Rule ID 65309 //
     /* 2247942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2247945 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2247948 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2247951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247955 */   // MIs[0] Operand 1
     /* 2247955 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2247960 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2247964 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2247968 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2247972 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12),
     /* 2247976 */   // MIs[1] Operand 1
     /* 2247976 */   // No operand predicates
     /* 2247976 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2247978 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTI:{ *:[i16] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12>>:$imm), 1:{ *:[i64] })
     /* 2247978 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2247981 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2247985 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2247990 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2247994 */   GIR_CopyConstantAsSImm, /*NewInsnID*/1, /*OldInsnID*/1, // imm
     /* 2247997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2247999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2248002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248007 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2248010 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248011 */   // GIR_Coverage, 65309,
     /* 2248011 */   GIR_EraseRootFromParent_Done,
     /* 2248012 */ // Label 30012: @2248012
     /* 2248012 */ GIM_Try, /*On fail goto*//*Label 30013*/ GIMT_Encode4(2248067), // Rule ID 65313 //
     /* 2248017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248023 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2248026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248030 */   // MIs[0] Operand 1
     /* 2248030 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248035 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248039 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2248043 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2248047 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1NonzeroNonNeg1),
     /* 2248051 */   // MIs[1] Operand 1
     /* 2248051 */   // No operand predicates
     /* 2248051 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2248053 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm, SETULE:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1NonzeroNonNeg1>>:$imm))
     /* 2248053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2248056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248060 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2248065 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248066 */   // GIR_Coverage, 65313,
     /* 2248066 */   GIR_EraseRootFromParent_Done,
     /* 2248067 */ // Label 30013: @2248067
     /* 2248067 */ GIM_Try, /*On fail goto*//*Label 30014*/ GIMT_Encode4(2248122), // Rule ID 65317 //
     /* 2248072 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248078 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2248081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248085 */   // MIs[0] Operand 1
     /* 2248085 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248090 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248094 */   GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2248098 */   GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2248102 */   GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_simm12Minus1Nonzero),
     /* 2248106 */   // MIs[1] Operand 1
     /* 2248106 */   // No operand predicates
     /* 2248106 */   GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2248108 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm, SETLE:{ *:[Other] })  =>  (SLTI:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmPlus1:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_simm12Minus1Nonzero>>:$imm))
     /* 2248108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTI),
     /* 2248111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248113 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248115 */   GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmPlus1), // imm
     /* 2248120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248121 */   // GIR_Coverage, 65317,
     /* 2248121 */   GIR_EraseRootFromParent_Done,
     /* 2248122 */ // Label 30014: @2248122
     /* 2248122 */ GIM_Try, /*On fail goto*//*Label 30015*/ GIMT_Encode4(2248164), // Rule ID 64455 //
     /* 2248127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2248130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2248136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248140 */   // MIs[0] Operand 1
     /* 2248140 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248149 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248153 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (CV_SLE:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2248153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLE),
     /* 2248156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248158 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248160 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248162 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248163 */   // GIR_Coverage, 64455,
     /* 2248163 */   GIR_EraseRootFromParent_Done,
     /* 2248164 */ // Label 30015: @2248164
     /* 2248164 */ GIM_Try, /*On fail goto*//*Label 30016*/ GIMT_Encode4(2248206), // Rule ID 64457 //
     /* 2248169 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2248172 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248175 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2248178 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248182 */   // MIs[0] Operand 1
     /* 2248182 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248187 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248191 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248195 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (CV_SLEU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2248195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_SLEU),
     /* 2248198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248202 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248205 */   // GIR_Coverage, 64457,
     /* 2248205 */   GIR_EraseRootFromParent_Done,
     /* 2248206 */ // Label 30016: @2248206
     /* 2248206 */ GIM_Try, /*On fail goto*//*Label 30017*/ GIMT_Encode4(2248248), // Rule ID 152 //
     /* 2248211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2248220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248224 */   // MIs[0] Operand 1
     /* 2248224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248237 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2248237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2248240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248242 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248247 */   // GIR_Coverage, 152,
     /* 2248247 */   GIR_EraseRootFromParent_Done,
     /* 2248248 */ // Label 30017: @2248248
     /* 2248248 */ GIM_Try, /*On fail goto*//*Label 30018*/ GIMT_Encode4(2248290), // Rule ID 156 //
     /* 2248253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2248262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248266 */   // MIs[0] Operand 1
     /* 2248266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248279 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2248279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2248282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248288 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248289 */   // GIR_Coverage, 156,
     /* 2248289 */   GIR_EraseRootFromParent_Done,
     /* 2248290 */ // Label 30018: @2248290
     /* 2248290 */ GIM_Try, /*On fail goto*//*Label 30019*/ GIMT_Encode4(2248332), // Rule ID 65243 //
     /* 2248295 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248301 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248304 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248308 */   // MIs[0] Operand 1
     /* 2248308 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2248313 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248317 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248321 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2248321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2248324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248326 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248328 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248331 */   // GIR_Coverage, 65243,
     /* 2248331 */   GIR_EraseRootFromParent_Done,
     /* 2248332 */ // Label 30019: @2248332
     /* 2248332 */ GIM_Try, /*On fail goto*//*Label 30020*/ GIMT_Encode4(2248374), // Rule ID 65247 //
     /* 2248337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248350 */   // MIs[0] Operand 1
     /* 2248350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2248355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248363 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2248363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2248366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248373 */   // GIR_Coverage, 65247,
     /* 2248373 */   GIR_EraseRootFromParent_Done,
     /* 2248374 */ // Label 30020: @2248374
     /* 2248374 */ GIM_Try, /*On fail goto*//*Label 30021*/ GIMT_Encode4(2248440), // Rule ID 65253 //
     /* 2248379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248385 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248392 */   // MIs[0] Operand 1
     /* 2248392 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248401 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248405 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2248405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2248408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2248412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248417 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2248421 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2248425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2248430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2248438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248439 */   // GIR_Coverage, 65253,
     /* 2248439 */   GIR_EraseRootFromParent_Done,
     /* 2248440 */ // Label 30021: @2248440
     /* 2248440 */ GIM_Try, /*On fail goto*//*Label 30022*/ GIMT_Encode4(2248509), // Rule ID 65259 //
     /* 2248445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248458 */   // MIs[0] Operand 1
     /* 2248458 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248467 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248471 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2248471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2248474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2248478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248483 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2248487 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2248491 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2248496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248498 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248504 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248508 */   // GIR_Coverage, 65259,
     /* 2248508 */   GIR_EraseRootFromParent_Done,
     /* 2248509 */ // Label 30022: @2248509
     /* 2248509 */ GIM_Try, /*On fail goto*//*Label 30023*/ GIMT_Encode4(2248551), // Rule ID 65263 //
     /* 2248514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248527 */   // MIs[0] Operand 1
     /* 2248527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2248532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248540 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2248540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2248543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248545 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248550 */   // GIR_Coverage, 65263,
     /* 2248550 */   GIR_EraseRootFromParent_Done,
     /* 2248551 */ // Label 30023: @2248551
     /* 2248551 */ GIM_Try, /*On fail goto*//*Label 30024*/ GIMT_Encode4(2248593), // Rule ID 65267 //
     /* 2248556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248569 */   // MIs[0] Operand 1
     /* 2248569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2248574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248582 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2248582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2248585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248587 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2248589 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2248591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248592 */   // GIR_Coverage, 65267,
     /* 2248592 */   GIR_EraseRootFromParent_Done,
     /* 2248593 */ // Label 30024: @2248593
     /* 2248593 */ GIM_Try, /*On fail goto*//*Label 30025*/ GIMT_Encode4(2248659), // Rule ID 65271 //
     /* 2248598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248604 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248607 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248611 */   // MIs[0] Operand 1
     /* 2248611 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2248616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248620 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248624 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2248624 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2248627 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2248631 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248636 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2248640 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2248644 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2248649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248651 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2248657 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248658 */   // GIR_Coverage, 65271,
     /* 2248658 */   GIR_EraseRootFromParent_Done,
     /* 2248659 */ // Label 30025: @2248659
     /* 2248659 */ GIM_Try, /*On fail goto*//*Label 30026*/ GIMT_Encode4(2248725), // Rule ID 65275 //
     /* 2248664 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248670 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248677 */   // MIs[0] Operand 1
     /* 2248677 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2248682 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248686 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248690 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2248690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2248693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2248697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248702 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2248706 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2248710 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248712 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2248715 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248717 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2248723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248724 */   // GIR_Coverage, 65275,
     /* 2248724 */   GIR_EraseRootFromParent_Done,
     /* 2248725 */ // Label 30026: @2248725
     /* 2248725 */ GIM_Try, /*On fail goto*//*Label 30027*/ GIMT_Encode4(2248791), // Rule ID 65279 //
     /* 2248730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248743 */   // MIs[0] Operand 1
     /* 2248743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2248748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248756 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2248756 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2248759 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2248763 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248768 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2248772 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2248776 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2248781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248783 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2248789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248790 */   // GIR_Coverage, 65279,
     /* 2248790 */   GIR_EraseRootFromParent_Done,
     /* 2248791 */ // Label 30027: @2248791
     /* 2248791 */ GIM_Try, /*On fail goto*//*Label 30028*/ GIMT_Encode4(2248857), // Rule ID 65283 //
     /* 2248796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_p0s64,
     /* 2248802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_p0s64,
     /* 2248805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248809 */   // MIs[0] Operand 1
     /* 2248809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2248814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248822 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2248822 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2248825 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2248829 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248834 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2248838 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2248842 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2248847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248849 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2248855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248856 */   // GIR_Coverage, 65283,
     /* 2248856 */   GIR_EraseRootFromParent_Done,
     /* 2248857 */ // Label 30028: @2248857
     /* 2248857 */ GIM_Try, /*On fail goto*//*Label 30029*/ GIMT_Encode4(2248923), // Rule ID 65289 //
     /* 2248862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2248871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248875 */   // MIs[0] Operand 1
     /* 2248875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2248880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248888 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (SLTIU:{ *:[i64] } (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2248888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2248891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2248895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248900 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2248904 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2248908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTIU),
     /* 2248913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2248921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248922 */   // GIR_Coverage, 65289,
     /* 2248922 */   GIR_EraseRootFromParent_Done,
     /* 2248923 */ // Label 30029: @2248923
     /* 2248923 */ GIM_Try, /*On fail goto*//*Label 30030*/ GIMT_Encode4(2248992), // Rule ID 65295 //
     /* 2248928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2248931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2248934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2248937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248941 */   // MIs[0] Operand 1
     /* 2248941 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2248946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248950 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2248954 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETNE:{ *:[Other] })  =>  (SLTU:{ *:[i64] } X0:{ *:[i64] }, (XOR:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2))
     /* 2248954 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2248957 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::XOR),
     /* 2248961 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2248966 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2248970 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2248974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2248976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2248979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2248981 */   GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2248987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2248990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2248991 */   // GIR_Coverage, 65295,
     /* 2248991 */   GIR_EraseRootFromParent_Done,
     /* 2248992 */ // Label 30030: @2248992
     /* 2248992 */ GIM_Try, /*On fail goto*//*Label 30031*/ GIMT_Encode4(2249034), // Rule ID 65299 //
     /* 2248997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2249000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2249003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249010 */   // MIs[0] Operand 1
     /* 2249010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2249015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249023 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGT:{ *:[Other] })  =>  (SLTU:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2249023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2249026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249028 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249030 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249033 */   // GIR_Coverage, 65299,
     /* 2249033 */   GIR_EraseRootFromParent_Done,
     /* 2249034 */ // Label 30031: @2249034
     /* 2249034 */ GIM_Try, /*On fail goto*//*Label 30032*/ GIMT_Encode4(2249076), // Rule ID 65303 //
     /* 2249039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2249042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2249045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249052 */   // MIs[0] Operand 1
     /* 2249052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249065 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGT:{ *:[Other] })  =>  (SLT:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1)
     /* 2249065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2249068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249070 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249072 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249075 */   // GIR_Coverage, 65303,
     /* 2249075 */   GIR_EraseRootFromParent_Done,
     /* 2249076 */ // Label 30032: @2249076
     /* 2249076 */ GIM_Try, /*On fail goto*//*Label 30033*/ GIMT_Encode4(2249142), // Rule ID 65307 //
     /* 2249081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2249084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2249087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249094 */   // MIs[0] Operand 1
     /* 2249094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2249099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249107 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETUGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2249107 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2249110 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2249114 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249119 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2249123 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2249127 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249129 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2249132 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249134 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2249140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249141 */   // GIR_Coverage, 65307,
     /* 2249141 */   GIR_EraseRootFromParent_Done,
     /* 2249142 */ // Label 30033: @2249142
     /* 2249142 */ GIM_Try, /*On fail goto*//*Label 30034*/ GIMT_Encode4(2249208), // Rule ID 65311 //
     /* 2249147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2249150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2249153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249160 */   // MIs[0] Operand 1
     /* 2249160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2249165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249169 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249173 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETGE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2), 1:{ *:[i64] })
     /* 2249173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2249176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2249180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249185 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2249189 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2249193 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2249198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249200 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2249206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249207 */   // GIR_Coverage, 65311,
     /* 2249207 */   GIR_EraseRootFromParent_Done,
     /* 2249208 */ // Label 30034: @2249208
     /* 2249208 */ GIM_Try, /*On fail goto*//*Label 30035*/ GIMT_Encode4(2249274), // Rule ID 65315 //
     /* 2249213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2249216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2249219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249226 */   // MIs[0] Operand 1
     /* 2249226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2249231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249239 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETULE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLTU:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2249239 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2249242 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLTU),
     /* 2249246 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249251 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2249255 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2249259 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2249264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249266 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2249272 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249273 */   // GIR_Coverage, 65315,
     /* 2249273 */   GIR_EraseRootFromParent_Done,
     /* 2249274 */ // Label 30035: @2249274
     /* 2249274 */ GIM_Try, /*On fail goto*//*Label 30036*/ GIMT_Encode4(2249340), // Rule ID 65319 //
     /* 2249279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HwMode0),
     /* 2249282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2249285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2249288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249292 */   // MIs[0] Operand 1
     /* 2249292 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2249297 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249301 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2249305 */   // (setcc:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, SETLE:{ *:[Other] })  =>  (XORI:{ *:[i64] } (SLT:{ *:[i16] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1), 1:{ *:[i64] })
     /* 2249305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2249308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLT),
     /* 2249312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2249317 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/3, // rs2
     /* 2249321 */   GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs1
     /* 2249325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2249327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2249330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249332 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2249335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2249338 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249339 */   // GIR_Coverage, 65319,
     /* 2249339 */   GIR_EraseRootFromParent_Done,
     /* 2249340 */ // Label 30036: @2249340
     /* 2249340 */ GIM_Reject,
     /* 2249341 */ // Label 29935: @2249341
     /* 2249341 */ GIM_Try, /*On fail goto*//*Label 30037*/ GIMT_Encode4(2249389), // Rule ID 45776 //
     /* 2249346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2249352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2249355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249359 */   // MIs[0] Operand 1
     /* 2249359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249372 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2249375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249379 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249388 */   // GIR_Coverage, 45776,
     /* 2249388 */   GIR_EraseRootFromParent_Done,
     /* 2249389 */ // Label 30037: @2249389
     /* 2249389 */ GIM_Try, /*On fail goto*//*Label 30038*/ GIMT_Encode4(2249437), // Rule ID 45777 //
     /* 2249394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2249400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2249403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249407 */   // MIs[0] Operand 1
     /* 2249407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249420 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF8),
     /* 2249423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249425 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249427 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249436 */   // GIR_Coverage, 45777,
     /* 2249436 */   GIR_EraseRootFromParent_Done,
     /* 2249437 */ // Label 30038: @2249437
     /* 2249437 */ GIM_Try, /*On fail goto*//*Label 30039*/ GIMT_Encode4(2249485), // Rule ID 45778 //
     /* 2249442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2249448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2249451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249455 */   // MIs[0] Operand 1
     /* 2249455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249468 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2249471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249473 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249475 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249484 */   // GIR_Coverage, 45778,
     /* 2249484 */   GIR_EraseRootFromParent_Done,
     /* 2249485 */ // Label 30039: @2249485
     /* 2249485 */ GIM_Try, /*On fail goto*//*Label 30040*/ GIMT_Encode4(2249533), // Rule ID 45779 //
     /* 2249490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2249496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2249499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249503 */   // MIs[0] Operand 1
     /* 2249503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2249508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249516 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2249519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249521 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2249523 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2249525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249532 */   // GIR_Coverage, 45779,
     /* 2249532 */   GIR_EraseRootFromParent_Done,
     /* 2249533 */ // Label 30040: @2249533
     /* 2249533 */ GIM_Try, /*On fail goto*//*Label 30041*/ GIMT_Encode4(2249581), // Rule ID 48490 //
     /* 2249538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2249544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2249547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249551 */   // MIs[0] Operand 1
     /* 2249551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249564 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2249567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249580 */   // GIR_Coverage, 48490,
     /* 2249580 */   GIR_EraseRootFromParent_Done,
     /* 2249581 */ // Label 30041: @2249581
     /* 2249581 */ GIM_Try, /*On fail goto*//*Label 30042*/ GIMT_Encode4(2249629), // Rule ID 48491 //
     /* 2249586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2249592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2249595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249599 */   // MIs[0] Operand 1
     /* 2249599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249612 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2249615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249628 */   // GIR_Coverage, 48491,
     /* 2249628 */   GIR_EraseRootFromParent_Done,
     /* 2249629 */ // Label 30042: @2249629
     /* 2249629 */ GIM_Try, /*On fail goto*//*Label 30043*/ GIMT_Encode4(2249677), // Rule ID 48494 //
     /* 2249634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2249640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2249643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249647 */   // MIs[0] Operand 1
     /* 2249647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249660 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2249660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2249663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249665 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249667 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249676 */   // GIR_Coverage, 48494,
     /* 2249676 */   GIR_EraseRootFromParent_Done,
     /* 2249677 */ // Label 30043: @2249677
     /* 2249677 */ GIM_Try, /*On fail goto*//*Label 30044*/ GIMT_Encode4(2249725), // Rule ID 48495 //
     /* 2249682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2249688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2249691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249695 */   // MIs[0] Operand 1
     /* 2249695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249708 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2249708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2249711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249713 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2249723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249724 */   // GIR_Coverage, 48495,
     /* 2249724 */   GIR_EraseRootFromParent_Done,
     /* 2249725 */ // Label 30044: @2249725
     /* 2249725 */ GIM_Try, /*On fail goto*//*Label 30045*/ GIMT_Encode4(2249773), // Rule ID 48502 //
     /* 2249730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2249733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2249736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2249739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249743 */   // MIs[0] Operand 1
     /* 2249743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249756 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2249756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2249759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249761 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249772 */   // GIR_Coverage, 48502,
     /* 2249772 */   GIR_EraseRootFromParent_Done,
     /* 2249773 */ // Label 30045: @2249773
     /* 2249773 */ GIM_Try, /*On fail goto*//*Label 30046*/ GIMT_Encode4(2249821), // Rule ID 48503 //
     /* 2249778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2249781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2249784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2249787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249791 */   // MIs[0] Operand 1
     /* 2249791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2249796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249804 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2249804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2249807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249809 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2249819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249820 */   // GIR_Coverage, 48503,
     /* 2249820 */   GIR_EraseRootFromParent_Done,
     /* 2249821 */ // Label 30046: @2249821
     /* 2249821 */ GIM_Try, /*On fail goto*//*Label 30047*/ GIMT_Encode4(2249869), // Rule ID 48528 //
     /* 2249826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2249832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2249835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249839 */   // MIs[0] Operand 1
     /* 2249839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249852 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2249852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2249855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249868 */   // GIR_Coverage, 48528,
     /* 2249868 */   GIR_EraseRootFromParent_Done,
     /* 2249869 */ // Label 30047: @2249869
     /* 2249869 */ GIM_Try, /*On fail goto*//*Label 30048*/ GIMT_Encode4(2249917), // Rule ID 48529 //
     /* 2249874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2249880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2249883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249887 */   // MIs[0] Operand 1
     /* 2249887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249900 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2249900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF8),
     /* 2249903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2249915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249916 */   // GIR_Coverage, 48529,
     /* 2249916 */   GIR_EraseRootFromParent_Done,
     /* 2249917 */ // Label 30048: @2249917
     /* 2249917 */ GIM_Try, /*On fail goto*//*Label 30049*/ GIMT_Encode4(2249965), // Rule ID 48534 //
     /* 2249922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2249925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2249928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2249931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249935 */   // MIs[0] Operand 1
     /* 2249935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249948 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2249948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2249951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2249953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2249955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2249957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2249960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2249963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2249964 */   // GIR_Coverage, 48534,
     /* 2249964 */   GIR_EraseRootFromParent_Done,
     /* 2249965 */ // Label 30049: @2249965
     /* 2249965 */ GIM_Try, /*On fail goto*//*Label 30050*/ GIMT_Encode4(2250013), // Rule ID 48535 //
     /* 2249970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2249973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2249976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2249979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249983 */   // MIs[0] Operand 1
     /* 2249983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2249988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2249996 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2249996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2249999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250003 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250012 */   // GIR_Coverage, 48535,
     /* 2250012 */   GIR_EraseRootFromParent_Done,
     /* 2250013 */ // Label 30050: @2250013
     /* 2250013 */ GIM_Try, /*On fail goto*//*Label 30051*/ GIMT_Encode4(2250061), // Rule ID 48538 //
     /* 2250018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2250024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2250027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250031 */   // MIs[0] Operand 1
     /* 2250031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250044 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2250047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250060 */   // GIR_Coverage, 48538,
     /* 2250060 */   GIR_EraseRootFromParent_Done,
     /* 2250061 */ // Label 30051: @2250061
     /* 2250061 */ GIM_Try, /*On fail goto*//*Label 30052*/ GIMT_Encode4(2250109), // Rule ID 48539 //
     /* 2250066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2250072 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2250075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250079 */   // MIs[0] Operand 1
     /* 2250079 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250088 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250092 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2250095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250099 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250108 */   // GIR_Coverage, 48539,
     /* 2250108 */   GIR_EraseRootFromParent_Done,
     /* 2250109 */ // Label 30052: @2250109
     /* 2250109 */ GIM_Try, /*On fail goto*//*Label 30053*/ GIMT_Encode4(2250157), // Rule ID 48546 //
     /* 2250114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2250120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2250123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250127 */   // MIs[0] Operand 1
     /* 2250127 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250136 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250140 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2250143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250145 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250147 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250156 */   // GIR_Coverage, 48546,
     /* 2250156 */   GIR_EraseRootFromParent_Done,
     /* 2250157 */ // Label 30053: @2250157
     /* 2250157 */ GIM_Try, /*On fail goto*//*Label 30054*/ GIMT_Encode4(2250205), // Rule ID 48547 //
     /* 2250162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2250168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2250171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250175 */   // MIs[0] Operand 1
     /* 2250175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2250180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250184 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250188 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2250191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250193 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250195 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250204 */   // GIR_Coverage, 48547,
     /* 2250204 */   GIR_EraseRootFromParent_Done,
     /* 2250205 */ // Label 30054: @2250205
     /* 2250205 */ GIM_Try, /*On fail goto*//*Label 30055*/ GIMT_Encode4(2250253), // Rule ID 48572 //
     /* 2250210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2250216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2250219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250223 */   // MIs[0] Operand 1
     /* 2250223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250236 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2250239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250241 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250243 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250252 */   // GIR_Coverage, 48572,
     /* 2250252 */   GIR_EraseRootFromParent_Done,
     /* 2250253 */ // Label 30055: @2250253
     /* 2250253 */ GIM_Try, /*On fail goto*//*Label 30056*/ GIMT_Encode4(2250301), // Rule ID 48573 //
     /* 2250258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2250264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2250267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250271 */   // MIs[0] Operand 1
     /* 2250271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250280 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250284 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF8),
     /* 2250287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250289 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250291 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250300 */   // GIR_Coverage, 48573,
     /* 2250300 */   GIR_EraseRootFromParent_Done,
     /* 2250301 */ // Label 30056: @2250301
     /* 2250301 */ GIM_Try, /*On fail goto*//*Label 30057*/ GIMT_Encode4(2250349), // Rule ID 48578 //
     /* 2250306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2250312 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2250315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250319 */   // MIs[0] Operand 1
     /* 2250319 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250328 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250332 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2250335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250337 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250339 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250348 */   // GIR_Coverage, 48578,
     /* 2250348 */   GIR_EraseRootFromParent_Done,
     /* 2250349 */ // Label 30057: @2250349
     /* 2250349 */ GIM_Try, /*On fail goto*//*Label 30058*/ GIMT_Encode4(2250397), // Rule ID 48579 //
     /* 2250354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250357 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2250360 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2250363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250367 */   // MIs[0] Operand 1
     /* 2250367 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250376 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250380 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2250383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250385 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250387 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250396 */   // GIR_Coverage, 48579,
     /* 2250396 */   GIR_EraseRootFromParent_Done,
     /* 2250397 */ // Label 30058: @2250397
     /* 2250397 */ GIM_Try, /*On fail goto*//*Label 30059*/ GIMT_Encode4(2250445), // Rule ID 48582 //
     /* 2250402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250405 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2250408 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2250411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250415 */   // MIs[0] Operand 1
     /* 2250415 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250420 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250424 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250428 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250428 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2250431 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250433 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250435 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250444 */   // GIR_Coverage, 48582,
     /* 2250444 */   GIR_EraseRootFromParent_Done,
     /* 2250445 */ // Label 30059: @2250445
     /* 2250445 */ GIM_Try, /*On fail goto*//*Label 30060*/ GIMT_Encode4(2250493), // Rule ID 48583 //
     /* 2250450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2250456 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2250459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250463 */   // MIs[0] Operand 1
     /* 2250463 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250472 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250476 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250476 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2250479 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250481 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250483 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250485 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250491 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250492 */   // GIR_Coverage, 48583,
     /* 2250492 */   GIR_EraseRootFromParent_Done,
     /* 2250493 */ // Label 30060: @2250493
     /* 2250493 */ GIM_Try, /*On fail goto*//*Label 30061*/ GIMT_Encode4(2250541), // Rule ID 48590 //
     /* 2250498 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2250504 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2250507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250511 */   // MIs[0] Operand 1
     /* 2250511 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250520 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250524 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2250527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250529 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250531 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250539 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250540 */   // GIR_Coverage, 48590,
     /* 2250540 */   GIR_EraseRootFromParent_Done,
     /* 2250541 */ // Label 30061: @2250541
     /* 2250541 */ GIM_Try, /*On fail goto*//*Label 30062*/ GIMT_Encode4(2250589), // Rule ID 48591 //
     /* 2250546 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2250552 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2250555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250559 */   // MIs[0] Operand 1
     /* 2250559 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2250564 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250568 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250572 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2250575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250577 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250579 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250588 */   // GIR_Coverage, 48591,
     /* 2250588 */   GIR_EraseRootFromParent_Done,
     /* 2250589 */ // Label 30062: @2250589
     /* 2250589 */ GIM_Try, /*On fail goto*//*Label 30063*/ GIMT_Encode4(2250637), // Rule ID 48620 //
     /* 2250594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250597 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2250600 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2250603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250607 */   // MIs[0] Operand 1
     /* 2250607 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250616 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250620 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2250620 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2250623 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250625 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250627 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250636 */   // GIR_Coverage, 48620,
     /* 2250636 */   GIR_EraseRootFromParent_Done,
     /* 2250637 */ // Label 30063: @2250637
     /* 2250637 */ GIM_Try, /*On fail goto*//*Label 30064*/ GIMT_Encode4(2250685), // Rule ID 48621 //
     /* 2250642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250645 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2250648 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2250651 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250655 */   // MIs[0] Operand 1
     /* 2250655 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250660 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250664 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250668 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2250668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2250671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250673 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250675 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2250683 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250684 */   // GIR_Coverage, 48621,
     /* 2250684 */   GIR_EraseRootFromParent_Done,
     /* 2250685 */ // Label 30064: @2250685
     /* 2250685 */ GIM_Try, /*On fail goto*//*Label 30065*/ GIMT_Encode4(2250733), // Rule ID 48624 //
     /* 2250690 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2250696 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2250699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250703 */   // MIs[0] Operand 1
     /* 2250703 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250708 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250712 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250716 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2250716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2250719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250721 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250723 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250731 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250732 */   // GIR_Coverage, 48624,
     /* 2250732 */   GIR_EraseRootFromParent_Done,
     /* 2250733 */ // Label 30065: @2250733
     /* 2250733 */ GIM_Try, /*On fail goto*//*Label 30066*/ GIMT_Encode4(2250781), // Rule ID 48625 //
     /* 2250738 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2250744 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2250747 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250751 */   // MIs[0] Operand 1
     /* 2250751 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250756 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250760 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250764 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2250764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2250767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250769 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250771 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2250779 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250780 */   // GIR_Coverage, 48625,
     /* 2250780 */   GIR_EraseRootFromParent_Done,
     /* 2250781 */ // Label 30066: @2250781
     /* 2250781 */ GIM_Try, /*On fail goto*//*Label 30067*/ GIMT_Encode4(2250829), // Rule ID 48632 //
     /* 2250786 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2250789 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2250792 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2250795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250799 */   // MIs[0] Operand 1
     /* 2250799 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250804 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250808 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250812 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2250812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2250815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250817 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250819 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250827 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250828 */   // GIR_Coverage, 48632,
     /* 2250828 */   GIR_EraseRootFromParent_Done,
     /* 2250829 */ // Label 30067: @2250829
     /* 2250829 */ GIM_Try, /*On fail goto*//*Label 30068*/ GIMT_Encode4(2250877), // Rule ID 48633 //
     /* 2250834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2250837 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2250840 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2250843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250847 */   // MIs[0] Operand 1
     /* 2250847 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2250852 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250856 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250860 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2250860 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2250863 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250865 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2250867 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2250869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2250875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250876 */   // GIR_Coverage, 48633,
     /* 2250876 */   GIR_EraseRootFromParent_Done,
     /* 2250877 */ // Label 30068: @2250877
     /* 2250877 */ GIM_Try, /*On fail goto*//*Label 30069*/ GIMT_Encode4(2250925), // Rule ID 48658 //
     /* 2250882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250885 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2250888 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2250891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250895 */   // MIs[0] Operand 1
     /* 2250895 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250904 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250908 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2250908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2250911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250913 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250915 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250923 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250924 */   // GIR_Coverage, 48658,
     /* 2250924 */   GIR_EraseRootFromParent_Done,
     /* 2250925 */ // Label 30069: @2250925
     /* 2250925 */ GIM_Try, /*On fail goto*//*Label 30070*/ GIMT_Encode4(2250973), // Rule ID 48659 //
     /* 2250930 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2250933 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2250936 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2250939 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250943 */   // MIs[0] Operand 1
     /* 2250943 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250952 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250956 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2250956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2250959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2250961 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2250963 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2250965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2250968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2250971 */   GIR_RootConstrainSelectedInstOperands,
     /* 2250972 */   // GIR_Coverage, 48659,
     /* 2250972 */   GIR_EraseRootFromParent_Done,
     /* 2250973 */ // Label 30070: @2250973
     /* 2250973 */ GIM_Try, /*On fail goto*//*Label 30071*/ GIMT_Encode4(2251021), // Rule ID 48664 //
     /* 2250978 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2250981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2250984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2250987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2250991 */   // MIs[0] Operand 1
     /* 2250991 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2250996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251000 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251004 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2251007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251009 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251011 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251019 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251020 */   // GIR_Coverage, 48664,
     /* 2251020 */   GIR_EraseRootFromParent_Done,
     /* 2251021 */ // Label 30071: @2251021
     /* 2251021 */ GIM_Try, /*On fail goto*//*Label 30072*/ GIMT_Encode4(2251069), // Rule ID 48665 //
     /* 2251026 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251029 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2251032 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2251035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251039 */   // MIs[0] Operand 1
     /* 2251039 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251048 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251052 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251052 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2251055 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251057 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251059 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251068 */   // GIR_Coverage, 48665,
     /* 2251068 */   GIR_EraseRootFromParent_Done,
     /* 2251069 */ // Label 30072: @2251069
     /* 2251069 */ GIM_Try, /*On fail goto*//*Label 30073*/ GIMT_Encode4(2251117), // Rule ID 48668 //
     /* 2251074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251077 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2251080 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2251083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251087 */   // MIs[0] Operand 1
     /* 2251087 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251096 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251100 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251100 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2251103 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251105 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251107 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251115 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251116 */   // GIR_Coverage, 48668,
     /* 2251116 */   GIR_EraseRootFromParent_Done,
     /* 2251117 */ // Label 30073: @2251117
     /* 2251117 */ GIM_Try, /*On fail goto*//*Label 30074*/ GIMT_Encode4(2251165), // Rule ID 48669 //
     /* 2251122 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251125 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2251128 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2251131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251135 */   // MIs[0] Operand 1
     /* 2251135 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251144 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251148 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2251151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251153 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251155 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251164 */   // GIR_Coverage, 48669,
     /* 2251164 */   GIR_EraseRootFromParent_Done,
     /* 2251165 */ // Label 30074: @2251165
     /* 2251165 */ GIM_Try, /*On fail goto*//*Label 30075*/ GIMT_Encode4(2251213), // Rule ID 48676 //
     /* 2251170 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2251173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2251176 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2251179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251183 */   // MIs[0] Operand 1
     /* 2251183 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251192 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251196 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2251199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251201 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251203 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251211 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251212 */   // GIR_Coverage, 48676,
     /* 2251212 */   GIR_EraseRootFromParent_Done,
     /* 2251213 */ // Label 30075: @2251213
     /* 2251213 */ GIM_Try, /*On fail goto*//*Label 30076*/ GIMT_Encode4(2251261), // Rule ID 48677 //
     /* 2251218 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2251221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2251224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2251227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251231 */   // MIs[0] Operand 1
     /* 2251231 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2251236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251240 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251244 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2251247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251249 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251251 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251259 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251260 */   // GIR_Coverage, 48677,
     /* 2251260 */   GIR_EraseRootFromParent_Done,
     /* 2251261 */ // Label 30076: @2251261
     /* 2251261 */ GIM_Try, /*On fail goto*//*Label 30077*/ GIMT_Encode4(2251309), // Rule ID 48702 //
     /* 2251266 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2251272 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2251275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251279 */   // MIs[0] Operand 1
     /* 2251279 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251288 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251292 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251292 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2251295 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251297 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251307 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251308 */   // GIR_Coverage, 48702,
     /* 2251308 */   GIR_EraseRootFromParent_Done,
     /* 2251309 */ // Label 30077: @2251309
     /* 2251309 */ GIM_Try, /*On fail goto*//*Label 30078*/ GIMT_Encode4(2251357), // Rule ID 48703 //
     /* 2251314 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251317 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2251320 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2251323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251327 */   // MIs[0] Operand 1
     /* 2251327 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251332 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251336 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251340 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251340 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF8),
     /* 2251343 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251345 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251355 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251356 */   // GIR_Coverage, 48703,
     /* 2251356 */   GIR_EraseRootFromParent_Done,
     /* 2251357 */ // Label 30078: @2251357
     /* 2251357 */ GIM_Try, /*On fail goto*//*Label 30079*/ GIMT_Encode4(2251405), // Rule ID 48708 //
     /* 2251362 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2251368 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2251371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251375 */   // MIs[0] Operand 1
     /* 2251375 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251380 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251384 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251388 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251388 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2251391 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251393 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251395 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251404 */   // GIR_Coverage, 48708,
     /* 2251404 */   GIR_EraseRootFromParent_Done,
     /* 2251405 */ // Label 30079: @2251405
     /* 2251405 */ GIM_Try, /*On fail goto*//*Label 30080*/ GIMT_Encode4(2251453), // Rule ID 48709 //
     /* 2251410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251413 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2251416 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2251419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251423 */   // MIs[0] Operand 1
     /* 2251423 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251432 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251436 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251436 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2251439 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251441 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251443 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251451 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251452 */   // GIR_Coverage, 48709,
     /* 2251452 */   GIR_EraseRootFromParent_Done,
     /* 2251453 */ // Label 30080: @2251453
     /* 2251453 */ GIM_Try, /*On fail goto*//*Label 30081*/ GIMT_Encode4(2251501), // Rule ID 48712 //
     /* 2251458 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2251464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2251467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251471 */   // MIs[0] Operand 1
     /* 2251471 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251480 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251484 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2251487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251489 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251499 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251500 */   // GIR_Coverage, 48712,
     /* 2251500 */   GIR_EraseRootFromParent_Done,
     /* 2251501 */ // Label 30081: @2251501
     /* 2251501 */ GIM_Try, /*On fail goto*//*Label 30082*/ GIMT_Encode4(2251549), // Rule ID 48713 //
     /* 2251506 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251509 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2251512 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2251515 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251519 */   // MIs[0] Operand 1
     /* 2251519 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251524 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251528 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251532 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251532 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2251535 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251537 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251547 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251548 */   // GIR_Coverage, 48713,
     /* 2251548 */   GIR_EraseRootFromParent_Done,
     /* 2251549 */ // Label 30082: @2251549
     /* 2251549 */ GIM_Try, /*On fail goto*//*Label 30083*/ GIMT_Encode4(2251597), // Rule ID 48720 //
     /* 2251554 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2251557 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2251560 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2251563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251567 */   // MIs[0] Operand 1
     /* 2251567 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251572 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251576 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251580 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251580 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2251583 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251585 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251595 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251596 */   // GIR_Coverage, 48720,
     /* 2251596 */   GIR_EraseRootFromParent_Done,
     /* 2251597 */ // Label 30083: @2251597
     /* 2251597 */ GIM_Try, /*On fail goto*//*Label 30084*/ GIMT_Encode4(2251645), // Rule ID 48721 //
     /* 2251602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2251605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2251608 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2251611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251615 */   // MIs[0] Operand 1
     /* 2251615 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2251620 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251624 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251628 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2251628 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2251631 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251633 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2251635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2251637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251643 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251644 */   // GIR_Coverage, 48721,
     /* 2251644 */   GIR_EraseRootFromParent_Done,
     /* 2251645 */ // Label 30084: @2251645
     /* 2251645 */ GIM_Try, /*On fail goto*//*Label 30085*/ GIMT_Encode4(2251693), // Rule ID 48746 //
     /* 2251650 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251653 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2251656 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2251659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251663 */   // MIs[0] Operand 1
     /* 2251663 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251668 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251672 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251676 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2251676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2251679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251681 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251683 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251691 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251692 */   // GIR_Coverage, 48746,
     /* 2251692 */   GIR_EraseRootFromParent_Done,
     /* 2251693 */ // Label 30085: @2251693
     /* 2251693 */ GIM_Try, /*On fail goto*//*Label 30086*/ GIMT_Encode4(2251741), // Rule ID 48747 //
     /* 2251698 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2251704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2251707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251711 */   // MIs[0] Operand 1
     /* 2251711 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251716 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251720 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251724 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2251724 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2251727 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251729 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251731 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2251739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251740 */   // GIR_Coverage, 48747,
     /* 2251740 */   GIR_EraseRootFromParent_Done,
     /* 2251741 */ // Label 30086: @2251741
     /* 2251741 */ GIM_Try, /*On fail goto*//*Label 30087*/ GIMT_Encode4(2251789), // Rule ID 48752 //
     /* 2251746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2251752 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2251755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251759 */   // MIs[0] Operand 1
     /* 2251759 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251768 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251772 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2251772 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2251775 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251777 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251779 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251787 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251788 */   // GIR_Coverage, 48752,
     /* 2251788 */   GIR_EraseRootFromParent_Done,
     /* 2251789 */ // Label 30087: @2251789
     /* 2251789 */ GIM_Try, /*On fail goto*//*Label 30088*/ GIMT_Encode4(2251837), // Rule ID 48753 //
     /* 2251794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251797 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2251800 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2251803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251807 */   // MIs[0] Operand 1
     /* 2251807 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251812 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251816 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251820 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2251820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2251823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251825 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251827 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2251835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251836 */   // GIR_Coverage, 48753,
     /* 2251836 */   GIR_EraseRootFromParent_Done,
     /* 2251837 */ // Label 30088: @2251837
     /* 2251837 */ GIM_Try, /*On fail goto*//*Label 30089*/ GIMT_Encode4(2251885), // Rule ID 48756 //
     /* 2251842 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2251845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2251848 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2251851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251855 */   // MIs[0] Operand 1
     /* 2251855 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251860 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251864 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251868 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2251868 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2251871 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251873 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251875 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251883 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251884 */   // GIR_Coverage, 48756,
     /* 2251884 */   GIR_EraseRootFromParent_Done,
     /* 2251885 */ // Label 30089: @2251885
     /* 2251885 */ GIM_Try, /*On fail goto*//*Label 30090*/ GIMT_Encode4(2251933), // Rule ID 48757 //
     /* 2251890 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2251893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2251896 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2251899 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251903 */   // MIs[0] Operand 1
     /* 2251903 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251908 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251912 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251916 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2251916 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2251919 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251921 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251923 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2251931 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251932 */   // GIR_Coverage, 48757,
     /* 2251932 */   GIR_EraseRootFromParent_Done,
     /* 2251933 */ // Label 30090: @2251933
     /* 2251933 */ GIM_Try, /*On fail goto*//*Label 30091*/ GIMT_Encode4(2251981), // Rule ID 48764 //
     /* 2251938 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2251941 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2251944 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2251947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251951 */   // MIs[0] Operand 1
     /* 2251951 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2251956 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251960 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251964 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2251964 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2251967 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2251969 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2251971 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2251973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2251976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2251979 */   GIR_RootConstrainSelectedInstOperands,
     /* 2251980 */   // GIR_Coverage, 48764,
     /* 2251980 */   GIR_EraseRootFromParent_Done,
     /* 2251981 */ // Label 30091: @2251981
     /* 2251981 */ GIM_Try, /*On fail goto*//*Label 30092*/ GIMT_Encode4(2252029), // Rule ID 48765 //
     /* 2251986 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2251989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2251992 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2251995 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2251999 */   // MIs[0] Operand 1
     /* 2251999 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2252004 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252008 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252012 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2252015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252017 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252019 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252027 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252028 */   // GIR_Coverage, 48765,
     /* 2252028 */   GIR_EraseRootFromParent_Done,
     /* 2252029 */ // Label 30092: @2252029
     /* 2252029 */ GIM_Try, /*On fail goto*//*Label 30093*/ GIMT_Encode4(2252077), // Rule ID 48790 //
     /* 2252034 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252037 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2252040 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2252043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252047 */   // MIs[0] Operand 1
     /* 2252047 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252052 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252056 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252060 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252060 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2252063 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252065 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252076 */   // GIR_Coverage, 48790,
     /* 2252076 */   GIR_EraseRootFromParent_Done,
     /* 2252077 */ // Label 30093: @2252077
     /* 2252077 */ GIM_Try, /*On fail goto*//*Label 30094*/ GIMT_Encode4(2252125), // Rule ID 48791 //
     /* 2252082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252085 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2252088 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2252091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252095 */   // MIs[0] Operand 1
     /* 2252095 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252100 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252104 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252108 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252108 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF8),
     /* 2252111 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252113 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252123 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252124 */   // GIR_Coverage, 48791,
     /* 2252124 */   GIR_EraseRootFromParent_Done,
     /* 2252125 */ // Label 30094: @2252125
     /* 2252125 */ GIM_Try, /*On fail goto*//*Label 30095*/ GIMT_Encode4(2252173), // Rule ID 48796 //
     /* 2252130 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252133 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252136 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252143 */   // MIs[0] Operand 1
     /* 2252143 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252152 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252156 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252156 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2252159 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252161 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252163 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252171 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252172 */   // GIR_Coverage, 48796,
     /* 2252172 */   GIR_EraseRootFromParent_Done,
     /* 2252173 */ // Label 30095: @2252173
     /* 2252173 */ GIM_Try, /*On fail goto*//*Label 30096*/ GIMT_Encode4(2252221), // Rule ID 48797 //
     /* 2252178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252181 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252184 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252191 */   // MIs[0] Operand 1
     /* 2252191 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252196 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252200 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252204 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252204 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2252207 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252209 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252211 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252219 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252220 */   // GIR_Coverage, 48797,
     /* 2252220 */   GIR_EraseRootFromParent_Done,
     /* 2252221 */ // Label 30096: @2252221
     /* 2252221 */ GIM_Try, /*On fail goto*//*Label 30097*/ GIMT_Encode4(2252269), // Rule ID 48800 //
     /* 2252226 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252229 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252232 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252235 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252239 */   // MIs[0] Operand 1
     /* 2252239 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252244 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252248 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252252 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2252255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252257 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252267 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252268 */   // GIR_Coverage, 48800,
     /* 2252268 */   GIR_EraseRootFromParent_Done,
     /* 2252269 */ // Label 30097: @2252269
     /* 2252269 */ GIM_Try, /*On fail goto*//*Label 30098*/ GIMT_Encode4(2252317), // Rule ID 48801 //
     /* 2252274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252277 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252280 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252287 */   // MIs[0] Operand 1
     /* 2252287 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252292 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252296 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252300 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252300 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2252303 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252305 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252307 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252316 */   // GIR_Coverage, 48801,
     /* 2252316 */   GIR_EraseRootFromParent_Done,
     /* 2252317 */ // Label 30098: @2252317
     /* 2252317 */ GIM_Try, /*On fail goto*//*Label 30099*/ GIMT_Encode4(2252365), // Rule ID 48808 //
     /* 2252322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2252325 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252328 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252335 */   // MIs[0] Operand 1
     /* 2252335 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252340 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252344 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252348 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252348 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2252351 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252353 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252355 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252363 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252364 */   // GIR_Coverage, 48808,
     /* 2252364 */   GIR_EraseRootFromParent_Done,
     /* 2252365 */ // Label 30099: @2252365
     /* 2252365 */ GIM_Try, /*On fail goto*//*Label 30100*/ GIMT_Encode4(2252413), // Rule ID 48809 //
     /* 2252370 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2252373 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252376 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252383 */   // MIs[0] Operand 1
     /* 2252383 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2252388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252392 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252396 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252396 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2252399 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252401 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252412 */   // GIR_Coverage, 48809,
     /* 2252412 */   GIR_EraseRootFromParent_Done,
     /* 2252413 */ // Label 30100: @2252413
     /* 2252413 */ GIM_Try, /*On fail goto*//*Label 30101*/ GIMT_Encode4(2252461), // Rule ID 48834 //
     /* 2252418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2252424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2252427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252431 */   // MIs[0] Operand 1
     /* 2252431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252444 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2252447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252459 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252460 */   // GIR_Coverage, 48834,
     /* 2252460 */   GIR_EraseRootFromParent_Done,
     /* 2252461 */ // Label 30101: @2252461
     /* 2252461 */ GIM_Try, /*On fail goto*//*Label 30102*/ GIMT_Encode4(2252509), // Rule ID 48835 //
     /* 2252466 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252469 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2252472 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2252475 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252479 */   // MIs[0] Operand 1
     /* 2252479 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252488 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252492 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252492 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2252495 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252497 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252508 */   // GIR_Coverage, 48835,
     /* 2252508 */   GIR_EraseRootFromParent_Done,
     /* 2252509 */ // Label 30102: @2252509
     /* 2252509 */ GIM_Try, /*On fail goto*//*Label 30103*/ GIMT_Encode4(2252557), // Rule ID 48840 //
     /* 2252514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252517 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252520 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252523 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252527 */   // MIs[0] Operand 1
     /* 2252527 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252532 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252536 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252540 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252540 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2252543 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252545 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252547 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252555 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252556 */   // GIR_Coverage, 48840,
     /* 2252556 */   GIR_EraseRootFromParent_Done,
     /* 2252557 */ // Label 30103: @2252557
     /* 2252557 */ GIM_Try, /*On fail goto*//*Label 30104*/ GIMT_Encode4(2252605), // Rule ID 48841 //
     /* 2252562 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252568 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252575 */   // MIs[0] Operand 1
     /* 2252575 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252580 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252584 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252588 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2252591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252593 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252595 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252604 */   // GIR_Coverage, 48841,
     /* 2252604 */   GIR_EraseRootFromParent_Done,
     /* 2252605 */ // Label 30104: @2252605
     /* 2252605 */ GIM_Try, /*On fail goto*//*Label 30105*/ GIMT_Encode4(2252653), // Rule ID 48844 //
     /* 2252610 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252616 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252623 */   // MIs[0] Operand 1
     /* 2252623 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252628 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252632 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252636 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2252636 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2252639 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252641 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252643 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252645 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252652 */   // GIR_Coverage, 48844,
     /* 2252652 */   GIR_EraseRootFromParent_Done,
     /* 2252653 */ // Label 30105: @2252653
     /* 2252653 */ GIM_Try, /*On fail goto*//*Label 30106*/ GIMT_Encode4(2252701), // Rule ID 48845 //
     /* 2252658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252661 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2252664 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2252667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252671 */   // MIs[0] Operand 1
     /* 2252671 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252676 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252680 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252684 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2252684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2252687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252689 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252691 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252693 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2252699 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252700 */   // GIR_Coverage, 48845,
     /* 2252700 */   GIR_EraseRootFromParent_Done,
     /* 2252701 */ // Label 30106: @2252701
     /* 2252701 */ GIM_Try, /*On fail goto*//*Label 30107*/ GIMT_Encode4(2252749), // Rule ID 48852 //
     /* 2252706 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2252709 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252712 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252715 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252719 */   // MIs[0] Operand 1
     /* 2252719 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252724 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252728 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252732 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2252732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2252735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252737 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252739 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252748 */   // GIR_Coverage, 48852,
     /* 2252748 */   GIR_EraseRootFromParent_Done,
     /* 2252749 */ // Label 30107: @2252749
     /* 2252749 */ GIM_Try, /*On fail goto*//*Label 30108*/ GIMT_Encode4(2252797), // Rule ID 48853 //
     /* 2252754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2252757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2252760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2252763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252767 */   // MIs[0] Operand 1
     /* 2252767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2252772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252780 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2252780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2252783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252785 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2252787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2252789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2252795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252796 */   // GIR_Coverage, 48853,
     /* 2252796 */   GIR_EraseRootFromParent_Done,
     /* 2252797 */ // Label 30108: @2252797
     /* 2252797 */ GIM_Try, /*On fail goto*//*Label 30109*/ GIMT_Encode4(2252845), // Rule ID 48878 //
     /* 2252802 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2252808 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2252811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252815 */   // MIs[0] Operand 1
     /* 2252815 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2252820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252824 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252828 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2252828 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2252831 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252833 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252837 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252844 */   // GIR_Coverage, 48878,
     /* 2252844 */   GIR_EraseRootFromParent_Done,
     /* 2252845 */ // Label 30109: @2252845
     /* 2252845 */ GIM_Try, /*On fail goto*//*Label 30110*/ GIMT_Encode4(2252893), // Rule ID 48879 //
     /* 2252850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2252856 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2252859 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252863 */   // MIs[0] Operand 1
     /* 2252863 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2252868 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252872 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252876 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF8:{ *:[nxv1i1] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2252876 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF8),
     /* 2252879 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252881 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252883 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2252891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252892 */   // GIR_Coverage, 48879,
     /* 2252892 */   GIR_EraseRootFromParent_Done,
     /* 2252893 */ // Label 30110: @2252893
     /* 2252893 */ GIM_Try, /*On fail goto*//*Label 30111*/ GIMT_Encode4(2252941), // Rule ID 48884 //
     /* 2252898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252901 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252904 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252911 */   // MIs[0] Operand 1
     /* 2252911 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2252916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252920 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252924 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2252924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2252927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252929 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252931 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252933 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252939 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252940 */   // GIR_Coverage, 48884,
     /* 2252940 */   GIR_EraseRootFromParent_Done,
     /* 2252941 */ // Label 30111: @2252941
     /* 2252941 */ GIM_Try, /*On fail goto*//*Label 30112*/ GIMT_Encode4(2252989), // Rule ID 48885 //
     /* 2252946 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2252949 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2252952 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2252955 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252959 */   // MIs[0] Operand 1
     /* 2252959 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2252964 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252968 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2252972 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2252972 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2252975 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2252977 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2252979 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2252981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2252984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2252987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2252988 */   // GIR_Coverage, 48885,
     /* 2252988 */   GIR_EraseRootFromParent_Done,
     /* 2252989 */ // Label 30112: @2252989
     /* 2252989 */ GIM_Try, /*On fail goto*//*Label 30113*/ GIMT_Encode4(2253037), // Rule ID 48888 //
     /* 2252994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2252997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253000 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253007 */   // MIs[0] Operand 1
     /* 2253007 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253012 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253016 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253020 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253020 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2253023 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253025 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253027 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253035 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253036 */   // GIR_Coverage, 48888,
     /* 2253036 */   GIR_EraseRootFromParent_Done,
     /* 2253037 */ // Label 30113: @2253037
     /* 2253037 */ GIM_Try, /*On fail goto*//*Label 30114*/ GIMT_Encode4(2253085), // Rule ID 48889 //
     /* 2253042 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253045 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2253048 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2253051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253055 */   // MIs[0] Operand 1
     /* 2253055 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253064 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253068 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2253071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253073 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253075 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253077 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253083 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253084 */   // GIR_Coverage, 48889,
     /* 2253084 */   GIR_EraseRootFromParent_Done,
     /* 2253085 */ // Label 30114: @2253085
     /* 2253085 */ GIM_Try, /*On fail goto*//*Label 30115*/ GIMT_Encode4(2253133), // Rule ID 48896 //
     /* 2253090 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253093 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253096 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253099 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253103 */   // MIs[0] Operand 1
     /* 2253103 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253108 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253112 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253116 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253116 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2253119 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253121 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253123 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253125 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253131 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253132 */   // GIR_Coverage, 48896,
     /* 2253132 */   GIR_EraseRootFromParent_Done,
     /* 2253133 */ // Label 30115: @2253133
     /* 2253133 */ GIM_Try, /*On fail goto*//*Label 30116*/ GIMT_Encode4(2253181), // Rule ID 48897 //
     /* 2253138 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2253144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2253147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253151 */   // MIs[0] Operand 1
     /* 2253151 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2253156 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253160 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253164 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2253167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253169 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2253171 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2253173 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253179 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253180 */   // GIR_Coverage, 48897,
     /* 2253180 */   GIR_EraseRootFromParent_Done,
     /* 2253181 */ // Label 30116: @2253181
     /* 2253181 */ GIM_Reject,
     /* 2253182 */ // Label 29936: @2253182
     /* 2253182 */ GIM_Try, /*On fail goto*//*Label 30117*/ GIMT_Encode4(2253230), // Rule ID 48486 //
     /* 2253187 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2253193 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2253196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253200 */   // MIs[0] Operand 1
     /* 2253200 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253205 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253209 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253213 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2253216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253218 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253220 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253222 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253228 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253229 */   // GIR_Coverage, 48486,
     /* 2253229 */   GIR_EraseRootFromParent_Done,
     /* 2253230 */ // Label 30117: @2253230
     /* 2253230 */ GIM_Try, /*On fail goto*//*Label 30118*/ GIMT_Encode4(2253278), // Rule ID 48487 //
     /* 2253235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2253241 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2253244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253248 */   // MIs[0] Operand 1
     /* 2253248 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253257 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253261 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253261 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF4),
     /* 2253264 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253266 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253268 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253276 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253277 */   // GIR_Coverage, 48487,
     /* 2253277 */   GIR_EraseRootFromParent_Done,
     /* 2253278 */ // Label 30118: @2253278
     /* 2253278 */ GIM_Try, /*On fail goto*//*Label 30119*/ GIMT_Encode4(2253326), // Rule ID 48492 //
     /* 2253283 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253286 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253289 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253296 */   // MIs[0] Operand 1
     /* 2253296 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253301 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253305 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253309 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253309 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2253312 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253314 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253316 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253325 */   // GIR_Coverage, 48492,
     /* 2253325 */   GIR_EraseRootFromParent_Done,
     /* 2253326 */ // Label 30119: @2253326
     /* 2253326 */ GIM_Try, /*On fail goto*//*Label 30120*/ GIMT_Encode4(2253374), // Rule ID 48493 //
     /* 2253331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253337 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253344 */   // MIs[0] Operand 1
     /* 2253344 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253349 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253353 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253357 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253357 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2253360 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253362 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253364 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253372 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253373 */   // GIR_Coverage, 48493,
     /* 2253373 */   GIR_EraseRootFromParent_Done,
     /* 2253374 */ // Label 30120: @2253374
     /* 2253374 */ GIM_Try, /*On fail goto*//*Label 30121*/ GIMT_Encode4(2253422), // Rule ID 48500 //
     /* 2253379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253382 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253385 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253392 */   // MIs[0] Operand 1
     /* 2253392 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253401 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253405 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2253408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253410 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253412 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253421 */   // GIR_Coverage, 48500,
     /* 2253421 */   GIR_EraseRootFromParent_Done,
     /* 2253422 */ // Label 30121: @2253422
     /* 2253422 */ GIM_Try, /*On fail goto*//*Label 30122*/ GIMT_Encode4(2253470), // Rule ID 48501 //
     /* 2253427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253433 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253440 */   // MIs[0] Operand 1
     /* 2253440 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253445 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253449 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253453 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253453 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2253456 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253458 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253460 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253462 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253468 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253469 */   // GIR_Coverage, 48501,
     /* 2253469 */   GIR_EraseRootFromParent_Done,
     /* 2253470 */ // Label 30122: @2253470
     /* 2253470 */ GIM_Try, /*On fail goto*//*Label 30123*/ GIMT_Encode4(2253518), // Rule ID 48522 //
     /* 2253475 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253478 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253481 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253488 */   // MIs[0] Operand 1
     /* 2253488 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253493 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253497 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253501 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253501 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2253504 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253506 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253508 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253510 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253516 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253517 */   // GIR_Coverage, 48522,
     /* 2253517 */   GIR_EraseRootFromParent_Done,
     /* 2253518 */ // Label 30123: @2253518
     /* 2253518 */ GIM_Try, /*On fail goto*//*Label 30124*/ GIMT_Encode4(2253566), // Rule ID 48523 //
     /* 2253523 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253526 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253529 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253536 */   // MIs[0] Operand 1
     /* 2253536 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2253541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253545 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253549 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253549 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2253552 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253554 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253556 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253565 */   // GIR_Coverage, 48523,
     /* 2253565 */   GIR_EraseRootFromParent_Done,
     /* 2253566 */ // Label 30124: @2253566
     /* 2253566 */ GIM_Try, /*On fail goto*//*Label 30125*/ GIMT_Encode4(2253614), // Rule ID 48530 //
     /* 2253571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2253577 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2253580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253584 */   // MIs[0] Operand 1
     /* 2253584 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253589 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253593 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253597 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253597 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2253600 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253602 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253604 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253613 */   // GIR_Coverage, 48530,
     /* 2253613 */   GIR_EraseRootFromParent_Done,
     /* 2253614 */ // Label 30125: @2253614
     /* 2253614 */ GIM_Try, /*On fail goto*//*Label 30126*/ GIMT_Encode4(2253662), // Rule ID 48531 //
     /* 2253619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2253625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2253628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253632 */   // MIs[0] Operand 1
     /* 2253632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253645 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2253645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF4),
     /* 2253648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253654 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253660 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253661 */   // GIR_Coverage, 48531,
     /* 2253661 */   GIR_EraseRootFromParent_Done,
     /* 2253662 */ // Label 30126: @2253662
     /* 2253662 */ GIM_Try, /*On fail goto*//*Label 30127*/ GIMT_Encode4(2253710), // Rule ID 48536 //
     /* 2253667 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253673 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253680 */   // MIs[0] Operand 1
     /* 2253680 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253685 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253689 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253693 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2253693 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2253696 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253698 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253700 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253702 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253708 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253709 */   // GIR_Coverage, 48536,
     /* 2253709 */   GIR_EraseRootFromParent_Done,
     /* 2253710 */ // Label 30127: @2253710
     /* 2253710 */ GIM_Try, /*On fail goto*//*Label 30128*/ GIMT_Encode4(2253758), // Rule ID 48537 //
     /* 2253715 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253718 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2253721 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2253724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253728 */   // MIs[0] Operand 1
     /* 2253728 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253733 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253737 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253741 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2253741 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2253744 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253746 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253748 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253750 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2253756 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253757 */   // GIR_Coverage, 48537,
     /* 2253757 */   GIR_EraseRootFromParent_Done,
     /* 2253758 */ // Label 30128: @2253758
     /* 2253758 */ GIM_Try, /*On fail goto*//*Label 30129*/ GIMT_Encode4(2253806), // Rule ID 48544 //
     /* 2253763 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253769 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253776 */   // MIs[0] Operand 1
     /* 2253776 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253781 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253785 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253789 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2253789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2253792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253794 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253796 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253805 */   // GIR_Coverage, 48544,
     /* 2253805 */   GIR_EraseRootFromParent_Done,
     /* 2253806 */ // Label 30129: @2253806
     /* 2253806 */ GIM_Try, /*On fail goto*//*Label 30130*/ GIMT_Encode4(2253854), // Rule ID 48545 //
     /* 2253811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2253814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2253817 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2253820 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253824 */   // MIs[0] Operand 1
     /* 2253824 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253829 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253833 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253837 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2253837 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2253840 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253842 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253844 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2253852 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253853 */   // GIR_Coverage, 48545,
     /* 2253853 */   GIR_EraseRootFromParent_Done,
     /* 2253854 */ // Label 30130: @2253854
     /* 2253854 */ GIM_Try, /*On fail goto*//*Label 30131*/ GIMT_Encode4(2253902), // Rule ID 48566 //
     /* 2253859 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2253862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253865 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253872 */   // MIs[0] Operand 1
     /* 2253872 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253877 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253881 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253885 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2253885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2253888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253890 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253892 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253894 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253900 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253901 */   // GIR_Coverage, 48566,
     /* 2253901 */   GIR_EraseRootFromParent_Done,
     /* 2253902 */ // Label 30131: @2253902
     /* 2253902 */ GIM_Try, /*On fail goto*//*Label 30132*/ GIMT_Encode4(2253950), // Rule ID 48567 //
     /* 2253907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2253910 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2253913 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2253916 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253920 */   // MIs[0] Operand 1
     /* 2253920 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2253925 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253929 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2253933 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2253933 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2253936 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253938 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253940 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2253948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253949 */   // GIR_Coverage, 48567,
     /* 2253949 */   GIR_EraseRootFromParent_Done,
     /* 2253950 */ // Label 30132: @2253950
     /* 2253950 */ GIM_Try, /*On fail goto*//*Label 30133*/ GIMT_Encode4(2253998), // Rule ID 48574 //
     /* 2253955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2253958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2253961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2253964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253968 */   // MIs[0] Operand 1
     /* 2253968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2253973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2253981 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2253981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2253984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2253986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2253988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2253990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2253993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2253996 */   GIR_RootConstrainSelectedInstOperands,
     /* 2253997 */   // GIR_Coverage, 48574,
     /* 2253997 */   GIR_EraseRootFromParent_Done,
     /* 2253998 */ // Label 30133: @2253998
     /* 2253998 */ GIM_Try, /*On fail goto*//*Label 30134*/ GIMT_Encode4(2254046), // Rule ID 48575 //
     /* 2254003 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254006 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2254009 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2254012 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254016 */   // MIs[0] Operand 1
     /* 2254016 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254021 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254025 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254029 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254029 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2254032 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254034 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254036 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254045 */   // GIR_Coverage, 48575,
     /* 2254045 */   GIR_EraseRootFromParent_Done,
     /* 2254046 */ // Label 30134: @2254046
     /* 2254046 */ GIM_Try, /*On fail goto*//*Label 30135*/ GIMT_Encode4(2254094), // Rule ID 48580 //
     /* 2254051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254054 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254057 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254064 */   // MIs[0] Operand 1
     /* 2254064 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254073 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254077 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254077 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2254080 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254082 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254084 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254092 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254093 */   // GIR_Coverage, 48580,
     /* 2254093 */   GIR_EraseRootFromParent_Done,
     /* 2254094 */ // Label 30135: @2254094
     /* 2254094 */ GIM_Try, /*On fail goto*//*Label 30136*/ GIMT_Encode4(2254142), // Rule ID 48581 //
     /* 2254099 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254102 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254105 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254112 */   // MIs[0] Operand 1
     /* 2254112 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254121 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254125 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2254128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254130 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254132 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254134 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254140 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254141 */   // GIR_Coverage, 48581,
     /* 2254141 */   GIR_EraseRootFromParent_Done,
     /* 2254142 */ // Label 30136: @2254142
     /* 2254142 */ GIM_Try, /*On fail goto*//*Label 30137*/ GIMT_Encode4(2254190), // Rule ID 48588 //
     /* 2254147 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254150 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254153 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254160 */   // MIs[0] Operand 1
     /* 2254160 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254169 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254173 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254173 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2254176 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254178 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254180 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254182 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254188 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254189 */   // GIR_Coverage, 48588,
     /* 2254189 */   GIR_EraseRootFromParent_Done,
     /* 2254190 */ // Label 30137: @2254190
     /* 2254190 */ GIM_Try, /*On fail goto*//*Label 30138*/ GIMT_Encode4(2254238), // Rule ID 48589 //
     /* 2254195 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254201 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254204 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254208 */   // MIs[0] Operand 1
     /* 2254208 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254213 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254217 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254221 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2254224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254226 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254228 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254230 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254236 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254237 */   // GIR_Coverage, 48589,
     /* 2254237 */   GIR_EraseRootFromParent_Done,
     /* 2254238 */ // Label 30138: @2254238
     /* 2254238 */ GIM_Try, /*On fail goto*//*Label 30139*/ GIMT_Encode4(2254286), // Rule ID 48610 //
     /* 2254243 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254246 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254249 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254256 */   // MIs[0] Operand 1
     /* 2254256 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254265 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254269 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254269 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2254272 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254274 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254276 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254284 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254285 */   // GIR_Coverage, 48610,
     /* 2254285 */   GIR_EraseRootFromParent_Done,
     /* 2254286 */ // Label 30139: @2254286
     /* 2254286 */ GIM_Try, /*On fail goto*//*Label 30140*/ GIMT_Encode4(2254334), // Rule ID 48611 //
     /* 2254291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254294 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254297 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254304 */   // MIs[0] Operand 1
     /* 2254304 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2254309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254313 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254317 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254317 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2254320 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254322 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254324 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254333 */   // GIR_Coverage, 48611,
     /* 2254333 */   GIR_EraseRootFromParent_Done,
     /* 2254334 */ // Label 30140: @2254334
     /* 2254334 */ GIM_Try, /*On fail goto*//*Label 30141*/ GIMT_Encode4(2254382), // Rule ID 48616 //
     /* 2254339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2254345 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2254348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254352 */   // MIs[0] Operand 1
     /* 2254352 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254361 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254365 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2254368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254372 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254374 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254380 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254381 */   // GIR_Coverage, 48616,
     /* 2254381 */   GIR_EraseRootFromParent_Done,
     /* 2254382 */ // Label 30141: @2254382
     /* 2254382 */ GIM_Try, /*On fail goto*//*Label 30142*/ GIMT_Encode4(2254430), // Rule ID 48617 //
     /* 2254387 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254390 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2254393 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2254396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254400 */   // MIs[0] Operand 1
     /* 2254400 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254405 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254409 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254413 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254413 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF4),
     /* 2254416 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254420 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254422 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254428 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254429 */   // GIR_Coverage, 48617,
     /* 2254429 */   GIR_EraseRootFromParent_Done,
     /* 2254430 */ // Label 30142: @2254430
     /* 2254430 */ GIM_Try, /*On fail goto*//*Label 30143*/ GIMT_Encode4(2254478), // Rule ID 48622 //
     /* 2254435 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254438 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254441 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254444 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254448 */   // MIs[0] Operand 1
     /* 2254448 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254453 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254457 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254461 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2254464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254468 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254476 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254477 */   // GIR_Coverage, 48622,
     /* 2254477 */   GIR_EraseRootFromParent_Done,
     /* 2254478 */ // Label 30143: @2254478
     /* 2254478 */ GIM_Try, /*On fail goto*//*Label 30144*/ GIMT_Encode4(2254526), // Rule ID 48623 //
     /* 2254483 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254489 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254496 */   // MIs[0] Operand 1
     /* 2254496 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254501 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254505 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254509 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254509 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2254512 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254516 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254524 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254525 */   // GIR_Coverage, 48623,
     /* 2254525 */   GIR_EraseRootFromParent_Done,
     /* 2254526 */ // Label 30144: @2254526
     /* 2254526 */ GIM_Try, /*On fail goto*//*Label 30145*/ GIMT_Encode4(2254574), // Rule ID 48630 //
     /* 2254531 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254534 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254537 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254544 */   // MIs[0] Operand 1
     /* 2254544 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254549 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254553 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254557 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254557 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2254560 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254562 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254564 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254572 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254573 */   // GIR_Coverage, 48630,
     /* 2254573 */   GIR_EraseRootFromParent_Done,
     /* 2254574 */ // Label 30145: @2254574
     /* 2254574 */ GIM_Try, /*On fail goto*//*Label 30146*/ GIMT_Encode4(2254622), // Rule ID 48631 //
     /* 2254579 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254582 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254585 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254592 */   // MIs[0] Operand 1
     /* 2254592 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254601 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254605 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2254608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254612 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254621 */   // GIR_Coverage, 48631,
     /* 2254621 */   GIR_EraseRootFromParent_Done,
     /* 2254622 */ // Label 30146: @2254622
     /* 2254622 */ GIM_Try, /*On fail goto*//*Label 30147*/ GIMT_Encode4(2254670), // Rule ID 48652 //
     /* 2254627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2254630 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254633 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254640 */   // MIs[0] Operand 1
     /* 2254640 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254645 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254649 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254653 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2254653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2254656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254660 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254669 */   // GIR_Coverage, 48652,
     /* 2254669 */   GIR_EraseRootFromParent_Done,
     /* 2254670 */ // Label 30147: @2254670
     /* 2254670 */ GIM_Try, /*On fail goto*//*Label 30148*/ GIMT_Encode4(2254718), // Rule ID 48653 //
     /* 2254675 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2254678 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2254681 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2254684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254688 */   // MIs[0] Operand 1
     /* 2254688 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2254693 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254697 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2254701 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2254701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2254704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2254708 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2254710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2254716 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254717 */   // GIR_Coverage, 48653,
     /* 2254717 */   GIR_EraseRootFromParent_Done,
     /* 2254718 */ // Label 30148: @2254718
     /* 2254718 */ GIM_Try, /*On fail goto*//*Label 30149*/ GIMT_Encode4(2254766), // Rule ID 48660 //
     /* 2254723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2254729 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2254732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254736 */   // MIs[0] Operand 1
     /* 2254736 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254745 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254749 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2254749 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2254752 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254754 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254756 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254765 */   // GIR_Coverage, 48660,
     /* 2254765 */   GIR_EraseRootFromParent_Done,
     /* 2254766 */ // Label 30149: @2254766
     /* 2254766 */ GIM_Try, /*On fail goto*//*Label 30150*/ GIMT_Encode4(2254814), // Rule ID 48661 //
     /* 2254771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2254777 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2254780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254784 */   // MIs[0] Operand 1
     /* 2254784 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254789 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254793 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254797 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2254797 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2254800 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254802 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254804 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2254812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254813 */   // GIR_Coverage, 48661,
     /* 2254813 */   GIR_EraseRootFromParent_Done,
     /* 2254814 */ // Label 30150: @2254814
     /* 2254814 */ GIM_Try, /*On fail goto*//*Label 30151*/ GIMT_Encode4(2254862), // Rule ID 48666 //
     /* 2254819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254822 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254825 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254832 */   // MIs[0] Operand 1
     /* 2254832 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254837 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254841 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254845 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2254845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2254848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254850 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254852 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254860 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254861 */   // GIR_Coverage, 48666,
     /* 2254861 */   GIR_EraseRootFromParent_Done,
     /* 2254862 */ // Label 30151: @2254862
     /* 2254862 */ GIM_Try, /*On fail goto*//*Label 30152*/ GIMT_Encode4(2254910), // Rule ID 48667 //
     /* 2254867 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2254873 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2254876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254880 */   // MIs[0] Operand 1
     /* 2254880 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254889 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254893 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2254893 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2254896 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254898 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254900 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254902 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2254908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254909 */   // GIR_Coverage, 48667,
     /* 2254909 */   GIR_EraseRootFromParent_Done,
     /* 2254910 */ // Label 30152: @2254910
     /* 2254910 */ GIM_Try, /*On fail goto*//*Label 30153*/ GIMT_Encode4(2254958), // Rule ID 48674 //
     /* 2254915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2254918 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254921 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254924 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254928 */   // MIs[0] Operand 1
     /* 2254928 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254933 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254937 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254941 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2254941 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2254944 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254946 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254948 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254950 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2254953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2254956 */   GIR_RootConstrainSelectedInstOperands,
     /* 2254957 */   // GIR_Coverage, 48674,
     /* 2254957 */   GIR_EraseRootFromParent_Done,
     /* 2254958 */ // Label 30153: @2254958
     /* 2254958 */ GIM_Try, /*On fail goto*//*Label 30154*/ GIMT_Encode4(2255006), // Rule ID 48675 //
     /* 2254963 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2254966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2254969 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2254972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254976 */   // MIs[0] Operand 1
     /* 2254976 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2254981 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254985 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2254989 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2254989 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2254992 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2254994 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2254996 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2254998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255005 */   // GIR_Coverage, 48675,
     /* 2255005 */   GIR_EraseRootFromParent_Done,
     /* 2255006 */ // Label 30154: @2255006
     /* 2255006 */ GIM_Try, /*On fail goto*//*Label 30155*/ GIMT_Encode4(2255054), // Rule ID 48696 //
     /* 2255011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255017 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255020 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255024 */   // MIs[0] Operand 1
     /* 2255024 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2255029 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255033 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255037 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255037 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2255040 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255042 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255044 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255052 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255053 */   // GIR_Coverage, 48696,
     /* 2255053 */   GIR_EraseRootFromParent_Done,
     /* 2255054 */ // Label 30155: @2255054
     /* 2255054 */ GIM_Try, /*On fail goto*//*Label 30156*/ GIMT_Encode4(2255102), // Rule ID 48697 //
     /* 2255059 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255062 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255065 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255072 */   // MIs[0] Operand 1
     /* 2255072 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2255077 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255081 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255085 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2255088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255090 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255092 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255100 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255101 */   // GIR_Coverage, 48697,
     /* 2255101 */   GIR_EraseRootFromParent_Done,
     /* 2255102 */ // Label 30156: @2255102
     /* 2255102 */ GIM_Try, /*On fail goto*//*Label 30157*/ GIMT_Encode4(2255150), // Rule ID 48704 //
     /* 2255107 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2255113 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2255116 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255120 */   // MIs[0] Operand 1
     /* 2255120 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255125 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255129 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255133 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2255136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255138 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255142 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255148 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255149 */   // GIR_Coverage, 48704,
     /* 2255149 */   GIR_EraseRootFromParent_Done,
     /* 2255150 */ // Label 30157: @2255150
     /* 2255150 */ GIM_Try, /*On fail goto*//*Label 30158*/ GIMT_Encode4(2255198), // Rule ID 48705 //
     /* 2255155 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2255161 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2255164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255168 */   // MIs[0] Operand 1
     /* 2255168 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255173 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255177 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255181 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255181 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF4),
     /* 2255184 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255186 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255196 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255197 */   // GIR_Coverage, 48705,
     /* 2255197 */   GIR_EraseRootFromParent_Done,
     /* 2255198 */ // Label 30158: @2255198
     /* 2255198 */ GIM_Try, /*On fail goto*//*Label 30159*/ GIMT_Encode4(2255246), // Rule ID 48710 //
     /* 2255203 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255209 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255216 */   // MIs[0] Operand 1
     /* 2255216 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255221 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255225 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255229 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255229 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2255232 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255234 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255244 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255245 */   // GIR_Coverage, 48710,
     /* 2255245 */   GIR_EraseRootFromParent_Done,
     /* 2255246 */ // Label 30159: @2255246
     /* 2255246 */ GIM_Try, /*On fail goto*//*Label 30160*/ GIMT_Encode4(2255294), // Rule ID 48711 //
     /* 2255251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255254 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255257 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255264 */   // MIs[0] Operand 1
     /* 2255264 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255269 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255273 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255277 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255277 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2255280 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255282 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255293 */   // GIR_Coverage, 48711,
     /* 2255293 */   GIR_EraseRootFromParent_Done,
     /* 2255294 */ // Label 30160: @2255294
     /* 2255294 */ GIM_Try, /*On fail goto*//*Label 30161*/ GIMT_Encode4(2255342), // Rule ID 48718 //
     /* 2255299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255302 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255305 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255312 */   // MIs[0] Operand 1
     /* 2255312 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255321 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255325 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255325 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2255328 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255330 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255332 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255341 */   // GIR_Coverage, 48718,
     /* 2255341 */   GIR_EraseRootFromParent_Done,
     /* 2255342 */ // Label 30161: @2255342
     /* 2255342 */ GIM_Try, /*On fail goto*//*Label 30162*/ GIMT_Encode4(2255390), // Rule ID 48719 //
     /* 2255347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255353 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255360 */   // MIs[0] Operand 1
     /* 2255360 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255365 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255369 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255373 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255373 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2255376 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255378 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255382 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255388 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255389 */   // GIR_Coverage, 48719,
     /* 2255389 */   GIR_EraseRootFromParent_Done,
     /* 2255390 */ // Label 30162: @2255390
     /* 2255390 */ GIM_Try, /*On fail goto*//*Label 30163*/ GIMT_Encode4(2255438), // Rule ID 48740 //
     /* 2255395 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255401 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255408 */   // MIs[0] Operand 1
     /* 2255408 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255413 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255417 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255421 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2255424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255426 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255428 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255436 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255437 */   // GIR_Coverage, 48740,
     /* 2255437 */   GIR_EraseRootFromParent_Done,
     /* 2255438 */ // Label 30163: @2255438
     /* 2255438 */ GIM_Try, /*On fail goto*//*Label 30164*/ GIMT_Encode4(2255486), // Rule ID 48741 //
     /* 2255443 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255446 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255449 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255456 */   // MIs[0] Operand 1
     /* 2255456 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2255461 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255465 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255469 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2255472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255474 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255476 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255485 */   // GIR_Coverage, 48741,
     /* 2255485 */   GIR_EraseRootFromParent_Done,
     /* 2255486 */ // Label 30164: @2255486
     /* 2255486 */ GIM_Try, /*On fail goto*//*Label 30165*/ GIMT_Encode4(2255534), // Rule ID 48748 //
     /* 2255491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255494 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2255497 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2255500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255504 */   // MIs[0] Operand 1
     /* 2255504 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255513 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255517 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255517 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2255520 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255522 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255524 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255526 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255532 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255533 */   // GIR_Coverage, 48748,
     /* 2255533 */   GIR_EraseRootFromParent_Done,
     /* 2255534 */ // Label 30165: @2255534
     /* 2255534 */ GIM_Try, /*On fail goto*//*Label 30166*/ GIMT_Encode4(2255582), // Rule ID 48749 //
     /* 2255539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2255545 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2255548 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255552 */   // MIs[0] Operand 1
     /* 2255552 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255561 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255565 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2255568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255570 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255572 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255574 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255580 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255581 */   // GIR_Coverage, 48749,
     /* 2255581 */   GIR_EraseRootFromParent_Done,
     /* 2255582 */ // Label 30166: @2255582
     /* 2255582 */ GIM_Try, /*On fail goto*//*Label 30167*/ GIMT_Encode4(2255630), // Rule ID 48754 //
     /* 2255587 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255590 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255593 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255596 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255600 */   // MIs[0] Operand 1
     /* 2255600 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255609 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255613 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2255616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255618 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255620 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255622 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255625 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255628 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255629 */   // GIR_Coverage, 48754,
     /* 2255629 */   GIR_EraseRootFromParent_Done,
     /* 2255630 */ // Label 30167: @2255630
     /* 2255630 */ GIM_Try, /*On fail goto*//*Label 30168*/ GIMT_Encode4(2255678), // Rule ID 48755 //
     /* 2255635 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255638 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255641 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255644 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255648 */   // MIs[0] Operand 1
     /* 2255648 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255653 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255657 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255661 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2255661 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2255664 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255666 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255668 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255670 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2255676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255677 */   // GIR_Coverage, 48755,
     /* 2255677 */   GIR_EraseRootFromParent_Done,
     /* 2255678 */ // Label 30168: @2255678
     /* 2255678 */ GIM_Try, /*On fail goto*//*Label 30169*/ GIMT_Encode4(2255726), // Rule ID 48762 //
     /* 2255683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255689 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255696 */   // MIs[0] Operand 1
     /* 2255696 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255701 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255705 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255709 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2255709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2255712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255714 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255716 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255721 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255724 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255725 */   // GIR_Coverage, 48762,
     /* 2255725 */   GIR_EraseRootFromParent_Done,
     /* 2255726 */ // Label 30169: @2255726
     /* 2255726 */ GIM_Try, /*On fail goto*//*Label 30170*/ GIMT_Encode4(2255774), // Rule ID 48763 //
     /* 2255731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255734 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2255737 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2255740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255744 */   // MIs[0] Operand 1
     /* 2255744 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255749 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255753 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255757 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2255757 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2255760 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255762 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255764 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2255772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255773 */   // GIR_Coverage, 48763,
     /* 2255773 */   GIR_EraseRootFromParent_Done,
     /* 2255774 */ // Label 30170: @2255774
     /* 2255774 */ GIM_Try, /*On fail goto*//*Label 30171*/ GIMT_Encode4(2255822), // Rule ID 48784 //
     /* 2255779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2255782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255785 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255792 */   // MIs[0] Operand 1
     /* 2255792 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255797 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255801 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255805 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2255805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2255808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255810 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255812 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255814 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255820 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255821 */   // GIR_Coverage, 48784,
     /* 2255821 */   GIR_EraseRootFromParent_Done,
     /* 2255822 */ // Label 30171: @2255822
     /* 2255822 */ GIM_Try, /*On fail goto*//*Label 30172*/ GIMT_Encode4(2255870), // Rule ID 48785 //
     /* 2255827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2255830 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2255833 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2255836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255840 */   // MIs[0] Operand 1
     /* 2255840 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2255845 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255849 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2255853 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2255853 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2255856 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255858 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2255860 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2255862 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2255868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255869 */   // GIR_Coverage, 48785,
     /* 2255869 */   GIR_EraseRootFromParent_Done,
     /* 2255870 */ // Label 30172: @2255870
     /* 2255870 */ GIM_Try, /*On fail goto*//*Label 30173*/ GIMT_Encode4(2255918), // Rule ID 48792 //
     /* 2255875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255878 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2255881 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2255884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255888 */   // MIs[0] Operand 1
     /* 2255888 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2255893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255897 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255901 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2255901 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2255904 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255906 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255908 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255910 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255913 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255916 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255917 */   // GIR_Coverage, 48792,
     /* 2255917 */   GIR_EraseRootFromParent_Done,
     /* 2255918 */ // Label 30173: @2255918
     /* 2255918 */ GIM_Try, /*On fail goto*//*Label 30174*/ GIMT_Encode4(2255966), // Rule ID 48793 //
     /* 2255923 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2255926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2255929 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2255932 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255936 */   // MIs[0] Operand 1
     /* 2255936 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2255941 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255945 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255949 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2255949 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF4),
     /* 2255952 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2255954 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2255956 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2255958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2255961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2255964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2255965 */   // GIR_Coverage, 48793,
     /* 2255965 */   GIR_EraseRootFromParent_Done,
     /* 2255966 */ // Label 30174: @2255966
     /* 2255966 */ GIM_Try, /*On fail goto*//*Label 30175*/ GIMT_Encode4(2256014), // Rule ID 48798 //
     /* 2255971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2255974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2255977 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2255980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255984 */   // MIs[0] Operand 1
     /* 2255984 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2255989 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255993 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2255997 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2255997 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2256000 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256002 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256004 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256013 */   // GIR_Coverage, 48798,
     /* 2256013 */   GIR_EraseRootFromParent_Done,
     /* 2256014 */ // Label 30175: @2256014
     /* 2256014 */ GIM_Try, /*On fail goto*//*Label 30176*/ GIMT_Encode4(2256062), // Rule ID 48799 //
     /* 2256019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256022 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2256025 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2256028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256032 */   // MIs[0] Operand 1
     /* 2256032 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256041 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256045 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2256048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256050 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256052 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256061 */   // GIR_Coverage, 48799,
     /* 2256061 */   GIR_EraseRootFromParent_Done,
     /* 2256062 */ // Label 30176: @2256062
     /* 2256062 */ GIM_Try, /*On fail goto*//*Label 30177*/ GIMT_Encode4(2256110), // Rule ID 48806 //
     /* 2256067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256070 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2256073 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2256076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256080 */   // MIs[0] Operand 1
     /* 2256080 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256085 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256089 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256093 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2256096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256098 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256100 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256105 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256108 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256109 */   // GIR_Coverage, 48806,
     /* 2256109 */   GIR_EraseRootFromParent_Done,
     /* 2256110 */ // Label 30177: @2256110
     /* 2256110 */ GIM_Try, /*On fail goto*//*Label 30178*/ GIMT_Encode4(2256158), // Rule ID 48807 //
     /* 2256115 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2256121 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2256124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256128 */   // MIs[0] Operand 1
     /* 2256128 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256133 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256137 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256141 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2256144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256146 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256148 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256153 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256156 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256157 */   // GIR_Coverage, 48807,
     /* 2256157 */   GIR_EraseRootFromParent_Done,
     /* 2256158 */ // Label 30178: @2256158
     /* 2256158 */ GIM_Try, /*On fail goto*//*Label 30179*/ GIMT_Encode4(2256206), // Rule ID 48828 //
     /* 2256163 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2256166 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2256169 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2256172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256176 */   // MIs[0] Operand 1
     /* 2256176 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256181 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256185 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256189 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256189 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2256192 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256194 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256196 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256204 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256205 */   // GIR_Coverage, 48828,
     /* 2256205 */   GIR_EraseRootFromParent_Done,
     /* 2256206 */ // Label 30179: @2256206
     /* 2256206 */ GIM_Try, /*On fail goto*//*Label 30180*/ GIMT_Encode4(2256254), // Rule ID 48829 //
     /* 2256211 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2256214 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2256217 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2256220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256224 */   // MIs[0] Operand 1
     /* 2256224 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2256229 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256233 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256237 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256237 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2256240 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256242 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256244 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256252 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256253 */   // GIR_Coverage, 48829,
     /* 2256253 */   GIR_EraseRootFromParent_Done,
     /* 2256254 */ // Label 30180: @2256254
     /* 2256254 */ GIM_Try, /*On fail goto*//*Label 30181*/ GIMT_Encode4(2256302), // Rule ID 48836 //
     /* 2256259 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2256265 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2256268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256272 */   // MIs[0] Operand 1
     /* 2256272 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256277 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256281 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256285 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2256288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256290 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256297 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256300 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256301 */   // GIR_Coverage, 48836,
     /* 2256301 */   GIR_EraseRootFromParent_Done,
     /* 2256302 */ // Label 30181: @2256302
     /* 2256302 */ GIM_Try, /*On fail goto*//*Label 30182*/ GIMT_Encode4(2256350), // Rule ID 48837 //
     /* 2256307 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2256313 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2256316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256320 */   // MIs[0] Operand 1
     /* 2256320 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256329 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256333 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256333 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2256336 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256338 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256340 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256342 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256345 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256348 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256349 */   // GIR_Coverage, 48837,
     /* 2256349 */   GIR_EraseRootFromParent_Done,
     /* 2256350 */ // Label 30182: @2256350
     /* 2256350 */ GIM_Try, /*On fail goto*//*Label 30183*/ GIMT_Encode4(2256398), // Rule ID 48842 //
     /* 2256355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2256361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2256364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256368 */   // MIs[0] Operand 1
     /* 2256368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256381 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2256384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256386 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256388 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256397 */   // GIR_Coverage, 48842,
     /* 2256397 */   GIR_EraseRootFromParent_Done,
     /* 2256398 */ // Label 30183: @2256398
     /* 2256398 */ GIM_Try, /*On fail goto*//*Label 30184*/ GIMT_Encode4(2256446), // Rule ID 48843 //
     /* 2256403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2256409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2256412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256416 */   // MIs[0] Operand 1
     /* 2256416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256429 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2256432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256434 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256436 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256445 */   // GIR_Coverage, 48843,
     /* 2256445 */   GIR_EraseRootFromParent_Done,
     /* 2256446 */ // Label 30184: @2256446
     /* 2256446 */ GIM_Try, /*On fail goto*//*Label 30185*/ GIMT_Encode4(2256494), // Rule ID 48850 //
     /* 2256451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2256457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2256460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256464 */   // MIs[0] Operand 1
     /* 2256464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256477 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2256480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256482 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256484 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256493 */   // GIR_Coverage, 48850,
     /* 2256493 */   GIR_EraseRootFromParent_Done,
     /* 2256494 */ // Label 30185: @2256494
     /* 2256494 */ GIM_Try, /*On fail goto*//*Label 30186*/ GIMT_Encode4(2256542), // Rule ID 48851 //
     /* 2256499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2256505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2256508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256512 */   // MIs[0] Operand 1
     /* 2256512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256525 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2256528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256541 */   // GIR_Coverage, 48851,
     /* 2256541 */   GIR_EraseRootFromParent_Done,
     /* 2256542 */ // Label 30186: @2256542
     /* 2256542 */ GIM_Try, /*On fail goto*//*Label 30187*/ GIMT_Encode4(2256590), // Rule ID 48872 //
     /* 2256547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2256550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2256553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2256556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256560 */   // MIs[0] Operand 1
     /* 2256560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256573 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2256576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256578 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256580 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256589 */   // GIR_Coverage, 48872,
     /* 2256589 */   GIR_EraseRootFromParent_Done,
     /* 2256590 */ // Label 30187: @2256590
     /* 2256590 */ GIM_Try, /*On fail goto*//*Label 30188*/ GIMT_Encode4(2256638), // Rule ID 48873 //
     /* 2256595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2256598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2256601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2256604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256608 */   // MIs[0] Operand 1
     /* 2256608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2256613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256621 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2256621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2256624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256626 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2256628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2256630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256637 */   // GIR_Coverage, 48873,
     /* 2256637 */   GIR_EraseRootFromParent_Done,
     /* 2256638 */ // Label 30188: @2256638
     /* 2256638 */ GIM_Try, /*On fail goto*//*Label 30189*/ GIMT_Encode4(2256686), // Rule ID 48880 //
     /* 2256643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2256649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2256652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256656 */   // MIs[0] Operand 1
     /* 2256656 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256665 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256669 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2256669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2256672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256674 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256676 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256685 */   // GIR_Coverage, 48880,
     /* 2256685 */   GIR_EraseRootFromParent_Done,
     /* 2256686 */ // Label 30189: @2256686
     /* 2256686 */ GIM_Try, /*On fail goto*//*Label 30190*/ GIMT_Encode4(2256734), // Rule ID 48881 //
     /* 2256691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2256697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2256700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256704 */   // MIs[0] Operand 1
     /* 2256704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256717 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF4:{ *:[nxv2i1] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2256717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF4),
     /* 2256720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256722 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2256732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256733 */   // GIR_Coverage, 48881,
     /* 2256733 */   GIR_EraseRootFromParent_Done,
     /* 2256734 */ // Label 30190: @2256734
     /* 2256734 */ GIM_Try, /*On fail goto*//*Label 30191*/ GIMT_Encode4(2256782), // Rule ID 48886 //
     /* 2256739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2256745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2256748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256752 */   // MIs[0] Operand 1
     /* 2256752 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256765 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2256765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2256768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256770 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256772 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256781 */   // GIR_Coverage, 48886,
     /* 2256781 */   GIR_EraseRootFromParent_Done,
     /* 2256782 */ // Label 30191: @2256782
     /* 2256782 */ GIM_Try, /*On fail goto*//*Label 30192*/ GIMT_Encode4(2256830), // Rule ID 48887 //
     /* 2256787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2256793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2256796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256800 */   // MIs[0] Operand 1
     /* 2256800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256813 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2256813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2256816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256818 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256820 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2256828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256829 */   // GIR_Coverage, 48887,
     /* 2256829 */   GIR_EraseRootFromParent_Done,
     /* 2256830 */ // Label 30192: @2256830
     /* 2256830 */ GIM_Try, /*On fail goto*//*Label 30193*/ GIMT_Encode4(2256878), // Rule ID 48894 //
     /* 2256835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2256838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2256841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2256844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256848 */   // MIs[0] Operand 1
     /* 2256848 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256861 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2256861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2256864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256866 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256868 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256877 */   // GIR_Coverage, 48894,
     /* 2256877 */   GIR_EraseRootFromParent_Done,
     /* 2256878 */ // Label 30193: @2256878
     /* 2256878 */ GIM_Try, /*On fail goto*//*Label 30194*/ GIMT_Encode4(2256926), // Rule ID 48895 //
     /* 2256883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2256886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2256889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2256892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256896 */   // MIs[0] Operand 1
     /* 2256896 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256905 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256909 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2256909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2256912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256914 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256916 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2256924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256925 */   // GIR_Coverage, 48895,
     /* 2256925 */   GIR_EraseRootFromParent_Done,
     /* 2256926 */ // Label 30194: @2256926
     /* 2256926 */ GIM_Try, /*On fail goto*//*Label 30195*/ GIMT_Encode4(2256974), // Rule ID 48916 //
     /* 2256931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2256934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2256937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2256940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256944 */   // MIs[0] Operand 1
     /* 2256944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2256957 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2256957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2256960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2256962 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2256964 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2256966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2256969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2256972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2256973 */   // GIR_Coverage, 48916,
     /* 2256973 */   GIR_EraseRootFromParent_Done,
     /* 2256974 */ // Label 30195: @2256974
     /* 2256974 */ GIM_Try, /*On fail goto*//*Label 30196*/ GIMT_Encode4(2257022), // Rule ID 48917 //
     /* 2256979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2256982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2256985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2256988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2256992 */   // MIs[0] Operand 1
     /* 2256992 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2256997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257001 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257005 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2257008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257010 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2257012 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2257014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257021 */   // GIR_Coverage, 48917,
     /* 2257021 */   GIR_EraseRootFromParent_Done,
     /* 2257022 */ // Label 30196: @2257022
     /* 2257022 */ GIM_Reject,
     /* 2257023 */ // Label 29937: @2257023
     /* 2257023 */ GIM_Try, /*On fail goto*//*Label 30197*/ GIMT_Encode4(2257071), // Rule ID 48488 //
     /* 2257028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257031 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2257034 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2257037 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257041 */   // MIs[0] Operand 1
     /* 2257041 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257046 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257050 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257054 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257054 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2257057 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257059 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257061 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257070 */   // GIR_Coverage, 48488,
     /* 2257070 */   GIR_EraseRootFromParent_Done,
     /* 2257071 */ // Label 30197: @2257071
     /* 2257071 */ GIM_Try, /*On fail goto*//*Label 30198*/ GIMT_Encode4(2257119), // Rule ID 48489 //
     /* 2257076 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2257082 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2257085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257089 */   // MIs[0] Operand 1
     /* 2257089 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257094 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257098 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257102 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_MF2),
     /* 2257105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257107 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257109 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257111 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257117 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257118 */   // GIR_Coverage, 48489,
     /* 2257118 */   GIR_EraseRootFromParent_Done,
     /* 2257119 */ // Label 30198: @2257119
     /* 2257119 */ GIM_Try, /*On fail goto*//*Label 30199*/ GIMT_Encode4(2257167), // Rule ID 48498 //
     /* 2257124 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257127 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2257130 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2257133 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257137 */   // MIs[0] Operand 1
     /* 2257137 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257142 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257146 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257150 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2257153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257155 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257157 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257159 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257165 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257166 */   // GIR_Coverage, 48498,
     /* 2257166 */   GIR_EraseRootFromParent_Done,
     /* 2257167 */ // Label 30199: @2257167
     /* 2257167 */ GIM_Try, /*On fail goto*//*Label 30200*/ GIMT_Encode4(2257215), // Rule ID 48499 //
     /* 2257172 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257175 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2257178 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2257181 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257185 */   // MIs[0] Operand 1
     /* 2257185 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257194 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257198 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257198 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2257201 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257203 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257205 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257213 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257214 */   // GIR_Coverage, 48499,
     /* 2257214 */   GIR_EraseRootFromParent_Done,
     /* 2257215 */ // Label 30200: @2257215
     /* 2257215 */ GIM_Try, /*On fail goto*//*Label 30201*/ GIMT_Encode4(2257263), // Rule ID 48516 //
     /* 2257220 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257226 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257233 */   // MIs[0] Operand 1
     /* 2257233 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257242 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257246 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257246 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2257249 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257251 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257253 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257262 */   // GIR_Coverage, 48516,
     /* 2257262 */   GIR_EraseRootFromParent_Done,
     /* 2257263 */ // Label 30201: @2257263
     /* 2257263 */ GIM_Try, /*On fail goto*//*Label 30202*/ GIMT_Encode4(2257311), // Rule ID 48517 //
     /* 2257268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257271 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257274 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257281 */   // MIs[0] Operand 1
     /* 2257281 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257290 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257294 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257294 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2257297 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257299 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257301 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257309 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257310 */   // GIR_Coverage, 48517,
     /* 2257310 */   GIR_EraseRootFromParent_Done,
     /* 2257311 */ // Label 30202: @2257311
     /* 2257311 */ GIM_Try, /*On fail goto*//*Label 30203*/ GIMT_Encode4(2257359), // Rule ID 48524 //
     /* 2257316 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2257319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257322 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257329 */   // MIs[0] Operand 1
     /* 2257329 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257334 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257338 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257342 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257342 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2257345 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257347 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257349 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257351 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257357 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257358 */   // GIR_Coverage, 48524,
     /* 2257358 */   GIR_EraseRootFromParent_Done,
     /* 2257359 */ // Label 30203: @2257359
     /* 2257359 */ GIM_Try, /*On fail goto*//*Label 30204*/ GIMT_Encode4(2257407), // Rule ID 48525 //
     /* 2257364 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2257367 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257370 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257373 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257377 */   // MIs[0] Operand 1
     /* 2257377 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2257382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257386 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257390 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257390 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2257393 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257395 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257397 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257399 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257405 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257406 */   // GIR_Coverage, 48525,
     /* 2257406 */   GIR_EraseRootFromParent_Done,
     /* 2257407 */ // Label 30204: @2257407
     /* 2257407 */ GIM_Try, /*On fail goto*//*Label 30205*/ GIMT_Encode4(2257455), // Rule ID 48532 //
     /* 2257412 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257415 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2257418 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2257421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257425 */   // MIs[0] Operand 1
     /* 2257425 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257434 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257438 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2257441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257443 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257445 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257447 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257454 */   // GIR_Coverage, 48532,
     /* 2257454 */   GIR_EraseRootFromParent_Done,
     /* 2257455 */ // Label 30205: @2257455
     /* 2257455 */ GIM_Try, /*On fail goto*//*Label 30206*/ GIMT_Encode4(2257503), // Rule ID 48533 //
     /* 2257460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2257466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2257469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257473 */   // MIs[0] Operand 1
     /* 2257473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257486 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_MF2),
     /* 2257489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257501 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257502 */   // GIR_Coverage, 48533,
     /* 2257502 */   GIR_EraseRootFromParent_Done,
     /* 2257503 */ // Label 30206: @2257503
     /* 2257503 */ GIM_Try, /*On fail goto*//*Label 30207*/ GIMT_Encode4(2257551), // Rule ID 48542 //
     /* 2257508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2257514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2257517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257521 */   // MIs[0] Operand 1
     /* 2257521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257534 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2257537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257550 */   // GIR_Coverage, 48542,
     /* 2257550 */   GIR_EraseRootFromParent_Done,
     /* 2257551 */ // Label 30207: @2257551
     /* 2257551 */ GIM_Try, /*On fail goto*//*Label 30208*/ GIMT_Encode4(2257599), // Rule ID 48543 //
     /* 2257556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2257562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2257565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257569 */   // MIs[0] Operand 1
     /* 2257569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257582 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2257585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257598 */   // GIR_Coverage, 48543,
     /* 2257598 */   GIR_EraseRootFromParent_Done,
     /* 2257599 */ // Label 30208: @2257599
     /* 2257599 */ GIM_Try, /*On fail goto*//*Label 30209*/ GIMT_Encode4(2257647), // Rule ID 48560 //
     /* 2257604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257617 */   // MIs[0] Operand 1
     /* 2257617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257630 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2257630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2257633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257646 */   // GIR_Coverage, 48560,
     /* 2257646 */   GIR_EraseRootFromParent_Done,
     /* 2257647 */ // Label 30209: @2257647
     /* 2257647 */ GIM_Try, /*On fail goto*//*Label 30210*/ GIMT_Encode4(2257695), // Rule ID 48561 //
     /* 2257652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257665 */   // MIs[0] Operand 1
     /* 2257665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2257678 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2257678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2257681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257683 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257685 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2257693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257694 */   // GIR_Coverage, 48561,
     /* 2257694 */   GIR_EraseRootFromParent_Done,
     /* 2257695 */ // Label 30210: @2257695
     /* 2257695 */ GIM_Try, /*On fail goto*//*Label 30211*/ GIMT_Encode4(2257743), // Rule ID 48568 //
     /* 2257700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2257703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257713 */   // MIs[0] Operand 1
     /* 2257713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257726 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2257726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2257729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257742 */   // GIR_Coverage, 48568,
     /* 2257742 */   GIR_EraseRootFromParent_Done,
     /* 2257743 */ // Label 30211: @2257743
     /* 2257743 */ GIM_Try, /*On fail goto*//*Label 30212*/ GIMT_Encode4(2257791), // Rule ID 48569 //
     /* 2257748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2257751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2257754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2257757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257761 */   // MIs[0] Operand 1
     /* 2257761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2257766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2257774 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2257774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2257777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2257789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257790 */   // GIR_Coverage, 48569,
     /* 2257790 */   GIR_EraseRootFromParent_Done,
     /* 2257791 */ // Label 30212: @2257791
     /* 2257791 */ GIM_Try, /*On fail goto*//*Label 30213*/ GIMT_Encode4(2257839), // Rule ID 48576 //
     /* 2257796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2257802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2257805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257809 */   // MIs[0] Operand 1
     /* 2257809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2257814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257822 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2257822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2257825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257838 */   // GIR_Coverage, 48576,
     /* 2257838 */   GIR_EraseRootFromParent_Done,
     /* 2257839 */ // Label 30213: @2257839
     /* 2257839 */ GIM_Try, /*On fail goto*//*Label 30214*/ GIMT_Encode4(2257887), // Rule ID 48577 //
     /* 2257844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2257850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2257853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257857 */   // MIs[0] Operand 1
     /* 2257857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2257862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257866 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257870 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2257870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2257873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2257885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257886 */   // GIR_Coverage, 48577,
     /* 2257886 */   GIR_EraseRootFromParent_Done,
     /* 2257887 */ // Label 30214: @2257887
     /* 2257887 */ GIM_Try, /*On fail goto*//*Label 30215*/ GIMT_Encode4(2257935), // Rule ID 48586 //
     /* 2257892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2257898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2257901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257905 */   // MIs[0] Operand 1
     /* 2257905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2257910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257918 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2257918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2257921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257925 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257934 */   // GIR_Coverage, 48586,
     /* 2257934 */   GIR_EraseRootFromParent_Done,
     /* 2257935 */ // Label 30215: @2257935
     /* 2257935 */ GIM_Try, /*On fail goto*//*Label 30216*/ GIMT_Encode4(2257983), // Rule ID 48587 //
     /* 2257940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2257943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2257946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2257949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257953 */   // MIs[0] Operand 1
     /* 2257953 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2257958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257962 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2257966 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2257966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2257969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2257971 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2257973 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2257975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2257978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2257981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2257982 */   // GIR_Coverage, 48587,
     /* 2257982 */   GIR_EraseRootFromParent_Done,
     /* 2257983 */ // Label 30216: @2257983
     /* 2257983 */ GIM_Try, /*On fail goto*//*Label 30217*/ GIMT_Encode4(2258031), // Rule ID 48604 //
     /* 2257988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2257991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2257994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2257997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258001 */   // MIs[0] Operand 1
     /* 2258001 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258010 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258014 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2258017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258019 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258021 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258030 */   // GIR_Coverage, 48604,
     /* 2258030 */   GIR_EraseRootFromParent_Done,
     /* 2258031 */ // Label 30217: @2258031
     /* 2258031 */ GIM_Try, /*On fail goto*//*Label 30218*/ GIMT_Encode4(2258079), // Rule ID 48605 //
     /* 2258036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2258042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2258045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258049 */   // MIs[0] Operand 1
     /* 2258049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258062 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2258065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258069 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258078 */   // GIR_Coverage, 48605,
     /* 2258078 */   GIR_EraseRootFromParent_Done,
     /* 2258079 */ // Label 30218: @2258079
     /* 2258079 */ GIM_Try, /*On fail goto*//*Label 30219*/ GIMT_Encode4(2258127), // Rule ID 48612 //
     /* 2258084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2258087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2258090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2258093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258097 */   // MIs[0] Operand 1
     /* 2258097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258110 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258117 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258126 */   // GIR_Coverage, 48612,
     /* 2258126 */   GIR_EraseRootFromParent_Done,
     /* 2258127 */ // Label 30219: @2258127
     /* 2258127 */ GIM_Try, /*On fail goto*//*Label 30220*/ GIMT_Encode4(2258175), // Rule ID 48613 //
     /* 2258132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2258135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2258138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2258141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258145 */   // MIs[0] Operand 1
     /* 2258145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2258150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258158 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258163 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258165 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258174 */   // GIR_Coverage, 48613,
     /* 2258174 */   GIR_EraseRootFromParent_Done,
     /* 2258175 */ // Label 30220: @2258175
     /* 2258175 */ GIM_Try, /*On fail goto*//*Label 30221*/ GIMT_Encode4(2258223), // Rule ID 48618 //
     /* 2258180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2258186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2258189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258193 */   // MIs[0] Operand 1
     /* 2258193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258206 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2258209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258211 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258213 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258222 */   // GIR_Coverage, 48618,
     /* 2258222 */   GIR_EraseRootFromParent_Done,
     /* 2258223 */ // Label 30221: @2258223
     /* 2258223 */ GIM_Try, /*On fail goto*//*Label 30222*/ GIMT_Encode4(2258271), // Rule ID 48619 //
     /* 2258228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2258234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2258237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258241 */   // MIs[0] Operand 1
     /* 2258241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258254 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_MF2),
     /* 2258257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258259 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258261 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258270 */   // GIR_Coverage, 48619,
     /* 2258270 */   GIR_EraseRootFromParent_Done,
     /* 2258271 */ // Label 30222: @2258271
     /* 2258271 */ GIM_Try, /*On fail goto*//*Label 30223*/ GIMT_Encode4(2258319), // Rule ID 48628 //
     /* 2258276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2258282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2258285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258289 */   // MIs[0] Operand 1
     /* 2258289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258302 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2258305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258307 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258309 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258318 */   // GIR_Coverage, 48628,
     /* 2258318 */   GIR_EraseRootFromParent_Done,
     /* 2258319 */ // Label 30223: @2258319
     /* 2258319 */ GIM_Try, /*On fail goto*//*Label 30224*/ GIMT_Encode4(2258367), // Rule ID 48629 //
     /* 2258324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2258330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2258333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258337 */   // MIs[0] Operand 1
     /* 2258337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258350 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2258353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258355 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258357 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258366 */   // GIR_Coverage, 48629,
     /* 2258366 */   GIR_EraseRootFromParent_Done,
     /* 2258367 */ // Label 30224: @2258367
     /* 2258367 */ GIM_Try, /*On fail goto*//*Label 30225*/ GIMT_Encode4(2258415), // Rule ID 48646 //
     /* 2258372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2258378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2258381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258385 */   // MIs[0] Operand 1
     /* 2258385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258398 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2258401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258403 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258405 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258414 */   // GIR_Coverage, 48646,
     /* 2258414 */   GIR_EraseRootFromParent_Done,
     /* 2258415 */ // Label 30225: @2258415
     /* 2258415 */ GIM_Try, /*On fail goto*//*Label 30226*/ GIMT_Encode4(2258463), // Rule ID 48647 //
     /* 2258420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2258426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2258429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258433 */   // MIs[0] Operand 1
     /* 2258433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258446 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2258449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258453 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258462 */   // GIR_Coverage, 48647,
     /* 2258462 */   GIR_EraseRootFromParent_Done,
     /* 2258463 */ // Label 30226: @2258463
     /* 2258463 */ GIM_Try, /*On fail goto*//*Label 30227*/ GIMT_Encode4(2258511), // Rule ID 48654 //
     /* 2258468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2258471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2258474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2258477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258481 */   // MIs[0] Operand 1
     /* 2258481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258494 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258499 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258501 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258510 */   // GIR_Coverage, 48654,
     /* 2258510 */   GIR_EraseRootFromParent_Done,
     /* 2258511 */ // Label 30227: @2258511
     /* 2258511 */ GIM_Try, /*On fail goto*//*Label 30228*/ GIMT_Encode4(2258559), // Rule ID 48655 //
     /* 2258516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2258519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2258522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2258525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258529 */   // MIs[0] Operand 1
     /* 2258529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2258534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258542 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2258545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258547 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258549 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258558 */   // GIR_Coverage, 48655,
     /* 2258558 */   GIR_EraseRootFromParent_Done,
     /* 2258559 */ // Label 30228: @2258559
     /* 2258559 */ GIM_Try, /*On fail goto*//*Label 30229*/ GIMT_Encode4(2258607), // Rule ID 48662 //
     /* 2258564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2258570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2258573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258577 */   // MIs[0] Operand 1
     /* 2258577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258590 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2258593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258606 */   // GIR_Coverage, 48662,
     /* 2258606 */   GIR_EraseRootFromParent_Done,
     /* 2258607 */ // Label 30229: @2258607
     /* 2258607 */ GIM_Try, /*On fail goto*//*Label 30230*/ GIMT_Encode4(2258655), // Rule ID 48663 //
     /* 2258612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2258618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2258621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258625 */   // MIs[0] Operand 1
     /* 2258625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258638 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2258638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2258641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258645 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258654 */   // GIR_Coverage, 48663,
     /* 2258654 */   GIR_EraseRootFromParent_Done,
     /* 2258655 */ // Label 30230: @2258655
     /* 2258655 */ GIM_Try, /*On fail goto*//*Label 30231*/ GIMT_Encode4(2258703), // Rule ID 48672 //
     /* 2258660 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2258666 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2258669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258673 */   // MIs[0] Operand 1
     /* 2258673 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258682 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258686 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2258686 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2258689 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258691 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258693 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258702 */   // GIR_Coverage, 48672,
     /* 2258702 */   GIR_EraseRootFromParent_Done,
     /* 2258703 */ // Label 30231: @2258703
     /* 2258703 */ GIM_Try, /*On fail goto*//*Label 30232*/ GIMT_Encode4(2258751), // Rule ID 48673 //
     /* 2258708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258711 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2258714 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2258717 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258721 */   // MIs[0] Operand 1
     /* 2258721 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258730 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258734 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2258734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2258737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258739 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258741 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2258749 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258750 */   // GIR_Coverage, 48673,
     /* 2258750 */   GIR_EraseRootFromParent_Done,
     /* 2258751 */ // Label 30232: @2258751
     /* 2258751 */ GIM_Try, /*On fail goto*//*Label 30233*/ GIMT_Encode4(2258799), // Rule ID 48690 //
     /* 2258756 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258759 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2258762 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2258765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258769 */   // MIs[0] Operand 1
     /* 2258769 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258774 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258778 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258782 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2258782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2258785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258787 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258789 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258794 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258797 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258798 */   // GIR_Coverage, 48690,
     /* 2258798 */   GIR_EraseRootFromParent_Done,
     /* 2258799 */ // Label 30233: @2258799
     /* 2258799 */ GIM_Try, /*On fail goto*//*Label 30234*/ GIMT_Encode4(2258847), // Rule ID 48691 //
     /* 2258804 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258807 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2258810 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2258813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258817 */   // MIs[0] Operand 1
     /* 2258817 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258822 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258826 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2258830 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2258830 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2258833 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258835 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258837 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258839 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258842 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2258845 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258846 */   // GIR_Coverage, 48691,
     /* 2258846 */   GIR_EraseRootFromParent_Done,
     /* 2258847 */ // Label 30234: @2258847
     /* 2258847 */ GIM_Try, /*On fail goto*//*Label 30235*/ GIMT_Encode4(2258895), // Rule ID 48698 //
     /* 2258852 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2258855 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2258858 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2258861 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258865 */   // MIs[0] Operand 1
     /* 2258865 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258870 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258874 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258878 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2258878 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2258881 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258883 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258885 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258887 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258890 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258893 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258894 */   // GIR_Coverage, 48698,
     /* 2258894 */   GIR_EraseRootFromParent_Done,
     /* 2258895 */ // Label 30235: @2258895
     /* 2258895 */ GIM_Try, /*On fail goto*//*Label 30236*/ GIMT_Encode4(2258943), // Rule ID 48699 //
     /* 2258900 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2258903 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2258906 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2258909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258913 */   // MIs[0] Operand 1
     /* 2258913 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2258918 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258922 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2258926 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2258926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2258929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258931 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2258933 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2258935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2258941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258942 */   // GIR_Coverage, 48699,
     /* 2258942 */   GIR_EraseRootFromParent_Done,
     /* 2258943 */ // Label 30236: @2258943
     /* 2258943 */ GIM_Try, /*On fail goto*//*Label 30237*/ GIMT_Encode4(2258991), // Rule ID 48706 //
     /* 2258948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2258951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2258954 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2258957 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258961 */   // MIs[0] Operand 1
     /* 2258961 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2258966 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258970 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2258974 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2258974 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2258977 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2258979 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2258981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2258983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2258986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2258989 */   GIR_RootConstrainSelectedInstOperands,
     /* 2258990 */   // GIR_Coverage, 48706,
     /* 2258990 */   GIR_EraseRootFromParent_Done,
     /* 2258991 */ // Label 30237: @2258991
     /* 2258991 */ GIM_Try, /*On fail goto*//*Label 30238*/ GIMT_Encode4(2259039), // Rule ID 48707 //
     /* 2258996 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2258999 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2259002 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2259005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259009 */   // MIs[0] Operand 1
     /* 2259009 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259014 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259018 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259022 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_MF2),
     /* 2259025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259027 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259031 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259034 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259037 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259038 */   // GIR_Coverage, 48707,
     /* 2259038 */   GIR_EraseRootFromParent_Done,
     /* 2259039 */ // Label 30238: @2259039
     /* 2259039 */ GIM_Try, /*On fail goto*//*Label 30239*/ GIMT_Encode4(2259087), // Rule ID 48716 //
     /* 2259044 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2259050 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2259053 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259057 */   // MIs[0] Operand 1
     /* 2259057 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259062 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259066 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259070 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259070 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2259073 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259075 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259077 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259079 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259082 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259085 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259086 */   // GIR_Coverage, 48716,
     /* 2259086 */   GIR_EraseRootFromParent_Done,
     /* 2259087 */ // Label 30239: @2259087
     /* 2259087 */ GIM_Try, /*On fail goto*//*Label 30240*/ GIMT_Encode4(2259135), // Rule ID 48717 //
     /* 2259092 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2259098 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2259101 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259105 */   // MIs[0] Operand 1
     /* 2259105 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259110 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259114 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259118 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259118 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2259121 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259123 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259125 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259127 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259134 */   // GIR_Coverage, 48717,
     /* 2259134 */   GIR_EraseRootFromParent_Done,
     /* 2259135 */ // Label 30240: @2259135
     /* 2259135 */ GIM_Try, /*On fail goto*//*Label 30241*/ GIMT_Encode4(2259183), // Rule ID 48734 //
     /* 2259140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259143 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2259146 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2259149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259153 */   // MIs[0] Operand 1
     /* 2259153 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259162 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259166 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259166 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2259169 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259171 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259173 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259182 */   // GIR_Coverage, 48734,
     /* 2259182 */   GIR_EraseRootFromParent_Done,
     /* 2259183 */ // Label 30241: @2259183
     /* 2259183 */ GIM_Try, /*On fail goto*//*Label 30242*/ GIMT_Encode4(2259231), // Rule ID 48735 //
     /* 2259188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2259194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2259197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259201 */   // MIs[0] Operand 1
     /* 2259201 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259206 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259210 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259214 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259214 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2259217 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259219 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259230 */   // GIR_Coverage, 48735,
     /* 2259230 */   GIR_EraseRootFromParent_Done,
     /* 2259231 */ // Label 30242: @2259231
     /* 2259231 */ GIM_Try, /*On fail goto*//*Label 30243*/ GIMT_Encode4(2259279), // Rule ID 48742 //
     /* 2259236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2259239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2259242 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2259245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259249 */   // MIs[0] Operand 1
     /* 2259249 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259254 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259258 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259262 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2259265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259267 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259271 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259278 */   // GIR_Coverage, 48742,
     /* 2259278 */   GIR_EraseRootFromParent_Done,
     /* 2259279 */ // Label 30243: @2259279
     /* 2259279 */ GIM_Try, /*On fail goto*//*Label 30244*/ GIMT_Encode4(2259327), // Rule ID 48743 //
     /* 2259284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2259287 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2259290 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2259293 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259297 */   // MIs[0] Operand 1
     /* 2259297 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2259302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259306 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259310 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259310 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2259313 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259315 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259319 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259326 */   // GIR_Coverage, 48743,
     /* 2259326 */   GIR_EraseRootFromParent_Done,
     /* 2259327 */ // Label 30244: @2259327
     /* 2259327 */ GIM_Try, /*On fail goto*//*Label 30245*/ GIMT_Encode4(2259375), // Rule ID 48750 //
     /* 2259332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259335 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2259338 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2259341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259345 */   // MIs[0] Operand 1
     /* 2259345 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259350 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259354 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259358 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259358 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2259361 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259363 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259365 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259373 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259374 */   // GIR_Coverage, 48750,
     /* 2259374 */   GIR_EraseRootFromParent_Done,
     /* 2259375 */ // Label 30245: @2259375
     /* 2259375 */ GIM_Try, /*On fail goto*//*Label 30246*/ GIMT_Encode4(2259423), // Rule ID 48751 //
     /* 2259380 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2259386 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2259389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259393 */   // MIs[0] Operand 1
     /* 2259393 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259398 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259402 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259406 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259406 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2259409 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259411 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259413 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259422 */   // GIR_Coverage, 48751,
     /* 2259422 */   GIR_EraseRootFromParent_Done,
     /* 2259423 */ // Label 30246: @2259423
     /* 2259423 */ GIM_Try, /*On fail goto*//*Label 30247*/ GIMT_Encode4(2259471), // Rule ID 48760 //
     /* 2259428 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259431 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2259434 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2259437 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259441 */   // MIs[0] Operand 1
     /* 2259441 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259446 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259450 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259454 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259454 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2259457 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259459 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259461 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259469 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259470 */   // GIR_Coverage, 48760,
     /* 2259470 */   GIR_EraseRootFromParent_Done,
     /* 2259471 */ // Label 30247: @2259471
     /* 2259471 */ GIM_Try, /*On fail goto*//*Label 30248*/ GIMT_Encode4(2259519), // Rule ID 48761 //
     /* 2259476 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2259482 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2259485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259489 */   // MIs[0] Operand 1
     /* 2259489 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259494 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259498 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259502 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259502 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2259505 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259507 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259509 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259511 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259514 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259517 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259518 */   // GIR_Coverage, 48761,
     /* 2259518 */   GIR_EraseRootFromParent_Done,
     /* 2259519 */ // Label 30248: @2259519
     /* 2259519 */ GIM_Try, /*On fail goto*//*Label 30249*/ GIMT_Encode4(2259567), // Rule ID 48778 //
     /* 2259524 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259527 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2259530 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2259533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259537 */   // MIs[0] Operand 1
     /* 2259537 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259546 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259550 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2259553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259555 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259557 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259559 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259562 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259565 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259566 */   // GIR_Coverage, 48778,
     /* 2259566 */   GIR_EraseRootFromParent_Done,
     /* 2259567 */ // Label 30249: @2259567
     /* 2259567 */ GIM_Try, /*On fail goto*//*Label 30250*/ GIMT_Encode4(2259615), // Rule ID 48779 //
     /* 2259572 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259575 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2259578 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2259581 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259585 */   // MIs[0] Operand 1
     /* 2259585 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259594 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259598 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2259601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259603 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259605 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259614 */   // GIR_Coverage, 48779,
     /* 2259614 */   GIR_EraseRootFromParent_Done,
     /* 2259615 */ // Label 30250: @2259615
     /* 2259615 */ GIM_Try, /*On fail goto*//*Label 30251*/ GIMT_Encode4(2259663), // Rule ID 48786 //
     /* 2259620 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2259623 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2259626 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2259629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259633 */   // MIs[0] Operand 1
     /* 2259633 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259638 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259642 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259646 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2259646 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2259649 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259651 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259653 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259662 */   // GIR_Coverage, 48786,
     /* 2259662 */   GIR_EraseRootFromParent_Done,
     /* 2259663 */ // Label 30251: @2259663
     /* 2259663 */ GIM_Try, /*On fail goto*//*Label 30252*/ GIMT_Encode4(2259711), // Rule ID 48787 //
     /* 2259668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2259671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2259674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2259677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259681 */   // MIs[0] Operand 1
     /* 2259681 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2259686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259690 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2259694 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2259694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2259697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259699 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2259701 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2259703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2259709 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259710 */   // GIR_Coverage, 48787,
     /* 2259710 */   GIR_EraseRootFromParent_Done,
     /* 2259711 */ // Label 30252: @2259711
     /* 2259711 */ GIM_Try, /*On fail goto*//*Label 30253*/ GIMT_Encode4(2259759), // Rule ID 48794 //
     /* 2259716 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2259722 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2259725 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259729 */   // MIs[0] Operand 1
     /* 2259729 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259738 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259742 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2259742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2259745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259747 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259749 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259758 */   // GIR_Coverage, 48794,
     /* 2259758 */   GIR_EraseRootFromParent_Done,
     /* 2259759 */ // Label 30253: @2259759
     /* 2259759 */ GIM_Try, /*On fail goto*//*Label 30254*/ GIMT_Encode4(2259807), // Rule ID 48795 //
     /* 2259764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2259770 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2259773 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259777 */   // MIs[0] Operand 1
     /* 2259777 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259782 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259786 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259790 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2259790 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_MF2),
     /* 2259793 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259795 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259797 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2259805 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259806 */   // GIR_Coverage, 48795,
     /* 2259806 */   GIR_EraseRootFromParent_Done,
     /* 2259807 */ // Label 30254: @2259807
     /* 2259807 */ GIM_Try, /*On fail goto*//*Label 30255*/ GIMT_Encode4(2259855), // Rule ID 48804 //
     /* 2259812 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259815 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2259818 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2259821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259825 */   // MIs[0] Operand 1
     /* 2259825 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259834 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259838 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2259838 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2259841 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259843 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259845 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259850 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259853 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259854 */   // GIR_Coverage, 48804,
     /* 2259854 */   GIR_EraseRootFromParent_Done,
     /* 2259855 */ // Label 30255: @2259855
     /* 2259855 */ GIM_Try, /*On fail goto*//*Label 30256*/ GIMT_Encode4(2259903), // Rule ID 48805 //
     /* 2259860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259863 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2259866 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2259869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259873 */   // MIs[0] Operand 1
     /* 2259873 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259878 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259882 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259886 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2259886 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2259889 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259891 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2259901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259902 */   // GIR_Coverage, 48805,
     /* 2259902 */   GIR_EraseRootFromParent_Done,
     /* 2259903 */ // Label 30256: @2259903
     /* 2259903 */ GIM_Try, /*On fail goto*//*Label 30257*/ GIMT_Encode4(2259951), // Rule ID 48822 //
     /* 2259908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2259911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2259914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2259917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259921 */   // MIs[0] Operand 1
     /* 2259921 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259926 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259930 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259934 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2259934 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2259937 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259939 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259950 */   // GIR_Coverage, 48822,
     /* 2259950 */   GIR_EraseRootFromParent_Done,
     /* 2259951 */ // Label 30257: @2259951
     /* 2259951 */ GIM_Try, /*On fail goto*//*Label 30258*/ GIMT_Encode4(2259999), // Rule ID 48823 //
     /* 2259956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2259959 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2259962 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2259965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2259969 */   // MIs[0] Operand 1
     /* 2259969 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2259974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259978 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2259982 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2259982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2259985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2259987 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2259989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2259991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2259994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2259997 */   GIR_RootConstrainSelectedInstOperands,
     /* 2259998 */   // GIR_Coverage, 48823,
     /* 2259998 */   GIR_EraseRootFromParent_Done,
     /* 2259999 */ // Label 30258: @2259999
     /* 2259999 */ GIM_Try, /*On fail goto*//*Label 30259*/ GIMT_Encode4(2260047), // Rule ID 48830 //
     /* 2260004 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260007 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260010 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260013 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260017 */   // MIs[0] Operand 1
     /* 2260017 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2260022 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260026 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260030 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2260033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260035 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260046 */   // GIR_Coverage, 48830,
     /* 2260046 */   GIR_EraseRootFromParent_Done,
     /* 2260047 */ // Label 30259: @2260047
     /* 2260047 */ GIM_Try, /*On fail goto*//*Label 30260*/ GIMT_Encode4(2260095), // Rule ID 48831 //
     /* 2260052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260058 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260065 */   // MIs[0] Operand 1
     /* 2260065 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2260070 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260074 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260078 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260078 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2260081 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260083 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260090 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260093 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260094 */   // GIR_Coverage, 48831,
     /* 2260094 */   GIR_EraseRootFromParent_Done,
     /* 2260095 */ // Label 30260: @2260095
     /* 2260095 */ GIM_Try, /*On fail goto*//*Label 30261*/ GIMT_Encode4(2260143), // Rule ID 48838 //
     /* 2260100 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260103 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2260106 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2260109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260113 */   // MIs[0] Operand 1
     /* 2260113 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260118 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260122 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260126 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2260129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260131 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260133 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260141 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260142 */   // GIR_Coverage, 48838,
     /* 2260142 */   GIR_EraseRootFromParent_Done,
     /* 2260143 */ // Label 30261: @2260143
     /* 2260143 */ GIM_Try, /*On fail goto*//*Label 30262*/ GIMT_Encode4(2260191), // Rule ID 48839 //
     /* 2260148 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2260154 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2260157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260161 */   // MIs[0] Operand 1
     /* 2260161 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260170 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260174 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2260177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260179 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260181 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260186 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260189 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260190 */   // GIR_Coverage, 48839,
     /* 2260190 */   GIR_EraseRootFromParent_Done,
     /* 2260191 */ // Label 30262: @2260191
     /* 2260191 */ GIM_Try, /*On fail goto*//*Label 30263*/ GIMT_Encode4(2260239), // Rule ID 48848 //
     /* 2260196 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260202 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260205 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260209 */   // MIs[0] Operand 1
     /* 2260209 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260214 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260218 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260222 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2260225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260227 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260229 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260234 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260237 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260238 */   // GIR_Coverage, 48848,
     /* 2260238 */   GIR_EraseRootFromParent_Done,
     /* 2260239 */ // Label 30263: @2260239
     /* 2260239 */ GIM_Try, /*On fail goto*//*Label 30264*/ GIMT_Encode4(2260287), // Rule ID 48849 //
     /* 2260244 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260247 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260250 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260257 */   // MIs[0] Operand 1
     /* 2260257 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260262 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260266 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260270 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2260273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260275 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260277 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260282 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260286 */   // GIR_Coverage, 48849,
     /* 2260286 */   GIR_EraseRootFromParent_Done,
     /* 2260287 */ // Label 30264: @2260287
     /* 2260287 */ GIM_Try, /*On fail goto*//*Label 30265*/ GIMT_Encode4(2260335), // Rule ID 48866 //
     /* 2260292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260305 */   // MIs[0] Operand 1
     /* 2260305 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260314 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260318 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2260321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260323 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260325 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260330 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260333 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260334 */   // GIR_Coverage, 48866,
     /* 2260334 */   GIR_EraseRootFromParent_Done,
     /* 2260335 */ // Label 30265: @2260335
     /* 2260335 */ GIM_Try, /*On fail goto*//*Label 30266*/ GIMT_Encode4(2260383), // Rule ID 48867 //
     /* 2260340 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260343 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260346 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260353 */   // MIs[0] Operand 1
     /* 2260353 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260358 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260362 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260366 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260366 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2260369 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260371 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260373 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260382 */   // GIR_Coverage, 48867,
     /* 2260382 */   GIR_EraseRootFromParent_Done,
     /* 2260383 */ // Label 30266: @2260383
     /* 2260383 */ GIM_Try, /*On fail goto*//*Label 30267*/ GIMT_Encode4(2260431), // Rule ID 48874 //
     /* 2260388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260394 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260401 */   // MIs[0] Operand 1
     /* 2260401 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260410 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260414 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260419 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260421 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260430 */   // GIR_Coverage, 48874,
     /* 2260430 */   GIR_EraseRootFromParent_Done,
     /* 2260431 */ // Label 30267: @2260431
     /* 2260431 */ GIM_Try, /*On fail goto*//*Label 30268*/ GIMT_Encode4(2260479), // Rule ID 48875 //
     /* 2260436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260442 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260445 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260449 */   // MIs[0] Operand 1
     /* 2260449 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2260454 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260458 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260462 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260467 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260469 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260478 */   // GIR_Coverage, 48875,
     /* 2260478 */   GIR_EraseRootFromParent_Done,
     /* 2260479 */ // Label 30268: @2260479
     /* 2260479 */ GIM_Try, /*On fail goto*//*Label 30269*/ GIMT_Encode4(2260527), // Rule ID 48882 //
     /* 2260484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260487 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2260490 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2260493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260497 */   // MIs[0] Operand 1
     /* 2260497 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260502 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260506 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260510 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2260513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260515 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260526 */   // GIR_Coverage, 48882,
     /* 2260526 */   GIR_EraseRootFromParent_Done,
     /* 2260527 */ // Label 30269: @2260527
     /* 2260527 */ GIM_Try, /*On fail goto*//*Label 30270*/ GIMT_Encode4(2260575), // Rule ID 48883 //
     /* 2260532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2260538 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2260541 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260545 */   // MIs[0] Operand 1
     /* 2260545 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260554 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260558 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_MF2:{ *:[nxv4i1] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260558 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_MF2),
     /* 2260561 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260563 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260570 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260573 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260574 */   // GIR_Coverage, 48883,
     /* 2260574 */   GIR_EraseRootFromParent_Done,
     /* 2260575 */ // Label 30270: @2260575
     /* 2260575 */ GIM_Try, /*On fail goto*//*Label 30271*/ GIMT_Encode4(2260623), // Rule ID 48892 //
     /* 2260580 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260586 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260593 */   // MIs[0] Operand 1
     /* 2260593 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260598 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260602 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260606 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260606 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2260609 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260611 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260613 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260622 */   // GIR_Coverage, 48892,
     /* 2260622 */   GIR_EraseRootFromParent_Done,
     /* 2260623 */ // Label 30271: @2260623
     /* 2260623 */ GIM_Try, /*On fail goto*//*Label 30272*/ GIMT_Encode4(2260671), // Rule ID 48893 //
     /* 2260628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2260634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2260637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260641 */   // MIs[0] Operand 1
     /* 2260641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260650 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260654 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2260654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2260657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260659 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2260669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260670 */   // GIR_Coverage, 48893,
     /* 2260670 */   GIR_EraseRootFromParent_Done,
     /* 2260671 */ // Label 30272: @2260671
     /* 2260671 */ GIM_Try, /*On fail goto*//*Label 30273*/ GIMT_Encode4(2260719), // Rule ID 48910 //
     /* 2260676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260679 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260682 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260689 */   // MIs[0] Operand 1
     /* 2260689 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260694 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260698 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260702 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2260702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2260705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260707 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260709 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260717 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260718 */   // GIR_Coverage, 48910,
     /* 2260718 */   GIR_EraseRootFromParent_Done,
     /* 2260719 */ // Label 30273: @2260719
     /* 2260719 */ GIM_Try, /*On fail goto*//*Label 30274*/ GIMT_Encode4(2260767), // Rule ID 48911 //
     /* 2260724 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2260730 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2260733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260737 */   // MIs[0] Operand 1
     /* 2260737 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260746 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260750 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2260750 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2260753 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260755 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260757 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260762 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2260765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260766 */   // GIR_Coverage, 48911,
     /* 2260766 */   GIR_EraseRootFromParent_Done,
     /* 2260767 */ // Label 30274: @2260767
     /* 2260767 */ GIM_Try, /*On fail goto*//*Label 30275*/ GIMT_Encode4(2260815), // Rule ID 48918 //
     /* 2260772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2260775 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260778 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260781 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260785 */   // MIs[0] Operand 1
     /* 2260785 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260794 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260798 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2260798 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260801 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260803 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260805 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260813 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260814 */   // GIR_Coverage, 48918,
     /* 2260814 */   GIR_EraseRootFromParent_Done,
     /* 2260815 */ // Label 30275: @2260815
     /* 2260815 */ GIM_Try, /*On fail goto*//*Label 30276*/ GIMT_Encode4(2260863), // Rule ID 48919 //
     /* 2260820 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2260823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2260826 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2260829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260833 */   // MIs[0] Operand 1
     /* 2260833 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2260838 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260842 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2260846 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2260846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2260849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260851 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2260853 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2260855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2260861 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260862 */   // GIR_Coverage, 48919,
     /* 2260862 */   GIR_EraseRootFromParent_Done,
     /* 2260863 */ // Label 30276: @2260863
     /* 2260863 */ GIM_Reject,
     /* 2260864 */ // Label 29938: @2260864
     /* 2260864 */ GIM_Try, /*On fail goto*//*Label 30277*/ GIMT_Encode4(2260912), // Rule ID 48496 //
     /* 2260869 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260872 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2260875 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2260878 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260882 */   // MIs[0] Operand 1
     /* 2260882 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2260887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260891 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260895 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2260895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2260898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260900 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260902 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260907 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260910 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260911 */   // GIR_Coverage, 48496,
     /* 2260911 */   GIR_EraseRootFromParent_Done,
     /* 2260912 */ // Label 30277: @2260912
     /* 2260912 */ GIM_Try, /*On fail goto*//*Label 30278*/ GIMT_Encode4(2260960), // Rule ID 48497 //
     /* 2260917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2260920 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2260923 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2260926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260930 */   // MIs[0] Operand 1
     /* 2260930 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2260935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260939 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260943 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2260943 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M1),
     /* 2260946 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260948 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260950 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2260952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2260955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2260958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2260959 */   // GIR_Coverage, 48497,
     /* 2260959 */   GIR_EraseRootFromParent_Done,
     /* 2260960 */ // Label 30278: @2260960
     /* 2260960 */ GIM_Try, /*On fail goto*//*Label 30279*/ GIMT_Encode4(2261008), // Rule ID 48510 //
     /* 2260965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2260968 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2260971 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2260974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2260978 */   // MIs[0] Operand 1
     /* 2260978 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2260983 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260987 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2260991 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2260991 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2260994 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2260996 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2260998 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261006 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261007 */   // GIR_Coverage, 48510,
     /* 2261007 */   GIR_EraseRootFromParent_Done,
     /* 2261008 */ // Label 30279: @2261008
     /* 2261008 */ GIM_Try, /*On fail goto*//*Label 30280*/ GIMT_Encode4(2261056), // Rule ID 48511 //
     /* 2261013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261016 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261019 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261026 */   // MIs[0] Operand 1
     /* 2261026 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261035 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261039 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2261042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261044 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261046 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261054 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261055 */   // GIR_Coverage, 48511,
     /* 2261055 */   GIR_EraseRootFromParent_Done,
     /* 2261056 */ // Label 30280: @2261056
     /* 2261056 */ GIM_Try, /*On fail goto*//*Label 30281*/ GIMT_Encode4(2261104), // Rule ID 48518 //
     /* 2261061 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261064 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261067 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261070 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261074 */   // MIs[0] Operand 1
     /* 2261074 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261079 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261083 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261087 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261087 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2261090 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261092 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261094 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261096 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261099 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261102 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261103 */   // GIR_Coverage, 48518,
     /* 2261103 */   GIR_EraseRootFromParent_Done,
     /* 2261104 */ // Label 30281: @2261104
     /* 2261104 */ GIM_Try, /*On fail goto*//*Label 30282*/ GIMT_Encode4(2261152), // Rule ID 48519 //
     /* 2261109 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261115 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261122 */   // MIs[0] Operand 1
     /* 2261122 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261131 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261135 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261135 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2261138 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261140 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261142 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261150 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261151 */   // GIR_Coverage, 48519,
     /* 2261151 */   GIR_EraseRootFromParent_Done,
     /* 2261152 */ // Label 30282: @2261152
     /* 2261152 */ GIM_Try, /*On fail goto*//*Label 30283*/ GIMT_Encode4(2261200), // Rule ID 48526 //
     /* 2261157 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261160 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261163 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261170 */   // MIs[0] Operand 1
     /* 2261170 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261179 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261183 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261183 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2261186 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261188 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261190 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261199 */   // GIR_Coverage, 48526,
     /* 2261199 */   GIR_EraseRootFromParent_Done,
     /* 2261200 */ // Label 30283: @2261200
     /* 2261200 */ GIM_Try, /*On fail goto*//*Label 30284*/ GIMT_Encode4(2261248), // Rule ID 48527 //
     /* 2261205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261208 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261211 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261218 */   // MIs[0] Operand 1
     /* 2261218 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2261223 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261227 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261231 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261231 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2261234 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261236 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261238 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261247 */   // GIR_Coverage, 48527,
     /* 2261247 */   GIR_EraseRootFromParent_Done,
     /* 2261248 */ // Label 30284: @2261248
     /* 2261248 */ GIM_Try, /*On fail goto*//*Label 30285*/ GIMT_Encode4(2261296), // Rule ID 48540 //
     /* 2261253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2261259 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2261262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261266 */   // MIs[0] Operand 1
     /* 2261266 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261271 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261275 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261279 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261279 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2261282 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261284 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261286 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261295 */   // GIR_Coverage, 48540,
     /* 2261295 */   GIR_EraseRootFromParent_Done,
     /* 2261296 */ // Label 30285: @2261296
     /* 2261296 */ GIM_Try, /*On fail goto*//*Label 30286*/ GIMT_Encode4(2261344), // Rule ID 48541 //
     /* 2261301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2261307 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2261310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261314 */   // MIs[0] Operand 1
     /* 2261314 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261319 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261323 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261327 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M1),
     /* 2261330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261332 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261334 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261339 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261342 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261343 */   // GIR_Coverage, 48541,
     /* 2261343 */   GIR_EraseRootFromParent_Done,
     /* 2261344 */ // Label 30286: @2261344
     /* 2261344 */ GIM_Try, /*On fail goto*//*Label 30287*/ GIMT_Encode4(2261392), // Rule ID 48554 //
     /* 2261349 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261355 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261358 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261362 */   // MIs[0] Operand 1
     /* 2261362 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261367 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261371 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261375 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2261378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261380 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261382 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261391 */   // GIR_Coverage, 48554,
     /* 2261391 */   GIR_EraseRootFromParent_Done,
     /* 2261392 */ // Label 30287: @2261392
     /* 2261392 */ GIM_Try, /*On fail goto*//*Label 30288*/ GIMT_Encode4(2261440), // Rule ID 48555 //
     /* 2261397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261406 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261410 */   // MIs[0] Operand 1
     /* 2261410 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261415 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261419 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261423 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261423 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2261426 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261428 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261430 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261439 */   // GIR_Coverage, 48555,
     /* 2261439 */   GIR_EraseRootFromParent_Done,
     /* 2261440 */ // Label 30288: @2261440
     /* 2261440 */ GIM_Try, /*On fail goto*//*Label 30289*/ GIMT_Encode4(2261488), // Rule ID 48562 //
     /* 2261445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261448 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261451 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261458 */   // MIs[0] Operand 1
     /* 2261458 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261463 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261467 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261471 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261471 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2261474 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261476 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261478 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261487 */   // GIR_Coverage, 48562,
     /* 2261487 */   GIR_EraseRootFromParent_Done,
     /* 2261488 */ // Label 30289: @2261488
     /* 2261488 */ GIM_Try, /*On fail goto*//*Label 30290*/ GIMT_Encode4(2261536), // Rule ID 48563 //
     /* 2261493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261506 */   // MIs[0] Operand 1
     /* 2261506 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261519 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2261522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261524 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261526 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261535 */   // GIR_Coverage, 48563,
     /* 2261535 */   GIR_EraseRootFromParent_Done,
     /* 2261536 */ // Label 30290: @2261536
     /* 2261536 */ GIM_Try, /*On fail goto*//*Label 30291*/ GIMT_Encode4(2261584), // Rule ID 48570 //
     /* 2261541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261547 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261554 */   // MIs[0] Operand 1
     /* 2261554 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261559 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261563 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261567 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2261570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261572 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261574 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261583 */   // GIR_Coverage, 48570,
     /* 2261583 */   GIR_EraseRootFromParent_Done,
     /* 2261584 */ // Label 30291: @2261584
     /* 2261584 */ GIM_Try, /*On fail goto*//*Label 30292*/ GIMT_Encode4(2261632), // Rule ID 48571 //
     /* 2261589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261592 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261595 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261602 */   // MIs[0] Operand 1
     /* 2261602 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2261607 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261611 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261615 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261615 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2261618 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261620 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261622 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261630 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261631 */   // GIR_Coverage, 48571,
     /* 2261631 */   GIR_EraseRootFromParent_Done,
     /* 2261632 */ // Label 30292: @2261632
     /* 2261632 */ GIM_Try, /*On fail goto*//*Label 30293*/ GIMT_Encode4(2261680), // Rule ID 48584 //
     /* 2261637 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2261643 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2261646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261650 */   // MIs[0] Operand 1
     /* 2261650 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261655 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261659 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261663 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2261663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2261666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261668 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261670 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261678 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261679 */   // GIR_Coverage, 48584,
     /* 2261679 */   GIR_EraseRootFromParent_Done,
     /* 2261680 */ // Label 30293: @2261680
     /* 2261680 */ GIM_Try, /*On fail goto*//*Label 30294*/ GIMT_Encode4(2261728), // Rule ID 48585 //
     /* 2261685 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261688 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2261691 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2261694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261698 */   // MIs[0] Operand 1
     /* 2261698 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261703 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261707 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261711 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2261711 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2261714 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261716 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261718 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2261726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261727 */   // GIR_Coverage, 48585,
     /* 2261727 */   GIR_EraseRootFromParent_Done,
     /* 2261728 */ // Label 30294: @2261728
     /* 2261728 */ GIM_Try, /*On fail goto*//*Label 30295*/ GIMT_Encode4(2261776), // Rule ID 48598 //
     /* 2261733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261739 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261746 */   // MIs[0] Operand 1
     /* 2261746 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261751 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261755 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261759 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2261759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2261762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261764 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261766 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261774 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261775 */   // GIR_Coverage, 48598,
     /* 2261775 */   GIR_EraseRootFromParent_Done,
     /* 2261776 */ // Label 30295: @2261776
     /* 2261776 */ GIM_Try, /*On fail goto*//*Label 30296*/ GIMT_Encode4(2261824), // Rule ID 48599 //
     /* 2261781 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2261787 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2261790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261794 */   // MIs[0] Operand 1
     /* 2261794 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261803 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2261807 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2261807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2261810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261812 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261814 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261819 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2261822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261823 */   // GIR_Coverage, 48599,
     /* 2261823 */   GIR_EraseRootFromParent_Done,
     /* 2261824 */ // Label 30296: @2261824
     /* 2261824 */ GIM_Try, /*On fail goto*//*Label 30297*/ GIMT_Encode4(2261872), // Rule ID 48606 //
     /* 2261829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2261832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261842 */   // MIs[0] Operand 1
     /* 2261842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261855 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2261855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2261858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261860 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261862 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261871 */   // GIR_Coverage, 48606,
     /* 2261871 */   GIR_EraseRootFromParent_Done,
     /* 2261872 */ // Label 30297: @2261872
     /* 2261872 */ GIM_Try, /*On fail goto*//*Label 30298*/ GIMT_Encode4(2261920), // Rule ID 48607 //
     /* 2261877 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2261880 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2261883 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2261886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261890 */   // MIs[0] Operand 1
     /* 2261890 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261895 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261899 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2261903 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2261903 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2261906 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261908 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261910 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2261918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261919 */   // GIR_Coverage, 48607,
     /* 2261919 */   GIR_EraseRootFromParent_Done,
     /* 2261920 */ // Label 30298: @2261920
     /* 2261920 */ GIM_Try, /*On fail goto*//*Label 30299*/ GIMT_Encode4(2261968), // Rule ID 48614 //
     /* 2261925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2261928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261931 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261938 */   // MIs[0] Operand 1
     /* 2261938 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261943 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261947 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261951 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2261951 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2261954 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2261956 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2261958 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2261960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2261963 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2261966 */   GIR_RootConstrainSelectedInstOperands,
     /* 2261967 */   // GIR_Coverage, 48614,
     /* 2261967 */   GIR_EraseRootFromParent_Done,
     /* 2261968 */ // Label 30299: @2261968
     /* 2261968 */ GIM_Try, /*On fail goto*//*Label 30300*/ GIMT_Encode4(2262016), // Rule ID 48615 //
     /* 2261973 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2261976 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2261979 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2261982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2261986 */   // MIs[0] Operand 1
     /* 2261986 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2261991 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261995 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2261999 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2261999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2262002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262004 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262006 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262015 */   // GIR_Coverage, 48615,
     /* 2262015 */   GIR_EraseRootFromParent_Done,
     /* 2262016 */ // Label 30300: @2262016
     /* 2262016 */ GIM_Try, /*On fail goto*//*Label 30301*/ GIMT_Encode4(2262064), // Rule ID 48626 //
     /* 2262021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262024 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2262027 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2262030 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262034 */   // MIs[0] Operand 1
     /* 2262034 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262039 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262043 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262047 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262047 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2262050 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262052 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262059 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262062 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262063 */   // GIR_Coverage, 48626,
     /* 2262063 */   GIR_EraseRootFromParent_Done,
     /* 2262064 */ // Label 30301: @2262064
     /* 2262064 */ GIM_Try, /*On fail goto*//*Label 30302*/ GIMT_Encode4(2262112), // Rule ID 48627 //
     /* 2262069 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262072 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2262075 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2262078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262082 */   // MIs[0] Operand 1
     /* 2262082 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262091 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262095 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M1),
     /* 2262098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262100 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262107 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262110 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262111 */   // GIR_Coverage, 48627,
     /* 2262111 */   GIR_EraseRootFromParent_Done,
     /* 2262112 */ // Label 30302: @2262112
     /* 2262112 */ GIM_Try, /*On fail goto*//*Label 30303*/ GIMT_Encode4(2262160), // Rule ID 48640 //
     /* 2262117 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262120 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262123 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262130 */   // MIs[0] Operand 1
     /* 2262130 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262135 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262139 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262143 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2262146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262148 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262150 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262159 */   // GIR_Coverage, 48640,
     /* 2262159 */   GIR_EraseRootFromParent_Done,
     /* 2262160 */ // Label 30303: @2262160
     /* 2262160 */ GIM_Try, /*On fail goto*//*Label 30304*/ GIMT_Encode4(2262208), // Rule ID 48641 //
     /* 2262165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262171 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262178 */   // MIs[0] Operand 1
     /* 2262178 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262183 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262187 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262191 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262191 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2262194 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262196 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262198 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262207 */   // GIR_Coverage, 48641,
     /* 2262207 */   GIR_EraseRootFromParent_Done,
     /* 2262208 */ // Label 30304: @2262208
     /* 2262208 */ GIM_Try, /*On fail goto*//*Label 30305*/ GIMT_Encode4(2262256), // Rule ID 48648 //
     /* 2262213 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262219 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262226 */   // MIs[0] Operand 1
     /* 2262226 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262231 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262235 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262239 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262239 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2262242 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262244 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262246 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262254 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262255 */   // GIR_Coverage, 48648,
     /* 2262255 */   GIR_EraseRootFromParent_Done,
     /* 2262256 */ // Label 30305: @2262256
     /* 2262256 */ GIM_Try, /*On fail goto*//*Label 30306*/ GIMT_Encode4(2262304), // Rule ID 48649 //
     /* 2262261 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262264 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262267 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262270 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262274 */   // MIs[0] Operand 1
     /* 2262274 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262283 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262287 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2262290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262292 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262294 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262299 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262302 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262303 */   // GIR_Coverage, 48649,
     /* 2262303 */   GIR_EraseRootFromParent_Done,
     /* 2262304 */ // Label 30306: @2262304
     /* 2262304 */ GIM_Try, /*On fail goto*//*Label 30307*/ GIMT_Encode4(2262352), // Rule ID 48656 //
     /* 2262309 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262312 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262315 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262318 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262322 */   // MIs[0] Operand 1
     /* 2262322 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262327 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262331 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262335 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262335 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2262338 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262340 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262342 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262347 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262350 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262351 */   // GIR_Coverage, 48656,
     /* 2262351 */   GIR_EraseRootFromParent_Done,
     /* 2262352 */ // Label 30307: @2262352
     /* 2262352 */ GIM_Try, /*On fail goto*//*Label 30308*/ GIMT_Encode4(2262400), // Rule ID 48657 //
     /* 2262357 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262363 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262370 */   // MIs[0] Operand 1
     /* 2262370 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2262375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262379 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262383 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262383 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2262386 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262388 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262390 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262399 */   // GIR_Coverage, 48657,
     /* 2262399 */   GIR_EraseRootFromParent_Done,
     /* 2262400 */ // Label 30308: @2262400
     /* 2262400 */ GIM_Try, /*On fail goto*//*Label 30309*/ GIMT_Encode4(2262448), // Rule ID 48670 //
     /* 2262405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262408 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2262411 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2262414 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262418 */   // MIs[0] Operand 1
     /* 2262418 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262427 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262431 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262431 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2262434 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262436 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262438 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262446 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262447 */   // GIR_Coverage, 48670,
     /* 2262447 */   GIR_EraseRootFromParent_Done,
     /* 2262448 */ // Label 30309: @2262448
     /* 2262448 */ GIM_Try, /*On fail goto*//*Label 30310*/ GIMT_Encode4(2262496), // Rule ID 48671 //
     /* 2262453 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2262459 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2262462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262466 */   // MIs[0] Operand 1
     /* 2262466 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262471 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262475 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262479 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2262482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262484 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262486 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262495 */   // GIR_Coverage, 48671,
     /* 2262495 */   GIR_EraseRootFromParent_Done,
     /* 2262496 */ // Label 30310: @2262496
     /* 2262496 */ GIM_Try, /*On fail goto*//*Label 30311*/ GIMT_Encode4(2262544), // Rule ID 48684 //
     /* 2262501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262504 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262507 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262514 */   // MIs[0] Operand 1
     /* 2262514 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262519 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262523 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262527 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262527 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2262530 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262532 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262534 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262536 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262539 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262542 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262543 */   // GIR_Coverage, 48684,
     /* 2262543 */   GIR_EraseRootFromParent_Done,
     /* 2262544 */ // Label 30311: @2262544
     /* 2262544 */ GIM_Try, /*On fail goto*//*Label 30312*/ GIMT_Encode4(2262592), // Rule ID 48685 //
     /* 2262549 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262552 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262555 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262562 */   // MIs[0] Operand 1
     /* 2262562 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262567 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262571 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262575 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262575 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2262578 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262580 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262582 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262591 */   // GIR_Coverage, 48685,
     /* 2262591 */   GIR_EraseRootFromParent_Done,
     /* 2262592 */ // Label 30312: @2262592
     /* 2262592 */ GIM_Try, /*On fail goto*//*Label 30313*/ GIMT_Encode4(2262640), // Rule ID 48692 //
     /* 2262597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262603 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262610 */   // MIs[0] Operand 1
     /* 2262610 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262615 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262619 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262623 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2262623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2262626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262628 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262630 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262638 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262639 */   // GIR_Coverage, 48692,
     /* 2262639 */   GIR_EraseRootFromParent_Done,
     /* 2262640 */ // Label 30313: @2262640
     /* 2262640 */ GIM_Try, /*On fail goto*//*Label 30314*/ GIMT_Encode4(2262688), // Rule ID 48693 //
     /* 2262645 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262648 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262651 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262658 */   // MIs[0] Operand 1
     /* 2262658 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262667 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2262671 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2262671 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2262674 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262676 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262678 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262680 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262683 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2262686 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262687 */   // GIR_Coverage, 48693,
     /* 2262687 */   GIR_EraseRootFromParent_Done,
     /* 2262688 */ // Label 30314: @2262688
     /* 2262688 */ GIM_Try, /*On fail goto*//*Label 30315*/ GIMT_Encode4(2262736), // Rule ID 48700 //
     /* 2262693 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2262696 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262699 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262702 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262706 */   // MIs[0] Operand 1
     /* 2262706 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262715 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262719 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2262719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2262722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262724 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262726 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262728 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262731 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262734 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262735 */   // GIR_Coverage, 48700,
     /* 2262735 */   GIR_EraseRootFromParent_Done,
     /* 2262736 */ // Label 30315: @2262736
     /* 2262736 */ GIM_Try, /*On fail goto*//*Label 30316*/ GIMT_Encode4(2262784), // Rule ID 48701 //
     /* 2262741 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2262744 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2262747 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2262750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262754 */   // MIs[0] Operand 1
     /* 2262754 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2262759 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262763 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2262767 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2262767 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2262770 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262772 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2262774 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2262776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2262782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262783 */   // GIR_Coverage, 48701,
     /* 2262783 */   GIR_EraseRootFromParent_Done,
     /* 2262784 */ // Label 30316: @2262784
     /* 2262784 */ GIM_Try, /*On fail goto*//*Label 30317*/ GIMT_Encode4(2262832), // Rule ID 48714 //
     /* 2262789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262792 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2262795 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2262798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262802 */   // MIs[0] Operand 1
     /* 2262802 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262811 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262815 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2262815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2262818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262822 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262824 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262827 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262830 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262831 */   // GIR_Coverage, 48714,
     /* 2262831 */   GIR_EraseRootFromParent_Done,
     /* 2262832 */ // Label 30317: @2262832
     /* 2262832 */ GIM_Try, /*On fail goto*//*Label 30318*/ GIMT_Encode4(2262880), // Rule ID 48715 //
     /* 2262837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262840 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2262843 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2262846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262850 */   // MIs[0] Operand 1
     /* 2262850 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262859 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262863 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2262863 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M1),
     /* 2262866 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2262878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262879 */   // GIR_Coverage, 48715,
     /* 2262879 */   GIR_EraseRootFromParent_Done,
     /* 2262880 */ // Label 30318: @2262880
     /* 2262880 */ GIM_Try, /*On fail goto*//*Label 30319*/ GIMT_Encode4(2262928), // Rule ID 48728 //
     /* 2262885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262888 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262891 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262898 */   // MIs[0] Operand 1
     /* 2262898 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262903 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262907 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262911 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2262911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2262914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262916 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262918 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262926 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262927 */   // GIR_Coverage, 48728,
     /* 2262927 */   GIR_EraseRootFromParent_Done,
     /* 2262928 */ // Label 30319: @2262928
     /* 2262928 */ GIM_Try, /*On fail goto*//*Label 30320*/ GIMT_Encode4(2262976), // Rule ID 48729 //
     /* 2262933 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2262936 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2262939 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2262942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262946 */   // MIs[0] Operand 1
     /* 2262946 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262955 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2262959 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2262959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2262962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2262964 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2262966 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2262968 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2262971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2262974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2262975 */   // GIR_Coverage, 48729,
     /* 2262975 */   GIR_EraseRootFromParent_Done,
     /* 2262976 */ // Label 30320: @2262976
     /* 2262976 */ GIM_Try, /*On fail goto*//*Label 30321*/ GIMT_Encode4(2263024), // Rule ID 48736 //
     /* 2262981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2262984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2262987 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2262990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2262994 */   // MIs[0] Operand 1
     /* 2262994 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2262999 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263003 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263007 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2263010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263012 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263014 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263016 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263023 */   // GIR_Coverage, 48736,
     /* 2263023 */   GIR_EraseRootFromParent_Done,
     /* 2263024 */ // Label 30321: @2263024
     /* 2263024 */ GIM_Try, /*On fail goto*//*Label 30322*/ GIMT_Encode4(2263072), // Rule ID 48737 //
     /* 2263029 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2263035 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2263038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263042 */   // MIs[0] Operand 1
     /* 2263042 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2263047 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263051 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263055 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263055 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2263058 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263062 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263067 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263070 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263071 */   // GIR_Coverage, 48737,
     /* 2263071 */   GIR_EraseRootFromParent_Done,
     /* 2263072 */ // Label 30322: @2263072
     /* 2263072 */ GIM_Try, /*On fail goto*//*Label 30323*/ GIMT_Encode4(2263120), // Rule ID 48744 //
     /* 2263077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2263080 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2263083 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2263086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263090 */   // MIs[0] Operand 1
     /* 2263090 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2263095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263099 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263103 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2263103 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2263106 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263108 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263110 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263119 */   // GIR_Coverage, 48744,
     /* 2263119 */   GIR_EraseRootFromParent_Done,
     /* 2263120 */ // Label 30323: @2263120
     /* 2263120 */ GIM_Try, /*On fail goto*//*Label 30324*/ GIMT_Encode4(2263168), // Rule ID 48745 //
     /* 2263125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2263128 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2263131 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2263134 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263138 */   // MIs[0] Operand 1
     /* 2263138 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2263143 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263147 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263151 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2263151 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2263154 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263156 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263158 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263166 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263167 */   // GIR_Coverage, 48745,
     /* 2263167 */   GIR_EraseRootFromParent_Done,
     /* 2263168 */ // Label 30324: @2263168
     /* 2263168 */ GIM_Try, /*On fail goto*//*Label 30325*/ GIMT_Encode4(2263216), // Rule ID 48758 //
     /* 2263173 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263176 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2263179 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2263182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263186 */   // MIs[0] Operand 1
     /* 2263186 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2263191 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263195 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263199 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2263202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263204 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263206 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263208 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263211 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263214 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263215 */   // GIR_Coverage, 48758,
     /* 2263215 */   GIR_EraseRootFromParent_Done,
     /* 2263216 */ // Label 30325: @2263216
     /* 2263216 */ GIM_Try, /*On fail goto*//*Label 30326*/ GIMT_Encode4(2263264), // Rule ID 48759 //
     /* 2263221 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2263227 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2263230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263234 */   // MIs[0] Operand 1
     /* 2263234 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2263239 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263243 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263247 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2263250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263252 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263254 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263256 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263263 */   // GIR_Coverage, 48759,
     /* 2263263 */   GIR_EraseRootFromParent_Done,
     /* 2263264 */ // Label 30326: @2263264
     /* 2263264 */ GIM_Try, /*On fail goto*//*Label 30327*/ GIMT_Encode4(2263312), // Rule ID 48772 //
     /* 2263269 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2263275 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2263278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263282 */   // MIs[0] Operand 1
     /* 2263282 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2263287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263291 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263295 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263295 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2263298 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263300 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263302 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263304 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263307 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263310 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263311 */   // GIR_Coverage, 48772,
     /* 2263311 */   GIR_EraseRootFromParent_Done,
     /* 2263312 */ // Label 30327: @2263312
     /* 2263312 */ GIM_Try, /*On fail goto*//*Label 30328*/ GIMT_Encode4(2263360), // Rule ID 48773 //
     /* 2263317 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263320 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2263323 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2263326 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263330 */   // MIs[0] Operand 1
     /* 2263330 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2263335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263339 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263343 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263343 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2263346 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263348 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263350 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263359 */   // GIR_Coverage, 48773,
     /* 2263359 */   GIR_EraseRootFromParent_Done,
     /* 2263360 */ // Label 30328: @2263360
     /* 2263360 */ GIM_Try, /*On fail goto*//*Label 30329*/ GIMT_Encode4(2263408), // Rule ID 48780 //
     /* 2263365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263368 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2263371 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2263374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263378 */   // MIs[0] Operand 1
     /* 2263378 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2263383 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263387 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263391 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263391 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2263394 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263396 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263398 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263406 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263407 */   // GIR_Coverage, 48780,
     /* 2263407 */   GIR_EraseRootFromParent_Done,
     /* 2263408 */ // Label 30329: @2263408
     /* 2263408 */ GIM_Try, /*On fail goto*//*Label 30330*/ GIMT_Encode4(2263456), // Rule ID 48781 //
     /* 2263413 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2263419 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2263422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263426 */   // MIs[0] Operand 1
     /* 2263426 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2263431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263435 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263439 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2263442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263444 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263446 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263455 */   // GIR_Coverage, 48781,
     /* 2263455 */   GIR_EraseRootFromParent_Done,
     /* 2263456 */ // Label 30330: @2263456
     /* 2263456 */ GIM_Try, /*On fail goto*//*Label 30331*/ GIMT_Encode4(2263504), // Rule ID 48788 //
     /* 2263461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2263464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2263467 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2263470 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263474 */   // MIs[0] Operand 1
     /* 2263474 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2263479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263483 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263487 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2263487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2263490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263492 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263494 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263496 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263502 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263503 */   // GIR_Coverage, 48788,
     /* 2263503 */   GIR_EraseRootFromParent_Done,
     /* 2263504 */ // Label 30331: @2263504
     /* 2263504 */ GIM_Try, /*On fail goto*//*Label 30332*/ GIMT_Encode4(2263552), // Rule ID 48789 //
     /* 2263509 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2263512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2263515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2263518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263522 */   // MIs[0] Operand 1
     /* 2263522 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2263527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263531 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263535 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2263535 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2263538 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263540 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263542 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263544 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263547 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263550 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263551 */   // GIR_Coverage, 48789,
     /* 2263551 */   GIR_EraseRootFromParent_Done,
     /* 2263552 */ // Label 30332: @2263552
     /* 2263552 */ GIM_Try, /*On fail goto*//*Label 30333*/ GIMT_Encode4(2263600), // Rule ID 48802 //
     /* 2263557 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2263563 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2263566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263570 */   // MIs[0] Operand 1
     /* 2263570 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263575 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263579 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263583 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263583 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2263586 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263588 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263590 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263599 */   // GIR_Coverage, 48802,
     /* 2263599 */   GIR_EraseRootFromParent_Done,
     /* 2263600 */ // Label 30333: @2263600
     /* 2263600 */ GIM_Try, /*On fail goto*//*Label 30334*/ GIMT_Encode4(2263648), // Rule ID 48803 //
     /* 2263605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263608 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2263611 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2263614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263618 */   // MIs[0] Operand 1
     /* 2263618 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263623 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263627 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263631 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2263631 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M1),
     /* 2263634 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263636 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263638 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263646 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263647 */   // GIR_Coverage, 48803,
     /* 2263647 */   GIR_EraseRootFromParent_Done,
     /* 2263648 */ // Label 30334: @2263648
     /* 2263648 */ GIM_Try, /*On fail goto*//*Label 30335*/ GIMT_Encode4(2263696), // Rule ID 48816 //
     /* 2263653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263656 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2263659 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2263662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263666 */   // MIs[0] Operand 1
     /* 2263666 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263675 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263679 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2263679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2263682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263684 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263686 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263695 */   // GIR_Coverage, 48816,
     /* 2263695 */   GIR_EraseRootFromParent_Done,
     /* 2263696 */ // Label 30335: @2263696
     /* 2263696 */ GIM_Try, /*On fail goto*//*Label 30336*/ GIMT_Encode4(2263744), // Rule ID 48817 //
     /* 2263701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2263707 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2263710 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263714 */   // MIs[0] Operand 1
     /* 2263714 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263719 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263723 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2263727 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2263727 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2263730 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263732 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263736 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2263742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263743 */   // GIR_Coverage, 48817,
     /* 2263743 */   GIR_EraseRootFromParent_Done,
     /* 2263744 */ // Label 30336: @2263744
     /* 2263744 */ GIM_Try, /*On fail goto*//*Label 30337*/ GIMT_Encode4(2263792), // Rule ID 48824 //
     /* 2263749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263752 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2263755 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2263758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263762 */   // MIs[0] Operand 1
     /* 2263762 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263771 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263775 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2263775 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2263778 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263780 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263782 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263784 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263787 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263790 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263791 */   // GIR_Coverage, 48824,
     /* 2263791 */   GIR_EraseRootFromParent_Done,
     /* 2263792 */ // Label 30337: @2263792
     /* 2263792 */ GIM_Try, /*On fail goto*//*Label 30338*/ GIMT_Encode4(2263840), // Rule ID 48825 //
     /* 2263797 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263800 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2263803 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2263806 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263810 */   // MIs[0] Operand 1
     /* 2263810 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263815 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263819 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2263823 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2263823 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2263826 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263828 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263830 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2263838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263839 */   // GIR_Coverage, 48825,
     /* 2263839 */   GIR_EraseRootFromParent_Done,
     /* 2263840 */ // Label 30338: @2263840
     /* 2263840 */ GIM_Try, /*On fail goto*//*Label 30339*/ GIMT_Encode4(2263888), // Rule ID 48832 //
     /* 2263845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2263848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2263851 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2263854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263858 */   // MIs[0] Operand 1
     /* 2263858 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263863 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263867 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263871 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2263871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2263874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263876 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263878 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263886 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263887 */   // GIR_Coverage, 48832,
     /* 2263887 */   GIR_EraseRootFromParent_Done,
     /* 2263888 */ // Label 30339: @2263888
     /* 2263888 */ GIM_Try, /*On fail goto*//*Label 30340*/ GIMT_Encode4(2263936), // Rule ID 48833 //
     /* 2263893 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2263896 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2263899 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2263902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263906 */   // MIs[0] Operand 1
     /* 2263906 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2263911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263915 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2263919 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2263919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2263922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263924 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2263926 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2263928 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263931 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2263934 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263935 */   // GIR_Coverage, 48833,
     /* 2263935 */   GIR_EraseRootFromParent_Done,
     /* 2263936 */ // Label 30340: @2263936
     /* 2263936 */ GIM_Try, /*On fail goto*//*Label 30341*/ GIMT_Encode4(2263984), // Rule ID 48846 //
     /* 2263941 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2263944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2263947 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2263950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263954 */   // MIs[0] Operand 1
     /* 2263954 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2263959 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263963 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2263967 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2263967 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2263970 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2263972 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2263974 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2263976 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2263979 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2263982 */   GIR_RootConstrainSelectedInstOperands,
     /* 2263983 */   // GIR_Coverage, 48846,
     /* 2263983 */   GIR_EraseRootFromParent_Done,
     /* 2263984 */ // Label 30341: @2263984
     /* 2263984 */ GIM_Try, /*On fail goto*//*Label 30342*/ GIMT_Encode4(2264032), // Rule ID 48847 //
     /* 2263989 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2263992 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2263995 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2263998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264002 */   // MIs[0] Operand 1
     /* 2264002 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2264007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264011 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264015 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264015 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2264018 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264020 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264022 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264024 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264027 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264030 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264031 */   // GIR_Coverage, 48847,
     /* 2264031 */   GIR_EraseRootFromParent_Done,
     /* 2264032 */ // Label 30342: @2264032
     /* 2264032 */ GIM_Try, /*On fail goto*//*Label 30343*/ GIMT_Encode4(2264080), // Rule ID 48860 //
     /* 2264037 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2264043 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2264046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264050 */   // MIs[0] Operand 1
     /* 2264050 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2264055 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264059 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264063 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2264066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264068 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264070 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264075 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264078 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264079 */   // GIR_Coverage, 48860,
     /* 2264079 */   GIR_EraseRootFromParent_Done,
     /* 2264080 */ // Label 30343: @2264080
     /* 2264080 */ GIM_Try, /*On fail goto*//*Label 30344*/ GIMT_Encode4(2264128), // Rule ID 48861 //
     /* 2264085 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2264091 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2264094 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264098 */   // MIs[0] Operand 1
     /* 2264098 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2264103 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264107 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264111 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264111 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2264114 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264116 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264118 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264127 */   // GIR_Coverage, 48861,
     /* 2264127 */   GIR_EraseRootFromParent_Done,
     /* 2264128 */ // Label 30344: @2264128
     /* 2264128 */ GIM_Try, /*On fail goto*//*Label 30345*/ GIMT_Encode4(2264176), // Rule ID 48868 //
     /* 2264133 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2264139 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2264142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264146 */   // MIs[0] Operand 1
     /* 2264146 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2264151 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264155 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264159 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2264162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264164 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264166 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264168 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264171 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264174 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264175 */   // GIR_Coverage, 48868,
     /* 2264175 */   GIR_EraseRootFromParent_Done,
     /* 2264176 */ // Label 30345: @2264176
     /* 2264176 */ GIM_Try, /*On fail goto*//*Label 30346*/ GIMT_Encode4(2264224), // Rule ID 48869 //
     /* 2264181 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2264187 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2264190 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264194 */   // MIs[0] Operand 1
     /* 2264194 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2264199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264203 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264207 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264207 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2264210 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264212 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264214 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264216 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264219 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264222 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264223 */   // GIR_Coverage, 48869,
     /* 2264223 */   GIR_EraseRootFromParent_Done,
     /* 2264224 */ // Label 30346: @2264224
     /* 2264224 */ GIM_Try, /*On fail goto*//*Label 30347*/ GIMT_Encode4(2264272), // Rule ID 48876 //
     /* 2264229 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2264232 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2264235 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2264238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264242 */   // MIs[0] Operand 1
     /* 2264242 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2264247 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264251 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264255 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2264255 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2264258 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264260 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264262 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264270 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264271 */   // GIR_Coverage, 48876,
     /* 2264271 */   GIR_EraseRootFromParent_Done,
     /* 2264272 */ // Label 30347: @2264272
     /* 2264272 */ GIM_Try, /*On fail goto*//*Label 30348*/ GIMT_Encode4(2264320), // Rule ID 48877 //
     /* 2264277 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2264280 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2264283 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2264286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264290 */   // MIs[0] Operand 1
     /* 2264290 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2264295 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264299 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264303 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2264303 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2264306 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264308 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264310 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264319 */   // GIR_Coverage, 48877,
     /* 2264319 */   GIR_EraseRootFromParent_Done,
     /* 2264320 */ // Label 30348: @2264320
     /* 2264320 */ GIM_Try, /*On fail goto*//*Label 30349*/ GIMT_Encode4(2264368), // Rule ID 48890 //
     /* 2264325 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2264331 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2264334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264338 */   // MIs[0] Operand 1
     /* 2264338 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2264343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264347 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264351 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264351 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2264354 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264356 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264358 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264367 */   // GIR_Coverage, 48890,
     /* 2264367 */   GIR_EraseRootFromParent_Done,
     /* 2264368 */ // Label 30349: @2264368
     /* 2264368 */ GIM_Try, /*On fail goto*//*Label 30350*/ GIMT_Encode4(2264416), // Rule ID 48891 //
     /* 2264373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264376 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2264379 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2264382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264386 */   // MIs[0] Operand 1
     /* 2264386 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2264391 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264395 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264399 */   // (setcc:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M1:{ *:[nxv8i1] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264399 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M1),
     /* 2264402 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264404 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264406 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264408 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264414 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264415 */   // GIR_Coverage, 48891,
     /* 2264415 */   GIR_EraseRootFromParent_Done,
     /* 2264416 */ // Label 30350: @2264416
     /* 2264416 */ GIM_Try, /*On fail goto*//*Label 30351*/ GIMT_Encode4(2264464), // Rule ID 48904 //
     /* 2264421 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2264427 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2264430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264434 */   // MIs[0] Operand 1
     /* 2264434 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2264439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264443 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264447 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264447 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2264450 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264452 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264454 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264456 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264459 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264462 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264463 */   // GIR_Coverage, 48904,
     /* 2264463 */   GIR_EraseRootFromParent_Done,
     /* 2264464 */ // Label 30351: @2264464
     /* 2264464 */ GIM_Try, /*On fail goto*//*Label 30352*/ GIMT_Encode4(2264512), // Rule ID 48905 //
     /* 2264469 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264472 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2264475 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2264478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264482 */   // MIs[0] Operand 1
     /* 2264482 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2264487 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264491 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264495 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264495 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2264498 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264500 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264502 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264507 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264510 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264511 */   // GIR_Coverage, 48905,
     /* 2264511 */   GIR_EraseRootFromParent_Done,
     /* 2264512 */ // Label 30352: @2264512
     /* 2264512 */ GIM_Try, /*On fail goto*//*Label 30353*/ GIMT_Encode4(2264560), // Rule ID 48912 //
     /* 2264517 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264520 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2264523 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2264526 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264530 */   // MIs[0] Operand 1
     /* 2264530 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2264535 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264539 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264543 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264543 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2264546 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264548 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264550 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264559 */   // GIR_Coverage, 48912,
     /* 2264559 */   GIR_EraseRootFromParent_Done,
     /* 2264560 */ // Label 30353: @2264560
     /* 2264560 */ GIM_Try, /*On fail goto*//*Label 30354*/ GIMT_Encode4(2264608), // Rule ID 48913 //
     /* 2264565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2264571 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2264574 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264578 */   // MIs[0] Operand 1
     /* 2264578 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2264583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264587 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264591 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264591 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2264594 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264596 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264598 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264606 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264607 */   // GIR_Coverage, 48913,
     /* 2264607 */   GIR_EraseRootFromParent_Done,
     /* 2264608 */ // Label 30354: @2264608
     /* 2264608 */ GIM_Try, /*On fail goto*//*Label 30355*/ GIMT_Encode4(2264656), // Rule ID 48920 //
     /* 2264613 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2264616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2264619 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2264622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264626 */   // MIs[0] Operand 1
     /* 2264626 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2264631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264635 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264639 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2264639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2264642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264644 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264646 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264651 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264655 */   // GIR_Coverage, 48920,
     /* 2264655 */   GIR_EraseRootFromParent_Done,
     /* 2264656 */ // Label 30355: @2264656
     /* 2264656 */ GIM_Try, /*On fail goto*//*Label 30356*/ GIMT_Encode4(2264704), // Rule ID 48921 //
     /* 2264661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2264664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2264667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2264670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264674 */   // MIs[0] Operand 1
     /* 2264674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2264679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264687 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2264687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2264690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264692 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2264694 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2264696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2264702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264703 */   // GIR_Coverage, 48921,
     /* 2264703 */   GIR_EraseRootFromParent_Done,
     /* 2264704 */ // Label 30356: @2264704
     /* 2264704 */ GIM_Reject,
     /* 2264705 */ // Label 29939: @2264705
     /* 2264705 */ GIM_Try, /*On fail goto*//*Label 30357*/ GIMT_Encode4(2264753), // Rule ID 48504 //
     /* 2264710 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264713 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2264716 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2264719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264723 */   // MIs[0] Operand 1
     /* 2264723 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2264728 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264732 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264736 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2264736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2264739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264741 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264743 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264751 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264752 */   // GIR_Coverage, 48504,
     /* 2264752 */   GIR_EraseRootFromParent_Done,
     /* 2264753 */ // Label 30357: @2264753
     /* 2264753 */ GIM_Try, /*On fail goto*//*Label 30358*/ GIMT_Encode4(2264801), // Rule ID 48505 //
     /* 2264758 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2264764 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2264767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264771 */   // MIs[0] Operand 1
     /* 2264771 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2264776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264780 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2264784 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2264784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M2),
     /* 2264787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264789 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264791 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264793 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264796 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2264799 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264800 */   // GIR_Coverage, 48505,
     /* 2264800 */   GIR_EraseRootFromParent_Done,
     /* 2264801 */ // Label 30358: @2264801
     /* 2264801 */ GIM_Try, /*On fail goto*//*Label 30359*/ GIMT_Encode4(2264849), // Rule ID 48512 //
     /* 2264806 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2264812 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2264815 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264819 */   // MIs[0] Operand 1
     /* 2264819 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2264824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264828 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264832 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2264832 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2264835 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264837 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264839 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264847 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264848 */   // GIR_Coverage, 48512,
     /* 2264848 */   GIR_EraseRootFromParent_Done,
     /* 2264849 */ // Label 30359: @2264849
     /* 2264849 */ GIM_Try, /*On fail goto*//*Label 30360*/ GIMT_Encode4(2264897), // Rule ID 48513 //
     /* 2264854 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264857 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2264860 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2264863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264867 */   // MIs[0] Operand 1
     /* 2264867 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2264872 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264876 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2264880 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2264880 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2264883 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264885 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264887 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2264895 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264896 */   // GIR_Coverage, 48513,
     /* 2264896 */   GIR_EraseRootFromParent_Done,
     /* 2264897 */ // Label 30360: @2264897
     /* 2264897 */ GIM_Try, /*On fail goto*//*Label 30361*/ GIMT_Encode4(2264945), // Rule ID 48520 //
     /* 2264902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2264905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2264908 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2264911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264915 */   // MIs[0] Operand 1
     /* 2264915 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2264920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264924 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264928 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2264928 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2264931 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264933 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264935 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264943 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264944 */   // GIR_Coverage, 48520,
     /* 2264944 */   GIR_EraseRootFromParent_Done,
     /* 2264945 */ // Label 30361: @2264945
     /* 2264945 */ GIM_Try, /*On fail goto*//*Label 30362*/ GIMT_Encode4(2264993), // Rule ID 48521 //
     /* 2264950 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2264953 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2264956 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2264959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2264963 */   // MIs[0] Operand 1
     /* 2264963 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2264968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264972 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2264976 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2264976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2264979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2264981 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2264983 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2264985 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2264988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2264991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2264992 */   // GIR_Coverage, 48521,
     /* 2264992 */   GIR_EraseRootFromParent_Done,
     /* 2264993 */ // Label 30362: @2264993
     /* 2264993 */ GIM_Try, /*On fail goto*//*Label 30363*/ GIMT_Encode4(2265041), // Rule ID 48548 //
     /* 2264998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265004 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2265007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265011 */   // MIs[0] Operand 1
     /* 2265011 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2265016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265024 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265024 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2265027 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265029 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265031 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265036 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265040 */   // GIR_Coverage, 48548,
     /* 2265040 */   GIR_EraseRootFromParent_Done,
     /* 2265041 */ // Label 30363: @2265041
     /* 2265041 */ GIM_Try, /*On fail goto*//*Label 30364*/ GIMT_Encode4(2265089), // Rule ID 48549 //
     /* 2265046 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265052 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2265055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265059 */   // MIs[0] Operand 1
     /* 2265059 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2265064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265072 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265072 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M2),
     /* 2265075 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265077 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265079 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265087 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265088 */   // GIR_Coverage, 48549,
     /* 2265088 */   GIR_EraseRootFromParent_Done,
     /* 2265089 */ // Label 30364: @2265089
     /* 2265089 */ GIM_Try, /*On fail goto*//*Label 30365*/ GIMT_Encode4(2265137), // Rule ID 48556 //
     /* 2265094 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265097 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265100 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2265103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265107 */   // MIs[0] Operand 1
     /* 2265107 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2265112 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265116 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265120 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2265123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265125 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265127 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265129 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265136 */   // GIR_Coverage, 48556,
     /* 2265136 */   GIR_EraseRootFromParent_Done,
     /* 2265137 */ // Label 30365: @2265137
     /* 2265137 */ GIM_Try, /*On fail goto*//*Label 30366*/ GIMT_Encode4(2265185), // Rule ID 48557 //
     /* 2265142 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265145 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265148 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2265151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265155 */   // MIs[0] Operand 1
     /* 2265155 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2265160 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265164 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265168 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265168 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2265171 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265173 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265175 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265184 */   // GIR_Coverage, 48557,
     /* 2265184 */   GIR_EraseRootFromParent_Done,
     /* 2265185 */ // Label 30366: @2265185
     /* 2265185 */ GIM_Try, /*On fail goto*//*Label 30367*/ GIMT_Encode4(2265233), // Rule ID 48564 //
     /* 2265190 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265193 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265196 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2265199 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265203 */   // MIs[0] Operand 1
     /* 2265203 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2265208 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265212 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265216 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2265219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265221 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265223 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265225 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265232 */   // GIR_Coverage, 48564,
     /* 2265232 */   GIR_EraseRootFromParent_Done,
     /* 2265233 */ // Label 30367: @2265233
     /* 2265233 */ GIM_Try, /*On fail goto*//*Label 30368*/ GIMT_Encode4(2265281), // Rule ID 48565 //
     /* 2265238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265241 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265244 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2265247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265251 */   // MIs[0] Operand 1
     /* 2265251 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2265256 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265260 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265264 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2265267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265269 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265271 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265273 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265279 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265280 */   // GIR_Coverage, 48565,
     /* 2265280 */   GIR_EraseRootFromParent_Done,
     /* 2265281 */ // Label 30368: @2265281
     /* 2265281 */ GIM_Try, /*On fail goto*//*Label 30369*/ GIMT_Encode4(2265329), // Rule ID 48592 //
     /* 2265286 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265292 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2265295 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265299 */   // MIs[0] Operand 1
     /* 2265299 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2265304 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265308 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265312 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265312 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2265315 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265317 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265319 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265328 */   // GIR_Coverage, 48592,
     /* 2265328 */   GIR_EraseRootFromParent_Done,
     /* 2265329 */ // Label 30369: @2265329
     /* 2265329 */ GIM_Try, /*On fail goto*//*Label 30370*/ GIMT_Encode4(2265377), // Rule ID 48593 //
     /* 2265334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2265343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265347 */   // MIs[0] Operand 1
     /* 2265347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2265352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265360 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2265363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265376 */   // GIR_Coverage, 48593,
     /* 2265376 */   GIR_EraseRootFromParent_Done,
     /* 2265377 */ // Label 30370: @2265377
     /* 2265377 */ GIM_Try, /*On fail goto*//*Label 30371*/ GIMT_Encode4(2265425), // Rule ID 48600 //
     /* 2265382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265388 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2265391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265395 */   // MIs[0] Operand 1
     /* 2265395 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2265400 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265404 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265408 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2265411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265413 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265415 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265424 */   // GIR_Coverage, 48600,
     /* 2265424 */   GIR_EraseRootFromParent_Done,
     /* 2265425 */ // Label 30371: @2265425
     /* 2265425 */ GIM_Try, /*On fail goto*//*Label 30372*/ GIMT_Encode4(2265473), // Rule ID 48601 //
     /* 2265430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265433 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265436 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2265439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265443 */   // MIs[0] Operand 1
     /* 2265443 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2265448 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265452 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265456 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265456 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2265459 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265461 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265463 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265471 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265472 */   // GIR_Coverage, 48601,
     /* 2265472 */   GIR_EraseRootFromParent_Done,
     /* 2265473 */ // Label 30372: @2265473
     /* 2265473 */ GIM_Try, /*On fail goto*//*Label 30373*/ GIMT_Encode4(2265521), // Rule ID 48608 //
     /* 2265478 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265484 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2265487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265491 */   // MIs[0] Operand 1
     /* 2265491 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2265496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265500 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265504 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265504 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2265507 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265509 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265511 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265513 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265520 */   // GIR_Coverage, 48608,
     /* 2265520 */   GIR_EraseRootFromParent_Done,
     /* 2265521 */ // Label 30373: @2265521
     /* 2265521 */ GIM_Try, /*On fail goto*//*Label 30374*/ GIMT_Encode4(2265569), // Rule ID 48609 //
     /* 2265526 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265529 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265532 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2265535 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265539 */   // MIs[0] Operand 1
     /* 2265539 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2265544 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265548 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265552 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265552 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2265555 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265557 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265559 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265567 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265568 */   // GIR_Coverage, 48609,
     /* 2265568 */   GIR_EraseRootFromParent_Done,
     /* 2265569 */ // Label 30374: @2265569
     /* 2265569 */ GIM_Try, /*On fail goto*//*Label 30375*/ GIMT_Encode4(2265617), // Rule ID 48634 //
     /* 2265574 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265580 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2265583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265587 */   // MIs[0] Operand 1
     /* 2265587 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2265592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265596 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265600 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265600 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2265603 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265605 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265607 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265616 */   // GIR_Coverage, 48634,
     /* 2265616 */   GIR_EraseRootFromParent_Done,
     /* 2265617 */ // Label 30375: @2265617
     /* 2265617 */ GIM_Try, /*On fail goto*//*Label 30376*/ GIMT_Encode4(2265665), // Rule ID 48635 //
     /* 2265622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265625 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265628 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2265631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265635 */   // MIs[0] Operand 1
     /* 2265635 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2265640 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265644 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265648 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265648 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M2),
     /* 2265651 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265653 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265655 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265657 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265664 */   // GIR_Coverage, 48635,
     /* 2265664 */   GIR_EraseRootFromParent_Done,
     /* 2265665 */ // Label 30376: @2265665
     /* 2265665 */ GIM_Try, /*On fail goto*//*Label 30377*/ GIMT_Encode4(2265713), // Rule ID 48642 //
     /* 2265670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2265679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265683 */   // MIs[0] Operand 1
     /* 2265683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2265688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265696 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2265699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265701 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265703 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265705 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265712 */   // GIR_Coverage, 48642,
     /* 2265712 */   GIR_EraseRootFromParent_Done,
     /* 2265713 */ // Label 30377: @2265713
     /* 2265713 */ GIM_Try, /*On fail goto*//*Label 30378*/ GIMT_Encode4(2265761), // Rule ID 48643 //
     /* 2265718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2265727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265731 */   // MIs[0] Operand 1
     /* 2265731 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2265736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265744 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2265744 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2265747 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265749 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265751 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265753 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265759 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265760 */   // GIR_Coverage, 48643,
     /* 2265760 */   GIR_EraseRootFromParent_Done,
     /* 2265761 */ // Label 30378: @2265761
     /* 2265761 */ GIM_Try, /*On fail goto*//*Label 30379*/ GIMT_Encode4(2265809), // Rule ID 48650 //
     /* 2265766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265769 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265772 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2265775 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265779 */   // MIs[0] Operand 1
     /* 2265779 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2265784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265788 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265792 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2265792 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2265795 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265797 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265799 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265807 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265808 */   // GIR_Coverage, 48650,
     /* 2265808 */   GIR_EraseRootFromParent_Done,
     /* 2265809 */ // Label 30379: @2265809
     /* 2265809 */ GIM_Try, /*On fail goto*//*Label 30380*/ GIMT_Encode4(2265857), // Rule ID 48651 //
     /* 2265814 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265817 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2265820 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2265823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265827 */   // MIs[0] Operand 1
     /* 2265827 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2265832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2265840 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2265840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2265843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265845 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2265847 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2265849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2265855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265856 */   // GIR_Coverage, 48651,
     /* 2265856 */   GIR_EraseRootFromParent_Done,
     /* 2265857 */ // Label 30380: @2265857
     /* 2265857 */ GIM_Try, /*On fail goto*//*Label 30381*/ GIMT_Encode4(2265905), // Rule ID 48678 //
     /* 2265862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265865 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265868 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2265871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265875 */   // MIs[0] Operand 1
     /* 2265875 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2265880 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265884 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265888 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2265888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2265891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265893 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265895 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265897 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265903 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265904 */   // GIR_Coverage, 48678,
     /* 2265904 */   GIR_EraseRootFromParent_Done,
     /* 2265905 */ // Label 30381: @2265905
     /* 2265905 */ GIM_Try, /*On fail goto*//*Label 30382*/ GIMT_Encode4(2265953), // Rule ID 48679 //
     /* 2265910 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2265913 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2265916 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2265919 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265923 */   // MIs[0] Operand 1
     /* 2265923 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2265928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265932 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2265936 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2265936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2265939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265941 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265943 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265945 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2265951 */   GIR_RootConstrainSelectedInstOperands,
     /* 2265952 */   // GIR_Coverage, 48679,
     /* 2265952 */   GIR_EraseRootFromParent_Done,
     /* 2265953 */ // Label 30382: @2265953
     /* 2265953 */ GIM_Try, /*On fail goto*//*Label 30383*/ GIMT_Encode4(2266001), // Rule ID 48686 //
     /* 2265958 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2265961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2265964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2265967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2265971 */   // MIs[0] Operand 1
     /* 2265971 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2265976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265980 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2265984 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2265984 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2265987 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2265989 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2265991 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2265993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2265996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2265999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266000 */   // GIR_Coverage, 48686,
     /* 2266000 */   GIR_EraseRootFromParent_Done,
     /* 2266001 */ // Label 30383: @2266001
     /* 2266001 */ GIM_Try, /*On fail goto*//*Label 30384*/ GIMT_Encode4(2266049), // Rule ID 48687 //
     /* 2266006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2266015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266019 */   // MIs[0] Operand 1
     /* 2266019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2266024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266032 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2266035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266047 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266048 */   // GIR_Coverage, 48687,
     /* 2266048 */   GIR_EraseRootFromParent_Done,
     /* 2266049 */ // Label 30384: @2266049
     /* 2266049 */ GIM_Try, /*On fail goto*//*Label 30385*/ GIMT_Encode4(2266097), // Rule ID 48694 //
     /* 2266054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266057 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266060 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2266063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266067 */   // MIs[0] Operand 1
     /* 2266067 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2266072 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266076 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266080 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266080 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2266083 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266085 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266087 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266096 */   // GIR_Coverage, 48694,
     /* 2266096 */   GIR_EraseRootFromParent_Done,
     /* 2266097 */ // Label 30385: @2266097
     /* 2266097 */ GIM_Try, /*On fail goto*//*Label 30386*/ GIMT_Encode4(2266145), // Rule ID 48695 //
     /* 2266102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266105 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266108 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2266111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266115 */   // MIs[0] Operand 1
     /* 2266115 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2266120 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266124 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266128 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2266131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266133 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266135 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266137 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266143 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266144 */   // GIR_Coverage, 48695,
     /* 2266144 */   GIR_EraseRootFromParent_Done,
     /* 2266145 */ // Label 30386: @2266145
     /* 2266145 */ GIM_Try, /*On fail goto*//*Label 30387*/ GIMT_Encode4(2266193), // Rule ID 48722 //
     /* 2266150 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2266156 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2266159 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266163 */   // MIs[0] Operand 1
     /* 2266163 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2266168 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266172 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266176 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266176 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2266179 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266181 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266183 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266185 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266191 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266192 */   // GIR_Coverage, 48722,
     /* 2266192 */   GIR_EraseRootFromParent_Done,
     /* 2266193 */ // Label 30387: @2266193
     /* 2266193 */ GIM_Try, /*On fail goto*//*Label 30388*/ GIMT_Encode4(2266241), // Rule ID 48723 //
     /* 2266198 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266201 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2266204 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2266207 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266211 */   // MIs[0] Operand 1
     /* 2266211 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2266216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266220 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266224 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266224 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M2),
     /* 2266227 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266229 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266231 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266233 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266236 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266239 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266240 */   // GIR_Coverage, 48723,
     /* 2266240 */   GIR_EraseRootFromParent_Done,
     /* 2266241 */ // Label 30388: @2266241
     /* 2266241 */ GIM_Try, /*On fail goto*//*Label 30389*/ GIMT_Encode4(2266289), // Rule ID 48730 //
     /* 2266246 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266252 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2266255 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266259 */   // MIs[0] Operand 1
     /* 2266259 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2266264 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266268 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266272 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2266272 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2266275 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266277 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266279 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266281 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266284 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266287 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266288 */   // GIR_Coverage, 48730,
     /* 2266288 */   GIR_EraseRootFromParent_Done,
     /* 2266289 */ // Label 30389: @2266289
     /* 2266289 */ GIM_Try, /*On fail goto*//*Label 30390*/ GIMT_Encode4(2266337), // Rule ID 48731 //
     /* 2266294 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266300 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2266303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266307 */   // MIs[0] Operand 1
     /* 2266307 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2266312 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266316 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266320 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266320 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2266323 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266325 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266327 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266336 */   // GIR_Coverage, 48731,
     /* 2266336 */   GIR_EraseRootFromParent_Done,
     /* 2266337 */ // Label 30390: @2266337
     /* 2266337 */ GIM_Try, /*On fail goto*//*Label 30391*/ GIMT_Encode4(2266385), // Rule ID 48738 //
     /* 2266342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266345 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266348 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2266351 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266355 */   // MIs[0] Operand 1
     /* 2266355 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2266360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266364 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266368 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266368 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2266371 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266373 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266375 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266383 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266384 */   // GIR_Coverage, 48738,
     /* 2266384 */   GIR_EraseRootFromParent_Done,
     /* 2266385 */ // Label 30391: @2266385
     /* 2266385 */ GIM_Try, /*On fail goto*//*Label 30392*/ GIMT_Encode4(2266433), // Rule ID 48739 //
     /* 2266390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266396 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2266399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266403 */   // MIs[0] Operand 1
     /* 2266403 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2266408 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266412 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266416 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2266419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266421 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266423 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266425 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266428 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266431 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266432 */   // GIR_Coverage, 48739,
     /* 2266432 */   GIR_EraseRootFromParent_Done,
     /* 2266433 */ // Label 30392: @2266433
     /* 2266433 */ GIM_Try, /*On fail goto*//*Label 30393*/ GIMT_Encode4(2266481), // Rule ID 48766 //
     /* 2266438 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266441 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2266444 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2266447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266451 */   // MIs[0] Operand 1
     /* 2266451 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2266456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266460 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266464 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2266467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266469 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266471 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266480 */   // GIR_Coverage, 48766,
     /* 2266480 */   GIR_EraseRootFromParent_Done,
     /* 2266481 */ // Label 30393: @2266481
     /* 2266481 */ GIM_Try, /*On fail goto*//*Label 30394*/ GIMT_Encode4(2266529), // Rule ID 48767 //
     /* 2266486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266489 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2266492 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2266495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266499 */   // MIs[0] Operand 1
     /* 2266499 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2266504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266512 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2266515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266517 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266519 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266527 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266528 */   // GIR_Coverage, 48767,
     /* 2266528 */   GIR_EraseRootFromParent_Done,
     /* 2266529 */ // Label 30394: @2266529
     /* 2266529 */ GIM_Try, /*On fail goto*//*Label 30395*/ GIMT_Encode4(2266577), // Rule ID 48774 //
     /* 2266534 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266540 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2266543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266547 */   // MIs[0] Operand 1
     /* 2266547 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2266552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266560 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2266560 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2266563 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266565 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266567 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266569 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266572 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266575 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266576 */   // GIR_Coverage, 48774,
     /* 2266576 */   GIR_EraseRootFromParent_Done,
     /* 2266577 */ // Label 30395: @2266577
     /* 2266577 */ GIM_Try, /*On fail goto*//*Label 30396*/ GIMT_Encode4(2266625), // Rule ID 48775 //
     /* 2266582 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266588 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2266591 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266595 */   // MIs[0] Operand 1
     /* 2266595 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2266600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266604 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266608 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2266611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266613 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266615 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266620 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266623 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266624 */   // GIR_Coverage, 48775,
     /* 2266624 */   GIR_EraseRootFromParent_Done,
     /* 2266625 */ // Label 30396: @2266625
     /* 2266625 */ GIM_Try, /*On fail goto*//*Label 30397*/ GIMT_Encode4(2266673), // Rule ID 48782 //
     /* 2266630 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266633 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266636 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2266639 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266643 */   // MIs[0] Operand 1
     /* 2266643 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2266648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266652 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266656 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2266659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266661 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266663 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266672 */   // GIR_Coverage, 48782,
     /* 2266672 */   GIR_EraseRootFromParent_Done,
     /* 2266673 */ // Label 30397: @2266673
     /* 2266673 */ GIM_Try, /*On fail goto*//*Label 30398*/ GIMT_Encode4(2266721), // Rule ID 48783 //
     /* 2266678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266684 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2266687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266691 */   // MIs[0] Operand 1
     /* 2266691 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2266696 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266700 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266704 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2266707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266709 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2266711 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2266713 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266720 */   // GIR_Coverage, 48783,
     /* 2266720 */   GIR_EraseRootFromParent_Done,
     /* 2266721 */ // Label 30398: @2266721
     /* 2266721 */ GIM_Try, /*On fail goto*//*Label 30399*/ GIMT_Encode4(2266769), // Rule ID 48810 //
     /* 2266726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266729 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2266732 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2266735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266739 */   // MIs[0] Operand 1
     /* 2266739 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2266744 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266748 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266752 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2266752 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2266755 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266757 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266759 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266767 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266768 */   // GIR_Coverage, 48810,
     /* 2266768 */   GIR_EraseRootFromParent_Done,
     /* 2266769 */ // Label 30399: @2266769
     /* 2266769 */ GIM_Try, /*On fail goto*//*Label 30400*/ GIMT_Encode4(2266817), // Rule ID 48811 //
     /* 2266774 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266777 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2266780 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2266783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266787 */   // MIs[0] Operand 1
     /* 2266787 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2266792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266796 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2266800 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2266800 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M2),
     /* 2266803 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266805 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266807 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2266815 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266816 */   // GIR_Coverage, 48811,
     /* 2266816 */   GIR_EraseRootFromParent_Done,
     /* 2266817 */ // Label 30400: @2266817
     /* 2266817 */ GIM_Try, /*On fail goto*//*Label 30401*/ GIMT_Encode4(2266865), // Rule ID 48818 //
     /* 2266822 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266828 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2266831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266835 */   // MIs[0] Operand 1
     /* 2266835 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2266840 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266844 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266848 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2266848 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2266851 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266853 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266855 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266857 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266860 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266863 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266864 */   // GIR_Coverage, 48818,
     /* 2266864 */   GIR_EraseRootFromParent_Done,
     /* 2266865 */ // Label 30401: @2266865
     /* 2266865 */ GIM_Try, /*On fail goto*//*Label 30402*/ GIMT_Encode4(2266913), // Rule ID 48819 //
     /* 2266870 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266873 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2266876 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2266879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266883 */   // MIs[0] Operand 1
     /* 2266883 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2266888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266892 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2266896 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2266896 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2266899 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266901 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266903 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266908 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2266911 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266912 */   // GIR_Coverage, 48819,
     /* 2266912 */   GIR_EraseRootFromParent_Done,
     /* 2266913 */ // Label 30402: @2266913
     /* 2266913 */ GIM_Try, /*On fail goto*//*Label 30403*/ GIMT_Encode4(2266961), // Rule ID 48826 //
     /* 2266918 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2266921 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266924 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2266927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266931 */   // MIs[0] Operand 1
     /* 2266931 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2266936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266940 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266944 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2266944 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2266947 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266949 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266951 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2266953 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2266956 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2266959 */   GIR_RootConstrainSelectedInstOperands,
     /* 2266960 */   // GIR_Coverage, 48826,
     /* 2266960 */   GIR_EraseRootFromParent_Done,
     /* 2266961 */ // Label 30403: @2266961
     /* 2266961 */ GIM_Try, /*On fail goto*//*Label 30404*/ GIMT_Encode4(2267009), // Rule ID 48827 //
     /* 2266966 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2266969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2266972 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2266975 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2266979 */   // MIs[0] Operand 1
     /* 2266979 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2266984 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266988 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2266992 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2266992 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2266995 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2266997 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2266999 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267004 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267007 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267008 */   // GIR_Coverage, 48827,
     /* 2267008 */   GIR_EraseRootFromParent_Done,
     /* 2267009 */ // Label 30404: @2267009
     /* 2267009 */ GIM_Try, /*On fail goto*//*Label 30405*/ GIMT_Encode4(2267057), // Rule ID 48854 //
     /* 2267014 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267017 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2267020 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2267023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267027 */   // MIs[0] Operand 1
     /* 2267027 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2267032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267036 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267040 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267040 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2267043 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267045 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267047 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267055 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267056 */   // GIR_Coverage, 48854,
     /* 2267056 */   GIR_EraseRootFromParent_Done,
     /* 2267057 */ // Label 30405: @2267057
     /* 2267057 */ GIM_Try, /*On fail goto*//*Label 30406*/ GIMT_Encode4(2267105), // Rule ID 48855 //
     /* 2267062 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2267068 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2267071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267075 */   // MIs[0] Operand 1
     /* 2267075 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2267080 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267084 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267088 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2267091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267093 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267095 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267103 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267104 */   // GIR_Coverage, 48855,
     /* 2267104 */   GIR_EraseRootFromParent_Done,
     /* 2267105 */ // Label 30406: @2267105
     /* 2267105 */ GIM_Try, /*On fail goto*//*Label 30407*/ GIMT_Encode4(2267153), // Rule ID 48862 //
     /* 2267110 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267113 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267116 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267123 */   // MIs[0] Operand 1
     /* 2267123 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2267128 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267132 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267136 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2267139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267141 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267143 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267145 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267148 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267151 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267152 */   // GIR_Coverage, 48862,
     /* 2267152 */   GIR_EraseRootFromParent_Done,
     /* 2267153 */ // Label 30407: @2267153
     /* 2267153 */ GIM_Try, /*On fail goto*//*Label 30408*/ GIMT_Encode4(2267201), // Rule ID 48863 //
     /* 2267158 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267164 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267171 */   // MIs[0] Operand 1
     /* 2267171 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2267176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267184 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2267187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267189 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267191 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267193 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267196 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267199 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267200 */   // GIR_Coverage, 48863,
     /* 2267200 */   GIR_EraseRootFromParent_Done,
     /* 2267201 */ // Label 30408: @2267201
     /* 2267201 */ GIM_Try, /*On fail goto*//*Label 30409*/ GIMT_Encode4(2267249), // Rule ID 48870 //
     /* 2267206 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267212 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267215 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267219 */   // MIs[0] Operand 1
     /* 2267219 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2267224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267232 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2267232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2267235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267237 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267239 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267248 */   // GIR_Coverage, 48870,
     /* 2267248 */   GIR_EraseRootFromParent_Done,
     /* 2267249 */ // Label 30409: @2267249
     /* 2267249 */ GIM_Try, /*On fail goto*//*Label 30410*/ GIMT_Encode4(2267297), // Rule ID 48871 //
     /* 2267254 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267260 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267267 */   // MIs[0] Operand 1
     /* 2267267 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2267272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267280 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2267280 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2267283 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267285 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267287 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267296 */   // GIR_Coverage, 48871,
     /* 2267296 */   GIR_EraseRootFromParent_Done,
     /* 2267297 */ // Label 30410: @2267297
     /* 2267297 */ GIM_Try, /*On fail goto*//*Label 30411*/ GIMT_Encode4(2267345), // Rule ID 48898 //
     /* 2267302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2267308 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2267311 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267315 */   // MIs[0] Operand 1
     /* 2267315 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2267320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267328 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267328 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2267331 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267333 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267335 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267344 */   // GIR_Coverage, 48898,
     /* 2267344 */   GIR_EraseRootFromParent_Done,
     /* 2267345 */ // Label 30411: @2267345
     /* 2267345 */ GIM_Try, /*On fail goto*//*Label 30412*/ GIMT_Encode4(2267393), // Rule ID 48899 //
     /* 2267350 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2267356 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2267359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267363 */   // MIs[0] Operand 1
     /* 2267363 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2267368 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267372 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2267376 */   // (setcc:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M2:{ *:[nxv16i1] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M2),
     /* 2267379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267381 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267383 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267391 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267392 */   // GIR_Coverage, 48899,
     /* 2267392 */   GIR_EraseRootFromParent_Done,
     /* 2267393 */ // Label 30412: @2267393
     /* 2267393 */ GIM_Try, /*On fail goto*//*Label 30413*/ GIMT_Encode4(2267441), // Rule ID 48906 //
     /* 2267398 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267401 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267404 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267407 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267411 */   // MIs[0] Operand 1
     /* 2267411 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2267416 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267420 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267424 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267424 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2267427 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267429 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267431 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267433 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267436 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267439 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267440 */   // GIR_Coverage, 48906,
     /* 2267440 */   GIR_EraseRootFromParent_Done,
     /* 2267441 */ // Label 30413: @2267441
     /* 2267441 */ GIM_Try, /*On fail goto*//*Label 30414*/ GIMT_Encode4(2267489), // Rule ID 48907 //
     /* 2267446 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2267452 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2267455 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267459 */   // MIs[0] Operand 1
     /* 2267459 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2267464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267468 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267472 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267472 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2267475 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267477 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267479 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267488 */   // GIR_Coverage, 48907,
     /* 2267488 */   GIR_EraseRootFromParent_Done,
     /* 2267489 */ // Label 30414: @2267489
     /* 2267489 */ GIM_Try, /*On fail goto*//*Label 30415*/ GIMT_Encode4(2267537), // Rule ID 48914 //
     /* 2267494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267500 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267507 */   // MIs[0] Operand 1
     /* 2267507 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2267512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267516 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267520 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2267520 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2267523 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267525 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267527 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267535 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267536 */   // GIR_Coverage, 48914,
     /* 2267536 */   GIR_EraseRootFromParent_Done,
     /* 2267537 */ // Label 30415: @2267537
     /* 2267537 */ GIM_Try, /*On fail goto*//*Label 30416*/ GIMT_Encode4(2267585), // Rule ID 48915 //
     /* 2267542 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267545 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2267548 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2267551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267555 */   // MIs[0] Operand 1
     /* 2267555 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2267560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267564 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267568 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2267568 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2267571 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267573 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2267575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2267577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2267583 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267584 */   // GIR_Coverage, 48915,
     /* 2267584 */   GIR_EraseRootFromParent_Done,
     /* 2267585 */ // Label 30416: @2267585
     /* 2267585 */ GIM_Reject,
     /* 2267586 */ // Label 29940: @2267586
     /* 2267586 */ GIM_Try, /*On fail goto*//*Label 30417*/ GIMT_Encode4(2267634), // Rule ID 48506 //
     /* 2267591 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2267597 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2267600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267604 */   // MIs[0] Operand 1
     /* 2267604 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2267609 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267613 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267617 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267617 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2267620 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267622 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267624 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267626 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267633 */   // GIR_Coverage, 48506,
     /* 2267633 */   GIR_EraseRootFromParent_Done,
     /* 2267634 */ // Label 30417: @2267634
     /* 2267634 */ GIM_Try, /*On fail goto*//*Label 30418*/ GIMT_Encode4(2267682), // Rule ID 48507 //
     /* 2267639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2267645 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2267648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267652 */   // MIs[0] Operand 1
     /* 2267652 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2267657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267661 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267665 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267665 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M4),
     /* 2267668 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267670 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267672 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267674 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267681 */   // GIR_Coverage, 48507,
     /* 2267681 */   GIR_EraseRootFromParent_Done,
     /* 2267682 */ // Label 30418: @2267682
     /* 2267682 */ GIM_Try, /*On fail goto*//*Label 30419*/ GIMT_Encode4(2267730), // Rule ID 48514 //
     /* 2267687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267690 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2267693 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2267696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267700 */   // MIs[0] Operand 1
     /* 2267700 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2267705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267709 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267713 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267713 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2267716 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267718 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267720 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267729 */   // GIR_Coverage, 48514,
     /* 2267729 */   GIR_EraseRootFromParent_Done,
     /* 2267730 */ // Label 30419: @2267730
     /* 2267730 */ GIM_Try, /*On fail goto*//*Label 30420*/ GIMT_Encode4(2267778), // Rule ID 48515 //
     /* 2267735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267738 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2267741 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2267744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267748 */   // MIs[0] Operand 1
     /* 2267748 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2267753 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267757 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267761 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267761 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2267764 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267766 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267768 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267776 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267777 */   // GIR_Coverage, 48515,
     /* 2267777 */   GIR_EraseRootFromParent_Done,
     /* 2267778 */ // Label 30420: @2267778
     /* 2267778 */ GIM_Try, /*On fail goto*//*Label 30421*/ GIMT_Encode4(2267826), // Rule ID 48550 //
     /* 2267783 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267786 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2267789 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2267792 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267796 */   // MIs[0] Operand 1
     /* 2267796 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2267801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267805 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267809 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2267809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2267812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267814 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267816 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267825 */   // GIR_Coverage, 48550,
     /* 2267825 */   GIR_EraseRootFromParent_Done,
     /* 2267826 */ // Label 30421: @2267826
     /* 2267826 */ GIM_Try, /*On fail goto*//*Label 30422*/ GIMT_Encode4(2267874), // Rule ID 48551 //
     /* 2267831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267834 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2267837 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2267840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267844 */   // MIs[0] Operand 1
     /* 2267844 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2267849 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267853 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267857 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2267857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M4),
     /* 2267860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267862 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267864 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2267872 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267873 */   // GIR_Coverage, 48551,
     /* 2267873 */   GIR_EraseRootFromParent_Done,
     /* 2267874 */ // Label 30422: @2267874
     /* 2267874 */ GIM_Try, /*On fail goto*//*Label 30423*/ GIMT_Encode4(2267922), // Rule ID 48558 //
     /* 2267879 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2267885 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2267888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267892 */   // MIs[0] Operand 1
     /* 2267892 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2267897 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267901 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267905 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2267905 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2267908 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267910 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267912 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267914 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267917 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267920 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267921 */   // GIR_Coverage, 48558,
     /* 2267921 */   GIR_EraseRootFromParent_Done,
     /* 2267922 */ // Label 30423: @2267922
     /* 2267922 */ GIM_Try, /*On fail goto*//*Label 30424*/ GIMT_Encode4(2267970), // Rule ID 48559 //
     /* 2267927 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2267930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2267933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2267936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267940 */   // MIs[0] Operand 1
     /* 2267940 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2267945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267949 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2267953 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2267953 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2267956 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2267958 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2267960 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2267962 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2267965 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2267968 */   GIR_RootConstrainSelectedInstOperands,
     /* 2267969 */   // GIR_Coverage, 48559,
     /* 2267969 */   GIR_EraseRootFromParent_Done,
     /* 2267970 */ // Label 30424: @2267970
     /* 2267970 */ GIM_Try, /*On fail goto*//*Label 30425*/ GIMT_Encode4(2268018), // Rule ID 48594 //
     /* 2267975 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2267978 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2267981 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2267984 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2267988 */   // MIs[0] Operand 1
     /* 2267988 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2267993 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2267997 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268001 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2268004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268006 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268008 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268010 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268013 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268016 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268017 */   // GIR_Coverage, 48594,
     /* 2268017 */   GIR_EraseRootFromParent_Done,
     /* 2268018 */ // Label 30425: @2268018
     /* 2268018 */ GIM_Try, /*On fail goto*//*Label 30426*/ GIMT_Encode4(2268066), // Rule ID 48595 //
     /* 2268023 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268036 */   // MIs[0] Operand 1
     /* 2268036 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2268041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268045 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268049 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268049 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2268052 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268054 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268056 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268064 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268065 */   // GIR_Coverage, 48595,
     /* 2268065 */   GIR_EraseRootFromParent_Done,
     /* 2268066 */ // Label 30426: @2268066
     /* 2268066 */ GIM_Try, /*On fail goto*//*Label 30427*/ GIMT_Encode4(2268114), // Rule ID 48602 //
     /* 2268071 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268074 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268077 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268084 */   // MIs[0] Operand 1
     /* 2268084 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2268089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268093 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268097 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2268100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268102 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268104 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268113 */   // GIR_Coverage, 48602,
     /* 2268113 */   GIR_EraseRootFromParent_Done,
     /* 2268114 */ // Label 30427: @2268114
     /* 2268114 */ GIM_Try, /*On fail goto*//*Label 30428*/ GIMT_Encode4(2268162), // Rule ID 48603 //
     /* 2268119 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268122 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268125 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268128 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268132 */   // MIs[0] Operand 1
     /* 2268132 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2268137 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268141 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268145 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268145 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2268148 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268150 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268152 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268161 */   // GIR_Coverage, 48603,
     /* 2268161 */   GIR_EraseRootFromParent_Done,
     /* 2268162 */ // Label 30428: @2268162
     /* 2268162 */ GIM_Try, /*On fail goto*//*Label 30429*/ GIMT_Encode4(2268210), // Rule ID 48636 //
     /* 2268167 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268170 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268173 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268176 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268180 */   // MIs[0] Operand 1
     /* 2268180 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2268185 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268189 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268193 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2268196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268198 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268200 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268202 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268209 */   // GIR_Coverage, 48636,
     /* 2268209 */   GIR_EraseRootFromParent_Done,
     /* 2268210 */ // Label 30429: @2268210
     /* 2268210 */ GIM_Try, /*On fail goto*//*Label 30430*/ GIMT_Encode4(2268258), // Rule ID 48637 //
     /* 2268215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268218 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268221 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268228 */   // MIs[0] Operand 1
     /* 2268228 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2268233 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268237 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268241 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268241 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M4),
     /* 2268244 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268246 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268248 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268250 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268253 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268256 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268257 */   // GIR_Coverage, 48637,
     /* 2268257 */   GIR_EraseRootFromParent_Done,
     /* 2268258 */ // Label 30430: @2268258
     /* 2268258 */ GIM_Try, /*On fail goto*//*Label 30431*/ GIMT_Encode4(2268306), // Rule ID 48644 //
     /* 2268263 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268266 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268269 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268276 */   // MIs[0] Operand 1
     /* 2268276 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2268281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268285 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268289 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268289 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2268292 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268294 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268296 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268305 */   // GIR_Coverage, 48644,
     /* 2268305 */   GIR_EraseRootFromParent_Done,
     /* 2268306 */ // Label 30431: @2268306
     /* 2268306 */ GIM_Try, /*On fail goto*//*Label 30432*/ GIMT_Encode4(2268354), // Rule ID 48645 //
     /* 2268311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268317 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268324 */   // MIs[0] Operand 1
     /* 2268324 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2268329 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268333 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268337 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268337 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2268340 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268342 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268344 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268352 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268353 */   // GIR_Coverage, 48645,
     /* 2268353 */   GIR_EraseRootFromParent_Done,
     /* 2268354 */ // Label 30432: @2268354
     /* 2268354 */ GIM_Try, /*On fail goto*//*Label 30433*/ GIMT_Encode4(2268402), // Rule ID 48680 //
     /* 2268359 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268365 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268372 */   // MIs[0] Operand 1
     /* 2268372 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2268377 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268381 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268385 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268385 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2268388 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268390 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268392 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268401 */   // GIR_Coverage, 48680,
     /* 2268401 */   GIR_EraseRootFromParent_Done,
     /* 2268402 */ // Label 30433: @2268402
     /* 2268402 */ GIM_Try, /*On fail goto*//*Label 30434*/ GIMT_Encode4(2268450), // Rule ID 48681 //
     /* 2268407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268413 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268420 */   // MIs[0] Operand 1
     /* 2268420 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2268425 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268429 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268433 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2268436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268438 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268440 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268442 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268448 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268449 */   // GIR_Coverage, 48681,
     /* 2268449 */   GIR_EraseRootFromParent_Done,
     /* 2268450 */ // Label 30434: @2268450
     /* 2268450 */ GIM_Try, /*On fail goto*//*Label 30435*/ GIMT_Encode4(2268498), // Rule ID 48688 //
     /* 2268455 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268461 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268464 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268468 */   // MIs[0] Operand 1
     /* 2268468 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2268473 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268477 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268481 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268481 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2268484 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268486 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268488 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268490 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268493 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268496 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268497 */   // GIR_Coverage, 48688,
     /* 2268497 */   GIR_EraseRootFromParent_Done,
     /* 2268498 */ // Label 30435: @2268498
     /* 2268498 */ GIM_Try, /*On fail goto*//*Label 30436*/ GIMT_Encode4(2268546), // Rule ID 48689 //
     /* 2268503 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268509 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268512 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268516 */   // MIs[0] Operand 1
     /* 2268516 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2268521 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268525 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268529 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268529 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2268532 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268534 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268536 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268541 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268544 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268545 */   // GIR_Coverage, 48689,
     /* 2268545 */   GIR_EraseRootFromParent_Done,
     /* 2268546 */ // Label 30436: @2268546
     /* 2268546 */ GIM_Try, /*On fail goto*//*Label 30437*/ GIMT_Encode4(2268594), // Rule ID 48724 //
     /* 2268551 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268557 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268560 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268564 */   // MIs[0] Operand 1
     /* 2268564 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2268569 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268573 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268577 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2268580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268582 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268584 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268593 */   // GIR_Coverage, 48724,
     /* 2268593 */   GIR_EraseRootFromParent_Done,
     /* 2268594 */ // Label 30437: @2268594
     /* 2268594 */ GIM_Try, /*On fail goto*//*Label 30438*/ GIMT_Encode4(2268642), // Rule ID 48725 //
     /* 2268599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268605 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268612 */   // MIs[0] Operand 1
     /* 2268612 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2268617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268621 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268625 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M4),
     /* 2268628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268630 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268632 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268641 */   // GIR_Coverage, 48725,
     /* 2268641 */   GIR_EraseRootFromParent_Done,
     /* 2268642 */ // Label 30438: @2268642
     /* 2268642 */ GIM_Try, /*On fail goto*//*Label 30439*/ GIMT_Encode4(2268690), // Rule ID 48732 //
     /* 2268647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268653 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268656 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268660 */   // MIs[0] Operand 1
     /* 2268660 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2268665 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268669 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268673 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268673 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2268676 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268678 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268680 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268682 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268689 */   // GIR_Coverage, 48732,
     /* 2268689 */   GIR_EraseRootFromParent_Done,
     /* 2268690 */ // Label 30439: @2268690
     /* 2268690 */ GIM_Try, /*On fail goto*//*Label 30440*/ GIMT_Encode4(2268738), // Rule ID 48733 //
     /* 2268695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268708 */   // MIs[0] Operand 1
     /* 2268708 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2268713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268717 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268721 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268721 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2268724 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268726 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268728 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268730 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268733 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268736 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268737 */   // GIR_Coverage, 48733,
     /* 2268737 */   GIR_EraseRootFromParent_Done,
     /* 2268738 */ // Label 30440: @2268738
     /* 2268738 */ GIM_Try, /*On fail goto*//*Label 30441*/ GIMT_Encode4(2268786), // Rule ID 48768 //
     /* 2268743 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268756 */   // MIs[0] Operand 1
     /* 2268756 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2268761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268765 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268769 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2268772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268774 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268776 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268781 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268784 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268785 */   // GIR_Coverage, 48768,
     /* 2268785 */   GIR_EraseRootFromParent_Done,
     /* 2268786 */ // Label 30441: @2268786
     /* 2268786 */ GIM_Try, /*On fail goto*//*Label 30442*/ GIMT_Encode4(2268834), // Rule ID 48769 //
     /* 2268791 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268804 */   // MIs[0] Operand 1
     /* 2268804 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2268809 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268813 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268817 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2268817 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2268820 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268822 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268824 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268833 */   // GIR_Coverage, 48769,
     /* 2268833 */   GIR_EraseRootFromParent_Done,
     /* 2268834 */ // Label 30442: @2268834
     /* 2268834 */ GIM_Try, /*On fail goto*//*Label 30443*/ GIMT_Encode4(2268882), // Rule ID 48776 //
     /* 2268839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268845 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268852 */   // MIs[0] Operand 1
     /* 2268852 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2268857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268861 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268865 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2268865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2268868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268870 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268872 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268874 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268880 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268881 */   // GIR_Coverage, 48776,
     /* 2268881 */   GIR_EraseRootFromParent_Done,
     /* 2268882 */ // Label 30443: @2268882
     /* 2268882 */ GIM_Try, /*On fail goto*//*Label 30444*/ GIMT_Encode4(2268930), // Rule ID 48777 //
     /* 2268887 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2268893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2268896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268900 */   // MIs[0] Operand 1
     /* 2268900 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2268905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268909 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2268913 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2268913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2268916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268918 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2268920 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2268922 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268925 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2268928 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268929 */   // GIR_Coverage, 48777,
     /* 2268929 */   GIR_EraseRootFromParent_Done,
     /* 2268930 */ // Label 30444: @2268930
     /* 2268930 */ GIM_Try, /*On fail goto*//*Label 30445*/ GIMT_Encode4(2268978), // Rule ID 48812 //
     /* 2268935 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2268938 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268941 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268944 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268948 */   // MIs[0] Operand 1
     /* 2268948 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2268953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268957 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2268961 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2268961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2268964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2268966 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2268968 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2268970 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2268973 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2268976 */   GIR_RootConstrainSelectedInstOperands,
     /* 2268977 */   // GIR_Coverage, 48812,
     /* 2268977 */   GIR_EraseRootFromParent_Done,
     /* 2268978 */ // Label 30445: @2268978
     /* 2268978 */ GIM_Try, /*On fail goto*//*Label 30446*/ GIMT_Encode4(2269026), // Rule ID 48813 //
     /* 2268983 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2268986 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2268989 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2268992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2268996 */   // MIs[0] Operand 1
     /* 2268996 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2269001 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269005 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269009 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269009 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M4),
     /* 2269012 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269014 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269016 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269021 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269024 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269025 */   // GIR_Coverage, 48813,
     /* 2269025 */   GIR_EraseRootFromParent_Done,
     /* 2269026 */ // Label 30446: @2269026
     /* 2269026 */ GIM_Try, /*On fail goto*//*Label 30447*/ GIMT_Encode4(2269074), // Rule ID 48820 //
     /* 2269031 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269034 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2269037 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2269040 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269044 */   // MIs[0] Operand 1
     /* 2269044 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2269049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269053 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269057 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2269060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269062 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269064 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269073 */   // GIR_Coverage, 48820,
     /* 2269073 */   GIR_EraseRootFromParent_Done,
     /* 2269074 */ // Label 30447: @2269074
     /* 2269074 */ GIM_Try, /*On fail goto*//*Label 30448*/ GIMT_Encode4(2269122), // Rule ID 48821 //
     /* 2269079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2269085 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2269088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269092 */   // MIs[0] Operand 1
     /* 2269092 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2269097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269101 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269105 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2269108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269110 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269114 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269120 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269121 */   // GIR_Coverage, 48821,
     /* 2269121 */   GIR_EraseRootFromParent_Done,
     /* 2269122 */ // Label 30448: @2269122
     /* 2269122 */ GIM_Try, /*On fail goto*//*Label 30449*/ GIMT_Encode4(2269170), // Rule ID 48856 //
     /* 2269127 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2269133 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2269136 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269140 */   // MIs[0] Operand 1
     /* 2269140 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2269145 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269149 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269153 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2269156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269158 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269160 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269162 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269165 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269168 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269169 */   // GIR_Coverage, 48856,
     /* 2269169 */   GIR_EraseRootFromParent_Done,
     /* 2269170 */ // Label 30449: @2269170
     /* 2269170 */ GIM_Try, /*On fail goto*//*Label 30450*/ GIMT_Encode4(2269218), // Rule ID 48857 //
     /* 2269175 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269178 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2269181 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2269184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269188 */   // MIs[0] Operand 1
     /* 2269188 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2269193 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269197 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269201 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269201 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2269204 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269206 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269208 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269210 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269213 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269216 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269217 */   // GIR_Coverage, 48857,
     /* 2269217 */   GIR_EraseRootFromParent_Done,
     /* 2269218 */ // Label 30450: @2269218
     /* 2269218 */ GIM_Try, /*On fail goto*//*Label 30451*/ GIMT_Encode4(2269266), // Rule ID 48864 //
     /* 2269223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269226 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2269229 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2269232 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269236 */   // MIs[0] Operand 1
     /* 2269236 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2269241 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269245 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269249 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269249 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2269252 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269254 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269256 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269265 */   // GIR_Coverage, 48864,
     /* 2269265 */   GIR_EraseRootFromParent_Done,
     /* 2269266 */ // Label 30451: @2269266
     /* 2269266 */ GIM_Try, /*On fail goto*//*Label 30452*/ GIMT_Encode4(2269314), // Rule ID 48865 //
     /* 2269271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2269277 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2269280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269284 */   // MIs[0] Operand 1
     /* 2269284 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2269289 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269293 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269297 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269297 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2269300 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269302 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269304 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269313 */   // GIR_Coverage, 48865,
     /* 2269313 */   GIR_EraseRootFromParent_Done,
     /* 2269314 */ // Label 30452: @2269314
     /* 2269314 */ GIM_Try, /*On fail goto*//*Label 30453*/ GIMT_Encode4(2269362), // Rule ID 48900 //
     /* 2269319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2269325 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2269328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269332 */   // MIs[0] Operand 1
     /* 2269332 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2269337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269341 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269345 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269345 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2269348 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269350 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269352 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269354 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269360 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269361 */   // GIR_Coverage, 48900,
     /* 2269361 */   GIR_EraseRootFromParent_Done,
     /* 2269362 */ // Label 30453: @2269362
     /* 2269362 */ GIM_Try, /*On fail goto*//*Label 30454*/ GIMT_Encode4(2269410), // Rule ID 48901 //
     /* 2269367 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269370 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2269373 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2269376 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269380 */   // MIs[0] Operand 1
     /* 2269380 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2269385 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269389 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2269393 */   // (setcc:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M4:{ *:[nxv32i1] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M4),
     /* 2269396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269398 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269400 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269402 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269405 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269408 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269409 */   // GIR_Coverage, 48901,
     /* 2269409 */   GIR_EraseRootFromParent_Done,
     /* 2269410 */ // Label 30454: @2269410
     /* 2269410 */ GIM_Try, /*On fail goto*//*Label 30455*/ GIMT_Encode4(2269458), // Rule ID 48908 //
     /* 2269415 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2269421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2269424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269428 */   // MIs[0] Operand 1
     /* 2269428 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2269433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269437 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269441 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2269441 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2269444 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269446 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269448 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269450 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269453 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269456 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269457 */   // GIR_Coverage, 48908,
     /* 2269457 */   GIR_EraseRootFromParent_Done,
     /* 2269458 */ // Label 30455: @2269458
     /* 2269458 */ GIM_Try, /*On fail goto*//*Label 30456*/ GIMT_Encode4(2269506), // Rule ID 48909 //
     /* 2269463 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2269469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2269472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269476 */   // MIs[0] Operand 1
     /* 2269476 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2269481 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269485 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269489 */   // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2269489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2269492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269494 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269496 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2269504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2269505 */   // GIR_Coverage, 48909,
     /* 2269505 */   GIR_EraseRootFromParent_Done,
     /* 2269506 */ // Label 30456: @2269506
     /* 2269506 */ GIM_Reject,
     /* 2269507 */ // Label 29941: @2269507
     /* 2269507 */ GIM_Try, /*On fail goto*//*Label 30457*/ GIMT_Encode4(2270283),
     /* 2269512 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2269515 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2269518 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2269522 */   GIM_Try, /*On fail goto*//*Label 30458*/ GIMT_Encode4(2269560), // Rule ID 48508 //
     /* 2269527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269530 */     // MIs[0] Operand 1
     /* 2269530 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2269535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269539 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269543 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2269546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269550 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269559 */     // GIR_Coverage, 48508,
     /* 2269559 */     GIR_EraseRootFromParent_Done,
     /* 2269560 */   // Label 30458: @2269560
     /* 2269560 */   GIM_Try, /*On fail goto*//*Label 30459*/ GIMT_Encode4(2269598), // Rule ID 48509 //
     /* 2269565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269568 */     // MIs[0] Operand 1
     /* 2269568 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_EQ),
     /* 2269573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269577 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269581 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETEQ:{ *:[Other] })  =>  (PseudoVMSEQ_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSEQ_VV_M8),
     /* 2269584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269597 */     // GIR_Coverage, 48509,
     /* 2269597 */     GIR_EraseRootFromParent_Done,
     /* 2269598 */   // Label 30459: @2269598
     /* 2269598 */   GIM_Try, /*On fail goto*//*Label 30460*/ GIMT_Encode4(2269636), // Rule ID 48552 //
     /* 2269603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269606 */     // MIs[0] Operand 1
     /* 2269606 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2269611 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269619 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2269622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269635 */     // GIR_Coverage, 48552,
     /* 2269635 */     GIR_EraseRootFromParent_Done,
     /* 2269636 */   // Label 30460: @2269636
     /* 2269636 */   GIM_Try, /*On fail goto*//*Label 30461*/ GIMT_Encode4(2269674), // Rule ID 48553 //
     /* 2269641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269644 */     // MIs[0] Operand 1
     /* 2269644 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_NE),
     /* 2269649 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269653 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269657 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETNE:{ *:[Other] })  =>  (PseudoVMSNE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSNE_VV_M8),
     /* 2269660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269673 */     // GIR_Coverage, 48553,
     /* 2269673 */     GIR_EraseRootFromParent_Done,
     /* 2269674 */   // Label 30461: @2269674
     /* 2269674 */   GIM_Try, /*On fail goto*//*Label 30462*/ GIMT_Encode4(2269712), // Rule ID 48596 //
     /* 2269679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269682 */     // MIs[0] Operand 1
     /* 2269682 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2269687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269691 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269695 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2269698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269702 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269711 */     // GIR_Coverage, 48596,
     /* 2269711 */     GIR_EraseRootFromParent_Done,
     /* 2269712 */   // Label 30462: @2269712
     /* 2269712 */   GIM_Try, /*On fail goto*//*Label 30463*/ GIMT_Encode4(2269750), // Rule ID 48597 //
     /* 2269717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269720 */     // MIs[0] Operand 1
     /* 2269720 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLT),
     /* 2269725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269729 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269733 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2269736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269749 */     // GIR_Coverage, 48597,
     /* 2269749 */     GIR_EraseRootFromParent_Done,
     /* 2269750 */   // Label 30463: @2269750
     /* 2269750 */   GIM_Try, /*On fail goto*//*Label 30464*/ GIMT_Encode4(2269788), // Rule ID 48638 //
     /* 2269755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269758 */     // MIs[0] Operand 1
     /* 2269758 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2269763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269767 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269771 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2269774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269776 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269787 */     // GIR_Coverage, 48638,
     /* 2269787 */     GIR_EraseRootFromParent_Done,
     /* 2269788 */   // Label 30464: @2269788
     /* 2269788 */   GIM_Try, /*On fail goto*//*Label 30465*/ GIMT_Encode4(2269826), // Rule ID 48639 //
     /* 2269793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269796 */     // MIs[0] Operand 1
     /* 2269796 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGT),
     /* 2269801 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269805 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269809 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGT:{ *:[Other] })  =>  (PseudoVMSLT_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLT_VV_M8),
     /* 2269812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269825 */     // GIR_Coverage, 48639,
     /* 2269825 */     GIR_EraseRootFromParent_Done,
     /* 2269826 */   // Label 30465: @2269826
     /* 2269826 */   GIM_Try, /*On fail goto*//*Label 30466*/ GIMT_Encode4(2269864), // Rule ID 48682 //
     /* 2269831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269834 */     // MIs[0] Operand 1
     /* 2269834 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2269839 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269843 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269847 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2269850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269863 */     // GIR_Coverage, 48682,
     /* 2269863 */     GIR_EraseRootFromParent_Done,
     /* 2269864 */   // Label 30466: @2269864
     /* 2269864 */   GIM_Try, /*On fail goto*//*Label 30467*/ GIMT_Encode4(2269902), // Rule ID 48683 //
     /* 2269869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269872 */     // MIs[0] Operand 1
     /* 2269872 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULT),
     /* 2269877 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269881 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269885 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2269888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2269892 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2269894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269901 */     // GIR_Coverage, 48683,
     /* 2269901 */     GIR_EraseRootFromParent_Done,
     /* 2269902 */   // Label 30467: @2269902
     /* 2269902 */   GIM_Try, /*On fail goto*//*Label 30468*/ GIMT_Encode4(2269940), // Rule ID 48726 //
     /* 2269907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269910 */     // MIs[0] Operand 1
     /* 2269910 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2269915 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269919 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269923 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2269926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269928 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269930 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269939 */     // GIR_Coverage, 48726,
     /* 2269939 */     GIR_EraseRootFromParent_Done,
     /* 2269940 */   // Label 30468: @2269940
     /* 2269940 */   GIM_Try, /*On fail goto*//*Label 30469*/ GIMT_Encode4(2269978), // Rule ID 48727 //
     /* 2269945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2269948 */     // MIs[0] Operand 1
     /* 2269948 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGT),
     /* 2269953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269961 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGT:{ *:[Other] })  =>  (PseudoVMSLTU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2269961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLTU_VV_M8),
     /* 2269964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2269966 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2269968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2269970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2269973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2269976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2269977 */     // GIR_Coverage, 48727,
     /* 2269977 */     GIR_EraseRootFromParent_Done,
     /* 2269978 */   // Label 30469: @2269978
     /* 2269978 */   GIM_Try, /*On fail goto*//*Label 30470*/ GIMT_Encode4(2270016), // Rule ID 48770 //
     /* 2269983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2269986 */     // MIs[0] Operand 1
     /* 2269986 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2269991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269995 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2269999 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2269999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2270002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270015 */     // GIR_Coverage, 48770,
     /* 2270015 */     GIR_EraseRootFromParent_Done,
     /* 2270016 */   // Label 30470: @2270016
     /* 2270016 */   GIM_Try, /*On fail goto*//*Label 30471*/ GIMT_Encode4(2270054), // Rule ID 48771 //
     /* 2270021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270024 */     // MIs[0] Operand 1
     /* 2270024 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SLE),
     /* 2270029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270037 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETLE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2270040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270053 */     // GIR_Coverage, 48771,
     /* 2270053 */     GIR_EraseRootFromParent_Done,
     /* 2270054 */   // Label 30471: @2270054
     /* 2270054 */   GIM_Try, /*On fail goto*//*Label 30472*/ GIMT_Encode4(2270092), // Rule ID 48814 //
     /* 2270059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270062 */     // MIs[0] Operand 1
     /* 2270062 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2270067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270075 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2270078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270091 */     // GIR_Coverage, 48814,
     /* 2270091 */     GIR_EraseRootFromParent_Done,
     /* 2270092 */   // Label 30472: @2270092
     /* 2270092 */   GIM_Try, /*On fail goto*//*Label 30473*/ GIMT_Encode4(2270130), // Rule ID 48815 //
     /* 2270097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270100 */     // MIs[0] Operand 1
     /* 2270100 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_SGE),
     /* 2270105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270113 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETGE:{ *:[Other] })  =>  (PseudoVMSLE_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLE_VV_M8),
     /* 2270116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270118 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270129 */     // GIR_Coverage, 48815,
     /* 2270129 */     GIR_EraseRootFromParent_Done,
     /* 2270130 */   // Label 30473: @2270130
     /* 2270130 */   GIM_Try, /*On fail goto*//*Label 30474*/ GIMT_Encode4(2270168), // Rule ID 48858 //
     /* 2270135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270138 */     // MIs[0] Operand 1
     /* 2270138 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2270143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270147 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270151 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270151 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2270154 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270156 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270158 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270167 */     // GIR_Coverage, 48858,
     /* 2270167 */     GIR_EraseRootFromParent_Done,
     /* 2270168 */   // Label 30474: @2270168
     /* 2270168 */   GIM_Try, /*On fail goto*//*Label 30475*/ GIMT_Encode4(2270206), // Rule ID 48859 //
     /* 2270173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270176 */     // MIs[0] Operand 1
     /* 2270176 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_ULE),
     /* 2270181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270185 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270189 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, SETULE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2270192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270196 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270205 */     // GIR_Coverage, 48859,
     /* 2270205 */     GIR_EraseRootFromParent_Done,
     /* 2270206 */   // Label 30475: @2270206
     /* 2270206 */   GIM_Try, /*On fail goto*//*Label 30476*/ GIMT_Encode4(2270244), // Rule ID 48902 //
     /* 2270211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2270214 */     // MIs[0] Operand 1
     /* 2270214 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2270219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270227 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2270227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2270230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270232 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270243 */     // GIR_Coverage, 48902,
     /* 2270243 */     GIR_EraseRootFromParent_Done,
     /* 2270244 */   // Label 30476: @2270244
     /* 2270244 */   GIM_Try, /*On fail goto*//*Label 30477*/ GIMT_Encode4(2270282), // Rule ID 48903 //
     /* 2270249 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2270252 */     // MIs[0] Operand 1
     /* 2270252 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::ICMP_UGE),
     /* 2270257 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270261 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2270265 */     // (setcc:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, SETUGE:{ *:[Other] })  =>  (PseudoVMSLEU_VV_M8:{ *:[nxv64i1] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2270265 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSLEU_VV_M8),
     /* 2270268 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270270 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs1
     /* 2270272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2270274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2270277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2270280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2270281 */     // GIR_Coverage, 48903,
     /* 2270281 */     GIR_EraseRootFromParent_Done,
     /* 2270282 */   // Label 30477: @2270282
     /* 2270282 */   GIM_Reject,
     /* 2270283 */ // Label 30457: @2270283
     /* 2270283 */ GIM_Reject,
     /* 2270284 */ // Label 29942: @2270284
     /* 2270284 */ GIM_Reject,
     /* 2270285 */ // Label 49: @2270285
     /* 2270285 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(30), /*)*//*default:*//*Label 30486*/ GIMT_Encode4(2277746),
     /* 2270296 */ /*GILLT_s32*//*Label 30478*/ GIMT_Encode4(2270404),
     /* 2270300 */ /*GILLT_s64*//*Label 30479*/ GIMT_Encode4(2271161),
     /* 2270304 */ /*GILLT_nxv1s1*//*Label 30480*/ GIMT_Encode4(2272044), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270324 */ /*GILLT_nxv2s1*//*Label 30481*/ GIMT_Encode4(2273197), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270344 */ /*GILLT_nxv4s1*//*Label 30482*/ GIMT_Encode4(2274350), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270364 */ /*GILLT_nxv8s1*//*Label 30483*/ GIMT_Encode4(2275503), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270384 */ /*GILLT_nxv16s1*//*Label 30484*/ GIMT_Encode4(2276656), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2270400 */ /*GILLT_nxv32s1*//*Label 30485*/ GIMT_Encode4(2277425),
     /* 2270404 */ // Label 30478: @2270404
     /* 2270404 */ GIM_Try, /*On fail goto*//*Label 30487*/ GIMT_Encode4(2270446), // Rule ID 1362 //
     /* 2270409 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2270412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2270415 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2270418 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270422 */   // MIs[0] Operand 1
     /* 2270422 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270431 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270435 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2270435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2270438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270440 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270442 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270445 */   // GIR_Coverage, 1362,
     /* 2270445 */   GIR_EraseRootFromParent_Done,
     /* 2270446 */ // Label 30487: @2270446
     /* 2270446 */ GIM_Try, /*On fail goto*//*Label 30488*/ GIMT_Encode4(2270488), // Rule ID 1366 //
     /* 2270451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2270454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2270457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2270460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270464 */   // MIs[0] Operand 1
     /* 2270464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270477 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2270477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2270480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270482 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270484 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270486 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270487 */   // GIR_Coverage, 1366,
     /* 2270487 */   GIR_EraseRootFromParent_Done,
     /* 2270488 */ // Label 30488: @2270488
     /* 2270488 */ GIM_Try, /*On fail goto*//*Label 30489*/ GIMT_Encode4(2270530), // Rule ID 1410 //
     /* 2270493 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2270496 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2270499 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2270502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270506 */   // MIs[0] Operand 1
     /* 2270506 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270515 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270519 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2270519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2270522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270524 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270526 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270528 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270529 */   // GIR_Coverage, 1410,
     /* 2270529 */   GIR_EraseRootFromParent_Done,
     /* 2270530 */ // Label 30489: @2270530
     /* 2270530 */ GIM_Try, /*On fail goto*//*Label 30490*/ GIMT_Encode4(2270572), // Rule ID 1414 //
     /* 2270535 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2270538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2270541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2270544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270548 */   // MIs[0] Operand 1
     /* 2270548 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270557 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270561 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2270561 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2270564 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270566 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270568 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270571 */   // GIR_Coverage, 1414,
     /* 2270571 */   GIR_EraseRootFromParent_Done,
     /* 2270572 */ // Label 30490: @2270572
     /* 2270572 */ GIM_Try, /*On fail goto*//*Label 30491*/ GIMT_Encode4(2270614), // Rule ID 1426 //
     /* 2270577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2270580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2270583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2270586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270590 */   // MIs[0] Operand 1
     /* 2270590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2270603 */   // (setcc:{ *:[i32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2270603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2270606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270612 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270613 */   // GIR_Coverage, 1426,
     /* 2270613 */   GIR_EraseRootFromParent_Done,
     /* 2270614 */ // Label 30491: @2270614
     /* 2270614 */ GIM_Try, /*On fail goto*//*Label 30492*/ GIMT_Encode4(2270656), // Rule ID 1430 //
     /* 2270619 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2270622 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2270625 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2270628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270632 */   // MIs[0] Operand 1
     /* 2270632 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270641 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2270645 */   // (setcc:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2270645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2270648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270650 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270652 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270654 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270655 */   // GIR_Coverage, 1430,
     /* 2270655 */   GIR_EraseRootFromParent_Done,
     /* 2270656 */ // Label 30492: @2270656
     /* 2270656 */ GIM_Try, /*On fail goto*//*Label 30493*/ GIMT_Encode4(2270698), // Rule ID 1742 //
     /* 2270661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2270664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2270667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2270670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270674 */   // MIs[0] Operand 1
     /* 2270674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270687 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2270687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2270690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270696 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270697 */   // GIR_Coverage, 1742,
     /* 2270697 */   GIR_EraseRootFromParent_Done,
     /* 2270698 */ // Label 30493: @2270698
     /* 2270698 */ GIM_Try, /*On fail goto*//*Label 30494*/ GIMT_Encode4(2270740), // Rule ID 1746 //
     /* 2270703 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2270706 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2270709 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2270712 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270716 */   // MIs[0] Operand 1
     /* 2270716 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270725 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270729 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2270729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2270732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270734 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270736 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270739 */   // GIR_Coverage, 1746,
     /* 2270739 */   GIR_EraseRootFromParent_Done,
     /* 2270740 */ // Label 30494: @2270740
     /* 2270740 */ GIM_Try, /*On fail goto*//*Label 30495*/ GIMT_Encode4(2270782), // Rule ID 1784 //
     /* 2270745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2270748 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2270751 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2270754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270758 */   // MIs[0] Operand 1
     /* 2270758 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270763 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270767 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270771 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2270771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2270774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270776 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270778 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270781 */   // GIR_Coverage, 1784,
     /* 2270781 */   GIR_EraseRootFromParent_Done,
     /* 2270782 */ // Label 30495: @2270782
     /* 2270782 */ GIM_Try, /*On fail goto*//*Label 30496*/ GIMT_Encode4(2270824), // Rule ID 1792 //
     /* 2270787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2270790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2270793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2270796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270800 */   // MIs[0] Operand 1
     /* 2270800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2270813 */   // (setcc:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2270813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2270816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270818 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270822 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270823 */   // GIR_Coverage, 1792,
     /* 2270823 */   GIR_EraseRootFromParent_Done,
     /* 2270824 */ // Label 30496: @2270824
     /* 2270824 */ GIM_Try, /*On fail goto*//*Label 30497*/ GIMT_Encode4(2270866), // Rule ID 1820 //
     /* 2270829 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2270832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2270835 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2270838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270842 */   // MIs[0] Operand 1
     /* 2270842 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2270847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270851 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270855 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2270855 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2270858 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270860 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270862 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270864 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270865 */   // GIR_Coverage, 1820,
     /* 2270865 */   GIR_EraseRootFromParent_Done,
     /* 2270866 */ // Label 30497: @2270866
     /* 2270866 */ GIM_Try, /*On fail goto*//*Label 30498*/ GIMT_Encode4(2270908), // Rule ID 1828 //
     /* 2270871 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2270874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2270877 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2270880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270884 */   // MIs[0] Operand 1
     /* 2270884 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2270889 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270893 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2270897 */   // (setcc:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2270897 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2270900 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270902 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270904 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270907 */   // GIR_Coverage, 1828,
     /* 2270907 */   GIR_EraseRootFromParent_Done,
     /* 2270908 */ // Label 30498: @2270908
     /* 2270908 */ GIM_Try, /*On fail goto*//*Label 30499*/ GIMT_Encode4(2270950), // Rule ID 2075 //
     /* 2270913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2270916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2270919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2270922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270926 */   // MIs[0] Operand 1
     /* 2270926 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2270935 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2270939 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2270939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2270942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270944 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270948 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270949 */   // GIR_Coverage, 2075,
     /* 2270949 */   GIR_EraseRootFromParent_Done,
     /* 2270950 */ // Label 30499: @2270950
     /* 2270950 */ GIM_Try, /*On fail goto*//*Label 30500*/ GIMT_Encode4(2270992), // Rule ID 2079 //
     /* 2270955 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2270958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2270961 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2270964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2270968 */   // MIs[0] Operand 1
     /* 2270968 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2270973 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2270977 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2270981 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2270981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2270984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2270986 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2270988 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2270990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2270991 */   // GIR_Coverage, 2079,
     /* 2270991 */   GIR_EraseRootFromParent_Done,
     /* 2270992 */ // Label 30500: @2270992
     /* 2270992 */ GIM_Try, /*On fail goto*//*Label 30501*/ GIMT_Encode4(2271034), // Rule ID 2123 //
     /* 2270997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2271000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271010 */   // MIs[0] Operand 1
     /* 2271010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271023 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2271026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271028 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271033 */   // GIR_Coverage, 2123,
     /* 2271033 */   GIR_EraseRootFromParent_Done,
     /* 2271034 */ // Label 30501: @2271034
     /* 2271034 */ GIM_Try, /*On fail goto*//*Label 30502*/ GIMT_Encode4(2271076), // Rule ID 2127 //
     /* 2271039 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2271042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271045 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271048 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271052 */   // MIs[0] Operand 1
     /* 2271052 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2271061 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2271065 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271065 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2271068 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271070 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271072 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271075 */   // GIR_Coverage, 2127,
     /* 2271075 */   GIR_EraseRootFromParent_Done,
     /* 2271076 */ // Label 30502: @2271076
     /* 2271076 */ GIM_Try, /*On fail goto*//*Label 30503*/ GIMT_Encode4(2271118), // Rule ID 2139 //
     /* 2271081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2271084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271087 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271094 */   // MIs[0] Operand 1
     /* 2271094 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271103 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271107 */   // (setcc:{ *:[i32] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2271110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271112 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271114 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271117 */   // GIR_Coverage, 2139,
     /* 2271117 */   GIR_EraseRootFromParent_Done,
     /* 2271118 */ // Label 30503: @2271118
     /* 2271118 */ GIM_Try, /*On fail goto*//*Label 30504*/ GIMT_Encode4(2271160), // Rule ID 2143 //
     /* 2271123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2271126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271136 */   // MIs[0] Operand 1
     /* 2271136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2271145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2271149 */   // (setcc:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2271152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271156 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271159 */   // GIR_Coverage, 2143,
     /* 2271159 */   GIR_EraseRootFromParent_Done,
     /* 2271160 */ // Label 30504: @2271160
     /* 2271160 */ GIM_Reject,
     /* 2271161 */ // Label 30479: @2271161
     /* 2271161 */ GIM_Try, /*On fail goto*//*Label 30505*/ GIMT_Encode4(2271203), // Rule ID 1361 //
     /* 2271166 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2271169 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2271172 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2271175 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271179 */   // MIs[0] Operand 1
     /* 2271179 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271184 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2271188 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2271192 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2271192 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S),
     /* 2271195 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271197 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271199 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271202 */   // GIR_Coverage, 1361,
     /* 2271202 */   GIR_EraseRootFromParent_Done,
     /* 2271203 */ // Label 30505: @2271203
     /* 2271203 */ GIM_Try, /*On fail goto*//*Label 30506*/ GIMT_Encode4(2271245), // Rule ID 1365 //
     /* 2271208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2271211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2271214 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2271217 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271221 */   // MIs[0] Operand 1
     /* 2271221 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2271230 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2271234 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2271234 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_S_INX),
     /* 2271237 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271239 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271241 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271244 */   // GIR_Coverage, 1365,
     /* 2271244 */   GIR_EraseRootFromParent_Done,
     /* 2271245 */ // Label 30506: @2271245
     /* 2271245 */ GIM_Try, /*On fail goto*//*Label 30507*/ GIMT_Encode4(2271287), // Rule ID 1409 //
     /* 2271250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2271253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2271256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2271259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271263 */   // MIs[0] Operand 1
     /* 2271263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2271272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2271276 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2271276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S),
     /* 2271279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271286 */   // GIR_Coverage, 1409,
     /* 2271286 */   GIR_EraseRootFromParent_Done,
     /* 2271287 */ // Label 30507: @2271287
     /* 2271287 */ GIM_Try, /*On fail goto*//*Label 30508*/ GIMT_Encode4(2271329), // Rule ID 1413 //
     /* 2271292 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2271295 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2271298 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2271301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271305 */   // MIs[0] Operand 1
     /* 2271305 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271310 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2271314 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2271318 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2271318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_S_INX),
     /* 2271321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271323 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271325 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271327 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271328 */   // GIR_Coverage, 1413,
     /* 2271328 */   GIR_EraseRootFromParent_Done,
     /* 2271329 */ // Label 30508: @2271329
     /* 2271329 */ GIM_Try, /*On fail goto*//*Label 30509*/ GIMT_Encode4(2271371), // Rule ID 1425 //
     /* 2271334 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2271337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2271340 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2271343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271347 */   // MIs[0] Operand 1
     /* 2271347 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271352 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2271356 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2271360 */   // (setcc:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2271360 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S),
     /* 2271363 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271365 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271367 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271370 */   // GIR_Coverage, 1425,
     /* 2271370 */   GIR_EraseRootFromParent_Done,
     /* 2271371 */ // Label 30509: @2271371
     /* 2271371 */ GIM_Try, /*On fail goto*//*Label 30510*/ GIMT_Encode4(2271413), // Rule ID 1429 //
     /* 2271376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2271379 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2271382 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2271385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271389 */   // MIs[0] Operand 1
     /* 2271389 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2271398 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2271402 */   // (setcc:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2271402 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_S_INX),
     /* 2271405 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271407 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271409 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271411 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271412 */   // GIR_Coverage, 1429,
     /* 2271412 */   GIR_EraseRootFromParent_Done,
     /* 2271413 */ // Label 30510: @2271413
     /* 2271413 */ GIM_Try, /*On fail goto*//*Label 30511*/ GIMT_Encode4(2271455), // Rule ID 1741 //
     /* 2271418 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2271421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271424 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271431 */   // MIs[0] Operand 1
     /* 2271431 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2271440 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2271444 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271444 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D),
     /* 2271447 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271449 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271451 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271453 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271454 */   // GIR_Coverage, 1741,
     /* 2271454 */   GIR_EraseRootFromParent_Done,
     /* 2271455 */ // Label 30511: @2271455
     /* 2271455 */ GIM_Try, /*On fail goto*//*Label 30512*/ GIMT_Encode4(2271497), // Rule ID 1745 //
     /* 2271460 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2271463 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271466 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271473 */   // MIs[0] Operand 1
     /* 2271473 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271478 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2271482 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2271486 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271486 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_IN32X),
     /* 2271489 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271491 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271493 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271496 */   // GIR_Coverage, 1745,
     /* 2271496 */   GIR_EraseRootFromParent_Done,
     /* 2271497 */ // Label 30512: @2271497
     /* 2271497 */ GIM_Try, /*On fail goto*//*Label 30513*/ GIMT_Encode4(2271539), // Rule ID 1748 //
     /* 2271502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2271505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271508 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271511 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271515 */   // MIs[0] Operand 1
     /* 2271515 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271520 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271524 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271528 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271528 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_D_INX),
     /* 2271531 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271533 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271535 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271538 */   // GIR_Coverage, 1748,
     /* 2271538 */   GIR_EraseRootFromParent_Done,
     /* 2271539 */ // Label 30513: @2271539
     /* 2271539 */ GIM_Try, /*On fail goto*//*Label 30514*/ GIMT_Encode4(2271581), // Rule ID 1783 //
     /* 2271544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2271547 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271550 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271553 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271557 */   // MIs[0] Operand 1
     /* 2271557 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271562 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2271566 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2271570 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271570 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D),
     /* 2271573 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271575 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271577 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271580 */   // GIR_Coverage, 1783,
     /* 2271580 */   GIR_EraseRootFromParent_Done,
     /* 2271581 */ // Label 30514: @2271581
     /* 2271581 */ GIM_Try, /*On fail goto*//*Label 30515*/ GIMT_Encode4(2271623), // Rule ID 1791 //
     /* 2271586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2271589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271599 */   // MIs[0] Operand 1
     /* 2271599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2271608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2271612 */   // (setcc:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D),
     /* 2271615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271621 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271622 */   // GIR_Coverage, 1791,
     /* 2271622 */   GIR_EraseRootFromParent_Done,
     /* 2271623 */ // Label 30515: @2271623
     /* 2271623 */ GIM_Try, /*On fail goto*//*Label 30516*/ GIMT_Encode4(2271665), // Rule ID 1800 //
     /* 2271628 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2271631 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271634 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271637 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271641 */   // MIs[0] Operand 1
     /* 2271641 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271650 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271654 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_INX),
     /* 2271657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271659 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271661 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271663 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271664 */   // GIR_Coverage, 1800,
     /* 2271664 */   GIR_EraseRootFromParent_Done,
     /* 2271665 */ // Label 30516: @2271665
     /* 2271665 */ GIM_Try, /*On fail goto*//*Label 30517*/ GIMT_Encode4(2271707), // Rule ID 1804 //
     /* 2271670 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2271673 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271676 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271683 */   // MIs[0] Operand 1
     /* 2271683 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271696 */   // (setcc:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_INX),
     /* 2271699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271701 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271703 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271705 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271706 */   // GIR_Coverage, 1804,
     /* 2271706 */   GIR_EraseRootFromParent_Done,
     /* 2271707 */ // Label 30517: @2271707
     /* 2271707 */ GIM_Try, /*On fail goto*//*Label 30518*/ GIMT_Encode4(2271749), // Rule ID 1819 //
     /* 2271712 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2271715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271718 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271721 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271725 */   // MIs[0] Operand 1
     /* 2271725 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271730 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2271734 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2271738 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271738 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_D_IN32X),
     /* 2271741 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271743 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271745 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271748 */   // GIR_Coverage, 1819,
     /* 2271748 */   GIR_EraseRootFromParent_Done,
     /* 2271749 */ // Label 30518: @2271749
     /* 2271749 */ GIM_Try, /*On fail goto*//*Label 30519*/ GIMT_Encode4(2271791), // Rule ID 1827 //
     /* 2271754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2271757 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2271760 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2271763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271767 */   // MIs[0] Operand 1
     /* 2271767 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2271776 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2271780 */   // (setcc:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2271780 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_D_IN32X),
     /* 2271783 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271785 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271787 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271790 */   // GIR_Coverage, 1827,
     /* 2271790 */   GIR_EraseRootFromParent_Done,
     /* 2271791 */ // Label 30519: @2271791
     /* 2271791 */ GIM_Try, /*On fail goto*//*Label 30520*/ GIMT_Encode4(2271833), // Rule ID 2074 //
     /* 2271796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2271799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271809 */   // MIs[0] Operand 1
     /* 2271809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271822 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H),
     /* 2271825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271832 */   // GIR_Coverage, 2074,
     /* 2271832 */   GIR_EraseRootFromParent_Done,
     /* 2271833 */ // Label 30520: @2271833
     /* 2271833 */ GIM_Try, /*On fail goto*//*Label 30521*/ GIMT_Encode4(2271875), // Rule ID 2078 //
     /* 2271838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2271841 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271844 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271851 */   // MIs[0] Operand 1
     /* 2271851 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2271856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2271860 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2271864 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (FEQ_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FEQ_H_INX),
     /* 2271867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271869 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271871 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271874 */   // GIR_Coverage, 2078,
     /* 2271874 */   GIR_EraseRootFromParent_Done,
     /* 2271875 */ // Label 30521: @2271875
     /* 2271875 */ GIM_Try, /*On fail goto*//*Label 30522*/ GIMT_Encode4(2271917), // Rule ID 2122 //
     /* 2271880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2271883 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271886 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271889 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271893 */   // MIs[0] Operand 1
     /* 2271893 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271898 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271902 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271906 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271906 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H),
     /* 2271909 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271911 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271913 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271916 */   // GIR_Coverage, 2122,
     /* 2271916 */   GIR_EraseRootFromParent_Done,
     /* 2271917 */ // Label 30522: @2271917
     /* 2271917 */ GIM_Try, /*On fail goto*//*Label 30523*/ GIMT_Encode4(2271959), // Rule ID 2126 //
     /* 2271922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2271925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271935 */   // MIs[0] Operand 1
     /* 2271935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2271940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2271944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2271948 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (FLT_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLT_H_INX),
     /* 2271951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271957 */   GIR_RootConstrainSelectedInstOperands,
     /* 2271958 */   // GIR_Coverage, 2126,
     /* 2271958 */   GIR_EraseRootFromParent_Done,
     /* 2271959 */ // Label 30523: @2271959
     /* 2271959 */ GIM_Try, /*On fail goto*//*Label 30524*/ GIMT_Encode4(2272001), // Rule ID 2138 //
     /* 2271964 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2271967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2271970 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2271973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2271977 */   // MIs[0] Operand 1
     /* 2271977 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2271982 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271986 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2271990 */   // (setcc:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2271990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H),
     /* 2271993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2271995 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2271997 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2271999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272000 */   // GIR_Coverage, 2138,
     /* 2272000 */   GIR_EraseRootFromParent_Done,
     /* 2272001 */ // Label 30524: @2272001
     /* 2272001 */ GIM_Try, /*On fail goto*//*Label 30525*/ GIMT_Encode4(2272043), // Rule ID 2142 //
     /* 2272006 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2272009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2272012 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2272015 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2272019 */   // MIs[0] Operand 1
     /* 2272019 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272024 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2272028 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2272032 */   // (setcc:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (FLE_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2272032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FLE_H_INX),
     /* 2272035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272037 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272039 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272042 */   // GIR_Coverage, 2142,
     /* 2272042 */   GIR_EraseRootFromParent_Done,
     /* 2272043 */ // Label 30525: @2272043
     /* 2272043 */ GIM_Reject,
     /* 2272044 */ // Label 30480: @2272044
     /* 2272044 */ GIM_Try, /*On fail goto*//*Label 30526*/ GIMT_Encode4(2272092), // Rule ID 57028 //
     /* 2272049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272055 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2272058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272062 */   // MIs[0] Operand 1
     /* 2272062 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272071 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272075 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272075 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2272078 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272080 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272082 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272091 */   // GIR_Coverage, 57028,
     /* 2272091 */   GIR_EraseRootFromParent_Done,
     /* 2272092 */ // Label 30526: @2272092
     /* 2272092 */ GIM_Try, /*On fail goto*//*Label 30527*/ GIMT_Encode4(2272140), // Rule ID 57029 //
     /* 2272097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272103 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2272106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272110 */   // MIs[0] Operand 1
     /* 2272110 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272119 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272123 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272123 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF4),
     /* 2272126 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272128 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272130 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272139 */   // GIR_Coverage, 57029,
     /* 2272139 */   GIR_EraseRootFromParent_Done,
     /* 2272140 */ // Label 30527: @2272140
     /* 2272140 */ GIM_Try, /*On fail goto*//*Label 30528*/ GIMT_Encode4(2272188), // Rule ID 57048 //
     /* 2272145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2272148 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272151 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2272154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272158 */   // MIs[0] Operand 1
     /* 2272158 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272163 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272167 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272171 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2272171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2272174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272176 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272178 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272183 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272186 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272187 */   // GIR_Coverage, 57048,
     /* 2272187 */   GIR_EraseRootFromParent_Done,
     /* 2272188 */ // Label 30528: @2272188
     /* 2272188 */ GIM_Try, /*On fail goto*//*Label 30529*/ GIMT_Encode4(2272236), // Rule ID 57049 //
     /* 2272193 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2272196 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272199 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2272202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272206 */   // MIs[0] Operand 1
     /* 2272206 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272211 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272215 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272219 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2272219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2272222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272224 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272226 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272231 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272234 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272235 */   // GIR_Coverage, 57049,
     /* 2272235 */   GIR_EraseRootFromParent_Done,
     /* 2272236 */ // Label 30529: @2272236
     /* 2272236 */ GIM_Try, /*On fail goto*//*Label 30530*/ GIMT_Encode4(2272284), // Rule ID 57078 //
     /* 2272241 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272247 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2272250 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272254 */   // MIs[0] Operand 1
     /* 2272254 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272259 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272263 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272267 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2272267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2272270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272272 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272274 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272276 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272279 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272282 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272283 */   // GIR_Coverage, 57078,
     /* 2272283 */   GIR_EraseRootFromParent_Done,
     /* 2272284 */ // Label 30530: @2272284
     /* 2272284 */ GIM_Try, /*On fail goto*//*Label 30531*/ GIMT_Encode4(2272332), // Rule ID 57079 //
     /* 2272289 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272295 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2272298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272302 */   // MIs[0] Operand 1
     /* 2272302 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2272307 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272311 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272315 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2272315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2272318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272320 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272322 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272331 */   // GIR_Coverage, 57079,
     /* 2272331 */   GIR_EraseRootFromParent_Done,
     /* 2272332 */ // Label 30531: @2272332
     /* 2272332 */ GIM_Try, /*On fail goto*//*Label 30532*/ GIMT_Encode4(2272380), // Rule ID 57328 //
     /* 2272337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272340 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272343 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2272346 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272350 */   // MIs[0] Operand 1
     /* 2272350 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272355 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272359 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272363 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272363 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2272366 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272368 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272370 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272378 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272379 */   // GIR_Coverage, 57328,
     /* 2272379 */   GIR_EraseRootFromParent_Done,
     /* 2272380 */ // Label 30532: @2272380
     /* 2272380 */ GIM_Try, /*On fail goto*//*Label 30533*/ GIMT_Encode4(2272428), // Rule ID 57329 //
     /* 2272385 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272391 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2272394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272398 */   // MIs[0] Operand 1
     /* 2272398 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272403 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272407 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272411 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF4),
     /* 2272414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272416 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272418 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272427 */   // GIR_Coverage, 57329,
     /* 2272427 */   GIR_EraseRootFromParent_Done,
     /* 2272428 */ // Label 30533: @2272428
     /* 2272428 */ GIM_Try, /*On fail goto*//*Label 30534*/ GIMT_Encode4(2272476), // Rule ID 57348 //
     /* 2272433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2272436 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272439 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2272442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272446 */   // MIs[0] Operand 1
     /* 2272446 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272451 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272455 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272459 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2272459 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2272462 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272464 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272466 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272475 */   // GIR_Coverage, 57348,
     /* 2272475 */   GIR_EraseRootFromParent_Done,
     /* 2272476 */ // Label 30534: @2272476
     /* 2272476 */ GIM_Try, /*On fail goto*//*Label 30535*/ GIMT_Encode4(2272524), // Rule ID 57349 //
     /* 2272481 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2272484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272487 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2272490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272494 */   // MIs[0] Operand 1
     /* 2272494 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272499 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272503 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272507 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2272507 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2272510 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272512 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272514 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272519 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272522 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272523 */   // GIR_Coverage, 57349,
     /* 2272523 */   GIR_EraseRootFromParent_Done,
     /* 2272524 */ // Label 30535: @2272524
     /* 2272524 */ GIM_Try, /*On fail goto*//*Label 30536*/ GIMT_Encode4(2272572), // Rule ID 57378 //
     /* 2272529 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272532 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272535 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2272538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272542 */   // MIs[0] Operand 1
     /* 2272542 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272551 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272555 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2272555 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2272558 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272560 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272562 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272564 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272567 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272570 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272571 */   // GIR_Coverage, 57378,
     /* 2272571 */   GIR_EraseRootFromParent_Done,
     /* 2272572 */ // Label 30536: @2272572
     /* 2272572 */ GIM_Try, /*On fail goto*//*Label 30537*/ GIMT_Encode4(2272620), // Rule ID 57379 //
     /* 2272577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272583 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2272586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272590 */   // MIs[0] Operand 1
     /* 2272590 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2272595 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272599 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272603 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2272603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2272606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272608 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272610 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272619 */   // GIR_Coverage, 57379,
     /* 2272619 */   GIR_EraseRootFromParent_Done,
     /* 2272620 */ // Label 30537: @2272620
     /* 2272620 */ GIM_Try, /*On fail goto*//*Label 30538*/ GIMT_Encode4(2272668), // Rule ID 57628 //
     /* 2272625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272631 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2272634 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272638 */   // MIs[0] Operand 1
     /* 2272638 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272647 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272651 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272651 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2272654 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272656 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272658 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272666 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272667 */   // GIR_Coverage, 57628,
     /* 2272667 */   GIR_EraseRootFromParent_Done,
     /* 2272668 */ // Label 30538: @2272668
     /* 2272668 */ GIM_Try, /*On fail goto*//*Label 30539*/ GIMT_Encode4(2272716), // Rule ID 57629 //
     /* 2272673 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272676 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272679 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2272682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272686 */   // MIs[0] Operand 1
     /* 2272686 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272691 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272695 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272699 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272699 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF4),
     /* 2272702 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272704 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272706 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272711 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272714 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272715 */   // GIR_Coverage, 57629,
     /* 2272715 */   GIR_EraseRootFromParent_Done,
     /* 2272716 */ // Label 30539: @2272716
     /* 2272716 */ GIM_Try, /*On fail goto*//*Label 30540*/ GIMT_Encode4(2272764), // Rule ID 57648 //
     /* 2272721 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2272724 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272727 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2272730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272734 */   // MIs[0] Operand 1
     /* 2272734 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272743 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272747 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2272747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2272750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272752 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272754 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272756 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272759 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272762 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272763 */   // GIR_Coverage, 57648,
     /* 2272763 */   GIR_EraseRootFromParent_Done,
     /* 2272764 */ // Label 30540: @2272764
     /* 2272764 */ GIM_Try, /*On fail goto*//*Label 30541*/ GIMT_Encode4(2272812), // Rule ID 57649 //
     /* 2272769 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2272772 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2272775 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2272778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272782 */   // MIs[0] Operand 1
     /* 2272782 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272787 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272791 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272795 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2272795 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2272798 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272800 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272802 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2272810 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272811 */   // GIR_Coverage, 57649,
     /* 2272811 */   GIR_EraseRootFromParent_Done,
     /* 2272812 */ // Label 30541: @2272812
     /* 2272812 */ GIM_Try, /*On fail goto*//*Label 30542*/ GIMT_Encode4(2272860), // Rule ID 57678 //
     /* 2272817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2272820 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272823 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2272826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272830 */   // MIs[0] Operand 1
     /* 2272830 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272835 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272839 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272843 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2272843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2272846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272848 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272850 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272858 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272859 */   // GIR_Coverage, 57678,
     /* 2272859 */   GIR_EraseRootFromParent_Done,
     /* 2272860 */ // Label 30542: @2272860
     /* 2272860 */ GIM_Try, /*On fail goto*//*Label 30543*/ GIMT_Encode4(2272908), // Rule ID 57679 //
     /* 2272865 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2272868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2272871 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2272874 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272878 */   // MIs[0] Operand 1
     /* 2272878 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2272883 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272887 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272891 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2272891 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2272894 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272896 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272898 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2272906 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272907 */   // GIR_Coverage, 57679,
     /* 2272907 */   GIR_EraseRootFromParent_Done,
     /* 2272908 */ // Label 30543: @2272908
     /* 2272908 */ GIM_Try, /*On fail goto*//*Label 30544*/ GIMT_Encode4(2272956), // Rule ID 57928 //
     /* 2272913 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2272916 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272919 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2272922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272926 */   // MIs[0] Operand 1
     /* 2272926 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272931 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272935 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272939 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2272939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2272942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272944 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272946 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272948 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272951 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2272954 */   GIR_RootConstrainSelectedInstOperands,
     /* 2272955 */   // GIR_Coverage, 57928,
     /* 2272955 */   GIR_EraseRootFromParent_Done,
     /* 2272956 */ // Label 30544: @2272956
     /* 2272956 */ GIM_Try, /*On fail goto*//*Label 30545*/ GIMT_Encode4(2273004), // Rule ID 57929 //
     /* 2272961 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2272964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2272967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2272970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272974 */   // MIs[0] Operand 1
     /* 2272974 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2272979 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272983 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2272987 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF4:{ *:[nxv1i1] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2272987 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF4),
     /* 2272990 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2272992 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2272994 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2272996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2272999 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273002 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273003 */   // GIR_Coverage, 57929,
     /* 2273003 */   GIR_EraseRootFromParent_Done,
     /* 2273004 */ // Label 30545: @2273004
     /* 2273004 */ GIM_Try, /*On fail goto*//*Label 30546*/ GIMT_Encode4(2273052), // Rule ID 57948 //
     /* 2273009 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273012 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2273015 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2273018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273022 */   // MIs[0] Operand 1
     /* 2273022 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273027 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273031 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273035 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2273035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2273038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273040 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273042 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273051 */   // GIR_Coverage, 57948,
     /* 2273051 */   GIR_EraseRootFromParent_Done,
     /* 2273052 */ // Label 30546: @2273052
     /* 2273052 */ GIM_Try, /*On fail goto*//*Label 30547*/ GIMT_Encode4(2273100), // Rule ID 57949 //
     /* 2273057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273060 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2273063 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2273066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273070 */   // MIs[0] Operand 1
     /* 2273070 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273075 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273079 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273083 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv1i1] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2273083 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2273086 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273088 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273090 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273099 */   // GIR_Coverage, 57949,
     /* 2273099 */   GIR_EraseRootFromParent_Done,
     /* 2273100 */ // Label 30547: @2273100
     /* 2273100 */ GIM_Try, /*On fail goto*//*Label 30548*/ GIMT_Encode4(2273148), // Rule ID 57978 //
     /* 2273105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2273108 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2273111 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2273114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273118 */   // MIs[0] Operand 1
     /* 2273118 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273127 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273131 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2273131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2273134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273136 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273138 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273146 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273147 */   // GIR_Coverage, 57978,
     /* 2273147 */   GIR_EraseRootFromParent_Done,
     /* 2273148 */ // Label 30548: @2273148
     /* 2273148 */ GIM_Try, /*On fail goto*//*Label 30549*/ GIMT_Encode4(2273196), // Rule ID 57979 //
     /* 2273153 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2273156 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2273159 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2273162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273166 */   // MIs[0] Operand 1
     /* 2273166 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2273171 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273175 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273179 */   // (setcc:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv1i1] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2273179 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2273182 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273184 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273186 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273188 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273191 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273194 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273195 */   // GIR_Coverage, 57979,
     /* 2273195 */   GIR_EraseRootFromParent_Done,
     /* 2273196 */ // Label 30549: @2273196
     /* 2273196 */ GIM_Reject,
     /* 2273197 */ // Label 30481: @2273197
     /* 2273197 */ GIM_Try, /*On fail goto*//*Label 30550*/ GIMT_Encode4(2273245), // Rule ID 57038 //
     /* 2273202 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2273208 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2273211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273215 */   // MIs[0] Operand 1
     /* 2273215 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273224 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273228 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2273231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273233 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273235 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273237 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273240 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273244 */   // GIR_Coverage, 57038,
     /* 2273244 */   GIR_EraseRootFromParent_Done,
     /* 2273245 */ // Label 30550: @2273245
     /* 2273245 */ GIM_Try, /*On fail goto*//*Label 30551*/ GIMT_Encode4(2273293), // Rule ID 57039 //
     /* 2273250 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273253 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2273256 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2273259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273263 */   // MIs[0] Operand 1
     /* 2273263 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273272 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273276 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_MF2),
     /* 2273279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273281 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273283 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273285 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273288 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273291 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273292 */   // GIR_Coverage, 57039,
     /* 2273292 */   GIR_EraseRootFromParent_Done,
     /* 2273293 */ // Label 30551: @2273293
     /* 2273293 */ GIM_Try, /*On fail goto*//*Label 30552*/ GIMT_Encode4(2273341), // Rule ID 57068 //
     /* 2273298 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2273307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273311 */   // MIs[0] Operand 1
     /* 2273311 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273320 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273324 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2273324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2273327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273329 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273331 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273333 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273336 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273340 */   // GIR_Coverage, 57068,
     /* 2273340 */   GIR_EraseRootFromParent_Done,
     /* 2273341 */ // Label 30552: @2273341
     /* 2273341 */ GIM_Try, /*On fail goto*//*Label 30553*/ GIMT_Encode4(2273389), // Rule ID 57069 //
     /* 2273346 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273352 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2273355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273359 */   // MIs[0] Operand 1
     /* 2273359 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273368 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273372 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2273372 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2273375 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273377 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273379 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273388 */   // GIR_Coverage, 57069,
     /* 2273388 */   GIR_EraseRootFromParent_Done,
     /* 2273389 */ // Label 30553: @2273389
     /* 2273389 */ GIM_Try, /*On fail goto*//*Label 30554*/ GIMT_Encode4(2273437), // Rule ID 57148 //
     /* 2273394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2273397 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2273400 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2273403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273407 */   // MIs[0] Operand 1
     /* 2273407 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273412 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273416 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273420 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2273420 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2273423 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273425 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273427 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273436 */   // GIR_Coverage, 57148,
     /* 2273436 */   GIR_EraseRootFromParent_Done,
     /* 2273437 */ // Label 30554: @2273437
     /* 2273437 */ GIM_Try, /*On fail goto*//*Label 30555*/ GIMT_Encode4(2273485), // Rule ID 57149 //
     /* 2273442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2273445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2273448 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2273451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273455 */   // MIs[0] Operand 1
     /* 2273455 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2273460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273464 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273468 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2273468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2273471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273473 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273475 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273484 */   // GIR_Coverage, 57149,
     /* 2273484 */   GIR_EraseRootFromParent_Done,
     /* 2273485 */ // Label 30555: @2273485
     /* 2273485 */ GIM_Try, /*On fail goto*//*Label 30556*/ GIMT_Encode4(2273533), // Rule ID 57338 //
     /* 2273490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273493 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2273496 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2273499 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273503 */   // MIs[0] Operand 1
     /* 2273503 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273508 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273512 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273516 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273516 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2273519 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273521 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273523 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273532 */   // GIR_Coverage, 57338,
     /* 2273532 */   GIR_EraseRootFromParent_Done,
     /* 2273533 */ // Label 30556: @2273533
     /* 2273533 */ GIM_Try, /*On fail goto*//*Label 30557*/ GIMT_Encode4(2273581), // Rule ID 57339 //
     /* 2273538 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2273544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2273547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273551 */   // MIs[0] Operand 1
     /* 2273551 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273556 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273560 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273564 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273564 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_MF2),
     /* 2273567 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273569 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273571 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273573 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273576 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273579 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273580 */   // GIR_Coverage, 57339,
     /* 2273580 */   GIR_EraseRootFromParent_Done,
     /* 2273581 */ // Label 30557: @2273581
     /* 2273581 */ GIM_Try, /*On fail goto*//*Label 30558*/ GIMT_Encode4(2273629), // Rule ID 57368 //
     /* 2273586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273592 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2273595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273599 */   // MIs[0] Operand 1
     /* 2273599 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273604 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273608 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273612 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2273612 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2273615 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273617 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273619 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273628 */   // GIR_Coverage, 57368,
     /* 2273628 */   GIR_EraseRootFromParent_Done,
     /* 2273629 */ // Label 30558: @2273629
     /* 2273629 */ GIM_Try, /*On fail goto*//*Label 30559*/ GIMT_Encode4(2273677), // Rule ID 57369 //
     /* 2273634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273640 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2273643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273647 */   // MIs[0] Operand 1
     /* 2273647 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273652 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273656 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273660 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2273660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2273663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273665 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273667 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273675 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273676 */   // GIR_Coverage, 57369,
     /* 2273676 */   GIR_EraseRootFromParent_Done,
     /* 2273677 */ // Label 30559: @2273677
     /* 2273677 */ GIM_Try, /*On fail goto*//*Label 30560*/ GIMT_Encode4(2273725), // Rule ID 57448 //
     /* 2273682 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2273685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2273688 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2273691 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273695 */   // MIs[0] Operand 1
     /* 2273695 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273704 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273708 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2273708 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2273711 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273713 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273715 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273724 */   // GIR_Coverage, 57448,
     /* 2273724 */   GIR_EraseRootFromParent_Done,
     /* 2273725 */ // Label 30560: @2273725
     /* 2273725 */ GIM_Try, /*On fail goto*//*Label 30561*/ GIMT_Encode4(2273773), // Rule ID 57449 //
     /* 2273730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2273733 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2273736 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2273739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273743 */   // MIs[0] Operand 1
     /* 2273743 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2273748 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273752 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273756 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2273756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2273759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273761 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273763 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273765 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2273771 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273772 */   // GIR_Coverage, 57449,
     /* 2273772 */   GIR_EraseRootFromParent_Done,
     /* 2273773 */ // Label 30561: @2273773
     /* 2273773 */ GIM_Try, /*On fail goto*//*Label 30562*/ GIMT_Encode4(2273821), // Rule ID 57638 //
     /* 2273778 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2273781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2273784 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2273787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273791 */   // MIs[0] Operand 1
     /* 2273791 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273796 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273800 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273804 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2273804 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2273807 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273809 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273811 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273820 */   // GIR_Coverage, 57638,
     /* 2273820 */   GIR_EraseRootFromParent_Done,
     /* 2273821 */ // Label 30562: @2273821
     /* 2273821 */ GIM_Try, /*On fail goto*//*Label 30563*/ GIMT_Encode4(2273869), // Rule ID 57639 //
     /* 2273826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2273829 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2273832 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2273835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273839 */   // MIs[0] Operand 1
     /* 2273839 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273844 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273848 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273852 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2273852 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_MF2),
     /* 2273855 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273857 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273859 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2273867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273868 */   // GIR_Coverage, 57639,
     /* 2273868 */   GIR_EraseRootFromParent_Done,
     /* 2273869 */ // Label 30563: @2273869
     /* 2273869 */ GIM_Try, /*On fail goto*//*Label 30564*/ GIMT_Encode4(2273917), // Rule ID 57668 //
     /* 2273874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2273877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273880 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2273883 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273887 */   // MIs[0] Operand 1
     /* 2273887 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273896 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273900 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2273900 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2273903 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273905 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273907 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273915 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273916 */   // GIR_Coverage, 57668,
     /* 2273916 */   GIR_EraseRootFromParent_Done,
     /* 2273917 */ // Label 30564: @2273917
     /* 2273917 */ GIM_Try, /*On fail goto*//*Label 30565*/ GIMT_Encode4(2273965), // Rule ID 57669 //
     /* 2273922 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2273925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2273928 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2273931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273935 */   // MIs[0] Operand 1
     /* 2273935 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273940 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273944 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273948 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2273948 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2273951 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2273953 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2273955 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2273957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2273960 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2273963 */   GIR_RootConstrainSelectedInstOperands,
     /* 2273964 */   // GIR_Coverage, 57669,
     /* 2273964 */   GIR_EraseRootFromParent_Done,
     /* 2273965 */ // Label 30565: @2273965
     /* 2273965 */ GIM_Try, /*On fail goto*//*Label 30566*/ GIMT_Encode4(2274013), // Rule ID 57748 //
     /* 2273970 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2273973 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2273976 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2273979 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2273983 */   // MIs[0] Operand 1
     /* 2273983 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2273988 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273992 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2273996 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2273996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2273999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274001 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274003 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274005 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274012 */   // GIR_Coverage, 57748,
     /* 2274012 */   GIR_EraseRootFromParent_Done,
     /* 2274013 */ // Label 30566: @2274013
     /* 2274013 */ GIM_Try, /*On fail goto*//*Label 30567*/ GIMT_Encode4(2274061), // Rule ID 57749 //
     /* 2274018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2274021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2274024 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2274027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274031 */   // MIs[0] Operand 1
     /* 2274031 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2274036 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274040 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274044 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2274044 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2274047 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274049 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274051 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274053 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274056 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274059 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274060 */   // GIR_Coverage, 57749,
     /* 2274060 */   GIR_EraseRootFromParent_Done,
     /* 2274061 */ // Label 30567: @2274061
     /* 2274061 */ GIM_Try, /*On fail goto*//*Label 30568*/ GIMT_Encode4(2274109), // Rule ID 57938 //
     /* 2274066 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274069 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2274072 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2274075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274079 */   // MIs[0] Operand 1
     /* 2274079 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2274084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274088 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274092 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2274092 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2274095 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274097 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274099 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274108 */   // GIR_Coverage, 57938,
     /* 2274108 */   GIR_EraseRootFromParent_Done,
     /* 2274109 */ // Label 30568: @2274109
     /* 2274109 */ GIM_Try, /*On fail goto*//*Label 30569*/ GIMT_Encode4(2274157), // Rule ID 57939 //
     /* 2274114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274117 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2274120 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2274123 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274127 */   // MIs[0] Operand 1
     /* 2274127 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2274132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274136 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274140 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_MF2:{ *:[nxv2i1] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2274140 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_MF2),
     /* 2274143 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274145 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274147 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274156 */   // GIR_Coverage, 57939,
     /* 2274156 */   GIR_EraseRootFromParent_Done,
     /* 2274157 */ // Label 30569: @2274157
     /* 2274157 */ GIM_Try, /*On fail goto*//*Label 30570*/ GIMT_Encode4(2274205), // Rule ID 57968 //
     /* 2274162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2274165 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2274168 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2274171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274175 */   // MIs[0] Operand 1
     /* 2274175 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2274180 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274184 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274188 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2274188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2274191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274193 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274195 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274204 */   // GIR_Coverage, 57968,
     /* 2274204 */   GIR_EraseRootFromParent_Done,
     /* 2274205 */ // Label 30570: @2274205
     /* 2274205 */ GIM_Try, /*On fail goto*//*Label 30571*/ GIMT_Encode4(2274253), // Rule ID 57969 //
     /* 2274210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274213 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2274216 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2274219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274223 */   // MIs[0] Operand 1
     /* 2274223 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2274228 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274232 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274236 */   // (setcc:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv2i1] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2274236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2274239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274241 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274243 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274245 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274251 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274252 */   // GIR_Coverage, 57969,
     /* 2274252 */   GIR_EraseRootFromParent_Done,
     /* 2274253 */ // Label 30571: @2274253
     /* 2274253 */ GIM_Try, /*On fail goto*//*Label 30572*/ GIMT_Encode4(2274301), // Rule ID 58048 //
     /* 2274258 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2274261 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2274264 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2274267 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274271 */   // MIs[0] Operand 1
     /* 2274271 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2274276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274280 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274284 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2274284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2274287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274289 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274291 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274293 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274296 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274299 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274300 */   // GIR_Coverage, 58048,
     /* 2274300 */   GIR_EraseRootFromParent_Done,
     /* 2274301 */ // Label 30572: @2274301
     /* 2274301 */ GIM_Try, /*On fail goto*//*Label 30573*/ GIMT_Encode4(2274349), // Rule ID 58049 //
     /* 2274306 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2274309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2274312 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2274315 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274319 */   // MIs[0] Operand 1
     /* 2274319 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2274324 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274328 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274332 */   // (setcc:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv2i1] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2274332 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2274335 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274337 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274339 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274341 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274344 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274347 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274348 */   // GIR_Coverage, 58049,
     /* 2274348 */   GIR_EraseRootFromParent_Done,
     /* 2274349 */ // Label 30573: @2274349
     /* 2274349 */ GIM_Reject,
     /* 2274350 */ // Label 30482: @2274350
     /* 2274350 */ GIM_Try, /*On fail goto*//*Label 30574*/ GIMT_Encode4(2274398), // Rule ID 57058 //
     /* 2274355 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274361 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2274364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274368 */   // MIs[0] Operand 1
     /* 2274368 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2274373 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274377 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274381 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2274381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2274384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274386 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274388 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274390 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274393 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274396 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274397 */   // GIR_Coverage, 57058,
     /* 2274397 */   GIR_EraseRootFromParent_Done,
     /* 2274398 */ // Label 30574: @2274398
     /* 2274398 */ GIM_Try, /*On fail goto*//*Label 30575*/ GIMT_Encode4(2274446), // Rule ID 57059 //
     /* 2274403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274406 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274409 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2274412 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274416 */   // MIs[0] Operand 1
     /* 2274416 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2274421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274425 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274429 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2274429 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M1),
     /* 2274432 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274434 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274436 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274438 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274441 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274444 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274445 */   // GIR_Coverage, 57059,
     /* 2274445 */   GIR_EraseRootFromParent_Done,
     /* 2274446 */ // Label 30575: @2274446
     /* 2274446 */ GIM_Try, /*On fail goto*//*Label 30576*/ GIMT_Encode4(2274494), // Rule ID 57118 //
     /* 2274451 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2274454 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274457 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2274460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274464 */   // MIs[0] Operand 1
     /* 2274464 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2274469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274473 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274477 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2274477 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2274480 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274482 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274484 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274492 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274493 */   // GIR_Coverage, 57118,
     /* 2274493 */   GIR_EraseRootFromParent_Done,
     /* 2274494 */ // Label 30576: @2274494
     /* 2274494 */ GIM_Try, /*On fail goto*//*Label 30577*/ GIMT_Encode4(2274542), // Rule ID 57119 //
     /* 2274499 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274502 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274505 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2274508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274512 */   // MIs[0] Operand 1
     /* 2274512 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2274517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274521 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274525 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2274525 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2274528 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274530 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274532 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274540 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274541 */   // GIR_Coverage, 57119,
     /* 2274541 */   GIR_EraseRootFromParent_Done,
     /* 2274542 */ // Label 30577: @2274542
     /* 2274542 */ GIM_Try, /*On fail goto*//*Label 30578*/ GIMT_Encode4(2274590), // Rule ID 57158 //
     /* 2274547 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2274550 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2274553 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2274556 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274560 */   // MIs[0] Operand 1
     /* 2274560 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2274565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274569 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274573 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2274573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2274576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274578 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274580 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274589 */   // GIR_Coverage, 57158,
     /* 2274589 */   GIR_EraseRootFromParent_Done,
     /* 2274590 */ // Label 30578: @2274590
     /* 2274590 */ GIM_Try, /*On fail goto*//*Label 30579*/ GIMT_Encode4(2274638), // Rule ID 57159 //
     /* 2274595 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2274598 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2274601 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2274604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274608 */   // MIs[0] Operand 1
     /* 2274608 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2274613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274617 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274621 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2274621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2274624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274626 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274628 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274633 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274636 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274637 */   // GIR_Coverage, 57159,
     /* 2274637 */   GIR_EraseRootFromParent_Done,
     /* 2274638 */ // Label 30579: @2274638
     /* 2274638 */ GIM_Try, /*On fail goto*//*Label 30580*/ GIMT_Encode4(2274686), // Rule ID 57358 //
     /* 2274643 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274649 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2274652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274656 */   // MIs[0] Operand 1
     /* 2274656 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2274661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274665 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274669 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2274669 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2274672 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274674 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274676 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274685 */   // GIR_Coverage, 57358,
     /* 2274685 */   GIR_EraseRootFromParent_Done,
     /* 2274686 */ // Label 30580: @2274686
     /* 2274686 */ GIM_Try, /*On fail goto*//*Label 30581*/ GIMT_Encode4(2274734), // Rule ID 57359 //
     /* 2274691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274697 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2274700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274704 */   // MIs[0] Operand 1
     /* 2274704 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2274709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274713 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274717 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2274717 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M1),
     /* 2274720 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274722 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274724 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274733 */   // GIR_Coverage, 57359,
     /* 2274733 */   GIR_EraseRootFromParent_Done,
     /* 2274734 */ // Label 30581: @2274734
     /* 2274734 */ GIM_Try, /*On fail goto*//*Label 30582*/ GIMT_Encode4(2274782), // Rule ID 57418 //
     /* 2274739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2274742 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274745 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2274748 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274752 */   // MIs[0] Operand 1
     /* 2274752 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2274757 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274761 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274765 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2274765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2274768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274770 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274772 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274780 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274781 */   // GIR_Coverage, 57418,
     /* 2274781 */   GIR_EraseRootFromParent_Done,
     /* 2274782 */ // Label 30582: @2274782
     /* 2274782 */ GIM_Try, /*On fail goto*//*Label 30583*/ GIMT_Encode4(2274830), // Rule ID 57419 //
     /* 2274787 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2274790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2274793 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2274796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274800 */   // MIs[0] Operand 1
     /* 2274800 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2274805 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274809 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2274813 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2274813 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2274816 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274818 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274820 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2274828 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274829 */   // GIR_Coverage, 57419,
     /* 2274829 */   GIR_EraseRootFromParent_Done,
     /* 2274830 */ // Label 30583: @2274830
     /* 2274830 */ GIM_Try, /*On fail goto*//*Label 30584*/ GIMT_Encode4(2274878), // Rule ID 57458 //
     /* 2274835 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2274838 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2274841 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2274844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274848 */   // MIs[0] Operand 1
     /* 2274848 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2274853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274857 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274861 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2274861 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2274864 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274866 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274868 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274873 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274876 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274877 */   // GIR_Coverage, 57458,
     /* 2274877 */   GIR_EraseRootFromParent_Done,
     /* 2274878 */ // Label 30584: @2274878
     /* 2274878 */ GIM_Try, /*On fail goto*//*Label 30585*/ GIMT_Encode4(2274926), // Rule ID 57459 //
     /* 2274883 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2274886 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2274889 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2274892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274896 */   // MIs[0] Operand 1
     /* 2274896 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2274901 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274905 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2274909 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2274909 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2274912 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274914 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274916 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2274924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274925 */   // GIR_Coverage, 57459,
     /* 2274925 */   GIR_EraseRootFromParent_Done,
     /* 2274926 */ // Label 30585: @2274926
     /* 2274926 */ GIM_Try, /*On fail goto*//*Label 30586*/ GIMT_Encode4(2274974), // Rule ID 57658 //
     /* 2274931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2274934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274937 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2274940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274944 */   // MIs[0] Operand 1
     /* 2274944 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2274949 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274953 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274957 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2274957 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2274960 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2274962 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2274964 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2274966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2274969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2274972 */   GIR_RootConstrainSelectedInstOperands,
     /* 2274973 */   // GIR_Coverage, 57658,
     /* 2274973 */   GIR_EraseRootFromParent_Done,
     /* 2274974 */ // Label 30586: @2274974
     /* 2274974 */ GIM_Try, /*On fail goto*//*Label 30587*/ GIMT_Encode4(2275022), // Rule ID 57659 //
     /* 2274979 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2274982 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2274985 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2274988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2274992 */   // MIs[0] Operand 1
     /* 2274992 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2274997 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275001 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275005 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2275005 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M1),
     /* 2275008 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275010 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275012 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275014 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275021 */   // GIR_Coverage, 57659,
     /* 2275021 */   GIR_EraseRootFromParent_Done,
     /* 2275022 */ // Label 30587: @2275022
     /* 2275022 */ GIM_Try, /*On fail goto*//*Label 30588*/ GIMT_Encode4(2275070), // Rule ID 57718 //
     /* 2275027 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2275033 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2275036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275040 */   // MIs[0] Operand 1
     /* 2275040 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2275045 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275049 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275053 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2275053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2275056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275058 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275060 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275062 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275065 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275068 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275069 */   // GIR_Coverage, 57718,
     /* 2275069 */   GIR_EraseRootFromParent_Done,
     /* 2275070 */ // Label 30588: @2275070
     /* 2275070 */ GIM_Try, /*On fail goto*//*Label 30589*/ GIMT_Encode4(2275118), // Rule ID 57719 //
     /* 2275075 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2275078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2275081 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2275084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275088 */   // MIs[0] Operand 1
     /* 2275088 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2275093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275097 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275101 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2275101 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2275104 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275106 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275108 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275110 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275113 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275116 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275117 */   // GIR_Coverage, 57719,
     /* 2275117 */   GIR_EraseRootFromParent_Done,
     /* 2275118 */ // Label 30589: @2275118
     /* 2275118 */ GIM_Try, /*On fail goto*//*Label 30590*/ GIMT_Encode4(2275166), // Rule ID 57758 //
     /* 2275123 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275126 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2275129 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2275132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275136 */   // MIs[0] Operand 1
     /* 2275136 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2275141 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275145 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275149 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2275149 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2275152 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275154 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275156 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275164 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275165 */   // GIR_Coverage, 57758,
     /* 2275165 */   GIR_EraseRootFromParent_Done,
     /* 2275166 */ // Label 30590: @2275166
     /* 2275166 */ GIM_Try, /*On fail goto*//*Label 30591*/ GIMT_Encode4(2275214), // Rule ID 57759 //
     /* 2275171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275174 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2275177 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2275180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275184 */   // MIs[0] Operand 1
     /* 2275184 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2275189 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275193 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275197 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2275197 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2275200 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275202 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275204 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275213 */   // GIR_Coverage, 57759,
     /* 2275213 */   GIR_EraseRootFromParent_Done,
     /* 2275214 */ // Label 30591: @2275214
     /* 2275214 */ GIM_Try, /*On fail goto*//*Label 30592*/ GIMT_Encode4(2275262), // Rule ID 57958 //
     /* 2275219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2275225 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2275228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275232 */   // MIs[0] Operand 1
     /* 2275232 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2275237 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275241 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275245 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2275245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2275248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275250 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275252 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275260 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275261 */   // GIR_Coverage, 57958,
     /* 2275261 */   GIR_EraseRootFromParent_Done,
     /* 2275262 */ // Label 30592: @2275262
     /* 2275262 */ GIM_Try, /*On fail goto*//*Label 30593*/ GIMT_Encode4(2275310), // Rule ID 57959 //
     /* 2275267 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2275270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2275273 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2275276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275280 */   // MIs[0] Operand 1
     /* 2275280 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2275285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275289 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275293 */   // (setcc:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M1:{ *:[nxv4i1] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2275293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M1),
     /* 2275296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275298 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275300 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275302 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275309 */   // GIR_Coverage, 57959,
     /* 2275309 */   GIR_EraseRootFromParent_Done,
     /* 2275310 */ // Label 30593: @2275310
     /* 2275310 */ GIM_Try, /*On fail goto*//*Label 30594*/ GIMT_Encode4(2275358), // Rule ID 58018 //
     /* 2275315 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2275321 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2275324 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275328 */   // MIs[0] Operand 1
     /* 2275328 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2275333 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275337 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275341 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2275341 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2275344 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275346 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275348 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275350 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275357 */   // GIR_Coverage, 58018,
     /* 2275357 */   GIR_EraseRootFromParent_Done,
     /* 2275358 */ // Label 30594: @2275358
     /* 2275358 */ GIM_Try, /*On fail goto*//*Label 30595*/ GIMT_Encode4(2275406), // Rule ID 58019 //
     /* 2275363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2275366 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2275369 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2275372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275376 */   // MIs[0] Operand 1
     /* 2275376 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2275381 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275385 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275389 */   // (setcc:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv4i1] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2275389 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2275392 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275394 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275396 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275405 */   // GIR_Coverage, 58019,
     /* 2275405 */   GIR_EraseRootFromParent_Done,
     /* 2275406 */ // Label 30595: @2275406
     /* 2275406 */ GIM_Try, /*On fail goto*//*Label 30596*/ GIMT_Encode4(2275454), // Rule ID 58058 //
     /* 2275411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275414 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2275417 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2275420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275424 */   // MIs[0] Operand 1
     /* 2275424 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2275429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275433 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275437 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2275437 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2275440 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275442 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275444 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275453 */   // GIR_Coverage, 58058,
     /* 2275453 */   GIR_EraseRootFromParent_Done,
     /* 2275454 */ // Label 30596: @2275454
     /* 2275454 */ GIM_Try, /*On fail goto*//*Label 30597*/ GIMT_Encode4(2275502), // Rule ID 58059 //
     /* 2275459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275462 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2275465 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2275468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275472 */   // MIs[0] Operand 1
     /* 2275472 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2275477 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275481 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275485 */   // (setcc:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv4i1] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2275485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2275488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275490 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275492 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275501 */   // GIR_Coverage, 58059,
     /* 2275501 */   GIR_EraseRootFromParent_Done,
     /* 2275502 */ // Label 30597: @2275502
     /* 2275502 */ GIM_Reject,
     /* 2275503 */ // Label 30483: @2275503
     /* 2275503 */ GIM_Try, /*On fail goto*//*Label 30598*/ GIMT_Encode4(2275551), // Rule ID 57088 //
     /* 2275508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2275514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2275517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275521 */   // MIs[0] Operand 1
     /* 2275521 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2275526 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275530 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275534 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2275534 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2275537 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275539 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275541 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275549 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275550 */   // GIR_Coverage, 57088,
     /* 2275550 */   GIR_EraseRootFromParent_Done,
     /* 2275551 */ // Label 30598: @2275551
     /* 2275551 */ GIM_Try, /*On fail goto*//*Label 30599*/ GIMT_Encode4(2275599), // Rule ID 57089 //
     /* 2275556 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2275559 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2275562 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2275565 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275569 */   // MIs[0] Operand 1
     /* 2275569 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2275574 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275578 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275582 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2275582 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M2),
     /* 2275585 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275587 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275589 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275597 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275598 */   // GIR_Coverage, 57089,
     /* 2275598 */   GIR_EraseRootFromParent_Done,
     /* 2275599 */ // Label 30599: @2275599
     /* 2275599 */ GIM_Try, /*On fail goto*//*Label 30600*/ GIMT_Encode4(2275647), // Rule ID 57128 //
     /* 2275604 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2275610 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2275613 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275617 */   // MIs[0] Operand 1
     /* 2275617 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2275622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275626 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275630 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2275630 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2275633 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275635 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275637 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275646 */   // GIR_Coverage, 57128,
     /* 2275646 */   GIR_EraseRootFromParent_Done,
     /* 2275647 */ // Label 30600: @2275647
     /* 2275647 */ GIM_Try, /*On fail goto*//*Label 30601*/ GIMT_Encode4(2275695), // Rule ID 57129 //
     /* 2275652 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2275655 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2275658 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2275661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275665 */   // MIs[0] Operand 1
     /* 2275665 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2275670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275674 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275678 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2275678 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2275681 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275683 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275685 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275687 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275690 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275693 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275694 */   // GIR_Coverage, 57129,
     /* 2275694 */   GIR_EraseRootFromParent_Done,
     /* 2275695 */ // Label 30601: @2275695
     /* 2275695 */ GIM_Try, /*On fail goto*//*Label 30602*/ GIMT_Encode4(2275743), // Rule ID 57168 //
     /* 2275700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275703 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2275706 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2275709 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275713 */   // MIs[0] Operand 1
     /* 2275713 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2275718 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275722 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275726 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2275726 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2275729 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275731 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275733 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275742 */   // GIR_Coverage, 57168,
     /* 2275742 */   GIR_EraseRootFromParent_Done,
     /* 2275743 */ // Label 30602: @2275743
     /* 2275743 */ GIM_Try, /*On fail goto*//*Label 30603*/ GIMT_Encode4(2275791), // Rule ID 57169 //
     /* 2275748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2275751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2275754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2275757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275761 */   // MIs[0] Operand 1
     /* 2275761 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2275766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275770 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2275774 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2275774 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2275777 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275779 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275781 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2275789 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275790 */   // GIR_Coverage, 57169,
     /* 2275790 */   GIR_EraseRootFromParent_Done,
     /* 2275791 */ // Label 30603: @2275791
     /* 2275791 */ GIM_Try, /*On fail goto*//*Label 30604*/ GIMT_Encode4(2275839), // Rule ID 57388 //
     /* 2275796 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2275799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2275802 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2275805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275809 */   // MIs[0] Operand 1
     /* 2275809 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2275814 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275818 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275822 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2275822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2275825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275827 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275829 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275838 */   // GIR_Coverage, 57388,
     /* 2275838 */   GIR_EraseRootFromParent_Done,
     /* 2275839 */ // Label 30604: @2275839
     /* 2275839 */ GIM_Try, /*On fail goto*//*Label 30605*/ GIMT_Encode4(2275887), // Rule ID 57389 //
     /* 2275844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2275847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2275850 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2275853 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275857 */   // MIs[0] Operand 1
     /* 2275857 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2275862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275866 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2275870 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2275870 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M2),
     /* 2275873 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275875 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275877 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2275885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275886 */   // GIR_Coverage, 57389,
     /* 2275886 */   GIR_EraseRootFromParent_Done,
     /* 2275887 */ // Label 30605: @2275887
     /* 2275887 */ GIM_Try, /*On fail goto*//*Label 30606*/ GIMT_Encode4(2275935), // Rule ID 57428 //
     /* 2275892 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2275895 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2275898 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2275901 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275905 */   // MIs[0] Operand 1
     /* 2275905 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2275910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275914 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275918 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2275918 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2275921 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275923 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275925 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275927 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275930 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275933 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275934 */   // GIR_Coverage, 57428,
     /* 2275934 */   GIR_EraseRootFromParent_Done,
     /* 2275935 */ // Label 30606: @2275935
     /* 2275935 */ GIM_Try, /*On fail goto*//*Label 30607*/ GIMT_Encode4(2275983), // Rule ID 57429 //
     /* 2275940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2275943 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2275946 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2275949 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2275953 */   // MIs[0] Operand 1
     /* 2275953 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2275958 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275962 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2275966 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2275966 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2275969 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2275971 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2275973 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2275975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2275978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2275981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2275982 */   // GIR_Coverage, 57429,
     /* 2275982 */   GIR_EraseRootFromParent_Done,
     /* 2275983 */ // Label 30607: @2275983
     /* 2275983 */ GIM_Try, /*On fail goto*//*Label 30608*/ GIMT_Encode4(2276031), // Rule ID 57468 //
     /* 2275988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2275991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2275994 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2275997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276001 */   // MIs[0] Operand 1
     /* 2276001 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2276006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276010 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276014 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2276014 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2276017 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276019 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276021 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276029 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276030 */   // GIR_Coverage, 57468,
     /* 2276030 */   GIR_EraseRootFromParent_Done,
     /* 2276031 */ // Label 30608: @2276031
     /* 2276031 */ GIM_Try, /*On fail goto*//*Label 30609*/ GIMT_Encode4(2276079), // Rule ID 57469 //
     /* 2276036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2276039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2276042 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2276045 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276049 */   // MIs[0] Operand 1
     /* 2276049 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2276054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276058 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276062 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2276062 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2276065 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276067 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276069 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276074 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276077 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276078 */   // GIR_Coverage, 57469,
     /* 2276078 */   GIR_EraseRootFromParent_Done,
     /* 2276079 */ // Label 30609: @2276079
     /* 2276079 */ GIM_Try, /*On fail goto*//*Label 30610*/ GIMT_Encode4(2276127), // Rule ID 57688 //
     /* 2276084 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276087 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276090 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2276093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276097 */   // MIs[0] Operand 1
     /* 2276097 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2276102 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276106 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276110 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2276110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2276113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276115 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276117 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276122 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276125 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276126 */   // GIR_Coverage, 57688,
     /* 2276126 */   GIR_EraseRootFromParent_Done,
     /* 2276127 */ // Label 30610: @2276127
     /* 2276127 */ GIM_Try, /*On fail goto*//*Label 30611*/ GIMT_Encode4(2276175), // Rule ID 57689 //
     /* 2276132 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276138 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2276141 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276145 */   // MIs[0] Operand 1
     /* 2276145 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2276150 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276154 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276158 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2276158 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M2),
     /* 2276161 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276163 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276165 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276170 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276173 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276174 */   // GIR_Coverage, 57689,
     /* 2276174 */   GIR_EraseRootFromParent_Done,
     /* 2276175 */ // Label 30611: @2276175
     /* 2276175 */ GIM_Try, /*On fail goto*//*Label 30612*/ GIMT_Encode4(2276223), // Rule ID 57728 //
     /* 2276180 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2276186 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2276189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276193 */   // MIs[0] Operand 1
     /* 2276193 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2276198 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276202 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276206 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2276206 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2276209 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276211 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276213 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276222 */   // GIR_Coverage, 57728,
     /* 2276222 */   GIR_EraseRootFromParent_Done,
     /* 2276223 */ // Label 30612: @2276223
     /* 2276223 */ GIM_Try, /*On fail goto*//*Label 30613*/ GIMT_Encode4(2276271), // Rule ID 57729 //
     /* 2276228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2276234 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2276237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276241 */   // MIs[0] Operand 1
     /* 2276241 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2276246 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276250 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276254 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2276254 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2276257 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276259 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276261 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276269 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276270 */   // GIR_Coverage, 57729,
     /* 2276270 */   GIR_EraseRootFromParent_Done,
     /* 2276271 */ // Label 30613: @2276271
     /* 2276271 */ GIM_Try, /*On fail goto*//*Label 30614*/ GIMT_Encode4(2276319), // Rule ID 57768 //
     /* 2276276 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2276279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2276282 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2276285 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276289 */   // MIs[0] Operand 1
     /* 2276289 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2276294 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276298 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276302 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2276302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2276305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276307 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276309 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276318 */   // GIR_Coverage, 57768,
     /* 2276318 */   GIR_EraseRootFromParent_Done,
     /* 2276319 */ // Label 30614: @2276319
     /* 2276319 */ GIM_Try, /*On fail goto*//*Label 30615*/ GIMT_Encode4(2276367), // Rule ID 57769 //
     /* 2276324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2276327 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2276330 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2276333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276337 */   // MIs[0] Operand 1
     /* 2276337 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2276342 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276346 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276350 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2276350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2276353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276355 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276357 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276359 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276365 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276366 */   // GIR_Coverage, 57769,
     /* 2276366 */   GIR_EraseRootFromParent_Done,
     /* 2276367 */ // Label 30615: @2276367
     /* 2276367 */ GIM_Try, /*On fail goto*//*Label 30616*/ GIMT_Encode4(2276415), // Rule ID 57988 //
     /* 2276372 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276378 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2276381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276385 */   // MIs[0] Operand 1
     /* 2276385 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2276390 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276394 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276398 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2276398 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2276401 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276403 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276405 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276407 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276410 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276413 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276414 */   // GIR_Coverage, 57988,
     /* 2276414 */   GIR_EraseRootFromParent_Done,
     /* 2276415 */ // Label 30616: @2276415
     /* 2276415 */ GIM_Try, /*On fail goto*//*Label 30617*/ GIMT_Encode4(2276463), // Rule ID 57989 //
     /* 2276420 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2276426 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2276429 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276433 */   // MIs[0] Operand 1
     /* 2276433 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2276438 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276442 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2276446 */   // (setcc:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M2:{ *:[nxv8i1] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2276446 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M2),
     /* 2276449 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276451 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276453 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276462 */   // GIR_Coverage, 57989,
     /* 2276462 */   GIR_EraseRootFromParent_Done,
     /* 2276463 */ // Label 30617: @2276463
     /* 2276463 */ GIM_Try, /*On fail goto*//*Label 30618*/ GIMT_Encode4(2276511), // Rule ID 58028 //
     /* 2276468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2276474 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2276477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276481 */   // MIs[0] Operand 1
     /* 2276481 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2276486 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276490 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276494 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2276494 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2276497 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276499 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276501 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276509 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276510 */   // GIR_Coverage, 58028,
     /* 2276510 */   GIR_EraseRootFromParent_Done,
     /* 2276511 */ // Label 30618: @2276511
     /* 2276511 */ GIM_Try, /*On fail goto*//*Label 30619*/ GIMT_Encode4(2276559), // Rule ID 58029 //
     /* 2276516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276519 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2276522 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2276525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276529 */   // MIs[0] Operand 1
     /* 2276529 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2276534 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276538 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276542 */   // (setcc:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv8i1] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2276542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2276545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276547 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276549 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276558 */   // GIR_Coverage, 58029,
     /* 2276558 */   GIR_EraseRootFromParent_Done,
     /* 2276559 */ // Label 30619: @2276559
     /* 2276559 */ GIM_Try, /*On fail goto*//*Label 30620*/ GIMT_Encode4(2276607), // Rule ID 58068 //
     /* 2276564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2276567 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2276570 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2276573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276577 */   // MIs[0] Operand 1
     /* 2276577 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2276582 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276586 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276590 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2276590 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2276593 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276595 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276597 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276599 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276605 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276606 */   // GIR_Coverage, 58068,
     /* 2276606 */   GIR_EraseRootFromParent_Done,
     /* 2276607 */ // Label 30620: @2276607
     /* 2276607 */ GIM_Try, /*On fail goto*//*Label 30621*/ GIMT_Encode4(2276655), // Rule ID 58069 //
     /* 2276612 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2276615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2276618 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2276621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276625 */   // MIs[0] Operand 1
     /* 2276625 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2276630 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276634 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276638 */   // (setcc:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv8i1] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2276638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2276641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276643 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276645 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276647 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276650 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2276653 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276654 */   // GIR_Coverage, 58069,
     /* 2276654 */   GIR_EraseRootFromParent_Done,
     /* 2276655 */ // Label 30621: @2276655
     /* 2276655 */ GIM_Reject,
     /* 2276656 */ // Label 30484: @2276656
     /* 2276656 */ GIM_Try, /*On fail goto*//*Label 30622*/ GIMT_Encode4(2276704), // Rule ID 57098 //
     /* 2276661 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2276667 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2276670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276674 */   // MIs[0] Operand 1
     /* 2276674 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2276679 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276683 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276687 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2276687 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2276690 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276692 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276694 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276696 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276699 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276702 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276703 */   // GIR_Coverage, 57098,
     /* 2276703 */   GIR_EraseRootFromParent_Done,
     /* 2276704 */ // Label 30622: @2276704
     /* 2276704 */ GIM_Try, /*On fail goto*//*Label 30623*/ GIMT_Encode4(2276752), // Rule ID 57099 //
     /* 2276709 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276712 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2276715 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2276718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276722 */   // MIs[0] Operand 1
     /* 2276722 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2276727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276731 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276735 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2276735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M4),
     /* 2276738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276740 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276742 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276751 */   // GIR_Coverage, 57099,
     /* 2276751 */   GIR_EraseRootFromParent_Done,
     /* 2276752 */ // Label 30623: @2276752
     /* 2276752 */ GIM_Try, /*On fail goto*//*Label 30624*/ GIMT_Encode4(2276800), // Rule ID 57138 //
     /* 2276757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276760 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2276763 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2276766 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276770 */   // MIs[0] Operand 1
     /* 2276770 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2276775 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276779 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276783 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2276783 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2276786 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276788 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276790 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276798 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276799 */   // GIR_Coverage, 57138,
     /* 2276799 */   GIR_EraseRootFromParent_Done,
     /* 2276800 */ // Label 30624: @2276800
     /* 2276800 */ GIM_Try, /*On fail goto*//*Label 30625*/ GIMT_Encode4(2276848), // Rule ID 57139 //
     /* 2276805 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2276808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2276811 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2276814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276818 */   // MIs[0] Operand 1
     /* 2276818 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2276823 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276827 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276831 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2276831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2276834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276836 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276838 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276843 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276846 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276847 */   // GIR_Coverage, 57139,
     /* 2276847 */   GIR_EraseRootFromParent_Done,
     /* 2276848 */ // Label 30625: @2276848
     /* 2276848 */ GIM_Try, /*On fail goto*//*Label 30626*/ GIMT_Encode4(2276896), // Rule ID 57398 //
     /* 2276853 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2276856 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2276859 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2276862 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276866 */   // MIs[0] Operand 1
     /* 2276866 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2276871 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276875 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276879 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2276879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2276882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276884 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276886 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276895 */   // GIR_Coverage, 57398,
     /* 2276895 */   GIR_EraseRootFromParent_Done,
     /* 2276896 */ // Label 30626: @2276896
     /* 2276896 */ GIM_Try, /*On fail goto*//*Label 30627*/ GIMT_Encode4(2276944), // Rule ID 57399 //
     /* 2276901 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2276904 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2276907 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2276910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276914 */   // MIs[0] Operand 1
     /* 2276914 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2276919 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276923 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2276927 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2276927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M4),
     /* 2276930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276932 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276934 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2276942 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276943 */   // GIR_Coverage, 57399,
     /* 2276943 */   GIR_EraseRootFromParent_Done,
     /* 2276944 */ // Label 30627: @2276944
     /* 2276944 */ GIM_Try, /*On fail goto*//*Label 30628*/ GIMT_Encode4(2276992), // Rule ID 57438 //
     /* 2276949 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2276952 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2276955 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2276958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2276962 */   // MIs[0] Operand 1
     /* 2276962 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2276967 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276971 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2276975 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2276975 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2276978 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2276980 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2276982 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2276984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2276987 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2276990 */   GIR_RootConstrainSelectedInstOperands,
     /* 2276991 */   // GIR_Coverage, 57438,
     /* 2276991 */   GIR_EraseRootFromParent_Done,
     /* 2276992 */ // Label 30628: @2276992
     /* 2276992 */ GIM_Try, /*On fail goto*//*Label 30629*/ GIMT_Encode4(2277040), // Rule ID 57439 //
     /* 2276997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2277000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277003 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2277006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277010 */   // MIs[0] Operand 1
     /* 2277010 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2277015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277019 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277023 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2277023 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2277026 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277028 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277030 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277039 */   // GIR_Coverage, 57439,
     /* 2277039 */   GIR_EraseRootFromParent_Done,
     /* 2277040 */ // Label 30629: @2277040
     /* 2277040 */ GIM_Try, /*On fail goto*//*Label 30630*/ GIMT_Encode4(2277088), // Rule ID 57698 //
     /* 2277045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277048 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277051 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2277054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277058 */   // MIs[0] Operand 1
     /* 2277058 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2277063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277067 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277071 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277071 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2277074 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277076 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277078 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277080 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277086 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277087 */   // GIR_Coverage, 57698,
     /* 2277087 */   GIR_EraseRootFromParent_Done,
     /* 2277088 */ // Label 30630: @2277088
     /* 2277088 */ GIM_Try, /*On fail goto*//*Label 30631*/ GIMT_Encode4(2277136), // Rule ID 57699 //
     /* 2277093 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277096 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277099 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2277102 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277106 */   // MIs[0] Operand 1
     /* 2277106 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2277111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277115 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277119 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M4),
     /* 2277122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277124 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277126 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277128 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277131 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277134 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277135 */   // GIR_Coverage, 57699,
     /* 2277135 */   GIR_EraseRootFromParent_Done,
     /* 2277136 */ // Label 30631: @2277136
     /* 2277136 */ GIM_Try, /*On fail goto*//*Label 30632*/ GIMT_Encode4(2277184), // Rule ID 57738 //
     /* 2277141 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2277144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277147 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2277150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277154 */   // MIs[0] Operand 1
     /* 2277154 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2277159 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277163 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277167 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2277167 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2277170 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277172 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277174 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277176 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277179 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277182 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277183 */   // GIR_Coverage, 57738,
     /* 2277183 */   GIR_EraseRootFromParent_Done,
     /* 2277184 */ // Label 30632: @2277184
     /* 2277184 */ GIM_Try, /*On fail goto*//*Label 30633*/ GIMT_Encode4(2277232), // Rule ID 57739 //
     /* 2277189 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2277192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277195 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2277198 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277202 */   // MIs[0] Operand 1
     /* 2277202 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2277207 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277211 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277215 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2277215 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2277218 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277220 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277222 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277227 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277230 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277231 */   // GIR_Coverage, 57739,
     /* 2277231 */   GIR_EraseRootFromParent_Done,
     /* 2277232 */ // Label 30633: @2277232
     /* 2277232 */ GIM_Try, /*On fail goto*//*Label 30634*/ GIMT_Encode4(2277280), // Rule ID 57998 //
     /* 2277237 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277240 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277243 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2277246 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277250 */   // MIs[0] Operand 1
     /* 2277250 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2277255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277259 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277263 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277263 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2277266 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277268 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277270 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277279 */   // GIR_Coverage, 57998,
     /* 2277279 */   GIR_EraseRootFromParent_Done,
     /* 2277280 */ // Label 30634: @2277280
     /* 2277280 */ GIM_Try, /*On fail goto*//*Label 30635*/ GIMT_Encode4(2277328), // Rule ID 57999 //
     /* 2277285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277288 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2277291 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2277294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277298 */   // MIs[0] Operand 1
     /* 2277298 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2277303 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277307 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2277311 */   // (setcc:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M4:{ *:[nxv16i1] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277311 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M4),
     /* 2277314 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277316 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277318 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277320 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277326 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277327 */   // GIR_Coverage, 57999,
     /* 2277327 */   GIR_EraseRootFromParent_Done,
     /* 2277328 */ // Label 30635: @2277328
     /* 2277328 */ GIM_Try, /*On fail goto*//*Label 30636*/ GIMT_Encode4(2277376), // Rule ID 58038 //
     /* 2277333 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2277336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277339 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2277342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277346 */   // MIs[0] Operand 1
     /* 2277346 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2277351 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277355 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277359 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2277359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2277362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277364 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277366 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277371 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277374 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277375 */   // GIR_Coverage, 58038,
     /* 2277375 */   GIR_EraseRootFromParent_Done,
     /* 2277376 */ // Label 30636: @2277376
     /* 2277376 */ GIM_Try, /*On fail goto*//*Label 30637*/ GIMT_Encode4(2277424), // Rule ID 58039 //
     /* 2277381 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2277384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2277387 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2277390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277394 */   // MIs[0] Operand 1
     /* 2277394 */   GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2277399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277403 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277407 */   // (setcc:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv16i1] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2277407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2277410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277412 */   GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277414 */   GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277416 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277419 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2277422 */   GIR_RootConstrainSelectedInstOperands,
     /* 2277423 */   // GIR_Coverage, 58039,
     /* 2277423 */   GIR_EraseRootFromParent_Done,
     /* 2277424 */ // Label 30637: @2277424
     /* 2277424 */ GIM_Reject,
     /* 2277425 */ // Label 30485: @2277425
     /* 2277425 */ GIM_Try, /*On fail goto*//*Label 30638*/ GIMT_Encode4(2277745),
     /* 2277430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2277433 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2277436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2277440 */   GIM_Try, /*On fail goto*//*Label 30639*/ GIMT_Encode4(2277478), // Rule ID 57108 //
     /* 2277445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277448 */     // MIs[0] Operand 1
     /* 2277448 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2277453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277461 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2277464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277468 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277477 */     // GIR_Coverage, 57108,
     /* 2277477 */     GIR_EraseRootFromParent_Done,
     /* 2277478 */   // Label 30639: @2277478
     /* 2277478 */   GIM_Try, /*On fail goto*//*Label 30640*/ GIMT_Encode4(2277516), // Rule ID 57109 //
     /* 2277483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277486 */     // MIs[0] Operand 1
     /* 2277486 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OEQ),
     /* 2277491 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277495 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277499 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOEQ:{ *:[Other] })  =>  (PseudoVMFEQ_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFEQ_VV_M8),
     /* 2277502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277506 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277515 */     // GIR_Coverage, 57109,
     /* 2277515 */     GIR_EraseRootFromParent_Done,
     /* 2277516 */   // Label 30640: @2277516
     /* 2277516 */   GIM_Try, /*On fail goto*//*Label 30641*/ GIMT_Encode4(2277554), // Rule ID 57408 //
     /* 2277521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277524 */     // MIs[0] Operand 1
     /* 2277524 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2277529 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277533 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277537 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2277540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277553 */     // GIR_Coverage, 57408,
     /* 2277553 */     GIR_EraseRootFromParent_Done,
     /* 2277554 */   // Label 30641: @2277554
     /* 2277554 */   GIM_Try, /*On fail goto*//*Label 30642*/ GIMT_Encode4(2277592), // Rule ID 57409 //
     /* 2277559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277562 */     // MIs[0] Operand 1
     /* 2277562 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_UNE),
     /* 2277567 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277571 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277575 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETUNE:{ *:[Other] })  =>  (PseudoVMFNE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277575 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFNE_VV_M8),
     /* 2277578 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277582 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277591 */     // GIR_Coverage, 57409,
     /* 2277591 */     GIR_EraseRootFromParent_Done,
     /* 2277592 */   // Label 30642: @2277592
     /* 2277592 */   GIM_Try, /*On fail goto*//*Label 30643*/ GIMT_Encode4(2277630), // Rule ID 57708 //
     /* 2277597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277600 */     // MIs[0] Operand 1
     /* 2277600 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2277605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277613 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2277616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277618 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277620 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277629 */     // GIR_Coverage, 57708,
     /* 2277629 */     GIR_EraseRootFromParent_Done,
     /* 2277630 */   // Label 30643: @2277630
     /* 2277630 */   GIM_Try, /*On fail goto*//*Label 30644*/ GIMT_Encode4(2277668), // Rule ID 57709 //
     /* 2277635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277638 */     // MIs[0] Operand 1
     /* 2277638 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLT),
     /* 2277643 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277647 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277651 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLT:{ *:[Other] })  =>  (PseudoVMFLT_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLT_VV_M8),
     /* 2277654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277658 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277667 */     // GIR_Coverage, 57709,
     /* 2277667 */     GIR_EraseRootFromParent_Done,
     /* 2277668 */   // Label 30644: @2277668
     /* 2277668 */   GIM_Try, /*On fail goto*//*Label 30645*/ GIMT_Encode4(2277706), // Rule ID 58008 //
     /* 2277673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2277676 */     // MIs[0] Operand 1
     /* 2277676 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2277681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277685 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277689 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2277689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2277692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277694 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277696 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277705 */     // GIR_Coverage, 58008,
     /* 2277705 */     GIR_EraseRootFromParent_Done,
     /* 2277706 */   // Label 30645: @2277706
     /* 2277706 */   GIM_Try, /*On fail goto*//*Label 30646*/ GIMT_Encode4(2277744), // Rule ID 58009 //
     /* 2277711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2277714 */     // MIs[0] Operand 1
     /* 2277714 */     GIM_CheckCmpPredicate, /*MI*/0, /*Op*/1, /*Predicate*/GIMT_Encode2(CmpInst::FCMP_OLE),
     /* 2277719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2277727 */     // (setcc:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, SETOLE:{ *:[Other] })  =>  (PseudoVMFLE_VV_M8:{ *:[nxv32i1] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2277727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMFLE_VV_M8),
     /* 2277730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2277732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2277734 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2277736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2277739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2277742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277743 */     // GIR_Coverage, 58009,
     /* 2277743 */     GIR_EraseRootFromParent_Done,
     /* 2277744 */   // Label 30646: @2277744
     /* 2277744 */   GIM_Reject,
     /* 2277745 */ // Label 30638: @2277745
     /* 2277745 */ GIM_Reject,
     /* 2277746 */ // Label 30486: @2277746
     /* 2277746 */ GIM_Reject,
     /* 2277747 */ // Label 50: @2277747
     /* 2277747 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30671*/ GIMT_Encode4(2282138),
     /* 2277758 */ /*GILLT_s32*//*Label 30647*/ GIMT_Encode4(2277882),
     /* 2277762 */ /*GILLT_s64*//*Label 30648*/ GIMT_Encode4(2278030), GIMT_Encode4(0),
     /* 2277770 */ /*GILLT_nxv1s8*//*Label 30649*/ GIMT_Encode4(2278178),
     /* 2277774 */ /*GILLT_nxv1s16*//*Label 30650*/ GIMT_Encode4(2278298),
     /* 2277778 */ /*GILLT_nxv1s32*//*Label 30651*/ GIMT_Encode4(2278506),
     /* 2277782 */ /*GILLT_nxv1s64*//*Label 30652*/ GIMT_Encode4(2278714), GIMT_Encode4(0),
     /* 2277790 */ /*GILLT_nxv2s8*//*Label 30653*/ GIMT_Encode4(2278922),
     /* 2277794 */ /*GILLT_nxv2s16*//*Label 30654*/ GIMT_Encode4(2279042),
     /* 2277798 */ /*GILLT_nxv2s32*//*Label 30655*/ GIMT_Encode4(2279250),
     /* 2277802 */ /*GILLT_nxv2s64*//*Label 30656*/ GIMT_Encode4(2279458), GIMT_Encode4(0),
     /* 2277810 */ /*GILLT_nxv4s8*//*Label 30657*/ GIMT_Encode4(2279666),
     /* 2277814 */ /*GILLT_nxv4s16*//*Label 30658*/ GIMT_Encode4(2279786),
     /* 2277818 */ /*GILLT_nxv4s32*//*Label 30659*/ GIMT_Encode4(2279994),
     /* 2277822 */ /*GILLT_nxv4s64*//*Label 30660*/ GIMT_Encode4(2280202), GIMT_Encode4(0),
     /* 2277830 */ /*GILLT_nxv8s8*//*Label 30661*/ GIMT_Encode4(2280410),
     /* 2277834 */ /*GILLT_nxv8s16*//*Label 30662*/ GIMT_Encode4(2280530),
     /* 2277838 */ /*GILLT_nxv8s32*//*Label 30663*/ GIMT_Encode4(2280738),
     /* 2277842 */ /*GILLT_nxv8s64*//*Label 30664*/ GIMT_Encode4(2280946), GIMT_Encode4(0),
     /* 2277850 */ /*GILLT_nxv16s8*//*Label 30665*/ GIMT_Encode4(2281154),
     /* 2277854 */ /*GILLT_nxv16s16*//*Label 30666*/ GIMT_Encode4(2281274),
     /* 2277858 */ /*GILLT_nxv16s32*//*Label 30667*/ GIMT_Encode4(2281482), GIMT_Encode4(0),
     /* 2277866 */ /*GILLT_nxv32s8*//*Label 30668*/ GIMT_Encode4(2281690),
     /* 2277870 */ /*GILLT_nxv32s16*//*Label 30669*/ GIMT_Encode4(2281810), GIMT_Encode4(0),
     /* 2277878 */ /*GILLT_nxv64s8*//*Label 30670*/ GIMT_Encode4(2282018),
     /* 2277882 */ // Label 30647: @2277882
     /* 2277882 */ GIM_Try, /*On fail goto*//*Label 30672*/ GIMT_Encode4(2278029),
     /* 2277887 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2277890 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2277893 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2277896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277904 */   GIM_Try, /*On fail goto*//*Label 30673*/ GIMT_Encode4(2277937), // Rule ID 62579 //
     /* 2277909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2277912 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2277916 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277920 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, 0:{ *:[i32] }, GPR:{ *:[i32] }:$b)  =>  (TH_MVNEZ:{ *:[i32] } GPR:{ *:[i32] }:$b, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2277920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2277923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2277925 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2277927 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277933 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2277935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277936 */     // GIR_Coverage, 62579,
     /* 2277936 */     GIR_EraseRootFromParent_Done,
     /* 2277937 */   // Label 30673: @2277937
     /* 2277937 */   GIM_Try, /*On fail goto*//*Label 30674*/ GIMT_Encode4(2277970), // Rule ID 62577 //
     /* 2277942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2277945 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277949 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2277953 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, 0:{ *:[i32] })  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, X0:{ *:[i32] }, GPR:{ *:[i32] }:$cond)
     /* 2277953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2277956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2277958 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2277960 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2277966 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2277968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277969 */     // GIR_Coverage, 62577,
     /* 2277969 */     GIR_EraseRootFromParent_Done,
     /* 2277970 */   // Label 30674: @2277970
     /* 2277970 */   GIM_Try, /*On fail goto*//*Label 30675*/ GIMT_Encode4(2277999), // Rule ID 62575 //
     /* 2277975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode1),
     /* 2277978 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2277986 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$cond, GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b)  =>  (TH_MVEQZ:{ *:[i32] } GPR:{ *:[i32] }:$a, GPR:{ *:[i32] }:$b, GPR:{ *:[i32] }:$cond)
     /* 2277986 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2277989 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2277991 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2277993 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2277995 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2277997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2277998 */     // GIR_Coverage, 62575,
     /* 2277998 */     GIR_EraseRootFromParent_Done,
     /* 2277999 */   // Label 30675: @2277999
     /* 2277999 */   GIM_Try, /*On fail goto*//*Label 30676*/ GIMT_Encode4(2278028), // Rule ID 64650 //
     /* 2278004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode1),
     /* 2278007 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278011 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278015 */     // (select:{ *:[i32] } GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2, GPR:{ *:[i32] }:$rs3)
     /* 2278015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2278018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278024 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278027 */     // GIR_Coverage, 64650,
     /* 2278027 */     GIR_EraseRootFromParent_Done,
     /* 2278028 */   // Label 30676: @2278028
     /* 2278028 */   GIM_Reject,
     /* 2278029 */ // Label 30672: @2278029
     /* 2278029 */ GIM_Reject,
     /* 2278030 */ // Label 30648: @2278030
     /* 2278030 */ GIM_Try, /*On fail goto*//*Label 30677*/ GIMT_Encode4(2278177),
     /* 2278035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2278038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2278041 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2278044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278052 */   GIM_Try, /*On fail goto*//*Label 30678*/ GIMT_Encode4(2278085), // Rule ID 62578 //
     /* 2278057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2278060 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/2, 0,
     /* 2278064 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278068 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, 0:{ *:[i64] }, GPR:{ *:[i64] }:$b)  =>  (TH_MVNEZ:{ *:[i64] } GPR:{ *:[i64] }:$b, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2278068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVNEZ),
     /* 2278071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2278073 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2278075 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278081 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2278083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278084 */     // GIR_Coverage, 62578,
     /* 2278084 */     GIR_EraseRootFromParent_Done,
     /* 2278085 */   // Label 30678: @2278085
     /* 2278085 */   GIM_Try, /*On fail goto*//*Label 30679*/ GIMT_Encode4(2278118), // Rule ID 62576 //
     /* 2278090 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2278093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278097 */     GIM_CheckConstantInt8, /*MI*/0, /*Op*/3, 0,
     /* 2278101 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, 0:{ *:[i64] })  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, X0:{ *:[i64] }, GPR:{ *:[i64] }:$cond)
     /* 2278101 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2278104 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2278106 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2278108 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2278114 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2278116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278117 */     // GIR_Coverage, 62576,
     /* 2278117 */     GIR_EraseRootFromParent_Done,
     /* 2278118 */   // Label 30679: @2278118
     /* 2278118 */   GIM_Try, /*On fail goto*//*Label 30680*/ GIMT_Encode4(2278147), // Rule ID 62574 //
     /* 2278123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadCondMov_HwMode0),
     /* 2278126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278134 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$cond, GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b)  =>  (TH_MVEQZ:{ *:[i64] } GPR:{ *:[i64] }:$a, GPR:{ *:[i64] }:$b, GPR:{ *:[i64] }:$cond)
     /* 2278134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_MVEQZ),
     /* 2278137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd_wb]
     /* 2278139 */     GIR_RootToRootCopy, /*OpIdx*/2, // a
     /* 2278141 */     GIR_RootToRootCopy, /*OpIdx*/3, // b
     /* 2278143 */     GIR_RootToRootCopy, /*OpIdx*/1, // cond
     /* 2278145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278146 */     // GIR_Coverage, 62574,
     /* 2278146 */     GIR_EraseRootFromParent_Done,
     /* 2278147 */   // Label 30680: @2278147
     /* 2278147 */   GIM_Try, /*On fail goto*//*Label 30681*/ GIMT_Encode4(2278176), // Rule ID 64649 //
     /* 2278152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_UseCCMovInsn_HwMode0),
     /* 2278155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2278163 */     // (select:{ *:[i64] } GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs3)  =>  (MIPS_CCMOV:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2, GPR:{ *:[i64] }:$rs3)
     /* 2278163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::MIPS_CCMOV),
     /* 2278166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2278172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2278174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278175 */     // GIR_Coverage, 64649,
     /* 2278175 */     GIR_EraseRootFromParent_Done,
     /* 2278176 */   // Label 30681: @2278176
     /* 2278176 */   GIM_Reject,
     /* 2278177 */ // Label 30677: @2278177
     /* 2278177 */ GIM_Reject,
     /* 2278178 */ // Label 30649: @2278178
     /* 2278178 */ GIM_Try, /*On fail goto*//*Label 30682*/ GIMT_Encode4(2278297),
     /* 2278183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2278186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2278189 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s8,
     /* 2278192 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2278196 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278200 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278204 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278208 */   GIM_Try, /*On fail goto*//*Label 30683*/ GIMT_Encode4(2278252), // Rule ID 52238 //
     /* 2278213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278216 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278216 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2278219 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278223 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278228 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278230 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2278233 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278235 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278238 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278242 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278251 */     // GIR_Coverage, 52238,
     /* 2278251 */     GIR_EraseRootFromParent_Done,
     /* 2278252 */   // Label 30683: @2278252
     /* 2278252 */   GIM_Try, /*On fail goto*//*Label 30684*/ GIMT_Encode4(2278296), // Rule ID 52239 //
     /* 2278257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278260 */     // (vselect:{ *:[nxv1i8] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs2, VR:{ *:[nxv1i8] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2278260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2278263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF8),
     /* 2278277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278282 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278286 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278295 */     // GIR_Coverage, 52239,
     /* 2278295 */     GIR_EraseRootFromParent_Done,
     /* 2278296 */   // Label 30684: @2278296
     /* 2278296 */   GIM_Reject,
     /* 2278297 */ // Label 30682: @2278297
     /* 2278297 */ GIM_Reject,
     /* 2278298 */ // Label 30650: @2278298
     /* 2278298 */ GIM_Try, /*On fail goto*//*Label 30685*/ GIMT_Encode4(2278505),
     /* 2278303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2278306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2278309 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2278312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2278316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278324 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278328 */   GIM_Try, /*On fail goto*//*Label 30686*/ GIMT_Encode4(2278372), // Rule ID 52256 //
     /* 2278333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278336 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2278336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2278353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278358 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278362 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278370 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278371 */     // GIR_Coverage, 52256,
     /* 2278371 */     GIR_EraseRootFromParent_Done,
     /* 2278372 */   // Label 30686: @2278372
     /* 2278372 */   GIM_Try, /*On fail goto*//*Label 30687*/ GIMT_Encode4(2278416), // Rule ID 52257 //
     /* 2278377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278380 */     // (vselect:{ *:[nxv1i16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs2, VR:{ *:[nxv1i16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2278380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2278397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278402 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278404 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278406 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278415 */     // GIR_Coverage, 52257,
     /* 2278415 */     GIR_EraseRootFromParent_Done,
     /* 2278416 */   // Label 30687: @2278416
     /* 2278416 */   GIM_Try, /*On fail goto*//*Label 30688*/ GIMT_Encode4(2278460), // Rule ID 58078 //
     /* 2278421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278424 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2278424 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278427 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278431 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278436 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2278441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278443 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278446 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278448 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278450 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278459 */     // GIR_Coverage, 58078,
     /* 2278459 */     GIR_EraseRootFromParent_Done,
     /* 2278460 */   // Label 30688: @2278460
     /* 2278460 */   GIM_Try, /*On fail goto*//*Label 30689*/ GIMT_Encode4(2278504), // Rule ID 58079 //
     /* 2278465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278468 */     // (vselect:{ *:[nxv1f16] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, VR:{ *:[nxv1f16] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2278468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2278471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2278485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278494 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2278502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278503 */     // GIR_Coverage, 58079,
     /* 2278503 */     GIR_EraseRootFromParent_Done,
     /* 2278504 */   // Label 30689: @2278504
     /* 2278504 */   GIM_Reject,
     /* 2278505 */ // Label 30685: @2278505
     /* 2278505 */ GIM_Reject,
     /* 2278506 */ // Label 30651: @2278506
     /* 2278506 */ GIM_Try, /*On fail goto*//*Label 30690*/ GIMT_Encode4(2278713),
     /* 2278511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2278514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2278517 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2278520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2278524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278528 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278532 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278536 */   GIM_Try, /*On fail goto*//*Label 30691*/ GIMT_Encode4(2278580), // Rule ID 52268 //
     /* 2278541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278544 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2278544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2278561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278566 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278570 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278579 */     // GIR_Coverage, 52268,
     /* 2278579 */     GIR_EraseRootFromParent_Done,
     /* 2278580 */   // Label 30691: @2278580
     /* 2278580 */   GIM_Try, /*On fail goto*//*Label 30692*/ GIMT_Encode4(2278624), // Rule ID 52269 //
     /* 2278585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278588 */     // (vselect:{ *:[nxv1i32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs2, VR:{ *:[nxv1i32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2278588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2278605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278610 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278614 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278622 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278623 */     // GIR_Coverage, 52269,
     /* 2278623 */     GIR_EraseRootFromParent_Done,
     /* 2278624 */   // Label 30692: @2278624
     /* 2278624 */   GIM_Try, /*On fail goto*//*Label 30693*/ GIMT_Encode4(2278668), // Rule ID 58098 //
     /* 2278629 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278632 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2278632 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278635 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278639 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278644 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2278649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278651 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278654 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278656 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278658 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278667 */     // GIR_Coverage, 58098,
     /* 2278667 */     GIR_EraseRootFromParent_Done,
     /* 2278668 */   // Label 30693: @2278668
     /* 2278668 */   GIM_Try, /*On fail goto*//*Label 30694*/ GIMT_Encode4(2278712), // Rule ID 58099 //
     /* 2278673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2278676 */     // (vselect:{ *:[nxv1f32] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, VR:{ *:[nxv1f32] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2278676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2278679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2278693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278698 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278702 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2278710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278711 */     // GIR_Coverage, 58099,
     /* 2278711 */     GIR_EraseRootFromParent_Done,
     /* 2278712 */   // Label 30694: @2278712
     /* 2278712 */   GIM_Reject,
     /* 2278713 */ // Label 30690: @2278713
     /* 2278713 */ GIM_Reject,
     /* 2278714 */ // Label 30652: @2278714
     /* 2278714 */ GIM_Try, /*On fail goto*//*Label 30695*/ GIMT_Encode4(2278921),
     /* 2278719 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s1,
     /* 2278722 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2278725 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2278728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2278732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278740 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278744 */   GIM_Try, /*On fail goto*//*Label 30696*/ GIMT_Encode4(2278788), // Rule ID 52292 //
     /* 2278749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278752 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2278752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278774 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278776 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278778 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278787 */     // GIR_Coverage, 52292,
     /* 2278787 */     GIR_EraseRootFromParent_Done,
     /* 2278788 */   // Label 30696: @2278788
     /* 2278788 */   GIM_Try, /*On fail goto*//*Label 30697*/ GIMT_Encode4(2278832), // Rule ID 52293 //
     /* 2278793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278796 */     // (vselect:{ *:[nxv1i64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs2, VR:{ *:[nxv1i64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2278796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278818 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278822 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278831 */     // GIR_Coverage, 52293,
     /* 2278831 */     GIR_EraseRootFromParent_Done,
     /* 2278832 */   // Label 30697: @2278832
     /* 2278832 */   GIM_Try, /*On fail goto*//*Label 30698*/ GIMT_Encode4(2278876), // Rule ID 58128 //
     /* 2278837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2278840 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2278840 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278843 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278847 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278852 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278859 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278862 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278866 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278875 */     // GIR_Coverage, 58128,
     /* 2278875 */     GIR_EraseRootFromParent_Done,
     /* 2278876 */   // Label 30698: @2278876
     /* 2278876 */   GIM_Try, /*On fail goto*//*Label 30699*/ GIMT_Encode4(2278920), // Rule ID 58129 //
     /* 2278881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2278884 */     // (vselect:{ *:[nxv1f64] } VMV0:{ *:[nxv1i1] }:$vm, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, VR:{ *:[nxv1f64] }:$rs1, VMV0:{ *:[nxv1i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2278884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2278887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2278901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278906 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278910 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2278918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278919 */     // GIR_Coverage, 58129,
     /* 2278919 */     GIR_EraseRootFromParent_Done,
     /* 2278920 */   // Label 30699: @2278920
     /* 2278920 */   GIM_Reject,
     /* 2278921 */ // Label 30695: @2278921
     /* 2278921 */ GIM_Reject,
     /* 2278922 */ // Label 30653: @2278922
     /* 2278922 */ GIM_Try, /*On fail goto*//*Label 30700*/ GIMT_Encode4(2279041),
     /* 2278927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2278930 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2278933 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s8,
     /* 2278936 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2278940 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2278944 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278948 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2278952 */   GIM_Try, /*On fail goto*//*Label 30701*/ GIMT_Encode4(2278996), // Rule ID 52244 //
     /* 2278957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2278960 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2278960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2278963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2278967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2278972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2278974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2278977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2278979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2278982 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2278984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2278986 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2278988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2278991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2278994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2278995 */     // GIR_Coverage, 52244,
     /* 2278995 */     GIR_EraseRootFromParent_Done,
     /* 2278996 */   // Label 30701: @2278996
     /* 2278996 */   GIM_Try, /*On fail goto*//*Label 30702*/ GIMT_Encode4(2279040), // Rule ID 52245 //
     /* 2279001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279004 */     // (vselect:{ *:[nxv2i8] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs2, VR:{ *:[nxv2i8] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2279007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF4),
     /* 2279021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279026 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279028 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279030 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279038 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279039 */     // GIR_Coverage, 52245,
     /* 2279039 */     GIR_EraseRootFromParent_Done,
     /* 2279040 */   // Label 30702: @2279040
     /* 2279040 */   GIM_Reject,
     /* 2279041 */ // Label 30700: @2279041
     /* 2279041 */ GIM_Reject,
     /* 2279042 */ // Label 30654: @2279042
     /* 2279042 */ GIM_Try, /*On fail goto*//*Label 30703*/ GIMT_Encode4(2279249),
     /* 2279047 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2279050 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2279053 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2279056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279068 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279072 */   GIM_Try, /*On fail goto*//*Label 30704*/ GIMT_Encode4(2279116), // Rule ID 52262 //
     /* 2279077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279080 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2279080 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279083 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279087 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279092 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2279097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279099 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279102 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279104 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279106 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279115 */     // GIR_Coverage, 52262,
     /* 2279115 */     GIR_EraseRootFromParent_Done,
     /* 2279116 */   // Label 30704: @2279116
     /* 2279116 */   GIM_Try, /*On fail goto*//*Label 30705*/ GIMT_Encode4(2279160), // Rule ID 52263 //
     /* 2279121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279124 */     // (vselect:{ *:[nxv2i16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs2, VR:{ *:[nxv2i16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2279124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2279141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279146 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279148 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279150 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279159 */     // GIR_Coverage, 52263,
     /* 2279159 */     GIR_EraseRootFromParent_Done,
     /* 2279160 */   // Label 30705: @2279160
     /* 2279160 */   GIM_Try, /*On fail goto*//*Label 30706*/ GIMT_Encode4(2279204), // Rule ID 58088 //
     /* 2279165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279168 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2279168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2279185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279194 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279202 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279203 */     // GIR_Coverage, 58088,
     /* 2279203 */     GIR_EraseRootFromParent_Done,
     /* 2279204 */   // Label 30706: @2279204
     /* 2279204 */   GIM_Try, /*On fail goto*//*Label 30707*/ GIMT_Encode4(2279248), // Rule ID 58089 //
     /* 2279209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279212 */     // (vselect:{ *:[nxv2f16] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, VR:{ *:[nxv2f16] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2279212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2279215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2279229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279234 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279238 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279247 */     // GIR_Coverage, 58089,
     /* 2279247 */     GIR_EraseRootFromParent_Done,
     /* 2279248 */   // Label 30707: @2279248
     /* 2279248 */   GIM_Reject,
     /* 2279249 */ // Label 30703: @2279249
     /* 2279249 */ GIM_Reject,
     /* 2279250 */ // Label 30655: @2279250
     /* 2279250 */ GIM_Try, /*On fail goto*//*Label 30708*/ GIMT_Encode4(2279457),
     /* 2279255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2279258 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2279261 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2279264 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279268 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279272 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279276 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279280 */   GIM_Try, /*On fail goto*//*Label 30709*/ GIMT_Encode4(2279324), // Rule ID 52286 //
     /* 2279285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279288 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2279288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2279291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279314 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279323 */     // GIR_Coverage, 52286,
     /* 2279323 */     GIR_EraseRootFromParent_Done,
     /* 2279324 */   // Label 30709: @2279324
     /* 2279324 */   GIM_Try, /*On fail goto*//*Label 30710*/ GIMT_Encode4(2279368), // Rule ID 52287 //
     /* 2279329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279332 */     // (vselect:{ *:[nxv2i32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs2, VR:{ *:[nxv2i32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2279332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2279335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279354 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279358 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279367 */     // GIR_Coverage, 52287,
     /* 2279367 */     GIR_EraseRootFromParent_Done,
     /* 2279368 */   // Label 30710: @2279368
     /* 2279368 */   GIM_Try, /*On fail goto*//*Label 30711*/ GIMT_Encode4(2279412), // Rule ID 58118 //
     /* 2279373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279376 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2279376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2279379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279398 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279402 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279411 */     // GIR_Coverage, 58118,
     /* 2279411 */     GIR_EraseRootFromParent_Done,
     /* 2279412 */   // Label 30711: @2279412
     /* 2279412 */   GIM_Try, /*On fail goto*//*Label 30712*/ GIMT_Encode4(2279456), // Rule ID 58119 //
     /* 2279417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279420 */     // (vselect:{ *:[nxv2f32] } VMV0:{ *:[nxv2i1] }:$vm, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, VR:{ *:[nxv2f32] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2279420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2279423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279446 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2279454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279455 */     // GIR_Coverage, 58119,
     /* 2279455 */     GIR_EraseRootFromParent_Done,
     /* 2279456 */   // Label 30712: @2279456
     /* 2279456 */   GIM_Reject,
     /* 2279457 */ // Label 30708: @2279457
     /* 2279457 */ GIM_Reject,
     /* 2279458 */ // Label 30656: @2279458
     /* 2279458 */ GIM_Try, /*On fail goto*//*Label 30713*/ GIMT_Encode4(2279665),
     /* 2279463 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s1,
     /* 2279466 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2279469 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2279472 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2279476 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279480 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279484 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2279488 */   GIM_Try, /*On fail goto*//*Label 30714*/ GIMT_Encode4(2279532), // Rule ID 52352 //
     /* 2279493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279496 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2279496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2279499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279522 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279531 */     // GIR_Coverage, 52352,
     /* 2279531 */     GIR_EraseRootFromParent_Done,
     /* 2279532 */   // Label 30714: @2279532
     /* 2279532 */   GIM_Try, /*On fail goto*//*Label 30715*/ GIMT_Encode4(2279576), // Rule ID 52353 //
     /* 2279537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279540 */     // (vselect:{ *:[nxv2i64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs2, VRM2:{ *:[nxv2i64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2279540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2279543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279562 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279566 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279575 */     // GIR_Coverage, 52353,
     /* 2279575 */     GIR_EraseRootFromParent_Done,
     /* 2279576 */   // Label 30715: @2279576
     /* 2279576 */   GIM_Try, /*On fail goto*//*Label 30716*/ GIMT_Encode4(2279620), // Rule ID 58198 //
     /* 2279581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2279584 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2279584 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2279587 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279591 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279596 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279603 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279606 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279608 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279610 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279619 */     // GIR_Coverage, 58198,
     /* 2279619 */     GIR_EraseRootFromParent_Done,
     /* 2279620 */   // Label 30716: @2279620
     /* 2279620 */   GIM_Try, /*On fail goto*//*Label 30717*/ GIMT_Encode4(2279664), // Rule ID 58199 //
     /* 2279625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2279628 */     // (vselect:{ *:[nxv2f64] } VMV0:{ *:[nxv2i1] }:$vm, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, VRM2:{ *:[nxv2f64] }:$rs1, VMV0:{ *:[nxv2i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2279628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2279631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2279645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279654 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2279662 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279663 */     // GIR_Coverage, 58199,
     /* 2279663 */     GIR_EraseRootFromParent_Done,
     /* 2279664 */   // Label 30717: @2279664
     /* 2279664 */   GIM_Reject,
     /* 2279665 */ // Label 30713: @2279665
     /* 2279665 */ GIM_Reject,
     /* 2279666 */ // Label 30657: @2279666
     /* 2279666 */ GIM_Try, /*On fail goto*//*Label 30718*/ GIMT_Encode4(2279785),
     /* 2279671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2279674 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2279677 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s8,
     /* 2279680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279688 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279692 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279696 */   GIM_Try, /*On fail goto*//*Label 30719*/ GIMT_Encode4(2279740), // Rule ID 52250 //
     /* 2279701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279704 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2279704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2279707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2279721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279726 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279730 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279738 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279739 */     // GIR_Coverage, 52250,
     /* 2279739 */     GIR_EraseRootFromParent_Done,
     /* 2279740 */   // Label 30719: @2279740
     /* 2279740 */   GIM_Try, /*On fail goto*//*Label 30720*/ GIMT_Encode4(2279784), // Rule ID 52251 //
     /* 2279745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279748 */     // (vselect:{ *:[nxv4i8] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMERGE_VVM_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs2, VR:{ *:[nxv4i8] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2279748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2279751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_MF2),
     /* 2279765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279770 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279774 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2279782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279783 */     // GIR_Coverage, 52251,
     /* 2279783 */     GIR_EraseRootFromParent_Done,
     /* 2279784 */   // Label 30720: @2279784
     /* 2279784 */   GIM_Reject,
     /* 2279785 */ // Label 30718: @2279785
     /* 2279785 */ GIM_Reject,
     /* 2279786 */ // Label 30658: @2279786
     /* 2279786 */ GIM_Try, /*On fail goto*//*Label 30721*/ GIMT_Encode4(2279993),
     /* 2279791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2279794 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2279797 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2279800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2279804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2279808 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279812 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2279816 */   GIM_Try, /*On fail goto*//*Label 30722*/ GIMT_Encode4(2279860), // Rule ID 52280 //
     /* 2279821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279824 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2279824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279846 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279850 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279859 */     // GIR_Coverage, 52280,
     /* 2279859 */     GIR_EraseRootFromParent_Done,
     /* 2279860 */   // Label 30722: @2279860
     /* 2279860 */   GIM_Try, /*On fail goto*//*Label 30723*/ GIMT_Encode4(2279904), // Rule ID 52281 //
     /* 2279865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279868 */     // (vselect:{ *:[nxv4i16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs2, VR:{ *:[nxv4i16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2279868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279894 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279903 */     // GIR_Coverage, 52281,
     /* 2279903 */     GIR_EraseRootFromParent_Done,
     /* 2279904 */   // Label 30723: @2279904
     /* 2279904 */   GIM_Try, /*On fail goto*//*Label 30724*/ GIMT_Encode4(2279948), // Rule ID 58108 //
     /* 2279909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2279912 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2279912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279934 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279938 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279947 */     // GIR_Coverage, 58108,
     /* 2279947 */     GIR_EraseRootFromParent_Done,
     /* 2279948 */   // Label 30724: @2279948
     /* 2279948 */   GIM_Try, /*On fail goto*//*Label 30725*/ GIMT_Encode4(2279992), // Rule ID 58109 //
     /* 2279953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2279956 */     // (vselect:{ *:[nxv4f16] } VMV0:{ *:[nxv4i1] }:$vm, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, VR:{ *:[nxv4f16] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2279956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2279959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2279963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2279968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2279970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2279973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2279975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2279978 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2279980 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2279982 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2279984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2279987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2279990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2279991 */     // GIR_Coverage, 58109,
     /* 2279991 */     GIR_EraseRootFromParent_Done,
     /* 2279992 */   // Label 30725: @2279992
     /* 2279992 */   GIM_Reject,
     /* 2279993 */ // Label 30721: @2279993
     /* 2279993 */ GIM_Reject,
     /* 2279994 */ // Label 30659: @2279994
     /* 2279994 */ GIM_Try, /*On fail goto*//*Label 30726*/ GIMT_Encode4(2280201),
     /* 2279999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2280002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2280005 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2280008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2280012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280016 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280020 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280024 */   GIM_Try, /*On fail goto*//*Label 30727*/ GIMT_Encode4(2280068), // Rule ID 52334 //
     /* 2280029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280032 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2280032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2280049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280058 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280067 */     // GIR_Coverage, 52334,
     /* 2280067 */     GIR_EraseRootFromParent_Done,
     /* 2280068 */   // Label 30727: @2280068
     /* 2280068 */   GIM_Try, /*On fail goto*//*Label 30728*/ GIMT_Encode4(2280112), // Rule ID 52335 //
     /* 2280073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280076 */     // (vselect:{ *:[nxv4i32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs2, VRM2:{ *:[nxv4i32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2280076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2280093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280098 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280102 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280111 */     // GIR_Coverage, 52335,
     /* 2280111 */     GIR_EraseRootFromParent_Done,
     /* 2280112 */   // Label 30728: @2280112
     /* 2280112 */   GIM_Try, /*On fail goto*//*Label 30729*/ GIMT_Encode4(2280156), // Rule ID 58168 //
     /* 2280117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280120 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2280120 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280123 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280127 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280132 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280134 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2280137 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280139 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280142 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280146 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280155 */     // GIR_Coverage, 58168,
     /* 2280155 */     GIR_EraseRootFromParent_Done,
     /* 2280156 */   // Label 30729: @2280156
     /* 2280156 */   GIM_Try, /*On fail goto*//*Label 30730*/ GIMT_Encode4(2280200), // Rule ID 58169 //
     /* 2280161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280164 */     // (vselect:{ *:[nxv4f32] } VMV0:{ *:[nxv4i1] }:$vm, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, VRM2:{ *:[nxv4f32] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2280164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2280167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2280181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280186 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280190 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280199 */     // GIR_Coverage, 58169,
     /* 2280199 */     GIR_EraseRootFromParent_Done,
     /* 2280200 */   // Label 30730: @2280200
     /* 2280200 */   GIM_Reject,
     /* 2280201 */ // Label 30726: @2280201
     /* 2280201 */ GIM_Reject,
     /* 2280202 */ // Label 30660: @2280202
     /* 2280202 */ GIM_Try, /*On fail goto*//*Label 30731*/ GIMT_Encode4(2280409),
     /* 2280207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s1,
     /* 2280210 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2280213 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2280216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2280220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280224 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280228 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280232 */   GIM_Try, /*On fail goto*//*Label 30732*/ GIMT_Encode4(2280276), // Rule ID 52358 //
     /* 2280237 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2280240 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2280240 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280243 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280247 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280252 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280259 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280262 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280266 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280275 */     // GIR_Coverage, 52358,
     /* 2280275 */     GIR_EraseRootFromParent_Done,
     /* 2280276 */   // Label 30732: @2280276
     /* 2280276 */   GIM_Try, /*On fail goto*//*Label 30733*/ GIMT_Encode4(2280320), // Rule ID 52359 //
     /* 2280281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2280284 */     // (vselect:{ *:[nxv4i64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs2, VRM4:{ *:[nxv4i64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2280284 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280287 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280291 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280296 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280298 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280301 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280303 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280306 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280310 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280319 */     // GIR_Coverage, 52359,
     /* 2280319 */     GIR_EraseRootFromParent_Done,
     /* 2280320 */   // Label 30733: @2280320
     /* 2280320 */   GIM_Try, /*On fail goto*//*Label 30734*/ GIMT_Encode4(2280364), // Rule ID 58208 //
     /* 2280325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2280328 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2280328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280350 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280354 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280362 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280363 */     // GIR_Coverage, 58208,
     /* 2280363 */     GIR_EraseRootFromParent_Done,
     /* 2280364 */   // Label 30734: @2280364
     /* 2280364 */   GIM_Try, /*On fail goto*//*Label 30735*/ GIMT_Encode4(2280408), // Rule ID 58209 //
     /* 2280369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2280372 */     // (vselect:{ *:[nxv4f64] } VMV0:{ *:[nxv4i1] }:$vm, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, VRM4:{ *:[nxv4f64] }:$rs1, VMV0:{ *:[nxv4i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2280372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2280375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280398 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2280406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280407 */     // GIR_Coverage, 58209,
     /* 2280407 */     GIR_EraseRootFromParent_Done,
     /* 2280408 */   // Label 30735: @2280408
     /* 2280408 */   GIM_Reject,
     /* 2280409 */ // Label 30731: @2280409
     /* 2280409 */ GIM_Reject,
     /* 2280410 */ // Label 30661: @2280410
     /* 2280410 */ GIM_Try, /*On fail goto*//*Label 30736*/ GIMT_Encode4(2280529),
     /* 2280415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2280418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2280421 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s8,
     /* 2280424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2280428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280436 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2280440 */   GIM_Try, /*On fail goto*//*Label 30737*/ GIMT_Encode4(2280484), // Rule ID 52274 //
     /* 2280445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280448 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2280448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2280451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2280465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280474 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280483 */     // GIR_Coverage, 52274,
     /* 2280483 */     GIR_EraseRootFromParent_Done,
     /* 2280484 */   // Label 30737: @2280484
     /* 2280484 */   GIM_Try, /*On fail goto*//*Label 30738*/ GIMT_Encode4(2280528), // Rule ID 52275 //
     /* 2280489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280492 */     // (vselect:{ *:[nxv8i8] } VMV0:{ *:[nxv8i1] }:$vm, VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs2, VR:{ *:[nxv8i8] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2280492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2280495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M1),
     /* 2280509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280518 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2280526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280527 */     // GIR_Coverage, 52275,
     /* 2280527 */     GIR_EraseRootFromParent_Done,
     /* 2280528 */   // Label 30738: @2280528
     /* 2280528 */   GIM_Reject,
     /* 2280529 */ // Label 30736: @2280529
     /* 2280529 */ GIM_Reject,
     /* 2280530 */ // Label 30662: @2280530
     /* 2280530 */ GIM_Try, /*On fail goto*//*Label 30739*/ GIMT_Encode4(2280737),
     /* 2280535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2280538 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2280541 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2280544 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2280548 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280552 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280556 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2280560 */   GIM_Try, /*On fail goto*//*Label 30740*/ GIMT_Encode4(2280604), // Rule ID 52316 //
     /* 2280565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280568 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2280568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2280585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280590 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280594 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280603 */     // GIR_Coverage, 52316,
     /* 2280603 */     GIR_EraseRootFromParent_Done,
     /* 2280604 */   // Label 30740: @2280604
     /* 2280604 */   GIM_Try, /*On fail goto*//*Label 30741*/ GIMT_Encode4(2280648), // Rule ID 52317 //
     /* 2280609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280612 */     // (vselect:{ *:[nxv8i16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs2, VRM2:{ *:[nxv8i16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2280612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2280629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280634 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280638 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280647 */     // GIR_Coverage, 52317,
     /* 2280647 */     GIR_EraseRootFromParent_Done,
     /* 2280648 */   // Label 30741: @2280648
     /* 2280648 */   GIM_Try, /*On fail goto*//*Label 30742*/ GIMT_Encode4(2280692), // Rule ID 58138 //
     /* 2280653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280656 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2280656 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280659 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280663 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280668 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2280673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280675 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280678 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280680 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280682 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280691 */     // GIR_Coverage, 58138,
     /* 2280691 */     GIR_EraseRootFromParent_Done,
     /* 2280692 */   // Label 30742: @2280692
     /* 2280692 */   GIM_Try, /*On fail goto*//*Label 30743*/ GIMT_Encode4(2280736), // Rule ID 58139 //
     /* 2280697 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280700 */     // (vselect:{ *:[nxv8f16] } VMV0:{ *:[nxv8i1] }:$vm, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, VRM2:{ *:[nxv8f16] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2280700 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2280703 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280707 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280712 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280714 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2280717 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280719 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280722 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280724 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280726 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2280734 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280735 */     // GIR_Coverage, 58139,
     /* 2280735 */     GIR_EraseRootFromParent_Done,
     /* 2280736 */   // Label 30743: @2280736
     /* 2280736 */   GIM_Reject,
     /* 2280737 */ // Label 30739: @2280737
     /* 2280737 */ GIM_Reject,
     /* 2280738 */ // Label 30663: @2280738
     /* 2280738 */ GIM_Try, /*On fail goto*//*Label 30744*/ GIMT_Encode4(2280945),
     /* 2280743 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2280746 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2280749 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2280752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2280756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280764 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2280768 */   GIM_Try, /*On fail goto*//*Label 30745*/ GIMT_Encode4(2280812), // Rule ID 52340 //
     /* 2280773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280776 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2280776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280798 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280802 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280811 */     // GIR_Coverage, 52340,
     /* 2280811 */     GIR_EraseRootFromParent_Done,
     /* 2280812 */   // Label 30745: @2280812
     /* 2280812 */   GIM_Try, /*On fail goto*//*Label 30746*/ GIMT_Encode4(2280856), // Rule ID 52341 //
     /* 2280817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280820 */     // (vselect:{ *:[nxv8i32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs2, VRM4:{ *:[nxv8i32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2280820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280842 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280846 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280855 */     // GIR_Coverage, 52341,
     /* 2280855 */     GIR_EraseRootFromParent_Done,
     /* 2280856 */   // Label 30746: @2280856
     /* 2280856 */   GIM_Try, /*On fail goto*//*Label 30747*/ GIMT_Encode4(2280900), // Rule ID 58178 //
     /* 2280861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2280864 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2280864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280890 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280899 */     // GIR_Coverage, 58178,
     /* 2280899 */     GIR_EraseRootFromParent_Done,
     /* 2280900 */   // Label 30747: @2280900
     /* 2280900 */   GIM_Try, /*On fail goto*//*Label 30748*/ GIMT_Encode4(2280944), // Rule ID 58179 //
     /* 2280905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2280908 */     // (vselect:{ *:[nxv8f32] } VMV0:{ *:[nxv8i1] }:$vm, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, VRM4:{ *:[nxv8f32] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2280908 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2280911 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280915 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280920 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2280925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2280927 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2280930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2280932 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2280934 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2280936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2280939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2280942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2280943 */     // GIR_Coverage, 58179,
     /* 2280943 */     GIR_EraseRootFromParent_Done,
     /* 2280944 */   // Label 30748: @2280944
     /* 2280944 */   GIM_Reject,
     /* 2280945 */ // Label 30744: @2280945
     /* 2280945 */ GIM_Reject,
     /* 2280946 */ // Label 30664: @2280946
     /* 2280946 */ GIM_Try, /*On fail goto*//*Label 30749*/ GIMT_Encode4(2281153),
     /* 2280951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s1,
     /* 2280954 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2280957 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2280960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2280964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2280968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280972 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2280976 */   GIM_Try, /*On fail goto*//*Label 30750*/ GIMT_Encode4(2281020), // Rule ID 52364 //
     /* 2280981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2280984 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2280984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2280987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2280991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2280996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2280998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281006 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281010 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281019 */     // GIR_Coverage, 52364,
     /* 2281019 */     GIR_EraseRootFromParent_Done,
     /* 2281020 */   // Label 30750: @2281020
     /* 2281020 */   GIM_Try, /*On fail goto*//*Label 30751*/ GIMT_Encode4(2281064), // Rule ID 52365 //
     /* 2281025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2281028 */     // (vselect:{ *:[nxv8i64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs2, VRM8:{ *:[nxv8i64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2281028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2281031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281054 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281063 */     // GIR_Coverage, 52365,
     /* 2281063 */     GIR_EraseRootFromParent_Done,
     /* 2281064 */   // Label 30751: @2281064
     /* 2281064 */   GIM_Try, /*On fail goto*//*Label 30752*/ GIMT_Encode4(2281108), // Rule ID 58218 //
     /* 2281069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2281072 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i64] }, 6:{ *:[i64] })
     /* 2281072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2281075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281098 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281107 */     // GIR_Coverage, 58218,
     /* 2281107 */     GIR_EraseRootFromParent_Done,
     /* 2281108 */   // Label 30752: @2281108
     /* 2281108 */   GIM_Try, /*On fail goto*//*Label 30753*/ GIMT_Encode4(2281152), // Rule ID 58219 //
     /* 2281113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2281116 */     // (vselect:{ *:[nxv8f64] } VMV0:{ *:[nxv8i1] }:$vm, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, VRM8:{ *:[nxv8f64] }:$rs1, VMV0:{ *:[nxv8i1] }:$vm, -1:{ *:[i32] }, 6:{ *:[i32] })
     /* 2281116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2281119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281138 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281142 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2281150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281151 */     // GIR_Coverage, 58219,
     /* 2281151 */     GIR_EraseRootFromParent_Done,
     /* 2281152 */   // Label 30753: @2281152
     /* 2281152 */   GIM_Reject,
     /* 2281153 */ // Label 30749: @2281153
     /* 2281153 */ GIM_Reject,
     /* 2281154 */ // Label 30665: @2281154
     /* 2281154 */ GIM_Try, /*On fail goto*//*Label 30754*/ GIMT_Encode4(2281273),
     /* 2281159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2281162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2281165 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s8,
     /* 2281168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2281172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281176 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281180 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2281184 */   GIM_Try, /*On fail goto*//*Label 30755*/ GIMT_Encode4(2281228), // Rule ID 52298 //
     /* 2281189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281192 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2281195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2281209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281214 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281218 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281227 */     // GIR_Coverage, 52298,
     /* 2281227 */     GIR_EraseRootFromParent_Done,
     /* 2281228 */   // Label 30755: @2281228
     /* 2281228 */   GIM_Try, /*On fail goto*//*Label 30756*/ GIMT_Encode4(2281272), // Rule ID 52299 //
     /* 2281233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281236 */     // (vselect:{ *:[nxv16i8] } VMV0:{ *:[nxv16i1] }:$vm, VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs2, VRM2:{ *:[nxv16i8] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281236 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2281239 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281243 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281248 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M2),
     /* 2281253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281255 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281258 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281260 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281262 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281271 */     // GIR_Coverage, 52299,
     /* 2281271 */     GIR_EraseRootFromParent_Done,
     /* 2281272 */   // Label 30756: @2281272
     /* 2281272 */   GIM_Reject,
     /* 2281273 */ // Label 30754: @2281273
     /* 2281273 */ GIM_Reject,
     /* 2281274 */ // Label 30666: @2281274
     /* 2281274 */ GIM_Try, /*On fail goto*//*Label 30757*/ GIMT_Encode4(2281481),
     /* 2281279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2281282 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2281285 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2281288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2281292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281300 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281304 */   GIM_Try, /*On fail goto*//*Label 30758*/ GIMT_Encode4(2281348), // Rule ID 52322 //
     /* 2281309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281312 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2281312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2281315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2281329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281334 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281338 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281347 */     // GIR_Coverage, 52322,
     /* 2281347 */     GIR_EraseRootFromParent_Done,
     /* 2281348 */   // Label 30758: @2281348
     /* 2281348 */   GIM_Try, /*On fail goto*//*Label 30759*/ GIMT_Encode4(2281392), // Rule ID 52323 //
     /* 2281353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281356 */     // (vselect:{ *:[nxv16i16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs2, VRM4:{ *:[nxv16i16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2281356 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2281359 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281363 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281368 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2281373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281375 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281378 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281380 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281382 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281391 */     // GIR_Coverage, 52323,
     /* 2281391 */     GIR_EraseRootFromParent_Done,
     /* 2281392 */   // Label 30759: @2281392
     /* 2281392 */   GIM_Try, /*On fail goto*//*Label 30760*/ GIMT_Encode4(2281436), // Rule ID 58148 //
     /* 2281397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281400 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2281400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2281403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2281417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281422 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281426 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281435 */     // GIR_Coverage, 58148,
     /* 2281435 */     GIR_EraseRootFromParent_Done,
     /* 2281436 */   // Label 30760: @2281436
     /* 2281436 */   GIM_Try, /*On fail goto*//*Label 30761*/ GIMT_Encode4(2281480), // Rule ID 58149 //
     /* 2281441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281444 */     // (vselect:{ *:[nxv16f16] } VMV0:{ *:[nxv16i1] }:$vm, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, VRM4:{ *:[nxv16f16] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2281444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2281447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2281461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281466 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281470 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281479 */     // GIR_Coverage, 58149,
     /* 2281479 */     GIR_EraseRootFromParent_Done,
     /* 2281480 */   // Label 30761: @2281480
     /* 2281480 */   GIM_Reject,
     /* 2281481 */ // Label 30757: @2281481
     /* 2281481 */ GIM_Reject,
     /* 2281482 */ // Label 30667: @2281482
     /* 2281482 */ GIM_Try, /*On fail goto*//*Label 30762*/ GIMT_Encode4(2281689),
     /* 2281487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s1,
     /* 2281490 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2281493 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2281496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2281500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281504 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281508 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281512 */   GIM_Try, /*On fail goto*//*Label 30763*/ GIMT_Encode4(2281556), // Rule ID 52346 //
     /* 2281517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281520 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2281520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281542 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281546 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281555 */     // GIR_Coverage, 52346,
     /* 2281555 */     GIR_EraseRootFromParent_Done,
     /* 2281556 */   // Label 30763: @2281556
     /* 2281556 */   GIM_Try, /*On fail goto*//*Label 30764*/ GIMT_Encode4(2281600), // Rule ID 52347 //
     /* 2281561 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281564 */     // (vselect:{ *:[nxv16i32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs2, VRM8:{ *:[nxv16i32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2281564 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281567 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281571 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281576 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281583 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281586 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281588 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281590 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281599 */     // GIR_Coverage, 52347,
     /* 2281599 */     GIR_EraseRootFromParent_Done,
     /* 2281600 */   // Label 30764: @2281600
     /* 2281600 */   GIM_Try, /*On fail goto*//*Label 30765*/ GIMT_Encode4(2281644), // Rule ID 58188 //
     /* 2281605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281608 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i64] }, 5:{ *:[i64] })
     /* 2281608 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281611 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281615 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281620 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281622 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281625 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281627 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281634 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281643 */     // GIR_Coverage, 58188,
     /* 2281643 */     GIR_EraseRootFromParent_Done,
     /* 2281644 */   // Label 30765: @2281644
     /* 2281644 */   GIM_Try, /*On fail goto*//*Label 30766*/ GIMT_Encode4(2281688), // Rule ID 58189 //
     /* 2281649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281652 */     // (vselect:{ *:[nxv16f32] } VMV0:{ *:[nxv16i1] }:$vm, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, VRM8:{ *:[nxv16f32] }:$rs1, VMV0:{ *:[nxv16i1] }:$vm, -1:{ *:[i32] }, 5:{ *:[i32] })
     /* 2281652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2281655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281674 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281678 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2281686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281687 */     // GIR_Coverage, 58189,
     /* 2281687 */     GIR_EraseRootFromParent_Done,
     /* 2281688 */   // Label 30766: @2281688
     /* 2281688 */   GIM_Reject,
     /* 2281689 */ // Label 30762: @2281689
     /* 2281689 */ GIM_Reject,
     /* 2281690 */ // Label 30668: @2281690
     /* 2281690 */ GIM_Try, /*On fail goto*//*Label 30767*/ GIMT_Encode4(2281809),
     /* 2281695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2281698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2281701 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s8,
     /* 2281704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2281708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281716 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2281720 */   GIM_Try, /*On fail goto*//*Label 30768*/ GIMT_Encode4(2281764), // Rule ID 52304 //
     /* 2281725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281728 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2281728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2281731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2281745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281750 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281754 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281763 */     // GIR_Coverage, 52304,
     /* 2281763 */     GIR_EraseRootFromParent_Done,
     /* 2281764 */   // Label 30768: @2281764
     /* 2281764 */   GIM_Try, /*On fail goto*//*Label 30769*/ GIMT_Encode4(2281808), // Rule ID 52305 //
     /* 2281769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281772 */     // (vselect:{ *:[nxv32i8] } VMV0:{ *:[nxv32i1] }:$vm, VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs2, VRM4:{ *:[nxv32i8] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2281772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2281775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M4),
     /* 2281789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281794 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281798 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2281806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281807 */     // GIR_Coverage, 52305,
     /* 2281807 */     GIR_EraseRootFromParent_Done,
     /* 2281808 */   // Label 30769: @2281808
     /* 2281808 */   GIM_Reject,
     /* 2281809 */ // Label 30767: @2281809
     /* 2281809 */ GIM_Reject,
     /* 2281810 */ // Label 30669: @2281810
     /* 2281810 */ GIM_Try, /*On fail goto*//*Label 30770*/ GIMT_Encode4(2282017),
     /* 2281815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s1,
     /* 2281818 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2281821 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2281824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2281828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2281832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281836 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2281840 */   GIM_Try, /*On fail goto*//*Label 30771*/ GIMT_Encode4(2281884), // Rule ID 52328 //
     /* 2281845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281848 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2281848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281870 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281874 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281883 */     // GIR_Coverage, 52328,
     /* 2281883 */     GIR_EraseRootFromParent_Done,
     /* 2281884 */   // Label 30771: @2281884
     /* 2281884 */   GIM_Try, /*On fail goto*//*Label 30772*/ GIMT_Encode4(2281928), // Rule ID 52329 //
     /* 2281889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281892 */     // (vselect:{ *:[nxv32i16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs2, VRM8:{ *:[nxv32i16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2281892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281914 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281918 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281926 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281927 */     // GIR_Coverage, 52329,
     /* 2281927 */     GIR_EraseRootFromParent_Done,
     /* 2281928 */   // Label 30772: @2281928
     /* 2281928 */   GIM_Try, /*On fail goto*//*Label 30773*/ GIMT_Encode4(2281972), // Rule ID 58158 //
     /* 2281933 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2281936 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i64] }, 4:{ *:[i64] })
     /* 2281936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2281958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2281960 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2281962 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2281964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2281967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2281970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2281971 */     // GIR_Coverage, 58158,
     /* 2281971 */     GIR_EraseRootFromParent_Done,
     /* 2281972 */   // Label 30773: @2281972
     /* 2281972 */   GIM_Try, /*On fail goto*//*Label 30774*/ GIMT_Encode4(2282016), // Rule ID 58159 //
     /* 2281977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2281980 */     // (vselect:{ *:[nxv32f16] } VMV0:{ *:[nxv32i1] }:$vm, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, VRM8:{ *:[nxv32f16] }:$rs1, VMV0:{ *:[nxv32i1] }:$vm, -1:{ *:[i32] }, 4:{ *:[i32] })
     /* 2281980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2281983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2281987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2281992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2281994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2281997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2281999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2282004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2282006 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2282008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282015 */     // GIR_Coverage, 58159,
     /* 2282015 */     GIR_EraseRootFromParent_Done,
     /* 2282016 */   // Label 30774: @2282016
     /* 2282016 */   GIM_Reject,
     /* 2282017 */ // Label 30770: @2282017
     /* 2282017 */ GIM_Reject,
     /* 2282018 */ // Label 30670: @2282018
     /* 2282018 */ GIM_Try, /*On fail goto*//*Label 30775*/ GIMT_Encode4(2282137),
     /* 2282023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s1,
     /* 2282026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2282029 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv64s8,
     /* 2282032 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2282036 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2282040 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282044 */   GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2282048 */   GIM_Try, /*On fail goto*//*Label 30776*/ GIMT_Encode4(2282092), // Rule ID 52310 //
     /* 2282053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282056 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2282059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2282073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282078 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2282080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2282082 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2282084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282091 */     // GIR_Coverage, 52310,
     /* 2282091 */     GIR_EraseRootFromParent_Done,
     /* 2282092 */   // Label 30776: @2282092
     /* 2282092 */   GIM_Try, /*On fail goto*//*Label 30777*/ GIMT_Encode4(2282136), // Rule ID 52311 //
     /* 2282097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282100 */     // (vselect:{ *:[nxv64i8] } VMV0:{ *:[nxv64i1] }:$vm, VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMERGE_VVM_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs2, VRM8:{ *:[nxv64i8] }:$rs1, VMV0:{ *:[nxv64i1] }:$vm, -1:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2282103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMERGE_VVM_M8),
     /* 2282117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282122 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2282124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2282126 */     GIR_RootToRootCopy, /*OpIdx*/1, // vm
     /* 2282128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282135 */     // GIR_Coverage, 52311,
     /* 2282135 */     GIR_EraseRootFromParent_Done,
     /* 2282136 */   // Label 30777: @2282136
     /* 2282136 */   GIM_Reject,
     /* 2282137 */ // Label 30775: @2282137
     /* 2282137 */ GIM_Reject,
     /* 2282138 */ // Label 30671: @2282138
     /* 2282138 */ GIM_Reject,
     /* 2282139 */ // Label 51: @2282139
     /* 2282139 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30802*/ GIMT_Encode4(2284872),
     /* 2282150 */ /*GILLT_s32*//*Label 30778*/ GIMT_Encode4(2282274),
     /* 2282154 */ /*GILLT_s64*//*Label 30779*/ GIMT_Encode4(2282308), GIMT_Encode4(0),
     /* 2282162 */ /*GILLT_nxv1s8*//*Label 30780*/ GIMT_Encode4(2282342),
     /* 2282166 */ /*GILLT_nxv1s16*//*Label 30781*/ GIMT_Encode4(2282457),
     /* 2282170 */ /*GILLT_nxv1s32*//*Label 30782*/ GIMT_Encode4(2282572),
     /* 2282174 */ /*GILLT_nxv1s64*//*Label 30783*/ GIMT_Encode4(2282687), GIMT_Encode4(0),
     /* 2282182 */ /*GILLT_nxv2s8*//*Label 30784*/ GIMT_Encode4(2282802),
     /* 2282186 */ /*GILLT_nxv2s16*//*Label 30785*/ GIMT_Encode4(2282917),
     /* 2282190 */ /*GILLT_nxv2s32*//*Label 30786*/ GIMT_Encode4(2283032),
     /* 2282194 */ /*GILLT_nxv2s64*//*Label 30787*/ GIMT_Encode4(2283147), GIMT_Encode4(0),
     /* 2282202 */ /*GILLT_nxv4s8*//*Label 30788*/ GIMT_Encode4(2283262),
     /* 2282206 */ /*GILLT_nxv4s16*//*Label 30789*/ GIMT_Encode4(2283377),
     /* 2282210 */ /*GILLT_nxv4s32*//*Label 30790*/ GIMT_Encode4(2283492),
     /* 2282214 */ /*GILLT_nxv4s64*//*Label 30791*/ GIMT_Encode4(2283607), GIMT_Encode4(0),
     /* 2282222 */ /*GILLT_nxv8s8*//*Label 30792*/ GIMT_Encode4(2283722),
     /* 2282226 */ /*GILLT_nxv8s16*//*Label 30793*/ GIMT_Encode4(2283837),
     /* 2282230 */ /*GILLT_nxv8s32*//*Label 30794*/ GIMT_Encode4(2283952),
     /* 2282234 */ /*GILLT_nxv8s64*//*Label 30795*/ GIMT_Encode4(2284067), GIMT_Encode4(0),
     /* 2282242 */ /*GILLT_nxv16s8*//*Label 30796*/ GIMT_Encode4(2284182),
     /* 2282246 */ /*GILLT_nxv16s16*//*Label 30797*/ GIMT_Encode4(2284297),
     /* 2282250 */ /*GILLT_nxv16s32*//*Label 30798*/ GIMT_Encode4(2284412), GIMT_Encode4(0),
     /* 2282258 */ /*GILLT_nxv32s8*//*Label 30799*/ GIMT_Encode4(2284527),
     /* 2282262 */ /*GILLT_nxv32s16*//*Label 30800*/ GIMT_Encode4(2284642), GIMT_Encode4(0),
     /* 2282270 */ /*GILLT_nxv64s8*//*Label 30801*/ GIMT_Encode4(2284757),
     /* 2282274 */ // Label 30778: @2282274
     /* 2282274 */ GIM_Try, /*On fail goto*//*Label 30803*/ GIMT_Encode4(2282307), // Rule ID 302 //
     /* 2282279 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2282282 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2282285 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2282288 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282292 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282296 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282300 */   // (mulhu:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULHU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2282300 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2282305 */   GIR_RootConstrainSelectedInstOperands,
     /* 2282306 */   // GIR_Coverage, 302,
     /* 2282306 */   GIR_Done,
     /* 2282307 */ // Label 30803: @2282307
     /* 2282307 */ GIM_Reject,
     /* 2282308 */ // Label 30779: @2282308
     /* 2282308 */ GIM_Try, /*On fail goto*//*Label 30804*/ GIMT_Encode4(2282341), // Rule ID 301 //
     /* 2282313 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2282316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2282319 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2282322 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282326 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282330 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2282334 */   // (mulhu:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULHU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2282334 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULHU),
     /* 2282339 */   GIR_RootConstrainSelectedInstOperands,
     /* 2282340 */   // GIR_Coverage, 301,
     /* 2282340 */   GIR_Done,
     /* 2282341 */ // Label 30804: @2282341
     /* 2282341 */ GIM_Reject,
     /* 2282342 */ // Label 30780: @2282342
     /* 2282342 */ GIM_Try, /*On fail goto*//*Label 30805*/ GIMT_Encode4(2282456),
     /* 2282347 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2282350 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2282353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282361 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282365 */   GIM_Try, /*On fail goto*//*Label 30806*/ GIMT_Encode4(2282410), // Rule ID 51014 //
     /* 2282370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282373 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2282376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2282390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282409 */     // GIR_Coverage, 51014,
     /* 2282409 */     GIR_EraseRootFromParent_Done,
     /* 2282410 */   // Label 30806: @2282410
     /* 2282410 */   GIM_Try, /*On fail goto*//*Label 30807*/ GIMT_Encode4(2282455), // Rule ID 51015 //
     /* 2282415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282418 */     // (mulhu:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2282421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF8),
     /* 2282435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282454 */     // GIR_Coverage, 51015,
     /* 2282454 */     GIR_EraseRootFromParent_Done,
     /* 2282455 */   // Label 30807: @2282455
     /* 2282455 */   GIM_Reject,
     /* 2282456 */ // Label 30805: @2282456
     /* 2282456 */ GIM_Reject,
     /* 2282457 */ // Label 30781: @2282457
     /* 2282457 */ GIM_Try, /*On fail goto*//*Label 30808*/ GIMT_Encode4(2282571),
     /* 2282462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2282465 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2282468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282476 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282480 */   GIM_Try, /*On fail goto*//*Label 30809*/ GIMT_Encode4(2282525), // Rule ID 51026 //
     /* 2282485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282488 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2282491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2282505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282524 */     // GIR_Coverage, 51026,
     /* 2282524 */     GIR_EraseRootFromParent_Done,
     /* 2282525 */   // Label 30809: @2282525
     /* 2282525 */   GIM_Try, /*On fail goto*//*Label 30810*/ GIMT_Encode4(2282570), // Rule ID 51027 //
     /* 2282530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282533 */     // (mulhu:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282533 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2282536 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282540 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282545 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282547 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2282550 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282552 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282557 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282569 */     // GIR_Coverage, 51027,
     /* 2282569 */     GIR_EraseRootFromParent_Done,
     /* 2282570 */   // Label 30810: @2282570
     /* 2282570 */   GIM_Reject,
     /* 2282571 */ // Label 30808: @2282571
     /* 2282571 */ GIM_Reject,
     /* 2282572 */ // Label 30782: @2282572
     /* 2282572 */ GIM_Try, /*On fail goto*//*Label 30811*/ GIMT_Encode4(2282686),
     /* 2282577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2282580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2282583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282591 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282595 */   GIM_Try, /*On fail goto*//*Label 30812*/ GIMT_Encode4(2282640), // Rule ID 51034 //
     /* 2282600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282603 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2282606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2282620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282639 */     // GIR_Coverage, 51034,
     /* 2282639 */     GIR_EraseRootFromParent_Done,
     /* 2282640 */   // Label 30812: @2282640
     /* 2282640 */   GIM_Try, /*On fail goto*//*Label 30813*/ GIMT_Encode4(2282685), // Rule ID 51035 //
     /* 2282645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282648 */     // (mulhu:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282648 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2282651 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282655 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282660 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2282665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282667 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282670 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282672 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2282680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282684 */     // GIR_Coverage, 51035,
     /* 2282684 */     GIR_EraseRootFromParent_Done,
     /* 2282685 */   // Label 30813: @2282685
     /* 2282685 */   GIM_Reject,
     /* 2282686 */ // Label 30811: @2282686
     /* 2282686 */ GIM_Reject,
     /* 2282687 */ // Label 30783: @2282687
     /* 2282687 */ GIM_Try, /*On fail goto*//*Label 30814*/ GIMT_Encode4(2282801),
     /* 2282692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2282695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2282698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282710 */   GIM_Try, /*On fail goto*//*Label 30815*/ GIMT_Encode4(2282755), // Rule ID 51102 //
     /* 2282715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2282718 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2282721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2282735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282754 */     // GIR_Coverage, 51102,
     /* 2282754 */     GIR_EraseRootFromParent_Done,
     /* 2282755 */   // Label 30815: @2282755
     /* 2282755 */   GIM_Try, /*On fail goto*//*Label 30816*/ GIMT_Encode4(2282800), // Rule ID 51103 //
     /* 2282760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2282763 */     // (mulhu:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282763 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2282766 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282770 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282775 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2282780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282782 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282787 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2282795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282799 */     // GIR_Coverage, 51103,
     /* 2282799 */     GIR_EraseRootFromParent_Done,
     /* 2282800 */   // Label 30816: @2282800
     /* 2282800 */   GIM_Reject,
     /* 2282801 */ // Label 30814: @2282801
     /* 2282801 */ GIM_Reject,
     /* 2282802 */ // Label 30784: @2282802
     /* 2282802 */ GIM_Try, /*On fail goto*//*Label 30817*/ GIMT_Encode4(2282916),
     /* 2282807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2282810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2282813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282825 */   GIM_Try, /*On fail goto*//*Label 30818*/ GIMT_Encode4(2282870), // Rule ID 51018 //
     /* 2282830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282833 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2282836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2282850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282869 */     // GIR_Coverage, 51018,
     /* 2282869 */     GIR_EraseRootFromParent_Done,
     /* 2282870 */   // Label 30818: @2282870
     /* 2282870 */   GIM_Try, /*On fail goto*//*Label 30819*/ GIMT_Encode4(2282915), // Rule ID 51019 //
     /* 2282875 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282878 */     // (mulhu:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282878 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2282881 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282885 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282890 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF4),
     /* 2282895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282897 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282900 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282902 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282914 */     // GIR_Coverage, 51019,
     /* 2282914 */     GIR_EraseRootFromParent_Done,
     /* 2282915 */   // Label 30819: @2282915
     /* 2282915 */   GIM_Reject,
     /* 2282916 */ // Label 30817: @2282916
     /* 2282916 */ GIM_Reject,
     /* 2282917 */ // Label 30785: @2282917
     /* 2282917 */ GIM_Try, /*On fail goto*//*Label 30820*/ GIMT_Encode4(2283031),
     /* 2282922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2282925 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2282928 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282932 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282936 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2282940 */   GIM_Try, /*On fail goto*//*Label 30821*/ GIMT_Encode4(2282985), // Rule ID 51030 //
     /* 2282945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2282948 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2282948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2282951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2282955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2282960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2282962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2282965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2282967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2282970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2282972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2282974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2282977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2282980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2282983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2282984 */     // GIR_Coverage, 51030,
     /* 2282984 */     GIR_EraseRootFromParent_Done,
     /* 2282985 */   // Label 30821: @2282985
     /* 2282985 */   GIM_Try, /*On fail goto*//*Label 30822*/ GIMT_Encode4(2283030), // Rule ID 51031 //
     /* 2282990 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2282993 */     // (mulhu:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2282993 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2282996 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283000 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283005 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2283010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283012 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283017 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283029 */     // GIR_Coverage, 51031,
     /* 2283029 */     GIR_EraseRootFromParent_Done,
     /* 2283030 */   // Label 30822: @2283030
     /* 2283030 */   GIM_Reject,
     /* 2283031 */ // Label 30820: @2283031
     /* 2283031 */ GIM_Reject,
     /* 2283032 */ // Label 30786: @2283032
     /* 2283032 */ GIM_Try, /*On fail goto*//*Label 30823*/ GIMT_Encode4(2283146),
     /* 2283037 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2283040 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2283043 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283047 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283051 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283055 */   GIM_Try, /*On fail goto*//*Label 30824*/ GIMT_Encode4(2283100), // Rule ID 51046 //
     /* 2283060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283063 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2283066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2283080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283087 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283099 */     // GIR_Coverage, 51046,
     /* 2283099 */     GIR_EraseRootFromParent_Done,
     /* 2283100 */   // Label 30824: @2283100
     /* 2283100 */   GIM_Try, /*On fail goto*//*Label 30825*/ GIMT_Encode4(2283145), // Rule ID 51047 //
     /* 2283105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283108 */     // (mulhu:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2283111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2283125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283144 */     // GIR_Coverage, 51047,
     /* 2283144 */     GIR_EraseRootFromParent_Done,
     /* 2283145 */   // Label 30825: @2283145
     /* 2283145 */   GIM_Reject,
     /* 2283146 */ // Label 30823: @2283146
     /* 2283146 */ GIM_Reject,
     /* 2283147 */ // Label 30787: @2283147
     /* 2283147 */ GIM_Try, /*On fail goto*//*Label 30826*/ GIMT_Encode4(2283261),
     /* 2283152 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2283155 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2283158 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283162 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283166 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283170 */   GIM_Try, /*On fail goto*//*Label 30827*/ GIMT_Encode4(2283215), // Rule ID 51106 //
     /* 2283175 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2283178 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283178 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2283181 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283185 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283190 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2283195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283197 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283214 */     // GIR_Coverage, 51106,
     /* 2283214 */     GIR_EraseRootFromParent_Done,
     /* 2283215 */   // Label 30827: @2283215
     /* 2283215 */   GIM_Try, /*On fail goto*//*Label 30828*/ GIMT_Encode4(2283260), // Rule ID 51107 //
     /* 2283220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2283223 */     // (mulhu:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283223 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2283226 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283230 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283235 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283237 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2283240 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283242 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283259 */     // GIR_Coverage, 51107,
     /* 2283259 */     GIR_EraseRootFromParent_Done,
     /* 2283260 */   // Label 30828: @2283260
     /* 2283260 */   GIM_Reject,
     /* 2283261 */ // Label 30826: @2283261
     /* 2283261 */ GIM_Reject,
     /* 2283262 */ // Label 30788: @2283262
     /* 2283262 */ GIM_Try, /*On fail goto*//*Label 30829*/ GIMT_Encode4(2283376),
     /* 2283267 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2283270 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2283273 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283277 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283281 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283285 */   GIM_Try, /*On fail goto*//*Label 30830*/ GIMT_Encode4(2283330), // Rule ID 51022 //
     /* 2283290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283293 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2283296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2283310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283329 */     // GIR_Coverage, 51022,
     /* 2283329 */     GIR_EraseRootFromParent_Done,
     /* 2283330 */   // Label 30830: @2283330
     /* 2283330 */   GIM_Try, /*On fail goto*//*Label 30831*/ GIMT_Encode4(2283375), // Rule ID 51023 //
     /* 2283335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283338 */     // (mulhu:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULHU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283338 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2283341 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283345 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283350 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_MF2),
     /* 2283355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283357 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283374 */     // GIR_Coverage, 51023,
     /* 2283374 */     GIR_EraseRootFromParent_Done,
     /* 2283375 */   // Label 30831: @2283375
     /* 2283375 */   GIM_Reject,
     /* 2283376 */ // Label 30829: @2283376
     /* 2283376 */ GIM_Reject,
     /* 2283377 */ // Label 30789: @2283377
     /* 2283377 */ GIM_Try, /*On fail goto*//*Label 30832*/ GIMT_Encode4(2283491),
     /* 2283382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2283385 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2283388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283396 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283400 */   GIM_Try, /*On fail goto*//*Label 30833*/ GIMT_Encode4(2283445), // Rule ID 51042 //
     /* 2283405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283408 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2283411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2283425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283444 */     // GIR_Coverage, 51042,
     /* 2283444 */     GIR_EraseRootFromParent_Done,
     /* 2283445 */   // Label 30833: @2283445
     /* 2283445 */   GIM_Try, /*On fail goto*//*Label 30834*/ GIMT_Encode4(2283490), // Rule ID 51043 //
     /* 2283450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283453 */     // (mulhu:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283453 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2283456 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283460 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283465 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283467 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2283470 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283472 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283477 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283488 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283489 */     // GIR_Coverage, 51043,
     /* 2283489 */     GIR_EraseRootFromParent_Done,
     /* 2283490 */   // Label 30834: @2283490
     /* 2283490 */   GIM_Reject,
     /* 2283491 */ // Label 30832: @2283491
     /* 2283491 */ GIM_Reject,
     /* 2283492 */ // Label 30790: @2283492
     /* 2283492 */ GIM_Try, /*On fail goto*//*Label 30835*/ GIMT_Encode4(2283606),
     /* 2283497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2283500 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2283503 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283507 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283511 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283515 */   GIM_Try, /*On fail goto*//*Label 30836*/ GIMT_Encode4(2283560), // Rule ID 51074 //
     /* 2283520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283523 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283523 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2283526 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283530 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283535 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2283540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283542 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283559 */     // GIR_Coverage, 51074,
     /* 2283559 */     GIR_EraseRootFromParent_Done,
     /* 2283560 */   // Label 30836: @2283560
     /* 2283560 */   GIM_Try, /*On fail goto*//*Label 30837*/ GIMT_Encode4(2283605), // Rule ID 51075 //
     /* 2283565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283568 */     // (mulhu:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283568 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2283571 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283575 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283580 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2283585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283587 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283590 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283592 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2283600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283604 */     // GIR_Coverage, 51075,
     /* 2283604 */     GIR_EraseRootFromParent_Done,
     /* 2283605 */   // Label 30837: @2283605
     /* 2283605 */   GIM_Reject,
     /* 2283606 */ // Label 30835: @2283606
     /* 2283606 */ GIM_Reject,
     /* 2283607 */ // Label 30791: @2283607
     /* 2283607 */ GIM_Try, /*On fail goto*//*Label 30838*/ GIMT_Encode4(2283721),
     /* 2283612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2283615 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2283618 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283622 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283626 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283630 */   GIM_Try, /*On fail goto*//*Label 30839*/ GIMT_Encode4(2283675), // Rule ID 51110 //
     /* 2283635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2283638 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2283641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2283655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283674 */     // GIR_Coverage, 51110,
     /* 2283674 */     GIR_EraseRootFromParent_Done,
     /* 2283675 */   // Label 30839: @2283675
     /* 2283675 */   GIM_Try, /*On fail goto*//*Label 30840*/ GIMT_Encode4(2283720), // Rule ID 51111 //
     /* 2283680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2283683 */     // (mulhu:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2283686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2283700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2283715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283719 */     // GIR_Coverage, 51111,
     /* 2283719 */     GIR_EraseRootFromParent_Done,
     /* 2283720 */   // Label 30840: @2283720
     /* 2283720 */   GIM_Reject,
     /* 2283721 */ // Label 30838: @2283721
     /* 2283721 */ GIM_Reject,
     /* 2283722 */ // Label 30792: @2283722
     /* 2283722 */ GIM_Try, /*On fail goto*//*Label 30841*/ GIMT_Encode4(2283836),
     /* 2283727 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2283730 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2283733 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283737 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283741 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2283745 */   GIM_Try, /*On fail goto*//*Label 30842*/ GIMT_Encode4(2283790), // Rule ID 51038 //
     /* 2283750 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283753 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283753 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2283756 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283760 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283765 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283767 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2283770 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283772 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283775 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283789 */     // GIR_Coverage, 51038,
     /* 2283789 */     GIR_EraseRootFromParent_Done,
     /* 2283790 */   // Label 30842: @2283790
     /* 2283790 */   GIM_Try, /*On fail goto*//*Label 30843*/ GIMT_Encode4(2283835), // Rule ID 51039 //
     /* 2283795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283798 */     // (mulhu:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULHU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2283801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M1),
     /* 2283815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283834 */     // GIR_Coverage, 51039,
     /* 2283834 */     GIR_EraseRootFromParent_Done,
     /* 2283835 */   // Label 30843: @2283835
     /* 2283835 */   GIM_Reject,
     /* 2283836 */ // Label 30841: @2283836
     /* 2283836 */ GIM_Reject,
     /* 2283837 */ // Label 30793: @2283837
     /* 2283837 */ GIM_Try, /*On fail goto*//*Label 30844*/ GIMT_Encode4(2283951),
     /* 2283842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2283845 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2283848 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283852 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283856 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2283860 */   GIM_Try, /*On fail goto*//*Label 30845*/ GIMT_Encode4(2283905), // Rule ID 51062 //
     /* 2283865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283868 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283868 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2283871 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283875 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283880 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2283885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283887 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283892 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283904 */     // GIR_Coverage, 51062,
     /* 2283904 */     GIR_EraseRootFromParent_Done,
     /* 2283905 */   // Label 30845: @2283905
     /* 2283905 */   GIM_Try, /*On fail goto*//*Label 30846*/ GIMT_Encode4(2283950), // Rule ID 51063 //
     /* 2283910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2283913 */     // (mulhu:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2283913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2283916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2283930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2283932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2283935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2283937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2283939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2283942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2283945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2283948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2283949 */     // GIR_Coverage, 51063,
     /* 2283949 */     GIR_EraseRootFromParent_Done,
     /* 2283950 */   // Label 30846: @2283950
     /* 2283950 */   GIM_Reject,
     /* 2283951 */ // Label 30844: @2283951
     /* 2283951 */ GIM_Reject,
     /* 2283952 */ // Label 30794: @2283952
     /* 2283952 */ GIM_Try, /*On fail goto*//*Label 30847*/ GIMT_Encode4(2284066),
     /* 2283957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2283960 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2283963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283971 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2283975 */   GIM_Try, /*On fail goto*//*Label 30848*/ GIMT_Encode4(2284020), // Rule ID 51078 //
     /* 2283980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2283983 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2283983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2283986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2283990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2283995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2283997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2284000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284019 */     // GIR_Coverage, 51078,
     /* 2284019 */     GIR_EraseRootFromParent_Done,
     /* 2284020 */   // Label 30848: @2284020
     /* 2284020 */   GIM_Try, /*On fail goto*//*Label 30849*/ GIMT_Encode4(2284065), // Rule ID 51079 //
     /* 2284025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284028 */     // (mulhu:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2284031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2284045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284064 */     // GIR_Coverage, 51079,
     /* 2284064 */     GIR_EraseRootFromParent_Done,
     /* 2284065 */   // Label 30849: @2284065
     /* 2284065 */   GIM_Reject,
     /* 2284066 */ // Label 30847: @2284066
     /* 2284066 */ GIM_Reject,
     /* 2284067 */ // Label 30795: @2284067
     /* 2284067 */ GIM_Try, /*On fail goto*//*Label 30850*/ GIMT_Encode4(2284181),
     /* 2284072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2284075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2284078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284086 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284090 */   GIM_Try, /*On fail goto*//*Label 30851*/ GIMT_Encode4(2284135), // Rule ID 51114 //
     /* 2284095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2284098 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284098 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2284101 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284105 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284110 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2284115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284117 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284133 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284134 */     // GIR_Coverage, 51114,
     /* 2284134 */     GIR_EraseRootFromParent_Done,
     /* 2284135 */   // Label 30851: @2284135
     /* 2284135 */   GIM_Try, /*On fail goto*//*Label 30852*/ GIMT_Encode4(2284180), // Rule ID 51115 //
     /* 2284140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2284143 */     // (mulhu:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2284146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2284160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2284175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284179 */     // GIR_Coverage, 51115,
     /* 2284179 */     GIR_EraseRootFromParent_Done,
     /* 2284180 */   // Label 30852: @2284180
     /* 2284180 */   GIM_Reject,
     /* 2284181 */ // Label 30850: @2284181
     /* 2284181 */ GIM_Reject,
     /* 2284182 */ // Label 30796: @2284182
     /* 2284182 */ GIM_Try, /*On fail goto*//*Label 30853*/ GIMT_Encode4(2284296),
     /* 2284187 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2284190 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2284193 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284197 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284201 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2284205 */   GIM_Try, /*On fail goto*//*Label 30854*/ GIMT_Encode4(2284250), // Rule ID 51050 //
     /* 2284210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284213 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2284216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2284230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284249 */     // GIR_Coverage, 51050,
     /* 2284249 */     GIR_EraseRootFromParent_Done,
     /* 2284250 */   // Label 30854: @2284250
     /* 2284250 */   GIM_Try, /*On fail goto*//*Label 30855*/ GIMT_Encode4(2284295), // Rule ID 51051 //
     /* 2284255 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284258 */     // (mulhu:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULHU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284258 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2284261 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284265 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284270 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M2),
     /* 2284275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284277 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284280 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284282 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284294 */     // GIR_Coverage, 51051,
     /* 2284294 */     GIR_EraseRootFromParent_Done,
     /* 2284295 */   // Label 30855: @2284295
     /* 2284295 */   GIM_Reject,
     /* 2284296 */ // Label 30853: @2284296
     /* 2284296 */ GIM_Reject,
     /* 2284297 */ // Label 30797: @2284297
     /* 2284297 */ GIM_Try, /*On fail goto*//*Label 30856*/ GIMT_Encode4(2284411),
     /* 2284302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2284305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2284308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284320 */   GIM_Try, /*On fail goto*//*Label 30857*/ GIMT_Encode4(2284365), // Rule ID 51066 //
     /* 2284325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284328 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2284331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2284345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284363 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284364 */     // GIR_Coverage, 51066,
     /* 2284364 */     GIR_EraseRootFromParent_Done,
     /* 2284365 */   // Label 30857: @2284365
     /* 2284365 */   GIM_Try, /*On fail goto*//*Label 30858*/ GIMT_Encode4(2284410), // Rule ID 51067 //
     /* 2284370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284373 */     // (mulhu:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284373 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2284376 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284380 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284385 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284387 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2284390 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284392 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284409 */     // GIR_Coverage, 51067,
     /* 2284409 */     GIR_EraseRootFromParent_Done,
     /* 2284410 */   // Label 30858: @2284410
     /* 2284410 */   GIM_Reject,
     /* 2284411 */ // Label 30856: @2284411
     /* 2284411 */ GIM_Reject,
     /* 2284412 */ // Label 30798: @2284412
     /* 2284412 */ GIM_Try, /*On fail goto*//*Label 30859*/ GIMT_Encode4(2284526),
     /* 2284417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2284420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2284423 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284427 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284431 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284435 */   GIM_Try, /*On fail goto*//*Label 30860*/ GIMT_Encode4(2284480), // Rule ID 51082 //
     /* 2284440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284443 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2284446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2284460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284478 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284479 */     // GIR_Coverage, 51082,
     /* 2284479 */     GIR_EraseRootFromParent_Done,
     /* 2284480 */   // Label 30860: @2284480
     /* 2284480 */   GIM_Try, /*On fail goto*//*Label 30861*/ GIMT_Encode4(2284525), // Rule ID 51083 //
     /* 2284485 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284488 */     // (mulhu:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284488 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2284491 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284495 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284500 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284502 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2284505 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284507 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2284520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284524 */     // GIR_Coverage, 51083,
     /* 2284524 */     GIR_EraseRootFromParent_Done,
     /* 2284525 */   // Label 30861: @2284525
     /* 2284525 */   GIM_Reject,
     /* 2284526 */ // Label 30859: @2284526
     /* 2284526 */ GIM_Reject,
     /* 2284527 */ // Label 30799: @2284527
     /* 2284527 */ GIM_Try, /*On fail goto*//*Label 30862*/ GIMT_Encode4(2284641),
     /* 2284532 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2284535 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2284538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284546 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2284550 */   GIM_Try, /*On fail goto*//*Label 30863*/ GIMT_Encode4(2284595), // Rule ID 51054 //
     /* 2284555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284558 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284558 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2284561 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284565 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284570 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284572 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2284575 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284577 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284580 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284582 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284594 */     // GIR_Coverage, 51054,
     /* 2284594 */     GIR_EraseRootFromParent_Done,
     /* 2284595 */   // Label 30863: @2284595
     /* 2284595 */   GIM_Try, /*On fail goto*//*Label 30864*/ GIMT_Encode4(2284640), // Rule ID 51055 //
     /* 2284600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284603 */     // (mulhu:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULHU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284603 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2284606 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284610 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284615 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284617 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M4),
     /* 2284620 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284622 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284627 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284639 */     // GIR_Coverage, 51055,
     /* 2284639 */     GIR_EraseRootFromParent_Done,
     /* 2284640 */   // Label 30864: @2284640
     /* 2284640 */   GIM_Reject,
     /* 2284641 */ // Label 30862: @2284641
     /* 2284641 */ GIM_Reject,
     /* 2284642 */ // Label 30800: @2284642
     /* 2284642 */ GIM_Try, /*On fail goto*//*Label 30865*/ GIMT_Encode4(2284756),
     /* 2284647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2284650 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2284653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284661 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284665 */   GIM_Try, /*On fail goto*//*Label 30866*/ GIMT_Encode4(2284710), // Rule ID 51070 //
     /* 2284670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284673 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2284676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2284690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284709 */     // GIR_Coverage, 51070,
     /* 2284709 */     GIR_EraseRootFromParent_Done,
     /* 2284710 */   // Label 30866: @2284710
     /* 2284710 */   GIM_Try, /*On fail goto*//*Label 30867*/ GIMT_Encode4(2284755), // Rule ID 51071 //
     /* 2284715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284718 */     // (mulhu:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2284721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2284735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2284750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284754 */     // GIR_Coverage, 51071,
     /* 2284754 */     GIR_EraseRootFromParent_Done,
     /* 2284755 */   // Label 30867: @2284755
     /* 2284755 */   GIM_Reject,
     /* 2284756 */ // Label 30865: @2284756
     /* 2284756 */ GIM_Reject,
     /* 2284757 */ // Label 30801: @2284757
     /* 2284757 */ GIM_Try, /*On fail goto*//*Label 30868*/ GIMT_Encode4(2284871),
     /* 2284762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2284765 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2284768 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284772 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284776 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2284780 */   GIM_Try, /*On fail goto*//*Label 30869*/ GIMT_Encode4(2284825), // Rule ID 51058 //
     /* 2284785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2284788 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2284788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2284791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2284805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284824 */     // GIR_Coverage, 51058,
     /* 2284824 */     GIR_EraseRootFromParent_Done,
     /* 2284825 */   // Label 30869: @2284825
     /* 2284825 */   GIM_Try, /*On fail goto*//*Label 30870*/ GIMT_Encode4(2284870), // Rule ID 51059 //
     /* 2284830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2284833 */     // (mulhu:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULHU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2284833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2284836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2284840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2284845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2284847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULHU_VV_M8),
     /* 2284850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2284852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2284855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2284857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2284859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2284862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2284868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2284869 */     // GIR_Coverage, 51059,
     /* 2284869 */     GIR_EraseRootFromParent_Done,
     /* 2284870 */   // Label 30870: @2284870
     /* 2284870 */   GIM_Reject,
     /* 2284871 */ // Label 30868: @2284871
     /* 2284871 */ GIM_Reject,
     /* 2284872 */ // Label 30802: @2284872
     /* 2284872 */ GIM_Reject,
     /* 2284873 */ // Label 52: @2284873
     /* 2284873 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30895*/ GIMT_Encode4(2287606),
     /* 2284884 */ /*GILLT_s32*//*Label 30871*/ GIMT_Encode4(2285008),
     /* 2284888 */ /*GILLT_s64*//*Label 30872*/ GIMT_Encode4(2285042), GIMT_Encode4(0),
     /* 2284896 */ /*GILLT_nxv1s8*//*Label 30873*/ GIMT_Encode4(2285076),
     /* 2284900 */ /*GILLT_nxv1s16*//*Label 30874*/ GIMT_Encode4(2285191),
     /* 2284904 */ /*GILLT_nxv1s32*//*Label 30875*/ GIMT_Encode4(2285306),
     /* 2284908 */ /*GILLT_nxv1s64*//*Label 30876*/ GIMT_Encode4(2285421), GIMT_Encode4(0),
     /* 2284916 */ /*GILLT_nxv2s8*//*Label 30877*/ GIMT_Encode4(2285536),
     /* 2284920 */ /*GILLT_nxv2s16*//*Label 30878*/ GIMT_Encode4(2285651),
     /* 2284924 */ /*GILLT_nxv2s32*//*Label 30879*/ GIMT_Encode4(2285766),
     /* 2284928 */ /*GILLT_nxv2s64*//*Label 30880*/ GIMT_Encode4(2285881), GIMT_Encode4(0),
     /* 2284936 */ /*GILLT_nxv4s8*//*Label 30881*/ GIMT_Encode4(2285996),
     /* 2284940 */ /*GILLT_nxv4s16*//*Label 30882*/ GIMT_Encode4(2286111),
     /* 2284944 */ /*GILLT_nxv4s32*//*Label 30883*/ GIMT_Encode4(2286226),
     /* 2284948 */ /*GILLT_nxv4s64*//*Label 30884*/ GIMT_Encode4(2286341), GIMT_Encode4(0),
     /* 2284956 */ /*GILLT_nxv8s8*//*Label 30885*/ GIMT_Encode4(2286456),
     /* 2284960 */ /*GILLT_nxv8s16*//*Label 30886*/ GIMT_Encode4(2286571),
     /* 2284964 */ /*GILLT_nxv8s32*//*Label 30887*/ GIMT_Encode4(2286686),
     /* 2284968 */ /*GILLT_nxv8s64*//*Label 30888*/ GIMT_Encode4(2286801), GIMT_Encode4(0),
     /* 2284976 */ /*GILLT_nxv16s8*//*Label 30889*/ GIMT_Encode4(2286916),
     /* 2284980 */ /*GILLT_nxv16s16*//*Label 30890*/ GIMT_Encode4(2287031),
     /* 2284984 */ /*GILLT_nxv16s32*//*Label 30891*/ GIMT_Encode4(2287146), GIMT_Encode4(0),
     /* 2284992 */ /*GILLT_nxv32s8*//*Label 30892*/ GIMT_Encode4(2287261),
     /* 2284996 */ /*GILLT_nxv32s16*//*Label 30893*/ GIMT_Encode4(2287376), GIMT_Encode4(0),
     /* 2285004 */ /*GILLT_nxv64s8*//*Label 30894*/ GIMT_Encode4(2287491),
     /* 2285008 */ // Label 30871: @2285008
     /* 2285008 */ GIM_Try, /*On fail goto*//*Label 30896*/ GIMT_Encode4(2285041), // Rule ID 300 //
     /* 2285013 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode1),
     /* 2285016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2285019 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2285022 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285026 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285030 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285034 */   // (mulhs:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MULH:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2285034 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2285039 */   GIR_RootConstrainSelectedInstOperands,
     /* 2285040 */   // GIR_Coverage, 300,
     /* 2285040 */   GIR_Done,
     /* 2285041 */ // Label 30896: @2285041
     /* 2285041 */ GIM_Reject,
     /* 2285042 */ // Label 30872: @2285042
     /* 2285042 */ GIM_Try, /*On fail goto*//*Label 30897*/ GIMT_Encode4(2285075), // Rule ID 299 //
     /* 2285047 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZmmul_HwMode0),
     /* 2285050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2285053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2285056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285064 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2285068 */   // (mulhs:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MULH:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2285068 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MULH),
     /* 2285073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2285074 */   // GIR_Coverage, 299,
     /* 2285074 */   GIR_Done,
     /* 2285075 */ // Label 30897: @2285075
     /* 2285075 */ GIM_Reject,
     /* 2285076 */ // Label 30873: @2285076
     /* 2285076 */ GIM_Try, /*On fail goto*//*Label 30898*/ GIMT_Encode4(2285190),
     /* 2285081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2285084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2285087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285099 */   GIM_Try, /*On fail goto*//*Label 30899*/ GIMT_Encode4(2285144), // Rule ID 50942 //
     /* 2285104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285107 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2285110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2285124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285143 */     // GIR_Coverage, 50942,
     /* 2285143 */     GIR_EraseRootFromParent_Done,
     /* 2285144 */   // Label 30899: @2285144
     /* 2285144 */   GIM_Try, /*On fail goto*//*Label 30900*/ GIMT_Encode4(2285189), // Rule ID 50943 //
     /* 2285149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285152 */     // (mulhs:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMULH_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2285155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF8),
     /* 2285169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285188 */     // GIR_Coverage, 50943,
     /* 2285188 */     GIR_EraseRootFromParent_Done,
     /* 2285189 */   // Label 30900: @2285189
     /* 2285189 */   GIM_Reject,
     /* 2285190 */ // Label 30898: @2285190
     /* 2285190 */ GIM_Reject,
     /* 2285191 */ // Label 30874: @2285191
     /* 2285191 */ GIM_Try, /*On fail goto*//*Label 30901*/ GIMT_Encode4(2285305),
     /* 2285196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2285199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2285202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285214 */   GIM_Try, /*On fail goto*//*Label 30902*/ GIMT_Encode4(2285259), // Rule ID 50954 //
     /* 2285219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285222 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2285225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2285239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285258 */     // GIR_Coverage, 50954,
     /* 2285258 */     GIR_EraseRootFromParent_Done,
     /* 2285259 */   // Label 30902: @2285259
     /* 2285259 */   GIM_Try, /*On fail goto*//*Label 30903*/ GIMT_Encode4(2285304), // Rule ID 50955 //
     /* 2285264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285267 */     // (mulhs:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2285270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2285284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285303 */     // GIR_Coverage, 50955,
     /* 2285303 */     GIR_EraseRootFromParent_Done,
     /* 2285304 */   // Label 30903: @2285304
     /* 2285304 */   GIM_Reject,
     /* 2285305 */ // Label 30901: @2285305
     /* 2285305 */ GIM_Reject,
     /* 2285306 */ // Label 30875: @2285306
     /* 2285306 */ GIM_Try, /*On fail goto*//*Label 30904*/ GIMT_Encode4(2285420),
     /* 2285311 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2285314 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2285317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285325 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285329 */   GIM_Try, /*On fail goto*//*Label 30905*/ GIMT_Encode4(2285374), // Rule ID 50962 //
     /* 2285334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285337 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2285340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2285354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285373 */     // GIR_Coverage, 50962,
     /* 2285373 */     GIR_EraseRootFromParent_Done,
     /* 2285374 */   // Label 30905: @2285374
     /* 2285374 */   GIM_Try, /*On fail goto*//*Label 30906*/ GIMT_Encode4(2285419), // Rule ID 50963 //
     /* 2285379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285382 */     // (mulhs:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2285385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2285399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285418 */     // GIR_Coverage, 50963,
     /* 2285418 */     GIR_EraseRootFromParent_Done,
     /* 2285419 */   // Label 30906: @2285419
     /* 2285419 */   GIM_Reject,
     /* 2285420 */ // Label 30904: @2285420
     /* 2285420 */ GIM_Reject,
     /* 2285421 */ // Label 30876: @2285421
     /* 2285421 */ GIM_Try, /*On fail goto*//*Label 30907*/ GIMT_Encode4(2285535),
     /* 2285426 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2285429 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2285432 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285436 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285440 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285444 */   GIM_Try, /*On fail goto*//*Label 30908*/ GIMT_Encode4(2285489), // Rule ID 51086 //
     /* 2285449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2285452 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2285455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2285469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285488 */     // GIR_Coverage, 51086,
     /* 2285488 */     GIR_EraseRootFromParent_Done,
     /* 2285489 */   // Label 30908: @2285489
     /* 2285489 */   GIM_Try, /*On fail goto*//*Label 30909*/ GIMT_Encode4(2285534), // Rule ID 51087 //
     /* 2285494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2285497 */     // (mulhs:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2285500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2285514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285533 */     // GIR_Coverage, 51087,
     /* 2285533 */     GIR_EraseRootFromParent_Done,
     /* 2285534 */   // Label 30909: @2285534
     /* 2285534 */   GIM_Reject,
     /* 2285535 */ // Label 30907: @2285535
     /* 2285535 */ GIM_Reject,
     /* 2285536 */ // Label 30877: @2285536
     /* 2285536 */ GIM_Try, /*On fail goto*//*Label 30910*/ GIMT_Encode4(2285650),
     /* 2285541 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2285544 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2285547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285555 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285559 */   GIM_Try, /*On fail goto*//*Label 30911*/ GIMT_Encode4(2285604), // Rule ID 50946 //
     /* 2285564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285567 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2285570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2285584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285603 */     // GIR_Coverage, 50946,
     /* 2285603 */     GIR_EraseRootFromParent_Done,
     /* 2285604 */   // Label 30911: @2285604
     /* 2285604 */   GIM_Try, /*On fail goto*//*Label 30912*/ GIMT_Encode4(2285649), // Rule ID 50947 //
     /* 2285609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285612 */     // (mulhs:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMULH_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2285615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF4),
     /* 2285629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285648 */     // GIR_Coverage, 50947,
     /* 2285648 */     GIR_EraseRootFromParent_Done,
     /* 2285649 */   // Label 30912: @2285649
     /* 2285649 */   GIM_Reject,
     /* 2285650 */ // Label 30910: @2285650
     /* 2285650 */ GIM_Reject,
     /* 2285651 */ // Label 30878: @2285651
     /* 2285651 */ GIM_Try, /*On fail goto*//*Label 30913*/ GIMT_Encode4(2285765),
     /* 2285656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2285659 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2285662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285670 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285674 */   GIM_Try, /*On fail goto*//*Label 30914*/ GIMT_Encode4(2285719), // Rule ID 50958 //
     /* 2285679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285682 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2285685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2285699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285718 */     // GIR_Coverage, 50958,
     /* 2285718 */     GIR_EraseRootFromParent_Done,
     /* 2285719 */   // Label 30914: @2285719
     /* 2285719 */   GIM_Try, /*On fail goto*//*Label 30915*/ GIMT_Encode4(2285764), // Rule ID 50959 //
     /* 2285724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285727 */     // (mulhs:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2285730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2285744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2285759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285763 */     // GIR_Coverage, 50959,
     /* 2285763 */     GIR_EraseRootFromParent_Done,
     /* 2285764 */   // Label 30915: @2285764
     /* 2285764 */   GIM_Reject,
     /* 2285765 */ // Label 30913: @2285765
     /* 2285765 */ GIM_Reject,
     /* 2285766 */ // Label 30879: @2285766
     /* 2285766 */ GIM_Try, /*On fail goto*//*Label 30916*/ GIMT_Encode4(2285880),
     /* 2285771 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2285774 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2285777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285785 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2285789 */   GIM_Try, /*On fail goto*//*Label 30917*/ GIMT_Encode4(2285834), // Rule ID 50974 //
     /* 2285794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2285797 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2285800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2285814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285833 */     // GIR_Coverage, 50974,
     /* 2285833 */     GIR_EraseRootFromParent_Done,
     /* 2285834 */   // Label 30917: @2285834
     /* 2285834 */   GIM_Try, /*On fail goto*//*Label 30918*/ GIMT_Encode4(2285879), // Rule ID 50975 //
     /* 2285839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2285842 */     // (mulhs:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2285845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2285859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2285874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285878 */     // GIR_Coverage, 50975,
     /* 2285878 */     GIR_EraseRootFromParent_Done,
     /* 2285879 */   // Label 30918: @2285879
     /* 2285879 */   GIM_Reject,
     /* 2285880 */ // Label 30916: @2285880
     /* 2285880 */ GIM_Reject,
     /* 2285881 */ // Label 30880: @2285881
     /* 2285881 */ GIM_Try, /*On fail goto*//*Label 30919*/ GIMT_Encode4(2285995),
     /* 2285886 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2285889 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2285892 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285896 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285900 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2285904 */   GIM_Try, /*On fail goto*//*Label 30920*/ GIMT_Encode4(2285949), // Rule ID 51090 //
     /* 2285909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2285912 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2285912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2285915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2285929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285948 */     // GIR_Coverage, 51090,
     /* 2285948 */     GIR_EraseRootFromParent_Done,
     /* 2285949 */   // Label 30920: @2285949
     /* 2285949 */   GIM_Try, /*On fail goto*//*Label 30921*/ GIMT_Encode4(2285994), // Rule ID 51091 //
     /* 2285954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2285957 */     // (mulhs:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2285957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2285960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2285964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2285969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2285971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2285974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2285976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2285979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2285981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2285983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2285986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2285989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2285992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2285993 */     // GIR_Coverage, 51091,
     /* 2285993 */     GIR_EraseRootFromParent_Done,
     /* 2285994 */   // Label 30921: @2285994
     /* 2285994 */   GIM_Reject,
     /* 2285995 */ // Label 30919: @2285995
     /* 2285995 */ GIM_Reject,
     /* 2285996 */ // Label 30881: @2285996
     /* 2285996 */ GIM_Try, /*On fail goto*//*Label 30922*/ GIMT_Encode4(2286110),
     /* 2286001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2286004 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2286007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286015 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286019 */   GIM_Try, /*On fail goto*//*Label 30923*/ GIMT_Encode4(2286064), // Rule ID 50950 //
     /* 2286024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286027 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2286030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2286044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286062 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286063 */     // GIR_Coverage, 50950,
     /* 2286063 */     GIR_EraseRootFromParent_Done,
     /* 2286064 */   // Label 30923: @2286064
     /* 2286064 */   GIM_Try, /*On fail goto*//*Label 30924*/ GIMT_Encode4(2286109), // Rule ID 50951 //
     /* 2286069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286072 */     // (mulhs:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMULH_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2286075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_MF2),
     /* 2286089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286108 */     // GIR_Coverage, 50951,
     /* 2286108 */     GIR_EraseRootFromParent_Done,
     /* 2286109 */   // Label 30924: @2286109
     /* 2286109 */   GIM_Reject,
     /* 2286110 */ // Label 30922: @2286110
     /* 2286110 */ GIM_Reject,
     /* 2286111 */ // Label 30882: @2286111
     /* 2286111 */ GIM_Try, /*On fail goto*//*Label 30925*/ GIMT_Encode4(2286225),
     /* 2286116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2286119 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2286122 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286126 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286130 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286134 */   GIM_Try, /*On fail goto*//*Label 30926*/ GIMT_Encode4(2286179), // Rule ID 50970 //
     /* 2286139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286142 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2286145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2286159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286178 */     // GIR_Coverage, 50970,
     /* 2286178 */     GIR_EraseRootFromParent_Done,
     /* 2286179 */   // Label 30926: @2286179
     /* 2286179 */   GIM_Try, /*On fail goto*//*Label 30927*/ GIMT_Encode4(2286224), // Rule ID 50971 //
     /* 2286184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286187 */     // (mulhs:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2286190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2286204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286223 */     // GIR_Coverage, 50971,
     /* 2286223 */     GIR_EraseRootFromParent_Done,
     /* 2286224 */   // Label 30927: @2286224
     /* 2286224 */   GIM_Reject,
     /* 2286225 */ // Label 30925: @2286225
     /* 2286225 */ GIM_Reject,
     /* 2286226 */ // Label 30883: @2286226
     /* 2286226 */ GIM_Try, /*On fail goto*//*Label 30928*/ GIMT_Encode4(2286340),
     /* 2286231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2286234 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2286237 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286241 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286245 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286249 */   GIM_Try, /*On fail goto*//*Label 30929*/ GIMT_Encode4(2286294), // Rule ID 51002 //
     /* 2286254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286257 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2286260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2286274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286293 */     // GIR_Coverage, 51002,
     /* 2286293 */     GIR_EraseRootFromParent_Done,
     /* 2286294 */   // Label 30929: @2286294
     /* 2286294 */   GIM_Try, /*On fail goto*//*Label 30930*/ GIMT_Encode4(2286339), // Rule ID 51003 //
     /* 2286299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286302 */     // (mulhs:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2286305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2286319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286338 */     // GIR_Coverage, 51003,
     /* 2286338 */     GIR_EraseRootFromParent_Done,
     /* 2286339 */   // Label 30930: @2286339
     /* 2286339 */   GIM_Reject,
     /* 2286340 */ // Label 30928: @2286340
     /* 2286340 */ GIM_Reject,
     /* 2286341 */ // Label 30884: @2286341
     /* 2286341 */ GIM_Try, /*On fail goto*//*Label 30931*/ GIMT_Encode4(2286455),
     /* 2286346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2286349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2286352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286364 */   GIM_Try, /*On fail goto*//*Label 30932*/ GIMT_Encode4(2286409), // Rule ID 51094 //
     /* 2286369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2286372 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2286375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2286389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286396 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286408 */     // GIR_Coverage, 51094,
     /* 2286408 */     GIR_EraseRootFromParent_Done,
     /* 2286409 */   // Label 30932: @2286409
     /* 2286409 */   GIM_Try, /*On fail goto*//*Label 30933*/ GIMT_Encode4(2286454), // Rule ID 51095 //
     /* 2286414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2286417 */     // (mulhs:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2286420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2286434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286453 */     // GIR_Coverage, 51095,
     /* 2286453 */     GIR_EraseRootFromParent_Done,
     /* 2286454 */   // Label 30933: @2286454
     /* 2286454 */   GIM_Reject,
     /* 2286455 */ // Label 30931: @2286455
     /* 2286455 */ GIM_Reject,
     /* 2286456 */ // Label 30885: @2286456
     /* 2286456 */ GIM_Try, /*On fail goto*//*Label 30934*/ GIMT_Encode4(2286570),
     /* 2286461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2286464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2286467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286475 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2286479 */   GIM_Try, /*On fail goto*//*Label 30935*/ GIMT_Encode4(2286524), // Rule ID 50966 //
     /* 2286484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286487 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2286490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2286504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286522 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286523 */     // GIR_Coverage, 50966,
     /* 2286523 */     GIR_EraseRootFromParent_Done,
     /* 2286524 */   // Label 30935: @2286524
     /* 2286524 */   GIM_Try, /*On fail goto*//*Label 30936*/ GIMT_Encode4(2286569), // Rule ID 50967 //
     /* 2286529 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286532 */     // (mulhs:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMULH_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286532 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2286535 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286539 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286544 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M1),
     /* 2286549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286551 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286568 */     // GIR_Coverage, 50967,
     /* 2286568 */     GIR_EraseRootFromParent_Done,
     /* 2286569 */   // Label 30936: @2286569
     /* 2286569 */   GIM_Reject,
     /* 2286570 */ // Label 30934: @2286570
     /* 2286570 */ GIM_Reject,
     /* 2286571 */ // Label 30886: @2286571
     /* 2286571 */ GIM_Try, /*On fail goto*//*Label 30937*/ GIMT_Encode4(2286685),
     /* 2286576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2286579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2286582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286594 */   GIM_Try, /*On fail goto*//*Label 30938*/ GIMT_Encode4(2286639), // Rule ID 50990 //
     /* 2286599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286602 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2286605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2286619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286638 */     // GIR_Coverage, 50990,
     /* 2286638 */     GIR_EraseRootFromParent_Done,
     /* 2286639 */   // Label 30938: @2286639
     /* 2286639 */   GIM_Try, /*On fail goto*//*Label 30939*/ GIMT_Encode4(2286684), // Rule ID 50991 //
     /* 2286644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286647 */     // (mulhs:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2286650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2286664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2286679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286683 */     // GIR_Coverage, 50991,
     /* 2286683 */     GIR_EraseRootFromParent_Done,
     /* 2286684 */   // Label 30939: @2286684
     /* 2286684 */   GIM_Reject,
     /* 2286685 */ // Label 30937: @2286685
     /* 2286685 */ GIM_Reject,
     /* 2286686 */ // Label 30887: @2286686
     /* 2286686 */ GIM_Try, /*On fail goto*//*Label 30940*/ GIMT_Encode4(2286800),
     /* 2286691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2286694 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2286697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286705 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2286709 */   GIM_Try, /*On fail goto*//*Label 30941*/ GIMT_Encode4(2286754), // Rule ID 51006 //
     /* 2286714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286717 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286717 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2286720 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286724 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286729 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2286734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286736 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286739 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286753 */     // GIR_Coverage, 51006,
     /* 2286753 */     GIR_EraseRootFromParent_Done,
     /* 2286754 */   // Label 30941: @2286754
     /* 2286754 */   GIM_Try, /*On fail goto*//*Label 30942*/ GIMT_Encode4(2286799), // Rule ID 51007 //
     /* 2286759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286762 */     // (mulhs:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286762 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2286765 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286769 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286774 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2286779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286781 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2286794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286798 */     // GIR_Coverage, 51007,
     /* 2286798 */     GIR_EraseRootFromParent_Done,
     /* 2286799 */   // Label 30942: @2286799
     /* 2286799 */   GIM_Reject,
     /* 2286800 */ // Label 30940: @2286800
     /* 2286800 */ GIM_Reject,
     /* 2286801 */ // Label 30888: @2286801
     /* 2286801 */ GIM_Try, /*On fail goto*//*Label 30943*/ GIMT_Encode4(2286915),
     /* 2286806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2286809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2286812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2286824 */   GIM_Try, /*On fail goto*//*Label 30944*/ GIMT_Encode4(2286869), // Rule ID 51098 //
     /* 2286829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode0),
     /* 2286832 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2286835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2286849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286868 */     // GIR_Coverage, 51098,
     /* 2286868 */     GIR_EraseRootFromParent_Done,
     /* 2286869 */   // Label 30944: @2286869
     /* 2286869 */   GIM_Try, /*On fail goto*//*Label 30945*/ GIMT_Encode4(2286914), // Rule ID 51099 //
     /* 2286874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsFullMultiply_HwMode1),
     /* 2286877 */     // (mulhs:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2286880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2286894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2286909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286913 */     // GIR_Coverage, 51099,
     /* 2286913 */     GIR_EraseRootFromParent_Done,
     /* 2286914 */   // Label 30945: @2286914
     /* 2286914 */   GIM_Reject,
     /* 2286915 */ // Label 30943: @2286915
     /* 2286915 */ GIM_Reject,
     /* 2286916 */ // Label 30889: @2286916
     /* 2286916 */ GIM_Try, /*On fail goto*//*Label 30946*/ GIMT_Encode4(2287030),
     /* 2286921 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2286924 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2286927 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286931 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286935 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2286939 */   GIM_Try, /*On fail goto*//*Label 30947*/ GIMT_Encode4(2286984), // Rule ID 50978 //
     /* 2286944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2286947 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2286947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2286950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2286959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2286961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2286964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2286966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2286969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2286971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2286973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2286976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2286982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2286983 */     // GIR_Coverage, 50978,
     /* 2286983 */     GIR_EraseRootFromParent_Done,
     /* 2286984 */   // Label 30947: @2286984
     /* 2286984 */   GIM_Try, /*On fail goto*//*Label 30948*/ GIMT_Encode4(2287029), // Rule ID 50979 //
     /* 2286989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2286992 */     // (mulhs:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMULH_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2286992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2286995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2286999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M2),
     /* 2287009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287027 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287028 */     // GIR_Coverage, 50979,
     /* 2287028 */     GIR_EraseRootFromParent_Done,
     /* 2287029 */   // Label 30948: @2287029
     /* 2287029 */   GIM_Reject,
     /* 2287030 */ // Label 30946: @2287030
     /* 2287030 */ GIM_Reject,
     /* 2287031 */ // Label 30890: @2287031
     /* 2287031 */ GIM_Try, /*On fail goto*//*Label 30949*/ GIMT_Encode4(2287145),
     /* 2287036 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2287039 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2287042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287050 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287054 */   GIM_Try, /*On fail goto*//*Label 30950*/ GIMT_Encode4(2287099), // Rule ID 50994 //
     /* 2287059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287062 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2287079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287097 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287098 */     // GIR_Coverage, 50994,
     /* 2287098 */     GIR_EraseRootFromParent_Done,
     /* 2287099 */   // Label 30950: @2287099
     /* 2287099 */   GIM_Try, /*On fail goto*//*Label 30951*/ GIMT_Encode4(2287144), // Rule ID 50995 //
     /* 2287104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287107 */     // (mulhs:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2287110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2287124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287143 */     // GIR_Coverage, 50995,
     /* 2287143 */     GIR_EraseRootFromParent_Done,
     /* 2287144 */   // Label 30951: @2287144
     /* 2287144 */   GIM_Reject,
     /* 2287145 */ // Label 30949: @2287145
     /* 2287145 */ GIM_Reject,
     /* 2287146 */ // Label 30891: @2287146
     /* 2287146 */ GIM_Try, /*On fail goto*//*Label 30952*/ GIMT_Encode4(2287260),
     /* 2287151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2287154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2287157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287169 */   GIM_Try, /*On fail goto*//*Label 30953*/ GIMT_Encode4(2287214), // Rule ID 51010 //
     /* 2287174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287177 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2287194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287213 */     // GIR_Coverage, 51010,
     /* 2287213 */     GIR_EraseRootFromParent_Done,
     /* 2287214 */   // Label 30953: @2287214
     /* 2287214 */   GIM_Try, /*On fail goto*//*Label 30954*/ GIMT_Encode4(2287259), // Rule ID 51011 //
     /* 2287219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287222 */     // (mulhs:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2287225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2287239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2287254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287258 */     // GIR_Coverage, 51011,
     /* 2287258 */     GIR_EraseRootFromParent_Done,
     /* 2287259 */   // Label 30954: @2287259
     /* 2287259 */   GIM_Reject,
     /* 2287260 */ // Label 30952: @2287260
     /* 2287260 */ GIM_Reject,
     /* 2287261 */ // Label 30892: @2287261
     /* 2287261 */ GIM_Try, /*On fail goto*//*Label 30955*/ GIMT_Encode4(2287375),
     /* 2287266 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2287269 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2287272 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287276 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287280 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2287284 */   GIM_Try, /*On fail goto*//*Label 30956*/ GIMT_Encode4(2287329), // Rule ID 50982 //
     /* 2287289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287292 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287292 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2287295 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287299 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287304 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2287309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287311 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287314 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287328 */     // GIR_Coverage, 50982,
     /* 2287328 */     GIR_EraseRootFromParent_Done,
     /* 2287329 */   // Label 30956: @2287329
     /* 2287329 */   GIM_Try, /*On fail goto*//*Label 30957*/ GIMT_Encode4(2287374), // Rule ID 50983 //
     /* 2287334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287337 */     // (mulhs:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMULH_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287337 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2287340 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287344 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287349 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M4),
     /* 2287354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287356 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287373 */     // GIR_Coverage, 50983,
     /* 2287373 */     GIR_EraseRootFromParent_Done,
     /* 2287374 */   // Label 30957: @2287374
     /* 2287374 */   GIM_Reject,
     /* 2287375 */ // Label 30955: @2287375
     /* 2287375 */ GIM_Reject,
     /* 2287376 */ // Label 30893: @2287376
     /* 2287376 */ GIM_Try, /*On fail goto*//*Label 30958*/ GIMT_Encode4(2287490),
     /* 2287381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2287384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2287387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287399 */   GIM_Try, /*On fail goto*//*Label 30959*/ GIMT_Encode4(2287444), // Rule ID 50998 //
     /* 2287404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287407 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2287410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2287424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287443 */     // GIR_Coverage, 50998,
     /* 2287443 */     GIR_EraseRootFromParent_Done,
     /* 2287444 */   // Label 30959: @2287444
     /* 2287444 */   GIM_Try, /*On fail goto*//*Label 30960*/ GIMT_Encode4(2287489), // Rule ID 50999 //
     /* 2287449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287452 */     // (mulhs:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287452 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2287455 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287459 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287464 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2287469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287471 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287474 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287476 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287488 */     // GIR_Coverage, 50999,
     /* 2287488 */     GIR_EraseRootFromParent_Done,
     /* 2287489 */   // Label 30960: @2287489
     /* 2287489 */   GIM_Reject,
     /* 2287490 */ // Label 30958: @2287490
     /* 2287490 */ GIM_Reject,
     /* 2287491 */ // Label 30894: @2287491
     /* 2287491 */ GIM_Try, /*On fail goto*//*Label 30961*/ GIMT_Encode4(2287605),
     /* 2287496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2287499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2287502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2287514 */   GIM_Try, /*On fail goto*//*Label 30962*/ GIMT_Encode4(2287559), // Rule ID 50986 //
     /* 2287519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287522 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2287525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2287539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287558 */     // GIR_Coverage, 50986,
     /* 2287558 */     GIR_EraseRootFromParent_Done,
     /* 2287559 */   // Label 30962: @2287559
     /* 2287559 */   GIM_Try, /*On fail goto*//*Label 30963*/ GIMT_Encode4(2287604), // Rule ID 50987 //
     /* 2287564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287567 */     // (mulhs:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMULH_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2287570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMULH_VV_M8),
     /* 2287584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287603 */     // GIR_Coverage, 50987,
     /* 2287603 */     GIR_EraseRootFromParent_Done,
     /* 2287604 */   // Label 30963: @2287604
     /* 2287604 */   GIM_Reject,
     /* 2287605 */ // Label 30961: @2287605
     /* 2287605 */ GIM_Reject,
     /* 2287606 */ // Label 30895: @2287606
     /* 2287606 */ GIM_Reject,
     /* 2287607 */ // Label 53: @2287607
     /* 2287607 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 30987*/ GIMT_Encode4(2290459),
     /* 2287618 */ /*GILLT_s32*//*Label 30964*/ GIMT_Encode4(2287742), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2287630 */ /*GILLT_nxv1s8*//*Label 30965*/ GIMT_Encode4(2287797),
     /* 2287634 */ /*GILLT_nxv1s16*//*Label 30966*/ GIMT_Encode4(2287918),
     /* 2287638 */ /*GILLT_nxv1s32*//*Label 30967*/ GIMT_Encode4(2288039),
     /* 2287642 */ /*GILLT_nxv1s64*//*Label 30968*/ GIMT_Encode4(2288160), GIMT_Encode4(0),
     /* 2287650 */ /*GILLT_nxv2s8*//*Label 30969*/ GIMT_Encode4(2288281),
     /* 2287654 */ /*GILLT_nxv2s16*//*Label 30970*/ GIMT_Encode4(2288402),
     /* 2287658 */ /*GILLT_nxv2s32*//*Label 30971*/ GIMT_Encode4(2288523),
     /* 2287662 */ /*GILLT_nxv2s64*//*Label 30972*/ GIMT_Encode4(2288644), GIMT_Encode4(0),
     /* 2287670 */ /*GILLT_nxv4s8*//*Label 30973*/ GIMT_Encode4(2288765),
     /* 2287674 */ /*GILLT_nxv4s16*//*Label 30974*/ GIMT_Encode4(2288886),
     /* 2287678 */ /*GILLT_nxv4s32*//*Label 30975*/ GIMT_Encode4(2289007),
     /* 2287682 */ /*GILLT_nxv4s64*//*Label 30976*/ GIMT_Encode4(2289128), GIMT_Encode4(0),
     /* 2287690 */ /*GILLT_nxv8s8*//*Label 30977*/ GIMT_Encode4(2289249),
     /* 2287694 */ /*GILLT_nxv8s16*//*Label 30978*/ GIMT_Encode4(2289370),
     /* 2287698 */ /*GILLT_nxv8s32*//*Label 30979*/ GIMT_Encode4(2289491),
     /* 2287702 */ /*GILLT_nxv8s64*//*Label 30980*/ GIMT_Encode4(2289612), GIMT_Encode4(0),
     /* 2287710 */ /*GILLT_nxv16s8*//*Label 30981*/ GIMT_Encode4(2289733),
     /* 2287714 */ /*GILLT_nxv16s16*//*Label 30982*/ GIMT_Encode4(2289854),
     /* 2287718 */ /*GILLT_nxv16s32*//*Label 30983*/ GIMT_Encode4(2289975), GIMT_Encode4(0),
     /* 2287726 */ /*GILLT_nxv32s8*//*Label 30984*/ GIMT_Encode4(2290096),
     /* 2287730 */ /*GILLT_nxv32s16*//*Label 30985*/ GIMT_Encode4(2290217), GIMT_Encode4(0),
     /* 2287738 */ /*GILLT_nxv64s8*//*Label 30986*/ GIMT_Encode4(2290338),
     /* 2287742 */ // Label 30964: @2287742
     /* 2287742 */ GIM_Try, /*On fail goto*//*Label 30988*/ GIMT_Encode4(2287796),
     /* 2287747 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2287750 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2287753 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2287757 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2287761 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2287765 */   GIM_Try, /*On fail goto*//*Label 30989*/ GIMT_Encode4(2287780), // Rule ID 64574 //
     /* 2287770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2287773 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2287773 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2287778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287779 */     // GIR_Coverage, 64574,
     /* 2287779 */     GIR_Done,
     /* 2287780 */   // Label 30989: @2287780
     /* 2287780 */   GIM_Try, /*On fail goto*//*Label 30990*/ GIMT_Encode4(2287795), // Rule ID 64575 //
     /* 2287785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2287788 */     // (uaddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2287788 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDUSAT),
     /* 2287793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287794 */     // GIR_Coverage, 64575,
     /* 2287794 */     GIR_Done,
     /* 2287795 */   // Label 30990: @2287795
     /* 2287795 */   GIM_Reject,
     /* 2287796 */ // Label 30988: @2287796
     /* 2287796 */ GIM_Reject,
     /* 2287797 */ // Label 30965: @2287797
     /* 2287797 */ GIM_Try, /*On fail goto*//*Label 30991*/ GIMT_Encode4(2287917),
     /* 2287802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2287805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2287808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287820 */   GIM_Try, /*On fail goto*//*Label 30992*/ GIMT_Encode4(2287868), // Rule ID 52502 //
     /* 2287825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287828 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2287831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2287845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287863 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287867 */     // GIR_Coverage, 52502,
     /* 2287867 */     GIR_EraseRootFromParent_Done,
     /* 2287868 */   // Label 30992: @2287868
     /* 2287868 */   GIM_Try, /*On fail goto*//*Label 30993*/ GIMT_Encode4(2287916), // Rule ID 52503 //
     /* 2287873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287876 */     // (uaddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2287879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF8),
     /* 2287893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287911 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287915 */     // GIR_Coverage, 52503,
     /* 2287915 */     GIR_EraseRootFromParent_Done,
     /* 2287916 */   // Label 30993: @2287916
     /* 2287916 */   GIM_Reject,
     /* 2287917 */ // Label 30991: @2287917
     /* 2287917 */ GIM_Reject,
     /* 2287918 */ // Label 30966: @2287918
     /* 2287918 */ GIM_Try, /*On fail goto*//*Label 30994*/ GIMT_Encode4(2288038),
     /* 2287923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2287926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2287929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2287941 */   GIM_Try, /*On fail goto*//*Label 30995*/ GIMT_Encode4(2287989), // Rule ID 52514 //
     /* 2287946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2287949 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2287949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2287952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2287956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2287961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2287963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2287966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2287968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2287971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2287973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2287975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2287978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2287981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2287984 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2287987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2287988 */     // GIR_Coverage, 52514,
     /* 2287988 */     GIR_EraseRootFromParent_Done,
     /* 2287989 */   // Label 30995: @2287989
     /* 2287989 */   GIM_Try, /*On fail goto*//*Label 30996*/ GIMT_Encode4(2288037), // Rule ID 52515 //
     /* 2287994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2287997 */     // (uaddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2287997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2288000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2288014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288032 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288036 */     // GIR_Coverage, 52515,
     /* 2288036 */     GIR_EraseRootFromParent_Done,
     /* 2288037 */   // Label 30996: @2288037
     /* 2288037 */   GIM_Reject,
     /* 2288038 */ // Label 30994: @2288038
     /* 2288038 */ GIM_Reject,
     /* 2288039 */ // Label 30967: @2288039
     /* 2288039 */ GIM_Try, /*On fail goto*//*Label 30997*/ GIMT_Encode4(2288159),
     /* 2288044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2288047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2288050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288062 */   GIM_Try, /*On fail goto*//*Label 30998*/ GIMT_Encode4(2288110), // Rule ID 52522 //
     /* 2288067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288070 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2288073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2288087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288105 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288109 */     // GIR_Coverage, 52522,
     /* 2288109 */     GIR_EraseRootFromParent_Done,
     /* 2288110 */   // Label 30998: @2288110
     /* 2288110 */   GIM_Try, /*On fail goto*//*Label 30999*/ GIMT_Encode4(2288158), // Rule ID 52523 //
     /* 2288115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288118 */     // (uaddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2288121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2288135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288153 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288157 */     // GIR_Coverage, 52523,
     /* 2288157 */     GIR_EraseRootFromParent_Done,
     /* 2288158 */   // Label 30999: @2288158
     /* 2288158 */   GIM_Reject,
     /* 2288159 */ // Label 30997: @2288159
     /* 2288159 */ GIM_Reject,
     /* 2288160 */ // Label 30968: @2288160
     /* 2288160 */ GIM_Try, /*On fail goto*//*Label 31000*/ GIMT_Encode4(2288280),
     /* 2288165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2288168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2288171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288183 */   GIM_Try, /*On fail goto*//*Label 31001*/ GIMT_Encode4(2288231), // Rule ID 52538 //
     /* 2288188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2288191 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2288194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2288208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288226 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288230 */     // GIR_Coverage, 52538,
     /* 2288230 */     GIR_EraseRootFromParent_Done,
     /* 2288231 */   // Label 31001: @2288231
     /* 2288231 */   GIM_Try, /*On fail goto*//*Label 31002*/ GIMT_Encode4(2288279), // Rule ID 52539 //
     /* 2288236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2288239 */     // (uaddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2288242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2288256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288274 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288278 */     // GIR_Coverage, 52539,
     /* 2288278 */     GIR_EraseRootFromParent_Done,
     /* 2288279 */   // Label 31002: @2288279
     /* 2288279 */   GIM_Reject,
     /* 2288280 */ // Label 31000: @2288280
     /* 2288280 */ GIM_Reject,
     /* 2288281 */ // Label 30969: @2288281
     /* 2288281 */ GIM_Try, /*On fail goto*//*Label 31003*/ GIMT_Encode4(2288401),
     /* 2288286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2288289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2288292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288304 */   GIM_Try, /*On fail goto*//*Label 31004*/ GIMT_Encode4(2288352), // Rule ID 52506 //
     /* 2288309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288312 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2288315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2288329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288347 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288351 */     // GIR_Coverage, 52506,
     /* 2288351 */     GIR_EraseRootFromParent_Done,
     /* 2288352 */   // Label 31004: @2288352
     /* 2288352 */   GIM_Try, /*On fail goto*//*Label 31005*/ GIMT_Encode4(2288400), // Rule ID 52507 //
     /* 2288357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288360 */     // (uaddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2288363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF4),
     /* 2288377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288395 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288399 */     // GIR_Coverage, 52507,
     /* 2288399 */     GIR_EraseRootFromParent_Done,
     /* 2288400 */   // Label 31005: @2288400
     /* 2288400 */   GIM_Reject,
     /* 2288401 */ // Label 31003: @2288401
     /* 2288401 */ GIM_Reject,
     /* 2288402 */ // Label 30970: @2288402
     /* 2288402 */ GIM_Try, /*On fail goto*//*Label 31006*/ GIMT_Encode4(2288522),
     /* 2288407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2288410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2288413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288425 */   GIM_Try, /*On fail goto*//*Label 31007*/ GIMT_Encode4(2288473), // Rule ID 52518 //
     /* 2288430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288433 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2288436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2288450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288468 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288472 */     // GIR_Coverage, 52518,
     /* 2288472 */     GIR_EraseRootFromParent_Done,
     /* 2288473 */   // Label 31007: @2288473
     /* 2288473 */   GIM_Try, /*On fail goto*//*Label 31008*/ GIMT_Encode4(2288521), // Rule ID 52519 //
     /* 2288478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288481 */     // (uaddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2288484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2288498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288516 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288520 */     // GIR_Coverage, 52519,
     /* 2288520 */     GIR_EraseRootFromParent_Done,
     /* 2288521 */   // Label 31008: @2288521
     /* 2288521 */   GIM_Reject,
     /* 2288522 */ // Label 31006: @2288522
     /* 2288522 */ GIM_Reject,
     /* 2288523 */ // Label 30971: @2288523
     /* 2288523 */ GIM_Try, /*On fail goto*//*Label 31009*/ GIMT_Encode4(2288643),
     /* 2288528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2288531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2288534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288546 */   GIM_Try, /*On fail goto*//*Label 31010*/ GIMT_Encode4(2288594), // Rule ID 52534 //
     /* 2288551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288554 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2288557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2288571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288589 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288593 */     // GIR_Coverage, 52534,
     /* 2288593 */     GIR_EraseRootFromParent_Done,
     /* 2288594 */   // Label 31010: @2288594
     /* 2288594 */   GIM_Try, /*On fail goto*//*Label 31011*/ GIMT_Encode4(2288642), // Rule ID 52535 //
     /* 2288599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288602 */     // (uaddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2288605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2288619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2288634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288637 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288641 */     // GIR_Coverage, 52535,
     /* 2288641 */     GIR_EraseRootFromParent_Done,
     /* 2288642 */   // Label 31011: @2288642
     /* 2288642 */   GIM_Reject,
     /* 2288643 */ // Label 31009: @2288643
     /* 2288643 */ GIM_Reject,
     /* 2288644 */ // Label 30972: @2288644
     /* 2288644 */ GIM_Try, /*On fail goto*//*Label 31012*/ GIMT_Encode4(2288764),
     /* 2288649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2288652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2288655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2288667 */   GIM_Try, /*On fail goto*//*Label 31013*/ GIMT_Encode4(2288715), // Rule ID 52578 //
     /* 2288672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2288675 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2288678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2288692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288710 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288714 */     // GIR_Coverage, 52578,
     /* 2288714 */     GIR_EraseRootFromParent_Done,
     /* 2288715 */   // Label 31013: @2288715
     /* 2288715 */   GIM_Try, /*On fail goto*//*Label 31014*/ GIMT_Encode4(2288763), // Rule ID 52579 //
     /* 2288720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2288723 */     // (uaddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2288726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2288740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2288755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288758 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288762 */     // GIR_Coverage, 52579,
     /* 2288762 */     GIR_EraseRootFromParent_Done,
     /* 2288763 */   // Label 31014: @2288763
     /* 2288763 */   GIM_Reject,
     /* 2288764 */ // Label 31012: @2288764
     /* 2288764 */ GIM_Reject,
     /* 2288765 */ // Label 30973: @2288765
     /* 2288765 */ GIM_Try, /*On fail goto*//*Label 31015*/ GIMT_Encode4(2288885),
     /* 2288770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2288773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2288776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288788 */   GIM_Try, /*On fail goto*//*Label 31016*/ GIMT_Encode4(2288836), // Rule ID 52510 //
     /* 2288793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288796 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2288799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2288813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288831 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288835 */     // GIR_Coverage, 52510,
     /* 2288835 */     GIR_EraseRootFromParent_Done,
     /* 2288836 */   // Label 31016: @2288836
     /* 2288836 */   GIM_Try, /*On fail goto*//*Label 31017*/ GIMT_Encode4(2288884), // Rule ID 52511 //
     /* 2288841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288844 */     // (uaddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADDU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2288847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_MF2),
     /* 2288861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288879 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288883 */     // GIR_Coverage, 52511,
     /* 2288883 */     GIR_EraseRootFromParent_Done,
     /* 2288884 */   // Label 31017: @2288884
     /* 2288884 */   GIM_Reject,
     /* 2288885 */ // Label 31015: @2288885
     /* 2288885 */ GIM_Reject,
     /* 2288886 */ // Label 30974: @2288886
     /* 2288886 */ GIM_Try, /*On fail goto*//*Label 31018*/ GIMT_Encode4(2289006),
     /* 2288891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2288894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2288897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2288909 */   GIM_Try, /*On fail goto*//*Label 31019*/ GIMT_Encode4(2288957), // Rule ID 52530 //
     /* 2288914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2288917 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2288917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2288920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2288934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2288952 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2288955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2288956 */     // GIR_Coverage, 52530,
     /* 2288956 */     GIR_EraseRootFromParent_Done,
     /* 2288957 */   // Label 31019: @2288957
     /* 2288957 */   GIM_Try, /*On fail goto*//*Label 31020*/ GIMT_Encode4(2289005), // Rule ID 52531 //
     /* 2288962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2288965 */     // (uaddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2288965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2288968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2288972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2288977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2288979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2288982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2288984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2288987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2288989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2288991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2288994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2288997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289000 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289004 */     // GIR_Coverage, 52531,
     /* 2289004 */     GIR_EraseRootFromParent_Done,
     /* 2289005 */   // Label 31020: @2289005
     /* 2289005 */   GIM_Reject,
     /* 2289006 */ // Label 31018: @2289006
     /* 2289006 */ GIM_Reject,
     /* 2289007 */ // Label 30975: @2289007
     /* 2289007 */ GIM_Try, /*On fail goto*//*Label 31021*/ GIMT_Encode4(2289127),
     /* 2289012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2289015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2289018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289030 */   GIM_Try, /*On fail goto*//*Label 31022*/ GIMT_Encode4(2289078), // Rule ID 52566 //
     /* 2289035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289038 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2289041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2289055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289073 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289077 */     // GIR_Coverage, 52566,
     /* 2289077 */     GIR_EraseRootFromParent_Done,
     /* 2289078 */   // Label 31022: @2289078
     /* 2289078 */   GIM_Try, /*On fail goto*//*Label 31023*/ GIMT_Encode4(2289126), // Rule ID 52567 //
     /* 2289083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289086 */     // (uaddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2289089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2289103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289121 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289125 */     // GIR_Coverage, 52567,
     /* 2289125 */     GIR_EraseRootFromParent_Done,
     /* 2289126 */   // Label 31023: @2289126
     /* 2289126 */   GIM_Reject,
     /* 2289127 */ // Label 31021: @2289127
     /* 2289127 */ GIM_Reject,
     /* 2289128 */ // Label 30976: @2289128
     /* 2289128 */ GIM_Try, /*On fail goto*//*Label 31024*/ GIMT_Encode4(2289248),
     /* 2289133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2289136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2289139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289151 */   GIM_Try, /*On fail goto*//*Label 31025*/ GIMT_Encode4(2289199), // Rule ID 52582 //
     /* 2289156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2289159 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2289162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2289176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289194 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289198 */     // GIR_Coverage, 52582,
     /* 2289198 */     GIR_EraseRootFromParent_Done,
     /* 2289199 */   // Label 31025: @2289199
     /* 2289199 */   GIM_Try, /*On fail goto*//*Label 31026*/ GIMT_Encode4(2289247), // Rule ID 52583 //
     /* 2289204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2289207 */     // (uaddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2289210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2289224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289242 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289246 */     // GIR_Coverage, 52583,
     /* 2289246 */     GIR_EraseRootFromParent_Done,
     /* 2289247 */   // Label 31026: @2289247
     /* 2289247 */   GIM_Reject,
     /* 2289248 */ // Label 31024: @2289248
     /* 2289248 */ GIM_Reject,
     /* 2289249 */ // Label 30977: @2289249
     /* 2289249 */ GIM_Try, /*On fail goto*//*Label 31027*/ GIMT_Encode4(2289369),
     /* 2289254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2289257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2289260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2289272 */   GIM_Try, /*On fail goto*//*Label 31028*/ GIMT_Encode4(2289320), // Rule ID 52526 //
     /* 2289277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289280 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2289283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2289297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289315 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289319 */     // GIR_Coverage, 52526,
     /* 2289319 */     GIR_EraseRootFromParent_Done,
     /* 2289320 */   // Label 31028: @2289320
     /* 2289320 */   GIM_Try, /*On fail goto*//*Label 31029*/ GIMT_Encode4(2289368), // Rule ID 52527 //
     /* 2289325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289328 */     // (uaddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADDU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2289331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M1),
     /* 2289345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289363 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289367 */     // GIR_Coverage, 52527,
     /* 2289367 */     GIR_EraseRootFromParent_Done,
     /* 2289368 */   // Label 31029: @2289368
     /* 2289368 */   GIM_Reject,
     /* 2289369 */ // Label 31027: @2289369
     /* 2289369 */ GIM_Reject,
     /* 2289370 */ // Label 30978: @2289370
     /* 2289370 */ GIM_Try, /*On fail goto*//*Label 31030*/ GIMT_Encode4(2289490),
     /* 2289375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2289378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2289381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289393 */   GIM_Try, /*On fail goto*//*Label 31031*/ GIMT_Encode4(2289441), // Rule ID 52554 //
     /* 2289398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289401 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2289404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2289418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289436 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289440 */     // GIR_Coverage, 52554,
     /* 2289440 */     GIR_EraseRootFromParent_Done,
     /* 2289441 */   // Label 31031: @2289441
     /* 2289441 */   GIM_Try, /*On fail goto*//*Label 31032*/ GIMT_Encode4(2289489), // Rule ID 52555 //
     /* 2289446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289449 */     // (uaddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2289452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2289466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289484 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289488 */     // GIR_Coverage, 52555,
     /* 2289488 */     GIR_EraseRootFromParent_Done,
     /* 2289489 */   // Label 31032: @2289489
     /* 2289489 */   GIM_Reject,
     /* 2289490 */ // Label 31030: @2289490
     /* 2289490 */ GIM_Reject,
     /* 2289491 */ // Label 30979: @2289491
     /* 2289491 */ GIM_Try, /*On fail goto*//*Label 31033*/ GIMT_Encode4(2289611),
     /* 2289496 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2289499 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2289502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289510 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289514 */   GIM_Try, /*On fail goto*//*Label 31034*/ GIMT_Encode4(2289562), // Rule ID 52570 //
     /* 2289519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289522 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2289525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2289539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289557 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289561 */     // GIR_Coverage, 52570,
     /* 2289561 */     GIR_EraseRootFromParent_Done,
     /* 2289562 */   // Label 31034: @2289562
     /* 2289562 */   GIM_Try, /*On fail goto*//*Label 31035*/ GIMT_Encode4(2289610), // Rule ID 52571 //
     /* 2289567 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289570 */     // (uaddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289570 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2289573 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289577 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289582 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2289587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289589 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2289602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289605 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289609 */     // GIR_Coverage, 52571,
     /* 2289609 */     GIR_EraseRootFromParent_Done,
     /* 2289610 */   // Label 31035: @2289610
     /* 2289610 */   GIM_Reject,
     /* 2289611 */ // Label 31033: @2289611
     /* 2289611 */ GIM_Reject,
     /* 2289612 */ // Label 30980: @2289612
     /* 2289612 */ GIM_Try, /*On fail goto*//*Label 31036*/ GIMT_Encode4(2289732),
     /* 2289617 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2289620 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2289623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289631 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289635 */   GIM_Try, /*On fail goto*//*Label 31037*/ GIMT_Encode4(2289683), // Rule ID 52586 //
     /* 2289640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2289643 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2289646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2289660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289678 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289682 */     // GIR_Coverage, 52586,
     /* 2289682 */     GIR_EraseRootFromParent_Done,
     /* 2289683 */   // Label 31037: @2289683
     /* 2289683 */   GIM_Try, /*On fail goto*//*Label 31038*/ GIMT_Encode4(2289731), // Rule ID 52587 //
     /* 2289688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2289691 */     // (uaddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289691 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2289694 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289698 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289703 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289705 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2289708 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289710 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2289723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289726 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289730 */     // GIR_Coverage, 52587,
     /* 2289730 */     GIR_EraseRootFromParent_Done,
     /* 2289731 */   // Label 31038: @2289731
     /* 2289731 */   GIM_Reject,
     /* 2289732 */ // Label 31036: @2289732
     /* 2289732 */ GIM_Reject,
     /* 2289733 */ // Label 30981: @2289733
     /* 2289733 */ GIM_Try, /*On fail goto*//*Label 31039*/ GIMT_Encode4(2289853),
     /* 2289738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2289741 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2289744 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289748 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289752 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2289756 */   GIM_Try, /*On fail goto*//*Label 31040*/ GIMT_Encode4(2289804), // Rule ID 52542 //
     /* 2289761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289764 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2289767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2289781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289799 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289803 */     // GIR_Coverage, 52542,
     /* 2289803 */     GIR_EraseRootFromParent_Done,
     /* 2289804 */   // Label 31040: @2289804
     /* 2289804 */   GIM_Try, /*On fail goto*//*Label 31041*/ GIMT_Encode4(2289852), // Rule ID 52543 //
     /* 2289809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289812 */     // (uaddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADDU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2289815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M2),
     /* 2289829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289847 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289851 */     // GIR_Coverage, 52543,
     /* 2289851 */     GIR_EraseRootFromParent_Done,
     /* 2289852 */   // Label 31041: @2289852
     /* 2289852 */   GIM_Reject,
     /* 2289853 */ // Label 31039: @2289853
     /* 2289853 */ GIM_Reject,
     /* 2289854 */ // Label 30982: @2289854
     /* 2289854 */ GIM_Try, /*On fail goto*//*Label 31042*/ GIMT_Encode4(2289974),
     /* 2289859 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2289862 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2289865 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289869 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289873 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2289877 */   GIM_Try, /*On fail goto*//*Label 31043*/ GIMT_Encode4(2289925), // Rule ID 52558 //
     /* 2289882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2289885 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2289885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2289888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2289902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289920 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289924 */     // GIR_Coverage, 52558,
     /* 2289924 */     GIR_EraseRootFromParent_Done,
     /* 2289925 */   // Label 31043: @2289925
     /* 2289925 */   GIM_Try, /*On fail goto*//*Label 31044*/ GIMT_Encode4(2289973), // Rule ID 52559 //
     /* 2289930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2289933 */     // (uaddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2289933 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2289936 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2289940 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2289945 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2289947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2289950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2289952 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2289955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2289957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2289959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2289962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2289965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2289968 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2289971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2289972 */     // GIR_Coverage, 52559,
     /* 2289972 */     GIR_EraseRootFromParent_Done,
     /* 2289973 */   // Label 31044: @2289973
     /* 2289973 */   GIM_Reject,
     /* 2289974 */ // Label 31042: @2289974
     /* 2289974 */ GIM_Reject,
     /* 2289975 */ // Label 30983: @2289975
     /* 2289975 */ GIM_Try, /*On fail goto*//*Label 31045*/ GIMT_Encode4(2290095),
     /* 2289980 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2289983 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2289986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289994 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2289998 */   GIM_Try, /*On fail goto*//*Label 31046*/ GIMT_Encode4(2290046), // Rule ID 52574 //
     /* 2290003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290006 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2290009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2290023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290041 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290045 */     // GIR_Coverage, 52574,
     /* 2290045 */     GIR_EraseRootFromParent_Done,
     /* 2290046 */   // Label 31046: @2290046
     /* 2290046 */   GIM_Try, /*On fail goto*//*Label 31047*/ GIMT_Encode4(2290094), // Rule ID 52575 //
     /* 2290051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290054 */     // (uaddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2290057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2290071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290089 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290093 */     // GIR_Coverage, 52575,
     /* 2290093 */     GIR_EraseRootFromParent_Done,
     /* 2290094 */   // Label 31047: @2290094
     /* 2290094 */   GIM_Reject,
     /* 2290095 */ // Label 31045: @2290095
     /* 2290095 */ GIM_Reject,
     /* 2290096 */ // Label 30984: @2290096
     /* 2290096 */ GIM_Try, /*On fail goto*//*Label 31048*/ GIMT_Encode4(2290216),
     /* 2290101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2290104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2290107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290115 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2290119 */   GIM_Try, /*On fail goto*//*Label 31049*/ GIMT_Encode4(2290167), // Rule ID 52546 //
     /* 2290124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290127 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2290130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2290144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290162 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290166 */     // GIR_Coverage, 52546,
     /* 2290166 */     GIR_EraseRootFromParent_Done,
     /* 2290167 */   // Label 31049: @2290167
     /* 2290167 */   GIM_Try, /*On fail goto*//*Label 31050*/ GIMT_Encode4(2290215), // Rule ID 52547 //
     /* 2290172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290175 */     // (uaddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADDU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2290178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M4),
     /* 2290192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290210 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290214 */     // GIR_Coverage, 52547,
     /* 2290214 */     GIR_EraseRootFromParent_Done,
     /* 2290215 */   // Label 31050: @2290215
     /* 2290215 */   GIM_Reject,
     /* 2290216 */ // Label 31048: @2290216
     /* 2290216 */ GIM_Reject,
     /* 2290217 */ // Label 30985: @2290217
     /* 2290217 */ GIM_Try, /*On fail goto*//*Label 31051*/ GIMT_Encode4(2290337),
     /* 2290222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2290225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2290228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2290232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2290236 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2290240 */   GIM_Try, /*On fail goto*//*Label 31052*/ GIMT_Encode4(2290288), // Rule ID 52562 //
     /* 2290245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290248 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2290251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2290265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290283 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290287 */     // GIR_Coverage, 52562,
     /* 2290287 */     GIR_EraseRootFromParent_Done,
     /* 2290288 */   // Label 31052: @2290288
     /* 2290288 */   GIM_Try, /*On fail goto*//*Label 31053*/ GIMT_Encode4(2290336), // Rule ID 52563 //
     /* 2290293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290296 */     // (uaddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2290299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2290313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290331 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290335 */     // GIR_Coverage, 52563,
     /* 2290335 */     GIR_EraseRootFromParent_Done,
     /* 2290336 */   // Label 31053: @2290336
     /* 2290336 */   GIM_Reject,
     /* 2290337 */ // Label 31051: @2290337
     /* 2290337 */ GIM_Reject,
     /* 2290338 */ // Label 30986: @2290338
     /* 2290338 */ GIM_Try, /*On fail goto*//*Label 31054*/ GIMT_Encode4(2290458),
     /* 2290343 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2290346 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2290349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2290353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2290357 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2290361 */   GIM_Try, /*On fail goto*//*Label 31055*/ GIMT_Encode4(2290409), // Rule ID 52550 //
     /* 2290366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290369 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2290372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2290386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290404 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290408 */     // GIR_Coverage, 52550,
     /* 2290408 */     GIR_EraseRootFromParent_Done,
     /* 2290409 */   // Label 31055: @2290409
     /* 2290409 */   GIM_Try, /*On fail goto*//*Label 31056*/ GIMT_Encode4(2290457), // Rule ID 52551 //
     /* 2290414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290417 */     // (uaddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADDU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290417 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2290420 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290424 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290429 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADDU_VV_M8),
     /* 2290434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290436 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290439 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290452 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290456 */     // GIR_Coverage, 52551,
     /* 2290456 */     GIR_EraseRootFromParent_Done,
     /* 2290457 */   // Label 31056: @2290457
     /* 2290457 */   GIM_Reject,
     /* 2290458 */ // Label 31054: @2290458
     /* 2290458 */ GIM_Reject,
     /* 2290459 */ // Label 30987: @2290459
     /* 2290459 */ GIM_Reject,
     /* 2290460 */ // Label 54: @2290460
     /* 2290460 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31080*/ GIMT_Encode4(2293312),
     /* 2290471 */ /*GILLT_s32*//*Label 31057*/ GIMT_Encode4(2290595), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2290483 */ /*GILLT_nxv1s8*//*Label 31058*/ GIMT_Encode4(2290650),
     /* 2290487 */ /*GILLT_nxv1s16*//*Label 31059*/ GIMT_Encode4(2290771),
     /* 2290491 */ /*GILLT_nxv1s32*//*Label 31060*/ GIMT_Encode4(2290892),
     /* 2290495 */ /*GILLT_nxv1s64*//*Label 31061*/ GIMT_Encode4(2291013), GIMT_Encode4(0),
     /* 2290503 */ /*GILLT_nxv2s8*//*Label 31062*/ GIMT_Encode4(2291134),
     /* 2290507 */ /*GILLT_nxv2s16*//*Label 31063*/ GIMT_Encode4(2291255),
     /* 2290511 */ /*GILLT_nxv2s32*//*Label 31064*/ GIMT_Encode4(2291376),
     /* 2290515 */ /*GILLT_nxv2s64*//*Label 31065*/ GIMT_Encode4(2291497), GIMT_Encode4(0),
     /* 2290523 */ /*GILLT_nxv4s8*//*Label 31066*/ GIMT_Encode4(2291618),
     /* 2290527 */ /*GILLT_nxv4s16*//*Label 31067*/ GIMT_Encode4(2291739),
     /* 2290531 */ /*GILLT_nxv4s32*//*Label 31068*/ GIMT_Encode4(2291860),
     /* 2290535 */ /*GILLT_nxv4s64*//*Label 31069*/ GIMT_Encode4(2291981), GIMT_Encode4(0),
     /* 2290543 */ /*GILLT_nxv8s8*//*Label 31070*/ GIMT_Encode4(2292102),
     /* 2290547 */ /*GILLT_nxv8s16*//*Label 31071*/ GIMT_Encode4(2292223),
     /* 2290551 */ /*GILLT_nxv8s32*//*Label 31072*/ GIMT_Encode4(2292344),
     /* 2290555 */ /*GILLT_nxv8s64*//*Label 31073*/ GIMT_Encode4(2292465), GIMT_Encode4(0),
     /* 2290563 */ /*GILLT_nxv16s8*//*Label 31074*/ GIMT_Encode4(2292586),
     /* 2290567 */ /*GILLT_nxv16s16*//*Label 31075*/ GIMT_Encode4(2292707),
     /* 2290571 */ /*GILLT_nxv16s32*//*Label 31076*/ GIMT_Encode4(2292828), GIMT_Encode4(0),
     /* 2290579 */ /*GILLT_nxv32s8*//*Label 31077*/ GIMT_Encode4(2292949),
     /* 2290583 */ /*GILLT_nxv32s16*//*Label 31078*/ GIMT_Encode4(2293070), GIMT_Encode4(0),
     /* 2290591 */ /*GILLT_nxv64s8*//*Label 31079*/ GIMT_Encode4(2293191),
     /* 2290595 */ // Label 31057: @2290595
     /* 2290595 */ GIM_Try, /*On fail goto*//*Label 31081*/ GIMT_Encode4(2290649),
     /* 2290600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2290603 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2290606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2290610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2290614 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2290618 */   GIM_Try, /*On fail goto*//*Label 31082*/ GIMT_Encode4(2290633), // Rule ID 64572 //
     /* 2290623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2290626 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2290626 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2290631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290632 */     // GIR_Coverage, 64572,
     /* 2290632 */     GIR_Done,
     /* 2290633 */   // Label 31082: @2290633
     /* 2290633 */   GIM_Try, /*On fail goto*//*Label 31083*/ GIMT_Encode4(2290648), // Rule ID 64573 //
     /* 2290638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2290641 */     // (saddsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_ADDSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2290641 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_ADDSAT),
     /* 2290646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290647 */     // GIR_Coverage, 64573,
     /* 2290647 */     GIR_Done,
     /* 2290648 */   // Label 31083: @2290648
     /* 2290648 */   GIM_Reject,
     /* 2290649 */ // Label 31081: @2290649
     /* 2290649 */ GIM_Reject,
     /* 2290650 */ // Label 31058: @2290650
     /* 2290650 */ GIM_Try, /*On fail goto*//*Label 31084*/ GIMT_Encode4(2290770),
     /* 2290655 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2290658 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2290661 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290665 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290669 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290673 */   GIM_Try, /*On fail goto*//*Label 31085*/ GIMT_Encode4(2290721), // Rule ID 52370 //
     /* 2290678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290681 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2290684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2290698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290716 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290720 */     // GIR_Coverage, 52370,
     /* 2290720 */     GIR_EraseRootFromParent_Done,
     /* 2290721 */   // Label 31085: @2290721
     /* 2290721 */   GIM_Try, /*On fail goto*//*Label 31086*/ GIMT_Encode4(2290769), // Rule ID 52371 //
     /* 2290726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290729 */     // (saddsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSADD_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2290732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF8),
     /* 2290746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290764 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290768 */     // GIR_Coverage, 52371,
     /* 2290768 */     GIR_EraseRootFromParent_Done,
     /* 2290769 */   // Label 31086: @2290769
     /* 2290769 */   GIM_Reject,
     /* 2290770 */ // Label 31084: @2290770
     /* 2290770 */ GIM_Reject,
     /* 2290771 */ // Label 31059: @2290771
     /* 2290771 */ GIM_Try, /*On fail goto*//*Label 31087*/ GIMT_Encode4(2290891),
     /* 2290776 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2290779 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2290782 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290786 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290790 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290794 */   GIM_Try, /*On fail goto*//*Label 31088*/ GIMT_Encode4(2290842), // Rule ID 52382 //
     /* 2290799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290802 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290802 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2290805 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290809 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290814 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2290819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290821 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290824 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290826 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290837 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290840 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290841 */     // GIR_Coverage, 52382,
     /* 2290841 */     GIR_EraseRootFromParent_Done,
     /* 2290842 */   // Label 31088: @2290842
     /* 2290842 */   GIM_Try, /*On fail goto*//*Label 31089*/ GIMT_Encode4(2290890), // Rule ID 52383 //
     /* 2290847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290850 */     // (saddsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290850 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2290853 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290857 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290862 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2290867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290869 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290872 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2290882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290885 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290889 */     // GIR_Coverage, 52383,
     /* 2290889 */     GIR_EraseRootFromParent_Done,
     /* 2290890 */   // Label 31089: @2290890
     /* 2290890 */   GIM_Reject,
     /* 2290891 */ // Label 31087: @2290891
     /* 2290891 */ GIM_Reject,
     /* 2290892 */ // Label 31060: @2290892
     /* 2290892 */ GIM_Try, /*On fail goto*//*Label 31090*/ GIMT_Encode4(2291012),
     /* 2290897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2290900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2290903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290911 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2290915 */   GIM_Try, /*On fail goto*//*Label 31091*/ GIMT_Encode4(2290963), // Rule ID 52390 //
     /* 2290920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2290923 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2290923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2290926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2290940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290947 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2290952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2290955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2290958 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2290961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2290962 */     // GIR_Coverage, 52390,
     /* 2290962 */     GIR_EraseRootFromParent_Done,
     /* 2290963 */   // Label 31091: @2290963
     /* 2290963 */   GIM_Try, /*On fail goto*//*Label 31092*/ GIMT_Encode4(2291011), // Rule ID 52391 //
     /* 2290968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2290971 */     // (saddsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2290971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2290974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2290978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2290983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2290985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2290988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2290990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2290993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2290995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2290997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291006 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291010 */     // GIR_Coverage, 52391,
     /* 2291010 */     GIR_EraseRootFromParent_Done,
     /* 2291011 */   // Label 31092: @2291011
     /* 2291011 */   GIM_Reject,
     /* 2291012 */ // Label 31090: @2291012
     /* 2291012 */ GIM_Reject,
     /* 2291013 */ // Label 31061: @2291013
     /* 2291013 */ GIM_Try, /*On fail goto*//*Label 31093*/ GIMT_Encode4(2291133),
     /* 2291018 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2291021 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2291024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291032 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291036 */   GIM_Try, /*On fail goto*//*Label 31094*/ GIMT_Encode4(2291084), // Rule ID 52406 //
     /* 2291041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2291044 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291044 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2291047 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291051 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291056 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291058 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2291061 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291063 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291079 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291083 */     // GIR_Coverage, 52406,
     /* 2291083 */     GIR_EraseRootFromParent_Done,
     /* 2291084 */   // Label 31094: @2291084
     /* 2291084 */   GIM_Try, /*On fail goto*//*Label 31095*/ GIMT_Encode4(2291132), // Rule ID 52407 //
     /* 2291089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2291092 */     // (saddsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2291095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2291109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291116 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291124 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291127 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291130 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291131 */     // GIR_Coverage, 52407,
     /* 2291131 */     GIR_EraseRootFromParent_Done,
     /* 2291132 */   // Label 31095: @2291132
     /* 2291132 */   GIM_Reject,
     /* 2291133 */ // Label 31093: @2291133
     /* 2291133 */ GIM_Reject,
     /* 2291134 */ // Label 31062: @2291134
     /* 2291134 */ GIM_Try, /*On fail goto*//*Label 31096*/ GIMT_Encode4(2291254),
     /* 2291139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2291142 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2291145 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291149 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291153 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291157 */   GIM_Try, /*On fail goto*//*Label 31097*/ GIMT_Encode4(2291205), // Rule ID 52374 //
     /* 2291162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291165 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2291168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2291182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291189 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291200 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291204 */     // GIR_Coverage, 52374,
     /* 2291204 */     GIR_EraseRootFromParent_Done,
     /* 2291205 */   // Label 31097: @2291205
     /* 2291205 */   GIM_Try, /*On fail goto*//*Label 31098*/ GIMT_Encode4(2291253), // Rule ID 52375 //
     /* 2291210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291213 */     // (saddsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSADD_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291213 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2291216 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291220 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291225 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291227 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF4),
     /* 2291230 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291232 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291235 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291237 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291248 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291252 */     // GIR_Coverage, 52375,
     /* 2291252 */     GIR_EraseRootFromParent_Done,
     /* 2291253 */   // Label 31098: @2291253
     /* 2291253 */   GIM_Reject,
     /* 2291254 */ // Label 31096: @2291254
     /* 2291254 */ GIM_Reject,
     /* 2291255 */ // Label 31063: @2291255
     /* 2291255 */ GIM_Try, /*On fail goto*//*Label 31099*/ GIMT_Encode4(2291375),
     /* 2291260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2291263 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2291266 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291270 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291274 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291278 */   GIM_Try, /*On fail goto*//*Label 31100*/ GIMT_Encode4(2291326), // Rule ID 52386 //
     /* 2291283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291286 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291286 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2291289 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291293 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291298 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2291303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291305 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291310 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291321 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291325 */     // GIR_Coverage, 52386,
     /* 2291325 */     GIR_EraseRootFromParent_Done,
     /* 2291326 */   // Label 31100: @2291326
     /* 2291326 */   GIM_Try, /*On fail goto*//*Label 31101*/ GIMT_Encode4(2291374), // Rule ID 52387 //
     /* 2291331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291334 */     // (saddsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291334 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2291337 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291341 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291346 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2291351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291353 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291369 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291373 */     // GIR_Coverage, 52387,
     /* 2291373 */     GIR_EraseRootFromParent_Done,
     /* 2291374 */   // Label 31101: @2291374
     /* 2291374 */   GIM_Reject,
     /* 2291375 */ // Label 31099: @2291375
     /* 2291375 */ GIM_Reject,
     /* 2291376 */ // Label 31064: @2291376
     /* 2291376 */ GIM_Try, /*On fail goto*//*Label 31102*/ GIMT_Encode4(2291496),
     /* 2291381 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2291384 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2291387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291395 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291399 */   GIM_Try, /*On fail goto*//*Label 31103*/ GIMT_Encode4(2291447), // Rule ID 52402 //
     /* 2291404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291407 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291407 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2291410 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291414 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291419 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2291424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291426 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291442 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291446 */     // GIR_Coverage, 52402,
     /* 2291446 */     GIR_EraseRootFromParent_Done,
     /* 2291447 */   // Label 31103: @2291447
     /* 2291447 */   GIM_Try, /*On fail goto*//*Label 31104*/ GIMT_Encode4(2291495), // Rule ID 52403 //
     /* 2291452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291455 */     // (saddsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291455 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2291458 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291462 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291467 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291469 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2291472 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291474 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291477 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291490 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291494 */     // GIR_Coverage, 52403,
     /* 2291494 */     GIR_EraseRootFromParent_Done,
     /* 2291495 */   // Label 31104: @2291495
     /* 2291495 */   GIM_Reject,
     /* 2291496 */ // Label 31102: @2291496
     /* 2291496 */ GIM_Reject,
     /* 2291497 */ // Label 31065: @2291497
     /* 2291497 */ GIM_Try, /*On fail goto*//*Label 31105*/ GIMT_Encode4(2291617),
     /* 2291502 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2291505 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2291508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291516 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291520 */   GIM_Try, /*On fail goto*//*Label 31106*/ GIMT_Encode4(2291568), // Rule ID 52446 //
     /* 2291525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2291528 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291528 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2291531 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291535 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291540 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291542 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2291545 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291547 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291552 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291563 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291566 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291567 */     // GIR_Coverage, 52446,
     /* 2291567 */     GIR_EraseRootFromParent_Done,
     /* 2291568 */   // Label 31106: @2291568
     /* 2291568 */   GIM_Try, /*On fail goto*//*Label 31107*/ GIMT_Encode4(2291616), // Rule ID 52447 //
     /* 2291573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2291576 */     // (saddsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291576 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2291579 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291583 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291588 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2291593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291595 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291600 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2291608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291611 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291615 */     // GIR_Coverage, 52447,
     /* 2291615 */     GIR_EraseRootFromParent_Done,
     /* 2291616 */   // Label 31107: @2291616
     /* 2291616 */   GIM_Reject,
     /* 2291617 */ // Label 31105: @2291617
     /* 2291617 */ GIM_Reject,
     /* 2291618 */ // Label 31066: @2291618
     /* 2291618 */ GIM_Try, /*On fail goto*//*Label 31108*/ GIMT_Encode4(2291738),
     /* 2291623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2291626 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2291629 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291633 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291637 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291641 */   GIM_Try, /*On fail goto*//*Label 31109*/ GIMT_Encode4(2291689), // Rule ID 52378 //
     /* 2291646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291649 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291649 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2291652 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291656 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291661 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2291666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291668 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291673 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291684 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291688 */     // GIR_Coverage, 52378,
     /* 2291688 */     GIR_EraseRootFromParent_Done,
     /* 2291689 */   // Label 31109: @2291689
     /* 2291689 */   GIM_Try, /*On fail goto*//*Label 31110*/ GIMT_Encode4(2291737), // Rule ID 52379 //
     /* 2291694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291697 */     // (saddsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSADD_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291697 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2291700 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291704 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291709 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_MF2),
     /* 2291714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291716 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291719 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291732 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291736 */     // GIR_Coverage, 52379,
     /* 2291736 */     GIR_EraseRootFromParent_Done,
     /* 2291737 */   // Label 31110: @2291737
     /* 2291737 */   GIM_Reject,
     /* 2291738 */ // Label 31108: @2291738
     /* 2291738 */ GIM_Reject,
     /* 2291739 */ // Label 31067: @2291739
     /* 2291739 */ GIM_Try, /*On fail goto*//*Label 31111*/ GIMT_Encode4(2291859),
     /* 2291744 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2291747 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2291750 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291754 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291758 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2291762 */   GIM_Try, /*On fail goto*//*Label 31112*/ GIMT_Encode4(2291810), // Rule ID 52398 //
     /* 2291767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291770 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2291773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2291787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291794 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291805 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291809 */     // GIR_Coverage, 52398,
     /* 2291809 */     GIR_EraseRootFromParent_Done,
     /* 2291810 */   // Label 31112: @2291810
     /* 2291810 */   GIM_Try, /*On fail goto*//*Label 31113*/ GIMT_Encode4(2291858), // Rule ID 52399 //
     /* 2291815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291818 */     // (saddsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2291821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2291835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2291850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291853 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291857 */     // GIR_Coverage, 52399,
     /* 2291857 */     GIR_EraseRootFromParent_Done,
     /* 2291858 */   // Label 31113: @2291858
     /* 2291858 */   GIM_Reject,
     /* 2291859 */ // Label 31111: @2291859
     /* 2291859 */ GIM_Reject,
     /* 2291860 */ // Label 31068: @2291860
     /* 2291860 */ GIM_Try, /*On fail goto*//*Label 31114*/ GIMT_Encode4(2291980),
     /* 2291865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2291868 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2291871 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291875 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291879 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2291883 */   GIM_Try, /*On fail goto*//*Label 31115*/ GIMT_Encode4(2291931), // Rule ID 52434 //
     /* 2291888 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2291891 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2291891 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2291894 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291898 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291903 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2291908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291910 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291926 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291930 */     // GIR_Coverage, 52434,
     /* 2291930 */     GIR_EraseRootFromParent_Done,
     /* 2291931 */   // Label 31115: @2291931
     /* 2291931 */   GIM_Try, /*On fail goto*//*Label 31116*/ GIMT_Encode4(2291979), // Rule ID 52435 //
     /* 2291936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2291939 */     // (saddsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2291939 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2291942 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2291946 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2291951 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2291953 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2291956 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2291958 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2291961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2291963 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2291965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2291968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2291971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2291974 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2291977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2291978 */     // GIR_Coverage, 52435,
     /* 2291978 */     GIR_EraseRootFromParent_Done,
     /* 2291979 */   // Label 31116: @2291979
     /* 2291979 */   GIM_Reject,
     /* 2291980 */ // Label 31114: @2291980
     /* 2291980 */ GIM_Reject,
     /* 2291981 */ // Label 31069: @2291981
     /* 2291981 */ GIM_Try, /*On fail goto*//*Label 31117*/ GIMT_Encode4(2292101),
     /* 2291986 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2291989 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2291992 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2291996 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292000 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292004 */   GIM_Try, /*On fail goto*//*Label 31118*/ GIMT_Encode4(2292052), // Rule ID 52450 //
     /* 2292009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2292012 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292012 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2292015 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292019 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292024 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292026 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2292029 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292031 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292034 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292036 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292047 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292051 */     // GIR_Coverage, 52450,
     /* 2292051 */     GIR_EraseRootFromParent_Done,
     /* 2292052 */   // Label 31118: @2292052
     /* 2292052 */   GIM_Try, /*On fail goto*//*Label 31119*/ GIMT_Encode4(2292100), // Rule ID 52451 //
     /* 2292057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2292060 */     // (saddsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2292063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2292077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292084 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292095 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292098 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292099 */     // GIR_Coverage, 52451,
     /* 2292099 */     GIR_EraseRootFromParent_Done,
     /* 2292100 */   // Label 31119: @2292100
     /* 2292100 */   GIM_Reject,
     /* 2292101 */ // Label 31117: @2292101
     /* 2292101 */ GIM_Reject,
     /* 2292102 */ // Label 31070: @2292102
     /* 2292102 */ GIM_Try, /*On fail goto*//*Label 31120*/ GIMT_Encode4(2292222),
     /* 2292107 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2292110 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2292113 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292117 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292121 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2292125 */   GIM_Try, /*On fail goto*//*Label 31121*/ GIMT_Encode4(2292173), // Rule ID 52394 //
     /* 2292130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292133 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2292136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2292150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292157 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292168 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292172 */     // GIR_Coverage, 52394,
     /* 2292172 */     GIR_EraseRootFromParent_Done,
     /* 2292173 */   // Label 31121: @2292173
     /* 2292173 */   GIM_Try, /*On fail goto*//*Label 31122*/ GIMT_Encode4(2292221), // Rule ID 52395 //
     /* 2292178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292181 */     // (saddsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSADD_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2292184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M1),
     /* 2292198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292216 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292220 */     // GIR_Coverage, 52395,
     /* 2292220 */     GIR_EraseRootFromParent_Done,
     /* 2292221 */   // Label 31122: @2292221
     /* 2292221 */   GIM_Reject,
     /* 2292222 */ // Label 31120: @2292222
     /* 2292222 */ GIM_Reject,
     /* 2292223 */ // Label 31071: @2292223
     /* 2292223 */ GIM_Try, /*On fail goto*//*Label 31123*/ GIMT_Encode4(2292343),
     /* 2292228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2292231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2292234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292242 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292246 */   GIM_Try, /*On fail goto*//*Label 31124*/ GIMT_Encode4(2292294), // Rule ID 52422 //
     /* 2292251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292254 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2292257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2292271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292289 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292293 */     // GIR_Coverage, 52422,
     /* 2292293 */     GIR_EraseRootFromParent_Done,
     /* 2292294 */   // Label 31124: @2292294
     /* 2292294 */   GIM_Try, /*On fail goto*//*Label 31125*/ GIMT_Encode4(2292342), // Rule ID 52423 //
     /* 2292299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292302 */     // (saddsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2292305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2292319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292337 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292341 */     // GIR_Coverage, 52423,
     /* 2292341 */     GIR_EraseRootFromParent_Done,
     /* 2292342 */   // Label 31125: @2292342
     /* 2292342 */   GIM_Reject,
     /* 2292343 */ // Label 31123: @2292343
     /* 2292343 */ GIM_Reject,
     /* 2292344 */ // Label 31072: @2292344
     /* 2292344 */ GIM_Try, /*On fail goto*//*Label 31126*/ GIMT_Encode4(2292464),
     /* 2292349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2292352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2292355 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292359 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292363 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292367 */   GIM_Try, /*On fail goto*//*Label 31127*/ GIMT_Encode4(2292415), // Rule ID 52438 //
     /* 2292372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292375 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2292378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2292392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292410 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292414 */     // GIR_Coverage, 52438,
     /* 2292414 */     GIR_EraseRootFromParent_Done,
     /* 2292415 */   // Label 31127: @2292415
     /* 2292415 */   GIM_Try, /*On fail goto*//*Label 31128*/ GIMT_Encode4(2292463), // Rule ID 52439 //
     /* 2292420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292423 */     // (saddsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2292426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2292440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292447 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292458 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292462 */     // GIR_Coverage, 52439,
     /* 2292462 */     GIR_EraseRootFromParent_Done,
     /* 2292463 */   // Label 31128: @2292463
     /* 2292463 */   GIM_Reject,
     /* 2292464 */ // Label 31126: @2292464
     /* 2292464 */ GIM_Reject,
     /* 2292465 */ // Label 31073: @2292465
     /* 2292465 */ GIM_Try, /*On fail goto*//*Label 31129*/ GIMT_Encode4(2292585),
     /* 2292470 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2292473 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2292476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292484 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292488 */   GIM_Try, /*On fail goto*//*Label 31130*/ GIMT_Encode4(2292536), // Rule ID 52454 //
     /* 2292493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2292496 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2292499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2292513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292531 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292535 */     // GIR_Coverage, 52454,
     /* 2292535 */     GIR_EraseRootFromParent_Done,
     /* 2292536 */   // Label 31130: @2292536
     /* 2292536 */   GIM_Try, /*On fail goto*//*Label 31131*/ GIMT_Encode4(2292584), // Rule ID 52455 //
     /* 2292541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2292544 */     // (saddsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2292547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2292561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292568 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2292576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292579 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292582 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292583 */     // GIR_Coverage, 52455,
     /* 2292583 */     GIR_EraseRootFromParent_Done,
     /* 2292584 */   // Label 31131: @2292584
     /* 2292584 */   GIM_Reject,
     /* 2292585 */ // Label 31129: @2292585
     /* 2292585 */ GIM_Reject,
     /* 2292586 */ // Label 31074: @2292586
     /* 2292586 */ GIM_Try, /*On fail goto*//*Label 31132*/ GIMT_Encode4(2292706),
     /* 2292591 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2292594 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2292597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292601 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292605 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2292609 */   GIM_Try, /*On fail goto*//*Label 31133*/ GIMT_Encode4(2292657), // Rule ID 52410 //
     /* 2292614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292617 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2292620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2292634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292652 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292656 */     // GIR_Coverage, 52410,
     /* 2292656 */     GIR_EraseRootFromParent_Done,
     /* 2292657 */   // Label 31133: @2292657
     /* 2292657 */   GIM_Try, /*On fail goto*//*Label 31134*/ GIMT_Encode4(2292705), // Rule ID 52411 //
     /* 2292662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292665 */     // (saddsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSADD_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292665 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2292668 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292672 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292677 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M2),
     /* 2292682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292684 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292700 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292704 */     // GIR_Coverage, 52411,
     /* 2292704 */     GIR_EraseRootFromParent_Done,
     /* 2292705 */   // Label 31134: @2292705
     /* 2292705 */   GIM_Reject,
     /* 2292706 */ // Label 31132: @2292706
     /* 2292706 */ GIM_Reject,
     /* 2292707 */ // Label 31075: @2292707
     /* 2292707 */ GIM_Try, /*On fail goto*//*Label 31135*/ GIMT_Encode4(2292827),
     /* 2292712 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2292715 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2292718 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292722 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292726 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292730 */   GIM_Try, /*On fail goto*//*Label 31136*/ GIMT_Encode4(2292778), // Rule ID 52426 //
     /* 2292735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292738 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2292741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2292755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292773 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292777 */     // GIR_Coverage, 52426,
     /* 2292777 */     GIR_EraseRootFromParent_Done,
     /* 2292778 */   // Label 31136: @2292778
     /* 2292778 */   GIM_Try, /*On fail goto*//*Label 31137*/ GIMT_Encode4(2292826), // Rule ID 52427 //
     /* 2292783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292786 */     // (saddsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2292789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2292803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292810 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2292818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292821 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292825 */     // GIR_Coverage, 52427,
     /* 2292825 */     GIR_EraseRootFromParent_Done,
     /* 2292826 */   // Label 31137: @2292826
     /* 2292826 */   GIM_Reject,
     /* 2292827 */ // Label 31135: @2292827
     /* 2292827 */ GIM_Reject,
     /* 2292828 */ // Label 31076: @2292828
     /* 2292828 */ GIM_Try, /*On fail goto*//*Label 31138*/ GIMT_Encode4(2292948),
     /* 2292833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2292836 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2292839 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292843 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292847 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2292851 */   GIM_Try, /*On fail goto*//*Label 31139*/ GIMT_Encode4(2292899), // Rule ID 52442 //
     /* 2292856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292859 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2292862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2292876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292894 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292898 */     // GIR_Coverage, 52442,
     /* 2292898 */     GIR_EraseRootFromParent_Done,
     /* 2292899 */   // Label 31139: @2292899
     /* 2292899 */   GIM_Try, /*On fail goto*//*Label 31140*/ GIMT_Encode4(2292947), // Rule ID 52443 //
     /* 2292904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2292907 */     // (saddsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2292907 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2292910 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292914 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292919 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2292924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292926 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2292929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2292931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2292933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2292936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2292939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2292942 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2292945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2292946 */     // GIR_Coverage, 52443,
     /* 2292946 */     GIR_EraseRootFromParent_Done,
     /* 2292947 */   // Label 31140: @2292947
     /* 2292947 */   GIM_Reject,
     /* 2292948 */ // Label 31138: @2292948
     /* 2292948 */ GIM_Reject,
     /* 2292949 */ // Label 31077: @2292949
     /* 2292949 */ GIM_Try, /*On fail goto*//*Label 31141*/ GIMT_Encode4(2293069),
     /* 2292954 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2292957 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2292960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292968 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2292972 */   GIM_Try, /*On fail goto*//*Label 31142*/ GIMT_Encode4(2293020), // Rule ID 52414 //
     /* 2292977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2292980 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2292980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2292983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2292987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2292992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2292994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2292997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2292999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293015 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293019 */     // GIR_Coverage, 52414,
     /* 2293019 */     GIR_EraseRootFromParent_Done,
     /* 2293020 */   // Label 31142: @2293020
     /* 2293020 */   GIM_Try, /*On fail goto*//*Label 31143*/ GIMT_Encode4(2293068), // Rule ID 52415 //
     /* 2293025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293028 */     // (saddsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSADD_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2293031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M4),
     /* 2293045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293063 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293067 */     // GIR_Coverage, 52415,
     /* 2293067 */     GIR_EraseRootFromParent_Done,
     /* 2293068 */   // Label 31143: @2293068
     /* 2293068 */   GIM_Reject,
     /* 2293069 */ // Label 31141: @2293069
     /* 2293069 */ GIM_Reject,
     /* 2293070 */ // Label 31078: @2293070
     /* 2293070 */ GIM_Try, /*On fail goto*//*Label 31144*/ GIMT_Encode4(2293190),
     /* 2293075 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2293078 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2293081 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293085 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293089 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293093 */   GIM_Try, /*On fail goto*//*Label 31145*/ GIMT_Encode4(2293141), // Rule ID 52430 //
     /* 2293098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293101 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2293104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2293118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293136 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293140 */     // GIR_Coverage, 52430,
     /* 2293140 */     GIR_EraseRootFromParent_Done,
     /* 2293141 */   // Label 31145: @2293141
     /* 2293141 */   GIM_Try, /*On fail goto*//*Label 31146*/ GIMT_Encode4(2293189), // Rule ID 52431 //
     /* 2293146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293149 */     // (saddsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2293152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2293166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293184 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293188 */     // GIR_Coverage, 52431,
     /* 2293188 */     GIR_EraseRootFromParent_Done,
     /* 2293189 */   // Label 31146: @2293189
     /* 2293189 */   GIM_Reject,
     /* 2293190 */ // Label 31144: @2293190
     /* 2293190 */ GIM_Reject,
     /* 2293191 */ // Label 31079: @2293191
     /* 2293191 */ GIM_Try, /*On fail goto*//*Label 31147*/ GIMT_Encode4(2293311),
     /* 2293196 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2293199 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2293202 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293206 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293210 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2293214 */   GIM_Try, /*On fail goto*//*Label 31148*/ GIMT_Encode4(2293262), // Rule ID 52418 //
     /* 2293219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293222 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2293225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2293239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293257 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293261 */     // GIR_Coverage, 52418,
     /* 2293261 */     GIR_EraseRootFromParent_Done,
     /* 2293262 */   // Label 31148: @2293262
     /* 2293262 */   GIM_Try, /*On fail goto*//*Label 31149*/ GIMT_Encode4(2293310), // Rule ID 52419 //
     /* 2293267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293270 */     // (saddsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSADD_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2293273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSADD_VV_M8),
     /* 2293287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293294 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293305 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293309 */     // GIR_Coverage, 52419,
     /* 2293309 */     GIR_EraseRootFromParent_Done,
     /* 2293310 */   // Label 31149: @2293310
     /* 2293310 */   GIM_Reject,
     /* 2293311 */ // Label 31147: @2293311
     /* 2293311 */ GIM_Reject,
     /* 2293312 */ // Label 31080: @2293312
     /* 2293312 */ GIM_Reject,
     /* 2293313 */ // Label 55: @2293313
     /* 2293313 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31173*/ GIMT_Encode4(2296165),
     /* 2293324 */ /*GILLT_s32*//*Label 31150*/ GIMT_Encode4(2293448), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2293336 */ /*GILLT_nxv1s8*//*Label 31151*/ GIMT_Encode4(2293503),
     /* 2293340 */ /*GILLT_nxv1s16*//*Label 31152*/ GIMT_Encode4(2293624),
     /* 2293344 */ /*GILLT_nxv1s32*//*Label 31153*/ GIMT_Encode4(2293745),
     /* 2293348 */ /*GILLT_nxv1s64*//*Label 31154*/ GIMT_Encode4(2293866), GIMT_Encode4(0),
     /* 2293356 */ /*GILLT_nxv2s8*//*Label 31155*/ GIMT_Encode4(2293987),
     /* 2293360 */ /*GILLT_nxv2s16*//*Label 31156*/ GIMT_Encode4(2294108),
     /* 2293364 */ /*GILLT_nxv2s32*//*Label 31157*/ GIMT_Encode4(2294229),
     /* 2293368 */ /*GILLT_nxv2s64*//*Label 31158*/ GIMT_Encode4(2294350), GIMT_Encode4(0),
     /* 2293376 */ /*GILLT_nxv4s8*//*Label 31159*/ GIMT_Encode4(2294471),
     /* 2293380 */ /*GILLT_nxv4s16*//*Label 31160*/ GIMT_Encode4(2294592),
     /* 2293384 */ /*GILLT_nxv4s32*//*Label 31161*/ GIMT_Encode4(2294713),
     /* 2293388 */ /*GILLT_nxv4s64*//*Label 31162*/ GIMT_Encode4(2294834), GIMT_Encode4(0),
     /* 2293396 */ /*GILLT_nxv8s8*//*Label 31163*/ GIMT_Encode4(2294955),
     /* 2293400 */ /*GILLT_nxv8s16*//*Label 31164*/ GIMT_Encode4(2295076),
     /* 2293404 */ /*GILLT_nxv8s32*//*Label 31165*/ GIMT_Encode4(2295197),
     /* 2293408 */ /*GILLT_nxv8s64*//*Label 31166*/ GIMT_Encode4(2295318), GIMT_Encode4(0),
     /* 2293416 */ /*GILLT_nxv16s8*//*Label 31167*/ GIMT_Encode4(2295439),
     /* 2293420 */ /*GILLT_nxv16s16*//*Label 31168*/ GIMT_Encode4(2295560),
     /* 2293424 */ /*GILLT_nxv16s32*//*Label 31169*/ GIMT_Encode4(2295681), GIMT_Encode4(0),
     /* 2293432 */ /*GILLT_nxv32s8*//*Label 31170*/ GIMT_Encode4(2295802),
     /* 2293436 */ /*GILLT_nxv32s16*//*Label 31171*/ GIMT_Encode4(2295923), GIMT_Encode4(0),
     /* 2293444 */ /*GILLT_nxv64s8*//*Label 31172*/ GIMT_Encode4(2296044),
     /* 2293448 */ // Label 31150: @2293448
     /* 2293448 */ GIM_Try, /*On fail goto*//*Label 31174*/ GIMT_Encode4(2293502),
     /* 2293453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2293456 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2293459 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2293463 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2293467 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2293471 */   GIM_Try, /*On fail goto*//*Label 31175*/ GIMT_Encode4(2293486), // Rule ID 64578 //
     /* 2293476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2293479 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2293479 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2293484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293485 */     // GIR_Coverage, 64578,
     /* 2293485 */     GIR_Done,
     /* 2293486 */   // Label 31175: @2293486
     /* 2293486 */   GIM_Try, /*On fail goto*//*Label 31176*/ GIMT_Encode4(2293501), // Rule ID 64579 //
     /* 2293491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2293494 */     // (usubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2293494 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBUSAT),
     /* 2293499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293500 */     // GIR_Coverage, 64579,
     /* 2293500 */     GIR_Done,
     /* 2293501 */   // Label 31176: @2293501
     /* 2293501 */   GIM_Reject,
     /* 2293502 */ // Label 31174: @2293502
     /* 2293502 */ GIM_Reject,
     /* 2293503 */ // Label 31151: @2293503
     /* 2293503 */ GIM_Try, /*On fail goto*//*Label 31177*/ GIMT_Encode4(2293623),
     /* 2293508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2293511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2293514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293522 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293526 */   GIM_Try, /*On fail goto*//*Label 31178*/ GIMT_Encode4(2293574), // Rule ID 52722 //
     /* 2293531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293534 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2293537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2293551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293569 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293573 */     // GIR_Coverage, 52722,
     /* 2293573 */     GIR_EraseRootFromParent_Done,
     /* 2293574 */   // Label 31178: @2293574
     /* 2293574 */   GIM_Try, /*On fail goto*//*Label 31179*/ GIMT_Encode4(2293622), // Rule ID 52723 //
     /* 2293579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293582 */     // (usubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293582 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2293585 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293589 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293594 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF8),
     /* 2293599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293601 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293617 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293621 */     // GIR_Coverage, 52723,
     /* 2293621 */     GIR_EraseRootFromParent_Done,
     /* 2293622 */   // Label 31179: @2293622
     /* 2293622 */   GIM_Reject,
     /* 2293623 */ // Label 31177: @2293623
     /* 2293623 */ GIM_Reject,
     /* 2293624 */ // Label 31152: @2293624
     /* 2293624 */ GIM_Try, /*On fail goto*//*Label 31180*/ GIMT_Encode4(2293744),
     /* 2293629 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2293632 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2293635 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293639 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293643 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293647 */   GIM_Try, /*On fail goto*//*Label 31181*/ GIMT_Encode4(2293695), // Rule ID 52734 //
     /* 2293652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293655 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293655 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2293658 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293662 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293667 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293669 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2293672 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293674 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293677 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293690 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293694 */     // GIR_Coverage, 52734,
     /* 2293694 */     GIR_EraseRootFromParent_Done,
     /* 2293695 */   // Label 31181: @2293695
     /* 2293695 */   GIM_Try, /*On fail goto*//*Label 31182*/ GIMT_Encode4(2293743), // Rule ID 52735 //
     /* 2293700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293703 */     // (usubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293703 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2293706 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293710 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293715 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293717 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2293720 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293722 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293725 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2293735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293738 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293742 */     // GIR_Coverage, 52735,
     /* 2293742 */     GIR_EraseRootFromParent_Done,
     /* 2293743 */   // Label 31182: @2293743
     /* 2293743 */   GIM_Reject,
     /* 2293744 */ // Label 31180: @2293744
     /* 2293744 */ GIM_Reject,
     /* 2293745 */ // Label 31153: @2293745
     /* 2293745 */ GIM_Try, /*On fail goto*//*Label 31183*/ GIMT_Encode4(2293865),
     /* 2293750 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2293753 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2293756 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293760 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293764 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293768 */   GIM_Try, /*On fail goto*//*Label 31184*/ GIMT_Encode4(2293816), // Rule ID 52742 //
     /* 2293773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2293776 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2293779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2293793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293811 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293814 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293815 */     // GIR_Coverage, 52742,
     /* 2293815 */     GIR_EraseRootFromParent_Done,
     /* 2293816 */   // Label 31184: @2293816
     /* 2293816 */   GIM_Try, /*On fail goto*//*Label 31185*/ GIMT_Encode4(2293864), // Rule ID 52743 //
     /* 2293821 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2293824 */     // (usubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293824 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2293827 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293831 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293836 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293838 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2293841 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293843 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293846 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293848 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2293856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293859 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293863 */     // GIR_Coverage, 52743,
     /* 2293863 */     GIR_EraseRootFromParent_Done,
     /* 2293864 */   // Label 31185: @2293864
     /* 2293864 */   GIM_Reject,
     /* 2293865 */ // Label 31183: @2293865
     /* 2293865 */ GIM_Reject,
     /* 2293866 */ // Label 31154: @2293866
     /* 2293866 */ GIM_Try, /*On fail goto*//*Label 31186*/ GIMT_Encode4(2293986),
     /* 2293871 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2293874 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2293877 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293881 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293885 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2293889 */   GIM_Try, /*On fail goto*//*Label 31187*/ GIMT_Encode4(2293937), // Rule ID 52758 //
     /* 2293894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2293897 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2293897 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2293900 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293904 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293909 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2293914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293916 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293919 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293921 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293932 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293936 */     // GIR_Coverage, 52758,
     /* 2293936 */     GIR_EraseRootFromParent_Done,
     /* 2293937 */   // Label 31187: @2293937
     /* 2293937 */   GIM_Try, /*On fail goto*//*Label 31188*/ GIMT_Encode4(2293985), // Rule ID 52759 //
     /* 2293942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2293945 */     // (usubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2293945 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2293948 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2293952 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2293957 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2293959 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2293962 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2293964 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2293967 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2293969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2293971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2293974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2293977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2293980 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2293983 */     GIR_RootConstrainSelectedInstOperands,
     /* 2293984 */     // GIR_Coverage, 52759,
     /* 2293984 */     GIR_EraseRootFromParent_Done,
     /* 2293985 */   // Label 31188: @2293985
     /* 2293985 */   GIM_Reject,
     /* 2293986 */ // Label 31186: @2293986
     /* 2293986 */ GIM_Reject,
     /* 2293987 */ // Label 31155: @2293987
     /* 2293987 */ GIM_Try, /*On fail goto*//*Label 31189*/ GIMT_Encode4(2294107),
     /* 2293992 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2293995 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2293998 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294002 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294006 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294010 */   GIM_Try, /*On fail goto*//*Label 31190*/ GIMT_Encode4(2294058), // Rule ID 52726 //
     /* 2294015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294018 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2294021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2294035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294053 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294057 */     // GIR_Coverage, 52726,
     /* 2294057 */     GIR_EraseRootFromParent_Done,
     /* 2294058 */   // Label 31190: @2294058
     /* 2294058 */   GIM_Try, /*On fail goto*//*Label 31191*/ GIMT_Encode4(2294106), // Rule ID 52727 //
     /* 2294063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294066 */     // (usubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2294069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF4),
     /* 2294083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294101 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294105 */     // GIR_Coverage, 52727,
     /* 2294105 */     GIR_EraseRootFromParent_Done,
     /* 2294106 */   // Label 31191: @2294106
     /* 2294106 */   GIM_Reject,
     /* 2294107 */ // Label 31189: @2294107
     /* 2294107 */ GIM_Reject,
     /* 2294108 */ // Label 31156: @2294108
     /* 2294108 */ GIM_Try, /*On fail goto*//*Label 31192*/ GIMT_Encode4(2294228),
     /* 2294113 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2294116 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2294119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294127 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294131 */   GIM_Try, /*On fail goto*//*Label 31193*/ GIMT_Encode4(2294179), // Rule ID 52738 //
     /* 2294136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294139 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294139 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2294142 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294146 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294151 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2294156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294158 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294163 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294174 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294178 */     // GIR_Coverage, 52738,
     /* 2294178 */     GIR_EraseRootFromParent_Done,
     /* 2294179 */   // Label 31193: @2294179
     /* 2294179 */   GIM_Try, /*On fail goto*//*Label 31194*/ GIMT_Encode4(2294227), // Rule ID 52739 //
     /* 2294184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294187 */     // (usubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2294190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2294204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294222 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294226 */     // GIR_Coverage, 52739,
     /* 2294226 */     GIR_EraseRootFromParent_Done,
     /* 2294227 */   // Label 31194: @2294227
     /* 2294227 */   GIM_Reject,
     /* 2294228 */ // Label 31192: @2294228
     /* 2294228 */ GIM_Reject,
     /* 2294229 */ // Label 31157: @2294229
     /* 2294229 */ GIM_Try, /*On fail goto*//*Label 31195*/ GIMT_Encode4(2294349),
     /* 2294234 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2294237 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2294240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294248 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294252 */   GIM_Try, /*On fail goto*//*Label 31196*/ GIMT_Encode4(2294300), // Rule ID 52754 //
     /* 2294257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294260 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2294263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2294277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294295 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294299 */     // GIR_Coverage, 52754,
     /* 2294299 */     GIR_EraseRootFromParent_Done,
     /* 2294300 */   // Label 31196: @2294300
     /* 2294300 */   GIM_Try, /*On fail goto*//*Label 31197*/ GIMT_Encode4(2294348), // Rule ID 52755 //
     /* 2294305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294308 */     // (usubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294308 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2294311 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294315 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294320 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2294325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294327 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294330 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294332 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294343 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294347 */     // GIR_Coverage, 52755,
     /* 2294347 */     GIR_EraseRootFromParent_Done,
     /* 2294348 */   // Label 31197: @2294348
     /* 2294348 */   GIM_Reject,
     /* 2294349 */ // Label 31195: @2294349
     /* 2294349 */ GIM_Reject,
     /* 2294350 */ // Label 31158: @2294350
     /* 2294350 */ GIM_Try, /*On fail goto*//*Label 31198*/ GIMT_Encode4(2294470),
     /* 2294355 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2294358 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2294361 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294365 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294369 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294373 */   GIM_Try, /*On fail goto*//*Label 31199*/ GIMT_Encode4(2294421), // Rule ID 52798 //
     /* 2294378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2294381 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294381 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2294384 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294388 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294393 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2294398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294400 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294405 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294416 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294420 */     // GIR_Coverage, 52798,
     /* 2294420 */     GIR_EraseRootFromParent_Done,
     /* 2294421 */   // Label 31199: @2294421
     /* 2294421 */   GIM_Try, /*On fail goto*//*Label 31200*/ GIMT_Encode4(2294469), // Rule ID 52799 //
     /* 2294426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2294429 */     // (usubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294429 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2294432 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294436 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294441 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2294446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294448 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294464 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294468 */     // GIR_Coverage, 52799,
     /* 2294468 */     GIR_EraseRootFromParent_Done,
     /* 2294469 */   // Label 31200: @2294469
     /* 2294469 */   GIM_Reject,
     /* 2294470 */ // Label 31198: @2294470
     /* 2294470 */ GIM_Reject,
     /* 2294471 */ // Label 31159: @2294471
     /* 2294471 */ GIM_Try, /*On fail goto*//*Label 31201*/ GIMT_Encode4(2294591),
     /* 2294476 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2294479 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2294482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294490 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294494 */   GIM_Try, /*On fail goto*//*Label 31202*/ GIMT_Encode4(2294542), // Rule ID 52730 //
     /* 2294499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294502 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2294505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2294519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294537 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294541 */     // GIR_Coverage, 52730,
     /* 2294541 */     GIR_EraseRootFromParent_Done,
     /* 2294542 */   // Label 31202: @2294542
     /* 2294542 */   GIM_Try, /*On fail goto*//*Label 31203*/ GIMT_Encode4(2294590), // Rule ID 52731 //
     /* 2294547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294550 */     // (usubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUBU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2294553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_MF2),
     /* 2294567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294579 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294585 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294588 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294589 */     // GIR_Coverage, 52731,
     /* 2294589 */     GIR_EraseRootFromParent_Done,
     /* 2294590 */   // Label 31203: @2294590
     /* 2294590 */   GIM_Reject,
     /* 2294591 */ // Label 31201: @2294591
     /* 2294591 */ GIM_Reject,
     /* 2294592 */ // Label 31160: @2294592
     /* 2294592 */ GIM_Try, /*On fail goto*//*Label 31204*/ GIMT_Encode4(2294712),
     /* 2294597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2294600 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2294603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294611 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294615 */   GIM_Try, /*On fail goto*//*Label 31205*/ GIMT_Encode4(2294663), // Rule ID 52750 //
     /* 2294620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294623 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2294626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2294640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294658 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294662 */     // GIR_Coverage, 52750,
     /* 2294662 */     GIR_EraseRootFromParent_Done,
     /* 2294663 */   // Label 31205: @2294663
     /* 2294663 */   GIM_Try, /*On fail goto*//*Label 31206*/ GIMT_Encode4(2294711), // Rule ID 52751 //
     /* 2294668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294671 */     // (usubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2294674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2294688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2294703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294706 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294710 */     // GIR_Coverage, 52751,
     /* 2294710 */     GIR_EraseRootFromParent_Done,
     /* 2294711 */   // Label 31206: @2294711
     /* 2294711 */   GIM_Reject,
     /* 2294712 */ // Label 31204: @2294712
     /* 2294712 */ GIM_Reject,
     /* 2294713 */ // Label 31161: @2294713
     /* 2294713 */ GIM_Try, /*On fail goto*//*Label 31207*/ GIMT_Encode4(2294833),
     /* 2294718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2294721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2294724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294732 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2294736 */   GIM_Try, /*On fail goto*//*Label 31208*/ GIMT_Encode4(2294784), // Rule ID 52786 //
     /* 2294741 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294744 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294744 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2294747 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294751 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294756 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2294761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294763 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294766 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294768 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294779 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294783 */     // GIR_Coverage, 52786,
     /* 2294783 */     GIR_EraseRootFromParent_Done,
     /* 2294784 */   // Label 31208: @2294784
     /* 2294784 */   GIM_Try, /*On fail goto*//*Label 31209*/ GIMT_Encode4(2294832), // Rule ID 52787 //
     /* 2294789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2294792 */     // (usubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294792 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2294795 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294799 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294804 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2294809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294811 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294814 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294816 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2294824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294827 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294831 */     // GIR_Coverage, 52787,
     /* 2294831 */     GIR_EraseRootFromParent_Done,
     /* 2294832 */   // Label 31209: @2294832
     /* 2294832 */   GIM_Reject,
     /* 2294833 */ // Label 31207: @2294833
     /* 2294833 */ GIM_Reject,
     /* 2294834 */ // Label 31162: @2294834
     /* 2294834 */ GIM_Try, /*On fail goto*//*Label 31210*/ GIMT_Encode4(2294954),
     /* 2294839 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2294842 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2294845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294853 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2294857 */   GIM_Try, /*On fail goto*//*Label 31211*/ GIMT_Encode4(2294905), // Rule ID 52802 //
     /* 2294862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2294865 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294865 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2294868 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294872 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294877 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2294882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294884 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294900 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294904 */     // GIR_Coverage, 52802,
     /* 2294904 */     GIR_EraseRootFromParent_Done,
     /* 2294905 */   // Label 31211: @2294905
     /* 2294905 */   GIM_Try, /*On fail goto*//*Label 31212*/ GIMT_Encode4(2294953), // Rule ID 52803 //
     /* 2294910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2294913 */     // (usubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2294913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2294916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2294927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2294930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2294932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2294935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2294937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2294939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2294942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2294945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2294948 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2294951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2294952 */     // GIR_Coverage, 52803,
     /* 2294952 */     GIR_EraseRootFromParent_Done,
     /* 2294953 */   // Label 31212: @2294953
     /* 2294953 */   GIM_Reject,
     /* 2294954 */ // Label 31210: @2294954
     /* 2294954 */ GIM_Reject,
     /* 2294955 */ // Label 31163: @2294955
     /* 2294955 */ GIM_Try, /*On fail goto*//*Label 31213*/ GIMT_Encode4(2295075),
     /* 2294960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2294963 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2294966 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294970 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294974 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2294978 */   GIM_Try, /*On fail goto*//*Label 31214*/ GIMT_Encode4(2295026), // Rule ID 52746 //
     /* 2294983 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2294986 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2294986 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2294989 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2294993 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2294998 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2295003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295005 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295008 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295010 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295021 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295025 */     // GIR_Coverage, 52746,
     /* 2295025 */     GIR_EraseRootFromParent_Done,
     /* 2295026 */   // Label 31214: @2295026
     /* 2295026 */   GIM_Try, /*On fail goto*//*Label 31215*/ GIMT_Encode4(2295074), // Rule ID 52747 //
     /* 2295031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295034 */     // (usubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2295037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M1),
     /* 2295051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295069 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295073 */     // GIR_Coverage, 52747,
     /* 2295073 */     GIR_EraseRootFromParent_Done,
     /* 2295074 */   // Label 31215: @2295074
     /* 2295074 */   GIM_Reject,
     /* 2295075 */ // Label 31213: @2295075
     /* 2295075 */ GIM_Reject,
     /* 2295076 */ // Label 31164: @2295076
     /* 2295076 */ GIM_Try, /*On fail goto*//*Label 31216*/ GIMT_Encode4(2295196),
     /* 2295081 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2295084 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2295087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295095 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295099 */   GIM_Try, /*On fail goto*//*Label 31217*/ GIMT_Encode4(2295147), // Rule ID 52774 //
     /* 2295104 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295107 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295107 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2295110 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295114 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295119 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295121 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2295124 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295126 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295142 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295145 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295146 */     // GIR_Coverage, 52774,
     /* 2295146 */     GIR_EraseRootFromParent_Done,
     /* 2295147 */   // Label 31217: @2295147
     /* 2295147 */   GIM_Try, /*On fail goto*//*Label 31218*/ GIMT_Encode4(2295195), // Rule ID 52775 //
     /* 2295152 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295155 */     // (usubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295155 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2295158 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295162 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295167 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2295172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295174 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295177 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295190 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295194 */     // GIR_Coverage, 52775,
     /* 2295194 */     GIR_EraseRootFromParent_Done,
     /* 2295195 */   // Label 31218: @2295195
     /* 2295195 */   GIM_Reject,
     /* 2295196 */ // Label 31216: @2295196
     /* 2295196 */ GIM_Reject,
     /* 2295197 */ // Label 31165: @2295197
     /* 2295197 */ GIM_Try, /*On fail goto*//*Label 31219*/ GIMT_Encode4(2295317),
     /* 2295202 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2295205 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2295208 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295212 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295216 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295220 */   GIM_Try, /*On fail goto*//*Label 31220*/ GIMT_Encode4(2295268), // Rule ID 52790 //
     /* 2295225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295228 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2295231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2295245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295252 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295263 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295266 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295267 */     // GIR_Coverage, 52790,
     /* 2295267 */     GIR_EraseRootFromParent_Done,
     /* 2295268 */   // Label 31220: @2295268
     /* 2295268 */   GIM_Try, /*On fail goto*//*Label 31221*/ GIMT_Encode4(2295316), // Rule ID 52791 //
     /* 2295273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295276 */     // (usubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2295279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2295293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295311 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295315 */     // GIR_Coverage, 52791,
     /* 2295315 */     GIR_EraseRootFromParent_Done,
     /* 2295316 */   // Label 31221: @2295316
     /* 2295316 */   GIM_Reject,
     /* 2295317 */ // Label 31219: @2295317
     /* 2295317 */ GIM_Reject,
     /* 2295318 */ // Label 31166: @2295318
     /* 2295318 */ GIM_Try, /*On fail goto*//*Label 31222*/ GIMT_Encode4(2295438),
     /* 2295323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2295326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2295329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295337 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295341 */   GIM_Try, /*On fail goto*//*Label 31223*/ GIMT_Encode4(2295389), // Rule ID 52806 //
     /* 2295346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2295349 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295349 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2295352 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295356 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295361 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2295366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295368 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295384 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295388 */     // GIR_Coverage, 52806,
     /* 2295388 */     GIR_EraseRootFromParent_Done,
     /* 2295389 */   // Label 31223: @2295389
     /* 2295389 */   GIM_Try, /*On fail goto*//*Label 31224*/ GIMT_Encode4(2295437), // Rule ID 52807 //
     /* 2295394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2295397 */     // (usubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2295400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2295414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2295429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295432 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295436 */     // GIR_Coverage, 52807,
     /* 2295436 */     GIR_EraseRootFromParent_Done,
     /* 2295437 */   // Label 31224: @2295437
     /* 2295437 */   GIM_Reject,
     /* 2295438 */ // Label 31222: @2295438
     /* 2295438 */ GIM_Reject,
     /* 2295439 */ // Label 31167: @2295439
     /* 2295439 */ GIM_Try, /*On fail goto*//*Label 31225*/ GIMT_Encode4(2295559),
     /* 2295444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2295447 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2295450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295458 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2295462 */   GIM_Try, /*On fail goto*//*Label 31226*/ GIMT_Encode4(2295510), // Rule ID 52762 //
     /* 2295467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295470 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295470 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2295473 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295477 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295482 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2295487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295489 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295492 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295494 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295505 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295508 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295509 */     // GIR_Coverage, 52762,
     /* 2295509 */     GIR_EraseRootFromParent_Done,
     /* 2295510 */   // Label 31226: @2295510
     /* 2295510 */   GIM_Try, /*On fail goto*//*Label 31227*/ GIMT_Encode4(2295558), // Rule ID 52763 //
     /* 2295515 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295518 */     // (usubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295518 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2295521 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295525 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295530 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M2),
     /* 2295535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295537 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295553 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295557 */     // GIR_Coverage, 52763,
     /* 2295557 */     GIR_EraseRootFromParent_Done,
     /* 2295558 */   // Label 31227: @2295558
     /* 2295558 */   GIM_Reject,
     /* 2295559 */ // Label 31225: @2295559
     /* 2295559 */ GIM_Reject,
     /* 2295560 */ // Label 31168: @2295560
     /* 2295560 */ GIM_Try, /*On fail goto*//*Label 31228*/ GIMT_Encode4(2295680),
     /* 2295565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2295568 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2295571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295579 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295583 */   GIM_Try, /*On fail goto*//*Label 31229*/ GIMT_Encode4(2295631), // Rule ID 52778 //
     /* 2295588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295591 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2295594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2295608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295615 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295626 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295630 */     // GIR_Coverage, 52778,
     /* 2295630 */     GIR_EraseRootFromParent_Done,
     /* 2295631 */   // Label 31229: @2295631
     /* 2295631 */   GIM_Try, /*On fail goto*//*Label 31230*/ GIMT_Encode4(2295679), // Rule ID 52779 //
     /* 2295636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295639 */     // (usubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2295642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2295656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295674 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295678 */     // GIR_Coverage, 52779,
     /* 2295678 */     GIR_EraseRootFromParent_Done,
     /* 2295679 */   // Label 31230: @2295679
     /* 2295679 */   GIM_Reject,
     /* 2295680 */ // Label 31228: @2295680
     /* 2295680 */ GIM_Reject,
     /* 2295681 */ // Label 31169: @2295681
     /* 2295681 */ GIM_Try, /*On fail goto*//*Label 31231*/ GIMT_Encode4(2295801),
     /* 2295686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2295689 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2295692 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295696 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295700 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295704 */   GIM_Try, /*On fail goto*//*Label 31232*/ GIMT_Encode4(2295752), // Rule ID 52794 //
     /* 2295709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295712 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2295715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2295729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295747 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295751 */     // GIR_Coverage, 52794,
     /* 2295751 */     GIR_EraseRootFromParent_Done,
     /* 2295752 */   // Label 31232: @2295752
     /* 2295752 */   GIM_Try, /*On fail goto*//*Label 31233*/ GIMT_Encode4(2295800), // Rule ID 52795 //
     /* 2295757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295760 */     // (usubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295760 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2295763 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295767 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295772 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295774 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2295777 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295779 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2295792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295795 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295799 */     // GIR_Coverage, 52795,
     /* 2295799 */     GIR_EraseRootFromParent_Done,
     /* 2295800 */   // Label 31233: @2295800
     /* 2295800 */   GIM_Reject,
     /* 2295801 */ // Label 31231: @2295801
     /* 2295801 */ GIM_Reject,
     /* 2295802 */ // Label 31170: @2295802
     /* 2295802 */ GIM_Try, /*On fail goto*//*Label 31234*/ GIMT_Encode4(2295922),
     /* 2295807 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2295810 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2295813 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295817 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295821 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2295825 */   GIM_Try, /*On fail goto*//*Label 31235*/ GIMT_Encode4(2295873), // Rule ID 52766 //
     /* 2295830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295833 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295833 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2295836 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295840 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295845 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2295850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295852 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295868 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295872 */     // GIR_Coverage, 52766,
     /* 2295872 */     GIR_EraseRootFromParent_Done,
     /* 2295873 */   // Label 31235: @2295873
     /* 2295873 */   GIM_Try, /*On fail goto*//*Label 31236*/ GIMT_Encode4(2295921), // Rule ID 52767 //
     /* 2295878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2295881 */     // (usubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2295881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2295884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M4),
     /* 2295898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295916 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295920 */     // GIR_Coverage, 52767,
     /* 2295920 */     GIR_EraseRootFromParent_Done,
     /* 2295921 */   // Label 31236: @2295921
     /* 2295921 */   GIM_Reject,
     /* 2295922 */ // Label 31234: @2295922
     /* 2295922 */ GIM_Reject,
     /* 2295923 */ // Label 31171: @2295923
     /* 2295923 */ GIM_Try, /*On fail goto*//*Label 31237*/ GIMT_Encode4(2296043),
     /* 2295928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2295931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2295934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2295946 */   GIM_Try, /*On fail goto*//*Label 31238*/ GIMT_Encode4(2295994), // Rule ID 52782 //
     /* 2295951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2295954 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2295954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2295957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2295961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2295966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2295968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2295971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2295973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2295976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2295978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2295980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2295983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2295986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2295989 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2295992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2295993 */     // GIR_Coverage, 52782,
     /* 2295993 */     GIR_EraseRootFromParent_Done,
     /* 2295994 */   // Label 31238: @2295994
     /* 2295994 */   GIM_Try, /*On fail goto*//*Label 31239*/ GIMT_Encode4(2296042), // Rule ID 52783 //
     /* 2295999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296002 */     // (usubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2296005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2296019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296037 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296041 */     // GIR_Coverage, 52783,
     /* 2296041 */     GIR_EraseRootFromParent_Done,
     /* 2296042 */   // Label 31239: @2296042
     /* 2296042 */   GIM_Reject,
     /* 2296043 */ // Label 31237: @2296043
     /* 2296043 */ GIM_Reject,
     /* 2296044 */ // Label 31172: @2296044
     /* 2296044 */ GIM_Try, /*On fail goto*//*Label 31240*/ GIMT_Encode4(2296164),
     /* 2296049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2296052 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2296055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296063 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2296067 */   GIM_Try, /*On fail goto*//*Label 31241*/ GIMT_Encode4(2296115), // Rule ID 52770 //
     /* 2296072 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296075 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296075 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2296078 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296082 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296087 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2296092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296094 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296097 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296099 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296110 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296114 */     // GIR_Coverage, 52770,
     /* 2296114 */     GIR_EraseRootFromParent_Done,
     /* 2296115 */   // Label 31241: @2296115
     /* 2296115 */   GIM_Try, /*On fail goto*//*Label 31242*/ GIMT_Encode4(2296163), // Rule ID 52771 //
     /* 2296120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296123 */     // (usubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUBU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2296126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUBU_VV_M8),
     /* 2296140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296158 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296162 */     // GIR_Coverage, 52771,
     /* 2296162 */     GIR_EraseRootFromParent_Done,
     /* 2296163 */   // Label 31242: @2296163
     /* 2296163 */   GIM_Reject,
     /* 2296164 */ // Label 31240: @2296164
     /* 2296164 */ GIM_Reject,
     /* 2296165 */ // Label 31173: @2296165
     /* 2296165 */ GIM_Reject,
     /* 2296166 */ // Label 56: @2296166
     /* 2296166 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 31266*/ GIMT_Encode4(2299018),
     /* 2296177 */ /*GILLT_s32*//*Label 31243*/ GIMT_Encode4(2296301), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2296189 */ /*GILLT_nxv1s8*//*Label 31244*/ GIMT_Encode4(2296356),
     /* 2296193 */ /*GILLT_nxv1s16*//*Label 31245*/ GIMT_Encode4(2296477),
     /* 2296197 */ /*GILLT_nxv1s32*//*Label 31246*/ GIMT_Encode4(2296598),
     /* 2296201 */ /*GILLT_nxv1s64*//*Label 31247*/ GIMT_Encode4(2296719), GIMT_Encode4(0),
     /* 2296209 */ /*GILLT_nxv2s8*//*Label 31248*/ GIMT_Encode4(2296840),
     /* 2296213 */ /*GILLT_nxv2s16*//*Label 31249*/ GIMT_Encode4(2296961),
     /* 2296217 */ /*GILLT_nxv2s32*//*Label 31250*/ GIMT_Encode4(2297082),
     /* 2296221 */ /*GILLT_nxv2s64*//*Label 31251*/ GIMT_Encode4(2297203), GIMT_Encode4(0),
     /* 2296229 */ /*GILLT_nxv4s8*//*Label 31252*/ GIMT_Encode4(2297324),
     /* 2296233 */ /*GILLT_nxv4s16*//*Label 31253*/ GIMT_Encode4(2297445),
     /* 2296237 */ /*GILLT_nxv4s32*//*Label 31254*/ GIMT_Encode4(2297566),
     /* 2296241 */ /*GILLT_nxv4s64*//*Label 31255*/ GIMT_Encode4(2297687), GIMT_Encode4(0),
     /* 2296249 */ /*GILLT_nxv8s8*//*Label 31256*/ GIMT_Encode4(2297808),
     /* 2296253 */ /*GILLT_nxv8s16*//*Label 31257*/ GIMT_Encode4(2297929),
     /* 2296257 */ /*GILLT_nxv8s32*//*Label 31258*/ GIMT_Encode4(2298050),
     /* 2296261 */ /*GILLT_nxv8s64*//*Label 31259*/ GIMT_Encode4(2298171), GIMT_Encode4(0),
     /* 2296269 */ /*GILLT_nxv16s8*//*Label 31260*/ GIMT_Encode4(2298292),
     /* 2296273 */ /*GILLT_nxv16s16*//*Label 31261*/ GIMT_Encode4(2298413),
     /* 2296277 */ /*GILLT_nxv16s32*//*Label 31262*/ GIMT_Encode4(2298534), GIMT_Encode4(0),
     /* 2296285 */ /*GILLT_nxv32s8*//*Label 31263*/ GIMT_Encode4(2298655),
     /* 2296289 */ /*GILLT_nxv32s16*//*Label 31264*/ GIMT_Encode4(2298776), GIMT_Encode4(0),
     /* 2296297 */ /*GILLT_nxv64s8*//*Label 31265*/ GIMT_Encode4(2298897),
     /* 2296301 */ // Label 31243: @2296301
     /* 2296301 */ GIM_Try, /*On fail goto*//*Label 31267*/ GIMT_Encode4(2296355),
     /* 2296306 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2296309 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2296312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2296316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2296320 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2296324 */   GIM_Try, /*On fail goto*//*Label 31268*/ GIMT_Encode4(2296339), // Rule ID 64576 //
     /* 2296329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2296332 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2296332 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2296337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296338 */     // GIR_Coverage, 64576,
     /* 2296338 */     GIR_Done,
     /* 2296339 */   // Label 31268: @2296339
     /* 2296339 */   GIM_Try, /*On fail goto*//*Label 31269*/ GIMT_Encode4(2296354), // Rule ID 64577 //
     /* 2296344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2296347 */     // (ssubsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SUBSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2296347 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SUBSAT),
     /* 2296352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296353 */     // GIR_Coverage, 64577,
     /* 2296353 */     GIR_Done,
     /* 2296354 */   // Label 31269: @2296354
     /* 2296354 */   GIM_Reject,
     /* 2296355 */ // Label 31267: @2296355
     /* 2296355 */ GIM_Reject,
     /* 2296356 */ // Label 31244: @2296356
     /* 2296356 */ GIM_Try, /*On fail goto*//*Label 31270*/ GIMT_Encode4(2296476),
     /* 2296361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2296364 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2296367 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296371 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296375 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296379 */   GIM_Try, /*On fail goto*//*Label 31271*/ GIMT_Encode4(2296427), // Rule ID 52634 //
     /* 2296384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296387 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296387 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2296390 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296394 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296399 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296401 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2296404 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296406 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296416 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296419 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296422 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296425 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296426 */     // GIR_Coverage, 52634,
     /* 2296426 */     GIR_EraseRootFromParent_Done,
     /* 2296427 */   // Label 31271: @2296427
     /* 2296427 */   GIM_Try, /*On fail goto*//*Label 31272*/ GIMT_Encode4(2296475), // Rule ID 52635 //
     /* 2296432 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296435 */     // (ssubsat:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296435 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2296438 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296442 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296447 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296449 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF8),
     /* 2296452 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296454 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296457 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296459 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296470 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296473 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296474 */     // GIR_Coverage, 52635,
     /* 2296474 */     GIR_EraseRootFromParent_Done,
     /* 2296475 */   // Label 31272: @2296475
     /* 2296475 */   GIM_Reject,
     /* 2296476 */ // Label 31270: @2296476
     /* 2296476 */ GIM_Reject,
     /* 2296477 */ // Label 31245: @2296477
     /* 2296477 */ GIM_Try, /*On fail goto*//*Label 31273*/ GIMT_Encode4(2296597),
     /* 2296482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2296485 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2296488 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296492 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296496 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296500 */   GIM_Try, /*On fail goto*//*Label 31274*/ GIMT_Encode4(2296548), // Rule ID 52646 //
     /* 2296505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296508 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296508 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2296511 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296515 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296520 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296522 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2296525 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296527 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296532 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296543 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296547 */     // GIR_Coverage, 52646,
     /* 2296547 */     GIR_EraseRootFromParent_Done,
     /* 2296548 */   // Label 31274: @2296548
     /* 2296548 */   GIM_Try, /*On fail goto*//*Label 31275*/ GIMT_Encode4(2296596), // Rule ID 52647 //
     /* 2296553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296556 */     // (ssubsat:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2296559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2296573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296580 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2296588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296591 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296595 */     // GIR_Coverage, 52647,
     /* 2296595 */     GIR_EraseRootFromParent_Done,
     /* 2296596 */   // Label 31275: @2296596
     /* 2296596 */   GIM_Reject,
     /* 2296597 */ // Label 31273: @2296597
     /* 2296597 */ GIM_Reject,
     /* 2296598 */ // Label 31246: @2296598
     /* 2296598 */ GIM_Try, /*On fail goto*//*Label 31276*/ GIMT_Encode4(2296718),
     /* 2296603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2296606 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2296609 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296613 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296617 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296621 */   GIM_Try, /*On fail goto*//*Label 31277*/ GIMT_Encode4(2296669), // Rule ID 52654 //
     /* 2296626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296629 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2296632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2296646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296664 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296668 */     // GIR_Coverage, 52654,
     /* 2296668 */     GIR_EraseRootFromParent_Done,
     /* 2296669 */   // Label 31277: @2296669
     /* 2296669 */   GIM_Try, /*On fail goto*//*Label 31278*/ GIMT_Encode4(2296717), // Rule ID 52655 //
     /* 2296674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296677 */     // (ssubsat:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2296680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2296694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2296709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296712 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296716 */     // GIR_Coverage, 52655,
     /* 2296716 */     GIR_EraseRootFromParent_Done,
     /* 2296717 */   // Label 31278: @2296717
     /* 2296717 */   GIM_Reject,
     /* 2296718 */ // Label 31276: @2296718
     /* 2296718 */ GIM_Reject,
     /* 2296719 */ // Label 31247: @2296719
     /* 2296719 */ GIM_Try, /*On fail goto*//*Label 31279*/ GIMT_Encode4(2296839),
     /* 2296724 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2296727 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2296730 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296734 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296738 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296742 */   GIM_Try, /*On fail goto*//*Label 31280*/ GIMT_Encode4(2296790), // Rule ID 52670 //
     /* 2296747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2296750 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296750 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2296753 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296757 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296762 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296764 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2296767 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296769 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296772 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296774 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296785 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296788 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296789 */     // GIR_Coverage, 52670,
     /* 2296789 */     GIR_EraseRootFromParent_Done,
     /* 2296790 */   // Label 31280: @2296790
     /* 2296790 */   GIM_Try, /*On fail goto*//*Label 31281*/ GIMT_Encode4(2296838), // Rule ID 52671 //
     /* 2296795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2296798 */     // (ssubsat:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296798 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2296801 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296805 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296810 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296812 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2296815 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296817 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296820 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2296830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296833 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296837 */     // GIR_Coverage, 52671,
     /* 2296837 */     GIR_EraseRootFromParent_Done,
     /* 2296838 */   // Label 31281: @2296838
     /* 2296838 */   GIM_Reject,
     /* 2296839 */ // Label 31279: @2296839
     /* 2296839 */ GIM_Reject,
     /* 2296840 */ // Label 31248: @2296840
     /* 2296840 */ GIM_Try, /*On fail goto*//*Label 31282*/ GIMT_Encode4(2296960),
     /* 2296845 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2296848 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2296851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296859 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296863 */   GIM_Try, /*On fail goto*//*Label 31283*/ GIMT_Encode4(2296911), // Rule ID 52638 //
     /* 2296868 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296871 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296871 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2296874 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296878 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296883 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296885 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2296888 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296890 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296906 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296910 */     // GIR_Coverage, 52638,
     /* 2296910 */     GIR_EraseRootFromParent_Done,
     /* 2296911 */   // Label 31283: @2296911
     /* 2296911 */   GIM_Try, /*On fail goto*//*Label 31284*/ GIMT_Encode4(2296959), // Rule ID 52639 //
     /* 2296916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2296919 */     // (ssubsat:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2296919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2296922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2296931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2296933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF4),
     /* 2296936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2296938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2296941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2296943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2296945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2296948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2296954 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2296957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2296958 */     // GIR_Coverage, 52639,
     /* 2296958 */     GIR_EraseRootFromParent_Done,
     /* 2296959 */   // Label 31284: @2296959
     /* 2296959 */   GIM_Reject,
     /* 2296960 */ // Label 31282: @2296960
     /* 2296960 */ GIM_Reject,
     /* 2296961 */ // Label 31249: @2296961
     /* 2296961 */ GIM_Try, /*On fail goto*//*Label 31285*/ GIMT_Encode4(2297081),
     /* 2296966 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2296969 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2296972 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296976 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296980 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2296984 */   GIM_Try, /*On fail goto*//*Label 31286*/ GIMT_Encode4(2297032), // Rule ID 52650 //
     /* 2296989 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2296992 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2296992 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2296995 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2296999 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297004 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2297009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297011 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297014 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297024 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297027 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297031 */     // GIR_Coverage, 52650,
     /* 2297031 */     GIR_EraseRootFromParent_Done,
     /* 2297032 */   // Label 31286: @2297032
     /* 2297032 */   GIM_Try, /*On fail goto*//*Label 31287*/ GIMT_Encode4(2297080), // Rule ID 52651 //
     /* 2297037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297040 */     // (ssubsat:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297040 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2297043 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297047 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297052 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2297057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297059 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297075 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297079 */     // GIR_Coverage, 52651,
     /* 2297079 */     GIR_EraseRootFromParent_Done,
     /* 2297080 */   // Label 31287: @2297080
     /* 2297080 */   GIM_Reject,
     /* 2297081 */ // Label 31285: @2297081
     /* 2297081 */ GIM_Reject,
     /* 2297082 */ // Label 31250: @2297082
     /* 2297082 */ GIM_Try, /*On fail goto*//*Label 31288*/ GIMT_Encode4(2297202),
     /* 2297087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2297090 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2297093 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297097 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297101 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297105 */   GIM_Try, /*On fail goto*//*Label 31289*/ GIMT_Encode4(2297153), // Rule ID 52666 //
     /* 2297110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297113 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2297116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2297130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297137 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297148 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297152 */     // GIR_Coverage, 52666,
     /* 2297152 */     GIR_EraseRootFromParent_Done,
     /* 2297153 */   // Label 31289: @2297153
     /* 2297153 */   GIM_Try, /*On fail goto*//*Label 31290*/ GIMT_Encode4(2297201), // Rule ID 52667 //
     /* 2297158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297161 */     // (ssubsat:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297161 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2297164 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297168 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297173 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297175 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2297178 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297180 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297185 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297196 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297200 */     // GIR_Coverage, 52667,
     /* 2297200 */     GIR_EraseRootFromParent_Done,
     /* 2297201 */   // Label 31290: @2297201
     /* 2297201 */   GIM_Reject,
     /* 2297202 */ // Label 31288: @2297202
     /* 2297202 */ GIM_Reject,
     /* 2297203 */ // Label 31251: @2297203
     /* 2297203 */ GIM_Try, /*On fail goto*//*Label 31291*/ GIMT_Encode4(2297323),
     /* 2297208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2297211 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2297214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297222 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297226 */   GIM_Try, /*On fail goto*//*Label 31292*/ GIMT_Encode4(2297274), // Rule ID 52710 //
     /* 2297231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2297234 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2297237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2297251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297269 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297273 */     // GIR_Coverage, 52710,
     /* 2297273 */     GIR_EraseRootFromParent_Done,
     /* 2297274 */   // Label 31292: @2297274
     /* 2297274 */   GIM_Try, /*On fail goto*//*Label 31293*/ GIMT_Encode4(2297322), // Rule ID 52711 //
     /* 2297279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2297282 */     // (ssubsat:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297282 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2297285 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297289 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297294 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2297299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297301 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297304 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297317 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297321 */     // GIR_Coverage, 52711,
     /* 2297321 */     GIR_EraseRootFromParent_Done,
     /* 2297322 */   // Label 31293: @2297322
     /* 2297322 */   GIM_Reject,
     /* 2297323 */ // Label 31291: @2297323
     /* 2297323 */ GIM_Reject,
     /* 2297324 */ // Label 31252: @2297324
     /* 2297324 */ GIM_Try, /*On fail goto*//*Label 31294*/ GIMT_Encode4(2297444),
     /* 2297329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2297332 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2297335 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297339 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297343 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297347 */   GIM_Try, /*On fail goto*//*Label 31295*/ GIMT_Encode4(2297395), // Rule ID 52642 //
     /* 2297352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297355 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297355 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2297358 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297362 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297367 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2297372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297374 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297377 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297379 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297390 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297394 */     // GIR_Coverage, 52642,
     /* 2297394 */     GIR_EraseRootFromParent_Done,
     /* 2297395 */   // Label 31295: @2297395
     /* 2297395 */   GIM_Try, /*On fail goto*//*Label 31296*/ GIMT_Encode4(2297443), // Rule ID 52643 //
     /* 2297400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297403 */     // (ssubsat:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVSSUB_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2297406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_MF2),
     /* 2297420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297427 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297438 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297442 */     // GIR_Coverage, 52643,
     /* 2297442 */     GIR_EraseRootFromParent_Done,
     /* 2297443 */   // Label 31296: @2297443
     /* 2297443 */   GIM_Reject,
     /* 2297444 */ // Label 31294: @2297444
     /* 2297444 */ GIM_Reject,
     /* 2297445 */ // Label 31253: @2297445
     /* 2297445 */ GIM_Try, /*On fail goto*//*Label 31297*/ GIMT_Encode4(2297565),
     /* 2297450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2297453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2297456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297464 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297468 */   GIM_Try, /*On fail goto*//*Label 31298*/ GIMT_Encode4(2297516), // Rule ID 52662 //
     /* 2297473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297476 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2297479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2297493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297500 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297502 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297505 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297511 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297515 */     // GIR_Coverage, 52662,
     /* 2297515 */     GIR_EraseRootFromParent_Done,
     /* 2297516 */   // Label 31298: @2297516
     /* 2297516 */   GIM_Try, /*On fail goto*//*Label 31299*/ GIMT_Encode4(2297564), // Rule ID 52663 //
     /* 2297521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297524 */     // (ssubsat:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2297527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2297541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297559 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297563 */     // GIR_Coverage, 52663,
     /* 2297563 */     GIR_EraseRootFromParent_Done,
     /* 2297564 */   // Label 31299: @2297564
     /* 2297564 */   GIM_Reject,
     /* 2297565 */ // Label 31297: @2297565
     /* 2297565 */ GIM_Reject,
     /* 2297566 */ // Label 31254: @2297566
     /* 2297566 */ GIM_Try, /*On fail goto*//*Label 31300*/ GIMT_Encode4(2297686),
     /* 2297571 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2297574 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2297577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297585 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297589 */   GIM_Try, /*On fail goto*//*Label 31301*/ GIMT_Encode4(2297637), // Rule ID 52698 //
     /* 2297594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297597 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297597 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2297600 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297604 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297609 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297611 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2297614 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297616 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297621 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297632 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297636 */     // GIR_Coverage, 52698,
     /* 2297636 */     GIR_EraseRootFromParent_Done,
     /* 2297637 */   // Label 31301: @2297637
     /* 2297637 */   GIM_Try, /*On fail goto*//*Label 31302*/ GIMT_Encode4(2297685), // Rule ID 52699 //
     /* 2297642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297645 */     // (ssubsat:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2297648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2297662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2297677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297680 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297684 */     // GIR_Coverage, 52699,
     /* 2297684 */     GIR_EraseRootFromParent_Done,
     /* 2297685 */   // Label 31302: @2297685
     /* 2297685 */   GIM_Reject,
     /* 2297686 */ // Label 31300: @2297686
     /* 2297686 */ GIM_Reject,
     /* 2297687 */ // Label 31255: @2297687
     /* 2297687 */ GIM_Try, /*On fail goto*//*Label 31303*/ GIMT_Encode4(2297807),
     /* 2297692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2297695 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2297698 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297702 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297706 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2297710 */   GIM_Try, /*On fail goto*//*Label 31304*/ GIMT_Encode4(2297758), // Rule ID 52714 //
     /* 2297715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2297718 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2297721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2297735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297753 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297757 */     // GIR_Coverage, 52714,
     /* 2297757 */     GIR_EraseRootFromParent_Done,
     /* 2297758 */   // Label 31304: @2297758
     /* 2297758 */   GIM_Try, /*On fail goto*//*Label 31305*/ GIMT_Encode4(2297806), // Rule ID 52715 //
     /* 2297763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2297766 */     // (ssubsat:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2297769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2297783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2297798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297801 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297805 */     // GIR_Coverage, 52715,
     /* 2297805 */     GIR_EraseRootFromParent_Done,
     /* 2297806 */   // Label 31305: @2297806
     /* 2297806 */   GIM_Reject,
     /* 2297807 */ // Label 31303: @2297807
     /* 2297807 */ GIM_Reject,
     /* 2297808 */ // Label 31256: @2297808
     /* 2297808 */ GIM_Try, /*On fail goto*//*Label 31306*/ GIMT_Encode4(2297928),
     /* 2297813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2297816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2297819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2297831 */   GIM_Try, /*On fail goto*//*Label 31307*/ GIMT_Encode4(2297879), // Rule ID 52658 //
     /* 2297836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297839 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2297842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2297856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297874 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297878 */     // GIR_Coverage, 52658,
     /* 2297878 */     GIR_EraseRootFromParent_Done,
     /* 2297879 */   // Label 31307: @2297879
     /* 2297879 */   GIM_Try, /*On fail goto*//*Label 31308*/ GIMT_Encode4(2297927), // Rule ID 52659 //
     /* 2297884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2297887 */     // (ssubsat:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVSSUB_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2297887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2297890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M1),
     /* 2297904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297922 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297926 */     // GIR_Coverage, 52659,
     /* 2297926 */     GIR_EraseRootFromParent_Done,
     /* 2297927 */   // Label 31308: @2297927
     /* 2297927 */   GIM_Reject,
     /* 2297928 */ // Label 31306: @2297928
     /* 2297928 */ GIM_Reject,
     /* 2297929 */ // Label 31257: @2297929
     /* 2297929 */ GIM_Try, /*On fail goto*//*Label 31309*/ GIMT_Encode4(2298049),
     /* 2297934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2297937 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2297940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297948 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2297952 */   GIM_Try, /*On fail goto*//*Label 31310*/ GIMT_Encode4(2298000), // Rule ID 52686 //
     /* 2297957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2297960 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2297960 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2297963 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2297967 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2297972 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2297974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2297977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2297979 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2297982 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2297984 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2297986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2297989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2297992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2297995 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2297998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2297999 */     // GIR_Coverage, 52686,
     /* 2297999 */     GIR_EraseRootFromParent_Done,
     /* 2298000 */   // Label 31310: @2298000
     /* 2298000 */   GIM_Try, /*On fail goto*//*Label 31311*/ GIMT_Encode4(2298048), // Rule ID 52687 //
     /* 2298005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298008 */     // (ssubsat:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2298011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2298025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298043 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298047 */     // GIR_Coverage, 52687,
     /* 2298047 */     GIR_EraseRootFromParent_Done,
     /* 2298048 */   // Label 31311: @2298048
     /* 2298048 */   GIM_Reject,
     /* 2298049 */ // Label 31309: @2298049
     /* 2298049 */ GIM_Reject,
     /* 2298050 */ // Label 31258: @2298050
     /* 2298050 */ GIM_Try, /*On fail goto*//*Label 31312*/ GIMT_Encode4(2298170),
     /* 2298055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2298058 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2298061 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298065 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298069 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298073 */   GIM_Try, /*On fail goto*//*Label 31313*/ GIMT_Encode4(2298121), // Rule ID 52702 //
     /* 2298078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298081 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2298084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2298098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298116 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298120 */     // GIR_Coverage, 52702,
     /* 2298120 */     GIR_EraseRootFromParent_Done,
     /* 2298121 */   // Label 31313: @2298121
     /* 2298121 */   GIM_Try, /*On fail goto*//*Label 31314*/ GIMT_Encode4(2298169), // Rule ID 52703 //
     /* 2298126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298129 */     // (ssubsat:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2298132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2298146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298164 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298168 */     // GIR_Coverage, 52703,
     /* 2298168 */     GIR_EraseRootFromParent_Done,
     /* 2298169 */   // Label 31314: @2298169
     /* 2298169 */   GIM_Reject,
     /* 2298170 */ // Label 31312: @2298170
     /* 2298170 */ GIM_Reject,
     /* 2298171 */ // Label 31259: @2298171
     /* 2298171 */ GIM_Try, /*On fail goto*//*Label 31315*/ GIMT_Encode4(2298291),
     /* 2298176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2298179 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2298182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298190 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298194 */   GIM_Try, /*On fail goto*//*Label 31316*/ GIMT_Encode4(2298242), // Rule ID 52718 //
     /* 2298199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2298202 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298202 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2298205 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298209 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298214 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2298219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298221 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298224 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298228 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298237 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298241 */     // GIR_Coverage, 52718,
     /* 2298241 */     GIR_EraseRootFromParent_Done,
     /* 2298242 */   // Label 31316: @2298242
     /* 2298242 */   GIM_Try, /*On fail goto*//*Label 31317*/ GIMT_Encode4(2298290), // Rule ID 52719 //
     /* 2298247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2298250 */     // (ssubsat:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2298253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2298267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2298282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298285 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298289 */     // GIR_Coverage, 52719,
     /* 2298289 */     GIR_EraseRootFromParent_Done,
     /* 2298290 */   // Label 31317: @2298290
     /* 2298290 */   GIM_Reject,
     /* 2298291 */ // Label 31315: @2298291
     /* 2298291 */ GIM_Reject,
     /* 2298292 */ // Label 31260: @2298292
     /* 2298292 */ GIM_Try, /*On fail goto*//*Label 31318*/ GIMT_Encode4(2298412),
     /* 2298297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2298300 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2298303 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298307 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298311 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2298315 */   GIM_Try, /*On fail goto*//*Label 31319*/ GIMT_Encode4(2298363), // Rule ID 52674 //
     /* 2298320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298323 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2298326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2298340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298358 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298362 */     // GIR_Coverage, 52674,
     /* 2298362 */     GIR_EraseRootFromParent_Done,
     /* 2298363 */   // Label 31319: @2298363
     /* 2298363 */   GIM_Try, /*On fail goto*//*Label 31320*/ GIMT_Encode4(2298411), // Rule ID 52675 //
     /* 2298368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298371 */     // (ssubsat:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVSSUB_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2298374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M2),
     /* 2298388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298406 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298410 */     // GIR_Coverage, 52675,
     /* 2298410 */     GIR_EraseRootFromParent_Done,
     /* 2298411 */   // Label 31320: @2298411
     /* 2298411 */   GIM_Reject,
     /* 2298412 */ // Label 31318: @2298412
     /* 2298412 */ GIM_Reject,
     /* 2298413 */ // Label 31261: @2298413
     /* 2298413 */ GIM_Try, /*On fail goto*//*Label 31321*/ GIMT_Encode4(2298533),
     /* 2298418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2298421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2298424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298436 */   GIM_Try, /*On fail goto*//*Label 31322*/ GIMT_Encode4(2298484), // Rule ID 52690 //
     /* 2298441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298444 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2298447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2298461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298479 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298483 */     // GIR_Coverage, 52690,
     /* 2298483 */     GIR_EraseRootFromParent_Done,
     /* 2298484 */   // Label 31322: @2298484
     /* 2298484 */   GIM_Try, /*On fail goto*//*Label 31323*/ GIMT_Encode4(2298532), // Rule ID 52691 //
     /* 2298489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298492 */     // (ssubsat:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2298495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2298509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298527 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298531 */     // GIR_Coverage, 52691,
     /* 2298531 */     GIR_EraseRootFromParent_Done,
     /* 2298532 */   // Label 31323: @2298532
     /* 2298532 */   GIM_Reject,
     /* 2298533 */ // Label 31321: @2298533
     /* 2298533 */ GIM_Reject,
     /* 2298534 */ // Label 31262: @2298534
     /* 2298534 */ GIM_Try, /*On fail goto*//*Label 31324*/ GIMT_Encode4(2298654),
     /* 2298539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2298542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2298545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298553 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298557 */   GIM_Try, /*On fail goto*//*Label 31325*/ GIMT_Encode4(2298605), // Rule ID 52706 //
     /* 2298562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298565 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2298568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2298582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298600 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298604 */     // GIR_Coverage, 52706,
     /* 2298604 */     GIR_EraseRootFromParent_Done,
     /* 2298605 */   // Label 31325: @2298605
     /* 2298605 */   GIM_Try, /*On fail goto*//*Label 31326*/ GIMT_Encode4(2298653), // Rule ID 52707 //
     /* 2298610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298613 */     // (ssubsat:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298613 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2298616 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298620 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2298630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298632 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298637 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2298645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298648 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298652 */     // GIR_Coverage, 52707,
     /* 2298652 */     GIR_EraseRootFromParent_Done,
     /* 2298653 */   // Label 31326: @2298653
     /* 2298653 */   GIM_Reject,
     /* 2298654 */ // Label 31324: @2298654
     /* 2298654 */ GIM_Reject,
     /* 2298655 */ // Label 31263: @2298655
     /* 2298655 */ GIM_Try, /*On fail goto*//*Label 31327*/ GIMT_Encode4(2298775),
     /* 2298660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2298663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2298666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298674 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2298678 */   GIM_Try, /*On fail goto*//*Label 31328*/ GIMT_Encode4(2298726), // Rule ID 52678 //
     /* 2298683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298686 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298686 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2298689 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298693 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298698 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2298703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298705 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298710 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298721 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298725 */     // GIR_Coverage, 52678,
     /* 2298725 */     GIR_EraseRootFromParent_Done,
     /* 2298726 */   // Label 31328: @2298726
     /* 2298726 */   GIM_Try, /*On fail goto*//*Label 31329*/ GIMT_Encode4(2298774), // Rule ID 52679 //
     /* 2298731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298734 */     // (ssubsat:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVSSUB_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298734 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2298737 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298741 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298746 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M4),
     /* 2298751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298753 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298756 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298769 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298773 */     // GIR_Coverage, 52679,
     /* 2298773 */     GIR_EraseRootFromParent_Done,
     /* 2298774 */   // Label 31329: @2298774
     /* 2298774 */   GIM_Reject,
     /* 2298775 */ // Label 31327: @2298775
     /* 2298775 */ GIM_Reject,
     /* 2298776 */ // Label 31264: @2298776
     /* 2298776 */ GIM_Try, /*On fail goto*//*Label 31330*/ GIMT_Encode4(2298896),
     /* 2298781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2298784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2298787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298799 */   GIM_Try, /*On fail goto*//*Label 31331*/ GIMT_Encode4(2298847), // Rule ID 52694 //
     /* 2298804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298807 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2298810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2298824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298842 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298846 */     // GIR_Coverage, 52694,
     /* 2298846 */     GIR_EraseRootFromParent_Done,
     /* 2298847 */   // Label 31331: @2298847
     /* 2298847 */   GIM_Try, /*On fail goto*//*Label 31332*/ GIMT_Encode4(2298895), // Rule ID 52695 //
     /* 2298852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298855 */     // (ssubsat:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2298858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2298872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2298887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298890 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298894 */     // GIR_Coverage, 52695,
     /* 2298894 */     GIR_EraseRootFromParent_Done,
     /* 2298895 */   // Label 31332: @2298895
     /* 2298895 */   GIM_Reject,
     /* 2298896 */ // Label 31330: @2298896
     /* 2298896 */ GIM_Reject,
     /* 2298897 */ // Label 31265: @2298897
     /* 2298897 */ GIM_Try, /*On fail goto*//*Label 31333*/ GIMT_Encode4(2299017),
     /* 2298902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2298905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2298908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2298920 */   GIM_Try, /*On fail goto*//*Label 31334*/ GIMT_Encode4(2298968), // Rule ID 52682 //
     /* 2298925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2298928 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2298928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2298931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2298945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2298952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2298954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2298957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2298963 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2298966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2298967 */     // GIR_Coverage, 52682,
     /* 2298967 */     GIR_EraseRootFromParent_Done,
     /* 2298968 */   // Label 31334: @2298968
     /* 2298968 */   GIM_Try, /*On fail goto*//*Label 31335*/ GIMT_Encode4(2299016), // Rule ID 52683 //
     /* 2298973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2298976 */     // (ssubsat:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVSSUB_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2298976 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2298979 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2298983 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2298988 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2298990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSSUB_VV_M8),
     /* 2298993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2298995 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2298998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299011 */     GIR_SetImplicitDefDead, /*InsnID*/0, /*OpIdx for RISCV::VXSAT*/0,
     /* 2299014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299015 */     // GIR_Coverage, 52683,
     /* 2299015 */     GIR_EraseRootFromParent_Done,
     /* 2299016 */   // Label 31335: @2299016
     /* 2299016 */   GIM_Reject,
     /* 2299017 */ // Label 31333: @2299017
     /* 2299017 */ GIM_Reject,
     /* 2299018 */ // Label 31266: @2299018
     /* 2299018 */ GIM_Reject,
     /* 2299019 */ // Label 57: @2299019
     /* 2299019 */ GIM_Try, /*On fail goto*//*Label 31336*/ GIMT_Encode4(2299076),
     /* 2299024 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2299027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2299033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2299037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2299041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2299045 */   GIM_Try, /*On fail goto*//*Label 31337*/ GIMT_Encode4(2299060), // Rule ID 64580 //
     /* 2299050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2299053 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2299053 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2299058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299059 */     // GIR_Coverage, 64580,
     /* 2299059 */     GIR_Done,
     /* 2299060 */   // Label 31337: @2299060
     /* 2299060 */   GIM_Try, /*On fail goto*//*Label 31338*/ GIMT_Encode4(2299075), // Rule ID 64581 //
     /* 2299065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2299068 */     // (ushlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLUSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2299068 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLUSAT),
     /* 2299073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299074 */     // GIR_Coverage, 64581,
     /* 2299074 */     GIR_Done,
     /* 2299075 */   // Label 31338: @2299075
     /* 2299075 */   GIM_Reject,
     /* 2299076 */ // Label 31336: @2299076
     /* 2299076 */ GIM_Reject,
     /* 2299077 */ // Label 58: @2299077
     /* 2299077 */ GIM_Try, /*On fail goto*//*Label 31339*/ GIMT_Encode4(2299134),
     /* 2299082 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s32,
     /* 2299085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2299091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2299095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2299099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2299103 */   GIM_Try, /*On fail goto*//*Label 31340*/ GIMT_Encode4(2299118), // Rule ID 64582 //
     /* 2299108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode0),
     /* 2299111 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2299111 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2299116 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299117 */     // GIR_Coverage, 64582,
     /* 2299117 */     GIR_Done,
     /* 2299118 */   // Label 31340: @2299118
     /* 2299118 */   GIM_Try, /*On fail goto*//*Label 31341*/ GIMT_Encode4(2299133), // Rule ID 64583 //
     /* 2299123 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcia_IsRV32_HwMode1),
     /* 2299126 */     // (sshlsat:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)  =>  (QC_SHLSAT:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1, GPRNoX0:{ *:[i32] }:$rs2)
     /* 2299126 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_SHLSAT),
     /* 2299131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299132 */     // GIR_Coverage, 64583,
     /* 2299132 */     GIR_Done,
     /* 2299133 */   // Label 31341: @2299133
     /* 2299133 */   GIM_Reject,
     /* 2299134 */ // Label 31339: @2299134
     /* 2299134 */ GIM_Reject,
     /* 2299135 */ // Label 59: @2299135
     /* 2299135 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31360*/ GIMT_Encode4(2301562),
     /* 2299146 */ /*GILLT_s16*//*Label 31342*/ GIMT_Encode4(2299266),
     /* 2299150 */ /*GILLT_s32*//*Label 31343*/ GIMT_Encode4(2299415),
     /* 2299154 */ /*GILLT_s64*//*Label 31344*/ GIMT_Encode4(2299564), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2299166 */ /*GILLT_nxv1s16*//*Label 31345*/ GIMT_Encode4(2299747),
     /* 2299170 */ /*GILLT_nxv1s32*//*Label 31346*/ GIMT_Encode4(2299868),
     /* 2299174 */ /*GILLT_nxv1s64*//*Label 31347*/ GIMT_Encode4(2299989), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2299186 */ /*GILLT_nxv2s16*//*Label 31348*/ GIMT_Encode4(2300110),
     /* 2299190 */ /*GILLT_nxv2s32*//*Label 31349*/ GIMT_Encode4(2300231),
     /* 2299194 */ /*GILLT_nxv2s64*//*Label 31350*/ GIMT_Encode4(2300352), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2299206 */ /*GILLT_nxv4s16*//*Label 31351*/ GIMT_Encode4(2300473),
     /* 2299210 */ /*GILLT_nxv4s32*//*Label 31352*/ GIMT_Encode4(2300594),
     /* 2299214 */ /*GILLT_nxv4s64*//*Label 31353*/ GIMT_Encode4(2300715), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2299226 */ /*GILLT_nxv8s16*//*Label 31354*/ GIMT_Encode4(2300836),
     /* 2299230 */ /*GILLT_nxv8s32*//*Label 31355*/ GIMT_Encode4(2300957),
     /* 2299234 */ /*GILLT_nxv8s64*//*Label 31356*/ GIMT_Encode4(2301078), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2299246 */ /*GILLT_nxv16s16*//*Label 31357*/ GIMT_Encode4(2301199),
     /* 2299250 */ /*GILLT_nxv16s32*//*Label 31358*/ GIMT_Encode4(2301320), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2299262 */ /*GILLT_nxv32s16*//*Label 31359*/ GIMT_Encode4(2301441),
     /* 2299266 */ // Label 31342: @2299266
     /* 2299266 */ GIM_Try, /*On fail goto*//*Label 31361*/ GIMT_Encode4(2299414),
     /* 2299271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2299274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2299277 */   GIM_Try, /*On fail goto*//*Label 31362*/ GIMT_Encode4(2299311), // Rule ID 1954 //
     /* 2299282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2299285 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299297 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2299297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2299300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299310 */     // GIR_Coverage, 1954,
     /* 2299310 */     GIR_EraseRootFromParent_Done,
     /* 2299311 */   // Label 31362: @2299311
     /* 2299311 */   GIM_Try, /*On fail goto*//*Label 31363*/ GIMT_Encode4(2299345), // Rule ID 1955 //
     /* 2299316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2299319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299323 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299327 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2299331 */     // (fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2299331 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2299334 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299338 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299343 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299344 */     // GIR_Coverage, 1955,
     /* 2299344 */     GIR_EraseRootFromParent_Done,
     /* 2299345 */   // Label 31363: @2299345
     /* 2299345 */   GIM_Try, /*On fail goto*//*Label 31364*/ GIMT_Encode4(2299379), // Rule ID 1958 //
     /* 2299350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2299353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2299357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2299361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2299365 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2299365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2299368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299370 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299372 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299378 */     // GIR_Coverage, 1958,
     /* 2299378 */     GIR_EraseRootFromParent_Done,
     /* 2299379 */   // Label 31364: @2299379
     /* 2299379 */   GIM_Try, /*On fail goto*//*Label 31365*/ GIMT_Encode4(2299413), // Rule ID 1959 //
     /* 2299384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2299387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2299391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2299395 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2299399 */     // (fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2299399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2299402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299412 */     // GIR_Coverage, 1959,
     /* 2299412 */     GIR_EraseRootFromParent_Done,
     /* 2299413 */   // Label 31365: @2299413
     /* 2299413 */   GIM_Reject,
     /* 2299414 */ // Label 31361: @2299414
     /* 2299414 */ GIM_Reject,
     /* 2299415 */ // Label 31343: @2299415
     /* 2299415 */ GIM_Try, /*On fail goto*//*Label 31366*/ GIMT_Encode4(2299563),
     /* 2299420 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2299423 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2299426 */   GIM_Try, /*On fail goto*//*Label 31367*/ GIMT_Encode4(2299460), // Rule ID 1245 //
     /* 2299431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2299434 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299438 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299442 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299446 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2299446 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2299449 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299451 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299453 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299459 */     // GIR_Coverage, 1245,
     /* 2299459 */     GIR_EraseRootFromParent_Done,
     /* 2299460 */   // Label 31367: @2299460
     /* 2299460 */   GIM_Try, /*On fail goto*//*Label 31368*/ GIMT_Encode4(2299494), // Rule ID 1246 //
     /* 2299465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2299468 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299472 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299476 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2299480 */     // (fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2299480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2299483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299493 */     // GIR_Coverage, 1246,
     /* 2299493 */     GIR_EraseRootFromParent_Done,
     /* 2299494 */   // Label 31368: @2299494
     /* 2299494 */   GIM_Try, /*On fail goto*//*Label 31369*/ GIMT_Encode4(2299528), // Rule ID 1249 //
     /* 2299499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2299502 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299506 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299510 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299514 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2299514 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2299517 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299527 */     // GIR_Coverage, 1249,
     /* 2299527 */     GIR_EraseRootFromParent_Done,
     /* 2299528 */   // Label 31369: @2299528
     /* 2299528 */   GIM_Try, /*On fail goto*//*Label 31370*/ GIMT_Encode4(2299562), // Rule ID 1250 //
     /* 2299533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2299536 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299540 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299544 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2299548 */     // (fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2299548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2299551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299555 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299561 */     // GIR_Coverage, 1250,
     /* 2299561 */     GIR_EraseRootFromParent_Done,
     /* 2299562 */   // Label 31370: @2299562
     /* 2299562 */   GIM_Reject,
     /* 2299563 */ // Label 31366: @2299563
     /* 2299563 */ GIM_Reject,
     /* 2299564 */ // Label 31344: @2299564
     /* 2299564 */ GIM_Try, /*On fail goto*//*Label 31371*/ GIMT_Encode4(2299746),
     /* 2299569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2299572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2299575 */   GIM_Try, /*On fail goto*//*Label 31372*/ GIMT_Encode4(2299609), // Rule ID 1580 //
     /* 2299580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2299583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2299587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2299591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2299595 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2299595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2299598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299608 */     // GIR_Coverage, 1580,
     /* 2299608 */     GIR_EraseRootFromParent_Done,
     /* 2299609 */   // Label 31372: @2299609
     /* 2299609 */   GIM_Try, /*On fail goto*//*Label 31373*/ GIMT_Encode4(2299643), // Rule ID 1581 //
     /* 2299614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2299617 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2299621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2299625 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2299629 */     // (fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2299629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2299632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299642 */     // GIR_Coverage, 1581,
     /* 2299642 */     GIR_EraseRootFromParent_Done,
     /* 2299643 */   // Label 31373: @2299643
     /* 2299643 */   GIM_Try, /*On fail goto*//*Label 31374*/ GIMT_Encode4(2299677), // Rule ID 1584 //
     /* 2299648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2299651 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2299655 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2299659 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2299663 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2299663 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2299666 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299668 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299670 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299676 */     // GIR_Coverage, 1584,
     /* 2299676 */     GIR_EraseRootFromParent_Done,
     /* 2299677 */   // Label 31374: @2299677
     /* 2299677 */   GIM_Try, /*On fail goto*//*Label 31375*/ GIMT_Encode4(2299711), // Rule ID 1585 //
     /* 2299682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2299685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2299689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2299693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2299697 */     // (fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2299697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2299700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299702 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299710 */     // GIR_Coverage, 1585,
     /* 2299710 */     GIR_EraseRootFromParent_Done,
     /* 2299711 */   // Label 31375: @2299711
     /* 2299711 */   GIM_Try, /*On fail goto*//*Label 31376*/ GIMT_Encode4(2299745), // Rule ID 1587 //
     /* 2299716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2299719 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2299723 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2299727 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2299731 */     // (fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2299731 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2299734 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299744 */     // GIR_Coverage, 1587,
     /* 2299744 */     GIR_EraseRootFromParent_Done,
     /* 2299745 */   // Label 31376: @2299745
     /* 2299745 */   GIM_Reject,
     /* 2299746 */ // Label 31371: @2299746
     /* 2299746 */ GIM_Reject,
     /* 2299747 */ // Label 31345: @2299747
     /* 2299747 */ GIM_Try, /*On fail goto*//*Label 31377*/ GIMT_Encode4(2299867),
     /* 2299752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2299755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2299758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299770 */   GIM_Try, /*On fail goto*//*Label 31378*/ GIMT_Encode4(2299818), // Rule ID 45758 //
     /* 2299775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2299778 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2299781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2299795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299817 */     // GIR_Coverage, 45758,
     /* 2299817 */     GIR_EraseRootFromParent_Done,
     /* 2299818 */   // Label 31378: @2299818
     /* 2299818 */   GIM_Try, /*On fail goto*//*Label 31379*/ GIMT_Encode4(2299866), // Rule ID 45759 //
     /* 2299823 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2299826 */     // (fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299826 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2299829 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299833 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299838 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2299843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299845 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2299861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299865 */     // GIR_Coverage, 45759,
     /* 2299865 */     GIR_EraseRootFromParent_Done,
     /* 2299866 */   // Label 31379: @2299866
     /* 2299866 */   GIM_Reject,
     /* 2299867 */ // Label 31377: @2299867
     /* 2299867 */ GIM_Reject,
     /* 2299868 */ // Label 31346: @2299868
     /* 2299868 */ GIM_Try, /*On fail goto*//*Label 31380*/ GIMT_Encode4(2299988),
     /* 2299873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2299876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2299879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2299891 */   GIM_Try, /*On fail goto*//*Label 31381*/ GIMT_Encode4(2299939), // Rule ID 53298 //
     /* 2299896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2299899 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2299899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2299902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2299916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299938 */     // GIR_Coverage, 53298,
     /* 2299938 */     GIR_EraseRootFromParent_Done,
     /* 2299939 */   // Label 31381: @2299939
     /* 2299939 */   GIM_Try, /*On fail goto*//*Label 31382*/ GIMT_Encode4(2299987), // Rule ID 53299 //
     /* 2299944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2299947 */     // (fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2299947 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2299950 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2299954 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2299959 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2299961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2299964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2299966 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2299969 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2299971 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2299973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2299976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2299979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2299982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2299985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2299986 */     // GIR_Coverage, 53299,
     /* 2299986 */     GIR_EraseRootFromParent_Done,
     /* 2299987 */   // Label 31382: @2299987
     /* 2299987 */   GIM_Reject,
     /* 2299988 */ // Label 31380: @2299988
     /* 2299988 */ GIM_Reject,
     /* 2299989 */ // Label 31347: @2299989
     /* 2299989 */ GIM_Try, /*On fail goto*//*Label 31383*/ GIMT_Encode4(2300109),
     /* 2299994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2299997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2300000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300012 */   GIM_Try, /*On fail goto*//*Label 31384*/ GIMT_Encode4(2300060), // Rule ID 53334 //
     /* 2300017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2300020 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2300023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2300037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300058 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300059 */     // GIR_Coverage, 53334,
     /* 2300059 */     GIR_EraseRootFromParent_Done,
     /* 2300060 */   // Label 31384: @2300060
     /* 2300060 */   GIM_Try, /*On fail goto*//*Label 31385*/ GIMT_Encode4(2300108), // Rule ID 53335 //
     /* 2300065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2300068 */     // (fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2300071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2300085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300107 */     // GIR_Coverage, 53335,
     /* 2300107 */     GIR_EraseRootFromParent_Done,
     /* 2300108 */   // Label 31385: @2300108
     /* 2300108 */   GIM_Reject,
     /* 2300109 */ // Label 31383: @2300109
     /* 2300109 */ GIM_Reject,
     /* 2300110 */ // Label 31348: @2300110
     /* 2300110 */ GIM_Try, /*On fail goto*//*Label 31386*/ GIMT_Encode4(2300230),
     /* 2300115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2300118 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2300121 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300125 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300129 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300133 */   GIM_Try, /*On fail goto*//*Label 31387*/ GIMT_Encode4(2300181), // Rule ID 53286 //
     /* 2300138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300141 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2300144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2300158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300180 */     // GIR_Coverage, 53286,
     /* 2300180 */     GIR_EraseRootFromParent_Done,
     /* 2300181 */   // Label 31387: @2300181
     /* 2300181 */   GIM_Try, /*On fail goto*//*Label 31388*/ GIMT_Encode4(2300229), // Rule ID 53287 //
     /* 2300186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300189 */     // (fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2300192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2300206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300228 */     // GIR_Coverage, 53287,
     /* 2300228 */     GIR_EraseRootFromParent_Done,
     /* 2300229 */   // Label 31388: @2300229
     /* 2300229 */   GIM_Reject,
     /* 2300230 */ // Label 31386: @2300230
     /* 2300230 */ GIM_Reject,
     /* 2300231 */ // Label 31349: @2300231
     /* 2300231 */ GIM_Try, /*On fail goto*//*Label 31389*/ GIMT_Encode4(2300351),
     /* 2300236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2300239 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2300242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300250 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300254 */   GIM_Try, /*On fail goto*//*Label 31390*/ GIMT_Encode4(2300302), // Rule ID 53322 //
     /* 2300259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300262 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300262 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2300265 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300269 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300274 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2300279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300281 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300300 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300301 */     // GIR_Coverage, 53322,
     /* 2300301 */     GIR_EraseRootFromParent_Done,
     /* 2300302 */   // Label 31390: @2300302
     /* 2300302 */   GIM_Try, /*On fail goto*//*Label 31391*/ GIMT_Encode4(2300350), // Rule ID 53323 //
     /* 2300307 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300310 */     // (fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300310 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2300313 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300317 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300322 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2300327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300329 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300332 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300334 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300349 */     // GIR_Coverage, 53323,
     /* 2300349 */     GIR_EraseRootFromParent_Done,
     /* 2300350 */   // Label 31391: @2300350
     /* 2300350 */   GIM_Reject,
     /* 2300351 */ // Label 31389: @2300351
     /* 2300351 */ GIM_Reject,
     /* 2300352 */ // Label 31350: @2300352
     /* 2300352 */ GIM_Try, /*On fail goto*//*Label 31392*/ GIMT_Encode4(2300472),
     /* 2300357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2300360 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2300363 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300367 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300371 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300375 */   GIM_Try, /*On fail goto*//*Label 31393*/ GIMT_Encode4(2300423), // Rule ID 53418 //
     /* 2300380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2300383 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300383 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2300386 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300390 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300395 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2300400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300402 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300405 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300422 */     // GIR_Coverage, 53418,
     /* 2300422 */     GIR_EraseRootFromParent_Done,
     /* 2300423 */   // Label 31393: @2300423
     /* 2300423 */   GIM_Try, /*On fail goto*//*Label 31394*/ GIMT_Encode4(2300471), // Rule ID 53419 //
     /* 2300428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2300431 */     // (fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2300434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2300448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300455 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300470 */     // GIR_Coverage, 53419,
     /* 2300470 */     GIR_EraseRootFromParent_Done,
     /* 2300471 */   // Label 31394: @2300471
     /* 2300471 */   GIM_Reject,
     /* 2300472 */ // Label 31392: @2300472
     /* 2300472 */ GIM_Reject,
     /* 2300473 */ // Label 31351: @2300473
     /* 2300473 */ GIM_Try, /*On fail goto*//*Label 31395*/ GIMT_Encode4(2300593),
     /* 2300478 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2300481 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2300484 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300488 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300492 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2300496 */   GIM_Try, /*On fail goto*//*Label 31396*/ GIMT_Encode4(2300544), // Rule ID 53310 //
     /* 2300501 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300504 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300504 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2300507 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300511 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300516 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2300521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300523 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300526 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300528 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300530 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300543 */     // GIR_Coverage, 53310,
     /* 2300543 */     GIR_EraseRootFromParent_Done,
     /* 2300544 */   // Label 31396: @2300544
     /* 2300544 */   GIM_Try, /*On fail goto*//*Label 31397*/ GIMT_Encode4(2300592), // Rule ID 53311 //
     /* 2300549 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300552 */     // (fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300552 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2300555 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300559 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300564 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300566 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2300569 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300571 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300574 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300576 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300591 */     // GIR_Coverage, 53311,
     /* 2300591 */     GIR_EraseRootFromParent_Done,
     /* 2300592 */   // Label 31397: @2300592
     /* 2300592 */   GIM_Reject,
     /* 2300593 */ // Label 31395: @2300593
     /* 2300593 */ GIM_Reject,
     /* 2300594 */ // Label 31352: @2300594
     /* 2300594 */ GIM_Try, /*On fail goto*//*Label 31398*/ GIMT_Encode4(2300714),
     /* 2300599 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2300602 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2300605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300613 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300617 */   GIM_Try, /*On fail goto*//*Label 31399*/ GIMT_Encode4(2300665), // Rule ID 53382 //
     /* 2300622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300625 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300625 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2300628 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300632 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300637 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300639 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2300642 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300644 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300664 */     // GIR_Coverage, 53382,
     /* 2300664 */     GIR_EraseRootFromParent_Done,
     /* 2300665 */   // Label 31399: @2300665
     /* 2300665 */   GIM_Try, /*On fail goto*//*Label 31400*/ GIMT_Encode4(2300713), // Rule ID 53383 //
     /* 2300670 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2300673 */     // (fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300673 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2300676 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300680 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300685 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300687 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2300690 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300692 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300695 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2300708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300712 */     // GIR_Coverage, 53383,
     /* 2300712 */     GIR_EraseRootFromParent_Done,
     /* 2300713 */   // Label 31400: @2300713
     /* 2300713 */   GIM_Reject,
     /* 2300714 */ // Label 31398: @2300714
     /* 2300714 */ GIM_Reject,
     /* 2300715 */ // Label 31353: @2300715
     /* 2300715 */ GIM_Try, /*On fail goto*//*Label 31401*/ GIMT_Encode4(2300835),
     /* 2300720 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2300723 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2300726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300734 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300738 */   GIM_Try, /*On fail goto*//*Label 31402*/ GIMT_Encode4(2300786), // Rule ID 53430 //
     /* 2300743 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2300746 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300746 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2300749 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300753 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300758 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2300763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300765 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300785 */     // GIR_Coverage, 53430,
     /* 2300785 */     GIR_EraseRootFromParent_Done,
     /* 2300786 */   // Label 31402: @2300786
     /* 2300786 */   GIM_Try, /*On fail goto*//*Label 31403*/ GIMT_Encode4(2300834), // Rule ID 53431 //
     /* 2300791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2300794 */     // (fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300794 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2300797 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300801 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300806 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2300811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300813 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300816 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300818 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2300829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300833 */     // GIR_Coverage, 53431,
     /* 2300833 */     GIR_EraseRootFromParent_Done,
     /* 2300834 */   // Label 31403: @2300834
     /* 2300834 */   GIM_Reject,
     /* 2300835 */ // Label 31401: @2300835
     /* 2300835 */ GIM_Reject,
     /* 2300836 */ // Label 31354: @2300836
     /* 2300836 */ GIM_Try, /*On fail goto*//*Label 31404*/ GIMT_Encode4(2300956),
     /* 2300841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2300844 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2300847 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300851 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300855 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2300859 */   GIM_Try, /*On fail goto*//*Label 31405*/ GIMT_Encode4(2300907), // Rule ID 53346 //
     /* 2300864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2300867 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300867 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2300870 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300874 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2300884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300886 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300906 */     // GIR_Coverage, 53346,
     /* 2300906 */     GIR_EraseRootFromParent_Done,
     /* 2300907 */   // Label 31405: @2300907
     /* 2300907 */   GIM_Try, /*On fail goto*//*Label 31406*/ GIMT_Encode4(2300955), // Rule ID 53347 //
     /* 2300912 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2300915 */     // (fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2300915 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2300918 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300922 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2300927 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2300929 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2300932 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2300934 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2300937 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2300939 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2300941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2300944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2300947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2300950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2300953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2300954 */     // GIR_Coverage, 53347,
     /* 2300954 */     GIR_EraseRootFromParent_Done,
     /* 2300955 */   // Label 31406: @2300955
     /* 2300955 */   GIM_Reject,
     /* 2300956 */ // Label 31404: @2300956
     /* 2300956 */ GIM_Reject,
     /* 2300957 */ // Label 31355: @2300957
     /* 2300957 */ GIM_Try, /*On fail goto*//*Label 31407*/ GIMT_Encode4(2301077),
     /* 2300962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2300965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2300968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300976 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2300980 */   GIM_Try, /*On fail goto*//*Label 31408*/ GIMT_Encode4(2301028), // Rule ID 53394 //
     /* 2300985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2300988 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2300988 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2300991 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2300995 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301000 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301002 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2301005 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301007 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301027 */     // GIR_Coverage, 53394,
     /* 2301027 */     GIR_EraseRootFromParent_Done,
     /* 2301028 */   // Label 31408: @2301028
     /* 2301028 */   GIM_Try, /*On fail goto*//*Label 31409*/ GIMT_Encode4(2301076), // Rule ID 53395 //
     /* 2301033 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301036 */     // (fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2301039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2301053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301075 */     // GIR_Coverage, 53395,
     /* 2301075 */     GIR_EraseRootFromParent_Done,
     /* 2301076 */   // Label 31409: @2301076
     /* 2301076 */   GIM_Reject,
     /* 2301077 */ // Label 31407: @2301077
     /* 2301077 */ GIM_Reject,
     /* 2301078 */ // Label 31356: @2301078
     /* 2301078 */ GIM_Try, /*On fail goto*//*Label 31410*/ GIMT_Encode4(2301198),
     /* 2301083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2301086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2301089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301097 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301101 */   GIM_Try, /*On fail goto*//*Label 31411*/ GIMT_Encode4(2301149), // Rule ID 53442 //
     /* 2301106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2301109 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2301112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2301126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301148 */     // GIR_Coverage, 53442,
     /* 2301148 */     GIR_EraseRootFromParent_Done,
     /* 2301149 */   // Label 31411: @2301149
     /* 2301149 */   GIM_Try, /*On fail goto*//*Label 31412*/ GIMT_Encode4(2301197), // Rule ID 53443 //
     /* 2301154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2301157 */     // (fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301157 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2301160 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301164 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301169 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2301174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301176 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301179 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301181 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2301192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301196 */     // GIR_Coverage, 53443,
     /* 2301196 */     GIR_EraseRootFromParent_Done,
     /* 2301197 */   // Label 31412: @2301197
     /* 2301197 */   GIM_Reject,
     /* 2301198 */ // Label 31410: @2301198
     /* 2301198 */ GIM_Reject,
     /* 2301199 */ // Label 31357: @2301199
     /* 2301199 */ GIM_Try, /*On fail goto*//*Label 31413*/ GIMT_Encode4(2301319),
     /* 2301204 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2301207 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2301210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301218 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2301222 */   GIM_Try, /*On fail goto*//*Label 31414*/ GIMT_Encode4(2301270), // Rule ID 53358 //
     /* 2301227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301230 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2301233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2301247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301269 */     // GIR_Coverage, 53358,
     /* 2301269 */     GIR_EraseRootFromParent_Done,
     /* 2301270 */   // Label 31414: @2301270
     /* 2301270 */   GIM_Try, /*On fail goto*//*Label 31415*/ GIMT_Encode4(2301318), // Rule ID 53359 //
     /* 2301275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301278 */     // (fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2301281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2301295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301317 */     // GIR_Coverage, 53359,
     /* 2301317 */     GIR_EraseRootFromParent_Done,
     /* 2301318 */   // Label 31415: @2301318
     /* 2301318 */   GIM_Reject,
     /* 2301319 */ // Label 31413: @2301319
     /* 2301319 */ GIM_Reject,
     /* 2301320 */ // Label 31358: @2301320
     /* 2301320 */ GIM_Try, /*On fail goto*//*Label 31416*/ GIMT_Encode4(2301440),
     /* 2301325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2301328 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2301331 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301335 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301339 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301343 */   GIM_Try, /*On fail goto*//*Label 31417*/ GIMT_Encode4(2301391), // Rule ID 53406 //
     /* 2301348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2301351 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301351 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2301354 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301358 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301363 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301365 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2301368 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301370 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301390 */     // GIR_Coverage, 53406,
     /* 2301390 */     GIR_EraseRootFromParent_Done,
     /* 2301391 */   // Label 31417: @2301391
     /* 2301391 */   GIM_Try, /*On fail goto*//*Label 31418*/ GIMT_Encode4(2301439), // Rule ID 53407 //
     /* 2301396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2301399 */     // (fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2301402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2301416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2301434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301438 */     // GIR_Coverage, 53407,
     /* 2301438 */     GIR_EraseRootFromParent_Done,
     /* 2301439 */   // Label 31418: @2301439
     /* 2301439 */   GIM_Reject,
     /* 2301440 */ // Label 31416: @2301440
     /* 2301440 */ GIM_Reject,
     /* 2301441 */ // Label 31359: @2301441
     /* 2301441 */ GIM_Try, /*On fail goto*//*Label 31419*/ GIMT_Encode4(2301561),
     /* 2301446 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2301449 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2301452 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301456 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301460 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2301464 */   GIM_Try, /*On fail goto*//*Label 31420*/ GIMT_Encode4(2301512), // Rule ID 53370 //
     /* 2301469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2301472 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2301472 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2301475 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301479 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301484 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2301489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301491 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301510 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301511 */     // GIR_Coverage, 53370,
     /* 2301511 */     GIR_EraseRootFromParent_Done,
     /* 2301512 */   // Label 31420: @2301512
     /* 2301512 */   GIM_Try, /*On fail goto*//*Label 31421*/ GIMT_Encode4(2301560), // Rule ID 53371 //
     /* 2301517 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2301520 */     // (fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2301520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2301523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2301527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2301532 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2301534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2301537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301539 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2301542 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301544 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2301552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2301555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2301558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301559 */     // GIR_Coverage, 53371,
     /* 2301559 */     GIR_EraseRootFromParent_Done,
     /* 2301560 */   // Label 31421: @2301560
     /* 2301560 */   GIM_Reject,
     /* 2301561 */ // Label 31419: @2301561
     /* 2301561 */ GIM_Reject,
     /* 2301562 */ // Label 31360: @2301562
     /* 2301562 */ GIM_Reject,
     /* 2301563 */ // Label 60: @2301563
     /* 2301563 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31440*/ GIMT_Encode4(2303990),
     /* 2301574 */ /*GILLT_s16*//*Label 31422*/ GIMT_Encode4(2301694),
     /* 2301578 */ /*GILLT_s32*//*Label 31423*/ GIMT_Encode4(2301843),
     /* 2301582 */ /*GILLT_s64*//*Label 31424*/ GIMT_Encode4(2301992), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2301594 */ /*GILLT_nxv1s16*//*Label 31425*/ GIMT_Encode4(2302175),
     /* 2301598 */ /*GILLT_nxv1s32*//*Label 31426*/ GIMT_Encode4(2302296),
     /* 2301602 */ /*GILLT_nxv1s64*//*Label 31427*/ GIMT_Encode4(2302417), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2301614 */ /*GILLT_nxv2s16*//*Label 31428*/ GIMT_Encode4(2302538),
     /* 2301618 */ /*GILLT_nxv2s32*//*Label 31429*/ GIMT_Encode4(2302659),
     /* 2301622 */ /*GILLT_nxv2s64*//*Label 31430*/ GIMT_Encode4(2302780), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2301634 */ /*GILLT_nxv4s16*//*Label 31431*/ GIMT_Encode4(2302901),
     /* 2301638 */ /*GILLT_nxv4s32*//*Label 31432*/ GIMT_Encode4(2303022),
     /* 2301642 */ /*GILLT_nxv4s64*//*Label 31433*/ GIMT_Encode4(2303143), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2301654 */ /*GILLT_nxv8s16*//*Label 31434*/ GIMT_Encode4(2303264),
     /* 2301658 */ /*GILLT_nxv8s32*//*Label 31435*/ GIMT_Encode4(2303385),
     /* 2301662 */ /*GILLT_nxv8s64*//*Label 31436*/ GIMT_Encode4(2303506), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2301674 */ /*GILLT_nxv16s16*//*Label 31437*/ GIMT_Encode4(2303627),
     /* 2301678 */ /*GILLT_nxv16s32*//*Label 31438*/ GIMT_Encode4(2303748), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2301690 */ /*GILLT_nxv32s16*//*Label 31439*/ GIMT_Encode4(2303869),
     /* 2301694 */ // Label 31422: @2301694
     /* 2301694 */ GIM_Try, /*On fail goto*//*Label 31441*/ GIMT_Encode4(2301842),
     /* 2301699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2301702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2301705 */   GIM_Try, /*On fail goto*//*Label 31442*/ GIMT_Encode4(2301739), // Rule ID 1962 //
     /* 2301710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2301713 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2301717 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2301721 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2301725 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2301725 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2301728 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301738 */     // GIR_Coverage, 1962,
     /* 2301738 */     GIR_EraseRootFromParent_Done,
     /* 2301739 */   // Label 31442: @2301739
     /* 2301739 */   GIM_Try, /*On fail goto*//*Label 31443*/ GIMT_Encode4(2301773), // Rule ID 1963 //
     /* 2301744 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2301747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2301751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2301755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2301759 */     // (fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2301759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2301762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301764 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301766 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301772 */     // GIR_Coverage, 1963,
     /* 2301772 */     GIR_EraseRootFromParent_Done,
     /* 2301773 */   // Label 31443: @2301773
     /* 2301773 */   GIM_Try, /*On fail goto*//*Label 31444*/ GIMT_Encode4(2301807), // Rule ID 1966 //
     /* 2301778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2301781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2301785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2301789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2301793 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2301793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2301796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301800 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301805 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301806 */     // GIR_Coverage, 1966,
     /* 2301806 */     GIR_EraseRootFromParent_Done,
     /* 2301807 */   // Label 31444: @2301807
     /* 2301807 */   GIM_Try, /*On fail goto*//*Label 31445*/ GIMT_Encode4(2301841), // Rule ID 1967 //
     /* 2301812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2301815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2301819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2301823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2301827 */     // (fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2301827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2301830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301840 */     // GIR_Coverage, 1967,
     /* 2301840 */     GIR_EraseRootFromParent_Done,
     /* 2301841 */   // Label 31445: @2301841
     /* 2301841 */   GIM_Reject,
     /* 2301842 */ // Label 31441: @2301842
     /* 2301842 */ GIM_Reject,
     /* 2301843 */ // Label 31423: @2301843
     /* 2301843 */ GIM_Try, /*On fail goto*//*Label 31446*/ GIMT_Encode4(2301991),
     /* 2301848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2301851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2301854 */   GIM_Try, /*On fail goto*//*Label 31447*/ GIMT_Encode4(2301888), // Rule ID 1253 //
     /* 2301859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2301862 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2301866 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2301870 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2301874 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2301874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2301877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301887 */     // GIR_Coverage, 1253,
     /* 2301887 */     GIR_EraseRootFromParent_Done,
     /* 2301888 */   // Label 31447: @2301888
     /* 2301888 */   GIM_Try, /*On fail goto*//*Label 31448*/ GIMT_Encode4(2301922), // Rule ID 1254 //
     /* 2301893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2301896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2301900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2301904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2301908 */     // (fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2301908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2301911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301915 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301921 */     // GIR_Coverage, 1254,
     /* 2301921 */     GIR_EraseRootFromParent_Done,
     /* 2301922 */   // Label 31448: @2301922
     /* 2301922 */   GIM_Try, /*On fail goto*//*Label 31449*/ GIMT_Encode4(2301956), // Rule ID 1257 //
     /* 2301927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2301930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2301934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2301938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2301942 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2301942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2301945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301955 */     // GIR_Coverage, 1257,
     /* 2301955 */     GIR_EraseRootFromParent_Done,
     /* 2301956 */   // Label 31449: @2301956
     /* 2301956 */   GIM_Try, /*On fail goto*//*Label 31450*/ GIMT_Encode4(2301990), // Rule ID 1258 //
     /* 2301961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2301964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2301968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2301972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2301976 */     // (fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2301976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2301979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2301981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2301983 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2301985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2301988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2301989 */     // GIR_Coverage, 1258,
     /* 2301989 */     GIR_EraseRootFromParent_Done,
     /* 2301990 */   // Label 31450: @2301990
     /* 2301990 */   GIM_Reject,
     /* 2301991 */ // Label 31446: @2301991
     /* 2301991 */ GIM_Reject,
     /* 2301992 */ // Label 31424: @2301992
     /* 2301992 */ GIM_Try, /*On fail goto*//*Label 31451*/ GIMT_Encode4(2302174),
     /* 2301997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2302000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2302003 */   GIM_Try, /*On fail goto*//*Label 31452*/ GIMT_Encode4(2302037), // Rule ID 1590 //
     /* 2302008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2302011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302023 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2302023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2302026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302036 */     // GIR_Coverage, 1590,
     /* 2302036 */     GIR_EraseRootFromParent_Done,
     /* 2302037 */   // Label 31452: @2302037
     /* 2302037 */   GIM_Try, /*On fail goto*//*Label 31453*/ GIMT_Encode4(2302071), // Rule ID 1591 //
     /* 2302042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2302045 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2302057 */     // (fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2302057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2302060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302070 */     // GIR_Coverage, 1591,
     /* 2302070 */     GIR_EraseRootFromParent_Done,
     /* 2302071 */   // Label 31453: @2302071
     /* 2302071 */   GIM_Try, /*On fail goto*//*Label 31454*/ GIMT_Encode4(2302105), // Rule ID 1594 //
     /* 2302076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2302079 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302087 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302091 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2302091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2302094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302104 */     // GIR_Coverage, 1594,
     /* 2302104 */     GIR_EraseRootFromParent_Done,
     /* 2302105 */   // Label 31454: @2302105
     /* 2302105 */   GIM_Try, /*On fail goto*//*Label 31455*/ GIMT_Encode4(2302139), // Rule ID 1595 //
     /* 2302110 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2302113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2302125 */     // (fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2302125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2302128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302138 */     // GIR_Coverage, 1595,
     /* 2302138 */     GIR_EraseRootFromParent_Done,
     /* 2302139 */   // Label 31455: @2302139
     /* 2302139 */   GIM_Try, /*On fail goto*//*Label 31456*/ GIMT_Encode4(2302173), // Rule ID 1597 //
     /* 2302144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2302147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2302151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2302155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2302159 */     // (fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2302159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2302162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302166 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302172 */     // GIR_Coverage, 1597,
     /* 2302172 */     GIR_EraseRootFromParent_Done,
     /* 2302173 */   // Label 31456: @2302173
     /* 2302173 */   GIM_Reject,
     /* 2302174 */ // Label 31451: @2302174
     /* 2302174 */ GIM_Reject,
     /* 2302175 */ // Label 31425: @2302175
     /* 2302175 */ GIM_Try, /*On fail goto*//*Label 31457*/ GIMT_Encode4(2302295),
     /* 2302180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2302183 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2302186 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302190 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302194 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302198 */   GIM_Try, /*On fail goto*//*Label 31458*/ GIMT_Encode4(2302246), // Rule ID 53454 //
     /* 2302203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302206 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2302209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2302223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302230 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302245 */     // GIR_Coverage, 53454,
     /* 2302245 */     GIR_EraseRootFromParent_Done,
     /* 2302246 */   // Label 31458: @2302246
     /* 2302246 */   GIM_Try, /*On fail goto*//*Label 31459*/ GIMT_Encode4(2302294), // Rule ID 53455 //
     /* 2302251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302254 */     // (fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302254 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2302257 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302261 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302266 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2302271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302273 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302276 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302278 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302293 */     // GIR_Coverage, 53455,
     /* 2302293 */     GIR_EraseRootFromParent_Done,
     /* 2302294 */   // Label 31459: @2302294
     /* 2302294 */   GIM_Reject,
     /* 2302295 */ // Label 31457: @2302295
     /* 2302295 */ GIM_Reject,
     /* 2302296 */ // Label 31426: @2302296
     /* 2302296 */ GIM_Try, /*On fail goto*//*Label 31460*/ GIMT_Encode4(2302416),
     /* 2302301 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2302304 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2302307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302315 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302319 */   GIM_Try, /*On fail goto*//*Label 31461*/ GIMT_Encode4(2302367), // Rule ID 53478 //
     /* 2302324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302327 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302327 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2302330 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302334 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302339 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2302344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302346 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302366 */     // GIR_Coverage, 53478,
     /* 2302366 */     GIR_EraseRootFromParent_Done,
     /* 2302367 */   // Label 31461: @2302367
     /* 2302367 */   GIM_Try, /*On fail goto*//*Label 31462*/ GIMT_Encode4(2302415), // Rule ID 53479 //
     /* 2302372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302375 */     // (fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2302378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2302392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302414 */     // GIR_Coverage, 53479,
     /* 2302414 */     GIR_EraseRootFromParent_Done,
     /* 2302415 */   // Label 31462: @2302415
     /* 2302415 */   GIM_Reject,
     /* 2302416 */ // Label 31460: @2302416
     /* 2302416 */ GIM_Reject,
     /* 2302417 */ // Label 31427: @2302417
     /* 2302417 */ GIM_Try, /*On fail goto*//*Label 31463*/ GIMT_Encode4(2302537),
     /* 2302422 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2302425 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2302428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302436 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302440 */   GIM_Try, /*On fail goto*//*Label 31464*/ GIMT_Encode4(2302488), // Rule ID 53514 //
     /* 2302445 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302448 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302448 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2302451 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302455 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302460 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2302465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302467 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302470 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302472 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302487 */     // GIR_Coverage, 53514,
     /* 2302487 */     GIR_EraseRootFromParent_Done,
     /* 2302488 */   // Label 31464: @2302488
     /* 2302488 */   GIM_Try, /*On fail goto*//*Label 31465*/ GIMT_Encode4(2302536), // Rule ID 53515 //
     /* 2302493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302496 */     // (fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302496 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2302499 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302503 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302508 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2302513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302515 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302535 */     // GIR_Coverage, 53515,
     /* 2302535 */     GIR_EraseRootFromParent_Done,
     /* 2302536 */   // Label 31465: @2302536
     /* 2302536 */   GIM_Reject,
     /* 2302537 */ // Label 31463: @2302537
     /* 2302537 */ GIM_Reject,
     /* 2302538 */ // Label 31428: @2302538
     /* 2302538 */ GIM_Try, /*On fail goto*//*Label 31466*/ GIMT_Encode4(2302658),
     /* 2302543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2302546 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2302549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302557 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302561 */   GIM_Try, /*On fail goto*//*Label 31467*/ GIMT_Encode4(2302609), // Rule ID 53466 //
     /* 2302566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302569 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2302572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2302586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302608 */     // GIR_Coverage, 53466,
     /* 2302608 */     GIR_EraseRootFromParent_Done,
     /* 2302609 */   // Label 31467: @2302609
     /* 2302609 */   GIM_Try, /*On fail goto*//*Label 31468*/ GIMT_Encode4(2302657), // Rule ID 53467 //
     /* 2302614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302617 */     // (fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302617 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2302620 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302624 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302629 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2302634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302636 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302639 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302656 */     // GIR_Coverage, 53467,
     /* 2302656 */     GIR_EraseRootFromParent_Done,
     /* 2302657 */   // Label 31468: @2302657
     /* 2302657 */   GIM_Reject,
     /* 2302658 */ // Label 31466: @2302658
     /* 2302658 */ GIM_Reject,
     /* 2302659 */ // Label 31429: @2302659
     /* 2302659 */ GIM_Try, /*On fail goto*//*Label 31469*/ GIMT_Encode4(2302779),
     /* 2302664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2302667 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2302670 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302674 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302678 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302682 */   GIM_Try, /*On fail goto*//*Label 31470*/ GIMT_Encode4(2302730), // Rule ID 53502 //
     /* 2302687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2302690 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302690 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2302693 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302697 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302702 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2302707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302709 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302712 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302714 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302729 */     // GIR_Coverage, 53502,
     /* 2302729 */     GIR_EraseRootFromParent_Done,
     /* 2302730 */   // Label 31470: @2302730
     /* 2302730 */   GIM_Try, /*On fail goto*//*Label 31471*/ GIMT_Encode4(2302778), // Rule ID 53503 //
     /* 2302735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2302738 */     // (fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302738 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2302741 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302745 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302750 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2302755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302757 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302760 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302762 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2302773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302776 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302777 */     // GIR_Coverage, 53503,
     /* 2302777 */     GIR_EraseRootFromParent_Done,
     /* 2302778 */   // Label 31471: @2302778
     /* 2302778 */   GIM_Reject,
     /* 2302779 */ // Label 31469: @2302779
     /* 2302779 */ GIM_Reject,
     /* 2302780 */ // Label 31430: @2302780
     /* 2302780 */ GIM_Try, /*On fail goto*//*Label 31472*/ GIMT_Encode4(2302900),
     /* 2302785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2302788 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2302791 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302795 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302799 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2302803 */   GIM_Try, /*On fail goto*//*Label 31473*/ GIMT_Encode4(2302851), // Rule ID 53598 //
     /* 2302808 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2302811 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302811 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2302814 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302818 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2302828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302830 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302849 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302850 */     // GIR_Coverage, 53598,
     /* 2302850 */     GIR_EraseRootFromParent_Done,
     /* 2302851 */   // Label 31473: @2302851
     /* 2302851 */   GIM_Try, /*On fail goto*//*Label 31474*/ GIMT_Encode4(2302899), // Rule ID 53599 //
     /* 2302856 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2302859 */     // (fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302859 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2302862 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302866 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302871 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2302876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302878 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302881 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302883 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2302894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302898 */     // GIR_Coverage, 53599,
     /* 2302898 */     GIR_EraseRootFromParent_Done,
     /* 2302899 */   // Label 31474: @2302899
     /* 2302899 */   GIM_Reject,
     /* 2302900 */ // Label 31472: @2302900
     /* 2302900 */ GIM_Reject,
     /* 2302901 */ // Label 31431: @2302901
     /* 2302901 */ GIM_Try, /*On fail goto*//*Label 31475*/ GIMT_Encode4(2303021),
     /* 2302906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2302909 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2302912 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302916 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302920 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2302924 */   GIM_Try, /*On fail goto*//*Label 31476*/ GIMT_Encode4(2302972), // Rule ID 53490 //
     /* 2302929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2302932 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2302932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2302935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2302949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2302954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2302956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2302958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2302961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2302964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2302967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2302970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2302971 */     // GIR_Coverage, 53490,
     /* 2302971 */     GIR_EraseRootFromParent_Done,
     /* 2302972 */   // Label 31476: @2302972
     /* 2302972 */   GIM_Try, /*On fail goto*//*Label 31477*/ GIMT_Encode4(2303020), // Rule ID 53491 //
     /* 2302977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2302980 */     // (fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2302980 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2302983 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2302987 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2302992 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2302994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2302997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2302999 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303002 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303004 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303019 */     // GIR_Coverage, 53491,
     /* 2303019 */     GIR_EraseRootFromParent_Done,
     /* 2303020 */   // Label 31477: @2303020
     /* 2303020 */   GIM_Reject,
     /* 2303021 */ // Label 31475: @2303021
     /* 2303021 */ GIM_Reject,
     /* 2303022 */ // Label 31432: @2303022
     /* 2303022 */ GIM_Try, /*On fail goto*//*Label 31478*/ GIMT_Encode4(2303142),
     /* 2303027 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2303030 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2303033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303041 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303045 */   GIM_Try, /*On fail goto*//*Label 31479*/ GIMT_Encode4(2303093), // Rule ID 53562 //
     /* 2303050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303053 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2303056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2303070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303091 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303092 */     // GIR_Coverage, 53562,
     /* 2303092 */     GIR_EraseRootFromParent_Done,
     /* 2303093 */   // Label 31479: @2303093
     /* 2303093 */   GIM_Try, /*On fail goto*//*Label 31480*/ GIMT_Encode4(2303141), // Rule ID 53563 //
     /* 2303098 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303101 */     // (fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303101 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2303104 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303108 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303113 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2303118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303120 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303125 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303140 */     // GIR_Coverage, 53563,
     /* 2303140 */     GIR_EraseRootFromParent_Done,
     /* 2303141 */   // Label 31480: @2303141
     /* 2303141 */   GIM_Reject,
     /* 2303142 */ // Label 31478: @2303142
     /* 2303142 */ GIM_Reject,
     /* 2303143 */ // Label 31433: @2303143
     /* 2303143 */ GIM_Try, /*On fail goto*//*Label 31481*/ GIMT_Encode4(2303263),
     /* 2303148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2303151 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2303154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303162 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303166 */   GIM_Try, /*On fail goto*//*Label 31482*/ GIMT_Encode4(2303214), // Rule ID 53610 //
     /* 2303171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303174 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2303177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2303191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303213 */     // GIR_Coverage, 53610,
     /* 2303213 */     GIR_EraseRootFromParent_Done,
     /* 2303214 */   // Label 31482: @2303214
     /* 2303214 */   GIM_Try, /*On fail goto*//*Label 31483*/ GIMT_Encode4(2303262), // Rule ID 53611 //
     /* 2303219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303222 */     // (fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303222 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2303225 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303229 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2303239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303241 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303260 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303261 */     // GIR_Coverage, 53611,
     /* 2303261 */     GIR_EraseRootFromParent_Done,
     /* 2303262 */   // Label 31483: @2303262
     /* 2303262 */   GIM_Reject,
     /* 2303263 */ // Label 31481: @2303263
     /* 2303263 */ GIM_Reject,
     /* 2303264 */ // Label 31434: @2303264
     /* 2303264 */ GIM_Try, /*On fail goto*//*Label 31484*/ GIMT_Encode4(2303384),
     /* 2303269 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2303272 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2303275 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303279 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303283 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2303287 */   GIM_Try, /*On fail goto*//*Label 31485*/ GIMT_Encode4(2303335), // Rule ID 53526 //
     /* 2303292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303295 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2303298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2303312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303334 */     // GIR_Coverage, 53526,
     /* 2303334 */     GIR_EraseRootFromParent_Done,
     /* 2303335 */   // Label 31485: @2303335
     /* 2303335 */   GIM_Try, /*On fail goto*//*Label 31486*/ GIMT_Encode4(2303383), // Rule ID 53527 //
     /* 2303340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303343 */     // (fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2303346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2303360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303382 */     // GIR_Coverage, 53527,
     /* 2303382 */     GIR_EraseRootFromParent_Done,
     /* 2303383 */   // Label 31486: @2303383
     /* 2303383 */   GIM_Reject,
     /* 2303384 */ // Label 31484: @2303384
     /* 2303384 */ GIM_Reject,
     /* 2303385 */ // Label 31435: @2303385
     /* 2303385 */ GIM_Try, /*On fail goto*//*Label 31487*/ GIMT_Encode4(2303505),
     /* 2303390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2303393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2303396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303404 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303408 */   GIM_Try, /*On fail goto*//*Label 31488*/ GIMT_Encode4(2303456), // Rule ID 53574 //
     /* 2303413 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303416 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303416 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2303419 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303423 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303428 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2303433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303435 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303455 */     // GIR_Coverage, 53574,
     /* 2303455 */     GIR_EraseRootFromParent_Done,
     /* 2303456 */   // Label 31488: @2303456
     /* 2303456 */   GIM_Try, /*On fail goto*//*Label 31489*/ GIMT_Encode4(2303504), // Rule ID 53575 //
     /* 2303461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303464 */     // (fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2303467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303476 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2303481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303483 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303486 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303488 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303503 */     // GIR_Coverage, 53575,
     /* 2303503 */     GIR_EraseRootFromParent_Done,
     /* 2303504 */   // Label 31489: @2303504
     /* 2303504 */   GIM_Reject,
     /* 2303505 */ // Label 31487: @2303505
     /* 2303505 */ GIM_Reject,
     /* 2303506 */ // Label 31436: @2303506
     /* 2303506 */ GIM_Try, /*On fail goto*//*Label 31490*/ GIMT_Encode4(2303626),
     /* 2303511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2303514 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2303517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303525 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303529 */   GIM_Try, /*On fail goto*//*Label 31491*/ GIMT_Encode4(2303577), // Rule ID 53622 //
     /* 2303534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2303537 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303537 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2303540 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303544 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303549 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303551 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2303554 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303556 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303559 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303576 */     // GIR_Coverage, 53622,
     /* 2303576 */     GIR_EraseRootFromParent_Done,
     /* 2303577 */   // Label 31491: @2303577
     /* 2303577 */   GIM_Try, /*On fail goto*//*Label 31492*/ GIMT_Encode4(2303625), // Rule ID 53623 //
     /* 2303582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2303585 */     // (fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303585 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2303588 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303592 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303597 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2303602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303604 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303607 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2303620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303624 */     // GIR_Coverage, 53623,
     /* 2303624 */     GIR_EraseRootFromParent_Done,
     /* 2303625 */   // Label 31492: @2303625
     /* 2303625 */   GIM_Reject,
     /* 2303626 */ // Label 31490: @2303626
     /* 2303626 */ GIM_Reject,
     /* 2303627 */ // Label 31437: @2303627
     /* 2303627 */ GIM_Try, /*On fail goto*//*Label 31493*/ GIMT_Encode4(2303747),
     /* 2303632 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2303635 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2303638 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303642 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303646 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2303650 */   GIM_Try, /*On fail goto*//*Label 31494*/ GIMT_Encode4(2303698), // Rule ID 53538 //
     /* 2303655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303658 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2303661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2303675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303682 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303696 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303697 */     // GIR_Coverage, 53538,
     /* 2303697 */     GIR_EraseRootFromParent_Done,
     /* 2303698 */   // Label 31494: @2303698
     /* 2303698 */   GIM_Try, /*On fail goto*//*Label 31495*/ GIMT_Encode4(2303746), // Rule ID 53539 //
     /* 2303703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303706 */     // (fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2303709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2303723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303745 */     // GIR_Coverage, 53539,
     /* 2303745 */     GIR_EraseRootFromParent_Done,
     /* 2303746 */   // Label 31495: @2303746
     /* 2303746 */   GIM_Reject,
     /* 2303747 */ // Label 31493: @2303747
     /* 2303747 */ GIM_Reject,
     /* 2303748 */ // Label 31438: @2303748
     /* 2303748 */ GIM_Try, /*On fail goto*//*Label 31496*/ GIMT_Encode4(2303868),
     /* 2303753 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2303756 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2303759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303767 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303771 */   GIM_Try, /*On fail goto*//*Label 31497*/ GIMT_Encode4(2303819), // Rule ID 53586 //
     /* 2303776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2303779 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2303782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2303796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303818 */     // GIR_Coverage, 53586,
     /* 2303818 */     GIR_EraseRootFromParent_Done,
     /* 2303819 */   // Label 31497: @2303819
     /* 2303819 */   GIM_Try, /*On fail goto*//*Label 31498*/ GIMT_Encode4(2303867), // Rule ID 53587 //
     /* 2303824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2303827 */     // (fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303827 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2303830 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303834 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303839 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303841 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2303844 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303846 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2303862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303866 */     // GIR_Coverage, 53587,
     /* 2303866 */     GIR_EraseRootFromParent_Done,
     /* 2303867 */   // Label 31498: @2303867
     /* 2303867 */   GIM_Reject,
     /* 2303868 */ // Label 31496: @2303868
     /* 2303868 */ GIM_Reject,
     /* 2303869 */ // Label 31439: @2303869
     /* 2303869 */ GIM_Try, /*On fail goto*//*Label 31499*/ GIMT_Encode4(2303989),
     /* 2303874 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2303877 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2303880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303888 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2303892 */   GIM_Try, /*On fail goto*//*Label 31500*/ GIMT_Encode4(2303940), // Rule ID 53550 //
     /* 2303897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2303900 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2303900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2303903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2303917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303939 */     // GIR_Coverage, 53550,
     /* 2303939 */     GIR_EraseRootFromParent_Done,
     /* 2303940 */   // Label 31500: @2303940
     /* 2303940 */   GIM_Try, /*On fail goto*//*Label 31501*/ GIMT_Encode4(2303988), // Rule ID 53551 //
     /* 2303945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2303948 */     // (fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2303948 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2303951 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2303955 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2303960 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2303962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2303965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2303967 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2303970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2303972 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2303974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2303977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2303980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2303983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2303986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2303987 */     // GIR_Coverage, 53551,
     /* 2303987 */     GIR_EraseRootFromParent_Done,
     /* 2303988 */   // Label 31501: @2303988
     /* 2303988 */   GIM_Reject,
     /* 2303989 */ // Label 31499: @2303989
     /* 2303989 */ GIM_Reject,
     /* 2303990 */ // Label 31440: @2303990
     /* 2303990 */ GIM_Reject,
     /* 2303991 */ // Label 61: @2303991
     /* 2303991 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31520*/ GIMT_Encode4(2306418),
     /* 2304002 */ /*GILLT_s16*//*Label 31502*/ GIMT_Encode4(2304122),
     /* 2304006 */ /*GILLT_s32*//*Label 31503*/ GIMT_Encode4(2304271),
     /* 2304010 */ /*GILLT_s64*//*Label 31504*/ GIMT_Encode4(2304420), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304022 */ /*GILLT_nxv1s16*//*Label 31505*/ GIMT_Encode4(2304603),
     /* 2304026 */ /*GILLT_nxv1s32*//*Label 31506*/ GIMT_Encode4(2304724),
     /* 2304030 */ /*GILLT_nxv1s64*//*Label 31507*/ GIMT_Encode4(2304845), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304042 */ /*GILLT_nxv2s16*//*Label 31508*/ GIMT_Encode4(2304966),
     /* 2304046 */ /*GILLT_nxv2s32*//*Label 31509*/ GIMT_Encode4(2305087),
     /* 2304050 */ /*GILLT_nxv2s64*//*Label 31510*/ GIMT_Encode4(2305208), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304062 */ /*GILLT_nxv4s16*//*Label 31511*/ GIMT_Encode4(2305329),
     /* 2304066 */ /*GILLT_nxv4s32*//*Label 31512*/ GIMT_Encode4(2305450),
     /* 2304070 */ /*GILLT_nxv4s64*//*Label 31513*/ GIMT_Encode4(2305571), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304082 */ /*GILLT_nxv8s16*//*Label 31514*/ GIMT_Encode4(2305692),
     /* 2304086 */ /*GILLT_nxv8s32*//*Label 31515*/ GIMT_Encode4(2305813),
     /* 2304090 */ /*GILLT_nxv8s64*//*Label 31516*/ GIMT_Encode4(2305934), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304102 */ /*GILLT_nxv16s16*//*Label 31517*/ GIMT_Encode4(2306055),
     /* 2304106 */ /*GILLT_nxv16s32*//*Label 31518*/ GIMT_Encode4(2306176), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2304118 */ /*GILLT_nxv32s16*//*Label 31519*/ GIMT_Encode4(2306297),
     /* 2304122 */ // Label 31502: @2304122
     /* 2304122 */ GIM_Try, /*On fail goto*//*Label 31521*/ GIMT_Encode4(2304270),
     /* 2304127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2304130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2304133 */   GIM_Try, /*On fail goto*//*Label 31522*/ GIMT_Encode4(2304167), // Rule ID 1970 //
     /* 2304138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2304141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304153 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304153 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2304156 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304166 */     // GIR_Coverage, 1970,
     /* 2304166 */     GIR_EraseRootFromParent_Done,
     /* 2304167 */   // Label 31522: @2304167
     /* 2304167 */   GIM_Try, /*On fail goto*//*Label 31523*/ GIMT_Encode4(2304201), // Rule ID 1971 //
     /* 2304172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2304175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304179 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304183 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2304187 */     // (fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2304187 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2304190 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304200 */     // GIR_Coverage, 1971,
     /* 2304200 */     GIR_EraseRootFromParent_Done,
     /* 2304201 */   // Label 31523: @2304201
     /* 2304201 */   GIM_Try, /*On fail goto*//*Label 31524*/ GIMT_Encode4(2304235), // Rule ID 1974 //
     /* 2304206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2304209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304217 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304221 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2304221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2304224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304226 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304228 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304233 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304234 */     // GIR_Coverage, 1974,
     /* 2304234 */     GIR_EraseRootFromParent_Done,
     /* 2304235 */   // Label 31524: @2304235
     /* 2304235 */   GIM_Try, /*On fail goto*//*Label 31525*/ GIMT_Encode4(2304269), // Rule ID 1975 //
     /* 2304240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2304243 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304247 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304251 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2304255 */     // (fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2304255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2304258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304268 */     // GIR_Coverage, 1975,
     /* 2304268 */     GIR_EraseRootFromParent_Done,
     /* 2304269 */   // Label 31525: @2304269
     /* 2304269 */   GIM_Reject,
     /* 2304270 */ // Label 31521: @2304270
     /* 2304270 */ GIM_Reject,
     /* 2304271 */ // Label 31503: @2304271
     /* 2304271 */ GIM_Try, /*On fail goto*//*Label 31526*/ GIMT_Encode4(2304419),
     /* 2304276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2304279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2304282 */   GIM_Try, /*On fail goto*//*Label 31527*/ GIMT_Encode4(2304316), // Rule ID 1261 //
     /* 2304287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2304290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304302 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2304302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2304305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304315 */     // GIR_Coverage, 1261,
     /* 2304315 */     GIR_EraseRootFromParent_Done,
     /* 2304316 */   // Label 31527: @2304316
     /* 2304316 */   GIM_Try, /*On fail goto*//*Label 31528*/ GIMT_Encode4(2304350), // Rule ID 1262 //
     /* 2304321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2304324 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304328 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304332 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2304336 */     // (fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2304336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2304339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304343 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304349 */     // GIR_Coverage, 1262,
     /* 2304349 */     GIR_EraseRootFromParent_Done,
     /* 2304350 */   // Label 31528: @2304350
     /* 2304350 */   GIM_Try, /*On fail goto*//*Label 31529*/ GIMT_Encode4(2304384), // Rule ID 1265 //
     /* 2304355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2304358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304370 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2304370 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2304373 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304383 */     // GIR_Coverage, 1265,
     /* 2304383 */     GIR_EraseRootFromParent_Done,
     /* 2304384 */   // Label 31529: @2304384
     /* 2304384 */   GIM_Try, /*On fail goto*//*Label 31530*/ GIMT_Encode4(2304418), // Rule ID 1266 //
     /* 2304389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2304392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2304404 */     // (fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2304404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2304407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304417 */     // GIR_Coverage, 1266,
     /* 2304417 */     GIR_EraseRootFromParent_Done,
     /* 2304418 */   // Label 31530: @2304418
     /* 2304418 */   GIM_Reject,
     /* 2304419 */ // Label 31526: @2304419
     /* 2304419 */ GIM_Reject,
     /* 2304420 */ // Label 31504: @2304420
     /* 2304420 */ GIM_Try, /*On fail goto*//*Label 31531*/ GIMT_Encode4(2304602),
     /* 2304425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2304428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2304431 */   GIM_Try, /*On fail goto*//*Label 31532*/ GIMT_Encode4(2304465), // Rule ID 1600 //
     /* 2304436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2304439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304447 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304451 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2304454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304464 */     // GIR_Coverage, 1600,
     /* 2304464 */     GIR_EraseRootFromParent_Done,
     /* 2304465 */   // Label 31532: @2304465
     /* 2304465 */   GIM_Try, /*On fail goto*//*Label 31533*/ GIMT_Encode4(2304499), // Rule ID 1601 //
     /* 2304470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2304473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2304485 */     // (fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2304485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2304488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304498 */     // GIR_Coverage, 1601,
     /* 2304498 */     GIR_EraseRootFromParent_Done,
     /* 2304499 */   // Label 31533: @2304499
     /* 2304499 */   GIM_Try, /*On fail goto*//*Label 31534*/ GIMT_Encode4(2304533), // Rule ID 1604 //
     /* 2304504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2304507 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304511 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304515 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304519 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2304522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304526 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304532 */     // GIR_Coverage, 1604,
     /* 2304532 */     GIR_EraseRootFromParent_Done,
     /* 2304533 */   // Label 31534: @2304533
     /* 2304533 */   GIM_Try, /*On fail goto*//*Label 31535*/ GIMT_Encode4(2304567), // Rule ID 1605 //
     /* 2304538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2304541 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304545 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304549 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2304553 */     // (fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2304553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2304556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304566 */     // GIR_Coverage, 1605,
     /* 2304566 */     GIR_EraseRootFromParent_Done,
     /* 2304567 */   // Label 31535: @2304567
     /* 2304567 */   GIM_Try, /*On fail goto*//*Label 31536*/ GIMT_Encode4(2304601), // Rule ID 1607 //
     /* 2304572 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2304575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2304587 */     // (fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2304587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2304590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304592 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304600 */     // GIR_Coverage, 1607,
     /* 2304600 */     GIR_EraseRootFromParent_Done,
     /* 2304601 */   // Label 31536: @2304601
     /* 2304601 */   GIM_Reject,
     /* 2304602 */ // Label 31531: @2304602
     /* 2304602 */ GIM_Reject,
     /* 2304603 */ // Label 31505: @2304603
     /* 2304603 */ GIM_Try, /*On fail goto*//*Label 31537*/ GIMT_Encode4(2304723),
     /* 2304608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2304611 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2304614 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304618 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304622 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304626 */   GIM_Try, /*On fail goto*//*Label 31538*/ GIMT_Encode4(2304674), // Rule ID 54222 //
     /* 2304631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304634 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2304637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2304651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304673 */     // GIR_Coverage, 54222,
     /* 2304673 */     GIR_EraseRootFromParent_Done,
     /* 2304674 */   // Label 31538: @2304674
     /* 2304674 */   GIM_Try, /*On fail goto*//*Label 31539*/ GIMT_Encode4(2304722), // Rule ID 54223 //
     /* 2304679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2304682 */     // (fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2304685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2304699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2304717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304721 */     // GIR_Coverage, 54223,
     /* 2304721 */     GIR_EraseRootFromParent_Done,
     /* 2304722 */   // Label 31539: @2304722
     /* 2304722 */   GIM_Reject,
     /* 2304723 */ // Label 31537: @2304723
     /* 2304723 */ GIM_Reject,
     /* 2304724 */ // Label 31506: @2304724
     /* 2304724 */ GIM_Try, /*On fail goto*//*Label 31540*/ GIMT_Encode4(2304844),
     /* 2304729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2304732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2304735 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304739 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304743 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304747 */   GIM_Try, /*On fail goto*//*Label 31541*/ GIMT_Encode4(2304795), // Rule ID 54246 //
     /* 2304752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2304755 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2304758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2304772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304794 */     // GIR_Coverage, 54246,
     /* 2304794 */     GIR_EraseRootFromParent_Done,
     /* 2304795 */   // Label 31541: @2304795
     /* 2304795 */   GIM_Try, /*On fail goto*//*Label 31542*/ GIMT_Encode4(2304843), // Rule ID 54247 //
     /* 2304800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2304803 */     // (fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2304806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2304820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2304838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304841 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304842 */     // GIR_Coverage, 54247,
     /* 2304842 */     GIR_EraseRootFromParent_Done,
     /* 2304843 */   // Label 31542: @2304843
     /* 2304843 */   GIM_Reject,
     /* 2304844 */ // Label 31540: @2304844
     /* 2304844 */ GIM_Reject,
     /* 2304845 */ // Label 31507: @2304845
     /* 2304845 */ GIM_Try, /*On fail goto*//*Label 31543*/ GIMT_Encode4(2304965),
     /* 2304850 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2304853 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2304856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304864 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304868 */   GIM_Try, /*On fail goto*//*Label 31544*/ GIMT_Encode4(2304916), // Rule ID 54282 //
     /* 2304873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2304876 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2304879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2304893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304915 */     // GIR_Coverage, 54282,
     /* 2304915 */     GIR_EraseRootFromParent_Done,
     /* 2304916 */   // Label 31544: @2304916
     /* 2304916 */   GIM_Try, /*On fail goto*//*Label 31545*/ GIMT_Encode4(2304964), // Rule ID 54283 //
     /* 2304921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2304924 */     // (fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2304924 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2304927 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2304931 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2304936 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2304938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2304941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2304943 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2304946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2304948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2304950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2304953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2304956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2304959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2304962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2304963 */     // GIR_Coverage, 54283,
     /* 2304963 */     GIR_EraseRootFromParent_Done,
     /* 2304964 */   // Label 31545: @2304964
     /* 2304964 */   GIM_Reject,
     /* 2304965 */ // Label 31543: @2304965
     /* 2304965 */ GIM_Reject,
     /* 2304966 */ // Label 31508: @2304966
     /* 2304966 */ GIM_Try, /*On fail goto*//*Label 31546*/ GIMT_Encode4(2305086),
     /* 2304971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2304974 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2304977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304985 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2304989 */   GIM_Try, /*On fail goto*//*Label 31547*/ GIMT_Encode4(2305037), // Rule ID 54234 //
     /* 2304994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2304997 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2304997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2305014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305036 */     // GIR_Coverage, 54234,
     /* 2305036 */     GIR_EraseRootFromParent_Done,
     /* 2305037 */   // Label 31547: @2305037
     /* 2305037 */   GIM_Try, /*On fail goto*//*Label 31548*/ GIMT_Encode4(2305085), // Rule ID 54235 //
     /* 2305042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305045 */     // (fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2305048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2305062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305069 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305083 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305084 */     // GIR_Coverage, 54235,
     /* 2305084 */     GIR_EraseRootFromParent_Done,
     /* 2305085 */   // Label 31548: @2305085
     /* 2305085 */   GIM_Reject,
     /* 2305086 */ // Label 31546: @2305086
     /* 2305086 */ GIM_Reject,
     /* 2305087 */ // Label 31509: @2305087
     /* 2305087 */ GIM_Try, /*On fail goto*//*Label 31549*/ GIMT_Encode4(2305207),
     /* 2305092 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2305095 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2305098 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305102 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305106 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305110 */   GIM_Try, /*On fail goto*//*Label 31550*/ GIMT_Encode4(2305158), // Rule ID 54270 //
     /* 2305115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305118 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2305135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305157 */     // GIR_Coverage, 54270,
     /* 2305157 */     GIR_EraseRootFromParent_Done,
     /* 2305158 */   // Label 31550: @2305158
     /* 2305158 */   GIM_Try, /*On fail goto*//*Label 31551*/ GIMT_Encode4(2305206), // Rule ID 54271 //
     /* 2305163 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305166 */     // (fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305166 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2305169 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305173 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2305183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305185 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305188 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305190 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305204 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305205 */     // GIR_Coverage, 54271,
     /* 2305205 */     GIR_EraseRootFromParent_Done,
     /* 2305206 */   // Label 31551: @2305206
     /* 2305206 */   GIM_Reject,
     /* 2305207 */ // Label 31549: @2305207
     /* 2305207 */ GIM_Reject,
     /* 2305208 */ // Label 31510: @2305208
     /* 2305208 */ GIM_Try, /*On fail goto*//*Label 31552*/ GIMT_Encode4(2305328),
     /* 2305213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2305216 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2305219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305227 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305231 */   GIM_Try, /*On fail goto*//*Label 31553*/ GIMT_Encode4(2305279), // Rule ID 54366 //
     /* 2305236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305239 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2305242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2305256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305278 */     // GIR_Coverage, 54366,
     /* 2305278 */     GIR_EraseRootFromParent_Done,
     /* 2305279 */   // Label 31553: @2305279
     /* 2305279 */   GIM_Try, /*On fail goto*//*Label 31554*/ GIMT_Encode4(2305327), // Rule ID 54367 //
     /* 2305284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305287 */     // (fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2305290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2305304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305326 */     // GIR_Coverage, 54367,
     /* 2305326 */     GIR_EraseRootFromParent_Done,
     /* 2305327 */   // Label 31554: @2305327
     /* 2305327 */   GIM_Reject,
     /* 2305328 */ // Label 31552: @2305328
     /* 2305328 */ GIM_Reject,
     /* 2305329 */ // Label 31511: @2305329
     /* 2305329 */ GIM_Try, /*On fail goto*//*Label 31555*/ GIMT_Encode4(2305449),
     /* 2305334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2305337 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2305340 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305344 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305348 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2305352 */   GIM_Try, /*On fail goto*//*Label 31556*/ GIMT_Encode4(2305400), // Rule ID 54258 //
     /* 2305357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305360 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2305363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2305377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305399 */     // GIR_Coverage, 54258,
     /* 2305399 */     GIR_EraseRootFromParent_Done,
     /* 2305400 */   // Label 31556: @2305400
     /* 2305400 */   GIM_Try, /*On fail goto*//*Label 31557*/ GIMT_Encode4(2305448), // Rule ID 54259 //
     /* 2305405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305408 */     // (fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305408 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2305411 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305415 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305420 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2305425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305427 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305447 */     // GIR_Coverage, 54259,
     /* 2305447 */     GIR_EraseRootFromParent_Done,
     /* 2305448 */   // Label 31557: @2305448
     /* 2305448 */   GIM_Reject,
     /* 2305449 */ // Label 31555: @2305449
     /* 2305449 */ GIM_Reject,
     /* 2305450 */ // Label 31512: @2305450
     /* 2305450 */ GIM_Try, /*On fail goto*//*Label 31558*/ GIMT_Encode4(2305570),
     /* 2305455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2305458 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2305461 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305465 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305469 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305473 */   GIM_Try, /*On fail goto*//*Label 31559*/ GIMT_Encode4(2305521), // Rule ID 54330 //
     /* 2305478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305481 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2305484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2305498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305520 */     // GIR_Coverage, 54330,
     /* 2305520 */     GIR_EraseRootFromParent_Done,
     /* 2305521 */   // Label 31559: @2305521
     /* 2305521 */   GIM_Try, /*On fail goto*//*Label 31560*/ GIMT_Encode4(2305569), // Rule ID 54331 //
     /* 2305526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305529 */     // (fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2305532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2305546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305568 */     // GIR_Coverage, 54331,
     /* 2305568 */     GIR_EraseRootFromParent_Done,
     /* 2305569 */   // Label 31560: @2305569
     /* 2305569 */   GIM_Reject,
     /* 2305570 */ // Label 31558: @2305570
     /* 2305570 */ GIM_Reject,
     /* 2305571 */ // Label 31513: @2305571
     /* 2305571 */ GIM_Try, /*On fail goto*//*Label 31561*/ GIMT_Encode4(2305691),
     /* 2305576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2305579 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2305582 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305586 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305590 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305594 */   GIM_Try, /*On fail goto*//*Label 31562*/ GIMT_Encode4(2305642), // Rule ID 54378 //
     /* 2305599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305602 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2305605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2305619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305641 */     // GIR_Coverage, 54378,
     /* 2305641 */     GIR_EraseRootFromParent_Done,
     /* 2305642 */   // Label 31562: @2305642
     /* 2305642 */   GIM_Try, /*On fail goto*//*Label 31563*/ GIMT_Encode4(2305690), // Rule ID 54379 //
     /* 2305647 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2305650 */     // (fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305650 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2305653 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305657 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305662 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305664 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2305667 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305669 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2305685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305689 */     // GIR_Coverage, 54379,
     /* 2305689 */     GIR_EraseRootFromParent_Done,
     /* 2305690 */   // Label 31563: @2305690
     /* 2305690 */   GIM_Reject,
     /* 2305691 */ // Label 31561: @2305691
     /* 2305691 */ GIM_Reject,
     /* 2305692 */ // Label 31514: @2305692
     /* 2305692 */ GIM_Try, /*On fail goto*//*Label 31564*/ GIMT_Encode4(2305812),
     /* 2305697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2305700 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2305703 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305707 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305711 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2305715 */   GIM_Try, /*On fail goto*//*Label 31565*/ GIMT_Encode4(2305763), // Rule ID 54294 //
     /* 2305720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2305723 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2305726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2305740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305762 */     // GIR_Coverage, 54294,
     /* 2305762 */     GIR_EraseRootFromParent_Done,
     /* 2305763 */   // Label 31565: @2305763
     /* 2305763 */   GIM_Try, /*On fail goto*//*Label 31566*/ GIMT_Encode4(2305811), // Rule ID 54295 //
     /* 2305768 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2305771 */     // (fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305771 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2305774 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305778 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305783 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2305788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305790 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2305806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305810 */     // GIR_Coverage, 54295,
     /* 2305810 */     GIR_EraseRootFromParent_Done,
     /* 2305811 */   // Label 31566: @2305811
     /* 2305811 */   GIM_Reject,
     /* 2305812 */ // Label 31564: @2305812
     /* 2305812 */ GIM_Reject,
     /* 2305813 */ // Label 31515: @2305813
     /* 2305813 */ GIM_Try, /*On fail goto*//*Label 31567*/ GIMT_Encode4(2305933),
     /* 2305818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2305821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2305824 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305828 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305832 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2305836 */   GIM_Try, /*On fail goto*//*Label 31568*/ GIMT_Encode4(2305884), // Rule ID 54342 //
     /* 2305841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2305844 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2305847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2305861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305883 */     // GIR_Coverage, 54342,
     /* 2305883 */     GIR_EraseRootFromParent_Done,
     /* 2305884 */   // Label 31568: @2305884
     /* 2305884 */   GIM_Try, /*On fail goto*//*Label 31569*/ GIMT_Encode4(2305932), // Rule ID 54343 //
     /* 2305889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2305892 */     // (fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2305892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2305895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2305909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305916 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2305927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2305930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2305931 */     // GIR_Coverage, 54343,
     /* 2305931 */     GIR_EraseRootFromParent_Done,
     /* 2305932 */   // Label 31569: @2305932
     /* 2305932 */   GIM_Reject,
     /* 2305933 */ // Label 31567: @2305933
     /* 2305933 */ GIM_Reject,
     /* 2305934 */ // Label 31516: @2305934
     /* 2305934 */ GIM_Try, /*On fail goto*//*Label 31570*/ GIMT_Encode4(2306054),
     /* 2305939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2305942 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2305945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305949 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305953 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2305957 */   GIM_Try, /*On fail goto*//*Label 31571*/ GIMT_Encode4(2306005), // Rule ID 54390 //
     /* 2305962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2305965 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2305965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2305968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2305972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2305977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2305979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2305982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2305984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2305987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2305989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2305991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2305994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2305997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306004 */     // GIR_Coverage, 54390,
     /* 2306004 */     GIR_EraseRootFromParent_Done,
     /* 2306005 */   // Label 31571: @2306005
     /* 2306005 */   GIM_Try, /*On fail goto*//*Label 31572*/ GIMT_Encode4(2306053), // Rule ID 54391 //
     /* 2306010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2306013 */     // (fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2306016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2306030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306037 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2306048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306052 */     // GIR_Coverage, 54391,
     /* 2306052 */     GIR_EraseRootFromParent_Done,
     /* 2306053 */   // Label 31572: @2306053
     /* 2306053 */   GIM_Reject,
     /* 2306054 */ // Label 31570: @2306054
     /* 2306054 */ GIM_Reject,
     /* 2306055 */ // Label 31517: @2306055
     /* 2306055 */ GIM_Try, /*On fail goto*//*Label 31573*/ GIMT_Encode4(2306175),
     /* 2306060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2306063 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2306066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306074 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2306078 */   GIM_Try, /*On fail goto*//*Label 31574*/ GIMT_Encode4(2306126), // Rule ID 54306 //
     /* 2306083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306086 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2306103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306125 */     // GIR_Coverage, 54306,
     /* 2306125 */     GIR_EraseRootFromParent_Done,
     /* 2306126 */   // Label 31574: @2306126
     /* 2306126 */   GIM_Try, /*On fail goto*//*Label 31575*/ GIMT_Encode4(2306174), // Rule ID 54307 //
     /* 2306131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306134 */     // (fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2306137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2306151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306172 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306173 */     // GIR_Coverage, 54307,
     /* 2306173 */     GIR_EraseRootFromParent_Done,
     /* 2306174 */   // Label 31575: @2306174
     /* 2306174 */   GIM_Reject,
     /* 2306175 */ // Label 31573: @2306175
     /* 2306175 */ GIM_Reject,
     /* 2306176 */ // Label 31518: @2306176
     /* 2306176 */ GIM_Try, /*On fail goto*//*Label 31576*/ GIMT_Encode4(2306296),
     /* 2306181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2306184 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2306187 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306191 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306195 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306199 */   GIM_Try, /*On fail goto*//*Label 31577*/ GIMT_Encode4(2306247), // Rule ID 54354 //
     /* 2306204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2306207 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2306224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306246 */     // GIR_Coverage, 54354,
     /* 2306246 */     GIR_EraseRootFromParent_Done,
     /* 2306247 */   // Label 31577: @2306247
     /* 2306247 */   GIM_Try, /*On fail goto*//*Label 31578*/ GIMT_Encode4(2306295), // Rule ID 54355 //
     /* 2306252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2306255 */     // (fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2306258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2306272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2306290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306293 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306294 */     // GIR_Coverage, 54355,
     /* 2306294 */     GIR_EraseRootFromParent_Done,
     /* 2306295 */   // Label 31578: @2306295
     /* 2306295 */   GIM_Reject,
     /* 2306296 */ // Label 31576: @2306296
     /* 2306296 */ GIM_Reject,
     /* 2306297 */ // Label 31519: @2306297
     /* 2306297 */ GIM_Try, /*On fail goto*//*Label 31579*/ GIMT_Encode4(2306417),
     /* 2306302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2306305 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2306308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306316 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2306320 */   GIM_Try, /*On fail goto*//*Label 31580*/ GIMT_Encode4(2306368), // Rule ID 54318 //
     /* 2306325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2306328 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2306328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2306331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2306345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306367 */     // GIR_Coverage, 54318,
     /* 2306367 */     GIR_EraseRootFromParent_Done,
     /* 2306368 */   // Label 31580: @2306368
     /* 2306368 */   GIM_Try, /*On fail goto*//*Label 31581*/ GIMT_Encode4(2306416), // Rule ID 54319 //
     /* 2306373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2306376 */     // (fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2306376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2306379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2306383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2306388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2306390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2306393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2306398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2306400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2306408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2306411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2306414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306415 */     // GIR_Coverage, 54319,
     /* 2306415 */     GIR_EraseRootFromParent_Done,
     /* 2306416 */   // Label 31581: @2306416
     /* 2306416 */   GIM_Reject,
     /* 2306417 */ // Label 31579: @2306417
     /* 2306417 */ GIM_Reject,
     /* 2306418 */ // Label 31520: @2306418
     /* 2306418 */ GIM_Reject,
     /* 2306419 */ // Label 62: @2306419
     /* 2306419 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31600*/ GIMT_Encode4(2323063),
     /* 2306430 */ /*GILLT_s16*//*Label 31582*/ GIMT_Encode4(2306550),
     /* 2306434 */ /*GILLT_s32*//*Label 31583*/ GIMT_Encode4(2307986),
     /* 2306438 */ /*GILLT_s64*//*Label 31584*/ GIMT_Encode4(2309422), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306450 */ /*GILLT_nxv1s16*//*Label 31585*/ GIMT_Encode4(2311213),
     /* 2306454 */ /*GILLT_nxv1s32*//*Label 31586*/ GIMT_Encode4(2312003),
     /* 2306458 */ /*GILLT_nxv1s64*//*Label 31587*/ GIMT_Encode4(2312793), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306470 */ /*GILLT_nxv2s16*//*Label 31588*/ GIMT_Encode4(2313583),
     /* 2306474 */ /*GILLT_nxv2s32*//*Label 31589*/ GIMT_Encode4(2314373),
     /* 2306478 */ /*GILLT_nxv2s64*//*Label 31590*/ GIMT_Encode4(2315163), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306490 */ /*GILLT_nxv4s16*//*Label 31591*/ GIMT_Encode4(2315953),
     /* 2306494 */ /*GILLT_nxv4s32*//*Label 31592*/ GIMT_Encode4(2316743),
     /* 2306498 */ /*GILLT_nxv4s64*//*Label 31593*/ GIMT_Encode4(2317533), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306510 */ /*GILLT_nxv8s16*//*Label 31594*/ GIMT_Encode4(2318323),
     /* 2306514 */ /*GILLT_nxv8s32*//*Label 31595*/ GIMT_Encode4(2319113),
     /* 2306518 */ /*GILLT_nxv8s64*//*Label 31596*/ GIMT_Encode4(2319903), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306530 */ /*GILLT_nxv16s16*//*Label 31597*/ GIMT_Encode4(2320693),
     /* 2306534 */ /*GILLT_nxv16s32*//*Label 31598*/ GIMT_Encode4(2321483), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2306546 */ /*GILLT_nxv32s16*//*Label 31599*/ GIMT_Encode4(2322273),
     /* 2306550 */ // Label 31582: @2306550
     /* 2306550 */ GIM_Try, /*On fail goto*//*Label 31601*/ GIMT_Encode4(2307985),
     /* 2306555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306558 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2306561 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2306564 */   GIM_Try, /*On fail goto*//*Label 31602*/ GIMT_Encode4(2306636), // Rule ID 2011 //
     /* 2306569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2306572 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306576 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306580 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306584 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306588 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306597 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306601 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306605 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306609 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306614 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306616 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2306616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2306619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306625 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306635 */     // GIR_Coverage, 2011,
     /* 2306635 */     GIR_EraseRootFromParent_Done,
     /* 2306636 */   // Label 31602: @2306636
     /* 2306636 */   GIM_Try, /*On fail goto*//*Label 31603*/ GIMT_Encode4(2306708), // Rule ID 2012 //
     /* 2306641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2306644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306648 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306652 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306656 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306660 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306665 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306669 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306673 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306677 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306681 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306686 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306688 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2306691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306693 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306699 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306706 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306707 */     // GIR_Coverage, 2012,
     /* 2306707 */     GIR_EraseRootFromParent_Done,
     /* 2306708 */   // Label 31603: @2306708
     /* 2306708 */   GIM_Try, /*On fail goto*//*Label 31604*/ GIMT_Encode4(2306780), // Rule ID 2044 //
     /* 2306713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2306716 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306720 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306724 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306728 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306732 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306741 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306745 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306749 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306753 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306758 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306760 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2306760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2306763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306771 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306779 */     // GIR_Coverage, 2044,
     /* 2306779 */     GIR_EraseRootFromParent_Done,
     /* 2306780 */   // Label 31604: @2306780
     /* 2306780 */   GIM_Try, /*On fail goto*//*Label 31605*/ GIMT_Encode4(2306852), // Rule ID 2045 //
     /* 2306785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2306788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306792 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2306796 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306800 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306804 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306809 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306813 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306817 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306821 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306825 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2306830 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306832 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2306835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2306843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306850 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306851 */     // GIR_Coverage, 2045,
     /* 2306851 */     GIR_EraseRootFromParent_Done,
     /* 2306852 */   // Label 31605: @2306852
     /* 2306852 */   GIM_Try, /*On fail goto*//*Label 31606*/ GIMT_Encode4(2306924), // Rule ID 65430 //
     /* 2306857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2306860 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306868 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306872 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306876 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306880 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306885 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306889 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306893 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306897 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306902 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306904 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2306904 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2306907 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306909 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306913 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2306915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306923 */     // GIR_Coverage, 65430,
     /* 2306923 */     GIR_EraseRootFromParent_Done,
     /* 2306924 */   // Label 31606: @2306924
     /* 2306924 */   GIM_Try, /*On fail goto*//*Label 31607*/ GIMT_Encode4(2306996), // Rule ID 65431 //
     /* 2306929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2306932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2306944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306948 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306952 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306957 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2306961 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2306965 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2306969 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2306974 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2306976 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2306976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2306979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2306981 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2306985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2306987 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2306991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2306994 */     GIR_RootConstrainSelectedInstOperands,
     /* 2306995 */     // GIR_Coverage, 65431,
     /* 2306995 */     GIR_EraseRootFromParent_Done,
     /* 2306996 */   // Label 31607: @2306996
     /* 2306996 */   GIM_Try, /*On fail goto*//*Label 31608*/ GIMT_Encode4(2307068), // Rule ID 65438 //
     /* 2307001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2307004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307029 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307033 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307037 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307041 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307046 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307048 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2307051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307059 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2307063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307067 */     // GIR_Coverage, 65438,
     /* 2307067 */     GIR_EraseRootFromParent_Done,
     /* 2307068 */   // Label 31608: @2307068
     /* 2307068 */   GIM_Try, /*On fail goto*//*Label 31609*/ GIMT_Encode4(2307140), // Rule ID 65439 //
     /* 2307073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2307076 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307080 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307101 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2307105 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307109 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307113 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307118 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2307120 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2307123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307125 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2307135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307138 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307139 */     // GIR_Coverage, 65439,
     /* 2307139 */     GIR_EraseRootFromParent_Done,
     /* 2307140 */   // Label 31609: @2307140
     /* 2307140 */   GIM_Try, /*On fail goto*//*Label 31610*/ GIMT_Encode4(2307197), // Rule ID 2007 //
     /* 2307145 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2307148 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307152 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307156 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307160 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307164 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307173 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307179 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2307182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307190 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307196 */     // GIR_Coverage, 2007,
     /* 2307196 */     GIR_EraseRootFromParent_Done,
     /* 2307197 */   // Label 31610: @2307197
     /* 2307197 */   GIM_Try, /*On fail goto*//*Label 31611*/ GIMT_Encode4(2307254), // Rule ID 2008 //
     /* 2307202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2307205 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307230 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307234 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307236 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2307239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307247 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307249 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307252 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307253 */     // GIR_Coverage, 2008,
     /* 2307253 */     GIR_EraseRootFromParent_Done,
     /* 2307254 */   // Label 31611: @2307254
     /* 2307254 */   GIM_Try, /*On fail goto*//*Label 31612*/ GIMT_Encode4(2307311), // Rule ID 2040 //
     /* 2307259 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2307262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307287 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307291 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307293 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2307296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307298 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307302 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307304 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307310 */     // GIR_Coverage, 2040,
     /* 2307310 */     GIR_EraseRootFromParent_Done,
     /* 2307311 */   // Label 31612: @2307311
     /* 2307311 */   GIM_Try, /*On fail goto*//*Label 31613*/ GIMT_Encode4(2307368), // Rule ID 2041 //
     /* 2307316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2307319 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2307327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307331 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307335 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307340 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307344 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307348 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307350 */     // (fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2307353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307355 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307359 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307361 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307367 */     // GIR_Coverage, 2041,
     /* 2307367 */     GIR_EraseRootFromParent_Done,
     /* 2307368 */   // Label 31613: @2307368
     /* 2307368 */   GIM_Try, /*On fail goto*//*Label 31614*/ GIMT_Encode4(2307425), // Rule ID 65426 //
     /* 2307373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2307376 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307380 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307384 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307388 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307392 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307396 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307401 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307405 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307407 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307407 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2307410 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307412 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307418 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307424 */     // GIR_Coverage, 65426,
     /* 2307424 */     GIR_EraseRootFromParent_Done,
     /* 2307425 */   // Label 31614: @2307425
     /* 2307425 */   GIM_Try, /*On fail goto*//*Label 31615*/ GIMT_Encode4(2307482), // Rule ID 65427 //
     /* 2307430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2307433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307441 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307445 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307449 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307453 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307458 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307464 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2307467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307481 */     // GIR_Coverage, 65427,
     /* 2307481 */     GIR_EraseRootFromParent_Done,
     /* 2307482 */   // Label 31615: @2307482
     /* 2307482 */   GIM_Try, /*On fail goto*//*Label 31616*/ GIMT_Encode4(2307539), // Rule ID 65434 //
     /* 2307487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2307490 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307498 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307502 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307506 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307510 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307515 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307519 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307521 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2307524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307530 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307532 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307538 */     // GIR_Coverage, 65434,
     /* 2307538 */     GIR_EraseRootFromParent_Done,
     /* 2307539 */   // Label 31616: @2307539
     /* 2307539 */   GIM_Try, /*On fail goto*//*Label 31617*/ GIMT_Encode4(2307596), // Rule ID 65435 //
     /* 2307544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2307547 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307551 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2307559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307572 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307576 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307578 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2307581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2307587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2307589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307595 */     // GIR_Coverage, 65435,
     /* 2307595 */     GIR_EraseRootFromParent_Done,
     /* 2307596 */   // Label 31617: @2307596
     /* 2307596 */   GIM_Try, /*On fail goto*//*Label 31618*/ GIMT_Encode4(2307653), // Rule ID 2003 //
     /* 2307601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2307604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307624 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307628 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307633 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307635 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307635 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2307638 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307644 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2307648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307652 */     // GIR_Coverage, 2003,
     /* 2307652 */     GIR_EraseRootFromParent_Done,
     /* 2307653 */   // Label 31618: @2307653
     /* 2307653 */   GIM_Try, /*On fail goto*//*Label 31619*/ GIMT_Encode4(2307710), // Rule ID 2004 //
     /* 2307658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2307661 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307692 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2307695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2307705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307709 */     // GIR_Coverage, 2004,
     /* 2307709 */     GIR_EraseRootFromParent_Done,
     /* 2307710 */   // Label 31619: @2307710
     /* 2307710 */   GIM_Try, /*On fail goto*//*Label 31620*/ GIMT_Encode4(2307767), // Rule ID 2036 //
     /* 2307715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2307718 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307722 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307726 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307730 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307734 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307738 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307742 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307747 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307749 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2307752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307758 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2307762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307766 */     // GIR_Coverage, 2036,
     /* 2307766 */     GIR_EraseRootFromParent_Done,
     /* 2307767 */   // Label 31620: @2307767
     /* 2307767 */   GIM_Try, /*On fail goto*//*Label 31621*/ GIMT_Encode4(2307824), // Rule ID 2037 //
     /* 2307772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2307775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2307791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2307795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2307799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307804 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2307806 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2307809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2307819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307823 */     // GIR_Coverage, 2037,
     /* 2307823 */     GIR_EraseRootFromParent_Done,
     /* 2307824 */   // Label 31621: @2307824
     /* 2307824 */   GIM_Try, /*On fail goto*//*Label 31622*/ GIMT_Encode4(2307864), // Rule ID 1999 //
     /* 2307829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2307832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307844 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307848 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2307851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307857 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307862 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307863 */     // GIR_Coverage, 1999,
     /* 2307863 */     GIR_EraseRootFromParent_Done,
     /* 2307864 */   // Label 31622: @2307864
     /* 2307864 */   GIM_Try, /*On fail goto*//*Label 31623*/ GIMT_Encode4(2307904), // Rule ID 2000 //
     /* 2307869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2307872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2307888 */     // (fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2307891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307893 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307895 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307897 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307903 */     // GIR_Coverage, 2000,
     /* 2307903 */     GIR_EraseRootFromParent_Done,
     /* 2307904 */   // Label 31623: @2307904
     /* 2307904 */   GIM_Try, /*On fail goto*//*Label 31624*/ GIMT_Encode4(2307944), // Rule ID 2032 //
     /* 2307909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2307912 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307916 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307920 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307924 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307928 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2307928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2307931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307942 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307943 */     // GIR_Coverage, 2032,
     /* 2307943 */     GIR_EraseRootFromParent_Done,
     /* 2307944 */   // Label 31624: @2307944
     /* 2307944 */   GIM_Try, /*On fail goto*//*Label 31625*/ GIMT_Encode4(2307984), // Rule ID 2033 //
     /* 2307949 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2307952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307964 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2307968 */     // (fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2307968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2307971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2307973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2307975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2307977 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2307979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2307982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2307983 */     // GIR_Coverage, 2033,
     /* 2307983 */     GIR_EraseRootFromParent_Done,
     /* 2307984 */   // Label 31625: @2307984
     /* 2307984 */   GIM_Reject,
     /* 2307985 */ // Label 31601: @2307985
     /* 2307985 */ GIM_Reject,
     /* 2307986 */ // Label 31583: @2307986
     /* 2307986 */ GIM_Try, /*On fail goto*//*Label 31626*/ GIMT_Encode4(2309421),
     /* 2307991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2307994 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2307997 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2308000 */   GIM_Try, /*On fail goto*//*Label 31627*/ GIMT_Encode4(2308072), // Rule ID 1310 //
     /* 2308005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2308008 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308012 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308016 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308020 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308024 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308033 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308037 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308041 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308045 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308050 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308052 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2308052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2308055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308063 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308070 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308071 */     // GIR_Coverage, 1310,
     /* 2308071 */     GIR_EraseRootFromParent_Done,
     /* 2308072 */   // Label 31627: @2308072
     /* 2308072 */   GIM_Try, /*On fail goto*//*Label 31628*/ GIMT_Encode4(2308144), // Rule ID 1311 //
     /* 2308077 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2308080 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308084 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308088 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308092 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308096 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308105 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308109 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308113 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308117 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308122 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308124 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2308124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2308127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308129 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308133 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308135 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308143 */     // GIR_Coverage, 1311,
     /* 2308143 */     GIR_EraseRootFromParent_Done,
     /* 2308144 */   // Label 31628: @2308144
     /* 2308144 */   GIM_Try, /*On fail goto*//*Label 31629*/ GIMT_Encode4(2308216), // Rule ID 1331 //
     /* 2308149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2308152 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308173 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308177 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308181 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308185 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308189 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308194 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308196 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2308196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2308199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308215 */     // GIR_Coverage, 1331,
     /* 2308215 */     GIR_EraseRootFromParent_Done,
     /* 2308216 */   // Label 31629: @2308216
     /* 2308216 */   GIM_Try, /*On fail goto*//*Label 31630*/ GIMT_Encode4(2308288), // Rule ID 1332 //
     /* 2308221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2308224 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308228 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308232 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308236 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308240 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308249 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308253 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308257 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308261 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308266 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308268 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2308268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2308271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308273 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308279 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308287 */     // GIR_Coverage, 1332,
     /* 2308287 */     GIR_EraseRootFromParent_Done,
     /* 2308288 */   // Label 31630: @2308288
     /* 2308288 */   GIM_Try, /*On fail goto*//*Label 31631*/ GIMT_Encode4(2308360), // Rule ID 65394 //
     /* 2308293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2308296 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308300 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308304 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308308 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308312 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308316 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308321 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308325 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308329 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308333 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308338 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308340 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2308340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2308343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308345 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308349 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308351 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308359 */     // GIR_Coverage, 65394,
     /* 2308359 */     GIR_EraseRootFromParent_Done,
     /* 2308360 */   // Label 31631: @2308360
     /* 2308360 */   GIM_Try, /*On fail goto*//*Label 31632*/ GIMT_Encode4(2308432), // Rule ID 65395 //
     /* 2308365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2308368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308393 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308397 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308401 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308405 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308410 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308412 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2308412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2308415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308431 */     // GIR_Coverage, 65395,
     /* 2308431 */     GIR_EraseRootFromParent_Done,
     /* 2308432 */   // Label 31632: @2308432
     /* 2308432 */   GIM_Try, /*On fail goto*//*Label 31633*/ GIMT_Encode4(2308504), // Rule ID 65402 //
     /* 2308437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2308440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308465 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308469 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308473 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308477 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308482 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308484 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2308484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2308487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308489 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308502 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308503 */     // GIR_Coverage, 65402,
     /* 2308503 */     GIR_EraseRootFromParent_Done,
     /* 2308504 */   // Label 31633: @2308504
     /* 2308504 */   GIM_Try, /*On fail goto*//*Label 31634*/ GIMT_Encode4(2308576), // Rule ID 65403 //
     /* 2308509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2308512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308537 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2308541 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308545 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308549 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308554 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2308556 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2308556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2308559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308561 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308567 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2308571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308575 */     // GIR_Coverage, 65403,
     /* 2308575 */     GIR_EraseRootFromParent_Done,
     /* 2308576 */   // Label 31634: @2308576
     /* 2308576 */   GIM_Try, /*On fail goto*//*Label 31635*/ GIMT_Encode4(2308633), // Rule ID 1306 //
     /* 2308581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2308584 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308588 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308592 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308596 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308600 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308615 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2308615 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2308618 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308620 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308626 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308632 */     // GIR_Coverage, 1306,
     /* 2308632 */     GIR_EraseRootFromParent_Done,
     /* 2308633 */   // Label 31635: @2308633
     /* 2308633 */   GIM_Try, /*On fail goto*//*Label 31636*/ GIMT_Encode4(2308690), // Rule ID 1307 //
     /* 2308638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2308641 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308672 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2308672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2308675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308683 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308688 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308689 */     // GIR_Coverage, 1307,
     /* 2308689 */     GIR_EraseRootFromParent_Done,
     /* 2308690 */   // Label 31636: @2308690
     /* 2308690 */   GIM_Try, /*On fail goto*//*Label 31637*/ GIMT_Encode4(2308747), // Rule ID 1327 //
     /* 2308695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2308698 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308702 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308706 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308710 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308714 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308723 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308727 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308729 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2308729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2308732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308740 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308746 */     // GIR_Coverage, 1327,
     /* 2308746 */     GIR_EraseRootFromParent_Done,
     /* 2308747 */   // Label 31637: @2308747
     /* 2308747 */   GIM_Try, /*On fail goto*//*Label 31638*/ GIMT_Encode4(2308804), // Rule ID 1328 //
     /* 2308752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2308755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308759 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2308763 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308767 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308771 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308776 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308780 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308784 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308786 */     // (fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2308786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2308789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308795 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2308797 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308803 */     // GIR_Coverage, 1328,
     /* 2308803 */     GIR_EraseRootFromParent_Done,
     /* 2308804 */   // Label 31638: @2308804
     /* 2308804 */   GIM_Try, /*On fail goto*//*Label 31639*/ GIMT_Encode4(2308861), // Rule ID 65390 //
     /* 2308809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2308812 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308816 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308820 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308824 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308828 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308832 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308837 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308841 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308843 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2308843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2308846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308848 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308854 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308860 */     // GIR_Coverage, 65390,
     /* 2308860 */     GIR_EraseRootFromParent_Done,
     /* 2308861 */   // Label 31639: @2308861
     /* 2308861 */   GIM_Try, /*On fail goto*//*Label 31640*/ GIMT_Encode4(2308918), // Rule ID 65391 //
     /* 2308866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2308869 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2308898 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308900 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2308900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2308903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308905 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308917 */     // GIR_Coverage, 65391,
     /* 2308917 */     GIR_EraseRootFromParent_Done,
     /* 2308918 */   // Label 31640: @2308918
     /* 2308918 */   GIM_Try, /*On fail goto*//*Label 31641*/ GIMT_Encode4(2308975), // Rule ID 65398 //
     /* 2308923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2308926 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308930 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308934 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308938 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308942 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2308946 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308951 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308955 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2308957 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2308957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2308960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2308962 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2308966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2308968 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2308970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2308973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2308974 */     // GIR_Coverage, 65398,
     /* 2308974 */     GIR_EraseRootFromParent_Done,
     /* 2308975 */   // Label 31641: @2308975
     /* 2308975 */   GIM_Try, /*On fail goto*//*Label 31642*/ GIMT_Encode4(2309032), // Rule ID 65399 //
     /* 2308980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2308983 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2308991 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2308995 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2308999 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309003 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309008 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309014 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2309014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2309017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309019 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309025 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309031 */     // GIR_Coverage, 65399,
     /* 2309031 */     GIR_EraseRootFromParent_Done,
     /* 2309032 */   // Label 31642: @2309032
     /* 2309032 */   GIM_Try, /*On fail goto*//*Label 31643*/ GIMT_Encode4(2309089), // Rule ID 1302 //
     /* 2309037 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2309040 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309052 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309056 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309060 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309064 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309069 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309071 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2309071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2309074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309088 */     // GIR_Coverage, 1302,
     /* 2309088 */     GIR_EraseRootFromParent_Done,
     /* 2309089 */   // Label 31643: @2309089
     /* 2309089 */   GIM_Try, /*On fail goto*//*Label 31644*/ GIMT_Encode4(2309146), // Rule ID 1303 //
     /* 2309094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2309097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309126 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309128 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2309128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2309131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309145 */     // GIR_Coverage, 1303,
     /* 2309145 */     GIR_EraseRootFromParent_Done,
     /* 2309146 */   // Label 31644: @2309146
     /* 2309146 */   GIM_Try, /*On fail goto*//*Label 31645*/ GIMT_Encode4(2309203), // Rule ID 1323 //
     /* 2309151 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2309154 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309158 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309162 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309166 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309170 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309174 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309178 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309183 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309185 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2309185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2309188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309194 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309202 */     // GIR_Coverage, 1323,
     /* 2309202 */     GIR_EraseRootFromParent_Done,
     /* 2309203 */   // Label 31645: @2309203
     /* 2309203 */   GIM_Try, /*On fail goto*//*Label 31646*/ GIMT_Encode4(2309260), // Rule ID 1324 //
     /* 2309208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2309211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309223 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2309227 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309231 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2309235 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309240 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2309242 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2309242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2309245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309251 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2309255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309258 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309259 */     // GIR_Coverage, 1324,
     /* 2309259 */     GIR_EraseRootFromParent_Done,
     /* 2309260 */   // Label 31646: @2309260
     /* 2309260 */   GIM_Try, /*On fail goto*//*Label 31647*/ GIMT_Encode4(2309300), // Rule ID 1298 //
     /* 2309265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2309268 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309272 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309276 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309280 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309284 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2309284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2309287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309293 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309299 */     // GIR_Coverage, 1298,
     /* 2309299 */     GIR_EraseRootFromParent_Done,
     /* 2309300 */   // Label 31647: @2309300
     /* 2309300 */   GIM_Try, /*On fail goto*//*Label 31648*/ GIMT_Encode4(2309340), // Rule ID 1299 //
     /* 2309305 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2309308 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309312 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2309324 */     // (fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2309324 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2309327 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309333 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309339 */     // GIR_Coverage, 1299,
     /* 2309339 */     GIR_EraseRootFromParent_Done,
     /* 2309340 */   // Label 31648: @2309340
     /* 2309340 */   GIM_Try, /*On fail goto*//*Label 31649*/ GIMT_Encode4(2309380), // Rule ID 1319 //
     /* 2309345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2309348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309364 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2309364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2309367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309373 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309379 */     // GIR_Coverage, 1319,
     /* 2309379 */     GIR_EraseRootFromParent_Done,
     /* 2309380 */   // Label 31649: @2309380
     /* 2309380 */   GIM_Try, /*On fail goto*//*Label 31650*/ GIMT_Encode4(2309420), // Rule ID 1320 //
     /* 2309385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2309388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2309404 */     // (fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2309404 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2309407 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2309411 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309413 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2309415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309419 */     // GIR_Coverage, 1320,
     /* 2309419 */     GIR_EraseRootFromParent_Done,
     /* 2309420 */   // Label 31650: @2309420
     /* 2309420 */   GIM_Reject,
     /* 2309421 */ // Label 31626: @2309421
     /* 2309421 */ GIM_Reject,
     /* 2309422 */ // Label 31584: @2309422
     /* 2309422 */ GIM_Try, /*On fail goto*//*Label 31651*/ GIMT_Encode4(2311212),
     /* 2309427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309430 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2309433 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2309436 */   GIM_Try, /*On fail goto*//*Label 31652*/ GIMT_Encode4(2309508), // Rule ID 1647 //
     /* 2309441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309444 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309448 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309452 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309456 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309460 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309469 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309473 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309477 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309481 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309486 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309488 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2309491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309497 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309499 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2309503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309507 */     // GIR_Coverage, 1647,
     /* 2309507 */     GIR_EraseRootFromParent_Done,
     /* 2309508 */   // Label 31652: @2309508
     /* 2309508 */   GIM_Try, /*On fail goto*//*Label 31653*/ GIMT_Encode4(2309580), // Rule ID 1648 //
     /* 2309513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309516 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309520 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309524 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309528 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309532 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309537 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309541 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309545 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309549 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309553 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309558 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309560 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2309563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309565 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309569 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2309575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309579 */     // GIR_Coverage, 1648,
     /* 2309579 */     GIR_EraseRootFromParent_Done,
     /* 2309580 */   // Label 31653: @2309580
     /* 2309580 */   GIM_Try, /*On fail goto*//*Label 31654*/ GIMT_Encode4(2309652), // Rule ID 1670 //
     /* 2309585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309588 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309609 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309613 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309617 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309621 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309625 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309630 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309632 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2309635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2309647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309651 */     // GIR_Coverage, 1670,
     /* 2309651 */     GIR_EraseRootFromParent_Done,
     /* 2309652 */   // Label 31654: @2309652
     /* 2309652 */   GIM_Try, /*On fail goto*//*Label 31655*/ GIMT_Encode4(2309724), // Rule ID 1702 //
     /* 2309657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2309660 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309664 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309668 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309672 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309676 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309681 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309685 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309689 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309693 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309697 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309702 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309704 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2309707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309715 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2309719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309723 */     // GIR_Coverage, 1702,
     /* 2309723 */     GIR_EraseRootFromParent_Done,
     /* 2309724 */   // Label 31655: @2309724
     /* 2309724 */   GIM_Try, /*On fail goto*//*Label 31656*/ GIMT_Encode4(2309796), // Rule ID 1703 //
     /* 2309729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2309732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309736 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2309740 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309744 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309748 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309757 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309761 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309765 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309769 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2309774 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309776 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2309779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309785 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2309787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2309791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309795 */     // GIR_Coverage, 1703,
     /* 2309795 */     GIR_EraseRootFromParent_Done,
     /* 2309796 */   // Label 31656: @2309796
     /* 2309796 */   GIM_Try, /*On fail goto*//*Label 31657*/ GIMT_Encode4(2309868), // Rule ID 65410 //
     /* 2309801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2309804 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309808 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309812 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309816 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309820 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309824 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309829 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309833 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309837 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309841 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309846 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309848 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2309851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309853 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309859 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2309863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309867 */     // GIR_Coverage, 65410,
     /* 2309867 */     GIR_EraseRootFromParent_Done,
     /* 2309868 */   // Label 31657: @2309868
     /* 2309868 */   GIM_Try, /*On fail goto*//*Label 31658*/ GIMT_Encode4(2309940), // Rule ID 65411 //
     /* 2309873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2309876 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309880 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309896 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309901 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309905 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309909 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309913 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2309918 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309920 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2309920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2309923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309925 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2309929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2309931 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2309935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2309938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2309939 */     // GIR_Coverage, 65411,
     /* 2309939 */     GIR_EraseRootFromParent_Done,
     /* 2309940 */   // Label 31658: @2309940
     /* 2309940 */   GIM_Try, /*On fail goto*//*Label 31659*/ GIMT_Encode4(2310012), // Rule ID 65415 //
     /* 2309945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2309948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309956 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2309960 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309964 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309968 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309973 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2309977 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2309981 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2309985 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2309990 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2309992 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2309992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2309995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2309997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2310007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310011 */     // GIR_Coverage, 65415,
     /* 2310011 */     GIR_EraseRootFromParent_Done,
     /* 2310012 */   // Label 31659: @2310012
     /* 2310012 */   GIM_Try, /*On fail goto*//*Label 31660*/ GIMT_Encode4(2310084), // Rule ID 65422 //
     /* 2310017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2310020 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310028 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310032 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310036 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310040 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310045 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310049 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310053 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310057 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310062 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310064 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310064 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2310067 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310069 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2310079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310083 */     // GIR_Coverage, 65422,
     /* 2310083 */     GIR_EraseRootFromParent_Done,
     /* 2310084 */   // Label 31660: @2310084
     /* 2310084 */   GIM_Try, /*On fail goto*//*Label 31661*/ GIMT_Encode4(2310156), // Rule ID 65423 //
     /* 2310089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2310092 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310096 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310100 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310104 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310108 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310112 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310117 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2310121 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310125 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310129 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310134 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2310136 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2310136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2310139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310147 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2310151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310155 */     // GIR_Coverage, 65423,
     /* 2310155 */     GIR_EraseRootFromParent_Done,
     /* 2310156 */   // Label 31661: @2310156
     /* 2310156 */   GIM_Try, /*On fail goto*//*Label 31662*/ GIMT_Encode4(2310213), // Rule ID 1643 //
     /* 2310161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2310164 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310185 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310189 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310193 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310195 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2310198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310206 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310212 */     // GIR_Coverage, 1643,
     /* 2310212 */     GIR_EraseRootFromParent_Done,
     /* 2310213 */   // Label 31662: @2310213
     /* 2310213 */   GIM_Try, /*On fail goto*//*Label 31663*/ GIMT_Encode4(2310270), // Rule ID 1644 //
     /* 2310218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2310221 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310242 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310246 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310250 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310252 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2310252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2310255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310269 */     // GIR_Coverage, 1644,
     /* 2310269 */     GIR_EraseRootFromParent_Done,
     /* 2310270 */   // Label 31663: @2310270
     /* 2310270 */   GIM_Try, /*On fail goto*//*Label 31664*/ GIMT_Encode4(2310327), // Rule ID 1668 //
     /* 2310275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2310278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310290 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310294 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310303 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310309 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2310312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310318 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310320 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310326 */     // GIR_Coverage, 1668,
     /* 2310326 */     GIR_EraseRootFromParent_Done,
     /* 2310327 */   // Label 31664: @2310327
     /* 2310327 */   GIM_Try, /*On fail goto*//*Label 31665*/ GIMT_Encode4(2310384), // Rule ID 1698 //
     /* 2310332 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2310335 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310339 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310343 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310347 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310351 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310360 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310364 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310366 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2310369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310375 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310377 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310383 */     // GIR_Coverage, 1698,
     /* 2310383 */     GIR_EraseRootFromParent_Done,
     /* 2310384 */   // Label 31665: @2310384
     /* 2310384 */   GIM_Try, /*On fail goto*//*Label 31666*/ GIMT_Encode4(2310441), // Rule ID 1699 //
     /* 2310389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2310392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2310400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310421 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310423 */     // (fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2310423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2310426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310428 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310432 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310434 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310440 */     // GIR_Coverage, 1699,
     /* 2310440 */     GIR_EraseRootFromParent_Done,
     /* 2310441 */   // Label 31666: @2310441
     /* 2310441 */   GIM_Try, /*On fail goto*//*Label 31667*/ GIMT_Encode4(2310498), // Rule ID 65406 //
     /* 2310446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2310449 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310474 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310478 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310480 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2310483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310485 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310491 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310497 */     // GIR_Coverage, 65406,
     /* 2310497 */     GIR_EraseRootFromParent_Done,
     /* 2310498 */   // Label 31667: @2310498
     /* 2310498 */   GIM_Try, /*On fail goto*//*Label 31668*/ GIMT_Encode4(2310555), // Rule ID 65407 //
     /* 2310503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2310506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310514 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310518 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310522 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310526 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310537 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2310537 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2310540 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310542 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310548 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310554 */     // GIR_Coverage, 65407,
     /* 2310554 */     GIR_EraseRootFromParent_Done,
     /* 2310555 */   // Label 31668: @2310555
     /* 2310555 */   GIM_Try, /*On fail goto*//*Label 31669*/ GIMT_Encode4(2310612), // Rule ID 65413 //
     /* 2310560 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2310563 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310571 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310575 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310579 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310583 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310588 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310594 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2310597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310599 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310605 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310611 */     // GIR_Coverage, 65413,
     /* 2310611 */     GIR_EraseRootFromParent_Done,
     /* 2310612 */   // Label 31669: @2310612
     /* 2310612 */   GIM_Try, /*On fail goto*//*Label 31670*/ GIMT_Encode4(2310669), // Rule ID 65418 //
     /* 2310617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2310620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310628 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310632 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310636 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310640 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310645 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310649 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310651 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2310654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310662 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310668 */     // GIR_Coverage, 65418,
     /* 2310668 */     GIR_EraseRootFromParent_Done,
     /* 2310669 */   // Label 31670: @2310669
     /* 2310669 */   GIM_Try, /*On fail goto*//*Label 31671*/ GIMT_Encode4(2310726), // Rule ID 65419 //
     /* 2310674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2310677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310685 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2310689 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310693 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310697 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310702 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310706 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310708 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2310708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2310711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2310717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2310719 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2310721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310725 */     // GIR_Coverage, 65419,
     /* 2310725 */     GIR_EraseRootFromParent_Done,
     /* 2310726 */   // Label 31671: @2310726
     /* 2310726 */   GIM_Try, /*On fail goto*//*Label 31672*/ GIMT_Encode4(2310783), // Rule ID 1639 //
     /* 2310731 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2310734 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310738 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310742 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310746 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310750 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310754 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310758 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310763 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310765 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2310768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310774 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2310778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310782 */     // GIR_Coverage, 1639,
     /* 2310782 */     GIR_EraseRootFromParent_Done,
     /* 2310783 */   // Label 31672: @2310783
     /* 2310783 */   GIM_Try, /*On fail goto*//*Label 31673*/ GIMT_Encode4(2310840), // Rule ID 1640 //
     /* 2310788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2310791 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2310820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310822 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2310822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2310825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2310835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310839 */     // GIR_Coverage, 1640,
     /* 2310839 */     GIR_EraseRootFromParent_Done,
     /* 2310840 */   // Label 31673: @2310840
     /* 2310840 */   GIM_Try, /*On fail goto*//*Label 31674*/ GIMT_Encode4(2310897), // Rule ID 1666 //
     /* 2310845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2310848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310860 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310864 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310868 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310872 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2310877 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310879 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2310882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310888 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2310892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310896 */     // GIR_Coverage, 1666,
     /* 2310896 */     GIR_EraseRootFromParent_Done,
     /* 2310897 */   // Label 31674: @2310897
     /* 2310897 */   GIM_Try, /*On fail goto*//*Label 31675*/ GIMT_Encode4(2310954), // Rule ID 1694 //
     /* 2310902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2310905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310936 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2310936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2310939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2310943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2310945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2310949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2310952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2310953 */     // GIR_Coverage, 1694,
     /* 2310953 */     GIR_EraseRootFromParent_Done,
     /* 2310954 */   // Label 31675: @2310954
     /* 2310954 */   GIM_Try, /*On fail goto*//*Label 31676*/ GIMT_Encode4(2311011), // Rule ID 1695 //
     /* 2310959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2310962 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310966 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310970 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2310978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2310982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2310986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2310991 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2310993 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2310993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2310996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2310998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2311006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311010 */     // GIR_Coverage, 1695,
     /* 2311010 */     GIR_EraseRootFromParent_Done,
     /* 2311011 */   // Label 31676: @2311011
     /* 2311011 */   GIM_Try, /*On fail goto*//*Label 31677*/ GIMT_Encode4(2311051), // Rule ID 1635 //
     /* 2311016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2311019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311031 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311035 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2311035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2311038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311044 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2311046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311050 */     // GIR_Coverage, 1635,
     /* 2311050 */     GIR_EraseRootFromParent_Done,
     /* 2311051 */   // Label 31677: @2311051
     /* 2311051 */   GIM_Try, /*On fail goto*//*Label 31678*/ GIMT_Encode4(2311091), // Rule ID 1636 //
     /* 2311056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2311059 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311063 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311067 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311071 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2311075 */     // (fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2311075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2311078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311080 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311082 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311084 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2311086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311090 */     // GIR_Coverage, 1636,
     /* 2311090 */     GIR_EraseRootFromParent_Done,
     /* 2311091 */   // Label 31678: @2311091
     /* 2311091 */   GIM_Try, /*On fail goto*//*Label 31679*/ GIMT_Encode4(2311131), // Rule ID 1664 //
     /* 2311096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2311099 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311107 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311111 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2311115 */     // (fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2311115 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2311118 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311120 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311122 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311124 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2311126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311130 */     // GIR_Coverage, 1664,
     /* 2311130 */     GIR_EraseRootFromParent_Done,
     /* 2311131 */   // Label 31679: @2311131
     /* 2311131 */   GIM_Try, /*On fail goto*//*Label 31680*/ GIMT_Encode4(2311171), // Rule ID 1690 //
     /* 2311136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2311139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311155 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2311155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2311158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311164 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2311166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311170 */     // GIR_Coverage, 1690,
     /* 2311170 */     GIR_EraseRootFromParent_Done,
     /* 2311171 */   // Label 31680: @2311171
     /* 2311171 */   GIM_Try, /*On fail goto*//*Label 31681*/ GIMT_Encode4(2311211), // Rule ID 1691 //
     /* 2311176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2311179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311191 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2311195 */     // (fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2311195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2311198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311200 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311202 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2311204 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2311206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311210 */     // GIR_Coverage, 1691,
     /* 2311210 */     GIR_EraseRootFromParent_Done,
     /* 2311211 */   // Label 31681: @2311211
     /* 2311211 */   GIM_Reject,
     /* 2311212 */ // Label 31651: @2311212
     /* 2311212 */ GIM_Reject,
     /* 2311213 */ // Label 31585: @2311213
     /* 2311213 */ GIM_Try, /*On fail goto*//*Label 31682*/ GIMT_Encode4(2312002),
     /* 2311218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2311224 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2311227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311231 */   GIM_Try, /*On fail goto*//*Label 31683*/ GIMT_Encode4(2311308), // Rule ID 54836 //
     /* 2311236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311239 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311243 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311247 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311251 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311260 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311264 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311268 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311272 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311277 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311279 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2311282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311286 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311290 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311307 */     // GIR_Coverage, 54836,
     /* 2311307 */     GIR_EraseRootFromParent_Done,
     /* 2311308 */   // Label 31683: @2311308
     /* 2311308 */   GIM_Try, /*On fail goto*//*Label 31684*/ GIMT_Encode4(2311385), // Rule ID 54837 //
     /* 2311313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311316 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311320 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311324 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311328 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311333 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311337 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311341 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311345 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311349 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311354 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311356 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2311359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311361 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311363 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311367 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311384 */     // GIR_Coverage, 54837,
     /* 2311384 */     GIR_EraseRootFromParent_Done,
     /* 2311385 */   // Label 31684: @2311385
     /* 2311385 */   GIM_Try, /*On fail goto*//*Label 31685*/ GIMT_Encode4(2311462), // Rule ID 72394 //
     /* 2311390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311414 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311418 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311422 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311426 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311431 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311433 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2311436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311440 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311444 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311460 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311461 */     // GIR_Coverage, 72394,
     /* 2311461 */     GIR_EraseRootFromParent_Done,
     /* 2311462 */   // Label 31685: @2311462
     /* 2311462 */   GIM_Try, /*On fail goto*//*Label 31686*/ GIMT_Encode4(2311539), // Rule ID 72395 //
     /* 2311467 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311474 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311478 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311482 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311486 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311491 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2311495 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311499 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311503 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311508 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2311510 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2311513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311517 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2311525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311538 */     // GIR_Coverage, 72395,
     /* 2311538 */     GIR_EraseRootFromParent_Done,
     /* 2311539 */   // Label 31686: @2311539
     /* 2311539 */   GIM_Try, /*On fail goto*//*Label 31687*/ GIMT_Encode4(2311601), // Rule ID 54840 //
     /* 2311544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311547 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311551 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311555 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311559 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311568 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311574 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2311577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311585 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311600 */     // GIR_Coverage, 54840,
     /* 2311600 */     GIR_EraseRootFromParent_Done,
     /* 2311601 */   // Label 31687: @2311601
     /* 2311601 */   GIM_Try, /*On fail goto*//*Label 31688*/ GIMT_Encode4(2311663), // Rule ID 54841 //
     /* 2311606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2311613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311630 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311634 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311636 */     // (fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2311639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311647 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311662 */     // GIR_Coverage, 54841,
     /* 2311662 */     GIR_EraseRootFromParent_Done,
     /* 2311663 */   // Label 31688: @2311663
     /* 2311663 */   GIM_Try, /*On fail goto*//*Label 31689*/ GIMT_Encode4(2311725), // Rule ID 72398 //
     /* 2311668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311671 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311675 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311679 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311683 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311687 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311692 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311696 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311698 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2311701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311724 */     // GIR_Coverage, 72398,
     /* 2311724 */     GIR_EraseRootFromParent_Done,
     /* 2311725 */   // Label 31689: @2311725
     /* 2311725 */   GIM_Try, /*On fail goto*//*Label 31690*/ GIMT_Encode4(2311787), // Rule ID 72399 //
     /* 2311730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2311741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311758 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311760 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2311763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2311767 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2311771 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311786 */     // GIR_Coverage, 72399,
     /* 2311786 */     GIR_EraseRootFromParent_Done,
     /* 2311787 */   // Label 31690: @2311787
     /* 2311787 */   GIM_Try, /*On fail goto*//*Label 31691*/ GIMT_Encode4(2311849), // Rule ID 54832 //
     /* 2311792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311795 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311799 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311803 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311807 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311811 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311815 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311822 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2311825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311827 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311831 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2311835 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311838 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311847 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311848 */     // GIR_Coverage, 54832,
     /* 2311848 */     GIR_EraseRootFromParent_Done,
     /* 2311849 */   // Label 31691: @2311849
     /* 2311849 */   GIM_Try, /*On fail goto*//*Label 31692*/ GIMT_Encode4(2311911), // Rule ID 54833 //
     /* 2311854 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311857 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311861 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311865 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2311869 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2311873 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2311877 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2311884 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2311887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2311897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311910 */     // GIR_Coverage, 54833,
     /* 2311910 */     GIR_EraseRootFromParent_Done,
     /* 2311911 */   // Label 31692: @2311911
     /* 2311911 */   GIM_Try, /*On fail goto*//*Label 31693*/ GIMT_Encode4(2311956), // Rule ID 54828 //
     /* 2311916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2311919 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311923 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311927 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311931 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2311931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2311934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311936 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311940 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2311955 */     // GIR_Coverage, 54828,
     /* 2311955 */     GIR_EraseRootFromParent_Done,
     /* 2311956 */   // Label 31693: @2311956
     /* 2311956 */   GIM_Try, /*On fail goto*//*Label 31694*/ GIMT_Encode4(2312001), // Rule ID 54829 //
     /* 2311961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2311964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311972 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2311976 */     // (fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2311976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2311979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2311981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2311983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2311985 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2311987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2311990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2311993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2311996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2311999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312000 */     // GIR_Coverage, 54829,
     /* 2312000 */     GIR_EraseRootFromParent_Done,
     /* 2312001 */   // Label 31694: @2312001
     /* 2312001 */   GIM_Reject,
     /* 2312002 */ // Label 31682: @2312002
     /* 2312002 */ GIM_Reject,
     /* 2312003 */ // Label 31586: @2312003
     /* 2312003 */ GIM_Try, /*On fail goto*//*Label 31695*/ GIMT_Encode4(2312792),
     /* 2312008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312011 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2312014 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2312017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312021 */   GIM_Try, /*On fail goto*//*Label 31696*/ GIMT_Encode4(2312098), // Rule ID 54964 //
     /* 2312026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312037 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312041 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312046 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312050 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312054 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312058 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312062 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312067 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312069 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2312072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312076 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312080 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312097 */     // GIR_Coverage, 54964,
     /* 2312097 */     GIR_EraseRootFromParent_Done,
     /* 2312098 */   // Label 31696: @2312098
     /* 2312098 */   GIM_Try, /*On fail goto*//*Label 31697*/ GIMT_Encode4(2312175), // Rule ID 54965 //
     /* 2312103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312106 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312110 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312114 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312118 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312123 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312127 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312131 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312135 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312139 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312144 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312146 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2312149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312153 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312157 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312174 */     // GIR_Coverage, 54965,
     /* 2312174 */     GIR_EraseRootFromParent_Done,
     /* 2312175 */   // Label 31697: @2312175
     /* 2312175 */   GIM_Try, /*On fail goto*//*Label 31698*/ GIMT_Encode4(2312252), // Rule ID 72506 //
     /* 2312180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312204 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312208 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312212 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312216 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312221 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312223 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2312226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312230 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312234 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312251 */     // GIR_Coverage, 72506,
     /* 2312251 */     GIR_EraseRootFromParent_Done,
     /* 2312252 */   // Label 31698: @2312252
     /* 2312252 */   GIM_Try, /*On fail goto*//*Label 31699*/ GIMT_Encode4(2312329), // Rule ID 72507 //
     /* 2312257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312260 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312264 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312268 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312272 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312276 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312281 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312285 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312289 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312293 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312298 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312300 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312300 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2312303 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312307 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312328 */     // GIR_Coverage, 72507,
     /* 2312328 */     GIR_EraseRootFromParent_Done,
     /* 2312329 */   // Label 31699: @2312329
     /* 2312329 */   GIM_Try, /*On fail goto*//*Label 31700*/ GIMT_Encode4(2312391), // Rule ID 54968 //
     /* 2312334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312337 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312341 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312345 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312349 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312354 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312358 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312364 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2312367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312371 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312390 */     // GIR_Coverage, 54968,
     /* 2312390 */     GIR_EraseRootFromParent_Done,
     /* 2312391 */   // Label 31700: @2312391
     /* 2312391 */   GIM_Try, /*On fail goto*//*Label 31701*/ GIMT_Encode4(2312453), // Rule ID 54969 //
     /* 2312396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312426 */     // (fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2312429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312433 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312437 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312452 */     // GIR_Coverage, 54969,
     /* 2312452 */     GIR_EraseRootFromParent_Done,
     /* 2312453 */   // Label 31701: @2312453
     /* 2312453 */   GIM_Try, /*On fail goto*//*Label 31702*/ GIMT_Encode4(2312515), // Rule ID 72510 //
     /* 2312458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312465 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312469 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312473 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312477 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312482 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312486 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312488 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2312491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312493 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312495 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312499 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312514 */     // GIR_Coverage, 72510,
     /* 2312514 */     GIR_EraseRootFromParent_Done,
     /* 2312515 */   // Label 31702: @2312515
     /* 2312515 */   GIM_Try, /*On fail goto*//*Label 31703*/ GIMT_Encode4(2312577), // Rule ID 72511 //
     /* 2312520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312544 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312550 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2312553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312555 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2312557 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312561 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312575 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312576 */     // GIR_Coverage, 72511,
     /* 2312576 */     GIR_EraseRootFromParent_Done,
     /* 2312577 */   // Label 31703: @2312577
     /* 2312577 */   GIM_Try, /*On fail goto*//*Label 31704*/ GIMT_Encode4(2312639), // Rule ID 54960 //
     /* 2312582 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312601 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312605 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312610 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312612 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2312615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312617 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312619 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312621 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312638 */     // GIR_Coverage, 54960,
     /* 2312638 */     GIR_EraseRootFromParent_Done,
     /* 2312639 */   // Label 31704: @2312639
     /* 2312639 */   GIM_Try, /*On fail goto*//*Label 31705*/ GIMT_Encode4(2312701), // Rule ID 54961 //
     /* 2312644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2312659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2312667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312672 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2312674 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2312677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312679 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2312687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312700 */     // GIR_Coverage, 54961,
     /* 2312700 */     GIR_EraseRootFromParent_Done,
     /* 2312701 */   // Label 31705: @2312701
     /* 2312701 */   GIM_Try, /*On fail goto*//*Label 31706*/ GIMT_Encode4(2312746), // Rule ID 54956 //
     /* 2312706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2312709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312717 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312721 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2312724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312730 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312744 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312745 */     // GIR_Coverage, 54956,
     /* 2312745 */     GIR_EraseRootFromParent_Done,
     /* 2312746 */   // Label 31706: @2312746
     /* 2312746 */   GIM_Try, /*On fail goto*//*Label 31707*/ GIMT_Encode4(2312791), // Rule ID 54957 //
     /* 2312751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2312754 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312758 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312762 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312766 */     // (fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2312769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2312775 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2312777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2312786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312790 */     // GIR_Coverage, 54957,
     /* 2312790 */     GIR_EraseRootFromParent_Done,
     /* 2312791 */   // Label 31707: @2312791
     /* 2312791 */   GIM_Reject,
     /* 2312792 */ // Label 31695: @2312792
     /* 2312792 */ GIM_Reject,
     /* 2312793 */ // Label 31587: @2312793
     /* 2312793 */ GIM_Try, /*On fail goto*//*Label 31708*/ GIMT_Encode4(2313582),
     /* 2312798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312801 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2312804 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2312807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312811 */   GIM_Try, /*On fail goto*//*Label 31709*/ GIMT_Encode4(2312888), // Rule ID 55156 //
     /* 2312816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2312819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312827 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312831 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312840 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312844 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312848 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312852 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312857 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312859 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2312859 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2312862 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312864 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312870 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312887 */     // GIR_Coverage, 55156,
     /* 2312887 */     GIR_EraseRootFromParent_Done,
     /* 2312888 */   // Label 31709: @2312888
     /* 2312888 */   GIM_Try, /*On fail goto*//*Label 31710*/ GIMT_Encode4(2312965), // Rule ID 55157 //
     /* 2312893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2312896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2312900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312904 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312908 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312917 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312921 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312925 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312929 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312934 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2312936 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2312936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2312939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2312941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2312943 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2312947 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2312951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2312954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2312957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2312960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2312963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2312964 */     // GIR_Coverage, 55157,
     /* 2312964 */     GIR_EraseRootFromParent_Done,
     /* 2312965 */   // Label 31710: @2312965
     /* 2312965 */   GIM_Try, /*On fail goto*//*Label 31711*/ GIMT_Encode4(2313042), // Rule ID 72674 //
     /* 2312970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2312973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2312981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2312985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2312989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2312994 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2312998 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313002 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313006 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313011 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313013 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2313016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313020 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313024 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313041 */     // GIR_Coverage, 72674,
     /* 2313041 */     GIR_EraseRootFromParent_Done,
     /* 2313042 */   // Label 31711: @2313042
     /* 2313042 */   GIM_Try, /*On fail goto*//*Label 31712*/ GIMT_Encode4(2313119), // Rule ID 72675 //
     /* 2313047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2313050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313090 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2313093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313097 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313118 */     // GIR_Coverage, 72675,
     /* 2313118 */     GIR_EraseRootFromParent_Done,
     /* 2313119 */   // Label 31712: @2313119
     /* 2313119 */   GIM_Try, /*On fail goto*//*Label 31713*/ GIMT_Encode4(2313181), // Rule ID 55160 //
     /* 2313124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2313127 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313131 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313135 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313139 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313144 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313148 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313154 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2313157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313161 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313165 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313180 */     // GIR_Coverage, 55160,
     /* 2313180 */     GIR_EraseRootFromParent_Done,
     /* 2313181 */   // Label 31713: @2313181
     /* 2313181 */   GIM_Try, /*On fail goto*//*Label 31714*/ GIMT_Encode4(2313243), // Rule ID 55161 //
     /* 2313186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2313189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313210 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313214 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313216 */     // (fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2313219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313223 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313227 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313242 */     // GIR_Coverage, 55161,
     /* 2313242 */     GIR_EraseRootFromParent_Done,
     /* 2313243 */   // Label 31714: @2313243
     /* 2313243 */   GIM_Try, /*On fail goto*//*Label 31715*/ GIMT_Encode4(2313305), // Rule ID 72678 //
     /* 2313248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2313251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313255 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313259 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313263 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313267 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313272 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313276 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313278 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313278 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2313281 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313285 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313289 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313304 */     // GIR_Coverage, 72678,
     /* 2313304 */     GIR_EraseRootFromParent_Done,
     /* 2313305 */   // Label 31715: @2313305
     /* 2313305 */   GIM_Try, /*On fail goto*//*Label 31716*/ GIMT_Encode4(2313367), // Rule ID 72679 //
     /* 2313310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2313313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313334 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313338 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313340 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2313343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313347 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313351 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313366 */     // GIR_Coverage, 72679,
     /* 2313366 */     GIR_EraseRootFromParent_Done,
     /* 2313367 */   // Label 31716: @2313367
     /* 2313367 */   GIM_Try, /*On fail goto*//*Label 31717*/ GIMT_Encode4(2313429), // Rule ID 55152 //
     /* 2313372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2313375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313391 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313395 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313400 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313402 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2313405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313407 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313409 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313411 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2313415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313428 */     // GIR_Coverage, 55152,
     /* 2313428 */     GIR_EraseRootFromParent_Done,
     /* 2313429 */   // Label 31717: @2313429
     /* 2313429 */   GIM_Try, /*On fail goto*//*Label 31718*/ GIMT_Encode4(2313491), // Rule ID 55153 //
     /* 2313434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2313437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313445 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2313449 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313453 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2313457 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313464 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2313467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2313477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313490 */     // GIR_Coverage, 55153,
     /* 2313490 */     GIR_EraseRootFromParent_Done,
     /* 2313491 */   // Label 31718: @2313491
     /* 2313491 */   GIM_Try, /*On fail goto*//*Label 31719*/ GIMT_Encode4(2313536), // Rule ID 55148 //
     /* 2313496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2313499 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313503 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313507 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313511 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2313514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313516 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313535 */     // GIR_Coverage, 55148,
     /* 2313535 */     GIR_EraseRootFromParent_Done,
     /* 2313536 */   // Label 31719: @2313536
     /* 2313536 */   GIM_Try, /*On fail goto*//*Label 31720*/ GIMT_Encode4(2313581), // Rule ID 55149 //
     /* 2313541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2313544 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313548 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313552 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313556 */     // (fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2313559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2313565 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2313576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313579 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313580 */     // GIR_Coverage, 55149,
     /* 2313580 */     GIR_EraseRootFromParent_Done,
     /* 2313581 */   // Label 31720: @2313581
     /* 2313581 */   GIM_Reject,
     /* 2313582 */ // Label 31708: @2313582
     /* 2313582 */ GIM_Reject,
     /* 2313583 */ // Label 31588: @2313583
     /* 2313583 */ GIM_Try, /*On fail goto*//*Label 31721*/ GIMT_Encode4(2314372),
     /* 2313588 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313591 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2313594 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2313597 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313601 */   GIM_Try, /*On fail goto*//*Label 31722*/ GIMT_Encode4(2313678), // Rule ID 54900 //
     /* 2313606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313609 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313613 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313617 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313621 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313630 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313634 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313638 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313642 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313647 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313649 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313649 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2313652 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313656 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313660 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313677 */     // GIR_Coverage, 54900,
     /* 2313677 */     GIR_EraseRootFromParent_Done,
     /* 2313678 */   // Label 31722: @2313678
     /* 2313678 */   GIM_Try, /*On fail goto*//*Label 31723*/ GIMT_Encode4(2313755), // Rule ID 54901 //
     /* 2313683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313686 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313690 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313694 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313698 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313707 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313711 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313715 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313719 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313724 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313726 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2313729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313733 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313754 */     // GIR_Coverage, 54901,
     /* 2313754 */     GIR_EraseRootFromParent_Done,
     /* 2313755 */   // Label 31723: @2313755
     /* 2313755 */   GIM_Try, /*On fail goto*//*Label 31724*/ GIMT_Encode4(2313832), // Rule ID 72450 //
     /* 2313760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313784 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313788 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313792 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313796 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313801 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313803 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2313806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313810 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313814 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313831 */     // GIR_Coverage, 72450,
     /* 2313831 */     GIR_EraseRootFromParent_Done,
     /* 2313832 */   // Label 31724: @2313832
     /* 2313832 */   GIM_Try, /*On fail goto*//*Label 31725*/ GIMT_Encode4(2313909), // Rule ID 72451 //
     /* 2313837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313840 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313844 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2313848 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313852 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313856 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313861 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2313865 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313869 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313873 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313878 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2313880 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2313880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2313883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2313887 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2313895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313908 */     // GIR_Coverage, 72451,
     /* 2313908 */     GIR_EraseRootFromParent_Done,
     /* 2313909 */   // Label 31725: @2313909
     /* 2313909 */   GIM_Try, /*On fail goto*//*Label 31726*/ GIMT_Encode4(2313971), // Rule ID 54904 //
     /* 2313914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2313917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313934 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313938 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2313944 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2313944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2313947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2313949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2313951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2313955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2313957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2313960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2313963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2313966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2313969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2313970 */     // GIR_Coverage, 54904,
     /* 2313970 */     GIR_EraseRootFromParent_Done,
     /* 2313971 */   // Label 31726: @2313971
     /* 2313971 */   GIM_Try, /*On fail goto*//*Label 31727*/ GIMT_Encode4(2314033), // Rule ID 54905 //
     /* 2313976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2313979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2313983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2313987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2313991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2313996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314006 */     // (fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2314009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314013 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314017 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314032 */     // GIR_Coverage, 54905,
     /* 2314032 */     GIR_EraseRootFromParent_Done,
     /* 2314033 */   // Label 31727: @2314033
     /* 2314033 */   GIM_Try, /*On fail goto*//*Label 31728*/ GIMT_Encode4(2314095), // Rule ID 72454 //
     /* 2314038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2314041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314045 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314049 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314053 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2314057 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314062 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314066 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314068 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2314071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314075 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314079 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314094 */     // GIR_Coverage, 72454,
     /* 2314094 */     GIR_EraseRootFromParent_Done,
     /* 2314095 */   // Label 31728: @2314095
     /* 2314095 */   GIM_Try, /*On fail goto*//*Label 31729*/ GIMT_Encode4(2314157), // Rule ID 72455 //
     /* 2314100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2314103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2314119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314124 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314128 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314130 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2314133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314141 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314156 */     // GIR_Coverage, 72455,
     /* 2314156 */     GIR_EraseRootFromParent_Done,
     /* 2314157 */   // Label 31729: @2314157
     /* 2314157 */   GIM_Try, /*On fail goto*//*Label 31730*/ GIMT_Encode4(2314219), // Rule ID 54896 //
     /* 2314162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2314165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314173 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314177 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314181 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2314185 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314190 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314192 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2314195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314201 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2314205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314218 */     // GIR_Coverage, 54896,
     /* 2314218 */     GIR_EraseRootFromParent_Done,
     /* 2314219 */   // Label 31730: @2314219
     /* 2314219 */   GIM_Try, /*On fail goto*//*Label 31731*/ GIMT_Encode4(2314281), // Rule ID 54897 //
     /* 2314224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2314227 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314231 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314235 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314239 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314243 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2314247 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314252 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314254 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2314257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314259 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2314267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314280 */     // GIR_Coverage, 54897,
     /* 2314280 */     GIR_EraseRootFromParent_Done,
     /* 2314281 */   // Label 31731: @2314281
     /* 2314281 */   GIM_Try, /*On fail goto*//*Label 31732*/ GIMT_Encode4(2314326), // Rule ID 54892 //
     /* 2314286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2314289 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314293 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314297 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314301 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2314304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314306 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314310 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314325 */     // GIR_Coverage, 54892,
     /* 2314325 */     GIR_EraseRootFromParent_Done,
     /* 2314326 */   // Label 31732: @2314326
     /* 2314326 */   GIM_Try, /*On fail goto*//*Label 31733*/ GIMT_Encode4(2314371), // Rule ID 54893 //
     /* 2314331 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2314334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314346 */     // (fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2314349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2314366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314370 */     // GIR_Coverage, 54893,
     /* 2314370 */     GIR_EraseRootFromParent_Done,
     /* 2314371 */   // Label 31733: @2314371
     /* 2314371 */   GIM_Reject,
     /* 2314372 */ // Label 31721: @2314372
     /* 2314372 */ GIM_Reject,
     /* 2314373 */ // Label 31589: @2314373
     /* 2314373 */ GIM_Try, /*On fail goto*//*Label 31734*/ GIMT_Encode4(2315162),
     /* 2314378 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314381 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2314384 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2314387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314391 */   GIM_Try, /*On fail goto*//*Label 31735*/ GIMT_Encode4(2314468), // Rule ID 55092 //
     /* 2314396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2314399 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314403 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314407 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314411 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314420 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314424 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314428 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314432 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314437 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314439 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314439 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2314442 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314444 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314446 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314467 */     // GIR_Coverage, 55092,
     /* 2314467 */     GIR_EraseRootFromParent_Done,
     /* 2314468 */   // Label 31735: @2314468
     /* 2314468 */   GIM_Try, /*On fail goto*//*Label 31736*/ GIMT_Encode4(2314545), // Rule ID 55093 //
     /* 2314473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2314476 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314480 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314484 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314488 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314493 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314497 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314501 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314505 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314509 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314514 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314516 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2314519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314523 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314544 */     // GIR_Coverage, 55093,
     /* 2314544 */     GIR_EraseRootFromParent_Done,
     /* 2314545 */   // Label 31736: @2314545
     /* 2314545 */   GIM_Try, /*On fail goto*//*Label 31737*/ GIMT_Encode4(2314622), // Rule ID 72618 //
     /* 2314550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2314553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314557 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314561 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314565 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314569 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314574 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314578 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314582 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314586 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314591 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314593 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314593 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2314596 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314600 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314604 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314621 */     // GIR_Coverage, 72618,
     /* 2314621 */     GIR_EraseRootFromParent_Done,
     /* 2314622 */   // Label 31737: @2314622
     /* 2314622 */   GIM_Try, /*On fail goto*//*Label 31738*/ GIMT_Encode4(2314699), // Rule ID 72619 //
     /* 2314627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2314630 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314651 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2314655 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314659 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314663 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314668 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2314670 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314670 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2314673 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314675 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314677 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314681 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2314685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314697 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314698 */     // GIR_Coverage, 72619,
     /* 2314698 */     GIR_EraseRootFromParent_Done,
     /* 2314699 */   // Label 31738: @2314699
     /* 2314699 */   GIM_Try, /*On fail goto*//*Label 31739*/ GIMT_Encode4(2314761), // Rule ID 55096 //
     /* 2314704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2314707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314728 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314732 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314734 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2314737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314760 */     // GIR_Coverage, 55096,
     /* 2314760 */     GIR_EraseRootFromParent_Done,
     /* 2314761 */   // Label 31739: @2314761
     /* 2314761 */   GIM_Try, /*On fail goto*//*Label 31740*/ GIMT_Encode4(2314823), // Rule ID 55097 //
     /* 2314766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2314769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2314773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314790 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314794 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314796 */     // (fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2314799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314803 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314807 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314822 */     // GIR_Coverage, 55097,
     /* 2314822 */     GIR_EraseRootFromParent_Done,
     /* 2314823 */   // Label 31740: @2314823
     /* 2314823 */   GIM_Try, /*On fail goto*//*Label 31741*/ GIMT_Encode4(2314885), // Rule ID 72622 //
     /* 2314828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2314831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314852 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314856 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314858 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2314861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314865 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314869 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314884 */     // GIR_Coverage, 72622,
     /* 2314884 */     GIR_EraseRootFromParent_Done,
     /* 2314885 */   // Label 31741: @2314885
     /* 2314885 */   GIM_Try, /*On fail goto*//*Label 31742*/ GIMT_Encode4(2314947), // Rule ID 72623 //
     /* 2314890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2314893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2314901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314914 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314918 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314920 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2314920 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2314923 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2314927 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2314931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2314933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2314939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2314942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2314945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2314946 */     // GIR_Coverage, 72623,
     /* 2314946 */     GIR_EraseRootFromParent_Done,
     /* 2314947 */   // Label 31742: @2314947
     /* 2314947 */   GIM_Try, /*On fail goto*//*Label 31743*/ GIMT_Encode4(2315009), // Rule ID 55088 //
     /* 2314952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2314955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314963 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2314967 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2314971 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2314975 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2314980 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2314982 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2314982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2314985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2314987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2314989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2314991 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2314995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2314998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315008 */     // GIR_Coverage, 55088,
     /* 2315008 */     GIR_EraseRootFromParent_Done,
     /* 2315009 */   // Label 31743: @2315009
     /* 2315009 */   GIM_Try, /*On fail goto*//*Label 31744*/ GIMT_Encode4(2315071), // Rule ID 55089 //
     /* 2315014 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315017 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315021 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315025 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315029 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315033 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2315037 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315044 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2315047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315049 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2315057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315070 */     // GIR_Coverage, 55089,
     /* 2315070 */     GIR_EraseRootFromParent_Done,
     /* 2315071 */   // Label 31744: @2315071
     /* 2315071 */   GIM_Try, /*On fail goto*//*Label 31745*/ GIMT_Encode4(2315116), // Rule ID 55084 //
     /* 2315076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2315079 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315083 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315087 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315091 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2315094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315115 */     // GIR_Coverage, 55084,
     /* 2315115 */     GIR_EraseRootFromParent_Done,
     /* 2315116 */   // Label 31745: @2315116
     /* 2315116 */   GIM_Try, /*On fail goto*//*Label 31746*/ GIMT_Encode4(2315161), // Rule ID 55085 //
     /* 2315121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2315124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315132 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315136 */     // (fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2315139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315145 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2315156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315160 */     // GIR_Coverage, 55085,
     /* 2315160 */     GIR_EraseRootFromParent_Done,
     /* 2315161 */   // Label 31746: @2315161
     /* 2315161 */   GIM_Reject,
     /* 2315162 */ // Label 31734: @2315162
     /* 2315162 */ GIM_Reject,
     /* 2315163 */ // Label 31590: @2315163
     /* 2315163 */ GIM_Try, /*On fail goto*//*Label 31747*/ GIMT_Encode4(2315952),
     /* 2315168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315171 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2315174 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2315177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315181 */   GIM_Try, /*On fail goto*//*Label 31748*/ GIMT_Encode4(2315258), // Rule ID 55604 //
     /* 2315186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315189 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315193 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315197 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315201 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315206 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315210 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2315214 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315218 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315222 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315227 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2315229 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2315232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315234 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315236 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315240 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2315244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315257 */     // GIR_Coverage, 55604,
     /* 2315257 */     GIR_EraseRootFromParent_Done,
     /* 2315258 */   // Label 31748: @2315258
     /* 2315258 */   GIM_Try, /*On fail goto*//*Label 31749*/ GIMT_Encode4(2315335), // Rule ID 55605 //
     /* 2315263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315266 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315270 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315274 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315278 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315287 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2315291 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315295 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315299 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315304 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2315306 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2315309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315313 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2315321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315334 */     // GIR_Coverage, 55605,
     /* 2315334 */     GIR_EraseRootFromParent_Done,
     /* 2315335 */   // Label 31749: @2315335
     /* 2315335 */   GIM_Try, /*On fail goto*//*Label 31750*/ GIMT_Encode4(2315412), // Rule ID 73066 //
     /* 2315340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315347 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315351 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315355 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315359 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315364 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2315368 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315372 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315376 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315381 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2315383 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2315386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315390 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315394 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2315398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315411 */     // GIR_Coverage, 73066,
     /* 2315411 */     GIR_EraseRootFromParent_Done,
     /* 2315412 */   // Label 31750: @2315412
     /* 2315412 */   GIM_Try, /*On fail goto*//*Label 31751*/ GIMT_Encode4(2315489), // Rule ID 73067 //
     /* 2315417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315420 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315424 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315428 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315432 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315436 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315441 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2315445 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315449 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315453 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315458 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2315460 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2315463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315467 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315471 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2315475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315488 */     // GIR_Coverage, 73067,
     /* 2315488 */     GIR_EraseRootFromParent_Done,
     /* 2315489 */   // Label 31751: @2315489
     /* 2315489 */   GIM_Try, /*On fail goto*//*Label 31752*/ GIMT_Encode4(2315551), // Rule ID 55608 //
     /* 2315494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315518 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315522 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315524 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2315527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315529 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315550 */     // GIR_Coverage, 55608,
     /* 2315550 */     GIR_EraseRootFromParent_Done,
     /* 2315551 */   // Label 31752: @2315551
     /* 2315551 */   GIM_Try, /*On fail goto*//*Label 31753*/ GIMT_Encode4(2315613), // Rule ID 55609 //
     /* 2315556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315580 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315584 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315586 */     // (fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2315589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315593 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315612 */     // GIR_Coverage, 55609,
     /* 2315612 */     GIR_EraseRootFromParent_Done,
     /* 2315613 */   // Label 31753: @2315613
     /* 2315613 */   GIM_Try, /*On fail goto*//*Label 31754*/ GIMT_Encode4(2315675), // Rule ID 73070 //
     /* 2315618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315621 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315646 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315648 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2315651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315655 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315674 */     // GIR_Coverage, 73070,
     /* 2315674 */     GIR_EraseRootFromParent_Done,
     /* 2315675 */   // Label 31754: @2315675
     /* 2315675 */   GIM_Try, /*On fail goto*//*Label 31755*/ GIMT_Encode4(2315737), // Rule ID 73071 //
     /* 2315680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2315691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315704 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315708 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315710 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315710 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2315713 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2315717 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2315721 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315736 */     // GIR_Coverage, 73071,
     /* 2315736 */     GIR_EraseRootFromParent_Done,
     /* 2315737 */   // Label 31755: @2315737
     /* 2315737 */   GIM_Try, /*On fail goto*//*Label 31756*/ GIMT_Encode4(2315799), // Rule ID 55600 //
     /* 2315742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315753 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315757 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315761 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315765 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315772 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2315775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315777 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315781 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2315785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315798 */     // GIR_Coverage, 55600,
     /* 2315798 */     GIR_EraseRootFromParent_Done,
     /* 2315799 */   // Label 31756: @2315799
     /* 2315799 */   GIM_Try, /*On fail goto*//*Label 31757*/ GIMT_Encode4(2315861), // Rule ID 55601 //
     /* 2315804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2315819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315823 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2315827 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315832 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2315834 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2315837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315839 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2315847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315859 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315860 */     // GIR_Coverage, 55601,
     /* 2315860 */     GIR_EraseRootFromParent_Done,
     /* 2315861 */   // Label 31757: @2315861
     /* 2315861 */   GIM_Try, /*On fail goto*//*Label 31758*/ GIMT_Encode4(2315906), // Rule ID 55596 //
     /* 2315866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2315869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315877 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315881 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2315881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2315884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315890 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315905 */     // GIR_Coverage, 55596,
     /* 2315905 */     GIR_EraseRootFromParent_Done,
     /* 2315906 */   // Label 31758: @2315906
     /* 2315906 */   GIM_Try, /*On fail goto*//*Label 31759*/ GIMT_Encode4(2315951), // Rule ID 55597 //
     /* 2315911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2315914 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315918 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315922 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2315926 */     // (fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2315926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2315929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2315931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2315933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2315935 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2315937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2315940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2315943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2315946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2315949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2315950 */     // GIR_Coverage, 55597,
     /* 2315950 */     GIR_EraseRootFromParent_Done,
     /* 2315951 */   // Label 31759: @2315951
     /* 2315951 */   GIM_Reject,
     /* 2315952 */ // Label 31747: @2315952
     /* 2315952 */ GIM_Reject,
     /* 2315953 */ // Label 31591: @2315953
     /* 2315953 */ GIM_Try, /*On fail goto*//*Label 31760*/ GIMT_Encode4(2316742),
     /* 2315958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2315961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2315964 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2315967 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315971 */   GIM_Try, /*On fail goto*//*Label 31761*/ GIMT_Encode4(2316048), // Rule ID 55028 //
     /* 2315976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2315979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2315983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2315987 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2315991 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2315996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316000 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316004 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316008 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316012 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316017 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316019 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2316022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316024 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316026 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316030 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316047 */     // GIR_Coverage, 55028,
     /* 2316047 */     GIR_EraseRootFromParent_Done,
     /* 2316048 */   // Label 31761: @2316048
     /* 2316048 */   GIM_Try, /*On fail goto*//*Label 31762*/ GIMT_Encode4(2316125), // Rule ID 55029 //
     /* 2316053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316056 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316060 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316064 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316068 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316077 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316081 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316085 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316089 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316094 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316096 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2316099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316103 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316124 */     // GIR_Coverage, 55029,
     /* 2316124 */     GIR_EraseRootFromParent_Done,
     /* 2316125 */   // Label 31762: @2316125
     /* 2316125 */   GIM_Try, /*On fail goto*//*Label 31763*/ GIMT_Encode4(2316202), // Rule ID 72562 //
     /* 2316130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316133 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316137 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316141 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316145 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316149 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316154 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316158 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316162 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316166 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316171 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316173 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2316176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316180 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316184 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316201 */     // GIR_Coverage, 72562,
     /* 2316201 */     GIR_EraseRootFromParent_Done,
     /* 2316202 */   // Label 31763: @2316202
     /* 2316202 */   GIM_Try, /*On fail goto*//*Label 31764*/ GIMT_Encode4(2316279), // Rule ID 72563 //
     /* 2316207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316210 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316214 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316218 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316222 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316226 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316231 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316235 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316239 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316243 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316248 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316250 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316250 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2316253 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316255 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316257 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316261 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316278 */     // GIR_Coverage, 72563,
     /* 2316278 */     GIR_EraseRootFromParent_Done,
     /* 2316279 */   // Label 31764: @2316279
     /* 2316279 */   GIM_Try, /*On fail goto*//*Label 31765*/ GIMT_Encode4(2316341), // Rule ID 55032 //
     /* 2316284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316304 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316308 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316312 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316314 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2316317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316340 */     // GIR_Coverage, 55032,
     /* 2316340 */     GIR_EraseRootFromParent_Done,
     /* 2316341 */   // Label 31765: @2316341
     /* 2316341 */   GIM_Try, /*On fail goto*//*Label 31766*/ GIMT_Encode4(2316403), // Rule ID 55033 //
     /* 2316346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316374 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316376 */     // (fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316376 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2316379 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316383 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316387 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316402 */     // GIR_Coverage, 55033,
     /* 2316402 */     GIR_EraseRootFromParent_Done,
     /* 2316403 */   // Label 31766: @2316403
     /* 2316403 */   GIM_Try, /*On fail goto*//*Label 31767*/ GIMT_Encode4(2316465), // Rule ID 72566 //
     /* 2316408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316432 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316438 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2316441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316445 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316449 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316464 */     // GIR_Coverage, 72566,
     /* 2316464 */     GIR_EraseRootFromParent_Done,
     /* 2316465 */   // Label 31767: @2316465
     /* 2316465 */   GIM_Try, /*On fail goto*//*Label 31768*/ GIMT_Encode4(2316527), // Rule ID 72567 //
     /* 2316470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316494 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316500 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2316503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316505 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316507 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316511 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316526 */     // GIR_Coverage, 72567,
     /* 2316526 */     GIR_EraseRootFromParent_Done,
     /* 2316527 */   // Label 31768: @2316527
     /* 2316527 */   GIM_Try, /*On fail goto*//*Label 31769*/ GIMT_Encode4(2316589), // Rule ID 55024 //
     /* 2316532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316535 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316539 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316543 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316547 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316551 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316555 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316560 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316562 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2316565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316567 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316571 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2316575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316588 */     // GIR_Coverage, 55024,
     /* 2316588 */     GIR_EraseRootFromParent_Done,
     /* 2316589 */   // Label 31769: @2316589
     /* 2316589 */   GIM_Try, /*On fail goto*//*Label 31770*/ GIMT_Encode4(2316651), // Rule ID 55025 //
     /* 2316594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2316609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316613 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2316617 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316622 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2316624 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2316627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2316637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316650 */     // GIR_Coverage, 55025,
     /* 2316650 */     GIR_EraseRootFromParent_Done,
     /* 2316651 */   // Label 31770: @2316651
     /* 2316651 */   GIM_Try, /*On fail goto*//*Label 31771*/ GIMT_Encode4(2316696), // Rule ID 55020 //
     /* 2316656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2316659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316671 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2316674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316680 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316695 */     // GIR_Coverage, 55020,
     /* 2316695 */     GIR_EraseRootFromParent_Done,
     /* 2316696 */   // Label 31771: @2316696
     /* 2316696 */   GIM_Try, /*On fail goto*//*Label 31772*/ GIMT_Encode4(2316741), // Rule ID 55021 //
     /* 2316701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2316704 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316708 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316712 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2316716 */     // (fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2316719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316723 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2316725 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2316727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2316736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316740 */     // GIR_Coverage, 55021,
     /* 2316740 */     GIR_EraseRootFromParent_Done,
     /* 2316741 */   // Label 31772: @2316741
     /* 2316741 */   GIM_Reject,
     /* 2316742 */ // Label 31760: @2316742
     /* 2316742 */ GIM_Reject,
     /* 2316743 */ // Label 31592: @2316743
     /* 2316743 */ GIM_Try, /*On fail goto*//*Label 31773*/ GIMT_Encode4(2317532),
     /* 2316748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316751 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2316754 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2316757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316761 */   GIM_Try, /*On fail goto*//*Label 31774*/ GIMT_Encode4(2316838), // Rule ID 55412 //
     /* 2316766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2316769 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316773 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316777 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316781 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316790 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316794 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316798 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316802 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316807 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316809 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2316812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316816 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316820 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316837 */     // GIR_Coverage, 55412,
     /* 2316837 */     GIR_EraseRootFromParent_Done,
     /* 2316838 */   // Label 31774: @2316838
     /* 2316838 */   GIM_Try, /*On fail goto*//*Label 31775*/ GIMT_Encode4(2316915), // Rule ID 55413 //
     /* 2316843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2316846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2316850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316854 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316858 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316863 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316867 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316871 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316875 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316879 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316884 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316886 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2316886 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2316889 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316891 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2316893 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316913 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316914 */     // GIR_Coverage, 55413,
     /* 2316914 */     GIR_EraseRootFromParent_Done,
     /* 2316915 */   // Label 31775: @2316915
     /* 2316915 */   GIM_Try, /*On fail goto*//*Label 31776*/ GIMT_Encode4(2316992), // Rule ID 72898 //
     /* 2316920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2316923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316927 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2316931 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316935 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316939 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316944 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2316948 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2316952 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2316956 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2316961 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2316963 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2316963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2316966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2316968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2316970 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2316974 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2316978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2316981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2316984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2316987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2316990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2316991 */     // GIR_Coverage, 72898,
     /* 2316991 */     GIR_EraseRootFromParent_Done,
     /* 2316992 */   // Label 31776: @2316992
     /* 2316992 */   GIM_Try, /*On fail goto*//*Label 31777*/ GIMT_Encode4(2317069), // Rule ID 72899 //
     /* 2316997 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317000 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317004 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317008 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317012 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317016 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317021 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317025 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317029 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317033 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317038 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317040 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2317043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317047 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317051 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317068 */     // GIR_Coverage, 72899,
     /* 2317068 */     GIR_EraseRootFromParent_Done,
     /* 2317069 */   // Label 31777: @2317069
     /* 2317069 */   GIM_Try, /*On fail goto*//*Label 31778*/ GIMT_Encode4(2317131), // Rule ID 55416 //
     /* 2317074 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317094 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317098 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317102 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317104 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317104 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2317107 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317130 */     // GIR_Coverage, 55416,
     /* 2317130 */     GIR_EraseRootFromParent_Done,
     /* 2317131 */   // Label 31778: @2317131
     /* 2317131 */   GIM_Try, /*On fail goto*//*Label 31779*/ GIMT_Encode4(2317193), // Rule ID 55417 //
     /* 2317136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317160 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317166 */     // (fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2317169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317171 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317173 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317192 */     // GIR_Coverage, 55417,
     /* 2317192 */     GIR_EraseRootFromParent_Done,
     /* 2317193 */   // Label 31779: @2317193
     /* 2317193 */   GIM_Try, /*On fail goto*//*Label 31780*/ GIMT_Encode4(2317255), // Rule ID 72902 //
     /* 2317198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317201 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317228 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2317231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317235 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317239 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317254 */     // GIR_Coverage, 72902,
     /* 2317254 */     GIR_EraseRootFromParent_Done,
     /* 2317255 */   // Label 31780: @2317255
     /* 2317255 */   GIM_Try, /*On fail goto*//*Label 31781*/ GIMT_Encode4(2317317), // Rule ID 72903 //
     /* 2317260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317284 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317288 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317290 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2317293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317297 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317301 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317316 */     // GIR_Coverage, 72903,
     /* 2317316 */     GIR_EraseRootFromParent_Done,
     /* 2317317 */   // Label 31781: @2317317
     /* 2317317 */   GIM_Try, /*On fail goto*//*Label 31782*/ GIMT_Encode4(2317379), // Rule ID 55408 //
     /* 2317322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317333 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317337 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317341 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317345 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317350 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317352 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317352 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2317355 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317357 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317359 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317361 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2317365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317378 */     // GIR_Coverage, 55408,
     /* 2317378 */     GIR_EraseRootFromParent_Done,
     /* 2317379 */   // Label 31782: @2317379
     /* 2317379 */   GIM_Try, /*On fail goto*//*Label 31783*/ GIMT_Encode4(2317441), // Rule ID 55409 //
     /* 2317384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317391 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317395 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2317399 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317403 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2317407 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317412 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317414 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2317417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2317427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317440 */     // GIR_Coverage, 55409,
     /* 2317440 */     GIR_EraseRootFromParent_Done,
     /* 2317441 */   // Label 31783: @2317441
     /* 2317441 */   GIM_Try, /*On fail goto*//*Label 31784*/ GIMT_Encode4(2317486), // Rule ID 55404 //
     /* 2317446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2317449 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317453 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317457 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317461 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2317464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317470 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317484 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317485 */     // GIR_Coverage, 55404,
     /* 2317485 */     GIR_EraseRootFromParent_Done,
     /* 2317486 */   // Label 31784: @2317486
     /* 2317486 */   GIM_Try, /*On fail goto*//*Label 31785*/ GIMT_Encode4(2317531), // Rule ID 55405 //
     /* 2317491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2317494 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317498 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317502 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2317506 */     // (fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2317509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2317515 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2317526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317530 */     // GIR_Coverage, 55405,
     /* 2317530 */     GIR_EraseRootFromParent_Done,
     /* 2317531 */   // Label 31785: @2317531
     /* 2317531 */   GIM_Reject,
     /* 2317532 */ // Label 31773: @2317532
     /* 2317532 */ GIM_Reject,
     /* 2317533 */ // Label 31593: @2317533
     /* 2317533 */ GIM_Try, /*On fail goto*//*Label 31786*/ GIMT_Encode4(2318322),
     /* 2317538 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317541 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2317544 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2317547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317551 */   GIM_Try, /*On fail goto*//*Label 31787*/ GIMT_Encode4(2317628), // Rule ID 55668 //
     /* 2317556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2317559 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317563 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317567 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317571 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317576 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317580 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317584 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317588 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317592 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317597 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317599 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2317602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317604 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317606 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317610 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317626 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317627 */     // GIR_Coverage, 55668,
     /* 2317627 */     GIR_EraseRootFromParent_Done,
     /* 2317628 */   // Label 31787: @2317628
     /* 2317628 */   GIM_Try, /*On fail goto*//*Label 31788*/ GIMT_Encode4(2317705), // Rule ID 55669 //
     /* 2317633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2317636 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317640 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317644 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317648 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317653 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317657 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317661 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317665 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317669 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317674 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317676 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317676 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2317679 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317704 */     // GIR_Coverage, 55669,
     /* 2317704 */     GIR_EraseRootFromParent_Done,
     /* 2317705 */   // Label 31788: @2317705
     /* 2317705 */   GIM_Try, /*On fail goto*//*Label 31789*/ GIMT_Encode4(2317782), // Rule ID 73122 //
     /* 2317710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2317713 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317725 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317729 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317734 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317738 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317742 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317746 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317751 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317753 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2317756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317760 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317764 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317781 */     // GIR_Coverage, 73122,
     /* 2317781 */     GIR_EraseRootFromParent_Done,
     /* 2317782 */   // Label 31789: @2317782
     /* 2317782 */   GIM_Try, /*On fail goto*//*Label 31790*/ GIMT_Encode4(2317859), // Rule ID 73123 //
     /* 2317787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2317790 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317802 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317806 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317811 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2317815 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317819 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317823 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317828 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2317830 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317830 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2317833 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2317837 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317841 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2317845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317857 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317858 */     // GIR_Coverage, 73123,
     /* 2317858 */     GIR_EraseRootFromParent_Done,
     /* 2317859 */   // Label 31790: @2317859
     /* 2317859 */   GIM_Try, /*On fail goto*//*Label 31791*/ GIMT_Encode4(2317921), // Rule ID 55672 //
     /* 2317864 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2317867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317884 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317888 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317892 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317894 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2317894 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2317897 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317899 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317920 */     // GIR_Coverage, 55672,
     /* 2317920 */     GIR_EraseRootFromParent_Done,
     /* 2317921 */   // Label 31791: @2317921
     /* 2317921 */   GIM_Try, /*On fail goto*//*Label 31792*/ GIMT_Encode4(2317983), // Rule ID 55673 //
     /* 2317926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2317929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2317933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2317937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2317941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317950 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317954 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2317956 */     // (fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2317956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2317959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2317961 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2317963 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2317967 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2317969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2317972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2317975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2317978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2317981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2317982 */     // GIR_Coverage, 55673,
     /* 2317982 */     GIR_EraseRootFromParent_Done,
     /* 2317983 */   // Label 31792: @2317983
     /* 2317983 */   GIM_Try, /*On fail goto*//*Label 31793*/ GIMT_Encode4(2318045), // Rule ID 73126 //
     /* 2317988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2317991 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2317995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2317999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318012 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318016 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318018 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2318021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318025 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318029 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318044 */     // GIR_Coverage, 73126,
     /* 2318044 */     GIR_EraseRootFromParent_Done,
     /* 2318045 */   // Label 31793: @2318045
     /* 2318045 */   GIM_Try, /*On fail goto*//*Label 31794*/ GIMT_Encode4(2318107), // Rule ID 73127 //
     /* 2318050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2318053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318074 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318078 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318080 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2318083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318087 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318091 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318106 */     // GIR_Coverage, 73127,
     /* 2318106 */     GIR_EraseRootFromParent_Done,
     /* 2318107 */   // Label 31794: @2318107
     /* 2318107 */   GIM_Try, /*On fail goto*//*Label 31795*/ GIMT_Encode4(2318169), // Rule ID 55664 //
     /* 2318112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2318115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318123 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318127 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318131 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318135 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318140 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318142 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318142 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2318145 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318151 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2318155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318168 */     // GIR_Coverage, 55664,
     /* 2318168 */     GIR_EraseRootFromParent_Done,
     /* 2318169 */   // Label 31795: @2318169
     /* 2318169 */   GIM_Try, /*On fail goto*//*Label 31796*/ GIMT_Encode4(2318231), // Rule ID 55665 //
     /* 2318174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2318177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318185 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318189 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318193 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2318197 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318202 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318204 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2318207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318209 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318213 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2318217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318230 */     // GIR_Coverage, 55665,
     /* 2318230 */     GIR_EraseRootFromParent_Done,
     /* 2318231 */   // Label 31796: @2318231
     /* 2318231 */   GIM_Try, /*On fail goto*//*Label 31797*/ GIMT_Encode4(2318276), // Rule ID 55660 //
     /* 2318236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2318239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318247 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318251 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318251 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2318254 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318258 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318260 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318275 */     // GIR_Coverage, 55660,
     /* 2318275 */     GIR_EraseRootFromParent_Done,
     /* 2318276 */   // Label 31797: @2318276
     /* 2318276 */   GIM_Try, /*On fail goto*//*Label 31798*/ GIMT_Encode4(2318321), // Rule ID 55661 //
     /* 2318281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2318284 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318288 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318292 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2318296 */     // (fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2318299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318303 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318305 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2318316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318319 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318320 */     // GIR_Coverage, 55661,
     /* 2318320 */     GIR_EraseRootFromParent_Done,
     /* 2318321 */   // Label 31798: @2318321
     /* 2318321 */   GIM_Reject,
     /* 2318322 */ // Label 31786: @2318322
     /* 2318322 */ GIM_Reject,
     /* 2318323 */ // Label 31594: @2318323
     /* 2318323 */ GIM_Try, /*On fail goto*//*Label 31799*/ GIMT_Encode4(2319112),
     /* 2318328 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318331 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2318334 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2318337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318341 */   GIM_Try, /*On fail goto*//*Label 31800*/ GIMT_Encode4(2318418), // Rule ID 55220 //
     /* 2318346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2318349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318370 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2318374 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318378 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318382 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318387 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2318389 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2318392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318394 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318400 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318417 */     // GIR_Coverage, 55220,
     /* 2318417 */     GIR_EraseRootFromParent_Done,
     /* 2318418 */   // Label 31800: @2318418
     /* 2318418 */   GIM_Try, /*On fail goto*//*Label 31801*/ GIMT_Encode4(2318495), // Rule ID 55221 //
     /* 2318423 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2318426 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318430 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318434 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318438 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318443 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318447 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2318451 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318455 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318459 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318464 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2318466 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2318469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318471 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318473 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318493 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318494 */     // GIR_Coverage, 55221,
     /* 2318494 */     GIR_EraseRootFromParent_Done,
     /* 2318495 */   // Label 31801: @2318495
     /* 2318495 */   GIM_Try, /*On fail goto*//*Label 31802*/ GIMT_Encode4(2318572), // Rule ID 72730 //
     /* 2318500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2318503 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318507 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318511 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318515 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318519 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318524 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2318528 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318532 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318536 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318541 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2318543 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2318546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318550 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318554 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318571 */     // GIR_Coverage, 72730,
     /* 2318571 */     GIR_EraseRootFromParent_Done,
     /* 2318572 */   // Label 31802: @2318572
     /* 2318572 */   GIM_Try, /*On fail goto*//*Label 31803*/ GIMT_Encode4(2318649), // Rule ID 72731 //
     /* 2318577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2318580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318584 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318588 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318592 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318596 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318601 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2318605 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318609 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318613 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318618 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2318620 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2318623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318631 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2318635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318648 */     // GIR_Coverage, 72731,
     /* 2318648 */     GIR_EraseRootFromParent_Done,
     /* 2318649 */   // Label 31803: @2318649
     /* 2318649 */   GIM_Try, /*On fail goto*//*Label 31804*/ GIMT_Encode4(2318711), // Rule ID 55224 //
     /* 2318654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2318657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318674 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318678 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318682 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318684 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2318687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318689 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318691 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318710 */     // GIR_Coverage, 55224,
     /* 2318710 */     GIR_EraseRootFromParent_Done,
     /* 2318711 */   // Label 31804: @2318711
     /* 2318711 */   GIM_Try, /*On fail goto*//*Label 31805*/ GIMT_Encode4(2318773), // Rule ID 55225 //
     /* 2318716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2318719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2318723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318740 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318744 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318746 */     // (fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2318749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318753 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318757 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318772 */     // GIR_Coverage, 55225,
     /* 2318772 */     GIR_EraseRootFromParent_Done,
     /* 2318773 */   // Label 31805: @2318773
     /* 2318773 */   GIM_Try, /*On fail goto*//*Label 31806*/ GIMT_Encode4(2318835), // Rule ID 72734 //
     /* 2318778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2318781 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318802 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318806 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318808 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318808 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2318811 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318815 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318819 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318834 */     // GIR_Coverage, 72734,
     /* 2318834 */     GIR_EraseRootFromParent_Done,
     /* 2318835 */   // Label 31806: @2318835
     /* 2318835 */   GIM_Try, /*On fail goto*//*Label 31807*/ GIMT_Encode4(2318897), // Rule ID 72735 //
     /* 2318840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2318843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2318851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318870 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2318873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2318877 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2318881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2318883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318896 */     // GIR_Coverage, 72735,
     /* 2318896 */     GIR_EraseRootFromParent_Done,
     /* 2318897 */   // Label 31807: @2318897
     /* 2318897 */   GIM_Try, /*On fail goto*//*Label 31808*/ GIMT_Encode4(2318959), // Rule ID 55216 //
     /* 2318902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2318905 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318909 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318932 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2318932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2318935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2318939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2318941 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2318945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2318948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2318951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2318954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2318957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2318958 */     // GIR_Coverage, 55216,
     /* 2318958 */     GIR_EraseRootFromParent_Done,
     /* 2318959 */   // Label 31808: @2318959
     /* 2318959 */   GIM_Try, /*On fail goto*//*Label 31809*/ GIMT_Encode4(2319021), // Rule ID 55217 //
     /* 2318964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2318967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318975 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2318979 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2318983 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2318987 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2318992 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2318994 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2318994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2318997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2318999 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319003 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2319007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319020 */     // GIR_Coverage, 55217,
     /* 2319020 */     GIR_EraseRootFromParent_Done,
     /* 2319021 */   // Label 31809: @2319021
     /* 2319021 */   GIM_Try, /*On fail goto*//*Label 31810*/ GIMT_Encode4(2319066), // Rule ID 55212 //
     /* 2319026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2319029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319041 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2319044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319046 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319050 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319065 */     // GIR_Coverage, 55212,
     /* 2319065 */     GIR_EraseRootFromParent_Done,
     /* 2319066 */   // Label 31810: @2319066
     /* 2319066 */   GIM_Try, /*On fail goto*//*Label 31811*/ GIMT_Encode4(2319111), // Rule ID 55213 //
     /* 2319071 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2319074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319082 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2319086 */     // (fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2319089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319095 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2319106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319110 */     // GIR_Coverage, 55213,
     /* 2319110 */     GIR_EraseRootFromParent_Done,
     /* 2319111 */   // Label 31811: @2319111
     /* 2319111 */   GIM_Reject,
     /* 2319112 */ // Label 31799: @2319112
     /* 2319112 */ GIM_Reject,
     /* 2319113 */ // Label 31595: @2319113
     /* 2319113 */ GIM_Try, /*On fail goto*//*Label 31812*/ GIMT_Encode4(2319902),
     /* 2319118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2319124 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2319127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319131 */   GIM_Try, /*On fail goto*//*Label 31813*/ GIMT_Encode4(2319208), // Rule ID 55476 //
     /* 2319136 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2319139 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319143 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319147 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319151 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319156 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319160 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319164 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319168 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319172 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319177 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319179 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2319182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319186 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319190 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319206 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319207 */     // GIR_Coverage, 55476,
     /* 2319207 */     GIR_EraseRootFromParent_Done,
     /* 2319208 */   // Label 31813: @2319208
     /* 2319208 */   GIM_Try, /*On fail goto*//*Label 31814*/ GIMT_Encode4(2319285), // Rule ID 55477 //
     /* 2319213 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2319216 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319220 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319224 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319228 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319233 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319237 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319241 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319245 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319249 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319254 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319256 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2319259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319263 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319284 */     // GIR_Coverage, 55477,
     /* 2319284 */     GIR_EraseRootFromParent_Done,
     /* 2319285 */   // Label 31814: @2319285
     /* 2319285 */   GIM_Try, /*On fail goto*//*Label 31815*/ GIMT_Encode4(2319362), // Rule ID 72954 //
     /* 2319290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2319293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319297 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319301 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319305 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319309 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319314 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319318 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319322 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319326 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319331 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319333 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2319336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319340 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319344 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319360 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319361 */     // GIR_Coverage, 72954,
     /* 2319361 */     GIR_EraseRootFromParent_Done,
     /* 2319362 */   // Label 31815: @2319362
     /* 2319362 */   GIM_Try, /*On fail goto*//*Label 31816*/ GIMT_Encode4(2319439), // Rule ID 72955 //
     /* 2319367 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2319370 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319374 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319378 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319382 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319386 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319391 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319395 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319399 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319403 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319408 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319410 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2319413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319415 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319417 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319421 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319437 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319438 */     // GIR_Coverage, 72955,
     /* 2319438 */     GIR_EraseRootFromParent_Done,
     /* 2319439 */   // Label 31816: @2319439
     /* 2319439 */   GIM_Try, /*On fail goto*//*Label 31817*/ GIMT_Encode4(2319501), // Rule ID 55480 //
     /* 2319444 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2319447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319468 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319472 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319474 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319474 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2319477 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319479 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319481 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319500 */     // GIR_Coverage, 55480,
     /* 2319500 */     GIR_EraseRootFromParent_Done,
     /* 2319501 */   // Label 31817: @2319501
     /* 2319501 */   GIM_Try, /*On fail goto*//*Label 31818*/ GIMT_Encode4(2319563), // Rule ID 55481 //
     /* 2319506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2319509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319530 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319534 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319536 */     // (fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2319539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319541 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319543 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319562 */     // GIR_Coverage, 55481,
     /* 2319562 */     GIR_EraseRootFromParent_Done,
     /* 2319563 */   // Label 31818: @2319563
     /* 2319563 */   GIM_Try, /*On fail goto*//*Label 31819*/ GIMT_Encode4(2319625), // Rule ID 72958 //
     /* 2319568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2319571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319592 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319596 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319598 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319598 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2319601 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319603 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319605 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319609 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319624 */     // GIR_Coverage, 72958,
     /* 2319624 */     GIR_EraseRootFromParent_Done,
     /* 2319625 */   // Label 31819: @2319625
     /* 2319625 */   GIM_Try, /*On fail goto*//*Label 31820*/ GIMT_Encode4(2319687), // Rule ID 72959 //
     /* 2319630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2319633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2319641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319654 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319658 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319660 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2319663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2319667 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319671 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319686 */     // GIR_Coverage, 72959,
     /* 2319686 */     GIR_EraseRootFromParent_Done,
     /* 2319687 */   // Label 31820: @2319687
     /* 2319687 */   GIM_Try, /*On fail goto*//*Label 31821*/ GIMT_Encode4(2319749), // Rule ID 55472 //
     /* 2319692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2319695 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319699 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319703 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319707 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319711 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319715 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319722 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2319725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319727 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319731 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2319735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319748 */     // GIR_Coverage, 55472,
     /* 2319748 */     GIR_EraseRootFromParent_Done,
     /* 2319749 */   // Label 31821: @2319749
     /* 2319749 */   GIM_Try, /*On fail goto*//*Label 31822*/ GIMT_Encode4(2319811), // Rule ID 55473 //
     /* 2319754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2319757 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319761 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319765 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2319769 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319773 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2319777 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2319784 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2319787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319789 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319793 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2319797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319810 */     // GIR_Coverage, 55473,
     /* 2319810 */     GIR_EraseRootFromParent_Done,
     /* 2319811 */   // Label 31822: @2319811
     /* 2319811 */   GIM_Try, /*On fail goto*//*Label 31823*/ GIMT_Encode4(2319856), // Rule ID 55468 //
     /* 2319816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2319819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319827 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319831 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319831 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2319834 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319838 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319840 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319855 */     // GIR_Coverage, 55468,
     /* 2319855 */     GIR_EraseRootFromParent_Done,
     /* 2319856 */   // Label 31823: @2319856
     /* 2319856 */   GIM_Try, /*On fail goto*//*Label 31824*/ GIMT_Encode4(2319901), // Rule ID 55469 //
     /* 2319861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2319864 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319868 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319872 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2319876 */     // (fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2319876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2319879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2319885 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2319887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2319896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319900 */     // GIR_Coverage, 55469,
     /* 2319900 */     GIR_EraseRootFromParent_Done,
     /* 2319901 */   // Label 31824: @2319901
     /* 2319901 */   GIM_Reject,
     /* 2319902 */ // Label 31812: @2319902
     /* 2319902 */ GIM_Reject,
     /* 2319903 */ // Label 31596: @2319903
     /* 2319903 */ GIM_Try, /*On fail goto*//*Label 31825*/ GIMT_Encode4(2320692),
     /* 2319908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2319914 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2319917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319921 */   GIM_Try, /*On fail goto*//*Label 31826*/ GIMT_Encode4(2319998), // Rule ID 55732 //
     /* 2319926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2319929 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2319933 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319937 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319941 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319946 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319950 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2319954 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2319958 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2319962 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2319967 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2319969 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2319969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2319972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2319974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2319976 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2319980 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2319984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2319987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2319990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2319993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2319996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2319997 */     // GIR_Coverage, 55732,
     /* 2319997 */     GIR_EraseRootFromParent_Done,
     /* 2319998 */   // Label 31826: @2319998
     /* 2319998 */   GIM_Try, /*On fail goto*//*Label 31827*/ GIMT_Encode4(2320075), // Rule ID 55733 //
     /* 2320003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2320006 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320010 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320014 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320018 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320027 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320031 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320035 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320039 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320044 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320046 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2320049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320053 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320074 */     // GIR_Coverage, 55733,
     /* 2320074 */     GIR_EraseRootFromParent_Done,
     /* 2320075 */   // Label 31827: @2320075
     /* 2320075 */   GIM_Try, /*On fail goto*//*Label 31828*/ GIMT_Encode4(2320152), // Rule ID 73178 //
     /* 2320080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2320083 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320087 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320091 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320095 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320099 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320104 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320108 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320112 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320116 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320121 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320123 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2320126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320130 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320134 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320151 */     // GIR_Coverage, 73178,
     /* 2320151 */     GIR_EraseRootFromParent_Done,
     /* 2320152 */   // Label 31828: @2320152
     /* 2320152 */   GIM_Try, /*On fail goto*//*Label 31829*/ GIMT_Encode4(2320229), // Rule ID 73179 //
     /* 2320157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2320160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320181 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320185 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320189 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320193 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320198 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320200 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2320203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320228 */     // GIR_Coverage, 73179,
     /* 2320228 */     GIR_EraseRootFromParent_Done,
     /* 2320229 */   // Label 31829: @2320229
     /* 2320229 */   GIM_Try, /*On fail goto*//*Label 31830*/ GIMT_Encode4(2320291), // Rule ID 55736 //
     /* 2320234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2320237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320254 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320258 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320262 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320264 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2320267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320269 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320271 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320290 */     // GIR_Coverage, 55736,
     /* 2320290 */     GIR_EraseRootFromParent_Done,
     /* 2320291 */   // Label 31830: @2320291
     /* 2320291 */   GIM_Try, /*On fail goto*//*Label 31831*/ GIMT_Encode4(2320353), // Rule ID 55737 //
     /* 2320296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2320299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320320 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320324 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320326 */     // (fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2320329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320337 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320352 */     // GIR_Coverage, 55737,
     /* 2320352 */     GIR_EraseRootFromParent_Done,
     /* 2320353 */   // Label 31831: @2320353
     /* 2320353 */   GIM_Try, /*On fail goto*//*Label 31832*/ GIMT_Encode4(2320415), // Rule ID 73182 //
     /* 2320358 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2320361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320382 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320388 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2320391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320395 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320414 */     // GIR_Coverage, 73182,
     /* 2320414 */     GIR_EraseRootFromParent_Done,
     /* 2320415 */   // Label 31832: @2320415
     /* 2320415 */   GIM_Try, /*On fail goto*//*Label 31833*/ GIMT_Encode4(2320477), // Rule ID 73183 //
     /* 2320420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2320423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320450 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2320453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320457 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320476 */     // GIR_Coverage, 73183,
     /* 2320476 */     GIR_EraseRootFromParent_Done,
     /* 2320477 */   // Label 31833: @2320477
     /* 2320477 */   GIM_Try, /*On fail goto*//*Label 31834*/ GIMT_Encode4(2320539), // Rule ID 55728 //
     /* 2320482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2320485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320493 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320497 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320501 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320505 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320510 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320512 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2320515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320521 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2320525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320538 */     // GIR_Coverage, 55728,
     /* 2320538 */     GIR_EraseRootFromParent_Done,
     /* 2320539 */   // Label 31834: @2320539
     /* 2320539 */   GIM_Try, /*On fail goto*//*Label 31835*/ GIMT_Encode4(2320601), // Rule ID 55729 //
     /* 2320544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2320547 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320551 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320555 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2320559 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320563 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2320567 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320572 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2320574 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2320577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320583 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2320587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320600 */     // GIR_Coverage, 55729,
     /* 2320600 */     GIR_EraseRootFromParent_Done,
     /* 2320601 */   // Label 31835: @2320601
     /* 2320601 */   GIM_Try, /*On fail goto*//*Label 31836*/ GIMT_Encode4(2320646), // Rule ID 55724 //
     /* 2320606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2320609 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320613 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320617 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320621 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2320624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320630 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320645 */     // GIR_Coverage, 55724,
     /* 2320645 */     GIR_EraseRootFromParent_Done,
     /* 2320646 */   // Label 31836: @2320646
     /* 2320646 */   GIM_Try, /*On fail goto*//*Label 31837*/ GIMT_Encode4(2320691), // Rule ID 55725 //
     /* 2320651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2320654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2320666 */     // (fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2320669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2320675 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2320677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2320686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320690 */     // GIR_Coverage, 55725,
     /* 2320690 */     GIR_EraseRootFromParent_Done,
     /* 2320691 */   // Label 31837: @2320691
     /* 2320691 */   GIM_Reject,
     /* 2320692 */ // Label 31825: @2320692
     /* 2320692 */ GIM_Reject,
     /* 2320693 */ // Label 31597: @2320693
     /* 2320693 */ GIM_Try, /*On fail goto*//*Label 31838*/ GIMT_Encode4(2321482),
     /* 2320698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2320704 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2320707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320711 */   GIM_Try, /*On fail goto*//*Label 31839*/ GIMT_Encode4(2320788), // Rule ID 55284 //
     /* 2320716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2320719 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320723 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320727 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320731 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320740 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320744 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320748 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320752 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320757 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320759 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320759 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2320762 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320766 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320770 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320787 */     // GIR_Coverage, 55284,
     /* 2320787 */     GIR_EraseRootFromParent_Done,
     /* 2320788 */   // Label 31839: @2320788
     /* 2320788 */   GIM_Try, /*On fail goto*//*Label 31840*/ GIMT_Encode4(2320865), // Rule ID 55285 //
     /* 2320793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2320796 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2320800 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320804 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320808 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320817 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320821 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320825 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320829 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320834 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320836 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2320839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320841 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2320843 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320863 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320864 */     // GIR_Coverage, 55285,
     /* 2320864 */     GIR_EraseRootFromParent_Done,
     /* 2320865 */   // Label 31840: @2320865
     /* 2320865 */   GIM_Try, /*On fail goto*//*Label 31841*/ GIMT_Encode4(2320942), // Rule ID 72786 //
     /* 2320870 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2320873 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320885 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320889 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320894 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320898 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320902 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320906 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320911 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320913 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2320913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2320916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320920 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2320924 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2320928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2320931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2320934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2320937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2320940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2320941 */     // GIR_Coverage, 72786,
     /* 2320941 */     GIR_EraseRootFromParent_Done,
     /* 2320942 */   // Label 31841: @2320942
     /* 2320942 */   GIM_Try, /*On fail goto*//*Label 31842*/ GIMT_Encode4(2321019), // Rule ID 72787 //
     /* 2320947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2320950 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2320958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320962 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320966 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320971 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2320975 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2320979 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2320983 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2320988 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2320990 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2320990 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2320993 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2320995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2320997 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321001 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2321005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321018 */     // GIR_Coverage, 72787,
     /* 2321018 */     GIR_EraseRootFromParent_Done,
     /* 2321019 */   // Label 31842: @2321019
     /* 2321019 */   GIM_Try, /*On fail goto*//*Label 31843*/ GIMT_Encode4(2321081), // Rule ID 55288 //
     /* 2321024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2321031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2321039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321052 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321054 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321054 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2321057 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321059 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321061 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321080 */     // GIR_Coverage, 55288,
     /* 2321080 */     GIR_EraseRootFromParent_Done,
     /* 2321081 */   // Label 31843: @2321081
     /* 2321081 */   GIM_Try, /*On fail goto*//*Label 31844*/ GIMT_Encode4(2321143), // Rule ID 55289 //
     /* 2321086 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321089 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2321093 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321097 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2321101 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321106 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321110 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321114 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321116 */     // (fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2321119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321127 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321142 */     // GIR_Coverage, 55289,
     /* 2321142 */     GIR_EraseRootFromParent_Done,
     /* 2321143 */   // Label 31844: @2321143
     /* 2321143 */   GIM_Try, /*On fail goto*//*Label 31845*/ GIMT_Encode4(2321205), // Rule ID 72790 //
     /* 2321148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2321167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321172 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321178 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2321181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321183 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321185 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321189 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321204 */     // GIR_Coverage, 72790,
     /* 2321204 */     GIR_EraseRootFromParent_Done,
     /* 2321205 */   // Label 31845: @2321205
     /* 2321205 */   GIM_Try, /*On fail goto*//*Label 31846*/ GIMT_Encode4(2321267), // Rule ID 72791 //
     /* 2321210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321217 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321221 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321225 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2321229 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321234 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321238 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321240 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2321243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321247 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321251 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321266 */     // GIR_Coverage, 72791,
     /* 2321266 */     GIR_EraseRootFromParent_Done,
     /* 2321267 */   // Label 31846: @2321267
     /* 2321267 */   GIM_Try, /*On fail goto*//*Label 31847*/ GIMT_Encode4(2321329), // Rule ID 55280 //
     /* 2321272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321275 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321283 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321287 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321291 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2321295 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321300 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321302 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2321305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321311 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2321315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321328 */     // GIR_Coverage, 55280,
     /* 2321328 */     GIR_EraseRootFromParent_Done,
     /* 2321329 */   // Label 31847: @2321329
     /* 2321329 */   GIM_Try, /*On fail goto*//*Label 31848*/ GIMT_Encode4(2321391), // Rule ID 55281 //
     /* 2321334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321337 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321341 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2321349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2321357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321364 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321364 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2321367 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321373 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2321377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321390 */     // GIR_Coverage, 55281,
     /* 2321390 */     GIR_EraseRootFromParent_Done,
     /* 2321391 */   // Label 31848: @2321391
     /* 2321391 */   GIM_Try, /*On fail goto*//*Label 31849*/ GIMT_Encode4(2321436), // Rule ID 55276 //
     /* 2321396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2321399 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321403 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321407 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321411 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2321414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321418 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321420 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321422 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321434 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321435 */     // GIR_Coverage, 55276,
     /* 2321435 */     GIR_EraseRootFromParent_Done,
     /* 2321436 */   // Label 31849: @2321436
     /* 2321436 */   GIM_Try, /*On fail goto*//*Label 31850*/ GIMT_Encode4(2321481), // Rule ID 55277 //
     /* 2321441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2321444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2321456 */     // (fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2321459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321461 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2321465 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2321476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321480 */     // GIR_Coverage, 55277,
     /* 2321480 */     GIR_EraseRootFromParent_Done,
     /* 2321481 */   // Label 31850: @2321481
     /* 2321481 */   GIM_Reject,
     /* 2321482 */ // Label 31838: @2321482
     /* 2321482 */ GIM_Reject,
     /* 2321483 */ // Label 31598: @2321483
     /* 2321483 */ GIM_Try, /*On fail goto*//*Label 31851*/ GIMT_Encode4(2322272),
     /* 2321488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321491 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2321494 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2321497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321501 */   GIM_Try, /*On fail goto*//*Label 31852*/ GIMT_Encode4(2321578), // Rule ID 55540 //
     /* 2321506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2321509 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2321513 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321517 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321521 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321530 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2321534 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321538 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321542 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321547 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2321549 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2321552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321556 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321560 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2321564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321576 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321577 */     // GIR_Coverage, 55540,
     /* 2321577 */     GIR_EraseRootFromParent_Done,
     /* 2321578 */   // Label 31852: @2321578
     /* 2321578 */   GIM_Try, /*On fail goto*//*Label 31853*/ GIMT_Encode4(2321655), // Rule ID 55541 //
     /* 2321583 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2321586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2321590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321603 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321607 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2321611 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321615 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321619 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321624 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2321626 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2321629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321631 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321633 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2321641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321654 */     // GIR_Coverage, 55541,
     /* 2321654 */     GIR_EraseRootFromParent_Done,
     /* 2321655 */   // Label 31853: @2321655
     /* 2321655 */   GIM_Try, /*On fail goto*//*Label 31854*/ GIMT_Encode4(2321732), // Rule ID 73010 //
     /* 2321660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2321663 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321667 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321671 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321675 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321679 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321684 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2321688 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321692 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321696 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321701 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2321703 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2321706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321708 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321710 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321714 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2321718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321730 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321731 */     // GIR_Coverage, 73010,
     /* 2321731 */     GIR_EraseRootFromParent_Done,
     /* 2321732 */   // Label 31854: @2321732
     /* 2321732 */   GIM_Try, /*On fail goto*//*Label 31855*/ GIMT_Encode4(2321809), // Rule ID 73011 //
     /* 2321737 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2321740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321744 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321748 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321752 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321756 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321761 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2321765 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321769 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321773 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321778 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2321780 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2321783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321785 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321787 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321791 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2321795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321808 */     // GIR_Coverage, 73011,
     /* 2321808 */     GIR_EraseRootFromParent_Done,
     /* 2321809 */   // Label 31855: @2321809
     /* 2321809 */   GIM_Try, /*On fail goto*//*Label 31856*/ GIMT_Encode4(2321871), // Rule ID 55544 //
     /* 2321814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2321817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2321821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321838 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321842 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321844 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2321847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321851 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321870 */     // GIR_Coverage, 55544,
     /* 2321870 */     GIR_EraseRootFromParent_Done,
     /* 2321871 */   // Label 31856: @2321871
     /* 2321871 */   GIM_Try, /*On fail goto*//*Label 31857*/ GIMT_Encode4(2321933), // Rule ID 55545 //
     /* 2321876 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2321879 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2321883 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321887 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321891 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321896 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321900 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321906 */     // (fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2321906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2321909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2321913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321917 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321932 */     // GIR_Coverage, 55545,
     /* 2321932 */     GIR_EraseRootFromParent_Done,
     /* 2321933 */   // Label 31857: @2321933
     /* 2321933 */   GIM_Try, /*On fail goto*//*Label 31858*/ GIMT_Encode4(2321995), // Rule ID 73014 //
     /* 2321938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2321941 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2321949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2321953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2321957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321962 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2321966 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2321968 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2321968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2321971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2321973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2321975 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2321979 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2321981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2321984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2321987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2321990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2321993 */     GIR_RootConstrainSelectedInstOperands,
     /* 2321994 */     // GIR_Coverage, 73014,
     /* 2321994 */     GIR_EraseRootFromParent_Done,
     /* 2321995 */   // Label 31858: @2321995
     /* 2321995 */   GIM_Try, /*On fail goto*//*Label 31859*/ GIMT_Encode4(2322057), // Rule ID 73015 //
     /* 2322000 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2322003 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322007 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2322011 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322015 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2322019 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322024 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322028 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322030 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2322030 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2322033 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322037 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322041 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322056 */     // GIR_Coverage, 73015,
     /* 2322056 */     GIR_EraseRootFromParent_Done,
     /* 2322057 */   // Label 31859: @2322057
     /* 2322057 */   GIM_Try, /*On fail goto*//*Label 31860*/ GIMT_Encode4(2322119), // Rule ID 55536 //
     /* 2322062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2322065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322073 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322077 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322081 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2322085 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322090 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322092 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2322092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2322095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2322105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322118 */     // GIR_Coverage, 55536,
     /* 2322118 */     GIR_EraseRootFromParent_Done,
     /* 2322119 */   // Label 31860: @2322119
     /* 2322119 */   GIM_Try, /*On fail goto*//*Label 31861*/ GIMT_Encode4(2322181), // Rule ID 55537 //
     /* 2322124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2322127 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322131 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322135 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322139 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322143 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2322147 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322152 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322154 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2322154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2322157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322161 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322163 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2322167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322180 */     // GIR_Coverage, 55537,
     /* 2322180 */     GIR_EraseRootFromParent_Done,
     /* 2322181 */   // Label 31861: @2322181
     /* 2322181 */   GIM_Try, /*On fail goto*//*Label 31862*/ GIMT_Encode4(2322226), // Rule ID 55532 //
     /* 2322186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2322189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322201 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2322201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2322204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322206 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322210 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322225 */     // GIR_Coverage, 55532,
     /* 2322225 */     GIR_EraseRootFromParent_Done,
     /* 2322226 */   // Label 31862: @2322226
     /* 2322226 */   GIM_Try, /*On fail goto*//*Label 31863*/ GIMT_Encode4(2322271), // Rule ID 55533 //
     /* 2322231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2322234 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322238 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322246 */     // (fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2322246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2322249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2322266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322270 */     // GIR_Coverage, 55533,
     /* 2322270 */     GIR_EraseRootFromParent_Done,
     /* 2322271 */   // Label 31863: @2322271
     /* 2322271 */   GIM_Reject,
     /* 2322272 */ // Label 31851: @2322272
     /* 2322272 */ GIM_Reject,
     /* 2322273 */ // Label 31599: @2322273
     /* 2322273 */ GIM_Try, /*On fail goto*//*Label 31864*/ GIMT_Encode4(2323062),
     /* 2322278 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322281 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2322284 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2322287 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322291 */   GIM_Try, /*On fail goto*//*Label 31865*/ GIMT_Encode4(2322368), // Rule ID 55348 //
     /* 2322296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2322299 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2322303 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322307 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322311 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322316 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322320 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2322324 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322328 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322332 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322337 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2322339 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2322339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2322342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322346 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322350 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2322354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322367 */     // GIR_Coverage, 55348,
     /* 2322367 */     GIR_EraseRootFromParent_Done,
     /* 2322368 */   // Label 31865: @2322368
     /* 2322368 */   GIM_Try, /*On fail goto*//*Label 31866*/ GIMT_Encode4(2322445), // Rule ID 55349 //
     /* 2322373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2322376 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2322380 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322384 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322388 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322393 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322397 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2322401 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322405 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322409 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322414 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2322416 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2322416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2322419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322421 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322423 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2322431 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322434 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322444 */     // GIR_Coverage, 55349,
     /* 2322444 */     GIR_EraseRootFromParent_Done,
     /* 2322445 */   // Label 31866: @2322445
     /* 2322445 */   GIM_Try, /*On fail goto*//*Label 31867*/ GIMT_Encode4(2322522), // Rule ID 72842 //
     /* 2322450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2322453 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322457 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2322461 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322465 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322469 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322474 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2322478 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322482 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322486 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322491 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2322493 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2322493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2322496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322500 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322504 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2322508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322521 */     // GIR_Coverage, 72842,
     /* 2322521 */     GIR_EraseRootFromParent_Done,
     /* 2322522 */   // Label 31867: @2322522
     /* 2322522 */   GIM_Try, /*On fail goto*//*Label 31868*/ GIMT_Encode4(2322599), // Rule ID 72843 //
     /* 2322527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2322530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322534 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2322538 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322542 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322546 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322551 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2322555 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322559 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322563 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322568 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2322570 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2322570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2322573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322575 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322577 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322581 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2322585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322597 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322598 */     // GIR_Coverage, 72843,
     /* 2322598 */     GIR_EraseRootFromParent_Done,
     /* 2322599 */   // Label 31868: @2322599
     /* 2322599 */   GIM_Try, /*On fail goto*//*Label 31869*/ GIMT_Encode4(2322661), // Rule ID 55352 //
     /* 2322604 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2322607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2322611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322624 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322628 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322632 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322634 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2322634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2322637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322641 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322660 */     // GIR_Coverage, 55352,
     /* 2322660 */     GIR_EraseRootFromParent_Done,
     /* 2322661 */   // Label 31869: @2322661
     /* 2322661 */   GIM_Try, /*On fail goto*//*Label 31870*/ GIMT_Encode4(2322723), // Rule ID 55353 //
     /* 2322666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2322669 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2322673 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322677 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322681 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322690 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322694 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322696 */     // (fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2322696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2322699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322707 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322722 */     // GIR_Coverage, 55353,
     /* 2322722 */     GIR_EraseRootFromParent_Done,
     /* 2322723 */   // Label 31870: @2322723
     /* 2322723 */   GIM_Try, /*On fail goto*//*Label 31871*/ GIMT_Encode4(2322785), // Rule ID 72846 //
     /* 2322728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2322731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2322739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322752 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322756 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322758 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2322758 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2322761 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322765 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322784 */     // GIR_Coverage, 72846,
     /* 2322784 */     GIR_EraseRootFromParent_Done,
     /* 2322785 */   // Label 31871: @2322785
     /* 2322785 */   GIM_Try, /*On fail goto*//*Label 31872*/ GIMT_Encode4(2322847), // Rule ID 72847 //
     /* 2322790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2322793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322797 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2322801 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322805 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322809 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322818 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322820 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2322820 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2322823 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2322827 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2322831 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2322833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322846 */     // GIR_Coverage, 72847,
     /* 2322846 */     GIR_EraseRootFromParent_Done,
     /* 2322847 */   // Label 31872: @2322847
     /* 2322847 */   GIM_Try, /*On fail goto*//*Label 31873*/ GIMT_Encode4(2322909), // Rule ID 55344 //
     /* 2322852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2322855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322871 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322875 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322880 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322882 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2322882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2322885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322887 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322889 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322891 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2322895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322908 */     // GIR_Coverage, 55344,
     /* 2322908 */     GIR_EraseRootFromParent_Done,
     /* 2322909 */   // Label 31873: @2322909
     /* 2322909 */   GIM_Try, /*On fail goto*//*Label 31874*/ GIMT_Encode4(2322971), // Rule ID 55345 //
     /* 2322914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2322917 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322921 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2322929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2322933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2322937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2322944 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2322944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2322947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2322953 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2322957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2322960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2322963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2322966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2322969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2322970 */     // GIR_Coverage, 55345,
     /* 2322970 */     GIR_EraseRootFromParent_Done,
     /* 2322971 */   // Label 31874: @2322971
     /* 2322971 */   GIM_Try, /*On fail goto*//*Label 31875*/ GIMT_Encode4(2323016), // Rule ID 55340 //
     /* 2322976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2322979 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322987 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2322991 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2322991 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2322994 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2322996 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2322998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323000 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2323002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2323014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323015 */     // GIR_Coverage, 55340,
     /* 2323015 */     GIR_EraseRootFromParent_Done,
     /* 2323016 */   // Label 31875: @2323016
     /* 2323016 */   GIM_Try, /*On fail goto*//*Label 31876*/ GIMT_Encode4(2323061), // Rule ID 55341 //
     /* 2323021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2323024 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2323036 */     // (fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2323036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2323039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2323043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323045 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2323047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2323059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323060 */     // GIR_Coverage, 55341,
     /* 2323060 */     GIR_EraseRootFromParent_Done,
     /* 2323061 */   // Label 31876: @2323061
     /* 2323061 */   GIM_Reject,
     /* 2323062 */ // Label 31864: @2323062
     /* 2323062 */ GIM_Reject,
     /* 2323063 */ // Label 31600: @2323063
     /* 2323063 */ GIM_Reject,
     /* 2323064 */ // Label 63: @2323064
     /* 2323064 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31895*/ GIMT_Encode4(2325491),
     /* 2323075 */ /*GILLT_s16*//*Label 31877*/ GIMT_Encode4(2323195),
     /* 2323079 */ /*GILLT_s32*//*Label 31878*/ GIMT_Encode4(2323344),
     /* 2323083 */ /*GILLT_s64*//*Label 31879*/ GIMT_Encode4(2323493), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2323095 */ /*GILLT_nxv1s16*//*Label 31880*/ GIMT_Encode4(2323676),
     /* 2323099 */ /*GILLT_nxv1s32*//*Label 31881*/ GIMT_Encode4(2323797),
     /* 2323103 */ /*GILLT_nxv1s64*//*Label 31882*/ GIMT_Encode4(2323918), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2323115 */ /*GILLT_nxv2s16*//*Label 31883*/ GIMT_Encode4(2324039),
     /* 2323119 */ /*GILLT_nxv2s32*//*Label 31884*/ GIMT_Encode4(2324160),
     /* 2323123 */ /*GILLT_nxv2s64*//*Label 31885*/ GIMT_Encode4(2324281), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2323135 */ /*GILLT_nxv4s16*//*Label 31886*/ GIMT_Encode4(2324402),
     /* 2323139 */ /*GILLT_nxv4s32*//*Label 31887*/ GIMT_Encode4(2324523),
     /* 2323143 */ /*GILLT_nxv4s64*//*Label 31888*/ GIMT_Encode4(2324644), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2323155 */ /*GILLT_nxv8s16*//*Label 31889*/ GIMT_Encode4(2324765),
     /* 2323159 */ /*GILLT_nxv8s32*//*Label 31890*/ GIMT_Encode4(2324886),
     /* 2323163 */ /*GILLT_nxv8s64*//*Label 31891*/ GIMT_Encode4(2325007), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2323175 */ /*GILLT_nxv16s16*//*Label 31892*/ GIMT_Encode4(2325128),
     /* 2323179 */ /*GILLT_nxv16s32*//*Label 31893*/ GIMT_Encode4(2325249), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2323191 */ /*GILLT_nxv32s16*//*Label 31894*/ GIMT_Encode4(2325370),
     /* 2323195 */ // Label 31877: @2323195
     /* 2323195 */ GIM_Try, /*On fail goto*//*Label 31896*/ GIMT_Encode4(2323343),
     /* 2323200 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2323203 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2323206 */   GIM_Try, /*On fail goto*//*Label 31897*/ GIMT_Encode4(2323240), // Rule ID 1978 //
     /* 2323211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2323214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2323218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2323222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2323226 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2323226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2323229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323239 */     // GIR_Coverage, 1978,
     /* 2323239 */     GIR_EraseRootFromParent_Done,
     /* 2323240 */   // Label 31897: @2323240
     /* 2323240 */   GIM_Try, /*On fail goto*//*Label 31898*/ GIMT_Encode4(2323274), // Rule ID 1979 //
     /* 2323245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2323248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2323252 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2323256 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2323260 */     // (fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2323260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2323263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323272 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323273 */     // GIR_Coverage, 1979,
     /* 2323273 */     GIR_EraseRootFromParent_Done,
     /* 2323274 */   // Label 31898: @2323274
     /* 2323274 */   GIM_Try, /*On fail goto*//*Label 31899*/ GIMT_Encode4(2323308), // Rule ID 1982 //
     /* 2323279 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2323282 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2323286 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2323290 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2323294 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2323294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2323297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323307 */     // GIR_Coverage, 1982,
     /* 2323307 */     GIR_EraseRootFromParent_Done,
     /* 2323308 */   // Label 31899: @2323308
     /* 2323308 */   GIM_Try, /*On fail goto*//*Label 31900*/ GIMT_Encode4(2323342), // Rule ID 1983 //
     /* 2323313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2323316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2323320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2323324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2323328 */     // (fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2323328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2323331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323335 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323341 */     // GIR_Coverage, 1983,
     /* 2323341 */     GIR_EraseRootFromParent_Done,
     /* 2323342 */   // Label 31900: @2323342
     /* 2323342 */   GIM_Reject,
     /* 2323343 */ // Label 31896: @2323343
     /* 2323343 */ GIM_Reject,
     /* 2323344 */ // Label 31878: @2323344
     /* 2323344 */ GIM_Try, /*On fail goto*//*Label 31901*/ GIMT_Encode4(2323492),
     /* 2323349 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2323352 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2323355 */   GIM_Try, /*On fail goto*//*Label 31902*/ GIMT_Encode4(2323389), // Rule ID 1269 //
     /* 2323360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2323363 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2323367 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2323371 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2323375 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2323375 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2323378 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323382 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323388 */     // GIR_Coverage, 1269,
     /* 2323388 */     GIR_EraseRootFromParent_Done,
     /* 2323389 */   // Label 31902: @2323389
     /* 2323389 */   GIM_Try, /*On fail goto*//*Label 31903*/ GIMT_Encode4(2323423), // Rule ID 1270 //
     /* 2323394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2323397 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2323401 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2323405 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2323409 */     // (fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2323409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2323412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323422 */     // GIR_Coverage, 1270,
     /* 2323422 */     GIR_EraseRootFromParent_Done,
     /* 2323423 */   // Label 31903: @2323423
     /* 2323423 */   GIM_Try, /*On fail goto*//*Label 31904*/ GIMT_Encode4(2323457), // Rule ID 1273 //
     /* 2323428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2323431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2323435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2323439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2323443 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2323443 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2323446 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323450 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323455 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323456 */     // GIR_Coverage, 1273,
     /* 2323456 */     GIR_EraseRootFromParent_Done,
     /* 2323457 */   // Label 31904: @2323457
     /* 2323457 */   GIM_Try, /*On fail goto*//*Label 31905*/ GIMT_Encode4(2323491), // Rule ID 1274 //
     /* 2323462 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2323465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2323469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2323473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2323477 */     // (fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2323477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2323480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323490 */     // GIR_Coverage, 1274,
     /* 2323490 */     GIR_EraseRootFromParent_Done,
     /* 2323491 */   // Label 31905: @2323491
     /* 2323491 */   GIM_Reject,
     /* 2323492 */ // Label 31901: @2323492
     /* 2323492 */ GIM_Reject,
     /* 2323493 */ // Label 31879: @2323493
     /* 2323493 */ GIM_Try, /*On fail goto*//*Label 31906*/ GIMT_Encode4(2323675),
     /* 2323498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2323501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2323504 */   GIM_Try, /*On fail goto*//*Label 31907*/ GIMT_Encode4(2323538), // Rule ID 1610 //
     /* 2323509 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2323512 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2323516 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2323520 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2323524 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2323524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2323527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323537 */     // GIR_Coverage, 1610,
     /* 2323537 */     GIR_EraseRootFromParent_Done,
     /* 2323538 */   // Label 31907: @2323538
     /* 2323538 */   GIM_Try, /*On fail goto*//*Label 31908*/ GIMT_Encode4(2323572), // Rule ID 1611 //
     /* 2323543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2323546 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2323550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2323554 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2323558 */     // (fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2323558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2323561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323565 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323571 */     // GIR_Coverage, 1611,
     /* 2323571 */     GIR_EraseRootFromParent_Done,
     /* 2323572 */   // Label 31908: @2323572
     /* 2323572 */   GIM_Try, /*On fail goto*//*Label 31909*/ GIMT_Encode4(2323606), // Rule ID 1614 //
     /* 2323577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2323580 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2323584 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2323588 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2323592 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2323592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2323595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323597 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323605 */     // GIR_Coverage, 1614,
     /* 2323605 */     GIR_EraseRootFromParent_Done,
     /* 2323606 */   // Label 31909: @2323606
     /* 2323606 */   GIM_Try, /*On fail goto*//*Label 31910*/ GIMT_Encode4(2323640), // Rule ID 1615 //
     /* 2323611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2323614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2323618 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2323622 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2323626 */     // (fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2323626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2323629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323639 */     // GIR_Coverage, 1615,
     /* 2323639 */     GIR_EraseRootFromParent_Done,
     /* 2323640 */   // Label 31910: @2323640
     /* 2323640 */   GIM_Try, /*On fail goto*//*Label 31911*/ GIMT_Encode4(2323674), // Rule ID 1617 //
     /* 2323645 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2323648 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323652 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2323660 */     // (fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2323660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2323663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323673 */     // GIR_Coverage, 1617,
     /* 2323673 */     GIR_EraseRootFromParent_Done,
     /* 2323674 */   // Label 31911: @2323674
     /* 2323674 */   GIM_Reject,
     /* 2323675 */ // Label 31906: @2323675
     /* 2323675 */ GIM_Reject,
     /* 2323676 */ // Label 31880: @2323676
     /* 2323676 */ GIM_Try, /*On fail goto*//*Label 31912*/ GIMT_Encode4(2323796),
     /* 2323681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2323684 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2323687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323695 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323699 */   GIM_Try, /*On fail goto*//*Label 31913*/ GIMT_Encode4(2323747), // Rule ID 54402 //
     /* 2323704 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2323707 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323707 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2323710 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323714 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323719 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323721 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2323724 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323726 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323746 */     // GIR_Coverage, 54402,
     /* 2323746 */     GIR_EraseRootFromParent_Done,
     /* 2323747 */   // Label 31913: @2323747
     /* 2323747 */   GIM_Try, /*On fail goto*//*Label 31914*/ GIMT_Encode4(2323795), // Rule ID 54403 //
     /* 2323752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2323755 */     // (fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2323758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2323772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2323790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323793 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323794 */     // GIR_Coverage, 54403,
     /* 2323794 */     GIR_EraseRootFromParent_Done,
     /* 2323795 */   // Label 31914: @2323795
     /* 2323795 */   GIM_Reject,
     /* 2323796 */ // Label 31912: @2323796
     /* 2323796 */ GIM_Reject,
     /* 2323797 */ // Label 31881: @2323797
     /* 2323797 */ GIM_Try, /*On fail goto*//*Label 31915*/ GIMT_Encode4(2323917),
     /* 2323802 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2323805 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2323808 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323812 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323816 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323820 */   GIM_Try, /*On fail goto*//*Label 31916*/ GIMT_Encode4(2323868), // Rule ID 54426 //
     /* 2323825 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2323828 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323828 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2323831 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323835 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323840 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2323845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323847 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323850 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323852 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323867 */     // GIR_Coverage, 54426,
     /* 2323867 */     GIR_EraseRootFromParent_Done,
     /* 2323868 */   // Label 31916: @2323868
     /* 2323868 */   GIM_Try, /*On fail goto*//*Label 31917*/ GIMT_Encode4(2323916), // Rule ID 54427 //
     /* 2323873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2323876 */     // (fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2323879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2323893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2323911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323915 */     // GIR_Coverage, 54427,
     /* 2323915 */     GIR_EraseRootFromParent_Done,
     /* 2323916 */   // Label 31917: @2323916
     /* 2323916 */   GIM_Reject,
     /* 2323917 */ // Label 31915: @2323917
     /* 2323917 */ GIM_Reject,
     /* 2323918 */ // Label 31882: @2323918
     /* 2323918 */ GIM_Try, /*On fail goto*//*Label 31918*/ GIMT_Encode4(2324038),
     /* 2323923 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2323926 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2323929 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323933 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323937 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2323941 */   GIM_Try, /*On fail goto*//*Label 31919*/ GIMT_Encode4(2323989), // Rule ID 54462 //
     /* 2323946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2323949 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2323949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2323952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2323956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2323961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2323963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2323966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2323968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2323971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2323973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2323975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2323978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2323981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2323984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2323987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2323988 */     // GIR_Coverage, 54462,
     /* 2323988 */     GIR_EraseRootFromParent_Done,
     /* 2323989 */   // Label 31919: @2323989
     /* 2323989 */   GIM_Try, /*On fail goto*//*Label 31920*/ GIMT_Encode4(2324037), // Rule ID 54463 //
     /* 2323994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2323997 */     // (fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2323997 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2324000 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324004 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324009 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2324014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324016 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324019 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324036 */     // GIR_Coverage, 54463,
     /* 2324036 */     GIR_EraseRootFromParent_Done,
     /* 2324037 */   // Label 31920: @2324037
     /* 2324037 */   GIM_Reject,
     /* 2324038 */ // Label 31918: @2324038
     /* 2324038 */ GIM_Reject,
     /* 2324039 */ // Label 31883: @2324039
     /* 2324039 */ GIM_Try, /*On fail goto*//*Label 31921*/ GIMT_Encode4(2324159),
     /* 2324044 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2324047 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2324050 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324054 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324058 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324062 */   GIM_Try, /*On fail goto*//*Label 31922*/ GIMT_Encode4(2324110), // Rule ID 54414 //
     /* 2324067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2324070 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2324073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2324087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324109 */     // GIR_Coverage, 54414,
     /* 2324109 */     GIR_EraseRootFromParent_Done,
     /* 2324110 */   // Label 31922: @2324110
     /* 2324110 */   GIM_Try, /*On fail goto*//*Label 31923*/ GIMT_Encode4(2324158), // Rule ID 54415 //
     /* 2324115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2324118 */     // (fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324118 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2324121 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324125 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324130 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324132 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2324135 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324137 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324142 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324157 */     // GIR_Coverage, 54415,
     /* 2324157 */     GIR_EraseRootFromParent_Done,
     /* 2324158 */   // Label 31923: @2324158
     /* 2324158 */   GIM_Reject,
     /* 2324159 */ // Label 31921: @2324159
     /* 2324159 */ GIM_Reject,
     /* 2324160 */ // Label 31884: @2324160
     /* 2324160 */ GIM_Try, /*On fail goto*//*Label 31924*/ GIMT_Encode4(2324280),
     /* 2324165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2324168 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2324171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324179 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324183 */   GIM_Try, /*On fail goto*//*Label 31925*/ GIMT_Encode4(2324231), // Rule ID 54450 //
     /* 2324188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2324191 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2324194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2324208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324230 */     // GIR_Coverage, 54450,
     /* 2324230 */     GIR_EraseRootFromParent_Done,
     /* 2324231 */   // Label 31925: @2324231
     /* 2324231 */   GIM_Try, /*On fail goto*//*Label 31926*/ GIMT_Encode4(2324279), // Rule ID 54451 //
     /* 2324236 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2324239 */     // (fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324239 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2324242 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324246 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324251 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324253 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2324256 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324258 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324261 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324278 */     // GIR_Coverage, 54451,
     /* 2324278 */     GIR_EraseRootFromParent_Done,
     /* 2324279 */   // Label 31926: @2324279
     /* 2324279 */   GIM_Reject,
     /* 2324280 */ // Label 31924: @2324280
     /* 2324280 */ GIM_Reject,
     /* 2324281 */ // Label 31885: @2324281
     /* 2324281 */ GIM_Try, /*On fail goto*//*Label 31927*/ GIMT_Encode4(2324401),
     /* 2324286 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2324289 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2324292 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324296 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324300 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324304 */   GIM_Try, /*On fail goto*//*Label 31928*/ GIMT_Encode4(2324352), // Rule ID 54546 //
     /* 2324309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2324312 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2324315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2324329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324351 */     // GIR_Coverage, 54546,
     /* 2324351 */     GIR_EraseRootFromParent_Done,
     /* 2324352 */   // Label 31928: @2324352
     /* 2324352 */   GIM_Try, /*On fail goto*//*Label 31929*/ GIMT_Encode4(2324400), // Rule ID 54547 //
     /* 2324357 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2324360 */     // (fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2324363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2324377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324384 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324399 */     // GIR_Coverage, 54547,
     /* 2324399 */     GIR_EraseRootFromParent_Done,
     /* 2324400 */   // Label 31929: @2324400
     /* 2324400 */   GIM_Reject,
     /* 2324401 */ // Label 31927: @2324401
     /* 2324401 */ GIM_Reject,
     /* 2324402 */ // Label 31886: @2324402
     /* 2324402 */ GIM_Try, /*On fail goto*//*Label 31930*/ GIMT_Encode4(2324522),
     /* 2324407 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2324410 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2324413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324421 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2324425 */   GIM_Try, /*On fail goto*//*Label 31931*/ GIMT_Encode4(2324473), // Rule ID 54438 //
     /* 2324430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2324433 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2324436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2324450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324472 */     // GIR_Coverage, 54438,
     /* 2324472 */     GIR_EraseRootFromParent_Done,
     /* 2324473 */   // Label 31931: @2324473
     /* 2324473 */   GIM_Try, /*On fail goto*//*Label 31932*/ GIMT_Encode4(2324521), // Rule ID 54439 //
     /* 2324478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2324481 */     // (fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2324484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2324498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324520 */     // GIR_Coverage, 54439,
     /* 2324520 */     GIR_EraseRootFromParent_Done,
     /* 2324521 */   // Label 31932: @2324521
     /* 2324521 */   GIM_Reject,
     /* 2324522 */ // Label 31930: @2324522
     /* 2324522 */ GIM_Reject,
     /* 2324523 */ // Label 31887: @2324523
     /* 2324523 */ GIM_Try, /*On fail goto*//*Label 31933*/ GIMT_Encode4(2324643),
     /* 2324528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2324531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2324534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324546 */   GIM_Try, /*On fail goto*//*Label 31934*/ GIMT_Encode4(2324594), // Rule ID 54510 //
     /* 2324551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2324554 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2324571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324593 */     // GIR_Coverage, 54510,
     /* 2324593 */     GIR_EraseRootFromParent_Done,
     /* 2324594 */   // Label 31934: @2324594
     /* 2324594 */   GIM_Try, /*On fail goto*//*Label 31935*/ GIMT_Encode4(2324642), // Rule ID 54511 //
     /* 2324599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2324602 */     // (fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2324605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2324619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324626 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324641 */     // GIR_Coverage, 54511,
     /* 2324641 */     GIR_EraseRootFromParent_Done,
     /* 2324642 */   // Label 31935: @2324642
     /* 2324642 */   GIM_Reject,
     /* 2324643 */ // Label 31933: @2324643
     /* 2324643 */ GIM_Reject,
     /* 2324644 */ // Label 31888: @2324644
     /* 2324644 */ GIM_Try, /*On fail goto*//*Label 31936*/ GIMT_Encode4(2324764),
     /* 2324649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2324652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2324655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324667 */   GIM_Try, /*On fail goto*//*Label 31937*/ GIMT_Encode4(2324715), // Rule ID 54558 //
     /* 2324672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2324675 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2324692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324714 */     // GIR_Coverage, 54558,
     /* 2324714 */     GIR_EraseRootFromParent_Done,
     /* 2324715 */   // Label 31937: @2324715
     /* 2324715 */   GIM_Try, /*On fail goto*//*Label 31938*/ GIMT_Encode4(2324763), // Rule ID 54559 //
     /* 2324720 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2324723 */     // (fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324723 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2324726 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324730 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324735 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324737 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2324740 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324742 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2324758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324761 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324762 */     // GIR_Coverage, 54559,
     /* 2324762 */     GIR_EraseRootFromParent_Done,
     /* 2324763 */   // Label 31938: @2324763
     /* 2324763 */   GIM_Reject,
     /* 2324764 */ // Label 31936: @2324764
     /* 2324764 */ GIM_Reject,
     /* 2324765 */ // Label 31889: @2324765
     /* 2324765 */ GIM_Try, /*On fail goto*//*Label 31939*/ GIMT_Encode4(2324885),
     /* 2324770 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2324773 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2324776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324784 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2324788 */   GIM_Try, /*On fail goto*//*Label 31940*/ GIMT_Encode4(2324836), // Rule ID 54474 //
     /* 2324793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2324796 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2324813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324835 */     // GIR_Coverage, 54474,
     /* 2324835 */     GIR_EraseRootFromParent_Done,
     /* 2324836 */   // Label 31940: @2324836
     /* 2324836 */   GIM_Try, /*On fail goto*//*Label 31941*/ GIMT_Encode4(2324884), // Rule ID 54475 //
     /* 2324841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2324844 */     // (fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324844 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2324847 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324851 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324856 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2324861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324863 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324868 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2324879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324883 */     // GIR_Coverage, 54475,
     /* 2324883 */     GIR_EraseRootFromParent_Done,
     /* 2324884 */   // Label 31941: @2324884
     /* 2324884 */   GIM_Reject,
     /* 2324885 */ // Label 31939: @2324885
     /* 2324885 */ GIM_Reject,
     /* 2324886 */ // Label 31890: @2324886
     /* 2324886 */ GIM_Try, /*On fail goto*//*Label 31942*/ GIMT_Encode4(2325006),
     /* 2324891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2324894 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2324897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324905 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2324909 */   GIM_Try, /*On fail goto*//*Label 31943*/ GIMT_Encode4(2324957), // Rule ID 54522 //
     /* 2324914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2324917 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2324917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2324934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2324952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2324955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2324956 */     // GIR_Coverage, 54522,
     /* 2324956 */     GIR_EraseRootFromParent_Done,
     /* 2324957 */   // Label 31943: @2324957
     /* 2324957 */   GIM_Try, /*On fail goto*//*Label 31944*/ GIMT_Encode4(2325005), // Rule ID 54523 //
     /* 2324962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2324965 */     // (fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2324965 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2324968 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2324972 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2324977 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2324979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2324982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2324984 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2324987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2324989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2324991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2324994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2324997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325004 */     // GIR_Coverage, 54523,
     /* 2325004 */     GIR_EraseRootFromParent_Done,
     /* 2325005 */   // Label 31944: @2325005
     /* 2325005 */   GIM_Reject,
     /* 2325006 */ // Label 31942: @2325006
     /* 2325006 */ GIM_Reject,
     /* 2325007 */ // Label 31891: @2325007
     /* 2325007 */ GIM_Try, /*On fail goto*//*Label 31945*/ GIMT_Encode4(2325127),
     /* 2325012 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2325015 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2325018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325026 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325030 */   GIM_Try, /*On fail goto*//*Label 31946*/ GIMT_Encode4(2325078), // Rule ID 54570 //
     /* 2325035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2325038 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2325055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325077 */     // GIR_Coverage, 54570,
     /* 2325077 */     GIR_EraseRootFromParent_Done,
     /* 2325078 */   // Label 31946: @2325078
     /* 2325078 */   GIM_Try, /*On fail goto*//*Label 31947*/ GIMT_Encode4(2325126), // Rule ID 54571 //
     /* 2325083 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2325086 */     // (fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325086 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2325089 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325093 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325098 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2325103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325105 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325108 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325110 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2325121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325125 */     // GIR_Coverage, 54571,
     /* 2325125 */     GIR_EraseRootFromParent_Done,
     /* 2325126 */   // Label 31947: @2325126
     /* 2325126 */   GIM_Reject,
     /* 2325127 */ // Label 31945: @2325127
     /* 2325127 */ GIM_Reject,
     /* 2325128 */ // Label 31892: @2325128
     /* 2325128 */ GIM_Try, /*On fail goto*//*Label 31948*/ GIMT_Encode4(2325248),
     /* 2325133 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2325136 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2325139 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325143 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325147 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2325151 */   GIM_Try, /*On fail goto*//*Label 31949*/ GIMT_Encode4(2325199), // Rule ID 54486 //
     /* 2325156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325159 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2325176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325198 */     // GIR_Coverage, 54486,
     /* 2325198 */     GIR_EraseRootFromParent_Done,
     /* 2325199 */   // Label 31949: @2325199
     /* 2325199 */   GIM_Try, /*On fail goto*//*Label 31950*/ GIMT_Encode4(2325247), // Rule ID 54487 //
     /* 2325204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325207 */     // (fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2325210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2325224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325246 */     // GIR_Coverage, 54487,
     /* 2325246 */     GIR_EraseRootFromParent_Done,
     /* 2325247 */   // Label 31950: @2325247
     /* 2325247 */   GIM_Reject,
     /* 2325248 */ // Label 31948: @2325248
     /* 2325248 */ GIM_Reject,
     /* 2325249 */ // Label 31893: @2325249
     /* 2325249 */ GIM_Try, /*On fail goto*//*Label 31951*/ GIMT_Encode4(2325369),
     /* 2325254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2325257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2325260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325272 */   GIM_Try, /*On fail goto*//*Label 31952*/ GIMT_Encode4(2325320), // Rule ID 54534 //
     /* 2325277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2325280 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2325297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325319 */     // GIR_Coverage, 54534,
     /* 2325319 */     GIR_EraseRootFromParent_Done,
     /* 2325320 */   // Label 31952: @2325320
     /* 2325320 */   GIM_Try, /*On fail goto*//*Label 31953*/ GIMT_Encode4(2325368), // Rule ID 54535 //
     /* 2325325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2325328 */     // (fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325328 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2325331 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325335 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325340 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325342 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2325345 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325347 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325350 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325352 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2325363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325367 */     // GIR_Coverage, 54535,
     /* 2325367 */     GIR_EraseRootFromParent_Done,
     /* 2325368 */   // Label 31953: @2325368
     /* 2325368 */   GIM_Reject,
     /* 2325369 */ // Label 31951: @2325369
     /* 2325369 */ GIM_Reject,
     /* 2325370 */ // Label 31894: @2325370
     /* 2325370 */ GIM_Try, /*On fail goto*//*Label 31954*/ GIMT_Encode4(2325490),
     /* 2325375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2325378 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2325381 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325385 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325389 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2325393 */   GIM_Try, /*On fail goto*//*Label 31955*/ GIMT_Encode4(2325441), // Rule ID 54498 //
     /* 2325398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325401 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2325418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325440 */     // GIR_Coverage, 54498,
     /* 2325440 */     GIR_EraseRootFromParent_Done,
     /* 2325441 */   // Label 31955: @2325441
     /* 2325441 */   GIM_Try, /*On fail goto*//*Label 31956*/ GIMT_Encode4(2325489), // Rule ID 54499 //
     /* 2325446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325449 */     // (fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325449 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2325452 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325456 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325461 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2325466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325468 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2325475 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2325478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325487 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325488 */     // GIR_Coverage, 54499,
     /* 2325488 */     GIR_EraseRootFromParent_Done,
     /* 2325489 */   // Label 31956: @2325489
     /* 2325489 */   GIM_Reject,
     /* 2325490 */ // Label 31954: @2325490
     /* 2325490 */ GIM_Reject,
     /* 2325491 */ // Label 31895: @2325491
     /* 2325491 */ GIM_Reject,
     /* 2325492 */ // Label 64: @2325492
     /* 2325492 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 31975*/ GIMT_Encode4(2327462),
     /* 2325503 */ /*GILLT_s16*//*Label 31957*/ GIMT_Encode4(2325623),
     /* 2325507 */ /*GILLT_s32*//*Label 31958*/ GIMT_Encode4(2325687),
     /* 2325511 */ /*GILLT_s64*//*Label 31959*/ GIMT_Encode4(2325751), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325523 */ /*GILLT_nxv1s16*//*Label 31960*/ GIMT_Encode4(2325842),
     /* 2325527 */ /*GILLT_nxv1s32*//*Label 31961*/ GIMT_Encode4(2325950),
     /* 2325531 */ /*GILLT_nxv1s64*//*Label 31962*/ GIMT_Encode4(2326058), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325543 */ /*GILLT_nxv2s16*//*Label 31963*/ GIMT_Encode4(2326166),
     /* 2325547 */ /*GILLT_nxv2s32*//*Label 31964*/ GIMT_Encode4(2326274),
     /* 2325551 */ /*GILLT_nxv2s64*//*Label 31965*/ GIMT_Encode4(2326382), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325563 */ /*GILLT_nxv4s16*//*Label 31966*/ GIMT_Encode4(2326490),
     /* 2325567 */ /*GILLT_nxv4s32*//*Label 31967*/ GIMT_Encode4(2326598),
     /* 2325571 */ /*GILLT_nxv4s64*//*Label 31968*/ GIMT_Encode4(2326706), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325583 */ /*GILLT_nxv8s16*//*Label 31969*/ GIMT_Encode4(2326814),
     /* 2325587 */ /*GILLT_nxv8s32*//*Label 31970*/ GIMT_Encode4(2326922),
     /* 2325591 */ /*GILLT_nxv8s64*//*Label 31971*/ GIMT_Encode4(2327030), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325603 */ /*GILLT_nxv16s16*//*Label 31972*/ GIMT_Encode4(2327138),
     /* 2325607 */ /*GILLT_nxv16s32*//*Label 31973*/ GIMT_Encode4(2327246), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2325619 */ /*GILLT_nxv32s16*//*Label 31974*/ GIMT_Encode4(2327354),
     /* 2325623 */ // Label 31957: @2325623
     /* 2325623 */ GIM_Try, /*On fail goto*//*Label 31976*/ GIMT_Encode4(2325686),
     /* 2325628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2325631 */   GIM_Try, /*On fail goto*//*Label 31977*/ GIMT_Encode4(2325658), // Rule ID 1988 //
     /* 2325636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2325639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2325647 */     // (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2325647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2325650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325654 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325657 */     // GIR_Coverage, 1988,
     /* 2325657 */     GIR_EraseRootFromParent_Done,
     /* 2325658 */   // Label 31977: @2325658
     /* 2325658 */   GIM_Try, /*On fail goto*//*Label 31978*/ GIMT_Encode4(2325685), // Rule ID 2021 //
     /* 2325663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2325666 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325670 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2325674 */     // (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2325674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2325677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325681 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325684 */     // GIR_Coverage, 2021,
     /* 2325684 */     GIR_EraseRootFromParent_Done,
     /* 2325685 */   // Label 31978: @2325685
     /* 2325685 */   GIM_Reject,
     /* 2325686 */ // Label 31976: @2325686
     /* 2325686 */ GIM_Reject,
     /* 2325687 */ // Label 31958: @2325687
     /* 2325687 */ GIM_Try, /*On fail goto*//*Label 31979*/ GIMT_Encode4(2325750),
     /* 2325692 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2325695 */   GIM_Try, /*On fail goto*//*Label 31980*/ GIMT_Encode4(2325722), // Rule ID 1279 //
     /* 2325700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2325703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2325711 */     // (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2325711 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2325714 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325716 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325721 */     // GIR_Coverage, 1279,
     /* 2325721 */     GIR_EraseRootFromParent_Done,
     /* 2325722 */   // Label 31980: @2325722
     /* 2325722 */   GIM_Try, /*On fail goto*//*Label 31981*/ GIMT_Encode4(2325749), // Rule ID 1287 //
     /* 2325727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2325730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2325738 */     // (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2325738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2325741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325745 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325748 */     // GIR_Coverage, 1287,
     /* 2325748 */     GIR_EraseRootFromParent_Done,
     /* 2325749 */   // Label 31981: @2325749
     /* 2325749 */   GIM_Reject,
     /* 2325750 */ // Label 31979: @2325750
     /* 2325750 */ GIM_Reject,
     /* 2325751 */ // Label 31959: @2325751
     /* 2325751 */ GIM_Try, /*On fail goto*//*Label 31982*/ GIMT_Encode4(2325841),
     /* 2325756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2325759 */   GIM_Try, /*On fail goto*//*Label 31983*/ GIMT_Encode4(2325786), // Rule ID 1622 //
     /* 2325764 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2325767 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325771 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2325775 */     // (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2325775 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2325778 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325785 */     // GIR_Coverage, 1622,
     /* 2325785 */     GIR_EraseRootFromParent_Done,
     /* 2325786 */   // Label 31983: @2325786
     /* 2325786 */   GIM_Try, /*On fail goto*//*Label 31984*/ GIMT_Encode4(2325813), // Rule ID 1655 //
     /* 2325791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2325794 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325798 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2325802 */     // (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2325802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2325805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325812 */     // GIR_Coverage, 1655,
     /* 2325812 */     GIR_EraseRootFromParent_Done,
     /* 2325813 */   // Label 31984: @2325813
     /* 2325813 */   GIM_Try, /*On fail goto*//*Label 31985*/ GIMT_Encode4(2325840), // Rule ID 1677 //
     /* 2325818 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2325821 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2325829 */     // (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2325829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2325832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2325838 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325839 */     // GIR_Coverage, 1677,
     /* 2325839 */     GIR_EraseRootFromParent_Done,
     /* 2325840 */   // Label 31985: @2325840
     /* 2325840 */   GIM_Reject,
     /* 2325841 */ // Label 31982: @2325841
     /* 2325841 */ GIM_Reject,
     /* 2325842 */ // Label 31960: @2325842
     /* 2325842 */ GIM_Try, /*On fail goto*//*Label 31986*/ GIMT_Encode4(2325949),
     /* 2325847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2325850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325858 */   GIM_Try, /*On fail goto*//*Label 31987*/ GIMT_Encode4(2325903), // Rule ID 56240 //
     /* 2325863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2325866 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2325883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325890 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325902 */     // GIR_Coverage, 56240,
     /* 2325902 */     GIR_EraseRootFromParent_Done,
     /* 2325903 */   // Label 31987: @2325903
     /* 2325903 */   GIM_Try, /*On fail goto*//*Label 31988*/ GIMT_Encode4(2325948), // Rule ID 56241 //
     /* 2325908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2325911 */     // (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2325911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2325914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2325928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2325940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2325943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2325946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2325947 */     // GIR_Coverage, 56241,
     /* 2325947 */     GIR_EraseRootFromParent_Done,
     /* 2325948 */   // Label 31988: @2325948
     /* 2325948 */   GIM_Reject,
     /* 2325949 */ // Label 31986: @2325949
     /* 2325949 */ GIM_Reject,
     /* 2325950 */ // Label 31961: @2325950
     /* 2325950 */ GIM_Try, /*On fail goto*//*Label 31989*/ GIMT_Encode4(2326057),
     /* 2325955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2325958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2325966 */   GIM_Try, /*On fail goto*//*Label 31990*/ GIMT_Encode4(2326011), // Rule ID 56280 //
     /* 2325971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2325974 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2325974 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2325977 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2325981 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2325986 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2325988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2325991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2325993 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2325996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2325998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326006 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326009 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326010 */     // GIR_Coverage, 56280,
     /* 2326010 */     GIR_EraseRootFromParent_Done,
     /* 2326011 */   // Label 31990: @2326011
     /* 2326011 */   GIM_Try, /*On fail goto*//*Label 31991*/ GIMT_Encode4(2326056), // Rule ID 56281 //
     /* 2326016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2326019 */     // (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2326022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2326036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326055 */     // GIR_Coverage, 56281,
     /* 2326055 */     GIR_EraseRootFromParent_Done,
     /* 2326056 */   // Label 31991: @2326056
     /* 2326056 */   GIM_Reject,
     /* 2326057 */ // Label 31989: @2326057
     /* 2326057 */ GIM_Reject,
     /* 2326058 */ // Label 31962: @2326058
     /* 2326058 */ GIM_Try, /*On fail goto*//*Label 31992*/ GIMT_Encode4(2326165),
     /* 2326063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2326066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326074 */   GIM_Try, /*On fail goto*//*Label 31993*/ GIMT_Encode4(2326119), // Rule ID 56340 //
     /* 2326079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2326082 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2326099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326106 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326118 */     // GIR_Coverage, 56340,
     /* 2326118 */     GIR_EraseRootFromParent_Done,
     /* 2326119 */   // Label 31993: @2326119
     /* 2326119 */   GIM_Try, /*On fail goto*//*Label 31994*/ GIMT_Encode4(2326164), // Rule ID 56341 //
     /* 2326124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2326127 */     // (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2326130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2326144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326163 */     // GIR_Coverage, 56341,
     /* 2326163 */     GIR_EraseRootFromParent_Done,
     /* 2326164 */   // Label 31994: @2326164
     /* 2326164 */   GIM_Reject,
     /* 2326165 */ // Label 31992: @2326165
     /* 2326165 */ GIM_Reject,
     /* 2326166 */ // Label 31963: @2326166
     /* 2326166 */ GIM_Try, /*On fail goto*//*Label 31995*/ GIMT_Encode4(2326273),
     /* 2326171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2326174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326182 */   GIM_Try, /*On fail goto*//*Label 31996*/ GIMT_Encode4(2326227), // Rule ID 56260 //
     /* 2326187 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2326190 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326190 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326193 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326197 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326202 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326204 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2326207 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326209 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326212 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326225 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326226 */     // GIR_Coverage, 56260,
     /* 2326226 */     GIR_EraseRootFromParent_Done,
     /* 2326227 */   // Label 31996: @2326227
     /* 2326227 */   GIM_Try, /*On fail goto*//*Label 31997*/ GIMT_Encode4(2326272), // Rule ID 56261 //
     /* 2326232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2326235 */     // (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2326238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2326252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326271 */     // GIR_Coverage, 56261,
     /* 2326271 */     GIR_EraseRootFromParent_Done,
     /* 2326272 */   // Label 31997: @2326272
     /* 2326272 */   GIM_Reject,
     /* 2326273 */ // Label 31995: @2326273
     /* 2326273 */ GIM_Reject,
     /* 2326274 */ // Label 31964: @2326274
     /* 2326274 */ GIM_Try, /*On fail goto*//*Label 31998*/ GIMT_Encode4(2326381),
     /* 2326279 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2326282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326290 */   GIM_Try, /*On fail goto*//*Label 31999*/ GIMT_Encode4(2326335), // Rule ID 56320 //
     /* 2326295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2326298 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2326315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326334 */     // GIR_Coverage, 56320,
     /* 2326334 */     GIR_EraseRootFromParent_Done,
     /* 2326335 */   // Label 31999: @2326335
     /* 2326335 */   GIM_Try, /*On fail goto*//*Label 32000*/ GIMT_Encode4(2326380), // Rule ID 56321 //
     /* 2326340 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2326343 */     // (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326343 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2326346 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326350 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326355 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2326360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326362 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326379 */     // GIR_Coverage, 56321,
     /* 2326379 */     GIR_EraseRootFromParent_Done,
     /* 2326380 */   // Label 32000: @2326380
     /* 2326380 */   GIM_Reject,
     /* 2326381 */ // Label 31998: @2326381
     /* 2326381 */ GIM_Reject,
     /* 2326382 */ // Label 31965: @2326382
     /* 2326382 */ GIM_Try, /*On fail goto*//*Label 32001*/ GIMT_Encode4(2326489),
     /* 2326387 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2326390 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326394 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326398 */   GIM_Try, /*On fail goto*//*Label 32002*/ GIMT_Encode4(2326443), // Rule ID 56480 //
     /* 2326403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2326406 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2326409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2326423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326430 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326442 */     // GIR_Coverage, 56480,
     /* 2326442 */     GIR_EraseRootFromParent_Done,
     /* 2326443 */   // Label 32002: @2326443
     /* 2326443 */   GIM_Try, /*On fail goto*//*Label 32003*/ GIMT_Encode4(2326488), // Rule ID 56481 //
     /* 2326448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2326451 */     // (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2326454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2326468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326487 */     // GIR_Coverage, 56481,
     /* 2326487 */     GIR_EraseRootFromParent_Done,
     /* 2326488 */   // Label 32003: @2326488
     /* 2326488 */   GIM_Reject,
     /* 2326489 */ // Label 32001: @2326489
     /* 2326489 */ GIM_Reject,
     /* 2326490 */ // Label 31966: @2326490
     /* 2326490 */ GIM_Try, /*On fail goto*//*Label 32004*/ GIMT_Encode4(2326597),
     /* 2326495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2326498 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326502 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2326506 */   GIM_Try, /*On fail goto*//*Label 32005*/ GIMT_Encode4(2326551), // Rule ID 56300 //
     /* 2326511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2326514 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326514 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2326517 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326521 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326526 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2326531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326533 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326536 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326538 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326550 */     // GIR_Coverage, 56300,
     /* 2326550 */     GIR_EraseRootFromParent_Done,
     /* 2326551 */   // Label 32005: @2326551
     /* 2326551 */   GIM_Try, /*On fail goto*//*Label 32006*/ GIMT_Encode4(2326596), // Rule ID 56301 //
     /* 2326556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2326559 */     // (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2326562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2326576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326595 */     // GIR_Coverage, 56301,
     /* 2326595 */     GIR_EraseRootFromParent_Done,
     /* 2326596 */   // Label 32006: @2326596
     /* 2326596 */   GIM_Reject,
     /* 2326597 */ // Label 32004: @2326597
     /* 2326597 */ GIM_Reject,
     /* 2326598 */ // Label 31967: @2326598
     /* 2326598 */ GIM_Try, /*On fail goto*//*Label 32007*/ GIMT_Encode4(2326705),
     /* 2326603 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2326606 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326610 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326614 */   GIM_Try, /*On fail goto*//*Label 32008*/ GIMT_Encode4(2326659), // Rule ID 56420 //
     /* 2326619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2326622 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2326625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2326639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326658 */     // GIR_Coverage, 56420,
     /* 2326658 */     GIR_EraseRootFromParent_Done,
     /* 2326659 */   // Label 32008: @2326659
     /* 2326659 */   GIM_Try, /*On fail goto*//*Label 32009*/ GIMT_Encode4(2326704), // Rule ID 56421 //
     /* 2326664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2326667 */     // (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326667 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2326670 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326674 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326679 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326681 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2326684 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326686 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326703 */     // GIR_Coverage, 56421,
     /* 2326703 */     GIR_EraseRootFromParent_Done,
     /* 2326704 */   // Label 32009: @2326704
     /* 2326704 */   GIM_Reject,
     /* 2326705 */ // Label 32007: @2326705
     /* 2326705 */ GIM_Reject,
     /* 2326706 */ // Label 31968: @2326706
     /* 2326706 */ GIM_Try, /*On fail goto*//*Label 32010*/ GIMT_Encode4(2326813),
     /* 2326711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2326714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326722 */   GIM_Try, /*On fail goto*//*Label 32011*/ GIMT_Encode4(2326767), // Rule ID 56500 //
     /* 2326727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2326730 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2326733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2326747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326766 */     // GIR_Coverage, 56500,
     /* 2326766 */     GIR_EraseRootFromParent_Done,
     /* 2326767 */   // Label 32011: @2326767
     /* 2326767 */   GIM_Try, /*On fail goto*//*Label 32012*/ GIMT_Encode4(2326812), // Rule ID 56501 //
     /* 2326772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2326775 */     // (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2326778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2326792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2326807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326811 */     // GIR_Coverage, 56501,
     /* 2326811 */     GIR_EraseRootFromParent_Done,
     /* 2326812 */   // Label 32012: @2326812
     /* 2326812 */   GIM_Reject,
     /* 2326813 */ // Label 32010: @2326813
     /* 2326813 */ GIM_Reject,
     /* 2326814 */ // Label 31969: @2326814
     /* 2326814 */ GIM_Try, /*On fail goto*//*Label 32013*/ GIMT_Encode4(2326921),
     /* 2326819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2326822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2326830 */   GIM_Try, /*On fail goto*//*Label 32014*/ GIMT_Encode4(2326875), // Rule ID 56360 //
     /* 2326835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2326838 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326838 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2326841 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326845 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326850 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2326855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326857 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326862 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326874 */     // GIR_Coverage, 56360,
     /* 2326874 */     GIR_EraseRootFromParent_Done,
     /* 2326875 */   // Label 32014: @2326875
     /* 2326875 */   GIM_Try, /*On fail goto*//*Label 32015*/ GIMT_Encode4(2326920), // Rule ID 56361 //
     /* 2326880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2326883 */     // (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2326886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2326900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2326915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326918 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326919 */     // GIR_Coverage, 56361,
     /* 2326919 */     GIR_EraseRootFromParent_Done,
     /* 2326920 */   // Label 32015: @2326920
     /* 2326920 */   GIM_Reject,
     /* 2326921 */ // Label 32013: @2326921
     /* 2326921 */ GIM_Reject,
     /* 2326922 */ // Label 31970: @2326922
     /* 2326922 */ GIM_Try, /*On fail goto*//*Label 32016*/ GIMT_Encode4(2327029),
     /* 2326927 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2326930 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326934 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2326938 */   GIM_Try, /*On fail goto*//*Label 32017*/ GIMT_Encode4(2326983), // Rule ID 56440 //
     /* 2326943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2326946 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2326946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2326949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2326958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2326960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2326963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2326965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2326968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326970 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2326972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2326975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2326978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2326981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2326982 */     // GIR_Coverage, 56440,
     /* 2326982 */     GIR_EraseRootFromParent_Done,
     /* 2326983 */   // Label 32017: @2326983
     /* 2326983 */   GIM_Try, /*On fail goto*//*Label 32018*/ GIMT_Encode4(2327028), // Rule ID 56441 //
     /* 2326988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2326991 */     // (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2326991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2326994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2326998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2327008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327027 */     // GIR_Coverage, 56441,
     /* 2327027 */     GIR_EraseRootFromParent_Done,
     /* 2327028 */   // Label 32018: @2327028
     /* 2327028 */   GIM_Reject,
     /* 2327029 */ // Label 32016: @2327029
     /* 2327029 */ GIM_Reject,
     /* 2327030 */ // Label 31971: @2327030
     /* 2327030 */ GIM_Try, /*On fail goto*//*Label 32019*/ GIMT_Encode4(2327137),
     /* 2327035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2327038 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327042 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327046 */   GIM_Try, /*On fail goto*//*Label 32020*/ GIMT_Encode4(2327091), // Rule ID 56520 //
     /* 2327051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2327054 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327054 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2327057 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327061 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2327071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327073 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327080 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327090 */     // GIR_Coverage, 56520,
     /* 2327090 */     GIR_EraseRootFromParent_Done,
     /* 2327091 */   // Label 32020: @2327091
     /* 2327091 */   GIM_Try, /*On fail goto*//*Label 32021*/ GIMT_Encode4(2327136), // Rule ID 56521 //
     /* 2327096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2327099 */     // (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2327102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2327116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2327131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327135 */     // GIR_Coverage, 56521,
     /* 2327135 */     GIR_EraseRootFromParent_Done,
     /* 2327136 */   // Label 32021: @2327136
     /* 2327136 */   GIM_Reject,
     /* 2327137 */ // Label 32019: @2327137
     /* 2327137 */ GIM_Reject,
     /* 2327138 */ // Label 31972: @2327138
     /* 2327138 */ GIM_Try, /*On fail goto*//*Label 32022*/ GIMT_Encode4(2327245),
     /* 2327143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2327146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327150 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2327154 */   GIM_Try, /*On fail goto*//*Label 32023*/ GIMT_Encode4(2327199), // Rule ID 56380 //
     /* 2327159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2327162 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2327165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2327179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327198 */     // GIR_Coverage, 56380,
     /* 2327198 */     GIR_EraseRootFromParent_Done,
     /* 2327199 */   // Label 32023: @2327199
     /* 2327199 */   GIM_Try, /*On fail goto*//*Label 32024*/ GIMT_Encode4(2327244), // Rule ID 56381 //
     /* 2327204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2327207 */     // (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2327210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2327224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327242 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327243 */     // GIR_Coverage, 56381,
     /* 2327243 */     GIR_EraseRootFromParent_Done,
     /* 2327244 */   // Label 32024: @2327244
     /* 2327244 */   GIM_Reject,
     /* 2327245 */ // Label 32022: @2327245
     /* 2327245 */ GIM_Reject,
     /* 2327246 */ // Label 31973: @2327246
     /* 2327246 */ GIM_Try, /*On fail goto*//*Label 32025*/ GIMT_Encode4(2327353),
     /* 2327251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2327254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327262 */   GIM_Try, /*On fail goto*//*Label 32026*/ GIMT_Encode4(2327307), // Rule ID 56460 //
     /* 2327267 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2327270 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327270 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2327273 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327277 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327282 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2327287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327289 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327292 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327305 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327306 */     // GIR_Coverage, 56460,
     /* 2327306 */     GIR_EraseRootFromParent_Done,
     /* 2327307 */   // Label 32026: @2327307
     /* 2327307 */   GIM_Try, /*On fail goto*//*Label 32027*/ GIMT_Encode4(2327352), // Rule ID 56461 //
     /* 2327312 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2327315 */     // (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2327318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327327 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327329 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2327332 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327334 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2327347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327350 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327351 */     // GIR_Coverage, 56461,
     /* 2327351 */     GIR_EraseRootFromParent_Done,
     /* 2327352 */   // Label 32027: @2327352
     /* 2327352 */   GIM_Reject,
     /* 2327353 */ // Label 32025: @2327353
     /* 2327353 */ GIM_Reject,
     /* 2327354 */ // Label 31974: @2327354
     /* 2327354 */ GIM_Try, /*On fail goto*//*Label 32028*/ GIMT_Encode4(2327461),
     /* 2327359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2327362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2327370 */   GIM_Try, /*On fail goto*//*Label 32029*/ GIMT_Encode4(2327415), // Rule ID 56400 //
     /* 2327375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2327378 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2327378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2327381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2327395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327414 */     // GIR_Coverage, 56400,
     /* 2327414 */     GIR_EraseRootFromParent_Done,
     /* 2327415 */   // Label 32029: @2327415
     /* 2327415 */   GIM_Try, /*On fail goto*//*Label 32030*/ GIMT_Encode4(2327460), // Rule ID 56401 //
     /* 2327420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2327423 */     // (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2327423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2327426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2327430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2327435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2327437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2327440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2327445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327447 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2327449 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2327452 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2327455 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2327458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327459 */     // GIR_Coverage, 56401,
     /* 2327459 */     GIR_EraseRootFromParent_Done,
     /* 2327460 */   // Label 32030: @2327460
     /* 2327460 */   GIM_Reject,
     /* 2327461 */ // Label 32028: @2327461
     /* 2327461 */ GIM_Reject,
     /* 2327462 */ // Label 31975: @2327462
     /* 2327462 */ GIM_Reject,
     /* 2327463 */ // Label 65: @2327463
     /* 2327463 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 32033*/ GIMT_Encode4(2327915),
     /* 2327474 */ /*GILLT_s32*//*Label 32031*/ GIMT_Encode4(2327482),
     /* 2327478 */ /*GILLT_s64*//*Label 32032*/ GIMT_Encode4(2327604),
     /* 2327482 */ // Label 32031: @2327482
     /* 2327482 */ GIM_Try, /*On fail goto*//*Label 32034*/ GIMT_Encode4(2327603),
     /* 2327487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2327490 */   GIM_Try, /*On fail goto*//*Label 32035*/ GIMT_Encode4(2327518), // Rule ID 2162 //
     /* 2327495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2327498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327506 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2327506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2327509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327517 */     // GIR_Coverage, 2162,
     /* 2327517 */     GIR_EraseRootFromParent_Done,
     /* 2327518 */   // Label 32035: @2327518
     /* 2327518 */   GIM_Try, /*On fail goto*//*Label 32036*/ GIMT_Encode4(2327546), // Rule ID 2163 //
     /* 2327523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2327526 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327530 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327534 */     // (fpextend:{ *:[f32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_S_H:{ *:[f32] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2327534 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2327537 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327545 */     // GIR_Coverage, 2163,
     /* 2327545 */     GIR_EraseRootFromParent_Done,
     /* 2327546 */   // Label 32036: @2327546
     /* 2327546 */   GIM_Try, /*On fail goto*//*Label 32037*/ GIMT_Encode4(2327574), // Rule ID 2178 //
     /* 2327551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2327554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327558 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327562 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2327562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2327565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327567 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327573 */     // GIR_Coverage, 2178,
     /* 2327573 */     GIR_EraseRootFromParent_Done,
     /* 2327574 */   // Label 32037: @2327574
     /* 2327574 */   GIM_Try, /*On fail goto*//*Label 32038*/ GIMT_Encode4(2327602), // Rule ID 2179 //
     /* 2327579 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2327582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327590 */     // (fpextend:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_S_H_INX:{ *:[f32] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2327590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2327593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2327601 */     // GIR_Coverage, 2179,
     /* 2327601 */     GIR_EraseRootFromParent_Done,
     /* 2327602 */   // Label 32038: @2327602
     /* 2327602 */   GIM_Reject,
     /* 2327603 */ // Label 32034: @2327603
     /* 2327603 */ GIM_Reject,
     /* 2327604 */ // Label 32032: @2327604
     /* 2327604 */ GIM_Try, /*On fail goto*//*Label 32039*/ GIMT_Encode4(2327635), // Rule ID 1564 //
     /* 2327609 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2327612 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327615 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327619 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327623 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2327623 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2327626 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327628 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327634 */   // GIR_Coverage, 1564,
     /* 2327634 */   GIR_EraseRootFromParent_Done,
     /* 2327635 */ // Label 32039: @2327635
     /* 2327635 */ GIM_Try, /*On fail goto*//*Label 32040*/ GIMT_Encode4(2327666), // Rule ID 1565 //
     /* 2327640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2327643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2327654 */   // (fpextend:{ *:[f64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_D_S:{ *:[f64] } FPR32:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2327654 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2327657 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327659 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327664 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327665 */   // GIR_Coverage, 1565,
     /* 2327665 */   GIR_EraseRootFromParent_Done,
     /* 2327666 */ // Label 32040: @2327666
     /* 2327666 */ GIM_Try, /*On fail goto*//*Label 32041*/ GIMT_Encode4(2327697), // Rule ID 1569 //
     /* 2327671 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2327674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327685 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_INX:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2327685 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2327688 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327690 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327696 */   // GIR_Coverage, 1569,
     /* 2327696 */   GIR_EraseRootFromParent_Done,
     /* 2327697 */ // Label 32041: @2327697
     /* 2327697 */ GIM_Try, /*On fail goto*//*Label 32042*/ GIMT_Encode4(2327728), // Rule ID 1576 //
     /* 2327702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2327705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327716 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i64] })
     /* 2327716 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2327719 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327721 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327726 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327727 */   // GIR_Coverage, 1576,
     /* 2327727 */   GIR_EraseRootFromParent_Done,
     /* 2327728 */ // Label 32042: @2327728
     /* 2327728 */ GIM_Try, /*On fail goto*//*Label 32043*/ GIMT_Encode4(2327759), // Rule ID 1577 //
     /* 2327733 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2327736 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2327739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2327747 */   // (fpextend:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_D_S_IN32X:{ *:[f64] } FPR32INX:{ *:[f32] }:$rs1, 0:{ *:[i32] })
     /* 2327747 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2327750 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327752 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327754 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327757 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327758 */   // GIR_Coverage, 1577,
     /* 2327758 */   GIR_EraseRootFromParent_Done,
     /* 2327759 */ // Label 32043: @2327759
     /* 2327759 */ GIM_Try, /*On fail goto*//*Label 32044*/ GIMT_Encode4(2327790), // Rule ID 2296 //
     /* 2327764 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2327767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2327770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327778 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2327778 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2327781 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327783 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327785 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327788 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327789 */   // GIR_Coverage, 2296,
     /* 2327789 */   GIR_EraseRootFromParent_Done,
     /* 2327790 */ // Label 32044: @2327790
     /* 2327790 */ GIM_Try, /*On fail goto*//*Label 32045*/ GIMT_Encode4(2327821), // Rule ID 2297 //
     /* 2327795 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2327798 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2327801 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2327805 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2327809 */   // (fpextend:{ *:[f64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_D_H:{ *:[f64] } FPR16:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2327809 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2327812 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327814 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327820 */   // GIR_Coverage, 2297,
     /* 2327820 */   GIR_EraseRootFromParent_Done,
     /* 2327821 */ // Label 32045: @2327821
     /* 2327821 */ GIM_Try, /*On fail goto*//*Label 32046*/ GIMT_Encode4(2327852), // Rule ID 2308 //
     /* 2327826 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2327829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2327832 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327836 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327840 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2327840 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2327843 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327845 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327851 */   // GIR_Coverage, 2308,
     /* 2327851 */   GIR_EraseRootFromParent_Done,
     /* 2327852 */ // Label 32046: @2327852
     /* 2327852 */ GIM_Try, /*On fail goto*//*Label 32047*/ GIMT_Encode4(2327883), // Rule ID 2309 //
     /* 2327857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2327860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2327863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2327867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327871 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_IN32X:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i32] })
     /* 2327871 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2327874 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327876 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327881 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327882 */   // GIR_Coverage, 2309,
     /* 2327882 */   GIR_EraseRootFromParent_Done,
     /* 2327883 */ // Label 32047: @2327883
     /* 2327883 */ GIM_Try, /*On fail goto*//*Label 32048*/ GIMT_Encode4(2327914), // Rule ID 2317 //
     /* 2327888 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2327891 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2327894 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2327898 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2327902 */   // (fpextend:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_D_H_INX:{ *:[f64] } FPR16INX:{ *:[f16] }:$rs1, 0:{ *:[i64] })
     /* 2327902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2327905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2327907 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2327909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2327912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2327913 */   // GIR_Coverage, 2317,
     /* 2327913 */   GIR_EraseRootFromParent_Done,
     /* 2327914 */ // Label 32048: @2327914
     /* 2327914 */ GIM_Reject,
     /* 2327915 */ // Label 32033: @2327915
     /* 2327915 */ GIM_Reject,
     /* 2327916 */ // Label 66: @2327916
     /* 2327916 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(28), /*)*//*default:*//*Label 32060*/ GIMT_Encode4(2329451),
     /* 2327927 */ /*GILLT_s16*//*Label 32049*/ GIMT_Encode4(2328031),
     /* 2327931 */ /*GILLT_s32*//*Label 32050*/ GIMT_Encode4(2328311), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2327947 */ /*GILLT_nxv1s16*//*Label 32051*/ GIMT_Encode4(2328461),
     /* 2327951 */ /*GILLT_nxv1s32*//*Label 32052*/ GIMT_Encode4(2328571), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2327967 */ /*GILLT_nxv2s16*//*Label 32053*/ GIMT_Encode4(2328681),
     /* 2327971 */ /*GILLT_nxv2s32*//*Label 32054*/ GIMT_Encode4(2328791), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2327987 */ /*GILLT_nxv4s16*//*Label 32055*/ GIMT_Encode4(2328901),
     /* 2327991 */ /*GILLT_nxv4s32*//*Label 32056*/ GIMT_Encode4(2329011), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2328007 */ /*GILLT_nxv8s16*//*Label 32057*/ GIMT_Encode4(2329121),
     /* 2328011 */ /*GILLT_nxv8s32*//*Label 32058*/ GIMT_Encode4(2329231), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2328027 */ /*GILLT_nxv16s16*//*Label 32059*/ GIMT_Encode4(2329341),
     /* 2328031 */ // Label 32049: @2328031
     /* 2328031 */ GIM_Try, /*On fail goto*//*Label 32061*/ GIMT_Encode4(2328062), // Rule ID 2158 //
     /* 2328036 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2328039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328042 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328046 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328050 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2328050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2328053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328055 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328061 */   // GIR_Coverage, 2158,
     /* 2328061 */   GIR_EraseRootFromParent_Done,
     /* 2328062 */ // Label 32061: @2328062
     /* 2328062 */ GIM_Try, /*On fail goto*//*Label 32062*/ GIMT_Encode4(2328093), // Rule ID 2159 //
     /* 2328067 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2328070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328073 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328077 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328081 */   // (fpround:{ *:[f16] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_H_S:{ *:[f16] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2328081 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2328084 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328086 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328088 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328091 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328092 */   // GIR_Coverage, 2159,
     /* 2328092 */   GIR_EraseRootFromParent_Done,
     /* 2328093 */ // Label 32062: @2328093
     /* 2328093 */ GIM_Try, /*On fail goto*//*Label 32063*/ GIMT_Encode4(2328124), // Rule ID 2174 //
     /* 2328098 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2328101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328104 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328108 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328112 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2328112 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2328115 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328117 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328119 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328122 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328123 */   // GIR_Coverage, 2174,
     /* 2328123 */   GIR_EraseRootFromParent_Done,
     /* 2328124 */ // Label 32063: @2328124
     /* 2328124 */ GIM_Try, /*On fail goto*//*Label 32064*/ GIMT_Encode4(2328155), // Rule ID 2175 //
     /* 2328129 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2328132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2328135 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328139 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328143 */   // (fpround:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_H_S_INX:{ *:[f16] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2328143 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2328146 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328148 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328154 */   // GIR_Coverage, 2175,
     /* 2328154 */   GIR_EraseRootFromParent_Done,
     /* 2328155 */ // Label 32064: @2328155
     /* 2328155 */ GIM_Try, /*On fail goto*//*Label 32065*/ GIMT_Encode4(2328186), // Rule ID 2292 //
     /* 2328160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2328163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328174 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2328174 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2328177 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328179 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328184 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328185 */   // GIR_Coverage, 2292,
     /* 2328185 */   GIR_EraseRootFromParent_Done,
     /* 2328186 */ // Label 32065: @2328186
     /* 2328186 */ GIM_Try, /*On fail goto*//*Label 32066*/ GIMT_Encode4(2328217), // Rule ID 2293 //
     /* 2328191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2328194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2328201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328205 */   // (fpround:{ *:[f16] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_H_D:{ *:[f16] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2328205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2328208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328210 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328216 */   // GIR_Coverage, 2293,
     /* 2328216 */   GIR_EraseRootFromParent_Done,
     /* 2328217 */ // Label 32066: @2328217
     /* 2328217 */ GIM_Try, /*On fail goto*//*Label 32067*/ GIMT_Encode4(2328248), // Rule ID 2304 //
     /* 2328222 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2328225 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328228 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328232 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328236 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2328236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2328239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328241 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328243 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328246 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328247 */   // GIR_Coverage, 2304,
     /* 2328247 */   GIR_EraseRootFromParent_Done,
     /* 2328248 */ // Label 32067: @2328248
     /* 2328248 */ GIM_Try, /*On fail goto*//*Label 32068*/ GIMT_Encode4(2328279), // Rule ID 2305 //
     /* 2328253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2328256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328267 */   // (fpround:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_IN32X:{ *:[f16] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2328267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2328270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328278 */   // GIR_Coverage, 2305,
     /* 2328278 */   GIR_EraseRootFromParent_Done,
     /* 2328279 */ // Label 32068: @2328279
     /* 2328279 */ GIM_Try, /*On fail goto*//*Label 32069*/ GIMT_Encode4(2328310), // Rule ID 2315 //
     /* 2328284 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2328287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328290 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2328294 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328298 */   // (fpround:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_H_D_INX:{ *:[f16] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2328298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2328301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328303 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328305 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328308 */   GIR_RootConstrainSelectedInstOperands,
     /* 2328309 */   // GIR_Coverage, 2315,
     /* 2328309 */   GIR_EraseRootFromParent_Done,
     /* 2328310 */ // Label 32069: @2328310
     /* 2328310 */ GIM_Reject,
     /* 2328311 */ // Label 32050: @2328311
     /* 2328311 */ GIM_Try, /*On fail goto*//*Label 32070*/ GIMT_Encode4(2328460),
     /* 2328316 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2328319 */   GIM_Try, /*On fail goto*//*Label 32071*/ GIMT_Encode4(2328347), // Rule ID 1560 //
     /* 2328324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2328327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328335 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2328335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2328338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328345 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328346 */     // GIR_Coverage, 1560,
     /* 2328346 */     GIR_EraseRootFromParent_Done,
     /* 2328347 */   // Label 32071: @2328347
     /* 2328347 */   GIM_Try, /*On fail goto*//*Label 32072*/ GIMT_Encode4(2328375), // Rule ID 1561 //
     /* 2328352 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2328355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2328359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2328363 */     // (fpround:{ *:[f32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_S_D:{ *:[f32] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2328363 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2328366 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328374 */     // GIR_Coverage, 1561,
     /* 2328374 */     GIR_EraseRootFromParent_Done,
     /* 2328375 */   // Label 32072: @2328375
     /* 2328375 */   GIM_Try, /*On fail goto*//*Label 32073*/ GIMT_Encode4(2328403), // Rule ID 1567 //
     /* 2328380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2328383 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328387 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2328391 */     // (fpround:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_INX:{ *:[f32] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2328391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2328394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328402 */     // GIR_Coverage, 1567,
     /* 2328402 */     GIR_EraseRootFromParent_Done,
     /* 2328403 */   // Label 32073: @2328403
     /* 2328403 */   GIM_Try, /*On fail goto*//*Label 32074*/ GIMT_Encode4(2328431), // Rule ID 1572 //
     /* 2328408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2328411 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328415 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328419 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2328419 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2328422 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328424 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328430 */     // GIR_Coverage, 1572,
     /* 2328430 */     GIR_EraseRootFromParent_Done,
     /* 2328431 */   // Label 32074: @2328431
     /* 2328431 */   GIM_Try, /*On fail goto*//*Label 32075*/ GIMT_Encode4(2328459), // Rule ID 1573 //
     /* 2328436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2328439 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2328443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2328447 */     // (fpround:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_S_D_IN32X:{ *:[f32] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2328447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2328450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328458 */     // GIR_Coverage, 1573,
     /* 2328458 */     GIR_EraseRootFromParent_Done,
     /* 2328459 */   // Label 32075: @2328459
     /* 2328459 */   GIM_Reject,
     /* 2328460 */ // Label 32070: @2328460
     /* 2328460 */ GIM_Reject,
     /* 2328461 */ // Label 32051: @2328461
     /* 2328461 */ GIM_Try, /*On fail goto*//*Label 32076*/ GIMT_Encode4(2328570),
     /* 2328466 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2328469 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328473 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328477 */   GIM_Try, /*On fail goto*//*Label 32077*/ GIMT_Encode4(2328523), // Rule ID 58888 //
     /* 2328482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2328485 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2328488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2328502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328522 */     // GIR_Coverage, 58888,
     /* 2328522 */     GIR_EraseRootFromParent_Done,
     /* 2328523 */   // Label 32077: @2328523
     /* 2328523 */   GIM_Try, /*On fail goto*//*Label 32078*/ GIMT_Encode4(2328569), // Rule ID 58889 //
     /* 2328528 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2328531 */     // (fpround:{ *:[nxv1f16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328531 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2328534 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328538 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328543 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF4_E16),
     /* 2328548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328550 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328553 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328568 */     // GIR_Coverage, 58889,
     /* 2328568 */     GIR_EraseRootFromParent_Done,
     /* 2328569 */   // Label 32078: @2328569
     /* 2328569 */   GIM_Reject,
     /* 2328570 */ // Label 32076: @2328570
     /* 2328570 */ GIM_Reject,
     /* 2328571 */ // Label 32052: @2328571
     /* 2328571 */ GIM_Try, /*On fail goto*//*Label 32079*/ GIMT_Encode4(2328680),
     /* 2328576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2328579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328587 */   GIM_Try, /*On fail goto*//*Label 32080*/ GIMT_Encode4(2328633), // Rule ID 58898 //
     /* 2328592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2328595 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2328598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2328612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328632 */     // GIR_Coverage, 58898,
     /* 2328632 */     GIR_EraseRootFromParent_Done,
     /* 2328633 */   // Label 32080: @2328633
     /* 2328633 */   GIM_Try, /*On fail goto*//*Label 32081*/ GIMT_Encode4(2328679), // Rule ID 58899 //
     /* 2328638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2328641 */     // (fpround:{ *:[nxv1f32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328641 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2328644 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328648 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328653 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E32),
     /* 2328658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328660 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328663 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328678 */     // GIR_Coverage, 58899,
     /* 2328678 */     GIR_EraseRootFromParent_Done,
     /* 2328679 */   // Label 32081: @2328679
     /* 2328679 */   GIM_Reject,
     /* 2328680 */ // Label 32079: @2328680
     /* 2328680 */ GIM_Reject,
     /* 2328681 */ // Label 32053: @2328681
     /* 2328681 */ GIM_Try, /*On fail goto*//*Label 32082*/ GIMT_Encode4(2328790),
     /* 2328686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2328689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328693 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328697 */   GIM_Try, /*On fail goto*//*Label 32083*/ GIMT_Encode4(2328743), // Rule ID 58890 //
     /* 2328702 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2328705 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328705 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328708 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328712 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328717 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2328722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328724 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328727 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328742 */     // GIR_Coverage, 58890,
     /* 2328742 */     GIR_EraseRootFromParent_Done,
     /* 2328743 */   // Label 32083: @2328743
     /* 2328743 */   GIM_Try, /*On fail goto*//*Label 32084*/ GIMT_Encode4(2328789), // Rule ID 58891 //
     /* 2328748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2328751 */     // (fpround:{ *:[nxv2f16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2328754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_MF2_E16),
     /* 2328768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328788 */     // GIR_Coverage, 58891,
     /* 2328788 */     GIR_EraseRootFromParent_Done,
     /* 2328789 */   // Label 32084: @2328789
     /* 2328789 */   GIM_Reject,
     /* 2328790 */ // Label 32082: @2328790
     /* 2328790 */ GIM_Reject,
     /* 2328791 */ // Label 32054: @2328791
     /* 2328791 */ GIM_Try, /*On fail goto*//*Label 32085*/ GIMT_Encode4(2328900),
     /* 2328796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2328799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328807 */   GIM_Try, /*On fail goto*//*Label 32086*/ GIMT_Encode4(2328853), // Rule ID 58900 //
     /* 2328812 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2328815 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328815 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328818 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328822 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328827 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2328832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328834 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328837 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328852 */     // GIR_Coverage, 58900,
     /* 2328852 */     GIR_EraseRootFromParent_Done,
     /* 2328853 */   // Label 32086: @2328853
     /* 2328853 */   GIM_Try, /*On fail goto*//*Label 32087*/ GIMT_Encode4(2328899), // Rule ID 58901 //
     /* 2328858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2328861 */     // (fpround:{ *:[nxv2f32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328861 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2328864 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328868 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328873 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328875 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E32),
     /* 2328878 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328880 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2328894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328898 */     // GIR_Coverage, 58901,
     /* 2328898 */     GIR_EraseRootFromParent_Done,
     /* 2328899 */   // Label 32087: @2328899
     /* 2328899 */   GIM_Reject,
     /* 2328900 */ // Label 32085: @2328900
     /* 2328900 */ GIM_Reject,
     /* 2328901 */ // Label 32055: @2328901
     /* 2328901 */ GIM_Try, /*On fail goto*//*Label 32088*/ GIMT_Encode4(2329010),
     /* 2328906 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2328909 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2328913 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2328917 */   GIM_Try, /*On fail goto*//*Label 32089*/ GIMT_Encode4(2328963), // Rule ID 58892 //
     /* 2328922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2328925 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2328925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2328942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2328955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2328958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2328961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2328962 */     // GIR_Coverage, 58892,
     /* 2328962 */     GIR_EraseRootFromParent_Done,
     /* 2328963 */   // Label 32089: @2328963
     /* 2328963 */   GIM_Try, /*On fail goto*//*Label 32090*/ GIMT_Encode4(2329009), // Rule ID 58893 //
     /* 2328968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2328971 */     // (fpround:{ *:[nxv4f16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2328971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2328974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2328978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2328983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2328985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M1_E16),
     /* 2328988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2328990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2328993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2328995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2328998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329007 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329008 */     // GIR_Coverage, 58893,
     /* 2329008 */     GIR_EraseRootFromParent_Done,
     /* 2329009 */   // Label 32090: @2329009
     /* 2329009 */   GIM_Reject,
     /* 2329010 */ // Label 32088: @2329010
     /* 2329010 */ GIM_Reject,
     /* 2329011 */ // Label 32056: @2329011
     /* 2329011 */ GIM_Try, /*On fail goto*//*Label 32091*/ GIMT_Encode4(2329120),
     /* 2329016 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2329019 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329023 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329027 */   GIM_Try, /*On fail goto*//*Label 32092*/ GIMT_Encode4(2329073), // Rule ID 58902 //
     /* 2329032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2329035 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329035 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329038 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329042 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2329052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329054 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329057 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329059 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329072 */     // GIR_Coverage, 58902,
     /* 2329072 */     GIR_EraseRootFromParent_Done,
     /* 2329073 */   // Label 32092: @2329073
     /* 2329073 */   GIM_Try, /*On fail goto*//*Label 32093*/ GIMT_Encode4(2329119), // Rule ID 58903 //
     /* 2329078 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2329081 */     // (fpround:{ *:[nxv4f32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329081 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2329084 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329088 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329093 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E32),
     /* 2329098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329100 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329118 */     // GIR_Coverage, 58903,
     /* 2329118 */     GIR_EraseRootFromParent_Done,
     /* 2329119 */   // Label 32093: @2329119
     /* 2329119 */   GIM_Reject,
     /* 2329120 */ // Label 32091: @2329120
     /* 2329120 */ GIM_Reject,
     /* 2329121 */ // Label 32057: @2329121
     /* 2329121 */ GIM_Try, /*On fail goto*//*Label 32094*/ GIMT_Encode4(2329230),
     /* 2329126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2329129 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2329133 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329137 */   GIM_Try, /*On fail goto*//*Label 32095*/ GIMT_Encode4(2329183), // Rule ID 58894 //
     /* 2329142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2329145 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329145 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329148 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329152 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329157 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329159 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2329162 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329164 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329167 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329169 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329182 */     // GIR_Coverage, 58894,
     /* 2329182 */     GIR_EraseRootFromParent_Done,
     /* 2329183 */   // Label 32095: @2329183
     /* 2329183 */   GIM_Try, /*On fail goto*//*Label 32096*/ GIMT_Encode4(2329229), // Rule ID 58895 //
     /* 2329188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2329191 */     // (fpround:{ *:[nxv8f16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2329194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M2_E16),
     /* 2329208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329228 */     // GIR_Coverage, 58895,
     /* 2329228 */     GIR_EraseRootFromParent_Done,
     /* 2329229 */   // Label 32096: @2329229
     /* 2329229 */   GIM_Reject,
     /* 2329230 */ // Label 32094: @2329230
     /* 2329230 */ GIM_Reject,
     /* 2329231 */ // Label 32058: @2329231
     /* 2329231 */ GIM_Try, /*On fail goto*//*Label 32097*/ GIMT_Encode4(2329340),
     /* 2329236 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2329239 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329243 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329247 */   GIM_Try, /*On fail goto*//*Label 32098*/ GIMT_Encode4(2329293), // Rule ID 58904 //
     /* 2329252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode0),
     /* 2329255 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2329272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329292 */     // GIR_Coverage, 58904,
     /* 2329292 */     GIR_EraseRootFromParent_Done,
     /* 2329293 */   // Label 32098: @2329293
     /* 2329293 */   GIM_Try, /*On fail goto*//*Label 32099*/ GIMT_Encode4(2329339), // Rule ID 58905 //
     /* 2329298 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF64_HwMode1),
     /* 2329301 */     // (fpround:{ *:[nxv8f32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8f64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329301 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2329304 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329308 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329313 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329315 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E32),
     /* 2329318 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329320 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2329334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329338 */     // GIR_Coverage, 58905,
     /* 2329338 */     GIR_EraseRootFromParent_Done,
     /* 2329339 */   // Label 32099: @2329339
     /* 2329339 */   GIM_Reject,
     /* 2329340 */ // Label 32097: @2329340
     /* 2329340 */ GIM_Reject,
     /* 2329341 */ // Label 32059: @2329341
     /* 2329341 */ GIM_Try, /*On fail goto*//*Label 32100*/ GIMT_Encode4(2329450),
     /* 2329346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2329349 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2329353 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2329357 */   GIM_Try, /*On fail goto*//*Label 32101*/ GIMT_Encode4(2329403), // Rule ID 58896 //
     /* 2329362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode0),
     /* 2329365 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2329365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2329382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329402 */     // GIR_Coverage, 58896,
     /* 2329402 */     GIR_EraseRootFromParent_Done,
     /* 2329403 */   // Label 32101: @2329403
     /* 2329403 */   GIM_Try, /*On fail goto*//*Label 32102*/ GIMT_Encode4(2329449), // Rule ID 58897 //
     /* 2329408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsF16Minimal_HwMode1),
     /* 2329411 */     // (fpround:{ *:[nxv16f16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_F_F_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16f32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2329411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2329414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2329418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2329423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2329425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_F_W_M4_E16),
     /* 2329428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2329433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2329438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2329441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2329444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2329447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2329448 */     // GIR_Coverage, 58897,
     /* 2329448 */     GIR_EraseRootFromParent_Done,
     /* 2329449 */   // Label 32102: @2329449
     /* 2329449 */   GIM_Reject,
     /* 2329450 */ // Label 32100: @2329450
     /* 2329450 */ GIM_Reject,
     /* 2329451 */ // Label 32060: @2329451
     /* 2329451 */ GIM_Reject,
     /* 2329452 */ // Label 67: @2329452
     /* 2329452 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32126*/ GIMT_Encode4(2334337),
     /* 2329463 */ /*GILLT_s32*//*Label 32103*/ GIMT_Encode4(2329579),
     /* 2329467 */ /*GILLT_s64*//*Label 32104*/ GIMT_Encode4(2329952), GIMT_Encode4(0),
     /* 2329475 */ /*GILLT_nxv1s8*//*Label 32105*/ GIMT_Encode4(2330139),
     /* 2329479 */ /*GILLT_nxv1s16*//*Label 32106*/ GIMT_Encode4(2330243),
     /* 2329483 */ /*GILLT_nxv1s32*//*Label 32107*/ GIMT_Encode4(2330460),
     /* 2329487 */ /*GILLT_nxv1s64*//*Label 32108*/ GIMT_Encode4(2330785), GIMT_Encode4(0),
     /* 2329495 */ /*GILLT_nxv2s8*//*Label 32109*/ GIMT_Encode4(2331002),
     /* 2329499 */ /*GILLT_nxv2s16*//*Label 32110*/ GIMT_Encode4(2331106),
     /* 2329503 */ /*GILLT_nxv2s32*//*Label 32111*/ GIMT_Encode4(2331323),
     /* 2329507 */ /*GILLT_nxv2s64*//*Label 32112*/ GIMT_Encode4(2331648), GIMT_Encode4(0),
     /* 2329515 */ /*GILLT_nxv4s8*//*Label 32113*/ GIMT_Encode4(2331865),
     /* 2329519 */ /*GILLT_nxv4s16*//*Label 32114*/ GIMT_Encode4(2331969),
     /* 2329523 */ /*GILLT_nxv4s32*//*Label 32115*/ GIMT_Encode4(2332186),
     /* 2329527 */ /*GILLT_nxv4s64*//*Label 32116*/ GIMT_Encode4(2332511), GIMT_Encode4(0),
     /* 2329535 */ /*GILLT_nxv8s8*//*Label 32117*/ GIMT_Encode4(2332728),
     /* 2329539 */ /*GILLT_nxv8s16*//*Label 32118*/ GIMT_Encode4(2332832),
     /* 2329543 */ /*GILLT_nxv8s32*//*Label 32119*/ GIMT_Encode4(2333049),
     /* 2329547 */ /*GILLT_nxv8s64*//*Label 32120*/ GIMT_Encode4(2333374), GIMT_Encode4(0),
     /* 2329555 */ /*GILLT_nxv16s8*//*Label 32121*/ GIMT_Encode4(2333591),
     /* 2329559 */ /*GILLT_nxv16s16*//*Label 32122*/ GIMT_Encode4(2333695),
     /* 2329563 */ /*GILLT_nxv16s32*//*Label 32123*/ GIMT_Encode4(2333912), GIMT_Encode4(0),
     /* 2329571 */ /*GILLT_nxv32s8*//*Label 32124*/ GIMT_Encode4(2334129),
     /* 2329575 */ /*GILLT_nxv32s16*//*Label 32125*/ GIMT_Encode4(2334233),
     /* 2329579 */ // Label 32103: @2329579
     /* 2329579 */ GIM_Try, /*On fail goto*//*Label 32127*/ GIMT_Encode4(2329610), // Rule ID 1452 //
     /* 2329584 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2329587 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2329590 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329594 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2329598 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2329598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2329601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329603 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329609 */   // GIR_Coverage, 1452,
     /* 2329609 */   GIR_EraseRootFromParent_Done,
     /* 2329610 */ // Label 32127: @2329610
     /* 2329610 */ GIM_Try, /*On fail goto*//*Label 32128*/ GIMT_Encode4(2329641), // Rule ID 1453 //
     /* 2329615 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2329618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2329621 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329625 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2329629 */   // (fp_to_sint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2329629 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2329632 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329634 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329639 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329640 */   // GIR_Coverage, 1453,
     /* 2329640 */   GIR_EraseRootFromParent_Done,
     /* 2329641 */ // Label 32128: @2329641
     /* 2329641 */ GIM_Try, /*On fail goto*//*Label 32129*/ GIMT_Encode4(2329672), // Rule ID 1478 //
     /* 2329646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2329649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2329652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329656 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2329660 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2329660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2329663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329665 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329667 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329670 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329671 */   // GIR_Coverage, 1478,
     /* 2329671 */   GIR_EraseRootFromParent_Done,
     /* 2329672 */ // Label 32129: @2329672
     /* 2329672 */ GIM_Try, /*On fail goto*//*Label 32130*/ GIMT_Encode4(2329703), // Rule ID 1479 //
     /* 2329677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2329680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2329683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329687 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2329691 */   // (fp_to_sint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2329691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2329694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329696 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329702 */   // GIR_Coverage, 1479,
     /* 2329702 */   GIR_EraseRootFromParent_Done,
     /* 2329703 */ // Label 32130: @2329703
     /* 2329703 */ GIM_Try, /*On fail goto*//*Label 32131*/ GIMT_Encode4(2329734), // Rule ID 1846 //
     /* 2329708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2329711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2329714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2329722 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2329722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2329725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329732 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329733 */   // GIR_Coverage, 1846,
     /* 2329733 */   GIR_EraseRootFromParent_Done,
     /* 2329734 */ // Label 32131: @2329734
     /* 2329734 */ GIM_Try, /*On fail goto*//*Label 32132*/ GIMT_Encode4(2329765), // Rule ID 1847 //
     /* 2329739 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2329742 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2329745 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329749 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2329753 */   // (fp_to_sint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2329753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2329756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329758 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329760 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329763 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329764 */   // GIR_Coverage, 1847,
     /* 2329764 */   GIR_EraseRootFromParent_Done,
     /* 2329765 */ // Label 32132: @2329765
     /* 2329765 */ GIM_Try, /*On fail goto*//*Label 32133*/ GIMT_Encode4(2329796), // Rule ID 1872 //
     /* 2329770 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2329773 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2329776 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329780 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2329784 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2329784 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2329787 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329789 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329791 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329794 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329795 */   // GIR_Coverage, 1872,
     /* 2329795 */   GIR_EraseRootFromParent_Done,
     /* 2329796 */ // Label 32133: @2329796
     /* 2329796 */ GIM_Try, /*On fail goto*//*Label 32134*/ GIMT_Encode4(2329827), // Rule ID 1873 //
     /* 2329801 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2329804 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2329807 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329811 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2329815 */   // (fp_to_sint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2329815 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2329818 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329825 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329826 */   // GIR_Coverage, 1873,
     /* 2329826 */   GIR_EraseRootFromParent_Done,
     /* 2329827 */ // Label 32134: @2329827
     /* 2329827 */ GIM_Try, /*On fail goto*//*Label 32135*/ GIMT_Encode4(2329858), // Rule ID 2188 //
     /* 2329832 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2329835 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2329838 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329842 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2329846 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2329846 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2329849 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329851 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329856 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329857 */   // GIR_Coverage, 2188,
     /* 2329857 */   GIR_EraseRootFromParent_Done,
     /* 2329858 */ // Label 32135: @2329858
     /* 2329858 */ GIM_Try, /*On fail goto*//*Label 32136*/ GIMT_Encode4(2329889), // Rule ID 2189 //
     /* 2329863 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2329866 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2329869 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329873 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2329877 */   // (fp_to_sint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2329877 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2329880 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329882 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329884 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329887 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329888 */   // GIR_Coverage, 2189,
     /* 2329888 */   GIR_EraseRootFromParent_Done,
     /* 2329889 */ // Label 32136: @2329889
     /* 2329889 */ GIM_Try, /*On fail goto*//*Label 32137*/ GIMT_Encode4(2329920), // Rule ID 2214 //
     /* 2329894 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2329897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2329900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2329908 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2329908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2329911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329913 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329918 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329919 */   // GIR_Coverage, 2214,
     /* 2329919 */   GIR_EraseRootFromParent_Done,
     /* 2329920 */ // Label 32137: @2329920
     /* 2329920 */ GIM_Try, /*On fail goto*//*Label 32138*/ GIMT_Encode4(2329951), // Rule ID 2215 //
     /* 2329925 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2329928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2329931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2329939 */   // (fp_to_sint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2329939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2329942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329950 */   // GIR_Coverage, 2215,
     /* 2329950 */   GIR_EraseRootFromParent_Done,
     /* 2329951 */ // Label 32138: @2329951
     /* 2329951 */ GIM_Reject,
     /* 2329952 */ // Label 32104: @2329952
     /* 2329952 */ GIM_Try, /*On fail goto*//*Label 32139*/ GIMT_Encode4(2329983), // Rule ID 1509 //
     /* 2329957 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2329960 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2329963 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329967 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2329971 */   // (fp_to_sint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2329971 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2329974 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2329976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2329978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2329981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2329982 */   // GIR_Coverage, 1509,
     /* 2329982 */   GIR_EraseRootFromParent_Done,
     /* 2329983 */ // Label 32139: @2329983
     /* 2329983 */ GIM_Try, /*On fail goto*//*Label 32140*/ GIMT_Encode4(2330014), // Rule ID 1537 //
     /* 2329988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2329991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2329994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2329998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2330002 */   // (fp_to_sint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2330002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2330005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2330012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330013 */   // GIR_Coverage, 1537,
     /* 2330013 */   GIR_EraseRootFromParent_Done,
     /* 2330014 */ // Label 32140: @2330014
     /* 2330014 */ GIM_Try, /*On fail goto*//*Label 32141*/ GIMT_Encode4(2330045), // Rule ID 1909 //
     /* 2330019 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2330022 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330025 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330029 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2330033 */   // (fp_to_sint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2330033 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2330036 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330038 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2330043 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330044 */   // GIR_Coverage, 1909,
     /* 2330044 */   GIR_EraseRootFromParent_Done,
     /* 2330045 */ // Label 32141: @2330045
     /* 2330045 */ GIM_Try, /*On fail goto*//*Label 32142*/ GIMT_Encode4(2330076), // Rule ID 1937 //
     /* 2330050 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2330053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2330056 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330060 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330064 */   // (fp_to_sint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2330064 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2330067 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330069 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330071 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2330074 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330075 */   // GIR_Coverage, 1937,
     /* 2330075 */   GIR_EraseRootFromParent_Done,
     /* 2330076 */ // Label 32142: @2330076
     /* 2330076 */ GIM_Try, /*On fail goto*//*Label 32143*/ GIMT_Encode4(2330107), // Rule ID 2243 //
     /* 2330081 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2330084 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2330087 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330091 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2330095 */   // (fp_to_sint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2330095 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2330098 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330100 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330102 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2330105 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330106 */   // GIR_Coverage, 2243,
     /* 2330106 */   GIR_EraseRootFromParent_Done,
     /* 2330107 */ // Label 32143: @2330107
     /* 2330107 */ GIM_Try, /*On fail goto*//*Label 32144*/ GIMT_Encode4(2330138), // Rule ID 2269 //
     /* 2330112 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2330115 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2330118 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2330122 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2330126 */   // (fp_to_sint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2330126 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2330129 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330131 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330133 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2330136 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330137 */   // GIR_Coverage, 2269,
     /* 2330137 */   GIR_EraseRootFromParent_Done,
     /* 2330138 */ // Label 32144: @2330138
     /* 2330138 */ GIM_Reject,
     /* 2330139 */ // Label 32105: @2330139
     /* 2330139 */ GIM_Try, /*On fail goto*//*Label 32145*/ GIMT_Encode4(2330242),
     /* 2330144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2330147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330155 */   GIM_Try, /*On fail goto*//*Label 32146*/ GIMT_Encode4(2330198), // Rule ID 45818 //
     /* 2330160 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330163 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330163 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2330166 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330170 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330175 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2330180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330182 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330196 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330197 */     // GIR_Coverage, 45818,
     /* 2330197 */     GIR_EraseRootFromParent_Done,
     /* 2330198 */   // Label 32146: @2330198
     /* 2330198 */   GIM_Try, /*On fail goto*//*Label 32147*/ GIMT_Encode4(2330241), // Rule ID 45819 //
     /* 2330203 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330206 */     // (fp_to_sint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330206 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2330209 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330213 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330218 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF8),
     /* 2330223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330225 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2330240 */     // GIR_Coverage, 45819,
     /* 2330240 */     GIR_EraseRootFromParent_Done,
     /* 2330241 */   // Label 32147: @2330241
     /* 2330241 */   GIM_Reject,
     /* 2330242 */ // Label 32145: @2330242
     /* 2330242 */ GIM_Reject,
     /* 2330243 */ // Label 32106: @2330243
     /* 2330243 */ GIM_Try, /*On fail goto*//*Label 32148*/ GIMT_Encode4(2330297), // Rule ID 45802 //
     /* 2330248 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330251 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2330254 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330258 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330262 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330262 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2330265 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330269 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330274 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330276 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2330279 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330281 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330284 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330292 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330295 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330296 */   // GIR_Coverage, 45802,
     /* 2330296 */   GIR_EraseRootFromParent_Done,
     /* 2330297 */ // Label 32148: @2330297
     /* 2330297 */ GIM_Try, /*On fail goto*//*Label 32149*/ GIMT_Encode4(2330351), // Rule ID 45803 //
     /* 2330302 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330305 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2330308 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330312 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330316 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330316 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2330319 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330323 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330328 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330330 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF4),
     /* 2330333 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330335 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330338 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330346 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330349 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330350 */   // GIR_Coverage, 45803,
     /* 2330350 */   GIR_EraseRootFromParent_Done,
     /* 2330351 */ // Label 32149: @2330351
     /* 2330351 */ GIM_Try, /*On fail goto*//*Label 32150*/ GIMT_Encode4(2330405), // Rule ID 58726 //
     /* 2330356 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2330362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330370 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330370 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2330373 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330377 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330382 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330384 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2330387 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330389 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330392 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330400 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330404 */   // GIR_Coverage, 58726,
     /* 2330404 */   GIR_EraseRootFromParent_Done,
     /* 2330405 */ // Label 32150: @2330405
     /* 2330405 */ GIM_Try, /*On fail goto*//*Label 32151*/ GIMT_Encode4(2330459), // Rule ID 58727 //
     /* 2330410 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2330416 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330420 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330424 */   // (fp_to_sint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330424 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2330427 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330431 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330436 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330438 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2330441 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330443 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330446 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330454 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330457 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330458 */   // GIR_Coverage, 58727,
     /* 2330458 */   GIR_EraseRootFromParent_Done,
     /* 2330459 */ // Label 32151: @2330459
     /* 2330459 */ GIM_Reject,
     /* 2330460 */ // Label 32107: @2330460
     /* 2330460 */ GIM_Try, /*On fail goto*//*Label 32152*/ GIMT_Encode4(2330514), // Rule ID 45810 //
     /* 2330465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2330468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2330471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330479 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330479 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2330482 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330486 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330491 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330493 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2330496 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330498 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330501 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330512 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330513 */   // GIR_Coverage, 45810,
     /* 2330513 */   GIR_EraseRootFromParent_Done,
     /* 2330514 */ // Label 32152: @2330514
     /* 2330514 */ GIM_Try, /*On fail goto*//*Label 32153*/ GIMT_Encode4(2330568), // Rule ID 45811 //
     /* 2330519 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2330522 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2330525 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330529 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330533 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330533 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2330536 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330540 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330545 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330547 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF4),
     /* 2330550 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330552 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330555 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2330563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330566 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330567 */   // GIR_Coverage, 45811,
     /* 2330567 */   GIR_EraseRootFromParent_Done,
     /* 2330568 */ // Label 32153: @2330568
     /* 2330568 */ GIM_Try, /*On fail goto*//*Label 32154*/ GIMT_Encode4(2330622), // Rule ID 58294 //
     /* 2330573 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2330576 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2330579 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330583 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330587 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330587 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2330590 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330594 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330599 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330601 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2330604 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330606 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330609 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330617 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330620 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330621 */   // GIR_Coverage, 58294,
     /* 2330621 */   GIR_EraseRootFromParent_Done,
     /* 2330622 */ // Label 32154: @2330622
     /* 2330622 */ GIM_Try, /*On fail goto*//*Label 32155*/ GIMT_Encode4(2330676), // Rule ID 58295 //
     /* 2330627 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2330630 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2330633 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330637 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330641 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330641 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2330644 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330648 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330653 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330655 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2330658 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330660 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330663 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330671 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330674 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330675 */   // GIR_Coverage, 58295,
     /* 2330675 */   GIR_EraseRootFromParent_Done,
     /* 2330676 */ // Label 32155: @2330676
     /* 2330676 */ GIM_Try, /*On fail goto*//*Label 32156*/ GIMT_Encode4(2330730), // Rule ID 58746 //
     /* 2330681 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2330684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2330687 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330691 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330695 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330695 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2330698 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330702 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330707 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2330712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330714 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330717 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330725 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330728 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330729 */   // GIR_Coverage, 58746,
     /* 2330729 */   GIR_EraseRootFromParent_Done,
     /* 2330730 */ // Label 32156: @2330730
     /* 2330730 */ GIM_Try, /*On fail goto*//*Label 32157*/ GIMT_Encode4(2330784), // Rule ID 58747 //
     /* 2330735 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2330738 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2330741 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330745 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330749 */   // (fp_to_sint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330749 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2330752 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330756 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330761 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2330766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330768 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330771 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330773 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330776 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330783 */   // GIR_Coverage, 58747,
     /* 2330783 */   GIR_EraseRootFromParent_Done,
     /* 2330784 */ // Label 32157: @2330784
     /* 2330784 */ GIM_Reject,
     /* 2330785 */ // Label 32108: @2330785
     /* 2330785 */ GIM_Try, /*On fail goto*//*Label 32158*/ GIMT_Encode4(2330839), // Rule ID 58306 //
     /* 2330790 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2330793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2330796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330804 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330804 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2330807 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330811 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330816 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330818 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2330821 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330823 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330826 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330831 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330838 */   // GIR_Coverage, 58306,
     /* 2330838 */   GIR_EraseRootFromParent_Done,
     /* 2330839 */ // Label 32158: @2330839
     /* 2330839 */ GIM_Try, /*On fail goto*//*Label 32159*/ GIMT_Encode4(2330893), // Rule ID 58307 //
     /* 2330844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2330847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2330850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330858 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330858 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2330861 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330865 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330870 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330872 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2330875 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330877 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330880 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330885 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2330888 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330891 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330892 */   // GIR_Coverage, 58307,
     /* 2330892 */   GIR_EraseRootFromParent_Done,
     /* 2330893 */ // Label 32159: @2330893
     /* 2330893 */ GIM_Try, /*On fail goto*//*Label 32160*/ GIMT_Encode4(2330947), // Rule ID 58538 //
     /* 2330898 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2330901 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2330904 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330908 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330912 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2330912 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2330915 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330919 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330924 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330926 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2330929 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330931 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330934 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330936 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330939 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2330946 */   // GIR_Coverage, 58538,
     /* 2330946 */   GIR_EraseRootFromParent_Done,
     /* 2330947 */ // Label 32160: @2330947
     /* 2330947 */ GIM_Try, /*On fail goto*//*Label 32161*/ GIMT_Encode4(2331001), // Rule ID 58539 //
     /* 2330952 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2330955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2330958 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330962 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2330966 */   // (fp_to_sint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2330966 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2330969 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2330973 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2330978 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2330980 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2330983 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2330985 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2330988 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2330990 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2330993 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2330996 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2330999 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331000 */   // GIR_Coverage, 58539,
     /* 2331000 */   GIR_EraseRootFromParent_Done,
     /* 2331001 */ // Label 32161: @2331001
     /* 2331001 */ GIM_Reject,
     /* 2331002 */ // Label 32109: @2331002
     /* 2331002 */ GIM_Try, /*On fail goto*//*Label 32162*/ GIMT_Encode4(2331105),
     /* 2331007 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331010 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331014 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331018 */   GIM_Try, /*On fail goto*//*Label 32163*/ GIMT_Encode4(2331061), // Rule ID 58706 //
     /* 2331023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331026 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2331029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2331043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331060 */     // GIR_Coverage, 58706,
     /* 2331060 */     GIR_EraseRootFromParent_Done,
     /* 2331061 */   // Label 32163: @2331061
     /* 2331061 */   GIM_Try, /*On fail goto*//*Label 32164*/ GIMT_Encode4(2331104), // Rule ID 58707 //
     /* 2331066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331069 */     // (fp_to_sint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2331072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF4),
     /* 2331086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331103 */     // GIR_Coverage, 58707,
     /* 2331103 */     GIR_EraseRootFromParent_Done,
     /* 2331104 */   // Label 32164: @2331104
     /* 2331104 */   GIM_Reject,
     /* 2331105 */ // Label 32162: @2331105
     /* 2331105 */ GIM_Reject,
     /* 2331106 */ // Label 32110: @2331106
     /* 2331106 */ GIM_Try, /*On fail goto*//*Label 32165*/ GIMT_Encode4(2331160), // Rule ID 58290 //
     /* 2331111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331125 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331125 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331128 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331132 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331137 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331139 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2331142 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331144 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331147 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331158 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331159 */   // GIR_Coverage, 58290,
     /* 2331159 */   GIR_EraseRootFromParent_Done,
     /* 2331160 */ // Label 32165: @2331160
     /* 2331160 */ GIM_Try, /*On fail goto*//*Label 32166*/ GIMT_Encode4(2331214), // Rule ID 58291 //
     /* 2331165 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331168 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331171 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331175 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331179 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331179 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331182 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331186 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331191 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331193 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_MF2),
     /* 2331196 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331198 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331201 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331212 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331213 */   // GIR_Coverage, 58291,
     /* 2331213 */   GIR_EraseRootFromParent_Done,
     /* 2331214 */ // Label 32166: @2331214
     /* 2331214 */ GIM_Try, /*On fail goto*//*Label 32167*/ GIMT_Encode4(2331268), // Rule ID 58730 //
     /* 2331219 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331225 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331229 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331233 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331233 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331236 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331240 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331245 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331247 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2331250 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331252 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331255 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331267 */   // GIR_Coverage, 58730,
     /* 2331267 */   GIR_EraseRootFromParent_Done,
     /* 2331268 */ // Label 32167: @2331268
     /* 2331268 */ GIM_Try, /*On fail goto*//*Label 32168*/ GIMT_Encode4(2331322), // Rule ID 58731 //
     /* 2331273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331287 */   // (fp_to_sint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331287 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2331290 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331294 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331299 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331301 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2331304 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331306 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331309 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331321 */   // GIR_Coverage, 58731,
     /* 2331321 */   GIR_EraseRootFromParent_Done,
     /* 2331322 */ // Label 32168: @2331322
     /* 2331322 */ GIM_Reject,
     /* 2331323 */ // Label 32111: @2331323
     /* 2331323 */ GIM_Try, /*On fail goto*//*Label 32169*/ GIMT_Encode4(2331377), // Rule ID 58302 //
     /* 2331328 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2331331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331334 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331338 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331342 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331342 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331345 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331349 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331354 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331356 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2331359 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331361 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331364 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331375 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331376 */   // GIR_Coverage, 58302,
     /* 2331376 */   GIR_EraseRootFromParent_Done,
     /* 2331377 */ // Label 32169: @2331377
     /* 2331377 */ GIM_Try, /*On fail goto*//*Label 32170*/ GIMT_Encode4(2331431), // Rule ID 58303 //
     /* 2331382 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2331385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331388 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331392 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331396 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331396 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331399 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331403 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331408 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331410 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2331413 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331415 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331418 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331429 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331430 */   // GIR_Coverage, 58303,
     /* 2331430 */   GIR_EraseRootFromParent_Done,
     /* 2331431 */ // Label 32170: @2331431
     /* 2331431 */ GIM_Try, /*On fail goto*//*Label 32171*/ GIMT_Encode4(2331485), // Rule ID 58522 //
     /* 2331436 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331450 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331450 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331453 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331457 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331462 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331464 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2331467 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331469 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331472 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331483 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331484 */   // GIR_Coverage, 58522,
     /* 2331484 */   GIR_EraseRootFromParent_Done,
     /* 2331485 */ // Label 32171: @2331485
     /* 2331485 */ GIM_Try, /*On fail goto*//*Label 32172*/ GIMT_Encode4(2331539), // Rule ID 58523 //
     /* 2331490 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331493 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2331496 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331500 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331504 */   // (fp_to_sint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331504 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331507 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331511 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331516 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331518 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_MF2),
     /* 2331521 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331523 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331526 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2331534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331537 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331538 */   // GIR_Coverage, 58523,
     /* 2331538 */   GIR_EraseRootFromParent_Done,
     /* 2331539 */ // Label 32172: @2331539
     /* 2331539 */ GIM_Try, /*On fail goto*//*Label 32173*/ GIMT_Encode4(2331593), // Rule ID 58750 //
     /* 2331544 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2331547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2331550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331558 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331558 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331561 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331565 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331570 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2331575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331577 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331580 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331588 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331591 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331592 */   // GIR_Coverage, 58750,
     /* 2331592 */   GIR_EraseRootFromParent_Done,
     /* 2331593 */ // Label 32173: @2331593
     /* 2331593 */ GIM_Try, /*On fail goto*//*Label 32174*/ GIMT_Encode4(2331647), // Rule ID 58751 //
     /* 2331598 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2331601 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2331604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331612 */   // (fp_to_sint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331612 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2331615 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331619 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331624 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331626 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2331629 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331631 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331634 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331636 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331639 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331642 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331645 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331646 */   // GIR_Coverage, 58751,
     /* 2331646 */   GIR_EraseRootFromParent_Done,
     /* 2331647 */ // Label 32174: @2331647
     /* 2331647 */ GIM_Reject,
     /* 2331648 */ // Label 32112: @2331648
     /* 2331648 */ GIM_Try, /*On fail goto*//*Label 32175*/ GIMT_Encode4(2331702), // Rule ID 58334 //
     /* 2331653 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2331656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2331659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331667 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331667 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2331670 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331674 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331679 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331681 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2331684 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331686 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331689 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331700 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331701 */   // GIR_Coverage, 58334,
     /* 2331701 */   GIR_EraseRootFromParent_Done,
     /* 2331702 */ // Label 32175: @2331702
     /* 2331702 */ GIM_Try, /*On fail goto*//*Label 32176*/ GIMT_Encode4(2331756), // Rule ID 58335 //
     /* 2331707 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2331710 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2331713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331721 */   // (fp_to_sint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331721 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2331724 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331728 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331733 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331735 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2331738 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331740 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331743 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331748 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2331751 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331754 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331755 */   // GIR_Coverage, 58335,
     /* 2331755 */   GIR_EraseRootFromParent_Done,
     /* 2331756 */ // Label 32176: @2331756
     /* 2331756 */ GIM_Try, /*On fail goto*//*Label 32177*/ GIMT_Encode4(2331810), // Rule ID 58542 //
     /* 2331761 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2331764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331767 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331771 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331775 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331775 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2331778 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331782 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331787 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331789 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2331792 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331794 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331797 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331799 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331802 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331805 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331808 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331809 */   // GIR_Coverage, 58542,
     /* 2331809 */   GIR_EraseRootFromParent_Done,
     /* 2331810 */ // Label 32177: @2331810
     /* 2331810 */ GIM_Try, /*On fail goto*//*Label 32178*/ GIMT_Encode4(2331864), // Rule ID 58543 //
     /* 2331815 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2331818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2331821 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2331825 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331829 */   // (fp_to_sint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331829 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2331832 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331836 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331841 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331843 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2331846 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331848 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331851 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331853 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331856 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2331859 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331862 */   GIR_RootConstrainSelectedInstOperands,
     /* 2331863 */   // GIR_Coverage, 58543,
     /* 2331863 */   GIR_EraseRootFromParent_Done,
     /* 2331864 */ // Label 32178: @2331864
     /* 2331864 */ GIM_Reject,
     /* 2331865 */ // Label 32113: @2331865
     /* 2331865 */ GIM_Try, /*On fail goto*//*Label 32179*/ GIMT_Encode4(2331968),
     /* 2331870 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2331873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331881 */   GIM_Try, /*On fail goto*//*Label 32180*/ GIMT_Encode4(2331924), // Rule ID 58710 //
     /* 2331886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331889 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331889 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2331892 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331896 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331901 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331903 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2331906 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331908 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331923 */     // GIR_Coverage, 58710,
     /* 2331923 */     GIR_EraseRootFromParent_Done,
     /* 2331924 */   // Label 32180: @2331924
     /* 2331924 */   GIM_Try, /*On fail goto*//*Label 32181*/ GIMT_Encode4(2331967), // Rule ID 58711 //
     /* 2331929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2331932 */     // (fp_to_sint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2331932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2331935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2331944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2331946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_MF2),
     /* 2331949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2331951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2331954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2331956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2331959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2331965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2331966 */     // GIR_Coverage, 58711,
     /* 2331966 */     GIR_EraseRootFromParent_Done,
     /* 2331967 */   // Label 32181: @2331967
     /* 2331967 */   GIM_Reject,
     /* 2331968 */ // Label 32179: @2331968
     /* 2331968 */ GIM_Reject,
     /* 2331969 */ // Label 32114: @2331969
     /* 2331969 */ GIM_Try, /*On fail goto*//*Label 32182*/ GIMT_Encode4(2332023), // Rule ID 58298 //
     /* 2331974 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2331977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2331980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2331988 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2331988 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2331991 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2331995 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332000 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332002 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2332005 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332007 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332010 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332018 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332021 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332022 */   // GIR_Coverage, 58298,
     /* 2332022 */   GIR_EraseRootFromParent_Done,
     /* 2332023 */ // Label 32182: @2332023
     /* 2332023 */ GIM_Try, /*On fail goto*//*Label 32183*/ GIMT_Encode4(2332077), // Rule ID 58299 //
     /* 2332028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332038 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332042 */   // (fp_to_sint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332042 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332045 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332049 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332054 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332056 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M1),
     /* 2332059 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332061 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332064 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332072 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332075 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332076 */   // GIR_Coverage, 58299,
     /* 2332076 */   GIR_EraseRootFromParent_Done,
     /* 2332077 */ // Label 32183: @2332077
     /* 2332077 */ GIM_Try, /*On fail goto*//*Label 32184*/ GIMT_Encode4(2332131), // Rule ID 58734 //
     /* 2332082 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332088 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332092 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332096 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332096 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332099 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332103 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332108 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332110 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2332113 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332115 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332118 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332130 */   // GIR_Coverage, 58734,
     /* 2332130 */   GIR_EraseRootFromParent_Done,
     /* 2332131 */ // Label 32184: @2332131
     /* 2332131 */ GIM_Try, /*On fail goto*//*Label 32185*/ GIMT_Encode4(2332185), // Rule ID 58735 //
     /* 2332136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2332139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332150 */   // (fp_to_sint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332150 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2332153 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332157 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332162 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332164 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2332167 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332169 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332172 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332174 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332177 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332180 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332183 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332184 */   // GIR_Coverage, 58735,
     /* 2332184 */   GIR_EraseRootFromParent_Done,
     /* 2332185 */ // Label 32185: @2332185
     /* 2332185 */ GIM_Reject,
     /* 2332186 */ // Label 32115: @2332186
     /* 2332186 */ GIM_Try, /*On fail goto*//*Label 32186*/ GIMT_Encode4(2332240), // Rule ID 58322 //
     /* 2332191 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332194 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332201 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332205 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332205 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332208 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332212 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332217 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332219 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2332222 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332224 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332227 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332235 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332238 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332239 */   // GIR_Coverage, 58322,
     /* 2332239 */   GIR_EraseRootFromParent_Done,
     /* 2332240 */ // Label 32186: @2332240
     /* 2332240 */ GIM_Try, /*On fail goto*//*Label 32187*/ GIMT_Encode4(2332294), // Rule ID 58323 //
     /* 2332245 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2332248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332251 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332255 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332259 */   // (fp_to_sint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332259 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332262 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332266 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332271 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332273 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2332276 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332278 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332281 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332289 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332292 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332293 */   // GIR_Coverage, 58323,
     /* 2332293 */   GIR_EraseRootFromParent_Done,
     /* 2332294 */ // Label 32187: @2332294
     /* 2332294 */ GIM_Try, /*On fail goto*//*Label 32188*/ GIMT_Encode4(2332348), // Rule ID 58526 //
     /* 2332299 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332302 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332305 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332309 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332313 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332313 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332316 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332320 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332325 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332327 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2332330 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332332 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332335 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332347 */   // GIR_Coverage, 58526,
     /* 2332347 */   GIR_EraseRootFromParent_Done,
     /* 2332348 */ // Label 32188: @2332348
     /* 2332348 */ GIM_Try, /*On fail goto*//*Label 32189*/ GIMT_Encode4(2332402), // Rule ID 58527 //
     /* 2332353 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2332359 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332363 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332367 */   // (fp_to_sint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332367 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332370 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332374 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332379 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332381 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M1),
     /* 2332384 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332386 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332389 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332394 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332397 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332400 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332401 */   // GIR_Coverage, 58527,
     /* 2332401 */   GIR_EraseRootFromParent_Done,
     /* 2332402 */ // Label 32189: @2332402
     /* 2332402 */ GIM_Try, /*On fail goto*//*Label 32190*/ GIMT_Encode4(2332456), // Rule ID 58754 //
     /* 2332407 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2332410 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332413 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332417 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332421 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332421 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332424 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332428 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332433 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332435 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2332438 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332440 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332443 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332445 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332448 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332451 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332454 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332455 */   // GIR_Coverage, 58754,
     /* 2332455 */   GIR_EraseRootFromParent_Done,
     /* 2332456 */ // Label 32190: @2332456
     /* 2332456 */ GIM_Try, /*On fail goto*//*Label 32191*/ GIMT_Encode4(2332510), // Rule ID 58755 //
     /* 2332461 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2332464 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332471 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332475 */   // (fp_to_sint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332475 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2332478 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332482 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332487 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332489 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2332492 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332494 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332497 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332499 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332502 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332505 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332508 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332509 */   // GIR_Coverage, 58755,
     /* 2332509 */   GIR_EraseRootFromParent_Done,
     /* 2332510 */ // Label 32191: @2332510
     /* 2332510 */ GIM_Reject,
     /* 2332511 */ // Label 32116: @2332511
     /* 2332511 */ GIM_Try, /*On fail goto*//*Label 32192*/ GIMT_Encode4(2332565), // Rule ID 58338 //
     /* 2332516 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2332519 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332522 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332526 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332530 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332530 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332533 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332537 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332542 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2332547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332549 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332552 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332563 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332564 */   // GIR_Coverage, 58338,
     /* 2332564 */   GIR_EraseRootFromParent_Done,
     /* 2332565 */ // Label 32192: @2332565
     /* 2332565 */ GIM_Try, /*On fail goto*//*Label 32193*/ GIMT_Encode4(2332619), // Rule ID 58339 //
     /* 2332570 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2332573 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2332576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332584 */   // (fp_to_sint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332584 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332587 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332591 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332596 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332598 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2332601 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332603 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332606 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2332614 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332617 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332618 */   // GIR_Coverage, 58339,
     /* 2332618 */   GIR_EraseRootFromParent_Done,
     /* 2332619 */ // Label 32193: @2332619
     /* 2332619 */ GIM_Try, /*On fail goto*//*Label 32194*/ GIMT_Encode4(2332673), // Rule ID 58546 //
     /* 2332624 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2332627 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332630 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332634 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332638 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332638 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332641 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332645 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332650 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332652 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2332655 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332657 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332660 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332668 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332671 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332672 */   // GIR_Coverage, 58546,
     /* 2332672 */   GIR_EraseRootFromParent_Done,
     /* 2332673 */ // Label 32194: @2332673
     /* 2332673 */ GIM_Try, /*On fail goto*//*Label 32195*/ GIMT_Encode4(2332727), // Rule ID 58547 //
     /* 2332678 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2332681 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2332684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332692 */   // (fp_to_sint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332692 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2332695 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332699 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332704 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332706 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2332709 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332711 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332719 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2332722 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332725 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332726 */   // GIR_Coverage, 58547,
     /* 2332726 */   GIR_EraseRootFromParent_Done,
     /* 2332727 */ // Label 32195: @2332727
     /* 2332727 */ GIM_Reject,
     /* 2332728 */ // Label 32117: @2332728
     /* 2332728 */ GIM_Try, /*On fail goto*//*Label 32196*/ GIMT_Encode4(2332831),
     /* 2332733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2332736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2332740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332744 */   GIM_Try, /*On fail goto*//*Label 32197*/ GIMT_Encode4(2332787), // Rule ID 58714 //
     /* 2332749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332752 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332752 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2332755 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332759 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332764 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2332769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332771 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332785 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332786 */     // GIR_Coverage, 58714,
     /* 2332786 */     GIR_EraseRootFromParent_Done,
     /* 2332787 */   // Label 32197: @2332787
     /* 2332787 */   GIM_Try, /*On fail goto*//*Label 32198*/ GIMT_Encode4(2332830), // Rule ID 58715 //
     /* 2332792 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332795 */     // (fp_to_sint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332795 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2332798 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332802 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332807 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332809 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M1),
     /* 2332812 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332814 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332817 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2332829 */     // GIR_Coverage, 58715,
     /* 2332829 */     GIR_EraseRootFromParent_Done,
     /* 2332830 */   // Label 32198: @2332830
     /* 2332830 */   GIM_Reject,
     /* 2332831 */ // Label 32196: @2332831
     /* 2332831 */ GIM_Reject,
     /* 2332832 */ // Label 32118: @2332832
     /* 2332832 */ GIM_Try, /*On fail goto*//*Label 32199*/ GIMT_Encode4(2332886), // Rule ID 58310 //
     /* 2332837 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2332840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2332843 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332847 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332851 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332851 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332854 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332858 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332863 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332865 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2332868 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332870 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332873 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332885 */   // GIR_Coverage, 58310,
     /* 2332885 */   GIR_EraseRootFromParent_Done,
     /* 2332886 */ // Label 32199: @2332886
     /* 2332886 */ GIM_Try, /*On fail goto*//*Label 32200*/ GIMT_Encode4(2332940), // Rule ID 58311 //
     /* 2332891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2332894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2332897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332905 */   // (fp_to_sint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2332905 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332908 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332912 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M2),
     /* 2332922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332927 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332938 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332939 */   // GIR_Coverage, 58311,
     /* 2332939 */   GIR_EraseRootFromParent_Done,
     /* 2332940 */ // Label 32200: @2332940
     /* 2332940 */ GIM_Try, /*On fail goto*//*Label 32201*/ GIMT_Encode4(2332994), // Rule ID 58738 //
     /* 2332945 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2332948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2332951 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2332955 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2332959 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2332959 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2332962 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2332966 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2332971 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2332973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2332976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2332978 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2332981 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2332983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2332986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2332989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2332992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2332993 */   // GIR_Coverage, 58738,
     /* 2332993 */   GIR_EraseRootFromParent_Done,
     /* 2332994 */ // Label 32201: @2332994
     /* 2332994 */ GIM_Try, /*On fail goto*//*Label 32202*/ GIMT_Encode4(2333048), // Rule ID 58739 //
     /* 2332999 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333002 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333005 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333009 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333013 */   // (fp_to_sint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333013 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2333016 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333020 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333025 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333027 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2333030 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333032 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333035 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333037 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333046 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333047 */   // GIR_Coverage, 58739,
     /* 2333047 */   GIR_EraseRootFromParent_Done,
     /* 2333048 */ // Label 32202: @2333048
     /* 2333048 */ GIM_Reject,
     /* 2333049 */ // Label 32119: @2333049
     /* 2333049 */ GIM_Try, /*On fail goto*//*Label 32203*/ GIMT_Encode4(2333103), // Rule ID 58326 //
     /* 2333054 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333057 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333060 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333064 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333068 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333068 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333071 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333075 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333080 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2333085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333087 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333090 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333101 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333102 */   // GIR_Coverage, 58326,
     /* 2333102 */   GIR_EraseRootFromParent_Done,
     /* 2333103 */ // Label 32203: @2333103
     /* 2333103 */ GIM_Try, /*On fail goto*//*Label 32204*/ GIMT_Encode4(2333157), // Rule ID 58327 //
     /* 2333108 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333122 */   // (fp_to_sint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333122 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333125 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333129 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333134 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333136 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2333139 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333141 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333144 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333155 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333156 */   // GIR_Coverage, 58327,
     /* 2333156 */   GIR_EraseRootFromParent_Done,
     /* 2333157 */ // Label 32204: @2333157
     /* 2333157 */ GIM_Try, /*On fail goto*//*Label 32205*/ GIMT_Encode4(2333211), // Rule ID 58530 //
     /* 2333162 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2333168 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333172 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333176 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333176 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333179 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333183 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333188 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2333193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333195 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333198 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333210 */   // GIR_Coverage, 58530,
     /* 2333210 */   GIR_EraseRootFromParent_Done,
     /* 2333211 */ // Label 32205: @2333211
     /* 2333211 */ GIM_Try, /*On fail goto*//*Label 32206*/ GIMT_Encode4(2333265), // Rule ID 58531 //
     /* 2333216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2333222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333230 */   // (fp_to_sint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M2),
     /* 2333247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333263 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333264 */   // GIR_Coverage, 58531,
     /* 2333264 */   GIR_EraseRootFromParent_Done,
     /* 2333265 */ // Label 32206: @2333265
     /* 2333265 */ GIM_Try, /*On fail goto*//*Label 32207*/ GIMT_Encode4(2333319), // Rule ID 58758 //
     /* 2333270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2333273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2333276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333284 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333284 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333287 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333291 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333296 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333298 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2333301 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333303 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333306 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333308 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333311 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333314 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333317 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333318 */   // GIR_Coverage, 58758,
     /* 2333318 */   GIR_EraseRootFromParent_Done,
     /* 2333319 */ // Label 32207: @2333319
     /* 2333319 */ GIM_Try, /*On fail goto*//*Label 32208*/ GIMT_Encode4(2333373), // Rule ID 58759 //
     /* 2333324 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2333327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2333330 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333334 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333338 */   // (fp_to_sint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333338 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2333341 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333345 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333350 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333352 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2333355 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333357 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333360 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333362 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333365 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333368 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333371 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333372 */   // GIR_Coverage, 58759,
     /* 2333372 */   GIR_EraseRootFromParent_Done,
     /* 2333373 */ // Label 32208: @2333373
     /* 2333373 */ GIM_Reject,
     /* 2333374 */ // Label 32120: @2333374
     /* 2333374 */ GIM_Try, /*On fail goto*//*Label 32209*/ GIMT_Encode4(2333428), // Rule ID 58342 //
     /* 2333379 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2333382 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2333385 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333389 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333393 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333393 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333396 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333400 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333405 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333407 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2333410 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333412 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333415 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333423 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333426 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333427 */   // GIR_Coverage, 58342,
     /* 2333427 */   GIR_EraseRootFromParent_Done,
     /* 2333428 */ // Label 32209: @2333428
     /* 2333428 */ GIM_Try, /*On fail goto*//*Label 32210*/ GIMT_Encode4(2333482), // Rule ID 58343 //
     /* 2333433 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2333436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2333439 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333443 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333447 */   // (fp_to_sint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333447 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333450 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333454 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333459 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333461 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2333464 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333466 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333469 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2333477 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333480 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333481 */   // GIR_Coverage, 58343,
     /* 2333481 */   GIR_EraseRootFromParent_Done,
     /* 2333482 */ // Label 32210: @2333482
     /* 2333482 */ GIM_Try, /*On fail goto*//*Label 32211*/ GIMT_Encode4(2333536), // Rule ID 58550 //
     /* 2333487 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2333490 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333493 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333497 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333501 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333501 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333504 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333508 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333513 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2333518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333520 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333523 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333531 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333534 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333535 */   // GIR_Coverage, 58550,
     /* 2333535 */   GIR_EraseRootFromParent_Done,
     /* 2333536 */ // Label 32211: @2333536
     /* 2333536 */ GIM_Try, /*On fail goto*//*Label 32212*/ GIMT_Encode4(2333590), // Rule ID 58551 //
     /* 2333541 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2333544 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2333547 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333551 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333555 */   // (fp_to_sint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333555 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2333558 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333562 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333567 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333569 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2333572 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333574 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333582 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333585 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333588 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333589 */   // GIR_Coverage, 58551,
     /* 2333589 */   GIR_EraseRootFromParent_Done,
     /* 2333590 */ // Label 32212: @2333590
     /* 2333590 */ GIM_Reject,
     /* 2333591 */ // Label 32121: @2333591
     /* 2333591 */ GIM_Try, /*On fail goto*//*Label 32213*/ GIMT_Encode4(2333694),
     /* 2333596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2333599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2333603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333607 */   GIM_Try, /*On fail goto*//*Label 32214*/ GIMT_Encode4(2333650), // Rule ID 58718 //
     /* 2333612 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333615 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2333618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2333632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333649 */     // GIR_Coverage, 58718,
     /* 2333649 */     GIR_EraseRootFromParent_Done,
     /* 2333650 */   // Label 32214: @2333650
     /* 2333650 */   GIM_Try, /*On fail goto*//*Label 32215*/ GIMT_Encode4(2333693), // Rule ID 58719 //
     /* 2333655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333658 */     // (fp_to_sint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333658 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2333661 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333665 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333670 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333672 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M2),
     /* 2333675 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333677 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333680 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2333692 */     // GIR_Coverage, 58719,
     /* 2333692 */     GIR_EraseRootFromParent_Done,
     /* 2333693 */   // Label 32215: @2333693
     /* 2333693 */   GIM_Reject,
     /* 2333694 */ // Label 32213: @2333694
     /* 2333694 */ GIM_Reject,
     /* 2333695 */ // Label 32122: @2333695
     /* 2333695 */ GIM_Try, /*On fail goto*//*Label 32216*/ GIMT_Encode4(2333749), // Rule ID 58314 //
     /* 2333700 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2333703 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2333706 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333710 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333714 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333714 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333717 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333721 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333726 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333728 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2333731 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333733 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333736 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333744 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333747 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333748 */   // GIR_Coverage, 58314,
     /* 2333748 */   GIR_EraseRootFromParent_Done,
     /* 2333749 */ // Label 32216: @2333749
     /* 2333749 */ GIM_Try, /*On fail goto*//*Label 32217*/ GIMT_Encode4(2333803), // Rule ID 58315 //
     /* 2333754 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2333757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2333760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333768 */   // (fp_to_sint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333768 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333771 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333775 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333780 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333782 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M4),
     /* 2333785 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333787 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333790 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333795 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333798 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333801 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333802 */   // GIR_Coverage, 58315,
     /* 2333802 */   GIR_EraseRootFromParent_Done,
     /* 2333803 */ // Label 32217: @2333803
     /* 2333803 */ GIM_Try, /*On fail goto*//*Label 32218*/ GIMT_Encode4(2333857), // Rule ID 58742 //
     /* 2333808 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2333814 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333818 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333822 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333822 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333825 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333829 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333834 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333836 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2333839 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333841 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333844 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333846 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333849 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333852 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333855 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333856 */   // GIR_Coverage, 58742,
     /* 2333856 */   GIR_EraseRootFromParent_Done,
     /* 2333857 */ // Label 32218: @2333857
     /* 2333857 */ GIM_Try, /*On fail goto*//*Label 32219*/ GIMT_Encode4(2333911), // Rule ID 58743 //
     /* 2333862 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333865 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2333868 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2333872 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333876 */   // (fp_to_sint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333876 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2333879 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333883 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333888 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333890 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2333893 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333895 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333898 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333900 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333903 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2333906 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333909 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333910 */   // GIR_Coverage, 58743,
     /* 2333910 */   GIR_EraseRootFromParent_Done,
     /* 2333911 */ // Label 32219: @2333911
     /* 2333911 */ GIM_Reject,
     /* 2333912 */ // Label 32123: @2333912
     /* 2333912 */ GIM_Try, /*On fail goto*//*Label 32220*/ GIMT_Encode4(2333966), // Rule ID 58330 //
     /* 2333917 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2333920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2333923 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333927 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333931 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2333931 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2333934 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333938 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333943 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333945 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2333948 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2333950 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2333953 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2333955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2333958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2333961 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2333964 */   GIR_RootConstrainSelectedInstOperands,
     /* 2333965 */   // GIR_Coverage, 58330,
     /* 2333965 */   GIR_EraseRootFromParent_Done,
     /* 2333966 */ // Label 32220: @2333966
     /* 2333966 */ GIM_Try, /*On fail goto*//*Label 32221*/ GIMT_Encode4(2334020), // Rule ID 58331 //
     /* 2333971 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2333974 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2333977 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333981 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2333985 */   // (fp_to_sint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2333985 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2333988 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2333992 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2333997 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2333999 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2334002 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334004 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334007 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2334015 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334018 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334019 */   // GIR_Coverage, 58331,
     /* 2334019 */   GIR_EraseRootFromParent_Done,
     /* 2334020 */ // Label 32221: @2334020
     /* 2334020 */ GIM_Try, /*On fail goto*//*Label 32222*/ GIMT_Encode4(2334074), // Rule ID 58534 //
     /* 2334025 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334028 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334031 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334035 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334039 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334039 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2334042 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334046 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334051 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334053 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2334056 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334058 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334061 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334069 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334072 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334073 */   // GIR_Coverage, 58534,
     /* 2334073 */   GIR_EraseRootFromParent_Done,
     /* 2334074 */ // Label 32222: @2334074
     /* 2334074 */ GIM_Try, /*On fail goto*//*Label 32223*/ GIMT_Encode4(2334128), // Rule ID 58535 //
     /* 2334079 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334082 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2334085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334093 */   // (fp_to_sint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_X_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334093 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2334096 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334100 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334105 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334107 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_X_F_V_M4),
     /* 2334110 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334112 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334115 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334117 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334120 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334123 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334126 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334127 */   // GIR_Coverage, 58535,
     /* 2334127 */   GIR_EraseRootFromParent_Done,
     /* 2334128 */ // Label 32223: @2334128
     /* 2334128 */ GIM_Reject,
     /* 2334129 */ // Label 32124: @2334129
     /* 2334129 */ GIM_Try, /*On fail goto*//*Label 32224*/ GIMT_Encode4(2334232),
     /* 2334134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2334137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2334141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334145 */   GIM_Try, /*On fail goto*//*Label 32225*/ GIMT_Encode4(2334188), // Rule ID 58722 //
     /* 2334150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334153 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334153 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2334156 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334160 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334165 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334167 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2334170 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334172 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334177 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334183 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334187 */     // GIR_Coverage, 58722,
     /* 2334187 */     GIR_EraseRootFromParent_Done,
     /* 2334188 */   // Label 32225: @2334188
     /* 2334188 */   GIM_Try, /*On fail goto*//*Label 32226*/ GIMT_Encode4(2334231), // Rule ID 58723 //
     /* 2334193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334196 */     // (fp_to_sint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_X_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334196 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2334199 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334203 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334208 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_X_F_W_M4),
     /* 2334213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334215 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334229 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334230 */     // GIR_Coverage, 58723,
     /* 2334230 */     GIR_EraseRootFromParent_Done,
     /* 2334231 */   // Label 32226: @2334231
     /* 2334231 */   GIM_Reject,
     /* 2334232 */ // Label 32224: @2334232
     /* 2334232 */ GIM_Reject,
     /* 2334233 */ // Label 32125: @2334233
     /* 2334233 */ GIM_Try, /*On fail goto*//*Label 32227*/ GIMT_Encode4(2334336),
     /* 2334238 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2334241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2334249 */   GIM_Try, /*On fail goto*//*Label 32228*/ GIMT_Encode4(2334292), // Rule ID 58318 //
     /* 2334254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2334257 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2334257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2334260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2334274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334284 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334291 */     // GIR_Coverage, 58318,
     /* 2334291 */     GIR_EraseRootFromParent_Done,
     /* 2334292 */   // Label 32228: @2334292
     /* 2334292 */   GIM_Try, /*On fail goto*//*Label 32229*/ GIMT_Encode4(2334335), // Rule ID 58319 //
     /* 2334297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2334300 */     // (fp_to_sint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_X_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2334300 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2334303 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2334307 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2334312 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2334314 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_X_F_V_M8),
     /* 2334317 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334319 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2334322 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2334327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2334330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2334333 */     GIR_RootConstrainSelectedInstOperands,
     /* 2334334 */     // GIR_Coverage, 58319,
     /* 2334334 */     GIR_EraseRootFromParent_Done,
     /* 2334335 */   // Label 32229: @2334335
     /* 2334335 */   GIM_Reject,
     /* 2334336 */ // Label 32227: @2334336
     /* 2334336 */ GIM_Reject,
     /* 2334337 */ // Label 32126: @2334337
     /* 2334337 */ GIM_Reject,
     /* 2334338 */ // Label 68: @2334338
     /* 2334338 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(32), /*)*//*default:*//*Label 32253*/ GIMT_Encode4(2339223),
     /* 2334349 */ /*GILLT_s32*//*Label 32230*/ GIMT_Encode4(2334465),
     /* 2334353 */ /*GILLT_s64*//*Label 32231*/ GIMT_Encode4(2334838), GIMT_Encode4(0),
     /* 2334361 */ /*GILLT_nxv1s8*//*Label 32232*/ GIMT_Encode4(2335025),
     /* 2334365 */ /*GILLT_nxv1s16*//*Label 32233*/ GIMT_Encode4(2335129),
     /* 2334369 */ /*GILLT_nxv1s32*//*Label 32234*/ GIMT_Encode4(2335346),
     /* 2334373 */ /*GILLT_nxv1s64*//*Label 32235*/ GIMT_Encode4(2335671), GIMT_Encode4(0),
     /* 2334381 */ /*GILLT_nxv2s8*//*Label 32236*/ GIMT_Encode4(2335888),
     /* 2334385 */ /*GILLT_nxv2s16*//*Label 32237*/ GIMT_Encode4(2335992),
     /* 2334389 */ /*GILLT_nxv2s32*//*Label 32238*/ GIMT_Encode4(2336209),
     /* 2334393 */ /*GILLT_nxv2s64*//*Label 32239*/ GIMT_Encode4(2336534), GIMT_Encode4(0),
     /* 2334401 */ /*GILLT_nxv4s8*//*Label 32240*/ GIMT_Encode4(2336751),
     /* 2334405 */ /*GILLT_nxv4s16*//*Label 32241*/ GIMT_Encode4(2336855),
     /* 2334409 */ /*GILLT_nxv4s32*//*Label 32242*/ GIMT_Encode4(2337072),
     /* 2334413 */ /*GILLT_nxv4s64*//*Label 32243*/ GIMT_Encode4(2337397), GIMT_Encode4(0),
     /* 2334421 */ /*GILLT_nxv8s8*//*Label 32244*/ GIMT_Encode4(2337614),
     /* 2334425 */ /*GILLT_nxv8s16*//*Label 32245*/ GIMT_Encode4(2337718),
     /* 2334429 */ /*GILLT_nxv8s32*//*Label 32246*/ GIMT_Encode4(2337935),
     /* 2334433 */ /*GILLT_nxv8s64*//*Label 32247*/ GIMT_Encode4(2338260), GIMT_Encode4(0),
     /* 2334441 */ /*GILLT_nxv16s8*//*Label 32248*/ GIMT_Encode4(2338477),
     /* 2334445 */ /*GILLT_nxv16s16*//*Label 32249*/ GIMT_Encode4(2338581),
     /* 2334449 */ /*GILLT_nxv16s32*//*Label 32250*/ GIMT_Encode4(2338798), GIMT_Encode4(0),
     /* 2334457 */ /*GILLT_nxv32s8*//*Label 32251*/ GIMT_Encode4(2339015),
     /* 2334461 */ /*GILLT_nxv32s16*//*Label 32252*/ GIMT_Encode4(2339119),
     /* 2334465 */ // Label 32230: @2334465
     /* 2334465 */ GIM_Try, /*On fail goto*//*Label 32254*/ GIMT_Encode4(2334496), // Rule ID 1456 //
     /* 2334470 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2334473 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334476 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334480 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334484 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2334484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2334487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334489 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334494 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334495 */   // GIR_Coverage, 1456,
     /* 2334495 */   GIR_EraseRootFromParent_Done,
     /* 2334496 */ // Label 32254: @2334496
     /* 2334496 */ GIM_Try, /*On fail goto*//*Label 32255*/ GIMT_Encode4(2334527), // Rule ID 1457 //
     /* 2334501 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2334504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334507 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334511 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334515 */   // (fp_to_uint:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2334515 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2334518 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334525 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334526 */   // GIR_Coverage, 1457,
     /* 2334526 */   GIR_EraseRootFromParent_Done,
     /* 2334527 */ // Label 32255: @2334527
     /* 2334527 */ GIM_Try, /*On fail goto*//*Label 32256*/ GIMT_Encode4(2334558), // Rule ID 1482 //
     /* 2334532 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2334535 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334538 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334542 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334546 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2334546 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2334549 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334551 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334553 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334557 */   // GIR_Coverage, 1482,
     /* 2334557 */   GIR_EraseRootFromParent_Done,
     /* 2334558 */ // Label 32256: @2334558
     /* 2334558 */ GIM_Try, /*On fail goto*//*Label 32257*/ GIMT_Encode4(2334589), // Rule ID 1483 //
     /* 2334563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2334566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334577 */   // (fp_to_uint:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_WU_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 1:{ *:[i32] })
     /* 2334577 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2334580 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334582 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334588 */   // GIR_Coverage, 1483,
     /* 2334588 */   GIR_EraseRootFromParent_Done,
     /* 2334589 */ // Label 32257: @2334589
     /* 2334589 */ GIM_Try, /*On fail goto*//*Label 32258*/ GIMT_Encode4(2334620), // Rule ID 1850 //
     /* 2334594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2334597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334608 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2334608 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2334611 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334619 */   // GIR_Coverage, 1850,
     /* 2334619 */   GIR_EraseRootFromParent_Done,
     /* 2334620 */ // Label 32258: @2334620
     /* 2334620 */ GIM_Try, /*On fail goto*//*Label 32259*/ GIMT_Encode4(2334651), // Rule ID 1851 //
     /* 2334625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2334628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334639 */   // (fp_to_uint:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D:{ *:[i32] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2334639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2334642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334644 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334650 */   // GIR_Coverage, 1851,
     /* 2334650 */   GIR_EraseRootFromParent_Done,
     /* 2334651 */ // Label 32259: @2334651
     /* 2334651 */ GIM_Try, /*On fail goto*//*Label 32260*/ GIMT_Encode4(2334682), // Rule ID 1876 //
     /* 2334656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2334659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334670 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2334670 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2334673 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334675 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334677 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334680 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334681 */   // GIR_Coverage, 1876,
     /* 2334681 */   GIR_EraseRootFromParent_Done,
     /* 2334682 */ // Label 32260: @2334682
     /* 2334682 */ GIM_Try, /*On fail goto*//*Label 32261*/ GIMT_Encode4(2334713), // Rule ID 1877 //
     /* 2334687 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2334690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334693 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334697 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2334701 */   // (fp_to_uint:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_WU_D_IN32X:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1, 1:{ *:[i32] })
     /* 2334701 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_IN32X),
     /* 2334704 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334706 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334708 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334711 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334712 */   // GIR_Coverage, 1877,
     /* 2334712 */   GIR_EraseRootFromParent_Done,
     /* 2334713 */ // Label 32261: @2334713
     /* 2334713 */ GIM_Try, /*On fail goto*//*Label 32262*/ GIMT_Encode4(2334744), // Rule ID 2192 //
     /* 2334718 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2334721 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2334724 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334728 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334732 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2334732 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2334735 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334742 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334743 */   // GIR_Coverage, 2192,
     /* 2334743 */   GIR_EraseRootFromParent_Done,
     /* 2334744 */ // Label 32262: @2334744
     /* 2334744 */ GIM_Try, /*On fail goto*//*Label 32263*/ GIMT_Encode4(2334775), // Rule ID 2193 //
     /* 2334749 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2334752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2334755 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334759 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334763 */   // (fp_to_uint:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2334763 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2334766 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334768 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334770 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334773 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334774 */   // GIR_Coverage, 2193,
     /* 2334774 */   GIR_EraseRootFromParent_Done,
     /* 2334775 */ // Label 32263: @2334775
     /* 2334775 */ GIM_Try, /*On fail goto*//*Label 32264*/ GIMT_Encode4(2334806), // Rule ID 2218 //
     /* 2334780 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2334783 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2334786 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334790 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334794 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2334794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2334797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334799 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334801 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334804 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334805 */   // GIR_Coverage, 2218,
     /* 2334805 */   GIR_EraseRootFromParent_Done,
     /* 2334806 */ // Label 32264: @2334806
     /* 2334806 */ GIM_Try, /*On fail goto*//*Label 32265*/ GIMT_Encode4(2334837), // Rule ID 2219 //
     /* 2334811 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2334814 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2334817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2334825 */   // (fp_to_uint:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_WU_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 1:{ *:[i32] })
     /* 2334825 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2334828 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334835 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334836 */   // GIR_Coverage, 2219,
     /* 2334836 */   GIR_EraseRootFromParent_Done,
     /* 2334837 */ // Label 32265: @2334837
     /* 2334837 */ GIM_Reject,
     /* 2334838 */ // Label 32231: @2334838
     /* 2334838 */ GIM_Try, /*On fail goto*//*Label 32266*/ GIMT_Encode4(2334869), // Rule ID 1511 //
     /* 2334843 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2334846 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2334857 */   // (fp_to_uint:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2334857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S),
     /* 2334860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334862 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334868 */   // GIR_Coverage, 1511,
     /* 2334868 */   GIR_EraseRootFromParent_Done,
     /* 2334869 */ // Label 32266: @2334869
     /* 2334869 */ GIM_Try, /*On fail goto*//*Label 32267*/ GIMT_Encode4(2334900), // Rule ID 1539 //
     /* 2334874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2334877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2334880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2334888 */   // (fp_to_uint:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_LU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 1:{ *:[i64] })
     /* 2334888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_S_INX),
     /* 2334891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334893 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334898 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334899 */   // GIR_Coverage, 1539,
     /* 2334899 */   GIR_EraseRootFromParent_Done,
     /* 2334900 */ // Label 32267: @2334900
     /* 2334900 */ GIM_Try, /*On fail goto*//*Label 32268*/ GIMT_Encode4(2334931), // Rule ID 1911 //
     /* 2334905 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2334908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334911 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334915 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2334919 */   // (fp_to_uint:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2334919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D),
     /* 2334922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334924 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334930 */   // GIR_Coverage, 1911,
     /* 2334930 */   GIR_EraseRootFromParent_Done,
     /* 2334931 */ // Label 32268: @2334931
     /* 2334931 */ GIM_Try, /*On fail goto*//*Label 32269*/ GIMT_Encode4(2334962), // Rule ID 1939 //
     /* 2334936 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2334939 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2334942 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334946 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334950 */   // (fp_to_uint:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_LU_D_INX:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, 1:{ *:[i64] })
     /* 2334950 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_D_INX),
     /* 2334953 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334955 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334957 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334960 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334961 */   // GIR_Coverage, 1939,
     /* 2334961 */   GIR_EraseRootFromParent_Done,
     /* 2334962 */ // Label 32269: @2334962
     /* 2334962 */ GIM_Try, /*On fail goto*//*Label 32270*/ GIMT_Encode4(2334993), // Rule ID 2245 //
     /* 2334967 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2334970 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2334973 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2334977 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2334981 */   // (fp_to_uint:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2334981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H),
     /* 2334984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2334986 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2334988 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2334991 */   GIR_RootConstrainSelectedInstOperands,
     /* 2334992 */   // GIR_Coverage, 2245,
     /* 2334992 */   GIR_EraseRootFromParent_Done,
     /* 2334993 */ // Label 32270: @2334993
     /* 2334993 */ GIM_Try, /*On fail goto*//*Label 32271*/ GIMT_Encode4(2335024), // Rule ID 2271 //
     /* 2334998 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2335001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2335004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2335008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2335012 */   // (fp_to_uint:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_LU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 1:{ *:[i64] })
     /* 2335012 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_LU_H_INX),
     /* 2335015 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335017 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335019 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2335022 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335023 */   // GIR_Coverage, 2271,
     /* 2335023 */   GIR_EraseRootFromParent_Done,
     /* 2335024 */ // Label 32271: @2335024
     /* 2335024 */ GIM_Reject,
     /* 2335025 */ // Label 32232: @2335025
     /* 2335025 */ GIM_Try, /*On fail goto*//*Label 32272*/ GIMT_Encode4(2335128),
     /* 2335030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335033 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335037 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335041 */   GIM_Try, /*On fail goto*//*Label 32273*/ GIMT_Encode4(2335084), // Rule ID 58762 //
     /* 2335046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335049 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2335052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2335066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335083 */     // GIR_Coverage, 58762,
     /* 2335083 */     GIR_EraseRootFromParent_Done,
     /* 2335084 */   // Label 32273: @2335084
     /* 2335084 */   GIM_Try, /*On fail goto*//*Label 32274*/ GIMT_Encode4(2335127), // Rule ID 58763 //
     /* 2335089 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335092 */     // (fp_to_uint:{ *:[nxv1i8] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335092 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2335095 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335099 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335104 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF8),
     /* 2335109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335111 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335114 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335126 */     // GIR_Coverage, 58763,
     /* 2335126 */     GIR_EraseRootFromParent_Done,
     /* 2335127 */   // Label 32274: @2335127
     /* 2335127 */   GIM_Reject,
     /* 2335128 */ // Label 32272: @2335128
     /* 2335128 */ GIM_Reject,
     /* 2335129 */ // Label 32233: @2335129
     /* 2335129 */ GIM_Try, /*On fail goto*//*Label 32275*/ GIMT_Encode4(2335183), // Rule ID 58346 //
     /* 2335134 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335137 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335148 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335148 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335151 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335155 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335160 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335162 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2335165 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335167 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335170 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335178 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335181 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335182 */   // GIR_Coverage, 58346,
     /* 2335182 */   GIR_EraseRootFromParent_Done,
     /* 2335183 */ // Label 32275: @2335183
     /* 2335183 */ GIM_Try, /*On fail goto*//*Label 32276*/ GIMT_Encode4(2335237), // Rule ID 58347 //
     /* 2335188 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335202 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335202 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335205 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335209 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335214 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335216 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF4),
     /* 2335219 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335221 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335224 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335236 */   // GIR_Coverage, 58347,
     /* 2335236 */   GIR_EraseRootFromParent_Done,
     /* 2335237 */ // Label 32276: @2335237
     /* 2335237 */ GIM_Try, /*On fail goto*//*Label 32277*/ GIMT_Encode4(2335291), // Rule ID 58786 //
     /* 2335242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2335245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335256 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335256 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335259 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335263 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335268 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2335273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335275 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335278 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335290 */   // GIR_Coverage, 58786,
     /* 2335290 */   GIR_EraseRootFromParent_Done,
     /* 2335291 */ // Label 32277: @2335291
     /* 2335291 */ GIM_Try, /*On fail goto*//*Label 32278*/ GIMT_Encode4(2335345), // Rule ID 58787 //
     /* 2335296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2335299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335310 */   // (fp_to_uint:{ *:[nxv1i16] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2335313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2335327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335329 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335332 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335343 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335344 */   // GIR_Coverage, 58787,
     /* 2335344 */   GIR_EraseRootFromParent_Done,
     /* 2335345 */ // Label 32278: @2335345
     /* 2335345 */ GIM_Reject,
     /* 2335346 */ // Label 32234: @2335346
     /* 2335346 */ GIM_Try, /*On fail goto*//*Label 32279*/ GIMT_Encode4(2335400), // Rule ID 58354 //
     /* 2335351 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2335354 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335361 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335365 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335365 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335368 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335372 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335377 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335379 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2335382 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335384 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335387 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335399 */   // GIR_Coverage, 58354,
     /* 2335399 */   GIR_EraseRootFromParent_Done,
     /* 2335400 */ // Label 32279: @2335400
     /* 2335400 */ GIM_Try, /*On fail goto*//*Label 32280*/ GIMT_Encode4(2335454), // Rule ID 58355 //
     /* 2335405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2335408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335419 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335419 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335422 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335426 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335431 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2335436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335438 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335453 */   // GIR_Coverage, 58355,
     /* 2335453 */   GIR_EraseRootFromParent_Done,
     /* 2335454 */ // Label 32280: @2335454
     /* 2335454 */ GIM_Try, /*On fail goto*//*Label 32281*/ GIMT_Encode4(2335508), // Rule ID 58554 //
     /* 2335459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335473 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335473 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335476 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335480 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2335490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335507 */   // GIR_Coverage, 58554,
     /* 2335507 */   GIR_EraseRootFromParent_Done,
     /* 2335508 */ // Label 32281: @2335508
     /* 2335508 */ GIM_Try, /*On fail goto*//*Label 32282*/ GIMT_Encode4(2335562), // Rule ID 58555 //
     /* 2335513 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335516 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2335519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335527 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF4:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335527 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335530 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335534 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335539 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF4),
     /* 2335544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335546 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335549 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2335557 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335560 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335561 */   // GIR_Coverage, 58555,
     /* 2335561 */   GIR_EraseRootFromParent_Done,
     /* 2335562 */ // Label 32282: @2335562
     /* 2335562 */ GIM_Try, /*On fail goto*//*Label 32283*/ GIMT_Encode4(2335616), // Rule ID 58806 //
     /* 2335567 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2335570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335573 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335577 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335581 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335581 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335584 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335588 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335593 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335595 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2335598 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335600 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335603 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335611 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335614 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335615 */   // GIR_Coverage, 58806,
     /* 2335615 */   GIR_EraseRootFromParent_Done,
     /* 2335616 */ // Label 32283: @2335616
     /* 2335616 */ GIM_Try, /*On fail goto*//*Label 32284*/ GIMT_Encode4(2335670), // Rule ID 58807 //
     /* 2335621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2335624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335631 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335635 */   // (fp_to_uint:{ *:[nxv1i32] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335635 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2335638 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335642 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335647 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335649 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2335652 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335654 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335657 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335659 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335662 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335665 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335668 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335669 */   // GIR_Coverage, 58807,
     /* 2335669 */   GIR_EraseRootFromParent_Done,
     /* 2335670 */ // Label 32284: @2335670
     /* 2335670 */ GIM_Reject,
     /* 2335671 */ // Label 32235: @2335671
     /* 2335671 */ GIM_Try, /*On fail goto*//*Label 32285*/ GIMT_Encode4(2335725), // Rule ID 58366 //
     /* 2335676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2335679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335690 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2335707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335724 */   // GIR_Coverage, 58366,
     /* 2335724 */   GIR_EraseRootFromParent_Done,
     /* 2335725 */ // Label 32285: @2335725
     /* 2335725 */ GIM_Try, /*On fail goto*//*Label 32286*/ GIMT_Encode4(2335779), // Rule ID 58367 //
     /* 2335730 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2335733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2335736 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335740 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335744 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335744 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335747 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335751 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335756 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335758 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2335761 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335763 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335766 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335768 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335771 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2335774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335777 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335778 */   // GIR_Coverage, 58367,
     /* 2335778 */   GIR_EraseRootFromParent_Done,
     /* 2335779 */ // Label 32286: @2335779
     /* 2335779 */ GIM_Try, /*On fail goto*//*Label 32287*/ GIMT_Encode4(2335833), // Rule ID 58574 //
     /* 2335784 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2335787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335790 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335794 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335798 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335798 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335801 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335805 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335810 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335812 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2335815 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335817 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335820 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335822 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335825 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335828 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335831 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335832 */   // GIR_Coverage, 58574,
     /* 2335832 */   GIR_EraseRootFromParent_Done,
     /* 2335833 */ // Label 32287: @2335833
     /* 2335833 */ GIM_Try, /*On fail goto*//*Label 32288*/ GIMT_Encode4(2335887), // Rule ID 58575 //
     /* 2335838 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2335841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2335844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335852 */   // (fp_to_uint:{ *:[nxv1i64] } VR:{ *:[nxv1f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335852 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2335855 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335859 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335864 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335866 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2335869 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335871 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335874 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335876 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335879 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2335882 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335885 */   GIR_RootConstrainSelectedInstOperands,
     /* 2335886 */   // GIR_Coverage, 58575,
     /* 2335886 */   GIR_EraseRootFromParent_Done,
     /* 2335887 */ // Label 32288: @2335887
     /* 2335887 */ GIM_Reject,
     /* 2335888 */ // Label 32236: @2335888
     /* 2335888 */ GIM_Try, /*On fail goto*//*Label 32289*/ GIMT_Encode4(2335991),
     /* 2335893 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2335896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2335904 */   GIM_Try, /*On fail goto*//*Label 32290*/ GIMT_Encode4(2335947), // Rule ID 58766 //
     /* 2335909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2335912 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2335912 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2335915 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335919 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335924 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2335929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335931 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335934 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335946 */     // GIR_Coverage, 58766,
     /* 2335946 */     GIR_EraseRootFromParent_Done,
     /* 2335947 */   // Label 32290: @2335947
     /* 2335947 */   GIM_Try, /*On fail goto*//*Label 32291*/ GIMT_Encode4(2335990), // Rule ID 58767 //
     /* 2335952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2335955 */     // (fp_to_uint:{ *:[nxv2i8] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2335955 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2335958 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2335962 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2335967 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2335969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF4),
     /* 2335972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2335974 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2335977 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2335979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2335982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2335988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2335989 */     // GIR_Coverage, 58767,
     /* 2335989 */     GIR_EraseRootFromParent_Done,
     /* 2335990 */   // Label 32291: @2335990
     /* 2335990 */   GIM_Reject,
     /* 2335991 */ // Label 32289: @2335991
     /* 2335991 */ GIM_Reject,
     /* 2335992 */ // Label 32237: @2335992
     /* 2335992 */ GIM_Try, /*On fail goto*//*Label 32292*/ GIMT_Encode4(2336046), // Rule ID 58350 //
     /* 2335997 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336011 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336011 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336014 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336018 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336023 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336025 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2336028 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336030 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336033 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336045 */   // GIR_Coverage, 58350,
     /* 2336045 */   GIR_EraseRootFromParent_Done,
     /* 2336046 */ // Label 32292: @2336046
     /* 2336046 */ GIM_Try, /*On fail goto*//*Label 32293*/ GIMT_Encode4(2336100), // Rule ID 58351 //
     /* 2336051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336065 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_MF2),
     /* 2336082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336099 */   // GIR_Coverage, 58351,
     /* 2336099 */   GIR_EraseRootFromParent_Done,
     /* 2336100 */ // Label 32293: @2336100
     /* 2336100 */ GIM_Try, /*On fail goto*//*Label 32294*/ GIMT_Encode4(2336154), // Rule ID 58790 //
     /* 2336105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2336108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336119 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2336136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336153 */   // GIR_Coverage, 58790,
     /* 2336153 */   GIR_EraseRootFromParent_Done,
     /* 2336154 */ // Label 32294: @2336154
     /* 2336154 */ GIM_Try, /*On fail goto*//*Label 32295*/ GIMT_Encode4(2336208), // Rule ID 58791 //
     /* 2336159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2336162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336173 */   // (fp_to_uint:{ *:[nxv2i16] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2336176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2336190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336206 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336207 */   // GIR_Coverage, 58791,
     /* 2336207 */   GIR_EraseRootFromParent_Done,
     /* 2336208 */ // Label 32295: @2336208
     /* 2336208 */ GIM_Reject,
     /* 2336209 */ // Label 32238: @2336209
     /* 2336209 */ GIM_Try, /*On fail goto*//*Label 32296*/ GIMT_Encode4(2336263), // Rule ID 58362 //
     /* 2336214 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2336217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336228 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336228 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336231 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336235 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336240 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336242 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2336245 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336247 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336250 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336261 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336262 */   // GIR_Coverage, 58362,
     /* 2336262 */   GIR_EraseRootFromParent_Done,
     /* 2336263 */ // Label 32296: @2336263
     /* 2336263 */ GIM_Try, /*On fail goto*//*Label 32297*/ GIMT_Encode4(2336317), // Rule ID 58363 //
     /* 2336268 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2336271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336282 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336282 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336285 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336289 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336294 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336296 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2336299 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336301 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336304 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336315 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336316 */   // GIR_Coverage, 58363,
     /* 2336316 */   GIR_EraseRootFromParent_Done,
     /* 2336317 */ // Label 32297: @2336317
     /* 2336317 */ GIM_Try, /*On fail goto*//*Label 32298*/ GIMT_Encode4(2336371), // Rule ID 58558 //
     /* 2336322 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336325 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336328 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336332 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336336 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336336 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336339 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336343 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336348 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336350 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2336353 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336355 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336358 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336370 */   // GIR_Coverage, 58558,
     /* 2336370 */   GIR_EraseRootFromParent_Done,
     /* 2336371 */ // Label 32298: @2336371
     /* 2336371 */ GIM_Try, /*On fail goto*//*Label 32299*/ GIMT_Encode4(2336425), // Rule ID 58559 //
     /* 2336376 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336379 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2336382 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336386 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336390 */   // (fp_to_uint:{ *:[nxv2i32] } VR:{ *:[nxv2f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_MF2:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336390 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336393 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336397 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336402 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_MF2),
     /* 2336407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336409 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336412 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336420 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336423 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336424 */   // GIR_Coverage, 58559,
     /* 2336424 */   GIR_EraseRootFromParent_Done,
     /* 2336425 */ // Label 32299: @2336425
     /* 2336425 */ GIM_Try, /*On fail goto*//*Label 32300*/ GIMT_Encode4(2336479), // Rule ID 58810 //
     /* 2336430 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2336433 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336436 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336440 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336444 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336444 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336447 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336451 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336456 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336458 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2336461 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336463 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336466 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336474 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336477 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336478 */   // GIR_Coverage, 58810,
     /* 2336478 */   GIR_EraseRootFromParent_Done,
     /* 2336479 */ // Label 32300: @2336479
     /* 2336479 */ GIM_Try, /*On fail goto*//*Label 32301*/ GIMT_Encode4(2336533), // Rule ID 58811 //
     /* 2336484 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2336487 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336490 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336494 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336498 */   // (fp_to_uint:{ *:[nxv2i32] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336498 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2336501 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336505 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336510 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336512 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2336515 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336517 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336520 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336522 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336525 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336528 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336531 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336532 */   // GIR_Coverage, 58811,
     /* 2336532 */   GIR_EraseRootFromParent_Done,
     /* 2336533 */ // Label 32301: @2336533
     /* 2336533 */ GIM_Reject,
     /* 2336534 */ // Label 32239: @2336534
     /* 2336534 */ GIM_Try, /*On fail goto*//*Label 32302*/ GIMT_Encode4(2336588), // Rule ID 58394 //
     /* 2336539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2336542 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336545 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336549 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336553 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336553 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336556 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336560 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336565 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336567 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2336570 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336572 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336575 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336577 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336580 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336586 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336587 */   // GIR_Coverage, 58394,
     /* 2336587 */   GIR_EraseRootFromParent_Done,
     /* 2336588 */ // Label 32302: @2336588
     /* 2336588 */ GIM_Try, /*On fail goto*//*Label 32303*/ GIMT_Encode4(2336642), // Rule ID 58395 //
     /* 2336593 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2336596 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2336599 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336603 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336607 */   // (fp_to_uint:{ *:[nxv2i64] } VRM2:{ *:[nxv2f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336607 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336610 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336614 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336619 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336621 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2336624 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336626 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336629 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336631 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336634 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2336637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336640 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336641 */   // GIR_Coverage, 58395,
     /* 2336641 */   GIR_EraseRootFromParent_Done,
     /* 2336642 */ // Label 32303: @2336642
     /* 2336642 */ GIM_Try, /*On fail goto*//*Label 32304*/ GIMT_Encode4(2336696), // Rule ID 58578 //
     /* 2336647 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2336650 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336653 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336657 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336661 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336661 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336664 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336668 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336673 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2336678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336680 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336683 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336688 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336691 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336694 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336695 */   // GIR_Coverage, 58578,
     /* 2336695 */   GIR_EraseRootFromParent_Done,
     /* 2336696 */ // Label 32304: @2336696
     /* 2336696 */ GIM_Try, /*On fail goto*//*Label 32305*/ GIMT_Encode4(2336750), // Rule ID 58579 //
     /* 2336701 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2336704 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2336707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336715 */   // (fp_to_uint:{ *:[nxv2i64] } VR:{ *:[nxv2f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VR:{ *:[nxv2f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336715 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2336718 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336722 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336727 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336729 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2336732 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336734 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336737 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336739 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336742 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2336745 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336748 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336749 */   // GIR_Coverage, 58579,
     /* 2336749 */   GIR_EraseRootFromParent_Done,
     /* 2336750 */ // Label 32305: @2336750
     /* 2336750 */ GIM_Reject,
     /* 2336751 */ // Label 32240: @2336751
     /* 2336751 */ GIM_Try, /*On fail goto*//*Label 32306*/ GIMT_Encode4(2336854),
     /* 2336756 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336759 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336763 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336767 */   GIM_Try, /*On fail goto*//*Label 32307*/ GIMT_Encode4(2336810), // Rule ID 58770 //
     /* 2336772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336775 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336775 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2336778 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336782 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336787 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336789 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2336792 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336794 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336809 */     // GIR_Coverage, 58770,
     /* 2336809 */     GIR_EraseRootFromParent_Done,
     /* 2336810 */   // Label 32307: @2336810
     /* 2336810 */   GIM_Try, /*On fail goto*//*Label 32308*/ GIMT_Encode4(2336853), // Rule ID 58771 //
     /* 2336815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336818 */     // (fp_to_uint:{ *:[nxv4i8] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2336821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_MF2),
     /* 2336835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2336852 */     // GIR_Coverage, 58771,
     /* 2336852 */     GIR_EraseRootFromParent_Done,
     /* 2336853 */   // Label 32308: @2336853
     /* 2336853 */   GIM_Reject,
     /* 2336854 */ // Label 32306: @2336854
     /* 2336854 */ GIM_Reject,
     /* 2336855 */ // Label 32241: @2336855
     /* 2336855 */ GIM_Try, /*On fail goto*//*Label 32309*/ GIMT_Encode4(2336909), // Rule ID 58358 //
     /* 2336860 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2336863 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336866 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336870 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336874 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336874 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336877 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336881 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336886 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336888 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2336891 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336893 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336896 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336904 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336907 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336908 */   // GIR_Coverage, 58358,
     /* 2336908 */   GIR_EraseRootFromParent_Done,
     /* 2336909 */ // Label 32309: @2336909
     /* 2336909 */ GIM_Try, /*On fail goto*//*Label 32310*/ GIMT_Encode4(2336963), // Rule ID 58359 //
     /* 2336914 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2336917 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2336920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336928 */   // (fp_to_uint:{ *:[nxv4i16] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2336928 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336931 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336935 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336940 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M1),
     /* 2336945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2336947 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2336950 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2336952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2336955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2336958 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2336961 */   GIR_RootConstrainSelectedInstOperands,
     /* 2336962 */   // GIR_Coverage, 58359,
     /* 2336962 */   GIR_EraseRootFromParent_Done,
     /* 2336963 */ // Label 32310: @2336963
     /* 2336963 */ GIM_Try, /*On fail goto*//*Label 32311*/ GIMT_Encode4(2337017), // Rule ID 58794 //
     /* 2336968 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2336971 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2336974 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2336978 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2336982 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2336982 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2336985 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2336989 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2336994 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2336996 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2336999 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337001 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337004 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337012 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337015 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337016 */   // GIR_Coverage, 58794,
     /* 2337016 */   GIR_EraseRootFromParent_Done,
     /* 2337017 */ // Label 32311: @2337017
     /* 2337017 */ GIM_Try, /*On fail goto*//*Label 32312*/ GIMT_Encode4(2337071), // Rule ID 58795 //
     /* 2337022 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2337025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337028 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337032 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337036 */   // (fp_to_uint:{ *:[nxv4i16] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337036 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2337039 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337043 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337048 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337050 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2337053 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337055 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337058 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337060 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337063 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337066 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337069 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337070 */   // GIR_Coverage, 58795,
     /* 2337070 */   GIR_EraseRootFromParent_Done,
     /* 2337071 */ // Label 32312: @2337071
     /* 2337071 */ GIM_Reject,
     /* 2337072 */ // Label 32242: @2337072
     /* 2337072 */ GIM_Try, /*On fail goto*//*Label 32313*/ GIMT_Encode4(2337126), // Rule ID 58382 //
     /* 2337077 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2337080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337083 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337087 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337091 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337091 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337094 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337098 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337103 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337105 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2337108 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337110 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337113 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337125 */   // GIR_Coverage, 58382,
     /* 2337125 */   GIR_EraseRootFromParent_Done,
     /* 2337126 */ // Label 32313: @2337126
     /* 2337126 */ GIM_Try, /*On fail goto*//*Label 32314*/ GIMT_Encode4(2337180), // Rule ID 58383 //
     /* 2337131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2337134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337145 */   // (fp_to_uint:{ *:[nxv4i32] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2337162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337179 */   // GIR_Coverage, 58383,
     /* 2337179 */   GIR_EraseRootFromParent_Done,
     /* 2337180 */ // Label 32314: @2337180
     /* 2337180 */ GIM_Try, /*On fail goto*//*Label 32315*/ GIMT_Encode4(2337234), // Rule ID 58562 //
     /* 2337185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337199 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337199 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337202 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337206 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2337216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337221 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337233 */   // GIR_Coverage, 58562,
     /* 2337233 */   GIR_EraseRootFromParent_Done,
     /* 2337234 */ // Label 32315: @2337234
     /* 2337234 */ GIM_Try, /*On fail goto*//*Label 32316*/ GIMT_Encode4(2337288), // Rule ID 58563 //
     /* 2337239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2337245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337253 */   // (fp_to_uint:{ *:[nxv4i32] } VR:{ *:[nxv4f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M1:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VR:{ *:[nxv4f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M1),
     /* 2337270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337272 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337275 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337286 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337287 */   // GIR_Coverage, 58563,
     /* 2337287 */   GIR_EraseRootFromParent_Done,
     /* 2337288 */ // Label 32316: @2337288
     /* 2337288 */ GIM_Try, /*On fail goto*//*Label 32317*/ GIMT_Encode4(2337342), // Rule ID 58814 //
     /* 2337293 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2337296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337299 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337303 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337307 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337307 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337310 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337314 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337319 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337321 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2337324 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337326 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337329 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337331 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337340 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337341 */   // GIR_Coverage, 58814,
     /* 2337341 */   GIR_EraseRootFromParent_Done,
     /* 2337342 */ // Label 32317: @2337342
     /* 2337342 */ GIM_Try, /*On fail goto*//*Label 32318*/ GIMT_Encode4(2337396), // Rule ID 58815 //
     /* 2337347 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2337350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337353 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337357 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337361 */   // (fp_to_uint:{ *:[nxv4i32] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337361 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2337364 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337368 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337373 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337375 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2337378 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337380 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337383 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337385 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337388 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337391 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337394 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337395 */   // GIR_Coverage, 58815,
     /* 2337395 */   GIR_EraseRootFromParent_Done,
     /* 2337396 */ // Label 32318: @2337396
     /* 2337396 */ GIM_Reject,
     /* 2337397 */ // Label 32243: @2337397
     /* 2337397 */ GIM_Try, /*On fail goto*//*Label 32319*/ GIMT_Encode4(2337451), // Rule ID 58398 //
     /* 2337402 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2337405 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337408 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337412 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337416 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337416 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337419 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337423 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337428 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337430 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2337433 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337435 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337438 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337450 */   // GIR_Coverage, 58398,
     /* 2337450 */   GIR_EraseRootFromParent_Done,
     /* 2337451 */ // Label 32319: @2337451
     /* 2337451 */ GIM_Try, /*On fail goto*//*Label 32320*/ GIMT_Encode4(2337505), // Rule ID 58399 //
     /* 2337456 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2337459 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2337462 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337466 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337470 */   // (fp_to_uint:{ *:[nxv4i64] } VRM4:{ *:[nxv4f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337470 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337473 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337477 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337482 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337484 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2337487 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337489 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337492 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2337500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337503 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337504 */   // GIR_Coverage, 58399,
     /* 2337504 */   GIR_EraseRootFromParent_Done,
     /* 2337505 */ // Label 32320: @2337505
     /* 2337505 */ GIM_Try, /*On fail goto*//*Label 32321*/ GIMT_Encode4(2337559), // Rule ID 58582 //
     /* 2337510 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2337513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337516 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337520 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337524 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337524 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337527 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337531 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337536 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337538 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2337541 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337543 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337551 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337558 */   // GIR_Coverage, 58582,
     /* 2337558 */   GIR_EraseRootFromParent_Done,
     /* 2337559 */ // Label 32321: @2337559
     /* 2337559 */ GIM_Try, /*On fail goto*//*Label 32322*/ GIMT_Encode4(2337613), // Rule ID 58583 //
     /* 2337564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2337567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2337570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337574 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337578 */   // (fp_to_uint:{ *:[nxv4i64] } VRM2:{ *:[nxv4f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM2:{ *:[nxv4f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337578 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2337581 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337585 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337590 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337592 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2337595 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337597 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337600 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337602 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337605 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337608 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337611 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337612 */   // GIR_Coverage, 58583,
     /* 2337612 */   GIR_EraseRootFromParent_Done,
     /* 2337613 */ // Label 32322: @2337613
     /* 2337613 */ GIM_Reject,
     /* 2337614 */ // Label 32244: @2337614
     /* 2337614 */ GIM_Try, /*On fail goto*//*Label 32323*/ GIMT_Encode4(2337717),
     /* 2337619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2337626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337630 */   GIM_Try, /*On fail goto*//*Label 32324*/ GIMT_Encode4(2337673), // Rule ID 58774 //
     /* 2337635 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337638 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337638 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2337641 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337645 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337650 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2337655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337657 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337672 */     // GIR_Coverage, 58774,
     /* 2337672 */     GIR_EraseRootFromParent_Done,
     /* 2337673 */   // Label 32324: @2337673
     /* 2337673 */   GIM_Try, /*On fail goto*//*Label 32325*/ GIMT_Encode4(2337716), // Rule ID 58775 //
     /* 2337678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337681 */     // (fp_to_uint:{ *:[nxv8i8] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2337684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M1),
     /* 2337698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2337715 */     // GIR_Coverage, 58775,
     /* 2337715 */     GIR_EraseRootFromParent_Done,
     /* 2337716 */   // Label 32325: @2337716
     /* 2337716 */   GIM_Reject,
     /* 2337717 */ // Label 32323: @2337717
     /* 2337717 */ GIM_Reject,
     /* 2337718 */ // Label 32245: @2337718
     /* 2337718 */ GIM_Try, /*On fail goto*//*Label 32326*/ GIMT_Encode4(2337772), // Rule ID 58370 //
     /* 2337723 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2337726 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337737 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337737 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337740 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337744 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337749 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337751 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2337754 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337756 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337759 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337771 */   // GIR_Coverage, 58370,
     /* 2337771 */   GIR_EraseRootFromParent_Done,
     /* 2337772 */ // Label 32326: @2337772
     /* 2337772 */ GIM_Try, /*On fail goto*//*Label 32327*/ GIMT_Encode4(2337826), // Rule ID 58371 //
     /* 2337777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2337780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2337783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337791 */   // (fp_to_uint:{ *:[nxv8i16] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M2),
     /* 2337808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337813 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337825 */   // GIR_Coverage, 58371,
     /* 2337825 */   GIR_EraseRootFromParent_Done,
     /* 2337826 */ // Label 32327: @2337826
     /* 2337826 */ GIM_Try, /*On fail goto*//*Label 32328*/ GIMT_Encode4(2337880), // Rule ID 58798 //
     /* 2337831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2337834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337845 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2337862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337879 */   // GIR_Coverage, 58798,
     /* 2337879 */   GIR_EraseRootFromParent_Done,
     /* 2337880 */ // Label 32328: @2337880
     /* 2337880 */ GIM_Try, /*On fail goto*//*Label 32329*/ GIMT_Encode4(2337934), // Rule ID 58799 //
     /* 2337885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2337888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2337895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337899 */   // (fp_to_uint:{ *:[nxv8i16] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2337899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2337902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2337916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2337929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337933 */   // GIR_Coverage, 58799,
     /* 2337933 */   GIR_EraseRootFromParent_Done,
     /* 2337934 */ // Label 32329: @2337934
     /* 2337934 */ GIM_Reject,
     /* 2337935 */ // Label 32246: @2337935
     /* 2337935 */ GIM_Try, /*On fail goto*//*Label 32330*/ GIMT_Encode4(2337989), // Rule ID 58386 //
     /* 2337940 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2337943 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2337946 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337950 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2337954 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2337954 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2337957 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2337961 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2337966 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2337968 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2337971 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2337973 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2337976 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2337978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2337981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2337984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2337987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2337988 */   // GIR_Coverage, 58386,
     /* 2337988 */   GIR_EraseRootFromParent_Done,
     /* 2337989 */ // Label 32330: @2337989
     /* 2337989 */ GIM_Try, /*On fail goto*//*Label 32331*/ GIMT_Encode4(2338043), // Rule ID 58387 //
     /* 2337994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2337997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338008 */   // (fp_to_uint:{ *:[nxv8i32] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2338025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338041 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338042 */   // GIR_Coverage, 58387,
     /* 2338042 */   GIR_EraseRootFromParent_Done,
     /* 2338043 */ // Label 32331: @2338043
     /* 2338043 */ GIM_Try, /*On fail goto*//*Label 32332*/ GIMT_Encode4(2338097), // Rule ID 58566 //
     /* 2338048 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338051 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338054 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338058 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338062 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338062 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338065 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338069 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338074 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338076 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2338079 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338081 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338084 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338096 */   // GIR_Coverage, 58566,
     /* 2338096 */   GIR_EraseRootFromParent_Done,
     /* 2338097 */ // Label 32332: @2338097
     /* 2338097 */ GIM_Try, /*On fail goto*//*Label 32333*/ GIMT_Encode4(2338151), // Rule ID 58567 //
     /* 2338102 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2338108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338116 */   // (fp_to_uint:{ *:[nxv8i32] } VRM2:{ *:[nxv8f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M2:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM2:{ *:[nxv8f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338116 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338119 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338123 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338128 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338130 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M2),
     /* 2338133 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338135 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338138 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338140 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338149 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338150 */   // GIR_Coverage, 58567,
     /* 2338150 */   GIR_EraseRootFromParent_Done,
     /* 2338151 */ // Label 32333: @2338151
     /* 2338151 */ GIM_Try, /*On fail goto*//*Label 32334*/ GIMT_Encode4(2338205), // Rule ID 58818 //
     /* 2338156 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2338159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338162 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338166 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338170 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338170 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338173 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338177 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338182 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338184 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2338187 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338189 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338192 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338194 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338203 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338204 */   // GIR_Coverage, 58818,
     /* 2338204 */   GIR_EraseRootFromParent_Done,
     /* 2338205 */ // Label 32334: @2338205
     /* 2338205 */ GIM_Try, /*On fail goto*//*Label 32335*/ GIMT_Encode4(2338259), // Rule ID 58819 //
     /* 2338210 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2338213 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338216 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338220 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338224 */   // (fp_to_uint:{ *:[nxv8i32] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338224 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2338227 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338231 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338236 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338238 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2338241 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338243 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338246 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338248 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338251 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338257 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338258 */   // GIR_Coverage, 58819,
     /* 2338258 */   GIR_EraseRootFromParent_Done,
     /* 2338259 */ // Label 32335: @2338259
     /* 2338259 */ GIM_Reject,
     /* 2338260 */ // Label 32247: @2338260
     /* 2338260 */ GIM_Try, /*On fail goto*//*Label 32336*/ GIMT_Encode4(2338314), // Rule ID 58402 //
     /* 2338265 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2338268 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338279 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338279 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338282 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338286 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338291 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338293 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2338296 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338298 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338301 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338313 */   // GIR_Coverage, 58402,
     /* 2338313 */   GIR_EraseRootFromParent_Done,
     /* 2338314 */ // Label 32336: @2338314
     /* 2338314 */ GIM_Try, /*On fail goto*//*Label 32337*/ GIMT_Encode4(2338368), // Rule ID 58403 //
     /* 2338319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2338322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2338325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338333 */   // (fp_to_uint:{ *:[nxv8i64] } VRM8:{ *:[nxv8f64] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8f64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2338350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2338363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338366 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338367 */   // GIR_Coverage, 58403,
     /* 2338367 */   GIR_EraseRootFromParent_Done,
     /* 2338368 */ // Label 32337: @2338368
     /* 2338368 */ GIM_Try, /*On fail goto*//*Label 32338*/ GIMT_Encode4(2338422), // Rule ID 58586 //
     /* 2338373 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2338376 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338379 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338383 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338387 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338387 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338390 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338394 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338399 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338401 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2338404 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338406 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338417 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338420 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338421 */   // GIR_Coverage, 58586,
     /* 2338421 */   GIR_EraseRootFromParent_Done,
     /* 2338422 */ // Label 32338: @2338422
     /* 2338422 */ GIM_Try, /*On fail goto*//*Label 32339*/ GIMT_Encode4(2338476), // Rule ID 58587 //
     /* 2338427 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2338430 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2338433 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338437 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338441 */   // (fp_to_uint:{ *:[nxv8i64] } VRM4:{ *:[nxv8f32] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM4:{ *:[nxv8f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338441 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2338444 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338448 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338453 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338455 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2338458 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338460 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338463 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338465 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338468 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338471 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338474 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338475 */   // GIR_Coverage, 58587,
     /* 2338475 */   GIR_EraseRootFromParent_Done,
     /* 2338476 */ // Label 32339: @2338476
     /* 2338476 */ GIM_Reject,
     /* 2338477 */ // Label 32248: @2338477
     /* 2338477 */ GIM_Try, /*On fail goto*//*Label 32340*/ GIMT_Encode4(2338580),
     /* 2338482 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338485 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2338489 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338493 */   GIM_Try, /*On fail goto*//*Label 32341*/ GIMT_Encode4(2338536), // Rule ID 58778 //
     /* 2338498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338501 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2338504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2338518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338535 */     // GIR_Coverage, 58778,
     /* 2338535 */     GIR_EraseRootFromParent_Done,
     /* 2338536 */   // Label 32341: @2338536
     /* 2338536 */   GIM_Try, /*On fail goto*//*Label 32342*/ GIMT_Encode4(2338579), // Rule ID 58779 //
     /* 2338541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338544 */     // (fp_to_uint:{ *:[nxv16i8] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338544 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2338547 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338551 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338556 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338558 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M2),
     /* 2338561 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338563 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338566 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2338578 */     // GIR_Coverage, 58779,
     /* 2338578 */     GIR_EraseRootFromParent_Done,
     /* 2338579 */   // Label 32342: @2338579
     /* 2338579 */   GIM_Reject,
     /* 2338580 */ // Label 32340: @2338580
     /* 2338580 */ GIM_Reject,
     /* 2338581 */ // Label 32249: @2338581
     /* 2338581 */ GIM_Try, /*On fail goto*//*Label 32343*/ GIMT_Encode4(2338635), // Rule ID 58374 //
     /* 2338586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338589 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338600 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338600 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338603 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338607 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338612 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338614 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2338617 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338619 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338622 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338627 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338630 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338633 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338634 */   // GIR_Coverage, 58374,
     /* 2338634 */   GIR_EraseRootFromParent_Done,
     /* 2338635 */ // Label 32343: @2338635
     /* 2338635 */ GIM_Try, /*On fail goto*//*Label 32344*/ GIMT_Encode4(2338689), // Rule ID 58375 //
     /* 2338640 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338646 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338650 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338654 */   // (fp_to_uint:{ *:[nxv16i16] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338654 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338657 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338661 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338666 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338668 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M4),
     /* 2338671 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338673 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338676 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338684 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338688 */   // GIR_Coverage, 58375,
     /* 2338688 */   GIR_EraseRootFromParent_Done,
     /* 2338689 */ // Label 32344: @2338689
     /* 2338689 */ GIM_Try, /*On fail goto*//*Label 32345*/ GIMT_Encode4(2338743), // Rule ID 58802 //
     /* 2338694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2338697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338708 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338708 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338711 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338715 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338720 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338722 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2338725 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338727 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338730 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338738 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338741 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338742 */   // GIR_Coverage, 58802,
     /* 2338742 */   GIR_EraseRootFromParent_Done,
     /* 2338743 */ // Label 32345: @2338743
     /* 2338743 */ GIM_Try, /*On fail goto*//*Label 32346*/ GIMT_Encode4(2338797), // Rule ID 58803 //
     /* 2338748 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2338751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338762 */   // (fp_to_uint:{ *:[nxv16i16] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338762 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2338765 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338769 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338774 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338776 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2338779 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338781 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338784 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338792 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338795 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338796 */   // GIR_Coverage, 58803,
     /* 2338796 */   GIR_EraseRootFromParent_Done,
     /* 2338797 */ // Label 32346: @2338797
     /* 2338797 */ GIM_Reject,
     /* 2338798 */ // Label 32250: @2338798
     /* 2338798 */ GIM_Try, /*On fail goto*//*Label 32347*/ GIMT_Encode4(2338852), // Rule ID 58390 //
     /* 2338803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2338806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338813 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338817 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338817 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338820 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338824 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338829 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338831 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2338834 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338836 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338839 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338844 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338847 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338850 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338851 */   // GIR_Coverage, 58390,
     /* 2338851 */   GIR_EraseRootFromParent_Done,
     /* 2338852 */ // Label 32347: @2338852
     /* 2338852 */ GIM_Try, /*On fail goto*//*Label 32348*/ GIMT_Encode4(2338906), // Rule ID 58391 //
     /* 2338857 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2338860 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2338863 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338867 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338871 */   // (fp_to_uint:{ *:[nxv16i32] } VRM8:{ *:[nxv16f32] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16f32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338871 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338874 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338878 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338883 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338885 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2338888 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338890 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338893 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2338901 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338904 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338905 */   // GIR_Coverage, 58391,
     /* 2338905 */   GIR_EraseRootFromParent_Done,
     /* 2338906 */ // Label 32348: @2338906
     /* 2338906 */ GIM_Try, /*On fail goto*//*Label 32349*/ GIMT_Encode4(2338960), // Rule ID 58570 //
     /* 2338911 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2338914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338917 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338921 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338925 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2338925 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338928 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338932 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338937 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338939 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2338942 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338944 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2338947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2338949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2338952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2338955 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2338958 */   GIR_RootConstrainSelectedInstOperands,
     /* 2338959 */   // GIR_Coverage, 58570,
     /* 2338959 */   GIR_EraseRootFromParent_Done,
     /* 2338960 */ // Label 32349: @2338960
     /* 2338960 */ GIM_Try, /*On fail goto*//*Label 32350*/ GIMT_Encode4(2339014), // Rule ID 58571 //
     /* 2338965 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2338968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2338971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2338975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2338979 */   // (fp_to_uint:{ *:[nxv16i32] } VRM4:{ *:[nxv16f16] }:$rs1)  =>  (PseudoVFWCVT_RTZ_XU_F_V_M4:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM4:{ *:[nxv16f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2338979 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2338982 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2338986 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2338991 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2338993 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_RTZ_XU_F_V_M4),
     /* 2338996 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2338998 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339001 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339009 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339012 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339013 */   // GIR_Coverage, 58571,
     /* 2339013 */   GIR_EraseRootFromParent_Done,
     /* 2339014 */ // Label 32350: @2339014
     /* 2339014 */ GIM_Reject,
     /* 2339015 */ // Label 32251: @2339015
     /* 2339015 */ GIM_Try, /*On fail goto*//*Label 32351*/ GIMT_Encode4(2339118),
     /* 2339020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2339027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339031 */   GIM_Try, /*On fail goto*//*Label 32352*/ GIMT_Encode4(2339074), // Rule ID 58782 //
     /* 2339036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339039 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2339042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2339056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339073 */     // GIR_Coverage, 58782,
     /* 2339073 */     GIR_EraseRootFromParent_Done,
     /* 2339074 */   // Label 32352: @2339074
     /* 2339074 */   GIM_Try, /*On fail goto*//*Label 32353*/ GIMT_Encode4(2339117), // Rule ID 58783 //
     /* 2339079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339082 */     // (fp_to_uint:{ *:[nxv32i8] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFNCVT_RTZ_XU_F_W_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2339085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_RTZ_XU_F_W_M4),
     /* 2339099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339116 */     // GIR_Coverage, 58783,
     /* 2339116 */     GIR_EraseRootFromParent_Done,
     /* 2339117 */   // Label 32353: @2339117
     /* 2339117 */   GIM_Reject,
     /* 2339118 */ // Label 32351: @2339118
     /* 2339118 */ GIM_Reject,
     /* 2339119 */ // Label 32252: @2339119
     /* 2339119 */ GIM_Try, /*On fail goto*//*Label 32354*/ GIMT_Encode4(2339222),
     /* 2339124 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2339127 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339131 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2339135 */   GIM_Try, /*On fail goto*//*Label 32355*/ GIMT_Encode4(2339178), // Rule ID 58378 //
     /* 2339140 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2339143 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2339143 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339146 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339150 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339155 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2339160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339162 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339165 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339177 */     // GIR_Coverage, 58378,
     /* 2339177 */     GIR_EraseRootFromParent_Done,
     /* 2339178 */   // Label 32355: @2339178
     /* 2339178 */   GIM_Try, /*On fail goto*//*Label 32356*/ GIMT_Encode4(2339221), // Rule ID 58379 //
     /* 2339183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2339186 */     // (fp_to_uint:{ *:[nxv32i16] } VRM8:{ *:[nxv32f16] }:$rs1)  =>  (PseudoVFCVT_RTZ_XU_F_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32f16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2339186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2339189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2339193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2339198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2339200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_RTZ_XU_F_V_M8),
     /* 2339203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2339208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2339213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2339216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2339219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2339220 */     // GIR_Coverage, 58379,
     /* 2339220 */     GIR_EraseRootFromParent_Done,
     /* 2339221 */   // Label 32356: @2339221
     /* 2339221 */   GIM_Reject,
     /* 2339222 */ // Label 32354: @2339222
     /* 2339222 */ GIM_Reject,
     /* 2339223 */ // Label 32253: @2339223
     /* 2339223 */ GIM_Reject,
     /* 2339224 */ // Label 69: @2339224
     /* 2339224 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32375*/ GIMT_Encode4(2344509),
     /* 2339235 */ /*GILLT_s16*//*Label 32357*/ GIMT_Encode4(2339355),
     /* 2339239 */ /*GILLT_s32*//*Label 32358*/ GIMT_Encode4(2339616),
     /* 2339243 */ /*GILLT_s64*//*Label 32359*/ GIMT_Encode4(2339877), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339255 */ /*GILLT_nxv1s16*//*Label 32360*/ GIMT_Encode4(2340138),
     /* 2339259 */ /*GILLT_nxv1s32*//*Label 32361*/ GIMT_Encode4(2340475),
     /* 2339263 */ /*GILLT_nxv1s64*//*Label 32362*/ GIMT_Encode4(2340812), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339275 */ /*GILLT_nxv2s16*//*Label 32363*/ GIMT_Encode4(2341035),
     /* 2339279 */ /*GILLT_nxv2s32*//*Label 32364*/ GIMT_Encode4(2341372),
     /* 2339283 */ /*GILLT_nxv2s64*//*Label 32365*/ GIMT_Encode4(2341709), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339295 */ /*GILLT_nxv4s16*//*Label 32366*/ GIMT_Encode4(2341932),
     /* 2339299 */ /*GILLT_nxv4s32*//*Label 32367*/ GIMT_Encode4(2342269),
     /* 2339303 */ /*GILLT_nxv4s64*//*Label 32368*/ GIMT_Encode4(2342606), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339315 */ /*GILLT_nxv8s16*//*Label 32369*/ GIMT_Encode4(2342829),
     /* 2339319 */ /*GILLT_nxv8s32*//*Label 32370*/ GIMT_Encode4(2343166),
     /* 2339323 */ /*GILLT_nxv8s64*//*Label 32371*/ GIMT_Encode4(2343503), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339335 */ /*GILLT_nxv16s16*//*Label 32372*/ GIMT_Encode4(2343726),
     /* 2339339 */ /*GILLT_nxv16s32*//*Label 32373*/ GIMT_Encode4(2344063), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2339351 */ /*GILLT_nxv32s16*//*Label 32374*/ GIMT_Encode4(2344286),
     /* 2339355 */ // Label 32357: @2339355
     /* 2339355 */ GIM_Try, /*On fail goto*//*Label 32376*/ GIMT_Encode4(2339392), // Rule ID 2257 //
     /* 2339360 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2339363 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339370 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2339377 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2339377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2339380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339382 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2339387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339391 */   // GIR_Coverage, 2257,
     /* 2339391 */   GIR_EraseRootFromParent_Done,
     /* 2339392 */ // Label 32376: @2339392
     /* 2339392 */ GIM_Try, /*On fail goto*//*Label 32377*/ GIMT_Encode4(2339429), // Rule ID 2283 //
     /* 2339397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2339400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339407 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2339414 */   // (sint_to_fp:{ *:[f16] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2339414 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2339417 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339419 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2339424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339428 */   // GIR_Coverage, 2283,
     /* 2339428 */   GIR_EraseRootFromParent_Done,
     /* 2339429 */ // Label 32377: @2339429
     /* 2339429 */ GIM_Try, /*On fail goto*//*Label 32378*/ GIMT_Encode4(2339460), // Rule ID 2206 //
     /* 2339434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2339437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339448 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2339448 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2339451 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339453 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339458 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339459 */   // GIR_Coverage, 2206,
     /* 2339459 */   GIR_EraseRootFromParent_Done,
     /* 2339460 */ // Label 32378: @2339460
     /* 2339460 */ GIM_Try, /*On fail goto*//*Label 32379*/ GIMT_Encode4(2339491), // Rule ID 2207 //
     /* 2339465 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2339468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339479 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2339479 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W),
     /* 2339482 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339484 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339490 */   // GIR_Coverage, 2207,
     /* 2339490 */   GIR_EraseRootFromParent_Done,
     /* 2339491 */ // Label 32379: @2339491
     /* 2339491 */ GIM_Try, /*On fail goto*//*Label 32380*/ GIMT_Encode4(2339522), // Rule ID 2232 //
     /* 2339496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2339499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339510 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2339510 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2339513 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339515 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339517 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339520 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339521 */   // GIR_Coverage, 2232,
     /* 2339521 */   GIR_EraseRootFromParent_Done,
     /* 2339522 */ // Label 32380: @2339522
     /* 2339522 */ GIM_Try, /*On fail goto*//*Label 32381*/ GIMT_Encode4(2339553), // Rule ID 2233 //
     /* 2339527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2339530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339541 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_W_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2339541 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_W_INX),
     /* 2339544 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339546 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339548 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339551 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339552 */   // GIR_Coverage, 2233,
     /* 2339552 */   GIR_EraseRootFromParent_Done,
     /* 2339553 */ // Label 32381: @2339553
     /* 2339553 */ GIM_Try, /*On fail goto*//*Label 32382*/ GIMT_Encode4(2339584), // Rule ID 2261 //
     /* 2339558 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2339561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2339568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339572 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2339572 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L),
     /* 2339575 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339577 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339579 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339583 */   // GIR_Coverage, 2261,
     /* 2339583 */   GIR_EraseRootFromParent_Done,
     /* 2339584 */ // Label 32382: @2339584
     /* 2339584 */ GIM_Try, /*On fail goto*//*Label 32383*/ GIMT_Encode4(2339615), // Rule ID 2287 //
     /* 2339589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2339592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2339599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339603 */   // (sint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_L_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2339603 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_L_INX),
     /* 2339606 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339608 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339610 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339613 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339614 */   // GIR_Coverage, 2287,
     /* 2339614 */   GIR_EraseRootFromParent_Done,
     /* 2339615 */ // Label 32383: @2339615
     /* 2339615 */ GIM_Reject,
     /* 2339616 */ // Label 32358: @2339616
     /* 2339616 */ GIM_Try, /*On fail goto*//*Label 32384*/ GIMT_Encode4(2339653), // Rule ID 1523 //
     /* 2339621 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2339624 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339627 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339631 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2339638 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2339638 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2339641 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339643 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2339648 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339651 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339652 */   // GIR_Coverage, 1523,
     /* 2339652 */   GIR_EraseRootFromParent_Done,
     /* 2339653 */ // Label 32384: @2339653
     /* 2339653 */ GIM_Try, /*On fail goto*//*Label 32385*/ GIMT_Encode4(2339690), // Rule ID 1551 //
     /* 2339658 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2339661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339664 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339668 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2339675 */   // (sint_to_fp:{ *:[f32] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2339675 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2339678 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339680 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2339685 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339688 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339689 */   // GIR_Coverage, 1551,
     /* 2339689 */   GIR_EraseRootFromParent_Done,
     /* 2339690 */ // Label 32385: @2339690
     /* 2339690 */ GIM_Try, /*On fail goto*//*Label 32386*/ GIMT_Encode4(2339721), // Rule ID 1470 //
     /* 2339695 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2339698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339709 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2339709 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2339712 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339714 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339716 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339719 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339720 */   // GIR_Coverage, 1470,
     /* 2339720 */   GIR_EraseRootFromParent_Done,
     /* 2339721 */ // Label 32386: @2339721
     /* 2339721 */ GIM_Try, /*On fail goto*//*Label 32387*/ GIMT_Encode4(2339752), // Rule ID 1471 //
     /* 2339726 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2339729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339740 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2339740 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W),
     /* 2339743 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339745 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339747 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339750 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339751 */   // GIR_Coverage, 1471,
     /* 2339751 */   GIR_EraseRootFromParent_Done,
     /* 2339752 */ // Label 32387: @2339752
     /* 2339752 */ GIM_Try, /*On fail goto*//*Label 32388*/ GIMT_Encode4(2339783), // Rule ID 1496 //
     /* 2339757 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2339760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339771 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2339771 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2339774 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339776 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339782 */   // GIR_Coverage, 1496,
     /* 2339782 */   GIR_EraseRootFromParent_Done,
     /* 2339783 */ // Label 32388: @2339783
     /* 2339783 */ GIM_Try, /*On fail goto*//*Label 32389*/ GIMT_Encode4(2339814), // Rule ID 1497 //
     /* 2339788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2339791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339802 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_W_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2339802 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_W_INX),
     /* 2339805 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339812 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339813 */   // GIR_Coverage, 1497,
     /* 2339813 */   GIR_EraseRootFromParent_Done,
     /* 2339814 */ // Label 32389: @2339814
     /* 2339814 */ GIM_Try, /*On fail goto*//*Label 32390*/ GIMT_Encode4(2339845), // Rule ID 1527 //
     /* 2339819 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2339822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339825 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2339829 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339833 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2339833 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L),
     /* 2339836 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339838 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339840 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339843 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339844 */   // GIR_Coverage, 1527,
     /* 2339844 */   GIR_EraseRootFromParent_Done,
     /* 2339845 */ // Label 32390: @2339845
     /* 2339845 */ GIM_Try, /*On fail goto*//*Label 32391*/ GIMT_Encode4(2339876), // Rule ID 1555 //
     /* 2339850 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2339853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2339860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339864 */   // (sint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_L_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2339864 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_L_INX),
     /* 2339867 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339869 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339871 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2339874 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339875 */   // GIR_Coverage, 1555,
     /* 2339875 */   GIR_EraseRootFromParent_Done,
     /* 2339876 */ // Label 32391: @2339876
     /* 2339876 */ GIM_Reject,
     /* 2339877 */ // Label 32359: @2339877
     /* 2339877 */ GIM_Try, /*On fail goto*//*Label 32392*/ GIMT_Encode4(2339914), // Rule ID 1903 //
     /* 2339882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2339885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339892 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2339899 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2339899 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2339902 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339904 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2339909 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2339912 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339913 */   // GIR_Coverage, 1903,
     /* 2339913 */   GIR_EraseRootFromParent_Done,
     /* 2339914 */ // Label 32392: @2339914
     /* 2339914 */ GIM_Try, /*On fail goto*//*Label 32393*/ GIMT_Encode4(2339951), // Rule ID 1931 //
     /* 2339919 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2339922 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2339925 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339929 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_sexti32),
     /* 2339936 */   // (sint_to_fp:{ *:[f64] } (sexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_W_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2339936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_INX),
     /* 2339939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339941 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2339946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2339949 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339950 */   // GIR_Coverage, 1931,
     /* 2339950 */   GIR_EraseRootFromParent_Done,
     /* 2339951 */ // Label 32393: @2339951
     /* 2339951 */ GIM_Try, /*On fail goto*//*Label 32394*/ GIMT_Encode4(2339982), // Rule ID 1864 //
     /* 2339956 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2339959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2339970 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2339970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2339973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2339975 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2339977 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2339980 */   GIR_RootConstrainSelectedInstOperands,
     /* 2339981 */   // GIR_Coverage, 1864,
     /* 2339981 */   GIR_EraseRootFromParent_Done,
     /* 2339982 */ // Label 32394: @2339982
     /* 2339982 */ GIM_Try, /*On fail goto*//*Label 32395*/ GIMT_Encode4(2340013), // Rule ID 1865 //
     /* 2339987 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2339990 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2339993 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2339997 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340001 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2340001 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W),
     /* 2340004 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340006 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340008 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2340011 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340012 */   // GIR_Coverage, 1865,
     /* 2340012 */   GIR_EraseRootFromParent_Done,
     /* 2340013 */ // Label 32395: @2340013
     /* 2340013 */ GIM_Try, /*On fail goto*//*Label 32396*/ GIMT_Encode4(2340044), // Rule ID 1890 //
     /* 2340018 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2340021 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2340024 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340028 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340032 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2340032 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2340035 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340037 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340039 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2340042 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340043 */   // GIR_Coverage, 1890,
     /* 2340043 */   GIR_EraseRootFromParent_Done,
     /* 2340044 */ // Label 32396: @2340044
     /* 2340044 */ GIM_Try, /*On fail goto*//*Label 32397*/ GIMT_Encode4(2340075), // Rule ID 1891 //
     /* 2340049 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2340052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2340055 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2340059 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340063 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_W_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2340063 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_W_IN32X),
     /* 2340066 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340068 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340070 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2340073 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340074 */   // GIR_Coverage, 1891,
     /* 2340074 */   GIR_EraseRootFromParent_Done,
     /* 2340075 */ // Label 32397: @2340075
     /* 2340075 */ GIM_Try, /*On fail goto*//*Label 32398*/ GIMT_Encode4(2340106), // Rule ID 1921 //
     /* 2340080 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2340083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2340086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2340090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340094 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2340094 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L),
     /* 2340097 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340099 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340104 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340105 */   // GIR_Coverage, 1921,
     /* 2340105 */   GIR_EraseRootFromParent_Done,
     /* 2340106 */ // Label 32398: @2340106
     /* 2340106 */ GIM_Try, /*On fail goto*//*Label 32399*/ GIMT_Encode4(2340137), // Rule ID 1949 //
     /* 2340111 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2340114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2340117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2340125 */   // (sint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_L_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2340125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_L_INX),
     /* 2340128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340130 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340132 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340135 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340136 */   // GIR_Coverage, 1949,
     /* 2340136 */   GIR_EraseRootFromParent_Done,
     /* 2340137 */ // Label 32399: @2340137
     /* 2340137 */ GIM_Reject,
     /* 2340138 */ // Label 32360: @2340138
     /* 2340138 */ GIM_Try, /*On fail goto*//*Label 32400*/ GIMT_Encode4(2340195), // Rule ID 45798 //
     /* 2340143 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2340146 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340149 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340153 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340157 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340157 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340160 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340164 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340169 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340171 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2340174 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340176 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340179 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340181 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340184 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340187 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340190 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340193 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340194 */   // GIR_Coverage, 45798,
     /* 2340194 */   GIR_EraseRootFromParent_Done,
     /* 2340195 */ // Label 32400: @2340195
     /* 2340195 */ GIM_Try, /*On fail goto*//*Label 32401*/ GIMT_Encode4(2340252), // Rule ID 45799 //
     /* 2340200 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340206 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340210 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340214 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340214 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340217 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340221 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340226 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340228 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF4_E16),
     /* 2340231 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340233 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340236 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340238 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340241 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340244 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340247 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340250 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340251 */   // GIR_Coverage, 45799,
     /* 2340251 */   GIR_EraseRootFromParent_Done,
     /* 2340252 */ // Label 32401: @2340252
     /* 2340252 */ GIM_Try, /*On fail goto*//*Label 32402*/ GIMT_Encode4(2340306), // Rule ID 45806 //
     /* 2340257 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2340260 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2340263 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340267 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340271 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340271 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340274 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340278 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340283 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340285 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2340288 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340290 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340293 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340295 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340298 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340301 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340304 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340305 */   // GIR_Coverage, 45806,
     /* 2340305 */   GIR_EraseRootFromParent_Done,
     /* 2340306 */ // Label 32402: @2340306
     /* 2340306 */ GIM_Try, /*On fail goto*//*Label 32403*/ GIMT_Encode4(2340360), // Rule ID 45807 //
     /* 2340311 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340314 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2340317 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340321 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340325 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340325 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340328 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340332 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340337 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340339 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF8_E8),
     /* 2340342 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340344 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340347 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340349 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340352 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340355 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340359 */   // GIR_Coverage, 45807,
     /* 2340359 */   GIR_EraseRootFromParent_Done,
     /* 2340360 */ // Label 32403: @2340360
     /* 2340360 */ GIM_Try, /*On fail goto*//*Label 32404*/ GIMT_Encode4(2340417), // Rule ID 45814 //
     /* 2340365 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2340368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340371 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340375 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340379 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340379 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340382 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340386 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340391 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340393 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2340396 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340398 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340401 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340403 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340406 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340409 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340412 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340415 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340416 */   // GIR_Coverage, 45814,
     /* 2340416 */   GIR_EraseRootFromParent_Done,
     /* 2340417 */ // Label 32404: @2340417
     /* 2340417 */ GIM_Try, /*On fail goto*//*Label 32405*/ GIMT_Encode4(2340474), // Rule ID 45815 //
     /* 2340422 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2340425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340436 */   // (sint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340436 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2340439 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340443 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340448 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340450 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF4_E16),
     /* 2340453 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340455 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340458 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340460 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340463 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340466 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340469 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340472 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340473 */   // GIR_Coverage, 45815,
     /* 2340473 */   GIR_EraseRootFromParent_Done,
     /* 2340474 */ // Label 32405: @2340474
     /* 2340474 */ GIM_Reject,
     /* 2340475 */ // Label 32361: @2340475
     /* 2340475 */ GIM_Try, /*On fail goto*//*Label 32406*/ GIMT_Encode4(2340532), // Rule ID 58410 //
     /* 2340480 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2340483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340486 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340490 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340494 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340494 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340497 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340501 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340506 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340508 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2340511 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340513 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340516 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340518 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340521 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340531 */   // GIR_Coverage, 58410,
     /* 2340531 */   GIR_EraseRootFromParent_Done,
     /* 2340532 */ // Label 32406: @2340532
     /* 2340532 */ GIM_Try, /*On fail goto*//*Label 32407*/ GIMT_Encode4(2340589), // Rule ID 58411 //
     /* 2340537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2340540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340551 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340551 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340554 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340558 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340563 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340565 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E32),
     /* 2340568 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340570 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340573 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340575 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340578 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340587 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340588 */   // GIR_Coverage, 58411,
     /* 2340588 */   GIR_EraseRootFromParent_Done,
     /* 2340589 */ // Label 32407: @2340589
     /* 2340589 */ GIM_Try, /*On fail goto*//*Label 32408*/ GIMT_Encode4(2340643), // Rule ID 58610 //
     /* 2340594 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2340597 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340600 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340604 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340608 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340608 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340611 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340615 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340620 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340622 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2340625 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340627 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340630 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340632 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340641 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340642 */   // GIR_Coverage, 58610,
     /* 2340642 */   GIR_EraseRootFromParent_Done,
     /* 2340643 */ // Label 32408: @2340643
     /* 2340643 */ GIM_Try, /*On fail goto*//*Label 32409*/ GIMT_Encode4(2340697), // Rule ID 58611 //
     /* 2340648 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2340651 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2340654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340662 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340662 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340665 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340669 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340674 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340676 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E16),
     /* 2340679 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340681 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340684 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340686 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2340692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340695 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340696 */   // GIR_Coverage, 58611,
     /* 2340696 */   GIR_EraseRootFromParent_Done,
     /* 2340697 */ // Label 32409: @2340697
     /* 2340697 */ GIM_Try, /*On fail goto*//*Label 32410*/ GIMT_Encode4(2340754), // Rule ID 58838 //
     /* 2340702 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2340705 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340708 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340712 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340716 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340716 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340719 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340723 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340728 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340730 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2340733 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340735 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340738 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340740 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340743 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340752 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340753 */   // GIR_Coverage, 58838,
     /* 2340753 */   GIR_EraseRootFromParent_Done,
     /* 2340754 */ // Label 32410: @2340754
     /* 2340754 */ GIM_Try, /*On fail goto*//*Label 32411*/ GIMT_Encode4(2340811), // Rule ID 58839 //
     /* 2340759 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2340762 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340765 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340769 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340773 */   // (sint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340773 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2340776 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340780 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340785 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340787 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E32),
     /* 2340790 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340792 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340795 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340797 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340800 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340806 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340809 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340810 */   // GIR_Coverage, 58839,
     /* 2340810 */   GIR_EraseRootFromParent_Done,
     /* 2340811 */ // Label 32411: @2340811
     /* 2340811 */ GIM_Reject,
     /* 2340812 */ // Label 32362: @2340812
     /* 2340812 */ GIM_Try, /*On fail goto*//*Label 32412*/ GIMT_Encode4(2340869), // Rule ID 58422 //
     /* 2340817 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2340820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340823 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340827 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340831 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340831 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340834 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340838 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340843 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340845 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2340848 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340850 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340853 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340855 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340858 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340867 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340868 */   // GIR_Coverage, 58422,
     /* 2340868 */   GIR_EraseRootFromParent_Done,
     /* 2340869 */ // Label 32412: @2340869
     /* 2340869 */ GIM_Try, /*On fail goto*//*Label 32413*/ GIMT_Encode4(2340926), // Rule ID 58423 //
     /* 2340874 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2340877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2340880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340888 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340888 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340891 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340895 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340900 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340902 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E64),
     /* 2340905 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340907 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340910 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340912 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2340915 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2340921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340924 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340925 */   // GIR_Coverage, 58423,
     /* 2340925 */   GIR_EraseRootFromParent_Done,
     /* 2340926 */ // Label 32413: @2340926
     /* 2340926 */ GIM_Try, /*On fail goto*//*Label 32414*/ GIMT_Encode4(2340980), // Rule ID 58630 //
     /* 2340931 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2340934 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340945 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2340945 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2340948 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2340952 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2340957 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2340959 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2340962 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2340964 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2340967 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2340969 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2340972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2340975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2340978 */   GIR_RootConstrainSelectedInstOperands,
     /* 2340979 */   // GIR_Coverage, 58630,
     /* 2340979 */   GIR_EraseRootFromParent_Done,
     /* 2340980 */ // Label 32414: @2340980
     /* 2340980 */ GIM_Try, /*On fail goto*//*Label 32415*/ GIMT_Encode4(2341034), // Rule ID 58631 //
     /* 2340985 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2340988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2340991 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340995 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2340999 */   // (sint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2340999 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2341002 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341006 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341011 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341013 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E32),
     /* 2341016 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341018 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341021 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341023 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341032 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341033 */   // GIR_Coverage, 58631,
     /* 2341033 */   GIR_EraseRootFromParent_Done,
     /* 2341034 */ // Label 32415: @2341034
     /* 2341034 */ GIM_Reject,
     /* 2341035 */ // Label 32363: @2341035
     /* 2341035 */ GIM_Try, /*On fail goto*//*Label 32416*/ GIMT_Encode4(2341092), // Rule ID 58406 //
     /* 2341040 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2341043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2341046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341054 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341054 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341057 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341061 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341066 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341068 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2341071 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341073 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341076 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341078 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341081 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341084 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341087 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341090 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341091 */   // GIR_Coverage, 58406,
     /* 2341091 */   GIR_EraseRootFromParent_Done,
     /* 2341092 */ // Label 32416: @2341092
     /* 2341092 */ GIM_Try, /*On fail goto*//*Label 32417*/ GIMT_Encode4(2341149), // Rule ID 58407 //
     /* 2341097 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2341100 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2341103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341111 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341111 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341114 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341118 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341123 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341125 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_MF2_E16),
     /* 2341128 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341130 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341138 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341147 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341148 */   // GIR_Coverage, 58407,
     /* 2341148 */   GIR_EraseRootFromParent_Done,
     /* 2341149 */ // Label 32417: @2341149
     /* 2341149 */ GIM_Try, /*On fail goto*//*Label 32418*/ GIMT_Encode4(2341203), // Rule ID 58590 //
     /* 2341154 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2341157 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2341160 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341164 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341168 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341168 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341171 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341175 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341180 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341182 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2341185 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341187 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341190 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341192 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341201 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341202 */   // GIR_Coverage, 58590,
     /* 2341202 */   GIR_EraseRootFromParent_Done,
     /* 2341203 */ // Label 32418: @2341203
     /* 2341203 */ GIM_Try, /*On fail goto*//*Label 32419*/ GIMT_Encode4(2341257), // Rule ID 58591 //
     /* 2341208 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2341211 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2341214 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341218 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341222 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341222 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341225 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341229 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341234 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341236 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF4_E8),
     /* 2341239 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341241 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341244 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341246 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341249 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341252 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341255 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341256 */   // GIR_Coverage, 58591,
     /* 2341256 */   GIR_EraseRootFromParent_Done,
     /* 2341257 */ // Label 32419: @2341257
     /* 2341257 */ GIM_Try, /*On fail goto*//*Label 32420*/ GIMT_Encode4(2341314), // Rule ID 58822 //
     /* 2341262 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2341265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341276 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341276 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341279 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341283 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341288 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341290 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2341293 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341295 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341298 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341300 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341303 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341306 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341312 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341313 */   // GIR_Coverage, 58822,
     /* 2341313 */   GIR_EraseRootFromParent_Done,
     /* 2341314 */ // Label 32420: @2341314
     /* 2341314 */ GIM_Try, /*On fail goto*//*Label 32421*/ GIMT_Encode4(2341371), // Rule ID 58823 //
     /* 2341319 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2341322 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341333 */   // (sint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341333 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2341336 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341340 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341345 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341347 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_MF2_E16),
     /* 2341350 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341352 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341355 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341357 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341360 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341363 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341366 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341370 */   // GIR_Coverage, 58823,
     /* 2341370 */   GIR_EraseRootFromParent_Done,
     /* 2341371 */ // Label 32421: @2341371
     /* 2341371 */ GIM_Reject,
     /* 2341372 */ // Label 32364: @2341372
     /* 2341372 */ GIM_Try, /*On fail goto*//*Label 32422*/ GIMT_Encode4(2341429), // Rule ID 58418 //
     /* 2341377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2341380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341383 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341387 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341391 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341391 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341394 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341398 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341403 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341405 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2341408 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341410 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341427 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341428 */   // GIR_Coverage, 58418,
     /* 2341428 */   GIR_EraseRootFromParent_Done,
     /* 2341429 */ // Label 32422: @2341429
     /* 2341429 */ GIM_Try, /*On fail goto*//*Label 32423*/ GIMT_Encode4(2341486), // Rule ID 58419 //
     /* 2341434 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2341437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341448 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341448 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341451 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341455 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341460 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341462 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E32),
     /* 2341465 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341467 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341470 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341472 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341475 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341484 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341485 */   // GIR_Coverage, 58419,
     /* 2341485 */   GIR_EraseRootFromParent_Done,
     /* 2341486 */ // Label 32423: @2341486
     /* 2341486 */ GIM_Try, /*On fail goto*//*Label 32424*/ GIMT_Encode4(2341540), // Rule ID 58614 //
     /* 2341491 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2341494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2341497 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341501 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341505 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341505 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341508 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341512 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341517 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341519 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2341522 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341524 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341527 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341529 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341538 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341539 */   // GIR_Coverage, 58614,
     /* 2341539 */   GIR_EraseRootFromParent_Done,
     /* 2341540 */ // Label 32424: @2341540
     /* 2341540 */ GIM_Try, /*On fail goto*//*Label 32425*/ GIMT_Encode4(2341594), // Rule ID 58615 //
     /* 2341545 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2341548 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2341551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341559 */   // (sint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341559 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341562 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341566 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341571 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341573 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E16),
     /* 2341576 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341578 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341581 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341583 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341592 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341593 */   // GIR_Coverage, 58615,
     /* 2341593 */   GIR_EraseRootFromParent_Done,
     /* 2341594 */ // Label 32425: @2341594
     /* 2341594 */ GIM_Try, /*On fail goto*//*Label 32426*/ GIMT_Encode4(2341651), // Rule ID 58842 //
     /* 2341599 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2341602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341605 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341609 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341613 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341613 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341616 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341620 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341625 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341627 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2341630 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341632 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341635 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341637 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341640 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341649 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341650 */   // GIR_Coverage, 58842,
     /* 2341650 */   GIR_EraseRootFromParent_Done,
     /* 2341651 */ // Label 32426: @2341651
     /* 2341651 */ GIM_Try, /*On fail goto*//*Label 32427*/ GIMT_Encode4(2341708), // Rule ID 58843 //
     /* 2341656 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2341659 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341662 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341666 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341670 */   // (sint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341670 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2341673 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341677 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341682 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341684 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E32),
     /* 2341687 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341689 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341692 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341694 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341697 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341700 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341703 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341706 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341707 */   // GIR_Coverage, 58843,
     /* 2341707 */   GIR_EraseRootFromParent_Done,
     /* 2341708 */ // Label 32427: @2341708
     /* 2341708 */ GIM_Reject,
     /* 2341709 */ // Label 32365: @2341709
     /* 2341709 */ GIM_Try, /*On fail goto*//*Label 32428*/ GIMT_Encode4(2341766), // Rule ID 58450 //
     /* 2341714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2341717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341724 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341728 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341728 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341731 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341735 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341740 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341742 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2341745 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341747 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341750 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341764 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341765 */   // GIR_Coverage, 58450,
     /* 2341765 */   GIR_EraseRootFromParent_Done,
     /* 2341766 */ // Label 32428: @2341766
     /* 2341766 */ GIM_Try, /*On fail goto*//*Label 32429*/ GIMT_Encode4(2341823), // Rule ID 58451 //
     /* 2341771 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2341774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2341777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341785 */   // (sint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341785 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341788 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341792 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341797 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341799 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E64),
     /* 2341802 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341804 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341807 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341809 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341812 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2341818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341821 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341822 */   // GIR_Coverage, 58451,
     /* 2341822 */   GIR_EraseRootFromParent_Done,
     /* 2341823 */ // Label 32429: @2341823
     /* 2341823 */ GIM_Try, /*On fail goto*//*Label 32430*/ GIMT_Encode4(2341877), // Rule ID 58634 //
     /* 2341828 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2341831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341842 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341842 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341845 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341849 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341854 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341856 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2341859 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341861 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341864 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341866 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341875 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341876 */   // GIR_Coverage, 58634,
     /* 2341876 */   GIR_EraseRootFromParent_Done,
     /* 2341877 */ // Label 32430: @2341877
     /* 2341877 */ GIM_Try, /*On fail goto*//*Label 32431*/ GIMT_Encode4(2341931), // Rule ID 58635 //
     /* 2341882 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2341885 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2341888 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2341892 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341896 */   // (sint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2341896 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2341899 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341903 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341908 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341910 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E32),
     /* 2341913 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341915 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341918 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341920 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2341926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341929 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341930 */   // GIR_Coverage, 58635,
     /* 2341930 */   GIR_EraseRootFromParent_Done,
     /* 2341931 */ // Label 32431: @2341931
     /* 2341931 */ GIM_Reject,
     /* 2341932 */ // Label 32366: @2341932
     /* 2341932 */ GIM_Try, /*On fail goto*//*Label 32432*/ GIMT_Encode4(2341989), // Rule ID 58414 //
     /* 2341937 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2341940 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2341943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2341951 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2341951 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2341954 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2341958 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2341963 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2341965 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2341968 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2341970 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2341973 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2341975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2341978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2341981 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2341984 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2341987 */   GIR_RootConstrainSelectedInstOperands,
     /* 2341988 */   // GIR_Coverage, 58414,
     /* 2341988 */   GIR_EraseRootFromParent_Done,
     /* 2341989 */ // Label 32432: @2341989
     /* 2341989 */ GIM_Try, /*On fail goto*//*Label 32433*/ GIMT_Encode4(2342046), // Rule ID 58415 //
     /* 2341994 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2341997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2342000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342008 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342008 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342011 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342015 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342020 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342022 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M1_E16),
     /* 2342025 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342027 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342030 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342044 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342045 */   // GIR_Coverage, 58415,
     /* 2342045 */   GIR_EraseRootFromParent_Done,
     /* 2342046 */ // Label 32433: @2342046
     /* 2342046 */ GIM_Try, /*On fail goto*//*Label 32434*/ GIMT_Encode4(2342100), // Rule ID 58594 //
     /* 2342051 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342054 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2342057 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342061 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342065 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342065 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342068 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342072 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342077 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342079 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2342082 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342084 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342087 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342099 */   // GIR_Coverage, 58594,
     /* 2342099 */   GIR_EraseRootFromParent_Done,
     /* 2342100 */ // Label 32434: @2342100
     /* 2342100 */ GIM_Try, /*On fail goto*//*Label 32435*/ GIMT_Encode4(2342154), // Rule ID 58595 //
     /* 2342105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2342108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2342111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342119 */   // (sint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342119 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342122 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342126 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342131 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342133 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_MF2_E8),
     /* 2342136 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342138 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342141 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342143 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342146 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342149 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342152 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342153 */   // GIR_Coverage, 58595,
     /* 2342153 */   GIR_EraseRootFromParent_Done,
     /* 2342154 */ // Label 32435: @2342154
     /* 2342154 */ GIM_Try, /*On fail goto*//*Label 32436*/ GIMT_Encode4(2342211), // Rule ID 58826 //
     /* 2342159 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342162 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342165 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342169 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342173 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342173 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342176 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342180 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342185 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342187 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2342190 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342192 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342200 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342203 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342209 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342210 */   // GIR_Coverage, 58826,
     /* 2342210 */   GIR_EraseRootFromParent_Done,
     /* 2342211 */ // Label 32436: @2342211
     /* 2342211 */ GIM_Try, /*On fail goto*//*Label 32437*/ GIMT_Encode4(2342268), // Rule ID 58827 //
     /* 2342216 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2342219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342222 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342226 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342230 */   // (sint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342230 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2342233 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342237 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342242 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342244 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M1_E16),
     /* 2342247 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342249 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342252 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342254 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342257 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342260 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342267 */   // GIR_Coverage, 58827,
     /* 2342267 */   GIR_EraseRootFromParent_Done,
     /* 2342268 */ // Label 32437: @2342268
     /* 2342268 */ GIM_Reject,
     /* 2342269 */ // Label 32367: @2342269
     /* 2342269 */ GIM_Try, /*On fail goto*//*Label 32438*/ GIMT_Encode4(2342326), // Rule ID 58438 //
     /* 2342274 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2342277 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342280 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342284 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342288 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342288 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342291 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342295 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342300 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342302 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2342305 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342307 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342310 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342324 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342325 */   // GIR_Coverage, 58438,
     /* 2342325 */   GIR_EraseRootFromParent_Done,
     /* 2342326 */ // Label 32438: @2342326
     /* 2342326 */ GIM_Try, /*On fail goto*//*Label 32439*/ GIMT_Encode4(2342383), // Rule ID 58439 //
     /* 2342331 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2342334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342345 */   // (sint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342345 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342348 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342352 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342357 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342359 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E32),
     /* 2342362 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342364 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342367 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342369 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342372 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342381 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342382 */   // GIR_Coverage, 58439,
     /* 2342382 */   GIR_EraseRootFromParent_Done,
     /* 2342383 */ // Label 32439: @2342383
     /* 2342383 */ GIM_Try, /*On fail goto*//*Label 32440*/ GIMT_Encode4(2342437), // Rule ID 58618 //
     /* 2342388 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2342391 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2342394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342402 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342402 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342405 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342409 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342414 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342416 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2342419 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342421 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342424 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342426 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342435 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342436 */   // GIR_Coverage, 58618,
     /* 2342436 */   GIR_EraseRootFromParent_Done,
     /* 2342437 */ // Label 32440: @2342437
     /* 2342437 */ GIM_Try, /*On fail goto*//*Label 32441*/ GIMT_Encode4(2342491), // Rule ID 58619 //
     /* 2342442 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2342445 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2342448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342456 */   // (sint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342456 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342459 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342463 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342468 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342470 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E16),
     /* 2342473 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342475 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342478 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342480 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342489 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342490 */   // GIR_Coverage, 58619,
     /* 2342490 */   GIR_EraseRootFromParent_Done,
     /* 2342491 */ // Label 32441: @2342491
     /* 2342491 */ GIM_Try, /*On fail goto*//*Label 32442*/ GIMT_Encode4(2342548), // Rule ID 58846 //
     /* 2342496 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2342499 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2342502 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342506 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342510 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342510 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342513 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342517 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342522 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342524 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2342527 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342529 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342532 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342534 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342537 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342546 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342547 */   // GIR_Coverage, 58846,
     /* 2342547 */   GIR_EraseRootFromParent_Done,
     /* 2342548 */ // Label 32442: @2342548
     /* 2342548 */ GIM_Try, /*On fail goto*//*Label 32443*/ GIMT_Encode4(2342605), // Rule ID 58847 //
     /* 2342553 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2342556 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2342559 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342563 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342567 */   // (sint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342567 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2342570 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342574 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342579 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E32),
     /* 2342584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342586 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342589 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342594 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342597 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342600 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342603 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342604 */   // GIR_Coverage, 58847,
     /* 2342604 */   GIR_EraseRootFromParent_Done,
     /* 2342605 */ // Label 32443: @2342605
     /* 2342605 */ GIM_Reject,
     /* 2342606 */ // Label 32368: @2342606
     /* 2342606 */ GIM_Try, /*On fail goto*//*Label 32444*/ GIMT_Encode4(2342663), // Rule ID 58454 //
     /* 2342611 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2342614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2342617 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342621 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342625 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342625 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342628 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342632 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342637 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342639 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2342642 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342644 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342647 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342662 */   // GIR_Coverage, 58454,
     /* 2342662 */   GIR_EraseRootFromParent_Done,
     /* 2342663 */ // Label 32444: @2342663
     /* 2342663 */ GIM_Try, /*On fail goto*//*Label 32445*/ GIMT_Encode4(2342720), // Rule ID 58455 //
     /* 2342668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2342671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2342674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342682 */   // (sint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342682 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342685 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342689 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342694 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342696 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E64),
     /* 2342699 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342701 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342704 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342706 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342709 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2342715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342718 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342719 */   // GIR_Coverage, 58455,
     /* 2342719 */   GIR_EraseRootFromParent_Done,
     /* 2342720 */ // Label 32445: @2342720
     /* 2342720 */ GIM_Try, /*On fail goto*//*Label 32446*/ GIMT_Encode4(2342774), // Rule ID 58638 //
     /* 2342725 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2342728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342739 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342739 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342742 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342746 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342751 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342753 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2342756 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342758 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342761 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342763 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342772 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342773 */   // GIR_Coverage, 58638,
     /* 2342773 */   GIR_EraseRootFromParent_Done,
     /* 2342774 */ // Label 32446: @2342774
     /* 2342774 */ GIM_Try, /*On fail goto*//*Label 32447*/ GIMT_Encode4(2342828), // Rule ID 58639 //
     /* 2342779 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2342782 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2342785 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2342789 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342793 */   // (sint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342793 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2342796 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342800 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342805 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342807 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E32),
     /* 2342810 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342812 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342815 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342817 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2342823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342826 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342827 */   // GIR_Coverage, 58639,
     /* 2342827 */   GIR_EraseRootFromParent_Done,
     /* 2342828 */ // Label 32447: @2342828
     /* 2342828 */ GIM_Reject,
     /* 2342829 */ // Label 32369: @2342829
     /* 2342829 */ GIM_Try, /*On fail goto*//*Label 32448*/ GIMT_Encode4(2342886), // Rule ID 58426 //
     /* 2342834 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342837 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2342840 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342844 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342848 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342848 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342851 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342855 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342860 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342862 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2342865 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342867 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342870 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342878 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342881 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342884 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342885 */   // GIR_Coverage, 58426,
     /* 2342885 */   GIR_EraseRootFromParent_Done,
     /* 2342886 */ // Label 32448: @2342886
     /* 2342886 */ GIM_Try, /*On fail goto*//*Label 32449*/ GIMT_Encode4(2342943), // Rule ID 58427 //
     /* 2342891 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2342894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2342897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342905 */   // (sint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2342905 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342908 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342912 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342917 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M2_E16),
     /* 2342922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342924 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342927 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2342932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2342938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342941 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342942 */   // GIR_Coverage, 58427,
     /* 2342942 */   GIR_EraseRootFromParent_Done,
     /* 2342943 */ // Label 32449: @2342943
     /* 2342943 */ GIM_Try, /*On fail goto*//*Label 32450*/ GIMT_Encode4(2342997), // Rule ID 58598 //
     /* 2342948 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2342951 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2342954 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2342958 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2342962 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2342962 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2342965 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2342969 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2342974 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2342976 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2342979 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2342981 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2342984 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2342986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2342989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2342995 */   GIR_RootConstrainSelectedInstOperands,
     /* 2342996 */   // GIR_Coverage, 58598,
     /* 2342996 */   GIR_EraseRootFromParent_Done,
     /* 2342997 */ // Label 32450: @2342997
     /* 2342997 */ GIM_Try, /*On fail goto*//*Label 32451*/ GIMT_Encode4(2343051), // Rule ID 58599 //
     /* 2343002 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2343005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2343008 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343012 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2343016 */   // (sint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343016 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343019 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343023 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343028 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343030 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M1_E8),
     /* 2343033 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343035 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343038 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343040 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343043 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343046 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343049 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343050 */   // GIR_Coverage, 58599,
     /* 2343050 */   GIR_EraseRootFromParent_Done,
     /* 2343051 */ // Label 32451: @2343051
     /* 2343051 */ GIM_Try, /*On fail goto*//*Label 32452*/ GIMT_Encode4(2343108), // Rule ID 58830 //
     /* 2343056 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2343059 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2343062 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343066 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343070 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343070 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343073 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343077 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343082 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343084 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2343087 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343089 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343092 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343094 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343097 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343100 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343106 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343107 */   // GIR_Coverage, 58830,
     /* 2343107 */   GIR_EraseRootFromParent_Done,
     /* 2343108 */ // Label 32452: @2343108
     /* 2343108 */ GIM_Try, /*On fail goto*//*Label 32453*/ GIMT_Encode4(2343165), // Rule ID 58831 //
     /* 2343113 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2343116 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2343119 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343123 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343127 */   // (sint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343127 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2343130 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343134 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343139 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343141 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M2_E16),
     /* 2343144 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343146 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343149 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343151 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343154 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343160 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343163 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343164 */   // GIR_Coverage, 58831,
     /* 2343164 */   GIR_EraseRootFromParent_Done,
     /* 2343165 */ // Label 32453: @2343165
     /* 2343165 */ GIM_Reject,
     /* 2343166 */ // Label 32370: @2343166
     /* 2343166 */ GIM_Try, /*On fail goto*//*Label 32454*/ GIMT_Encode4(2343223), // Rule ID 58442 //
     /* 2343171 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2343174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2343177 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343181 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343185 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343185 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343188 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343192 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343197 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343199 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2343202 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343204 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343207 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343221 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343222 */   // GIR_Coverage, 58442,
     /* 2343222 */   GIR_EraseRootFromParent_Done,
     /* 2343223 */ // Label 32454: @2343223
     /* 2343223 */ GIM_Try, /*On fail goto*//*Label 32455*/ GIMT_Encode4(2343280), // Rule ID 58443 //
     /* 2343228 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2343231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2343234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343242 */   // (sint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343242 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343245 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343249 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343254 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E32),
     /* 2343259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343261 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343264 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343266 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343269 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343278 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343279 */   // GIR_Coverage, 58443,
     /* 2343279 */   GIR_EraseRootFromParent_Done,
     /* 2343280 */ // Label 32455: @2343280
     /* 2343280 */ GIM_Try, /*On fail goto*//*Label 32456*/ GIMT_Encode4(2343334), // Rule ID 58622 //
     /* 2343285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2343288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2343291 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343295 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343299 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343299 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343302 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343306 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343311 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343313 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2343316 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343318 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343321 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343323 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343332 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343333 */   // GIR_Coverage, 58622,
     /* 2343333 */   GIR_EraseRootFromParent_Done,
     /* 2343334 */ // Label 32456: @2343334
     /* 2343334 */ GIM_Try, /*On fail goto*//*Label 32457*/ GIMT_Encode4(2343388), // Rule ID 58623 //
     /* 2343339 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2343342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2343345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343353 */   // (sint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343353 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343356 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343360 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343365 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343367 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E16),
     /* 2343370 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343372 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343375 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343377 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343386 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343387 */   // GIR_Coverage, 58623,
     /* 2343387 */   GIR_EraseRootFromParent_Done,
     /* 2343388 */ // Label 32457: @2343388
     /* 2343388 */ GIM_Try, /*On fail goto*//*Label 32458*/ GIMT_Encode4(2343445), // Rule ID 58850 //
     /* 2343393 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2343396 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2343399 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343403 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343407 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343407 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343410 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343414 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343419 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343421 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2343424 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343426 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343429 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343431 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343434 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343443 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343444 */   // GIR_Coverage, 58850,
     /* 2343444 */   GIR_EraseRootFromParent_Done,
     /* 2343445 */ // Label 32458: @2343445
     /* 2343445 */ GIM_Try, /*On fail goto*//*Label 32459*/ GIMT_Encode4(2343502), // Rule ID 58851 //
     /* 2343450 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2343453 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2343456 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343460 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343464 */   // (sint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343464 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2343467 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343471 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343476 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343478 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E32),
     /* 2343481 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343483 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343486 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343488 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343491 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343494 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343500 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343501 */   // GIR_Coverage, 58851,
     /* 2343501 */   GIR_EraseRootFromParent_Done,
     /* 2343502 */ // Label 32459: @2343502
     /* 2343502 */ GIM_Reject,
     /* 2343503 */ // Label 32371: @2343503
     /* 2343503 */ GIM_Try, /*On fail goto*//*Label 32460*/ GIMT_Encode4(2343560), // Rule ID 58458 //
     /* 2343508 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2343511 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2343514 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343518 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343522 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343522 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343525 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343529 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343534 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343536 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2343539 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343541 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343544 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343558 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343559 */   // GIR_Coverage, 58458,
     /* 2343559 */   GIR_EraseRootFromParent_Done,
     /* 2343560 */ // Label 32460: @2343560
     /* 2343560 */ GIM_Try, /*On fail goto*//*Label 32461*/ GIMT_Encode4(2343617), // Rule ID 58459 //
     /* 2343565 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2343568 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2343571 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343575 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343579 */   // (sint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343579 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343582 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343586 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343591 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343593 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E64),
     /* 2343596 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343598 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343601 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343603 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343606 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2343612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343615 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343616 */   // GIR_Coverage, 58459,
     /* 2343616 */   GIR_EraseRootFromParent_Done,
     /* 2343617 */ // Label 32461: @2343617
     /* 2343617 */ GIM_Try, /*On fail goto*//*Label 32462*/ GIMT_Encode4(2343671), // Rule ID 58642 //
     /* 2343622 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2343625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2343628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343636 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343636 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343639 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343643 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343648 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343650 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2343653 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343655 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343658 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343660 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343670 */   // GIR_Coverage, 58642,
     /* 2343670 */   GIR_EraseRootFromParent_Done,
     /* 2343671 */ // Label 32462: @2343671
     /* 2343671 */ GIM_Try, /*On fail goto*//*Label 32463*/ GIMT_Encode4(2343725), // Rule ID 58643 //
     /* 2343676 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2343679 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2343682 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343686 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343690 */   // (sint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343690 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2343693 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343697 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343702 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343704 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E32),
     /* 2343707 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343709 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343712 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343714 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2343720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343723 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343724 */   // GIR_Coverage, 58643,
     /* 2343724 */   GIR_EraseRootFromParent_Done,
     /* 2343725 */ // Label 32463: @2343725
     /* 2343725 */ GIM_Reject,
     /* 2343726 */ // Label 32372: @2343726
     /* 2343726 */ GIM_Try, /*On fail goto*//*Label 32464*/ GIMT_Encode4(2343783), // Rule ID 58430 //
     /* 2343731 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2343734 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2343737 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343741 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343745 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343745 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343748 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343752 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343757 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343759 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2343762 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343764 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343767 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343775 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343778 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343781 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343782 */   // GIR_Coverage, 58430,
     /* 2343782 */   GIR_EraseRootFromParent_Done,
     /* 2343783 */ // Label 32464: @2343783
     /* 2343783 */ GIM_Try, /*On fail goto*//*Label 32465*/ GIMT_Encode4(2343840), // Rule ID 58431 //
     /* 2343788 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2343791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2343794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343802 */   // (sint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343802 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343805 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343809 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343814 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343816 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M4_E16),
     /* 2343819 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343821 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343824 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2343835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343838 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343839 */   // GIR_Coverage, 58431,
     /* 2343839 */   GIR_EraseRootFromParent_Done,
     /* 2343840 */ // Label 32465: @2343840
     /* 2343840 */ GIM_Try, /*On fail goto*//*Label 32466*/ GIMT_Encode4(2343894), // Rule ID 58602 //
     /* 2343845 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2343848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2343851 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343855 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343859 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343859 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343862 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343866 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343871 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343873 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2343876 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343878 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343881 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343892 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343893 */   // GIR_Coverage, 58602,
     /* 2343893 */   GIR_EraseRootFromParent_Done,
     /* 2343894 */ // Label 32466: @2343894
     /* 2343894 */ GIM_Try, /*On fail goto*//*Label 32467*/ GIMT_Encode4(2343948), // Rule ID 58603 //
     /* 2343899 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2343902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2343905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2343913 */   // (sint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2343913 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343916 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343920 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343925 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343927 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M2_E8),
     /* 2343930 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343932 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343935 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343937 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343940 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343943 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2343946 */   GIR_RootConstrainSelectedInstOperands,
     /* 2343947 */   // GIR_Coverage, 58603,
     /* 2343947 */   GIR_EraseRootFromParent_Done,
     /* 2343948 */ // Label 32467: @2343948
     /* 2343948 */ GIM_Try, /*On fail goto*//*Label 32468*/ GIMT_Encode4(2344005), // Rule ID 58834 //
     /* 2343953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2343956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2343959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2343963 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2343967 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2343967 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2343970 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2343974 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2343979 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2343981 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2343984 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2343986 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2343989 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2343991 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2343994 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2343997 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344003 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344004 */   // GIR_Coverage, 58834,
     /* 2344004 */   GIR_EraseRootFromParent_Done,
     /* 2344005 */ // Label 32468: @2344005
     /* 2344005 */ GIM_Try, /*On fail goto*//*Label 32469*/ GIMT_Encode4(2344062), // Rule ID 58835 //
     /* 2344010 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2344013 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2344016 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344020 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344024 */   // (sint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_X_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344024 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2344027 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344031 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344036 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344038 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_X_W_M4_E16),
     /* 2344041 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344043 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344046 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344048 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344051 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344054 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344057 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344060 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344061 */   // GIR_Coverage, 58835,
     /* 2344061 */   GIR_EraseRootFromParent_Done,
     /* 2344062 */ // Label 32469: @2344062
     /* 2344062 */ GIM_Reject,
     /* 2344063 */ // Label 32373: @2344063
     /* 2344063 */ GIM_Try, /*On fail goto*//*Label 32470*/ GIMT_Encode4(2344120), // Rule ID 58446 //
     /* 2344068 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2344071 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2344074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344082 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344082 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2344085 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344089 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344094 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344096 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2344099 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344101 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344104 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344118 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344119 */   // GIR_Coverage, 58446,
     /* 2344119 */   GIR_EraseRootFromParent_Done,
     /* 2344120 */ // Label 32470: @2344120
     /* 2344120 */ GIM_Try, /*On fail goto*//*Label 32471*/ GIMT_Encode4(2344177), // Rule ID 58447 //
     /* 2344125 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2344128 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2344131 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344135 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344139 */   // (sint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344139 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2344142 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344146 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344151 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344153 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E32),
     /* 2344156 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344158 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344161 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344163 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2344172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344175 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344176 */   // GIR_Coverage, 58447,
     /* 2344176 */   GIR_EraseRootFromParent_Done,
     /* 2344177 */ // Label 32471: @2344177
     /* 2344177 */ GIM_Try, /*On fail goto*//*Label 32472*/ GIMT_Encode4(2344231), // Rule ID 58626 //
     /* 2344182 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2344185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2344188 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344192 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344196 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344196 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2344199 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344203 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344208 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344210 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2344213 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344215 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344218 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344220 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344229 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344230 */   // GIR_Coverage, 58626,
     /* 2344230 */   GIR_EraseRootFromParent_Done,
     /* 2344231 */ // Label 32472: @2344231
     /* 2344231 */ GIM_Try, /*On fail goto*//*Label 32473*/ GIMT_Encode4(2344285), // Rule ID 58627 //
     /* 2344236 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2344239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2344242 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344246 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344250 */   // (sint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344250 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2344253 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344257 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344262 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344264 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E16),
     /* 2344267 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344269 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344272 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344274 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344284 */   // GIR_Coverage, 58627,
     /* 2344284 */   GIR_EraseRootFromParent_Done,
     /* 2344285 */ // Label 32473: @2344285
     /* 2344285 */ GIM_Reject,
     /* 2344286 */ // Label 32374: @2344286
     /* 2344286 */ GIM_Try, /*On fail goto*//*Label 32474*/ GIMT_Encode4(2344343), // Rule ID 58434 //
     /* 2344291 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2344294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2344297 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344301 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344305 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344305 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2344308 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344312 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344317 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344319 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2344322 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344324 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344327 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344335 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344338 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344341 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344342 */   // GIR_Coverage, 58434,
     /* 2344342 */   GIR_EraseRootFromParent_Done,
     /* 2344343 */ // Label 32474: @2344343
     /* 2344343 */ GIM_Try, /*On fail goto*//*Label 32475*/ GIMT_Encode4(2344400), // Rule ID 58435 //
     /* 2344348 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2344351 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2344354 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344358 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344362 */   // (sint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_X_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344362 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2344365 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344369 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344374 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344376 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_X_V_M8_E16),
     /* 2344379 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344381 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344384 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2344395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344398 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344399 */   // GIR_Coverage, 58435,
     /* 2344399 */   GIR_EraseRootFromParent_Done,
     /* 2344400 */ // Label 32475: @2344400
     /* 2344400 */ GIM_Try, /*On fail goto*//*Label 32476*/ GIMT_Encode4(2344454), // Rule ID 58606 //
     /* 2344405 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2344408 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2344411 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344415 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344419 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2344419 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2344422 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344426 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344431 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344433 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2344436 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344438 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344441 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344452 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344453 */   // GIR_Coverage, 58606,
     /* 2344453 */   GIR_EraseRootFromParent_Done,
     /* 2344454 */ // Label 32476: @2344454
     /* 2344454 */ GIM_Try, /*On fail goto*//*Label 32477*/ GIMT_Encode4(2344508), // Rule ID 58607 //
     /* 2344459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2344462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2344465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2344469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2344473 */   // (sint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_X_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2344473 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2344476 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2344480 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2344485 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2344487 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_X_V_M4_E8),
     /* 2344490 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344492 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2344495 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344497 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2344500 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344503 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2344506 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344507 */   // GIR_Coverage, 58607,
     /* 2344507 */   GIR_EraseRootFromParent_Done,
     /* 2344508 */ // Label 32477: @2344508
     /* 2344508 */ GIM_Reject,
     /* 2344509 */ // Label 32375: @2344509
     /* 2344509 */ GIM_Reject,
     /* 2344510 */ // Label 70: @2344510
     /* 2344510 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32496*/ GIMT_Encode4(2349795),
     /* 2344521 */ /*GILLT_s16*//*Label 32478*/ GIMT_Encode4(2344641),
     /* 2344525 */ /*GILLT_s32*//*Label 32479*/ GIMT_Encode4(2344902),
     /* 2344529 */ /*GILLT_s64*//*Label 32480*/ GIMT_Encode4(2345163), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2344541 */ /*GILLT_nxv1s16*//*Label 32481*/ GIMT_Encode4(2345424),
     /* 2344545 */ /*GILLT_nxv1s32*//*Label 32482*/ GIMT_Encode4(2345761),
     /* 2344549 */ /*GILLT_nxv1s64*//*Label 32483*/ GIMT_Encode4(2346098), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2344561 */ /*GILLT_nxv2s16*//*Label 32484*/ GIMT_Encode4(2346321),
     /* 2344565 */ /*GILLT_nxv2s32*//*Label 32485*/ GIMT_Encode4(2346658),
     /* 2344569 */ /*GILLT_nxv2s64*//*Label 32486*/ GIMT_Encode4(2346995), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2344581 */ /*GILLT_nxv4s16*//*Label 32487*/ GIMT_Encode4(2347218),
     /* 2344585 */ /*GILLT_nxv4s32*//*Label 32488*/ GIMT_Encode4(2347555),
     /* 2344589 */ /*GILLT_nxv4s64*//*Label 32489*/ GIMT_Encode4(2347892), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2344601 */ /*GILLT_nxv8s16*//*Label 32490*/ GIMT_Encode4(2348115),
     /* 2344605 */ /*GILLT_nxv8s32*//*Label 32491*/ GIMT_Encode4(2348452),
     /* 2344609 */ /*GILLT_nxv8s64*//*Label 32492*/ GIMT_Encode4(2348789), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2344621 */ /*GILLT_nxv16s16*//*Label 32493*/ GIMT_Encode4(2349012),
     /* 2344625 */ /*GILLT_nxv16s32*//*Label 32494*/ GIMT_Encode4(2349349), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2344637 */ /*GILLT_nxv32s16*//*Label 32495*/ GIMT_Encode4(2349572),
     /* 2344641 */ // Label 32478: @2344641
     /* 2344641 */ GIM_Try, /*On fail goto*//*Label 32497*/ GIMT_Encode4(2344678), // Rule ID 2259 //
     /* 2344646 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2344649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344652 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344656 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2344663 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2344663 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2344666 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344668 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2344673 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344677 */   // GIR_Coverage, 2259,
     /* 2344677 */   GIR_EraseRootFromParent_Done,
     /* 2344678 */ // Label 32497: @2344678
     /* 2344678 */ GIM_Try, /*On fail goto*//*Label 32498*/ GIMT_Encode4(2344715), // Rule ID 2285 //
     /* 2344683 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2344686 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344689 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344693 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2344700 */   // (uint_to_fp:{ *:[f16] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2344700 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2344703 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344705 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2344710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344714 */   // GIR_Coverage, 2285,
     /* 2344714 */   GIR_EraseRootFromParent_Done,
     /* 2344715 */ // Label 32498: @2344715
     /* 2344715 */ GIM_Try, /*On fail goto*//*Label 32499*/ GIMT_Encode4(2344746), // Rule ID 2210 //
     /* 2344720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2344723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344734 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2344734 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2344737 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344739 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344745 */   // GIR_Coverage, 2210,
     /* 2344745 */   GIR_EraseRootFromParent_Done,
     /* 2344746 */ // Label 32499: @2344746
     /* 2344746 */ GIM_Try, /*On fail goto*//*Label 32500*/ GIMT_Encode4(2344777), // Rule ID 2211 //
     /* 2344751 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2344754 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344765 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2344765 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU),
     /* 2344768 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344770 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344776 */   // GIR_Coverage, 2211,
     /* 2344776 */   GIR_EraseRootFromParent_Done,
     /* 2344777 */ // Label 32500: @2344777
     /* 2344777 */ GIM_Try, /*On fail goto*//*Label 32501*/ GIMT_Encode4(2344808), // Rule ID 2236 //
     /* 2344782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2344785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344796 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2344796 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2344799 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344801 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344803 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344806 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344807 */   // GIR_Coverage, 2236,
     /* 2344807 */   GIR_EraseRootFromParent_Done,
     /* 2344808 */ // Label 32501: @2344808
     /* 2344808 */ GIM_Try, /*On fail goto*//*Label 32502*/ GIMT_Encode4(2344839), // Rule ID 2237 //
     /* 2344813 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2344816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344827 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_H_WU_INX:{ *:[f16] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2344827 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_WU_INX),
     /* 2344830 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344832 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344834 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344837 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344838 */   // GIR_Coverage, 2237,
     /* 2344838 */   GIR_EraseRootFromParent_Done,
     /* 2344839 */ // Label 32502: @2344839
     /* 2344839 */ GIM_Try, /*On fail goto*//*Label 32503*/ GIMT_Encode4(2344870), // Rule ID 2263 //
     /* 2344844 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2344847 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2344854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344858 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2344858 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU),
     /* 2344861 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344863 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344865 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344868 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344869 */   // GIR_Coverage, 2263,
     /* 2344869 */   GIR_EraseRootFromParent_Done,
     /* 2344870 */ // Label 32503: @2344870
     /* 2344870 */ GIM_Try, /*On fail goto*//*Label 32504*/ GIMT_Encode4(2344901), // Rule ID 2289 //
     /* 2344875 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2344878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344881 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2344885 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344889 */   // (uint_to_fp:{ *:[f16] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_H_LU_INX:{ *:[f16] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2344889 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_LU_INX),
     /* 2344892 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344894 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2344896 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344899 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344900 */   // GIR_Coverage, 2289,
     /* 2344900 */   GIR_EraseRootFromParent_Done,
     /* 2344901 */ // Label 32504: @2344901
     /* 2344901 */ GIM_Reject,
     /* 2344902 */ // Label 32479: @2344902
     /* 2344902 */ GIM_Try, /*On fail goto*//*Label 32505*/ GIMT_Encode4(2344939), // Rule ID 1525 //
     /* 2344907 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2344910 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344913 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344917 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2344924 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2344924 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2344927 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344929 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2344934 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344937 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344938 */   // GIR_Coverage, 1525,
     /* 2344938 */   GIR_EraseRootFromParent_Done,
     /* 2344939 */ // Label 32505: @2344939
     /* 2344939 */ GIM_Try, /*On fail goto*//*Label 32506*/ GIMT_Encode4(2344976), // Rule ID 1553 //
     /* 2344944 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2344947 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2344950 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2344954 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2344961 */   // (uint_to_fp:{ *:[f32] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2344961 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2344964 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2344966 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2344971 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2344974 */   GIR_RootConstrainSelectedInstOperands,
     /* 2344975 */   // GIR_Coverage, 1553,
     /* 2344975 */   GIR_EraseRootFromParent_Done,
     /* 2344976 */ // Label 32506: @2344976
     /* 2344976 */ GIM_Try, /*On fail goto*//*Label 32507*/ GIMT_Encode4(2345007), // Rule ID 1474 //
     /* 2344981 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2344984 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2344987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2344991 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2344995 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2344995 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2344998 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345000 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345002 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345005 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345006 */   // GIR_Coverage, 1474,
     /* 2345006 */   GIR_EraseRootFromParent_Done,
     /* 2345007 */ // Label 32507: @2345007
     /* 2345007 */ GIM_Try, /*On fail goto*//*Label 32508*/ GIMT_Encode4(2345038), // Rule ID 1475 //
     /* 2345012 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2345015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2345022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345026 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2345026 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU),
     /* 2345029 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345031 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345033 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345036 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345037 */   // GIR_Coverage, 1475,
     /* 2345037 */   GIR_EraseRootFromParent_Done,
     /* 2345038 */ // Label 32508: @2345038
     /* 2345038 */ GIM_Try, /*On fail goto*//*Label 32509*/ GIMT_Encode4(2345069), // Rule ID 1500 //
     /* 2345043 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2345046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2345053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345057 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i64] })
     /* 2345057 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2345060 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345062 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345068 */   // GIR_Coverage, 1500,
     /* 2345068 */   GIR_EraseRootFromParent_Done,
     /* 2345069 */ // Label 32509: @2345069
     /* 2345069 */ GIM_Try, /*On fail goto*//*Label 32510*/ GIMT_Encode4(2345100), // Rule ID 1501 //
     /* 2345074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2345077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2345084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345088 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_S_WU_INX:{ *:[f32] } ?:{ *:[i32] }:$rs1, 7:{ *:[i32] })
     /* 2345088 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_WU_INX),
     /* 2345091 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345098 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345099 */   // GIR_Coverage, 1501,
     /* 2345099 */   GIR_EraseRootFromParent_Done,
     /* 2345100 */ // Label 32510: @2345100
     /* 2345100 */ GIM_Try, /*On fail goto*//*Label 32511*/ GIMT_Encode4(2345131), // Rule ID 1529 //
     /* 2345105 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2345108 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2345111 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2345115 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345119 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2345119 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU),
     /* 2345122 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345124 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345126 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345129 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345130 */   // GIR_Coverage, 1529,
     /* 2345130 */   GIR_EraseRootFromParent_Done,
     /* 2345131 */ // Label 32511: @2345131
     /* 2345131 */ GIM_Try, /*On fail goto*//*Label 32512*/ GIMT_Encode4(2345162), // Rule ID 1557 //
     /* 2345136 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2345139 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2345142 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2345146 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345150 */   // (uint_to_fp:{ *:[f32] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_S_LU_INX:{ *:[f32] } ?:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2345150 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_LU_INX),
     /* 2345153 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345155 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345157 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345160 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345161 */   // GIR_Coverage, 1557,
     /* 2345161 */   GIR_EraseRootFromParent_Done,
     /* 2345162 */ // Label 32512: @2345162
     /* 2345162 */ GIM_Reject,
     /* 2345163 */ // Label 32480: @2345163
     /* 2345163 */ GIM_Try, /*On fail goto*//*Label 32513*/ GIMT_Encode4(2345200), // Rule ID 1905 //
     /* 2345168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2345171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2345174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2345178 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2345185 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2345185 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2345188 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345190 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2345195 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2345198 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345199 */   // GIR_Coverage, 1905,
     /* 2345199 */   GIR_EraseRootFromParent_Done,
     /* 2345200 */ // Label 32513: @2345200
     /* 2345200 */ GIM_Try, /*On fail goto*//*Label 32514*/ GIMT_Encode4(2345237), // Rule ID 1933 //
     /* 2345205 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2345208 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2345211 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345215 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2345222 */   // (uint_to_fp:{ *:[f64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (FCVT_D_WU_INX:{ *:[f64] } ?:{ *:[i64] }:$rs1, 0:{ *:[i64] })
     /* 2345222 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_INX),
     /* 2345225 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345227 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2345232 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2345235 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345236 */   // GIR_Coverage, 1933,
     /* 2345236 */   GIR_EraseRootFromParent_Done,
     /* 2345237 */ // Label 32514: @2345237
     /* 2345237 */ GIM_Try, /*On fail goto*//*Label 32515*/ GIMT_Encode4(2345268), // Rule ID 1868 //
     /* 2345242 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2345245 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345248 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2345252 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345256 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2345256 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2345259 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345261 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345263 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2345266 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345267 */   // GIR_Coverage, 1868,
     /* 2345267 */   GIR_EraseRootFromParent_Done,
     /* 2345268 */ // Label 32515: @2345268
     /* 2345268 */ GIM_Try, /*On fail goto*//*Label 32516*/ GIMT_Encode4(2345299), // Rule ID 1869 //
     /* 2345273 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2345276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2345283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345287 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2345287 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU),
     /* 2345290 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345292 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345294 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2345297 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345298 */   // GIR_Coverage, 1869,
     /* 2345298 */   GIR_EraseRootFromParent_Done,
     /* 2345299 */ // Label 32516: @2345299
     /* 2345299 */ GIM_Try, /*On fail goto*//*Label 32517*/ GIMT_Encode4(2345330), // Rule ID 1894 //
     /* 2345304 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2345307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2345314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345318 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i64] })
     /* 2345318 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2345321 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345323 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345325 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2345328 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345329 */   // GIR_Coverage, 1894,
     /* 2345329 */   GIR_EraseRootFromParent_Done,
     /* 2345330 */ // Label 32517: @2345330
     /* 2345330 */ GIM_Try, /*On fail goto*//*Label 32518*/ GIMT_Encode4(2345361), // Rule ID 1895 //
     /* 2345335 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2345338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2345341 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2345345 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345349 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i32] }:$rs1)  =>  (FCVT_D_WU_IN32X:{ *:[f64] } GPR:{ *:[i32] }:$rs1, 0:{ *:[i32] })
     /* 2345349 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_WU_IN32X),
     /* 2345352 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345354 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345356 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2345359 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345360 */   // GIR_Coverage, 1895,
     /* 2345360 */   GIR_EraseRootFromParent_Done,
     /* 2345361 */ // Label 32518: @2345361
     /* 2345361 */ GIM_Try, /*On fail goto*//*Label 32519*/ GIMT_Encode4(2345392), // Rule ID 1923 //
     /* 2345366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2345369 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2345372 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2345376 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345380 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2345380 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU),
     /* 2345383 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345385 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345387 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345390 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345391 */   // GIR_Coverage, 1923,
     /* 2345391 */   GIR_EraseRootFromParent_Done,
     /* 2345392 */ // Label 32519: @2345392
     /* 2345392 */ GIM_Try, /*On fail goto*//*Label 32520*/ GIMT_Encode4(2345423), // Rule ID 1951 //
     /* 2345397 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2345400 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2345403 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345407 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2345411 */   // (uint_to_fp:{ *:[f64] } GPR:{ *:[i64] }:$rs1)  =>  (FCVT_D_LU_INX:{ *:[f64] } GPR:{ *:[i64] }:$rs1, 7:{ *:[i64] })
     /* 2345411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_LU_INX),
     /* 2345414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345416 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345418 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345421 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345422 */   // GIR_Coverage, 1951,
     /* 2345422 */   GIR_EraseRootFromParent_Done,
     /* 2345423 */ // Label 32520: @2345423
     /* 2345423 */ GIM_Reject,
     /* 2345424 */ // Label 32481: @2345424
     /* 2345424 */ GIM_Try, /*On fail goto*//*Label 32521*/ GIMT_Encode4(2345481), // Rule ID 58462 //
     /* 2345429 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2345432 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2345435 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345439 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345443 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345443 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345446 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345450 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345455 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345457 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2345460 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345462 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345465 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345467 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345470 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345473 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345476 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345479 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345480 */   // GIR_Coverage, 58462,
     /* 2345480 */   GIR_EraseRootFromParent_Done,
     /* 2345481 */ // Label 32521: @2345481
     /* 2345481 */ GIM_Try, /*On fail goto*//*Label 32522*/ GIMT_Encode4(2345538), // Rule ID 58463 //
     /* 2345486 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2345489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2345492 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345496 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345500 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345500 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345503 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345507 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345512 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345514 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF4_E16),
     /* 2345517 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345519 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345522 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345524 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345527 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345530 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345533 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345536 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345537 */   // GIR_Coverage, 58463,
     /* 2345537 */   GIR_EraseRootFromParent_Done,
     /* 2345538 */ // Label 32522: @2345538
     /* 2345538 */ GIM_Try, /*On fail goto*//*Label 32523*/ GIMT_Encode4(2345592), // Rule ID 58646 //
     /* 2345543 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2345546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2345549 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345553 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345557 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345557 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345560 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345564 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345569 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345571 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2345574 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345576 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345579 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345581 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345584 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345587 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345590 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345591 */   // GIR_Coverage, 58646,
     /* 2345591 */   GIR_EraseRootFromParent_Done,
     /* 2345592 */ // Label 32523: @2345592
     /* 2345592 */ GIM_Try, /*On fail goto*//*Label 32524*/ GIMT_Encode4(2345646), // Rule ID 58647 //
     /* 2345597 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2345600 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2345603 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345607 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345611 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF8_E8:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345611 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345614 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345618 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345623 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345625 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF8_E8),
     /* 2345628 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345630 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345633 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345635 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345638 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345641 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345644 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345645 */   // GIR_Coverage, 58647,
     /* 2345645 */   GIR_EraseRootFromParent_Done,
     /* 2345646 */ // Label 32524: @2345646
     /* 2345646 */ GIM_Try, /*On fail goto*//*Label 32525*/ GIMT_Encode4(2345703), // Rule ID 58854 //
     /* 2345651 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2345654 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2345657 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345661 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345665 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345665 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345668 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345672 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345677 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345679 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2345682 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345684 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345687 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345689 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345692 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345695 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345698 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345701 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345702 */   // GIR_Coverage, 58854,
     /* 2345702 */   GIR_EraseRootFromParent_Done,
     /* 2345703 */ // Label 32525: @2345703
     /* 2345703 */ GIM_Try, /*On fail goto*//*Label 32526*/ GIMT_Encode4(2345760), // Rule ID 58855 //
     /* 2345708 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2345711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2345714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345722 */   // (uint_to_fp:{ *:[nxv1f16] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345722 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2345725 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345729 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345734 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345736 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF4_E16),
     /* 2345739 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345741 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345744 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345746 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345749 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345752 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345755 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345758 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345759 */   // GIR_Coverage, 58855,
     /* 2345759 */   GIR_EraseRootFromParent_Done,
     /* 2345760 */ // Label 32526: @2345760
     /* 2345760 */ GIM_Reject,
     /* 2345761 */ // Label 32482: @2345761
     /* 2345761 */ GIM_Try, /*On fail goto*//*Label 32527*/ GIMT_Encode4(2345818), // Rule ID 58470 //
     /* 2345766 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2345769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2345772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345780 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345780 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345783 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345787 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345792 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345794 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2345797 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345799 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345802 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345804 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345807 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345810 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345813 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345816 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345817 */   // GIR_Coverage, 58470,
     /* 2345817 */   GIR_EraseRootFromParent_Done,
     /* 2345818 */ // Label 32527: @2345818
     /* 2345818 */ GIM_Try, /*On fail goto*//*Label 32528*/ GIMT_Encode4(2345875), // Rule ID 58471 //
     /* 2345823 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2345826 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2345829 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345833 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345837 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345837 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345840 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345844 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345849 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345851 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E32),
     /* 2345854 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345856 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345859 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345861 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2345864 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2345870 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345873 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345874 */   // GIR_Coverage, 58471,
     /* 2345874 */   GIR_EraseRootFromParent_Done,
     /* 2345875 */ // Label 32528: @2345875
     /* 2345875 */ GIM_Try, /*On fail goto*//*Label 32529*/ GIMT_Encode4(2345929), // Rule ID 58670 //
     /* 2345880 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2345883 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2345886 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345890 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345894 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2345894 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345897 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345901 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345906 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345908 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2345911 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345913 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345921 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345924 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345927 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345928 */   // GIR_Coverage, 58670,
     /* 2345928 */   GIR_EraseRootFromParent_Done,
     /* 2345929 */ // Label 32529: @2345929
     /* 2345929 */ GIM_Try, /*On fail goto*//*Label 32530*/ GIMT_Encode4(2345983), // Rule ID 58671 //
     /* 2345934 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2345937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2345940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345948 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E16:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2345948 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2345951 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2345955 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2345960 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2345962 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E16),
     /* 2345965 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2345967 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2345970 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2345972 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2345975 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2345978 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2345981 */   GIR_RootConstrainSelectedInstOperands,
     /* 2345982 */   // GIR_Coverage, 58671,
     /* 2345982 */   GIR_EraseRootFromParent_Done,
     /* 2345983 */ // Label 32530: @2345983
     /* 2345983 */ GIM_Try, /*On fail goto*//*Label 32531*/ GIMT_Encode4(2346040), // Rule ID 58874 //
     /* 2345988 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2345991 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2345994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2345998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346002 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346002 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2346005 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346009 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346014 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346016 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2346019 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346021 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346024 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346026 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346029 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346032 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346035 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346038 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346039 */   // GIR_Coverage, 58874,
     /* 2346039 */   GIR_EraseRootFromParent_Done,
     /* 2346040 */ // Label 32531: @2346040
     /* 2346040 */ GIM_Try, /*On fail goto*//*Label 32532*/ GIMT_Encode4(2346097), // Rule ID 58875 //
     /* 2346045 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2346048 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2346051 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346055 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346059 */   // (uint_to_fp:{ *:[nxv1f32] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346059 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2346062 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346066 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346071 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346073 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E32),
     /* 2346076 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346078 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346081 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346083 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346086 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346089 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346096 */   // GIR_Coverage, 58875,
     /* 2346096 */   GIR_EraseRootFromParent_Done,
     /* 2346097 */ // Label 32532: @2346097
     /* 2346097 */ GIM_Reject,
     /* 2346098 */ // Label 32483: @2346098
     /* 2346098 */ GIM_Try, /*On fail goto*//*Label 32533*/ GIMT_Encode4(2346155), // Rule ID 58482 //
     /* 2346103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2346106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2346109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346117 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346117 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2346120 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346124 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346129 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346131 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2346134 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346136 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346139 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346141 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346144 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346147 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346150 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346153 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346154 */   // GIR_Coverage, 58482,
     /* 2346154 */   GIR_EraseRootFromParent_Done,
     /* 2346155 */ // Label 32533: @2346155
     /* 2346155 */ GIM_Try, /*On fail goto*//*Label 32534*/ GIMT_Encode4(2346212), // Rule ID 58483 //
     /* 2346160 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2346163 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2346166 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346170 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346174 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346174 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2346177 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346181 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346186 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346188 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E64),
     /* 2346191 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346193 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346196 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346198 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346201 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346204 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2346207 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346210 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346211 */   // GIR_Coverage, 58483,
     /* 2346211 */   GIR_EraseRootFromParent_Done,
     /* 2346212 */ // Label 32534: @2346212
     /* 2346212 */ GIM_Try, /*On fail goto*//*Label 32535*/ GIMT_Encode4(2346266), // Rule ID 58690 //
     /* 2346217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2346220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2346223 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346227 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346231 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346231 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2346234 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346238 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346243 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346245 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2346248 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346250 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346253 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346255 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346258 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346264 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346265 */   // GIR_Coverage, 58690,
     /* 2346265 */   GIR_EraseRootFromParent_Done,
     /* 2346266 */ // Label 32535: @2346266
     /* 2346266 */ GIM_Try, /*On fail goto*//*Label 32536*/ GIMT_Encode4(2346320), // Rule ID 58691 //
     /* 2346271 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2346274 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2346277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346285 */   // (uint_to_fp:{ *:[nxv1f64] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E32:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346285 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2346288 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346292 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346297 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346299 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E32),
     /* 2346302 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346304 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346307 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346309 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346312 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346315 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346318 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346319 */   // GIR_Coverage, 58691,
     /* 2346319 */   GIR_EraseRootFromParent_Done,
     /* 2346320 */ // Label 32536: @2346320
     /* 2346320 */ GIM_Reject,
     /* 2346321 */ // Label 32484: @2346321
     /* 2346321 */ GIM_Try, /*On fail goto*//*Label 32537*/ GIMT_Encode4(2346378), // Rule ID 58466 //
     /* 2346326 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2346329 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2346332 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346336 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346340 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346340 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346343 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346347 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346352 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346354 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2346357 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346359 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346362 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346364 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346367 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346370 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346373 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346376 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346377 */   // GIR_Coverage, 58466,
     /* 2346377 */   GIR_EraseRootFromParent_Done,
     /* 2346378 */ // Label 32537: @2346378
     /* 2346378 */ GIM_Try, /*On fail goto*//*Label 32538*/ GIMT_Encode4(2346435), // Rule ID 58467 //
     /* 2346383 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2346386 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2346389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346397 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346397 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346400 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346404 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346409 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346411 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_MF2_E16),
     /* 2346414 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346416 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346419 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346421 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346424 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346427 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346430 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346433 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346434 */   // GIR_Coverage, 58467,
     /* 2346434 */   GIR_EraseRootFromParent_Done,
     /* 2346435 */ // Label 32538: @2346435
     /* 2346435 */ GIM_Try, /*On fail goto*//*Label 32539*/ GIMT_Encode4(2346489), // Rule ID 58650 //
     /* 2346440 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2346443 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2346446 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346450 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346454 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346454 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346457 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346461 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346466 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346468 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2346471 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346473 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346476 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346478 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346481 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346484 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346487 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346488 */   // GIR_Coverage, 58650,
     /* 2346488 */   GIR_EraseRootFromParent_Done,
     /* 2346489 */ // Label 32539: @2346489
     /* 2346489 */ GIM_Try, /*On fail goto*//*Label 32540*/ GIMT_Encode4(2346543), // Rule ID 58651 //
     /* 2346494 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2346497 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2346500 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346504 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346508 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF4_E8:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346508 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346511 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346515 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346520 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346522 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF4_E8),
     /* 2346525 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346527 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346530 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346532 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346535 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346538 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346541 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346542 */   // GIR_Coverage, 58651,
     /* 2346542 */   GIR_EraseRootFromParent_Done,
     /* 2346543 */ // Label 32540: @2346543
     /* 2346543 */ GIM_Try, /*On fail goto*//*Label 32541*/ GIMT_Encode4(2346600), // Rule ID 58858 //
     /* 2346548 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2346551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2346554 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346558 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346562 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346562 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346565 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346569 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346574 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346576 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2346579 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346581 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346584 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346586 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346589 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346592 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346595 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346598 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346599 */   // GIR_Coverage, 58858,
     /* 2346599 */   GIR_EraseRootFromParent_Done,
     /* 2346600 */ // Label 32541: @2346600
     /* 2346600 */ GIM_Try, /*On fail goto*//*Label 32542*/ GIMT_Encode4(2346657), // Rule ID 58859 //
     /* 2346605 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2346608 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2346611 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346615 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346619 */   // (uint_to_fp:{ *:[nxv2f16] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346619 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2346622 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346626 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346631 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346633 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_MF2_E16),
     /* 2346636 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346638 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346641 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346643 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346646 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346649 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346652 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346655 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346656 */   // GIR_Coverage, 58859,
     /* 2346656 */   GIR_EraseRootFromParent_Done,
     /* 2346657 */ // Label 32542: @2346657
     /* 2346657 */ GIM_Reject,
     /* 2346658 */ // Label 32485: @2346658
     /* 2346658 */ GIM_Try, /*On fail goto*//*Label 32543*/ GIMT_Encode4(2346715), // Rule ID 58478 //
     /* 2346663 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2346666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2346669 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346673 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346677 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346677 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346680 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346684 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346689 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346691 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2346694 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346696 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346699 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346701 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346707 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346710 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346714 */   // GIR_Coverage, 58478,
     /* 2346714 */   GIR_EraseRootFromParent_Done,
     /* 2346715 */ // Label 32543: @2346715
     /* 2346715 */ GIM_Try, /*On fail goto*//*Label 32544*/ GIMT_Encode4(2346772), // Rule ID 58479 //
     /* 2346720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2346723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2346726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346734 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346734 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346737 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346741 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346746 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346748 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E32),
     /* 2346751 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346753 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346756 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346758 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346761 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346764 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346767 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346770 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346771 */   // GIR_Coverage, 58479,
     /* 2346771 */   GIR_EraseRootFromParent_Done,
     /* 2346772 */ // Label 32544: @2346772
     /* 2346772 */ GIM_Try, /*On fail goto*//*Label 32545*/ GIMT_Encode4(2346826), // Rule ID 58674 //
     /* 2346777 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2346780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2346783 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346787 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346791 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346791 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346794 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346798 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346803 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346805 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2346808 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346810 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346813 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346815 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346818 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346821 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346824 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346825 */   // GIR_Coverage, 58674,
     /* 2346825 */   GIR_EraseRootFromParent_Done,
     /* 2346826 */ // Label 32545: @2346826
     /* 2346826 */ GIM_Try, /*On fail goto*//*Label 32546*/ GIMT_Encode4(2346880), // Rule ID 58675 //
     /* 2346831 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2346834 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2346837 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346841 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346845 */   // (uint_to_fp:{ *:[nxv2f32] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E16:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346845 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346848 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346852 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346857 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346859 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E16),
     /* 2346862 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346864 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346867 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346869 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346872 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2346875 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346878 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346879 */   // GIR_Coverage, 58675,
     /* 2346879 */   GIR_EraseRootFromParent_Done,
     /* 2346880 */ // Label 32546: @2346880
     /* 2346880 */ GIM_Try, /*On fail goto*//*Label 32547*/ GIMT_Encode4(2346937), // Rule ID 58878 //
     /* 2346885 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2346888 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2346891 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346895 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346899 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2346899 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346902 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346906 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346911 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346913 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2346916 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346918 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346921 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346923 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346926 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346932 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346935 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346936 */   // GIR_Coverage, 58878,
     /* 2346936 */   GIR_EraseRootFromParent_Done,
     /* 2346937 */ // Label 32547: @2346937
     /* 2346937 */ GIM_Try, /*On fail goto*//*Label 32548*/ GIMT_Encode4(2346994), // Rule ID 58879 //
     /* 2346942 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2346945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2346948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2346952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2346956 */   // (uint_to_fp:{ *:[nxv2f32] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2346956 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2346959 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2346963 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2346968 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2346970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E32),
     /* 2346973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2346975 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2346978 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2346980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2346983 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2346986 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2346989 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2346992 */   GIR_RootConstrainSelectedInstOperands,
     /* 2346993 */   // GIR_Coverage, 58879,
     /* 2346993 */   GIR_EraseRootFromParent_Done,
     /* 2346994 */ // Label 32548: @2346994
     /* 2346994 */ GIM_Reject,
     /* 2346995 */ // Label 32486: @2346995
     /* 2346995 */ GIM_Try, /*On fail goto*//*Label 32549*/ GIMT_Encode4(2347052), // Rule ID 58510 //
     /* 2347000 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2347003 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2347006 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347010 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347014 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347014 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2347017 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347021 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347026 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347028 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2347031 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347033 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347036 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347038 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347041 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347044 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347047 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347050 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347051 */   // GIR_Coverage, 58510,
     /* 2347051 */   GIR_EraseRootFromParent_Done,
     /* 2347052 */ // Label 32549: @2347052
     /* 2347052 */ GIM_Try, /*On fail goto*//*Label 32550*/ GIMT_Encode4(2347109), // Rule ID 58511 //
     /* 2347057 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2347060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2347063 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347067 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347071 */   // (uint_to_fp:{ *:[nxv2f64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347071 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2347074 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347078 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347083 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347085 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E64),
     /* 2347088 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347090 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347093 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347095 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347098 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347101 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347108 */   // GIR_Coverage, 58511,
     /* 2347108 */   GIR_EraseRootFromParent_Done,
     /* 2347109 */ // Label 32550: @2347109
     /* 2347109 */ GIM_Try, /*On fail goto*//*Label 32551*/ GIMT_Encode4(2347163), // Rule ID 58694 //
     /* 2347114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2347117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2347120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347128 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347128 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2347131 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347135 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347140 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347142 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2347145 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347147 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347150 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347152 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347155 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347161 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347162 */   // GIR_Coverage, 58694,
     /* 2347162 */   GIR_EraseRootFromParent_Done,
     /* 2347163 */ // Label 32551: @2347163
     /* 2347163 */ GIM_Try, /*On fail goto*//*Label 32552*/ GIMT_Encode4(2347217), // Rule ID 58695 //
     /* 2347168 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2347171 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2347174 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347178 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347182 */   // (uint_to_fp:{ *:[nxv2f64] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E32:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347182 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2347185 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347189 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347194 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347196 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E32),
     /* 2347199 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347201 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347204 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347206 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347209 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347212 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347215 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347216 */   // GIR_Coverage, 58695,
     /* 2347216 */   GIR_EraseRootFromParent_Done,
     /* 2347217 */ // Label 32552: @2347217
     /* 2347217 */ GIM_Reject,
     /* 2347218 */ // Label 32487: @2347218
     /* 2347218 */ GIM_Try, /*On fail goto*//*Label 32553*/ GIMT_Encode4(2347275), // Rule ID 58474 //
     /* 2347223 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2347226 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2347229 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347233 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347237 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347237 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347240 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347244 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347249 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347251 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2347254 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347256 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347259 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347261 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347264 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347267 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347270 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347273 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347274 */   // GIR_Coverage, 58474,
     /* 2347274 */   GIR_EraseRootFromParent_Done,
     /* 2347275 */ // Label 32553: @2347275
     /* 2347275 */ GIM_Try, /*On fail goto*//*Label 32554*/ GIMT_Encode4(2347332), // Rule ID 58475 //
     /* 2347280 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2347283 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2347286 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347290 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347294 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347294 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347297 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347301 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347306 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347308 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M1_E16),
     /* 2347311 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347313 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347316 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347318 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347321 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347324 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347327 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347330 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347331 */   // GIR_Coverage, 58475,
     /* 2347331 */   GIR_EraseRootFromParent_Done,
     /* 2347332 */ // Label 32554: @2347332
     /* 2347332 */ GIM_Try, /*On fail goto*//*Label 32555*/ GIMT_Encode4(2347386), // Rule ID 58654 //
     /* 2347337 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2347340 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2347343 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347347 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347351 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347351 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347354 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347358 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347363 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347365 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2347368 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347370 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347373 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347375 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347378 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347381 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347384 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347385 */   // GIR_Coverage, 58654,
     /* 2347385 */   GIR_EraseRootFromParent_Done,
     /* 2347386 */ // Label 32555: @2347386
     /* 2347386 */ GIM_Try, /*On fail goto*//*Label 32556*/ GIMT_Encode4(2347440), // Rule ID 58655 //
     /* 2347391 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2347394 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2347397 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347401 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347405 */   // (uint_to_fp:{ *:[nxv4f16] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_MF2_E8:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347405 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347408 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347412 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347417 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347419 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_MF2_E8),
     /* 2347422 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347424 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347427 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347429 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347432 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347435 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347438 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347439 */   // GIR_Coverage, 58655,
     /* 2347439 */   GIR_EraseRootFromParent_Done,
     /* 2347440 */ // Label 32556: @2347440
     /* 2347440 */ GIM_Try, /*On fail goto*//*Label 32557*/ GIMT_Encode4(2347497), // Rule ID 58862 //
     /* 2347445 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2347448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2347451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347459 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347459 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347462 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347466 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347471 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347473 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2347476 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347478 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347481 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347483 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347486 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347489 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347492 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347495 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347496 */   // GIR_Coverage, 58862,
     /* 2347496 */   GIR_EraseRootFromParent_Done,
     /* 2347497 */ // Label 32557: @2347497
     /* 2347497 */ GIM_Try, /*On fail goto*//*Label 32558*/ GIMT_Encode4(2347554), // Rule ID 58863 //
     /* 2347502 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2347505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2347508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347516 */   // (uint_to_fp:{ *:[nxv4f16] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347516 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2347519 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347523 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347528 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347530 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M1_E16),
     /* 2347533 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347535 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347538 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347540 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347543 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347546 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347549 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347552 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347553 */   // GIR_Coverage, 58863,
     /* 2347553 */   GIR_EraseRootFromParent_Done,
     /* 2347554 */ // Label 32558: @2347554
     /* 2347554 */ GIM_Reject,
     /* 2347555 */ // Label 32488: @2347555
     /* 2347555 */ GIM_Try, /*On fail goto*//*Label 32559*/ GIMT_Encode4(2347612), // Rule ID 58498 //
     /* 2347560 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2347563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2347566 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347570 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347574 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347574 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347577 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347581 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347586 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347588 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2347591 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347593 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347596 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347598 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347601 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347604 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347607 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347610 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347611 */   // GIR_Coverage, 58498,
     /* 2347611 */   GIR_EraseRootFromParent_Done,
     /* 2347612 */ // Label 32559: @2347612
     /* 2347612 */ GIM_Try, /*On fail goto*//*Label 32560*/ GIMT_Encode4(2347669), // Rule ID 58499 //
     /* 2347617 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2347620 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2347623 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347627 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347631 */   // (uint_to_fp:{ *:[nxv4f32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347631 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347634 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347638 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347643 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347645 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E32),
     /* 2347648 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347650 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347653 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347655 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347658 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347661 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347664 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347667 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347668 */   // GIR_Coverage, 58499,
     /* 2347668 */   GIR_EraseRootFromParent_Done,
     /* 2347669 */ // Label 32560: @2347669
     /* 2347669 */ GIM_Try, /*On fail goto*//*Label 32561*/ GIMT_Encode4(2347723), // Rule ID 58678 //
     /* 2347674 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2347677 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2347680 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347684 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347688 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347688 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347691 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347695 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347700 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347702 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2347705 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347707 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347710 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347712 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347715 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347718 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347721 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347722 */   // GIR_Coverage, 58678,
     /* 2347722 */   GIR_EraseRootFromParent_Done,
     /* 2347723 */ // Label 32561: @2347723
     /* 2347723 */ GIM_Try, /*On fail goto*//*Label 32562*/ GIMT_Encode4(2347777), // Rule ID 58679 //
     /* 2347728 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2347731 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2347734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2347742 */   // (uint_to_fp:{ *:[nxv4f32] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E16:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347742 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347745 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347749 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347754 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347756 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E16),
     /* 2347759 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347761 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347764 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347766 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347769 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2347772 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347775 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347776 */   // GIR_Coverage, 58679,
     /* 2347776 */   GIR_EraseRootFromParent_Done,
     /* 2347777 */ // Label 32562: @2347777
     /* 2347777 */ GIM_Try, /*On fail goto*//*Label 32563*/ GIMT_Encode4(2347834), // Rule ID 58882 //
     /* 2347782 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2347785 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2347788 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347792 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347796 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347796 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347799 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347803 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347808 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347810 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2347813 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347815 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347818 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347820 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347823 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347826 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347829 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347832 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347833 */   // GIR_Coverage, 58882,
     /* 2347833 */   GIR_EraseRootFromParent_Done,
     /* 2347834 */ // Label 32563: @2347834
     /* 2347834 */ GIM_Try, /*On fail goto*//*Label 32564*/ GIMT_Encode4(2347891), // Rule ID 58883 //
     /* 2347839 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2347842 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2347845 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2347849 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347853 */   // (uint_to_fp:{ *:[nxv4f32] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347853 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2347856 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347860 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347865 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347867 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E32),
     /* 2347870 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347872 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347875 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347877 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347880 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347883 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2347886 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347889 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347890 */   // GIR_Coverage, 58883,
     /* 2347890 */   GIR_EraseRootFromParent_Done,
     /* 2347891 */ // Label 32564: @2347891
     /* 2347891 */ GIM_Reject,
     /* 2347892 */ // Label 32489: @2347892
     /* 2347892 */ GIM_Try, /*On fail goto*//*Label 32565*/ GIMT_Encode4(2347949), // Rule ID 58514 //
     /* 2347897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2347900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2347903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347911 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2347911 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2347914 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347918 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347923 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347925 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2347928 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347930 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347933 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347935 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347938 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347941 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2347944 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2347947 */   GIR_RootConstrainSelectedInstOperands,
     /* 2347948 */   // GIR_Coverage, 58514,
     /* 2347948 */   GIR_EraseRootFromParent_Done,
     /* 2347949 */ // Label 32565: @2347949
     /* 2347949 */ GIM_Try, /*On fail goto*//*Label 32566*/ GIMT_Encode4(2348006), // Rule ID 58515 //
     /* 2347954 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2347957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2347960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2347968 */   // (uint_to_fp:{ *:[nxv4f64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2347968 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2347971 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2347975 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2347980 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2347982 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E64),
     /* 2347985 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2347987 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2347990 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2347992 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2347995 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2347998 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348001 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348004 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348005 */   // GIR_Coverage, 58515,
     /* 2348005 */   GIR_EraseRootFromParent_Done,
     /* 2348006 */ // Label 32566: @2348006
     /* 2348006 */ GIM_Try, /*On fail goto*//*Label 32567*/ GIMT_Encode4(2348060), // Rule ID 58698 //
     /* 2348011 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2348014 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2348017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348025 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348025 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348028 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348032 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348037 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348039 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2348042 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348044 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348047 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348049 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348052 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348059 */   // GIR_Coverage, 58698,
     /* 2348059 */   GIR_EraseRootFromParent_Done,
     /* 2348060 */ // Label 32567: @2348060
     /* 2348060 */ GIM_Try, /*On fail goto*//*Label 32568*/ GIMT_Encode4(2348114), // Rule ID 58699 //
     /* 2348065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2348068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2348071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348075 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348079 */   // (uint_to_fp:{ *:[nxv4f64] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E32:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348079 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2348082 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348086 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348091 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348093 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E32),
     /* 2348096 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348098 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348101 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348103 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348106 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348109 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348112 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348113 */   // GIR_Coverage, 58699,
     /* 2348113 */   GIR_EraseRootFromParent_Done,
     /* 2348114 */ // Label 32568: @2348114
     /* 2348114 */ GIM_Reject,
     /* 2348115 */ // Label 32490: @2348115
     /* 2348115 */ GIM_Try, /*On fail goto*//*Label 32569*/ GIMT_Encode4(2348172), // Rule ID 58486 //
     /* 2348120 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2348123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2348126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348134 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348134 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348137 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348141 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348146 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348148 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2348151 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348153 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348156 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348158 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348161 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348164 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348171 */   // GIR_Coverage, 58486,
     /* 2348171 */   GIR_EraseRootFromParent_Done,
     /* 2348172 */ // Label 32569: @2348172
     /* 2348172 */ GIM_Try, /*On fail goto*//*Label 32570*/ GIMT_Encode4(2348229), // Rule ID 58487 //
     /* 2348177 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2348180 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2348183 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348187 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348191 */   // (uint_to_fp:{ *:[nxv8f16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348191 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348194 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348198 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348203 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348205 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M2_E16),
     /* 2348208 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348210 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348213 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348215 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348218 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348221 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348224 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348228 */   // GIR_Coverage, 58487,
     /* 2348228 */   GIR_EraseRootFromParent_Done,
     /* 2348229 */ // Label 32570: @2348229
     /* 2348229 */ GIM_Try, /*On fail goto*//*Label 32571*/ GIMT_Encode4(2348283), // Rule ID 58658 //
     /* 2348234 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2348237 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2348240 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348244 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348248 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348248 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348251 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348255 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348260 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348262 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2348265 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348267 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348270 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348272 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348275 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348278 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348281 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348282 */   // GIR_Coverage, 58658,
     /* 2348282 */   GIR_EraseRootFromParent_Done,
     /* 2348283 */ // Label 32571: @2348283
     /* 2348283 */ GIM_Try, /*On fail goto*//*Label 32572*/ GIMT_Encode4(2348337), // Rule ID 58659 //
     /* 2348288 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2348291 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2348294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2348302 */   // (uint_to_fp:{ *:[nxv8f16] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M1_E8:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348302 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348305 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348309 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348314 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348316 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M1_E8),
     /* 2348319 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348321 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348324 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348326 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348329 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348332 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348335 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348336 */   // GIR_Coverage, 58659,
     /* 2348336 */   GIR_EraseRootFromParent_Done,
     /* 2348337 */ // Label 32572: @2348337
     /* 2348337 */ GIM_Try, /*On fail goto*//*Label 32573*/ GIMT_Encode4(2348394), // Rule ID 58866 //
     /* 2348342 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2348345 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348348 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348352 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348356 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348356 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348359 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348363 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348368 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348370 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2348373 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348375 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348378 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348380 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348383 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348386 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348389 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348392 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348393 */   // GIR_Coverage, 58866,
     /* 2348393 */   GIR_EraseRootFromParent_Done,
     /* 2348394 */ // Label 32573: @2348394
     /* 2348394 */ GIM_Try, /*On fail goto*//*Label 32574*/ GIMT_Encode4(2348451), // Rule ID 58867 //
     /* 2348399 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2348402 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348405 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348409 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348413 */   // (uint_to_fp:{ *:[nxv8f16] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348413 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2348416 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348420 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348425 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348427 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M2_E16),
     /* 2348430 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348432 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348435 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348437 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348440 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348443 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348450 */   // GIR_Coverage, 58867,
     /* 2348450 */   GIR_EraseRootFromParent_Done,
     /* 2348451 */ // Label 32574: @2348451
     /* 2348451 */ GIM_Reject,
     /* 2348452 */ // Label 32491: @2348452
     /* 2348452 */ GIM_Try, /*On fail goto*//*Label 32575*/ GIMT_Encode4(2348509), // Rule ID 58502 //
     /* 2348457 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2348460 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348463 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348467 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348471 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348471 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348474 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348478 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348483 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348485 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2348488 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348490 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348493 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348495 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348498 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348501 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348504 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348507 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348508 */   // GIR_Coverage, 58502,
     /* 2348508 */   GIR_EraseRootFromParent_Done,
     /* 2348509 */ // Label 32575: @2348509
     /* 2348509 */ GIM_Try, /*On fail goto*//*Label 32576*/ GIMT_Encode4(2348566), // Rule ID 58503 //
     /* 2348514 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2348517 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348520 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348524 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348528 */   // (uint_to_fp:{ *:[nxv8f32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348528 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348531 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348535 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348540 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348542 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E32),
     /* 2348545 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348547 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348550 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348552 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348555 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348558 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348561 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348564 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348565 */   // GIR_Coverage, 58503,
     /* 2348565 */   GIR_EraseRootFromParent_Done,
     /* 2348566 */ // Label 32576: @2348566
     /* 2348566 */ GIM_Try, /*On fail goto*//*Label 32577*/ GIMT_Encode4(2348620), // Rule ID 58682 //
     /* 2348571 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2348574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2348577 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348581 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348585 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348585 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348588 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348592 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348597 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348599 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2348602 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348604 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348607 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348609 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348612 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348618 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348619 */   // GIR_Coverage, 58682,
     /* 2348619 */   GIR_EraseRootFromParent_Done,
     /* 2348620 */ // Label 32577: @2348620
     /* 2348620 */ GIM_Try, /*On fail goto*//*Label 32578*/ GIMT_Encode4(2348674), // Rule ID 58683 //
     /* 2348625 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2348628 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2348631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2348639 */   // (uint_to_fp:{ *:[nxv8f32] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E16:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348639 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348642 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348646 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348651 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348653 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E16),
     /* 2348656 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348658 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348661 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348663 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2348669 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348673 */   // GIR_Coverage, 58683,
     /* 2348673 */   GIR_EraseRootFromParent_Done,
     /* 2348674 */ // Label 32578: @2348674
     /* 2348674 */ GIM_Try, /*On fail goto*//*Label 32579*/ GIMT_Encode4(2348731), // Rule ID 58886 //
     /* 2348679 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode0),
     /* 2348682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2348685 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348689 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348693 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348693 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348696 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348700 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348705 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348707 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2348710 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348712 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348715 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348717 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348720 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348723 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348726 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348729 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348730 */   // GIR_Coverage, 58886,
     /* 2348730 */   GIR_EraseRootFromParent_Done,
     /* 2348731 */ // Label 32579: @2348731
     /* 2348731 */ GIM_Try, /*On fail goto*//*Label 32580*/ GIMT_Encode4(2348788), // Rule ID 58887 //
     /* 2348736 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HasVInstructionsI64_HwMode1),
     /* 2348739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2348742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348750 */   // (uint_to_fp:{ *:[nxv8f32] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348750 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2348753 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348757 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348762 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348764 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E32),
     /* 2348767 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348769 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348772 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348774 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348777 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348780 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348786 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348787 */   // GIR_Coverage, 58887,
     /* 2348787 */   GIR_EraseRootFromParent_Done,
     /* 2348788 */ // Label 32580: @2348788
     /* 2348788 */ GIM_Reject,
     /* 2348789 */ // Label 32492: @2348789
     /* 2348789 */ GIM_Try, /*On fail goto*//*Label 32581*/ GIMT_Encode4(2348846), // Rule ID 58518 //
     /* 2348794 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode0),
     /* 2348797 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2348800 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348804 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348808 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348808 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348811 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348815 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348820 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348822 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2348825 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348827 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348830 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348832 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348835 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348838 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348841 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348844 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348845 */   // GIR_Coverage, 58518,
     /* 2348845 */   GIR_EraseRootFromParent_Done,
     /* 2348846 */ // Label 32581: @2348846
     /* 2348846 */ GIM_Try, /*On fail goto*//*Label 32582*/ GIMT_Encode4(2348903), // Rule ID 58519 //
     /* 2348851 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HasVInstructionsI64_HwMode1),
     /* 2348854 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2348857 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348861 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348865 */   // (uint_to_fp:{ *:[nxv8f64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8i64] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348865 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348868 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348872 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348877 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348879 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E64),
     /* 2348882 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348884 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348887 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348889 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2348892 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348895 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2348898 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348901 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348902 */   // GIR_Coverage, 58519,
     /* 2348902 */   GIR_EraseRootFromParent_Done,
     /* 2348903 */ // Label 32582: @2348903
     /* 2348903 */ GIM_Try, /*On fail goto*//*Label 32583*/ GIMT_Encode4(2348957), // Rule ID 58702 //
     /* 2348908 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode0),
     /* 2348911 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348922 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2348922 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348925 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348929 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348934 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348936 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2348939 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348941 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348944 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2348946 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2348949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2348952 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2348955 */   GIR_RootConstrainSelectedInstOperands,
     /* 2348956 */   // GIR_Coverage, 58702,
     /* 2348956 */   GIR_EraseRootFromParent_Done,
     /* 2348957 */ // Label 32583: @2348957
     /* 2348957 */ GIM_Try, /*On fail goto*//*Label 32584*/ GIMT_Encode4(2349011), // Rule ID 58703 //
     /* 2348962 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF64_HwMode1),
     /* 2348965 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2348968 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2348972 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2348976 */   // (uint_to_fp:{ *:[nxv8f64] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E32:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2348976 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2348979 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2348983 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2348988 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2348990 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E32),
     /* 2348993 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2348995 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2348998 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349000 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349003 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349006 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349009 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349010 */   // GIR_Coverage, 58703,
     /* 2349010 */   GIR_EraseRootFromParent_Done,
     /* 2349011 */ // Label 32584: @2349011
     /* 2349011 */ GIM_Reject,
     /* 2349012 */ // Label 32493: @2349012
     /* 2349012 */ GIM_Try, /*On fail goto*//*Label 32585*/ GIMT_Encode4(2349069), // Rule ID 58490 //
     /* 2349017 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2349020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2349023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349031 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349031 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349034 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349038 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349043 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2349048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349050 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349053 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2349058 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349061 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349064 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349067 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349068 */   // GIR_Coverage, 58490,
     /* 2349068 */   GIR_EraseRootFromParent_Done,
     /* 2349069 */ // Label 32585: @2349069
     /* 2349069 */ GIM_Try, /*On fail goto*//*Label 32586*/ GIMT_Encode4(2349126), // Rule ID 58491 //
     /* 2349074 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2349077 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2349080 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349084 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349088 */   // (uint_to_fp:{ *:[nxv16f16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349088 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349091 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349095 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349100 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349102 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M4_E16),
     /* 2349105 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349107 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349110 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349112 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2349115 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349118 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349121 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349124 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349125 */   // GIR_Coverage, 58491,
     /* 2349125 */   GIR_EraseRootFromParent_Done,
     /* 2349126 */ // Label 32586: @2349126
     /* 2349126 */ GIM_Try, /*On fail goto*//*Label 32587*/ GIMT_Encode4(2349180), // Rule ID 58662 //
     /* 2349131 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2349134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2349137 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349141 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349145 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349145 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349148 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349152 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349157 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2349162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349164 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349167 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349169 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349172 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349175 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349178 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349179 */   // GIR_Coverage, 58662,
     /* 2349179 */   GIR_EraseRootFromParent_Done,
     /* 2349180 */ // Label 32587: @2349180
     /* 2349180 */ GIM_Try, /*On fail goto*//*Label 32588*/ GIMT_Encode4(2349234), // Rule ID 58663 //
     /* 2349185 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2349188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2349191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2349199 */   // (uint_to_fp:{ *:[nxv16f16] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M2_E8:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349199 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349202 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349206 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349211 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349213 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M2_E8),
     /* 2349216 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349218 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349221 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349223 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349226 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349229 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349232 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349233 */   // GIR_Coverage, 58663,
     /* 2349233 */   GIR_EraseRootFromParent_Done,
     /* 2349234 */ // Label 32588: @2349234
     /* 2349234 */ GIM_Try, /*On fail goto*//*Label 32589*/ GIMT_Encode4(2349291), // Rule ID 58870 //
     /* 2349239 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2349242 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2349245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349253 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349253 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349256 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349260 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349265 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349267 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2349270 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349272 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349275 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349277 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2349280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349283 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349286 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349289 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349290 */   // GIR_Coverage, 58870,
     /* 2349290 */   GIR_EraseRootFromParent_Done,
     /* 2349291 */ // Label 32589: @2349291
     /* 2349291 */ GIM_Try, /*On fail goto*//*Label 32590*/ GIMT_Encode4(2349348), // Rule ID 58871 //
     /* 2349296 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2349299 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2349302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349310 */   // (uint_to_fp:{ *:[nxv16f16] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFNCVT_F_XU_W_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349310 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2349313 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349317 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349322 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349324 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNCVT_F_XU_W_M4_E16),
     /* 2349327 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349329 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349332 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349334 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2349337 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349340 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349343 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349346 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349347 */   // GIR_Coverage, 58871,
     /* 2349347 */   GIR_EraseRootFromParent_Done,
     /* 2349348 */ // Label 32590: @2349348
     /* 2349348 */ GIM_Reject,
     /* 2349349 */ // Label 32494: @2349349
     /* 2349349 */ GIM_Try, /*On fail goto*//*Label 32591*/ GIMT_Encode4(2349406), // Rule ID 58506 //
     /* 2349354 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2349357 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2349360 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349364 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349368 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349368 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2349371 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349375 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349380 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349382 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2349385 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349387 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349390 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349392 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2349395 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349398 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349401 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349404 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349405 */   // GIR_Coverage, 58506,
     /* 2349405 */   GIR_EraseRootFromParent_Done,
     /* 2349406 */ // Label 32591: @2349406
     /* 2349406 */ GIM_Try, /*On fail goto*//*Label 32592*/ GIMT_Encode4(2349463), // Rule ID 58507 //
     /* 2349411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2349414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2349417 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349421 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349425 */   // (uint_to_fp:{ *:[nxv16f32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16i32] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349425 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2349428 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349432 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349437 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E32),
     /* 2349442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349444 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349447 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349449 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2349452 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349455 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2349458 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349461 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349462 */   // GIR_Coverage, 58507,
     /* 2349462 */   GIR_EraseRootFromParent_Done,
     /* 2349463 */ // Label 32592: @2349463
     /* 2349463 */ GIM_Try, /*On fail goto*//*Label 32593*/ GIMT_Encode4(2349517), // Rule ID 58686 //
     /* 2349468 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode0),
     /* 2349471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2349474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349482 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349482 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2349485 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349489 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349494 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349496 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2349499 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349501 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349504 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349506 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349509 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349512 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349515 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349516 */   // GIR_Coverage, 58686,
     /* 2349516 */   GIR_EraseRootFromParent_Done,
     /* 2349517 */ // Label 32593: @2349517
     /* 2349517 */ GIM_Try, /*On fail goto*//*Label 32594*/ GIMT_Encode4(2349571), // Rule ID 58687 //
     /* 2349522 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsAnyF_HwMode1),
     /* 2349525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2349528 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349532 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349536 */   // (uint_to_fp:{ *:[nxv16f32] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E16:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349536 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2349539 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349543 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349548 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349550 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E16),
     /* 2349553 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349555 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349558 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349560 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349563 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349566 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349569 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349570 */   // GIR_Coverage, 58687,
     /* 2349570 */   GIR_EraseRootFromParent_Done,
     /* 2349571 */ // Label 32594: @2349571
     /* 2349571 */ GIM_Reject,
     /* 2349572 */ // Label 32495: @2349572
     /* 2349572 */ GIM_Try, /*On fail goto*//*Label 32595*/ GIMT_Encode4(2349629), // Rule ID 58494 //
     /* 2349577 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2349580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2349583 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349587 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349591 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349591 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349594 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349598 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349603 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349605 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2349608 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349610 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349613 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349615 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2349618 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349621 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349624 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349627 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349628 */   // GIR_Coverage, 58494,
     /* 2349628 */   GIR_EraseRootFromParent_Done,
     /* 2349629 */ // Label 32595: @2349629
     /* 2349629 */ GIM_Try, /*On fail goto*//*Label 32596*/ GIMT_Encode4(2349686), // Rule ID 58495 //
     /* 2349634 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2349637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2349640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349648 */   // (uint_to_fp:{ *:[nxv32f16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVFCVT_F_XU_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32i16] }:$rs1, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349648 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349651 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349655 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349660 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349662 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFCVT_F_XU_V_M8_E16),
     /* 2349665 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349667 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349670 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349672 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2349675 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349678 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2349681 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349684 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349685 */   // GIR_Coverage, 58495,
     /* 2349685 */   GIR_EraseRootFromParent_Done,
     /* 2349686 */ // Label 32596: @2349686
     /* 2349686 */ GIM_Try, /*On fail goto*//*Label 32597*/ GIMT_Encode4(2349740), // Rule ID 58666 //
     /* 2349691 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode0),
     /* 2349694 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2349697 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349701 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349705 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2349705 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349708 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349712 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349717 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349719 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2349722 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349724 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349727 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349729 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349732 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349735 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349738 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349739 */   // GIR_Coverage, 58666,
     /* 2349739 */   GIR_EraseRootFromParent_Done,
     /* 2349740 */ // Label 32597: @2349740
     /* 2349740 */ GIM_Try, /*On fail goto*//*Label 32598*/ GIMT_Encode4(2349794), // Rule ID 58667 //
     /* 2349745 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HasVInstructionsF16_HwMode1),
     /* 2349748 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2349751 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2349755 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2349759 */   // (uint_to_fp:{ *:[nxv32f16] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVFWCVT_F_XU_V_M4_E8:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2349759 */   GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2349762 */   GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2349766 */   GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2349771 */   GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2349773 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFWCVT_F_XU_V_M4_E8),
     /* 2349776 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349778 */   GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2349781 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349783 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2349786 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349789 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2349792 */   GIR_RootConstrainSelectedInstOperands,
     /* 2349793 */   // GIR_Coverage, 58667,
     /* 2349793 */   GIR_EraseRootFromParent_Done,
     /* 2349794 */ // Label 32598: @2349794
     /* 2349794 */ GIM_Reject,
     /* 2349795 */ // Label 32496: @2349795
     /* 2349795 */ GIM_Reject,
     /* 2349796 */ // Label 71: @2349796
     /* 2349796 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32617*/ GIMT_Encode4(2351766),
     /* 2349807 */ /*GILLT_s16*//*Label 32599*/ GIMT_Encode4(2349927),
     /* 2349811 */ /*GILLT_s32*//*Label 32600*/ GIMT_Encode4(2349991),
     /* 2349815 */ /*GILLT_s64*//*Label 32601*/ GIMT_Encode4(2350055), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2349827 */ /*GILLT_nxv1s16*//*Label 32602*/ GIMT_Encode4(2350146),
     /* 2349831 */ /*GILLT_nxv1s32*//*Label 32603*/ GIMT_Encode4(2350254),
     /* 2349835 */ /*GILLT_nxv1s64*//*Label 32604*/ GIMT_Encode4(2350362), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2349847 */ /*GILLT_nxv2s16*//*Label 32605*/ GIMT_Encode4(2350470),
     /* 2349851 */ /*GILLT_nxv2s32*//*Label 32606*/ GIMT_Encode4(2350578),
     /* 2349855 */ /*GILLT_nxv2s64*//*Label 32607*/ GIMT_Encode4(2350686), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2349867 */ /*GILLT_nxv4s16*//*Label 32608*/ GIMT_Encode4(2350794),
     /* 2349871 */ /*GILLT_nxv4s32*//*Label 32609*/ GIMT_Encode4(2350902),
     /* 2349875 */ /*GILLT_nxv4s64*//*Label 32610*/ GIMT_Encode4(2351010), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2349887 */ /*GILLT_nxv8s16*//*Label 32611*/ GIMT_Encode4(2351118),
     /* 2349891 */ /*GILLT_nxv8s32*//*Label 32612*/ GIMT_Encode4(2351226),
     /* 2349895 */ /*GILLT_nxv8s64*//*Label 32613*/ GIMT_Encode4(2351334), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2349907 */ /*GILLT_nxv16s16*//*Label 32614*/ GIMT_Encode4(2351442),
     /* 2349911 */ /*GILLT_nxv16s32*//*Label 32615*/ GIMT_Encode4(2351550), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2349923 */ /*GILLT_nxv32s16*//*Label 32616*/ GIMT_Encode4(2351658),
     /* 2349927 */ // Label 32599: @2349927
     /* 2349927 */ GIM_Try, /*On fail goto*//*Label 32618*/ GIMT_Encode4(2349990),
     /* 2349932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2349935 */   GIM_Try, /*On fail goto*//*Label 32619*/ GIMT_Encode4(2349962), // Rule ID 1989 //
     /* 2349940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2349943 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2349947 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2349951 */     // (fabs:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSGNJX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2349951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H),
     /* 2349954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349961 */     // GIR_Coverage, 1989,
     /* 2349961 */     GIR_EraseRootFromParent_Done,
     /* 2349962 */   // Label 32619: @2349962
     /* 2349962 */   GIM_Try, /*On fail goto*//*Label 32620*/ GIMT_Encode4(2349989), // Rule ID 2022 //
     /* 2349967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2349970 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2349974 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2349978 */     // (fabs:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSGNJX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2349978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_H_INX),
     /* 2349981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2349983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2349987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2349988 */     // GIR_Coverage, 2022,
     /* 2349988 */     GIR_EraseRootFromParent_Done,
     /* 2349989 */   // Label 32620: @2349989
     /* 2349989 */   GIM_Reject,
     /* 2349990 */ // Label 32618: @2349990
     /* 2349990 */ GIM_Reject,
     /* 2349991 */ // Label 32600: @2349991
     /* 2349991 */ GIM_Try, /*On fail goto*//*Label 32621*/ GIMT_Encode4(2350054),
     /* 2349996 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2349999 */   GIM_Try, /*On fail goto*//*Label 32622*/ GIMT_Encode4(2350026), // Rule ID 1280 //
     /* 2350004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2350007 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2350011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2350015 */     // (fabs:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSGNJX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2350015 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S),
     /* 2350018 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350020 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350022 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350025 */     // GIR_Coverage, 1280,
     /* 2350025 */     GIR_EraseRootFromParent_Done,
     /* 2350026 */   // Label 32622: @2350026
     /* 2350026 */   GIM_Try, /*On fail goto*//*Label 32623*/ GIMT_Encode4(2350053), // Rule ID 1288 //
     /* 2350031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2350034 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2350038 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2350042 */     // (fabs:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSGNJX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2350042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_S_INX),
     /* 2350045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350047 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350052 */     // GIR_Coverage, 1288,
     /* 2350052 */     GIR_EraseRootFromParent_Done,
     /* 2350053 */   // Label 32623: @2350053
     /* 2350053 */   GIM_Reject,
     /* 2350054 */ // Label 32621: @2350054
     /* 2350054 */ GIM_Reject,
     /* 2350055 */ // Label 32601: @2350055
     /* 2350055 */ GIM_Try, /*On fail goto*//*Label 32624*/ GIMT_Encode4(2350145),
     /* 2350060 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2350063 */   GIM_Try, /*On fail goto*//*Label 32625*/ GIMT_Encode4(2350090), // Rule ID 1623 //
     /* 2350068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2350071 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2350075 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2350079 */     // (fabs:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSGNJX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2350079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D),
     /* 2350082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350089 */     // GIR_Coverage, 1623,
     /* 2350089 */     GIR_EraseRootFromParent_Done,
     /* 2350090 */   // Label 32625: @2350090
     /* 2350090 */   GIM_Try, /*On fail goto*//*Label 32626*/ GIMT_Encode4(2350117), // Rule ID 1656 //
     /* 2350095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2350098 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350102 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2350106 */     // (fabs:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2350106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_INX),
     /* 2350109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350111 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350116 */     // GIR_Coverage, 1656,
     /* 2350116 */     GIR_EraseRootFromParent_Done,
     /* 2350117 */   // Label 32626: @2350117
     /* 2350117 */   GIM_Try, /*On fail goto*//*Label 32627*/ GIMT_Encode4(2350144), // Rule ID 1678 //
     /* 2350122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2350125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2350129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2350133 */     // (fabs:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSGNJX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2350133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJX_D_IN32X),
     /* 2350136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350140 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2350142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350143 */     // GIR_Coverage, 1678,
     /* 2350143 */     GIR_EraseRootFromParent_Done,
     /* 2350144 */   // Label 32627: @2350144
     /* 2350144 */   GIM_Reject,
     /* 2350145 */ // Label 32624: @2350145
     /* 2350145 */ GIM_Reject,
     /* 2350146 */ // Label 32602: @2350146
     /* 2350146 */ GIM_Try, /*On fail goto*//*Label 32628*/ GIMT_Encode4(2350253),
     /* 2350151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2350154 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350158 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350162 */   GIM_Try, /*On fail goto*//*Label 32629*/ GIMT_Encode4(2350207), // Rule ID 56238 //
     /* 2350167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350170 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2350187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350206 */     // GIR_Coverage, 56238,
     /* 2350206 */     GIR_EraseRootFromParent_Done,
     /* 2350207 */   // Label 32629: @2350207
     /* 2350207 */   GIM_Try, /*On fail goto*//*Label 32630*/ GIMT_Encode4(2350252), // Rule ID 56239 //
     /* 2350212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350215 */     // (fabs:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs, VR:{ *:[nxv1f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2350218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF4_E16),
     /* 2350232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350239 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350251 */     // GIR_Coverage, 56239,
     /* 2350251 */     GIR_EraseRootFromParent_Done,
     /* 2350252 */   // Label 32630: @2350252
     /* 2350252 */   GIM_Reject,
     /* 2350253 */ // Label 32628: @2350253
     /* 2350253 */ GIM_Reject,
     /* 2350254 */ // Label 32603: @2350254
     /* 2350254 */ GIM_Try, /*On fail goto*//*Label 32631*/ GIMT_Encode4(2350361),
     /* 2350259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2350262 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350266 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350270 */   GIM_Try, /*On fail goto*//*Label 32632*/ GIMT_Encode4(2350315), // Rule ID 56278 //
     /* 2350275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2350278 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2350295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350314 */     // GIR_Coverage, 56278,
     /* 2350314 */     GIR_EraseRootFromParent_Done,
     /* 2350315 */   // Label 32632: @2350315
     /* 2350315 */   GIM_Try, /*On fail goto*//*Label 32633*/ GIMT_Encode4(2350360), // Rule ID 56279 //
     /* 2350320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2350323 */     // (fabs:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs, VR:{ *:[nxv1f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350323 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2350326 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350330 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350335 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350337 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E32),
     /* 2350340 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350342 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350347 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350359 */     // GIR_Coverage, 56279,
     /* 2350359 */     GIR_EraseRootFromParent_Done,
     /* 2350360 */   // Label 32633: @2350360
     /* 2350360 */   GIM_Reject,
     /* 2350361 */ // Label 32631: @2350361
     /* 2350361 */ GIM_Reject,
     /* 2350362 */ // Label 32604: @2350362
     /* 2350362 */ GIM_Try, /*On fail goto*//*Label 32634*/ GIMT_Encode4(2350469),
     /* 2350367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2350370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350378 */   GIM_Try, /*On fail goto*//*Label 32635*/ GIMT_Encode4(2350423), // Rule ID 56338 //
     /* 2350383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2350386 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2350403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350422 */     // GIR_Coverage, 56338,
     /* 2350422 */     GIR_EraseRootFromParent_Done,
     /* 2350423 */   // Label 32635: @2350423
     /* 2350423 */   GIM_Try, /*On fail goto*//*Label 32636*/ GIMT_Encode4(2350468), // Rule ID 56339 //
     /* 2350428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2350431 */     // (fabs:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs, VR:{ *:[nxv1f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350431 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2350434 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350438 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350443 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350445 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E64),
     /* 2350448 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350450 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350467 */     // GIR_Coverage, 56339,
     /* 2350467 */     GIR_EraseRootFromParent_Done,
     /* 2350468 */   // Label 32636: @2350468
     /* 2350468 */   GIM_Reject,
     /* 2350469 */ // Label 32634: @2350469
     /* 2350469 */ GIM_Reject,
     /* 2350470 */ // Label 32605: @2350470
     /* 2350470 */ GIM_Try, /*On fail goto*//*Label 32637*/ GIMT_Encode4(2350577),
     /* 2350475 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2350478 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350482 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350486 */   GIM_Try, /*On fail goto*//*Label 32638*/ GIMT_Encode4(2350531), // Rule ID 56258 //
     /* 2350491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350494 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2350511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350530 */     // GIR_Coverage, 56258,
     /* 2350530 */     GIR_EraseRootFromParent_Done,
     /* 2350531 */   // Label 32638: @2350531
     /* 2350531 */   GIM_Try, /*On fail goto*//*Label 32639*/ GIMT_Encode4(2350576), // Rule ID 56259 //
     /* 2350536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350539 */     // (fabs:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs)  =>  (PseudoVFSGNJX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs, VR:{ *:[nxv2f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2350542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_MF2_E16),
     /* 2350556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350575 */     // GIR_Coverage, 56259,
     /* 2350575 */     GIR_EraseRootFromParent_Done,
     /* 2350576 */   // Label 32639: @2350576
     /* 2350576 */   GIM_Reject,
     /* 2350577 */ // Label 32637: @2350577
     /* 2350577 */ GIM_Reject,
     /* 2350578 */ // Label 32606: @2350578
     /* 2350578 */ GIM_Try, /*On fail goto*//*Label 32640*/ GIMT_Encode4(2350685),
     /* 2350583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2350586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350594 */   GIM_Try, /*On fail goto*//*Label 32641*/ GIMT_Encode4(2350639), // Rule ID 56318 //
     /* 2350599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2350602 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2350619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350638 */     // GIR_Coverage, 56318,
     /* 2350638 */     GIR_EraseRootFromParent_Done,
     /* 2350639 */   // Label 32641: @2350639
     /* 2350639 */   GIM_Try, /*On fail goto*//*Label 32642*/ GIMT_Encode4(2350684), // Rule ID 56319 //
     /* 2350644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2350647 */     // (fabs:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs, VR:{ *:[nxv2f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350647 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2350650 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350654 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350659 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350661 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E32),
     /* 2350664 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350666 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350669 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350671 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350683 */     // GIR_Coverage, 56319,
     /* 2350683 */     GIR_EraseRootFromParent_Done,
     /* 2350684 */   // Label 32642: @2350684
     /* 2350684 */   GIM_Reject,
     /* 2350685 */ // Label 32640: @2350685
     /* 2350685 */ GIM_Reject,
     /* 2350686 */ // Label 32607: @2350686
     /* 2350686 */ GIM_Try, /*On fail goto*//*Label 32643*/ GIMT_Encode4(2350793),
     /* 2350691 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2350694 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350698 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350702 */   GIM_Try, /*On fail goto*//*Label 32644*/ GIMT_Encode4(2350747), // Rule ID 56478 //
     /* 2350707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2350710 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2350727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350746 */     // GIR_Coverage, 56478,
     /* 2350746 */     GIR_EraseRootFromParent_Done,
     /* 2350747 */   // Label 32644: @2350747
     /* 2350747 */   GIM_Try, /*On fail goto*//*Label 32645*/ GIMT_Encode4(2350792), // Rule ID 56479 //
     /* 2350752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2350755 */     // (fabs:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs, VRM2:{ *:[nxv2f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2350758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E64),
     /* 2350772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350779 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2350787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350791 */     // GIR_Coverage, 56479,
     /* 2350791 */     GIR_EraseRootFromParent_Done,
     /* 2350792 */   // Label 32645: @2350792
     /* 2350792 */   GIM_Reject,
     /* 2350793 */ // Label 32643: @2350793
     /* 2350793 */ GIM_Reject,
     /* 2350794 */ // Label 32608: @2350794
     /* 2350794 */ GIM_Try, /*On fail goto*//*Label 32646*/ GIMT_Encode4(2350901),
     /* 2350799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2350802 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350806 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2350810 */   GIM_Try, /*On fail goto*//*Label 32647*/ GIMT_Encode4(2350855), // Rule ID 56298 //
     /* 2350815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2350818 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350818 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2350821 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350825 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350830 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350832 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2350835 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350837 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350854 */     // GIR_Coverage, 56298,
     /* 2350854 */     GIR_EraseRootFromParent_Done,
     /* 2350855 */   // Label 32647: @2350855
     /* 2350855 */   GIM_Try, /*On fail goto*//*Label 32648*/ GIMT_Encode4(2350900), // Rule ID 56299 //
     /* 2350860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2350863 */     // (fabs:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs, VR:{ *:[nxv4f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350863 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2350866 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350870 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350875 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M1_E16),
     /* 2350880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350882 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350885 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2350895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350899 */     // GIR_Coverage, 56299,
     /* 2350899 */     GIR_EraseRootFromParent_Done,
     /* 2350900 */   // Label 32648: @2350900
     /* 2350900 */   GIM_Reject,
     /* 2350901 */ // Label 32646: @2350901
     /* 2350901 */ GIM_Reject,
     /* 2350902 */ // Label 32609: @2350902
     /* 2350902 */ GIM_Try, /*On fail goto*//*Label 32649*/ GIMT_Encode4(2351009),
     /* 2350907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2350910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2350918 */   GIM_Try, /*On fail goto*//*Label 32650*/ GIMT_Encode4(2350963), // Rule ID 56418 //
     /* 2350923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2350926 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2350926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2350929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2350943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2350955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2350958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2350961 */     GIR_RootConstrainSelectedInstOperands,
     /* 2350962 */     // GIR_Coverage, 56418,
     /* 2350962 */     GIR_EraseRootFromParent_Done,
     /* 2350963 */   // Label 32650: @2350963
     /* 2350963 */   GIM_Try, /*On fail goto*//*Label 32651*/ GIMT_Encode4(2351008), // Rule ID 56419 //
     /* 2350968 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2350971 */     // (fabs:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs, VRM2:{ *:[nxv4f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2350971 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2350974 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2350978 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2350983 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2350985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E32),
     /* 2350988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2350990 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2350993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2350997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351000 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351003 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351007 */     // GIR_Coverage, 56419,
     /* 2351007 */     GIR_EraseRootFromParent_Done,
     /* 2351008 */   // Label 32651: @2351008
     /* 2351008 */   GIM_Reject,
     /* 2351009 */ // Label 32649: @2351009
     /* 2351009 */ GIM_Reject,
     /* 2351010 */ // Label 32610: @2351010
     /* 2351010 */ GIM_Try, /*On fail goto*//*Label 32652*/ GIMT_Encode4(2351117),
     /* 2351015 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2351018 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351022 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351026 */   GIM_Try, /*On fail goto*//*Label 32653*/ GIMT_Encode4(2351071), // Rule ID 56498 //
     /* 2351031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2351034 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2351037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2351051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351070 */     // GIR_Coverage, 56498,
     /* 2351070 */     GIR_EraseRootFromParent_Done,
     /* 2351071 */   // Label 32653: @2351071
     /* 2351071 */   GIM_Try, /*On fail goto*//*Label 32654*/ GIMT_Encode4(2351116), // Rule ID 56499 //
     /* 2351076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2351079 */     // (fabs:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs, VRM4:{ *:[nxv4f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2351082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E64),
     /* 2351096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351115 */     // GIR_Coverage, 56499,
     /* 2351115 */     GIR_EraseRootFromParent_Done,
     /* 2351116 */   // Label 32654: @2351116
     /* 2351116 */   GIM_Reject,
     /* 2351117 */ // Label 32652: @2351117
     /* 2351117 */ GIM_Reject,
     /* 2351118 */ // Label 32611: @2351118
     /* 2351118 */ GIM_Try, /*On fail goto*//*Label 32655*/ GIMT_Encode4(2351225),
     /* 2351123 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2351126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2351134 */   GIM_Try, /*On fail goto*//*Label 32656*/ GIMT_Encode4(2351179), // Rule ID 56358 //
     /* 2351139 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351142 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351142 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351145 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351149 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351154 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351156 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2351159 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351161 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351164 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351174 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351177 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351178 */     // GIR_Coverage, 56358,
     /* 2351178 */     GIR_EraseRootFromParent_Done,
     /* 2351179 */   // Label 32656: @2351179
     /* 2351179 */   GIM_Try, /*On fail goto*//*Label 32657*/ GIMT_Encode4(2351224), // Rule ID 56359 //
     /* 2351184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351187 */     // (fabs:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs, VRM2:{ *:[nxv8f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2351190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M2_E16),
     /* 2351204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351223 */     // GIR_Coverage, 56359,
     /* 2351223 */     GIR_EraseRootFromParent_Done,
     /* 2351224 */   // Label 32657: @2351224
     /* 2351224 */   GIM_Reject,
     /* 2351225 */ // Label 32655: @2351225
     /* 2351225 */ GIM_Reject,
     /* 2351226 */ // Label 32612: @2351226
     /* 2351226 */ GIM_Try, /*On fail goto*//*Label 32658*/ GIMT_Encode4(2351333),
     /* 2351231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2351234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351242 */   GIM_Try, /*On fail goto*//*Label 32659*/ GIMT_Encode4(2351287), // Rule ID 56438 //
     /* 2351247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2351250 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2351267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351274 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351286 */     // GIR_Coverage, 56438,
     /* 2351286 */     GIR_EraseRootFromParent_Done,
     /* 2351287 */   // Label 32659: @2351287
     /* 2351287 */   GIM_Try, /*On fail goto*//*Label 32660*/ GIMT_Encode4(2351332), // Rule ID 56439 //
     /* 2351292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2351295 */     // (fabs:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs, VRM4:{ *:[nxv8f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2351298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E32),
     /* 2351312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351331 */     // GIR_Coverage, 56439,
     /* 2351331 */     GIR_EraseRootFromParent_Done,
     /* 2351332 */   // Label 32660: @2351332
     /* 2351332 */   GIM_Reject,
     /* 2351333 */ // Label 32658: @2351333
     /* 2351333 */ GIM_Reject,
     /* 2351334 */ // Label 32613: @2351334
     /* 2351334 */ GIM_Try, /*On fail goto*//*Label 32661*/ GIMT_Encode4(2351441),
     /* 2351339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2351342 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351346 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351350 */   GIM_Try, /*On fail goto*//*Label 32662*/ GIMT_Encode4(2351395), // Rule ID 56518 //
     /* 2351355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2351358 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351358 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351361 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351365 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351370 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2351375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351377 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351380 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351394 */     // GIR_Coverage, 56518,
     /* 2351394 */     GIR_EraseRootFromParent_Done,
     /* 2351395 */   // Label 32662: @2351395
     /* 2351395 */   GIM_Try, /*On fail goto*//*Label 32663*/ GIMT_Encode4(2351440), // Rule ID 56519 //
     /* 2351400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2351403 */     // (fabs:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs, VRM8:{ *:[nxv8f64] }:$rs, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2351406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E64),
     /* 2351420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2351435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351438 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351439 */     // GIR_Coverage, 56519,
     /* 2351439 */     GIR_EraseRootFromParent_Done,
     /* 2351440 */   // Label 32663: @2351440
     /* 2351440 */   GIM_Reject,
     /* 2351441 */ // Label 32661: @2351441
     /* 2351441 */ GIM_Reject,
     /* 2351442 */ // Label 32614: @2351442
     /* 2351442 */ GIM_Try, /*On fail goto*//*Label 32664*/ GIMT_Encode4(2351549),
     /* 2351447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2351450 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351454 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2351458 */   GIM_Try, /*On fail goto*//*Label 32665*/ GIMT_Encode4(2351503), // Rule ID 56378 //
     /* 2351463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351466 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2351483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351502 */     // GIR_Coverage, 56378,
     /* 2351502 */     GIR_EraseRootFromParent_Done,
     /* 2351503 */   // Label 32665: @2351503
     /* 2351503 */   GIM_Try, /*On fail goto*//*Label 32666*/ GIMT_Encode4(2351548), // Rule ID 56379 //
     /* 2351508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351511 */     // (fabs:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs, VRM4:{ *:[nxv16f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351511 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2351514 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351518 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351523 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351525 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M4_E16),
     /* 2351528 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351530 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351547 */     // GIR_Coverage, 56379,
     /* 2351547 */     GIR_EraseRootFromParent_Done,
     /* 2351548 */   // Label 32666: @2351548
     /* 2351548 */   GIM_Reject,
     /* 2351549 */ // Label 32664: @2351549
     /* 2351549 */ GIM_Reject,
     /* 2351550 */ // Label 32615: @2351550
     /* 2351550 */ GIM_Try, /*On fail goto*//*Label 32667*/ GIMT_Encode4(2351657),
     /* 2351555 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2351558 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351562 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351566 */   GIM_Try, /*On fail goto*//*Label 32668*/ GIMT_Encode4(2351611), // Rule ID 56458 //
     /* 2351571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2351574 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2351577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2351591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351610 */     // GIR_Coverage, 56458,
     /* 2351610 */     GIR_EraseRootFromParent_Done,
     /* 2351611 */   // Label 32668: @2351611
     /* 2351611 */   GIM_Try, /*On fail goto*//*Label 32669*/ GIMT_Encode4(2351656), // Rule ID 56459 //
     /* 2351616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2351619 */     // (fabs:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs, VRM8:{ *:[nxv16f32] }:$rs, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2351622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E32),
     /* 2351636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2351651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351654 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351655 */     // GIR_Coverage, 56459,
     /* 2351655 */     GIR_EraseRootFromParent_Done,
     /* 2351656 */   // Label 32669: @2351656
     /* 2351656 */   GIM_Reject,
     /* 2351657 */ // Label 32667: @2351657
     /* 2351657 */ GIM_Reject,
     /* 2351658 */ // Label 32616: @2351658
     /* 2351658 */ GIM_Try, /*On fail goto*//*Label 32670*/ GIMT_Encode4(2351765),
     /* 2351663 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2351666 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351670 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2351674 */   GIM_Try, /*On fail goto*//*Label 32671*/ GIMT_Encode4(2351719), // Rule ID 56398 //
     /* 2351679 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2351682 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2351682 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2351685 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351689 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351694 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2351699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351701 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351718 */     // GIR_Coverage, 56398,
     /* 2351718 */     GIR_EraseRootFromParent_Done,
     /* 2351719 */   // Label 32671: @2351719
     /* 2351719 */   GIM_Try, /*On fail goto*//*Label 32672*/ GIMT_Encode4(2351764), // Rule ID 56399 //
     /* 2351724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2351727 */     // (fabs:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs)  =>  (PseudoVFSGNJX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs, VRM8:{ *:[nxv32f16] }:$rs, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2351727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2351730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2351734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2351739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2351741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJX_VV_M8_E16),
     /* 2351744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2351749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2351753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2351756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2351759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2351762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351763 */     // GIR_Coverage, 56399,
     /* 2351763 */     GIR_EraseRootFromParent_Done,
     /* 2351764 */   // Label 32672: @2351764
     /* 2351764 */   GIM_Reject,
     /* 2351765 */ // Label 32670: @2351765
     /* 2351765 */ GIM_Reject,
     /* 2351766 */ // Label 32617: @2351766
     /* 2351766 */ GIM_Reject,
     /* 2351767 */ // Label 72: @2351767
     /* 2351767 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32691*/ GIMT_Encode4(2357828),
     /* 2351778 */ /*GILLT_s16*//*Label 32673*/ GIMT_Encode4(2351898),
     /* 2351782 */ /*GILLT_s32*//*Label 32674*/ GIMT_Encode4(2352574),
     /* 2351786 */ /*GILLT_s64*//*Label 32675*/ GIMT_Encode4(2353250), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2351798 */ /*GILLT_nxv1s16*//*Label 32676*/ GIMT_Encode4(2354063),
     /* 2351802 */ /*GILLT_nxv1s32*//*Label 32677*/ GIMT_Encode4(2354314),
     /* 2351806 */ /*GILLT_nxv1s64*//*Label 32678*/ GIMT_Encode4(2354565), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2351818 */ /*GILLT_nxv2s16*//*Label 32679*/ GIMT_Encode4(2354816),
     /* 2351822 */ /*GILLT_nxv2s32*//*Label 32680*/ GIMT_Encode4(2355067),
     /* 2351826 */ /*GILLT_nxv2s64*//*Label 32681*/ GIMT_Encode4(2355318), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2351838 */ /*GILLT_nxv4s16*//*Label 32682*/ GIMT_Encode4(2355569),
     /* 2351842 */ /*GILLT_nxv4s32*//*Label 32683*/ GIMT_Encode4(2355820),
     /* 2351846 */ /*GILLT_nxv4s64*//*Label 32684*/ GIMT_Encode4(2356071), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2351858 */ /*GILLT_nxv8s16*//*Label 32685*/ GIMT_Encode4(2356322),
     /* 2351862 */ /*GILLT_nxv8s32*//*Label 32686*/ GIMT_Encode4(2356573),
     /* 2351866 */ /*GILLT_nxv8s64*//*Label 32687*/ GIMT_Encode4(2356824), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2351878 */ /*GILLT_nxv16s16*//*Label 32688*/ GIMT_Encode4(2357075),
     /* 2351882 */ /*GILLT_nxv16s32*//*Label 32689*/ GIMT_Encode4(2357326), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2351894 */ /*GILLT_nxv32s16*//*Label 32690*/ GIMT_Encode4(2357577),
     /* 2351898 */ // Label 32673: @2351898
     /* 2351898 */ GIM_Try, /*On fail goto*//*Label 32692*/ GIMT_Encode4(2352573),
     /* 2351903 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2351906 */   GIM_Try, /*On fail goto*//*Label 32693*/ GIMT_Encode4(2351957), // Rule ID 1994 //
     /* 2351911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2351914 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2351917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2351921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2351925 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2351929 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2351933 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2351937 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2351942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2351944 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs2))  =>  (FSGNJN_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)
     /* 2351944 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H),
     /* 2351947 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2351949 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2351951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2351955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2351956 */     // GIR_Coverage, 1994,
     /* 2351956 */     GIR_EraseRootFromParent_Done,
     /* 2351957 */   // Label 32693: @2351957
     /* 2351957 */   GIM_Try, /*On fail goto*//*Label 32694*/ GIMT_Encode4(2352008), // Rule ID 2027 //
     /* 2351962 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2351965 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2351968 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351972 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2351980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2351984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2351988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2351993 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2351995 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2))  =>  (FSGNJN_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)
     /* 2351995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_H_INX),
     /* 2351998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352002 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2352006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352007 */     // GIR_Coverage, 2027,
     /* 2352007 */     GIR_EraseRootFromParent_Done,
     /* 2352008 */   // Label 32694: @2352008
     /* 2352008 */   GIM_Try, /*On fail goto*//*Label 32695*/ GIMT_Encode4(2352038), // Rule ID 1992 //
     /* 2352013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2352016 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2352019 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352027 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352031 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2352031 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2352036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352037 */     // GIR_Coverage, 1992,
     /* 2352037 */     GIR_Done,
     /* 2352038 */   // Label 32695: @2352038
     /* 2352038 */   GIM_Try, /*On fail goto*//*Label 32696*/ GIMT_Encode4(2352094), // Rule ID 1995 //
     /* 2352043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2352046 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352061 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2352061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2352068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352073 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352077 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2352085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352092 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352093 */     // GIR_Coverage, 1995,
     /* 2352093 */     GIR_EraseRootFromParent_Done,
     /* 2352094 */   // Label 32696: @2352094
     /* 2352094 */   GIM_Try, /*On fail goto*//*Label 32697*/ GIMT_Encode4(2352150), // Rule ID 1996 //
     /* 2352099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2352102 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352105 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352109 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352113 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352117 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2352117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S),
     /* 2352124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352129 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352133 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2352141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352145 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352148 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352149 */     // GIR_Coverage, 1996,
     /* 2352149 */     GIR_EraseRootFromParent_Done,
     /* 2352150 */   // Label 32697: @2352150
     /* 2352150 */   GIM_Try, /*On fail goto*//*Label 32698*/ GIMT_Encode4(2352180), // Rule ID 2025 //
     /* 2352155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2352158 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2352161 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352165 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352169 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352173 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2352173 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2352178 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352179 */     // GIR_Coverage, 2025,
     /* 2352179 */     GIR_Done,
     /* 2352180 */   // Label 32698: @2352180
     /* 2352180 */   GIM_Try, /*On fail goto*//*Label 32699*/ GIMT_Encode4(2352236), // Rule ID 2028 //
     /* 2352185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2352188 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352195 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352199 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352203 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i64] }))
     /* 2352203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2352210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352215 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352219 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2352227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352235 */     // GIR_Coverage, 2028,
     /* 2352235 */     GIR_EraseRootFromParent_Done,
     /* 2352236 */   // Label 32699: @2352236
     /* 2352236 */   GIM_Try, /*On fail goto*//*Label 32700*/ GIMT_Encode4(2352292), // Rule ID 2029 //
     /* 2352241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2352244 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352247 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352251 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352255 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352259 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_S_INX:{ *:[f16] } ?:{ *:[f32] }:$rs2, 7:{ *:[i32] }))
     /* 2352259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_S_INX),
     /* 2352266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352271 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352275 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352278 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352280 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2352283 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352285 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352291 */     // GIR_Coverage, 2029,
     /* 2352291 */     GIR_EraseRootFromParent_Done,
     /* 2352292 */   // Label 32700: @2352292
     /* 2352292 */   GIM_Try, /*On fail goto*//*Label 32701*/ GIMT_Encode4(2352348), // Rule ID 2298 //
     /* 2352297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2352300 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352315 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2352315 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352318 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2352322 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352327 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352331 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352334 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2352339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352346 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352347 */     // GIR_Coverage, 2298,
     /* 2352347 */     GIR_EraseRootFromParent_Done,
     /* 2352348 */   // Label 32701: @2352348
     /* 2352348 */   GIM_Try, /*On fail goto*//*Label 32702*/ GIMT_Encode4(2352404), // Rule ID 2299 //
     /* 2352353 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2352356 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2352367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352371 */     // (fcopysign:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2352371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D),
     /* 2352378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352383 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352387 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H),
     /* 2352395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352403 */     // GIR_Coverage, 2299,
     /* 2352403 */     GIR_EraseRootFromParent_Done,
     /* 2352404 */   // Label 32702: @2352404
     /* 2352404 */   GIM_Try, /*On fail goto*//*Label 32703*/ GIMT_Encode4(2352460), // Rule ID 2310 //
     /* 2352409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2352412 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352427 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2352427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2352434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352439 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352443 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2352451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352453 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352459 */     // GIR_Coverage, 2310,
     /* 2352459 */     GIR_EraseRootFromParent_Done,
     /* 2352460 */   // Label 32703: @2352460
     /* 2352460 */   GIM_Try, /*On fail goto*//*Label 32704*/ GIMT_Encode4(2352516), // Rule ID 2311 //
     /* 2352465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2352468 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352471 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352475 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352479 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352483 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_IN32X:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2352483 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352486 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_IN32X),
     /* 2352490 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352495 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352499 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2352507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352514 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352515 */     // GIR_Coverage, 2311,
     /* 2352515 */     GIR_EraseRootFromParent_Done,
     /* 2352516 */   // Label 32704: @2352516
     /* 2352516 */   GIM_Try, /*On fail goto*//*Label 32705*/ GIMT_Encode4(2352572), // Rule ID 2318 //
     /* 2352521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2352524 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352527 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352531 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2352535 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352539 */     // (fcopysign:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, (FCVT_H_D_INX:{ *:[f16] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2352539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s16,
     /* 2352542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_H_D_INX),
     /* 2352546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352551 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352555 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352558 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352560 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_H_INX),
     /* 2352563 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352565 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352570 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352571 */     // GIR_Coverage, 2318,
     /* 2352571 */     GIR_EraseRootFromParent_Done,
     /* 2352572 */   // Label 32705: @2352572
     /* 2352572 */   GIM_Reject,
     /* 2352573 */ // Label 32692: @2352573
     /* 2352573 */ GIM_Reject,
     /* 2352574 */ // Label 32674: @2352574
     /* 2352574 */ GIM_Try, /*On fail goto*//*Label 32706*/ GIMT_Encode4(2353249),
     /* 2352579 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352582 */   GIM_Try, /*On fail goto*//*Label 32707*/ GIMT_Encode4(2352633), // Rule ID 1295 //
     /* 2352587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2352590 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352601 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2352605 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2352609 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352613 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2352620 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs2))  =>  (FSGNJN_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)
     /* 2352620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S),
     /* 2352623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352625 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352627 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2352631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352632 */     // GIR_Coverage, 1295,
     /* 2352632 */     GIR_EraseRootFromParent_Done,
     /* 2352633 */   // Label 32707: @2352633
     /* 2352633 */   GIM_Try, /*On fail goto*//*Label 32708*/ GIMT_Encode4(2352684), // Rule ID 1316 //
     /* 2352638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2352641 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352644 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352648 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352652 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2352656 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2352660 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2352664 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352669 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2352671 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2))  =>  (FSGNJN_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)
     /* 2352671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_S_INX),
     /* 2352674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352678 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2352682 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352683 */     // GIR_Coverage, 1316,
     /* 2352683 */     GIR_EraseRootFromParent_Done,
     /* 2352684 */   // Label 32708: @2352684
     /* 2352684 */   GIM_Try, /*On fail goto*//*Label 32709*/ GIMT_Encode4(2352714), // Rule ID 1291 //
     /* 2352689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2352692 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352707 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2352707 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2352712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352713 */     // GIR_Coverage, 1291,
     /* 2352713 */     GIR_Done,
     /* 2352714 */   // Label 32709: @2352714
     /* 2352714 */   GIM_Try, /*On fail goto*//*Label 32710*/ GIMT_Encode4(2352744), // Rule ID 1292 //
     /* 2352719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2352722 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2352725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352737 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2352737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2352742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352743 */     // GIR_Coverage, 1292,
     /* 2352743 */     GIR_Done,
     /* 2352744 */   // Label 32710: @2352744
     /* 2352744 */   GIM_Try, /*On fail goto*//*Label 32711*/ GIMT_Encode4(2352800), // Rule ID 1631 //
     /* 2352749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2352752 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352755 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352759 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352763 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352767 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2352767 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2352770 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2352774 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352779 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352783 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352786 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352788 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2352791 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352793 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352798 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352799 */     // GIR_Coverage, 1631,
     /* 2352799 */     GIR_EraseRootFromParent_Done,
     /* 2352800 */   // Label 32711: @2352800
     /* 2352800 */   GIM_Try, /*On fail goto*//*Label 32712*/ GIMT_Encode4(2352856), // Rule ID 1632 //
     /* 2352805 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2352808 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352811 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352815 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2352819 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2352823 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2352823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2352826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D),
     /* 2352830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352835 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352839 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352842 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2352847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352855 */     // GIR_Coverage, 1632,
     /* 2352855 */     GIR_EraseRootFromParent_Done,
     /* 2352856 */   // Label 32712: @2352856
     /* 2352856 */   GIM_Try, /*On fail goto*//*Label 32713*/ GIMT_Encode4(2352912), // Rule ID 1662 //
     /* 2352861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2352864 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352867 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352871 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352875 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2352879 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_INX:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2352879 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2352882 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_INX),
     /* 2352886 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352891 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352895 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2352903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352907 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352911 */     // GIR_Coverage, 1662,
     /* 2352911 */     GIR_EraseRootFromParent_Done,
     /* 2352912 */   // Label 32713: @2352912
     /* 2352912 */   GIM_Try, /*On fail goto*//*Label 32714*/ GIMT_Encode4(2352968), // Rule ID 1686 //
     /* 2352917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2352920 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352923 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352927 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352931 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352935 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i64] }))
     /* 2352935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2352938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2352942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2352947 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2352951 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2352954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2352956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2352959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2352961 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2352963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2352966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2352967 */     // GIR_Coverage, 1686,
     /* 2352967 */     GIR_EraseRootFromParent_Done,
     /* 2352968 */   // Label 32714: @2352968
     /* 2352968 */   GIM_Try, /*On fail goto*//*Label 32715*/ GIMT_Encode4(2353024), // Rule ID 1687 //
     /* 2352973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2352976 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2352979 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352983 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2352987 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2352991 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_D_IN32X:{ *:[f32] } ?:{ *:[f64] }:$rs2, 7:{ *:[i32] }))
     /* 2352991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2352994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_D_IN32X),
     /* 2352998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353003 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353007 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/7,
     /* 2353010 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353012 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2353015 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353017 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353019 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353023 */     // GIR_Coverage, 1687,
     /* 2353023 */     GIR_EraseRootFromParent_Done,
     /* 2353024 */   // Label 32715: @2353024
     /* 2353024 */   GIM_Try, /*On fail goto*//*Label 32716*/ GIMT_Encode4(2353080), // Rule ID 2170 //
     /* 2353029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode0),
     /* 2353032 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353035 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353039 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353047 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2353047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2353050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2353054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353059 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353063 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353066 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353068 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2353071 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353073 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353079 */     // GIR_Coverage, 2170,
     /* 2353079 */     GIR_EraseRootFromParent_Done,
     /* 2353080 */   // Label 32716: @2353080
     /* 2353080 */   GIM_Try, /*On fail goto*//*Label 32717*/ GIMT_Encode4(2353136), // Rule ID 2171 //
     /* 2353085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfhmin_HwMode1),
     /* 2353088 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353091 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353095 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353099 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353103 */     // (fcopysign:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2353103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2353106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H),
     /* 2353110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353115 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353119 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353122 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S),
     /* 2353127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353131 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353135 */     // GIR_Coverage, 2171,
     /* 2353135 */     GIR_EraseRootFromParent_Done,
     /* 2353136 */   // Label 32717: @2353136
     /* 2353136 */   GIM_Try, /*On fail goto*//*Label 32718*/ GIMT_Encode4(2353192), // Rule ID 2184 //
     /* 2353141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode0),
     /* 2353144 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353147 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353151 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353159 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2353159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2353162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2353166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353171 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353175 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353178 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353180 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2353183 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353185 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353190 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353191 */     // GIR_Coverage, 2184,
     /* 2353191 */     GIR_EraseRootFromParent_Done,
     /* 2353192 */   // Label 32718: @2353192
     /* 2353192 */   GIM_Try, /*On fail goto*//*Label 32719*/ GIMT_Encode4(2353248), // Rule ID 2185 //
     /* 2353197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinxmin_HwMode1),
     /* 2353200 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353203 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353207 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353211 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353215 */     // (fcopysign:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, (FCVT_S_H_INX:{ *:[f32] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2353215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s32,
     /* 2353218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_S_H_INX),
     /* 2353222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353227 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353231 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353234 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353236 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_S_INX),
     /* 2353239 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353241 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353247 */     // GIR_Coverage, 2185,
     /* 2353247 */     GIR_EraseRootFromParent_Done,
     /* 2353248 */   // Label 32719: @2353248
     /* 2353248 */   GIM_Reject,
     /* 2353249 */ // Label 32706: @2353249
     /* 2353249 */ GIM_Reject,
     /* 2353250 */ // Label 32675: @2353250
     /* 2353250 */ GIM_Try, /*On fail goto*//*Label 32720*/ GIMT_Encode4(2354062),
     /* 2353255 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353258 */   GIM_Try, /*On fail goto*//*Label 32721*/ GIMT_Encode4(2353309), // Rule ID 1628 //
     /* 2353263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2353266 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353269 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353273 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353285 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353289 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353296 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs2))  =>  (FSGNJN_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)
     /* 2353296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D),
     /* 2353299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353307 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353308 */     // GIR_Coverage, 1628,
     /* 2353308 */     GIR_EraseRootFromParent_Done,
     /* 2353309 */   // Label 32721: @2353309
     /* 2353309 */   GIM_Try, /*On fail goto*//*Label 32722*/ GIMT_Encode4(2353360), // Rule ID 1660 //
     /* 2353314 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2353317 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353320 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353324 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353328 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353332 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353336 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353340 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353345 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353347 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)
     /* 2353347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_INX),
     /* 2353350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353354 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353359 */     // GIR_Coverage, 1660,
     /* 2353359 */     GIR_EraseRootFromParent_Done,
     /* 2353360 */   // Label 32722: @2353360
     /* 2353360 */   GIM_Try, /*On fail goto*//*Label 32723*/ GIMT_Encode4(2353411), // Rule ID 1683 //
     /* 2353365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2353368 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353379 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2353383 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2353387 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2353391 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353396 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2353398 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2))  =>  (FSGNJN_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)
     /* 2353398 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJN_D_IN32X),
     /* 2353401 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353403 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353405 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2353409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353410 */     // GIR_Coverage, 1683,
     /* 2353410 */     GIR_EraseRootFromParent_Done,
     /* 2353411 */   // Label 32723: @2353411
     /* 2353411 */   GIM_Try, /*On fail goto*//*Label 32724*/ GIMT_Encode4(2353441), // Rule ID 1626 //
     /* 2353416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2353419 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353422 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353426 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353430 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353434 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2353434 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2353439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353440 */     // GIR_Coverage, 1626,
     /* 2353440 */     GIR_Done,
     /* 2353441 */   // Label 32724: @2353441
     /* 2353441 */   GIM_Try, /*On fail goto*//*Label 32725*/ GIMT_Encode4(2353497), // Rule ID 1629 //
     /* 2353446 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2353449 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2353452 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353456 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353460 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353464 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2353464 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353467 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2353471 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353476 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353480 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353483 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353485 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2353488 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353492 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353496 */     // GIR_Coverage, 1629,
     /* 2353496 */     GIR_EraseRootFromParent_Done,
     /* 2353497 */   // Label 32725: @2353497
     /* 2353497 */   GIM_Try, /*On fail goto*//*Label 32726*/ GIMT_Encode4(2353553), // Rule ID 1630 //
     /* 2353502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2353505 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2353508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2353520 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2353520 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353523 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S),
     /* 2353527 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353532 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353536 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2353544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353551 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353552 */     // GIR_Coverage, 1630,
     /* 2353552 */     GIR_EraseRootFromParent_Done,
     /* 2353553 */   // Label 32726: @2353553
     /* 2353553 */   GIM_Try, /*On fail goto*//*Label 32727*/ GIMT_Encode4(2353583), // Rule ID 1658 //
     /* 2353558 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2353561 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353564 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353568 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353572 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353576 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2353576 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2353581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353582 */     // GIR_Coverage, 1658,
     /* 2353582 */     GIR_Done,
     /* 2353583 */   // Label 32727: @2353583
     /* 2353583 */   GIM_Try, /*On fail goto*//*Label 32728*/ GIMT_Encode4(2353639), // Rule ID 1661 //
     /* 2353588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2353591 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2353594 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353598 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2353602 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353606 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_INX:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2353606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_INX),
     /* 2353613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353618 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353622 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353625 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2353630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353638 */     // GIR_Coverage, 1661,
     /* 2353638 */     GIR_EraseRootFromParent_Done,
     /* 2353639 */   // Label 32728: @2353639
     /* 2353639 */   GIM_Try, /*On fail goto*//*Label 32729*/ GIMT_Encode4(2353669), // Rule ID 1681 //
     /* 2353644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2353647 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2353650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353662 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2353662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2353667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353668 */     // GIR_Coverage, 1681,
     /* 2353668 */     GIR_Done,
     /* 2353669 */   // Label 32729: @2353669
     /* 2353669 */   GIM_Try, /*On fail goto*//*Label 32730*/ GIMT_Encode4(2353725), // Rule ID 1684 //
     /* 2353674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2353677 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2353680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353692 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i64] }))
     /* 2353692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2353699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353704 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353708 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2353716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353718 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353720 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353724 */     // GIR_Coverage, 1684,
     /* 2353724 */     GIR_EraseRootFromParent_Done,
     /* 2353725 */   // Label 32730: @2353725
     /* 2353725 */   GIM_Try, /*On fail goto*//*Label 32731*/ GIMT_Encode4(2353781), // Rule ID 1685 //
     /* 2353730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2353733 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2353736 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353740 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353744 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2353748 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_S_IN32X:{ *:[f64] } ?:{ *:[f32] }:$rs2, 0:{ *:[i32] }))
     /* 2353748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_S_IN32X),
     /* 2353755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353760 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353764 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2353772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353774 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353776 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353780 */     // GIR_Coverage, 1685,
     /* 2353780 */     GIR_EraseRootFromParent_Done,
     /* 2353781 */   // Label 32731: @2353781
     /* 2353781 */   GIM_Try, /*On fail goto*//*Label 32732*/ GIMT_Encode4(2353837), // Rule ID 2300 //
     /* 2353786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode0),
     /* 2353789 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353792 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353796 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353800 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353804 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2353804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2353811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353816 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353820 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353823 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353825 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2353828 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353830 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353836 */     // GIR_Coverage, 2300,
     /* 2353836 */     GIR_EraseRootFromParent_Done,
     /* 2353837 */   // Label 32732: @2353837
     /* 2353837 */   GIM_Try, /*On fail goto*//*Label 32733*/ GIMT_Encode4(2353893), // Rule ID 2301 //
     /* 2353842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfhmin_HwMode1),
     /* 2353845 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2353856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2353860 */     // (fcopysign:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSGNJ_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2353860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H),
     /* 2353867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353872 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353876 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353879 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353881 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D),
     /* 2353884 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353891 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353892 */     // GIR_Coverage, 2301,
     /* 2353892 */     GIR_EraseRootFromParent_Done,
     /* 2353893 */   // Label 32733: @2353893
     /* 2353893 */   GIM_Try, /*On fail goto*//*Label 32734*/ GIMT_Encode4(2353949), // Rule ID 2312 //
     /* 2353898 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode0),
     /* 2353901 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353904 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353908 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353912 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353916 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2353916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2353923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353928 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353932 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2353940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353942 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2353944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2353947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2353948 */     // GIR_Coverage, 2312,
     /* 2353948 */     GIR_EraseRootFromParent_Done,
     /* 2353949 */   // Label 32734: @2353949
     /* 2353949 */   GIM_Try, /*On fail goto*//*Label 32735*/ GIMT_Encode4(2354005), // Rule ID 2313 //
     /* 2353954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV32_HwMode1),
     /* 2353957 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2353960 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353964 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2353968 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2353972 */     // (fcopysign:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_IN32X:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i32] }))
     /* 2353972 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2353975 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_IN32X),
     /* 2353979 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2353984 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2353988 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2353991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2353993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_IN32X),
     /* 2353996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2353998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354003 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354004 */     // GIR_Coverage, 2313,
     /* 2354004 */     GIR_EraseRootFromParent_Done,
     /* 2354005 */   // Label 32735: @2354005
     /* 2354005 */   GIM_Try, /*On fail goto*//*Label 32736*/ GIMT_Encode4(2354061), // Rule ID 2319 //
     /* 2354010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_HasStdExtZhinxmin_IsRV64_HwMode0),
     /* 2354013 */     GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2354016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2354024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2354028 */     // (fcopysign:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSGNJ_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, (FCVT_D_H_INX:{ *:[f64] } ?:{ *:[f16] }:$rs2, 0:{ *:[i64] }))
     /* 2354028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2354031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::FCVT_D_H_INX),
     /* 2354035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354040 */     GIR_Copy, /*NewInsnID*/1, /*OldInsnID*/0, /*OpIdx*/2, // rs2
     /* 2354044 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/0,
     /* 2354047 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354049 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSGNJ_D_INX),
     /* 2354052 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354060 */     // GIR_Coverage, 2319,
     /* 2354060 */     GIR_EraseRootFromParent_Done,
     /* 2354061 */   // Label 32736: @2354061
     /* 2354061 */   GIM_Reject,
     /* 2354062 */ // Label 32720: @2354062
     /* 2354062 */ GIM_Reject,
     /* 2354063 */ // Label 32676: @2354063
     /* 2354063 */ GIM_Try, /*On fail goto*//*Label 32737*/ GIMT_Encode4(2354313),
     /* 2354068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2354071 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2354074 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354078 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354082 */   GIM_Try, /*On fail goto*//*Label 32738*/ GIMT_Encode4(2354148), // Rule ID 56248 //
     /* 2354087 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354090 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354094 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354098 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2354102 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354107 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354109 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354109 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2354112 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354116 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354121 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2354126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354128 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354147 */     // GIR_Coverage, 56248,
     /* 2354147 */     GIR_EraseRootFromParent_Done,
     /* 2354148 */   // Label 32738: @2354148
     /* 2354148 */   GIM_Try, /*On fail goto*//*Label 32739*/ GIMT_Encode4(2354214), // Rule ID 56249 //
     /* 2354153 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2354156 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354160 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354164 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2354168 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354173 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354175 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354175 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2354178 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354182 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354187 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF4_E16),
     /* 2354192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354194 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354197 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354199 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354213 */     // GIR_Coverage, 56249,
     /* 2354213 */     GIR_EraseRootFromParent_Done,
     /* 2354214 */   // Label 32739: @2354214
     /* 2354214 */   GIM_Try, /*On fail goto*//*Label 32740*/ GIMT_Encode4(2354263), // Rule ID 56242 //
     /* 2354219 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354226 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2354229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2354243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354262 */     // GIR_Coverage, 56242,
     /* 2354262 */     GIR_EraseRootFromParent_Done,
     /* 2354263 */   // Label 32740: @2354263
     /* 2354263 */   GIM_Try, /*On fail goto*//*Label 32741*/ GIMT_Encode4(2354312), // Rule ID 56243 //
     /* 2354268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2354271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354275 */     // (fcopysign:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354275 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2354278 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354282 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354287 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF4_E16),
     /* 2354292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354294 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354297 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354299 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354304 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354310 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354311 */     // GIR_Coverage, 56243,
     /* 2354311 */     GIR_EraseRootFromParent_Done,
     /* 2354312 */   // Label 32741: @2354312
     /* 2354312 */   GIM_Reject,
     /* 2354313 */ // Label 32737: @2354313
     /* 2354313 */ GIM_Reject,
     /* 2354314 */ // Label 32677: @2354314
     /* 2354314 */ GIM_Try, /*On fail goto*//*Label 32742*/ GIMT_Encode4(2354564),
     /* 2354319 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2354322 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2354325 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354329 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354333 */   GIM_Try, /*On fail goto*//*Label 32743*/ GIMT_Encode4(2354399), // Rule ID 56288 //
     /* 2354338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2354341 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354345 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354349 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2354353 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354358 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354360 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354360 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2354363 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354367 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354372 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2354377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354379 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354382 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354384 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354398 */     // GIR_Coverage, 56288,
     /* 2354398 */     GIR_EraseRootFromParent_Done,
     /* 2354399 */   // Label 32743: @2354399
     /* 2354399 */   GIM_Try, /*On fail goto*//*Label 32744*/ GIMT_Encode4(2354465), // Rule ID 56289 //
     /* 2354404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2354407 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354411 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354415 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2354419 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354424 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354426 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354426 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2354429 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354433 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354438 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354440 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E32),
     /* 2354443 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354445 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354448 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354450 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354464 */     // GIR_Coverage, 56289,
     /* 2354464 */     GIR_EraseRootFromParent_Done,
     /* 2354465 */   // Label 32744: @2354465
     /* 2354465 */   GIM_Try, /*On fail goto*//*Label 32745*/ GIMT_Encode4(2354514), // Rule ID 56282 //
     /* 2354470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2354473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354477 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354477 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2354480 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354484 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354489 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2354494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354496 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354513 */     // GIR_Coverage, 56282,
     /* 2354513 */     GIR_EraseRootFromParent_Done,
     /* 2354514 */   // Label 32745: @2354514
     /* 2354514 */   GIM_Try, /*On fail goto*//*Label 32746*/ GIMT_Encode4(2354563), // Rule ID 56283 //
     /* 2354519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2354522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354526 */     // (fcopysign:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2354529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E32),
     /* 2354543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2354558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354562 */     // GIR_Coverage, 56283,
     /* 2354562 */     GIR_EraseRootFromParent_Done,
     /* 2354563 */   // Label 32746: @2354563
     /* 2354563 */   GIM_Reject,
     /* 2354564 */ // Label 32742: @2354564
     /* 2354564 */ GIM_Reject,
     /* 2354565 */ // Label 32678: @2354565
     /* 2354565 */ GIM_Try, /*On fail goto*//*Label 32747*/ GIMT_Encode4(2354815),
     /* 2354570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2354573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2354576 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354580 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354584 */   GIM_Try, /*On fail goto*//*Label 32748*/ GIMT_Encode4(2354650), // Rule ID 56348 //
     /* 2354589 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2354592 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354596 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354600 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2354604 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354609 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354611 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2354614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2354628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354635 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354649 */     // GIR_Coverage, 56348,
     /* 2354649 */     GIR_EraseRootFromParent_Done,
     /* 2354650 */   // Label 32748: @2354650
     /* 2354650 */   GIM_Try, /*On fail goto*//*Label 32749*/ GIMT_Encode4(2354716), // Rule ID 56349 //
     /* 2354655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354658 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354662 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354666 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2354670 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354675 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354677 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354677 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2354680 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354684 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354689 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E64),
     /* 2354694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354696 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354715 */     // GIR_Coverage, 56349,
     /* 2354715 */     GIR_EraseRootFromParent_Done,
     /* 2354716 */   // Label 32749: @2354716
     /* 2354716 */   GIM_Try, /*On fail goto*//*Label 32750*/ GIMT_Encode4(2354765), // Rule ID 56342 //
     /* 2354721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2354724 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354728 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354728 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2354731 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354735 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354740 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2354745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354747 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354764 */     // GIR_Coverage, 56342,
     /* 2354764 */     GIR_EraseRootFromParent_Done,
     /* 2354765 */   // Label 32750: @2354765
     /* 2354765 */   GIM_Try, /*On fail goto*//*Label 32751*/ GIMT_Encode4(2354814), // Rule ID 56343 //
     /* 2354770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2354773 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354777 */     // (fcopysign:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354777 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2354780 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354784 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354789 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E64),
     /* 2354794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354796 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354801 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2354803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2354809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354813 */     // GIR_Coverage, 56343,
     /* 2354813 */     GIR_EraseRootFromParent_Done,
     /* 2354814 */   // Label 32751: @2354814
     /* 2354814 */   GIM_Reject,
     /* 2354815 */ // Label 32747: @2354815
     /* 2354815 */ GIM_Reject,
     /* 2354816 */ // Label 32679: @2354816
     /* 2354816 */ GIM_Try, /*On fail goto*//*Label 32752*/ GIMT_Encode4(2355066),
     /* 2354821 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2354824 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2354827 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354831 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354835 */   GIM_Try, /*On fail goto*//*Label 32753*/ GIMT_Encode4(2354901), // Rule ID 56268 //
     /* 2354840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354843 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354847 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354851 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2354855 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354860 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354862 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2354865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2354879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354886 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354900 */     // GIR_Coverage, 56268,
     /* 2354900 */     GIR_EraseRootFromParent_Done,
     /* 2354901 */   // Label 32753: @2354901
     /* 2354901 */   GIM_Try, /*On fail goto*//*Label 32754*/ GIMT_Encode4(2354967), // Rule ID 56269 //
     /* 2354906 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2354909 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2354913 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2354917 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2354921 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354926 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2354928 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2354928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2354931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_MF2_E16),
     /* 2354945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2354950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2354952 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2354956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2354959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2354962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2354965 */     GIR_RootConstrainSelectedInstOperands,
     /* 2354966 */     // GIR_Coverage, 56269,
     /* 2354966 */     GIR_EraseRootFromParent_Done,
     /* 2354967 */   // Label 32754: @2354967
     /* 2354967 */   GIM_Try, /*On fail goto*//*Label 32755*/ GIMT_Encode4(2355016), // Rule ID 56262 //
     /* 2354972 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2354975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2354979 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2354979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2354982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2354986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2354991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2354993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2354996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2354998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355015 */     // GIR_Coverage, 56262,
     /* 2355015 */     GIR_EraseRootFromParent_Done,
     /* 2355016 */   // Label 32755: @2355016
     /* 2355016 */   GIM_Try, /*On fail goto*//*Label 32756*/ GIMT_Encode4(2355065), // Rule ID 56263 //
     /* 2355021 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355028 */     // (fcopysign:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355028 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2355031 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355035 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355040 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355042 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_MF2_E16),
     /* 2355045 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355047 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355064 */     // GIR_Coverage, 56263,
     /* 2355064 */     GIR_EraseRootFromParent_Done,
     /* 2355065 */   // Label 32756: @2355065
     /* 2355065 */   GIM_Reject,
     /* 2355066 */ // Label 32752: @2355066
     /* 2355066 */ GIM_Reject,
     /* 2355067 */ // Label 32680: @2355067
     /* 2355067 */ GIM_Try, /*On fail goto*//*Label 32757*/ GIMT_Encode4(2355317),
     /* 2355072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2355075 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2355078 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355082 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355086 */   GIM_Try, /*On fail goto*//*Label 32758*/ GIMT_Encode4(2355152), // Rule ID 56328 //
     /* 2355091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355094 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355098 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355102 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2355106 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355111 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355113 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355113 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2355116 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355120 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355125 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2355130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355132 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355137 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355144 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355151 */     // GIR_Coverage, 56328,
     /* 2355151 */     GIR_EraseRootFromParent_Done,
     /* 2355152 */   // Label 32758: @2355152
     /* 2355152 */   GIM_Try, /*On fail goto*//*Label 32759*/ GIMT_Encode4(2355218), // Rule ID 56329 //
     /* 2355157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2355160 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355164 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355168 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2355172 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355177 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355179 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2355182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E32),
     /* 2355196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355203 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355217 */     // GIR_Coverage, 56329,
     /* 2355217 */     GIR_EraseRootFromParent_Done,
     /* 2355218 */   // Label 32759: @2355218
     /* 2355218 */   GIM_Try, /*On fail goto*//*Label 32760*/ GIMT_Encode4(2355267), // Rule ID 56322 //
     /* 2355223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355230 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355230 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2355233 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355237 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355242 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2355247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355249 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355252 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355265 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355266 */     // GIR_Coverage, 56322,
     /* 2355266 */     GIR_EraseRootFromParent_Done,
     /* 2355267 */   // Label 32760: @2355267
     /* 2355267 */   GIM_Try, /*On fail goto*//*Label 32761*/ GIMT_Encode4(2355316), // Rule ID 56323 //
     /* 2355272 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2355275 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355279 */     // (fcopysign:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2355282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E32),
     /* 2355296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355315 */     // GIR_Coverage, 56323,
     /* 2355315 */     GIR_EraseRootFromParent_Done,
     /* 2355316 */   // Label 32761: @2355316
     /* 2355316 */   GIM_Reject,
     /* 2355317 */ // Label 32757: @2355317
     /* 2355317 */ GIM_Reject,
     /* 2355318 */ // Label 32681: @2355318
     /* 2355318 */ GIM_Try, /*On fail goto*//*Label 32762*/ GIMT_Encode4(2355568),
     /* 2355323 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2355326 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2355329 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355333 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355337 */   GIM_Try, /*On fail goto*//*Label 32763*/ GIMT_Encode4(2355403), // Rule ID 56488 //
     /* 2355342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2355345 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355349 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355353 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2355357 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355362 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355364 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355364 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2355367 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355371 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355376 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2355381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355383 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355388 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355401 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355402 */     // GIR_Coverage, 56488,
     /* 2355402 */     GIR_EraseRootFromParent_Done,
     /* 2355403 */   // Label 32763: @2355403
     /* 2355403 */   GIM_Try, /*On fail goto*//*Label 32764*/ GIMT_Encode4(2355469), // Rule ID 56489 //
     /* 2355408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2355411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2355423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355428 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355430 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355430 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2355433 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355437 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355442 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E64),
     /* 2355447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355449 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355452 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355454 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355458 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355468 */     // GIR_Coverage, 56489,
     /* 2355468 */     GIR_EraseRootFromParent_Done,
     /* 2355469 */   // Label 32764: @2355469
     /* 2355469 */   GIM_Try, /*On fail goto*//*Label 32765*/ GIMT_Encode4(2355518), // Rule ID 56482 //
     /* 2355474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2355477 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355481 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355481 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2355484 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355488 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355493 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355495 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2355498 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355500 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355503 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355505 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355516 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355517 */     // GIR_Coverage, 56482,
     /* 2355517 */     GIR_EraseRootFromParent_Done,
     /* 2355518 */   // Label 32765: @2355518
     /* 2355518 */   GIM_Try, /*On fail goto*//*Label 32766*/ GIMT_Encode4(2355567), // Rule ID 56483 //
     /* 2355523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2355526 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355530 */     // (fcopysign:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2355533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E64),
     /* 2355547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2355562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355565 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355566 */     // GIR_Coverage, 56483,
     /* 2355566 */     GIR_EraseRootFromParent_Done,
     /* 2355567 */   // Label 32766: @2355567
     /* 2355567 */   GIM_Reject,
     /* 2355568 */ // Label 32762: @2355568
     /* 2355568 */ GIM_Reject,
     /* 2355569 */ // Label 32682: @2355569
     /* 2355569 */ GIM_Try, /*On fail goto*//*Label 32767*/ GIMT_Encode4(2355819),
     /* 2355574 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2355577 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2355580 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355584 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355588 */   GIM_Try, /*On fail goto*//*Label 32768*/ GIMT_Encode4(2355654), // Rule ID 56308 //
     /* 2355593 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2355596 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355600 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355604 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2355608 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355613 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355615 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355615 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2355618 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355622 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355627 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355629 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2355632 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355634 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355637 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355639 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355653 */     // GIR_Coverage, 56308,
     /* 2355653 */     GIR_EraseRootFromParent_Done,
     /* 2355654 */   // Label 32768: @2355654
     /* 2355654 */   GIM_Try, /*On fail goto*//*Label 32769*/ GIMT_Encode4(2355720), // Rule ID 56309 //
     /* 2355659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355662 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355666 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355670 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2355674 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355679 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355681 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2355684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M1_E16),
     /* 2355698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355705 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355719 */     // GIR_Coverage, 56309,
     /* 2355719 */     GIR_EraseRootFromParent_Done,
     /* 2355720 */   // Label 32769: @2355720
     /* 2355720 */   GIM_Try, /*On fail goto*//*Label 32770*/ GIMT_Encode4(2355769), // Rule ID 56302 //
     /* 2355725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2355728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355732 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355732 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2355735 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355739 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355744 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2355749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355751 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355754 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355768 */     // GIR_Coverage, 56302,
     /* 2355768 */     GIR_EraseRootFromParent_Done,
     /* 2355769 */   // Label 32770: @2355769
     /* 2355769 */   GIM_Try, /*On fail goto*//*Label 32771*/ GIMT_Encode4(2355818), // Rule ID 56303 //
     /* 2355774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2355777 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2355781 */     // (fcopysign:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2355784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M1_E16),
     /* 2355798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2355807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2355813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355816 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355817 */     // GIR_Coverage, 56303,
     /* 2355817 */     GIR_EraseRootFromParent_Done,
     /* 2355818 */   // Label 32771: @2355818
     /* 2355818 */   GIM_Reject,
     /* 2355819 */ // Label 32767: @2355819
     /* 2355819 */ GIM_Reject,
     /* 2355820 */ // Label 32683: @2355820
     /* 2355820 */ GIM_Try, /*On fail goto*//*Label 32772*/ GIMT_Encode4(2356070),
     /* 2355825 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2355828 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2355831 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355835 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355839 */   GIM_Try, /*On fail goto*//*Label 32773*/ GIMT_Encode4(2355905), // Rule ID 56428 //
     /* 2355844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2355859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355864 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355866 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2355869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2355883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355903 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355904 */     // GIR_Coverage, 56428,
     /* 2355904 */     GIR_EraseRootFromParent_Done,
     /* 2355905 */   // Label 32773: @2355905
     /* 2355905 */   GIM_Try, /*On fail goto*//*Label 32774*/ GIMT_Encode4(2355971), // Rule ID 56429 //
     /* 2355910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2355913 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2355917 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2355921 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2355925 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355930 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2355932 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2355932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2355935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E32),
     /* 2355949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2355951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2355954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2355956 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2355960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2355963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2355966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2355969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2355970 */     // GIR_Coverage, 56429,
     /* 2355970 */     GIR_EraseRootFromParent_Done,
     /* 2355971 */   // Label 32774: @2355971
     /* 2355971 */   GIM_Try, /*On fail goto*//*Label 32775*/ GIMT_Encode4(2356020), // Rule ID 56422 //
     /* 2355976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2355979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2355983 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2355983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2355986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2355990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2355995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2355997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2356000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356019 */     // GIR_Coverage, 56422,
     /* 2356019 */     GIR_EraseRootFromParent_Done,
     /* 2356020 */   // Label 32775: @2356020
     /* 2356020 */   GIM_Try, /*On fail goto*//*Label 32776*/ GIMT_Encode4(2356069), // Rule ID 56423 //
     /* 2356025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2356028 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356032 */     // (fcopysign:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356032 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2356035 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356039 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356044 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356046 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E32),
     /* 2356049 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356051 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356054 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356056 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356067 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356068 */     // GIR_Coverage, 56423,
     /* 2356068 */     GIR_EraseRootFromParent_Done,
     /* 2356069 */   // Label 32776: @2356069
     /* 2356069 */   GIM_Reject,
     /* 2356070 */ // Label 32772: @2356070
     /* 2356070 */ GIM_Reject,
     /* 2356071 */ // Label 32684: @2356071
     /* 2356071 */ GIM_Try, /*On fail goto*//*Label 32777*/ GIMT_Encode4(2356321),
     /* 2356076 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2356079 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2356082 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356086 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356090 */   GIM_Try, /*On fail goto*//*Label 32778*/ GIMT_Encode4(2356156), // Rule ID 56508 //
     /* 2356095 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2356098 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356102 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356106 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2356110 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356115 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356117 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2356134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356141 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356154 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356155 */     // GIR_Coverage, 56508,
     /* 2356155 */     GIR_EraseRootFromParent_Done,
     /* 2356156 */   // Label 32778: @2356156
     /* 2356156 */   GIM_Try, /*On fail goto*//*Label 32779*/ GIMT_Encode4(2356222), // Rule ID 56509 //
     /* 2356161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2356164 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356168 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356172 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2356176 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356183 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356183 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356186 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356190 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356195 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356197 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E64),
     /* 2356200 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356202 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356205 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356207 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356221 */     // GIR_Coverage, 56509,
     /* 2356221 */     GIR_EraseRootFromParent_Done,
     /* 2356222 */   // Label 32779: @2356222
     /* 2356222 */   GIM_Try, /*On fail goto*//*Label 32780*/ GIMT_Encode4(2356271), // Rule ID 56502 //
     /* 2356227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2356230 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356234 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356234 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356237 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356241 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356246 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2356251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356253 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356256 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356258 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356263 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356266 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356270 */     // GIR_Coverage, 56502,
     /* 2356270 */     GIR_EraseRootFromParent_Done,
     /* 2356271 */   // Label 32780: @2356271
     /* 2356271 */   GIM_Try, /*On fail goto*//*Label 32781*/ GIMT_Encode4(2356320), // Rule ID 56503 //
     /* 2356276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2356279 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356283 */     // (fcopysign:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2356286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E64),
     /* 2356300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356319 */     // GIR_Coverage, 56503,
     /* 2356319 */     GIR_EraseRootFromParent_Done,
     /* 2356320 */   // Label 32781: @2356320
     /* 2356320 */   GIM_Reject,
     /* 2356321 */ // Label 32777: @2356321
     /* 2356321 */ GIM_Reject,
     /* 2356322 */ // Label 32685: @2356322
     /* 2356322 */ GIM_Try, /*On fail goto*//*Label 32782*/ GIMT_Encode4(2356572),
     /* 2356327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2356330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2356333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356341 */   GIM_Try, /*On fail goto*//*Label 32783*/ GIMT_Encode4(2356407), // Rule ID 56368 //
     /* 2356346 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2356349 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356353 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356357 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2356361 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356368 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2356385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356392 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356406 */     // GIR_Coverage, 56368,
     /* 2356406 */     GIR_EraseRootFromParent_Done,
     /* 2356407 */   // Label 32783: @2356407
     /* 2356407 */   GIM_Try, /*On fail goto*//*Label 32784*/ GIMT_Encode4(2356473), // Rule ID 56369 //
     /* 2356412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2356415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2356427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356434 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M2_E16),
     /* 2356451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356458 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356472 */     // GIR_Coverage, 56369,
     /* 2356472 */     GIR_EraseRootFromParent_Done,
     /* 2356473 */   // Label 32784: @2356473
     /* 2356473 */   GIM_Try, /*On fail goto*//*Label 32785*/ GIMT_Encode4(2356522), // Rule ID 56362 //
     /* 2356478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2356481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356485 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356485 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356488 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356492 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356497 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356499 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2356502 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356504 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356507 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356509 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356521 */     // GIR_Coverage, 56362,
     /* 2356521 */     GIR_EraseRootFromParent_Done,
     /* 2356522 */   // Label 32785: @2356522
     /* 2356522 */   GIM_Try, /*On fail goto*//*Label 32786*/ GIMT_Encode4(2356571), // Rule ID 56363 //
     /* 2356527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2356530 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2356534 */     // (fcopysign:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356534 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2356537 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356541 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356546 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M2_E16),
     /* 2356551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356553 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356556 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356558 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2356566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356570 */     // GIR_Coverage, 56363,
     /* 2356570 */     GIR_EraseRootFromParent_Done,
     /* 2356571 */   // Label 32786: @2356571
     /* 2356571 */   GIM_Reject,
     /* 2356572 */ // Label 32782: @2356572
     /* 2356572 */ GIM_Reject,
     /* 2356573 */ // Label 32686: @2356573
     /* 2356573 */ GIM_Try, /*On fail goto*//*Label 32787*/ GIMT_Encode4(2356823),
     /* 2356578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2356581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2356584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356592 */   GIM_Try, /*On fail goto*//*Label 32788*/ GIMT_Encode4(2356658), // Rule ID 56448 //
     /* 2356597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2356600 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356604 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356608 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2356612 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356617 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356619 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2356622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2356636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356643 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356657 */     // GIR_Coverage, 56448,
     /* 2356657 */     GIR_EraseRootFromParent_Done,
     /* 2356658 */   // Label 32788: @2356658
     /* 2356658 */   GIM_Try, /*On fail goto*//*Label 32789*/ GIMT_Encode4(2356724), // Rule ID 56449 //
     /* 2356663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2356666 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356670 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356674 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2356678 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356683 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356685 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356685 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2356688 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356692 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356697 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E32),
     /* 2356702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356704 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356709 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356723 */     // GIR_Coverage, 56449,
     /* 2356723 */     GIR_EraseRootFromParent_Done,
     /* 2356724 */   // Label 32789: @2356724
     /* 2356724 */   GIM_Try, /*On fail goto*//*Label 32790*/ GIMT_Encode4(2356773), // Rule ID 56442 //
     /* 2356729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2356732 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356736 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356736 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2356739 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356743 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356748 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2356753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356755 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356758 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356760 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356772 */     // GIR_Coverage, 56442,
     /* 2356772 */     GIR_EraseRootFromParent_Done,
     /* 2356773 */   // Label 32790: @2356773
     /* 2356773 */   GIM_Try, /*On fail goto*//*Label 32791*/ GIMT_Encode4(2356822), // Rule ID 56443 //
     /* 2356778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2356781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2356785 */     // (fcopysign:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356785 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2356788 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356792 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356797 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E32),
     /* 2356802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356804 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2356811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2356817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356821 */     // GIR_Coverage, 56443,
     /* 2356821 */     GIR_EraseRootFromParent_Done,
     /* 2356822 */   // Label 32791: @2356822
     /* 2356822 */   GIM_Reject,
     /* 2356823 */ // Label 32787: @2356823
     /* 2356823 */ GIM_Reject,
     /* 2356824 */ // Label 32687: @2356824
     /* 2356824 */ GIM_Try, /*On fail goto*//*Label 32792*/ GIMT_Encode4(2357074),
     /* 2356829 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2356832 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2356835 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356839 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356843 */   GIM_Try, /*On fail goto*//*Label 32793*/ GIMT_Encode4(2356909), // Rule ID 56528 //
     /* 2356848 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2356851 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356855 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356859 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2356863 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356870 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2356887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356908 */     // GIR_Coverage, 56528,
     /* 2356908 */     GIR_EraseRootFromParent_Done,
     /* 2356909 */   // Label 32793: @2356909
     /* 2356909 */   GIM_Try, /*On fail goto*//*Label 32794*/ GIMT_Encode4(2356975), // Rule ID 56529 //
     /* 2356914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2356917 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2356921 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2356925 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2356929 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356934 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2356936 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2356936 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356939 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356943 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356948 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2356950 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E64),
     /* 2356953 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2356955 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2356958 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2356960 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2356964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2356967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2356970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2356973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2356974 */     // GIR_Coverage, 56529,
     /* 2356974 */     GIR_EraseRootFromParent_Done,
     /* 2356975 */   // Label 32794: @2356975
     /* 2356975 */   GIM_Try, /*On fail goto*//*Label 32795*/ GIMT_Encode4(2357024), // Rule ID 56522 //
     /* 2356980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2356983 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2356987 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2356987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2356990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2356994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2356999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2357004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357023 */     // GIR_Coverage, 56522,
     /* 2357023 */     GIR_EraseRootFromParent_Done,
     /* 2357024 */   // Label 32795: @2357024
     /* 2357024 */   GIM_Try, /*On fail goto*//*Label 32796*/ GIMT_Encode4(2357073), // Rule ID 56523 //
     /* 2357029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2357032 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357036 */     // (fcopysign:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357036 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2357039 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357043 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357048 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E64),
     /* 2357053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357055 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357058 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357060 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357062 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2357068 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357071 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357072 */     // GIR_Coverage, 56523,
     /* 2357072 */     GIR_EraseRootFromParent_Done,
     /* 2357073 */   // Label 32796: @2357073
     /* 2357073 */   GIM_Reject,
     /* 2357074 */ // Label 32792: @2357074
     /* 2357074 */ GIM_Reject,
     /* 2357075 */ // Label 32688: @2357075
     /* 2357075 */ GIM_Try, /*On fail goto*//*Label 32797*/ GIMT_Encode4(2357325),
     /* 2357080 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2357083 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2357086 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357090 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357094 */   GIM_Try, /*On fail goto*//*Label 32798*/ GIMT_Encode4(2357160), // Rule ID 56388 //
     /* 2357099 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2357102 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2357106 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2357110 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2357114 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357119 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2357121 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357121 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357124 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357128 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357133 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357135 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2357138 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357140 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357145 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2357149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357159 */     // GIR_Coverage, 56388,
     /* 2357159 */     GIR_EraseRootFromParent_Done,
     /* 2357160 */   // Label 32798: @2357160
     /* 2357160 */   GIM_Try, /*On fail goto*//*Label 32799*/ GIMT_Encode4(2357226), // Rule ID 56389 //
     /* 2357165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2357172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2357176 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2357180 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357185 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2357187 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M4_E16),
     /* 2357204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2357215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357224 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357225 */     // GIR_Coverage, 56389,
     /* 2357225 */     GIR_EraseRootFromParent_Done,
     /* 2357226 */   // Label 32799: @2357226
     /* 2357226 */   GIM_Try, /*On fail goto*//*Label 32800*/ GIMT_Encode4(2357275), // Rule ID 56382 //
     /* 2357231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2357234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357238 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2357255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357274 */     // GIR_Coverage, 56382,
     /* 2357274 */     GIR_EraseRootFromParent_Done,
     /* 2357275 */   // Label 32800: @2357275
     /* 2357275 */   GIM_Try, /*On fail goto*//*Label 32801*/ GIMT_Encode4(2357324), // Rule ID 56383 //
     /* 2357280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357283 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2357287 */     // (fcopysign:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357287 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2357290 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357294 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357299 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M4_E16),
     /* 2357304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357306 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357309 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357311 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357322 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357323 */     // GIR_Coverage, 56383,
     /* 2357323 */     GIR_EraseRootFromParent_Done,
     /* 2357324 */   // Label 32801: @2357324
     /* 2357324 */   GIM_Reject,
     /* 2357325 */ // Label 32797: @2357325
     /* 2357325 */ GIM_Reject,
     /* 2357326 */ // Label 32689: @2357326
     /* 2357326 */ GIM_Try, /*On fail goto*//*Label 32802*/ GIMT_Encode4(2357576),
     /* 2357331 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2357334 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2357337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357345 */   GIM_Try, /*On fail goto*//*Label 32803*/ GIMT_Encode4(2357411), // Rule ID 56468 //
     /* 2357350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2357353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2357357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2357361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2357365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2357372 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2357389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357396 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2357400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357410 */     // GIR_Coverage, 56468,
     /* 2357410 */     GIR_EraseRootFromParent_Done,
     /* 2357411 */   // Label 32803: @2357411
     /* 2357411 */   GIM_Try, /*On fail goto*//*Label 32804*/ GIMT_Encode4(2357477), // Rule ID 56469 //
     /* 2357416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2357419 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2357423 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2357427 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2357431 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357436 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2357438 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357438 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357441 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357445 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357450 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357452 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E32),
     /* 2357455 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357457 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357462 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2357466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357472 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357475 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357476 */     // GIR_Coverage, 56469,
     /* 2357476 */     GIR_EraseRootFromParent_Done,
     /* 2357477 */   // Label 32804: @2357477
     /* 2357477 */   GIM_Try, /*On fail goto*//*Label 32805*/ GIMT_Encode4(2357526), // Rule ID 56462 //
     /* 2357482 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2357485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357489 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2357506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357525 */     // GIR_Coverage, 56462,
     /* 2357525 */     GIR_EraseRootFromParent_Done,
     /* 2357526 */   // Label 32805: @2357526
     /* 2357526 */   GIM_Try, /*On fail goto*//*Label 32806*/ GIMT_Encode4(2357575), // Rule ID 56463 //
     /* 2357531 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2357534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357538 */     // (fcopysign:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357538 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2357541 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357545 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357550 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357552 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E32),
     /* 2357555 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357557 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2357570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357574 */     // GIR_Coverage, 56463,
     /* 2357574 */     GIR_EraseRootFromParent_Done,
     /* 2357575 */   // Label 32806: @2357575
     /* 2357575 */   GIM_Reject,
     /* 2357576 */ // Label 32802: @2357576
     /* 2357576 */ GIM_Reject,
     /* 2357577 */ // Label 32690: @2357577
     /* 2357577 */ GIM_Try, /*On fail goto*//*Label 32807*/ GIMT_Encode4(2357827),
     /* 2357582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2357585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2357588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357596 */   GIM_Try, /*On fail goto*//*Label 32808*/ GIMT_Encode4(2357662), // Rule ID 56408 //
     /* 2357601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2357604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2357608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2357612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2357616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357621 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2357623 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2357640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2357651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357660 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357661 */     // GIR_Coverage, 56408,
     /* 2357661 */     GIR_EraseRootFromParent_Done,
     /* 2357662 */   // Label 32808: @2357662
     /* 2357662 */   GIM_Try, /*On fail goto*//*Label 32809*/ GIMT_Encode4(2357728), // Rule ID 56409 //
     /* 2357667 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357670 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2357674 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2357678 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2357682 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357687 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2357689 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFSGNJN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJN_VV_M8_E16),
     /* 2357706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357713 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2357717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357727 */     // GIR_Coverage, 56409,
     /* 2357727 */     GIR_EraseRootFromParent_Done,
     /* 2357728 */   // Label 32809: @2357728
     /* 2357728 */   GIM_Try, /*On fail goto*//*Label 32810*/ GIMT_Encode4(2357777), // Rule ID 56402 //
     /* 2357733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2357736 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357740 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2357740 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357743 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357747 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357752 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2357757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357759 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357776 */     // GIR_Coverage, 56402,
     /* 2357776 */     GIR_EraseRootFromParent_Done,
     /* 2357777 */   // Label 32810: @2357777
     /* 2357777 */   GIM_Try, /*On fail goto*//*Label 32811*/ GIMT_Encode4(2357826), // Rule ID 56403 //
     /* 2357782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2357785 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2357789 */     // (fcopysign:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSGNJ_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2357789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2357792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2357796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2357801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2357803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSGNJ_VV_M8_E16),
     /* 2357806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2357811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2357815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2357818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2357821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2357824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357825 */     // GIR_Coverage, 56403,
     /* 2357825 */     GIR_EraseRootFromParent_Done,
     /* 2357826 */   // Label 32811: @2357826
     /* 2357826 */   GIM_Reject,
     /* 2357827 */ // Label 32807: @2357827
     /* 2357827 */ GIM_Reject,
     /* 2357828 */ // Label 32691: @2357828
     /* 2357828 */ GIM_Reject,
     /* 2357829 */ // Label 73: @2357829
     /* 2357829 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32815*/ GIMT_Encode4(2358018),
     /* 2357840 */ /*GILLT_s16*//*Label 32812*/ GIMT_Encode4(2357852),
     /* 2357844 */ /*GILLT_s32*//*Label 32813*/ GIMT_Encode4(2357902),
     /* 2357848 */ /*GILLT_s64*//*Label 32814*/ GIMT_Encode4(2357952),
     /* 2357852 */ // Label 32812: @2357852
     /* 2357852 */ GIM_Try, /*On fail goto*//*Label 32816*/ GIMT_Encode4(2357901),
     /* 2357857 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2357860 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2357864 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2357868 */   GIM_Try, /*On fail goto*//*Label 32817*/ GIMT_Encode4(2357884), // Rule ID 2062 //
     /* 2357873 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2357873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2357876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357883 */     // GIR_Coverage, 2062,
     /* 2357883 */     GIR_EraseRootFromParent_Done,
     /* 2357884 */   // Label 32817: @2357884
     /* 2357884 */   GIM_Try, /*On fail goto*//*Label 32818*/ GIMT_Encode4(2357900), // Rule ID 2063 //
     /* 2357889 */     // (fcanonicalize:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs1)
     /* 2357889 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2357892 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357894 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357899 */     // GIR_Coverage, 2063,
     /* 2357899 */     GIR_EraseRootFromParent_Done,
     /* 2357900 */   // Label 32818: @2357900
     /* 2357900 */   GIM_Reject,
     /* 2357901 */ // Label 32816: @2357901
     /* 2357901 */ GIM_Reject,
     /* 2357902 */ // Label 32813: @2357902
     /* 2357902 */ GIM_Try, /*On fail goto*//*Label 32819*/ GIMT_Encode4(2357951),
     /* 2357907 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2357910 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2357914 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2357918 */   GIM_Try, /*On fail goto*//*Label 32820*/ GIMT_Encode4(2357934), // Rule ID 1349 //
     /* 2357923 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2357923 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2357926 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357928 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357930 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357933 */     // GIR_Coverage, 1349,
     /* 2357933 */     GIR_EraseRootFromParent_Done,
     /* 2357934 */   // Label 32820: @2357934
     /* 2357934 */   GIM_Try, /*On fail goto*//*Label 32821*/ GIMT_Encode4(2357950), // Rule ID 1350 //
     /* 2357939 */     // (fcanonicalize:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs1)
     /* 2357939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2357942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357949 */     // GIR_Coverage, 1350,
     /* 2357949 */     GIR_EraseRootFromParent_Done,
     /* 2357950 */   // Label 32821: @2357950
     /* 2357950 */   GIM_Reject,
     /* 2357951 */ // Label 32819: @2357951
     /* 2357951 */ GIM_Reject,
     /* 2357952 */ // Label 32814: @2357952
     /* 2357952 */ GIM_Try, /*On fail goto*//*Label 32822*/ GIMT_Encode4(2358017),
     /* 2357957 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2357960 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2357964 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2357968 */   GIM_Try, /*On fail goto*//*Label 32823*/ GIMT_Encode4(2357984), // Rule ID 1726 //
     /* 2357973 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2357973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2357976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357982 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357983 */     // GIR_Coverage, 1726,
     /* 2357983 */     GIR_EraseRootFromParent_Done,
     /* 2357984 */   // Label 32823: @2357984
     /* 2357984 */   GIM_Try, /*On fail goto*//*Label 32824*/ GIMT_Encode4(2358000), // Rule ID 1727 //
     /* 2357989 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2357989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2357992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2357994 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357996 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2357998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2357999 */     // GIR_Coverage, 1727,
     /* 2357999 */     GIR_EraseRootFromParent_Done,
     /* 2358000 */   // Label 32824: @2358000
     /* 2358000 */   GIM_Try, /*On fail goto*//*Label 32825*/ GIMT_Encode4(2358016), // Rule ID 1728 //
     /* 2358005 */     // (fcanonicalize:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs1)
     /* 2358005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2358008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358015 */     // GIR_Coverage, 1728,
     /* 2358015 */     GIR_EraseRootFromParent_Done,
     /* 2358016 */   // Label 32825: @2358016
     /* 2358016 */   GIM_Reject,
     /* 2358017 */ // Label 32822: @2358017
     /* 2358017 */ GIM_Reject,
     /* 2358018 */ // Label 32815: @2358018
     /* 2358018 */ GIM_Reject,
     /* 2358019 */ // Label 74: @2358019
     /* 2358019 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32844*/ GIMT_Encode4(2360103),
     /* 2358030 */ /*GILLT_s16*//*Label 32826*/ GIMT_Encode4(2358150),
     /* 2358034 */ /*GILLT_s32*//*Label 32827*/ GIMT_Encode4(2358217),
     /* 2358038 */ /*GILLT_s64*//*Label 32828*/ GIMT_Encode4(2358284), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358050 */ /*GILLT_nxv1s16*//*Label 32829*/ GIMT_Encode4(2358378),
     /* 2358054 */ /*GILLT_nxv1s32*//*Label 32830*/ GIMT_Encode4(2358493),
     /* 2358058 */ /*GILLT_nxv1s64*//*Label 32831*/ GIMT_Encode4(2358608), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358070 */ /*GILLT_nxv2s16*//*Label 32832*/ GIMT_Encode4(2358723),
     /* 2358074 */ /*GILLT_nxv2s32*//*Label 32833*/ GIMT_Encode4(2358838),
     /* 2358078 */ /*GILLT_nxv2s64*//*Label 32834*/ GIMT_Encode4(2358953), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358090 */ /*GILLT_nxv4s16*//*Label 32835*/ GIMT_Encode4(2359068),
     /* 2358094 */ /*GILLT_nxv4s32*//*Label 32836*/ GIMT_Encode4(2359183),
     /* 2358098 */ /*GILLT_nxv4s64*//*Label 32837*/ GIMT_Encode4(2359298), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358110 */ /*GILLT_nxv8s16*//*Label 32838*/ GIMT_Encode4(2359413),
     /* 2358114 */ /*GILLT_nxv8s32*//*Label 32839*/ GIMT_Encode4(2359528),
     /* 2358118 */ /*GILLT_nxv8s64*//*Label 32840*/ GIMT_Encode4(2359643), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358130 */ /*GILLT_nxv16s16*//*Label 32841*/ GIMT_Encode4(2359758),
     /* 2358134 */ /*GILLT_nxv16s32*//*Label 32842*/ GIMT_Encode4(2359873), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2358146 */ /*GILLT_nxv32s16*//*Label 32843*/ GIMT_Encode4(2359988),
     /* 2358150 */ // Label 32826: @2358150
     /* 2358150 */ GIM_Try, /*On fail goto*//*Label 32845*/ GIMT_Encode4(2358216),
     /* 2358155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2358158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2358161 */   GIM_Try, /*On fail goto*//*Label 32846*/ GIMT_Encode4(2358188), // Rule ID 2050 //
     /* 2358166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2358169 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2358173 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2358177 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2358181 */     // (fminnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2358181 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2358186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358187 */     // GIR_Coverage, 2050,
     /* 2358187 */     GIR_Done,
     /* 2358188 */   // Label 32846: @2358188
     /* 2358188 */   GIM_Try, /*On fail goto*//*Label 32847*/ GIMT_Encode4(2358215), // Rule ID 2051 //
     /* 2358193 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2358196 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2358200 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2358204 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2358208 */     // (fminnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2358208 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2358213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358214 */     // GIR_Coverage, 2051,
     /* 2358214 */     GIR_Done,
     /* 2358215 */   // Label 32847: @2358215
     /* 2358215 */   GIM_Reject,
     /* 2358216 */ // Label 32845: @2358216
     /* 2358216 */ GIM_Reject,
     /* 2358217 */ // Label 32827: @2358217
     /* 2358217 */ GIM_Try, /*On fail goto*//*Label 32848*/ GIMT_Encode4(2358283),
     /* 2358222 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2358225 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2358228 */   GIM_Try, /*On fail goto*//*Label 32849*/ GIMT_Encode4(2358255), // Rule ID 1337 //
     /* 2358233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2358236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2358240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2358244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2358248 */     // (fminnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2358248 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2358253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358254 */     // GIR_Coverage, 1337,
     /* 2358254 */     GIR_Done,
     /* 2358255 */   // Label 32849: @2358255
     /* 2358255 */   GIM_Try, /*On fail goto*//*Label 32850*/ GIMT_Encode4(2358282), // Rule ID 1338 //
     /* 2358260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2358263 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2358267 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2358271 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2358275 */     // (fminnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2358275 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2358280 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358281 */     // GIR_Coverage, 1338,
     /* 2358281 */     GIR_Done,
     /* 2358282 */   // Label 32850: @2358282
     /* 2358282 */   GIM_Reject,
     /* 2358283 */ // Label 32848: @2358283
     /* 2358283 */ GIM_Reject,
     /* 2358284 */ // Label 32828: @2358284
     /* 2358284 */ GIM_Try, /*On fail goto*//*Label 32851*/ GIMT_Encode4(2358377),
     /* 2358289 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2358292 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2358295 */   GIM_Try, /*On fail goto*//*Label 32852*/ GIMT_Encode4(2358322), // Rule ID 1708 //
     /* 2358300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2358303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2358307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2358311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2358315 */     // (fminnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2358315 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2358320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358321 */     // GIR_Coverage, 1708,
     /* 2358321 */     GIR_Done,
     /* 2358322 */   // Label 32852: @2358322
     /* 2358322 */   GIM_Try, /*On fail goto*//*Label 32853*/ GIMT_Encode4(2358349), // Rule ID 1709 //
     /* 2358327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2358330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2358334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2358338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2358342 */     // (fminnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2358342 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2358347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358348 */     // GIR_Coverage, 1709,
     /* 2358348 */     GIR_Done,
     /* 2358349 */   // Label 32853: @2358349
     /* 2358349 */   GIM_Try, /*On fail goto*//*Label 32854*/ GIMT_Encode4(2358376), // Rule ID 1710 //
     /* 2358354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2358357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2358369 */     // (fminnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2358369 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2358374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358375 */     // GIR_Coverage, 1710,
     /* 2358375 */     GIR_Done,
     /* 2358376 */   // Label 32854: @2358376
     /* 2358376 */   GIM_Reject,
     /* 2358377 */ // Label 32851: @2358377
     /* 2358377 */ GIM_Reject,
     /* 2358378 */ // Label 32829: @2358378
     /* 2358378 */ GIM_Try, /*On fail goto*//*Label 32855*/ GIMT_Encode4(2358492),
     /* 2358383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2358386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2358389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358401 */   GIM_Try, /*On fail goto*//*Label 32856*/ GIMT_Encode4(2358446), // Rule ID 45750 //
     /* 2358406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2358409 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2358412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2358426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358444 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358445 */     // GIR_Coverage, 45750,
     /* 2358445 */     GIR_EraseRootFromParent_Done,
     /* 2358446 */   // Label 32856: @2358446
     /* 2358446 */   GIM_Try, /*On fail goto*//*Label 32857*/ GIMT_Encode4(2358491), // Rule ID 45751 //
     /* 2358451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2358454 */     // (fminnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358454 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2358457 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358461 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358466 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2358471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358473 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358490 */     // GIR_Coverage, 45751,
     /* 2358490 */     GIR_EraseRootFromParent_Done,
     /* 2358491 */   // Label 32857: @2358491
     /* 2358491 */   GIM_Reject,
     /* 2358492 */ // Label 32855: @2358492
     /* 2358492 */ GIM_Reject,
     /* 2358493 */ // Label 32830: @2358493
     /* 2358493 */ GIM_Try, /*On fail goto*//*Label 32858*/ GIMT_Encode4(2358607),
     /* 2358498 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2358501 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2358504 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358508 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358512 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358516 */   GIM_Try, /*On fail goto*//*Label 32859*/ GIMT_Encode4(2358561), // Rule ID 56540 //
     /* 2358521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2358524 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2358527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2358541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358548 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358559 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358560 */     // GIR_Coverage, 56540,
     /* 2358560 */     GIR_EraseRootFromParent_Done,
     /* 2358561 */   // Label 32859: @2358561
     /* 2358561 */   GIM_Try, /*On fail goto*//*Label 32860*/ GIMT_Encode4(2358606), // Rule ID 56541 //
     /* 2358566 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2358569 */     // (fminnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358569 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2358572 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358576 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358581 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2358586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358588 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358591 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358593 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358605 */     // GIR_Coverage, 56541,
     /* 2358605 */     GIR_EraseRootFromParent_Done,
     /* 2358606 */   // Label 32860: @2358606
     /* 2358606 */   GIM_Reject,
     /* 2358607 */ // Label 32858: @2358607
     /* 2358607 */ GIM_Reject,
     /* 2358608 */ // Label 32831: @2358608
     /* 2358608 */ GIM_Try, /*On fail goto*//*Label 32861*/ GIMT_Encode4(2358722),
     /* 2358613 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2358616 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2358619 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358623 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358627 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358631 */   GIM_Try, /*On fail goto*//*Label 32862*/ GIMT_Encode4(2358676), // Rule ID 56558 //
     /* 2358636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2358639 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358639 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2358642 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358646 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358651 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358653 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2358656 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358658 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358661 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358663 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358675 */     // GIR_Coverage, 56558,
     /* 2358675 */     GIR_EraseRootFromParent_Done,
     /* 2358676 */   // Label 32862: @2358676
     /* 2358676 */   GIM_Try, /*On fail goto*//*Label 32863*/ GIMT_Encode4(2358721), // Rule ID 56559 //
     /* 2358681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2358684 */     // (fminnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2358687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2358701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2358716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358720 */     // GIR_Coverage, 56559,
     /* 2358720 */     GIR_EraseRootFromParent_Done,
     /* 2358721 */   // Label 32863: @2358721
     /* 2358721 */   GIM_Reject,
     /* 2358722 */ // Label 32861: @2358722
     /* 2358722 */ GIM_Reject,
     /* 2358723 */ // Label 32832: @2358723
     /* 2358723 */ GIM_Try, /*On fail goto*//*Label 32864*/ GIMT_Encode4(2358837),
     /* 2358728 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2358731 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2358734 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358738 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358742 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358746 */   GIM_Try, /*On fail goto*//*Label 32865*/ GIMT_Encode4(2358791), // Rule ID 56534 //
     /* 2358751 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2358754 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358754 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2358757 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358761 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358766 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358768 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2358771 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358773 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358790 */     // GIR_Coverage, 56534,
     /* 2358790 */     GIR_EraseRootFromParent_Done,
     /* 2358791 */   // Label 32865: @2358791
     /* 2358791 */   GIM_Try, /*On fail goto*//*Label 32866*/ GIMT_Encode4(2358836), // Rule ID 56535 //
     /* 2358796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2358799 */     // (fminnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2358802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2358816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2358831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358835 */     // GIR_Coverage, 56535,
     /* 2358835 */     GIR_EraseRootFromParent_Done,
     /* 2358836 */   // Label 32866: @2358836
     /* 2358836 */   GIM_Reject,
     /* 2358837 */ // Label 32864: @2358837
     /* 2358837 */ GIM_Reject,
     /* 2358838 */ // Label 32833: @2358838
     /* 2358838 */ GIM_Try, /*On fail goto*//*Label 32867*/ GIMT_Encode4(2358952),
     /* 2358843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2358846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2358849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2358861 */   GIM_Try, /*On fail goto*//*Label 32868*/ GIMT_Encode4(2358906), // Rule ID 56552 //
     /* 2358866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2358869 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2358872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2358886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358904 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358905 */     // GIR_Coverage, 56552,
     /* 2358905 */     GIR_EraseRootFromParent_Done,
     /* 2358906 */   // Label 32868: @2358906
     /* 2358906 */   GIM_Try, /*On fail goto*//*Label 32869*/ GIMT_Encode4(2358951), // Rule ID 56553 //
     /* 2358911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2358914 */     // (fminnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2358914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2358917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2358931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2358933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2358936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2358938 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2358940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2358943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2358946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2358949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2358950 */     // GIR_Coverage, 56553,
     /* 2358950 */     GIR_EraseRootFromParent_Done,
     /* 2358951 */   // Label 32869: @2358951
     /* 2358951 */   GIM_Reject,
     /* 2358952 */ // Label 32867: @2358952
     /* 2358952 */ GIM_Reject,
     /* 2358953 */ // Label 32834: @2358953
     /* 2358953 */ GIM_Try, /*On fail goto*//*Label 32870*/ GIMT_Encode4(2359067),
     /* 2358958 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2358961 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2358964 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358968 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358972 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2358976 */   GIM_Try, /*On fail goto*//*Label 32871*/ GIMT_Encode4(2359021), // Rule ID 56600 //
     /* 2358981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2358984 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2358984 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2358987 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2358991 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2358996 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2358998 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2359001 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359003 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359006 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359008 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359020 */     // GIR_Coverage, 56600,
     /* 2359020 */     GIR_EraseRootFromParent_Done,
     /* 2359021 */   // Label 32871: @2359021
     /* 2359021 */   GIM_Try, /*On fail goto*//*Label 32872*/ GIMT_Encode4(2359066), // Rule ID 56601 //
     /* 2359026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2359029 */     // (fminnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359029 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2359032 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359036 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359041 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359043 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2359046 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359048 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359051 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359053 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359061 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359064 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359065 */     // GIR_Coverage, 56601,
     /* 2359065 */     GIR_EraseRootFromParent_Done,
     /* 2359066 */   // Label 32872: @2359066
     /* 2359066 */   GIM_Reject,
     /* 2359067 */ // Label 32870: @2359067
     /* 2359067 */ GIM_Reject,
     /* 2359068 */ // Label 32835: @2359068
     /* 2359068 */ GIM_Try, /*On fail goto*//*Label 32873*/ GIMT_Encode4(2359182),
     /* 2359073 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2359076 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2359079 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359083 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359087 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2359091 */   GIM_Try, /*On fail goto*//*Label 32874*/ GIMT_Encode4(2359136), // Rule ID 56546 //
     /* 2359096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2359099 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359099 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359102 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359106 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359111 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2359116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359118 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359121 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359123 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359134 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359135 */     // GIR_Coverage, 56546,
     /* 2359135 */     GIR_EraseRootFromParent_Done,
     /* 2359136 */   // Label 32874: @2359136
     /* 2359136 */   GIM_Try, /*On fail goto*//*Label 32875*/ GIMT_Encode4(2359181), // Rule ID 56547 //
     /* 2359141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2359144 */     // (fminnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2359147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2359161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359180 */     // GIR_Coverage, 56547,
     /* 2359180 */     GIR_EraseRootFromParent_Done,
     /* 2359181 */   // Label 32875: @2359181
     /* 2359181 */   GIM_Reject,
     /* 2359182 */ // Label 32873: @2359182
     /* 2359182 */ GIM_Reject,
     /* 2359183 */ // Label 32836: @2359183
     /* 2359183 */ GIM_Try, /*On fail goto*//*Label 32876*/ GIMT_Encode4(2359297),
     /* 2359188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2359191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2359194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359202 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359206 */   GIM_Try, /*On fail goto*//*Label 32877*/ GIMT_Encode4(2359251), // Rule ID 56582 //
     /* 2359211 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2359214 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359214 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359217 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359221 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359226 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359228 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2359231 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359233 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359236 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359238 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359250 */     // GIR_Coverage, 56582,
     /* 2359250 */     GIR_EraseRootFromParent_Done,
     /* 2359251 */   // Label 32877: @2359251
     /* 2359251 */   GIM_Try, /*On fail goto*//*Label 32878*/ GIMT_Encode4(2359296), // Rule ID 56583 //
     /* 2359256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2359259 */     // (fminnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359259 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2359262 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359266 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359271 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2359276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359278 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359281 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359283 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359295 */     // GIR_Coverage, 56583,
     /* 2359295 */     GIR_EraseRootFromParent_Done,
     /* 2359296 */   // Label 32878: @2359296
     /* 2359296 */   GIM_Reject,
     /* 2359297 */ // Label 32876: @2359297
     /* 2359297 */ GIM_Reject,
     /* 2359298 */ // Label 32837: @2359298
     /* 2359298 */ GIM_Try, /*On fail goto*//*Label 32879*/ GIMT_Encode4(2359412),
     /* 2359303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2359306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2359309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359321 */   GIM_Try, /*On fail goto*//*Label 32880*/ GIMT_Encode4(2359366), // Rule ID 56606 //
     /* 2359326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2359329 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359329 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2359332 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359336 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359341 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359343 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2359346 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359348 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359361 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359364 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359365 */     // GIR_Coverage, 56606,
     /* 2359365 */     GIR_EraseRootFromParent_Done,
     /* 2359366 */   // Label 32880: @2359366
     /* 2359366 */   GIM_Try, /*On fail goto*//*Label 32881*/ GIMT_Encode4(2359411), // Rule ID 56607 //
     /* 2359371 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2359374 */     // (fminnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359374 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2359377 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359381 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359386 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2359391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359393 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359410 */     // GIR_Coverage, 56607,
     /* 2359410 */     GIR_EraseRootFromParent_Done,
     /* 2359411 */   // Label 32881: @2359411
     /* 2359411 */   GIM_Reject,
     /* 2359412 */ // Label 32879: @2359412
     /* 2359412 */ GIM_Reject,
     /* 2359413 */ // Label 32838: @2359413
     /* 2359413 */ GIM_Try, /*On fail goto*//*Label 32882*/ GIMT_Encode4(2359527),
     /* 2359418 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2359421 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2359424 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359428 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359432 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2359436 */   GIM_Try, /*On fail goto*//*Label 32883*/ GIMT_Encode4(2359481), // Rule ID 56564 //
     /* 2359441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2359444 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2359447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2359461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359480 */     // GIR_Coverage, 56564,
     /* 2359480 */     GIR_EraseRootFromParent_Done,
     /* 2359481 */   // Label 32883: @2359481
     /* 2359481 */   GIM_Try, /*On fail goto*//*Label 32884*/ GIMT_Encode4(2359526), // Rule ID 56565 //
     /* 2359486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2359489 */     // (fminnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2359492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2359506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359524 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359525 */     // GIR_Coverage, 56565,
     /* 2359525 */     GIR_EraseRootFromParent_Done,
     /* 2359526 */   // Label 32884: @2359526
     /* 2359526 */   GIM_Reject,
     /* 2359527 */ // Label 32882: @2359527
     /* 2359527 */ GIM_Reject,
     /* 2359528 */ // Label 32839: @2359528
     /* 2359528 */ GIM_Try, /*On fail goto*//*Label 32885*/ GIMT_Encode4(2359642),
     /* 2359533 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2359536 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2359539 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359543 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359547 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359551 */   GIM_Try, /*On fail goto*//*Label 32886*/ GIMT_Encode4(2359596), // Rule ID 56588 //
     /* 2359556 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2359559 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359559 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2359562 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359566 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359571 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359573 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2359576 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359578 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359581 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359583 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359585 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359595 */     // GIR_Coverage, 56588,
     /* 2359595 */     GIR_EraseRootFromParent_Done,
     /* 2359596 */   // Label 32886: @2359596
     /* 2359596 */   GIM_Try, /*On fail goto*//*Label 32887*/ GIMT_Encode4(2359641), // Rule ID 56589 //
     /* 2359601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2359604 */     // (fminnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2359607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2359621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359640 */     // GIR_Coverage, 56589,
     /* 2359640 */     GIR_EraseRootFromParent_Done,
     /* 2359641 */   // Label 32887: @2359641
     /* 2359641 */   GIM_Reject,
     /* 2359642 */ // Label 32885: @2359642
     /* 2359642 */ GIM_Reject,
     /* 2359643 */ // Label 32840: @2359643
     /* 2359643 */ GIM_Try, /*On fail goto*//*Label 32888*/ GIMT_Encode4(2359757),
     /* 2359648 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2359651 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2359654 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359658 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359662 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359666 */   GIM_Try, /*On fail goto*//*Label 32889*/ GIMT_Encode4(2359711), // Rule ID 56612 //
     /* 2359671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2359674 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359674 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2359677 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359681 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359686 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2359691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359693 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359696 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359698 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359710 */     // GIR_Coverage, 56612,
     /* 2359710 */     GIR_EraseRootFromParent_Done,
     /* 2359711 */   // Label 32889: @2359711
     /* 2359711 */   GIM_Try, /*On fail goto*//*Label 32890*/ GIMT_Encode4(2359756), // Rule ID 56613 //
     /* 2359716 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2359719 */     // (fminnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359719 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2359722 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359726 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359731 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2359736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359738 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359741 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359743 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2359751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359755 */     // GIR_Coverage, 56613,
     /* 2359755 */     GIR_EraseRootFromParent_Done,
     /* 2359756 */   // Label 32890: @2359756
     /* 2359756 */   GIM_Reject,
     /* 2359757 */ // Label 32888: @2359757
     /* 2359757 */ GIM_Reject,
     /* 2359758 */ // Label 32841: @2359758
     /* 2359758 */ GIM_Try, /*On fail goto*//*Label 32891*/ GIMT_Encode4(2359872),
     /* 2359763 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2359766 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2359769 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359773 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359777 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2359781 */   GIM_Try, /*On fail goto*//*Label 32892*/ GIMT_Encode4(2359826), // Rule ID 56570 //
     /* 2359786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2359789 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359789 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2359792 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359796 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359801 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359803 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2359806 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359808 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359825 */     // GIR_Coverage, 56570,
     /* 2359825 */     GIR_EraseRootFromParent_Done,
     /* 2359826 */   // Label 32892: @2359826
     /* 2359826 */   GIM_Try, /*On fail goto*//*Label 32893*/ GIMT_Encode4(2359871), // Rule ID 56571 //
     /* 2359831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2359834 */     // (fminnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2359837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2359851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359858 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2359866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359870 */     // GIR_Coverage, 56571,
     /* 2359870 */     GIR_EraseRootFromParent_Done,
     /* 2359871 */   // Label 32893: @2359871
     /* 2359871 */   GIM_Reject,
     /* 2359872 */ // Label 32891: @2359872
     /* 2359872 */ GIM_Reject,
     /* 2359873 */ // Label 32842: @2359873
     /* 2359873 */ GIM_Try, /*On fail goto*//*Label 32894*/ GIMT_Encode4(2359987),
     /* 2359878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2359881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2359884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359892 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2359896 */   GIM_Try, /*On fail goto*//*Label 32895*/ GIMT_Encode4(2359941), // Rule ID 56594 //
     /* 2359901 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2359904 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2359904 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2359907 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359911 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359916 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2359921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359923 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359940 */     // GIR_Coverage, 56594,
     /* 2359940 */     GIR_EraseRootFromParent_Done,
     /* 2359941 */   // Label 32895: @2359941
     /* 2359941 */   GIM_Try, /*On fail goto*//*Label 32896*/ GIMT_Encode4(2359986), // Rule ID 56595 //
     /* 2359946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2359949 */     // (fminnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2359949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2359952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2359956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2359961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2359963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2359966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2359968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2359971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2359973 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2359975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2359978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2359981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2359984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2359985 */     // GIR_Coverage, 56595,
     /* 2359985 */     GIR_EraseRootFromParent_Done,
     /* 2359986 */   // Label 32896: @2359986
     /* 2359986 */   GIM_Reject,
     /* 2359987 */ // Label 32894: @2359987
     /* 2359987 */ GIM_Reject,
     /* 2359988 */ // Label 32843: @2359988
     /* 2359988 */ GIM_Try, /*On fail goto*//*Label 32897*/ GIMT_Encode4(2360102),
     /* 2359993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2359996 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2359999 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360003 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360007 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2360011 */   GIM_Try, /*On fail goto*//*Label 32898*/ GIMT_Encode4(2360056), // Rule ID 56576 //
     /* 2360016 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2360019 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360019 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360022 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360026 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360031 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360033 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2360036 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360038 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360041 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360055 */     // GIR_Coverage, 56576,
     /* 2360055 */     GIR_EraseRootFromParent_Done,
     /* 2360056 */   // Label 32898: @2360056
     /* 2360056 */   GIM_Try, /*On fail goto*//*Label 32899*/ GIMT_Encode4(2360101), // Rule ID 56577 //
     /* 2360061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2360064 */     // (fminnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360064 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2360067 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360071 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360076 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360078 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2360081 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360083 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360086 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360088 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360100 */     // GIR_Coverage, 56577,
     /* 2360100 */     GIR_EraseRootFromParent_Done,
     /* 2360101 */   // Label 32899: @2360101
     /* 2360101 */   GIM_Reject,
     /* 2360102 */ // Label 32897: @2360102
     /* 2360102 */ GIM_Reject,
     /* 2360103 */ // Label 32844: @2360103
     /* 2360103 */ GIM_Reject,
     /* 2360104 */ // Label 75: @2360104
     /* 2360104 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 32918*/ GIMT_Encode4(2362188),
     /* 2360115 */ /*GILLT_s16*//*Label 32900*/ GIMT_Encode4(2360235),
     /* 2360119 */ /*GILLT_s32*//*Label 32901*/ GIMT_Encode4(2360302),
     /* 2360123 */ /*GILLT_s64*//*Label 32902*/ GIMT_Encode4(2360369), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360135 */ /*GILLT_nxv1s16*//*Label 32903*/ GIMT_Encode4(2360463),
     /* 2360139 */ /*GILLT_nxv1s32*//*Label 32904*/ GIMT_Encode4(2360578),
     /* 2360143 */ /*GILLT_nxv1s64*//*Label 32905*/ GIMT_Encode4(2360693), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360155 */ /*GILLT_nxv2s16*//*Label 32906*/ GIMT_Encode4(2360808),
     /* 2360159 */ /*GILLT_nxv2s32*//*Label 32907*/ GIMT_Encode4(2360923),
     /* 2360163 */ /*GILLT_nxv2s64*//*Label 32908*/ GIMT_Encode4(2361038), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360175 */ /*GILLT_nxv4s16*//*Label 32909*/ GIMT_Encode4(2361153),
     /* 2360179 */ /*GILLT_nxv4s32*//*Label 32910*/ GIMT_Encode4(2361268),
     /* 2360183 */ /*GILLT_nxv4s64*//*Label 32911*/ GIMT_Encode4(2361383), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360195 */ /*GILLT_nxv8s16*//*Label 32912*/ GIMT_Encode4(2361498),
     /* 2360199 */ /*GILLT_nxv8s32*//*Label 32913*/ GIMT_Encode4(2361613),
     /* 2360203 */ /*GILLT_nxv8s64*//*Label 32914*/ GIMT_Encode4(2361728), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360215 */ /*GILLT_nxv16s16*//*Label 32915*/ GIMT_Encode4(2361843),
     /* 2360219 */ /*GILLT_nxv16s32*//*Label 32916*/ GIMT_Encode4(2361958), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2360231 */ /*GILLT_nxv32s16*//*Label 32917*/ GIMT_Encode4(2362073),
     /* 2360235 */ // Label 32900: @2360235
     /* 2360235 */ GIM_Try, /*On fail goto*//*Label 32919*/ GIMT_Encode4(2360301),
     /* 2360240 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2360243 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2360246 */   GIM_Try, /*On fail goto*//*Label 32920*/ GIMT_Encode4(2360273), // Rule ID 2052 //
     /* 2360251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2360254 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360258 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360262 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2360266 */     // (fmaxnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2360266 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2360271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360272 */     // GIR_Coverage, 2052,
     /* 2360272 */     GIR_Done,
     /* 2360273 */   // Label 32920: @2360273
     /* 2360273 */   GIM_Try, /*On fail goto*//*Label 32921*/ GIMT_Encode4(2360300), // Rule ID 2053 //
     /* 2360278 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2360281 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2360285 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2360289 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2360293 */     // (fmaxnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2360293 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2360298 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360299 */     // GIR_Coverage, 2053,
     /* 2360299 */     GIR_Done,
     /* 2360300 */   // Label 32921: @2360300
     /* 2360300 */   GIM_Reject,
     /* 2360301 */ // Label 32919: @2360301
     /* 2360301 */ GIM_Reject,
     /* 2360302 */ // Label 32901: @2360302
     /* 2360302 */ GIM_Try, /*On fail goto*//*Label 32922*/ GIMT_Encode4(2360368),
     /* 2360307 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2360310 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2360313 */   GIM_Try, /*On fail goto*//*Label 32923*/ GIMT_Encode4(2360340), // Rule ID 1339 //
     /* 2360318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2360321 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360325 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360329 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2360333 */     // (fmaxnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2360333 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2360338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360339 */     // GIR_Coverage, 1339,
     /* 2360339 */     GIR_Done,
     /* 2360340 */   // Label 32923: @2360340
     /* 2360340 */   GIM_Try, /*On fail goto*//*Label 32924*/ GIMT_Encode4(2360367), // Rule ID 1340 //
     /* 2360345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2360348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2360352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2360356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2360360 */     // (fmaxnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2360360 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2360365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360366 */     // GIR_Coverage, 1340,
     /* 2360366 */     GIR_Done,
     /* 2360367 */   // Label 32924: @2360367
     /* 2360367 */   GIM_Reject,
     /* 2360368 */ // Label 32922: @2360368
     /* 2360368 */ GIM_Reject,
     /* 2360369 */ // Label 32902: @2360369
     /* 2360369 */ GIM_Try, /*On fail goto*//*Label 32925*/ GIMT_Encode4(2360462),
     /* 2360374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2360377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2360380 */   GIM_Try, /*On fail goto*//*Label 32926*/ GIMT_Encode4(2360407), // Rule ID 1711 //
     /* 2360385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2360388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2360392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2360396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2360400 */     // (fmaxnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2360400 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2360405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360406 */     // GIR_Coverage, 1711,
     /* 2360406 */     GIR_Done,
     /* 2360407 */   // Label 32926: @2360407
     /* 2360407 */   GIM_Try, /*On fail goto*//*Label 32927*/ GIMT_Encode4(2360434), // Rule ID 1712 //
     /* 2360412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2360415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2360419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2360423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2360427 */     // (fmaxnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2360427 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2360432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360433 */     // GIR_Coverage, 1712,
     /* 2360433 */     GIR_Done,
     /* 2360434 */   // Label 32927: @2360434
     /* 2360434 */   GIM_Try, /*On fail goto*//*Label 32928*/ GIMT_Encode4(2360461), // Rule ID 1713 //
     /* 2360439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2360442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2360454 */     // (fmaxnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2360454 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2360459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360460 */     // GIR_Coverage, 1713,
     /* 2360460 */     GIR_Done,
     /* 2360461 */   // Label 32928: @2360461
     /* 2360461 */   GIM_Reject,
     /* 2360462 */ // Label 32925: @2360462
     /* 2360462 */ GIM_Reject,
     /* 2360463 */ // Label 32903: @2360463
     /* 2360463 */ GIM_Try, /*On fail goto*//*Label 32929*/ GIMT_Encode4(2360577),
     /* 2360468 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2360471 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2360474 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360478 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360482 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360486 */   GIM_Try, /*On fail goto*//*Label 32930*/ GIMT_Encode4(2360531), // Rule ID 56618 //
     /* 2360491 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2360494 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360494 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2360497 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360501 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360506 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360508 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2360511 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360513 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360530 */     // GIR_Coverage, 56618,
     /* 2360530 */     GIR_EraseRootFromParent_Done,
     /* 2360531 */   // Label 32930: @2360531
     /* 2360531 */   GIM_Try, /*On fail goto*//*Label 32931*/ GIMT_Encode4(2360576), // Rule ID 56619 //
     /* 2360536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2360539 */     // (fmaxnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2360542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2360556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360575 */     // GIR_Coverage, 56619,
     /* 2360575 */     GIR_EraseRootFromParent_Done,
     /* 2360576 */   // Label 32931: @2360576
     /* 2360576 */   GIM_Reject,
     /* 2360577 */ // Label 32929: @2360577
     /* 2360577 */ GIM_Reject,
     /* 2360578 */ // Label 32904: @2360578
     /* 2360578 */ GIM_Try, /*On fail goto*//*Label 32932*/ GIMT_Encode4(2360692),
     /* 2360583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2360586 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2360589 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360593 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360597 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360601 */   GIM_Try, /*On fail goto*//*Label 32933*/ GIMT_Encode4(2360646), // Rule ID 56630 //
     /* 2360606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2360609 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360609 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2360612 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360616 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360621 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360623 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2360626 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360628 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360631 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360633 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360645 */     // GIR_Coverage, 56630,
     /* 2360645 */     GIR_EraseRootFromParent_Done,
     /* 2360646 */   // Label 32933: @2360646
     /* 2360646 */   GIM_Try, /*On fail goto*//*Label 32934*/ GIMT_Encode4(2360691), // Rule ID 56631 //
     /* 2360651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2360654 */     // (fmaxnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2360657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2360671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360678 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360690 */     // GIR_Coverage, 56631,
     /* 2360690 */     GIR_EraseRootFromParent_Done,
     /* 2360691 */   // Label 32934: @2360691
     /* 2360691 */   GIM_Reject,
     /* 2360692 */ // Label 32932: @2360692
     /* 2360692 */ GIM_Reject,
     /* 2360693 */ // Label 32905: @2360693
     /* 2360693 */ GIM_Try, /*On fail goto*//*Label 32935*/ GIMT_Encode4(2360807),
     /* 2360698 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2360701 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2360704 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360708 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360712 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360716 */   GIM_Try, /*On fail goto*//*Label 32936*/ GIMT_Encode4(2360761), // Rule ID 56648 //
     /* 2360721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2360724 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360724 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2360727 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360731 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360736 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360738 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2360741 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360743 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360746 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360748 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360760 */     // GIR_Coverage, 56648,
     /* 2360760 */     GIR_EraseRootFromParent_Done,
     /* 2360761 */   // Label 32936: @2360761
     /* 2360761 */   GIM_Try, /*On fail goto*//*Label 32937*/ GIMT_Encode4(2360806), // Rule ID 56649 //
     /* 2360766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2360769 */     // (fmaxnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360769 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2360772 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360776 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360781 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360783 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2360786 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360788 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360791 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360793 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2360801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360804 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360805 */     // GIR_Coverage, 56649,
     /* 2360805 */     GIR_EraseRootFromParent_Done,
     /* 2360806 */   // Label 32937: @2360806
     /* 2360806 */   GIM_Reject,
     /* 2360807 */ // Label 32935: @2360807
     /* 2360807 */ GIM_Reject,
     /* 2360808 */ // Label 32906: @2360808
     /* 2360808 */ GIM_Try, /*On fail goto*//*Label 32938*/ GIMT_Encode4(2360922),
     /* 2360813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2360816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2360819 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360823 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360827 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360831 */   GIM_Try, /*On fail goto*//*Label 32939*/ GIMT_Encode4(2360876), // Rule ID 56624 //
     /* 2360836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2360839 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2360842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2360856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360863 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360875 */     // GIR_Coverage, 56624,
     /* 2360875 */     GIR_EraseRootFromParent_Done,
     /* 2360876 */   // Label 32939: @2360876
     /* 2360876 */   GIM_Try, /*On fail goto*//*Label 32940*/ GIMT_Encode4(2360921), // Rule ID 56625 //
     /* 2360881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2360884 */     // (fmaxnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360884 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2360887 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360891 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360896 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2360901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360903 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360906 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360908 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2360916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360920 */     // GIR_Coverage, 56625,
     /* 2360920 */     GIR_EraseRootFromParent_Done,
     /* 2360921 */   // Label 32940: @2360921
     /* 2360921 */   GIM_Reject,
     /* 2360922 */ // Label 32938: @2360922
     /* 2360922 */ GIM_Reject,
     /* 2360923 */ // Label 32907: @2360923
     /* 2360923 */ GIM_Try, /*On fail goto*//*Label 32941*/ GIMT_Encode4(2361037),
     /* 2360928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2360931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2360934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360942 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2360946 */   GIM_Try, /*On fail goto*//*Label 32942*/ GIMT_Encode4(2360991), // Rule ID 56642 //
     /* 2360951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2360954 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2360954 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2360957 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2360961 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2360966 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2360968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2360971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2360973 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2360976 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2360978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2360980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2360983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2360986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2360989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2360990 */     // GIR_Coverage, 56642,
     /* 2360990 */     GIR_EraseRootFromParent_Done,
     /* 2360991 */   // Label 32942: @2360991
     /* 2360991 */   GIM_Try, /*On fail goto*//*Label 32943*/ GIMT_Encode4(2361036), // Rule ID 56643 //
     /* 2360996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2360999 */     // (fmaxnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2360999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2361002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2361016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361023 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361035 */     // GIR_Coverage, 56643,
     /* 2361035 */     GIR_EraseRootFromParent_Done,
     /* 2361036 */   // Label 32943: @2361036
     /* 2361036 */   GIM_Reject,
     /* 2361037 */ // Label 32941: @2361037
     /* 2361037 */ GIM_Reject,
     /* 2361038 */ // Label 32908: @2361038
     /* 2361038 */ GIM_Try, /*On fail goto*//*Label 32944*/ GIMT_Encode4(2361152),
     /* 2361043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2361046 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2361049 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361053 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361057 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361061 */   GIM_Try, /*On fail goto*//*Label 32945*/ GIMT_Encode4(2361106), // Rule ID 56690 //
     /* 2361066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2361069 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2361072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2361086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361104 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361105 */     // GIR_Coverage, 56690,
     /* 2361105 */     GIR_EraseRootFromParent_Done,
     /* 2361106 */   // Label 32945: @2361106
     /* 2361106 */   GIM_Try, /*On fail goto*//*Label 32946*/ GIMT_Encode4(2361151), // Rule ID 56691 //
     /* 2361111 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2361114 */     // (fmaxnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361114 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2361117 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361121 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361126 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361128 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2361131 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361133 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361136 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361138 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361150 */     // GIR_Coverage, 56691,
     /* 2361150 */     GIR_EraseRootFromParent_Done,
     /* 2361151 */   // Label 32946: @2361151
     /* 2361151 */   GIM_Reject,
     /* 2361152 */ // Label 32944: @2361152
     /* 2361152 */ GIM_Reject,
     /* 2361153 */ // Label 32909: @2361153
     /* 2361153 */ GIM_Try, /*On fail goto*//*Label 32947*/ GIMT_Encode4(2361267),
     /* 2361158 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2361161 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2361164 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361168 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361172 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2361176 */   GIM_Try, /*On fail goto*//*Label 32948*/ GIMT_Encode4(2361221), // Rule ID 56636 //
     /* 2361181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2361184 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361184 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2361187 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361191 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361196 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2361201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361203 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361206 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361208 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361220 */     // GIR_Coverage, 56636,
     /* 2361220 */     GIR_EraseRootFromParent_Done,
     /* 2361221 */   // Label 32948: @2361221
     /* 2361221 */   GIM_Try, /*On fail goto*//*Label 32949*/ GIMT_Encode4(2361266), // Rule ID 56637 //
     /* 2361226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2361229 */     // (fmaxnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2361232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2361246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361265 */     // GIR_Coverage, 56637,
     /* 2361265 */     GIR_EraseRootFromParent_Done,
     /* 2361266 */   // Label 32949: @2361266
     /* 2361266 */   GIM_Reject,
     /* 2361267 */ // Label 32947: @2361267
     /* 2361267 */ GIM_Reject,
     /* 2361268 */ // Label 32910: @2361268
     /* 2361268 */ GIM_Try, /*On fail goto*//*Label 32950*/ GIMT_Encode4(2361382),
     /* 2361273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2361276 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2361279 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361283 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361287 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361291 */   GIM_Try, /*On fail goto*//*Label 32951*/ GIMT_Encode4(2361336), // Rule ID 56672 //
     /* 2361296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2361299 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2361302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2361316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361335 */     // GIR_Coverage, 56672,
     /* 2361335 */     GIR_EraseRootFromParent_Done,
     /* 2361336 */   // Label 32951: @2361336
     /* 2361336 */   GIM_Try, /*On fail goto*//*Label 32952*/ GIMT_Encode4(2361381), // Rule ID 56673 //
     /* 2361341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2361344 */     // (fmaxnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361344 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2361347 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361351 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361356 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2361361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361363 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361380 */     // GIR_Coverage, 56673,
     /* 2361380 */     GIR_EraseRootFromParent_Done,
     /* 2361381 */   // Label 32952: @2361381
     /* 2361381 */   GIM_Reject,
     /* 2361382 */ // Label 32950: @2361382
     /* 2361382 */ GIM_Reject,
     /* 2361383 */ // Label 32911: @2361383
     /* 2361383 */ GIM_Try, /*On fail goto*//*Label 32953*/ GIMT_Encode4(2361497),
     /* 2361388 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2361391 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2361394 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361398 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361402 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361406 */   GIM_Try, /*On fail goto*//*Label 32954*/ GIMT_Encode4(2361451), // Rule ID 56696 //
     /* 2361411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2361414 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361414 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2361417 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361421 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361426 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361428 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2361431 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361433 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361436 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361438 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361450 */     // GIR_Coverage, 56696,
     /* 2361450 */     GIR_EraseRootFromParent_Done,
     /* 2361451 */   // Label 32954: @2361451
     /* 2361451 */   GIM_Try, /*On fail goto*//*Label 32955*/ GIMT_Encode4(2361496), // Rule ID 56697 //
     /* 2361456 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2361459 */     // (fmaxnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361459 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2361462 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361466 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361471 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361473 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2361476 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361478 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361481 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361495 */     // GIR_Coverage, 56697,
     /* 2361495 */     GIR_EraseRootFromParent_Done,
     /* 2361496 */   // Label 32955: @2361496
     /* 2361496 */   GIM_Reject,
     /* 2361497 */ // Label 32953: @2361497
     /* 2361497 */ GIM_Reject,
     /* 2361498 */ // Label 32912: @2361498
     /* 2361498 */ GIM_Try, /*On fail goto*//*Label 32956*/ GIMT_Encode4(2361612),
     /* 2361503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2361506 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2361509 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361513 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361517 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2361521 */   GIM_Try, /*On fail goto*//*Label 32957*/ GIMT_Encode4(2361566), // Rule ID 56654 //
     /* 2361526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2361529 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361529 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2361532 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361536 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361541 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361543 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2361546 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361548 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361553 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361565 */     // GIR_Coverage, 56654,
     /* 2361565 */     GIR_EraseRootFromParent_Done,
     /* 2361566 */   // Label 32957: @2361566
     /* 2361566 */   GIM_Try, /*On fail goto*//*Label 32958*/ GIMT_Encode4(2361611), // Rule ID 56655 //
     /* 2361571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2361574 */     // (fmaxnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361574 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2361577 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361581 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361586 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2361591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361593 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361596 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361598 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361610 */     // GIR_Coverage, 56655,
     /* 2361610 */     GIR_EraseRootFromParent_Done,
     /* 2361611 */   // Label 32958: @2361611
     /* 2361611 */   GIM_Reject,
     /* 2361612 */ // Label 32956: @2361612
     /* 2361612 */ GIM_Reject,
     /* 2361613 */ // Label 32913: @2361613
     /* 2361613 */ GIM_Try, /*On fail goto*//*Label 32959*/ GIMT_Encode4(2361727),
     /* 2361618 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2361621 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2361624 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361628 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361632 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361636 */   GIM_Try, /*On fail goto*//*Label 32960*/ GIMT_Encode4(2361681), // Rule ID 56678 //
     /* 2361641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2361644 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2361647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2361661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361668 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361680 */     // GIR_Coverage, 56678,
     /* 2361680 */     GIR_EraseRootFromParent_Done,
     /* 2361681 */   // Label 32960: @2361681
     /* 2361681 */   GIM_Try, /*On fail goto*//*Label 32961*/ GIMT_Encode4(2361726), // Rule ID 56679 //
     /* 2361686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2361689 */     // (fmaxnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361689 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2361692 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361696 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361701 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361703 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2361706 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361708 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361711 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361713 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2361721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361724 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361725 */     // GIR_Coverage, 56679,
     /* 2361725 */     GIR_EraseRootFromParent_Done,
     /* 2361726 */   // Label 32961: @2361726
     /* 2361726 */   GIM_Reject,
     /* 2361727 */ // Label 32959: @2361727
     /* 2361727 */ GIM_Reject,
     /* 2361728 */ // Label 32914: @2361728
     /* 2361728 */ GIM_Try, /*On fail goto*//*Label 32962*/ GIMT_Encode4(2361842),
     /* 2361733 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2361736 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2361739 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361743 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361747 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361751 */   GIM_Try, /*On fail goto*//*Label 32963*/ GIMT_Encode4(2361796), // Rule ID 56702 //
     /* 2361756 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2361759 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361759 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2361762 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361766 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361771 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2361776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361778 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361795 */     // GIR_Coverage, 56702,
     /* 2361795 */     GIR_EraseRootFromParent_Done,
     /* 2361796 */   // Label 32963: @2361796
     /* 2361796 */   GIM_Try, /*On fail goto*//*Label 32964*/ GIMT_Encode4(2361841), // Rule ID 56703 //
     /* 2361801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2361804 */     // (fmaxnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2361807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2361821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2361836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361840 */     // GIR_Coverage, 56703,
     /* 2361840 */     GIR_EraseRootFromParent_Done,
     /* 2361841 */   // Label 32964: @2361841
     /* 2361841 */   GIM_Reject,
     /* 2361842 */ // Label 32962: @2361842
     /* 2361842 */ GIM_Reject,
     /* 2361843 */ // Label 32915: @2361843
     /* 2361843 */ GIM_Try, /*On fail goto*//*Label 32965*/ GIMT_Encode4(2361957),
     /* 2361848 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2361851 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2361854 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361858 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361862 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2361866 */   GIM_Try, /*On fail goto*//*Label 32966*/ GIMT_Encode4(2361911), // Rule ID 56660 //
     /* 2361871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2361874 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2361877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2361891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361900 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361909 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361910 */     // GIR_Coverage, 56660,
     /* 2361910 */     GIR_EraseRootFromParent_Done,
     /* 2361911 */   // Label 32966: @2361911
     /* 2361911 */   GIM_Try, /*On fail goto*//*Label 32967*/ GIMT_Encode4(2361956), // Rule ID 56661 //
     /* 2361916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2361919 */     // (fmaxnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2361919 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2361922 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361926 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2361931 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2361933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2361936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2361938 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2361941 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2361943 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2361945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2361948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2361951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2361954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2361955 */     // GIR_Coverage, 56661,
     /* 2361955 */     GIR_EraseRootFromParent_Done,
     /* 2361956 */   // Label 32967: @2361956
     /* 2361956 */   GIM_Reject,
     /* 2361957 */ // Label 32965: @2361957
     /* 2361957 */ GIM_Reject,
     /* 2361958 */ // Label 32916: @2361958
     /* 2361958 */ GIM_Try, /*On fail goto*//*Label 32968*/ GIMT_Encode4(2362072),
     /* 2361963 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2361966 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2361969 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361973 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361977 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2361981 */   GIM_Try, /*On fail goto*//*Label 32969*/ GIMT_Encode4(2362026), // Rule ID 56684 //
     /* 2361986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2361989 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2361989 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2361992 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2361996 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362001 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362003 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2362006 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362008 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362011 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362013 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362021 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362024 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362025 */     // GIR_Coverage, 56684,
     /* 2362025 */     GIR_EraseRootFromParent_Done,
     /* 2362026 */   // Label 32969: @2362026
     /* 2362026 */   GIM_Try, /*On fail goto*//*Label 32970*/ GIMT_Encode4(2362071), // Rule ID 56685 //
     /* 2362031 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2362034 */     // (fmaxnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362034 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2362037 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362041 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362046 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362048 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2362051 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362053 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362069 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362070 */     // GIR_Coverage, 56685,
     /* 2362070 */     GIR_EraseRootFromParent_Done,
     /* 2362071 */   // Label 32970: @2362071
     /* 2362071 */   GIM_Reject,
     /* 2362072 */ // Label 32968: @2362072
     /* 2362072 */ GIM_Reject,
     /* 2362073 */ // Label 32917: @2362073
     /* 2362073 */ GIM_Try, /*On fail goto*//*Label 32971*/ GIMT_Encode4(2362187),
     /* 2362078 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2362081 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2362084 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362088 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362092 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2362096 */   GIM_Try, /*On fail goto*//*Label 32972*/ GIMT_Encode4(2362141), // Rule ID 56666 //
     /* 2362101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2362104 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2362107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2362121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362140 */     // GIR_Coverage, 56666,
     /* 2362140 */     GIR_EraseRootFromParent_Done,
     /* 2362141 */   // Label 32972: @2362141
     /* 2362141 */   GIM_Try, /*On fail goto*//*Label 32973*/ GIMT_Encode4(2362186), // Rule ID 56667 //
     /* 2362146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2362149 */     // (fmaxnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2362152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2362166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362173 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362185 */     // GIR_Coverage, 56667,
     /* 2362185 */     GIR_EraseRootFromParent_Done,
     /* 2362186 */   // Label 32973: @2362186
     /* 2362186 */   GIM_Reject,
     /* 2362187 */ // Label 32971: @2362187
     /* 2362187 */ GIM_Reject,
     /* 2362188 */ // Label 32918: @2362188
     /* 2362188 */ GIM_Reject,
     /* 2362189 */ // Label 76: @2362189
     /* 2362189 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32977*/ GIMT_Encode4(2362314),
     /* 2362200 */ /*GILLT_s16*//*Label 32974*/ GIMT_Encode4(2362212),
     /* 2362204 */ /*GILLT_s32*//*Label 32975*/ GIMT_Encode4(2362246),
     /* 2362208 */ /*GILLT_s64*//*Label 32976*/ GIMT_Encode4(2362280),
     /* 2362212 */ // Label 32974: @2362212
     /* 2362212 */ GIM_Try, /*On fail goto*//*Label 32978*/ GIMT_Encode4(2362245), // Rule ID 2404 //
     /* 2362217 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2362220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2362223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362226 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362230 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362234 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362238 */   // (fminimum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMINM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362238 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_H),
     /* 2362243 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362244 */   // GIR_Coverage, 2404,
     /* 2362244 */   GIR_Done,
     /* 2362245 */ // Label 32978: @2362245
     /* 2362245 */ GIM_Reject,
     /* 2362246 */ // Label 32975: @2362246
     /* 2362246 */ GIM_Try, /*On fail goto*//*Label 32979*/ GIMT_Encode4(2362279), // Rule ID 2322 //
     /* 2362251 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2362254 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2362257 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2362260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362268 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362272 */   // (fminimum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMINM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2362272 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_S),
     /* 2362277 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362278 */   // GIR_Coverage, 2322,
     /* 2362278 */   GIR_Done,
     /* 2362279 */ // Label 32979: @2362279
     /* 2362279 */ GIM_Reject,
     /* 2362280 */ // Label 32976: @2362280
     /* 2362280 */ GIM_Try, /*On fail goto*//*Label 32980*/ GIMT_Encode4(2362313), // Rule ID 2362 //
     /* 2362285 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2362288 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2362291 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362294 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362298 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362302 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362306 */   // (fminimum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMINM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362306 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMINM_D),
     /* 2362311 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362312 */   // GIR_Coverage, 2362,
     /* 2362312 */   GIR_Done,
     /* 2362313 */ // Label 32980: @2362313
     /* 2362313 */ GIM_Reject,
     /* 2362314 */ // Label 32977: @2362314
     /* 2362314 */ GIM_Reject,
     /* 2362315 */ // Label 77: @2362315
     /* 2362315 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 32984*/ GIMT_Encode4(2362440),
     /* 2362326 */ /*GILLT_s16*//*Label 32981*/ GIMT_Encode4(2362338),
     /* 2362330 */ /*GILLT_s32*//*Label 32982*/ GIMT_Encode4(2362372),
     /* 2362334 */ /*GILLT_s64*//*Label 32983*/ GIMT_Encode4(2362406),
     /* 2362338 */ // Label 32981: @2362338
     /* 2362338 */ GIM_Try, /*On fail goto*//*Label 32985*/ GIMT_Encode4(2362371), // Rule ID 2405 //
     /* 2362343 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh),
     /* 2362346 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2362349 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362352 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362356 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362360 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362364 */   // (fmaximum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAXM_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362364 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_H),
     /* 2362369 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362370 */   // GIR_Coverage, 2405,
     /* 2362370 */   GIR_Done,
     /* 2362371 */ // Label 32985: @2362371
     /* 2362371 */ GIM_Reject,
     /* 2362372 */ // Label 32982: @2362372
     /* 2362372 */ GIM_Try, /*On fail goto*//*Label 32986*/ GIMT_Encode4(2362405), // Rule ID 2323 //
     /* 2362377 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa),
     /* 2362380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2362383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2362386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362398 */   // (fmaximum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAXM_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2362398 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_S),
     /* 2362403 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362404 */   // GIR_Coverage, 2323,
     /* 2362404 */   GIR_Done,
     /* 2362405 */ // Label 32986: @2362405
     /* 2362405 */ GIM_Reject,
     /* 2362406 */ // Label 32983: @2362406
     /* 2362406 */ GIM_Try, /*On fail goto*//*Label 32987*/ GIMT_Encode4(2362439), // Rule ID 2363 //
     /* 2362411 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa),
     /* 2362414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2362417 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362428 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362432 */   // (fmaximum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAXM_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362432 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAXM_D),
     /* 2362437 */   GIR_RootConstrainSelectedInstOperands,
     /* 2362438 */   // GIR_Coverage, 2363,
     /* 2362438 */   GIR_Done,
     /* 2362439 */ // Label 32987: @2362439
     /* 2362439 */ GIM_Reject,
     /* 2362440 */ // Label 32984: @2362440
     /* 2362440 */ GIM_Reject,
     /* 2362441 */ // Label 78: @2362441
     /* 2362441 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33006*/ GIMT_Encode4(2364525),
     /* 2362452 */ /*GILLT_s16*//*Label 32988*/ GIMT_Encode4(2362572),
     /* 2362456 */ /*GILLT_s32*//*Label 32989*/ GIMT_Encode4(2362639),
     /* 2362460 */ /*GILLT_s64*//*Label 32990*/ GIMT_Encode4(2362706), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362472 */ /*GILLT_nxv1s16*//*Label 32991*/ GIMT_Encode4(2362800),
     /* 2362476 */ /*GILLT_nxv1s32*//*Label 32992*/ GIMT_Encode4(2362915),
     /* 2362480 */ /*GILLT_nxv1s64*//*Label 32993*/ GIMT_Encode4(2363030), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362492 */ /*GILLT_nxv2s16*//*Label 32994*/ GIMT_Encode4(2363145),
     /* 2362496 */ /*GILLT_nxv2s32*//*Label 32995*/ GIMT_Encode4(2363260),
     /* 2362500 */ /*GILLT_nxv2s64*//*Label 32996*/ GIMT_Encode4(2363375), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362512 */ /*GILLT_nxv4s16*//*Label 32997*/ GIMT_Encode4(2363490),
     /* 2362516 */ /*GILLT_nxv4s32*//*Label 32998*/ GIMT_Encode4(2363605),
     /* 2362520 */ /*GILLT_nxv4s64*//*Label 32999*/ GIMT_Encode4(2363720), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362532 */ /*GILLT_nxv8s16*//*Label 33000*/ GIMT_Encode4(2363835),
     /* 2362536 */ /*GILLT_nxv8s32*//*Label 33001*/ GIMT_Encode4(2363950),
     /* 2362540 */ /*GILLT_nxv8s64*//*Label 33002*/ GIMT_Encode4(2364065), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362552 */ /*GILLT_nxv16s16*//*Label 33003*/ GIMT_Encode4(2364180),
     /* 2362556 */ /*GILLT_nxv16s32*//*Label 33004*/ GIMT_Encode4(2364295), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2362568 */ /*GILLT_nxv32s16*//*Label 33005*/ GIMT_Encode4(2364410),
     /* 2362572 */ // Label 32988: @2362572
     /* 2362572 */ GIM_Try, /*On fail goto*//*Label 33007*/ GIMT_Encode4(2362638),
     /* 2362577 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2362580 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2362583 */   GIM_Try, /*On fail goto*//*Label 33008*/ GIMT_Encode4(2362610), // Rule ID 2054 //
     /* 2362588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2362591 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362595 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362599 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2362603 */     // (fminimumnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMIN_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362603 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H),
     /* 2362608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362609 */     // GIR_Coverage, 2054,
     /* 2362609 */     GIR_Done,
     /* 2362610 */   // Label 33008: @2362610
     /* 2362610 */   GIM_Try, /*On fail goto*//*Label 33009*/ GIMT_Encode4(2362637), // Rule ID 2055 //
     /* 2362615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2362618 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362622 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362626 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2362630 */     // (fminimumnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMIN_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2362630 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_H_INX),
     /* 2362635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362636 */     // GIR_Coverage, 2055,
     /* 2362636 */     GIR_Done,
     /* 2362637 */   // Label 33009: @2362637
     /* 2362637 */   GIM_Reject,
     /* 2362638 */ // Label 33007: @2362638
     /* 2362638 */ GIM_Reject,
     /* 2362639 */ // Label 32989: @2362639
     /* 2362639 */ GIM_Try, /*On fail goto*//*Label 33010*/ GIMT_Encode4(2362705),
     /* 2362644 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2362647 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2362650 */   GIM_Try, /*On fail goto*//*Label 33011*/ GIMT_Encode4(2362677), // Rule ID 1341 //
     /* 2362655 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2362658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2362670 */     // (fminimumnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMIN_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2362670 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S),
     /* 2362675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362676 */     // GIR_Coverage, 1341,
     /* 2362676 */     GIR_Done,
     /* 2362677 */   // Label 33011: @2362677
     /* 2362677 */   GIM_Try, /*On fail goto*//*Label 33012*/ GIMT_Encode4(2362704), // Rule ID 1342 //
     /* 2362682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2362685 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2362689 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2362693 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2362697 */     // (fminimumnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMIN_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2362697 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_S_INX),
     /* 2362702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362703 */     // GIR_Coverage, 1342,
     /* 2362703 */     GIR_Done,
     /* 2362704 */   // Label 33012: @2362704
     /* 2362704 */   GIM_Reject,
     /* 2362705 */ // Label 33010: @2362705
     /* 2362705 */ GIM_Reject,
     /* 2362706 */ // Label 32990: @2362706
     /* 2362706 */ GIM_Try, /*On fail goto*//*Label 33013*/ GIMT_Encode4(2362799),
     /* 2362711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2362714 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2362717 */   GIM_Try, /*On fail goto*//*Label 33014*/ GIMT_Encode4(2362744), // Rule ID 1714 //
     /* 2362722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2362725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362729 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362733 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2362737 */     // (fminimumnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMIN_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362737 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D),
     /* 2362742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362743 */     // GIR_Coverage, 1714,
     /* 2362743 */     GIR_Done,
     /* 2362744 */   // Label 33014: @2362744
     /* 2362744 */   GIM_Try, /*On fail goto*//*Label 33015*/ GIMT_Encode4(2362771), // Rule ID 1715 //
     /* 2362749 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2362752 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362760 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2362764 */     // (fminimumnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMIN_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362764 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_IN32X),
     /* 2362769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362770 */     // GIR_Coverage, 1715,
     /* 2362770 */     GIR_Done,
     /* 2362771 */   // Label 33015: @2362771
     /* 2362771 */   GIM_Try, /*On fail goto*//*Label 33016*/ GIMT_Encode4(2362798), // Rule ID 1716 //
     /* 2362776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2362779 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362783 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362787 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2362791 */     // (fminimumnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMIN_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2362791 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMIN_D_INX),
     /* 2362796 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362797 */     // GIR_Coverage, 1716,
     /* 2362797 */     GIR_Done,
     /* 2362798 */   // Label 33016: @2362798
     /* 2362798 */   GIM_Reject,
     /* 2362799 */ // Label 33013: @2362799
     /* 2362799 */ GIM_Reject,
     /* 2362800 */ // Label 32991: @2362800
     /* 2362800 */ GIM_Try, /*On fail goto*//*Label 33017*/ GIMT_Encode4(2362914),
     /* 2362805 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2362808 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2362811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362819 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362823 */   GIM_Try, /*On fail goto*//*Label 33018*/ GIMT_Encode4(2362868), // Rule ID 56708 //
     /* 2362828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2362831 */     // (fminimumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2362834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2362848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362855 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362866 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362867 */     // GIR_Coverage, 56708,
     /* 2362867 */     GIR_EraseRootFromParent_Done,
     /* 2362868 */   // Label 33018: @2362868
     /* 2362868 */   GIM_Try, /*On fail goto*//*Label 33019*/ GIMT_Encode4(2362913), // Rule ID 56709 //
     /* 2362873 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2362876 */     // (fminimumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362876 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2362879 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362883 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362888 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF4_E16),
     /* 2362893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362895 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362898 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362900 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2362908 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362911 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362912 */     // GIR_Coverage, 56709,
     /* 2362912 */     GIR_EraseRootFromParent_Done,
     /* 2362913 */   // Label 33019: @2362913
     /* 2362913 */   GIM_Reject,
     /* 2362914 */ // Label 33017: @2362914
     /* 2362914 */ GIM_Reject,
     /* 2362915 */ // Label 32992: @2362915
     /* 2362915 */ GIM_Try, /*On fail goto*//*Label 33020*/ GIMT_Encode4(2363029),
     /* 2362920 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2362923 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2362926 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362930 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362934 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2362938 */   GIM_Try, /*On fail goto*//*Label 33021*/ GIMT_Encode4(2362983), // Rule ID 56720 //
     /* 2362943 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2362946 */     // (fminimumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2362946 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2362949 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362953 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2362958 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2362960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2362963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2362965 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2362968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2362970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2362972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2362975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2362978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2362981 */     GIR_RootConstrainSelectedInstOperands,
     /* 2362982 */     // GIR_Coverage, 56720,
     /* 2362982 */     GIR_EraseRootFromParent_Done,
     /* 2362983 */   // Label 33021: @2362983
     /* 2362983 */   GIM_Try, /*On fail goto*//*Label 33022*/ GIMT_Encode4(2363028), // Rule ID 56721 //
     /* 2362988 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2362991 */     // (fminimumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2362991 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2362994 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2362998 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363003 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E32),
     /* 2363008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363010 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363015 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363026 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363027 */     // GIR_Coverage, 56721,
     /* 2363027 */     GIR_EraseRootFromParent_Done,
     /* 2363028 */   // Label 33022: @2363028
     /* 2363028 */   GIM_Reject,
     /* 2363029 */ // Label 33020: @2363029
     /* 2363029 */ GIM_Reject,
     /* 2363030 */ // Label 32993: @2363030
     /* 2363030 */ GIM_Try, /*On fail goto*//*Label 33023*/ GIMT_Encode4(2363144),
     /* 2363035 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2363038 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2363041 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363045 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363049 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363053 */   GIM_Try, /*On fail goto*//*Label 33024*/ GIMT_Encode4(2363098), // Rule ID 56738 //
     /* 2363058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363061 */     // (fminimumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2363064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2363078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363085 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363097 */     // GIR_Coverage, 56738,
     /* 2363097 */     GIR_EraseRootFromParent_Done,
     /* 2363098 */   // Label 33024: @2363098
     /* 2363098 */   GIM_Try, /*On fail goto*//*Label 33025*/ GIMT_Encode4(2363143), // Rule ID 56739 //
     /* 2363103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363106 */     // (fminimumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2363109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E64),
     /* 2363123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363142 */     // GIR_Coverage, 56739,
     /* 2363142 */     GIR_EraseRootFromParent_Done,
     /* 2363143 */   // Label 33025: @2363143
     /* 2363143 */   GIM_Reject,
     /* 2363144 */ // Label 33023: @2363144
     /* 2363144 */ GIM_Reject,
     /* 2363145 */ // Label 32994: @2363145
     /* 2363145 */ GIM_Try, /*On fail goto*//*Label 33026*/ GIMT_Encode4(2363259),
     /* 2363150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2363153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2363156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363168 */   GIM_Try, /*On fail goto*//*Label 33027*/ GIMT_Encode4(2363213), // Rule ID 56714 //
     /* 2363173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363176 */     // (fminimumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2363179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2363193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363212 */     // GIR_Coverage, 56714,
     /* 2363212 */     GIR_EraseRootFromParent_Done,
     /* 2363213 */   // Label 33027: @2363213
     /* 2363213 */   GIM_Try, /*On fail goto*//*Label 33028*/ GIMT_Encode4(2363258), // Rule ID 56715 //
     /* 2363218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363221 */     // (fminimumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMIN_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363221 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2363224 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363228 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363233 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_MF2_E16),
     /* 2363238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363240 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363243 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363245 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363257 */     // GIR_Coverage, 56715,
     /* 2363257 */     GIR_EraseRootFromParent_Done,
     /* 2363258 */   // Label 33028: @2363258
     /* 2363258 */   GIM_Reject,
     /* 2363259 */ // Label 33026: @2363259
     /* 2363259 */ GIM_Reject,
     /* 2363260 */ // Label 32995: @2363260
     /* 2363260 */ GIM_Try, /*On fail goto*//*Label 33029*/ GIMT_Encode4(2363374),
     /* 2363265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2363268 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2363271 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363275 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363279 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363283 */   GIM_Try, /*On fail goto*//*Label 33030*/ GIMT_Encode4(2363328), // Rule ID 56732 //
     /* 2363288 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363291 */     // (fminimumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363291 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2363294 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363298 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363303 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2363308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363310 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363313 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363327 */     // GIR_Coverage, 56732,
     /* 2363327 */     GIR_EraseRootFromParent_Done,
     /* 2363328 */   // Label 33030: @2363328
     /* 2363328 */   GIM_Try, /*On fail goto*//*Label 33031*/ GIMT_Encode4(2363373), // Rule ID 56733 //
     /* 2363333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363336 */     // (fminimumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2363339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E32),
     /* 2363353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363372 */     // GIR_Coverage, 56733,
     /* 2363372 */     GIR_EraseRootFromParent_Done,
     /* 2363373 */   // Label 33031: @2363373
     /* 2363373 */   GIM_Reject,
     /* 2363374 */ // Label 33029: @2363374
     /* 2363374 */ GIM_Reject,
     /* 2363375 */ // Label 32996: @2363375
     /* 2363375 */ GIM_Try, /*On fail goto*//*Label 33032*/ GIMT_Encode4(2363489),
     /* 2363380 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2363383 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2363386 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363390 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363394 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363398 */   GIM_Try, /*On fail goto*//*Label 33033*/ GIMT_Encode4(2363443), // Rule ID 56780 //
     /* 2363403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363406 */     // (fminimumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2363409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2363423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363430 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363442 */     // GIR_Coverage, 56780,
     /* 2363442 */     GIR_EraseRootFromParent_Done,
     /* 2363443 */   // Label 33033: @2363443
     /* 2363443 */   GIM_Try, /*On fail goto*//*Label 33034*/ GIMT_Encode4(2363488), // Rule ID 56781 //
     /* 2363448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363451 */     // (fminimumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2363454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E64),
     /* 2363468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363487 */     // GIR_Coverage, 56781,
     /* 2363487 */     GIR_EraseRootFromParent_Done,
     /* 2363488 */   // Label 33034: @2363488
     /* 2363488 */   GIM_Reject,
     /* 2363489 */ // Label 33032: @2363489
     /* 2363489 */ GIM_Reject,
     /* 2363490 */ // Label 32997: @2363490
     /* 2363490 */ GIM_Try, /*On fail goto*//*Label 33035*/ GIMT_Encode4(2363604),
     /* 2363495 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2363498 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2363501 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363505 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363509 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2363513 */   GIM_Try, /*On fail goto*//*Label 33036*/ GIMT_Encode4(2363558), // Rule ID 56726 //
     /* 2363518 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363521 */     // (fminimumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363521 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2363524 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363528 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363533 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2363538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363540 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363550 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363557 */     // GIR_Coverage, 56726,
     /* 2363557 */     GIR_EraseRootFromParent_Done,
     /* 2363558 */   // Label 33036: @2363558
     /* 2363558 */   GIM_Try, /*On fail goto*//*Label 33037*/ GIMT_Encode4(2363603), // Rule ID 56727 //
     /* 2363563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363566 */     // (fminimumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMIN_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2363569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M1_E16),
     /* 2363583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363602 */     // GIR_Coverage, 56727,
     /* 2363602 */     GIR_EraseRootFromParent_Done,
     /* 2363603 */   // Label 33037: @2363603
     /* 2363603 */   GIM_Reject,
     /* 2363604 */ // Label 33035: @2363604
     /* 2363604 */ GIM_Reject,
     /* 2363605 */ // Label 32998: @2363605
     /* 2363605 */ GIM_Try, /*On fail goto*//*Label 33038*/ GIMT_Encode4(2363719),
     /* 2363610 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2363613 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2363616 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363620 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363624 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363628 */   GIM_Try, /*On fail goto*//*Label 33039*/ GIMT_Encode4(2363673), // Rule ID 56762 //
     /* 2363633 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363636 */     // (fminimumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363636 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2363639 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363643 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363648 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2363653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363655 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363658 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363660 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363671 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363672 */     // GIR_Coverage, 56762,
     /* 2363672 */     GIR_EraseRootFromParent_Done,
     /* 2363673 */   // Label 33039: @2363673
     /* 2363673 */   GIM_Try, /*On fail goto*//*Label 33040*/ GIMT_Encode4(2363718), // Rule ID 56763 //
     /* 2363678 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2363681 */     // (fminimumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363681 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2363684 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363688 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363693 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E32),
     /* 2363698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363700 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363703 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2363713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363717 */     // GIR_Coverage, 56763,
     /* 2363717 */     GIR_EraseRootFromParent_Done,
     /* 2363718 */   // Label 33040: @2363718
     /* 2363718 */   GIM_Reject,
     /* 2363719 */ // Label 33038: @2363719
     /* 2363719 */ GIM_Reject,
     /* 2363720 */ // Label 32999: @2363720
     /* 2363720 */ GIM_Try, /*On fail goto*//*Label 33041*/ GIMT_Encode4(2363834),
     /* 2363725 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2363728 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2363731 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363735 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363739 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363743 */   GIM_Try, /*On fail goto*//*Label 33042*/ GIMT_Encode4(2363788), // Rule ID 56786 //
     /* 2363748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2363751 */     // (fminimumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363751 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2363754 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363758 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363763 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363765 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2363768 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363770 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363773 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363775 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363787 */     // GIR_Coverage, 56786,
     /* 2363787 */     GIR_EraseRootFromParent_Done,
     /* 2363788 */   // Label 33042: @2363788
     /* 2363788 */   GIM_Try, /*On fail goto*//*Label 33043*/ GIMT_Encode4(2363833), // Rule ID 56787 //
     /* 2363793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2363796 */     // (fminimumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2363799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E64),
     /* 2363813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2363828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363831 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363832 */     // GIR_Coverage, 56787,
     /* 2363832 */     GIR_EraseRootFromParent_Done,
     /* 2363833 */   // Label 33043: @2363833
     /* 2363833 */   GIM_Reject,
     /* 2363834 */ // Label 33041: @2363834
     /* 2363834 */ GIM_Reject,
     /* 2363835 */ // Label 33000: @2363835
     /* 2363835 */ GIM_Try, /*On fail goto*//*Label 33044*/ GIMT_Encode4(2363949),
     /* 2363840 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2363843 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2363846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363850 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363854 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2363858 */   GIM_Try, /*On fail goto*//*Label 33045*/ GIMT_Encode4(2363903), // Rule ID 56744 //
     /* 2363863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2363866 */     // (fminimumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363866 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363869 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363873 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363878 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363880 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2363883 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363885 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363890 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363902 */     // GIR_Coverage, 56744,
     /* 2363902 */     GIR_EraseRootFromParent_Done,
     /* 2363903 */   // Label 33045: @2363903
     /* 2363903 */   GIM_Try, /*On fail goto*//*Label 33046*/ GIMT_Encode4(2363948), // Rule ID 56745 //
     /* 2363908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2363911 */     // (fminimumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMIN_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2363911 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2363914 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363918 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363923 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363925 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M2_E16),
     /* 2363928 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2363930 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2363933 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2363935 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2363937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2363940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2363943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2363946 */     GIR_RootConstrainSelectedInstOperands,
     /* 2363947 */     // GIR_Coverage, 56745,
     /* 2363947 */     GIR_EraseRootFromParent_Done,
     /* 2363948 */   // Label 33046: @2363948
     /* 2363948 */   GIM_Reject,
     /* 2363949 */ // Label 33044: @2363949
     /* 2363949 */ GIM_Reject,
     /* 2363950 */ // Label 33001: @2363950
     /* 2363950 */ GIM_Try, /*On fail goto*//*Label 33047*/ GIMT_Encode4(2364064),
     /* 2363955 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2363958 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2363961 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363965 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363969 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2363973 */   GIM_Try, /*On fail goto*//*Label 33048*/ GIMT_Encode4(2364018), // Rule ID 56768 //
     /* 2363978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2363981 */     // (fminimumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2363981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2363984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2363988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2363993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2363995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2363998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364005 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364017 */     // GIR_Coverage, 56768,
     /* 2364017 */     GIR_EraseRootFromParent_Done,
     /* 2364018 */   // Label 33048: @2364018
     /* 2364018 */   GIM_Try, /*On fail goto*//*Label 33049*/ GIMT_Encode4(2364063), // Rule ID 56769 //
     /* 2364023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364026 */     // (fminimumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364026 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2364029 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364033 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364038 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364040 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E32),
     /* 2364043 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364045 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364048 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364050 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364062 */     // GIR_Coverage, 56769,
     /* 2364062 */     GIR_EraseRootFromParent_Done,
     /* 2364063 */   // Label 33049: @2364063
     /* 2364063 */   GIM_Reject,
     /* 2364064 */ // Label 33047: @2364064
     /* 2364064 */ GIM_Reject,
     /* 2364065 */ // Label 33002: @2364065
     /* 2364065 */ GIM_Try, /*On fail goto*//*Label 33050*/ GIMT_Encode4(2364179),
     /* 2364070 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2364073 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2364076 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364080 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364084 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364088 */   GIM_Try, /*On fail goto*//*Label 33051*/ GIMT_Encode4(2364133), // Rule ID 56792 //
     /* 2364093 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2364096 */     // (fminimumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364096 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2364099 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364103 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364108 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364110 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2364113 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364115 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364131 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364132 */     // GIR_Coverage, 56792,
     /* 2364132 */     GIR_EraseRootFromParent_Done,
     /* 2364133 */   // Label 33051: @2364133
     /* 2364133 */   GIM_Try, /*On fail goto*//*Label 33052*/ GIMT_Encode4(2364178), // Rule ID 56793 //
     /* 2364138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2364141 */     // (fminimumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364141 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2364144 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364148 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364153 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E64),
     /* 2364158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364160 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364163 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364165 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2364173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364177 */     // GIR_Coverage, 56793,
     /* 2364177 */     GIR_EraseRootFromParent_Done,
     /* 2364178 */   // Label 33052: @2364178
     /* 2364178 */   GIM_Reject,
     /* 2364179 */ // Label 33050: @2364179
     /* 2364179 */ GIM_Reject,
     /* 2364180 */ // Label 33003: @2364180
     /* 2364180 */ GIM_Try, /*On fail goto*//*Label 33053*/ GIMT_Encode4(2364294),
     /* 2364185 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2364188 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2364191 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364195 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364199 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2364203 */   GIM_Try, /*On fail goto*//*Label 33054*/ GIMT_Encode4(2364248), // Rule ID 56750 //
     /* 2364208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364211 */     // (fminimumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364211 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2364214 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364218 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364223 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2364228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364230 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364233 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364235 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364247 */     // GIR_Coverage, 56750,
     /* 2364247 */     GIR_EraseRootFromParent_Done,
     /* 2364248 */   // Label 33054: @2364248
     /* 2364248 */   GIM_Try, /*On fail goto*//*Label 33055*/ GIMT_Encode4(2364293), // Rule ID 56751 //
     /* 2364253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364256 */     // (fminimumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMIN_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364256 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2364259 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364263 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364268 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M4_E16),
     /* 2364273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364275 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364291 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364292 */     // GIR_Coverage, 56751,
     /* 2364292 */     GIR_EraseRootFromParent_Done,
     /* 2364293 */   // Label 33055: @2364293
     /* 2364293 */   GIM_Reject,
     /* 2364294 */ // Label 33053: @2364294
     /* 2364294 */ GIM_Reject,
     /* 2364295 */ // Label 33004: @2364295
     /* 2364295 */ GIM_Try, /*On fail goto*//*Label 33056*/ GIMT_Encode4(2364409),
     /* 2364300 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2364303 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2364306 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364310 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364314 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364318 */   GIM_Try, /*On fail goto*//*Label 33057*/ GIMT_Encode4(2364363), // Rule ID 56774 //
     /* 2364323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2364326 */     // (fminimumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364326 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2364329 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364333 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364338 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2364343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364345 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364348 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364350 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364358 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364361 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364362 */     // GIR_Coverage, 56774,
     /* 2364362 */     GIR_EraseRootFromParent_Done,
     /* 2364363 */   // Label 33057: @2364363
     /* 2364363 */   GIM_Try, /*On fail goto*//*Label 33058*/ GIMT_Encode4(2364408), // Rule ID 56775 //
     /* 2364368 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2364371 */     // (fminimumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364371 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2364374 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364378 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364383 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E32),
     /* 2364388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364390 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2364403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364407 */     // GIR_Coverage, 56775,
     /* 2364407 */     GIR_EraseRootFromParent_Done,
     /* 2364408 */   // Label 33058: @2364408
     /* 2364408 */   GIM_Reject,
     /* 2364409 */ // Label 33056: @2364409
     /* 2364409 */ GIM_Reject,
     /* 2364410 */ // Label 33005: @2364410
     /* 2364410 */ GIM_Try, /*On fail goto*//*Label 33059*/ GIMT_Encode4(2364524),
     /* 2364415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2364418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2364421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2364433 */   GIM_Try, /*On fail goto*//*Label 33060*/ GIMT_Encode4(2364478), // Rule ID 56756 //
     /* 2364438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364441 */     // (fminimumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2364444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2364458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364477 */     // GIR_Coverage, 56756,
     /* 2364477 */     GIR_EraseRootFromParent_Done,
     /* 2364478 */   // Label 33060: @2364478
     /* 2364478 */   GIM_Try, /*On fail goto*//*Label 33061*/ GIMT_Encode4(2364523), // Rule ID 56757 //
     /* 2364483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364486 */     // (fminimumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMIN_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2364489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMIN_VV_M8_E16),
     /* 2364503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364510 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364521 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364522 */     // GIR_Coverage, 56757,
     /* 2364522 */     GIR_EraseRootFromParent_Done,
     /* 2364523 */   // Label 33061: @2364523
     /* 2364523 */   GIM_Reject,
     /* 2364524 */ // Label 33059: @2364524
     /* 2364524 */ GIM_Reject,
     /* 2364525 */ // Label 33006: @2364525
     /* 2364525 */ GIM_Reject,
     /* 2364526 */ // Label 79: @2364526
     /* 2364526 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 33080*/ GIMT_Encode4(2366610),
     /* 2364537 */ /*GILLT_s16*//*Label 33062*/ GIMT_Encode4(2364657),
     /* 2364541 */ /*GILLT_s32*//*Label 33063*/ GIMT_Encode4(2364724),
     /* 2364545 */ /*GILLT_s64*//*Label 33064*/ GIMT_Encode4(2364791), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2364557 */ /*GILLT_nxv1s16*//*Label 33065*/ GIMT_Encode4(2364885),
     /* 2364561 */ /*GILLT_nxv1s32*//*Label 33066*/ GIMT_Encode4(2365000),
     /* 2364565 */ /*GILLT_nxv1s64*//*Label 33067*/ GIMT_Encode4(2365115), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2364577 */ /*GILLT_nxv2s16*//*Label 33068*/ GIMT_Encode4(2365230),
     /* 2364581 */ /*GILLT_nxv2s32*//*Label 33069*/ GIMT_Encode4(2365345),
     /* 2364585 */ /*GILLT_nxv2s64*//*Label 33070*/ GIMT_Encode4(2365460), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2364597 */ /*GILLT_nxv4s16*//*Label 33071*/ GIMT_Encode4(2365575),
     /* 2364601 */ /*GILLT_nxv4s32*//*Label 33072*/ GIMT_Encode4(2365690),
     /* 2364605 */ /*GILLT_nxv4s64*//*Label 33073*/ GIMT_Encode4(2365805), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2364617 */ /*GILLT_nxv8s16*//*Label 33074*/ GIMT_Encode4(2365920),
     /* 2364621 */ /*GILLT_nxv8s32*//*Label 33075*/ GIMT_Encode4(2366035),
     /* 2364625 */ /*GILLT_nxv8s64*//*Label 33076*/ GIMT_Encode4(2366150), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2364637 */ /*GILLT_nxv16s16*//*Label 33077*/ GIMT_Encode4(2366265),
     /* 2364641 */ /*GILLT_nxv16s32*//*Label 33078*/ GIMT_Encode4(2366380), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2364653 */ /*GILLT_nxv32s16*//*Label 33079*/ GIMT_Encode4(2366495),
     /* 2364657 */ // Label 33062: @2364657
     /* 2364657 */ GIM_Try, /*On fail goto*//*Label 33081*/ GIMT_Encode4(2364723),
     /* 2364662 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2364665 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2364668 */   GIM_Try, /*On fail goto*//*Label 33082*/ GIMT_Encode4(2364695), // Rule ID 2056 //
     /* 2364673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh),
     /* 2364676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2364688 */     // (fmaximumnum:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMAX_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2364688 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H),
     /* 2364693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364694 */     // GIR_Coverage, 2056,
     /* 2364694 */     GIR_Done,
     /* 2364695 */   // Label 33082: @2364695
     /* 2364695 */   GIM_Try, /*On fail goto*//*Label 33083*/ GIMT_Encode4(2364722), // Rule ID 2057 //
     /* 2364700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx),
     /* 2364703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2364707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2364711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2364715 */     // (fmaximumnum:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMAX_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2)
     /* 2364715 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_H_INX),
     /* 2364720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364721 */     // GIR_Coverage, 2057,
     /* 2364721 */     GIR_Done,
     /* 2364722 */   // Label 33083: @2364722
     /* 2364722 */   GIM_Reject,
     /* 2364723 */ // Label 33081: @2364723
     /* 2364723 */ GIM_Reject,
     /* 2364724 */ // Label 33063: @2364724
     /* 2364724 */ GIM_Try, /*On fail goto*//*Label 33084*/ GIMT_Encode4(2364790),
     /* 2364729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2364732 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2364735 */   GIM_Try, /*On fail goto*//*Label 33085*/ GIMT_Encode4(2364762), // Rule ID 1343 //
     /* 2364740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF),
     /* 2364743 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364747 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364751 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2364755 */     // (fmaximumnum:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMAX_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2364755 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S),
     /* 2364760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364761 */     // GIR_Coverage, 1343,
     /* 2364761 */     GIR_Done,
     /* 2364762 */   // Label 33085: @2364762
     /* 2364762 */   GIM_Try, /*On fail goto*//*Label 33086*/ GIMT_Encode4(2364789), // Rule ID 1344 //
     /* 2364767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx),
     /* 2364770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2364774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2364778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2364782 */     // (fmaximumnum:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMAX_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2)
     /* 2364782 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_S_INX),
     /* 2364787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364788 */     // GIR_Coverage, 1344,
     /* 2364788 */     GIR_Done,
     /* 2364789 */   // Label 33086: @2364789
     /* 2364789 */   GIM_Reject,
     /* 2364790 */ // Label 33084: @2364790
     /* 2364790 */ GIM_Reject,
     /* 2364791 */ // Label 33064: @2364791
     /* 2364791 */ GIM_Try, /*On fail goto*//*Label 33087*/ GIMT_Encode4(2364884),
     /* 2364796 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2364799 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2364802 */   GIM_Try, /*On fail goto*//*Label 33088*/ GIMT_Encode4(2364829), // Rule ID 1717 //
     /* 2364807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD),
     /* 2364810 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364814 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364818 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2364822 */     // (fmaximumnum:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMAX_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2364822 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D),
     /* 2364827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364828 */     // GIR_Coverage, 1717,
     /* 2364828 */     GIR_Done,
     /* 2364829 */   // Label 33088: @2364829
     /* 2364829 */   GIM_Try, /*On fail goto*//*Label 33089*/ GIMT_Encode4(2364856), // Rule ID 1718 //
     /* 2364834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32),
     /* 2364837 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2364841 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2364845 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2364849 */     // (fmaximumnum:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMAX_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2364849 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_IN32X),
     /* 2364854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364855 */     // GIR_Coverage, 1718,
     /* 2364855 */     GIR_Done,
     /* 2364856 */   // Label 33089: @2364856
     /* 2364856 */   GIM_Try, /*On fail goto*//*Label 33090*/ GIMT_Encode4(2364883), // Rule ID 1719 //
     /* 2364861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2364864 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364868 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364872 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2364876 */     // (fmaximumnum:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMAX_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2)
     /* 2364876 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FMAX_D_INX),
     /* 2364881 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364882 */     // GIR_Coverage, 1719,
     /* 2364882 */     GIR_Done,
     /* 2364883 */   // Label 33090: @2364883
     /* 2364883 */   GIM_Reject,
     /* 2364884 */ // Label 33087: @2364884
     /* 2364884 */ GIM_Reject,
     /* 2364885 */ // Label 33065: @2364885
     /* 2364885 */ GIM_Try, /*On fail goto*//*Label 33091*/ GIMT_Encode4(2364999),
     /* 2364890 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2364893 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2364896 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364900 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364904 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2364908 */   GIM_Try, /*On fail goto*//*Label 33092*/ GIMT_Encode4(2364953), // Rule ID 56798 //
     /* 2364913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2364916 */     // (fmaximumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2364916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2364933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364952 */     // GIR_Coverage, 56798,
     /* 2364952 */     GIR_EraseRootFromParent_Done,
     /* 2364953 */   // Label 33092: @2364953
     /* 2364953 */   GIM_Try, /*On fail goto*//*Label 33093*/ GIMT_Encode4(2364998), // Rule ID 56799 //
     /* 2364958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2364961 */     // (fmaximumnum:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2364961 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2364964 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2364968 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2364973 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2364975 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF4_E16),
     /* 2364978 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2364980 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2364983 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2364985 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2364987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2364990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2364993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2364996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2364997 */     // GIR_Coverage, 56799,
     /* 2364997 */     GIR_EraseRootFromParent_Done,
     /* 2364998 */   // Label 33093: @2364998
     /* 2364998 */   GIM_Reject,
     /* 2364999 */ // Label 33091: @2364999
     /* 2364999 */ GIM_Reject,
     /* 2365000 */ // Label 33066: @2365000
     /* 2365000 */ GIM_Try, /*On fail goto*//*Label 33094*/ GIMT_Encode4(2365114),
     /* 2365005 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2365008 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2365011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365019 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365023 */   GIM_Try, /*On fail goto*//*Label 33095*/ GIMT_Encode4(2365068), // Rule ID 56810 //
     /* 2365028 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2365031 */     // (fmaximumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365031 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2365034 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365038 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365043 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2365048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365050 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365053 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365055 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365067 */     // GIR_Coverage, 56810,
     /* 2365067 */     GIR_EraseRootFromParent_Done,
     /* 2365068 */   // Label 33095: @2365068
     /* 2365068 */   GIM_Try, /*On fail goto*//*Label 33096*/ GIMT_Encode4(2365113), // Rule ID 56811 //
     /* 2365073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2365076 */     // (fmaximumnum:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365076 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2365079 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365083 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365088 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E32),
     /* 2365093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365095 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365100 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365112 */     // GIR_Coverage, 56811,
     /* 2365112 */     GIR_EraseRootFromParent_Done,
     /* 2365113 */   // Label 33096: @2365113
     /* 2365113 */   GIM_Reject,
     /* 2365114 */ // Label 33094: @2365114
     /* 2365114 */ GIM_Reject,
     /* 2365115 */ // Label 33067: @2365115
     /* 2365115 */ GIM_Try, /*On fail goto*//*Label 33097*/ GIMT_Encode4(2365229),
     /* 2365120 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2365123 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2365126 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365130 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365134 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365138 */   GIM_Try, /*On fail goto*//*Label 33098*/ GIMT_Encode4(2365183), // Rule ID 56828 //
     /* 2365143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2365146 */     // (fmaximumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2365149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2365163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365172 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365182 */     // GIR_Coverage, 56828,
     /* 2365182 */     GIR_EraseRootFromParent_Done,
     /* 2365183 */   // Label 33098: @2365183
     /* 2365183 */   GIM_Try, /*On fail goto*//*Label 33099*/ GIMT_Encode4(2365228), // Rule ID 56829 //
     /* 2365188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2365191 */     // (fmaximumnum:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365191 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2365194 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365198 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365203 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E64),
     /* 2365208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365210 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365227 */     // GIR_Coverage, 56829,
     /* 2365227 */     GIR_EraseRootFromParent_Done,
     /* 2365228 */   // Label 33099: @2365228
     /* 2365228 */   GIM_Reject,
     /* 2365229 */ // Label 33097: @2365229
     /* 2365229 */ GIM_Reject,
     /* 2365230 */ // Label 33068: @2365230
     /* 2365230 */ GIM_Try, /*On fail goto*//*Label 33100*/ GIMT_Encode4(2365344),
     /* 2365235 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2365238 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2365241 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365245 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365249 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365253 */   GIM_Try, /*On fail goto*//*Label 33101*/ GIMT_Encode4(2365298), // Rule ID 56804 //
     /* 2365258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2365261 */     // (fmaximumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365261 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2365264 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365268 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365273 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365275 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2365278 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365280 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365283 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365285 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365290 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365297 */     // GIR_Coverage, 56804,
     /* 2365297 */     GIR_EraseRootFromParent_Done,
     /* 2365298 */   // Label 33101: @2365298
     /* 2365298 */   GIM_Try, /*On fail goto*//*Label 33102*/ GIMT_Encode4(2365343), // Rule ID 56805 //
     /* 2365303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2365306 */     // (fmaximumnum:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMAX_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365306 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2365309 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365313 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365318 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_MF2_E16),
     /* 2365323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365325 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365328 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365330 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365342 */     // GIR_Coverage, 56805,
     /* 2365342 */     GIR_EraseRootFromParent_Done,
     /* 2365343 */   // Label 33102: @2365343
     /* 2365343 */   GIM_Reject,
     /* 2365344 */ // Label 33100: @2365344
     /* 2365344 */ GIM_Reject,
     /* 2365345 */ // Label 33069: @2365345
     /* 2365345 */ GIM_Try, /*On fail goto*//*Label 33103*/ GIMT_Encode4(2365459),
     /* 2365350 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2365353 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2365356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365364 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365368 */   GIM_Try, /*On fail goto*//*Label 33104*/ GIMT_Encode4(2365413), // Rule ID 56822 //
     /* 2365373 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2365376 */     // (fmaximumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365376 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2365379 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365383 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365388 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2365393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365395 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365411 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365412 */     // GIR_Coverage, 56822,
     /* 2365412 */     GIR_EraseRootFromParent_Done,
     /* 2365413 */   // Label 33104: @2365413
     /* 2365413 */   GIM_Try, /*On fail goto*//*Label 33105*/ GIMT_Encode4(2365458), // Rule ID 56823 //
     /* 2365418 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2365421 */     // (fmaximumnum:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365421 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2365424 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365428 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365433 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E32),
     /* 2365438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365440 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365457 */     // GIR_Coverage, 56823,
     /* 2365457 */     GIR_EraseRootFromParent_Done,
     /* 2365458 */   // Label 33105: @2365458
     /* 2365458 */   GIM_Reject,
     /* 2365459 */ // Label 33103: @2365459
     /* 2365459 */ GIM_Reject,
     /* 2365460 */ // Label 33070: @2365460
     /* 2365460 */ GIM_Try, /*On fail goto*//*Label 33106*/ GIMT_Encode4(2365574),
     /* 2365465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2365468 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2365471 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365475 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365479 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365483 */   GIM_Try, /*On fail goto*//*Label 33107*/ GIMT_Encode4(2365528), // Rule ID 56870 //
     /* 2365488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2365491 */     // (fmaximumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365491 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2365494 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365498 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365503 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2365508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365510 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365513 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365515 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365526 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365527 */     // GIR_Coverage, 56870,
     /* 2365527 */     GIR_EraseRootFromParent_Done,
     /* 2365528 */   // Label 33107: @2365528
     /* 2365528 */   GIM_Try, /*On fail goto*//*Label 33108*/ GIMT_Encode4(2365573), // Rule ID 56871 //
     /* 2365533 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2365536 */     // (fmaximumnum:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365536 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2365539 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365543 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365548 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365550 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E64),
     /* 2365553 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365555 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365558 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365560 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365571 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365572 */     // GIR_Coverage, 56871,
     /* 2365572 */     GIR_EraseRootFromParent_Done,
     /* 2365573 */   // Label 33108: @2365573
     /* 2365573 */   GIM_Reject,
     /* 2365574 */ // Label 33106: @2365574
     /* 2365574 */ GIM_Reject,
     /* 2365575 */ // Label 33071: @2365575
     /* 2365575 */ GIM_Try, /*On fail goto*//*Label 33109*/ GIMT_Encode4(2365689),
     /* 2365580 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2365583 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2365586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365594 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2365598 */   GIM_Try, /*On fail goto*//*Label 33110*/ GIMT_Encode4(2365643), // Rule ID 56816 //
     /* 2365603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2365606 */     // (fmaximumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365606 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365609 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365613 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365618 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365620 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2365623 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365625 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365628 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365630 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365641 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365642 */     // GIR_Coverage, 56816,
     /* 2365642 */     GIR_EraseRootFromParent_Done,
     /* 2365643 */   // Label 33110: @2365643
     /* 2365643 */   GIM_Try, /*On fail goto*//*Label 33111*/ GIMT_Encode4(2365688), // Rule ID 56817 //
     /* 2365648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2365651 */     // (fmaximumnum:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMAX_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2365654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M1_E16),
     /* 2365668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365686 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365687 */     // GIR_Coverage, 56817,
     /* 2365687 */     GIR_EraseRootFromParent_Done,
     /* 2365688 */   // Label 33111: @2365688
     /* 2365688 */   GIM_Reject,
     /* 2365689 */ // Label 33109: @2365689
     /* 2365689 */ GIM_Reject,
     /* 2365690 */ // Label 33072: @2365690
     /* 2365690 */ GIM_Try, /*On fail goto*//*Label 33112*/ GIMT_Encode4(2365804),
     /* 2365695 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2365698 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2365701 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365705 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365709 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365713 */   GIM_Try, /*On fail goto*//*Label 33113*/ GIMT_Encode4(2365758), // Rule ID 56852 //
     /* 2365718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2365721 */     // (fmaximumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365721 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365724 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365728 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365733 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2365738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365740 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365745 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365757 */     // GIR_Coverage, 56852,
     /* 2365757 */     GIR_EraseRootFromParent_Done,
     /* 2365758 */   // Label 33113: @2365758
     /* 2365758 */   GIM_Try, /*On fail goto*//*Label 33114*/ GIMT_Encode4(2365803), // Rule ID 56853 //
     /* 2365763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2365766 */     // (fmaximumnum:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365766 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2365769 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365773 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365778 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365780 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E32),
     /* 2365783 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365785 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365788 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365790 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365792 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2365798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365801 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365802 */     // GIR_Coverage, 56853,
     /* 2365802 */     GIR_EraseRootFromParent_Done,
     /* 2365803 */   // Label 33114: @2365803
     /* 2365803 */   GIM_Reject,
     /* 2365804 */ // Label 33112: @2365804
     /* 2365804 */ GIM_Reject,
     /* 2365805 */ // Label 33073: @2365805
     /* 2365805 */ GIM_Try, /*On fail goto*//*Label 33115*/ GIMT_Encode4(2365919),
     /* 2365810 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2365813 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2365816 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365820 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365824 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2365828 */   GIM_Try, /*On fail goto*//*Label 33116*/ GIMT_Encode4(2365873), // Rule ID 56876 //
     /* 2365833 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2365836 */     // (fmaximumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365836 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365839 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365843 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365848 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2365853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365855 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365860 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365872 */     // GIR_Coverage, 56876,
     /* 2365872 */     GIR_EraseRootFromParent_Done,
     /* 2365873 */   // Label 33116: @2365873
     /* 2365873 */   GIM_Try, /*On fail goto*//*Label 33117*/ GIMT_Encode4(2365918), // Rule ID 56877 //
     /* 2365878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2365881 */     // (fmaximumnum:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365881 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2365884 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365888 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365893 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365895 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E64),
     /* 2365898 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365900 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2365913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365917 */     // GIR_Coverage, 56877,
     /* 2365917 */     GIR_EraseRootFromParent_Done,
     /* 2365918 */   // Label 33117: @2365918
     /* 2365918 */   GIM_Reject,
     /* 2365919 */ // Label 33115: @2365919
     /* 2365919 */ GIM_Reject,
     /* 2365920 */ // Label 33074: @2365920
     /* 2365920 */ GIM_Try, /*On fail goto*//*Label 33118*/ GIMT_Encode4(2366034),
     /* 2365925 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2365928 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2365931 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365935 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365939 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2365943 */   GIM_Try, /*On fail goto*//*Label 33119*/ GIMT_Encode4(2365988), // Rule ID 56834 //
     /* 2365948 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2365951 */     // (fmaximumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2365951 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365954 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2365958 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2365963 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2365965 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2365968 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2365970 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2365973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2365975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2365977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2365980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2365983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2365986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2365987 */     // GIR_Coverage, 56834,
     /* 2365987 */     GIR_EraseRootFromParent_Done,
     /* 2365988 */   // Label 33119: @2365988
     /* 2365988 */   GIM_Try, /*On fail goto*//*Label 33120*/ GIMT_Encode4(2366033), // Rule ID 56835 //
     /* 2365993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2365996 */     // (fmaximumnum:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMAX_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2365996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2365999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M2_E16),
     /* 2366013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366032 */     // GIR_Coverage, 56835,
     /* 2366032 */     GIR_EraseRootFromParent_Done,
     /* 2366033 */   // Label 33120: @2366033
     /* 2366033 */   GIM_Reject,
     /* 2366034 */ // Label 33118: @2366034
     /* 2366034 */ GIM_Reject,
     /* 2366035 */ // Label 33075: @2366035
     /* 2366035 */ GIM_Try, /*On fail goto*//*Label 33121*/ GIMT_Encode4(2366149),
     /* 2366040 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2366043 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2366046 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366050 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366054 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366058 */   GIM_Try, /*On fail goto*//*Label 33122*/ GIMT_Encode4(2366103), // Rule ID 56858 //
     /* 2366063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2366066 */     // (fmaximumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366066 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2366069 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366073 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366078 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366080 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2366083 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366085 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366102 */     // GIR_Coverage, 56858,
     /* 2366102 */     GIR_EraseRootFromParent_Done,
     /* 2366103 */   // Label 33122: @2366103
     /* 2366103 */   GIM_Try, /*On fail goto*//*Label 33123*/ GIMT_Encode4(2366148), // Rule ID 56859 //
     /* 2366108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2366111 */     // (fmaximumnum:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2366114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E32),
     /* 2366128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366146 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366147 */     // GIR_Coverage, 56859,
     /* 2366147 */     GIR_EraseRootFromParent_Done,
     /* 2366148 */   // Label 33123: @2366148
     /* 2366148 */   GIM_Reject,
     /* 2366149 */ // Label 33121: @2366149
     /* 2366149 */ GIM_Reject,
     /* 2366150 */ // Label 33076: @2366150
     /* 2366150 */ GIM_Try, /*On fail goto*//*Label 33124*/ GIMT_Encode4(2366264),
     /* 2366155 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2366158 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2366161 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366165 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366169 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366173 */   GIM_Try, /*On fail goto*//*Label 33125*/ GIMT_Encode4(2366218), // Rule ID 56882 //
     /* 2366178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2366181 */     // (fmaximumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366181 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2366184 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366188 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366193 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366195 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2366198 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366200 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366205 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366216 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366217 */     // GIR_Coverage, 56882,
     /* 2366217 */     GIR_EraseRootFromParent_Done,
     /* 2366218 */   // Label 33125: @2366218
     /* 2366218 */   GIM_Try, /*On fail goto*//*Label 33126*/ GIMT_Encode4(2366263), // Rule ID 56883 //
     /* 2366223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2366226 */     // (fmaximumnum:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2366229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E64),
     /* 2366243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366250 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2366258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366262 */     // GIR_Coverage, 56883,
     /* 2366262 */     GIR_EraseRootFromParent_Done,
     /* 2366263 */   // Label 33126: @2366263
     /* 2366263 */   GIM_Reject,
     /* 2366264 */ // Label 33124: @2366264
     /* 2366264 */ GIM_Reject,
     /* 2366265 */ // Label 33077: @2366265
     /* 2366265 */ GIM_Try, /*On fail goto*//*Label 33127*/ GIMT_Encode4(2366379),
     /* 2366270 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2366273 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2366276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366284 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2366288 */   GIM_Try, /*On fail goto*//*Label 33128*/ GIMT_Encode4(2366333), // Rule ID 56840 //
     /* 2366293 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366296 */     // (fmaximumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366296 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2366299 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366303 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366308 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2366313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366315 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366331 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366332 */     // GIR_Coverage, 56840,
     /* 2366332 */     GIR_EraseRootFromParent_Done,
     /* 2366333 */   // Label 33128: @2366333
     /* 2366333 */   GIM_Try, /*On fail goto*//*Label 33129*/ GIMT_Encode4(2366378), // Rule ID 56841 //
     /* 2366338 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2366341 */     // (fmaximumnum:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMAX_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366341 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2366344 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366348 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366353 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M4_E16),
     /* 2366358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366360 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366367 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366376 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366377 */     // GIR_Coverage, 56841,
     /* 2366377 */     GIR_EraseRootFromParent_Done,
     /* 2366378 */   // Label 33129: @2366378
     /* 2366378 */   GIM_Reject,
     /* 2366379 */ // Label 33127: @2366379
     /* 2366379 */ GIM_Reject,
     /* 2366380 */ // Label 33078: @2366380
     /* 2366380 */ GIM_Try, /*On fail goto*//*Label 33130*/ GIMT_Encode4(2366494),
     /* 2366385 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2366388 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2366391 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366395 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366399 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366403 */   GIM_Try, /*On fail goto*//*Label 33131*/ GIMT_Encode4(2366448), // Rule ID 56864 //
     /* 2366408 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2366411 */     // (fmaximumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366411 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366414 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366418 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366423 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366425 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2366428 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366430 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366435 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366447 */     // GIR_Coverage, 56864,
     /* 2366447 */     GIR_EraseRootFromParent_Done,
     /* 2366448 */   // Label 33131: @2366448
     /* 2366448 */   GIM_Try, /*On fail goto*//*Label 33132*/ GIMT_Encode4(2366493), // Rule ID 56865 //
     /* 2366453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2366456 */     // (fmaximumnum:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2366459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E32),
     /* 2366473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366480 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2366488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366492 */     // GIR_Coverage, 56865,
     /* 2366492 */     GIR_EraseRootFromParent_Done,
     /* 2366493 */   // Label 33132: @2366493
     /* 2366493 */   GIM_Reject,
     /* 2366494 */ // Label 33130: @2366494
     /* 2366494 */ GIM_Reject,
     /* 2366495 */ // Label 33079: @2366495
     /* 2366495 */ GIM_Try, /*On fail goto*//*Label 33133*/ GIMT_Encode4(2366609),
     /* 2366500 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2366503 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2366506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366514 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2366518 */   GIM_Try, /*On fail goto*//*Label 33134*/ GIMT_Encode4(2366563), // Rule ID 56846 //
     /* 2366523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2366526 */     // (fmaximumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366526 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366529 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366533 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366538 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2366543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366545 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366548 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366550 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366562 */     // GIR_Coverage, 56846,
     /* 2366562 */     GIR_EraseRootFromParent_Done,
     /* 2366563 */   // Label 33134: @2366563
     /* 2366563 */   GIM_Try, /*On fail goto*//*Label 33135*/ GIMT_Encode4(2366608), // Rule ID 56847 //
     /* 2366568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2366571 */     // (fmaximumnum:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMAX_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2366574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMAX_VV_M8_E16),
     /* 2366588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2366603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366607 */     // GIR_Coverage, 56847,
     /* 2366607 */     GIR_EraseRootFromParent_Done,
     /* 2366608 */   // Label 33135: @2366608
     /* 2366608 */   GIM_Reject,
     /* 2366609 */ // Label 33133: @2366609
     /* 2366609 */ GIM_Reject,
     /* 2366610 */ // Label 33080: @2366610
     /* 2366610 */ GIM_Reject,
     /* 2366611 */ // Label 80: @2366611
     /* 2366611 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33160*/ GIMT_Encode4(2369386),
     /* 2366622 */ /*GILLT_s32*//*Label 33136*/ GIMT_Encode4(2366746),
     /* 2366626 */ /*GILLT_s64*//*Label 33137*/ GIMT_Encode4(2366801), GIMT_Encode4(0),
     /* 2366634 */ /*GILLT_nxv1s8*//*Label 33138*/ GIMT_Encode4(2366856),
     /* 2366638 */ /*GILLT_nxv1s16*//*Label 33139*/ GIMT_Encode4(2366971),
     /* 2366642 */ /*GILLT_nxv1s32*//*Label 33140*/ GIMT_Encode4(2367086),
     /* 2366646 */ /*GILLT_nxv1s64*//*Label 33141*/ GIMT_Encode4(2367201), GIMT_Encode4(0),
     /* 2366654 */ /*GILLT_nxv2s8*//*Label 33142*/ GIMT_Encode4(2367316),
     /* 2366658 */ /*GILLT_nxv2s16*//*Label 33143*/ GIMT_Encode4(2367431),
     /* 2366662 */ /*GILLT_nxv2s32*//*Label 33144*/ GIMT_Encode4(2367546),
     /* 2366666 */ /*GILLT_nxv2s64*//*Label 33145*/ GIMT_Encode4(2367661), GIMT_Encode4(0),
     /* 2366674 */ /*GILLT_nxv4s8*//*Label 33146*/ GIMT_Encode4(2367776),
     /* 2366678 */ /*GILLT_nxv4s16*//*Label 33147*/ GIMT_Encode4(2367891),
     /* 2366682 */ /*GILLT_nxv4s32*//*Label 33148*/ GIMT_Encode4(2368006),
     /* 2366686 */ /*GILLT_nxv4s64*//*Label 33149*/ GIMT_Encode4(2368121), GIMT_Encode4(0),
     /* 2366694 */ /*GILLT_nxv8s8*//*Label 33150*/ GIMT_Encode4(2368236),
     /* 2366698 */ /*GILLT_nxv8s16*//*Label 33151*/ GIMT_Encode4(2368351),
     /* 2366702 */ /*GILLT_nxv8s32*//*Label 33152*/ GIMT_Encode4(2368466),
     /* 2366706 */ /*GILLT_nxv8s64*//*Label 33153*/ GIMT_Encode4(2368581), GIMT_Encode4(0),
     /* 2366714 */ /*GILLT_nxv16s8*//*Label 33154*/ GIMT_Encode4(2368696),
     /* 2366718 */ /*GILLT_nxv16s16*//*Label 33155*/ GIMT_Encode4(2368811),
     /* 2366722 */ /*GILLT_nxv16s32*//*Label 33156*/ GIMT_Encode4(2368926), GIMT_Encode4(0),
     /* 2366730 */ /*GILLT_nxv32s8*//*Label 33157*/ GIMT_Encode4(2369041),
     /* 2366734 */ /*GILLT_nxv32s16*//*Label 33158*/ GIMT_Encode4(2369156), GIMT_Encode4(0),
     /* 2366742 */ /*GILLT_nxv64s8*//*Label 33159*/ GIMT_Encode4(2369271),
     /* 2366746 */ // Label 33136: @2366746
     /* 2366746 */ GIM_Try, /*On fail goto*//*Label 33161*/ GIMT_Encode4(2366800),
     /* 2366751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2366754 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2366757 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366761 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366765 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366769 */   GIM_Try, /*On fail goto*//*Label 33162*/ GIMT_Encode4(2366784), // Rule ID 64460 //
     /* 2366774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2366777 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2366777 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2366782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366783 */     // GIR_Coverage, 64460,
     /* 2366783 */     GIR_Done,
     /* 2366784 */   // Label 33162: @2366784
     /* 2366784 */   GIM_Try, /*On fail goto*//*Label 33163*/ GIMT_Encode4(2366799), // Rule ID 2525 //
     /* 2366789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2366792 */     // (smin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MIN:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2366792 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2366797 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366798 */     // GIR_Coverage, 2525,
     /* 2366798 */     GIR_Done,
     /* 2366799 */   // Label 33163: @2366799
     /* 2366799 */   GIM_Reject,
     /* 2366800 */ // Label 33161: @2366800
     /* 2366800 */ GIM_Reject,
     /* 2366801 */ // Label 33137: @2366801
     /* 2366801 */ GIM_Try, /*On fail goto*//*Label 33164*/ GIMT_Encode4(2366855),
     /* 2366806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2366809 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2366812 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366816 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366820 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2366824 */   GIM_Try, /*On fail goto*//*Label 33165*/ GIMT_Encode4(2366839), // Rule ID 64459 //
     /* 2366829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2366832 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2366832 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MIN),
     /* 2366837 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366838 */     // GIR_Coverage, 64459,
     /* 2366838 */     GIR_Done,
     /* 2366839 */   // Label 33165: @2366839
     /* 2366839 */   GIM_Try, /*On fail goto*//*Label 33166*/ GIMT_Encode4(2366854), // Rule ID 2524 //
     /* 2366844 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2366847 */     // (smin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MIN:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2366847 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MIN),
     /* 2366852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366853 */     // GIR_Coverage, 2524,
     /* 2366853 */     GIR_Done,
     /* 2366854 */   // Label 33166: @2366854
     /* 2366854 */   GIM_Reject,
     /* 2366855 */ // Label 33164: @2366855
     /* 2366855 */ GIM_Reject,
     /* 2366856 */ // Label 33138: @2366856
     /* 2366856 */ GIM_Try, /*On fail goto*//*Label 33167*/ GIMT_Encode4(2366970),
     /* 2366861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2366864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2366867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366875 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366879 */   GIM_Try, /*On fail goto*//*Label 33168*/ GIMT_Encode4(2366924), // Rule ID 50590 //
     /* 2366884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2366887 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2366887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2366904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366923 */     // GIR_Coverage, 50590,
     /* 2366923 */     GIR_EraseRootFromParent_Done,
     /* 2366924 */   // Label 33168: @2366924
     /* 2366924 */   GIM_Try, /*On fail goto*//*Label 33169*/ GIMT_Encode4(2366969), // Rule ID 50591 //
     /* 2366929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2366932 */     // (smin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMIN_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2366932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2366935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2366939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2366944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2366946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF8),
     /* 2366949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2366951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2366954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2366956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2366958 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2366961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2366967 */     GIR_RootConstrainSelectedInstOperands,
     /* 2366968 */     // GIR_Coverage, 50591,
     /* 2366968 */     GIR_EraseRootFromParent_Done,
     /* 2366969 */   // Label 33169: @2366969
     /* 2366969 */   GIM_Reject,
     /* 2366970 */ // Label 33167: @2366970
     /* 2366970 */ GIM_Reject,
     /* 2366971 */ // Label 33139: @2366971
     /* 2366971 */ GIM_Try, /*On fail goto*//*Label 33170*/ GIMT_Encode4(2367085),
     /* 2366976 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2366979 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2366982 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366986 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366990 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2366994 */   GIM_Try, /*On fail goto*//*Label 33171*/ GIMT_Encode4(2367039), // Rule ID 50602 //
     /* 2366999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367002 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2367005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2367019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367038 */     // GIR_Coverage, 50602,
     /* 2367038 */     GIR_EraseRootFromParent_Done,
     /* 2367039 */   // Label 33171: @2367039
     /* 2367039 */   GIM_Try, /*On fail goto*//*Label 33172*/ GIMT_Encode4(2367084), // Rule ID 50603 //
     /* 2367044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367047 */     // (smin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2367050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2367064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367082 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367083 */     // GIR_Coverage, 50603,
     /* 2367083 */     GIR_EraseRootFromParent_Done,
     /* 2367084 */   // Label 33172: @2367084
     /* 2367084 */   GIM_Reject,
     /* 2367085 */ // Label 33170: @2367085
     /* 2367085 */ GIM_Reject,
     /* 2367086 */ // Label 33140: @2367086
     /* 2367086 */ GIM_Try, /*On fail goto*//*Label 33173*/ GIMT_Encode4(2367200),
     /* 2367091 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2367094 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2367097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367101 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367105 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367109 */   GIM_Try, /*On fail goto*//*Label 33174*/ GIMT_Encode4(2367154), // Rule ID 50610 //
     /* 2367114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367117 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2367120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2367134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367153 */     // GIR_Coverage, 50610,
     /* 2367153 */     GIR_EraseRootFromParent_Done,
     /* 2367154 */   // Label 33174: @2367154
     /* 2367154 */   GIM_Try, /*On fail goto*//*Label 33175*/ GIMT_Encode4(2367199), // Rule ID 50611 //
     /* 2367159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367162 */     // (smin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2367165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2367179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367186 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367198 */     // GIR_Coverage, 50611,
     /* 2367198 */     GIR_EraseRootFromParent_Done,
     /* 2367199 */   // Label 33175: @2367199
     /* 2367199 */   GIM_Reject,
     /* 2367200 */ // Label 33173: @2367200
     /* 2367200 */ GIM_Reject,
     /* 2367201 */ // Label 33141: @2367201
     /* 2367201 */ GIM_Try, /*On fail goto*//*Label 33176*/ GIMT_Encode4(2367315),
     /* 2367206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2367209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2367212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367224 */   GIM_Try, /*On fail goto*//*Label 33177*/ GIMT_Encode4(2367269), // Rule ID 50626 //
     /* 2367229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2367232 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2367249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367268 */     // GIR_Coverage, 50626,
     /* 2367268 */     GIR_EraseRootFromParent_Done,
     /* 2367269 */   // Label 33177: @2367269
     /* 2367269 */   GIM_Try, /*On fail goto*//*Label 33178*/ GIMT_Encode4(2367314), // Rule ID 50627 //
     /* 2367274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2367277 */     // (smin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367277 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2367280 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367284 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367289 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2367294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367296 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367313 */     // GIR_Coverage, 50627,
     /* 2367313 */     GIR_EraseRootFromParent_Done,
     /* 2367314 */   // Label 33178: @2367314
     /* 2367314 */   GIM_Reject,
     /* 2367315 */ // Label 33176: @2367315
     /* 2367315 */ GIM_Reject,
     /* 2367316 */ // Label 33142: @2367316
     /* 2367316 */ GIM_Try, /*On fail goto*//*Label 33179*/ GIMT_Encode4(2367430),
     /* 2367321 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2367324 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2367327 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367331 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367335 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367339 */   GIM_Try, /*On fail goto*//*Label 33180*/ GIMT_Encode4(2367384), // Rule ID 50594 //
     /* 2367344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367347 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2367350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2367364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367383 */     // GIR_Coverage, 50594,
     /* 2367383 */     GIR_EraseRootFromParent_Done,
     /* 2367384 */   // Label 33180: @2367384
     /* 2367384 */   GIM_Try, /*On fail goto*//*Label 33181*/ GIMT_Encode4(2367429), // Rule ID 50595 //
     /* 2367389 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367392 */     // (smin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMIN_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367392 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2367395 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367399 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367404 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF4),
     /* 2367409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367411 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367414 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367416 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367428 */     // GIR_Coverage, 50595,
     /* 2367428 */     GIR_EraseRootFromParent_Done,
     /* 2367429 */   // Label 33181: @2367429
     /* 2367429 */   GIM_Reject,
     /* 2367430 */ // Label 33179: @2367430
     /* 2367430 */ GIM_Reject,
     /* 2367431 */ // Label 33143: @2367431
     /* 2367431 */ GIM_Try, /*On fail goto*//*Label 33182*/ GIMT_Encode4(2367545),
     /* 2367436 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2367439 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2367442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367450 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367454 */   GIM_Try, /*On fail goto*//*Label 33183*/ GIMT_Encode4(2367499), // Rule ID 50606 //
     /* 2367459 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367462 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367462 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2367465 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367469 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367474 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2367479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367481 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367484 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367498 */     // GIR_Coverage, 50606,
     /* 2367498 */     GIR_EraseRootFromParent_Done,
     /* 2367499 */   // Label 33183: @2367499
     /* 2367499 */   GIM_Try, /*On fail goto*//*Label 33184*/ GIMT_Encode4(2367544), // Rule ID 50607 //
     /* 2367504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367507 */     // (smin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2367510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2367524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367542 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367543 */     // GIR_Coverage, 50607,
     /* 2367543 */     GIR_EraseRootFromParent_Done,
     /* 2367544 */   // Label 33184: @2367544
     /* 2367544 */   GIM_Reject,
     /* 2367545 */ // Label 33182: @2367545
     /* 2367545 */ GIM_Reject,
     /* 2367546 */ // Label 33144: @2367546
     /* 2367546 */ GIM_Try, /*On fail goto*//*Label 33185*/ GIMT_Encode4(2367660),
     /* 2367551 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2367554 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2367557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367565 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367569 */   GIM_Try, /*On fail goto*//*Label 33186*/ GIMT_Encode4(2367614), // Rule ID 50622 //
     /* 2367574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367577 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367577 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2367580 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367584 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367589 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2367594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367596 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367599 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367612 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367613 */     // GIR_Coverage, 50622,
     /* 2367613 */     GIR_EraseRootFromParent_Done,
     /* 2367614 */   // Label 33186: @2367614
     /* 2367614 */   GIM_Try, /*On fail goto*//*Label 33187*/ GIMT_Encode4(2367659), // Rule ID 50623 //
     /* 2367619 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367622 */     // (smin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367622 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2367625 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367629 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367634 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2367639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367641 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367644 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367651 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2367654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367658 */     // GIR_Coverage, 50623,
     /* 2367658 */     GIR_EraseRootFromParent_Done,
     /* 2367659 */   // Label 33187: @2367659
     /* 2367659 */   GIM_Reject,
     /* 2367660 */ // Label 33185: @2367660
     /* 2367660 */ GIM_Reject,
     /* 2367661 */ // Label 33145: @2367661
     /* 2367661 */ GIM_Try, /*On fail goto*//*Label 33188*/ GIMT_Encode4(2367775),
     /* 2367666 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2367669 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2367672 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367676 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367680 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2367684 */   GIM_Try, /*On fail goto*//*Label 33189*/ GIMT_Encode4(2367729), // Rule ID 50666 //
     /* 2367689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2367692 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2367709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367716 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367728 */     // GIR_Coverage, 50666,
     /* 2367728 */     GIR_EraseRootFromParent_Done,
     /* 2367729 */   // Label 33189: @2367729
     /* 2367729 */   GIM_Try, /*On fail goto*//*Label 33190*/ GIMT_Encode4(2367774), // Rule ID 50667 //
     /* 2367734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2367737 */     // (smin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367737 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2367740 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367744 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367749 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2367754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367756 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367759 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367761 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2367769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367773 */     // GIR_Coverage, 50667,
     /* 2367773 */     GIR_EraseRootFromParent_Done,
     /* 2367774 */   // Label 33190: @2367774
     /* 2367774 */   GIM_Reject,
     /* 2367775 */ // Label 33188: @2367775
     /* 2367775 */ GIM_Reject,
     /* 2367776 */ // Label 33146: @2367776
     /* 2367776 */ GIM_Try, /*On fail goto*//*Label 33191*/ GIMT_Encode4(2367890),
     /* 2367781 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2367784 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2367787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367795 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367799 */   GIM_Try, /*On fail goto*//*Label 33192*/ GIMT_Encode4(2367844), // Rule ID 50598 //
     /* 2367804 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367807 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367807 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367810 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367814 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367819 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367821 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2367824 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367826 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367829 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367831 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367843 */     // GIR_Coverage, 50598,
     /* 2367843 */     GIR_EraseRootFromParent_Done,
     /* 2367844 */   // Label 33192: @2367844
     /* 2367844 */   GIM_Try, /*On fail goto*//*Label 33193*/ GIMT_Encode4(2367889), // Rule ID 50599 //
     /* 2367849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367852 */     // (smin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMIN_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2367855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_MF2),
     /* 2367869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367888 */     // GIR_Coverage, 50599,
     /* 2367888 */     GIR_EraseRootFromParent_Done,
     /* 2367889 */   // Label 33193: @2367889
     /* 2367889 */   GIM_Reject,
     /* 2367890 */ // Label 33191: @2367890
     /* 2367890 */ GIM_Reject,
     /* 2367891 */ // Label 33147: @2367891
     /* 2367891 */ GIM_Try, /*On fail goto*//*Label 33194*/ GIMT_Encode4(2368005),
     /* 2367896 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2367899 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2367902 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367906 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367910 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2367914 */   GIM_Try, /*On fail goto*//*Label 33195*/ GIMT_Encode4(2367959), // Rule ID 50618 //
     /* 2367919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2367922 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2367922 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367925 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367929 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367934 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367936 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2367939 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367941 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367944 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367946 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2367957 */     GIR_RootConstrainSelectedInstOperands,
     /* 2367958 */     // GIR_Coverage, 50618,
     /* 2367958 */     GIR_EraseRootFromParent_Done,
     /* 2367959 */   // Label 33195: @2367959
     /* 2367959 */   GIM_Try, /*On fail goto*//*Label 33196*/ GIMT_Encode4(2368004), // Rule ID 50619 //
     /* 2367964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2367967 */     // (smin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2367967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2367970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2367974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2367979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2367981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2367984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2367986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2367989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2367991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2367993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2367996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2367999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368003 */     // GIR_Coverage, 50619,
     /* 2368003 */     GIR_EraseRootFromParent_Done,
     /* 2368004 */   // Label 33196: @2368004
     /* 2368004 */   GIM_Reject,
     /* 2368005 */ // Label 33194: @2368005
     /* 2368005 */ GIM_Reject,
     /* 2368006 */ // Label 33148: @2368006
     /* 2368006 */ GIM_Try, /*On fail goto*//*Label 33197*/ GIMT_Encode4(2368120),
     /* 2368011 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2368014 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2368017 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368021 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368025 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368029 */   GIM_Try, /*On fail goto*//*Label 33198*/ GIMT_Encode4(2368074), // Rule ID 50654 //
     /* 2368034 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368037 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368037 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2368040 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368044 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368049 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2368054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368056 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368059 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368073 */     // GIR_Coverage, 50654,
     /* 2368073 */     GIR_EraseRootFromParent_Done,
     /* 2368074 */   // Label 33198: @2368074
     /* 2368074 */   GIM_Try, /*On fail goto*//*Label 33199*/ GIMT_Encode4(2368119), // Rule ID 50655 //
     /* 2368079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368082 */     // (smin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2368085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2368099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368118 */     // GIR_Coverage, 50655,
     /* 2368118 */     GIR_EraseRootFromParent_Done,
     /* 2368119 */   // Label 33199: @2368119
     /* 2368119 */   GIM_Reject,
     /* 2368120 */ // Label 33197: @2368120
     /* 2368120 */ GIM_Reject,
     /* 2368121 */ // Label 33149: @2368121
     /* 2368121 */ GIM_Try, /*On fail goto*//*Label 33200*/ GIMT_Encode4(2368235),
     /* 2368126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2368129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2368132 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368136 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368140 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368144 */   GIM_Try, /*On fail goto*//*Label 33201*/ GIMT_Encode4(2368189), // Rule ID 50670 //
     /* 2368149 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2368152 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368152 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2368155 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368159 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368164 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2368169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368171 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368188 */     // GIR_Coverage, 50670,
     /* 2368188 */     GIR_EraseRootFromParent_Done,
     /* 2368189 */   // Label 33201: @2368189
     /* 2368189 */   GIM_Try, /*On fail goto*//*Label 33202*/ GIMT_Encode4(2368234), // Rule ID 50671 //
     /* 2368194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2368197 */     // (smin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368197 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2368200 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368204 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368209 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2368214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368216 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368219 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368232 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368233 */     // GIR_Coverage, 50671,
     /* 2368233 */     GIR_EraseRootFromParent_Done,
     /* 2368234 */   // Label 33202: @2368234
     /* 2368234 */   GIM_Reject,
     /* 2368235 */ // Label 33200: @2368235
     /* 2368235 */ GIM_Reject,
     /* 2368236 */ // Label 33150: @2368236
     /* 2368236 */ GIM_Try, /*On fail goto*//*Label 33203*/ GIMT_Encode4(2368350),
     /* 2368241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2368244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2368247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368251 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368255 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2368259 */   GIM_Try, /*On fail goto*//*Label 33204*/ GIMT_Encode4(2368304), // Rule ID 50614 //
     /* 2368264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368267 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368267 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2368270 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368274 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368279 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368281 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2368284 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368286 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368289 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368291 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368303 */     // GIR_Coverage, 50614,
     /* 2368303 */     GIR_EraseRootFromParent_Done,
     /* 2368304 */   // Label 33204: @2368304
     /* 2368304 */   GIM_Try, /*On fail goto*//*Label 33205*/ GIMT_Encode4(2368349), // Rule ID 50615 //
     /* 2368309 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368312 */     // (smin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMIN_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368312 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2368315 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368319 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368324 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M1),
     /* 2368329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368331 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368334 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368336 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368348 */     // GIR_Coverage, 50615,
     /* 2368348 */     GIR_EraseRootFromParent_Done,
     /* 2368349 */   // Label 33205: @2368349
     /* 2368349 */   GIM_Reject,
     /* 2368350 */ // Label 33203: @2368350
     /* 2368350 */ GIM_Reject,
     /* 2368351 */ // Label 33151: @2368351
     /* 2368351 */ GIM_Try, /*On fail goto*//*Label 33206*/ GIMT_Encode4(2368465),
     /* 2368356 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2368359 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2368362 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368366 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368370 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368374 */   GIM_Try, /*On fail goto*//*Label 33207*/ GIMT_Encode4(2368419), // Rule ID 50642 //
     /* 2368379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368382 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2368399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368411 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368418 */     // GIR_Coverage, 50642,
     /* 2368418 */     GIR_EraseRootFromParent_Done,
     /* 2368419 */   // Label 33207: @2368419
     /* 2368419 */   GIM_Try, /*On fail goto*//*Label 33208*/ GIMT_Encode4(2368464), // Rule ID 50643 //
     /* 2368424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368427 */     // (smin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368427 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2368430 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368434 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368439 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368441 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2368444 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368446 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368451 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368463 */     // GIR_Coverage, 50643,
     /* 2368463 */     GIR_EraseRootFromParent_Done,
     /* 2368464 */   // Label 33208: @2368464
     /* 2368464 */   GIM_Reject,
     /* 2368465 */ // Label 33206: @2368465
     /* 2368465 */ GIM_Reject,
     /* 2368466 */ // Label 33152: @2368466
     /* 2368466 */ GIM_Try, /*On fail goto*//*Label 33209*/ GIMT_Encode4(2368580),
     /* 2368471 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2368474 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2368477 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368481 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368485 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368489 */   GIM_Try, /*On fail goto*//*Label 33210*/ GIMT_Encode4(2368534), // Rule ID 50658 //
     /* 2368494 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368497 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368497 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368500 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368504 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368509 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2368514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368516 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368519 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368521 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368532 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368533 */     // GIR_Coverage, 50658,
     /* 2368533 */     GIR_EraseRootFromParent_Done,
     /* 2368534 */   // Label 33210: @2368534
     /* 2368534 */   GIM_Try, /*On fail goto*//*Label 33211*/ GIMT_Encode4(2368579), // Rule ID 50659 //
     /* 2368539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368542 */     // (smin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368542 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2368545 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368549 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368554 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2368559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368561 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368564 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368566 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368578 */     // GIR_Coverage, 50659,
     /* 2368578 */     GIR_EraseRootFromParent_Done,
     /* 2368579 */   // Label 33211: @2368579
     /* 2368579 */   GIM_Reject,
     /* 2368580 */ // Label 33209: @2368580
     /* 2368580 */ GIM_Reject,
     /* 2368581 */ // Label 33153: @2368581
     /* 2368581 */ GIM_Try, /*On fail goto*//*Label 33212*/ GIMT_Encode4(2368695),
     /* 2368586 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2368589 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2368592 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368596 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368600 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368604 */   GIM_Try, /*On fail goto*//*Label 33213*/ GIMT_Encode4(2368649), // Rule ID 50674 //
     /* 2368609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2368612 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2368629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368636 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368648 */     // GIR_Coverage, 50674,
     /* 2368648 */     GIR_EraseRootFromParent_Done,
     /* 2368649 */   // Label 33213: @2368649
     /* 2368649 */   GIM_Try, /*On fail goto*//*Label 33214*/ GIMT_Encode4(2368694), // Rule ID 50675 //
     /* 2368654 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2368657 */     // (smin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368657 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2368660 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368664 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368669 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368671 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2368674 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368676 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368679 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368681 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2368689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368693 */     // GIR_Coverage, 50675,
     /* 2368693 */     GIR_EraseRootFromParent_Done,
     /* 2368694 */   // Label 33214: @2368694
     /* 2368694 */   GIM_Reject,
     /* 2368695 */ // Label 33212: @2368695
     /* 2368695 */ GIM_Reject,
     /* 2368696 */ // Label 33154: @2368696
     /* 2368696 */ GIM_Try, /*On fail goto*//*Label 33215*/ GIMT_Encode4(2368810),
     /* 2368701 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2368704 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2368707 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368711 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368715 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2368719 */   GIM_Try, /*On fail goto*//*Label 33216*/ GIMT_Encode4(2368764), // Rule ID 50630 //
     /* 2368724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368727 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2368730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2368744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368751 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368762 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368763 */     // GIR_Coverage, 50630,
     /* 2368763 */     GIR_EraseRootFromParent_Done,
     /* 2368764 */   // Label 33216: @2368764
     /* 2368764 */   GIM_Try, /*On fail goto*//*Label 33217*/ GIMT_Encode4(2368809), // Rule ID 50631 //
     /* 2368769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368772 */     // (smin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMIN_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2368775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M2),
     /* 2368789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368808 */     // GIR_Coverage, 50631,
     /* 2368808 */     GIR_EraseRootFromParent_Done,
     /* 2368809 */   // Label 33217: @2368809
     /* 2368809 */   GIM_Reject,
     /* 2368810 */ // Label 33215: @2368810
     /* 2368810 */ GIM_Reject,
     /* 2368811 */ // Label 33155: @2368811
     /* 2368811 */ GIM_Try, /*On fail goto*//*Label 33218*/ GIMT_Encode4(2368925),
     /* 2368816 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2368819 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2368822 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368826 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368830 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2368834 */   GIM_Try, /*On fail goto*//*Label 33219*/ GIMT_Encode4(2368879), // Rule ID 50646 //
     /* 2368839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368842 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368842 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368845 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368849 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368854 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2368859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368861 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368864 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368866 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368878 */     // GIR_Coverage, 50646,
     /* 2368878 */     GIR_EraseRootFromParent_Done,
     /* 2368879 */   // Label 33219: @2368879
     /* 2368879 */   GIM_Try, /*On fail goto*//*Label 33220*/ GIMT_Encode4(2368924), // Rule ID 50647 //
     /* 2368884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2368887 */     // (smin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2368887 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2368890 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368894 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368899 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2368904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368906 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2368919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368923 */     // GIR_Coverage, 50647,
     /* 2368923 */     GIR_EraseRootFromParent_Done,
     /* 2368924 */   // Label 33220: @2368924
     /* 2368924 */   GIM_Reject,
     /* 2368925 */ // Label 33218: @2368925
     /* 2368925 */ GIM_Reject,
     /* 2368926 */ // Label 33156: @2368926
     /* 2368926 */ GIM_Try, /*On fail goto*//*Label 33221*/ GIMT_Encode4(2369040),
     /* 2368931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2368934 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2368937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368941 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368945 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2368949 */   GIM_Try, /*On fail goto*//*Label 33222*/ GIMT_Encode4(2368994), // Rule ID 50662 //
     /* 2368954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2368957 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2368957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2368960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2368964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2368969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2368971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2368974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2368976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2368979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2368981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2368983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2368986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2368989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2368992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2368993 */     // GIR_Coverage, 50662,
     /* 2368993 */     GIR_EraseRootFromParent_Done,
     /* 2368994 */   // Label 33222: @2368994
     /* 2368994 */   GIM_Try, /*On fail goto*//*Label 33223*/ GIMT_Encode4(2369039), // Rule ID 50663 //
     /* 2368999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369002 */     // (smin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2369005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2369019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369038 */     // GIR_Coverage, 50663,
     /* 2369038 */     GIR_EraseRootFromParent_Done,
     /* 2369039 */   // Label 33223: @2369039
     /* 2369039 */   GIM_Reject,
     /* 2369040 */ // Label 33221: @2369040
     /* 2369040 */ GIM_Reject,
     /* 2369041 */ // Label 33157: @2369041
     /* 2369041 */ GIM_Try, /*On fail goto*//*Label 33224*/ GIMT_Encode4(2369155),
     /* 2369046 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2369049 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2369052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369060 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2369064 */   GIM_Try, /*On fail goto*//*Label 33225*/ GIMT_Encode4(2369109), // Rule ID 50634 //
     /* 2369069 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369072 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369072 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2369075 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369079 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369084 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2369089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369091 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369094 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369108 */     // GIR_Coverage, 50634,
     /* 2369108 */     GIR_EraseRootFromParent_Done,
     /* 2369109 */   // Label 33225: @2369109
     /* 2369109 */   GIM_Try, /*On fail goto*//*Label 33226*/ GIMT_Encode4(2369154), // Rule ID 50635 //
     /* 2369114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369117 */     // (smin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMIN_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369117 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2369120 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369124 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369129 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369131 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M4),
     /* 2369134 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369136 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369139 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369153 */     // GIR_Coverage, 50635,
     /* 2369153 */     GIR_EraseRootFromParent_Done,
     /* 2369154 */   // Label 33226: @2369154
     /* 2369154 */   GIM_Reject,
     /* 2369155 */ // Label 33224: @2369155
     /* 2369155 */ GIM_Reject,
     /* 2369156 */ // Label 33158: @2369156
     /* 2369156 */ GIM_Try, /*On fail goto*//*Label 33227*/ GIMT_Encode4(2369270),
     /* 2369161 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2369164 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2369167 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369171 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369175 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369179 */   GIM_Try, /*On fail goto*//*Label 33228*/ GIMT_Encode4(2369224), // Rule ID 50650 //
     /* 2369184 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369187 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369187 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2369190 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369194 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369199 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369201 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2369204 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369206 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369209 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369211 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369223 */     // GIR_Coverage, 50650,
     /* 2369223 */     GIR_EraseRootFromParent_Done,
     /* 2369224 */   // Label 33228: @2369224
     /* 2369224 */   GIM_Try, /*On fail goto*//*Label 33229*/ GIMT_Encode4(2369269), // Rule ID 50651 //
     /* 2369229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369232 */     // (smin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2369235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2369249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369268 */     // GIR_Coverage, 50651,
     /* 2369268 */     GIR_EraseRootFromParent_Done,
     /* 2369269 */   // Label 33229: @2369269
     /* 2369269 */   GIM_Reject,
     /* 2369270 */ // Label 33227: @2369270
     /* 2369270 */ GIM_Reject,
     /* 2369271 */ // Label 33159: @2369271
     /* 2369271 */ GIM_Try, /*On fail goto*//*Label 33230*/ GIMT_Encode4(2369385),
     /* 2369276 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2369279 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2369282 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369286 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369290 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2369294 */   GIM_Try, /*On fail goto*//*Label 33231*/ GIMT_Encode4(2369339), // Rule ID 50638 //
     /* 2369299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369302 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369302 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2369305 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369309 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369314 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2369319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369321 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369324 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369326 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369328 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369337 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369338 */     // GIR_Coverage, 50638,
     /* 2369338 */     GIR_EraseRootFromParent_Done,
     /* 2369339 */   // Label 33231: @2369339
     /* 2369339 */   GIM_Try, /*On fail goto*//*Label 33232*/ GIMT_Encode4(2369384), // Rule ID 50639 //
     /* 2369344 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369347 */     // (smin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMIN_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369347 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2369350 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369354 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369359 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMIN_VV_M8),
     /* 2369364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369366 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369369 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369371 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369382 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369383 */     // GIR_Coverage, 50639,
     /* 2369383 */     GIR_EraseRootFromParent_Done,
     /* 2369384 */   // Label 33232: @2369384
     /* 2369384 */   GIM_Reject,
     /* 2369385 */ // Label 33230: @2369385
     /* 2369385 */ GIM_Reject,
     /* 2369386 */ // Label 33160: @2369386
     /* 2369386 */ GIM_Reject,
     /* 2369387 */ // Label 81: @2369387
     /* 2369387 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33257*/ GIMT_Encode4(2372162),
     /* 2369398 */ /*GILLT_s32*//*Label 33233*/ GIMT_Encode4(2369522),
     /* 2369402 */ /*GILLT_s64*//*Label 33234*/ GIMT_Encode4(2369577), GIMT_Encode4(0),
     /* 2369410 */ /*GILLT_nxv1s8*//*Label 33235*/ GIMT_Encode4(2369632),
     /* 2369414 */ /*GILLT_nxv1s16*//*Label 33236*/ GIMT_Encode4(2369747),
     /* 2369418 */ /*GILLT_nxv1s32*//*Label 33237*/ GIMT_Encode4(2369862),
     /* 2369422 */ /*GILLT_nxv1s64*//*Label 33238*/ GIMT_Encode4(2369977), GIMT_Encode4(0),
     /* 2369430 */ /*GILLT_nxv2s8*//*Label 33239*/ GIMT_Encode4(2370092),
     /* 2369434 */ /*GILLT_nxv2s16*//*Label 33240*/ GIMT_Encode4(2370207),
     /* 2369438 */ /*GILLT_nxv2s32*//*Label 33241*/ GIMT_Encode4(2370322),
     /* 2369442 */ /*GILLT_nxv2s64*//*Label 33242*/ GIMT_Encode4(2370437), GIMT_Encode4(0),
     /* 2369450 */ /*GILLT_nxv4s8*//*Label 33243*/ GIMT_Encode4(2370552),
     /* 2369454 */ /*GILLT_nxv4s16*//*Label 33244*/ GIMT_Encode4(2370667),
     /* 2369458 */ /*GILLT_nxv4s32*//*Label 33245*/ GIMT_Encode4(2370782),
     /* 2369462 */ /*GILLT_nxv4s64*//*Label 33246*/ GIMT_Encode4(2370897), GIMT_Encode4(0),
     /* 2369470 */ /*GILLT_nxv8s8*//*Label 33247*/ GIMT_Encode4(2371012),
     /* 2369474 */ /*GILLT_nxv8s16*//*Label 33248*/ GIMT_Encode4(2371127),
     /* 2369478 */ /*GILLT_nxv8s32*//*Label 33249*/ GIMT_Encode4(2371242),
     /* 2369482 */ /*GILLT_nxv8s64*//*Label 33250*/ GIMT_Encode4(2371357), GIMT_Encode4(0),
     /* 2369490 */ /*GILLT_nxv16s8*//*Label 33251*/ GIMT_Encode4(2371472),
     /* 2369494 */ /*GILLT_nxv16s16*//*Label 33252*/ GIMT_Encode4(2371587),
     /* 2369498 */ /*GILLT_nxv16s32*//*Label 33253*/ GIMT_Encode4(2371702), GIMT_Encode4(0),
     /* 2369506 */ /*GILLT_nxv32s8*//*Label 33254*/ GIMT_Encode4(2371817),
     /* 2369510 */ /*GILLT_nxv32s16*//*Label 33255*/ GIMT_Encode4(2371932), GIMT_Encode4(0),
     /* 2369518 */ /*GILLT_nxv64s8*//*Label 33256*/ GIMT_Encode4(2372047),
     /* 2369522 */ // Label 33233: @2369522
     /* 2369522 */ GIM_Try, /*On fail goto*//*Label 33258*/ GIMT_Encode4(2369576),
     /* 2369527 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2369530 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2369533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369537 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369541 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369545 */   GIM_Try, /*On fail goto*//*Label 33259*/ GIMT_Encode4(2369560), // Rule ID 64464 //
     /* 2369550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2369553 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2369553 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2369558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369559 */     // GIR_Coverage, 64464,
     /* 2369559 */     GIR_Done,
     /* 2369560 */   // Label 33259: @2369560
     /* 2369560 */   GIM_Try, /*On fail goto*//*Label 33260*/ GIMT_Encode4(2369575), // Rule ID 2527 //
     /* 2369565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2369568 */     // (smax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAX:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2369568 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2369573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369574 */     // GIR_Coverage, 2527,
     /* 2369574 */     GIR_Done,
     /* 2369575 */   // Label 33260: @2369575
     /* 2369575 */   GIM_Reject,
     /* 2369576 */ // Label 33258: @2369576
     /* 2369576 */ GIM_Reject,
     /* 2369577 */ // Label 33234: @2369577
     /* 2369577 */ GIM_Try, /*On fail goto*//*Label 33261*/ GIMT_Encode4(2369631),
     /* 2369582 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2369585 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2369588 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369592 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369596 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2369600 */   GIM_Try, /*On fail goto*//*Label 33262*/ GIMT_Encode4(2369615), // Rule ID 64463 //
     /* 2369605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2369608 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2369608 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAX),
     /* 2369613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369614 */     // GIR_Coverage, 64463,
     /* 2369614 */     GIR_Done,
     /* 2369615 */   // Label 33262: @2369615
     /* 2369615 */   GIM_Try, /*On fail goto*//*Label 33263*/ GIMT_Encode4(2369630), // Rule ID 2526 //
     /* 2369620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2369623 */     // (smax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAX:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2369623 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAX),
     /* 2369628 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369629 */     // GIR_Coverage, 2526,
     /* 2369629 */     GIR_Done,
     /* 2369630 */   // Label 33263: @2369630
     /* 2369630 */   GIM_Reject,
     /* 2369631 */ // Label 33261: @2369631
     /* 2369631 */ GIM_Reject,
     /* 2369632 */ // Label 33235: @2369632
     /* 2369632 */ GIM_Try, /*On fail goto*//*Label 33264*/ GIMT_Encode4(2369746),
     /* 2369637 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2369640 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2369643 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369647 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369651 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369655 */   GIM_Try, /*On fail goto*//*Label 33265*/ GIMT_Encode4(2369700), // Rule ID 50766 //
     /* 2369660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369663 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2369666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2369680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369699 */     // GIR_Coverage, 50766,
     /* 2369699 */     GIR_EraseRootFromParent_Done,
     /* 2369700 */   // Label 33265: @2369700
     /* 2369700 */   GIM_Try, /*On fail goto*//*Label 33266*/ GIMT_Encode4(2369745), // Rule ID 50767 //
     /* 2369705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369708 */     // (smax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAX_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2369711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF8),
     /* 2369725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369743 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369744 */     // GIR_Coverage, 50767,
     /* 2369744 */     GIR_EraseRootFromParent_Done,
     /* 2369745 */   // Label 33266: @2369745
     /* 2369745 */   GIM_Reject,
     /* 2369746 */ // Label 33264: @2369746
     /* 2369746 */ GIM_Reject,
     /* 2369747 */ // Label 33236: @2369747
     /* 2369747 */ GIM_Try, /*On fail goto*//*Label 33267*/ GIMT_Encode4(2369861),
     /* 2369752 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2369755 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2369758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369762 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369766 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369770 */   GIM_Try, /*On fail goto*//*Label 33268*/ GIMT_Encode4(2369815), // Rule ID 50778 //
     /* 2369775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369778 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2369795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369814 */     // GIR_Coverage, 50778,
     /* 2369814 */     GIR_EraseRootFromParent_Done,
     /* 2369815 */   // Label 33268: @2369815
     /* 2369815 */   GIM_Try, /*On fail goto*//*Label 33269*/ GIMT_Encode4(2369860), // Rule ID 50779 //
     /* 2369820 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369823 */     // (smax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369823 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2369826 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369830 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369835 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369837 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2369840 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369842 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369847 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2369855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369859 */     // GIR_Coverage, 50779,
     /* 2369859 */     GIR_EraseRootFromParent_Done,
     /* 2369860 */   // Label 33269: @2369860
     /* 2369860 */   GIM_Reject,
     /* 2369861 */ // Label 33267: @2369861
     /* 2369861 */ GIM_Reject,
     /* 2369862 */ // Label 33237: @2369862
     /* 2369862 */ GIM_Try, /*On fail goto*//*Label 33270*/ GIMT_Encode4(2369976),
     /* 2369867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2369870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2369873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369885 */   GIM_Try, /*On fail goto*//*Label 33271*/ GIMT_Encode4(2369930), // Rule ID 50786 //
     /* 2369890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2369893 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2369893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2369910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369929 */     // GIR_Coverage, 50786,
     /* 2369929 */     GIR_EraseRootFromParent_Done,
     /* 2369930 */   // Label 33271: @2369930
     /* 2369930 */   GIM_Try, /*On fail goto*//*Label 33272*/ GIMT_Encode4(2369975), // Rule ID 50787 //
     /* 2369935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2369938 */     // (smax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2369938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2369941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2369945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2369950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2369952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2369955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2369957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2369960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2369962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2369964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2369967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2369970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2369973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2369974 */     // GIR_Coverage, 50787,
     /* 2369974 */     GIR_EraseRootFromParent_Done,
     /* 2369975 */   // Label 33272: @2369975
     /* 2369975 */   GIM_Reject,
     /* 2369976 */ // Label 33270: @2369976
     /* 2369976 */ GIM_Reject,
     /* 2369977 */ // Label 33238: @2369977
     /* 2369977 */ GIM_Try, /*On fail goto*//*Label 33273*/ GIMT_Encode4(2370091),
     /* 2369982 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2369985 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2369988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2369996 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370000 */   GIM_Try, /*On fail goto*//*Label 33274*/ GIMT_Encode4(2370045), // Rule ID 50802 //
     /* 2370005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2370008 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2370011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2370025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370044 */     // GIR_Coverage, 50802,
     /* 2370044 */     GIR_EraseRootFromParent_Done,
     /* 2370045 */   // Label 33274: @2370045
     /* 2370045 */   GIM_Try, /*On fail goto*//*Label 33275*/ GIMT_Encode4(2370090), // Rule ID 50803 //
     /* 2370050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2370053 */     // (smax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370053 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2370056 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370060 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370065 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2370070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370072 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370075 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370077 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370089 */     // GIR_Coverage, 50803,
     /* 2370089 */     GIR_EraseRootFromParent_Done,
     /* 2370090 */   // Label 33275: @2370090
     /* 2370090 */   GIM_Reject,
     /* 2370091 */ // Label 33273: @2370091
     /* 2370091 */ GIM_Reject,
     /* 2370092 */ // Label 33239: @2370092
     /* 2370092 */ GIM_Try, /*On fail goto*//*Label 33276*/ GIMT_Encode4(2370206),
     /* 2370097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2370100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2370103 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370107 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370111 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370115 */   GIM_Try, /*On fail goto*//*Label 33277*/ GIMT_Encode4(2370160), // Rule ID 50770 //
     /* 2370120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370123 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2370126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2370140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370159 */     // GIR_Coverage, 50770,
     /* 2370159 */     GIR_EraseRootFromParent_Done,
     /* 2370160 */   // Label 33277: @2370160
     /* 2370160 */   GIM_Try, /*On fail goto*//*Label 33278*/ GIMT_Encode4(2370205), // Rule ID 50771 //
     /* 2370165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370168 */     // (smax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAX_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370168 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2370171 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370175 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370180 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370182 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF4),
     /* 2370185 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370187 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370204 */     // GIR_Coverage, 50771,
     /* 2370204 */     GIR_EraseRootFromParent_Done,
     /* 2370205 */   // Label 33278: @2370205
     /* 2370205 */   GIM_Reject,
     /* 2370206 */ // Label 33276: @2370206
     /* 2370206 */ GIM_Reject,
     /* 2370207 */ // Label 33240: @2370207
     /* 2370207 */ GIM_Try, /*On fail goto*//*Label 33279*/ GIMT_Encode4(2370321),
     /* 2370212 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2370215 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2370218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370222 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370226 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370230 */   GIM_Try, /*On fail goto*//*Label 33280*/ GIMT_Encode4(2370275), // Rule ID 50782 //
     /* 2370235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370238 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2370255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370274 */     // GIR_Coverage, 50782,
     /* 2370274 */     GIR_EraseRootFromParent_Done,
     /* 2370275 */   // Label 33280: @2370275
     /* 2370275 */   GIM_Try, /*On fail goto*//*Label 33281*/ GIMT_Encode4(2370320), // Rule ID 50783 //
     /* 2370280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370283 */     // (smax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370283 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2370286 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370290 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370295 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370297 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2370300 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370302 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370305 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370307 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370319 */     // GIR_Coverage, 50783,
     /* 2370319 */     GIR_EraseRootFromParent_Done,
     /* 2370320 */   // Label 33281: @2370320
     /* 2370320 */   GIM_Reject,
     /* 2370321 */ // Label 33279: @2370321
     /* 2370321 */ GIM_Reject,
     /* 2370322 */ // Label 33241: @2370322
     /* 2370322 */ GIM_Try, /*On fail goto*//*Label 33282*/ GIMT_Encode4(2370436),
     /* 2370327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2370330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2370333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370345 */   GIM_Try, /*On fail goto*//*Label 33283*/ GIMT_Encode4(2370390), // Rule ID 50798 //
     /* 2370350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370353 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2370370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370389 */     // GIR_Coverage, 50798,
     /* 2370389 */     GIR_EraseRootFromParent_Done,
     /* 2370390 */   // Label 33283: @2370390
     /* 2370390 */   GIM_Try, /*On fail goto*//*Label 33284*/ GIMT_Encode4(2370435), // Rule ID 50799 //
     /* 2370395 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370398 */     // (smax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370398 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2370401 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370405 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370410 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2370415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370417 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370420 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370422 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370434 */     // GIR_Coverage, 50799,
     /* 2370434 */     GIR_EraseRootFromParent_Done,
     /* 2370435 */   // Label 33284: @2370435
     /* 2370435 */   GIM_Reject,
     /* 2370436 */ // Label 33282: @2370436
     /* 2370436 */ GIM_Reject,
     /* 2370437 */ // Label 33242: @2370437
     /* 2370437 */ GIM_Try, /*On fail goto*//*Label 33285*/ GIMT_Encode4(2370551),
     /* 2370442 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2370445 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2370448 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370452 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370456 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370460 */   GIM_Try, /*On fail goto*//*Label 33286*/ GIMT_Encode4(2370505), // Rule ID 50842 //
     /* 2370465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2370468 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370468 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370471 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370475 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370480 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2370485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370487 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370490 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370492 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370503 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370504 */     // GIR_Coverage, 50842,
     /* 2370504 */     GIR_EraseRootFromParent_Done,
     /* 2370505 */   // Label 33286: @2370505
     /* 2370505 */   GIM_Try, /*On fail goto*//*Label 33287*/ GIMT_Encode4(2370550), // Rule ID 50843 //
     /* 2370510 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2370513 */     // (smax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370513 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2370516 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370520 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370525 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2370530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370532 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370549 */     // GIR_Coverage, 50843,
     /* 2370549 */     GIR_EraseRootFromParent_Done,
     /* 2370550 */   // Label 33287: @2370550
     /* 2370550 */   GIM_Reject,
     /* 2370551 */ // Label 33285: @2370551
     /* 2370551 */ GIM_Reject,
     /* 2370552 */ // Label 33243: @2370552
     /* 2370552 */ GIM_Try, /*On fail goto*//*Label 33288*/ GIMT_Encode4(2370666),
     /* 2370557 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2370560 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2370563 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370567 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370571 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370575 */   GIM_Try, /*On fail goto*//*Label 33289*/ GIMT_Encode4(2370620), // Rule ID 50774 //
     /* 2370580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370583 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2370586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2370600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370618 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370619 */     // GIR_Coverage, 50774,
     /* 2370619 */     GIR_EraseRootFromParent_Done,
     /* 2370620 */   // Label 33289: @2370620
     /* 2370620 */   GIM_Try, /*On fail goto*//*Label 33290*/ GIMT_Encode4(2370665), // Rule ID 50775 //
     /* 2370625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370628 */     // (smax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAX_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2370631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_MF2),
     /* 2370645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370664 */     // GIR_Coverage, 50775,
     /* 2370664 */     GIR_EraseRootFromParent_Done,
     /* 2370665 */   // Label 33290: @2370665
     /* 2370665 */   GIM_Reject,
     /* 2370666 */ // Label 33288: @2370666
     /* 2370666 */ GIM_Reject,
     /* 2370667 */ // Label 33244: @2370667
     /* 2370667 */ GIM_Try, /*On fail goto*//*Label 33291*/ GIMT_Encode4(2370781),
     /* 2370672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2370675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2370678 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370682 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370686 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2370690 */   GIM_Try, /*On fail goto*//*Label 33292*/ GIMT_Encode4(2370735), // Rule ID 50794 //
     /* 2370695 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370698 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370698 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370701 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370705 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370710 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370712 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2370715 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370717 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370720 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370722 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370724 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370733 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370734 */     // GIR_Coverage, 50794,
     /* 2370734 */     GIR_EraseRootFromParent_Done,
     /* 2370735 */   // Label 33292: @2370735
     /* 2370735 */   GIM_Try, /*On fail goto*//*Label 33293*/ GIMT_Encode4(2370780), // Rule ID 50795 //
     /* 2370740 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370743 */     // (smax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370743 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2370746 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370750 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370755 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2370760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370762 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2370775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370778 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370779 */     // GIR_Coverage, 50795,
     /* 2370779 */     GIR_EraseRootFromParent_Done,
     /* 2370780 */   // Label 33293: @2370780
     /* 2370780 */   GIM_Reject,
     /* 2370781 */ // Label 33291: @2370781
     /* 2370781 */ GIM_Reject,
     /* 2370782 */ // Label 33245: @2370782
     /* 2370782 */ GIM_Try, /*On fail goto*//*Label 33294*/ GIMT_Encode4(2370896),
     /* 2370787 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2370790 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2370793 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370797 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370801 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2370805 */   GIM_Try, /*On fail goto*//*Label 33295*/ GIMT_Encode4(2370850), // Rule ID 50830 //
     /* 2370810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2370813 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2370830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370837 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370848 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370849 */     // GIR_Coverage, 50830,
     /* 2370849 */     GIR_EraseRootFromParent_Done,
     /* 2370850 */   // Label 33295: @2370850
     /* 2370850 */   GIM_Try, /*On fail goto*//*Label 33296*/ GIMT_Encode4(2370895), // Rule ID 50831 //
     /* 2370855 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2370858 */     // (smax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370858 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2370861 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370865 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370870 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2370875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370877 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370880 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370882 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2370890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370894 */     // GIR_Coverage, 50831,
     /* 2370894 */     GIR_EraseRootFromParent_Done,
     /* 2370895 */   // Label 33296: @2370895
     /* 2370895 */   GIM_Reject,
     /* 2370896 */ // Label 33294: @2370896
     /* 2370896 */ GIM_Reject,
     /* 2370897 */ // Label 33246: @2370897
     /* 2370897 */ GIM_Try, /*On fail goto*//*Label 33297*/ GIMT_Encode4(2371011),
     /* 2370902 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2370905 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2370908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370912 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370916 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2370920 */   GIM_Try, /*On fail goto*//*Label 33298*/ GIMT_Encode4(2370965), // Rule ID 50846 //
     /* 2370925 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2370928 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2370928 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370931 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370935 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370940 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370942 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2370945 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370947 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370950 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370952 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2370957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2370960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2370963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2370964 */     // GIR_Coverage, 50846,
     /* 2370964 */     GIR_EraseRootFromParent_Done,
     /* 2370965 */   // Label 33298: @2370965
     /* 2370965 */   GIM_Try, /*On fail goto*//*Label 33299*/ GIMT_Encode4(2371010), // Rule ID 50847 //
     /* 2370970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2370973 */     // (smax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2370973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2370976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2370980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2370985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2370987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2370990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2370992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2370995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2370997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2370999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371008 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371009 */     // GIR_Coverage, 50847,
     /* 2371009 */     GIR_EraseRootFromParent_Done,
     /* 2371010 */   // Label 33299: @2371010
     /* 2371010 */   GIM_Reject,
     /* 2371011 */ // Label 33297: @2371011
     /* 2371011 */ GIM_Reject,
     /* 2371012 */ // Label 33247: @2371012
     /* 2371012 */ GIM_Try, /*On fail goto*//*Label 33300*/ GIMT_Encode4(2371126),
     /* 2371017 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2371020 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2371023 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371027 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371031 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2371035 */   GIM_Try, /*On fail goto*//*Label 33301*/ GIMT_Encode4(2371080), // Rule ID 50790 //
     /* 2371040 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371043 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371043 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2371046 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371050 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371055 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2371060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371062 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371079 */     // GIR_Coverage, 50790,
     /* 2371079 */     GIR_EraseRootFromParent_Done,
     /* 2371080 */   // Label 33301: @2371080
     /* 2371080 */   GIM_Try, /*On fail goto*//*Label 33302*/ GIMT_Encode4(2371125), // Rule ID 50791 //
     /* 2371085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371088 */     // (smax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAX_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2371091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M1),
     /* 2371105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371123 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371124 */     // GIR_Coverage, 50791,
     /* 2371124 */     GIR_EraseRootFromParent_Done,
     /* 2371125 */   // Label 33302: @2371125
     /* 2371125 */   GIM_Reject,
     /* 2371126 */ // Label 33300: @2371126
     /* 2371126 */ GIM_Reject,
     /* 2371127 */ // Label 33248: @2371127
     /* 2371127 */ GIM_Try, /*On fail goto*//*Label 33303*/ GIMT_Encode4(2371241),
     /* 2371132 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2371135 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2371138 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371142 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371146 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371150 */   GIM_Try, /*On fail goto*//*Label 33304*/ GIMT_Encode4(2371195), // Rule ID 50818 //
     /* 2371155 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371158 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371158 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371161 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371165 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371170 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371172 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2371175 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371177 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371180 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371182 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371193 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371194 */     // GIR_Coverage, 50818,
     /* 2371194 */     GIR_EraseRootFromParent_Done,
     /* 2371195 */   // Label 33304: @2371195
     /* 2371195 */   GIM_Try, /*On fail goto*//*Label 33305*/ GIMT_Encode4(2371240), // Rule ID 50819 //
     /* 2371200 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371203 */     // (smax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371203 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2371206 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371210 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371215 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2371220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371222 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371227 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371239 */     // GIR_Coverage, 50819,
     /* 2371239 */     GIR_EraseRootFromParent_Done,
     /* 2371240 */   // Label 33305: @2371240
     /* 2371240 */   GIM_Reject,
     /* 2371241 */ // Label 33303: @2371241
     /* 2371241 */ GIM_Reject,
     /* 2371242 */ // Label 33249: @2371242
     /* 2371242 */ GIM_Try, /*On fail goto*//*Label 33306*/ GIMT_Encode4(2371356),
     /* 2371247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2371250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2371253 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371257 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371261 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371265 */   GIM_Try, /*On fail goto*//*Label 33307*/ GIMT_Encode4(2371310), // Rule ID 50834 //
     /* 2371270 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371273 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371273 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371276 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371280 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371285 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2371290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371292 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371295 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371297 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371309 */     // GIR_Coverage, 50834,
     /* 2371309 */     GIR_EraseRootFromParent_Done,
     /* 2371310 */   // Label 33307: @2371310
     /* 2371310 */   GIM_Try, /*On fail goto*//*Label 33308*/ GIMT_Encode4(2371355), // Rule ID 50835 //
     /* 2371315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371318 */     // (smax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371318 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2371321 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371325 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371330 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2371335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371337 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371354 */     // GIR_Coverage, 50835,
     /* 2371354 */     GIR_EraseRootFromParent_Done,
     /* 2371355 */   // Label 33308: @2371355
     /* 2371355 */   GIM_Reject,
     /* 2371356 */ // Label 33306: @2371356
     /* 2371356 */ GIM_Reject,
     /* 2371357 */ // Label 33250: @2371357
     /* 2371357 */ GIM_Try, /*On fail goto*//*Label 33309*/ GIMT_Encode4(2371471),
     /* 2371362 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2371365 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2371368 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371372 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371376 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371380 */   GIM_Try, /*On fail goto*//*Label 33310*/ GIMT_Encode4(2371425), // Rule ID 50850 //
     /* 2371385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2371388 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371388 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2371391 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371395 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371400 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371402 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2371405 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371407 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371417 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371424 */     // GIR_Coverage, 50850,
     /* 2371424 */     GIR_EraseRootFromParent_Done,
     /* 2371425 */   // Label 33310: @2371425
     /* 2371425 */   GIM_Try, /*On fail goto*//*Label 33311*/ GIMT_Encode4(2371470), // Rule ID 50851 //
     /* 2371430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2371433 */     // (smax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371433 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2371436 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371440 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371445 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371447 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2371450 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371452 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371462 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2371465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371468 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371469 */     // GIR_Coverage, 50851,
     /* 2371469 */     GIR_EraseRootFromParent_Done,
     /* 2371470 */   // Label 33311: @2371470
     /* 2371470 */   GIM_Reject,
     /* 2371471 */ // Label 33309: @2371471
     /* 2371471 */ GIM_Reject,
     /* 2371472 */ // Label 33251: @2371472
     /* 2371472 */ GIM_Try, /*On fail goto*//*Label 33312*/ GIMT_Encode4(2371586),
     /* 2371477 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2371480 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2371483 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371487 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371491 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2371495 */   GIM_Try, /*On fail goto*//*Label 33313*/ GIMT_Encode4(2371540), // Rule ID 50806 //
     /* 2371500 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371503 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371503 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2371506 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371510 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371515 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2371520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371522 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371527 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371539 */     // GIR_Coverage, 50806,
     /* 2371539 */     GIR_EraseRootFromParent_Done,
     /* 2371540 */   // Label 33313: @2371540
     /* 2371540 */   GIM_Try, /*On fail goto*//*Label 33314*/ GIMT_Encode4(2371585), // Rule ID 50807 //
     /* 2371545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371548 */     // (smax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAX_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2371551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M2),
     /* 2371565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371584 */     // GIR_Coverage, 50807,
     /* 2371584 */     GIR_EraseRootFromParent_Done,
     /* 2371585 */   // Label 33314: @2371585
     /* 2371585 */   GIM_Reject,
     /* 2371586 */ // Label 33312: @2371586
     /* 2371586 */ GIM_Reject,
     /* 2371587 */ // Label 33252: @2371587
     /* 2371587 */ GIM_Try, /*On fail goto*//*Label 33315*/ GIMT_Encode4(2371701),
     /* 2371592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2371595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2371598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371606 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371610 */   GIM_Try, /*On fail goto*//*Label 33316*/ GIMT_Encode4(2371655), // Rule ID 50822 //
     /* 2371615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371618 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371618 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371621 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371625 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371630 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2371635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371637 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371640 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371642 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371653 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371654 */     // GIR_Coverage, 50822,
     /* 2371654 */     GIR_EraseRootFromParent_Done,
     /* 2371655 */   // Label 33316: @2371655
     /* 2371655 */   GIM_Try, /*On fail goto*//*Label 33317*/ GIMT_Encode4(2371700), // Rule ID 50823 //
     /* 2371660 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371663 */     // (smax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371663 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2371666 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371670 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371675 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2371680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371682 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371699 */     // GIR_Coverage, 50823,
     /* 2371699 */     GIR_EraseRootFromParent_Done,
     /* 2371700 */   // Label 33317: @2371700
     /* 2371700 */   GIM_Reject,
     /* 2371701 */ // Label 33315: @2371701
     /* 2371701 */ GIM_Reject,
     /* 2371702 */ // Label 33253: @2371702
     /* 2371702 */ GIM_Try, /*On fail goto*//*Label 33318*/ GIMT_Encode4(2371816),
     /* 2371707 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2371710 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2371713 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371717 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371721 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371725 */   GIM_Try, /*On fail goto*//*Label 33319*/ GIMT_Encode4(2371770), // Rule ID 50838 //
     /* 2371730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371733 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371733 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371736 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371740 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371745 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371747 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2371750 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371752 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371769 */     // GIR_Coverage, 50838,
     /* 2371769 */     GIR_EraseRootFromParent_Done,
     /* 2371770 */   // Label 33319: @2371770
     /* 2371770 */   GIM_Try, /*On fail goto*//*Label 33320*/ GIMT_Encode4(2371815), // Rule ID 50839 //
     /* 2371775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371778 */     // (smax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371778 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2371781 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371785 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371790 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2371795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371797 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371800 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371802 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2371810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371813 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371814 */     // GIR_Coverage, 50839,
     /* 2371814 */     GIR_EraseRootFromParent_Done,
     /* 2371815 */   // Label 33320: @2371815
     /* 2371815 */   GIM_Reject,
     /* 2371816 */ // Label 33318: @2371816
     /* 2371816 */ GIM_Reject,
     /* 2371817 */ // Label 33254: @2371817
     /* 2371817 */ GIM_Try, /*On fail goto*//*Label 33321*/ GIMT_Encode4(2371931),
     /* 2371822 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2371825 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2371828 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371832 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371836 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2371840 */   GIM_Try, /*On fail goto*//*Label 33322*/ GIMT_Encode4(2371885), // Rule ID 50810 //
     /* 2371845 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371848 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371848 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2371851 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371855 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371860 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2371865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371867 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371870 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371872 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371884 */     // GIR_Coverage, 50810,
     /* 2371884 */     GIR_EraseRootFromParent_Done,
     /* 2371885 */   // Label 33322: @2371885
     /* 2371885 */   GIM_Try, /*On fail goto*//*Label 33323*/ GIMT_Encode4(2371930), // Rule ID 50811 //
     /* 2371890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2371893 */     // (smax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAX_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2371893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2371896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M4),
     /* 2371910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371929 */     // GIR_Coverage, 50811,
     /* 2371929 */     GIR_EraseRootFromParent_Done,
     /* 2371930 */   // Label 33323: @2371930
     /* 2371930 */   GIM_Reject,
     /* 2371931 */ // Label 33321: @2371931
     /* 2371931 */ GIM_Reject,
     /* 2371932 */ // Label 33255: @2371932
     /* 2371932 */ GIM_Try, /*On fail goto*//*Label 33324*/ GIMT_Encode4(2372046),
     /* 2371937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2371940 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2371943 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371947 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371951 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2371955 */   GIM_Try, /*On fail goto*//*Label 33325*/ GIMT_Encode4(2372000), // Rule ID 50826 //
     /* 2371960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2371963 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2371963 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2371966 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2371970 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2371975 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2371977 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2371980 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2371982 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2371985 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2371987 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2371989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2371992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2371995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2371998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2371999 */     // GIR_Coverage, 50826,
     /* 2371999 */     GIR_EraseRootFromParent_Done,
     /* 2372000 */   // Label 33325: @2372000
     /* 2372000 */   GIM_Try, /*On fail goto*//*Label 33326*/ GIMT_Encode4(2372045), // Rule ID 50827 //
     /* 2372005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372008 */     // (smax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372008 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2372011 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372015 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372020 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2372025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372027 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372030 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372032 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372044 */     // GIR_Coverage, 50827,
     /* 2372044 */     GIR_EraseRootFromParent_Done,
     /* 2372045 */   // Label 33326: @2372045
     /* 2372045 */   GIM_Reject,
     /* 2372046 */ // Label 33324: @2372046
     /* 2372046 */ GIM_Reject,
     /* 2372047 */ // Label 33256: @2372047
     /* 2372047 */ GIM_Try, /*On fail goto*//*Label 33327*/ GIMT_Encode4(2372161),
     /* 2372052 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2372055 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2372058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372066 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2372070 */   GIM_Try, /*On fail goto*//*Label 33328*/ GIMT_Encode4(2372115), // Rule ID 50814 //
     /* 2372075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372078 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372078 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2372081 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372085 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372090 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372092 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2372095 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372097 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372110 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372113 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372114 */     // GIR_Coverage, 50814,
     /* 2372114 */     GIR_EraseRootFromParent_Done,
     /* 2372115 */   // Label 33328: @2372115
     /* 2372115 */   GIM_Try, /*On fail goto*//*Label 33329*/ GIMT_Encode4(2372160), // Rule ID 50815 //
     /* 2372120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372123 */     // (smax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAX_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2372126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAX_VV_M8),
     /* 2372140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372159 */     // GIR_Coverage, 50815,
     /* 2372159 */     GIR_EraseRootFromParent_Done,
     /* 2372160 */   // Label 33329: @2372160
     /* 2372160 */   GIM_Reject,
     /* 2372161 */ // Label 33327: @2372161
     /* 2372161 */ GIM_Reject,
     /* 2372162 */ // Label 33257: @2372162
     /* 2372162 */ GIM_Reject,
     /* 2372163 */ // Label 82: @2372163
     /* 2372163 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33354*/ GIMT_Encode4(2374938),
     /* 2372174 */ /*GILLT_s32*//*Label 33330*/ GIMT_Encode4(2372298),
     /* 2372178 */ /*GILLT_s64*//*Label 33331*/ GIMT_Encode4(2372353), GIMT_Encode4(0),
     /* 2372186 */ /*GILLT_nxv1s8*//*Label 33332*/ GIMT_Encode4(2372408),
     /* 2372190 */ /*GILLT_nxv1s16*//*Label 33333*/ GIMT_Encode4(2372523),
     /* 2372194 */ /*GILLT_nxv1s32*//*Label 33334*/ GIMT_Encode4(2372638),
     /* 2372198 */ /*GILLT_nxv1s64*//*Label 33335*/ GIMT_Encode4(2372753), GIMT_Encode4(0),
     /* 2372206 */ /*GILLT_nxv2s8*//*Label 33336*/ GIMT_Encode4(2372868),
     /* 2372210 */ /*GILLT_nxv2s16*//*Label 33337*/ GIMT_Encode4(2372983),
     /* 2372214 */ /*GILLT_nxv2s32*//*Label 33338*/ GIMT_Encode4(2373098),
     /* 2372218 */ /*GILLT_nxv2s64*//*Label 33339*/ GIMT_Encode4(2373213), GIMT_Encode4(0),
     /* 2372226 */ /*GILLT_nxv4s8*//*Label 33340*/ GIMT_Encode4(2373328),
     /* 2372230 */ /*GILLT_nxv4s16*//*Label 33341*/ GIMT_Encode4(2373443),
     /* 2372234 */ /*GILLT_nxv4s32*//*Label 33342*/ GIMT_Encode4(2373558),
     /* 2372238 */ /*GILLT_nxv4s64*//*Label 33343*/ GIMT_Encode4(2373673), GIMT_Encode4(0),
     /* 2372246 */ /*GILLT_nxv8s8*//*Label 33344*/ GIMT_Encode4(2373788),
     /* 2372250 */ /*GILLT_nxv8s16*//*Label 33345*/ GIMT_Encode4(2373903),
     /* 2372254 */ /*GILLT_nxv8s32*//*Label 33346*/ GIMT_Encode4(2374018),
     /* 2372258 */ /*GILLT_nxv8s64*//*Label 33347*/ GIMT_Encode4(2374133), GIMT_Encode4(0),
     /* 2372266 */ /*GILLT_nxv16s8*//*Label 33348*/ GIMT_Encode4(2374248),
     /* 2372270 */ /*GILLT_nxv16s16*//*Label 33349*/ GIMT_Encode4(2374363),
     /* 2372274 */ /*GILLT_nxv16s32*//*Label 33350*/ GIMT_Encode4(2374478), GIMT_Encode4(0),
     /* 2372282 */ /*GILLT_nxv32s8*//*Label 33351*/ GIMT_Encode4(2374593),
     /* 2372286 */ /*GILLT_nxv32s16*//*Label 33352*/ GIMT_Encode4(2374708), GIMT_Encode4(0),
     /* 2372294 */ /*GILLT_nxv64s8*//*Label 33353*/ GIMT_Encode4(2374823),
     /* 2372298 */ // Label 33330: @2372298
     /* 2372298 */ GIM_Try, /*On fail goto*//*Label 33355*/ GIMT_Encode4(2372352),
     /* 2372303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2372306 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2372309 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372313 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372317 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372321 */   GIM_Try, /*On fail goto*//*Label 33356*/ GIMT_Encode4(2372336), // Rule ID 64462 //
     /* 2372326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2372329 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2372329 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2372334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372335 */     // GIR_Coverage, 64462,
     /* 2372335 */     GIR_Done,
     /* 2372336 */   // Label 33356: @2372336
     /* 2372336 */   GIM_Try, /*On fail goto*//*Label 33357*/ GIMT_Encode4(2372351), // Rule ID 2529 //
     /* 2372341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2372344 */     // (umin:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MINU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2372344 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2372349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372350 */     // GIR_Coverage, 2529,
     /* 2372350 */     GIR_Done,
     /* 2372351 */   // Label 33357: @2372351
     /* 2372351 */   GIM_Reject,
     /* 2372352 */ // Label 33355: @2372352
     /* 2372352 */ GIM_Reject,
     /* 2372353 */ // Label 33331: @2372353
     /* 2372353 */ GIM_Try, /*On fail goto*//*Label 33358*/ GIMT_Encode4(2372407),
     /* 2372358 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2372361 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2372364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372372 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2372376 */   GIM_Try, /*On fail goto*//*Label 33359*/ GIMT_Encode4(2372391), // Rule ID 64461 //
     /* 2372381 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2372384 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2372384 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MINU),
     /* 2372389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372390 */     // GIR_Coverage, 64461,
     /* 2372390 */     GIR_Done,
     /* 2372391 */   // Label 33359: @2372391
     /* 2372391 */   GIM_Try, /*On fail goto*//*Label 33360*/ GIMT_Encode4(2372406), // Rule ID 2528 //
     /* 2372396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2372399 */     // (umin:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MINU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2372399 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MINU),
     /* 2372404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372405 */     // GIR_Coverage, 2528,
     /* 2372405 */     GIR_Done,
     /* 2372406 */   // Label 33360: @2372406
     /* 2372406 */   GIM_Reject,
     /* 2372407 */ // Label 33358: @2372407
     /* 2372407 */ GIM_Reject,
     /* 2372408 */ // Label 33332: @2372408
     /* 2372408 */ GIM_Try, /*On fail goto*//*Label 33361*/ GIMT_Encode4(2372522),
     /* 2372413 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2372416 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2372419 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372423 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372427 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372431 */   GIM_Try, /*On fail goto*//*Label 33362*/ GIMT_Encode4(2372476), // Rule ID 50502 //
     /* 2372436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372439 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2372442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2372456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372475 */     // GIR_Coverage, 50502,
     /* 2372475 */     GIR_EraseRootFromParent_Done,
     /* 2372476 */   // Label 33362: @2372476
     /* 2372476 */   GIM_Try, /*On fail goto*//*Label 33363*/ GIMT_Encode4(2372521), // Rule ID 50503 //
     /* 2372481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372484 */     // (umin:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMINU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2372487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF8),
     /* 2372501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372520 */     // GIR_Coverage, 50503,
     /* 2372520 */     GIR_EraseRootFromParent_Done,
     /* 2372521 */   // Label 33363: @2372521
     /* 2372521 */   GIM_Reject,
     /* 2372522 */ // Label 33361: @2372522
     /* 2372522 */ GIM_Reject,
     /* 2372523 */ // Label 33333: @2372523
     /* 2372523 */ GIM_Try, /*On fail goto*//*Label 33364*/ GIMT_Encode4(2372637),
     /* 2372528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2372531 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2372534 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372538 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372542 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372546 */   GIM_Try, /*On fail goto*//*Label 33365*/ GIMT_Encode4(2372591), // Rule ID 50514 //
     /* 2372551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372554 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2372571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372590 */     // GIR_Coverage, 50514,
     /* 2372590 */     GIR_EraseRootFromParent_Done,
     /* 2372591 */   // Label 33365: @2372591
     /* 2372591 */   GIM_Try, /*On fail goto*//*Label 33366*/ GIMT_Encode4(2372636), // Rule ID 50515 //
     /* 2372596 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372599 */     // (umin:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372599 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2372602 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372606 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372611 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2372616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372618 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2372631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372634 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372635 */     // GIR_Coverage, 50515,
     /* 2372635 */     GIR_EraseRootFromParent_Done,
     /* 2372636 */   // Label 33366: @2372636
     /* 2372636 */   GIM_Reject,
     /* 2372637 */ // Label 33364: @2372637
     /* 2372637 */ GIM_Reject,
     /* 2372638 */ // Label 33334: @2372638
     /* 2372638 */ GIM_Try, /*On fail goto*//*Label 33367*/ GIMT_Encode4(2372752),
     /* 2372643 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2372646 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2372649 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372653 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372657 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372661 */   GIM_Try, /*On fail goto*//*Label 33368*/ GIMT_Encode4(2372706), // Rule ID 50522 //
     /* 2372666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372669 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2372686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372705 */     // GIR_Coverage, 50522,
     /* 2372705 */     GIR_EraseRootFromParent_Done,
     /* 2372706 */   // Label 33368: @2372706
     /* 2372706 */   GIM_Try, /*On fail goto*//*Label 33369*/ GIMT_Encode4(2372751), // Rule ID 50523 //
     /* 2372711 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372714 */     // (umin:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372714 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2372717 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372721 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372726 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2372731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372733 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372736 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372738 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2372746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372749 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372750 */     // GIR_Coverage, 50523,
     /* 2372750 */     GIR_EraseRootFromParent_Done,
     /* 2372751 */   // Label 33369: @2372751
     /* 2372751 */   GIM_Reject,
     /* 2372752 */ // Label 33367: @2372752
     /* 2372752 */ GIM_Reject,
     /* 2372753 */ // Label 33335: @2372753
     /* 2372753 */ GIM_Try, /*On fail goto*//*Label 33370*/ GIMT_Encode4(2372867),
     /* 2372758 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2372761 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2372764 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372768 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372772 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372776 */   GIM_Try, /*On fail goto*//*Label 33371*/ GIMT_Encode4(2372821), // Rule ID 50538 //
     /* 2372781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2372784 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2372801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372820 */     // GIR_Coverage, 50538,
     /* 2372820 */     GIR_EraseRootFromParent_Done,
     /* 2372821 */   // Label 33371: @2372821
     /* 2372821 */   GIM_Try, /*On fail goto*//*Label 33372*/ GIMT_Encode4(2372866), // Rule ID 50539 //
     /* 2372826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2372829 */     // (umin:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2372832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2372846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2372861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372865 */     // GIR_Coverage, 50539,
     /* 2372865 */     GIR_EraseRootFromParent_Done,
     /* 2372866 */   // Label 33372: @2372866
     /* 2372866 */   GIM_Reject,
     /* 2372867 */ // Label 33370: @2372867
     /* 2372867 */ GIM_Reject,
     /* 2372868 */ // Label 33336: @2372868
     /* 2372868 */ GIM_Try, /*On fail goto*//*Label 33373*/ GIMT_Encode4(2372982),
     /* 2372873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2372876 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2372879 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372883 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372887 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372891 */   GIM_Try, /*On fail goto*//*Label 33374*/ GIMT_Encode4(2372936), // Rule ID 50506 //
     /* 2372896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2372899 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2372899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2372902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2372916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372935 */     // GIR_Coverage, 50506,
     /* 2372935 */     GIR_EraseRootFromParent_Done,
     /* 2372936 */   // Label 33374: @2372936
     /* 2372936 */   GIM_Try, /*On fail goto*//*Label 33375*/ GIMT_Encode4(2372981), // Rule ID 50507 //
     /* 2372941 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2372944 */     // (umin:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMINU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2372944 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2372947 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2372951 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2372956 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2372958 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF4),
     /* 2372961 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2372963 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2372966 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2372968 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2372970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2372973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2372979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2372980 */     // GIR_Coverage, 50507,
     /* 2372980 */     GIR_EraseRootFromParent_Done,
     /* 2372981 */   // Label 33375: @2372981
     /* 2372981 */   GIM_Reject,
     /* 2372982 */ // Label 33373: @2372982
     /* 2372982 */ GIM_Reject,
     /* 2372983 */ // Label 33337: @2372983
     /* 2372983 */ GIM_Try, /*On fail goto*//*Label 33376*/ GIMT_Encode4(2373097),
     /* 2372988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2372991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2372994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2372998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373006 */   GIM_Try, /*On fail goto*//*Label 33377*/ GIMT_Encode4(2373051), // Rule ID 50518 //
     /* 2373011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373014 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2373031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373050 */     // GIR_Coverage, 50518,
     /* 2373050 */     GIR_EraseRootFromParent_Done,
     /* 2373051 */   // Label 33377: @2373051
     /* 2373051 */   GIM_Try, /*On fail goto*//*Label 33378*/ GIMT_Encode4(2373096), // Rule ID 50519 //
     /* 2373056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373059 */     // (umin:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2373062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2373076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373083 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373095 */     // GIR_Coverage, 50519,
     /* 2373095 */     GIR_EraseRootFromParent_Done,
     /* 2373096 */   // Label 33378: @2373096
     /* 2373096 */   GIM_Reject,
     /* 2373097 */ // Label 33376: @2373097
     /* 2373097 */ GIM_Reject,
     /* 2373098 */ // Label 33338: @2373098
     /* 2373098 */ GIM_Try, /*On fail goto*//*Label 33379*/ GIMT_Encode4(2373212),
     /* 2373103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2373106 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2373109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373113 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373117 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373121 */   GIM_Try, /*On fail goto*//*Label 33380*/ GIMT_Encode4(2373166), // Rule ID 50534 //
     /* 2373126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373129 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373129 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373132 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373136 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373141 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2373146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373148 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373165 */     // GIR_Coverage, 50534,
     /* 2373165 */     GIR_EraseRootFromParent_Done,
     /* 2373166 */   // Label 33380: @2373166
     /* 2373166 */   GIM_Try, /*On fail goto*//*Label 33381*/ GIMT_Encode4(2373211), // Rule ID 50535 //
     /* 2373171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373174 */     // (umin:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2373177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2373191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373210 */     // GIR_Coverage, 50535,
     /* 2373210 */     GIR_EraseRootFromParent_Done,
     /* 2373211 */   // Label 33381: @2373211
     /* 2373211 */   GIM_Reject,
     /* 2373212 */ // Label 33379: @2373212
     /* 2373212 */ GIM_Reject,
     /* 2373213 */ // Label 33339: @2373213
     /* 2373213 */ GIM_Try, /*On fail goto*//*Label 33382*/ GIMT_Encode4(2373327),
     /* 2373218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2373221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2373224 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373228 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373232 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373236 */   GIM_Try, /*On fail goto*//*Label 33383*/ GIMT_Encode4(2373281), // Rule ID 50578 //
     /* 2373241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2373244 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373244 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373247 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373251 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373256 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2373261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373263 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373266 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373268 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373280 */     // GIR_Coverage, 50578,
     /* 2373280 */     GIR_EraseRootFromParent_Done,
     /* 2373281 */   // Label 33383: @2373281
     /* 2373281 */   GIM_Try, /*On fail goto*//*Label 33384*/ GIMT_Encode4(2373326), // Rule ID 50579 //
     /* 2373286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2373289 */     // (umin:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2373292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2373306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373324 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373325 */     // GIR_Coverage, 50579,
     /* 2373325 */     GIR_EraseRootFromParent_Done,
     /* 2373326 */   // Label 33384: @2373326
     /* 2373326 */   GIM_Reject,
     /* 2373327 */ // Label 33382: @2373327
     /* 2373327 */ GIM_Reject,
     /* 2373328 */ // Label 33340: @2373328
     /* 2373328 */ GIM_Try, /*On fail goto*//*Label 33385*/ GIMT_Encode4(2373442),
     /* 2373333 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2373336 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2373339 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373343 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373347 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373351 */   GIM_Try, /*On fail goto*//*Label 33386*/ GIMT_Encode4(2373396), // Rule ID 50510 //
     /* 2373356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373359 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2373362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2373376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373383 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373395 */     // GIR_Coverage, 50510,
     /* 2373395 */     GIR_EraseRootFromParent_Done,
     /* 2373396 */   // Label 33386: @2373396
     /* 2373396 */   GIM_Try, /*On fail goto*//*Label 33387*/ GIMT_Encode4(2373441), // Rule ID 50511 //
     /* 2373401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373404 */     // (umin:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMINU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373404 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2373407 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373411 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373416 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_MF2),
     /* 2373421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373423 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373440 */     // GIR_Coverage, 50511,
     /* 2373440 */     GIR_EraseRootFromParent_Done,
     /* 2373441 */   // Label 33387: @2373441
     /* 2373441 */   GIM_Reject,
     /* 2373442 */ // Label 33385: @2373442
     /* 2373442 */ GIM_Reject,
     /* 2373443 */ // Label 33341: @2373443
     /* 2373443 */ GIM_Try, /*On fail goto*//*Label 33388*/ GIMT_Encode4(2373557),
     /* 2373448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2373451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2373454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373466 */   GIM_Try, /*On fail goto*//*Label 33389*/ GIMT_Encode4(2373511), // Rule ID 50530 //
     /* 2373471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373474 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2373491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373510 */     // GIR_Coverage, 50530,
     /* 2373510 */     GIR_EraseRootFromParent_Done,
     /* 2373511 */   // Label 33389: @2373511
     /* 2373511 */   GIM_Try, /*On fail goto*//*Label 33390*/ GIMT_Encode4(2373556), // Rule ID 50531 //
     /* 2373516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373519 */     // (umin:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2373522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2373536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373543 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373554 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373555 */     // GIR_Coverage, 50531,
     /* 2373555 */     GIR_EraseRootFromParent_Done,
     /* 2373556 */   // Label 33390: @2373556
     /* 2373556 */   GIM_Reject,
     /* 2373557 */ // Label 33388: @2373557
     /* 2373557 */ GIM_Reject,
     /* 2373558 */ // Label 33342: @2373558
     /* 2373558 */ GIM_Try, /*On fail goto*//*Label 33391*/ GIMT_Encode4(2373672),
     /* 2373563 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2373566 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2373569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373577 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373581 */   GIM_Try, /*On fail goto*//*Label 33392*/ GIMT_Encode4(2373626), // Rule ID 50566 //
     /* 2373586 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373589 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373589 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373592 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373596 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373601 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373603 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2373606 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373608 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373611 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373613 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373625 */     // GIR_Coverage, 50566,
     /* 2373625 */     GIR_EraseRootFromParent_Done,
     /* 2373626 */   // Label 33392: @2373626
     /* 2373626 */   GIM_Try, /*On fail goto*//*Label 33393*/ GIMT_Encode4(2373671), // Rule ID 50567 //
     /* 2373631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373634 */     // (umin:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373634 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2373637 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373641 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373646 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373648 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2373651 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373653 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2373666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373670 */     // GIR_Coverage, 50567,
     /* 2373670 */     GIR_EraseRootFromParent_Done,
     /* 2373671 */   // Label 33393: @2373671
     /* 2373671 */   GIM_Reject,
     /* 2373672 */ // Label 33391: @2373672
     /* 2373672 */ GIM_Reject,
     /* 2373673 */ // Label 33343: @2373673
     /* 2373673 */ GIM_Try, /*On fail goto*//*Label 33394*/ GIMT_Encode4(2373787),
     /* 2373678 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2373681 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2373684 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373688 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373692 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2373696 */   GIM_Try, /*On fail goto*//*Label 33395*/ GIMT_Encode4(2373741), // Rule ID 50582 //
     /* 2373701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2373704 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373704 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373707 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373711 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373716 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2373721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373723 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373726 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373728 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373740 */     // GIR_Coverage, 50582,
     /* 2373740 */     GIR_EraseRootFromParent_Done,
     /* 2373741 */   // Label 33395: @2373741
     /* 2373741 */   GIM_Try, /*On fail goto*//*Label 33396*/ GIMT_Encode4(2373786), // Rule ID 50583 //
     /* 2373746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2373749 */     // (umin:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2373752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2373766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2373781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373785 */     // GIR_Coverage, 50583,
     /* 2373785 */     GIR_EraseRootFromParent_Done,
     /* 2373786 */   // Label 33396: @2373786
     /* 2373786 */   GIM_Reject,
     /* 2373787 */ // Label 33394: @2373787
     /* 2373787 */ GIM_Reject,
     /* 2373788 */ // Label 33344: @2373788
     /* 2373788 */ GIM_Try, /*On fail goto*//*Label 33397*/ GIMT_Encode4(2373902),
     /* 2373793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2373796 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2373799 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373803 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373807 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2373811 */   GIM_Try, /*On fail goto*//*Label 33398*/ GIMT_Encode4(2373856), // Rule ID 50526 //
     /* 2373816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373819 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2373822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2373836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373843 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373845 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373854 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373855 */     // GIR_Coverage, 50526,
     /* 2373855 */     GIR_EraseRootFromParent_Done,
     /* 2373856 */   // Label 33398: @2373856
     /* 2373856 */   GIM_Try, /*On fail goto*//*Label 33399*/ GIMT_Encode4(2373901), // Rule ID 50527 //
     /* 2373861 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373864 */     // (umin:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMINU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373864 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2373867 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373871 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373876 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M1),
     /* 2373881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373883 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373886 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373888 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373899 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373900 */     // GIR_Coverage, 50527,
     /* 2373900 */     GIR_EraseRootFromParent_Done,
     /* 2373901 */   // Label 33399: @2373901
     /* 2373901 */   GIM_Reject,
     /* 2373902 */ // Label 33397: @2373902
     /* 2373902 */ GIM_Reject,
     /* 2373903 */ // Label 33345: @2373903
     /* 2373903 */ GIM_Try, /*On fail goto*//*Label 33400*/ GIMT_Encode4(2374017),
     /* 2373908 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2373911 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2373914 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373918 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373922 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2373926 */   GIM_Try, /*On fail goto*//*Label 33401*/ GIMT_Encode4(2373971), // Rule ID 50554 //
     /* 2373931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2373934 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2373934 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373937 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373941 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373946 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373948 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2373951 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373953 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2373956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2373958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2373960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2373963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2373966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2373969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2373970 */     // GIR_Coverage, 50554,
     /* 2373970 */     GIR_EraseRootFromParent_Done,
     /* 2373971 */   // Label 33401: @2373971
     /* 2373971 */   GIM_Try, /*On fail goto*//*Label 33402*/ GIMT_Encode4(2374016), // Rule ID 50555 //
     /* 2373976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2373979 */     // (umin:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2373979 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2373982 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2373986 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2373991 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2373993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2373996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2373998 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374001 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374003 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374015 */     // GIR_Coverage, 50555,
     /* 2374015 */     GIR_EraseRootFromParent_Done,
     /* 2374016 */   // Label 33402: @2374016
     /* 2374016 */   GIM_Reject,
     /* 2374017 */ // Label 33400: @2374017
     /* 2374017 */ GIM_Reject,
     /* 2374018 */ // Label 33346: @2374018
     /* 2374018 */ GIM_Try, /*On fail goto*//*Label 33403*/ GIMT_Encode4(2374132),
     /* 2374023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2374026 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2374029 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374033 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374037 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374041 */   GIM_Try, /*On fail goto*//*Label 33404*/ GIMT_Encode4(2374086), // Rule ID 50570 //
     /* 2374046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374049 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374049 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2374052 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374056 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374061 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374063 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2374066 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374068 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374085 */     // GIR_Coverage, 50570,
     /* 2374085 */     GIR_EraseRootFromParent_Done,
     /* 2374086 */   // Label 33404: @2374086
     /* 2374086 */   GIM_Try, /*On fail goto*//*Label 33405*/ GIMT_Encode4(2374131), // Rule ID 50571 //
     /* 2374091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374094 */     // (umin:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2374097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2374111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374130 */     // GIR_Coverage, 50571,
     /* 2374130 */     GIR_EraseRootFromParent_Done,
     /* 2374131 */   // Label 33405: @2374131
     /* 2374131 */   GIM_Reject,
     /* 2374132 */ // Label 33403: @2374132
     /* 2374132 */ GIM_Reject,
     /* 2374133 */ // Label 33347: @2374133
     /* 2374133 */ GIM_Try, /*On fail goto*//*Label 33406*/ GIMT_Encode4(2374247),
     /* 2374138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2374141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2374144 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374148 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374152 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374156 */   GIM_Try, /*On fail goto*//*Label 33407*/ GIMT_Encode4(2374201), // Rule ID 50586 //
     /* 2374161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2374164 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2374167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2374181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374188 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374200 */     // GIR_Coverage, 50586,
     /* 2374200 */     GIR_EraseRootFromParent_Done,
     /* 2374201 */   // Label 33407: @2374201
     /* 2374201 */   GIM_Try, /*On fail goto*//*Label 33408*/ GIMT_Encode4(2374246), // Rule ID 50587 //
     /* 2374206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2374209 */     // (umin:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2374212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2374226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2374241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374245 */     // GIR_Coverage, 50587,
     /* 2374245 */     GIR_EraseRootFromParent_Done,
     /* 2374246 */   // Label 33408: @2374246
     /* 2374246 */   GIM_Reject,
     /* 2374247 */ // Label 33406: @2374247
     /* 2374247 */ GIM_Reject,
     /* 2374248 */ // Label 33348: @2374248
     /* 2374248 */ GIM_Try, /*On fail goto*//*Label 33409*/ GIMT_Encode4(2374362),
     /* 2374253 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2374256 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2374259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374263 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374267 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2374271 */   GIM_Try, /*On fail goto*//*Label 33410*/ GIMT_Encode4(2374316), // Rule ID 50542 //
     /* 2374276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374279 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374279 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2374282 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374286 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374291 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2374296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374298 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374301 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374303 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374314 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374315 */     // GIR_Coverage, 50542,
     /* 2374315 */     GIR_EraseRootFromParent_Done,
     /* 2374316 */   // Label 33410: @2374316
     /* 2374316 */   GIM_Try, /*On fail goto*//*Label 33411*/ GIMT_Encode4(2374361), // Rule ID 50543 //
     /* 2374321 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374324 */     // (umin:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMINU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374324 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2374327 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374331 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374336 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374338 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M2),
     /* 2374341 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374343 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374360 */     // GIR_Coverage, 50543,
     /* 2374360 */     GIR_EraseRootFromParent_Done,
     /* 2374361 */   // Label 33411: @2374361
     /* 2374361 */   GIM_Reject,
     /* 2374362 */ // Label 33409: @2374362
     /* 2374362 */ GIM_Reject,
     /* 2374363 */ // Label 33349: @2374363
     /* 2374363 */ GIM_Try, /*On fail goto*//*Label 33412*/ GIMT_Encode4(2374477),
     /* 2374368 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2374371 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2374374 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374378 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374382 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374386 */   GIM_Try, /*On fail goto*//*Label 33413*/ GIMT_Encode4(2374431), // Rule ID 50558 //
     /* 2374391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374394 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2374411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374420 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374429 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374430 */     // GIR_Coverage, 50558,
     /* 2374430 */     GIR_EraseRootFromParent_Done,
     /* 2374431 */   // Label 33413: @2374431
     /* 2374431 */   GIM_Try, /*On fail goto*//*Label 33414*/ GIMT_Encode4(2374476), // Rule ID 50559 //
     /* 2374436 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374439 */     // (umin:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374439 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2374442 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374446 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374451 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374453 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2374456 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374458 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374461 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374463 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374465 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374475 */     // GIR_Coverage, 50559,
     /* 2374475 */     GIR_EraseRootFromParent_Done,
     /* 2374476 */   // Label 33414: @2374476
     /* 2374476 */   GIM_Reject,
     /* 2374477 */ // Label 33412: @2374477
     /* 2374477 */ GIM_Reject,
     /* 2374478 */ // Label 33350: @2374478
     /* 2374478 */ GIM_Try, /*On fail goto*//*Label 33415*/ GIMT_Encode4(2374592),
     /* 2374483 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2374486 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2374489 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374493 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374497 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374501 */   GIM_Try, /*On fail goto*//*Label 33416*/ GIMT_Encode4(2374546), // Rule ID 50574 //
     /* 2374506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374509 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2374526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374533 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374538 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374545 */     // GIR_Coverage, 50574,
     /* 2374545 */     GIR_EraseRootFromParent_Done,
     /* 2374546 */   // Label 33416: @2374546
     /* 2374546 */   GIM_Try, /*On fail goto*//*Label 33417*/ GIMT_Encode4(2374591), // Rule ID 50575 //
     /* 2374551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374554 */     // (umin:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374554 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2374557 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374561 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374566 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2374571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374573 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374576 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374578 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2374586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374589 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374590 */     // GIR_Coverage, 50575,
     /* 2374590 */     GIR_EraseRootFromParent_Done,
     /* 2374591 */   // Label 33417: @2374591
     /* 2374591 */   GIM_Reject,
     /* 2374592 */ // Label 33415: @2374592
     /* 2374592 */ GIM_Reject,
     /* 2374593 */ // Label 33351: @2374593
     /* 2374593 */ GIM_Try, /*On fail goto*//*Label 33418*/ GIMT_Encode4(2374707),
     /* 2374598 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2374601 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2374604 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374608 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374612 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2374616 */   GIM_Try, /*On fail goto*//*Label 33419*/ GIMT_Encode4(2374661), // Rule ID 50546 //
     /* 2374621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374624 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374624 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2374627 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374631 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374636 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374638 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2374641 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374643 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374646 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374648 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374660 */     // GIR_Coverage, 50546,
     /* 2374660 */     GIR_EraseRootFromParent_Done,
     /* 2374661 */   // Label 33419: @2374661
     /* 2374661 */   GIM_Try, /*On fail goto*//*Label 33420*/ GIMT_Encode4(2374706), // Rule ID 50547 //
     /* 2374666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374669 */     // (umin:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMINU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2374672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M4),
     /* 2374686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374693 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374705 */     // GIR_Coverage, 50547,
     /* 2374705 */     GIR_EraseRootFromParent_Done,
     /* 2374706 */   // Label 33420: @2374706
     /* 2374706 */   GIM_Reject,
     /* 2374707 */ // Label 33418: @2374707
     /* 2374707 */ GIM_Reject,
     /* 2374708 */ // Label 33352: @2374708
     /* 2374708 */ GIM_Try, /*On fail goto*//*Label 33421*/ GIMT_Encode4(2374822),
     /* 2374713 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2374716 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2374719 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374723 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374727 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374731 */   GIM_Try, /*On fail goto*//*Label 33422*/ GIMT_Encode4(2374776), // Rule ID 50562 //
     /* 2374736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374739 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2374756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374763 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374774 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374775 */     // GIR_Coverage, 50562,
     /* 2374775 */     GIR_EraseRootFromParent_Done,
     /* 2374776 */   // Label 33422: @2374776
     /* 2374776 */   GIM_Try, /*On fail goto*//*Label 33423*/ GIMT_Encode4(2374821), // Rule ID 50563 //
     /* 2374781 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374784 */     // (umin:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374784 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2374787 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374791 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374796 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374798 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2374801 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374803 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2374816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374820 */     // GIR_Coverage, 50563,
     /* 2374820 */     GIR_EraseRootFromParent_Done,
     /* 2374821 */   // Label 33423: @2374821
     /* 2374821 */   GIM_Reject,
     /* 2374822 */ // Label 33421: @2374822
     /* 2374822 */ GIM_Reject,
     /* 2374823 */ // Label 33353: @2374823
     /* 2374823 */ GIM_Try, /*On fail goto*//*Label 33424*/ GIMT_Encode4(2374937),
     /* 2374828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2374831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2374834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374842 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2374846 */   GIM_Try, /*On fail goto*//*Label 33425*/ GIMT_Encode4(2374891), // Rule ID 50550 //
     /* 2374851 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2374854 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2374854 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2374857 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374861 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374866 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2374871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374873 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374876 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374878 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374890 */     // GIR_Coverage, 50550,
     /* 2374890 */     GIR_EraseRootFromParent_Done,
     /* 2374891 */   // Label 33425: @2374891
     /* 2374891 */   GIM_Try, /*On fail goto*//*Label 33426*/ GIMT_Encode4(2374936), // Rule ID 50551 //
     /* 2374896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2374899 */     // (umin:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMINU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2374899 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2374902 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2374906 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2374911 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2374913 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMINU_VV_M8),
     /* 2374916 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2374918 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2374921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2374923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2374925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2374928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2374934 */     GIR_RootConstrainSelectedInstOperands,
     /* 2374935 */     // GIR_Coverage, 50551,
     /* 2374935 */     GIR_EraseRootFromParent_Done,
     /* 2374936 */   // Label 33426: @2374936
     /* 2374936 */   GIM_Reject,
     /* 2374937 */ // Label 33424: @2374937
     /* 2374937 */ GIM_Reject,
     /* 2374938 */ // Label 33354: @2374938
     /* 2374938 */ GIM_Reject,
     /* 2374939 */ // Label 83: @2374939
     /* 2374939 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33451*/ GIMT_Encode4(2377714),
     /* 2374950 */ /*GILLT_s32*//*Label 33427*/ GIMT_Encode4(2375074),
     /* 2374954 */ /*GILLT_s64*//*Label 33428*/ GIMT_Encode4(2375129), GIMT_Encode4(0),
     /* 2374962 */ /*GILLT_nxv1s8*//*Label 33429*/ GIMT_Encode4(2375184),
     /* 2374966 */ /*GILLT_nxv1s16*//*Label 33430*/ GIMT_Encode4(2375299),
     /* 2374970 */ /*GILLT_nxv1s32*//*Label 33431*/ GIMT_Encode4(2375414),
     /* 2374974 */ /*GILLT_nxv1s64*//*Label 33432*/ GIMT_Encode4(2375529), GIMT_Encode4(0),
     /* 2374982 */ /*GILLT_nxv2s8*//*Label 33433*/ GIMT_Encode4(2375644),
     /* 2374986 */ /*GILLT_nxv2s16*//*Label 33434*/ GIMT_Encode4(2375759),
     /* 2374990 */ /*GILLT_nxv2s32*//*Label 33435*/ GIMT_Encode4(2375874),
     /* 2374994 */ /*GILLT_nxv2s64*//*Label 33436*/ GIMT_Encode4(2375989), GIMT_Encode4(0),
     /* 2375002 */ /*GILLT_nxv4s8*//*Label 33437*/ GIMT_Encode4(2376104),
     /* 2375006 */ /*GILLT_nxv4s16*//*Label 33438*/ GIMT_Encode4(2376219),
     /* 2375010 */ /*GILLT_nxv4s32*//*Label 33439*/ GIMT_Encode4(2376334),
     /* 2375014 */ /*GILLT_nxv4s64*//*Label 33440*/ GIMT_Encode4(2376449), GIMT_Encode4(0),
     /* 2375022 */ /*GILLT_nxv8s8*//*Label 33441*/ GIMT_Encode4(2376564),
     /* 2375026 */ /*GILLT_nxv8s16*//*Label 33442*/ GIMT_Encode4(2376679),
     /* 2375030 */ /*GILLT_nxv8s32*//*Label 33443*/ GIMT_Encode4(2376794),
     /* 2375034 */ /*GILLT_nxv8s64*//*Label 33444*/ GIMT_Encode4(2376909), GIMT_Encode4(0),
     /* 2375042 */ /*GILLT_nxv16s8*//*Label 33445*/ GIMT_Encode4(2377024),
     /* 2375046 */ /*GILLT_nxv16s16*//*Label 33446*/ GIMT_Encode4(2377139),
     /* 2375050 */ /*GILLT_nxv16s32*//*Label 33447*/ GIMT_Encode4(2377254), GIMT_Encode4(0),
     /* 2375058 */ /*GILLT_nxv32s8*//*Label 33448*/ GIMT_Encode4(2377369),
     /* 2375062 */ /*GILLT_nxv32s16*//*Label 33449*/ GIMT_Encode4(2377484), GIMT_Encode4(0),
     /* 2375070 */ /*GILLT_nxv64s8*//*Label 33450*/ GIMT_Encode4(2377599),
     /* 2375074 */ // Label 33427: @2375074
     /* 2375074 */ GIM_Try, /*On fail goto*//*Label 33452*/ GIMT_Encode4(2375128),
     /* 2375079 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2375082 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2375085 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375089 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375093 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375097 */   GIM_Try, /*On fail goto*//*Label 33453*/ GIMT_Encode4(2375112), // Rule ID 64466 //
     /* 2375102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2375105 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (CV_MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2375105 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2375110 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375111 */     // GIR_Coverage, 64466,
     /* 2375111 */     GIR_Done,
     /* 2375112 */   // Label 33453: @2375112
     /* 2375112 */   GIM_Try, /*On fail goto*//*Label 33454*/ GIMT_Encode4(2375127), // Rule ID 2531 //
     /* 2375117 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2375120 */     // (umax:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)  =>  (MAXU:{ *:[i32] } GPR:{ *:[i32] }:$rs1, GPR:{ *:[i32] }:$rs2)
     /* 2375120 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2375125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375126 */     // GIR_Coverage, 2531,
     /* 2375126 */     GIR_Done,
     /* 2375127 */   // Label 33454: @2375127
     /* 2375127 */   GIM_Reject,
     /* 2375128 */ // Label 33452: @2375128
     /* 2375128 */ GIM_Reject,
     /* 2375129 */ // Label 33428: @2375129
     /* 2375129 */ GIM_Try, /*On fail goto*//*Label 33455*/ GIMT_Encode4(2375183),
     /* 2375134 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2375137 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2375140 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375144 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375148 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2375152 */   GIM_Try, /*On fail goto*//*Label 33456*/ GIMT_Encode4(2375167), // Rule ID 64465 //
     /* 2375157 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2375160 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (CV_MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2375160 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_MAXU),
     /* 2375165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375166 */     // GIR_Coverage, 64465,
     /* 2375166 */     GIR_Done,
     /* 2375167 */   // Label 33456: @2375167
     /* 2375167 */   GIM_Try, /*On fail goto*//*Label 33457*/ GIMT_Encode4(2375182), // Rule ID 2530 //
     /* 2375172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2375175 */     // (umax:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (MAXU:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2375175 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::MAXU),
     /* 2375180 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375181 */     // GIR_Coverage, 2530,
     /* 2375181 */     GIR_Done,
     /* 2375182 */   // Label 33457: @2375182
     /* 2375182 */   GIM_Reject,
     /* 2375183 */ // Label 33455: @2375183
     /* 2375183 */ GIM_Reject,
     /* 2375184 */ // Label 33429: @2375184
     /* 2375184 */ GIM_Try, /*On fail goto*//*Label 33458*/ GIMT_Encode4(2375298),
     /* 2375189 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2375192 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2375195 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375199 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375203 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375207 */   GIM_Try, /*On fail goto*//*Label 33459*/ GIMT_Encode4(2375252), // Rule ID 50678 //
     /* 2375212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375215 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2375218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2375232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375251 */     // GIR_Coverage, 50678,
     /* 2375251 */     GIR_EraseRootFromParent_Done,
     /* 2375252 */   // Label 33459: @2375252
     /* 2375252 */   GIM_Try, /*On fail goto*//*Label 33460*/ GIMT_Encode4(2375297), // Rule ID 50679 //
     /* 2375257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375260 */     // (umax:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, VR:{ *:[nxv1i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375260 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2375263 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375267 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375272 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375274 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF8),
     /* 2375277 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375279 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375282 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375284 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375296 */     // GIR_Coverage, 50679,
     /* 2375296 */     GIR_EraseRootFromParent_Done,
     /* 2375297 */   // Label 33460: @2375297
     /* 2375297 */   GIM_Reject,
     /* 2375298 */ // Label 33458: @2375298
     /* 2375298 */ GIM_Reject,
     /* 2375299 */ // Label 33430: @2375299
     /* 2375299 */ GIM_Try, /*On fail goto*//*Label 33461*/ GIMT_Encode4(2375413),
     /* 2375304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2375307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2375310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375322 */   GIM_Try, /*On fail goto*//*Label 33462*/ GIMT_Encode4(2375367), // Rule ID 50690 //
     /* 2375327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375330 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2375347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375366 */     // GIR_Coverage, 50690,
     /* 2375366 */     GIR_EraseRootFromParent_Done,
     /* 2375367 */   // Label 33462: @2375367
     /* 2375367 */   GIM_Try, /*On fail goto*//*Label 33463*/ GIMT_Encode4(2375412), // Rule ID 50691 //
     /* 2375372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375375 */     // (umax:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, VR:{ *:[nxv1i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2375378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2375392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375399 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375410 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375411 */     // GIR_Coverage, 50691,
     /* 2375411 */     GIR_EraseRootFromParent_Done,
     /* 2375412 */   // Label 33463: @2375412
     /* 2375412 */   GIM_Reject,
     /* 2375413 */ // Label 33461: @2375413
     /* 2375413 */ GIM_Reject,
     /* 2375414 */ // Label 33431: @2375414
     /* 2375414 */ GIM_Try, /*On fail goto*//*Label 33464*/ GIMT_Encode4(2375528),
     /* 2375419 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2375422 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2375425 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375429 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375433 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375437 */   GIM_Try, /*On fail goto*//*Label 33465*/ GIMT_Encode4(2375482), // Rule ID 50698 //
     /* 2375442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375445 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2375462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375481 */     // GIR_Coverage, 50698,
     /* 2375481 */     GIR_EraseRootFromParent_Done,
     /* 2375482 */   // Label 33465: @2375482
     /* 2375482 */   GIM_Try, /*On fail goto*//*Label 33466*/ GIMT_Encode4(2375527), // Rule ID 50699 //
     /* 2375487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375490 */     // (umax:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, VR:{ *:[nxv1i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2375493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2375507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375526 */     // GIR_Coverage, 50699,
     /* 2375526 */     GIR_EraseRootFromParent_Done,
     /* 2375527 */   // Label 33466: @2375527
     /* 2375527 */   GIM_Reject,
     /* 2375528 */ // Label 33464: @2375528
     /* 2375528 */ GIM_Reject,
     /* 2375529 */ // Label 33432: @2375529
     /* 2375529 */ GIM_Try, /*On fail goto*//*Label 33467*/ GIMT_Encode4(2375643),
     /* 2375534 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2375537 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2375540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375548 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375552 */   GIM_Try, /*On fail goto*//*Label 33468*/ GIMT_Encode4(2375597), // Rule ID 50714 //
     /* 2375557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2375560 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2375577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375596 */     // GIR_Coverage, 50714,
     /* 2375596 */     GIR_EraseRootFromParent_Done,
     /* 2375597 */   // Label 33468: @2375597
     /* 2375597 */   GIM_Try, /*On fail goto*//*Label 33469*/ GIMT_Encode4(2375642), // Rule ID 50715 //
     /* 2375602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2375605 */     // (umax:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, VR:{ *:[nxv1i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2375608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2375622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375629 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2375637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375640 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375641 */     // GIR_Coverage, 50715,
     /* 2375641 */     GIR_EraseRootFromParent_Done,
     /* 2375642 */   // Label 33469: @2375642
     /* 2375642 */   GIM_Reject,
     /* 2375643 */ // Label 33467: @2375643
     /* 2375643 */ GIM_Reject,
     /* 2375644 */ // Label 33433: @2375644
     /* 2375644 */ GIM_Try, /*On fail goto*//*Label 33470*/ GIMT_Encode4(2375758),
     /* 2375649 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2375652 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2375655 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375659 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375663 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375667 */   GIM_Try, /*On fail goto*//*Label 33471*/ GIMT_Encode4(2375712), // Rule ID 50682 //
     /* 2375672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375675 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2375678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2375692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375711 */     // GIR_Coverage, 50682,
     /* 2375711 */     GIR_EraseRootFromParent_Done,
     /* 2375712 */   // Label 33471: @2375712
     /* 2375712 */   GIM_Try, /*On fail goto*//*Label 33472*/ GIMT_Encode4(2375757), // Rule ID 50683 //
     /* 2375717 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375720 */     // (umax:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, VR:{ *:[nxv2i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375720 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2375723 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375727 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375732 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375734 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF4),
     /* 2375737 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375739 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375742 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375744 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375756 */     // GIR_Coverage, 50683,
     /* 2375756 */     GIR_EraseRootFromParent_Done,
     /* 2375757 */   // Label 33472: @2375757
     /* 2375757 */   GIM_Reject,
     /* 2375758 */ // Label 33470: @2375758
     /* 2375758 */ GIM_Reject,
     /* 2375759 */ // Label 33434: @2375759
     /* 2375759 */ GIM_Try, /*On fail goto*//*Label 33473*/ GIMT_Encode4(2375873),
     /* 2375764 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2375767 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2375770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375778 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375782 */   GIM_Try, /*On fail goto*//*Label 33474*/ GIMT_Encode4(2375827), // Rule ID 50694 //
     /* 2375787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375790 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375790 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375793 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375797 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375802 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2375807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375809 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375812 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375814 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375826 */     // GIR_Coverage, 50694,
     /* 2375826 */     GIR_EraseRootFromParent_Done,
     /* 2375827 */   // Label 33474: @2375827
     /* 2375827 */   GIM_Try, /*On fail goto*//*Label 33475*/ GIMT_Encode4(2375872), // Rule ID 50695 //
     /* 2375832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375835 */     // (umax:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, VR:{ *:[nxv2i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375835 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2375838 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375842 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375847 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2375852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375854 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375857 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2375867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375871 */     // GIR_Coverage, 50695,
     /* 2375871 */     GIR_EraseRootFromParent_Done,
     /* 2375872 */   // Label 33475: @2375872
     /* 2375872 */   GIM_Reject,
     /* 2375873 */ // Label 33473: @2375873
     /* 2375873 */ GIM_Reject,
     /* 2375874 */ // Label 33435: @2375874
     /* 2375874 */ GIM_Try, /*On fail goto*//*Label 33476*/ GIMT_Encode4(2375988),
     /* 2375879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2375882 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2375885 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375889 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375893 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2375897 */   GIM_Try, /*On fail goto*//*Label 33477*/ GIMT_Encode4(2375942), // Rule ID 50710 //
     /* 2375902 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2375905 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2375905 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375908 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375912 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375917 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2375922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375924 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375941 */     // GIR_Coverage, 50710,
     /* 2375941 */     GIR_EraseRootFromParent_Done,
     /* 2375942 */   // Label 33477: @2375942
     /* 2375942 */   GIM_Try, /*On fail goto*//*Label 33478*/ GIMT_Encode4(2375987), // Rule ID 50711 //
     /* 2375947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2375950 */     // (umax:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, VR:{ *:[nxv2i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2375950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2375953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2375957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2375962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2375964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2375967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2375969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2375972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2375974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2375976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2375979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2375982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2375985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2375986 */     // GIR_Coverage, 50711,
     /* 2375986 */     GIR_EraseRootFromParent_Done,
     /* 2375987 */   // Label 33478: @2375987
     /* 2375987 */   GIM_Reject,
     /* 2375988 */ // Label 33476: @2375988
     /* 2375988 */ GIM_Reject,
     /* 2375989 */ // Label 33436: @2375989
     /* 2375989 */ GIM_Try, /*On fail goto*//*Label 33479*/ GIMT_Encode4(2376103),
     /* 2375994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2375997 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2376000 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376004 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376008 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376012 */   GIM_Try, /*On fail goto*//*Label 33480*/ GIMT_Encode4(2376057), // Rule ID 50754 //
     /* 2376017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2376020 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2376023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2376037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376056 */     // GIR_Coverage, 50754,
     /* 2376056 */     GIR_EraseRootFromParent_Done,
     /* 2376057 */   // Label 33480: @2376057
     /* 2376057 */   GIM_Try, /*On fail goto*//*Label 33481*/ GIMT_Encode4(2376102), // Rule ID 50755 //
     /* 2376062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2376065 */     // (umax:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, VRM2:{ *:[nxv2i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376065 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2376068 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376072 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376077 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376079 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2376082 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376084 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376087 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376089 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376101 */     // GIR_Coverage, 50755,
     /* 2376101 */     GIR_EraseRootFromParent_Done,
     /* 2376102 */   // Label 33481: @2376102
     /* 2376102 */   GIM_Reject,
     /* 2376103 */ // Label 33479: @2376103
     /* 2376103 */ GIM_Reject,
     /* 2376104 */ // Label 33437: @2376104
     /* 2376104 */ GIM_Try, /*On fail goto*//*Label 33482*/ GIMT_Encode4(2376218),
     /* 2376109 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2376112 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2376115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376123 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376127 */   GIM_Try, /*On fail goto*//*Label 33483*/ GIMT_Encode4(2376172), // Rule ID 50686 //
     /* 2376132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376135 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376135 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2376138 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376142 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376147 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2376152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376154 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376171 */     // GIR_Coverage, 50686,
     /* 2376171 */     GIR_EraseRootFromParent_Done,
     /* 2376172 */   // Label 33483: @2376172
     /* 2376172 */   GIM_Try, /*On fail goto*//*Label 33484*/ GIMT_Encode4(2376217), // Rule ID 50687 //
     /* 2376177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376180 */     // (umax:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2)  =>  (PseudoVMAXU_VV_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, VR:{ *:[nxv4i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376180 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2376183 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376187 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376192 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376194 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_MF2),
     /* 2376197 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376199 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376202 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376216 */     // GIR_Coverage, 50687,
     /* 2376216 */     GIR_EraseRootFromParent_Done,
     /* 2376217 */   // Label 33484: @2376217
     /* 2376217 */   GIM_Reject,
     /* 2376218 */ // Label 33482: @2376218
     /* 2376218 */ GIM_Reject,
     /* 2376219 */ // Label 33438: @2376219
     /* 2376219 */ GIM_Try, /*On fail goto*//*Label 33485*/ GIMT_Encode4(2376333),
     /* 2376224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2376227 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2376230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376238 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376242 */   GIM_Try, /*On fail goto*//*Label 33486*/ GIMT_Encode4(2376287), // Rule ID 50706 //
     /* 2376247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376250 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2376253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2376267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376286 */     // GIR_Coverage, 50706,
     /* 2376286 */     GIR_EraseRootFromParent_Done,
     /* 2376287 */   // Label 33486: @2376287
     /* 2376287 */   GIM_Try, /*On fail goto*//*Label 33487*/ GIMT_Encode4(2376332), // Rule ID 50707 //
     /* 2376292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376295 */     // (umax:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, VR:{ *:[nxv4i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376295 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2376298 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376302 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376307 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2376312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376314 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376331 */     // GIR_Coverage, 50707,
     /* 2376331 */     GIR_EraseRootFromParent_Done,
     /* 2376332 */   // Label 33487: @2376332
     /* 2376332 */   GIM_Reject,
     /* 2376333 */ // Label 33485: @2376333
     /* 2376333 */ GIM_Reject,
     /* 2376334 */ // Label 33439: @2376334
     /* 2376334 */ GIM_Try, /*On fail goto*//*Label 33488*/ GIMT_Encode4(2376448),
     /* 2376339 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2376342 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2376345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376353 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376357 */   GIM_Try, /*On fail goto*//*Label 33489*/ GIMT_Encode4(2376402), // Rule ID 50742 //
     /* 2376362 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376365 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376365 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2376368 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376372 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376377 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376379 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2376382 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376384 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376387 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376401 */     // GIR_Coverage, 50742,
     /* 2376401 */     GIR_EraseRootFromParent_Done,
     /* 2376402 */   // Label 33489: @2376402
     /* 2376402 */   GIM_Try, /*On fail goto*//*Label 33490*/ GIMT_Encode4(2376447), // Rule ID 50743 //
     /* 2376407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376410 */     // (umax:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, VRM2:{ *:[nxv4i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376410 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2376413 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376417 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376422 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2376427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376429 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376432 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376434 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376446 */     // GIR_Coverage, 50743,
     /* 2376446 */     GIR_EraseRootFromParent_Done,
     /* 2376447 */   // Label 33490: @2376447
     /* 2376447 */   GIM_Reject,
     /* 2376448 */ // Label 33488: @2376448
     /* 2376448 */ GIM_Reject,
     /* 2376449 */ // Label 33440: @2376449
     /* 2376449 */ GIM_Try, /*On fail goto*//*Label 33491*/ GIMT_Encode4(2376563),
     /* 2376454 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2376457 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2376460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376468 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376472 */   GIM_Try, /*On fail goto*//*Label 33492*/ GIMT_Encode4(2376517), // Rule ID 50758 //
     /* 2376477 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2376480 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376480 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376483 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376487 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376492 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2376497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376499 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376502 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376504 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376512 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376515 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376516 */     // GIR_Coverage, 50758,
     /* 2376516 */     GIR_EraseRootFromParent_Done,
     /* 2376517 */   // Label 33492: @2376517
     /* 2376517 */   GIM_Try, /*On fail goto*//*Label 33493*/ GIMT_Encode4(2376562), // Rule ID 50759 //
     /* 2376522 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2376525 */     // (umax:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, VRM4:{ *:[nxv4i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376525 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2376528 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376532 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376537 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2376542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376544 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376547 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376561 */     // GIR_Coverage, 50759,
     /* 2376561 */     GIR_EraseRootFromParent_Done,
     /* 2376562 */   // Label 33493: @2376562
     /* 2376562 */   GIM_Reject,
     /* 2376563 */ // Label 33491: @2376563
     /* 2376563 */ GIM_Reject,
     /* 2376564 */ // Label 33441: @2376564
     /* 2376564 */ GIM_Try, /*On fail goto*//*Label 33494*/ GIMT_Encode4(2376678),
     /* 2376569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2376572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2376575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2376587 */   GIM_Try, /*On fail goto*//*Label 33495*/ GIMT_Encode4(2376632), // Rule ID 50702 //
     /* 2376592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376595 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2376598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2376612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376631 */     // GIR_Coverage, 50702,
     /* 2376631 */     GIR_EraseRootFromParent_Done,
     /* 2376632 */   // Label 33495: @2376632
     /* 2376632 */   GIM_Try, /*On fail goto*//*Label 33496*/ GIMT_Encode4(2376677), // Rule ID 50703 //
     /* 2376637 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376640 */     // (umax:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2)  =>  (PseudoVMAXU_VV_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, VR:{ *:[nxv8i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376640 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2376643 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376647 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376652 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M1),
     /* 2376657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376659 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376676 */     // GIR_Coverage, 50703,
     /* 2376676 */     GIR_EraseRootFromParent_Done,
     /* 2376677 */   // Label 33496: @2376677
     /* 2376677 */   GIM_Reject,
     /* 2376678 */ // Label 33494: @2376678
     /* 2376678 */ GIM_Reject,
     /* 2376679 */ // Label 33442: @2376679
     /* 2376679 */ GIM_Try, /*On fail goto*//*Label 33497*/ GIMT_Encode4(2376793),
     /* 2376684 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2376687 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2376690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376698 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2376702 */   GIM_Try, /*On fail goto*//*Label 33498*/ GIMT_Encode4(2376747), // Rule ID 50730 //
     /* 2376707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376710 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376710 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376713 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376717 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376722 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2376727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376729 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376745 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376746 */     // GIR_Coverage, 50730,
     /* 2376746 */     GIR_EraseRootFromParent_Done,
     /* 2376747 */   // Label 33498: @2376747
     /* 2376747 */   GIM_Try, /*On fail goto*//*Label 33499*/ GIMT_Encode4(2376792), // Rule ID 50731 //
     /* 2376752 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376755 */     // (umax:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, VRM2:{ *:[nxv8i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376755 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2376758 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376762 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376767 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376769 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2376772 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376774 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2376787 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376791 */     // GIR_Coverage, 50731,
     /* 2376791 */     GIR_EraseRootFromParent_Done,
     /* 2376792 */   // Label 33499: @2376792
     /* 2376792 */   GIM_Reject,
     /* 2376793 */ // Label 33497: @2376793
     /* 2376793 */ GIM_Reject,
     /* 2376794 */ // Label 33443: @2376794
     /* 2376794 */ GIM_Try, /*On fail goto*//*Label 33500*/ GIMT_Encode4(2376908),
     /* 2376799 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2376802 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2376805 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376809 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376813 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2376817 */   GIM_Try, /*On fail goto*//*Label 33501*/ GIMT_Encode4(2376862), // Rule ID 50746 //
     /* 2376822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2376825 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376825 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376828 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376832 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376837 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2376842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376844 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376849 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376851 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376854 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376860 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376861 */     // GIR_Coverage, 50746,
     /* 2376861 */     GIR_EraseRootFromParent_Done,
     /* 2376862 */   // Label 33501: @2376862
     /* 2376862 */   GIM_Try, /*On fail goto*//*Label 33502*/ GIMT_Encode4(2376907), // Rule ID 50747 //
     /* 2376867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2376870 */     // (umax:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, VRM4:{ *:[nxv8i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2376873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2376887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2376902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376905 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376906 */     // GIR_Coverage, 50747,
     /* 2376906 */     GIR_EraseRootFromParent_Done,
     /* 2376907 */   // Label 33502: @2376907
     /* 2376907 */   GIM_Reject,
     /* 2376908 */ // Label 33500: @2376908
     /* 2376908 */ GIM_Reject,
     /* 2376909 */ // Label 33444: @2376909
     /* 2376909 */ GIM_Try, /*On fail goto*//*Label 33503*/ GIMT_Encode4(2377023),
     /* 2376914 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2376917 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2376920 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376924 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376928 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2376932 */   GIM_Try, /*On fail goto*//*Label 33504*/ GIMT_Encode4(2376977), // Rule ID 50762 //
     /* 2376937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2376940 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2376940 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376943 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376947 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376952 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376954 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2376957 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2376959 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2376962 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2376964 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2376966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2376969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2376972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2376975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2376976 */     // GIR_Coverage, 50762,
     /* 2376976 */     GIR_EraseRootFromParent_Done,
     /* 2376977 */   // Label 33504: @2376977
     /* 2376977 */   GIM_Try, /*On fail goto*//*Label 33505*/ GIMT_Encode4(2377022), // Rule ID 50763 //
     /* 2376982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2376985 */     // (umax:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, VRM8:{ *:[nxv8i64] }:$rs2, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2376985 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2376988 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2376992 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2376997 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2376999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2377002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377004 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377007 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377009 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2377017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377021 */     // GIR_Coverage, 50763,
     /* 2377021 */     GIR_EraseRootFromParent_Done,
     /* 2377022 */   // Label 33505: @2377022
     /* 2377022 */   GIM_Reject,
     /* 2377023 */ // Label 33503: @2377023
     /* 2377023 */ GIM_Reject,
     /* 2377024 */ // Label 33445: @2377024
     /* 2377024 */ GIM_Try, /*On fail goto*//*Label 33506*/ GIMT_Encode4(2377138),
     /* 2377029 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2377032 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2377035 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377039 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377043 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2377047 */   GIM_Try, /*On fail goto*//*Label 33507*/ GIMT_Encode4(2377092), // Rule ID 50718 //
     /* 2377052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377055 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377055 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2377058 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377062 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377067 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2377072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377074 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377077 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377091 */     // GIR_Coverage, 50718,
     /* 2377091 */     GIR_EraseRootFromParent_Done,
     /* 2377092 */   // Label 33507: @2377092
     /* 2377092 */   GIM_Try, /*On fail goto*//*Label 33508*/ GIMT_Encode4(2377137), // Rule ID 50719 //
     /* 2377097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377100 */     // (umax:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2)  =>  (PseudoVMAXU_VV_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, VRM2:{ *:[nxv16i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377100 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2377103 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377107 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377112 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377114 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M2),
     /* 2377117 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377119 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377122 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377124 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377136 */     // GIR_Coverage, 50719,
     /* 2377136 */     GIR_EraseRootFromParent_Done,
     /* 2377137 */   // Label 33508: @2377137
     /* 2377137 */   GIM_Reject,
     /* 2377138 */ // Label 33506: @2377138
     /* 2377138 */ GIM_Reject,
     /* 2377139 */ // Label 33446: @2377139
     /* 2377139 */ GIM_Try, /*On fail goto*//*Label 33509*/ GIMT_Encode4(2377253),
     /* 2377144 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2377147 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2377150 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377154 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377158 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377162 */   GIM_Try, /*On fail goto*//*Label 33510*/ GIMT_Encode4(2377207), // Rule ID 50734 //
     /* 2377167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377170 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377170 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2377173 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377177 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377182 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2377187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377189 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377192 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377194 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377206 */     // GIR_Coverage, 50734,
     /* 2377206 */     GIR_EraseRootFromParent_Done,
     /* 2377207 */   // Label 33510: @2377207
     /* 2377207 */   GIM_Try, /*On fail goto*//*Label 33511*/ GIMT_Encode4(2377252), // Rule ID 50735 //
     /* 2377212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377215 */     // (umax:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, VRM4:{ *:[nxv16i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2377218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2377232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377251 */     // GIR_Coverage, 50735,
     /* 2377251 */     GIR_EraseRootFromParent_Done,
     /* 2377252 */   // Label 33511: @2377252
     /* 2377252 */   GIM_Reject,
     /* 2377253 */ // Label 33509: @2377253
     /* 2377253 */ GIM_Reject,
     /* 2377254 */ // Label 33447: @2377254
     /* 2377254 */ GIM_Try, /*On fail goto*//*Label 33512*/ GIMT_Encode4(2377368),
     /* 2377259 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2377262 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2377265 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377269 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377273 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377277 */   GIM_Try, /*On fail goto*//*Label 33513*/ GIMT_Encode4(2377322), // Rule ID 50750 //
     /* 2377282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377285 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377285 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2377288 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377292 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377299 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2377302 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377304 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377311 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377320 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377321 */     // GIR_Coverage, 50750,
     /* 2377321 */     GIR_EraseRootFromParent_Done,
     /* 2377322 */   // Label 33513: @2377322
     /* 2377322 */   GIM_Try, /*On fail goto*//*Label 33514*/ GIMT_Encode4(2377367), // Rule ID 50751 //
     /* 2377327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377330 */     // (umax:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, VRM8:{ *:[nxv16i32] }:$rs2, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2377333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2377347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2377362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377366 */     // GIR_Coverage, 50751,
     /* 2377366 */     GIR_EraseRootFromParent_Done,
     /* 2377367 */   // Label 33514: @2377367
     /* 2377367 */   GIM_Reject,
     /* 2377368 */ // Label 33512: @2377368
     /* 2377368 */ GIM_Reject,
     /* 2377369 */ // Label 33448: @2377369
     /* 2377369 */ GIM_Try, /*On fail goto*//*Label 33515*/ GIMT_Encode4(2377483),
     /* 2377374 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2377377 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2377380 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377384 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377388 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2377392 */   GIM_Try, /*On fail goto*//*Label 33516*/ GIMT_Encode4(2377437), // Rule ID 50722 //
     /* 2377397 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377400 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377400 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2377403 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377407 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377412 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377414 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2377417 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377419 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377422 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377424 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377436 */     // GIR_Coverage, 50722,
     /* 2377436 */     GIR_EraseRootFromParent_Done,
     /* 2377437 */   // Label 33516: @2377437
     /* 2377437 */   GIM_Try, /*On fail goto*//*Label 33517*/ GIMT_Encode4(2377482), // Rule ID 50723 //
     /* 2377442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377445 */     // (umax:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2)  =>  (PseudoVMAXU_VV_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, VRM4:{ *:[nxv32i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377445 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2377448 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377452 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377457 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377459 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M4),
     /* 2377462 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377464 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377481 */     // GIR_Coverage, 50723,
     /* 2377481 */     GIR_EraseRootFromParent_Done,
     /* 2377482 */   // Label 33517: @2377482
     /* 2377482 */   GIM_Reject,
     /* 2377483 */ // Label 33515: @2377483
     /* 2377483 */ GIM_Reject,
     /* 2377484 */ // Label 33449: @2377484
     /* 2377484 */ GIM_Try, /*On fail goto*//*Label 33518*/ GIMT_Encode4(2377598),
     /* 2377489 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2377492 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2377495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377499 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377503 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377507 */   GIM_Try, /*On fail goto*//*Label 33519*/ GIMT_Encode4(2377552), // Rule ID 50738 //
     /* 2377512 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377515 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377515 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2377518 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377522 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377527 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2377532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377534 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377537 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377551 */     // GIR_Coverage, 50738,
     /* 2377551 */     GIR_EraseRootFromParent_Done,
     /* 2377552 */   // Label 33519: @2377552
     /* 2377552 */   GIM_Try, /*On fail goto*//*Label 33520*/ GIMT_Encode4(2377597), // Rule ID 50739 //
     /* 2377557 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377560 */     // (umax:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, VRM8:{ *:[nxv32i16] }:$rs2, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377560 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2377563 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377567 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377572 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377574 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2377577 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377579 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377596 */     // GIR_Coverage, 50739,
     /* 2377596 */     GIR_EraseRootFromParent_Done,
     /* 2377597 */   // Label 33520: @2377597
     /* 2377597 */   GIM_Reject,
     /* 2377598 */ // Label 33518: @2377598
     /* 2377598 */ GIM_Reject,
     /* 2377599 */ // Label 33450: @2377599
     /* 2377599 */ GIM_Try, /*On fail goto*//*Label 33521*/ GIMT_Encode4(2377713),
     /* 2377604 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2377607 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2377610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377618 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2377622 */   GIM_Try, /*On fail goto*//*Label 33522*/ GIMT_Encode4(2377667), // Rule ID 50726 //
     /* 2377627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2377630 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2377630 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2377633 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377637 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377642 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2377647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377649 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377652 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377666 */     // GIR_Coverage, 50726,
     /* 2377666 */     GIR_EraseRootFromParent_Done,
     /* 2377667 */   // Label 33522: @2377667
     /* 2377667 */   GIM_Try, /*On fail goto*//*Label 33523*/ GIMT_Encode4(2377712), // Rule ID 50727 //
     /* 2377672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2377675 */     // (umax:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2)  =>  (PseudoVMAXU_VV_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, VRM8:{ *:[nxv64i8] }:$rs2, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2377675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2377678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2377682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2377687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2377689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMAXU_VV_M8),
     /* 2377692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2377697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377699 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2377701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2377704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2377710 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377711 */     // GIR_Coverage, 50727,
     /* 2377711 */     GIR_EraseRootFromParent_Done,
     /* 2377712 */   // Label 33523: @2377712
     /* 2377712 */   GIM_Reject,
     /* 2377713 */ // Label 33521: @2377713
     /* 2377713 */ GIM_Reject,
     /* 2377714 */ // Label 33451: @2377714
     /* 2377714 */ GIM_Reject,
     /* 2377715 */ // Label 84: @2377715
     /* 2377715 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33526*/ GIMT_Encode4(2377872),
     /* 2377726 */ /*GILLT_s32*//*Label 33524*/ GIMT_Encode4(2377734),
     /* 2377730 */ /*GILLT_s64*//*Label 33525*/ GIMT_Encode4(2377803),
     /* 2377734 */ // Label 33524: @2377734
     /* 2377734 */ GIM_Try, /*On fail goto*//*Label 33527*/ GIMT_Encode4(2377802),
     /* 2377739 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377742 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377746 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377750 */   GIM_Try, /*On fail goto*//*Label 33528*/ GIMT_Encode4(2377765), // Rule ID 64454 //
     /* 2377755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode1),
     /* 2377758 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_ABS:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2377758 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2377763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377764 */     // GIR_Coverage, 64454,
     /* 2377764 */     GIR_Done,
     /* 2377765 */   // Label 33528: @2377765
     /* 2377765 */   GIM_Try, /*On fail goto*//*Label 33529*/ GIMT_Encode4(2377801), // Rule ID 62509 //
     /* 2377770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode1),
     /* 2377773 */     // (abs:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (PseudoCCSUB:{ *:[i32] } GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, 2:{ *:[i32] }, GPR:{ *:[i32] }:$rs1, X0:{ *:[i32] }, GPR:{ *:[i32] }:$rs1)
     /* 2377773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2377776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2377778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377780 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2377786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2377789 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377791 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2377797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377799 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377800 */     // GIR_Coverage, 62509,
     /* 2377800 */     GIR_EraseRootFromParent_Done,
     /* 2377801 */   // Label 33529: @2377801
     /* 2377801 */   GIM_Reject,
     /* 2377802 */ // Label 33527: @2377802
     /* 2377802 */ GIM_Reject,
     /* 2377803 */ // Label 33525: @2377803
     /* 2377803 */ GIM_Try, /*On fail goto*//*Label 33530*/ GIMT_Encode4(2377871),
     /* 2377808 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2377811 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377815 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377819 */   GIM_Try, /*On fail goto*//*Label 33531*/ GIMT_Encode4(2377834), // Rule ID 64453 //
     /* 2377824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCValu_IsRV32_HwMode0),
     /* 2377827 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_ABS:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2377827 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_ABS),
     /* 2377832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377833 */     // GIR_Coverage, 64453,
     /* 2377833 */     GIR_Done,
     /* 2377834 */   // Label 33531: @2377834
     /* 2377834 */   GIM_Try, /*On fail goto*//*Label 33532*/ GIMT_Encode4(2377870), // Rule ID 62508 //
     /* 2377839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasShortForwardBranchOpt_HwMode0),
     /* 2377842 */     // (abs:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (PseudoCCSUB:{ *:[i64] } GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, 2:{ *:[i64] }, GPR:{ *:[i64] }:$rs1, X0:{ *:[i64] }, GPR:{ *:[i64] }:$rs1)
     /* 2377842 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoCCSUB),
     /* 2377845 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[dst]
     /* 2377847 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377849 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2377855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2377858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377860 */     GIR_AddRegister, /*InsnID*/0, GIMT_Encode2(RISCV::X0), /*AddRegisterRegFlags*/GIMT_Encode2(0),
     /* 2377866 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2377869 */     // GIR_Coverage, 62508,
     /* 2377869 */     GIR_EraseRootFromParent_Done,
     /* 2377870 */   // Label 33532: @2377870
     /* 2377870 */   GIM_Reject,
     /* 2377871 */ // Label 33530: @2377871
     /* 2377871 */ GIM_Reject,
     /* 2377872 */ // Label 33526: @2377872
     /* 2377872 */ GIM_Reject,
     /* 2377873 */ // Label 85: @2377873
     /* 2377873 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 33535*/ GIMT_Encode4(2378452),
     /* 2377884 */ /*GILLT_s32*//*Label 33533*/ GIMT_Encode4(2377892),
     /* 2377888 */ /*GILLT_s64*//*Label 33534*/ GIMT_Encode4(2378265),
     /* 2377892 */ // Label 33533: @2377892
     /* 2377892 */ GIM_Try, /*On fail goto*//*Label 33536*/ GIMT_Encode4(2377923), // Rule ID 1466 //
     /* 2377897 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode0),
     /* 2377900 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377903 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377907 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377911 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2377911 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2377914 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377916 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377918 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377921 */   GIR_RootConstrainSelectedInstOperands,
     /* 2377922 */   // GIR_Coverage, 1466,
     /* 2377922 */   GIR_EraseRootFromParent_Done,
     /* 2377923 */ // Label 33536: @2377923
     /* 2377923 */ GIM_Try, /*On fail goto*//*Label 33537*/ GIMT_Encode4(2377954), // Rule ID 1467 //
     /* 2377928 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV32_HwMode1),
     /* 2377931 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377934 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377938 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2377942 */   // (lround:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_W_S:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2377942 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2377945 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377947 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377949 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377952 */   GIR_RootConstrainSelectedInstOperands,
     /* 2377953 */   // GIR_Coverage, 1467,
     /* 2377953 */   GIR_EraseRootFromParent_Done,
     /* 2377954 */ // Label 33537: @2377954
     /* 2377954 */ GIM_Try, /*On fail goto*//*Label 33538*/ GIMT_Encode4(2377985), // Rule ID 1492 //
     /* 2377959 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode0),
     /* 2377962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377965 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2377969 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2377973 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2377973 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2377976 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2377978 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2377980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2377983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2377984 */   // GIR_Coverage, 1492,
     /* 2377984 */   GIR_EraseRootFromParent_Done,
     /* 2377985 */ // Label 33538: @2377985
     /* 2377985 */ GIM_Try, /*On fail goto*//*Label 33539*/ GIMT_Encode4(2378016), // Rule ID 1493 //
     /* 2377990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV32_HwMode1),
     /* 2377993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2377996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378000 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2378004 */   // (lround:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_W_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1, 4:{ *:[i32] })
     /* 2378004 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2378007 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378009 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378011 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378014 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378015 */   // GIR_Coverage, 1493,
     /* 2378015 */   GIR_EraseRootFromParent_Done,
     /* 2378016 */ // Label 33539: @2378016
     /* 2378016 */ GIM_Try, /*On fail goto*//*Label 33540*/ GIMT_Encode4(2378047), // Rule ID 1860 //
     /* 2378021 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode0),
     /* 2378024 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378027 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378031 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378035 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2378035 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2378038 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378040 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378042 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378045 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378046 */   // GIR_Coverage, 1860,
     /* 2378046 */   GIR_EraseRootFromParent_Done,
     /* 2378047 */ // Label 33540: @2378047
     /* 2378047 */ GIM_Try, /*On fail goto*//*Label 33541*/ GIMT_Encode4(2378078), // Rule ID 1861 //
     /* 2378052 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV32_HwMode1),
     /* 2378055 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378058 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378062 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378066 */   // (lround:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_W_D:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2378066 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2378069 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378071 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378073 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378076 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378077 */   // GIR_Coverage, 1861,
     /* 2378077 */   GIR_EraseRootFromParent_Done,
     /* 2378078 */ // Label 33541: @2378078
     /* 2378078 */ GIM_Try, /*On fail goto*//*Label 33542*/ GIMT_Encode4(2378109), // Rule ID 1886 //
     /* 2378083 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2378086 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378089 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378093 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378097 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2378097 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2378100 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378102 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378104 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378107 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378108 */   // GIR_Coverage, 1886,
     /* 2378108 */   GIR_EraseRootFromParent_Done,
     /* 2378109 */ // Label 33542: @2378109
     /* 2378109 */ GIM_Try, /*On fail goto*//*Label 33543*/ GIMT_Encode4(2378140), // Rule ID 1887 //
     /* 2378114 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2378117 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378120 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378124 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2378128 */   // (lround:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCVT_W_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1, 4:{ *:[i32] })
     /* 2378128 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_IN32X),
     /* 2378131 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378133 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378135 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378138 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378139 */   // GIR_Coverage, 1887,
     /* 2378139 */   GIR_EraseRootFromParent_Done,
     /* 2378140 */ // Label 33543: @2378140
     /* 2378140 */ GIM_Try, /*On fail goto*//*Label 33544*/ GIMT_Encode4(2378171), // Rule ID 2202 //
     /* 2378145 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode0),
     /* 2378148 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2378151 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378155 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378159 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2378159 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2378162 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378164 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378166 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378169 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378170 */   // GIR_Coverage, 2202,
     /* 2378170 */   GIR_EraseRootFromParent_Done,
     /* 2378171 */ // Label 33544: @2378171
     /* 2378171 */ GIM_Try, /*On fail goto*//*Label 33545*/ GIMT_Encode4(2378202), // Rule ID 2203 //
     /* 2378176 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV32_HwMode1),
     /* 2378179 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2378182 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378186 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378190 */   // (lround:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_W_H:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2378190 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2378193 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378195 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378197 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378200 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378201 */   // GIR_Coverage, 2203,
     /* 2378201 */   GIR_EraseRootFromParent_Done,
     /* 2378202 */ // Label 33545: @2378202
     /* 2378202 */ GIM_Try, /*On fail goto*//*Label 33546*/ GIMT_Encode4(2378233), // Rule ID 2228 //
     /* 2378207 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode0),
     /* 2378210 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2378213 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378217 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2378221 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2378221 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2378224 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378226 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378228 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378231 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378232 */   // GIR_Coverage, 2228,
     /* 2378232 */   GIR_EraseRootFromParent_Done,
     /* 2378233 */ // Label 33546: @2378233
     /* 2378233 */ GIM_Try, /*On fail goto*//*Label 33547*/ GIMT_Encode4(2378264), // Rule ID 2229 //
     /* 2378238 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV32_HwMode1),
     /* 2378241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2378244 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378248 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2378252 */   // (lround:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_W_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1, 4:{ *:[i32] })
     /* 2378252 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2378255 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378257 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378259 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378262 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378263 */   // GIR_Coverage, 2229,
     /* 2378263 */   GIR_EraseRootFromParent_Done,
     /* 2378264 */ // Label 33547: @2378264
     /* 2378264 */ GIM_Reject,
     /* 2378265 */ // Label 33534: @2378265
     /* 2378265 */ GIM_Try, /*On fail goto*//*Label 33548*/ GIMT_Encode4(2378296), // Rule ID 1519 //
     /* 2378270 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2378273 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2378276 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378280 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2378284 */   // (lround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2378284 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2378287 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378289 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378291 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378294 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378295 */   // GIR_Coverage, 1519,
     /* 2378295 */   GIR_EraseRootFromParent_Done,
     /* 2378296 */ // Label 33548: @2378296
     /* 2378296 */ GIM_Try, /*On fail goto*//*Label 33549*/ GIMT_Encode4(2378327), // Rule ID 1547 //
     /* 2378301 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2378304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2378307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378311 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2378315 */   // (lround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2378315 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2378318 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378320 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378322 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378325 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378326 */   // GIR_Coverage, 1547,
     /* 2378326 */   GIR_EraseRootFromParent_Done,
     /* 2378327 */ // Label 33549: @2378327
     /* 2378327 */ GIM_Try, /*On fail goto*//*Label 33550*/ GIMT_Encode4(2378358), // Rule ID 1917 //
     /* 2378332 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2378335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378346 */   // (lround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2378346 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2378349 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378351 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378353 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378356 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378357 */   // GIR_Coverage, 1917,
     /* 2378357 */   GIR_EraseRootFromParent_Done,
     /* 2378358 */ // Label 33550: @2378358
     /* 2378358 */ GIM_Try, /*On fail goto*//*Label 33551*/ GIMT_Encode4(2378389), // Rule ID 1945 //
     /* 2378363 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2378366 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378369 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378373 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378377 */   // (lround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2378377 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2378380 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378382 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378384 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378387 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378388 */   // GIR_Coverage, 1945,
     /* 2378388 */   GIR_EraseRootFromParent_Done,
     /* 2378389 */ // Label 33551: @2378389
     /* 2378389 */ GIM_Try, /*On fail goto*//*Label 33552*/ GIMT_Encode4(2378420), // Rule ID 2253 //
     /* 2378394 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2378397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2378400 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378404 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378408 */   // (lround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2378408 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2378411 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378413 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378415 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378418 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378419 */   // GIR_Coverage, 2253,
     /* 2378419 */   GIR_EraseRootFromParent_Done,
     /* 2378420 */ // Label 33552: @2378420
     /* 2378420 */ GIM_Try, /*On fail goto*//*Label 33553*/ GIMT_Encode4(2378451), // Rule ID 2279 //
     /* 2378425 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2378428 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2378431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2378439 */   // (lround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2378439 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2378442 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378444 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378446 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378449 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378450 */   // GIR_Coverage, 2279,
     /* 2378450 */   GIR_EraseRootFromParent_Done,
     /* 2378451 */ // Label 33553: @2378451
     /* 2378451 */ GIM_Reject,
     /* 2378452 */ // Label 33535: @2378452
     /* 2378452 */ GIM_Reject,
     /* 2378453 */ // Label 86: @2378453
     /* 2378453 */ GIM_Try, /*On fail goto*//*Label 33554*/ GIMT_Encode4(2378662),
     /* 2378458 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2378461 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 33558*/ GIMT_Encode4(2378661),
     /* 2378472 */   /*GILLT_s16*//*Label 33555*/ GIMT_Encode4(2378484),
     /* 2378476 */   /*GILLT_s32*//*Label 33556*/ GIMT_Encode4(2378543),
     /* 2378480 */   /*GILLT_s64*//*Label 33557*/ GIMT_Encode4(2378602),
     /* 2378484 */   // Label 33555: @2378484
     /* 2378484 */   GIM_Try, /*On fail goto*//*Label 33559*/ GIMT_Encode4(2378542),
     /* 2378489 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378493 */     GIM_Try, /*On fail goto*//*Label 33560*/ GIMT_Encode4(2378517), // Rule ID 2255 //
     /* 2378498 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2378501 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2378505 */       // (llround:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCVT_L_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2378505 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H),
     /* 2378508 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378510 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378512 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378515 */       GIR_RootConstrainSelectedInstOperands,
     /* 2378516 */       // GIR_Coverage, 2255,
     /* 2378516 */       GIR_EraseRootFromParent_Done,
     /* 2378517 */     // Label 33560: @2378517
     /* 2378517 */     GIM_Try, /*On fail goto*//*Label 33561*/ GIMT_Encode4(2378541), // Rule ID 2281 //
     /* 2378522 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2378525 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2378529 */       // (llround:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCVT_L_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, 4:{ *:[i64] })
     /* 2378529 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_H_INX),
     /* 2378532 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378534 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378536 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378539 */       GIR_RootConstrainSelectedInstOperands,
     /* 2378540 */       // GIR_Coverage, 2281,
     /* 2378540 */       GIR_EraseRootFromParent_Done,
     /* 2378541 */     // Label 33561: @2378541
     /* 2378541 */     GIM_Reject,
     /* 2378542 */   // Label 33559: @2378542
     /* 2378542 */   GIM_Reject,
     /* 2378543 */   // Label 33556: @2378543
     /* 2378543 */   GIM_Try, /*On fail goto*//*Label 33562*/ GIMT_Encode4(2378601),
     /* 2378548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378552 */     GIM_Try, /*On fail goto*//*Label 33563*/ GIMT_Encode4(2378576), // Rule ID 1521 //
     /* 2378557 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2378560 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2378564 */       // (llround:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCVT_L_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2378564 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S),
     /* 2378567 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378569 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378571 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378574 */       GIR_RootConstrainSelectedInstOperands,
     /* 2378575 */       // GIR_Coverage, 1521,
     /* 2378575 */       GIR_EraseRootFromParent_Done,
     /* 2378576 */     // Label 33563: @2378576
     /* 2378576 */     GIM_Try, /*On fail goto*//*Label 33564*/ GIMT_Encode4(2378600), // Rule ID 1549 //
     /* 2378581 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2378584 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2378588 */       // (llround:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCVT_L_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, 4:{ *:[i64] })
     /* 2378588 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_S_INX),
     /* 2378591 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378593 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378595 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378598 */       GIR_RootConstrainSelectedInstOperands,
     /* 2378599 */       // GIR_Coverage, 1549,
     /* 2378599 */       GIR_EraseRootFromParent_Done,
     /* 2378600 */     // Label 33564: @2378600
     /* 2378600 */     GIM_Reject,
     /* 2378601 */   // Label 33562: @2378601
     /* 2378601 */   GIM_Reject,
     /* 2378602 */   // Label 33557: @2378602
     /* 2378602 */   GIM_Try, /*On fail goto*//*Label 33565*/ GIMT_Encode4(2378660),
     /* 2378607 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378611 */     GIM_Try, /*On fail goto*//*Label 33566*/ GIMT_Encode4(2378635), // Rule ID 1919 //
     /* 2378616 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2378619 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2378623 */       // (llround:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCVT_L_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2378623 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D),
     /* 2378626 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378628 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378630 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378633 */       GIR_RootConstrainSelectedInstOperands,
     /* 2378634 */       // GIR_Coverage, 1919,
     /* 2378634 */       GIR_EraseRootFromParent_Done,
     /* 2378635 */     // Label 33566: @2378635
     /* 2378635 */     GIM_Try, /*On fail goto*//*Label 33567*/ GIMT_Encode4(2378659), // Rule ID 1947 //
     /* 2378640 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2378643 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378647 */       // (llround:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCVT_L_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, 4:{ *:[i64] })
     /* 2378647 */       GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FCVT_L_D_INX),
     /* 2378650 */       GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378652 */       GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2378654 */       GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2378657 */       GIR_RootConstrainSelectedInstOperands,
     /* 2378658 */       // GIR_Coverage, 1947,
     /* 2378658 */       GIR_EraseRootFromParent_Done,
     /* 2378659 */     // Label 33567: @2378659
     /* 2378659 */     GIM_Reject,
     /* 2378660 */   // Label 33565: @2378660
     /* 2378660 */   GIM_Reject,
     /* 2378661 */   // Label 33558: @2378661
     /* 2378661 */   GIM_Reject,
     /* 2378662 */ // Label 33554: @2378662
     /* 2378662 */ GIM_Reject,
     /* 2378663 */ // Label 87: @2378663
     /* 2378663 */ GIM_Try, /*On fail goto*//*Label 33568*/ GIMT_Encode4(2378678), // Rule ID 4 //
     /* 2378668 */   // MIs[0] imm20
     /* 2378668 */   GIM_CheckIsMBB, /*MI*/0, /*Op*/0,
     /* 2378671 */   // (br (bb:{ *:[Other] }):$imm20)  =>  (PseudoBR (bb:{ *:[Other] }):$imm20)
     /* 2378671 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoBR),
     /* 2378676 */   GIR_RootConstrainSelectedInstOperands,
     /* 2378677 */   // GIR_Coverage, 4,
     /* 2378677 */   GIR_Done,
     /* 2378678 */ // Label 33568: @2378678
     /* 2378678 */ GIM_Reject,
     /* 2378679 */ // Label 88: @2378679
     /* 2378679 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33593*/ GIMT_Encode4(2381306),
     /* 2378690 */ /*GILLT_s32*//*Label 33569*/ GIMT_Encode4(2378814),
     /* 2378694 */ /*GILLT_s64*//*Label 33570*/ GIMT_Encode4(2378970), GIMT_Encode4(0),
     /* 2378702 */ /*GILLT_nxv1s8*//*Label 33571*/ GIMT_Encode4(2379018),
     /* 2378706 */ /*GILLT_nxv1s16*//*Label 33572*/ GIMT_Encode4(2379122),
     /* 2378710 */ /*GILLT_nxv1s32*//*Label 33573*/ GIMT_Encode4(2379226),
     /* 2378714 */ /*GILLT_nxv1s64*//*Label 33574*/ GIMT_Encode4(2379330), GIMT_Encode4(0),
     /* 2378722 */ /*GILLT_nxv2s8*//*Label 33575*/ GIMT_Encode4(2379434),
     /* 2378726 */ /*GILLT_nxv2s16*//*Label 33576*/ GIMT_Encode4(2379538),
     /* 2378730 */ /*GILLT_nxv2s32*//*Label 33577*/ GIMT_Encode4(2379642),
     /* 2378734 */ /*GILLT_nxv2s64*//*Label 33578*/ GIMT_Encode4(2379746), GIMT_Encode4(0),
     /* 2378742 */ /*GILLT_nxv4s8*//*Label 33579*/ GIMT_Encode4(2379850),
     /* 2378746 */ /*GILLT_nxv4s16*//*Label 33580*/ GIMT_Encode4(2379954),
     /* 2378750 */ /*GILLT_nxv4s32*//*Label 33581*/ GIMT_Encode4(2380058),
     /* 2378754 */ /*GILLT_nxv4s64*//*Label 33582*/ GIMT_Encode4(2380162), GIMT_Encode4(0),
     /* 2378762 */ /*GILLT_nxv8s8*//*Label 33583*/ GIMT_Encode4(2380266),
     /* 2378766 */ /*GILLT_nxv8s16*//*Label 33584*/ GIMT_Encode4(2380370),
     /* 2378770 */ /*GILLT_nxv8s32*//*Label 33585*/ GIMT_Encode4(2380474),
     /* 2378774 */ /*GILLT_nxv8s64*//*Label 33586*/ GIMT_Encode4(2380578), GIMT_Encode4(0),
     /* 2378782 */ /*GILLT_nxv16s8*//*Label 33587*/ GIMT_Encode4(2380682),
     /* 2378786 */ /*GILLT_nxv16s16*//*Label 33588*/ GIMT_Encode4(2380786),
     /* 2378790 */ /*GILLT_nxv16s32*//*Label 33589*/ GIMT_Encode4(2380890), GIMT_Encode4(0),
     /* 2378798 */ /*GILLT_nxv32s8*//*Label 33590*/ GIMT_Encode4(2380994),
     /* 2378802 */ /*GILLT_nxv32s16*//*Label 33591*/ GIMT_Encode4(2381098), GIMT_Encode4(0),
     /* 2378810 */ /*GILLT_nxv64s8*//*Label 33592*/ GIMT_Encode4(2381202),
     /* 2378814 */ // Label 33569: @2378814
     /* 2378814 */ GIM_Try, /*On fail goto*//*Label 33594*/ GIMT_Encode4(2378969),
     /* 2378819 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2378822 */   GIM_Try, /*On fail goto*//*Label 33595*/ GIMT_Encode4(2378872), // Rule ID 64640 //
     /* 2378827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2378830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2378834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2378842 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2378846 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2378850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378855 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2378859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2378861 */     // (cttz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (QC_CTO:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2378861 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_CTO),
     /* 2378864 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378866 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378871 */     // GIR_Coverage, 64640,
     /* 2378871 */     GIR_EraseRootFromParent_Done,
     /* 2378872 */   // Label 33595: @2378872
     /* 2378872 */   GIM_Try, /*On fail goto*//*Label 33596*/ GIMT_Encode4(2378922), // Rule ID 64641 //
     /* 2378877 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2378880 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2378884 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2378888 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2378892 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2378896 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2378900 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378905 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2378909 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2378911 */     // (cttz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (QC_CTO:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2378911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_CTO),
     /* 2378914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2378916 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2378920 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378921 */     // GIR_Coverage, 64641,
     /* 2378921 */     GIR_EraseRootFromParent_Done,
     /* 2378922 */   // Label 33596: @2378922
     /* 2378922 */   GIM_Try, /*On fail goto*//*Label 33597*/ GIMT_Encode4(2378945), // Rule ID 2513 //
     /* 2378927 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2378930 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378938 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CTZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2378938 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2378943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378944 */     // GIR_Coverage, 2513,
     /* 2378944 */     GIR_Done,
     /* 2378945 */   // Label 33597: @2378945
     /* 2378945 */   GIM_Try, /*On fail goto*//*Label 33598*/ GIMT_Encode4(2378968), // Rule ID 64437 //
     /* 2378950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2378953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378961 */     // (cttz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2378961 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2378966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2378967 */     // GIR_Coverage, 64437,
     /* 2378967 */     GIR_Done,
     /* 2378968 */   // Label 33598: @2378968
     /* 2378968 */   GIM_Reject,
     /* 2378969 */ // Label 33594: @2378969
     /* 2378969 */ GIM_Reject,
     /* 2378970 */ // Label 33570: @2378970
     /* 2378970 */ GIM_Try, /*On fail goto*//*Label 33599*/ GIMT_Encode4(2379017),
     /* 2378975 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2378978 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378982 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2378986 */   GIM_Try, /*On fail goto*//*Label 33600*/ GIMT_Encode4(2379001), // Rule ID 2512 //
     /* 2378991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2378994 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2378994 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZ),
     /* 2378999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379000 */     // GIR_Coverage, 2512,
     /* 2379000 */     GIR_Done,
     /* 2379001 */   // Label 33600: @2379001
     /* 2379001 */   GIM_Try, /*On fail goto*//*Label 33601*/ GIMT_Encode4(2379016), // Rule ID 64436 //
     /* 2379006 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2379009 */     // (cttz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2379009 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FF1),
     /* 2379014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379015 */     // GIR_Coverage, 64436,
     /* 2379015 */     GIR_Done,
     /* 2379016 */   // Label 33601: @2379016
     /* 2379016 */   GIM_Reject,
     /* 2379017 */ // Label 33599: @2379017
     /* 2379017 */ GIM_Reject,
     /* 2379018 */ // Label 33571: @2379018
     /* 2379018 */ GIM_Try, /*On fail goto*//*Label 33602*/ GIMT_Encode4(2379121),
     /* 2379023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2379026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379034 */   GIM_Try, /*On fail goto*//*Label 33603*/ GIMT_Encode4(2379077), // Rule ID 59182 //
     /* 2379039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379042 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2379045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2379059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379076 */     // GIR_Coverage, 59182,
     /* 2379076 */     GIR_EraseRootFromParent_Done,
     /* 2379077 */   // Label 33603: @2379077
     /* 2379077 */   GIM_Try, /*On fail goto*//*Label 33604*/ GIMT_Encode4(2379120), // Rule ID 59183 //
     /* 2379082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379085 */     // (cttz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCTZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2379088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF8),
     /* 2379102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379119 */     // GIR_Coverage, 59183,
     /* 2379119 */     GIR_EraseRootFromParent_Done,
     /* 2379120 */   // Label 33604: @2379120
     /* 2379120 */   GIM_Reject,
     /* 2379121 */ // Label 33602: @2379121
     /* 2379121 */ GIM_Reject,
     /* 2379122 */ // Label 33572: @2379122
     /* 2379122 */ GIM_Try, /*On fail goto*//*Label 33605*/ GIMT_Encode4(2379225),
     /* 2379127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2379130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379138 */   GIM_Try, /*On fail goto*//*Label 33606*/ GIMT_Encode4(2379181), // Rule ID 59188 //
     /* 2379143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379146 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2379163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379180 */     // GIR_Coverage, 59188,
     /* 2379180 */     GIR_EraseRootFromParent_Done,
     /* 2379181 */   // Label 33606: @2379181
     /* 2379181 */   GIM_Try, /*On fail goto*//*Label 33607*/ GIMT_Encode4(2379224), // Rule ID 59189 //
     /* 2379186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379189 */     // (cttz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2379192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2379206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379223 */     // GIR_Coverage, 59189,
     /* 2379223 */     GIR_EraseRootFromParent_Done,
     /* 2379224 */   // Label 33607: @2379224
     /* 2379224 */   GIM_Reject,
     /* 2379225 */ // Label 33605: @2379225
     /* 2379225 */ GIM_Reject,
     /* 2379226 */ // Label 33573: @2379226
     /* 2379226 */ GIM_Try, /*On fail goto*//*Label 33608*/ GIMT_Encode4(2379329),
     /* 2379231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2379234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379242 */   GIM_Try, /*On fail goto*//*Label 33609*/ GIMT_Encode4(2379285), // Rule ID 59192 //
     /* 2379247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379250 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2379267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379284 */     // GIR_Coverage, 59192,
     /* 2379284 */     GIR_EraseRootFromParent_Done,
     /* 2379285 */   // Label 33609: @2379285
     /* 2379285 */   GIM_Try, /*On fail goto*//*Label 33610*/ GIMT_Encode4(2379328), // Rule ID 59193 //
     /* 2379290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379293 */     // (cttz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2379296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2379310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379327 */     // GIR_Coverage, 59193,
     /* 2379327 */     GIR_EraseRootFromParent_Done,
     /* 2379328 */   // Label 33610: @2379328
     /* 2379328 */   GIM_Reject,
     /* 2379329 */ // Label 33608: @2379329
     /* 2379329 */ GIM_Reject,
     /* 2379330 */ // Label 33574: @2379330
     /* 2379330 */ GIM_Try, /*On fail goto*//*Label 33611*/ GIMT_Encode4(2379433),
     /* 2379335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2379338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379346 */   GIM_Try, /*On fail goto*//*Label 33612*/ GIMT_Encode4(2379389), // Rule ID 59200 //
     /* 2379351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2379354 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2379357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2379371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379388 */     // GIR_Coverage, 59200,
     /* 2379388 */     GIR_EraseRootFromParent_Done,
     /* 2379389 */   // Label 33612: @2379389
     /* 2379389 */   GIM_Try, /*On fail goto*//*Label 33613*/ GIMT_Encode4(2379432), // Rule ID 59201 //
     /* 2379394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2379397 */     // (cttz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2379400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2379414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379431 */     // GIR_Coverage, 59201,
     /* 2379431 */     GIR_EraseRootFromParent_Done,
     /* 2379432 */   // Label 33613: @2379432
     /* 2379432 */   GIM_Reject,
     /* 2379433 */ // Label 33611: @2379433
     /* 2379433 */ GIM_Reject,
     /* 2379434 */ // Label 33575: @2379434
     /* 2379434 */ GIM_Try, /*On fail goto*//*Label 33614*/ GIMT_Encode4(2379537),
     /* 2379439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2379442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379450 */   GIM_Try, /*On fail goto*//*Label 33615*/ GIMT_Encode4(2379493), // Rule ID 59184 //
     /* 2379455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379458 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2379461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2379475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379492 */     // GIR_Coverage, 59184,
     /* 2379492 */     GIR_EraseRootFromParent_Done,
     /* 2379493 */   // Label 33615: @2379493
     /* 2379493 */   GIM_Try, /*On fail goto*//*Label 33616*/ GIMT_Encode4(2379536), // Rule ID 59185 //
     /* 2379498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379501 */     // (cttz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCTZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2379504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF4),
     /* 2379518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379535 */     // GIR_Coverage, 59185,
     /* 2379535 */     GIR_EraseRootFromParent_Done,
     /* 2379536 */   // Label 33616: @2379536
     /* 2379536 */   GIM_Reject,
     /* 2379537 */ // Label 33614: @2379537
     /* 2379537 */ GIM_Reject,
     /* 2379538 */ // Label 33576: @2379538
     /* 2379538 */ GIM_Try, /*On fail goto*//*Label 33617*/ GIMT_Encode4(2379641),
     /* 2379543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2379546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379554 */   GIM_Try, /*On fail goto*//*Label 33618*/ GIMT_Encode4(2379597), // Rule ID 59190 //
     /* 2379559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379562 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2379565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2379579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379596 */     // GIR_Coverage, 59190,
     /* 2379596 */     GIR_EraseRootFromParent_Done,
     /* 2379597 */   // Label 33618: @2379597
     /* 2379597 */   GIM_Try, /*On fail goto*//*Label 33619*/ GIMT_Encode4(2379640), // Rule ID 59191 //
     /* 2379602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379605 */     // (cttz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2379608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2379622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2379635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379639 */     // GIR_Coverage, 59191,
     /* 2379639 */     GIR_EraseRootFromParent_Done,
     /* 2379640 */   // Label 33619: @2379640
     /* 2379640 */   GIM_Reject,
     /* 2379641 */ // Label 33617: @2379641
     /* 2379641 */ GIM_Reject,
     /* 2379642 */ // Label 33577: @2379642
     /* 2379642 */ GIM_Try, /*On fail goto*//*Label 33620*/ GIMT_Encode4(2379745),
     /* 2379647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2379650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379658 */   GIM_Try, /*On fail goto*//*Label 33621*/ GIMT_Encode4(2379701), // Rule ID 59198 //
     /* 2379663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379666 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2379669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2379683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379700 */     // GIR_Coverage, 59198,
     /* 2379700 */     GIR_EraseRootFromParent_Done,
     /* 2379701 */   // Label 33621: @2379701
     /* 2379701 */   GIM_Try, /*On fail goto*//*Label 33622*/ GIMT_Encode4(2379744), // Rule ID 59199 //
     /* 2379706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379709 */     // (cttz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2379712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2379726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2379739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379743 */     // GIR_Coverage, 59199,
     /* 2379743 */     GIR_EraseRootFromParent_Done,
     /* 2379744 */   // Label 33622: @2379744
     /* 2379744 */   GIM_Reject,
     /* 2379745 */ // Label 33620: @2379745
     /* 2379745 */ GIM_Reject,
     /* 2379746 */ // Label 33578: @2379746
     /* 2379746 */ GIM_Try, /*On fail goto*//*Label 33623*/ GIMT_Encode4(2379849),
     /* 2379751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2379754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2379758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2379762 */   GIM_Try, /*On fail goto*//*Label 33624*/ GIMT_Encode4(2379805), // Rule ID 59220 //
     /* 2379767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2379770 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2379773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2379787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379804 */     // GIR_Coverage, 59220,
     /* 2379804 */     GIR_EraseRootFromParent_Done,
     /* 2379805 */   // Label 33624: @2379805
     /* 2379805 */   GIM_Try, /*On fail goto*//*Label 33625*/ GIMT_Encode4(2379848), // Rule ID 59221 //
     /* 2379810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2379813 */     // (cttz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2379816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2379830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2379843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379847 */     // GIR_Coverage, 59221,
     /* 2379847 */     GIR_EraseRootFromParent_Done,
     /* 2379848 */   // Label 33625: @2379848
     /* 2379848 */   GIM_Reject,
     /* 2379849 */ // Label 33623: @2379849
     /* 2379849 */ GIM_Reject,
     /* 2379850 */ // Label 33579: @2379850
     /* 2379850 */ GIM_Try, /*On fail goto*//*Label 33626*/ GIMT_Encode4(2379953),
     /* 2379855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2379858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379866 */   GIM_Try, /*On fail goto*//*Label 33627*/ GIMT_Encode4(2379909), // Rule ID 59186 //
     /* 2379871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379874 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2379877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2379891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379908 */     // GIR_Coverage, 59186,
     /* 2379908 */     GIR_EraseRootFromParent_Done,
     /* 2379909 */   // Label 33627: @2379909
     /* 2379909 */   GIM_Try, /*On fail goto*//*Label 33628*/ GIMT_Encode4(2379952), // Rule ID 59187 //
     /* 2379914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2379917 */     // (cttz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCTZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2379917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2379920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_MF2),
     /* 2379934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2379939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2379941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2379944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2379950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2379951 */     // GIR_Coverage, 59187,
     /* 2379951 */     GIR_EraseRootFromParent_Done,
     /* 2379952 */   // Label 33628: @2379952
     /* 2379952 */   GIM_Reject,
     /* 2379953 */ // Label 33626: @2379953
     /* 2379953 */ GIM_Reject,
     /* 2379954 */ // Label 33580: @2379954
     /* 2379954 */ GIM_Try, /*On fail goto*//*Label 33629*/ GIMT_Encode4(2380057),
     /* 2379959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2379962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2379970 */   GIM_Try, /*On fail goto*//*Label 33630*/ GIMT_Encode4(2380013), // Rule ID 59196 //
     /* 2379975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2379978 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2379978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2379981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2379985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2379990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2379992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2379995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2379997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380012 */     // GIR_Coverage, 59196,
     /* 2380012 */     GIR_EraseRootFromParent_Done,
     /* 2380013 */   // Label 33630: @2380013
     /* 2380013 */   GIM_Try, /*On fail goto*//*Label 33631*/ GIMT_Encode4(2380056), // Rule ID 59197 //
     /* 2380018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380021 */     // (cttz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2380024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2380038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380055 */     // GIR_Coverage, 59197,
     /* 2380055 */     GIR_EraseRootFromParent_Done,
     /* 2380056 */   // Label 33631: @2380056
     /* 2380056 */   GIM_Reject,
     /* 2380057 */ // Label 33629: @2380057
     /* 2380057 */ GIM_Reject,
     /* 2380058 */ // Label 33581: @2380058
     /* 2380058 */ GIM_Try, /*On fail goto*//*Label 33632*/ GIMT_Encode4(2380161),
     /* 2380063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2380066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380074 */   GIM_Try, /*On fail goto*//*Label 33633*/ GIMT_Encode4(2380117), // Rule ID 59214 //
     /* 2380079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380082 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2380099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380116 */     // GIR_Coverage, 59214,
     /* 2380116 */     GIR_EraseRootFromParent_Done,
     /* 2380117 */   // Label 33633: @2380117
     /* 2380117 */   GIM_Try, /*On fail goto*//*Label 33634*/ GIMT_Encode4(2380160), // Rule ID 59215 //
     /* 2380122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380125 */     // (cttz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2380128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2380142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380159 */     // GIR_Coverage, 59215,
     /* 2380159 */     GIR_EraseRootFromParent_Done,
     /* 2380160 */   // Label 33634: @2380160
     /* 2380160 */   GIM_Reject,
     /* 2380161 */ // Label 33632: @2380161
     /* 2380161 */ GIM_Reject,
     /* 2380162 */ // Label 33582: @2380162
     /* 2380162 */ GIM_Try, /*On fail goto*//*Label 33635*/ GIMT_Encode4(2380265),
     /* 2380167 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2380170 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380174 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380178 */   GIM_Try, /*On fail goto*//*Label 33636*/ GIMT_Encode4(2380221), // Rule ID 59222 //
     /* 2380183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2380186 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380186 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380189 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380193 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380198 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380200 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2380203 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380205 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380208 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380210 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380220 */     // GIR_Coverage, 59222,
     /* 2380220 */     GIR_EraseRootFromParent_Done,
     /* 2380221 */   // Label 33636: @2380221
     /* 2380221 */   GIM_Try, /*On fail goto*//*Label 33637*/ GIMT_Encode4(2380264), // Rule ID 59223 //
     /* 2380226 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2380229 */     // (cttz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380229 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2380232 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380236 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380241 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380243 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2380246 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380248 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380263 */     // GIR_Coverage, 59223,
     /* 2380263 */     GIR_EraseRootFromParent_Done,
     /* 2380264 */   // Label 33637: @2380264
     /* 2380264 */   GIM_Reject,
     /* 2380265 */ // Label 33635: @2380265
     /* 2380265 */ GIM_Reject,
     /* 2380266 */ // Label 33583: @2380266
     /* 2380266 */ GIM_Try, /*On fail goto*//*Label 33638*/ GIMT_Encode4(2380369),
     /* 2380271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2380274 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380278 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2380282 */   GIM_Try, /*On fail goto*//*Label 33639*/ GIMT_Encode4(2380325), // Rule ID 59194 //
     /* 2380287 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380290 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380290 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2380293 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380297 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380302 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380304 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2380307 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380309 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380312 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380323 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380324 */     // GIR_Coverage, 59194,
     /* 2380324 */     GIR_EraseRootFromParent_Done,
     /* 2380325 */   // Label 33639: @2380325
     /* 2380325 */   GIM_Try, /*On fail goto*//*Label 33640*/ GIMT_Encode4(2380368), // Rule ID 59195 //
     /* 2380330 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380333 */     // (cttz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCTZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380333 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2380336 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380340 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380345 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380347 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M1),
     /* 2380350 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380352 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380355 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380357 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380366 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380367 */     // GIR_Coverage, 59195,
     /* 2380367 */     GIR_EraseRootFromParent_Done,
     /* 2380368 */   // Label 33640: @2380368
     /* 2380368 */   GIM_Reject,
     /* 2380369 */ // Label 33638: @2380369
     /* 2380369 */ GIM_Reject,
     /* 2380370 */ // Label 33584: @2380370
     /* 2380370 */ GIM_Try, /*On fail goto*//*Label 33641*/ GIMT_Encode4(2380473),
     /* 2380375 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2380378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380386 */   GIM_Try, /*On fail goto*//*Label 33642*/ GIMT_Encode4(2380429), // Rule ID 59208 //
     /* 2380391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380394 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380394 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2380397 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380401 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380406 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2380411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380413 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380427 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380428 */     // GIR_Coverage, 59208,
     /* 2380428 */     GIR_EraseRootFromParent_Done,
     /* 2380429 */   // Label 33642: @2380429
     /* 2380429 */   GIM_Try, /*On fail goto*//*Label 33643*/ GIMT_Encode4(2380472), // Rule ID 59209 //
     /* 2380434 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380437 */     // (cttz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380437 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2380440 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380444 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380449 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380451 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2380454 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380456 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380461 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380470 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380471 */     // GIR_Coverage, 59209,
     /* 2380471 */     GIR_EraseRootFromParent_Done,
     /* 2380472 */   // Label 33643: @2380472
     /* 2380472 */   GIM_Reject,
     /* 2380473 */ // Label 33641: @2380473
     /* 2380473 */ GIM_Reject,
     /* 2380474 */ // Label 33585: @2380474
     /* 2380474 */ GIM_Try, /*On fail goto*//*Label 33644*/ GIMT_Encode4(2380577),
     /* 2380479 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2380482 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380486 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380490 */   GIM_Try, /*On fail goto*//*Label 33645*/ GIMT_Encode4(2380533), // Rule ID 59216 //
     /* 2380495 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380498 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380498 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2380501 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380505 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380510 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380512 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2380515 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380517 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380532 */     // GIR_Coverage, 59216,
     /* 2380532 */     GIR_EraseRootFromParent_Done,
     /* 2380533 */   // Label 33645: @2380533
     /* 2380533 */   GIM_Try, /*On fail goto*//*Label 33646*/ GIMT_Encode4(2380576), // Rule ID 59217 //
     /* 2380538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380541 */     // (cttz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380541 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2380544 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380548 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380553 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2380558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380560 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380563 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380574 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380575 */     // GIR_Coverage, 59217,
     /* 2380575 */     GIR_EraseRootFromParent_Done,
     /* 2380576 */   // Label 33646: @2380576
     /* 2380576 */   GIM_Reject,
     /* 2380577 */ // Label 33644: @2380577
     /* 2380577 */ GIM_Reject,
     /* 2380578 */ // Label 33586: @2380578
     /* 2380578 */ GIM_Try, /*On fail goto*//*Label 33647*/ GIMT_Encode4(2380681),
     /* 2380583 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2380586 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380590 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380594 */   GIM_Try, /*On fail goto*//*Label 33648*/ GIMT_Encode4(2380637), // Rule ID 59224 //
     /* 2380599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2380602 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2380605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2380619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380636 */     // GIR_Coverage, 59224,
     /* 2380636 */     GIR_EraseRootFromParent_Done,
     /* 2380637 */   // Label 33648: @2380637
     /* 2380637 */   GIM_Try, /*On fail goto*//*Label 33649*/ GIMT_Encode4(2380680), // Rule ID 59225 //
     /* 2380642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2380645 */     // (cttz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380645 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2380648 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380652 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380657 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380659 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2380662 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380664 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2380675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380679 */     // GIR_Coverage, 59225,
     /* 2380679 */     GIR_EraseRootFromParent_Done,
     /* 2380680 */   // Label 33649: @2380680
     /* 2380680 */   GIM_Reject,
     /* 2380681 */ // Label 33647: @2380681
     /* 2380681 */ GIM_Reject,
     /* 2380682 */ // Label 33587: @2380682
     /* 2380682 */ GIM_Try, /*On fail goto*//*Label 33650*/ GIMT_Encode4(2380785),
     /* 2380687 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2380690 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380694 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2380698 */   GIM_Try, /*On fail goto*//*Label 33651*/ GIMT_Encode4(2380741), // Rule ID 59202 //
     /* 2380703 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380706 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380706 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2380709 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380713 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380718 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380720 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2380723 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380725 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380730 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380739 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380740 */     // GIR_Coverage, 59202,
     /* 2380740 */     GIR_EraseRootFromParent_Done,
     /* 2380741 */   // Label 33651: @2380741
     /* 2380741 */   GIM_Try, /*On fail goto*//*Label 33652*/ GIMT_Encode4(2380784), // Rule ID 59203 //
     /* 2380746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380749 */     // (cttz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCTZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2380752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M2),
     /* 2380766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380782 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380783 */     // GIR_Coverage, 59203,
     /* 2380783 */     GIR_EraseRootFromParent_Done,
     /* 2380784 */   // Label 33652: @2380784
     /* 2380784 */   GIM_Reject,
     /* 2380785 */ // Label 33650: @2380785
     /* 2380785 */ GIM_Reject,
     /* 2380786 */ // Label 33588: @2380786
     /* 2380786 */ GIM_Try, /*On fail goto*//*Label 33653*/ GIMT_Encode4(2380889),
     /* 2380791 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2380794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2380802 */   GIM_Try, /*On fail goto*//*Label 33654*/ GIMT_Encode4(2380845), // Rule ID 59210 //
     /* 2380807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380810 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380810 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2380813 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380817 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380822 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380824 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2380827 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380829 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380832 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380834 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380843 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380844 */     // GIR_Coverage, 59210,
     /* 2380844 */     GIR_EraseRootFromParent_Done,
     /* 2380845 */   // Label 33654: @2380845
     /* 2380845 */   GIM_Try, /*On fail goto*//*Label 33655*/ GIMT_Encode4(2380888), // Rule ID 59211 //
     /* 2380850 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380853 */     // (cttz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380853 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2380856 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380860 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380865 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2380870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380872 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380875 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2380883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380887 */     // GIR_Coverage, 59211,
     /* 2380887 */     GIR_EraseRootFromParent_Done,
     /* 2380888 */   // Label 33655: @2380888
     /* 2380888 */   GIM_Reject,
     /* 2380889 */ // Label 33653: @2380889
     /* 2380889 */ GIM_Reject,
     /* 2380890 */ // Label 33589: @2380890
     /* 2380890 */ GIM_Try, /*On fail goto*//*Label 33656*/ GIMT_Encode4(2380993),
     /* 2380895 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2380898 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380902 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2380906 */   GIM_Try, /*On fail goto*//*Label 33657*/ GIMT_Encode4(2380949), // Rule ID 59218 //
     /* 2380911 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2380914 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2380914 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2380917 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380921 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380926 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380928 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2380931 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380933 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380938 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380947 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380948 */     // GIR_Coverage, 59218,
     /* 2380948 */     GIR_EraseRootFromParent_Done,
     /* 2380949 */   // Label 33657: @2380949
     /* 2380949 */   GIM_Try, /*On fail goto*//*Label 33658*/ GIMT_Encode4(2380992), // Rule ID 59219 //
     /* 2380954 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2380957 */     // (cttz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2380957 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2380960 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2380964 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2380969 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2380971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2380974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2380976 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2380979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2380981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2380984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2380987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2380990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2380991 */     // GIR_Coverage, 59219,
     /* 2380991 */     GIR_EraseRootFromParent_Done,
     /* 2380992 */   // Label 33658: @2380992
     /* 2380992 */   GIM_Reject,
     /* 2380993 */ // Label 33656: @2380993
     /* 2380993 */ GIM_Reject,
     /* 2380994 */ // Label 33590: @2380994
     /* 2380994 */ GIM_Try, /*On fail goto*//*Label 33659*/ GIMT_Encode4(2381097),
     /* 2380999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2381002 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381006 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2381010 */   GIM_Try, /*On fail goto*//*Label 33660*/ GIMT_Encode4(2381053), // Rule ID 59204 //
     /* 2381015 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381018 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381018 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2381021 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381025 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381030 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381032 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2381035 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381037 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381040 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381051 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381052 */     // GIR_Coverage, 59204,
     /* 2381052 */     GIR_EraseRootFromParent_Done,
     /* 2381053 */   // Label 33660: @2381053
     /* 2381053 */   GIM_Try, /*On fail goto*//*Label 33661*/ GIMT_Encode4(2381096), // Rule ID 59205 //
     /* 2381058 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381061 */     // (cttz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCTZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381061 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2381064 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381068 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381073 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381075 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M4),
     /* 2381078 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381080 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381083 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381095 */     // GIR_Coverage, 59205,
     /* 2381095 */     GIR_EraseRootFromParent_Done,
     /* 2381096 */   // Label 33661: @2381096
     /* 2381096 */   GIM_Reject,
     /* 2381097 */ // Label 33659: @2381097
     /* 2381097 */ GIM_Reject,
     /* 2381098 */ // Label 33591: @2381098
     /* 2381098 */ GIM_Try, /*On fail goto*//*Label 33662*/ GIMT_Encode4(2381201),
     /* 2381103 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2381106 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381110 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381114 */   GIM_Try, /*On fail goto*//*Label 33663*/ GIMT_Encode4(2381157), // Rule ID 59212 //
     /* 2381119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381122 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381122 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381125 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381129 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381134 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2381139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381141 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381155 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381156 */     // GIR_Coverage, 59212,
     /* 2381156 */     GIR_EraseRootFromParent_Done,
     /* 2381157 */   // Label 33663: @2381157
     /* 2381157 */   GIM_Try, /*On fail goto*//*Label 33664*/ GIMT_Encode4(2381200), // Rule ID 59213 //
     /* 2381162 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381165 */     // (cttz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381165 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2381168 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381172 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381177 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381179 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2381182 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381184 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381187 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381199 */     // GIR_Coverage, 59213,
     /* 2381199 */     GIR_EraseRootFromParent_Done,
     /* 2381200 */   // Label 33664: @2381200
     /* 2381200 */   GIM_Reject,
     /* 2381201 */ // Label 33662: @2381201
     /* 2381201 */ GIM_Reject,
     /* 2381202 */ // Label 33592: @2381202
     /* 2381202 */ GIM_Try, /*On fail goto*//*Label 33665*/ GIMT_Encode4(2381305),
     /* 2381207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2381210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2381218 */   GIM_Try, /*On fail goto*//*Label 33666*/ GIMT_Encode4(2381261), // Rule ID 59206 //
     /* 2381223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381226 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2381229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2381243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381260 */     // GIR_Coverage, 59206,
     /* 2381260 */     GIR_EraseRootFromParent_Done,
     /* 2381261 */   // Label 33666: @2381261
     /* 2381261 */   GIM_Try, /*On fail goto*//*Label 33667*/ GIMT_Encode4(2381304), // Rule ID 59207 //
     /* 2381266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381269 */     // (cttz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCTZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381269 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2381272 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381276 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381281 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCTZ_V_M8),
     /* 2381286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381288 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381291 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381293 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381302 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381303 */     // GIR_Coverage, 59207,
     /* 2381303 */     GIR_EraseRootFromParent_Done,
     /* 2381304 */   // Label 33667: @2381304
     /* 2381304 */   GIM_Reject,
     /* 2381305 */ // Label 33665: @2381305
     /* 2381305 */ GIM_Reject,
     /* 2381306 */ // Label 33593: @2381306
     /* 2381306 */ GIM_Reject,
     /* 2381307 */ // Label 89: @2381307
     /* 2381307 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33692*/ GIMT_Encode4(2384076),
     /* 2381318 */ /*GILLT_s32*//*Label 33668*/ GIMT_Encode4(2381442),
     /* 2381322 */ /*GILLT_s64*//*Label 33669*/ GIMT_Encode4(2381671), GIMT_Encode4(0),
     /* 2381330 */ /*GILLT_nxv1s8*//*Label 33670*/ GIMT_Encode4(2381788),
     /* 2381334 */ /*GILLT_nxv1s16*//*Label 33671*/ GIMT_Encode4(2381892),
     /* 2381338 */ /*GILLT_nxv1s32*//*Label 33672*/ GIMT_Encode4(2381996),
     /* 2381342 */ /*GILLT_nxv1s64*//*Label 33673*/ GIMT_Encode4(2382100), GIMT_Encode4(0),
     /* 2381350 */ /*GILLT_nxv2s8*//*Label 33674*/ GIMT_Encode4(2382204),
     /* 2381354 */ /*GILLT_nxv2s16*//*Label 33675*/ GIMT_Encode4(2382308),
     /* 2381358 */ /*GILLT_nxv2s32*//*Label 33676*/ GIMT_Encode4(2382412),
     /* 2381362 */ /*GILLT_nxv2s64*//*Label 33677*/ GIMT_Encode4(2382516), GIMT_Encode4(0),
     /* 2381370 */ /*GILLT_nxv4s8*//*Label 33678*/ GIMT_Encode4(2382620),
     /* 2381374 */ /*GILLT_nxv4s16*//*Label 33679*/ GIMT_Encode4(2382724),
     /* 2381378 */ /*GILLT_nxv4s32*//*Label 33680*/ GIMT_Encode4(2382828),
     /* 2381382 */ /*GILLT_nxv4s64*//*Label 33681*/ GIMT_Encode4(2382932), GIMT_Encode4(0),
     /* 2381390 */ /*GILLT_nxv8s8*//*Label 33682*/ GIMT_Encode4(2383036),
     /* 2381394 */ /*GILLT_nxv8s16*//*Label 33683*/ GIMT_Encode4(2383140),
     /* 2381398 */ /*GILLT_nxv8s32*//*Label 33684*/ GIMT_Encode4(2383244),
     /* 2381402 */ /*GILLT_nxv8s64*//*Label 33685*/ GIMT_Encode4(2383348), GIMT_Encode4(0),
     /* 2381410 */ /*GILLT_nxv16s8*//*Label 33686*/ GIMT_Encode4(2383452),
     /* 2381414 */ /*GILLT_nxv16s16*//*Label 33687*/ GIMT_Encode4(2383556),
     /* 2381418 */ /*GILLT_nxv16s32*//*Label 33688*/ GIMT_Encode4(2383660), GIMT_Encode4(0),
     /* 2381426 */ /*GILLT_nxv32s8*//*Label 33689*/ GIMT_Encode4(2383764),
     /* 2381430 */ /*GILLT_nxv32s16*//*Label 33690*/ GIMT_Encode4(2383868), GIMT_Encode4(0),
     /* 2381438 */ /*GILLT_nxv64s8*//*Label 33691*/ GIMT_Encode4(2383972),
     /* 2381442 */ // Label 33668: @2381442
     /* 2381442 */ GIM_Try, /*On fail goto*//*Label 33693*/ GIMT_Encode4(2381670),
     /* 2381447 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381450 */   GIM_Try, /*On fail goto*//*Label 33694*/ GIMT_Encode4(2381500), // Rule ID 62562 //
     /* 2381455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2381458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381462 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381466 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2381470 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381474 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2381478 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381483 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2381487 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381489 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (TH_FF0:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2381489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2381492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381494 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381499 */     // GIR_Coverage, 62562,
     /* 2381499 */     GIR_EraseRootFromParent_Done,
     /* 2381500 */   // Label 33694: @2381500
     /* 2381500 */   GIM_Try, /*On fail goto*//*Label 33695*/ GIMT_Encode4(2381550), // Rule ID 64642 //
     /* 2381505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2381508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2381512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2381520 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381524 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2381528 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381533 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2381537 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381539 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (QC_CLO:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2381539 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_CLO),
     /* 2381542 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381544 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381549 */     // GIR_Coverage, 64642,
     /* 2381549 */     GIR_EraseRootFromParent_Done,
     /* 2381550 */   // Label 33695: @2381550
     /* 2381550 */   GIM_Try, /*On fail goto*//*Label 33696*/ GIMT_Encode4(2381600), // Rule ID 64643 //
     /* 2381555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2381558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2381562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2381570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2381574 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s32,
     /* 2381578 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381583 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2381587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381589 */     // (ctlz:{ *:[i32] } (xor:{ *:[i32] } GPR:{ *:[i32] }:$rs1, -1:{ *:[i32] }))  =>  (QC_CLO:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2381589 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::QC_CLO),
     /* 2381592 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381594 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381599 */     // GIR_Coverage, 64643,
     /* 2381599 */     GIR_EraseRootFromParent_Done,
     /* 2381600 */   // Label 33696: @2381600
     /* 2381600 */   GIM_Try, /*On fail goto*//*Label 33697*/ GIMT_Encode4(2381623), // Rule ID 2511 //
     /* 2381605 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2381608 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381612 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381616 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CLZ:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2381616 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2381621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381622 */     // GIR_Coverage, 2511,
     /* 2381622 */     GIR_Done,
     /* 2381623 */   // Label 33697: @2381623
     /* 2381623 */   GIM_Try, /*On fail goto*//*Label 33698*/ GIMT_Encode4(2381646), // Rule ID 62560 //
     /* 2381628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2381631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381639 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_FF1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2381639 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2381644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381645 */     // GIR_Coverage, 62560,
     /* 2381645 */     GIR_Done,
     /* 2381646 */   // Label 33698: @2381646
     /* 2381646 */   GIM_Try, /*On fail goto*//*Label 33699*/ GIMT_Encode4(2381669), // Rule ID 64439 //
     /* 2381651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2381654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381662 */     // (ctlz:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_FL1:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2381662 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2381667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381668 */     // GIR_Coverage, 64439,
     /* 2381668 */     GIR_Done,
     /* 2381669 */   // Label 33699: @2381669
     /* 2381669 */   GIM_Reject,
     /* 2381670 */ // Label 33693: @2381670
     /* 2381670 */ GIM_Reject,
     /* 2381671 */ // Label 33669: @2381671
     /* 2381671 */ GIM_Try, /*On fail goto*//*Label 33700*/ GIMT_Encode4(2381787),
     /* 2381676 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2381679 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381683 */   GIM_Try, /*On fail goto*//*Label 33701*/ GIMT_Encode4(2381729), // Rule ID 62561 //
     /* 2381688 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2381691 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2381695 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_XOR),
     /* 2381699 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2381703 */     GIM_CheckType, /*MI*/1, /*Op*/2, /*Type*/GILLT_s64,
     /* 2381707 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381712 */     GIM_CheckConstantInt8, /*MI*/1, /*Op*/2, uint8_t(-1),
     /* 2381716 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2381718 */     // (ctlz:{ *:[i64] } (xor:{ *:[i64] } GPR:{ *:[i64] }:$rs1, -1:{ *:[i64] }))  =>  (TH_FF0:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2381718 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2381721 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2381727 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381728 */     // GIR_Coverage, 62561,
     /* 2381728 */     GIR_EraseRootFromParent_Done,
     /* 2381729 */   // Label 33701: @2381729
     /* 2381729 */   GIM_Try, /*On fail goto*//*Label 33702*/ GIMT_Encode4(2381748), // Rule ID 2510 //
     /* 2381734 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2381737 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381741 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZ:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2381741 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZ),
     /* 2381746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381747 */     // GIR_Coverage, 2510,
     /* 2381747 */     GIR_Done,
     /* 2381748 */   // Label 33702: @2381748
     /* 2381748 */   GIM_Try, /*On fail goto*//*Label 33703*/ GIMT_Encode4(2381767), // Rule ID 62559 //
     /* 2381753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2381756 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381760 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_FF1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2381760 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_FF1),
     /* 2381765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381766 */     // GIR_Coverage, 62559,
     /* 2381766 */     GIR_Done,
     /* 2381767 */   // Label 33703: @2381767
     /* 2381767 */   GIM_Try, /*On fail goto*//*Label 33704*/ GIMT_Encode4(2381786), // Rule ID 64438 //
     /* 2381772 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2381775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2381779 */     // (ctlz:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_FL1:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2381779 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_FL1),
     /* 2381784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381785 */     // GIR_Coverage, 64438,
     /* 2381785 */     GIR_Done,
     /* 2381786 */   // Label 33704: @2381786
     /* 2381786 */   GIM_Reject,
     /* 2381787 */ // Label 33700: @2381787
     /* 2381787 */ GIM_Reject,
     /* 2381788 */ // Label 33670: @2381788
     /* 2381788 */ GIM_Try, /*On fail goto*//*Label 33705*/ GIMT_Encode4(2381891),
     /* 2381793 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2381796 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381800 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381804 */   GIM_Try, /*On fail goto*//*Label 33706*/ GIMT_Encode4(2381847), // Rule ID 59138 //
     /* 2381809 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381812 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381812 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2381815 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381819 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381824 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381826 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2381829 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381831 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381842 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381845 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381846 */     // GIR_Coverage, 59138,
     /* 2381846 */     GIR_EraseRootFromParent_Done,
     /* 2381847 */   // Label 33706: @2381847
     /* 2381847 */   GIM_Try, /*On fail goto*//*Label 33707*/ GIMT_Encode4(2381890), // Rule ID 59139 //
     /* 2381852 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381855 */     // (ctlz:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCLZ_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381855 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2381858 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381862 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381867 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381869 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF8),
     /* 2381872 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381874 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381889 */     // GIR_Coverage, 59139,
     /* 2381889 */     GIR_EraseRootFromParent_Done,
     /* 2381890 */   // Label 33707: @2381890
     /* 2381890 */   GIM_Reject,
     /* 2381891 */ // Label 33705: @2381891
     /* 2381891 */ GIM_Reject,
     /* 2381892 */ // Label 33671: @2381892
     /* 2381892 */ GIM_Try, /*On fail goto*//*Label 33708*/ GIMT_Encode4(2381995),
     /* 2381897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2381900 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381904 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2381908 */   GIM_Try, /*On fail goto*//*Label 33709*/ GIMT_Encode4(2381951), // Rule ID 59144 //
     /* 2381913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2381916 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2381916 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2381919 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381923 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381928 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2381933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381935 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381950 */     // GIR_Coverage, 59144,
     /* 2381950 */     GIR_EraseRootFromParent_Done,
     /* 2381951 */   // Label 33709: @2381951
     /* 2381951 */   GIM_Try, /*On fail goto*//*Label 33710*/ GIMT_Encode4(2381994), // Rule ID 59145 //
     /* 2381956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2381959 */     // (ctlz:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2381959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2381962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2381966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2381971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2381973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2381976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2381978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2381981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2381983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2381986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2381989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2381992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2381993 */     // GIR_Coverage, 59145,
     /* 2381993 */     GIR_EraseRootFromParent_Done,
     /* 2381994 */   // Label 33710: @2381994
     /* 2381994 */   GIM_Reject,
     /* 2381995 */ // Label 33708: @2381995
     /* 2381995 */ GIM_Reject,
     /* 2381996 */ // Label 33672: @2381996
     /* 2381996 */ GIM_Try, /*On fail goto*//*Label 33711*/ GIMT_Encode4(2382099),
     /* 2382001 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2382004 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382008 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382012 */   GIM_Try, /*On fail goto*//*Label 33712*/ GIMT_Encode4(2382055), // Rule ID 59148 //
     /* 2382017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382020 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382020 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2382023 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382027 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382032 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2382037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382039 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382042 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382054 */     // GIR_Coverage, 59148,
     /* 2382054 */     GIR_EraseRootFromParent_Done,
     /* 2382055 */   // Label 33712: @2382055
     /* 2382055 */   GIM_Try, /*On fail goto*//*Label 33713*/ GIMT_Encode4(2382098), // Rule ID 59149 //
     /* 2382060 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382063 */     // (ctlz:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382063 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2382066 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382070 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382075 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382077 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2382080 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382082 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382085 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382096 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382097 */     // GIR_Coverage, 59149,
     /* 2382097 */     GIR_EraseRootFromParent_Done,
     /* 2382098 */   // Label 33713: @2382098
     /* 2382098 */   GIM_Reject,
     /* 2382099 */ // Label 33711: @2382099
     /* 2382099 */ GIM_Reject,
     /* 2382100 */ // Label 33673: @2382100
     /* 2382100 */ GIM_Try, /*On fail goto*//*Label 33714*/ GIMT_Encode4(2382203),
     /* 2382105 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2382108 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382112 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382116 */   GIM_Try, /*On fail goto*//*Label 33715*/ GIMT_Encode4(2382159), // Rule ID 59156 //
     /* 2382121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2382124 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382124 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2382127 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382131 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382136 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2382141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382143 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382146 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382148 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382158 */     // GIR_Coverage, 59156,
     /* 2382158 */     GIR_EraseRootFromParent_Done,
     /* 2382159 */   // Label 33715: @2382159
     /* 2382159 */   GIM_Try, /*On fail goto*//*Label 33716*/ GIMT_Encode4(2382202), // Rule ID 59157 //
     /* 2382164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2382167 */     // (ctlz:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2382170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2382184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382197 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382200 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382201 */     // GIR_Coverage, 59157,
     /* 2382201 */     GIR_EraseRootFromParent_Done,
     /* 2382202 */   // Label 33716: @2382202
     /* 2382202 */   GIM_Reject,
     /* 2382203 */ // Label 33714: @2382203
     /* 2382203 */ GIM_Reject,
     /* 2382204 */ // Label 33674: @2382204
     /* 2382204 */ GIM_Try, /*On fail goto*//*Label 33717*/ GIMT_Encode4(2382307),
     /* 2382209 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2382212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382220 */   GIM_Try, /*On fail goto*//*Label 33718*/ GIMT_Encode4(2382263), // Rule ID 59140 //
     /* 2382225 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382228 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382228 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2382231 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382235 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382240 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382242 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2382245 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382247 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382255 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382261 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382262 */     // GIR_Coverage, 59140,
     /* 2382262 */     GIR_EraseRootFromParent_Done,
     /* 2382263 */   // Label 33718: @2382263
     /* 2382263 */   GIM_Try, /*On fail goto*//*Label 33719*/ GIMT_Encode4(2382306), // Rule ID 59141 //
     /* 2382268 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382271 */     // (ctlz:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCLZ_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382271 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2382274 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382278 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382283 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF4),
     /* 2382288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382290 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382304 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382305 */     // GIR_Coverage, 59141,
     /* 2382305 */     GIR_EraseRootFromParent_Done,
     /* 2382306 */   // Label 33719: @2382306
     /* 2382306 */   GIM_Reject,
     /* 2382307 */ // Label 33717: @2382307
     /* 2382307 */ GIM_Reject,
     /* 2382308 */ // Label 33675: @2382308
     /* 2382308 */ GIM_Try, /*On fail goto*//*Label 33720*/ GIMT_Encode4(2382411),
     /* 2382313 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2382316 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382320 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382324 */   GIM_Try, /*On fail goto*//*Label 33721*/ GIMT_Encode4(2382367), // Rule ID 59146 //
     /* 2382329 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382332 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382332 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2382335 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382339 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382344 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2382349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382351 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382366 */     // GIR_Coverage, 59146,
     /* 2382366 */     GIR_EraseRootFromParent_Done,
     /* 2382367 */   // Label 33721: @2382367
     /* 2382367 */   GIM_Try, /*On fail goto*//*Label 33722*/ GIMT_Encode4(2382410), // Rule ID 59147 //
     /* 2382372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382375 */     // (ctlz:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382375 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2382378 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382382 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382387 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382389 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2382392 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382394 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382397 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382405 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382409 */     // GIR_Coverage, 59147,
     /* 2382409 */     GIR_EraseRootFromParent_Done,
     /* 2382410 */   // Label 33722: @2382410
     /* 2382410 */   GIM_Reject,
     /* 2382411 */ // Label 33720: @2382411
     /* 2382411 */ GIM_Reject,
     /* 2382412 */ // Label 33676: @2382412
     /* 2382412 */ GIM_Try, /*On fail goto*//*Label 33723*/ GIMT_Encode4(2382515),
     /* 2382417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2382420 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382424 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382428 */   GIM_Try, /*On fail goto*//*Label 33724*/ GIMT_Encode4(2382471), // Rule ID 59154 //
     /* 2382433 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382436 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382436 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2382439 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382443 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382448 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2382453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382455 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382458 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382470 */     // GIR_Coverage, 59154,
     /* 2382470 */     GIR_EraseRootFromParent_Done,
     /* 2382471 */   // Label 33724: @2382471
     /* 2382471 */   GIM_Try, /*On fail goto*//*Label 33725*/ GIMT_Encode4(2382514), // Rule ID 59155 //
     /* 2382476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382479 */     // (ctlz:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382479 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2382482 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382486 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382491 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382493 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2382496 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382498 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382513 */     // GIR_Coverage, 59155,
     /* 2382513 */     GIR_EraseRootFromParent_Done,
     /* 2382514 */   // Label 33725: @2382514
     /* 2382514 */   GIM_Reject,
     /* 2382515 */ // Label 33723: @2382515
     /* 2382515 */ GIM_Reject,
     /* 2382516 */ // Label 33677: @2382516
     /* 2382516 */ GIM_Try, /*On fail goto*//*Label 33726*/ GIMT_Encode4(2382619),
     /* 2382521 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2382524 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2382528 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2382532 */   GIM_Try, /*On fail goto*//*Label 33727*/ GIMT_Encode4(2382575), // Rule ID 59176 //
     /* 2382537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2382540 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382540 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2382543 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382547 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382552 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382554 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2382557 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382559 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382570 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382573 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382574 */     // GIR_Coverage, 59176,
     /* 2382574 */     GIR_EraseRootFromParent_Done,
     /* 2382575 */   // Label 33727: @2382575
     /* 2382575 */   GIM_Try, /*On fail goto*//*Label 33728*/ GIMT_Encode4(2382618), // Rule ID 59177 //
     /* 2382580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2382583 */     // (ctlz:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2382586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2382600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382617 */     // GIR_Coverage, 59177,
     /* 2382617 */     GIR_EraseRootFromParent_Done,
     /* 2382618 */   // Label 33728: @2382618
     /* 2382618 */   GIM_Reject,
     /* 2382619 */ // Label 33726: @2382619
     /* 2382619 */ GIM_Reject,
     /* 2382620 */ // Label 33678: @2382620
     /* 2382620 */ GIM_Try, /*On fail goto*//*Label 33729*/ GIMT_Encode4(2382723),
     /* 2382625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2382628 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382632 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382636 */   GIM_Try, /*On fail goto*//*Label 33730*/ GIMT_Encode4(2382679), // Rule ID 59142 //
     /* 2382641 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382644 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382644 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2382647 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382651 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382656 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2382661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382663 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382666 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382671 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382674 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382677 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382678 */     // GIR_Coverage, 59142,
     /* 2382678 */     GIR_EraseRootFromParent_Done,
     /* 2382679 */   // Label 33730: @2382679
     /* 2382679 */   GIM_Try, /*On fail goto*//*Label 33731*/ GIMT_Encode4(2382722), // Rule ID 59143 //
     /* 2382684 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382687 */     // (ctlz:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCLZ_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382687 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2382690 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382694 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382699 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_MF2),
     /* 2382704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382706 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382720 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382721 */     // GIR_Coverage, 59143,
     /* 2382721 */     GIR_EraseRootFromParent_Done,
     /* 2382722 */   // Label 33731: @2382722
     /* 2382722 */   GIM_Reject,
     /* 2382723 */ // Label 33729: @2382723
     /* 2382723 */ GIM_Reject,
     /* 2382724 */ // Label 33679: @2382724
     /* 2382724 */ GIM_Try, /*On fail goto*//*Label 33732*/ GIMT_Encode4(2382827),
     /* 2382729 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2382732 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382736 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2382740 */   GIM_Try, /*On fail goto*//*Label 33733*/ GIMT_Encode4(2382783), // Rule ID 59152 //
     /* 2382745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382748 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2382751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2382765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382781 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382782 */     // GIR_Coverage, 59152,
     /* 2382782 */     GIR_EraseRootFromParent_Done,
     /* 2382783 */   // Label 33733: @2382783
     /* 2382783 */   GIM_Try, /*On fail goto*//*Label 33734*/ GIMT_Encode4(2382826), // Rule ID 59153 //
     /* 2382788 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382791 */     // (ctlz:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382791 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2382794 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382798 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382803 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2382808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382810 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382813 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2382821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382825 */     // GIR_Coverage, 59153,
     /* 2382825 */     GIR_EraseRootFromParent_Done,
     /* 2382826 */   // Label 33734: @2382826
     /* 2382826 */   GIM_Reject,
     /* 2382827 */ // Label 33732: @2382827
     /* 2382827 */ GIM_Reject,
     /* 2382828 */ // Label 33680: @2382828
     /* 2382828 */ GIM_Try, /*On fail goto*//*Label 33735*/ GIMT_Encode4(2382931),
     /* 2382833 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2382836 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2382840 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2382844 */   GIM_Try, /*On fail goto*//*Label 33736*/ GIMT_Encode4(2382887), // Rule ID 59170 //
     /* 2382849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2382852 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2382855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2382869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382886 */     // GIR_Coverage, 59170,
     /* 2382886 */     GIR_EraseRootFromParent_Done,
     /* 2382887 */   // Label 33736: @2382887
     /* 2382887 */   GIM_Try, /*On fail goto*//*Label 33737*/ GIMT_Encode4(2382930), // Rule ID 59171 //
     /* 2382892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2382895 */     // (ctlz:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382895 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2382898 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382902 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382907 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382909 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2382912 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382914 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2382925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382928 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382929 */     // GIR_Coverage, 59171,
     /* 2382929 */     GIR_EraseRootFromParent_Done,
     /* 2382930 */   // Label 33737: @2382930
     /* 2382930 */   GIM_Reject,
     /* 2382931 */ // Label 33735: @2382931
     /* 2382931 */ GIM_Reject,
     /* 2382932 */ // Label 33681: @2382932
     /* 2382932 */ GIM_Try, /*On fail goto*//*Label 33738*/ GIMT_Encode4(2383035),
     /* 2382937 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2382940 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382944 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2382948 */   GIM_Try, /*On fail goto*//*Label 33739*/ GIMT_Encode4(2382991), // Rule ID 59178 //
     /* 2382953 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2382956 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2382956 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2382959 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2382963 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2382968 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2382970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2382973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2382975 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2382978 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2382980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2382983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2382986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2382989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2382990 */     // GIR_Coverage, 59178,
     /* 2382990 */     GIR_EraseRootFromParent_Done,
     /* 2382991 */   // Label 33739: @2382991
     /* 2382991 */   GIM_Try, /*On fail goto*//*Label 33740*/ GIMT_Encode4(2383034), // Rule ID 59179 //
     /* 2382996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2382999 */     // (ctlz:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2382999 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2383002 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383006 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383011 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2383016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383018 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383033 */     // GIR_Coverage, 59179,
     /* 2383033 */     GIR_EraseRootFromParent_Done,
     /* 2383034 */   // Label 33740: @2383034
     /* 2383034 */   GIM_Reject,
     /* 2383035 */ // Label 33738: @2383035
     /* 2383035 */ GIM_Reject,
     /* 2383036 */ // Label 33682: @2383036
     /* 2383036 */ GIM_Try, /*On fail goto*//*Label 33741*/ GIMT_Encode4(2383139),
     /* 2383041 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2383044 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383048 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2383052 */   GIM_Try, /*On fail goto*//*Label 33742*/ GIMT_Encode4(2383095), // Rule ID 59150 //
     /* 2383057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383060 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383060 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2383063 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383067 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383072 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2383077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383079 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383082 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383094 */     // GIR_Coverage, 59150,
     /* 2383094 */     GIR_EraseRootFromParent_Done,
     /* 2383095 */   // Label 33742: @2383095
     /* 2383095 */   GIM_Try, /*On fail goto*//*Label 33743*/ GIMT_Encode4(2383138), // Rule ID 59151 //
     /* 2383100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383103 */     // (ctlz:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCLZ_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383103 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2383106 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383110 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383115 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383117 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M1),
     /* 2383120 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383122 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383125 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383127 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383136 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383137 */     // GIR_Coverage, 59151,
     /* 2383137 */     GIR_EraseRootFromParent_Done,
     /* 2383138 */   // Label 33743: @2383138
     /* 2383138 */   GIM_Reject,
     /* 2383139 */ // Label 33741: @2383139
     /* 2383139 */ GIM_Reject,
     /* 2383140 */ // Label 33683: @2383140
     /* 2383140 */ GIM_Try, /*On fail goto*//*Label 33744*/ GIMT_Encode4(2383243),
     /* 2383145 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2383148 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383152 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383156 */   GIM_Try, /*On fail goto*//*Label 33745*/ GIMT_Encode4(2383199), // Rule ID 59164 //
     /* 2383161 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383164 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383164 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2383167 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383171 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383176 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383178 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2383181 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383183 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383186 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383198 */     // GIR_Coverage, 59164,
     /* 2383198 */     GIR_EraseRootFromParent_Done,
     /* 2383199 */   // Label 33745: @2383199
     /* 2383199 */   GIM_Try, /*On fail goto*//*Label 33746*/ GIMT_Encode4(2383242), // Rule ID 59165 //
     /* 2383204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383207 */     // (ctlz:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383207 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2383210 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383214 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383219 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2383224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383226 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383229 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383241 */     // GIR_Coverage, 59165,
     /* 2383241 */     GIR_EraseRootFromParent_Done,
     /* 2383242 */   // Label 33746: @2383242
     /* 2383242 */   GIM_Reject,
     /* 2383243 */ // Label 33744: @2383243
     /* 2383243 */ GIM_Reject,
     /* 2383244 */ // Label 33684: @2383244
     /* 2383244 */ GIM_Try, /*On fail goto*//*Label 33747*/ GIMT_Encode4(2383347),
     /* 2383249 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2383252 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383256 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383260 */   GIM_Try, /*On fail goto*//*Label 33748*/ GIMT_Encode4(2383303), // Rule ID 59172 //
     /* 2383265 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383268 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383268 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2383271 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383275 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383280 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383282 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2383285 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383287 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383295 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383301 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383302 */     // GIR_Coverage, 59172,
     /* 2383302 */     GIR_EraseRootFromParent_Done,
     /* 2383303 */   // Label 33748: @2383303
     /* 2383303 */   GIM_Try, /*On fail goto*//*Label 33749*/ GIMT_Encode4(2383346), // Rule ID 59173 //
     /* 2383308 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383311 */     // (ctlz:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383311 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2383314 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383318 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383323 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383325 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2383328 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383330 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383345 */     // GIR_Coverage, 59173,
     /* 2383345 */     GIR_EraseRootFromParent_Done,
     /* 2383346 */   // Label 33749: @2383346
     /* 2383346 */   GIM_Reject,
     /* 2383347 */ // Label 33747: @2383347
     /* 2383347 */ GIM_Reject,
     /* 2383348 */ // Label 33685: @2383348
     /* 2383348 */ GIM_Try, /*On fail goto*//*Label 33750*/ GIMT_Encode4(2383451),
     /* 2383353 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2383356 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2383360 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2383364 */   GIM_Try, /*On fail goto*//*Label 33751*/ GIMT_Encode4(2383407), // Rule ID 59180 //
     /* 2383369 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2383372 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383372 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2383375 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383379 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383384 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2383389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383391 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383394 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383396 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383399 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383406 */     // GIR_Coverage, 59180,
     /* 2383406 */     GIR_EraseRootFromParent_Done,
     /* 2383407 */   // Label 33751: @2383407
     /* 2383407 */   GIM_Try, /*On fail goto*//*Label 33752*/ GIMT_Encode4(2383450), // Rule ID 59181 //
     /* 2383412 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2383415 */     // (ctlz:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383415 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2383418 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383422 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383427 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2383432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383434 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2383445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383449 */     // GIR_Coverage, 59181,
     /* 2383449 */     GIR_EraseRootFromParent_Done,
     /* 2383450 */   // Label 33752: @2383450
     /* 2383450 */   GIM_Reject,
     /* 2383451 */ // Label 33750: @2383451
     /* 2383451 */ GIM_Reject,
     /* 2383452 */ // Label 33686: @2383452
     /* 2383452 */ GIM_Try, /*On fail goto*//*Label 33753*/ GIMT_Encode4(2383555),
     /* 2383457 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2383460 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383464 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2383468 */   GIM_Try, /*On fail goto*//*Label 33754*/ GIMT_Encode4(2383511), // Rule ID 59158 //
     /* 2383473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383476 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383476 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2383479 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383483 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383488 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383490 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2383493 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383495 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383498 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383509 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383510 */     // GIR_Coverage, 59158,
     /* 2383510 */     GIR_EraseRootFromParent_Done,
     /* 2383511 */   // Label 33754: @2383511
     /* 2383511 */   GIM_Try, /*On fail goto*//*Label 33755*/ GIMT_Encode4(2383554), // Rule ID 59159 //
     /* 2383516 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383519 */     // (ctlz:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCLZ_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383519 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2383522 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383526 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383531 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383533 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M2),
     /* 2383536 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383538 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383541 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383552 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383553 */     // GIR_Coverage, 59159,
     /* 2383553 */     GIR_EraseRootFromParent_Done,
     /* 2383554 */   // Label 33755: @2383554
     /* 2383554 */   GIM_Reject,
     /* 2383555 */ // Label 33753: @2383555
     /* 2383555 */ GIM_Reject,
     /* 2383556 */ // Label 33687: @2383556
     /* 2383556 */ GIM_Try, /*On fail goto*//*Label 33756*/ GIMT_Encode4(2383659),
     /* 2383561 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2383564 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383568 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383572 */   GIM_Try, /*On fail goto*//*Label 33757*/ GIMT_Encode4(2383615), // Rule ID 59166 //
     /* 2383577 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383580 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383580 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2383583 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383587 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383592 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2383597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383599 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383602 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383613 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383614 */     // GIR_Coverage, 59166,
     /* 2383614 */     GIR_EraseRootFromParent_Done,
     /* 2383615 */   // Label 33757: @2383615
     /* 2383615 */   GIM_Try, /*On fail goto*//*Label 33758*/ GIMT_Encode4(2383658), // Rule ID 59167 //
     /* 2383620 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383623 */     // (ctlz:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383623 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2383626 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383630 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383635 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383637 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2383640 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383642 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383656 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383657 */     // GIR_Coverage, 59167,
     /* 2383657 */     GIR_EraseRootFromParent_Done,
     /* 2383658 */   // Label 33758: @2383658
     /* 2383658 */   GIM_Reject,
     /* 2383659 */ // Label 33756: @2383659
     /* 2383659 */ GIM_Reject,
     /* 2383660 */ // Label 33688: @2383660
     /* 2383660 */ GIM_Try, /*On fail goto*//*Label 33759*/ GIMT_Encode4(2383763),
     /* 2383665 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2383668 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2383672 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2383676 */   GIM_Try, /*On fail goto*//*Label 33760*/ GIMT_Encode4(2383719), // Rule ID 59174 //
     /* 2383681 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383684 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383684 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2383687 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383691 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383696 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2383701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383703 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383718 */     // GIR_Coverage, 59174,
     /* 2383718 */     GIR_EraseRootFromParent_Done,
     /* 2383719 */   // Label 33760: @2383719
     /* 2383719 */   GIM_Try, /*On fail goto*//*Label 33761*/ GIMT_Encode4(2383762), // Rule ID 59175 //
     /* 2383724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383727 */     // (ctlz:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383727 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2383730 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383734 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383739 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383741 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2383744 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383746 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2383757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383760 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383761 */     // GIR_Coverage, 59175,
     /* 2383761 */     GIR_EraseRootFromParent_Done,
     /* 2383762 */   // Label 33761: @2383762
     /* 2383762 */   GIM_Reject,
     /* 2383763 */ // Label 33759: @2383763
     /* 2383763 */ GIM_Reject,
     /* 2383764 */ // Label 33689: @2383764
     /* 2383764 */ GIM_Try, /*On fail goto*//*Label 33762*/ GIMT_Encode4(2383867),
     /* 2383769 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2383772 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383776 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2383780 */   GIM_Try, /*On fail goto*//*Label 33763*/ GIMT_Encode4(2383823), // Rule ID 59160 //
     /* 2383785 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383788 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383788 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2383791 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383795 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383800 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2383805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383807 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383821 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383822 */     // GIR_Coverage, 59160,
     /* 2383822 */     GIR_EraseRootFromParent_Done,
     /* 2383823 */   // Label 33763: @2383823
     /* 2383823 */   GIM_Try, /*On fail goto*//*Label 33764*/ GIMT_Encode4(2383866), // Rule ID 59161 //
     /* 2383828 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383831 */     // (ctlz:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCLZ_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383831 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2383834 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383838 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383843 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383845 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M4),
     /* 2383848 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383850 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383864 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383865 */     // GIR_Coverage, 59161,
     /* 2383865 */     GIR_EraseRootFromParent_Done,
     /* 2383866 */   // Label 33764: @2383866
     /* 2383866 */   GIM_Reject,
     /* 2383867 */ // Label 33762: @2383867
     /* 2383867 */ GIM_Reject,
     /* 2383868 */ // Label 33690: @2383868
     /* 2383868 */ GIM_Try, /*On fail goto*//*Label 33765*/ GIMT_Encode4(2383971),
     /* 2383873 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2383876 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2383880 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2383884 */   GIM_Try, /*On fail goto*//*Label 33766*/ GIMT_Encode4(2383927), // Rule ID 59168 //
     /* 2383889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383892 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383892 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2383895 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383899 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383904 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2383909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383911 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383914 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383926 */     // GIR_Coverage, 59168,
     /* 2383926 */     GIR_EraseRootFromParent_Done,
     /* 2383927 */   // Label 33766: @2383927
     /* 2383927 */   GIM_Try, /*On fail goto*//*Label 33767*/ GIMT_Encode4(2383970), // Rule ID 59169 //
     /* 2383932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2383935 */     // (ctlz:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2383935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2383938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2383942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2383947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2383949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2383952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2383954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2383957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2383959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2383962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2383965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2383968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2383969 */     // GIR_Coverage, 59169,
     /* 2383969 */     GIR_EraseRootFromParent_Done,
     /* 2383970 */   // Label 33767: @2383970
     /* 2383970 */   GIM_Reject,
     /* 2383971 */ // Label 33765: @2383971
     /* 2383971 */ GIM_Reject,
     /* 2383972 */ // Label 33691: @2383972
     /* 2383972 */ GIM_Try, /*On fail goto*//*Label 33768*/ GIMT_Encode4(2384075),
     /* 2383977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2383980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2383984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2383988 */   GIM_Try, /*On fail goto*//*Label 33769*/ GIMT_Encode4(2384031), // Rule ID 59162 //
     /* 2383993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2383996 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2383996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2383999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2384013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384030 */     // GIR_Coverage, 59162,
     /* 2384030 */     GIR_EraseRootFromParent_Done,
     /* 2384031 */   // Label 33769: @2384031
     /* 2384031 */   GIM_Try, /*On fail goto*//*Label 33770*/ GIMT_Encode4(2384074), // Rule ID 59163 //
     /* 2384036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384039 */     // (ctlz:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCLZ_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384039 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2384042 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384046 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384051 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384053 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCLZ_V_M8),
     /* 2384056 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384058 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384073 */     // GIR_Coverage, 59163,
     /* 2384073 */     GIR_EraseRootFromParent_Done,
     /* 2384074 */   // Label 33770: @2384074
     /* 2384074 */   GIM_Reject,
     /* 2384075 */ // Label 33768: @2384075
     /* 2384075 */ GIM_Reject,
     /* 2384076 */ // Label 33692: @2384076
     /* 2384076 */ GIM_Reject,
     /* 2384077 */ // Label 90: @2384077
     /* 2384077 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33795*/ GIMT_Encode4(2386627),
     /* 2384088 */ /*GILLT_s32*//*Label 33771*/ GIMT_Encode4(2384212),
     /* 2384092 */ /*GILLT_s64*//*Label 33772*/ GIMT_Encode4(2384260), GIMT_Encode4(0),
     /* 2384100 */ /*GILLT_nxv1s8*//*Label 33773*/ GIMT_Encode4(2384339),
     /* 2384104 */ /*GILLT_nxv1s16*//*Label 33774*/ GIMT_Encode4(2384443),
     /* 2384108 */ /*GILLT_nxv1s32*//*Label 33775*/ GIMT_Encode4(2384547),
     /* 2384112 */ /*GILLT_nxv1s64*//*Label 33776*/ GIMT_Encode4(2384651), GIMT_Encode4(0),
     /* 2384120 */ /*GILLT_nxv2s8*//*Label 33777*/ GIMT_Encode4(2384755),
     /* 2384124 */ /*GILLT_nxv2s16*//*Label 33778*/ GIMT_Encode4(2384859),
     /* 2384128 */ /*GILLT_nxv2s32*//*Label 33779*/ GIMT_Encode4(2384963),
     /* 2384132 */ /*GILLT_nxv2s64*//*Label 33780*/ GIMT_Encode4(2385067), GIMT_Encode4(0),
     /* 2384140 */ /*GILLT_nxv4s8*//*Label 33781*/ GIMT_Encode4(2385171),
     /* 2384144 */ /*GILLT_nxv4s16*//*Label 33782*/ GIMT_Encode4(2385275),
     /* 2384148 */ /*GILLT_nxv4s32*//*Label 33783*/ GIMT_Encode4(2385379),
     /* 2384152 */ /*GILLT_nxv4s64*//*Label 33784*/ GIMT_Encode4(2385483), GIMT_Encode4(0),
     /* 2384160 */ /*GILLT_nxv8s8*//*Label 33785*/ GIMT_Encode4(2385587),
     /* 2384164 */ /*GILLT_nxv8s16*//*Label 33786*/ GIMT_Encode4(2385691),
     /* 2384168 */ /*GILLT_nxv8s32*//*Label 33787*/ GIMT_Encode4(2385795),
     /* 2384172 */ /*GILLT_nxv8s64*//*Label 33788*/ GIMT_Encode4(2385899), GIMT_Encode4(0),
     /* 2384180 */ /*GILLT_nxv16s8*//*Label 33789*/ GIMT_Encode4(2386003),
     /* 2384184 */ /*GILLT_nxv16s16*//*Label 33790*/ GIMT_Encode4(2386107),
     /* 2384188 */ /*GILLT_nxv16s32*//*Label 33791*/ GIMT_Encode4(2386211), GIMT_Encode4(0),
     /* 2384196 */ /*GILLT_nxv32s8*//*Label 33792*/ GIMT_Encode4(2386315),
     /* 2384200 */ /*GILLT_nxv32s16*//*Label 33793*/ GIMT_Encode4(2386419), GIMT_Encode4(0),
     /* 2384208 */ /*GILLT_nxv64s8*//*Label 33794*/ GIMT_Encode4(2386523),
     /* 2384212 */ // Label 33771: @2384212
     /* 2384212 */ GIM_Try, /*On fail goto*//*Label 33796*/ GIMT_Encode4(2384259),
     /* 2384217 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2384220 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384224 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384228 */   GIM_Try, /*On fail goto*//*Label 33797*/ GIMT_Encode4(2384243), // Rule ID 2515 //
     /* 2384233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode1),
     /* 2384236 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CPOP:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2384236 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2384241 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384242 */     // GIR_Coverage, 2515,
     /* 2384242 */     GIR_Done,
     /* 2384243 */   // Label 33797: @2384243
     /* 2384243 */   GIM_Try, /*On fail goto*//*Label 33798*/ GIMT_Encode4(2384258), // Rule ID 64442 //
     /* 2384248 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2384251 */     // (ctpop:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (CV_CNT:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2384251 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2384256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384257 */     // GIR_Coverage, 64442,
     /* 2384257 */     GIR_Done,
     /* 2384258 */   // Label 33798: @2384258
     /* 2384258 */   GIM_Reject,
     /* 2384259 */ // Label 33796: @2384259
     /* 2384259 */ GIM_Reject,
     /* 2384260 */ // Label 33772: @2384260
     /* 2384260 */ GIM_Try, /*On fail goto*//*Label 33799*/ GIMT_Encode4(2384338),
     /* 2384265 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2384268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384272 */   GIM_Try, /*On fail goto*//*Label 33800*/ GIMT_Encode4(2384299), // Rule ID 2518 //
     /* 2384277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2384280 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_gi_zexti32),
     /* 2384287 */     // (ctpop:{ *:[i64] } (zexti32:{ *:[i64] } GPR:{ *:[i64] }:$rs1))  =>  (CPOPW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2384287 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CPOPW),
     /* 2384290 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384292 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs1
     /* 2384297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384298 */     // GIR_Coverage, 2518,
     /* 2384298 */     GIR_EraseRootFromParent_Done,
     /* 2384299 */   // Label 33800: @2384299
     /* 2384299 */   GIM_Try, /*On fail goto*//*Label 33801*/ GIMT_Encode4(2384318), // Rule ID 2514 //
     /* 2384304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_HwMode0),
     /* 2384307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384311 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CPOP:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2384311 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CPOP),
     /* 2384316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384317 */     // GIR_Coverage, 2514,
     /* 2384317 */     GIR_Done,
     /* 2384318 */   // Label 33801: @2384318
     /* 2384318 */   GIM_Try, /*On fail goto*//*Label 33802*/ GIMT_Encode4(2384337), // Rule ID 64441 //
     /* 2384323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2384326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2384330 */     // (ctpop:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CV_CNT:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2384330 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CV_CNT),
     /* 2384335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384336 */     // GIR_Coverage, 64441,
     /* 2384336 */     GIR_Done,
     /* 2384337 */   // Label 33802: @2384337
     /* 2384337 */   GIM_Reject,
     /* 2384338 */ // Label 33799: @2384338
     /* 2384338 */ GIM_Reject,
     /* 2384339 */ // Label 33773: @2384339
     /* 2384339 */ GIM_Try, /*On fail goto*//*Label 33803*/ GIMT_Encode4(2384442),
     /* 2384344 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2384347 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384351 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384355 */   GIM_Try, /*On fail goto*//*Label 33804*/ GIMT_Encode4(2384398), // Rule ID 59226 //
     /* 2384360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384363 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384363 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2384366 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384370 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384375 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2384380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384382 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384397 */     // GIR_Coverage, 59226,
     /* 2384397 */     GIR_EraseRootFromParent_Done,
     /* 2384398 */   // Label 33804: @2384398
     /* 2384398 */   GIM_Try, /*On fail goto*//*Label 33805*/ GIMT_Encode4(2384441), // Rule ID 59227 //
     /* 2384403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384406 */     // (ctpop:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVCPOP_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384406 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2384409 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384413 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384418 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF8),
     /* 2384423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384425 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384428 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384440 */     // GIR_Coverage, 59227,
     /* 2384440 */     GIR_EraseRootFromParent_Done,
     /* 2384441 */   // Label 33805: @2384441
     /* 2384441 */   GIM_Reject,
     /* 2384442 */ // Label 33803: @2384442
     /* 2384442 */ GIM_Reject,
     /* 2384443 */ // Label 33774: @2384443
     /* 2384443 */ GIM_Try, /*On fail goto*//*Label 33806*/ GIMT_Encode4(2384546),
     /* 2384448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2384451 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384455 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384459 */   GIM_Try, /*On fail goto*//*Label 33807*/ GIMT_Encode4(2384502), // Rule ID 59232 //
     /* 2384464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384467 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384467 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2384470 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384474 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384479 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2384484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384486 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384497 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384501 */     // GIR_Coverage, 59232,
     /* 2384501 */     GIR_EraseRootFromParent_Done,
     /* 2384502 */   // Label 33807: @2384502
     /* 2384502 */   GIM_Try, /*On fail goto*//*Label 33808*/ GIMT_Encode4(2384545), // Rule ID 59233 //
     /* 2384507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384510 */     // (ctpop:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384510 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2384513 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384517 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384522 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2384527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384529 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384532 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384543 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384544 */     // GIR_Coverage, 59233,
     /* 2384544 */     GIR_EraseRootFromParent_Done,
     /* 2384545 */   // Label 33808: @2384545
     /* 2384545 */   GIM_Reject,
     /* 2384546 */ // Label 33806: @2384546
     /* 2384546 */ GIM_Reject,
     /* 2384547 */ // Label 33775: @2384547
     /* 2384547 */ GIM_Try, /*On fail goto*//*Label 33809*/ GIMT_Encode4(2384650),
     /* 2384552 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2384555 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384559 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384563 */   GIM_Try, /*On fail goto*//*Label 33810*/ GIMT_Encode4(2384606), // Rule ID 59236 //
     /* 2384568 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384571 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384571 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2384574 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384578 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384583 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2384588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384590 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384605 */     // GIR_Coverage, 59236,
     /* 2384605 */     GIR_EraseRootFromParent_Done,
     /* 2384606 */   // Label 33810: @2384606
     /* 2384606 */   GIM_Try, /*On fail goto*//*Label 33811*/ GIMT_Encode4(2384649), // Rule ID 59237 //
     /* 2384611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384614 */     // (ctpop:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384614 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2384617 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384621 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384626 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384628 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2384631 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384633 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384636 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2384644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384647 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384648 */     // GIR_Coverage, 59237,
     /* 2384648 */     GIR_EraseRootFromParent_Done,
     /* 2384649 */   // Label 33811: @2384649
     /* 2384649 */   GIM_Reject,
     /* 2384650 */ // Label 33809: @2384650
     /* 2384650 */ GIM_Reject,
     /* 2384651 */ // Label 33776: @2384651
     /* 2384651 */ GIM_Try, /*On fail goto*//*Label 33812*/ GIMT_Encode4(2384754),
     /* 2384656 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2384659 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384663 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384667 */   GIM_Try, /*On fail goto*//*Label 33813*/ GIMT_Encode4(2384710), // Rule ID 59244 //
     /* 2384672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2384675 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384675 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2384678 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384682 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384687 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384689 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2384692 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384694 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384697 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384709 */     // GIR_Coverage, 59244,
     /* 2384709 */     GIR_EraseRootFromParent_Done,
     /* 2384710 */   // Label 33813: @2384710
     /* 2384710 */   GIM_Try, /*On fail goto*//*Label 33814*/ GIMT_Encode4(2384753), // Rule ID 59245 //
     /* 2384715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2384718 */     // (ctpop:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384718 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2384721 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384725 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384730 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2384735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384737 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2384748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384752 */     // GIR_Coverage, 59245,
     /* 2384752 */     GIR_EraseRootFromParent_Done,
     /* 2384753 */   // Label 33814: @2384753
     /* 2384753 */   GIM_Reject,
     /* 2384754 */ // Label 33812: @2384754
     /* 2384754 */ GIM_Reject,
     /* 2384755 */ // Label 33777: @2384755
     /* 2384755 */ GIM_Try, /*On fail goto*//*Label 33815*/ GIMT_Encode4(2384858),
     /* 2384760 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2384763 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384767 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384771 */   GIM_Try, /*On fail goto*//*Label 33816*/ GIMT_Encode4(2384814), // Rule ID 59228 //
     /* 2384776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384779 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384779 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2384782 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384786 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384791 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384793 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2384796 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384798 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384813 */     // GIR_Coverage, 59228,
     /* 2384813 */     GIR_EraseRootFromParent_Done,
     /* 2384814 */   // Label 33816: @2384814
     /* 2384814 */   GIM_Try, /*On fail goto*//*Label 33817*/ GIMT_Encode4(2384857), // Rule ID 59229 //
     /* 2384819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384822 */     // (ctpop:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVCPOP_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2384825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF4),
     /* 2384839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384856 */     // GIR_Coverage, 59229,
     /* 2384856 */     GIR_EraseRootFromParent_Done,
     /* 2384857 */   // Label 33817: @2384857
     /* 2384857 */   GIM_Reject,
     /* 2384858 */ // Label 33815: @2384858
     /* 2384858 */ GIM_Reject,
     /* 2384859 */ // Label 33778: @2384859
     /* 2384859 */ GIM_Try, /*On fail goto*//*Label 33818*/ GIMT_Encode4(2384962),
     /* 2384864 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2384867 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384871 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384875 */   GIM_Try, /*On fail goto*//*Label 33819*/ GIMT_Encode4(2384918), // Rule ID 59234 //
     /* 2384880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384883 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384883 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2384886 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384890 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384895 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384897 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2384900 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384902 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384905 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384916 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384917 */     // GIR_Coverage, 59234,
     /* 2384917 */     GIR_EraseRootFromParent_Done,
     /* 2384918 */   // Label 33819: @2384918
     /* 2384918 */   GIM_Try, /*On fail goto*//*Label 33820*/ GIMT_Encode4(2384961), // Rule ID 59235 //
     /* 2384923 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2384926 */     // (ctpop:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2384926 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2384929 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384933 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384938 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2384940 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2384943 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2384945 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2384948 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2384950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2384953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2384956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2384959 */     GIR_RootConstrainSelectedInstOperands,
     /* 2384960 */     // GIR_Coverage, 59235,
     /* 2384960 */     GIR_EraseRootFromParent_Done,
     /* 2384961 */   // Label 33820: @2384961
     /* 2384961 */   GIM_Reject,
     /* 2384962 */ // Label 33818: @2384962
     /* 2384962 */ GIM_Reject,
     /* 2384963 */ // Label 33779: @2384963
     /* 2384963 */ GIM_Try, /*On fail goto*//*Label 33821*/ GIMT_Encode4(2385066),
     /* 2384968 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2384971 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384975 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2384979 */   GIM_Try, /*On fail goto*//*Label 33822*/ GIMT_Encode4(2385022), // Rule ID 59242 //
     /* 2384984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2384987 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2384987 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2384990 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2384994 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2384999 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385001 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2385004 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385006 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385009 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385014 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385020 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385021 */     // GIR_Coverage, 59242,
     /* 2385021 */     GIR_EraseRootFromParent_Done,
     /* 2385022 */   // Label 33822: @2385022
     /* 2385022 */   GIM_Try, /*On fail goto*//*Label 33823*/ GIMT_Encode4(2385065), // Rule ID 59243 //
     /* 2385027 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385030 */     // (ctpop:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385030 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2385033 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385037 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385042 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2385047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385049 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385052 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385064 */     // GIR_Coverage, 59243,
     /* 2385064 */     GIR_EraseRootFromParent_Done,
     /* 2385065 */   // Label 33823: @2385065
     /* 2385065 */   GIM_Reject,
     /* 2385066 */ // Label 33821: @2385066
     /* 2385066 */ GIM_Reject,
     /* 2385067 */ // Label 33780: @2385067
     /* 2385067 */ GIM_Try, /*On fail goto*//*Label 33824*/ GIMT_Encode4(2385170),
     /* 2385072 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2385075 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385079 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385083 */   GIM_Try, /*On fail goto*//*Label 33825*/ GIMT_Encode4(2385126), // Rule ID 59264 //
     /* 2385088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2385091 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385091 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2385094 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385098 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385103 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385105 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2385108 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385110 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385118 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385125 */     // GIR_Coverage, 59264,
     /* 2385125 */     GIR_EraseRootFromParent_Done,
     /* 2385126 */   // Label 33825: @2385126
     /* 2385126 */   GIM_Try, /*On fail goto*//*Label 33826*/ GIMT_Encode4(2385169), // Rule ID 59265 //
     /* 2385131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2385134 */     // (ctpop:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385134 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2385137 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385141 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385146 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2385151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385153 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385156 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385168 */     // GIR_Coverage, 59265,
     /* 2385168 */     GIR_EraseRootFromParent_Done,
     /* 2385169 */   // Label 33826: @2385169
     /* 2385169 */   GIM_Reject,
     /* 2385170 */ // Label 33824: @2385170
     /* 2385170 */ GIM_Reject,
     /* 2385171 */ // Label 33781: @2385171
     /* 2385171 */ GIM_Try, /*On fail goto*//*Label 33827*/ GIMT_Encode4(2385274),
     /* 2385176 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2385179 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385183 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385187 */   GIM_Try, /*On fail goto*//*Label 33828*/ GIMT_Encode4(2385230), // Rule ID 59230 //
     /* 2385192 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2385195 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385195 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2385198 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385202 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385207 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385209 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2385212 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385214 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385222 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385229 */     // GIR_Coverage, 59230,
     /* 2385229 */     GIR_EraseRootFromParent_Done,
     /* 2385230 */   // Label 33828: @2385230
     /* 2385230 */   GIM_Try, /*On fail goto*//*Label 33829*/ GIMT_Encode4(2385273), // Rule ID 59231 //
     /* 2385235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385238 */     // (ctpop:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVCPOP_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385238 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2385241 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385245 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385250 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385252 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_MF2),
     /* 2385255 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385257 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385260 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385271 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385272 */     // GIR_Coverage, 59231,
     /* 2385272 */     GIR_EraseRootFromParent_Done,
     /* 2385273 */   // Label 33829: @2385273
     /* 2385273 */   GIM_Reject,
     /* 2385274 */ // Label 33827: @2385274
     /* 2385274 */ GIM_Reject,
     /* 2385275 */ // Label 33782: @2385275
     /* 2385275 */ GIM_Try, /*On fail goto*//*Label 33830*/ GIMT_Encode4(2385378),
     /* 2385280 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2385283 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385287 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385291 */   GIM_Try, /*On fail goto*//*Label 33831*/ GIMT_Encode4(2385334), // Rule ID 59240 //
     /* 2385296 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2385299 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2385302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385311 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2385316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385318 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385332 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385333 */     // GIR_Coverage, 59240,
     /* 2385333 */     GIR_EraseRootFromParent_Done,
     /* 2385334 */   // Label 33831: @2385334
     /* 2385334 */   GIM_Try, /*On fail goto*//*Label 33832*/ GIMT_Encode4(2385377), // Rule ID 59241 //
     /* 2385339 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385342 */     // (ctpop:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385342 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2385345 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385349 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385354 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385356 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2385359 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385361 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385364 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385376 */     // GIR_Coverage, 59241,
     /* 2385376 */     GIR_EraseRootFromParent_Done,
     /* 2385377 */   // Label 33832: @2385377
     /* 2385377 */   GIM_Reject,
     /* 2385378 */ // Label 33830: @2385378
     /* 2385378 */ GIM_Reject,
     /* 2385379 */ // Label 33783: @2385379
     /* 2385379 */ GIM_Try, /*On fail goto*//*Label 33833*/ GIMT_Encode4(2385482),
     /* 2385384 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2385387 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385391 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385395 */   GIM_Try, /*On fail goto*//*Label 33834*/ GIMT_Encode4(2385438), // Rule ID 59258 //
     /* 2385400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2385403 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385403 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2385406 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385410 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385415 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385417 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2385420 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385422 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385437 */     // GIR_Coverage, 59258,
     /* 2385437 */     GIR_EraseRootFromParent_Done,
     /* 2385438 */   // Label 33834: @2385438
     /* 2385438 */   GIM_Try, /*On fail goto*//*Label 33835*/ GIMT_Encode4(2385481), // Rule ID 59259 //
     /* 2385443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385446 */     // (ctpop:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2385449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2385463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385480 */     // GIR_Coverage, 59259,
     /* 2385480 */     GIR_EraseRootFromParent_Done,
     /* 2385481 */   // Label 33835: @2385481
     /* 2385481 */   GIM_Reject,
     /* 2385482 */ // Label 33833: @2385482
     /* 2385482 */ GIM_Reject,
     /* 2385483 */ // Label 33784: @2385483
     /* 2385483 */ GIM_Try, /*On fail goto*//*Label 33836*/ GIMT_Encode4(2385586),
     /* 2385488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2385491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2385495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2385499 */   GIM_Try, /*On fail goto*//*Label 33837*/ GIMT_Encode4(2385542), // Rule ID 59266 //
     /* 2385504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2385507 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2385510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2385524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385541 */     // GIR_Coverage, 59266,
     /* 2385541 */     GIR_EraseRootFromParent_Done,
     /* 2385542 */   // Label 33837: @2385542
     /* 2385542 */   GIM_Try, /*On fail goto*//*Label 33838*/ GIMT_Encode4(2385585), // Rule ID 59267 //
     /* 2385547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2385550 */     // (ctpop:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385550 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2385553 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385557 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385562 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2385567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385569 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385572 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385583 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385584 */     // GIR_Coverage, 59267,
     /* 2385584 */     GIR_EraseRootFromParent_Done,
     /* 2385585 */   // Label 33838: @2385585
     /* 2385585 */   GIM_Reject,
     /* 2385586 */ // Label 33836: @2385586
     /* 2385586 */ GIM_Reject,
     /* 2385587 */ // Label 33785: @2385587
     /* 2385587 */ GIM_Try, /*On fail goto*//*Label 33839*/ GIMT_Encode4(2385690),
     /* 2385592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2385595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2385603 */   GIM_Try, /*On fail goto*//*Label 33840*/ GIMT_Encode4(2385646), // Rule ID 59238 //
     /* 2385608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2385611 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385611 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2385614 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385618 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385623 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2385628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385630 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385633 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385638 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385641 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385644 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385645 */     // GIR_Coverage, 59238,
     /* 2385645 */     GIR_EraseRootFromParent_Done,
     /* 2385646 */   // Label 33840: @2385646
     /* 2385646 */   GIM_Try, /*On fail goto*//*Label 33841*/ GIMT_Encode4(2385689), // Rule ID 59239 //
     /* 2385651 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385654 */     // (ctpop:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVCPOP_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385654 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2385657 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385661 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385666 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M1),
     /* 2385671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385673 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385676 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385687 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385688 */     // GIR_Coverage, 59239,
     /* 2385688 */     GIR_EraseRootFromParent_Done,
     /* 2385689 */   // Label 33841: @2385689
     /* 2385689 */   GIM_Reject,
     /* 2385690 */ // Label 33839: @2385690
     /* 2385690 */ GIM_Reject,
     /* 2385691 */ // Label 33786: @2385691
     /* 2385691 */ GIM_Try, /*On fail goto*//*Label 33842*/ GIMT_Encode4(2385794),
     /* 2385696 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2385699 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385703 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2385707 */   GIM_Try, /*On fail goto*//*Label 33843*/ GIMT_Encode4(2385750), // Rule ID 59252 //
     /* 2385712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2385715 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385715 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2385718 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385722 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385727 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2385732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385734 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385749 */     // GIR_Coverage, 59252,
     /* 2385749 */     GIR_EraseRootFromParent_Done,
     /* 2385750 */   // Label 33843: @2385750
     /* 2385750 */   GIM_Try, /*On fail goto*//*Label 33844*/ GIMT_Encode4(2385793), // Rule ID 59253 //
     /* 2385755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385758 */     // (ctpop:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385758 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2385761 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385765 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385770 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2385775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385777 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385780 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2385788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385792 */     // GIR_Coverage, 59253,
     /* 2385792 */     GIR_EraseRootFromParent_Done,
     /* 2385793 */   // Label 33844: @2385793
     /* 2385793 */   GIM_Reject,
     /* 2385794 */ // Label 33842: @2385794
     /* 2385794 */ GIM_Reject,
     /* 2385795 */ // Label 33787: @2385795
     /* 2385795 */ GIM_Try, /*On fail goto*//*Label 33845*/ GIMT_Encode4(2385898),
     /* 2385800 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2385803 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2385807 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2385811 */   GIM_Try, /*On fail goto*//*Label 33846*/ GIMT_Encode4(2385854), // Rule ID 59260 //
     /* 2385816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2385819 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385819 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2385822 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385826 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385831 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385833 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2385836 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385838 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385841 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385853 */     // GIR_Coverage, 59260,
     /* 2385853 */     GIR_EraseRootFromParent_Done,
     /* 2385854 */   // Label 33846: @2385854
     /* 2385854 */   GIM_Try, /*On fail goto*//*Label 33847*/ GIMT_Encode4(2385897), // Rule ID 59261 //
     /* 2385859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2385862 */     // (ctpop:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2385865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2385879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2385892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385896 */     // GIR_Coverage, 59261,
     /* 2385896 */     GIR_EraseRootFromParent_Done,
     /* 2385897 */   // Label 33847: @2385897
     /* 2385897 */   GIM_Reject,
     /* 2385898 */ // Label 33845: @2385898
     /* 2385898 */ GIM_Reject,
     /* 2385899 */ // Label 33788: @2385899
     /* 2385899 */ GIM_Try, /*On fail goto*//*Label 33848*/ GIMT_Encode4(2386002),
     /* 2385904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2385907 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2385911 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2385915 */   GIM_Try, /*On fail goto*//*Label 33849*/ GIMT_Encode4(2385958), // Rule ID 59268 //
     /* 2385920 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2385923 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2385923 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2385926 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385930 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385935 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385937 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2385940 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385942 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385945 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2385957 */     // GIR_Coverage, 59268,
     /* 2385957 */     GIR_EraseRootFromParent_Done,
     /* 2385958 */   // Label 33849: @2385958
     /* 2385958 */   GIM_Try, /*On fail goto*//*Label 33850*/ GIMT_Encode4(2386001), // Rule ID 59269 //
     /* 2385963 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2385966 */     // (ctpop:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2385966 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2385969 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2385973 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2385978 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2385980 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2385983 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2385985 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2385988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2385990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2385993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2385996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2385999 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386000 */     // GIR_Coverage, 59269,
     /* 2386000 */     GIR_EraseRootFromParent_Done,
     /* 2386001 */   // Label 33850: @2386001
     /* 2386001 */   GIM_Reject,
     /* 2386002 */ // Label 33848: @2386002
     /* 2386002 */ GIM_Reject,
     /* 2386003 */ // Label 33789: @2386003
     /* 2386003 */ GIM_Try, /*On fail goto*//*Label 33851*/ GIMT_Encode4(2386106),
     /* 2386008 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2386011 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386015 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2386019 */   GIM_Try, /*On fail goto*//*Label 33852*/ GIMT_Encode4(2386062), // Rule ID 59246 //
     /* 2386024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2386027 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386027 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2386030 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386034 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386039 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2386044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386046 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386060 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386061 */     // GIR_Coverage, 59246,
     /* 2386061 */     GIR_EraseRootFromParent_Done,
     /* 2386062 */   // Label 33852: @2386062
     /* 2386062 */   GIM_Try, /*On fail goto*//*Label 33853*/ GIMT_Encode4(2386105), // Rule ID 59247 //
     /* 2386067 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2386070 */     // (ctpop:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVCPOP_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386070 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2386073 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386077 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386082 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386084 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M2),
     /* 2386087 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386089 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386092 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386103 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386104 */     // GIR_Coverage, 59247,
     /* 2386104 */     GIR_EraseRootFromParent_Done,
     /* 2386105 */   // Label 33853: @2386105
     /* 2386105 */   GIM_Reject,
     /* 2386106 */ // Label 33851: @2386106
     /* 2386106 */ GIM_Reject,
     /* 2386107 */ // Label 33790: @2386107
     /* 2386107 */ GIM_Try, /*On fail goto*//*Label 33854*/ GIMT_Encode4(2386210),
     /* 2386112 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2386115 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386119 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386123 */   GIM_Try, /*On fail goto*//*Label 33855*/ GIMT_Encode4(2386166), // Rule ID 59254 //
     /* 2386128 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2386131 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386131 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2386134 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386138 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386143 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386145 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2386148 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386150 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386165 */     // GIR_Coverage, 59254,
     /* 2386165 */     GIR_EraseRootFromParent_Done,
     /* 2386166 */   // Label 33855: @2386166
     /* 2386166 */   GIM_Try, /*On fail goto*//*Label 33856*/ GIMT_Encode4(2386209), // Rule ID 59255 //
     /* 2386171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2386174 */     // (ctpop:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386174 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2386177 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386181 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386186 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2386191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386193 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386198 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386201 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386207 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386208 */     // GIR_Coverage, 59255,
     /* 2386208 */     GIR_EraseRootFromParent_Done,
     /* 2386209 */   // Label 33856: @2386209
     /* 2386209 */   GIM_Reject,
     /* 2386210 */ // Label 33854: @2386210
     /* 2386210 */ GIM_Reject,
     /* 2386211 */ // Label 33791: @2386211
     /* 2386211 */ GIM_Try, /*On fail goto*//*Label 33857*/ GIMT_Encode4(2386314),
     /* 2386216 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2386219 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386223 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386227 */   GIM_Try, /*On fail goto*//*Label 33858*/ GIMT_Encode4(2386270), // Rule ID 59262 //
     /* 2386232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2386235 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386235 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2386238 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386242 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386247 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2386252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386254 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386257 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386269 */     // GIR_Coverage, 59262,
     /* 2386269 */     GIR_EraseRootFromParent_Done,
     /* 2386270 */   // Label 33858: @2386270
     /* 2386270 */   GIM_Try, /*On fail goto*//*Label 33859*/ GIMT_Encode4(2386313), // Rule ID 59263 //
     /* 2386275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2386278 */     // (ctpop:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386278 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2386281 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386285 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386290 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386292 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2386295 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386297 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386300 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2386308 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386312 */     // GIR_Coverage, 59263,
     /* 2386312 */     GIR_EraseRootFromParent_Done,
     /* 2386313 */   // Label 33859: @2386313
     /* 2386313 */   GIM_Reject,
     /* 2386314 */ // Label 33857: @2386314
     /* 2386314 */ GIM_Reject,
     /* 2386315 */ // Label 33792: @2386315
     /* 2386315 */ GIM_Try, /*On fail goto*//*Label 33860*/ GIMT_Encode4(2386418),
     /* 2386320 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2386323 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386327 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2386331 */   GIM_Try, /*On fail goto*//*Label 33861*/ GIMT_Encode4(2386374), // Rule ID 59248 //
     /* 2386336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2386339 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386339 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2386342 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386346 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386351 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2386356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386358 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386361 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386373 */     // GIR_Coverage, 59248,
     /* 2386373 */     GIR_EraseRootFromParent_Done,
     /* 2386374 */   // Label 33861: @2386374
     /* 2386374 */   GIM_Try, /*On fail goto*//*Label 33862*/ GIMT_Encode4(2386417), // Rule ID 59249 //
     /* 2386379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2386382 */     // (ctpop:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVCPOP_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2386385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M4),
     /* 2386399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386415 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386416 */     // GIR_Coverage, 59249,
     /* 2386416 */     GIR_EraseRootFromParent_Done,
     /* 2386417 */   // Label 33862: @2386417
     /* 2386417 */   GIM_Reject,
     /* 2386418 */ // Label 33860: @2386418
     /* 2386418 */ GIM_Reject,
     /* 2386419 */ // Label 33793: @2386419
     /* 2386419 */ GIM_Try, /*On fail goto*//*Label 33863*/ GIMT_Encode4(2386522),
     /* 2386424 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2386427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386435 */   GIM_Try, /*On fail goto*//*Label 33864*/ GIMT_Encode4(2386478), // Rule ID 59256 //
     /* 2386440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2386443 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386443 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2386446 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386450 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386455 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2386460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386462 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386465 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386477 */     // GIR_Coverage, 59256,
     /* 2386477 */     GIR_EraseRootFromParent_Done,
     /* 2386478 */   // Label 33864: @2386478
     /* 2386478 */   GIM_Try, /*On fail goto*//*Label 33865*/ GIMT_Encode4(2386521), // Rule ID 59257 //
     /* 2386483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2386486 */     // (ctpop:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386486 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2386489 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386493 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386498 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386500 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2386503 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386505 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386508 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2386516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386520 */     // GIR_Coverage, 59257,
     /* 2386520 */     GIR_EraseRootFromParent_Done,
     /* 2386521 */   // Label 33865: @2386521
     /* 2386521 */   GIM_Reject,
     /* 2386522 */ // Label 33863: @2386522
     /* 2386522 */ GIM_Reject,
     /* 2386523 */ // Label 33794: @2386523
     /* 2386523 */ GIM_Try, /*On fail goto*//*Label 33866*/ GIMT_Encode4(2386626),
     /* 2386528 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2386531 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386535 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2386539 */   GIM_Try, /*On fail goto*//*Label 33867*/ GIMT_Encode4(2386582), // Rule ID 59250 //
     /* 2386544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2386547 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386547 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2386550 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386554 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386559 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386561 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2386564 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386566 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386569 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386581 */     // GIR_Coverage, 59250,
     /* 2386581 */     GIR_EraseRootFromParent_Done,
     /* 2386582 */   // Label 33867: @2386582
     /* 2386582 */   GIM_Try, /*On fail goto*//*Label 33868*/ GIMT_Encode4(2386625), // Rule ID 59251 //
     /* 2386587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2386590 */     // (ctpop:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVCPOP_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386590 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2386593 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386597 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386602 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVCPOP_V_M8),
     /* 2386607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386609 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386624 */     // GIR_Coverage, 59251,
     /* 2386624 */     GIR_EraseRootFromParent_Done,
     /* 2386625 */   // Label 33868: @2386625
     /* 2386625 */   GIM_Reject,
     /* 2386626 */ // Label 33866: @2386626
     /* 2386626 */ GIM_Reject,
     /* 2386627 */ // Label 33795: @2386627
     /* 2386627 */ GIM_Reject,
     /* 2386628 */ // Label 91: @2386628
     /* 2386628 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33893*/ GIMT_Encode4(2389162),
     /* 2386639 */ /*GILLT_s32*//*Label 33869*/ GIMT_Encode4(2386763),
     /* 2386643 */ /*GILLT_s64*//*Label 33870*/ GIMT_Encode4(2386826), GIMT_Encode4(0),
     /* 2386651 */ /*GILLT_nxv1s8*//*Label 33871*/ GIMT_Encode4(2386874),
     /* 2386655 */ /*GILLT_nxv1s16*//*Label 33872*/ GIMT_Encode4(2386978),
     /* 2386659 */ /*GILLT_nxv1s32*//*Label 33873*/ GIMT_Encode4(2387082),
     /* 2386663 */ /*GILLT_nxv1s64*//*Label 33874*/ GIMT_Encode4(2387186), GIMT_Encode4(0),
     /* 2386671 */ /*GILLT_nxv2s8*//*Label 33875*/ GIMT_Encode4(2387290),
     /* 2386675 */ /*GILLT_nxv2s16*//*Label 33876*/ GIMT_Encode4(2387394),
     /* 2386679 */ /*GILLT_nxv2s32*//*Label 33877*/ GIMT_Encode4(2387498),
     /* 2386683 */ /*GILLT_nxv2s64*//*Label 33878*/ GIMT_Encode4(2387602), GIMT_Encode4(0),
     /* 2386691 */ /*GILLT_nxv4s8*//*Label 33879*/ GIMT_Encode4(2387706),
     /* 2386695 */ /*GILLT_nxv4s16*//*Label 33880*/ GIMT_Encode4(2387810),
     /* 2386699 */ /*GILLT_nxv4s32*//*Label 33881*/ GIMT_Encode4(2387914),
     /* 2386703 */ /*GILLT_nxv4s64*//*Label 33882*/ GIMT_Encode4(2388018), GIMT_Encode4(0),
     /* 2386711 */ /*GILLT_nxv8s8*//*Label 33883*/ GIMT_Encode4(2388122),
     /* 2386715 */ /*GILLT_nxv8s16*//*Label 33884*/ GIMT_Encode4(2388226),
     /* 2386719 */ /*GILLT_nxv8s32*//*Label 33885*/ GIMT_Encode4(2388330),
     /* 2386723 */ /*GILLT_nxv8s64*//*Label 33886*/ GIMT_Encode4(2388434), GIMT_Encode4(0),
     /* 2386731 */ /*GILLT_nxv16s8*//*Label 33887*/ GIMT_Encode4(2388538),
     /* 2386735 */ /*GILLT_nxv16s16*//*Label 33888*/ GIMT_Encode4(2388642),
     /* 2386739 */ /*GILLT_nxv16s32*//*Label 33889*/ GIMT_Encode4(2388746), GIMT_Encode4(0),
     /* 2386747 */ /*GILLT_nxv32s8*//*Label 33890*/ GIMT_Encode4(2388850),
     /* 2386751 */ /*GILLT_nxv32s16*//*Label 33891*/ GIMT_Encode4(2388954), GIMT_Encode4(0),
     /* 2386759 */ /*GILLT_nxv64s8*//*Label 33892*/ GIMT_Encode4(2389058),
     /* 2386763 */ // Label 33869: @2386763
     /* 2386763 */ GIM_Try, /*On fail goto*//*Label 33894*/ GIMT_Encode4(2386825),
     /* 2386768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2386771 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386775 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386779 */   GIM_Try, /*On fail goto*//*Label 33895*/ GIMT_Encode4(2386794), // Rule ID 2532 //
     /* 2386784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode0),
     /* 2386787 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2386787 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2386792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386793 */     // GIR_Coverage, 2532,
     /* 2386793 */     GIR_Done,
     /* 2386794 */   // Label 33895: @2386794
     /* 2386794 */   GIM_Try, /*On fail goto*//*Label 33896*/ GIMT_Encode4(2386809), // Rule ID 2533 //
     /* 2386799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV32_HwMode1),
     /* 2386802 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (REV8_RV32:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2386802 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV32),
     /* 2386807 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386808 */     // GIR_Coverage, 2533,
     /* 2386808 */     GIR_Done,
     /* 2386809 */   // Label 33896: @2386809
     /* 2386809 */   GIM_Try, /*On fail goto*//*Label 33897*/ GIMT_Encode4(2386824), // Rule ID 62564 //
     /* 2386814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode1),
     /* 2386817 */     // (bswap:{ *:[i32] } GPR:{ *:[i32] }:$rs1)  =>  (TH_REV:{ *:[i32] } GPR:{ *:[i32] }:$rs1)
     /* 2386817 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2386822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386823 */     // GIR_Coverage, 62564,
     /* 2386823 */     GIR_Done,
     /* 2386824 */   // Label 33897: @2386824
     /* 2386824 */   GIM_Reject,
     /* 2386825 */ // Label 33894: @2386825
     /* 2386825 */ GIM_Reject,
     /* 2386826 */ // Label 33870: @2386826
     /* 2386826 */ GIM_Try, /*On fail goto*//*Label 33898*/ GIMT_Encode4(2386873),
     /* 2386831 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2386834 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386838 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2386842 */   GIM_Try, /*On fail goto*//*Label 33899*/ GIMT_Encode4(2386857), // Rule ID 2534 //
     /* 2386847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2386850 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (REV8_RV64:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2386850 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REV8_RV64),
     /* 2386855 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386856 */     // GIR_Coverage, 2534,
     /* 2386856 */     GIR_Done,
     /* 2386857 */   // Label 33899: @2386857
     /* 2386857 */   GIM_Try, /*On fail goto*//*Label 33900*/ GIMT_Encode4(2386872), // Rule ID 62563 //
     /* 2386862 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_HwMode0),
     /* 2386865 */     // (bswap:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (TH_REV:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2386865 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::TH_REV),
     /* 2386870 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386871 */     // GIR_Coverage, 62563,
     /* 2386871 */     GIR_Done,
     /* 2386872 */   // Label 33900: @2386872
     /* 2386872 */   GIM_Reject,
     /* 2386873 */ // Label 33898: @2386873
     /* 2386873 */ GIM_Reject,
     /* 2386874 */ // Label 33871: @2386874
     /* 2386874 */ GIM_Try, /*On fail goto*//*Label 33901*/ GIMT_Encode4(2386977),
     /* 2386879 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2386882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386890 */   GIM_Try, /*On fail goto*//*Label 33902*/ GIMT_Encode4(2386933), // Rule ID 59094 //
     /* 2386895 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2386898 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2386898 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2386901 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386905 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386910 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2386915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386917 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386920 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386932 */     // GIR_Coverage, 59094,
     /* 2386932 */     GIR_EraseRootFromParent_Done,
     /* 2386933 */   // Label 33902: @2386933
     /* 2386933 */   GIM_Try, /*On fail goto*//*Label 33903*/ GIMT_Encode4(2386976), // Rule ID 59095 //
     /* 2386938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2386941 */     // (bswap:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVREV8_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2386941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2386944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2386948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2386953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2386955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF8),
     /* 2386958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2386960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2386963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2386965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2386968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2386974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2386975 */     // GIR_Coverage, 59095,
     /* 2386975 */     GIR_EraseRootFromParent_Done,
     /* 2386976 */   // Label 33903: @2386976
     /* 2386976 */   GIM_Reject,
     /* 2386977 */ // Label 33901: @2386977
     /* 2386977 */ GIM_Reject,
     /* 2386978 */ // Label 33872: @2386978
     /* 2386978 */ GIM_Try, /*On fail goto*//*Label 33904*/ GIMT_Encode4(2387081),
     /* 2386983 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2386986 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386990 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2386994 */   GIM_Try, /*On fail goto*//*Label 33905*/ GIMT_Encode4(2387037), // Rule ID 59100 //
     /* 2386999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387002 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387002 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2387005 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387009 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387014 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2387019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387021 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387036 */     // GIR_Coverage, 59100,
     /* 2387036 */     GIR_EraseRootFromParent_Done,
     /* 2387037 */   // Label 33905: @2387037
     /* 2387037 */   GIM_Try, /*On fail goto*//*Label 33906*/ GIMT_Encode4(2387080), // Rule ID 59101 //
     /* 2387042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387045 */     // (bswap:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387045 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2387048 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387052 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387057 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387059 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2387062 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387064 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387079 */     // GIR_Coverage, 59101,
     /* 2387079 */     GIR_EraseRootFromParent_Done,
     /* 2387080 */   // Label 33906: @2387080
     /* 2387080 */   GIM_Reject,
     /* 2387081 */ // Label 33904: @2387081
     /* 2387081 */ GIM_Reject,
     /* 2387082 */ // Label 33873: @2387082
     /* 2387082 */ GIM_Try, /*On fail goto*//*Label 33907*/ GIMT_Encode4(2387185),
     /* 2387087 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2387090 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387094 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387098 */   GIM_Try, /*On fail goto*//*Label 33908*/ GIMT_Encode4(2387141), // Rule ID 59104 //
     /* 2387103 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387106 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387106 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2387109 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387113 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387118 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387120 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2387123 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387125 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387140 */     // GIR_Coverage, 59104,
     /* 2387140 */     GIR_EraseRootFromParent_Done,
     /* 2387141 */   // Label 33908: @2387141
     /* 2387141 */   GIM_Try, /*On fail goto*//*Label 33909*/ GIMT_Encode4(2387184), // Rule ID 59105 //
     /* 2387146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387149 */     // (bswap:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387149 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2387152 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387156 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387161 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2387166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387168 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387171 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387183 */     // GIR_Coverage, 59105,
     /* 2387183 */     GIR_EraseRootFromParent_Done,
     /* 2387184 */   // Label 33909: @2387184
     /* 2387184 */   GIM_Reject,
     /* 2387185 */ // Label 33907: @2387185
     /* 2387185 */ GIM_Reject,
     /* 2387186 */ // Label 33874: @2387186
     /* 2387186 */ GIM_Try, /*On fail goto*//*Label 33910*/ GIMT_Encode4(2387289),
     /* 2387191 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2387194 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387198 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387202 */   GIM_Try, /*On fail goto*//*Label 33911*/ GIMT_Encode4(2387245), // Rule ID 59112 //
     /* 2387207 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2387210 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387210 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2387213 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387217 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387222 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2387227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387229 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387232 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387243 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387244 */     // GIR_Coverage, 59112,
     /* 2387244 */     GIR_EraseRootFromParent_Done,
     /* 2387245 */   // Label 33911: @2387245
     /* 2387245 */   GIM_Try, /*On fail goto*//*Label 33912*/ GIMT_Encode4(2387288), // Rule ID 59113 //
     /* 2387250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2387253 */     // (bswap:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387253 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2387256 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387260 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387265 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2387270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387272 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387287 */     // GIR_Coverage, 59113,
     /* 2387287 */     GIR_EraseRootFromParent_Done,
     /* 2387288 */   // Label 33912: @2387288
     /* 2387288 */   GIM_Reject,
     /* 2387289 */ // Label 33910: @2387289
     /* 2387289 */ GIM_Reject,
     /* 2387290 */ // Label 33875: @2387290
     /* 2387290 */ GIM_Try, /*On fail goto*//*Label 33913*/ GIMT_Encode4(2387393),
     /* 2387295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2387298 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387302 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387306 */   GIM_Try, /*On fail goto*//*Label 33914*/ GIMT_Encode4(2387349), // Rule ID 59096 //
     /* 2387311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387314 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387314 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2387317 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387321 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387326 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2387331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387333 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387336 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387348 */     // GIR_Coverage, 59096,
     /* 2387348 */     GIR_EraseRootFromParent_Done,
     /* 2387349 */   // Label 33914: @2387349
     /* 2387349 */   GIM_Try, /*On fail goto*//*Label 33915*/ GIMT_Encode4(2387392), // Rule ID 59097 //
     /* 2387354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387357 */     // (bswap:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVREV8_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387357 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2387360 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387364 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387369 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387371 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF4),
     /* 2387374 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387376 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387387 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387390 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387391 */     // GIR_Coverage, 59097,
     /* 2387391 */     GIR_EraseRootFromParent_Done,
     /* 2387392 */   // Label 33915: @2387392
     /* 2387392 */   GIM_Reject,
     /* 2387393 */ // Label 33913: @2387393
     /* 2387393 */ GIM_Reject,
     /* 2387394 */ // Label 33876: @2387394
     /* 2387394 */ GIM_Try, /*On fail goto*//*Label 33916*/ GIMT_Encode4(2387497),
     /* 2387399 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2387402 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387406 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387410 */   GIM_Try, /*On fail goto*//*Label 33917*/ GIMT_Encode4(2387453), // Rule ID 59102 //
     /* 2387415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387418 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2387421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2387435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387451 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387452 */     // GIR_Coverage, 59102,
     /* 2387452 */     GIR_EraseRootFromParent_Done,
     /* 2387453 */   // Label 33917: @2387453
     /* 2387453 */   GIM_Try, /*On fail goto*//*Label 33918*/ GIMT_Encode4(2387496), // Rule ID 59103 //
     /* 2387458 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387461 */     // (bswap:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387461 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2387464 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387468 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387473 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2387478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387480 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387494 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387495 */     // GIR_Coverage, 59103,
     /* 2387495 */     GIR_EraseRootFromParent_Done,
     /* 2387496 */   // Label 33918: @2387496
     /* 2387496 */   GIM_Reject,
     /* 2387497 */ // Label 33916: @2387497
     /* 2387497 */ GIM_Reject,
     /* 2387498 */ // Label 33877: @2387498
     /* 2387498 */ GIM_Try, /*On fail goto*//*Label 33919*/ GIMT_Encode4(2387601),
     /* 2387503 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2387506 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387510 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387514 */   GIM_Try, /*On fail goto*//*Label 33920*/ GIMT_Encode4(2387557), // Rule ID 59110 //
     /* 2387519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387522 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2387525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2387539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387549 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387556 */     // GIR_Coverage, 59110,
     /* 2387556 */     GIR_EraseRootFromParent_Done,
     /* 2387557 */   // Label 33920: @2387557
     /* 2387557 */   GIM_Try, /*On fail goto*//*Label 33921*/ GIMT_Encode4(2387600), // Rule ID 59111 //
     /* 2387562 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387565 */     // (bswap:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387565 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2387568 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387572 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387577 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2387582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387584 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387598 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387599 */     // GIR_Coverage, 59111,
     /* 2387599 */     GIR_EraseRootFromParent_Done,
     /* 2387600 */   // Label 33921: @2387600
     /* 2387600 */   GIM_Reject,
     /* 2387601 */ // Label 33919: @2387601
     /* 2387601 */ GIM_Reject,
     /* 2387602 */ // Label 33878: @2387602
     /* 2387602 */ GIM_Try, /*On fail goto*//*Label 33922*/ GIMT_Encode4(2387705),
     /* 2387607 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2387610 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387614 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387618 */   GIM_Try, /*On fail goto*//*Label 33923*/ GIMT_Encode4(2387661), // Rule ID 59132 //
     /* 2387623 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2387626 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387626 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2387629 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387633 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387638 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2387643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387645 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387660 */     // GIR_Coverage, 59132,
     /* 2387660 */     GIR_EraseRootFromParent_Done,
     /* 2387661 */   // Label 33923: @2387661
     /* 2387661 */   GIM_Try, /*On fail goto*//*Label 33924*/ GIMT_Encode4(2387704), // Rule ID 59133 //
     /* 2387666 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2387669 */     // (bswap:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387669 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2387672 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387676 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387681 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2387686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387688 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387691 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2387699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387703 */     // GIR_Coverage, 59133,
     /* 2387703 */     GIR_EraseRootFromParent_Done,
     /* 2387704 */   // Label 33924: @2387704
     /* 2387704 */   GIM_Reject,
     /* 2387705 */ // Label 33922: @2387705
     /* 2387705 */ GIM_Reject,
     /* 2387706 */ // Label 33879: @2387706
     /* 2387706 */ GIM_Try, /*On fail goto*//*Label 33925*/ GIMT_Encode4(2387809),
     /* 2387711 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2387714 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387718 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387722 */   GIM_Try, /*On fail goto*//*Label 33926*/ GIMT_Encode4(2387765), // Rule ID 59098 //
     /* 2387727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387730 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387730 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2387733 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387737 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387742 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387744 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2387747 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387749 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387752 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387764 */     // GIR_Coverage, 59098,
     /* 2387764 */     GIR_EraseRootFromParent_Done,
     /* 2387765 */   // Label 33926: @2387765
     /* 2387765 */   GIM_Try, /*On fail goto*//*Label 33927*/ GIMT_Encode4(2387808), // Rule ID 59099 //
     /* 2387770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387773 */     // (bswap:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVREV8_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2387776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_MF2),
     /* 2387790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387807 */     // GIR_Coverage, 59099,
     /* 2387807 */     GIR_EraseRootFromParent_Done,
     /* 2387808 */   // Label 33927: @2387808
     /* 2387808 */   GIM_Reject,
     /* 2387809 */ // Label 33925: @2387809
     /* 2387809 */ GIM_Reject,
     /* 2387810 */ // Label 33880: @2387810
     /* 2387810 */ GIM_Try, /*On fail goto*//*Label 33928*/ GIMT_Encode4(2387913),
     /* 2387815 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2387818 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387822 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2387826 */   GIM_Try, /*On fail goto*//*Label 33929*/ GIMT_Encode4(2387869), // Rule ID 59108 //
     /* 2387831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387834 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387834 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2387837 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387841 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387846 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387848 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2387851 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387853 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387856 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387868 */     // GIR_Coverage, 59108,
     /* 2387868 */     GIR_EraseRootFromParent_Done,
     /* 2387869 */   // Label 33929: @2387869
     /* 2387869 */   GIM_Try, /*On fail goto*//*Label 33930*/ GIMT_Encode4(2387912), // Rule ID 59109 //
     /* 2387874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387877 */     // (bswap:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387877 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2387880 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387884 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387889 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2387894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387896 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2387907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387911 */     // GIR_Coverage, 59109,
     /* 2387911 */     GIR_EraseRootFromParent_Done,
     /* 2387912 */   // Label 33930: @2387912
     /* 2387912 */   GIM_Reject,
     /* 2387913 */ // Label 33928: @2387913
     /* 2387913 */ GIM_Reject,
     /* 2387914 */ // Label 33881: @2387914
     /* 2387914 */ GIM_Try, /*On fail goto*//*Label 33931*/ GIMT_Encode4(2388017),
     /* 2387919 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2387922 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387926 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2387930 */   GIM_Try, /*On fail goto*//*Label 33932*/ GIMT_Encode4(2387973), // Rule ID 59126 //
     /* 2387935 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2387938 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2387938 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2387941 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387945 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387950 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2387955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2387957 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2387960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2387962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2387965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2387968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2387971 */     GIR_RootConstrainSelectedInstOperands,
     /* 2387972 */     // GIR_Coverage, 59126,
     /* 2387972 */     GIR_EraseRootFromParent_Done,
     /* 2387973 */   // Label 33932: @2387973
     /* 2387973 */   GIM_Try, /*On fail goto*//*Label 33933*/ GIMT_Encode4(2388016), // Rule ID 59127 //
     /* 2387978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2387981 */     // (bswap:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2387981 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2387984 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2387988 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2387993 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2387995 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2387998 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388000 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388003 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388014 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388015 */     // GIR_Coverage, 59127,
     /* 2388015 */     GIR_EraseRootFromParent_Done,
     /* 2388016 */   // Label 33933: @2388016
     /* 2388016 */   GIM_Reject,
     /* 2388017 */ // Label 33931: @2388017
     /* 2388017 */ GIM_Reject,
     /* 2388018 */ // Label 33882: @2388018
     /* 2388018 */ GIM_Try, /*On fail goto*//*Label 33934*/ GIMT_Encode4(2388121),
     /* 2388023 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2388026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388034 */   GIM_Try, /*On fail goto*//*Label 33935*/ GIMT_Encode4(2388077), // Rule ID 59134 //
     /* 2388039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2388042 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2388045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2388059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388076 */     // GIR_Coverage, 59134,
     /* 2388076 */     GIR_EraseRootFromParent_Done,
     /* 2388077 */   // Label 33935: @2388077
     /* 2388077 */   GIM_Try, /*On fail goto*//*Label 33936*/ GIMT_Encode4(2388120), // Rule ID 59135 //
     /* 2388082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2388085 */     // (bswap:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388085 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2388088 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388092 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388097 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2388102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388104 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388119 */     // GIR_Coverage, 59135,
     /* 2388119 */     GIR_EraseRootFromParent_Done,
     /* 2388120 */   // Label 33936: @2388120
     /* 2388120 */   GIM_Reject,
     /* 2388121 */ // Label 33934: @2388121
     /* 2388121 */ GIM_Reject,
     /* 2388122 */ // Label 33883: @2388122
     /* 2388122 */ GIM_Try, /*On fail goto*//*Label 33937*/ GIMT_Encode4(2388225),
     /* 2388127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2388130 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388134 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2388138 */   GIM_Try, /*On fail goto*//*Label 33938*/ GIMT_Encode4(2388181), // Rule ID 59106 //
     /* 2388143 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2388146 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388146 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2388149 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388153 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388158 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388160 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2388163 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388165 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388180 */     // GIR_Coverage, 59106,
     /* 2388180 */     GIR_EraseRootFromParent_Done,
     /* 2388181 */   // Label 33938: @2388181
     /* 2388181 */   GIM_Try, /*On fail goto*//*Label 33939*/ GIMT_Encode4(2388224), // Rule ID 59107 //
     /* 2388186 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2388189 */     // (bswap:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVREV8_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388189 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2388192 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388196 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388201 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388203 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M1),
     /* 2388206 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388208 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388211 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388213 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388216 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388223 */     // GIR_Coverage, 59107,
     /* 2388223 */     GIR_EraseRootFromParent_Done,
     /* 2388224 */   // Label 33939: @2388224
     /* 2388224 */   GIM_Reject,
     /* 2388225 */ // Label 33937: @2388225
     /* 2388225 */ GIM_Reject,
     /* 2388226 */ // Label 33884: @2388226
     /* 2388226 */ GIM_Try, /*On fail goto*//*Label 33940*/ GIMT_Encode4(2388329),
     /* 2388231 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2388234 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388238 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388242 */   GIM_Try, /*On fail goto*//*Label 33941*/ GIMT_Encode4(2388285), // Rule ID 59120 //
     /* 2388247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2388250 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388250 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2388253 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388257 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388262 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388264 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2388267 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388269 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388284 */     // GIR_Coverage, 59120,
     /* 2388284 */     GIR_EraseRootFromParent_Done,
     /* 2388285 */   // Label 33941: @2388285
     /* 2388285 */   GIM_Try, /*On fail goto*//*Label 33942*/ GIMT_Encode4(2388328), // Rule ID 59121 //
     /* 2388290 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2388293 */     // (bswap:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388293 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2388296 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388300 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388305 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2388310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388312 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388327 */     // GIR_Coverage, 59121,
     /* 2388327 */     GIR_EraseRootFromParent_Done,
     /* 2388328 */   // Label 33942: @2388328
     /* 2388328 */   GIM_Reject,
     /* 2388329 */ // Label 33940: @2388329
     /* 2388329 */ GIM_Reject,
     /* 2388330 */ // Label 33885: @2388330
     /* 2388330 */ GIM_Try, /*On fail goto*//*Label 33943*/ GIMT_Encode4(2388433),
     /* 2388335 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2388338 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388342 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388346 */   GIM_Try, /*On fail goto*//*Label 33944*/ GIMT_Encode4(2388389), // Rule ID 59128 //
     /* 2388351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2388354 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388354 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2388357 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388361 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388366 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2388371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388373 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388376 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388387 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388388 */     // GIR_Coverage, 59128,
     /* 2388388 */     GIR_EraseRootFromParent_Done,
     /* 2388389 */   // Label 33944: @2388389
     /* 2388389 */   GIM_Try, /*On fail goto*//*Label 33945*/ GIMT_Encode4(2388432), // Rule ID 59129 //
     /* 2388394 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2388397 */     // (bswap:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388397 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2388400 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388404 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388409 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2388414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388416 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388419 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388431 */     // GIR_Coverage, 59129,
     /* 2388431 */     GIR_EraseRootFromParent_Done,
     /* 2388432 */   // Label 33945: @2388432
     /* 2388432 */   GIM_Reject,
     /* 2388433 */ // Label 33943: @2388433
     /* 2388433 */ GIM_Reject,
     /* 2388434 */ // Label 33886: @2388434
     /* 2388434 */ GIM_Try, /*On fail goto*//*Label 33946*/ GIMT_Encode4(2388537),
     /* 2388439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2388442 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388446 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388450 */   GIM_Try, /*On fail goto*//*Label 33947*/ GIMT_Encode4(2388493), // Rule ID 59136 //
     /* 2388455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode0),
     /* 2388458 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388458 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2388461 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388465 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388470 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388472 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2388475 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388477 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388480 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388482 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388485 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388488 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388492 */     // GIR_Coverage, 59136,
     /* 2388492 */     GIR_EraseRootFromParent_Done,
     /* 2388493 */   // Label 33947: @2388493
     /* 2388493 */   GIM_Try, /*On fail goto*//*Label 33948*/ GIMT_Encode4(2388536), // Rule ID 59137 //
     /* 2388498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructionsI64_HwMode1),
     /* 2388501 */     // (bswap:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388501 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2388504 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388508 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388513 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2388518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388520 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2388531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388535 */     // GIR_Coverage, 59137,
     /* 2388535 */     GIR_EraseRootFromParent_Done,
     /* 2388536 */   // Label 33948: @2388536
     /* 2388536 */   GIM_Reject,
     /* 2388537 */ // Label 33946: @2388537
     /* 2388537 */ GIM_Reject,
     /* 2388538 */ // Label 33887: @2388538
     /* 2388538 */ GIM_Try, /*On fail goto*//*Label 33949*/ GIMT_Encode4(2388641),
     /* 2388543 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2388546 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388550 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2388554 */   GIM_Try, /*On fail goto*//*Label 33950*/ GIMT_Encode4(2388597), // Rule ID 59114 //
     /* 2388559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2388562 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2388565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2388579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388592 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388595 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388596 */     // GIR_Coverage, 59114,
     /* 2388596 */     GIR_EraseRootFromParent_Done,
     /* 2388597 */   // Label 33950: @2388597
     /* 2388597 */   GIM_Try, /*On fail goto*//*Label 33951*/ GIMT_Encode4(2388640), // Rule ID 59115 //
     /* 2388602 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2388605 */     // (bswap:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVREV8_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388605 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2388608 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388612 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388617 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M2),
     /* 2388622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388624 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388627 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388639 */     // GIR_Coverage, 59115,
     /* 2388639 */     GIR_EraseRootFromParent_Done,
     /* 2388640 */   // Label 33951: @2388640
     /* 2388640 */   GIM_Reject,
     /* 2388641 */ // Label 33949: @2388641
     /* 2388641 */ GIM_Reject,
     /* 2388642 */ // Label 33888: @2388642
     /* 2388642 */ GIM_Try, /*On fail goto*//*Label 33952*/ GIMT_Encode4(2388745),
     /* 2388647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2388650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388658 */   GIM_Try, /*On fail goto*//*Label 33953*/ GIMT_Encode4(2388701), // Rule ID 59122 //
     /* 2388663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2388666 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2388669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2388683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388699 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388700 */     // GIR_Coverage, 59122,
     /* 2388700 */     GIR_EraseRootFromParent_Done,
     /* 2388701 */   // Label 33953: @2388701
     /* 2388701 */   GIM_Try, /*On fail goto*//*Label 33954*/ GIMT_Encode4(2388744), // Rule ID 59123 //
     /* 2388706 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2388709 */     // (bswap:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388709 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2388712 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388716 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388721 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2388726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388728 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388731 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388733 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2388739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388742 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388743 */     // GIR_Coverage, 59123,
     /* 2388743 */     GIR_EraseRootFromParent_Done,
     /* 2388744 */   // Label 33954: @2388744
     /* 2388744 */   GIM_Reject,
     /* 2388745 */ // Label 33952: @2388745
     /* 2388745 */ GIM_Reject,
     /* 2388746 */ // Label 33889: @2388746
     /* 2388746 */ GIM_Try, /*On fail goto*//*Label 33955*/ GIMT_Encode4(2388849),
     /* 2388751 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2388754 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388758 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388762 */   GIM_Try, /*On fail goto*//*Label 33956*/ GIMT_Encode4(2388805), // Rule ID 59130 //
     /* 2388767 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2388770 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388770 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2388773 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388777 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388782 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388784 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2388787 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388789 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388792 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388804 */     // GIR_Coverage, 59130,
     /* 2388804 */     GIR_EraseRootFromParent_Done,
     /* 2388805 */   // Label 33956: @2388805
     /* 2388805 */   GIM_Try, /*On fail goto*//*Label 33957*/ GIMT_Encode4(2388848), // Rule ID 59131 //
     /* 2388810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2388813 */     // (bswap:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388813 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2388816 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388820 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388825 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388827 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2388830 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388832 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388835 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2388843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388847 */     // GIR_Coverage, 59131,
     /* 2388847 */     GIR_EraseRootFromParent_Done,
     /* 2388848 */   // Label 33957: @2388848
     /* 2388848 */   GIM_Reject,
     /* 2388849 */ // Label 33955: @2388849
     /* 2388849 */ GIM_Reject,
     /* 2388850 */ // Label 33890: @2388850
     /* 2388850 */ GIM_Try, /*On fail goto*//*Label 33958*/ GIMT_Encode4(2388953),
     /* 2388855 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2388858 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388862 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2388866 */   GIM_Try, /*On fail goto*//*Label 33959*/ GIMT_Encode4(2388909), // Rule ID 59116 //
     /* 2388871 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2388874 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388874 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2388877 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388881 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388886 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388888 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2388891 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388893 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388908 */     // GIR_Coverage, 59116,
     /* 2388908 */     GIR_EraseRootFromParent_Done,
     /* 2388909 */   // Label 33959: @2388909
     /* 2388909 */   GIM_Try, /*On fail goto*//*Label 33960*/ GIMT_Encode4(2388952), // Rule ID 59117 //
     /* 2388914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2388917 */     // (bswap:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVREV8_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2388917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2388920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M4),
     /* 2388934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2388939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2388941 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2388944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2388950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2388951 */     // GIR_Coverage, 59117,
     /* 2388951 */     GIR_EraseRootFromParent_Done,
     /* 2388952 */   // Label 33960: @2388952
     /* 2388952 */   GIM_Reject,
     /* 2388953 */ // Label 33958: @2388953
     /* 2388953 */ GIM_Reject,
     /* 2388954 */ // Label 33891: @2388954
     /* 2388954 */ GIM_Try, /*On fail goto*//*Label 33961*/ GIMT_Encode4(2389057),
     /* 2388959 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2388962 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388966 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2388970 */   GIM_Try, /*On fail goto*//*Label 33962*/ GIMT_Encode4(2389013), // Rule ID 59124 //
     /* 2388975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2388978 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2388978 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2388981 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2388985 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2388990 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2388992 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2388995 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2388997 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389000 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389012 */     // GIR_Coverage, 59124,
     /* 2389012 */     GIR_EraseRootFromParent_Done,
     /* 2389013 */   // Label 33962: @2389013
     /* 2389013 */   GIM_Try, /*On fail goto*//*Label 33963*/ GIMT_Encode4(2389056), // Rule ID 59125 //
     /* 2389018 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2389021 */     // (bswap:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389021 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2389024 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389028 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389033 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2389038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389040 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389055 */     // GIR_Coverage, 59125,
     /* 2389055 */     GIR_EraseRootFromParent_Done,
     /* 2389056 */   // Label 33963: @2389056
     /* 2389056 */   GIM_Reject,
     /* 2389057 */ // Label 33961: @2389057
     /* 2389057 */ GIM_Reject,
     /* 2389058 */ // Label 33892: @2389058
     /* 2389058 */ GIM_Try, /*On fail goto*//*Label 33964*/ GIMT_Encode4(2389161),
     /* 2389063 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2389066 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389070 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2389074 */   GIM_Try, /*On fail goto*//*Label 33965*/ GIMT_Encode4(2389117), // Rule ID 59118 //
     /* 2389079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode0),
     /* 2389082 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389082 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2389085 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389089 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389094 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2389099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389101 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389115 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389116 */     // GIR_Coverage, 59118,
     /* 2389116 */     GIR_EraseRootFromParent_Done,
     /* 2389117 */   // Label 33965: @2389117
     /* 2389117 */   GIM_Try, /*On fail goto*//*Label 33966*/ GIMT_Encode4(2389160), // Rule ID 59119 //
     /* 2389122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvkb_HasVInstructions_HwMode1),
     /* 2389125 */     // (bswap:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVREV8_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389125 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2389128 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389132 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389137 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVREV8_V_M8),
     /* 2389142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389144 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389147 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389159 */     // GIR_Coverage, 59119,
     /* 2389159 */     GIR_EraseRootFromParent_Done,
     /* 2389160 */   // Label 33966: @2389160
     /* 2389160 */   GIM_Reject,
     /* 2389161 */ // Label 33964: @2389161
     /* 2389161 */ GIM_Reject,
     /* 2389162 */ // Label 33893: @2389162
     /* 2389162 */ GIM_Reject,
     /* 2389163 */ // Label 92: @2389163
     /* 2389163 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(34), /*)*//*default:*//*Label 33991*/ GIMT_Encode4(2391708),
     /* 2389174 */ /*GILLT_s32*//*Label 33967*/ GIMT_Encode4(2389298),
     /* 2389178 */ /*GILLT_s64*//*Label 33968*/ GIMT_Encode4(2389385), GIMT_Encode4(0),
     /* 2389186 */ /*GILLT_nxv1s8*//*Label 33969*/ GIMT_Encode4(2389420),
     /* 2389190 */ /*GILLT_nxv1s16*//*Label 33970*/ GIMT_Encode4(2389524),
     /* 2389194 */ /*GILLT_nxv1s32*//*Label 33971*/ GIMT_Encode4(2389628),
     /* 2389198 */ /*GILLT_nxv1s64*//*Label 33972*/ GIMT_Encode4(2389732), GIMT_Encode4(0),
     /* 2389206 */ /*GILLT_nxv2s8*//*Label 33973*/ GIMT_Encode4(2389836),
     /* 2389210 */ /*GILLT_nxv2s16*//*Label 33974*/ GIMT_Encode4(2389940),
     /* 2389214 */ /*GILLT_nxv2s32*//*Label 33975*/ GIMT_Encode4(2390044),
     /* 2389218 */ /*GILLT_nxv2s64*//*Label 33976*/ GIMT_Encode4(2390148), GIMT_Encode4(0),
     /* 2389226 */ /*GILLT_nxv4s8*//*Label 33977*/ GIMT_Encode4(2390252),
     /* 2389230 */ /*GILLT_nxv4s16*//*Label 33978*/ GIMT_Encode4(2390356),
     /* 2389234 */ /*GILLT_nxv4s32*//*Label 33979*/ GIMT_Encode4(2390460),
     /* 2389238 */ /*GILLT_nxv4s64*//*Label 33980*/ GIMT_Encode4(2390564), GIMT_Encode4(0),
     /* 2389246 */ /*GILLT_nxv8s8*//*Label 33981*/ GIMT_Encode4(2390668),
     /* 2389250 */ /*GILLT_nxv8s16*//*Label 33982*/ GIMT_Encode4(2390772),
     /* 2389254 */ /*GILLT_nxv8s32*//*Label 33983*/ GIMT_Encode4(2390876),
     /* 2389258 */ /*GILLT_nxv8s64*//*Label 33984*/ GIMT_Encode4(2390980), GIMT_Encode4(0),
     /* 2389266 */ /*GILLT_nxv16s8*//*Label 33985*/ GIMT_Encode4(2391084),
     /* 2389270 */ /*GILLT_nxv16s16*//*Label 33986*/ GIMT_Encode4(2391188),
     /* 2389274 */ /*GILLT_nxv16s32*//*Label 33987*/ GIMT_Encode4(2391292), GIMT_Encode4(0),
     /* 2389282 */ /*GILLT_nxv32s8*//*Label 33988*/ GIMT_Encode4(2391396),
     /* 2389286 */ /*GILLT_nxv32s16*//*Label 33989*/ GIMT_Encode4(2391500), GIMT_Encode4(0),
     /* 2389294 */ /*GILLT_nxv64s8*//*Label 33990*/ GIMT_Encode4(2391604),
     /* 2389298 */ // Label 33967: @2389298
     /* 2389298 */ GIM_Try, /*On fail goto*//*Label 33992*/ GIMT_Encode4(2389384),
     /* 2389303 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2389306 */   GIM_Try, /*On fail goto*//*Label 33993*/ GIMT_Encode4(2389337), // Rule ID 64447 //
     /* 2389311 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode1),
     /* 2389314 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2389318 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2389322 */     // (bitreverse:{ *:[i32] } GPR:{ *:[i32] }:$rs)  =>  (CV_BITREV:{ *:[i32] } GPR:{ *:[i32] }:$rs, 0:{ *:[i32] }, 0:{ *:[i32] })
     /* 2389322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2389325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389327 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2389329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2389332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2389335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389336 */     // GIR_Coverage, 64447,
     /* 2389336 */     GIR_EraseRootFromParent_Done,
     /* 2389337 */   // Label 33993: @2389337
     /* 2389337 */   GIM_Try, /*On fail goto*//*Label 33994*/ GIMT_Encode4(2389360), // Rule ID 64634 //
     /* 2389342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode0),
     /* 2389345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2389349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2389353 */     // (bitreverse:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1)  =>  (QC_BREV32:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1)
     /* 2389353 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_BREV32),
     /* 2389358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389359 */     // GIR_Coverage, 64634,
     /* 2389359 */     GIR_Done,
     /* 2389360 */   // Label 33994: @2389360
     /* 2389360 */   GIM_Try, /*On fail goto*//*Label 33995*/ GIMT_Encode4(2389383), // Rule ID 64635 //
     /* 2389365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXqcibm_IsRV32_HwMode1),
     /* 2389368 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2389372 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRNoX0RegClassID),
     /* 2389376 */     // (bitreverse:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1)  =>  (QC_BREV32:{ *:[i32] } GPRNoX0:{ *:[i32] }:$rs1)
     /* 2389376 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::QC_BREV32),
     /* 2389381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389382 */     // GIR_Coverage, 64635,
     /* 2389382 */     GIR_Done,
     /* 2389383 */   // Label 33995: @2389383
     /* 2389383 */   GIM_Reject,
     /* 2389384 */ // Label 33992: @2389384
     /* 2389384 */ GIM_Reject,
     /* 2389385 */ // Label 33968: @2389385
     /* 2389385 */ GIM_Try, /*On fail goto*//*Label 33996*/ GIMT_Encode4(2389419), // Rule ID 64446 //
     /* 2389390 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXCVbitmanip_IsRV32_HwMode0),
     /* 2389393 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2389396 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2389400 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2389404 */   // (bitreverse:{ *:[i64] } GPR:{ *:[i64] }:$rs)  =>  (CV_BITREV:{ *:[i64] } GPR:{ *:[i64] }:$rs, 0:{ *:[i64] }, 0:{ *:[i64] })
     /* 2389404 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::CV_BITREV),
     /* 2389407 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389409 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs
     /* 2389411 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2389414 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2389417 */   GIR_RootConstrainSelectedInstOperands,
     /* 2389418 */   // GIR_Coverage, 64446,
     /* 2389418 */   GIR_EraseRootFromParent_Done,
     /* 2389419 */ // Label 33996: @2389419
     /* 2389419 */ GIM_Reject,
     /* 2389420 */ // Label 33969: @2389420
     /* 2389420 */ GIM_Try, /*On fail goto*//*Label 33997*/ GIMT_Encode4(2389523),
     /* 2389425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2389428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389436 */   GIM_Try, /*On fail goto*//*Label 33998*/ GIMT_Encode4(2389479), // Rule ID 58918 //
     /* 2389441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389444 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389444 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2389447 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389451 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389456 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2389461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389463 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389477 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389478 */     // GIR_Coverage, 58918,
     /* 2389478 */     GIR_EraseRootFromParent_Done,
     /* 2389479 */   // Label 33998: @2389479
     /* 2389479 */   GIM_Try, /*On fail goto*//*Label 33999*/ GIMT_Encode4(2389522), // Rule ID 58919 //
     /* 2389484 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389487 */     // (bitreverse:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rs1)  =>  (PseudoVBREV_V_MF8:{ *:[nxv1i8] } (IMPLICIT_DEF:{ *:[nxv1i8] }), VR:{ *:[nxv1i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389487 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s8,
     /* 2389490 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389494 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389499 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF8),
     /* 2389504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389506 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389509 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389517 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389520 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389521 */     // GIR_Coverage, 58919,
     /* 2389521 */     GIR_EraseRootFromParent_Done,
     /* 2389522 */   // Label 33999: @2389522
     /* 2389522 */   GIM_Reject,
     /* 2389523 */ // Label 33997: @2389523
     /* 2389523 */ GIM_Reject,
     /* 2389524 */ // Label 33970: @2389524
     /* 2389524 */ GIM_Try, /*On fail goto*//*Label 34000*/ GIMT_Encode4(2389627),
     /* 2389529 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2389532 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389536 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389540 */   GIM_Try, /*On fail goto*//*Label 34001*/ GIMT_Encode4(2389583), // Rule ID 59056 //
     /* 2389545 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389548 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389548 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2389551 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389555 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389560 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389562 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2389565 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389567 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389582 */     // GIR_Coverage, 59056,
     /* 2389582 */     GIR_EraseRootFromParent_Done,
     /* 2389583 */   // Label 34001: @2389583
     /* 2389583 */   GIM_Try, /*On fail goto*//*Label 34002*/ GIMT_Encode4(2389626), // Rule ID 59057 //
     /* 2389588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389591 */     // (bitreverse:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv1i16] } (IMPLICIT_DEF:{ *:[nxv1i16] }), VR:{ *:[nxv1i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389591 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2389594 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389598 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389603 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2389608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389610 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389613 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389625 */     // GIR_Coverage, 59057,
     /* 2389625 */     GIR_EraseRootFromParent_Done,
     /* 2389626 */   // Label 34002: @2389626
     /* 2389626 */   GIM_Reject,
     /* 2389627 */ // Label 34000: @2389627
     /* 2389627 */ GIM_Reject,
     /* 2389628 */ // Label 33971: @2389628
     /* 2389628 */ GIM_Try, /*On fail goto*//*Label 34003*/ GIMT_Encode4(2389731),
     /* 2389633 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2389636 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389640 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389644 */   GIM_Try, /*On fail goto*//*Label 34004*/ GIMT_Encode4(2389687), // Rule ID 59060 //
     /* 2389649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389652 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2389655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2389669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389685 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389686 */     // GIR_Coverage, 59060,
     /* 2389686 */     GIR_EraseRootFromParent_Done,
     /* 2389687 */   // Label 34004: @2389687
     /* 2389687 */   GIM_Try, /*On fail goto*//*Label 34005*/ GIMT_Encode4(2389730), // Rule ID 59061 //
     /* 2389692 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389695 */     // (bitreverse:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv1i32] } (IMPLICIT_DEF:{ *:[nxv1i32] }), VR:{ *:[nxv1i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389695 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2389698 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389702 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389707 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389709 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2389712 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389714 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389717 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2389725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389729 */     // GIR_Coverage, 59061,
     /* 2389729 */     GIR_EraseRootFromParent_Done,
     /* 2389730 */   // Label 34005: @2389730
     /* 2389730 */   GIM_Reject,
     /* 2389731 */ // Label 34003: @2389731
     /* 2389731 */ GIM_Reject,
     /* 2389732 */ // Label 33972: @2389732
     /* 2389732 */ GIM_Try, /*On fail goto*//*Label 34006*/ GIMT_Encode4(2389835),
     /* 2389737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2389740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389748 */   GIM_Try, /*On fail goto*//*Label 34007*/ GIMT_Encode4(2389791), // Rule ID 59068 //
     /* 2389753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2389756 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389756 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2389759 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389763 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389768 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389770 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2389773 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389775 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389786 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389789 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389790 */     // GIR_Coverage, 59068,
     /* 2389790 */     GIR_EraseRootFromParent_Done,
     /* 2389791 */   // Label 34007: @2389791
     /* 2389791 */   GIM_Try, /*On fail goto*//*Label 34008*/ GIMT_Encode4(2389834), // Rule ID 59069 //
     /* 2389796 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2389799 */     // (bitreverse:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv1i64] } (IMPLICIT_DEF:{ *:[nxv1i64] }), VR:{ *:[nxv1i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389799 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2389802 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389806 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389811 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2389816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389818 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389821 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2389829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389833 */     // GIR_Coverage, 59069,
     /* 2389833 */     GIR_EraseRootFromParent_Done,
     /* 2389834 */   // Label 34008: @2389834
     /* 2389834 */   GIM_Reject,
     /* 2389835 */ // Label 34006: @2389835
     /* 2389835 */ GIM_Reject,
     /* 2389836 */ // Label 33973: @2389836
     /* 2389836 */ GIM_Try, /*On fail goto*//*Label 34009*/ GIMT_Encode4(2389939),
     /* 2389841 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2389844 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389848 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389852 */   GIM_Try, /*On fail goto*//*Label 34010*/ GIMT_Encode4(2389895), // Rule ID 59052 //
     /* 2389857 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389860 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389860 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2389863 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389867 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389872 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2389877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389879 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389893 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389894 */     // GIR_Coverage, 59052,
     /* 2389894 */     GIR_EraseRootFromParent_Done,
     /* 2389895 */   // Label 34010: @2389895
     /* 2389895 */   GIM_Try, /*On fail goto*//*Label 34011*/ GIMT_Encode4(2389938), // Rule ID 59053 //
     /* 2389900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2389903 */     // (bitreverse:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rs1)  =>  (PseudoVBREV_V_MF4:{ *:[nxv2i8] } (IMPLICIT_DEF:{ *:[nxv2i8] }), VR:{ *:[nxv2i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2389903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s8,
     /* 2389906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF4),
     /* 2389920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389936 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389937 */     // GIR_Coverage, 59053,
     /* 2389937 */     GIR_EraseRootFromParent_Done,
     /* 2389938 */   // Label 34011: @2389938
     /* 2389938 */   GIM_Reject,
     /* 2389939 */ // Label 34009: @2389939
     /* 2389939 */ GIM_Reject,
     /* 2389940 */ // Label 33974: @2389940
     /* 2389940 */ GIM_Try, /*On fail goto*//*Label 34012*/ GIMT_Encode4(2390043),
     /* 2389945 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2389948 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389952 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2389956 */   GIM_Try, /*On fail goto*//*Label 34013*/ GIMT_Encode4(2389999), // Rule ID 59058 //
     /* 2389961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2389964 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2389964 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2389967 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2389971 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2389976 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2389978 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2389981 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2389983 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2389986 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2389988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2389991 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2389994 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2389997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2389998 */     // GIR_Coverage, 59058,
     /* 2389998 */     GIR_EraseRootFromParent_Done,
     /* 2389999 */   // Label 34013: @2389999
     /* 2389999 */   GIM_Try, /*On fail goto*//*Label 34014*/ GIMT_Encode4(2390042), // Rule ID 59059 //
     /* 2390004 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390007 */     // (bitreverse:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv2i16] } (IMPLICIT_DEF:{ *:[nxv2i16] }), VR:{ *:[nxv2i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390007 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2390010 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390014 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390019 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390021 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2390024 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390026 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390041 */     // GIR_Coverage, 59059,
     /* 2390041 */     GIR_EraseRootFromParent_Done,
     /* 2390042 */   // Label 34014: @2390042
     /* 2390042 */   GIM_Reject,
     /* 2390043 */ // Label 34012: @2390043
     /* 2390043 */ GIM_Reject,
     /* 2390044 */ // Label 33975: @2390044
     /* 2390044 */ GIM_Try, /*On fail goto*//*Label 34015*/ GIMT_Encode4(2390147),
     /* 2390049 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2390052 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390056 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390060 */   GIM_Try, /*On fail goto*//*Label 34016*/ GIMT_Encode4(2390103), // Rule ID 59066 //
     /* 2390065 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390068 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390068 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2390071 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390075 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390080 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390082 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2390085 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390087 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390095 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390098 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390101 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390102 */     // GIR_Coverage, 59066,
     /* 2390102 */     GIR_EraseRootFromParent_Done,
     /* 2390103 */   // Label 34016: @2390103
     /* 2390103 */   GIM_Try, /*On fail goto*//*Label 34017*/ GIMT_Encode4(2390146), // Rule ID 59067 //
     /* 2390108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390111 */     // (bitreverse:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv2i32] } (IMPLICIT_DEF:{ *:[nxv2i32] }), VR:{ *:[nxv2i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2390114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2390128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390141 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390144 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390145 */     // GIR_Coverage, 59067,
     /* 2390145 */     GIR_EraseRootFromParent_Done,
     /* 2390146 */   // Label 34017: @2390146
     /* 2390146 */   GIM_Reject,
     /* 2390147 */ // Label 34015: @2390147
     /* 2390147 */ GIM_Reject,
     /* 2390148 */ // Label 33976: @2390148
     /* 2390148 */ GIM_Try, /*On fail goto*//*Label 34018*/ GIMT_Encode4(2390251),
     /* 2390153 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2390156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390164 */   GIM_Try, /*On fail goto*//*Label 34019*/ GIMT_Encode4(2390207), // Rule ID 59088 //
     /* 2390169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2390172 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390172 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2390175 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390179 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390184 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2390189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390191 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390206 */     // GIR_Coverage, 59088,
     /* 2390206 */     GIR_EraseRootFromParent_Done,
     /* 2390207 */   // Label 34019: @2390207
     /* 2390207 */   GIM_Try, /*On fail goto*//*Label 34020*/ GIMT_Encode4(2390250), // Rule ID 59089 //
     /* 2390212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2390215 */     // (bitreverse:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv2i64] } (IMPLICIT_DEF:{ *:[nxv2i64] }), VRM2:{ *:[nxv2i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2390218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2390232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390245 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390248 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390249 */     // GIR_Coverage, 59089,
     /* 2390249 */     GIR_EraseRootFromParent_Done,
     /* 2390250 */   // Label 34020: @2390250
     /* 2390250 */   GIM_Reject,
     /* 2390251 */ // Label 34018: @2390251
     /* 2390251 */ GIM_Reject,
     /* 2390252 */ // Label 33977: @2390252
     /* 2390252 */ GIM_Try, /*On fail goto*//*Label 34021*/ GIMT_Encode4(2390355),
     /* 2390257 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2390260 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390264 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390268 */   GIM_Try, /*On fail goto*//*Label 34022*/ GIMT_Encode4(2390311), // Rule ID 59054 //
     /* 2390273 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390276 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390276 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2390279 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390283 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390288 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390290 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2390293 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390295 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390310 */     // GIR_Coverage, 59054,
     /* 2390310 */     GIR_EraseRootFromParent_Done,
     /* 2390311 */   // Label 34022: @2390311
     /* 2390311 */   GIM_Try, /*On fail goto*//*Label 34023*/ GIMT_Encode4(2390354), // Rule ID 59055 //
     /* 2390316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390319 */     // (bitreverse:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rs1)  =>  (PseudoVBREV_V_MF2:{ *:[nxv4i8] } (IMPLICIT_DEF:{ *:[nxv4i8] }), VR:{ *:[nxv4i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390319 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s8,
     /* 2390322 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390326 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390331 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_MF2),
     /* 2390336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390338 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390353 */     // GIR_Coverage, 59055,
     /* 2390353 */     GIR_EraseRootFromParent_Done,
     /* 2390354 */   // Label 34023: @2390354
     /* 2390354 */   GIM_Reject,
     /* 2390355 */ // Label 34021: @2390355
     /* 2390355 */ GIM_Reject,
     /* 2390356 */ // Label 33978: @2390356
     /* 2390356 */ GIM_Try, /*On fail goto*//*Label 34024*/ GIMT_Encode4(2390459),
     /* 2390361 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2390364 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390368 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390372 */   GIM_Try, /*On fail goto*//*Label 34025*/ GIMT_Encode4(2390415), // Rule ID 59064 //
     /* 2390377 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390380 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390380 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2390383 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390387 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390392 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390394 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2390397 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390399 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390414 */     // GIR_Coverage, 59064,
     /* 2390414 */     GIR_EraseRootFromParent_Done,
     /* 2390415 */   // Label 34025: @2390415
     /* 2390415 */   GIM_Try, /*On fail goto*//*Label 34026*/ GIMT_Encode4(2390458), // Rule ID 59065 //
     /* 2390420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390423 */     // (bitreverse:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv4i16] } (IMPLICIT_DEF:{ *:[nxv4i16] }), VR:{ *:[nxv4i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390423 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2390426 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390430 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390435 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390437 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2390440 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390442 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390445 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390457 */     // GIR_Coverage, 59065,
     /* 2390457 */     GIR_EraseRootFromParent_Done,
     /* 2390458 */   // Label 34026: @2390458
     /* 2390458 */   GIM_Reject,
     /* 2390459 */ // Label 34024: @2390459
     /* 2390459 */ GIM_Reject,
     /* 2390460 */ // Label 33979: @2390460
     /* 2390460 */ GIM_Try, /*On fail goto*//*Label 34027*/ GIMT_Encode4(2390563),
     /* 2390465 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2390468 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390472 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390476 */   GIM_Try, /*On fail goto*//*Label 34028*/ GIMT_Encode4(2390519), // Rule ID 59082 //
     /* 2390481 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390484 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390484 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2390487 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390491 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390496 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390498 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2390501 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390503 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390508 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390511 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390517 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390518 */     // GIR_Coverage, 59082,
     /* 2390518 */     GIR_EraseRootFromParent_Done,
     /* 2390519 */   // Label 34028: @2390519
     /* 2390519 */   GIM_Try, /*On fail goto*//*Label 34029*/ GIMT_Encode4(2390562), // Rule ID 59083 //
     /* 2390524 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390527 */     // (bitreverse:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv4i32] } (IMPLICIT_DEF:{ *:[nxv4i32] }), VRM2:{ *:[nxv4i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390527 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2390530 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390534 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390539 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390541 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2390544 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390546 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390561 */     // GIR_Coverage, 59083,
     /* 2390561 */     GIR_EraseRootFromParent_Done,
     /* 2390562 */   // Label 34029: @2390562
     /* 2390562 */   GIM_Reject,
     /* 2390563 */ // Label 34027: @2390563
     /* 2390563 */ GIM_Reject,
     /* 2390564 */ // Label 33980: @2390564
     /* 2390564 */ GIM_Try, /*On fail goto*//*Label 34030*/ GIMT_Encode4(2390667),
     /* 2390569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2390572 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390576 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390580 */   GIM_Try, /*On fail goto*//*Label 34031*/ GIMT_Encode4(2390623), // Rule ID 59090 //
     /* 2390585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2390588 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390588 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2390591 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390595 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390600 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2390605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390607 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390622 */     // GIR_Coverage, 59090,
     /* 2390622 */     GIR_EraseRootFromParent_Done,
     /* 2390623 */   // Label 34031: @2390623
     /* 2390623 */   GIM_Try, /*On fail goto*//*Label 34032*/ GIMT_Encode4(2390666), // Rule ID 59091 //
     /* 2390628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2390631 */     // (bitreverse:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv4i64] } (IMPLICIT_DEF:{ *:[nxv4i64] }), VRM4:{ *:[nxv4i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390631 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2390634 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390638 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390643 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390645 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2390648 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390650 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390653 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2390661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390665 */     // GIR_Coverage, 59091,
     /* 2390665 */     GIR_EraseRootFromParent_Done,
     /* 2390666 */   // Label 34032: @2390666
     /* 2390666 */   GIM_Reject,
     /* 2390667 */ // Label 34030: @2390667
     /* 2390667 */ GIM_Reject,
     /* 2390668 */ // Label 33981: @2390668
     /* 2390668 */ GIM_Try, /*On fail goto*//*Label 34033*/ GIMT_Encode4(2390771),
     /* 2390673 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2390676 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390680 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2390684 */   GIM_Try, /*On fail goto*//*Label 34034*/ GIMT_Encode4(2390727), // Rule ID 59062 //
     /* 2390689 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390692 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390692 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2390695 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390699 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390704 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390706 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2390709 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390711 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390714 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390725 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390726 */     // GIR_Coverage, 59062,
     /* 2390726 */     GIR_EraseRootFromParent_Done,
     /* 2390727 */   // Label 34034: @2390727
     /* 2390727 */   GIM_Try, /*On fail goto*//*Label 34035*/ GIMT_Encode4(2390770), // Rule ID 59063 //
     /* 2390732 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390735 */     // (bitreverse:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rs1)  =>  (PseudoVBREV_V_M1:{ *:[nxv8i8] } (IMPLICIT_DEF:{ *:[nxv8i8] }), VR:{ *:[nxv8i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390735 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s8,
     /* 2390738 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390742 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390747 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M1),
     /* 2390752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390754 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390769 */     // GIR_Coverage, 59063,
     /* 2390769 */     GIR_EraseRootFromParent_Done,
     /* 2390770 */   // Label 34035: @2390770
     /* 2390770 */   GIM_Reject,
     /* 2390771 */ // Label 34033: @2390771
     /* 2390771 */ GIM_Reject,
     /* 2390772 */ // Label 33982: @2390772
     /* 2390772 */ GIM_Try, /*On fail goto*//*Label 34036*/ GIMT_Encode4(2390875),
     /* 2390777 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2390780 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390784 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2390788 */   GIM_Try, /*On fail goto*//*Label 34037*/ GIMT_Encode4(2390831), // Rule ID 59076 //
     /* 2390793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390796 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2390799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2390813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390830 */     // GIR_Coverage, 59076,
     /* 2390830 */     GIR_EraseRootFromParent_Done,
     /* 2390831 */   // Label 34037: @2390831
     /* 2390831 */   GIM_Try, /*On fail goto*//*Label 34038*/ GIMT_Encode4(2390874), // Rule ID 59077 //
     /* 2390836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390839 */     // (bitreverse:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv8i16] } (IMPLICIT_DEF:{ *:[nxv8i16] }), VRM2:{ *:[nxv8i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2390842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2390856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2390869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390873 */     // GIR_Coverage, 59077,
     /* 2390873 */     GIR_EraseRootFromParent_Done,
     /* 2390874 */   // Label 34038: @2390874
     /* 2390874 */   GIM_Reject,
     /* 2390875 */ // Label 34036: @2390875
     /* 2390875 */ GIM_Reject,
     /* 2390876 */ // Label 33983: @2390876
     /* 2390876 */ GIM_Try, /*On fail goto*//*Label 34039*/ GIMT_Encode4(2390979),
     /* 2390881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2390884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390888 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2390892 */   GIM_Try, /*On fail goto*//*Label 34040*/ GIMT_Encode4(2390935), // Rule ID 59084 //
     /* 2390897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2390900 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2390900 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2390903 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390907 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390912 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2390917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390919 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390922 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390934 */     // GIR_Coverage, 59084,
     /* 2390934 */     GIR_EraseRootFromParent_Done,
     /* 2390935 */   // Label 34040: @2390935
     /* 2390935 */   GIM_Try, /*On fail goto*//*Label 34041*/ GIMT_Encode4(2390978), // Rule ID 59085 //
     /* 2390940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2390943 */     // (bitreverse:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv8i32] } (IMPLICIT_DEF:{ *:[nxv8i32] }), VRM4:{ *:[nxv8i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2390943 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2390946 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2390950 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2390955 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2390957 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2390960 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2390962 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2390965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2390967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2390970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2390973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2390976 */     GIR_RootConstrainSelectedInstOperands,
     /* 2390977 */     // GIR_Coverage, 59085,
     /* 2390977 */     GIR_EraseRootFromParent_Done,
     /* 2390978 */   // Label 34041: @2390978
     /* 2390978 */   GIM_Reject,
     /* 2390979 */ // Label 34039: @2390979
     /* 2390979 */ GIM_Reject,
     /* 2390980 */ // Label 33984: @2390980
     /* 2390980 */ GIM_Try, /*On fail goto*//*Label 34042*/ GIMT_Encode4(2391083),
     /* 2390985 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2390988 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390992 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2390996 */   GIM_Try, /*On fail goto*//*Label 34043*/ GIMT_Encode4(2391039), // Rule ID 59092 //
     /* 2391001 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode0),
     /* 2391004 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391004 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2391007 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391011 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391016 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2391021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391023 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391026 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391038 */     // GIR_Coverage, 59092,
     /* 2391038 */     GIR_EraseRootFromParent_Done,
     /* 2391039 */   // Label 34043: @2391039
     /* 2391039 */   GIM_Try, /*On fail goto*//*Label 34044*/ GIMT_Encode4(2391082), // Rule ID 59093 //
     /* 2391044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructionsI64_HwMode1),
     /* 2391047 */     // (bitreverse:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv8i64] } (IMPLICIT_DEF:{ *:[nxv8i64] }), VRM8:{ *:[nxv8i64] }:$rs1, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391047 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2391050 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391054 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391059 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2391064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391066 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391071 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391074 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2391077 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391080 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391081 */     // GIR_Coverage, 59093,
     /* 2391081 */     GIR_EraseRootFromParent_Done,
     /* 2391082 */   // Label 34044: @2391082
     /* 2391082 */   GIM_Reject,
     /* 2391083 */ // Label 34042: @2391083
     /* 2391083 */ GIM_Reject,
     /* 2391084 */ // Label 33985: @2391084
     /* 2391084 */ GIM_Try, /*On fail goto*//*Label 34045*/ GIMT_Encode4(2391187),
     /* 2391089 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2391092 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391096 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2391100 */   GIM_Try, /*On fail goto*//*Label 34046*/ GIMT_Encode4(2391143), // Rule ID 59070 //
     /* 2391105 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2391108 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391108 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2391111 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391115 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391120 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391122 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2391125 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391127 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391135 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391142 */     // GIR_Coverage, 59070,
     /* 2391142 */     GIR_EraseRootFromParent_Done,
     /* 2391143 */   // Label 34046: @2391143
     /* 2391143 */   GIM_Try, /*On fail goto*//*Label 34047*/ GIMT_Encode4(2391186), // Rule ID 59071 //
     /* 2391148 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2391151 */     // (bitreverse:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rs1)  =>  (PseudoVBREV_V_M2:{ *:[nxv16i8] } (IMPLICIT_DEF:{ *:[nxv16i8] }), VRM2:{ *:[nxv16i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391151 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s8,
     /* 2391154 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391158 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391163 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M2),
     /* 2391168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391170 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391185 */     // GIR_Coverage, 59071,
     /* 2391185 */     GIR_EraseRootFromParent_Done,
     /* 2391186 */   // Label 34047: @2391186
     /* 2391186 */   GIM_Reject,
     /* 2391187 */ // Label 34045: @2391187
     /* 2391187 */ GIM_Reject,
     /* 2391188 */ // Label 33986: @2391188
     /* 2391188 */ GIM_Try, /*On fail goto*//*Label 34048*/ GIMT_Encode4(2391291),
     /* 2391193 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2391196 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391200 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391204 */   GIM_Try, /*On fail goto*//*Label 34049*/ GIMT_Encode4(2391247), // Rule ID 59078 //
     /* 2391209 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2391212 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391212 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2391215 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391219 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391224 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2391229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391231 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391239 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391242 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391245 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391246 */     // GIR_Coverage, 59078,
     /* 2391246 */     GIR_EraseRootFromParent_Done,
     /* 2391247 */   // Label 34049: @2391247
     /* 2391247 */   GIM_Try, /*On fail goto*//*Label 34050*/ GIMT_Encode4(2391290), // Rule ID 59079 //
     /* 2391252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2391255 */     // (bitreverse:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv16i16] } (IMPLICIT_DEF:{ *:[nxv16i16] }), VRM4:{ *:[nxv16i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391255 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2391258 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391262 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391267 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391269 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2391272 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391274 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391288 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391289 */     // GIR_Coverage, 59079,
     /* 2391289 */     GIR_EraseRootFromParent_Done,
     /* 2391290 */   // Label 34050: @2391290
     /* 2391290 */   GIM_Reject,
     /* 2391291 */ // Label 34048: @2391291
     /* 2391291 */ GIM_Reject,
     /* 2391292 */ // Label 33987: @2391292
     /* 2391292 */ GIM_Try, /*On fail goto*//*Label 34051*/ GIMT_Encode4(2391395),
     /* 2391297 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2391300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391308 */   GIM_Try, /*On fail goto*//*Label 34052*/ GIMT_Encode4(2391351), // Rule ID 59086 //
     /* 2391313 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2391316 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391316 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2391319 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391323 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391328 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391330 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2391333 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391335 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391340 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391343 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391350 */     // GIR_Coverage, 59086,
     /* 2391350 */     GIR_EraseRootFromParent_Done,
     /* 2391351 */   // Label 34052: @2391351
     /* 2391351 */   GIM_Try, /*On fail goto*//*Label 34053*/ GIMT_Encode4(2391394), // Rule ID 59087 //
     /* 2391356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2391359 */     // (bitreverse:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv16i32] } (IMPLICIT_DEF:{ *:[nxv16i32] }), VRM8:{ *:[nxv16i32] }:$rs1, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391359 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2391362 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391366 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391371 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391373 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2391376 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391378 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391381 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2391389 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391392 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391393 */     // GIR_Coverage, 59087,
     /* 2391393 */     GIR_EraseRootFromParent_Done,
     /* 2391394 */   // Label 34053: @2391394
     /* 2391394 */   GIM_Reject,
     /* 2391395 */ // Label 34051: @2391395
     /* 2391395 */ GIM_Reject,
     /* 2391396 */ // Label 33988: @2391396
     /* 2391396 */ GIM_Try, /*On fail goto*//*Label 34054*/ GIMT_Encode4(2391499),
     /* 2391401 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2391404 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391408 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2391412 */   GIM_Try, /*On fail goto*//*Label 34055*/ GIMT_Encode4(2391455), // Rule ID 59072 //
     /* 2391417 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2391420 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391420 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2391423 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391427 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391432 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2391437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391439 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391442 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391453 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391454 */     // GIR_Coverage, 59072,
     /* 2391454 */     GIR_EraseRootFromParent_Done,
     /* 2391455 */   // Label 34055: @2391455
     /* 2391455 */   GIM_Try, /*On fail goto*//*Label 34056*/ GIMT_Encode4(2391498), // Rule ID 59073 //
     /* 2391460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2391463 */     // (bitreverse:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rs1)  =>  (PseudoVBREV_V_M4:{ *:[nxv32i8] } (IMPLICIT_DEF:{ *:[nxv32i8] }), VRM4:{ *:[nxv32i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s8,
     /* 2391466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M4),
     /* 2391480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391497 */     // GIR_Coverage, 59073,
     /* 2391497 */     GIR_EraseRootFromParent_Done,
     /* 2391498 */   // Label 34056: @2391498
     /* 2391498 */   GIM_Reject,
     /* 2391499 */ // Label 34054: @2391499
     /* 2391499 */ GIM_Reject,
     /* 2391500 */ // Label 33989: @2391500
     /* 2391500 */ GIM_Try, /*On fail goto*//*Label 34057*/ GIMT_Encode4(2391603),
     /* 2391505 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2391508 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391512 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391516 */   GIM_Try, /*On fail goto*//*Label 34058*/ GIMT_Encode4(2391559), // Rule ID 59080 //
     /* 2391521 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2391524 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391524 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2391527 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391531 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391536 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2391541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391543 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391546 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391558 */     // GIR_Coverage, 59080,
     /* 2391558 */     GIR_EraseRootFromParent_Done,
     /* 2391559 */   // Label 34058: @2391559
     /* 2391559 */   GIM_Try, /*On fail goto*//*Label 34059*/ GIMT_Encode4(2391602), // Rule ID 59081 //
     /* 2391564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2391567 */     // (bitreverse:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv32i16] } (IMPLICIT_DEF:{ *:[nxv32i16] }), VRM8:{ *:[nxv32i16] }:$rs1, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391567 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2391570 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391574 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391579 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391581 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2391584 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391586 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2391597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391601 */     // GIR_Coverage, 59081,
     /* 2391601 */     GIR_EraseRootFromParent_Done,
     /* 2391602 */   // Label 34059: @2391602
     /* 2391602 */   GIM_Reject,
     /* 2391603 */ // Label 34057: @2391603
     /* 2391603 */ GIM_Reject,
     /* 2391604 */ // Label 33990: @2391604
     /* 2391604 */ GIM_Try, /*On fail goto*//*Label 34060*/ GIMT_Encode4(2391707),
     /* 2391609 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2391612 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391616 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2391620 */   GIM_Try, /*On fail goto*//*Label 34061*/ GIMT_Encode4(2391663), // Rule ID 59074 //
     /* 2391625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode0),
     /* 2391628 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i64] }, 3:{ *:[i64] }, 3:{ *:[i64] })
     /* 2391628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2391631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2391645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391661 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391662 */     // GIR_Coverage, 59074,
     /* 2391662 */     GIR_EraseRootFromParent_Done,
     /* 2391663 */   // Label 34061: @2391663
     /* 2391663 */   GIM_Try, /*On fail goto*//*Label 34062*/ GIMT_Encode4(2391706), // Rule ID 59075 //
     /* 2391668 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZvbb_HasVInstructions_HwMode1),
     /* 2391671 */     // (bitreverse:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rs1)  =>  (PseudoVBREV_V_M8:{ *:[nxv64i8] } (IMPLICIT_DEF:{ *:[nxv64i8] }), VRM8:{ *:[nxv64i8] }:$rs1, -1:{ *:[i32] }, 3:{ *:[i32] }, 3:{ *:[i32] })
     /* 2391671 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv64s8,
     /* 2391674 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2391678 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2391683 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2391685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVBREV_V_M8),
     /* 2391688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391690 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2391693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2391698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391701 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391704 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391705 */     // GIR_Coverage, 59075,
     /* 2391705 */     GIR_EraseRootFromParent_Done,
     /* 2391706 */   // Label 34062: @2391706
     /* 2391706 */   GIM_Reject,
     /* 2391707 */ // Label 34060: @2391707
     /* 2391707 */ GIM_Reject,
     /* 2391708 */ // Label 33991: @2391708
     /* 2391708 */ GIM_Reject,
     /* 2391709 */ // Label 93: @2391709
     /* 2391709 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34066*/ GIMT_Encode4(2391906),
     /* 2391720 */ /*GILLT_s16*//*Label 34063*/ GIMT_Encode4(2391732),
     /* 2391724 */ /*GILLT_s32*//*Label 34064*/ GIMT_Encode4(2391790),
     /* 2391728 */ /*GILLT_s64*//*Label 34065*/ GIMT_Encode4(2391848),
     /* 2391732 */ // Label 34063: @2391732
     /* 2391732 */ GIM_Try, /*On fail goto*//*Label 34067*/ GIMT_Encode4(2391789),
     /* 2391737 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2391740 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391744 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2391748 */   GIM_Try, /*On fail goto*//*Label 34068*/ GIMT_Encode4(2391768), // Rule ID 2428 //
     /* 2391753 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2391756 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i64] })
     /* 2391756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2391759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391766 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391767 */     // GIR_Coverage, 2428,
     /* 2391767 */     GIR_EraseRootFromParent_Done,
     /* 2391768 */   // Label 34068: @2391768
     /* 2391768 */   GIM_Try, /*On fail goto*//*Label 34069*/ GIMT_Encode4(2391788), // Rule ID 2429 //
     /* 2391773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2391776 */     // (fceil:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 3:{ *:[i32] })
     /* 2391776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2391779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391787 */     // GIR_Coverage, 2429,
     /* 2391787 */     GIR_EraseRootFromParent_Done,
     /* 2391788 */   // Label 34069: @2391788
     /* 2391788 */   GIM_Reject,
     /* 2391789 */ // Label 34067: @2391789
     /* 2391789 */ GIM_Reject,
     /* 2391790 */ // Label 34064: @2391790
     /* 2391790 */ GIM_Try, /*On fail goto*//*Label 34070*/ GIMT_Encode4(2391847),
     /* 2391795 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2391798 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391802 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2391806 */   GIM_Try, /*On fail goto*//*Label 34071*/ GIMT_Encode4(2391826), // Rule ID 2346 //
     /* 2391811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2391814 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i64] })
     /* 2391814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2391817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391825 */     // GIR_Coverage, 2346,
     /* 2391825 */     GIR_EraseRootFromParent_Done,
     /* 2391826 */   // Label 34071: @2391826
     /* 2391826 */   GIM_Try, /*On fail goto*//*Label 34072*/ GIMT_Encode4(2391846), // Rule ID 2347 //
     /* 2391831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2391834 */     // (fceil:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 3:{ *:[i32] })
     /* 2391834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2391837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391839 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391844 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391845 */     // GIR_Coverage, 2347,
     /* 2391845 */     GIR_EraseRootFromParent_Done,
     /* 2391846 */   // Label 34072: @2391846
     /* 2391846 */   GIM_Reject,
     /* 2391847 */ // Label 34070: @2391847
     /* 2391847 */ GIM_Reject,
     /* 2391848 */ // Label 34065: @2391848
     /* 2391848 */ GIM_Try, /*On fail goto*//*Label 34073*/ GIMT_Encode4(2391905),
     /* 2391853 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2391856 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391860 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2391864 */   GIM_Try, /*On fail goto*//*Label 34074*/ GIMT_Encode4(2391884), // Rule ID 2386 //
     /* 2391869 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2391872 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i64] })
     /* 2391872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2391875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391882 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391883 */     // GIR_Coverage, 2386,
     /* 2391883 */     GIR_EraseRootFromParent_Done,
     /* 2391884 */   // Label 34074: @2391884
     /* 2391884 */   GIM_Try, /*On fail goto*//*Label 34075*/ GIMT_Encode4(2391904), // Rule ID 2387 //
     /* 2391889 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2391892 */     // (fceil:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 3:{ *:[i32] })
     /* 2391892 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2391895 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2391897 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2391899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2391902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2391903 */     // GIR_Coverage, 2387,
     /* 2391903 */     GIR_EraseRootFromParent_Done,
     /* 2391904 */   // Label 34075: @2391904
     /* 2391904 */   GIM_Reject,
     /* 2391905 */ // Label 34073: @2391905
     /* 2391905 */ GIM_Reject,
     /* 2391906 */ // Label 34066: @2391906
     /* 2391906 */ GIM_Reject,
     /* 2391907 */ // Label 94: @2391907
     /* 2391907 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34094*/ GIMT_Encode4(2394082),
     /* 2391918 */ /*GILLT_s16*//*Label 34076*/ GIMT_Encode4(2392038),
     /* 2391922 */ /*GILLT_s32*//*Label 34077*/ GIMT_Encode4(2392160),
     /* 2391926 */ /*GILLT_s64*//*Label 34078*/ GIMT_Encode4(2392282), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391938 */ /*GILLT_nxv1s16*//*Label 34079*/ GIMT_Encode4(2392432),
     /* 2391942 */ /*GILLT_nxv1s32*//*Label 34080*/ GIMT_Encode4(2392542),
     /* 2391946 */ /*GILLT_nxv1s64*//*Label 34081*/ GIMT_Encode4(2392652), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391958 */ /*GILLT_nxv2s16*//*Label 34082*/ GIMT_Encode4(2392762),
     /* 2391962 */ /*GILLT_nxv2s32*//*Label 34083*/ GIMT_Encode4(2392872),
     /* 2391966 */ /*GILLT_nxv2s64*//*Label 34084*/ GIMT_Encode4(2392982), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391978 */ /*GILLT_nxv4s16*//*Label 34085*/ GIMT_Encode4(2393092),
     /* 2391982 */ /*GILLT_nxv4s32*//*Label 34086*/ GIMT_Encode4(2393202),
     /* 2391986 */ /*GILLT_nxv4s64*//*Label 34087*/ GIMT_Encode4(2393312), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2391998 */ /*GILLT_nxv8s16*//*Label 34088*/ GIMT_Encode4(2393422),
     /* 2392002 */ /*GILLT_nxv8s32*//*Label 34089*/ GIMT_Encode4(2393532),
     /* 2392006 */ /*GILLT_nxv8s64*//*Label 34090*/ GIMT_Encode4(2393642), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2392018 */ /*GILLT_nxv16s16*//*Label 34091*/ GIMT_Encode4(2393752),
     /* 2392022 */ /*GILLT_nxv16s32*//*Label 34092*/ GIMT_Encode4(2393862), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2392034 */ /*GILLT_nxv32s16*//*Label 34093*/ GIMT_Encode4(2393972),
     /* 2392038 */ // Label 34076: @2392038
     /* 2392038 */ GIM_Try, /*On fail goto*//*Label 34095*/ GIMT_Encode4(2392159),
     /* 2392043 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2392046 */   GIM_Try, /*On fail goto*//*Label 34096*/ GIMT_Encode4(2392074), // Rule ID 1986 //
     /* 2392051 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2392054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392062 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2392062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2392065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392067 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392072 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392073 */     // GIR_Coverage, 1986,
     /* 2392073 */     GIR_EraseRootFromParent_Done,
     /* 2392074 */   // Label 34096: @2392074
     /* 2392074 */   GIM_Try, /*On fail goto*//*Label 34097*/ GIMT_Encode4(2392102), // Rule ID 1987 //
     /* 2392079 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2392082 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392086 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2392090 */     // (fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2392090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2392093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392101 */     // GIR_Coverage, 1987,
     /* 2392101 */     GIR_EraseRootFromParent_Done,
     /* 2392102 */   // Label 34097: @2392102
     /* 2392102 */   GIM_Try, /*On fail goto*//*Label 34098*/ GIMT_Encode4(2392130), // Rule ID 2019 //
     /* 2392107 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2392110 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392114 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392118 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2392118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2392121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392123 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392128 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392129 */     // GIR_Coverage, 2019,
     /* 2392129 */     GIR_EraseRootFromParent_Done,
     /* 2392130 */   // Label 34098: @2392130
     /* 2392130 */   GIM_Try, /*On fail goto*//*Label 34099*/ GIMT_Encode4(2392158), // Rule ID 2020 //
     /* 2392135 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2392138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2392146 */     // (fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2392146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2392149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392156 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392157 */     // GIR_Coverage, 2020,
     /* 2392157 */     GIR_EraseRootFromParent_Done,
     /* 2392158 */   // Label 34099: @2392158
     /* 2392158 */   GIM_Reject,
     /* 2392159 */ // Label 34095: @2392159
     /* 2392159 */ GIM_Reject,
     /* 2392160 */ // Label 34077: @2392160
     /* 2392160 */ GIM_Try, /*On fail goto*//*Label 34100*/ GIMT_Encode4(2392281),
     /* 2392165 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2392168 */   GIM_Try, /*On fail goto*//*Label 34101*/ GIMT_Encode4(2392196), // Rule ID 1277 //
     /* 2392173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2392176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392184 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2392184 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2392187 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392195 */     // GIR_Coverage, 1277,
     /* 2392195 */     GIR_EraseRootFromParent_Done,
     /* 2392196 */   // Label 34101: @2392196
     /* 2392196 */   GIM_Try, /*On fail goto*//*Label 34102*/ GIMT_Encode4(2392224), // Rule ID 1278 //
     /* 2392201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2392204 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392208 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2392212 */     // (fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2392212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2392215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392223 */     // GIR_Coverage, 1278,
     /* 2392223 */     GIR_EraseRootFromParent_Done,
     /* 2392224 */   // Label 34102: @2392224
     /* 2392224 */   GIM_Try, /*On fail goto*//*Label 34103*/ GIMT_Encode4(2392252), // Rule ID 1285 //
     /* 2392229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2392232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392240 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2392240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2392243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392250 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392251 */     // GIR_Coverage, 1285,
     /* 2392251 */     GIR_EraseRootFromParent_Done,
     /* 2392252 */   // Label 34103: @2392252
     /* 2392252 */   GIM_Try, /*On fail goto*//*Label 34104*/ GIMT_Encode4(2392280), // Rule ID 1286 //
     /* 2392257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2392260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2392268 */     // (fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2392268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2392271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392275 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392278 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392279 */     // GIR_Coverage, 1286,
     /* 2392279 */     GIR_EraseRootFromParent_Done,
     /* 2392280 */   // Label 34104: @2392280
     /* 2392280 */   GIM_Reject,
     /* 2392281 */ // Label 34100: @2392281
     /* 2392281 */ GIM_Reject,
     /* 2392282 */ // Label 34078: @2392282
     /* 2392282 */ GIM_Try, /*On fail goto*//*Label 34105*/ GIMT_Encode4(2392431),
     /* 2392287 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2392290 */   GIM_Try, /*On fail goto*//*Label 34106*/ GIMT_Encode4(2392318), // Rule ID 1620 //
     /* 2392295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2392298 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392302 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392306 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2392306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2392309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392316 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392317 */     // GIR_Coverage, 1620,
     /* 2392317 */     GIR_EraseRootFromParent_Done,
     /* 2392318 */   // Label 34106: @2392318
     /* 2392318 */   GIM_Try, /*On fail goto*//*Label 34107*/ GIMT_Encode4(2392346), // Rule ID 1621 //
     /* 2392323 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2392326 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392330 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2392334 */     // (fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2392334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2392337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392345 */     // GIR_Coverage, 1621,
     /* 2392345 */     GIR_EraseRootFromParent_Done,
     /* 2392346 */   // Label 34107: @2392346
     /* 2392346 */   GIM_Try, /*On fail goto*//*Label 34108*/ GIMT_Encode4(2392374), // Rule ID 1654 //
     /* 2392351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2392354 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2392358 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2392362 */     // (fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2392362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2392365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392373 */     // GIR_Coverage, 1654,
     /* 2392373 */     GIR_EraseRootFromParent_Done,
     /* 2392374 */   // Label 34108: @2392374
     /* 2392374 */   GIM_Try, /*On fail goto*//*Label 34109*/ GIMT_Encode4(2392402), // Rule ID 1675 //
     /* 2392379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2392382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392390 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2392390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2392393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392401 */     // GIR_Coverage, 1675,
     /* 2392401 */     GIR_EraseRootFromParent_Done,
     /* 2392402 */   // Label 34109: @2392402
     /* 2392402 */   GIM_Try, /*On fail goto*//*Label 34110*/ GIMT_Encode4(2392430), // Rule ID 1676 //
     /* 2392407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2392410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2392418 */     // (fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2392418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2392421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2392425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392429 */     // GIR_Coverage, 1676,
     /* 2392429 */     GIR_EraseRootFromParent_Done,
     /* 2392430 */   // Label 34110: @2392430
     /* 2392430 */   GIM_Reject,
     /* 2392431 */ // Label 34105: @2392431
     /* 2392431 */ GIM_Reject,
     /* 2392432 */ // Label 34079: @2392432
     /* 2392432 */ GIM_Try, /*On fail goto*//*Label 34111*/ GIMT_Encode4(2392541),
     /* 2392437 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2392440 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392444 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392448 */   GIM_Try, /*On fail goto*//*Label 34112*/ GIMT_Encode4(2392494), // Rule ID 56236 //
     /* 2392453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392456 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392456 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2392459 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392463 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392468 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2392473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392475 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392478 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392492 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392493 */     // GIR_Coverage, 56236,
     /* 2392493 */     GIR_EraseRootFromParent_Done,
     /* 2392494 */   // Label 34112: @2392494
     /* 2392494 */   GIM_Try, /*On fail goto*//*Label 34113*/ GIMT_Encode4(2392540), // Rule ID 56237 //
     /* 2392499 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392502 */     // (fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392502 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2392505 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392509 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392514 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392516 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2392519 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392521 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392524 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392535 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392538 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392539 */     // GIR_Coverage, 56237,
     /* 2392539 */     GIR_EraseRootFromParent_Done,
     /* 2392540 */   // Label 34113: @2392540
     /* 2392540 */   GIM_Reject,
     /* 2392541 */ // Label 34111: @2392541
     /* 2392541 */ GIM_Reject,
     /* 2392542 */ // Label 34080: @2392542
     /* 2392542 */ GIM_Try, /*On fail goto*//*Label 34114*/ GIMT_Encode4(2392651),
     /* 2392547 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2392550 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392554 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392558 */   GIM_Try, /*On fail goto*//*Label 34115*/ GIMT_Encode4(2392604), // Rule ID 56276 //
     /* 2392563 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392566 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392566 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2392569 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392573 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392578 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2392583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392585 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392599 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392603 */     // GIR_Coverage, 56276,
     /* 2392603 */     GIR_EraseRootFromParent_Done,
     /* 2392604 */   // Label 34115: @2392604
     /* 2392604 */   GIM_Try, /*On fail goto*//*Label 34116*/ GIMT_Encode4(2392650), // Rule ID 56277 //
     /* 2392609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392612 */     // (fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392612 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2392615 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392619 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392624 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392626 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2392629 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392631 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392634 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392649 */     // GIR_Coverage, 56277,
     /* 2392649 */     GIR_EraseRootFromParent_Done,
     /* 2392650 */   // Label 34116: @2392650
     /* 2392650 */   GIM_Reject,
     /* 2392651 */ // Label 34114: @2392651
     /* 2392651 */ GIM_Reject,
     /* 2392652 */ // Label 34081: @2392652
     /* 2392652 */ GIM_Try, /*On fail goto*//*Label 34117*/ GIMT_Encode4(2392761),
     /* 2392657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2392660 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392664 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392668 */   GIM_Try, /*On fail goto*//*Label 34118*/ GIMT_Encode4(2392714), // Rule ID 56336 //
     /* 2392673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2392676 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2392679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2392693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392712 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392713 */     // GIR_Coverage, 56336,
     /* 2392713 */     GIR_EraseRootFromParent_Done,
     /* 2392714 */   // Label 34118: @2392714
     /* 2392714 */   GIM_Try, /*On fail goto*//*Label 34119*/ GIMT_Encode4(2392760), // Rule ID 56337 //
     /* 2392719 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2392722 */     // (fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392722 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2392725 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392729 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392734 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2392739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392741 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392744 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2392755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392758 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392759 */     // GIR_Coverage, 56337,
     /* 2392759 */     GIR_EraseRootFromParent_Done,
     /* 2392760 */   // Label 34119: @2392760
     /* 2392760 */   GIM_Reject,
     /* 2392761 */ // Label 34117: @2392761
     /* 2392761 */ GIM_Reject,
     /* 2392762 */ // Label 34082: @2392762
     /* 2392762 */ GIM_Try, /*On fail goto*//*Label 34120*/ GIMT_Encode4(2392871),
     /* 2392767 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2392770 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392774 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392778 */   GIM_Try, /*On fail goto*//*Label 34121*/ GIMT_Encode4(2392824), // Rule ID 56256 //
     /* 2392783 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2392786 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392786 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2392789 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392793 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392798 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2392803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392805 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392822 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392823 */     // GIR_Coverage, 56256,
     /* 2392823 */     GIR_EraseRootFromParent_Done,
     /* 2392824 */   // Label 34121: @2392824
     /* 2392824 */   GIM_Try, /*On fail goto*//*Label 34122*/ GIMT_Encode4(2392870), // Rule ID 56257 //
     /* 2392829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2392832 */     // (fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392832 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2392835 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392839 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392844 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2392849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392851 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2392865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392868 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392869 */     // GIR_Coverage, 56257,
     /* 2392869 */     GIR_EraseRootFromParent_Done,
     /* 2392870 */   // Label 34122: @2392870
     /* 2392870 */   GIM_Reject,
     /* 2392871 */ // Label 34120: @2392871
     /* 2392871 */ GIM_Reject,
     /* 2392872 */ // Label 34083: @2392872
     /* 2392872 */ GIM_Try, /*On fail goto*//*Label 34123*/ GIMT_Encode4(2392981),
     /* 2392877 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2392880 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392884 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2392888 */   GIM_Try, /*On fail goto*//*Label 34124*/ GIMT_Encode4(2392934), // Rule ID 56316 //
     /* 2392893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2392896 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2392896 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2392899 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392903 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392908 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392910 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2392913 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392915 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392918 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392933 */     // GIR_Coverage, 56316,
     /* 2392933 */     GIR_EraseRootFromParent_Done,
     /* 2392934 */   // Label 34124: @2392934
     /* 2392934 */   GIM_Try, /*On fail goto*//*Label 34125*/ GIMT_Encode4(2392980), // Rule ID 56317 //
     /* 2392939 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2392942 */     // (fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2392942 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2392945 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2392949 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2392954 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2392956 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2392959 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2392961 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2392964 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2392966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2392969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2392972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2392975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2392978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2392979 */     // GIR_Coverage, 56317,
     /* 2392979 */     GIR_EraseRootFromParent_Done,
     /* 2392980 */   // Label 34125: @2392980
     /* 2392980 */   GIM_Reject,
     /* 2392981 */ // Label 34123: @2392981
     /* 2392981 */ GIM_Reject,
     /* 2392982 */ // Label 34084: @2392982
     /* 2392982 */ GIM_Try, /*On fail goto*//*Label 34126*/ GIMT_Encode4(2393091),
     /* 2392987 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2392990 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392994 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2392998 */   GIM_Try, /*On fail goto*//*Label 34127*/ GIMT_Encode4(2393044), // Rule ID 56476 //
     /* 2393003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393006 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2393009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2393023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393039 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393043 */     // GIR_Coverage, 56476,
     /* 2393043 */     GIR_EraseRootFromParent_Done,
     /* 2393044 */   // Label 34127: @2393044
     /* 2393044 */   GIM_Try, /*On fail goto*//*Label 34128*/ GIMT_Encode4(2393090), // Rule ID 56477 //
     /* 2393049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393052 */     // (fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393052 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2393055 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393059 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393064 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2393069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393071 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393079 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393088 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393089 */     // GIR_Coverage, 56477,
     /* 2393089 */     GIR_EraseRootFromParent_Done,
     /* 2393090 */   // Label 34128: @2393090
     /* 2393090 */   GIM_Reject,
     /* 2393091 */ // Label 34126: @2393091
     /* 2393091 */ GIM_Reject,
     /* 2393092 */ // Label 34085: @2393092
     /* 2393092 */ GIM_Try, /*On fail goto*//*Label 34129*/ GIMT_Encode4(2393201),
     /* 2393097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2393100 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393104 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2393108 */   GIM_Try, /*On fail goto*//*Label 34130*/ GIMT_Encode4(2393154), // Rule ID 56296 //
     /* 2393113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393116 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393116 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2393119 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393123 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393128 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2393133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393135 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393152 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393153 */     // GIR_Coverage, 56296,
     /* 2393153 */     GIR_EraseRootFromParent_Done,
     /* 2393154 */   // Label 34130: @2393154
     /* 2393154 */   GIM_Try, /*On fail goto*//*Label 34131*/ GIMT_Encode4(2393200), // Rule ID 56297 //
     /* 2393159 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393162 */     // (fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393162 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2393165 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393169 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393174 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393176 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2393179 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393181 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393184 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393199 */     // GIR_Coverage, 56297,
     /* 2393199 */     GIR_EraseRootFromParent_Done,
     /* 2393200 */   // Label 34131: @2393200
     /* 2393200 */   GIM_Reject,
     /* 2393201 */ // Label 34129: @2393201
     /* 2393201 */ GIM_Reject,
     /* 2393202 */ // Label 34086: @2393202
     /* 2393202 */ GIM_Try, /*On fail goto*//*Label 34132*/ GIMT_Encode4(2393311),
     /* 2393207 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2393210 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393214 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393218 */   GIM_Try, /*On fail goto*//*Label 34133*/ GIMT_Encode4(2393264), // Rule ID 56416 //
     /* 2393223 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393226 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393226 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2393229 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393233 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393238 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2393243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393245 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393248 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393263 */     // GIR_Coverage, 56416,
     /* 2393263 */     GIR_EraseRootFromParent_Done,
     /* 2393264 */   // Label 34133: @2393264
     /* 2393264 */   GIM_Try, /*On fail goto*//*Label 34134*/ GIMT_Encode4(2393310), // Rule ID 56417 //
     /* 2393269 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393272 */     // (fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393272 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2393275 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393279 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393284 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393286 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2393289 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393291 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393296 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393299 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393302 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393309 */     // GIR_Coverage, 56417,
     /* 2393309 */     GIR_EraseRootFromParent_Done,
     /* 2393310 */   // Label 34134: @2393310
     /* 2393310 */   GIM_Reject,
     /* 2393311 */ // Label 34132: @2393311
     /* 2393311 */ GIM_Reject,
     /* 2393312 */ // Label 34087: @2393312
     /* 2393312 */ GIM_Try, /*On fail goto*//*Label 34135*/ GIMT_Encode4(2393421),
     /* 2393317 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2393320 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393324 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393328 */   GIM_Try, /*On fail goto*//*Label 34136*/ GIMT_Encode4(2393374), // Rule ID 56496 //
     /* 2393333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393336 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2393339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2393353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393363 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393366 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393369 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393372 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393373 */     // GIR_Coverage, 56496,
     /* 2393373 */     GIR_EraseRootFromParent_Done,
     /* 2393374 */   // Label 34136: @2393374
     /* 2393374 */   GIM_Try, /*On fail goto*//*Label 34137*/ GIMT_Encode4(2393420), // Rule ID 56497 //
     /* 2393379 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393382 */     // (fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393382 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2393385 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393389 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393394 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2393399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393401 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393418 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393419 */     // GIR_Coverage, 56497,
     /* 2393419 */     GIR_EraseRootFromParent_Done,
     /* 2393420 */   // Label 34137: @2393420
     /* 2393420 */   GIM_Reject,
     /* 2393421 */ // Label 34135: @2393421
     /* 2393421 */ GIM_Reject,
     /* 2393422 */ // Label 34088: @2393422
     /* 2393422 */ GIM_Try, /*On fail goto*//*Label 34138*/ GIMT_Encode4(2393531),
     /* 2393427 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2393430 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393434 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2393438 */   GIM_Try, /*On fail goto*//*Label 34139*/ GIMT_Encode4(2393484), // Rule ID 56356 //
     /* 2393443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393446 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393446 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2393449 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393453 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393458 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393460 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2393463 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393465 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393479 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393482 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393483 */     // GIR_Coverage, 56356,
     /* 2393483 */     GIR_EraseRootFromParent_Done,
     /* 2393484 */   // Label 34139: @2393484
     /* 2393484 */   GIM_Try, /*On fail goto*//*Label 34140*/ GIMT_Encode4(2393530), // Rule ID 56357 //
     /* 2393489 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393492 */     // (fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393492 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2393495 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393499 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393504 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2393509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393511 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393514 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393529 */     // GIR_Coverage, 56357,
     /* 2393529 */     GIR_EraseRootFromParent_Done,
     /* 2393530 */   // Label 34140: @2393530
     /* 2393530 */   GIM_Reject,
     /* 2393531 */ // Label 34138: @2393531
     /* 2393531 */ GIM_Reject,
     /* 2393532 */ // Label 34089: @2393532
     /* 2393532 */ GIM_Try, /*On fail goto*//*Label 34141*/ GIMT_Encode4(2393641),
     /* 2393537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2393540 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393544 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393548 */   GIM_Try, /*On fail goto*//*Label 34142*/ GIMT_Encode4(2393594), // Rule ID 56436 //
     /* 2393553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393556 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393556 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2393559 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393563 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393568 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393570 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2393573 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393575 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393578 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393580 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393583 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393589 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393592 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393593 */     // GIR_Coverage, 56436,
     /* 2393593 */     GIR_EraseRootFromParent_Done,
     /* 2393594 */   // Label 34142: @2393594
     /* 2393594 */   GIM_Try, /*On fail goto*//*Label 34143*/ GIMT_Encode4(2393640), // Rule ID 56437 //
     /* 2393599 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393602 */     // (fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393602 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2393605 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393609 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393614 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2393619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393621 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393624 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393629 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393632 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393635 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393638 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393639 */     // GIR_Coverage, 56437,
     /* 2393639 */     GIR_EraseRootFromParent_Done,
     /* 2393640 */   // Label 34143: @2393640
     /* 2393640 */   GIM_Reject,
     /* 2393641 */ // Label 34141: @2393641
     /* 2393641 */ GIM_Reject,
     /* 2393642 */ // Label 34090: @2393642
     /* 2393642 */ GIM_Try, /*On fail goto*//*Label 34144*/ GIMT_Encode4(2393751),
     /* 2393647 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2393650 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393654 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393658 */   GIM_Try, /*On fail goto*//*Label 34145*/ GIMT_Encode4(2393704), // Rule ID 56516 //
     /* 2393663 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2393666 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393666 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2393669 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393673 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393678 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2393683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393685 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393702 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393703 */     // GIR_Coverage, 56516,
     /* 2393703 */     GIR_EraseRootFromParent_Done,
     /* 2393704 */   // Label 34145: @2393704
     /* 2393704 */   GIM_Try, /*On fail goto*//*Label 34146*/ GIMT_Encode4(2393750), // Rule ID 56517 //
     /* 2393709 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2393712 */     // (fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393712 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2393715 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393719 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393724 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393726 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2393729 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393731 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393736 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393739 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2393745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393749 */     // GIR_Coverage, 56517,
     /* 2393749 */     GIR_EraseRootFromParent_Done,
     /* 2393750 */   // Label 34146: @2393750
     /* 2393750 */   GIM_Reject,
     /* 2393751 */ // Label 34144: @2393751
     /* 2393751 */ GIM_Reject,
     /* 2393752 */ // Label 34091: @2393752
     /* 2393752 */ GIM_Try, /*On fail goto*//*Label 34147*/ GIMT_Encode4(2393861),
     /* 2393757 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2393760 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393764 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2393768 */   GIM_Try, /*On fail goto*//*Label 34148*/ GIMT_Encode4(2393814), // Rule ID 56376 //
     /* 2393773 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393776 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393776 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2393779 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393783 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393788 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2393793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393795 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393798 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393812 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393813 */     // GIR_Coverage, 56376,
     /* 2393813 */     GIR_EraseRootFromParent_Done,
     /* 2393814 */   // Label 34148: @2393814
     /* 2393814 */   GIM_Try, /*On fail goto*//*Label 34149*/ GIMT_Encode4(2393860), // Rule ID 56377 //
     /* 2393819 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2393822 */     // (fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393822 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2393825 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393829 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393834 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393836 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2393839 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393841 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2393855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393859 */     // GIR_Coverage, 56377,
     /* 2393859 */     GIR_EraseRootFromParent_Done,
     /* 2393860 */   // Label 34149: @2393860
     /* 2393860 */   GIM_Reject,
     /* 2393861 */ // Label 34147: @2393861
     /* 2393861 */ GIM_Reject,
     /* 2393862 */ // Label 34092: @2393862
     /* 2393862 */ GIM_Try, /*On fail goto*//*Label 34150*/ GIMT_Encode4(2393971),
     /* 2393867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2393870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393874 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393878 */   GIM_Try, /*On fail goto*//*Label 34151*/ GIMT_Encode4(2393924), // Rule ID 56456 //
     /* 2393883 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2393886 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393886 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2393889 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393893 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393898 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393900 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2393903 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393905 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393923 */     // GIR_Coverage, 56456,
     /* 2393923 */     GIR_EraseRootFromParent_Done,
     /* 2393924 */   // Label 34151: @2393924
     /* 2393924 */   GIM_Try, /*On fail goto*//*Label 34152*/ GIMT_Encode4(2393970), // Rule ID 56457 //
     /* 2393929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2393932 */     // (fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2393932 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2393935 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2393939 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2393944 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2393946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2393949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2393951 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2393954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2393956 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2393959 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2393962 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2393965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2393968 */     GIR_RootConstrainSelectedInstOperands,
     /* 2393969 */     // GIR_Coverage, 56457,
     /* 2393969 */     GIR_EraseRootFromParent_Done,
     /* 2393970 */   // Label 34152: @2393970
     /* 2393970 */   GIM_Reject,
     /* 2393971 */ // Label 34150: @2393971
     /* 2393971 */ GIM_Reject,
     /* 2393972 */ // Label 34093: @2393972
     /* 2393972 */ GIM_Try, /*On fail goto*//*Label 34153*/ GIMT_Encode4(2394081),
     /* 2393977 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2393980 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393984 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2393988 */   GIM_Try, /*On fail goto*//*Label 34154*/ GIMT_Encode4(2394034), // Rule ID 56396 //
     /* 2393993 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2393996 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2393996 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2393999 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394003 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394008 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2394013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394015 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2394020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394032 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394033 */     // GIR_Coverage, 56396,
     /* 2394033 */     GIR_EraseRootFromParent_Done,
     /* 2394034 */   // Label 34154: @2394034
     /* 2394034 */   GIM_Try, /*On fail goto*//*Label 34155*/ GIMT_Encode4(2394080), // Rule ID 56397 //
     /* 2394039 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2394042 */     // (fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2394042 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2394045 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2394049 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2394054 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2394056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2394059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394061 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2394064 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2394066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2394072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2394075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2394078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394079 */     // GIR_Coverage, 56397,
     /* 2394079 */     GIR_EraseRootFromParent_Done,
     /* 2394080 */   // Label 34155: @2394080
     /* 2394080 */   GIM_Reject,
     /* 2394081 */ // Label 34153: @2394081
     /* 2394081 */ GIM_Reject,
     /* 2394082 */ // Label 34094: @2394082
     /* 2394082 */ GIM_Reject,
     /* 2394083 */ // Label 95: @2394083
     /* 2394083 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34159*/ GIMT_Encode4(2394280),
     /* 2394094 */ /*GILLT_s16*//*Label 34156*/ GIMT_Encode4(2394106),
     /* 2394098 */ /*GILLT_s32*//*Label 34157*/ GIMT_Encode4(2394164),
     /* 2394102 */ /*GILLT_s64*//*Label 34158*/ GIMT_Encode4(2394222),
     /* 2394106 */ // Label 34156: @2394106
     /* 2394106 */ GIM_Try, /*On fail goto*//*Label 34160*/ GIMT_Encode4(2394163),
     /* 2394111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394114 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394118 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394122 */   GIM_Try, /*On fail goto*//*Label 34161*/ GIMT_Encode4(2394142), // Rule ID 2424 //
     /* 2394127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2394130 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i64] })
     /* 2394130 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2394133 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394135 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2394140 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394141 */     // GIR_Coverage, 2424,
     /* 2394141 */     GIR_EraseRootFromParent_Done,
     /* 2394142 */   // Label 34161: @2394142
     /* 2394142 */   GIM_Try, /*On fail goto*//*Label 34162*/ GIMT_Encode4(2394162), // Rule ID 2425 //
     /* 2394147 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2394150 */     // (ffloor:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 2:{ *:[i32] })
     /* 2394150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2394153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2394160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394161 */     // GIR_Coverage, 2425,
     /* 2394161 */     GIR_EraseRootFromParent_Done,
     /* 2394162 */   // Label 34162: @2394162
     /* 2394162 */   GIM_Reject,
     /* 2394163 */ // Label 34160: @2394163
     /* 2394163 */ GIM_Reject,
     /* 2394164 */ // Label 34157: @2394164
     /* 2394164 */ GIM_Try, /*On fail goto*//*Label 34163*/ GIMT_Encode4(2394221),
     /* 2394169 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2394172 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394176 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394180 */   GIM_Try, /*On fail goto*//*Label 34164*/ GIMT_Encode4(2394200), // Rule ID 2342 //
     /* 2394185 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2394188 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i64] })
     /* 2394188 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2394191 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394193 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394195 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2394198 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394199 */     // GIR_Coverage, 2342,
     /* 2394199 */     GIR_EraseRootFromParent_Done,
     /* 2394200 */   // Label 34164: @2394200
     /* 2394200 */   GIM_Try, /*On fail goto*//*Label 34165*/ GIMT_Encode4(2394220), // Rule ID 2343 //
     /* 2394205 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2394208 */     // (ffloor:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 2:{ *:[i32] })
     /* 2394208 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2394211 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394213 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2394218 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394219 */     // GIR_Coverage, 2343,
     /* 2394219 */     GIR_EraseRootFromParent_Done,
     /* 2394220 */   // Label 34165: @2394220
     /* 2394220 */   GIM_Reject,
     /* 2394221 */ // Label 34163: @2394221
     /* 2394221 */ GIM_Reject,
     /* 2394222 */ // Label 34158: @2394222
     /* 2394222 */ GIM_Try, /*On fail goto*//*Label 34166*/ GIMT_Encode4(2394279),
     /* 2394227 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394230 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394234 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394238 */   GIM_Try, /*On fail goto*//*Label 34167*/ GIMT_Encode4(2394258), // Rule ID 2382 //
     /* 2394243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2394246 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i64] })
     /* 2394246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2394249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2394256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394257 */     // GIR_Coverage, 2382,
     /* 2394257 */     GIR_EraseRootFromParent_Done,
     /* 2394258 */   // Label 34167: @2394258
     /* 2394258 */   GIM_Try, /*On fail goto*//*Label 34168*/ GIMT_Encode4(2394278), // Rule ID 2383 //
     /* 2394263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2394266 */     // (ffloor:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 2:{ *:[i32] })
     /* 2394266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2394269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/2,
     /* 2394276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394277 */     // GIR_Coverage, 2383,
     /* 2394277 */     GIR_EraseRootFromParent_Done,
     /* 2394278 */   // Label 34168: @2394278
     /* 2394278 */   GIM_Reject,
     /* 2394279 */ // Label 34166: @2394279
     /* 2394279 */ GIM_Reject,
     /* 2394280 */ // Label 34159: @2394280
     /* 2394280 */ GIM_Reject,
     /* 2394281 */ // Label 96: @2394281
     /* 2394281 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34172*/ GIMT_Encode4(2394478),
     /* 2394292 */ /*GILLT_s16*//*Label 34169*/ GIMT_Encode4(2394304),
     /* 2394296 */ /*GILLT_s32*//*Label 34170*/ GIMT_Encode4(2394362),
     /* 2394300 */ /*GILLT_s64*//*Label 34171*/ GIMT_Encode4(2394420),
     /* 2394304 */ // Label 34169: @2394304
     /* 2394304 */ GIM_Try, /*On fail goto*//*Label 34173*/ GIMT_Encode4(2394361),
     /* 2394309 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394312 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394316 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394320 */   GIM_Try, /*On fail goto*//*Label 34174*/ GIMT_Encode4(2394340), // Rule ID 2408 //
     /* 2394325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2394328 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2394328 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2394331 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394333 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394338 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394339 */     // GIR_Coverage, 2408,
     /* 2394339 */     GIR_EraseRootFromParent_Done,
     /* 2394340 */   // Label 34174: @2394340
     /* 2394340 */   GIM_Try, /*On fail goto*//*Label 34175*/ GIMT_Encode4(2394360), // Rule ID 2409 //
     /* 2394345 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2394348 */     // (frint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUNDNX_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2394348 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_H),
     /* 2394351 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394353 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394359 */     // GIR_Coverage, 2409,
     /* 2394359 */     GIR_EraseRootFromParent_Done,
     /* 2394360 */   // Label 34175: @2394360
     /* 2394360 */   GIM_Reject,
     /* 2394361 */ // Label 34173: @2394361
     /* 2394361 */ GIM_Reject,
     /* 2394362 */ // Label 34170: @2394362
     /* 2394362 */ GIM_Try, /*On fail goto*//*Label 34176*/ GIMT_Encode4(2394419),
     /* 2394367 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2394370 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394374 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394378 */   GIM_Try, /*On fail goto*//*Label 34177*/ GIMT_Encode4(2394398), // Rule ID 2326 //
     /* 2394383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2394386 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2394386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2394389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394396 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394397 */     // GIR_Coverage, 2326,
     /* 2394397 */     GIR_EraseRootFromParent_Done,
     /* 2394398 */   // Label 34177: @2394398
     /* 2394398 */   GIM_Try, /*On fail goto*//*Label 34178*/ GIMT_Encode4(2394418), // Rule ID 2327 //
     /* 2394403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2394406 */     // (frint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUNDNX_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2394406 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_S),
     /* 2394409 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394411 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394417 */     // GIR_Coverage, 2327,
     /* 2394417 */     GIR_EraseRootFromParent_Done,
     /* 2394418 */   // Label 34178: @2394418
     /* 2394418 */   GIM_Reject,
     /* 2394419 */ // Label 34176: @2394419
     /* 2394419 */ GIM_Reject,
     /* 2394420 */ // Label 34171: @2394420
     /* 2394420 */ GIM_Try, /*On fail goto*//*Label 34179*/ GIMT_Encode4(2394477),
     /* 2394425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394428 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394432 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394436 */   GIM_Try, /*On fail goto*//*Label 34180*/ GIMT_Encode4(2394456), // Rule ID 2366 //
     /* 2394441 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2394444 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2394444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2394447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394449 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394455 */     // GIR_Coverage, 2366,
     /* 2394455 */     GIR_EraseRootFromParent_Done,
     /* 2394456 */   // Label 34180: @2394456
     /* 2394456 */   GIM_Try, /*On fail goto*//*Label 34181*/ GIMT_Encode4(2394476), // Rule ID 2367 //
     /* 2394461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2394464 */     // (frint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUNDNX_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2394464 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUNDNX_D),
     /* 2394467 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394469 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394474 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394475 */     // GIR_Coverage, 2367,
     /* 2394475 */     GIR_EraseRootFromParent_Done,
     /* 2394476 */   // Label 34181: @2394476
     /* 2394476 */   GIM_Reject,
     /* 2394477 */ // Label 34179: @2394477
     /* 2394477 */ GIM_Reject,
     /* 2394478 */ // Label 34172: @2394478
     /* 2394478 */ GIM_Reject,
     /* 2394479 */ // Label 97: @2394479
     /* 2394479 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34185*/ GIMT_Encode4(2394676),
     /* 2394490 */ /*GILLT_s16*//*Label 34182*/ GIMT_Encode4(2394502),
     /* 2394494 */ /*GILLT_s32*//*Label 34183*/ GIMT_Encode4(2394560),
     /* 2394498 */ /*GILLT_s64*//*Label 34184*/ GIMT_Encode4(2394618),
     /* 2394502 */ // Label 34182: @2394502
     /* 2394502 */ GIM_Try, /*On fail goto*//*Label 34186*/ GIMT_Encode4(2394559),
     /* 2394507 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394518 */   GIM_Try, /*On fail goto*//*Label 34187*/ GIMT_Encode4(2394538), // Rule ID 2412 //
     /* 2394523 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode0),
     /* 2394526 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2394526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2394529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394536 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394537 */     // GIR_Coverage, 2412,
     /* 2394537 */     GIR_EraseRootFromParent_Done,
     /* 2394538 */   // Label 34187: @2394538
     /* 2394538 */   GIM_Try, /*On fail goto*//*Label 34188*/ GIMT_Encode4(2394558), // Rule ID 2413 //
     /* 2394543 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HasStdExtZfh_HwMode1),
     /* 2394546 */     // (fnearbyint:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FROUND_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2394546 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_H),
     /* 2394549 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394556 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394557 */     // GIR_Coverage, 2413,
     /* 2394557 */     GIR_EraseRootFromParent_Done,
     /* 2394558 */   // Label 34188: @2394558
     /* 2394558 */   GIM_Reject,
     /* 2394559 */ // Label 34186: @2394559
     /* 2394559 */ GIM_Reject,
     /* 2394560 */ // Label 34183: @2394560
     /* 2394560 */ GIM_Try, /*On fail goto*//*Label 34189*/ GIMT_Encode4(2394617),
     /* 2394565 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2394568 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394572 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394576 */   GIM_Try, /*On fail goto*//*Label 34190*/ GIMT_Encode4(2394596), // Rule ID 2330 //
     /* 2394581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode0),
     /* 2394584 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2394584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2394587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394594 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394595 */     // GIR_Coverage, 2330,
     /* 2394595 */     GIR_EraseRootFromParent_Done,
     /* 2394596 */   // Label 34190: @2394596
     /* 2394596 */   GIM_Try, /*On fail goto*//*Label 34191*/ GIMT_Encode4(2394616), // Rule ID 2331 //
     /* 2394601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfa_HwMode1),
     /* 2394604 */     // (fnearbyint:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FROUND_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2394604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_S),
     /* 2394607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394615 */     // GIR_Coverage, 2331,
     /* 2394615 */     GIR_EraseRootFromParent_Done,
     /* 2394616 */   // Label 34191: @2394616
     /* 2394616 */   GIM_Reject,
     /* 2394617 */ // Label 34189: @2394617
     /* 2394617 */ GIM_Reject,
     /* 2394618 */ // Label 34184: @2394618
     /* 2394618 */ GIM_Try, /*On fail goto*//*Label 34192*/ GIMT_Encode4(2394675),
     /* 2394623 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2394626 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394630 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2394634 */   GIM_Try, /*On fail goto*//*Label 34193*/ GIMT_Encode4(2394654), // Rule ID 2370 //
     /* 2394639 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode0),
     /* 2394642 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2394642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2394645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394647 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394653 */     // GIR_Coverage, 2370,
     /* 2394653 */     GIR_EraseRootFromParent_Done,
     /* 2394654 */   // Label 34193: @2394654
     /* 2394654 */   GIM_Try, /*On fail goto*//*Label 34194*/ GIMT_Encode4(2394674), // Rule ID 2371 //
     /* 2394659 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HasStdExtZfa_HwMode1),
     /* 2394662 */     // (fnearbyint:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FROUND_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2394662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FROUND_D),
     /* 2394665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394672 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394673 */     // GIR_Coverage, 2371,
     /* 2394673 */     GIR_EraseRootFromParent_Done,
     /* 2394674 */   // Label 34194: @2394674
     /* 2394674 */   GIM_Reject,
     /* 2394675 */ // Label 34192: @2394675
     /* 2394675 */ GIM_Reject,
     /* 2394676 */ // Label 34185: @2394676
     /* 2394676 */ GIM_Reject,
     /* 2394677 */ // Label 98: @2394677
     /* 2394677 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34213*/ GIMT_Encode4(2397104),
     /* 2394688 */ /*GILLT_s16*//*Label 34195*/ GIMT_Encode4(2394808),
     /* 2394692 */ /*GILLT_s32*//*Label 34196*/ GIMT_Encode4(2394957),
     /* 2394696 */ /*GILLT_s64*//*Label 34197*/ GIMT_Encode4(2395106), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394708 */ /*GILLT_nxv1s16*//*Label 34198*/ GIMT_Encode4(2395289),
     /* 2394712 */ /*GILLT_nxv1s32*//*Label 34199*/ GIMT_Encode4(2395410),
     /* 2394716 */ /*GILLT_nxv1s64*//*Label 34200*/ GIMT_Encode4(2395531), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394728 */ /*GILLT_nxv2s16*//*Label 34201*/ GIMT_Encode4(2395652),
     /* 2394732 */ /*GILLT_nxv2s32*//*Label 34202*/ GIMT_Encode4(2395773),
     /* 2394736 */ /*GILLT_nxv2s64*//*Label 34203*/ GIMT_Encode4(2395894), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394748 */ /*GILLT_nxv4s16*//*Label 34204*/ GIMT_Encode4(2396015),
     /* 2394752 */ /*GILLT_nxv4s32*//*Label 34205*/ GIMT_Encode4(2396136),
     /* 2394756 */ /*GILLT_nxv4s64*//*Label 34206*/ GIMT_Encode4(2396257), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394768 */ /*GILLT_nxv8s16*//*Label 34207*/ GIMT_Encode4(2396378),
     /* 2394772 */ /*GILLT_nxv8s32*//*Label 34208*/ GIMT_Encode4(2396499),
     /* 2394776 */ /*GILLT_nxv8s64*//*Label 34209*/ GIMT_Encode4(2396620), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394788 */ /*GILLT_nxv16s16*//*Label 34210*/ GIMT_Encode4(2396741),
     /* 2394792 */ /*GILLT_nxv16s32*//*Label 34211*/ GIMT_Encode4(2396862), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2394804 */ /*GILLT_nxv32s16*//*Label 34212*/ GIMT_Encode4(2396983),
     /* 2394808 */ // Label 34195: @2394808
     /* 2394808 */ GIM_Try, /*On fail goto*//*Label 34214*/ GIMT_Encode4(2394956),
     /* 2394813 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2394816 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2394819 */   GIM_Try, /*On fail goto*//*Label 34215*/ GIMT_Encode4(2394853), // Rule ID 1952 //
     /* 2394824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2394827 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394831 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394835 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394839 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2394839 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2394842 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394844 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394846 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394851 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394852 */     // GIR_Coverage, 1952,
     /* 2394852 */     GIR_EraseRootFromParent_Done,
     /* 2394853 */   // Label 34215: @2394853
     /* 2394853 */   GIM_Try, /*On fail goto*//*Label 34216*/ GIMT_Encode4(2394887), // Rule ID 1953 //
     /* 2394858 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2394861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2394873 */     // (strict_fadd:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2394873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H),
     /* 2394876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394886 */     // GIR_Coverage, 1953,
     /* 2394886 */     GIR_EraseRootFromParent_Done,
     /* 2394887 */   // Label 34216: @2394887
     /* 2394887 */   GIM_Try, /*On fail goto*//*Label 34217*/ GIMT_Encode4(2394921), // Rule ID 1956 //
     /* 2394892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2394895 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394899 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394903 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394907 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2394907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2394910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394920 */     // GIR_Coverage, 1956,
     /* 2394920 */     GIR_EraseRootFromParent_Done,
     /* 2394921 */   // Label 34217: @2394921
     /* 2394921 */   GIM_Try, /*On fail goto*//*Label 34218*/ GIMT_Encode4(2394955), // Rule ID 1957 //
     /* 2394926 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2394929 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394933 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394937 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2394941 */     // (strict_fadd:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2394941 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_H_INX),
     /* 2394944 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394946 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394948 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2394953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2394954 */     // GIR_Coverage, 1957,
     /* 2394954 */     GIR_EraseRootFromParent_Done,
     /* 2394955 */   // Label 34218: @2394955
     /* 2394955 */   GIM_Reject,
     /* 2394956 */ // Label 34214: @2394956
     /* 2394956 */ GIM_Reject,
     /* 2394957 */ // Label 34196: @2394957
     /* 2394957 */ GIM_Try, /*On fail goto*//*Label 34219*/ GIMT_Encode4(2395105),
     /* 2394962 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2394965 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2394968 */   GIM_Try, /*On fail goto*//*Label 34220*/ GIMT_Encode4(2395002), // Rule ID 1243 //
     /* 2394973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2394976 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394980 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394984 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2394988 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2394988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2394991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2394993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2394995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2394997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395001 */     // GIR_Coverage, 1243,
     /* 2395001 */     GIR_EraseRootFromParent_Done,
     /* 2395002 */   // Label 34220: @2395002
     /* 2395002 */   GIM_Try, /*On fail goto*//*Label 34221*/ GIMT_Encode4(2395036), // Rule ID 1244 //
     /* 2395007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2395010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2395022 */     // (strict_fadd:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2395022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S),
     /* 2395025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395035 */     // GIR_Coverage, 1244,
     /* 2395035 */     GIR_EraseRootFromParent_Done,
     /* 2395036 */   // Label 34221: @2395036
     /* 2395036 */   GIM_Try, /*On fail goto*//*Label 34222*/ GIMT_Encode4(2395070), // Rule ID 1247 //
     /* 2395041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2395044 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395048 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395052 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395056 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2395056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2395059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395061 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395063 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395065 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395069 */     // GIR_Coverage, 1247,
     /* 2395069 */     GIR_EraseRootFromParent_Done,
     /* 2395070 */   // Label 34222: @2395070
     /* 2395070 */   GIM_Try, /*On fail goto*//*Label 34223*/ GIMT_Encode4(2395104), // Rule ID 1248 //
     /* 2395075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2395078 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395082 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395086 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2395090 */     // (strict_fadd:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2395090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_S_INX),
     /* 2395093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395102 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395103 */     // GIR_Coverage, 1248,
     /* 2395103 */     GIR_EraseRootFromParent_Done,
     /* 2395104 */   // Label 34223: @2395104
     /* 2395104 */   GIM_Reject,
     /* 2395105 */ // Label 34219: @2395105
     /* 2395105 */ GIM_Reject,
     /* 2395106 */ // Label 34197: @2395106
     /* 2395106 */ GIM_Try, /*On fail goto*//*Label 34224*/ GIMT_Encode4(2395288),
     /* 2395111 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2395114 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2395117 */   GIM_Try, /*On fail goto*//*Label 34225*/ GIMT_Encode4(2395151), // Rule ID 1578 //
     /* 2395122 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2395125 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395129 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395133 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395137 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2395137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2395140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395142 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395150 */     // GIR_Coverage, 1578,
     /* 2395150 */     GIR_EraseRootFromParent_Done,
     /* 2395151 */   // Label 34225: @2395151
     /* 2395151 */   GIM_Try, /*On fail goto*//*Label 34226*/ GIMT_Encode4(2395185), // Rule ID 1579 //
     /* 2395156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2395159 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395163 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395167 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2395171 */     // (strict_fadd:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2395171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D),
     /* 2395174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395180 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395183 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395184 */     // GIR_Coverage, 1579,
     /* 2395184 */     GIR_EraseRootFromParent_Done,
     /* 2395185 */   // Label 34226: @2395185
     /* 2395185 */   GIM_Try, /*On fail goto*//*Label 34227*/ GIMT_Encode4(2395219), // Rule ID 1582 //
     /* 2395190 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2395193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395205 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2395205 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2395208 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395210 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395212 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395217 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395218 */     // GIR_Coverage, 1582,
     /* 2395218 */     GIR_EraseRootFromParent_Done,
     /* 2395219 */   // Label 34227: @2395219
     /* 2395219 */   GIM_Try, /*On fail goto*//*Label 34228*/ GIMT_Encode4(2395253), // Rule ID 1583 //
     /* 2395224 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2395227 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395231 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395235 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2395239 */     // (strict_fadd:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2395239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_IN32X),
     /* 2395242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395244 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395246 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395251 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395252 */     // GIR_Coverage, 1583,
     /* 2395252 */     GIR_EraseRootFromParent_Done,
     /* 2395253 */   // Label 34228: @2395253
     /* 2395253 */   GIM_Try, /*On fail goto*//*Label 34229*/ GIMT_Encode4(2395287), // Rule ID 1586 //
     /* 2395258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2395261 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395265 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2395273 */     // (strict_fadd:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2395273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FADD_D_INX),
     /* 2395276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395286 */     // GIR_Coverage, 1586,
     /* 2395286 */     GIR_EraseRootFromParent_Done,
     /* 2395287 */   // Label 34229: @2395287
     /* 2395287 */   GIM_Reject,
     /* 2395288 */ // Label 34224: @2395288
     /* 2395288 */ GIM_Reject,
     /* 2395289 */ // Label 34198: @2395289
     /* 2395289 */ GIM_Try, /*On fail goto*//*Label 34230*/ GIMT_Encode4(2395409),
     /* 2395294 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2395297 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2395300 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395304 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395308 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395312 */   GIM_Try, /*On fail goto*//*Label 34231*/ GIMT_Encode4(2395360), // Rule ID 45756 //
     /* 2395317 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395320 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395320 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2395323 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395327 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395332 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2395337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395339 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395342 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395344 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395352 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395355 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395358 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395359 */     // GIR_Coverage, 45756,
     /* 2395359 */     GIR_EraseRootFromParent_Done,
     /* 2395360 */   // Label 34231: @2395360
     /* 2395360 */   GIM_Try, /*On fail goto*//*Label 34232*/ GIMT_Encode4(2395408), // Rule ID 45757 //
     /* 2395365 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395368 */     // (strict_fadd:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFADD_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395368 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2395371 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395375 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395380 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF4_E16),
     /* 2395385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395387 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395406 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395407 */     // GIR_Coverage, 45757,
     /* 2395407 */     GIR_EraseRootFromParent_Done,
     /* 2395408 */   // Label 34232: @2395408
     /* 2395408 */   GIM_Reject,
     /* 2395409 */ // Label 34230: @2395409
     /* 2395409 */ GIM_Reject,
     /* 2395410 */ // Label 34199: @2395410
     /* 2395410 */ GIM_Try, /*On fail goto*//*Label 34233*/ GIMT_Encode4(2395530),
     /* 2395415 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2395418 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2395421 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395425 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395429 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395433 */   GIM_Try, /*On fail goto*//*Label 34234*/ GIMT_Encode4(2395481), // Rule ID 53296 //
     /* 2395438 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395441 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395441 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2395444 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395448 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395453 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2395458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395460 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395467 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395470 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395480 */     // GIR_Coverage, 53296,
     /* 2395480 */     GIR_EraseRootFromParent_Done,
     /* 2395481 */   // Label 34234: @2395481
     /* 2395481 */   GIM_Try, /*On fail goto*//*Label 34235*/ GIMT_Encode4(2395529), // Rule ID 53297 //
     /* 2395486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395489 */     // (strict_fadd:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395489 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2395492 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395496 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395501 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395503 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E32),
     /* 2395506 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395508 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395511 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395513 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395515 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395518 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395521 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395528 */     // GIR_Coverage, 53297,
     /* 2395528 */     GIR_EraseRootFromParent_Done,
     /* 2395529 */   // Label 34235: @2395529
     /* 2395529 */   GIM_Reject,
     /* 2395530 */ // Label 34233: @2395530
     /* 2395530 */ GIM_Reject,
     /* 2395531 */ // Label 34200: @2395531
     /* 2395531 */ GIM_Try, /*On fail goto*//*Label 34236*/ GIMT_Encode4(2395651),
     /* 2395536 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2395539 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2395542 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395546 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395550 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395554 */   GIM_Try, /*On fail goto*//*Label 34237*/ GIMT_Encode4(2395602), // Rule ID 53332 //
     /* 2395559 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395562 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395562 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2395565 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395569 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395574 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395576 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2395579 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395581 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395588 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395591 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395601 */     // GIR_Coverage, 53332,
     /* 2395601 */     GIR_EraseRootFromParent_Done,
     /* 2395602 */   // Label 34237: @2395602
     /* 2395602 */   GIM_Try, /*On fail goto*//*Label 34238*/ GIMT_Encode4(2395650), // Rule ID 53333 //
     /* 2395607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395610 */     // (strict_fadd:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFADD_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395610 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2395613 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395617 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395622 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395624 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E64),
     /* 2395627 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395629 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395648 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395649 */     // GIR_Coverage, 53333,
     /* 2395649 */     GIR_EraseRootFromParent_Done,
     /* 2395650 */   // Label 34238: @2395650
     /* 2395650 */   GIM_Reject,
     /* 2395651 */ // Label 34236: @2395651
     /* 2395651 */ GIM_Reject,
     /* 2395652 */ // Label 34201: @2395652
     /* 2395652 */ GIM_Try, /*On fail goto*//*Label 34239*/ GIMT_Encode4(2395772),
     /* 2395657 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2395660 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2395663 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395667 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395671 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395675 */   GIM_Try, /*On fail goto*//*Label 34240*/ GIMT_Encode4(2395723), // Rule ID 53284 //
     /* 2395680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2395683 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2395686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2395700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395709 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395721 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395722 */     // GIR_Coverage, 53284,
     /* 2395722 */     GIR_EraseRootFromParent_Done,
     /* 2395723 */   // Label 34240: @2395723
     /* 2395723 */   GIM_Try, /*On fail goto*//*Label 34241*/ GIMT_Encode4(2395771), // Rule ID 53285 //
     /* 2395728 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2395731 */     // (strict_fadd:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFADD_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395731 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2395734 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395738 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395743 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_MF2_E16),
     /* 2395748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395750 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395753 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2395766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395770 */     // GIR_Coverage, 53285,
     /* 2395770 */     GIR_EraseRootFromParent_Done,
     /* 2395771 */   // Label 34241: @2395771
     /* 2395771 */   GIM_Reject,
     /* 2395772 */ // Label 34239: @2395772
     /* 2395772 */ GIM_Reject,
     /* 2395773 */ // Label 34202: @2395773
     /* 2395773 */ GIM_Try, /*On fail goto*//*Label 34242*/ GIMT_Encode4(2395893),
     /* 2395778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2395781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2395784 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395788 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395792 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2395796 */   GIM_Try, /*On fail goto*//*Label 34243*/ GIMT_Encode4(2395844), // Rule ID 53320 //
     /* 2395801 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2395804 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395804 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2395807 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395811 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395816 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2395821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395823 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395826 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395828 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395839 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395843 */     // GIR_Coverage, 53320,
     /* 2395843 */     GIR_EraseRootFromParent_Done,
     /* 2395844 */   // Label 34243: @2395844
     /* 2395844 */   GIM_Try, /*On fail goto*//*Label 34244*/ GIMT_Encode4(2395892), // Rule ID 53321 //
     /* 2395849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2395852 */     // (strict_fadd:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFADD_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395852 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2395855 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395859 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395864 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E32),
     /* 2395869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395871 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395874 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395876 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2395887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395891 */     // GIR_Coverage, 53321,
     /* 2395891 */     GIR_EraseRootFromParent_Done,
     /* 2395892 */   // Label 34244: @2395892
     /* 2395892 */   GIM_Reject,
     /* 2395893 */ // Label 34242: @2395893
     /* 2395893 */ GIM_Reject,
     /* 2395894 */ // Label 34203: @2395894
     /* 2395894 */ GIM_Try, /*On fail goto*//*Label 34245*/ GIMT_Encode4(2396014),
     /* 2395899 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2395902 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2395905 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2395909 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2395913 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2395917 */   GIM_Try, /*On fail goto*//*Label 34246*/ GIMT_Encode4(2395965), // Rule ID 53416 //
     /* 2395922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2395925 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2395925 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2395928 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395932 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395937 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2395942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395944 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395947 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395949 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2395954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2395957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2395960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2395963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2395964 */     // GIR_Coverage, 53416,
     /* 2395964 */     GIR_EraseRootFromParent_Done,
     /* 2395965 */   // Label 34246: @2395965
     /* 2395965 */   GIM_Try, /*On fail goto*//*Label 34247*/ GIMT_Encode4(2396013), // Rule ID 53417 //
     /* 2395970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2395973 */     // (strict_fadd:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFADD_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2395973 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2395976 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2395980 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2395985 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2395987 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E64),
     /* 2395990 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2395992 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2395995 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2395997 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2395999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396005 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396008 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396011 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396012 */     // GIR_Coverage, 53417,
     /* 2396012 */     GIR_EraseRootFromParent_Done,
     /* 2396013 */   // Label 34247: @2396013
     /* 2396013 */   GIM_Reject,
     /* 2396014 */ // Label 34245: @2396014
     /* 2396014 */ GIM_Reject,
     /* 2396015 */ // Label 34204: @2396015
     /* 2396015 */ GIM_Try, /*On fail goto*//*Label 34248*/ GIMT_Encode4(2396135),
     /* 2396020 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2396023 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2396026 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396030 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396034 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2396038 */   GIM_Try, /*On fail goto*//*Label 34249*/ GIMT_Encode4(2396086), // Rule ID 53308 //
     /* 2396043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396046 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396046 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2396049 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396053 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396058 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2396063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396065 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396070 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396085 */     // GIR_Coverage, 53308,
     /* 2396085 */     GIR_EraseRootFromParent_Done,
     /* 2396086 */   // Label 34249: @2396086
     /* 2396086 */   GIM_Try, /*On fail goto*//*Label 34250*/ GIMT_Encode4(2396134), // Rule ID 53309 //
     /* 2396091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396094 */     // (strict_fadd:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFADD_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396094 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2396097 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396101 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396106 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396108 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M1_E16),
     /* 2396111 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396113 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396116 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396118 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396129 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396132 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396133 */     // GIR_Coverage, 53309,
     /* 2396133 */     GIR_EraseRootFromParent_Done,
     /* 2396134 */   // Label 34250: @2396134
     /* 2396134 */   GIM_Reject,
     /* 2396135 */ // Label 34248: @2396135
     /* 2396135 */ GIM_Reject,
     /* 2396136 */ // Label 34205: @2396136
     /* 2396136 */ GIM_Try, /*On fail goto*//*Label 34251*/ GIMT_Encode4(2396256),
     /* 2396141 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2396144 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2396147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396151 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396155 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396159 */   GIM_Try, /*On fail goto*//*Label 34252*/ GIMT_Encode4(2396207), // Rule ID 53380 //
     /* 2396164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396167 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396167 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2396170 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396174 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396179 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396181 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2396184 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396186 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396189 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396206 */     // GIR_Coverage, 53380,
     /* 2396206 */     GIR_EraseRootFromParent_Done,
     /* 2396207 */   // Label 34252: @2396207
     /* 2396207 */   GIM_Try, /*On fail goto*//*Label 34253*/ GIMT_Encode4(2396255), // Rule ID 53381 //
     /* 2396212 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396215 */     // (strict_fadd:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFADD_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396215 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2396218 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396222 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396227 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E32),
     /* 2396232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396234 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396237 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396254 */     // GIR_Coverage, 53381,
     /* 2396254 */     GIR_EraseRootFromParent_Done,
     /* 2396255 */   // Label 34253: @2396255
     /* 2396255 */   GIM_Reject,
     /* 2396256 */ // Label 34251: @2396256
     /* 2396256 */ GIM_Reject,
     /* 2396257 */ // Label 34206: @2396257
     /* 2396257 */ GIM_Try, /*On fail goto*//*Label 34254*/ GIMT_Encode4(2396377),
     /* 2396262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2396265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2396268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396280 */   GIM_Try, /*On fail goto*//*Label 34255*/ GIMT_Encode4(2396328), // Rule ID 53428 //
     /* 2396285 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396288 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396288 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2396291 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396295 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396300 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2396305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396307 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396314 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396317 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396327 */     // GIR_Coverage, 53428,
     /* 2396327 */     GIR_EraseRootFromParent_Done,
     /* 2396328 */   // Label 34255: @2396328
     /* 2396328 */   GIM_Try, /*On fail goto*//*Label 34256*/ GIMT_Encode4(2396376), // Rule ID 53429 //
     /* 2396333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396336 */     // (strict_fadd:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFADD_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396336 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2396339 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396343 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396348 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396350 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E64),
     /* 2396353 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396355 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396360 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396374 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396375 */     // GIR_Coverage, 53429,
     /* 2396375 */     GIR_EraseRootFromParent_Done,
     /* 2396376 */   // Label 34256: @2396376
     /* 2396376 */   GIM_Reject,
     /* 2396377 */ // Label 34254: @2396377
     /* 2396377 */ GIM_Reject,
     /* 2396378 */ // Label 34207: @2396378
     /* 2396378 */ GIM_Try, /*On fail goto*//*Label 34257*/ GIMT_Encode4(2396498),
     /* 2396383 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2396386 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2396389 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396393 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396397 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2396401 */   GIM_Try, /*On fail goto*//*Label 34258*/ GIMT_Encode4(2396449), // Rule ID 53344 //
     /* 2396406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396409 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396409 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2396412 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396416 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396421 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396423 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2396426 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396428 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396431 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396435 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396438 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396448 */     // GIR_Coverage, 53344,
     /* 2396448 */     GIR_EraseRootFromParent_Done,
     /* 2396449 */   // Label 34258: @2396449
     /* 2396449 */   GIM_Try, /*On fail goto*//*Label 34259*/ GIMT_Encode4(2396497), // Rule ID 53345 //
     /* 2396454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396457 */     // (strict_fadd:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFADD_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396457 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2396460 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396464 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396469 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M2_E16),
     /* 2396474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396476 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396479 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396496 */     // GIR_Coverage, 53345,
     /* 2396496 */     GIR_EraseRootFromParent_Done,
     /* 2396497 */   // Label 34259: @2396497
     /* 2396497 */   GIM_Reject,
     /* 2396498 */ // Label 34257: @2396498
     /* 2396498 */ GIM_Reject,
     /* 2396499 */ // Label 34208: @2396499
     /* 2396499 */ GIM_Try, /*On fail goto*//*Label 34260*/ GIMT_Encode4(2396619),
     /* 2396504 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2396507 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2396510 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396514 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396518 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396522 */   GIM_Try, /*On fail goto*//*Label 34261*/ GIMT_Encode4(2396570), // Rule ID 53392 //
     /* 2396527 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396530 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396530 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2396533 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396537 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396542 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2396547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396549 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396552 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396554 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396569 */     // GIR_Coverage, 53392,
     /* 2396569 */     GIR_EraseRootFromParent_Done,
     /* 2396570 */   // Label 34261: @2396570
     /* 2396570 */   GIM_Try, /*On fail goto*//*Label 34262*/ GIMT_Encode4(2396618), // Rule ID 53393 //
     /* 2396575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396578 */     // (strict_fadd:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFADD_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396578 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2396581 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396585 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396590 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396592 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E32),
     /* 2396595 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396597 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396600 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396616 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396617 */     // GIR_Coverage, 53393,
     /* 2396617 */     GIR_EraseRootFromParent_Done,
     /* 2396618 */   // Label 34262: @2396618
     /* 2396618 */   GIM_Reject,
     /* 2396619 */ // Label 34260: @2396619
     /* 2396619 */ GIM_Reject,
     /* 2396620 */ // Label 34209: @2396620
     /* 2396620 */ GIM_Try, /*On fail goto*//*Label 34263*/ GIMT_Encode4(2396740),
     /* 2396625 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2396628 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2396631 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396635 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396639 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396643 */   GIM_Try, /*On fail goto*//*Label 34264*/ GIMT_Encode4(2396691), // Rule ID 53440 //
     /* 2396648 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2396651 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396651 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2396654 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396658 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396663 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396665 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2396668 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396670 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396675 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396677 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396680 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396683 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396689 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396690 */     // GIR_Coverage, 53440,
     /* 2396690 */     GIR_EraseRootFromParent_Done,
     /* 2396691 */   // Label 34264: @2396691
     /* 2396691 */   GIM_Try, /*On fail goto*//*Label 34265*/ GIMT_Encode4(2396739), // Rule ID 53441 //
     /* 2396696 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2396699 */     // (strict_fadd:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFADD_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396699 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2396702 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396706 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396711 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396713 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E64),
     /* 2396716 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396718 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396731 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2396734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396737 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396738 */     // GIR_Coverage, 53441,
     /* 2396738 */     GIR_EraseRootFromParent_Done,
     /* 2396739 */   // Label 34265: @2396739
     /* 2396739 */   GIM_Reject,
     /* 2396740 */ // Label 34263: @2396740
     /* 2396740 */ GIM_Reject,
     /* 2396741 */ // Label 34210: @2396741
     /* 2396741 */ GIM_Try, /*On fail goto*//*Label 34266*/ GIMT_Encode4(2396861),
     /* 2396746 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2396749 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2396752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396760 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2396764 */   GIM_Try, /*On fail goto*//*Label 34267*/ GIMT_Encode4(2396812), // Rule ID 53356 //
     /* 2396769 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2396772 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396772 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2396775 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396779 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396784 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396786 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2396789 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396791 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396794 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396796 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396801 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396810 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396811 */     // GIR_Coverage, 53356,
     /* 2396811 */     GIR_EraseRootFromParent_Done,
     /* 2396812 */   // Label 34267: @2396812
     /* 2396812 */   GIM_Try, /*On fail goto*//*Label 34268*/ GIMT_Encode4(2396860), // Rule ID 53357 //
     /* 2396817 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2396820 */     // (strict_fadd:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFADD_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396820 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2396823 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396827 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396832 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396834 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M4_E16),
     /* 2396837 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396839 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396842 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396844 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396852 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2396855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396859 */     // GIR_Coverage, 53357,
     /* 2396859 */     GIR_EraseRootFromParent_Done,
     /* 2396860 */   // Label 34268: @2396860
     /* 2396860 */   GIM_Reject,
     /* 2396861 */ // Label 34266: @2396861
     /* 2396861 */ GIM_Reject,
     /* 2396862 */ // Label 34211: @2396862
     /* 2396862 */ GIM_Try, /*On fail goto*//*Label 34269*/ GIMT_Encode4(2396982),
     /* 2396867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2396870 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2396873 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396877 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396881 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396885 */   GIM_Try, /*On fail goto*//*Label 34270*/ GIMT_Encode4(2396933), // Rule ID 53404 //
     /* 2396890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2396893 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2396893 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2396896 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396900 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396905 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2396910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396912 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396915 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396917 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396922 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396931 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396932 */     // GIR_Coverage, 53404,
     /* 2396932 */     GIR_EraseRootFromParent_Done,
     /* 2396933 */   // Label 34270: @2396933
     /* 2396933 */   GIM_Try, /*On fail goto*//*Label 34271*/ GIMT_Encode4(2396981), // Rule ID 53405 //
     /* 2396938 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2396941 */     // (strict_fadd:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFADD_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2396941 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2396944 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2396948 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2396953 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2396955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E32),
     /* 2396958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2396960 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2396963 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2396965 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2396967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2396970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2396973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2396976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2396979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2396980 */     // GIR_Coverage, 53405,
     /* 2396980 */     GIR_EraseRootFromParent_Done,
     /* 2396981 */   // Label 34271: @2396981
     /* 2396981 */   GIM_Reject,
     /* 2396982 */ // Label 34269: @2396982
     /* 2396982 */ GIM_Reject,
     /* 2396983 */ // Label 34212: @2396983
     /* 2396983 */ GIM_Try, /*On fail goto*//*Label 34272*/ GIMT_Encode4(2397103),
     /* 2396988 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2396991 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2396994 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2396998 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397002 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2397006 */   GIM_Try, /*On fail goto*//*Label 34273*/ GIMT_Encode4(2397054), // Rule ID 53368 //
     /* 2397011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397014 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397014 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2397017 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397021 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397026 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397028 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2397031 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397033 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397036 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397038 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397053 */     // GIR_Coverage, 53368,
     /* 2397053 */     GIR_EraseRootFromParent_Done,
     /* 2397054 */   // Label 34273: @2397054
     /* 2397054 */   GIM_Try, /*On fail goto*//*Label 34274*/ GIMT_Encode4(2397102), // Rule ID 53369 //
     /* 2397059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397062 */     // (strict_fadd:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFADD_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397062 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2397065 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397069 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397074 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397076 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFADD_VV_M8_E16),
     /* 2397079 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397081 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397084 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397086 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397094 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397100 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397101 */     // GIR_Coverage, 53369,
     /* 2397101 */     GIR_EraseRootFromParent_Done,
     /* 2397102 */   // Label 34274: @2397102
     /* 2397102 */   GIM_Reject,
     /* 2397103 */ // Label 34272: @2397103
     /* 2397103 */ GIM_Reject,
     /* 2397104 */ // Label 34213: @2397104
     /* 2397104 */ GIM_Reject,
     /* 2397105 */ // Label 99: @2397105
     /* 2397105 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34293*/ GIMT_Encode4(2399532),
     /* 2397116 */ /*GILLT_s16*//*Label 34275*/ GIMT_Encode4(2397236),
     /* 2397120 */ /*GILLT_s32*//*Label 34276*/ GIMT_Encode4(2397385),
     /* 2397124 */ /*GILLT_s64*//*Label 34277*/ GIMT_Encode4(2397534), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397136 */ /*GILLT_nxv1s16*//*Label 34278*/ GIMT_Encode4(2397717),
     /* 2397140 */ /*GILLT_nxv1s32*//*Label 34279*/ GIMT_Encode4(2397838),
     /* 2397144 */ /*GILLT_nxv1s64*//*Label 34280*/ GIMT_Encode4(2397959), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397156 */ /*GILLT_nxv2s16*//*Label 34281*/ GIMT_Encode4(2398080),
     /* 2397160 */ /*GILLT_nxv2s32*//*Label 34282*/ GIMT_Encode4(2398201),
     /* 2397164 */ /*GILLT_nxv2s64*//*Label 34283*/ GIMT_Encode4(2398322), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397176 */ /*GILLT_nxv4s16*//*Label 34284*/ GIMT_Encode4(2398443),
     /* 2397180 */ /*GILLT_nxv4s32*//*Label 34285*/ GIMT_Encode4(2398564),
     /* 2397184 */ /*GILLT_nxv4s64*//*Label 34286*/ GIMT_Encode4(2398685), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397196 */ /*GILLT_nxv8s16*//*Label 34287*/ GIMT_Encode4(2398806),
     /* 2397200 */ /*GILLT_nxv8s32*//*Label 34288*/ GIMT_Encode4(2398927),
     /* 2397204 */ /*GILLT_nxv8s64*//*Label 34289*/ GIMT_Encode4(2399048), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397216 */ /*GILLT_nxv16s16*//*Label 34290*/ GIMT_Encode4(2399169),
     /* 2397220 */ /*GILLT_nxv16s32*//*Label 34291*/ GIMT_Encode4(2399290), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2397232 */ /*GILLT_nxv32s16*//*Label 34292*/ GIMT_Encode4(2399411),
     /* 2397236 */ // Label 34275: @2397236
     /* 2397236 */ GIM_Try, /*On fail goto*//*Label 34294*/ GIMT_Encode4(2397384),
     /* 2397241 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2397244 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2397247 */   GIM_Try, /*On fail goto*//*Label 34295*/ GIMT_Encode4(2397281), // Rule ID 1960 //
     /* 2397252 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2397255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2397259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2397263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2397267 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2397267 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2397270 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397272 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397274 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397280 */     // GIR_Coverage, 1960,
     /* 2397280 */     GIR_EraseRootFromParent_Done,
     /* 2397281 */   // Label 34295: @2397281
     /* 2397281 */   GIM_Try, /*On fail goto*//*Label 34296*/ GIMT_Encode4(2397315), // Rule ID 1961 //
     /* 2397286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2397289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2397293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2397297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2397301 */     // (strict_fsub:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FSUB_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2397301 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H),
     /* 2397304 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397306 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397308 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397313 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397314 */     // GIR_Coverage, 1961,
     /* 2397314 */     GIR_EraseRootFromParent_Done,
     /* 2397315 */   // Label 34296: @2397315
     /* 2397315 */   GIM_Try, /*On fail goto*//*Label 34297*/ GIMT_Encode4(2397349), // Rule ID 1964 //
     /* 2397320 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2397323 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2397327 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2397331 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2397335 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2397335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2397338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397348 */     // GIR_Coverage, 1964,
     /* 2397348 */     GIR_EraseRootFromParent_Done,
     /* 2397349 */   // Label 34297: @2397349
     /* 2397349 */   GIM_Try, /*On fail goto*//*Label 34298*/ GIMT_Encode4(2397383), // Rule ID 1965 //
     /* 2397354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2397357 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2397361 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2397365 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2397369 */     // (strict_fsub:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FSUB_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2397369 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_H_INX),
     /* 2397372 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397374 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397376 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397381 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397382 */     // GIR_Coverage, 1965,
     /* 2397382 */     GIR_EraseRootFromParent_Done,
     /* 2397383 */   // Label 34298: @2397383
     /* 2397383 */   GIM_Reject,
     /* 2397384 */ // Label 34294: @2397384
     /* 2397384 */ GIM_Reject,
     /* 2397385 */ // Label 34276: @2397385
     /* 2397385 */ GIM_Try, /*On fail goto*//*Label 34299*/ GIMT_Encode4(2397533),
     /* 2397390 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2397393 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2397396 */   GIM_Try, /*On fail goto*//*Label 34300*/ GIMT_Encode4(2397430), // Rule ID 1251 //
     /* 2397401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2397404 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397408 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397412 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397416 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2397416 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2397419 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397423 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397429 */     // GIR_Coverage, 1251,
     /* 2397429 */     GIR_EraseRootFromParent_Done,
     /* 2397430 */   // Label 34300: @2397430
     /* 2397430 */   GIM_Try, /*On fail goto*//*Label 34301*/ GIMT_Encode4(2397464), // Rule ID 1252 //
     /* 2397435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2397438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2397450 */     // (strict_fsub:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FSUB_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2397450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S),
     /* 2397453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397455 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397457 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397459 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397463 */     // GIR_Coverage, 1252,
     /* 2397463 */     GIR_EraseRootFromParent_Done,
     /* 2397464 */   // Label 34301: @2397464
     /* 2397464 */   GIM_Try, /*On fail goto*//*Label 34302*/ GIMT_Encode4(2397498), // Rule ID 1255 //
     /* 2397469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2397472 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397476 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397480 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397484 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2397484 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2397487 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397497 */     // GIR_Coverage, 1255,
     /* 2397497 */     GIR_EraseRootFromParent_Done,
     /* 2397498 */   // Label 34302: @2397498
     /* 2397498 */   GIM_Try, /*On fail goto*//*Label 34303*/ GIMT_Encode4(2397532), // Rule ID 1256 //
     /* 2397503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2397506 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397510 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397514 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2397518 */     // (strict_fsub:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FSUB_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2397518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_S_INX),
     /* 2397521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397525 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397527 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397531 */     // GIR_Coverage, 1256,
     /* 2397531 */     GIR_EraseRootFromParent_Done,
     /* 2397532 */   // Label 34303: @2397532
     /* 2397532 */   GIM_Reject,
     /* 2397533 */ // Label 34299: @2397533
     /* 2397533 */ GIM_Reject,
     /* 2397534 */ // Label 34277: @2397534
     /* 2397534 */ GIM_Try, /*On fail goto*//*Label 34304*/ GIMT_Encode4(2397716),
     /* 2397539 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2397542 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2397545 */   GIM_Try, /*On fail goto*//*Label 34305*/ GIMT_Encode4(2397579), // Rule ID 1588 //
     /* 2397550 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2397553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397565 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2397565 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2397568 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397570 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397572 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397578 */     // GIR_Coverage, 1588,
     /* 2397578 */     GIR_EraseRootFromParent_Done,
     /* 2397579 */   // Label 34305: @2397579
     /* 2397579 */   GIM_Try, /*On fail goto*//*Label 34306*/ GIMT_Encode4(2397613), // Rule ID 1589 //
     /* 2397584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2397587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2397599 */     // (strict_fsub:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FSUB_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2397599 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D),
     /* 2397602 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397604 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397606 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397612 */     // GIR_Coverage, 1589,
     /* 2397612 */     GIR_EraseRootFromParent_Done,
     /* 2397613 */   // Label 34306: @2397613
     /* 2397613 */   GIM_Try, /*On fail goto*//*Label 34307*/ GIMT_Encode4(2397647), // Rule ID 1592 //
     /* 2397618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2397621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2397625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2397629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2397633 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2397633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2397636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397642 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397646 */     // GIR_Coverage, 1592,
     /* 2397646 */     GIR_EraseRootFromParent_Done,
     /* 2397647 */   // Label 34307: @2397647
     /* 2397647 */   GIM_Try, /*On fail goto*//*Label 34308*/ GIMT_Encode4(2397681), // Rule ID 1593 //
     /* 2397652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2397655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2397659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2397663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2397667 */     // (strict_fsub:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FSUB_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2397667 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_IN32X),
     /* 2397670 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397672 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397674 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397680 */     // GIR_Coverage, 1593,
     /* 2397680 */     GIR_EraseRootFromParent_Done,
     /* 2397681 */   // Label 34308: @2397681
     /* 2397681 */   GIM_Try, /*On fail goto*//*Label 34309*/ GIMT_Encode4(2397715), // Rule ID 1596 //
     /* 2397686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2397689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2397693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2397697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2397701 */     // (strict_fsub:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FSUB_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2397701 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSUB_D_INX),
     /* 2397704 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397706 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397713 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397714 */     // GIR_Coverage, 1596,
     /* 2397714 */     GIR_EraseRootFromParent_Done,
     /* 2397715 */   // Label 34309: @2397715
     /* 2397715 */   GIM_Reject,
     /* 2397716 */ // Label 34304: @2397716
     /* 2397716 */ GIM_Reject,
     /* 2397717 */ // Label 34278: @2397717
     /* 2397717 */ GIM_Try, /*On fail goto*//*Label 34310*/ GIMT_Encode4(2397837),
     /* 2397722 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2397725 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2397728 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397732 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397736 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397740 */   GIM_Try, /*On fail goto*//*Label 34311*/ GIMT_Encode4(2397788), // Rule ID 53452 //
     /* 2397745 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2397748 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397748 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2397751 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397755 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397760 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2397765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397767 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397770 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397772 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397777 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397780 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397783 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397787 */     // GIR_Coverage, 53452,
     /* 2397787 */     GIR_EraseRootFromParent_Done,
     /* 2397788 */   // Label 34311: @2397788
     /* 2397788 */   GIM_Try, /*On fail goto*//*Label 34312*/ GIMT_Encode4(2397836), // Rule ID 53453 //
     /* 2397793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2397796 */     // (strict_fsub:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397796 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2397799 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397803 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397808 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397810 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF4_E16),
     /* 2397813 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397815 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397818 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397820 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2397831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397835 */     // GIR_Coverage, 53453,
     /* 2397835 */     GIR_EraseRootFromParent_Done,
     /* 2397836 */   // Label 34312: @2397836
     /* 2397836 */   GIM_Reject,
     /* 2397837 */ // Label 34310: @2397837
     /* 2397837 */ GIM_Reject,
     /* 2397838 */ // Label 34279: @2397838
     /* 2397838 */ GIM_Try, /*On fail goto*//*Label 34313*/ GIMT_Encode4(2397958),
     /* 2397843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2397846 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2397849 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397853 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397857 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397861 */   GIM_Try, /*On fail goto*//*Label 34314*/ GIMT_Encode4(2397909), // Rule ID 53476 //
     /* 2397866 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2397869 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397869 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2397872 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397876 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397881 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2397886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397888 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397891 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397893 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397907 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397908 */     // GIR_Coverage, 53476,
     /* 2397908 */     GIR_EraseRootFromParent_Done,
     /* 2397909 */   // Label 34314: @2397909
     /* 2397909 */   GIM_Try, /*On fail goto*//*Label 34315*/ GIMT_Encode4(2397957), // Rule ID 53477 //
     /* 2397914 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2397917 */     // (strict_fsub:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2397917 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2397920 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397924 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2397929 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2397931 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E32),
     /* 2397934 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2397936 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2397939 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2397941 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2397943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2397946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2397949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2397952 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2397955 */     GIR_RootConstrainSelectedInstOperands,
     /* 2397956 */     // GIR_Coverage, 53477,
     /* 2397956 */     GIR_EraseRootFromParent_Done,
     /* 2397957 */   // Label 34315: @2397957
     /* 2397957 */   GIM_Reject,
     /* 2397958 */ // Label 34313: @2397958
     /* 2397958 */ GIM_Reject,
     /* 2397959 */ // Label 34280: @2397959
     /* 2397959 */ GIM_Try, /*On fail goto*//*Label 34316*/ GIMT_Encode4(2398079),
     /* 2397964 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2397967 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2397970 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397974 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397978 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2397982 */   GIM_Try, /*On fail goto*//*Label 34317*/ GIMT_Encode4(2398030), // Rule ID 53512 //
     /* 2397987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2397990 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2397990 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2397993 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2397997 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398002 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398004 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2398007 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398009 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398028 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398029 */     // GIR_Coverage, 53512,
     /* 2398029 */     GIR_EraseRootFromParent_Done,
     /* 2398030 */   // Label 34317: @2398030
     /* 2398030 */   GIM_Try, /*On fail goto*//*Label 34318*/ GIMT_Encode4(2398078), // Rule ID 53513 //
     /* 2398035 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2398038 */     // (strict_fsub:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398038 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2398041 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398045 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398050 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398052 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E64),
     /* 2398055 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398057 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398064 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398076 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398077 */     // GIR_Coverage, 53513,
     /* 2398077 */     GIR_EraseRootFromParent_Done,
     /* 2398078 */   // Label 34318: @2398078
     /* 2398078 */   GIM_Reject,
     /* 2398079 */ // Label 34316: @2398079
     /* 2398079 */ GIM_Reject,
     /* 2398080 */ // Label 34281: @2398080
     /* 2398080 */ GIM_Try, /*On fail goto*//*Label 34319*/ GIMT_Encode4(2398200),
     /* 2398085 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2398088 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2398091 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398095 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398099 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398103 */   GIM_Try, /*On fail goto*//*Label 34320*/ GIMT_Encode4(2398151), // Rule ID 53464 //
     /* 2398108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398111 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398111 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2398114 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398118 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398123 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2398128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398130 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398133 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398135 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398150 */     // GIR_Coverage, 53464,
     /* 2398150 */     GIR_EraseRootFromParent_Done,
     /* 2398151 */   // Label 34320: @2398151
     /* 2398151 */   GIM_Try, /*On fail goto*//*Label 34321*/ GIMT_Encode4(2398199), // Rule ID 53465 //
     /* 2398156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398159 */     // (strict_fsub:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSUB_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398159 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2398162 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398166 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398171 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_MF2_E16),
     /* 2398176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398178 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398183 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398198 */     // GIR_Coverage, 53465,
     /* 2398198 */     GIR_EraseRootFromParent_Done,
     /* 2398199 */   // Label 34321: @2398199
     /* 2398199 */   GIM_Reject,
     /* 2398200 */ // Label 34319: @2398200
     /* 2398200 */ GIM_Reject,
     /* 2398201 */ // Label 34282: @2398201
     /* 2398201 */ GIM_Try, /*On fail goto*//*Label 34322*/ GIMT_Encode4(2398321),
     /* 2398206 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2398209 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2398212 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398216 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398220 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398224 */   GIM_Try, /*On fail goto*//*Label 34323*/ GIMT_Encode4(2398272), // Rule ID 53500 //
     /* 2398229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398232 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398232 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2398235 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398239 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398244 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2398249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398251 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398254 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398256 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398270 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398271 */     // GIR_Coverage, 53500,
     /* 2398271 */     GIR_EraseRootFromParent_Done,
     /* 2398272 */   // Label 34323: @2398272
     /* 2398272 */   GIM_Try, /*On fail goto*//*Label 34324*/ GIMT_Encode4(2398320), // Rule ID 53501 //
     /* 2398277 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398280 */     // (strict_fsub:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398280 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2398283 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398287 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398292 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E32),
     /* 2398297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398299 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398302 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398304 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398319 */     // GIR_Coverage, 53501,
     /* 2398319 */     GIR_EraseRootFromParent_Done,
     /* 2398320 */   // Label 34324: @2398320
     /* 2398320 */   GIM_Reject,
     /* 2398321 */ // Label 34322: @2398321
     /* 2398321 */ GIM_Reject,
     /* 2398322 */ // Label 34283: @2398322
     /* 2398322 */ GIM_Try, /*On fail goto*//*Label 34325*/ GIMT_Encode4(2398442),
     /* 2398327 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2398330 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2398333 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398337 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398341 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398345 */   GIM_Try, /*On fail goto*//*Label 34326*/ GIMT_Encode4(2398393), // Rule ID 53596 //
     /* 2398350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2398353 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2398356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2398370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398382 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398391 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398392 */     // GIR_Coverage, 53596,
     /* 2398392 */     GIR_EraseRootFromParent_Done,
     /* 2398393 */   // Label 34326: @2398393
     /* 2398393 */   GIM_Try, /*On fail goto*//*Label 34327*/ GIMT_Encode4(2398441), // Rule ID 53597 //
     /* 2398398 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2398401 */     // (strict_fsub:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398401 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2398404 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398408 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398413 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398415 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E64),
     /* 2398418 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398420 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398439 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398440 */     // GIR_Coverage, 53597,
     /* 2398440 */     GIR_EraseRootFromParent_Done,
     /* 2398441 */   // Label 34327: @2398441
     /* 2398441 */   GIM_Reject,
     /* 2398442 */ // Label 34325: @2398442
     /* 2398442 */ GIM_Reject,
     /* 2398443 */ // Label 34284: @2398443
     /* 2398443 */ GIM_Try, /*On fail goto*//*Label 34328*/ GIMT_Encode4(2398563),
     /* 2398448 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2398451 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2398454 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398458 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398462 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2398466 */   GIM_Try, /*On fail goto*//*Label 34329*/ GIMT_Encode4(2398514), // Rule ID 53488 //
     /* 2398471 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398474 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398474 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2398477 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398481 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398486 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398488 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2398491 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398493 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398498 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398500 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398503 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398506 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398509 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398512 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398513 */     // GIR_Coverage, 53488,
     /* 2398513 */     GIR_EraseRootFromParent_Done,
     /* 2398514 */   // Label 34329: @2398514
     /* 2398514 */   GIM_Try, /*On fail goto*//*Label 34330*/ GIMT_Encode4(2398562), // Rule ID 53489 //
     /* 2398519 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398522 */     // (strict_fsub:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSUB_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398522 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2398525 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398529 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398534 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398536 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M1_E16),
     /* 2398539 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398541 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398544 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398546 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398560 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398561 */     // GIR_Coverage, 53489,
     /* 2398561 */     GIR_EraseRootFromParent_Done,
     /* 2398562 */   // Label 34330: @2398562
     /* 2398562 */   GIM_Reject,
     /* 2398563 */ // Label 34328: @2398563
     /* 2398563 */ GIM_Reject,
     /* 2398564 */ // Label 34285: @2398564
     /* 2398564 */ GIM_Try, /*On fail goto*//*Label 34331*/ GIMT_Encode4(2398684),
     /* 2398569 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2398572 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2398575 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398579 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398583 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398587 */   GIM_Try, /*On fail goto*//*Label 34332*/ GIMT_Encode4(2398635), // Rule ID 53560 //
     /* 2398592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398595 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398595 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2398598 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398602 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398607 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398609 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2398612 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398614 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398621 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398624 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398627 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398633 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398634 */     // GIR_Coverage, 53560,
     /* 2398634 */     GIR_EraseRootFromParent_Done,
     /* 2398635 */   // Label 34332: @2398635
     /* 2398635 */   GIM_Try, /*On fail goto*//*Label 34333*/ GIMT_Encode4(2398683), // Rule ID 53561 //
     /* 2398640 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2398643 */     // (strict_fsub:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398643 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2398646 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398650 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398655 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E32),
     /* 2398660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398662 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398672 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398681 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398682 */     // GIR_Coverage, 53561,
     /* 2398682 */     GIR_EraseRootFromParent_Done,
     /* 2398683 */   // Label 34333: @2398683
     /* 2398683 */   GIM_Reject,
     /* 2398684 */ // Label 34331: @2398684
     /* 2398684 */ GIM_Reject,
     /* 2398685 */ // Label 34286: @2398685
     /* 2398685 */ GIM_Try, /*On fail goto*//*Label 34334*/ GIMT_Encode4(2398805),
     /* 2398690 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2398693 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2398696 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398700 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398704 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398708 */   GIM_Try, /*On fail goto*//*Label 34335*/ GIMT_Encode4(2398756), // Rule ID 53608 //
     /* 2398713 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2398716 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398716 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2398719 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398723 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398728 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2398733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398735 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398754 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398755 */     // GIR_Coverage, 53608,
     /* 2398755 */     GIR_EraseRootFromParent_Done,
     /* 2398756 */   // Label 34335: @2398756
     /* 2398756 */   GIM_Try, /*On fail goto*//*Label 34336*/ GIMT_Encode4(2398804), // Rule ID 53609 //
     /* 2398761 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2398764 */     // (strict_fsub:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398764 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2398767 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398771 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398776 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E64),
     /* 2398781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398783 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398786 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398788 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398793 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398796 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2398799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398802 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398803 */     // GIR_Coverage, 53609,
     /* 2398803 */     GIR_EraseRootFromParent_Done,
     /* 2398804 */   // Label 34336: @2398804
     /* 2398804 */   GIM_Reject,
     /* 2398805 */ // Label 34334: @2398805
     /* 2398805 */ GIM_Reject,
     /* 2398806 */ // Label 34287: @2398806
     /* 2398806 */ GIM_Try, /*On fail goto*//*Label 34337*/ GIMT_Encode4(2398926),
     /* 2398811 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2398814 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2398817 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398821 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398825 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2398829 */   GIM_Try, /*On fail goto*//*Label 34338*/ GIMT_Encode4(2398877), // Rule ID 53524 //
     /* 2398834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2398837 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398837 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2398840 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398844 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398849 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2398854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398856 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398876 */     // GIR_Coverage, 53524,
     /* 2398876 */     GIR_EraseRootFromParent_Done,
     /* 2398877 */   // Label 34338: @2398877
     /* 2398877 */   GIM_Try, /*On fail goto*//*Label 34339*/ GIMT_Encode4(2398925), // Rule ID 53525 //
     /* 2398882 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2398885 */     // (strict_fsub:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSUB_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2398885 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2398888 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398892 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398897 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M2_E16),
     /* 2398902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398904 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398911 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398914 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398917 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2398920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398924 */     // GIR_Coverage, 53525,
     /* 2398924 */     GIR_EraseRootFromParent_Done,
     /* 2398925 */   // Label 34339: @2398925
     /* 2398925 */   GIM_Reject,
     /* 2398926 */ // Label 34337: @2398926
     /* 2398926 */ GIM_Reject,
     /* 2398927 */ // Label 34288: @2398927
     /* 2398927 */ GIM_Try, /*On fail goto*//*Label 34340*/ GIMT_Encode4(2399047),
     /* 2398932 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2398935 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2398938 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398942 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398946 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2398950 */   GIM_Try, /*On fail goto*//*Label 34341*/ GIMT_Encode4(2398998), // Rule ID 53572 //
     /* 2398955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2398958 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2398958 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2398961 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2398965 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2398970 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2398972 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2398975 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2398977 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2398980 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2398982 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2398984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2398987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2398990 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2398993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2398996 */     GIR_RootConstrainSelectedInstOperands,
     /* 2398997 */     // GIR_Coverage, 53572,
     /* 2398997 */     GIR_EraseRootFromParent_Done,
     /* 2398998 */   // Label 34341: @2398998
     /* 2398998 */   GIM_Try, /*On fail goto*//*Label 34342*/ GIMT_Encode4(2399046), // Rule ID 53573 //
     /* 2399003 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399006 */     // (strict_fsub:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399006 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2399009 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399013 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399018 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399020 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E32),
     /* 2399023 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399025 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399035 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399038 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399044 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399045 */     // GIR_Coverage, 53573,
     /* 2399045 */     GIR_EraseRootFromParent_Done,
     /* 2399046 */   // Label 34342: @2399046
     /* 2399046 */   GIM_Reject,
     /* 2399047 */ // Label 34340: @2399047
     /* 2399047 */ GIM_Reject,
     /* 2399048 */ // Label 34289: @2399048
     /* 2399048 */ GIM_Try, /*On fail goto*//*Label 34343*/ GIMT_Encode4(2399168),
     /* 2399053 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2399056 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2399059 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399063 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399067 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399071 */   GIM_Try, /*On fail goto*//*Label 34344*/ GIMT_Encode4(2399119), // Rule ID 53620 //
     /* 2399076 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2399079 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399079 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2399082 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399086 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399091 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2399096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399098 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399118 */     // GIR_Coverage, 53620,
     /* 2399118 */     GIR_EraseRootFromParent_Done,
     /* 2399119 */   // Label 34344: @2399119
     /* 2399119 */   GIM_Try, /*On fail goto*//*Label 34345*/ GIMT_Encode4(2399167), // Rule ID 53621 //
     /* 2399124 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2399127 */     // (strict_fsub:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399127 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2399130 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399134 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399139 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399141 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E64),
     /* 2399144 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399146 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2399162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399166 */     // GIR_Coverage, 53621,
     /* 2399166 */     GIR_EraseRootFromParent_Done,
     /* 2399167 */   // Label 34345: @2399167
     /* 2399167 */   GIM_Reject,
     /* 2399168 */ // Label 34343: @2399168
     /* 2399168 */ GIM_Reject,
     /* 2399169 */ // Label 34290: @2399169
     /* 2399169 */ GIM_Try, /*On fail goto*//*Label 34346*/ GIMT_Encode4(2399289),
     /* 2399174 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2399177 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2399180 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399184 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399188 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2399192 */   GIM_Try, /*On fail goto*//*Label 34347*/ GIMT_Encode4(2399240), // Rule ID 53536 //
     /* 2399197 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399200 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399200 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2399203 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399207 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399212 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399214 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2399217 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399219 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399224 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399239 */     // GIR_Coverage, 53536,
     /* 2399239 */     GIR_EraseRootFromParent_Done,
     /* 2399240 */   // Label 34347: @2399240
     /* 2399240 */   GIM_Try, /*On fail goto*//*Label 34348*/ GIMT_Encode4(2399288), // Rule ID 53537 //
     /* 2399245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399248 */     // (strict_fsub:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSUB_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399248 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2399251 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399255 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399260 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399262 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M4_E16),
     /* 2399265 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399267 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399270 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399286 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399287 */     // GIR_Coverage, 53537,
     /* 2399287 */     GIR_EraseRootFromParent_Done,
     /* 2399288 */   // Label 34348: @2399288
     /* 2399288 */   GIM_Reject,
     /* 2399289 */ // Label 34346: @2399289
     /* 2399289 */ GIM_Reject,
     /* 2399290 */ // Label 34291: @2399290
     /* 2399290 */ GIM_Try, /*On fail goto*//*Label 34349*/ GIMT_Encode4(2399410),
     /* 2399295 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2399298 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2399301 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399305 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399309 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399313 */   GIM_Try, /*On fail goto*//*Label 34350*/ GIMT_Encode4(2399361), // Rule ID 53584 //
     /* 2399318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2399321 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399321 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2399324 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399328 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399333 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2399338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399340 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399343 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399360 */     // GIR_Coverage, 53584,
     /* 2399360 */     GIR_EraseRootFromParent_Done,
     /* 2399361 */   // Label 34350: @2399361
     /* 2399361 */   GIM_Try, /*On fail goto*//*Label 34351*/ GIMT_Encode4(2399409), // Rule ID 53585 //
     /* 2399366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2399369 */     // (strict_fsub:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399369 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2399372 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399376 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399381 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399383 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E32),
     /* 2399386 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399388 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399393 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2399404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399408 */     // GIR_Coverage, 53585,
     /* 2399408 */     GIR_EraseRootFromParent_Done,
     /* 2399409 */   // Label 34351: @2399409
     /* 2399409 */   GIM_Reject,
     /* 2399410 */ // Label 34349: @2399410
     /* 2399410 */ GIM_Reject,
     /* 2399411 */ // Label 34292: @2399411
     /* 2399411 */ GIM_Try, /*On fail goto*//*Label 34352*/ GIMT_Encode4(2399531),
     /* 2399416 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2399419 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2399422 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399426 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399430 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2399434 */   GIM_Try, /*On fail goto*//*Label 34353*/ GIMT_Encode4(2399482), // Rule ID 53548 //
     /* 2399439 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2399442 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2399442 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2399445 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399449 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399454 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399456 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2399459 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399461 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399464 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399466 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399480 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399481 */     // GIR_Coverage, 53548,
     /* 2399481 */     GIR_EraseRootFromParent_Done,
     /* 2399482 */   // Label 34353: @2399482
     /* 2399482 */   GIM_Try, /*On fail goto*//*Label 34354*/ GIMT_Encode4(2399530), // Rule ID 53549 //
     /* 2399487 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2399490 */     // (strict_fsub:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSUB_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2399490 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2399493 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2399497 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2399502 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2399504 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSUB_VV_M8_E16),
     /* 2399507 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399509 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2399512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2399522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2399525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2399528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399529 */     // GIR_Coverage, 53549,
     /* 2399529 */     GIR_EraseRootFromParent_Done,
     /* 2399530 */   // Label 34354: @2399530
     /* 2399530 */   GIM_Reject,
     /* 2399531 */ // Label 34352: @2399531
     /* 2399531 */ GIM_Reject,
     /* 2399532 */ // Label 34293: @2399532
     /* 2399532 */ GIM_Reject,
     /* 2399533 */ // Label 100: @2399533
     /* 2399533 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34373*/ GIMT_Encode4(2401960),
     /* 2399544 */ /*GILLT_s16*//*Label 34355*/ GIMT_Encode4(2399664),
     /* 2399548 */ /*GILLT_s32*//*Label 34356*/ GIMT_Encode4(2399813),
     /* 2399552 */ /*GILLT_s64*//*Label 34357*/ GIMT_Encode4(2399962), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2399564 */ /*GILLT_nxv1s16*//*Label 34358*/ GIMT_Encode4(2400145),
     /* 2399568 */ /*GILLT_nxv1s32*//*Label 34359*/ GIMT_Encode4(2400266),
     /* 2399572 */ /*GILLT_nxv1s64*//*Label 34360*/ GIMT_Encode4(2400387), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2399584 */ /*GILLT_nxv2s16*//*Label 34361*/ GIMT_Encode4(2400508),
     /* 2399588 */ /*GILLT_nxv2s32*//*Label 34362*/ GIMT_Encode4(2400629),
     /* 2399592 */ /*GILLT_nxv2s64*//*Label 34363*/ GIMT_Encode4(2400750), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2399604 */ /*GILLT_nxv4s16*//*Label 34364*/ GIMT_Encode4(2400871),
     /* 2399608 */ /*GILLT_nxv4s32*//*Label 34365*/ GIMT_Encode4(2400992),
     /* 2399612 */ /*GILLT_nxv4s64*//*Label 34366*/ GIMT_Encode4(2401113), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2399624 */ /*GILLT_nxv8s16*//*Label 34367*/ GIMT_Encode4(2401234),
     /* 2399628 */ /*GILLT_nxv8s32*//*Label 34368*/ GIMT_Encode4(2401355),
     /* 2399632 */ /*GILLT_nxv8s64*//*Label 34369*/ GIMT_Encode4(2401476), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2399644 */ /*GILLT_nxv16s16*//*Label 34370*/ GIMT_Encode4(2401597),
     /* 2399648 */ /*GILLT_nxv16s32*//*Label 34371*/ GIMT_Encode4(2401718), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2399660 */ /*GILLT_nxv32s16*//*Label 34372*/ GIMT_Encode4(2401839),
     /* 2399664 */ // Label 34355: @2399664
     /* 2399664 */ GIM_Try, /*On fail goto*//*Label 34374*/ GIMT_Encode4(2399812),
     /* 2399669 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2399672 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2399675 */   GIM_Try, /*On fail goto*//*Label 34375*/ GIMT_Encode4(2399709), // Rule ID 1968 //
     /* 2399680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2399683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399695 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2399695 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2399698 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399700 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399702 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399704 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399708 */     // GIR_Coverage, 1968,
     /* 2399708 */     GIR_EraseRootFromParent_Done,
     /* 2399709 */   // Label 34375: @2399709
     /* 2399709 */   GIM_Try, /*On fail goto*//*Label 34376*/ GIMT_Encode4(2399743), // Rule ID 1969 //
     /* 2399714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2399717 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399721 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399725 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2399729 */     // (strict_fmul:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FMUL_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2399729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H),
     /* 2399732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399742 */     // GIR_Coverage, 1969,
     /* 2399742 */     GIR_EraseRootFromParent_Done,
     /* 2399743 */   // Label 34376: @2399743
     /* 2399743 */   GIM_Try, /*On fail goto*//*Label 34377*/ GIMT_Encode4(2399777), // Rule ID 1972 //
     /* 2399748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2399751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399763 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2399763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2399766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399768 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399770 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399776 */     // GIR_Coverage, 1972,
     /* 2399776 */     GIR_EraseRootFromParent_Done,
     /* 2399777 */   // Label 34377: @2399777
     /* 2399777 */   GIM_Try, /*On fail goto*//*Label 34378*/ GIMT_Encode4(2399811), // Rule ID 1973 //
     /* 2399782 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2399785 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2399797 */     // (strict_fmul:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FMUL_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2399797 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_H_INX),
     /* 2399800 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399802 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399804 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399810 */     // GIR_Coverage, 1973,
     /* 2399810 */     GIR_EraseRootFromParent_Done,
     /* 2399811 */   // Label 34378: @2399811
     /* 2399811 */   GIM_Reject,
     /* 2399812 */ // Label 34374: @2399812
     /* 2399812 */ GIM_Reject,
     /* 2399813 */ // Label 34356: @2399813
     /* 2399813 */ GIM_Try, /*On fail goto*//*Label 34379*/ GIMT_Encode4(2399961),
     /* 2399818 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2399821 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2399824 */   GIM_Try, /*On fail goto*//*Label 34380*/ GIMT_Encode4(2399858), // Rule ID 1259 //
     /* 2399829 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2399832 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399836 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399840 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399844 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2399844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2399847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399857 */     // GIR_Coverage, 1259,
     /* 2399857 */     GIR_EraseRootFromParent_Done,
     /* 2399858 */   // Label 34380: @2399858
     /* 2399858 */   GIM_Try, /*On fail goto*//*Label 34381*/ GIMT_Encode4(2399892), // Rule ID 1260 //
     /* 2399863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2399866 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399870 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399874 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2399878 */     // (strict_fmul:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FMUL_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2399878 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S),
     /* 2399881 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399885 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399891 */     // GIR_Coverage, 1260,
     /* 2399891 */     GIR_EraseRootFromParent_Done,
     /* 2399892 */   // Label 34381: @2399892
     /* 2399892 */   GIM_Try, /*On fail goto*//*Label 34382*/ GIMT_Encode4(2399926), // Rule ID 1263 //
     /* 2399897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2399900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399912 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2399912 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2399915 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399917 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399925 */     // GIR_Coverage, 1263,
     /* 2399925 */     GIR_EraseRootFromParent_Done,
     /* 2399926 */   // Label 34382: @2399926
     /* 2399926 */   GIM_Try, /*On fail goto*//*Label 34383*/ GIMT_Encode4(2399960), // Rule ID 1264 //
     /* 2399931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2399934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2399946 */     // (strict_fmul:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FMUL_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2399946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_S_INX),
     /* 2399949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2399953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2399955 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2399958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2399959 */     // GIR_Coverage, 1264,
     /* 2399959 */     GIR_EraseRootFromParent_Done,
     /* 2399960 */   // Label 34383: @2399960
     /* 2399960 */   GIM_Reject,
     /* 2399961 */ // Label 34379: @2399961
     /* 2399961 */ GIM_Reject,
     /* 2399962 */ // Label 34357: @2399962
     /* 2399962 */ GIM_Try, /*On fail goto*//*Label 34384*/ GIMT_Encode4(2400144),
     /* 2399967 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2399970 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2399973 */   GIM_Try, /*On fail goto*//*Label 34385*/ GIMT_Encode4(2400007), // Rule ID 1598 //
     /* 2399978 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2399981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2399993 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2399993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2399996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2399998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400006 */     // GIR_Coverage, 1598,
     /* 2400006 */     GIR_EraseRootFromParent_Done,
     /* 2400007 */   // Label 34385: @2400007
     /* 2400007 */   GIM_Try, /*On fail goto*//*Label 34386*/ GIMT_Encode4(2400041), // Rule ID 1599 //
     /* 2400012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2400015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2400027 */     // (strict_fmul:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FMUL_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2400027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D),
     /* 2400030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400040 */     // GIR_Coverage, 1599,
     /* 2400040 */     GIR_EraseRootFromParent_Done,
     /* 2400041 */   // Label 34386: @2400041
     /* 2400041 */   GIM_Try, /*On fail goto*//*Label 34387*/ GIMT_Encode4(2400075), // Rule ID 1602 //
     /* 2400046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2400049 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400057 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400061 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2400061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2400064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400066 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400068 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400073 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400074 */     // GIR_Coverage, 1602,
     /* 2400074 */     GIR_EraseRootFromParent_Done,
     /* 2400075 */   // Label 34387: @2400075
     /* 2400075 */   GIM_Try, /*On fail goto*//*Label 34388*/ GIMT_Encode4(2400109), // Rule ID 1603 //
     /* 2400080 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2400083 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400087 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400091 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2400095 */     // (strict_fmul:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FMUL_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2400095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_IN32X),
     /* 2400098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400108 */     // GIR_Coverage, 1603,
     /* 2400108 */     GIR_EraseRootFromParent_Done,
     /* 2400109 */   // Label 34388: @2400109
     /* 2400109 */   GIM_Try, /*On fail goto*//*Label 34389*/ GIMT_Encode4(2400143), // Rule ID 1606 //
     /* 2400114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2400117 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400125 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2400129 */     // (strict_fmul:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FMUL_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2400129 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMUL_D_INX),
     /* 2400132 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400134 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400136 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400138 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400141 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400142 */     // GIR_Coverage, 1606,
     /* 2400142 */     GIR_EraseRootFromParent_Done,
     /* 2400143 */   // Label 34389: @2400143
     /* 2400143 */   GIM_Reject,
     /* 2400144 */ // Label 34384: @2400144
     /* 2400144 */ GIM_Reject,
     /* 2400145 */ // Label 34358: @2400145
     /* 2400145 */ GIM_Try, /*On fail goto*//*Label 34390*/ GIMT_Encode4(2400265),
     /* 2400150 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2400153 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2400156 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400160 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400164 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400168 */   GIM_Try, /*On fail goto*//*Label 34391*/ GIMT_Encode4(2400216), // Rule ID 54220 //
     /* 2400173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400176 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400176 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2400179 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400183 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400188 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2400193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400195 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400200 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400215 */     // GIR_Coverage, 54220,
     /* 2400215 */     GIR_EraseRootFromParent_Done,
     /* 2400216 */   // Label 34391: @2400216
     /* 2400216 */   GIM_Try, /*On fail goto*//*Label 34392*/ GIMT_Encode4(2400264), // Rule ID 54221 //
     /* 2400221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400224 */     // (strict_fmul:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400224 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2400227 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400231 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400236 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF4_E16),
     /* 2400241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400243 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400262 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400263 */     // GIR_Coverage, 54221,
     /* 2400263 */     GIR_EraseRootFromParent_Done,
     /* 2400264 */   // Label 34392: @2400264
     /* 2400264 */   GIM_Reject,
     /* 2400265 */ // Label 34390: @2400265
     /* 2400265 */ GIM_Reject,
     /* 2400266 */ // Label 34359: @2400266
     /* 2400266 */ GIM_Try, /*On fail goto*//*Label 34393*/ GIMT_Encode4(2400386),
     /* 2400271 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2400274 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2400277 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400281 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400285 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400289 */   GIM_Try, /*On fail goto*//*Label 34394*/ GIMT_Encode4(2400337), // Rule ID 54244 //
     /* 2400294 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400297 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400297 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2400300 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400304 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400309 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2400314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400316 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400336 */     // GIR_Coverage, 54244,
     /* 2400336 */     GIR_EraseRootFromParent_Done,
     /* 2400337 */   // Label 34394: @2400337
     /* 2400337 */   GIM_Try, /*On fail goto*//*Label 34395*/ GIMT_Encode4(2400385), // Rule ID 54245 //
     /* 2400342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400345 */     // (strict_fmul:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400345 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2400348 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400352 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400357 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E32),
     /* 2400362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400364 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400384 */     // GIR_Coverage, 54245,
     /* 2400384 */     GIR_EraseRootFromParent_Done,
     /* 2400385 */   // Label 34395: @2400385
     /* 2400385 */   GIM_Reject,
     /* 2400386 */ // Label 34393: @2400386
     /* 2400386 */ GIM_Reject,
     /* 2400387 */ // Label 34360: @2400387
     /* 2400387 */ GIM_Try, /*On fail goto*//*Label 34396*/ GIMT_Encode4(2400507),
     /* 2400392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2400395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2400398 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400402 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400406 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400410 */   GIM_Try, /*On fail goto*//*Label 34397*/ GIMT_Encode4(2400458), // Rule ID 54280 //
     /* 2400415 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2400418 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400418 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2400421 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400425 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400430 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2400435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400437 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400444 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400457 */     // GIR_Coverage, 54280,
     /* 2400457 */     GIR_EraseRootFromParent_Done,
     /* 2400458 */   // Label 34397: @2400458
     /* 2400458 */   GIM_Try, /*On fail goto*//*Label 34398*/ GIMT_Encode4(2400506), // Rule ID 54281 //
     /* 2400463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2400466 */     // (strict_fmul:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400466 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2400469 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400473 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400478 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E64),
     /* 2400483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400485 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400490 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400505 */     // GIR_Coverage, 54281,
     /* 2400505 */     GIR_EraseRootFromParent_Done,
     /* 2400506 */   // Label 34398: @2400506
     /* 2400506 */   GIM_Reject,
     /* 2400507 */ // Label 34396: @2400507
     /* 2400507 */ GIM_Reject,
     /* 2400508 */ // Label 34361: @2400508
     /* 2400508 */ GIM_Try, /*On fail goto*//*Label 34399*/ GIMT_Encode4(2400628),
     /* 2400513 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2400516 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2400519 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400523 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400527 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400531 */   GIM_Try, /*On fail goto*//*Label 34400*/ GIMT_Encode4(2400579), // Rule ID 54232 //
     /* 2400536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400539 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400539 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2400542 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400546 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400551 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400553 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2400556 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400558 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400561 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400563 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400565 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400568 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400571 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400574 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400577 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400578 */     // GIR_Coverage, 54232,
     /* 2400578 */     GIR_EraseRootFromParent_Done,
     /* 2400579 */   // Label 34400: @2400579
     /* 2400579 */   GIM_Try, /*On fail goto*//*Label 34401*/ GIMT_Encode4(2400627), // Rule ID 54233 //
     /* 2400584 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400587 */     // (strict_fmul:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMUL_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400587 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2400590 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400594 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400599 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400601 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_MF2_E16),
     /* 2400604 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400606 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400609 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400625 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400626 */     // GIR_Coverage, 54233,
     /* 2400626 */     GIR_EraseRootFromParent_Done,
     /* 2400627 */   // Label 34401: @2400627
     /* 2400627 */   GIM_Reject,
     /* 2400628 */ // Label 34399: @2400628
     /* 2400628 */ GIM_Reject,
     /* 2400629 */ // Label 34362: @2400629
     /* 2400629 */ GIM_Try, /*On fail goto*//*Label 34402*/ GIMT_Encode4(2400749),
     /* 2400634 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2400637 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2400640 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400644 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400648 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400652 */   GIM_Try, /*On fail goto*//*Label 34403*/ GIMT_Encode4(2400700), // Rule ID 54268 //
     /* 2400657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2400660 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400660 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2400663 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400667 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400672 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2400677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400679 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400686 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400692 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400695 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400698 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400699 */     // GIR_Coverage, 54268,
     /* 2400699 */     GIR_EraseRootFromParent_Done,
     /* 2400700 */   // Label 34403: @2400700
     /* 2400700 */   GIM_Try, /*On fail goto*//*Label 34404*/ GIMT_Encode4(2400748), // Rule ID 54269 //
     /* 2400705 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2400708 */     // (strict_fmul:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400708 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2400711 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400715 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400720 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400722 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E32),
     /* 2400725 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400727 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400730 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400732 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400734 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400737 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400740 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2400743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400746 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400747 */     // GIR_Coverage, 54269,
     /* 2400747 */     GIR_EraseRootFromParent_Done,
     /* 2400748 */   // Label 34404: @2400748
     /* 2400748 */   GIM_Reject,
     /* 2400749 */ // Label 34402: @2400749
     /* 2400749 */ GIM_Reject,
     /* 2400750 */ // Label 34363: @2400750
     /* 2400750 */ GIM_Try, /*On fail goto*//*Label 34405*/ GIMT_Encode4(2400870),
     /* 2400755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2400758 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2400761 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400765 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400769 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2400773 */   GIM_Try, /*On fail goto*//*Label 34406*/ GIMT_Encode4(2400821), // Rule ID 54364 //
     /* 2400778 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2400781 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400781 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2400784 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400788 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400793 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400795 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2400798 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400800 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400803 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400805 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400807 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400813 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400816 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400820 */     // GIR_Coverage, 54364,
     /* 2400820 */     GIR_EraseRootFromParent_Done,
     /* 2400821 */   // Label 34406: @2400821
     /* 2400821 */   GIM_Try, /*On fail goto*//*Label 34407*/ GIMT_Encode4(2400869), // Rule ID 54365 //
     /* 2400826 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2400829 */     // (strict_fmul:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400829 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2400832 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400836 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400841 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E64),
     /* 2400846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400848 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400851 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400853 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400855 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400858 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400861 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2400864 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400868 */     // GIR_Coverage, 54365,
     /* 2400868 */     GIR_EraseRootFromParent_Done,
     /* 2400869 */   // Label 34407: @2400869
     /* 2400869 */   GIM_Reject,
     /* 2400870 */ // Label 34405: @2400870
     /* 2400870 */ GIM_Reject,
     /* 2400871 */ // Label 34364: @2400871
     /* 2400871 */ GIM_Try, /*On fail goto*//*Label 34408*/ GIMT_Encode4(2400991),
     /* 2400876 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2400879 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2400882 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400886 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400890 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2400894 */   GIM_Try, /*On fail goto*//*Label 34409*/ GIMT_Encode4(2400942), // Rule ID 54256 //
     /* 2400899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2400902 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2400902 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2400905 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400909 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400914 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2400919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400921 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400924 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400928 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400940 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400941 */     // GIR_Coverage, 54256,
     /* 2400941 */     GIR_EraseRootFromParent_Done,
     /* 2400942 */   // Label 34409: @2400942
     /* 2400942 */   GIM_Try, /*On fail goto*//*Label 34410*/ GIMT_Encode4(2400990), // Rule ID 54257 //
     /* 2400947 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2400950 */     // (strict_fmul:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMUL_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2400950 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2400953 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2400957 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2400962 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2400964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M1_E16),
     /* 2400967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2400969 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2400972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2400974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2400976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2400979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2400982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2400985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2400988 */     GIR_RootConstrainSelectedInstOperands,
     /* 2400989 */     // GIR_Coverage, 54257,
     /* 2400989 */     GIR_EraseRootFromParent_Done,
     /* 2400990 */   // Label 34410: @2400990
     /* 2400990 */   GIM_Reject,
     /* 2400991 */ // Label 34408: @2400991
     /* 2400991 */ GIM_Reject,
     /* 2400992 */ // Label 34365: @2400992
     /* 2400992 */ GIM_Try, /*On fail goto*//*Label 34411*/ GIMT_Encode4(2401112),
     /* 2400997 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2401000 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2401003 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401007 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401011 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401015 */   GIM_Try, /*On fail goto*//*Label 34412*/ GIMT_Encode4(2401063), // Rule ID 54328 //
     /* 2401020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2401023 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2401026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2401040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401047 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401055 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401058 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401061 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401062 */     // GIR_Coverage, 54328,
     /* 2401062 */     GIR_EraseRootFromParent_Done,
     /* 2401063 */   // Label 34412: @2401063
     /* 2401063 */   GIM_Try, /*On fail goto*//*Label 34413*/ GIMT_Encode4(2401111), // Rule ID 54329 //
     /* 2401068 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2401071 */     // (strict_fmul:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401071 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2401074 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401078 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401083 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E32),
     /* 2401088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401090 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401097 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401110 */     // GIR_Coverage, 54329,
     /* 2401110 */     GIR_EraseRootFromParent_Done,
     /* 2401111 */   // Label 34413: @2401111
     /* 2401111 */   GIM_Reject,
     /* 2401112 */ // Label 34411: @2401112
     /* 2401112 */ GIM_Reject,
     /* 2401113 */ // Label 34366: @2401113
     /* 2401113 */ GIM_Try, /*On fail goto*//*Label 34414*/ GIMT_Encode4(2401233),
     /* 2401118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2401121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2401124 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401128 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401132 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401136 */   GIM_Try, /*On fail goto*//*Label 34415*/ GIMT_Encode4(2401184), // Rule ID 54376 //
     /* 2401141 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401144 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401144 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2401147 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401151 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401156 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401158 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2401161 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401163 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401166 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401168 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401179 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401182 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401183 */     // GIR_Coverage, 54376,
     /* 2401183 */     GIR_EraseRootFromParent_Done,
     /* 2401184 */   // Label 34415: @2401184
     /* 2401184 */   GIM_Try, /*On fail goto*//*Label 34416*/ GIMT_Encode4(2401232), // Rule ID 54377 //
     /* 2401189 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401192 */     // (strict_fmul:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401192 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2401195 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401199 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401204 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E64),
     /* 2401209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401211 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401214 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401216 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401218 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401221 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401230 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401231 */     // GIR_Coverage, 54377,
     /* 2401231 */     GIR_EraseRootFromParent_Done,
     /* 2401232 */   // Label 34416: @2401232
     /* 2401232 */   GIM_Reject,
     /* 2401233 */ // Label 34414: @2401233
     /* 2401233 */ GIM_Reject,
     /* 2401234 */ // Label 34367: @2401234
     /* 2401234 */ GIM_Try, /*On fail goto*//*Label 34417*/ GIMT_Encode4(2401354),
     /* 2401239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2401242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2401245 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401249 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401253 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2401257 */   GIM_Try, /*On fail goto*//*Label 34418*/ GIMT_Encode4(2401305), // Rule ID 54292 //
     /* 2401262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2401265 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401265 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2401268 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401272 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401277 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2401282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401284 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401287 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401304 */     // GIR_Coverage, 54292,
     /* 2401304 */     GIR_EraseRootFromParent_Done,
     /* 2401305 */   // Label 34418: @2401305
     /* 2401305 */   GIM_Try, /*On fail goto*//*Label 34419*/ GIMT_Encode4(2401353), // Rule ID 54293 //
     /* 2401310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2401313 */     // (strict_fmul:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMUL_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401313 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2401316 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401320 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401325 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401327 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M2_E16),
     /* 2401330 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401332 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401335 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401337 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401339 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401342 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401348 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401351 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401352 */     // GIR_Coverage, 54293,
     /* 2401352 */     GIR_EraseRootFromParent_Done,
     /* 2401353 */   // Label 34419: @2401353
     /* 2401353 */   GIM_Reject,
     /* 2401354 */ // Label 34417: @2401354
     /* 2401354 */ GIM_Reject,
     /* 2401355 */ // Label 34368: @2401355
     /* 2401355 */ GIM_Try, /*On fail goto*//*Label 34420*/ GIMT_Encode4(2401475),
     /* 2401360 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2401363 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2401366 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401370 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401374 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401378 */   GIM_Try, /*On fail goto*//*Label 34421*/ GIMT_Encode4(2401426), // Rule ID 54340 //
     /* 2401383 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2401386 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401386 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2401389 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401393 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401398 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401400 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2401403 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401405 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401410 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401424 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401425 */     // GIR_Coverage, 54340,
     /* 2401425 */     GIR_EraseRootFromParent_Done,
     /* 2401426 */   // Label 34421: @2401426
     /* 2401426 */   GIM_Try, /*On fail goto*//*Label 34422*/ GIMT_Encode4(2401474), // Rule ID 54341 //
     /* 2401431 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2401434 */     // (strict_fmul:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401434 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2401437 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401441 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401446 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401448 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E32),
     /* 2401451 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401453 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401456 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401458 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401473 */     // GIR_Coverage, 54341,
     /* 2401473 */     GIR_EraseRootFromParent_Done,
     /* 2401474 */   // Label 34422: @2401474
     /* 2401474 */   GIM_Reject,
     /* 2401475 */ // Label 34420: @2401475
     /* 2401475 */ GIM_Reject,
     /* 2401476 */ // Label 34369: @2401476
     /* 2401476 */ GIM_Try, /*On fail goto*//*Label 34423*/ GIMT_Encode4(2401596),
     /* 2401481 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2401484 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2401487 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401491 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401495 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401499 */   GIM_Try, /*On fail goto*//*Label 34424*/ GIMT_Encode4(2401547), // Rule ID 54388 //
     /* 2401504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2401507 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401507 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2401510 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401514 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401519 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401521 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2401524 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401526 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401546 */     // GIR_Coverage, 54388,
     /* 2401546 */     GIR_EraseRootFromParent_Done,
     /* 2401547 */   // Label 34424: @2401547
     /* 2401547 */   GIM_Try, /*On fail goto*//*Label 34425*/ GIMT_Encode4(2401595), // Rule ID 54389 //
     /* 2401552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2401555 */     // (strict_fmul:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401555 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2401558 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401562 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401567 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E64),
     /* 2401572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401574 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401577 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401579 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2401590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401594 */     // GIR_Coverage, 54389,
     /* 2401594 */     GIR_EraseRootFromParent_Done,
     /* 2401595 */   // Label 34425: @2401595
     /* 2401595 */   GIM_Reject,
     /* 2401596 */ // Label 34423: @2401596
     /* 2401596 */ GIM_Reject,
     /* 2401597 */ // Label 34370: @2401597
     /* 2401597 */ GIM_Try, /*On fail goto*//*Label 34426*/ GIMT_Encode4(2401717),
     /* 2401602 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2401605 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2401608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401612 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401616 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2401620 */   GIM_Try, /*On fail goto*//*Label 34427*/ GIMT_Encode4(2401668), // Rule ID 54304 //
     /* 2401625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2401628 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401628 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2401631 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401635 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401640 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2401645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401647 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401650 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401652 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401654 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401667 */     // GIR_Coverage, 54304,
     /* 2401667 */     GIR_EraseRootFromParent_Done,
     /* 2401668 */   // Label 34427: @2401668
     /* 2401668 */   GIM_Try, /*On fail goto*//*Label 34428*/ GIMT_Encode4(2401716), // Rule ID 54305 //
     /* 2401673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2401676 */     // (strict_fmul:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMUL_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401676 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2401679 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401683 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401688 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401690 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M4_E16),
     /* 2401693 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401695 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401700 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401715 */     // GIR_Coverage, 54305,
     /* 2401715 */     GIR_EraseRootFromParent_Done,
     /* 2401716 */   // Label 34428: @2401716
     /* 2401716 */   GIM_Reject,
     /* 2401717 */ // Label 34426: @2401717
     /* 2401717 */ GIM_Reject,
     /* 2401718 */ // Label 34371: @2401718
     /* 2401718 */ GIM_Try, /*On fail goto*//*Label 34429*/ GIMT_Encode4(2401838),
     /* 2401723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2401726 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2401729 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401733 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401737 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401741 */   GIM_Try, /*On fail goto*//*Label 34430*/ GIMT_Encode4(2401789), // Rule ID 54352 //
     /* 2401746 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2401749 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401749 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2401752 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401756 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401761 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401763 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2401766 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401768 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401784 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401787 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401788 */     // GIR_Coverage, 54352,
     /* 2401788 */     GIR_EraseRootFromParent_Done,
     /* 2401789 */   // Label 34430: @2401789
     /* 2401789 */   GIM_Try, /*On fail goto*//*Label 34431*/ GIMT_Encode4(2401837), // Rule ID 54353 //
     /* 2401794 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2401797 */     // (strict_fmul:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401797 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2401800 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401804 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401809 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401811 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E32),
     /* 2401814 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401816 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401819 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2401832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401836 */     // GIR_Coverage, 54353,
     /* 2401836 */     GIR_EraseRootFromParent_Done,
     /* 2401837 */   // Label 34431: @2401837
     /* 2401837 */   GIM_Reject,
     /* 2401838 */ // Label 34429: @2401838
     /* 2401838 */ GIM_Reject,
     /* 2401839 */ // Label 34372: @2401839
     /* 2401839 */ GIM_Try, /*On fail goto*//*Label 34432*/ GIMT_Encode4(2401959),
     /* 2401844 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2401847 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2401850 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401854 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401858 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2401862 */   GIM_Try, /*On fail goto*//*Label 34433*/ GIMT_Encode4(2401910), // Rule ID 54316 //
     /* 2401867 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2401870 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2401870 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2401873 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401877 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401882 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401884 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2401887 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401889 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401892 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401894 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401896 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401899 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401902 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401909 */     // GIR_Coverage, 54316,
     /* 2401909 */     GIR_EraseRootFromParent_Done,
     /* 2401910 */   // Label 34433: @2401910
     /* 2401910 */   GIM_Try, /*On fail goto*//*Label 34434*/ GIMT_Encode4(2401958), // Rule ID 54317 //
     /* 2401915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2401918 */     // (strict_fmul:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMUL_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2401918 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2401921 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2401925 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2401930 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2401932 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMUL_VV_M8_E16),
     /* 2401935 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2401937 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2401940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2401942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2401944 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2401947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2401950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2401953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2401956 */     GIR_RootConstrainSelectedInstOperands,
     /* 2401957 */     // GIR_Coverage, 54317,
     /* 2401957 */     GIR_EraseRootFromParent_Done,
     /* 2401958 */   // Label 34434: @2401958
     /* 2401958 */   GIM_Reject,
     /* 2401959 */ // Label 34432: @2401959
     /* 2401959 */ GIM_Reject,
     /* 2401960 */ // Label 34373: @2401960
     /* 2401960 */ GIM_Reject,
     /* 2401961 */ // Label 101: @2401961
     /* 2401961 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34453*/ GIMT_Encode4(2404388),
     /* 2401972 */ /*GILLT_s16*//*Label 34435*/ GIMT_Encode4(2402092),
     /* 2401976 */ /*GILLT_s32*//*Label 34436*/ GIMT_Encode4(2402241),
     /* 2401980 */ /*GILLT_s64*//*Label 34437*/ GIMT_Encode4(2402390), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2401992 */ /*GILLT_nxv1s16*//*Label 34438*/ GIMT_Encode4(2402573),
     /* 2401996 */ /*GILLT_nxv1s32*//*Label 34439*/ GIMT_Encode4(2402694),
     /* 2402000 */ /*GILLT_nxv1s64*//*Label 34440*/ GIMT_Encode4(2402815), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402012 */ /*GILLT_nxv2s16*//*Label 34441*/ GIMT_Encode4(2402936),
     /* 2402016 */ /*GILLT_nxv2s32*//*Label 34442*/ GIMT_Encode4(2403057),
     /* 2402020 */ /*GILLT_nxv2s64*//*Label 34443*/ GIMT_Encode4(2403178), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402032 */ /*GILLT_nxv4s16*//*Label 34444*/ GIMT_Encode4(2403299),
     /* 2402036 */ /*GILLT_nxv4s32*//*Label 34445*/ GIMT_Encode4(2403420),
     /* 2402040 */ /*GILLT_nxv4s64*//*Label 34446*/ GIMT_Encode4(2403541), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402052 */ /*GILLT_nxv8s16*//*Label 34447*/ GIMT_Encode4(2403662),
     /* 2402056 */ /*GILLT_nxv8s32*//*Label 34448*/ GIMT_Encode4(2403783),
     /* 2402060 */ /*GILLT_nxv8s64*//*Label 34449*/ GIMT_Encode4(2403904), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402072 */ /*GILLT_nxv16s16*//*Label 34450*/ GIMT_Encode4(2404025),
     /* 2402076 */ /*GILLT_nxv16s32*//*Label 34451*/ GIMT_Encode4(2404146), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2402088 */ /*GILLT_nxv32s16*//*Label 34452*/ GIMT_Encode4(2404267),
     /* 2402092 */ // Label 34435: @2402092
     /* 2402092 */ GIM_Try, /*On fail goto*//*Label 34454*/ GIMT_Encode4(2402240),
     /* 2402097 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2402100 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2402103 */   GIM_Try, /*On fail goto*//*Label 34455*/ GIMT_Encode4(2402137), // Rule ID 1976 //
     /* 2402108 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2402111 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2402115 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2402119 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2402123 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2402123 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2402126 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402128 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402130 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402135 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402136 */     // GIR_Coverage, 1976,
     /* 2402136 */     GIR_EraseRootFromParent_Done,
     /* 2402137 */   // Label 34455: @2402137
     /* 2402137 */   GIM_Try, /*On fail goto*//*Label 34456*/ GIMT_Encode4(2402171), // Rule ID 1977 //
     /* 2402142 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2402145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2402149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2402153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2402157 */     // (strict_fdiv:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2)  =>  (FDIV_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2402157 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H),
     /* 2402160 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402162 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402164 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402170 */     // GIR_Coverage, 1977,
     /* 2402170 */     GIR_EraseRootFromParent_Done,
     /* 2402171 */   // Label 34456: @2402171
     /* 2402171 */   GIM_Try, /*On fail goto*//*Label 34457*/ GIMT_Encode4(2402205), // Rule ID 1980 //
     /* 2402176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2402179 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2402183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2402187 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2402191 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i64] })
     /* 2402191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2402194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402196 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402200 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402203 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402204 */     // GIR_Coverage, 1980,
     /* 2402204 */     GIR_EraseRootFromParent_Done,
     /* 2402205 */   // Label 34457: @2402205
     /* 2402205 */   GIM_Try, /*On fail goto*//*Label 34458*/ GIMT_Encode4(2402239), // Rule ID 1981 //
     /* 2402210 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2402213 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2402217 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2402221 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2402225 */     // (strict_fdiv:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2)  =>  (FDIV_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, 7:{ *:[i32] })
     /* 2402225 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_H_INX),
     /* 2402228 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402230 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402232 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402237 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402238 */     // GIR_Coverage, 1981,
     /* 2402238 */     GIR_EraseRootFromParent_Done,
     /* 2402239 */   // Label 34458: @2402239
     /* 2402239 */   GIM_Reject,
     /* 2402240 */ // Label 34454: @2402240
     /* 2402240 */ GIM_Reject,
     /* 2402241 */ // Label 34436: @2402241
     /* 2402241 */ GIM_Try, /*On fail goto*//*Label 34459*/ GIMT_Encode4(2402389),
     /* 2402246 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2402249 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2402252 */   GIM_Try, /*On fail goto*//*Label 34460*/ GIMT_Encode4(2402286), // Rule ID 1267 //
     /* 2402257 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2402260 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2402264 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2402268 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2402272 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2402272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2402275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402281 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402285 */     // GIR_Coverage, 1267,
     /* 2402285 */     GIR_EraseRootFromParent_Done,
     /* 2402286 */   // Label 34460: @2402286
     /* 2402286 */   GIM_Try, /*On fail goto*//*Label 34461*/ GIMT_Encode4(2402320), // Rule ID 1268 //
     /* 2402291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2402294 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2402298 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2402302 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2402306 */     // (strict_fdiv:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2)  =>  (FDIV_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2402306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S),
     /* 2402309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402318 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402319 */     // GIR_Coverage, 1268,
     /* 2402319 */     GIR_EraseRootFromParent_Done,
     /* 2402320 */   // Label 34461: @2402320
     /* 2402320 */   GIM_Try, /*On fail goto*//*Label 34462*/ GIMT_Encode4(2402354), // Rule ID 1271 //
     /* 2402325 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2402328 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2402332 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2402336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2402340 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i64] })
     /* 2402340 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2402343 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402345 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402347 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402353 */     // GIR_Coverage, 1271,
     /* 2402353 */     GIR_EraseRootFromParent_Done,
     /* 2402354 */   // Label 34462: @2402354
     /* 2402354 */   GIM_Try, /*On fail goto*//*Label 34463*/ GIMT_Encode4(2402388), // Rule ID 1272 //
     /* 2402359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2402362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2402366 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2402370 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2402374 */     // (strict_fdiv:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2)  =>  (FDIV_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, 7:{ *:[i32] })
     /* 2402374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_S_INX),
     /* 2402377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402387 */     // GIR_Coverage, 1272,
     /* 2402387 */     GIR_EraseRootFromParent_Done,
     /* 2402388 */   // Label 34463: @2402388
     /* 2402388 */   GIM_Reject,
     /* 2402389 */ // Label 34459: @2402389
     /* 2402389 */ GIM_Reject,
     /* 2402390 */ // Label 34437: @2402390
     /* 2402390 */ GIM_Try, /*On fail goto*//*Label 34464*/ GIMT_Encode4(2402572),
     /* 2402395 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2402398 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2402401 */   GIM_Try, /*On fail goto*//*Label 34465*/ GIMT_Encode4(2402435), // Rule ID 1608 //
     /* 2402406 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2402409 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402413 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402417 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402421 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2402421 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2402424 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402426 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402428 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402434 */     // GIR_Coverage, 1608,
     /* 2402434 */     GIR_EraseRootFromParent_Done,
     /* 2402435 */   // Label 34465: @2402435
     /* 2402435 */   GIM_Try, /*On fail goto*//*Label 34466*/ GIMT_Encode4(2402469), // Rule ID 1609 //
     /* 2402440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2402443 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402447 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402451 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2402455 */     // (strict_fdiv:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2)  =>  (FDIV_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2402455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D),
     /* 2402458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402464 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402468 */     // GIR_Coverage, 1609,
     /* 2402468 */     GIR_EraseRootFromParent_Done,
     /* 2402469 */   // Label 34466: @2402469
     /* 2402469 */   GIM_Try, /*On fail goto*//*Label 34467*/ GIMT_Encode4(2402503), // Rule ID 1612 //
     /* 2402474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2402477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402489 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2402489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2402492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402496 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402502 */     // GIR_Coverage, 1612,
     /* 2402502 */     GIR_EraseRootFromParent_Done,
     /* 2402503 */   // Label 34467: @2402503
     /* 2402503 */   GIM_Try, /*On fail goto*//*Label 34468*/ GIMT_Encode4(2402537), // Rule ID 1613 //
     /* 2402508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2402511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2402523 */     // (strict_fdiv:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2)  =>  (FDIV_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i32] })
     /* 2402523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_IN32X),
     /* 2402526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402528 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402530 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402535 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402536 */     // GIR_Coverage, 1613,
     /* 2402536 */     GIR_EraseRootFromParent_Done,
     /* 2402537 */   // Label 34468: @2402537
     /* 2402537 */   GIM_Try, /*On fail goto*//*Label 34469*/ GIMT_Encode4(2402571), // Rule ID 1616 //
     /* 2402542 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2402545 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402549 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402553 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2402557 */     // (strict_fdiv:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2)  =>  (FDIV_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, 7:{ *:[i64] })
     /* 2402557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FDIV_D_INX),
     /* 2402560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402570 */     // GIR_Coverage, 1616,
     /* 2402570 */     GIR_EraseRootFromParent_Done,
     /* 2402571 */   // Label 34469: @2402571
     /* 2402571 */   GIM_Reject,
     /* 2402572 */ // Label 34464: @2402572
     /* 2402572 */ GIM_Reject,
     /* 2402573 */ // Label 34438: @2402573
     /* 2402573 */ GIM_Try, /*On fail goto*//*Label 34470*/ GIMT_Encode4(2402693),
     /* 2402578 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2402581 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2402584 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402588 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402592 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402596 */   GIM_Try, /*On fail goto*//*Label 34471*/ GIMT_Encode4(2402644), // Rule ID 54400 //
     /* 2402601 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402604 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402604 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2402607 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402611 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402616 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2402621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402623 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402633 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402636 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402639 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402642 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402643 */     // GIR_Coverage, 54400,
     /* 2402643 */     GIR_EraseRootFromParent_Done,
     /* 2402644 */   // Label 34471: @2402644
     /* 2402644 */   GIM_Try, /*On fail goto*//*Label 34472*/ GIMT_Encode4(2402692), // Rule ID 54401 //
     /* 2402649 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2402652 */     // (strict_fdiv:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402652 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2402655 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402659 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402664 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF4_E16),
     /* 2402669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402671 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402674 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402676 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2402687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402690 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402691 */     // GIR_Coverage, 54401,
     /* 2402691 */     GIR_EraseRootFromParent_Done,
     /* 2402692 */   // Label 34472: @2402692
     /* 2402692 */   GIM_Reject,
     /* 2402693 */ // Label 34470: @2402693
     /* 2402693 */ GIM_Reject,
     /* 2402694 */ // Label 34439: @2402694
     /* 2402694 */ GIM_Try, /*On fail goto*//*Label 34473*/ GIMT_Encode4(2402814),
     /* 2402699 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2402702 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2402705 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402709 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402713 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402717 */   GIM_Try, /*On fail goto*//*Label 34474*/ GIMT_Encode4(2402765), // Rule ID 54424 //
     /* 2402722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2402725 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402725 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2402728 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402732 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402737 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402739 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2402742 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402744 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402747 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402749 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402757 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402760 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402763 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402764 */     // GIR_Coverage, 54424,
     /* 2402764 */     GIR_EraseRootFromParent_Done,
     /* 2402765 */   // Label 34474: @2402765
     /* 2402765 */   GIM_Try, /*On fail goto*//*Label 34475*/ GIMT_Encode4(2402813), // Rule ID 54425 //
     /* 2402770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2402773 */     // (strict_fdiv:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402773 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2402776 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402780 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402785 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402787 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E32),
     /* 2402790 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402792 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402799 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402802 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2402808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402811 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402812 */     // GIR_Coverage, 54425,
     /* 2402812 */     GIR_EraseRootFromParent_Done,
     /* 2402813 */   // Label 34475: @2402813
     /* 2402813 */   GIM_Reject,
     /* 2402814 */ // Label 34473: @2402814
     /* 2402814 */ GIM_Reject,
     /* 2402815 */ // Label 34440: @2402815
     /* 2402815 */ GIM_Try, /*On fail goto*//*Label 34476*/ GIMT_Encode4(2402935),
     /* 2402820 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2402823 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2402826 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402830 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402834 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402838 */   GIM_Try, /*On fail goto*//*Label 34477*/ GIMT_Encode4(2402886), // Rule ID 54460 //
     /* 2402843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2402846 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402846 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2402849 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402853 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402858 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402860 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2402863 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402865 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402868 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402870 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402875 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402878 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402884 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402885 */     // GIR_Coverage, 54460,
     /* 2402885 */     GIR_EraseRootFromParent_Done,
     /* 2402886 */   // Label 34477: @2402886
     /* 2402886 */   GIM_Try, /*On fail goto*//*Label 34478*/ GIMT_Encode4(2402934), // Rule ID 54461 //
     /* 2402891 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2402894 */     // (strict_fdiv:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2402894 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2402897 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402901 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402906 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402908 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E64),
     /* 2402911 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402913 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402923 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402926 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2402929 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2402932 */     GIR_RootConstrainSelectedInstOperands,
     /* 2402933 */     // GIR_Coverage, 54461,
     /* 2402933 */     GIR_EraseRootFromParent_Done,
     /* 2402934 */   // Label 34478: @2402934
     /* 2402934 */   GIM_Reject,
     /* 2402935 */ // Label 34476: @2402935
     /* 2402935 */ GIM_Reject,
     /* 2402936 */ // Label 34441: @2402936
     /* 2402936 */ GIM_Try, /*On fail goto*//*Label 34479*/ GIMT_Encode4(2403056),
     /* 2402941 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2402944 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2402947 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402951 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402955 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2402959 */   GIM_Try, /*On fail goto*//*Label 34480*/ GIMT_Encode4(2403007), // Rule ID 54412 //
     /* 2402964 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2402967 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2402967 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2402970 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2402974 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2402979 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2402981 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2402984 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2402986 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2402989 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2402991 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2402993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2402996 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2402999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403006 */     // GIR_Coverage, 54412,
     /* 2403006 */     GIR_EraseRootFromParent_Done,
     /* 2403007 */   // Label 34480: @2403007
     /* 2403007 */   GIM_Try, /*On fail goto*//*Label 34481*/ GIMT_Encode4(2403055), // Rule ID 54413 //
     /* 2403012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2403015 */     // (strict_fdiv:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFDIV_VV_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403015 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2403018 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403022 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403027 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403029 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_MF2_E16),
     /* 2403032 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403034 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403037 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403039 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403044 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403053 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403054 */     // GIR_Coverage, 54413,
     /* 2403054 */     GIR_EraseRootFromParent_Done,
     /* 2403055 */   // Label 34481: @2403055
     /* 2403055 */   GIM_Reject,
     /* 2403056 */ // Label 34479: @2403056
     /* 2403056 */ GIM_Reject,
     /* 2403057 */ // Label 34442: @2403057
     /* 2403057 */ GIM_Try, /*On fail goto*//*Label 34482*/ GIMT_Encode4(2403177),
     /* 2403062 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2403065 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2403068 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403072 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403076 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403080 */   GIM_Try, /*On fail goto*//*Label 34483*/ GIMT_Encode4(2403128), // Rule ID 54448 //
     /* 2403085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403088 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2403088 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2403091 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403095 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403100 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2403105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403107 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403110 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403112 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403127 */     // GIR_Coverage, 54448,
     /* 2403127 */     GIR_EraseRootFromParent_Done,
     /* 2403128 */   // Label 34483: @2403128
     /* 2403128 */   GIM_Try, /*On fail goto*//*Label 34484*/ GIMT_Encode4(2403176), // Rule ID 54449 //
     /* 2403133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403136 */     // (strict_fdiv:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403136 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2403139 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403143 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403148 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403150 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E32),
     /* 2403153 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403155 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403158 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403160 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403175 */     // GIR_Coverage, 54449,
     /* 2403175 */     GIR_EraseRootFromParent_Done,
     /* 2403176 */   // Label 34484: @2403176
     /* 2403176 */   GIM_Reject,
     /* 2403177 */ // Label 34482: @2403177
     /* 2403177 */ GIM_Reject,
     /* 2403178 */ // Label 34443: @2403178
     /* 2403178 */ GIM_Try, /*On fail goto*//*Label 34485*/ GIMT_Encode4(2403298),
     /* 2403183 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2403186 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2403189 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403193 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403197 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403201 */   GIM_Try, /*On fail goto*//*Label 34486*/ GIMT_Encode4(2403249), // Rule ID 54544 //
     /* 2403206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403209 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2403209 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2403212 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403216 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403221 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403223 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2403226 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403228 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403233 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403248 */     // GIR_Coverage, 54544,
     /* 2403248 */     GIR_EraseRootFromParent_Done,
     /* 2403249 */   // Label 34486: @2403249
     /* 2403249 */   GIM_Try, /*On fail goto*//*Label 34487*/ GIMT_Encode4(2403297), // Rule ID 54545 //
     /* 2403254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403257 */     // (strict_fdiv:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403257 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2403260 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403264 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403269 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E64),
     /* 2403274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403276 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403289 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403296 */     // GIR_Coverage, 54545,
     /* 2403296 */     GIR_EraseRootFromParent_Done,
     /* 2403297 */   // Label 34487: @2403297
     /* 2403297 */   GIM_Reject,
     /* 2403298 */ // Label 34485: @2403298
     /* 2403298 */ GIM_Reject,
     /* 2403299 */ // Label 34444: @2403299
     /* 2403299 */ GIM_Try, /*On fail goto*//*Label 34488*/ GIMT_Encode4(2403419),
     /* 2403304 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2403307 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2403310 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403314 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403318 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2403322 */   GIM_Try, /*On fail goto*//*Label 34489*/ GIMT_Encode4(2403370), // Rule ID 54436 //
     /* 2403327 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2403330 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2403330 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2403333 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403337 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403342 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403344 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2403347 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403349 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403352 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403354 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403368 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403369 */     // GIR_Coverage, 54436,
     /* 2403369 */     GIR_EraseRootFromParent_Done,
     /* 2403370 */   // Label 34489: @2403370
     /* 2403370 */   GIM_Try, /*On fail goto*//*Label 34490*/ GIMT_Encode4(2403418), // Rule ID 54437 //
     /* 2403375 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2403378 */     // (strict_fdiv:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFDIV_VV_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403378 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2403381 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403385 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403390 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403392 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M1_E16),
     /* 2403395 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403397 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403413 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403416 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403417 */     // GIR_Coverage, 54437,
     /* 2403417 */     GIR_EraseRootFromParent_Done,
     /* 2403418 */   // Label 34490: @2403418
     /* 2403418 */   GIM_Reject,
     /* 2403419 */ // Label 34488: @2403419
     /* 2403419 */ GIM_Reject,
     /* 2403420 */ // Label 34445: @2403420
     /* 2403420 */ GIM_Try, /*On fail goto*//*Label 34491*/ GIMT_Encode4(2403540),
     /* 2403425 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2403428 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2403431 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403435 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403439 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403443 */   GIM_Try, /*On fail goto*//*Label 34492*/ GIMT_Encode4(2403491), // Rule ID 54508 //
     /* 2403448 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403451 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2403451 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2403454 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403458 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403463 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403465 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2403468 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403470 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403490 */     // GIR_Coverage, 54508,
     /* 2403490 */     GIR_EraseRootFromParent_Done,
     /* 2403491 */   // Label 34492: @2403491
     /* 2403491 */   GIM_Try, /*On fail goto*//*Label 34493*/ GIMT_Encode4(2403539), // Rule ID 54509 //
     /* 2403496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403499 */     // (strict_fdiv:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403499 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2403502 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403506 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403511 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E32),
     /* 2403516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403518 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403521 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403523 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403538 */     // GIR_Coverage, 54509,
     /* 2403538 */     GIR_EraseRootFromParent_Done,
     /* 2403539 */   // Label 34493: @2403539
     /* 2403539 */   GIM_Reject,
     /* 2403540 */ // Label 34491: @2403540
     /* 2403540 */ GIM_Reject,
     /* 2403541 */ // Label 34446: @2403541
     /* 2403541 */ GIM_Try, /*On fail goto*//*Label 34494*/ GIMT_Encode4(2403661),
     /* 2403546 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2403549 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2403552 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403556 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403560 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403564 */   GIM_Try, /*On fail goto*//*Label 34495*/ GIMT_Encode4(2403612), // Rule ID 54556 //
     /* 2403569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403572 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2403572 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2403575 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403579 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403584 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2403589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403591 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403594 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403610 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403611 */     // GIR_Coverage, 54556,
     /* 2403611 */     GIR_EraseRootFromParent_Done,
     /* 2403612 */   // Label 34495: @2403612
     /* 2403612 */   GIM_Try, /*On fail goto*//*Label 34496*/ GIMT_Encode4(2403660), // Rule ID 54557 //
     /* 2403617 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403620 */     // (strict_fdiv:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403620 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2403623 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403627 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403632 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403634 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E64),
     /* 2403637 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403639 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403642 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403644 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403659 */     // GIR_Coverage, 54557,
     /* 2403659 */     GIR_EraseRootFromParent_Done,
     /* 2403660 */   // Label 34496: @2403660
     /* 2403660 */   GIM_Reject,
     /* 2403661 */ // Label 34494: @2403661
     /* 2403661 */ GIM_Reject,
     /* 2403662 */ // Label 34447: @2403662
     /* 2403662 */ GIM_Try, /*On fail goto*//*Label 34497*/ GIMT_Encode4(2403782),
     /* 2403667 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2403670 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2403673 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403677 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403681 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2403685 */   GIM_Try, /*On fail goto*//*Label 34498*/ GIMT_Encode4(2403733), // Rule ID 54472 //
     /* 2403690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2403693 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2403693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2403696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2403710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403717 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403719 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403722 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403725 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403728 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403731 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403732 */     // GIR_Coverage, 54472,
     /* 2403732 */     GIR_EraseRootFromParent_Done,
     /* 2403733 */   // Label 34498: @2403733
     /* 2403733 */   GIM_Try, /*On fail goto*//*Label 34499*/ GIMT_Encode4(2403781), // Rule ID 54473 //
     /* 2403738 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2403741 */     // (strict_fdiv:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFDIV_VV_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403741 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2403744 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403748 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403753 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403755 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M2_E16),
     /* 2403758 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403760 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403763 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2403776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403780 */     // GIR_Coverage, 54473,
     /* 2403780 */     GIR_EraseRootFromParent_Done,
     /* 2403781 */   // Label 34499: @2403781
     /* 2403781 */   GIM_Reject,
     /* 2403782 */ // Label 34497: @2403782
     /* 2403782 */ GIM_Reject,
     /* 2403783 */ // Label 34448: @2403783
     /* 2403783 */ GIM_Try, /*On fail goto*//*Label 34500*/ GIMT_Encode4(2403903),
     /* 2403788 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2403791 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2403794 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403798 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403802 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2403806 */   GIM_Try, /*On fail goto*//*Label 34501*/ GIMT_Encode4(2403854), // Rule ID 54520 //
     /* 2403811 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2403814 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2403814 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2403817 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403821 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403826 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2403831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403833 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403836 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403838 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403840 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403843 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403846 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403849 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403853 */     // GIR_Coverage, 54520,
     /* 2403853 */     GIR_EraseRootFromParent_Done,
     /* 2403854 */   // Label 34501: @2403854
     /* 2403854 */   GIM_Try, /*On fail goto*//*Label 34502*/ GIMT_Encode4(2403902), // Rule ID 54521 //
     /* 2403859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2403862 */     // (strict_fdiv:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403862 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2403865 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403869 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403874 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E32),
     /* 2403879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403881 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403888 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403894 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2403897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403901 */     // GIR_Coverage, 54521,
     /* 2403901 */     GIR_EraseRootFromParent_Done,
     /* 2403902 */   // Label 34502: @2403902
     /* 2403902 */   GIM_Reject,
     /* 2403903 */ // Label 34500: @2403903
     /* 2403903 */ GIM_Reject,
     /* 2403904 */ // Label 34449: @2403904
     /* 2403904 */ GIM_Try, /*On fail goto*//*Label 34503*/ GIMT_Encode4(2404024),
     /* 2403909 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2403912 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2403915 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403919 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403923 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2403927 */   GIM_Try, /*On fail goto*//*Label 34504*/ GIMT_Encode4(2403975), // Rule ID 54568 //
     /* 2403932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2403935 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2403935 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2403938 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403942 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403947 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2403952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2403954 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2403957 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2403959 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2403961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2403964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2403967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2403970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2403973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2403974 */     // GIR_Coverage, 54568,
     /* 2403974 */     GIR_EraseRootFromParent_Done,
     /* 2403975 */   // Label 34504: @2403975
     /* 2403975 */   GIM_Try, /*On fail goto*//*Label 34505*/ GIMT_Encode4(2404023), // Rule ID 54569 //
     /* 2403980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2403983 */     // (strict_fdiv:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2403983 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2403986 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2403990 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2403995 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2403997 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E64),
     /* 2404000 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404002 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2404005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404007 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404009 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404015 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2404018 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404021 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404022 */     // GIR_Coverage, 54569,
     /* 2404022 */     GIR_EraseRootFromParent_Done,
     /* 2404023 */   // Label 34505: @2404023
     /* 2404023 */   GIM_Reject,
     /* 2404024 */ // Label 34503: @2404024
     /* 2404024 */ GIM_Reject,
     /* 2404025 */ // Label 34450: @2404025
     /* 2404025 */ GIM_Try, /*On fail goto*//*Label 34506*/ GIMT_Encode4(2404145),
     /* 2404030 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2404033 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2404036 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404040 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404044 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2404048 */   GIM_Try, /*On fail goto*//*Label 34507*/ GIMT_Encode4(2404096), // Rule ID 54484 //
     /* 2404053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404056 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2404056 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2404059 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2404063 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2404068 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2404070 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2404073 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404075 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2404078 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404080 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404082 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404091 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404095 */     // GIR_Coverage, 54484,
     /* 2404095 */     GIR_EraseRootFromParent_Done,
     /* 2404096 */   // Label 34507: @2404096
     /* 2404096 */   GIM_Try, /*On fail goto*//*Label 34508*/ GIMT_Encode4(2404144), // Rule ID 54485 //
     /* 2404101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404104 */     // (strict_fdiv:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFDIV_VV_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2404104 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2404107 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2404111 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2404116 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2404118 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M4_E16),
     /* 2404121 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404123 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2404126 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404128 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404130 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404133 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404139 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404142 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404143 */     // GIR_Coverage, 54485,
     /* 2404143 */     GIR_EraseRootFromParent_Done,
     /* 2404144 */   // Label 34508: @2404144
     /* 2404144 */   GIM_Reject,
     /* 2404145 */ // Label 34506: @2404145
     /* 2404145 */ GIM_Reject,
     /* 2404146 */ // Label 34451: @2404146
     /* 2404146 */ GIM_Try, /*On fail goto*//*Label 34509*/ GIMT_Encode4(2404266),
     /* 2404151 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2404154 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2404157 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404161 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404165 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404169 */   GIM_Try, /*On fail goto*//*Label 34510*/ GIMT_Encode4(2404217), // Rule ID 54532 //
     /* 2404174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2404177 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2404177 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2404180 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2404184 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2404189 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2404191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2404194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404196 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2404199 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404201 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404216 */     // GIR_Coverage, 54532,
     /* 2404216 */     GIR_EraseRootFromParent_Done,
     /* 2404217 */   // Label 34510: @2404217
     /* 2404217 */   GIM_Try, /*On fail goto*//*Label 34511*/ GIMT_Encode4(2404265), // Rule ID 54533 //
     /* 2404222 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2404225 */     // (strict_fdiv:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2404225 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2404228 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2404232 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2404237 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2404239 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E32),
     /* 2404242 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404244 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2404247 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404249 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404251 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404257 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2404260 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404264 */     // GIR_Coverage, 54533,
     /* 2404264 */     GIR_EraseRootFromParent_Done,
     /* 2404265 */   // Label 34511: @2404265
     /* 2404265 */   GIM_Reject,
     /* 2404266 */ // Label 34509: @2404266
     /* 2404266 */ GIM_Reject,
     /* 2404267 */ // Label 34452: @2404267
     /* 2404267 */ GIM_Try, /*On fail goto*//*Label 34512*/ GIMT_Encode4(2404387),
     /* 2404272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2404275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2404278 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404282 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404286 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2404290 */   GIM_Try, /*On fail goto*//*Label 34513*/ GIMT_Encode4(2404338), // Rule ID 54496 //
     /* 2404295 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2404298 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2404298 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2404301 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2404305 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2404310 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2404312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2404315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404317 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2404320 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404322 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404337 */     // GIR_Coverage, 54496,
     /* 2404337 */     GIR_EraseRootFromParent_Done,
     /* 2404338 */   // Label 34513: @2404338
     /* 2404338 */   GIM_Try, /*On fail goto*//*Label 34514*/ GIMT_Encode4(2404386), // Rule ID 54497 //
     /* 2404343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2404346 */     // (strict_fdiv:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFDIV_VV_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2404346 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2404349 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2404353 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2404358 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2404360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFDIV_VV_M8_E16),
     /* 2404363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404365 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2404368 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2404370 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2404378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2404381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2404384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404385 */     // GIR_Coverage, 54497,
     /* 2404385 */     GIR_EraseRootFromParent_Done,
     /* 2404386 */   // Label 34514: @2404386
     /* 2404386 */   GIM_Reject,
     /* 2404387 */ // Label 34512: @2404387
     /* 2404387 */ GIM_Reject,
     /* 2404388 */ // Label 34453: @2404388
     /* 2404388 */ GIM_Reject,
     /* 2404389 */ // Label 102: @2404389
     /* 2404389 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34533*/ GIMT_Encode4(2421033),
     /* 2404400 */ /*GILLT_s16*//*Label 34515*/ GIMT_Encode4(2404520),
     /* 2404404 */ /*GILLT_s32*//*Label 34516*/ GIMT_Encode4(2405956),
     /* 2404408 */ /*GILLT_s64*//*Label 34517*/ GIMT_Encode4(2407392), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2404420 */ /*GILLT_nxv1s16*//*Label 34518*/ GIMT_Encode4(2409183),
     /* 2404424 */ /*GILLT_nxv1s32*//*Label 34519*/ GIMT_Encode4(2409973),
     /* 2404428 */ /*GILLT_nxv1s64*//*Label 34520*/ GIMT_Encode4(2410763), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2404440 */ /*GILLT_nxv2s16*//*Label 34521*/ GIMT_Encode4(2411553),
     /* 2404444 */ /*GILLT_nxv2s32*//*Label 34522*/ GIMT_Encode4(2412343),
     /* 2404448 */ /*GILLT_nxv2s64*//*Label 34523*/ GIMT_Encode4(2413133), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2404460 */ /*GILLT_nxv4s16*//*Label 34524*/ GIMT_Encode4(2413923),
     /* 2404464 */ /*GILLT_nxv4s32*//*Label 34525*/ GIMT_Encode4(2414713),
     /* 2404468 */ /*GILLT_nxv4s64*//*Label 34526*/ GIMT_Encode4(2415503), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2404480 */ /*GILLT_nxv8s16*//*Label 34527*/ GIMT_Encode4(2416293),
     /* 2404484 */ /*GILLT_nxv8s32*//*Label 34528*/ GIMT_Encode4(2417083),
     /* 2404488 */ /*GILLT_nxv8s64*//*Label 34529*/ GIMT_Encode4(2417873), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2404500 */ /*GILLT_nxv16s16*//*Label 34530*/ GIMT_Encode4(2418663),
     /* 2404504 */ /*GILLT_nxv16s32*//*Label 34531*/ GIMT_Encode4(2419453), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2404516 */ /*GILLT_nxv32s16*//*Label 34532*/ GIMT_Encode4(2420243),
     /* 2404520 */ // Label 34515: @2404520
     /* 2404520 */ GIM_Try, /*On fail goto*//*Label 34534*/ GIMT_Encode4(2405955),
     /* 2404525 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404528 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s16,
     /* 2404531 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s16,
     /* 2404534 */   GIM_Try, /*On fail goto*//*Label 34535*/ GIMT_Encode4(2404606), // Rule ID 2009 //
     /* 2404539 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2404542 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404546 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404550 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404554 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404558 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404563 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404567 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404571 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404575 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404579 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404584 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404586 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2404586 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2404589 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404604 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404605 */     // GIR_Coverage, 2009,
     /* 2404605 */     GIR_EraseRootFromParent_Done,
     /* 2404606 */   // Label 34535: @2404606
     /* 2404606 */   GIM_Try, /*On fail goto*//*Label 34536*/ GIMT_Encode4(2404678), // Rule ID 2010 //
     /* 2404611 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2404614 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404626 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404630 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404639 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404643 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404647 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404651 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404656 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404658 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404658 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2404661 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404663 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404669 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404676 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404677 */     // GIR_Coverage, 2010,
     /* 2404677 */     GIR_EraseRootFromParent_Done,
     /* 2404678 */   // Label 34536: @2404678
     /* 2404678 */   GIM_Try, /*On fail goto*//*Label 34537*/ GIMT_Encode4(2404750), // Rule ID 2042 //
     /* 2404683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2404686 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404690 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404694 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404698 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404702 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404711 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404715 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404719 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404723 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404728 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404730 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2404730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2404733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404741 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404748 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404749 */     // GIR_Coverage, 2042,
     /* 2404749 */     GIR_EraseRootFromParent_Done,
     /* 2404750 */   // Label 34537: @2404750
     /* 2404750 */   GIM_Try, /*On fail goto*//*Label 34538*/ GIMT_Encode4(2404822), // Rule ID 2043 //
     /* 2404755 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2404758 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404762 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2404766 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404770 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404774 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404783 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404787 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404791 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404795 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404800 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404802 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2404805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2404813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404821 */     // GIR_Coverage, 2043,
     /* 2404821 */     GIR_EraseRootFromParent_Done,
     /* 2404822 */   // Label 34538: @2404822
     /* 2404822 */   GIM_Try, /*On fail goto*//*Label 34539*/ GIMT_Encode4(2404894), // Rule ID 65428 //
     /* 2404827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2404830 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404846 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404850 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404855 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404859 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404863 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404867 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404872 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404874 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2404874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2404877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404879 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404883 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2404885 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404893 */     // GIR_Coverage, 65428,
     /* 2404893 */     GIR_EraseRootFromParent_Done,
     /* 2404894 */   // Label 34539: @2404894
     /* 2404894 */   GIM_Try, /*On fail goto*//*Label 34540*/ GIMT_Encode4(2404966), // Rule ID 65429 //
     /* 2404899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2404902 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404906 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404918 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404922 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404927 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2404931 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404935 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404939 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2404944 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2404946 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FNMADD_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2404946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H),
     /* 2404949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2404951 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2404955 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2404957 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2404961 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2404964 */     GIR_RootConstrainSelectedInstOperands,
     /* 2404965 */     // GIR_Coverage, 65429,
     /* 2404965 */     GIR_EraseRootFromParent_Done,
     /* 2404966 */   // Label 34540: @2404966
     /* 2404966 */   GIM_Try, /*On fail goto*//*Label 34541*/ GIMT_Encode4(2405038), // Rule ID 65436 //
     /* 2404971 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2404974 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404978 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2404986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2404990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2404994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2404999 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405003 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405007 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405011 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405016 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405018 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2405021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405029 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2405033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405036 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405037 */     // GIR_Coverage, 65436,
     /* 2405037 */     GIR_EraseRootFromParent_Done,
     /* 2405038 */   // Label 34541: @2405038
     /* 2405038 */   GIM_Try, /*On fail goto*//*Label 34542*/ GIMT_Encode4(2405110), // Rule ID 65437 //
     /* 2405043 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2405046 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405050 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405071 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2405075 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405079 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405083 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405088 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2405090 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FNMADD_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_H_INX),
     /* 2405093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405095 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405101 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2405105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405109 */     // GIR_Coverage, 65437,
     /* 2405109 */     GIR_EraseRootFromParent_Done,
     /* 2405110 */   // Label 34542: @2405110
     /* 2405110 */   GIM_Try, /*On fail goto*//*Label 34543*/ GIMT_Encode4(2405167), // Rule ID 2005 //
     /* 2405115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2405118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405122 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405126 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405130 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405134 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405143 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405147 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405149 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2405152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405158 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405160 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405165 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405166 */     // GIR_Coverage, 2005,
     /* 2405166 */     GIR_EraseRootFromParent_Done,
     /* 2405167 */   // Label 34543: @2405167
     /* 2405167 */   GIM_Try, /*On fail goto*//*Label 34544*/ GIMT_Encode4(2405224), // Rule ID 2006 //
     /* 2405172 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2405175 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405179 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405183 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405187 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405191 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405196 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405200 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405204 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405206 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2405209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405211 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405215 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405217 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405219 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405222 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405223 */     // GIR_Coverage, 2006,
     /* 2405223 */     GIR_EraseRootFromParent_Done,
     /* 2405224 */   // Label 34544: @2405224
     /* 2405224 */   GIM_Try, /*On fail goto*//*Label 34545*/ GIMT_Encode4(2405281), // Rule ID 2038 //
     /* 2405229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2405232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405257 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405261 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405263 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405263 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2405266 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405268 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405272 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405274 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405280 */     // GIR_Coverage, 2038,
     /* 2405280 */     GIR_EraseRootFromParent_Done,
     /* 2405281 */   // Label 34545: @2405281
     /* 2405281 */   GIM_Try, /*On fail goto*//*Label 34546*/ GIMT_Encode4(2405338), // Rule ID 2039 //
     /* 2405286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2405289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405293 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405297 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405301 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405305 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405310 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405314 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405318 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405320 */     // (strict_fma:{ *:[f16] } (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405320 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2405323 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405325 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405329 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405331 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405337 */     // GIR_Coverage, 2039,
     /* 2405337 */     GIR_EraseRootFromParent_Done,
     /* 2405338 */   // Label 34546: @2405338
     /* 2405338 */   GIM_Try, /*On fail goto*//*Label 34547*/ GIMT_Encode4(2405395), // Rule ID 65424 //
     /* 2405343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2405346 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405350 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405362 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405366 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405371 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405375 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405377 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405377 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2405380 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405382 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405386 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405388 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405390 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405393 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405394 */     // GIR_Coverage, 65424,
     /* 2405394 */     GIR_EraseRootFromParent_Done,
     /* 2405395 */   // Label 34547: @2405395
     /* 2405395 */   GIM_Try, /*On fail goto*//*Label 34548*/ GIMT_Encode4(2405452), // Rule ID 65425 //
     /* 2405400 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2405403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405411 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405415 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405419 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405423 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405428 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405434 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs1), FPR16:{ *:[f16] }:$rs3)  =>  (FNMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H),
     /* 2405437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405439 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405445 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405450 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405451 */     // GIR_Coverage, 65425,
     /* 2405451 */     GIR_EraseRootFromParent_Done,
     /* 2405452 */   // Label 34548: @2405452
     /* 2405452 */   GIM_Try, /*On fail goto*//*Label 34549*/ GIMT_Encode4(2405509), // Rule ID 65432 //
     /* 2405457 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2405460 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405468 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405472 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405476 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405480 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405485 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405491 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2405494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405496 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405500 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405502 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405508 */     // GIR_Coverage, 65432,
     /* 2405508 */     GIR_EraseRootFromParent_Done,
     /* 2405509 */   // Label 34549: @2405509
     /* 2405509 */   GIM_Try, /*On fail goto*//*Label 34550*/ GIMT_Encode4(2405566), // Rule ID 65433 //
     /* 2405514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2405517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2405529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405542 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405546 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405548 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1), FPR16INX:{ *:[f16] }:$rs3)  =>  (FNMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405548 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_H_INX),
     /* 2405551 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2405557 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2405559 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405565 */     // GIR_Coverage, 65433,
     /* 2405565 */     GIR_EraseRootFromParent_Done,
     /* 2405566 */   // Label 34550: @2405566
     /* 2405566 */   GIM_Try, /*On fail goto*//*Label 34551*/ GIMT_Encode4(2405623), // Rule ID 2001 //
     /* 2405571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2405574 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405578 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405582 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405586 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405590 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405594 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405598 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405603 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405605 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405605 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2405608 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405610 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405612 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405614 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2405618 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405621 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405622 */     // GIR_Coverage, 2001,
     /* 2405622 */     GIR_EraseRootFromParent_Done,
     /* 2405623 */   // Label 34551: @2405623
     /* 2405623 */   GIM_Try, /*On fail goto*//*Label 34552*/ GIMT_Encode4(2405680), // Rule ID 2002 //
     /* 2405628 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2405631 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405635 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405639 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405643 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405647 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405651 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405655 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405660 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405662 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16:{ *:[f16] }:$rs3))  =>  (FMSUB_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405662 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H),
     /* 2405665 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405667 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405669 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405671 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2405675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405679 */     // GIR_Coverage, 2002,
     /* 2405679 */     GIR_EraseRootFromParent_Done,
     /* 2405680 */   // Label 34552: @2405680
     /* 2405680 */   GIM_Try, /*On fail goto*//*Label 34553*/ GIMT_Encode4(2405737), // Rule ID 2034 //
     /* 2405685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2405688 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405692 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405696 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405700 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405704 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405708 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405712 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405717 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405719 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405719 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2405722 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405724 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405726 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405728 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2405732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405735 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405736 */     // GIR_Coverage, 2034,
     /* 2405736 */     GIR_EraseRootFromParent_Done,
     /* 2405737 */   // Label 34553: @2405737
     /* 2405737 */   GIM_Try, /*On fail goto*//*Label 34554*/ GIMT_Encode4(2405794), // Rule ID 2035 //
     /* 2405742 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2405745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2405761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405765 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s16,
     /* 2405769 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405774 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2405776 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, (fneg:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs3))  =>  (FMSUB_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405776 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_H_INX),
     /* 2405779 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405781 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405783 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2405789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405792 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405793 */     // GIR_Coverage, 2035,
     /* 2405793 */     GIR_EraseRootFromParent_Done,
     /* 2405794 */   // Label 34554: @2405794
     /* 2405794 */   GIM_Try, /*On fail goto*//*Label 34555*/ GIMT_Encode4(2405834), // Rule ID 1997 //
     /* 2405799 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2405802 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405806 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405810 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405814 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405818 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2405821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405827 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405832 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405833 */     // GIR_Coverage, 1997,
     /* 2405833 */     GIR_EraseRootFromParent_Done,
     /* 2405834 */   // Label 34555: @2405834
     /* 2405834 */   GIM_Try, /*On fail goto*//*Label 34556*/ GIMT_Encode4(2405874), // Rule ID 1998 //
     /* 2405839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2405842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2405858 */     // (strict_fma:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, FPR16:{ *:[f16] }:$rs2, FPR16:{ *:[f16] }:$rs3)  =>  (FMADD_H:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405858 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H),
     /* 2405861 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405863 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405865 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405867 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405873 */     // GIR_Coverage, 1998,
     /* 2405873 */     GIR_EraseRootFromParent_Done,
     /* 2405874 */   // Label 34556: @2405874
     /* 2405874 */   GIM_Try, /*On fail goto*//*Label 34557*/ GIMT_Encode4(2405914), // Rule ID 2030 //
     /* 2405879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2405882 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405886 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405890 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405894 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405898 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i64] })
     /* 2405898 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2405901 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405905 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405907 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405912 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405913 */     // GIR_Coverage, 2030,
     /* 2405913 */     GIR_EraseRootFromParent_Done,
     /* 2405914 */   // Label 34557: @2405914
     /* 2405914 */   GIM_Try, /*On fail goto*//*Label 34558*/ GIMT_Encode4(2405954), // Rule ID 2031 //
     /* 2405919 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2405922 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405926 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405930 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405934 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2405938 */     // (strict_fma:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, FPR16INX:{ *:[f16] }:$rs2, FPR16INX:{ *:[f16] }:$rs3)  =>  (FMADD_H_INX:{ *:[f16] } ?:{ *:[f16] }:$rs1, ?:{ *:[f16] }:$rs2, ?:{ *:[f16] }:$rs3, 7:{ *:[i32] })
     /* 2405938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_H_INX),
     /* 2405941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2405943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2405945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2405947 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2405949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2405952 */     GIR_RootConstrainSelectedInstOperands,
     /* 2405953 */     // GIR_Coverage, 2031,
     /* 2405953 */     GIR_EraseRootFromParent_Done,
     /* 2405954 */   // Label 34558: @2405954
     /* 2405954 */   GIM_Reject,
     /* 2405955 */ // Label 34534: @2405955
     /* 2405955 */ GIM_Reject,
     /* 2405956 */ // Label 34516: @2405956
     /* 2405956 */ GIM_Try, /*On fail goto*//*Label 34559*/ GIMT_Encode4(2407391),
     /* 2405961 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405964 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s32,
     /* 2405967 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2405970 */   GIM_Try, /*On fail goto*//*Label 34560*/ GIMT_Encode4(2406042), // Rule ID 1308 //
     /* 2405975 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2405978 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405982 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2405986 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2405990 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2405994 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2405999 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406003 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406007 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406011 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406015 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406020 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406022 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2406022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2406025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406033 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406040 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406041 */     // GIR_Coverage, 1308,
     /* 2406041 */     GIR_EraseRootFromParent_Done,
     /* 2406042 */   // Label 34560: @2406042
     /* 2406042 */   GIM_Try, /*On fail goto*//*Label 34561*/ GIMT_Encode4(2406114), // Rule ID 1309 //
     /* 2406047 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2406050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406054 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406058 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406062 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406066 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406071 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406075 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406079 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406083 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406087 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406092 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406094 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2406094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2406097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406099 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406105 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406113 */     // GIR_Coverage, 1309,
     /* 2406113 */     GIR_EraseRootFromParent_Done,
     /* 2406114 */   // Label 34561: @2406114
     /* 2406114 */   GIM_Try, /*On fail goto*//*Label 34562*/ GIMT_Encode4(2406186), // Rule ID 1329 //
     /* 2406119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2406122 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406126 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406130 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406134 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406138 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406147 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406151 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406155 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406159 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406164 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406166 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2406166 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2406169 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406184 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406185 */     // GIR_Coverage, 1329,
     /* 2406185 */     GIR_EraseRootFromParent_Done,
     /* 2406186 */   // Label 34562: @2406186
     /* 2406186 */   GIM_Try, /*On fail goto*//*Label 34563*/ GIMT_Encode4(2406258), // Rule ID 1330 //
     /* 2406191 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2406194 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406198 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406202 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406206 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406210 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406215 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406219 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406223 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406227 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406231 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406236 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406238 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2406238 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2406241 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406243 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406249 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406256 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406257 */     // GIR_Coverage, 1330,
     /* 2406257 */     GIR_EraseRootFromParent_Done,
     /* 2406258 */   // Label 34563: @2406258
     /* 2406258 */   GIM_Try, /*On fail goto*//*Label 34564*/ GIMT_Encode4(2406330), // Rule ID 65392 //
     /* 2406263 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2406266 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406270 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406282 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406286 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406291 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406295 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406299 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406303 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406308 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406310 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2406310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2406313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406315 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406319 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406321 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406329 */     // GIR_Coverage, 65392,
     /* 2406329 */     GIR_EraseRootFromParent_Done,
     /* 2406330 */   // Label 34564: @2406330
     /* 2406330 */   GIM_Try, /*On fail goto*//*Label 34565*/ GIMT_Encode4(2406402), // Rule ID 65393 //
     /* 2406335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2406338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406363 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406367 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406371 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406375 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406380 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406382 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FNMADD_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2406382 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S),
     /* 2406385 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406400 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406401 */     // GIR_Coverage, 65393,
     /* 2406401 */     GIR_EraseRootFromParent_Done,
     /* 2406402 */   // Label 34565: @2406402
     /* 2406402 */   GIM_Try, /*On fail goto*//*Label 34566*/ GIMT_Encode4(2406474), // Rule ID 65400 //
     /* 2406407 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2406410 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406435 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406439 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406443 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406447 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406452 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406454 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2406454 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2406457 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406459 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406469 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406472 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406473 */     // GIR_Coverage, 65400,
     /* 2406473 */     GIR_EraseRootFromParent_Done,
     /* 2406474 */   // Label 34566: @2406474
     /* 2406474 */   GIM_Try, /*On fail goto*//*Label 34567*/ GIMT_Encode4(2406546), // Rule ID 65401 //
     /* 2406479 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2406482 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406486 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406507 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2406511 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406515 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406519 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406524 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2406526 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FNMADD_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2406526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_S_INX),
     /* 2406529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406531 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406537 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2406541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406544 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406545 */     // GIR_Coverage, 65401,
     /* 2406545 */     GIR_EraseRootFromParent_Done,
     /* 2406546 */   // Label 34567: @2406546
     /* 2406546 */   GIM_Try, /*On fail goto*//*Label 34568*/ GIMT_Encode4(2406603), // Rule ID 1304 //
     /* 2406551 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2406554 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406558 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406562 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406566 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406570 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406579 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406583 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406585 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2406585 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2406588 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406590 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406594 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406596 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406602 */     // GIR_Coverage, 1304,
     /* 2406602 */     GIR_EraseRootFromParent_Done,
     /* 2406603 */   // Label 34568: @2406603
     /* 2406603 */   GIM_Try, /*On fail goto*//*Label 34569*/ GIMT_Encode4(2406660), // Rule ID 1305 //
     /* 2406608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2406611 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406615 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406619 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406623 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406627 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406632 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406636 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406640 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406642 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2406642 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2406645 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406653 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406658 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406659 */     // GIR_Coverage, 1305,
     /* 2406659 */     GIR_EraseRootFromParent_Done,
     /* 2406660 */   // Label 34569: @2406660
     /* 2406660 */   GIM_Try, /*On fail goto*//*Label 34570*/ GIMT_Encode4(2406717), // Rule ID 1325 //
     /* 2406665 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2406668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406672 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406676 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406680 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406684 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406689 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406693 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406697 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406699 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2406699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2406702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406704 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406708 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406710 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406715 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406716 */     // GIR_Coverage, 1325,
     /* 2406716 */     GIR_EraseRootFromParent_Done,
     /* 2406717 */   // Label 34570: @2406717
     /* 2406717 */   GIM_Try, /*On fail goto*//*Label 34571*/ GIMT_Encode4(2406774), // Rule ID 1326 //
     /* 2406722 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2406725 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406729 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2406733 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406737 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406741 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406746 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406750 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406754 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406756 */     // (strict_fma:{ *:[f32] } (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2406756 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2406759 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406765 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2406767 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406772 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406773 */     // GIR_Coverage, 1326,
     /* 2406773 */     GIR_EraseRootFromParent_Done,
     /* 2406774 */   // Label 34571: @2406774
     /* 2406774 */   GIM_Try, /*On fail goto*//*Label 34572*/ GIMT_Encode4(2406831), // Rule ID 65388 //
     /* 2406779 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2406782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406798 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406802 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406807 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406811 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406813 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2406813 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2406816 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406818 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406822 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406824 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406830 */     // GIR_Coverage, 65388,
     /* 2406830 */     GIR_EraseRootFromParent_Done,
     /* 2406831 */   // Label 34572: @2406831
     /* 2406831 */   GIM_Try, /*On fail goto*//*Label 34573*/ GIMT_Encode4(2406888), // Rule ID 65389 //
     /* 2406836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2406839 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406864 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2406868 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406870 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs1), FPR32:{ *:[f32] }:$rs3)  =>  (FNMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2406870 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S),
     /* 2406873 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406875 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406887 */     // GIR_Coverage, 65389,
     /* 2406887 */     GIR_EraseRootFromParent_Done,
     /* 2406888 */   // Label 34573: @2406888
     /* 2406888 */   GIM_Try, /*On fail goto*//*Label 34574*/ GIMT_Encode4(2406945), // Rule ID 65396 //
     /* 2406893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2406896 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406900 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406904 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406908 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406912 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406916 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406921 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406925 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406927 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2406927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2406930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406932 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406936 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406938 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2406943 */     GIR_RootConstrainSelectedInstOperands,
     /* 2406944 */     // GIR_Coverage, 65396,
     /* 2406944 */     GIR_EraseRootFromParent_Done,
     /* 2406945 */   // Label 34574: @2406945
     /* 2406945 */   GIM_Try, /*On fail goto*//*Label 34575*/ GIMT_Encode4(2407002), // Rule ID 65397 //
     /* 2406950 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2406953 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406957 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406961 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2406965 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2406969 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2406973 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406978 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2406982 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2406984 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1), FPR32INX:{ *:[f32] }:$rs3)  =>  (FNMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2406984 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_S_INX),
     /* 2406987 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2406989 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2406993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2406995 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2406997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407000 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407001 */     // GIR_Coverage, 65397,
     /* 2407001 */     GIR_EraseRootFromParent_Done,
     /* 2407002 */   // Label 34575: @2407002
     /* 2407002 */   GIM_Try, /*On fail goto*//*Label 34576*/ GIMT_Encode4(2407059), // Rule ID 1300 //
     /* 2407007 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2407010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407030 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2407034 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407039 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407041 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2407041 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2407044 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407046 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407048 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407058 */     // GIR_Coverage, 1300,
     /* 2407058 */     GIR_EraseRootFromParent_Done,
     /* 2407059 */   // Label 34576: @2407059
     /* 2407059 */   GIM_Try, /*On fail goto*//*Label 34577*/ GIMT_Encode4(2407116), // Rule ID 1301 //
     /* 2407064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2407067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407079 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407083 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407087 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2407091 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407096 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407098 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32:{ *:[f32] }:$rs3))  =>  (FMSUB_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2407098 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S),
     /* 2407101 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407103 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407105 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407115 */     // GIR_Coverage, 1301,
     /* 2407115 */     GIR_EraseRootFromParent_Done,
     /* 2407116 */   // Label 34577: @2407116
     /* 2407116 */   GIM_Try, /*On fail goto*//*Label 34578*/ GIMT_Encode4(2407173), // Rule ID 1321 //
     /* 2407121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2407124 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407128 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407132 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407136 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407140 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407144 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2407148 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407153 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407155 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2407155 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2407158 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407160 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407162 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407164 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407171 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407172 */     // GIR_Coverage, 1321,
     /* 2407172 */     GIR_EraseRootFromParent_Done,
     /* 2407173 */   // Label 34578: @2407173
     /* 2407173 */   GIM_Try, /*On fail goto*//*Label 34579*/ GIMT_Encode4(2407230), // Rule ID 1322 //
     /* 2407178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2407181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407193 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2407197 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407201 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s32,
     /* 2407205 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407210 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2407212 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, (fneg:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs3))  =>  (FMSUB_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2407212 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_S_INX),
     /* 2407215 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407217 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407219 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407221 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2407225 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407228 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407229 */     // GIR_Coverage, 1322,
     /* 2407229 */     GIR_EraseRootFromParent_Done,
     /* 2407230 */   // Label 34579: @2407230
     /* 2407230 */   GIM_Try, /*On fail goto*//*Label 34580*/ GIMT_Encode4(2407270), // Rule ID 1296 //
     /* 2407235 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2407238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407250 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407254 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2407254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2407257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407259 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407263 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407265 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407269 */     // GIR_Coverage, 1296,
     /* 2407269 */     GIR_EraseRootFromParent_Done,
     /* 2407270 */   // Label 34580: @2407270
     /* 2407270 */   GIM_Try, /*On fail goto*//*Label 34581*/ GIMT_Encode4(2407310), // Rule ID 1297 //
     /* 2407275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2407278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2407294 */     // (strict_fma:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, FPR32:{ *:[f32] }:$rs2, FPR32:{ *:[f32] }:$rs3)  =>  (FMADD_S:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2407294 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S),
     /* 2407297 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407299 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407303 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407305 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407309 */     // GIR_Coverage, 1297,
     /* 2407309 */     GIR_EraseRootFromParent_Done,
     /* 2407310 */   // Label 34581: @2407310
     /* 2407310 */   GIM_Try, /*On fail goto*//*Label 34582*/ GIMT_Encode4(2407350), // Rule ID 1317 //
     /* 2407315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2407318 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407322 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407334 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i64] })
     /* 2407334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2407337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407339 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407341 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407343 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407345 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407348 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407349 */     // GIR_Coverage, 1317,
     /* 2407349 */     GIR_EraseRootFromParent_Done,
     /* 2407350 */   // Label 34582: @2407350
     /* 2407350 */   GIM_Try, /*On fail goto*//*Label 34583*/ GIMT_Encode4(2407390), // Rule ID 1318 //
     /* 2407355 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2407358 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407362 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407366 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407370 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2407374 */     // (strict_fma:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, FPR32INX:{ *:[f32] }:$rs2, FPR32INX:{ *:[f32] }:$rs3)  =>  (FMADD_S_INX:{ *:[f32] } ?:{ *:[f32] }:$rs1, ?:{ *:[f32] }:$rs2, ?:{ *:[f32] }:$rs3, 7:{ *:[i32] })
     /* 2407374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_S_INX),
     /* 2407377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2407381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407383 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2407385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407388 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407389 */     // GIR_Coverage, 1318,
     /* 2407389 */     GIR_EraseRootFromParent_Done,
     /* 2407390 */   // Label 34583: @2407390
     /* 2407390 */   GIM_Reject,
     /* 2407391 */ // Label 34559: @2407391
     /* 2407391 */ GIM_Reject,
     /* 2407392 */ // Label 34517: @2407392
     /* 2407392 */ GIM_Try, /*On fail goto*//*Label 34584*/ GIMT_Encode4(2409182),
     /* 2407397 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407400 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2407403 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2407406 */   GIM_Try, /*On fail goto*//*Label 34585*/ GIMT_Encode4(2407478), // Rule ID 1645 //
     /* 2407411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2407414 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407418 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407422 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407426 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407430 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407435 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407439 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407443 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407447 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407451 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407456 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407458 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2407461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407463 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407467 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407469 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2407473 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407476 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407477 */     // GIR_Coverage, 1645,
     /* 2407477 */     GIR_EraseRootFromParent_Done,
     /* 2407478 */   // Label 34585: @2407478
     /* 2407478 */   GIM_Try, /*On fail goto*//*Label 34586*/ GIMT_Encode4(2407550), // Rule ID 1646 //
     /* 2407483 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2407486 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407490 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407494 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407498 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407502 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407507 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407511 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407515 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407519 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407523 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407528 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407530 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2407533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407535 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407539 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2407545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407549 */     // GIR_Coverage, 1646,
     /* 2407549 */     GIR_EraseRootFromParent_Done,
     /* 2407550 */   // Label 34586: @2407550
     /* 2407550 */   GIM_Try, /*On fail goto*//*Label 34587*/ GIMT_Encode4(2407622), // Rule ID 1669 //
     /* 2407555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2407558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407562 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407566 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407570 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407574 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407579 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407583 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407587 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407591 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407595 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407600 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407602 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407602 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2407605 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2407617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407621 */     // GIR_Coverage, 1669,
     /* 2407621 */     GIR_EraseRootFromParent_Done,
     /* 2407622 */   // Label 34587: @2407622
     /* 2407622 */   GIM_Try, /*On fail goto*//*Label 34588*/ GIMT_Encode4(2407694), // Rule ID 1700 //
     /* 2407627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2407630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407634 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407638 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407642 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407646 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407655 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407659 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407663 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407667 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407672 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407674 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407674 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2407677 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407679 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407683 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407685 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2407689 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407692 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407693 */     // GIR_Coverage, 1700,
     /* 2407693 */     GIR_EraseRootFromParent_Done,
     /* 2407694 */   // Label 34588: @2407694
     /* 2407694 */   GIM_Try, /*On fail goto*//*Label 34589*/ GIMT_Encode4(2407766), // Rule ID 1701 //
     /* 2407699 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2407702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407706 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2407710 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407714 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407718 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407723 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407727 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407731 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407735 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407739 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407744 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407746 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2407749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2407757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2407761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407764 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407765 */     // GIR_Coverage, 1701,
     /* 2407765 */     GIR_EraseRootFromParent_Done,
     /* 2407766 */   // Label 34589: @2407766
     /* 2407766 */   GIM_Try, /*On fail goto*//*Label 34590*/ GIMT_Encode4(2407838), // Rule ID 65408 //
     /* 2407771 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2407774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407782 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407786 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407790 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407794 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407799 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407803 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407807 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407811 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407816 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407818 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2407821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407823 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407829 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2407833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407837 */     // GIR_Coverage, 65408,
     /* 2407837 */     GIR_EraseRootFromParent_Done,
     /* 2407838 */   // Label 34590: @2407838
     /* 2407838 */   GIM_Try, /*On fail goto*//*Label 34591*/ GIMT_Encode4(2407910), // Rule ID 65409 //
     /* 2407843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2407846 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407850 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407862 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407866 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407871 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407875 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407879 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407883 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2407888 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407890 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FNMADD_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2407890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D),
     /* 2407893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407895 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407899 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407901 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2407905 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407908 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407909 */     // GIR_Coverage, 65409,
     /* 2407909 */     GIR_EraseRootFromParent_Done,
     /* 2407910 */   // Label 34591: @2407910
     /* 2407910 */   GIM_Try, /*On fail goto*//*Label 34592*/ GIMT_Encode4(2407982), // Rule ID 65414 //
     /* 2407915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2407918 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407922 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407926 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2407930 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407934 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407938 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407943 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2407947 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2407951 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2407955 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2407960 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2407962 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FNMADD_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2407962 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_INX),
     /* 2407965 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2407967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2407971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2407973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2407977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2407980 */     GIR_RootConstrainSelectedInstOperands,
     /* 2407981 */     // GIR_Coverage, 65414,
     /* 2407981 */     GIR_EraseRootFromParent_Done,
     /* 2407982 */   // Label 34592: @2407982
     /* 2407982 */   GIM_Try, /*On fail goto*//*Label 34593*/ GIMT_Encode4(2408054), // Rule ID 65420 //
     /* 2407987 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2407990 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2407998 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408002 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408006 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408010 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408015 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408019 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408023 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408027 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408032 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408034 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2408037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408039 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2408049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408052 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408053 */     // GIR_Coverage, 65420,
     /* 2408053 */     GIR_EraseRootFromParent_Done,
     /* 2408054 */   // Label 34593: @2408054
     /* 2408054 */   GIM_Try, /*On fail goto*//*Label 34594*/ GIMT_Encode4(2408126), // Rule ID 65421 //
     /* 2408059 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2408062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408070 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408074 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408078 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408082 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408087 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2408091 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408095 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408099 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408104 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2408106 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FNMADD_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2408106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMADD_D_IN32X),
     /* 2408109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408111 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408115 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408117 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs3
     /* 2408121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408124 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408125 */     // GIR_Coverage, 65421,
     /* 2408125 */     GIR_EraseRootFromParent_Done,
     /* 2408126 */   // Label 34594: @2408126
     /* 2408126 */   GIM_Try, /*On fail goto*//*Label 34595*/ GIMT_Encode4(2408183), // Rule ID 1641 //
     /* 2408131 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2408134 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408138 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408142 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408146 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408150 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408155 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408159 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408163 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408165 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2408168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408170 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408174 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408176 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408181 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408182 */     // GIR_Coverage, 1641,
     /* 2408182 */     GIR_EraseRootFromParent_Done,
     /* 2408183 */   // Label 34595: @2408183
     /* 2408183 */   GIM_Try, /*On fail goto*//*Label 34596*/ GIMT_Encode4(2408240), // Rule ID 1642 //
     /* 2408188 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2408191 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408195 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408199 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408203 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408207 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408212 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408216 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408222 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2408222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2408225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408233 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408239 */     // GIR_Coverage, 1642,
     /* 2408239 */     GIR_EraseRootFromParent_Done,
     /* 2408240 */   // Label 34596: @2408240
     /* 2408240 */   GIM_Try, /*On fail goto*//*Label 34597*/ GIMT_Encode4(2408297), // Rule ID 1667 //
     /* 2408245 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2408248 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408252 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408256 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408260 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408264 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408269 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408273 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408277 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408279 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2408282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408284 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408288 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408290 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408295 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408296 */     // GIR_Coverage, 1667,
     /* 2408296 */     GIR_EraseRootFromParent_Done,
     /* 2408297 */   // Label 34597: @2408297
     /* 2408297 */   GIM_Try, /*On fail goto*//*Label 34598*/ GIMT_Encode4(2408354), // Rule ID 1696 //
     /* 2408302 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2408305 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408309 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408313 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408317 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408321 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408326 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408330 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408334 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408336 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408336 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2408339 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408345 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408347 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408349 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408352 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408353 */     // GIR_Coverage, 1696,
     /* 2408353 */     GIR_EraseRootFromParent_Done,
     /* 2408354 */   // Label 34598: @2408354
     /* 2408354 */   GIM_Try, /*On fail goto*//*Label 34599*/ GIMT_Encode4(2408411), // Rule ID 1697 //
     /* 2408359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2408362 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408366 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2408370 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408374 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408378 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408391 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408393 */     // (strict_fma:{ *:[f64] } (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2408393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2408396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408398 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408404 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408410 */     // GIR_Coverage, 1697,
     /* 2408410 */     GIR_EraseRootFromParent_Done,
     /* 2408411 */   // Label 34599: @2408411
     /* 2408411 */   GIM_Try, /*On fail goto*//*Label 34600*/ GIMT_Encode4(2408468), // Rule ID 65404 //
     /* 2408416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2408419 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408450 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408450 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2408453 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408455 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408459 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408461 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408466 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408467 */     // GIR_Coverage, 65404,
     /* 2408467 */     GIR_EraseRootFromParent_Done,
     /* 2408468 */   // Label 34600: @2408468
     /* 2408468 */   GIM_Try, /*On fail goto*//*Label 34601*/ GIMT_Encode4(2408525), // Rule ID 65405 //
     /* 2408473 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2408476 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408480 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408484 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408488 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408492 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408496 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408501 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408505 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408507 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs1), FPR64:{ *:[f64] }:$rs3)  =>  (FNMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2408507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D),
     /* 2408510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408512 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408518 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408523 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408524 */     // GIR_Coverage, 65405,
     /* 2408524 */     GIR_EraseRootFromParent_Done,
     /* 2408525 */   // Label 34601: @2408525
     /* 2408525 */   GIM_Try, /*On fail goto*//*Label 34602*/ GIMT_Encode4(2408582), // Rule ID 65412 //
     /* 2408530 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2408533 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408537 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408541 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408545 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408549 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408553 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408558 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408562 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408564 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1), FPR64INX:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408564 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_INX),
     /* 2408567 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408569 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408575 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408577 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408580 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408581 */     // GIR_Coverage, 65412,
     /* 2408581 */     GIR_EraseRootFromParent_Done,
     /* 2408582 */   // Label 34602: @2408582
     /* 2408582 */   GIM_Try, /*On fail goto*//*Label 34603*/ GIMT_Encode4(2408639), // Rule ID 65416 //
     /* 2408587 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2408590 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408594 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408598 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408602 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408606 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408610 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408615 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408619 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408621 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2408624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408632 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408637 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408638 */     // GIR_Coverage, 65416,
     /* 2408638 */     GIR_EraseRootFromParent_Done,
     /* 2408639 */   // Label 34603: @2408639
     /* 2408639 */   GIM_Try, /*On fail goto*//*Label 34604*/ GIMT_Encode4(2408696), // Rule ID 65417 //
     /* 2408644 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2408647 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408651 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2408659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408663 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408667 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408672 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408676 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408678 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1), FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FNMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2408678 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FNMSUB_D_IN32X),
     /* 2408681 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408683 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2408687 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2408689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2408691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408694 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408695 */     // GIR_Coverage, 65417,
     /* 2408695 */     GIR_EraseRootFromParent_Done,
     /* 2408696 */   // Label 34604: @2408696
     /* 2408696 */   GIM_Try, /*On fail goto*//*Label 34605*/ GIMT_Encode4(2408753), // Rule ID 1637 //
     /* 2408701 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2408704 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408708 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408712 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408716 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408720 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408724 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408728 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408733 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408735 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2408738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408744 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2408748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408752 */     // GIR_Coverage, 1637,
     /* 2408752 */     GIR_EraseRootFromParent_Done,
     /* 2408753 */   // Label 34605: @2408753
     /* 2408753 */   GIM_Try, /*On fail goto*//*Label 34606*/ GIMT_Encode4(2408810), // Rule ID 1638 //
     /* 2408758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2408761 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408792 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64:{ *:[f64] }:$rs3))  =>  (FMSUB_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2408792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D),
     /* 2408795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408797 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408799 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2408805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408808 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408809 */     // GIR_Coverage, 1638,
     /* 2408809 */     GIR_EraseRootFromParent_Done,
     /* 2408810 */   // Label 34606: @2408810
     /* 2408810 */   GIM_Try, /*On fail goto*//*Label 34607*/ GIMT_Encode4(2408867), // Rule ID 1665 //
     /* 2408815 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2408818 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408822 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408826 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408830 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408834 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408838 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408842 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2408847 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408849 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs3))  =>  (FMSUB_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_INX),
     /* 2408852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408858 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2408862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408866 */     // GIR_Coverage, 1665,
     /* 2408866 */     GIR_EraseRootFromParent_Done,
     /* 2408867 */   // Label 34607: @2408867
     /* 2408867 */   GIM_Try, /*On fail goto*//*Label 34608*/ GIMT_Encode4(2408924), // Rule ID 1692 //
     /* 2408872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2408875 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408879 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408904 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408906 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2408906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2408909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408911 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408913 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408915 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2408919 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408922 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408923 */     // GIR_Coverage, 1692,
     /* 2408923 */     GIR_EraseRootFromParent_Done,
     /* 2408924 */   // Label 34608: @2408924
     /* 2408924 */   GIM_Try, /*On fail goto*//*Label 34609*/ GIMT_Encode4(2408981), // Rule ID 1693 //
     /* 2408929 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2408932 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408936 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408940 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408944 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2408948 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2408952 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_s64,
     /* 2408956 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2408961 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2408963 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, (fneg:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs3))  =>  (FMSUB_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2408963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMSUB_D_IN32X),
     /* 2408966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2408968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2408970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2408972 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs3
     /* 2408976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2408979 */     GIR_RootConstrainSelectedInstOperands,
     /* 2408980 */     // GIR_Coverage, 1693,
     /* 2408980 */     GIR_EraseRootFromParent_Done,
     /* 2408981 */   // Label 34609: @2408981
     /* 2408981 */   GIM_Try, /*On fail goto*//*Label 34610*/ GIMT_Encode4(2409021), // Rule ID 1633 //
     /* 2408986 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2408989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2408997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409005 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2409005 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2409008 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409010 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409012 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2409014 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2409016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409019 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409020 */     // GIR_Coverage, 1633,
     /* 2409020 */     GIR_EraseRootFromParent_Done,
     /* 2409021 */   // Label 34610: @2409021
     /* 2409021 */   GIM_Try, /*On fail goto*//*Label 34611*/ GIMT_Encode4(2409061), // Rule ID 1634 //
     /* 2409026 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2409029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409041 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2409045 */     // (strict_fma:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, FPR64:{ *:[f64] }:$rs2, FPR64:{ *:[f64] }:$rs3)  =>  (FMADD_D:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2409045 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D),
     /* 2409048 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409050 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409052 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2409054 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2409056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409060 */     // GIR_Coverage, 1634,
     /* 2409060 */     GIR_EraseRootFromParent_Done,
     /* 2409061 */   // Label 34611: @2409061
     /* 2409061 */   GIM_Try, /*On fail goto*//*Label 34612*/ GIMT_Encode4(2409101), // Rule ID 1663 //
     /* 2409066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2409069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2409085 */     // (strict_fma:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, FPR64INX:{ *:[f64] }:$rs2, FPR64INX:{ *:[f64] }:$rs3)  =>  (FMADD_D_INX:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2409085 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_INX),
     /* 2409088 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409090 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409092 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2409094 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2409096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409100 */     // GIR_Coverage, 1663,
     /* 2409100 */     GIR_EraseRootFromParent_Done,
     /* 2409101 */   // Label 34612: @2409101
     /* 2409101 */   GIM_Try, /*On fail goto*//*Label 34613*/ GIMT_Encode4(2409141), // Rule ID 1688 //
     /* 2409106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2409109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409125 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i64] })
     /* 2409125 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2409128 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409130 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409132 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2409134 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2409136 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409139 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409140 */     // GIR_Coverage, 1688,
     /* 2409140 */     GIR_EraseRootFromParent_Done,
     /* 2409141 */   // Label 34613: @2409141
     /* 2409141 */   GIM_Try, /*On fail goto*//*Label 34614*/ GIMT_Encode4(2409181), // Rule ID 1689 //
     /* 2409146 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2409149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409161 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2409165 */     // (strict_fma:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, FPR64IN32X:{ *:[f64] }:$rs2, FPR64IN32X:{ *:[f64] }:$rs3)  =>  (FMADD_D_IN32X:{ *:[f64] } ?:{ *:[f64] }:$rs1, ?:{ *:[f64] }:$rs2, ?:{ *:[f64] }:$rs3, 7:{ *:[i32] })
     /* 2409165 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FMADD_D_IN32X),
     /* 2409168 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409170 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409172 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2409174 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs3
     /* 2409176 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409179 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409180 */     // GIR_Coverage, 1689,
     /* 2409180 */     GIR_EraseRootFromParent_Done,
     /* 2409181 */   // Label 34614: @2409181
     /* 2409181 */   GIM_Reject,
     /* 2409182 */ // Label 34584: @2409182
     /* 2409182 */ GIM_Reject,
     /* 2409183 */ // Label 34518: @2409183
     /* 2409183 */ GIM_Try, /*On fail goto*//*Label 34615*/ GIMT_Encode4(2409972),
     /* 2409188 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409191 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2409194 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s16,
     /* 2409197 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409201 */   GIM_Try, /*On fail goto*//*Label 34616*/ GIMT_Encode4(2409278), // Rule ID 54834 //
     /* 2409206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409209 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409213 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409217 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409221 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409230 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409234 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409238 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409242 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409247 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409249 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409249 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2409252 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409254 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409256 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409260 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409277 */     // GIR_Coverage, 54834,
     /* 2409277 */     GIR_EraseRootFromParent_Done,
     /* 2409278 */   // Label 34616: @2409278
     /* 2409278 */   GIM_Try, /*On fail goto*//*Label 34617*/ GIMT_Encode4(2409355), // Rule ID 54835 //
     /* 2409283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409286 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409290 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409294 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409298 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409307 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409311 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409315 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409319 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409324 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409326 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409326 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2409329 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409331 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409333 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409337 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409353 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409354 */     // GIR_Coverage, 54835,
     /* 2409354 */     GIR_EraseRootFromParent_Done,
     /* 2409355 */   // Label 34617: @2409355
     /* 2409355 */   GIM_Try, /*On fail goto*//*Label 34618*/ GIMT_Encode4(2409432), // Rule ID 72392 //
     /* 2409360 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409375 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409379 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409384 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409388 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409392 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409396 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409401 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409403 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409403 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2409406 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409408 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409410 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409414 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409431 */     // GIR_Coverage, 72392,
     /* 2409431 */     GIR_EraseRootFromParent_Done,
     /* 2409432 */   // Label 34618: @2409432
     /* 2409432 */   GIM_Try, /*On fail goto*//*Label 34619*/ GIMT_Encode4(2409509), // Rule ID 72393 //
     /* 2409437 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409444 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409448 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409452 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409456 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409461 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2409465 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409469 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409473 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409478 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2409480 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF4_E16),
     /* 2409483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409487 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2409495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409508 */     // GIR_Coverage, 72393,
     /* 2409508 */     GIR_EraseRootFromParent_Done,
     /* 2409509 */   // Label 34619: @2409509
     /* 2409509 */   GIM_Try, /*On fail goto*//*Label 34620*/ GIMT_Encode4(2409571), // Rule ID 54838 //
     /* 2409514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409517 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409521 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409525 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409529 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409534 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409538 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409544 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2409547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409555 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409570 */     // GIR_Coverage, 54838,
     /* 2409570 */     GIR_EraseRootFromParent_Done,
     /* 2409571 */   // Label 34620: @2409571
     /* 2409571 */   GIM_Try, /*On fail goto*//*Label 34621*/ GIMT_Encode4(2409633), // Rule ID 54839 //
     /* 2409576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2409583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409600 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409604 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409606 */     // (strict_fma:{ *:[nxv1f16] } (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409606 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2409609 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409611 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409613 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409617 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409622 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409628 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409632 */     // GIR_Coverage, 54839,
     /* 2409632 */     GIR_EraseRootFromParent_Done,
     /* 2409633 */   // Label 34621: @2409633
     /* 2409633 */   GIM_Try, /*On fail goto*//*Label 34622*/ GIMT_Encode4(2409695), // Rule ID 72396 //
     /* 2409638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409645 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409649 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409653 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409657 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409666 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409668 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409668 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2409671 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409673 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409675 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409679 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409681 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409684 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409687 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409690 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409693 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409694 */     // GIR_Coverage, 72396,
     /* 2409694 */     GIR_EraseRootFromParent_Done,
     /* 2409695 */   // Label 34622: @2409695
     /* 2409695 */   GIM_Try, /*On fail goto*//*Label 34623*/ GIMT_Encode4(2409757), // Rule ID 72397 //
     /* 2409700 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2409711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409715 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409719 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409724 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409728 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409730 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1), VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409730 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF4_E16),
     /* 2409733 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409735 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2409737 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2409741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409743 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409749 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409752 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409756 */     // GIR_Coverage, 72397,
     /* 2409756 */     GIR_EraseRootFromParent_Done,
     /* 2409757 */   // Label 34623: @2409757
     /* 2409757 */   GIM_Try, /*On fail goto*//*Label 34624*/ GIMT_Encode4(2409819), // Rule ID 54830 //
     /* 2409762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409765 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409769 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409773 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409777 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409781 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409785 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409792 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409792 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2409795 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409797 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409799 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409801 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409805 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409808 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409811 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409817 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409818 */     // GIR_Coverage, 54830,
     /* 2409818 */     GIR_EraseRootFromParent_Done,
     /* 2409819 */   // Label 34624: @2409819
     /* 2409819 */   GIM_Try, /*On fail goto*//*Label 34625*/ GIMT_Encode4(2409881), // Rule ID 54831 //
     /* 2409824 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409827 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409831 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409835 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2409839 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2409843 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2409847 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409852 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2409854 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, (fneg:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409854 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF4_E16),
     /* 2409857 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2409867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409870 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409880 */     // GIR_Coverage, 54831,
     /* 2409880 */     GIR_EraseRootFromParent_Done,
     /* 2409881 */   // Label 34625: @2409881
     /* 2409881 */   GIM_Try, /*On fail goto*//*Label 34626*/ GIMT_Encode4(2409926), // Rule ID 54826 //
     /* 2409886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2409889 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409893 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409897 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409901 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2409901 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2409904 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409908 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409910 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409924 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409925 */     // GIR_Coverage, 54826,
     /* 2409925 */     GIR_EraseRootFromParent_Done,
     /* 2409926 */   // Label 34626: @2409926
     /* 2409926 */   GIM_Try, /*On fail goto*//*Label 34627*/ GIMT_Encode4(2409971), // Rule ID 54827 //
     /* 2409931 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2409934 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409938 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409942 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409946 */     // (strict_fma:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF4_E16:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2409946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF4_E16),
     /* 2409949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2409951 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2409953 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2409955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2409957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2409960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2409963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2409966 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2409969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2409970 */     // GIR_Coverage, 54827,
     /* 2409970 */     GIR_EraseRootFromParent_Done,
     /* 2409971 */   // Label 34627: @2409971
     /* 2409971 */   GIM_Reject,
     /* 2409972 */ // Label 34615: @2409972
     /* 2409972 */ GIM_Reject,
     /* 2409973 */ // Label 34519: @2409973
     /* 2409973 */ GIM_Try, /*On fail goto*//*Label 34628*/ GIMT_Encode4(2410762),
     /* 2409978 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2409981 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2409984 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s32,
     /* 2409987 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2409991 */   GIM_Try, /*On fail goto*//*Label 34629*/ GIMT_Encode4(2410068), // Rule ID 54962 //
     /* 2409996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2409999 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410003 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410007 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410011 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410016 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410020 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410024 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410028 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410032 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410037 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410039 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410039 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2410042 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410046 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410050 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410066 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410067 */     // GIR_Coverage, 54962,
     /* 2410067 */     GIR_EraseRootFromParent_Done,
     /* 2410068 */   // Label 34629: @2410068
     /* 2410068 */   GIM_Try, /*On fail goto*//*Label 34630*/ GIMT_Encode4(2410145), // Rule ID 54963 //
     /* 2410073 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410076 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410080 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410084 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410088 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410093 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410097 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410101 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410105 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410109 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410114 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410116 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410116 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2410119 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410121 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410123 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410127 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410143 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410144 */     // GIR_Coverage, 54963,
     /* 2410144 */     GIR_EraseRootFromParent_Done,
     /* 2410145 */   // Label 34630: @2410145
     /* 2410145 */   GIM_Try, /*On fail goto*//*Label 34631*/ GIMT_Encode4(2410222), // Rule ID 72504 //
     /* 2410150 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410165 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410169 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410174 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410178 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410182 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410186 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410191 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410193 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2410196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410198 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410200 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410204 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410221 */     // GIR_Coverage, 72504,
     /* 2410221 */     GIR_EraseRootFromParent_Done,
     /* 2410222 */   // Label 34631: @2410222
     /* 2410222 */   GIM_Try, /*On fail goto*//*Label 34632*/ GIMT_Encode4(2410299), // Rule ID 72505 //
     /* 2410227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410234 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410238 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410242 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410246 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410251 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410255 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410259 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410263 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410268 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410270 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410270 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E32),
     /* 2410273 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410275 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410277 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410298 */     // GIR_Coverage, 72505,
     /* 2410298 */     GIR_EraseRootFromParent_Done,
     /* 2410299 */   // Label 34632: @2410299
     /* 2410299 */   GIM_Try, /*On fail goto*//*Label 34633*/ GIMT_Encode4(2410361), // Rule ID 54966 //
     /* 2410304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410315 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410319 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410334 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2410337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410341 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410345 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410360 */     // GIR_Coverage, 54966,
     /* 2410360 */     GIR_EraseRootFromParent_Done,
     /* 2410361 */   // Label 34633: @2410361
     /* 2410361 */   GIM_Try, /*On fail goto*//*Label 34634*/ GIMT_Encode4(2410423), // Rule ID 54967 //
     /* 2410366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410390 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410394 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410396 */     // (strict_fma:{ *:[nxv1f32] } (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410396 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2410399 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410401 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410403 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410407 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410415 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410421 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410422 */     // GIR_Coverage, 54967,
     /* 2410422 */     GIR_EraseRootFromParent_Done,
     /* 2410423 */   // Label 34634: @2410423
     /* 2410423 */   GIM_Try, /*On fail goto*//*Label 34635*/ GIMT_Encode4(2410485), // Rule ID 72508 //
     /* 2410428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410431 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410435 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410439 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410443 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410447 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410452 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410456 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410458 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2410461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410465 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410469 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410471 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410477 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410483 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410484 */     // GIR_Coverage, 72508,
     /* 2410484 */     GIR_EraseRootFromParent_Done,
     /* 2410485 */   // Label 34635: @2410485
     /* 2410485 */   GIM_Try, /*On fail goto*//*Label 34636*/ GIMT_Encode4(2410547), // Rule ID 72509 //
     /* 2410490 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410493 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410497 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410501 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410505 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410509 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410514 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410518 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410520 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1), VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410520 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E32),
     /* 2410523 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410525 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410527 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410531 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410546 */     // GIR_Coverage, 72509,
     /* 2410546 */     GIR_EraseRootFromParent_Done,
     /* 2410547 */   // Label 34636: @2410547
     /* 2410547 */   GIM_Try, /*On fail goto*//*Label 34637*/ GIMT_Encode4(2410609), // Rule ID 54958 //
     /* 2410552 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410555 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410559 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410563 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410567 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410571 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410575 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410580 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410582 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2410585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410591 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410595 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410604 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410607 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410608 */     // GIR_Coverage, 54958,
     /* 2410608 */     GIR_EraseRootFromParent_Done,
     /* 2410609 */   // Label 34637: @2410609
     /* 2410609 */   GIM_Try, /*On fail goto*//*Label 34638*/ GIMT_Encode4(2410671), // Rule ID 54959 //
     /* 2410614 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410625 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2410629 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410633 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2410637 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410642 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2410644 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, (fneg:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E32),
     /* 2410647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410649 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2410657 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410666 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410669 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410670 */     // GIR_Coverage, 54959,
     /* 2410670 */     GIR_EraseRootFromParent_Done,
     /* 2410671 */   // Label 34638: @2410671
     /* 2410671 */   GIM_Try, /*On fail goto*//*Label 34639*/ GIMT_Encode4(2410716), // Rule ID 54954 //
     /* 2410676 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2410679 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410683 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410687 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410691 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410691 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2410694 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410696 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410698 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410700 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410714 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410715 */     // GIR_Coverage, 54954,
     /* 2410715 */     GIR_EraseRootFromParent_Done,
     /* 2410716 */   // Label 34639: @2410716
     /* 2410716 */   GIM_Try, /*On fail goto*//*Label 34640*/ GIMT_Encode4(2410761), // Rule ID 54955 //
     /* 2410721 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2410724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410732 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410736 */     // (strict_fma:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E32:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410736 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E32),
     /* 2410739 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410741 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410743 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2410745 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2410747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2410756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410760 */     // GIR_Coverage, 54955,
     /* 2410760 */     GIR_EraseRootFromParent_Done,
     /* 2410761 */   // Label 34640: @2410761
     /* 2410761 */   GIM_Reject,
     /* 2410762 */ // Label 34628: @2410762
     /* 2410762 */ GIM_Reject,
     /* 2410763 */ // Label 34520: @2410763
     /* 2410763 */ GIM_Try, /*On fail goto*//*Label 34641*/ GIMT_Encode4(2411552),
     /* 2410768 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2410771 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2410774 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv1s64,
     /* 2410777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410781 */   GIM_Try, /*On fail goto*//*Label 34642*/ GIMT_Encode4(2410858), // Rule ID 55154 //
     /* 2410786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2410789 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410793 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410797 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2410801 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410806 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410810 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410814 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410818 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2410822 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410827 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410829 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2410832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410834 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410836 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410840 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2410853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410856 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410857 */     // GIR_Coverage, 55154,
     /* 2410857 */     GIR_EraseRootFromParent_Done,
     /* 2410858 */   // Label 34642: @2410858
     /* 2410858 */   GIM_Try, /*On fail goto*//*Label 34643*/ GIMT_Encode4(2410935), // Rule ID 55155 //
     /* 2410863 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2410866 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2410870 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410874 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2410878 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410883 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410887 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410891 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410895 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2410899 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410904 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410906 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2410906 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2410909 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410911 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2410913 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410917 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2410924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2410927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2410930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2410933 */     GIR_RootConstrainSelectedInstOperands,
     /* 2410934 */     // GIR_Coverage, 55155,
     /* 2410934 */     GIR_EraseRootFromParent_Done,
     /* 2410935 */   // Label 34643: @2410935
     /* 2410935 */   GIM_Try, /*On fail goto*//*Label 34644*/ GIMT_Encode4(2411012), // Rule ID 72672 //
     /* 2410940 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2410943 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410947 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2410951 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410955 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2410959 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410964 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2410968 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2410972 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2410976 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2410981 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2410983 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2410983 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2410986 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2410988 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2410990 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2410994 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2410998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411010 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411011 */     // GIR_Coverage, 72672,
     /* 2411011 */     GIR_EraseRootFromParent_Done,
     /* 2411012 */   // Label 34644: @2411012
     /* 2411012 */   GIM_Try, /*On fail goto*//*Label 34645*/ GIMT_Encode4(2411089), // Rule ID 72673 //
     /* 2411017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411024 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411028 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411032 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2411036 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411041 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411045 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411049 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2411053 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411058 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411060 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411060 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E64),
     /* 2411063 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411065 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411067 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411088 */     // GIR_Coverage, 72673,
     /* 2411088 */     GIR_EraseRootFromParent_Done,
     /* 2411089 */   // Label 34645: @2411089
     /* 2411089 */   GIM_Try, /*On fail goto*//*Label 34646*/ GIMT_Encode4(2411151), // Rule ID 55158 //
     /* 2411094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411097 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411101 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411105 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2411109 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411118 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411124 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2411127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411131 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411135 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411150 */     // GIR_Coverage, 55158,
     /* 2411150 */     GIR_EraseRootFromParent_Done,
     /* 2411151 */   // Label 34646: @2411151
     /* 2411151 */   GIM_Try, /*On fail goto*//*Label 34647*/ GIMT_Encode4(2411213), // Rule ID 55159 //
     /* 2411156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2411171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411180 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411184 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411186 */     // (strict_fma:{ *:[nxv1f64] } (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411186 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2411189 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411191 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411193 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411197 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411212 */     // GIR_Coverage, 55159,
     /* 2411212 */     GIR_EraseRootFromParent_Done,
     /* 2411213 */   // Label 34647: @2411213
     /* 2411213 */   GIM_Try, /*On fail goto*//*Label 34648*/ GIMT_Encode4(2411275), // Rule ID 72676 //
     /* 2411218 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411221 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411225 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411229 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411233 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2411237 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411242 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411246 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411248 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411248 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2411251 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411253 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411255 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411259 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411261 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411273 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411274 */     // GIR_Coverage, 72676,
     /* 2411274 */     GIR_EraseRootFromParent_Done,
     /* 2411275 */   // Label 34648: @2411275
     /* 2411275 */   GIM_Try, /*On fail goto*//*Label 34649*/ GIMT_Encode4(2411337), // Rule ID 72677 //
     /* 2411280 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411283 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411287 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411291 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411295 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2411299 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411304 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411308 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411310 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1), VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E64),
     /* 2411313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411317 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411321 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411332 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411335 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411336 */     // GIR_Coverage, 72677,
     /* 2411336 */     GIR_EraseRootFromParent_Done,
     /* 2411337 */   // Label 34649: @2411337
     /* 2411337 */   GIM_Try, /*On fail goto*//*Label 34650*/ GIMT_Encode4(2411399), // Rule ID 55150 //
     /* 2411342 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411353 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411357 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411361 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2411365 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411370 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411372 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411372 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2411375 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411377 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411381 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2411385 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411394 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411397 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411398 */     // GIR_Coverage, 55150,
     /* 2411398 */     GIR_EraseRootFromParent_Done,
     /* 2411399 */   // Label 34650: @2411399
     /* 2411399 */   GIM_Try, /*On fail goto*//*Label 34651*/ GIMT_Encode4(2411461), // Rule ID 55151 //
     /* 2411404 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411415 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2411419 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411423 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2411427 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411432 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411434 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, (fneg:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411434 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E64),
     /* 2411437 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411441 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2411447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411450 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411459 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411460 */     // GIR_Coverage, 55151,
     /* 2411460 */     GIR_EraseRootFromParent_Done,
     /* 2411461 */   // Label 34651: @2411461
     /* 2411461 */   GIM_Try, /*On fail goto*//*Label 34652*/ GIMT_Encode4(2411506), // Rule ID 55146 //
     /* 2411466 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2411469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411477 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411481 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411481 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2411484 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411486 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411488 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411490 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411505 */     // GIR_Coverage, 55146,
     /* 2411505 */     GIR_EraseRootFromParent_Done,
     /* 2411506 */   // Label 34652: @2411506
     /* 2411506 */   GIM_Try, /*On fail goto*//*Label 34653*/ GIMT_Encode4(2411551), // Rule ID 55147 //
     /* 2411511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2411514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411526 */     // (strict_fma:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E64:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411526 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E64),
     /* 2411529 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411533 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2411535 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2411546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411550 */     // GIR_Coverage, 55147,
     /* 2411550 */     GIR_EraseRootFromParent_Done,
     /* 2411551 */   // Label 34653: @2411551
     /* 2411551 */   GIM_Reject,
     /* 2411552 */ // Label 34641: @2411552
     /* 2411552 */ GIM_Reject,
     /* 2411553 */ // Label 34521: @2411553
     /* 2411553 */ GIM_Try, /*On fail goto*//*Label 34654*/ GIMT_Encode4(2412342),
     /* 2411558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2411564 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s16,
     /* 2411567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411571 */   GIM_Try, /*On fail goto*//*Label 34655*/ GIMT_Encode4(2411648), // Rule ID 54898 //
     /* 2411576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2411579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411587 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411591 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411596 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411600 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411604 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411608 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411612 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411617 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411619 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411619 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2411622 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411624 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411626 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411630 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411646 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411647 */     // GIR_Coverage, 54898,
     /* 2411647 */     GIR_EraseRootFromParent_Done,
     /* 2411648 */   // Label 34655: @2411648
     /* 2411648 */   GIM_Try, /*On fail goto*//*Label 34656*/ GIMT_Encode4(2411725), // Rule ID 54899 //
     /* 2411653 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2411656 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411660 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411664 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411668 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411673 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411677 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411681 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411685 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411689 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411694 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411696 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2411699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411701 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411703 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411707 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411724 */     // GIR_Coverage, 54899,
     /* 2411724 */     GIR_EraseRootFromParent_Done,
     /* 2411725 */   // Label 34656: @2411725
     /* 2411725 */   GIM_Try, /*On fail goto*//*Label 34657*/ GIMT_Encode4(2411802), // Rule ID 72448 //
     /* 2411730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2411733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411737 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411741 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411745 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411749 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411754 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411758 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411762 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411766 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411771 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411773 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411773 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2411776 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411778 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411780 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411784 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411801 */     // GIR_Coverage, 72448,
     /* 2411801 */     GIR_EraseRootFromParent_Done,
     /* 2411802 */   // Label 34657: @2411802
     /* 2411802 */   GIM_Try, /*On fail goto*//*Label 34658*/ GIMT_Encode4(2411879), // Rule ID 72449 //
     /* 2411807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2411810 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411814 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2411818 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411822 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411826 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411831 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2411835 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411839 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411843 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411848 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2411850 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFNMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411850 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_MF2_E16),
     /* 2411853 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411855 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2411857 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2411865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411878 */     // GIR_Coverage, 72449,
     /* 2411878 */     GIR_EraseRootFromParent_Done,
     /* 2411879 */   // Label 34658: @2411879
     /* 2411879 */   GIM_Try, /*On fail goto*//*Label 34659*/ GIMT_Encode4(2411941), // Rule ID 54902 //
     /* 2411884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2411887 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411891 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411895 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411899 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411904 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411908 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411914 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2411914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2411917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411921 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2411939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2411940 */     // GIR_Coverage, 54902,
     /* 2411940 */     GIR_EraseRootFromParent_Done,
     /* 2411941 */   // Label 34659: @2411941
     /* 2411941 */   GIM_Try, /*On fail goto*//*Label 34660*/ GIMT_Encode4(2412003), // Rule ID 54903 //
     /* 2411946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2411949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2411953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2411957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2411961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411970 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2411974 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2411976 */     // (strict_fma:{ *:[nxv2f16] } (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2411976 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2411979 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2411981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2411983 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2411987 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2411989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2411992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2411995 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2411998 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412001 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412002 */     // GIR_Coverage, 54903,
     /* 2412002 */     GIR_EraseRootFromParent_Done,
     /* 2412003 */   // Label 34660: @2412003
     /* 2412003 */   GIM_Try, /*On fail goto*//*Label 34661*/ GIMT_Encode4(2412065), // Rule ID 72452 //
     /* 2412008 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412011 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412015 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412019 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412023 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2412027 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412032 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412036 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412038 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412038 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2412041 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412043 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412045 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412049 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412057 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412060 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412063 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412064 */     // GIR_Coverage, 72452,
     /* 2412064 */     GIR_EraseRootFromParent_Done,
     /* 2412065 */   // Label 34661: @2412065
     /* 2412065 */   GIM_Try, /*On fail goto*//*Label 34662*/ GIMT_Encode4(2412127), // Rule ID 72453 //
     /* 2412070 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412077 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412081 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412085 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2412089 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412094 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412098 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412100 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1), VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412100 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_MF2_E16),
     /* 2412103 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412105 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412107 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412111 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412116 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412119 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412122 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412125 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412126 */     // GIR_Coverage, 72453,
     /* 2412126 */     GIR_EraseRootFromParent_Done,
     /* 2412127 */   // Label 34662: @2412127
     /* 2412127 */   GIM_Try, /*On fail goto*//*Label 34663*/ GIMT_Encode4(2412189), // Rule ID 54894 //
     /* 2412132 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412151 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2412155 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412160 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412162 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412162 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2412165 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412167 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412169 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412171 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412175 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412178 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412184 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412187 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412188 */     // GIR_Coverage, 54894,
     /* 2412188 */     GIR_EraseRootFromParent_Done,
     /* 2412189 */   // Label 34663: @2412189
     /* 2412189 */   GIM_Try, /*On fail goto*//*Label 34664*/ GIMT_Encode4(2412251), // Rule ID 54895 //
     /* 2412194 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412213 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2412217 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412222 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412224 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, (fneg:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2))  =>  (PseudoVFMSUB_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412224 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_MF2_E16),
     /* 2412227 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412231 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412237 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412240 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412243 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412246 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412249 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412250 */     // GIR_Coverage, 54895,
     /* 2412250 */     GIR_EraseRootFromParent_Done,
     /* 2412251 */   // Label 34664: @2412251
     /* 2412251 */   GIM_Try, /*On fail goto*//*Label 34665*/ GIMT_Encode4(2412296), // Rule ID 54890 //
     /* 2412256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2412259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412271 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412271 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2412274 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412276 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412280 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412294 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412295 */     // GIR_Coverage, 54890,
     /* 2412295 */     GIR_EraseRootFromParent_Done,
     /* 2412296 */   // Label 34665: @2412296
     /* 2412296 */   GIM_Try, /*On fail goto*//*Label 34666*/ GIMT_Encode4(2412341), // Rule ID 54891 //
     /* 2412301 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2412304 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412308 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412312 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412316 */     // (strict_fma:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFMADD_VV_MF2_E16:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_MF2_E16),
     /* 2412319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412321 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2412336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412340 */     // GIR_Coverage, 54891,
     /* 2412340 */     GIR_EraseRootFromParent_Done,
     /* 2412341 */   // Label 34666: @2412341
     /* 2412341 */   GIM_Reject,
     /* 2412342 */ // Label 34654: @2412342
     /* 2412342 */ GIM_Reject,
     /* 2412343 */ // Label 34522: @2412343
     /* 2412343 */ GIM_Try, /*On fail goto*//*Label 34667*/ GIMT_Encode4(2413132),
     /* 2412348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2412354 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s32,
     /* 2412357 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412361 */   GIM_Try, /*On fail goto*//*Label 34668*/ GIMT_Encode4(2412438), // Rule ID 55090 //
     /* 2412366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412369 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412373 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412377 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412381 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412390 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412394 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412398 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412402 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412407 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412409 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412409 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2412412 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412414 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412416 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412420 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412436 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412437 */     // GIR_Coverage, 55090,
     /* 2412437 */     GIR_EraseRootFromParent_Done,
     /* 2412438 */   // Label 34668: @2412438
     /* 2412438 */   GIM_Try, /*On fail goto*//*Label 34669*/ GIMT_Encode4(2412515), // Rule ID 55091 //
     /* 2412443 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2412446 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412450 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412454 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412458 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412463 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412467 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412471 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412475 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412479 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412484 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412486 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412486 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2412489 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412491 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412493 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412497 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412513 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412514 */     // GIR_Coverage, 55091,
     /* 2412514 */     GIR_EraseRootFromParent_Done,
     /* 2412515 */   // Label 34669: @2412515
     /* 2412515 */   GIM_Try, /*On fail goto*//*Label 34670*/ GIMT_Encode4(2412592), // Rule ID 72616 //
     /* 2412520 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412527 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412531 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412535 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412539 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412544 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412548 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412552 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412556 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412561 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412563 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2412566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412570 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412574 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412590 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412591 */     // GIR_Coverage, 72616,
     /* 2412591 */     GIR_EraseRootFromParent_Done,
     /* 2412592 */   // Label 34670: @2412592
     /* 2412592 */   GIM_Try, /*On fail goto*//*Label 34671*/ GIMT_Encode4(2412669), // Rule ID 72617 //
     /* 2412597 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2412600 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412604 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412608 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412612 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412616 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412621 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2412625 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412629 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412633 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412638 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2412640 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E32),
     /* 2412643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412647 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412651 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2412655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412668 */     // GIR_Coverage, 72617,
     /* 2412668 */     GIR_EraseRootFromParent_Done,
     /* 2412669 */   // Label 34671: @2412669
     /* 2412669 */   GIM_Try, /*On fail goto*//*Label 34672*/ GIMT_Encode4(2412731), // Rule ID 55094 //
     /* 2412674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412677 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412681 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412685 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412689 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412694 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412698 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412702 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412704 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2412707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412711 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412715 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412730 */     // GIR_Coverage, 55094,
     /* 2412730 */     GIR_EraseRootFromParent_Done,
     /* 2412731 */   // Label 34672: @2412731
     /* 2412731 */   GIM_Try, /*On fail goto*//*Label 34673*/ GIMT_Encode4(2412793), // Rule ID 55095 //
     /* 2412736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2412739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2412743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412760 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412764 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412766 */     // (strict_fma:{ *:[nxv2f32] } (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2412769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412771 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412773 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412777 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412782 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412788 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412791 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412792 */     // GIR_Coverage, 55095,
     /* 2412792 */     GIR_EraseRootFromParent_Done,
     /* 2412793 */   // Label 34673: @2412793
     /* 2412793 */   GIM_Try, /*On fail goto*//*Label 34674*/ GIMT_Encode4(2412855), // Rule ID 72620 //
     /* 2412798 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412805 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412809 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412813 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412817 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412822 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412826 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412828 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2412831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412835 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412839 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412844 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412850 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412854 */     // GIR_Coverage, 72620,
     /* 2412854 */     GIR_EraseRootFromParent_Done,
     /* 2412855 */   // Label 34674: @2412855
     /* 2412855 */   GIM_Try, /*On fail goto*//*Label 34675*/ GIMT_Encode4(2412917), // Rule ID 72621 //
     /* 2412860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2412863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412867 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2412871 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412875 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412879 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412888 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412890 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1), VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2412890 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E32),
     /* 2412893 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412895 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2412897 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2412901 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2412903 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412906 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412912 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412916 */     // GIR_Coverage, 72621,
     /* 2412916 */     GIR_EraseRootFromParent_Done,
     /* 2412917 */   // Label 34675: @2412917
     /* 2412917 */   GIM_Try, /*On fail goto*//*Label 34676*/ GIMT_Encode4(2412979), // Rule ID 55086 //
     /* 2412922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2412925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412933 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412937 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2412941 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2412945 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412950 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2412952 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2412952 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2412955 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2412957 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2412959 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2412961 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2412965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2412968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2412971 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2412974 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2412977 */     GIR_RootConstrainSelectedInstOperands,
     /* 2412978 */     // GIR_Coverage, 55086,
     /* 2412978 */     GIR_EraseRootFromParent_Done,
     /* 2412979 */   // Label 34676: @2412979
     /* 2412979 */   GIM_Try, /*On fail goto*//*Label 34677*/ GIMT_Encode4(2413041), // Rule ID 55087 //
     /* 2412984 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2412987 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412991 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2412995 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2412999 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413003 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2413007 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413012 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413014 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, (fneg:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413014 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E32),
     /* 2413017 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413019 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413021 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413027 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413033 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413039 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413040 */     // GIR_Coverage, 55087,
     /* 2413040 */     GIR_EraseRootFromParent_Done,
     /* 2413041 */   // Label 34677: @2413041
     /* 2413041 */   GIM_Try, /*On fail goto*//*Label 34678*/ GIMT_Encode4(2413086), // Rule ID 55082 //
     /* 2413046 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2413049 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413053 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413057 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413061 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413061 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2413064 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413066 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413068 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413070 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413084 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413085 */     // GIR_Coverage, 55082,
     /* 2413085 */     GIR_EraseRootFromParent_Done,
     /* 2413086 */   // Label 34678: @2413086
     /* 2413086 */   GIM_Try, /*On fail goto*//*Label 34679*/ GIMT_Encode4(2413131), // Rule ID 55083 //
     /* 2413091 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2413094 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413098 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413102 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413106 */     // (strict_fma:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E32:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413106 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E32),
     /* 2413109 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413111 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413113 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413115 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413120 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413123 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2413126 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413129 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413130 */     // GIR_Coverage, 55083,
     /* 2413130 */     GIR_EraseRootFromParent_Done,
     /* 2413131 */   // Label 34679: @2413131
     /* 2413131 */   GIM_Reject,
     /* 2413132 */ // Label 34667: @2413132
     /* 2413132 */ GIM_Reject,
     /* 2413133 */ // Label 34523: @2413133
     /* 2413133 */ GIM_Try, /*On fail goto*//*Label 34680*/ GIMT_Encode4(2413922),
     /* 2413138 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413141 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2413144 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv2s64,
     /* 2413147 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413151 */   GIM_Try, /*On fail goto*//*Label 34681*/ GIMT_Encode4(2413228), // Rule ID 55602 //
     /* 2413156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2413159 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413163 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413167 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413171 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413176 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413180 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413184 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413188 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413192 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413197 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413199 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413199 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2413202 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413204 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413206 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413210 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413227 */     // GIR_Coverage, 55602,
     /* 2413227 */     GIR_EraseRootFromParent_Done,
     /* 2413228 */   // Label 34681: @2413228
     /* 2413228 */   GIM_Try, /*On fail goto*//*Label 34682*/ GIMT_Encode4(2413305), // Rule ID 55603 //
     /* 2413233 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2413236 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413240 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413244 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413248 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413253 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413257 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413261 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413265 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413269 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413274 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413276 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413276 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2413279 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413281 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413283 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413287 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413304 */     // GIR_Coverage, 55603,
     /* 2413304 */     GIR_EraseRootFromParent_Done,
     /* 2413305 */   // Label 34682: @2413305
     /* 2413305 */   GIM_Try, /*On fail goto*//*Label 34683*/ GIMT_Encode4(2413382), // Rule ID 73064 //
     /* 2413310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2413313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413317 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413321 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413325 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413329 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413334 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413338 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413342 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413346 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413351 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413353 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413353 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2413356 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413358 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413360 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413364 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413381 */     // GIR_Coverage, 73064,
     /* 2413381 */     GIR_EraseRootFromParent_Done,
     /* 2413382 */   // Label 34683: @2413382
     /* 2413382 */   GIM_Try, /*On fail goto*//*Label 34684*/ GIMT_Encode4(2413459), // Rule ID 73065 //
     /* 2413387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2413390 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413402 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413406 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413411 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413415 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413419 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413423 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413428 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413430 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413430 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E64),
     /* 2413433 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413435 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413437 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413441 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2413445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413457 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413458 */     // GIR_Coverage, 73065,
     /* 2413458 */     GIR_EraseRootFromParent_Done,
     /* 2413459 */   // Label 34684: @2413459
     /* 2413459 */   GIM_Try, /*On fail goto*//*Label 34685*/ GIMT_Encode4(2413521), // Rule ID 55606 //
     /* 2413464 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2413467 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413471 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413475 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413479 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413484 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413488 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413494 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2413497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413499 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413501 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413507 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413510 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413516 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413520 */     // GIR_Coverage, 55606,
     /* 2413520 */     GIR_EraseRootFromParent_Done,
     /* 2413521 */   // Label 34685: @2413521
     /* 2413521 */   GIM_Try, /*On fail goto*//*Label 34686*/ GIMT_Encode4(2413583), // Rule ID 55607 //
     /* 2413526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2413529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413556 */     // (strict_fma:{ *:[nxv2f64] } (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413556 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2413559 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413561 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413563 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413567 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413569 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413572 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413575 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413578 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413582 */     // GIR_Coverage, 55607,
     /* 2413582 */     GIR_EraseRootFromParent_Done,
     /* 2413583 */   // Label 34686: @2413583
     /* 2413583 */   GIM_Try, /*On fail goto*//*Label 34687*/ GIMT_Encode4(2413645), // Rule ID 73068 //
     /* 2413588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2413591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413595 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413599 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413603 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413607 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413612 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413618 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413618 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2413621 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413623 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413625 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413629 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413637 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413643 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413644 */     // GIR_Coverage, 73068,
     /* 2413644 */     GIR_EraseRootFromParent_Done,
     /* 2413645 */   // Label 34687: @2413645
     /* 2413645 */   GIM_Try, /*On fail goto*//*Label 34688*/ GIMT_Encode4(2413707), // Rule ID 73069 //
     /* 2413650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2413653 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413657 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2413661 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413665 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413669 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413674 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413678 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413680 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1), VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E64),
     /* 2413683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2413687 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2413691 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413693 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413699 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413705 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413706 */     // GIR_Coverage, 73069,
     /* 2413706 */     GIR_EraseRootFromParent_Done,
     /* 2413707 */   // Label 34688: @2413707
     /* 2413707 */   GIM_Try, /*On fail goto*//*Label 34689*/ GIMT_Encode4(2413769), // Rule ID 55598 //
     /* 2413712 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2413715 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413719 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413723 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413727 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413731 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413735 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413740 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413742 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413742 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2413745 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413747 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413749 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413751 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413755 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413758 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413761 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413767 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413768 */     // GIR_Coverage, 55598,
     /* 2413768 */     GIR_EraseRootFromParent_Done,
     /* 2413769 */   // Label 34689: @2413769
     /* 2413769 */   GIM_Try, /*On fail goto*//*Label 34690*/ GIMT_Encode4(2413831), // Rule ID 55599 //
     /* 2413774 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2413777 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413781 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413785 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2413789 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413793 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2413797 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413802 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2413804 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, (fneg:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E64),
     /* 2413807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2413817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413830 */     // GIR_Coverage, 55599,
     /* 2413830 */     GIR_EraseRootFromParent_Done,
     /* 2413831 */   // Label 34690: @2413831
     /* 2413831 */   GIM_Try, /*On fail goto*//*Label 34691*/ GIMT_Encode4(2413876), // Rule ID 55594 //
     /* 2413836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2413839 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413843 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413847 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413851 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413851 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2413854 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413858 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413860 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413874 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413875 */     // GIR_Coverage, 55594,
     /* 2413875 */     GIR_EraseRootFromParent_Done,
     /* 2413876 */   // Label 34691: @2413876
     /* 2413876 */   GIM_Try, /*On fail goto*//*Label 34692*/ GIMT_Encode4(2413921), // Rule ID 55595 //
     /* 2413881 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2413884 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413888 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413892 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2413896 */     // (strict_fma:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E64:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2413896 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E64),
     /* 2413899 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413901 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413903 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2413905 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2413907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2413910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2413913 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2413916 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2413919 */     GIR_RootConstrainSelectedInstOperands,
     /* 2413920 */     // GIR_Coverage, 55595,
     /* 2413920 */     GIR_EraseRootFromParent_Done,
     /* 2413921 */   // Label 34692: @2413921
     /* 2413921 */   GIM_Reject,
     /* 2413922 */ // Label 34680: @2413922
     /* 2413922 */ GIM_Reject,
     /* 2413923 */ // Label 34524: @2413923
     /* 2413923 */ GIM_Try, /*On fail goto*//*Label 34693*/ GIMT_Encode4(2414712),
     /* 2413928 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2413931 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2413934 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s16,
     /* 2413937 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413941 */   GIM_Try, /*On fail goto*//*Label 34694*/ GIMT_Encode4(2414018), // Rule ID 55026 //
     /* 2413946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2413949 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2413953 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413957 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2413961 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413966 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413970 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2413974 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2413978 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2413982 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2413987 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2413989 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2413989 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2413992 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2413994 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2413996 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414000 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414017 */     // GIR_Coverage, 55026,
     /* 2414017 */     GIR_EraseRootFromParent_Done,
     /* 2414018 */   // Label 34694: @2414018
     /* 2414018 */   GIM_Try, /*On fail goto*//*Label 34695*/ GIMT_Encode4(2414095), // Rule ID 55027 //
     /* 2414023 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414026 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414030 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414034 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414038 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414043 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414047 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414051 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414055 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414059 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414064 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414066 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2414069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414071 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414073 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414077 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414094 */     // GIR_Coverage, 55027,
     /* 2414094 */     GIR_EraseRootFromParent_Done,
     /* 2414095 */   // Label 34695: @2414095
     /* 2414095 */   GIM_Try, /*On fail goto*//*Label 34696*/ GIMT_Encode4(2414172), // Rule ID 72560 //
     /* 2414100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414103 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414107 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414111 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414115 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414119 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414124 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414128 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414132 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414136 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414141 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414143 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2414146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414150 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414154 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414171 */     // GIR_Coverage, 72560,
     /* 2414171 */     GIR_EraseRootFromParent_Done,
     /* 2414172 */   // Label 34696: @2414172
     /* 2414172 */   GIM_Try, /*On fail goto*//*Label 34697*/ GIMT_Encode4(2414249), // Rule ID 72561 //
     /* 2414177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414184 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414188 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414192 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414196 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414201 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414205 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414209 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414213 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414218 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414220 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414220 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M1_E16),
     /* 2414223 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414225 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414227 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414231 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414247 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414248 */     // GIR_Coverage, 72561,
     /* 2414248 */     GIR_EraseRootFromParent_Done,
     /* 2414249 */   // Label 34697: @2414249
     /* 2414249 */   GIM_Try, /*On fail goto*//*Label 34698*/ GIMT_Encode4(2414311), // Rule ID 55030 //
     /* 2414254 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414257 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414261 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414265 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414269 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414274 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414278 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414284 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414284 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2414287 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414289 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414291 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414295 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414297 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414300 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414309 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414310 */     // GIR_Coverage, 55030,
     /* 2414310 */     GIR_EraseRootFromParent_Done,
     /* 2414311 */   // Label 34698: @2414311
     /* 2414311 */   GIM_Try, /*On fail goto*//*Label 34699*/ GIMT_Encode4(2414373), // Rule ID 55031 //
     /* 2414316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414340 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414344 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414346 */     // (strict_fma:{ *:[nxv4f16] } (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2414349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414351 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414353 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414357 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414359 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414362 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414365 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414371 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414372 */     // GIR_Coverage, 55031,
     /* 2414372 */     GIR_EraseRootFromParent_Done,
     /* 2414373 */   // Label 34699: @2414373
     /* 2414373 */   GIM_Try, /*On fail goto*//*Label 34700*/ GIMT_Encode4(2414435), // Rule ID 72564 //
     /* 2414378 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414381 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414385 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414389 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414393 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414397 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414402 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414406 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414408 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414408 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2414411 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414413 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414415 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414419 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414421 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414433 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414434 */     // GIR_Coverage, 72564,
     /* 2414434 */     GIR_EraseRootFromParent_Done,
     /* 2414435 */   // Label 34700: @2414435
     /* 2414435 */   GIM_Try, /*On fail goto*//*Label 34701*/ GIMT_Encode4(2414497), // Rule ID 72565 //
     /* 2414440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414443 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414447 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414451 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414455 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414459 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414464 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414468 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414470 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1), VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414470 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M1_E16),
     /* 2414473 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414475 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414477 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414481 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414483 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414496 */     // GIR_Coverage, 72565,
     /* 2414496 */     GIR_EraseRootFromParent_Done,
     /* 2414497 */   // Label 34701: @2414497
     /* 2414497 */   GIM_Try, /*On fail goto*//*Label 34702*/ GIMT_Encode4(2414559), // Rule ID 55022 //
     /* 2414502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414505 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414509 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414513 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414517 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414521 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414525 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414530 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414532 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414532 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2414535 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414539 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414541 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2414545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414551 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414554 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414557 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414558 */     // GIR_Coverage, 55022,
     /* 2414558 */     GIR_EraseRootFromParent_Done,
     /* 2414559 */   // Label 34702: @2414559
     /* 2414559 */   GIM_Try, /*On fail goto*//*Label 34703*/ GIMT_Encode4(2414621), // Rule ID 55023 //
     /* 2414564 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414567 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414571 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414575 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2414579 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414583 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2414587 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414592 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2414594 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, (fneg:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M1_E16),
     /* 2414597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414599 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2414607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414620 */     // GIR_Coverage, 55023,
     /* 2414620 */     GIR_EraseRootFromParent_Done,
     /* 2414621 */   // Label 34703: @2414621
     /* 2414621 */   GIM_Try, /*On fail goto*//*Label 34704*/ GIMT_Encode4(2414666), // Rule ID 55018 //
     /* 2414626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2414629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414641 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414641 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2414644 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414646 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414648 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414650 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414655 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414665 */     // GIR_Coverage, 55018,
     /* 2414665 */     GIR_EraseRootFromParent_Done,
     /* 2414666 */   // Label 34704: @2414666
     /* 2414666 */   GIM_Try, /*On fail goto*//*Label 34705*/ GIMT_Encode4(2414711), // Rule ID 55019 //
     /* 2414671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2414674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2414686 */     // (strict_fma:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFMADD_VV_M1_E16:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414686 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M1_E16),
     /* 2414689 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2414695 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2414697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414700 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2414706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414709 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414710 */     // GIR_Coverage, 55019,
     /* 2414710 */     GIR_EraseRootFromParent_Done,
     /* 2414711 */   // Label 34705: @2414711
     /* 2414711 */   GIM_Reject,
     /* 2414712 */ // Label 34693: @2414712
     /* 2414712 */ GIM_Reject,
     /* 2414713 */ // Label 34525: @2414713
     /* 2414713 */ GIM_Try, /*On fail goto*//*Label 34706*/ GIMT_Encode4(2415502),
     /* 2414718 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2414721 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2414724 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s32,
     /* 2414727 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414731 */   GIM_Try, /*On fail goto*//*Label 34707*/ GIMT_Encode4(2414808), // Rule ID 55410 //
     /* 2414736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2414739 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414743 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414747 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2414751 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414756 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414760 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414764 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414768 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2414772 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414777 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414779 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2414782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414786 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414790 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414806 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414807 */     // GIR_Coverage, 55410,
     /* 2414807 */     GIR_EraseRootFromParent_Done,
     /* 2414808 */   // Label 34707: @2414808
     /* 2414808 */   GIM_Try, /*On fail goto*//*Label 34708*/ GIMT_Encode4(2414885), // Rule ID 55411 //
     /* 2414813 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2414816 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2414820 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414824 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2414828 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414833 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414837 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414841 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414845 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2414849 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414854 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414856 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2414856 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2414859 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414861 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2414863 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414867 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414883 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414884 */     // GIR_Coverage, 55411,
     /* 2414884 */     GIR_EraseRootFromParent_Done,
     /* 2414885 */   // Label 34708: @2414885
     /* 2414885 */   GIM_Try, /*On fail goto*//*Label 34709*/ GIMT_Encode4(2414962), // Rule ID 72896 //
     /* 2414890 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2414893 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414897 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414901 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414905 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2414909 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414914 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414918 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414922 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2414926 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414931 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2414933 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2414933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2414936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2414938 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2414940 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2414944 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2414948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2414951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2414954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2414957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2414960 */     GIR_RootConstrainSelectedInstOperands,
     /* 2414961 */     // GIR_Coverage, 72896,
     /* 2414961 */     GIR_EraseRootFromParent_Done,
     /* 2414962 */   // Label 34709: @2414962
     /* 2414962 */   GIM_Try, /*On fail goto*//*Label 34710*/ GIMT_Encode4(2415039), // Rule ID 72897 //
     /* 2414967 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2414970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414974 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2414978 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414982 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2414986 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2414991 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2414995 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2414999 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2415003 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415008 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415010 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415010 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E32),
     /* 2415013 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415015 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415017 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415021 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415038 */     // GIR_Coverage, 72897,
     /* 2415038 */     GIR_EraseRootFromParent_Done,
     /* 2415039 */   // Label 34710: @2415039
     /* 2415039 */   GIM_Try, /*On fail goto*//*Label 34711*/ GIMT_Encode4(2415101), // Rule ID 55414 //
     /* 2415044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2415047 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415051 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415055 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2415059 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415068 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415072 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415074 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415074 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2415077 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415079 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415081 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415085 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415087 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415099 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415100 */     // GIR_Coverage, 55414,
     /* 2415100 */     GIR_EraseRootFromParent_Done,
     /* 2415101 */   // Label 34711: @2415101
     /* 2415101 */   GIM_Try, /*On fail goto*//*Label 34712*/ GIMT_Encode4(2415163), // Rule ID 55415 //
     /* 2415106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2415109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2415121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415130 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415134 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415136 */     // (strict_fma:{ *:[nxv4f32] } (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415136 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2415139 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415141 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415143 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415149 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415158 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415162 */     // GIR_Coverage, 55415,
     /* 2415162 */     GIR_EraseRootFromParent_Done,
     /* 2415163 */   // Label 34712: @2415163
     /* 2415163 */   GIM_Try, /*On fail goto*//*Label 34713*/ GIMT_Encode4(2415225), // Rule ID 72900 //
     /* 2415168 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2415171 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415175 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415179 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415183 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2415187 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415192 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415196 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415198 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415198 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2415201 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415203 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415205 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415209 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415211 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415217 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415223 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415224 */     // GIR_Coverage, 72900,
     /* 2415224 */     GIR_EraseRootFromParent_Done,
     /* 2415225 */   // Label 34713: @2415225
     /* 2415225 */   GIM_Try, /*On fail goto*//*Label 34714*/ GIMT_Encode4(2415287), // Rule ID 72901 //
     /* 2415230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2415233 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415237 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415241 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415245 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2415249 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415254 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415258 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415260 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1), VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E32),
     /* 2415263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415267 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415271 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415282 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415285 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415286 */     // GIR_Coverage, 72901,
     /* 2415286 */     GIR_EraseRootFromParent_Done,
     /* 2415287 */   // Label 34714: @2415287
     /* 2415287 */   GIM_Try, /*On fail goto*//*Label 34715*/ GIMT_Encode4(2415349), // Rule ID 55406 //
     /* 2415292 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2415295 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415299 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415303 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415307 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415311 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2415315 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415320 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415322 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415322 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2415325 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415327 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415329 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415331 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2415335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415338 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415341 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415344 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415347 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415348 */     // GIR_Coverage, 55406,
     /* 2415348 */     GIR_EraseRootFromParent_Done,
     /* 2415349 */   // Label 34715: @2415349
     /* 2415349 */   GIM_Try, /*On fail goto*//*Label 34716*/ GIMT_Encode4(2415411), // Rule ID 55407 //
     /* 2415354 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2415357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2415369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415373 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2415377 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415382 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415384 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, (fneg:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415384 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E32),
     /* 2415387 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415389 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415391 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2415397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415400 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415406 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415410 */     // GIR_Coverage, 55407,
     /* 2415410 */     GIR_EraseRootFromParent_Done,
     /* 2415411 */   // Label 34716: @2415411
     /* 2415411 */   GIM_Try, /*On fail goto*//*Label 34717*/ GIMT_Encode4(2415456), // Rule ID 55402 //
     /* 2415416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2415419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415427 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415431 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415431 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2415434 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415440 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415445 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415448 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415454 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415455 */     // GIR_Coverage, 55402,
     /* 2415455 */     GIR_EraseRootFromParent_Done,
     /* 2415456 */   // Label 34717: @2415456
     /* 2415456 */   GIM_Try, /*On fail goto*//*Label 34718*/ GIMT_Encode4(2415501), // Rule ID 55403 //
     /* 2415461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2415464 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415468 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415472 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2415476 */     // (strict_fma:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E32:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E32),
     /* 2415479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415481 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415483 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2415485 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2415496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415500 */     // GIR_Coverage, 55403,
     /* 2415500 */     GIR_EraseRootFromParent_Done,
     /* 2415501 */   // Label 34718: @2415501
     /* 2415501 */   GIM_Reject,
     /* 2415502 */ // Label 34706: @2415502
     /* 2415502 */ GIM_Reject,
     /* 2415503 */ // Label 34526: @2415503
     /* 2415503 */ GIM_Try, /*On fail goto*//*Label 34719*/ GIMT_Encode4(2416292),
     /* 2415508 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415511 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2415514 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv4s64,
     /* 2415517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415521 */   GIM_Try, /*On fail goto*//*Label 34720*/ GIMT_Encode4(2415598), // Rule ID 55666 //
     /* 2415526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2415529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415537 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415541 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415550 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415554 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415558 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415562 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415567 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415569 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415569 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2415572 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415574 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415576 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415580 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415596 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415597 */     // GIR_Coverage, 55666,
     /* 2415597 */     GIR_EraseRootFromParent_Done,
     /* 2415598 */   // Label 34720: @2415598
     /* 2415598 */   GIM_Try, /*On fail goto*//*Label 34721*/ GIMT_Encode4(2415675), // Rule ID 55667 //
     /* 2415603 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2415606 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415610 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415614 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415618 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415623 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415627 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415631 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415635 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415639 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415644 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415646 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2415649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415653 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415657 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415674 */     // GIR_Coverage, 55667,
     /* 2415674 */     GIR_EraseRootFromParent_Done,
     /* 2415675 */   // Label 34721: @2415675
     /* 2415675 */   GIM_Try, /*On fail goto*//*Label 34722*/ GIMT_Encode4(2415752), // Rule ID 73120 //
     /* 2415680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2415683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415687 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415691 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415695 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415699 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415704 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415708 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415712 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415716 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415721 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415723 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2415726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415730 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415734 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415751 */     // GIR_Coverage, 73120,
     /* 2415751 */     GIR_EraseRootFromParent_Done,
     /* 2415752 */   // Label 34722: @2415752
     /* 2415752 */   GIM_Try, /*On fail goto*//*Label 34723*/ GIMT_Encode4(2415829), // Rule ID 73121 //
     /* 2415757 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2415760 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415764 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415768 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415772 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415776 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415781 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2415785 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415789 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415793 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415798 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2415800 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E64),
     /* 2415803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415807 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415811 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2415815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415828 */     // GIR_Coverage, 73121,
     /* 2415828 */     GIR_EraseRootFromParent_Done,
     /* 2415829 */   // Label 34723: @2415829
     /* 2415829 */   GIM_Try, /*On fail goto*//*Label 34724*/ GIMT_Encode4(2415891), // Rule ID 55670 //
     /* 2415834 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2415837 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415841 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415845 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415849 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415854 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415858 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415862 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415864 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415864 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2415867 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415871 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415875 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415877 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415886 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415889 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415890 */     // GIR_Coverage, 55670,
     /* 2415890 */     GIR_EraseRootFromParent_Done,
     /* 2415891 */   // Label 34724: @2415891
     /* 2415891 */   GIM_Try, /*On fail goto*//*Label 34725*/ GIMT_Encode4(2415953), // Rule ID 55671 //
     /* 2415896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2415899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2415903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415920 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415924 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415926 */     // (strict_fma:{ *:[nxv4f64] } (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2415926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2415929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2415933 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415937 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2415939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2415942 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2415945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2415948 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2415951 */     GIR_RootConstrainSelectedInstOperands,
     /* 2415952 */     // GIR_Coverage, 55671,
     /* 2415952 */     GIR_EraseRootFromParent_Done,
     /* 2415953 */   // Label 34725: @2415953
     /* 2415953 */   GIM_Try, /*On fail goto*//*Label 34726*/ GIMT_Encode4(2416015), // Rule ID 73124 //
     /* 2415958 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2415961 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415965 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2415969 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2415973 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2415977 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415982 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2415986 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2415988 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2415988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2415991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2415993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2415995 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2415999 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416004 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416010 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416013 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416014 */     // GIR_Coverage, 73124,
     /* 2416014 */     GIR_EraseRootFromParent_Done,
     /* 2416015 */   // Label 34726: @2416015
     /* 2416015 */   GIM_Try, /*On fail goto*//*Label 34727*/ GIMT_Encode4(2416077), // Rule ID 73125 //
     /* 2416020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416023 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416027 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416031 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416035 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2416039 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416044 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416050 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1), VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E64),
     /* 2416053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416057 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416061 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416066 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416072 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416076 */     // GIR_Coverage, 73125,
     /* 2416076 */     GIR_EraseRootFromParent_Done,
     /* 2416077 */   // Label 34727: @2416077
     /* 2416077 */   GIM_Try, /*On fail goto*//*Label 34728*/ GIMT_Encode4(2416139), // Rule ID 55662 //
     /* 2416082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2416085 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416089 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416093 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416097 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416101 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2416105 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416110 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416112 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416112 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2416115 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416117 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416119 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416121 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2416125 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416128 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416131 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416134 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416138 */     // GIR_Coverage, 55662,
     /* 2416138 */     GIR_EraseRootFromParent_Done,
     /* 2416139 */   // Label 34728: @2416139
     /* 2416139 */   GIM_Try, /*On fail goto*//*Label 34729*/ GIMT_Encode4(2416201), // Rule ID 55663 //
     /* 2416144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416147 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416151 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416155 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416159 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416163 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2416167 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416172 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416174 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, (fneg:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416174 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E64),
     /* 2416177 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416179 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416181 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416183 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2416187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416200 */     // GIR_Coverage, 55663,
     /* 2416200 */     GIR_EraseRootFromParent_Done,
     /* 2416201 */   // Label 34729: @2416201
     /* 2416201 */   GIM_Try, /*On fail goto*//*Label 34730*/ GIMT_Encode4(2416246), // Rule ID 55658 //
     /* 2416206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2416209 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416213 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416217 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416221 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416221 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2416224 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416226 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416228 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416230 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416238 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416244 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416245 */     // GIR_Coverage, 55658,
     /* 2416245 */     GIR_EraseRootFromParent_Done,
     /* 2416246 */   // Label 34730: @2416246
     /* 2416246 */   GIM_Try, /*On fail goto*//*Label 34731*/ GIMT_Encode4(2416291), // Rule ID 55659 //
     /* 2416251 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2416254 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416258 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416262 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2416266 */     // (strict_fma:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E64:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E64),
     /* 2416269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416271 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416275 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416283 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2416286 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416289 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416290 */     // GIR_Coverage, 55659,
     /* 2416290 */     GIR_EraseRootFromParent_Done,
     /* 2416291 */   // Label 34731: @2416291
     /* 2416291 */   GIM_Reject,
     /* 2416292 */ // Label 34719: @2416292
     /* 2416292 */ GIM_Reject,
     /* 2416293 */ // Label 34527: @2416293
     /* 2416293 */ GIM_Try, /*On fail goto*//*Label 34732*/ GIMT_Encode4(2417082),
     /* 2416298 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416301 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2416304 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s16,
     /* 2416307 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416311 */   GIM_Try, /*On fail goto*//*Label 34733*/ GIMT_Encode4(2416388), // Rule ID 55218 //
     /* 2416316 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416319 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416323 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416327 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416331 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416336 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416340 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2416344 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416348 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416352 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416357 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2416359 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2416362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416366 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416370 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2416374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416387 */     // GIR_Coverage, 55218,
     /* 2416387 */     GIR_EraseRootFromParent_Done,
     /* 2416388 */   // Label 34733: @2416388
     /* 2416388 */   GIM_Try, /*On fail goto*//*Label 34734*/ GIMT_Encode4(2416465), // Rule ID 55219 //
     /* 2416393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2416396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416404 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416408 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416417 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2416421 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416425 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416429 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416434 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2416436 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416436 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2416439 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416441 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416443 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416447 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2416451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416454 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416463 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416464 */     // GIR_Coverage, 55219,
     /* 2416464 */     GIR_EraseRootFromParent_Done,
     /* 2416465 */   // Label 34734: @2416465
     /* 2416465 */   GIM_Try, /*On fail goto*//*Label 34735*/ GIMT_Encode4(2416542), // Rule ID 72728 //
     /* 2416470 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416473 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416485 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416489 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416494 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2416498 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416502 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416506 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416511 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2416513 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2416516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416520 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416524 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2416528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416531 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416540 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416541 */     // GIR_Coverage, 72728,
     /* 2416541 */     GIR_EraseRootFromParent_Done,
     /* 2416542 */   // Label 34735: @2416542
     /* 2416542 */   GIM_Try, /*On fail goto*//*Label 34736*/ GIMT_Encode4(2416619), // Rule ID 72729 //
     /* 2416547 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2416550 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416554 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416558 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416562 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416566 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416571 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2416575 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416579 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416583 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416588 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2416590 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416590 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M2_E16),
     /* 2416593 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416597 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416601 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2416605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416617 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416618 */     // GIR_Coverage, 72729,
     /* 2416618 */     GIR_EraseRootFromParent_Done,
     /* 2416619 */   // Label 34736: @2416619
     /* 2416619 */   GIM_Try, /*On fail goto*//*Label 34737*/ GIMT_Encode4(2416681), // Rule ID 55222 //
     /* 2416624 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416627 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416631 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416635 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416639 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416644 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416648 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416652 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416654 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416654 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2416657 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416661 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416665 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416667 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416676 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416679 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416680 */     // GIR_Coverage, 55222,
     /* 2416680 */     GIR_EraseRootFromParent_Done,
     /* 2416681 */   // Label 34737: @2416681
     /* 2416681 */   GIM_Try, /*On fail goto*//*Label 34738*/ GIMT_Encode4(2416743), // Rule ID 55223 //
     /* 2416686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2416689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2416693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416710 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416716 */     // (strict_fma:{ *:[nxv8f16] } (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2416719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416721 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416723 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416727 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416729 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416732 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416738 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416741 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416742 */     // GIR_Coverage, 55223,
     /* 2416742 */     GIR_EraseRootFromParent_Done,
     /* 2416743 */   // Label 34738: @2416743
     /* 2416743 */   GIM_Try, /*On fail goto*//*Label 34739*/ GIMT_Encode4(2416805), // Rule ID 72732 //
     /* 2416748 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416755 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416759 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416763 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416767 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416772 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416778 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416778 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2416781 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416783 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416785 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416789 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416791 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416794 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416797 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416800 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416804 */     // GIR_Coverage, 72732,
     /* 2416804 */     GIR_EraseRootFromParent_Done,
     /* 2416805 */   // Label 34739: @2416805
     /* 2416805 */   GIM_Try, /*On fail goto*//*Label 34740*/ GIMT_Encode4(2416867), // Rule ID 72733 //
     /* 2416810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2416813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416817 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2416821 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416825 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416829 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416834 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416840 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1), VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416840 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M2_E16),
     /* 2416843 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416845 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2416847 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2416851 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2416853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416856 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416859 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416865 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416866 */     // GIR_Coverage, 72733,
     /* 2416866 */     GIR_EraseRootFromParent_Done,
     /* 2416867 */   // Label 34740: @2416867
     /* 2416867 */   GIM_Try, /*On fail goto*//*Label 34741*/ GIMT_Encode4(2416929), // Rule ID 55214 //
     /* 2416872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416891 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416895 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416900 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416902 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2416902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2416905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416907 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416909 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416911 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2416915 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416921 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416927 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416928 */     // GIR_Coverage, 55214,
     /* 2416928 */     GIR_EraseRootFromParent_Done,
     /* 2416929 */   // Label 34741: @2416929
     /* 2416929 */   GIM_Try, /*On fail goto*//*Label 34742*/ GIMT_Encode4(2416991), // Rule ID 55215 //
     /* 2416934 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2416937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416945 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2416949 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2416953 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2416957 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2416962 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2416964 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, (fneg:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2416964 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M2_E16),
     /* 2416967 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2416969 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2416971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2416973 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2416977 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2416980 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2416983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2416986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2416989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2416990 */     // GIR_Coverage, 55215,
     /* 2416990 */     GIR_EraseRootFromParent_Done,
     /* 2416991 */   // Label 34742: @2416991
     /* 2416991 */   GIM_Try, /*On fail goto*//*Label 34743*/ GIMT_Encode4(2417036), // Rule ID 55210 //
     /* 2416996 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2416999 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417003 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417007 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417011 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2417014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417016 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417028 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417035 */     // GIR_Coverage, 55210,
     /* 2417035 */     GIR_EraseRootFromParent_Done,
     /* 2417036 */   // Label 34743: @2417036
     /* 2417036 */   GIM_Try, /*On fail goto*//*Label 34744*/ GIMT_Encode4(2417081), // Rule ID 55211 //
     /* 2417041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2417044 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417048 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417052 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2417056 */     // (strict_fma:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFMADD_VV_M2_E16:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417056 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M2_E16),
     /* 2417059 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417061 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417063 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417065 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417067 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2417076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417079 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417080 */     // GIR_Coverage, 55211,
     /* 2417080 */     GIR_EraseRootFromParent_Done,
     /* 2417081 */   // Label 34744: @2417081
     /* 2417081 */   GIM_Reject,
     /* 2417082 */ // Label 34732: @2417082
     /* 2417082 */ GIM_Reject,
     /* 2417083 */ // Label 34528: @2417083
     /* 2417083 */ GIM_Try, /*On fail goto*//*Label 34745*/ GIMT_Encode4(2417872),
     /* 2417088 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417091 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2417094 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s32,
     /* 2417097 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417101 */   GIM_Try, /*On fail goto*//*Label 34746*/ GIMT_Encode4(2417178), // Rule ID 55474 //
     /* 2417106 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2417109 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417113 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417117 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417121 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417130 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417134 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417138 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417142 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417147 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417149 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417149 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2417152 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417154 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417156 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417160 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417173 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417177 */     // GIR_Coverage, 55474,
     /* 2417177 */     GIR_EraseRootFromParent_Done,
     /* 2417178 */   // Label 34746: @2417178
     /* 2417178 */   GIM_Try, /*On fail goto*//*Label 34747*/ GIMT_Encode4(2417255), // Rule ID 55475 //
     /* 2417183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2417186 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417190 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417194 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417198 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417207 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417211 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417215 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417219 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417224 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417226 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417226 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2417229 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417231 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417233 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417237 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417244 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417254 */     // GIR_Coverage, 55475,
     /* 2417254 */     GIR_EraseRootFromParent_Done,
     /* 2417255 */   // Label 34747: @2417255
     /* 2417255 */   GIM_Try, /*On fail goto*//*Label 34748*/ GIMT_Encode4(2417332), // Rule ID 72952 //
     /* 2417260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2417263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417267 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2417271 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417275 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417279 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417284 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417288 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417292 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417296 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417301 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417303 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2417306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417308 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417310 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417314 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417330 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417331 */     // GIR_Coverage, 72952,
     /* 2417331 */     GIR_EraseRootFromParent_Done,
     /* 2417332 */   // Label 34748: @2417332
     /* 2417332 */   GIM_Try, /*On fail goto*//*Label 34749*/ GIMT_Encode4(2417409), // Rule ID 72953 //
     /* 2417337 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2417340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417344 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2417348 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417352 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417356 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417361 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417365 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417369 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417373 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417378 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417380 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417380 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E32),
     /* 2417383 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417385 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417387 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417391 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417407 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417408 */     // GIR_Coverage, 72953,
     /* 2417408 */     GIR_EraseRootFromParent_Done,
     /* 2417409 */   // Label 34749: @2417409
     /* 2417409 */   GIM_Try, /*On fail goto*//*Label 34750*/ GIMT_Encode4(2417471), // Rule ID 55478 //
     /* 2417414 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2417417 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417421 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417425 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417429 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417434 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417438 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417442 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417444 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417444 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2417447 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417449 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417451 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417455 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417460 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417463 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417466 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417469 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417470 */     // GIR_Coverage, 55478,
     /* 2417470 */     GIR_EraseRootFromParent_Done,
     /* 2417471 */   // Label 34750: @2417471
     /* 2417471 */   GIM_Try, /*On fail goto*//*Label 34751*/ GIMT_Encode4(2417533), // Rule ID 55479 //
     /* 2417476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2417479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417500 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417506 */     // (strict_fma:{ *:[nxv8f32] } (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417506 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2417509 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417511 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417513 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417517 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417519 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417522 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417532 */     // GIR_Coverage, 55479,
     /* 2417532 */     GIR_EraseRootFromParent_Done,
     /* 2417533 */   // Label 34751: @2417533
     /* 2417533 */   GIM_Try, /*On fail goto*//*Label 34752*/ GIMT_Encode4(2417595), // Rule ID 72956 //
     /* 2417538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2417541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417545 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2417549 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417553 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417557 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417566 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417568 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2417571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417575 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417579 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417581 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417584 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417587 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417590 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417593 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417594 */     // GIR_Coverage, 72956,
     /* 2417594 */     GIR_EraseRootFromParent_Done,
     /* 2417595 */   // Label 34752: @2417595
     /* 2417595 */   GIM_Try, /*On fail goto*//*Label 34753*/ GIMT_Encode4(2417657), // Rule ID 72957 //
     /* 2417600 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2417603 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417607 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2417611 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417615 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417619 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417624 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417628 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417630 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1), VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417630 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E32),
     /* 2417633 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417635 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2417637 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417641 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417656 */     // GIR_Coverage, 72957,
     /* 2417656 */     GIR_EraseRootFromParent_Done,
     /* 2417657 */   // Label 34753: @2417657
     /* 2417657 */   GIM_Try, /*On fail goto*//*Label 34754*/ GIMT_Encode4(2417719), // Rule ID 55470 //
     /* 2417662 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2417665 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417669 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417673 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417677 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417681 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417685 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417690 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417692 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417692 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2417695 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417697 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417699 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417701 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2417705 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417708 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417718 */     // GIR_Coverage, 55470,
     /* 2417718 */     GIR_EraseRootFromParent_Done,
     /* 2417719 */   // Label 34754: @2417719
     /* 2417719 */   GIM_Try, /*On fail goto*//*Label 34755*/ GIMT_Encode4(2417781), // Rule ID 55471 //
     /* 2417724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2417727 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417731 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417735 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2417739 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417743 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2417747 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417752 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2417754 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, (fneg:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417754 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E32),
     /* 2417757 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417763 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2417767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417773 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417776 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417779 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417780 */     // GIR_Coverage, 55471,
     /* 2417780 */     GIR_EraseRootFromParent_Done,
     /* 2417781 */   // Label 34755: @2417781
     /* 2417781 */   GIM_Try, /*On fail goto*//*Label 34756*/ GIMT_Encode4(2417826), // Rule ID 55466 //
     /* 2417786 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2417789 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417793 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417797 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417801 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2417804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417808 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417815 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417825 */     // GIR_Coverage, 55466,
     /* 2417825 */     GIR_EraseRootFromParent_Done,
     /* 2417826 */   // Label 34756: @2417826
     /* 2417826 */   GIM_Try, /*On fail goto*//*Label 34757*/ GIMT_Encode4(2417871), // Rule ID 55467 //
     /* 2417831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2417834 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417838 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417842 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2417846 */     // (strict_fma:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E32:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2417846 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E32),
     /* 2417849 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417853 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2417855 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2417857 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417860 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2417866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417869 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417870 */     // GIR_Coverage, 55467,
     /* 2417870 */     GIR_EraseRootFromParent_Done,
     /* 2417871 */   // Label 34757: @2417871
     /* 2417871 */   GIM_Reject,
     /* 2417872 */ // Label 34745: @2417872
     /* 2417872 */ GIM_Reject,
     /* 2417873 */ // Label 34529: @2417873
     /* 2417873 */ GIM_Try, /*On fail goto*//*Label 34758*/ GIMT_Encode4(2418662),
     /* 2417878 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2417881 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2417884 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv8s64,
     /* 2417887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417891 */   GIM_Try, /*On fail goto*//*Label 34759*/ GIMT_Encode4(2417968), // Rule ID 55730 //
     /* 2417896 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2417899 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417903 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417907 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2417911 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417916 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417920 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2417924 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417928 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2417932 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417937 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2417939 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2417939 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2417942 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2417944 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2417946 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2417950 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2417954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2417957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2417960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2417963 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2417966 */     GIR_RootConstrainSelectedInstOperands,
     /* 2417967 */     // GIR_Coverage, 55730,
     /* 2417967 */     GIR_EraseRootFromParent_Done,
     /* 2417968 */   // Label 34759: @2417968
     /* 2417968 */   GIM_Try, /*On fail goto*//*Label 34760*/ GIMT_Encode4(2418045), // Rule ID 55731 //
     /* 2417973 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2417976 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2417980 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2417984 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2417988 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417993 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2417997 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418001 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418005 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418009 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418014 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418016 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418016 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2418019 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418021 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418023 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418027 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418031 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418034 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418043 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418044 */     // GIR_Coverage, 55731,
     /* 2418044 */     GIR_EraseRootFromParent_Done,
     /* 2418045 */   // Label 34760: @2418045
     /* 2418045 */   GIM_Try, /*On fail goto*//*Label 34761*/ GIMT_Encode4(2418122), // Rule ID 73176 //
     /* 2418050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2418053 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418057 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418061 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418065 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418069 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418074 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418078 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418082 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418086 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418091 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418093 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418093 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2418096 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418098 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418100 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418104 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418111 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418121 */     // GIR_Coverage, 73176,
     /* 2418121 */     GIR_EraseRootFromParent_Done,
     /* 2418122 */   // Label 34761: @2418122
     /* 2418122 */   GIM_Try, /*On fail goto*//*Label 34762*/ GIMT_Encode4(2418199), // Rule ID 73177 //
     /* 2418127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2418130 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418134 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418138 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418142 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418146 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418151 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418155 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418159 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418163 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418168 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418170 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418170 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E64),
     /* 2418173 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418175 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418177 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418181 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418194 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418198 */     // GIR_Coverage, 73177,
     /* 2418198 */     GIR_EraseRootFromParent_Done,
     /* 2418199 */   // Label 34762: @2418199
     /* 2418199 */   GIM_Try, /*On fail goto*//*Label 34763*/ GIMT_Encode4(2418261), // Rule ID 55734 //
     /* 2418204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2418207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418215 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418219 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418232 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418234 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418234 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2418237 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418239 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418241 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418245 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418247 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418250 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418253 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418256 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418260 */     // GIR_Coverage, 55734,
     /* 2418260 */     GIR_EraseRootFromParent_Done,
     /* 2418261 */   // Label 34763: @2418261
     /* 2418261 */   GIM_Try, /*On fail goto*//*Label 34764*/ GIMT_Encode4(2418323), // Rule ID 55735 //
     /* 2418266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2418269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418290 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418294 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418296 */     // (strict_fma:{ *:[nxv8f64] } (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418296 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2418299 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418301 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418303 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418307 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418309 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418315 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418322 */     // GIR_Coverage, 55735,
     /* 2418322 */     GIR_EraseRootFromParent_Done,
     /* 2418323 */   // Label 34764: @2418323
     /* 2418323 */   GIM_Try, /*On fail goto*//*Label 34765*/ GIMT_Encode4(2418385), // Rule ID 73180 //
     /* 2418328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2418331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418335 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418339 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418343 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418347 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418352 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418356 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418358 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2418361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418363 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418365 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418371 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418384 */     // GIR_Coverage, 73180,
     /* 2418384 */     GIR_EraseRootFromParent_Done,
     /* 2418385 */   // Label 34765: @2418385
     /* 2418385 */   GIM_Try, /*On fail goto*//*Label 34766*/ GIMT_Encode4(2418447), // Rule ID 73181 //
     /* 2418390 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2418393 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418397 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418401 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418405 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418409 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418414 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418418 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418420 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1), VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418420 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E64),
     /* 2418423 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418425 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418427 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418431 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418433 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418439 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418445 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418446 */     // GIR_Coverage, 73181,
     /* 2418446 */     GIR_EraseRootFromParent_Done,
     /* 2418447 */   // Label 34766: @2418447
     /* 2418447 */   GIM_Try, /*On fail goto*//*Label 34767*/ GIMT_Encode4(2418509), // Rule ID 55726 //
     /* 2418452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2418455 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418459 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418463 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418467 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418471 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418475 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418480 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418482 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2418485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418489 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418491 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2418495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418498 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418504 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418507 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418508 */     // GIR_Coverage, 55726,
     /* 2418508 */     GIR_EraseRootFromParent_Done,
     /* 2418509 */   // Label 34767: @2418509
     /* 2418509 */   GIM_Try, /*On fail goto*//*Label 34768*/ GIMT_Encode4(2418571), // Rule ID 55727 //
     /* 2418514 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2418517 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418521 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418525 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2418529 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418533 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2418537 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418542 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2418544 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, (fneg:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E64),
     /* 2418547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418549 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418551 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418553 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2418557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418560 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418566 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418569 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418570 */     // GIR_Coverage, 55727,
     /* 2418570 */     GIR_EraseRootFromParent_Done,
     /* 2418571 */   // Label 34768: @2418571
     /* 2418571 */   GIM_Try, /*On fail goto*//*Label 34769*/ GIMT_Encode4(2418616), // Rule ID 55722 //
     /* 2418576 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2418579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418587 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418591 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418591 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2418594 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418596 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418598 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418600 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418602 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418605 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418615 */     // GIR_Coverage, 55722,
     /* 2418615 */     GIR_EraseRootFromParent_Done,
     /* 2418616 */   // Label 34769: @2418616
     /* 2418616 */   GIM_Try, /*On fail goto*//*Label 34770*/ GIMT_Encode4(2418661), // Rule ID 55723 //
     /* 2418621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2418624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2418636 */     // (strict_fma:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E64:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418636 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E64),
     /* 2418639 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418641 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418643 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2418645 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2418647 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418650 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2418656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418659 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418660 */     // GIR_Coverage, 55723,
     /* 2418660 */     GIR_EraseRootFromParent_Done,
     /* 2418661 */   // Label 34770: @2418661
     /* 2418661 */   GIM_Reject,
     /* 2418662 */ // Label 34758: @2418662
     /* 2418662 */ GIM_Reject,
     /* 2418663 */ // Label 34530: @2418663
     /* 2418663 */ GIM_Try, /*On fail goto*//*Label 34771*/ GIMT_Encode4(2419452),
     /* 2418668 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418671 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2418674 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s16,
     /* 2418677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418681 */   GIM_Try, /*On fail goto*//*Label 34772*/ GIMT_Encode4(2418758), // Rule ID 55282 //
     /* 2418686 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2418689 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418693 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418697 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418701 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418706 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418710 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418714 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418718 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418722 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418727 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418729 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2418732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418736 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418740 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418757 */     // GIR_Coverage, 55282,
     /* 2418757 */     GIR_EraseRootFromParent_Done,
     /* 2418758 */   // Label 34772: @2418758
     /* 2418758 */   GIM_Try, /*On fail goto*//*Label 34773*/ GIMT_Encode4(2418835), // Rule ID 55283 //
     /* 2418763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2418766 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2418770 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418774 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418778 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418787 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418791 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418795 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418799 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418804 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418806 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2418809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2418813 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418817 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418821 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418824 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418833 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418834 */     // GIR_Coverage, 55283,
     /* 2418834 */     GIR_EraseRootFromParent_Done,
     /* 2418835 */   // Label 34773: @2418835
     /* 2418835 */   GIM_Try, /*On fail goto*//*Label 34774*/ GIMT_Encode4(2418912), // Rule ID 72784 //
     /* 2418840 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2418843 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418847 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418851 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418855 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418859 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418864 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418868 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418872 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418876 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418881 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418883 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2418883 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2418886 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418888 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418890 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418894 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418904 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418907 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418910 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418911 */     // GIR_Coverage, 72784,
     /* 2418911 */     GIR_EraseRootFromParent_Done,
     /* 2418912 */   // Label 34774: @2418912
     /* 2418912 */   GIM_Try, /*On fail goto*//*Label 34775*/ GIMT_Encode4(2418989), // Rule ID 72785 //
     /* 2418917 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2418920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418924 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2418928 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418932 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418936 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418941 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2418945 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2418949 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2418953 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2418958 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2418960 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2418960 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M4_E16),
     /* 2418963 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2418965 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2418967 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2418971 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2418975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2418978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2418981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2418984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2418987 */     GIR_RootConstrainSelectedInstOperands,
     /* 2418988 */     // GIR_Coverage, 72785,
     /* 2418988 */     GIR_EraseRootFromParent_Done,
     /* 2418989 */   // Label 34775: @2418989
     /* 2418989 */   GIM_Try, /*On fail goto*//*Label 34776*/ GIMT_Encode4(2419051), // Rule ID 55286 //
     /* 2418994 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2418997 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2419001 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419005 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2419009 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419014 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419018 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419022 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419024 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2419027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419031 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419035 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419050 */     // GIR_Coverage, 55286,
     /* 2419050 */     GIR_EraseRootFromParent_Done,
     /* 2419051 */   // Label 34776: @2419051
     /* 2419051 */   GIM_Try, /*On fail goto*//*Label 34777*/ GIMT_Encode4(2419113), // Rule ID 55287 //
     /* 2419056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419059 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2419063 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419067 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2419071 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419080 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419084 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419086 */     // (strict_fma:{ *:[nxv16f16] } (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2419089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419091 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419093 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419097 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419108 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419111 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419112 */     // GIR_Coverage, 55287,
     /* 2419112 */     GIR_EraseRootFromParent_Done,
     /* 2419113 */   // Label 34777: @2419113
     /* 2419113 */   GIM_Try, /*On fail goto*//*Label 34778*/ GIMT_Encode4(2419175), // Rule ID 72788 //
     /* 2419118 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2419121 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419125 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419129 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419133 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2419137 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419142 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419146 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419148 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419148 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2419151 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419153 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419155 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419159 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419164 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419167 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419170 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419173 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419174 */     // GIR_Coverage, 72788,
     /* 2419174 */     GIR_EraseRootFromParent_Done,
     /* 2419175 */   // Label 34778: @2419175
     /* 2419175 */   GIM_Try, /*On fail goto*//*Label 34779*/ GIMT_Encode4(2419237), // Rule ID 72789 //
     /* 2419180 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419183 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419187 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419191 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419195 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2419199 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419204 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419208 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419210 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1), VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M4_E16),
     /* 2419213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419217 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419221 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419226 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419232 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419235 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419236 */     // GIR_Coverage, 72789,
     /* 2419236 */     GIR_EraseRootFromParent_Done,
     /* 2419237 */   // Label 34779: @2419237
     /* 2419237 */   GIM_Try, /*On fail goto*//*Label 34780*/ GIMT_Encode4(2419299), // Rule ID 55278 //
     /* 2419242 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2419245 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419249 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419253 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419257 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419261 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2419265 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419272 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2419275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419277 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419279 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419281 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2419285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419288 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419294 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419298 */     // GIR_Coverage, 55278,
     /* 2419298 */     GIR_EraseRootFromParent_Done,
     /* 2419299 */   // Label 34780: @2419299
     /* 2419299 */   GIM_Try, /*On fail goto*//*Label 34781*/ GIMT_Encode4(2419361), // Rule ID 55279 //
     /* 2419304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419315 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2419319 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419323 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2419327 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419334 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, (fneg:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419334 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M4_E16),
     /* 2419337 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419339 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419341 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419343 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2419347 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419350 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419353 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419356 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419360 */     // GIR_Coverage, 55279,
     /* 2419360 */     GIR_EraseRootFromParent_Done,
     /* 2419361 */   // Label 34781: @2419361
     /* 2419361 */   GIM_Try, /*On fail goto*//*Label 34782*/ GIMT_Encode4(2419406), // Rule ID 55274 //
     /* 2419366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2419369 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419373 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419377 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419381 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419381 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2419384 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419386 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419388 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419390 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419392 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419395 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419398 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419404 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419405 */     // GIR_Coverage, 55274,
     /* 2419405 */     GIR_EraseRootFromParent_Done,
     /* 2419406 */   // Label 34782: @2419406
     /* 2419406 */   GIM_Try, /*On fail goto*//*Label 34783*/ GIMT_Encode4(2419451), // Rule ID 55275 //
     /* 2419411 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2419414 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419418 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419422 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2419426 */     // (strict_fma:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFMADD_VV_M4_E16:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M4_E16),
     /* 2419429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419433 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2419435 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2419446 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419449 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419450 */     // GIR_Coverage, 55275,
     /* 2419450 */     GIR_EraseRootFromParent_Done,
     /* 2419451 */   // Label 34783: @2419451
     /* 2419451 */   GIM_Reject,
     /* 2419452 */ // Label 34771: @2419452
     /* 2419452 */ GIM_Reject,
     /* 2419453 */ // Label 34531: @2419453
     /* 2419453 */ GIM_Try, /*On fail goto*//*Label 34784*/ GIMT_Encode4(2420242),
     /* 2419458 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419461 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2419464 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv16s32,
     /* 2419467 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419471 */   GIM_Try, /*On fail goto*//*Label 34785*/ GIMT_Encode4(2419548), // Rule ID 55538 //
     /* 2419476 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2419479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2419483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419487 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419491 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419496 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419500 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2419504 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419508 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419512 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419517 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2419519 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419519 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2419522 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419524 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419526 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419530 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2419534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419537 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419540 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419546 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419547 */     // GIR_Coverage, 55538,
     /* 2419547 */     GIR_EraseRootFromParent_Done,
     /* 2419548 */   // Label 34785: @2419548
     /* 2419548 */   GIM_Try, /*On fail goto*//*Label 34786*/ GIMT_Encode4(2419625), // Rule ID 55539 //
     /* 2419553 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2419556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2419560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419564 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419568 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419573 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419577 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2419581 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419585 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419589 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419594 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2419596 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2419599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419603 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419607 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2419611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419614 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419623 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419624 */     // GIR_Coverage, 55539,
     /* 2419624 */     GIR_EraseRootFromParent_Done,
     /* 2419625 */   // Label 34786: @2419625
     /* 2419625 */   GIM_Try, /*On fail goto*//*Label 34787*/ GIMT_Encode4(2419702), // Rule ID 73008 //
     /* 2419630 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2419633 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419637 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419641 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419645 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419649 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419654 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2419658 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419662 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419666 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419671 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2419673 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419673 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2419676 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419678 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419680 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419684 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2419688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419691 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419694 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419697 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419700 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419701 */     // GIR_Coverage, 73008,
     /* 2419701 */     GIR_EraseRootFromParent_Done,
     /* 2419702 */   // Label 34787: @2419702
     /* 2419702 */   GIM_Try, /*On fail goto*//*Label 34788*/ GIMT_Encode4(2419779), // Rule ID 73009 //
     /* 2419707 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2419710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419714 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419718 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419722 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419726 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419731 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2419735 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419739 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419743 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419748 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2419750 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E32),
     /* 2419753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419755 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419757 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419761 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2419765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419771 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419774 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419777 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419778 */     // GIR_Coverage, 73009,
     /* 2419778 */     GIR_EraseRootFromParent_Done,
     /* 2419779 */   // Label 34788: @2419779
     /* 2419779 */   GIM_Try, /*On fail goto*//*Label 34789*/ GIMT_Encode4(2419841), // Rule ID 55542 //
     /* 2419784 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2419787 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2419791 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419795 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419799 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419808 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419812 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419814 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2419817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419819 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419821 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419825 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419840 */     // GIR_Coverage, 55542,
     /* 2419840 */     GIR_EraseRootFromParent_Done,
     /* 2419841 */   // Label 34789: @2419841
     /* 2419841 */   GIM_Try, /*On fail goto*//*Label 34790*/ GIMT_Encode4(2419903), // Rule ID 55543 //
     /* 2419846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2419849 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2419853 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419857 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419861 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419866 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419870 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419874 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419876 */     // (strict_fma:{ *:[nxv16f32] } (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2419876 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2419879 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2419883 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419887 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419889 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419898 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419901 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419902 */     // GIR_Coverage, 55543,
     /* 2419902 */     GIR_EraseRootFromParent_Done,
     /* 2419903 */   // Label 34790: @2419903
     /* 2419903 */   GIM_Try, /*On fail goto*//*Label 34791*/ GIMT_Encode4(2419965), // Rule ID 73012 //
     /* 2419908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2419911 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419915 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419919 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419923 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419927 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419932 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419936 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2419938 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2419938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2419941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2419943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2419945 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2419949 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2419951 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2419954 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2419957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2419960 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2419963 */     GIR_RootConstrainSelectedInstOperands,
     /* 2419964 */     // GIR_Coverage, 73012,
     /* 2419964 */     GIR_EraseRootFromParent_Done,
     /* 2419965 */   // Label 34791: @2419965
     /* 2419965 */   GIM_Try, /*On fail goto*//*Label 34792*/ GIMT_Encode4(2420027), // Rule ID 73013 //
     /* 2419970 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2419973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419977 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2419981 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2419985 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2419989 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419994 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2419998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420000 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1), VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2420000 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E32),
     /* 2420003 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420005 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420007 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420011 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420016 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420019 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420022 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420025 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420026 */     // GIR_Coverage, 73013,
     /* 2420026 */     GIR_EraseRootFromParent_Done,
     /* 2420027 */   // Label 34792: @2420027
     /* 2420027 */   GIM_Try, /*On fail goto*//*Label 34793*/ GIMT_Encode4(2420089), // Rule ID 55534 //
     /* 2420032 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2420035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420051 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2420055 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420062 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2420062 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2420065 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420067 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420069 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420071 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2420075 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420078 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420081 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420087 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420088 */     // GIR_Coverage, 55534,
     /* 2420088 */     GIR_EraseRootFromParent_Done,
     /* 2420089 */   // Label 34793: @2420089
     /* 2420089 */   GIM_Try, /*On fail goto*//*Label 34794*/ GIMT_Encode4(2420151), // Rule ID 55535 //
     /* 2420094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2420097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420113 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2420117 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420122 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420124 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, (fneg:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2420124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E32),
     /* 2420127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420129 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420131 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420133 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2420137 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420140 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420143 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420149 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420150 */     // GIR_Coverage, 55535,
     /* 2420150 */     GIR_EraseRootFromParent_Done,
     /* 2420151 */   // Label 34794: @2420151
     /* 2420151 */   GIM_Try, /*On fail goto*//*Label 34795*/ GIMT_Encode4(2420196), // Rule ID 55530 //
     /* 2420156 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2420159 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420163 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420167 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420171 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 1:{ *:[i64] })
     /* 2420171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2420174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420182 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420185 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420188 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420191 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420195 */     // GIR_Coverage, 55530,
     /* 2420195 */     GIR_EraseRootFromParent_Done,
     /* 2420196 */   // Label 34795: @2420196
     /* 2420196 */   GIM_Try, /*On fail goto*//*Label 34796*/ GIMT_Encode4(2420241), // Rule ID 55531 //
     /* 2420201 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2420204 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420208 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420212 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420216 */     // (strict_fma:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E32:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 1:{ *:[i32] })
     /* 2420216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E32),
     /* 2420219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420221 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420223 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420227 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420230 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2420236 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420240 */     // GIR_Coverage, 55531,
     /* 2420240 */     GIR_EraseRootFromParent_Done,
     /* 2420241 */   // Label 34796: @2420241
     /* 2420241 */   GIM_Reject,
     /* 2420242 */ // Label 34784: @2420242
     /* 2420242 */ GIM_Reject,
     /* 2420243 */ // Label 34532: @2420243
     /* 2420243 */ GIM_Try, /*On fail goto*//*Label 34797*/ GIMT_Encode4(2421032),
     /* 2420248 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420251 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2420254 */   GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_nxv32s16,
     /* 2420257 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420261 */   GIM_Try, /*On fail goto*//*Label 34798*/ GIMT_Encode4(2420338), // Rule ID 55346 //
     /* 2420266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420269 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2420273 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420277 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420281 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420290 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2420294 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420298 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420302 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420307 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2420309 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2420309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2420312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420316 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420320 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2420324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420327 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420330 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420333 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420337 */     // GIR_Coverage, 55346,
     /* 2420337 */     GIR_EraseRootFromParent_Done,
     /* 2420338 */   // Label 34798: @2420338
     /* 2420338 */   GIM_Try, /*On fail goto*//*Label 34799*/ GIMT_Encode4(2420415), // Rule ID 55347 //
     /* 2420343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2420350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420354 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420358 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420367 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2420371 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420375 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420379 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420384 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2420386 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2420386 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2420389 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420391 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420393 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420397 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2420401 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420410 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420414 */     // GIR_Coverage, 55347,
     /* 2420414 */     GIR_EraseRootFromParent_Done,
     /* 2420415 */   // Label 34799: @2420415
     /* 2420415 */   GIM_Try, /*On fail goto*//*Label 34800*/ GIMT_Encode4(2420492), // Rule ID 72840 //
     /* 2420420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420423 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2420431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420435 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420439 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420444 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2420448 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420452 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420456 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420461 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2420463 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2420463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2420466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420470 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420474 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2420478 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420490 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420491 */     // GIR_Coverage, 72840,
     /* 2420491 */     GIR_EraseRootFromParent_Done,
     /* 2420492 */   // Label 34800: @2420492
     /* 2420492 */   GIM_Try, /*On fail goto*//*Label 34801*/ GIMT_Encode4(2420569), // Rule ID 72841 //
     /* 2420497 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420500 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420504 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2420508 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420512 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420516 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420521 */     GIM_RecordInsn, /*DefineMI*/2, /*MI*/0, /*OpIdx*/3, // MIs[2]
     /* 2420525 */     GIM_CheckOpcode, /*MI*/2, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420529 */     GIM_CheckType, /*MI*/2, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420533 */     GIM_CheckRegBankForClass, /*MI*/2, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420538 */     GIM_CheckIsSafeToFold, /*NumInsns*/2,
     /* 2420540 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFNMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2420540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMADD_VV_M8_E16),
     /* 2420543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420547 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420551 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/2, /*OpIdx*/1, // rs2
     /* 2420555 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420561 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420564 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420568 */     // GIR_Coverage, 72841,
     /* 2420568 */     GIR_EraseRootFromParent_Done,
     /* 2420569 */   // Label 34801: @2420569
     /* 2420569 */   GIM_Try, /*On fail goto*//*Label 34802*/ GIMT_Encode4(2420631), // Rule ID 55350 //
     /* 2420574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420577 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2420581 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420585 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420589 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420602 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420604 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2420604 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2420607 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420609 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420611 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420615 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420617 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420620 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420623 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420629 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420630 */     // GIR_Coverage, 55350,
     /* 2420630 */     GIR_EraseRootFromParent_Done,
     /* 2420631 */   // Label 34802: @2420631
     /* 2420631 */   GIM_Try, /*On fail goto*//*Label 34803*/ GIMT_Encode4(2420693), // Rule ID 55351 //
     /* 2420636 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420639 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/1, // MIs[1]
     /* 2420643 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420647 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420651 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420656 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420660 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420664 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420666 */     // (strict_fma:{ *:[nxv32f16] } (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2420666 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2420669 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420671 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420673 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420677 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420682 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420685 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420688 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420691 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420692 */     // GIR_Coverage, 55351,
     /* 2420692 */     GIR_EraseRootFromParent_Done,
     /* 2420693 */   // Label 34803: @2420693
     /* 2420693 */   GIM_Try, /*On fail goto*//*Label 34804*/ GIMT_Encode4(2420755), // Rule ID 72844 //
     /* 2420698 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420705 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2420709 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420713 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420717 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420722 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420728 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2420728 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2420731 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420733 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420735 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420739 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420741 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420744 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420754 */     // GIR_Coverage, 72844,
     /* 2420754 */     GIR_EraseRootFromParent_Done,
     /* 2420755 */   // Label 34804: @2420755
     /* 2420755 */   GIM_Try, /*On fail goto*//*Label 34805*/ GIMT_Encode4(2420817), // Rule ID 72845 //
     /* 2420760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420767 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2420771 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420775 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420779 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420788 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420790 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1), VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFNMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2420790 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFNMSUB_VV_M8_E16),
     /* 2420793 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420795 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2420797 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs1
     /* 2420801 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420803 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420806 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420809 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420812 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420816 */     // GIR_Coverage, 72845,
     /* 2420816 */     GIR_EraseRootFromParent_Done,
     /* 2420817 */   // Label 34805: @2420817
     /* 2420817 */   GIM_Try, /*On fail goto*//*Label 34806*/ GIMT_Encode4(2420879), // Rule ID 55342 //
     /* 2420822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420825 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420829 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420833 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420837 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420841 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420845 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420850 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420852 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2420852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2420855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420857 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420859 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420861 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2420865 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420871 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420877 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420878 */     // GIR_Coverage, 55342,
     /* 2420878 */     GIR_EraseRootFromParent_Done,
     /* 2420879 */   // Label 34806: @2420879
     /* 2420879 */   GIM_Try, /*On fail goto*//*Label 34807*/ GIMT_Encode4(2420941), // Rule ID 55343 //
     /* 2420884 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420887 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420891 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420895 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2420899 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_FNEG),
     /* 2420903 */     GIM_CheckType, /*MI*/1, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2420907 */     GIM_CheckRegBankForClass, /*MI*/1, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420912 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2420914 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, (fneg:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2))  =>  (PseudoVFMSUB_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2420914 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMSUB_VV_M8_E16),
     /* 2420917 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420919 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420923 */     GIR_Copy, /*NewInsnID*/0, /*OldInsnID*/1, /*OpIdx*/1, // rs2
     /* 2420927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420940 */     // GIR_Coverage, 55343,
     /* 2420940 */     GIR_EraseRootFromParent_Done,
     /* 2420941 */   // Label 34807: @2420941
     /* 2420941 */   GIM_Try, /*On fail goto*//*Label 34808*/ GIMT_Encode4(2420986), // Rule ID 55338 //
     /* 2420946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2420949 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420953 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420957 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420961 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 1:{ *:[i64] })
     /* 2420961 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2420964 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2420966 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2420968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2420970 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2420972 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2420975 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2420978 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2420981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2420984 */     GIR_RootConstrainSelectedInstOperands,
     /* 2420985 */     // GIR_Coverage, 55338,
     /* 2420985 */     GIR_EraseRootFromParent_Done,
     /* 2420986 */   // Label 34808: @2420986
     /* 2420986 */   GIM_Try, /*On fail goto*//*Label 34809*/ GIMT_Encode4(2421031), // Rule ID 55339 //
     /* 2420991 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2420994 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2420998 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421002 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2421006 */     // (strict_fma:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFMADD_VV_M8_E16:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 1:{ *:[i32] })
     /* 2421006 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFMADD_VV_M8_E16),
     /* 2421009 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421011 */     GIR_RootToRootCopy, /*OpIdx*/2, // rd
     /* 2421013 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421015 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2421017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421020 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421023 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/1,
     /* 2421029 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421030 */     // GIR_Coverage, 55339,
     /* 2421030 */     GIR_EraseRootFromParent_Done,
     /* 2421031 */   // Label 34809: @2421031
     /* 2421031 */   GIM_Reject,
     /* 2421032 */ // Label 34797: @2421032
     /* 2421032 */ GIM_Reject,
     /* 2421033 */ // Label 34533: @2421033
     /* 2421033 */ GIM_Reject,
     /* 2421034 */ // Label 103: @2421034
     /* 2421034 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(2), GIMT_Encode2(32), /*)*//*default:*//*Label 34828*/ GIMT_Encode4(2423209),
     /* 2421045 */ /*GILLT_s16*//*Label 34810*/ GIMT_Encode4(2421165),
     /* 2421049 */ /*GILLT_s32*//*Label 34811*/ GIMT_Encode4(2421287),
     /* 2421053 */ /*GILLT_s64*//*Label 34812*/ GIMT_Encode4(2421409), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2421065 */ /*GILLT_nxv1s16*//*Label 34813*/ GIMT_Encode4(2421559),
     /* 2421069 */ /*GILLT_nxv1s32*//*Label 34814*/ GIMT_Encode4(2421669),
     /* 2421073 */ /*GILLT_nxv1s64*//*Label 34815*/ GIMT_Encode4(2421779), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2421085 */ /*GILLT_nxv2s16*//*Label 34816*/ GIMT_Encode4(2421889),
     /* 2421089 */ /*GILLT_nxv2s32*//*Label 34817*/ GIMT_Encode4(2421999),
     /* 2421093 */ /*GILLT_nxv2s64*//*Label 34818*/ GIMT_Encode4(2422109), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2421105 */ /*GILLT_nxv4s16*//*Label 34819*/ GIMT_Encode4(2422219),
     /* 2421109 */ /*GILLT_nxv4s32*//*Label 34820*/ GIMT_Encode4(2422329),
     /* 2421113 */ /*GILLT_nxv4s64*//*Label 34821*/ GIMT_Encode4(2422439), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2421125 */ /*GILLT_nxv8s16*//*Label 34822*/ GIMT_Encode4(2422549),
     /* 2421129 */ /*GILLT_nxv8s32*//*Label 34823*/ GIMT_Encode4(2422659),
     /* 2421133 */ /*GILLT_nxv8s64*//*Label 34824*/ GIMT_Encode4(2422769), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2421145 */ /*GILLT_nxv16s16*//*Label 34825*/ GIMT_Encode4(2422879),
     /* 2421149 */ /*GILLT_nxv16s32*//*Label 34826*/ GIMT_Encode4(2422989), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2421161 */ /*GILLT_nxv32s16*//*Label 34827*/ GIMT_Encode4(2423099),
     /* 2421165 */ // Label 34810: @2421165
     /* 2421165 */ GIM_Try, /*On fail goto*//*Label 34829*/ GIMT_Encode4(2421286),
     /* 2421170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2421173 */   GIM_Try, /*On fail goto*//*Label 34830*/ GIMT_Encode4(2421201), // Rule ID 1984 //
     /* 2421178 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2421181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2421185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2421189 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2421189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2421192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421199 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421200 */     // GIR_Coverage, 1984,
     /* 2421200 */     GIR_EraseRootFromParent_Done,
     /* 2421201 */   // Label 34830: @2421201
     /* 2421201 */   GIM_Try, /*On fail goto*//*Label 34831*/ GIMT_Encode4(2421229), // Rule ID 1985 //
     /* 2421206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2421209 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2421213 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2421217 */     // (strict_fsqrt:{ *:[f16] } FPR16:{ *:[f16] }:$rs1)  =>  (FSQRT_H:{ *:[f16] } FPR16:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2421217 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H),
     /* 2421220 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421222 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421224 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421227 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421228 */     // GIR_Coverage, 1985,
     /* 2421228 */     GIR_EraseRootFromParent_Done,
     /* 2421229 */   // Label 34831: @2421229
     /* 2421229 */   GIM_Try, /*On fail goto*//*Label 34832*/ GIMT_Encode4(2421257), // Rule ID 2017 //
     /* 2421234 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2421237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2421241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2421245 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i64] })
     /* 2421245 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2421248 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421250 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421255 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421256 */     // GIR_Coverage, 2017,
     /* 2421256 */     GIR_EraseRootFromParent_Done,
     /* 2421257 */   // Label 34832: @2421257
     /* 2421257 */   GIM_Try, /*On fail goto*//*Label 34833*/ GIMT_Encode4(2421285), // Rule ID 2018 //
     /* 2421262 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2421265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2421269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2421273 */     // (strict_fsqrt:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FSQRT_H_INX:{ *:[f16] } FPR16INX:{ *:[f16] }:$rs1, 7:{ *:[i32] })
     /* 2421273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_H_INX),
     /* 2421276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421280 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421283 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421284 */     // GIR_Coverage, 2018,
     /* 2421284 */     GIR_EraseRootFromParent_Done,
     /* 2421285 */   // Label 34833: @2421285
     /* 2421285 */   GIM_Reject,
     /* 2421286 */ // Label 34829: @2421286
     /* 2421286 */ GIM_Reject,
     /* 2421287 */ // Label 34811: @2421287
     /* 2421287 */ GIM_Try, /*On fail goto*//*Label 34834*/ GIMT_Encode4(2421408),
     /* 2421292 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2421295 */   GIM_Try, /*On fail goto*//*Label 34835*/ GIMT_Encode4(2421323), // Rule ID 1275 //
     /* 2421300 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2421303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2421307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2421311 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2421311 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2421314 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421316 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421318 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421321 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421322 */     // GIR_Coverage, 1275,
     /* 2421322 */     GIR_EraseRootFromParent_Done,
     /* 2421323 */   // Label 34835: @2421323
     /* 2421323 */   GIM_Try, /*On fail goto*//*Label 34836*/ GIMT_Encode4(2421351), // Rule ID 1276 //
     /* 2421328 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2421331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2421335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2421339 */     // (strict_fsqrt:{ *:[f32] } FPR32:{ *:[f32] }:$rs1)  =>  (FSQRT_S:{ *:[f32] } FPR32:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2421339 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S),
     /* 2421342 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421344 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421346 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421349 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421350 */     // GIR_Coverage, 1276,
     /* 2421350 */     GIR_EraseRootFromParent_Done,
     /* 2421351 */   // Label 34836: @2421351
     /* 2421351 */   GIM_Try, /*On fail goto*//*Label 34837*/ GIMT_Encode4(2421379), // Rule ID 1283 //
     /* 2421356 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2421359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2421363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2421367 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i64] })
     /* 2421367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2421370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421372 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421377 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421378 */     // GIR_Coverage, 1283,
     /* 2421378 */     GIR_EraseRootFromParent_Done,
     /* 2421379 */   // Label 34837: @2421379
     /* 2421379 */   GIM_Try, /*On fail goto*//*Label 34838*/ GIMT_Encode4(2421407), // Rule ID 1284 //
     /* 2421384 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2421387 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2421391 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2421395 */     // (strict_fsqrt:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FSQRT_S_INX:{ *:[f32] } FPR32INX:{ *:[f32] }:$rs1, 7:{ *:[i32] })
     /* 2421395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_S_INX),
     /* 2421398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421402 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421405 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421406 */     // GIR_Coverage, 1284,
     /* 2421406 */     GIR_EraseRootFromParent_Done,
     /* 2421407 */   // Label 34838: @2421407
     /* 2421407 */   GIM_Reject,
     /* 2421408 */ // Label 34834: @2421408
     /* 2421408 */ GIM_Reject,
     /* 2421409 */ // Label 34812: @2421409
     /* 2421409 */ GIM_Try, /*On fail goto*//*Label 34839*/ GIMT_Encode4(2421558),
     /* 2421414 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2421417 */   GIM_Try, /*On fail goto*//*Label 34840*/ GIMT_Encode4(2421445), // Rule ID 1618 //
     /* 2421422 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2421425 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2421429 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2421433 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2421433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2421436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421443 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421444 */     // GIR_Coverage, 1618,
     /* 2421444 */     GIR_EraseRootFromParent_Done,
     /* 2421445 */   // Label 34840: @2421445
     /* 2421445 */   GIM_Try, /*On fail goto*//*Label 34841*/ GIMT_Encode4(2421473), // Rule ID 1619 //
     /* 2421450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2421453 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2421457 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2421461 */     // (strict_fsqrt:{ *:[f64] } FPR64:{ *:[f64] }:$rs1)  =>  (FSQRT_D:{ *:[f64] } FPR64:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2421461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D),
     /* 2421464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421468 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421471 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421472 */     // GIR_Coverage, 1619,
     /* 2421472 */     GIR_EraseRootFromParent_Done,
     /* 2421473 */   // Label 34841: @2421473
     /* 2421473 */   GIM_Try, /*On fail goto*//*Label 34842*/ GIMT_Encode4(2421501), // Rule ID 1653 //
     /* 2421478 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2421481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2421489 */     // (strict_fsqrt:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FSQRT_D_INX:{ *:[f64] } FPR64INX:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2421489 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_INX),
     /* 2421492 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421494 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421500 */     // GIR_Coverage, 1653,
     /* 2421500 */     GIR_EraseRootFromParent_Done,
     /* 2421501 */   // Label 34842: @2421501
     /* 2421501 */   GIM_Try, /*On fail goto*//*Label 34843*/ GIMT_Encode4(2421529), // Rule ID 1673 //
     /* 2421506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2421509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2421513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2421517 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i64] })
     /* 2421517 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2421520 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421522 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421527 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421528 */     // GIR_Coverage, 1673,
     /* 2421528 */     GIR_EraseRootFromParent_Done,
     /* 2421529 */   // Label 34843: @2421529
     /* 2421529 */   GIM_Try, /*On fail goto*//*Label 34844*/ GIMT_Encode4(2421557), // Rule ID 1674 //
     /* 2421534 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2421537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2421541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2421545 */     // (strict_fsqrt:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FSQRT_D_IN32X:{ *:[f64] } FPR64IN32X:{ *:[f64] }:$rs1, 7:{ *:[i32] })
     /* 2421545 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::FSQRT_D_IN32X),
     /* 2421548 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421550 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2421552 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421555 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421556 */     // GIR_Coverage, 1674,
     /* 2421556 */     GIR_EraseRootFromParent_Done,
     /* 2421557 */   // Label 34844: @2421557
     /* 2421557 */   GIM_Reject,
     /* 2421558 */ // Label 34839: @2421558
     /* 2421558 */ GIM_Reject,
     /* 2421559 */ // Label 34813: @2421559
     /* 2421559 */ GIM_Try, /*On fail goto*//*Label 34845*/ GIMT_Encode4(2421668),
     /* 2421564 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2421567 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421571 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421575 */   GIM_Try, /*On fail goto*//*Label 34846*/ GIMT_Encode4(2421621), // Rule ID 56234 //
     /* 2421580 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2421583 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421583 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2421586 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421590 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421595 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421597 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2421600 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421602 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421607 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421610 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421613 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421616 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421619 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421620 */     // GIR_Coverage, 56234,
     /* 2421620 */     GIR_EraseRootFromParent_Done,
     /* 2421621 */   // Label 34846: @2421621
     /* 2421621 */   GIM_Try, /*On fail goto*//*Label 34847*/ GIMT_Encode4(2421667), // Rule ID 56235 //
     /* 2421626 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2421629 */     // (strict_fsqrt:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF4_E16:{ *:[nxv1f16] } (IMPLICIT_DEF:{ *:[nxv1f16] }), VR:{ *:[nxv1f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421629 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s16,
     /* 2421632 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421636 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421641 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421643 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF4_E16),
     /* 2421646 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421648 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421653 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421656 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421662 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421665 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421666 */     // GIR_Coverage, 56235,
     /* 2421666 */     GIR_EraseRootFromParent_Done,
     /* 2421667 */   // Label 34847: @2421667
     /* 2421667 */   GIM_Reject,
     /* 2421668 */ // Label 34845: @2421668
     /* 2421668 */ GIM_Reject,
     /* 2421669 */ // Label 34814: @2421669
     /* 2421669 */ GIM_Try, /*On fail goto*//*Label 34848*/ GIMT_Encode4(2421778),
     /* 2421674 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2421677 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421681 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421685 */   GIM_Try, /*On fail goto*//*Label 34849*/ GIMT_Encode4(2421731), // Rule ID 56274 //
     /* 2421690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2421693 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421693 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2421696 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421700 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421705 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421707 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2421710 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421712 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421715 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421720 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421726 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421729 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421730 */     // GIR_Coverage, 56274,
     /* 2421730 */     GIR_EraseRootFromParent_Done,
     /* 2421731 */   // Label 34849: @2421731
     /* 2421731 */   GIM_Try, /*On fail goto*//*Label 34850*/ GIMT_Encode4(2421777), // Rule ID 56275 //
     /* 2421736 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2421739 */     // (strict_fsqrt:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E32:{ *:[nxv1f32] } (IMPLICIT_DEF:{ *:[nxv1f32] }), VR:{ *:[nxv1f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421739 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s32,
     /* 2421742 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421746 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421751 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421753 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E32),
     /* 2421756 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421758 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421761 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421769 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2421772 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421776 */     // GIR_Coverage, 56275,
     /* 2421776 */     GIR_EraseRootFromParent_Done,
     /* 2421777 */   // Label 34850: @2421777
     /* 2421777 */   GIM_Reject,
     /* 2421778 */ // Label 34848: @2421778
     /* 2421778 */ GIM_Reject,
     /* 2421779 */ // Label 34815: @2421779
     /* 2421779 */ GIM_Try, /*On fail goto*//*Label 34851*/ GIMT_Encode4(2421888),
     /* 2421784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2421787 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421791 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421795 */   GIM_Try, /*On fail goto*//*Label 34852*/ GIMT_Encode4(2421841), // Rule ID 56334 //
     /* 2421800 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2421803 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421803 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2421806 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421810 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421815 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421817 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2421820 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421822 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421825 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421827 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421836 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421839 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421840 */     // GIR_Coverage, 56334,
     /* 2421840 */     GIR_EraseRootFromParent_Done,
     /* 2421841 */   // Label 34852: @2421841
     /* 2421841 */   GIM_Try, /*On fail goto*//*Label 34853*/ GIMT_Encode4(2421887), // Rule ID 56335 //
     /* 2421846 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2421849 */     // (strict_fsqrt:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E64:{ *:[nxv1f64] } (IMPLICIT_DEF:{ *:[nxv1f64] }), VR:{ *:[nxv1f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421849 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv1s64,
     /* 2421852 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421856 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421861 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421863 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E64),
     /* 2421866 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421868 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421873 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421876 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421879 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2421882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421885 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421886 */     // GIR_Coverage, 56335,
     /* 2421886 */     GIR_EraseRootFromParent_Done,
     /* 2421887 */   // Label 34853: @2421887
     /* 2421887 */   GIM_Reject,
     /* 2421888 */ // Label 34851: @2421888
     /* 2421888 */ GIM_Reject,
     /* 2421889 */ // Label 34816: @2421889
     /* 2421889 */ GIM_Try, /*On fail goto*//*Label 34854*/ GIMT_Encode4(2421998),
     /* 2421894 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2421897 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421901 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2421905 */   GIM_Try, /*On fail goto*//*Label 34855*/ GIMT_Encode4(2421951), // Rule ID 56254 //
     /* 2421910 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2421913 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2421913 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2421916 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421920 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421925 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421927 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2421930 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421932 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421937 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421946 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421949 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421950 */     // GIR_Coverage, 56254,
     /* 2421950 */     GIR_EraseRootFromParent_Done,
     /* 2421951 */   // Label 34855: @2421951
     /* 2421951 */   GIM_Try, /*On fail goto*//*Label 34856*/ GIMT_Encode4(2421997), // Rule ID 56255 //
     /* 2421956 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2421959 */     // (strict_fsqrt:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rs2)  =>  (PseudoVFSQRT_V_MF2_E16:{ *:[nxv2f16] } (IMPLICIT_DEF:{ *:[nxv2f16] }), VR:{ *:[nxv2f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2421959 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s16,
     /* 2421962 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2421966 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2421971 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2421973 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_MF2_E16),
     /* 2421976 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2421978 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2421981 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2421983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2421986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2421989 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2421992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2421995 */     GIR_RootConstrainSelectedInstOperands,
     /* 2421996 */     // GIR_Coverage, 56255,
     /* 2421996 */     GIR_EraseRootFromParent_Done,
     /* 2421997 */   // Label 34856: @2421997
     /* 2421997 */   GIM_Reject,
     /* 2421998 */ // Label 34854: @2421998
     /* 2421998 */ GIM_Reject,
     /* 2421999 */ // Label 34817: @2421999
     /* 2421999 */ GIM_Try, /*On fail goto*//*Label 34857*/ GIMT_Encode4(2422108),
     /* 2422004 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2422007 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422011 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422015 */   GIM_Try, /*On fail goto*//*Label 34858*/ GIMT_Encode4(2422061), // Rule ID 56314 //
     /* 2422020 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2422023 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422023 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2422026 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422030 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422035 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2422040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422042 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422045 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422047 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422056 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422059 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422060 */     // GIR_Coverage, 56314,
     /* 2422060 */     GIR_EraseRootFromParent_Done,
     /* 2422061 */   // Label 34858: @2422061
     /* 2422061 */   GIM_Try, /*On fail goto*//*Label 34859*/ GIMT_Encode4(2422107), // Rule ID 56315 //
     /* 2422066 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2422069 */     // (strict_fsqrt:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E32:{ *:[nxv2f32] } (IMPLICIT_DEF:{ *:[nxv2f32] }), VR:{ *:[nxv2f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422069 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s32,
     /* 2422072 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422076 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422081 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E32),
     /* 2422086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422088 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422091 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422093 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422096 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422099 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422105 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422106 */     // GIR_Coverage, 56315,
     /* 2422106 */     GIR_EraseRootFromParent_Done,
     /* 2422107 */   // Label 34859: @2422107
     /* 2422107 */   GIM_Reject,
     /* 2422108 */ // Label 34857: @2422108
     /* 2422108 */ GIM_Reject,
     /* 2422109 */ // Label 34818: @2422109
     /* 2422109 */ GIM_Try, /*On fail goto*//*Label 34860*/ GIMT_Encode4(2422218),
     /* 2422114 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2422117 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422121 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422125 */   GIM_Try, /*On fail goto*//*Label 34861*/ GIMT_Encode4(2422171), // Rule ID 56474 //
     /* 2422130 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2422133 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422133 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2422136 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422140 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422145 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422147 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2422150 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422152 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422155 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422160 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422163 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422166 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422169 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422170 */     // GIR_Coverage, 56474,
     /* 2422170 */     GIR_EraseRootFromParent_Done,
     /* 2422171 */   // Label 34861: @2422171
     /* 2422171 */   GIM_Try, /*On fail goto*//*Label 34862*/ GIMT_Encode4(2422217), // Rule ID 56475 //
     /* 2422176 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2422179 */     // (strict_fsqrt:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E64:{ *:[nxv2f64] } (IMPLICIT_DEF:{ *:[nxv2f64] }), VRM2:{ *:[nxv2f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422179 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv2s64,
     /* 2422182 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422186 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422191 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422193 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E64),
     /* 2422196 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422198 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422212 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422215 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422216 */     // GIR_Coverage, 56475,
     /* 2422216 */     GIR_EraseRootFromParent_Done,
     /* 2422217 */   // Label 34862: @2422217
     /* 2422217 */   GIM_Reject,
     /* 2422218 */ // Label 34860: @2422218
     /* 2422218 */ GIM_Reject,
     /* 2422219 */ // Label 34819: @2422219
     /* 2422219 */ GIM_Try, /*On fail goto*//*Label 34863*/ GIMT_Encode4(2422328),
     /* 2422224 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2422227 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422231 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2422235 */   GIM_Try, /*On fail goto*//*Label 34864*/ GIMT_Encode4(2422281), // Rule ID 56294 //
     /* 2422240 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2422243 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422243 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2422246 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422250 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422255 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2422260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422262 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422267 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422276 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422279 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422280 */     // GIR_Coverage, 56294,
     /* 2422280 */     GIR_EraseRootFromParent_Done,
     /* 2422281 */   // Label 34864: @2422281
     /* 2422281 */   GIM_Try, /*On fail goto*//*Label 34865*/ GIMT_Encode4(2422327), // Rule ID 56295 //
     /* 2422286 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2422289 */     // (strict_fsqrt:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rs2)  =>  (PseudoVFSQRT_V_M1_E16:{ *:[nxv4f16] } (IMPLICIT_DEF:{ *:[nxv4f16] }), VR:{ *:[nxv4f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422289 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s16,
     /* 2422292 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422296 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422301 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422303 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M1_E16),
     /* 2422306 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422308 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422311 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422313 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422316 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422319 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422325 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422326 */     // GIR_Coverage, 56295,
     /* 2422326 */     GIR_EraseRootFromParent_Done,
     /* 2422327 */   // Label 34865: @2422327
     /* 2422327 */   GIM_Reject,
     /* 2422328 */ // Label 34863: @2422328
     /* 2422328 */ GIM_Reject,
     /* 2422329 */ // Label 34820: @2422329
     /* 2422329 */ GIM_Try, /*On fail goto*//*Label 34866*/ GIMT_Encode4(2422438),
     /* 2422334 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2422337 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422341 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422345 */   GIM_Try, /*On fail goto*//*Label 34867*/ GIMT_Encode4(2422391), // Rule ID 56414 //
     /* 2422350 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2422353 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422353 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2422356 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422360 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422365 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422367 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2422370 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422372 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422375 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422380 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422383 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422386 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422390 */     // GIR_Coverage, 56414,
     /* 2422390 */     GIR_EraseRootFromParent_Done,
     /* 2422391 */   // Label 34867: @2422391
     /* 2422391 */   GIM_Try, /*On fail goto*//*Label 34868*/ GIMT_Encode4(2422437), // Rule ID 56415 //
     /* 2422396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2422399 */     // (strict_fsqrt:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E32:{ *:[nxv4f32] } (IMPLICIT_DEF:{ *:[nxv4f32] }), VRM2:{ *:[nxv4f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422399 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s32,
     /* 2422402 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422406 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422411 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422413 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E32),
     /* 2422416 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422418 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422421 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422432 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422436 */     // GIR_Coverage, 56415,
     /* 2422436 */     GIR_EraseRootFromParent_Done,
     /* 2422437 */   // Label 34868: @2422437
     /* 2422437 */   GIM_Reject,
     /* 2422438 */ // Label 34866: @2422438
     /* 2422438 */ GIM_Reject,
     /* 2422439 */ // Label 34821: @2422439
     /* 2422439 */ GIM_Try, /*On fail goto*//*Label 34869*/ GIMT_Encode4(2422548),
     /* 2422444 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2422447 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422451 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422455 */   GIM_Try, /*On fail goto*//*Label 34870*/ GIMT_Encode4(2422501), // Rule ID 56494 //
     /* 2422460 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2422463 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422463 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2422466 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422470 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422475 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2422480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422482 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422487 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422496 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422499 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422500 */     // GIR_Coverage, 56494,
     /* 2422500 */     GIR_EraseRootFromParent_Done,
     /* 2422501 */   // Label 34870: @2422501
     /* 2422501 */   GIM_Try, /*On fail goto*//*Label 34871*/ GIMT_Encode4(2422547), // Rule ID 56495 //
     /* 2422506 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2422509 */     // (strict_fsqrt:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E64:{ *:[nxv4f64] } (IMPLICIT_DEF:{ *:[nxv4f64] }), VRM4:{ *:[nxv4f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422509 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv4s64,
     /* 2422512 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422516 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422521 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422523 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E64),
     /* 2422526 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422528 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422531 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422533 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422536 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422539 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422545 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422546 */     // GIR_Coverage, 56495,
     /* 2422546 */     GIR_EraseRootFromParent_Done,
     /* 2422547 */   // Label 34871: @2422547
     /* 2422547 */   GIM_Reject,
     /* 2422548 */ // Label 34869: @2422548
     /* 2422548 */ GIM_Reject,
     /* 2422549 */ // Label 34822: @2422549
     /* 2422549 */ GIM_Try, /*On fail goto*//*Label 34872*/ GIMT_Encode4(2422658),
     /* 2422554 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2422557 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422561 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2422565 */   GIM_Try, /*On fail goto*//*Label 34873*/ GIMT_Encode4(2422611), // Rule ID 56354 //
     /* 2422570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2422573 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422573 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2422576 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422580 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422585 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422587 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2422590 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422592 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422595 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422609 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422610 */     // GIR_Coverage, 56354,
     /* 2422610 */     GIR_EraseRootFromParent_Done,
     /* 2422611 */   // Label 34873: @2422611
     /* 2422611 */   GIM_Try, /*On fail goto*//*Label 34874*/ GIMT_Encode4(2422657), // Rule ID 56355 //
     /* 2422616 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2422619 */     // (strict_fsqrt:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rs2)  =>  (PseudoVFSQRT_V_M2_E16:{ *:[nxv8f16] } (IMPLICIT_DEF:{ *:[nxv8f16] }), VRM2:{ *:[nxv8f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422619 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s16,
     /* 2422622 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422626 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422631 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M2_E16),
     /* 2422636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422638 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422641 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422643 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422655 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422656 */     // GIR_Coverage, 56355,
     /* 2422656 */     GIR_EraseRootFromParent_Done,
     /* 2422657 */   // Label 34874: @2422657
     /* 2422657 */   GIM_Reject,
     /* 2422658 */ // Label 34872: @2422658
     /* 2422658 */ GIM_Reject,
     /* 2422659 */ // Label 34823: @2422659
     /* 2422659 */ GIM_Try, /*On fail goto*//*Label 34875*/ GIMT_Encode4(2422768),
     /* 2422664 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2422667 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422671 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422675 */   GIM_Try, /*On fail goto*//*Label 34876*/ GIMT_Encode4(2422721), // Rule ID 56434 //
     /* 2422680 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2422683 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422683 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2422686 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422690 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422695 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2422700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422702 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422707 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422720 */     // GIR_Coverage, 56434,
     /* 2422720 */     GIR_EraseRootFromParent_Done,
     /* 2422721 */   // Label 34876: @2422721
     /* 2422721 */   GIM_Try, /*On fail goto*//*Label 34877*/ GIMT_Encode4(2422767), // Rule ID 56435 //
     /* 2422726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2422729 */     // (strict_fsqrt:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E32:{ *:[nxv8f32] } (IMPLICIT_DEF:{ *:[nxv8f32] }), VRM4:{ *:[nxv8f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422729 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s32,
     /* 2422732 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422736 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422741 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422743 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E32),
     /* 2422746 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422748 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422753 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422756 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422759 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2422762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422765 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422766 */     // GIR_Coverage, 56435,
     /* 2422766 */     GIR_EraseRootFromParent_Done,
     /* 2422767 */   // Label 34877: @2422767
     /* 2422767 */   GIM_Reject,
     /* 2422768 */ // Label 34875: @2422768
     /* 2422768 */ GIM_Reject,
     /* 2422769 */ // Label 34824: @2422769
     /* 2422769 */ GIM_Try, /*On fail goto*//*Label 34878*/ GIMT_Encode4(2422878),
     /* 2422774 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2422777 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422781 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2422785 */   GIM_Try, /*On fail goto*//*Label 34879*/ GIMT_Encode4(2422831), // Rule ID 56514 //
     /* 2422790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode0),
     /* 2422793 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 6:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422793 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2422796 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422800 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422805 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422807 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2422810 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422812 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422815 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422826 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422829 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422830 */     // GIR_Coverage, 56514,
     /* 2422830 */     GIR_EraseRootFromParent_Done,
     /* 2422831 */   // Label 34879: @2422831
     /* 2422831 */   GIM_Try, /*On fail goto*//*Label 34880*/ GIMT_Encode4(2422877), // Rule ID 56515 //
     /* 2422836 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF64_HwMode1),
     /* 2422839 */     // (strict_fsqrt:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E64:{ *:[nxv8f64] } (IMPLICIT_DEF:{ *:[nxv8f64] }), VRM8:{ *:[nxv8f64] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 6:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422839 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv8s64,
     /* 2422842 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422846 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422851 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422853 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E64),
     /* 2422856 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422858 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422861 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422863 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2422872 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422875 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422876 */     // GIR_Coverage, 56515,
     /* 2422876 */     GIR_EraseRootFromParent_Done,
     /* 2422877 */   // Label 34880: @2422877
     /* 2422877 */   GIM_Reject,
     /* 2422878 */ // Label 34878: @2422878
     /* 2422878 */ GIM_Reject,
     /* 2422879 */ // Label 34825: @2422879
     /* 2422879 */ GIM_Try, /*On fail goto*//*Label 34881*/ GIMT_Encode4(2422988),
     /* 2422884 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2422887 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422891 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2422895 */   GIM_Try, /*On fail goto*//*Label 34882*/ GIMT_Encode4(2422941), // Rule ID 56374 //
     /* 2422900 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2422903 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2422903 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2422906 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422910 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422915 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2422920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422922 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422925 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422927 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422940 */     // GIR_Coverage, 56374,
     /* 2422940 */     GIR_EraseRootFromParent_Done,
     /* 2422941 */   // Label 34882: @2422941
     /* 2422941 */   GIM_Try, /*On fail goto*//*Label 34883*/ GIMT_Encode4(2422987), // Rule ID 56375 //
     /* 2422946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2422949 */     // (strict_fsqrt:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rs2)  =>  (PseudoVFSQRT_V_M4_E16:{ *:[nxv16f16] } (IMPLICIT_DEF:{ *:[nxv16f16] }), VRM4:{ *:[nxv16f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2422949 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s16,
     /* 2422952 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2422956 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2422961 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2422963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M4_E16),
     /* 2422966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2422968 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2422971 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2422973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2422976 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2422979 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2422982 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2422985 */     GIR_RootConstrainSelectedInstOperands,
     /* 2422986 */     // GIR_Coverage, 56375,
     /* 2422986 */     GIR_EraseRootFromParent_Done,
     /* 2422987 */   // Label 34883: @2422987
     /* 2422987 */   GIM_Reject,
     /* 2422988 */ // Label 34881: @2422988
     /* 2422988 */ GIM_Reject,
     /* 2422989 */ // Label 34826: @2422989
     /* 2422989 */ GIM_Try, /*On fail goto*//*Label 34884*/ GIMT_Encode4(2423098),
     /* 2422994 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2422997 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423001 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423005 */   GIM_Try, /*On fail goto*//*Label 34885*/ GIMT_Encode4(2423051), // Rule ID 56454 //
     /* 2423010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode0),
     /* 2423013 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 5:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423013 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2423016 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423020 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423025 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2423030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423032 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423035 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2423037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2423040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423043 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423046 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423049 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423050 */     // GIR_Coverage, 56454,
     /* 2423050 */     GIR_EraseRootFromParent_Done,
     /* 2423051 */   // Label 34885: @2423051
     /* 2423051 */   GIM_Try, /*On fail goto*//*Label 34886*/ GIMT_Encode4(2423097), // Rule ID 56455 //
     /* 2423056 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsAnyF_HwMode1),
     /* 2423059 */     // (strict_fsqrt:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E32:{ *:[nxv16f32] } (IMPLICIT_DEF:{ *:[nxv16f32] }), VRM8:{ *:[nxv16f32] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 5:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423059 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv16s32,
     /* 2423062 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423066 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423071 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423073 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E32),
     /* 2423076 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423078 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423081 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2423083 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2423086 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2423092 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423096 */     // GIR_Coverage, 56455,
     /* 2423096 */     GIR_EraseRootFromParent_Done,
     /* 2423097 */   // Label 34886: @2423097
     /* 2423097 */   GIM_Reject,
     /* 2423098 */ // Label 34884: @2423098
     /* 2423098 */ GIM_Reject,
     /* 2423099 */ // Label 34827: @2423099
     /* 2423099 */ GIM_Try, /*On fail goto*//*Label 34887*/ GIMT_Encode4(2423208),
     /* 2423104 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2423107 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423111 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2423115 */   GIM_Try, /*On fail goto*//*Label 34888*/ GIMT_Encode4(2423161), // Rule ID 56394 //
     /* 2423120 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode0),
     /* 2423123 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i64] }, -1:{ *:[i64] }, 4:{ *:[i64] }, 3:{ *:[i64] })
     /* 2423123 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2423126 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423130 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423135 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2423140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423142 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2423147 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2423150 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423160 */     // GIR_Coverage, 56394,
     /* 2423160 */     GIR_EraseRootFromParent_Done,
     /* 2423161 */   // Label 34888: @2423161
     /* 2423161 */   GIM_Try, /*On fail goto*//*Label 34889*/ GIMT_Encode4(2423207), // Rule ID 56395 //
     /* 2423166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsF16_HwMode1),
     /* 2423169 */     // (strict_fsqrt:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rs2)  =>  (PseudoVFSQRT_V_M8_E16:{ *:[nxv32f16] } (IMPLICIT_DEF:{ *:[nxv32f16] }), VRM8:{ *:[nxv32f16] }:$rs2, 7:{ *:[i32] }, -1:{ *:[i32] }, 4:{ *:[i32] }, 3:{ *:[i32] })
     /* 2423169 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_nxv32s16,
     /* 2423172 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(TargetOpcode::IMPLICIT_DEF),
     /* 2423176 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423181 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423183 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVFSQRT_V_M8_E16),
     /* 2423186 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423188 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423191 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs2
     /* 2423193 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/7,
     /* 2423196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/uint8_t(-1),
     /* 2423199 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2423202 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2423205 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423206 */     // GIR_Coverage, 56395,
     /* 2423206 */     GIR_EraseRootFromParent_Done,
     /* 2423207 */   // Label 34889: @2423207
     /* 2423207 */   GIM_Reject,
     /* 2423208 */ // Label 34887: @2423208
     /* 2423208 */ GIM_Reject,
     /* 2423209 */ // Label 34828: @2423209
     /* 2423209 */ GIM_Reject,
     /* 2423210 */ // Label 104: @2423210
     /* 2423210 */ GIM_Try, /*On fail goto*//*Label 34890*/ GIMT_Encode4(2423222), // Rule ID 289 //
     /* 2423215 */   // (trap)  =>  (UNIMP)
     /* 2423215 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::UNIMP),
     /* 2423220 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423221 */   // GIR_Coverage, 289,
     /* 2423221 */   GIR_Done,
     /* 2423222 */ // Label 34890: @2423222
     /* 2423222 */ GIM_Reject,
     /* 2423223 */ // Label 105: @2423223
     /* 2423223 */ GIM_Try, /*On fail goto*//*Label 34891*/ GIMT_Encode4(2423235), // Rule ID 290 //
     /* 2423228 */   // (debugtrap)  =>  (EBREAK)
     /* 2423228 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::EBREAK),
     /* 2423233 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423234 */   // GIR_Coverage, 290,
     /* 2423234 */   GIR_Done,
     /* 2423235 */ // Label 34891: @2423235
     /* 2423235 */ GIM_Reject,
     /* 2423236 */ // Label 106: @2423236
     /* 2423236 */ GIM_Try, /*On fail goto*//*Label 34892*/ GIMT_Encode4(2423330),
     /* 2423241 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423244 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423247 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423251 */   GIM_Try, /*On fail goto*//*Label 34893*/ GIMT_Encode4(2423270), // Rule ID 2516 //
     /* 2423256 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2423259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423263 */     // (riscv_clzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CLZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2423263 */     GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CLZW),
     /* 2423268 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423269 */     // GIR_Coverage, 2516,
     /* 2423269 */     GIR_Done,
     /* 2423270 */   // Label 34893: @2423270
     /* 2423270 */   GIM_Try, /*On fail goto*//*Label 34894*/ GIMT_Encode4(2423329), // Rule ID 62569 //
     /* 2423275 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2423278 */     // (riscv_clzw:{ *:[i64] } i64:{ *:[i64] }:$rs1)  =>  (TH_FF0:{ *:[i64] } (SLLI:{ *:[i64] } (XORI:{ *:[i64] } i64:{ *:[i64] }:$rs1, -1:{ *:[i64] }), 32:{ *:[i64] }))
     /* 2423278 */     GIR_MakeTempReg, /*TempRegID*/1, /*TypeID*/GILLT_s64,
     /* 2423281 */     GIR_BuildMI, /*InsnID*/2, /*Opcode*/GIMT_Encode2(RISCV::XORI),
     /* 2423285 */     GIR_AddTempRegister, /*InsnID*/2, /*TempRegID*/1, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423290 */     GIR_Copy, /*NewInsnID*/2, /*OldInsnID*/0, /*OpIdx*/1, // rs1
     /* 2423294 */     GIR_AddImm8, /*InsnID*/2, /*Imm*/uint8_t(-1),
     /* 2423297 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/2,
     /* 2423299 */     GIR_MakeTempReg, /*TempRegID*/0, /*TypeID*/GILLT_s64,
     /* 2423302 */     GIR_BuildMI, /*InsnID*/1, /*Opcode*/GIMT_Encode2(RISCV::SLLI),
     /* 2423306 */     GIR_AddTempRegister, /*InsnID*/1, /*TempRegID*/0, /*TempRegFlags*/GIMT_Encode2(RegState::Define),
     /* 2423311 */     GIR_AddSimpleTempRegister, /*InsnID*/1, /*TempRegID*/1,
     /* 2423314 */     GIR_AddImm8, /*InsnID*/1, /*Imm*/32,
     /* 2423317 */     GIR_ConstrainSelectedInstOperands, /*InsnID*/1,
     /* 2423319 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_FF0),
     /* 2423322 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2423324 */     GIR_AddSimpleTempRegister, /*InsnID*/0, /*TempRegID*/0,
     /* 2423327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2423328 */     // GIR_Coverage, 62569,
     /* 2423328 */     GIR_EraseRootFromParent_Done,
     /* 2423329 */   // Label 34894: @2423329
     /* 2423329 */   GIM_Reject,
     /* 2423330 */ // Label 34892: @2423330
     /* 2423330 */ GIM_Reject,
     /* 2423331 */ // Label 107: @2423331
     /* 2423331 */ GIM_Try, /*On fail goto*//*Label 34895*/ GIMT_Encode4(2423360), // Rule ID 2517 //
     /* 2423336 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbb_IsRV64_HwMode0),
     /* 2423339 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423342 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423345 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423349 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423353 */   // (riscv_ctzw:{ *:[i64] } GPR:{ *:[i64] }:$rs1)  =>  (CTZW:{ *:[i64] } GPR:{ *:[i64] }:$rs1)
     /* 2423353 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::CTZW),
     /* 2423358 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423359 */   // GIR_Coverage, 2517,
     /* 2423359 */   GIR_Done,
     /* 2423360 */ // Label 34895: @2423360
     /* 2423360 */ GIM_Reject,
     /* 2423361 */ // Label 108: @2423361
     /* 2423361 */ GIM_Try, /*On fail goto*//*Label 34896*/ GIMT_Encode4(2423397), // Rule ID 315 //
     /* 2423366 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2423369 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423372 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423375 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2423378 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423382 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423386 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423390 */   // (riscv_divuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2423390 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVUW),
     /* 2423395 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423396 */   // GIR_Coverage, 315,
     /* 2423396 */   GIR_Done,
     /* 2423397 */ // Label 34896: @2423397
     /* 2423397 */ GIM_Reject,
     /* 2423398 */ // Label 109: @2423398
     /* 2423398 */ GIM_Try, /*On fail goto*//*Label 34897*/ GIMT_Encode4(2423434), // Rule ID 314 //
     /* 2423403 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2423406 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423409 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423412 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2423415 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423419 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423423 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423427 */   // (riscv_divw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (DIVW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2423427 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::DIVW),
     /* 2423432 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423433 */   // GIR_Coverage, 314,
     /* 2423433 */   GIR_Done,
     /* 2423434 */ // Label 34897: @2423434
     /* 2423434 */ GIM_Reject,
     /* 2423435 */ // Label 110: @2423435
     /* 2423435 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34900*/ GIMT_Encode4(2423794),
     /* 2423446 */ /*GILLT_s32*//*Label 34898*/ GIMT_Encode4(2423454),
     /* 2423450 */ /*GILLT_s64*//*Label 34899*/ GIMT_Encode4(2423611),
     /* 2423454 */ // Label 34898: @2423454
     /* 2423454 */ GIM_Try, /*On fail goto*//*Label 34901*/ GIMT_Encode4(2423480), // Rule ID 1282 //
     /* 2423459 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode1),
     /* 2423462 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423465 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423469 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2423473 */   // (riscv_fclass:{ *:[i32] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2423473 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2423478 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423479 */   // GIR_Coverage, 1282,
     /* 2423479 */   GIR_Done,
     /* 2423480 */ // Label 34901: @2423480
     /* 2423480 */ GIM_Try, /*On fail goto*//*Label 34902*/ GIMT_Encode4(2423506), // Rule ID 1290 //
     /* 2423485 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode1),
     /* 2423488 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423491 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423495 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2423499 */   // (riscv_fclass:{ *:[i32] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i32] } ?:{ *:[f32] }:$rs1)
     /* 2423499 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2423504 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423505 */   // GIR_Coverage, 1290,
     /* 2423505 */   GIR_Done,
     /* 2423506 */ // Label 34902: @2423506
     /* 2423506 */ GIM_Try, /*On fail goto*//*Label 34903*/ GIMT_Encode4(2423532), // Rule ID 1625 //
     /* 2423511 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode1),
     /* 2423514 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423517 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423521 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2423525 */   // (riscv_fclass:{ *:[i32] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2423525 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2423530 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423531 */   // GIR_Coverage, 1625,
     /* 2423531 */   GIR_Done,
     /* 2423532 */ // Label 34903: @2423532
     /* 2423532 */ GIM_Try, /*On fail goto*//*Label 34904*/ GIMT_Encode4(2423558), // Rule ID 1680 //
     /* 2423537 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode1),
     /* 2423540 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423543 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423547 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2423551 */   // (riscv_fclass:{ *:[i32] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i32] } ?:{ *:[f64] }:$rs1)
     /* 2423551 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2423556 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423557 */   // GIR_Coverage, 1680,
     /* 2423557 */   GIR_Done,
     /* 2423558 */ // Label 34904: @2423558
     /* 2423558 */ GIM_Try, /*On fail goto*//*Label 34905*/ GIMT_Encode4(2423584), // Rule ID 1991 //
     /* 2423563 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode1),
     /* 2423566 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2423569 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423573 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2423577 */   // (riscv_fclass:{ *:[i32] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2423577 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2423582 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423583 */   // GIR_Coverage, 1991,
     /* 2423583 */   GIR_Done,
     /* 2423584 */ // Label 34905: @2423584
     /* 2423584 */ GIM_Try, /*On fail goto*//*Label 34906*/ GIMT_Encode4(2423610), // Rule ID 2024 //
     /* 2423589 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode1),
     /* 2423592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2423595 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423599 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2423603 */   // (riscv_fclass:{ *:[i32] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i32] } ?:{ *:[f16] }:$rs1)
     /* 2423603 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2423608 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423609 */   // GIR_Coverage, 2024,
     /* 2423609 */   GIR_Done,
     /* 2423610 */ // Label 34906: @2423610
     /* 2423610 */ GIM_Reject,
     /* 2423611 */ // Label 34899: @2423611
     /* 2423611 */ GIM_Try, /*On fail goto*//*Label 34907*/ GIMT_Encode4(2423637), // Rule ID 1281 //
     /* 2423616 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_HwMode0),
     /* 2423619 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423622 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423626 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2423630 */   // (riscv_fclass:{ *:[i64] } FPR32:{ *:[f32] }:$rs1)  =>  (FCLASS_S:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2423630 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S),
     /* 2423635 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423636 */   // GIR_Coverage, 1281,
     /* 2423636 */   GIR_Done,
     /* 2423637 */ // Label 34907: @2423637
     /* 2423637 */ GIM_Try, /*On fail goto*//*Label 34908*/ GIMT_Encode4(2423663), // Rule ID 1289 //
     /* 2423642 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_HwMode0),
     /* 2423645 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2423648 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423652 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2423656 */   // (riscv_fclass:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1)  =>  (FCLASS_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1)
     /* 2423656 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_S_INX),
     /* 2423661 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423662 */   // GIR_Coverage, 1289,
     /* 2423662 */   GIR_Done,
     /* 2423663 */ // Label 34908: @2423663
     /* 2423663 */ GIM_Try, /*On fail goto*//*Label 34909*/ GIMT_Encode4(2423689), // Rule ID 1624 //
     /* 2423668 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_HwMode0),
     /* 2423671 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423674 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423678 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2423682 */   // (riscv_fclass:{ *:[i64] } FPR64:{ *:[f64] }:$rs1)  =>  (FCLASS_D:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2423682 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D),
     /* 2423687 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423688 */   // GIR_Coverage, 1624,
     /* 2423688 */   GIR_Done,
     /* 2423689 */ // Label 34909: @2423689
     /* 2423689 */ GIM_Try, /*On fail goto*//*Label 34910*/ GIMT_Encode4(2423715), // Rule ID 1657 //
     /* 2423694 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2423697 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423700 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423704 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423708 */   // (riscv_fclass:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1)  =>  (FCLASS_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2423708 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_INX),
     /* 2423713 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423714 */   // GIR_Coverage, 1657,
     /* 2423714 */   GIR_Done,
     /* 2423715 */ // Label 34910: @2423715
     /* 2423715 */ GIM_Try, /*On fail goto*//*Label 34911*/ GIMT_Encode4(2423741), // Rule ID 1679 //
     /* 2423720 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV32_HwMode0),
     /* 2423723 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2423726 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423730 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRPairRegClassID),
     /* 2423734 */   // (riscv_fclass:{ *:[i64] } FPR64IN32X:{ *:[f64] }:$rs1)  =>  (FCLASS_D_IN32X:{ *:[i64] } ?:{ *:[f64] }:$rs1)
     /* 2423734 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_D_IN32X),
     /* 2423739 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423740 */   // GIR_Coverage, 1679,
     /* 2423740 */   GIR_Done,
     /* 2423741 */ // Label 34911: @2423741
     /* 2423741 */ GIM_Try, /*On fail goto*//*Label 34912*/ GIMT_Encode4(2423767), // Rule ID 1990 //
     /* 2423746 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_HwMode0),
     /* 2423749 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2423752 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423756 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2423760 */   // (riscv_fclass:{ *:[i64] } FPR16:{ *:[f16] }:$rs1)  =>  (FCLASS_H:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2423760 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H),
     /* 2423765 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423766 */   // GIR_Coverage, 1990,
     /* 2423766 */   GIR_Done,
     /* 2423767 */ // Label 34912: @2423767
     /* 2423767 */ GIM_Try, /*On fail goto*//*Label 34913*/ GIMT_Encode4(2423793), // Rule ID 2023 //
     /* 2423772 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_HwMode0),
     /* 2423775 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s16,
     /* 2423778 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423782 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2423786 */   // (riscv_fclass:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1)  =>  (FCLASS_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1)
     /* 2423786 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCLASS_H_INX),
     /* 2423791 */   GIR_RootConstrainSelectedInstOperands,
     /* 2423792 */   // GIR_Coverage, 2023,
     /* 2423792 */   GIR_Done,
     /* 2423793 */ // Label 34913: @2423793
     /* 2423793 */ GIM_Reject,
     /* 2423794 */ // Label 34900: @2423794
     /* 2423794 */ GIM_Reject,
     /* 2423795 */ // Label 111: @2423795
     /* 2423795 */ GIM_Try, /*On fail goto*//*Label 34914*/ GIMT_Encode4(2423992),
     /* 2423800 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2423803 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34918*/ GIMT_Encode4(2423991),
     /* 2423814 */   /*GILLT_s16*//*Label 34915*/ GIMT_Encode4(2423826),
     /* 2423818 */   /*GILLT_s32*//*Label 34916*/ GIMT_Encode4(2423881),
     /* 2423822 */   /*GILLT_s64*//*Label 34917*/ GIMT_Encode4(2423936),
     /* 2423826 */   // Label 34915: @2423826
     /* 2423826 */   GIM_Try, /*On fail goto*//*Label 34919*/ GIMT_Encode4(2423880),
     /* 2423831 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423835 */     GIM_Try, /*On fail goto*//*Label 34920*/ GIMT_Encode4(2423857), // Rule ID 2241 //
     /* 2423840 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2423843 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2423847 */       // MIs[0] frm
     /* 2423847 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2423850 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2423850 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H),
     /* 2423855 */       GIR_RootConstrainSelectedInstOperands,
     /* 2423856 */       // GIR_Coverage, 2241,
     /* 2423856 */       GIR_Done,
     /* 2423857 */     // Label 34920: @2423857
     /* 2423857 */     GIM_Try, /*On fail goto*//*Label 34921*/ GIMT_Encode4(2423879), // Rule ID 2267 //
     /* 2423862 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2423865 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2423869 */       // MIs[0] frm
     /* 2423869 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2423872 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2423872 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_H_INX),
     /* 2423877 */       GIR_RootConstrainSelectedInstOperands,
     /* 2423878 */       // GIR_Coverage, 2267,
     /* 2423878 */       GIR_Done,
     /* 2423879 */     // Label 34921: @2423879
     /* 2423879 */     GIM_Reject,
     /* 2423880 */   // Label 34919: @2423880
     /* 2423880 */   GIM_Reject,
     /* 2423881 */   // Label 34916: @2423881
     /* 2423881 */   GIM_Try, /*On fail goto*//*Label 34922*/ GIMT_Encode4(2423935),
     /* 2423886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423890 */     GIM_Try, /*On fail goto*//*Label 34923*/ GIMT_Encode4(2423912), // Rule ID 1507 //
     /* 2423895 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2423898 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2423902 */       // MIs[0] frm
     /* 2423902 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2423905 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2423905 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S),
     /* 2423910 */       GIR_RootConstrainSelectedInstOperands,
     /* 2423911 */       // GIR_Coverage, 1507,
     /* 2423911 */       GIR_Done,
     /* 2423912 */     // Label 34923: @2423912
     /* 2423912 */     GIM_Try, /*On fail goto*//*Label 34924*/ GIMT_Encode4(2423934), // Rule ID 1535 //
     /* 2423917 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2423920 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2423924 */       // MIs[0] frm
     /* 2423924 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2423927 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2423927 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_S_INX),
     /* 2423932 */       GIR_RootConstrainSelectedInstOperands,
     /* 2423933 */       // GIR_Coverage, 1535,
     /* 2423933 */       GIR_Done,
     /* 2423934 */     // Label 34924: @2423934
     /* 2423934 */     GIM_Reject,
     /* 2423935 */   // Label 34922: @2423935
     /* 2423935 */   GIM_Reject,
     /* 2423936 */   // Label 34917: @2423936
     /* 2423936 */   GIM_Try, /*On fail goto*//*Label 34925*/ GIMT_Encode4(2423990),
     /* 2423941 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423945 */     GIM_Try, /*On fail goto*//*Label 34926*/ GIMT_Encode4(2423967), // Rule ID 1901 //
     /* 2423950 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2423953 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2423957 */       // MIs[0] frm
     /* 2423957 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2423960 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2423960 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D),
     /* 2423965 */       GIR_RootConstrainSelectedInstOperands,
     /* 2423966 */       // GIR_Coverage, 1901,
     /* 2423966 */       GIR_Done,
     /* 2423967 */     // Label 34926: @2423967
     /* 2423967 */     GIM_Try, /*On fail goto*//*Label 34927*/ GIMT_Encode4(2423989), // Rule ID 1929 //
     /* 2423972 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2423975 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2423979 */       // MIs[0] frm
     /* 2423979 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2423982 */       // (riscv_fcvt_wu_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_WU_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2423982 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_WU_D_INX),
     /* 2423987 */       GIR_RootConstrainSelectedInstOperands,
     /* 2423988 */       // GIR_Coverage, 1929,
     /* 2423988 */       GIR_Done,
     /* 2423989 */     // Label 34927: @2423989
     /* 2423989 */     GIM_Reject,
     /* 2423990 */   // Label 34925: @2423990
     /* 2423990 */   GIM_Reject,
     /* 2423991 */   // Label 34918: @2423991
     /* 2423991 */   GIM_Reject,
     /* 2423992 */ // Label 34914: @2423992
     /* 2423992 */ GIM_Reject,
     /* 2423993 */ // Label 112: @2423993
     /* 2423993 */ GIM_Try, /*On fail goto*//*Label 34928*/ GIMT_Encode4(2424190),
     /* 2423998 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2424001 */   GIM_SwitchType, /*MI*/0, /*Op*/1, /*[*/GIMT_Encode2(2), GIMT_Encode2(5), /*)*//*default:*//*Label 34932*/ GIMT_Encode4(2424189),
     /* 2424012 */   /*GILLT_s16*//*Label 34929*/ GIMT_Encode4(2424024),
     /* 2424016 */   /*GILLT_s32*//*Label 34930*/ GIMT_Encode4(2424079),
     /* 2424020 */   /*GILLT_s64*//*Label 34931*/ GIMT_Encode4(2424134),
     /* 2424024 */   // Label 34929: @2424024
     /* 2424024 */   GIM_Try, /*On fail goto*//*Label 34933*/ GIMT_Encode4(2424078),
     /* 2424029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424033 */     GIM_Try, /*On fail goto*//*Label 34934*/ GIMT_Encode4(2424055), // Rule ID 2239 //
     /* 2424038 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfh_IsRV64_HwMode0),
     /* 2424041 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR16RegClassID),
     /* 2424045 */       // MIs[0] frm
     /* 2424045 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2424048 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2424048 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H),
     /* 2424053 */       GIR_RootConstrainSelectedInstOperands,
     /* 2424054 */       // GIR_Coverage, 2239,
     /* 2424054 */       GIR_Done,
     /* 2424055 */     // Label 34934: @2424055
     /* 2424055 */     GIM_Try, /*On fail goto*//*Label 34935*/ GIMT_Encode4(2424077), // Rule ID 2265 //
     /* 2424060 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZhinx_IsRV64_HwMode0),
     /* 2424063 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF16RegClassID),
     /* 2424067 */       // MIs[0] frm
     /* 2424067 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2424070 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR16INX:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_H_INX:{ *:[i64] } ?:{ *:[f16] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2424070 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_H_INX),
     /* 2424075 */       GIR_RootConstrainSelectedInstOperands,
     /* 2424076 */       // GIR_Coverage, 2265,
     /* 2424076 */       GIR_Done,
     /* 2424077 */     // Label 34935: @2424077
     /* 2424077 */     GIM_Reject,
     /* 2424078 */   // Label 34933: @2424078
     /* 2424078 */   GIM_Reject,
     /* 2424079 */   // Label 34930: @2424079
     /* 2424079 */   GIM_Try, /*On fail goto*//*Label 34936*/ GIMT_Encode4(2424133),
     /* 2424084 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424088 */     GIM_Try, /*On fail goto*//*Label 34937*/ GIMT_Encode4(2424110), // Rule ID 1505 //
     /* 2424093 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtF_IsRV64_HwMode0),
     /* 2424096 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR32RegClassID),
     /* 2424100 */       // MIs[0] frm
     /* 2424100 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2424103 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2424103 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S),
     /* 2424108 */       GIR_RootConstrainSelectedInstOperands,
     /* 2424109 */       // GIR_Coverage, 1505,
     /* 2424109 */       GIR_Done,
     /* 2424110 */     // Label 34937: @2424110
     /* 2424110 */     GIM_Try, /*On fail goto*//*Label 34938*/ GIMT_Encode4(2424132), // Rule ID 1533 //
     /* 2424115 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZfinx_IsRV64_HwMode0),
     /* 2424118 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRF32RegClassID),
     /* 2424122 */       // MIs[0] frm
     /* 2424122 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2424125 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR32INX:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_S_INX:{ *:[i64] } ?:{ *:[f32] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2424125 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_S_INX),
     /* 2424130 */       GIR_RootConstrainSelectedInstOperands,
     /* 2424131 */       // GIR_Coverage, 1533,
     /* 2424131 */       GIR_Done,
     /* 2424132 */     // Label 34938: @2424132
     /* 2424132 */     GIM_Reject,
     /* 2424133 */   // Label 34936: @2424133
     /* 2424133 */   GIM_Reject,
     /* 2424134 */   // Label 34931: @2424134
     /* 2424134 */   GIM_Try, /*On fail goto*//*Label 34939*/ GIMT_Encode4(2424188),
     /* 2424139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424143 */     GIM_Try, /*On fail goto*//*Label 34940*/ GIMT_Encode4(2424165), // Rule ID 1899 //
     /* 2424148 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtD_IsRV64_HwMode0),
     /* 2424151 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::FPR64RegClassID),
     /* 2424155 */       // MIs[0] frm
     /* 2424155 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2424158 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2424158 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D),
     /* 2424163 */       GIR_RootConstrainSelectedInstOperands,
     /* 2424164 */       // GIR_Coverage, 1899,
     /* 2424164 */       GIR_Done,
     /* 2424165 */     // Label 34940: @2424165
     /* 2424165 */     GIM_Try, /*On fail goto*//*Label 34941*/ GIMT_Encode4(2424187), // Rule ID 1927 //
     /* 2424170 */       GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZdinx_IsRV64_HwMode0),
     /* 2424173 */       GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424177 */       // MIs[0] frm
     /* 2424177 */       GIM_CheckIsImm, /*MI*/0, /*Op*/2,
     /* 2424180 */       // (riscv_fcvt_w_rv64:{ *:[i64] } FPR64INX:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)  =>  (FCVT_W_D_INX:{ *:[i64] } ?:{ *:[f64] }:$rs1, (timm:{ *:[i64] }):$frm)
     /* 2424180 */       GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::FCVT_W_D_INX),
     /* 2424185 */       GIR_RootConstrainSelectedInstOperands,
     /* 2424186 */       // GIR_Coverage, 1927,
     /* 2424186 */       GIR_Done,
     /* 2424187 */     // Label 34941: @2424187
     /* 2424187 */     GIM_Reject,
     /* 2424188 */   // Label 34939: @2424188
     /* 2424188 */   GIM_Reject,
     /* 2424189 */   // Label 34932: @2424189
     /* 2424189 */   GIM_Reject,
     /* 2424190 */ // Label 34928: @2424190
     /* 2424190 */ GIM_Reject,
     /* 2424191 */ // Label 113: @2424191
     /* 2424191 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(3), GIMT_Encode2(5), /*)*//*default:*//*Label 34944*/ GIMT_Encode4(2424250),
     /* 2424202 */ /*GILLT_s32*//*Label 34942*/ GIMT_Encode4(2424210),
     /* 2424206 */ /*GILLT_s64*//*Label 34943*/ GIMT_Encode4(2424230),
     /* 2424210 */ // Label 34942: @2424210
     /* 2424210 */ GIM_Try, /*On fail goto*//*Label 34945*/ GIMT_Encode4(2424229), // Rule ID 73 //
     /* 2424215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424218 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424222 */   // (riscv_read_vlenb:{ *:[i32] })  =>  (PseudoReadVLENB:{ *:[i32] })
     /* 2424222 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2424227 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424228 */   // GIR_Coverage, 73,
     /* 2424228 */   GIR_Done,
     /* 2424229 */ // Label 34945: @2424229
     /* 2424229 */ GIM_Reject,
     /* 2424230 */ // Label 34943: @2424230
     /* 2424230 */ GIM_Try, /*On fail goto*//*Label 34946*/ GIMT_Encode4(2424249), // Rule ID 72 //
     /* 2424235 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424238 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424242 */   // (riscv_read_vlenb:{ *:[i64] })  =>  (PseudoReadVLENB:{ *:[i64] })
     /* 2424242 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::PseudoReadVLENB),
     /* 2424247 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424248 */   // GIR_Coverage, 72,
     /* 2424248 */   GIR_Done,
     /* 2424249 */ // Label 34946: @2424249
     /* 2424249 */ GIM_Reject,
     /* 2424250 */ // Label 34944: @2424250
     /* 2424250 */ GIM_Reject,
     /* 2424251 */ // Label 114: @2424251
     /* 2424251 */ GIM_Try, /*On fail goto*//*Label 34947*/ GIMT_Encode4(2424287), // Rule ID 316 //
     /* 2424256 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtM_IsRV64_HwMode0),
     /* 2424259 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2424262 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424265 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2424268 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424272 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424276 */   GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424280 */   // (riscv_remuw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)  =>  (REMUW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2424280 */   GIR_MutateOpcode, /*InsnID*/0, /*RecycleInsnID*/0, /*Opcode*/GIMT_Encode2(RISCV::REMUW),
     /* 2424285 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424286 */   // GIR_Coverage, 316,
     /* 2424286 */   GIR_Done,
     /* 2424287 */ // Label 34947: @2424287
     /* 2424287 */ GIM_Reject,
     /* 2424288 */ // Label 115: @2424288
     /* 2424288 */ GIM_Try, /*On fail goto*//*Label 34948*/ GIMT_Encode4(2424412),
     /* 2424293 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2424296 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424299 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2424302 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424306 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424310 */   GIM_Try, /*On fail goto*//*Label 34949*/ GIMT_Encode4(2424346), // Rule ID 2465 //
     /* 2424315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2424318 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2424322 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424326 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424330 */     // MIs[1] Operand 1
     /* 2424330 */     // No operand predicates
     /* 2424330 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424332 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2424332 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2424335 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424337 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424339 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2424344 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424345 */     // GIR_Coverage, 2465,
     /* 2424345 */     GIR_EraseRootFromParent_Done,
     /* 2424346 */   // Label 34949: @2424346
     /* 2424346 */   GIM_Try, /*On fail goto*//*Label 34950*/ GIMT_Encode4(2424382), // Rule ID 62566 //
     /* 2424351 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2424354 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2424358 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424362 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424366 */     // MIs[1] Operand 1
     /* 2424366 */     // No operand predicates
     /* 2424366 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424368 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (ImmSubFrom32:{ *:[i64] } (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2))
     /* 2424368 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2424371 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424373 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424375 */     GIR_CustomRenderer, /*InsnID*/0, /*OldInsnID*/1, /*Renderer*/GIMT_Encode2(GICR_renderImmSubFrom32), // rs2
     /* 2424380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424381 */     // GIR_Coverage, 62566,
     /* 2424381 */     GIR_EraseRootFromParent_Done,
     /* 2424382 */   // Label 34950: @2424382
     /* 2424382 */   GIM_Try, /*On fail goto*//*Label 34951*/ GIMT_Encode4(2424411), // Rule ID 2462 //
     /* 2424387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2424390 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2424397 */     // (riscv_rolw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (ROLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2424397 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::ROLW),
     /* 2424400 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424402 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2424409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424410 */     // GIR_Coverage, 2462,
     /* 2424410 */     GIR_EraseRootFromParent_Done,
     /* 2424411 */   // Label 34951: @2424411
     /* 2424411 */   GIM_Reject,
     /* 2424412 */ // Label 34948: @2424412
     /* 2424412 */ GIM_Reject,
     /* 2424413 */ // Label 116: @2424413
     /* 2424413 */ GIM_Try, /*On fail goto*//*Label 34952*/ GIMT_Encode4(2424533),
     /* 2424418 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2424421 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424424 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2424427 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424431 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424435 */   GIM_Try, /*On fail goto*//*Label 34953*/ GIMT_Encode4(2424469), // Rule ID 2464 //
     /* 2424440 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2424443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2424447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424455 */     // MIs[1] Operand 1
     /* 2424455 */     // No operand predicates
     /* 2424455 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424457 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (RORIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2424457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORIW),
     /* 2424460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2424467 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424468 */     // GIR_Coverage, 2464,
     /* 2424468 */     GIR_EraseRootFromParent_Done,
     /* 2424469 */   // Label 34953: @2424469
     /* 2424469 */   GIM_Try, /*On fail goto*//*Label 34954*/ GIMT_Encode4(2424503), // Rule ID 62565 //
     /* 2424474 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVendorXTHeadBb_IsRV64_HwMode0),
     /* 2424477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/2, // MIs[1]
     /* 2424481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2424485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2424489 */     // MIs[1] Operand 1
     /* 2424489 */     // No operand predicates
     /* 2424489 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2424491 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)  =>  (TH_SRRIW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$imm)
     /* 2424491 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::TH_SRRIW),
     /* 2424494 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424496 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424498 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // imm
     /* 2424501 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424502 */     // GIR_Coverage, 62565,
     /* 2424502 */     GIR_EraseRootFromParent_Done,
     /* 2424503 */   // Label 34954: @2424503
     /* 2424503 */   GIM_Try, /*On fail goto*//*Label 34955*/ GIMT_Encode4(2424532), // Rule ID 2463 //
     /* 2424508 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasStdExtZbbOrZbkb_IsRV64_HwMode0),
     /* 2424511 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2424518 */     // (riscv_rorw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (RORW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2424518 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::RORW),
     /* 2424521 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424523 */     GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424525 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2424530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2424531 */     // GIR_Coverage, 2463,
     /* 2424531 */     GIR_EraseRootFromParent_Done,
     /* 2424532 */   // Label 34955: @2424532
     /* 2424532 */   GIM_Reject,
     /* 2424533 */ // Label 34952: @2424533
     /* 2424533 */ GIM_Reject,
     /* 2424534 */ // Label 117: @2424534
     /* 2424534 */ GIM_Try, /*On fail goto*//*Label 34956*/ GIMT_Encode4(2424580), // Rule ID 267 //
     /* 2424539 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2424542 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2424545 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424548 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2424551 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424555 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424559 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2424566 */   // (riscv_sllw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SLLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2424566 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SLLW),
     /* 2424569 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424571 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424573 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2424578 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424579 */   // GIR_Coverage, 267,
     /* 2424579 */   GIR_EraseRootFromParent_Done,
     /* 2424580 */ // Label 34956: @2424580
     /* 2424580 */ GIM_Reject,
     /* 2424581 */ // Label 118: @2424581
     /* 2424581 */ GIM_Try, /*On fail goto*//*Label 34957*/ GIMT_Encode4(2424627), // Rule ID 269 //
     /* 2424586 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2424589 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2424592 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424595 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2424598 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424602 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424606 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2424613 */   // (riscv_sraw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRAW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2424613 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRAW),
     /* 2424616 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424618 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424620 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2424625 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424626 */   // GIR_Coverage, 269,
     /* 2424626 */   GIR_EraseRootFromParent_Done,
     /* 2424627 */ // Label 34957: @2424627
     /* 2424627 */ GIM_Reject,
     /* 2424628 */ // Label 119: @2424628
     /* 2424628 */ GIM_Try, /*On fail goto*//*Label 34958*/ GIMT_Encode4(2424674), // Rule ID 268 //
     /* 2424633 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_IsRV64_HwMode0),
     /* 2424636 */   GIM_RootCheckType, /*Op*/0, /*Type*/GILLT_s64,
     /* 2424639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_s64,
     /* 2424645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424649 */   GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2424653 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/2, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIShiftMask32),
     /* 2424660 */   // (riscv_srlw:{ *:[i64] } GPR:{ *:[i64] }:$rs1, (shiftMask32:{ *:[i64] } GPR:{ *:[i64] }:$rs2))  =>  (SRLW:{ *:[i64] } GPR:{ *:[i64] }:$rs1, GPR:{ *:[i64] }:$rs2)
     /* 2424660 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::SRLW),
     /* 2424663 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424665 */   GIR_RootToRootCopy, /*OpIdx*/1, // rs1
     /* 2424667 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // rs2
     /* 2424672 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424673 */   // GIR_Coverage, 268,
     /* 2424673 */   GIR_EraseRootFromParent_Done,
     /* 2424674 */ // Label 34958: @2424674
     /* 2424674 */ GIM_Reject,
     /* 2424675 */ // Label 120: @2424675
     /* 2424675 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34966*/ GIMT_Encode4(2425323),
     /* 2424686 */ /*GILLT_nxv1s1*//*Label 34959*/ GIMT_Encode4(2424798), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424706 */ /*GILLT_nxv2s1*//*Label 34960*/ GIMT_Encode4(2424873), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424726 */ /*GILLT_nxv4s1*//*Label 34961*/ GIMT_Encode4(2424948), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424746 */ /*GILLT_nxv8s1*//*Label 34962*/ GIMT_Encode4(2425023), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424766 */ /*GILLT_nxv16s1*//*Label 34963*/ GIMT_Encode4(2425098), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424782 */ /*GILLT_nxv32s1*//*Label 34964*/ GIMT_Encode4(2425173), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2424794 */ /*GILLT_nxv64s1*//*Label 34965*/ GIMT_Encode4(2425248),
     /* 2424798 */ // Label 34959: @2424798
     /* 2424798 */ GIM_Try, /*On fail goto*//*Label 34967*/ GIMT_Encode4(2424835), // Rule ID 44712 //
     /* 2424803 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424806 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424809 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424813 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424820 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424820 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2424823 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424825 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424830 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424833 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424834 */   // GIR_Coverage, 44712,
     /* 2424834 */   GIR_EraseRootFromParent_Done,
     /* 2424835 */ // Label 34967: @2424835
     /* 2424835 */ GIM_Try, /*On fail goto*//*Label 34968*/ GIMT_Encode4(2424872), // Rule ID 44713 //
     /* 2424840 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424843 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424846 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424850 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424857 */   // (riscv_vmclr_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424857 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B64),
     /* 2424860 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424862 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424867 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424870 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424871 */   // GIR_Coverage, 44713,
     /* 2424871 */   GIR_EraseRootFromParent_Done,
     /* 2424872 */ // Label 34968: @2424872
     /* 2424872 */ GIM_Reject,
     /* 2424873 */ // Label 34960: @2424873
     /* 2424873 */ GIM_Try, /*On fail goto*//*Label 34969*/ GIMT_Encode4(2424910), // Rule ID 44740 //
     /* 2424878 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424884 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424888 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424895 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424895 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2424898 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424900 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424905 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424908 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424909 */   // GIR_Coverage, 44740,
     /* 2424909 */   GIR_EraseRootFromParent_Done,
     /* 2424910 */ // Label 34969: @2424910
     /* 2424910 */ GIM_Try, /*On fail goto*//*Label 34970*/ GIMT_Encode4(2424947), // Rule ID 44741 //
     /* 2424915 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424918 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424921 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424925 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424932 */   // (riscv_vmclr_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2424932 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B32),
     /* 2424935 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424937 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424942 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424945 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424946 */   // GIR_Coverage, 44741,
     /* 2424946 */   GIR_EraseRootFromParent_Done,
     /* 2424947 */ // Label 34970: @2424947
     /* 2424947 */ GIM_Reject,
     /* 2424948 */ // Label 34961: @2424948
     /* 2424948 */ GIM_Try, /*On fail goto*//*Label 34971*/ GIMT_Encode4(2424985), // Rule ID 44768 //
     /* 2424953 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2424956 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2424959 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2424963 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2424970 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2424970 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2424973 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2424975 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2424980 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2424983 */   GIR_RootConstrainSelectedInstOperands,
     /* 2424984 */   // GIR_Coverage, 44768,
     /* 2424984 */   GIR_EraseRootFromParent_Done,
     /* 2424985 */ // Label 34971: @2424985
     /* 2424985 */ GIM_Try, /*On fail goto*//*Label 34972*/ GIMT_Encode4(2425022), // Rule ID 44769 //
     /* 2424990 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2424993 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2424996 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425000 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425007 */   // (riscv_vmclr_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425007 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B16),
     /* 2425010 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425012 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425017 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425020 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425021 */   // GIR_Coverage, 44769,
     /* 2425021 */   GIR_EraseRootFromParent_Done,
     /* 2425022 */ // Label 34972: @2425022
     /* 2425022 */ GIM_Reject,
     /* 2425023 */ // Label 34962: @2425023
     /* 2425023 */ GIM_Try, /*On fail goto*//*Label 34973*/ GIMT_Encode4(2425060), // Rule ID 44796 //
     /* 2425028 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425031 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425034 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425038 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425045 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425045 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2425048 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425050 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425055 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425058 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425059 */   // GIR_Coverage, 44796,
     /* 2425059 */   GIR_EraseRootFromParent_Done,
     /* 2425060 */ // Label 34973: @2425060
     /* 2425060 */ GIM_Try, /*On fail goto*//*Label 34974*/ GIMT_Encode4(2425097), // Rule ID 44797 //
     /* 2425065 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425068 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425071 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425075 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425082 */   // (riscv_vmclr_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425082 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B8),
     /* 2425085 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425087 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425092 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425095 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425096 */   // GIR_Coverage, 44797,
     /* 2425096 */   GIR_EraseRootFromParent_Done,
     /* 2425097 */ // Label 34974: @2425097
     /* 2425097 */ GIM_Reject,
     /* 2425098 */ // Label 34963: @2425098
     /* 2425098 */ GIM_Try, /*On fail goto*//*Label 34975*/ GIMT_Encode4(2425135), // Rule ID 44824 //
     /* 2425103 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425106 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425109 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425113 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425120 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425120 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2425123 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425125 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425130 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425133 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425134 */   // GIR_Coverage, 44824,
     /* 2425134 */   GIR_EraseRootFromParent_Done,
     /* 2425135 */ // Label 34975: @2425135
     /* 2425135 */ GIM_Try, /*On fail goto*//*Label 34976*/ GIMT_Encode4(2425172), // Rule ID 44825 //
     /* 2425140 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425143 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425146 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425150 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425157 */   // (riscv_vmclr_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425157 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B4),
     /* 2425160 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425162 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425167 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425170 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425171 */   // GIR_Coverage, 44825,
     /* 2425171 */   GIR_EraseRootFromParent_Done,
     /* 2425172 */ // Label 34976: @2425172
     /* 2425172 */ GIM_Reject,
     /* 2425173 */ // Label 34964: @2425173
     /* 2425173 */ GIM_Try, /*On fail goto*//*Label 34977*/ GIMT_Encode4(2425210), // Rule ID 44852 //
     /* 2425178 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425181 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425184 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425188 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425195 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425195 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2425198 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425200 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425205 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425208 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425209 */   // GIR_Coverage, 44852,
     /* 2425209 */   GIR_EraseRootFromParent_Done,
     /* 2425210 */ // Label 34977: @2425210
     /* 2425210 */ GIM_Try, /*On fail goto*//*Label 34978*/ GIMT_Encode4(2425247), // Rule ID 44853 //
     /* 2425215 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425221 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425225 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425232 */   // (riscv_vmclr_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425232 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B2),
     /* 2425235 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425237 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425242 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425245 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425246 */   // GIR_Coverage, 44853,
     /* 2425246 */   GIR_EraseRootFromParent_Done,
     /* 2425247 */ // Label 34978: @2425247
     /* 2425247 */ GIM_Reject,
     /* 2425248 */ // Label 34965: @2425248
     /* 2425248 */ GIM_Try, /*On fail goto*//*Label 34979*/ GIMT_Encode4(2425285), // Rule ID 44880 //
     /* 2425253 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425256 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425259 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425263 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425270 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425270 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2425273 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425275 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425280 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425283 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425284 */   // GIR_Coverage, 44880,
     /* 2425284 */   GIR_EraseRootFromParent_Done,
     /* 2425285 */ // Label 34979: @2425285
     /* 2425285 */ GIM_Try, /*On fail goto*//*Label 34980*/ GIMT_Encode4(2425322), // Rule ID 44881 //
     /* 2425290 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425293 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425296 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425300 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425307 */   // (riscv_vmclr_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMCLR_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425307 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMCLR_M_B1),
     /* 2425310 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425312 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425317 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425320 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425321 */   // GIR_Coverage, 44881,
     /* 2425321 */   GIR_EraseRootFromParent_Done,
     /* 2425322 */ // Label 34980: @2425322
     /* 2425322 */ GIM_Reject,
     /* 2425323 */ // Label 34966: @2425323
     /* 2425323 */ GIM_Reject,
     /* 2425324 */ // Label 121: @2425324
     /* 2425324 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(5), GIMT_Encode2(33), /*)*//*default:*//*Label 34988*/ GIMT_Encode4(2425972),
     /* 2425335 */ /*GILLT_nxv1s1*//*Label 34981*/ GIMT_Encode4(2425447), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2425355 */ /*GILLT_nxv2s1*//*Label 34982*/ GIMT_Encode4(2425522), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2425375 */ /*GILLT_nxv4s1*//*Label 34983*/ GIMT_Encode4(2425597), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2425395 */ /*GILLT_nxv8s1*//*Label 34984*/ GIMT_Encode4(2425672), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2425415 */ /*GILLT_nxv16s1*//*Label 34985*/ GIMT_Encode4(2425747), GIMT_Encode4(0), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2425431 */ /*GILLT_nxv32s1*//*Label 34986*/ GIMT_Encode4(2425822), GIMT_Encode4(0), GIMT_Encode4(0),
     /* 2425443 */ /*GILLT_nxv64s1*//*Label 34987*/ GIMT_Encode4(2425897),
     /* 2425447 */ // Label 34981: @2425447
     /* 2425447 */ GIM_Try, /*On fail goto*//*Label 34989*/ GIMT_Encode4(2425484), // Rule ID 44710 //
     /* 2425452 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425455 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425458 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425462 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425469 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425469 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2425472 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425474 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425479 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425482 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425483 */   // GIR_Coverage, 44710,
     /* 2425483 */   GIR_EraseRootFromParent_Done,
     /* 2425484 */ // Label 34989: @2425484
     /* 2425484 */ GIM_Try, /*On fail goto*//*Label 34990*/ GIMT_Encode4(2425521), // Rule ID 44711 //
     /* 2425489 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425492 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425495 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425499 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425506 */   // (riscv_vmset_vl:{ *:[nxv1i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B64:{ *:[nxv1i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425506 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B64),
     /* 2425509 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425511 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425516 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425519 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425520 */   // GIR_Coverage, 44711,
     /* 2425520 */   GIR_EraseRootFromParent_Done,
     /* 2425521 */ // Label 34990: @2425521
     /* 2425521 */ GIM_Reject,
     /* 2425522 */ // Label 34982: @2425522
     /* 2425522 */ GIM_Try, /*On fail goto*//*Label 34991*/ GIMT_Encode4(2425559), // Rule ID 44738 //
     /* 2425527 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425530 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425533 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425537 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425544 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425544 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2425547 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425549 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425554 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425557 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425558 */   // GIR_Coverage, 44738,
     /* 2425558 */   GIR_EraseRootFromParent_Done,
     /* 2425559 */ // Label 34991: @2425559
     /* 2425559 */ GIM_Try, /*On fail goto*//*Label 34992*/ GIMT_Encode4(2425596), // Rule ID 44739 //
     /* 2425564 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425567 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425570 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425574 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425581 */   // (riscv_vmset_vl:{ *:[nxv2i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B32:{ *:[nxv2i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425581 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B32),
     /* 2425584 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425586 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425591 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425594 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425595 */   // GIR_Coverage, 44739,
     /* 2425595 */   GIR_EraseRootFromParent_Done,
     /* 2425596 */ // Label 34992: @2425596
     /* 2425596 */ GIM_Reject,
     /* 2425597 */ // Label 34983: @2425597
     /* 2425597 */ GIM_Try, /*On fail goto*//*Label 34993*/ GIMT_Encode4(2425634), // Rule ID 44766 //
     /* 2425602 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425605 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425608 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425612 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425619 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425619 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2425622 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425624 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425629 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425632 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425633 */   // GIR_Coverage, 44766,
     /* 2425633 */   GIR_EraseRootFromParent_Done,
     /* 2425634 */ // Label 34993: @2425634
     /* 2425634 */ GIM_Try, /*On fail goto*//*Label 34994*/ GIMT_Encode4(2425671), // Rule ID 44767 //
     /* 2425639 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425642 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425645 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425649 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425656 */   // (riscv_vmset_vl:{ *:[nxv4i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B16:{ *:[nxv4i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425656 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B16),
     /* 2425659 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425661 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425666 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425669 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425670 */   // GIR_Coverage, 44767,
     /* 2425670 */   GIR_EraseRootFromParent_Done,
     /* 2425671 */ // Label 34994: @2425671
     /* 2425671 */ GIM_Reject,
     /* 2425672 */ // Label 34984: @2425672
     /* 2425672 */ GIM_Try, /*On fail goto*//*Label 34995*/ GIMT_Encode4(2425709), // Rule ID 44794 //
     /* 2425677 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425680 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425683 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425687 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425694 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425694 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2425697 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425699 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425704 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425707 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425708 */   // GIR_Coverage, 44794,
     /* 2425708 */   GIR_EraseRootFromParent_Done,
     /* 2425709 */ // Label 34995: @2425709
     /* 2425709 */ GIM_Try, /*On fail goto*//*Label 34996*/ GIMT_Encode4(2425746), // Rule ID 44795 //
     /* 2425714 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425717 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425720 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425724 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425731 */   // (riscv_vmset_vl:{ *:[nxv8i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B8:{ *:[nxv8i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425731 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B8),
     /* 2425734 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425736 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425741 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425744 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425745 */   // GIR_Coverage, 44795,
     /* 2425745 */   GIR_EraseRootFromParent_Done,
     /* 2425746 */ // Label 34996: @2425746
     /* 2425746 */ GIM_Reject,
     /* 2425747 */ // Label 34985: @2425747
     /* 2425747 */ GIM_Try, /*On fail goto*//*Label 34997*/ GIMT_Encode4(2425784), // Rule ID 44822 //
     /* 2425752 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425755 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425758 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425762 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425769 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425769 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2425772 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425774 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425779 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425782 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425783 */   // GIR_Coverage, 44822,
     /* 2425783 */   GIR_EraseRootFromParent_Done,
     /* 2425784 */ // Label 34997: @2425784
     /* 2425784 */ GIM_Try, /*On fail goto*//*Label 34998*/ GIMT_Encode4(2425821), // Rule ID 44823 //
     /* 2425789 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425795 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425799 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425806 */   // (riscv_vmset_vl:{ *:[nxv16i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B4:{ *:[nxv16i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425806 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B4),
     /* 2425809 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425811 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425816 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425819 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425820 */   // GIR_Coverage, 44823,
     /* 2425820 */   GIR_EraseRootFromParent_Done,
     /* 2425821 */ // Label 34998: @2425821
     /* 2425821 */ GIM_Reject,
     /* 2425822 */ // Label 34986: @2425822
     /* 2425822 */ GIM_Try, /*On fail goto*//*Label 34999*/ GIMT_Encode4(2425859), // Rule ID 44850 //
     /* 2425827 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425830 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425833 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425837 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425844 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425844 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2425847 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425849 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425854 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425857 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425858 */   // GIR_Coverage, 44850,
     /* 2425858 */   GIR_EraseRootFromParent_Done,
     /* 2425859 */ // Label 34999: @2425859
     /* 2425859 */ GIM_Try, /*On fail goto*//*Label 35000*/ GIMT_Encode4(2425896), // Rule ID 44851 //
     /* 2425864 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425867 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425870 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425874 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425881 */   // (riscv_vmset_vl:{ *:[nxv32i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B2:{ *:[nxv32i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425881 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B2),
     /* 2425884 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425886 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425891 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425894 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425895 */   // GIR_Coverage, 44851,
     /* 2425895 */   GIR_EraseRootFromParent_Done,
     /* 2425896 */ // Label 35000: @2425896
     /* 2425896 */ GIM_Reject,
     /* 2425897 */ // Label 34987: @2425897
     /* 2425897 */ GIM_Try, /*On fail goto*//*Label 35001*/ GIMT_Encode4(2425934), // Rule ID 44878 //
     /* 2425902 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2425905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s64,
     /* 2425908 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425912 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425919 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i64] }:$vl, 0:{ *:[i64] })
     /* 2425919 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2425922 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425924 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425929 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425932 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425933 */   // GIR_Coverage, 44878,
     /* 2425933 */   GIR_EraseRootFromParent_Done,
     /* 2425934 */ // Label 35001: @2425934
     /* 2425934 */ GIM_Try, /*On fail goto*//*Label 35002*/ GIMT_Encode4(2425971), // Rule ID 44879 //
     /* 2425939 */   GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2425942 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_s32,
     /* 2425945 */   GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2425949 */   GIM_CheckComplexPattern, /*MI*/0, /*Op*/1, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2425956 */   // (riscv_vmset_vl:{ *:[nxv64i1] } (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMSET_M_B1:{ *:[nxv64i1] } GPR:{ *:[i32] }:$vl, 0:{ *:[i32] })
     /* 2425956 */   GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMSET_M_B1),
     /* 2425959 */   GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2425961 */   GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2425966 */   GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2425969 */   GIR_RootConstrainSelectedInstOperands,
     /* 2425970 */   // GIR_Coverage, 44879,
     /* 2425970 */   GIR_EraseRootFromParent_Done,
     /* 2425971 */ // Label 35002: @2425971
     /* 2425971 */ GIM_Reject,
     /* 2425972 */ // Label 34988: @2425972
     /* 2425972 */ GIM_Reject,
     /* 2425973 */ // Label 122: @2425973
     /* 2425973 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35025*/ GIMT_Encode4(2430230),
     /* 2425984 */ /*GILLT_nxv1s8*//*Label 35003*/ GIMT_Encode4(2426096),
     /* 2425988 */ /*GILLT_nxv1s16*//*Label 35004*/ GIMT_Encode4(2426213),
     /* 2425992 */ /*GILLT_nxv1s32*//*Label 35005*/ GIMT_Encode4(2426434),
     /* 2425996 */ /*GILLT_nxv1s64*//*Label 35006*/ GIMT_Encode4(2426655), GIMT_Encode4(0),
     /* 2426004 */ /*GILLT_nxv2s8*//*Label 35007*/ GIMT_Encode4(2426876),
     /* 2426008 */ /*GILLT_nxv2s16*//*Label 35008*/ GIMT_Encode4(2426993),
     /* 2426012 */ /*GILLT_nxv2s32*//*Label 35009*/ GIMT_Encode4(2427214),
     /* 2426016 */ /*GILLT_nxv2s64*//*Label 35010*/ GIMT_Encode4(2427435), GIMT_Encode4(0),
     /* 2426024 */ /*GILLT_nxv4s8*//*Label 35011*/ GIMT_Encode4(2427656),
     /* 2426028 */ /*GILLT_nxv4s16*//*Label 35012*/ GIMT_Encode4(2427773),
     /* 2426032 */ /*GILLT_nxv4s32*//*Label 35013*/ GIMT_Encode4(2427994),
     /* 2426036 */ /*GILLT_nxv4s64*//*Label 35014*/ GIMT_Encode4(2428215), GIMT_Encode4(0),
     /* 2426044 */ /*GILLT_nxv8s8*//*Label 35015*/ GIMT_Encode4(2428436),
     /* 2426048 */ /*GILLT_nxv8s16*//*Label 35016*/ GIMT_Encode4(2428553),
     /* 2426052 */ /*GILLT_nxv8s32*//*Label 35017*/ GIMT_Encode4(2428774),
     /* 2426056 */ /*GILLT_nxv8s64*//*Label 35018*/ GIMT_Encode4(2428995), GIMT_Encode4(0),
     /* 2426064 */ /*GILLT_nxv16s8*//*Label 35019*/ GIMT_Encode4(2429216),
     /* 2426068 */ /*GILLT_nxv16s16*//*Label 35020*/ GIMT_Encode4(2429333),
     /* 2426072 */ /*GILLT_nxv16s32*//*Label 35021*/ GIMT_Encode4(2429554), GIMT_Encode4(0),
     /* 2426080 */ /*GILLT_nxv32s8*//*Label 35022*/ GIMT_Encode4(2429775),
     /* 2426084 */ /*GILLT_nxv32s16*//*Label 35023*/ GIMT_Encode4(2429892), GIMT_Encode4(0),
     /* 2426092 */ /*GILLT_nxv64s8*//*Label 35024*/ GIMT_Encode4(2430113),
     /* 2426096 */ // Label 35003: @2426096
     /* 2426096 */ GIM_Try, /*On fail goto*//*Label 35026*/ GIMT_Encode4(2426212),
     /* 2426101 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2426104 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2426107 */   GIM_Try, /*On fail goto*//*Label 35027*/ GIMT_Encode4(2426159), // Rule ID 32300 //
     /* 2426112 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426115 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426118 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426122 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426126 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426130 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426137 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426137 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2426140 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426142 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426144 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426146 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426151 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426158 */     // GIR_Coverage, 32300,
     /* 2426158 */     GIR_EraseRootFromParent_Done,
     /* 2426159 */   // Label 35027: @2426159
     /* 2426159 */   GIM_Try, /*On fail goto*//*Label 35028*/ GIMT_Encode4(2426211), // Rule ID 32301 //
     /* 2426164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426189 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF8:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$passthru, VR:{ *:[nxv1i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF8),
     /* 2426192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426194 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426198 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426203 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426210 */     // GIR_Coverage, 32301,
     /* 2426210 */     GIR_EraseRootFromParent_Done,
     /* 2426211 */   // Label 35028: @2426211
     /* 2426211 */   GIM_Reject,
     /* 2426212 */ // Label 35026: @2426212
     /* 2426212 */ GIM_Reject,
     /* 2426213 */ // Label 35004: @2426213
     /* 2426213 */ GIM_Try, /*On fail goto*//*Label 35029*/ GIMT_Encode4(2426433),
     /* 2426218 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2426221 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2426224 */   GIM_Try, /*On fail goto*//*Label 35030*/ GIMT_Encode4(2426276), // Rule ID 32570 //
     /* 2426229 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426232 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426235 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426239 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426243 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426247 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426254 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426254 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2426257 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426259 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426261 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426263 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426268 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426274 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426275 */     // GIR_Coverage, 32570,
     /* 2426275 */     GIR_EraseRootFromParent_Done,
     /* 2426276 */   // Label 35030: @2426276
     /* 2426276 */   GIM_Try, /*On fail goto*//*Label 35031*/ GIMT_Encode4(2426328), // Rule ID 32571 //
     /* 2426281 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426284 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426287 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426291 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426295 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426299 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426306 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$passthru, VR:{ *:[nxv1i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426306 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2426309 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426311 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426313 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426315 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426320 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426327 */     // GIR_Coverage, 32571,
     /* 2426327 */     GIR_EraseRootFromParent_Done,
     /* 2426328 */   // Label 35031: @2426328
     /* 2426328 */   GIM_Try, /*On fail goto*//*Label 35032*/ GIMT_Encode4(2426380), // Rule ID 34280 //
     /* 2426333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426339 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426343 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426347 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426351 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426358 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426358 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2426361 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426363 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426365 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426367 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426372 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426378 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426379 */     // GIR_Coverage, 34280,
     /* 2426379 */     GIR_EraseRootFromParent_Done,
     /* 2426380 */   // Label 35032: @2426380
     /* 2426380 */   GIM_Try, /*On fail goto*//*Label 35033*/ GIMT_Encode4(2426432), // Rule ID 34281 //
     /* 2426385 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426388 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426391 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426395 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426399 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426403 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426410 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$passthru, VR:{ *:[nxv1f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426410 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2426413 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426415 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426417 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426419 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426424 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2426427 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426430 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426431 */     // GIR_Coverage, 34281,
     /* 2426431 */     GIR_EraseRootFromParent_Done,
     /* 2426432 */   // Label 35033: @2426432
     /* 2426432 */   GIM_Reject,
     /* 2426433 */ // Label 35029: @2426433
     /* 2426433 */ GIM_Reject,
     /* 2426434 */ // Label 35005: @2426434
     /* 2426434 */ GIM_Try, /*On fail goto*//*Label 35034*/ GIMT_Encode4(2426654),
     /* 2426439 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2426442 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2426445 */   GIM_Try, /*On fail goto*//*Label 35035*/ GIMT_Encode4(2426497), // Rule ID 32750 //
     /* 2426450 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426453 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426456 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426460 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426464 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426468 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426475 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426475 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2426478 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426480 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426482 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426484 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426489 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426496 */     // GIR_Coverage, 32750,
     /* 2426496 */     GIR_EraseRootFromParent_Done,
     /* 2426497 */   // Label 35035: @2426497
     /* 2426497 */   GIM_Try, /*On fail goto*//*Label 35036*/ GIMT_Encode4(2426549), // Rule ID 32751 //
     /* 2426502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426520 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426527 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$passthru, VR:{ *:[nxv1i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426527 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2426530 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426532 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426534 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426536 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426541 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426547 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426548 */     // GIR_Coverage, 32751,
     /* 2426548 */     GIR_EraseRootFromParent_Done,
     /* 2426549 */   // Label 35036: @2426549
     /* 2426549 */   GIM_Try, /*On fail goto*//*Label 35037*/ GIMT_Encode4(2426601), // Rule ID 34460 //
     /* 2426554 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426557 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426579 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2426582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426584 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426588 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426593 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426599 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426600 */     // GIR_Coverage, 34460,
     /* 2426600 */     GIR_EraseRootFromParent_Done,
     /* 2426601 */   // Label 35037: @2426601
     /* 2426601 */   GIM_Try, /*On fail goto*//*Label 35038*/ GIMT_Encode4(2426653), // Rule ID 34461 //
     /* 2426606 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426609 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426612 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426616 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426620 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426624 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426631 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$passthru, VR:{ *:[nxv1f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426631 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2426634 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426636 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426638 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2426648 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426652 */     // GIR_Coverage, 34461,
     /* 2426652 */     GIR_EraseRootFromParent_Done,
     /* 2426653 */   // Label 35038: @2426653
     /* 2426653 */   GIM_Reject,
     /* 2426654 */ // Label 35034: @2426654
     /* 2426654 */ GIM_Reject,
     /* 2426655 */ // Label 35006: @2426655
     /* 2426655 */ GIM_Try, /*On fail goto*//*Label 35039*/ GIMT_Encode4(2426875),
     /* 2426660 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2426663 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2426666 */   GIM_Try, /*On fail goto*//*Label 35040*/ GIMT_Encode4(2426718), // Rule ID 33110 //
     /* 2426671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426677 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426681 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426685 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426689 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426696 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426696 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426699 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426701 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426703 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426705 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426710 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426716 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426717 */     // GIR_Coverage, 33110,
     /* 2426717 */     GIR_EraseRootFromParent_Done,
     /* 2426718 */   // Label 35040: @2426718
     /* 2426718 */   GIM_Try, /*On fail goto*//*Label 35041*/ GIMT_Encode4(2426770), // Rule ID 33111 //
     /* 2426723 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426726 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426729 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426733 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426737 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426741 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426748 */     // (riscv_vmv_v_v_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$passthru, VR:{ *:[nxv1i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426748 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426751 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426753 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426755 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426757 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426762 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426768 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426769 */     // GIR_Coverage, 33111,
     /* 2426769 */     GIR_EraseRootFromParent_Done,
     /* 2426770 */   // Label 35041: @2426770
     /* 2426770 */   GIM_Try, /*On fail goto*//*Label 35042*/ GIMT_Encode4(2426822), // Rule ID 34730 //
     /* 2426775 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2426778 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426781 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426785 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426789 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426800 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426805 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426817 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426820 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426821 */     // GIR_Coverage, 34730,
     /* 2426821 */     GIR_EraseRootFromParent_Done,
     /* 2426822 */   // Label 35042: @2426822
     /* 2426822 */   GIM_Try, /*On fail goto*//*Label 35043*/ GIMT_Encode4(2426874), // Rule ID 34731 //
     /* 2426827 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2426830 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426833 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426837 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426841 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426845 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426852 */     // (riscv_vmv_v_v_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$passthru, VR:{ *:[nxv1f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426852 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2426855 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426857 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426859 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2426869 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426873 */     // GIR_Coverage, 34731,
     /* 2426873 */     GIR_EraseRootFromParent_Done,
     /* 2426874 */   // Label 35043: @2426874
     /* 2426874 */   GIM_Reject,
     /* 2426875 */ // Label 35039: @2426875
     /* 2426875 */ GIM_Reject,
     /* 2426876 */ // Label 35007: @2426876
     /* 2426876 */ GIM_Try, /*On fail goto*//*Label 35044*/ GIMT_Encode4(2426992),
     /* 2426881 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2426884 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2426887 */   GIM_Try, /*On fail goto*//*Label 35045*/ GIMT_Encode4(2426939), // Rule ID 32390 //
     /* 2426892 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2426895 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2426898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426910 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426917 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2426917 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2426920 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426922 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426924 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426926 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426931 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426937 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426938 */     // GIR_Coverage, 32390,
     /* 2426938 */     GIR_EraseRootFromParent_Done,
     /* 2426939 */   // Label 35045: @2426939
     /* 2426939 */   GIM_Try, /*On fail goto*//*Label 35046*/ GIMT_Encode4(2426991), // Rule ID 32391 //
     /* 2426944 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2426947 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2426950 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426954 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426958 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2426962 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2426969 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF4:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$passthru, VR:{ *:[nxv2i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2426969 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF4),
     /* 2426972 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2426974 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2426976 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2426978 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2426983 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2426986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2426989 */     GIR_RootConstrainSelectedInstOperands,
     /* 2426990 */     // GIR_Coverage, 32391,
     /* 2426990 */     GIR_EraseRootFromParent_Done,
     /* 2426991 */   // Label 35046: @2426991
     /* 2426991 */   GIM_Reject,
     /* 2426992 */ // Label 35044: @2426992
     /* 2426992 */ GIM_Reject,
     /* 2426993 */ // Label 35008: @2426993
     /* 2426993 */ GIM_Try, /*On fail goto*//*Label 35047*/ GIMT_Encode4(2427213),
     /* 2426998 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2427001 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2427004 */   GIM_Try, /*On fail goto*//*Label 35048*/ GIMT_Encode4(2427056), // Rule ID 32660 //
     /* 2427009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427015 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427019 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427023 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427027 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427034 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427034 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2427037 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427039 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427041 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427043 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427048 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427054 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427055 */     // GIR_Coverage, 32660,
     /* 2427055 */     GIR_EraseRootFromParent_Done,
     /* 2427056 */   // Label 35048: @2427056
     /* 2427056 */   GIM_Try, /*On fail goto*//*Label 35049*/ GIMT_Encode4(2427108), // Rule ID 32661 //
     /* 2427061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427067 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427071 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427075 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427079 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427086 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$passthru, VR:{ *:[nxv2i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427086 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2427089 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427091 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427093 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427095 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427100 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427107 */     // GIR_Coverage, 32661,
     /* 2427107 */     GIR_EraseRootFromParent_Done,
     /* 2427108 */   // Label 35049: @2427108
     /* 2427108 */   GIM_Try, /*On fail goto*//*Label 35050*/ GIMT_Encode4(2427160), // Rule ID 34370 //
     /* 2427113 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427116 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427119 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427123 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427127 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427138 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2427141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427143 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427155 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427158 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427159 */     // GIR_Coverage, 34370,
     /* 2427159 */     GIR_EraseRootFromParent_Done,
     /* 2427160 */   // Label 35050: @2427160
     /* 2427160 */   GIM_Try, /*On fail goto*//*Label 35051*/ GIMT_Encode4(2427212), // Rule ID 34371 //
     /* 2427165 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427168 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427171 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427175 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427179 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427190 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$passthru, VR:{ *:[nxv2f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2427193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427195 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427207 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427210 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427211 */     // GIR_Coverage, 34371,
     /* 2427211 */     GIR_EraseRootFromParent_Done,
     /* 2427212 */   // Label 35051: @2427212
     /* 2427212 */   GIM_Reject,
     /* 2427213 */ // Label 35047: @2427213
     /* 2427213 */ GIM_Reject,
     /* 2427214 */ // Label 35009: @2427214
     /* 2427214 */ GIM_Try, /*On fail goto*//*Label 35052*/ GIMT_Encode4(2427434),
     /* 2427219 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2427222 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2427225 */   GIM_Try, /*On fail goto*//*Label 35053*/ GIMT_Encode4(2427277), // Rule ID 33020 //
     /* 2427230 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427233 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427236 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427240 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427244 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427248 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427255 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427255 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427258 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427260 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427262 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427264 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427269 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427272 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427275 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427276 */     // GIR_Coverage, 33020,
     /* 2427276 */     GIR_EraseRootFromParent_Done,
     /* 2427277 */   // Label 35053: @2427277
     /* 2427277 */   GIM_Try, /*On fail goto*//*Label 35054*/ GIMT_Encode4(2427329), // Rule ID 33021 //
     /* 2427282 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427285 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427300 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427307 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$passthru, VR:{ *:[nxv2i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427307 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427310 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427312 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427314 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427327 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427328 */     // GIR_Coverage, 33021,
     /* 2427328 */     GIR_EraseRootFromParent_Done,
     /* 2427329 */   // Label 35054: @2427329
     /* 2427329 */   GIM_Try, /*On fail goto*//*Label 35055*/ GIMT_Encode4(2427381), // Rule ID 34640 //
     /* 2427334 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427337 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427340 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427344 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427348 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427352 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427359 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427359 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427362 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427364 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427366 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427368 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427373 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427376 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427380 */     // GIR_Coverage, 34640,
     /* 2427380 */     GIR_EraseRootFromParent_Done,
     /* 2427381 */   // Label 35055: @2427381
     /* 2427381 */   GIM_Try, /*On fail goto*//*Label 35056*/ GIMT_Encode4(2427433), // Rule ID 34641 //
     /* 2427386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427411 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$passthru, VR:{ *:[nxv2f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427416 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427420 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427425 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2427428 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427431 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427432 */     // GIR_Coverage, 34641,
     /* 2427432 */     GIR_EraseRootFromParent_Done,
     /* 2427433 */   // Label 35056: @2427433
     /* 2427433 */   GIM_Reject,
     /* 2427434 */ // Label 35052: @2427434
     /* 2427434 */ GIM_Reject,
     /* 2427435 */ // Label 35010: @2427435
     /* 2427435 */ GIM_Try, /*On fail goto*//*Label 35057*/ GIMT_Encode4(2427655),
     /* 2427440 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2427443 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2427446 */   GIM_Try, /*On fail goto*//*Label 35058*/ GIMT_Encode4(2427498), // Rule ID 34010 //
     /* 2427451 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427454 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427457 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427461 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427465 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427469 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427476 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427476 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427479 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427481 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427483 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427493 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427496 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427497 */     // GIR_Coverage, 34010,
     /* 2427497 */     GIR_EraseRootFromParent_Done,
     /* 2427498 */   // Label 35058: @2427498
     /* 2427498 */   GIM_Try, /*On fail goto*//*Label 35059*/ GIMT_Encode4(2427550), // Rule ID 34011 //
     /* 2427503 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427506 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427509 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427513 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427517 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427521 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427528 */     // (riscv_vmv_v_v_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$passthru, VRM2:{ *:[nxv2i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427528 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427531 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427533 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427535 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427537 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427542 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427545 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427549 */     // GIR_Coverage, 34011,
     /* 2427549 */     GIR_EraseRootFromParent_Done,
     /* 2427550 */   // Label 35059: @2427550
     /* 2427550 */   GIM_Try, /*On fail goto*//*Label 35060*/ GIMT_Encode4(2427602), // Rule ID 35360 //
     /* 2427555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2427558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427561 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427565 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427569 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427580 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427585 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427589 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427594 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427600 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427601 */     // GIR_Coverage, 35360,
     /* 2427601 */     GIR_EraseRootFromParent_Done,
     /* 2427602 */   // Label 35060: @2427602
     /* 2427602 */   GIM_Try, /*On fail goto*//*Label 35061*/ GIMT_Encode4(2427654), // Rule ID 35361 //
     /* 2427607 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2427610 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427613 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427617 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427621 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2427625 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427632 */     // (riscv_vmv_v_v_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$passthru, VRM2:{ *:[nxv2f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427632 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2427635 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427637 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427639 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2427649 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427652 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427653 */     // GIR_Coverage, 35361,
     /* 2427653 */     GIR_EraseRootFromParent_Done,
     /* 2427654 */   // Label 35061: @2427654
     /* 2427654 */   GIM_Reject,
     /* 2427655 */ // Label 35057: @2427655
     /* 2427655 */ GIM_Reject,
     /* 2427656 */ // Label 35011: @2427656
     /* 2427656 */ GIM_Try, /*On fail goto*//*Label 35062*/ GIMT_Encode4(2427772),
     /* 2427661 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2427664 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2427667 */   GIM_Try, /*On fail goto*//*Label 35063*/ GIMT_Encode4(2427719), // Rule ID 32480 //
     /* 2427672 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427675 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427678 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427682 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427686 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427690 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427697 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427697 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2427700 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427702 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427704 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427706 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427711 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427714 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427717 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427718 */     // GIR_Coverage, 32480,
     /* 2427718 */     GIR_EraseRootFromParent_Done,
     /* 2427719 */   // Label 35063: @2427719
     /* 2427719 */   GIM_Try, /*On fail goto*//*Label 35064*/ GIMT_Encode4(2427771), // Rule ID 32481 //
     /* 2427724 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427727 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427742 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427749 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_MF2:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$passthru, VR:{ *:[nxv4i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427749 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_MF2),
     /* 2427752 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427754 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427756 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427758 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427763 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2427766 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427770 */     // GIR_Coverage, 32481,
     /* 2427770 */     GIR_EraseRootFromParent_Done,
     /* 2427771 */   // Label 35064: @2427771
     /* 2427771 */   GIM_Reject,
     /* 2427772 */ // Label 35062: @2427772
     /* 2427772 */ GIM_Reject,
     /* 2427773 */ // Label 35012: @2427773
     /* 2427773 */ GIM_Try, /*On fail goto*//*Label 35065*/ GIMT_Encode4(2427993),
     /* 2427778 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2427781 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2427784 */   GIM_Try, /*On fail goto*//*Label 35066*/ GIMT_Encode4(2427836), // Rule ID 32930 //
     /* 2427789 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427792 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427795 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427799 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427803 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427807 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427814 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427814 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427817 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427819 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427821 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427823 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427828 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427831 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427834 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427835 */     // GIR_Coverage, 32930,
     /* 2427835 */     GIR_EraseRootFromParent_Done,
     /* 2427836 */   // Label 35066: @2427836
     /* 2427836 */   GIM_Try, /*On fail goto*//*Label 35067*/ GIMT_Encode4(2427888), // Rule ID 32931 //
     /* 2427841 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427844 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427866 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$passthru, VR:{ *:[nxv4i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427871 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427875 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427880 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427883 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427887 */     // GIR_Coverage, 32931,
     /* 2427887 */     GIR_EraseRootFromParent_Done,
     /* 2427888 */   // Label 35067: @2427888
     /* 2427888 */   GIM_Try, /*On fail goto*//*Label 35068*/ GIMT_Encode4(2427940), // Rule ID 34550 //
     /* 2427893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2427896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2427899 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427903 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427907 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427911 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427918 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2427918 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427921 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427923 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427925 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427927 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427932 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427935 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427938 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427939 */     // GIR_Coverage, 34550,
     /* 2427939 */     GIR_EraseRootFromParent_Done,
     /* 2427940 */   // Label 35068: @2427940
     /* 2427940 */   GIM_Try, /*On fail goto*//*Label 35069*/ GIMT_Encode4(2427992), // Rule ID 34551 //
     /* 2427945 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2427948 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2427951 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427955 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427959 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2427963 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2427970 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$passthru, VR:{ *:[nxv4f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2427970 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2427973 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2427975 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2427977 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2427979 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2427984 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2427987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2427990 */     GIR_RootConstrainSelectedInstOperands,
     /* 2427991 */     // GIR_Coverage, 34551,
     /* 2427991 */     GIR_EraseRootFromParent_Done,
     /* 2427992 */   // Label 35069: @2427992
     /* 2427992 */   GIM_Reject,
     /* 2427993 */ // Label 35065: @2427993
     /* 2427993 */ GIM_Reject,
     /* 2427994 */ // Label 35013: @2427994
     /* 2427994 */ GIM_Try, /*On fail goto*//*Label 35070*/ GIMT_Encode4(2428214),
     /* 2427999 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2428002 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2428005 */   GIM_Try, /*On fail goto*//*Label 35071*/ GIMT_Encode4(2428057), // Rule ID 33740 //
     /* 2428010 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428013 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428016 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428020 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428024 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428028 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428035 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428035 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2428038 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428040 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428042 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428044 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428049 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428052 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428055 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428056 */     // GIR_Coverage, 33740,
     /* 2428056 */     GIR_EraseRootFromParent_Done,
     /* 2428057 */   // Label 35071: @2428057
     /* 2428057 */   GIM_Try, /*On fail goto*//*Label 35072*/ GIMT_Encode4(2428109), // Rule ID 33741 //
     /* 2428062 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428065 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428068 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428072 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428076 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428080 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428087 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$passthru, VRM2:{ *:[nxv4i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428087 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2428090 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428092 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428094 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428104 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428107 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428108 */     // GIR_Coverage, 33741,
     /* 2428108 */     GIR_EraseRootFromParent_Done,
     /* 2428109 */   // Label 35072: @2428109
     /* 2428109 */   GIM_Try, /*On fail goto*//*Label 35073*/ GIMT_Encode4(2428161), // Rule ID 35090 //
     /* 2428114 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428117 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428120 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428124 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428128 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428139 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2428142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428144 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428148 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428153 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428159 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428160 */     // GIR_Coverage, 35090,
     /* 2428160 */     GIR_EraseRootFromParent_Done,
     /* 2428161 */   // Label 35073: @2428161
     /* 2428161 */   GIM_Try, /*On fail goto*//*Label 35074*/ GIMT_Encode4(2428213), // Rule ID 35091 //
     /* 2428166 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428169 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428172 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428176 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428180 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428184 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428191 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$passthru, VRM2:{ *:[nxv4f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428191 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2428194 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428196 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428198 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428200 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428205 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428211 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428212 */     // GIR_Coverage, 35091,
     /* 2428212 */     GIR_EraseRootFromParent_Done,
     /* 2428213 */   // Label 35074: @2428213
     /* 2428213 */   GIM_Reject,
     /* 2428214 */ // Label 35070: @2428214
     /* 2428214 */ GIM_Reject,
     /* 2428215 */ // Label 35014: @2428215
     /* 2428215 */ GIM_Try, /*On fail goto*//*Label 35075*/ GIMT_Encode4(2428435),
     /* 2428220 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2428223 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2428226 */   GIM_Try, /*On fail goto*//*Label 35076*/ GIMT_Encode4(2428278), // Rule ID 34100 //
     /* 2428231 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2428234 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428237 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428241 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428245 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428249 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428256 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428256 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428259 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428261 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428263 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428265 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428270 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428273 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428276 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428277 */     // GIR_Coverage, 34100,
     /* 2428277 */     GIR_EraseRootFromParent_Done,
     /* 2428278 */   // Label 35076: @2428278
     /* 2428278 */   GIM_Try, /*On fail goto*//*Label 35077*/ GIMT_Encode4(2428330), // Rule ID 34101 //
     /* 2428283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2428286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428289 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428293 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428297 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428301 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428308 */     // (riscv_vmv_v_v_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$passthru, VRM4:{ *:[nxv4i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428308 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428311 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428313 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428315 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428317 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428322 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428325 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428328 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428329 */     // GIR_Coverage, 34101,
     /* 2428329 */     GIR_EraseRootFromParent_Done,
     /* 2428330 */   // Label 35077: @2428330
     /* 2428330 */   GIM_Try, /*On fail goto*//*Label 35078*/ GIMT_Encode4(2428382), // Rule ID 35450 //
     /* 2428335 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2428338 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428341 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428345 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428349 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428360 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428365 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428377 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428381 */     // GIR_Coverage, 35450,
     /* 2428381 */     GIR_EraseRootFromParent_Done,
     /* 2428382 */   // Label 35078: @2428382
     /* 2428382 */   GIM_Try, /*On fail goto*//*Label 35079*/ GIMT_Encode4(2428434), // Rule ID 35451 //
     /* 2428387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2428390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428393 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428397 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428401 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428405 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428412 */     // (riscv_vmv_v_v_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$passthru, VRM4:{ *:[nxv4f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428412 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428415 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428417 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428419 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428421 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428426 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2428429 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428432 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428433 */     // GIR_Coverage, 35451,
     /* 2428433 */     GIR_EraseRootFromParent_Done,
     /* 2428434 */   // Label 35079: @2428434
     /* 2428434 */   GIM_Reject,
     /* 2428435 */ // Label 35075: @2428435
     /* 2428435 */ GIM_Reject,
     /* 2428436 */ // Label 35015: @2428436
     /* 2428436 */ GIM_Try, /*On fail goto*//*Label 35080*/ GIMT_Encode4(2428552),
     /* 2428441 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2428444 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2428447 */   GIM_Try, /*On fail goto*//*Label 35081*/ GIMT_Encode4(2428499), // Rule ID 32840 //
     /* 2428452 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428455 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428458 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428462 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428466 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428477 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2428480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428482 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428486 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428491 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428494 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428497 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428498 */     // GIR_Coverage, 32840,
     /* 2428498 */     GIR_EraseRootFromParent_Done,
     /* 2428499 */   // Label 35081: @2428499
     /* 2428499 */   GIM_Try, /*On fail goto*//*Label 35082*/ GIMT_Encode4(2428551), // Rule ID 32841 //
     /* 2428504 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428507 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2428522 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428529 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M1:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$passthru, VR:{ *:[nxv8i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428529 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M1),
     /* 2428532 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428534 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428536 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2428546 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428549 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428550 */     // GIR_Coverage, 32841,
     /* 2428550 */     GIR_EraseRootFromParent_Done,
     /* 2428551 */   // Label 35082: @2428551
     /* 2428551 */   GIM_Reject,
     /* 2428552 */ // Label 35080: @2428552
     /* 2428552 */ GIM_Reject,
     /* 2428553 */ // Label 35016: @2428553
     /* 2428553 */ GIM_Try, /*On fail goto*//*Label 35083*/ GIMT_Encode4(2428773),
     /* 2428558 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2428561 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2428564 */   GIM_Try, /*On fail goto*//*Label 35084*/ GIMT_Encode4(2428616), // Rule ID 33470 //
     /* 2428569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428575 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428579 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428583 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428587 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428594 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428594 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2428597 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428599 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428601 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428603 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428608 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428611 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428614 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428615 */     // GIR_Coverage, 33470,
     /* 2428615 */     GIR_EraseRootFromParent_Done,
     /* 2428616 */   // Label 35084: @2428616
     /* 2428616 */   GIM_Try, /*On fail goto*//*Label 35085*/ GIMT_Encode4(2428668), // Rule ID 33471 //
     /* 2428621 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428624 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428646 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$passthru, VRM2:{ *:[nxv8i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2428649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428651 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428655 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428660 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428666 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428667 */     // GIR_Coverage, 33471,
     /* 2428667 */     GIR_EraseRootFromParent_Done,
     /* 2428668 */   // Label 35085: @2428668
     /* 2428668 */   GIM_Try, /*On fail goto*//*Label 35086*/ GIMT_Encode4(2428720), // Rule ID 34820 //
     /* 2428673 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428676 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428679 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428683 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428687 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428691 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428698 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428698 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2428701 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428703 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428705 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428707 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428712 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428715 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428718 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428719 */     // GIR_Coverage, 34820,
     /* 2428719 */     GIR_EraseRootFromParent_Done,
     /* 2428720 */   // Label 35086: @2428720
     /* 2428720 */   GIM_Try, /*On fail goto*//*Label 35087*/ GIMT_Encode4(2428772), // Rule ID 34821 //
     /* 2428725 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428728 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428731 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428735 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428739 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2428743 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428750 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$passthru, VRM2:{ *:[nxv8f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428750 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2428753 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428755 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428757 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2428767 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428771 */     // GIR_Coverage, 34821,
     /* 2428771 */     GIR_EraseRootFromParent_Done,
     /* 2428772 */   // Label 35087: @2428772
     /* 2428772 */   GIM_Reject,
     /* 2428773 */ // Label 35083: @2428773
     /* 2428773 */ GIM_Reject,
     /* 2428774 */ // Label 35017: @2428774
     /* 2428774 */ GIM_Try, /*On fail goto*//*Label 35088*/ GIMT_Encode4(2428994),
     /* 2428779 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2428782 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2428785 */   GIM_Try, /*On fail goto*//*Label 35089*/ GIMT_Encode4(2428837), // Rule ID 33830 //
     /* 2428790 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428793 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428796 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428800 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428804 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428808 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428815 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428815 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428818 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428820 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428822 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428824 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428829 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428832 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428835 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428836 */     // GIR_Coverage, 33830,
     /* 2428836 */     GIR_EraseRootFromParent_Done,
     /* 2428837 */   // Label 35089: @2428837
     /* 2428837 */   GIM_Try, /*On fail goto*//*Label 35090*/ GIMT_Encode4(2428889), // Rule ID 33831 //
     /* 2428842 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428845 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428848 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428852 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428856 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428860 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428867 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$passthru, VRM4:{ *:[nxv8i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428867 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428870 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428872 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428874 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428884 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428887 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428888 */     // GIR_Coverage, 33831,
     /* 2428888 */     GIR_EraseRootFromParent_Done,
     /* 2428889 */   // Label 35090: @2428889
     /* 2428889 */   GIM_Try, /*On fail goto*//*Label 35091*/ GIMT_Encode4(2428941), // Rule ID 35180 //
     /* 2428894 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2428897 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2428900 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428904 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428908 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428912 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428919 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2428919 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428922 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428924 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428926 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428928 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428933 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428936 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428940 */     // GIR_Coverage, 35180,
     /* 2428940 */     GIR_EraseRootFromParent_Done,
     /* 2428941 */   // Label 35091: @2428941
     /* 2428941 */   GIM_Try, /*On fail goto*//*Label 35092*/ GIMT_Encode4(2428993), // Rule ID 35181 //
     /* 2428946 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2428949 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2428952 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428956 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428960 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2428964 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2428971 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$passthru, VRM4:{ *:[nxv8f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2428971 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2428974 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2428976 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2428978 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2428980 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2428985 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2428988 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2428991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2428992 */     // GIR_Coverage, 35181,
     /* 2428992 */     GIR_EraseRootFromParent_Done,
     /* 2428993 */   // Label 35092: @2428993
     /* 2428993 */   GIM_Reject,
     /* 2428994 */ // Label 35088: @2428994
     /* 2428994 */ GIM_Reject,
     /* 2428995 */ // Label 35018: @2428995
     /* 2428995 */ GIM_Try, /*On fail goto*//*Label 35093*/ GIMT_Encode4(2429215),
     /* 2429000 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2429003 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2429006 */   GIM_Try, /*On fail goto*//*Label 35094*/ GIMT_Encode4(2429058), // Rule ID 34190 //
     /* 2429011 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429014 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429029 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429036 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429036 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429039 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429041 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429043 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429045 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429050 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429053 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429056 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429057 */     // GIR_Coverage, 34190,
     /* 2429057 */     GIR_EraseRootFromParent_Done,
     /* 2429058 */   // Label 35094: @2429058
     /* 2429058 */   GIM_Try, /*On fail goto*//*Label 35095*/ GIMT_Encode4(2429110), // Rule ID 34191 //
     /* 2429063 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429066 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429088 */     // (riscv_vmv_v_v_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$passthru, VRM8:{ *:[nxv8i64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429093 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429097 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429102 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429105 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429108 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429109 */     // GIR_Coverage, 34191,
     /* 2429109 */     GIR_EraseRootFromParent_Done,
     /* 2429110 */   // Label 35095: @2429110
     /* 2429110 */   GIM_Try, /*On fail goto*//*Label 35096*/ GIMT_Encode4(2429162), // Rule ID 35540 //
     /* 2429115 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2429118 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429121 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429125 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429129 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429140 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429145 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429149 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429154 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429160 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429161 */     // GIR_Coverage, 35540,
     /* 2429161 */     GIR_EraseRootFromParent_Done,
     /* 2429162 */   // Label 35096: @2429162
     /* 2429162 */   GIM_Try, /*On fail goto*//*Label 35097*/ GIMT_Encode4(2429214), // Rule ID 35541 //
     /* 2429167 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2429170 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429173 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429177 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429181 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429185 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429192 */     // (riscv_vmv_v_v_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$passthru, VRM8:{ *:[nxv8f64] }:$rs2, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429192 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429195 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429197 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429199 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429201 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429206 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2429209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429212 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429213 */     // GIR_Coverage, 35541,
     /* 2429213 */     GIR_EraseRootFromParent_Done,
     /* 2429214 */   // Label 35097: @2429214
     /* 2429214 */   GIM_Reject,
     /* 2429215 */ // Label 35093: @2429215
     /* 2429215 */ GIM_Reject,
     /* 2429216 */ // Label 35019: @2429216
     /* 2429216 */ GIM_Try, /*On fail goto*//*Label 35098*/ GIMT_Encode4(2429332),
     /* 2429221 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2429224 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2429227 */   GIM_Try, /*On fail goto*//*Label 35099*/ GIMT_Encode4(2429279), // Rule ID 33200 //
     /* 2429232 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429235 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429238 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429242 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429246 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429250 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429257 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429257 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2429260 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429262 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429264 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429266 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429271 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429274 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429277 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429278 */     // GIR_Coverage, 33200,
     /* 2429278 */     GIR_EraseRootFromParent_Done,
     /* 2429279 */   // Label 35099: @2429279
     /* 2429279 */   GIM_Try, /*On fail goto*//*Label 35100*/ GIMT_Encode4(2429331), // Rule ID 33201 //
     /* 2429284 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429287 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429290 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429294 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429298 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2429302 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429309 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M2:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$passthru, VRM2:{ *:[nxv16i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429309 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M2),
     /* 2429312 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429314 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429316 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429318 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429323 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429326 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429330 */     // GIR_Coverage, 33201,
     /* 2429330 */     GIR_EraseRootFromParent_Done,
     /* 2429331 */   // Label 35100: @2429331
     /* 2429331 */   GIM_Reject,
     /* 2429332 */ // Label 35098: @2429332
     /* 2429332 */ GIM_Reject,
     /* 2429333 */ // Label 35020: @2429333
     /* 2429333 */ GIM_Try, /*On fail goto*//*Label 35101*/ GIMT_Encode4(2429553),
     /* 2429338 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2429341 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2429344 */   GIM_Try, /*On fail goto*//*Label 35102*/ GIMT_Encode4(2429396), // Rule ID 33560 //
     /* 2429349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429374 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2429377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429379 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429383 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429388 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429391 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429394 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429395 */     // GIR_Coverage, 33560,
     /* 2429395 */     GIR_EraseRootFromParent_Done,
     /* 2429396 */   // Label 35102: @2429396
     /* 2429396 */   GIM_Try, /*On fail goto*//*Label 35103*/ GIMT_Encode4(2429448), // Rule ID 33561 //
     /* 2429401 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429404 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429407 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429411 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429415 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429419 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429426 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$passthru, VRM4:{ *:[nxv16i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429426 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2429429 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429431 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429433 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429435 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429440 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429447 */     // GIR_Coverage, 33561,
     /* 2429447 */     GIR_EraseRootFromParent_Done,
     /* 2429448 */   // Label 35103: @2429448
     /* 2429448 */   GIM_Try, /*On fail goto*//*Label 35104*/ GIMT_Encode4(2429500), // Rule ID 34910 //
     /* 2429453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429459 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429463 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429467 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429471 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429478 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429478 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2429481 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429483 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429485 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429487 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429492 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429498 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429499 */     // GIR_Coverage, 34910,
     /* 2429499 */     GIR_EraseRootFromParent_Done,
     /* 2429500 */   // Label 35104: @2429500
     /* 2429500 */   GIM_Try, /*On fail goto*//*Label 35105*/ GIMT_Encode4(2429552), // Rule ID 34911 //
     /* 2429505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429511 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429515 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429519 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429530 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$passthru, VRM4:{ *:[nxv16f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2429533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429535 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429539 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429544 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429547 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429550 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429551 */     // GIR_Coverage, 34911,
     /* 2429551 */     GIR_EraseRootFromParent_Done,
     /* 2429552 */   // Label 35105: @2429552
     /* 2429552 */   GIM_Reject,
     /* 2429553 */ // Label 35101: @2429553
     /* 2429553 */ GIM_Reject,
     /* 2429554 */ // Label 35021: @2429554
     /* 2429554 */ GIM_Try, /*On fail goto*//*Label 35106*/ GIMT_Encode4(2429774),
     /* 2429559 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2429562 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2429565 */   GIM_Try, /*On fail goto*//*Label 35107*/ GIMT_Encode4(2429617), // Rule ID 33920 //
     /* 2429570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429576 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429580 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429584 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429588 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429595 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429595 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429598 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429600 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429602 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429604 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429609 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429612 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429615 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429616 */     // GIR_Coverage, 33920,
     /* 2429616 */     GIR_EraseRootFromParent_Done,
     /* 2429617 */   // Label 35107: @2429617
     /* 2429617 */   GIM_Try, /*On fail goto*//*Label 35108*/ GIMT_Encode4(2429669), // Rule ID 33921 //
     /* 2429622 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429625 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429628 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429632 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429636 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429640 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429647 */     // (riscv_vmv_v_v_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$passthru, VRM8:{ *:[nxv16i32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429647 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429650 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429652 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429654 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429656 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429661 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429664 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429667 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429668 */     // GIR_Coverage, 33921,
     /* 2429668 */     GIR_EraseRootFromParent_Done,
     /* 2429669 */   // Label 35108: @2429669
     /* 2429669 */   GIM_Try, /*On fail goto*//*Label 35109*/ GIMT_Encode4(2429721), // Rule ID 35270 //
     /* 2429674 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429677 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429680 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429684 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429688 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429699 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429704 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429708 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429713 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429716 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429719 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429720 */     // GIR_Coverage, 35270,
     /* 2429720 */     GIR_EraseRootFromParent_Done,
     /* 2429721 */   // Label 35109: @2429721
     /* 2429721 */   GIM_Try, /*On fail goto*//*Label 35110*/ GIMT_Encode4(2429773), // Rule ID 35271 //
     /* 2429726 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429729 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429732 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429736 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429740 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429744 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429751 */     // (riscv_vmv_v_v_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$passthru, VRM8:{ *:[nxv16f32] }:$rs2, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429751 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429754 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429756 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429758 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2429768 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429771 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429772 */     // GIR_Coverage, 35271,
     /* 2429772 */     GIR_EraseRootFromParent_Done,
     /* 2429773 */   // Label 35110: @2429773
     /* 2429773 */   GIM_Reject,
     /* 2429774 */ // Label 35106: @2429774
     /* 2429774 */ GIM_Reject,
     /* 2429775 */ // Label 35022: @2429775
     /* 2429775 */ GIM_Try, /*On fail goto*//*Label 35111*/ GIMT_Encode4(2429891),
     /* 2429780 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2429783 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2429786 */   GIM_Try, /*On fail goto*//*Label 35112*/ GIMT_Encode4(2429838), // Rule ID 33290 //
     /* 2429791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429797 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429801 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429805 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429809 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429816 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429816 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2429819 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429821 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429823 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429825 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429830 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429833 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429836 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429837 */     // GIR_Coverage, 33290,
     /* 2429837 */     GIR_EraseRootFromParent_Done,
     /* 2429838 */   // Label 35112: @2429838
     /* 2429838 */   GIM_Try, /*On fail goto*//*Label 35113*/ GIMT_Encode4(2429890), // Rule ID 33291 //
     /* 2429843 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429846 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2429861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429868 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M4:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$passthru, VRM4:{ *:[nxv32i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M4),
     /* 2429871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429873 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429877 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429882 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2429885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429888 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429889 */     // GIR_Coverage, 33291,
     /* 2429889 */     GIR_EraseRootFromParent_Done,
     /* 2429890 */   // Label 35113: @2429890
     /* 2429890 */   GIM_Reject,
     /* 2429891 */ // Label 35111: @2429891
     /* 2429891 */ GIM_Reject,
     /* 2429892 */ // Label 35023: @2429892
     /* 2429892 */ GIM_Try, /*On fail goto*//*Label 35114*/ GIMT_Encode4(2430112),
     /* 2429897 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2429900 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2429903 */   GIM_Try, /*On fail goto*//*Label 35115*/ GIMT_Encode4(2429955), // Rule ID 33650 //
     /* 2429908 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2429911 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2429914 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429918 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429922 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429926 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429933 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2429933 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429936 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429938 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429940 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429942 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429947 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2429950 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2429953 */     GIR_RootConstrainSelectedInstOperands,
     /* 2429954 */     // GIR_Coverage, 33650,
     /* 2429954 */     GIR_EraseRootFromParent_Done,
     /* 2429955 */   // Label 35115: @2429955
     /* 2429955 */   GIM_Try, /*On fail goto*//*Label 35116*/ GIMT_Encode4(2430007), // Rule ID 33651 //
     /* 2429960 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2429963 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2429966 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429970 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429974 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2429978 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2429985 */     // (riscv_vmv_v_v_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$passthru, VRM8:{ *:[nxv32i16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2429985 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2429988 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2429990 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2429992 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2429994 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2429999 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430002 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2430005 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430006 */     // GIR_Coverage, 33651,
     /* 2430006 */     GIR_EraseRootFromParent_Done,
     /* 2430007 */   // Label 35116: @2430007
     /* 2430007 */   GIM_Try, /*On fail goto*//*Label 35117*/ GIMT_Encode4(2430059), // Rule ID 35000 //
     /* 2430012 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430015 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430018 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430022 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430026 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430030 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430037 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, 0:{ *:[i64] })
     /* 2430037 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2430040 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430042 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2430044 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2430046 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430051 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430054 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2430057 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430058 */     // GIR_Coverage, 35000,
     /* 2430058 */     GIR_EraseRootFromParent_Done,
     /* 2430059 */   // Label 35117: @2430059
     /* 2430059 */   GIM_Try, /*On fail goto*//*Label 35118*/ GIMT_Encode4(2430111), // Rule ID 35001 //
     /* 2430064 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430067 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430070 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430074 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430078 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430082 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430089 */     // (riscv_vmv_v_v_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$passthru, VRM8:{ *:[nxv32f16] }:$rs2, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, 0:{ *:[i32] })
     /* 2430089 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2430092 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430094 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2430096 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2430098 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430103 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430106 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2430109 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430110 */     // GIR_Coverage, 35001,
     /* 2430110 */     GIR_EraseRootFromParent_Done,
     /* 2430111 */   // Label 35118: @2430111
     /* 2430111 */   GIM_Reject,
     /* 2430112 */ // Label 35114: @2430112
     /* 2430112 */ GIM_Reject,
     /* 2430113 */ // Label 35024: @2430113
     /* 2430113 */ GIM_Try, /*On fail goto*//*Label 35119*/ GIMT_Encode4(2430229),
     /* 2430118 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2430121 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2430124 */   GIM_Try, /*On fail goto*//*Label 35120*/ GIMT_Encode4(2430176), // Rule ID 33380 //
     /* 2430129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430135 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430139 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430143 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430147 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430154 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, 0:{ *:[i64] })
     /* 2430154 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2430157 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430159 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2430161 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2430163 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430168 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2430174 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430175 */     // GIR_Coverage, 33380,
     /* 2430175 */     GIR_EraseRootFromParent_Done,
     /* 2430176 */   // Label 35120: @2430176
     /* 2430176 */   GIM_Try, /*On fail goto*//*Label 35121*/ GIMT_Encode4(2430228), // Rule ID 33381 //
     /* 2430181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430187 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430191 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430195 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2430199 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/3, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430206 */     // (riscv_vmv_v_v_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl))  =>  (PseudoVMV_V_V_M8:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$passthru, VRM8:{ *:[nxv64i8] }:$rs2, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, 0:{ *:[i32] })
     /* 2430206 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVMV_V_V_M8),
     /* 2430209 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430211 */     GIR_RootToRootCopy, /*OpIdx*/1, // passthru
     /* 2430213 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs2
     /* 2430215 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430220 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430223 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/0,
     /* 2430226 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430227 */     // GIR_Coverage, 33381,
     /* 2430227 */     GIR_EraseRootFromParent_Done,
     /* 2430228 */   // Label 35121: @2430228
     /* 2430228 */   GIM_Reject,
     /* 2430229 */ // Label 35119: @2430229
     /* 2430229 */ GIM_Reject,
     /* 2430230 */ // Label 35025: @2430230
     /* 2430230 */ GIM_Reject,
     /* 2430231 */ // Label 123: @2430231
     /* 2430231 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35144*/ GIMT_Encode4(2442110),
     /* 2430242 */ /*GILLT_nxv1s8*//*Label 35122*/ GIMT_Encode4(2430354),
     /* 2430246 */ /*GILLT_nxv1s16*//*Label 35123*/ GIMT_Encode4(2430677),
     /* 2430250 */ /*GILLT_nxv1s32*//*Label 35124*/ GIMT_Encode4(2431310),
     /* 2430254 */ /*GILLT_nxv1s64*//*Label 35125*/ GIMT_Encode4(2431943), GIMT_Encode4(0),
     /* 2430262 */ /*GILLT_nxv2s8*//*Label 35126*/ GIMT_Encode4(2432576),
     /* 2430266 */ /*GILLT_nxv2s16*//*Label 35127*/ GIMT_Encode4(2432899),
     /* 2430270 */ /*GILLT_nxv2s32*//*Label 35128*/ GIMT_Encode4(2433532),
     /* 2430274 */ /*GILLT_nxv2s64*//*Label 35129*/ GIMT_Encode4(2434165), GIMT_Encode4(0),
     /* 2430282 */ /*GILLT_nxv4s8*//*Label 35130*/ GIMT_Encode4(2434798),
     /* 2430286 */ /*GILLT_nxv4s16*//*Label 35131*/ GIMT_Encode4(2435121),
     /* 2430290 */ /*GILLT_nxv4s32*//*Label 35132*/ GIMT_Encode4(2435754),
     /* 2430294 */ /*GILLT_nxv4s64*//*Label 35133*/ GIMT_Encode4(2436387), GIMT_Encode4(0),
     /* 2430302 */ /*GILLT_nxv8s8*//*Label 35134*/ GIMT_Encode4(2437020),
     /* 2430306 */ /*GILLT_nxv8s16*//*Label 35135*/ GIMT_Encode4(2437343),
     /* 2430310 */ /*GILLT_nxv8s32*//*Label 35136*/ GIMT_Encode4(2437976),
     /* 2430314 */ /*GILLT_nxv8s64*//*Label 35137*/ GIMT_Encode4(2438609), GIMT_Encode4(0),
     /* 2430322 */ /*GILLT_nxv16s8*//*Label 35138*/ GIMT_Encode4(2439242),
     /* 2430326 */ /*GILLT_nxv16s16*//*Label 35139*/ GIMT_Encode4(2439565),
     /* 2430330 */ /*GILLT_nxv16s32*//*Label 35140*/ GIMT_Encode4(2440198), GIMT_Encode4(0),
     /* 2430338 */ /*GILLT_nxv32s8*//*Label 35141*/ GIMT_Encode4(2440831),
     /* 2430342 */ /*GILLT_nxv32s16*//*Label 35142*/ GIMT_Encode4(2441154), GIMT_Encode4(0),
     /* 2430350 */ /*GILLT_nxv64s8*//*Label 35143*/ GIMT_Encode4(2441787),
     /* 2430354 */ // Label 35122: @2430354
     /* 2430354 */ GIM_Try, /*On fail goto*//*Label 35145*/ GIMT_Encode4(2430676),
     /* 2430359 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2430362 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2430365 */   GIM_Try, /*On fail goto*//*Label 35146*/ GIMT_Encode4(2430448), // Rule ID 45444 //
     /* 2430370 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430373 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430376 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430379 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430382 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430386 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430390 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430394 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430398 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430402 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430406 */     // MIs[1] Operand 1
     /* 2430406 */     // No operand predicates
     /* 2430406 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430410 */     // MIs[0] policy
     /* 2430410 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430413 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430415 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430422 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430422 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2430425 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430427 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430429 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430431 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430434 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430436 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430441 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430444 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430446 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430447 */     // GIR_Coverage, 45444,
     /* 2430447 */     GIR_EraseRootFromParent_Done,
     /* 2430448 */   // Label 35146: @2430448
     /* 2430448 */   GIM_Try, /*On fail goto*//*Label 35147*/ GIMT_Encode4(2430531), // Rule ID 45445 //
     /* 2430453 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430456 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430459 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430462 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430465 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430469 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430473 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430477 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430481 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430485 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430489 */     // MIs[1] Operand 1
     /* 2430489 */     // No operand predicates
     /* 2430489 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430493 */     // MIs[0] policy
     /* 2430493 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430496 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430505 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF8_MASK),
     /* 2430508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430514 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430517 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430519 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430524 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430527 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430529 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430530 */     // GIR_Coverage, 45445,
     /* 2430530 */     GIR_EraseRootFromParent_Done,
     /* 2430531 */   // Label 35147: @2430531
     /* 2430531 */   GIM_Try, /*On fail goto*//*Label 35148*/ GIMT_Encode4(2430603), // Rule ID 45446 //
     /* 2430536 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430539 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430542 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430545 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430548 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430552 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430556 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430560 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430564 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430568 */     // MIs[0] policy
     /* 2430568 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430571 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430578 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430578 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2430581 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430583 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430585 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430587 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430602 */     // GIR_Coverage, 45446,
     /* 2430602 */     GIR_EraseRootFromParent_Done,
     /* 2430603 */   // Label 35148: @2430603
     /* 2430603 */   GIM_Try, /*On fail goto*//*Label 35149*/ GIMT_Encode4(2430675), // Rule ID 45447 //
     /* 2430608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430632 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2430636 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430640 */     // MIs[0] policy
     /* 2430640 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430643 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430650 */     // (riscv_slidedown_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430650 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF8_MASK),
     /* 2430653 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430655 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430657 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430659 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2430661 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430663 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430668 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2430671 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430673 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430674 */     // GIR_Coverage, 45447,
     /* 2430674 */     GIR_EraseRootFromParent_Done,
     /* 2430675 */   // Label 35149: @2430675
     /* 2430675 */   GIM_Reject,
     /* 2430676 */ // Label 35145: @2430676
     /* 2430676 */ GIM_Reject,
     /* 2430677 */ // Label 35123: @2430677
     /* 2430677 */ GIM_Try, /*On fail goto*//*Label 35150*/ GIMT_Encode4(2431309),
     /* 2430682 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2430685 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2430688 */   GIM_Try, /*On fail goto*//*Label 35151*/ GIMT_Encode4(2430771), // Rule ID 45456 //
     /* 2430693 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430696 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430699 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430702 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430705 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430709 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430713 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430717 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430721 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430725 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430729 */     // MIs[1] Operand 1
     /* 2430729 */     // No operand predicates
     /* 2430729 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430733 */     // MIs[0] policy
     /* 2430733 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430736 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430738 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430745 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430745 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2430748 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430750 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430752 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430754 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430757 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430759 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430764 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430767 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430769 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430770 */     // GIR_Coverage, 45456,
     /* 2430770 */     GIR_EraseRootFromParent_Done,
     /* 2430771 */   // Label 35151: @2430771
     /* 2430771 */   GIM_Try, /*On fail goto*//*Label 35152*/ GIMT_Encode4(2430854), // Rule ID 45457 //
     /* 2430776 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430779 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430782 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430785 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430788 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430792 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430796 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430800 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430804 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430808 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430812 */     // MIs[1] Operand 1
     /* 2430812 */     // No operand predicates
     /* 2430812 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430816 */     // MIs[0] policy
     /* 2430816 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430819 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430821 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430828 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430828 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2430831 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430833 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430835 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430837 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430853 */     // GIR_Coverage, 45457,
     /* 2430853 */     GIR_EraseRootFromParent_Done,
     /* 2430854 */   // Label 35152: @2430854
     /* 2430854 */   GIM_Try, /*On fail goto*//*Label 35153*/ GIMT_Encode4(2430937), // Rule ID 45532 //
     /* 2430859 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2430862 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2430865 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430868 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2430871 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430875 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430879 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430883 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430887 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430891 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430895 */     // MIs[1] Operand 1
     /* 2430895 */     // No operand predicates
     /* 2430895 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430899 */     // MIs[0] policy
     /* 2430899 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430902 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430904 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430911 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2430911 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2430914 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430916 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2430918 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2430920 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2430923 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2430925 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2430930 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2430933 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2430935 */     GIR_RootConstrainSelectedInstOperands,
     /* 2430936 */     // GIR_Coverage, 45532,
     /* 2430936 */     GIR_EraseRootFromParent_Done,
     /* 2430937 */   // Label 35153: @2430937
     /* 2430937 */   GIM_Try, /*On fail goto*//*Label 35154*/ GIMT_Encode4(2431020), // Rule ID 45533 //
     /* 2430942 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2430945 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2430948 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2430951 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2430954 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2430958 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430962 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2430966 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2430970 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2430974 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2430978 */     // MIs[1] Operand 1
     /* 2430978 */     // No operand predicates
     /* 2430978 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2430982 */     // MIs[0] policy
     /* 2430982 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2430985 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2430987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2430994 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2430994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2430997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2430999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431003 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431006 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431008 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431013 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431016 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431018 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431019 */     // GIR_Coverage, 45533,
     /* 2431019 */     GIR_EraseRootFromParent_Done,
     /* 2431020 */   // Label 35154: @2431020
     /* 2431020 */   GIM_Try, /*On fail goto*//*Label 35155*/ GIMT_Encode4(2431092), // Rule ID 45458 //
     /* 2431025 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431028 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431031 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431034 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431037 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431041 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431045 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431049 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431057 */     // MIs[0] policy
     /* 2431057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431060 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431067 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431067 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2431070 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431072 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431074 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431076 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431078 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431080 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431085 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431088 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431090 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431091 */     // GIR_Coverage, 45458,
     /* 2431091 */     GIR_EraseRootFromParent_Done,
     /* 2431092 */   // Label 35155: @2431092
     /* 2431092 */   GIM_Try, /*On fail goto*//*Label 35156*/ GIMT_Encode4(2431164), // Rule ID 45459 //
     /* 2431097 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431100 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431103 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431106 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431109 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431113 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431117 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431121 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431125 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431129 */     // MIs[0] policy
     /* 2431129 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431132 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431139 */     // (riscv_slidedown_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431139 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2431142 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431144 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431146 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431148 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431150 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431152 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431157 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431160 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431162 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431163 */     // GIR_Coverage, 45459,
     /* 2431163 */     GIR_EraseRootFromParent_Done,
     /* 2431164 */   // Label 35156: @2431164
     /* 2431164 */   GIM_Try, /*On fail goto*//*Label 35157*/ GIMT_Encode4(2431236), // Rule ID 45534 //
     /* 2431169 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431172 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431175 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431178 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431181 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431185 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431189 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431193 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431197 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431201 */     // MIs[0] policy
     /* 2431201 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431204 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431211 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431211 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2431214 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431216 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431218 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431220 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431235 */     // GIR_Coverage, 45534,
     /* 2431235 */     GIR_EraseRootFromParent_Done,
     /* 2431236 */   // Label 35157: @2431236
     /* 2431236 */   GIM_Try, /*On fail goto*//*Label 35158*/ GIMT_Encode4(2431308), // Rule ID 45535 //
     /* 2431241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431265 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431269 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431273 */     // MIs[0] policy
     /* 2431273 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431276 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431283 */     // (riscv_slidedown_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431283 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2431286 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431288 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431290 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431292 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431294 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431296 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431301 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2431304 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431306 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431307 */     // GIR_Coverage, 45535,
     /* 2431307 */     GIR_EraseRootFromParent_Done,
     /* 2431308 */   // Label 35158: @2431308
     /* 2431308 */   GIM_Reject,
     /* 2431309 */ // Label 35150: @2431309
     /* 2431309 */ GIM_Reject,
     /* 2431310 */ // Label 35124: @2431310
     /* 2431310 */ GIM_Try, /*On fail goto*//*Label 35159*/ GIMT_Encode4(2431942),
     /* 2431315 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2431318 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2431321 */   GIM_Try, /*On fail goto*//*Label 35160*/ GIMT_Encode4(2431404), // Rule ID 45464 //
     /* 2431326 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431329 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431332 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431335 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431338 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431342 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431346 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431350 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431354 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431358 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431362 */     // MIs[1] Operand 1
     /* 2431362 */     // No operand predicates
     /* 2431362 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431366 */     // MIs[0] policy
     /* 2431366 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431369 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431371 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431378 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431378 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2431381 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431383 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431385 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431387 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431390 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431392 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431397 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431400 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431402 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431403 */     // GIR_Coverage, 45464,
     /* 2431403 */     GIR_EraseRootFromParent_Done,
     /* 2431404 */   // Label 35160: @2431404
     /* 2431404 */   GIM_Try, /*On fail goto*//*Label 35161*/ GIMT_Encode4(2431487), // Rule ID 45465 //
     /* 2431409 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431412 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431415 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431418 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431421 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431425 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431429 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431433 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431437 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431441 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431445 */     // MIs[1] Operand 1
     /* 2431445 */     // No operand predicates
     /* 2431445 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431449 */     // MIs[0] policy
     /* 2431449 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431452 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431454 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431461 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431461 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2431464 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431466 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431468 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431470 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431486 */     // GIR_Coverage, 45465,
     /* 2431486 */     GIR_EraseRootFromParent_Done,
     /* 2431487 */   // Label 35161: @2431487
     /* 2431487 */   GIM_Try, /*On fail goto*//*Label 35162*/ GIMT_Encode4(2431570), // Rule ID 45540 //
     /* 2431492 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431495 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431498 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431501 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431504 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431508 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431512 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431516 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431520 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431524 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431528 */     // MIs[1] Operand 1
     /* 2431528 */     // No operand predicates
     /* 2431528 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431532 */     // MIs[0] policy
     /* 2431532 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431535 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431544 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2431547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431553 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431556 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431558 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431563 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431566 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431568 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431569 */     // GIR_Coverage, 45540,
     /* 2431569 */     GIR_EraseRootFromParent_Done,
     /* 2431570 */   // Label 35162: @2431570
     /* 2431570 */   GIM_Try, /*On fail goto*//*Label 35163*/ GIMT_Encode4(2431653), // Rule ID 45541 //
     /* 2431575 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431578 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431581 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431584 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431587 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431591 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431595 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431599 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431603 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431607 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431611 */     // MIs[1] Operand 1
     /* 2431611 */     // No operand predicates
     /* 2431611 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431615 */     // MIs[0] policy
     /* 2431615 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431618 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2431620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431627 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2431630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431636 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2431639 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431641 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431646 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431649 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431651 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431652 */     // GIR_Coverage, 45541,
     /* 2431652 */     GIR_EraseRootFromParent_Done,
     /* 2431653 */   // Label 35163: @2431653
     /* 2431653 */   GIM_Try, /*On fail goto*//*Label 35164*/ GIMT_Encode4(2431725), // Rule ID 45466 //
     /* 2431658 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431661 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431664 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431667 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431670 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431674 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431678 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431682 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431690 */     // MIs[0] policy
     /* 2431690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431693 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431700 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431700 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2431703 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431705 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431707 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431709 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431711 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431713 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431718 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431721 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431723 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431724 */     // GIR_Coverage, 45466,
     /* 2431724 */     GIR_EraseRootFromParent_Done,
     /* 2431725 */   // Label 35164: @2431725
     /* 2431725 */   GIM_Try, /*On fail goto*//*Label 35165*/ GIMT_Encode4(2431797), // Rule ID 45467 //
     /* 2431730 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431733 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431736 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431739 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431742 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431746 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431750 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431754 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431758 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431762 */     // MIs[0] policy
     /* 2431762 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431765 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431772 */     // (riscv_slidedown_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431772 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2431775 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431777 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431779 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431781 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431783 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431785 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431790 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431793 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431795 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431796 */     // GIR_Coverage, 45467,
     /* 2431796 */     GIR_EraseRootFromParent_Done,
     /* 2431797 */   // Label 35165: @2431797
     /* 2431797 */   GIM_Try, /*On fail goto*//*Label 35166*/ GIMT_Encode4(2431869), // Rule ID 45542 //
     /* 2431802 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2431805 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431808 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431811 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431814 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431818 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431822 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431826 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431830 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431834 */     // MIs[0] policy
     /* 2431834 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431837 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431844 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2431844 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2431847 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431849 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431851 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431853 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431868 */     // GIR_Coverage, 45542,
     /* 2431868 */     GIR_EraseRootFromParent_Done,
     /* 2431869 */   // Label 35166: @2431869
     /* 2431869 */   GIM_Try, /*On fail goto*//*Label 35167*/ GIMT_Encode4(2431941), // Rule ID 45543 //
     /* 2431874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2431877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2431880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2431886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431898 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2431902 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431906 */     // MIs[0] policy
     /* 2431906 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2431909 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2431916 */     // (riscv_slidedown_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2431916 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2431919 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2431921 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2431923 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2431925 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2431927 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2431929 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2431934 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2431937 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2431939 */     GIR_RootConstrainSelectedInstOperands,
     /* 2431940 */     // GIR_Coverage, 45543,
     /* 2431940 */     GIR_EraseRootFromParent_Done,
     /* 2431941 */   // Label 35167: @2431941
     /* 2431941 */   GIM_Reject,
     /* 2431942 */ // Label 35159: @2431942
     /* 2431942 */ GIM_Reject,
     /* 2431943 */ // Label 35125: @2431943
     /* 2431943 */ GIM_Try, /*On fail goto*//*Label 35168*/ GIMT_Encode4(2432575),
     /* 2431948 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2431951 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2431954 */   GIM_Try, /*On fail goto*//*Label 35169*/ GIMT_Encode4(2432037), // Rule ID 45480 //
     /* 2431959 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2431962 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2431965 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2431968 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2431971 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2431975 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431979 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2431983 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2431987 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2431991 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2431995 */     // MIs[1] Operand 1
     /* 2431995 */     // No operand predicates
     /* 2431995 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2431999 */     // MIs[0] policy
     /* 2431999 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432002 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432011 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2432014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432020 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432023 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432025 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432030 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432033 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432035 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432036 */     // GIR_Coverage, 45480,
     /* 2432036 */     GIR_EraseRootFromParent_Done,
     /* 2432037 */   // Label 35169: @2432037
     /* 2432037 */   GIM_Try, /*On fail goto*//*Label 35170*/ GIMT_Encode4(2432120), // Rule ID 45481 //
     /* 2432042 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2432045 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432048 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432051 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432054 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432058 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432062 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432066 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432070 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432074 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432078 */     // MIs[1] Operand 1
     /* 2432078 */     // No operand predicates
     /* 2432078 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432082 */     // MIs[0] policy
     /* 2432082 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432085 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432094 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2432097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432103 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432119 */     // GIR_Coverage, 45481,
     /* 2432119 */     GIR_EraseRootFromParent_Done,
     /* 2432120 */   // Label 35170: @2432120
     /* 2432120 */   GIM_Try, /*On fail goto*//*Label 35171*/ GIMT_Encode4(2432203), // Rule ID 45552 //
     /* 2432125 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2432128 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432131 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432134 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432137 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432141 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432145 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432149 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432153 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432157 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432161 */     // MIs[1] Operand 1
     /* 2432161 */     // No operand predicates
     /* 2432161 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432165 */     // MIs[0] policy
     /* 2432165 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432168 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432170 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432177 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432177 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2432180 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432182 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432184 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432186 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432189 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432191 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432196 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432199 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432201 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432202 */     // GIR_Coverage, 45552,
     /* 2432202 */     GIR_EraseRootFromParent_Done,
     /* 2432203 */   // Label 35171: @2432203
     /* 2432203 */   GIM_Try, /*On fail goto*//*Label 35172*/ GIMT_Encode4(2432286), // Rule ID 45553 //
     /* 2432208 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2432211 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432214 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432217 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432220 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432224 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432228 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432232 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432236 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432240 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432244 */     // MIs[1] Operand 1
     /* 2432244 */     // No operand predicates
     /* 2432244 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432248 */     // MIs[0] policy
     /* 2432248 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432251 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432253 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432260 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432260 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2432263 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432265 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432267 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432269 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432272 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432274 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432279 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432282 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432284 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432285 */     // GIR_Coverage, 45553,
     /* 2432285 */     GIR_EraseRootFromParent_Done,
     /* 2432286 */   // Label 35172: @2432286
     /* 2432286 */   GIM_Try, /*On fail goto*//*Label 35173*/ GIMT_Encode4(2432358), // Rule ID 45482 //
     /* 2432291 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2432294 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432297 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432300 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432303 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432307 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432311 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432315 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432323 */     // MIs[0] policy
     /* 2432323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432326 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432333 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432333 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2432336 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432338 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432340 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432342 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432344 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432346 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432351 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432354 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432356 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432357 */     // GIR_Coverage, 45482,
     /* 2432357 */     GIR_EraseRootFromParent_Done,
     /* 2432358 */   // Label 35173: @2432358
     /* 2432358 */   GIM_Try, /*On fail goto*//*Label 35174*/ GIMT_Encode4(2432430), // Rule ID 45483 //
     /* 2432363 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2432366 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432369 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432372 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432375 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432379 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432383 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432387 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432391 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432395 */     // MIs[0] policy
     /* 2432395 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432398 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432405 */     // (riscv_slidedown_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432405 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2432408 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432410 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432412 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432414 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432416 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432418 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432423 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432426 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432428 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432429 */     // GIR_Coverage, 45483,
     /* 2432429 */     GIR_EraseRootFromParent_Done,
     /* 2432430 */   // Label 35174: @2432430
     /* 2432430 */   GIM_Try, /*On fail goto*//*Label 35175*/ GIMT_Encode4(2432502), // Rule ID 45554 //
     /* 2432435 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2432438 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432441 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432444 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432447 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432451 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432455 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432459 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432463 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432467 */     // MIs[0] policy
     /* 2432467 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432470 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432477 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432477 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2432480 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432482 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432484 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432486 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432488 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432490 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432495 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432498 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432500 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432501 */     // GIR_Coverage, 45554,
     /* 2432501 */     GIR_EraseRootFromParent_Done,
     /* 2432502 */   // Label 35175: @2432502
     /* 2432502 */   GIM_Try, /*On fail goto*//*Label 35176*/ GIMT_Encode4(2432574), // Rule ID 45555 //
     /* 2432507 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2432510 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432513 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2432516 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432519 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432523 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432527 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432531 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432535 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432539 */     // MIs[0] policy
     /* 2432539 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432542 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432549 */     // (riscv_slidedown_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432549 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2432552 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432554 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432556 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432558 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432560 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432562 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432567 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2432570 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432572 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432573 */     // GIR_Coverage, 45555,
     /* 2432573 */     GIR_EraseRootFromParent_Done,
     /* 2432574 */   // Label 35176: @2432574
     /* 2432574 */   GIM_Reject,
     /* 2432575 */ // Label 35168: @2432575
     /* 2432575 */ GIM_Reject,
     /* 2432576 */ // Label 35126: @2432576
     /* 2432576 */ GIM_Try, /*On fail goto*//*Label 35177*/ GIMT_Encode4(2432898),
     /* 2432581 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2432584 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2432587 */   GIM_Try, /*On fail goto*//*Label 35178*/ GIMT_Encode4(2432670), // Rule ID 45448 //
     /* 2432592 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432595 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432598 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432601 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432604 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432608 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432612 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432616 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432620 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432624 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432628 */     // MIs[1] Operand 1
     /* 2432628 */     // No operand predicates
     /* 2432628 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432632 */     // MIs[0] policy
     /* 2432632 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432635 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432637 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432644 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432644 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2432647 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432649 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432651 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432653 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432656 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432658 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432663 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432666 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432668 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432669 */     // GIR_Coverage, 45448,
     /* 2432669 */     GIR_EraseRootFromParent_Done,
     /* 2432670 */   // Label 35178: @2432670
     /* 2432670 */   GIM_Try, /*On fail goto*//*Label 35179*/ GIMT_Encode4(2432753), // Rule ID 45449 //
     /* 2432675 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432678 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432681 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432684 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432687 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432691 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432695 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432699 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432703 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432707 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432711 */     // MIs[1] Operand 1
     /* 2432711 */     // No operand predicates
     /* 2432711 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432715 */     // MIs[0] policy
     /* 2432715 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432718 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432727 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF4_MASK),
     /* 2432730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432736 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432739 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432741 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432746 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432749 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432751 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432752 */     // GIR_Coverage, 45449,
     /* 2432752 */     GIR_EraseRootFromParent_Done,
     /* 2432753 */   // Label 35179: @2432753
     /* 2432753 */   GIM_Try, /*On fail goto*//*Label 35180*/ GIMT_Encode4(2432825), // Rule ID 45450 //
     /* 2432758 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432761 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432764 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432767 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432770 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432774 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432778 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432782 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432786 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432790 */     // MIs[0] policy
     /* 2432790 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432793 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432800 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432800 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2432803 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432805 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432807 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432809 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432824 */     // GIR_Coverage, 45450,
     /* 2432824 */     GIR_EraseRootFromParent_Done,
     /* 2432825 */   // Label 35180: @2432825
     /* 2432825 */   GIM_Try, /*On fail goto*//*Label 35181*/ GIMT_Encode4(2432897), // Rule ID 45451 //
     /* 2432830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2432833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2432836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2432842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432854 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2432858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432862 */     // MIs[0] policy
     /* 2432862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432865 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432872 */     // (riscv_slidedown_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2432872 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF4_MASK),
     /* 2432875 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432877 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432879 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432881 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2432883 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432885 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432890 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2432893 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432895 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432896 */     // GIR_Coverage, 45451,
     /* 2432896 */     GIR_EraseRootFromParent_Done,
     /* 2432897 */   // Label 35181: @2432897
     /* 2432897 */   GIM_Reject,
     /* 2432898 */ // Label 35177: @2432898
     /* 2432898 */ GIM_Reject,
     /* 2432899 */ // Label 35127: @2432899
     /* 2432899 */ GIM_Try, /*On fail goto*//*Label 35182*/ GIMT_Encode4(2433531),
     /* 2432904 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2432907 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2432910 */   GIM_Try, /*On fail goto*//*Label 35183*/ GIMT_Encode4(2432993), // Rule ID 45460 //
     /* 2432915 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2432918 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2432921 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2432924 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2432927 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2432931 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432935 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2432939 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2432943 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2432947 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2432951 */     // MIs[1] Operand 1
     /* 2432951 */     // No operand predicates
     /* 2432951 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2432955 */     // MIs[0] policy
     /* 2432955 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2432958 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2432960 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2432967 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2432967 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2432970 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2432972 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2432974 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2432976 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2432979 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2432981 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2432986 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2432989 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2432991 */     GIR_RootConstrainSelectedInstOperands,
     /* 2432992 */     // GIR_Coverage, 45460,
     /* 2432992 */     GIR_EraseRootFromParent_Done,
     /* 2432993 */   // Label 35183: @2432993
     /* 2432993 */   GIM_Try, /*On fail goto*//*Label 35184*/ GIMT_Encode4(2433076), // Rule ID 45461 //
     /* 2432998 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433001 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433004 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433007 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433010 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433014 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433018 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433022 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433026 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433030 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433034 */     // MIs[1] Operand 1
     /* 2433034 */     // No operand predicates
     /* 2433034 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433038 */     // MIs[0] policy
     /* 2433038 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433041 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433043 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433050 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433050 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2433053 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433055 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433057 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433059 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433075 */     // GIR_Coverage, 45461,
     /* 2433075 */     GIR_EraseRootFromParent_Done,
     /* 2433076 */   // Label 35184: @2433076
     /* 2433076 */   GIM_Try, /*On fail goto*//*Label 35185*/ GIMT_Encode4(2433159), // Rule ID 45536 //
     /* 2433081 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433084 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433087 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433090 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433093 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433097 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433101 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433105 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433109 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433113 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433117 */     // MIs[1] Operand 1
     /* 2433117 */     // No operand predicates
     /* 2433117 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433121 */     // MIs[0] policy
     /* 2433121 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433124 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433126 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433133 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433133 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2433136 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433138 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433140 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433142 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433145 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433147 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433152 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433155 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433157 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433158 */     // GIR_Coverage, 45536,
     /* 2433158 */     GIR_EraseRootFromParent_Done,
     /* 2433159 */   // Label 35185: @2433159
     /* 2433159 */   GIM_Try, /*On fail goto*//*Label 35186*/ GIMT_Encode4(2433242), // Rule ID 45537 //
     /* 2433164 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433167 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433170 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433173 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433176 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433180 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433184 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433188 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433192 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433196 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433200 */     // MIs[1] Operand 1
     /* 2433200 */     // No operand predicates
     /* 2433200 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433204 */     // MIs[0] policy
     /* 2433204 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433207 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433216 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2433219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433225 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433228 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433230 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433235 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433238 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433240 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433241 */     // GIR_Coverage, 45537,
     /* 2433241 */     GIR_EraseRootFromParent_Done,
     /* 2433242 */   // Label 35186: @2433242
     /* 2433242 */   GIM_Try, /*On fail goto*//*Label 35187*/ GIMT_Encode4(2433314), // Rule ID 45462 //
     /* 2433247 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433250 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433253 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433256 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433259 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433263 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433267 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433271 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433279 */     // MIs[0] policy
     /* 2433279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433282 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433289 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433289 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2433292 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433294 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433296 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433298 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433300 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433302 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433307 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433310 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433312 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433313 */     // GIR_Coverage, 45462,
     /* 2433313 */     GIR_EraseRootFromParent_Done,
     /* 2433314 */   // Label 35187: @2433314
     /* 2433314 */   GIM_Try, /*On fail goto*//*Label 35188*/ GIMT_Encode4(2433386), // Rule ID 45463 //
     /* 2433319 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433322 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433325 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433328 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433331 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433335 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433339 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433343 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433347 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433351 */     // MIs[0] policy
     /* 2433351 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433354 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433361 */     // (riscv_slidedown_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433361 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2433364 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433366 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433368 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433370 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433372 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433374 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433379 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433382 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433384 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433385 */     // GIR_Coverage, 45463,
     /* 2433385 */     GIR_EraseRootFromParent_Done,
     /* 2433386 */   // Label 35188: @2433386
     /* 2433386 */   GIM_Try, /*On fail goto*//*Label 35189*/ GIMT_Encode4(2433458), // Rule ID 45538 //
     /* 2433391 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433394 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433397 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433400 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433403 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433407 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433411 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433415 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433419 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433423 */     // MIs[0] policy
     /* 2433423 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433426 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433433 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433433 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2433436 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433438 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433440 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433442 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433457 */     // GIR_Coverage, 45538,
     /* 2433457 */     GIR_EraseRootFromParent_Done,
     /* 2433458 */   // Label 35189: @2433458
     /* 2433458 */   GIM_Try, /*On fail goto*//*Label 35190*/ GIMT_Encode4(2433530), // Rule ID 45539 //
     /* 2433463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433487 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433495 */     // MIs[0] policy
     /* 2433495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433498 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433505 */     // (riscv_slidedown_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433505 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2433508 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433510 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433512 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433514 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433516 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433518 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433523 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2433526 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433528 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433529 */     // GIR_Coverage, 45539,
     /* 2433529 */     GIR_EraseRootFromParent_Done,
     /* 2433530 */   // Label 35190: @2433530
     /* 2433530 */   GIM_Reject,
     /* 2433531 */ // Label 35182: @2433531
     /* 2433531 */ GIM_Reject,
     /* 2433532 */ // Label 35128: @2433532
     /* 2433532 */ GIM_Try, /*On fail goto*//*Label 35191*/ GIMT_Encode4(2434164),
     /* 2433537 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2433540 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2433543 */   GIM_Try, /*On fail goto*//*Label 35192*/ GIMT_Encode4(2433626), // Rule ID 45476 //
     /* 2433548 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433551 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433554 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433557 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433560 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433564 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433568 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433572 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433576 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433580 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433584 */     // MIs[1] Operand 1
     /* 2433584 */     // No operand predicates
     /* 2433584 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433588 */     // MIs[0] policy
     /* 2433588 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433591 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433593 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433600 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433600 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2433603 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433605 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433607 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433609 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433612 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433614 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433619 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433622 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433624 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433625 */     // GIR_Coverage, 45476,
     /* 2433625 */     GIR_EraseRootFromParent_Done,
     /* 2433626 */   // Label 35192: @2433626
     /* 2433626 */   GIM_Try, /*On fail goto*//*Label 35193*/ GIMT_Encode4(2433709), // Rule ID 45477 //
     /* 2433631 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433634 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433637 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433640 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433643 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433647 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433651 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433655 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433659 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433663 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433667 */     // MIs[1] Operand 1
     /* 2433667 */     // No operand predicates
     /* 2433667 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433671 */     // MIs[0] policy
     /* 2433671 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433674 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433676 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433683 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433683 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2433686 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433688 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433690 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433692 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433708 */     // GIR_Coverage, 45477,
     /* 2433708 */     GIR_EraseRootFromParent_Done,
     /* 2433709 */   // Label 35193: @2433709
     /* 2433709 */   GIM_Try, /*On fail goto*//*Label 35194*/ GIMT_Encode4(2433792), // Rule ID 45548 //
     /* 2433714 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433717 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433720 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433723 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433726 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433730 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433734 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433738 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433742 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433746 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433750 */     // MIs[1] Operand 1
     /* 2433750 */     // No operand predicates
     /* 2433750 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433754 */     // MIs[0] policy
     /* 2433754 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433757 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433759 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433766 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433766 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2433769 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433771 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433773 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433775 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433778 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433780 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433785 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433788 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433790 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433791 */     // GIR_Coverage, 45548,
     /* 2433791 */     GIR_EraseRootFromParent_Done,
     /* 2433792 */   // Label 35194: @2433792
     /* 2433792 */   GIM_Try, /*On fail goto*//*Label 35195*/ GIMT_Encode4(2433875), // Rule ID 45549 //
     /* 2433797 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433800 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433803 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433806 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433809 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433813 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433817 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433821 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2433825 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2433829 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2433833 */     // MIs[1] Operand 1
     /* 2433833 */     // No operand predicates
     /* 2433833 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433837 */     // MIs[0] policy
     /* 2433837 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433840 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2433842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433849 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2433852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433858 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2433861 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433863 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433868 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433871 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433873 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433874 */     // GIR_Coverage, 45549,
     /* 2433874 */     GIR_EraseRootFromParent_Done,
     /* 2433875 */   // Label 35195: @2433875
     /* 2433875 */   GIM_Try, /*On fail goto*//*Label 35196*/ GIMT_Encode4(2433947), // Rule ID 45478 //
     /* 2433880 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2433883 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2433886 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433889 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2433892 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433896 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433900 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433904 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433912 */     // MIs[0] policy
     /* 2433912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433915 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433922 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2433922 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2433925 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433927 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2433929 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2433931 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2433933 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2433935 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2433940 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2433943 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2433945 */     GIR_RootConstrainSelectedInstOperands,
     /* 2433946 */     // GIR_Coverage, 45478,
     /* 2433946 */     GIR_EraseRootFromParent_Done,
     /* 2433947 */   // Label 35196: @2433947
     /* 2433947 */   GIM_Try, /*On fail goto*//*Label 35197*/ GIMT_Encode4(2434019), // Rule ID 45479 //
     /* 2433952 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2433955 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2433958 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2433961 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2433964 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2433968 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433972 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2433976 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2433980 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2433984 */     // MIs[0] policy
     /* 2433984 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2433987 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2433994 */     // (riscv_slidedown_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2433994 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2433997 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2433999 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434001 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434003 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434005 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434007 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434012 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434015 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434017 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434018 */     // GIR_Coverage, 45479,
     /* 2434018 */     GIR_EraseRootFromParent_Done,
     /* 2434019 */   // Label 35197: @2434019
     /* 2434019 */   GIM_Try, /*On fail goto*//*Label 35198*/ GIMT_Encode4(2434091), // Rule ID 45550 //
     /* 2434024 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434027 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434030 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434033 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434036 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434040 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434044 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434048 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434052 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434056 */     // MIs[0] policy
     /* 2434056 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434059 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434066 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434066 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2434069 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434071 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434073 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434075 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434077 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434079 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434084 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434087 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434089 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434090 */     // GIR_Coverage, 45550,
     /* 2434090 */     GIR_EraseRootFromParent_Done,
     /* 2434091 */   // Label 35198: @2434091
     /* 2434091 */   GIM_Try, /*On fail goto*//*Label 35199*/ GIMT_Encode4(2434163), // Rule ID 45551 //
     /* 2434096 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434099 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434102 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434105 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434108 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434112 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434116 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434120 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434128 */     // MIs[0] policy
     /* 2434128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434131 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434138 */     // (riscv_slidedown_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434138 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2434141 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434143 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434145 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434147 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434149 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434151 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434156 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2434159 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434161 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434162 */     // GIR_Coverage, 45551,
     /* 2434162 */     GIR_EraseRootFromParent_Done,
     /* 2434163 */   // Label 35199: @2434163
     /* 2434163 */   GIM_Reject,
     /* 2434164 */ // Label 35191: @2434164
     /* 2434164 */ GIM_Reject,
     /* 2434165 */ // Label 35129: @2434165
     /* 2434165 */ GIM_Try, /*On fail goto*//*Label 35200*/ GIMT_Encode4(2434797),
     /* 2434170 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2434173 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2434176 */   GIM_Try, /*On fail goto*//*Label 35201*/ GIMT_Encode4(2434259), // Rule ID 45520 //
     /* 2434181 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434184 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434187 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434190 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434193 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434197 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434201 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434205 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434209 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434213 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434217 */     // MIs[1] Operand 1
     /* 2434217 */     // No operand predicates
     /* 2434217 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434221 */     // MIs[0] policy
     /* 2434221 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434224 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434226 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434233 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434233 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2434236 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434238 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434240 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434242 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434245 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434247 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434252 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434255 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434257 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434258 */     // GIR_Coverage, 45520,
     /* 2434258 */     GIR_EraseRootFromParent_Done,
     /* 2434259 */   // Label 35201: @2434259
     /* 2434259 */   GIM_Try, /*On fail goto*//*Label 35202*/ GIMT_Encode4(2434342), // Rule ID 45521 //
     /* 2434264 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434267 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434270 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434273 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434276 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434280 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434284 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434288 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434292 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434296 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434300 */     // MIs[1] Operand 1
     /* 2434300 */     // No operand predicates
     /* 2434300 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434304 */     // MIs[0] policy
     /* 2434304 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434307 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434316 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2434319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434325 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434328 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434330 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434335 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434338 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434340 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434341 */     // GIR_Coverage, 45521,
     /* 2434341 */     GIR_EraseRootFromParent_Done,
     /* 2434342 */   // Label 35202: @2434342
     /* 2434342 */   GIM_Try, /*On fail goto*//*Label 35203*/ GIMT_Encode4(2434425), // Rule ID 45580 //
     /* 2434347 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434350 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434353 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434356 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434359 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434363 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434367 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434371 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434375 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434379 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434383 */     // MIs[1] Operand 1
     /* 2434383 */     // No operand predicates
     /* 2434383 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434387 */     // MIs[0] policy
     /* 2434387 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434390 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434392 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434399 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434399 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2434402 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434404 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434406 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434408 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434411 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434413 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434418 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434421 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434423 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434424 */     // GIR_Coverage, 45580,
     /* 2434424 */     GIR_EraseRootFromParent_Done,
     /* 2434425 */   // Label 35203: @2434425
     /* 2434425 */   GIM_Try, /*On fail goto*//*Label 35204*/ GIMT_Encode4(2434508), // Rule ID 45581 //
     /* 2434430 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434433 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434436 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434439 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434442 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434446 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434450 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434454 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434458 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434462 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434466 */     // MIs[1] Operand 1
     /* 2434466 */     // No operand predicates
     /* 2434466 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434470 */     // MIs[0] policy
     /* 2434470 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434473 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434475 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434482 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434482 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2434485 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434487 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434489 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434491 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434494 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434496 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434501 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434504 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434506 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434507 */     // GIR_Coverage, 45581,
     /* 2434507 */     GIR_EraseRootFromParent_Done,
     /* 2434508 */   // Label 35204: @2434508
     /* 2434508 */   GIM_Try, /*On fail goto*//*Label 35205*/ GIMT_Encode4(2434580), // Rule ID 45522 //
     /* 2434513 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434516 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434519 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434522 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434525 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434529 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434533 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434537 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434545 */     // MIs[0] policy
     /* 2434545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434548 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434555 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434555 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2434558 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434560 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434562 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434564 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434566 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434568 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434573 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434576 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434578 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434579 */     // GIR_Coverage, 45522,
     /* 2434579 */     GIR_EraseRootFromParent_Done,
     /* 2434580 */   // Label 35205: @2434580
     /* 2434580 */   GIM_Try, /*On fail goto*//*Label 35206*/ GIMT_Encode4(2434652), // Rule ID 45523 //
     /* 2434585 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434588 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434591 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434594 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434597 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434601 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434605 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434609 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434613 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434617 */     // MIs[0] policy
     /* 2434617 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434620 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434627 */     // (riscv_slidedown_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434627 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2434630 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434632 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434634 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434636 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434638 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434640 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434645 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434648 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434650 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434651 */     // GIR_Coverage, 45523,
     /* 2434651 */     GIR_EraseRootFromParent_Done,
     /* 2434652 */   // Label 35206: @2434652
     /* 2434652 */   GIM_Try, /*On fail goto*//*Label 35207*/ GIMT_Encode4(2434724), // Rule ID 45582 //
     /* 2434657 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2434660 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434663 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434666 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434669 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434673 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434677 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434681 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434685 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434689 */     // MIs[0] policy
     /* 2434689 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434692 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434699 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434699 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2434702 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434704 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434706 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434708 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434710 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434712 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434717 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434720 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434722 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434723 */     // GIR_Coverage, 45582,
     /* 2434723 */     GIR_EraseRootFromParent_Done,
     /* 2434724 */   // Label 35207: @2434724
     /* 2434724 */   GIM_Try, /*On fail goto*//*Label 35208*/ GIMT_Encode4(2434796), // Rule ID 45583 //
     /* 2434729 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2434732 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434735 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2434738 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434741 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2434745 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434749 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2434753 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2434757 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434761 */     // MIs[0] policy
     /* 2434761 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434764 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434771 */     // (riscv_slidedown_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434771 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2434774 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434776 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434778 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434780 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2434782 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434784 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434789 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2434792 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434794 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434795 */     // GIR_Coverage, 45583,
     /* 2434795 */     GIR_EraseRootFromParent_Done,
     /* 2434796 */   // Label 35208: @2434796
     /* 2434796 */   GIM_Reject,
     /* 2434797 */ // Label 35200: @2434797
     /* 2434797 */ GIM_Reject,
     /* 2434798 */ // Label 35130: @2434798
     /* 2434798 */ GIM_Try, /*On fail goto*//*Label 35209*/ GIMT_Encode4(2435120),
     /* 2434803 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2434806 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2434809 */   GIM_Try, /*On fail goto*//*Label 35210*/ GIMT_Encode4(2434892), // Rule ID 45452 //
     /* 2434814 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434817 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434820 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434823 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434826 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434830 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434834 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434838 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434842 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434846 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434850 */     // MIs[1] Operand 1
     /* 2434850 */     // No operand predicates
     /* 2434850 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434854 */     // MIs[0] policy
     /* 2434854 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434857 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434859 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434866 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2434866 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2434869 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434871 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434873 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434875 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434878 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434880 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434885 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434888 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434890 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434891 */     // GIR_Coverage, 45452,
     /* 2434891 */     GIR_EraseRootFromParent_Done,
     /* 2434892 */   // Label 35210: @2434892
     /* 2434892 */   GIM_Try, /*On fail goto*//*Label 35211*/ GIMT_Encode4(2434975), // Rule ID 45453 //
     /* 2434897 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2434900 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2434903 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434906 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2434909 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434913 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434917 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2434921 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2434925 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2434929 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2434933 */     // MIs[1] Operand 1
     /* 2434933 */     // No operand predicates
     /* 2434933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2434937 */     // MIs[0] policy
     /* 2434937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2434940 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2434942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2434949 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2434949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_MF2_MASK),
     /* 2434952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2434954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2434956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2434958 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2434961 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2434963 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2434968 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2434971 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2434973 */     GIR_RootConstrainSelectedInstOperands,
     /* 2434974 */     // GIR_Coverage, 45453,
     /* 2434974 */     GIR_EraseRootFromParent_Done,
     /* 2434975 */   // Label 35211: @2434975
     /* 2434975 */   GIM_Try, /*On fail goto*//*Label 35212*/ GIMT_Encode4(2435047), // Rule ID 45454 //
     /* 2434980 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2434983 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2434986 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2434989 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2434992 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2434996 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435000 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435004 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435008 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435012 */     // MIs[0] policy
     /* 2435012 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435015 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435022 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435022 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2435025 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435027 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435029 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435031 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435033 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435035 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435040 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435043 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435045 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435046 */     // GIR_Coverage, 45454,
     /* 2435046 */     GIR_EraseRootFromParent_Done,
     /* 2435047 */   // Label 35212: @2435047
     /* 2435047 */   GIM_Try, /*On fail goto*//*Label 35213*/ GIMT_Encode4(2435119), // Rule ID 45455 //
     /* 2435052 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435055 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435058 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435061 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435064 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435068 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435072 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435076 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435084 */     // MIs[0] policy
     /* 2435084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435087 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435094 */     // (riscv_slidedown_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435094 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_MF2_MASK),
     /* 2435097 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435099 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435101 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435103 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435105 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435107 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435112 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2435115 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435117 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435118 */     // GIR_Coverage, 45455,
     /* 2435118 */     GIR_EraseRootFromParent_Done,
     /* 2435119 */   // Label 35213: @2435119
     /* 2435119 */   GIM_Reject,
     /* 2435120 */ // Label 35209: @2435120
     /* 2435120 */ GIM_Reject,
     /* 2435121 */ // Label 35131: @2435121
     /* 2435121 */ GIM_Try, /*On fail goto*//*Label 35214*/ GIMT_Encode4(2435753),
     /* 2435126 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2435129 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2435132 */   GIM_Try, /*On fail goto*//*Label 35215*/ GIMT_Encode4(2435215), // Rule ID 45472 //
     /* 2435137 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435140 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435143 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435146 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435149 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435153 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435157 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435161 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435165 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435169 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435173 */     // MIs[1] Operand 1
     /* 2435173 */     // No operand predicates
     /* 2435173 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435177 */     // MIs[0] policy
     /* 2435177 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435180 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435182 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435189 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435189 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2435192 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435194 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435196 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435198 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435201 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435203 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435208 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435211 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435213 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435214 */     // GIR_Coverage, 45472,
     /* 2435214 */     GIR_EraseRootFromParent_Done,
     /* 2435215 */   // Label 35215: @2435215
     /* 2435215 */   GIM_Try, /*On fail goto*//*Label 35216*/ GIMT_Encode4(2435298), // Rule ID 45473 //
     /* 2435220 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435223 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435226 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435229 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435232 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435236 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435240 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435244 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435248 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435252 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435256 */     // MIs[1] Operand 1
     /* 2435256 */     // No operand predicates
     /* 2435256 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435260 */     // MIs[0] policy
     /* 2435260 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435263 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435265 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435272 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435272 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2435275 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435277 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435279 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435281 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435284 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435286 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435291 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435294 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435296 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435297 */     // GIR_Coverage, 45473,
     /* 2435297 */     GIR_EraseRootFromParent_Done,
     /* 2435298 */   // Label 35216: @2435298
     /* 2435298 */   GIM_Try, /*On fail goto*//*Label 35217*/ GIMT_Encode4(2435381), // Rule ID 45544 //
     /* 2435303 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435306 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435309 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435312 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435315 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435319 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435323 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435327 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435331 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435335 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435339 */     // MIs[1] Operand 1
     /* 2435339 */     // No operand predicates
     /* 2435339 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435343 */     // MIs[0] policy
     /* 2435343 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435346 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435348 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435355 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435355 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2435358 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435360 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435362 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435364 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435367 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435369 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435374 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435377 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435379 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435380 */     // GIR_Coverage, 45544,
     /* 2435380 */     GIR_EraseRootFromParent_Done,
     /* 2435381 */   // Label 35217: @2435381
     /* 2435381 */   GIM_Try, /*On fail goto*//*Label 35218*/ GIMT_Encode4(2435464), // Rule ID 45545 //
     /* 2435386 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435389 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435392 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435395 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435398 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435402 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435406 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435410 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435414 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435418 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435422 */     // MIs[1] Operand 1
     /* 2435422 */     // No operand predicates
     /* 2435422 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435426 */     // MIs[0] policy
     /* 2435426 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435429 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435438 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2435441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435447 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435450 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435452 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435457 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435460 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435462 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435463 */     // GIR_Coverage, 45545,
     /* 2435463 */     GIR_EraseRootFromParent_Done,
     /* 2435464 */   // Label 35218: @2435464
     /* 2435464 */   GIM_Try, /*On fail goto*//*Label 35219*/ GIMT_Encode4(2435536), // Rule ID 45474 //
     /* 2435469 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435472 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435475 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435478 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435481 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435485 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435489 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435493 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435501 */     // MIs[0] policy
     /* 2435501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435504 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435511 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435511 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2435514 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435516 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435518 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435520 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435522 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435524 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435529 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435532 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435534 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435535 */     // GIR_Coverage, 45474,
     /* 2435535 */     GIR_EraseRootFromParent_Done,
     /* 2435536 */   // Label 35219: @2435536
     /* 2435536 */   GIM_Try, /*On fail goto*//*Label 35220*/ GIMT_Encode4(2435608), // Rule ID 45475 //
     /* 2435541 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435544 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435547 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435550 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435553 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435557 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435561 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435565 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435569 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435573 */     // MIs[0] policy
     /* 2435573 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435576 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435583 */     // (riscv_slidedown_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435583 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2435586 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435588 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435590 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435592 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435594 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435596 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435601 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435604 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435606 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435607 */     // GIR_Coverage, 45475,
     /* 2435607 */     GIR_EraseRootFromParent_Done,
     /* 2435608 */   // Label 35220: @2435608
     /* 2435608 */   GIM_Try, /*On fail goto*//*Label 35221*/ GIMT_Encode4(2435680), // Rule ID 45546 //
     /* 2435613 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435616 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435619 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435622 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435625 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435629 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435633 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435637 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435641 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435645 */     // MIs[0] policy
     /* 2435645 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435648 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435655 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435655 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2435658 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435660 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435662 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435664 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435666 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435668 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435673 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435676 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435678 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435679 */     // GIR_Coverage, 45546,
     /* 2435679 */     GIR_EraseRootFromParent_Done,
     /* 2435680 */   // Label 35221: @2435680
     /* 2435680 */   GIM_Try, /*On fail goto*//*Label 35222*/ GIMT_Encode4(2435752), // Rule ID 45547 //
     /* 2435685 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435688 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435691 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435694 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435697 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2435701 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435705 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2435709 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2435713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435717 */     // MIs[0] policy
     /* 2435717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435720 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435727 */     // (riscv_slidedown_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435727 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2435730 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435732 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435734 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435736 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2435738 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435740 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435745 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2435748 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435750 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435751 */     // GIR_Coverage, 45547,
     /* 2435751 */     GIR_EraseRootFromParent_Done,
     /* 2435752 */   // Label 35222: @2435752
     /* 2435752 */   GIM_Reject,
     /* 2435753 */ // Label 35214: @2435753
     /* 2435753 */ GIM_Reject,
     /* 2435754 */ // Label 35132: @2435754
     /* 2435754 */ GIM_Try, /*On fail goto*//*Label 35223*/ GIMT_Encode4(2436386),
     /* 2435759 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2435762 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2435765 */   GIM_Try, /*On fail goto*//*Label 35224*/ GIMT_Encode4(2435848), // Rule ID 45508 //
     /* 2435770 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435773 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435776 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435779 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435782 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435786 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435790 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435794 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435798 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435802 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435806 */     // MIs[1] Operand 1
     /* 2435806 */     // No operand predicates
     /* 2435806 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435810 */     // MIs[0] policy
     /* 2435810 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435813 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435815 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435822 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435822 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2435825 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435827 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435829 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435831 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435834 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435836 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435841 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435844 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435846 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435847 */     // GIR_Coverage, 45508,
     /* 2435847 */     GIR_EraseRootFromParent_Done,
     /* 2435848 */   // Label 35224: @2435848
     /* 2435848 */   GIM_Try, /*On fail goto*//*Label 35225*/ GIMT_Encode4(2435931), // Rule ID 45509 //
     /* 2435853 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2435856 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2435859 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435862 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2435865 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435869 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435873 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435877 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435881 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435885 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435889 */     // MIs[1] Operand 1
     /* 2435889 */     // No operand predicates
     /* 2435889 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435893 */     // MIs[0] policy
     /* 2435893 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435896 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435898 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435905 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2435905 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2435908 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435910 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435912 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435914 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2435917 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2435919 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2435924 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2435927 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2435929 */     GIR_RootConstrainSelectedInstOperands,
     /* 2435930 */     // GIR_Coverage, 45509,
     /* 2435930 */     GIR_EraseRootFromParent_Done,
     /* 2435931 */   // Label 35225: @2435931
     /* 2435931 */   GIM_Try, /*On fail goto*//*Label 35226*/ GIMT_Encode4(2436014), // Rule ID 45568 //
     /* 2435936 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2435939 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2435942 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2435945 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2435948 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2435952 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435956 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2435960 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2435964 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2435968 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2435972 */     // MIs[1] Operand 1
     /* 2435972 */     // No operand predicates
     /* 2435972 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2435976 */     // MIs[0] policy
     /* 2435976 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2435979 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2435981 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2435988 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2435988 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2435991 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2435993 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2435995 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2435997 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436000 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436002 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436007 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436010 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436012 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436013 */     // GIR_Coverage, 45568,
     /* 2436013 */     GIR_EraseRootFromParent_Done,
     /* 2436014 */   // Label 35226: @2436014
     /* 2436014 */   GIM_Try, /*On fail goto*//*Label 35227*/ GIMT_Encode4(2436097), // Rule ID 45569 //
     /* 2436019 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436022 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436025 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436028 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436031 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436035 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436039 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436043 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436047 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436051 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436055 */     // MIs[1] Operand 1
     /* 2436055 */     // No operand predicates
     /* 2436055 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436059 */     // MIs[0] policy
     /* 2436059 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436062 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436071 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2436074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436080 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436083 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436085 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436090 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436093 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436095 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436096 */     // GIR_Coverage, 45569,
     /* 2436096 */     GIR_EraseRootFromParent_Done,
     /* 2436097 */   // Label 35227: @2436097
     /* 2436097 */   GIM_Try, /*On fail goto*//*Label 35228*/ GIMT_Encode4(2436169), // Rule ID 45510 //
     /* 2436102 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436105 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436108 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436111 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436114 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436118 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436122 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436126 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436134 */     // MIs[0] policy
     /* 2436134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436137 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436144 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436144 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2436147 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436149 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436151 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436153 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436155 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436157 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436162 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436165 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436167 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436168 */     // GIR_Coverage, 45510,
     /* 2436168 */     GIR_EraseRootFromParent_Done,
     /* 2436169 */   // Label 35228: @2436169
     /* 2436169 */   GIM_Try, /*On fail goto*//*Label 35229*/ GIMT_Encode4(2436241), // Rule ID 45511 //
     /* 2436174 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436177 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436180 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436183 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436186 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436190 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436194 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436198 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436202 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436206 */     // MIs[0] policy
     /* 2436206 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436209 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436216 */     // (riscv_slidedown_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436216 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2436219 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436221 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436223 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436225 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436227 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436229 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436234 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436237 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436239 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436240 */     // GIR_Coverage, 45511,
     /* 2436240 */     GIR_EraseRootFromParent_Done,
     /* 2436241 */   // Label 35229: @2436241
     /* 2436241 */   GIM_Try, /*On fail goto*//*Label 35230*/ GIMT_Encode4(2436313), // Rule ID 45570 //
     /* 2436246 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2436249 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436252 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436255 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436258 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436262 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436266 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436270 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436274 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436278 */     // MIs[0] policy
     /* 2436278 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436281 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436288 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436288 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2436291 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436293 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436295 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436297 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436299 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436301 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436306 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436309 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436311 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436312 */     // GIR_Coverage, 45570,
     /* 2436312 */     GIR_EraseRootFromParent_Done,
     /* 2436313 */   // Label 35230: @2436313
     /* 2436313 */   GIM_Try, /*On fail goto*//*Label 35231*/ GIMT_Encode4(2436385), // Rule ID 45571 //
     /* 2436318 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2436321 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436324 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436327 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436330 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2436334 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436338 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2436342 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436350 */     // MIs[0] policy
     /* 2436350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436353 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436360 */     // (riscv_slidedown_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436360 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2436363 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436365 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436367 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436369 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436371 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436373 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436378 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2436381 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436383 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436384 */     // GIR_Coverage, 45571,
     /* 2436384 */     GIR_EraseRootFromParent_Done,
     /* 2436385 */   // Label 35231: @2436385
     /* 2436385 */   GIM_Reject,
     /* 2436386 */ // Label 35223: @2436386
     /* 2436386 */ GIM_Reject,
     /* 2436387 */ // Label 35133: @2436387
     /* 2436387 */ GIM_Try, /*On fail goto*//*Label 35232*/ GIMT_Encode4(2437019),
     /* 2436392 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2436395 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2436398 */   GIM_Try, /*On fail goto*//*Label 35233*/ GIMT_Encode4(2436481), // Rule ID 45524 //
     /* 2436403 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436406 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436409 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436412 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436415 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436419 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436423 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436427 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436431 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436435 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436439 */     // MIs[1] Operand 1
     /* 2436439 */     // No operand predicates
     /* 2436439 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436443 */     // MIs[0] policy
     /* 2436443 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436446 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436448 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436455 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436455 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2436458 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436460 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436462 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436464 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436467 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436469 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436474 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436477 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436479 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436480 */     // GIR_Coverage, 45524,
     /* 2436480 */     GIR_EraseRootFromParent_Done,
     /* 2436481 */   // Label 35233: @2436481
     /* 2436481 */   GIM_Try, /*On fail goto*//*Label 35234*/ GIMT_Encode4(2436564), // Rule ID 45525 //
     /* 2436486 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436489 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436492 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436495 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436498 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436502 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436506 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436510 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436514 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436518 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436522 */     // MIs[1] Operand 1
     /* 2436522 */     // No operand predicates
     /* 2436522 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436526 */     // MIs[0] policy
     /* 2436526 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436529 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436538 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2436541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436547 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436550 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436552 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436557 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436560 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436562 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436563 */     // GIR_Coverage, 45525,
     /* 2436563 */     GIR_EraseRootFromParent_Done,
     /* 2436564 */   // Label 35234: @2436564
     /* 2436564 */   GIM_Try, /*On fail goto*//*Label 35235*/ GIMT_Encode4(2436647), // Rule ID 45584 //
     /* 2436569 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436572 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436575 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436578 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436581 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436585 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436589 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436593 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436597 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436601 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436605 */     // MIs[1] Operand 1
     /* 2436605 */     // No operand predicates
     /* 2436605 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436609 */     // MIs[0] policy
     /* 2436609 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436612 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436614 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436621 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436621 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2436624 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436626 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436628 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436630 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436633 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436635 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436640 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436643 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436645 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436646 */     // GIR_Coverage, 45584,
     /* 2436646 */     GIR_EraseRootFromParent_Done,
     /* 2436647 */   // Label 35235: @2436647
     /* 2436647 */   GIM_Try, /*On fail goto*//*Label 35236*/ GIMT_Encode4(2436730), // Rule ID 45585 //
     /* 2436652 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436655 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436658 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436661 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436664 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436668 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436672 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436676 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2436680 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2436684 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2436688 */     // MIs[1] Operand 1
     /* 2436688 */     // No operand predicates
     /* 2436688 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436692 */     // MIs[0] policy
     /* 2436692 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436695 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2436697 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436704 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436704 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2436707 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436709 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436711 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436713 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2436716 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436718 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436723 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436726 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436728 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436729 */     // GIR_Coverage, 45585,
     /* 2436729 */     GIR_EraseRootFromParent_Done,
     /* 2436730 */   // Label 35236: @2436730
     /* 2436730 */   GIM_Try, /*On fail goto*//*Label 35237*/ GIMT_Encode4(2436802), // Rule ID 45526 //
     /* 2436735 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436738 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436741 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436744 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436747 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436751 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436755 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436759 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436767 */     // MIs[0] policy
     /* 2436767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436770 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436777 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436777 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2436780 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436782 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436784 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436786 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436788 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436790 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436795 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436798 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436800 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436801 */     // GIR_Coverage, 45526,
     /* 2436801 */     GIR_EraseRootFromParent_Done,
     /* 2436802 */   // Label 35237: @2436802
     /* 2436802 */   GIM_Try, /*On fail goto*//*Label 35238*/ GIMT_Encode4(2436874), // Rule ID 45527 //
     /* 2436807 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436810 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436813 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436816 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436819 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436823 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436827 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436831 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436835 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436839 */     // MIs[0] policy
     /* 2436839 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436842 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436849 */     // (riscv_slidedown_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436849 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2436852 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436854 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436856 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436858 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436860 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436862 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436867 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436870 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436872 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436873 */     // GIR_Coverage, 45527,
     /* 2436873 */     GIR_EraseRootFromParent_Done,
     /* 2436874 */   // Label 35238: @2436874
     /* 2436874 */   GIM_Try, /*On fail goto*//*Label 35239*/ GIMT_Encode4(2436946), // Rule ID 45586 //
     /* 2436879 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2436882 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2436885 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436888 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2436891 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436895 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436899 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436903 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436907 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436911 */     // MIs[0] policy
     /* 2436911 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436914 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436921 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2436921 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2436924 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436926 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2436928 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2436930 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2436932 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2436934 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2436939 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2436942 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2436944 */     GIR_RootConstrainSelectedInstOperands,
     /* 2436945 */     // GIR_Coverage, 45586,
     /* 2436945 */     GIR_EraseRootFromParent_Done,
     /* 2436946 */   // Label 35239: @2436946
     /* 2436946 */   GIM_Try, /*On fail goto*//*Label 35240*/ GIMT_Encode4(2437018), // Rule ID 45587 //
     /* 2436951 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2436954 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2436957 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2436960 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2436963 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2436967 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436971 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2436975 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2436979 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2436983 */     // MIs[0] policy
     /* 2436983 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2436986 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2436993 */     // (riscv_slidedown_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2436993 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2436996 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2436998 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437000 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437002 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437004 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437006 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437011 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2437014 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437016 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437017 */     // GIR_Coverage, 45587,
     /* 2437017 */     GIR_EraseRootFromParent_Done,
     /* 2437018 */   // Label 35240: @2437018
     /* 2437018 */   GIM_Reject,
     /* 2437019 */ // Label 35232: @2437019
     /* 2437019 */ GIM_Reject,
     /* 2437020 */ // Label 35134: @2437020
     /* 2437020 */ GIM_Try, /*On fail goto*//*Label 35241*/ GIMT_Encode4(2437342),
     /* 2437025 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2437028 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2437031 */   GIM_Try, /*On fail goto*//*Label 35242*/ GIMT_Encode4(2437114), // Rule ID 45468 //
     /* 2437036 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437039 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437042 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437045 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437048 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437052 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437056 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437060 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437064 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437068 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437072 */     // MIs[1] Operand 1
     /* 2437072 */     // No operand predicates
     /* 2437072 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437076 */     // MIs[0] policy
     /* 2437076 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437079 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437081 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437088 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437088 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2437091 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437093 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437095 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437097 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437100 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437102 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437107 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437110 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437112 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437113 */     // GIR_Coverage, 45468,
     /* 2437113 */     GIR_EraseRootFromParent_Done,
     /* 2437114 */   // Label 35242: @2437114
     /* 2437114 */   GIM_Try, /*On fail goto*//*Label 35243*/ GIMT_Encode4(2437197), // Rule ID 45469 //
     /* 2437119 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437122 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437125 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437128 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437131 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437135 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437139 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437143 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437147 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437151 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437155 */     // MIs[1] Operand 1
     /* 2437155 */     // No operand predicates
     /* 2437155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437159 */     // MIs[0] policy
     /* 2437159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437162 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437171 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M1_MASK),
     /* 2437174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437180 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437183 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437185 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437190 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437193 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437195 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437196 */     // GIR_Coverage, 45469,
     /* 2437196 */     GIR_EraseRootFromParent_Done,
     /* 2437197 */   // Label 35243: @2437197
     /* 2437197 */   GIM_Try, /*On fail goto*//*Label 35244*/ GIMT_Encode4(2437269), // Rule ID 45470 //
     /* 2437202 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437205 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437208 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437211 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437214 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437218 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437222 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437226 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437230 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437234 */     // MIs[0] policy
     /* 2437234 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437237 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437244 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437244 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2437247 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437249 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437251 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437253 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437255 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437257 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437262 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437265 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437267 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437268 */     // GIR_Coverage, 45470,
     /* 2437268 */     GIR_EraseRootFromParent_Done,
     /* 2437269 */   // Label 35244: @2437269
     /* 2437269 */   GIM_Try, /*On fail goto*//*Label 35245*/ GIMT_Encode4(2437341), // Rule ID 45471 //
     /* 2437274 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437277 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437280 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437283 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437286 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2437290 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437294 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2437298 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437306 */     // MIs[0] policy
     /* 2437306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437309 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437316 */     // (riscv_slidedown_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437316 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M1_MASK),
     /* 2437319 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437321 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437323 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437325 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437327 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437329 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437334 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2437337 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437339 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437340 */     // GIR_Coverage, 45471,
     /* 2437340 */     GIR_EraseRootFromParent_Done,
     /* 2437341 */   // Label 35245: @2437341
     /* 2437341 */   GIM_Reject,
     /* 2437342 */ // Label 35241: @2437342
     /* 2437342 */ GIM_Reject,
     /* 2437343 */ // Label 35135: @2437343
     /* 2437343 */ GIM_Try, /*On fail goto*//*Label 35246*/ GIMT_Encode4(2437975),
     /* 2437348 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2437351 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2437354 */   GIM_Try, /*On fail goto*//*Label 35247*/ GIMT_Encode4(2437437), // Rule ID 45496 //
     /* 2437359 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437362 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437365 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437368 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437371 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437375 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437379 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437383 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437387 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437391 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437395 */     // MIs[1] Operand 1
     /* 2437395 */     // No operand predicates
     /* 2437395 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437399 */     // MIs[0] policy
     /* 2437399 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437402 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437404 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437411 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437411 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2437414 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437416 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437418 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437420 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437423 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437425 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437430 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437433 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437435 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437436 */     // GIR_Coverage, 45496,
     /* 2437436 */     GIR_EraseRootFromParent_Done,
     /* 2437437 */   // Label 35247: @2437437
     /* 2437437 */   GIM_Try, /*On fail goto*//*Label 35248*/ GIMT_Encode4(2437520), // Rule ID 45497 //
     /* 2437442 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437445 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437448 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437451 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437454 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437458 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437462 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437466 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437470 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437474 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437478 */     // MIs[1] Operand 1
     /* 2437478 */     // No operand predicates
     /* 2437478 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437482 */     // MIs[0] policy
     /* 2437482 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437485 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437487 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437494 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437494 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2437497 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437499 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437501 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437503 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437506 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437508 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437513 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437516 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437518 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437519 */     // GIR_Coverage, 45497,
     /* 2437519 */     GIR_EraseRootFromParent_Done,
     /* 2437520 */   // Label 35248: @2437520
     /* 2437520 */   GIM_Try, /*On fail goto*//*Label 35249*/ GIMT_Encode4(2437603), // Rule ID 45556 //
     /* 2437525 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437528 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437531 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437534 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437537 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437541 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437545 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437549 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437553 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437557 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437561 */     // MIs[1] Operand 1
     /* 2437561 */     // No operand predicates
     /* 2437561 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437565 */     // MIs[0] policy
     /* 2437565 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437568 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437570 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437577 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437577 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2437580 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437582 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437584 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437586 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437589 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437591 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437596 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437599 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437601 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437602 */     // GIR_Coverage, 45556,
     /* 2437602 */     GIR_EraseRootFromParent_Done,
     /* 2437603 */   // Label 35249: @2437603
     /* 2437603 */   GIM_Try, /*On fail goto*//*Label 35250*/ GIMT_Encode4(2437686), // Rule ID 45557 //
     /* 2437608 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437611 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437614 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437617 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437620 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437624 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437628 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437632 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2437636 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2437640 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2437644 */     // MIs[1] Operand 1
     /* 2437644 */     // No operand predicates
     /* 2437644 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437648 */     // MIs[0] policy
     /* 2437648 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437651 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2437653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437660 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2437663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437669 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2437672 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437674 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437679 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437682 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437684 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437685 */     // GIR_Coverage, 45557,
     /* 2437685 */     GIR_EraseRootFromParent_Done,
     /* 2437686 */   // Label 35250: @2437686
     /* 2437686 */   GIM_Try, /*On fail goto*//*Label 35251*/ GIMT_Encode4(2437758), // Rule ID 45498 //
     /* 2437691 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437694 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437697 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437700 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437703 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437707 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437711 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437715 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437723 */     // MIs[0] policy
     /* 2437723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437726 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437733 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437733 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2437736 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437738 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437740 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437742 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437744 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437746 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437751 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437754 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437756 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437757 */     // GIR_Coverage, 45498,
     /* 2437757 */     GIR_EraseRootFromParent_Done,
     /* 2437758 */   // Label 35251: @2437758
     /* 2437758 */   GIM_Try, /*On fail goto*//*Label 35252*/ GIMT_Encode4(2437830), // Rule ID 45499 //
     /* 2437763 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437766 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437769 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437772 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437775 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437779 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437783 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437787 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437791 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437795 */     // MIs[0] policy
     /* 2437795 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437798 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437805 */     // (riscv_slidedown_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437805 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2437808 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437810 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437812 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437814 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437816 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437818 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437823 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437826 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437828 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437829 */     // GIR_Coverage, 45499,
     /* 2437829 */     GIR_EraseRootFromParent_Done,
     /* 2437830 */   // Label 35252: @2437830
     /* 2437830 */   GIM_Try, /*On fail goto*//*Label 35253*/ GIMT_Encode4(2437902), // Rule ID 45558 //
     /* 2437835 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437838 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437841 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437844 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2437847 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437851 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437855 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437859 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437863 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437867 */     // MIs[0] policy
     /* 2437867 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437870 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437877 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2437877 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2437880 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437882 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437884 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437886 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437888 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437890 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437895 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437898 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437900 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437901 */     // GIR_Coverage, 45558,
     /* 2437901 */     GIR_EraseRootFromParent_Done,
     /* 2437902 */   // Label 35253: @2437902
     /* 2437902 */   GIM_Try, /*On fail goto*//*Label 35254*/ GIMT_Encode4(2437974), // Rule ID 45559 //
     /* 2437907 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2437910 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2437913 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2437916 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2437919 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2437923 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437927 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2437931 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2437935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2437939 */     // MIs[0] policy
     /* 2437939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2437942 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2437949 */     // (riscv_slidedown_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2437949 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2437952 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2437954 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2437956 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2437958 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2437960 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2437962 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2437967 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2437970 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2437972 */     GIR_RootConstrainSelectedInstOperands,
     /* 2437973 */     // GIR_Coverage, 45559,
     /* 2437973 */     GIR_EraseRootFromParent_Done,
     /* 2437974 */   // Label 35254: @2437974
     /* 2437974 */   GIM_Reject,
     /* 2437975 */ // Label 35246: @2437975
     /* 2437975 */ GIM_Reject,
     /* 2437976 */ // Label 35136: @2437976
     /* 2437976 */ GIM_Try, /*On fail goto*//*Label 35255*/ GIMT_Encode4(2438608),
     /* 2437981 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2437984 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2437987 */   GIM_Try, /*On fail goto*//*Label 35256*/ GIMT_Encode4(2438070), // Rule ID 45512 //
     /* 2437992 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2437995 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2437998 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438001 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438004 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438008 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438012 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438016 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438020 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438024 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438028 */     // MIs[1] Operand 1
     /* 2438028 */     // No operand predicates
     /* 2438028 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438032 */     // MIs[0] policy
     /* 2438032 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438035 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438037 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438044 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438044 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2438047 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438049 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438051 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438053 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438056 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438058 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438063 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438066 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438068 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438069 */     // GIR_Coverage, 45512,
     /* 2438069 */     GIR_EraseRootFromParent_Done,
     /* 2438070 */   // Label 35256: @2438070
     /* 2438070 */   GIM_Try, /*On fail goto*//*Label 35257*/ GIMT_Encode4(2438153), // Rule ID 45513 //
     /* 2438075 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438078 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438081 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438084 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438087 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438091 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438095 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438099 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438103 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438107 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438111 */     // MIs[1] Operand 1
     /* 2438111 */     // No operand predicates
     /* 2438111 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438115 */     // MIs[0] policy
     /* 2438115 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438118 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438127 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2438130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438136 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438139 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438141 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438146 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438149 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438151 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438152 */     // GIR_Coverage, 45513,
     /* 2438152 */     GIR_EraseRootFromParent_Done,
     /* 2438153 */   // Label 35257: @2438153
     /* 2438153 */   GIM_Try, /*On fail goto*//*Label 35258*/ GIMT_Encode4(2438236), // Rule ID 45572 //
     /* 2438158 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438161 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438164 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438167 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438170 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438174 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438178 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438182 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438186 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438190 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438194 */     // MIs[1] Operand 1
     /* 2438194 */     // No operand predicates
     /* 2438194 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438198 */     // MIs[0] policy
     /* 2438198 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438201 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438203 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438210 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438210 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2438213 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438215 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438217 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438219 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438222 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438224 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438229 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438232 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438234 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438235 */     // GIR_Coverage, 45572,
     /* 2438235 */     GIR_EraseRootFromParent_Done,
     /* 2438236 */   // Label 35258: @2438236
     /* 2438236 */   GIM_Try, /*On fail goto*//*Label 35259*/ GIMT_Encode4(2438319), // Rule ID 45573 //
     /* 2438241 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438244 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438247 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438250 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438253 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438257 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438261 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438265 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438269 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438273 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438277 */     // MIs[1] Operand 1
     /* 2438277 */     // No operand predicates
     /* 2438277 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438281 */     // MIs[0] policy
     /* 2438281 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438284 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438286 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438293 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438293 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2438296 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438298 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438300 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438302 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438305 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438307 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438312 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438315 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438317 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438318 */     // GIR_Coverage, 45573,
     /* 2438318 */     GIR_EraseRootFromParent_Done,
     /* 2438319 */   // Label 35259: @2438319
     /* 2438319 */   GIM_Try, /*On fail goto*//*Label 35260*/ GIMT_Encode4(2438391), // Rule ID 45514 //
     /* 2438324 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438327 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438330 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438333 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438336 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438340 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438344 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438348 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438352 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438356 */     // MIs[0] policy
     /* 2438356 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438359 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438366 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438366 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2438369 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438371 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438373 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438375 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438377 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438379 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438384 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438387 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438389 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438390 */     // GIR_Coverage, 45514,
     /* 2438390 */     GIR_EraseRootFromParent_Done,
     /* 2438391 */   // Label 35260: @2438391
     /* 2438391 */   GIM_Try, /*On fail goto*//*Label 35261*/ GIMT_Encode4(2438463), // Rule ID 45515 //
     /* 2438396 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438399 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438402 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438405 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438408 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438412 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438416 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438420 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438424 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438428 */     // MIs[0] policy
     /* 2438428 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438431 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438438 */     // (riscv_slidedown_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438438 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2438441 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438443 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438445 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438447 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438449 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438451 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438456 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438459 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438461 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438462 */     // GIR_Coverage, 45515,
     /* 2438462 */     GIR_EraseRootFromParent_Done,
     /* 2438463 */   // Label 35261: @2438463
     /* 2438463 */   GIM_Try, /*On fail goto*//*Label 35262*/ GIMT_Encode4(2438535), // Rule ID 45574 //
     /* 2438468 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2438471 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438474 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438477 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438480 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438484 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438488 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438492 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438496 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438500 */     // MIs[0] policy
     /* 2438500 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438503 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438510 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438510 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2438513 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438515 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438517 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438519 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438521 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438523 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438528 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438531 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438533 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438534 */     // GIR_Coverage, 45574,
     /* 2438534 */     GIR_EraseRootFromParent_Done,
     /* 2438535 */   // Label 35262: @2438535
     /* 2438535 */   GIM_Try, /*On fail goto*//*Label 35263*/ GIMT_Encode4(2438607), // Rule ID 45575 //
     /* 2438540 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2438543 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438546 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438549 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438552 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2438556 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438560 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2438564 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438572 */     // MIs[0] policy
     /* 2438572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438575 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438582 */     // (riscv_slidedown_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438582 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2438585 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438587 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438589 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438591 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2438593 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438595 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438600 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2438603 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438605 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438606 */     // GIR_Coverage, 45575,
     /* 2438606 */     GIR_EraseRootFromParent_Done,
     /* 2438607 */   // Label 35263: @2438607
     /* 2438607 */   GIM_Reject,
     /* 2438608 */ // Label 35255: @2438608
     /* 2438608 */ GIM_Reject,
     /* 2438609 */ // Label 35137: @2438609
     /* 2438609 */ GIM_Try, /*On fail goto*//*Label 35264*/ GIMT_Encode4(2439241),
     /* 2438614 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2438617 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2438620 */   GIM_Try, /*On fail goto*//*Label 35265*/ GIMT_Encode4(2438703), // Rule ID 45528 //
     /* 2438625 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2438628 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438631 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438634 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438637 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438641 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438645 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438649 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438653 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438657 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438661 */     // MIs[1] Operand 1
     /* 2438661 */     // No operand predicates
     /* 2438661 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438665 */     // MIs[0] policy
     /* 2438665 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438668 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438670 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438677 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438677 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2438680 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438682 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438684 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438686 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438689 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438691 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438696 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438699 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438701 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438702 */     // GIR_Coverage, 45528,
     /* 2438702 */     GIR_EraseRootFromParent_Done,
     /* 2438703 */   // Label 35265: @2438703
     /* 2438703 */   GIM_Try, /*On fail goto*//*Label 35266*/ GIMT_Encode4(2438786), // Rule ID 45529 //
     /* 2438708 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2438711 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438714 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438717 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438720 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438724 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438728 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438732 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438736 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438740 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438744 */     // MIs[1] Operand 1
     /* 2438744 */     // No operand predicates
     /* 2438744 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438748 */     // MIs[0] policy
     /* 2438748 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438751 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438760 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2438763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438769 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438772 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438774 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438779 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438782 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438784 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438785 */     // GIR_Coverage, 45529,
     /* 2438785 */     GIR_EraseRootFromParent_Done,
     /* 2438786 */   // Label 35266: @2438786
     /* 2438786 */   GIM_Try, /*On fail goto*//*Label 35267*/ GIMT_Encode4(2438869), // Rule ID 45588 //
     /* 2438791 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2438794 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438797 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438800 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438803 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438807 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438811 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438815 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438819 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438823 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438827 */     // MIs[1] Operand 1
     /* 2438827 */     // No operand predicates
     /* 2438827 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438831 */     // MIs[0] policy
     /* 2438831 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438834 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438836 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438843 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438843 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2438846 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438848 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438850 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438852 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438855 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438857 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438862 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438865 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438867 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438868 */     // GIR_Coverage, 45588,
     /* 2438868 */     GIR_EraseRootFromParent_Done,
     /* 2438869 */   // Label 35267: @2438869
     /* 2438869 */   GIM_Try, /*On fail goto*//*Label 35268*/ GIMT_Encode4(2438952), // Rule ID 45589 //
     /* 2438874 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2438877 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2438880 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438883 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2438886 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438890 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438894 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438898 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2438902 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2438906 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2438910 */     // MIs[1] Operand 1
     /* 2438910 */     // No operand predicates
     /* 2438910 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438914 */     // MIs[0] policy
     /* 2438914 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438917 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2438919 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438926 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2438926 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2438929 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2438931 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2438933 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2438935 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2438938 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2438940 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2438945 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2438948 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2438950 */     GIR_RootConstrainSelectedInstOperands,
     /* 2438951 */     // GIR_Coverage, 45589,
     /* 2438951 */     GIR_EraseRootFromParent_Done,
     /* 2438952 */   // Label 35268: @2438952
     /* 2438952 */   GIM_Try, /*On fail goto*//*Label 35269*/ GIMT_Encode4(2439024), // Rule ID 45530 //
     /* 2438957 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2438960 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2438963 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2438966 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2438969 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2438973 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438977 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2438981 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2438985 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2438989 */     // MIs[0] policy
     /* 2438989 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2438992 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2438999 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2438999 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2439002 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439004 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439006 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439008 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439010 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439012 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439017 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439020 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439022 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439023 */     // GIR_Coverage, 45530,
     /* 2439023 */     GIR_EraseRootFromParent_Done,
     /* 2439024 */   // Label 35269: @2439024
     /* 2439024 */   GIM_Try, /*On fail goto*//*Label 35270*/ GIMT_Encode4(2439096), // Rule ID 45531 //
     /* 2439029 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2439032 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439035 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439038 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439041 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439045 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439049 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439053 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439057 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439061 */     // MIs[0] policy
     /* 2439061 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439064 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439071 */     // (riscv_slidedown_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439071 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2439074 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439076 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439078 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439080 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439082 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439084 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439089 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439092 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439094 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439095 */     // GIR_Coverage, 45531,
     /* 2439095 */     GIR_EraseRootFromParent_Done,
     /* 2439096 */   // Label 35270: @2439096
     /* 2439096 */   GIM_Try, /*On fail goto*//*Label 35271*/ GIMT_Encode4(2439168), // Rule ID 45590 //
     /* 2439101 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2439104 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439107 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439110 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439113 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439117 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439121 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439125 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439129 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439133 */     // MIs[0] policy
     /* 2439133 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439136 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439143 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439143 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2439146 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439148 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439150 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439152 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439154 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439156 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439161 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439164 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439166 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439167 */     // GIR_Coverage, 45590,
     /* 2439167 */     GIR_EraseRootFromParent_Done,
     /* 2439168 */   // Label 35271: @2439168
     /* 2439168 */   GIM_Try, /*On fail goto*//*Label 35272*/ GIMT_Encode4(2439240), // Rule ID 45591 //
     /* 2439173 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2439176 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439179 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2439182 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439185 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2439189 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439193 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2439197 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439201 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439205 */     // MIs[0] policy
     /* 2439205 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439208 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439215 */     // (riscv_slidedown_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439215 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2439218 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439220 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439222 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439224 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439226 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439228 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439233 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2439236 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439238 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439239 */     // GIR_Coverage, 45591,
     /* 2439239 */     GIR_EraseRootFromParent_Done,
     /* 2439240 */   // Label 35272: @2439240
     /* 2439240 */   GIM_Reject,
     /* 2439241 */ // Label 35264: @2439241
     /* 2439241 */ GIM_Reject,
     /* 2439242 */ // Label 35138: @2439242
     /* 2439242 */ GIM_Try, /*On fail goto*//*Label 35273*/ GIMT_Encode4(2439564),
     /* 2439247 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2439250 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2439253 */   GIM_Try, /*On fail goto*//*Label 35274*/ GIMT_Encode4(2439336), // Rule ID 45484 //
     /* 2439258 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439261 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439264 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439267 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439270 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2439274 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439278 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439282 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439286 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439290 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439294 */     // MIs[1] Operand 1
     /* 2439294 */     // No operand predicates
     /* 2439294 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439298 */     // MIs[0] policy
     /* 2439298 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439301 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439303 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439310 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439310 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2439313 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439315 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439317 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439319 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439322 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439324 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439329 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439332 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439334 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439335 */     // GIR_Coverage, 45484,
     /* 2439335 */     GIR_EraseRootFromParent_Done,
     /* 2439336 */   // Label 35274: @2439336
     /* 2439336 */   GIM_Try, /*On fail goto*//*Label 35275*/ GIMT_Encode4(2439419), // Rule ID 45485 //
     /* 2439341 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439344 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439347 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439350 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439353 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2439357 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439361 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439365 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439369 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439373 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439377 */     // MIs[1] Operand 1
     /* 2439377 */     // No operand predicates
     /* 2439377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439381 */     // MIs[0] policy
     /* 2439381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439384 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439386 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439393 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439393 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M2_MASK),
     /* 2439396 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439398 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439400 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439402 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439405 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439407 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439412 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439415 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439417 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439418 */     // GIR_Coverage, 45485,
     /* 2439418 */     GIR_EraseRootFromParent_Done,
     /* 2439419 */   // Label 35275: @2439419
     /* 2439419 */   GIM_Try, /*On fail goto*//*Label 35276*/ GIMT_Encode4(2439491), // Rule ID 45486 //
     /* 2439424 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439427 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439430 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439433 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439436 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2439440 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439444 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439448 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439452 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439456 */     // MIs[0] policy
     /* 2439456 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439459 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439466 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439466 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2439469 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439471 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439473 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439475 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439477 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439479 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439484 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439487 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439489 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439490 */     // GIR_Coverage, 45486,
     /* 2439490 */     GIR_EraseRootFromParent_Done,
     /* 2439491 */   // Label 35276: @2439491
     /* 2439491 */   GIM_Try, /*On fail goto*//*Label 35277*/ GIMT_Encode4(2439563), // Rule ID 45487 //
     /* 2439496 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439499 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439502 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439505 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439508 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2439512 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439516 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2439520 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439528 */     // MIs[0] policy
     /* 2439528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439531 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439538 */     // (riscv_slidedown_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439538 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M2_MASK),
     /* 2439541 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439543 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439545 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439547 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439549 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439551 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439556 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2439559 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439561 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439562 */     // GIR_Coverage, 45487,
     /* 2439562 */     GIR_EraseRootFromParent_Done,
     /* 2439563 */   // Label 35277: @2439563
     /* 2439563 */   GIM_Reject,
     /* 2439564 */ // Label 35273: @2439564
     /* 2439564 */ GIM_Reject,
     /* 2439565 */ // Label 35139: @2439565
     /* 2439565 */ GIM_Try, /*On fail goto*//*Label 35278*/ GIMT_Encode4(2440197),
     /* 2439570 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2439573 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2439576 */   GIM_Try, /*On fail goto*//*Label 35279*/ GIMT_Encode4(2439659), // Rule ID 45500 //
     /* 2439581 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439584 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439587 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439590 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439593 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439597 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439601 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439605 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439609 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439613 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439617 */     // MIs[1] Operand 1
     /* 2439617 */     // No operand predicates
     /* 2439617 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439621 */     // MIs[0] policy
     /* 2439621 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439624 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439626 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439633 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439633 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2439636 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439638 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439640 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439642 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439645 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439647 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439652 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439655 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439657 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439658 */     // GIR_Coverage, 45500,
     /* 2439658 */     GIR_EraseRootFromParent_Done,
     /* 2439659 */   // Label 35279: @2439659
     /* 2439659 */   GIM_Try, /*On fail goto*//*Label 35280*/ GIMT_Encode4(2439742), // Rule ID 45501 //
     /* 2439664 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439667 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439670 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439673 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439676 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439680 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439684 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439688 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439692 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439696 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439700 */     // MIs[1] Operand 1
     /* 2439700 */     // No operand predicates
     /* 2439700 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439704 */     // MIs[0] policy
     /* 2439704 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439707 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439709 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439716 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439716 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2439719 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439721 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439723 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439725 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439728 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439730 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439735 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439738 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439740 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439741 */     // GIR_Coverage, 45501,
     /* 2439741 */     GIR_EraseRootFromParent_Done,
     /* 2439742 */   // Label 35280: @2439742
     /* 2439742 */   GIM_Try, /*On fail goto*//*Label 35281*/ GIMT_Encode4(2439825), // Rule ID 45560 //
     /* 2439747 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439750 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439753 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439756 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439759 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439763 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439767 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439771 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439775 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439779 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439783 */     // MIs[1] Operand 1
     /* 2439783 */     // No operand predicates
     /* 2439783 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439787 */     // MIs[0] policy
     /* 2439787 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439790 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439792 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439799 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439799 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2439802 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439804 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439806 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439808 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439811 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439813 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439818 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439821 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439823 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439824 */     // GIR_Coverage, 45560,
     /* 2439824 */     GIR_EraseRootFromParent_Done,
     /* 2439825 */   // Label 35281: @2439825
     /* 2439825 */   GIM_Try, /*On fail goto*//*Label 35282*/ GIMT_Encode4(2439908), // Rule ID 45561 //
     /* 2439830 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439833 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439836 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439839 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439842 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439846 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439850 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439854 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2439858 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2439862 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2439866 */     // MIs[1] Operand 1
     /* 2439866 */     // No operand predicates
     /* 2439866 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439870 */     // MIs[0] policy
     /* 2439870 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439873 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2439875 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439882 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2439882 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2439885 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439887 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439889 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439891 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2439894 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439896 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439901 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439904 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439906 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439907 */     // GIR_Coverage, 45561,
     /* 2439907 */     GIR_EraseRootFromParent_Done,
     /* 2439908 */   // Label 35282: @2439908
     /* 2439908 */   GIM_Try, /*On fail goto*//*Label 35283*/ GIMT_Encode4(2439980), // Rule ID 45502 //
     /* 2439913 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2439916 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2439919 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439922 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2439925 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2439929 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439933 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2439937 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2439941 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2439945 */     // MIs[0] policy
     /* 2439945 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2439948 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2439955 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2439955 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2439958 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2439960 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2439962 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2439964 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2439966 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2439968 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2439973 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2439976 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2439978 */     GIR_RootConstrainSelectedInstOperands,
     /* 2439979 */     // GIR_Coverage, 45502,
     /* 2439979 */     GIR_EraseRootFromParent_Done,
     /* 2439980 */   // Label 35283: @2439980
     /* 2439980 */   GIM_Try, /*On fail goto*//*Label 35284*/ GIMT_Encode4(2440052), // Rule ID 45503 //
     /* 2439985 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2439988 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2439991 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2439994 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2439997 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440001 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440005 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440009 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440013 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440017 */     // MIs[0] policy
     /* 2440017 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440020 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440027 */     // (riscv_slidedown_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440027 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2440030 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440032 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440034 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440036 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440038 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440040 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440045 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440048 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440050 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440051 */     // GIR_Coverage, 45503,
     /* 2440051 */     GIR_EraseRootFromParent_Done,
     /* 2440052 */   // Label 35284: @2440052
     /* 2440052 */   GIM_Try, /*On fail goto*//*Label 35285*/ GIMT_Encode4(2440124), // Rule ID 45562 //
     /* 2440057 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440060 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440063 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440066 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440069 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440073 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440077 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440081 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440085 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440089 */     // MIs[0] policy
     /* 2440089 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440092 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440099 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440099 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2440102 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440104 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440106 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440108 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440110 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440112 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440117 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440120 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440122 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440123 */     // GIR_Coverage, 45562,
     /* 2440123 */     GIR_EraseRootFromParent_Done,
     /* 2440124 */   // Label 35285: @2440124
     /* 2440124 */   GIM_Try, /*On fail goto*//*Label 35286*/ GIMT_Encode4(2440196), // Rule ID 45563 //
     /* 2440129 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440132 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440135 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440138 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440141 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440145 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440149 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440153 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440161 */     // MIs[0] policy
     /* 2440161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440164 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440171 */     // (riscv_slidedown_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440171 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2440174 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440176 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440178 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440180 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440182 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440184 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440189 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2440192 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440194 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440195 */     // GIR_Coverage, 45563,
     /* 2440195 */     GIR_EraseRootFromParent_Done,
     /* 2440196 */   // Label 35286: @2440196
     /* 2440196 */   GIM_Reject,
     /* 2440197 */ // Label 35278: @2440197
     /* 2440197 */ GIM_Reject,
     /* 2440198 */ // Label 35140: @2440198
     /* 2440198 */ GIM_Try, /*On fail goto*//*Label 35287*/ GIMT_Encode4(2440830),
     /* 2440203 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2440206 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2440209 */   GIM_Try, /*On fail goto*//*Label 35288*/ GIMT_Encode4(2440292), // Rule ID 45516 //
     /* 2440214 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440217 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440220 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440223 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440226 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440230 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440234 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440238 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440242 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440246 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440250 */     // MIs[1] Operand 1
     /* 2440250 */     // No operand predicates
     /* 2440250 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440254 */     // MIs[0] policy
     /* 2440254 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440257 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440259 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440266 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440266 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2440269 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440271 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440273 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440275 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440278 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440280 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440285 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440288 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440290 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440291 */     // GIR_Coverage, 45516,
     /* 2440291 */     GIR_EraseRootFromParent_Done,
     /* 2440292 */   // Label 35288: @2440292
     /* 2440292 */   GIM_Try, /*On fail goto*//*Label 35289*/ GIMT_Encode4(2440375), // Rule ID 45517 //
     /* 2440297 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440300 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440303 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440306 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440309 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440313 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440317 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440321 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440325 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440329 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440333 */     // MIs[1] Operand 1
     /* 2440333 */     // No operand predicates
     /* 2440333 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440337 */     // MIs[0] policy
     /* 2440337 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440340 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440342 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440349 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440349 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2440352 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440354 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440356 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440358 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440361 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440363 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440368 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440371 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440373 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440374 */     // GIR_Coverage, 45517,
     /* 2440374 */     GIR_EraseRootFromParent_Done,
     /* 2440375 */   // Label 35289: @2440375
     /* 2440375 */   GIM_Try, /*On fail goto*//*Label 35290*/ GIMT_Encode4(2440458), // Rule ID 45576 //
     /* 2440380 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440383 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440386 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440389 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440392 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440396 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440400 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440404 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440408 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440412 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440416 */     // MIs[1] Operand 1
     /* 2440416 */     // No operand predicates
     /* 2440416 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440420 */     // MIs[0] policy
     /* 2440420 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440423 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440425 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440432 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440432 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2440435 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440437 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440439 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440441 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440444 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440446 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440451 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440454 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440456 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440457 */     // GIR_Coverage, 45576,
     /* 2440457 */     GIR_EraseRootFromParent_Done,
     /* 2440458 */   // Label 35290: @2440458
     /* 2440458 */   GIM_Try, /*On fail goto*//*Label 35291*/ GIMT_Encode4(2440541), // Rule ID 45577 //
     /* 2440463 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440466 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440469 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440472 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440475 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440479 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440483 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440487 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440491 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440495 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440499 */     // MIs[1] Operand 1
     /* 2440499 */     // No operand predicates
     /* 2440499 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440503 */     // MIs[0] policy
     /* 2440503 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440506 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440508 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440515 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440515 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2440518 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440520 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440522 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440524 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440527 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440529 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440534 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440537 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440539 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440540 */     // GIR_Coverage, 45577,
     /* 2440540 */     GIR_EraseRootFromParent_Done,
     /* 2440541 */   // Label 35291: @2440541
     /* 2440541 */   GIM_Try, /*On fail goto*//*Label 35292*/ GIMT_Encode4(2440613), // Rule ID 45518 //
     /* 2440546 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440549 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440552 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440555 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440558 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440562 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440566 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440570 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440574 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440578 */     // MIs[0] policy
     /* 2440578 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440581 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440588 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440588 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440591 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440593 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440595 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440597 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440599 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440601 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440606 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440609 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440611 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440612 */     // GIR_Coverage, 45518,
     /* 2440612 */     GIR_EraseRootFromParent_Done,
     /* 2440613 */   // Label 35292: @2440613
     /* 2440613 */   GIM_Try, /*On fail goto*//*Label 35293*/ GIMT_Encode4(2440685), // Rule ID 45519 //
     /* 2440618 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440621 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440624 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440627 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440630 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440634 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440638 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440642 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440646 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440650 */     // MIs[0] policy
     /* 2440650 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440653 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440660 */     // (riscv_slidedown_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440660 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440663 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440665 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440667 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440669 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440671 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440673 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440678 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440681 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440683 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440684 */     // GIR_Coverage, 45519,
     /* 2440684 */     GIR_EraseRootFromParent_Done,
     /* 2440685 */   // Label 35293: @2440685
     /* 2440685 */   GIM_Try, /*On fail goto*//*Label 35294*/ GIMT_Encode4(2440757), // Rule ID 45578 //
     /* 2440690 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440693 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440696 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440699 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440702 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440706 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440710 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440714 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440718 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440722 */     // MIs[0] policy
     /* 2440722 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440725 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440732 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440732 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440735 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440737 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440739 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440741 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440743 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440745 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440750 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440753 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440755 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440756 */     // GIR_Coverage, 45578,
     /* 2440756 */     GIR_EraseRootFromParent_Done,
     /* 2440757 */   // Label 35294: @2440757
     /* 2440757 */   GIM_Try, /*On fail goto*//*Label 35295*/ GIMT_Encode4(2440829), // Rule ID 45579 //
     /* 2440762 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440765 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440768 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2440771 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440774 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2440778 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440782 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2440786 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2440790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440794 */     // MIs[0] policy
     /* 2440794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440797 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440804 */     // (riscv_slidedown_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440804 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2440807 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440809 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440811 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440813 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2440815 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440817 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440822 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2440825 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440827 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440828 */     // GIR_Coverage, 45579,
     /* 2440828 */     GIR_EraseRootFromParent_Done,
     /* 2440829 */   // Label 35295: @2440829
     /* 2440829 */   GIM_Reject,
     /* 2440830 */ // Label 35287: @2440830
     /* 2440830 */ GIM_Reject,
     /* 2440831 */ // Label 35141: @2440831
     /* 2440831 */ GIM_Try, /*On fail goto*//*Label 35296*/ GIMT_Encode4(2441153),
     /* 2440836 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2440839 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2440842 */   GIM_Try, /*On fail goto*//*Label 35297*/ GIMT_Encode4(2440925), // Rule ID 45488 //
     /* 2440847 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2440850 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2440853 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2440856 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2440859 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440863 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440867 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440871 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440875 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440879 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440883 */     // MIs[1] Operand 1
     /* 2440883 */     // No operand predicates
     /* 2440883 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440887 */     // MIs[0] policy
     /* 2440887 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440890 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440892 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440899 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2440899 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2440902 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440904 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440906 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440908 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440911 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440913 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2440918 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2440921 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2440923 */     GIR_RootConstrainSelectedInstOperands,
     /* 2440924 */     // GIR_Coverage, 45488,
     /* 2440924 */     GIR_EraseRootFromParent_Done,
     /* 2440925 */   // Label 35297: @2440925
     /* 2440925 */   GIM_Try, /*On fail goto*//*Label 35298*/ GIMT_Encode4(2441008), // Rule ID 45489 //
     /* 2440930 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2440933 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2440936 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2440939 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2440942 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2440946 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440950 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2440954 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2440958 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2440962 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2440966 */     // MIs[1] Operand 1
     /* 2440966 */     // No operand predicates
     /* 2440966 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2440970 */     // MIs[0] policy
     /* 2440970 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2440973 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2440975 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2440982 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2440982 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M4_MASK),
     /* 2440985 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2440987 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2440989 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2440991 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2440994 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2440996 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441001 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441004 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441006 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441007 */     // GIR_Coverage, 45489,
     /* 2441007 */     GIR_EraseRootFromParent_Done,
     /* 2441008 */   // Label 35298: @2441008
     /* 2441008 */   GIM_Try, /*On fail goto*//*Label 35299*/ GIMT_Encode4(2441080), // Rule ID 45490 //
     /* 2441013 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441016 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441019 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441022 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441025 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2441029 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441033 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441037 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441045 */     // MIs[0] policy
     /* 2441045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441048 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441055 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441055 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2441058 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441060 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441062 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441064 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441066 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441068 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441073 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441076 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441078 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441079 */     // GIR_Coverage, 45490,
     /* 2441079 */     GIR_EraseRootFromParent_Done,
     /* 2441080 */   // Label 35299: @2441080
     /* 2441080 */   GIM_Try, /*On fail goto*//*Label 35300*/ GIMT_Encode4(2441152), // Rule ID 45491 //
     /* 2441085 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441088 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441091 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441094 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441097 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2441101 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441105 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2441109 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441113 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441117 */     // MIs[0] policy
     /* 2441117 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441120 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441127 */     // (riscv_slidedown_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441127 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M4_MASK),
     /* 2441130 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441132 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441134 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441136 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441138 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441140 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441145 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441148 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441150 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441151 */     // GIR_Coverage, 45491,
     /* 2441151 */     GIR_EraseRootFromParent_Done,
     /* 2441152 */   // Label 35300: @2441152
     /* 2441152 */   GIM_Reject,
     /* 2441153 */ // Label 35296: @2441153
     /* 2441153 */ GIM_Reject,
     /* 2441154 */ // Label 35142: @2441154
     /* 2441154 */ GIM_Try, /*On fail goto*//*Label 35301*/ GIMT_Encode4(2441786),
     /* 2441159 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2441162 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2441165 */   GIM_Try, /*On fail goto*//*Label 35302*/ GIMT_Encode4(2441248), // Rule ID 45504 //
     /* 2441170 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441173 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441176 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441179 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441182 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441186 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441190 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441194 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441198 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441202 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441206 */     // MIs[1] Operand 1
     /* 2441206 */     // No operand predicates
     /* 2441206 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441210 */     // MIs[0] policy
     /* 2441210 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441213 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441215 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441222 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441222 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2441225 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441227 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441229 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441231 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441234 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441236 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441241 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441244 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441246 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441247 */     // GIR_Coverage, 45504,
     /* 2441247 */     GIR_EraseRootFromParent_Done,
     /* 2441248 */   // Label 35302: @2441248
     /* 2441248 */   GIM_Try, /*On fail goto*//*Label 35303*/ GIMT_Encode4(2441331), // Rule ID 45505 //
     /* 2441253 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441256 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441259 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441262 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441265 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441269 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441273 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441277 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441281 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441285 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441289 */     // MIs[1] Operand 1
     /* 2441289 */     // No operand predicates
     /* 2441289 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441293 */     // MIs[0] policy
     /* 2441293 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441296 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441298 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441305 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441305 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2441308 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441310 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441312 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441314 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441317 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441319 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441324 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441327 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441329 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441330 */     // GIR_Coverage, 45505,
     /* 2441330 */     GIR_EraseRootFromParent_Done,
     /* 2441331 */   // Label 35303: @2441331
     /* 2441331 */   GIM_Try, /*On fail goto*//*Label 35304*/ GIMT_Encode4(2441414), // Rule ID 45564 //
     /* 2441336 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441339 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441342 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441345 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441348 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441352 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441356 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441360 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441364 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441368 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441372 */     // MIs[1] Operand 1
     /* 2441372 */     // No operand predicates
     /* 2441372 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441376 */     // MIs[0] policy
     /* 2441376 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441379 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441381 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441388 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441388 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2441391 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441393 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441395 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441397 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441400 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441402 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441407 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441410 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441412 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441413 */     // GIR_Coverage, 45564,
     /* 2441413 */     GIR_EraseRootFromParent_Done,
     /* 2441414 */   // Label 35304: @2441414
     /* 2441414 */   GIM_Try, /*On fail goto*//*Label 35305*/ GIMT_Encode4(2441497), // Rule ID 45565 //
     /* 2441419 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441422 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441425 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441428 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441431 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441435 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441439 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441443 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441447 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441451 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441455 */     // MIs[1] Operand 1
     /* 2441455 */     // No operand predicates
     /* 2441455 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441459 */     // MIs[0] policy
     /* 2441459 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441462 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441464 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441471 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441471 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2441474 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441476 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441478 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441480 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441483 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441485 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441490 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441493 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441495 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441496 */     // GIR_Coverage, 45565,
     /* 2441496 */     GIR_EraseRootFromParent_Done,
     /* 2441497 */   // Label 35305: @2441497
     /* 2441497 */   GIM_Try, /*On fail goto*//*Label 35306*/ GIMT_Encode4(2441569), // Rule ID 45506 //
     /* 2441502 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441505 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441508 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441511 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441514 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441518 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441522 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441526 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441530 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441534 */     // MIs[0] policy
     /* 2441534 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441537 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441544 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441544 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2441547 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441549 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441551 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441553 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441555 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441557 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441562 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441565 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441567 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441568 */     // GIR_Coverage, 45506,
     /* 2441568 */     GIR_EraseRootFromParent_Done,
     /* 2441569 */   // Label 35306: @2441569
     /* 2441569 */   GIM_Try, /*On fail goto*//*Label 35307*/ GIMT_Encode4(2441641), // Rule ID 45507 //
     /* 2441574 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441577 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441580 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441583 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441586 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441590 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441594 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441598 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441602 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441606 */     // MIs[0] policy
     /* 2441606 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441609 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441616 */     // (riscv_slidedown_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441616 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2441619 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441621 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441623 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441625 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441627 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441629 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441634 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441637 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441639 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441640 */     // GIR_Coverage, 45507,
     /* 2441640 */     GIR_EraseRootFromParent_Done,
     /* 2441641 */   // Label 35307: @2441641
     /* 2441641 */   GIM_Try, /*On fail goto*//*Label 35308*/ GIMT_Encode4(2441713), // Rule ID 45566 //
     /* 2441646 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441649 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441652 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441655 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441658 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441662 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441666 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441670 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441674 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441678 */     // MIs[0] policy
     /* 2441678 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441681 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441688 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441688 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2441691 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441693 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441695 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441697 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441699 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441701 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441706 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441709 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441711 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441712 */     // GIR_Coverage, 45566,
     /* 2441712 */     GIR_EraseRootFromParent_Done,
     /* 2441713 */   // Label 35308: @2441713
     /* 2441713 */   GIM_Try, /*On fail goto*//*Label 35309*/ GIMT_Encode4(2441785), // Rule ID 45567 //
     /* 2441718 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441721 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441724 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2441727 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441730 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441734 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441738 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441742 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441750 */     // MIs[0] policy
     /* 2441750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441753 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441760 */     // (riscv_slidedown_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441760 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2441763 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441765 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441767 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441769 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2441771 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441773 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441778 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2441781 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441783 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441784 */     // GIR_Coverage, 45567,
     /* 2441784 */     GIR_EraseRootFromParent_Done,
     /* 2441785 */   // Label 35309: @2441785
     /* 2441785 */   GIM_Reject,
     /* 2441786 */ // Label 35301: @2441786
     /* 2441786 */ GIM_Reject,
     /* 2441787 */ // Label 35143: @2441787
     /* 2441787 */ GIM_Try, /*On fail goto*//*Label 35310*/ GIMT_Encode4(2442109),
     /* 2441792 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2441795 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2441798 */   GIM_Try, /*On fail goto*//*Label 35311*/ GIMT_Encode4(2441881), // Rule ID 45492 //
     /* 2441803 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441806 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441809 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2441812 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441815 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441819 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441823 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441827 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441831 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441835 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441839 */     // MIs[1] Operand 1
     /* 2441839 */     // No operand predicates
     /* 2441839 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441843 */     // MIs[0] policy
     /* 2441843 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441846 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441848 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441855 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2441855 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2441858 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441860 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441862 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441864 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441867 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441869 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441874 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441877 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441879 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441880 */     // GIR_Coverage, 45492,
     /* 2441880 */     GIR_EraseRootFromParent_Done,
     /* 2441881 */   // Label 35311: @2441881
     /* 2441881 */   GIM_Try, /*On fail goto*//*Label 35312*/ GIMT_Encode4(2441964), // Rule ID 45493 //
     /* 2441886 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2441889 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2441892 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2441895 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2441898 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441902 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441906 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441910 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2441914 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2441918 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2441922 */     // MIs[1] Operand 1
     /* 2441922 */     // No operand predicates
     /* 2441922 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2441926 */     // MIs[0] policy
     /* 2441926 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2441929 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2441931 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2441938 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2441938 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VI_M8_MASK),
     /* 2441941 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2441943 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2441945 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2441947 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2441950 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2441952 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2441957 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2441960 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2441962 */     GIR_RootConstrainSelectedInstOperands,
     /* 2441963 */     // GIR_Coverage, 45493,
     /* 2441963 */     GIR_EraseRootFromParent_Done,
     /* 2441964 */   // Label 35312: @2441964
     /* 2441964 */   GIM_Try, /*On fail goto*//*Label 35313*/ GIMT_Encode4(2442036), // Rule ID 45494 //
     /* 2441969 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2441972 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2441975 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2441978 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2441981 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2441985 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441989 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2441993 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2441997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442001 */     // MIs[0] policy
     /* 2442001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442004 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442011 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442011 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2442014 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442016 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442018 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442020 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442022 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442024 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442029 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442032 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442034 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442035 */     // GIR_Coverage, 45494,
     /* 2442035 */     GIR_EraseRootFromParent_Done,
     /* 2442036 */   // Label 35313: @2442036
     /* 2442036 */   GIM_Try, /*On fail goto*//*Label 35314*/ GIMT_Encode4(2442108), // Rule ID 45495 //
     /* 2442041 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442044 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442047 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2442050 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442053 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2442057 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442061 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2442065 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442069 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442073 */     // MIs[0] policy
     /* 2442073 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442076 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442083 */     // (riscv_slidedown_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEDOWN_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442083 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEDOWN_VX_M8_MASK),
     /* 2442086 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442088 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442090 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442092 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442094 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442096 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442101 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442104 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442106 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442107 */     // GIR_Coverage, 45495,
     /* 2442107 */     GIR_EraseRootFromParent_Done,
     /* 2442108 */   // Label 35314: @2442108
     /* 2442108 */   GIM_Reject,
     /* 2442109 */ // Label 35310: @2442109
     /* 2442109 */ GIM_Reject,
     /* 2442110 */ // Label 35144: @2442110
     /* 2442110 */ GIM_Reject,
     /* 2442111 */ // Label 124: @2442111
     /* 2442111 */ GIM_SwitchType, /*MI*/0, /*Op*/0, /*[*/GIMT_Encode2(6), GIMT_Encode2(34), /*)*//*default:*//*Label 35337*/ GIMT_Encode4(2453990),
     /* 2442122 */ /*GILLT_nxv1s8*//*Label 35315*/ GIMT_Encode4(2442234),
     /* 2442126 */ /*GILLT_nxv1s16*//*Label 35316*/ GIMT_Encode4(2442557),
     /* 2442130 */ /*GILLT_nxv1s32*//*Label 35317*/ GIMT_Encode4(2443190),
     /* 2442134 */ /*GILLT_nxv1s64*//*Label 35318*/ GIMT_Encode4(2443823), GIMT_Encode4(0),
     /* 2442142 */ /*GILLT_nxv2s8*//*Label 35319*/ GIMT_Encode4(2444456),
     /* 2442146 */ /*GILLT_nxv2s16*//*Label 35320*/ GIMT_Encode4(2444779),
     /* 2442150 */ /*GILLT_nxv2s32*//*Label 35321*/ GIMT_Encode4(2445412),
     /* 2442154 */ /*GILLT_nxv2s64*//*Label 35322*/ GIMT_Encode4(2446045), GIMT_Encode4(0),
     /* 2442162 */ /*GILLT_nxv4s8*//*Label 35323*/ GIMT_Encode4(2446678),
     /* 2442166 */ /*GILLT_nxv4s16*//*Label 35324*/ GIMT_Encode4(2447001),
     /* 2442170 */ /*GILLT_nxv4s32*//*Label 35325*/ GIMT_Encode4(2447634),
     /* 2442174 */ /*GILLT_nxv4s64*//*Label 35326*/ GIMT_Encode4(2448267), GIMT_Encode4(0),
     /* 2442182 */ /*GILLT_nxv8s8*//*Label 35327*/ GIMT_Encode4(2448900),
     /* 2442186 */ /*GILLT_nxv8s16*//*Label 35328*/ GIMT_Encode4(2449223),
     /* 2442190 */ /*GILLT_nxv8s32*//*Label 35329*/ GIMT_Encode4(2449856),
     /* 2442194 */ /*GILLT_nxv8s64*//*Label 35330*/ GIMT_Encode4(2450489), GIMT_Encode4(0),
     /* 2442202 */ /*GILLT_nxv16s8*//*Label 35331*/ GIMT_Encode4(2451122),
     /* 2442206 */ /*GILLT_nxv16s16*//*Label 35332*/ GIMT_Encode4(2451445),
     /* 2442210 */ /*GILLT_nxv16s32*//*Label 35333*/ GIMT_Encode4(2452078), GIMT_Encode4(0),
     /* 2442218 */ /*GILLT_nxv32s8*//*Label 35334*/ GIMT_Encode4(2452711),
     /* 2442222 */ /*GILLT_nxv32s16*//*Label 35335*/ GIMT_Encode4(2453034), GIMT_Encode4(0),
     /* 2442230 */ /*GILLT_nxv64s8*//*Label 35336*/ GIMT_Encode4(2453667),
     /* 2442234 */ // Label 35315: @2442234
     /* 2442234 */ GIM_Try, /*On fail goto*//*Label 35338*/ GIMT_Encode4(2442556),
     /* 2442239 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s8,
     /* 2442242 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s8,
     /* 2442245 */   GIM_Try, /*On fail goto*//*Label 35339*/ GIMT_Encode4(2442328), // Rule ID 25358 //
     /* 2442250 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442253 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442256 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442259 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442262 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442266 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442270 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442274 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442278 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442282 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442286 */     // MIs[1] Operand 1
     /* 2442286 */     // No operand predicates
     /* 2442286 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442290 */     // MIs[0] policy
     /* 2442290 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442293 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442295 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442302 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442302 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2442305 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442307 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442309 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442311 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442314 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442316 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442321 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442324 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442326 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442327 */     // GIR_Coverage, 25358,
     /* 2442327 */     GIR_EraseRootFromParent_Done,
     /* 2442328 */   // Label 35339: @2442328
     /* 2442328 */   GIM_Try, /*On fail goto*//*Label 35340*/ GIMT_Encode4(2442411), // Rule ID 25359 //
     /* 2442333 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442336 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442339 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442342 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442345 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442349 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442353 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442357 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442361 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442365 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442369 */     // MIs[1] Operand 1
     /* 2442369 */     // No operand predicates
     /* 2442369 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442373 */     // MIs[0] policy
     /* 2442373 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442376 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442385 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF8_MASK),
     /* 2442388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442394 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442397 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442399 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442404 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442407 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442409 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442410 */     // GIR_Coverage, 25359,
     /* 2442410 */     GIR_EraseRootFromParent_Done,
     /* 2442411 */   // Label 35340: @2442411
     /* 2442411 */   GIM_Try, /*On fail goto*//*Label 35341*/ GIMT_Encode4(2442483), // Rule ID 25360 //
     /* 2442416 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442419 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442422 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442425 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442428 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442432 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442436 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442440 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442444 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442448 */     // MIs[0] policy
     /* 2442448 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442451 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442458 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442458 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2442461 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442463 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442465 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442467 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442482 */     // GIR_Coverage, 25360,
     /* 2442482 */     GIR_EraseRootFromParent_Done,
     /* 2442483 */   // Label 35341: @2442483
     /* 2442483 */   GIM_Try, /*On fail goto*//*Label 35342*/ GIMT_Encode4(2442555), // Rule ID 25361 //
     /* 2442488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442512 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442516 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442520 */     // MIs[0] policy
     /* 2442520 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442523 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442530 */     // (riscv_slideup_vl:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF8_MASK:{ *:[nxv1i8] } VR:{ *:[nxv1i8] }:$rd, VR:{ *:[nxv1i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442530 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF8_MASK),
     /* 2442533 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442535 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442537 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442539 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442541 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442543 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442548 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2442551 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442553 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442554 */     // GIR_Coverage, 25361,
     /* 2442554 */     GIR_EraseRootFromParent_Done,
     /* 2442555 */   // Label 35342: @2442555
     /* 2442555 */   GIM_Reject,
     /* 2442556 */ // Label 35338: @2442556
     /* 2442556 */ GIM_Reject,
     /* 2442557 */ // Label 35316: @2442557
     /* 2442557 */ GIM_Try, /*On fail goto*//*Label 35343*/ GIMT_Encode4(2443189),
     /* 2442562 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s16,
     /* 2442565 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s16,
     /* 2442568 */   GIM_Try, /*On fail goto*//*Label 35344*/ GIMT_Encode4(2442651), // Rule ID 45308 //
     /* 2442573 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442576 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442579 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442582 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442585 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442589 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442593 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442597 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442601 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442605 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442609 */     // MIs[1] Operand 1
     /* 2442609 */     // No operand predicates
     /* 2442609 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442613 */     // MIs[0] policy
     /* 2442613 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442616 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442618 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442625 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442625 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2442628 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442630 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442632 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442634 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442637 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442639 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442644 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442647 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442649 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442650 */     // GIR_Coverage, 45308,
     /* 2442650 */     GIR_EraseRootFromParent_Done,
     /* 2442651 */   // Label 35344: @2442651
     /* 2442651 */   GIM_Try, /*On fail goto*//*Label 35345*/ GIMT_Encode4(2442734), // Rule ID 45309 //
     /* 2442656 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442659 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442662 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442665 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442668 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442672 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442676 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442680 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442684 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442688 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442692 */     // MIs[1] Operand 1
     /* 2442692 */     // No operand predicates
     /* 2442692 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442696 */     // MIs[0] policy
     /* 2442696 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442699 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442701 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442708 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442708 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2442711 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442713 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442715 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442717 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442720 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442722 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442727 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442730 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442732 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442733 */     // GIR_Coverage, 45309,
     /* 2442733 */     GIR_EraseRootFromParent_Done,
     /* 2442734 */   // Label 35345: @2442734
     /* 2442734 */   GIM_Try, /*On fail goto*//*Label 35346*/ GIMT_Encode4(2442817), // Rule ID 45384 //
     /* 2442739 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442742 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442745 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442748 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442751 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442755 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442759 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442763 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442767 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442771 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442775 */     // MIs[1] Operand 1
     /* 2442775 */     // No operand predicates
     /* 2442775 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442779 */     // MIs[0] policy
     /* 2442779 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442782 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442784 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442791 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442791 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2442794 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442796 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442798 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442800 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442803 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442805 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442810 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442813 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442815 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442816 */     // GIR_Coverage, 45384,
     /* 2442816 */     GIR_EraseRootFromParent_Done,
     /* 2442817 */   // Label 35346: @2442817
     /* 2442817 */   GIM_Try, /*On fail goto*//*Label 35347*/ GIMT_Encode4(2442900), // Rule ID 45385 //
     /* 2442822 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442825 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442828 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442831 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442834 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442838 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442842 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442846 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2442850 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2442854 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2442858 */     // MIs[1] Operand 1
     /* 2442858 */     // No operand predicates
     /* 2442858 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442862 */     // MIs[0] policy
     /* 2442862 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442865 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2442867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442874 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2442874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2442877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442883 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2442886 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442888 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442893 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442896 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442898 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442899 */     // GIR_Coverage, 45385,
     /* 2442899 */     GIR_EraseRootFromParent_Done,
     /* 2442900 */   // Label 35347: @2442900
     /* 2442900 */   GIM_Try, /*On fail goto*//*Label 35348*/ GIMT_Encode4(2442972), // Rule ID 45310 //
     /* 2442905 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2442908 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2442911 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442914 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2442917 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442921 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442925 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442929 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2442933 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2442937 */     // MIs[0] policy
     /* 2442937 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2442940 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2442947 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2442947 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2442950 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2442952 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2442954 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2442956 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2442958 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2442960 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2442965 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2442968 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2442970 */     GIR_RootConstrainSelectedInstOperands,
     /* 2442971 */     // GIR_Coverage, 45310,
     /* 2442971 */     GIR_EraseRootFromParent_Done,
     /* 2442972 */   // Label 35348: @2442972
     /* 2442972 */   GIM_Try, /*On fail goto*//*Label 35349*/ GIMT_Encode4(2443044), // Rule ID 45311 //
     /* 2442977 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2442980 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2442983 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2442986 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2442989 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2442993 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2442997 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443001 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443005 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443009 */     // MIs[0] policy
     /* 2443009 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443012 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443019 */     // (riscv_slideup_vl:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1i16] } VR:{ *:[nxv1i16] }:$rd, VR:{ *:[nxv1i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443019 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2443022 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443024 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443026 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443028 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443030 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443032 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443037 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443040 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443042 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443043 */     // GIR_Coverage, 45311,
     /* 2443043 */     GIR_EraseRootFromParent_Done,
     /* 2443044 */   // Label 35349: @2443044
     /* 2443044 */   GIM_Try, /*On fail goto*//*Label 35350*/ GIMT_Encode4(2443116), // Rule ID 45386 //
     /* 2443049 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443052 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443055 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443058 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443061 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443065 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443069 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443073 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443077 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443081 */     // MIs[0] policy
     /* 2443081 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443084 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443091 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443091 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2443094 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443096 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443098 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443100 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443115 */     // GIR_Coverage, 45386,
     /* 2443115 */     GIR_EraseRootFromParent_Done,
     /* 2443116 */   // Label 35350: @2443116
     /* 2443116 */   GIM_Try, /*On fail goto*//*Label 35351*/ GIMT_Encode4(2443188), // Rule ID 45387 //
     /* 2443121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443145 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443149 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443153 */     // MIs[0] policy
     /* 2443153 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443156 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443163 */     // (riscv_slideup_vl:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv1f16] } VR:{ *:[nxv1f16] }:$rd, VR:{ *:[nxv1f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443163 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2443166 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443168 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443170 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443172 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443174 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443176 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443181 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2443184 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443186 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443187 */     // GIR_Coverage, 45387,
     /* 2443187 */     GIR_EraseRootFromParent_Done,
     /* 2443188 */   // Label 35351: @2443188
     /* 2443188 */   GIM_Reject,
     /* 2443189 */ // Label 35343: @2443189
     /* 2443189 */ GIM_Reject,
     /* 2443190 */ // Label 35317: @2443190
     /* 2443190 */ GIM_Try, /*On fail goto*//*Label 35352*/ GIMT_Encode4(2443822),
     /* 2443195 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s32,
     /* 2443198 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s32,
     /* 2443201 */   GIM_Try, /*On fail goto*//*Label 35353*/ GIMT_Encode4(2443284), // Rule ID 45316 //
     /* 2443206 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443209 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443212 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443215 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443218 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443222 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443226 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443230 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443234 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443238 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443242 */     // MIs[1] Operand 1
     /* 2443242 */     // No operand predicates
     /* 2443242 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443246 */     // MIs[0] policy
     /* 2443246 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443249 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443251 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443258 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443258 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2443261 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443263 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443265 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443267 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443270 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443272 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443277 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443280 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443282 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443283 */     // GIR_Coverage, 45316,
     /* 2443283 */     GIR_EraseRootFromParent_Done,
     /* 2443284 */   // Label 35353: @2443284
     /* 2443284 */   GIM_Try, /*On fail goto*//*Label 35354*/ GIMT_Encode4(2443367), // Rule ID 45317 //
     /* 2443289 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443292 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443295 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443298 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443301 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443305 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443309 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443313 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443317 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443321 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443325 */     // MIs[1] Operand 1
     /* 2443325 */     // No operand predicates
     /* 2443325 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443329 */     // MIs[0] policy
     /* 2443329 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443332 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443334 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443341 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443341 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2443344 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443346 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443348 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443350 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443353 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443355 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443360 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443363 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443365 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443366 */     // GIR_Coverage, 45317,
     /* 2443366 */     GIR_EraseRootFromParent_Done,
     /* 2443367 */   // Label 35354: @2443367
     /* 2443367 */   GIM_Try, /*On fail goto*//*Label 35355*/ GIMT_Encode4(2443450), // Rule ID 45392 //
     /* 2443372 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443375 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443378 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443381 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443384 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443388 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443392 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443396 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443400 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443404 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443408 */     // MIs[1] Operand 1
     /* 2443408 */     // No operand predicates
     /* 2443408 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443412 */     // MIs[0] policy
     /* 2443412 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443415 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443424 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2443427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443433 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443436 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443438 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443443 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443446 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443448 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443449 */     // GIR_Coverage, 45392,
     /* 2443449 */     GIR_EraseRootFromParent_Done,
     /* 2443450 */   // Label 35355: @2443450
     /* 2443450 */   GIM_Try, /*On fail goto*//*Label 35356*/ GIMT_Encode4(2443533), // Rule ID 45393 //
     /* 2443455 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443458 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443461 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443464 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443467 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443471 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443475 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443479 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443483 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443487 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443491 */     // MIs[1] Operand 1
     /* 2443491 */     // No operand predicates
     /* 2443491 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443495 */     // MIs[0] policy
     /* 2443495 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443498 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443507 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2443510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443516 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443519 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443521 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443526 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443529 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443531 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443532 */     // GIR_Coverage, 45393,
     /* 2443532 */     GIR_EraseRootFromParent_Done,
     /* 2443533 */   // Label 35356: @2443533
     /* 2443533 */   GIM_Try, /*On fail goto*//*Label 35357*/ GIMT_Encode4(2443605), // Rule ID 45318 //
     /* 2443538 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443541 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443544 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443547 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443550 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443554 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443558 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443562 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443566 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443570 */     // MIs[0] policy
     /* 2443570 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443573 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443580 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443580 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2443583 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443585 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443587 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443589 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443591 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443593 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443598 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443601 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443603 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443604 */     // GIR_Coverage, 45318,
     /* 2443604 */     GIR_EraseRootFromParent_Done,
     /* 2443605 */   // Label 35357: @2443605
     /* 2443605 */   GIM_Try, /*On fail goto*//*Label 35358*/ GIMT_Encode4(2443677), // Rule ID 45319 //
     /* 2443610 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443613 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443616 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443619 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443622 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443626 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443630 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443634 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443638 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443642 */     // MIs[0] policy
     /* 2443642 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443645 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443652 */     // (riscv_slideup_vl:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1i32] } VR:{ *:[nxv1i32] }:$rd, VR:{ *:[nxv1i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443652 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2443655 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443657 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443659 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443661 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443663 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443665 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443670 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443673 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443675 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443676 */     // GIR_Coverage, 45319,
     /* 2443676 */     GIR_EraseRootFromParent_Done,
     /* 2443677 */   // Label 35358: @2443677
     /* 2443677 */   GIM_Try, /*On fail goto*//*Label 35359*/ GIMT_Encode4(2443749), // Rule ID 45394 //
     /* 2443682 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2443685 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443688 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443691 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443694 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443698 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443702 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443706 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443710 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443714 */     // MIs[0] policy
     /* 2443714 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443717 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443724 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443724 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2443727 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443729 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443731 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443733 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443748 */     // GIR_Coverage, 45394,
     /* 2443748 */     GIR_EraseRootFromParent_Done,
     /* 2443749 */   // Label 35359: @2443749
     /* 2443749 */   GIM_Try, /*On fail goto*//*Label 35360*/ GIMT_Encode4(2443821), // Rule ID 45395 //
     /* 2443754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2443757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443778 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2443782 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443786 */     // MIs[0] policy
     /* 2443786 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443789 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443796 */     // (riscv_slideup_vl:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv1f32] } VR:{ *:[nxv1f32] }:$rd, VR:{ *:[nxv1f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443796 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2443799 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443801 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443803 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443805 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2443807 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443809 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443814 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2443817 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443819 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443820 */     // GIR_Coverage, 45395,
     /* 2443820 */     GIR_EraseRootFromParent_Done,
     /* 2443821 */   // Label 35360: @2443821
     /* 2443821 */   GIM_Reject,
     /* 2443822 */ // Label 35352: @2443822
     /* 2443822 */ GIM_Reject,
     /* 2443823 */ // Label 35318: @2443823
     /* 2443823 */ GIM_Try, /*On fail goto*//*Label 35361*/ GIMT_Encode4(2444455),
     /* 2443828 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv1s64,
     /* 2443831 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv1s64,
     /* 2443834 */   GIM_Try, /*On fail goto*//*Label 35362*/ GIMT_Encode4(2443917), // Rule ID 45332 //
     /* 2443839 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2443842 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2443845 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443848 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2443851 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443855 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443859 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443863 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443867 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443871 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443875 */     // MIs[1] Operand 1
     /* 2443875 */     // No operand predicates
     /* 2443875 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443879 */     // MIs[0] policy
     /* 2443879 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443882 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443891 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2443891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2443894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443900 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443903 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443905 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443910 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2443913 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443915 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443916 */     // GIR_Coverage, 45332,
     /* 2443916 */     GIR_EraseRootFromParent_Done,
     /* 2443917 */   // Label 35362: @2443917
     /* 2443917 */   GIM_Try, /*On fail goto*//*Label 35363*/ GIMT_Encode4(2444000), // Rule ID 45333 //
     /* 2443922 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2443925 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2443928 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2443931 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2443934 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2443938 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443942 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2443946 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2443950 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2443954 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2443958 */     // MIs[1] Operand 1
     /* 2443958 */     // No operand predicates
     /* 2443958 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2443962 */     // MIs[0] policy
     /* 2443962 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2443965 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2443967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2443974 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2443974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2443977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2443979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2443981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2443983 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2443986 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2443988 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2443993 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2443996 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2443998 */     GIR_RootConstrainSelectedInstOperands,
     /* 2443999 */     // GIR_Coverage, 45333,
     /* 2443999 */     GIR_EraseRootFromParent_Done,
     /* 2444000 */   // Label 35363: @2444000
     /* 2444000 */   GIM_Try, /*On fail goto*//*Label 35364*/ GIMT_Encode4(2444083), // Rule ID 45404 //
     /* 2444005 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2444008 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444011 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2444014 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444017 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444021 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444025 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444029 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444033 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444037 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444041 */     // MIs[1] Operand 1
     /* 2444041 */     // No operand predicates
     /* 2444041 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444045 */     // MIs[0] policy
     /* 2444045 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444048 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444050 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444057 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444057 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2444060 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444062 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444064 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444066 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444069 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444071 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444076 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444079 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444081 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444082 */     // GIR_Coverage, 45404,
     /* 2444082 */     GIR_EraseRootFromParent_Done,
     /* 2444083 */   // Label 35364: @2444083
     /* 2444083 */   GIM_Try, /*On fail goto*//*Label 35365*/ GIMT_Encode4(2444166), // Rule ID 45405 //
     /* 2444088 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2444091 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444094 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2444097 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444100 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444104 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444108 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444112 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444116 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444120 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444124 */     // MIs[1] Operand 1
     /* 2444124 */     // No operand predicates
     /* 2444124 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444128 */     // MIs[0] policy
     /* 2444128 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444131 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444133 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444140 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444140 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2444143 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444145 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444147 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444149 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444152 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444154 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444159 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444162 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444164 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444165 */     // GIR_Coverage, 45405,
     /* 2444165 */     GIR_EraseRootFromParent_Done,
     /* 2444166 */   // Label 35365: @2444166
     /* 2444166 */   GIM_Try, /*On fail goto*//*Label 35366*/ GIMT_Encode4(2444238), // Rule ID 45334 //
     /* 2444171 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2444174 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444177 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2444180 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444183 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444187 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444191 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444195 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444199 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444203 */     // MIs[0] policy
     /* 2444203 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444206 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444213 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444213 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2444216 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444218 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444220 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444222 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444224 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444226 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444231 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444234 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444236 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444237 */     // GIR_Coverage, 45334,
     /* 2444237 */     GIR_EraseRootFromParent_Done,
     /* 2444238 */   // Label 35366: @2444238
     /* 2444238 */   GIM_Try, /*On fail goto*//*Label 35367*/ GIMT_Encode4(2444310), // Rule ID 45335 //
     /* 2444243 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2444246 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444249 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2444252 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444255 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444259 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444263 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444267 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444271 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444275 */     // MIs[0] policy
     /* 2444275 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444278 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444285 */     // (riscv_slideup_vl:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1i64] } VR:{ *:[nxv1i64] }:$rd, VR:{ *:[nxv1i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444285 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2444288 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444290 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444292 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444294 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444296 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444298 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444303 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444306 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444308 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444309 */     // GIR_Coverage, 45335,
     /* 2444309 */     GIR_EraseRootFromParent_Done,
     /* 2444310 */   // Label 35367: @2444310
     /* 2444310 */   GIM_Try, /*On fail goto*//*Label 35368*/ GIMT_Encode4(2444382), // Rule ID 45406 //
     /* 2444315 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2444318 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444321 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2444324 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444327 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444331 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444335 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444339 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444343 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444347 */     // MIs[0] policy
     /* 2444347 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444350 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444357 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444357 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2444360 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444362 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444364 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444366 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444368 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444370 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444375 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444378 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444380 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444381 */     // GIR_Coverage, 45406,
     /* 2444381 */     GIR_EraseRootFromParent_Done,
     /* 2444382 */   // Label 35368: @2444382
     /* 2444382 */   GIM_Try, /*On fail goto*//*Label 35369*/ GIMT_Encode4(2444454), // Rule ID 45407 //
     /* 2444387 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2444390 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444393 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv1s1,
     /* 2444396 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444399 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444403 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444407 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444411 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444415 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444419 */     // MIs[0] policy
     /* 2444419 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444422 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444429 */     // (riscv_slideup_vl:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv1f64] } VR:{ *:[nxv1f64] }:$rd, VR:{ *:[nxv1f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv1i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444429 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2444432 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444434 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444436 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444438 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444440 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444442 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444447 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2444450 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444452 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444453 */     // GIR_Coverage, 45407,
     /* 2444453 */     GIR_EraseRootFromParent_Done,
     /* 2444454 */   // Label 35369: @2444454
     /* 2444454 */   GIM_Reject,
     /* 2444455 */ // Label 35361: @2444455
     /* 2444455 */ GIM_Reject,
     /* 2444456 */ // Label 35319: @2444456
     /* 2444456 */ GIM_Try, /*On fail goto*//*Label 35370*/ GIMT_Encode4(2444778),
     /* 2444461 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s8,
     /* 2444464 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s8,
     /* 2444467 */   GIM_Try, /*On fail goto*//*Label 35371*/ GIMT_Encode4(2444550), // Rule ID 45300 //
     /* 2444472 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444475 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444478 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444481 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444484 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444488 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444492 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444496 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444500 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444504 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444508 */     // MIs[1] Operand 1
     /* 2444508 */     // No operand predicates
     /* 2444508 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444512 */     // MIs[0] policy
     /* 2444512 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444515 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444517 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444524 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444524 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2444527 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444529 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444531 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444533 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444536 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444538 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444543 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2444546 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444548 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444549 */     // GIR_Coverage, 45300,
     /* 2444549 */     GIR_EraseRootFromParent_Done,
     /* 2444550 */   // Label 35371: @2444550
     /* 2444550 */   GIM_Try, /*On fail goto*//*Label 35372*/ GIMT_Encode4(2444633), // Rule ID 45301 //
     /* 2444555 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444558 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444561 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444564 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444567 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444571 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444575 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444579 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444583 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444587 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444591 */     // MIs[1] Operand 1
     /* 2444591 */     // No operand predicates
     /* 2444591 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444595 */     // MIs[0] policy
     /* 2444595 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444598 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444607 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF4_MASK),
     /* 2444610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444616 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444619 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444621 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444626 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2444629 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444631 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444632 */     // GIR_Coverage, 45301,
     /* 2444632 */     GIR_EraseRootFromParent_Done,
     /* 2444633 */   // Label 35372: @2444633
     /* 2444633 */   GIM_Try, /*On fail goto*//*Label 35373*/ GIMT_Encode4(2444705), // Rule ID 45302 //
     /* 2444638 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444641 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444644 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444647 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444650 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444654 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444658 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444662 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444666 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444670 */     // MIs[0] policy
     /* 2444670 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444673 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444680 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444680 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2444683 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444685 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444687 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444689 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2444701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444704 */     // GIR_Coverage, 45302,
     /* 2444704 */     GIR_EraseRootFromParent_Done,
     /* 2444705 */   // Label 35373: @2444705
     /* 2444705 */   GIM_Try, /*On fail goto*//*Label 35374*/ GIMT_Encode4(2444777), // Rule ID 45303 //
     /* 2444710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444734 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2444738 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444742 */     // MIs[0] policy
     /* 2444742 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444745 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444752 */     // (riscv_slideup_vl:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF4_MASK:{ *:[nxv2i8] } VR:{ *:[nxv2i8] }:$rd, VR:{ *:[nxv2i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444752 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF4_MASK),
     /* 2444755 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444757 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444759 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444761 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2444763 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444765 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444770 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2444773 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444775 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444776 */     // GIR_Coverage, 45303,
     /* 2444776 */     GIR_EraseRootFromParent_Done,
     /* 2444777 */   // Label 35374: @2444777
     /* 2444777 */   GIM_Reject,
     /* 2444778 */ // Label 35370: @2444778
     /* 2444778 */ GIM_Reject,
     /* 2444779 */ // Label 35320: @2444779
     /* 2444779 */ GIM_Try, /*On fail goto*//*Label 35375*/ GIMT_Encode4(2445411),
     /* 2444784 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s16,
     /* 2444787 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s16,
     /* 2444790 */   GIM_Try, /*On fail goto*//*Label 35376*/ GIMT_Encode4(2444873), // Rule ID 45312 //
     /* 2444795 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444798 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444801 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444804 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444807 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444811 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444815 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444819 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444823 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444827 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444831 */     // MIs[1] Operand 1
     /* 2444831 */     // No operand predicates
     /* 2444831 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444835 */     // MIs[0] policy
     /* 2444835 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444838 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444840 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444847 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2444847 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2444850 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444852 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444854 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444856 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444859 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444861 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444866 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2444869 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444871 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444872 */     // GIR_Coverage, 45312,
     /* 2444872 */     GIR_EraseRootFromParent_Done,
     /* 2444873 */   // Label 35376: @2444873
     /* 2444873 */   GIM_Try, /*On fail goto*//*Label 35377*/ GIMT_Encode4(2444956), // Rule ID 45313 //
     /* 2444878 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2444881 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2444884 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444887 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2444890 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444894 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444898 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444902 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444906 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444910 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444914 */     // MIs[1] Operand 1
     /* 2444914 */     // No operand predicates
     /* 2444914 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2444918 */     // MIs[0] policy
     /* 2444918 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2444921 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2444923 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2444930 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2444930 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2444933 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2444935 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2444937 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2444939 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2444942 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2444944 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2444949 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2444952 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2444954 */     GIR_RootConstrainSelectedInstOperands,
     /* 2444955 */     // GIR_Coverage, 45313,
     /* 2444955 */     GIR_EraseRootFromParent_Done,
     /* 2444956 */   // Label 35377: @2444956
     /* 2444956 */   GIM_Try, /*On fail goto*//*Label 35378*/ GIMT_Encode4(2445039), // Rule ID 45388 //
     /* 2444961 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2444964 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2444967 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2444970 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2444973 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2444977 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444981 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2444985 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2444989 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2444993 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2444997 */     // MIs[1] Operand 1
     /* 2444997 */     // No operand predicates
     /* 2444997 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445001 */     // MIs[0] policy
     /* 2445001 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445004 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445006 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445013 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445013 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2445016 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445018 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445020 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445022 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445025 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445027 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445032 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445035 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445037 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445038 */     // GIR_Coverage, 45388,
     /* 2445038 */     GIR_EraseRootFromParent_Done,
     /* 2445039 */   // Label 35378: @2445039
     /* 2445039 */   GIM_Try, /*On fail goto*//*Label 35379*/ GIMT_Encode4(2445122), // Rule ID 45389 //
     /* 2445044 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445047 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445050 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445053 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445056 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445060 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445064 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445068 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445072 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445076 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445080 */     // MIs[1] Operand 1
     /* 2445080 */     // No operand predicates
     /* 2445080 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445084 */     // MIs[0] policy
     /* 2445084 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445087 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445096 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2445099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445105 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445108 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445110 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445115 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445118 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445120 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445121 */     // GIR_Coverage, 45389,
     /* 2445121 */     GIR_EraseRootFromParent_Done,
     /* 2445122 */   // Label 35379: @2445122
     /* 2445122 */   GIM_Try, /*On fail goto*//*Label 35380*/ GIMT_Encode4(2445194), // Rule ID 45314 //
     /* 2445127 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445130 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445133 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445136 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445139 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445143 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445147 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445151 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445155 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445159 */     // MIs[0] policy
     /* 2445159 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445162 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445169 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445169 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2445172 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445174 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445176 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445178 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445180 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445182 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445187 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445190 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445192 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445193 */     // GIR_Coverage, 45314,
     /* 2445193 */     GIR_EraseRootFromParent_Done,
     /* 2445194 */   // Label 35380: @2445194
     /* 2445194 */   GIM_Try, /*On fail goto*//*Label 35381*/ GIMT_Encode4(2445266), // Rule ID 45315 //
     /* 2445199 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445202 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445205 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445208 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445211 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445215 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445219 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445223 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445227 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445231 */     // MIs[0] policy
     /* 2445231 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445234 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445241 */     // (riscv_slideup_vl:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2i16] } VR:{ *:[nxv2i16] }:$rd, VR:{ *:[nxv2i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445241 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2445244 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445246 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445248 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445250 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445252 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445254 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445259 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445262 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445264 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445265 */     // GIR_Coverage, 45315,
     /* 2445265 */     GIR_EraseRootFromParent_Done,
     /* 2445266 */   // Label 35381: @2445266
     /* 2445266 */   GIM_Try, /*On fail goto*//*Label 35382*/ GIMT_Encode4(2445338), // Rule ID 45390 //
     /* 2445271 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445274 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445277 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445280 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445283 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445287 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445291 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445295 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445299 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445303 */     // MIs[0] policy
     /* 2445303 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445306 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445313 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445313 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2445316 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445318 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445320 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445322 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445337 */     // GIR_Coverage, 45390,
     /* 2445337 */     GIR_EraseRootFromParent_Done,
     /* 2445338 */   // Label 35382: @2445338
     /* 2445338 */   GIM_Try, /*On fail goto*//*Label 35383*/ GIMT_Encode4(2445410), // Rule ID 45391 //
     /* 2445343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445367 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445371 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445375 */     // MIs[0] policy
     /* 2445375 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445378 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445385 */     // (riscv_slideup_vl:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv2f16] } VR:{ *:[nxv2f16] }:$rd, VR:{ *:[nxv2f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445385 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2445388 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445390 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445392 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445394 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445396 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445398 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445403 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2445406 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445408 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445409 */     // GIR_Coverage, 45391,
     /* 2445409 */     GIR_EraseRootFromParent_Done,
     /* 2445410 */   // Label 35383: @2445410
     /* 2445410 */   GIM_Reject,
     /* 2445411 */ // Label 35375: @2445411
     /* 2445411 */ GIM_Reject,
     /* 2445412 */ // Label 35321: @2445412
     /* 2445412 */ GIM_Try, /*On fail goto*//*Label 35384*/ GIMT_Encode4(2446044),
     /* 2445417 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s32,
     /* 2445420 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s32,
     /* 2445423 */   GIM_Try, /*On fail goto*//*Label 35385*/ GIMT_Encode4(2445506), // Rule ID 45328 //
     /* 2445428 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445431 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445434 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445437 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445440 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445444 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445448 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445452 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445456 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445460 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445464 */     // MIs[1] Operand 1
     /* 2445464 */     // No operand predicates
     /* 2445464 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445468 */     // MIs[0] policy
     /* 2445468 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445471 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445473 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445480 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445480 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2445483 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445485 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445487 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445489 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445492 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445494 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445499 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445502 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445504 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445505 */     // GIR_Coverage, 45328,
     /* 2445505 */     GIR_EraseRootFromParent_Done,
     /* 2445506 */   // Label 35385: @2445506
     /* 2445506 */   GIM_Try, /*On fail goto*//*Label 35386*/ GIMT_Encode4(2445589), // Rule ID 45329 //
     /* 2445511 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445514 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445517 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445520 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445523 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445527 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445531 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445535 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445539 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445543 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445547 */     // MIs[1] Operand 1
     /* 2445547 */     // No operand predicates
     /* 2445547 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445551 */     // MIs[0] policy
     /* 2445551 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445554 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445556 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445563 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445563 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2445566 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445568 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445570 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445572 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445575 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445577 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445582 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445585 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445587 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445588 */     // GIR_Coverage, 45329,
     /* 2445588 */     GIR_EraseRootFromParent_Done,
     /* 2445589 */   // Label 35386: @2445589
     /* 2445589 */   GIM_Try, /*On fail goto*//*Label 35387*/ GIMT_Encode4(2445672), // Rule ID 45400 //
     /* 2445594 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445597 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445600 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445603 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445606 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445610 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445614 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445618 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445622 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445626 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445630 */     // MIs[1] Operand 1
     /* 2445630 */     // No operand predicates
     /* 2445630 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445634 */     // MIs[0] policy
     /* 2445634 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445637 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445639 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445646 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445646 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2445649 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445651 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445653 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445655 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445658 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445660 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445665 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445668 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445670 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445671 */     // GIR_Coverage, 45400,
     /* 2445671 */     GIR_EraseRootFromParent_Done,
     /* 2445672 */   // Label 35387: @2445672
     /* 2445672 */   GIM_Try, /*On fail goto*//*Label 35388*/ GIMT_Encode4(2445755), // Rule ID 45401 //
     /* 2445677 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445680 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445683 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445686 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445689 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445693 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445697 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445701 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2445705 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2445709 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2445713 */     // MIs[1] Operand 1
     /* 2445713 */     // No operand predicates
     /* 2445713 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445717 */     // MIs[0] policy
     /* 2445717 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445720 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2445722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445729 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2445732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445738 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2445741 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445743 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445748 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445751 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445753 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445754 */     // GIR_Coverage, 45401,
     /* 2445754 */     GIR_EraseRootFromParent_Done,
     /* 2445755 */   // Label 35388: @2445755
     /* 2445755 */   GIM_Try, /*On fail goto*//*Label 35389*/ GIMT_Encode4(2445827), // Rule ID 45330 //
     /* 2445760 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445763 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445766 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445769 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445772 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445776 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445780 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445784 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445788 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445792 */     // MIs[0] policy
     /* 2445792 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445795 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445802 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445802 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2445805 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445807 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445809 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445811 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445813 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445815 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445820 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445823 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445825 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445826 */     // GIR_Coverage, 45330,
     /* 2445826 */     GIR_EraseRootFromParent_Done,
     /* 2445827 */   // Label 35389: @2445827
     /* 2445827 */   GIM_Try, /*On fail goto*//*Label 35390*/ GIMT_Encode4(2445899), // Rule ID 45331 //
     /* 2445832 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445835 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445838 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445841 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445844 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445848 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445852 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445856 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445860 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445864 */     // MIs[0] policy
     /* 2445864 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445867 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445874 */     // (riscv_slideup_vl:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2i32] } VR:{ *:[nxv2i32] }:$rd, VR:{ *:[nxv2i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2445874 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2445877 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445879 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445881 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445883 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445885 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445887 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445892 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445895 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445897 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445898 */     // GIR_Coverage, 45331,
     /* 2445898 */     GIR_EraseRootFromParent_Done,
     /* 2445899 */   // Label 35390: @2445899
     /* 2445899 */   GIM_Try, /*On fail goto*//*Label 35391*/ GIMT_Encode4(2445971), // Rule ID 45402 //
     /* 2445904 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2445907 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2445910 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445913 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2445916 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445920 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445924 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445928 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2445932 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2445936 */     // MIs[0] policy
     /* 2445936 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2445939 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2445946 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2445946 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2445949 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2445951 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2445953 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2445955 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2445957 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2445959 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2445964 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2445967 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2445969 */     GIR_RootConstrainSelectedInstOperands,
     /* 2445970 */     // GIR_Coverage, 45402,
     /* 2445970 */     GIR_EraseRootFromParent_Done,
     /* 2445971 */   // Label 35391: @2445971
     /* 2445971 */   GIM_Try, /*On fail goto*//*Label 35392*/ GIMT_Encode4(2446043), // Rule ID 45403 //
     /* 2445976 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2445979 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2445982 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2445985 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2445988 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2445992 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2445996 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446000 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446004 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446008 */     // MIs[0] policy
     /* 2446008 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446011 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446018 */     // (riscv_slideup_vl:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv2f32] } VR:{ *:[nxv2f32] }:$rd, VR:{ *:[nxv2f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446018 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2446021 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446023 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446025 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446027 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446029 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446031 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446036 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2446039 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446041 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446042 */     // GIR_Coverage, 45403,
     /* 2446042 */     GIR_EraseRootFromParent_Done,
     /* 2446043 */   // Label 35392: @2446043
     /* 2446043 */   GIM_Reject,
     /* 2446044 */ // Label 35384: @2446044
     /* 2446044 */ GIM_Reject,
     /* 2446045 */ // Label 35322: @2446045
     /* 2446045 */ GIM_Try, /*On fail goto*//*Label 35393*/ GIMT_Encode4(2446677),
     /* 2446050 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv2s64,
     /* 2446053 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv2s64,
     /* 2446056 */   GIM_Try, /*On fail goto*//*Label 35394*/ GIMT_Encode4(2446139), // Rule ID 45372 //
     /* 2446061 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2446064 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446067 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2446070 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446073 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446077 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446081 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446085 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446089 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446093 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446097 */     // MIs[1] Operand 1
     /* 2446097 */     // No operand predicates
     /* 2446097 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446101 */     // MIs[0] policy
     /* 2446101 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446104 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446106 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446113 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446113 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2446116 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446118 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446120 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446122 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446125 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446127 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446132 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446135 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446137 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446138 */     // GIR_Coverage, 45372,
     /* 2446138 */     GIR_EraseRootFromParent_Done,
     /* 2446139 */   // Label 35394: @2446139
     /* 2446139 */   GIM_Try, /*On fail goto*//*Label 35395*/ GIMT_Encode4(2446222), // Rule ID 45373 //
     /* 2446144 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2446147 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446150 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2446153 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446156 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446160 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446164 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446168 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446172 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446176 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446180 */     // MIs[1] Operand 1
     /* 2446180 */     // No operand predicates
     /* 2446180 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446184 */     // MIs[0] policy
     /* 2446184 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446187 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446196 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2446199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446205 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446208 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446210 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446215 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446218 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446220 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446221 */     // GIR_Coverage, 45373,
     /* 2446221 */     GIR_EraseRootFromParent_Done,
     /* 2446222 */   // Label 35395: @2446222
     /* 2446222 */   GIM_Try, /*On fail goto*//*Label 35396*/ GIMT_Encode4(2446305), // Rule ID 45432 //
     /* 2446227 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2446230 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446233 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2446236 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446239 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446243 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446247 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446251 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446255 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446259 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446263 */     // MIs[1] Operand 1
     /* 2446263 */     // No operand predicates
     /* 2446263 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446267 */     // MIs[0] policy
     /* 2446267 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446270 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446272 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446279 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446279 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2446282 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446284 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446286 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446288 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446291 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446293 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446298 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446301 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446303 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446304 */     // GIR_Coverage, 45432,
     /* 2446304 */     GIR_EraseRootFromParent_Done,
     /* 2446305 */   // Label 35396: @2446305
     /* 2446305 */   GIM_Try, /*On fail goto*//*Label 35397*/ GIMT_Encode4(2446388), // Rule ID 45433 //
     /* 2446310 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2446313 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446316 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2446319 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446322 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446326 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446330 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446334 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446338 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446342 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446346 */     // MIs[1] Operand 1
     /* 2446346 */     // No operand predicates
     /* 2446346 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446350 */     // MIs[0] policy
     /* 2446350 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446353 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446355 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446362 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446362 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2446365 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446367 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446369 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446371 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446374 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446376 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446381 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446384 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446386 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446387 */     // GIR_Coverage, 45433,
     /* 2446387 */     GIR_EraseRootFromParent_Done,
     /* 2446388 */   // Label 35397: @2446388
     /* 2446388 */   GIM_Try, /*On fail goto*//*Label 35398*/ GIMT_Encode4(2446460), // Rule ID 45374 //
     /* 2446393 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2446396 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446399 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2446402 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446405 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446409 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446413 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446417 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446421 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446425 */     // MIs[0] policy
     /* 2446425 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446428 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446435 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446435 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2446438 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446440 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446442 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446444 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446446 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446448 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446453 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446456 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446458 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446459 */     // GIR_Coverage, 45374,
     /* 2446459 */     GIR_EraseRootFromParent_Done,
     /* 2446460 */   // Label 35398: @2446460
     /* 2446460 */   GIM_Try, /*On fail goto*//*Label 35399*/ GIMT_Encode4(2446532), // Rule ID 45375 //
     /* 2446465 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2446468 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446471 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2446474 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446477 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446481 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446485 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446489 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446493 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446497 */     // MIs[0] policy
     /* 2446497 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446500 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446507 */     // (riscv_slideup_vl:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2i64] } VRM2:{ *:[nxv2i64] }:$rd, VRM2:{ *:[nxv2i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446507 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2446510 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446512 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446514 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446516 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446518 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446520 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446525 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446528 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446530 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446531 */     // GIR_Coverage, 45375,
     /* 2446531 */     GIR_EraseRootFromParent_Done,
     /* 2446532 */   // Label 35399: @2446532
     /* 2446532 */   GIM_Try, /*On fail goto*//*Label 35400*/ GIMT_Encode4(2446604), // Rule ID 45434 //
     /* 2446537 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2446540 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446543 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2446546 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446549 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446553 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446557 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446561 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446565 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446569 */     // MIs[0] policy
     /* 2446569 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446572 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446579 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446579 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2446582 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446584 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446586 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446588 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446590 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446592 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446597 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446600 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446602 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446603 */     // GIR_Coverage, 45434,
     /* 2446603 */     GIR_EraseRootFromParent_Done,
     /* 2446604 */   // Label 35400: @2446604
     /* 2446604 */   GIM_Try, /*On fail goto*//*Label 35401*/ GIMT_Encode4(2446676), // Rule ID 45435 //
     /* 2446609 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2446612 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446615 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv2s1,
     /* 2446618 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446621 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2446625 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446629 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2446633 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446637 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446641 */     // MIs[0] policy
     /* 2446641 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446644 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446651 */     // (riscv_slideup_vl:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv2f64] } VRM2:{ *:[nxv2f64] }:$rd, VRM2:{ *:[nxv2f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv2i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446651 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2446654 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446656 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446658 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446660 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446662 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446664 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446669 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2446672 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446674 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446675 */     // GIR_Coverage, 45435,
     /* 2446675 */     GIR_EraseRootFromParent_Done,
     /* 2446676 */   // Label 35401: @2446676
     /* 2446676 */   GIM_Reject,
     /* 2446677 */ // Label 35393: @2446677
     /* 2446677 */ GIM_Reject,
     /* 2446678 */ // Label 35323: @2446678
     /* 2446678 */ GIM_Try, /*On fail goto*//*Label 35402*/ GIMT_Encode4(2447000),
     /* 2446683 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s8,
     /* 2446686 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s8,
     /* 2446689 */   GIM_Try, /*On fail goto*//*Label 35403*/ GIMT_Encode4(2446772), // Rule ID 45304 //
     /* 2446694 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2446697 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446700 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446703 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446706 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2446710 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446714 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446718 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446722 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446726 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446730 */     // MIs[1] Operand 1
     /* 2446730 */     // No operand predicates
     /* 2446730 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446734 */     // MIs[0] policy
     /* 2446734 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446737 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446739 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446746 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446746 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2446749 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446751 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446753 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446755 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446758 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446760 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446765 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446768 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446770 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446771 */     // GIR_Coverage, 45304,
     /* 2446771 */     GIR_EraseRootFromParent_Done,
     /* 2446772 */   // Label 35403: @2446772
     /* 2446772 */   GIM_Try, /*On fail goto*//*Label 35404*/ GIMT_Encode4(2446855), // Rule ID 45305 //
     /* 2446777 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2446780 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446783 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446786 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446789 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2446793 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446797 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446801 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2446805 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2446809 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2446813 */     // MIs[1] Operand 1
     /* 2446813 */     // No operand predicates
     /* 2446813 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446817 */     // MIs[0] policy
     /* 2446817 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446820 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2446822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446829 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_MF2_MASK),
     /* 2446832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446838 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2446841 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446843 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446848 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446851 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446853 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446854 */     // GIR_Coverage, 45305,
     /* 2446854 */     GIR_EraseRootFromParent_Done,
     /* 2446855 */   // Label 35404: @2446855
     /* 2446855 */   GIM_Try, /*On fail goto*//*Label 35405*/ GIMT_Encode4(2446927), // Rule ID 45306 //
     /* 2446860 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2446863 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2446866 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446869 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2446872 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2446876 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446880 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446884 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446888 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446892 */     // MIs[0] policy
     /* 2446892 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446895 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446902 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2446902 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2446905 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446907 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446909 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446911 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446913 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446915 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446920 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446923 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446925 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446926 */     // GIR_Coverage, 45306,
     /* 2446926 */     GIR_EraseRootFromParent_Done,
     /* 2446927 */   // Label 35405: @2446927
     /* 2446927 */   GIM_Try, /*On fail goto*//*Label 35406*/ GIMT_Encode4(2446999), // Rule ID 45307 //
     /* 2446932 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2446935 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2446938 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2446941 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2446944 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2446948 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446952 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2446956 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2446960 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2446964 */     // MIs[0] policy
     /* 2446964 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2446967 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2446974 */     // (riscv_slideup_vl:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_MF2_MASK:{ *:[nxv4i8] } VR:{ *:[nxv4i8] }:$rd, VR:{ *:[nxv4i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2446974 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_MF2_MASK),
     /* 2446977 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2446979 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2446981 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2446983 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2446985 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2446987 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2446992 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2446995 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2446997 */     GIR_RootConstrainSelectedInstOperands,
     /* 2446998 */     // GIR_Coverage, 45307,
     /* 2446998 */     GIR_EraseRootFromParent_Done,
     /* 2446999 */   // Label 35406: @2446999
     /* 2446999 */   GIM_Reject,
     /* 2447000 */ // Label 35402: @2447000
     /* 2447000 */ GIM_Reject,
     /* 2447001 */ // Label 35324: @2447001
     /* 2447001 */ GIM_Try, /*On fail goto*//*Label 35407*/ GIMT_Encode4(2447633),
     /* 2447006 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s16,
     /* 2447009 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s16,
     /* 2447012 */   GIM_Try, /*On fail goto*//*Label 35408*/ GIMT_Encode4(2447095), // Rule ID 45324 //
     /* 2447017 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447020 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447023 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447026 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447029 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447033 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447037 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447041 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447045 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447049 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447053 */     // MIs[1] Operand 1
     /* 2447053 */     // No operand predicates
     /* 2447053 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447057 */     // MIs[0] policy
     /* 2447057 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447060 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447062 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447069 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447069 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2447072 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447074 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447076 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447078 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447081 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447083 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447088 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447091 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447093 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447094 */     // GIR_Coverage, 45324,
     /* 2447094 */     GIR_EraseRootFromParent_Done,
     /* 2447095 */   // Label 35408: @2447095
     /* 2447095 */   GIM_Try, /*On fail goto*//*Label 35409*/ GIMT_Encode4(2447178), // Rule ID 45325 //
     /* 2447100 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447103 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447106 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447109 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447112 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447116 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447120 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447124 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447128 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447132 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447136 */     // MIs[1] Operand 1
     /* 2447136 */     // No operand predicates
     /* 2447136 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447140 */     // MIs[0] policy
     /* 2447140 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447143 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447145 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447152 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447152 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2447155 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447157 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447159 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447161 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447164 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447166 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447171 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447174 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447176 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447177 */     // GIR_Coverage, 45325,
     /* 2447177 */     GIR_EraseRootFromParent_Done,
     /* 2447178 */   // Label 35409: @2447178
     /* 2447178 */   GIM_Try, /*On fail goto*//*Label 35410*/ GIMT_Encode4(2447261), // Rule ID 45396 //
     /* 2447183 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447186 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447189 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447192 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447195 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447199 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447203 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447207 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447211 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447215 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447219 */     // MIs[1] Operand 1
     /* 2447219 */     // No operand predicates
     /* 2447219 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447223 */     // MIs[0] policy
     /* 2447223 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447226 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447228 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447235 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447235 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2447238 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447240 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447242 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447244 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447247 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447249 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447254 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447257 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447259 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447260 */     // GIR_Coverage, 45396,
     /* 2447260 */     GIR_EraseRootFromParent_Done,
     /* 2447261 */   // Label 35410: @2447261
     /* 2447261 */   GIM_Try, /*On fail goto*//*Label 35411*/ GIMT_Encode4(2447344), // Rule ID 45397 //
     /* 2447266 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447269 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447272 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447275 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447278 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447282 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447286 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447290 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447294 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447298 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447302 */     // MIs[1] Operand 1
     /* 2447302 */     // No operand predicates
     /* 2447302 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447306 */     // MIs[0] policy
     /* 2447306 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447309 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447318 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2447321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447327 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447330 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447332 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447337 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447340 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447342 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447343 */     // GIR_Coverage, 45397,
     /* 2447343 */     GIR_EraseRootFromParent_Done,
     /* 2447344 */   // Label 35411: @2447344
     /* 2447344 */   GIM_Try, /*On fail goto*//*Label 35412*/ GIMT_Encode4(2447416), // Rule ID 45326 //
     /* 2447349 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447352 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447355 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447358 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447361 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447365 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447369 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447373 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447377 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447381 */     // MIs[0] policy
     /* 2447381 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447384 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447391 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447391 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2447394 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447396 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447398 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447400 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447402 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447404 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447409 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447412 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447414 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447415 */     // GIR_Coverage, 45326,
     /* 2447415 */     GIR_EraseRootFromParent_Done,
     /* 2447416 */   // Label 35412: @2447416
     /* 2447416 */   GIM_Try, /*On fail goto*//*Label 35413*/ GIMT_Encode4(2447488), // Rule ID 45327 //
     /* 2447421 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447424 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447427 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447430 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447433 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447437 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447441 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447445 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447449 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447453 */     // MIs[0] policy
     /* 2447453 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447456 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447463 */     // (riscv_slideup_vl:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4i16] } VR:{ *:[nxv4i16] }:$rd, VR:{ *:[nxv4i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447463 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2447466 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447468 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447470 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447472 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447474 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447476 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447481 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447484 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447486 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447487 */     // GIR_Coverage, 45327,
     /* 2447487 */     GIR_EraseRootFromParent_Done,
     /* 2447488 */   // Label 35413: @2447488
     /* 2447488 */   GIM_Try, /*On fail goto*//*Label 35414*/ GIMT_Encode4(2447560), // Rule ID 45398 //
     /* 2447493 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447496 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447499 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447502 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447505 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447509 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447513 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447517 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447521 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447525 */     // MIs[0] policy
     /* 2447525 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447528 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447535 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447535 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2447538 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447540 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447542 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447544 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447546 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447548 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447553 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447556 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447558 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447559 */     // GIR_Coverage, 45398,
     /* 2447559 */     GIR_EraseRootFromParent_Done,
     /* 2447560 */   // Label 35414: @2447560
     /* 2447560 */   GIM_Try, /*On fail goto*//*Label 35415*/ GIMT_Encode4(2447632), // Rule ID 45399 //
     /* 2447565 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447568 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447571 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447574 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447577 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2447581 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447585 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2447589 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2447593 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447597 */     // MIs[0] policy
     /* 2447597 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447600 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447607 */     // (riscv_slideup_vl:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv4f16] } VR:{ *:[nxv4f16] }:$rd, VR:{ *:[nxv4f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447607 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2447610 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447612 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447614 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447616 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2447618 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447620 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447625 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2447628 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447630 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447631 */     // GIR_Coverage, 45399,
     /* 2447631 */     GIR_EraseRootFromParent_Done,
     /* 2447632 */   // Label 35415: @2447632
     /* 2447632 */   GIM_Reject,
     /* 2447633 */ // Label 35407: @2447633
     /* 2447633 */ GIM_Reject,
     /* 2447634 */ // Label 35325: @2447634
     /* 2447634 */ GIM_Try, /*On fail goto*//*Label 35416*/ GIMT_Encode4(2448266),
     /* 2447639 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s32,
     /* 2447642 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s32,
     /* 2447645 */   GIM_Try, /*On fail goto*//*Label 35417*/ GIMT_Encode4(2447728), // Rule ID 45360 //
     /* 2447650 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447653 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447656 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447659 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447662 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2447666 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447670 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447674 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447678 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447682 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447686 */     // MIs[1] Operand 1
     /* 2447686 */     // No operand predicates
     /* 2447686 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447690 */     // MIs[0] policy
     /* 2447690 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447693 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447695 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447702 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447702 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2447705 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447707 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447709 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447711 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447714 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447716 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447721 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2447724 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447726 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447727 */     // GIR_Coverage, 45360,
     /* 2447727 */     GIR_EraseRootFromParent_Done,
     /* 2447728 */   // Label 35417: @2447728
     /* 2447728 */   GIM_Try, /*On fail goto*//*Label 35418*/ GIMT_Encode4(2447811), // Rule ID 45361 //
     /* 2447733 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447736 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447739 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447742 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447745 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2447749 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447753 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447757 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447761 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447765 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447769 */     // MIs[1] Operand 1
     /* 2447769 */     // No operand predicates
     /* 2447769 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447773 */     // MIs[0] policy
     /* 2447773 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447776 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447778 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447785 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447785 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2447788 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447790 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447792 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447794 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447797 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447799 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447804 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2447807 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447809 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447810 */     // GIR_Coverage, 45361,
     /* 2447810 */     GIR_EraseRootFromParent_Done,
     /* 2447811 */   // Label 35418: @2447811
     /* 2447811 */   GIM_Try, /*On fail goto*//*Label 35419*/ GIMT_Encode4(2447894), // Rule ID 45420 //
     /* 2447816 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447819 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447822 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447825 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447828 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2447832 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447836 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447840 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447844 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447848 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447852 */     // MIs[1] Operand 1
     /* 2447852 */     // No operand predicates
     /* 2447852 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447856 */     // MIs[0] policy
     /* 2447856 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447859 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447861 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447868 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2447868 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2447871 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447873 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447875 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447877 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447880 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447882 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447887 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2447890 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447892 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447893 */     // GIR_Coverage, 45420,
     /* 2447893 */     GIR_EraseRootFromParent_Done,
     /* 2447894 */   // Label 35419: @2447894
     /* 2447894 */   GIM_Try, /*On fail goto*//*Label 35420*/ GIMT_Encode4(2447977), // Rule ID 45421 //
     /* 2447899 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2447902 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2447905 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447908 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2447911 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2447915 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447919 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2447923 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2447927 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2447931 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2447935 */     // MIs[1] Operand 1
     /* 2447935 */     // No operand predicates
     /* 2447935 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2447939 */     // MIs[0] policy
     /* 2447939 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2447942 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2447944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2447951 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2447951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2447954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2447956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2447958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2447960 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2447963 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2447965 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2447970 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2447973 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2447975 */     GIR_RootConstrainSelectedInstOperands,
     /* 2447976 */     // GIR_Coverage, 45421,
     /* 2447976 */     GIR_EraseRootFromParent_Done,
     /* 2447977 */   // Label 35420: @2447977
     /* 2447977 */   GIM_Try, /*On fail goto*//*Label 35421*/ GIMT_Encode4(2448049), // Rule ID 45362 //
     /* 2447982 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2447985 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2447988 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2447991 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2447994 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2447998 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448002 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448006 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448010 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448014 */     // MIs[0] policy
     /* 2448014 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448017 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448024 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448024 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2448027 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448029 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448031 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448033 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448035 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448037 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448042 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448045 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448047 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448048 */     // GIR_Coverage, 45362,
     /* 2448048 */     GIR_EraseRootFromParent_Done,
     /* 2448049 */   // Label 35421: @2448049
     /* 2448049 */   GIM_Try, /*On fail goto*//*Label 35422*/ GIMT_Encode4(2448121), // Rule ID 45363 //
     /* 2448054 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2448057 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448060 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448063 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448066 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448070 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448074 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448078 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448082 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448086 */     // MIs[0] policy
     /* 2448086 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448089 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448096 */     // (riscv_slideup_vl:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4i32] } VRM2:{ *:[nxv4i32] }:$rd, VRM2:{ *:[nxv4i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448096 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2448099 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448101 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448103 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448105 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448107 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448109 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448114 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448117 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448119 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448120 */     // GIR_Coverage, 45363,
     /* 2448120 */     GIR_EraseRootFromParent_Done,
     /* 2448121 */   // Label 35422: @2448121
     /* 2448121 */   GIM_Try, /*On fail goto*//*Label 35423*/ GIMT_Encode4(2448193), // Rule ID 45422 //
     /* 2448126 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2448129 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448132 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448135 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448138 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448142 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448146 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448150 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448154 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448158 */     // MIs[0] policy
     /* 2448158 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448161 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448168 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448168 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2448171 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448173 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448175 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448177 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448179 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448181 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448186 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448189 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448191 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448192 */     // GIR_Coverage, 45422,
     /* 2448192 */     GIR_EraseRootFromParent_Done,
     /* 2448193 */   // Label 35423: @2448193
     /* 2448193 */   GIM_Try, /*On fail goto*//*Label 35424*/ GIMT_Encode4(2448265), // Rule ID 45423 //
     /* 2448198 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2448201 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448204 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448207 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448210 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2448214 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448218 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2448222 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448226 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448230 */     // MIs[0] policy
     /* 2448230 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448233 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448240 */     // (riscv_slideup_vl:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv4f32] } VRM2:{ *:[nxv4f32] }:$rd, VRM2:{ *:[nxv4f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448240 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2448243 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448245 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448247 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448249 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448251 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448253 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448258 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2448261 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448263 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448264 */     // GIR_Coverage, 45423,
     /* 2448264 */     GIR_EraseRootFromParent_Done,
     /* 2448265 */   // Label 35424: @2448265
     /* 2448265 */   GIM_Reject,
     /* 2448266 */ // Label 35416: @2448266
     /* 2448266 */ GIM_Reject,
     /* 2448267 */ // Label 35326: @2448267
     /* 2448267 */ GIM_Try, /*On fail goto*//*Label 35425*/ GIMT_Encode4(2448899),
     /* 2448272 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv4s64,
     /* 2448275 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv4s64,
     /* 2448278 */   GIM_Try, /*On fail goto*//*Label 35426*/ GIMT_Encode4(2448361), // Rule ID 45376 //
     /* 2448283 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2448286 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448289 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448292 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448295 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448299 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448303 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448307 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448311 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448315 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448319 */     // MIs[1] Operand 1
     /* 2448319 */     // No operand predicates
     /* 2448319 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448323 */     // MIs[0] policy
     /* 2448323 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448326 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448328 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448335 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448335 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2448338 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448340 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448342 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448344 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448347 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448349 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448354 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448357 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448359 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448360 */     // GIR_Coverage, 45376,
     /* 2448360 */     GIR_EraseRootFromParent_Done,
     /* 2448361 */   // Label 35426: @2448361
     /* 2448361 */   GIM_Try, /*On fail goto*//*Label 35427*/ GIMT_Encode4(2448444), // Rule ID 45377 //
     /* 2448366 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2448369 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448372 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448375 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448378 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448382 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448386 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448390 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448394 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448398 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448402 */     // MIs[1] Operand 1
     /* 2448402 */     // No operand predicates
     /* 2448402 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448406 */     // MIs[0] policy
     /* 2448406 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448409 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448418 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2448421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448427 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448430 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448432 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448437 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448440 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448442 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448443 */     // GIR_Coverage, 45377,
     /* 2448443 */     GIR_EraseRootFromParent_Done,
     /* 2448444 */   // Label 35427: @2448444
     /* 2448444 */   GIM_Try, /*On fail goto*//*Label 35428*/ GIMT_Encode4(2448527), // Rule ID 45436 //
     /* 2448449 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2448452 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448455 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448458 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448461 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448465 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448469 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448473 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448477 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448481 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448485 */     // MIs[1] Operand 1
     /* 2448485 */     // No operand predicates
     /* 2448485 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448489 */     // MIs[0] policy
     /* 2448489 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448492 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448494 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448501 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448501 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2448504 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448506 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448508 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448510 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448513 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448515 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448520 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448523 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448525 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448526 */     // GIR_Coverage, 45436,
     /* 2448526 */     GIR_EraseRootFromParent_Done,
     /* 2448527 */   // Label 35428: @2448527
     /* 2448527 */   GIM_Try, /*On fail goto*//*Label 35429*/ GIMT_Encode4(2448610), // Rule ID 45437 //
     /* 2448532 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2448535 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448538 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448541 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448544 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448548 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448552 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448556 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448560 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448564 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448568 */     // MIs[1] Operand 1
     /* 2448568 */     // No operand predicates
     /* 2448568 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448572 */     // MIs[0] policy
     /* 2448572 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448575 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448577 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448584 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448584 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2448587 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448589 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448591 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448593 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448596 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448598 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448603 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448606 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448608 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448609 */     // GIR_Coverage, 45437,
     /* 2448609 */     GIR_EraseRootFromParent_Done,
     /* 2448610 */   // Label 35429: @2448610
     /* 2448610 */   GIM_Try, /*On fail goto*//*Label 35430*/ GIMT_Encode4(2448682), // Rule ID 45378 //
     /* 2448615 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2448618 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448621 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448624 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448627 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448631 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448635 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448639 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448643 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448647 */     // MIs[0] policy
     /* 2448647 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448650 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448657 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448657 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2448660 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448662 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448664 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448666 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448668 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448670 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448675 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448678 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448680 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448681 */     // GIR_Coverage, 45378,
     /* 2448681 */     GIR_EraseRootFromParent_Done,
     /* 2448682 */   // Label 35430: @2448682
     /* 2448682 */   GIM_Try, /*On fail goto*//*Label 35431*/ GIMT_Encode4(2448754), // Rule ID 45379 //
     /* 2448687 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2448690 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448693 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448696 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448699 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448703 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448707 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448711 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448715 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448719 */     // MIs[0] policy
     /* 2448719 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448722 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448729 */     // (riscv_slideup_vl:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4i64] } VRM4:{ *:[nxv4i64] }:$rd, VRM4:{ *:[nxv4i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448729 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2448732 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448734 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448736 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448738 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448740 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448742 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448747 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448750 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448752 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448753 */     // GIR_Coverage, 45379,
     /* 2448753 */     GIR_EraseRootFromParent_Done,
     /* 2448754 */   // Label 35431: @2448754
     /* 2448754 */   GIM_Try, /*On fail goto*//*Label 35432*/ GIMT_Encode4(2448826), // Rule ID 45438 //
     /* 2448759 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2448762 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448765 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448768 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448771 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448775 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448779 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448783 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448787 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448791 */     // MIs[0] policy
     /* 2448791 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448794 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448801 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448801 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2448804 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448806 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448808 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448810 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448812 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448814 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448819 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448822 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448824 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448825 */     // GIR_Coverage, 45438,
     /* 2448825 */     GIR_EraseRootFromParent_Done,
     /* 2448826 */   // Label 35432: @2448826
     /* 2448826 */   GIM_Try, /*On fail goto*//*Label 35433*/ GIMT_Encode4(2448898), // Rule ID 45439 //
     /* 2448831 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2448834 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2448837 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv4s1,
     /* 2448840 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2448843 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2448847 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448851 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2448855 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2448859 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448863 */     // MIs[0] policy
     /* 2448863 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448866 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448873 */     // (riscv_slideup_vl:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv4f64] } VRM4:{ *:[nxv4f64] }:$rd, VRM4:{ *:[nxv4f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv4i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2448873 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2448876 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448878 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448880 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448882 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2448884 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448886 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448891 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2448894 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448896 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448897 */     // GIR_Coverage, 45439,
     /* 2448897 */     GIR_EraseRootFromParent_Done,
     /* 2448898 */   // Label 35433: @2448898
     /* 2448898 */   GIM_Reject,
     /* 2448899 */ // Label 35425: @2448899
     /* 2448899 */ GIM_Reject,
     /* 2448900 */ // Label 35327: @2448900
     /* 2448900 */ GIM_Try, /*On fail goto*//*Label 35434*/ GIMT_Encode4(2449222),
     /* 2448905 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s8,
     /* 2448908 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s8,
     /* 2448911 */   GIM_Try, /*On fail goto*//*Label 35435*/ GIMT_Encode4(2448994), // Rule ID 45320 //
     /* 2448916 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2448919 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2448922 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2448925 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2448928 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2448932 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2448936 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2448940 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2448944 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2448948 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2448952 */     // MIs[1] Operand 1
     /* 2448952 */     // No operand predicates
     /* 2448952 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2448956 */     // MIs[0] policy
     /* 2448956 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2448959 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2448961 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2448968 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2448968 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2448971 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2448973 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2448975 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2448977 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2448980 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2448982 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2448987 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2448990 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2448992 */     GIR_RootConstrainSelectedInstOperands,
     /* 2448993 */     // GIR_Coverage, 45320,
     /* 2448993 */     GIR_EraseRootFromParent_Done,
     /* 2448994 */   // Label 35435: @2448994
     /* 2448994 */   GIM_Try, /*On fail goto*//*Label 35436*/ GIMT_Encode4(2449077), // Rule ID 45321 //
     /* 2448999 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449002 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449005 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449008 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449011 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2449015 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449019 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449023 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449027 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449031 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449035 */     // MIs[1] Operand 1
     /* 2449035 */     // No operand predicates
     /* 2449035 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449039 */     // MIs[0] policy
     /* 2449039 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449042 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449051 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M1_MASK),
     /* 2449054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449060 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449063 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449065 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449070 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449073 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449075 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449076 */     // GIR_Coverage, 45321,
     /* 2449076 */     GIR_EraseRootFromParent_Done,
     /* 2449077 */   // Label 35436: @2449077
     /* 2449077 */   GIM_Try, /*On fail goto*//*Label 35437*/ GIMT_Encode4(2449149), // Rule ID 45322 //
     /* 2449082 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2449085 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449088 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449091 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449094 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2449098 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449102 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449106 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449110 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449114 */     // MIs[0] policy
     /* 2449114 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449117 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449124 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449124 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2449127 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449129 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449131 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449133 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449135 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449137 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449142 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449145 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449147 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449148 */     // GIR_Coverage, 45322,
     /* 2449148 */     GIR_EraseRootFromParent_Done,
     /* 2449149 */   // Label 35437: @2449149
     /* 2449149 */   GIM_Try, /*On fail goto*//*Label 35438*/ GIMT_Encode4(2449221), // Rule ID 45323 //
     /* 2449154 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449157 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449160 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449163 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449166 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRNoV0RegClassID),
     /* 2449170 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449174 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRRegClassID),
     /* 2449178 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449182 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449186 */     // MIs[0] policy
     /* 2449186 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449189 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449196 */     // (riscv_slideup_vl:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M1_MASK:{ *:[nxv8i8] } VR:{ *:[nxv8i8] }:$rd, VR:{ *:[nxv8i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449196 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M1_MASK),
     /* 2449199 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449201 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449203 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449205 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449207 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449209 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449214 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2449217 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449219 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449220 */     // GIR_Coverage, 45323,
     /* 2449220 */     GIR_EraseRootFromParent_Done,
     /* 2449221 */   // Label 35438: @2449221
     /* 2449221 */   GIM_Reject,
     /* 2449222 */ // Label 35434: @2449222
     /* 2449222 */ GIM_Reject,
     /* 2449223 */ // Label 35328: @2449223
     /* 2449223 */ GIM_Try, /*On fail goto*//*Label 35439*/ GIMT_Encode4(2449855),
     /* 2449228 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s16,
     /* 2449231 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s16,
     /* 2449234 */   GIM_Try, /*On fail goto*//*Label 35440*/ GIMT_Encode4(2449317), // Rule ID 45348 //
     /* 2449239 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2449242 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449245 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449248 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449251 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449255 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449259 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449263 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449267 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449271 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449275 */     // MIs[1] Operand 1
     /* 2449275 */     // No operand predicates
     /* 2449275 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449279 */     // MIs[0] policy
     /* 2449279 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449282 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449284 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449291 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449291 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2449294 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449296 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449298 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449300 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449303 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449305 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449310 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449313 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449315 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449316 */     // GIR_Coverage, 45348,
     /* 2449316 */     GIR_EraseRootFromParent_Done,
     /* 2449317 */   // Label 35440: @2449317
     /* 2449317 */   GIM_Try, /*On fail goto*//*Label 35441*/ GIMT_Encode4(2449400), // Rule ID 45349 //
     /* 2449322 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449325 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449328 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449331 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449334 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449338 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449342 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449346 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449350 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449354 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449358 */     // MIs[1] Operand 1
     /* 2449358 */     // No operand predicates
     /* 2449358 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449362 */     // MIs[0] policy
     /* 2449362 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449365 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449367 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449374 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449374 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2449377 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449379 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449381 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449383 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449386 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449388 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449393 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449396 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449398 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449399 */     // GIR_Coverage, 45349,
     /* 2449399 */     GIR_EraseRootFromParent_Done,
     /* 2449400 */   // Label 35441: @2449400
     /* 2449400 */   GIM_Try, /*On fail goto*//*Label 35442*/ GIMT_Encode4(2449483), // Rule ID 45408 //
     /* 2449405 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2449408 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449411 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449414 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449417 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449421 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449425 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449429 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449433 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449437 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449441 */     // MIs[1] Operand 1
     /* 2449441 */     // No operand predicates
     /* 2449441 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449445 */     // MIs[0] policy
     /* 2449445 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449448 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449450 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449457 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449457 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2449460 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449462 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449464 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449466 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449469 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449471 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449476 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449479 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449481 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449482 */     // GIR_Coverage, 45408,
     /* 2449482 */     GIR_EraseRootFromParent_Done,
     /* 2449483 */   // Label 35442: @2449483
     /* 2449483 */   GIM_Try, /*On fail goto*//*Label 35443*/ GIMT_Encode4(2449566), // Rule ID 45409 //
     /* 2449488 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449491 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449494 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449497 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449500 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449504 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449508 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449512 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449516 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449520 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449524 */     // MIs[1] Operand 1
     /* 2449524 */     // No operand predicates
     /* 2449524 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449528 */     // MIs[0] policy
     /* 2449528 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449531 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449540 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2449543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449549 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449552 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449554 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449559 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449562 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449564 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449565 */     // GIR_Coverage, 45409,
     /* 2449565 */     GIR_EraseRootFromParent_Done,
     /* 2449566 */   // Label 35443: @2449566
     /* 2449566 */   GIM_Try, /*On fail goto*//*Label 35444*/ GIMT_Encode4(2449638), // Rule ID 45350 //
     /* 2449571 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2449574 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449577 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449580 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449583 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449587 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449591 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449595 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449599 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449603 */     // MIs[0] policy
     /* 2449603 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449606 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449613 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449613 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2449616 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449618 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449620 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449622 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449624 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449626 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449631 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449634 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449636 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449637 */     // GIR_Coverage, 45350,
     /* 2449637 */     GIR_EraseRootFromParent_Done,
     /* 2449638 */   // Label 35444: @2449638
     /* 2449638 */   GIM_Try, /*On fail goto*//*Label 35445*/ GIMT_Encode4(2449710), // Rule ID 45351 //
     /* 2449643 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449646 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449649 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449652 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449655 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449659 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449663 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449667 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449671 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449675 */     // MIs[0] policy
     /* 2449675 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449678 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449685 */     // (riscv_slideup_vl:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8i16] } VRM2:{ *:[nxv8i16] }:$rd, VRM2:{ *:[nxv8i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449685 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2449688 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449690 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449692 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449694 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449696 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449698 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449703 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449706 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449708 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449709 */     // GIR_Coverage, 45351,
     /* 2449709 */     GIR_EraseRootFromParent_Done,
     /* 2449710 */   // Label 35445: @2449710
     /* 2449710 */   GIM_Try, /*On fail goto*//*Label 35446*/ GIMT_Encode4(2449782), // Rule ID 45410 //
     /* 2449715 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2449718 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449721 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449724 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449727 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449731 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449735 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449739 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449743 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449747 */     // MIs[0] policy
     /* 2449747 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449750 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449757 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449757 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2449760 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449762 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449764 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449766 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449768 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449770 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449775 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449778 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449780 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449781 */     // GIR_Coverage, 45410,
     /* 2449781 */     GIR_EraseRootFromParent_Done,
     /* 2449782 */   // Label 35446: @2449782
     /* 2449782 */   GIM_Try, /*On fail goto*//*Label 35447*/ GIMT_Encode4(2449854), // Rule ID 45411 //
     /* 2449787 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449790 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449793 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449796 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449799 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2449803 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449807 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2449811 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2449815 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449819 */     // MIs[0] policy
     /* 2449819 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449822 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449829 */     // (riscv_slideup_vl:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv8f16] } VRM2:{ *:[nxv8f16] }:$rd, VRM2:{ *:[nxv8f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2449829 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2449832 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449834 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449836 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449838 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2449840 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449842 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449847 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2449850 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449852 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449853 */     // GIR_Coverage, 45411,
     /* 2449853 */     GIR_EraseRootFromParent_Done,
     /* 2449854 */   // Label 35447: @2449854
     /* 2449854 */   GIM_Reject,
     /* 2449855 */ // Label 35439: @2449855
     /* 2449855 */ GIM_Reject,
     /* 2449856 */ // Label 35329: @2449856
     /* 2449856 */ GIM_Try, /*On fail goto*//*Label 35448*/ GIMT_Encode4(2450488),
     /* 2449861 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s32,
     /* 2449864 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s32,
     /* 2449867 */   GIM_Try, /*On fail goto*//*Label 35449*/ GIMT_Encode4(2449950), // Rule ID 45364 //
     /* 2449872 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2449875 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2449878 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449881 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2449884 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2449888 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2449892 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2449896 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449900 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449904 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449908 */     // MIs[1] Operand 1
     /* 2449908 */     // No operand predicates
     /* 2449908 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449912 */     // MIs[0] policy
     /* 2449912 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449915 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2449917 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2449924 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2449924 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2449927 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2449929 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2449931 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2449933 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2449936 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2449938 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2449943 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2449946 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2449948 */     GIR_RootConstrainSelectedInstOperands,
     /* 2449949 */     // GIR_Coverage, 45364,
     /* 2449949 */     GIR_EraseRootFromParent_Done,
     /* 2449950 */   // Label 35449: @2449950
     /* 2449950 */   GIM_Try, /*On fail goto*//*Label 35450*/ GIMT_Encode4(2450033), // Rule ID 45365 //
     /* 2449955 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2449958 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2449961 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2449964 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2449967 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2449971 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2449975 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2449979 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2449983 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2449987 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2449991 */     // MIs[1] Operand 1
     /* 2449991 */     // No operand predicates
     /* 2449991 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2449995 */     // MIs[0] policy
     /* 2449995 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2449998 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450007 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2450010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450016 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450019 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450021 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450026 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450029 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450031 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450032 */     // GIR_Coverage, 45365,
     /* 2450032 */     GIR_EraseRootFromParent_Done,
     /* 2450033 */   // Label 35450: @2450033
     /* 2450033 */   GIM_Try, /*On fail goto*//*Label 35451*/ GIMT_Encode4(2450116), // Rule ID 45424 //
     /* 2450038 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450041 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450044 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450047 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450050 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450054 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450058 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450062 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450066 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450070 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450074 */     // MIs[1] Operand 1
     /* 2450074 */     // No operand predicates
     /* 2450074 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450078 */     // MIs[0] policy
     /* 2450078 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450081 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450083 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450090 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450090 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2450093 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450095 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450097 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450099 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450102 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450104 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450109 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450112 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450114 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450115 */     // GIR_Coverage, 45424,
     /* 2450115 */     GIR_EraseRootFromParent_Done,
     /* 2450116 */   // Label 35451: @2450116
     /* 2450116 */   GIM_Try, /*On fail goto*//*Label 35452*/ GIMT_Encode4(2450199), // Rule ID 45425 //
     /* 2450121 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450124 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450127 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450130 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450133 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450137 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450141 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450145 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450149 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450153 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450157 */     // MIs[1] Operand 1
     /* 2450157 */     // No operand predicates
     /* 2450157 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450161 */     // MIs[0] policy
     /* 2450161 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450164 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450166 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450173 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450173 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2450176 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450178 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450180 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450182 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450185 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450187 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450192 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450195 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450197 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450198 */     // GIR_Coverage, 45425,
     /* 2450198 */     GIR_EraseRootFromParent_Done,
     /* 2450199 */   // Label 35452: @2450199
     /* 2450199 */   GIM_Try, /*On fail goto*//*Label 35453*/ GIMT_Encode4(2450271), // Rule ID 45366 //
     /* 2450204 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450207 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450210 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450213 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450216 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450220 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450224 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450228 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450232 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450236 */     // MIs[0] policy
     /* 2450236 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450239 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450246 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450246 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2450249 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450251 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450253 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450255 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450257 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450259 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450264 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450267 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450269 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450270 */     // GIR_Coverage, 45366,
     /* 2450270 */     GIR_EraseRootFromParent_Done,
     /* 2450271 */   // Label 35453: @2450271
     /* 2450271 */   GIM_Try, /*On fail goto*//*Label 35454*/ GIMT_Encode4(2450343), // Rule ID 45367 //
     /* 2450276 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450279 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450282 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450285 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450288 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450292 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450296 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450300 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450304 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450308 */     // MIs[0] policy
     /* 2450308 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450311 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450318 */     // (riscv_slideup_vl:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8i32] } VRM4:{ *:[nxv8i32] }:$rd, VRM4:{ *:[nxv8i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450318 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2450321 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450323 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450325 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450327 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450329 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450331 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450336 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450339 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450341 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450342 */     // GIR_Coverage, 45367,
     /* 2450342 */     GIR_EraseRootFromParent_Done,
     /* 2450343 */   // Label 35454: @2450343
     /* 2450343 */   GIM_Try, /*On fail goto*//*Label 35455*/ GIMT_Encode4(2450415), // Rule ID 45426 //
     /* 2450348 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2450351 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450354 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450357 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450360 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450364 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450368 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450372 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450376 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450380 */     // MIs[0] policy
     /* 2450380 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450383 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450390 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450390 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2450393 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450395 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450397 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450399 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450401 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450403 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450408 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450411 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450413 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450414 */     // GIR_Coverage, 45426,
     /* 2450414 */     GIR_EraseRootFromParent_Done,
     /* 2450415 */   // Label 35455: @2450415
     /* 2450415 */   GIM_Try, /*On fail goto*//*Label 35456*/ GIMT_Encode4(2450487), // Rule ID 45427 //
     /* 2450420 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2450423 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450426 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450429 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450432 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2450436 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450440 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2450444 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450448 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450452 */     // MIs[0] policy
     /* 2450452 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450455 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450462 */     // (riscv_slideup_vl:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv8f32] } VRM4:{ *:[nxv8f32] }:$rd, VRM4:{ *:[nxv8f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450462 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2450465 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450467 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450469 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450471 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450473 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450475 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450480 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2450483 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450485 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450486 */     // GIR_Coverage, 45427,
     /* 2450486 */     GIR_EraseRootFromParent_Done,
     /* 2450487 */   // Label 35456: @2450487
     /* 2450487 */   GIM_Reject,
     /* 2450488 */ // Label 35448: @2450488
     /* 2450488 */ GIM_Reject,
     /* 2450489 */ // Label 35330: @2450489
     /* 2450489 */ GIM_Try, /*On fail goto*//*Label 35457*/ GIMT_Encode4(2451121),
     /* 2450494 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv8s64,
     /* 2450497 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv8s64,
     /* 2450500 */   GIM_Try, /*On fail goto*//*Label 35458*/ GIMT_Encode4(2450583), // Rule ID 45380 //
     /* 2450505 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2450508 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450511 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450514 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450517 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450521 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450525 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450529 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450533 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450537 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450541 */     // MIs[1] Operand 1
     /* 2450541 */     // No operand predicates
     /* 2450541 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450545 */     // MIs[0] policy
     /* 2450545 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450548 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450550 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450557 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450557 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2450560 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450562 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450564 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450566 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450569 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450571 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450576 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450579 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450581 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450582 */     // GIR_Coverage, 45380,
     /* 2450582 */     GIR_EraseRootFromParent_Done,
     /* 2450583 */   // Label 35458: @2450583
     /* 2450583 */   GIM_Try, /*On fail goto*//*Label 35459*/ GIMT_Encode4(2450666), // Rule ID 45381 //
     /* 2450588 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2450591 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450594 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450597 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450600 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450604 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450608 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450612 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450616 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450620 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450624 */     // MIs[1] Operand 1
     /* 2450624 */     // No operand predicates
     /* 2450624 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450628 */     // MIs[0] policy
     /* 2450628 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450631 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450640 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2450643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450649 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450652 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450654 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450659 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450662 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450664 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450665 */     // GIR_Coverage, 45381,
     /* 2450665 */     GIR_EraseRootFromParent_Done,
     /* 2450666 */   // Label 35459: @2450666
     /* 2450666 */   GIM_Try, /*On fail goto*//*Label 35460*/ GIMT_Encode4(2450749), // Rule ID 45440 //
     /* 2450671 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2450674 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450677 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450680 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450683 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450687 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450691 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450695 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450699 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450703 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450707 */     // MIs[1] Operand 1
     /* 2450707 */     // No operand predicates
     /* 2450707 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450711 */     // MIs[0] policy
     /* 2450711 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450714 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450716 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450723 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450723 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2450726 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450728 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450730 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450732 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450735 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450737 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450742 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450745 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450747 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450748 */     // GIR_Coverage, 45440,
     /* 2450748 */     GIR_EraseRootFromParent_Done,
     /* 2450749 */   // Label 35460: @2450749
     /* 2450749 */   GIM_Try, /*On fail goto*//*Label 35461*/ GIMT_Encode4(2450832), // Rule ID 45441 //
     /* 2450754 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2450757 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450760 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450763 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450766 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450770 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450774 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450778 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2450782 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2450786 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2450790 */     // MIs[1] Operand 1
     /* 2450790 */     // No operand predicates
     /* 2450790 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450794 */     // MIs[0] policy
     /* 2450794 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450797 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2450799 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450806 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450806 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2450809 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450811 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450813 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450815 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2450818 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450820 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450825 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450828 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450830 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450831 */     // GIR_Coverage, 45441,
     /* 2450831 */     GIR_EraseRootFromParent_Done,
     /* 2450832 */   // Label 35461: @2450832
     /* 2450832 */   GIM_Try, /*On fail goto*//*Label 35462*/ GIMT_Encode4(2450904), // Rule ID 45382 //
     /* 2450837 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2450840 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450843 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450846 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450849 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450853 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450857 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450861 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450865 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450869 */     // MIs[0] policy
     /* 2450869 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450872 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450879 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2450879 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2450882 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450884 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450886 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450888 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450890 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450892 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450897 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450900 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450902 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450903 */     // GIR_Coverage, 45382,
     /* 2450903 */     GIR_EraseRootFromParent_Done,
     /* 2450904 */   // Label 35462: @2450904
     /* 2450904 */   GIM_Try, /*On fail goto*//*Label 35463*/ GIMT_Encode4(2450976), // Rule ID 45383 //
     /* 2450909 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2450912 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2450915 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450918 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2450921 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450925 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450929 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2450933 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2450937 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2450941 */     // MIs[0] policy
     /* 2450941 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2450944 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2450951 */     // (riscv_slideup_vl:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8i64] } VRM8:{ *:[nxv8i64] }:$rd, VRM8:{ *:[nxv8i64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2450951 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2450954 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2450956 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2450958 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2450960 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2450962 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2450964 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2450969 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2450972 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2450974 */     GIR_RootConstrainSelectedInstOperands,
     /* 2450975 */     // GIR_Coverage, 45383,
     /* 2450975 */     GIR_EraseRootFromParent_Done,
     /* 2450976 */   // Label 35463: @2450976
     /* 2450976 */   GIM_Try, /*On fail goto*//*Label 35464*/ GIMT_Encode4(2451048), // Rule ID 45442 //
     /* 2450981 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode0),
     /* 2450984 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2450987 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2450990 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2450993 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2450997 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451001 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451005 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451009 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451013 */     // MIs[0] policy
     /* 2451013 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451016 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451023 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i64] }:$vl, 6:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451023 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2451026 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451028 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451030 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451032 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451034 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451036 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451041 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2451044 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451046 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451047 */     // GIR_Coverage, 45442,
     /* 2451047 */     GIR_EraseRootFromParent_Done,
     /* 2451048 */   // Label 35464: @2451048
     /* 2451048 */   GIM_Try, /*On fail goto*//*Label 35465*/ GIMT_Encode4(2451120), // Rule ID 45443 //
     /* 2451053 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructionsI64_HwMode1),
     /* 2451056 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451059 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv8s1,
     /* 2451062 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451065 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2451069 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451073 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2451077 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451081 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451085 */     // MIs[0] policy
     /* 2451085 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451088 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451095 */     // (riscv_slideup_vl:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv8f64] } VRM8:{ *:[nxv8f64] }:$rd, VRM8:{ *:[nxv8f64] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv8i1] }:$vm, GPR:{ *:[i32] }:$vl, 6:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451095 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2451098 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451100 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451102 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451104 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451106 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451108 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451113 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/6,
     /* 2451116 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451118 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451119 */     // GIR_Coverage, 45443,
     /* 2451119 */     GIR_EraseRootFromParent_Done,
     /* 2451120 */   // Label 35465: @2451120
     /* 2451120 */   GIM_Reject,
     /* 2451121 */ // Label 35457: @2451121
     /* 2451121 */ GIM_Reject,
     /* 2451122 */ // Label 35331: @2451122
     /* 2451122 */ GIM_Try, /*On fail goto*//*Label 35466*/ GIMT_Encode4(2451444),
     /* 2451127 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s8,
     /* 2451130 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s8,
     /* 2451133 */   GIM_Try, /*On fail goto*//*Label 35467*/ GIMT_Encode4(2451216), // Rule ID 45336 //
     /* 2451138 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451141 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451144 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451147 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451150 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2451154 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2451158 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2451162 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451166 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451170 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451174 */     // MIs[1] Operand 1
     /* 2451174 */     // No operand predicates
     /* 2451174 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451178 */     // MIs[0] policy
     /* 2451178 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451181 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451183 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451190 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451190 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2451193 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451195 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451197 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451199 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451202 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451204 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451209 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451212 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451214 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451215 */     // GIR_Coverage, 45336,
     /* 2451215 */     GIR_EraseRootFromParent_Done,
     /* 2451216 */   // Label 35467: @2451216
     /* 2451216 */   GIM_Try, /*On fail goto*//*Label 35468*/ GIMT_Encode4(2451299), // Rule ID 45337 //
     /* 2451221 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451224 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451227 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451230 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451233 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2451237 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2451241 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2451245 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451249 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451253 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451257 */     // MIs[1] Operand 1
     /* 2451257 */     // No operand predicates
     /* 2451257 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451261 */     // MIs[0] policy
     /* 2451261 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451264 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451266 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451273 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451273 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M2_MASK),
     /* 2451276 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451278 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451280 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451282 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451285 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451287 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451292 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451295 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451297 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451298 */     // GIR_Coverage, 45337,
     /* 2451298 */     GIR_EraseRootFromParent_Done,
     /* 2451299 */   // Label 35468: @2451299
     /* 2451299 */   GIM_Try, /*On fail goto*//*Label 35469*/ GIMT_Encode4(2451371), // Rule ID 45338 //
     /* 2451304 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451307 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451310 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451313 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451316 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2451320 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2451324 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2451328 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451332 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451336 */     // MIs[0] policy
     /* 2451336 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451339 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451346 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451346 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2451349 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451351 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451353 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451355 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451357 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451359 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451364 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451367 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451369 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451370 */     // GIR_Coverage, 45338,
     /* 2451370 */     GIR_EraseRootFromParent_Done,
     /* 2451371 */   // Label 35469: @2451371
     /* 2451371 */   GIM_Try, /*On fail goto*//*Label 35470*/ GIMT_Encode4(2451443), // Rule ID 45339 //
     /* 2451376 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451379 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451382 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451385 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451388 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM2NoV0RegClassID),
     /* 2451392 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2451396 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM2RegClassID),
     /* 2451400 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451404 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451408 */     // MIs[0] policy
     /* 2451408 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451411 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451418 */     // (riscv_slideup_vl:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M2_MASK:{ *:[nxv16i8] } VRM2:{ *:[nxv16i8] }:$rd, VRM2:{ *:[nxv16i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451418 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M2_MASK),
     /* 2451421 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451423 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451425 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451427 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451429 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451431 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451436 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2451439 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451441 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451442 */     // GIR_Coverage, 45339,
     /* 2451442 */     GIR_EraseRootFromParent_Done,
     /* 2451443 */   // Label 35470: @2451443
     /* 2451443 */   GIM_Reject,
     /* 2451444 */ // Label 35466: @2451444
     /* 2451444 */ GIM_Reject,
     /* 2451445 */ // Label 35332: @2451445
     /* 2451445 */ GIM_Try, /*On fail goto*//*Label 35471*/ GIMT_Encode4(2452077),
     /* 2451450 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s16,
     /* 2451453 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s16,
     /* 2451456 */   GIM_Try, /*On fail goto*//*Label 35472*/ GIMT_Encode4(2451539), // Rule ID 45352 //
     /* 2451461 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451464 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451467 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451470 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451473 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451477 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451481 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451485 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451489 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451493 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451497 */     // MIs[1] Operand 1
     /* 2451497 */     // No operand predicates
     /* 2451497 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451501 */     // MIs[0] policy
     /* 2451501 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451504 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451506 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451513 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451513 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2451516 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451518 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451520 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451522 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451525 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451527 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451532 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451535 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451537 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451538 */     // GIR_Coverage, 45352,
     /* 2451538 */     GIR_EraseRootFromParent_Done,
     /* 2451539 */   // Label 35472: @2451539
     /* 2451539 */   GIM_Try, /*On fail goto*//*Label 35473*/ GIMT_Encode4(2451622), // Rule ID 45353 //
     /* 2451544 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451547 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451550 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451553 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451556 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451560 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451564 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451568 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451572 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451576 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451580 */     // MIs[1] Operand 1
     /* 2451580 */     // No operand predicates
     /* 2451580 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451584 */     // MIs[0] policy
     /* 2451584 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451587 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451589 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451596 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451596 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2451599 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451601 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451603 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451605 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451608 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451610 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451615 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451618 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451620 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451621 */     // GIR_Coverage, 45353,
     /* 2451621 */     GIR_EraseRootFromParent_Done,
     /* 2451622 */   // Label 35473: @2451622
     /* 2451622 */   GIM_Try, /*On fail goto*//*Label 35474*/ GIMT_Encode4(2451705), // Rule ID 45412 //
     /* 2451627 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451630 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451633 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451636 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451639 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451643 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451647 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451651 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451655 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451659 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451663 */     // MIs[1] Operand 1
     /* 2451663 */     // No operand predicates
     /* 2451663 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451667 */     // MIs[0] policy
     /* 2451667 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451670 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451672 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451679 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451679 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2451682 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451684 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451686 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451688 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451691 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451693 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451698 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451701 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451703 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451704 */     // GIR_Coverage, 45412,
     /* 2451704 */     GIR_EraseRootFromParent_Done,
     /* 2451705 */   // Label 35474: @2451705
     /* 2451705 */   GIM_Try, /*On fail goto*//*Label 35475*/ GIMT_Encode4(2451788), // Rule ID 45413 //
     /* 2451710 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451713 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451716 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451719 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451722 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451726 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451730 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451734 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2451738 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2451742 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2451746 */     // MIs[1] Operand 1
     /* 2451746 */     // No operand predicates
     /* 2451746 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451750 */     // MIs[0] policy
     /* 2451750 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451753 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2451755 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451762 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451762 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2451765 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451767 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451769 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451771 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2451774 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451776 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451781 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451784 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451786 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451787 */     // GIR_Coverage, 45413,
     /* 2451787 */     GIR_EraseRootFromParent_Done,
     /* 2451788 */   // Label 35475: @2451788
     /* 2451788 */   GIM_Try, /*On fail goto*//*Label 35476*/ GIMT_Encode4(2451860), // Rule ID 45354 //
     /* 2451793 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451796 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451799 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451802 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451805 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451809 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451813 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451817 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451821 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451825 */     // MIs[0] policy
     /* 2451825 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451828 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451835 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451835 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2451838 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451840 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451842 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451844 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451846 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451848 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451853 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451856 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451858 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451859 */     // GIR_Coverage, 45354,
     /* 2451859 */     GIR_EraseRootFromParent_Done,
     /* 2451860 */   // Label 35476: @2451860
     /* 2451860 */   GIM_Try, /*On fail goto*//*Label 35477*/ GIMT_Encode4(2451932), // Rule ID 45355 //
     /* 2451865 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2451868 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2451871 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451874 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2451877 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451881 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451885 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451889 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451893 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451897 */     // MIs[0] policy
     /* 2451897 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451900 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451907 */     // (riscv_slideup_vl:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16i16] } VRM4:{ *:[nxv16i16] }:$rd, VRM4:{ *:[nxv16i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2451907 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2451910 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451912 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451914 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451916 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451918 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451920 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451925 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2451928 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2451930 */     GIR_RootConstrainSelectedInstOperands,
     /* 2451931 */     // GIR_Coverage, 45355,
     /* 2451931 */     GIR_EraseRootFromParent_Done,
     /* 2451932 */   // Label 35477: @2451932
     /* 2451932 */   GIM_Try, /*On fail goto*//*Label 35478*/ GIMT_Encode4(2452004), // Rule ID 45414 //
     /* 2451937 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2451940 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2451943 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2451946 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2451949 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2451953 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451957 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2451961 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2451965 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2451969 */     // MIs[0] policy
     /* 2451969 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2451972 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2451979 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2451979 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2451982 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2451984 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2451986 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2451988 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2451990 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2451992 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2451997 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452000 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452002 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452003 */     // GIR_Coverage, 45414,
     /* 2452003 */     GIR_EraseRootFromParent_Done,
     /* 2452004 */   // Label 35478: @2452004
     /* 2452004 */   GIM_Try, /*On fail goto*//*Label 35479*/ GIMT_Encode4(2452076), // Rule ID 45415 //
     /* 2452009 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452012 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452015 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452018 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452021 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2452025 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452029 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452033 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452037 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452041 */     // MIs[0] policy
     /* 2452041 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452044 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452051 */     // (riscv_slideup_vl:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv16f16] } VRM4:{ *:[nxv16f16] }:$rd, VRM4:{ *:[nxv16f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452051 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2452054 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452056 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452058 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452060 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452062 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452064 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452069 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2452072 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452074 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452075 */     // GIR_Coverage, 45415,
     /* 2452075 */     GIR_EraseRootFromParent_Done,
     /* 2452076 */   // Label 35479: @2452076
     /* 2452076 */   GIM_Reject,
     /* 2452077 */ // Label 35471: @2452077
     /* 2452077 */ GIM_Reject,
     /* 2452078 */ // Label 35333: @2452078
     /* 2452078 */ GIM_Try, /*On fail goto*//*Label 35480*/ GIMT_Encode4(2452710),
     /* 2452083 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv16s32,
     /* 2452086 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv16s32,
     /* 2452089 */   GIM_Try, /*On fail goto*//*Label 35481*/ GIMT_Encode4(2452172), // Rule ID 45368 //
     /* 2452094 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452097 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452100 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452103 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452106 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452110 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452114 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452118 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2452122 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2452126 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2452130 */     // MIs[1] Operand 1
     /* 2452130 */     // No operand predicates
     /* 2452130 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452134 */     // MIs[0] policy
     /* 2452134 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452137 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2452139 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452146 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452146 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2452149 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452151 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452153 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452155 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2452158 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452160 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452165 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452168 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452170 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452171 */     // GIR_Coverage, 45368,
     /* 2452171 */     GIR_EraseRootFromParent_Done,
     /* 2452172 */   // Label 35481: @2452172
     /* 2452172 */   GIM_Try, /*On fail goto*//*Label 35482*/ GIMT_Encode4(2452255), // Rule ID 45369 //
     /* 2452177 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452180 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452183 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452186 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452189 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452193 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452197 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452201 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2452205 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2452209 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2452213 */     // MIs[1] Operand 1
     /* 2452213 */     // No operand predicates
     /* 2452213 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452217 */     // MIs[0] policy
     /* 2452217 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452220 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2452222 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452229 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452229 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2452232 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452234 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452236 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452238 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2452241 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452243 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452248 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452251 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452253 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452254 */     // GIR_Coverage, 45369,
     /* 2452254 */     GIR_EraseRootFromParent_Done,
     /* 2452255 */   // Label 35482: @2452255
     /* 2452255 */   GIM_Try, /*On fail goto*//*Label 35483*/ GIMT_Encode4(2452338), // Rule ID 45428 //
     /* 2452260 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452263 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452266 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452269 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452272 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452276 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452280 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452284 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2452288 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2452292 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2452296 */     // MIs[1] Operand 1
     /* 2452296 */     // No operand predicates
     /* 2452296 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452300 */     // MIs[0] policy
     /* 2452300 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452303 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2452305 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452312 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452312 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2452315 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452317 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452319 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452321 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2452324 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452326 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452331 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452334 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452336 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452337 */     // GIR_Coverage, 45428,
     /* 2452337 */     GIR_EraseRootFromParent_Done,
     /* 2452338 */   // Label 35483: @2452338
     /* 2452338 */   GIM_Try, /*On fail goto*//*Label 35484*/ GIMT_Encode4(2452421), // Rule ID 45429 //
     /* 2452343 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452346 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452349 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452352 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452355 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452359 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452363 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452367 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2452371 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2452375 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2452379 */     // MIs[1] Operand 1
     /* 2452379 */     // No operand predicates
     /* 2452379 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452383 */     // MIs[0] policy
     /* 2452383 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452386 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2452388 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452395 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452395 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2452398 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452400 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452402 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452404 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2452407 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452409 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452414 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452417 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452419 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452420 */     // GIR_Coverage, 45429,
     /* 2452420 */     GIR_EraseRootFromParent_Done,
     /* 2452421 */   // Label 35484: @2452421
     /* 2452421 */   GIM_Try, /*On fail goto*//*Label 35485*/ GIMT_Encode4(2452493), // Rule ID 45370 //
     /* 2452426 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452429 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452432 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452435 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452438 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452442 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452446 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452450 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452454 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452458 */     // MIs[0] policy
     /* 2452458 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452461 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452468 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452468 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452471 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452473 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452475 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452477 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452479 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452481 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452486 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452489 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452491 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452492 */     // GIR_Coverage, 45370,
     /* 2452492 */     GIR_EraseRootFromParent_Done,
     /* 2452493 */   // Label 35485: @2452493
     /* 2452493 */   GIM_Try, /*On fail goto*//*Label 35486*/ GIMT_Encode4(2452565), // Rule ID 45371 //
     /* 2452498 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452501 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452504 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452507 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452510 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452514 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452518 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452522 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452526 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452530 */     // MIs[0] policy
     /* 2452530 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452533 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452540 */     // (riscv_slideup_vl:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16i32] } VRM8:{ *:[nxv16i32] }:$rd, VRM8:{ *:[nxv16i32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452540 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452543 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452545 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452547 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452549 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452551 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452553 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452558 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452561 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452563 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452564 */     // GIR_Coverage, 45371,
     /* 2452564 */     GIR_EraseRootFromParent_Done,
     /* 2452565 */   // Label 35486: @2452565
     /* 2452565 */   GIM_Try, /*On fail goto*//*Label 35487*/ GIMT_Encode4(2452637), // Rule ID 45430 //
     /* 2452570 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452573 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452576 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452579 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452582 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452586 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452590 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452594 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452598 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452602 */     // MIs[0] policy
     /* 2452602 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452605 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452612 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i64] }:$vl, 5:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452612 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452615 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452617 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452619 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452621 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452623 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452625 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452630 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452633 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452635 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452636 */     // GIR_Coverage, 45430,
     /* 2452636 */     GIR_EraseRootFromParent_Done,
     /* 2452637 */   // Label 35487: @2452637
     /* 2452637 */   GIM_Try, /*On fail goto*//*Label 35488*/ GIMT_Encode4(2452709), // Rule ID 45431 //
     /* 2452642 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452645 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452648 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv16s1,
     /* 2452651 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452654 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2452658 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452662 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2452666 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452670 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452674 */     // MIs[0] policy
     /* 2452674 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452677 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452684 */     // (riscv_slideup_vl:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv16f32] } VRM8:{ *:[nxv16f32] }:$rd, VRM8:{ *:[nxv16f32] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv16i1] }:$vm, GPR:{ *:[i32] }:$vl, 5:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452684 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2452687 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452689 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452691 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452693 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452695 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452697 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452702 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/5,
     /* 2452705 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452707 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452708 */     // GIR_Coverage, 45431,
     /* 2452708 */     GIR_EraseRootFromParent_Done,
     /* 2452709 */   // Label 35488: @2452709
     /* 2452709 */   GIM_Reject,
     /* 2452710 */ // Label 35480: @2452710
     /* 2452710 */ GIM_Reject,
     /* 2452711 */ // Label 35334: @2452711
     /* 2452711 */ GIM_Try, /*On fail goto*//*Label 35489*/ GIMT_Encode4(2453033),
     /* 2452716 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s8,
     /* 2452719 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s8,
     /* 2452722 */   GIM_Try, /*On fail goto*//*Label 35490*/ GIMT_Encode4(2452805), // Rule ID 45340 //
     /* 2452727 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452730 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452733 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2452736 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452739 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2452743 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452747 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452751 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2452755 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2452759 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2452763 */     // MIs[1] Operand 1
     /* 2452763 */     // No operand predicates
     /* 2452763 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452767 */     // MIs[0] policy
     /* 2452767 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452770 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2452772 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452779 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452779 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2452782 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452784 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452786 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452788 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2452791 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452793 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452798 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452801 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452803 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452804 */     // GIR_Coverage, 45340,
     /* 2452804 */     GIR_EraseRootFromParent_Done,
     /* 2452805 */   // Label 35490: @2452805
     /* 2452805 */   GIM_Try, /*On fail goto*//*Label 35491*/ GIMT_Encode4(2452888), // Rule ID 45341 //
     /* 2452810 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452813 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452816 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2452819 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452822 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2452826 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452830 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452834 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2452838 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2452842 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2452846 */     // MIs[1] Operand 1
     /* 2452846 */     // No operand predicates
     /* 2452846 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452850 */     // MIs[0] policy
     /* 2452850 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452853 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2452855 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452862 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2452862 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M4_MASK),
     /* 2452865 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452867 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452869 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452871 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2452874 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452876 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452881 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452884 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452886 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452887 */     // GIR_Coverage, 45341,
     /* 2452887 */     GIR_EraseRootFromParent_Done,
     /* 2452888 */   // Label 35491: @2452888
     /* 2452888 */   GIM_Try, /*On fail goto*//*Label 35492*/ GIMT_Encode4(2452960), // Rule ID 45342 //
     /* 2452893 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2452896 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2452899 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2452902 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2452905 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2452909 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452913 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452917 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452921 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452925 */     // MIs[0] policy
     /* 2452925 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2452928 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2452935 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2452935 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2452938 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2452940 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2452942 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2452944 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2452946 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2452948 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2452953 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2452956 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2452958 */     GIR_RootConstrainSelectedInstOperands,
     /* 2452959 */     // GIR_Coverage, 45342,
     /* 2452959 */     GIR_EraseRootFromParent_Done,
     /* 2452960 */   // Label 35492: @2452960
     /* 2452960 */   GIM_Try, /*On fail goto*//*Label 35493*/ GIMT_Encode4(2453032), // Rule ID 45343 //
     /* 2452965 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2452968 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2452971 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2452974 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2452977 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM4NoV0RegClassID),
     /* 2452981 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452985 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM4RegClassID),
     /* 2452989 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2452993 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2452997 */     // MIs[0] policy
     /* 2452997 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453000 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453007 */     // (riscv_slideup_vl:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M4_MASK:{ *:[nxv32i8] } VRM4:{ *:[nxv32i8] }:$rd, VRM4:{ *:[nxv32i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2453007 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M4_MASK),
     /* 2453010 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453012 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453014 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453016 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2453018 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453020 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453025 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453028 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453030 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453031 */     // GIR_Coverage, 45343,
     /* 2453031 */     GIR_EraseRootFromParent_Done,
     /* 2453032 */   // Label 35493: @2453032
     /* 2453032 */   GIM_Reject,
     /* 2453033 */ // Label 35489: @2453033
     /* 2453033 */ GIM_Reject,
     /* 2453034 */ // Label 35335: @2453034
     /* 2453034 */ GIM_Try, /*On fail goto*//*Label 35494*/ GIMT_Encode4(2453666),
     /* 2453039 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv32s16,
     /* 2453042 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv32s16,
     /* 2453045 */   GIM_Try, /*On fail goto*//*Label 35495*/ GIMT_Encode4(2453128), // Rule ID 45356 //
     /* 2453050 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2453053 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2453056 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2453059 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2453062 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453066 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453070 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453074 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2453078 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2453082 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2453086 */     // MIs[1] Operand 1
     /* 2453086 */     // No operand predicates
     /* 2453086 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453090 */     // MIs[0] policy
     /* 2453090 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453093 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2453095 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453102 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2453102 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2453105 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453107 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453109 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453111 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2453114 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453116 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453121 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453124 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453126 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453127 */     // GIR_Coverage, 45356,
     /* 2453127 */     GIR_EraseRootFromParent_Done,
     /* 2453128 */   // Label 35495: @2453128
     /* 2453128 */   GIM_Try, /*On fail goto*//*Label 35496*/ GIMT_Encode4(2453211), // Rule ID 45357 //
     /* 2453133 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2453136 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2453139 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2453142 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2453145 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453149 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453153 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453157 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2453161 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2453165 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2453169 */     // MIs[1] Operand 1
     /* 2453169 */     // No operand predicates
     /* 2453169 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453173 */     // MIs[0] policy
     /* 2453173 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453176 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2453178 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453185 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2453185 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2453188 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453190 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453192 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453194 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2453197 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453199 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453204 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453207 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453209 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453210 */     // GIR_Coverage, 45357,
     /* 2453210 */     GIR_EraseRootFromParent_Done,
     /* 2453211 */   // Label 35496: @2453211
     /* 2453211 */   GIM_Try, /*On fail goto*//*Label 35497*/ GIMT_Encode4(2453294), // Rule ID 45416 //
     /* 2453216 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2453219 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2453222 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2453225 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2453228 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453232 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453236 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453240 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2453244 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2453248 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2453252 */     // MIs[1] Operand 1
     /* 2453252 */     // No operand predicates
     /* 2453252 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453256 */     // MIs[0] policy
     /* 2453256 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453259 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2453261 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453268 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2453268 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2453271 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453273 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453275 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453277 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2453280 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453282 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453287 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453290 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453292 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453293 */     // GIR_Coverage, 45416,
     /* 2453293 */     GIR_EraseRootFromParent_Done,
     /* 2453294 */   // Label 35497: @2453294
     /* 2453294 */   GIM_Try, /*On fail goto*//*Label 35498*/ GIMT_Encode4(2453377), // Rule ID 45417 //
     /* 2453299 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2453302 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2453305 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2453308 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2453311 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453315 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453319 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453323 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2453327 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2453331 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2453335 */     // MIs[1] Operand 1
     /* 2453335 */     // No operand predicates
     /* 2453335 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453339 */     // MIs[0] policy
     /* 2453339 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453342 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2453344 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453351 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2453351 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2453354 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453356 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453358 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453360 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2453363 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453365 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453370 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453373 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453375 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453376 */     // GIR_Coverage, 45417,
     /* 2453376 */     GIR_EraseRootFromParent_Done,
     /* 2453377 */   // Label 35498: @2453377
     /* 2453377 */   GIM_Try, /*On fail goto*//*Label 35499*/ GIMT_Encode4(2453449), // Rule ID 45358 //
     /* 2453382 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2453385 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2453388 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2453391 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2453394 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453398 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453402 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453406 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2453410 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453414 */     // MIs[0] policy
     /* 2453414 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453417 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453424 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2453424 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2453427 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453429 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453431 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453433 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2453435 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453437 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453442 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453445 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453447 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453448 */     // GIR_Coverage, 45358,
     /* 2453448 */     GIR_EraseRootFromParent_Done,
     /* 2453449 */   // Label 35499: @2453449
     /* 2453449 */   GIM_Try, /*On fail goto*//*Label 35500*/ GIMT_Encode4(2453521), // Rule ID 45359 //
     /* 2453454 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2453457 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2453460 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2453463 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2453466 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453470 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453474 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453478 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2453482 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453486 */     // MIs[0] policy
     /* 2453486 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453489 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453496 */     // (riscv_slideup_vl:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32i16] } VRM8:{ *:[nxv32i16] }:$rd, VRM8:{ *:[nxv32i16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2453496 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2453499 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453501 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453503 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453505 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2453507 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453509 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453514 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453517 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453519 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453520 */     // GIR_Coverage, 45359,
     /* 2453520 */     GIR_EraseRootFromParent_Done,
     /* 2453521 */   // Label 35500: @2453521
     /* 2453521 */   GIM_Try, /*On fail goto*//*Label 35501*/ GIMT_Encode4(2453593), // Rule ID 45418 //
     /* 2453526 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2453529 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2453532 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2453535 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2453538 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453542 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453546 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453550 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2453554 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453558 */     // MIs[0] policy
     /* 2453558 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453561 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453568 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i64] }:$vl, 4:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2453568 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2453571 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453573 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453575 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453577 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2453579 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453581 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453586 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453589 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453591 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453592 */     // GIR_Coverage, 45418,
     /* 2453592 */     GIR_EraseRootFromParent_Done,
     /* 2453593 */   // Label 35501: @2453593
     /* 2453593 */   GIM_Try, /*On fail goto*//*Label 35502*/ GIMT_Encode4(2453665), // Rule ID 45419 //
     /* 2453598 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2453601 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2453604 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv32s1,
     /* 2453607 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2453610 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453614 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453618 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453622 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2453626 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453630 */     // MIs[0] policy
     /* 2453630 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453633 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453640 */     // (riscv_slideup_vl:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv32f16] } VRM8:{ *:[nxv32f16] }:$rd, VRM8:{ *:[nxv32f16] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv32i1] }:$vm, GPR:{ *:[i32] }:$vl, 4:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2453640 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2453643 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453645 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453647 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453649 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2453651 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453653 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453658 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/4,
     /* 2453661 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453663 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453664 */     // GIR_Coverage, 45419,
     /* 2453664 */     GIR_EraseRootFromParent_Done,
     /* 2453665 */   // Label 35502: @2453665
     /* 2453665 */   GIM_Reject,
     /* 2453666 */ // Label 35494: @2453666
     /* 2453666 */ GIM_Reject,
     /* 2453667 */ // Label 35336: @2453667
     /* 2453667 */ GIM_Try, /*On fail goto*//*Label 35503*/ GIMT_Encode4(2453989),
     /* 2453672 */   GIM_RootCheckType, /*Op*/1, /*Type*/GILLT_nxv64s8,
     /* 2453675 */   GIM_RootCheckType, /*Op*/2, /*Type*/GILLT_nxv64s8,
     /* 2453678 */   GIM_Try, /*On fail goto*//*Label 35504*/ GIMT_Encode4(2453761), // Rule ID 45344 //
     /* 2453683 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2453686 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2453689 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2453692 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2453695 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453699 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453703 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453707 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2453711 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2453715 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2453719 */     // MIs[1] Operand 1
     /* 2453719 */     // No operand predicates
     /* 2453719 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453723 */     // MIs[0] policy
     /* 2453723 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453726 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2453728 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453735 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i64] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2453735 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2453738 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453740 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453742 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453744 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2453747 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453749 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453754 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453757 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453759 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453760 */     // GIR_Coverage, 45344,
     /* 2453760 */     GIR_EraseRootFromParent_Done,
     /* 2453761 */   // Label 35504: @2453761
     /* 2453761 */   GIM_Try, /*On fail goto*//*Label 35505*/ GIMT_Encode4(2453844), // Rule ID 45345 //
     /* 2453766 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2453769 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2453772 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2453775 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2453778 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453782 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453786 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453790 */     GIM_RecordInsn, /*DefineMI*/1, /*MI*/0, /*OpIdx*/3, // MIs[1]
     /* 2453794 */     GIM_CheckOpcode, /*MI*/1, GIMT_Encode2(TargetOpcode::G_CONSTANT),
     /* 2453798 */     GIM_CheckI64ImmPredicate, /*MI*/1, /*Predicate*/GIMT_Encode2(GICXXPred_I64_Predicate_uimm5),
     /* 2453802 */     // MIs[1] Operand 1
     /* 2453802 */     // No operand predicates
     /* 2453802 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453806 */     // MIs[0] policy
     /* 2453806 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453809 */     GIM_CheckIsSafeToFold, /*NumInsns*/1,
     /* 2453811 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453818 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VI_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, (imm:{ *:[i32] })<<P:Predicate_uimm5>>:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2453818 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VI_M8_MASK),
     /* 2453821 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453823 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453825 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453827 */     GIR_CopyConstantAsSImm, /*NewInsnID*/0, /*OldInsnID*/1, // rs2
     /* 2453830 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453832 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453837 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453840 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453842 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453843 */     // GIR_Coverage, 45345,
     /* 2453843 */     GIR_EraseRootFromParent_Done,
     /* 2453844 */   // Label 35505: @2453844
     /* 2453844 */   GIM_Try, /*On fail goto*//*Label 35506*/ GIMT_Encode4(2453916), // Rule ID 45346 //
     /* 2453849 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode0),
     /* 2453852 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s64,
     /* 2453855 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2453858 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s64,
     /* 2453861 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453865 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453869 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453873 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2453877 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453881 */     // MIs[0] policy
     /* 2453881 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453884 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453891 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i64] } AVL:{ *:[i64] }:$vl), (timm:{ *:[i64] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i64] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i64] }:$vl, 3:{ *:[i64] }, (timm:{ *:[i64] }):$policy)
     /* 2453891 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2453894 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453896 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453898 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453900 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2453902 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453904 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453909 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453912 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453914 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453915 */     // GIR_Coverage, 45346,
     /* 2453915 */     GIR_EraseRootFromParent_Done,
     /* 2453916 */   // Label 35506: @2453916
     /* 2453916 */   GIM_Try, /*On fail goto*//*Label 35507*/ GIMT_Encode4(2453988), // Rule ID 45347 //
     /* 2453921 */     GIM_CheckFeatures, GIMT_Encode2(GIFBS_HasVInstructions_HwMode1),
     /* 2453924 */     GIM_RootCheckType, /*Op*/3, /*Type*/GILLT_s32,
     /* 2453927 */     GIM_RootCheckType, /*Op*/4, /*Type*/GILLT_nxv64s1,
     /* 2453930 */     GIM_RootCheckType, /*Op*/5, /*Type*/GILLT_s32,
     /* 2453933 */     GIM_RootCheckRegBankForClass, /*Op*/0, /*RC*/GIMT_Encode2(RISCV::VRM8NoV0RegClassID),
     /* 2453937 */     GIM_RootCheckRegBankForClass, /*Op*/1, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453941 */     GIM_RootCheckRegBankForClass, /*Op*/2, /*RC*/GIMT_Encode2(RISCV::VRM8RegClassID),
     /* 2453945 */     GIM_RootCheckRegBankForClass, /*Op*/3, /*RC*/GIMT_Encode2(RISCV::GPRRegClassID),
     /* 2453949 */     GIM_RootCheckRegBankForClass, /*Op*/4, /*RC*/GIMT_Encode2(RISCV::VMV0RegClassID),
     /* 2453953 */     // MIs[0] policy
     /* 2453953 */     GIM_CheckIsImm, /*MI*/0, /*Op*/6,
     /* 2453956 */     GIM_CheckComplexPattern, /*MI*/0, /*Op*/5, /*Renderer*/GIMT_Encode2(0), GIMT_Encode2(GICP_GIVLOp),
     /* 2453963 */     // (riscv_slideup_vl:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, (VLOp:{ *:[i32] } AVL:{ *:[i32] }:$vl), (timm:{ *:[i32] }):$policy)  =>  (PseudoVSLIDEUP_VX_M8_MASK:{ *:[nxv64i8] } VRM8:{ *:[nxv64i8] }:$rd, VRM8:{ *:[nxv64i8] }:$rs1, GPR:{ *:[i32] }:$rs2, VMV0:{ *:[nxv64i1] }:$vm, GPR:{ *:[i32] }:$vl, 3:{ *:[i32] }, (timm:{ *:[i32] }):$policy)
     /* 2453963 */     GIR_BuildRootMI, /*Opcode*/GIMT_Encode2(RISCV::PseudoVSLIDEUP_VX_M8_MASK),
     /* 2453966 */     GIR_RootToRootCopy, /*OpIdx*/0, // DstI[rd]
     /* 2453968 */     GIR_RootToRootCopy, /*OpIdx*/1, // rd
     /* 2453970 */     GIR_RootToRootCopy, /*OpIdx*/2, // rs1
     /* 2453972 */     GIR_RootToRootCopy, /*OpIdx*/3, // rs2
     /* 2453974 */     GIR_RootToRootCopy, /*OpIdx*/4, // vm
     /* 2453976 */     GIR_ComplexSubOperandRenderer, /*InsnID*/0, /*RendererID*/GIMT_Encode2(0), /*SubOperand*/0, // vl
     /* 2453981 */     GIR_AddImm8, /*InsnID*/0, /*Imm*/3,
     /* 2453984 */     GIR_RootToRootCopy, /*OpIdx*/6, // policy
     /* 2453986 */     GIR_RootConstrainSelectedInstOperands,
     /* 2453987 */     // GIR_Coverage, 45347,
     /* 2453987 */     GIR_EraseRootFromParent_Done,
     /* 2453988 */   // Label 35507: @2453988
     /* 2453988 */   GIM_Reject,
     /* 2453989 */ // Label 35503: @2453989
     /* 2453989 */ GIM_Reject,
     /* 2453990 */ // Label 35337: @2453990
     /* 2453990 */ GIM_Reject,
     /* 2453991 */ // Label 125: @2453991
     /* 2453991 */ GIM_Reject,
     /* 2453992 */ }; // Size: 2453992 bytes
  return MatchTable0;
}
#undef GIMT_Encode2
#undef GIMT_Encode4
#undef GIMT_Encode8

#endif // ifdef GET_GLOBALISEL_IMPL

#ifdef GET_GLOBALISEL_PREDICATES_DECL
PredicateBitset AvailableModuleFeatures;
mutable PredicateBitset AvailableFunctionFeatures;
PredicateBitset getAvailableFeatures() const {
  return AvailableModuleFeatures | AvailableFunctionFeatures;
}
PredicateBitset
computeAvailableModuleFeatures(const RISCVSubtarget *Subtarget) const;
PredicateBitset
computeAvailableFunctionFeatures(const RISCVSubtarget *Subtarget,
                                 const MachineFunction *MF) const;
void setupGeneratedPerFunctionState(MachineFunction &MF) override;
#endif // ifdef GET_GLOBALISEL_PREDICATES_DECL
#ifdef GET_GLOBALISEL_PREDICATES_INIT
AvailableModuleFeatures(computeAvailableModuleFeatures(&STI)),
AvailableFunctionFeatures()
#endif // ifdef GET_GLOBALISEL_PREDICATES_INIT
